/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the RISCV target                           *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 93;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(RISCVInstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(RISCVInstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static RISCVInstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static RISCVInstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(4),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_p0s32,
  GILLT_p0s64,
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_nxv1s1,
  GILLT_nxv1s8,
  GILLT_nxv1s16,
  GILLT_nxv1s32,
  GILLT_nxv1s64,
  GILLT_nxv2s1,
  GILLT_nxv2s8,
  GILLT_nxv2s16,
  GILLT_nxv2s32,
  GILLT_nxv2s64,
  GILLT_nxv4s1,
  GILLT_nxv4s8,
  GILLT_nxv4s16,
  GILLT_nxv4s32,
  GILLT_nxv4s64,
  GILLT_nxv8s1,
  GILLT_nxv8s8,
  GILLT_nxv8s16,
  GILLT_nxv8s32,
  GILLT_nxv8s64,
  GILLT_nxv16s1,
  GILLT_nxv16s8,
  GILLT_nxv16s16,
  GILLT_nxv16s32,
  GILLT_nxv32s1,
  GILLT_nxv32s8,
  GILLT_nxv32s16,
  GILLT_nxv64s1,
  GILLT_nxv64s8,
};
const static size_t NumTypeObjects = 34;
const static LLT TypeObjects[] = {
  LLT::pointer(0, 32),
  LLT::pointer(0, 64),
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::vector(ElementCount::getScalable(1), 1),
  LLT::vector(ElementCount::getScalable(1), 8),
  LLT::vector(ElementCount::getScalable(1), 16),
  LLT::vector(ElementCount::getScalable(1), 32),
  LLT::vector(ElementCount::getScalable(1), 64),
  LLT::vector(ElementCount::getScalable(2), 1),
  LLT::vector(ElementCount::getScalable(2), 8),
  LLT::vector(ElementCount::getScalable(2), 16),
  LLT::vector(ElementCount::getScalable(2), 32),
  LLT::vector(ElementCount::getScalable(2), 64),
  LLT::vector(ElementCount::getScalable(4), 1),
  LLT::vector(ElementCount::getScalable(4), 8),
  LLT::vector(ElementCount::getScalable(4), 16),
  LLT::vector(ElementCount::getScalable(4), 32),
  LLT::vector(ElementCount::getScalable(4), 64),
  LLT::vector(ElementCount::getScalable(8), 1),
  LLT::vector(ElementCount::getScalable(8), 8),
  LLT::vector(ElementCount::getScalable(8), 16),
  LLT::vector(ElementCount::getScalable(8), 32),
  LLT::vector(ElementCount::getScalable(8), 64),
  LLT::vector(ElementCount::getScalable(16), 1),
  LLT::vector(ElementCount::getScalable(16), 8),
  LLT::vector(ElementCount::getScalable(16), 16),
  LLT::vector(ElementCount::getScalable(16), 32),
  LLT::vector(ElementCount::getScalable(32), 1),
  LLT::vector(ElementCount::getScalable(32), 8),
  LLT::vector(ElementCount::getScalable(32), 16),
  LLT::vector(ElementCount::getScalable(64), 1),
  LLT::vector(ElementCount::getScalable(64), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_HasStdExtZicbopBit = 64,
  Feature_HasStdExtZicondBit = 65,
  Feature_HasStdExtZimopBit = 63,
  Feature_HasStdExtZicfilpBit = 2,
  Feature_NoStdExtZicfilpBit = 1,
  Feature_HasStdExtZmmulBit = 22,
  Feature_HasStdExtMBit = 23,
  Feature_HasStdExtABit = 25,
  Feature_HasStdExtZtsoBit = 27,
  Feature_NotHasStdExtZtsoBit = 26,
  Feature_HasStdExtZabhaBit = 30,
  Feature_HasStdExtZacasBit = 29,
  Feature_NoStdExtZacasBit = 28,
  Feature_HasStdExtZalasrBit = 31,
  Feature_HasStdExtFBit = 5,
  Feature_HasStdExtDBit = 7,
  Feature_HasStdExtZfhminBit = 12,
  Feature_HasStdExtZfhBit = 10,
  Feature_HasStdExtZfaBit = 32,
  Feature_NoStdExtZfaBit = 8,
  Feature_HasStdExtZfinxBit = 6,
  Feature_HasStdExtZdinxBit = 9,
  Feature_HasStdExtZhinxminBit = 13,
  Feature_HasStdExtZhinxBit = 11,
  Feature_HasStdExtCBit = 18,
  Feature_HasStdExtCOrZcaBit = 20,
  Feature_HasStdExtZbaBit = 38,
  Feature_NotHasStdExtZbaBit = 21,
  Feature_HasStdExtZbbBit = 35,
  Feature_NoStdExtZbbBit = 37,
  Feature_HasStdExtZbcBit = 40,
  Feature_HasStdExtZbsBit = 34,
  Feature_HasStdExtZbkbBit = 36,
  Feature_NoStdExtZbkbBit = 90,
  Feature_HasStdExtZbkxBit = 41,
  Feature_HasStdExtZbbOrZbkbBit = 33,
  Feature_HasStdExtZbcOrZbkcBit = 39,
  Feature_HasStdExtZkndBit = 42,
  Feature_HasStdExtZkneBit = 44,
  Feature_HasStdExtZkndOrZkneBit = 43,
  Feature_HasStdExtZknhBit = 45,
  Feature_HasStdExtZksedBit = 46,
  Feature_HasStdExtZkshBit = 47,
  Feature_HasStdExtZvkbBit = 55,
  Feature_HasStdExtZvbbBit = 54,
  Feature_HasStdExtZvbcBit = 59,
  Feature_HasStdExtZvkgBit = 56,
  Feature_HasStdExtZvknedBit = 57,
  Feature_HasStdExtZvknhaBit = 60,
  Feature_HasStdExtZvknhbBit = 61,
  Feature_HasStdExtZvksedBit = 62,
  Feature_HasStdExtZvkshBit = 58,
  Feature_HasVInstructionsBit = 14,
  Feature_HasVInstructionsI64Bit = 50,
  Feature_HasVInstructionsAnyFBit = 49,
  Feature_HasVInstructionsF16MinimalBit = 52,
  Feature_HasVInstructionsF16Bit = 48,
  Feature_HasVInstructionsF64Bit = 53,
  Feature_HasVInstructionsFullMultiplyBit = 51,
  Feature_HasVendorXVentanaCondOpsBit = 66,
  Feature_HasVendorXTHeadBaBit = 67,
  Feature_HasVendorXTHeadBbBit = 68,
  Feature_HasVendorXTHeadBsBit = 69,
  Feature_HasVendorXTHeadCondMovBit = 70,
  Feature_HasVendorXTHeadFMemIdxBit = 75,
  Feature_HasVendorXTHeadMacBit = 71,
  Feature_HasVendorXTHeadMemIdxBit = 74,
  Feature_HasVendorXTHeadMemPairBit = 73,
  Feature_HasVendorXTHeadVdotBit = 72,
  Feature_HasVendorXSfvcpBit = 76,
  Feature_HasVendorXSfvqmaccdodBit = 77,
  Feature_HasVendorXSfvqmaccqoqBit = 78,
  Feature_HasVendorXSfvfnrclipxfqfBit = 79,
  Feature_HasVendorXCVbitmanipBit = 81,
  Feature_HasVendorXCVmacBit = 84,
  Feature_HasVendorXCVmemBit = 80,
  Feature_HasVendorXCValuBit = 82,
  Feature_HasVendorXCVbiBit = 83,
  Feature_UseCCMovInsnBit = 89,
  Feature_HasVendorXqcislsBit = 87,
  Feature_HasVendorXqciintBit = 88,
  Feature_HasVendorXqciliaBit = 85,
  Feature_HasVendorXqciloBit = 86,
  Feature_IsRV64Bit = 4,
  Feature_IsRV32Bit = 3,
  Feature_HasShortForwardBranchOptBit = 15,
  Feature_NoShortForwardBranchOptBit = 17,
  Feature_HasConditionalMoveFusionBit = 16,
  Feature_NoConditionalMoveFusionBit = 0,
  Feature_HasAtomicLdStBit = 24,
  Feature_OptForMinSizeBit = 19,
  Feature_HwMode1Bit = 92,
  Feature_HwMode0Bit = 91,
};

PredicateBitset RISCVInstructionSelector::
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const {
  PredicateBitset Features{};
  if (Subtarget->hasStdExtZicbop())
    Features.set(Feature_HasStdExtZicbopBit);
  if (Subtarget->hasStdExtZicond())
    Features.set(Feature_HasStdExtZicondBit);
  if (Subtarget->hasStdExtZimop())
    Features.set(Feature_HasStdExtZimopBit);
  if (Subtarget->hasStdExtZicfilp())
    Features.set(Feature_HasStdExtZicfilpBit);
  if (!Subtarget->hasStdExtZicfilp())
    Features.set(Feature_NoStdExtZicfilpBit);
  if (Subtarget->hasStdExtZmmul())
    Features.set(Feature_HasStdExtZmmulBit);
  if (Subtarget->hasStdExtM())
    Features.set(Feature_HasStdExtMBit);
  if (Subtarget->hasStdExtA())
    Features.set(Feature_HasStdExtABit);
  if (Subtarget->hasStdExtZtso())
    Features.set(Feature_HasStdExtZtsoBit);
  if (!Subtarget->hasStdExtZtso())
    Features.set(Feature_NotHasStdExtZtsoBit);
  if (Subtarget->hasStdExtZabha())
    Features.set(Feature_HasStdExtZabhaBit);
  if (Subtarget->hasStdExtZacas())
    Features.set(Feature_HasStdExtZacasBit);
  if (!Subtarget->hasStdExtZacas())
    Features.set(Feature_NoStdExtZacasBit);
  if (Subtarget->hasStdExtZalasr())
    Features.set(Feature_HasStdExtZalasrBit);
  if (Subtarget->hasStdExtF())
    Features.set(Feature_HasStdExtFBit);
  if (Subtarget->hasStdExtD())
    Features.set(Feature_HasStdExtDBit);
  if (Subtarget->hasStdExtZfhmin())
    Features.set(Feature_HasStdExtZfhminBit);
  if (Subtarget->hasStdExtZfh())
    Features.set(Feature_HasStdExtZfhBit);
  if (Subtarget->hasStdExtZfa())
    Features.set(Feature_HasStdExtZfaBit);
  if (!Subtarget->hasStdExtZfa())
    Features.set(Feature_NoStdExtZfaBit);
  if (Subtarget->hasStdExtZfinx())
    Features.set(Feature_HasStdExtZfinxBit);
  if (Subtarget->hasStdExtZdinx())
    Features.set(Feature_HasStdExtZdinxBit);
  if (Subtarget->hasStdExtZhinxmin())
    Features.set(Feature_HasStdExtZhinxminBit);
  if (Subtarget->hasStdExtZhinx())
    Features.set(Feature_HasStdExtZhinxBit);
  if (Subtarget->hasStdExtC())
    Features.set(Feature_HasStdExtCBit);
  if (Subtarget->hasStdExtCOrZca())
    Features.set(Feature_HasStdExtCOrZcaBit);
  if (Subtarget->hasStdExtZba())
    Features.set(Feature_HasStdExtZbaBit);
  if (!Subtarget->hasStdExtZba())
    Features.set(Feature_NotHasStdExtZbaBit);
  if (Subtarget->hasStdExtZbb())
    Features.set(Feature_HasStdExtZbbBit);
  if (!Subtarget->hasStdExtZbb())
    Features.set(Feature_NoStdExtZbbBit);
  if (Subtarget->hasStdExtZbc())
    Features.set(Feature_HasStdExtZbcBit);
  if (Subtarget->hasStdExtZbs())
    Features.set(Feature_HasStdExtZbsBit);
  if (Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbkbBit);
  if (!Subtarget->hasStdExtZbkb())
    Features.set(Feature_NoStdExtZbkbBit);
  if (Subtarget->hasStdExtZbkx())
    Features.set(Feature_HasStdExtZbkxBit);
  if (Subtarget->hasStdExtZbb() || Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbbOrZbkbBit);
  if (Subtarget->hasStdExtZbc() || Subtarget->hasStdExtZbkc())
    Features.set(Feature_HasStdExtZbcOrZbkcBit);
  if (Subtarget->hasStdExtZknd())
    Features.set(Feature_HasStdExtZkndBit);
  if (Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkneBit);
  if (Subtarget->hasStdExtZknd() || Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkndOrZkneBit);
  if (Subtarget->hasStdExtZknh())
    Features.set(Feature_HasStdExtZknhBit);
  if (Subtarget->hasStdExtZksed())
    Features.set(Feature_HasStdExtZksedBit);
  if (Subtarget->hasStdExtZksh())
    Features.set(Feature_HasStdExtZkshBit);
  if (Subtarget->hasStdExtZvkb())
    Features.set(Feature_HasStdExtZvkbBit);
  if (Subtarget->hasStdExtZvbb())
    Features.set(Feature_HasStdExtZvbbBit);
  if (Subtarget->hasStdExtZvbc())
    Features.set(Feature_HasStdExtZvbcBit);
  if (Subtarget->hasStdExtZvkg())
    Features.set(Feature_HasStdExtZvkgBit);
  if (Subtarget->hasStdExtZvkned())
    Features.set(Feature_HasStdExtZvknedBit);
  if (Subtarget->hasStdExtZvknha())
    Features.set(Feature_HasStdExtZvknhaBit);
  if (Subtarget->hasStdExtZvknhb())
    Features.set(Feature_HasStdExtZvknhbBit);
  if (Subtarget->hasStdExtZvksed())
    Features.set(Feature_HasStdExtZvksedBit);
  if (Subtarget->hasStdExtZvksh())
    Features.set(Feature_HasStdExtZvkshBit);
  if (Subtarget->hasVInstructions())
    Features.set(Feature_HasVInstructionsBit);
  if (Subtarget->hasVInstructionsI64())
    Features.set(Feature_HasVInstructionsI64Bit);
  if (Subtarget->hasVInstructionsAnyF())
    Features.set(Feature_HasVInstructionsAnyFBit);
  if (Subtarget->hasVInstructionsF16Minimal())
    Features.set(Feature_HasVInstructionsF16MinimalBit);
  if (Subtarget->hasVInstructionsF16())
    Features.set(Feature_HasVInstructionsF16Bit);
  if (Subtarget->hasVInstructionsF64())
    Features.set(Feature_HasVInstructionsF64Bit);
  if (Subtarget->hasVInstructionsFullMultiply())
    Features.set(Feature_HasVInstructionsFullMultiplyBit);
  if (Subtarget->hasVendorXVentanaCondOps())
    Features.set(Feature_HasVendorXVentanaCondOpsBit);
  if (Subtarget->hasVendorXTHeadBa())
    Features.set(Feature_HasVendorXTHeadBaBit);
  if (Subtarget->hasVendorXTHeadBb())
    Features.set(Feature_HasVendorXTHeadBbBit);
  if (Subtarget->hasVendorXTHeadBs())
    Features.set(Feature_HasVendorXTHeadBsBit);
  if (Subtarget->hasVendorXTHeadCondMov())
    Features.set(Feature_HasVendorXTHeadCondMovBit);
  if (Subtarget->hasVendorXTHeadFMemIdx())
    Features.set(Feature_HasVendorXTHeadFMemIdxBit);
  if (Subtarget->hasVendorXTHeadMac())
    Features.set(Feature_HasVendorXTHeadMacBit);
  if (Subtarget->hasVendorXTHeadMemIdx())
    Features.set(Feature_HasVendorXTHeadMemIdxBit);
  if (Subtarget->hasVendorXTHeadMemPair())
    Features.set(Feature_HasVendorXTHeadMemPairBit);
  if (Subtarget->hasVendorXTHeadVdot())
    Features.set(Feature_HasVendorXTHeadVdotBit);
  if (Subtarget->hasVendorXSfvcp())
    Features.set(Feature_HasVendorXSfvcpBit);
  if (Subtarget->hasVendorXSfvqmaccdod())
    Features.set(Feature_HasVendorXSfvqmaccdodBit);
  if (Subtarget->hasVendorXSfvqmaccqoq())
    Features.set(Feature_HasVendorXSfvqmaccqoqBit);
  if (Subtarget->hasVendorXSfvfnrclipxfqf())
    Features.set(Feature_HasVendorXSfvfnrclipxfqfBit);
  if (Subtarget->hasVendorXCVbitmanip())
    Features.set(Feature_HasVendorXCVbitmanipBit);
  if (Subtarget->hasVendorXCVmac())
    Features.set(Feature_HasVendorXCVmacBit);
  if (Subtarget->hasVendorXCVmem())
    Features.set(Feature_HasVendorXCVmemBit);
  if (Subtarget->hasVendorXCValu())
    Features.set(Feature_HasVendorXCValuBit);
  if (Subtarget->hasVendorXCVbi())
    Features.set(Feature_HasVendorXCVbiBit);
  if (Subtarget->useCCMovInsn())
    Features.set(Feature_UseCCMovInsnBit);
  if (Subtarget->hasVendorXqcisls())
    Features.set(Feature_HasVendorXqcislsBit);
  if (Subtarget->hasVendorXqciint())
    Features.set(Feature_HasVendorXqciintBit);
  if (Subtarget->hasVendorXqcilia())
    Features.set(Feature_HasVendorXqciliaBit);
  if (Subtarget->hasVendorXqcilo())
    Features.set(Feature_HasVendorXqciloBit);
  if (Subtarget->is64Bit())
    Features.set(Feature_IsRV64Bit);
  if (!Subtarget->is64Bit())
    Features.set(Feature_IsRV32Bit);
  if (Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_HasShortForwardBranchOptBit);
  if (!Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_NoShortForwardBranchOptBit);
  if (Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_HasConditionalMoveFusionBit);
  if (!Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_NoConditionalMoveFusionBit);
  if (Subtarget->hasStdExtA() || Subtarget->hasForcedAtomics())
    Features.set(Feature_HasAtomicLdStBit);
  if (MF ? MF->getFunction().hasMinSize() : false)
    Features.set(Feature_OptForMinSizeBit);
  if (!((Subtarget->is64Bit())))
    Features.set(Feature_HwMode1Bit);
  if ((Subtarget->is64Bit()))
    Features.set(Feature_HwMode0Bit);
  return Features;
}

void RISCVInstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const RISCVSubtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset RISCVInstructionSelector::
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HwMode0,
  GIFBS_HwMode1,
  GIFBS_HasAtomicLdSt_HwMode0,
  GIFBS_HasAtomicLdSt_HwMode1,
  GIFBS_HasShortForwardBranchOpt_HwMode0,
  GIFBS_HasShortForwardBranchOpt_HwMode1,
  GIFBS_HasStdExtA_HwMode0,
  GIFBS_HasStdExtA_HwMode1,
  GIFBS_HasStdExtD,
  GIFBS_HasStdExtD_HwMode0,
  GIFBS_HasStdExtD_HwMode1,
  GIFBS_HasStdExtF,
  GIFBS_HasStdExtF_HwMode0,
  GIFBS_HasStdExtF_HwMode1,
  GIFBS_HasStdExtM_HwMode0,
  GIFBS_HasStdExtM_HwMode1,
  GIFBS_HasStdExtZalasr_HwMode0,
  GIFBS_HasStdExtZalasr_HwMode1,
  GIFBS_HasStdExtZba_HwMode0,
  GIFBS_HasStdExtZba_HwMode1,
  GIFBS_HasStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_HwMode1,
  GIFBS_HasStdExtZbkb_HwMode0,
  GIFBS_HasStdExtZbkb_HwMode1,
  GIFBS_HasStdExtZbkx_HwMode0,
  GIFBS_HasStdExtZbkx_HwMode1,
  GIFBS_HasStdExtZbs_HwMode0,
  GIFBS_HasStdExtZbs_HwMode1,
  GIFBS_HasStdExtZfa,
  GIFBS_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtZfh,
  GIFBS_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtZfinx,
  GIFBS_HasStdExtZfinx_HwMode0,
  GIFBS_HasStdExtZfinx_HwMode1,
  GIFBS_HasStdExtZhinx,
  GIFBS_HasStdExtZhinx_HwMode0,
  GIFBS_HasStdExtZhinx_HwMode1,
  GIFBS_HasStdExtZhinxmin_HwMode0,
  GIFBS_HasStdExtZhinxmin_HwMode1,
  GIFBS_HasStdExtZmmul_HwMode0,
  GIFBS_HasStdExtZmmul_HwMode1,
  GIFBS_HasStdExtZvbb_HwMode0,
  GIFBS_HasStdExtZvbb_HwMode1,
  GIFBS_HasStdExtZvbc_HwMode0,
  GIFBS_HasStdExtZvbc_HwMode1,
  GIFBS_HasStdExtZvkb_HwMode0,
  GIFBS_HasStdExtZvkb_HwMode1,
  GIFBS_HasStdExtZvkg_HwMode0,
  GIFBS_HasStdExtZvkg_HwMode1,
  GIFBS_HasStdExtZvkned_HwMode0,
  GIFBS_HasStdExtZvkned_HwMode1,
  GIFBS_HasStdExtZvknha_HwMode0,
  GIFBS_HasStdExtZvknha_HwMode1,
  GIFBS_HasStdExtZvknhb_HwMode0,
  GIFBS_HasStdExtZvknhb_HwMode1,
  GIFBS_HasStdExtZvksed_HwMode0,
  GIFBS_HasStdExtZvksed_HwMode1,
  GIFBS_HasStdExtZvksh_HwMode0,
  GIFBS_HasStdExtZvksh_HwMode1,
  GIFBS_HasVInstructions_HwMode0,
  GIFBS_HasVInstructions_HwMode1,
  GIFBS_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsF16Minimal_HwMode0,
  GIFBS_HasVInstructionsF16Minimal_HwMode1,
  GIFBS_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsFullMultiply_HwMode0,
  GIFBS_HasVInstructionsFullMultiply_HwMode1,
  GIFBS_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXCVmac_HwMode0,
  GIFBS_HasVendorXCVmac_HwMode1,
  GIFBS_HasVendorXSfvcp_HwMode0,
  GIFBS_HasVendorXSfvcp_HwMode1,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1,
  GIFBS_HasVendorXSfvqmaccdod_HwMode0,
  GIFBS_HasVendorXSfvqmaccdod_HwMode1,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode0,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode1,
  GIFBS_HasVendorXTHeadBa_HwMode0,
  GIFBS_HasVendorXTHeadBa_HwMode1,
  GIFBS_HasVendorXTHeadBb_HwMode0,
  GIFBS_HasVendorXTHeadBb_HwMode1,
  GIFBS_HasVendorXTHeadBs_HwMode0,
  GIFBS_HasVendorXTHeadBs_HwMode1,
  GIFBS_HasVendorXTHeadCondMov_HwMode0,
  GIFBS_HasVendorXTHeadCondMov_HwMode1,
  GIFBS_HasVendorXTHeadMac_HwMode0,
  GIFBS_HasVendorXTHeadMac_HwMode1,
  GIFBS_HasVendorXTHeadVdot_HwMode0,
  GIFBS_HasVendorXTHeadVdot_HwMode1,
  GIFBS_IsRV32_HwMode0,
  GIFBS_IsRV32_HwMode1,
  GIFBS_IsRV64_HwMode0,
  GIFBS_IsRV64_HwMode1,
  GIFBS_UseCCMovInsn_HwMode0,
  GIFBS_UseCCMovInsn_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_IsRV64_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode1,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfa,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtD_IsRV32_HwMode0,
  GIFBS_HasStdExtD_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV64_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode1,
  GIFBS_HasStdExtF_IsRV64_HwMode0,
  GIFBS_HasStdExtM_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode1,
  GIFBS_HasStdExtZba_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV64_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfh_IsRV32_HwMode0,
  GIFBS_HasStdExtZfh_IsRV32_HwMode1,
  GIFBS_HasStdExtZfh_IsRV64_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZfinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZhinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZknd_IsRV32_HwMode1,
  GIFBS_HasStdExtZknd_IsRV64_HwMode0,
  GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZkne_IsRV32_HwMode1,
  GIFBS_HasStdExtZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZknh_IsRV32_HwMode1,
  GIFBS_HasStdExtZknh_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXCValu_IsRV32_HwMode0,
  GIFBS_HasVendorXCValu_IsRV32_HwMode1,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1,
  GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0,
  GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0,
  GIFBS_HasVendorXqcilia_IsRV32_HwMode1,
  GIFBS_HasVendorXqcisls_IsRV32_HwMode0,
  GIFBS_HasVendorXqcisls_IsRV32_HwMode1,
  GIFBS_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HwMode0Bit, },
  {Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode1Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode0Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, },
  {Feature_HasStdExtDBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, },
  {Feature_HasStdExtFBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode0Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndOrZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqciliaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqcislsBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqcislsBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
  GICP_GIAddrRegImm,
  GICP_GIShiftMask32,
  GICP_GIShiftMaskXLen,
  GICP_GIVLOp,
  GICP_gi_sexti32,
  GICP_gi_sh1add_op,
  GICP_gi_sh1add_uw_op,
  GICP_gi_sh2add_op,
  GICP_gi_sh2add_uw_op,
  GICP_gi_sh3add_op,
  GICP_gi_sh3add_uw_op,
  GICP_gi_zexti16,
  GICP_gi_zexti32,
  GICP_gi_zexti8,
};
// See constructor for table contents

RISCVInstructionSelector::ComplexMatcherMemFn
RISCVInstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
  &RISCVInstructionSelector::selectAddrRegImm, // GIAddrRegImm
  &RISCVInstructionSelector::selectShiftMask32, // GIShiftMask32
  &RISCVInstructionSelector::selectShiftMaskXLen, // GIShiftMaskXLen
  &RISCVInstructionSelector::renderVLOp, // GIVLOp
  &RISCVInstructionSelector::selectSExtBits<32>, // gi_sexti32
  &RISCVInstructionSelector::selectSHXADDOp<1>, // gi_sh1add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<1>, // gi_sh1add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<2>, // gi_sh2add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<2>, // gi_sh2add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<3>, // gi_sh3add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<3>, // gi_sh3add_uw_op
  &RISCVInstructionSelector::selectZExtBits<16>, // gi_zexti16
  &RISCVInstructionSelector::selectZExtBits<32>, // gi_zexti32
  &RISCVInstructionSelector::selectZExtBits<8>, // gi_zexti8
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_add_like_non_imm12 = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_add_non_imm12,
  GICXXPred_MI_Predicate_anonymous_9901,
  GICXXPred_MI_Predicate_anonymous_9903,
  GICXXPred_MI_Predicate_anonymous_9991,
  GICXXPred_MI_Predicate_anonymous_10005,
  GICXXPred_MI_Predicate_anonymous_10009,
  GICXXPred_MI_Predicate_anonymous_10011,
  GICXXPred_MI_Predicate_anonymous_10013,
  GICXXPred_MI_Predicate_anonymous_10015,
  GICXXPred_MI_Predicate_anonymous_10018,
  GICXXPred_MI_Predicate_anonymous_10020,
  GICXXPred_MI_Predicate_anonymous_10033,
  GICXXPred_MI_Predicate_anonymous_10044,
  GICXXPred_MI_Predicate_anonymous_11165,
};
bool RISCVInstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_add_like_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_like_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_add_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_9901: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9903: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9991: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10005: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10009: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10011: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10013: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10015: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10018: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10020: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10033: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10044: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_11165: {
     return hasAllHUsers(MI); 
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_AddiPair = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_BCLRMask,
  GICXXPred_I64_Predicate_LeadingOnesMask,
  GICXXPred_I64_Predicate_LeadingOnesWMask,
  GICXXPred_I64_Predicate_SingleBitSetMask,
  GICXXPred_I64_Predicate_allonessew8,
  GICXXPred_I64_Predicate_allonessew16,
  GICXXPred_I64_Predicate_allonessew32,
  GICXXPred_I64_Predicate_allonessew64,
  GICXXPred_I64_Predicate_bare_simm9_lsb0,
  GICXXPred_I64_Predicate_bare_simm12_lsb0,
  GICXXPred_I64_Predicate_byteselect,
  GICXXPred_I64_Predicate_c_lui_imm,
  GICXXPred_I64_Predicate_csr_sysreg,
  GICXXPred_I64_Predicate_cv_tuimm2,
  GICXXPred_I64_Predicate_cv_tuimm5,
  GICXXPred_I64_Predicate_cv_uimm10,
  GICXXPred_I64_Predicate_immzero,
  GICXXPred_I64_Predicate_payload1,
  GICXXPred_I64_Predicate_payload2,
  GICXXPred_I64_Predicate_payload5,
  GICXXPred_I64_Predicate_powerOf2Minus1,
  GICXXPred_I64_Predicate_rnum,
  GICXXPred_I64_Predicate_simm5,
  GICXXPred_I64_Predicate_simm5_plus1,
  GICXXPred_I64_Predicate_simm5_plus1_nonzero,
  GICXXPred_I64_Predicate_simm5nonzero,
  GICXXPred_I64_Predicate_simm6,
  GICXXPred_I64_Predicate_simm6nonzero,
  GICXXPred_I64_Predicate_simm10_lsb0000nonzero,
  GICXXPred_I64_Predicate_simm11,
  GICXXPred_I64_Predicate_simm12,
  GICXXPred_I64_Predicate_simm12Minus1Nonzero,
  GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1,
  GICXXPred_I64_Predicate_simm12Plus1,
  GICXXPred_I64_Predicate_simm12Plus1i32,
  GICXXPred_I64_Predicate_simm12_lsb00000,
  GICXXPred_I64_Predicate_simm12_no6,
  GICXXPred_I64_Predicate_simm12_plus1,
  GICXXPred_I64_Predicate_simm16nonzero,
  GICXXPred_I64_Predicate_simm26,
  GICXXPred_I64_Predicate_simm26_nosimm12,
  GICXXPred_I64_Predicate_simm32_nosimm26,
  GICXXPred_I64_Predicate_tsimm5,
  GICXXPred_I64_Predicate_tuimm5,
  GICXXPred_I64_Predicate_u32simm12,
  GICXXPred_I64_Predicate_uimm1,
  GICXXPred_I64_Predicate_uimm2,
  GICXXPred_I64_Predicate_uimm2_3,
  GICXXPred_I64_Predicate_uimm2_4,
  GICXXPred_I64_Predicate_uimm2_lsb0,
  GICXXPred_I64_Predicate_uimm3,
  GICXXPred_I64_Predicate_uimm4,
  GICXXPred_I64_Predicate_uimm5,
  GICXXPred_I64_Predicate_uimm5_lsb0,
  GICXXPred_I64_Predicate_uimm5_plus1,
  GICXXPred_I64_Predicate_uimm5ge6_plus1,
  GICXXPred_I64_Predicate_uimm5gt3,
  GICXXPred_I64_Predicate_uimm5i32,
  GICXXPred_I64_Predicate_uimm5nonzero,
  GICXXPred_I64_Predicate_uimm5slist,
  GICXXPred_I64_Predicate_uimm6,
  GICXXPred_I64_Predicate_uimm6_lsb0,
  GICXXPred_I64_Predicate_uimm6gt32,
  GICXXPred_I64_Predicate_uimm7_lsb00,
  GICXXPred_I64_Predicate_uimm7_lsb000,
  GICXXPred_I64_Predicate_uimm8_lsb00,
  GICXXPred_I64_Predicate_uimm8_lsb000,
  GICXXPred_I64_Predicate_uimm9_lsb000,
  GICXXPred_I64_Predicate_uimm10,
  GICXXPred_I64_Predicate_uimm10_lsb00nonzero,
  GICXXPred_I64_Predicate_uimm11,
  GICXXPred_I64_Predicate_uimm14lsb00,
  GICXXPred_I64_Predicate_uimm16nonzero,
  GICXXPred_I64_Predicate_uimmlog2xlen,
  GICXXPred_I64_Predicate_uimmlog2xlennonzero,
};
bool RISCVInstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_AddiPair: {
    
      // The immediate operand must be in range [-4096,-2049] or [2048,4094].
      return (-4096 <= Imm && Imm <= -2049) || (2048 <= Imm && Imm <= 4094);
    
    llvm_unreachable("AddiPair should have returned");
  }
  case GICXXPred_I64_Predicate_BCLRMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(~Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(~Imm);
    
    llvm_unreachable("BCLRMask should have returned");
  }
  case GICXXPred_I64_Predicate_LeadingOnesMask: {
    
      return !isInt<32>(Imm) && isMask_64(~Imm);
    
  }
  case GICXXPred_I64_Predicate_LeadingOnesWMask: {
    
      // If the value is a uint32 but not an int32, it must have bit 31 set and
      // bits 63:32 cleared. After that we're looking for a shifted mask but not
      // an all ones mask.
      return !isInt<32>(Imm) && isUInt<32>(Imm) && isShiftedMask_64(Imm) &&
             Imm != UINT64_C(0xffffffff);
    
    llvm_unreachable("LeadingOnesWMask should have returned");
  }
  case GICXXPred_I64_Predicate_SingleBitSetMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(Imm);
    
    llvm_unreachable("SingleBitSetMask should have returned");
  }
  case GICXXPred_I64_Predicate_allonessew8: {
    return SignExtend64<8>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew16: {
    return SignExtend64<16>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew32: {
    return SignExtend64<32>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew64: {
    return Imm == -1LL;
  }
  case GICXXPred_I64_Predicate_bare_simm9_lsb0: {
    return isShiftedInt<8, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_bare_simm12_lsb0: {
    return isShiftedInt<11, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_byteselect: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_c_lui_imm: {
    return (Imm != 0) &&
                                     (isUInt<5>(Imm) ||
                                      (Imm >= 0xfffe0 && Imm <= 0xfffff));
  }
  case GICXXPred_I64_Predicate_csr_sysreg: {
    return isUInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_immzero: {
    return (Imm == 0);
  }
  case GICXXPred_I64_Predicate_payload1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_payload2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_payload5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_powerOf2Minus1: {
     return isPowerOf2_32(Imm+1); 
  }
  case GICXXPred_I64_Predicate_rnum: {
    return (Imm >= 0 && Imm <= 10);
  }
  case GICXXPred_I64_Predicate_simm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm5_plus1: {
    return (isInt<5>(Imm) && Imm != -16) || Imm == 16;
  }
  case GICXXPred_I64_Predicate_simm5_plus1_nonzero: {
    return Imm != 0 && ((isInt<5>(Imm) && Imm != -16) || Imm == 16);
  }
  case GICXXPred_I64_Predicate_simm5nonzero: {
    return (Imm != 0) && isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6: {
    return isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6nonzero: {
    return (Imm != 0) && isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm10_lsb0000nonzero: {
    return (Imm != 0) && isShiftedInt<6, 4>(Imm);
  }
  case GICXXPred_I64_Predicate_simm11: {
    return isInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12: {
    return isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12Minus1Nonzero: {
    
      return (Imm >= -2049 && Imm < 0) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1: {
    
      return (Imm >= -2049 && Imm < -1) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Plus1: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12Plus1i32: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12_lsb00000: {
    return isShiftedInt<7, 5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12_no6: {
    
      return isInt<12>(Imm) && !isInt<6>(Imm) && isInt<12>(-Imm);
  }
  case GICXXPred_I64_Predicate_simm12_plus1: {
    return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm16nonzero: {
    return (Imm != 0) && isInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_simm26: {
    return isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_simm26_nosimm12: {
    
      return isInt<26>(Imm) && !isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm32_nosimm26: {
    
      return isInt<32>(Imm) && !isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_tsimm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_u32simm12: {
    
      return isUInt<32>(Imm) && isInt<12>(SignExtend64<32>(Imm));
    
  }
  case GICXXPred_I64_Predicate_uimm1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2_3: {
    
      return isShiftedUInt<2, 3>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_4: {
    
      return isShiftedUInt<2, 4>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_lsb0: {
    return isShiftedUInt<1, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm3: {
    return isUInt<3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm4: {
    return isUInt<4>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_lsb0: {
    return isShiftedUInt<4, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_plus1: {
    return (isUInt<5>(Imm) && (Imm != 0)) || (Imm == 32);
  }
  case GICXXPred_I64_Predicate_uimm5ge6_plus1: {
    return (Imm >= 6) && (isUInt<5>(Imm) || (Imm == 32));
  }
  case GICXXPred_I64_Predicate_uimm5gt3: {
    return (Imm > 3) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5i32: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5nonzero: {
    return (Imm != 0) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5slist: {
    return ((Imm == 0)  ||
                (Imm == 1)  ||
                (Imm == 2)  ||
                (Imm == 4)  ||
                (Imm == 8)  ||
                (Imm == 16) ||
                (Imm == 15) ||
                (Imm == 31));
  }
  case GICXXPred_I64_Predicate_uimm6: {
    return isUInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6_lsb0: {
    return isShiftedUInt<5, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6gt32: {
    
      return isUInt<6>(Imm) && Imm > 32;
    
  }
  case GICXXPred_I64_Predicate_uimm7_lsb00: {
    return isShiftedUInt<5, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm7_lsb000: {
    return isShiftedUInt<4, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb00: {
    return isShiftedUInt<6, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb000: {
    return isShiftedUInt<5, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm9_lsb000: {
    return isShiftedUInt<6, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10_lsb00nonzero: {
    return isShiftedUInt<8, 2>(Imm) && (Imm != 0);
  }
  case GICXXPred_I64_Predicate_uimm11: {
    return isUInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm14lsb00: {
    return isShiftedUInt<12, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm16nonzero: {
    return (Imm != 0) && isUInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_uimmlog2xlen: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm);
      return isUInt<5>(Imm);
    
    llvm_unreachable("uimmlog2xlen should have returned");
  }
  case GICXXPred_I64_Predicate_uimmlog2xlennonzero: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm) && (Imm != 0);
      return isUInt<5>(Imm) && (Imm != 0);
    
    llvm_unreachable("uimmlog2xlennonzero should have returned");
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool RISCVInstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APInt_Predicate_Shifted32OnesMask = GICXXPred_Invalid + 1,
  GICXXPred_APInt_Predicate_TrailingOnesMask,
};
bool RISCVInstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APInt_Predicate_Shifted32OnesMask: {
    
      if (!Imm.isShiftedMask())
        return false;
    
      unsigned TrailingZeros = Imm.countr_zero();
      return TrailingZeros > 0 && TrailingZeros < 32 &&
             Imm == UINT64_C(0xFFFFFFFF) << TrailingZeros;
    
    llvm_unreachable("Shifted32OnesMask should have returned");
  }
  case GICXXPred_APInt_Predicate_TrailingOnesMask: {
    
      return !isInt<12>(Imm.getSExtValue()) && isMask_64(Imm.getZExtValue());
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool RISCVInstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("RISCVInstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
  GICR_renderAddiPairImmLarge,
  GICR_renderAddiPairImmSmall,
  GICR_renderFrameIndex,
  GICR_renderImmPlus1,
  GICR_renderImmSubFrom32,
  GICR_renderImmSubFromXLen,
  GICR_renderNegImm,
  GICR_renderTrailingZeros,
  GICR_renderXLenSubTrailingOnes,
};
RISCVInstructionSelector::CustomRendererFn
RISCVInstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
  &RISCVInstructionSelector::renderAddiPairImmLarge,
  &RISCVInstructionSelector::renderAddiPairImmSmall,
  &RISCVInstructionSelector::renderFrameIndex,
  &RISCVInstructionSelector::renderImmPlus1,
  &RISCVInstructionSelector::renderImmSubFrom32,
  &RISCVInstructionSelector::renderImmSubFromXLen,
  &RISCVInstructionSelector::renderNegImm,
  &RISCVInstructionSelector::renderTrailingZeros,
  &RISCVInstructionSelector::renderXLenSubTrailingOnes,
};

bool RISCVInstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool RISCVInstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("RISCVInstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *RISCVInstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*       0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(329), /*)*//*default:*//*Label 121*/ GIMT_Encode4(2429249),
     /*      10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(1114),
     /*      14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(56945),
     /*      18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(76178),
     /*      22 */ /*TargetOpcode::G_SDIV*//*Label 3*/ GIMT_Encode4(103232),
     /*      26 */ /*TargetOpcode::G_UDIV*//*Label 4*/ GIMT_Encode4(105966),
     /*      30 */ /*TargetOpcode::G_SREM*//*Label 5*/ GIMT_Encode4(108700),
     /*      34 */ /*TargetOpcode::G_UREM*//*Label 6*/ GIMT_Encode4(111479), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      46 */ /*TargetOpcode::G_AND*//*Label 7*/ GIMT_Encode4(114213),
     /*      50 */ /*TargetOpcode::G_OR*//*Label 8*/ GIMT_Encode4(123657),
     /*      54 */ /*TargetOpcode::G_XOR*//*Label 9*/ GIMT_Encode4(136278), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      74 */ /*TargetOpcode::G_FRAME_INDEX*//*Label 10*/ GIMT_Encode4(151185), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      94 */ /*TargetOpcode::G_UNMERGE_VALUES*//*Label 11*/ GIMT_Encode4(151246), GIMT_Encode4(0),
     /*     102 */ /*TargetOpcode::G_MERGE_VALUES*//*Label 12*/ GIMT_Encode4(151307), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     126 */ /*TargetOpcode::G_BITCAST*//*Label 13*/ GIMT_Encode4(151398), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     142 */ /*TargetOpcode::G_INTRINSIC_TRUNC*//*Label 14*/ GIMT_Encode4(151765),
     /*     146 */ /*TargetOpcode::G_INTRINSIC_ROUND*//*Label 15*/ GIMT_Encode4(151963),
     /*     150 */ /*TargetOpcode::G_INTRINSIC_LRINT*//*Label 16*/ GIMT_Encode4(152161),
     /*     154 */ /*TargetOpcode::G_INTRINSIC_LLRINT*//*Label 17*/ GIMT_Encode4(152741),
     /*     158 */ /*TargetOpcode::G_INTRINSIC_ROUNDEVEN*//*Label 18*/ GIMT_Encode4(152951),
     /*     162 */ /*TargetOpcode::G_READCYCLECOUNTER*//*Label 19*/ GIMT_Encode4(153149),
     /*     166 */ /*TargetOpcode::G_READSTEADYCOUNTER*//*Label 20*/ GIMT_Encode4(153188),
     /*     170 */ /*TargetOpcode::G_LOAD*//*Label 21*/ GIMT_Encode4(153227),
     /*     174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 22*/ GIMT_Encode4(162993),
     /*     178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 23*/ GIMT_Encode4(164120), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     194 */ /*TargetOpcode::G_STORE*//*Label 24*/ GIMT_Encode4(165247), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     206 */ /*TargetOpcode::G_ATOMIC_CMPXCHG*//*Label 25*/ GIMT_Encode4(173349),
     /*     210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 26*/ GIMT_Encode4(178235),
     /*     214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 27*/ GIMT_Encode4(181145), GIMT_Encode4(0),
     /*     222 */ /*TargetOpcode::G_ATOMICRMW_AND*//*Label 28*/ GIMT_Encode4(184055),
     /*     226 */ /*TargetOpcode::G_ATOMICRMW_NAND*//*Label 29*/ GIMT_Encode4(186965),
     /*     230 */ /*TargetOpcode::G_ATOMICRMW_OR*//*Label 30*/ GIMT_Encode4(187877),
     /*     234 */ /*TargetOpcode::G_ATOMICRMW_XOR*//*Label 31*/ GIMT_Encode4(190787),
     /*     238 */ /*TargetOpcode::G_ATOMICRMW_MAX*//*Label 32*/ GIMT_Encode4(193697),
     /*     242 */ /*TargetOpcode::G_ATOMICRMW_MIN*//*Label 33*/ GIMT_Encode4(196607),
     /*     246 */ /*TargetOpcode::G_ATOMICRMW_UMAX*//*Label 34*/ GIMT_Encode4(199517),
     /*     250 */ /*TargetOpcode::G_ATOMICRMW_UMIN*//*Label 35*/ GIMT_Encode4(202427), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     286 */ /*TargetOpcode::G_FENCE*//*Label 36*/ GIMT_Encode4(205337), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     306 */ /*TargetOpcode::G_INTRINSIC*//*Label 37*/ GIMT_Encode4(205555),
     /*     310 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 38*/ GIMT_Encode4(2190942), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     322 */ /*TargetOpcode::G_ANYEXT*//*Label 39*/ GIMT_Encode4(2192458), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     346 */ /*TargetOpcode::G_SEXT*//*Label 40*/ GIMT_Encode4(2195579),
     /*     350 */ /*TargetOpcode::G_SEXT_INREG*//*Label 41*/ GIMT_Encode4(2199054),
     /*     354 */ /*TargetOpcode::G_ZEXT*//*Label 42*/ GIMT_Encode4(2199603),
     /*     358 */ /*TargetOpcode::G_SHL*//*Label 43*/ GIMT_Encode4(2203290),
     /*     362 */ /*TargetOpcode::G_LSHR*//*Label 44*/ GIMT_Encode4(2211886),
     /*     366 */ /*TargetOpcode::G_ASHR*//*Label 45*/ GIMT_Encode4(2214917), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     378 */ /*TargetOpcode::G_ROTR*//*Label 46*/ GIMT_Encode4(2217856),
     /*     382 */ /*TargetOpcode::G_ROTL*//*Label 47*/ GIMT_Encode4(2220796),
     /*     386 */ /*TargetOpcode::G_ICMP*//*Label 48*/ GIMT_Encode4(2223706),
     /*     390 */ /*TargetOpcode::G_FCMP*//*Label 49*/ GIMT_Encode4(2250369), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     402 */ /*TargetOpcode::G_SELECT*//*Label 50*/ GIMT_Encode4(2257831), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     446 */ /*TargetOpcode::G_UMULH*//*Label 51*/ GIMT_Encode4(2262223),
     /*     450 */ /*TargetOpcode::G_SMULH*//*Label 52*/ GIMT_Encode4(2264957),
     /*     454 */ /*TargetOpcode::G_UADDSAT*//*Label 53*/ GIMT_Encode4(2267691),
     /*     458 */ /*TargetOpcode::G_SADDSAT*//*Label 54*/ GIMT_Encode4(2270477),
     /*     462 */ /*TargetOpcode::G_USUBSAT*//*Label 55*/ GIMT_Encode4(2273263),
     /*     466 */ /*TargetOpcode::G_SSUBSAT*//*Label 56*/ GIMT_Encode4(2276049), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     510 */ /*TargetOpcode::G_FADD*//*Label 57*/ GIMT_Encode4(2278835),
     /*     514 */ /*TargetOpcode::G_FSUB*//*Label 58*/ GIMT_Encode4(2281263),
     /*     518 */ /*TargetOpcode::G_FMUL*//*Label 59*/ GIMT_Encode4(2283691),
     /*     522 */ /*TargetOpcode::G_FMA*//*Label 60*/ GIMT_Encode4(2286119), GIMT_Encode4(0),
     /*     530 */ /*TargetOpcode::G_FDIV*//*Label 61*/ GIMT_Encode4(2302764), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     578 */ /*TargetOpcode::G_FNEG*//*Label 62*/ GIMT_Encode4(2305192),
     /*     582 */ /*TargetOpcode::G_FPEXT*//*Label 63*/ GIMT_Encode4(2307163),
     /*     586 */ /*TargetOpcode::G_FPTRUNC*//*Label 64*/ GIMT_Encode4(2307616),
     /*     590 */ /*TargetOpcode::G_FPTOSI*//*Label 65*/ GIMT_Encode4(2309152),
     /*     594 */ /*TargetOpcode::G_FPTOUI*//*Label 66*/ GIMT_Encode4(2314038),
     /*     598 */ /*TargetOpcode::G_SITOFP*//*Label 67*/ GIMT_Encode4(2318924),
     /*     602 */ /*TargetOpcode::G_UITOFP*//*Label 68*/ GIMT_Encode4(2324210), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     614 */ /*TargetOpcode::G_FABS*//*Label 69*/ GIMT_Encode4(2329496),
     /*     618 */ /*TargetOpcode::G_FCOPYSIGN*//*Label 70*/ GIMT_Encode4(2331467), GIMT_Encode4(0),
     /*     626 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 71*/ GIMT_Encode4(2337529),
     /*     630 */ /*TargetOpcode::G_FMINNUM*//*Label 72*/ GIMT_Encode4(2337719),
     /*     634 */ /*TargetOpcode::G_FMAXNUM*//*Label 73*/ GIMT_Encode4(2339804), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     646 */ /*TargetOpcode::G_FMINIMUM*//*Label 74*/ GIMT_Encode4(2341889),
     /*     650 */ /*TargetOpcode::G_FMAXIMUM*//*Label 75*/ GIMT_Encode4(2342015), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     686 */ /*TargetOpcode::G_SMIN*//*Label 76*/ GIMT_Encode4(2342141),
     /*     690 */ /*TargetOpcode::G_SMAX*//*Label 77*/ GIMT_Encode4(2344917),
     /*     694 */ /*TargetOpcode::G_UMIN*//*Label 78*/ GIMT_Encode4(2347693),
     /*     698 */ /*TargetOpcode::G_UMAX*//*Label 79*/ GIMT_Encode4(2350469),
     /*     702 */ /*TargetOpcode::G_ABS*//*Label 80*/ GIMT_Encode4(2353245),
     /*     706 */ /*TargetOpcode::G_LROUND*//*Label 81*/ GIMT_Encode4(2353403),
     /*     710 */ /*TargetOpcode::G_LLROUND*//*Label 82*/ GIMT_Encode4(2353983),
     /*     714 */ /*TargetOpcode::G_BR*//*Label 83*/ GIMT_Encode4(2354193), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     758 */ /*TargetOpcode::G_CTTZ*//*Label 84*/ GIMT_Encode4(2354209), GIMT_Encode4(0),
     /*     766 */ /*TargetOpcode::G_CTLZ*//*Label 85*/ GIMT_Encode4(2356729), GIMT_Encode4(0),
     /*     774 */ /*TargetOpcode::G_CTPOP*//*Label 86*/ GIMT_Encode4(2359387),
     /*     778 */ /*TargetOpcode::G_BSWAP*//*Label 87*/ GIMT_Encode4(2361938),
     /*     782 */ /*TargetOpcode::G_BITREVERSE*//*Label 88*/ GIMT_Encode4(2364473),
     /*     786 */ /*TargetOpcode::G_FCEIL*//*Label 89*/ GIMT_Encode4(2366967), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     834 */ /*TargetOpcode::G_FSQRT*//*Label 90*/ GIMT_Encode4(2367165),
     /*     838 */ /*TargetOpcode::G_FFLOOR*//*Label 91*/ GIMT_Encode4(2369341),
     /*     842 */ /*TargetOpcode::G_FRINT*//*Label 92*/ GIMT_Encode4(2369539),
     /*     846 */ /*TargetOpcode::G_FNEARBYINT*//*Label 93*/ GIMT_Encode4(2369737), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     874 */ /*TargetOpcode::G_STRICT_FADD*//*Label 94*/ GIMT_Encode4(2369935),
     /*     878 */ /*TargetOpcode::G_STRICT_FSUB*//*Label 95*/ GIMT_Encode4(2372363),
     /*     882 */ /*TargetOpcode::G_STRICT_FMUL*//*Label 96*/ GIMT_Encode4(2374791),
     /*     886 */ /*TargetOpcode::G_STRICT_FDIV*//*Label 97*/ GIMT_Encode4(2377219), GIMT_Encode4(0),
     /*     894 */ /*TargetOpcode::G_STRICT_FMA*//*Label 98*/ GIMT_Encode4(2379647),
     /*     898 */ /*TargetOpcode::G_STRICT_FSQRT*//*Label 99*/ GIMT_Encode4(2396292), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     934 */ /*TargetOpcode::G_TRAP*//*Label 100*/ GIMT_Encode4(2398468),
     /*     938 */ /*TargetOpcode::G_DEBUGTRAP*//*Label 101*/ GIMT_Encode4(2398481), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    1034 */ /*RISCV::G_CLZW*//*Label 102*/ GIMT_Encode4(2398494),
     /*    1038 */ /*RISCV::G_CTZW*//*Label 103*/ GIMT_Encode4(2398589),
     /*    1042 */ /*RISCV::G_DIVUW*//*Label 104*/ GIMT_Encode4(2398619),
     /*    1046 */ /*RISCV::G_DIVW*//*Label 105*/ GIMT_Encode4(2398656),
     /*    1050 */ /*RISCV::G_FCLASS*//*Label 106*/ GIMT_Encode4(2398693),
     /*    1054 */ /*RISCV::G_FCVT_WU_RV64*//*Label 107*/ GIMT_Encode4(2399053),
     /*    1058 */ /*RISCV::G_FCVT_W_RV64*//*Label 108*/ GIMT_Encode4(2399251),
     /*    1062 */ /*RISCV::G_READ_VLENB*//*Label 109*/ GIMT_Encode4(2399449),
     /*    1066 */ /*RISCV::G_REMUW*//*Label 110*/ GIMT_Encode4(2399509),
     /*    1070 */ /*RISCV::G_ROLW*//*Label 111*/ GIMT_Encode4(2399546),
     /*    1074 */ /*RISCV::G_RORW*//*Label 112*/ GIMT_Encode4(2399671),
     /*    1078 */ /*RISCV::G_SLLW*//*Label 113*/ GIMT_Encode4(2399792), GIMT_Encode4(0),
     /*    1086 */ /*RISCV::G_SRAW*//*Label 114*/ GIMT_Encode4(2399839),
     /*    1090 */ /*RISCV::G_SRLW*//*Label 115*/ GIMT_Encode4(2399886),
     /*    1094 */ /*RISCV::G_VMCLR_VL*//*Label 116*/ GIMT_Encode4(2399933),
     /*    1098 */ /*RISCV::G_VMSET_VL*//*Label 117*/ GIMT_Encode4(2400582),
     /*    1102 */ /*RISCV::G_VMV_V_V_VL*//*Label 118*/ GIMT_Encode4(2401231),
     /*    1106 */ /*RISCV::G_VSLIDEDOWN_VL*//*Label 119*/ GIMT_Encode4(2405489),
     /*    1110 */ /*RISCV::G_VSLIDEUP_VL*//*Label 120*/ GIMT_Encode4(2417369),
     /*    1114 */ // Label 0: @1114
     /*    1114 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 146*/ GIMT_Encode4(56944),
     /*    1125 */ /*GILLT_s32*//*Label 122*/ GIMT_Encode4(1249),
     /*    1129 */ /*GILLT_s64*//*Label 123*/ GIMT_Encode4(2818), GIMT_Encode4(0),
     /*    1137 */ /*GILLT_nxv1s8*//*Label 124*/ GIMT_Encode4(7304),
     /*    1141 */ /*GILLT_nxv1s16*//*Label 125*/ GIMT_Encode4(7699),
     /*    1145 */ /*GILLT_nxv1s32*//*Label 126*/ GIMT_Encode4(10824),
     /*    1149 */ /*GILLT_nxv1s64*//*Label 127*/ GIMT_Encode4(13949), GIMT_Encode4(0),
     /*    1157 */ /*GILLT_nxv2s8*//*Label 128*/ GIMT_Encode4(17074),
     /*    1161 */ /*GILLT_nxv2s16*//*Label 129*/ GIMT_Encode4(17469),
     /*    1165 */ /*GILLT_nxv2s32*//*Label 130*/ GIMT_Encode4(20594),
     /*    1169 */ /*GILLT_nxv2s64*//*Label 131*/ GIMT_Encode4(23719), GIMT_Encode4(0),
     /*    1177 */ /*GILLT_nxv4s8*//*Label 132*/ GIMT_Encode4(26844),
     /*    1181 */ /*GILLT_nxv4s16*//*Label 133*/ GIMT_Encode4(27239),
     /*    1185 */ /*GILLT_nxv4s32*//*Label 134*/ GIMT_Encode4(30364),
     /*    1189 */ /*GILLT_nxv4s64*//*Label 135*/ GIMT_Encode4(33489), GIMT_Encode4(0),
     /*    1197 */ /*GILLT_nxv8s8*//*Label 136*/ GIMT_Encode4(36614),
     /*    1201 */ /*GILLT_nxv8s16*//*Label 137*/ GIMT_Encode4(37009),
     /*    1205 */ /*GILLT_nxv8s32*//*Label 138*/ GIMT_Encode4(40134),
     /*    1209 */ /*GILLT_nxv8s64*//*Label 139*/ GIMT_Encode4(43259), GIMT_Encode4(0),
     /*    1217 */ /*GILLT_nxv16s8*//*Label 140*/ GIMT_Encode4(46384),
     /*    1221 */ /*GILLT_nxv16s16*//*Label 141*/ GIMT_Encode4(46779),
     /*    1225 */ /*GILLT_nxv16s32*//*Label 142*/ GIMT_Encode4(49904), GIMT_Encode4(0),
     /*    1233 */ /*GILLT_nxv32s8*//*Label 143*/ GIMT_Encode4(53029),
     /*    1237 */ /*GILLT_nxv32s16*//*Label 144*/ GIMT_Encode4(53424), GIMT_Encode4(0),
     /*    1245 */ /*GILLT_nxv64s8*//*Label 145*/ GIMT_Encode4(56549),
     /*    1249 */ // Label 122: @1249
     /*    1249 */ GIM_Try, /*On fail goto*//*Label 147*/ GIMT_Encode4(2817),
     /*    1254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*    1257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*    1260 */   GIM_Try, /*On fail goto*//*Label 148*/ GIMT_Encode4(1308), // Rule ID 2429 //
     /*    1265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1272 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    1276 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    1280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1284 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1295 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1:$pred:2:x, GPR:{ *:[i32] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1300 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1306 */     GIR_RootConstrainSelectedInstOperands,
     /*    1307 */     // GIR_Coverage, 2429,
     /*    1307 */     GIR_EraseRootFromParent_Done,
     /*    1308 */   // Label 148: @1308
     /*    1308 */   GIM_Try, /*On fail goto*//*Label 149*/ GIMT_Encode4(1356), // Rule ID 2439 //
     /*    1313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1320 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    1324 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    1328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1332 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1343 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1:$pred:4:x, GPR:{ *:[i32] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1348 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1354 */     GIR_RootConstrainSelectedInstOperands,
     /*    1355 */     // GIR_Coverage, 2439,
     /*    1355 */     GIR_EraseRootFromParent_Done,
     /*    1356 */   // Label 149: @1356
     /*    1356 */   GIM_Try, /*On fail goto*//*Label 150*/ GIMT_Encode4(1404), // Rule ID 2449 //
     /*    1361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1368 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    1372 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    1376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1380 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1391 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1:$pred:6:x, GPR:{ *:[i32] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1396 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1402 */     GIR_RootConstrainSelectedInstOperands,
     /*    1403 */     // GIR_Coverage, 2449,
     /*    1403 */     GIR_EraseRootFromParent_Done,
     /*    1404 */   // Label 150: @1404
     /*    1404 */   GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(1455), // Rule ID 61935 //
     /*    1409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1416 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    1420 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    1424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1428 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1439 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs2:$pred:24:x, GPR:{ *:[i32] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1446 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1453 */     GIR_RootConstrainSelectedInstOperands,
     /*    1454 */     // GIR_Coverage, 61935,
     /*    1454 */     GIR_EraseRootFromParent_Done,
     /*    1455 */   // Label 151: @1455
     /*    1455 */   GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(1506), // Rule ID 61939 //
     /*    1460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1467 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    1471 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    1475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1479 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1490 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs2:$pred:25:x, GPR:{ *:[i32] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1497 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1504 */     GIR_RootConstrainSelectedInstOperands,
     /*    1505 */     // GIR_Coverage, 61939,
     /*    1505 */     GIR_EraseRootFromParent_Done,
     /*    1506 */   // Label 152: @1506
     /*    1506 */   GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(1557), // Rule ID 61943 //
     /*    1511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1518 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    1522 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    1526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1530 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1541 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs2:$pred:26:x, GPR:{ *:[i32] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1548 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1555 */     GIR_RootConstrainSelectedInstOperands,
     /*    1556 */     // GIR_Coverage, 61943,
     /*    1556 */     GIR_EraseRootFromParent_Done,
     /*    1557 */   // Label 153: @1557
     /*    1557 */   GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(1605), // Rule ID 64370 //
     /*    1562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1569 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    1573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1577 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    1581 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1592 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:2:y, sh1add_op:{ *:[i32] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1597 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1603 */     GIR_RootConstrainSelectedInstOperands,
     /*    1604 */     // GIR_Coverage, 64370,
     /*    1604 */     GIR_EraseRootFromParent_Done,
     /*    1605 */   // Label 154: @1605
     /*    1605 */   GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(1653), // Rule ID 64378 //
     /*    1610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1617 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    1621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1625 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    1629 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1640 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:4:y, sh2add_op:{ *:[i32] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1645 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1651 */     GIR_RootConstrainSelectedInstOperands,
     /*    1652 */     // GIR_Coverage, 64378,
     /*    1652 */     GIR_EraseRootFromParent_Done,
     /*    1653 */   // Label 155: @1653
     /*    1653 */   GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(1701), // Rule ID 64386 //
     /*    1658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1665 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    1669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1673 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    1677 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1688 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:6:y, sh3add_op:{ *:[i32] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1693 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1699 */     GIR_RootConstrainSelectedInstOperands,
     /*    1700 */     // GIR_Coverage, 64386,
     /*    1700 */     GIR_EraseRootFromParent_Done,
     /*    1701 */   // Label 156: @1701
     /*    1701 */   GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(1752), // Rule ID 72924 //
     /*    1706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1713 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    1717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1721 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    1725 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1736 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:24:y, sh1add_op:{ *:[i32] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1743 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1750 */     GIR_RootConstrainSelectedInstOperands,
     /*    1751 */     // GIR_Coverage, 72924,
     /*    1751 */     GIR_EraseRootFromParent_Done,
     /*    1752 */   // Label 157: @1752
     /*    1752 */   GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(1803), // Rule ID 72928 //
     /*    1757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1764 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    1768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1772 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    1776 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1787 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:25:y, sh2add_op:{ *:[i32] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1794 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1801 */     GIR_RootConstrainSelectedInstOperands,
     /*    1802 */     // GIR_Coverage, 72928,
     /*    1802 */     GIR_EraseRootFromParent_Done,
     /*    1803 */   // Label 158: @1803
     /*    1803 */   GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(1854), // Rule ID 72932 //
     /*    1808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1815 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    1819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1823 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    1827 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1838 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:26:y, sh3add_op:{ *:[i32] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1845 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1852 */     GIR_RootConstrainSelectedInstOperands,
     /*    1853 */     // GIR_Coverage, 72932,
     /*    1853 */     GIR_EraseRootFromParent_Done,
     /*    1854 */   // Label 159: @1854
     /*    1854 */   GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(1922), // Rule ID 2423 //
     /*    1859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1866 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    1870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    1874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    1878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    1882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    1886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1891 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    1895 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    1899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1903 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    1909 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x, GPR:{ *:[i32] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    1918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1920 */     GIR_RootConstrainSelectedInstOperands,
     /*    1921 */     // GIR_Coverage, 2423,
     /*    1921 */     GIR_EraseRootFromParent_Done,
     /*    1922 */   // Label 160: @1922
     /*    1922 */   GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(1990), // Rule ID 2433 //
     /*    1927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1934 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    1938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    1942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    1946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    1950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    1954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1959 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    1963 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    1967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1971 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    1977 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x, GPR:{ *:[i32] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    1986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1988 */     GIR_RootConstrainSelectedInstOperands,
     /*    1989 */     // GIR_Coverage, 2433,
     /*    1989 */     GIR_EraseRootFromParent_Done,
     /*    1990 */   // Label 161: @1990
     /*    1990 */   GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(2058), // Rule ID 2443 //
     /*    1995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2002 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    2006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2027 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2031 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    2035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2039 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2045 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x, GPR:{ *:[i32] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2056 */     GIR_RootConstrainSelectedInstOperands,
     /*    2057 */     // GIR_Coverage, 2443,
     /*    2057 */     GIR_EraseRootFromParent_Done,
     /*    2058 */   // Label 162: @2058
     /*    2058 */   GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(2126), // Rule ID 64366 //
     /*    2063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2070 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    2074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2078 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    2082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2103 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2107 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2113 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:1:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    2116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2124 */     GIR_RootConstrainSelectedInstOperands,
     /*    2125 */     // GIR_Coverage, 64366,
     /*    2125 */     GIR_EraseRootFromParent_Done,
     /*    2126 */   // Label 163: @2126
     /*    2126 */   GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(2194), // Rule ID 64374 //
     /*    2131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2138 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    2142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2146 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    2150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2166 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2171 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2175 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2181 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:3:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    2184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2192 */     GIR_RootConstrainSelectedInstOperands,
     /*    2193 */     // GIR_Coverage, 64374,
     /*    2193 */     GIR_EraseRootFromParent_Done,
     /*    2194 */   // Label 164: @2194
     /*    2194 */   GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(2262), // Rule ID 64382 //
     /*    2199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2206 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    2210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2214 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    2218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2239 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2243 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2249 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:5:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2260 */     GIR_RootConstrainSelectedInstOperands,
     /*    2261 */     // GIR_Coverage, 64382,
     /*    2261 */     GIR_EraseRootFromParent_Done,
     /*    2262 */   // Label 165: @2262
     /*    2262 */   GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(2341), // Rule ID 61929 //
     /*    2267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2274 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    2278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2290 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    2303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2307 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    2311 */     // MIs[2] Operand 1
     /*    2311 */     // No operand predicates
     /*    2311 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    2315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2319 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2325 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i32] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    2325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    2332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    2336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    2339 */     GIR_RootConstrainSelectedInstOperands,
     /*    2340 */     // GIR_Coverage, 61929,
     /*    2340 */     GIR_EraseRootFromParent_Done,
     /*    2341 */   // Label 166: @2341
     /*    2341 */   GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(2420), // Rule ID 72920 //
     /*    2346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2353 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    2357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2361 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    2365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2377 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    2390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2394 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    2398 */     // MIs[2] Operand 1
     /*    2398 */     // No operand predicates
     /*    2398 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2404 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:23:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    2404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    2415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    2418 */     GIR_RootConstrainSelectedInstOperands,
     /*    2419 */     // GIR_Coverage, 72920,
     /*    2419 */     GIR_EraseRootFromParent_Done,
     /*    2420 */   // Label 167: @2420
     /*    2420 */   GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(2469), // Rule ID 115 //
     /*    2425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    2440 */     // MIs[1] Operand 1
     /*    2440 */     // No operand predicates
     /*    2440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    2444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2448 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    2452 */     // MIs[2] Operand 1
     /*    2452 */     // No operand predicates
     /*    2452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2454 */     // (add:{ *:[i32] } (frameindex:{ *:[i32] }):$fi, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i32] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i32] }:$fi), (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)
     /*    2454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2459 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    2464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    2467 */     GIR_RootConstrainSelectedInstOperands,
     /*    2468 */     // GIR_Coverage, 115,
     /*    2468 */     GIR_EraseRootFromParent_Done,
     /*    2469 */   // Label 168: @2469
     /*    2469 */   GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(2511), // Rule ID 75 //
     /*    2474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    2497 */     // MIs[1] Operand 1
     /*    2497 */     // No operand predicates
     /*    2497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2499 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*    2499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    2509 */     GIR_RootConstrainSelectedInstOperands,
     /*    2510 */     // GIR_Coverage, 75,
     /*    2510 */     GIR_EraseRootFromParent_Done,
     /*    2511 */   // Label 169: @2511
     /*    2511 */   GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(2583), // Rule ID 286 //
     /*    2516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    2539 */     // MIs[1] Operand 1
     /*    2539 */     // No operand predicates
     /*    2539 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10033),
     /*    2543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2545 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10033>>:$rs2)  =>  (ADDI:{ *:[i32] } (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (AddiPairImmLarge:{ *:[i32] } (imm:{ *:[i32] }):$rs2)), (AddiPairImmSmall:{ *:[i32] } (imm:{ *:[i32] }):$rs2))
     /*    2545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*    2548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    2557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    2561 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    2566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    2568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    2576 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    2581 */     GIR_RootConstrainSelectedInstOperands,
     /*    2582 */     // GIR_Coverage, 286,
     /*    2582 */     GIR_EraseRootFromParent_Done,
     /*    2583 */   // Label 170: @2583
     /*    2583 */   GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(2625), // Rule ID 63928 //
     /*    2588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*    2591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*    2611 */     // MIs[1] Operand 1
     /*    2611 */     // No operand predicates
     /*    2611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2613 */     // (add:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ADDAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*    2613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ADDAI),
     /*    2616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    2623 */     GIR_RootConstrainSelectedInstOperands,
     /*    2624 */     // GIR_Coverage, 63928,
     /*    2624 */     GIR_EraseRootFromParent_Done,
     /*    2625 */   // Label 171: @2625
     /*    2625 */   GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(2667), // Rule ID 63932 //
     /*    2630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*    2633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    2641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*    2653 */     // MIs[1] Operand 1
     /*    2653 */     // No operand predicates
     /*    2653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2655 */     // (add:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ADDI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*    2655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ADDI),
     /*    2658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    2665 */     GIR_RootConstrainSelectedInstOperands,
     /*    2666 */     // GIR_Coverage, 63932,
     /*    2666 */     GIR_EraseRootFromParent_Done,
     /*    2667 */   // Label 172: @2667
     /*    2667 */   GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(2728), // Rule ID 72934 //
     /*    2672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    2675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    2687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2691 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2711 */     // (add:{ *:[i32] } (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rd)  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    2714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    2718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    2726 */     GIR_RootConstrainSelectedInstOperands,
     /*    2727 */     // GIR_Coverage, 72934,
     /*    2727 */     GIR_EraseRootFromParent_Done,
     /*    2728 */   // Label 173: @2728
     /*    2728 */   GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(2789), // Rule ID 61997 //
     /*    2733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    2736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    2752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2756 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2760 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2772 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    2775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    2779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    2787 */     GIR_RootConstrainSelectedInstOperands,
     /*    2788 */     // GIR_Coverage, 61997,
     /*    2788 */     GIR_EraseRootFromParent_Done,
     /*    2789 */   // Label 174: @2789
     /*    2789 */   GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(2816), // Rule ID 73 //
     /*    2794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2809 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2809 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    2814 */     GIR_RootConstrainSelectedInstOperands,
     /*    2815 */     // GIR_Coverage, 73,
     /*    2815 */     GIR_Done,
     /*    2816 */   // Label 175: @2816
     /*    2816 */   GIM_Reject,
     /*    2817 */ // Label 147: @2817
     /*    2817 */ GIM_Reject,
     /*    2818 */ // Label 123: @2818
     /*    2818 */ GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(7303),
     /*    2823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*    2826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*    2829 */   GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(2924), // Rule ID 2473 //
     /*    2834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    2837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2841 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:11:x
     /*    2845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    2853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    2857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    2861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    2865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    2873 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    2877 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2882 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    2886 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    2897 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:11:y
     /*    2901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2905 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2911 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:11:x, GPR:{ *:[i64] }:$rs2:$pred:11:y)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    2911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    2914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    2920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2922 */     GIR_RootConstrainSelectedInstOperands,
     /*    2923 */     // GIR_Coverage, 2473,
     /*    2923 */     GIR_EraseRootFromParent_Done,
     /*    2924 */   // Label 177: @2924
     /*    2924 */   GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(3019), // Rule ID 2475 //
     /*    2929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    2932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2936 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:12:x
     /*    2940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    2948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    2952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    2956 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    2960 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2964 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    2968 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    2972 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2977 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    2981 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    2992 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:12:y
     /*    2996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3000 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3004 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3006 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x, GPR:{ *:[i64] }:$rs2:$pred:12:y)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3017 */     GIR_RootConstrainSelectedInstOperands,
     /*    3018 */     // GIR_Coverage, 2475,
     /*    3018 */     GIR_EraseRootFromParent_Done,
     /*    3019 */   // Label 178: @3019
     /*    3019 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(3114), // Rule ID 2477 //
     /*    3024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3031 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:13:x
     /*    3035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3063 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3067 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3072 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 3,
     /*    3076 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738367),
     /*    3087 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:13:y
     /*    3091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3095 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3099 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3101 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), 34359738367:{ *:[i64] }):$pred:13:x, GPR:{ *:[i64] }:$rs2:$pred:13:y)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3112 */     GIR_RootConstrainSelectedInstOperands,
     /*    3113 */     // GIR_Coverage, 2477,
     /*    3113 */     GIR_EraseRootFromParent_Done,
     /*    3114 */   // Label 179: @3114
     /*    3114 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(3209), // Rule ID 2464 //
     /*    3119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3126 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:8:x
     /*    3130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3158 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3162 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3167 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3178 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    3182 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:8:y
     /*    3186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3190 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3194 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3196 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x, GPR:{ *:[i64] }:$rs2:$pred:8:y)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3207 */     GIR_RootConstrainSelectedInstOperands,
     /*    3208 */     // GIR_Coverage, 2464,
     /*    3208 */     GIR_EraseRootFromParent_Done,
     /*    3209 */   // Label 180: @3209
     /*    3209 */   GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(3304), // Rule ID 2467 //
     /*    3214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3221 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:9:x
     /*    3225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3253 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3257 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3262 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3273 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    3277 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:9:y
     /*    3281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3285 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3289 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3291 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:9:x, GPR:{ *:[i64] }:$rs2:$pred:9:y)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3302 */     GIR_RootConstrainSelectedInstOperands,
     /*    3303 */     // GIR_Coverage, 2467,
     /*    3303 */     GIR_EraseRootFromParent_Done,
     /*    3304 */   // Label 181: @3304
     /*    3304 */   GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(3399), // Rule ID 2470 //
     /*    3309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3316 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:10:x
     /*    3320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3348 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3357 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3368 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    3372 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:10:y
     /*    3376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3380 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3384 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3386 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:10:x, GPR:{ *:[i64] }:$rs2:$pred:10:y)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3397 */     GIR_RootConstrainSelectedInstOperands,
     /*    3398 */     // GIR_Coverage, 2470,
     /*    3398 */     GIR_EraseRootFromParent_Done,
     /*    3399 */   // Label 182: @3399
     /*    3399 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(3494), // Rule ID 64396 //
     /*    3404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3411 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:11:y
     /*    3415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3419 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:11:x
     /*    3423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3451 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3460 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    3464 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    3475 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3481 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:11:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:11:x)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3492 */     GIR_RootConstrainSelectedInstOperands,
     /*    3493 */     // GIR_Coverage, 64396,
     /*    3493 */     GIR_EraseRootFromParent_Done,
     /*    3494 */   // Label 183: @3494
     /*    3494 */   GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(3589), // Rule ID 64398 //
     /*    3499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3506 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:12:y
     /*    3510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3514 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:12:x
     /*    3518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3530 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3546 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3550 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3555 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    3559 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    3570 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3574 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3576 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:12:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3587 */     GIR_RootConstrainSelectedInstOperands,
     /*    3588 */     // GIR_Coverage, 64398,
     /*    3588 */     GIR_EraseRootFromParent_Done,
     /*    3589 */   // Label 184: @3589
     /*    3589 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(3684), // Rule ID 64400 //
     /*    3594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3601 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:13:y
     /*    3605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3609 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:13:x
     /*    3613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3641 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3645 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3650 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 3,
     /*    3654 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738367),
     /*    3665 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3669 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3671 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:13:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), 34359738367:{ *:[i64] }):$pred:13:x)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3682 */     GIR_RootConstrainSelectedInstOperands,
     /*    3683 */     // GIR_Coverage, 64400,
     /*    3683 */     GIR_EraseRootFromParent_Done,
     /*    3684 */   // Label 185: @3684
     /*    3684 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(3779), // Rule ID 64390 //
     /*    3689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3696 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:8:y
     /*    3700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3704 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:8:x
     /*    3708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3736 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3740 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3745 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3756 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    3760 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3766 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:8:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3777 */     GIR_RootConstrainSelectedInstOperands,
     /*    3778 */     // GIR_Coverage, 64390,
     /*    3778 */     GIR_EraseRootFromParent_Done,
     /*    3779 */   // Label 186: @3779
     /*    3779 */   GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(3874), // Rule ID 64392 //
     /*    3784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3791 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:9:y
     /*    3795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3799 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:9:x
     /*    3803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3831 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3835 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3840 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3851 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    3855 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3859 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3861 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:9:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:9:x)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3872 */     GIR_RootConstrainSelectedInstOperands,
     /*    3873 */     // GIR_Coverage, 64392,
     /*    3873 */     GIR_EraseRootFromParent_Done,
     /*    3874 */   // Label 187: @3874
     /*    3874 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(3969), // Rule ID 64394 //
     /*    3879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3886 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:10:y
     /*    3890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3894 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:10:x
     /*    3898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3926 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3935 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3946 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    3950 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3954 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3956 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:10:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:10:x)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3967 */     GIR_RootConstrainSelectedInstOperands,
     /*    3968 */     // GIR_Coverage, 64394,
     /*    3968 */     GIR_EraseRootFromParent_Done,
     /*    3969 */   // Label 188: @3969
     /*    3969 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(4017), // Rule ID 2428 //
     /*    3974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    3977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3981 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    3985 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    3989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3993 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4004 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1:$pred:2:x, GPR:{ *:[i64] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    4007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4009 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4015 */     GIR_RootConstrainSelectedInstOperands,
     /*    4016 */     // GIR_Coverage, 2428,
     /*    4016 */     GIR_EraseRootFromParent_Done,
     /*    4017 */   // Label 189: @4017
     /*    4017 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(4065), // Rule ID 2438 //
     /*    4022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4029 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    4033 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    4037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4041 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4052 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1:$pred:4:x, GPR:{ *:[i64] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    4055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4057 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4063 */     GIR_RootConstrainSelectedInstOperands,
     /*    4064 */     // GIR_Coverage, 2438,
     /*    4064 */     GIR_EraseRootFromParent_Done,
     /*    4065 */   // Label 190: @4065
     /*    4065 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(4113), // Rule ID 2448 //
     /*    4070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4077 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    4081 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    4085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4089 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4100 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1:$pred:6:x, GPR:{ *:[i64] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    4103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4105 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4111 */     GIR_RootConstrainSelectedInstOperands,
     /*    4112 */     // GIR_Coverage, 2448,
     /*    4112 */     GIR_EraseRootFromParent_Done,
     /*    4113 */   // Label 191: @4113
     /*    4113 */   GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(4161), // Rule ID 2479 //
     /*    4118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4125 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:14:x
     /*    4129 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:14:y
     /*    4133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4137 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    4148 */     // (add:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1:$pred:14:x, GPR:{ *:[i64] }:$rs2:$pred:14:y)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4153 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4159 */     GIR_RootConstrainSelectedInstOperands,
     /*    4160 */     // GIR_Coverage, 2479,
     /*    4160 */     GIR_EraseRootFromParent_Done,
     /*    4161 */   // Label 192: @4161
     /*    4161 */   GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(4209), // Rule ID 2481 //
     /*    4166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4173 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:15:x
     /*    4177 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:15:y
     /*    4181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4185 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    4196 */     // (add:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1:$pred:15:x, GPR:{ *:[i64] }:$rs2:$pred:15:y)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4201 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4207 */     GIR_RootConstrainSelectedInstOperands,
     /*    4208 */     // GIR_Coverage, 2481,
     /*    4208 */     GIR_EraseRootFromParent_Done,
     /*    4209 */   // Label 193: @4209
     /*    4209 */   GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(4257), // Rule ID 2483 //
     /*    4214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4221 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:16:x
     /*    4225 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:16:y
     /*    4229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4233 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    4244 */     // (add:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1:$pred:16:x, GPR:{ *:[i64] }:$rs2:$pred:16:y)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4249 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4255 */     GIR_RootConstrainSelectedInstOperands,
     /*    4256 */     // GIR_Coverage, 2483,
     /*    4256 */     GIR_EraseRootFromParent_Done,
     /*    4257 */   // Label 194: @4257
     /*    4257 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(4308), // Rule ID 61934 //
     /*    4262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4269 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    4273 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    4277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4281 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4292 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs2:$pred:24:x, GPR:{ *:[i64] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    4292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4299 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    4306 */     GIR_RootConstrainSelectedInstOperands,
     /*    4307 */     // GIR_Coverage, 61934,
     /*    4307 */     GIR_EraseRootFromParent_Done,
     /*    4308 */   // Label 195: @4308
     /*    4308 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(4359), // Rule ID 61938 //
     /*    4313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4320 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    4324 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    4328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4332 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4343 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs2:$pred:25:x, GPR:{ *:[i64] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    4343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4350 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    4357 */     GIR_RootConstrainSelectedInstOperands,
     /*    4358 */     // GIR_Coverage, 61938,
     /*    4358 */     GIR_EraseRootFromParent_Done,
     /*    4359 */   // Label 196: @4359
     /*    4359 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(4410), // Rule ID 61942 //
     /*    4364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4371 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    4375 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    4379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4383 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4394 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs2:$pred:26:x, GPR:{ *:[i64] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    4394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4401 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    4408 */     GIR_RootConstrainSelectedInstOperands,
     /*    4409 */     // GIR_Coverage, 61942,
     /*    4409 */     GIR_EraseRootFromParent_Done,
     /*    4410 */   // Label 197: @4410
     /*    4410 */   GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(4458), // Rule ID 64369 //
     /*    4415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4422 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    4426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4430 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    4434 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4445 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:2:y, sh1add_op:{ *:[i64] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    4448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4450 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4456 */     GIR_RootConstrainSelectedInstOperands,
     /*    4457 */     // GIR_Coverage, 64369,
     /*    4457 */     GIR_EraseRootFromParent_Done,
     /*    4458 */   // Label 198: @4458
     /*    4458 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(4506), // Rule ID 64377 //
     /*    4463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4470 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    4474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4478 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    4482 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4493 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:4:y, sh2add_op:{ *:[i64] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    4496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4498 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4504 */     GIR_RootConstrainSelectedInstOperands,
     /*    4505 */     // GIR_Coverage, 64377,
     /*    4505 */     GIR_EraseRootFromParent_Done,
     /*    4506 */   // Label 199: @4506
     /*    4506 */   GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(4554), // Rule ID 64385 //
     /*    4511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4518 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    4522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4526 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    4530 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4541 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:6:y, sh3add_op:{ *:[i64] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    4544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4546 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4552 */     GIR_RootConstrainSelectedInstOperands,
     /*    4553 */     // GIR_Coverage, 64385,
     /*    4553 */     GIR_EraseRootFromParent_Done,
     /*    4554 */   // Label 200: @4554
     /*    4554 */   GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(4602), // Rule ID 64402 //
     /*    4559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4566 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:14:y
     /*    4570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4574 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:14:x
     /*    4578 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    4589 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:14:y, sh1add_uw_op:{ *:[i64] }:$rs1:$pred:14:x)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4594 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4600 */     GIR_RootConstrainSelectedInstOperands,
     /*    4601 */     // GIR_Coverage, 64402,
     /*    4601 */     GIR_EraseRootFromParent_Done,
     /*    4602 */   // Label 201: @4602
     /*    4602 */   GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(4650), // Rule ID 64404 //
     /*    4607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4614 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:15:y
     /*    4618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4622 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:15:x
     /*    4626 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    4637 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:15:y, sh2add_uw_op:{ *:[i64] }:$rs1:$pred:15:x)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4642 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4648 */     GIR_RootConstrainSelectedInstOperands,
     /*    4649 */     // GIR_Coverage, 64404,
     /*    4649 */     GIR_EraseRootFromParent_Done,
     /*    4650 */   // Label 202: @4650
     /*    4650 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(4698), // Rule ID 64406 //
     /*    4655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4662 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:16:y
     /*    4666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4670 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:16:x
     /*    4674 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    4685 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:16:y, sh3add_uw_op:{ *:[i64] }:$rs1:$pred:16:x)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4690 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4696 */     GIR_RootConstrainSelectedInstOperands,
     /*    4697 */     // GIR_Coverage, 64406,
     /*    4697 */     GIR_EraseRootFromParent_Done,
     /*    4698 */   // Label 203: @4698
     /*    4698 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(4749), // Rule ID 72923 //
     /*    4703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4710 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    4714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4718 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    4722 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4733 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:24:y, sh1add_op:{ *:[i64] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    4733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4740 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    4747 */     GIR_RootConstrainSelectedInstOperands,
     /*    4748 */     // GIR_Coverage, 72923,
     /*    4748 */     GIR_EraseRootFromParent_Done,
     /*    4749 */   // Label 204: @4749
     /*    4749 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(4800), // Rule ID 72927 //
     /*    4754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4761 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    4765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4769 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    4773 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4784 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:25:y, sh2add_op:{ *:[i64] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    4784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4791 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    4798 */     GIR_RootConstrainSelectedInstOperands,
     /*    4799 */     // GIR_Coverage, 72927,
     /*    4799 */     GIR_EraseRootFromParent_Done,
     /*    4800 */   // Label 205: @4800
     /*    4800 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(4851), // Rule ID 72931 //
     /*    4805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4812 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    4816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4820 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    4824 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4835 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:26:y, sh3add_op:{ *:[i64] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    4835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4842 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    4849 */     GIR_RootConstrainSelectedInstOperands,
     /*    4850 */     // GIR_Coverage, 72931,
     /*    4850 */     GIR_EraseRootFromParent_Done,
     /*    4851 */   // Label 206: @4851
     /*    4851 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(4926), // Rule ID 2461 //
     /*    4856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4863 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:7:x
     /*    4867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4888 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4899 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:7:y
     /*    4903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4907 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    4913 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x, GPR:{ *:[i64] }:$rs2:$pred:7:y)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    4916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    4922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4924 */     GIR_RootConstrainSelectedInstOperands,
     /*    4925 */     // GIR_Coverage, 2461,
     /*    4925 */     GIR_EraseRootFromParent_Done,
     /*    4926 */   // Label 207: @4926
     /*    4926 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(5021), // Rule ID 2485 //
     /*    4931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4938 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:17:x
     /*    4942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4954 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4963 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    4974 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:17:y
     /*    4978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4982 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    4988 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:17:x, GPR:{ *:[i64] }:$rs2:$pred:17:y)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    4988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    4991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    4995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5000 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5004 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5019 */     GIR_RootConstrainSelectedInstOperands,
     /*    5020 */     // GIR_Coverage, 2485,
     /*    5020 */     GIR_EraseRootFromParent_Done,
     /*    5021 */   // Label 208: @5021
     /*    5021 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(5116), // Rule ID 2487 //
     /*    5026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5033 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:18:x
     /*    5037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5049 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5058 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    5069 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:18:y
     /*    5073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5077 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5083 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:18:x, GPR:{ *:[i64] }:$rs2:$pred:18:y)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5095 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5099 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5114 */     GIR_RootConstrainSelectedInstOperands,
     /*    5115 */     // GIR_Coverage, 2487,
     /*    5115 */     GIR_EraseRootFromParent_Done,
     /*    5116 */   // Label 209: @5116
     /*    5116 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(5211), // Rule ID 2489 //
     /*    5121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5128 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:19:x
     /*    5132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5144 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5153 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    5164 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:19:y
     /*    5168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5172 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5178 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:19:x, GPR:{ *:[i64] }:$rs2:$pred:19:y)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5190 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5194 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    5197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5209 */     GIR_RootConstrainSelectedInstOperands,
     /*    5210 */     // GIR_Coverage, 2489,
     /*    5210 */     GIR_EraseRootFromParent_Done,
     /*    5211 */   // Label 210: @5211
     /*    5211 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(5306), // Rule ID 2491 //
     /*    5216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5223 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:20:x
     /*    5227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5239 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5248 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    5259 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:20:y
     /*    5263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5267 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5273 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:20:x, GPR:{ *:[i64] }:$rs2:$pred:20:y)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5289 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    5297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5304 */     GIR_RootConstrainSelectedInstOperands,
     /*    5305 */     // GIR_Coverage, 2491,
     /*    5305 */     GIR_EraseRootFromParent_Done,
     /*    5306 */   // Label 211: @5306
     /*    5306 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(5401), // Rule ID 2493 //
     /*    5311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5318 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:21:x
     /*    5322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5334 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5343 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    5354 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:21:y
     /*    5358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5362 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5368 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:21:x, GPR:{ *:[i64] }:$rs2:$pred:21:y)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5380 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5384 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    5392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5399 */     GIR_RootConstrainSelectedInstOperands,
     /*    5400 */     // GIR_Coverage, 2493,
     /*    5400 */     GIR_EraseRootFromParent_Done,
     /*    5401 */   // Label 212: @5401
     /*    5401 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(5496), // Rule ID 2495 //
     /*    5406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5413 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:22:x
     /*    5417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5438 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    5449 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:22:y
     /*    5453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5457 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5463 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:22:x, GPR:{ *:[i64] }:$rs2:$pred:22:y)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5475 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5479 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    5482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    5487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5494 */     GIR_RootConstrainSelectedInstOperands,
     /*    5495 */     // GIR_Coverage, 2495,
     /*    5495 */     GIR_EraseRootFromParent_Done,
     /*    5496 */   // Label 213: @5496
     /*    5496 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(5564), // Rule ID 2422 //
     /*    5501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5508 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    5512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5533 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    5537 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    5541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5545 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5551 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x, GPR:{ *:[i64] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5562 */     GIR_RootConstrainSelectedInstOperands,
     /*    5563 */     // GIR_Coverage, 2422,
     /*    5563 */     GIR_EraseRootFromParent_Done,
     /*    5564 */   // Label 214: @5564
     /*    5564 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(5632), // Rule ID 2432 //
     /*    5569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5576 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    5580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5601 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    5605 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    5609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5613 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5619 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x, GPR:{ *:[i64] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5630 */     GIR_RootConstrainSelectedInstOperands,
     /*    5631 */     // GIR_Coverage, 2432,
     /*    5631 */     GIR_EraseRootFromParent_Done,
     /*    5632 */   // Label 215: @5632
     /*    5632 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(5700), // Rule ID 2442 //
     /*    5637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5644 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    5648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5669 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    5673 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    5677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5681 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5687 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x, GPR:{ *:[i64] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5698 */     GIR_RootConstrainSelectedInstOperands,
     /*    5699 */     // GIR_Coverage, 2442,
     /*    5699 */     GIR_EraseRootFromParent_Done,
     /*    5700 */   // Label 216: @5700
     /*    5700 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(5775), // Rule ID 64388 //
     /*    5705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5712 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:7:y
     /*    5716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5720 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:7:x
     /*    5724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5736 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5745 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5756 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5762 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:7:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    5765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5773 */     GIR_RootConstrainSelectedInstOperands,
     /*    5774 */     // GIR_Coverage, 64388,
     /*    5774 */     GIR_EraseRootFromParent_Done,
     /*    5775 */   // Label 217: @5775
     /*    5775 */   GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(5870), // Rule ID 64408 //
     /*    5780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5787 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:17:y
     /*    5791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5795 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:17:x
     /*    5799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5820 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    5831 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5837 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:17:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:17:x)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5849 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5853 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5868 */     GIR_RootConstrainSelectedInstOperands,
     /*    5869 */     // GIR_Coverage, 64408,
     /*    5869 */     GIR_EraseRootFromParent_Done,
     /*    5870 */   // Label 218: @5870
     /*    5870 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(5965), // Rule ID 64410 //
     /*    5875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5882 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:18:y
     /*    5886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5890 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:18:x
     /*    5894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5906 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5915 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    5926 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5932 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:18:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:18:x)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5944 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5948 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5963 */     GIR_RootConstrainSelectedInstOperands,
     /*    5964 */     // GIR_Coverage, 64410,
     /*    5964 */     GIR_EraseRootFromParent_Done,
     /*    5965 */   // Label 219: @5965
     /*    5965 */   GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(6060), // Rule ID 64412 //
     /*    5970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5977 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:19:y
     /*    5981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5985 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:19:x
     /*    5989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6001 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6010 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    6021 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6027 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:19:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:19:x)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    6034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6043 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    6046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    6051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6058 */     GIR_RootConstrainSelectedInstOperands,
     /*    6059 */     // GIR_Coverage, 64412,
     /*    6059 */     GIR_EraseRootFromParent_Done,
     /*    6060 */   // Label 220: @6060
     /*    6060 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(6155), // Rule ID 64414 //
     /*    6065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6072 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:20:y
     /*    6076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6080 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:20:x
     /*    6084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6096 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6105 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    6116 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6122 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:20:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:20:x)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6134 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6138 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    6141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    6146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6153 */     GIR_RootConstrainSelectedInstOperands,
     /*    6154 */     // GIR_Coverage, 64414,
     /*    6154 */     GIR_EraseRootFromParent_Done,
     /*    6155 */   // Label 221: @6155
     /*    6155 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(6250), // Rule ID 64416 //
     /*    6160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6167 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:21:y
     /*    6171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6175 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:21:x
     /*    6179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6191 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6200 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    6211 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6217 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:21:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:21:x)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6233 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    6236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    6241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6248 */     GIR_RootConstrainSelectedInstOperands,
     /*    6249 */     // GIR_Coverage, 64416,
     /*    6249 */     GIR_EraseRootFromParent_Done,
     /*    6250 */   // Label 222: @6250
     /*    6250 */   GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(6345), // Rule ID 64418 //
     /*    6255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6262 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:22:y
     /*    6266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6270 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:22:x
     /*    6274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6286 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6295 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    6306 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6312 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:22:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:22:x)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6324 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6328 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    6331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    6336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6343 */     GIR_RootConstrainSelectedInstOperands,
     /*    6344 */     // GIR_Coverage, 64418,
     /*    6344 */     GIR_EraseRootFromParent_Done,
     /*    6345 */   // Label 223: @6345
     /*    6345 */   GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(6413), // Rule ID 64365 //
     /*    6350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6357 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    6361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6365 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    6369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6381 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6390 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    6394 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6400 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:1:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    6403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6411 */     GIR_RootConstrainSelectedInstOperands,
     /*    6412 */     // GIR_Coverage, 64365,
     /*    6412 */     GIR_EraseRootFromParent_Done,
     /*    6413 */   // Label 224: @6413
     /*    6413 */   GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(6481), // Rule ID 64373 //
     /*    6418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6425 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    6429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6433 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    6437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6449 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6458 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    6462 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6468 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:3:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    6471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6479 */     GIR_RootConstrainSelectedInstOperands,
     /*    6480 */     // GIR_Coverage, 64373,
     /*    6480 */     GIR_EraseRootFromParent_Done,
     /*    6481 */   // Label 225: @6481
     /*    6481 */   GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(6549), // Rule ID 64381 //
     /*    6486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6493 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    6497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6501 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    6505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6526 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    6530 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6536 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:5:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    6539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6547 */     GIR_RootConstrainSelectedInstOperands,
     /*    6548 */     // GIR_Coverage, 64381,
     /*    6548 */     GIR_EraseRootFromParent_Done,
     /*    6549 */   // Label 226: @6549
     /*    6549 */   GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(6628), // Rule ID 61928 //
     /*    6554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6561 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    6565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6577 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    6590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6594 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    6598 */     // MIs[2] Operand 1
     /*    6598 */     // No operand predicates
     /*    6598 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    6602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6606 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6610 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6612 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i64] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*    6612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    6619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    6623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    6626 */     GIR_RootConstrainSelectedInstOperands,
     /*    6627 */     // GIR_Coverage, 61928,
     /*    6627 */     GIR_EraseRootFromParent_Done,
     /*    6628 */   // Label 227: @6628
     /*    6628 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(6707), // Rule ID 72919 //
     /*    6633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6640 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    6644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6648 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    6652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    6677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6681 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    6685 */     // MIs[2] Operand 1
     /*    6685 */     // No operand predicates
     /*    6685 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6689 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6691 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:23:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*    6691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    6702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    6705 */     GIR_RootConstrainSelectedInstOperands,
     /*    6706 */     // GIR_Coverage, 72919,
     /*    6706 */     GIR_EraseRootFromParent_Done,
     /*    6707 */   // Label 228: @6707
     /*    6707 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(6756), // Rule ID 114 //
     /*    6712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    6715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    6727 */     // MIs[1] Operand 1
     /*    6727 */     // No operand predicates
     /*    6727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    6731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6735 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    6739 */     // MIs[2] Operand 1
     /*    6739 */     // No operand predicates
     /*    6739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6741 */     // (add:{ *:[i64] } (frameindex:{ *:[i64] }):$fi, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i64] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i64] }:$fi), (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)
     /*    6741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    6744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6746 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    6751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    6754 */     GIR_RootConstrainSelectedInstOperands,
     /*    6755 */     // GIR_Coverage, 114,
     /*    6755 */     GIR_EraseRootFromParent_Done,
     /*    6756 */   // Label 229: @6756
     /*    6756 */   GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(6802), // Rule ID 265 //
     /*    6761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    6764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    6784 */     // MIs[1] Operand 1
     /*    6784 */     // No operand predicates
     /*    6784 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10005),
     /*    6788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6790 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)<<P:Predicate_anonymous_10005>>  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*    6790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    6800 */     GIR_RootConstrainSelectedInstOperands,
     /*    6801 */     // GIR_Coverage, 265,
     /*    6801 */     GIR_EraseRootFromParent_Done,
     /*    6802 */   // Label 230: @6802
     /*    6802 */   GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(6878), // Rule ID 287 //
     /*    6807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    6810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    6830 */     // MIs[1] Operand 1
     /*    6830 */     // No operand predicates
     /*    6830 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10033),
     /*    6834 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10005),
     /*    6838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6840 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10033>>:$rs2)<<P:Predicate_anonymous_10005>>  =>  (ADDIW:{ *:[i64] } (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*    6840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6852 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    6856 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    6861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6871 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    6876 */     GIR_RootConstrainSelectedInstOperands,
     /*    6877 */     // GIR_Coverage, 287,
     /*    6877 */     GIR_EraseRootFromParent_Done,
     /*    6878 */   // Label 231: @6878
     /*    6878 */   GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(6943), // Rule ID 72935 //
     /*    6883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*    6886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    6898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6906 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6920 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10005),
     /*    6924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6926 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)<<P:Predicate_anonymous_10005>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*    6929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    6931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    6933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    6941 */     GIR_RootConstrainSelectedInstOperands,
     /*    6942 */     // GIR_Coverage, 72935,
     /*    6942 */     GIR_EraseRootFromParent_Done,
     /*    6943 */   // Label 232: @6943
     /*    6943 */   GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(7008), // Rule ID 62000 //
     /*    6948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*    6951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    6967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6971 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6985 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10005),
     /*    6989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6991 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_10005>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*    6994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    6996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    6998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7006 */     GIR_RootConstrainSelectedInstOperands,
     /*    7007 */     // GIR_Coverage, 62000,
     /*    7007 */     GIR_EraseRootFromParent_Done,
     /*    7008 */   // Label 233: @7008
     /*    7008 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(7050), // Rule ID 74 //
     /*    7013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    7016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    7032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    7036 */     // MIs[1] Operand 1
     /*    7036 */     // No operand predicates
     /*    7036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7038 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*    7038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    7048 */     GIR_RootConstrainSelectedInstOperands,
     /*    7049 */     // GIR_Coverage, 74,
     /*    7049 */     GIR_EraseRootFromParent_Done,
     /*    7050 */   // Label 234: @7050
     /*    7050 */   GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(7122), // Rule ID 285 //
     /*    7055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    7058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    7074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    7078 */     // MIs[1] Operand 1
     /*    7078 */     // No operand predicates
     /*    7078 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10033),
     /*    7082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7084 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10033>>:$rs2)  =>  (ADDI:{ *:[i64] } (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*    7084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7096 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    7100 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    7105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7115 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    7120 */     GIR_RootConstrainSelectedInstOperands,
     /*    7121 */     // GIR_Coverage, 285,
     /*    7121 */     GIR_EraseRootFromParent_Done,
     /*    7122 */   // Label 235: @7122
     /*    7122 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(7183), // Rule ID 72933 //
     /*    7127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*    7130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7146 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7166 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    7169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    7171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7181 */     GIR_RootConstrainSelectedInstOperands,
     /*    7182 */     // GIR_Coverage, 72933,
     /*    7182 */     GIR_EraseRootFromParent_Done,
     /*    7183 */   // Label 236: @7183
     /*    7183 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(7244), // Rule ID 61996 //
     /*    7188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*    7191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7211 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7227 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    7230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    7232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    7234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7242 */     GIR_RootConstrainSelectedInstOperands,
     /*    7243 */     // GIR_Coverage, 61996,
     /*    7243 */     GIR_EraseRootFromParent_Done,
     /*    7244 */   // Label 237: @7244
     /*    7244 */   GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(7275), // Rule ID 264 //
     /*    7249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    7252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7264 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10005),
     /*    7268 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10005>>  =>  (ADDW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7268 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADDW),
     /*    7273 */     GIR_RootConstrainSelectedInstOperands,
     /*    7274 */     // GIR_Coverage, 264,
     /*    7274 */     GIR_Done,
     /*    7275 */   // Label 238: @7275
     /*    7275 */   GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(7302), // Rule ID 72 //
     /*    7280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    7283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7295 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7295 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    7300 */     GIR_RootConstrainSelectedInstOperands,
     /*    7301 */     // GIR_Coverage, 72,
     /*    7301 */     GIR_Done,
     /*    7302 */   // Label 239: @7302
     /*    7302 */   GIM_Reject,
     /*    7303 */ // Label 176: @7303
     /*    7303 */ GIM_Reject,
     /*    7304 */ // Label 124: @7304
     /*    7304 */ GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(7698),
     /*    7309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7319 */   GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(7387), // Rule ID 68097 //
     /*    7324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7361 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7385 */     GIR_RootConstrainSelectedInstOperands,
     /*    7386 */     // GIR_Coverage, 68097,
     /*    7386 */     GIR_EraseRootFromParent_Done,
     /*    7387 */   // Label 241: @7387
     /*    7387 */   GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(7455), // Rule ID 68098 //
     /*    7392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7429 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    7429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7453 */     GIR_RootConstrainSelectedInstOperands,
     /*    7454 */     // GIR_Coverage, 68098,
     /*    7454 */     GIR_EraseRootFromParent_Done,
     /*    7455 */   // Label 242: @7455
     /*    7455 */   GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(7523), // Rule ID 45645 //
     /*    7460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7483 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7497 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    7512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7521 */     GIR_RootConstrainSelectedInstOperands,
     /*    7522 */     // GIR_Coverage, 45645,
     /*    7522 */     GIR_EraseRootFromParent_Done,
     /*    7523 */   // Label 243: @7523
     /*    7523 */   GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(7591), // Rule ID 45646 //
     /*    7528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7547 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7551 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7565 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    7565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    7580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7589 */     GIR_RootConstrainSelectedInstOperands,
     /*    7590 */     // GIR_Coverage, 45646,
     /*    7590 */     GIR_EraseRootFromParent_Done,
     /*    7591 */   // Label 244: @7591
     /*    7591 */   GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(7644), // Rule ID 45473 //
     /*    7596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7607 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    7607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*    7610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*    7624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7642 */     GIR_RootConstrainSelectedInstOperands,
     /*    7643 */     // GIR_Coverage, 45473,
     /*    7643 */     GIR_EraseRootFromParent_Done,
     /*    7644 */   // Label 245: @7644
     /*    7644 */   GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(7697), // Rule ID 45474 //
     /*    7649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7660 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    7660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*    7663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*    7677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7695 */     GIR_RootConstrainSelectedInstOperands,
     /*    7696 */     // GIR_Coverage, 45474,
     /*    7696 */     GIR_EraseRootFromParent_Done,
     /*    7697 */   // Label 246: @7697
     /*    7697 */   GIM_Reject,
     /*    7698 */ // Label 240: @7698
     /*    7698 */ GIM_Reject,
     /*    7699 */ // Label 125: @7699
     /*    7699 */ GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(10823),
     /*    7704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7714 */   GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(7810), // Rule ID 68011 //
     /*    7719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7734 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7738 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    7744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7752 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    7754 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7759 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    7763 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7767 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7771 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    7773 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7782 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    7784 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    7787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    7795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    7799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7808 */     GIR_RootConstrainSelectedInstOperands,
     /*    7809 */     // GIR_Coverage, 68011,
     /*    7809 */     GIR_EraseRootFromParent_Done,
     /*    7810 */   // Label 248: @7810
     /*    7810 */   GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(7906), // Rule ID 68012 //
     /*    7815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7830 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7834 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7836 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    7840 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7844 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7848 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    7850 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7855 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    7859 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7863 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7867 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    7869 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7878 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    7880 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    7880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    7883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    7891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    7895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7904 */     GIR_RootConstrainSelectedInstOperands,
     /*    7905 */     // GIR_Coverage, 68012,
     /*    7905 */     GIR_EraseRootFromParent_Done,
     /*    7906 */   // Label 249: @7906
     /*    7906 */   GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(8002), // Rule ID 69743 //
     /*    7911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7926 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7930 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    7936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7944 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    7946 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7951 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    7955 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    7959 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7963 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    7965 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7974 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    7976 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    7979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    7987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    7991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8000 */     GIR_RootConstrainSelectedInstOperands,
     /*    8001 */     // GIR_Coverage, 69743,
     /*    8001 */     GIR_EraseRootFromParent_Done,
     /*    8002 */   // Label 250: @8002
     /*    8002 */   GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(8098), // Rule ID 69744 //
     /*    8007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8022 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8026 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8040 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8047 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8051 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8055 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8059 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8061 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8070 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8072 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8096 */     GIR_RootConstrainSelectedInstOperands,
     /*    8097 */     // GIR_Coverage, 69744,
     /*    8097 */     GIR_EraseRootFromParent_Done,
     /*    8098 */   // Label 251: @8098
     /*    8098 */   GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(8194), // Rule ID 69745 //
     /*    8103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8118 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8122 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8136 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8143 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8147 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8151 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8155 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8157 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8166 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8168 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    8179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    8183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8192 */     GIR_RootConstrainSelectedInstOperands,
     /*    8193 */     // GIR_Coverage, 69745,
     /*    8193 */     GIR_EraseRootFromParent_Done,
     /*    8194 */   // Label 252: @8194
     /*    8194 */   GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(8290), // Rule ID 69746 //
     /*    8199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8214 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8218 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8232 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8234 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8239 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8243 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8247 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8251 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8253 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8262 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8264 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    8275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    8279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8288 */     GIR_RootConstrainSelectedInstOperands,
     /*    8289 */     // GIR_Coverage, 69746,
     /*    8289 */     GIR_EraseRootFromParent_Done,
     /*    8290 */   // Label 253: @8290
     /*    8290 */   GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(8386), // Rule ID 69621 //
     /*    8295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8310 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8314 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8324 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8328 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8330 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8335 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8339 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8343 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8347 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8349 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8358 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8360 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    8363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8384 */     GIR_RootConstrainSelectedInstOperands,
     /*    8385 */     // GIR_Coverage, 69621,
     /*    8385 */     GIR_EraseRootFromParent_Done,
     /*    8386 */   // Label 254: @8386
     /*    8386 */   GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(8482), // Rule ID 69622 //
     /*    8391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8406 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8424 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8431 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8435 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8439 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8443 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8445 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8454 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8456 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    8459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8480 */     GIR_RootConstrainSelectedInstOperands,
     /*    8481 */     // GIR_Coverage, 69622,
     /*    8481 */     GIR_EraseRootFromParent_Done,
     /*    8482 */   // Label 255: @8482
     /*    8482 */   GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(8578), // Rule ID 45557 //
     /*    8487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8510 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8524 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8526 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8531 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8535 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8539 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8543 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8545 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8550 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8552 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    8555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8576 */     GIR_RootConstrainSelectedInstOperands,
     /*    8577 */     // GIR_Coverage, 45557,
     /*    8577 */     GIR_EraseRootFromParent_Done,
     /*    8578 */   // Label 256: @8578
     /*    8578 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(8674), // Rule ID 45558 //
     /*    8583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8602 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8606 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8608 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8612 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8616 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8620 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8627 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8631 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8635 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8639 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8641 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8646 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8648 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    8651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8672 */     GIR_RootConstrainSelectedInstOperands,
     /*    8673 */     // GIR_Coverage, 45558,
     /*    8673 */     GIR_EraseRootFromParent_Done,
     /*    8674 */   // Label 257: @8674
     /*    8674 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(8770), // Rule ID 51693 //
     /*    8679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8698 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8702 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8712 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8716 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8718 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8723 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8727 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8731 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8735 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8737 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8742 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8744 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8768 */     GIR_RootConstrainSelectedInstOperands,
     /*    8769 */     // GIR_Coverage, 51693,
     /*    8769 */     GIR_EraseRootFromParent_Done,
     /*    8770 */   // Label 258: @8770
     /*    8770 */   GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(8866), // Rule ID 51694 //
     /*    8775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8794 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8798 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8800 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8804 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8808 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8812 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8814 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8819 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8823 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8827 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8831 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8833 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8838 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8840 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8864 */     GIR_RootConstrainSelectedInstOperands,
     /*    8865 */     // GIR_Coverage, 51694,
     /*    8865 */     GIR_EraseRootFromParent_Done,
     /*    8866 */   // Label 259: @8866
     /*    8866 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(8962), // Rule ID 69741 //
     /*    8871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8890 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8894 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8904 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8908 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8910 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8915 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8919 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8923 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8927 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8929 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8934 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8936 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    8947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    8951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8960 */     GIR_RootConstrainSelectedInstOperands,
     /*    8961 */     // GIR_Coverage, 69741,
     /*    8961 */     GIR_EraseRootFromParent_Done,
     /*    8962 */   // Label 260: @8962
     /*    8962 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(9058), // Rule ID 69742 //
     /*    8967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8990 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9000 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9004 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9006 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9011 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    9015 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9019 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9023 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    9025 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9030 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    9032 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    9032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    9035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    9039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    9043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    9047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9056 */     GIR_RootConstrainSelectedInstOperands,
     /*    9057 */     // GIR_Coverage, 69742,
     /*    9057 */     GIR_EraseRootFromParent_Done,
     /*    9058 */   // Label 261: @9058
     /*    9058 */   GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(9154), // Rule ID 51633 //
     /*    9063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9086 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    9092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9100 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9102 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9107 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    9111 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9115 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9119 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    9121 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9126 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    9128 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    9128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    9131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    9135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    9143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9152 */     GIR_RootConstrainSelectedInstOperands,
     /*    9153 */     // GIR_Coverage, 51633,
     /*    9153 */     GIR_EraseRootFromParent_Done,
     /*    9154 */   // Label 262: @9154
     /*    9154 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(9250), // Rule ID 51634 //
     /*    9159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9178 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9182 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    9188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9192 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9196 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9203 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    9207 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9211 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9215 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    9217 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9222 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    9224 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    9224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    9227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    9231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    9239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9248 */     GIR_RootConstrainSelectedInstOperands,
     /*    9249 */     // GIR_Coverage, 51634,
     /*    9249 */     GIR_EraseRootFromParent_Done,
     /*    9250 */   // Label 263: @9250
     /*    9250 */   GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(9339), // Rule ID 46399 //
     /*    9255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9270 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9289 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9291 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9296 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9298 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9337 */     GIR_RootConstrainSelectedInstOperands,
     /*    9338 */     // GIR_Coverage, 46399,
     /*    9338 */     GIR_EraseRootFromParent_Done,
     /*    9339 */   // Label 264: @9339
     /*    9339 */   GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(9428), // Rule ID 46400 //
     /*    9344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9359 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9378 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9380 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9385 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9387 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9426 */     GIR_RootConstrainSelectedInstOperands,
     /*    9427 */     // GIR_Coverage, 46400,
     /*    9427 */     GIR_EraseRootFromParent_Done,
     /*    9428 */   // Label 265: @9428
     /*    9428 */   GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(9517), // Rule ID 45549 //
     /*    9433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9448 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9463 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9467 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9469 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9474 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9476 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*    9493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9515 */     GIR_RootConstrainSelectedInstOperands,
     /*    9516 */     // GIR_Coverage, 45549,
     /*    9516 */     GIR_EraseRootFromParent_Done,
     /*    9517 */   // Label 266: @9517
     /*    9517 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(9606), // Rule ID 45550 //
     /*    9522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9537 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9552 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9556 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9563 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9565 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*    9582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9604 */     GIR_RootConstrainSelectedInstOperands,
     /*    9605 */     // GIR_Coverage, 45550,
     /*    9605 */     GIR_EraseRootFromParent_Done,
     /*    9606 */   // Label 267: @9606
     /*    9606 */   GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(9695), // Rule ID 46279 //
     /*    9611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9645 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9647 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9652 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9654 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9693 */     GIR_RootConstrainSelectedInstOperands,
     /*    9694 */     // GIR_Coverage, 46279,
     /*    9694 */     GIR_EraseRootFromParent_Done,
     /*    9695 */   // Label 268: @9695
     /*    9695 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(9784), // Rule ID 46280 //
     /*    9700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9734 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9741 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9743 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9782 */     GIR_RootConstrainSelectedInstOperands,
     /*    9783 */     // GIR_Coverage, 46280,
     /*    9783 */     GIR_EraseRootFromParent_Done,
     /*    9784 */   // Label 269: @9784
     /*    9784 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(9852), // Rule ID 69313 //
     /*    9789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9804 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9808 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9826 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*    9826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*    9829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    9835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9850 */     GIR_RootConstrainSelectedInstOperands,
     /*    9851 */     // GIR_Coverage, 69313,
     /*    9851 */     GIR_EraseRootFromParent_Done,
     /*    9852 */   // Label 270: @9852
     /*    9852 */   GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(9920), // Rule ID 69314 //
     /*    9857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9876 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9894 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*    9894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*    9897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    9903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9918 */     GIR_RootConstrainSelectedInstOperands,
     /*    9919 */     // GIR_Coverage, 69314,
     /*    9919 */     GIR_EraseRootFromParent_Done,
     /*    9920 */   // Label 271: @9920
     /*    9920 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(9975), // Rule ID 68395 //
     /*    9925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9940 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9953 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    9953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*    9956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9973 */     GIR_RootConstrainSelectedInstOperands,
     /*    9974 */     // GIR_Coverage, 68395,
     /*    9974 */     GIR_EraseRootFromParent_Done,
     /*    9975 */   // Label 272: @9975
     /*    9975 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(10030), // Rule ID 68396 //
     /*    9980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9995 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10008 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10028 */     GIR_RootConstrainSelectedInstOperands,
     /*   10029 */     // GIR_Coverage, 68396,
     /*   10029 */     GIR_EraseRootFromParent_Done,
     /*   10030 */   // Label 273: @10030
     /*   10030 */   GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(10085), // Rule ID 68007 //
     /*   10035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10050 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10063 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10083 */     GIR_RootConstrainSelectedInstOperands,
     /*   10084 */     // GIR_Coverage, 68007,
     /*   10084 */     GIR_EraseRootFromParent_Done,
     /*   10085 */   // Label 274: @10085
     /*   10085 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(10140), // Rule ID 68008 //
     /*   10090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10105 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10118 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10138 */     GIR_RootConstrainSelectedInstOperands,
     /*   10139 */     // GIR_Coverage, 68008,
     /*   10139 */     GIR_EraseRootFromParent_Done,
     /*   10140 */   // Label 275: @10140
     /*   10140 */   GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(10195), // Rule ID 68305 //
     /*   10145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10160 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10173 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10193 */     GIR_RootConstrainSelectedInstOperands,
     /*   10194 */     // GIR_Coverage, 68305,
     /*   10194 */     GIR_EraseRootFromParent_Done,
     /*   10195 */   // Label 276: @10195
     /*   10195 */   GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(10250), // Rule ID 68306 //
     /*   10200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10215 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10228 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10248 */     GIR_RootConstrainSelectedInstOperands,
     /*   10249 */     // GIR_Coverage, 68306,
     /*   10249 */     GIR_EraseRootFromParent_Done,
     /*   10250 */   // Label 277: @10250
     /*   10250 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(10318), // Rule ID 51413 //
     /*   10255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10274 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   10278 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10292 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   10292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   10295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   10301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10316 */     GIR_RootConstrainSelectedInstOperands,
     /*   10317 */     // GIR_Coverage, 51413,
     /*   10317 */     GIR_EraseRootFromParent_Done,
     /*   10318 */   // Label 278: @10318
     /*   10318 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(10386), // Rule ID 51414 //
     /*   10323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   10346 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10360 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   10360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   10363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   10369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10384 */     GIR_RootConstrainSelectedInstOperands,
     /*   10385 */     // GIR_Coverage, 51414,
     /*   10385 */     GIR_EraseRootFromParent_Done,
     /*   10386 */   // Label 279: @10386
     /*   10386 */   GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(10441), // Rule ID 46459 //
     /*   10391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   10406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10419 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10439 */     GIR_RootConstrainSelectedInstOperands,
     /*   10440 */     // GIR_Coverage, 46459,
     /*   10440 */     GIR_EraseRootFromParent_Done,
     /*   10441 */   // Label 280: @10441
     /*   10441 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(10496), // Rule ID 46460 //
     /*   10446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   10461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10465 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10474 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10494 */     GIR_RootConstrainSelectedInstOperands,
     /*   10495 */     // GIR_Coverage, 46460,
     /*   10495 */     GIR_EraseRootFromParent_Done,
     /*   10496 */   // Label 281: @10496
     /*   10496 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(10551), // Rule ID 45553 //
     /*   10501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10520 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10529 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10549 */     GIR_RootConstrainSelectedInstOperands,
     /*   10550 */     // GIR_Coverage, 45553,
     /*   10550 */     GIR_EraseRootFromParent_Done,
     /*   10551 */   // Label 282: @10551
     /*   10551 */   GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(10606), // Rule ID 45554 //
     /*   10556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10575 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10584 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10604 */     GIR_RootConstrainSelectedInstOperands,
     /*   10605 */     // GIR_Coverage, 45554,
     /*   10605 */     GIR_EraseRootFromParent_Done,
     /*   10606 */   // Label 283: @10606
     /*   10606 */   GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(10661), // Rule ID 46339 //
     /*   10611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10630 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10639 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10659 */     GIR_RootConstrainSelectedInstOperands,
     /*   10660 */     // GIR_Coverage, 46339,
     /*   10660 */     GIR_EraseRootFromParent_Done,
     /*   10661 */   // Label 284: @10661
     /*   10661 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(10716), // Rule ID 46340 //
     /*   10666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10694 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10714 */     GIR_RootConstrainSelectedInstOperands,
     /*   10715 */     // GIR_Coverage, 46340,
     /*   10715 */     GIR_EraseRootFromParent_Done,
     /*   10716 */   // Label 285: @10716
     /*   10716 */   GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(10769), // Rule ID 45829 //
     /*   10721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10732 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   10732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   10735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   10749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10767 */     GIR_RootConstrainSelectedInstOperands,
     /*   10768 */     // GIR_Coverage, 45829,
     /*   10768 */     GIR_EraseRootFromParent_Done,
     /*   10769 */   // Label 286: @10769
     /*   10769 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(10822), // Rule ID 45830 //
     /*   10774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10785 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   10785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   10788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   10802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10820 */     GIR_RootConstrainSelectedInstOperands,
     /*   10821 */     // GIR_Coverage, 45830,
     /*   10821 */     GIR_EraseRootFromParent_Done,
     /*   10822 */   // Label 287: @10822
     /*   10822 */   GIM_Reject,
     /*   10823 */ // Label 247: @10823
     /*   10823 */ GIM_Reject,
     /*   10824 */ // Label 126: @10824
     /*   10824 */ GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(13948),
     /*   10829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10839 */   GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(10935), // Rule ID 69519 //
     /*   10844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10859 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10863 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   10869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10877 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   10879 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10884 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   10888 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10892 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10896 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   10898 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10907 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   10909 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   10909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   10912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   10916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   10920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   10924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10933 */     GIR_RootConstrainSelectedInstOperands,
     /*   10934 */     // GIR_Coverage, 69519,
     /*   10934 */     GIR_EraseRootFromParent_Done,
     /*   10935 */   // Label 289: @10935
     /*   10935 */   GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(11031), // Rule ID 69520 //
     /*   10940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10959 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   10965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10973 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   10975 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10980 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   10984 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10988 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10992 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   10994 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11003 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11005 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   11008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11029 */     GIR_RootConstrainSelectedInstOperands,
     /*   11030 */     // GIR_Coverage, 69520,
     /*   11030 */     GIR_EraseRootFromParent_Done,
     /*   11031 */   // Label 290: @11031
     /*   11031 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(11127), // Rule ID 69779 //
     /*   11036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11051 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11055 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11065 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11069 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11071 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11076 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11080 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11084 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11088 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11090 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11099 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11101 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11125 */     GIR_RootConstrainSelectedInstOperands,
     /*   11126 */     // GIR_Coverage, 69779,
     /*   11126 */     GIR_EraseRootFromParent_Done,
     /*   11127 */   // Label 291: @11127
     /*   11127 */   GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(11223), // Rule ID 69780 //
     /*   11132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11147 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11165 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11167 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11172 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11176 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11180 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11184 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11186 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11195 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11197 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11221 */     GIR_RootConstrainSelectedInstOperands,
     /*   11222 */     // GIR_Coverage, 69780,
     /*   11222 */     GIR_EraseRootFromParent_Done,
     /*   11223 */   // Label 292: @11223
     /*   11223 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(11319), // Rule ID 69781 //
     /*   11228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11243 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11247 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11261 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11263 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11268 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11272 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11276 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11280 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11282 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11291 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11293 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   11304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   11308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11317 */     GIR_RootConstrainSelectedInstOperands,
     /*   11318 */     // GIR_Coverage, 69781,
     /*   11318 */     GIR_EraseRootFromParent_Done,
     /*   11319 */   // Label 293: @11319
     /*   11319 */   GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(11415), // Rule ID 69782 //
     /*   11324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11357 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11359 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11364 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11368 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11372 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11376 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11378 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11387 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11389 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   11400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   11404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11413 */     GIR_RootConstrainSelectedInstOperands,
     /*   11414 */     // GIR_Coverage, 69782,
     /*   11414 */     GIR_EraseRootFromParent_Done,
     /*   11415 */   // Label 294: @11415
     /*   11415 */   GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(11511), // Rule ID 69633 //
     /*   11420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11439 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11453 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11460 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11464 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11468 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11472 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11474 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11483 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11485 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   11488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11509 */     GIR_RootConstrainSelectedInstOperands,
     /*   11510 */     // GIR_Coverage, 69633,
     /*   11510 */     GIR_EraseRootFromParent_Done,
     /*   11511 */   // Label 295: @11511
     /*   11511 */   GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(11607), // Rule ID 69634 //
     /*   11516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11531 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11535 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11549 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11556 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11560 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11564 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11568 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11570 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11579 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11581 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   11584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11605 */     GIR_RootConstrainSelectedInstOperands,
     /*   11606 */     // GIR_Coverage, 69634,
     /*   11606 */     GIR_EraseRootFromParent_Done,
     /*   11607 */   // Label 296: @11607
     /*   11607 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(11703), // Rule ID 51587 //
     /*   11612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11631 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11635 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11649 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11656 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11660 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11664 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11668 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11670 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11675 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11677 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   11680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11701 */     GIR_RootConstrainSelectedInstOperands,
     /*   11702 */     // GIR_Coverage, 51587,
     /*   11702 */     GIR_EraseRootFromParent_Done,
     /*   11703 */   // Label 297: @11703
     /*   11703 */   GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(11799), // Rule ID 51588 //
     /*   11708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11731 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11745 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11747 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11752 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11756 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11760 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11764 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11766 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11771 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11773 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   11776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11797 */     GIR_RootConstrainSelectedInstOperands,
     /*   11798 */     // GIR_Coverage, 51588,
     /*   11798 */     GIR_EraseRootFromParent_Done,
     /*   11799 */   // Label 298: @11799
     /*   11799 */   GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(11895), // Rule ID 51705 //
     /*   11804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11827 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11841 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11848 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11852 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11856 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11860 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11862 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11867 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11869 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11893 */     GIR_RootConstrainSelectedInstOperands,
     /*   11894 */     // GIR_Coverage, 51705,
     /*   11894 */     GIR_EraseRootFromParent_Done,
     /*   11895 */   // Label 299: @11895
     /*   11895 */   GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(11991), // Rule ID 51706 //
     /*   11900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11923 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11937 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11939 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11944 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11948 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11952 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11956 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11958 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11963 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11965 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11989 */     GIR_RootConstrainSelectedInstOperands,
     /*   11990 */     // GIR_Coverage, 51706,
     /*   11990 */     GIR_EraseRootFromParent_Done,
     /*   11991 */   // Label 300: @11991
     /*   11991 */   GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(12087), // Rule ID 69777 //
     /*   11996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12015 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12019 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12033 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12035 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12040 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12044 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12048 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12052 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12054 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12059 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12061 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   12061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   12064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   12072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12085 */     GIR_RootConstrainSelectedInstOperands,
     /*   12086 */     // GIR_Coverage, 69777,
     /*   12086 */     GIR_EraseRootFromParent_Done,
     /*   12087 */   // Label 301: @12087
     /*   12087 */   GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(12183), // Rule ID 69778 //
     /*   12092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12111 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12115 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12129 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12131 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12136 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12140 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12144 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12148 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12150 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12155 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12157 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   12157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   12160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   12168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12181 */     GIR_RootConstrainSelectedInstOperands,
     /*   12182 */     // GIR_Coverage, 69778,
     /*   12182 */     GIR_EraseRootFromParent_Done,
     /*   12183 */   // Label 302: @12183
     /*   12183 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(12279), // Rule ID 51645 //
     /*   12188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12207 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12211 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12225 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12232 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12236 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12240 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12244 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12246 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12251 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12253 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   12253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   12256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12277 */     GIR_RootConstrainSelectedInstOperands,
     /*   12278 */     // GIR_Coverage, 51645,
     /*   12278 */     GIR_EraseRootFromParent_Done,
     /*   12279 */   // Label 303: @12279
     /*   12279 */   GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(12375), // Rule ID 51646 //
     /*   12284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12303 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12307 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12321 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12323 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12328 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12332 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12336 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12340 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12342 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12347 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12349 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   12349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   12352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12373 */     GIR_RootConstrainSelectedInstOperands,
     /*   12374 */     // GIR_Coverage, 51646,
     /*   12374 */     GIR_EraseRootFromParent_Done,
     /*   12375 */   // Label 304: @12375
     /*   12375 */   GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(12464), // Rule ID 46423 //
     /*   12380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12395 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12414 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12416 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12421 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12423 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12462 */     GIR_RootConstrainSelectedInstOperands,
     /*   12463 */     // GIR_Coverage, 46423,
     /*   12463 */     GIR_EraseRootFromParent_Done,
     /*   12464 */   // Label 305: @12464
     /*   12464 */   GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(12553), // Rule ID 46424 //
     /*   12469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12503 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12505 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12510 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12512 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12551 */     GIR_RootConstrainSelectedInstOperands,
     /*   12552 */     // GIR_Coverage, 46424,
     /*   12552 */     GIR_EraseRootFromParent_Done,
     /*   12553 */   // Label 306: @12553
     /*   12553 */   GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(12642), // Rule ID 46187 //
     /*   12558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12573 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12592 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12594 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12599 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12601 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   12618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12640 */     GIR_RootConstrainSelectedInstOperands,
     /*   12641 */     // GIR_Coverage, 46187,
     /*   12641 */     GIR_EraseRootFromParent_Done,
     /*   12642 */   // Label 307: @12642
     /*   12642 */   GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(12731), // Rule ID 46188 //
     /*   12647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12662 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12681 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12683 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12688 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12690 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   12707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12729 */     GIR_RootConstrainSelectedInstOperands,
     /*   12730 */     // GIR_Coverage, 46188,
     /*   12730 */     GIR_EraseRootFromParent_Done,
     /*   12731 */   // Label 308: @12731
     /*   12731 */   GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(12820), // Rule ID 46303 //
     /*   12736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12770 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12772 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12779 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12818 */     GIR_RootConstrainSelectedInstOperands,
     /*   12819 */     // GIR_Coverage, 46303,
     /*   12819 */     GIR_EraseRootFromParent_Done,
     /*   12820 */   // Label 309: @12820
     /*   12820 */   GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(12909), // Rule ID 46304 //
     /*   12825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12840 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12859 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12868 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12907 */     GIR_RootConstrainSelectedInstOperands,
     /*   12908 */     // GIR_Coverage, 46304,
     /*   12908 */     GIR_EraseRootFromParent_Done,
     /*   12909 */   // Label 310: @12909
     /*   12909 */   GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(12977), // Rule ID 69329 //
     /*   12914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12929 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12933 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   12951 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   12951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   12954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   12960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   12964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   12972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12975 */     GIR_RootConstrainSelectedInstOperands,
     /*   12976 */     // GIR_Coverage, 69329,
     /*   12976 */     GIR_EraseRootFromParent_Done,
     /*   12977 */   // Label 311: @12977
     /*   12977 */   GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(13045), // Rule ID 69330 //
     /*   12982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12997 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   13001 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13019 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   13019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   13022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13043 */     GIR_RootConstrainSelectedInstOperands,
     /*   13044 */     // GIR_Coverage, 69330,
     /*   13044 */     GIR_EraseRootFromParent_Done,
     /*   13045 */   // Label 312: @13045
     /*   13045 */   GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(13100), // Rule ID 68419 //
     /*   13050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13065 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13078 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13098 */     GIR_RootConstrainSelectedInstOperands,
     /*   13099 */     // GIR_Coverage, 68419,
     /*   13099 */     GIR_EraseRootFromParent_Done,
     /*   13100 */   // Label 313: @13100
     /*   13100 */   GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(13155), // Rule ID 68420 //
     /*   13105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13120 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13133 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13153 */     GIR_RootConstrainSelectedInstOperands,
     /*   13154 */     // GIR_Coverage, 68420,
     /*   13154 */     GIR_EraseRootFromParent_Done,
     /*   13155 */   // Label 314: @13155
     /*   13155 */   GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(13210), // Rule ID 68239 //
     /*   13160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13175 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13188 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13208 */     GIR_RootConstrainSelectedInstOperands,
     /*   13209 */     // GIR_Coverage, 68239,
     /*   13209 */     GIR_EraseRootFromParent_Done,
     /*   13210 */   // Label 315: @13210
     /*   13210 */   GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(13265), // Rule ID 68240 //
     /*   13215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13230 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13243 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13263 */     GIR_RootConstrainSelectedInstOperands,
     /*   13264 */     // GIR_Coverage, 68240,
     /*   13264 */     GIR_EraseRootFromParent_Done,
     /*   13265 */   // Label 316: @13265
     /*   13265 */   GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(13320), // Rule ID 68329 //
     /*   13270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13285 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13298 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13318 */     GIR_RootConstrainSelectedInstOperands,
     /*   13319 */     // GIR_Coverage, 68329,
     /*   13319 */     GIR_EraseRootFromParent_Done,
     /*   13320 */   // Label 317: @13320
     /*   13320 */   GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(13375), // Rule ID 68330 //
     /*   13325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13340 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13353 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13373 */     GIR_RootConstrainSelectedInstOperands,
     /*   13374 */     // GIR_Coverage, 68330,
     /*   13374 */     GIR_EraseRootFromParent_Done,
     /*   13375 */   // Label 318: @13375
     /*   13375 */   GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(13443), // Rule ID 51421 //
     /*   13380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   13399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   13403 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13417 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   13417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   13420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13441 */     GIR_RootConstrainSelectedInstOperands,
     /*   13442 */     // GIR_Coverage, 51421,
     /*   13442 */     GIR_EraseRootFromParent_Done,
     /*   13443 */   // Label 319: @13443
     /*   13443 */   GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(13511), // Rule ID 51422 //
     /*   13448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   13467 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   13471 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13485 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   13485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   13488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13509 */     GIR_RootConstrainSelectedInstOperands,
     /*   13510 */     // GIR_Coverage, 51422,
     /*   13510 */     GIR_EraseRootFromParent_Done,
     /*   13511 */   // Label 320: @13511
     /*   13511 */   GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(13566), // Rule ID 46483 //
     /*   13516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13535 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13544 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13564 */     GIR_RootConstrainSelectedInstOperands,
     /*   13565 */     // GIR_Coverage, 46483,
     /*   13565 */     GIR_EraseRootFromParent_Done,
     /*   13566 */   // Label 321: @13566
     /*   13566 */   GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(13621), // Rule ID 46484 //
     /*   13571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13590 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13599 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13619 */     GIR_RootConstrainSelectedInstOperands,
     /*   13620 */     // GIR_Coverage, 46484,
     /*   13620 */     GIR_EraseRootFromParent_Done,
     /*   13621 */   // Label 322: @13621
     /*   13621 */   GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(13676), // Rule ID 46243 //
     /*   13626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13645 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13654 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13674 */     GIR_RootConstrainSelectedInstOperands,
     /*   13675 */     // GIR_Coverage, 46243,
     /*   13675 */     GIR_EraseRootFromParent_Done,
     /*   13676 */   // Label 323: @13676
     /*   13676 */   GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(13731), // Rule ID 46244 //
     /*   13681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13700 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13709 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13729 */     GIR_RootConstrainSelectedInstOperands,
     /*   13730 */     // GIR_Coverage, 46244,
     /*   13730 */     GIR_EraseRootFromParent_Done,
     /*   13731 */   // Label 324: @13731
     /*   13731 */   GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(13786), // Rule ID 46363 //
     /*   13736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13755 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13764 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13784 */     GIR_RootConstrainSelectedInstOperands,
     /*   13785 */     // GIR_Coverage, 46363,
     /*   13785 */     GIR_EraseRootFromParent_Done,
     /*   13786 */   // Label 325: @13786
     /*   13786 */   GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(13841), // Rule ID 46364 //
     /*   13791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13810 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13819 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13839 */     GIR_RootConstrainSelectedInstOperands,
     /*   13840 */     // GIR_Coverage, 46364,
     /*   13840 */     GIR_EraseRootFromParent_Done,
     /*   13841 */   // Label 326: @13841
     /*   13841 */   GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(13894), // Rule ID 45837 //
     /*   13846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13857 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   13857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   13860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   13874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13892 */     GIR_RootConstrainSelectedInstOperands,
     /*   13893 */     // GIR_Coverage, 45837,
     /*   13893 */     GIR_EraseRootFromParent_Done,
     /*   13894 */   // Label 327: @13894
     /*   13894 */   GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(13947), // Rule ID 45838 //
     /*   13899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13910 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   13910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   13913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   13927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13945 */     GIR_RootConstrainSelectedInstOperands,
     /*   13946 */     // GIR_Coverage, 45838,
     /*   13946 */     GIR_EraseRootFromParent_Done,
     /*   13947 */   // Label 328: @13947
     /*   13947 */   GIM_Reject,
     /*   13948 */ // Label 288: @13948
     /*   13948 */ GIM_Reject,
     /*   13949 */ // Label 127: @13949
     /*   13949 */ GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(17073),
     /*   13954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   13957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   13960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13964 */   GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(14060), // Rule ID 69529 //
     /*   13969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   13972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   13984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   13988 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14002 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14009 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14013 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14017 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14021 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14023 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14032 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14034 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14058 */     GIR_RootConstrainSelectedInstOperands,
     /*   14059 */     // GIR_Coverage, 69529,
     /*   14059 */     GIR_EraseRootFromParent_Done,
     /*   14060 */   // Label 330: @14060
     /*   14060 */   GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(14156), // Rule ID 69530 //
     /*   14065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14080 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14084 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14098 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14100 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14105 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14109 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14113 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14117 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14119 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14128 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14130 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14154 */     GIR_RootConstrainSelectedInstOperands,
     /*   14155 */     // GIR_Coverage, 69530,
     /*   14155 */     GIR_EraseRootFromParent_Done,
     /*   14156 */   // Label 331: @14156
     /*   14156 */   GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(14252), // Rule ID 69809 //
     /*   14161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14176 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14180 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14194 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14201 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14205 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14209 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14213 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14215 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14224 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14226 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14250 */     GIR_RootConstrainSelectedInstOperands,
     /*   14251 */     // GIR_Coverage, 69809,
     /*   14251 */     GIR_EraseRootFromParent_Done,
     /*   14252 */   // Label 332: @14252
     /*   14252 */   GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(14348), // Rule ID 69810 //
     /*   14257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14272 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14276 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14278 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14282 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14286 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14290 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14292 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14297 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14301 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14305 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14309 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14311 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14320 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14322 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14346 */     GIR_RootConstrainSelectedInstOperands,
     /*   14347 */     // GIR_Coverage, 69810,
     /*   14347 */     GIR_EraseRootFromParent_Done,
     /*   14348 */   // Label 333: @14348
     /*   14348 */   GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(14444), // Rule ID 69811 //
     /*   14353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14368 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14372 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14386 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14393 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14397 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14401 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14405 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14407 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14416 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14418 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   14429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   14433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14442 */     GIR_RootConstrainSelectedInstOperands,
     /*   14443 */     // GIR_Coverage, 69811,
     /*   14443 */     GIR_EraseRootFromParent_Done,
     /*   14444 */   // Label 334: @14444
     /*   14444 */   GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(14540), // Rule ID 69812 //
     /*   14449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14464 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14468 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14470 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14474 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14478 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14482 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14484 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14489 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14493 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14497 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14501 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14503 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14512 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14514 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   14525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   14529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14538 */     GIR_RootConstrainSelectedInstOperands,
     /*   14539 */     // GIR_Coverage, 69812,
     /*   14539 */     GIR_EraseRootFromParent_Done,
     /*   14540 */   // Label 335: @14540
     /*   14540 */   GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(14636), // Rule ID 69643 //
     /*   14545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14560 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14564 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14574 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14578 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14580 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14585 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14589 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14593 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14597 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14599 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14608 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14610 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   14613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14634 */     GIR_RootConstrainSelectedInstOperands,
     /*   14635 */     // GIR_Coverage, 69643,
     /*   14635 */     GIR_EraseRootFromParent_Done,
     /*   14636 */   // Label 336: @14636
     /*   14636 */   GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(14732), // Rule ID 69644 //
     /*   14641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14656 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14670 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14674 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14676 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14681 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14685 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14689 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14693 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14695 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14704 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14706 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   14709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14730 */     GIR_RootConstrainSelectedInstOperands,
     /*   14731 */     // GIR_Coverage, 69644,
     /*   14731 */     GIR_EraseRootFromParent_Done,
     /*   14732 */   // Label 337: @14732
     /*   14732 */   GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(14828), // Rule ID 51597 //
     /*   14737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14756 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14760 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14774 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14776 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14781 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14785 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14789 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14793 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14795 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14800 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14802 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   14809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14826 */     GIR_RootConstrainSelectedInstOperands,
     /*   14827 */     // GIR_Coverage, 51597,
     /*   14827 */     GIR_EraseRootFromParent_Done,
     /*   14828 */   // Label 338: @14828
     /*   14828 */   GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(14924), // Rule ID 51598 //
     /*   14833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14870 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14872 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14877 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14881 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14885 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14889 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14891 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14896 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14898 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   14905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14922 */     GIR_RootConstrainSelectedInstOperands,
     /*   14923 */     // GIR_Coverage, 51598,
     /*   14923 */     GIR_EraseRootFromParent_Done,
     /*   14924 */   // Label 339: @14924
     /*   14924 */   GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(15020), // Rule ID 51715 //
     /*   14929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14952 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14966 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14973 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14977 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14981 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14985 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14987 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14992 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14994 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15018 */     GIR_RootConstrainSelectedInstOperands,
     /*   15019 */     // GIR_Coverage, 51715,
     /*   15019 */     GIR_EraseRootFromParent_Done,
     /*   15020 */   // Label 340: @15020
     /*   15020 */   GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(15116), // Rule ID 51716 //
     /*   15025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15048 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15062 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15064 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15069 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15073 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15077 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15081 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15083 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15088 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15090 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   15090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   15093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15114 */     GIR_RootConstrainSelectedInstOperands,
     /*   15115 */     // GIR_Coverage, 51716,
     /*   15115 */     GIR_EraseRootFromParent_Done,
     /*   15116 */   // Label 341: @15116
     /*   15116 */   GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(15212), // Rule ID 69807 //
     /*   15121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15144 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15158 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15160 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15165 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15169 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15173 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15177 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15179 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15184 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15186 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   15186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   15189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15210 */     GIR_RootConstrainSelectedInstOperands,
     /*   15211 */     // GIR_Coverage, 69807,
     /*   15211 */     GIR_EraseRootFromParent_Done,
     /*   15212 */   // Label 342: @15212
     /*   15212 */   GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(15308), // Rule ID 69808 //
     /*   15217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15236 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15254 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15261 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15265 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15269 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15273 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15275 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15280 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15282 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   15282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   15285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15306 */     GIR_RootConstrainSelectedInstOperands,
     /*   15307 */     // GIR_Coverage, 69808,
     /*   15307 */     GIR_EraseRootFromParent_Done,
     /*   15308 */   // Label 343: @15308
     /*   15308 */   GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(15404), // Rule ID 51655 //
     /*   15313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15336 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15350 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15357 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15361 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15365 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15369 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15371 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15376 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15378 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   15378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   15381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15402 */     GIR_RootConstrainSelectedInstOperands,
     /*   15403 */     // GIR_Coverage, 51655,
     /*   15403 */     GIR_EraseRootFromParent_Done,
     /*   15404 */   // Label 344: @15404
     /*   15404 */   GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(15500), // Rule ID 51656 //
     /*   15409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15428 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15432 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15446 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15448 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15453 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15457 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15461 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15465 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15467 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15472 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15474 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   15474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   15477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15498 */     GIR_RootConstrainSelectedInstOperands,
     /*   15499 */     // GIR_Coverage, 51656,
     /*   15499 */     GIR_EraseRootFromParent_Done,
     /*   15500 */   // Label 345: @15500
     /*   15500 */   GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(15589), // Rule ID 46443 //
     /*   15505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15520 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15535 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15539 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15541 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15546 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15548 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   15565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15587 */     GIR_RootConstrainSelectedInstOperands,
     /*   15588 */     // GIR_Coverage, 46443,
     /*   15588 */     GIR_EraseRootFromParent_Done,
     /*   15589 */   // Label 346: @15589
     /*   15589 */   GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(15678), // Rule ID 46444 //
     /*   15594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15609 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15628 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15630 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15635 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15637 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   15637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   15654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15676 */     GIR_RootConstrainSelectedInstOperands,
     /*   15677 */     // GIR_Coverage, 46444,
     /*   15677 */     GIR_EraseRootFromParent_Done,
     /*   15678 */   // Label 347: @15678
     /*   15678 */   GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(15767), // Rule ID 46207 //
     /*   15683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15698 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15705 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15709 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15713 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15717 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15719 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15724 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15726 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   15743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15765 */     GIR_RootConstrainSelectedInstOperands,
     /*   15766 */     // GIR_Coverage, 46207,
     /*   15766 */     GIR_EraseRootFromParent_Done,
     /*   15767 */   // Label 348: @15767
     /*   15767 */   GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(15856), // Rule ID 46208 //
     /*   15772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15787 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15802 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15806 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15808 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15813 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15815 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   15815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   15832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15854 */     GIR_RootConstrainSelectedInstOperands,
     /*   15855 */     // GIR_Coverage, 46208,
     /*   15855 */     GIR_EraseRootFromParent_Done,
     /*   15856 */   // Label 349: @15856
     /*   15856 */   GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(15945), // Rule ID 46323 //
     /*   15861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15876 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15883 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15887 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15891 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15895 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15897 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15904 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   15921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15943 */     GIR_RootConstrainSelectedInstOperands,
     /*   15944 */     // GIR_Coverage, 46323,
     /*   15944 */     GIR_EraseRootFromParent_Done,
     /*   15945 */   // Label 350: @15945
     /*   15945 */   GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(16034), // Rule ID 46324 //
     /*   15950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15965 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15984 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15986 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15991 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15993 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   15993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   16010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16032 */     GIR_RootConstrainSelectedInstOperands,
     /*   16033 */     // GIR_Coverage, 46324,
     /*   16033 */     GIR_EraseRootFromParent_Done,
     /*   16034 */   // Label 351: @16034
     /*   16034 */   GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(16102), // Rule ID 69361 //
     /*   16039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16054 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16058 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16076 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   16076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16100 */     GIR_RootConstrainSelectedInstOperands,
     /*   16101 */     // GIR_Coverage, 69361,
     /*   16101 */     GIR_EraseRootFromParent_Done,
     /*   16102 */   // Label 352: @16102
     /*   16102 */   GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(16170), // Rule ID 69362 //
     /*   16107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   16110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16126 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16144 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   16144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16168 */     GIR_RootConstrainSelectedInstOperands,
     /*   16169 */     // GIR_Coverage, 69362,
     /*   16169 */     GIR_EraseRootFromParent_Done,
     /*   16170 */   // Label 353: @16170
     /*   16170 */   GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(16225), // Rule ID 68439 //
     /*   16175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16190 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16203 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16223 */     GIR_RootConstrainSelectedInstOperands,
     /*   16224 */     // GIR_Coverage, 68439,
     /*   16224 */     GIR_EraseRootFromParent_Done,
     /*   16225 */   // Label 354: @16225
     /*   16225 */   GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(16280), // Rule ID 68440 //
     /*   16230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16245 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16258 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16278 */     GIR_RootConstrainSelectedInstOperands,
     /*   16279 */     // GIR_Coverage, 68440,
     /*   16279 */     GIR_EraseRootFromParent_Done,
     /*   16280 */   // Label 355: @16280
     /*   16280 */   GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(16335), // Rule ID 68259 //
     /*   16285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16313 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16333 */     GIR_RootConstrainSelectedInstOperands,
     /*   16334 */     // GIR_Coverage, 68259,
     /*   16334 */     GIR_EraseRootFromParent_Done,
     /*   16335 */   // Label 356: @16335
     /*   16335 */   GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(16390), // Rule ID 68260 //
     /*   16340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16355 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16368 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16388 */     GIR_RootConstrainSelectedInstOperands,
     /*   16389 */     // GIR_Coverage, 68260,
     /*   16389 */     GIR_EraseRootFromParent_Done,
     /*   16390 */   // Label 357: @16390
     /*   16390 */   GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(16445), // Rule ID 68349 //
     /*   16395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16423 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16443 */     GIR_RootConstrainSelectedInstOperands,
     /*   16444 */     // GIR_Coverage, 68349,
     /*   16444 */     GIR_EraseRootFromParent_Done,
     /*   16445 */   // Label 358: @16445
     /*   16445 */   GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(16500), // Rule ID 68350 //
     /*   16450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16465 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16478 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16498 */     GIR_RootConstrainSelectedInstOperands,
     /*   16499 */     // GIR_Coverage, 68350,
     /*   16499 */     GIR_EraseRootFromParent_Done,
     /*   16500 */   // Label 359: @16500
     /*   16500 */   GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(16568), // Rule ID 51437 //
     /*   16505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16528 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16542 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   16542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16566 */     GIR_RootConstrainSelectedInstOperands,
     /*   16567 */     // GIR_Coverage, 51437,
     /*   16567 */     GIR_EraseRootFromParent_Done,
     /*   16568 */   // Label 360: @16568
     /*   16568 */   GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(16636), // Rule ID 51438 //
     /*   16573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   16576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16610 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   16610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16634 */     GIR_RootConstrainSelectedInstOperands,
     /*   16635 */     // GIR_Coverage, 51438,
     /*   16635 */     GIR_EraseRootFromParent_Done,
     /*   16636 */   // Label 361: @16636
     /*   16636 */   GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(16691), // Rule ID 46503 //
     /*   16641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16669 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16689 */     GIR_RootConstrainSelectedInstOperands,
     /*   16690 */     // GIR_Coverage, 46503,
     /*   16690 */     GIR_EraseRootFromParent_Done,
     /*   16691 */   // Label 362: @16691
     /*   16691 */   GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(16746), // Rule ID 46504 //
     /*   16696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16724 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16744 */     GIR_RootConstrainSelectedInstOperands,
     /*   16745 */     // GIR_Coverage, 46504,
     /*   16745 */     GIR_EraseRootFromParent_Done,
     /*   16746 */   // Label 363: @16746
     /*   16746 */   GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(16801), // Rule ID 46263 //
     /*   16751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16770 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16779 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16799 */     GIR_RootConstrainSelectedInstOperands,
     /*   16800 */     // GIR_Coverage, 46263,
     /*   16800 */     GIR_EraseRootFromParent_Done,
     /*   16801 */   // Label 364: @16801
     /*   16801 */   GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(16856), // Rule ID 46264 //
     /*   16806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16825 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16834 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16854 */     GIR_RootConstrainSelectedInstOperands,
     /*   16855 */     // GIR_Coverage, 46264,
     /*   16855 */     GIR_EraseRootFromParent_Done,
     /*   16856 */   // Label 365: @16856
     /*   16856 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(16911), // Rule ID 46383 //
     /*   16861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16880 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16882 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16889 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16909 */     GIR_RootConstrainSelectedInstOperands,
     /*   16910 */     // GIR_Coverage, 46383,
     /*   16910 */     GIR_EraseRootFromParent_Done,
     /*   16911 */   // Label 366: @16911
     /*   16911 */   GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(16966), // Rule ID 46384 //
     /*   16916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16935 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16944 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16964 */     GIR_RootConstrainSelectedInstOperands,
     /*   16965 */     // GIR_Coverage, 46384,
     /*   16965 */     GIR_EraseRootFromParent_Done,
     /*   16966 */   // Label 367: @16966
     /*   16966 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(17019), // Rule ID 45853 //
     /*   16971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16982 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   16982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   16985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   16999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   17014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17017 */     GIR_RootConstrainSelectedInstOperands,
     /*   17018 */     // GIR_Coverage, 45853,
     /*   17018 */     GIR_EraseRootFromParent_Done,
     /*   17019 */   // Label 368: @17019
     /*   17019 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(17072), // Rule ID 45854 //
     /*   17024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   17027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17035 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   17035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   17038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   17052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   17067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17070 */     GIR_RootConstrainSelectedInstOperands,
     /*   17071 */     // GIR_Coverage, 45854,
     /*   17071 */     GIR_EraseRootFromParent_Done,
     /*   17072 */   // Label 369: @17072
     /*   17072 */   GIM_Reject,
     /*   17073 */ // Label 329: @17073
     /*   17073 */ GIM_Reject,
     /*   17074 */ // Label 128: @17074
     /*   17074 */ GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(17468),
     /*   17079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17089 */   GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(17157), // Rule ID 69297 //
     /*   17094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17109 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17113 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17131 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17155 */     GIR_RootConstrainSelectedInstOperands,
     /*   17156 */     // GIR_Coverage, 69297,
     /*   17156 */     GIR_EraseRootFromParent_Done,
     /*   17157 */   // Label 371: @17157
     /*   17157 */   GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(17225), // Rule ID 69298 //
     /*   17162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17181 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17199 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17223 */     GIR_RootConstrainSelectedInstOperands,
     /*   17224 */     // GIR_Coverage, 69298,
     /*   17224 */     GIR_EraseRootFromParent_Done,
     /*   17225 */   // Label 372: @17225
     /*   17225 */   GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(17293), // Rule ID 51405 //
     /*   17230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17249 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17253 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17267 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17291 */     GIR_RootConstrainSelectedInstOperands,
     /*   17292 */     // GIR_Coverage, 51405,
     /*   17292 */     GIR_EraseRootFromParent_Done,
     /*   17293 */   // Label 373: @17293
     /*   17293 */   GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(17361), // Rule ID 51406 //
     /*   17298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17317 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17321 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17335 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17359 */     GIR_RootConstrainSelectedInstOperands,
     /*   17360 */     // GIR_Coverage, 51406,
     /*   17360 */     GIR_EraseRootFromParent_Done,
     /*   17361 */   // Label 374: @17361
     /*   17361 */   GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(17414), // Rule ID 45821 //
     /*   17366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17377 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   17377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   17380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   17394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17412 */     GIR_RootConstrainSelectedInstOperands,
     /*   17413 */     // GIR_Coverage, 45821,
     /*   17413 */     GIR_EraseRootFromParent_Done,
     /*   17414 */   // Label 375: @17414
     /*   17414 */   GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(17467), // Rule ID 45822 //
     /*   17419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17430 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   17430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   17433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   17447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17465 */     GIR_RootConstrainSelectedInstOperands,
     /*   17466 */     // GIR_Coverage, 45822,
     /*   17466 */     GIR_EraseRootFromParent_Done,
     /*   17467 */   // Label 376: @17467
     /*   17467 */   GIM_Reject,
     /*   17468 */ // Label 370: @17468
     /*   17468 */ GIM_Reject,
     /*   17469 */ // Label 129: @17469
     /*   17469 */ GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(20593),
     /*   17474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17484 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(17580), // Rule ID 69509 //
     /*   17489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17504 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17508 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17522 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17524 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17529 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17533 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17537 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17541 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17543 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17552 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17554 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   17557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17578 */     GIR_RootConstrainSelectedInstOperands,
     /*   17579 */     // GIR_Coverage, 69509,
     /*   17579 */     GIR_EraseRootFromParent_Done,
     /*   17580 */   // Label 378: @17580
     /*   17580 */   GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(17676), // Rule ID 69510 //
     /*   17585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17600 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17604 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17618 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17620 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17625 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17629 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17633 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17637 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17639 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17648 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17650 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   17653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17674 */     GIR_RootConstrainSelectedInstOperands,
     /*   17675 */     // GIR_Coverage, 69510,
     /*   17675 */     GIR_EraseRootFromParent_Done,
     /*   17676 */   // Label 379: @17676
     /*   17676 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(17772), // Rule ID 69749 //
     /*   17681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17696 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17700 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17706 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17710 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17714 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17716 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17721 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17725 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17729 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17733 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17735 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17744 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17746 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   17749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17770 */     GIR_RootConstrainSelectedInstOperands,
     /*   17771 */     // GIR_Coverage, 69749,
     /*   17771 */     GIR_EraseRootFromParent_Done,
     /*   17772 */   // Label 380: @17772
     /*   17772 */   GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(17868), // Rule ID 69750 //
     /*   17777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17796 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17806 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17810 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17812 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17817 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17821 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17825 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17829 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17831 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17840 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17842 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   17845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17866 */     GIR_RootConstrainSelectedInstOperands,
     /*   17867 */     // GIR_Coverage, 69750,
     /*   17867 */     GIR_EraseRootFromParent_Done,
     /*   17868 */   // Label 381: @17868
     /*   17868 */   GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(17964), // Rule ID 69751 //
     /*   17873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17888 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17892 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17902 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17906 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17908 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17913 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17917 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17921 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17925 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17927 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17936 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17938 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   17941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   17949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   17953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17962 */     GIR_RootConstrainSelectedInstOperands,
     /*   17963 */     // GIR_Coverage, 69751,
     /*   17963 */     GIR_EraseRootFromParent_Done,
     /*   17964 */   // Label 382: @17964
     /*   17964 */   GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(18060), // Rule ID 69752 //
     /*   17969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17984 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17988 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18002 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18009 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18013 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18017 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18021 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18023 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18032 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18034 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18058 */     GIR_RootConstrainSelectedInstOperands,
     /*   18059 */     // GIR_Coverage, 69752,
     /*   18059 */     GIR_EraseRootFromParent_Done,
     /*   18060 */   // Label 383: @18060
     /*   18060 */   GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(18156), // Rule ID 69623 //
     /*   18065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18080 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18084 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18098 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18100 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18105 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18109 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18113 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18117 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18119 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18128 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18130 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18154 */     GIR_RootConstrainSelectedInstOperands,
     /*   18155 */     // GIR_Coverage, 69623,
     /*   18155 */     GIR_EraseRootFromParent_Done,
     /*   18156 */   // Label 384: @18156
     /*   18156 */   GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(18252), // Rule ID 69624 //
     /*   18161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18176 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18180 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18194 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18201 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18205 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18209 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18213 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18215 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18224 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18226 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18250 */     GIR_RootConstrainSelectedInstOperands,
     /*   18251 */     // GIR_Coverage, 69624,
     /*   18251 */     GIR_EraseRootFromParent_Done,
     /*   18252 */   // Label 385: @18252
     /*   18252 */   GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(18348), // Rule ID 51577 //
     /*   18257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18276 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18280 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18301 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18305 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18309 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18313 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18315 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18320 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18322 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   18325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18346 */     GIR_RootConstrainSelectedInstOperands,
     /*   18347 */     // GIR_Coverage, 51577,
     /*   18347 */     GIR_EraseRootFromParent_Done,
     /*   18348 */   // Label 386: @18348
     /*   18348 */   GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(18444), // Rule ID 51578 //
     /*   18353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18372 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18376 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18382 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18390 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18392 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18397 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18401 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18405 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18409 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18411 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18416 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18418 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   18421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18442 */     GIR_RootConstrainSelectedInstOperands,
     /*   18443 */     // GIR_Coverage, 51578,
     /*   18443 */     GIR_EraseRootFromParent_Done,
     /*   18444 */   // Label 387: @18444
     /*   18444 */   GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(18540), // Rule ID 51695 //
     /*   18449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18472 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18482 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18486 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18488 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18493 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18497 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18501 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18505 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18507 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18512 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18514 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18538 */     GIR_RootConstrainSelectedInstOperands,
     /*   18539 */     // GIR_Coverage, 51695,
     /*   18539 */     GIR_EraseRootFromParent_Done,
     /*   18540 */   // Label 388: @18540
     /*   18540 */   GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(18636), // Rule ID 51696 //
     /*   18545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18564 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18568 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18570 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18574 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18578 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18582 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18584 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18589 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18593 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18597 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18601 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18603 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18608 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18610 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18634 */     GIR_RootConstrainSelectedInstOperands,
     /*   18635 */     // GIR_Coverage, 51696,
     /*   18635 */     GIR_EraseRootFromParent_Done,
     /*   18636 */   // Label 389: @18636
     /*   18636 */   GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(18732), // Rule ID 69747 //
     /*   18641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18660 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18664 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18674 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18678 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18680 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18685 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18689 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18693 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18697 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18699 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18704 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18706 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18730 */     GIR_RootConstrainSelectedInstOperands,
     /*   18731 */     // GIR_Coverage, 69747,
     /*   18731 */     GIR_EraseRootFromParent_Done,
     /*   18732 */   // Label 390: @18732
     /*   18732 */   GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(18828), // Rule ID 69748 //
     /*   18737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18756 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18760 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18774 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18776 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18781 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18785 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18789 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18793 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18795 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18800 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18802 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18826 */     GIR_RootConstrainSelectedInstOperands,
     /*   18827 */     // GIR_Coverage, 69748,
     /*   18827 */     GIR_EraseRootFromParent_Done,
     /*   18828 */   // Label 391: @18828
     /*   18828 */   GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(18924), // Rule ID 51635 //
     /*   18833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18852 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18870 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18872 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18877 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18881 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18885 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18889 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18891 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18896 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18898 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18922 */     GIR_RootConstrainSelectedInstOperands,
     /*   18923 */     // GIR_Coverage, 51635,
     /*   18923 */     GIR_EraseRootFromParent_Done,
     /*   18924 */   // Label 392: @18924
     /*   18924 */   GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(19020), // Rule ID 51636 //
     /*   18929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18952 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18966 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18973 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18977 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18981 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18985 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18987 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18992 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18994 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19018 */     GIR_RootConstrainSelectedInstOperands,
     /*   19019 */     // GIR_Coverage, 51636,
     /*   19019 */     GIR_EraseRootFromParent_Done,
     /*   19020 */   // Label 393: @19020
     /*   19020 */   GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(19109), // Rule ID 46403 //
     /*   19025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19040 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19047 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19051 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19055 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19059 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19061 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19066 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19068 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19107 */     GIR_RootConstrainSelectedInstOperands,
     /*   19108 */     // GIR_Coverage, 46403,
     /*   19108 */     GIR_EraseRootFromParent_Done,
     /*   19109 */   // Label 394: @19109
     /*   19109 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(19198), // Rule ID 46404 //
     /*   19114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19125 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19129 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19148 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19150 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19155 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19157 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19196 */     GIR_RootConstrainSelectedInstOperands,
     /*   19197 */     // GIR_Coverage, 46404,
     /*   19197 */     GIR_EraseRootFromParent_Done,
     /*   19198 */   // Label 395: @19198
     /*   19198 */   GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(19287), // Rule ID 46167 //
     /*   19203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19218 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19233 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19237 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19239 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19244 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19246 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   19263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19285 */     GIR_RootConstrainSelectedInstOperands,
     /*   19286 */     // GIR_Coverage, 46167,
     /*   19286 */     GIR_EraseRootFromParent_Done,
     /*   19287 */   // Label 396: @19287
     /*   19287 */   GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(19376), // Rule ID 46168 //
     /*   19292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19307 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19314 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19318 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19322 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19326 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19328 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19333 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19335 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   19352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19374 */     GIR_RootConstrainSelectedInstOperands,
     /*   19375 */     // GIR_Coverage, 46168,
     /*   19375 */     GIR_EraseRootFromParent_Done,
     /*   19376 */   // Label 397: @19376
     /*   19376 */   GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(19465), // Rule ID 46283 //
     /*   19381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19396 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19411 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19415 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19417 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19422 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19424 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19463 */     GIR_RootConstrainSelectedInstOperands,
     /*   19464 */     // GIR_Coverage, 46283,
     /*   19464 */     GIR_EraseRootFromParent_Done,
     /*   19465 */   // Label 398: @19465
     /*   19465 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(19554), // Rule ID 46284 //
     /*   19470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19485 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19504 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19511 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19513 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19552 */     GIR_RootConstrainSelectedInstOperands,
     /*   19553 */     // GIR_Coverage, 46284,
     /*   19553 */     GIR_EraseRootFromParent_Done,
     /*   19554 */   // Label 399: @19554
     /*   19554 */   GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(19622), // Rule ID 69321 //
     /*   19559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   19574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   19578 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19596 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   19596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   19599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   19605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19620 */     GIR_RootConstrainSelectedInstOperands,
     /*   19621 */     // GIR_Coverage, 69321,
     /*   19621 */     GIR_EraseRootFromParent_Done,
     /*   19622 */   // Label 400: @19622
     /*   19622 */   GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(19690), // Rule ID 69322 //
     /*   19627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   19642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   19646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19664 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   19664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   19667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   19673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19688 */     GIR_RootConstrainSelectedInstOperands,
     /*   19689 */     // GIR_Coverage, 69322,
     /*   19689 */     GIR_EraseRootFromParent_Done,
     /*   19690 */   // Label 401: @19690
     /*   19690 */   GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(19745), // Rule ID 68399 //
     /*   19695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19723 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   19723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   19726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19743 */     GIR_RootConstrainSelectedInstOperands,
     /*   19744 */     // GIR_Coverage, 68399,
     /*   19744 */     GIR_EraseRootFromParent_Done,
     /*   19745 */   // Label 402: @19745
     /*   19745 */   GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(19800), // Rule ID 68400 //
     /*   19750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19765 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19778 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   19778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   19781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19798 */     GIR_RootConstrainSelectedInstOperands,
     /*   19799 */     // GIR_Coverage, 68400,
     /*   19799 */     GIR_EraseRootFromParent_Done,
     /*   19800 */   // Label 403: @19800
     /*   19800 */   GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(19855), // Rule ID 68219 //
     /*   19805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19820 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19833 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   19833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   19836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19853 */     GIR_RootConstrainSelectedInstOperands,
     /*   19854 */     // GIR_Coverage, 68219,
     /*   19854 */     GIR_EraseRootFromParent_Done,
     /*   19855 */   // Label 404: @19855
     /*   19855 */   GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(19910), // Rule ID 68220 //
     /*   19860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19875 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19888 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   19888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   19891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19908 */     GIR_RootConstrainSelectedInstOperands,
     /*   19909 */     // GIR_Coverage, 68220,
     /*   19909 */     GIR_EraseRootFromParent_Done,
     /*   19910 */   // Label 405: @19910
     /*   19910 */   GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(19965), // Rule ID 68309 //
     /*   19915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19930 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19932 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19943 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   19943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   19946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19963 */     GIR_RootConstrainSelectedInstOperands,
     /*   19964 */     // GIR_Coverage, 68309,
     /*   19964 */     GIR_EraseRootFromParent_Done,
     /*   19965 */   // Label 406: @19965
     /*   19965 */   GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(20020), // Rule ID 68310 //
     /*   19970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19985 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19998 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   19998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20018 */     GIR_RootConstrainSelectedInstOperands,
     /*   20019 */     // GIR_Coverage, 68310,
     /*   20019 */     GIR_EraseRootFromParent_Done,
     /*   20020 */   // Label 407: @20020
     /*   20020 */   GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(20088), // Rule ID 51417 //
     /*   20025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   20048 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20062 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   20062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   20065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20086 */     GIR_RootConstrainSelectedInstOperands,
     /*   20087 */     // GIR_Coverage, 51417,
     /*   20087 */     GIR_EraseRootFromParent_Done,
     /*   20088 */   // Label 408: @20088
     /*   20088 */   GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(20156), // Rule ID 51418 //
     /*   20093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20112 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   20116 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20130 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   20130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   20133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20154 */     GIR_RootConstrainSelectedInstOperands,
     /*   20155 */     // GIR_Coverage, 51418,
     /*   20155 */     GIR_EraseRootFromParent_Done,
     /*   20156 */   // Label 409: @20156
     /*   20156 */   GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(20211), // Rule ID 46463 //
     /*   20161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20180 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20189 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   20189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20209 */     GIR_RootConstrainSelectedInstOperands,
     /*   20210 */     // GIR_Coverage, 46463,
     /*   20210 */     GIR_EraseRootFromParent_Done,
     /*   20211 */   // Label 410: @20211
     /*   20211 */   GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(20266), // Rule ID 46464 //
     /*   20216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20244 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   20244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20264 */     GIR_RootConstrainSelectedInstOperands,
     /*   20265 */     // GIR_Coverage, 46464,
     /*   20265 */     GIR_EraseRootFromParent_Done,
     /*   20266 */   // Label 411: @20266
     /*   20266 */   GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(20321), // Rule ID 46223 //
     /*   20271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20290 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20299 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   20299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   20302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20319 */     GIR_RootConstrainSelectedInstOperands,
     /*   20320 */     // GIR_Coverage, 46223,
     /*   20320 */     GIR_EraseRootFromParent_Done,
     /*   20321 */   // Label 412: @20321
     /*   20321 */   GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(20376), // Rule ID 46224 //
     /*   20326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20345 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20354 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   20354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   20357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20374 */     GIR_RootConstrainSelectedInstOperands,
     /*   20375 */     // GIR_Coverage, 46224,
     /*   20375 */     GIR_EraseRootFromParent_Done,
     /*   20376 */   // Label 413: @20376
     /*   20376 */   GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(20431), // Rule ID 46343 //
     /*   20381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20400 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20402 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20409 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   20409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20429 */     GIR_RootConstrainSelectedInstOperands,
     /*   20430 */     // GIR_Coverage, 46343,
     /*   20430 */     GIR_EraseRootFromParent_Done,
     /*   20431 */   // Label 414: @20431
     /*   20431 */   GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(20486), // Rule ID 46344 //
     /*   20436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20455 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20464 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   20464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20484 */     GIR_RootConstrainSelectedInstOperands,
     /*   20485 */     // GIR_Coverage, 46344,
     /*   20485 */     GIR_EraseRootFromParent_Done,
     /*   20486 */   // Label 415: @20486
     /*   20486 */   GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(20539), // Rule ID 45833 //
     /*   20491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20502 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   20502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   20505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   20519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20537 */     GIR_RootConstrainSelectedInstOperands,
     /*   20538 */     // GIR_Coverage, 45833,
     /*   20538 */     GIR_EraseRootFromParent_Done,
     /*   20539 */   // Label 416: @20539
     /*   20539 */   GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(20592), // Rule ID 45834 //
     /*   20544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20555 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   20555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   20558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   20572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20590 */     GIR_RootConstrainSelectedInstOperands,
     /*   20591 */     // GIR_Coverage, 45834,
     /*   20591 */     GIR_EraseRootFromParent_Done,
     /*   20592 */   // Label 417: @20592
     /*   20592 */   GIM_Reject,
     /*   20593 */ // Label 377: @20593
     /*   20593 */ GIM_Reject,
     /*   20594 */ // Label 130: @20594
     /*   20594 */ GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(23718),
     /*   20599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20609 */   GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(20705), // Rule ID 69521 //
     /*   20614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20629 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20633 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20647 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20649 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20654 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20658 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20662 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20666 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20668 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20677 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20679 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   20679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   20682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20703 */     GIR_RootConstrainSelectedInstOperands,
     /*   20704 */     // GIR_Coverage, 69521,
     /*   20704 */     GIR_EraseRootFromParent_Done,
     /*   20705 */   // Label 419: @20705
     /*   20705 */   GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(20801), // Rule ID 69522 //
     /*   20710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20725 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20729 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20743 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20745 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20750 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20754 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20758 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20762 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20764 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20773 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20775 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   20775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   20778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20799 */     GIR_RootConstrainSelectedInstOperands,
     /*   20800 */     // GIR_Coverage, 69522,
     /*   20800 */     GIR_EraseRootFromParent_Done,
     /*   20801 */   // Label 420: @20801
     /*   20801 */   GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(20897), // Rule ID 69785 //
     /*   20806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20821 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20825 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20839 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20841 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20846 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20850 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20854 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20858 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20860 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20869 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20871 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   20871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   20874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20895 */     GIR_RootConstrainSelectedInstOperands,
     /*   20896 */     // GIR_Coverage, 69785,
     /*   20896 */     GIR_EraseRootFromParent_Done,
     /*   20897 */   // Label 421: @20897
     /*   20897 */   GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(20993), // Rule ID 69786 //
     /*   20902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20917 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20921 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20935 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20937 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20942 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20946 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20950 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20954 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20956 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20965 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20967 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   20967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   20970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20991 */     GIR_RootConstrainSelectedInstOperands,
     /*   20992 */     // GIR_Coverage, 69786,
     /*   20992 */     GIR_EraseRootFromParent_Done,
     /*   20993 */   // Label 422: @20993
     /*   20993 */   GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(21089), // Rule ID 69787 //
     /*   20998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21017 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21019 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21023 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21027 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21031 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21033 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21038 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21042 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21046 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21050 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21052 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21061 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21063 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21087 */     GIR_RootConstrainSelectedInstOperands,
     /*   21088 */     // GIR_Coverage, 69787,
     /*   21088 */     GIR_EraseRootFromParent_Done,
     /*   21089 */   // Label 423: @21089
     /*   21089 */   GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(21185), // Rule ID 69788 //
     /*   21094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21109 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21113 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21123 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21127 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21129 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21134 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21138 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21142 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21146 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21148 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21157 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21159 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21183 */     GIR_RootConstrainSelectedInstOperands,
     /*   21184 */     // GIR_Coverage, 69788,
     /*   21184 */     GIR_EraseRootFromParent_Done,
     /*   21185 */   // Label 424: @21185
     /*   21185 */   GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(21281), // Rule ID 69635 //
     /*   21190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21205 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21209 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21219 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21223 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21225 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21230 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21234 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21238 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21242 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21244 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21253 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21255 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   21258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21279 */     GIR_RootConstrainSelectedInstOperands,
     /*   21280 */     // GIR_Coverage, 69635,
     /*   21280 */     GIR_EraseRootFromParent_Done,
     /*   21281 */   // Label 425: @21281
     /*   21281 */   GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(21377), // Rule ID 69636 //
     /*   21286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21301 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21305 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21307 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21311 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21315 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21319 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21321 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21326 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21330 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21334 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21338 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21340 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21349 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21351 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   21354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21375 */     GIR_RootConstrainSelectedInstOperands,
     /*   21376 */     // GIR_Coverage, 69636,
     /*   21376 */     GIR_EraseRootFromParent_Done,
     /*   21377 */   // Label 426: @21377
     /*   21377 */   GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(21473), // Rule ID 51589 //
     /*   21382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21401 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21405 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21407 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21411 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21415 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21419 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21421 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21426 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21430 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21434 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21438 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21440 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21445 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21447 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   21450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21471 */     GIR_RootConstrainSelectedInstOperands,
     /*   21472 */     // GIR_Coverage, 51589,
     /*   21472 */     GIR_EraseRootFromParent_Done,
     /*   21473 */   // Label 427: @21473
     /*   21473 */   GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(21569), // Rule ID 51590 //
     /*   21478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21497 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21501 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21515 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21517 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21522 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21526 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21530 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21534 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21536 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21541 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21543 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   21546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21567 */     GIR_RootConstrainSelectedInstOperands,
     /*   21568 */     // GIR_Coverage, 51590,
     /*   21568 */     GIR_EraseRootFromParent_Done,
     /*   21569 */   // Label 428: @21569
     /*   21569 */   GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(21665), // Rule ID 51707 //
     /*   21574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21597 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21611 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21613 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21618 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21622 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21626 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21630 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21632 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21637 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21639 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21663 */     GIR_RootConstrainSelectedInstOperands,
     /*   21664 */     // GIR_Coverage, 51707,
     /*   21664 */     GIR_EraseRootFromParent_Done,
     /*   21665 */   // Label 429: @21665
     /*   21665 */   GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(21761), // Rule ID 51708 //
     /*   21670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21689 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21693 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21703 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21707 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21709 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21714 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21718 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21722 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21726 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21728 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21733 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21735 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21759 */     GIR_RootConstrainSelectedInstOperands,
     /*   21760 */     // GIR_Coverage, 51708,
     /*   21760 */     GIR_EraseRootFromParent_Done,
     /*   21761 */   // Label 430: @21761
     /*   21761 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(21857), // Rule ID 69783 //
     /*   21766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21789 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21803 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21805 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21810 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21814 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21818 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21822 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21824 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21829 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21831 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21855 */     GIR_RootConstrainSelectedInstOperands,
     /*   21856 */     // GIR_Coverage, 69783,
     /*   21856 */     GIR_EraseRootFromParent_Done,
     /*   21857 */   // Label 431: @21857
     /*   21857 */   GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(21953), // Rule ID 69784 //
     /*   21862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21881 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21885 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21887 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21891 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21895 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21899 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21901 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21906 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21910 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21914 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21918 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21920 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21925 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21927 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21951 */     GIR_RootConstrainSelectedInstOperands,
     /*   21952 */     // GIR_Coverage, 69784,
     /*   21952 */     GIR_EraseRootFromParent_Done,
     /*   21953 */   // Label 432: @21953
     /*   21953 */   GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(22049), // Rule ID 51647 //
     /*   21958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21977 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21981 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21995 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21997 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22002 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22006 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22010 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22014 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22016 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22021 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22023 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   22023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   22026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22047 */     GIR_RootConstrainSelectedInstOperands,
     /*   22048 */     // GIR_Coverage, 51647,
     /*   22048 */     GIR_EraseRootFromParent_Done,
     /*   22049 */   // Label 433: @22049
     /*   22049 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(22145), // Rule ID 51648 //
     /*   22054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   22073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   22077 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22087 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22091 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22093 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22098 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22102 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22106 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22110 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22112 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22117 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22119 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   22119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   22122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22143 */     GIR_RootConstrainSelectedInstOperands,
     /*   22144 */     // GIR_Coverage, 51648,
     /*   22144 */     GIR_EraseRootFromParent_Done,
     /*   22145 */   // Label 434: @22145
     /*   22145 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(22234), // Rule ID 46427 //
     /*   22150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22165 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22184 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22193 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22232 */     GIR_RootConstrainSelectedInstOperands,
     /*   22233 */     // GIR_Coverage, 46427,
     /*   22233 */     GIR_EraseRootFromParent_Done,
     /*   22234 */   // Label 435: @22234
     /*   22234 */   GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(22323), // Rule ID 46428 //
     /*   22239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22254 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22269 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22273 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22282 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22321 */     GIR_RootConstrainSelectedInstOperands,
     /*   22322 */     // GIR_Coverage, 46428,
     /*   22322 */     GIR_EraseRootFromParent_Done,
     /*   22323 */   // Label 436: @22323
     /*   22323 */   GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(22412), // Rule ID 46191 //
     /*   22328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22362 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22364 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22371 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   22388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22410 */     GIR_RootConstrainSelectedInstOperands,
     /*   22411 */     // GIR_Coverage, 46191,
     /*   22411 */     GIR_EraseRootFromParent_Done,
     /*   22412 */   // Label 437: @22412
     /*   22412 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(22501), // Rule ID 46192 //
     /*   22417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22432 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22451 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22453 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22460 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   22477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22499 */     GIR_RootConstrainSelectedInstOperands,
     /*   22500 */     // GIR_Coverage, 46192,
     /*   22500 */     GIR_EraseRootFromParent_Done,
     /*   22501 */   // Label 438: @22501
     /*   22501 */   GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(22590), // Rule ID 46307 //
     /*   22506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22540 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22542 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22547 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22549 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22588 */     GIR_RootConstrainSelectedInstOperands,
     /*   22589 */     // GIR_Coverage, 46307,
     /*   22589 */     GIR_EraseRootFromParent_Done,
     /*   22590 */   // Label 439: @22590
     /*   22590 */   GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(22679), // Rule ID 46308 //
     /*   22595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22610 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22629 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22631 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22636 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22638 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22677 */     GIR_RootConstrainSelectedInstOperands,
     /*   22678 */     // GIR_Coverage, 46308,
     /*   22678 */     GIR_EraseRootFromParent_Done,
     /*   22679 */   // Label 440: @22679
     /*   22679 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(22747), // Rule ID 69353 //
     /*   22684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   22699 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   22703 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22721 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   22721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   22724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   22730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22745 */     GIR_RootConstrainSelectedInstOperands,
     /*   22746 */     // GIR_Coverage, 69353,
     /*   22746 */     GIR_EraseRootFromParent_Done,
     /*   22747 */   // Label 441: @22747
     /*   22747 */   GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(22815), // Rule ID 69354 //
     /*   22752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   22767 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   22771 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22789 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   22789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   22792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   22798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22813 */     GIR_RootConstrainSelectedInstOperands,
     /*   22814 */     // GIR_Coverage, 69354,
     /*   22814 */     GIR_EraseRootFromParent_Done,
     /*   22815 */   // Label 442: @22815
     /*   22815 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(22870), // Rule ID 68423 //
     /*   22820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22835 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22848 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   22848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   22851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22868 */     GIR_RootConstrainSelectedInstOperands,
     /*   22869 */     // GIR_Coverage, 68423,
     /*   22869 */     GIR_EraseRootFromParent_Done,
     /*   22870 */   // Label 443: @22870
     /*   22870 */   GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(22925), // Rule ID 68424 //
     /*   22875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22890 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22903 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   22903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   22906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22923 */     GIR_RootConstrainSelectedInstOperands,
     /*   22924 */     // GIR_Coverage, 68424,
     /*   22924 */     GIR_EraseRootFromParent_Done,
     /*   22925 */   // Label 444: @22925
     /*   22925 */   GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(22980), // Rule ID 68243 //
     /*   22930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22945 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22958 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   22958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   22961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22978 */     GIR_RootConstrainSelectedInstOperands,
     /*   22979 */     // GIR_Coverage, 68243,
     /*   22979 */     GIR_EraseRootFromParent_Done,
     /*   22980 */   // Label 445: @22980
     /*   22980 */   GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(23035), // Rule ID 68244 //
     /*   22985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23013 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   23016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23033 */     GIR_RootConstrainSelectedInstOperands,
     /*   23034 */     // GIR_Coverage, 68244,
     /*   23034 */     GIR_EraseRootFromParent_Done,
     /*   23035 */   // Label 446: @23035
     /*   23035 */   GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(23090), // Rule ID 68333 //
     /*   23040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23055 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23068 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23088 */     GIR_RootConstrainSelectedInstOperands,
     /*   23089 */     // GIR_Coverage, 68333,
     /*   23089 */     GIR_EraseRootFromParent_Done,
     /*   23090 */   // Label 447: @23090
     /*   23090 */   GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(23145), // Rule ID 68334 //
     /*   23095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23110 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23123 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23143 */     GIR_RootConstrainSelectedInstOperands,
     /*   23144 */     // GIR_Coverage, 68334,
     /*   23144 */     GIR_EraseRootFromParent_Done,
     /*   23145 */   // Label 448: @23145
     /*   23145 */   GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(23213), // Rule ID 51433 //
     /*   23150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23169 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   23173 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23175 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23187 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   23187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   23190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23211 */     GIR_RootConstrainSelectedInstOperands,
     /*   23212 */     // GIR_Coverage, 51433,
     /*   23212 */     GIR_EraseRootFromParent_Done,
     /*   23213 */   // Label 449: @23213
     /*   23213 */   GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(23281), // Rule ID 51434 //
     /*   23218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   23241 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23255 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   23255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   23258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23279 */     GIR_RootConstrainSelectedInstOperands,
     /*   23280 */     // GIR_Coverage, 51434,
     /*   23280 */     GIR_EraseRootFromParent_Done,
     /*   23281 */   // Label 450: @23281
     /*   23281 */   GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(23336), // Rule ID 46487 //
     /*   23286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23305 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23314 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23334 */     GIR_RootConstrainSelectedInstOperands,
     /*   23335 */     // GIR_Coverage, 46487,
     /*   23335 */     GIR_EraseRootFromParent_Done,
     /*   23336 */   // Label 451: @23336
     /*   23336 */   GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(23391), // Rule ID 46488 //
     /*   23341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23360 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23369 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23389 */     GIR_RootConstrainSelectedInstOperands,
     /*   23390 */     // GIR_Coverage, 46488,
     /*   23390 */     GIR_EraseRootFromParent_Done,
     /*   23391 */   // Label 452: @23391
     /*   23391 */   GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(23446), // Rule ID 46247 //
     /*   23396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23415 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23424 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   23427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23444 */     GIR_RootConstrainSelectedInstOperands,
     /*   23445 */     // GIR_Coverage, 46247,
     /*   23445 */     GIR_EraseRootFromParent_Done,
     /*   23446 */   // Label 453: @23446
     /*   23446 */   GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(23501), // Rule ID 46248 //
     /*   23451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23470 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23479 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   23482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23499 */     GIR_RootConstrainSelectedInstOperands,
     /*   23500 */     // GIR_Coverage, 46248,
     /*   23500 */     GIR_EraseRootFromParent_Done,
     /*   23501 */   // Label 454: @23501
     /*   23501 */   GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(23556), // Rule ID 46367 //
     /*   23506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23525 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23534 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23554 */     GIR_RootConstrainSelectedInstOperands,
     /*   23555 */     // GIR_Coverage, 46367,
     /*   23555 */     GIR_EraseRootFromParent_Done,
     /*   23556 */   // Label 455: @23556
     /*   23556 */   GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(23611), // Rule ID 46368 //
     /*   23561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23580 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23589 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23609 */     GIR_RootConstrainSelectedInstOperands,
     /*   23610 */     // GIR_Coverage, 46368,
     /*   23610 */     GIR_EraseRootFromParent_Done,
     /*   23611 */   // Label 456: @23611
     /*   23611 */   GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(23664), // Rule ID 45849 //
     /*   23616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23627 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   23627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   23630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   23644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23662 */     GIR_RootConstrainSelectedInstOperands,
     /*   23663 */     // GIR_Coverage, 45849,
     /*   23663 */     GIR_EraseRootFromParent_Done,
     /*   23664 */   // Label 457: @23664
     /*   23664 */   GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(23717), // Rule ID 45850 //
     /*   23669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23680 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   23680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   23683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   23697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23715 */     GIR_RootConstrainSelectedInstOperands,
     /*   23716 */     // GIR_Coverage, 45850,
     /*   23716 */     GIR_EraseRootFromParent_Done,
     /*   23717 */   // Label 458: @23717
     /*   23717 */   GIM_Reject,
     /*   23718 */ // Label 418: @23718
     /*   23718 */ GIM_Reject,
     /*   23719 */ // Label 131: @23719
     /*   23719 */ GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(26843),
     /*   23724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23734 */   GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(23830), // Rule ID 69531 //
     /*   23739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   23742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23758 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23760 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23764 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23768 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23772 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23774 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23779 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23783 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23787 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23791 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23793 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23802 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23804 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   23804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   23807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   23811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23828 */     GIR_RootConstrainSelectedInstOperands,
     /*   23829 */     // GIR_Coverage, 69531,
     /*   23829 */     GIR_EraseRootFromParent_Done,
     /*   23830 */   // Label 460: @23830
     /*   23830 */   GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(23926), // Rule ID 69532 //
     /*   23835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   23838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23854 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23868 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23870 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23875 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23879 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23883 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23887 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23889 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23898 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23900 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   23900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   23903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   23907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23924 */     GIR_RootConstrainSelectedInstOperands,
     /*   23925 */     // GIR_Coverage, 69532,
     /*   23925 */     GIR_EraseRootFromParent_Done,
     /*   23926 */   // Label 461: @23926
     /*   23926 */   GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(24022), // Rule ID 69815 //
     /*   23931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   23934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23964 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23966 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23971 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23975 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23979 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23983 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23985 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23994 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23996 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   23996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   23999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24020 */     GIR_RootConstrainSelectedInstOperands,
     /*   24021 */     // GIR_Coverage, 69815,
     /*   24021 */     GIR_EraseRootFromParent_Done,
     /*   24022 */   // Label 462: @24022
     /*   24022 */   GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(24118), // Rule ID 69816 //
     /*   24027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24042 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24046 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24056 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24060 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24062 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24067 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24071 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24075 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24079 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24081 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24090 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24092 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24116 */     GIR_RootConstrainSelectedInstOperands,
     /*   24117 */     // GIR_Coverage, 69816,
     /*   24117 */     GIR_EraseRootFromParent_Done,
     /*   24118 */   // Label 463: @24118
     /*   24118 */   GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(24214), // Rule ID 69817 //
     /*   24123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24138 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24142 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24152 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24156 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24158 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24163 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24167 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24171 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24175 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24177 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24186 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24188 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   24199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   24203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24212 */     GIR_RootConstrainSelectedInstOperands,
     /*   24213 */     // GIR_Coverage, 69817,
     /*   24213 */     GIR_EraseRootFromParent_Done,
     /*   24214 */   // Label 464: @24214
     /*   24214 */   GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(24310), // Rule ID 69818 //
     /*   24219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24238 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24252 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24259 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24263 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24267 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24271 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24273 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24282 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24284 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   24295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   24299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24308 */     GIR_RootConstrainSelectedInstOperands,
     /*   24309 */     // GIR_Coverage, 69818,
     /*   24309 */     GIR_EraseRootFromParent_Done,
     /*   24310 */   // Label 465: @24310
     /*   24310 */   GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(24406), // Rule ID 69645 //
     /*   24315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24330 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24334 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24348 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24350 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24355 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24359 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24363 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24367 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24369 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24378 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24380 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   24383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24404 */     GIR_RootConstrainSelectedInstOperands,
     /*   24405 */     // GIR_Coverage, 69645,
     /*   24405 */     GIR_EraseRootFromParent_Done,
     /*   24406 */   // Label 466: @24406
     /*   24406 */   GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(24502), // Rule ID 69646 //
     /*   24411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24426 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24430 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24432 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24436 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24440 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24444 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24446 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24451 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24455 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24459 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24463 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24465 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24474 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24476 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   24479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24500 */     GIR_RootConstrainSelectedInstOperands,
     /*   24501 */     // GIR_Coverage, 69646,
     /*   24501 */     GIR_EraseRootFromParent_Done,
     /*   24502 */   // Label 467: @24502
     /*   24502 */   GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(24598), // Rule ID 51599 //
     /*   24507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24530 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24544 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24546 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24551 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24555 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24559 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24563 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24565 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24570 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24572 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   24575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24596 */     GIR_RootConstrainSelectedInstOperands,
     /*   24597 */     // GIR_Coverage, 51599,
     /*   24597 */     GIR_EraseRootFromParent_Done,
     /*   24598 */   // Label 468: @24598
     /*   24598 */   GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(24694), // Rule ID 51600 //
     /*   24603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24640 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24647 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24651 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24655 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24659 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24661 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24666 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24668 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   24671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24692 */     GIR_RootConstrainSelectedInstOperands,
     /*   24693 */     // GIR_Coverage, 51600,
     /*   24693 */     GIR_EraseRootFromParent_Done,
     /*   24694 */   // Label 469: @24694
     /*   24694 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(24790), // Rule ID 51717 //
     /*   24699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24722 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24736 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24738 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24743 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24747 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24751 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24755 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24757 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24762 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24764 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24788 */     GIR_RootConstrainSelectedInstOperands,
     /*   24789 */     // GIR_Coverage, 51717,
     /*   24789 */     GIR_EraseRootFromParent_Done,
     /*   24790 */   // Label 470: @24790
     /*   24790 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(24886), // Rule ID 51718 //
     /*   24795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24832 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24839 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24843 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24847 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24851 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24853 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24858 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24860 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24884 */     GIR_RootConstrainSelectedInstOperands,
     /*   24885 */     // GIR_Coverage, 51718,
     /*   24885 */     GIR_EraseRootFromParent_Done,
     /*   24886 */   // Label 471: @24886
     /*   24886 */   GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(24982), // Rule ID 69813 //
     /*   24891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24914 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24928 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24935 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24939 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24943 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24947 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24949 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24954 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24956 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   24967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   24971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24980 */     GIR_RootConstrainSelectedInstOperands,
     /*   24981 */     // GIR_Coverage, 69813,
     /*   24981 */     GIR_EraseRootFromParent_Done,
     /*   24982 */   // Label 472: @24982
     /*   24982 */   GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(25078), // Rule ID 69814 //
     /*   24987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25010 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25024 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25031 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25035 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25039 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25043 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25045 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25050 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25052 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   25052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   25055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   25063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   25067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25076 */     GIR_RootConstrainSelectedInstOperands,
     /*   25077 */     // GIR_Coverage, 69814,
     /*   25077 */     GIR_EraseRootFromParent_Done,
     /*   25078 */   // Label 473: @25078
     /*   25078 */   GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(25174), // Rule ID 51657 //
     /*   25083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25102 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25106 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25120 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25122 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25127 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25131 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25135 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25139 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25141 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25146 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25148 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   25148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   25151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25172 */     GIR_RootConstrainSelectedInstOperands,
     /*   25173 */     // GIR_Coverage, 51657,
     /*   25173 */     GIR_EraseRootFromParent_Done,
     /*   25174 */   // Label 474: @25174
     /*   25174 */   GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(25270), // Rule ID 51658 //
     /*   25179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25198 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25202 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25216 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25218 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25223 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25227 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25231 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25235 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25237 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25242 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25244 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   25244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   25247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25268 */     GIR_RootConstrainSelectedInstOperands,
     /*   25269 */     // GIR_Coverage, 51658,
     /*   25269 */     GIR_EraseRootFromParent_Done,
     /*   25270 */   // Label 475: @25270
     /*   25270 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(25359), // Rule ID 46447 //
     /*   25275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25290 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25309 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25311 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25316 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25318 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25357 */     GIR_RootConstrainSelectedInstOperands,
     /*   25358 */     // GIR_Coverage, 46447,
     /*   25358 */     GIR_EraseRootFromParent_Done,
     /*   25359 */   // Label 476: @25359
     /*   25359 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(25448), // Rule ID 46448 //
     /*   25364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25379 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25398 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25400 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25405 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25407 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25446 */     GIR_RootConstrainSelectedInstOperands,
     /*   25447 */     // GIR_Coverage, 46448,
     /*   25447 */     GIR_EraseRootFromParent_Done,
     /*   25448 */   // Label 477: @25448
     /*   25448 */   GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(25537), // Rule ID 46211 //
     /*   25453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25468 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25470 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25475 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25479 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25483 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25487 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25494 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25496 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   25513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25535 */     GIR_RootConstrainSelectedInstOperands,
     /*   25536 */     // GIR_Coverage, 46211,
     /*   25536 */     GIR_EraseRootFromParent_Done,
     /*   25537 */   // Label 478: @25537
     /*   25537 */   GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(25626), // Rule ID 46212 //
     /*   25542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25557 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25576 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25578 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25583 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25585 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   25602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25624 */     GIR_RootConstrainSelectedInstOperands,
     /*   25625 */     // GIR_Coverage, 46212,
     /*   25625 */     GIR_EraseRootFromParent_Done,
     /*   25626 */   // Label 479: @25626
     /*   25626 */   GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(25715), // Rule ID 46327 //
     /*   25631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25661 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25665 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25667 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25674 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25713 */     GIR_RootConstrainSelectedInstOperands,
     /*   25714 */     // GIR_Coverage, 46327,
     /*   25714 */     GIR_EraseRootFromParent_Done,
     /*   25715 */   // Label 480: @25715
     /*   25715 */   GIM_Try, /*On fail goto*//*Label 481*/ GIMT_Encode4(25804), // Rule ID 46328 //
     /*   25720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25735 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25754 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25756 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25761 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25763 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25802 */     GIR_RootConstrainSelectedInstOperands,
     /*   25803 */     // GIR_Coverage, 46328,
     /*   25803 */     GIR_EraseRootFromParent_Done,
     /*   25804 */   // Label 481: @25804
     /*   25804 */   GIM_Try, /*On fail goto*//*Label 482*/ GIMT_Encode4(25872), // Rule ID 69441 //
     /*   25809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   25812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25824 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25828 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25835 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25846 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   25846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   25849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   25855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   25859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25870 */     GIR_RootConstrainSelectedInstOperands,
     /*   25871 */     // GIR_Coverage, 69441,
     /*   25871 */     GIR_EraseRootFromParent_Done,
     /*   25872 */   // Label 482: @25872
     /*   25872 */   GIM_Try, /*On fail goto*//*Label 483*/ GIMT_Encode4(25940), // Rule ID 69442 //
     /*   25877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   25880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25892 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25896 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25914 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   25914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   25917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   25923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   25927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25938 */     GIR_RootConstrainSelectedInstOperands,
     /*   25939 */     // GIR_Coverage, 69442,
     /*   25939 */     GIR_EraseRootFromParent_Done,
     /*   25940 */   // Label 483: @25940
     /*   25940 */   GIM_Try, /*On fail goto*//*Label 484*/ GIMT_Encode4(25995), // Rule ID 68443 //
     /*   25945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25973 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   25973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   25976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   25984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25993 */     GIR_RootConstrainSelectedInstOperands,
     /*   25994 */     // GIR_Coverage, 68443,
     /*   25994 */     GIR_EraseRootFromParent_Done,
     /*   25995 */   // Label 484: @25995
     /*   25995 */   GIM_Try, /*On fail goto*//*Label 485*/ GIMT_Encode4(26050), // Rule ID 68444 //
     /*   26000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26015 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26028 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26048 */     GIR_RootConstrainSelectedInstOperands,
     /*   26049 */     // GIR_Coverage, 68444,
     /*   26049 */     GIR_EraseRootFromParent_Done,
     /*   26050 */   // Label 485: @26050
     /*   26050 */   GIM_Try, /*On fail goto*//*Label 486*/ GIMT_Encode4(26105), // Rule ID 68263 //
     /*   26055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26070 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26083 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26103 */     GIR_RootConstrainSelectedInstOperands,
     /*   26104 */     // GIR_Coverage, 68263,
     /*   26104 */     GIR_EraseRootFromParent_Done,
     /*   26105 */   // Label 486: @26105
     /*   26105 */   GIM_Try, /*On fail goto*//*Label 487*/ GIMT_Encode4(26160), // Rule ID 68264 //
     /*   26110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26125 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26138 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26158 */     GIR_RootConstrainSelectedInstOperands,
     /*   26159 */     // GIR_Coverage, 68264,
     /*   26159 */     GIR_EraseRootFromParent_Done,
     /*   26160 */   // Label 487: @26160
     /*   26160 */   GIM_Try, /*On fail goto*//*Label 488*/ GIMT_Encode4(26215), // Rule ID 68353 //
     /*   26165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26180 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26193 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26213 */     GIR_RootConstrainSelectedInstOperands,
     /*   26214 */     // GIR_Coverage, 68353,
     /*   26214 */     GIR_EraseRootFromParent_Done,
     /*   26215 */   // Label 488: @26215
     /*   26215 */   GIM_Try, /*On fail goto*//*Label 489*/ GIMT_Encode4(26270), // Rule ID 68354 //
     /*   26220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26248 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26268 */     GIR_RootConstrainSelectedInstOperands,
     /*   26269 */     // GIR_Coverage, 68354,
     /*   26269 */     GIR_EraseRootFromParent_Done,
     /*   26270 */   // Label 489: @26270
     /*   26270 */   GIM_Try, /*On fail goto*//*Label 490*/ GIMT_Encode4(26338), // Rule ID 51477 //
     /*   26275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   26278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   26294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   26298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26312 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   26312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   26315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26336 */     GIR_RootConstrainSelectedInstOperands,
     /*   26337 */     // GIR_Coverage, 51477,
     /*   26337 */     GIR_EraseRootFromParent_Done,
     /*   26338 */   // Label 490: @26338
     /*   26338 */   GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(26406), // Rule ID 51478 //
     /*   26343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   26346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   26362 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   26366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26380 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   26380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   26383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26404 */     GIR_RootConstrainSelectedInstOperands,
     /*   26405 */     // GIR_Coverage, 51478,
     /*   26405 */     GIR_EraseRootFromParent_Done,
     /*   26406 */   // Label 491: @26406
     /*   26406 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(26461), // Rule ID 46507 //
     /*   26411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26430 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26439 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26459 */     GIR_RootConstrainSelectedInstOperands,
     /*   26460 */     // GIR_Coverage, 46507,
     /*   26460 */     GIR_EraseRootFromParent_Done,
     /*   26461 */   // Label 492: @26461
     /*   26461 */   GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(26516), // Rule ID 46508 //
     /*   26466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26485 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26494 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26514 */     GIR_RootConstrainSelectedInstOperands,
     /*   26515 */     // GIR_Coverage, 46508,
     /*   26515 */     GIR_EraseRootFromParent_Done,
     /*   26516 */   // Label 493: @26516
     /*   26516 */   GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(26571), // Rule ID 46267 //
     /*   26521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26540 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26549 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26569 */     GIR_RootConstrainSelectedInstOperands,
     /*   26570 */     // GIR_Coverage, 46267,
     /*   26570 */     GIR_EraseRootFromParent_Done,
     /*   26571 */   // Label 494: @26571
     /*   26571 */   GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(26626), // Rule ID 46268 //
     /*   26576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26595 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26604 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26624 */     GIR_RootConstrainSelectedInstOperands,
     /*   26625 */     // GIR_Coverage, 46268,
     /*   26625 */     GIR_EraseRootFromParent_Done,
     /*   26626 */   // Label 495: @26626
     /*   26626 */   GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(26681), // Rule ID 46387 //
     /*   26631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26650 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26659 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26679 */     GIR_RootConstrainSelectedInstOperands,
     /*   26680 */     // GIR_Coverage, 46387,
     /*   26680 */     GIR_EraseRootFromParent_Done,
     /*   26681 */   // Label 496: @26681
     /*   26681 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(26736), // Rule ID 46388 //
     /*   26686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26705 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26714 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26734 */     GIR_RootConstrainSelectedInstOperands,
     /*   26735 */     // GIR_Coverage, 46388,
     /*   26735 */     GIR_EraseRootFromParent_Done,
     /*   26736 */   // Label 497: @26736
     /*   26736 */   GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(26789), // Rule ID 45893 //
     /*   26741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   26744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26752 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   26752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   26755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   26769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26787 */     GIR_RootConstrainSelectedInstOperands,
     /*   26788 */     // GIR_Coverage, 45893,
     /*   26788 */     GIR_EraseRootFromParent_Done,
     /*   26789 */   // Label 498: @26789
     /*   26789 */   GIM_Try, /*On fail goto*//*Label 499*/ GIMT_Encode4(26842), // Rule ID 45894 //
     /*   26794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   26797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26805 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   26805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   26808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   26822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26840 */     GIR_RootConstrainSelectedInstOperands,
     /*   26841 */     // GIR_Coverage, 45894,
     /*   26841 */     GIR_EraseRootFromParent_Done,
     /*   26842 */   // Label 499: @26842
     /*   26842 */   GIM_Reject,
     /*   26843 */ // Label 459: @26843
     /*   26843 */ GIM_Reject,
     /*   26844 */ // Label 132: @26844
     /*   26844 */ GIM_Try, /*On fail goto*//*Label 500*/ GIMT_Encode4(27238),
     /*   26849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   26852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   26855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26859 */   GIM_Try, /*On fail goto*//*Label 501*/ GIMT_Encode4(26927), // Rule ID 69305 //
     /*   26864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   26879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   26883 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26901 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   26901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   26904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26925 */     GIR_RootConstrainSelectedInstOperands,
     /*   26926 */     // GIR_Coverage, 69305,
     /*   26926 */     GIR_EraseRootFromParent_Done,
     /*   26927 */   // Label 501: @26927
     /*   26927 */   GIM_Try, /*On fail goto*//*Label 502*/ GIMT_Encode4(26995), // Rule ID 69306 //
     /*   26932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   26947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   26951 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26969 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   26969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   26972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26993 */     GIR_RootConstrainSelectedInstOperands,
     /*   26994 */     // GIR_Coverage, 69306,
     /*   26994 */     GIR_EraseRootFromParent_Done,
     /*   26995 */   // Label 502: @26995
     /*   26995 */   GIM_Try, /*On fail goto*//*Label 503*/ GIMT_Encode4(27063), // Rule ID 51409 //
     /*   27000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27019 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   27023 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27037 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   27040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27061 */     GIR_RootConstrainSelectedInstOperands,
     /*   27062 */     // GIR_Coverage, 51409,
     /*   27062 */     GIR_EraseRootFromParent_Done,
     /*   27063 */   // Label 503: @27063
     /*   27063 */   GIM_Try, /*On fail goto*//*Label 504*/ GIMT_Encode4(27131), // Rule ID 51410 //
     /*   27068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27087 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   27091 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27105 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   27108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27129 */     GIR_RootConstrainSelectedInstOperands,
     /*   27130 */     // GIR_Coverage, 51410,
     /*   27130 */     GIR_EraseRootFromParent_Done,
     /*   27131 */   // Label 504: @27131
     /*   27131 */   GIM_Try, /*On fail goto*//*Label 505*/ GIMT_Encode4(27184), // Rule ID 45825 //
     /*   27136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27147 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   27147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   27150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   27164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27182 */     GIR_RootConstrainSelectedInstOperands,
     /*   27183 */     // GIR_Coverage, 45825,
     /*   27183 */     GIR_EraseRootFromParent_Done,
     /*   27184 */   // Label 505: @27184
     /*   27184 */   GIM_Try, /*On fail goto*//*Label 506*/ GIMT_Encode4(27237), // Rule ID 45826 //
     /*   27189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27200 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   27200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   27203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   27217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27235 */     GIR_RootConstrainSelectedInstOperands,
     /*   27236 */     // GIR_Coverage, 45826,
     /*   27236 */     GIR_EraseRootFromParent_Done,
     /*   27237 */   // Label 506: @27237
     /*   27237 */   GIM_Reject,
     /*   27238 */ // Label 500: @27238
     /*   27238 */ GIM_Reject,
     /*   27239 */ // Label 133: @27239
     /*   27239 */ GIM_Try, /*On fail goto*//*Label 507*/ GIMT_Encode4(30363),
     /*   27244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27254 */   GIM_Try, /*On fail goto*//*Label 508*/ GIMT_Encode4(27350), // Rule ID 69511 //
     /*   27259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27274 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27278 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27292 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27294 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27299 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27303 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27307 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27311 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27313 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27322 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27324 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   27327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27348 */     GIR_RootConstrainSelectedInstOperands,
     /*   27349 */     // GIR_Coverage, 69511,
     /*   27349 */     GIR_EraseRootFromParent_Done,
     /*   27350 */   // Label 508: @27350
     /*   27350 */   GIM_Try, /*On fail goto*//*Label 509*/ GIMT_Encode4(27446), // Rule ID 69512 //
     /*   27355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27370 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27374 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27388 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27390 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27395 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27399 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27403 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27407 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27409 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27418 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27420 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   27423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27444 */     GIR_RootConstrainSelectedInstOperands,
     /*   27445 */     // GIR_Coverage, 69512,
     /*   27445 */     GIR_EraseRootFromParent_Done,
     /*   27446 */   // Label 509: @27446
     /*   27446 */   GIM_Try, /*On fail goto*//*Label 510*/ GIMT_Encode4(27542), // Rule ID 69755 //
     /*   27451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27466 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27470 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27472 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27476 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27480 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27484 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27486 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27491 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27495 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27499 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27503 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27505 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27514 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27516 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27540 */     GIR_RootConstrainSelectedInstOperands,
     /*   27541 */     // GIR_Coverage, 69755,
     /*   27541 */     GIR_EraseRootFromParent_Done,
     /*   27542 */   // Label 510: @27542
     /*   27542 */   GIM_Try, /*On fail goto*//*Label 511*/ GIMT_Encode4(27638), // Rule ID 69756 //
     /*   27547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27562 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27566 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27580 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27582 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27587 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27591 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27595 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27599 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27601 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27610 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27612 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27636 */     GIR_RootConstrainSelectedInstOperands,
     /*   27637 */     // GIR_Coverage, 69756,
     /*   27637 */     GIR_EraseRootFromParent_Done,
     /*   27638 */   // Label 511: @27638
     /*   27638 */   GIM_Try, /*On fail goto*//*Label 512*/ GIMT_Encode4(27734), // Rule ID 69757 //
     /*   27643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27658 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27662 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27676 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27678 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27683 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27687 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27691 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27695 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27697 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27706 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27708 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   27719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   27723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27732 */     GIR_RootConstrainSelectedInstOperands,
     /*   27733 */     // GIR_Coverage, 69757,
     /*   27733 */     GIR_EraseRootFromParent_Done,
     /*   27734 */   // Label 512: @27734
     /*   27734 */   GIM_Try, /*On fail goto*//*Label 513*/ GIMT_Encode4(27830), // Rule ID 69758 //
     /*   27739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27758 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27760 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27764 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27768 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27772 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27774 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27779 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27783 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27787 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27791 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27793 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27802 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27804 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   27815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   27819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27828 */     GIR_RootConstrainSelectedInstOperands,
     /*   27829 */     // GIR_Coverage, 69758,
     /*   27829 */     GIR_EraseRootFromParent_Done,
     /*   27830 */   // Label 513: @27830
     /*   27830 */   GIM_Try, /*On fail goto*//*Label 514*/ GIMT_Encode4(27926), // Rule ID 69625 //
     /*   27835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27854 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27856 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27860 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27864 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27868 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27870 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27875 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27879 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27883 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27887 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27889 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27898 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27900 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   27903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27924 */     GIR_RootConstrainSelectedInstOperands,
     /*   27925 */     // GIR_Coverage, 69625,
     /*   27925 */     GIR_EraseRootFromParent_Done,
     /*   27926 */   // Label 514: @27926
     /*   27926 */   GIM_Try, /*On fail goto*//*Label 515*/ GIMT_Encode4(28022), // Rule ID 69626 //
     /*   27931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27964 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27966 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27971 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27975 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27979 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27983 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27985 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27994 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27996 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   27999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28020 */     GIR_RootConstrainSelectedInstOperands,
     /*   28021 */     // GIR_Coverage, 69626,
     /*   28021 */     GIR_EraseRootFromParent_Done,
     /*   28022 */   // Label 515: @28022
     /*   28022 */   GIM_Try, /*On fail goto*//*Label 516*/ GIMT_Encode4(28118), // Rule ID 51579 //
     /*   28027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28046 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28050 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28060 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28064 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28066 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28071 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28075 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28079 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28083 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28085 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28090 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28092 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   28095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28116 */     GIR_RootConstrainSelectedInstOperands,
     /*   28117 */     // GIR_Coverage, 51579,
     /*   28117 */     GIR_EraseRootFromParent_Done,
     /*   28118 */   // Label 516: @28118
     /*   28118 */   GIM_Try, /*On fail goto*//*Label 517*/ GIMT_Encode4(28214), // Rule ID 51580 //
     /*   28123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28148 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28152 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28156 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28160 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28162 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28167 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28171 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28175 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28179 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28181 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28186 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28188 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   28191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28212 */     GIR_RootConstrainSelectedInstOperands,
     /*   28213 */     // GIR_Coverage, 51580,
     /*   28213 */     GIR_EraseRootFromParent_Done,
     /*   28214 */   // Label 517: @28214
     /*   28214 */   GIM_Try, /*On fail goto*//*Label 518*/ GIMT_Encode4(28310), // Rule ID 51697 //
     /*   28219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28242 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28256 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28258 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28263 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28267 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28271 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28275 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28277 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28282 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28284 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28308 */     GIR_RootConstrainSelectedInstOperands,
     /*   28309 */     // GIR_Coverage, 51697,
     /*   28309 */     GIR_EraseRootFromParent_Done,
     /*   28310 */   // Label 518: @28310
     /*   28310 */   GIM_Try, /*On fail goto*//*Label 519*/ GIMT_Encode4(28406), // Rule ID 51698 //
     /*   28315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28334 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28338 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28340 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28344 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28348 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28352 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28354 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28359 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28363 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28367 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28371 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28373 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28378 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28380 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28404 */     GIR_RootConstrainSelectedInstOperands,
     /*   28405 */     // GIR_Coverage, 51698,
     /*   28405 */     GIR_EraseRootFromParent_Done,
     /*   28406 */   // Label 519: @28406
     /*   28406 */   GIM_Try, /*On fail goto*//*Label 520*/ GIMT_Encode4(28502), // Rule ID 69753 //
     /*   28411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28430 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28434 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28444 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28448 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28450 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28455 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28459 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28463 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28467 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28469 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28474 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28476 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28500 */     GIR_RootConstrainSelectedInstOperands,
     /*   28501 */     // GIR_Coverage, 69753,
     /*   28501 */     GIR_EraseRootFromParent_Done,
     /*   28502 */   // Label 520: @28502
     /*   28502 */   GIM_Try, /*On fail goto*//*Label 521*/ GIMT_Encode4(28598), // Rule ID 69754 //
     /*   28507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28530 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28544 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28546 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28551 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28555 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28559 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28563 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28565 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28570 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28572 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28596 */     GIR_RootConstrainSelectedInstOperands,
     /*   28597 */     // GIR_Coverage, 69754,
     /*   28597 */     GIR_EraseRootFromParent_Done,
     /*   28598 */   // Label 521: @28598
     /*   28598 */   GIM_Try, /*On fail goto*//*Label 522*/ GIMT_Encode4(28694), // Rule ID 51637 //
     /*   28603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28640 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28647 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28651 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28655 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28659 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28661 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28666 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28668 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   28671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28692 */     GIR_RootConstrainSelectedInstOperands,
     /*   28693 */     // GIR_Coverage, 51637,
     /*   28693 */     GIR_EraseRootFromParent_Done,
     /*   28694 */   // Label 522: @28694
     /*   28694 */   GIM_Try, /*On fail goto*//*Label 523*/ GIMT_Encode4(28790), // Rule ID 51638 //
     /*   28699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28722 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28736 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28738 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28743 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28747 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28751 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28755 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28757 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28762 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28764 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   28767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28788 */     GIR_RootConstrainSelectedInstOperands,
     /*   28789 */     // GIR_Coverage, 51638,
     /*   28789 */     GIR_EraseRootFromParent_Done,
     /*   28790 */   // Label 523: @28790
     /*   28790 */   GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(28879), // Rule ID 46407 //
     /*   28795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28810 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   28821 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28825 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28829 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28831 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28838 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   28838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   28841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   28845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   28855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   28864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28877 */     GIR_RootConstrainSelectedInstOperands,
     /*   28878 */     // GIR_Coverage, 46407,
     /*   28878 */     GIR_EraseRootFromParent_Done,
     /*   28879 */   // Label 524: @28879
     /*   28879 */   GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(28968), // Rule ID 46408 //
     /*   28884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28899 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   28910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28918 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28920 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28925 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28927 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   28927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   28930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   28934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   28944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   28953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28966 */     GIR_RootConstrainSelectedInstOperands,
     /*   28967 */     // GIR_Coverage, 46408,
     /*   28967 */     GIR_EraseRootFromParent_Done,
     /*   28968 */   // Label 525: @28968
     /*   28968 */   GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(29057), // Rule ID 46171 //
     /*   28973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28988 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   28999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29007 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29009 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29014 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29016 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   29016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   29033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29055 */     GIR_RootConstrainSelectedInstOperands,
     /*   29056 */     // GIR_Coverage, 46171,
     /*   29056 */     GIR_EraseRootFromParent_Done,
     /*   29057 */   // Label 526: @29057
     /*   29057 */   GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(29146), // Rule ID 46172 //
     /*   29062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29077 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29092 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29096 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29105 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   29105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   29122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29144 */     GIR_RootConstrainSelectedInstOperands,
     /*   29145 */     // GIR_Coverage, 46172,
     /*   29145 */     GIR_EraseRootFromParent_Done,
     /*   29146 */   // Label 527: @29146
     /*   29146 */   GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(29235), // Rule ID 46287 //
     /*   29151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29185 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29187 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29192 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29194 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   29194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   29211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29233 */     GIR_RootConstrainSelectedInstOperands,
     /*   29234 */     // GIR_Coverage, 46287,
     /*   29234 */     GIR_EraseRootFromParent_Done,
     /*   29235 */   // Label 528: @29235
     /*   29235 */   GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(29324), // Rule ID 46288 //
     /*   29240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29274 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29276 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29281 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29283 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   29283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   29300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29322 */     GIR_RootConstrainSelectedInstOperands,
     /*   29323 */     // GIR_Coverage, 46288,
     /*   29323 */     GIR_EraseRootFromParent_Done,
     /*   29324 */   // Label 529: @29324
     /*   29324 */   GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(29392), // Rule ID 69345 //
     /*   29329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29344 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29348 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29366 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   29366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29390 */     GIR_RootConstrainSelectedInstOperands,
     /*   29391 */     // GIR_Coverage, 69345,
     /*   29391 */     GIR_EraseRootFromParent_Done,
     /*   29392 */   // Label 530: @29392
     /*   29392 */   GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(29460), // Rule ID 69346 //
     /*   29397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29412 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29416 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29434 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   29434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29458 */     GIR_RootConstrainSelectedInstOperands,
     /*   29459 */     // GIR_Coverage, 69346,
     /*   29459 */     GIR_EraseRootFromParent_Done,
     /*   29460 */   // Label 531: @29460
     /*   29460 */   GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(29515), // Rule ID 68403 //
     /*   29465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29480 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29482 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29493 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29513 */     GIR_RootConstrainSelectedInstOperands,
     /*   29514 */     // GIR_Coverage, 68403,
     /*   29514 */     GIR_EraseRootFromParent_Done,
     /*   29515 */   // Label 532: @29515
     /*   29515 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(29570), // Rule ID 68404 //
     /*   29520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29535 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29548 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   29548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29568 */     GIR_RootConstrainSelectedInstOperands,
     /*   29569 */     // GIR_Coverage, 68404,
     /*   29569 */     GIR_EraseRootFromParent_Done,
     /*   29570 */   // Label 533: @29570
     /*   29570 */   GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(29625), // Rule ID 68223 //
     /*   29575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29590 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29603 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   29606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29623 */     GIR_RootConstrainSelectedInstOperands,
     /*   29624 */     // GIR_Coverage, 68223,
     /*   29624 */     GIR_EraseRootFromParent_Done,
     /*   29625 */   // Label 534: @29625
     /*   29625 */   GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(29680), // Rule ID 68224 //
     /*   29630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29645 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29658 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   29658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   29661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29678 */     GIR_RootConstrainSelectedInstOperands,
     /*   29679 */     // GIR_Coverage, 68224,
     /*   29679 */     GIR_EraseRootFromParent_Done,
     /*   29680 */   // Label 535: @29680
     /*   29680 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(29735), // Rule ID 68313 //
     /*   29685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29700 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29713 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29733 */     GIR_RootConstrainSelectedInstOperands,
     /*   29734 */     // GIR_Coverage, 68313,
     /*   29734 */     GIR_EraseRootFromParent_Done,
     /*   29735 */   // Label 536: @29735
     /*   29735 */   GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(29790), // Rule ID 68314 //
     /*   29740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29755 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29768 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   29768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29788 */     GIR_RootConstrainSelectedInstOperands,
     /*   29789 */     // GIR_Coverage, 68314,
     /*   29789 */     GIR_EraseRootFromParent_Done,
     /*   29790 */   // Label 537: @29790
     /*   29790 */   GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(29858), // Rule ID 51429 //
     /*   29795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29832 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   29832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29856 */     GIR_RootConstrainSelectedInstOperands,
     /*   29857 */     // GIR_Coverage, 51429,
     /*   29857 */     GIR_EraseRootFromParent_Done,
     /*   29858 */   // Label 538: @29858
     /*   29858 */   GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(29926), // Rule ID 51430 //
     /*   29863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29900 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   29900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29924 */     GIR_RootConstrainSelectedInstOperands,
     /*   29925 */     // GIR_Coverage, 51430,
     /*   29925 */     GIR_EraseRootFromParent_Done,
     /*   29926 */   // Label 539: @29926
     /*   29926 */   GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(29981), // Rule ID 46467 //
     /*   29931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29959 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29979 */     GIR_RootConstrainSelectedInstOperands,
     /*   29980 */     // GIR_Coverage, 46467,
     /*   29980 */     GIR_EraseRootFromParent_Done,
     /*   29981 */   // Label 540: @29981
     /*   29981 */   GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(30036), // Rule ID 46468 //
     /*   29986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30005 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30014 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   30014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   30017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30034 */     GIR_RootConstrainSelectedInstOperands,
     /*   30035 */     // GIR_Coverage, 46468,
     /*   30035 */     GIR_EraseRootFromParent_Done,
     /*   30036 */   // Label 541: @30036
     /*   30036 */   GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(30091), // Rule ID 46227 //
     /*   30041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30060 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30062 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30069 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   30069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   30072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30089 */     GIR_RootConstrainSelectedInstOperands,
     /*   30090 */     // GIR_Coverage, 46227,
     /*   30090 */     GIR_EraseRootFromParent_Done,
     /*   30091 */   // Label 542: @30091
     /*   30091 */   GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(30146), // Rule ID 46228 //
     /*   30096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30115 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30124 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   30124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   30127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30144 */     GIR_RootConstrainSelectedInstOperands,
     /*   30145 */     // GIR_Coverage, 46228,
     /*   30145 */     GIR_EraseRootFromParent_Done,
     /*   30146 */   // Label 543: @30146
     /*   30146 */   GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(30201), // Rule ID 46347 //
     /*   30151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30170 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30179 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   30179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   30182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30199 */     GIR_RootConstrainSelectedInstOperands,
     /*   30200 */     // GIR_Coverage, 46347,
     /*   30200 */     GIR_EraseRootFromParent_Done,
     /*   30201 */   // Label 544: @30201
     /*   30201 */   GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(30256), // Rule ID 46348 //
     /*   30206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30225 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30234 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   30234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   30237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30254 */     GIR_RootConstrainSelectedInstOperands,
     /*   30255 */     // GIR_Coverage, 46348,
     /*   30255 */     GIR_EraseRootFromParent_Done,
     /*   30256 */   // Label 545: @30256
     /*   30256 */   GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(30309), // Rule ID 45845 //
     /*   30261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30272 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   30272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   30275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   30289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30307 */     GIR_RootConstrainSelectedInstOperands,
     /*   30308 */     // GIR_Coverage, 45845,
     /*   30308 */     GIR_EraseRootFromParent_Done,
     /*   30309 */   // Label 546: @30309
     /*   30309 */   GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(30362), // Rule ID 45846 //
     /*   30314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30325 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   30325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   30328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   30342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30360 */     GIR_RootConstrainSelectedInstOperands,
     /*   30361 */     // GIR_Coverage, 45846,
     /*   30361 */     GIR_EraseRootFromParent_Done,
     /*   30362 */   // Label 547: @30362
     /*   30362 */   GIM_Reject,
     /*   30363 */ // Label 507: @30363
     /*   30363 */ GIM_Reject,
     /*   30364 */ // Label 134: @30364
     /*   30364 */ GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(33488),
     /*   30369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30379 */   GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(30475), // Rule ID 69523 //
     /*   30384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30403 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30405 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30409 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30413 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30417 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30419 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30424 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30428 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30432 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30436 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30438 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30447 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30449 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   30449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   30452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30473 */     GIR_RootConstrainSelectedInstOperands,
     /*   30474 */     // GIR_Coverage, 69523,
     /*   30474 */     GIR_EraseRootFromParent_Done,
     /*   30475 */   // Label 549: @30475
     /*   30475 */   GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(30571), // Rule ID 69524 //
     /*   30480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30495 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30499 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30513 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30520 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30524 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30528 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30532 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30534 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30543 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30545 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   30545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   30548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30569 */     GIR_RootConstrainSelectedInstOperands,
     /*   30570 */     // GIR_Coverage, 69524,
     /*   30570 */     GIR_EraseRootFromParent_Done,
     /*   30571 */   // Label 550: @30571
     /*   30571 */   GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(30667), // Rule ID 69791 //
     /*   30576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30591 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30595 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30609 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30611 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30616 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30620 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30624 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30628 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30630 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30639 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30641 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   30641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30665 */     GIR_RootConstrainSelectedInstOperands,
     /*   30666 */     // GIR_Coverage, 69791,
     /*   30666 */     GIR_EraseRootFromParent_Done,
     /*   30667 */   // Label 551: @30667
     /*   30667 */   GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(30763), // Rule ID 69792 //
     /*   30672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30687 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30691 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30701 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30705 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30707 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30712 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30716 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30720 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30724 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30726 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30735 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30737 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   30737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30761 */     GIR_RootConstrainSelectedInstOperands,
     /*   30762 */     // GIR_Coverage, 69792,
     /*   30762 */     GIR_EraseRootFromParent_Done,
     /*   30763 */   // Label 552: @30763
     /*   30763 */   GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(30859), // Rule ID 69793 //
     /*   30768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30783 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30787 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30801 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30803 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30808 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30812 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30816 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30820 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30822 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30831 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30833 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   30833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   30844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   30848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30857 */     GIR_RootConstrainSelectedInstOperands,
     /*   30858 */     // GIR_Coverage, 69793,
     /*   30858 */     GIR_EraseRootFromParent_Done,
     /*   30859 */   // Label 553: @30859
     /*   30859 */   GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(30955), // Rule ID 69794 //
     /*   30864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30879 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30883 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30885 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30889 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30893 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30897 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30899 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30904 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30908 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30912 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30916 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30918 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30927 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30929 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   30929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   30940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   30944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30953 */     GIR_RootConstrainSelectedInstOperands,
     /*   30954 */     // GIR_Coverage, 69794,
     /*   30954 */     GIR_EraseRootFromParent_Done,
     /*   30955 */   // Label 554: @30955
     /*   30955 */   GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(31051), // Rule ID 69637 //
     /*   30960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30979 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30989 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30993 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30995 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31000 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31004 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31008 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31012 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31014 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31023 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31025 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31049 */     GIR_RootConstrainSelectedInstOperands,
     /*   31050 */     // GIR_Coverage, 69637,
     /*   31050 */     GIR_EraseRootFromParent_Done,
     /*   31051 */   // Label 555: @31051
     /*   31051 */   GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(31147), // Rule ID 69638 //
     /*   31056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31071 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31075 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31089 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31091 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31096 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31100 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31104 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31108 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31110 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31119 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31121 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31145 */     GIR_RootConstrainSelectedInstOperands,
     /*   31146 */     // GIR_Coverage, 69638,
     /*   31146 */     GIR_EraseRootFromParent_Done,
     /*   31147 */   // Label 556: @31147
     /*   31147 */   GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(31243), // Rule ID 51591 //
     /*   31152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31171 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31175 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31189 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31191 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31196 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31200 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31204 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31208 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31210 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31215 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31217 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   31220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31241 */     GIR_RootConstrainSelectedInstOperands,
     /*   31242 */     // GIR_Coverage, 51591,
     /*   31242 */     GIR_EraseRootFromParent_Done,
     /*   31243 */   // Label 557: @31243
     /*   31243 */   GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(31339), // Rule ID 51592 //
     /*   31248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31267 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31271 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31285 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31287 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31292 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31296 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31300 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31304 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31306 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31311 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31313 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   31316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31337 */     GIR_RootConstrainSelectedInstOperands,
     /*   31338 */     // GIR_Coverage, 51592,
     /*   31338 */     GIR_EraseRootFromParent_Done,
     /*   31339 */   // Label 558: @31339
     /*   31339 */   GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(31435), // Rule ID 51709 //
     /*   31344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31367 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31381 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31383 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31388 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31392 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31396 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31400 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31402 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31407 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31409 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31433 */     GIR_RootConstrainSelectedInstOperands,
     /*   31434 */     // GIR_Coverage, 51709,
     /*   31434 */     GIR_EraseRootFromParent_Done,
     /*   31435 */   // Label 559: @31435
     /*   31435 */   GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(31531), // Rule ID 51710 //
     /*   31440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31459 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31463 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31477 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31479 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31484 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31488 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31492 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31496 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31498 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31503 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31505 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31529 */     GIR_RootConstrainSelectedInstOperands,
     /*   31530 */     // GIR_Coverage, 51710,
     /*   31530 */     GIR_EraseRootFromParent_Done,
     /*   31531 */   // Label 560: @31531
     /*   31531 */   GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(31627), // Rule ID 69789 //
     /*   31536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31555 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31559 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31573 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31575 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31580 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31584 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31588 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31592 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31594 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31599 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31601 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   31612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   31616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31625 */     GIR_RootConstrainSelectedInstOperands,
     /*   31626 */     // GIR_Coverage, 69789,
     /*   31626 */     GIR_EraseRootFromParent_Done,
     /*   31627 */   // Label 561: @31627
     /*   31627 */   GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(31723), // Rule ID 69790 //
     /*   31632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31651 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31655 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31669 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31676 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31680 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31684 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31688 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31690 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31695 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31697 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   31708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   31712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31721 */     GIR_RootConstrainSelectedInstOperands,
     /*   31722 */     // GIR_Coverage, 69790,
     /*   31722 */     GIR_EraseRootFromParent_Done,
     /*   31723 */   // Label 562: @31723
     /*   31723 */   GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(31819), // Rule ID 51649 //
     /*   31728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31765 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31767 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31772 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31776 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31780 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31784 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31786 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31791 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31793 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31817 */     GIR_RootConstrainSelectedInstOperands,
     /*   31818 */     // GIR_Coverage, 51649,
     /*   31818 */     GIR_EraseRootFromParent_Done,
     /*   31819 */   // Label 563: @31819
     /*   31819 */   GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(31915), // Rule ID 51650 //
     /*   31824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31861 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31868 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31872 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31876 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31880 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31882 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31887 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31889 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31913 */     GIR_RootConstrainSelectedInstOperands,
     /*   31914 */     // GIR_Coverage, 51650,
     /*   31914 */     GIR_EraseRootFromParent_Done,
     /*   31915 */   // Label 564: @31915
     /*   31915 */   GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(32004), // Rule ID 46431 //
     /*   31920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   31931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31935 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31942 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   31946 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   31950 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31954 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31956 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31961 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31963 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   31963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   31966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   31980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   31989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32002 */     GIR_RootConstrainSelectedInstOperands,
     /*   32003 */     // GIR_Coverage, 46431,
     /*   32003 */     GIR_EraseRootFromParent_Done,
     /*   32004 */   // Label 565: @32004
     /*   32004 */   GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(32093), // Rule ID 46432 //
     /*   32009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32024 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32039 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32043 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32045 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32050 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32052 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   32052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   32069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32091 */     GIR_RootConstrainSelectedInstOperands,
     /*   32092 */     // GIR_Coverage, 46432,
     /*   32092 */     GIR_EraseRootFromParent_Done,
     /*   32093 */   // Label 566: @32093
     /*   32093 */   GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(32182), // Rule ID 46195 //
     /*   32098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32113 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32132 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32134 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32139 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32141 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   32141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   32158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32180 */     GIR_RootConstrainSelectedInstOperands,
     /*   32181 */     // GIR_Coverage, 46195,
     /*   32181 */     GIR_EraseRootFromParent_Done,
     /*   32182 */   // Label 567: @32182
     /*   32182 */   GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(32271), // Rule ID 46196 //
     /*   32187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32202 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32209 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32213 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32217 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32221 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32223 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32228 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32230 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   32230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   32247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32269 */     GIR_RootConstrainSelectedInstOperands,
     /*   32270 */     // GIR_Coverage, 46196,
     /*   32270 */     GIR_EraseRootFromParent_Done,
     /*   32271 */   // Label 568: @32271
     /*   32271 */   GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(32360), // Rule ID 46311 //
     /*   32276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32291 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32310 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32319 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   32319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   32336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32358 */     GIR_RootConstrainSelectedInstOperands,
     /*   32359 */     // GIR_Coverage, 46311,
     /*   32359 */     GIR_EraseRootFromParent_Done,
     /*   32360 */   // Label 569: @32360
     /*   32360 */   GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(32449), // Rule ID 46312 //
     /*   32365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32380 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32395 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32399 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32401 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32406 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32408 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   32408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   32425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32447 */     GIR_RootConstrainSelectedInstOperands,
     /*   32448 */     // GIR_Coverage, 46312,
     /*   32448 */     GIR_EraseRootFromParent_Done,
     /*   32449 */   // Label 570: @32449
     /*   32449 */   GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(32517), // Rule ID 69417 //
     /*   32454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32469 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32473 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32491 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   32491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   32494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   32500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32515 */     GIR_RootConstrainSelectedInstOperands,
     /*   32516 */     // GIR_Coverage, 69417,
     /*   32516 */     GIR_EraseRootFromParent_Done,
     /*   32517 */   // Label 571: @32517
     /*   32517 */   GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(32585), // Rule ID 69418 //
     /*   32522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32537 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32541 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32559 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   32559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   32562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   32568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32583 */     GIR_RootConstrainSelectedInstOperands,
     /*   32584 */     // GIR_Coverage, 69418,
     /*   32584 */     GIR_EraseRootFromParent_Done,
     /*   32585 */   // Label 572: @32585
     /*   32585 */   GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(32640), // Rule ID 68427 //
     /*   32590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32605 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32607 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32618 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   32618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32638 */     GIR_RootConstrainSelectedInstOperands,
     /*   32639 */     // GIR_Coverage, 68427,
     /*   32639 */     GIR_EraseRootFromParent_Done,
     /*   32640 */   // Label 573: @32640
     /*   32640 */   GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(32695), // Rule ID 68428 //
     /*   32645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32673 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   32673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32693 */     GIR_RootConstrainSelectedInstOperands,
     /*   32694 */     // GIR_Coverage, 68428,
     /*   32694 */     GIR_EraseRootFromParent_Done,
     /*   32695 */   // Label 574: @32695
     /*   32695 */   GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(32750), // Rule ID 68247 //
     /*   32700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32728 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   32728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   32731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32748 */     GIR_RootConstrainSelectedInstOperands,
     /*   32749 */     // GIR_Coverage, 68247,
     /*   32749 */     GIR_EraseRootFromParent_Done,
     /*   32750 */   // Label 575: @32750
     /*   32750 */   GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(32805), // Rule ID 68248 //
     /*   32755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32770 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32783 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   32783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   32786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32803 */     GIR_RootConstrainSelectedInstOperands,
     /*   32804 */     // GIR_Coverage, 68248,
     /*   32804 */     GIR_EraseRootFromParent_Done,
     /*   32805 */   // Label 576: @32805
     /*   32805 */   GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(32860), // Rule ID 68337 //
     /*   32810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32825 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32838 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   32838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32858 */     GIR_RootConstrainSelectedInstOperands,
     /*   32859 */     // GIR_Coverage, 68337,
     /*   32859 */     GIR_EraseRootFromParent_Done,
     /*   32860 */   // Label 577: @32860
     /*   32860 */   GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(32915), // Rule ID 68338 //
     /*   32865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32880 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32882 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32893 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   32893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32913 */     GIR_RootConstrainSelectedInstOperands,
     /*   32914 */     // GIR_Coverage, 68338,
     /*   32914 */     GIR_EraseRootFromParent_Done,
     /*   32915 */   // Label 578: @32915
     /*   32915 */   GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(32983), // Rule ID 51465 //
     /*   32920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32943 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32957 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   32957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   32960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   32966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   32972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32981 */     GIR_RootConstrainSelectedInstOperands,
     /*   32982 */     // GIR_Coverage, 51465,
     /*   32982 */     GIR_EraseRootFromParent_Done,
     /*   32983 */   // Label 579: @32983
     /*   32983 */   GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(33051), // Rule ID 51466 //
     /*   32988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33007 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   33011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33025 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   33025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   33028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   33034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33049 */     GIR_RootConstrainSelectedInstOperands,
     /*   33050 */     // GIR_Coverage, 51466,
     /*   33050 */     GIR_EraseRootFromParent_Done,
     /*   33051 */   // Label 580: @33051
     /*   33051 */   GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(33106), // Rule ID 46491 //
     /*   33056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33075 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33084 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33104 */     GIR_RootConstrainSelectedInstOperands,
     /*   33105 */     // GIR_Coverage, 46491,
     /*   33105 */     GIR_EraseRootFromParent_Done,
     /*   33106 */   // Label 581: @33106
     /*   33106 */   GIM_Try, /*On fail goto*//*Label 582*/ GIMT_Encode4(33161), // Rule ID 46492 //
     /*   33111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33130 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33139 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33159 */     GIR_RootConstrainSelectedInstOperands,
     /*   33160 */     // GIR_Coverage, 46492,
     /*   33160 */     GIR_EraseRootFromParent_Done,
     /*   33161 */   // Label 582: @33161
     /*   33161 */   GIM_Try, /*On fail goto*//*Label 583*/ GIMT_Encode4(33216), // Rule ID 46251 //
     /*   33166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33185 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33194 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   33197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33214 */     GIR_RootConstrainSelectedInstOperands,
     /*   33215 */     // GIR_Coverage, 46251,
     /*   33215 */     GIR_EraseRootFromParent_Done,
     /*   33216 */   // Label 583: @33216
     /*   33216 */   GIM_Try, /*On fail goto*//*Label 584*/ GIMT_Encode4(33271), // Rule ID 46252 //
     /*   33221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33249 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   33252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33269 */     GIR_RootConstrainSelectedInstOperands,
     /*   33270 */     // GIR_Coverage, 46252,
     /*   33270 */     GIR_EraseRootFromParent_Done,
     /*   33271 */   // Label 584: @33271
     /*   33271 */   GIM_Try, /*On fail goto*//*Label 585*/ GIMT_Encode4(33326), // Rule ID 46371 //
     /*   33276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33295 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33304 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33324 */     GIR_RootConstrainSelectedInstOperands,
     /*   33325 */     // GIR_Coverage, 46371,
     /*   33325 */     GIR_EraseRootFromParent_Done,
     /*   33326 */   // Label 585: @33326
     /*   33326 */   GIM_Try, /*On fail goto*//*Label 586*/ GIMT_Encode4(33381), // Rule ID 46372 //
     /*   33331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33350 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33359 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33379 */     GIR_RootConstrainSelectedInstOperands,
     /*   33380 */     // GIR_Coverage, 46372,
     /*   33380 */     GIR_EraseRootFromParent_Done,
     /*   33381 */   // Label 586: @33381
     /*   33381 */   GIM_Try, /*On fail goto*//*Label 587*/ GIMT_Encode4(33434), // Rule ID 45881 //
     /*   33386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33397 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   33397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   33400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   33414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33432 */     GIR_RootConstrainSelectedInstOperands,
     /*   33433 */     // GIR_Coverage, 45881,
     /*   33433 */     GIR_EraseRootFromParent_Done,
     /*   33434 */   // Label 587: @33434
     /*   33434 */   GIM_Try, /*On fail goto*//*Label 588*/ GIMT_Encode4(33487), // Rule ID 45882 //
     /*   33439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33450 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   33450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   33453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   33467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33485 */     GIR_RootConstrainSelectedInstOperands,
     /*   33486 */     // GIR_Coverage, 45882,
     /*   33486 */     GIR_EraseRootFromParent_Done,
     /*   33487 */   // Label 588: @33487
     /*   33487 */   GIM_Reject,
     /*   33488 */ // Label 548: @33488
     /*   33488 */ GIM_Reject,
     /*   33489 */ // Label 135: @33489
     /*   33489 */ GIM_Try, /*On fail goto*//*Label 589*/ GIMT_Encode4(36613),
     /*   33494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33504 */   GIM_Try, /*On fail goto*//*Label 590*/ GIMT_Encode4(33600), // Rule ID 69533 //
     /*   33509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   33512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33528 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33542 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33549 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33553 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33557 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33561 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33563 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33572 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33574 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   33574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   33577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33598 */     GIR_RootConstrainSelectedInstOperands,
     /*   33599 */     // GIR_Coverage, 69533,
     /*   33599 */     GIR_EraseRootFromParent_Done,
     /*   33600 */   // Label 590: @33600
     /*   33600 */   GIM_Try, /*On fail goto*//*Label 591*/ GIMT_Encode4(33696), // Rule ID 69534 //
     /*   33605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   33608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33620 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33624 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33638 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33640 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33645 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33649 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33653 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33657 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33659 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33668 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33670 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   33670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   33673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33694 */     GIR_RootConstrainSelectedInstOperands,
     /*   33695 */     // GIR_Coverage, 69534,
     /*   33695 */     GIR_EraseRootFromParent_Done,
     /*   33696 */   // Label 591: @33696
     /*   33696 */   GIM_Try, /*On fail goto*//*Label 592*/ GIMT_Encode4(33792), // Rule ID 69821 //
     /*   33701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   33704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33734 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33741 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33745 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33749 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33753 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33755 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33764 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33766 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   33766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   33769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33790 */     GIR_RootConstrainSelectedInstOperands,
     /*   33791 */     // GIR_Coverage, 69821,
     /*   33791 */     GIR_EraseRootFromParent_Done,
     /*   33792 */   // Label 592: @33792
     /*   33792 */   GIM_Try, /*On fail goto*//*Label 593*/ GIMT_Encode4(33888), // Rule ID 69822 //
     /*   33797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   33800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33812 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33816 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33830 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33837 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33841 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33845 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33849 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33851 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33860 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33862 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   33862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   33865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33886 */     GIR_RootConstrainSelectedInstOperands,
     /*   33887 */     // GIR_Coverage, 69822,
     /*   33887 */     GIR_EraseRootFromParent_Done,
     /*   33888 */   // Label 593: @33888
     /*   33888 */   GIM_Try, /*On fail goto*//*Label 594*/ GIMT_Encode4(33984), // Rule ID 69823 //
     /*   33893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   33896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33908 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33912 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33926 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33928 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33933 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33937 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33941 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33945 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33947 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33956 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33958 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   33958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   33961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   33969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   33973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33982 */     GIR_RootConstrainSelectedInstOperands,
     /*   33983 */     // GIR_Coverage, 69823,
     /*   33983 */     GIR_EraseRootFromParent_Done,
     /*   33984 */   // Label 594: @33984
     /*   33984 */   GIM_Try, /*On fail goto*//*Label 595*/ GIMT_Encode4(34080), // Rule ID 69824 //
     /*   33989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   33992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34004 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34018 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34022 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34024 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34029 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34033 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34037 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34041 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34043 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34052 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34054 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34078 */     GIR_RootConstrainSelectedInstOperands,
     /*   34079 */     // GIR_Coverage, 69824,
     /*   34079 */     GIR_EraseRootFromParent_Done,
     /*   34080 */   // Label 595: @34080
     /*   34080 */   GIM_Try, /*On fail goto*//*Label 596*/ GIMT_Encode4(34176), // Rule ID 69647 //
     /*   34085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34100 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34104 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34118 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34120 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34125 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34129 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34133 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34137 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34139 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34148 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34150 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   34153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34174 */     GIR_RootConstrainSelectedInstOperands,
     /*   34175 */     // GIR_Coverage, 69647,
     /*   34175 */     GIR_EraseRootFromParent_Done,
     /*   34176 */   // Label 596: @34176
     /*   34176 */   GIM_Try, /*On fail goto*//*Label 597*/ GIMT_Encode4(34272), // Rule ID 69648 //
     /*   34181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34196 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34200 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34214 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34216 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34221 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34225 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34229 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34233 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34235 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34244 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34246 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   34249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34270 */     GIR_RootConstrainSelectedInstOperands,
     /*   34271 */     // GIR_Coverage, 69648,
     /*   34271 */     GIR_EraseRootFromParent_Done,
     /*   34272 */   // Label 597: @34272
     /*   34272 */   GIM_Try, /*On fail goto*//*Label 598*/ GIMT_Encode4(34368), // Rule ID 51601 //
     /*   34277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34296 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34314 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34321 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34325 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34329 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34333 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34335 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34340 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34342 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   34345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34366 */     GIR_RootConstrainSelectedInstOperands,
     /*   34367 */     // GIR_Coverage, 51601,
     /*   34367 */     GIR_EraseRootFromParent_Done,
     /*   34368 */   // Label 598: @34368
     /*   34368 */   GIM_Try, /*On fail goto*//*Label 599*/ GIMT_Encode4(34464), // Rule ID 51602 //
     /*   34373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34396 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34410 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34417 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34421 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34425 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34429 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34431 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34436 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34438 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   34441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34462 */     GIR_RootConstrainSelectedInstOperands,
     /*   34463 */     // GIR_Coverage, 51602,
     /*   34463 */     GIR_EraseRootFromParent_Done,
     /*   34464 */   // Label 599: @34464
     /*   34464 */   GIM_Try, /*On fail goto*//*Label 600*/ GIMT_Encode4(34560), // Rule ID 51719 //
     /*   34469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34488 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34492 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34506 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34508 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34513 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34517 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34521 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34525 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34527 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34532 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34534 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34558 */     GIR_RootConstrainSelectedInstOperands,
     /*   34559 */     // GIR_Coverage, 51719,
     /*   34559 */     GIR_EraseRootFromParent_Done,
     /*   34560 */   // Label 600: @34560
     /*   34560 */   GIM_Try, /*On fail goto*//*Label 601*/ GIMT_Encode4(34656), // Rule ID 51720 //
     /*   34565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34602 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34609 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34613 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34617 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34621 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34623 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34628 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34630 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34654 */     GIR_RootConstrainSelectedInstOperands,
     /*   34655 */     // GIR_Coverage, 51720,
     /*   34655 */     GIR_EraseRootFromParent_Done,
     /*   34656 */   // Label 601: @34656
     /*   34656 */   GIM_Try, /*On fail goto*//*Label 602*/ GIMT_Encode4(34752), // Rule ID 69819 //
     /*   34661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34680 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34684 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34694 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34698 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34700 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34705 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34709 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34713 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34717 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34719 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34724 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34726 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34750 */     GIR_RootConstrainSelectedInstOperands,
     /*   34751 */     // GIR_Coverage, 69819,
     /*   34751 */     GIR_EraseRootFromParent_Done,
     /*   34752 */   // Label 602: @34752
     /*   34752 */   GIM_Try, /*On fail goto*//*Label 603*/ GIMT_Encode4(34848), // Rule ID 69820 //
     /*   34757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34776 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34780 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34782 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34786 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34790 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34794 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34796 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34801 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34805 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34809 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34813 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34815 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34820 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34822 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34846 */     GIR_RootConstrainSelectedInstOperands,
     /*   34847 */     // GIR_Coverage, 69820,
     /*   34847 */     GIR_EraseRootFromParent_Done,
     /*   34848 */   // Label 603: @34848
     /*   34848 */   GIM_Try, /*On fail goto*//*Label 604*/ GIMT_Encode4(34944), // Rule ID 51659 //
     /*   34853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34872 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34876 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34890 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34897 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34901 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34905 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34909 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34911 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34916 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34918 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   34921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34942 */     GIR_RootConstrainSelectedInstOperands,
     /*   34943 */     // GIR_Coverage, 51659,
     /*   34943 */     GIR_EraseRootFromParent_Done,
     /*   34944 */   // Label 604: @34944
     /*   34944 */   GIM_Try, /*On fail goto*//*Label 605*/ GIMT_Encode4(35040), // Rule ID 51660 //
     /*   34949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34968 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34972 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34982 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34986 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34988 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34993 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34997 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35001 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35005 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35007 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35012 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35014 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   35014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   35017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35038 */     GIR_RootConstrainSelectedInstOperands,
     /*   35039 */     // GIR_Coverage, 51660,
     /*   35039 */     GIR_EraseRootFromParent_Done,
     /*   35040 */   // Label 605: @35040
     /*   35040 */   GIM_Try, /*On fail goto*//*Label 606*/ GIMT_Encode4(35129), // Rule ID 46451 //
     /*   35045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35060 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35062 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35067 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35071 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35075 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35079 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35081 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35086 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35088 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   35088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35127 */     GIR_RootConstrainSelectedInstOperands,
     /*   35128 */     // GIR_Coverage, 46451,
     /*   35128 */     GIR_EraseRootFromParent_Done,
     /*   35129 */   // Label 606: @35129
     /*   35129 */   GIM_Try, /*On fail goto*//*Label 607*/ GIMT_Encode4(35218), // Rule ID 46452 //
     /*   35134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35149 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35168 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35170 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35175 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35177 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   35177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35216 */     GIR_RootConstrainSelectedInstOperands,
     /*   35217 */     // GIR_Coverage, 46452,
     /*   35217 */     GIR_EraseRootFromParent_Done,
     /*   35218 */   // Label 607: @35218
     /*   35218 */   GIM_Try, /*On fail goto*//*Label 608*/ GIMT_Encode4(35307), // Rule ID 46215 //
     /*   35223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35238 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35245 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35249 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35253 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35257 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35259 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35264 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35266 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   35266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   35283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35305 */     GIR_RootConstrainSelectedInstOperands,
     /*   35306 */     // GIR_Coverage, 46215,
     /*   35306 */     GIR_EraseRootFromParent_Done,
     /*   35307 */   // Label 608: @35307
     /*   35307 */   GIM_Try, /*On fail goto*//*Label 609*/ GIMT_Encode4(35396), // Rule ID 46216 //
     /*   35312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35327 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35334 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35338 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35342 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35346 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35348 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35353 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35355 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   35355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   35372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35394 */     GIR_RootConstrainSelectedInstOperands,
     /*   35395 */     // GIR_Coverage, 46216,
     /*   35395 */     GIR_EraseRootFromParent_Done,
     /*   35396 */   // Label 609: @35396
     /*   35396 */   GIM_Try, /*On fail goto*//*Label 610*/ GIMT_Encode4(35485), // Rule ID 46331 //
     /*   35401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35416 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35423 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35427 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35431 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35435 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35437 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35444 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   35444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35483 */     GIR_RootConstrainSelectedInstOperands,
     /*   35484 */     // GIR_Coverage, 46331,
     /*   35484 */     GIR_EraseRootFromParent_Done,
     /*   35485 */   // Label 610: @35485
     /*   35485 */   GIM_Try, /*On fail goto*//*Label 611*/ GIMT_Encode4(35574), // Rule ID 46332 //
     /*   35490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35505 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35507 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35524 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35526 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35531 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35533 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   35533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35572 */     GIR_RootConstrainSelectedInstOperands,
     /*   35573 */     // GIR_Coverage, 46332,
     /*   35573 */     GIR_EraseRootFromParent_Done,
     /*   35574 */   // Label 611: @35574
     /*   35574 */   GIM_Try, /*On fail goto*//*Label 612*/ GIMT_Encode4(35642), // Rule ID 69449 //
     /*   35579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   35582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   35594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   35598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35616 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   35616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   35619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   35625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   35637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35640 */     GIR_RootConstrainSelectedInstOperands,
     /*   35641 */     // GIR_Coverage, 69449,
     /*   35641 */     GIR_EraseRootFromParent_Done,
     /*   35642 */   // Label 612: @35642
     /*   35642 */   GIM_Try, /*On fail goto*//*Label 613*/ GIMT_Encode4(35710), // Rule ID 69450 //
     /*   35647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   35650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   35662 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   35666 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35673 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35684 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   35684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   35687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   35693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   35705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35708 */     GIR_RootConstrainSelectedInstOperands,
     /*   35709 */     // GIR_Coverage, 69450,
     /*   35709 */     GIR_EraseRootFromParent_Done,
     /*   35710 */   // Label 613: @35710
     /*   35710 */   GIM_Try, /*On fail goto*//*Label 614*/ GIMT_Encode4(35765), // Rule ID 68447 //
     /*   35715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35730 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35743 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   35743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   35746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35763 */     GIR_RootConstrainSelectedInstOperands,
     /*   35764 */     // GIR_Coverage, 68447,
     /*   35764 */     GIR_EraseRootFromParent_Done,
     /*   35765 */   // Label 614: @35765
     /*   35765 */   GIM_Try, /*On fail goto*//*Label 615*/ GIMT_Encode4(35820), // Rule ID 68448 //
     /*   35770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35785 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35798 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   35798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   35801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35818 */     GIR_RootConstrainSelectedInstOperands,
     /*   35819 */     // GIR_Coverage, 68448,
     /*   35819 */     GIR_EraseRootFromParent_Done,
     /*   35820 */   // Label 615: @35820
     /*   35820 */   GIM_Try, /*On fail goto*//*Label 616*/ GIMT_Encode4(35875), // Rule ID 68267 //
     /*   35825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35840 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35853 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   35853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   35856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35873 */     GIR_RootConstrainSelectedInstOperands,
     /*   35874 */     // GIR_Coverage, 68267,
     /*   35874 */     GIR_EraseRootFromParent_Done,
     /*   35875 */   // Label 616: @35875
     /*   35875 */   GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(35930), // Rule ID 68268 //
     /*   35880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35895 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35908 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   35908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   35911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35928 */     GIR_RootConstrainSelectedInstOperands,
     /*   35929 */     // GIR_Coverage, 68268,
     /*   35929 */     GIR_EraseRootFromParent_Done,
     /*   35930 */   // Label 617: @35930
     /*   35930 */   GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(35985), // Rule ID 68357 //
     /*   35935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35963 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   35963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   35966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35983 */     GIR_RootConstrainSelectedInstOperands,
     /*   35984 */     // GIR_Coverage, 68357,
     /*   35984 */     GIR_EraseRootFromParent_Done,
     /*   35985 */   // Label 618: @35985
     /*   35985 */   GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(36040), // Rule ID 68358 //
     /*   35990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36005 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36018 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36038 */     GIR_RootConstrainSelectedInstOperands,
     /*   36039 */     // GIR_Coverage, 68358,
     /*   36039 */     GIR_EraseRootFromParent_Done,
     /*   36040 */   // Label 619: @36040
     /*   36040 */   GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(36108), // Rule ID 51481 //
     /*   36045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   36048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   36064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   36068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36082 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   36082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   36085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36106 */     GIR_RootConstrainSelectedInstOperands,
     /*   36107 */     // GIR_Coverage, 51481,
     /*   36107 */     GIR_EraseRootFromParent_Done,
     /*   36108 */   // Label 620: @36108
     /*   36108 */   GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(36176), // Rule ID 51482 //
     /*   36113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   36116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   36132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   36136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36150 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   36150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   36153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36174 */     GIR_RootConstrainSelectedInstOperands,
     /*   36175 */     // GIR_Coverage, 51482,
     /*   36175 */     GIR_EraseRootFromParent_Done,
     /*   36176 */   // Label 621: @36176
     /*   36176 */   GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(36231), // Rule ID 46511 //
     /*   36181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   36184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36200 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36209 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36229 */     GIR_RootConstrainSelectedInstOperands,
     /*   36230 */     // GIR_Coverage, 46511,
     /*   36230 */     GIR_EraseRootFromParent_Done,
     /*   36231 */   // Label 622: @36231
     /*   36231 */   GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(36286), // Rule ID 46512 //
     /*   36236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   36239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36264 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36284 */     GIR_RootConstrainSelectedInstOperands,
     /*   36285 */     // GIR_Coverage, 46512,
     /*   36285 */     GIR_EraseRootFromParent_Done,
     /*   36286 */   // Label 623: @36286
     /*   36286 */   GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(36341), // Rule ID 46271 //
     /*   36291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   36294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36310 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36319 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   36322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36339 */     GIR_RootConstrainSelectedInstOperands,
     /*   36340 */     // GIR_Coverage, 46271,
     /*   36340 */     GIR_EraseRootFromParent_Done,
     /*   36341 */   // Label 624: @36341
     /*   36341 */   GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(36396), // Rule ID 46272 //
     /*   36346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   36349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36365 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36374 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   36377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36394 */     GIR_RootConstrainSelectedInstOperands,
     /*   36395 */     // GIR_Coverage, 46272,
     /*   36395 */     GIR_EraseRootFromParent_Done,
     /*   36396 */   // Label 625: @36396
     /*   36396 */   GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(36451), // Rule ID 46391 //
     /*   36401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   36404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36420 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36429 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36449 */     GIR_RootConstrainSelectedInstOperands,
     /*   36450 */     // GIR_Coverage, 46391,
     /*   36450 */     GIR_EraseRootFromParent_Done,
     /*   36451 */   // Label 626: @36451
     /*   36451 */   GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(36506), // Rule ID 46392 //
     /*   36456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   36459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36475 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36484 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36504 */     GIR_RootConstrainSelectedInstOperands,
     /*   36505 */     // GIR_Coverage, 46392,
     /*   36505 */     GIR_EraseRootFromParent_Done,
     /*   36506 */   // Label 627: @36506
     /*   36506 */   GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(36559), // Rule ID 45897 //
     /*   36511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   36514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36522 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   36522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   36525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   36539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36557 */     GIR_RootConstrainSelectedInstOperands,
     /*   36558 */     // GIR_Coverage, 45897,
     /*   36558 */     GIR_EraseRootFromParent_Done,
     /*   36559 */   // Label 628: @36559
     /*   36559 */   GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(36612), // Rule ID 45898 //
     /*   36564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   36567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36575 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   36575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   36578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   36592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36610 */     GIR_RootConstrainSelectedInstOperands,
     /*   36611 */     // GIR_Coverage, 45898,
     /*   36611 */     GIR_EraseRootFromParent_Done,
     /*   36612 */   // Label 629: @36612
     /*   36612 */   GIM_Reject,
     /*   36613 */ // Label 589: @36613
     /*   36613 */ GIM_Reject,
     /*   36614 */ // Label 136: @36614
     /*   36614 */ GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(37008),
     /*   36619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36629 */   GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(36697), // Rule ID 69337 //
     /*   36634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36671 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   36671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36695 */     GIR_RootConstrainSelectedInstOperands,
     /*   36696 */     // GIR_Coverage, 69337,
     /*   36696 */     GIR_EraseRootFromParent_Done,
     /*   36697 */   // Label 631: @36697
     /*   36697 */   GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(36765), // Rule ID 69338 //
     /*   36702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36721 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36739 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   36739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36763 */     GIR_RootConstrainSelectedInstOperands,
     /*   36764 */     // GIR_Coverage, 69338,
     /*   36764 */     GIR_EraseRootFromParent_Done,
     /*   36765 */   // Label 632: @36765
     /*   36765 */   GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(36833), // Rule ID 51425 //
     /*   36770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36793 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36807 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   36807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36831 */     GIR_RootConstrainSelectedInstOperands,
     /*   36832 */     // GIR_Coverage, 51425,
     /*   36832 */     GIR_EraseRootFromParent_Done,
     /*   36833 */   // Label 633: @36833
     /*   36833 */   GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(36901), // Rule ID 51426 //
     /*   36838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36861 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36875 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   36875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36899 */     GIR_RootConstrainSelectedInstOperands,
     /*   36900 */     // GIR_Coverage, 51426,
     /*   36900 */     GIR_EraseRootFromParent_Done,
     /*   36901 */   // Label 634: @36901
     /*   36901 */   GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(36954), // Rule ID 45841 //
     /*   36906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36917 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   36917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   36920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   36934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36952 */     GIR_RootConstrainSelectedInstOperands,
     /*   36953 */     // GIR_Coverage, 45841,
     /*   36953 */     GIR_EraseRootFromParent_Done,
     /*   36954 */   // Label 635: @36954
     /*   36954 */   GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(37007), // Rule ID 45842 //
     /*   36959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36970 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   36970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   36973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   36987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37005 */     GIR_RootConstrainSelectedInstOperands,
     /*   37006 */     // GIR_Coverage, 45842,
     /*   37006 */     GIR_EraseRootFromParent_Done,
     /*   37007 */   // Label 636: @37007
     /*   37007 */   GIM_Reject,
     /*   37008 */ // Label 630: @37008
     /*   37008 */ GIM_Reject,
     /*   37009 */ // Label 137: @37009
     /*   37009 */ GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(40133),
     /*   37014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37024 */   GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(37120), // Rule ID 69513 //
     /*   37029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37048 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37062 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37064 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37069 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37073 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37077 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37081 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37083 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37092 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37094 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37118 */     GIR_RootConstrainSelectedInstOperands,
     /*   37119 */     // GIR_Coverage, 69513,
     /*   37119 */     GIR_EraseRootFromParent_Done,
     /*   37120 */   // Label 638: @37120
     /*   37120 */   GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(37216), // Rule ID 69514 //
     /*   37125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37144 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37158 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37160 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37165 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37169 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37173 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37177 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37179 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37188 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37190 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37214 */     GIR_RootConstrainSelectedInstOperands,
     /*   37215 */     // GIR_Coverage, 69514,
     /*   37215 */     GIR_EraseRootFromParent_Done,
     /*   37216 */   // Label 639: @37216
     /*   37216 */   GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(37312), // Rule ID 69761 //
     /*   37221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37236 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37254 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37261 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37265 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37269 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37273 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37275 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37284 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37286 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37310 */     GIR_RootConstrainSelectedInstOperands,
     /*   37311 */     // GIR_Coverage, 69761,
     /*   37311 */     GIR_EraseRootFromParent_Done,
     /*   37312 */   // Label 640: @37312
     /*   37312 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(37408), // Rule ID 69762 //
     /*   37317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37336 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37350 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37357 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37361 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37365 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37369 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37371 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37380 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37382 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37406 */     GIR_RootConstrainSelectedInstOperands,
     /*   37407 */     // GIR_Coverage, 69762,
     /*   37407 */     GIR_EraseRootFromParent_Done,
     /*   37408 */   // Label 641: @37408
     /*   37408 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(37504), // Rule ID 69763 //
     /*   37413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37428 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37432 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37446 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37448 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37453 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37457 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37461 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37465 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37467 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37476 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37478 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   37489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   37493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37502 */     GIR_RootConstrainSelectedInstOperands,
     /*   37503 */     // GIR_Coverage, 69763,
     /*   37503 */     GIR_EraseRootFromParent_Done,
     /*   37504 */   // Label 642: @37504
     /*   37504 */   GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(37600), // Rule ID 69764 //
     /*   37509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37528 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37542 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37549 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37553 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37557 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37561 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37563 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37572 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37574 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   37585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   37589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37598 */     GIR_RootConstrainSelectedInstOperands,
     /*   37599 */     // GIR_Coverage, 69764,
     /*   37599 */     GIR_EraseRootFromParent_Done,
     /*   37600 */   // Label 643: @37600
     /*   37600 */   GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(37696), // Rule ID 69627 //
     /*   37605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37620 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37624 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37638 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37640 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37645 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37649 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37653 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37657 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37659 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37668 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37670 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   37673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37694 */     GIR_RootConstrainSelectedInstOperands,
     /*   37695 */     // GIR_Coverage, 69627,
     /*   37695 */     GIR_EraseRootFromParent_Done,
     /*   37696 */   // Label 644: @37696
     /*   37696 */   GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(37792), // Rule ID 69628 //
     /*   37701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37734 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37741 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37745 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37749 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37753 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37755 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37764 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37766 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   37769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37790 */     GIR_RootConstrainSelectedInstOperands,
     /*   37791 */     // GIR_Coverage, 69628,
     /*   37791 */     GIR_EraseRootFromParent_Done,
     /*   37792 */   // Label 645: @37792
     /*   37792 */   GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(37888), // Rule ID 51581 //
     /*   37797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37816 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37820 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37830 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37834 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37836 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37841 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37845 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37849 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37853 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37855 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37860 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37862 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   37869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37886 */     GIR_RootConstrainSelectedInstOperands,
     /*   37887 */     // GIR_Coverage, 51581,
     /*   37887 */     GIR_EraseRootFromParent_Done,
     /*   37888 */   // Label 646: @37888
     /*   37888 */   GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(37984), // Rule ID 51582 //
     /*   37893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37908 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37912 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37916 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37930 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37937 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37941 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37945 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37949 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37951 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37956 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37958 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   37965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37982 */     GIR_RootConstrainSelectedInstOperands,
     /*   37983 */     // GIR_Coverage, 51582,
     /*   37983 */     GIR_EraseRootFromParent_Done,
     /*   37984 */   // Label 647: @37984
     /*   37984 */   GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(38080), // Rule ID 51699 //
     /*   37989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38008 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38012 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38026 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38028 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38033 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38037 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38041 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38045 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38047 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38052 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38054 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   38054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38078 */     GIR_RootConstrainSelectedInstOperands,
     /*   38079 */     // GIR_Coverage, 51699,
     /*   38079 */     GIR_EraseRootFromParent_Done,
     /*   38080 */   // Label 648: @38080
     /*   38080 */   GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(38176), // Rule ID 51700 //
     /*   38085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38104 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38108 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38118 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38122 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38124 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38129 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38133 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38137 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38141 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38143 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38148 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38150 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   38150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38174 */     GIR_RootConstrainSelectedInstOperands,
     /*   38175 */     // GIR_Coverage, 51700,
     /*   38175 */     GIR_EraseRootFromParent_Done,
     /*   38176 */   // Label 649: @38176
     /*   38176 */   GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(38272), // Rule ID 69759 //
     /*   38181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38200 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38204 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38218 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38220 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38225 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38229 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38233 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38237 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38239 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38244 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38246 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   38246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38270 */     GIR_RootConstrainSelectedInstOperands,
     /*   38271 */     // GIR_Coverage, 69759,
     /*   38271 */     GIR_EraseRootFromParent_Done,
     /*   38272 */   // Label 650: @38272
     /*   38272 */   GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(38368), // Rule ID 69760 //
     /*   38277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38296 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38314 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38321 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38325 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38329 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38333 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38335 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38340 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38342 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   38342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38366 */     GIR_RootConstrainSelectedInstOperands,
     /*   38367 */     // GIR_Coverage, 69760,
     /*   38367 */     GIR_EraseRootFromParent_Done,
     /*   38368 */   // Label 651: @38368
     /*   38368 */   GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(38464), // Rule ID 51639 //
     /*   38373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38396 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38410 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38417 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38421 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38425 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38429 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38431 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38436 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38438 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   38438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   38441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38462 */     GIR_RootConstrainSelectedInstOperands,
     /*   38463 */     // GIR_Coverage, 51639,
     /*   38463 */     GIR_EraseRootFromParent_Done,
     /*   38464 */   // Label 652: @38464
     /*   38464 */   GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(38560), // Rule ID 51640 //
     /*   38469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38488 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38492 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38506 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38508 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38513 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38517 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38521 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38525 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38527 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38532 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38534 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   38534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   38537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38558 */     GIR_RootConstrainSelectedInstOperands,
     /*   38559 */     // GIR_Coverage, 51640,
     /*   38559 */     GIR_EraseRootFromParent_Done,
     /*   38560 */   // Label 653: @38560
     /*   38560 */   GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(38649), // Rule ID 46411 //
     /*   38565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38580 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38599 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38601 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38606 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38608 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   38608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   38625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38647 */     GIR_RootConstrainSelectedInstOperands,
     /*   38648 */     // GIR_Coverage, 46411,
     /*   38648 */     GIR_EraseRootFromParent_Done,
     /*   38649 */   // Label 654: @38649
     /*   38649 */   GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(38738), // Rule ID 46412 //
     /*   38654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38669 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38688 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38690 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38695 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38697 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   38697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   38714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38736 */     GIR_RootConstrainSelectedInstOperands,
     /*   38737 */     // GIR_Coverage, 46412,
     /*   38737 */     GIR_EraseRootFromParent_Done,
     /*   38738 */   // Label 655: @38738
     /*   38738 */   GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(38827), // Rule ID 46175 //
     /*   38743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38758 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38760 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38765 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38769 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38773 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38777 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38779 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38784 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38786 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   38786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   38803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38825 */     GIR_RootConstrainSelectedInstOperands,
     /*   38826 */     // GIR_Coverage, 46175,
     /*   38826 */     GIR_EraseRootFromParent_Done,
     /*   38827 */   // Label 656: @38827
     /*   38827 */   GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(38916), // Rule ID 46176 //
     /*   38832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38866 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38868 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38873 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38875 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   38875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   38892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38914 */     GIR_RootConstrainSelectedInstOperands,
     /*   38915 */     // GIR_Coverage, 46176,
     /*   38915 */     GIR_EraseRootFromParent_Done,
     /*   38916 */   // Label 657: @38916
     /*   38916 */   GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(39005), // Rule ID 46291 //
     /*   38921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38936 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38955 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38957 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38962 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38964 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   38964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   38981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39003 */     GIR_RootConstrainSelectedInstOperands,
     /*   39004 */     // GIR_Coverage, 46291,
     /*   39004 */     GIR_EraseRootFromParent_Done,
     /*   39005 */   // Label 658: @39005
     /*   39005 */   GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(39094), // Rule ID 46292 //
     /*   39010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39025 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39040 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39044 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39046 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39053 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   39053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   39056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   39070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39092 */     GIR_RootConstrainSelectedInstOperands,
     /*   39093 */     // GIR_Coverage, 46292,
     /*   39093 */     GIR_EraseRootFromParent_Done,
     /*   39094 */   // Label 659: @39094
     /*   39094 */   GIM_Try, /*On fail goto*//*Label 660*/ GIMT_Encode4(39162), // Rule ID 69393 //
     /*   39099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39114 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39118 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39136 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   39136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39160 */     GIR_RootConstrainSelectedInstOperands,
     /*   39161 */     // GIR_Coverage, 69393,
     /*   39161 */     GIR_EraseRootFromParent_Done,
     /*   39162 */   // Label 660: @39162
     /*   39162 */   GIM_Try, /*On fail goto*//*Label 661*/ GIMT_Encode4(39230), // Rule ID 69394 //
     /*   39167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39182 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39204 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   39204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39228 */     GIR_RootConstrainSelectedInstOperands,
     /*   39229 */     // GIR_Coverage, 69394,
     /*   39229 */     GIR_EraseRootFromParent_Done,
     /*   39230 */   // Label 661: @39230
     /*   39230 */   GIM_Try, /*On fail goto*//*Label 662*/ GIMT_Encode4(39285), // Rule ID 68407 //
     /*   39235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39250 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39263 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39283 */     GIR_RootConstrainSelectedInstOperands,
     /*   39284 */     // GIR_Coverage, 68407,
     /*   39284 */     GIR_EraseRootFromParent_Done,
     /*   39285 */   // Label 662: @39285
     /*   39285 */   GIM_Try, /*On fail goto*//*Label 663*/ GIMT_Encode4(39340), // Rule ID 68408 //
     /*   39290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39305 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39318 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39338 */     GIR_RootConstrainSelectedInstOperands,
     /*   39339 */     // GIR_Coverage, 68408,
     /*   39339 */     GIR_EraseRootFromParent_Done,
     /*   39340 */   // Label 663: @39340
     /*   39340 */   GIM_Try, /*On fail goto*//*Label 664*/ GIMT_Encode4(39395), // Rule ID 68227 //
     /*   39345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39360 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39373 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39393 */     GIR_RootConstrainSelectedInstOperands,
     /*   39394 */     // GIR_Coverage, 68227,
     /*   39394 */     GIR_EraseRootFromParent_Done,
     /*   39395 */   // Label 664: @39395
     /*   39395 */   GIM_Try, /*On fail goto*//*Label 665*/ GIMT_Encode4(39450), // Rule ID 68228 //
     /*   39400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39415 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39428 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39448 */     GIR_RootConstrainSelectedInstOperands,
     /*   39449 */     // GIR_Coverage, 68228,
     /*   39449 */     GIR_EraseRootFromParent_Done,
     /*   39450 */   // Label 665: @39450
     /*   39450 */   GIM_Try, /*On fail goto*//*Label 666*/ GIMT_Encode4(39505), // Rule ID 68317 //
     /*   39455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39470 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39483 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39503 */     GIR_RootConstrainSelectedInstOperands,
     /*   39504 */     // GIR_Coverage, 68317,
     /*   39504 */     GIR_EraseRootFromParent_Done,
     /*   39505 */   // Label 666: @39505
     /*   39505 */   GIM_Try, /*On fail goto*//*Label 667*/ GIMT_Encode4(39560), // Rule ID 68318 //
     /*   39510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39525 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39538 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39558 */     GIR_RootConstrainSelectedInstOperands,
     /*   39559 */     // GIR_Coverage, 68318,
     /*   39559 */     GIR_EraseRootFromParent_Done,
     /*   39560 */   // Label 667: @39560
     /*   39560 */   GIM_Try, /*On fail goto*//*Label 668*/ GIMT_Encode4(39628), // Rule ID 51453 //
     /*   39565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39602 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   39602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39626 */     GIR_RootConstrainSelectedInstOperands,
     /*   39627 */     // GIR_Coverage, 51453,
     /*   39627 */     GIR_EraseRootFromParent_Done,
     /*   39628 */   // Label 668: @39628
     /*   39628 */   GIM_Try, /*On fail goto*//*Label 669*/ GIMT_Encode4(39696), // Rule ID 51454 //
     /*   39633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39670 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   39670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39694 */     GIR_RootConstrainSelectedInstOperands,
     /*   39695 */     // GIR_Coverage, 51454,
     /*   39695 */     GIR_EraseRootFromParent_Done,
     /*   39696 */   // Label 669: @39696
     /*   39696 */   GIM_Try, /*On fail goto*//*Label 670*/ GIMT_Encode4(39751), // Rule ID 46471 //
     /*   39701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39729 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39749 */     GIR_RootConstrainSelectedInstOperands,
     /*   39750 */     // GIR_Coverage, 46471,
     /*   39750 */     GIR_EraseRootFromParent_Done,
     /*   39751 */   // Label 670: @39751
     /*   39751 */   GIM_Try, /*On fail goto*//*Label 671*/ GIMT_Encode4(39806), // Rule ID 46472 //
     /*   39756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39775 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39784 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39804 */     GIR_RootConstrainSelectedInstOperands,
     /*   39805 */     // GIR_Coverage, 46472,
     /*   39805 */     GIR_EraseRootFromParent_Done,
     /*   39806 */   // Label 671: @39806
     /*   39806 */   GIM_Try, /*On fail goto*//*Label 672*/ GIMT_Encode4(39861), // Rule ID 46231 //
     /*   39811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39839 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39859 */     GIR_RootConstrainSelectedInstOperands,
     /*   39860 */     // GIR_Coverage, 46231,
     /*   39860 */     GIR_EraseRootFromParent_Done,
     /*   39861 */   // Label 672: @39861
     /*   39861 */   GIM_Try, /*On fail goto*//*Label 673*/ GIMT_Encode4(39916), // Rule ID 46232 //
     /*   39866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39885 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39894 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39914 */     GIR_RootConstrainSelectedInstOperands,
     /*   39915 */     // GIR_Coverage, 46232,
     /*   39915 */     GIR_EraseRootFromParent_Done,
     /*   39916 */   // Label 673: @39916
     /*   39916 */   GIM_Try, /*On fail goto*//*Label 674*/ GIMT_Encode4(39971), // Rule ID 46351 //
     /*   39921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39940 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39949 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39969 */     GIR_RootConstrainSelectedInstOperands,
     /*   39970 */     // GIR_Coverage, 46351,
     /*   39970 */     GIR_EraseRootFromParent_Done,
     /*   39971 */   // Label 674: @39971
     /*   39971 */   GIM_Try, /*On fail goto*//*Label 675*/ GIMT_Encode4(40026), // Rule ID 46352 //
     /*   39976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39995 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40004 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   40004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   40007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40024 */     GIR_RootConstrainSelectedInstOperands,
     /*   40025 */     // GIR_Coverage, 46352,
     /*   40025 */     GIR_EraseRootFromParent_Done,
     /*   40026 */   // Label 675: @40026
     /*   40026 */   GIM_Try, /*On fail goto*//*Label 676*/ GIMT_Encode4(40079), // Rule ID 45869 //
     /*   40031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40042 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   40042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   40045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   40049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   40059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   40066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40077 */     GIR_RootConstrainSelectedInstOperands,
     /*   40078 */     // GIR_Coverage, 45869,
     /*   40078 */     GIR_EraseRootFromParent_Done,
     /*   40079 */   // Label 676: @40079
     /*   40079 */   GIM_Try, /*On fail goto*//*Label 677*/ GIMT_Encode4(40132), // Rule ID 45870 //
     /*   40084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40095 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   40095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   40098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   40102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   40112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   40119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40130 */     GIR_RootConstrainSelectedInstOperands,
     /*   40131 */     // GIR_Coverage, 45870,
     /*   40131 */     GIR_EraseRootFromParent_Done,
     /*   40132 */   // Label 677: @40132
     /*   40132 */   GIM_Reject,
     /*   40133 */ // Label 637: @40133
     /*   40133 */ GIM_Reject,
     /*   40134 */ // Label 138: @40134
     /*   40134 */ GIM_Try, /*On fail goto*//*Label 678*/ GIMT_Encode4(43258),
     /*   40139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40149 */   GIM_Try, /*On fail goto*//*Label 679*/ GIMT_Encode4(40245), // Rule ID 69525 //
     /*   40154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40169 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40173 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40175 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40179 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40183 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40187 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40189 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40194 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40198 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40202 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40206 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40208 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40217 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40219 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   40222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40243 */     GIR_RootConstrainSelectedInstOperands,
     /*   40244 */     // GIR_Coverage, 69525,
     /*   40244 */     GIR_EraseRootFromParent_Done,
     /*   40245 */   // Label 679: @40245
     /*   40245 */   GIM_Try, /*On fail goto*//*Label 680*/ GIMT_Encode4(40341), // Rule ID 69526 //
     /*   40250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40265 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40269 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40283 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40290 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40294 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40298 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40302 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40304 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40313 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40315 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   40318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40339 */     GIR_RootConstrainSelectedInstOperands,
     /*   40340 */     // GIR_Coverage, 69526,
     /*   40340 */     GIR_EraseRootFromParent_Done,
     /*   40341 */   // Label 680: @40341
     /*   40341 */   GIM_Try, /*On fail goto*//*Label 681*/ GIMT_Encode4(40437), // Rule ID 69797 //
     /*   40346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40365 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40379 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40381 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40386 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40390 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40394 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40398 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40400 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40409 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40411 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40435 */     GIR_RootConstrainSelectedInstOperands,
     /*   40436 */     // GIR_Coverage, 69797,
     /*   40436 */     GIR_EraseRootFromParent_Done,
     /*   40437 */   // Label 681: @40437
     /*   40437 */   GIM_Try, /*On fail goto*//*Label 682*/ GIMT_Encode4(40533), // Rule ID 69798 //
     /*   40442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40457 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40461 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40475 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40477 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40482 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40486 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40490 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40494 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40496 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40505 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40507 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40531 */     GIR_RootConstrainSelectedInstOperands,
     /*   40532 */     // GIR_Coverage, 69798,
     /*   40532 */     GIR_EraseRootFromParent_Done,
     /*   40533 */   // Label 682: @40533
     /*   40533 */   GIM_Try, /*On fail goto*//*Label 683*/ GIMT_Encode4(40629), // Rule ID 69799 //
     /*   40538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40553 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40557 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40571 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40573 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40578 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40582 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40586 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40590 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40592 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40601 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40603 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   40614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40627 */     GIR_RootConstrainSelectedInstOperands,
     /*   40628 */     // GIR_Coverage, 69799,
     /*   40628 */     GIR_EraseRootFromParent_Done,
     /*   40629 */   // Label 683: @40629
     /*   40629 */   GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(40725), // Rule ID 69800 //
     /*   40634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40655 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40659 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40663 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40667 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40674 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40678 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40682 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40686 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40688 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40697 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40699 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   40710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40723 */     GIR_RootConstrainSelectedInstOperands,
     /*   40724 */     // GIR_Coverage, 69800,
     /*   40724 */     GIR_EraseRootFromParent_Done,
     /*   40725 */   // Label 684: @40725
     /*   40725 */   GIM_Try, /*On fail goto*//*Label 685*/ GIMT_Encode4(40821), // Rule ID 69639 //
     /*   40730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40745 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40749 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40751 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40755 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40759 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40763 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40765 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40770 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40774 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40778 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40782 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40784 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40793 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40795 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   40798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40819 */     GIR_RootConstrainSelectedInstOperands,
     /*   40820 */     // GIR_Coverage, 69639,
     /*   40820 */     GIR_EraseRootFromParent_Done,
     /*   40821 */   // Label 685: @40821
     /*   40821 */   GIM_Try, /*On fail goto*//*Label 686*/ GIMT_Encode4(40917), // Rule ID 69640 //
     /*   40826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40841 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40845 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40859 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40866 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40870 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40874 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40878 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40880 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40889 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40891 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   40894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40915 */     GIR_RootConstrainSelectedInstOperands,
     /*   40916 */     // GIR_Coverage, 69640,
     /*   40916 */     GIR_EraseRootFromParent_Done,
     /*   40917 */   // Label 686: @40917
     /*   40917 */   GIM_Try, /*On fail goto*//*Label 687*/ GIMT_Encode4(41013), // Rule ID 51593 //
     /*   40922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40941 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40945 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40955 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40959 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40961 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40966 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40970 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40974 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40978 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40980 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40985 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40987 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   40990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   40994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41011 */     GIR_RootConstrainSelectedInstOperands,
     /*   41012 */     // GIR_Coverage, 51593,
     /*   41012 */     GIR_EraseRootFromParent_Done,
     /*   41013 */   // Label 687: @41013
     /*   41013 */   GIM_Try, /*On fail goto*//*Label 688*/ GIMT_Encode4(41109), // Rule ID 51594 //
     /*   41018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41037 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41041 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41055 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41062 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41066 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41070 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41074 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41076 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41081 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41083 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   41086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41107 */     GIR_RootConstrainSelectedInstOperands,
     /*   41108 */     // GIR_Coverage, 51594,
     /*   41108 */     GIR_EraseRootFromParent_Done,
     /*   41109 */   // Label 688: @41109
     /*   41109 */   GIM_Try, /*On fail goto*//*Label 689*/ GIMT_Encode4(41205), // Rule ID 51711 //
     /*   41114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41133 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41137 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41147 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41151 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41153 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41158 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41162 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41166 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41170 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41172 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41177 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41179 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   41179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41203 */     GIR_RootConstrainSelectedInstOperands,
     /*   41204 */     // GIR_Coverage, 51711,
     /*   41204 */     GIR_EraseRootFromParent_Done,
     /*   41205 */   // Label 689: @41205
     /*   41205 */   GIM_Try, /*On fail goto*//*Label 690*/ GIMT_Encode4(41301), // Rule ID 51712 //
     /*   41210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41233 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41235 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41239 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41243 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41247 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41249 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41254 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41258 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41262 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41266 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41268 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41273 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41275 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41299 */     GIR_RootConstrainSelectedInstOperands,
     /*   41300 */     // GIR_Coverage, 51712,
     /*   41300 */     GIR_EraseRootFromParent_Done,
     /*   41301 */   // Label 690: @41301
     /*   41301 */   GIM_Try, /*On fail goto*//*Label 691*/ GIMT_Encode4(41397), // Rule ID 69795 //
     /*   41306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41325 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41329 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41343 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41350 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41354 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41358 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41362 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41364 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41369 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41371 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   41371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41395 */     GIR_RootConstrainSelectedInstOperands,
     /*   41396 */     // GIR_Coverage, 69795,
     /*   41396 */     GIR_EraseRootFromParent_Done,
     /*   41397 */   // Label 691: @41397
     /*   41397 */   GIM_Try, /*On fail goto*//*Label 692*/ GIMT_Encode4(41493), // Rule ID 69796 //
     /*   41402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41421 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41425 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41439 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41441 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41446 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41450 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41454 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41458 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41460 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41465 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41467 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41491 */     GIR_RootConstrainSelectedInstOperands,
     /*   41492 */     // GIR_Coverage, 69796,
     /*   41492 */     GIR_EraseRootFromParent_Done,
     /*   41493 */   // Label 692: @41493
     /*   41493 */   GIM_Try, /*On fail goto*//*Label 693*/ GIMT_Encode4(41589), // Rule ID 51651 //
     /*   41498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41531 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41535 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41537 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41542 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41546 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41550 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41554 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41556 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41561 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41563 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   41563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   41566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41587 */     GIR_RootConstrainSelectedInstOperands,
     /*   41588 */     // GIR_Coverage, 51651,
     /*   41588 */     GIR_EraseRootFromParent_Done,
     /*   41589 */   // Label 693: @41589
     /*   41589 */   GIM_Try, /*On fail goto*//*Label 694*/ GIMT_Encode4(41685), // Rule ID 51652 //
     /*   41594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41613 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41617 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41631 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41633 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41638 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41642 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41646 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41650 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41652 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41657 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41659 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   41662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41683 */     GIR_RootConstrainSelectedInstOperands,
     /*   41684 */     // GIR_Coverage, 51652,
     /*   41684 */     GIR_EraseRootFromParent_Done,
     /*   41685 */   // Label 694: @41685
     /*   41685 */   GIM_Try, /*On fail goto*//*Label 695*/ GIMT_Encode4(41774), // Rule ID 46435 //
     /*   41690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41705 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41724 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41733 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   41733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   41736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   41750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41772 */     GIR_RootConstrainSelectedInstOperands,
     /*   41773 */     // GIR_Coverage, 46435,
     /*   41773 */     GIR_EraseRootFromParent_Done,
     /*   41774 */   // Label 695: @41774
     /*   41774 */   GIM_Try, /*On fail goto*//*Label 696*/ GIMT_Encode4(41863), // Rule ID 46436 //
     /*   41779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41794 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41813 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41822 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   41822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   41825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   41839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41861 */     GIR_RootConstrainSelectedInstOperands,
     /*   41862 */     // GIR_Coverage, 46436,
     /*   41862 */     GIR_EraseRootFromParent_Done,
     /*   41863 */   // Label 696: @41863
     /*   41863 */   GIM_Try, /*On fail goto*//*Label 697*/ GIMT_Encode4(41952), // Rule ID 46199 //
     /*   41868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41883 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41890 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41894 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41898 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41902 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41904 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41911 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   41911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   41914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   41928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41950 */     GIR_RootConstrainSelectedInstOperands,
     /*   41951 */     // GIR_Coverage, 46199,
     /*   41951 */     GIR_EraseRootFromParent_Done,
     /*   41952 */   // Label 697: @41952
     /*   41952 */   GIM_Try, /*On fail goto*//*Label 698*/ GIMT_Encode4(42041), // Rule ID 46200 //
     /*   41957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41972 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41979 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41983 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41987 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41991 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41993 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41998 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42000 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   42000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   42003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   42017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42039 */     GIR_RootConstrainSelectedInstOperands,
     /*   42040 */     // GIR_Coverage, 46200,
     /*   42040 */     GIR_EraseRootFromParent_Done,
     /*   42041 */   // Label 698: @42041
     /*   42041 */   GIM_Try, /*On fail goto*//*Label 699*/ GIMT_Encode4(42130), // Rule ID 46315 //
     /*   42046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42061 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42068 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42072 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42076 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42080 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42082 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42087 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42089 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   42089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   42092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   42106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42128 */     GIR_RootConstrainSelectedInstOperands,
     /*   42129 */     // GIR_Coverage, 46315,
     /*   42129 */     GIR_EraseRootFromParent_Done,
     /*   42130 */   // Label 699: @42130
     /*   42130 */   GIM_Try, /*On fail goto*//*Label 700*/ GIMT_Encode4(42219), // Rule ID 46316 //
     /*   42135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42150 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42169 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42171 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42176 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42178 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   42178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   42181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   42195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42217 */     GIR_RootConstrainSelectedInstOperands,
     /*   42218 */     // GIR_Coverage, 46316,
     /*   42218 */     GIR_EraseRootFromParent_Done,
     /*   42219 */   // Label 700: @42219
     /*   42219 */   GIM_Try, /*On fail goto*//*Label 701*/ GIMT_Encode4(42287), // Rule ID 69425 //
     /*   42224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42239 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42243 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42261 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   42261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42285 */     GIR_RootConstrainSelectedInstOperands,
     /*   42286 */     // GIR_Coverage, 69425,
     /*   42286 */     GIR_EraseRootFromParent_Done,
     /*   42287 */   // Label 701: @42287
     /*   42287 */   GIM_Try, /*On fail goto*//*Label 702*/ GIMT_Encode4(42355), // Rule ID 69426 //
     /*   42292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42307 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42311 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42329 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   42329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42353 */     GIR_RootConstrainSelectedInstOperands,
     /*   42354 */     // GIR_Coverage, 69426,
     /*   42354 */     GIR_EraseRootFromParent_Done,
     /*   42355 */   // Label 702: @42355
     /*   42355 */   GIM_Try, /*On fail goto*//*Label 703*/ GIMT_Encode4(42410), // Rule ID 68431 //
     /*   42360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42375 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42388 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42408 */     GIR_RootConstrainSelectedInstOperands,
     /*   42409 */     // GIR_Coverage, 68431,
     /*   42409 */     GIR_EraseRootFromParent_Done,
     /*   42410 */   // Label 703: @42410
     /*   42410 */   GIM_Try, /*On fail goto*//*Label 704*/ GIMT_Encode4(42465), // Rule ID 68432 //
     /*   42415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42430 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42443 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42463 */     GIR_RootConstrainSelectedInstOperands,
     /*   42464 */     // GIR_Coverage, 68432,
     /*   42464 */     GIR_EraseRootFromParent_Done,
     /*   42465 */   // Label 704: @42465
     /*   42465 */   GIM_Try, /*On fail goto*//*Label 705*/ GIMT_Encode4(42520), // Rule ID 68251 //
     /*   42470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42485 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42498 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   42501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42518 */     GIR_RootConstrainSelectedInstOperands,
     /*   42519 */     // GIR_Coverage, 68251,
     /*   42519 */     GIR_EraseRootFromParent_Done,
     /*   42520 */   // Label 705: @42520
     /*   42520 */   GIM_Try, /*On fail goto*//*Label 706*/ GIMT_Encode4(42575), // Rule ID 68252 //
     /*   42525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42540 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42553 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   42556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42573 */     GIR_RootConstrainSelectedInstOperands,
     /*   42574 */     // GIR_Coverage, 68252,
     /*   42574 */     GIR_EraseRootFromParent_Done,
     /*   42575 */   // Label 706: @42575
     /*   42575 */   GIM_Try, /*On fail goto*//*Label 707*/ GIMT_Encode4(42630), // Rule ID 68341 //
     /*   42580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42595 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42608 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42628 */     GIR_RootConstrainSelectedInstOperands,
     /*   42629 */     // GIR_Coverage, 68341,
     /*   42629 */     GIR_EraseRootFromParent_Done,
     /*   42630 */   // Label 707: @42630
     /*   42630 */   GIM_Try, /*On fail goto*//*Label 708*/ GIMT_Encode4(42685), // Rule ID 68342 //
     /*   42635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42650 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42663 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42683 */     GIR_RootConstrainSelectedInstOperands,
     /*   42684 */     // GIR_Coverage, 68342,
     /*   42684 */     GIR_EraseRootFromParent_Done,
     /*   42685 */   // Label 708: @42685
     /*   42685 */   GIM_Try, /*On fail goto*//*Label 709*/ GIMT_Encode4(42753), // Rule ID 51469 //
     /*   42690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42709 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42713 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42727 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   42727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42751 */     GIR_RootConstrainSelectedInstOperands,
     /*   42752 */     // GIR_Coverage, 51469,
     /*   42752 */     GIR_EraseRootFromParent_Done,
     /*   42753 */   // Label 709: @42753
     /*   42753 */   GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(42821), // Rule ID 51470 //
     /*   42758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42781 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42795 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   42795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42819 */     GIR_RootConstrainSelectedInstOperands,
     /*   42820 */     // GIR_Coverage, 51470,
     /*   42820 */     GIR_EraseRootFromParent_Done,
     /*   42821 */   // Label 710: @42821
     /*   42821 */   GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(42876), // Rule ID 46495 //
     /*   42826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42845 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42854 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42874 */     GIR_RootConstrainSelectedInstOperands,
     /*   42875 */     // GIR_Coverage, 46495,
     /*   42875 */     GIR_EraseRootFromParent_Done,
     /*   42876 */   // Label 711: @42876
     /*   42876 */   GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(42931), // Rule ID 46496 //
     /*   42881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42900 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42909 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42929 */     GIR_RootConstrainSelectedInstOperands,
     /*   42930 */     // GIR_Coverage, 46496,
     /*   42930 */     GIR_EraseRootFromParent_Done,
     /*   42931 */   // Label 712: @42931
     /*   42931 */   GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(42986), // Rule ID 46255 //
     /*   42936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42955 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42964 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   42967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42984 */     GIR_RootConstrainSelectedInstOperands,
     /*   42985 */     // GIR_Coverage, 46255,
     /*   42985 */     GIR_EraseRootFromParent_Done,
     /*   42986 */   // Label 713: @42986
     /*   42986 */   GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(43041), // Rule ID 46256 //
     /*   42991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43010 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43019 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   43019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   43022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43039 */     GIR_RootConstrainSelectedInstOperands,
     /*   43040 */     // GIR_Coverage, 46256,
     /*   43040 */     GIR_EraseRootFromParent_Done,
     /*   43041 */   // Label 714: @43041
     /*   43041 */   GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(43096), // Rule ID 46375 //
     /*   43046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43065 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43074 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   43074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   43077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43094 */     GIR_RootConstrainSelectedInstOperands,
     /*   43095 */     // GIR_Coverage, 46375,
     /*   43095 */     GIR_EraseRootFromParent_Done,
     /*   43096 */   // Label 715: @43096
     /*   43096 */   GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(43151), // Rule ID 46376 //
     /*   43101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43120 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43129 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   43129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   43132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43149 */     GIR_RootConstrainSelectedInstOperands,
     /*   43150 */     // GIR_Coverage, 46376,
     /*   43150 */     GIR_EraseRootFromParent_Done,
     /*   43151 */   // Label 716: @43151
     /*   43151 */   GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(43204), // Rule ID 45885 //
     /*   43156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43167 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   43167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   43170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   43184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43202 */     GIR_RootConstrainSelectedInstOperands,
     /*   43203 */     // GIR_Coverage, 45885,
     /*   43203 */     GIR_EraseRootFromParent_Done,
     /*   43204 */   // Label 717: @43204
     /*   43204 */   GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(43257), // Rule ID 45886 //
     /*   43209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43220 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   43220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   43223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   43237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43255 */     GIR_RootConstrainSelectedInstOperands,
     /*   43256 */     // GIR_Coverage, 45886,
     /*   43256 */     GIR_EraseRootFromParent_Done,
     /*   43257 */   // Label 718: @43257
     /*   43257 */   GIM_Reject,
     /*   43258 */ // Label 678: @43258
     /*   43258 */ GIM_Reject,
     /*   43259 */ // Label 139: @43259
     /*   43259 */ GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(46383),
     /*   43264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43274 */   GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(43370), // Rule ID 69535 //
     /*   43279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43312 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43314 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43319 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43323 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43327 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43331 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43333 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43342 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43344 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   43347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43368 */     GIR_RootConstrainSelectedInstOperands,
     /*   43369 */     // GIR_Coverage, 69535,
     /*   43369 */     GIR_EraseRootFromParent_Done,
     /*   43370 */   // Label 720: @43370
     /*   43370 */   GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(43466), // Rule ID 69536 //
     /*   43375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43394 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43408 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43415 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43419 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43423 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43427 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43429 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43438 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43440 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   43440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   43443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43464 */     GIR_RootConstrainSelectedInstOperands,
     /*   43465 */     // GIR_Coverage, 69536,
     /*   43465 */     GIR_EraseRootFromParent_Done,
     /*   43466 */   // Label 721: @43466
     /*   43466 */   GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(43562), // Rule ID 69827 //
     /*   43471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43486 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43490 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43504 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43511 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43515 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43519 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43523 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43525 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43534 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43536 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43560 */     GIR_RootConstrainSelectedInstOperands,
     /*   43561 */     // GIR_Coverage, 69827,
     /*   43561 */     GIR_EraseRootFromParent_Done,
     /*   43562 */   // Label 722: @43562
     /*   43562 */   GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(43658), // Rule ID 69828 //
     /*   43567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43582 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43586 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43588 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43592 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43596 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43600 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43602 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43607 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43611 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43615 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43619 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43621 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43630 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43632 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   43632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43656 */     GIR_RootConstrainSelectedInstOperands,
     /*   43657 */     // GIR_Coverage, 69828,
     /*   43657 */     GIR_EraseRootFromParent_Done,
     /*   43658 */   // Label 723: @43658
     /*   43658 */   GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(43754), // Rule ID 69829 //
     /*   43663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43678 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43682 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43684 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43688 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43692 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43696 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43698 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43703 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43707 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43711 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43715 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43717 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43726 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43728 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   43739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   43743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43752 */     GIR_RootConstrainSelectedInstOperands,
     /*   43753 */     // GIR_Coverage, 69829,
     /*   43753 */     GIR_EraseRootFromParent_Done,
     /*   43754 */   // Label 724: @43754
     /*   43754 */   GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(43850), // Rule ID 69830 //
     /*   43759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43774 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43778 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43780 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43784 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43788 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43792 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43794 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43799 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43803 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43807 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43811 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43813 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43822 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43824 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   43824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   43835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   43839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43848 */     GIR_RootConstrainSelectedInstOperands,
     /*   43849 */     // GIR_Coverage, 69830,
     /*   43849 */     GIR_EraseRootFromParent_Done,
     /*   43850 */   // Label 725: @43850
     /*   43850 */   GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(43946), // Rule ID 69649 //
     /*   43855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43870 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43874 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43884 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43888 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43890 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43895 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43899 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43903 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43907 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43909 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43918 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43920 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   43923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43944 */     GIR_RootConstrainSelectedInstOperands,
     /*   43945 */     // GIR_Coverage, 69649,
     /*   43945 */     GIR_EraseRootFromParent_Done,
     /*   43946 */   // Label 726: @43946
     /*   43946 */   GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(44042), // Rule ID 69650 //
     /*   43951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43966 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43970 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43984 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43986 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43991 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43995 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43999 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44003 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44005 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44014 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44016 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   44019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44040 */     GIR_RootConstrainSelectedInstOperands,
     /*   44041 */     // GIR_Coverage, 69650,
     /*   44041 */     GIR_EraseRootFromParent_Done,
     /*   44042 */   // Label 727: @44042
     /*   44042 */   GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(44138), // Rule ID 51603 //
     /*   44047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44066 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44070 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44084 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44091 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44095 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44099 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44103 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44105 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44110 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44112 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   44115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44136 */     GIR_RootConstrainSelectedInstOperands,
     /*   44137 */     // GIR_Coverage, 51603,
     /*   44137 */     GIR_EraseRootFromParent_Done,
     /*   44138 */   // Label 728: @44138
     /*   44138 */   GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(44234), // Rule ID 51604 //
     /*   44143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44180 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44187 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44191 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44195 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44199 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44201 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44206 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44208 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   44211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44232 */     GIR_RootConstrainSelectedInstOperands,
     /*   44233 */     // GIR_Coverage, 51604,
     /*   44233 */     GIR_EraseRootFromParent_Done,
     /*   44234 */   // Label 729: @44234
     /*   44234 */   GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(44330), // Rule ID 51721 //
     /*   44239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44276 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44278 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44283 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44287 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44291 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44295 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44297 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44302 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44304 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44328 */     GIR_RootConstrainSelectedInstOperands,
     /*   44329 */     // GIR_Coverage, 51721,
     /*   44329 */     GIR_EraseRootFromParent_Done,
     /*   44330 */   // Label 730: @44330
     /*   44330 */   GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(44426), // Rule ID 51722 //
     /*   44335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44358 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44372 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44374 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44379 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44383 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44387 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44391 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44393 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44398 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44400 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44424 */     GIR_RootConstrainSelectedInstOperands,
     /*   44425 */     // GIR_Coverage, 51722,
     /*   44425 */     GIR_EraseRootFromParent_Done,
     /*   44426 */   // Label 731: @44426
     /*   44426 */   GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(44522), // Rule ID 69825 //
     /*   44431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44450 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44454 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44464 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44468 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44470 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44475 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44479 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44483 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44487 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44489 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44494 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44496 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44520 */     GIR_RootConstrainSelectedInstOperands,
     /*   44521 */     // GIR_Coverage, 69825,
     /*   44521 */     GIR_EraseRootFromParent_Done,
     /*   44522 */   // Label 732: @44522
     /*   44522 */   GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(44618), // Rule ID 69826 //
     /*   44527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44550 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44560 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44564 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44566 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44571 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44575 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44579 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44583 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44585 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44590 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44592 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44616 */     GIR_RootConstrainSelectedInstOperands,
     /*   44617 */     // GIR_Coverage, 69826,
     /*   44617 */     GIR_EraseRootFromParent_Done,
     /*   44618 */   // Label 733: @44618
     /*   44618 */   GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(44714), // Rule ID 51661 //
     /*   44623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44660 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44662 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44667 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44671 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44675 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44679 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44681 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44686 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44688 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   44691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44712 */     GIR_RootConstrainSelectedInstOperands,
     /*   44713 */     // GIR_Coverage, 51661,
     /*   44713 */     GIR_EraseRootFromParent_Done,
     /*   44714 */   // Label 734: @44714
     /*   44714 */   GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(44810), // Rule ID 51662 //
     /*   44719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44738 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44742 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44744 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44748 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44752 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44756 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44758 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44763 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44767 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44771 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44775 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44777 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44782 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44784 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   44787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44808 */     GIR_RootConstrainSelectedInstOperands,
     /*   44809 */     // GIR_Coverage, 51662,
     /*   44809 */     GIR_EraseRootFromParent_Done,
     /*   44810 */   // Label 735: @44810
     /*   44810 */   GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(44899), // Rule ID 46455 //
     /*   44815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   44841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44849 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44851 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44858 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   44858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   44861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   44875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   44884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44897 */     GIR_RootConstrainSelectedInstOperands,
     /*   44898 */     // GIR_Coverage, 46455,
     /*   44898 */     GIR_EraseRootFromParent_Done,
     /*   44899 */   // Label 736: @44899
     /*   44899 */   GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(44988), // Rule ID 46456 //
     /*   44904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44919 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   44930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44938 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44947 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   44947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   44950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   44964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   44973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44986 */     GIR_RootConstrainSelectedInstOperands,
     /*   44987 */     // GIR_Coverage, 46456,
     /*   44987 */     GIR_EraseRootFromParent_Done,
     /*   44988 */   // Label 737: @44988
     /*   44988 */   GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(45077), // Rule ID 46219 //
     /*   44993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45027 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45036 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   45036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   45053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45075 */     GIR_RootConstrainSelectedInstOperands,
     /*   45076 */     // GIR_Coverage, 46219,
     /*   45076 */     GIR_EraseRootFromParent_Done,
     /*   45077 */   // Label 738: @45077
     /*   45077 */   GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(45166), // Rule ID 46220 //
     /*   45082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45097 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45116 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45123 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45125 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   45125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   45142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45164 */     GIR_RootConstrainSelectedInstOperands,
     /*   45165 */     // GIR_Coverage, 46220,
     /*   45165 */     GIR_EraseRootFromParent_Done,
     /*   45166 */   // Label 739: @45166
     /*   45166 */   GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(45255), // Rule ID 46335 //
     /*   45171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45205 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45214 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   45214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   45231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45253 */     GIR_RootConstrainSelectedInstOperands,
     /*   45254 */     // GIR_Coverage, 46335,
     /*   45254 */     GIR_EraseRootFromParent_Done,
     /*   45255 */   // Label 740: @45255
     /*   45255 */   GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(45344), // Rule ID 46336 //
     /*   45260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45303 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   45303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   45320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45342 */     GIR_RootConstrainSelectedInstOperands,
     /*   45343 */     // GIR_Coverage, 46336,
     /*   45343 */     GIR_EraseRootFromParent_Done,
     /*   45344 */   // Label 741: @45344
     /*   45344 */   GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(45412), // Rule ID 69457 //
     /*   45349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   45352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45368 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45386 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   45386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45410 */     GIR_RootConstrainSelectedInstOperands,
     /*   45411 */     // GIR_Coverage, 69457,
     /*   45411 */     GIR_EraseRootFromParent_Done,
     /*   45412 */   // Label 742: @45412
     /*   45412 */   GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(45480), // Rule ID 69458 //
     /*   45417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   45420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45432 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45436 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45454 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   45454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45478 */     GIR_RootConstrainSelectedInstOperands,
     /*   45479 */     // GIR_Coverage, 69458,
     /*   45479 */     GIR_EraseRootFromParent_Done,
     /*   45480 */   // Label 743: @45480
     /*   45480 */   GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(45535), // Rule ID 68451 //
     /*   45485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45500 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45513 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45533 */     GIR_RootConstrainSelectedInstOperands,
     /*   45534 */     // GIR_Coverage, 68451,
     /*   45534 */     GIR_EraseRootFromParent_Done,
     /*   45535 */   // Label 744: @45535
     /*   45535 */   GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(45590), // Rule ID 68452 //
     /*   45540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45555 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45568 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   45568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45588 */     GIR_RootConstrainSelectedInstOperands,
     /*   45589 */     // GIR_Coverage, 68452,
     /*   45589 */     GIR_EraseRootFromParent_Done,
     /*   45590 */   // Label 745: @45590
     /*   45590 */   GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(45645), // Rule ID 68271 //
     /*   45595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45610 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45623 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   45626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45643 */     GIR_RootConstrainSelectedInstOperands,
     /*   45644 */     // GIR_Coverage, 68271,
     /*   45644 */     GIR_EraseRootFromParent_Done,
     /*   45645 */   // Label 746: @45645
     /*   45645 */   GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(45700), // Rule ID 68272 //
     /*   45650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45665 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45678 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   45678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   45681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45698 */     GIR_RootConstrainSelectedInstOperands,
     /*   45699 */     // GIR_Coverage, 68272,
     /*   45699 */     GIR_EraseRootFromParent_Done,
     /*   45700 */   // Label 747: @45700
     /*   45700 */   GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(45755), // Rule ID 68361 //
     /*   45705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45733 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45753 */     GIR_RootConstrainSelectedInstOperands,
     /*   45754 */     // GIR_Coverage, 68361,
     /*   45754 */     GIR_EraseRootFromParent_Done,
     /*   45755 */   // Label 748: @45755
     /*   45755 */   GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(45810), // Rule ID 68362 //
     /*   45760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45775 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45788 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   45788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45808 */     GIR_RootConstrainSelectedInstOperands,
     /*   45809 */     // GIR_Coverage, 68362,
     /*   45809 */     GIR_EraseRootFromParent_Done,
     /*   45810 */   // Label 749: @45810
     /*   45810 */   GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(45878), // Rule ID 51485 //
     /*   45815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   45818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45834 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45838 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45852 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   45852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   45867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45876 */     GIR_RootConstrainSelectedInstOperands,
     /*   45877 */     // GIR_Coverage, 51485,
     /*   45877 */     GIR_EraseRootFromParent_Done,
     /*   45878 */   // Label 750: @45878
     /*   45878 */   GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(45946), // Rule ID 51486 //
     /*   45883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   45886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45906 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45920 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   45920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   45935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45944 */     GIR_RootConstrainSelectedInstOperands,
     /*   45945 */     // GIR_Coverage, 51486,
     /*   45945 */     GIR_EraseRootFromParent_Done,
     /*   45946 */   // Label 751: @45946
     /*   45946 */   GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(46001), // Rule ID 46515 //
     /*   45951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45970 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45979 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   45986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45999 */     GIR_RootConstrainSelectedInstOperands,
     /*   46000 */     // GIR_Coverage, 46515,
     /*   46000 */     GIR_EraseRootFromParent_Done,
     /*   46001 */   // Label 752: @46001
     /*   46001 */   GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(46056), // Rule ID 46516 //
     /*   46006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   46009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   46021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46025 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46034 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   46037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46054 */     GIR_RootConstrainSelectedInstOperands,
     /*   46055 */     // GIR_Coverage, 46516,
     /*   46055 */     GIR_EraseRootFromParent_Done,
     /*   46056 */   // Label 753: @46056
     /*   46056 */   GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(46111), // Rule ID 46275 //
     /*   46061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   46064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46080 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46089 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   46089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   46092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46109 */     GIR_RootConstrainSelectedInstOperands,
     /*   46110 */     // GIR_Coverage, 46275,
     /*   46110 */     GIR_EraseRootFromParent_Done,
     /*   46111 */   // Label 754: @46111
     /*   46111 */   GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(46166), // Rule ID 46276 //
     /*   46116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   46119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46135 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46144 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   46147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46164 */     GIR_RootConstrainSelectedInstOperands,
     /*   46165 */     // GIR_Coverage, 46276,
     /*   46165 */     GIR_EraseRootFromParent_Done,
     /*   46166 */   // Label 755: @46166
     /*   46166 */   GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(46221), // Rule ID 46395 //
     /*   46171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   46174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46190 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46199 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   46199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   46202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46219 */     GIR_RootConstrainSelectedInstOperands,
     /*   46220 */     // GIR_Coverage, 46395,
     /*   46220 */     GIR_EraseRootFromParent_Done,
     /*   46221 */   // Label 756: @46221
     /*   46221 */   GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(46276), // Rule ID 46396 //
     /*   46226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   46229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46245 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46254 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   46257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46274 */     GIR_RootConstrainSelectedInstOperands,
     /*   46275 */     // GIR_Coverage, 46396,
     /*   46275 */     GIR_EraseRootFromParent_Done,
     /*   46276 */   // Label 757: @46276
     /*   46276 */   GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(46329), // Rule ID 45901 //
     /*   46281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   46284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46292 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   46292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   46295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   46309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   46324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46327 */     GIR_RootConstrainSelectedInstOperands,
     /*   46328 */     // GIR_Coverage, 45901,
     /*   46328 */     GIR_EraseRootFromParent_Done,
     /*   46329 */   // Label 758: @46329
     /*   46329 */   GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(46382), // Rule ID 45902 //
     /*   46334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   46337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46345 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   46345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   46348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   46362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   46377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46380 */     GIR_RootConstrainSelectedInstOperands,
     /*   46381 */     // GIR_Coverage, 45902,
     /*   46381 */     GIR_EraseRootFromParent_Done,
     /*   46382 */   // Label 759: @46382
     /*   46382 */   GIM_Reject,
     /*   46383 */ // Label 719: @46383
     /*   46383 */ GIM_Reject,
     /*   46384 */ // Label 140: @46384
     /*   46384 */ GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(46778),
     /*   46389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46399 */   GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(46467), // Rule ID 69369 //
     /*   46404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46419 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46423 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46441 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   46441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46465 */     GIR_RootConstrainSelectedInstOperands,
     /*   46466 */     // GIR_Coverage, 69369,
     /*   46466 */     GIR_EraseRootFromParent_Done,
     /*   46467 */   // Label 761: @46467
     /*   46467 */   GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(46535), // Rule ID 69370 //
     /*   46472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46487 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46491 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46509 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   46509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46533 */     GIR_RootConstrainSelectedInstOperands,
     /*   46534 */     // GIR_Coverage, 69370,
     /*   46534 */     GIR_EraseRootFromParent_Done,
     /*   46535 */   // Label 762: @46535
     /*   46535 */   GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(46603), // Rule ID 51441 //
     /*   46540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46559 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46563 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46570 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46577 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   46577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46601 */     GIR_RootConstrainSelectedInstOperands,
     /*   46602 */     // GIR_Coverage, 51441,
     /*   46602 */     GIR_EraseRootFromParent_Done,
     /*   46603 */   // Label 763: @46603
     /*   46603 */   GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(46671), // Rule ID 51442 //
     /*   46608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46631 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46645 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   46645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46669 */     GIR_RootConstrainSelectedInstOperands,
     /*   46670 */     // GIR_Coverage, 51442,
     /*   46670 */     GIR_EraseRootFromParent_Done,
     /*   46671 */   // Label 764: @46671
     /*   46671 */   GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(46724), // Rule ID 45857 //
     /*   46676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46687 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   46687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   46690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   46704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46722 */     GIR_RootConstrainSelectedInstOperands,
     /*   46723 */     // GIR_Coverage, 45857,
     /*   46723 */     GIR_EraseRootFromParent_Done,
     /*   46724 */   // Label 765: @46724
     /*   46724 */   GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(46777), // Rule ID 45858 //
     /*   46729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46740 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   46740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   46743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   46757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46775 */     GIR_RootConstrainSelectedInstOperands,
     /*   46776 */     // GIR_Coverage, 45858,
     /*   46776 */     GIR_EraseRootFromParent_Done,
     /*   46777 */   // Label 766: @46777
     /*   46777 */   GIM_Reject,
     /*   46778 */ // Label 760: @46778
     /*   46778 */ GIM_Reject,
     /*   46779 */ // Label 141: @46779
     /*   46779 */ GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(49903),
     /*   46784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46794 */   GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(46890), // Rule ID 69515 //
     /*   46799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46832 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46839 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   46843 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46847 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46851 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   46853 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46862 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   46864 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   46864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   46867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   46871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   46879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46888 */     GIR_RootConstrainSelectedInstOperands,
     /*   46889 */     // GIR_Coverage, 69515,
     /*   46889 */     GIR_EraseRootFromParent_Done,
     /*   46890 */   // Label 768: @46890
     /*   46890 */   GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(46986), // Rule ID 69516 //
     /*   46895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46914 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46928 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46935 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   46939 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46943 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46947 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   46949 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46958 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   46960 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   46960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   46963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   46967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   46975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46984 */     GIR_RootConstrainSelectedInstOperands,
     /*   46985 */     // GIR_Coverage, 69516,
     /*   46985 */     GIR_EraseRootFromParent_Done,
     /*   46986 */   // Label 769: @46986
     /*   46986 */   GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(47082), // Rule ID 69767 //
     /*   46991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47010 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47024 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47031 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47035 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47039 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47043 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47045 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47054 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47056 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47080 */     GIR_RootConstrainSelectedInstOperands,
     /*   47081 */     // GIR_Coverage, 69767,
     /*   47081 */     GIR_EraseRootFromParent_Done,
     /*   47082 */   // Label 770: @47082
     /*   47082 */   GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(47178), // Rule ID 69768 //
     /*   47087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47102 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47106 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47120 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47122 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47127 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47131 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47135 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47139 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47141 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47150 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47152 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47176 */     GIR_RootConstrainSelectedInstOperands,
     /*   47177 */     // GIR_Coverage, 69768,
     /*   47177 */     GIR_EraseRootFromParent_Done,
     /*   47178 */   // Label 771: @47178
     /*   47178 */   GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(47274), // Rule ID 69769 //
     /*   47183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47198 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47202 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47216 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47218 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47223 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47227 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47231 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47235 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47237 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47246 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47248 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   47259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   47263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47272 */     GIR_RootConstrainSelectedInstOperands,
     /*   47273 */     // GIR_Coverage, 69769,
     /*   47273 */     GIR_EraseRootFromParent_Done,
     /*   47274 */   // Label 772: @47274
     /*   47274 */   GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(47370), // Rule ID 69770 //
     /*   47279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47312 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47314 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47319 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47323 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47327 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47331 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47333 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47342 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47344 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   47355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   47359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47368 */     GIR_RootConstrainSelectedInstOperands,
     /*   47369 */     // GIR_Coverage, 69770,
     /*   47369 */     GIR_EraseRootFromParent_Done,
     /*   47370 */   // Label 773: @47370
     /*   47370 */   GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(47466), // Rule ID 69629 //
     /*   47375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47394 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47408 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47415 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47419 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47423 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47427 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47429 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47438 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47440 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   47443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47464 */     GIR_RootConstrainSelectedInstOperands,
     /*   47465 */     // GIR_Coverage, 69629,
     /*   47465 */     GIR_EraseRootFromParent_Done,
     /*   47466 */   // Label 774: @47466
     /*   47466 */   GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(47562), // Rule ID 69630 //
     /*   47471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47486 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47490 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47504 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47511 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47515 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47519 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47523 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47525 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47534 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47536 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   47539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47560 */     GIR_RootConstrainSelectedInstOperands,
     /*   47561 */     // GIR_Coverage, 69630,
     /*   47561 */     GIR_EraseRootFromParent_Done,
     /*   47562 */   // Label 775: @47562
     /*   47562 */   GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(47658), // Rule ID 51583 //
     /*   47567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47586 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47590 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47604 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47606 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47611 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47615 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47619 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47623 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47625 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47630 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47632 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   47635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47656 */     GIR_RootConstrainSelectedInstOperands,
     /*   47657 */     // GIR_Coverage, 51583,
     /*   47657 */     GIR_EraseRootFromParent_Done,
     /*   47658 */   // Label 776: @47658
     /*   47658 */   GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(47754), // Rule ID 51584 //
     /*   47663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47682 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47686 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47700 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47702 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47707 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47711 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47715 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47719 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47721 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47726 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47728 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   47731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47752 */     GIR_RootConstrainSelectedInstOperands,
     /*   47753 */     // GIR_Coverage, 51584,
     /*   47753 */     GIR_EraseRootFromParent_Done,
     /*   47754 */   // Label 777: @47754
     /*   47754 */   GIM_Try, /*On fail goto*//*Label 778*/ GIMT_Encode4(47850), // Rule ID 51701 //
     /*   47759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47796 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47798 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47803 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47807 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47811 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47815 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47817 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47822 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47824 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47848 */     GIR_RootConstrainSelectedInstOperands,
     /*   47849 */     // GIR_Coverage, 51701,
     /*   47849 */     GIR_EraseRootFromParent_Done,
     /*   47850 */   // Label 778: @47850
     /*   47850 */   GIM_Try, /*On fail goto*//*Label 779*/ GIMT_Encode4(47946), // Rule ID 51702 //
     /*   47855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47878 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47892 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47894 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47899 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47903 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47907 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47911 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47913 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47918 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47920 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47944 */     GIR_RootConstrainSelectedInstOperands,
     /*   47945 */     // GIR_Coverage, 51702,
     /*   47945 */     GIR_EraseRootFromParent_Done,
     /*   47946 */   // Label 779: @47946
     /*   47946 */   GIM_Try, /*On fail goto*//*Label 780*/ GIMT_Encode4(48042), // Rule ID 69765 //
     /*   47951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47970 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47974 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47988 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47990 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47995 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47999 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48003 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48007 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48009 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48014 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48016 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   48016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   48019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48040 */     GIR_RootConstrainSelectedInstOperands,
     /*   48041 */     // GIR_Coverage, 69765,
     /*   48041 */     GIR_EraseRootFromParent_Done,
     /*   48042 */   // Label 780: @48042
     /*   48042 */   GIM_Try, /*On fail goto*//*Label 781*/ GIMT_Encode4(48138), // Rule ID 69766 //
     /*   48047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48066 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48070 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48084 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48091 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48095 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48099 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48103 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48105 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48110 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48112 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   48112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   48115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48136 */     GIR_RootConstrainSelectedInstOperands,
     /*   48137 */     // GIR_Coverage, 69766,
     /*   48137 */     GIR_EraseRootFromParent_Done,
     /*   48138 */   // Label 781: @48138
     /*   48138 */   GIM_Try, /*On fail goto*//*Label 782*/ GIMT_Encode4(48234), // Rule ID 51641 //
     /*   48143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48180 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48187 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48191 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48195 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48199 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48201 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48206 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48208 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   48208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   48211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48232 */     GIR_RootConstrainSelectedInstOperands,
     /*   48233 */     // GIR_Coverage, 51641,
     /*   48233 */     GIR_EraseRootFromParent_Done,
     /*   48234 */   // Label 782: @48234
     /*   48234 */   GIM_Try, /*On fail goto*//*Label 783*/ GIMT_Encode4(48330), // Rule ID 51642 //
     /*   48239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48276 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48278 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48283 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48287 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48291 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48295 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48297 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48302 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48304 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   48304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   48307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48328 */     GIR_RootConstrainSelectedInstOperands,
     /*   48329 */     // GIR_Coverage, 51642,
     /*   48329 */     GIR_EraseRootFromParent_Done,
     /*   48330 */   // Label 783: @48330
     /*   48330 */   GIM_Try, /*On fail goto*//*Label 784*/ GIMT_Encode4(48419), // Rule ID 46415 //
     /*   48335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48350 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48369 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48371 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48376 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48378 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48417 */     GIR_RootConstrainSelectedInstOperands,
     /*   48418 */     // GIR_Coverage, 46415,
     /*   48418 */     GIR_EraseRootFromParent_Done,
     /*   48419 */   // Label 784: @48419
     /*   48419 */   GIM_Try, /*On fail goto*//*Label 785*/ GIMT_Encode4(48508), // Rule ID 46416 //
     /*   48424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48439 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48458 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48460 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48465 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48467 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48506 */     GIR_RootConstrainSelectedInstOperands,
     /*   48507 */     // GIR_Coverage, 46416,
     /*   48507 */     GIR_EraseRootFromParent_Done,
     /*   48508 */   // Label 785: @48508
     /*   48508 */   GIM_Try, /*On fail goto*//*Label 786*/ GIMT_Encode4(48597), // Rule ID 46179 //
     /*   48513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48524 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48528 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48535 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48539 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48543 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48547 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48549 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48554 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48556 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   48573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48595 */     GIR_RootConstrainSelectedInstOperands,
     /*   48596 */     // GIR_Coverage, 46179,
     /*   48596 */     GIR_EraseRootFromParent_Done,
     /*   48597 */   // Label 786: @48597
     /*   48597 */   GIM_Try, /*On fail goto*//*Label 787*/ GIMT_Encode4(48686), // Rule ID 46180 //
     /*   48602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48617 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48636 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48638 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48643 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48645 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   48662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48684 */     GIR_RootConstrainSelectedInstOperands,
     /*   48685 */     // GIR_Coverage, 46180,
     /*   48685 */     GIR_EraseRootFromParent_Done,
     /*   48686 */   // Label 787: @48686
     /*   48686 */   GIM_Try, /*On fail goto*//*Label 788*/ GIMT_Encode4(48775), // Rule ID 46295 //
     /*   48691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48706 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48721 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48725 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48727 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48734 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48773 */     GIR_RootConstrainSelectedInstOperands,
     /*   48774 */     // GIR_Coverage, 46295,
     /*   48774 */     GIR_EraseRootFromParent_Done,
     /*   48775 */   // Label 788: @48775
     /*   48775 */   GIM_Try, /*On fail goto*//*Label 789*/ GIMT_Encode4(48864), // Rule ID 46296 //
     /*   48780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48795 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48802 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48806 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48810 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48814 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48816 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48823 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48862 */     GIR_RootConstrainSelectedInstOperands,
     /*   48863 */     // GIR_Coverage, 46296,
     /*   48863 */     GIR_EraseRootFromParent_Done,
     /*   48864 */   // Label 789: @48864
     /*   48864 */   GIM_Try, /*On fail goto*//*Label 790*/ GIMT_Encode4(48932), // Rule ID 69401 //
     /*   48869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48884 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48888 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48906 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   48906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   48909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   48915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   48919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   48927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48930 */     GIR_RootConstrainSelectedInstOperands,
     /*   48931 */     // GIR_Coverage, 69401,
     /*   48931 */     GIR_EraseRootFromParent_Done,
     /*   48932 */   // Label 790: @48932
     /*   48932 */   GIM_Try, /*On fail goto*//*Label 791*/ GIMT_Encode4(49000), // Rule ID 69402 //
     /*   48937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48974 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   48974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   48977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   48983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   48987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   48995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48998 */     GIR_RootConstrainSelectedInstOperands,
     /*   48999 */     // GIR_Coverage, 69402,
     /*   48999 */     GIR_EraseRootFromParent_Done,
     /*   49000 */   // Label 791: @49000
     /*   49000 */   GIM_Try, /*On fail goto*//*Label 792*/ GIMT_Encode4(49055), // Rule ID 68411 //
     /*   49005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49020 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49033 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49053 */     GIR_RootConstrainSelectedInstOperands,
     /*   49054 */     // GIR_Coverage, 68411,
     /*   49054 */     GIR_EraseRootFromParent_Done,
     /*   49055 */   // Label 792: @49055
     /*   49055 */   GIM_Try, /*On fail goto*//*Label 793*/ GIMT_Encode4(49110), // Rule ID 68412 //
     /*   49060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49075 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49088 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49108 */     GIR_RootConstrainSelectedInstOperands,
     /*   49109 */     // GIR_Coverage, 68412,
     /*   49109 */     GIR_EraseRootFromParent_Done,
     /*   49110 */   // Label 793: @49110
     /*   49110 */   GIM_Try, /*On fail goto*//*Label 794*/ GIMT_Encode4(49165), // Rule ID 68231 //
     /*   49115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49130 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49143 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49163 */     GIR_RootConstrainSelectedInstOperands,
     /*   49164 */     // GIR_Coverage, 68231,
     /*   49164 */     GIR_EraseRootFromParent_Done,
     /*   49165 */   // Label 794: @49165
     /*   49165 */   GIM_Try, /*On fail goto*//*Label 795*/ GIMT_Encode4(49220), // Rule ID 68232 //
     /*   49170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49185 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49198 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49218 */     GIR_RootConstrainSelectedInstOperands,
     /*   49219 */     // GIR_Coverage, 68232,
     /*   49219 */     GIR_EraseRootFromParent_Done,
     /*   49220 */   // Label 795: @49220
     /*   49220 */   GIM_Try, /*On fail goto*//*Label 796*/ GIMT_Encode4(49275), // Rule ID 68321 //
     /*   49225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49253 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49273 */     GIR_RootConstrainSelectedInstOperands,
     /*   49274 */     // GIR_Coverage, 68321,
     /*   49274 */     GIR_EraseRootFromParent_Done,
     /*   49275 */   // Label 796: @49275
     /*   49275 */   GIM_Try, /*On fail goto*//*Label 797*/ GIMT_Encode4(49330), // Rule ID 68322 //
     /*   49280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49295 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49308 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49328 */     GIR_RootConstrainSelectedInstOperands,
     /*   49329 */     // GIR_Coverage, 68322,
     /*   49329 */     GIR_EraseRootFromParent_Done,
     /*   49330 */   // Label 797: @49330
     /*   49330 */   GIM_Try, /*On fail goto*//*Label 798*/ GIMT_Encode4(49398), // Rule ID 51457 //
     /*   49335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49354 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   49358 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49372 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   49372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   49375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49396 */     GIR_RootConstrainSelectedInstOperands,
     /*   49397 */     // GIR_Coverage, 51457,
     /*   49397 */     GIR_EraseRootFromParent_Done,
     /*   49398 */   // Label 798: @49398
     /*   49398 */   GIM_Try, /*On fail goto*//*Label 799*/ GIMT_Encode4(49466), // Rule ID 51458 //
     /*   49403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   49426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49440 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   49440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   49443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49464 */     GIR_RootConstrainSelectedInstOperands,
     /*   49465 */     // GIR_Coverage, 51458,
     /*   49465 */     GIR_EraseRootFromParent_Done,
     /*   49466 */   // Label 799: @49466
     /*   49466 */   GIM_Try, /*On fail goto*//*Label 800*/ GIMT_Encode4(49521), // Rule ID 46475 //
     /*   49471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49490 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49499 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49519 */     GIR_RootConstrainSelectedInstOperands,
     /*   49520 */     // GIR_Coverage, 46475,
     /*   49520 */     GIR_EraseRootFromParent_Done,
     /*   49521 */   // Label 800: @49521
     /*   49521 */   GIM_Try, /*On fail goto*//*Label 801*/ GIMT_Encode4(49576), // Rule ID 46476 //
     /*   49526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49545 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49554 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49574 */     GIR_RootConstrainSelectedInstOperands,
     /*   49575 */     // GIR_Coverage, 46476,
     /*   49575 */     GIR_EraseRootFromParent_Done,
     /*   49576 */   // Label 801: @49576
     /*   49576 */   GIM_Try, /*On fail goto*//*Label 802*/ GIMT_Encode4(49631), // Rule ID 46235 //
     /*   49581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49600 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49609 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49629 */     GIR_RootConstrainSelectedInstOperands,
     /*   49630 */     // GIR_Coverage, 46235,
     /*   49630 */     GIR_EraseRootFromParent_Done,
     /*   49631 */   // Label 802: @49631
     /*   49631 */   GIM_Try, /*On fail goto*//*Label 803*/ GIMT_Encode4(49686), // Rule ID 46236 //
     /*   49636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49655 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49664 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49684 */     GIR_RootConstrainSelectedInstOperands,
     /*   49685 */     // GIR_Coverage, 46236,
     /*   49685 */     GIR_EraseRootFromParent_Done,
     /*   49686 */   // Label 803: @49686
     /*   49686 */   GIM_Try, /*On fail goto*//*Label 804*/ GIMT_Encode4(49741), // Rule ID 46355 //
     /*   49691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49719 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49739 */     GIR_RootConstrainSelectedInstOperands,
     /*   49740 */     // GIR_Coverage, 46355,
     /*   49740 */     GIR_EraseRootFromParent_Done,
     /*   49741 */   // Label 804: @49741
     /*   49741 */   GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(49796), // Rule ID 46356 //
     /*   49746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49765 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49774 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49794 */     GIR_RootConstrainSelectedInstOperands,
     /*   49795 */     // GIR_Coverage, 46356,
     /*   49795 */     GIR_EraseRootFromParent_Done,
     /*   49796 */   // Label 805: @49796
     /*   49796 */   GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(49849), // Rule ID 45873 //
     /*   49801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49812 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   49812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   49815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   49829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   49836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49847 */     GIR_RootConstrainSelectedInstOperands,
     /*   49848 */     // GIR_Coverage, 45873,
     /*   49848 */     GIR_EraseRootFromParent_Done,
     /*   49849 */   // Label 806: @49849
     /*   49849 */   GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(49902), // Rule ID 45874 //
     /*   49854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49865 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   49865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   49868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   49882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   49889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49900 */     GIR_RootConstrainSelectedInstOperands,
     /*   49901 */     // GIR_Coverage, 45874,
     /*   49901 */     GIR_EraseRootFromParent_Done,
     /*   49902 */   // Label 807: @49902
     /*   49902 */   GIM_Reject,
     /*   49903 */ // Label 767: @49903
     /*   49903 */ GIM_Reject,
     /*   49904 */ // Label 142: @49904
     /*   49904 */ GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(53028),
     /*   49909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   49912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   49915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49919 */   GIM_Try, /*On fail goto*//*Label 809*/ GIMT_Encode4(50015), // Rule ID 69527 //
     /*   49924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   49939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   49943 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49945 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   49949 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49953 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49957 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49959 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49964 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   49968 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49972 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49976 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   49978 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49987 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   49989 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   49989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   49992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   49996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50013 */     GIR_RootConstrainSelectedInstOperands,
     /*   50014 */     // GIR_Coverage, 69527,
     /*   50014 */     GIR_EraseRootFromParent_Done,
     /*   50015 */   // Label 809: @50015
     /*   50015 */   GIM_Try, /*On fail goto*//*Label 810*/ GIMT_Encode4(50111), // Rule ID 69528 //
     /*   50020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50039 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50053 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50055 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50060 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50064 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50068 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50072 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50074 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50083 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50085 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   50088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50109 */     GIR_RootConstrainSelectedInstOperands,
     /*   50110 */     // GIR_Coverage, 69528,
     /*   50110 */     GIR_EraseRootFromParent_Done,
     /*   50111 */   // Label 810: @50111
     /*   50111 */   GIM_Try, /*On fail goto*//*Label 811*/ GIMT_Encode4(50207), // Rule ID 69803 //
     /*   50116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50135 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50149 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50151 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50156 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50160 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50164 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50168 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50170 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50179 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50181 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50205 */     GIR_RootConstrainSelectedInstOperands,
     /*   50206 */     // GIR_Coverage, 69803,
     /*   50206 */     GIR_EraseRootFromParent_Done,
     /*   50207 */   // Label 811: @50207
     /*   50207 */   GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(50303), // Rule ID 69804 //
     /*   50212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50231 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50245 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50247 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50252 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50256 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50260 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50264 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50266 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50275 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50277 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50301 */     GIR_RootConstrainSelectedInstOperands,
     /*   50302 */     // GIR_Coverage, 69804,
     /*   50302 */     GIR_EraseRootFromParent_Done,
     /*   50303 */   // Label 812: @50303
     /*   50303 */   GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(50399), // Rule ID 69805 //
     /*   50308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50323 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50327 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50341 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50343 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50348 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50352 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50356 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50360 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50362 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50371 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50373 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   50384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   50388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50397 */     GIR_RootConstrainSelectedInstOperands,
     /*   50398 */     // GIR_Coverage, 69805,
     /*   50398 */     GIR_EraseRootFromParent_Done,
     /*   50399 */   // Label 813: @50399
     /*   50399 */   GIM_Try, /*On fail goto*//*Label 814*/ GIMT_Encode4(50495), // Rule ID 69806 //
     /*   50404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50419 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50423 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50437 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50444 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50448 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50452 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50456 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50458 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50467 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50469 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   50480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   50484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50493 */     GIR_RootConstrainSelectedInstOperands,
     /*   50494 */     // GIR_Coverage, 69806,
     /*   50494 */     GIR_EraseRootFromParent_Done,
     /*   50495 */   // Label 814: @50495
     /*   50495 */   GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(50591), // Rule ID 69641 //
     /*   50500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50515 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50519 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50529 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50533 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50535 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50540 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50544 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50548 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50552 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50554 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50563 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50565 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   50568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50589 */     GIR_RootConstrainSelectedInstOperands,
     /*   50590 */     // GIR_Coverage, 69641,
     /*   50590 */     GIR_EraseRootFromParent_Done,
     /*   50591 */   // Label 815: @50591
     /*   50591 */   GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(50687), // Rule ID 69642 //
     /*   50596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50611 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50615 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50629 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50631 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50636 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50640 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50644 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50648 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50650 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50659 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50661 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   50664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50685 */     GIR_RootConstrainSelectedInstOperands,
     /*   50686 */     // GIR_Coverage, 69642,
     /*   50686 */     GIR_EraseRootFromParent_Done,
     /*   50687 */   // Label 816: @50687
     /*   50687 */   GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(50783), // Rule ID 51595 //
     /*   50692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50729 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50736 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50740 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50744 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50748 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50750 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50755 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50757 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   50760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   50764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50781 */     GIR_RootConstrainSelectedInstOperands,
     /*   50782 */     // GIR_Coverage, 51595,
     /*   50782 */     GIR_EraseRootFromParent_Done,
     /*   50783 */   // Label 817: @50783
     /*   50783 */   GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(50879), // Rule ID 51596 //
     /*   50788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50807 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50825 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50832 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50836 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50840 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50844 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50846 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50851 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50853 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   50856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   50860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50877 */     GIR_RootConstrainSelectedInstOperands,
     /*   50878 */     // GIR_Coverage, 51596,
     /*   50878 */     GIR_EraseRootFromParent_Done,
     /*   50879 */   // Label 818: @50879
     /*   50879 */   GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(50975), // Rule ID 51713 //
     /*   50884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50907 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50921 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50923 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50928 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50932 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50936 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50940 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50942 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50947 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50949 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   50956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50973 */     GIR_RootConstrainSelectedInstOperands,
     /*   50974 */     // GIR_Coverage, 51713,
     /*   50974 */     GIR_EraseRootFromParent_Done,
     /*   50975 */   // Label 819: @50975
     /*   50975 */   GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(51071), // Rule ID 51714 //
     /*   50980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50999 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51003 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51013 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51017 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51019 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51024 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51028 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51032 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51036 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51038 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51043 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51045 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   51045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   51048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51069 */     GIR_RootConstrainSelectedInstOperands,
     /*   51070 */     // GIR_Coverage, 51714,
     /*   51070 */     GIR_EraseRootFromParent_Done,
     /*   51071 */   // Label 820: @51071
     /*   51071 */   GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(51167), // Rule ID 69801 //
     /*   51076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51099 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51113 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51115 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51120 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51124 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51128 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51132 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51134 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51139 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51141 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   51141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   51144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51165 */     GIR_RootConstrainSelectedInstOperands,
     /*   51166 */     // GIR_Coverage, 69801,
     /*   51166 */     GIR_EraseRootFromParent_Done,
     /*   51167 */   // Label 821: @51167
     /*   51167 */   GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(51263), // Rule ID 69802 //
     /*   51172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51191 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51195 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51209 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51211 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51216 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51220 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51224 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51228 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51230 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51235 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51237 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   51237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   51240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51261 */     GIR_RootConstrainSelectedInstOperands,
     /*   51262 */     // GIR_Coverage, 69802,
     /*   51262 */     GIR_EraseRootFromParent_Done,
     /*   51263 */   // Label 822: @51263
     /*   51263 */   GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(51359), // Rule ID 51653 //
     /*   51268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51291 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51305 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51307 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51312 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51316 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51320 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51324 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51326 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51331 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51333 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   51333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   51336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51357 */     GIR_RootConstrainSelectedInstOperands,
     /*   51358 */     // GIR_Coverage, 51653,
     /*   51358 */     GIR_EraseRootFromParent_Done,
     /*   51359 */   // Label 823: @51359
     /*   51359 */   GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(51455), // Rule ID 51654 //
     /*   51364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51383 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51387 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51401 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51403 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51408 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51412 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51416 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51420 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51422 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51427 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51429 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   51429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   51432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51453 */     GIR_RootConstrainSelectedInstOperands,
     /*   51454 */     // GIR_Coverage, 51654,
     /*   51454 */     GIR_EraseRootFromParent_Done,
     /*   51455 */   // Label 824: @51455
     /*   51455 */   GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(51544), // Rule ID 46439 //
     /*   51460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51475 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51494 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51501 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51503 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51542 */     GIR_RootConstrainSelectedInstOperands,
     /*   51543 */     // GIR_Coverage, 46439,
     /*   51543 */     GIR_EraseRootFromParent_Done,
     /*   51544 */   // Label 825: @51544
     /*   51544 */   GIM_Try, /*On fail goto*//*Label 826*/ GIMT_Encode4(51633), // Rule ID 46440 //
     /*   51549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51564 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51583 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51585 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51590 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51592 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51631 */     GIR_RootConstrainSelectedInstOperands,
     /*   51632 */     // GIR_Coverage, 46440,
     /*   51632 */     GIR_EraseRootFromParent_Done,
     /*   51633 */   // Label 826: @51633
     /*   51633 */   GIM_Try, /*On fail goto*//*Label 827*/ GIMT_Encode4(51722), // Rule ID 46203 //
     /*   51638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51672 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51674 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51681 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   51698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51720 */     GIR_RootConstrainSelectedInstOperands,
     /*   51721 */     // GIR_Coverage, 46203,
     /*   51721 */     GIR_EraseRootFromParent_Done,
     /*   51722 */   // Label 827: @51722
     /*   51722 */   GIM_Try, /*On fail goto*//*Label 828*/ GIMT_Encode4(51811), // Rule ID 46204 //
     /*   51727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51742 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51761 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51763 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51768 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51770 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   51787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51809 */     GIR_RootConstrainSelectedInstOperands,
     /*   51810 */     // GIR_Coverage, 46204,
     /*   51810 */     GIR_EraseRootFromParent_Done,
     /*   51811 */   // Label 828: @51811
     /*   51811 */   GIM_Try, /*On fail goto*//*Label 829*/ GIMT_Encode4(51900), // Rule ID 46319 //
     /*   51816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51831 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51846 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51850 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51852 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51859 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51898 */     GIR_RootConstrainSelectedInstOperands,
     /*   51899 */     // GIR_Coverage, 46319,
     /*   51899 */     GIR_EraseRootFromParent_Done,
     /*   51900 */   // Label 829: @51900
     /*   51900 */   GIM_Try, /*On fail goto*//*Label 830*/ GIMT_Encode4(51989), // Rule ID 46320 //
     /*   51905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51920 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51939 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51948 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51987 */     GIR_RootConstrainSelectedInstOperands,
     /*   51988 */     // GIR_Coverage, 46320,
     /*   51988 */     GIR_EraseRootFromParent_Done,
     /*   51989 */   // Label 830: @51989
     /*   51989 */   GIM_Try, /*On fail goto*//*Label 831*/ GIMT_Encode4(52057), // Rule ID 69433 //
     /*   51994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52009 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52013 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52031 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   52031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52055 */     GIR_RootConstrainSelectedInstOperands,
     /*   52056 */     // GIR_Coverage, 69433,
     /*   52056 */     GIR_EraseRootFromParent_Done,
     /*   52057 */   // Label 831: @52057
     /*   52057 */   GIM_Try, /*On fail goto*//*Label 832*/ GIMT_Encode4(52125), // Rule ID 69434 //
     /*   52062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52077 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52081 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52099 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   52099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52123 */     GIR_RootConstrainSelectedInstOperands,
     /*   52124 */     // GIR_Coverage, 69434,
     /*   52124 */     GIR_EraseRootFromParent_Done,
     /*   52125 */   // Label 832: @52125
     /*   52125 */   GIM_Try, /*On fail goto*//*Label 833*/ GIMT_Encode4(52180), // Rule ID 68435 //
     /*   52130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52145 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52158 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52178 */     GIR_RootConstrainSelectedInstOperands,
     /*   52179 */     // GIR_Coverage, 68435,
     /*   52179 */     GIR_EraseRootFromParent_Done,
     /*   52180 */   // Label 833: @52180
     /*   52180 */   GIM_Try, /*On fail goto*//*Label 834*/ GIMT_Encode4(52235), // Rule ID 68436 //
     /*   52185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52200 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52213 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52233 */     GIR_RootConstrainSelectedInstOperands,
     /*   52234 */     // GIR_Coverage, 68436,
     /*   52234 */     GIR_EraseRootFromParent_Done,
     /*   52235 */   // Label 834: @52235
     /*   52235 */   GIM_Try, /*On fail goto*//*Label 835*/ GIMT_Encode4(52290), // Rule ID 68255 //
     /*   52240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52268 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52288 */     GIR_RootConstrainSelectedInstOperands,
     /*   52289 */     // GIR_Coverage, 68255,
     /*   52289 */     GIR_EraseRootFromParent_Done,
     /*   52290 */   // Label 835: @52290
     /*   52290 */   GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(52345), // Rule ID 68256 //
     /*   52295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52310 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52323 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52343 */     GIR_RootConstrainSelectedInstOperands,
     /*   52344 */     // GIR_Coverage, 68256,
     /*   52344 */     GIR_EraseRootFromParent_Done,
     /*   52345 */   // Label 836: @52345
     /*   52345 */   GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(52400), // Rule ID 68345 //
     /*   52350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52365 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52378 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52398 */     GIR_RootConstrainSelectedInstOperands,
     /*   52399 */     // GIR_Coverage, 68345,
     /*   52399 */     GIR_EraseRootFromParent_Done,
     /*   52400 */   // Label 837: @52400
     /*   52400 */   GIM_Try, /*On fail goto*//*Label 838*/ GIMT_Encode4(52455), // Rule ID 68346 //
     /*   52405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52420 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52433 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52453 */     GIR_RootConstrainSelectedInstOperands,
     /*   52454 */     // GIR_Coverage, 68346,
     /*   52454 */     GIR_EraseRootFromParent_Done,
     /*   52455 */   // Label 838: @52455
     /*   52455 */   GIM_Try, /*On fail goto*//*Label 839*/ GIMT_Encode4(52523), // Rule ID 51473 //
     /*   52460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52483 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52497 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   52497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52521 */     GIR_RootConstrainSelectedInstOperands,
     /*   52522 */     // GIR_Coverage, 51473,
     /*   52522 */     GIR_EraseRootFromParent_Done,
     /*   52523 */   // Label 839: @52523
     /*   52523 */   GIM_Try, /*On fail goto*//*Label 840*/ GIMT_Encode4(52591), // Rule ID 51474 //
     /*   52528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52547 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52551 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52565 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   52565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52589 */     GIR_RootConstrainSelectedInstOperands,
     /*   52590 */     // GIR_Coverage, 51474,
     /*   52590 */     GIR_EraseRootFromParent_Done,
     /*   52591 */   // Label 840: @52591
     /*   52591 */   GIM_Try, /*On fail goto*//*Label 841*/ GIMT_Encode4(52646), // Rule ID 46499 //
     /*   52596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52615 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52617 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52624 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52644 */     GIR_RootConstrainSelectedInstOperands,
     /*   52645 */     // GIR_Coverage, 46499,
     /*   52645 */     GIR_EraseRootFromParent_Done,
     /*   52646 */   // Label 841: @52646
     /*   52646 */   GIM_Try, /*On fail goto*//*Label 842*/ GIMT_Encode4(52701), // Rule ID 46500 //
     /*   52651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52670 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52679 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52699 */     GIR_RootConstrainSelectedInstOperands,
     /*   52700 */     // GIR_Coverage, 46500,
     /*   52700 */     GIR_EraseRootFromParent_Done,
     /*   52701 */   // Label 842: @52701
     /*   52701 */   GIM_Try, /*On fail goto*//*Label 843*/ GIMT_Encode4(52756), // Rule ID 46259 //
     /*   52706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52725 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52734 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52754 */     GIR_RootConstrainSelectedInstOperands,
     /*   52755 */     // GIR_Coverage, 46259,
     /*   52755 */     GIR_EraseRootFromParent_Done,
     /*   52756 */   // Label 843: @52756
     /*   52756 */   GIM_Try, /*On fail goto*//*Label 844*/ GIMT_Encode4(52811), // Rule ID 46260 //
     /*   52761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52780 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52789 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52809 */     GIR_RootConstrainSelectedInstOperands,
     /*   52810 */     // GIR_Coverage, 46260,
     /*   52810 */     GIR_EraseRootFromParent_Done,
     /*   52811 */   // Label 844: @52811
     /*   52811 */   GIM_Try, /*On fail goto*//*Label 845*/ GIMT_Encode4(52866), // Rule ID 46379 //
     /*   52816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52835 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52844 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52864 */     GIR_RootConstrainSelectedInstOperands,
     /*   52865 */     // GIR_Coverage, 46379,
     /*   52865 */     GIR_EraseRootFromParent_Done,
     /*   52866 */   // Label 845: @52866
     /*   52866 */   GIM_Try, /*On fail goto*//*Label 846*/ GIMT_Encode4(52921), // Rule ID 46380 //
     /*   52871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52890 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52899 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52919 */     GIR_RootConstrainSelectedInstOperands,
     /*   52920 */     // GIR_Coverage, 46380,
     /*   52920 */     GIR_EraseRootFromParent_Done,
     /*   52921 */   // Label 846: @52921
     /*   52921 */   GIM_Try, /*On fail goto*//*Label 847*/ GIMT_Encode4(52974), // Rule ID 45889 //
     /*   52926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52937 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   52937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   52940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   52954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   52961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52972 */     GIR_RootConstrainSelectedInstOperands,
     /*   52973 */     // GIR_Coverage, 45889,
     /*   52973 */     GIR_EraseRootFromParent_Done,
     /*   52974 */   // Label 847: @52974
     /*   52974 */   GIM_Try, /*On fail goto*//*Label 848*/ GIMT_Encode4(53027), // Rule ID 45890 //
     /*   52979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52990 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   52990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   52993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   53007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   53022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53025 */     GIR_RootConstrainSelectedInstOperands,
     /*   53026 */     // GIR_Coverage, 45890,
     /*   53026 */     GIR_EraseRootFromParent_Done,
     /*   53027 */   // Label 848: @53027
     /*   53027 */   GIM_Reject,
     /*   53028 */ // Label 808: @53028
     /*   53028 */ GIM_Reject,
     /*   53029 */ // Label 143: @53029
     /*   53029 */ GIM_Try, /*On fail goto*//*Label 849*/ GIMT_Encode4(53423),
     /*   53034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53044 */   GIM_Try, /*On fail goto*//*Label 850*/ GIMT_Encode4(53112), // Rule ID 69377 //
     /*   53049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53086 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53110 */     GIR_RootConstrainSelectedInstOperands,
     /*   53111 */     // GIR_Coverage, 69377,
     /*   53111 */     GIR_EraseRootFromParent_Done,
     /*   53112 */   // Label 850: @53112
     /*   53112 */   GIM_Try, /*On fail goto*//*Label 851*/ GIMT_Encode4(53180), // Rule ID 69378 //
     /*   53117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53154 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53178 */     GIR_RootConstrainSelectedInstOperands,
     /*   53179 */     // GIR_Coverage, 69378,
     /*   53179 */     GIR_EraseRootFromParent_Done,
     /*   53180 */   // Label 851: @53180
     /*   53180 */   GIM_Try, /*On fail goto*//*Label 852*/ GIMT_Encode4(53248), // Rule ID 51445 //
     /*   53185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53208 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53222 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53246 */     GIR_RootConstrainSelectedInstOperands,
     /*   53247 */     // GIR_Coverage, 51445,
     /*   53247 */     GIR_EraseRootFromParent_Done,
     /*   53248 */   // Label 852: @53248
     /*   53248 */   GIM_Try, /*On fail goto*//*Label 853*/ GIMT_Encode4(53316), // Rule ID 51446 //
     /*   53253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53272 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53276 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53290 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53314 */     GIR_RootConstrainSelectedInstOperands,
     /*   53315 */     // GIR_Coverage, 51446,
     /*   53315 */     GIR_EraseRootFromParent_Done,
     /*   53316 */   // Label 853: @53316
     /*   53316 */   GIM_Try, /*On fail goto*//*Label 854*/ GIMT_Encode4(53369), // Rule ID 45861 //
     /*   53321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53332 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   53332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   53335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   53349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53367 */     GIR_RootConstrainSelectedInstOperands,
     /*   53368 */     // GIR_Coverage, 45861,
     /*   53368 */     GIR_EraseRootFromParent_Done,
     /*   53369 */   // Label 854: @53369
     /*   53369 */   GIM_Try, /*On fail goto*//*Label 855*/ GIMT_Encode4(53422), // Rule ID 45862 //
     /*   53374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53385 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   53385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   53388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   53402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53420 */     GIR_RootConstrainSelectedInstOperands,
     /*   53421 */     // GIR_Coverage, 45862,
     /*   53421 */     GIR_EraseRootFromParent_Done,
     /*   53422 */   // Label 855: @53422
     /*   53422 */   GIM_Reject,
     /*   53423 */ // Label 849: @53423
     /*   53423 */ GIM_Reject,
     /*   53424 */ // Label 144: @53424
     /*   53424 */ GIM_Try, /*On fail goto*//*Label 856*/ GIMT_Encode4(56548),
     /*   53429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53439 */   GIM_Try, /*On fail goto*//*Label 857*/ GIMT_Encode4(53535), // Rule ID 69517 //
     /*   53444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53459 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53463 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53477 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53479 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53484 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53488 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53492 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53496 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53498 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53507 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53509 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   53512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53533 */     GIR_RootConstrainSelectedInstOperands,
     /*   53534 */     // GIR_Coverage, 69517,
     /*   53534 */     GIR_EraseRootFromParent_Done,
     /*   53535 */   // Label 857: @53535
     /*   53535 */   GIM_Try, /*On fail goto*//*Label 858*/ GIMT_Encode4(53631), // Rule ID 69518 //
     /*   53540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53555 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53559 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53573 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53575 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53580 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53584 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53588 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53592 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53594 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53603 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53605 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   53608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53629 */     GIR_RootConstrainSelectedInstOperands,
     /*   53630 */     // GIR_Coverage, 69518,
     /*   53630 */     GIR_EraseRootFromParent_Done,
     /*   53631 */   // Label 858: @53631
     /*   53631 */   GIM_Try, /*On fail goto*//*Label 859*/ GIMT_Encode4(53727), // Rule ID 69773 //
     /*   53636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53651 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53655 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53669 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53676 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53680 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53684 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53688 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53690 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53699 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53701 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53725 */     GIR_RootConstrainSelectedInstOperands,
     /*   53726 */     // GIR_Coverage, 69773,
     /*   53726 */     GIR_EraseRootFromParent_Done,
     /*   53727 */   // Label 859: @53727
     /*   53727 */   GIM_Try, /*On fail goto*//*Label 860*/ GIMT_Encode4(53823), // Rule ID 69774 //
     /*   53732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53765 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53767 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53772 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53776 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53780 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53784 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53786 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53795 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53797 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53821 */     GIR_RootConstrainSelectedInstOperands,
     /*   53822 */     // GIR_Coverage, 69774,
     /*   53822 */     GIR_EraseRootFromParent_Done,
     /*   53823 */   // Label 860: @53823
     /*   53823 */   GIM_Try, /*On fail goto*//*Label 861*/ GIMT_Encode4(53919), // Rule ID 69775 //
     /*   53828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53861 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53868 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53872 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53876 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53880 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53882 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53891 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53893 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   53904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   53908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53917 */     GIR_RootConstrainSelectedInstOperands,
     /*   53918 */     // GIR_Coverage, 69775,
     /*   53918 */     GIR_EraseRootFromParent_Done,
     /*   53919 */   // Label 861: @53919
     /*   53919 */   GIM_Try, /*On fail goto*//*Label 862*/ GIMT_Encode4(54015), // Rule ID 69776 //
     /*   53924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53943 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53945 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53949 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53953 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53957 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53959 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53964 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53968 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53972 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53976 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53978 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53987 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53989 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54013 */     GIR_RootConstrainSelectedInstOperands,
     /*   54014 */     // GIR_Coverage, 69776,
     /*   54014 */     GIR_EraseRootFromParent_Done,
     /*   54015 */   // Label 862: @54015
     /*   54015 */   GIM_Try, /*On fail goto*//*Label 863*/ GIMT_Encode4(54111), // Rule ID 69631 //
     /*   54020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54039 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54053 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54055 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54060 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54064 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54068 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54072 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54074 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54083 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54085 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54109 */     GIR_RootConstrainSelectedInstOperands,
     /*   54110 */     // GIR_Coverage, 69631,
     /*   54110 */     GIR_EraseRootFromParent_Done,
     /*   54111 */   // Label 863: @54111
     /*   54111 */   GIM_Try, /*On fail goto*//*Label 864*/ GIMT_Encode4(54207), // Rule ID 69632 //
     /*   54116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54135 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54149 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54151 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54156 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54160 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54164 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54168 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54170 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54179 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54181 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54205 */     GIR_RootConstrainSelectedInstOperands,
     /*   54206 */     // GIR_Coverage, 69632,
     /*   54206 */     GIR_EraseRootFromParent_Done,
     /*   54207 */   // Label 864: @54207
     /*   54207 */   GIM_Try, /*On fail goto*//*Label 865*/ GIMT_Encode4(54303), // Rule ID 51585 //
     /*   54212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54231 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54245 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54249 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54251 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54256 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54260 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54264 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54268 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54270 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54275 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54277 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54301 */     GIR_RootConstrainSelectedInstOperands,
     /*   54302 */     // GIR_Coverage, 51585,
     /*   54302 */     GIR_EraseRootFromParent_Done,
     /*   54303 */   // Label 865: @54303
     /*   54303 */   GIM_Try, /*On fail goto*//*Label 866*/ GIMT_Encode4(54399), // Rule ID 51586 //
     /*   54308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54331 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54345 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54347 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54352 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54356 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54360 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54364 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54366 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54371 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54373 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54397 */     GIR_RootConstrainSelectedInstOperands,
     /*   54398 */     // GIR_Coverage, 51586,
     /*   54398 */     GIR_EraseRootFromParent_Done,
     /*   54399 */   // Label 866: @54399
     /*   54399 */   GIM_Try, /*On fail goto*//*Label 867*/ GIMT_Encode4(54495), // Rule ID 51703 //
     /*   54404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54423 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54427 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54441 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54443 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54448 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54452 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54456 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54460 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54462 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54467 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54469 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54493 */     GIR_RootConstrainSelectedInstOperands,
     /*   54494 */     // GIR_Coverage, 51703,
     /*   54494 */     GIR_EraseRootFromParent_Done,
     /*   54495 */   // Label 867: @54495
     /*   54495 */   GIM_Try, /*On fail goto*//*Label 868*/ GIMT_Encode4(54591), // Rule ID 51704 //
     /*   54500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54519 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54523 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54525 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54529 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54533 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54537 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54539 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54544 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54548 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54552 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54556 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54558 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54563 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54565 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54589 */     GIR_RootConstrainSelectedInstOperands,
     /*   54590 */     // GIR_Coverage, 51704,
     /*   54590 */     GIR_EraseRootFromParent_Done,
     /*   54591 */   // Label 868: @54591
     /*   54591 */   GIM_Try, /*On fail goto*//*Label 869*/ GIMT_Encode4(54687), // Rule ID 69771 //
     /*   54596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54615 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54619 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54633 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54635 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54640 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54644 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54648 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54652 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54654 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54659 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54661 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54685 */     GIR_RootConstrainSelectedInstOperands,
     /*   54686 */     // GIR_Coverage, 69771,
     /*   54686 */     GIR_EraseRootFromParent_Done,
     /*   54687 */   // Label 869: @54687
     /*   54687 */   GIM_Try, /*On fail goto*//*Label 870*/ GIMT_Encode4(54783), // Rule ID 69772 //
     /*   54692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54729 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54736 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54740 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54744 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54748 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54750 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54755 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54757 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54781 */     GIR_RootConstrainSelectedInstOperands,
     /*   54782 */     // GIR_Coverage, 69772,
     /*   54782 */     GIR_EraseRootFromParent_Done,
     /*   54783 */   // Label 870: @54783
     /*   54783 */   GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(54879), // Rule ID 51643 //
     /*   54788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54807 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54825 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54832 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54836 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54840 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54844 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54846 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54851 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54853 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54877 */     GIR_RootConstrainSelectedInstOperands,
     /*   54878 */     // GIR_Coverage, 51643,
     /*   54878 */     GIR_EraseRootFromParent_Done,
     /*   54879 */   // Label 871: @54879
     /*   54879 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(54975), // Rule ID 51644 //
     /*   54884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54907 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54921 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54923 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54928 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54932 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54936 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54940 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54942 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54947 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54949 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54973 */     GIR_RootConstrainSelectedInstOperands,
     /*   54974 */     // GIR_Coverage, 51644,
     /*   54974 */     GIR_EraseRootFromParent_Done,
     /*   54975 */   // Label 872: @54975
     /*   54975 */   GIM_Try, /*On fail goto*//*Label 873*/ GIMT_Encode4(55064), // Rule ID 46419 //
     /*   54980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   54991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54995 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55014 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55016 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55021 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55023 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   55023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55062 */     GIR_RootConstrainSelectedInstOperands,
     /*   55063 */     // GIR_Coverage, 46419,
     /*   55063 */     GIR_EraseRootFromParent_Done,
     /*   55064 */   // Label 873: @55064
     /*   55064 */   GIM_Try, /*On fail goto*//*Label 874*/ GIMT_Encode4(55153), // Rule ID 46420 //
     /*   55069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55084 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55103 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55105 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55112 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55151 */     GIR_RootConstrainSelectedInstOperands,
     /*   55152 */     // GIR_Coverage, 46420,
     /*   55152 */     GIR_EraseRootFromParent_Done,
     /*   55153 */   // Label 874: @55153
     /*   55153 */   GIM_Try, /*On fail goto*//*Label 875*/ GIMT_Encode4(55242), // Rule ID 46183 //
     /*   55158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55173 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55175 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55180 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55184 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55188 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55192 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55194 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55199 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55201 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   55201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   55218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55240 */     GIR_RootConstrainSelectedInstOperands,
     /*   55241 */     // GIR_Coverage, 46183,
     /*   55241 */     GIR_EraseRootFromParent_Done,
     /*   55242 */   // Label 875: @55242
     /*   55242 */   GIM_Try, /*On fail goto*//*Label 876*/ GIMT_Encode4(55331), // Rule ID 46184 //
     /*   55247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55269 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55273 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55277 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55281 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55283 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55288 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55290 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   55307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55329 */     GIR_RootConstrainSelectedInstOperands,
     /*   55330 */     // GIR_Coverage, 46184,
     /*   55330 */     GIR_EraseRootFromParent_Done,
     /*   55331 */   // Label 876: @55331
     /*   55331 */   GIM_Try, /*On fail goto*//*Label 877*/ GIMT_Encode4(55420), // Rule ID 46299 //
     /*   55336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55347 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55351 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55370 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55372 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55377 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55379 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   55379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55418 */     GIR_RootConstrainSelectedInstOperands,
     /*   55419 */     // GIR_Coverage, 46299,
     /*   55419 */     GIR_EraseRootFromParent_Done,
     /*   55420 */   // Label 877: @55420
     /*   55420 */   GIM_Try, /*On fail goto*//*Label 878*/ GIMT_Encode4(55509), // Rule ID 46300 //
     /*   55425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55440 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55442 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55459 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55461 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55468 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55507 */     GIR_RootConstrainSelectedInstOperands,
     /*   55508 */     // GIR_Coverage, 46300,
     /*   55508 */     GIR_EraseRootFromParent_Done,
     /*   55509 */   // Label 878: @55509
     /*   55509 */   GIM_Try, /*On fail goto*//*Label 879*/ GIMT_Encode4(55577), // Rule ID 69409 //
     /*   55514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   55529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   55533 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55551 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   55554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   55560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55575 */     GIR_RootConstrainSelectedInstOperands,
     /*   55576 */     // GIR_Coverage, 69409,
     /*   55576 */     GIR_EraseRootFromParent_Done,
     /*   55577 */   // Label 879: @55577
     /*   55577 */   GIM_Try, /*On fail goto*//*Label 880*/ GIMT_Encode4(55645), // Rule ID 69410 //
     /*   55582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   55597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   55601 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55619 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   55619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   55622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   55628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55643 */     GIR_RootConstrainSelectedInstOperands,
     /*   55644 */     // GIR_Coverage, 69410,
     /*   55644 */     GIR_EraseRootFromParent_Done,
     /*   55645 */   // Label 880: @55645
     /*   55645 */   GIM_Try, /*On fail goto*//*Label 881*/ GIMT_Encode4(55700), // Rule ID 68415 //
     /*   55650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55665 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55678 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   55678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55698 */     GIR_RootConstrainSelectedInstOperands,
     /*   55699 */     // GIR_Coverage, 68415,
     /*   55699 */     GIR_EraseRootFromParent_Done,
     /*   55700 */   // Label 881: @55700
     /*   55700 */   GIM_Try, /*On fail goto*//*Label 882*/ GIMT_Encode4(55755), // Rule ID 68416 //
     /*   55705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55733 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   55733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55753 */     GIR_RootConstrainSelectedInstOperands,
     /*   55754 */     // GIR_Coverage, 68416,
     /*   55754 */     GIR_EraseRootFromParent_Done,
     /*   55755 */   // Label 882: @55755
     /*   55755 */   GIM_Try, /*On fail goto*//*Label 883*/ GIMT_Encode4(55810), // Rule ID 68235 //
     /*   55760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55775 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55788 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   55788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   55791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55808 */     GIR_RootConstrainSelectedInstOperands,
     /*   55809 */     // GIR_Coverage, 68235,
     /*   55809 */     GIR_EraseRootFromParent_Done,
     /*   55810 */   // Label 883: @55810
     /*   55810 */   GIM_Try, /*On fail goto*//*Label 884*/ GIMT_Encode4(55865), // Rule ID 68236 //
     /*   55815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55843 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   55843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   55846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55863 */     GIR_RootConstrainSelectedInstOperands,
     /*   55864 */     // GIR_Coverage, 68236,
     /*   55864 */     GIR_EraseRootFromParent_Done,
     /*   55865 */   // Label 884: @55865
     /*   55865 */   GIM_Try, /*On fail goto*//*Label 885*/ GIMT_Encode4(55920), // Rule ID 68325 //
     /*   55870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55885 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55898 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   55898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55918 */     GIR_RootConstrainSelectedInstOperands,
     /*   55919 */     // GIR_Coverage, 68325,
     /*   55919 */     GIR_EraseRootFromParent_Done,
     /*   55920 */   // Label 885: @55920
     /*   55920 */   GIM_Try, /*On fail goto*//*Label 886*/ GIMT_Encode4(55975), // Rule ID 68326 //
     /*   55925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55940 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55953 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   55953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55973 */     GIR_RootConstrainSelectedInstOperands,
     /*   55974 */     // GIR_Coverage, 68326,
     /*   55974 */     GIR_EraseRootFromParent_Done,
     /*   55975 */   // Label 886: @55975
     /*   55975 */   GIM_Try, /*On fail goto*//*Label 887*/ GIMT_Encode4(56043), // Rule ID 51461 //
     /*   55980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   55999 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   56003 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56017 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56041 */     GIR_RootConstrainSelectedInstOperands,
     /*   56042 */     // GIR_Coverage, 51461,
     /*   56042 */     GIR_EraseRootFromParent_Done,
     /*   56043 */   // Label 887: @56043
     /*   56043 */   GIM_Try, /*On fail goto*//*Label 888*/ GIMT_Encode4(56111), // Rule ID 51462 //
     /*   56048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   56067 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   56071 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56085 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56109 */     GIR_RootConstrainSelectedInstOperands,
     /*   56110 */     // GIR_Coverage, 51462,
     /*   56110 */     GIR_EraseRootFromParent_Done,
     /*   56111 */   // Label 888: @56111
     /*   56111 */   GIM_Try, /*On fail goto*//*Label 889*/ GIMT_Encode4(56166), // Rule ID 46479 //
     /*   56116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56135 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56144 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56164 */     GIR_RootConstrainSelectedInstOperands,
     /*   56165 */     // GIR_Coverage, 46479,
     /*   56165 */     GIR_EraseRootFromParent_Done,
     /*   56166 */   // Label 889: @56166
     /*   56166 */   GIM_Try, /*On fail goto*//*Label 890*/ GIMT_Encode4(56221), // Rule ID 46480 //
     /*   56171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56190 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56199 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56219 */     GIR_RootConstrainSelectedInstOperands,
     /*   56220 */     // GIR_Coverage, 46480,
     /*   56220 */     GIR_EraseRootFromParent_Done,
     /*   56221 */   // Label 890: @56221
     /*   56221 */   GIM_Try, /*On fail goto*//*Label 891*/ GIMT_Encode4(56276), // Rule ID 46239 //
     /*   56226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56245 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56254 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56274 */     GIR_RootConstrainSelectedInstOperands,
     /*   56275 */     // GIR_Coverage, 46239,
     /*   56275 */     GIR_EraseRootFromParent_Done,
     /*   56276 */   // Label 891: @56276
     /*   56276 */   GIM_Try, /*On fail goto*//*Label 892*/ GIMT_Encode4(56331), // Rule ID 46240 //
     /*   56281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56309 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56329 */     GIR_RootConstrainSelectedInstOperands,
     /*   56330 */     // GIR_Coverage, 46240,
     /*   56330 */     GIR_EraseRootFromParent_Done,
     /*   56331 */   // Label 892: @56331
     /*   56331 */   GIM_Try, /*On fail goto*//*Label 893*/ GIMT_Encode4(56386), // Rule ID 46359 //
     /*   56336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56355 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56364 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56384 */     GIR_RootConstrainSelectedInstOperands,
     /*   56385 */     // GIR_Coverage, 46359,
     /*   56385 */     GIR_EraseRootFromParent_Done,
     /*   56386 */   // Label 893: @56386
     /*   56386 */   GIM_Try, /*On fail goto*//*Label 894*/ GIMT_Encode4(56441), // Rule ID 46360 //
     /*   56391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56419 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56439 */     GIR_RootConstrainSelectedInstOperands,
     /*   56440 */     // GIR_Coverage, 46360,
     /*   56440 */     GIR_EraseRootFromParent_Done,
     /*   56441 */   // Label 894: @56441
     /*   56441 */   GIM_Try, /*On fail goto*//*Label 895*/ GIMT_Encode4(56494), // Rule ID 45877 //
     /*   56446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56457 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   56457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   56460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56492 */     GIR_RootConstrainSelectedInstOperands,
     /*   56493 */     // GIR_Coverage, 45877,
     /*   56493 */     GIR_EraseRootFromParent_Done,
     /*   56494 */   // Label 895: @56494
     /*   56494 */   GIM_Try, /*On fail goto*//*Label 896*/ GIMT_Encode4(56547), // Rule ID 45878 //
     /*   56499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56510 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   56510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   56513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56545 */     GIR_RootConstrainSelectedInstOperands,
     /*   56546 */     // GIR_Coverage, 45878,
     /*   56546 */     GIR_EraseRootFromParent_Done,
     /*   56547 */   // Label 896: @56547
     /*   56547 */   GIM_Reject,
     /*   56548 */ // Label 856: @56548
     /*   56548 */ GIM_Reject,
     /*   56549 */ // Label 145: @56549
     /*   56549 */ GIM_Try, /*On fail goto*//*Label 897*/ GIMT_Encode4(56943),
     /*   56554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56564 */   GIM_Try, /*On fail goto*//*Label 898*/ GIMT_Encode4(56632), // Rule ID 69385 //
     /*   56569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56606 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56630 */     GIR_RootConstrainSelectedInstOperands,
     /*   56631 */     // GIR_Coverage, 69385,
     /*   56631 */     GIR_EraseRootFromParent_Done,
     /*   56632 */   // Label 898: @56632
     /*   56632 */   GIM_Try, /*On fail goto*//*Label 899*/ GIMT_Encode4(56700), // Rule ID 69386 //
     /*   56637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56674 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56698 */     GIR_RootConstrainSelectedInstOperands,
     /*   56699 */     // GIR_Coverage, 69386,
     /*   56699 */     GIR_EraseRootFromParent_Done,
     /*   56700 */   // Label 899: @56700
     /*   56700 */   GIM_Try, /*On fail goto*//*Label 900*/ GIMT_Encode4(56768), // Rule ID 51449 //
     /*   56705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56724 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56728 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56742 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56766 */     GIR_RootConstrainSelectedInstOperands,
     /*   56767 */     // GIR_Coverage, 51449,
     /*   56767 */     GIR_EraseRootFromParent_Done,
     /*   56768 */   // Label 900: @56768
     /*   56768 */   GIM_Try, /*On fail goto*//*Label 901*/ GIMT_Encode4(56836), // Rule ID 51450 //
     /*   56773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56796 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56810 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56834 */     GIR_RootConstrainSelectedInstOperands,
     /*   56835 */     // GIR_Coverage, 51450,
     /*   56835 */     GIR_EraseRootFromParent_Done,
     /*   56836 */   // Label 901: @56836
     /*   56836 */   GIM_Try, /*On fail goto*//*Label 902*/ GIMT_Encode4(56889), // Rule ID 45865 //
     /*   56841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56852 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   56852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   56855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56887 */     GIR_RootConstrainSelectedInstOperands,
     /*   56888 */     // GIR_Coverage, 45865,
     /*   56888 */     GIR_EraseRootFromParent_Done,
     /*   56889 */   // Label 902: @56889
     /*   56889 */   GIM_Try, /*On fail goto*//*Label 903*/ GIMT_Encode4(56942), // Rule ID 45866 //
     /*   56894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56905 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   56905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   56908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56940 */     GIR_RootConstrainSelectedInstOperands,
     /*   56941 */     // GIR_Coverage, 45866,
     /*   56941 */     GIR_EraseRootFromParent_Done,
     /*   56942 */   // Label 903: @56942
     /*   56942 */   GIM_Reject,
     /*   56943 */ // Label 897: @56943
     /*   56943 */ GIM_Reject,
     /*   56944 */ // Label 146: @56944
     /*   56944 */ GIM_Reject,
     /*   56945 */ // Label 1: @56945
     /*   56945 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 928*/ GIMT_Encode4(76177),
     /*   56956 */ /*GILLT_s32*//*Label 904*/ GIMT_Encode4(57080),
     /*   56960 */ /*GILLT_s64*//*Label 905*/ GIMT_Encode4(57327), GIMT_Encode4(0),
     /*   56968 */ /*GILLT_nxv1s8*//*Label 906*/ GIMT_Encode4(57603),
     /*   56972 */ /*GILLT_nxv1s16*//*Label 907*/ GIMT_Encode4(57850),
     /*   56976 */ /*GILLT_nxv1s32*//*Label 908*/ GIMT_Encode4(58973),
     /*   56980 */ /*GILLT_nxv1s64*//*Label 909*/ GIMT_Encode4(60096), GIMT_Encode4(0),
     /*   56988 */ /*GILLT_nxv2s8*//*Label 910*/ GIMT_Encode4(61219),
     /*   56992 */ /*GILLT_nxv2s16*//*Label 911*/ GIMT_Encode4(61466),
     /*   56996 */ /*GILLT_nxv2s32*//*Label 912*/ GIMT_Encode4(62589),
     /*   57000 */ /*GILLT_nxv2s64*//*Label 913*/ GIMT_Encode4(63712), GIMT_Encode4(0),
     /*   57008 */ /*GILLT_nxv4s8*//*Label 914*/ GIMT_Encode4(64835),
     /*   57012 */ /*GILLT_nxv4s16*//*Label 915*/ GIMT_Encode4(65082),
     /*   57016 */ /*GILLT_nxv4s32*//*Label 916*/ GIMT_Encode4(66205),
     /*   57020 */ /*GILLT_nxv4s64*//*Label 917*/ GIMT_Encode4(67328), GIMT_Encode4(0),
     /*   57028 */ /*GILLT_nxv8s8*//*Label 918*/ GIMT_Encode4(68451),
     /*   57032 */ /*GILLT_nxv8s16*//*Label 919*/ GIMT_Encode4(68698),
     /*   57036 */ /*GILLT_nxv8s32*//*Label 920*/ GIMT_Encode4(69821),
     /*   57040 */ /*GILLT_nxv8s64*//*Label 921*/ GIMT_Encode4(70944), GIMT_Encode4(0),
     /*   57048 */ /*GILLT_nxv16s8*//*Label 922*/ GIMT_Encode4(72067),
     /*   57052 */ /*GILLT_nxv16s16*//*Label 923*/ GIMT_Encode4(72314),
     /*   57056 */ /*GILLT_nxv16s32*//*Label 924*/ GIMT_Encode4(73437), GIMT_Encode4(0),
     /*   57064 */ /*GILLT_nxv32s8*//*Label 925*/ GIMT_Encode4(74560),
     /*   57068 */ /*GILLT_nxv32s16*//*Label 926*/ GIMT_Encode4(74807), GIMT_Encode4(0),
     /*   57076 */ /*GILLT_nxv64s8*//*Label 927*/ GIMT_Encode4(75930),
     /*   57080 */ // Label 904: @57080
     /*   57080 */ GIM_Try, /*On fail goto*//*Label 929*/ GIMT_Encode4(57326),
     /*   57085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   57088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   57091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57095 */   GIM_Try, /*On fail goto*//*Label 930*/ GIMT_Encode4(57170), // Rule ID 98 //
     /*   57100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*   57103 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   57107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57119 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   57123 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57130 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   57134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57136 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i64] }), 31:{ *:[i64] })
     /*   57136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   57139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   57143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57148 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   57152 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   57155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   57160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   57168 */     GIR_RootConstrainSelectedInstOperands,
     /*   57169 */     // GIR_Coverage, 98,
     /*   57169 */     GIR_EraseRootFromParent_Done,
     /*   57170 */   // Label 930: @57170
     /*   57170 */   GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(57245), // Rule ID 99 //
     /*   57175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*   57178 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   57182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57194 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   57198 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57205 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   57209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57211 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i32] }), 31:{ *:[i32] })
     /*   57211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   57214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   57218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57223 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   57227 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   57230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   57235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   57243 */     GIR_RootConstrainSelectedInstOperands,
     /*   57244 */     // GIR_Coverage, 99,
     /*   57244 */     GIR_EraseRootFromParent_Done,
     /*   57245 */   // Label 931: @57245
     /*   57245 */   GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(57302), // Rule ID 61999 //
     /*   57250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*   57253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57269 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   57273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57285 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULS:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   57285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   57288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   57290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   57292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57300 */     GIR_RootConstrainSelectedInstOperands,
     /*   57301 */     // GIR_Coverage, 61999,
     /*   57301 */     GIR_EraseRootFromParent_Done,
     /*   57302 */   // Label 932: @57302
     /*   57302 */   GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(57325), // Rule ID 77 //
     /*   57307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   57310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57318 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   57318 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   57323 */     GIR_RootConstrainSelectedInstOperands,
     /*   57324 */     // GIR_Coverage, 77,
     /*   57324 */     GIR_Done,
     /*   57325 */   // Label 933: @57325
     /*   57325 */   GIM_Reject,
     /*   57326 */ // Label 929: @57326
     /*   57326 */ GIM_Reject,
     /*   57327 */ // Label 905: @57327
     /*   57327 */ GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(57602),
     /*   57332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   57335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   57338 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(57417), // Rule ID 100 //
     /*   57343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   57346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57350 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   57354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57366 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   57370 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57377 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   57381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57383 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 1:{ *:[i64] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, 63:{ *:[i64] }), 63:{ *:[i64] })
     /*   57383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   57386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   57390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57395 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   57399 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/63,
     /*   57402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   57407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/63,
     /*   57415 */     GIR_RootConstrainSelectedInstOperands,
     /*   57416 */     // GIR_Coverage, 100,
     /*   57416 */     GIR_EraseRootFromParent_Done,
     /*   57417 */   // Label 935: @57417
     /*   57417 */   GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(57482), // Rule ID 62001 //
     /*   57422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*   57425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57445 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   57449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57459 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10009),
     /*   57463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57465 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_10009>>  =>  (TH_MULSW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULSW),
     /*   57468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   57470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   57472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57480 */     GIR_RootConstrainSelectedInstOperands,
     /*   57481 */     // GIR_Coverage, 62001,
     /*   57481 */     GIR_EraseRootFromParent_Done,
     /*   57482 */   // Label 936: @57482
     /*   57482 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(57543), // Rule ID 61998 //
     /*   57487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   57490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57510 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   57514 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57526 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULS:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   57529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   57531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   57533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57541 */     GIR_RootConstrainSelectedInstOperands,
     /*   57542 */     // GIR_Coverage, 61998,
     /*   57542 */     GIR_EraseRootFromParent_Done,
     /*   57543 */   // Label 937: @57543
     /*   57543 */   GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(57574), // Rule ID 267 //
     /*   57548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   57551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57563 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10009),
     /*   57567 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10009>>  =>  (SUBW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUBW),
     /*   57572 */     GIR_RootConstrainSelectedInstOperands,
     /*   57573 */     // GIR_Coverage, 267,
     /*   57573 */     GIR_Done,
     /*   57574 */   // Label 938: @57574
     /*   57574 */   GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(57601), // Rule ID 76 //
     /*   57579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   57582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57594 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (SUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57594 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   57599 */     GIR_RootConstrainSelectedInstOperands,
     /*   57600 */     // GIR_Coverage, 76,
     /*   57600 */     GIR_Done,
     /*   57601 */   // Label 939: @57601
     /*   57601 */   GIM_Reject,
     /*   57602 */ // Label 934: @57602
     /*   57602 */ GIM_Reject,
     /*   57603 */ // Label 906: @57603
     /*   57603 */ GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(57849),
     /*   57608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   57614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57618 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57622 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(57686), // Rule ID 51489 //
     /*   57627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   57646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57660 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   57663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57684 */     GIR_RootConstrainSelectedInstOperands,
     /*   57685 */     // GIR_Coverage, 51489,
     /*   57685 */     GIR_EraseRootFromParent_Done,
     /*   57686 */   // Label 941: @57686
     /*   57686 */   GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(57750), // Rule ID 51490 //
     /*   57691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57706 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   57710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57724 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   57727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57748 */     GIR_RootConstrainSelectedInstOperands,
     /*   57749 */     // GIR_Coverage, 51490,
     /*   57749 */     GIR_EraseRootFromParent_Done,
     /*   57750 */   // Label 942: @57750
     /*   57750 */   GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(57799), // Rule ID 45947 //
     /*   57755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57762 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   57762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   57765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   57779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57797 */     GIR_RootConstrainSelectedInstOperands,
     /*   57798 */     // GIR_Coverage, 45947,
     /*   57798 */     GIR_EraseRootFromParent_Done,
     /*   57799 */   // Label 943: @57799
     /*   57799 */   GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(57848), // Rule ID 45948 //
     /*   57804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57811 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   57811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   57814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   57828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57846 */     GIR_RootConstrainSelectedInstOperands,
     /*   57847 */     // GIR_Coverage, 45948,
     /*   57847 */     GIR_EraseRootFromParent_Done,
     /*   57848 */   // Label 944: @57848
     /*   57848 */   GIM_Reject,
     /*   57849 */ // Label 940: @57849
     /*   57849 */ GIM_Reject,
     /*   57850 */ // Label 907: @57850
     /*   57850 */ GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(58972),
     /*   57855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   57858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   57861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57865 */   GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(57954), // Rule ID 46759 //
     /*   57870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57885 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57892 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57896 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57900 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57904 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57906 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   57913 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   57913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   57916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   57930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   57939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57952 */     GIR_RootConstrainSelectedInstOperands,
     /*   57953 */     // GIR_Coverage, 46759,
     /*   57953 */     GIR_EraseRootFromParent_Done,
     /*   57954 */   // Label 946: @57954
     /*   57954 */   GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(58043), // Rule ID 46760 //
     /*   57959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57974 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57976 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57989 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57993 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57995 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58002 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   58002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   58019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58041 */     GIR_RootConstrainSelectedInstOperands,
     /*   58042 */     // GIR_Coverage, 46760,
     /*   58042 */     GIR_EraseRootFromParent_Done,
     /*   58043 */   // Label 947: @58043
     /*   58043 */   GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(58132), // Rule ID 46519 //
     /*   58048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58063 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58070 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58074 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58078 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58082 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58084 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58089 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58091 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   58091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   58108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58130 */     GIR_RootConstrainSelectedInstOperands,
     /*   58131 */     // GIR_Coverage, 46519,
     /*   58131 */     GIR_EraseRootFromParent_Done,
     /*   58132 */   // Label 948: @58132
     /*   58132 */   GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(58221), // Rule ID 46520 //
     /*   58137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58152 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58171 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58173 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58178 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58180 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   58180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   58197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58219 */     GIR_RootConstrainSelectedInstOperands,
     /*   58220 */     // GIR_Coverage, 46520,
     /*   58220 */     GIR_EraseRootFromParent_Done,
     /*   58221 */   // Label 949: @58221
     /*   58221 */   GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(58310), // Rule ID 46639 //
     /*   58226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58241 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58260 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58262 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58267 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58269 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   58269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   58286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58308 */     GIR_RootConstrainSelectedInstOperands,
     /*   58309 */     // GIR_Coverage, 46639,
     /*   58309 */     GIR_EraseRootFromParent_Done,
     /*   58310 */   // Label 950: @58310
     /*   58310 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(58399), // Rule ID 46640 //
     /*   58315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58330 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58332 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58349 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58351 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58356 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58358 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   58358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   58375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58397 */     GIR_RootConstrainSelectedInstOperands,
     /*   58398 */     // GIR_Coverage, 46640,
     /*   58398 */     GIR_EraseRootFromParent_Done,
     /*   58399 */   // Label 951: @58399
     /*   58399 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(58467), // Rule ID 51501 //
     /*   58404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   58423 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   58427 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58441 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   58441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   58444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   58450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58465 */     GIR_RootConstrainSelectedInstOperands,
     /*   58466 */     // GIR_Coverage, 51501,
     /*   58466 */     GIR_EraseRootFromParent_Done,
     /*   58467 */   // Label 952: @58467
     /*   58467 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(58535), // Rule ID 51502 //
     /*   58472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   58491 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   58495 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58509 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   58509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   58512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   58518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58533 */     GIR_RootConstrainSelectedInstOperands,
     /*   58534 */     // GIR_Coverage, 51502,
     /*   58534 */     GIR_EraseRootFromParent_Done,
     /*   58535 */   // Label 953: @58535
     /*   58535 */   GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(58590), // Rule ID 46819 //
     /*   58540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   58555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58559 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58568 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58588 */     GIR_RootConstrainSelectedInstOperands,
     /*   58589 */     // GIR_Coverage, 46819,
     /*   58589 */     GIR_EraseRootFromParent_Done,
     /*   58590 */   // Label 954: @58590
     /*   58590 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(58645), // Rule ID 46820 //
     /*   58595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   58610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58614 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58623 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58643 */     GIR_RootConstrainSelectedInstOperands,
     /*   58644 */     // GIR_Coverage, 46820,
     /*   58644 */     GIR_EraseRootFromParent_Done,
     /*   58645 */   // Label 955: @58645
     /*   58645 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(58700), // Rule ID 46579 //
     /*   58650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58669 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58678 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   58681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58698 */     GIR_RootConstrainSelectedInstOperands,
     /*   58699 */     // GIR_Coverage, 46579,
     /*   58699 */     GIR_EraseRootFromParent_Done,
     /*   58700 */   // Label 956: @58700
     /*   58700 */   GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(58755), // Rule ID 46580 //
     /*   58705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58724 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58733 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   58736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58753 */     GIR_RootConstrainSelectedInstOperands,
     /*   58754 */     // GIR_Coverage, 46580,
     /*   58754 */     GIR_EraseRootFromParent_Done,
     /*   58755 */   // Label 957: @58755
     /*   58755 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(58810), // Rule ID 46699 //
     /*   58760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58779 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58788 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58808 */     GIR_RootConstrainSelectedInstOperands,
     /*   58809 */     // GIR_Coverage, 46699,
     /*   58809 */     GIR_EraseRootFromParent_Done,
     /*   58810 */   // Label 958: @58810
     /*   58810 */   GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(58865), // Rule ID 46700 //
     /*   58815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58834 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58843 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58863 */     GIR_RootConstrainSelectedInstOperands,
     /*   58864 */     // GIR_Coverage, 46700,
     /*   58864 */     GIR_EraseRootFromParent_Done,
     /*   58865 */   // Label 959: @58865
     /*   58865 */   GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(58918), // Rule ID 45959 //
     /*   58870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58881 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   58881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   58898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   58905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58916 */     GIR_RootConstrainSelectedInstOperands,
     /*   58917 */     // GIR_Coverage, 45959,
     /*   58917 */     GIR_EraseRootFromParent_Done,
     /*   58918 */   // Label 960: @58918
     /*   58918 */   GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(58971), // Rule ID 45960 //
     /*   58923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58934 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   58934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   58951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   58958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58969 */     GIR_RootConstrainSelectedInstOperands,
     /*   58970 */     // GIR_Coverage, 45960,
     /*   58970 */     GIR_EraseRootFromParent_Done,
     /*   58971 */   // Label 961: @58971
     /*   58971 */   GIM_Reject,
     /*   58972 */ // Label 945: @58972
     /*   58972 */ GIM_Reject,
     /*   58973 */ // Label 908: @58973
     /*   58973 */ GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(60095),
     /*   58978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   58981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   58984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58988 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(59077), // Rule ID 46783 //
     /*   58993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59027 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59036 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   59036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59075 */     GIR_RootConstrainSelectedInstOperands,
     /*   59076 */     // GIR_Coverage, 46783,
     /*   59076 */     GIR_EraseRootFromParent_Done,
     /*   59077 */   // Label 963: @59077
     /*   59077 */   GIM_Try, /*On fail goto*//*Label 964*/ GIMT_Encode4(59166), // Rule ID 46784 //
     /*   59082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59097 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59116 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59123 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59125 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59164 */     GIR_RootConstrainSelectedInstOperands,
     /*   59165 */     // GIR_Coverage, 46784,
     /*   59165 */     GIR_EraseRootFromParent_Done,
     /*   59166 */   // Label 964: @59166
     /*   59166 */   GIM_Try, /*On fail goto*//*Label 965*/ GIMT_Encode4(59255), // Rule ID 46543 //
     /*   59171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59205 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59214 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   59214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   59231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59253 */     GIR_RootConstrainSelectedInstOperands,
     /*   59254 */     // GIR_Coverage, 46543,
     /*   59254 */     GIR_EraseRootFromParent_Done,
     /*   59255 */   // Label 965: @59255
     /*   59255 */   GIM_Try, /*On fail goto*//*Label 966*/ GIMT_Encode4(59344), // Rule ID 46544 //
     /*   59260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59303 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   59320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59342 */     GIR_RootConstrainSelectedInstOperands,
     /*   59343 */     // GIR_Coverage, 46544,
     /*   59343 */     GIR_EraseRootFromParent_Done,
     /*   59344 */   // Label 966: @59344
     /*   59344 */   GIM_Try, /*On fail goto*//*Label 967*/ GIMT_Encode4(59433), // Rule ID 46663 //
     /*   59349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59364 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59383 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59392 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   59392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59431 */     GIR_RootConstrainSelectedInstOperands,
     /*   59432 */     // GIR_Coverage, 46663,
     /*   59432 */     GIR_EraseRootFromParent_Done,
     /*   59433 */   // Label 967: @59433
     /*   59433 */   GIM_Try, /*On fail goto*//*Label 968*/ GIMT_Encode4(59522), // Rule ID 46664 //
     /*   59438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59453 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59472 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59481 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59520 */     GIR_RootConstrainSelectedInstOperands,
     /*   59521 */     // GIR_Coverage, 46664,
     /*   59521 */     GIR_EraseRootFromParent_Done,
     /*   59522 */   // Label 968: @59522
     /*   59522 */   GIM_Try, /*On fail goto*//*Label 969*/ GIMT_Encode4(59590), // Rule ID 51509 //
     /*   59527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   59546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   59550 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59564 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   59564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   59567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   59585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59588 */     GIR_RootConstrainSelectedInstOperands,
     /*   59589 */     // GIR_Coverage, 51509,
     /*   59589 */     GIR_EraseRootFromParent_Done,
     /*   59590 */   // Label 969: @59590
     /*   59590 */   GIM_Try, /*On fail goto*//*Label 970*/ GIMT_Encode4(59658), // Rule ID 51510 //
     /*   59595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   59614 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   59618 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59625 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59632 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   59632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   59635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   59653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59656 */     GIR_RootConstrainSelectedInstOperands,
     /*   59657 */     // GIR_Coverage, 51510,
     /*   59657 */     GIR_EraseRootFromParent_Done,
     /*   59658 */   // Label 970: @59658
     /*   59658 */   GIM_Try, /*On fail goto*//*Label 971*/ GIMT_Encode4(59713), // Rule ID 46843 //
     /*   59663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59682 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59691 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59711 */     GIR_RootConstrainSelectedInstOperands,
     /*   59712 */     // GIR_Coverage, 46843,
     /*   59712 */     GIR_EraseRootFromParent_Done,
     /*   59713 */   // Label 971: @59713
     /*   59713 */   GIM_Try, /*On fail goto*//*Label 972*/ GIMT_Encode4(59768), // Rule ID 46844 //
     /*   59718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59737 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59739 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59746 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59766 */     GIR_RootConstrainSelectedInstOperands,
     /*   59767 */     // GIR_Coverage, 46844,
     /*   59767 */     GIR_EraseRootFromParent_Done,
     /*   59768 */   // Label 972: @59768
     /*   59768 */   GIM_Try, /*On fail goto*//*Label 973*/ GIMT_Encode4(59823), // Rule ID 46603 //
     /*   59773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59792 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59801 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   59804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59821 */     GIR_RootConstrainSelectedInstOperands,
     /*   59822 */     // GIR_Coverage, 46603,
     /*   59822 */     GIR_EraseRootFromParent_Done,
     /*   59823 */   // Label 973: @59823
     /*   59823 */   GIM_Try, /*On fail goto*//*Label 974*/ GIMT_Encode4(59878), // Rule ID 46604 //
     /*   59828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59856 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   59859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59876 */     GIR_RootConstrainSelectedInstOperands,
     /*   59877 */     // GIR_Coverage, 46604,
     /*   59877 */     GIR_EraseRootFromParent_Done,
     /*   59878 */   // Label 974: @59878
     /*   59878 */   GIM_Try, /*On fail goto*//*Label 975*/ GIMT_Encode4(59933), // Rule ID 46723 //
     /*   59883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59902 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59911 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59931 */     GIR_RootConstrainSelectedInstOperands,
     /*   59932 */     // GIR_Coverage, 46723,
     /*   59932 */     GIR_EraseRootFromParent_Done,
     /*   59933 */   // Label 975: @59933
     /*   59933 */   GIM_Try, /*On fail goto*//*Label 976*/ GIMT_Encode4(59988), // Rule ID 46724 //
     /*   59938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59957 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59966 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59986 */     GIR_RootConstrainSelectedInstOperands,
     /*   59987 */     // GIR_Coverage, 46724,
     /*   59987 */     GIR_EraseRootFromParent_Done,
     /*   59988 */   // Label 976: @59988
     /*   59988 */   GIM_Try, /*On fail goto*//*Label 977*/ GIMT_Encode4(60041), // Rule ID 45967 //
     /*   59993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60004 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   60007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   60021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   60028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60039 */     GIR_RootConstrainSelectedInstOperands,
     /*   60040 */     // GIR_Coverage, 45967,
     /*   60040 */     GIR_EraseRootFromParent_Done,
     /*   60041 */   // Label 977: @60041
     /*   60041 */   GIM_Try, /*On fail goto*//*Label 978*/ GIMT_Encode4(60094), // Rule ID 45968 //
     /*   60046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60057 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   60060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   60074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   60081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60092 */     GIR_RootConstrainSelectedInstOperands,
     /*   60093 */     // GIR_Coverage, 45968,
     /*   60093 */     GIR_EraseRootFromParent_Done,
     /*   60094 */   // Label 978: @60094
     /*   60094 */   GIM_Reject,
     /*   60095 */ // Label 962: @60095
     /*   60095 */ GIM_Reject,
     /*   60096 */ // Label 909: @60096
     /*   60096 */ GIM_Try, /*On fail goto*//*Label 979*/ GIMT_Encode4(61218),
     /*   60101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   60104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   60107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60111 */   GIM_Try, /*On fail goto*//*Label 980*/ GIMT_Encode4(60200), // Rule ID 46803 //
     /*   60116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60131 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60150 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60152 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60157 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60159 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60198 */     GIR_RootConstrainSelectedInstOperands,
     /*   60199 */     // GIR_Coverage, 46803,
     /*   60199 */     GIR_EraseRootFromParent_Done,
     /*   60200 */   // Label 980: @60200
     /*   60200 */   GIM_Try, /*On fail goto*//*Label 981*/ GIMT_Encode4(60289), // Rule ID 46804 //
     /*   60205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60216 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60220 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60222 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60235 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60239 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60241 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60246 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60248 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60287 */     GIR_RootConstrainSelectedInstOperands,
     /*   60288 */     // GIR_Coverage, 46804,
     /*   60288 */     GIR_EraseRootFromParent_Done,
     /*   60289 */   // Label 981: @60289
     /*   60289 */   GIM_Try, /*On fail goto*//*Label 982*/ GIMT_Encode4(60378), // Rule ID 46563 //
     /*   60294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60309 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60316 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60320 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60324 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60328 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60330 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60335 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60337 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   60354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60376 */     GIR_RootConstrainSelectedInstOperands,
     /*   60377 */     // GIR_Coverage, 46563,
     /*   60377 */     GIR_EraseRootFromParent_Done,
     /*   60378 */   // Label 982: @60378
     /*   60378 */   GIM_Try, /*On fail goto*//*Label 983*/ GIMT_Encode4(60467), // Rule ID 46564 //
     /*   60383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60398 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60405 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60409 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60413 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60417 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60419 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60424 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60426 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   60443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60465 */     GIR_RootConstrainSelectedInstOperands,
     /*   60466 */     // GIR_Coverage, 46564,
     /*   60466 */     GIR_EraseRootFromParent_Done,
     /*   60467 */   // Label 983: @60467
     /*   60467 */   GIM_Try, /*On fail goto*//*Label 984*/ GIMT_Encode4(60556), // Rule ID 46683 //
     /*   60472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60487 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60506 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60508 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60513 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60515 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60554 */     GIR_RootConstrainSelectedInstOperands,
     /*   60555 */     // GIR_Coverage, 46683,
     /*   60555 */     GIR_EraseRootFromParent_Done,
     /*   60556 */   // Label 984: @60556
     /*   60556 */   GIM_Try, /*On fail goto*//*Label 985*/ GIMT_Encode4(60645), // Rule ID 46684 //
     /*   60561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60576 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60595 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60597 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60602 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60604 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60643 */     GIR_RootConstrainSelectedInstOperands,
     /*   60644 */     // GIR_Coverage, 46684,
     /*   60644 */     GIR_EraseRootFromParent_Done,
     /*   60645 */   // Label 985: @60645
     /*   60645 */   GIM_Try, /*On fail goto*//*Label 986*/ GIMT_Encode4(60713), // Rule ID 51525 //
     /*   60650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   60653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   60669 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   60673 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60675 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60680 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60687 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   60687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   60690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   60708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60711 */     GIR_RootConstrainSelectedInstOperands,
     /*   60712 */     // GIR_Coverage, 51525,
     /*   60712 */     GIR_EraseRootFromParent_Done,
     /*   60713 */   // Label 986: @60713
     /*   60713 */   GIM_Try, /*On fail goto*//*Label 987*/ GIMT_Encode4(60781), // Rule ID 51526 //
     /*   60718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   60721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   60737 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   60741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60755 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   60755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   60758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   60776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60779 */     GIR_RootConstrainSelectedInstOperands,
     /*   60780 */     // GIR_Coverage, 51526,
     /*   60780 */     GIR_EraseRootFromParent_Done,
     /*   60781 */   // Label 987: @60781
     /*   60781 */   GIM_Try, /*On fail goto*//*Label 988*/ GIMT_Encode4(60836), // Rule ID 46863 //
     /*   60786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60805 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60814 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   60814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   60817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60834 */     GIR_RootConstrainSelectedInstOperands,
     /*   60835 */     // GIR_Coverage, 46863,
     /*   60835 */     GIR_EraseRootFromParent_Done,
     /*   60836 */   // Label 988: @60836
     /*   60836 */   GIM_Try, /*On fail goto*//*Label 989*/ GIMT_Encode4(60891), // Rule ID 46864 //
     /*   60841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60860 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60862 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60869 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   60869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   60872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60889 */     GIR_RootConstrainSelectedInstOperands,
     /*   60890 */     // GIR_Coverage, 46864,
     /*   60890 */     GIR_EraseRootFromParent_Done,
     /*   60891 */   // Label 989: @60891
     /*   60891 */   GIM_Try, /*On fail goto*//*Label 990*/ GIMT_Encode4(60946), // Rule ID 46623 //
     /*   60896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60915 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60924 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   60924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   60927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60944 */     GIR_RootConstrainSelectedInstOperands,
     /*   60945 */     // GIR_Coverage, 46623,
     /*   60945 */     GIR_EraseRootFromParent_Done,
     /*   60946 */   // Label 990: @60946
     /*   60946 */   GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(61001), // Rule ID 46624 //
     /*   60951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60970 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60979 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   60979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   60982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60999 */     GIR_RootConstrainSelectedInstOperands,
     /*   61000 */     // GIR_Coverage, 46624,
     /*   61000 */     GIR_EraseRootFromParent_Done,
     /*   61001 */   // Label 991: @61001
     /*   61001 */   GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(61056), // Rule ID 46743 //
     /*   61006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   61009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   61025 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61034 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   61034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   61037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   61051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61054 */     GIR_RootConstrainSelectedInstOperands,
     /*   61055 */     // GIR_Coverage, 46743,
     /*   61055 */     GIR_EraseRootFromParent_Done,
     /*   61056 */   // Label 992: @61056
     /*   61056 */   GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(61111), // Rule ID 46744 //
     /*   61061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   61064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   61080 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61089 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   61089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   61092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   61106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61109 */     GIR_RootConstrainSelectedInstOperands,
     /*   61110 */     // GIR_Coverage, 46744,
     /*   61110 */     GIR_EraseRootFromParent_Done,
     /*   61111 */   // Label 993: @61111
     /*   61111 */   GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(61164), // Rule ID 45983 //
     /*   61116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   61119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61127 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   61127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   61130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   61144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   61159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61162 */     GIR_RootConstrainSelectedInstOperands,
     /*   61163 */     // GIR_Coverage, 45983,
     /*   61163 */     GIR_EraseRootFromParent_Done,
     /*   61164 */   // Label 994: @61164
     /*   61164 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(61217), // Rule ID 45984 //
     /*   61169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   61172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61180 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   61180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   61183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   61197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   61212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61215 */     GIR_RootConstrainSelectedInstOperands,
     /*   61216 */     // GIR_Coverage, 45984,
     /*   61216 */     GIR_EraseRootFromParent_Done,
     /*   61217 */   // Label 995: @61217
     /*   61217 */   GIM_Reject,
     /*   61218 */ // Label 979: @61218
     /*   61218 */ GIM_Reject,
     /*   61219 */ // Label 910: @61219
     /*   61219 */ GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(61465),
     /*   61224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   61230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61238 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(61302), // Rule ID 51493 //
     /*   61243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   61262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61276 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   61276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   61279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61300 */     GIR_RootConstrainSelectedInstOperands,
     /*   61301 */     // GIR_Coverage, 51493,
     /*   61301 */     GIR_EraseRootFromParent_Done,
     /*   61302 */   // Label 997: @61302
     /*   61302 */   GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(61366), // Rule ID 51494 //
     /*   61307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   61326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61340 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   61340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   61343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61364 */     GIR_RootConstrainSelectedInstOperands,
     /*   61365 */     // GIR_Coverage, 51494,
     /*   61365 */     GIR_EraseRootFromParent_Done,
     /*   61366 */   // Label 998: @61366
     /*   61366 */   GIM_Try, /*On fail goto*//*Label 999*/ GIMT_Encode4(61415), // Rule ID 45951 //
     /*   61371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61378 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   61381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   61395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61413 */     GIR_RootConstrainSelectedInstOperands,
     /*   61414 */     // GIR_Coverage, 45951,
     /*   61414 */     GIR_EraseRootFromParent_Done,
     /*   61415 */   // Label 999: @61415
     /*   61415 */   GIM_Try, /*On fail goto*//*Label 1000*/ GIMT_Encode4(61464), // Rule ID 45952 //
     /*   61420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61427 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   61430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   61444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61462 */     GIR_RootConstrainSelectedInstOperands,
     /*   61463 */     // GIR_Coverage, 45952,
     /*   61463 */     GIR_EraseRootFromParent_Done,
     /*   61464 */   // Label 1000: @61464
     /*   61464 */   GIM_Reject,
     /*   61465 */ // Label 996: @61465
     /*   61465 */ GIM_Reject,
     /*   61466 */ // Label 911: @61466
     /*   61466 */ GIM_Try, /*On fail goto*//*Label 1001*/ GIMT_Encode4(62588),
     /*   61471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   61474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   61477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61481 */   GIM_Try, /*On fail goto*//*Label 1002*/ GIMT_Encode4(61570), // Rule ID 46763 //
     /*   61486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61501 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61516 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61520 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61522 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61527 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61529 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61568 */     GIR_RootConstrainSelectedInstOperands,
     /*   61569 */     // GIR_Coverage, 46763,
     /*   61569 */     GIR_EraseRootFromParent_Done,
     /*   61570 */   // Label 1002: @61570
     /*   61570 */   GIM_Try, /*On fail goto*//*Label 1003*/ GIMT_Encode4(61659), // Rule ID 46764 //
     /*   61575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61590 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61609 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61611 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61616 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61618 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61657 */     GIR_RootConstrainSelectedInstOperands,
     /*   61658 */     // GIR_Coverage, 46764,
     /*   61658 */     GIR_EraseRootFromParent_Done,
     /*   61659 */   // Label 1003: @61659
     /*   61659 */   GIM_Try, /*On fail goto*//*Label 1004*/ GIMT_Encode4(61748), // Rule ID 46523 //
     /*   61664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61679 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61694 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61698 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61700 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61705 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61707 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   61724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61746 */     GIR_RootConstrainSelectedInstOperands,
     /*   61747 */     // GIR_Coverage, 46523,
     /*   61747 */     GIR_EraseRootFromParent_Done,
     /*   61748 */   // Label 1004: @61748
     /*   61748 */   GIM_Try, /*On fail goto*//*Label 1005*/ GIMT_Encode4(61837), // Rule ID 46524 //
     /*   61753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61768 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61787 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61789 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61796 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   61813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61835 */     GIR_RootConstrainSelectedInstOperands,
     /*   61836 */     // GIR_Coverage, 46524,
     /*   61836 */     GIR_EraseRootFromParent_Done,
     /*   61837 */   // Label 1005: @61837
     /*   61837 */   GIM_Try, /*On fail goto*//*Label 1006*/ GIMT_Encode4(61926), // Rule ID 46643 //
     /*   61842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61857 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61872 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61876 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61878 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61885 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61924 */     GIR_RootConstrainSelectedInstOperands,
     /*   61925 */     // GIR_Coverage, 46643,
     /*   61925 */     GIR_EraseRootFromParent_Done,
     /*   61926 */   // Label 1006: @61926
     /*   61926 */   GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(62015), // Rule ID 46644 //
     /*   61931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61946 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61965 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61974 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62013 */     GIR_RootConstrainSelectedInstOperands,
     /*   62014 */     // GIR_Coverage, 46644,
     /*   62014 */     GIR_EraseRootFromParent_Done,
     /*   62015 */   // Label 1007: @62015
     /*   62015 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(62083), // Rule ID 51505 //
     /*   62020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   62035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62039 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   62043 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62057 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   62057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   62060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62081 */     GIR_RootConstrainSelectedInstOperands,
     /*   62082 */     // GIR_Coverage, 51505,
     /*   62082 */     GIR_EraseRootFromParent_Done,
     /*   62083 */   // Label 1008: @62083
     /*   62083 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(62151), // Rule ID 51506 //
     /*   62088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   62103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   62111 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62125 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   62125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   62128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62149 */     GIR_RootConstrainSelectedInstOperands,
     /*   62150 */     // GIR_Coverage, 51506,
     /*   62150 */     GIR_EraseRootFromParent_Done,
     /*   62151 */   // Label 1009: @62151
     /*   62151 */   GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(62206), // Rule ID 46823 //
     /*   62156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62175 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62184 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62204 */     GIR_RootConstrainSelectedInstOperands,
     /*   62205 */     // GIR_Coverage, 46823,
     /*   62205 */     GIR_EraseRootFromParent_Done,
     /*   62206 */   // Label 1010: @62206
     /*   62206 */   GIM_Try, /*On fail goto*//*Label 1011*/ GIMT_Encode4(62261), // Rule ID 46824 //
     /*   62211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62230 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62239 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62259 */     GIR_RootConstrainSelectedInstOperands,
     /*   62260 */     // GIR_Coverage, 46824,
     /*   62260 */     GIR_EraseRootFromParent_Done,
     /*   62261 */   // Label 1011: @62261
     /*   62261 */   GIM_Try, /*On fail goto*//*Label 1012*/ GIMT_Encode4(62316), // Rule ID 46583 //
     /*   62266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62285 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62294 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   62297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62314 */     GIR_RootConstrainSelectedInstOperands,
     /*   62315 */     // GIR_Coverage, 46583,
     /*   62315 */     GIR_EraseRootFromParent_Done,
     /*   62316 */   // Label 1012: @62316
     /*   62316 */   GIM_Try, /*On fail goto*//*Label 1013*/ GIMT_Encode4(62371), // Rule ID 46584 //
     /*   62321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62340 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62349 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   62352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62369 */     GIR_RootConstrainSelectedInstOperands,
     /*   62370 */     // GIR_Coverage, 46584,
     /*   62370 */     GIR_EraseRootFromParent_Done,
     /*   62371 */   // Label 1013: @62371
     /*   62371 */   GIM_Try, /*On fail goto*//*Label 1014*/ GIMT_Encode4(62426), // Rule ID 46703 //
     /*   62376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62395 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62404 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62424 */     GIR_RootConstrainSelectedInstOperands,
     /*   62425 */     // GIR_Coverage, 46703,
     /*   62425 */     GIR_EraseRootFromParent_Done,
     /*   62426 */   // Label 1014: @62426
     /*   62426 */   GIM_Try, /*On fail goto*//*Label 1015*/ GIMT_Encode4(62481), // Rule ID 46704 //
     /*   62431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62450 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62459 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62479 */     GIR_RootConstrainSelectedInstOperands,
     /*   62480 */     // GIR_Coverage, 46704,
     /*   62480 */     GIR_EraseRootFromParent_Done,
     /*   62481 */   // Label 1015: @62481
     /*   62481 */   GIM_Try, /*On fail goto*//*Label 1016*/ GIMT_Encode4(62534), // Rule ID 45963 //
     /*   62486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62497 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   62497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   62500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   62514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   62521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   62523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62532 */     GIR_RootConstrainSelectedInstOperands,
     /*   62533 */     // GIR_Coverage, 45963,
     /*   62533 */     GIR_EraseRootFromParent_Done,
     /*   62534 */   // Label 1016: @62534
     /*   62534 */   GIM_Try, /*On fail goto*//*Label 1017*/ GIMT_Encode4(62587), // Rule ID 45964 //
     /*   62539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62550 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   62550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   62553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   62567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   62574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   62576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62585 */     GIR_RootConstrainSelectedInstOperands,
     /*   62586 */     // GIR_Coverage, 45964,
     /*   62586 */     GIR_EraseRootFromParent_Done,
     /*   62587 */   // Label 1017: @62587
     /*   62587 */   GIM_Reject,
     /*   62588 */ // Label 1001: @62588
     /*   62588 */ GIM_Reject,
     /*   62589 */ // Label 912: @62589
     /*   62589 */ GIM_Try, /*On fail goto*//*Label 1018*/ GIMT_Encode4(63711),
     /*   62594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   62597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   62600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62604 */   GIM_Try, /*On fail goto*//*Label 1019*/ GIMT_Encode4(62693), // Rule ID 46787 //
     /*   62609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62624 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62643 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62645 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62650 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62652 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   62652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   62669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62691 */     GIR_RootConstrainSelectedInstOperands,
     /*   62692 */     // GIR_Coverage, 46787,
     /*   62692 */     GIR_EraseRootFromParent_Done,
     /*   62693 */   // Label 1019: @62693
     /*   62693 */   GIM_Try, /*On fail goto*//*Label 1020*/ GIMT_Encode4(62782), // Rule ID 46788 //
     /*   62698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62713 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62732 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62734 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62741 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   62741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   62758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62780 */     GIR_RootConstrainSelectedInstOperands,
     /*   62781 */     // GIR_Coverage, 46788,
     /*   62781 */     GIR_EraseRootFromParent_Done,
     /*   62782 */   // Label 1020: @62782
     /*   62782 */   GIM_Try, /*On fail goto*//*Label 1021*/ GIMT_Encode4(62871), // Rule ID 46547 //
     /*   62787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62802 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62809 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62813 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62817 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62821 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62823 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62828 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62830 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   62830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   62847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62869 */     GIR_RootConstrainSelectedInstOperands,
     /*   62870 */     // GIR_Coverage, 46547,
     /*   62870 */     GIR_EraseRootFromParent_Done,
     /*   62871 */   // Label 1021: @62871
     /*   62871 */   GIM_Try, /*On fail goto*//*Label 1022*/ GIMT_Encode4(62960), // Rule ID 46548 //
     /*   62876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62906 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62910 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62912 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62917 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62919 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   62919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   62936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62958 */     GIR_RootConstrainSelectedInstOperands,
     /*   62959 */     // GIR_Coverage, 46548,
     /*   62959 */     GIR_EraseRootFromParent_Done,
     /*   62960 */   // Label 1022: @62960
     /*   62960 */   GIM_Try, /*On fail goto*//*Label 1023*/ GIMT_Encode4(63049), // Rule ID 46667 //
     /*   62965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62980 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62982 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62987 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62991 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62995 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62999 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63001 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63006 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63008 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   63025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63047 */     GIR_RootConstrainSelectedInstOperands,
     /*   63048 */     // GIR_Coverage, 46667,
     /*   63048 */     GIR_EraseRootFromParent_Done,
     /*   63049 */   // Label 1023: @63049
     /*   63049 */   GIM_Try, /*On fail goto*//*Label 1024*/ GIMT_Encode4(63138), // Rule ID 46668 //
     /*   63054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63069 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63084 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63088 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63090 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63095 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63097 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   63114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63136 */     GIR_RootConstrainSelectedInstOperands,
     /*   63137 */     // GIR_Coverage, 46668,
     /*   63137 */     GIR_EraseRootFromParent_Done,
     /*   63138 */   // Label 1024: @63138
     /*   63138 */   GIM_Try, /*On fail goto*//*Label 1025*/ GIMT_Encode4(63206), // Rule ID 51521 //
     /*   63143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   63166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63180 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   63180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   63183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63204 */     GIR_RootConstrainSelectedInstOperands,
     /*   63205 */     // GIR_Coverage, 51521,
     /*   63205 */     GIR_EraseRootFromParent_Done,
     /*   63206 */   // Label 1025: @63206
     /*   63206 */   GIM_Try, /*On fail goto*//*Label 1026*/ GIMT_Encode4(63274), // Rule ID 51522 //
     /*   63211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   63234 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63236 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63241 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63248 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   63248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   63251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63272 */     GIR_RootConstrainSelectedInstOperands,
     /*   63273 */     // GIR_Coverage, 51522,
     /*   63273 */     GIR_EraseRootFromParent_Done,
     /*   63274 */   // Label 1026: @63274
     /*   63274 */   GIM_Try, /*On fail goto*//*Label 1027*/ GIMT_Encode4(63329), // Rule ID 46847 //
     /*   63279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63307 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63327 */     GIR_RootConstrainSelectedInstOperands,
     /*   63328 */     // GIR_Coverage, 46847,
     /*   63328 */     GIR_EraseRootFromParent_Done,
     /*   63329 */   // Label 1027: @63329
     /*   63329 */   GIM_Try, /*On fail goto*//*Label 1028*/ GIMT_Encode4(63384), // Rule ID 46848 //
     /*   63334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63353 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63362 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63382 */     GIR_RootConstrainSelectedInstOperands,
     /*   63383 */     // GIR_Coverage, 46848,
     /*   63383 */     GIR_EraseRootFromParent_Done,
     /*   63384 */   // Label 1028: @63384
     /*   63384 */   GIM_Try, /*On fail goto*//*Label 1029*/ GIMT_Encode4(63439), // Rule ID 46607 //
     /*   63389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63408 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63417 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   63420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63437 */     GIR_RootConstrainSelectedInstOperands,
     /*   63438 */     // GIR_Coverage, 46607,
     /*   63438 */     GIR_EraseRootFromParent_Done,
     /*   63439 */   // Label 1029: @63439
     /*   63439 */   GIM_Try, /*On fail goto*//*Label 1030*/ GIMT_Encode4(63494), // Rule ID 46608 //
     /*   63444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63463 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63465 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63472 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   63475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63492 */     GIR_RootConstrainSelectedInstOperands,
     /*   63493 */     // GIR_Coverage, 46608,
     /*   63493 */     GIR_EraseRootFromParent_Done,
     /*   63494 */   // Label 1030: @63494
     /*   63494 */   GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(63549), // Rule ID 46727 //
     /*   63499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63518 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63527 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63547 */     GIR_RootConstrainSelectedInstOperands,
     /*   63548 */     // GIR_Coverage, 46727,
     /*   63548 */     GIR_EraseRootFromParent_Done,
     /*   63549 */   // Label 1031: @63549
     /*   63549 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(63604), // Rule ID 46728 //
     /*   63554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63573 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63582 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63602 */     GIR_RootConstrainSelectedInstOperands,
     /*   63603 */     // GIR_Coverage, 46728,
     /*   63603 */     GIR_EraseRootFromParent_Done,
     /*   63604 */   // Label 1032: @63604
     /*   63604 */   GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(63657), // Rule ID 45979 //
     /*   63609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63620 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   63620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   63637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63655 */     GIR_RootConstrainSelectedInstOperands,
     /*   63656 */     // GIR_Coverage, 45979,
     /*   63656 */     GIR_EraseRootFromParent_Done,
     /*   63657 */   // Label 1033: @63657
     /*   63657 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(63710), // Rule ID 45980 //
     /*   63662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63673 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   63673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   63690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63708 */     GIR_RootConstrainSelectedInstOperands,
     /*   63709 */     // GIR_Coverage, 45980,
     /*   63709 */     GIR_EraseRootFromParent_Done,
     /*   63710 */   // Label 1034: @63710
     /*   63710 */   GIM_Reject,
     /*   63711 */ // Label 1018: @63711
     /*   63711 */ GIM_Reject,
     /*   63712 */ // Label 913: @63712
     /*   63712 */ GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(64834),
     /*   63717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   63720 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   63723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   63727 */   GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(63816), // Rule ID 46807 //
     /*   63732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   63735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63747 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63766 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63773 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63775 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   63775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   63778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   63792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63814 */     GIR_RootConstrainSelectedInstOperands,
     /*   63815 */     // GIR_Coverage, 46807,
     /*   63815 */     GIR_EraseRootFromParent_Done,
     /*   63816 */   // Label 1036: @63816
     /*   63816 */   GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(63905), // Rule ID 46808 //
     /*   63821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   63824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63855 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63862 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63864 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   63864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   63867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   63881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63903 */     GIR_RootConstrainSelectedInstOperands,
     /*   63904 */     // GIR_Coverage, 46808,
     /*   63904 */     GIR_EraseRootFromParent_Done,
     /*   63905 */   // Label 1037: @63905
     /*   63905 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(63994), // Rule ID 46567 //
     /*   63910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   63913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63925 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63944 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63946 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63951 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63953 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   63953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   63956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   63970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63992 */     GIR_RootConstrainSelectedInstOperands,
     /*   63993 */     // GIR_Coverage, 46567,
     /*   63993 */     GIR_EraseRootFromParent_Done,
     /*   63994 */   // Label 1038: @63994
     /*   63994 */   GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(64083), // Rule ID 46568 //
     /*   63999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64014 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64033 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64035 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64040 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64042 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   64059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64081 */     GIR_RootConstrainSelectedInstOperands,
     /*   64082 */     // GIR_Coverage, 46568,
     /*   64082 */     GIR_EraseRootFromParent_Done,
     /*   64083 */   // Label 1039: @64083
     /*   64083 */   GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(64172), // Rule ID 46687 //
     /*   64088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64103 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64118 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64122 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64124 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64129 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64131 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   64148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64170 */     GIR_RootConstrainSelectedInstOperands,
     /*   64171 */     // GIR_Coverage, 46687,
     /*   64171 */     GIR_EraseRootFromParent_Done,
     /*   64172 */   // Label 1040: @64172
     /*   64172 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(64261), // Rule ID 46688 //
     /*   64177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64192 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64211 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64213 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64220 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   64237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64259 */     GIR_RootConstrainSelectedInstOperands,
     /*   64260 */     // GIR_Coverage, 46688,
     /*   64260 */     GIR_EraseRootFromParent_Done,
     /*   64261 */   // Label 1041: @64261
     /*   64261 */   GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(64329), // Rule ID 51565 //
     /*   64266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   64269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   64285 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   64289 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64303 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   64303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   64306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64327 */     GIR_RootConstrainSelectedInstOperands,
     /*   64328 */     // GIR_Coverage, 51565,
     /*   64328 */     GIR_EraseRootFromParent_Done,
     /*   64329 */   // Label 1042: @64329
     /*   64329 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(64397), // Rule ID 51566 //
     /*   64334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   64337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   64353 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   64357 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64371 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   64371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   64374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64395 */     GIR_RootConstrainSelectedInstOperands,
     /*   64396 */     // GIR_Coverage, 51566,
     /*   64396 */     GIR_EraseRootFromParent_Done,
     /*   64397 */   // Label 1043: @64397
     /*   64397 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(64452), // Rule ID 46867 //
     /*   64402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64430 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64450 */     GIR_RootConstrainSelectedInstOperands,
     /*   64451 */     // GIR_Coverage, 46867,
     /*   64451 */     GIR_EraseRootFromParent_Done,
     /*   64452 */   // Label 1044: @64452
     /*   64452 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(64507), // Rule ID 46868 //
     /*   64457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64476 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64485 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64505 */     GIR_RootConstrainSelectedInstOperands,
     /*   64506 */     // GIR_Coverage, 46868,
     /*   64506 */     GIR_EraseRootFromParent_Done,
     /*   64507 */   // Label 1045: @64507
     /*   64507 */   GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(64562), // Rule ID 46627 //
     /*   64512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64531 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64540 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   64543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64560 */     GIR_RootConstrainSelectedInstOperands,
     /*   64561 */     // GIR_Coverage, 46627,
     /*   64561 */     GIR_EraseRootFromParent_Done,
     /*   64562 */   // Label 1046: @64562
     /*   64562 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(64617), // Rule ID 46628 //
     /*   64567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64586 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64595 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   64598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64615 */     GIR_RootConstrainSelectedInstOperands,
     /*   64616 */     // GIR_Coverage, 46628,
     /*   64616 */     GIR_EraseRootFromParent_Done,
     /*   64617 */   // Label 1047: @64617
     /*   64617 */   GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(64672), // Rule ID 46747 //
     /*   64622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64641 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64650 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64670 */     GIR_RootConstrainSelectedInstOperands,
     /*   64671 */     // GIR_Coverage, 46747,
     /*   64671 */     GIR_EraseRootFromParent_Done,
     /*   64672 */   // Label 1048: @64672
     /*   64672 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(64727), // Rule ID 46748 //
     /*   64677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64696 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64705 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64725 */     GIR_RootConstrainSelectedInstOperands,
     /*   64726 */     // GIR_Coverage, 46748,
     /*   64726 */     GIR_EraseRootFromParent_Done,
     /*   64727 */   // Label 1049: @64727
     /*   64727 */   GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(64780), // Rule ID 46023 //
     /*   64732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   64735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64743 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   64743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   64760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64778 */     GIR_RootConstrainSelectedInstOperands,
     /*   64779 */     // GIR_Coverage, 46023,
     /*   64779 */     GIR_EraseRootFromParent_Done,
     /*   64780 */   // Label 1050: @64780
     /*   64780 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(64833), // Rule ID 46024 //
     /*   64785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   64788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64796 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   64796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   64813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64831 */     GIR_RootConstrainSelectedInstOperands,
     /*   64832 */     // GIR_Coverage, 46024,
     /*   64832 */     GIR_EraseRootFromParent_Done,
     /*   64833 */   // Label 1051: @64833
     /*   64833 */   GIM_Reject,
     /*   64834 */ // Label 1035: @64834
     /*   64834 */ GIM_Reject,
     /*   64835 */ // Label 914: @64835
     /*   64835 */ GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(65081),
     /*   64840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   64843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   64846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64854 */   GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(64918), // Rule ID 51497 //
     /*   64859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   64874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   64878 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64892 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   64892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   64895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64916 */     GIR_RootConstrainSelectedInstOperands,
     /*   64917 */     // GIR_Coverage, 51497,
     /*   64917 */     GIR_EraseRootFromParent_Done,
     /*   64918 */   // Label 1053: @64918
     /*   64918 */   GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(64982), // Rule ID 51498 //
     /*   64923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   64926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   64938 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   64942 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64956 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   64956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   64959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64980 */     GIR_RootConstrainSelectedInstOperands,
     /*   64981 */     // GIR_Coverage, 51498,
     /*   64981 */     GIR_EraseRootFromParent_Done,
     /*   64982 */   // Label 1054: @64982
     /*   64982 */   GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(65031), // Rule ID 45955 //
     /*   64987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64994 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   64994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   64997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   65011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65029 */     GIR_RootConstrainSelectedInstOperands,
     /*   65030 */     // GIR_Coverage, 45955,
     /*   65030 */     GIR_EraseRootFromParent_Done,
     /*   65031 */   // Label 1055: @65031
     /*   65031 */   GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(65080), // Rule ID 45956 //
     /*   65036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65043 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   65046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   65060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65078 */     GIR_RootConstrainSelectedInstOperands,
     /*   65079 */     // GIR_Coverage, 45956,
     /*   65079 */     GIR_EraseRootFromParent_Done,
     /*   65080 */   // Label 1056: @65080
     /*   65080 */   GIM_Reject,
     /*   65081 */ // Label 1052: @65081
     /*   65081 */ GIM_Reject,
     /*   65082 */ // Label 915: @65082
     /*   65082 */ GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(66204),
     /*   65087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   65090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   65093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65097 */   GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(65186), // Rule ID 46767 //
     /*   65102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65117 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65136 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65143 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65145 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65184 */     GIR_RootConstrainSelectedInstOperands,
     /*   65185 */     // GIR_Coverage, 46767,
     /*   65185 */     GIR_EraseRootFromParent_Done,
     /*   65186 */   // Label 1058: @65186
     /*   65186 */   GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(65275), // Rule ID 46768 //
     /*   65191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65206 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65225 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65234 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65273 */     GIR_RootConstrainSelectedInstOperands,
     /*   65274 */     // GIR_Coverage, 46768,
     /*   65274 */     GIR_EraseRootFromParent_Done,
     /*   65275 */   // Label 1059: @65275
     /*   65275 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(65364), // Rule ID 46527 //
     /*   65280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65295 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65314 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65321 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65323 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   65340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65362 */     GIR_RootConstrainSelectedInstOperands,
     /*   65363 */     // GIR_Coverage, 46527,
     /*   65363 */     GIR_EraseRootFromParent_Done,
     /*   65364 */   // Label 1060: @65364
     /*   65364 */   GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(65453), // Rule ID 46528 //
     /*   65369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65384 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65403 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65405 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65410 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65412 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   65429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65451 */     GIR_RootConstrainSelectedInstOperands,
     /*   65452 */     // GIR_Coverage, 46528,
     /*   65452 */     GIR_EraseRootFromParent_Done,
     /*   65453 */   // Label 1061: @65453
     /*   65453 */   GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(65542), // Rule ID 46647 //
     /*   65458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65473 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65480 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65484 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65488 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65492 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65499 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65501 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65540 */     GIR_RootConstrainSelectedInstOperands,
     /*   65541 */     // GIR_Coverage, 46647,
     /*   65541 */     GIR_EraseRootFromParent_Done,
     /*   65542 */   // Label 1062: @65542
     /*   65542 */   GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(65631), // Rule ID 46648 //
     /*   65547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65562 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65581 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65583 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65590 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65629 */     GIR_RootConstrainSelectedInstOperands,
     /*   65630 */     // GIR_Coverage, 46648,
     /*   65630 */     GIR_EraseRootFromParent_Done,
     /*   65631 */   // Label 1063: @65631
     /*   65631 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(65699), // Rule ID 51517 //
     /*   65636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   65655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   65659 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65673 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   65673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   65676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   65694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65697 */     GIR_RootConstrainSelectedInstOperands,
     /*   65698 */     // GIR_Coverage, 51517,
     /*   65698 */     GIR_EraseRootFromParent_Done,
     /*   65699 */   // Label 1064: @65699
     /*   65699 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(65767), // Rule ID 51518 //
     /*   65704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   65723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   65727 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65741 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   65741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   65744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   65762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65765 */     GIR_RootConstrainSelectedInstOperands,
     /*   65766 */     // GIR_Coverage, 51518,
     /*   65766 */     GIR_EraseRootFromParent_Done,
     /*   65767 */   // Label 1065: @65767
     /*   65767 */   GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(65822), // Rule ID 46827 //
     /*   65772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65791 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65800 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   65800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65820 */     GIR_RootConstrainSelectedInstOperands,
     /*   65821 */     // GIR_Coverage, 46827,
     /*   65821 */     GIR_EraseRootFromParent_Done,
     /*   65822 */   // Label 1066: @65822
     /*   65822 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(65877), // Rule ID 46828 //
     /*   65827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65855 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   65855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65875 */     GIR_RootConstrainSelectedInstOperands,
     /*   65876 */     // GIR_Coverage, 46828,
     /*   65876 */     GIR_EraseRootFromParent_Done,
     /*   65877 */   // Label 1067: @65877
     /*   65877 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(65932), // Rule ID 46587 //
     /*   65882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65901 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65910 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   65910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65930 */     GIR_RootConstrainSelectedInstOperands,
     /*   65931 */     // GIR_Coverage, 46587,
     /*   65931 */     GIR_EraseRootFromParent_Done,
     /*   65932 */   // Label 1068: @65932
     /*   65932 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(65987), // Rule ID 46588 //
     /*   65937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65965 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   65965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65985 */     GIR_RootConstrainSelectedInstOperands,
     /*   65986 */     // GIR_Coverage, 46588,
     /*   65986 */     GIR_EraseRootFromParent_Done,
     /*   65987 */   // Label 1069: @65987
     /*   65987 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(66042), // Rule ID 46707 //
     /*   65992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   66011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66020 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   66020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   66023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66040 */     GIR_RootConstrainSelectedInstOperands,
     /*   66041 */     // GIR_Coverage, 46707,
     /*   66041 */     GIR_EraseRootFromParent_Done,
     /*   66042 */   // Label 1070: @66042
     /*   66042 */   GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(66097), // Rule ID 46708 //
     /*   66047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   66066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66075 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   66075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   66078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66095 */     GIR_RootConstrainSelectedInstOperands,
     /*   66096 */     // GIR_Coverage, 46708,
     /*   66096 */     GIR_EraseRootFromParent_Done,
     /*   66097 */   // Label 1071: @66097
     /*   66097 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(66150), // Rule ID 45975 //
     /*   66102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66113 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   66116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   66130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66148 */     GIR_RootConstrainSelectedInstOperands,
     /*   66149 */     // GIR_Coverage, 45975,
     /*   66149 */     GIR_EraseRootFromParent_Done,
     /*   66150 */   // Label 1072: @66150
     /*   66150 */   GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(66203), // Rule ID 45976 //
     /*   66155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66166 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   66169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   66183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66201 */     GIR_RootConstrainSelectedInstOperands,
     /*   66202 */     // GIR_Coverage, 45976,
     /*   66202 */     GIR_EraseRootFromParent_Done,
     /*   66203 */   // Label 1073: @66203
     /*   66203 */   GIM_Reject,
     /*   66204 */ // Label 1057: @66204
     /*   66204 */ GIM_Reject,
     /*   66205 */ // Label 916: @66205
     /*   66205 */ GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(67327),
     /*   66210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   66213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   66216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66220 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(66309), // Rule ID 46791 //
     /*   66225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66259 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66268 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66307 */     GIR_RootConstrainSelectedInstOperands,
     /*   66308 */     // GIR_Coverage, 46791,
     /*   66308 */     GIR_EraseRootFromParent_Done,
     /*   66309 */   // Label 1075: @66309
     /*   66309 */   GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(66398), // Rule ID 46792 //
     /*   66314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66329 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66348 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66350 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66357 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66396 */     GIR_RootConstrainSelectedInstOperands,
     /*   66397 */     // GIR_Coverage, 46792,
     /*   66397 */     GIR_EraseRootFromParent_Done,
     /*   66398 */   // Label 1076: @66398
     /*   66398 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(66487), // Rule ID 46551 //
     /*   66403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66418 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66437 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66446 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   66463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66485 */     GIR_RootConstrainSelectedInstOperands,
     /*   66486 */     // GIR_Coverage, 46551,
     /*   66486 */     GIR_EraseRootFromParent_Done,
     /*   66487 */   // Label 1077: @66487
     /*   66487 */   GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(66576), // Rule ID 46552 //
     /*   66492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66507 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66522 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66526 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66528 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66533 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66535 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   66552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66574 */     GIR_RootConstrainSelectedInstOperands,
     /*   66575 */     // GIR_Coverage, 46552,
     /*   66575 */     GIR_EraseRootFromParent_Done,
     /*   66576 */   // Label 1078: @66576
     /*   66576 */   GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(66665), // Rule ID 46671 //
     /*   66581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66611 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66615 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66622 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66624 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66663 */     GIR_RootConstrainSelectedInstOperands,
     /*   66664 */     // GIR_Coverage, 46671,
     /*   66664 */     GIR_EraseRootFromParent_Done,
     /*   66665 */   // Label 1079: @66665
     /*   66665 */   GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(66754), // Rule ID 46672 //
     /*   66670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66704 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66713 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66752 */     GIR_RootConstrainSelectedInstOperands,
     /*   66753 */     // GIR_Coverage, 46672,
     /*   66753 */     GIR_EraseRootFromParent_Done,
     /*   66754 */   // Label 1080: @66754
     /*   66754 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(66822), // Rule ID 51553 //
     /*   66759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   66778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   66782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66796 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   66796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   66799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   66817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66820 */     GIR_RootConstrainSelectedInstOperands,
     /*   66821 */     // GIR_Coverage, 51553,
     /*   66821 */     GIR_EraseRootFromParent_Done,
     /*   66822 */   // Label 1081: @66822
     /*   66822 */   GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(66890), // Rule ID 51554 //
     /*   66827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   66846 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   66850 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66864 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   66864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   66867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   66885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66888 */     GIR_RootConstrainSelectedInstOperands,
     /*   66889 */     // GIR_Coverage, 51554,
     /*   66889 */     GIR_EraseRootFromParent_Done,
     /*   66890 */   // Label 1082: @66890
     /*   66890 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(66945), // Rule ID 46851 //
     /*   66895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66914 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66916 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66923 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   66923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   66926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66943 */     GIR_RootConstrainSelectedInstOperands,
     /*   66944 */     // GIR_Coverage, 46851,
     /*   66944 */     GIR_EraseRootFromParent_Done,
     /*   66945 */   // Label 1083: @66945
     /*   66945 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(67000), // Rule ID 46852 //
     /*   66950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66969 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66978 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   66978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   66981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66998 */     GIR_RootConstrainSelectedInstOperands,
     /*   66999 */     // GIR_Coverage, 46852,
     /*   66999 */     GIR_EraseRootFromParent_Done,
     /*   67000 */   // Label 1084: @67000
     /*   67000 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(67055), // Rule ID 46611 //
     /*   67005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67024 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67033 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   67036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67053 */     GIR_RootConstrainSelectedInstOperands,
     /*   67054 */     // GIR_Coverage, 46611,
     /*   67054 */     GIR_EraseRootFromParent_Done,
     /*   67055 */   // Label 1085: @67055
     /*   67055 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(67110), // Rule ID 46612 //
     /*   67060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67079 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67088 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   67091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67108 */     GIR_RootConstrainSelectedInstOperands,
     /*   67109 */     // GIR_Coverage, 46612,
     /*   67109 */     GIR_EraseRootFromParent_Done,
     /*   67110 */   // Label 1086: @67110
     /*   67110 */   GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(67165), // Rule ID 46731 //
     /*   67115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67143 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   67146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67163 */     GIR_RootConstrainSelectedInstOperands,
     /*   67164 */     // GIR_Coverage, 46731,
     /*   67164 */     GIR_EraseRootFromParent_Done,
     /*   67165 */   // Label 1087: @67165
     /*   67165 */   GIM_Try, /*On fail goto*//*Label 1088*/ GIMT_Encode4(67220), // Rule ID 46732 //
     /*   67170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67189 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67198 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   67201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67218 */     GIR_RootConstrainSelectedInstOperands,
     /*   67219 */     // GIR_Coverage, 46732,
     /*   67219 */     GIR_EraseRootFromParent_Done,
     /*   67220 */   // Label 1088: @67220
     /*   67220 */   GIM_Try, /*On fail goto*//*Label 1089*/ GIMT_Encode4(67273), // Rule ID 46011 //
     /*   67225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67236 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   67239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   67253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67271 */     GIR_RootConstrainSelectedInstOperands,
     /*   67272 */     // GIR_Coverage, 46011,
     /*   67272 */     GIR_EraseRootFromParent_Done,
     /*   67273 */   // Label 1089: @67273
     /*   67273 */   GIM_Try, /*On fail goto*//*Label 1090*/ GIMT_Encode4(67326), // Rule ID 46012 //
     /*   67278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67289 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   67292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   67306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67324 */     GIR_RootConstrainSelectedInstOperands,
     /*   67325 */     // GIR_Coverage, 46012,
     /*   67325 */     GIR_EraseRootFromParent_Done,
     /*   67326 */   // Label 1090: @67326
     /*   67326 */   GIM_Reject,
     /*   67327 */ // Label 1074: @67327
     /*   67327 */ GIM_Reject,
     /*   67328 */ // Label 917: @67328
     /*   67328 */ GIM_Try, /*On fail goto*//*Label 1091*/ GIMT_Encode4(68450),
     /*   67333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   67336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   67339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67343 */   GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(67432), // Rule ID 46811 //
     /*   67348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67363 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67382 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67391 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67430 */     GIR_RootConstrainSelectedInstOperands,
     /*   67431 */     // GIR_Coverage, 46811,
     /*   67431 */     GIR_EraseRootFromParent_Done,
     /*   67432 */   // Label 1092: @67432
     /*   67432 */   GIM_Try, /*On fail goto*//*Label 1093*/ GIMT_Encode4(67521), // Rule ID 46812 //
     /*   67437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67452 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67471 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67473 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67480 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67519 */     GIR_RootConstrainSelectedInstOperands,
     /*   67520 */     // GIR_Coverage, 46812,
     /*   67520 */     GIR_EraseRootFromParent_Done,
     /*   67521 */   // Label 1093: @67521
     /*   67521 */   GIM_Try, /*On fail goto*//*Label 1094*/ GIMT_Encode4(67610), // Rule ID 46571 //
     /*   67526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67541 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67556 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67560 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67562 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67567 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67569 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   67586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67608 */     GIR_RootConstrainSelectedInstOperands,
     /*   67609 */     // GIR_Coverage, 46571,
     /*   67609 */     GIR_EraseRootFromParent_Done,
     /*   67610 */   // Label 1094: @67610
     /*   67610 */   GIM_Try, /*On fail goto*//*Label 1095*/ GIMT_Encode4(67699), // Rule ID 46572 //
     /*   67615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67630 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67649 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67656 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67658 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   67675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67697 */     GIR_RootConstrainSelectedInstOperands,
     /*   67698 */     // GIR_Coverage, 46572,
     /*   67698 */     GIR_EraseRootFromParent_Done,
     /*   67699 */   // Label 1095: @67699
     /*   67699 */   GIM_Try, /*On fail goto*//*Label 1096*/ GIMT_Encode4(67788), // Rule ID 46691 //
     /*   67704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67719 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67726 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67730 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67734 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67738 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67740 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67747 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67786 */     GIR_RootConstrainSelectedInstOperands,
     /*   67787 */     // GIR_Coverage, 46691,
     /*   67787 */     GIR_EraseRootFromParent_Done,
     /*   67788 */   // Label 1096: @67788
     /*   67788 */   GIM_Try, /*On fail goto*//*Label 1097*/ GIMT_Encode4(67877), // Rule ID 46692 //
     /*   67793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67808 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67827 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67829 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67834 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67836 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67875 */     GIR_RootConstrainSelectedInstOperands,
     /*   67876 */     // GIR_Coverage, 46692,
     /*   67876 */     GIR_EraseRootFromParent_Done,
     /*   67877 */   // Label 1097: @67877
     /*   67877 */   GIM_Try, /*On fail goto*//*Label 1098*/ GIMT_Encode4(67945), // Rule ID 51569 //
     /*   67882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   67885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   67901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   67905 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67919 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   67919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   67922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   67928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   67940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67943 */     GIR_RootConstrainSelectedInstOperands,
     /*   67944 */     // GIR_Coverage, 51569,
     /*   67944 */     GIR_EraseRootFromParent_Done,
     /*   67945 */   // Label 1098: @67945
     /*   67945 */   GIM_Try, /*On fail goto*//*Label 1099*/ GIMT_Encode4(68013), // Rule ID 51570 //
     /*   67950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   67953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   67969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   67973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67987 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   67987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   67990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   67996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68011 */     GIR_RootConstrainSelectedInstOperands,
     /*   68012 */     // GIR_Coverage, 51570,
     /*   68012 */     GIR_EraseRootFromParent_Done,
     /*   68013 */   // Label 1099: @68013
     /*   68013 */   GIM_Try, /*On fail goto*//*Label 1100*/ GIMT_Encode4(68068), // Rule ID 46871 //
     /*   68018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68037 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68046 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68066 */     GIR_RootConstrainSelectedInstOperands,
     /*   68067 */     // GIR_Coverage, 46871,
     /*   68067 */     GIR_EraseRootFromParent_Done,
     /*   68068 */   // Label 1100: @68068
     /*   68068 */   GIM_Try, /*On fail goto*//*Label 1101*/ GIMT_Encode4(68123), // Rule ID 46872 //
     /*   68073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68092 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68101 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68121 */     GIR_RootConstrainSelectedInstOperands,
     /*   68122 */     // GIR_Coverage, 46872,
     /*   68122 */     GIR_EraseRootFromParent_Done,
     /*   68123 */   // Label 1101: @68123
     /*   68123 */   GIM_Try, /*On fail goto*//*Label 1102*/ GIMT_Encode4(68178), // Rule ID 46631 //
     /*   68128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68147 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68156 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   68159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68176 */     GIR_RootConstrainSelectedInstOperands,
     /*   68177 */     // GIR_Coverage, 46631,
     /*   68177 */     GIR_EraseRootFromParent_Done,
     /*   68178 */   // Label 1102: @68178
     /*   68178 */   GIM_Try, /*On fail goto*//*Label 1103*/ GIMT_Encode4(68233), // Rule ID 46632 //
     /*   68183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68202 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68211 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   68214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68231 */     GIR_RootConstrainSelectedInstOperands,
     /*   68232 */     // GIR_Coverage, 46632,
     /*   68232 */     GIR_EraseRootFromParent_Done,
     /*   68233 */   // Label 1103: @68233
     /*   68233 */   GIM_Try, /*On fail goto*//*Label 1104*/ GIMT_Encode4(68288), // Rule ID 46751 //
     /*   68238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68257 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68266 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68286 */     GIR_RootConstrainSelectedInstOperands,
     /*   68287 */     // GIR_Coverage, 46751,
     /*   68287 */     GIR_EraseRootFromParent_Done,
     /*   68288 */   // Label 1104: @68288
     /*   68288 */   GIM_Try, /*On fail goto*//*Label 1105*/ GIMT_Encode4(68343), // Rule ID 46752 //
     /*   68293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68321 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68341 */     GIR_RootConstrainSelectedInstOperands,
     /*   68342 */     // GIR_Coverage, 46752,
     /*   68342 */     GIR_EraseRootFromParent_Done,
     /*   68343 */   // Label 1105: @68343
     /*   68343 */   GIM_Try, /*On fail goto*//*Label 1106*/ GIMT_Encode4(68396), // Rule ID 46027 //
     /*   68348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   68351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68359 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   68359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   68362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   68376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68394 */     GIR_RootConstrainSelectedInstOperands,
     /*   68395 */     // GIR_Coverage, 46027,
     /*   68395 */     GIR_EraseRootFromParent_Done,
     /*   68396 */   // Label 1106: @68396
     /*   68396 */   GIM_Try, /*On fail goto*//*Label 1107*/ GIMT_Encode4(68449), // Rule ID 46028 //
     /*   68401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   68404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68412 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   68412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   68415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   68429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68447 */     GIR_RootConstrainSelectedInstOperands,
     /*   68448 */     // GIR_Coverage, 46028,
     /*   68448 */     GIR_EraseRootFromParent_Done,
     /*   68449 */   // Label 1107: @68449
     /*   68449 */   GIM_Reject,
     /*   68450 */ // Label 1091: @68450
     /*   68450 */ GIM_Reject,
     /*   68451 */ // Label 918: @68451
     /*   68451 */ GIM_Try, /*On fail goto*//*Label 1108*/ GIMT_Encode4(68697),
     /*   68456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   68462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68470 */   GIM_Try, /*On fail goto*//*Label 1109*/ GIMT_Encode4(68534), // Rule ID 51513 //
     /*   68475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68490 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   68494 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68508 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   68508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   68511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68532 */     GIR_RootConstrainSelectedInstOperands,
     /*   68533 */     // GIR_Coverage, 51513,
     /*   68533 */     GIR_EraseRootFromParent_Done,
     /*   68534 */   // Label 1109: @68534
     /*   68534 */   GIM_Try, /*On fail goto*//*Label 1110*/ GIMT_Encode4(68598), // Rule ID 51514 //
     /*   68539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   68558 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68572 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   68572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   68575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68596 */     GIR_RootConstrainSelectedInstOperands,
     /*   68597 */     // GIR_Coverage, 51514,
     /*   68597 */     GIR_EraseRootFromParent_Done,
     /*   68598 */   // Label 1110: @68598
     /*   68598 */   GIM_Try, /*On fail goto*//*Label 1111*/ GIMT_Encode4(68647), // Rule ID 45971 //
     /*   68603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68610 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   68613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   68627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68645 */     GIR_RootConstrainSelectedInstOperands,
     /*   68646 */     // GIR_Coverage, 45971,
     /*   68646 */     GIR_EraseRootFromParent_Done,
     /*   68647 */   // Label 1111: @68647
     /*   68647 */   GIM_Try, /*On fail goto*//*Label 1112*/ GIMT_Encode4(68696), // Rule ID 45972 //
     /*   68652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68659 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   68659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   68662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   68676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68694 */     GIR_RootConstrainSelectedInstOperands,
     /*   68695 */     // GIR_Coverage, 45972,
     /*   68695 */     GIR_EraseRootFromParent_Done,
     /*   68696 */   // Label 1112: @68696
     /*   68696 */   GIM_Reject,
     /*   68697 */ // Label 1108: @68697
     /*   68697 */ GIM_Reject,
     /*   68698 */ // Label 919: @68698
     /*   68698 */ GIM_Try, /*On fail goto*//*Label 1113*/ GIMT_Encode4(69820),
     /*   68703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   68706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   68709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68713 */   GIM_Try, /*On fail goto*//*Label 1114*/ GIMT_Encode4(68802), // Rule ID 46771 //
     /*   68718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68733 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68752 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68754 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68761 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   68764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68800 */     GIR_RootConstrainSelectedInstOperands,
     /*   68801 */     // GIR_Coverage, 46771,
     /*   68801 */     GIR_EraseRootFromParent_Done,
     /*   68802 */   // Label 1114: @68802
     /*   68802 */   GIM_Try, /*On fail goto*//*Label 1115*/ GIMT_Encode4(68891), // Rule ID 46772 //
     /*   68807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68822 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68841 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68848 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68850 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   68850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   68853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68889 */     GIR_RootConstrainSelectedInstOperands,
     /*   68890 */     // GIR_Coverage, 46772,
     /*   68890 */     GIR_EraseRootFromParent_Done,
     /*   68891 */   // Label 1115: @68891
     /*   68891 */   GIM_Try, /*On fail goto*//*Label 1116*/ GIMT_Encode4(68980), // Rule ID 46531 //
     /*   68896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68911 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68930 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68939 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   68942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   68956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68978 */     GIR_RootConstrainSelectedInstOperands,
     /*   68979 */     // GIR_Coverage, 46531,
     /*   68979 */     GIR_EraseRootFromParent_Done,
     /*   68980 */   // Label 1116: @68980
     /*   68980 */   GIM_Try, /*On fail goto*//*Label 1117*/ GIMT_Encode4(69069), // Rule ID 46532 //
     /*   68985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69019 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69021 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69028 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   69045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69067 */     GIR_RootConstrainSelectedInstOperands,
     /*   69068 */     // GIR_Coverage, 46532,
     /*   69068 */     GIR_EraseRootFromParent_Done,
     /*   69069 */   // Label 1117: @69069
     /*   69069 */   GIM_Try, /*On fail goto*//*Label 1118*/ GIMT_Encode4(69158), // Rule ID 46651 //
     /*   69074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69089 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69108 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69110 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69115 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69117 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   69134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69156 */     GIR_RootConstrainSelectedInstOperands,
     /*   69157 */     // GIR_Coverage, 46651,
     /*   69157 */     GIR_EraseRootFromParent_Done,
     /*   69158 */   // Label 1118: @69158
     /*   69158 */   GIM_Try, /*On fail goto*//*Label 1119*/ GIMT_Encode4(69247), // Rule ID 46652 //
     /*   69163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69178 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69197 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69199 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69204 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69206 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   69223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69245 */     GIR_RootConstrainSelectedInstOperands,
     /*   69246 */     // GIR_Coverage, 46652,
     /*   69246 */     GIR_EraseRootFromParent_Done,
     /*   69247 */   // Label 1119: @69247
     /*   69247 */   GIM_Try, /*On fail goto*//*Label 1120*/ GIMT_Encode4(69315), // Rule ID 51541 //
     /*   69252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69271 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   69275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69282 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69289 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   69289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   69292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69313 */     GIR_RootConstrainSelectedInstOperands,
     /*   69314 */     // GIR_Coverage, 51541,
     /*   69314 */     GIR_EraseRootFromParent_Done,
     /*   69315 */   // Label 1120: @69315
     /*   69315 */   GIM_Try, /*On fail goto*//*Label 1121*/ GIMT_Encode4(69383), // Rule ID 51542 //
     /*   69320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   69343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69357 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   69357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   69360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69381 */     GIR_RootConstrainSelectedInstOperands,
     /*   69382 */     // GIR_Coverage, 51542,
     /*   69382 */     GIR_EraseRootFromParent_Done,
     /*   69383 */   // Label 1121: @69383
     /*   69383 */   GIM_Try, /*On fail goto*//*Label 1122*/ GIMT_Encode4(69438), // Rule ID 46831 //
     /*   69388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69407 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69416 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69436 */     GIR_RootConstrainSelectedInstOperands,
     /*   69437 */     // GIR_Coverage, 46831,
     /*   69437 */     GIR_EraseRootFromParent_Done,
     /*   69438 */   // Label 1122: @69438
     /*   69438 */   GIM_Try, /*On fail goto*//*Label 1123*/ GIMT_Encode4(69493), // Rule ID 46832 //
     /*   69443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69462 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69471 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69491 */     GIR_RootConstrainSelectedInstOperands,
     /*   69492 */     // GIR_Coverage, 46832,
     /*   69492 */     GIR_EraseRootFromParent_Done,
     /*   69493 */   // Label 1123: @69493
     /*   69493 */   GIM_Try, /*On fail goto*//*Label 1124*/ GIMT_Encode4(69548), // Rule ID 46591 //
     /*   69498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69517 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69526 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   69529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69546 */     GIR_RootConstrainSelectedInstOperands,
     /*   69547 */     // GIR_Coverage, 46591,
     /*   69547 */     GIR_EraseRootFromParent_Done,
     /*   69548 */   // Label 1124: @69548
     /*   69548 */   GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(69603), // Rule ID 46592 //
     /*   69553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69572 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69581 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   69584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69601 */     GIR_RootConstrainSelectedInstOperands,
     /*   69602 */     // GIR_Coverage, 46592,
     /*   69602 */     GIR_EraseRootFromParent_Done,
     /*   69603 */   // Label 1125: @69603
     /*   69603 */   GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(69658), // Rule ID 46711 //
     /*   69608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69627 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69636 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69656 */     GIR_RootConstrainSelectedInstOperands,
     /*   69657 */     // GIR_Coverage, 46711,
     /*   69657 */     GIR_EraseRootFromParent_Done,
     /*   69658 */   // Label 1126: @69658
     /*   69658 */   GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(69713), // Rule ID 46712 //
     /*   69663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69682 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69691 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69711 */     GIR_RootConstrainSelectedInstOperands,
     /*   69712 */     // GIR_Coverage, 46712,
     /*   69712 */     GIR_EraseRootFromParent_Done,
     /*   69713 */   // Label 1127: @69713
     /*   69713 */   GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(69766), // Rule ID 45999 //
     /*   69718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69729 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   69729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   69746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69764 */     GIR_RootConstrainSelectedInstOperands,
     /*   69765 */     // GIR_Coverage, 45999,
     /*   69765 */     GIR_EraseRootFromParent_Done,
     /*   69766 */   // Label 1128: @69766
     /*   69766 */   GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(69819), // Rule ID 46000 //
     /*   69771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69782 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   69782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   69799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69817 */     GIR_RootConstrainSelectedInstOperands,
     /*   69818 */     // GIR_Coverage, 46000,
     /*   69818 */     GIR_EraseRootFromParent_Done,
     /*   69819 */   // Label 1129: @69819
     /*   69819 */   GIM_Reject,
     /*   69820 */ // Label 1113: @69820
     /*   69820 */ GIM_Reject,
     /*   69821 */ // Label 920: @69821
     /*   69821 */ GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(70943),
     /*   69826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   69829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   69832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   69836 */   GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(69925), // Rule ID 46795 //
     /*   69841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69871 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69875 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69877 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69882 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69884 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   69884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   69887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   69901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69923 */     GIR_RootConstrainSelectedInstOperands,
     /*   69924 */     // GIR_Coverage, 46795,
     /*   69924 */     GIR_EraseRootFromParent_Done,
     /*   69925 */   // Label 1131: @69925
     /*   69925 */   GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(70014), // Rule ID 46796 //
     /*   69930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69945 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69964 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69966 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69971 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69973 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   69973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   69976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   69990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70012 */     GIR_RootConstrainSelectedInstOperands,
     /*   70013 */     // GIR_Coverage, 46796,
     /*   70013 */     GIR_EraseRootFromParent_Done,
     /*   70014 */   // Label 1132: @70014
     /*   70014 */   GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(70103), // Rule ID 46555 //
     /*   70019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70030 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70034 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70053 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70055 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70060 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70062 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   70079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70101 */     GIR_RootConstrainSelectedInstOperands,
     /*   70102 */     // GIR_Coverage, 46555,
     /*   70102 */     GIR_EraseRootFromParent_Done,
     /*   70103 */   // Label 1133: @70103
     /*   70103 */   GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(70192), // Rule ID 46556 //
     /*   70108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70123 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70142 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70144 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70149 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70151 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   70168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70190 */     GIR_RootConstrainSelectedInstOperands,
     /*   70191 */     // GIR_Coverage, 46556,
     /*   70191 */     GIR_EraseRootFromParent_Done,
     /*   70192 */   // Label 1134: @70192
     /*   70192 */   GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(70281), // Rule ID 46675 //
     /*   70197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70212 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70231 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70233 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70238 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70240 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   70257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70279 */     GIR_RootConstrainSelectedInstOperands,
     /*   70280 */     // GIR_Coverage, 46675,
     /*   70280 */     GIR_EraseRootFromParent_Done,
     /*   70281 */   // Label 1135: @70281
     /*   70281 */   GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(70370), // Rule ID 46676 //
     /*   70286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70301 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70320 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70327 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70329 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   70346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70368 */     GIR_RootConstrainSelectedInstOperands,
     /*   70369 */     // GIR_Coverage, 46676,
     /*   70369 */     GIR_EraseRootFromParent_Done,
     /*   70370 */   // Label 1136: @70370
     /*   70370 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(70438), // Rule ID 51557 //
     /*   70375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   70390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70394 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   70398 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70412 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   70412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   70415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   70421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70436 */     GIR_RootConstrainSelectedInstOperands,
     /*   70437 */     // GIR_Coverage, 51557,
     /*   70437 */     GIR_EraseRootFromParent_Done,
     /*   70438 */   // Label 1137: @70438
     /*   70438 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(70506), // Rule ID 51558 //
     /*   70443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   70458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70462 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   70466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70480 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   70480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   70483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   70489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70504 */     GIR_RootConstrainSelectedInstOperands,
     /*   70505 */     // GIR_Coverage, 51558,
     /*   70505 */     GIR_EraseRootFromParent_Done,
     /*   70506 */   // Label 1138: @70506
     /*   70506 */   GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(70561), // Rule ID 46855 //
     /*   70511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70530 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70539 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   70539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70559 */     GIR_RootConstrainSelectedInstOperands,
     /*   70560 */     // GIR_Coverage, 46855,
     /*   70560 */     GIR_EraseRootFromParent_Done,
     /*   70561 */   // Label 1139: @70561
     /*   70561 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(70616), // Rule ID 46856 //
     /*   70566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70585 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70594 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   70594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70614 */     GIR_RootConstrainSelectedInstOperands,
     /*   70615 */     // GIR_Coverage, 46856,
     /*   70615 */     GIR_EraseRootFromParent_Done,
     /*   70616 */   // Label 1140: @70616
     /*   70616 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(70671), // Rule ID 46615 //
     /*   70621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70640 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70649 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   70649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   70652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70669 */     GIR_RootConstrainSelectedInstOperands,
     /*   70670 */     // GIR_Coverage, 46615,
     /*   70670 */     GIR_EraseRootFromParent_Done,
     /*   70671 */   // Label 1141: @70671
     /*   70671 */   GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(70726), // Rule ID 46616 //
     /*   70676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70695 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70704 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   70704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   70707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70724 */     GIR_RootConstrainSelectedInstOperands,
     /*   70725 */     // GIR_Coverage, 46616,
     /*   70725 */     GIR_EraseRootFromParent_Done,
     /*   70726 */   // Label 1142: @70726
     /*   70726 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(70781), // Rule ID 46735 //
     /*   70731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70750 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70752 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70759 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   70759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70779 */     GIR_RootConstrainSelectedInstOperands,
     /*   70780 */     // GIR_Coverage, 46735,
     /*   70780 */     GIR_EraseRootFromParent_Done,
     /*   70781 */   // Label 1143: @70781
     /*   70781 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(70836), // Rule ID 46736 //
     /*   70786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70805 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70814 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   70814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70834 */     GIR_RootConstrainSelectedInstOperands,
     /*   70835 */     // GIR_Coverage, 46736,
     /*   70835 */     GIR_EraseRootFromParent_Done,
     /*   70836 */   // Label 1144: @70836
     /*   70836 */   GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(70889), // Rule ID 46015 //
     /*   70841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70852 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   70852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   70869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70887 */     GIR_RootConstrainSelectedInstOperands,
     /*   70888 */     // GIR_Coverage, 46015,
     /*   70888 */     GIR_EraseRootFromParent_Done,
     /*   70889 */   // Label 1145: @70889
     /*   70889 */   GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(70942), // Rule ID 46016 //
     /*   70894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70905 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   70905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   70922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70940 */     GIR_RootConstrainSelectedInstOperands,
     /*   70941 */     // GIR_Coverage, 46016,
     /*   70941 */     GIR_EraseRootFromParent_Done,
     /*   70942 */   // Label 1146: @70942
     /*   70942 */   GIM_Reject,
     /*   70943 */ // Label 1130: @70943
     /*   70943 */ GIM_Reject,
     /*   70944 */ // Label 921: @70944
     /*   70944 */ GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(72066),
     /*   70949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   70952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   70955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   70959 */   GIM_Try, /*On fail goto*//*Label 1148*/ GIMT_Encode4(71048), // Rule ID 46815 //
     /*   70964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   70967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70979 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70994 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70998 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71000 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71007 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71046 */     GIR_RootConstrainSelectedInstOperands,
     /*   71047 */     // GIR_Coverage, 46815,
     /*   71047 */     GIR_EraseRootFromParent_Done,
     /*   71048 */   // Label 1148: @71048
     /*   71048 */   GIM_Try, /*On fail goto*//*Label 1149*/ GIMT_Encode4(71137), // Rule ID 46816 //
     /*   71053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71075 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71079 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71083 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71087 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71089 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71094 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71096 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71135 */     GIR_RootConstrainSelectedInstOperands,
     /*   71136 */     // GIR_Coverage, 46816,
     /*   71136 */     GIR_EraseRootFromParent_Done,
     /*   71137 */   // Label 1149: @71137
     /*   71137 */   GIM_Try, /*On fail goto*//*Label 1150*/ GIMT_Encode4(71226), // Rule ID 46575 //
     /*   71142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71157 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71176 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71178 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71185 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   71202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71224 */     GIR_RootConstrainSelectedInstOperands,
     /*   71225 */     // GIR_Coverage, 46575,
     /*   71225 */     GIR_EraseRootFromParent_Done,
     /*   71226 */   // Label 1150: @71226
     /*   71226 */   GIM_Try, /*On fail goto*//*Label 1151*/ GIMT_Encode4(71315), // Rule ID 46576 //
     /*   71231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71261 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71265 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71272 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71274 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   71291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71313 */     GIR_RootConstrainSelectedInstOperands,
     /*   71314 */     // GIR_Coverage, 46576,
     /*   71314 */     GIR_EraseRootFromParent_Done,
     /*   71315 */   // Label 1151: @71315
     /*   71315 */   GIM_Try, /*On fail goto*//*Label 1152*/ GIMT_Encode4(71404), // Rule ID 46695 //
     /*   71320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71335 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71354 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71363 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71402 */     GIR_RootConstrainSelectedInstOperands,
     /*   71403 */     // GIR_Coverage, 46695,
     /*   71403 */     GIR_EraseRootFromParent_Done,
     /*   71404 */   // Label 1152: @71404
     /*   71404 */   GIM_Try, /*On fail goto*//*Label 1153*/ GIMT_Encode4(71493), // Rule ID 46696 //
     /*   71409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71439 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71443 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71445 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71450 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71452 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71491 */     GIR_RootConstrainSelectedInstOperands,
     /*   71492 */     // GIR_Coverage, 46696,
     /*   71492 */     GIR_EraseRootFromParent_Done,
     /*   71493 */   // Label 1153: @71493
     /*   71493 */   GIM_Try, /*On fail goto*//*Label 1154*/ GIMT_Encode4(71561), // Rule ID 51573 //
     /*   71498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   71501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   71513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   71517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   71521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71535 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   71535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   71538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   71544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71559 */     GIR_RootConstrainSelectedInstOperands,
     /*   71560 */     // GIR_Coverage, 51573,
     /*   71560 */     GIR_EraseRootFromParent_Done,
     /*   71561 */   // Label 1154: @71561
     /*   71561 */   GIM_Try, /*On fail goto*//*Label 1155*/ GIMT_Encode4(71629), // Rule ID 51574 //
     /*   71566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   71569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   71581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   71585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   71589 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71591 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71603 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   71603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   71606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   71612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71627 */     GIR_RootConstrainSelectedInstOperands,
     /*   71628 */     // GIR_Coverage, 51574,
     /*   71628 */     GIR_EraseRootFromParent_Done,
     /*   71629 */   // Label 1155: @71629
     /*   71629 */   GIM_Try, /*On fail goto*//*Label 1156*/ GIMT_Encode4(71684), // Rule ID 46875 //
     /*   71634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71662 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   71662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71682 */     GIR_RootConstrainSelectedInstOperands,
     /*   71683 */     // GIR_Coverage, 46875,
     /*   71683 */     GIR_EraseRootFromParent_Done,
     /*   71684 */   // Label 1156: @71684
     /*   71684 */   GIM_Try, /*On fail goto*//*Label 1157*/ GIMT_Encode4(71739), // Rule ID 46876 //
     /*   71689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71708 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71717 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   71717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71737 */     GIR_RootConstrainSelectedInstOperands,
     /*   71738 */     // GIR_Coverage, 46876,
     /*   71738 */     GIR_EraseRootFromParent_Done,
     /*   71739 */   // Label 1157: @71739
     /*   71739 */   GIM_Try, /*On fail goto*//*Label 1158*/ GIMT_Encode4(71794), // Rule ID 46635 //
     /*   71744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71763 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71772 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   71772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   71775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71792 */     GIR_RootConstrainSelectedInstOperands,
     /*   71793 */     // GIR_Coverage, 46635,
     /*   71793 */     GIR_EraseRootFromParent_Done,
     /*   71794 */   // Label 1158: @71794
     /*   71794 */   GIM_Try, /*On fail goto*//*Label 1159*/ GIMT_Encode4(71849), // Rule ID 46636 //
     /*   71799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71827 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   71827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   71830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71847 */     GIR_RootConstrainSelectedInstOperands,
     /*   71848 */     // GIR_Coverage, 46636,
     /*   71848 */     GIR_EraseRootFromParent_Done,
     /*   71849 */   // Label 1159: @71849
     /*   71849 */   GIM_Try, /*On fail goto*//*Label 1160*/ GIMT_Encode4(71904), // Rule ID 46755 //
     /*   71854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71873 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71882 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   71882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71902 */     GIR_RootConstrainSelectedInstOperands,
     /*   71903 */     // GIR_Coverage, 46755,
     /*   71903 */     GIR_EraseRootFromParent_Done,
     /*   71904 */   // Label 1160: @71904
     /*   71904 */   GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(71959), // Rule ID 46756 //
     /*   71909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71928 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71937 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   71937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71957 */     GIR_RootConstrainSelectedInstOperands,
     /*   71958 */     // GIR_Coverage, 46756,
     /*   71958 */     GIR_EraseRootFromParent_Done,
     /*   71959 */   // Label 1161: @71959
     /*   71959 */   GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(72012), // Rule ID 46031 //
     /*   71964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   71967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71975 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   71975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   71992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72010 */     GIR_RootConstrainSelectedInstOperands,
     /*   72011 */     // GIR_Coverage, 46031,
     /*   72011 */     GIR_EraseRootFromParent_Done,
     /*   72012 */   // Label 1162: @72012
     /*   72012 */   GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(72065), // Rule ID 46032 //
     /*   72017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   72020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   72024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   72028 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   72028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   72031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   72045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72063 */     GIR_RootConstrainSelectedInstOperands,
     /*   72064 */     // GIR_Coverage, 46032,
     /*   72064 */     GIR_EraseRootFromParent_Done,
     /*   72065 */   // Label 1163: @72065
     /*   72065 */   GIM_Reject,
     /*   72066 */ // Label 1147: @72066
     /*   72066 */ GIM_Reject,
     /*   72067 */ // Label 922: @72067
     /*   72067 */ GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(72313),
     /*   72072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   72078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72086 */   GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(72150), // Rule ID 51529 //
     /*   72091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72106 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   72110 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72124 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   72124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   72127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72148 */     GIR_RootConstrainSelectedInstOperands,
     /*   72149 */     // GIR_Coverage, 51529,
     /*   72149 */     GIR_EraseRootFromParent_Done,
     /*   72150 */   // Label 1165: @72150
     /*   72150 */   GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(72214), // Rule ID 51530 //
     /*   72155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   72174 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72188 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   72188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   72191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72212 */     GIR_RootConstrainSelectedInstOperands,
     /*   72213 */     // GIR_Coverage, 51530,
     /*   72213 */     GIR_EraseRootFromParent_Done,
     /*   72214 */   // Label 1166: @72214
     /*   72214 */   GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(72263), // Rule ID 45987 //
     /*   72219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72226 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   72229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   72243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72261 */     GIR_RootConstrainSelectedInstOperands,
     /*   72262 */     // GIR_Coverage, 45987,
     /*   72262 */     GIR_EraseRootFromParent_Done,
     /*   72263 */   // Label 1167: @72263
     /*   72263 */   GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(72312), // Rule ID 45988 //
     /*   72268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72275 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   72278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   72292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72310 */     GIR_RootConstrainSelectedInstOperands,
     /*   72311 */     // GIR_Coverage, 45988,
     /*   72311 */     GIR_EraseRootFromParent_Done,
     /*   72312 */   // Label 1168: @72312
     /*   72312 */   GIM_Reject,
     /*   72313 */ // Label 1164: @72313
     /*   72313 */ GIM_Reject,
     /*   72314 */ // Label 923: @72314
     /*   72314 */ GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(73436),
     /*   72319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   72322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   72325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72329 */   GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(72418), // Rule ID 46775 //
     /*   72334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72349 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72351 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72368 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72370 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72375 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72377 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72416 */     GIR_RootConstrainSelectedInstOperands,
     /*   72417 */     // GIR_Coverage, 46775,
     /*   72417 */     GIR_EraseRootFromParent_Done,
     /*   72418 */   // Label 1170: @72418
     /*   72418 */   GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(72507), // Rule ID 46776 //
     /*   72423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72438 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72445 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72449 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72453 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72457 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72464 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72466 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72505 */     GIR_RootConstrainSelectedInstOperands,
     /*   72506 */     // GIR_Coverage, 46776,
     /*   72506 */     GIR_EraseRootFromParent_Done,
     /*   72507 */   // Label 1171: @72507
     /*   72507 */   GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(72596), // Rule ID 46535 //
     /*   72512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72527 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72529 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72546 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72548 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72553 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72555 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   72572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72594 */     GIR_RootConstrainSelectedInstOperands,
     /*   72595 */     // GIR_Coverage, 46535,
     /*   72595 */     GIR_EraseRootFromParent_Done,
     /*   72596 */   // Label 1172: @72596
     /*   72596 */   GIM_Try, /*On fail goto*//*Label 1173*/ GIMT_Encode4(72685), // Rule ID 46536 //
     /*   72601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72623 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72627 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72631 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72635 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72637 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72642 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72644 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   72661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72683 */     GIR_RootConstrainSelectedInstOperands,
     /*   72684 */     // GIR_Coverage, 46536,
     /*   72684 */     GIR_EraseRootFromParent_Done,
     /*   72685 */   // Label 1173: @72685
     /*   72685 */   GIM_Try, /*On fail goto*//*Label 1174*/ GIMT_Encode4(72774), // Rule ID 46655 //
     /*   72690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72705 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72724 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72733 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72772 */     GIR_RootConstrainSelectedInstOperands,
     /*   72773 */     // GIR_Coverage, 46655,
     /*   72773 */     GIR_EraseRootFromParent_Done,
     /*   72774 */   // Label 1174: @72774
     /*   72774 */   GIM_Try, /*On fail goto*//*Label 1175*/ GIMT_Encode4(72863), // Rule ID 46656 //
     /*   72779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72794 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72813 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72822 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72861 */     GIR_RootConstrainSelectedInstOperands,
     /*   72862 */     // GIR_Coverage, 46656,
     /*   72862 */     GIR_EraseRootFromParent_Done,
     /*   72863 */   // Label 1175: @72863
     /*   72863 */   GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(72931), // Rule ID 51545 //
     /*   72868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   72887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   72891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72905 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   72905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   72926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72929 */     GIR_RootConstrainSelectedInstOperands,
     /*   72930 */     // GIR_Coverage, 51545,
     /*   72930 */     GIR_EraseRootFromParent_Done,
     /*   72931 */   // Label 1176: @72931
     /*   72931 */   GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(72999), // Rule ID 51546 //
     /*   72936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   72955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   72959 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72973 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   72973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   72994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72997 */     GIR_RootConstrainSelectedInstOperands,
     /*   72998 */     // GIR_Coverage, 51546,
     /*   72998 */     GIR_EraseRootFromParent_Done,
     /*   72999 */   // Label 1177: @72999
     /*   72999 */   GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(73054), // Rule ID 46835 //
     /*   73004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73023 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73032 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73052 */     GIR_RootConstrainSelectedInstOperands,
     /*   73053 */     // GIR_Coverage, 46835,
     /*   73053 */     GIR_EraseRootFromParent_Done,
     /*   73054 */   // Label 1178: @73054
     /*   73054 */   GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(73109), // Rule ID 46836 //
     /*   73059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73078 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73087 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73107 */     GIR_RootConstrainSelectedInstOperands,
     /*   73108 */     // GIR_Coverage, 46836,
     /*   73108 */     GIR_EraseRootFromParent_Done,
     /*   73109 */   // Label 1179: @73109
     /*   73109 */   GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(73164), // Rule ID 46595 //
     /*   73114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73133 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73142 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   73145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73162 */     GIR_RootConstrainSelectedInstOperands,
     /*   73163 */     // GIR_Coverage, 46595,
     /*   73163 */     GIR_EraseRootFromParent_Done,
     /*   73164 */   // Label 1180: @73164
     /*   73164 */   GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(73219), // Rule ID 46596 //
     /*   73169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73188 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73197 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   73200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73217 */     GIR_RootConstrainSelectedInstOperands,
     /*   73218 */     // GIR_Coverage, 46596,
     /*   73218 */     GIR_EraseRootFromParent_Done,
     /*   73219 */   // Label 1181: @73219
     /*   73219 */   GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(73274), // Rule ID 46715 //
     /*   73224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73243 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73252 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73272 */     GIR_RootConstrainSelectedInstOperands,
     /*   73273 */     // GIR_Coverage, 46715,
     /*   73273 */     GIR_EraseRootFromParent_Done,
     /*   73274 */   // Label 1182: @73274
     /*   73274 */   GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(73329), // Rule ID 46716 //
     /*   73279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73307 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73327 */     GIR_RootConstrainSelectedInstOperands,
     /*   73328 */     // GIR_Coverage, 46716,
     /*   73328 */     GIR_EraseRootFromParent_Done,
     /*   73329 */   // Label 1183: @73329
     /*   73329 */   GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(73382), // Rule ID 46003 //
     /*   73334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73345 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   73348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   73362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   73371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73380 */     GIR_RootConstrainSelectedInstOperands,
     /*   73381 */     // GIR_Coverage, 46003,
     /*   73381 */     GIR_EraseRootFromParent_Done,
     /*   73382 */   // Label 1184: @73382
     /*   73382 */   GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(73435), // Rule ID 46004 //
     /*   73387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73398 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   73401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   73415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   73424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73433 */     GIR_RootConstrainSelectedInstOperands,
     /*   73434 */     // GIR_Coverage, 46004,
     /*   73434 */     GIR_EraseRootFromParent_Done,
     /*   73435 */   // Label 1185: @73435
     /*   73435 */   GIM_Reject,
     /*   73436 */ // Label 1169: @73436
     /*   73436 */ GIM_Reject,
     /*   73437 */ // Label 924: @73437
     /*   73437 */ GIM_Try, /*On fail goto*//*Label 1186*/ GIMT_Encode4(74559),
     /*   73442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   73445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   73448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   73452 */   GIM_Try, /*On fail goto*//*Label 1187*/ GIMT_Encode4(73541), // Rule ID 46799 //
     /*   73457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73472 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73479 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73483 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73487 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73491 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73493 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73498 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73500 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73539 */     GIR_RootConstrainSelectedInstOperands,
     /*   73540 */     // GIR_Coverage, 46799,
     /*   73540 */     GIR_EraseRootFromParent_Done,
     /*   73541 */   // Label 1187: @73541
     /*   73541 */   GIM_Try, /*On fail goto*//*Label 1188*/ GIMT_Encode4(73630), // Rule ID 46800 //
     /*   73546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73561 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73580 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73582 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73587 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73589 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73628 */     GIR_RootConstrainSelectedInstOperands,
     /*   73629 */     // GIR_Coverage, 46800,
     /*   73629 */     GIR_EraseRootFromParent_Done,
     /*   73630 */   // Label 1188: @73630
     /*   73630 */   GIM_Try, /*On fail goto*//*Label 1189*/ GIMT_Encode4(73719), // Rule ID 46559 //
     /*   73635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73650 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73669 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73676 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73678 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   73695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73717 */     GIR_RootConstrainSelectedInstOperands,
     /*   73718 */     // GIR_Coverage, 46559,
     /*   73718 */     GIR_EraseRootFromParent_Done,
     /*   73719 */   // Label 1189: @73719
     /*   73719 */   GIM_Try, /*On fail goto*//*Label 1190*/ GIMT_Encode4(73808), // Rule ID 46560 //
     /*   73724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73739 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73754 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73758 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73760 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73765 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73767 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   73784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73806 */     GIR_RootConstrainSelectedInstOperands,
     /*   73807 */     // GIR_Coverage, 46560,
     /*   73807 */     GIR_EraseRootFromParent_Done,
     /*   73808 */   // Label 1190: @73808
     /*   73808 */   GIM_Try, /*On fail goto*//*Label 1191*/ GIMT_Encode4(73897), // Rule ID 46679 //
     /*   73813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73828 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73843 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73847 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73849 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73854 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73856 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73895 */     GIR_RootConstrainSelectedInstOperands,
     /*   73896 */     // GIR_Coverage, 46679,
     /*   73896 */     GIR_EraseRootFromParent_Done,
     /*   73897 */   // Label 1191: @73897
     /*   73897 */   GIM_Try, /*On fail goto*//*Label 1192*/ GIMT_Encode4(73986), // Rule ID 46680 //
     /*   73902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73917 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73936 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73938 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73943 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73945 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73984 */     GIR_RootConstrainSelectedInstOperands,
     /*   73985 */     // GIR_Coverage, 46680,
     /*   73985 */     GIR_EraseRootFromParent_Done,
     /*   73986 */   // Label 1192: @73986
     /*   73986 */   GIM_Try, /*On fail goto*//*Label 1193*/ GIMT_Encode4(74054), // Rule ID 51561 //
     /*   73991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   73998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   74010 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   74014 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74028 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   74028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   74031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74052 */     GIR_RootConstrainSelectedInstOperands,
     /*   74053 */     // GIR_Coverage, 51561,
     /*   74053 */     GIR_EraseRootFromParent_Done,
     /*   74054 */   // Label 1193: @74054
     /*   74054 */   GIM_Try, /*On fail goto*//*Label 1194*/ GIMT_Encode4(74122), // Rule ID 51562 //
     /*   74059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   74078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   74082 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74096 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   74096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   74099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74120 */     GIR_RootConstrainSelectedInstOperands,
     /*   74121 */     // GIR_Coverage, 51562,
     /*   74121 */     GIR_EraseRootFromParent_Done,
     /*   74122 */   // Label 1194: @74122
     /*   74122 */   GIM_Try, /*On fail goto*//*Label 1195*/ GIMT_Encode4(74177), // Rule ID 46859 //
     /*   74127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74155 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74175 */     GIR_RootConstrainSelectedInstOperands,
     /*   74176 */     // GIR_Coverage, 46859,
     /*   74176 */     GIR_EraseRootFromParent_Done,
     /*   74177 */   // Label 1195: @74177
     /*   74177 */   GIM_Try, /*On fail goto*//*Label 1196*/ GIMT_Encode4(74232), // Rule ID 46860 //
     /*   74182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74201 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74210 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74230 */     GIR_RootConstrainSelectedInstOperands,
     /*   74231 */     // GIR_Coverage, 46860,
     /*   74231 */     GIR_EraseRootFromParent_Done,
     /*   74232 */   // Label 1196: @74232
     /*   74232 */   GIM_Try, /*On fail goto*//*Label 1197*/ GIMT_Encode4(74287), // Rule ID 46619 //
     /*   74237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74256 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74265 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   74268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74285 */     GIR_RootConstrainSelectedInstOperands,
     /*   74286 */     // GIR_Coverage, 46619,
     /*   74286 */     GIR_EraseRootFromParent_Done,
     /*   74287 */   // Label 1197: @74287
     /*   74287 */   GIM_Try, /*On fail goto*//*Label 1198*/ GIMT_Encode4(74342), // Rule ID 46620 //
     /*   74292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74311 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74320 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   74323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74340 */     GIR_RootConstrainSelectedInstOperands,
     /*   74341 */     // GIR_Coverage, 46620,
     /*   74341 */     GIR_EraseRootFromParent_Done,
     /*   74342 */   // Label 1198: @74342
     /*   74342 */   GIM_Try, /*On fail goto*//*Label 1199*/ GIMT_Encode4(74397), // Rule ID 46739 //
     /*   74347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74375 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74395 */     GIR_RootConstrainSelectedInstOperands,
     /*   74396 */     // GIR_Coverage, 46739,
     /*   74396 */     GIR_EraseRootFromParent_Done,
     /*   74397 */   // Label 1199: @74397
     /*   74397 */   GIM_Try, /*On fail goto*//*Label 1200*/ GIMT_Encode4(74452), // Rule ID 46740 //
     /*   74402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74430 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74450 */     GIR_RootConstrainSelectedInstOperands,
     /*   74451 */     // GIR_Coverage, 46740,
     /*   74451 */     GIR_EraseRootFromParent_Done,
     /*   74452 */   // Label 1200: @74452
     /*   74452 */   GIM_Try, /*On fail goto*//*Label 1201*/ GIMT_Encode4(74505), // Rule ID 46019 //
     /*   74457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74468 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   74468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   74471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   74485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74503 */     GIR_RootConstrainSelectedInstOperands,
     /*   74504 */     // GIR_Coverage, 46019,
     /*   74504 */     GIR_EraseRootFromParent_Done,
     /*   74505 */   // Label 1201: @74505
     /*   74505 */   GIM_Try, /*On fail goto*//*Label 1202*/ GIMT_Encode4(74558), // Rule ID 46020 //
     /*   74510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74521 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   74521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   74524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   74538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74556 */     GIR_RootConstrainSelectedInstOperands,
     /*   74557 */     // GIR_Coverage, 46020,
     /*   74557 */     GIR_EraseRootFromParent_Done,
     /*   74558 */   // Label 1202: @74558
     /*   74558 */   GIM_Reject,
     /*   74559 */ // Label 1186: @74559
     /*   74559 */ GIM_Reject,
     /*   74560 */ // Label 925: @74560
     /*   74560 */ GIM_Try, /*On fail goto*//*Label 1203*/ GIMT_Encode4(74806),
     /*   74565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   74571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74579 */   GIM_Try, /*On fail goto*//*Label 1204*/ GIMT_Encode4(74643), // Rule ID 51533 //
     /*   74584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74599 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   74603 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74610 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74617 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   74617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74641 */     GIR_RootConstrainSelectedInstOperands,
     /*   74642 */     // GIR_Coverage, 51533,
     /*   74642 */     GIR_EraseRootFromParent_Done,
     /*   74643 */   // Label 1204: @74643
     /*   74643 */   GIM_Try, /*On fail goto*//*Label 1205*/ GIMT_Encode4(74707), // Rule ID 51534 //
     /*   74648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   74667 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74681 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   74681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74705 */     GIR_RootConstrainSelectedInstOperands,
     /*   74706 */     // GIR_Coverage, 51534,
     /*   74706 */     GIR_EraseRootFromParent_Done,
     /*   74707 */   // Label 1205: @74707
     /*   74707 */   GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(74756), // Rule ID 45991 //
     /*   74712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74719 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   74719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   74722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   74736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74754 */     GIR_RootConstrainSelectedInstOperands,
     /*   74755 */     // GIR_Coverage, 45991,
     /*   74755 */     GIR_EraseRootFromParent_Done,
     /*   74756 */   // Label 1206: @74756
     /*   74756 */   GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(74805), // Rule ID 45992 //
     /*   74761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74768 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   74768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   74771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   74785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74803 */     GIR_RootConstrainSelectedInstOperands,
     /*   74804 */     // GIR_Coverage, 45992,
     /*   74804 */     GIR_EraseRootFromParent_Done,
     /*   74805 */   // Label 1207: @74805
     /*   74805 */   GIM_Reject,
     /*   74806 */ // Label 1203: @74806
     /*   74806 */ GIM_Reject,
     /*   74807 */ // Label 926: @74807
     /*   74807 */ GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(75929),
     /*   74812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   74815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   74818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74822 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(74911), // Rule ID 46779 //
     /*   74827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74842 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74861 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74870 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   74870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   74873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   74887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74909 */     GIR_RootConstrainSelectedInstOperands,
     /*   74910 */     // GIR_Coverage, 46779,
     /*   74910 */     GIR_EraseRootFromParent_Done,
     /*   74911 */   // Label 1209: @74911
     /*   74911 */   GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(75000), // Rule ID 46780 //
     /*   74916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74931 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74950 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74952 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74957 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74959 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   74959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   74962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   74976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74998 */     GIR_RootConstrainSelectedInstOperands,
     /*   74999 */     // GIR_Coverage, 46780,
     /*   74999 */     GIR_EraseRootFromParent_Done,
     /*   75000 */   // Label 1210: @75000
     /*   75000 */   GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(75089), // Rule ID 46539 //
     /*   75005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75020 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75035 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75039 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75041 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75048 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   75048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   75065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75087 */     GIR_RootConstrainSelectedInstOperands,
     /*   75088 */     // GIR_Coverage, 46539,
     /*   75088 */     GIR_EraseRootFromParent_Done,
     /*   75089 */   // Label 1211: @75089
     /*   75089 */   GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(75178), // Rule ID 46540 //
     /*   75094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75109 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75128 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75130 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75135 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75137 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   75137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   75154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75176 */     GIR_RootConstrainSelectedInstOperands,
     /*   75177 */     // GIR_Coverage, 46540,
     /*   75177 */     GIR_EraseRootFromParent_Done,
     /*   75178 */   // Label 1212: @75178
     /*   75178 */   GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(75267), // Rule ID 46659 //
     /*   75183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75198 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75217 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75219 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75224 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75226 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   75226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75265 */     GIR_RootConstrainSelectedInstOperands,
     /*   75266 */     // GIR_Coverage, 46659,
     /*   75266 */     GIR_EraseRootFromParent_Done,
     /*   75267 */   // Label 1213: @75267
     /*   75267 */   GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(75356), // Rule ID 46660 //
     /*   75272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75287 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75306 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75313 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75315 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   75315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75354 */     GIR_RootConstrainSelectedInstOperands,
     /*   75355 */     // GIR_Coverage, 46660,
     /*   75355 */     GIR_EraseRootFromParent_Done,
     /*   75356 */   // Label 1214: @75356
     /*   75356 */   GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(75424), // Rule ID 51549 //
     /*   75361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   75380 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   75384 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75398 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   75398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75422 */     GIR_RootConstrainSelectedInstOperands,
     /*   75423 */     // GIR_Coverage, 51549,
     /*   75423 */     GIR_EraseRootFromParent_Done,
     /*   75424 */   // Label 1215: @75424
     /*   75424 */   GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(75492), // Rule ID 51550 //
     /*   75429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   75448 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   75452 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75466 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   75466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75490 */     GIR_RootConstrainSelectedInstOperands,
     /*   75491 */     // GIR_Coverage, 51550,
     /*   75491 */     GIR_EraseRootFromParent_Done,
     /*   75492 */   // Label 1216: @75492
     /*   75492 */   GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(75547), // Rule ID 46839 //
     /*   75497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75516 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75525 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75545 */     GIR_RootConstrainSelectedInstOperands,
     /*   75546 */     // GIR_Coverage, 46839,
     /*   75546 */     GIR_EraseRootFromParent_Done,
     /*   75547 */   // Label 1217: @75547
     /*   75547 */   GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(75602), // Rule ID 46840 //
     /*   75552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75571 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75580 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   75580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75600 */     GIR_RootConstrainSelectedInstOperands,
     /*   75601 */     // GIR_Coverage, 46840,
     /*   75601 */     GIR_EraseRootFromParent_Done,
     /*   75602 */   // Label 1218: @75602
     /*   75602 */   GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(75657), // Rule ID 46599 //
     /*   75607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75635 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   75638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75655 */     GIR_RootConstrainSelectedInstOperands,
     /*   75656 */     // GIR_Coverage, 46599,
     /*   75656 */     GIR_EraseRootFromParent_Done,
     /*   75657 */   // Label 1219: @75657
     /*   75657 */   GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(75712), // Rule ID 46600 //
     /*   75662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75681 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75690 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   75690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   75693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75710 */     GIR_RootConstrainSelectedInstOperands,
     /*   75711 */     // GIR_Coverage, 46600,
     /*   75711 */     GIR_EraseRootFromParent_Done,
     /*   75712 */   // Label 1220: @75712
     /*   75712 */   GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(75767), // Rule ID 46719 //
     /*   75717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75736 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75745 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75765 */     GIR_RootConstrainSelectedInstOperands,
     /*   75766 */     // GIR_Coverage, 46719,
     /*   75766 */     GIR_EraseRootFromParent_Done,
     /*   75767 */   // Label 1221: @75767
     /*   75767 */   GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(75822), // Rule ID 46720 //
     /*   75772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75791 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75800 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   75800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75820 */     GIR_RootConstrainSelectedInstOperands,
     /*   75821 */     // GIR_Coverage, 46720,
     /*   75821 */     GIR_EraseRootFromParent_Done,
     /*   75822 */   // Label 1222: @75822
     /*   75822 */   GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(75875), // Rule ID 46007 //
     /*   75827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75838 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   75838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   75855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75873 */     GIR_RootConstrainSelectedInstOperands,
     /*   75874 */     // GIR_Coverage, 46007,
     /*   75874 */     GIR_EraseRootFromParent_Done,
     /*   75875 */   // Label 1223: @75875
     /*   75875 */   GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(75928), // Rule ID 46008 //
     /*   75880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75891 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   75891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   75908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75926 */     GIR_RootConstrainSelectedInstOperands,
     /*   75927 */     // GIR_Coverage, 46008,
     /*   75927 */     GIR_EraseRootFromParent_Done,
     /*   75928 */   // Label 1224: @75928
     /*   75928 */   GIM_Reject,
     /*   75929 */ // Label 1208: @75929
     /*   75929 */ GIM_Reject,
     /*   75930 */ // Label 927: @75930
     /*   75930 */ GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(76176),
     /*   75935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   75938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   75941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75949 */   GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(76013), // Rule ID 51537 //
     /*   75954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   75969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   75973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75987 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76011 */     GIR_RootConstrainSelectedInstOperands,
     /*   76012 */     // GIR_Coverage, 51537,
     /*   76012 */     GIR_EraseRootFromParent_Done,
     /*   76013 */   // Label 1226: @76013
     /*   76013 */   GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(76077), // Rule ID 51538 //
     /*   76018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   76029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   76033 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   76037 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76051 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   76051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   76054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   76060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76075 */     GIR_RootConstrainSelectedInstOperands,
     /*   76076 */     // GIR_Coverage, 51538,
     /*   76076 */     GIR_EraseRootFromParent_Done,
     /*   76077 */   // Label 1227: @76077
     /*   76077 */   GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(76126), // Rule ID 45995 //
     /*   76082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76089 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   76092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76124 */     GIR_RootConstrainSelectedInstOperands,
     /*   76125 */     // GIR_Coverage, 45995,
     /*   76125 */     GIR_EraseRootFromParent_Done,
     /*   76126 */   // Label 1228: @76126
     /*   76126 */   GIM_Try, /*On fail goto*//*Label 1229*/ GIMT_Encode4(76175), // Rule ID 45996 //
     /*   76131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76138 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   76141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76173 */     GIR_RootConstrainSelectedInstOperands,
     /*   76174 */     // GIR_Coverage, 45996,
     /*   76174 */     GIR_EraseRootFromParent_Done,
     /*   76175 */   // Label 1229: @76175
     /*   76175 */   GIM_Reject,
     /*   76176 */ // Label 1225: @76176
     /*   76176 */ GIM_Reject,
     /*   76177 */ // Label 928: @76177
     /*   76177 */ GIM_Reject,
     /*   76178 */ // Label 2: @76178
     /*   76178 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1254*/ GIMT_Encode4(103231),
     /*   76189 */ /*GILLT_s32*//*Label 1230*/ GIMT_Encode4(76313),
     /*   76193 */ /*GILLT_s64*//*Label 1231*/ GIMT_Encode4(76347), GIMT_Encode4(0),
     /*   76201 */ /*GILLT_nxv1s8*//*Label 1232*/ GIMT_Encode4(76551),
     /*   76205 */ /*GILLT_nxv1s16*//*Label 1233*/ GIMT_Encode4(76666),
     /*   76209 */ /*GILLT_nxv1s32*//*Label 1234*/ GIMT_Encode4(78391),
     /*   76213 */ /*GILLT_nxv1s64*//*Label 1235*/ GIMT_Encode4(80116), GIMT_Encode4(0),
     /*   76221 */ /*GILLT_nxv2s8*//*Label 1236*/ GIMT_Encode4(81841),
     /*   76225 */ /*GILLT_nxv2s16*//*Label 1237*/ GIMT_Encode4(81956),
     /*   76229 */ /*GILLT_nxv2s32*//*Label 1238*/ GIMT_Encode4(83681),
     /*   76233 */ /*GILLT_nxv2s64*//*Label 1239*/ GIMT_Encode4(85406), GIMT_Encode4(0),
     /*   76241 */ /*GILLT_nxv4s8*//*Label 1240*/ GIMT_Encode4(87131),
     /*   76245 */ /*GILLT_nxv4s16*//*Label 1241*/ GIMT_Encode4(87246),
     /*   76249 */ /*GILLT_nxv4s32*//*Label 1242*/ GIMT_Encode4(88971),
     /*   76253 */ /*GILLT_nxv4s64*//*Label 1243*/ GIMT_Encode4(90696), GIMT_Encode4(0),
     /*   76261 */ /*GILLT_nxv8s8*//*Label 1244*/ GIMT_Encode4(92421),
     /*   76265 */ /*GILLT_nxv8s16*//*Label 1245*/ GIMT_Encode4(92536),
     /*   76269 */ /*GILLT_nxv8s32*//*Label 1246*/ GIMT_Encode4(94261),
     /*   76273 */ /*GILLT_nxv8s64*//*Label 1247*/ GIMT_Encode4(95986), GIMT_Encode4(0),
     /*   76281 */ /*GILLT_nxv16s8*//*Label 1248*/ GIMT_Encode4(97711),
     /*   76285 */ /*GILLT_nxv16s16*//*Label 1249*/ GIMT_Encode4(97826),
     /*   76289 */ /*GILLT_nxv16s32*//*Label 1250*/ GIMT_Encode4(99551), GIMT_Encode4(0),
     /*   76297 */ /*GILLT_nxv32s8*//*Label 1251*/ GIMT_Encode4(101276),
     /*   76301 */ /*GILLT_nxv32s16*//*Label 1252*/ GIMT_Encode4(101391), GIMT_Encode4(0),
     /*   76309 */ /*GILLT_nxv64s8*//*Label 1253*/ GIMT_Encode4(103116),
     /*   76313 */ // Label 1230: @76313
     /*   76313 */ GIM_Try, /*On fail goto*//*Label 1255*/ GIMT_Encode4(76346), // Rule ID 289 //
     /*   76318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /*   76321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   76324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   76327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76339 */   // (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MUL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76339 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   76344 */   GIR_RootConstrainSelectedInstOperands,
     /*   76345 */   // GIR_Coverage, 289,
     /*   76345 */   GIR_Done,
     /*   76346 */ // Label 1255: @76346
     /*   76346 */ GIM_Reject,
     /*   76347 */ // Label 1231: @76347
     /*   76347 */ GIM_Try, /*On fail goto*//*Label 1256*/ GIMT_Encode4(76550),
     /*   76352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   76355 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   76358 */   GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(76491), // Rule ID 311 //
     /*   76363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0),
     /*   76366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   76378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   76382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   76386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76391 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*   76402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   76410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   76414 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   76418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76423 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*   76434 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76436 */     // (mul:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (and:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 4294967295:{ *:[i64] }))  =>  (MULHU:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))
     /*   76436 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   76439 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   76443 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76448 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   76452 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/32,
     /*   76455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   76457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   76460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   76464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76473 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*   76476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /*   76481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   76489 */     GIR_RootConstrainSelectedInstOperands,
     /*   76490 */     // GIR_Coverage, 311,
     /*   76490 */     GIR_EraseRootFromParent_Done,
     /*   76491 */   // Label 1257: @76491
     /*   76491 */   GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(76522), // Rule ID 304 //
     /*   76496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_HwMode0),
     /*   76499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76511 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10044),
     /*   76515 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10044>>  =>  (MULW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   76515 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULW),
     /*   76520 */     GIR_RootConstrainSelectedInstOperands,
     /*   76521 */     // GIR_Coverage, 304,
     /*   76521 */     GIR_Done,
     /*   76522 */   // Label 1258: @76522
     /*   76522 */   GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(76549), // Rule ID 288 //
     /*   76527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /*   76530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76542 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MUL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   76542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   76547 */     GIR_RootConstrainSelectedInstOperands,
     /*   76548 */     // GIR_Coverage, 288,
     /*   76548 */     GIR_Done,
     /*   76549 */   // Label 1259: @76549
     /*   76549 */   GIM_Reject,
     /*   76550 */ // Label 1256: @76550
     /*   76550 */ GIM_Reject,
     /*   76551 */ // Label 1232: @76551
     /*   76551 */ GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(76665),
     /*   76556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   76562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76574 */   GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(76619), // Rule ID 50399 //
     /*   76579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76582 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   76585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   76599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76617 */     GIR_RootConstrainSelectedInstOperands,
     /*   76618 */     // GIR_Coverage, 50399,
     /*   76618 */     GIR_EraseRootFromParent_Done,
     /*   76619 */   // Label 1261: @76619
     /*   76619 */   GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(76664), // Rule ID 50400 //
     /*   76624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76627 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   76630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   76644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76662 */     GIR_RootConstrainSelectedInstOperands,
     /*   76663 */     // GIR_Coverage, 50400,
     /*   76663 */     GIR_EraseRootFromParent_Done,
     /*   76664 */   // Label 1262: @76664
     /*   76664 */   GIM_Reject,
     /*   76665 */ // Label 1260: @76665
     /*   76665 */ GIM_Reject,
     /*   76666 */ // Label 1233: @76666
     /*   76666 */ GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(78390),
     /*   76671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   76674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   76677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76681 */   GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(76770), // Rule ID 51165 //
     /*   76686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76701 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76720 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76722 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76729 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   76746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76768 */     GIR_RootConstrainSelectedInstOperands,
     /*   76769 */     // GIR_Coverage, 51165,
     /*   76769 */     GIR_EraseRootFromParent_Done,
     /*   76770 */   // Label 1264: @76770
     /*   76770 */   GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(76859), // Rule ID 51166 //
     /*   76775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76790 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76809 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76811 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76818 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   76835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76857 */     GIR_RootConstrainSelectedInstOperands,
     /*   76858 */     // GIR_Coverage, 51166,
     /*   76858 */     GIR_EraseRootFromParent_Done,
     /*   76859 */   // Label 1265: @76859
     /*   76859 */   GIM_Try, /*On fail goto*//*Label 1266*/ GIMT_Encode4(76948), // Rule ID 69237 //
     /*   76864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76879 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76898 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76900 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76905 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76907 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   76924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   76933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76946 */     GIR_RootConstrainSelectedInstOperands,
     /*   76947 */     // GIR_Coverage, 69237,
     /*   76947 */     GIR_EraseRootFromParent_Done,
     /*   76948 */   // Label 1266: @76948
     /*   76948 */   GIM_Try, /*On fail goto*//*Label 1267*/ GIMT_Encode4(77037), // Rule ID 69238 //
     /*   76953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76968 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76983 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76987 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76989 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76994 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76996 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   77022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77035 */     GIR_RootConstrainSelectedInstOperands,
     /*   77036 */     // GIR_Coverage, 69238,
     /*   77036 */     GIR_EraseRootFromParent_Done,
     /*   77037 */   // Label 1267: @77037
     /*   77037 */   GIM_Try, /*On fail goto*//*Label 1268*/ GIMT_Encode4(77126), // Rule ID 69117 //
     /*   77042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77057 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77076 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77078 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77083 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77085 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   77111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77124 */     GIR_RootConstrainSelectedInstOperands,
     /*   77125 */     // GIR_Coverage, 69117,
     /*   77125 */     GIR_EraseRootFromParent_Done,
     /*   77126 */   // Label 1268: @77126
     /*   77126 */   GIM_Try, /*On fail goto*//*Label 1269*/ GIMT_Encode4(77215), // Rule ID 69118 //
     /*   77131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77165 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77167 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77172 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77174 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   77200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77213 */     GIR_RootConstrainSelectedInstOperands,
     /*   77214 */     // GIR_Coverage, 69118,
     /*   77214 */     GIR_EraseRootFromParent_Done,
     /*   77215 */   // Label 1269: @77215
     /*   77215 */   GIM_Try, /*On fail goto*//*Label 1270*/ GIMT_Encode4(77304), // Rule ID 51345 //
     /*   77220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77254 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77261 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77263 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77302 */     GIR_RootConstrainSelectedInstOperands,
     /*   77303 */     // GIR_Coverage, 51345,
     /*   77303 */     GIR_EraseRootFromParent_Done,
     /*   77304 */   // Label 1270: @77304
     /*   77304 */   GIM_Try, /*On fail goto*//*Label 1271*/ GIMT_Encode4(77393), // Rule ID 51346 //
     /*   77309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77324 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77343 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77350 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77352 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77391 */     GIR_RootConstrainSelectedInstOperands,
     /*   77392 */     // GIR_Coverage, 51346,
     /*   77392 */     GIR_EraseRootFromParent_Done,
     /*   77393 */   // Label 1271: @77393
     /*   77393 */   GIM_Try, /*On fail goto*//*Label 1272*/ GIMT_Encode4(77482), // Rule ID 51045 //
     /*   77398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77413 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77432 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77434 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77439 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77441 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   77458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77480 */     GIR_RootConstrainSelectedInstOperands,
     /*   77481 */     // GIR_Coverage, 51045,
     /*   77481 */     GIR_EraseRootFromParent_Done,
     /*   77482 */   // Label 1272: @77482
     /*   77482 */   GIM_Try, /*On fail goto*//*Label 1273*/ GIMT_Encode4(77571), // Rule ID 51046 //
     /*   77487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77502 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77521 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77523 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77528 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77530 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   77547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77569 */     GIR_RootConstrainSelectedInstOperands,
     /*   77570 */     // GIR_Coverage, 51046,
     /*   77570 */     GIR_EraseRootFromParent_Done,
     /*   77571 */   // Label 1273: @77571
     /*   77571 */   GIM_Try, /*On fail goto*//*Label 1274*/ GIMT_Encode4(77660), // Rule ID 51285 //
     /*   77576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77591 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77610 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77617 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77619 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77658 */     GIR_RootConstrainSelectedInstOperands,
     /*   77659 */     // GIR_Coverage, 51285,
     /*   77659 */     GIR_EraseRootFromParent_Done,
     /*   77660 */   // Label 1274: @77660
     /*   77660 */   GIM_Try, /*On fail goto*//*Label 1275*/ GIMT_Encode4(77749), // Rule ID 51286 //
     /*   77665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77680 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77699 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77706 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77708 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77747 */     GIR_RootConstrainSelectedInstOperands,
     /*   77748 */     // GIR_Coverage, 51286,
     /*   77748 */     GIR_EraseRootFromParent_Done,
     /*   77749 */   // Label 1275: @77749
     /*   77749 */   GIM_Try, /*On fail goto*//*Label 1276*/ GIMT_Encode4(77838), // Rule ID 51225 //
     /*   77754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77769 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77776 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77780 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77784 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77788 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77790 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77795 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77797 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77836 */     GIR_RootConstrainSelectedInstOperands,
     /*   77837 */     // GIR_Coverage, 51225,
     /*   77837 */     GIR_EraseRootFromParent_Done,
     /*   77838 */   // Label 1276: @77838
     /*   77838 */   GIM_Try, /*On fail goto*//*Label 1277*/ GIMT_Encode4(77927), // Rule ID 51226 //
     /*   77843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77858 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77877 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77879 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77886 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77925 */     GIR_RootConstrainSelectedInstOperands,
     /*   77926 */     // GIR_Coverage, 51226,
     /*   77926 */     GIR_EraseRootFromParent_Done,
     /*   77927 */   // Label 1277: @77927
     /*   77927 */   GIM_Try, /*On fail goto*//*Label 1278*/ GIMT_Encode4(78016), // Rule ID 69177 //
     /*   77932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77947 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77966 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77975 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78014 */     GIR_RootConstrainSelectedInstOperands,
     /*   78015 */     // GIR_Coverage, 69177,
     /*   78015 */     GIR_EraseRootFromParent_Done,
     /*   78016 */   // Label 1278: @78016
     /*   78016 */   GIM_Try, /*On fail goto*//*Label 1279*/ GIMT_Encode4(78105), // Rule ID 69178 //
     /*   78021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78036 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78055 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78062 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78064 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   78064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   78081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78103 */     GIR_RootConstrainSelectedInstOperands,
     /*   78104 */     // GIR_Coverage, 69178,
     /*   78104 */     GIR_EraseRootFromParent_Done,
     /*   78105 */   // Label 1279: @78105
     /*   78105 */   GIM_Try, /*On fail goto*//*Label 1280*/ GIMT_Encode4(78194), // Rule ID 51105 //
     /*   78110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78125 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78132 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78136 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78140 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78144 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78153 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   78153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   78170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78192 */     GIR_RootConstrainSelectedInstOperands,
     /*   78193 */     // GIR_Coverage, 51105,
     /*   78193 */     GIR_EraseRootFromParent_Done,
     /*   78194 */   // Label 1280: @78194
     /*   78194 */   GIM_Try, /*On fail goto*//*Label 1281*/ GIMT_Encode4(78283), // Rule ID 51106 //
     /*   78199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78214 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78216 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78233 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78235 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78240 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78242 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   78242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   78259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78281 */     GIR_RootConstrainSelectedInstOperands,
     /*   78282 */     // GIR_Coverage, 51106,
     /*   78282 */     GIR_EraseRootFromParent_Done,
     /*   78283 */   // Label 1281: @78283
     /*   78283 */   GIM_Try, /*On fail goto*//*Label 1282*/ GIMT_Encode4(78336), // Rule ID 50411 //
     /*   78288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78299 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   78316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78334 */     GIR_RootConstrainSelectedInstOperands,
     /*   78335 */     // GIR_Coverage, 50411,
     /*   78335 */     GIR_EraseRootFromParent_Done,
     /*   78336 */   // Label 1282: @78336
     /*   78336 */   GIM_Try, /*On fail goto*//*Label 1283*/ GIMT_Encode4(78389), // Rule ID 50412 //
     /*   78341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78352 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   78369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78387 */     GIR_RootConstrainSelectedInstOperands,
     /*   78388 */     // GIR_Coverage, 50412,
     /*   78388 */     GIR_EraseRootFromParent_Done,
     /*   78389 */   // Label 1283: @78389
     /*   78389 */   GIM_Reject,
     /*   78390 */ // Label 1263: @78390
     /*   78390 */ GIM_Reject,
     /*   78391 */ // Label 1234: @78391
     /*   78391 */ GIM_Try, /*On fail goto*//*Label 1284*/ GIMT_Encode4(80115),
     /*   78396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   78399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   78402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78406 */   GIM_Try, /*On fail goto*//*Label 1285*/ GIMT_Encode4(78495), // Rule ID 51189 //
     /*   78411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78445 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78454 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78493 */     GIR_RootConstrainSelectedInstOperands,
     /*   78494 */     // GIR_Coverage, 51189,
     /*   78494 */     GIR_EraseRootFromParent_Done,
     /*   78495 */   // Label 1285: @78495
     /*   78495 */   GIM_Try, /*On fail goto*//*Label 1286*/ GIMT_Encode4(78584), // Rule ID 51190 //
     /*   78500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78515 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78517 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78534 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78541 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78543 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78582 */     GIR_RootConstrainSelectedInstOperands,
     /*   78583 */     // GIR_Coverage, 51190,
     /*   78583 */     GIR_EraseRootFromParent_Done,
     /*   78584 */   // Label 1286: @78584
     /*   78584 */   GIM_Try, /*On fail goto*//*Label 1287*/ GIMT_Encode4(78673), // Rule ID 69261 //
     /*   78589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78604 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78623 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78632 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   78649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78671 */     GIR_RootConstrainSelectedInstOperands,
     /*   78672 */     // GIR_Coverage, 69261,
     /*   78672 */     GIR_EraseRootFromParent_Done,
     /*   78673 */   // Label 1287: @78673
     /*   78673 */   GIM_Try, /*On fail goto*//*Label 1288*/ GIMT_Encode4(78762), // Rule ID 69262 //
     /*   78678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78693 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78712 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78714 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78719 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78721 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   78738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78760 */     GIR_RootConstrainSelectedInstOperands,
     /*   78761 */     // GIR_Coverage, 69262,
     /*   78761 */     GIR_EraseRootFromParent_Done,
     /*   78762 */   // Label 1288: @78762
     /*   78762 */   GIM_Try, /*On fail goto*//*Label 1289*/ GIMT_Encode4(78851), // Rule ID 69141 //
     /*   78767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78801 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78803 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78810 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78849 */     GIR_RootConstrainSelectedInstOperands,
     /*   78850 */     // GIR_Coverage, 69141,
     /*   78850 */     GIR_EraseRootFromParent_Done,
     /*   78851 */   // Label 1289: @78851
     /*   78851 */   GIM_Try, /*On fail goto*//*Label 1290*/ GIMT_Encode4(78940), // Rule ID 69142 //
     /*   78856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78871 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78890 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78899 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78938 */     GIR_RootConstrainSelectedInstOperands,
     /*   78939 */     // GIR_Coverage, 69142,
     /*   78939 */     GIR_EraseRootFromParent_Done,
     /*   78940 */   // Label 1290: @78940
     /*   78940 */   GIM_Try, /*On fail goto*//*Label 1291*/ GIMT_Encode4(79029), // Rule ID 51369 //
     /*   78945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78967 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78971 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78975 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78979 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78981 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78986 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78988 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79027 */     GIR_RootConstrainSelectedInstOperands,
     /*   79028 */     // GIR_Coverage, 51369,
     /*   79028 */     GIR_EraseRootFromParent_Done,
     /*   79029 */   // Label 1291: @79029
     /*   79029 */   GIM_Try, /*On fail goto*//*Label 1292*/ GIMT_Encode4(79118), // Rule ID 51370 //
     /*   79034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79049 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79068 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79070 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79075 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79077 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79116 */     GIR_RootConstrainSelectedInstOperands,
     /*   79117 */     // GIR_Coverage, 51370,
     /*   79117 */     GIR_EraseRootFromParent_Done,
     /*   79118 */   // Label 1292: @79118
     /*   79118 */   GIM_Try, /*On fail goto*//*Label 1293*/ GIMT_Encode4(79207), // Rule ID 51069 //
     /*   79123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79138 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79157 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79159 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79164 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79166 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   79183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79205 */     GIR_RootConstrainSelectedInstOperands,
     /*   79206 */     // GIR_Coverage, 51069,
     /*   79206 */     GIR_EraseRootFromParent_Done,
     /*   79207 */   // Label 1293: @79207
     /*   79207 */   GIM_Try, /*On fail goto*//*Label 1294*/ GIMT_Encode4(79296), // Rule ID 51070 //
     /*   79212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79227 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79246 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79253 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79255 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   79272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79294 */     GIR_RootConstrainSelectedInstOperands,
     /*   79295 */     // GIR_Coverage, 51070,
     /*   79295 */     GIR_EraseRootFromParent_Done,
     /*   79296 */   // Label 1294: @79296
     /*   79296 */   GIM_Try, /*On fail goto*//*Label 1295*/ GIMT_Encode4(79385), // Rule ID 51309 //
     /*   79301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79335 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79342 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79344 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79383 */     GIR_RootConstrainSelectedInstOperands,
     /*   79384 */     // GIR_Coverage, 51309,
     /*   79384 */     GIR_EraseRootFromParent_Done,
     /*   79385 */   // Label 1295: @79385
     /*   79385 */   GIM_Try, /*On fail goto*//*Label 1296*/ GIMT_Encode4(79474), // Rule ID 51310 //
     /*   79390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79405 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79424 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79433 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79472 */     GIR_RootConstrainSelectedInstOperands,
     /*   79473 */     // GIR_Coverage, 51310,
     /*   79473 */     GIR_EraseRootFromParent_Done,
     /*   79474 */   // Label 1296: @79474
     /*   79474 */   GIM_Try, /*On fail goto*//*Label 1297*/ GIMT_Encode4(79563), // Rule ID 51249 //
     /*   79479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79494 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79513 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79522 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79561 */     GIR_RootConstrainSelectedInstOperands,
     /*   79562 */     // GIR_Coverage, 51249,
     /*   79562 */     GIR_EraseRootFromParent_Done,
     /*   79563 */   // Label 1297: @79563
     /*   79563 */   GIM_Try, /*On fail goto*//*Label 1298*/ GIMT_Encode4(79652), // Rule ID 51250 //
     /*   79568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79583 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79602 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79611 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79650 */     GIR_RootConstrainSelectedInstOperands,
     /*   79651 */     // GIR_Coverage, 51250,
     /*   79651 */     GIR_EraseRootFromParent_Done,
     /*   79652 */   // Label 1298: @79652
     /*   79652 */   GIM_Try, /*On fail goto*//*Label 1299*/ GIMT_Encode4(79741), // Rule ID 69201 //
     /*   79657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79672 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79691 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79700 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   79726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79739 */     GIR_RootConstrainSelectedInstOperands,
     /*   79740 */     // GIR_Coverage, 69201,
     /*   79740 */     GIR_EraseRootFromParent_Done,
     /*   79741 */   // Label 1299: @79741
     /*   79741 */   GIM_Try, /*On fail goto*//*Label 1300*/ GIMT_Encode4(79830), // Rule ID 69202 //
     /*   79746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79761 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79780 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79789 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   79815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79828 */     GIR_RootConstrainSelectedInstOperands,
     /*   79829 */     // GIR_Coverage, 69202,
     /*   79829 */     GIR_EraseRootFromParent_Done,
     /*   79830 */   // Label 1300: @79830
     /*   79830 */   GIM_Try, /*On fail goto*//*Label 1301*/ GIMT_Encode4(79919), // Rule ID 51129 //
     /*   79835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79850 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79869 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79871 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79876 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79878 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79917 */     GIR_RootConstrainSelectedInstOperands,
     /*   79918 */     // GIR_Coverage, 51129,
     /*   79918 */     GIR_EraseRootFromParent_Done,
     /*   79919 */   // Label 1301: @79919
     /*   79919 */   GIM_Try, /*On fail goto*//*Label 1302*/ GIMT_Encode4(80008), // Rule ID 51130 //
     /*   79924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79939 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79958 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79960 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79965 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79967 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80006 */     GIR_RootConstrainSelectedInstOperands,
     /*   80007 */     // GIR_Coverage, 51130,
     /*   80007 */     GIR_EraseRootFromParent_Done,
     /*   80008 */   // Label 1302: @80008
     /*   80008 */   GIM_Try, /*On fail goto*//*Label 1303*/ GIMT_Encode4(80061), // Rule ID 50419 //
     /*   80013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80024 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   80027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   80041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80059 */     GIR_RootConstrainSelectedInstOperands,
     /*   80060 */     // GIR_Coverage, 50419,
     /*   80060 */     GIR_EraseRootFromParent_Done,
     /*   80061 */   // Label 1303: @80061
     /*   80061 */   GIM_Try, /*On fail goto*//*Label 1304*/ GIMT_Encode4(80114), // Rule ID 50420 //
     /*   80066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80077 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   80080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   80094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80112 */     GIR_RootConstrainSelectedInstOperands,
     /*   80113 */     // GIR_Coverage, 50420,
     /*   80113 */     GIR_EraseRootFromParent_Done,
     /*   80114 */   // Label 1304: @80114
     /*   80114 */   GIM_Reject,
     /*   80115 */ // Label 1284: @80115
     /*   80115 */ GIM_Reject,
     /*   80116 */ // Label 1235: @80116
     /*   80116 */ GIM_Try, /*On fail goto*//*Label 1305*/ GIMT_Encode4(81840),
     /*   80121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   80124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   80127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80131 */   GIM_Try, /*On fail goto*//*Label 1306*/ GIMT_Encode4(80220), // Rule ID 51209 //
     /*   80136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80162 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80166 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80170 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80172 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80177 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80179 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80218 */     GIR_RootConstrainSelectedInstOperands,
     /*   80219 */     // GIR_Coverage, 51209,
     /*   80219 */     GIR_EraseRootFromParent_Done,
     /*   80220 */   // Label 1306: @80220
     /*   80220 */   GIM_Try, /*On fail goto*//*Label 1307*/ GIMT_Encode4(80309), // Rule ID 51210 //
     /*   80225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80259 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80268 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80307 */     GIR_RootConstrainSelectedInstOperands,
     /*   80308 */     // GIR_Coverage, 51210,
     /*   80308 */     GIR_EraseRootFromParent_Done,
     /*   80309 */   // Label 1307: @80309
     /*   80309 */   GIM_Try, /*On fail goto*//*Label 1308*/ GIMT_Encode4(80398), // Rule ID 69281 //
     /*   80314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80329 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80348 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80350 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80357 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80396 */     GIR_RootConstrainSelectedInstOperands,
     /*   80397 */     // GIR_Coverage, 69281,
     /*   80397 */     GIR_EraseRootFromParent_Done,
     /*   80398 */   // Label 1308: @80398
     /*   80398 */   GIM_Try, /*On fail goto*//*Label 1309*/ GIMT_Encode4(80487), // Rule ID 69282 //
     /*   80403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80418 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80437 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80446 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80485 */     GIR_RootConstrainSelectedInstOperands,
     /*   80486 */     // GIR_Coverage, 69282,
     /*   80486 */     GIR_EraseRootFromParent_Done,
     /*   80487 */   // Label 1309: @80487
     /*   80487 */   GIM_Try, /*On fail goto*//*Label 1310*/ GIMT_Encode4(80576), // Rule ID 69161 //
     /*   80492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80507 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   80522 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80526 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80528 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80533 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80535 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80574 */     GIR_RootConstrainSelectedInstOperands,
     /*   80575 */     // GIR_Coverage, 69161,
     /*   80575 */     GIR_EraseRootFromParent_Done,
     /*   80576 */   // Label 1310: @80576
     /*   80576 */   GIM_Try, /*On fail goto*//*Label 1311*/ GIMT_Encode4(80665), // Rule ID 69162 //
     /*   80581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   80611 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80615 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80622 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80624 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80663 */     GIR_RootConstrainSelectedInstOperands,
     /*   80664 */     // GIR_Coverage, 69162,
     /*   80664 */     GIR_EraseRootFromParent_Done,
     /*   80665 */   // Label 1311: @80665
     /*   80665 */   GIM_Try, /*On fail goto*//*Label 1312*/ GIMT_Encode4(80754), // Rule ID 51389 //
     /*   80670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80704 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80713 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80752 */     GIR_RootConstrainSelectedInstOperands,
     /*   80753 */     // GIR_Coverage, 51389,
     /*   80753 */     GIR_EraseRootFromParent_Done,
     /*   80754 */   // Label 1312: @80754
     /*   80754 */   GIM_Try, /*On fail goto*//*Label 1313*/ GIMT_Encode4(80843), // Rule ID 51390 //
     /*   80759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80774 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80793 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80795 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80800 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80802 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80841 */     GIR_RootConstrainSelectedInstOperands,
     /*   80842 */     // GIR_Coverage, 51390,
     /*   80842 */     GIR_EraseRootFromParent_Done,
     /*   80843 */   // Label 1313: @80843
     /*   80843 */   GIM_Try, /*On fail goto*//*Label 1314*/ GIMT_Encode4(80932), // Rule ID 51089 //
     /*   80848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80863 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80882 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80889 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80891 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   80908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80930 */     GIR_RootConstrainSelectedInstOperands,
     /*   80931 */     // GIR_Coverage, 51089,
     /*   80931 */     GIR_EraseRootFromParent_Done,
     /*   80932 */   // Label 1314: @80932
     /*   80932 */   GIM_Try, /*On fail goto*//*Label 1315*/ GIMT_Encode4(81021), // Rule ID 51090 //
     /*   80937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80952 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80971 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80973 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80980 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   80997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81019 */     GIR_RootConstrainSelectedInstOperands,
     /*   81020 */     // GIR_Coverage, 51090,
     /*   81020 */     GIR_EraseRootFromParent_Done,
     /*   81021 */   // Label 1315: @81021
     /*   81021 */   GIM_Try, /*On fail goto*//*Label 1316*/ GIMT_Encode4(81110), // Rule ID 51329 //
     /*   81026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81041 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81056 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81060 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81062 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81067 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81069 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81108 */     GIR_RootConstrainSelectedInstOperands,
     /*   81109 */     // GIR_Coverage, 51329,
     /*   81109 */     GIR_EraseRootFromParent_Done,
     /*   81110 */   // Label 1316: @81110
     /*   81110 */   GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(81199), // Rule ID 51330 //
     /*   81115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81130 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81149 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81151 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81156 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81158 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81197 */     GIR_RootConstrainSelectedInstOperands,
     /*   81198 */     // GIR_Coverage, 51330,
     /*   81198 */     GIR_EraseRootFromParent_Done,
     /*   81199 */   // Label 1317: @81199
     /*   81199 */   GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(81288), // Rule ID 51269 //
     /*   81204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81219 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81226 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81230 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81234 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81238 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81240 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81245 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81247 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81286 */     GIR_RootConstrainSelectedInstOperands,
     /*   81287 */     // GIR_Coverage, 51269,
     /*   81287 */     GIR_EraseRootFromParent_Done,
     /*   81288 */   // Label 1318: @81288
     /*   81288 */   GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(81377), // Rule ID 51270 //
     /*   81293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81308 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81315 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81319 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81323 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81327 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81329 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81334 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81336 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81375 */     GIR_RootConstrainSelectedInstOperands,
     /*   81376 */     // GIR_Coverage, 51270,
     /*   81376 */     GIR_EraseRootFromParent_Done,
     /*   81377 */   // Label 1319: @81377
     /*   81377 */   GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(81466), // Rule ID 69221 //
     /*   81382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81397 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81416 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81423 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81425 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81464 */     GIR_RootConstrainSelectedInstOperands,
     /*   81465 */     // GIR_Coverage, 69221,
     /*   81465 */     GIR_EraseRootFromParent_Done,
     /*   81466 */   // Label 1320: @81466
     /*   81466 */   GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(81555), // Rule ID 69222 //
     /*   81471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81486 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81505 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81507 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81512 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81514 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81553 */     GIR_RootConstrainSelectedInstOperands,
     /*   81554 */     // GIR_Coverage, 69222,
     /*   81554 */     GIR_EraseRootFromParent_Done,
     /*   81555 */   // Label 1321: @81555
     /*   81555 */   GIM_Try, /*On fail goto*//*Label 1322*/ GIMT_Encode4(81644), // Rule ID 51149 //
     /*   81560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81575 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81586 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81590 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81594 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81596 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81601 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81603 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81642 */     GIR_RootConstrainSelectedInstOperands,
     /*   81643 */     // GIR_Coverage, 51149,
     /*   81643 */     GIR_EraseRootFromParent_Done,
     /*   81644 */   // Label 1322: @81644
     /*   81644 */   GIM_Try, /*On fail goto*//*Label 1323*/ GIMT_Encode4(81733), // Rule ID 51150 //
     /*   81649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81664 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81679 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81683 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81685 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81690 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81692 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81731 */     GIR_RootConstrainSelectedInstOperands,
     /*   81732 */     // GIR_Coverage, 51150,
     /*   81732 */     GIR_EraseRootFromParent_Done,
     /*   81733 */   // Label 1323: @81733
     /*   81733 */   GIM_Try, /*On fail goto*//*Label 1324*/ GIMT_Encode4(81786), // Rule ID 50435 //
     /*   81738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   81741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81749 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   81749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   81766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   81781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81784 */     GIR_RootConstrainSelectedInstOperands,
     /*   81785 */     // GIR_Coverage, 50435,
     /*   81785 */     GIR_EraseRootFromParent_Done,
     /*   81786 */   // Label 1324: @81786
     /*   81786 */   GIM_Try, /*On fail goto*//*Label 1325*/ GIMT_Encode4(81839), // Rule ID 50436 //
     /*   81791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   81794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81802 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   81802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   81819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   81834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81837 */     GIR_RootConstrainSelectedInstOperands,
     /*   81838 */     // GIR_Coverage, 50436,
     /*   81838 */     GIR_EraseRootFromParent_Done,
     /*   81839 */   // Label 1325: @81839
     /*   81839 */   GIM_Reject,
     /*   81840 */ // Label 1305: @81840
     /*   81840 */ GIM_Reject,
     /*   81841 */ // Label 1236: @81841
     /*   81841 */ GIM_Try, /*On fail goto*//*Label 1326*/ GIMT_Encode4(81955),
     /*   81846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   81849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   81852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81864 */   GIM_Try, /*On fail goto*//*Label 1327*/ GIMT_Encode4(81909), // Rule ID 50403 //
     /*   81869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81872 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   81875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   81889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81907 */     GIR_RootConstrainSelectedInstOperands,
     /*   81908 */     // GIR_Coverage, 50403,
     /*   81908 */     GIR_EraseRootFromParent_Done,
     /*   81909 */   // Label 1327: @81909
     /*   81909 */   GIM_Try, /*On fail goto*//*Label 1328*/ GIMT_Encode4(81954), // Rule ID 50404 //
     /*   81914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81917 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   81920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   81934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81952 */     GIR_RootConstrainSelectedInstOperands,
     /*   81953 */     // GIR_Coverage, 50404,
     /*   81953 */     GIR_EraseRootFromParent_Done,
     /*   81954 */   // Label 1328: @81954
     /*   81954 */   GIM_Reject,
     /*   81955 */ // Label 1326: @81955
     /*   81955 */ GIM_Reject,
     /*   81956 */ // Label 1237: @81956
     /*   81956 */ GIM_Try, /*On fail goto*//*Label 1329*/ GIMT_Encode4(83680),
     /*   81961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   81964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   81967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81971 */   GIM_Try, /*On fail goto*//*Label 1330*/ GIMT_Encode4(82060), // Rule ID 51169 //
     /*   81976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   81991 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82010 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82017 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82019 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82058 */     GIR_RootConstrainSelectedInstOperands,
     /*   82059 */     // GIR_Coverage, 51169,
     /*   82059 */     GIR_EraseRootFromParent_Done,
     /*   82060 */   // Label 1330: @82060
     /*   82060 */   GIM_Try, /*On fail goto*//*Label 1331*/ GIMT_Encode4(82149), // Rule ID 51170 //
     /*   82065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82080 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82099 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82108 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82147 */     GIR_RootConstrainSelectedInstOperands,
     /*   82148 */     // GIR_Coverage, 51170,
     /*   82148 */     GIR_EraseRootFromParent_Done,
     /*   82149 */   // Label 1331: @82149
     /*   82149 */   GIM_Try, /*On fail goto*//*Label 1332*/ GIMT_Encode4(82238), // Rule ID 69241 //
     /*   82154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82169 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82188 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82195 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82197 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82236 */     GIR_RootConstrainSelectedInstOperands,
     /*   82237 */     // GIR_Coverage, 69241,
     /*   82237 */     GIR_EraseRootFromParent_Done,
     /*   82238 */   // Label 1332: @82238
     /*   82238 */   GIM_Try, /*On fail goto*//*Label 1333*/ GIMT_Encode4(82327), // Rule ID 69242 //
     /*   82243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82258 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82277 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82279 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82284 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82286 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82325 */     GIR_RootConstrainSelectedInstOperands,
     /*   82326 */     // GIR_Coverage, 69242,
     /*   82326 */     GIR_EraseRootFromParent_Done,
     /*   82327 */   // Label 1333: @82327
     /*   82327 */   GIM_Try, /*On fail goto*//*Label 1334*/ GIMT_Encode4(82416), // Rule ID 69121 //
     /*   82332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82347 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82362 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82366 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82368 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82373 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82375 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82414 */     GIR_RootConstrainSelectedInstOperands,
     /*   82415 */     // GIR_Coverage, 69121,
     /*   82415 */     GIR_EraseRootFromParent_Done,
     /*   82416 */   // Label 1334: @82416
     /*   82416 */   GIM_Try, /*On fail goto*//*Label 1335*/ GIMT_Encode4(82505), // Rule ID 69122 //
     /*   82421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82436 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82455 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82457 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82462 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82464 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82503 */     GIR_RootConstrainSelectedInstOperands,
     /*   82504 */     // GIR_Coverage, 69122,
     /*   82504 */     GIR_EraseRootFromParent_Done,
     /*   82505 */   // Label 1335: @82505
     /*   82505 */   GIM_Try, /*On fail goto*//*Label 1336*/ GIMT_Encode4(82594), // Rule ID 51349 //
     /*   82510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82525 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82544 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82546 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82551 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82553 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82592 */     GIR_RootConstrainSelectedInstOperands,
     /*   82593 */     // GIR_Coverage, 51349,
     /*   82593 */     GIR_EraseRootFromParent_Done,
     /*   82594 */   // Label 1336: @82594
     /*   82594 */   GIM_Try, /*On fail goto*//*Label 1337*/ GIMT_Encode4(82683), // Rule ID 51350 //
     /*   82599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82614 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82633 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82635 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82640 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82642 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82681 */     GIR_RootConstrainSelectedInstOperands,
     /*   82682 */     // GIR_Coverage, 51350,
     /*   82682 */     GIR_EraseRootFromParent_Done,
     /*   82683 */   // Label 1337: @82683
     /*   82683 */   GIM_Try, /*On fail goto*//*Label 1338*/ GIMT_Encode4(82772), // Rule ID 51049 //
     /*   82688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82703 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82722 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82724 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82729 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82731 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   82748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82770 */     GIR_RootConstrainSelectedInstOperands,
     /*   82771 */     // GIR_Coverage, 51049,
     /*   82771 */     GIR_EraseRootFromParent_Done,
     /*   82772 */   // Label 1338: @82772
     /*   82772 */   GIM_Try, /*On fail goto*//*Label 1339*/ GIMT_Encode4(82861), // Rule ID 51050 //
     /*   82777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82792 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82811 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82813 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82818 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82820 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   82837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82859 */     GIR_RootConstrainSelectedInstOperands,
     /*   82860 */     // GIR_Coverage, 51050,
     /*   82860 */     GIR_EraseRootFromParent_Done,
     /*   82861 */   // Label 1339: @82861
     /*   82861 */   GIM_Try, /*On fail goto*//*Label 1340*/ GIMT_Encode4(82950), // Rule ID 51289 //
     /*   82866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82881 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82900 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82902 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82907 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82909 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82948 */     GIR_RootConstrainSelectedInstOperands,
     /*   82949 */     // GIR_Coverage, 51289,
     /*   82949 */     GIR_EraseRootFromParent_Done,
     /*   82950 */   // Label 1340: @82950
     /*   82950 */   GIM_Try, /*On fail goto*//*Label 1341*/ GIMT_Encode4(83039), // Rule ID 51290 //
     /*   82955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82970 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82972 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82977 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82981 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82985 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82989 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82991 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82996 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82998 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83037 */     GIR_RootConstrainSelectedInstOperands,
     /*   83038 */     // GIR_Coverage, 51290,
     /*   83038 */     GIR_EraseRootFromParent_Done,
     /*   83039 */   // Label 1341: @83039
     /*   83039 */   GIM_Try, /*On fail goto*//*Label 1342*/ GIMT_Encode4(83128), // Rule ID 51229 //
     /*   83044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83059 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83066 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83070 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83074 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83078 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83080 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83085 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83087 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   83087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83126 */     GIR_RootConstrainSelectedInstOperands,
     /*   83127 */     // GIR_Coverage, 51229,
     /*   83127 */     GIR_EraseRootFromParent_Done,
     /*   83128 */   // Label 1342: @83128
     /*   83128 */   GIM_Try, /*On fail goto*//*Label 1343*/ GIMT_Encode4(83217), // Rule ID 51230 //
     /*   83133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83148 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83155 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83159 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83163 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83167 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83169 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83174 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83176 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   83176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83215 */     GIR_RootConstrainSelectedInstOperands,
     /*   83216 */     // GIR_Coverage, 51230,
     /*   83216 */     GIR_EraseRootFromParent_Done,
     /*   83217 */   // Label 1343: @83217
     /*   83217 */   GIM_Try, /*On fail goto*//*Label 1344*/ GIMT_Encode4(83306), // Rule ID 69181 //
     /*   83222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83237 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83256 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83258 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83263 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83265 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   83265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83304 */     GIR_RootConstrainSelectedInstOperands,
     /*   83305 */     // GIR_Coverage, 69181,
     /*   83305 */     GIR_EraseRootFromParent_Done,
     /*   83306 */   // Label 1344: @83306
     /*   83306 */   GIM_Try, /*On fail goto*//*Label 1345*/ GIMT_Encode4(83395), // Rule ID 69182 //
     /*   83311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83345 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83347 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83352 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83354 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   83354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83393 */     GIR_RootConstrainSelectedInstOperands,
     /*   83394 */     // GIR_Coverage, 69182,
     /*   83394 */     GIR_EraseRootFromParent_Done,
     /*   83395 */   // Label 1345: @83395
     /*   83395 */   GIM_Try, /*On fail goto*//*Label 1346*/ GIMT_Encode4(83484), // Rule ID 51109 //
     /*   83400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83415 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83422 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83426 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83430 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83434 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83436 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83441 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83443 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   83443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83482 */     GIR_RootConstrainSelectedInstOperands,
     /*   83483 */     // GIR_Coverage, 51109,
     /*   83483 */     GIR_EraseRootFromParent_Done,
     /*   83484 */   // Label 1346: @83484
     /*   83484 */   GIM_Try, /*On fail goto*//*Label 1347*/ GIMT_Encode4(83573), // Rule ID 51110 //
     /*   83489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83504 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83506 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83511 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83515 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83519 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83523 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83525 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83530 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83532 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   83532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83571 */     GIR_RootConstrainSelectedInstOperands,
     /*   83572 */     // GIR_Coverage, 51110,
     /*   83572 */     GIR_EraseRootFromParent_Done,
     /*   83573 */   // Label 1347: @83573
     /*   83573 */   GIM_Try, /*On fail goto*//*Label 1348*/ GIMT_Encode4(83626), // Rule ID 50415 //
     /*   83578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83589 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   83606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   83613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   83615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83624 */     GIR_RootConstrainSelectedInstOperands,
     /*   83625 */     // GIR_Coverage, 50415,
     /*   83625 */     GIR_EraseRootFromParent_Done,
     /*   83626 */   // Label 1348: @83626
     /*   83626 */   GIM_Try, /*On fail goto*//*Label 1349*/ GIMT_Encode4(83679), // Rule ID 50416 //
     /*   83631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83642 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   83659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   83666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   83668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83677 */     GIR_RootConstrainSelectedInstOperands,
     /*   83678 */     // GIR_Coverage, 50416,
     /*   83678 */     GIR_EraseRootFromParent_Done,
     /*   83679 */   // Label 1349: @83679
     /*   83679 */   GIM_Reject,
     /*   83680 */ // Label 1329: @83680
     /*   83680 */ GIM_Reject,
     /*   83681 */ // Label 1238: @83681
     /*   83681 */ GIM_Try, /*On fail goto*//*Label 1350*/ GIMT_Encode4(85405),
     /*   83686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   83689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   83692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83696 */   GIM_Try, /*On fail goto*//*Label 1351*/ GIMT_Encode4(83785), // Rule ID 51193 //
     /*   83701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83716 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83735 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83744 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   83747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   83761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83783 */     GIR_RootConstrainSelectedInstOperands,
     /*   83784 */     // GIR_Coverage, 51193,
     /*   83784 */     GIR_EraseRootFromParent_Done,
     /*   83785 */   // Label 1351: @83785
     /*   83785 */   GIM_Try, /*On fail goto*//*Label 1352*/ GIMT_Encode4(83874), // Rule ID 51194 //
     /*   83790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83805 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83824 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83833 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   83836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   83850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83872 */     GIR_RootConstrainSelectedInstOperands,
     /*   83873 */     // GIR_Coverage, 51194,
     /*   83873 */     GIR_EraseRootFromParent_Done,
     /*   83874 */   // Label 1352: @83874
     /*   83874 */   GIM_Try, /*On fail goto*//*Label 1353*/ GIMT_Encode4(83963), // Rule ID 69265 //
     /*   83879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83894 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83901 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83905 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83909 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83913 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83915 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83922 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   83925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   83939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83961 */     GIR_RootConstrainSelectedInstOperands,
     /*   83962 */     // GIR_Coverage, 69265,
     /*   83962 */     GIR_EraseRootFromParent_Done,
     /*   83963 */   // Label 1353: @83963
     /*   83963 */   GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(84052), // Rule ID 69266 //
     /*   83968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83983 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84002 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84009 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84011 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84050 */     GIR_RootConstrainSelectedInstOperands,
     /*   84051 */     // GIR_Coverage, 69266,
     /*   84051 */     GIR_EraseRootFromParent_Done,
     /*   84052 */   // Label 1354: @84052
     /*   84052 */   GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(84141), // Rule ID 69145 //
     /*   84057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84072 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84074 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84087 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84091 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84093 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84098 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84100 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84139 */     GIR_RootConstrainSelectedInstOperands,
     /*   84140 */     // GIR_Coverage, 69145,
     /*   84140 */     GIR_EraseRootFromParent_Done,
     /*   84141 */   // Label 1355: @84141
     /*   84141 */   GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(84230), // Rule ID 69146 //
     /*   84146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84161 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84168 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84172 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84176 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84180 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84187 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84189 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84228 */     GIR_RootConstrainSelectedInstOperands,
     /*   84229 */     // GIR_Coverage, 69146,
     /*   84229 */     GIR_EraseRootFromParent_Done,
     /*   84230 */   // Label 1356: @84230
     /*   84230 */   GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(84319), // Rule ID 51373 //
     /*   84235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84250 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84265 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84269 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84271 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84278 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84317 */     GIR_RootConstrainSelectedInstOperands,
     /*   84318 */     // GIR_Coverage, 51373,
     /*   84318 */     GIR_EraseRootFromParent_Done,
     /*   84319 */   // Label 1357: @84319
     /*   84319 */   GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(84408), // Rule ID 51374 //
     /*   84324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84339 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84358 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84365 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84367 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84406 */     GIR_RootConstrainSelectedInstOperands,
     /*   84407 */     // GIR_Coverage, 51374,
     /*   84407 */     GIR_EraseRootFromParent_Done,
     /*   84408 */   // Label 1358: @84408
     /*   84408 */   GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(84497), // Rule ID 51073 //
     /*   84413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84428 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84447 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84449 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84454 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84456 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   84473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84495 */     GIR_RootConstrainSelectedInstOperands,
     /*   84496 */     // GIR_Coverage, 51073,
     /*   84496 */     GIR_EraseRootFromParent_Done,
     /*   84497 */   // Label 1359: @84497
     /*   84497 */   GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(84586), // Rule ID 51074 //
     /*   84502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84517 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84536 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84538 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84543 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84545 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   84562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84584 */     GIR_RootConstrainSelectedInstOperands,
     /*   84585 */     // GIR_Coverage, 51074,
     /*   84585 */     GIR_EraseRootFromParent_Done,
     /*   84586 */   // Label 1360: @84586
     /*   84586 */   GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(84675), // Rule ID 51313 //
     /*   84591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84606 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84613 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84617 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84621 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84625 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84627 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84634 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84673 */     GIR_RootConstrainSelectedInstOperands,
     /*   84674 */     // GIR_Coverage, 51313,
     /*   84674 */     GIR_EraseRootFromParent_Done,
     /*   84675 */   // Label 1361: @84675
     /*   84675 */   GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(84764), // Rule ID 51314 //
     /*   84680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84695 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84706 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84710 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84714 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84716 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84721 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84723 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84762 */     GIR_RootConstrainSelectedInstOperands,
     /*   84763 */     // GIR_Coverage, 51314,
     /*   84763 */     GIR_EraseRootFromParent_Done,
     /*   84764 */   // Label 1362: @84764
     /*   84764 */   GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(84853), // Rule ID 51253 //
     /*   84769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84784 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84803 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84805 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84810 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84812 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84851 */     GIR_RootConstrainSelectedInstOperands,
     /*   84852 */     // GIR_Coverage, 51253,
     /*   84852 */     GIR_EraseRootFromParent_Done,
     /*   84853 */   // Label 1363: @84853
     /*   84853 */   GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(84942), // Rule ID 51254 //
     /*   84858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84873 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84892 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84894 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84899 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84901 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84940 */     GIR_RootConstrainSelectedInstOperands,
     /*   84941 */     // GIR_Coverage, 51254,
     /*   84941 */     GIR_EraseRootFromParent_Done,
     /*   84942 */   // Label 1364: @84942
     /*   84942 */   GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(85031), // Rule ID 69205 //
     /*   84947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84962 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84981 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84983 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84990 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85029 */     GIR_RootConstrainSelectedInstOperands,
     /*   85030 */     // GIR_Coverage, 69205,
     /*   85030 */     GIR_EraseRootFromParent_Done,
     /*   85031 */   // Label 1365: @85031
     /*   85031 */   GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(85120), // Rule ID 69206 //
     /*   85036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   85039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85051 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85070 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85077 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85079 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   85079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85118 */     GIR_RootConstrainSelectedInstOperands,
     /*   85119 */     // GIR_Coverage, 69206,
     /*   85119 */     GIR_EraseRootFromParent_Done,
     /*   85120 */   // Label 1366: @85120
     /*   85120 */   GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(85209), // Rule ID 51133 //
     /*   85125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   85128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85140 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85142 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85159 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85161 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85168 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   85168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85207 */     GIR_RootConstrainSelectedInstOperands,
     /*   85208 */     // GIR_Coverage, 51133,
     /*   85208 */     GIR_EraseRootFromParent_Done,
     /*   85209 */   // Label 1367: @85209
     /*   85209 */   GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(85298), // Rule ID 51134 //
     /*   85214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   85217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85229 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85236 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85240 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85244 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85248 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85250 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85255 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85257 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   85257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85296 */     GIR_RootConstrainSelectedInstOperands,
     /*   85297 */     // GIR_Coverage, 51134,
     /*   85297 */     GIR_EraseRootFromParent_Done,
     /*   85298 */   // Label 1368: @85298
     /*   85298 */   GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(85351), // Rule ID 50431 //
     /*   85303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   85306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85314 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   85331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   85338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   85340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85349 */     GIR_RootConstrainSelectedInstOperands,
     /*   85350 */     // GIR_Coverage, 50431,
     /*   85350 */     GIR_EraseRootFromParent_Done,
     /*   85351 */   // Label 1369: @85351
     /*   85351 */   GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(85404), // Rule ID 50432 //
     /*   85356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   85359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85367 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   85384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   85391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   85393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85402 */     GIR_RootConstrainSelectedInstOperands,
     /*   85403 */     // GIR_Coverage, 50432,
     /*   85403 */     GIR_EraseRootFromParent_Done,
     /*   85404 */   // Label 1370: @85404
     /*   85404 */   GIM_Reject,
     /*   85405 */ // Label 1350: @85405
     /*   85405 */ GIM_Reject,
     /*   85406 */ // Label 1239: @85406
     /*   85406 */ GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(87130),
     /*   85411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   85414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   85417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   85421 */   GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(85510), // Rule ID 51213 //
     /*   85426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85441 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85456 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85460 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85469 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85508 */     GIR_RootConstrainSelectedInstOperands,
     /*   85509 */     // GIR_Coverage, 51213,
     /*   85509 */     GIR_EraseRootFromParent_Done,
     /*   85510 */   // Label 1372: @85510
     /*   85510 */   GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(85599), // Rule ID 51214 //
     /*   85515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85530 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85549 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85556 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85558 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85597 */     GIR_RootConstrainSelectedInstOperands,
     /*   85598 */     // GIR_Coverage, 51214,
     /*   85598 */     GIR_EraseRootFromParent_Done,
     /*   85599 */   // Label 1373: @85599
     /*   85599 */   GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(85688), // Rule ID 69285 //
     /*   85604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85619 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85638 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85640 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85647 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   85664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85686 */     GIR_RootConstrainSelectedInstOperands,
     /*   85687 */     // GIR_Coverage, 69285,
     /*   85687 */     GIR_EraseRootFromParent_Done,
     /*   85688 */   // Label 1374: @85688
     /*   85688 */   GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(85777), // Rule ID 69286 //
     /*   85693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85708 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85727 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85729 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85734 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85736 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   85753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85775 */     GIR_RootConstrainSelectedInstOperands,
     /*   85776 */     // GIR_Coverage, 69286,
     /*   85776 */     GIR_EraseRootFromParent_Done,
     /*   85777 */   // Label 1375: @85777
     /*   85777 */   GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(85866), // Rule ID 69165 //
     /*   85782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85797 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85816 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85818 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85823 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85825 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85864 */     GIR_RootConstrainSelectedInstOperands,
     /*   85865 */     // GIR_Coverage, 69165,
     /*   85865 */     GIR_EraseRootFromParent_Done,
     /*   85866 */   // Label 1376: @85866
     /*   85866 */   GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(85955), // Rule ID 69166 //
     /*   85871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85901 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85905 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85907 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85912 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85914 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85953 */     GIR_RootConstrainSelectedInstOperands,
     /*   85954 */     // GIR_Coverage, 69166,
     /*   85954 */     GIR_EraseRootFromParent_Done,
     /*   85955 */   // Label 1377: @85955
     /*   85955 */   GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(86044), // Rule ID 51393 //
     /*   85960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85975 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85977 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85994 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85996 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86001 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86003 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86042 */     GIR_RootConstrainSelectedInstOperands,
     /*   86043 */     // GIR_Coverage, 51393,
     /*   86043 */     GIR_EraseRootFromParent_Done,
     /*   86044 */   // Label 1378: @86044
     /*   86044 */   GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(86133), // Rule ID 51394 //
     /*   86049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86064 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86083 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86085 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86090 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86092 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86131 */     GIR_RootConstrainSelectedInstOperands,
     /*   86132 */     // GIR_Coverage, 51394,
     /*   86132 */     GIR_EraseRootFromParent_Done,
     /*   86133 */   // Label 1379: @86133
     /*   86133 */   GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(86222), // Rule ID 51093 //
     /*   86138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86153 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86160 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86164 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86168 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86172 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86174 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86179 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86181 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   86198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86220 */     GIR_RootConstrainSelectedInstOperands,
     /*   86221 */     // GIR_Coverage, 51093,
     /*   86221 */     GIR_EraseRootFromParent_Done,
     /*   86222 */   // Label 1380: @86222
     /*   86222 */   GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(86311), // Rule ID 51094 //
     /*   86227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86242 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86261 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86263 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86268 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86270 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   86287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86309 */     GIR_RootConstrainSelectedInstOperands,
     /*   86310 */     // GIR_Coverage, 51094,
     /*   86310 */     GIR_EraseRootFromParent_Done,
     /*   86311 */   // Label 1381: @86311
     /*   86311 */   GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(86400), // Rule ID 51333 //
     /*   86316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86331 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86350 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86357 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86359 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86398 */     GIR_RootConstrainSelectedInstOperands,
     /*   86399 */     // GIR_Coverage, 51333,
     /*   86399 */     GIR_EraseRootFromParent_Done,
     /*   86400 */   // Label 1382: @86400
     /*   86400 */   GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(86489), // Rule ID 51334 //
     /*   86405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86420 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86439 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86441 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86446 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86448 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86487 */     GIR_RootConstrainSelectedInstOperands,
     /*   86488 */     // GIR_Coverage, 51334,
     /*   86488 */     GIR_EraseRootFromParent_Done,
     /*   86489 */   // Label 1383: @86489
     /*   86489 */   GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(86578), // Rule ID 51273 //
     /*   86494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86509 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86528 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86530 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86535 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86537 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86576 */     GIR_RootConstrainSelectedInstOperands,
     /*   86577 */     // GIR_Coverage, 51273,
     /*   86577 */     GIR_EraseRootFromParent_Done,
     /*   86578 */   // Label 1384: @86578
     /*   86578 */   GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(86667), // Rule ID 51274 //
     /*   86583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86617 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86619 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86624 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86626 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86665 */     GIR_RootConstrainSelectedInstOperands,
     /*   86666 */     // GIR_Coverage, 51274,
     /*   86666 */     GIR_EraseRootFromParent_Done,
     /*   86667 */   // Label 1385: @86667
     /*   86667 */   GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(86756), // Rule ID 69225 //
     /*   86672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86687 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86706 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86708 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86715 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86754 */     GIR_RootConstrainSelectedInstOperands,
     /*   86755 */     // GIR_Coverage, 69225,
     /*   86755 */     GIR_EraseRootFromParent_Done,
     /*   86756 */   // Label 1386: @86756
     /*   86756 */   GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(86845), // Rule ID 69226 //
     /*   86761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86776 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86795 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86797 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86804 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86843 */     GIR_RootConstrainSelectedInstOperands,
     /*   86844 */     // GIR_Coverage, 69226,
     /*   86844 */     GIR_EraseRootFromParent_Done,
     /*   86845 */   // Label 1387: @86845
     /*   86845 */   GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(86934), // Rule ID 51153 //
     /*   86850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86865 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86884 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86886 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86893 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86932 */     GIR_RootConstrainSelectedInstOperands,
     /*   86933 */     // GIR_Coverage, 51153,
     /*   86933 */     GIR_EraseRootFromParent_Done,
     /*   86934 */   // Label 1388: @86934
     /*   86934 */   GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(87023), // Rule ID 51154 //
     /*   86939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86954 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86973 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86975 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86980 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86982 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   87018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87021 */     GIR_RootConstrainSelectedInstOperands,
     /*   87022 */     // GIR_Coverage, 51154,
     /*   87022 */     GIR_EraseRootFromParent_Done,
     /*   87023 */   // Label 1389: @87023
     /*   87023 */   GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(87076), // Rule ID 50475 //
     /*   87028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   87031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87039 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   87039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   87042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   87056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   87071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87074 */     GIR_RootConstrainSelectedInstOperands,
     /*   87075 */     // GIR_Coverage, 50475,
     /*   87075 */     GIR_EraseRootFromParent_Done,
     /*   87076 */   // Label 1390: @87076
     /*   87076 */   GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(87129), // Rule ID 50476 //
     /*   87081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   87084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87092 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   87092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   87095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   87109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   87124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87127 */     GIR_RootConstrainSelectedInstOperands,
     /*   87128 */     // GIR_Coverage, 50476,
     /*   87128 */     GIR_EraseRootFromParent_Done,
     /*   87129 */   // Label 1391: @87129
     /*   87129 */   GIM_Reject,
     /*   87130 */ // Label 1371: @87130
     /*   87130 */ GIM_Reject,
     /*   87131 */ // Label 1240: @87131
     /*   87131 */ GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(87245),
     /*   87136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   87142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87154 */   GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(87199), // Rule ID 50407 //
     /*   87159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87162 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   87165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87197 */     GIR_RootConstrainSelectedInstOperands,
     /*   87198 */     // GIR_Coverage, 50407,
     /*   87198 */     GIR_EraseRootFromParent_Done,
     /*   87199 */   // Label 1393: @87199
     /*   87199 */   GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(87244), // Rule ID 50408 //
     /*   87204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87207 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   87210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87242 */     GIR_RootConstrainSelectedInstOperands,
     /*   87243 */     // GIR_Coverage, 50408,
     /*   87243 */     GIR_EraseRootFromParent_Done,
     /*   87244 */   // Label 1394: @87244
     /*   87244 */   GIM_Reject,
     /*   87245 */ // Label 1392: @87245
     /*   87245 */ GIM_Reject,
     /*   87246 */ // Label 1241: @87246
     /*   87246 */ GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(88970),
     /*   87251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   87254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   87257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87261 */   GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(87350), // Rule ID 51173 //
     /*   87266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87281 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87288 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87292 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87296 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87300 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87302 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87309 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87348 */     GIR_RootConstrainSelectedInstOperands,
     /*   87349 */     // GIR_Coverage, 51173,
     /*   87349 */     GIR_EraseRootFromParent_Done,
     /*   87350 */   // Label 1396: @87350
     /*   87350 */   GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(87439), // Rule ID 51174 //
     /*   87355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87370 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87389 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87398 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87437 */     GIR_RootConstrainSelectedInstOperands,
     /*   87438 */     // GIR_Coverage, 51174,
     /*   87438 */     GIR_EraseRootFromParent_Done,
     /*   87439 */   // Label 1397: @87439
     /*   87439 */   GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(87528), // Rule ID 69245 //
     /*   87444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87459 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87478 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87480 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87485 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87487 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87526 */     GIR_RootConstrainSelectedInstOperands,
     /*   87527 */     // GIR_Coverage, 69245,
     /*   87527 */     GIR_EraseRootFromParent_Done,
     /*   87528 */   // Label 1398: @87528
     /*   87528 */   GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(87617), // Rule ID 69246 //
     /*   87533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87548 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87550 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87555 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87559 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87563 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87567 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87569 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87574 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87576 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87615 */     GIR_RootConstrainSelectedInstOperands,
     /*   87616 */     // GIR_Coverage, 69246,
     /*   87616 */     GIR_EraseRootFromParent_Done,
     /*   87617 */   // Label 1399: @87617
     /*   87617 */   GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(87706), // Rule ID 69125 //
     /*   87622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87637 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87656 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87658 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87663 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87665 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87704 */     GIR_RootConstrainSelectedInstOperands,
     /*   87705 */     // GIR_Coverage, 69125,
     /*   87705 */     GIR_EraseRootFromParent_Done,
     /*   87706 */   // Label 1400: @87706
     /*   87706 */   GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(87795), // Rule ID 69126 //
     /*   87711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87726 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87745 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87747 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87752 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87754 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87793 */     GIR_RootConstrainSelectedInstOperands,
     /*   87794 */     // GIR_Coverage, 69126,
     /*   87794 */     GIR_EraseRootFromParent_Done,
     /*   87795 */   // Label 1401: @87795
     /*   87795 */   GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(87884), // Rule ID 51353 //
     /*   87800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87815 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87830 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87834 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87836 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87841 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87843 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87882 */     GIR_RootConstrainSelectedInstOperands,
     /*   87883 */     // GIR_Coverage, 51353,
     /*   87883 */     GIR_EraseRootFromParent_Done,
     /*   87884 */   // Label 1402: @87884
     /*   87884 */   GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(87973), // Rule ID 51354 //
     /*   87889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87904 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87906 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87923 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87925 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87930 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87932 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87971 */     GIR_RootConstrainSelectedInstOperands,
     /*   87972 */     // GIR_Coverage, 51354,
     /*   87972 */     GIR_EraseRootFromParent_Done,
     /*   87973 */   // Label 1403: @87973
     /*   87973 */   GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(88062), // Rule ID 51053 //
     /*   87978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87993 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88000 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88004 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88008 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88012 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88014 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88019 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88021 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   88038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88060 */     GIR_RootConstrainSelectedInstOperands,
     /*   88061 */     // GIR_Coverage, 51053,
     /*   88061 */     GIR_EraseRootFromParent_Done,
     /*   88062 */   // Label 1404: @88062
     /*   88062 */   GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(88151), // Rule ID 51054 //
     /*   88067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88082 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88097 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88101 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88103 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88108 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88110 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   88127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88149 */     GIR_RootConstrainSelectedInstOperands,
     /*   88150 */     // GIR_Coverage, 51054,
     /*   88150 */     GIR_EraseRootFromParent_Done,
     /*   88151 */   // Label 1405: @88151
     /*   88151 */   GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(88240), // Rule ID 51293 //
     /*   88156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88171 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88186 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88190 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88192 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88199 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88238 */     GIR_RootConstrainSelectedInstOperands,
     /*   88239 */     // GIR_Coverage, 51293,
     /*   88239 */     GIR_EraseRootFromParent_Done,
     /*   88240 */   // Label 1406: @88240
     /*   88240 */   GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(88329), // Rule ID 51294 //
     /*   88245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88260 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88262 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88275 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88279 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88281 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88288 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88327 */     GIR_RootConstrainSelectedInstOperands,
     /*   88328 */     // GIR_Coverage, 51294,
     /*   88328 */     GIR_EraseRootFromParent_Done,
     /*   88329 */   // Label 1407: @88329
     /*   88329 */   GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(88418), // Rule ID 51233 //
     /*   88334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88349 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88351 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88368 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88370 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88375 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88377 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88416 */     GIR_RootConstrainSelectedInstOperands,
     /*   88417 */     // GIR_Coverage, 51233,
     /*   88417 */     GIR_EraseRootFromParent_Done,
     /*   88418 */   // Label 1408: @88418
     /*   88418 */   GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(88507), // Rule ID 51234 //
     /*   88423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88438 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88445 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88449 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88453 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88457 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88464 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88466 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88505 */     GIR_RootConstrainSelectedInstOperands,
     /*   88506 */     // GIR_Coverage, 51234,
     /*   88506 */     GIR_EraseRootFromParent_Done,
     /*   88507 */   // Label 1409: @88507
     /*   88507 */   GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(88596), // Rule ID 69185 //
     /*   88512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88527 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88529 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88534 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88538 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88542 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88546 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88548 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88553 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88555 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88594 */     GIR_RootConstrainSelectedInstOperands,
     /*   88595 */     // GIR_Coverage, 69185,
     /*   88595 */     GIR_EraseRootFromParent_Done,
     /*   88596 */   // Label 1410: @88596
     /*   88596 */   GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(88685), // Rule ID 69186 //
     /*   88601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88623 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88627 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88631 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88635 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88637 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88642 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88644 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88683 */     GIR_RootConstrainSelectedInstOperands,
     /*   88684 */     // GIR_Coverage, 69186,
     /*   88684 */     GIR_EraseRootFromParent_Done,
     /*   88685 */   // Label 1411: @88685
     /*   88685 */   GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(88774), // Rule ID 51113 //
     /*   88690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88705 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88724 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88726 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88733 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88772 */     GIR_RootConstrainSelectedInstOperands,
     /*   88773 */     // GIR_Coverage, 51113,
     /*   88773 */     GIR_EraseRootFromParent_Done,
     /*   88774 */   // Label 1412: @88774
     /*   88774 */   GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(88863), // Rule ID 51114 //
     /*   88779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88794 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88813 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88822 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88861 */     GIR_RootConstrainSelectedInstOperands,
     /*   88862 */     // GIR_Coverage, 51114,
     /*   88862 */     GIR_EraseRootFromParent_Done,
     /*   88863 */   // Label 1413: @88863
     /*   88863 */   GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(88916), // Rule ID 50427 //
     /*   88868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88879 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   88896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   88903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   88905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88914 */     GIR_RootConstrainSelectedInstOperands,
     /*   88915 */     // GIR_Coverage, 50427,
     /*   88915 */     GIR_EraseRootFromParent_Done,
     /*   88916 */   // Label 1414: @88916
     /*   88916 */   GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(88969), // Rule ID 50428 //
     /*   88921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88932 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   88949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   88956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   88958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88967 */     GIR_RootConstrainSelectedInstOperands,
     /*   88968 */     // GIR_Coverage, 50428,
     /*   88968 */     GIR_EraseRootFromParent_Done,
     /*   88969 */   // Label 1415: @88969
     /*   88969 */   GIM_Reject,
     /*   88970 */ // Label 1395: @88970
     /*   88970 */ GIM_Reject,
     /*   88971 */ // Label 1242: @88971
     /*   88971 */ GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(90695),
     /*   88976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   88979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   88982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   88986 */   GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(89075), // Rule ID 51197 //
     /*   88991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89006 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89021 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89025 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89027 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89032 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89034 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89073 */     GIR_RootConstrainSelectedInstOperands,
     /*   89074 */     // GIR_Coverage, 51197,
     /*   89074 */     GIR_EraseRootFromParent_Done,
     /*   89075 */   // Label 1417: @89075
     /*   89075 */   GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(89164), // Rule ID 51198 //
     /*   89080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89095 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89097 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89110 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89114 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89116 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89121 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89123 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89162 */     GIR_RootConstrainSelectedInstOperands,
     /*   89163 */     // GIR_Coverage, 51198,
     /*   89163 */     GIR_EraseRootFromParent_Done,
     /*   89164 */   // Label 1418: @89164
     /*   89164 */   GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(89253), // Rule ID 69269 //
     /*   89169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89184 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89186 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89199 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89203 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89205 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89210 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89212 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89251 */     GIR_RootConstrainSelectedInstOperands,
     /*   89252 */     // GIR_Coverage, 69269,
     /*   89252 */     GIR_EraseRootFromParent_Done,
     /*   89253 */   // Label 1419: @89253
     /*   89253 */   GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(89342), // Rule ID 69270 //
     /*   89258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89273 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89292 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89294 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89299 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89301 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89340 */     GIR_RootConstrainSelectedInstOperands,
     /*   89341 */     // GIR_Coverage, 69270,
     /*   89341 */     GIR_EraseRootFromParent_Done,
     /*   89342 */   // Label 1420: @89342
     /*   89342 */   GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(89431), // Rule ID 69149 //
     /*   89347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89362 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89381 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89383 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89388 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89390 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89429 */     GIR_RootConstrainSelectedInstOperands,
     /*   89430 */     // GIR_Coverage, 69149,
     /*   89430 */     GIR_EraseRootFromParent_Done,
     /*   89431 */   // Label 1421: @89431
     /*   89431 */   GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(89520), // Rule ID 69150 //
     /*   89436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89451 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89466 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89470 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89472 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89477 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89479 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89518 */     GIR_RootConstrainSelectedInstOperands,
     /*   89519 */     // GIR_Coverage, 69150,
     /*   89519 */     GIR_EraseRootFromParent_Done,
     /*   89520 */   // Label 1422: @89520
     /*   89520 */   GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(89609), // Rule ID 51377 //
     /*   89525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89540 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89547 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89551 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89555 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89559 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89561 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89566 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89568 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89607 */     GIR_RootConstrainSelectedInstOperands,
     /*   89608 */     // GIR_Coverage, 51377,
     /*   89608 */     GIR_EraseRootFromParent_Done,
     /*   89609 */   // Label 1423: @89609
     /*   89609 */   GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(89698), // Rule ID 51378 //
     /*   89614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89629 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89648 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89650 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89657 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89696 */     GIR_RootConstrainSelectedInstOperands,
     /*   89697 */     // GIR_Coverage, 51378,
     /*   89697 */     GIR_EraseRootFromParent_Done,
     /*   89698 */   // Label 1424: @89698
     /*   89698 */   GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(89787), // Rule ID 51077 //
     /*   89703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89718 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89737 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89739 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89744 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89746 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   89763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89785 */     GIR_RootConstrainSelectedInstOperands,
     /*   89786 */     // GIR_Coverage, 51077,
     /*   89786 */     GIR_EraseRootFromParent_Done,
     /*   89787 */   // Label 1425: @89787
     /*   89787 */   GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(89876), // Rule ID 51078 //
     /*   89792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89807 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89826 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89828 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89833 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89835 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   89852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89874 */     GIR_RootConstrainSelectedInstOperands,
     /*   89875 */     // GIR_Coverage, 51078,
     /*   89875 */     GIR_EraseRootFromParent_Done,
     /*   89876 */   // Label 1426: @89876
     /*   89876 */   GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(89965), // Rule ID 51317 //
     /*   89881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89896 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89903 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89907 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89911 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89915 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89917 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89922 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89924 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89963 */     GIR_RootConstrainSelectedInstOperands,
     /*   89964 */     // GIR_Coverage, 51317,
     /*   89964 */     GIR_EraseRootFromParent_Done,
     /*   89965 */   // Label 1427: @89965
     /*   89965 */   GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(90054), // Rule ID 51318 //
     /*   89970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89985 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90000 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90004 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90006 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90013 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90052 */     GIR_RootConstrainSelectedInstOperands,
     /*   90053 */     // GIR_Coverage, 51318,
     /*   90053 */     GIR_EraseRootFromParent_Done,
     /*   90054 */   // Label 1428: @90054
     /*   90054 */   GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(90143), // Rule ID 51257 //
     /*   90059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90074 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90089 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90093 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90095 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90102 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   90102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90141 */     GIR_RootConstrainSelectedInstOperands,
     /*   90142 */     // GIR_Coverage, 51257,
     /*   90142 */     GIR_EraseRootFromParent_Done,
     /*   90143 */   // Label 1429: @90143
     /*   90143 */   GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(90232), // Rule ID 51258 //
     /*   90148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90163 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90170 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90174 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90178 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90182 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90184 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90189 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90191 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90230 */     GIR_RootConstrainSelectedInstOperands,
     /*   90231 */     // GIR_Coverage, 51258,
     /*   90231 */     GIR_EraseRootFromParent_Done,
     /*   90232 */   // Label 1430: @90232
     /*   90232 */   GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(90321), // Rule ID 69209 //
     /*   90237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90248 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90252 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90267 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90271 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90273 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90278 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90280 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   90280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90319 */     GIR_RootConstrainSelectedInstOperands,
     /*   90320 */     // GIR_Coverage, 69209,
     /*   90320 */     GIR_EraseRootFromParent_Done,
     /*   90321 */   // Label 1431: @90321
     /*   90321 */   GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(90410), // Rule ID 69210 //
     /*   90326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90341 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90356 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90360 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90362 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90369 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90408 */     GIR_RootConstrainSelectedInstOperands,
     /*   90409 */     // GIR_Coverage, 69210,
     /*   90409 */     GIR_EraseRootFromParent_Done,
     /*   90410 */   // Label 1432: @90410
     /*   90410 */   GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(90499), // Rule ID 51137 //
     /*   90415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90430 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90445 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90449 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90451 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90456 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90458 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   90458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90497 */     GIR_RootConstrainSelectedInstOperands,
     /*   90498 */     // GIR_Coverage, 51137,
     /*   90498 */     GIR_EraseRootFromParent_Done,
     /*   90499 */   // Label 1433: @90499
     /*   90499 */   GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(90588), // Rule ID 51138 //
     /*   90504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90519 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90526 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90530 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90534 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90538 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90540 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90545 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90547 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90586 */     GIR_RootConstrainSelectedInstOperands,
     /*   90587 */     // GIR_Coverage, 51138,
     /*   90587 */     GIR_EraseRootFromParent_Done,
     /*   90588 */   // Label 1434: @90588
     /*   90588 */   GIM_Try, /*On fail goto*//*Label 1435*/ GIMT_Encode4(90641), // Rule ID 50463 //
     /*   90593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90604 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   90621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   90628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   90630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90639 */     GIR_RootConstrainSelectedInstOperands,
     /*   90640 */     // GIR_Coverage, 50463,
     /*   90640 */     GIR_EraseRootFromParent_Done,
     /*   90641 */   // Label 1435: @90641
     /*   90641 */   GIM_Try, /*On fail goto*//*Label 1436*/ GIMT_Encode4(90694), // Rule ID 50464 //
     /*   90646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90657 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   90674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   90681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   90683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90692 */     GIR_RootConstrainSelectedInstOperands,
     /*   90693 */     // GIR_Coverage, 50464,
     /*   90693 */     GIR_EraseRootFromParent_Done,
     /*   90694 */   // Label 1436: @90694
     /*   90694 */   GIM_Reject,
     /*   90695 */ // Label 1416: @90695
     /*   90695 */ GIM_Reject,
     /*   90696 */ // Label 1243: @90696
     /*   90696 */ GIM_Try, /*On fail goto*//*Label 1437*/ GIMT_Encode4(92420),
     /*   90701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   90704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   90707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   90711 */   GIM_Try, /*On fail goto*//*Label 1438*/ GIMT_Encode4(90800), // Rule ID 51217 //
     /*   90716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90731 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90738 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90742 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90746 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90750 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90752 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90757 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90759 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   90762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   90776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90798 */     GIR_RootConstrainSelectedInstOperands,
     /*   90799 */     // GIR_Coverage, 51217,
     /*   90799 */     GIR_EraseRootFromParent_Done,
     /*   90800 */   // Label 1438: @90800
     /*   90800 */   GIM_Try, /*On fail goto*//*Label 1439*/ GIMT_Encode4(90889), // Rule ID 51218 //
     /*   90805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90820 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90839 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90841 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90846 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90848 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   90851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   90865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90887 */     GIR_RootConstrainSelectedInstOperands,
     /*   90888 */     // GIR_Coverage, 51218,
     /*   90888 */     GIR_EraseRootFromParent_Done,
     /*   90889 */   // Label 1439: @90889
     /*   90889 */   GIM_Try, /*On fail goto*//*Label 1440*/ GIMT_Encode4(90978), // Rule ID 69289 //
     /*   90894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90909 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90928 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90935 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90937 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   90940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   90954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90976 */     GIR_RootConstrainSelectedInstOperands,
     /*   90977 */     // GIR_Coverage, 69289,
     /*   90977 */     GIR_EraseRootFromParent_Done,
     /*   90978 */   // Label 1440: @90978
     /*   90978 */   GIM_Try, /*On fail goto*//*Label 1441*/ GIMT_Encode4(91067), // Rule ID 69290 //
     /*   90983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90998 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91000 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91013 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91017 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91019 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91026 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91065 */     GIR_RootConstrainSelectedInstOperands,
     /*   91066 */     // GIR_Coverage, 69290,
     /*   91066 */     GIR_EraseRootFromParent_Done,
     /*   91067 */   // Label 1441: @91067
     /*   91067 */   GIM_Try, /*On fail goto*//*Label 1442*/ GIMT_Encode4(91156), // Rule ID 69169 //
     /*   91072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91087 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91106 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91108 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91113 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91115 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91154 */     GIR_RootConstrainSelectedInstOperands,
     /*   91155 */     // GIR_Coverage, 69169,
     /*   91155 */     GIR_EraseRootFromParent_Done,
     /*   91156 */   // Label 1442: @91156
     /*   91156 */   GIM_Try, /*On fail goto*//*Label 1443*/ GIMT_Encode4(91245), // Rule ID 69170 //
     /*   91161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91176 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91183 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91187 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91191 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91195 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91197 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91204 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91243 */     GIR_RootConstrainSelectedInstOperands,
     /*   91244 */     // GIR_Coverage, 69170,
     /*   91244 */     GIR_EraseRootFromParent_Done,
     /*   91245 */   // Label 1443: @91245
     /*   91245 */   GIM_Try, /*On fail goto*//*Label 1444*/ GIMT_Encode4(91334), // Rule ID 51397 //
     /*   91250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91265 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91284 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91291 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91293 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91332 */     GIR_RootConstrainSelectedInstOperands,
     /*   91333 */     // GIR_Coverage, 51397,
     /*   91333 */     GIR_EraseRootFromParent_Done,
     /*   91334 */   // Label 1444: @91334
     /*   91334 */   GIM_Try, /*On fail goto*//*Label 1445*/ GIMT_Encode4(91423), // Rule ID 51398 //
     /*   91339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91354 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91369 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91373 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91375 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91380 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91382 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91421 */     GIR_RootConstrainSelectedInstOperands,
     /*   91422 */     // GIR_Coverage, 51398,
     /*   91422 */     GIR_EraseRootFromParent_Done,
     /*   91423 */   // Label 1445: @91423
     /*   91423 */   GIM_Try, /*On fail goto*//*Label 1446*/ GIMT_Encode4(91512), // Rule ID 51097 //
     /*   91428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91443 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91462 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91464 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91469 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91471 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   91488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91510 */     GIR_RootConstrainSelectedInstOperands,
     /*   91511 */     // GIR_Coverage, 51097,
     /*   91511 */     GIR_EraseRootFromParent_Done,
     /*   91512 */   // Label 1446: @91512
     /*   91512 */   GIM_Try, /*On fail goto*//*Label 1447*/ GIMT_Encode4(91601), // Rule ID 51098 //
     /*   91517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91532 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91551 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91553 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91558 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91560 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   91577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91599 */     GIR_RootConstrainSelectedInstOperands,
     /*   91600 */     // GIR_Coverage, 51098,
     /*   91600 */     GIR_EraseRootFromParent_Done,
     /*   91601 */   // Label 1447: @91601
     /*   91601 */   GIM_Try, /*On fail goto*//*Label 1448*/ GIMT_Encode4(91690), // Rule ID 51337 //
     /*   91606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91621 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91640 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91647 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91649 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91688 */     GIR_RootConstrainSelectedInstOperands,
     /*   91689 */     // GIR_Coverage, 51337,
     /*   91689 */     GIR_EraseRootFromParent_Done,
     /*   91690 */   // Label 1448: @91690
     /*   91690 */   GIM_Try, /*On fail goto*//*Label 1449*/ GIMT_Encode4(91779), // Rule ID 51338 //
     /*   91695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91729 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91738 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91777 */     GIR_RootConstrainSelectedInstOperands,
     /*   91778 */     // GIR_Coverage, 51338,
     /*   91778 */     GIR_EraseRootFromParent_Done,
     /*   91779 */   // Label 1449: @91779
     /*   91779 */   GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(91868), // Rule ID 51277 //
     /*   91784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91799 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91806 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91810 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91814 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91818 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91820 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91827 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91866 */     GIR_RootConstrainSelectedInstOperands,
     /*   91867 */     // GIR_Coverage, 51277,
     /*   91867 */     GIR_EraseRootFromParent_Done,
     /*   91868 */   // Label 1450: @91868
     /*   91868 */   GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(91957), // Rule ID 51278 //
     /*   91873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91888 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91895 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91899 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91903 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91907 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91909 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91914 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91916 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91955 */     GIR_RootConstrainSelectedInstOperands,
     /*   91956 */     // GIR_Coverage, 51278,
     /*   91956 */     GIR_EraseRootFromParent_Done,
     /*   91957 */   // Label 1451: @91957
     /*   91957 */   GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(92046), // Rule ID 69229 //
     /*   91962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91977 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91996 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91998 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92003 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92005 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   92005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   92022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92044 */     GIR_RootConstrainSelectedInstOperands,
     /*   92045 */     // GIR_Coverage, 69229,
     /*   92045 */     GIR_EraseRootFromParent_Done,
     /*   92046 */   // Label 1452: @92046
     /*   92046 */   GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(92135), // Rule ID 69230 //
     /*   92051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   92054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92085 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92087 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92092 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92094 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   92094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   92111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92133 */     GIR_RootConstrainSelectedInstOperands,
     /*   92134 */     // GIR_Coverage, 69230,
     /*   92134 */     GIR_EraseRootFromParent_Done,
     /*   92135 */   // Label 1453: @92135
     /*   92135 */   GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(92224), // Rule ID 51157 //
     /*   92140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   92143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92155 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92162 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92166 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92170 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92174 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92176 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92181 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92183 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   92183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   92200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92222 */     GIR_RootConstrainSelectedInstOperands,
     /*   92223 */     // GIR_Coverage, 51157,
     /*   92223 */     GIR_EraseRootFromParent_Done,
     /*   92224 */   // Label 1454: @92224
     /*   92224 */   GIM_Try, /*On fail goto*//*Label 1455*/ GIMT_Encode4(92313), // Rule ID 51158 //
     /*   92229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   92232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92244 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92263 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92265 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92270 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92272 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   92272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   92289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92311 */     GIR_RootConstrainSelectedInstOperands,
     /*   92312 */     // GIR_Coverage, 51158,
     /*   92312 */     GIR_EraseRootFromParent_Done,
     /*   92313 */   // Label 1455: @92313
     /*   92313 */   GIM_Try, /*On fail goto*//*Label 1456*/ GIMT_Encode4(92366), // Rule ID 50479 //
     /*   92318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   92321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92329 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   92329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   92346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   92361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92364 */     GIR_RootConstrainSelectedInstOperands,
     /*   92365 */     // GIR_Coverage, 50479,
     /*   92365 */     GIR_EraseRootFromParent_Done,
     /*   92366 */   // Label 1456: @92366
     /*   92366 */   GIM_Try, /*On fail goto*//*Label 1457*/ GIMT_Encode4(92419), // Rule ID 50480 //
     /*   92371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   92374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92382 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   92382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   92399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   92414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92417 */     GIR_RootConstrainSelectedInstOperands,
     /*   92418 */     // GIR_Coverage, 50480,
     /*   92418 */     GIR_EraseRootFromParent_Done,
     /*   92419 */   // Label 1457: @92419
     /*   92419 */   GIM_Reject,
     /*   92420 */ // Label 1437: @92420
     /*   92420 */ GIM_Reject,
     /*   92421 */ // Label 1244: @92421
     /*   92421 */ GIM_Try, /*On fail goto*//*Label 1458*/ GIMT_Encode4(92535),
     /*   92426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92429 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   92432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92440 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92444 */   GIM_Try, /*On fail goto*//*Label 1459*/ GIMT_Encode4(92489), // Rule ID 50423 //
     /*   92449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92452 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   92455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   92469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92487 */     GIR_RootConstrainSelectedInstOperands,
     /*   92488 */     // GIR_Coverage, 50423,
     /*   92488 */     GIR_EraseRootFromParent_Done,
     /*   92489 */   // Label 1459: @92489
     /*   92489 */   GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(92534), // Rule ID 50424 //
     /*   92494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92497 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   92500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   92514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92532 */     GIR_RootConstrainSelectedInstOperands,
     /*   92533 */     // GIR_Coverage, 50424,
     /*   92533 */     GIR_EraseRootFromParent_Done,
     /*   92534 */   // Label 1460: @92534
     /*   92534 */   GIM_Reject,
     /*   92535 */ // Label 1458: @92535
     /*   92535 */ GIM_Reject,
     /*   92536 */ // Label 1245: @92536
     /*   92536 */ GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(94260),
     /*   92541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   92544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   92547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92551 */   GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(92640), // Rule ID 51177 //
     /*   92556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92571 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92590 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92592 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92599 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   92616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92638 */     GIR_RootConstrainSelectedInstOperands,
     /*   92639 */     // GIR_Coverage, 51177,
     /*   92639 */     GIR_EraseRootFromParent_Done,
     /*   92640 */   // Label 1462: @92640
     /*   92640 */   GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(92729), // Rule ID 51178 //
     /*   92645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92667 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92671 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92675 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92679 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92681 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92688 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   92705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92727 */     GIR_RootConstrainSelectedInstOperands,
     /*   92728 */     // GIR_Coverage, 51178,
     /*   92728 */     GIR_EraseRootFromParent_Done,
     /*   92729 */   // Label 1463: @92729
     /*   92729 */   GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(92818), // Rule ID 69249 //
     /*   92734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92749 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92768 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92770 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92777 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   92794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92816 */     GIR_RootConstrainSelectedInstOperands,
     /*   92817 */     // GIR_Coverage, 69249,
     /*   92817 */     GIR_EraseRootFromParent_Done,
     /*   92818 */   // Label 1464: @92818
     /*   92818 */   GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(92907), // Rule ID 69250 //
     /*   92823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92838 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92845 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92849 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92853 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92857 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92859 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92864 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92866 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   92883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92905 */     GIR_RootConstrainSelectedInstOperands,
     /*   92906 */     // GIR_Coverage, 69250,
     /*   92906 */     GIR_EraseRootFromParent_Done,
     /*   92907 */   // Label 1465: @92907
     /*   92907 */   GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(92996), // Rule ID 69129 //
     /*   92912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92927 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92934 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92938 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92942 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92946 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92948 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92955 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   92972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92994 */     GIR_RootConstrainSelectedInstOperands,
     /*   92995 */     // GIR_Coverage, 69129,
     /*   92995 */     GIR_EraseRootFromParent_Done,
     /*   92996 */   // Label 1466: @92996
     /*   92996 */   GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(93085), // Rule ID 69130 //
     /*   93001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93016 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93023 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93027 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93031 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93035 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93037 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93042 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93044 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93083 */     GIR_RootConstrainSelectedInstOperands,
     /*   93084 */     // GIR_Coverage, 69130,
     /*   93084 */     GIR_EraseRootFromParent_Done,
     /*   93085 */   // Label 1467: @93085
     /*   93085 */   GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(93174), // Rule ID 51357 //
     /*   93090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93105 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93120 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93124 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93126 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93131 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93133 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93172 */     GIR_RootConstrainSelectedInstOperands,
     /*   93173 */     // GIR_Coverage, 51357,
     /*   93173 */     GIR_EraseRootFromParent_Done,
     /*   93174 */   // Label 1468: @93174
     /*   93174 */   GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(93263), // Rule ID 51358 //
     /*   93179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93194 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93213 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93215 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93222 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93261 */     GIR_RootConstrainSelectedInstOperands,
     /*   93262 */     // GIR_Coverage, 51358,
     /*   93262 */     GIR_EraseRootFromParent_Done,
     /*   93263 */   // Label 1469: @93263
     /*   93263 */   GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(93352), // Rule ID 51057 //
     /*   93268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93283 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93302 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93309 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93311 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   93328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93350 */     GIR_RootConstrainSelectedInstOperands,
     /*   93351 */     // GIR_Coverage, 51057,
     /*   93351 */     GIR_EraseRootFromParent_Done,
     /*   93352 */   // Label 1470: @93352
     /*   93352 */   GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(93441), // Rule ID 51058 //
     /*   93357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93372 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93379 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93383 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93387 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93391 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93398 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93400 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   93417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93439 */     GIR_RootConstrainSelectedInstOperands,
     /*   93440 */     // GIR_Coverage, 51058,
     /*   93440 */     GIR_EraseRootFromParent_Done,
     /*   93441 */   // Label 1471: @93441
     /*   93441 */   GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(93530), // Rule ID 51297 //
     /*   93446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93461 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93480 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93487 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93489 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93528 */     GIR_RootConstrainSelectedInstOperands,
     /*   93529 */     // GIR_Coverage, 51297,
     /*   93529 */     GIR_EraseRootFromParent_Done,
     /*   93530 */   // Label 1472: @93530
     /*   93530 */   GIM_Try, /*On fail goto*//*Label 1473*/ GIMT_Encode4(93619), // Rule ID 51298 //
     /*   93535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93550 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93557 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93561 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93565 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93569 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93571 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93578 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93617 */     GIR_RootConstrainSelectedInstOperands,
     /*   93618 */     // GIR_Coverage, 51298,
     /*   93618 */     GIR_EraseRootFromParent_Done,
     /*   93619 */   // Label 1473: @93619
     /*   93619 */   GIM_Try, /*On fail goto*//*Label 1474*/ GIMT_Encode4(93708), // Rule ID 51237 //
     /*   93624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93639 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93658 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93660 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93665 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93667 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93706 */     GIR_RootConstrainSelectedInstOperands,
     /*   93707 */     // GIR_Coverage, 51237,
     /*   93707 */     GIR_EraseRootFromParent_Done,
     /*   93708 */   // Label 1474: @93708
     /*   93708 */   GIM_Try, /*On fail goto*//*Label 1475*/ GIMT_Encode4(93797), // Rule ID 51238 //
     /*   93713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93728 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93743 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93747 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93749 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93754 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93756 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93795 */     GIR_RootConstrainSelectedInstOperands,
     /*   93796 */     // GIR_Coverage, 51238,
     /*   93796 */     GIR_EraseRootFromParent_Done,
     /*   93797 */   // Label 1475: @93797
     /*   93797 */   GIM_Try, /*On fail goto*//*Label 1476*/ GIMT_Encode4(93886), // Rule ID 69189 //
     /*   93802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93817 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93832 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93836 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93838 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93843 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93845 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93884 */     GIR_RootConstrainSelectedInstOperands,
     /*   93885 */     // GIR_Coverage, 69189,
     /*   93885 */     GIR_EraseRootFromParent_Done,
     /*   93886 */   // Label 1476: @93886
     /*   93886 */   GIM_Try, /*On fail goto*//*Label 1477*/ GIMT_Encode4(93975), // Rule ID 69190 //
     /*   93891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93906 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93925 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93927 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93932 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93934 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93973 */     GIR_RootConstrainSelectedInstOperands,
     /*   93974 */     // GIR_Coverage, 69190,
     /*   93974 */     GIR_EraseRootFromParent_Done,
     /*   93975 */   // Label 1477: @93975
     /*   93975 */   GIM_Try, /*On fail goto*//*Label 1478*/ GIMT_Encode4(94064), // Rule ID 51117 //
     /*   93980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93995 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   94014 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94016 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94021 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94023 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   94023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94062 */     GIR_RootConstrainSelectedInstOperands,
     /*   94063 */     // GIR_Coverage, 51117,
     /*   94063 */     GIR_EraseRootFromParent_Done,
     /*   94064 */   // Label 1478: @94064
     /*   94064 */   GIM_Try, /*On fail goto*//*Label 1479*/ GIMT_Encode4(94153), // Rule ID 51118 //
     /*   94069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   94084 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   94103 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94105 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94112 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   94112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94151 */     GIR_RootConstrainSelectedInstOperands,
     /*   94152 */     // GIR_Coverage, 51118,
     /*   94152 */     GIR_EraseRootFromParent_Done,
     /*   94153 */   // Label 1479: @94153
     /*   94153 */   GIM_Try, /*On fail goto*//*Label 1480*/ GIMT_Encode4(94206), // Rule ID 50451 //
     /*   94158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94169 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94204 */     GIR_RootConstrainSelectedInstOperands,
     /*   94205 */     // GIR_Coverage, 50451,
     /*   94205 */     GIR_EraseRootFromParent_Done,
     /*   94206 */   // Label 1480: @94206
     /*   94206 */   GIM_Try, /*On fail goto*//*Label 1481*/ GIMT_Encode4(94259), // Rule ID 50452 //
     /*   94211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94222 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94257 */     GIR_RootConstrainSelectedInstOperands,
     /*   94258 */     // GIR_Coverage, 50452,
     /*   94258 */     GIR_EraseRootFromParent_Done,
     /*   94259 */   // Label 1481: @94259
     /*   94259 */   GIM_Reject,
     /*   94260 */ // Label 1461: @94260
     /*   94260 */ GIM_Reject,
     /*   94261 */ // Label 1246: @94261
     /*   94261 */ GIM_Try, /*On fail goto*//*Label 1482*/ GIMT_Encode4(95985),
     /*   94266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   94269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   94272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   94276 */   GIM_Try, /*On fail goto*//*Label 1483*/ GIMT_Encode4(94365), // Rule ID 51201 //
     /*   94281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94296 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94315 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94322 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94324 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94363 */     GIR_RootConstrainSelectedInstOperands,
     /*   94364 */     // GIR_Coverage, 51201,
     /*   94364 */     GIR_EraseRootFromParent_Done,
     /*   94365 */   // Label 1483: @94365
     /*   94365 */   GIM_Try, /*On fail goto*//*Label 1484*/ GIMT_Encode4(94454), // Rule ID 51202 //
     /*   94370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94385 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94400 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94404 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94406 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94411 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94413 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94452 */     GIR_RootConstrainSelectedInstOperands,
     /*   94453 */     // GIR_Coverage, 51202,
     /*   94453 */     GIR_EraseRootFromParent_Done,
     /*   94454 */   // Label 1484: @94454
     /*   94454 */   GIM_Try, /*On fail goto*//*Label 1485*/ GIMT_Encode4(94543), // Rule ID 69273 //
     /*   94459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94474 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94481 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94485 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94489 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94493 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94495 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94500 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94502 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94541 */     GIR_RootConstrainSelectedInstOperands,
     /*   94542 */     // GIR_Coverage, 69273,
     /*   94542 */     GIR_EraseRootFromParent_Done,
     /*   94543 */   // Label 1485: @94543
     /*   94543 */   GIM_Try, /*On fail goto*//*Label 1486*/ GIMT_Encode4(94632), // Rule ID 69274 //
     /*   94548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94563 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94570 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94574 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94578 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94582 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94584 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94591 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94630 */     GIR_RootConstrainSelectedInstOperands,
     /*   94631 */     // GIR_Coverage, 69274,
     /*   94631 */     GIR_EraseRootFromParent_Done,
     /*   94632 */   // Label 1486: @94632
     /*   94632 */   GIM_Try, /*On fail goto*//*Label 1487*/ GIMT_Encode4(94721), // Rule ID 69153 //
     /*   94637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94652 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94654 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94671 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94673 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94678 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94680 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94719 */     GIR_RootConstrainSelectedInstOperands,
     /*   94720 */     // GIR_Coverage, 69153,
     /*   94720 */     GIR_EraseRootFromParent_Done,
     /*   94721 */   // Label 1487: @94721
     /*   94721 */   GIM_Try, /*On fail goto*//*Label 1488*/ GIMT_Encode4(94810), // Rule ID 69154 //
     /*   94726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94760 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94762 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94767 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94769 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94808 */     GIR_RootConstrainSelectedInstOperands,
     /*   94809 */     // GIR_Coverage, 69154,
     /*   94809 */     GIR_EraseRootFromParent_Done,
     /*   94810 */   // Label 1488: @94810
     /*   94810 */   GIM_Try, /*On fail goto*//*Label 1489*/ GIMT_Encode4(94899), // Rule ID 51381 //
     /*   94815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94849 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94851 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94858 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94897 */     GIR_RootConstrainSelectedInstOperands,
     /*   94898 */     // GIR_Coverage, 51381,
     /*   94898 */     GIR_EraseRootFromParent_Done,
     /*   94899 */   // Label 1489: @94899
     /*   94899 */   GIM_Try, /*On fail goto*//*Label 1490*/ GIMT_Encode4(94988), // Rule ID 51382 //
     /*   94904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94919 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94938 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94947 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94986 */     GIR_RootConstrainSelectedInstOperands,
     /*   94987 */     // GIR_Coverage, 51382,
     /*   94987 */     GIR_EraseRootFromParent_Done,
     /*   94988 */   // Label 1490: @94988
     /*   94988 */   GIM_Try, /*On fail goto*//*Label 1491*/ GIMT_Encode4(95077), // Rule ID 51081 //
     /*   94993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95027 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95036 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   95053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95075 */     GIR_RootConstrainSelectedInstOperands,
     /*   95076 */     // GIR_Coverage, 51081,
     /*   95076 */     GIR_EraseRootFromParent_Done,
     /*   95077 */   // Label 1491: @95077
     /*   95077 */   GIM_Try, /*On fail goto*//*Label 1492*/ GIMT_Encode4(95166), // Rule ID 51082 //
     /*   95082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95097 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95116 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95123 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95125 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   95142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95164 */     GIR_RootConstrainSelectedInstOperands,
     /*   95165 */     // GIR_Coverage, 51082,
     /*   95165 */     GIR_EraseRootFromParent_Done,
     /*   95166 */   // Label 1492: @95166
     /*   95166 */   GIM_Try, /*On fail goto*//*Label 1493*/ GIMT_Encode4(95255), // Rule ID 51321 //
     /*   95171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95205 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95214 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95253 */     GIR_RootConstrainSelectedInstOperands,
     /*   95254 */     // GIR_Coverage, 51321,
     /*   95254 */     GIR_EraseRootFromParent_Done,
     /*   95255 */   // Label 1493: @95255
     /*   95255 */   GIM_Try, /*On fail goto*//*Label 1494*/ GIMT_Encode4(95344), // Rule ID 51322 //
     /*   95260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95303 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95342 */     GIR_RootConstrainSelectedInstOperands,
     /*   95343 */     // GIR_Coverage, 51322,
     /*   95343 */     GIR_EraseRootFromParent_Done,
     /*   95344 */   // Label 1494: @95344
     /*   95344 */   GIM_Try, /*On fail goto*//*Label 1495*/ GIMT_Encode4(95433), // Rule ID 51261 //
     /*   95349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95364 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95383 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95392 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95431 */     GIR_RootConstrainSelectedInstOperands,
     /*   95432 */     // GIR_Coverage, 51261,
     /*   95432 */     GIR_EraseRootFromParent_Done,
     /*   95433 */   // Label 1495: @95433
     /*   95433 */   GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(95522), // Rule ID 51262 //
     /*   95438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95453 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95472 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95481 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95520 */     GIR_RootConstrainSelectedInstOperands,
     /*   95521 */     // GIR_Coverage, 51262,
     /*   95521 */     GIR_EraseRootFromParent_Done,
     /*   95522 */   // Label 1496: @95522
     /*   95522 */   GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(95611), // Rule ID 69213 //
     /*   95527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95542 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95557 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95561 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95563 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95568 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95570 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95609 */     GIR_RootConstrainSelectedInstOperands,
     /*   95610 */     // GIR_Coverage, 69213,
     /*   95610 */     GIR_EraseRootFromParent_Done,
     /*   95611 */   // Label 1497: @95611
     /*   95611 */   GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(95700), // Rule ID 69214 //
     /*   95616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95631 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95650 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95652 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95657 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95659 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95698 */     GIR_RootConstrainSelectedInstOperands,
     /*   95699 */     // GIR_Coverage, 69214,
     /*   95699 */     GIR_EraseRootFromParent_Done,
     /*   95700 */   // Label 1498: @95700
     /*   95700 */   GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(95789), // Rule ID 51141 //
     /*   95705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95720 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95735 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95739 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95741 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95748 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95787 */     GIR_RootConstrainSelectedInstOperands,
     /*   95788 */     // GIR_Coverage, 51141,
     /*   95788 */     GIR_EraseRootFromParent_Done,
     /*   95789 */   // Label 1499: @95789
     /*   95789 */   GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(95878), // Rule ID 51142 //
     /*   95794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95809 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95828 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95830 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95835 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95837 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95876 */     GIR_RootConstrainSelectedInstOperands,
     /*   95877 */     // GIR_Coverage, 51142,
     /*   95877 */     GIR_EraseRootFromParent_Done,
     /*   95878 */   // Label 1500: @95878
     /*   95878 */   GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(95931), // Rule ID 50467 //
     /*   95883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95894 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   95911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   95918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   95920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95929 */     GIR_RootConstrainSelectedInstOperands,
     /*   95930 */     // GIR_Coverage, 50467,
     /*   95930 */     GIR_EraseRootFromParent_Done,
     /*   95931 */   // Label 1501: @95931
     /*   95931 */   GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(95984), // Rule ID 50468 //
     /*   95936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95947 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   95964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   95971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   95973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95982 */     GIR_RootConstrainSelectedInstOperands,
     /*   95983 */     // GIR_Coverage, 50468,
     /*   95983 */     GIR_EraseRootFromParent_Done,
     /*   95984 */   // Label 1502: @95984
     /*   95984 */   GIM_Reject,
     /*   95985 */ // Label 1482: @95985
     /*   95985 */ GIM_Reject,
     /*   95986 */ // Label 1247: @95986
     /*   95986 */ GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(97710),
     /*   95991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   95994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   95997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   96001 */   GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(96090), // Rule ID 51221 //
     /*   96006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96021 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96040 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96047 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96049 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96088 */     GIR_RootConstrainSelectedInstOperands,
     /*   96089 */     // GIR_Coverage, 51221,
     /*   96089 */     GIR_EraseRootFromParent_Done,
     /*   96090 */   // Label 1504: @96090
     /*   96090 */   GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(96179), // Rule ID 51222 //
     /*   96095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96110 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96129 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96131 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96136 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96138 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96177 */     GIR_RootConstrainSelectedInstOperands,
     /*   96178 */     // GIR_Coverage, 51222,
     /*   96178 */     GIR_EraseRootFromParent_Done,
     /*   96179 */   // Label 1505: @96179
     /*   96179 */   GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(96268), // Rule ID 69293 //
     /*   96184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96199 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96218 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96220 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96225 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96227 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96266 */     GIR_RootConstrainSelectedInstOperands,
     /*   96267 */     // GIR_Coverage, 69293,
     /*   96267 */     GIR_EraseRootFromParent_Done,
     /*   96268 */   // Label 1506: @96268
     /*   96268 */   GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(96357), // Rule ID 69294 //
     /*   96273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96288 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96295 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96299 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96303 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96307 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96309 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96314 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96316 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96355 */     GIR_RootConstrainSelectedInstOperands,
     /*   96356 */     // GIR_Coverage, 69294,
     /*   96356 */     GIR_EraseRootFromParent_Done,
     /*   96357 */   // Label 1507: @96357
     /*   96357 */   GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(96446), // Rule ID 69173 //
     /*   96362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96377 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96392 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96396 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96398 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96403 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96405 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96444 */     GIR_RootConstrainSelectedInstOperands,
     /*   96445 */     // GIR_Coverage, 69173,
     /*   96445 */     GIR_EraseRootFromParent_Done,
     /*   96446 */   // Label 1508: @96446
     /*   96446 */   GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(96535), // Rule ID 69174 //
     /*   96451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96485 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96487 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96492 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96494 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96533 */     GIR_RootConstrainSelectedInstOperands,
     /*   96534 */     // GIR_Coverage, 69174,
     /*   96534 */     GIR_EraseRootFromParent_Done,
     /*   96535 */   // Label 1509: @96535
     /*   96535 */   GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(96624), // Rule ID 51401 //
     /*   96540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96555 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96574 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96576 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96581 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96583 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96622 */     GIR_RootConstrainSelectedInstOperands,
     /*   96623 */     // GIR_Coverage, 51401,
     /*   96623 */     GIR_EraseRootFromParent_Done,
     /*   96624 */   // Label 1510: @96624
     /*   96624 */   GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(96713), // Rule ID 51402 //
     /*   96629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96644 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96663 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96665 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96670 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96672 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96711 */     GIR_RootConstrainSelectedInstOperands,
     /*   96712 */     // GIR_Coverage, 51402,
     /*   96712 */     GIR_EraseRootFromParent_Done,
     /*   96713 */   // Label 1511: @96713
     /*   96713 */   GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(96802), // Rule ID 51101 //
     /*   96718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96733 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96752 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96754 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96761 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*   96778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96800 */     GIR_RootConstrainSelectedInstOperands,
     /*   96801 */     // GIR_Coverage, 51101,
     /*   96801 */     GIR_EraseRootFromParent_Done,
     /*   96802 */   // Label 1512: @96802
     /*   96802 */   GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(96891), // Rule ID 51102 //
     /*   96807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96822 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96841 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96848 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96850 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*   96867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96889 */     GIR_RootConstrainSelectedInstOperands,
     /*   96890 */     // GIR_Coverage, 51102,
     /*   96890 */     GIR_EraseRootFromParent_Done,
     /*   96891 */   // Label 1513: @96891
     /*   96891 */   GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(96980), // Rule ID 51341 //
     /*   96896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96911 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96930 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96939 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96978 */     GIR_RootConstrainSelectedInstOperands,
     /*   96979 */     // GIR_Coverage, 51341,
     /*   96979 */     GIR_EraseRootFromParent_Done,
     /*   96980 */   // Label 1514: @96980
     /*   96980 */   GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(97069), // Rule ID 51342 //
     /*   96985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97019 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97021 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97028 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   97045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97067 */     GIR_RootConstrainSelectedInstOperands,
     /*   97068 */     // GIR_Coverage, 51342,
     /*   97068 */     GIR_EraseRootFromParent_Done,
     /*   97069 */   // Label 1515: @97069
     /*   97069 */   GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(97158), // Rule ID 51281 //
     /*   97074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   97077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97089 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97108 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97110 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97115 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97117 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   97117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97156 */     GIR_RootConstrainSelectedInstOperands,
     /*   97157 */     // GIR_Coverage, 51281,
     /*   97157 */     GIR_EraseRootFromParent_Done,
     /*   97158 */   // Label 1516: @97158
     /*   97158 */   GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(97247), // Rule ID 51282 //
     /*   97163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   97166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97178 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97197 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97199 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97204 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97206 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97245 */     GIR_RootConstrainSelectedInstOperands,
     /*   97246 */     // GIR_Coverage, 51282,
     /*   97246 */     GIR_EraseRootFromParent_Done,
     /*   97247 */   // Label 1517: @97247
     /*   97247 */   GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(97336), // Rule ID 69233 //
     /*   97252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   97255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97267 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97286 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97288 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97293 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97295 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   97295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   97312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97334 */     GIR_RootConstrainSelectedInstOperands,
     /*   97335 */     // GIR_Coverage, 69233,
     /*   97335 */     GIR_EraseRootFromParent_Done,
     /*   97336 */   // Label 1518: @97336
     /*   97336 */   GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(97425), // Rule ID 69234 //
     /*   97341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   97344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97356 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97363 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97367 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97371 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97375 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97377 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97382 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97384 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   97401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97423 */     GIR_RootConstrainSelectedInstOperands,
     /*   97424 */     // GIR_Coverage, 69234,
     /*   97424 */     GIR_EraseRootFromParent_Done,
     /*   97425 */   // Label 1519: @97425
     /*   97425 */   GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(97514), // Rule ID 51161 //
     /*   97430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   97433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97445 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97452 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97456 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97460 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97464 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97466 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97471 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97473 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   97473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97512 */     GIR_RootConstrainSelectedInstOperands,
     /*   97513 */     // GIR_Coverage, 51161,
     /*   97513 */     GIR_EraseRootFromParent_Done,
     /*   97514 */   // Label 1520: @97514
     /*   97514 */   GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(97603), // Rule ID 51162 //
     /*   97519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   97522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97534 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97541 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97545 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97549 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97553 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97555 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97560 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97562 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97601 */     GIR_RootConstrainSelectedInstOperands,
     /*   97602 */     // GIR_Coverage, 51162,
     /*   97602 */     GIR_EraseRootFromParent_Done,
     /*   97603 */   // Label 1521: @97603
     /*   97603 */   GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(97656), // Rule ID 50483 //
     /*   97608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   97611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97619 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   97619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   97636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   97651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97654 */     GIR_RootConstrainSelectedInstOperands,
     /*   97655 */     // GIR_Coverage, 50483,
     /*   97655 */     GIR_EraseRootFromParent_Done,
     /*   97656 */   // Label 1522: @97656
     /*   97656 */   GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(97709), // Rule ID 50484 //
     /*   97661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   97664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97672 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   97672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   97689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   97704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97707 */     GIR_RootConstrainSelectedInstOperands,
     /*   97708 */     // GIR_Coverage, 50484,
     /*   97708 */     GIR_EraseRootFromParent_Done,
     /*   97709 */   // Label 1523: @97709
     /*   97709 */   GIM_Reject,
     /*   97710 */ // Label 1503: @97710
     /*   97710 */ GIM_Reject,
     /*   97711 */ // Label 1248: @97711
     /*   97711 */ GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(97825),
     /*   97716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   97722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97734 */   GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(97779), // Rule ID 50439 //
     /*   97739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97742 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   97745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   97759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97777 */     GIR_RootConstrainSelectedInstOperands,
     /*   97778 */     // GIR_Coverage, 50439,
     /*   97778 */     GIR_EraseRootFromParent_Done,
     /*   97779 */   // Label 1525: @97779
     /*   97779 */   GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(97824), // Rule ID 50440 //
     /*   97784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97787 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   97790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   97804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97822 */     GIR_RootConstrainSelectedInstOperands,
     /*   97823 */     // GIR_Coverage, 50440,
     /*   97823 */     GIR_EraseRootFromParent_Done,
     /*   97824 */   // Label 1526: @97824
     /*   97824 */   GIM_Reject,
     /*   97825 */ // Label 1524: @97825
     /*   97825 */ GIM_Reject,
     /*   97826 */ // Label 1249: @97826
     /*   97826 */ GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(99550),
     /*   97831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   97834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   97837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97841 */   GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(97930), // Rule ID 51181 //
     /*   97846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97861 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97880 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97889 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   97892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   97906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97928 */     GIR_RootConstrainSelectedInstOperands,
     /*   97929 */     // GIR_Coverage, 51181,
     /*   97929 */     GIR_EraseRootFromParent_Done,
     /*   97930 */   // Label 1528: @97930
     /*   97930 */   GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(98019), // Rule ID 51182 //
     /*   97935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97969 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97971 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97976 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97978 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   97981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   97995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98017 */     GIR_RootConstrainSelectedInstOperands,
     /*   98018 */     // GIR_Coverage, 51182,
     /*   98018 */     GIR_EraseRootFromParent_Done,
     /*   98019 */   // Label 1529: @98019
     /*   98019 */   GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(98108), // Rule ID 69253 //
     /*   98024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98039 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98046 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98050 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98054 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98058 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98060 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98065 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98067 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98106 */     GIR_RootConstrainSelectedInstOperands,
     /*   98107 */     // GIR_Coverage, 69253,
     /*   98107 */     GIR_EraseRootFromParent_Done,
     /*   98108 */   // Label 1530: @98108
     /*   98108 */   GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(98197), // Rule ID 69254 //
     /*   98113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98128 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98147 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98149 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98154 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98156 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98195 */     GIR_RootConstrainSelectedInstOperands,
     /*   98196 */     // GIR_Coverage, 69254,
     /*   98196 */     GIR_EraseRootFromParent_Done,
     /*   98197 */   // Label 1531: @98197
     /*   98197 */   GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(98286), // Rule ID 69133 //
     /*   98202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98217 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98224 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98228 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98232 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98236 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98238 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98243 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98245 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98284 */     GIR_RootConstrainSelectedInstOperands,
     /*   98285 */     // GIR_Coverage, 69133,
     /*   98285 */     GIR_EraseRootFromParent_Done,
     /*   98286 */   // Label 1532: @98286
     /*   98286 */   GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(98375), // Rule ID 69134 //
     /*   98291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98313 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98317 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98321 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98325 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98327 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98332 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98334 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98373 */     GIR_RootConstrainSelectedInstOperands,
     /*   98374 */     // GIR_Coverage, 69134,
     /*   98374 */     GIR_EraseRootFromParent_Done,
     /*   98375 */   // Label 1533: @98375
     /*   98375 */   GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(98464), // Rule ID 51361 //
     /*   98380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98395 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98414 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98416 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98421 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98423 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98462 */     GIR_RootConstrainSelectedInstOperands,
     /*   98463 */     // GIR_Coverage, 51361,
     /*   98463 */     GIR_EraseRootFromParent_Done,
     /*   98464 */   // Label 1534: @98464
     /*   98464 */   GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(98553), // Rule ID 51362 //
     /*   98469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98503 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98505 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98510 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98512 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98551 */     GIR_RootConstrainSelectedInstOperands,
     /*   98552 */     // GIR_Coverage, 51362,
     /*   98552 */     GIR_EraseRootFromParent_Done,
     /*   98553 */   // Label 1535: @98553
     /*   98553 */   GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(98642), // Rule ID 51061 //
     /*   98558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98573 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98592 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98594 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98599 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98601 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   98618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98640 */     GIR_RootConstrainSelectedInstOperands,
     /*   98641 */     // GIR_Coverage, 51061,
     /*   98641 */     GIR_EraseRootFromParent_Done,
     /*   98642 */   // Label 1536: @98642
     /*   98642 */   GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(98731), // Rule ID 51062 //
     /*   98647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98662 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98681 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98683 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98688 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98690 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   98707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98729 */     GIR_RootConstrainSelectedInstOperands,
     /*   98730 */     // GIR_Coverage, 51062,
     /*   98730 */     GIR_EraseRootFromParent_Done,
     /*   98731 */   // Label 1537: @98731
     /*   98731 */   GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(98820), // Rule ID 51301 //
     /*   98736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98770 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98772 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98779 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98818 */     GIR_RootConstrainSelectedInstOperands,
     /*   98819 */     // GIR_Coverage, 51301,
     /*   98819 */     GIR_EraseRootFromParent_Done,
     /*   98820 */   // Label 1538: @98820
     /*   98820 */   GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(98909), // Rule ID 51302 //
     /*   98825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98840 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98859 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98868 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98907 */     GIR_RootConstrainSelectedInstOperands,
     /*   98908 */     // GIR_Coverage, 51302,
     /*   98908 */     GIR_EraseRootFromParent_Done,
     /*   98909 */   // Label 1539: @98909
     /*   98909 */   GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(98998), // Rule ID 51241 //
     /*   98914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98929 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98948 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98950 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98955 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98957 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98996 */     GIR_RootConstrainSelectedInstOperands,
     /*   98997 */     // GIR_Coverage, 51241,
     /*   98997 */     GIR_EraseRootFromParent_Done,
     /*   98998 */   // Label 1540: @98998
     /*   98998 */   GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(99087), // Rule ID 51242 //
     /*   99003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99018 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99037 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99039 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99044 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99046 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   99046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99085 */     GIR_RootConstrainSelectedInstOperands,
     /*   99086 */     // GIR_Coverage, 51242,
     /*   99086 */     GIR_EraseRootFromParent_Done,
     /*   99087 */   // Label 1541: @99087
     /*   99087 */   GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(99176), // Rule ID 69193 //
     /*   99092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99107 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99114 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99118 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99122 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99126 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99128 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99133 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99135 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   99135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99174 */     GIR_RootConstrainSelectedInstOperands,
     /*   99175 */     // GIR_Coverage, 69193,
     /*   99175 */     GIR_EraseRootFromParent_Done,
     /*   99176 */   // Label 1542: @99176
     /*   99176 */   GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(99265), // Rule ID 69194 //
     /*   99181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99196 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99211 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99215 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99217 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99222 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99224 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   99224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99263 */     GIR_RootConstrainSelectedInstOperands,
     /*   99264 */     // GIR_Coverage, 69194,
     /*   99264 */     GIR_EraseRootFromParent_Done,
     /*   99265 */   // Label 1543: @99265
     /*   99265 */   GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(99354), // Rule ID 51121 //
     /*   99270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99285 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99300 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99304 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99306 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99311 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99313 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   99313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99352 */     GIR_RootConstrainSelectedInstOperands,
     /*   99353 */     // GIR_Coverage, 51121,
     /*   99353 */     GIR_EraseRootFromParent_Done,
     /*   99354 */   // Label 1544: @99354
     /*   99354 */   GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(99443), // Rule ID 51122 //
     /*   99359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99374 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99389 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99393 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99395 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99402 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   99402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99441 */     GIR_RootConstrainSelectedInstOperands,
     /*   99442 */     // GIR_Coverage, 51122,
     /*   99442 */     GIR_EraseRootFromParent_Done,
     /*   99443 */   // Label 1545: @99443
     /*   99443 */   GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(99496), // Rule ID 50455 //
     /*   99448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99459 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   99476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   99483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   99485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99494 */     GIR_RootConstrainSelectedInstOperands,
     /*   99495 */     // GIR_Coverage, 50455,
     /*   99495 */     GIR_EraseRootFromParent_Done,
     /*   99496 */   // Label 1546: @99496
     /*   99496 */   GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(99549), // Rule ID 50456 //
     /*   99501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99512 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   99529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   99536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   99538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99547 */     GIR_RootConstrainSelectedInstOperands,
     /*   99548 */     // GIR_Coverage, 50456,
     /*   99548 */     GIR_EraseRootFromParent_Done,
     /*   99549 */   // Label 1547: @99549
     /*   99549 */   GIM_Reject,
     /*   99550 */ // Label 1527: @99550
     /*   99550 */ GIM_Reject,
     /*   99551 */ // Label 1250: @99551
     /*   99551 */ GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(101275),
     /*   99556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   99559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   99562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   99566 */   GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(99655), // Rule ID 51205 //
     /*   99571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99586 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99605 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99607 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99612 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99614 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   99631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99653 */     GIR_RootConstrainSelectedInstOperands,
     /*   99654 */     // GIR_Coverage, 51205,
     /*   99654 */     GIR_EraseRootFromParent_Done,
     /*   99655 */   // Label 1549: @99655
     /*   99655 */   GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(99744), // Rule ID 51206 //
     /*   99660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99675 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99677 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99682 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99686 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99690 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99694 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99696 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99701 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99703 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   99720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99742 */     GIR_RootConstrainSelectedInstOperands,
     /*   99743 */     // GIR_Coverage, 51206,
     /*   99743 */     GIR_EraseRootFromParent_Done,
     /*   99744 */   // Label 1550: @99744
     /*   99744 */   GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(99833), // Rule ID 69277 //
     /*   99749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99764 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99766 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99771 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99775 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99779 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99783 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99785 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99790 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99792 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   99809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99831 */     GIR_RootConstrainSelectedInstOperands,
     /*   99832 */     // GIR_Coverage, 69277,
     /*   99832 */     GIR_EraseRootFromParent_Done,
     /*   99833 */   // Label 1551: @99833
     /*   99833 */   GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(99922), // Rule ID 69278 //
     /*   99838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99853 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99860 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99864 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99868 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99872 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99874 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99879 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99881 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   99898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99920 */     GIR_RootConstrainSelectedInstOperands,
     /*   99921 */     // GIR_Coverage, 69278,
     /*   99921 */     GIR_EraseRootFromParent_Done,
     /*   99922 */   // Label 1552: @99922
     /*   99922 */   GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(100011), // Rule ID 69157 //
     /*   99927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99942 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99957 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99961 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99963 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99968 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99970 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   99987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100009 */     GIR_RootConstrainSelectedInstOperands,
     /*  100010 */     // GIR_Coverage, 69157,
     /*  100010 */     GIR_EraseRootFromParent_Done,
     /*  100011 */   // Label 1553: @100011
     /*  100011 */   GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(100100), // Rule ID 69158 //
     /*  100016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100031 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100046 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100050 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100052 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100057 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100059 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100098 */     GIR_RootConstrainSelectedInstOperands,
     /*  100099 */     // GIR_Coverage, 69158,
     /*  100099 */     GIR_EraseRootFromParent_Done,
     /*  100100 */   // Label 1554: @100100
     /*  100100 */   GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(100189), // Rule ID 51385 //
     /*  100105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100120 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100139 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100141 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100148 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100187 */     GIR_RootConstrainSelectedInstOperands,
     /*  100188 */     // GIR_Coverage, 51385,
     /*  100188 */     GIR_EraseRootFromParent_Done,
     /*  100189 */   // Label 1555: @100189
     /*  100189 */   GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(100278), // Rule ID 51386 //
     /*  100194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100209 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100216 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100220 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100224 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100228 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100230 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100235 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100237 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100276 */     GIR_RootConstrainSelectedInstOperands,
     /*  100277 */     // GIR_Coverage, 51386,
     /*  100277 */     GIR_EraseRootFromParent_Done,
     /*  100278 */   // Label 1556: @100278
     /*  100278 */   GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(100367), // Rule ID 51085 //
     /*  100283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100298 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100305 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100309 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100313 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100317 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100319 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100324 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100326 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  100343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100365 */     GIR_RootConstrainSelectedInstOperands,
     /*  100366 */     // GIR_Coverage, 51085,
     /*  100366 */     GIR_EraseRootFromParent_Done,
     /*  100367 */   // Label 1557: @100367
     /*  100367 */   GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(100456), // Rule ID 51086 //
     /*  100372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100387 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100406 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100408 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100413 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100415 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  100432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100454 */     GIR_RootConstrainSelectedInstOperands,
     /*  100455 */     // GIR_Coverage, 51086,
     /*  100455 */     GIR_EraseRootFromParent_Done,
     /*  100456 */   // Label 1558: @100456
     /*  100456 */   GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(100545), // Rule ID 51325 //
     /*  100461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100476 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100495 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100497 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100502 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100504 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100543 */     GIR_RootConstrainSelectedInstOperands,
     /*  100544 */     // GIR_Coverage, 51325,
     /*  100544 */     GIR_EraseRootFromParent_Done,
     /*  100545 */   // Label 1559: @100545
     /*  100545 */   GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(100634), // Rule ID 51326 //
     /*  100550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100565 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100580 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100584 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100586 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100593 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100632 */     GIR_RootConstrainSelectedInstOperands,
     /*  100633 */     // GIR_Coverage, 51326,
     /*  100633 */     GIR_EraseRootFromParent_Done,
     /*  100634 */   // Label 1560: @100634
     /*  100634 */   GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(100723), // Rule ID 51265 //
     /*  100639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100661 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100665 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100669 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100673 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100675 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100682 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100721 */     GIR_RootConstrainSelectedInstOperands,
     /*  100722 */     // GIR_Coverage, 51265,
     /*  100722 */     GIR_EraseRootFromParent_Done,
     /*  100723 */   // Label 1561: @100723
     /*  100723 */   GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(100812), // Rule ID 51266 //
     /*  100728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100743 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100750 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100754 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100758 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100762 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100764 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100771 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100810 */     GIR_RootConstrainSelectedInstOperands,
     /*  100811 */     // GIR_Coverage, 51266,
     /*  100811 */     GIR_EraseRootFromParent_Done,
     /*  100812 */   // Label 1562: @100812
     /*  100812 */   GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(100901), // Rule ID 69217 //
     /*  100817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100832 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100834 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100851 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100853 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100860 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100899 */     GIR_RootConstrainSelectedInstOperands,
     /*  100900 */     // GIR_Coverage, 69217,
     /*  100900 */     GIR_EraseRootFromParent_Done,
     /*  100901 */   // Label 1563: @100901
     /*  100901 */   GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(100990), // Rule ID 69218 //
     /*  100906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100921 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100940 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100942 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100947 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100949 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100988 */     GIR_RootConstrainSelectedInstOperands,
     /*  100989 */     // GIR_Coverage, 69218,
     /*  100989 */     GIR_EraseRootFromParent_Done,
     /*  100990 */   // Label 1564: @100990
     /*  100990 */   GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(101079), // Rule ID 51145 //
     /*  100995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101010 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101029 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101031 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101036 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101038 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  101038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  101074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101077 */     GIR_RootConstrainSelectedInstOperands,
     /*  101078 */     // GIR_Coverage, 51145,
     /*  101078 */     GIR_EraseRootFromParent_Done,
     /*  101079 */   // Label 1565: @101079
     /*  101079 */   GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(101168), // Rule ID 51146 //
     /*  101084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101099 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101118 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101120 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101125 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101127 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  101127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  101163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101166 */     GIR_RootConstrainSelectedInstOperands,
     /*  101167 */     // GIR_Coverage, 51146,
     /*  101167 */     GIR_EraseRootFromParent_Done,
     /*  101168 */   // Label 1566: @101168
     /*  101168 */   GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(101221), // Rule ID 50471 //
     /*  101173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101184 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101219 */     GIR_RootConstrainSelectedInstOperands,
     /*  101220 */     // GIR_Coverage, 50471,
     /*  101220 */     GIR_EraseRootFromParent_Done,
     /*  101221 */   // Label 1567: @101221
     /*  101221 */   GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(101274), // Rule ID 50472 //
     /*  101226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101237 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101272 */     GIR_RootConstrainSelectedInstOperands,
     /*  101273 */     // GIR_Coverage, 50472,
     /*  101273 */     GIR_EraseRootFromParent_Done,
     /*  101274 */   // Label 1568: @101274
     /*  101274 */   GIM_Reject,
     /*  101275 */ // Label 1548: @101275
     /*  101275 */ GIM_Reject,
     /*  101276 */ // Label 1251: @101276
     /*  101276 */ GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(101390),
     /*  101281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  101287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101299 */   GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(101344), // Rule ID 50443 //
     /*  101304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101307 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  101310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  101324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101342 */     GIR_RootConstrainSelectedInstOperands,
     /*  101343 */     // GIR_Coverage, 50443,
     /*  101343 */     GIR_EraseRootFromParent_Done,
     /*  101344 */   // Label 1570: @101344
     /*  101344 */   GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(101389), // Rule ID 50444 //
     /*  101349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101352 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  101355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  101369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101387 */     GIR_RootConstrainSelectedInstOperands,
     /*  101388 */     // GIR_Coverage, 50444,
     /*  101388 */     GIR_EraseRootFromParent_Done,
     /*  101389 */   // Label 1571: @101389
     /*  101389 */   GIM_Reject,
     /*  101390 */ // Label 1569: @101390
     /*  101390 */ GIM_Reject,
     /*  101391 */ // Label 1252: @101391
     /*  101391 */ GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(103115),
     /*  101396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  101399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  101402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101406 */   GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(101495), // Rule ID 51185 //
     /*  101411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101445 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101454 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101493 */     GIR_RootConstrainSelectedInstOperands,
     /*  101494 */     // GIR_Coverage, 51185,
     /*  101494 */     GIR_EraseRootFromParent_Done,
     /*  101495 */   // Label 1573: @101495
     /*  101495 */   GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(101584), // Rule ID 51186 //
     /*  101500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101515 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101517 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101534 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101541 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101543 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101582 */     GIR_RootConstrainSelectedInstOperands,
     /*  101583 */     // GIR_Coverage, 51186,
     /*  101583 */     GIR_EraseRootFromParent_Done,
     /*  101584 */   // Label 1574: @101584
     /*  101584 */   GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(101673), // Rule ID 69257 //
     /*  101589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101604 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101623 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101632 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101671 */     GIR_RootConstrainSelectedInstOperands,
     /*  101672 */     // GIR_Coverage, 69257,
     /*  101672 */     GIR_EraseRootFromParent_Done,
     /*  101673 */   // Label 1575: @101673
     /*  101673 */   GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(101762), // Rule ID 69258 //
     /*  101678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101693 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101695 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101712 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101714 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101719 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101721 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101760 */     GIR_RootConstrainSelectedInstOperands,
     /*  101761 */     // GIR_Coverage, 69258,
     /*  101761 */     GIR_EraseRootFromParent_Done,
     /*  101762 */   // Label 1576: @101762
     /*  101762 */   GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(101851), // Rule ID 69137 //
     /*  101767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101801 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101803 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101810 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101849 */     GIR_RootConstrainSelectedInstOperands,
     /*  101850 */     // GIR_Coverage, 69137,
     /*  101850 */     GIR_EraseRootFromParent_Done,
     /*  101851 */   // Label 1577: @101851
     /*  101851 */   GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(101940), // Rule ID 69138 //
     /*  101856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101871 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101890 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101899 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101938 */     GIR_RootConstrainSelectedInstOperands,
     /*  101939 */     // GIR_Coverage, 69138,
     /*  101939 */     GIR_EraseRootFromParent_Done,
     /*  101940 */   // Label 1578: @101940
     /*  101940 */   GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(102029), // Rule ID 51365 //
     /*  101945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101967 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101971 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101975 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101979 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101981 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101986 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101988 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102027 */     GIR_RootConstrainSelectedInstOperands,
     /*  102028 */     // GIR_Coverage, 51365,
     /*  102028 */     GIR_EraseRootFromParent_Done,
     /*  102029 */   // Label 1579: @102029
     /*  102029 */   GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(102118), // Rule ID 51366 //
     /*  102034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102049 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102068 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102070 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102075 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102077 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102116 */     GIR_RootConstrainSelectedInstOperands,
     /*  102117 */     // GIR_Coverage, 51366,
     /*  102117 */     GIR_EraseRootFromParent_Done,
     /*  102118 */   // Label 1580: @102118
     /*  102118 */   GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(102207), // Rule ID 51065 //
     /*  102123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102138 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102157 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102159 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102164 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102166 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  102183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102205 */     GIR_RootConstrainSelectedInstOperands,
     /*  102206 */     // GIR_Coverage, 51065,
     /*  102206 */     GIR_EraseRootFromParent_Done,
     /*  102207 */   // Label 1581: @102207
     /*  102207 */   GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(102296), // Rule ID 51066 //
     /*  102212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102227 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102246 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102253 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102255 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  102272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102294 */     GIR_RootConstrainSelectedInstOperands,
     /*  102295 */     // GIR_Coverage, 51066,
     /*  102295 */     GIR_EraseRootFromParent_Done,
     /*  102296 */   // Label 1582: @102296
     /*  102296 */   GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(102385), // Rule ID 51305 //
     /*  102301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102335 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102342 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102344 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102383 */     GIR_RootConstrainSelectedInstOperands,
     /*  102384 */     // GIR_Coverage, 51305,
     /*  102384 */     GIR_EraseRootFromParent_Done,
     /*  102385 */   // Label 1583: @102385
     /*  102385 */   GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(102474), // Rule ID 51306 //
     /*  102390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102405 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102412 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102416 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102420 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102424 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102433 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102472 */     GIR_RootConstrainSelectedInstOperands,
     /*  102473 */     // GIR_Coverage, 51306,
     /*  102473 */     GIR_EraseRootFromParent_Done,
     /*  102474 */   // Label 1584: @102474
     /*  102474 */   GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(102563), // Rule ID 51245 //
     /*  102479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102494 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102513 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102515 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102522 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102561 */     GIR_RootConstrainSelectedInstOperands,
     /*  102562 */     // GIR_Coverage, 51245,
     /*  102562 */     GIR_EraseRootFromParent_Done,
     /*  102563 */   // Label 1585: @102563
     /*  102563 */   GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(102652), // Rule ID 51246 //
     /*  102568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102583 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102602 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102611 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102650 */     GIR_RootConstrainSelectedInstOperands,
     /*  102651 */     // GIR_Coverage, 51246,
     /*  102651 */     GIR_EraseRootFromParent_Done,
     /*  102652 */   // Label 1586: @102652
     /*  102652 */   GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(102741), // Rule ID 69197 //
     /*  102657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102672 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102691 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102693 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102700 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102739 */     GIR_RootConstrainSelectedInstOperands,
     /*  102740 */     // GIR_Coverage, 69197,
     /*  102740 */     GIR_EraseRootFromParent_Done,
     /*  102741 */   // Label 1587: @102741
     /*  102741 */   GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(102830), // Rule ID 69198 //
     /*  102746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102761 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102780 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102789 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102828 */     GIR_RootConstrainSelectedInstOperands,
     /*  102829 */     // GIR_Coverage, 69198,
     /*  102829 */     GIR_EraseRootFromParent_Done,
     /*  102830 */   // Label 1588: @102830
     /*  102830 */   GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(102919), // Rule ID 51125 //
     /*  102835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102850 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102869 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102871 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102876 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102878 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102917 */     GIR_RootConstrainSelectedInstOperands,
     /*  102918 */     // GIR_Coverage, 51125,
     /*  102918 */     GIR_EraseRootFromParent_Done,
     /*  102919 */   // Label 1589: @102919
     /*  102919 */   GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(103008), // Rule ID 51126 //
     /*  102924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102939 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102958 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102960 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102965 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102967 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103006 */     GIR_RootConstrainSelectedInstOperands,
     /*  103007 */     // GIR_Coverage, 51126,
     /*  103007 */     GIR_EraseRootFromParent_Done,
     /*  103008 */   // Label 1590: @103008
     /*  103008 */   GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(103061), // Rule ID 50459 //
     /*  103013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103024 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  103027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103059 */     GIR_RootConstrainSelectedInstOperands,
     /*  103060 */     // GIR_Coverage, 50459,
     /*  103060 */     GIR_EraseRootFromParent_Done,
     /*  103061 */   // Label 1591: @103061
     /*  103061 */   GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(103114), // Rule ID 50460 //
     /*  103066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103077 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  103077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  103080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103112 */     GIR_RootConstrainSelectedInstOperands,
     /*  103113 */     // GIR_Coverage, 50460,
     /*  103113 */     GIR_EraseRootFromParent_Done,
     /*  103114 */   // Label 1592: @103114
     /*  103114 */   GIM_Reject,
     /*  103115 */ // Label 1572: @103115
     /*  103115 */ GIM_Reject,
     /*  103116 */ // Label 1253: @103116
     /*  103116 */ GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(103230),
     /*  103121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  103124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  103127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103139 */   GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(103184), // Rule ID 50447 //
     /*  103144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103147 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  103150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103182 */     GIR_RootConstrainSelectedInstOperands,
     /*  103183 */     // GIR_Coverage, 50447,
     /*  103183 */     GIR_EraseRootFromParent_Done,
     /*  103184 */   // Label 1594: @103184
     /*  103184 */   GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(103229), // Rule ID 50448 //
     /*  103189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103192 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  103195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103227 */     GIR_RootConstrainSelectedInstOperands,
     /*  103228 */     // GIR_Coverage, 50448,
     /*  103228 */     GIR_EraseRootFromParent_Done,
     /*  103229 */   // Label 1595: @103229
     /*  103229 */   GIM_Reject,
     /*  103230 */ // Label 1593: @103230
     /*  103230 */ GIM_Reject,
     /*  103231 */ // Label 1254: @103231
     /*  103231 */ GIM_Reject,
     /*  103232 */ // Label 3: @103232
     /*  103232 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1620*/ GIMT_Encode4(105965),
     /*  103243 */ /*GILLT_s32*//*Label 1596*/ GIMT_Encode4(103367),
     /*  103247 */ /*GILLT_s64*//*Label 1597*/ GIMT_Encode4(103401), GIMT_Encode4(0),
     /*  103255 */ /*GILLT_nxv1s8*//*Label 1598*/ GIMT_Encode4(103435),
     /*  103259 */ /*GILLT_nxv1s16*//*Label 1599*/ GIMT_Encode4(103550),
     /*  103263 */ /*GILLT_nxv1s32*//*Label 1600*/ GIMT_Encode4(103665),
     /*  103267 */ /*GILLT_nxv1s64*//*Label 1601*/ GIMT_Encode4(103780), GIMT_Encode4(0),
     /*  103275 */ /*GILLT_nxv2s8*//*Label 1602*/ GIMT_Encode4(103895),
     /*  103279 */ /*GILLT_nxv2s16*//*Label 1603*/ GIMT_Encode4(104010),
     /*  103283 */ /*GILLT_nxv2s32*//*Label 1604*/ GIMT_Encode4(104125),
     /*  103287 */ /*GILLT_nxv2s64*//*Label 1605*/ GIMT_Encode4(104240), GIMT_Encode4(0),
     /*  103295 */ /*GILLT_nxv4s8*//*Label 1606*/ GIMT_Encode4(104355),
     /*  103299 */ /*GILLT_nxv4s16*//*Label 1607*/ GIMT_Encode4(104470),
     /*  103303 */ /*GILLT_nxv4s32*//*Label 1608*/ GIMT_Encode4(104585),
     /*  103307 */ /*GILLT_nxv4s64*//*Label 1609*/ GIMT_Encode4(104700), GIMT_Encode4(0),
     /*  103315 */ /*GILLT_nxv8s8*//*Label 1610*/ GIMT_Encode4(104815),
     /*  103319 */ /*GILLT_nxv8s16*//*Label 1611*/ GIMT_Encode4(104930),
     /*  103323 */ /*GILLT_nxv8s32*//*Label 1612*/ GIMT_Encode4(105045),
     /*  103327 */ /*GILLT_nxv8s64*//*Label 1613*/ GIMT_Encode4(105160), GIMT_Encode4(0),
     /*  103335 */ /*GILLT_nxv16s8*//*Label 1614*/ GIMT_Encode4(105275),
     /*  103339 */ /*GILLT_nxv16s16*//*Label 1615*/ GIMT_Encode4(105390),
     /*  103343 */ /*GILLT_nxv16s32*//*Label 1616*/ GIMT_Encode4(105505), GIMT_Encode4(0),
     /*  103351 */ /*GILLT_nxv32s8*//*Label 1617*/ GIMT_Encode4(105620),
     /*  103355 */ /*GILLT_nxv32s16*//*Label 1618*/ GIMT_Encode4(105735), GIMT_Encode4(0),
     /*  103363 */ /*GILLT_nxv64s8*//*Label 1619*/ GIMT_Encode4(105850),
     /*  103367 */ // Label 1596: @103367
     /*  103367 */ GIM_Try, /*On fail goto*//*Label 1621*/ GIMT_Encode4(103400), // Rule ID 297 //
     /*  103372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  103375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  103378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  103381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103393 */   // (sdiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  103393 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  103398 */   GIR_RootConstrainSelectedInstOperands,
     /*  103399 */   // GIR_Coverage, 297,
     /*  103399 */   GIR_Done,
     /*  103400 */ // Label 1621: @103400
     /*  103400 */ GIM_Reject,
     /*  103401 */ // Label 1597: @103401
     /*  103401 */ GIM_Try, /*On fail goto*//*Label 1622*/ GIMT_Encode4(103434), // Rule ID 296 //
     /*  103406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  103409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  103412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  103415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103427 */   // (sdiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103427 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  103432 */   GIR_RootConstrainSelectedInstOperands,
     /*  103433 */   // GIR_Coverage, 296,
     /*  103433 */   GIR_Done,
     /*  103434 */ // Label 1622: @103434
     /*  103434 */ GIM_Reject,
     /*  103435 */ // Label 1598: @103435
     /*  103435 */ GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(103549),
     /*  103440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  103443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  103446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103454 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103458 */   GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(103503), // Rule ID 50751 //
     /*  103463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103466 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  103469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  103483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103501 */     GIR_RootConstrainSelectedInstOperands,
     /*  103502 */     // GIR_Coverage, 50751,
     /*  103502 */     GIR_EraseRootFromParent_Done,
     /*  103503 */   // Label 1624: @103503
     /*  103503 */   GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(103548), // Rule ID 50752 //
     /*  103508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103511 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  103514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  103528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103546 */     GIR_RootConstrainSelectedInstOperands,
     /*  103547 */     // GIR_Coverage, 50752,
     /*  103547 */     GIR_EraseRootFromParent_Done,
     /*  103548 */   // Label 1625: @103548
     /*  103548 */   GIM_Reject,
     /*  103549 */ // Label 1623: @103549
     /*  103549 */ GIM_Reject,
     /*  103550 */ // Label 1599: @103550
     /*  103550 */ GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(103664),
     /*  103555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  103558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  103561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103569 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103573 */   GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(103618), // Rule ID 50763 //
     /*  103578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103581 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  103584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  103598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103616 */     GIR_RootConstrainSelectedInstOperands,
     /*  103617 */     // GIR_Coverage, 50763,
     /*  103617 */     GIR_EraseRootFromParent_Done,
     /*  103618 */   // Label 1627: @103618
     /*  103618 */   GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(103663), // Rule ID 50764 //
     /*  103623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103626 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  103626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  103629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  103643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103661 */     GIR_RootConstrainSelectedInstOperands,
     /*  103662 */     // GIR_Coverage, 50764,
     /*  103662 */     GIR_EraseRootFromParent_Done,
     /*  103663 */   // Label 1628: @103663
     /*  103663 */   GIM_Reject,
     /*  103664 */ // Label 1626: @103664
     /*  103664 */ GIM_Reject,
     /*  103665 */ // Label 1600: @103665
     /*  103665 */ GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(103779),
     /*  103670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  103673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  103676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103684 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103688 */   GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(103733), // Rule ID 50771 //
     /*  103693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103696 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  103696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  103699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  103713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  103728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103731 */     GIR_RootConstrainSelectedInstOperands,
     /*  103732 */     // GIR_Coverage, 50771,
     /*  103732 */     GIR_EraseRootFromParent_Done,
     /*  103733 */   // Label 1630: @103733
     /*  103733 */   GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(103778), // Rule ID 50772 //
     /*  103738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103741 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  103741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  103744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  103758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  103773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103776 */     GIR_RootConstrainSelectedInstOperands,
     /*  103777 */     // GIR_Coverage, 50772,
     /*  103777 */     GIR_EraseRootFromParent_Done,
     /*  103778 */   // Label 1631: @103778
     /*  103778 */   GIM_Reject,
     /*  103779 */ // Label 1629: @103779
     /*  103779 */ GIM_Reject,
     /*  103780 */ // Label 1601: @103780
     /*  103780 */ GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(103894),
     /*  103785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  103788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  103791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103803 */   GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(103848), // Rule ID 50787 //
     /*  103808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  103811 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  103811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  103814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  103828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  103843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103846 */     GIR_RootConstrainSelectedInstOperands,
     /*  103847 */     // GIR_Coverage, 50787,
     /*  103847 */     GIR_EraseRootFromParent_Done,
     /*  103848 */   // Label 1633: @103848
     /*  103848 */   GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(103893), // Rule ID 50788 //
     /*  103853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  103856 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  103856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  103859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  103873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  103888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103891 */     GIR_RootConstrainSelectedInstOperands,
     /*  103892 */     // GIR_Coverage, 50788,
     /*  103892 */     GIR_EraseRootFromParent_Done,
     /*  103893 */   // Label 1634: @103893
     /*  103893 */   GIM_Reject,
     /*  103894 */ // Label 1632: @103894
     /*  103894 */ GIM_Reject,
     /*  103895 */ // Label 1602: @103895
     /*  103895 */ GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(104009),
     /*  103900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  103903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  103906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103918 */   GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(103963), // Rule ID 50755 //
     /*  103923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103926 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  103929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  103943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103961 */     GIR_RootConstrainSelectedInstOperands,
     /*  103962 */     // GIR_Coverage, 50755,
     /*  103962 */     GIR_EraseRootFromParent_Done,
     /*  103963 */   // Label 1636: @103963
     /*  103963 */   GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(104008), // Rule ID 50756 //
     /*  103968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103971 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  103974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  103988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104006 */     GIR_RootConstrainSelectedInstOperands,
     /*  104007 */     // GIR_Coverage, 50756,
     /*  104007 */     GIR_EraseRootFromParent_Done,
     /*  104008 */   // Label 1637: @104008
     /*  104008 */   GIM_Reject,
     /*  104009 */ // Label 1635: @104009
     /*  104009 */ GIM_Reject,
     /*  104010 */ // Label 1603: @104010
     /*  104010 */ GIM_Try, /*On fail goto*//*Label 1638*/ GIMT_Encode4(104124),
     /*  104015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  104018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  104021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104029 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104033 */   GIM_Try, /*On fail goto*//*Label 1639*/ GIMT_Encode4(104078), // Rule ID 50767 //
     /*  104038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104041 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  104044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  104058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104076 */     GIR_RootConstrainSelectedInstOperands,
     /*  104077 */     // GIR_Coverage, 50767,
     /*  104077 */     GIR_EraseRootFromParent_Done,
     /*  104078 */   // Label 1639: @104078
     /*  104078 */   GIM_Try, /*On fail goto*//*Label 1640*/ GIMT_Encode4(104123), // Rule ID 50768 //
     /*  104083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104086 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  104089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  104103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104121 */     GIR_RootConstrainSelectedInstOperands,
     /*  104122 */     // GIR_Coverage, 50768,
     /*  104122 */     GIR_EraseRootFromParent_Done,
     /*  104123 */   // Label 1640: @104123
     /*  104123 */   GIM_Reject,
     /*  104124 */ // Label 1638: @104124
     /*  104124 */ GIM_Reject,
     /*  104125 */ // Label 1604: @104125
     /*  104125 */ GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(104239),
     /*  104130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  104133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  104136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104148 */   GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(104193), // Rule ID 50783 //
     /*  104153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104156 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  104156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  104159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  104173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104191 */     GIR_RootConstrainSelectedInstOperands,
     /*  104192 */     // GIR_Coverage, 50783,
     /*  104192 */     GIR_EraseRootFromParent_Done,
     /*  104193 */   // Label 1642: @104193
     /*  104193 */   GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(104238), // Rule ID 50784 //
     /*  104198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104201 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  104201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  104204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  104218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104236 */     GIR_RootConstrainSelectedInstOperands,
     /*  104237 */     // GIR_Coverage, 50784,
     /*  104237 */     GIR_EraseRootFromParent_Done,
     /*  104238 */   // Label 1643: @104238
     /*  104238 */   GIM_Reject,
     /*  104239 */ // Label 1641: @104239
     /*  104239 */ GIM_Reject,
     /*  104240 */ // Label 1605: @104240
     /*  104240 */ GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(104354),
     /*  104245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  104248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  104251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104263 */   GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(104308), // Rule ID 50827 //
     /*  104268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  104271 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  104271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  104274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  104288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104306 */     GIR_RootConstrainSelectedInstOperands,
     /*  104307 */     // GIR_Coverage, 50827,
     /*  104307 */     GIR_EraseRootFromParent_Done,
     /*  104308 */   // Label 1645: @104308
     /*  104308 */   GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(104353), // Rule ID 50828 //
     /*  104313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  104316 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  104316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  104319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  104333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104351 */     GIR_RootConstrainSelectedInstOperands,
     /*  104352 */     // GIR_Coverage, 50828,
     /*  104352 */     GIR_EraseRootFromParent_Done,
     /*  104353 */   // Label 1646: @104353
     /*  104353 */   GIM_Reject,
     /*  104354 */ // Label 1644: @104354
     /*  104354 */ GIM_Reject,
     /*  104355 */ // Label 1606: @104355
     /*  104355 */ GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(104469),
     /*  104360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  104363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  104366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104378 */   GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(104423), // Rule ID 50759 //
     /*  104383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104386 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  104386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  104389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  104403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104421 */     GIR_RootConstrainSelectedInstOperands,
     /*  104422 */     // GIR_Coverage, 50759,
     /*  104422 */     GIR_EraseRootFromParent_Done,
     /*  104423 */   // Label 1648: @104423
     /*  104423 */   GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(104468), // Rule ID 50760 //
     /*  104428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104431 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  104431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  104434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  104448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104466 */     GIR_RootConstrainSelectedInstOperands,
     /*  104467 */     // GIR_Coverage, 50760,
     /*  104467 */     GIR_EraseRootFromParent_Done,
     /*  104468 */   // Label 1649: @104468
     /*  104468 */   GIM_Reject,
     /*  104469 */ // Label 1647: @104469
     /*  104469 */ GIM_Reject,
     /*  104470 */ // Label 1607: @104470
     /*  104470 */ GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(104584),
     /*  104475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  104478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  104481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104489 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104493 */   GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(104538), // Rule ID 50779 //
     /*  104498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104501 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  104504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  104518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104536 */     GIR_RootConstrainSelectedInstOperands,
     /*  104537 */     // GIR_Coverage, 50779,
     /*  104537 */     GIR_EraseRootFromParent_Done,
     /*  104538 */   // Label 1651: @104538
     /*  104538 */   GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(104583), // Rule ID 50780 //
     /*  104543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104546 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  104549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  104563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104581 */     GIR_RootConstrainSelectedInstOperands,
     /*  104582 */     // GIR_Coverage, 50780,
     /*  104582 */     GIR_EraseRootFromParent_Done,
     /*  104583 */   // Label 1652: @104583
     /*  104583 */   GIM_Reject,
     /*  104584 */ // Label 1650: @104584
     /*  104584 */ GIM_Reject,
     /*  104585 */ // Label 1608: @104585
     /*  104585 */ GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(104699),
     /*  104590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  104593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  104596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104608 */   GIM_Try, /*On fail goto*//*Label 1654*/ GIMT_Encode4(104653), // Rule ID 50815 //
     /*  104613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104616 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  104616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  104619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  104633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104651 */     GIR_RootConstrainSelectedInstOperands,
     /*  104652 */     // GIR_Coverage, 50815,
     /*  104652 */     GIR_EraseRootFromParent_Done,
     /*  104653 */   // Label 1654: @104653
     /*  104653 */   GIM_Try, /*On fail goto*//*Label 1655*/ GIMT_Encode4(104698), // Rule ID 50816 //
     /*  104658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104661 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  104661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  104664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  104678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104696 */     GIR_RootConstrainSelectedInstOperands,
     /*  104697 */     // GIR_Coverage, 50816,
     /*  104697 */     GIR_EraseRootFromParent_Done,
     /*  104698 */   // Label 1655: @104698
     /*  104698 */   GIM_Reject,
     /*  104699 */ // Label 1653: @104699
     /*  104699 */ GIM_Reject,
     /*  104700 */ // Label 1609: @104700
     /*  104700 */ GIM_Try, /*On fail goto*//*Label 1656*/ GIMT_Encode4(104814),
     /*  104705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  104708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  104711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104723 */   GIM_Try, /*On fail goto*//*Label 1657*/ GIMT_Encode4(104768), // Rule ID 50831 //
     /*  104728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  104731 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  104731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  104734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  104748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104766 */     GIR_RootConstrainSelectedInstOperands,
     /*  104767 */     // GIR_Coverage, 50831,
     /*  104767 */     GIR_EraseRootFromParent_Done,
     /*  104768 */   // Label 1657: @104768
     /*  104768 */   GIM_Try, /*On fail goto*//*Label 1658*/ GIMT_Encode4(104813), // Rule ID 50832 //
     /*  104773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  104776 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  104776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  104779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  104793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104811 */     GIR_RootConstrainSelectedInstOperands,
     /*  104812 */     // GIR_Coverage, 50832,
     /*  104812 */     GIR_EraseRootFromParent_Done,
     /*  104813 */   // Label 1658: @104813
     /*  104813 */   GIM_Reject,
     /*  104814 */ // Label 1656: @104814
     /*  104814 */ GIM_Reject,
     /*  104815 */ // Label 1610: @104815
     /*  104815 */ GIM_Try, /*On fail goto*//*Label 1659*/ GIMT_Encode4(104929),
     /*  104820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  104823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  104826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104834 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104838 */   GIM_Try, /*On fail goto*//*Label 1660*/ GIMT_Encode4(104883), // Rule ID 50775 //
     /*  104843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104846 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  104846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  104849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  104863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104881 */     GIR_RootConstrainSelectedInstOperands,
     /*  104882 */     // GIR_Coverage, 50775,
     /*  104882 */     GIR_EraseRootFromParent_Done,
     /*  104883 */   // Label 1660: @104883
     /*  104883 */   GIM_Try, /*On fail goto*//*Label 1661*/ GIMT_Encode4(104928), // Rule ID 50776 //
     /*  104888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104891 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  104891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  104894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  104908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104926 */     GIR_RootConstrainSelectedInstOperands,
     /*  104927 */     // GIR_Coverage, 50776,
     /*  104927 */     GIR_EraseRootFromParent_Done,
     /*  104928 */   // Label 1661: @104928
     /*  104928 */   GIM_Reject,
     /*  104929 */ // Label 1659: @104929
     /*  104929 */ GIM_Reject,
     /*  104930 */ // Label 1611: @104930
     /*  104930 */ GIM_Try, /*On fail goto*//*Label 1662*/ GIMT_Encode4(105044),
     /*  104935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  104938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  104941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104953 */   GIM_Try, /*On fail goto*//*Label 1663*/ GIMT_Encode4(104998), // Rule ID 50803 //
     /*  104958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104961 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  104964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  104978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104996 */     GIR_RootConstrainSelectedInstOperands,
     /*  104997 */     // GIR_Coverage, 50803,
     /*  104997 */     GIR_EraseRootFromParent_Done,
     /*  104998 */   // Label 1663: @104998
     /*  104998 */   GIM_Try, /*On fail goto*//*Label 1664*/ GIMT_Encode4(105043), // Rule ID 50804 //
     /*  105003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105006 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  105009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  105023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105041 */     GIR_RootConstrainSelectedInstOperands,
     /*  105042 */     // GIR_Coverage, 50804,
     /*  105042 */     GIR_EraseRootFromParent_Done,
     /*  105043 */   // Label 1664: @105043
     /*  105043 */   GIM_Reject,
     /*  105044 */ // Label 1662: @105044
     /*  105044 */ GIM_Reject,
     /*  105045 */ // Label 1612: @105045
     /*  105045 */ GIM_Try, /*On fail goto*//*Label 1665*/ GIMT_Encode4(105159),
     /*  105050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  105053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  105056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105068 */   GIM_Try, /*On fail goto*//*Label 1666*/ GIMT_Encode4(105113), // Rule ID 50819 //
     /*  105073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105076 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  105076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  105079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  105093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105111 */     GIR_RootConstrainSelectedInstOperands,
     /*  105112 */     // GIR_Coverage, 50819,
     /*  105112 */     GIR_EraseRootFromParent_Done,
     /*  105113 */   // Label 1666: @105113
     /*  105113 */   GIM_Try, /*On fail goto*//*Label 1667*/ GIMT_Encode4(105158), // Rule ID 50820 //
     /*  105118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105121 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  105121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  105124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  105138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105156 */     GIR_RootConstrainSelectedInstOperands,
     /*  105157 */     // GIR_Coverage, 50820,
     /*  105157 */     GIR_EraseRootFromParent_Done,
     /*  105158 */   // Label 1667: @105158
     /*  105158 */   GIM_Reject,
     /*  105159 */ // Label 1665: @105159
     /*  105159 */ GIM_Reject,
     /*  105160 */ // Label 1613: @105160
     /*  105160 */ GIM_Try, /*On fail goto*//*Label 1668*/ GIMT_Encode4(105274),
     /*  105165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  105168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  105171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105183 */   GIM_Try, /*On fail goto*//*Label 1669*/ GIMT_Encode4(105228), // Rule ID 50835 //
     /*  105188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  105191 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  105191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  105194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  105208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  105223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105226 */     GIR_RootConstrainSelectedInstOperands,
     /*  105227 */     // GIR_Coverage, 50835,
     /*  105227 */     GIR_EraseRootFromParent_Done,
     /*  105228 */   // Label 1669: @105228
     /*  105228 */   GIM_Try, /*On fail goto*//*Label 1670*/ GIMT_Encode4(105273), // Rule ID 50836 //
     /*  105233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  105236 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  105236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  105239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  105253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  105268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105271 */     GIR_RootConstrainSelectedInstOperands,
     /*  105272 */     // GIR_Coverage, 50836,
     /*  105272 */     GIR_EraseRootFromParent_Done,
     /*  105273 */   // Label 1670: @105273
     /*  105273 */   GIM_Reject,
     /*  105274 */ // Label 1668: @105274
     /*  105274 */ GIM_Reject,
     /*  105275 */ // Label 1614: @105275
     /*  105275 */ GIM_Try, /*On fail goto*//*Label 1671*/ GIMT_Encode4(105389),
     /*  105280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  105283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  105286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  105290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  105294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  105298 */   GIM_Try, /*On fail goto*//*Label 1672*/ GIMT_Encode4(105343), // Rule ID 50791 //
     /*  105303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105306 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  105309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  105323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105341 */     GIR_RootConstrainSelectedInstOperands,
     /*  105342 */     // GIR_Coverage, 50791,
     /*  105342 */     GIR_EraseRootFromParent_Done,
     /*  105343 */   // Label 1672: @105343
     /*  105343 */   GIM_Try, /*On fail goto*//*Label 1673*/ GIMT_Encode4(105388), // Rule ID 50792 //
     /*  105348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105351 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  105354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  105368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105386 */     GIR_RootConstrainSelectedInstOperands,
     /*  105387 */     // GIR_Coverage, 50792,
     /*  105387 */     GIR_EraseRootFromParent_Done,
     /*  105388 */   // Label 1673: @105388
     /*  105388 */   GIM_Reject,
     /*  105389 */ // Label 1671: @105389
     /*  105389 */ GIM_Reject,
     /*  105390 */ // Label 1615: @105390
     /*  105390 */ GIM_Try, /*On fail goto*//*Label 1674*/ GIMT_Encode4(105504),
     /*  105395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  105401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105413 */   GIM_Try, /*On fail goto*//*Label 1675*/ GIMT_Encode4(105458), // Rule ID 50807 //
     /*  105418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105421 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  105421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  105424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  105438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105456 */     GIR_RootConstrainSelectedInstOperands,
     /*  105457 */     // GIR_Coverage, 50807,
     /*  105457 */     GIR_EraseRootFromParent_Done,
     /*  105458 */   // Label 1675: @105458
     /*  105458 */   GIM_Try, /*On fail goto*//*Label 1676*/ GIMT_Encode4(105503), // Rule ID 50808 //
     /*  105463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105466 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  105469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  105483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105501 */     GIR_RootConstrainSelectedInstOperands,
     /*  105502 */     // GIR_Coverage, 50808,
     /*  105502 */     GIR_EraseRootFromParent_Done,
     /*  105503 */   // Label 1676: @105503
     /*  105503 */   GIM_Reject,
     /*  105504 */ // Label 1674: @105504
     /*  105504 */ GIM_Reject,
     /*  105505 */ // Label 1616: @105505
     /*  105505 */ GIM_Try, /*On fail goto*//*Label 1677*/ GIMT_Encode4(105619),
     /*  105510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  105513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  105516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105528 */   GIM_Try, /*On fail goto*//*Label 1678*/ GIMT_Encode4(105573), // Rule ID 50823 //
     /*  105533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105536 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  105536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  105553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105571 */     GIR_RootConstrainSelectedInstOperands,
     /*  105572 */     // GIR_Coverage, 50823,
     /*  105572 */     GIR_EraseRootFromParent_Done,
     /*  105573 */   // Label 1678: @105573
     /*  105573 */   GIM_Try, /*On fail goto*//*Label 1679*/ GIMT_Encode4(105618), // Rule ID 50824 //
     /*  105578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105581 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  105581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  105598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105616 */     GIR_RootConstrainSelectedInstOperands,
     /*  105617 */     // GIR_Coverage, 50824,
     /*  105617 */     GIR_EraseRootFromParent_Done,
     /*  105618 */   // Label 1679: @105618
     /*  105618 */   GIM_Reject,
     /*  105619 */ // Label 1677: @105619
     /*  105619 */ GIM_Reject,
     /*  105620 */ // Label 1617: @105620
     /*  105620 */ GIM_Try, /*On fail goto*//*Label 1680*/ GIMT_Encode4(105734),
     /*  105625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  105631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105639 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105643 */   GIM_Try, /*On fail goto*//*Label 1681*/ GIMT_Encode4(105688), // Rule ID 50795 //
     /*  105648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105651 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  105668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105686 */     GIR_RootConstrainSelectedInstOperands,
     /*  105687 */     // GIR_Coverage, 50795,
     /*  105687 */     GIR_EraseRootFromParent_Done,
     /*  105688 */   // Label 1681: @105688
     /*  105688 */   GIM_Try, /*On fail goto*//*Label 1682*/ GIMT_Encode4(105733), // Rule ID 50796 //
     /*  105693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105696 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  105713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105731 */     GIR_RootConstrainSelectedInstOperands,
     /*  105732 */     // GIR_Coverage, 50796,
     /*  105732 */     GIR_EraseRootFromParent_Done,
     /*  105733 */   // Label 1682: @105733
     /*  105733 */   GIM_Reject,
     /*  105734 */ // Label 1680: @105734
     /*  105734 */ GIM_Reject,
     /*  105735 */ // Label 1618: @105735
     /*  105735 */ GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(105849),
     /*  105740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  105743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  105746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105758 */   GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(105803), // Rule ID 50811 //
     /*  105763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105766 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  105766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  105783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105801 */     GIR_RootConstrainSelectedInstOperands,
     /*  105802 */     // GIR_Coverage, 50811,
     /*  105802 */     GIR_EraseRootFromParent_Done,
     /*  105803 */   // Label 1684: @105803
     /*  105803 */   GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(105848), // Rule ID 50812 //
     /*  105808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105811 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  105828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105846 */     GIR_RootConstrainSelectedInstOperands,
     /*  105847 */     // GIR_Coverage, 50812,
     /*  105847 */     GIR_EraseRootFromParent_Done,
     /*  105848 */   // Label 1685: @105848
     /*  105848 */   GIM_Reject,
     /*  105849 */ // Label 1683: @105849
     /*  105849 */ GIM_Reject,
     /*  105850 */ // Label 1619: @105850
     /*  105850 */ GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(105964),
     /*  105855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  105858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  105861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105873 */   GIM_Try, /*On fail goto*//*Label 1687*/ GIMT_Encode4(105918), // Rule ID 50799 //
     /*  105878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105881 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  105884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  105898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105916 */     GIR_RootConstrainSelectedInstOperands,
     /*  105917 */     // GIR_Coverage, 50799,
     /*  105917 */     GIR_EraseRootFromParent_Done,
     /*  105918 */   // Label 1687: @105918
     /*  105918 */   GIM_Try, /*On fail goto*//*Label 1688*/ GIMT_Encode4(105963), // Rule ID 50800 //
     /*  105923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105926 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  105929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  105943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105961 */     GIR_RootConstrainSelectedInstOperands,
     /*  105962 */     // GIR_Coverage, 50800,
     /*  105962 */     GIR_EraseRootFromParent_Done,
     /*  105963 */   // Label 1688: @105963
     /*  105963 */   GIM_Reject,
     /*  105964 */ // Label 1686: @105964
     /*  105964 */ GIM_Reject,
     /*  105965 */ // Label 1620: @105965
     /*  105965 */ GIM_Reject,
     /*  105966 */ // Label 4: @105966
     /*  105966 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1713*/ GIMT_Encode4(108699),
     /*  105977 */ /*GILLT_s32*//*Label 1689*/ GIMT_Encode4(106101),
     /*  105981 */ /*GILLT_s64*//*Label 1690*/ GIMT_Encode4(106135), GIMT_Encode4(0),
     /*  105989 */ /*GILLT_nxv1s8*//*Label 1691*/ GIMT_Encode4(106169),
     /*  105993 */ /*GILLT_nxv1s16*//*Label 1692*/ GIMT_Encode4(106284),
     /*  105997 */ /*GILLT_nxv1s32*//*Label 1693*/ GIMT_Encode4(106399),
     /*  106001 */ /*GILLT_nxv1s64*//*Label 1694*/ GIMT_Encode4(106514), GIMT_Encode4(0),
     /*  106009 */ /*GILLT_nxv2s8*//*Label 1695*/ GIMT_Encode4(106629),
     /*  106013 */ /*GILLT_nxv2s16*//*Label 1696*/ GIMT_Encode4(106744),
     /*  106017 */ /*GILLT_nxv2s32*//*Label 1697*/ GIMT_Encode4(106859),
     /*  106021 */ /*GILLT_nxv2s64*//*Label 1698*/ GIMT_Encode4(106974), GIMT_Encode4(0),
     /*  106029 */ /*GILLT_nxv4s8*//*Label 1699*/ GIMT_Encode4(107089),
     /*  106033 */ /*GILLT_nxv4s16*//*Label 1700*/ GIMT_Encode4(107204),
     /*  106037 */ /*GILLT_nxv4s32*//*Label 1701*/ GIMT_Encode4(107319),
     /*  106041 */ /*GILLT_nxv4s64*//*Label 1702*/ GIMT_Encode4(107434), GIMT_Encode4(0),
     /*  106049 */ /*GILLT_nxv8s8*//*Label 1703*/ GIMT_Encode4(107549),
     /*  106053 */ /*GILLT_nxv8s16*//*Label 1704*/ GIMT_Encode4(107664),
     /*  106057 */ /*GILLT_nxv8s32*//*Label 1705*/ GIMT_Encode4(107779),
     /*  106061 */ /*GILLT_nxv8s64*//*Label 1706*/ GIMT_Encode4(107894), GIMT_Encode4(0),
     /*  106069 */ /*GILLT_nxv16s8*//*Label 1707*/ GIMT_Encode4(108009),
     /*  106073 */ /*GILLT_nxv16s16*//*Label 1708*/ GIMT_Encode4(108124),
     /*  106077 */ /*GILLT_nxv16s32*//*Label 1709*/ GIMT_Encode4(108239), GIMT_Encode4(0),
     /*  106085 */ /*GILLT_nxv32s8*//*Label 1710*/ GIMT_Encode4(108354),
     /*  106089 */ /*GILLT_nxv32s16*//*Label 1711*/ GIMT_Encode4(108469), GIMT_Encode4(0),
     /*  106097 */ /*GILLT_nxv64s8*//*Label 1712*/ GIMT_Encode4(108584),
     /*  106101 */ // Label 1689: @106101
     /*  106101 */ GIM_Try, /*On fail goto*//*Label 1714*/ GIMT_Encode4(106134), // Rule ID 299 //
     /*  106106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  106109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  106112 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  106115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106123 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106127 */   // (udiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIVU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  106127 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  106132 */   GIR_RootConstrainSelectedInstOperands,
     /*  106133 */   // GIR_Coverage, 299,
     /*  106133 */   GIR_Done,
     /*  106134 */ // Label 1714: @106134
     /*  106134 */ GIM_Reject,
     /*  106135 */ // Label 1690: @106135
     /*  106135 */ GIM_Try, /*On fail goto*//*Label 1715*/ GIMT_Encode4(106168), // Rule ID 298 //
     /*  106140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  106143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  106146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  106149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106161 */   // (udiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106161 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  106166 */   GIR_RootConstrainSelectedInstOperands,
     /*  106167 */   // GIR_Coverage, 298,
     /*  106167 */   GIR_Done,
     /*  106168 */ // Label 1715: @106168
     /*  106168 */ GIM_Reject,
     /*  106169 */ // Label 1691: @106169
     /*  106169 */ GIM_Try, /*On fail goto*//*Label 1716*/ GIMT_Encode4(106283),
     /*  106174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  106177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  106180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106184 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106188 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106192 */   GIM_Try, /*On fail goto*//*Label 1717*/ GIMT_Encode4(106237), // Rule ID 50663 //
     /*  106197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106200 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  106203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  106217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106235 */     GIR_RootConstrainSelectedInstOperands,
     /*  106236 */     // GIR_Coverage, 50663,
     /*  106236 */     GIR_EraseRootFromParent_Done,
     /*  106237 */   // Label 1717: @106237
     /*  106237 */   GIM_Try, /*On fail goto*//*Label 1718*/ GIMT_Encode4(106282), // Rule ID 50664 //
     /*  106242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106245 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  106248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  106262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106280 */     GIR_RootConstrainSelectedInstOperands,
     /*  106281 */     // GIR_Coverage, 50664,
     /*  106281 */     GIR_EraseRootFromParent_Done,
     /*  106282 */   // Label 1718: @106282
     /*  106282 */   GIM_Reject,
     /*  106283 */ // Label 1716: @106283
     /*  106283 */ GIM_Reject,
     /*  106284 */ // Label 1692: @106284
     /*  106284 */ GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(106398),
     /*  106289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  106292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  106295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106307 */   GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(106352), // Rule ID 50675 //
     /*  106312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106315 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  106315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  106318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  106332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106350 */     GIR_RootConstrainSelectedInstOperands,
     /*  106351 */     // GIR_Coverage, 50675,
     /*  106351 */     GIR_EraseRootFromParent_Done,
     /*  106352 */   // Label 1720: @106352
     /*  106352 */   GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(106397), // Rule ID 50676 //
     /*  106357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106360 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  106360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  106363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  106377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106395 */     GIR_RootConstrainSelectedInstOperands,
     /*  106396 */     // GIR_Coverage, 50676,
     /*  106396 */     GIR_EraseRootFromParent_Done,
     /*  106397 */   // Label 1721: @106397
     /*  106397 */   GIM_Reject,
     /*  106398 */ // Label 1719: @106398
     /*  106398 */ GIM_Reject,
     /*  106399 */ // Label 1693: @106399
     /*  106399 */ GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(106513),
     /*  106404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  106407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  106410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106418 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106422 */   GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(106467), // Rule ID 50683 //
     /*  106427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106430 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  106430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  106433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  106447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106465 */     GIR_RootConstrainSelectedInstOperands,
     /*  106466 */     // GIR_Coverage, 50683,
     /*  106466 */     GIR_EraseRootFromParent_Done,
     /*  106467 */   // Label 1723: @106467
     /*  106467 */   GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(106512), // Rule ID 50684 //
     /*  106472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106475 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  106475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  106478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  106492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106510 */     GIR_RootConstrainSelectedInstOperands,
     /*  106511 */     // GIR_Coverage, 50684,
     /*  106511 */     GIR_EraseRootFromParent_Done,
     /*  106512 */   // Label 1724: @106512
     /*  106512 */   GIM_Reject,
     /*  106513 */ // Label 1722: @106513
     /*  106513 */ GIM_Reject,
     /*  106514 */ // Label 1694: @106514
     /*  106514 */ GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(106628),
     /*  106519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  106522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  106525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106533 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106537 */   GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(106582), // Rule ID 50699 //
     /*  106542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  106545 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  106545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  106548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  106562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  106577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106580 */     GIR_RootConstrainSelectedInstOperands,
     /*  106581 */     // GIR_Coverage, 50699,
     /*  106581 */     GIR_EraseRootFromParent_Done,
     /*  106582 */   // Label 1726: @106582
     /*  106582 */   GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(106627), // Rule ID 50700 //
     /*  106587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  106590 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  106590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  106593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  106607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  106622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106625 */     GIR_RootConstrainSelectedInstOperands,
     /*  106626 */     // GIR_Coverage, 50700,
     /*  106626 */     GIR_EraseRootFromParent_Done,
     /*  106627 */   // Label 1727: @106627
     /*  106627 */   GIM_Reject,
     /*  106628 */ // Label 1725: @106628
     /*  106628 */ GIM_Reject,
     /*  106629 */ // Label 1695: @106629
     /*  106629 */ GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(106743),
     /*  106634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  106637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  106640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106652 */   GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(106697), // Rule ID 50667 //
     /*  106657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106660 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  106663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  106677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106695 */     GIR_RootConstrainSelectedInstOperands,
     /*  106696 */     // GIR_Coverage, 50667,
     /*  106696 */     GIR_EraseRootFromParent_Done,
     /*  106697 */   // Label 1729: @106697
     /*  106697 */   GIM_Try, /*On fail goto*//*Label 1730*/ GIMT_Encode4(106742), // Rule ID 50668 //
     /*  106702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106705 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  106708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  106722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106740 */     GIR_RootConstrainSelectedInstOperands,
     /*  106741 */     // GIR_Coverage, 50668,
     /*  106741 */     GIR_EraseRootFromParent_Done,
     /*  106742 */   // Label 1730: @106742
     /*  106742 */   GIM_Reject,
     /*  106743 */ // Label 1728: @106743
     /*  106743 */ GIM_Reject,
     /*  106744 */ // Label 1696: @106744
     /*  106744 */ GIM_Try, /*On fail goto*//*Label 1731*/ GIMT_Encode4(106858),
     /*  106749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  106752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  106755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106767 */   GIM_Try, /*On fail goto*//*Label 1732*/ GIMT_Encode4(106812), // Rule ID 50679 //
     /*  106772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106775 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  106775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  106778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  106792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106810 */     GIR_RootConstrainSelectedInstOperands,
     /*  106811 */     // GIR_Coverage, 50679,
     /*  106811 */     GIR_EraseRootFromParent_Done,
     /*  106812 */   // Label 1732: @106812
     /*  106812 */   GIM_Try, /*On fail goto*//*Label 1733*/ GIMT_Encode4(106857), // Rule ID 50680 //
     /*  106817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106820 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  106820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  106823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  106837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106855 */     GIR_RootConstrainSelectedInstOperands,
     /*  106856 */     // GIR_Coverage, 50680,
     /*  106856 */     GIR_EraseRootFromParent_Done,
     /*  106857 */   // Label 1733: @106857
     /*  106857 */   GIM_Reject,
     /*  106858 */ // Label 1731: @106858
     /*  106858 */ GIM_Reject,
     /*  106859 */ // Label 1697: @106859
     /*  106859 */ GIM_Try, /*On fail goto*//*Label 1734*/ GIMT_Encode4(106973),
     /*  106864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  106867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  106870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106882 */   GIM_Try, /*On fail goto*//*Label 1735*/ GIMT_Encode4(106927), // Rule ID 50695 //
     /*  106887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106890 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  106890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  106893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  106907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106925 */     GIR_RootConstrainSelectedInstOperands,
     /*  106926 */     // GIR_Coverage, 50695,
     /*  106926 */     GIR_EraseRootFromParent_Done,
     /*  106927 */   // Label 1735: @106927
     /*  106927 */   GIM_Try, /*On fail goto*//*Label 1736*/ GIMT_Encode4(106972), // Rule ID 50696 //
     /*  106932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106935 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  106935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  106938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  106952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106970 */     GIR_RootConstrainSelectedInstOperands,
     /*  106971 */     // GIR_Coverage, 50696,
     /*  106971 */     GIR_EraseRootFromParent_Done,
     /*  106972 */   // Label 1736: @106972
     /*  106972 */   GIM_Reject,
     /*  106973 */ // Label 1734: @106973
     /*  106973 */ GIM_Reject,
     /*  106974 */ // Label 1698: @106974
     /*  106974 */ GIM_Try, /*On fail goto*//*Label 1737*/ GIMT_Encode4(107088),
     /*  106979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  106982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  106985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  106989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  106993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  106997 */   GIM_Try, /*On fail goto*//*Label 1738*/ GIMT_Encode4(107042), // Rule ID 50739 //
     /*  107002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107005 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  107008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  107022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107040 */     GIR_RootConstrainSelectedInstOperands,
     /*  107041 */     // GIR_Coverage, 50739,
     /*  107041 */     GIR_EraseRootFromParent_Done,
     /*  107042 */   // Label 1738: @107042
     /*  107042 */   GIM_Try, /*On fail goto*//*Label 1739*/ GIMT_Encode4(107087), // Rule ID 50740 //
     /*  107047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107050 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  107053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  107067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107085 */     GIR_RootConstrainSelectedInstOperands,
     /*  107086 */     // GIR_Coverage, 50740,
     /*  107086 */     GIR_EraseRootFromParent_Done,
     /*  107087 */   // Label 1739: @107087
     /*  107087 */   GIM_Reject,
     /*  107088 */ // Label 1737: @107088
     /*  107088 */ GIM_Reject,
     /*  107089 */ // Label 1699: @107089
     /*  107089 */ GIM_Try, /*On fail goto*//*Label 1740*/ GIMT_Encode4(107203),
     /*  107094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  107097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  107100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107112 */   GIM_Try, /*On fail goto*//*Label 1741*/ GIMT_Encode4(107157), // Rule ID 50671 //
     /*  107117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107120 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  107123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  107137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107155 */     GIR_RootConstrainSelectedInstOperands,
     /*  107156 */     // GIR_Coverage, 50671,
     /*  107156 */     GIR_EraseRootFromParent_Done,
     /*  107157 */   // Label 1741: @107157
     /*  107157 */   GIM_Try, /*On fail goto*//*Label 1742*/ GIMT_Encode4(107202), // Rule ID 50672 //
     /*  107162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107165 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  107168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  107182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107200 */     GIR_RootConstrainSelectedInstOperands,
     /*  107201 */     // GIR_Coverage, 50672,
     /*  107201 */     GIR_EraseRootFromParent_Done,
     /*  107202 */   // Label 1742: @107202
     /*  107202 */   GIM_Reject,
     /*  107203 */ // Label 1740: @107203
     /*  107203 */ GIM_Reject,
     /*  107204 */ // Label 1700: @107204
     /*  107204 */ GIM_Try, /*On fail goto*//*Label 1743*/ GIMT_Encode4(107318),
     /*  107209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  107212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  107215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107227 */   GIM_Try, /*On fail goto*//*Label 1744*/ GIMT_Encode4(107272), // Rule ID 50691 //
     /*  107232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107235 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  107238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  107252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107270 */     GIR_RootConstrainSelectedInstOperands,
     /*  107271 */     // GIR_Coverage, 50691,
     /*  107271 */     GIR_EraseRootFromParent_Done,
     /*  107272 */   // Label 1744: @107272
     /*  107272 */   GIM_Try, /*On fail goto*//*Label 1745*/ GIMT_Encode4(107317), // Rule ID 50692 //
     /*  107277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107280 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  107283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  107297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107315 */     GIR_RootConstrainSelectedInstOperands,
     /*  107316 */     // GIR_Coverage, 50692,
     /*  107316 */     GIR_EraseRootFromParent_Done,
     /*  107317 */   // Label 1745: @107317
     /*  107317 */   GIM_Reject,
     /*  107318 */ // Label 1743: @107318
     /*  107318 */ GIM_Reject,
     /*  107319 */ // Label 1701: @107319
     /*  107319 */ GIM_Try, /*On fail goto*//*Label 1746*/ GIMT_Encode4(107433),
     /*  107324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  107327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  107330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107338 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107342 */   GIM_Try, /*On fail goto*//*Label 1747*/ GIMT_Encode4(107387), // Rule ID 50727 //
     /*  107347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107350 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  107350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  107353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  107367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107385 */     GIR_RootConstrainSelectedInstOperands,
     /*  107386 */     // GIR_Coverage, 50727,
     /*  107386 */     GIR_EraseRootFromParent_Done,
     /*  107387 */   // Label 1747: @107387
     /*  107387 */   GIM_Try, /*On fail goto*//*Label 1748*/ GIMT_Encode4(107432), // Rule ID 50728 //
     /*  107392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107395 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  107395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  107398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  107412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107430 */     GIR_RootConstrainSelectedInstOperands,
     /*  107431 */     // GIR_Coverage, 50728,
     /*  107431 */     GIR_EraseRootFromParent_Done,
     /*  107432 */   // Label 1748: @107432
     /*  107432 */   GIM_Reject,
     /*  107433 */ // Label 1746: @107433
     /*  107433 */ GIM_Reject,
     /*  107434 */ // Label 1702: @107434
     /*  107434 */ GIM_Try, /*On fail goto*//*Label 1749*/ GIMT_Encode4(107548),
     /*  107439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  107442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  107445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107453 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107457 */   GIM_Try, /*On fail goto*//*Label 1750*/ GIMT_Encode4(107502), // Rule ID 50743 //
     /*  107462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107465 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  107468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  107482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107500 */     GIR_RootConstrainSelectedInstOperands,
     /*  107501 */     // GIR_Coverage, 50743,
     /*  107501 */     GIR_EraseRootFromParent_Done,
     /*  107502 */   // Label 1750: @107502
     /*  107502 */   GIM_Try, /*On fail goto*//*Label 1751*/ GIMT_Encode4(107547), // Rule ID 50744 //
     /*  107507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107510 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  107513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  107527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107545 */     GIR_RootConstrainSelectedInstOperands,
     /*  107546 */     // GIR_Coverage, 50744,
     /*  107546 */     GIR_EraseRootFromParent_Done,
     /*  107547 */   // Label 1751: @107547
     /*  107547 */   GIM_Reject,
     /*  107548 */ // Label 1749: @107548
     /*  107548 */ GIM_Reject,
     /*  107549 */ // Label 1703: @107549
     /*  107549 */ GIM_Try, /*On fail goto*//*Label 1752*/ GIMT_Encode4(107663),
     /*  107554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  107557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  107560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107572 */   GIM_Try, /*On fail goto*//*Label 1753*/ GIMT_Encode4(107617), // Rule ID 50687 //
     /*  107577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107580 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  107583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  107597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107615 */     GIR_RootConstrainSelectedInstOperands,
     /*  107616 */     // GIR_Coverage, 50687,
     /*  107616 */     GIR_EraseRootFromParent_Done,
     /*  107617 */   // Label 1753: @107617
     /*  107617 */   GIM_Try, /*On fail goto*//*Label 1754*/ GIMT_Encode4(107662), // Rule ID 50688 //
     /*  107622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107625 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  107628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  107642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107660 */     GIR_RootConstrainSelectedInstOperands,
     /*  107661 */     // GIR_Coverage, 50688,
     /*  107661 */     GIR_EraseRootFromParent_Done,
     /*  107662 */   // Label 1754: @107662
     /*  107662 */   GIM_Reject,
     /*  107663 */ // Label 1752: @107663
     /*  107663 */ GIM_Reject,
     /*  107664 */ // Label 1704: @107664
     /*  107664 */ GIM_Try, /*On fail goto*//*Label 1755*/ GIMT_Encode4(107778),
     /*  107669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  107672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  107675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107683 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107687 */   GIM_Try, /*On fail goto*//*Label 1756*/ GIMT_Encode4(107732), // Rule ID 50715 //
     /*  107692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107695 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  107698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  107712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107730 */     GIR_RootConstrainSelectedInstOperands,
     /*  107731 */     // GIR_Coverage, 50715,
     /*  107731 */     GIR_EraseRootFromParent_Done,
     /*  107732 */   // Label 1756: @107732
     /*  107732 */   GIM_Try, /*On fail goto*//*Label 1757*/ GIMT_Encode4(107777), // Rule ID 50716 //
     /*  107737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107740 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  107743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  107757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107775 */     GIR_RootConstrainSelectedInstOperands,
     /*  107776 */     // GIR_Coverage, 50716,
     /*  107776 */     GIR_EraseRootFromParent_Done,
     /*  107777 */   // Label 1757: @107777
     /*  107777 */   GIM_Reject,
     /*  107778 */ // Label 1755: @107778
     /*  107778 */ GIM_Reject,
     /*  107779 */ // Label 1705: @107779
     /*  107779 */ GIM_Try, /*On fail goto*//*Label 1758*/ GIMT_Encode4(107893),
     /*  107784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  107787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  107790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107798 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107802 */   GIM_Try, /*On fail goto*//*Label 1759*/ GIMT_Encode4(107847), // Rule ID 50731 //
     /*  107807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107810 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  107810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  107813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  107827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107845 */     GIR_RootConstrainSelectedInstOperands,
     /*  107846 */     // GIR_Coverage, 50731,
     /*  107846 */     GIR_EraseRootFromParent_Done,
     /*  107847 */   // Label 1759: @107847
     /*  107847 */   GIM_Try, /*On fail goto*//*Label 1760*/ GIMT_Encode4(107892), // Rule ID 50732 //
     /*  107852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107855 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  107855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  107858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  107872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107890 */     GIR_RootConstrainSelectedInstOperands,
     /*  107891 */     // GIR_Coverage, 50732,
     /*  107891 */     GIR_EraseRootFromParent_Done,
     /*  107892 */   // Label 1760: @107892
     /*  107892 */   GIM_Reject,
     /*  107893 */ // Label 1758: @107893
     /*  107893 */ GIM_Reject,
     /*  107894 */ // Label 1706: @107894
     /*  107894 */ GIM_Try, /*On fail goto*//*Label 1761*/ GIMT_Encode4(108008),
     /*  107899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  107902 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  107905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107913 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107917 */   GIM_Try, /*On fail goto*//*Label 1762*/ GIMT_Encode4(107962), // Rule ID 50747 //
     /*  107922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107925 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  107928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  107942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107960 */     GIR_RootConstrainSelectedInstOperands,
     /*  107961 */     // GIR_Coverage, 50747,
     /*  107961 */     GIR_EraseRootFromParent_Done,
     /*  107962 */   // Label 1762: @107962
     /*  107962 */   GIM_Try, /*On fail goto*//*Label 1763*/ GIMT_Encode4(108007), // Rule ID 50748 //
     /*  107967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107970 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  107973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  107987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108005 */     GIR_RootConstrainSelectedInstOperands,
     /*  108006 */     // GIR_Coverage, 50748,
     /*  108006 */     GIR_EraseRootFromParent_Done,
     /*  108007 */   // Label 1763: @108007
     /*  108007 */   GIM_Reject,
     /*  108008 */ // Label 1761: @108008
     /*  108008 */ GIM_Reject,
     /*  108009 */ // Label 1707: @108009
     /*  108009 */ GIM_Try, /*On fail goto*//*Label 1764*/ GIMT_Encode4(108123),
     /*  108014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  108017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  108020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108032 */   GIM_Try, /*On fail goto*//*Label 1765*/ GIMT_Encode4(108077), // Rule ID 50703 //
     /*  108037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108040 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  108043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  108057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108075 */     GIR_RootConstrainSelectedInstOperands,
     /*  108076 */     // GIR_Coverage, 50703,
     /*  108076 */     GIR_EraseRootFromParent_Done,
     /*  108077 */   // Label 1765: @108077
     /*  108077 */   GIM_Try, /*On fail goto*//*Label 1766*/ GIMT_Encode4(108122), // Rule ID 50704 //
     /*  108082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108085 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  108088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  108102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108120 */     GIR_RootConstrainSelectedInstOperands,
     /*  108121 */     // GIR_Coverage, 50704,
     /*  108121 */     GIR_EraseRootFromParent_Done,
     /*  108122 */   // Label 1766: @108122
     /*  108122 */   GIM_Reject,
     /*  108123 */ // Label 1764: @108123
     /*  108123 */ GIM_Reject,
     /*  108124 */ // Label 1708: @108124
     /*  108124 */ GIM_Try, /*On fail goto*//*Label 1767*/ GIMT_Encode4(108238),
     /*  108129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  108132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  108135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108147 */   GIM_Try, /*On fail goto*//*Label 1768*/ GIMT_Encode4(108192), // Rule ID 50719 //
     /*  108152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108155 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  108158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  108172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108190 */     GIR_RootConstrainSelectedInstOperands,
     /*  108191 */     // GIR_Coverage, 50719,
     /*  108191 */     GIR_EraseRootFromParent_Done,
     /*  108192 */   // Label 1768: @108192
     /*  108192 */   GIM_Try, /*On fail goto*//*Label 1769*/ GIMT_Encode4(108237), // Rule ID 50720 //
     /*  108197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108200 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  108203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  108217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108235 */     GIR_RootConstrainSelectedInstOperands,
     /*  108236 */     // GIR_Coverage, 50720,
     /*  108236 */     GIR_EraseRootFromParent_Done,
     /*  108237 */   // Label 1769: @108237
     /*  108237 */   GIM_Reject,
     /*  108238 */ // Label 1767: @108238
     /*  108238 */ GIM_Reject,
     /*  108239 */ // Label 1709: @108239
     /*  108239 */ GIM_Try, /*On fail goto*//*Label 1770*/ GIMT_Encode4(108353),
     /*  108244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  108247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  108250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108258 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108262 */   GIM_Try, /*On fail goto*//*Label 1771*/ GIMT_Encode4(108307), // Rule ID 50735 //
     /*  108267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108270 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  108270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  108273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  108287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108305 */     GIR_RootConstrainSelectedInstOperands,
     /*  108306 */     // GIR_Coverage, 50735,
     /*  108306 */     GIR_EraseRootFromParent_Done,
     /*  108307 */   // Label 1771: @108307
     /*  108307 */   GIM_Try, /*On fail goto*//*Label 1772*/ GIMT_Encode4(108352), // Rule ID 50736 //
     /*  108312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108315 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  108315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  108318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  108332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108350 */     GIR_RootConstrainSelectedInstOperands,
     /*  108351 */     // GIR_Coverage, 50736,
     /*  108351 */     GIR_EraseRootFromParent_Done,
     /*  108352 */   // Label 1772: @108352
     /*  108352 */   GIM_Reject,
     /*  108353 */ // Label 1770: @108353
     /*  108353 */ GIM_Reject,
     /*  108354 */ // Label 1710: @108354
     /*  108354 */ GIM_Try, /*On fail goto*//*Label 1773*/ GIMT_Encode4(108468),
     /*  108359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  108362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  108365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108377 */   GIM_Try, /*On fail goto*//*Label 1774*/ GIMT_Encode4(108422), // Rule ID 50707 //
     /*  108382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108385 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  108388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  108402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108420 */     GIR_RootConstrainSelectedInstOperands,
     /*  108421 */     // GIR_Coverage, 50707,
     /*  108421 */     GIR_EraseRootFromParent_Done,
     /*  108422 */   // Label 1774: @108422
     /*  108422 */   GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(108467), // Rule ID 50708 //
     /*  108427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108430 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  108433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  108447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108465 */     GIR_RootConstrainSelectedInstOperands,
     /*  108466 */     // GIR_Coverage, 50708,
     /*  108466 */     GIR_EraseRootFromParent_Done,
     /*  108467 */   // Label 1775: @108467
     /*  108467 */   GIM_Reject,
     /*  108468 */ // Label 1773: @108468
     /*  108468 */ GIM_Reject,
     /*  108469 */ // Label 1711: @108469
     /*  108469 */ GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(108583),
     /*  108474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  108477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  108480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108488 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108492 */   GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(108537), // Rule ID 50723 //
     /*  108497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108500 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  108503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  108517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108535 */     GIR_RootConstrainSelectedInstOperands,
     /*  108536 */     // GIR_Coverage, 50723,
     /*  108536 */     GIR_EraseRootFromParent_Done,
     /*  108537 */   // Label 1777: @108537
     /*  108537 */   GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(108582), // Rule ID 50724 //
     /*  108542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108545 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  108548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  108562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108580 */     GIR_RootConstrainSelectedInstOperands,
     /*  108581 */     // GIR_Coverage, 50724,
     /*  108581 */     GIR_EraseRootFromParent_Done,
     /*  108582 */   // Label 1778: @108582
     /*  108582 */   GIM_Reject,
     /*  108583 */ // Label 1776: @108583
     /*  108583 */ GIM_Reject,
     /*  108584 */ // Label 1712: @108584
     /*  108584 */ GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(108698),
     /*  108589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  108592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  108595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108603 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108607 */   GIM_Try, /*On fail goto*//*Label 1780*/ GIMT_Encode4(108652), // Rule ID 50711 //
     /*  108612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108615 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  108618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  108632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108650 */     GIR_RootConstrainSelectedInstOperands,
     /*  108651 */     // GIR_Coverage, 50711,
     /*  108651 */     GIR_EraseRootFromParent_Done,
     /*  108652 */   // Label 1780: @108652
     /*  108652 */   GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(108697), // Rule ID 50712 //
     /*  108657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108660 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  108663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  108677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108695 */     GIR_RootConstrainSelectedInstOperands,
     /*  108696 */     // GIR_Coverage, 50712,
     /*  108696 */     GIR_EraseRootFromParent_Done,
     /*  108697 */   // Label 1781: @108697
     /*  108697 */   GIM_Reject,
     /*  108698 */ // Label 1779: @108698
     /*  108698 */ GIM_Reject,
     /*  108699 */ // Label 1713: @108699
     /*  108699 */ GIM_Reject,
     /*  108700 */ // Label 5: @108700
     /*  108700 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1806*/ GIMT_Encode4(111478),
     /*  108711 */ /*GILLT_s32*//*Label 1782*/ GIMT_Encode4(108835),
     /*  108715 */ /*GILLT_s64*//*Label 1783*/ GIMT_Encode4(108869), GIMT_Encode4(0),
     /*  108723 */ /*GILLT_nxv1s8*//*Label 1784*/ GIMT_Encode4(108948),
     /*  108727 */ /*GILLT_nxv1s16*//*Label 1785*/ GIMT_Encode4(109063),
     /*  108731 */ /*GILLT_nxv1s32*//*Label 1786*/ GIMT_Encode4(109178),
     /*  108735 */ /*GILLT_nxv1s64*//*Label 1787*/ GIMT_Encode4(109293), GIMT_Encode4(0),
     /*  108743 */ /*GILLT_nxv2s8*//*Label 1788*/ GIMT_Encode4(109408),
     /*  108747 */ /*GILLT_nxv2s16*//*Label 1789*/ GIMT_Encode4(109523),
     /*  108751 */ /*GILLT_nxv2s32*//*Label 1790*/ GIMT_Encode4(109638),
     /*  108755 */ /*GILLT_nxv2s64*//*Label 1791*/ GIMT_Encode4(109753), GIMT_Encode4(0),
     /*  108763 */ /*GILLT_nxv4s8*//*Label 1792*/ GIMT_Encode4(109868),
     /*  108767 */ /*GILLT_nxv4s16*//*Label 1793*/ GIMT_Encode4(109983),
     /*  108771 */ /*GILLT_nxv4s32*//*Label 1794*/ GIMT_Encode4(110098),
     /*  108775 */ /*GILLT_nxv4s64*//*Label 1795*/ GIMT_Encode4(110213), GIMT_Encode4(0),
     /*  108783 */ /*GILLT_nxv8s8*//*Label 1796*/ GIMT_Encode4(110328),
     /*  108787 */ /*GILLT_nxv8s16*//*Label 1797*/ GIMT_Encode4(110443),
     /*  108791 */ /*GILLT_nxv8s32*//*Label 1798*/ GIMT_Encode4(110558),
     /*  108795 */ /*GILLT_nxv8s64*//*Label 1799*/ GIMT_Encode4(110673), GIMT_Encode4(0),
     /*  108803 */ /*GILLT_nxv16s8*//*Label 1800*/ GIMT_Encode4(110788),
     /*  108807 */ /*GILLT_nxv16s16*//*Label 1801*/ GIMT_Encode4(110903),
     /*  108811 */ /*GILLT_nxv16s32*//*Label 1802*/ GIMT_Encode4(111018), GIMT_Encode4(0),
     /*  108819 */ /*GILLT_nxv32s8*//*Label 1803*/ GIMT_Encode4(111133),
     /*  108823 */ /*GILLT_nxv32s16*//*Label 1804*/ GIMT_Encode4(111248), GIMT_Encode4(0),
     /*  108831 */ /*GILLT_nxv64s8*//*Label 1805*/ GIMT_Encode4(111363),
     /*  108835 */ // Label 1782: @108835
     /*  108835 */ GIM_Try, /*On fail goto*//*Label 1807*/ GIMT_Encode4(108868), // Rule ID 301 //
     /*  108840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  108843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  108846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  108849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108861 */   // (srem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REM:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108861 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  108866 */   GIR_RootConstrainSelectedInstOperands,
     /*  108867 */   // GIR_Coverage, 301,
     /*  108867 */   GIR_Done,
     /*  108868 */ // Label 1807: @108868
     /*  108868 */ GIM_Reject,
     /*  108869 */ // Label 1783: @108869
     /*  108869 */ GIM_Try, /*On fail goto*//*Label 1808*/ GIMT_Encode4(108947),
     /*  108874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  108877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  108880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108884 */   GIM_Try, /*On fail goto*//*Label 1809*/ GIMT_Encode4(108923), // Rule ID 310 //
     /*  108889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /*  108892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /*  108899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_sexti32),
     /*  108906 */     // (srem:{ *:[i64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (REMW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::REMW),
     /*  108909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  108916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  108921 */     GIR_RootConstrainSelectedInstOperands,
     /*  108922 */     // GIR_Coverage, 310,
     /*  108922 */     GIR_EraseRootFromParent_Done,
     /*  108923 */   // Label 1809: @108923
     /*  108923 */   GIM_Try, /*On fail goto*//*Label 1810*/ GIMT_Encode4(108946), // Rule ID 300 //
     /*  108928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  108931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108939 */     // (srem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108939 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  108944 */     GIR_RootConstrainSelectedInstOperands,
     /*  108945 */     // GIR_Coverage, 300,
     /*  108945 */     GIR_Done,
     /*  108946 */   // Label 1810: @108946
     /*  108946 */   GIM_Reject,
     /*  108947 */ // Label 1808: @108947
     /*  108947 */ GIM_Reject,
     /*  108948 */ // Label 1784: @108948
     /*  108948 */ GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(109062),
     /*  108953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  108956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  108959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108971 */   GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(109016), // Rule ID 50927 //
     /*  108976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108979 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  108982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  108996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109014 */     GIR_RootConstrainSelectedInstOperands,
     /*  109015 */     // GIR_Coverage, 50927,
     /*  109015 */     GIR_EraseRootFromParent_Done,
     /*  109016 */   // Label 1812: @109016
     /*  109016 */   GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(109061), // Rule ID 50928 //
     /*  109021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109024 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  109027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  109041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109059 */     GIR_RootConstrainSelectedInstOperands,
     /*  109060 */     // GIR_Coverage, 50928,
     /*  109060 */     GIR_EraseRootFromParent_Done,
     /*  109061 */   // Label 1813: @109061
     /*  109061 */   GIM_Reject,
     /*  109062 */ // Label 1811: @109062
     /*  109062 */ GIM_Reject,
     /*  109063 */ // Label 1785: @109063
     /*  109063 */ GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(109177),
     /*  109068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  109071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  109074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109082 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109086 */   GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(109131), // Rule ID 50939 //
     /*  109091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109094 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  109097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  109111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109129 */     GIR_RootConstrainSelectedInstOperands,
     /*  109130 */     // GIR_Coverage, 50939,
     /*  109130 */     GIR_EraseRootFromParent_Done,
     /*  109131 */   // Label 1815: @109131
     /*  109131 */   GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(109176), // Rule ID 50940 //
     /*  109136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109139 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  109142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  109156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109174 */     GIR_RootConstrainSelectedInstOperands,
     /*  109175 */     // GIR_Coverage, 50940,
     /*  109175 */     GIR_EraseRootFromParent_Done,
     /*  109176 */   // Label 1816: @109176
     /*  109176 */   GIM_Reject,
     /*  109177 */ // Label 1814: @109177
     /*  109177 */ GIM_Reject,
     /*  109178 */ // Label 1786: @109178
     /*  109178 */ GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(109292),
     /*  109183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  109186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  109189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109201 */   GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(109246), // Rule ID 50947 //
     /*  109206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109209 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  109212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  109226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109244 */     GIR_RootConstrainSelectedInstOperands,
     /*  109245 */     // GIR_Coverage, 50947,
     /*  109245 */     GIR_EraseRootFromParent_Done,
     /*  109246 */   // Label 1818: @109246
     /*  109246 */   GIM_Try, /*On fail goto*//*Label 1819*/ GIMT_Encode4(109291), // Rule ID 50948 //
     /*  109251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109254 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  109257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  109271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109289 */     GIR_RootConstrainSelectedInstOperands,
     /*  109290 */     // GIR_Coverage, 50948,
     /*  109290 */     GIR_EraseRootFromParent_Done,
     /*  109291 */   // Label 1819: @109291
     /*  109291 */   GIM_Reject,
     /*  109292 */ // Label 1817: @109292
     /*  109292 */ GIM_Reject,
     /*  109293 */ // Label 1787: @109293
     /*  109293 */ GIM_Try, /*On fail goto*//*Label 1820*/ GIMT_Encode4(109407),
     /*  109298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  109301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  109304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109316 */   GIM_Try, /*On fail goto*//*Label 1821*/ GIMT_Encode4(109361), // Rule ID 50963 //
     /*  109321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  109324 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  109324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  109327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  109341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109359 */     GIR_RootConstrainSelectedInstOperands,
     /*  109360 */     // GIR_Coverage, 50963,
     /*  109360 */     GIR_EraseRootFromParent_Done,
     /*  109361 */   // Label 1821: @109361
     /*  109361 */   GIM_Try, /*On fail goto*//*Label 1822*/ GIMT_Encode4(109406), // Rule ID 50964 //
     /*  109366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  109369 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  109369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  109372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  109386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109404 */     GIR_RootConstrainSelectedInstOperands,
     /*  109405 */     // GIR_Coverage, 50964,
     /*  109405 */     GIR_EraseRootFromParent_Done,
     /*  109406 */   // Label 1822: @109406
     /*  109406 */   GIM_Reject,
     /*  109407 */ // Label 1820: @109407
     /*  109407 */ GIM_Reject,
     /*  109408 */ // Label 1788: @109408
     /*  109408 */ GIM_Try, /*On fail goto*//*Label 1823*/ GIMT_Encode4(109522),
     /*  109413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  109416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  109419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109431 */   GIM_Try, /*On fail goto*//*Label 1824*/ GIMT_Encode4(109476), // Rule ID 50931 //
     /*  109436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109439 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  109442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  109456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109474 */     GIR_RootConstrainSelectedInstOperands,
     /*  109475 */     // GIR_Coverage, 50931,
     /*  109475 */     GIR_EraseRootFromParent_Done,
     /*  109476 */   // Label 1824: @109476
     /*  109476 */   GIM_Try, /*On fail goto*//*Label 1825*/ GIMT_Encode4(109521), // Rule ID 50932 //
     /*  109481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109484 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  109487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  109501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109519 */     GIR_RootConstrainSelectedInstOperands,
     /*  109520 */     // GIR_Coverage, 50932,
     /*  109520 */     GIR_EraseRootFromParent_Done,
     /*  109521 */   // Label 1825: @109521
     /*  109521 */   GIM_Reject,
     /*  109522 */ // Label 1823: @109522
     /*  109522 */ GIM_Reject,
     /*  109523 */ // Label 1789: @109523
     /*  109523 */ GIM_Try, /*On fail goto*//*Label 1826*/ GIMT_Encode4(109637),
     /*  109528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  109531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  109534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109546 */   GIM_Try, /*On fail goto*//*Label 1827*/ GIMT_Encode4(109591), // Rule ID 50943 //
     /*  109551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109554 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  109557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  109571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109589 */     GIR_RootConstrainSelectedInstOperands,
     /*  109590 */     // GIR_Coverage, 50943,
     /*  109590 */     GIR_EraseRootFromParent_Done,
     /*  109591 */   // Label 1827: @109591
     /*  109591 */   GIM_Try, /*On fail goto*//*Label 1828*/ GIMT_Encode4(109636), // Rule ID 50944 //
     /*  109596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109599 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  109602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  109616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109634 */     GIR_RootConstrainSelectedInstOperands,
     /*  109635 */     // GIR_Coverage, 50944,
     /*  109635 */     GIR_EraseRootFromParent_Done,
     /*  109636 */   // Label 1828: @109636
     /*  109636 */   GIM_Reject,
     /*  109637 */ // Label 1826: @109637
     /*  109637 */ GIM_Reject,
     /*  109638 */ // Label 1790: @109638
     /*  109638 */ GIM_Try, /*On fail goto*//*Label 1829*/ GIMT_Encode4(109752),
     /*  109643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  109646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  109649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109661 */   GIM_Try, /*On fail goto*//*Label 1830*/ GIMT_Encode4(109706), // Rule ID 50959 //
     /*  109666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109669 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  109672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  109686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109704 */     GIR_RootConstrainSelectedInstOperands,
     /*  109705 */     // GIR_Coverage, 50959,
     /*  109705 */     GIR_EraseRootFromParent_Done,
     /*  109706 */   // Label 1830: @109706
     /*  109706 */   GIM_Try, /*On fail goto*//*Label 1831*/ GIMT_Encode4(109751), // Rule ID 50960 //
     /*  109711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109714 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  109717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  109731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109749 */     GIR_RootConstrainSelectedInstOperands,
     /*  109750 */     // GIR_Coverage, 50960,
     /*  109750 */     GIR_EraseRootFromParent_Done,
     /*  109751 */   // Label 1831: @109751
     /*  109751 */   GIM_Reject,
     /*  109752 */ // Label 1829: @109752
     /*  109752 */ GIM_Reject,
     /*  109753 */ // Label 1791: @109753
     /*  109753 */ GIM_Try, /*On fail goto*//*Label 1832*/ GIMT_Encode4(109867),
     /*  109758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  109761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  109764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109776 */   GIM_Try, /*On fail goto*//*Label 1833*/ GIMT_Encode4(109821), // Rule ID 51003 //
     /*  109781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  109784 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  109784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  109787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  109801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109819 */     GIR_RootConstrainSelectedInstOperands,
     /*  109820 */     // GIR_Coverage, 51003,
     /*  109820 */     GIR_EraseRootFromParent_Done,
     /*  109821 */   // Label 1833: @109821
     /*  109821 */   GIM_Try, /*On fail goto*//*Label 1834*/ GIMT_Encode4(109866), // Rule ID 51004 //
     /*  109826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  109829 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  109829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  109832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  109846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109864 */     GIR_RootConstrainSelectedInstOperands,
     /*  109865 */     // GIR_Coverage, 51004,
     /*  109865 */     GIR_EraseRootFromParent_Done,
     /*  109866 */   // Label 1834: @109866
     /*  109866 */   GIM_Reject,
     /*  109867 */ // Label 1832: @109867
     /*  109867 */ GIM_Reject,
     /*  109868 */ // Label 1792: @109868
     /*  109868 */ GIM_Try, /*On fail goto*//*Label 1835*/ GIMT_Encode4(109982),
     /*  109873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  109876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  109879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109891 */   GIM_Try, /*On fail goto*//*Label 1836*/ GIMT_Encode4(109936), // Rule ID 50935 //
     /*  109896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109899 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  109902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  109916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109934 */     GIR_RootConstrainSelectedInstOperands,
     /*  109935 */     // GIR_Coverage, 50935,
     /*  109935 */     GIR_EraseRootFromParent_Done,
     /*  109936 */   // Label 1836: @109936
     /*  109936 */   GIM_Try, /*On fail goto*//*Label 1837*/ GIMT_Encode4(109981), // Rule ID 50936 //
     /*  109941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109944 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  109947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  109961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109979 */     GIR_RootConstrainSelectedInstOperands,
     /*  109980 */     // GIR_Coverage, 50936,
     /*  109980 */     GIR_EraseRootFromParent_Done,
     /*  109981 */   // Label 1837: @109981
     /*  109981 */   GIM_Reject,
     /*  109982 */ // Label 1835: @109982
     /*  109982 */ GIM_Reject,
     /*  109983 */ // Label 1793: @109983
     /*  109983 */ GIM_Try, /*On fail goto*//*Label 1838*/ GIMT_Encode4(110097),
     /*  109988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  109991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  109994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110002 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110006 */   GIM_Try, /*On fail goto*//*Label 1839*/ GIMT_Encode4(110051), // Rule ID 50955 //
     /*  110011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110014 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  110017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  110031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110049 */     GIR_RootConstrainSelectedInstOperands,
     /*  110050 */     // GIR_Coverage, 50955,
     /*  110050 */     GIR_EraseRootFromParent_Done,
     /*  110051 */   // Label 1839: @110051
     /*  110051 */   GIM_Try, /*On fail goto*//*Label 1840*/ GIMT_Encode4(110096), // Rule ID 50956 //
     /*  110056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110059 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  110062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  110076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110094 */     GIR_RootConstrainSelectedInstOperands,
     /*  110095 */     // GIR_Coverage, 50956,
     /*  110095 */     GIR_EraseRootFromParent_Done,
     /*  110096 */   // Label 1840: @110096
     /*  110096 */   GIM_Reject,
     /*  110097 */ // Label 1838: @110097
     /*  110097 */ GIM_Reject,
     /*  110098 */ // Label 1794: @110098
     /*  110098 */ GIM_Try, /*On fail goto*//*Label 1841*/ GIMT_Encode4(110212),
     /*  110103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  110106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  110109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110121 */   GIM_Try, /*On fail goto*//*Label 1842*/ GIMT_Encode4(110166), // Rule ID 50991 //
     /*  110126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110129 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  110129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  110132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  110146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110164 */     GIR_RootConstrainSelectedInstOperands,
     /*  110165 */     // GIR_Coverage, 50991,
     /*  110165 */     GIR_EraseRootFromParent_Done,
     /*  110166 */   // Label 1842: @110166
     /*  110166 */   GIM_Try, /*On fail goto*//*Label 1843*/ GIMT_Encode4(110211), // Rule ID 50992 //
     /*  110171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110174 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  110174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  110177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  110191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110209 */     GIR_RootConstrainSelectedInstOperands,
     /*  110210 */     // GIR_Coverage, 50992,
     /*  110210 */     GIR_EraseRootFromParent_Done,
     /*  110211 */   // Label 1843: @110211
     /*  110211 */   GIM_Reject,
     /*  110212 */ // Label 1841: @110212
     /*  110212 */ GIM_Reject,
     /*  110213 */ // Label 1795: @110213
     /*  110213 */ GIM_Try, /*On fail goto*//*Label 1844*/ GIMT_Encode4(110327),
     /*  110218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  110221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  110224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110236 */   GIM_Try, /*On fail goto*//*Label 1845*/ GIMT_Encode4(110281), // Rule ID 51007 //
     /*  110241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  110244 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  110244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  110247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  110261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110279 */     GIR_RootConstrainSelectedInstOperands,
     /*  110280 */     // GIR_Coverage, 51007,
     /*  110280 */     GIR_EraseRootFromParent_Done,
     /*  110281 */   // Label 1845: @110281
     /*  110281 */   GIM_Try, /*On fail goto*//*Label 1846*/ GIMT_Encode4(110326), // Rule ID 51008 //
     /*  110286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  110289 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  110289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  110292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  110306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110324 */     GIR_RootConstrainSelectedInstOperands,
     /*  110325 */     // GIR_Coverage, 51008,
     /*  110325 */     GIR_EraseRootFromParent_Done,
     /*  110326 */   // Label 1846: @110326
     /*  110326 */   GIM_Reject,
     /*  110327 */ // Label 1844: @110327
     /*  110327 */ GIM_Reject,
     /*  110328 */ // Label 1796: @110328
     /*  110328 */ GIM_Try, /*On fail goto*//*Label 1847*/ GIMT_Encode4(110442),
     /*  110333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  110336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  110339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110347 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110351 */   GIM_Try, /*On fail goto*//*Label 1848*/ GIMT_Encode4(110396), // Rule ID 50951 //
     /*  110356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110359 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  110362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  110376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110394 */     GIR_RootConstrainSelectedInstOperands,
     /*  110395 */     // GIR_Coverage, 50951,
     /*  110395 */     GIR_EraseRootFromParent_Done,
     /*  110396 */   // Label 1848: @110396
     /*  110396 */   GIM_Try, /*On fail goto*//*Label 1849*/ GIMT_Encode4(110441), // Rule ID 50952 //
     /*  110401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110404 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  110407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  110421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110439 */     GIR_RootConstrainSelectedInstOperands,
     /*  110440 */     // GIR_Coverage, 50952,
     /*  110440 */     GIR_EraseRootFromParent_Done,
     /*  110441 */   // Label 1849: @110441
     /*  110441 */   GIM_Reject,
     /*  110442 */ // Label 1847: @110442
     /*  110442 */ GIM_Reject,
     /*  110443 */ // Label 1797: @110443
     /*  110443 */ GIM_Try, /*On fail goto*//*Label 1850*/ GIMT_Encode4(110557),
     /*  110448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  110451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  110454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110466 */   GIM_Try, /*On fail goto*//*Label 1851*/ GIMT_Encode4(110511), // Rule ID 50979 //
     /*  110471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110474 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  110477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  110491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110509 */     GIR_RootConstrainSelectedInstOperands,
     /*  110510 */     // GIR_Coverage, 50979,
     /*  110510 */     GIR_EraseRootFromParent_Done,
     /*  110511 */   // Label 1851: @110511
     /*  110511 */   GIM_Try, /*On fail goto*//*Label 1852*/ GIMT_Encode4(110556), // Rule ID 50980 //
     /*  110516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110519 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  110522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  110536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110554 */     GIR_RootConstrainSelectedInstOperands,
     /*  110555 */     // GIR_Coverage, 50980,
     /*  110555 */     GIR_EraseRootFromParent_Done,
     /*  110556 */   // Label 1852: @110556
     /*  110556 */   GIM_Reject,
     /*  110557 */ // Label 1850: @110557
     /*  110557 */ GIM_Reject,
     /*  110558 */ // Label 1798: @110558
     /*  110558 */ GIM_Try, /*On fail goto*//*Label 1853*/ GIMT_Encode4(110672),
     /*  110563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  110566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  110569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110577 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110581 */   GIM_Try, /*On fail goto*//*Label 1854*/ GIMT_Encode4(110626), // Rule ID 50995 //
     /*  110586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110589 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  110589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  110592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  110606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110624 */     GIR_RootConstrainSelectedInstOperands,
     /*  110625 */     // GIR_Coverage, 50995,
     /*  110625 */     GIR_EraseRootFromParent_Done,
     /*  110626 */   // Label 1854: @110626
     /*  110626 */   GIM_Try, /*On fail goto*//*Label 1855*/ GIMT_Encode4(110671), // Rule ID 50996 //
     /*  110631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110634 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  110634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  110637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  110651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110669 */     GIR_RootConstrainSelectedInstOperands,
     /*  110670 */     // GIR_Coverage, 50996,
     /*  110670 */     GIR_EraseRootFromParent_Done,
     /*  110671 */   // Label 1855: @110671
     /*  110671 */   GIM_Reject,
     /*  110672 */ // Label 1853: @110672
     /*  110672 */ GIM_Reject,
     /*  110673 */ // Label 1799: @110673
     /*  110673 */ GIM_Try, /*On fail goto*//*Label 1856*/ GIMT_Encode4(110787),
     /*  110678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  110681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  110684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110696 */   GIM_Try, /*On fail goto*//*Label 1857*/ GIMT_Encode4(110741), // Rule ID 51011 //
     /*  110701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  110704 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  110704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  110707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  110721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110739 */     GIR_RootConstrainSelectedInstOperands,
     /*  110740 */     // GIR_Coverage, 51011,
     /*  110740 */     GIR_EraseRootFromParent_Done,
     /*  110741 */   // Label 1857: @110741
     /*  110741 */   GIM_Try, /*On fail goto*//*Label 1858*/ GIMT_Encode4(110786), // Rule ID 51012 //
     /*  110746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  110749 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  110749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  110752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  110766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110784 */     GIR_RootConstrainSelectedInstOperands,
     /*  110785 */     // GIR_Coverage, 51012,
     /*  110785 */     GIR_EraseRootFromParent_Done,
     /*  110786 */   // Label 1858: @110786
     /*  110786 */   GIM_Reject,
     /*  110787 */ // Label 1856: @110787
     /*  110787 */ GIM_Reject,
     /*  110788 */ // Label 1800: @110788
     /*  110788 */ GIM_Try, /*On fail goto*//*Label 1859*/ GIMT_Encode4(110902),
     /*  110793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  110796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  110799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110811 */   GIM_Try, /*On fail goto*//*Label 1860*/ GIMT_Encode4(110856), // Rule ID 50967 //
     /*  110816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110819 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  110822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  110836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110854 */     GIR_RootConstrainSelectedInstOperands,
     /*  110855 */     // GIR_Coverage, 50967,
     /*  110855 */     GIR_EraseRootFromParent_Done,
     /*  110856 */   // Label 1860: @110856
     /*  110856 */   GIM_Try, /*On fail goto*//*Label 1861*/ GIMT_Encode4(110901), // Rule ID 50968 //
     /*  110861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110864 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  110867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  110881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110899 */     GIR_RootConstrainSelectedInstOperands,
     /*  110900 */     // GIR_Coverage, 50968,
     /*  110900 */     GIR_EraseRootFromParent_Done,
     /*  110901 */   // Label 1861: @110901
     /*  110901 */   GIM_Reject,
     /*  110902 */ // Label 1859: @110902
     /*  110902 */ GIM_Reject,
     /*  110903 */ // Label 1801: @110903
     /*  110903 */ GIM_Try, /*On fail goto*//*Label 1862*/ GIMT_Encode4(111017),
     /*  110908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  110911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  110914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110926 */   GIM_Try, /*On fail goto*//*Label 1863*/ GIMT_Encode4(110971), // Rule ID 50983 //
     /*  110931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110934 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  110937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  110951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110969 */     GIR_RootConstrainSelectedInstOperands,
     /*  110970 */     // GIR_Coverage, 50983,
     /*  110970 */     GIR_EraseRootFromParent_Done,
     /*  110971 */   // Label 1863: @110971
     /*  110971 */   GIM_Try, /*On fail goto*//*Label 1864*/ GIMT_Encode4(111016), // Rule ID 50984 //
     /*  110976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110979 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  110982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  110996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111014 */     GIR_RootConstrainSelectedInstOperands,
     /*  111015 */     // GIR_Coverage, 50984,
     /*  111015 */     GIR_EraseRootFromParent_Done,
     /*  111016 */   // Label 1864: @111016
     /*  111016 */   GIM_Reject,
     /*  111017 */ // Label 1862: @111017
     /*  111017 */ GIM_Reject,
     /*  111018 */ // Label 1802: @111018
     /*  111018 */ GIM_Try, /*On fail goto*//*Label 1865*/ GIMT_Encode4(111132),
     /*  111023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  111026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  111029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111041 */   GIM_Try, /*On fail goto*//*Label 1866*/ GIMT_Encode4(111086), // Rule ID 50999 //
     /*  111046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111049 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  111052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  111066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111084 */     GIR_RootConstrainSelectedInstOperands,
     /*  111085 */     // GIR_Coverage, 50999,
     /*  111085 */     GIR_EraseRootFromParent_Done,
     /*  111086 */   // Label 1866: @111086
     /*  111086 */   GIM_Try, /*On fail goto*//*Label 1867*/ GIMT_Encode4(111131), // Rule ID 51000 //
     /*  111091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111094 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  111097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  111111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111129 */     GIR_RootConstrainSelectedInstOperands,
     /*  111130 */     // GIR_Coverage, 51000,
     /*  111130 */     GIR_EraseRootFromParent_Done,
     /*  111131 */   // Label 1867: @111131
     /*  111131 */   GIM_Reject,
     /*  111132 */ // Label 1865: @111132
     /*  111132 */ GIM_Reject,
     /*  111133 */ // Label 1803: @111133
     /*  111133 */ GIM_Try, /*On fail goto*//*Label 1868*/ GIMT_Encode4(111247),
     /*  111138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  111141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  111144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111156 */   GIM_Try, /*On fail goto*//*Label 1869*/ GIMT_Encode4(111201), // Rule ID 50971 //
     /*  111161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111164 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  111167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  111181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111199 */     GIR_RootConstrainSelectedInstOperands,
     /*  111200 */     // GIR_Coverage, 50971,
     /*  111200 */     GIR_EraseRootFromParent_Done,
     /*  111201 */   // Label 1869: @111201
     /*  111201 */   GIM_Try, /*On fail goto*//*Label 1870*/ GIMT_Encode4(111246), // Rule ID 50972 //
     /*  111206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111209 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  111212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  111226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111244 */     GIR_RootConstrainSelectedInstOperands,
     /*  111245 */     // GIR_Coverage, 50972,
     /*  111245 */     GIR_EraseRootFromParent_Done,
     /*  111246 */   // Label 1870: @111246
     /*  111246 */   GIM_Reject,
     /*  111247 */ // Label 1868: @111247
     /*  111247 */ GIM_Reject,
     /*  111248 */ // Label 1804: @111248
     /*  111248 */ GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(111362),
     /*  111253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  111256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  111259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111271 */   GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(111316), // Rule ID 50987 //
     /*  111276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111279 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  111282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  111296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111314 */     GIR_RootConstrainSelectedInstOperands,
     /*  111315 */     // GIR_Coverage, 50987,
     /*  111315 */     GIR_EraseRootFromParent_Done,
     /*  111316 */   // Label 1872: @111316
     /*  111316 */   GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(111361), // Rule ID 50988 //
     /*  111321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111324 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  111327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  111341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111359 */     GIR_RootConstrainSelectedInstOperands,
     /*  111360 */     // GIR_Coverage, 50988,
     /*  111360 */     GIR_EraseRootFromParent_Done,
     /*  111361 */   // Label 1873: @111361
     /*  111361 */   GIM_Reject,
     /*  111362 */ // Label 1871: @111362
     /*  111362 */ GIM_Reject,
     /*  111363 */ // Label 1805: @111363
     /*  111363 */ GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(111477),
     /*  111368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  111371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  111374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111386 */   GIM_Try, /*On fail goto*//*Label 1875*/ GIMT_Encode4(111431), // Rule ID 50975 //
     /*  111391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111394 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  111397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  111411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111429 */     GIR_RootConstrainSelectedInstOperands,
     /*  111430 */     // GIR_Coverage, 50975,
     /*  111430 */     GIR_EraseRootFromParent_Done,
     /*  111431 */   // Label 1875: @111431
     /*  111431 */   GIM_Try, /*On fail goto*//*Label 1876*/ GIMT_Encode4(111476), // Rule ID 50976 //
     /*  111436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111439 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  111442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  111456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111474 */     GIR_RootConstrainSelectedInstOperands,
     /*  111475 */     // GIR_Coverage, 50976,
     /*  111475 */     GIR_EraseRootFromParent_Done,
     /*  111476 */   // Label 1876: @111476
     /*  111476 */   GIM_Reject,
     /*  111477 */ // Label 1874: @111477
     /*  111477 */ GIM_Reject,
     /*  111478 */ // Label 1806: @111478
     /*  111478 */ GIM_Reject,
     /*  111479 */ // Label 6: @111479
     /*  111479 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1901*/ GIMT_Encode4(114212),
     /*  111490 */ /*GILLT_s32*//*Label 1877*/ GIMT_Encode4(111614),
     /*  111494 */ /*GILLT_s64*//*Label 1878*/ GIMT_Encode4(111648), GIMT_Encode4(0),
     /*  111502 */ /*GILLT_nxv1s8*//*Label 1879*/ GIMT_Encode4(111682),
     /*  111506 */ /*GILLT_nxv1s16*//*Label 1880*/ GIMT_Encode4(111797),
     /*  111510 */ /*GILLT_nxv1s32*//*Label 1881*/ GIMT_Encode4(111912),
     /*  111514 */ /*GILLT_nxv1s64*//*Label 1882*/ GIMT_Encode4(112027), GIMT_Encode4(0),
     /*  111522 */ /*GILLT_nxv2s8*//*Label 1883*/ GIMT_Encode4(112142),
     /*  111526 */ /*GILLT_nxv2s16*//*Label 1884*/ GIMT_Encode4(112257),
     /*  111530 */ /*GILLT_nxv2s32*//*Label 1885*/ GIMT_Encode4(112372),
     /*  111534 */ /*GILLT_nxv2s64*//*Label 1886*/ GIMT_Encode4(112487), GIMT_Encode4(0),
     /*  111542 */ /*GILLT_nxv4s8*//*Label 1887*/ GIMT_Encode4(112602),
     /*  111546 */ /*GILLT_nxv4s16*//*Label 1888*/ GIMT_Encode4(112717),
     /*  111550 */ /*GILLT_nxv4s32*//*Label 1889*/ GIMT_Encode4(112832),
     /*  111554 */ /*GILLT_nxv4s64*//*Label 1890*/ GIMT_Encode4(112947), GIMT_Encode4(0),
     /*  111562 */ /*GILLT_nxv8s8*//*Label 1891*/ GIMT_Encode4(113062),
     /*  111566 */ /*GILLT_nxv8s16*//*Label 1892*/ GIMT_Encode4(113177),
     /*  111570 */ /*GILLT_nxv8s32*//*Label 1893*/ GIMT_Encode4(113292),
     /*  111574 */ /*GILLT_nxv8s64*//*Label 1894*/ GIMT_Encode4(113407), GIMT_Encode4(0),
     /*  111582 */ /*GILLT_nxv16s8*//*Label 1895*/ GIMT_Encode4(113522),
     /*  111586 */ /*GILLT_nxv16s16*//*Label 1896*/ GIMT_Encode4(113637),
     /*  111590 */ /*GILLT_nxv16s32*//*Label 1897*/ GIMT_Encode4(113752), GIMT_Encode4(0),
     /*  111598 */ /*GILLT_nxv32s8*//*Label 1898*/ GIMT_Encode4(113867),
     /*  111602 */ /*GILLT_nxv32s16*//*Label 1899*/ GIMT_Encode4(113982), GIMT_Encode4(0),
     /*  111610 */ /*GILLT_nxv64s8*//*Label 1900*/ GIMT_Encode4(114097),
     /*  111614 */ // Label 1877: @111614
     /*  111614 */ GIM_Try, /*On fail goto*//*Label 1902*/ GIMT_Encode4(111647), // Rule ID 303 //
     /*  111619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  111622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  111625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  111628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111636 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111640 */   // (urem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REMU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111640 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  111645 */   GIR_RootConstrainSelectedInstOperands,
     /*  111646 */   // GIR_Coverage, 303,
     /*  111646 */   GIR_Done,
     /*  111647 */ // Label 1902: @111647
     /*  111647 */ GIM_Reject,
     /*  111648 */ // Label 1878: @111648
     /*  111648 */ GIM_Try, /*On fail goto*//*Label 1903*/ GIMT_Encode4(111681), // Rule ID 302 //
     /*  111653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  111656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  111659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  111662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111674 */   // (urem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111674 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  111679 */   GIR_RootConstrainSelectedInstOperands,
     /*  111680 */   // GIR_Coverage, 302,
     /*  111680 */   GIR_Done,
     /*  111681 */ // Label 1903: @111681
     /*  111681 */ GIM_Reject,
     /*  111682 */ // Label 1879: @111682
     /*  111682 */ GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(111796),
     /*  111687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  111690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  111693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111705 */   GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(111750), // Rule ID 50839 //
     /*  111710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111713 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  111716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  111730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111748 */     GIR_RootConstrainSelectedInstOperands,
     /*  111749 */     // GIR_Coverage, 50839,
     /*  111749 */     GIR_EraseRootFromParent_Done,
     /*  111750 */   // Label 1905: @111750
     /*  111750 */   GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(111795), // Rule ID 50840 //
     /*  111755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111758 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  111761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  111775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111793 */     GIR_RootConstrainSelectedInstOperands,
     /*  111794 */     // GIR_Coverage, 50840,
     /*  111794 */     GIR_EraseRootFromParent_Done,
     /*  111795 */   // Label 1906: @111795
     /*  111795 */   GIM_Reject,
     /*  111796 */ // Label 1904: @111796
     /*  111796 */ GIM_Reject,
     /*  111797 */ // Label 1880: @111797
     /*  111797 */ GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(111911),
     /*  111802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  111805 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  111808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111816 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111820 */   GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(111865), // Rule ID 50851 //
     /*  111825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111828 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  111831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  111845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111863 */     GIR_RootConstrainSelectedInstOperands,
     /*  111864 */     // GIR_Coverage, 50851,
     /*  111864 */     GIR_EraseRootFromParent_Done,
     /*  111865 */   // Label 1908: @111865
     /*  111865 */   GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(111910), // Rule ID 50852 //
     /*  111870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111873 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  111876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  111890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111908 */     GIR_RootConstrainSelectedInstOperands,
     /*  111909 */     // GIR_Coverage, 50852,
     /*  111909 */     GIR_EraseRootFromParent_Done,
     /*  111910 */   // Label 1909: @111910
     /*  111910 */   GIM_Reject,
     /*  111911 */ // Label 1907: @111911
     /*  111911 */ GIM_Reject,
     /*  111912 */ // Label 1881: @111912
     /*  111912 */ GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(112026),
     /*  111917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  111920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  111923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111931 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111935 */   GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(111980), // Rule ID 50859 //
     /*  111940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111943 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  111946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  111960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111978 */     GIR_RootConstrainSelectedInstOperands,
     /*  111979 */     // GIR_Coverage, 50859,
     /*  111979 */     GIR_EraseRootFromParent_Done,
     /*  111980 */   // Label 1911: @111980
     /*  111980 */   GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(112025), // Rule ID 50860 //
     /*  111985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111988 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  111991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  112005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112023 */     GIR_RootConstrainSelectedInstOperands,
     /*  112024 */     // GIR_Coverage, 50860,
     /*  112024 */     GIR_EraseRootFromParent_Done,
     /*  112025 */   // Label 1912: @112025
     /*  112025 */   GIM_Reject,
     /*  112026 */ // Label 1910: @112026
     /*  112026 */ GIM_Reject,
     /*  112027 */ // Label 1882: @112027
     /*  112027 */ GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(112141),
     /*  112032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  112035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  112038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112046 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112050 */   GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(112095), // Rule ID 50875 //
     /*  112055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112058 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  112061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  112075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112093 */     GIR_RootConstrainSelectedInstOperands,
     /*  112094 */     // GIR_Coverage, 50875,
     /*  112094 */     GIR_EraseRootFromParent_Done,
     /*  112095 */   // Label 1914: @112095
     /*  112095 */   GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(112140), // Rule ID 50876 //
     /*  112100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  112103 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  112103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  112106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  112120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112138 */     GIR_RootConstrainSelectedInstOperands,
     /*  112139 */     // GIR_Coverage, 50876,
     /*  112139 */     GIR_EraseRootFromParent_Done,
     /*  112140 */   // Label 1915: @112140
     /*  112140 */   GIM_Reject,
     /*  112141 */ // Label 1913: @112141
     /*  112141 */ GIM_Reject,
     /*  112142 */ // Label 1883: @112142
     /*  112142 */ GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(112256),
     /*  112147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  112150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  112153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112161 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112165 */   GIM_Try, /*On fail goto*//*Label 1917*/ GIMT_Encode4(112210), // Rule ID 50843 //
     /*  112170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112173 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  112176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  112190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112208 */     GIR_RootConstrainSelectedInstOperands,
     /*  112209 */     // GIR_Coverage, 50843,
     /*  112209 */     GIR_EraseRootFromParent_Done,
     /*  112210 */   // Label 1917: @112210
     /*  112210 */   GIM_Try, /*On fail goto*//*Label 1918*/ GIMT_Encode4(112255), // Rule ID 50844 //
     /*  112215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112218 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  112221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  112235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112253 */     GIR_RootConstrainSelectedInstOperands,
     /*  112254 */     // GIR_Coverage, 50844,
     /*  112254 */     GIR_EraseRootFromParent_Done,
     /*  112255 */   // Label 1918: @112255
     /*  112255 */   GIM_Reject,
     /*  112256 */ // Label 1916: @112256
     /*  112256 */ GIM_Reject,
     /*  112257 */ // Label 1884: @112257
     /*  112257 */ GIM_Try, /*On fail goto*//*Label 1919*/ GIMT_Encode4(112371),
     /*  112262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  112265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  112268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112280 */   GIM_Try, /*On fail goto*//*Label 1920*/ GIMT_Encode4(112325), // Rule ID 50855 //
     /*  112285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112288 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  112291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  112305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112323 */     GIR_RootConstrainSelectedInstOperands,
     /*  112324 */     // GIR_Coverage, 50855,
     /*  112324 */     GIR_EraseRootFromParent_Done,
     /*  112325 */   // Label 1920: @112325
     /*  112325 */   GIM_Try, /*On fail goto*//*Label 1921*/ GIMT_Encode4(112370), // Rule ID 50856 //
     /*  112330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112333 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  112336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  112350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112368 */     GIR_RootConstrainSelectedInstOperands,
     /*  112369 */     // GIR_Coverage, 50856,
     /*  112369 */     GIR_EraseRootFromParent_Done,
     /*  112370 */   // Label 1921: @112370
     /*  112370 */   GIM_Reject,
     /*  112371 */ // Label 1919: @112371
     /*  112371 */ GIM_Reject,
     /*  112372 */ // Label 1885: @112372
     /*  112372 */ GIM_Try, /*On fail goto*//*Label 1922*/ GIMT_Encode4(112486),
     /*  112377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  112380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  112383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112391 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112395 */   GIM_Try, /*On fail goto*//*Label 1923*/ GIMT_Encode4(112440), // Rule ID 50871 //
     /*  112400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112403 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  112403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  112406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  112420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112438 */     GIR_RootConstrainSelectedInstOperands,
     /*  112439 */     // GIR_Coverage, 50871,
     /*  112439 */     GIR_EraseRootFromParent_Done,
     /*  112440 */   // Label 1923: @112440
     /*  112440 */   GIM_Try, /*On fail goto*//*Label 1924*/ GIMT_Encode4(112485), // Rule ID 50872 //
     /*  112445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112448 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  112448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  112451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  112465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112483 */     GIR_RootConstrainSelectedInstOperands,
     /*  112484 */     // GIR_Coverage, 50872,
     /*  112484 */     GIR_EraseRootFromParent_Done,
     /*  112485 */   // Label 1924: @112485
     /*  112485 */   GIM_Reject,
     /*  112486 */ // Label 1922: @112486
     /*  112486 */ GIM_Reject,
     /*  112487 */ // Label 1886: @112487
     /*  112487 */ GIM_Try, /*On fail goto*//*Label 1925*/ GIMT_Encode4(112601),
     /*  112492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  112495 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  112498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112506 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112510 */   GIM_Try, /*On fail goto*//*Label 1926*/ GIMT_Encode4(112555), // Rule ID 50915 //
     /*  112515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112518 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  112521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  112535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112553 */     GIR_RootConstrainSelectedInstOperands,
     /*  112554 */     // GIR_Coverage, 50915,
     /*  112554 */     GIR_EraseRootFromParent_Done,
     /*  112555 */   // Label 1926: @112555
     /*  112555 */   GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(112600), // Rule ID 50916 //
     /*  112560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  112563 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  112563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  112566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  112580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112598 */     GIR_RootConstrainSelectedInstOperands,
     /*  112599 */     // GIR_Coverage, 50916,
     /*  112599 */     GIR_EraseRootFromParent_Done,
     /*  112600 */   // Label 1927: @112600
     /*  112600 */   GIM_Reject,
     /*  112601 */ // Label 1925: @112601
     /*  112601 */ GIM_Reject,
     /*  112602 */ // Label 1887: @112602
     /*  112602 */ GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(112716),
     /*  112607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  112610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  112613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112621 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112625 */   GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(112670), // Rule ID 50847 //
     /*  112630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112633 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  112636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  112650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112668 */     GIR_RootConstrainSelectedInstOperands,
     /*  112669 */     // GIR_Coverage, 50847,
     /*  112669 */     GIR_EraseRootFromParent_Done,
     /*  112670 */   // Label 1929: @112670
     /*  112670 */   GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(112715), // Rule ID 50848 //
     /*  112675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112678 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  112681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  112695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112713 */     GIR_RootConstrainSelectedInstOperands,
     /*  112714 */     // GIR_Coverage, 50848,
     /*  112714 */     GIR_EraseRootFromParent_Done,
     /*  112715 */   // Label 1930: @112715
     /*  112715 */   GIM_Reject,
     /*  112716 */ // Label 1928: @112716
     /*  112716 */ GIM_Reject,
     /*  112717 */ // Label 1888: @112717
     /*  112717 */ GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(112831),
     /*  112722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  112725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  112728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112740 */   GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(112785), // Rule ID 50867 //
     /*  112745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112748 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  112751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  112765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112783 */     GIR_RootConstrainSelectedInstOperands,
     /*  112784 */     // GIR_Coverage, 50867,
     /*  112784 */     GIR_EraseRootFromParent_Done,
     /*  112785 */   // Label 1932: @112785
     /*  112785 */   GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(112830), // Rule ID 50868 //
     /*  112790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112793 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  112796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  112810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112828 */     GIR_RootConstrainSelectedInstOperands,
     /*  112829 */     // GIR_Coverage, 50868,
     /*  112829 */     GIR_EraseRootFromParent_Done,
     /*  112830 */   // Label 1933: @112830
     /*  112830 */   GIM_Reject,
     /*  112831 */ // Label 1931: @112831
     /*  112831 */ GIM_Reject,
     /*  112832 */ // Label 1889: @112832
     /*  112832 */ GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(112946),
     /*  112837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  112840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  112843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112855 */   GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(112900), // Rule ID 50903 //
     /*  112860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112863 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  112863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  112866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  112880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112898 */     GIR_RootConstrainSelectedInstOperands,
     /*  112899 */     // GIR_Coverage, 50903,
     /*  112899 */     GIR_EraseRootFromParent_Done,
     /*  112900 */   // Label 1935: @112900
     /*  112900 */   GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(112945), // Rule ID 50904 //
     /*  112905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112908 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  112908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  112911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  112925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112943 */     GIR_RootConstrainSelectedInstOperands,
     /*  112944 */     // GIR_Coverage, 50904,
     /*  112944 */     GIR_EraseRootFromParent_Done,
     /*  112945 */   // Label 1936: @112945
     /*  112945 */   GIM_Reject,
     /*  112946 */ // Label 1934: @112946
     /*  112946 */ GIM_Reject,
     /*  112947 */ // Label 1890: @112947
     /*  112947 */ GIM_Try, /*On fail goto*//*Label 1937*/ GIMT_Encode4(113061),
     /*  112952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  112955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  112958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112970 */   GIM_Try, /*On fail goto*//*Label 1938*/ GIMT_Encode4(113015), // Rule ID 50919 //
     /*  112975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112978 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  112981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  112995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113013 */     GIR_RootConstrainSelectedInstOperands,
     /*  113014 */     // GIR_Coverage, 50919,
     /*  113014 */     GIR_EraseRootFromParent_Done,
     /*  113015 */   // Label 1938: @113015
     /*  113015 */   GIM_Try, /*On fail goto*//*Label 1939*/ GIMT_Encode4(113060), // Rule ID 50920 //
     /*  113020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  113023 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  113023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  113026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  113040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113058 */     GIR_RootConstrainSelectedInstOperands,
     /*  113059 */     // GIR_Coverage, 50920,
     /*  113059 */     GIR_EraseRootFromParent_Done,
     /*  113060 */   // Label 1939: @113060
     /*  113060 */   GIM_Reject,
     /*  113061 */ // Label 1937: @113061
     /*  113061 */ GIM_Reject,
     /*  113062 */ // Label 1891: @113062
     /*  113062 */ GIM_Try, /*On fail goto*//*Label 1940*/ GIMT_Encode4(113176),
     /*  113067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  113070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  113073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113085 */   GIM_Try, /*On fail goto*//*Label 1941*/ GIMT_Encode4(113130), // Rule ID 50863 //
     /*  113090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113093 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  113096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  113110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113128 */     GIR_RootConstrainSelectedInstOperands,
     /*  113129 */     // GIR_Coverage, 50863,
     /*  113129 */     GIR_EraseRootFromParent_Done,
     /*  113130 */   // Label 1941: @113130
     /*  113130 */   GIM_Try, /*On fail goto*//*Label 1942*/ GIMT_Encode4(113175), // Rule ID 50864 //
     /*  113135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113138 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  113141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  113155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113173 */     GIR_RootConstrainSelectedInstOperands,
     /*  113174 */     // GIR_Coverage, 50864,
     /*  113174 */     GIR_EraseRootFromParent_Done,
     /*  113175 */   // Label 1942: @113175
     /*  113175 */   GIM_Reject,
     /*  113176 */ // Label 1940: @113176
     /*  113176 */ GIM_Reject,
     /*  113177 */ // Label 1892: @113177
     /*  113177 */ GIM_Try, /*On fail goto*//*Label 1943*/ GIMT_Encode4(113291),
     /*  113182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  113185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  113188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113196 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113200 */   GIM_Try, /*On fail goto*//*Label 1944*/ GIMT_Encode4(113245), // Rule ID 50891 //
     /*  113205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113208 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  113211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  113225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113243 */     GIR_RootConstrainSelectedInstOperands,
     /*  113244 */     // GIR_Coverage, 50891,
     /*  113244 */     GIR_EraseRootFromParent_Done,
     /*  113245 */   // Label 1944: @113245
     /*  113245 */   GIM_Try, /*On fail goto*//*Label 1945*/ GIMT_Encode4(113290), // Rule ID 50892 //
     /*  113250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113253 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  113256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  113270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113288 */     GIR_RootConstrainSelectedInstOperands,
     /*  113289 */     // GIR_Coverage, 50892,
     /*  113289 */     GIR_EraseRootFromParent_Done,
     /*  113290 */   // Label 1945: @113290
     /*  113290 */   GIM_Reject,
     /*  113291 */ // Label 1943: @113291
     /*  113291 */ GIM_Reject,
     /*  113292 */ // Label 1893: @113292
     /*  113292 */ GIM_Try, /*On fail goto*//*Label 1946*/ GIMT_Encode4(113406),
     /*  113297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  113300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  113303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113311 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113315 */   GIM_Try, /*On fail goto*//*Label 1947*/ GIMT_Encode4(113360), // Rule ID 50907 //
     /*  113320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113323 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  113326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  113340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113358 */     GIR_RootConstrainSelectedInstOperands,
     /*  113359 */     // GIR_Coverage, 50907,
     /*  113359 */     GIR_EraseRootFromParent_Done,
     /*  113360 */   // Label 1947: @113360
     /*  113360 */   GIM_Try, /*On fail goto*//*Label 1948*/ GIMT_Encode4(113405), // Rule ID 50908 //
     /*  113365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113368 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  113371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  113385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113403 */     GIR_RootConstrainSelectedInstOperands,
     /*  113404 */     // GIR_Coverage, 50908,
     /*  113404 */     GIR_EraseRootFromParent_Done,
     /*  113405 */   // Label 1948: @113405
     /*  113405 */   GIM_Reject,
     /*  113406 */ // Label 1946: @113406
     /*  113406 */ GIM_Reject,
     /*  113407 */ // Label 1894: @113407
     /*  113407 */ GIM_Try, /*On fail goto*//*Label 1949*/ GIMT_Encode4(113521),
     /*  113412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  113415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  113418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113426 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113430 */   GIM_Try, /*On fail goto*//*Label 1950*/ GIMT_Encode4(113475), // Rule ID 50923 //
     /*  113435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  113438 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  113438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  113441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  113455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113473 */     GIR_RootConstrainSelectedInstOperands,
     /*  113474 */     // GIR_Coverage, 50923,
     /*  113474 */     GIR_EraseRootFromParent_Done,
     /*  113475 */   // Label 1950: @113475
     /*  113475 */   GIM_Try, /*On fail goto*//*Label 1951*/ GIMT_Encode4(113520), // Rule ID 50924 //
     /*  113480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  113483 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  113483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  113486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  113500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113518 */     GIR_RootConstrainSelectedInstOperands,
     /*  113519 */     // GIR_Coverage, 50924,
     /*  113519 */     GIR_EraseRootFromParent_Done,
     /*  113520 */   // Label 1951: @113520
     /*  113520 */   GIM_Reject,
     /*  113521 */ // Label 1949: @113521
     /*  113521 */ GIM_Reject,
     /*  113522 */ // Label 1895: @113522
     /*  113522 */ GIM_Try, /*On fail goto*//*Label 1952*/ GIMT_Encode4(113636),
     /*  113527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  113530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  113533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113545 */   GIM_Try, /*On fail goto*//*Label 1953*/ GIMT_Encode4(113590), // Rule ID 50879 //
     /*  113550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113553 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  113556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  113570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113588 */     GIR_RootConstrainSelectedInstOperands,
     /*  113589 */     // GIR_Coverage, 50879,
     /*  113589 */     GIR_EraseRootFromParent_Done,
     /*  113590 */   // Label 1953: @113590
     /*  113590 */   GIM_Try, /*On fail goto*//*Label 1954*/ GIMT_Encode4(113635), // Rule ID 50880 //
     /*  113595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113598 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  113601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  113615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113633 */     GIR_RootConstrainSelectedInstOperands,
     /*  113634 */     // GIR_Coverage, 50880,
     /*  113634 */     GIR_EraseRootFromParent_Done,
     /*  113635 */   // Label 1954: @113635
     /*  113635 */   GIM_Reject,
     /*  113636 */ // Label 1952: @113636
     /*  113636 */ GIM_Reject,
     /*  113637 */ // Label 1896: @113637
     /*  113637 */ GIM_Try, /*On fail goto*//*Label 1955*/ GIMT_Encode4(113751),
     /*  113642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  113645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  113648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113660 */   GIM_Try, /*On fail goto*//*Label 1956*/ GIMT_Encode4(113705), // Rule ID 50895 //
     /*  113665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113668 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  113671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  113685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113703 */     GIR_RootConstrainSelectedInstOperands,
     /*  113704 */     // GIR_Coverage, 50895,
     /*  113704 */     GIR_EraseRootFromParent_Done,
     /*  113705 */   // Label 1956: @113705
     /*  113705 */   GIM_Try, /*On fail goto*//*Label 1957*/ GIMT_Encode4(113750), // Rule ID 50896 //
     /*  113710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113713 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  113716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  113730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113748 */     GIR_RootConstrainSelectedInstOperands,
     /*  113749 */     // GIR_Coverage, 50896,
     /*  113749 */     GIR_EraseRootFromParent_Done,
     /*  113750 */   // Label 1957: @113750
     /*  113750 */   GIM_Reject,
     /*  113751 */ // Label 1955: @113751
     /*  113751 */ GIM_Reject,
     /*  113752 */ // Label 1897: @113752
     /*  113752 */ GIM_Try, /*On fail goto*//*Label 1958*/ GIMT_Encode4(113866),
     /*  113757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  113760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  113763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113771 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113775 */   GIM_Try, /*On fail goto*//*Label 1959*/ GIMT_Encode4(113820), // Rule ID 50911 //
     /*  113780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113783 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  113786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  113800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113818 */     GIR_RootConstrainSelectedInstOperands,
     /*  113819 */     // GIR_Coverage, 50911,
     /*  113819 */     GIR_EraseRootFromParent_Done,
     /*  113820 */   // Label 1959: @113820
     /*  113820 */   GIM_Try, /*On fail goto*//*Label 1960*/ GIMT_Encode4(113865), // Rule ID 50912 //
     /*  113825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113828 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  113831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  113845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113863 */     GIR_RootConstrainSelectedInstOperands,
     /*  113864 */     // GIR_Coverage, 50912,
     /*  113864 */     GIR_EraseRootFromParent_Done,
     /*  113865 */   // Label 1960: @113865
     /*  113865 */   GIM_Reject,
     /*  113866 */ // Label 1958: @113866
     /*  113866 */ GIM_Reject,
     /*  113867 */ // Label 1898: @113867
     /*  113867 */ GIM_Try, /*On fail goto*//*Label 1961*/ GIMT_Encode4(113981),
     /*  113872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  113875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  113878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113886 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113890 */   GIM_Try, /*On fail goto*//*Label 1962*/ GIMT_Encode4(113935), // Rule ID 50883 //
     /*  113895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113898 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  113901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  113915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113933 */     GIR_RootConstrainSelectedInstOperands,
     /*  113934 */     // GIR_Coverage, 50883,
     /*  113934 */     GIR_EraseRootFromParent_Done,
     /*  113935 */   // Label 1962: @113935
     /*  113935 */   GIM_Try, /*On fail goto*//*Label 1963*/ GIMT_Encode4(113980), // Rule ID 50884 //
     /*  113940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113943 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  113946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  113960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113978 */     GIR_RootConstrainSelectedInstOperands,
     /*  113979 */     // GIR_Coverage, 50884,
     /*  113979 */     GIR_EraseRootFromParent_Done,
     /*  113980 */   // Label 1963: @113980
     /*  113980 */   GIM_Reject,
     /*  113981 */ // Label 1961: @113981
     /*  113981 */ GIM_Reject,
     /*  113982 */ // Label 1899: @113982
     /*  113982 */ GIM_Try, /*On fail goto*//*Label 1964*/ GIMT_Encode4(114096),
     /*  113987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  113990 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  113993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114001 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114005 */   GIM_Try, /*On fail goto*//*Label 1965*/ GIMT_Encode4(114050), // Rule ID 50899 //
     /*  114010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114013 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  114013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  114016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  114030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114048 */     GIR_RootConstrainSelectedInstOperands,
     /*  114049 */     // GIR_Coverage, 50899,
     /*  114049 */     GIR_EraseRootFromParent_Done,
     /*  114050 */   // Label 1965: @114050
     /*  114050 */   GIM_Try, /*On fail goto*//*Label 1966*/ GIMT_Encode4(114095), // Rule ID 50900 //
     /*  114055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114058 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  114058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  114061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  114075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114093 */     GIR_RootConstrainSelectedInstOperands,
     /*  114094 */     // GIR_Coverage, 50900,
     /*  114094 */     GIR_EraseRootFromParent_Done,
     /*  114095 */   // Label 1966: @114095
     /*  114095 */   GIM_Reject,
     /*  114096 */ // Label 1964: @114096
     /*  114096 */ GIM_Reject,
     /*  114097 */ // Label 1900: @114097
     /*  114097 */ GIM_Try, /*On fail goto*//*Label 1967*/ GIMT_Encode4(114211),
     /*  114102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  114105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  114108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114120 */   GIM_Try, /*On fail goto*//*Label 1968*/ GIMT_Encode4(114165), // Rule ID 50887 //
     /*  114125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114128 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  114128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  114131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  114145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114163 */     GIR_RootConstrainSelectedInstOperands,
     /*  114164 */     // GIR_Coverage, 50887,
     /*  114164 */     GIR_EraseRootFromParent_Done,
     /*  114165 */   // Label 1968: @114165
     /*  114165 */   GIM_Try, /*On fail goto*//*Label 1969*/ GIMT_Encode4(114210), // Rule ID 50888 //
     /*  114170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114173 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  114173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  114176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  114190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114208 */     GIR_RootConstrainSelectedInstOperands,
     /*  114209 */     // GIR_Coverage, 50888,
     /*  114209 */     GIR_EraseRootFromParent_Done,
     /*  114210 */   // Label 1969: @114210
     /*  114210 */   GIM_Reject,
     /*  114211 */ // Label 1967: @114211
     /*  114211 */ GIM_Reject,
     /*  114212 */ // Label 1901: @114212
     /*  114212 */ GIM_Reject,
     /*  114213 */ // Label 7: @114213
     /*  114213 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2001*/ GIMT_Encode4(123656),
     /*  114224 */ /*GILLT_s32*//*Label 1970*/ GIMT_Encode4(114348),
     /*  114228 */ /*GILLT_s64*//*Label 1971*/ GIMT_Encode4(115566),
     /*  114232 */ /*GILLT_nxv1s1*//*Label 1972*/ GIMT_Encode4(116849),
     /*  114236 */ /*GILLT_nxv1s8*//*Label 1973*/ GIMT_Encode4(117460),
     /*  114240 */ /*GILLT_nxv1s16*//*Label 1974*/ GIMT_Encode4(117575),
     /*  114244 */ /*GILLT_nxv1s32*//*Label 1975*/ GIMT_Encode4(117690),
     /*  114248 */ /*GILLT_nxv1s64*//*Label 1976*/ GIMT_Encode4(117805),
     /*  114252 */ /*GILLT_nxv2s1*//*Label 1977*/ GIMT_Encode4(117920),
     /*  114256 */ /*GILLT_nxv2s8*//*Label 1978*/ GIMT_Encode4(118531),
     /*  114260 */ /*GILLT_nxv2s16*//*Label 1979*/ GIMT_Encode4(118646),
     /*  114264 */ /*GILLT_nxv2s32*//*Label 1980*/ GIMT_Encode4(118761),
     /*  114268 */ /*GILLT_nxv2s64*//*Label 1981*/ GIMT_Encode4(118876),
     /*  114272 */ /*GILLT_nxv4s1*//*Label 1982*/ GIMT_Encode4(118991),
     /*  114276 */ /*GILLT_nxv4s8*//*Label 1983*/ GIMT_Encode4(119602),
     /*  114280 */ /*GILLT_nxv4s16*//*Label 1984*/ GIMT_Encode4(119717),
     /*  114284 */ /*GILLT_nxv4s32*//*Label 1985*/ GIMT_Encode4(119832),
     /*  114288 */ /*GILLT_nxv4s64*//*Label 1986*/ GIMT_Encode4(119947),
     /*  114292 */ /*GILLT_nxv8s1*//*Label 1987*/ GIMT_Encode4(120062),
     /*  114296 */ /*GILLT_nxv8s8*//*Label 1988*/ GIMT_Encode4(120673),
     /*  114300 */ /*GILLT_nxv8s16*//*Label 1989*/ GIMT_Encode4(120788),
     /*  114304 */ /*GILLT_nxv8s32*//*Label 1990*/ GIMT_Encode4(120903),
     /*  114308 */ /*GILLT_nxv8s64*//*Label 1991*/ GIMT_Encode4(121018),
     /*  114312 */ /*GILLT_nxv16s1*//*Label 1992*/ GIMT_Encode4(121133),
     /*  114316 */ /*GILLT_nxv16s8*//*Label 1993*/ GIMT_Encode4(121744),
     /*  114320 */ /*GILLT_nxv16s16*//*Label 1994*/ GIMT_Encode4(121859),
     /*  114324 */ /*GILLT_nxv16s32*//*Label 1995*/ GIMT_Encode4(121974),
     /*  114328 */ /*GILLT_nxv32s1*//*Label 1996*/ GIMT_Encode4(122089),
     /*  114332 */ /*GILLT_nxv32s8*//*Label 1997*/ GIMT_Encode4(122700),
     /*  114336 */ /*GILLT_nxv32s16*//*Label 1998*/ GIMT_Encode4(122815),
     /*  114340 */ /*GILLT_nxv64s1*//*Label 1999*/ GIMT_Encode4(122930),
     /*  114344 */ /*GILLT_nxv64s8*//*Label 2000*/ GIMT_Encode4(123541),
     /*  114348 */ // Label 1970: @114348
     /*  114348 */ GIM_Try, /*On fail goto*//*Label 2002*/ GIMT_Encode4(115565),
     /*  114353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  114356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114359 */   GIM_Try, /*On fail goto*//*Label 2003*/ GIMT_Encode4(114448), // Rule ID 64340 //
     /*  114364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  114367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  114379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114383 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  114391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114395 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114399 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114403 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114408 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  114412 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  114423 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114425 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  114432 */     // (and:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] })), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  114435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  114442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  114446 */     GIR_RootConstrainSelectedInstOperands,
     /*  114447 */     // GIR_Coverage, 64340,
     /*  114447 */     GIR_EraseRootFromParent_Done,
     /*  114448 */   // Label 2003: @114448
     /*  114448 */   GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(114537), // Rule ID 2403 //
     /*  114453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  114456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  114468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114472 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  114480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114484 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114488 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114492 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114497 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  114501 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  114512 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114514 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  114521 */     // (and:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1)), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  114524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  114531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  114535 */     GIR_RootConstrainSelectedInstOperands,
     /*  114536 */     // GIR_Coverage, 2403,
     /*  114536 */     GIR_EraseRootFromParent_Done,
     /*  114537 */   // Label 2004: @114537
     /*  114537 */   GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(114616), // Rule ID 2330 //
     /*  114542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  114557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114561 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  114569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114573 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114577 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114581 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  114585 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  114589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114593 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114595 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  114602 */     // (and:{ *:[i32] } (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  114605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  114614 */     GIR_RootConstrainSelectedInstOperands,
     /*  114615 */     // GIR_Coverage, 2330,
     /*  114615 */     GIR_EraseRootFromParent_Done,
     /*  114616 */   // Label 2005: @114616
     /*  114616 */   GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(114695), // Rule ID 64328 //
     /*  114621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  114636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  114640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114644 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  114652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114660 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114664 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  114668 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  114672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114674 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  114681 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  114684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  114693 */     GIR_RootConstrainSelectedInstOperands,
     /*  114694 */     // GIR_Coverage, 64328,
     /*  114694 */     GIR_EraseRootFromParent_Done,
     /*  114695 */   // Label 2006: @114695
     /*  114695 */   GIM_Try, /*On fail goto*//*Label 2007*/ GIMT_Encode4(114760), // Rule ID 2350 //
     /*  114700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  114715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  114732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  114736 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  114740 */     // MIs[2] Operand 1
     /*  114740 */     // No operand predicates
     /*  114740 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  114744 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114746 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (BEXTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  114746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  114749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  114755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  114758 */     GIR_RootConstrainSelectedInstOperands,
     /*  114759 */     // GIR_Coverage, 2350,
     /*  114759 */     GIR_EraseRootFromParent_Done,
     /*  114760 */   // Label 2007: @114760
     /*  114760 */   GIM_Try, /*On fail goto*//*Label 2008*/ GIMT_Encode4(114825), // Rule ID 61975 //
     /*  114765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode1),
     /*  114768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  114780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  114797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  114801 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  114805 */     // MIs[2] Operand 1
     /*  114805 */     // No operand predicates
     /*  114805 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  114809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114811 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (TH_TST:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  114811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  114814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  114820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  114823 */     GIR_RootConstrainSelectedInstOperands,
     /*  114824 */     // GIR_Coverage, 61975,
     /*  114824 */     GIR_EraseRootFromParent_Done,
     /*  114825 */   // Label 2008: @114825
     /*  114825 */   GIM_Try, /*On fail goto*//*Label 2009*/ GIMT_Encode4(114887), // Rule ID 2338 //
     /*  114830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  114845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114849 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114858 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  114862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114864 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  114871 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), 1:{ *:[i32] })  =>  (BEXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  114874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  114880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  114885 */     GIR_RootConstrainSelectedInstOperands,
     /*  114886 */     // GIR_Coverage, 2338,
     /*  114886 */     GIR_EraseRootFromParent_Done,
     /*  114887 */   // Label 2009: @114887
     /*  114887 */   GIM_Try, /*On fail goto*//*Label 2010*/ GIMT_Encode4(114943), // Rule ID 2332 //
     /*  114892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  114907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114911 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114915 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  114919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114930 */     // (and:{ *:[i32] } (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  114933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  114941 */     GIR_RootConstrainSelectedInstOperands,
     /*  114942 */     // GIR_Coverage, 2332,
     /*  114942 */     GIR_EraseRootFromParent_Done,
     /*  114943 */   // Label 2010: @114943
     /*  114943 */   GIM_Try, /*On fail goto*//*Label 2011*/ GIMT_Encode4(114999), // Rule ID 64314 //
     /*  114948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  114951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  114963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114976 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  114980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114986 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  114989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  114997 */     GIR_RootConstrainSelectedInstOperands,
     /*  114998 */     // GIR_Coverage, 64314,
     /*  114998 */     GIR_EraseRootFromParent_Done,
     /*  114999 */   // Label 2011: @114999
     /*  114999 */   GIM_Try, /*On fail goto*//*Label 2012*/ GIMT_Encode4(115055), // Rule ID 64330 //
     /*  115004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  115007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  115023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  115027 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  115031 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  115035 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115042 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  115045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  115053 */     GIR_RootConstrainSelectedInstOperands,
     /*  115054 */     // GIR_Coverage, 64330,
     /*  115054 */     GIR_EraseRootFromParent_Done,
     /*  115055 */   // Label 2012: @115055
     /*  115055 */   GIM_Try, /*On fail goto*//*Label 2013*/ GIMT_Encode4(115111), // Rule ID 2306 //
     /*  115060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  115063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  115079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  115083 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  115087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115092 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  115096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115098 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  115101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  115109 */     GIR_RootConstrainSelectedInstOperands,
     /*  115110 */     // GIR_Coverage, 2306,
     /*  115110 */     GIR_EraseRootFromParent_Done,
     /*  115111 */   // Label 2013: @115111
     /*  115111 */   GIM_Try, /*On fail goto*//*Label 2014*/ GIMT_Encode4(115147), // Rule ID 63876 //
     /*  115116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  115119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115127 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115138 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 65535:{ *:[i32] })  =>  (CV_EXTHZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  115138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  115141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115145 */     GIR_RootConstrainSelectedInstOperands,
     /*  115146 */     // GIR_Coverage, 63876,
     /*  115146 */     GIR_EraseRootFromParent_Done,
     /*  115147 */   // Label 2014: @115147
     /*  115147 */   GIM_Try, /*On fail goto*//*Label 2015*/ GIMT_Encode4(115183), // Rule ID 63878 //
     /*  115152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  115155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115163 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  115174 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 255:{ *:[i32] })  =>  (CV_EXTBZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  115174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  115177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115181 */     GIR_RootConstrainSelectedInstOperands,
     /*  115182 */     // GIR_Coverage, 63878,
     /*  115182 */     GIR_EraseRootFromParent_Done,
     /*  115183 */   // Label 2015: @115183
     /*  115183 */   GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(115219), // Rule ID 2414 //
     /*  115188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /*  115191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115199 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115210 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  115210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  115213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115217 */     GIR_RootConstrainSelectedInstOperands,
     /*  115218 */     // GIR_Coverage, 2414,
     /*  115218 */     GIR_EraseRootFromParent_Done,
     /*  115219 */   // Label 2016: @115219
     /*  115219 */   GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(115255), // Rule ID 2415 //
     /*  115224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /*  115227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115235 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115246 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  115246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  115249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115253 */     GIR_RootConstrainSelectedInstOperands,
     /*  115254 */     // GIR_Coverage, 2415,
     /*  115254 */     GIR_EraseRootFromParent_Done,
     /*  115255 */   // Label 2017: @115255
     /*  115255 */   GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(115297), // Rule ID 2417 //
     /*  115260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /*  115263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115271 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115282 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i64] })
     /*  115282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  115285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115289 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  115295 */     GIR_RootConstrainSelectedInstOperands,
     /*  115296 */     // GIR_Coverage, 2417,
     /*  115296 */     GIR_EraseRootFromParent_Done,
     /*  115297 */   // Label 2018: @115297
     /*  115297 */   GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(115339), // Rule ID 2418 //
     /*  115302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /*  115305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115313 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115324 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i32] })
     /*  115324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  115327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115331 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  115337 */     GIR_RootConstrainSelectedInstOperands,
     /*  115338 */     // GIR_Coverage, 2418,
     /*  115338 */     GIR_EraseRootFromParent_Done,
     /*  115339 */   // Label 2019: @115339
     /*  115339 */   GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(115381), // Rule ID 85 //
     /*  115344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  115367 */     // MIs[1] Operand 1
     /*  115367 */     // No operand predicates
     /*  115367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115369 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  115369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  115372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  115379 */     GIR_RootConstrainSelectedInstOperands,
     /*  115380 */     // GIR_Coverage, 85,
     /*  115380 */     GIR_EraseRootFromParent_Done,
     /*  115381 */   // Label 2020: @115381
     /*  115381 */   GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(115453), // Rule ID 103 //
     /*  115386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115405 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  115409 */     // MIs[1] Operand 1
     /*  115409 */     // No operand predicates
     /*  115409 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9903),
     /*  115413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115415 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9903>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask)), (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask))
     /*  115415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  115418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  115422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115427 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  115431 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  115436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  115441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115446 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  115451 */     GIR_RootConstrainSelectedInstOperands,
     /*  115452 */     // GIR_Coverage, 103,
     /*  115452 */     GIR_EraseRootFromParent_Done,
     /*  115453 */   // Label 2021: @115453
     /*  115453 */   GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(115495), // Rule ID 63929 //
     /*  115458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  115461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  115481 */     // MIs[1] Operand 1
     /*  115481 */     // No operand predicates
     /*  115481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115483 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ANDAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  115483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ANDAI),
     /*  115486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  115488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  115493 */     GIR_RootConstrainSelectedInstOperands,
     /*  115494 */     // GIR_Coverage, 63929,
     /*  115494 */     GIR_EraseRootFromParent_Done,
     /*  115495 */   // Label 2022: @115495
     /*  115495 */   GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(115537), // Rule ID 63933 //
     /*  115500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  115503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  115511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  115523 */     // MIs[1] Operand 1
     /*  115523 */     // No operand predicates
     /*  115523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115525 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ANDI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  115525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ANDI),
     /*  115528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  115535 */     GIR_RootConstrainSelectedInstOperands,
     /*  115536 */     // GIR_Coverage, 63933,
     /*  115536 */     GIR_EraseRootFromParent_Done,
     /*  115537 */   // Label 2023: @115537
     /*  115537 */   GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(115564), // Rule ID 83 //
     /*  115542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115557 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (AND:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115557 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  115562 */     GIR_RootConstrainSelectedInstOperands,
     /*  115563 */     // GIR_Coverage, 83,
     /*  115563 */     GIR_Done,
     /*  115564 */   // Label 2024: @115564
     /*  115564 */   GIM_Reject,
     /*  115565 */ // Label 2002: @115565
     /*  115565 */ GIM_Reject,
     /*  115566 */ // Label 1971: @115566
     /*  115566 */ GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(116848),
     /*  115571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  115574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  115577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115581 */   GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(115666), // Rule ID 64339 //
     /*  115586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  115589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  115597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115601 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  115609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115617 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115626 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  115630 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115641 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115643 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  115650 */     // (and:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] })), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  115653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  115660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  115664 */     GIR_RootConstrainSelectedInstOperands,
     /*  115665 */     // GIR_Coverage, 64339,
     /*  115665 */     GIR_EraseRootFromParent_Done,
     /*  115666 */   // Label 2026: @115666
     /*  115666 */   GIM_Try, /*On fail goto*//*Label 2027*/ GIMT_Encode4(115751), // Rule ID 2402 //
     /*  115671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  115674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  115682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  115694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115702 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115711 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  115715 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115728 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  115735 */     // (and:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1)), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  115738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  115745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  115749 */     GIR_RootConstrainSelectedInstOperands,
     /*  115750 */     // GIR_Coverage, 2402,
     /*  115750 */     GIR_EraseRootFromParent_Done,
     /*  115751 */   // Label 2027: @115751
     /*  115751 */   GIM_Try, /*On fail goto*//*Label 2028*/ GIMT_Encode4(115826), // Rule ID 2329 //
     /*  115756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  115767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115771 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  115779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115787 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115791 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  115795 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  115799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115805 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  115812 */     // (and:{ *:[i64] } (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  115815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  115824 */     GIR_RootConstrainSelectedInstOperands,
     /*  115825 */     // GIR_Coverage, 2329,
     /*  115825 */     GIR_EraseRootFromParent_Done,
     /*  115826 */   // Label 2028: @115826
     /*  115826 */   GIM_Try, /*On fail goto*//*Label 2029*/ GIMT_Encode4(115901), // Rule ID 64327 //
     /*  115831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  115846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  115858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115866 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115870 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  115874 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  115878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115880 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  115887 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  115890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  115899 */     GIR_RootConstrainSelectedInstOperands,
     /*  115900 */     // GIR_Coverage, 64327,
     /*  115900 */     GIR_EraseRootFromParent_Done,
     /*  115901 */   // Label 2029: @115901
     /*  115901 */   GIM_Try, /*On fail goto*//*Label 2030*/ GIMT_Encode4(115962), // Rule ID 2349 //
     /*  115906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  115917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  115934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115938 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  115942 */     // MIs[2] Operand 1
     /*  115942 */     // No operand predicates
     /*  115942 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  115946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115948 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (BEXTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  115948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  115951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  115957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  115960 */     GIR_RootConstrainSelectedInstOperands,
     /*  115961 */     // GIR_Coverage, 2349,
     /*  115961 */     GIR_EraseRootFromParent_Done,
     /*  115962 */   // Label 2030: @115962
     /*  115962 */   GIM_Try, /*On fail goto*//*Label 2031*/ GIMT_Encode4(116023), // Rule ID 61974 //
     /*  115967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode0),
     /*  115970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  115978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115982 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  115995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115999 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  116003 */     // MIs[2] Operand 1
     /*  116003 */     // No operand predicates
     /*  116003 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  116007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116009 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (TH_TST:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  116009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  116012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  116018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  116021 */     GIR_RootConstrainSelectedInstOperands,
     /*  116022 */     // GIR_Coverage, 61974,
     /*  116022 */     GIR_EraseRootFromParent_Done,
     /*  116023 */   // Label 2031: @116023
     /*  116023 */   GIM_Try, /*On fail goto*//*Label 2032*/ GIMT_Encode4(116081), // Rule ID 2337 //
     /*  116028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  116031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  116039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116052 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  116056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116058 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  116065 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), 1:{ *:[i64] })  =>  (BEXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  116068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  116074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  116079 */     GIR_RootConstrainSelectedInstOperands,
     /*  116080 */     // GIR_Coverage, 2337,
     /*  116080 */     GIR_EraseRootFromParent_Done,
     /*  116081 */   // Label 2032: @116081
     /*  116081 */   GIM_Try, /*On fail goto*//*Label 2033*/ GIMT_Encode4(116133), // Rule ID 2331 //
     /*  116086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  116089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  116097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116101 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116105 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  116109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116120 */     // (and:{ *:[i64] } (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  116123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116131 */     GIR_RootConstrainSelectedInstOperands,
     /*  116132 */     // GIR_Coverage, 2331,
     /*  116132 */     GIR_EraseRootFromParent_Done,
     /*  116133 */   // Label 2033: @116133
     /*  116133 */   GIM_Try, /*On fail goto*//*Label 2034*/ GIMT_Encode4(116185), // Rule ID 64313 //
     /*  116138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  116141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116162 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  116166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116172 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  116175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  116183 */     GIR_RootConstrainSelectedInstOperands,
     /*  116184 */     // GIR_Coverage, 64313,
     /*  116184 */     GIR_EraseRootFromParent_Done,
     /*  116185 */   // Label 2034: @116185
     /*  116185 */   GIM_Try, /*On fail goto*//*Label 2035*/ GIMT_Encode4(116237), // Rule ID 64329 //
     /*  116190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  116193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  116205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116209 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116213 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  116217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116224 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  116227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116235 */     GIR_RootConstrainSelectedInstOperands,
     /*  116236 */     // GIR_Coverage, 64329,
     /*  116236 */     GIR_EraseRootFromParent_Done,
     /*  116237 */   // Label 2035: @116237
     /*  116237 */   GIM_Try, /*On fail goto*//*Label 2036*/ GIMT_Encode4(116289), // Rule ID 2305 //
     /*  116242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  116245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116261 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116270 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  116274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116276 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  116279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  116287 */     GIR_RootConstrainSelectedInstOperands,
     /*  116288 */     // GIR_Coverage, 2305,
     /*  116288 */     GIR_EraseRootFromParent_Done,
     /*  116289 */   // Label 2036: @116289
     /*  116289 */   GIM_Try, /*On fail goto*//*Label 2037*/ GIMT_Encode4(116321), // Rule ID 63875 //
     /*  116294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  116297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116301 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  116312 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 65535:{ *:[i64] })  =>  (CV_EXTHZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  116312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  116315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116319 */     GIR_RootConstrainSelectedInstOperands,
     /*  116320 */     // GIR_Coverage, 63875,
     /*  116320 */     GIR_EraseRootFromParent_Done,
     /*  116321 */   // Label 2037: @116321
     /*  116321 */   GIM_Try, /*On fail goto*//*Label 2038*/ GIMT_Encode4(116353), // Rule ID 63877 //
     /*  116326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  116329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116333 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  116344 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 255:{ *:[i64] })  =>  (CV_EXTBZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  116344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  116347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116351 */     GIR_RootConstrainSelectedInstOperands,
     /*  116352 */     // GIR_Coverage, 63877,
     /*  116352 */     GIR_EraseRootFromParent_Done,
     /*  116353 */   // Label 2038: @116353
     /*  116353 */   GIM_Try, /*On fail goto*//*Label 2039*/ GIMT_Encode4(116410), // Rule ID 252 //
     /*  116358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /*  116361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116365 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  116376 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] })  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), 32:{ *:[i64] })
     /*  116376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  116392 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*  116395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /*  116408 */     GIR_RootConstrainSelectedInstOperands,
     /*  116409 */     // GIR_Coverage, 252,
     /*  116409 */     GIR_EraseRootFromParent_Done,
     /*  116410 */   // Label 2039: @116410
     /*  116410 */   GIM_Try, /*On fail goto*//*Label 2040*/ GIMT_Encode4(116442), // Rule ID 2416 //
     /*  116415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /*  116418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116422 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  116433 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs)
     /*  116433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /*  116436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  116440 */     GIR_RootConstrainSelectedInstOperands,
     /*  116441 */     // GIR_Coverage, 2416,
     /*  116441 */     GIR_EraseRootFromParent_Done,
     /*  116442 */   // Label 2040: @116442
     /*  116442 */   GIM_Try, /*On fail goto*//*Label 2041*/ GIMT_Encode4(116480), // Rule ID 2419 //
     /*  116447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /*  116450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116454 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  116465 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  116465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  116468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  116472 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  116478 */     GIR_RootConstrainSelectedInstOperands,
     /*  116479 */     // GIR_Coverage, 2419,
     /*  116479 */     GIR_EraseRootFromParent_Done,
     /*  116480 */   // Label 2041: @116480
     /*  116480 */   GIM_Try, /*On fail goto*//*Label 2042*/ GIMT_Encode4(116518), // Rule ID 2462 //
     /*  116485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  116488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116492 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  116503 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 4294967295:{ *:[i64] })  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  116503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*  116506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  116510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  116516 */     GIR_RootConstrainSelectedInstOperands,
     /*  116517 */     // GIR_Coverage, 2462,
     /*  116517 */     GIR_EraseRootFromParent_Done,
     /*  116518 */   // Label 2042: @116518
     /*  116518 */   GIM_Try, /*On fail goto*//*Label 2043*/ GIMT_Encode4(116556), // Rule ID 84 //
     /*  116523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  116542 */     // MIs[1] Operand 1
     /*  116542 */     // No operand predicates
     /*  116542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116544 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  116544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  116547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  116554 */     GIR_RootConstrainSelectedInstOperands,
     /*  116555 */     // GIR_Coverage, 84,
     /*  116555 */     GIR_EraseRootFromParent_Done,
     /*  116556 */   // Label 2043: @116556
     /*  116556 */   GIM_Try, /*On fail goto*//*Label 2044*/ GIMT_Encode4(116624), // Rule ID 101 //
     /*  116561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesMask),
     /*  116580 */     // MIs[1] Operand 1
     /*  116580 */     // No operand predicates
     /*  116580 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9901),
     /*  116584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116586 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesMask>><<P:Predicate_anonymous_9901>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  116586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116598 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  116602 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116617 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116622 */     GIR_RootConstrainSelectedInstOperands,
     /*  116623 */     // GIR_Coverage, 101,
     /*  116623 */     GIR_EraseRootFromParent_Done,
     /*  116624 */   // Label 2044: @116624
     /*  116624 */   GIM_Try, /*On fail goto*//*Label 2045*/ GIMT_Encode4(116692), // Rule ID 102 //
     /*  116629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116644 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  116648 */     // MIs[1] Operand 1
     /*  116648 */     // No operand predicates
     /*  116648 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9903),
     /*  116652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116654 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9903>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  116654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116666 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  116670 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  116675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116685 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  116690 */     GIR_RootConstrainSelectedInstOperands,
     /*  116691 */     // GIR_Coverage, 102,
     /*  116691 */     GIR_EraseRootFromParent_Done,
     /*  116692 */   // Label 2045: @116692
     /*  116692 */   GIM_Try, /*On fail goto*//*Label 2046*/ GIMT_Encode4(116760), // Rule ID 254 //
     /*  116697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  116700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesWMask),
     /*  116716 */     // MIs[1] Operand 1
     /*  116716 */     // No operand predicates
     /*  116716 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9991),
     /*  116720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116722 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesWMask>><<P:Predicate_anonymous_9991>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLIW:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  116722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*  116729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116734 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  116738 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116753 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116758 */     GIR_RootConstrainSelectedInstOperands,
     /*  116759 */     // GIR_Coverage, 254,
     /*  116759 */     GIR_EraseRootFromParent_Done,
     /*  116760 */   // Label 2046: @116760
     /*  116760 */   GIM_Try, /*On fail goto*//*Label 2047*/ GIMT_Encode4(116824), // Rule ID 2459 //
     /*  116765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  116768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116780 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_Shifted32OnesMask),
     /*  116784 */     // MIs[1] Operand 1
     /*  116784 */     // No operand predicates
     /*  116784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116786 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>><<X:TrailingZeros>>:$mask)  =>  (SLLI_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask))
     /*  116786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116798 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  116802 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /*  116812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116817 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116822 */     GIR_RootConstrainSelectedInstOperands,
     /*  116823 */     // GIR_Coverage, 2459,
     /*  116823 */     GIR_EraseRootFromParent_Done,
     /*  116824 */   // Label 2047: @116824
     /*  116824 */   GIM_Try, /*On fail goto*//*Label 2048*/ GIMT_Encode4(116847), // Rule ID 82 //
     /*  116829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116840 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AND:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  116845 */     GIR_RootConstrainSelectedInstOperands,
     /*  116846 */     // GIR_Coverage, 82,
     /*  116846 */     GIR_Done,
     /*  116847 */   // Label 2048: @116847
     /*  116847 */   GIM_Reject,
     /*  116848 */ // Label 2025: @116848
     /*  116848 */ GIM_Reject,
     /*  116849 */ // Label 1972: @116849
     /*  116849 */ GIM_Try, /*On fail goto*//*Label 2049*/ GIMT_Encode4(117459),
     /*  116854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116864 */   GIM_Try, /*On fail goto*//*Label 2050*/ GIMT_Encode4(116930), // Rule ID 70379 //
     /*  116869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116884 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  116892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  116896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  116900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116909 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116911 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  116911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  116914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116928 */     GIR_RootConstrainSelectedInstOperands,
     /*  116929 */     // GIR_Coverage, 70379,
     /*  116929 */     GIR_EraseRootFromParent_Done,
     /*  116930 */   // Label 2050: @116930
     /*  116930 */   GIM_Try, /*On fail goto*//*Label 2051*/ GIMT_Encode4(116996), // Rule ID 70380 //
     /*  116935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  116958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  116962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  116966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116975 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116977 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  116977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  116980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116994 */     GIR_RootConstrainSelectedInstOperands,
     /*  116995 */     // GIR_Coverage, 70380,
     /*  116995 */     GIR_EraseRootFromParent_Done,
     /*  116996 */   // Label 2051: @116996
     /*  116996 */   GIM_Try, /*On fail goto*//*Label 2052*/ GIMT_Encode4(117062), // Rule ID 70377 //
     /*  117001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  117008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117016 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117020 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117041 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117043 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  117050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117060 */     GIR_RootConstrainSelectedInstOperands,
     /*  117061 */     // GIR_Coverage, 70377,
     /*  117061 */     GIR_EraseRootFromParent_Done,
     /*  117062 */   // Label 2052: @117062
     /*  117062 */   GIM_Try, /*On fail goto*//*Label 2053*/ GIMT_Encode4(117128), // Rule ID 70378 //
     /*  117067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  117074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  117103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117107 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117109 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  117116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117126 */     GIR_RootConstrainSelectedInstOperands,
     /*  117127 */     // GIR_Coverage, 70378,
     /*  117127 */     GIR_EraseRootFromParent_Done,
     /*  117128 */   // Label 2053: @117128
     /*  117128 */   GIM_Try, /*On fail goto*//*Label 2054*/ GIMT_Encode4(117194), // Rule ID 70375 //
     /*  117133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117152 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  117160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117173 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117175 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  117186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117192 */     GIR_RootConstrainSelectedInstOperands,
     /*  117193 */     // GIR_Coverage, 70375,
     /*  117193 */     GIR_EraseRootFromParent_Done,
     /*  117194 */   // Label 2054: @117194
     /*  117194 */   GIM_Try, /*On fail goto*//*Label 2055*/ GIMT_Encode4(117260), // Rule ID 70376 //
     /*  117199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117218 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117222 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  117226 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117230 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  117234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117239 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117241 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  117252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117258 */     GIR_RootConstrainSelectedInstOperands,
     /*  117259 */     // GIR_Coverage, 70376,
     /*  117259 */     GIR_EraseRootFromParent_Done,
     /*  117260 */   // Label 2055: @117260
     /*  117260 */   GIM_Try, /*On fail goto*//*Label 2056*/ GIMT_Encode4(117326), // Rule ID 52715 //
     /*  117265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117284 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117305 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117307 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117324 */     GIR_RootConstrainSelectedInstOperands,
     /*  117325 */     // GIR_Coverage, 52715,
     /*  117325 */     GIR_EraseRootFromParent_Done,
     /*  117326 */   // Label 2056: @117326
     /*  117326 */   GIM_Try, /*On fail goto*//*Label 2057*/ GIMT_Encode4(117392), // Rule ID 52716 //
     /*  117331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117350 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117354 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  117371 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117373 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117390 */     GIR_RootConstrainSelectedInstOperands,
     /*  117391 */     // GIR_Coverage, 52716,
     /*  117391 */     GIR_EraseRootFromParent_Done,
     /*  117392 */   // Label 2057: @117392
     /*  117392 */   GIM_Try, /*On fail goto*//*Label 2058*/ GIMT_Encode4(117425), // Rule ID 52703 //
     /*  117397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117408 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  117411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117423 */     GIR_RootConstrainSelectedInstOperands,
     /*  117424 */     // GIR_Coverage, 52703,
     /*  117424 */     GIR_EraseRootFromParent_Done,
     /*  117425 */   // Label 2058: @117425
     /*  117425 */   GIM_Try, /*On fail goto*//*Label 2059*/ GIMT_Encode4(117458), // Rule ID 52704 //
     /*  117430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117441 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  117444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117456 */     GIR_RootConstrainSelectedInstOperands,
     /*  117457 */     // GIR_Coverage, 52704,
     /*  117457 */     GIR_EraseRootFromParent_Done,
     /*  117458 */   // Label 2059: @117458
     /*  117458 */   GIM_Reject,
     /*  117459 */ // Label 2049: @117459
     /*  117459 */ GIM_Reject,
     /*  117460 */ // Label 1973: @117460
     /*  117460 */ GIM_Try, /*On fail goto*//*Label 2060*/ GIMT_Encode4(117574),
     /*  117465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  117468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  117471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117483 */   GIM_Try, /*On fail goto*//*Label 2061*/ GIMT_Encode4(117528), // Rule ID 47195 //
     /*  117488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117491 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  117491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  117494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  117508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117526 */     GIR_RootConstrainSelectedInstOperands,
     /*  117527 */     // GIR_Coverage, 47195,
     /*  117527 */     GIR_EraseRootFromParent_Done,
     /*  117528 */   // Label 2061: @117528
     /*  117528 */   GIM_Try, /*On fail goto*//*Label 2062*/ GIMT_Encode4(117573), // Rule ID 47196 //
     /*  117533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117536 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  117536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  117539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  117553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117571 */     GIR_RootConstrainSelectedInstOperands,
     /*  117572 */     // GIR_Coverage, 47196,
     /*  117572 */     GIR_EraseRootFromParent_Done,
     /*  117573 */   // Label 2062: @117573
     /*  117573 */   GIM_Reject,
     /*  117574 */ // Label 2060: @117574
     /*  117574 */ GIM_Reject,
     /*  117575 */ // Label 1974: @117575
     /*  117575 */ GIM_Try, /*On fail goto*//*Label 2063*/ GIMT_Encode4(117689),
     /*  117580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  117583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  117586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117598 */   GIM_Try, /*On fail goto*//*Label 2064*/ GIMT_Encode4(117643), // Rule ID 47207 //
     /*  117603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117606 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  117606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  117609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  117623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117641 */     GIR_RootConstrainSelectedInstOperands,
     /*  117642 */     // GIR_Coverage, 47207,
     /*  117642 */     GIR_EraseRootFromParent_Done,
     /*  117643 */   // Label 2064: @117643
     /*  117643 */   GIM_Try, /*On fail goto*//*Label 2065*/ GIMT_Encode4(117688), // Rule ID 47208 //
     /*  117648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117651 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  117651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  117654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  117668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117686 */     GIR_RootConstrainSelectedInstOperands,
     /*  117687 */     // GIR_Coverage, 47208,
     /*  117687 */     GIR_EraseRootFromParent_Done,
     /*  117688 */   // Label 2065: @117688
     /*  117688 */   GIM_Reject,
     /*  117689 */ // Label 2063: @117689
     /*  117689 */ GIM_Reject,
     /*  117690 */ // Label 1975: @117690
     /*  117690 */ GIM_Try, /*On fail goto*//*Label 2066*/ GIMT_Encode4(117804),
     /*  117695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  117698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  117701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117713 */   GIM_Try, /*On fail goto*//*Label 2067*/ GIMT_Encode4(117758), // Rule ID 47215 //
     /*  117718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117721 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  117721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  117724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  117738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117756 */     GIR_RootConstrainSelectedInstOperands,
     /*  117757 */     // GIR_Coverage, 47215,
     /*  117757 */     GIR_EraseRootFromParent_Done,
     /*  117758 */   // Label 2067: @117758
     /*  117758 */   GIM_Try, /*On fail goto*//*Label 2068*/ GIMT_Encode4(117803), // Rule ID 47216 //
     /*  117763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117766 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  117766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  117769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  117783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117801 */     GIR_RootConstrainSelectedInstOperands,
     /*  117802 */     // GIR_Coverage, 47216,
     /*  117802 */     GIR_EraseRootFromParent_Done,
     /*  117803 */   // Label 2068: @117803
     /*  117803 */   GIM_Reject,
     /*  117804 */ // Label 2066: @117804
     /*  117804 */ GIM_Reject,
     /*  117805 */ // Label 1976: @117805
     /*  117805 */ GIM_Try, /*On fail goto*//*Label 2069*/ GIMT_Encode4(117919),
     /*  117810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  117813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  117816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117828 */   GIM_Try, /*On fail goto*//*Label 2070*/ GIMT_Encode4(117873), // Rule ID 47231 //
     /*  117833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  117836 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  117836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  117839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  117853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117871 */     GIR_RootConstrainSelectedInstOperands,
     /*  117872 */     // GIR_Coverage, 47231,
     /*  117872 */     GIR_EraseRootFromParent_Done,
     /*  117873 */   // Label 2070: @117873
     /*  117873 */   GIM_Try, /*On fail goto*//*Label 2071*/ GIMT_Encode4(117918), // Rule ID 47232 //
     /*  117878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  117881 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  117881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  117884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  117898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117916 */     GIR_RootConstrainSelectedInstOperands,
     /*  117917 */     // GIR_Coverage, 47232,
     /*  117917 */     GIR_EraseRootFromParent_Done,
     /*  117918 */   // Label 2071: @117918
     /*  117918 */   GIM_Reject,
     /*  117919 */ // Label 2069: @117919
     /*  117919 */ GIM_Reject,
     /*  117920 */ // Label 1977: @117920
     /*  117920 */ GIM_Try, /*On fail goto*//*Label 2072*/ GIMT_Encode4(118530),
     /*  117925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  117928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117935 */   GIM_Try, /*On fail goto*//*Label 2073*/ GIMT_Encode4(118001), // Rule ID 70407 //
     /*  117940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  117947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  117955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  117963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117980 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117982 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  117985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  117989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  117993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117999 */     GIR_RootConstrainSelectedInstOperands,
     /*  118000 */     // GIR_Coverage, 70407,
     /*  118000 */     GIR_EraseRootFromParent_Done,
     /*  118001 */   // Label 2073: @118001
     /*  118001 */   GIM_Try, /*On fail goto*//*Label 2074*/ GIMT_Encode4(118067), // Rule ID 70408 //
     /*  118006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118048 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118065 */     GIR_RootConstrainSelectedInstOperands,
     /*  118066 */     // GIR_Coverage, 70408,
     /*  118066 */     GIR_EraseRootFromParent_Done,
     /*  118067 */   // Label 2074: @118067
     /*  118067 */   GIM_Try, /*On fail goto*//*Label 2075*/ GIMT_Encode4(118133), // Rule ID 70405 //
     /*  118072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118087 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  118108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118112 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118114 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118131 */     GIR_RootConstrainSelectedInstOperands,
     /*  118132 */     // GIR_Coverage, 70405,
     /*  118132 */     GIR_EraseRootFromParent_Done,
     /*  118133 */   // Label 2075: @118133
     /*  118133 */   GIM_Try, /*On fail goto*//*Label 2076*/ GIMT_Encode4(118199), // Rule ID 70406 //
     /*  118138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118162 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118166 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118170 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118178 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118180 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118197 */     GIR_RootConstrainSelectedInstOperands,
     /*  118198 */     // GIR_Coverage, 70406,
     /*  118198 */     GIR_EraseRootFromParent_Done,
     /*  118199 */   // Label 2076: @118199
     /*  118199 */   GIM_Try, /*On fail goto*//*Label 2077*/ GIMT_Encode4(118265), // Rule ID 70403 //
     /*  118204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118223 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118235 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  118239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118244 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118246 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118263 */     GIR_RootConstrainSelectedInstOperands,
     /*  118264 */     // GIR_Coverage, 70403,
     /*  118264 */     GIR_EraseRootFromParent_Done,
     /*  118265 */   // Label 2077: @118265
     /*  118265 */   GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(118331), // Rule ID 70404 //
     /*  118270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118289 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118310 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118312 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118329 */     GIR_RootConstrainSelectedInstOperands,
     /*  118330 */     // GIR_Coverage, 70404,
     /*  118330 */     GIR_EraseRootFromParent_Done,
     /*  118331 */   // Label 2078: @118331
     /*  118331 */   GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(118397), // Rule ID 52733 //
     /*  118336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118355 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  118376 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118378 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118395 */     GIR_RootConstrainSelectedInstOperands,
     /*  118396 */     // GIR_Coverage, 52733,
     /*  118396 */     GIR_EraseRootFromParent_Done,
     /*  118397 */   // Label 2079: @118397
     /*  118397 */   GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(118463), // Rule ID 52734 //
     /*  118402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118421 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118430 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118434 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118438 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118444 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118461 */     GIR_RootConstrainSelectedInstOperands,
     /*  118462 */     // GIR_Coverage, 52734,
     /*  118462 */     GIR_EraseRootFromParent_Done,
     /*  118463 */   // Label 2080: @118463
     /*  118463 */   GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(118496), // Rule ID 52721 //
     /*  118468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118479 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  118482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118494 */     GIR_RootConstrainSelectedInstOperands,
     /*  118495 */     // GIR_Coverage, 52721,
     /*  118495 */     GIR_EraseRootFromParent_Done,
     /*  118496 */   // Label 2081: @118496
     /*  118496 */   GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(118529), // Rule ID 52722 //
     /*  118501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118512 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  118515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118527 */     GIR_RootConstrainSelectedInstOperands,
     /*  118528 */     // GIR_Coverage, 52722,
     /*  118528 */     GIR_EraseRootFromParent_Done,
     /*  118529 */   // Label 2082: @118529
     /*  118529 */   GIM_Reject,
     /*  118530 */ // Label 2072: @118530
     /*  118530 */ GIM_Reject,
     /*  118531 */ // Label 1978: @118531
     /*  118531 */ GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(118645),
     /*  118536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  118539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  118542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118550 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118554 */   GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(118599), // Rule ID 47199 //
     /*  118559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118562 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  118562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  118565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  118579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118597 */     GIR_RootConstrainSelectedInstOperands,
     /*  118598 */     // GIR_Coverage, 47199,
     /*  118598 */     GIR_EraseRootFromParent_Done,
     /*  118599 */   // Label 2084: @118599
     /*  118599 */   GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(118644), // Rule ID 47200 //
     /*  118604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118607 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  118607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  118610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  118624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118642 */     GIR_RootConstrainSelectedInstOperands,
     /*  118643 */     // GIR_Coverage, 47200,
     /*  118643 */     GIR_EraseRootFromParent_Done,
     /*  118644 */   // Label 2085: @118644
     /*  118644 */   GIM_Reject,
     /*  118645 */ // Label 2083: @118645
     /*  118645 */ GIM_Reject,
     /*  118646 */ // Label 1979: @118646
     /*  118646 */ GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(118760),
     /*  118651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  118654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  118657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118669 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(118714), // Rule ID 47211 //
     /*  118674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118677 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  118677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  118680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  118694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118712 */     GIR_RootConstrainSelectedInstOperands,
     /*  118713 */     // GIR_Coverage, 47211,
     /*  118713 */     GIR_EraseRootFromParent_Done,
     /*  118714 */   // Label 2087: @118714
     /*  118714 */   GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(118759), // Rule ID 47212 //
     /*  118719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118722 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  118722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  118725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  118739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118757 */     GIR_RootConstrainSelectedInstOperands,
     /*  118758 */     // GIR_Coverage, 47212,
     /*  118758 */     GIR_EraseRootFromParent_Done,
     /*  118759 */   // Label 2088: @118759
     /*  118759 */   GIM_Reject,
     /*  118760 */ // Label 2086: @118760
     /*  118760 */ GIM_Reject,
     /*  118761 */ // Label 1980: @118761
     /*  118761 */ GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(118875),
     /*  118766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  118769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  118772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118784 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(118829), // Rule ID 47227 //
     /*  118789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118792 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  118792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  118795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  118809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  118824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118827 */     GIR_RootConstrainSelectedInstOperands,
     /*  118828 */     // GIR_Coverage, 47227,
     /*  118828 */     GIR_EraseRootFromParent_Done,
     /*  118829 */   // Label 2090: @118829
     /*  118829 */   GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(118874), // Rule ID 47228 //
     /*  118834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118837 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  118837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  118840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  118854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  118869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118872 */     GIR_RootConstrainSelectedInstOperands,
     /*  118873 */     // GIR_Coverage, 47228,
     /*  118873 */     GIR_EraseRootFromParent_Done,
     /*  118874 */   // Label 2091: @118874
     /*  118874 */   GIM_Reject,
     /*  118875 */ // Label 2089: @118875
     /*  118875 */ GIM_Reject,
     /*  118876 */ // Label 1981: @118876
     /*  118876 */ GIM_Try, /*On fail goto*//*Label 2092*/ GIMT_Encode4(118990),
     /*  118881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  118884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  118887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  118891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  118895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  118899 */   GIM_Try, /*On fail goto*//*Label 2093*/ GIMT_Encode4(118944), // Rule ID 47271 //
     /*  118904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  118907 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  118907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  118910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  118924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  118939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118942 */     GIR_RootConstrainSelectedInstOperands,
     /*  118943 */     // GIR_Coverage, 47271,
     /*  118943 */     GIR_EraseRootFromParent_Done,
     /*  118944 */   // Label 2093: @118944
     /*  118944 */   GIM_Try, /*On fail goto*//*Label 2094*/ GIMT_Encode4(118989), // Rule ID 47272 //
     /*  118949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  118952 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  118952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  118955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  118969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  118984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118987 */     GIR_RootConstrainSelectedInstOperands,
     /*  118988 */     // GIR_Coverage, 47272,
     /*  118988 */     GIR_EraseRootFromParent_Done,
     /*  118989 */   // Label 2094: @118989
     /*  118989 */   GIM_Reject,
     /*  118990 */ // Label 2092: @118990
     /*  118990 */ GIM_Reject,
     /*  118991 */ // Label 1982: @118991
     /*  118991 */ GIM_Try, /*On fail goto*//*Label 2095*/ GIMT_Encode4(119601),
     /*  118996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  118999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119006 */   GIM_Try, /*On fail goto*//*Label 2096*/ GIMT_Encode4(119072), // Rule ID 70435 //
     /*  119011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119026 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119034 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119038 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119053 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119070 */     GIR_RootConstrainSelectedInstOperands,
     /*  119071 */     // GIR_Coverage, 70435,
     /*  119071 */     GIR_EraseRootFromParent_Done,
     /*  119072 */   // Label 2096: @119072
     /*  119072 */   GIM_Try, /*On fail goto*//*Label 2097*/ GIMT_Encode4(119138), // Rule ID 70436 //
     /*  119077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119117 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119119 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119136 */     GIR_RootConstrainSelectedInstOperands,
     /*  119137 */     // GIR_Coverage, 70436,
     /*  119137 */     GIR_EraseRootFromParent_Done,
     /*  119138 */   // Label 2097: @119138
     /*  119138 */   GIM_Try, /*On fail goto*//*Label 2098*/ GIMT_Encode4(119204), // Rule ID 70433 //
     /*  119143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119154 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119158 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119185 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119202 */     GIR_RootConstrainSelectedInstOperands,
     /*  119203 */     // GIR_Coverage, 70433,
     /*  119203 */     GIR_EraseRootFromParent_Done,
     /*  119204 */   // Label 2098: @119204
     /*  119204 */   GIM_Try, /*On fail goto*//*Label 2099*/ GIMT_Encode4(119270), // Rule ID 70434 //
     /*  119209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119224 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119251 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119268 */     GIR_RootConstrainSelectedInstOperands,
     /*  119269 */     // GIR_Coverage, 70434,
     /*  119269 */     GIR_EraseRootFromParent_Done,
     /*  119270 */   // Label 2099: @119270
     /*  119270 */   GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(119336), // Rule ID 70431 //
     /*  119275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119294 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119315 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119317 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119334 */     GIR_RootConstrainSelectedInstOperands,
     /*  119335 */     // GIR_Coverage, 70431,
     /*  119335 */     GIR_EraseRootFromParent_Done,
     /*  119336 */   // Label 2100: @119336
     /*  119336 */   GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(119402), // Rule ID 70432 //
     /*  119341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119360 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119383 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119400 */     GIR_RootConstrainSelectedInstOperands,
     /*  119401 */     // GIR_Coverage, 70432,
     /*  119401 */     GIR_EraseRootFromParent_Done,
     /*  119402 */   // Label 2101: @119402
     /*  119402 */   GIM_Try, /*On fail goto*//*Label 2102*/ GIMT_Encode4(119468), // Rule ID 52751 //
     /*  119407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119426 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119447 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119449 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119466 */     GIR_RootConstrainSelectedInstOperands,
     /*  119467 */     // GIR_Coverage, 52751,
     /*  119467 */     GIR_EraseRootFromParent_Done,
     /*  119468 */   // Label 2102: @119468
     /*  119468 */   GIM_Try, /*On fail goto*//*Label 2103*/ GIMT_Encode4(119534), // Rule ID 52752 //
     /*  119473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119492 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119501 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119505 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119509 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119513 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119515 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119532 */     GIR_RootConstrainSelectedInstOperands,
     /*  119533 */     // GIR_Coverage, 52752,
     /*  119533 */     GIR_EraseRootFromParent_Done,
     /*  119534 */   // Label 2103: @119534
     /*  119534 */   GIM_Try, /*On fail goto*//*Label 2104*/ GIMT_Encode4(119567), // Rule ID 52739 //
     /*  119539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119550 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  119553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119565 */     GIR_RootConstrainSelectedInstOperands,
     /*  119566 */     // GIR_Coverage, 52739,
     /*  119566 */     GIR_EraseRootFromParent_Done,
     /*  119567 */   // Label 2104: @119567
     /*  119567 */   GIM_Try, /*On fail goto*//*Label 2105*/ GIMT_Encode4(119600), // Rule ID 52740 //
     /*  119572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119583 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  119586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119598 */     GIR_RootConstrainSelectedInstOperands,
     /*  119599 */     // GIR_Coverage, 52740,
     /*  119599 */     GIR_EraseRootFromParent_Done,
     /*  119600 */   // Label 2105: @119600
     /*  119600 */   GIM_Reject,
     /*  119601 */ // Label 2095: @119601
     /*  119601 */ GIM_Reject,
     /*  119602 */ // Label 1983: @119602
     /*  119602 */ GIM_Try, /*On fail goto*//*Label 2106*/ GIMT_Encode4(119716),
     /*  119607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  119610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  119613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119621 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119625 */   GIM_Try, /*On fail goto*//*Label 2107*/ GIMT_Encode4(119670), // Rule ID 47203 //
     /*  119630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119633 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  119633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  119636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  119650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119668 */     GIR_RootConstrainSelectedInstOperands,
     /*  119669 */     // GIR_Coverage, 47203,
     /*  119669 */     GIR_EraseRootFromParent_Done,
     /*  119670 */   // Label 2107: @119670
     /*  119670 */   GIM_Try, /*On fail goto*//*Label 2108*/ GIMT_Encode4(119715), // Rule ID 47204 //
     /*  119675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119678 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  119678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  119681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  119695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119713 */     GIR_RootConstrainSelectedInstOperands,
     /*  119714 */     // GIR_Coverage, 47204,
     /*  119714 */     GIR_EraseRootFromParent_Done,
     /*  119715 */   // Label 2108: @119715
     /*  119715 */   GIM_Reject,
     /*  119716 */ // Label 2106: @119716
     /*  119716 */ GIM_Reject,
     /*  119717 */ // Label 1984: @119717
     /*  119717 */ GIM_Try, /*On fail goto*//*Label 2109*/ GIMT_Encode4(119831),
     /*  119722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  119725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  119728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119740 */   GIM_Try, /*On fail goto*//*Label 2110*/ GIMT_Encode4(119785), // Rule ID 47223 //
     /*  119745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119748 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  119748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  119751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  119765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119783 */     GIR_RootConstrainSelectedInstOperands,
     /*  119784 */     // GIR_Coverage, 47223,
     /*  119784 */     GIR_EraseRootFromParent_Done,
     /*  119785 */   // Label 2110: @119785
     /*  119785 */   GIM_Try, /*On fail goto*//*Label 2111*/ GIMT_Encode4(119830), // Rule ID 47224 //
     /*  119790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119793 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  119793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  119796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  119810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119828 */     GIR_RootConstrainSelectedInstOperands,
     /*  119829 */     // GIR_Coverage, 47224,
     /*  119829 */     GIR_EraseRootFromParent_Done,
     /*  119830 */   // Label 2111: @119830
     /*  119830 */   GIM_Reject,
     /*  119831 */ // Label 2109: @119831
     /*  119831 */ GIM_Reject,
     /*  119832 */ // Label 1985: @119832
     /*  119832 */ GIM_Try, /*On fail goto*//*Label 2112*/ GIMT_Encode4(119946),
     /*  119837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  119840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  119843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119855 */   GIM_Try, /*On fail goto*//*Label 2113*/ GIMT_Encode4(119900), // Rule ID 47259 //
     /*  119860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119863 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  119863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  119866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  119880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119898 */     GIR_RootConstrainSelectedInstOperands,
     /*  119899 */     // GIR_Coverage, 47259,
     /*  119899 */     GIR_EraseRootFromParent_Done,
     /*  119900 */   // Label 2113: @119900
     /*  119900 */   GIM_Try, /*On fail goto*//*Label 2114*/ GIMT_Encode4(119945), // Rule ID 47260 //
     /*  119905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119908 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  119908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  119911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  119925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119943 */     GIR_RootConstrainSelectedInstOperands,
     /*  119944 */     // GIR_Coverage, 47260,
     /*  119944 */     GIR_EraseRootFromParent_Done,
     /*  119945 */   // Label 2114: @119945
     /*  119945 */   GIM_Reject,
     /*  119946 */ // Label 2112: @119946
     /*  119946 */ GIM_Reject,
     /*  119947 */ // Label 1986: @119947
     /*  119947 */ GIM_Try, /*On fail goto*//*Label 2115*/ GIMT_Encode4(120061),
     /*  119952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  119955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  119958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119970 */   GIM_Try, /*On fail goto*//*Label 2116*/ GIMT_Encode4(120015), // Rule ID 47275 //
     /*  119975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  119978 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  119978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  119981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  119995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120013 */     GIR_RootConstrainSelectedInstOperands,
     /*  120014 */     // GIR_Coverage, 47275,
     /*  120014 */     GIR_EraseRootFromParent_Done,
     /*  120015 */   // Label 2116: @120015
     /*  120015 */   GIM_Try, /*On fail goto*//*Label 2117*/ GIMT_Encode4(120060), // Rule ID 47276 //
     /*  120020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  120023 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  120023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  120026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  120040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120058 */     GIR_RootConstrainSelectedInstOperands,
     /*  120059 */     // GIR_Coverage, 47276,
     /*  120059 */     GIR_EraseRootFromParent_Done,
     /*  120060 */   // Label 2117: @120060
     /*  120060 */   GIM_Reject,
     /*  120061 */ // Label 2115: @120061
     /*  120061 */ GIM_Reject,
     /*  120062 */ // Label 1987: @120062
     /*  120062 */ GIM_Try, /*On fail goto*//*Label 2118*/ GIMT_Encode4(120672),
     /*  120067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120077 */   GIM_Try, /*On fail goto*//*Label 2119*/ GIMT_Encode4(120143), // Rule ID 70463 //
     /*  120082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120124 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120141 */     GIR_RootConstrainSelectedInstOperands,
     /*  120142 */     // GIR_Coverage, 70463,
     /*  120142 */     GIR_EraseRootFromParent_Done,
     /*  120143 */   // Label 2119: @120143
     /*  120143 */   GIM_Try, /*On fail goto*//*Label 2120*/ GIMT_Encode4(120209), // Rule ID 70464 //
     /*  120148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120190 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120207 */     GIR_RootConstrainSelectedInstOperands,
     /*  120208 */     // GIR_Coverage, 70464,
     /*  120208 */     GIR_EraseRootFromParent_Done,
     /*  120209 */   // Label 2120: @120209
     /*  120209 */   GIM_Try, /*On fail goto*//*Label 2121*/ GIMT_Encode4(120275), // Rule ID 70461 //
     /*  120214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120256 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120273 */     GIR_RootConstrainSelectedInstOperands,
     /*  120274 */     // GIR_Coverage, 70461,
     /*  120274 */     GIR_EraseRootFromParent_Done,
     /*  120275 */   // Label 2121: @120275
     /*  120275 */   GIM_Try, /*On fail goto*//*Label 2122*/ GIMT_Encode4(120341), // Rule ID 70462 //
     /*  120280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120320 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120322 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120339 */     GIR_RootConstrainSelectedInstOperands,
     /*  120340 */     // GIR_Coverage, 70462,
     /*  120340 */     GIR_EraseRootFromParent_Done,
     /*  120341 */   // Label 2122: @120341
     /*  120341 */   GIM_Try, /*On fail goto*//*Label 2123*/ GIMT_Encode4(120407), // Rule ID 70459 //
     /*  120346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120388 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120405 */     GIR_RootConstrainSelectedInstOperands,
     /*  120406 */     // GIR_Coverage, 70459,
     /*  120406 */     GIR_EraseRootFromParent_Done,
     /*  120407 */   // Label 2123: @120407
     /*  120407 */   GIM_Try, /*On fail goto*//*Label 2124*/ GIMT_Encode4(120473), // Rule ID 70460 //
     /*  120412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120431 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120454 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120471 */     GIR_RootConstrainSelectedInstOperands,
     /*  120472 */     // GIR_Coverage, 70460,
     /*  120472 */     GIR_EraseRootFromParent_Done,
     /*  120473 */   // Label 2124: @120473
     /*  120473 */   GIM_Try, /*On fail goto*//*Label 2125*/ GIMT_Encode4(120539), // Rule ID 52769 //
     /*  120478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120497 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120518 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120520 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120537 */     GIR_RootConstrainSelectedInstOperands,
     /*  120538 */     // GIR_Coverage, 52769,
     /*  120538 */     GIR_EraseRootFromParent_Done,
     /*  120539 */   // Label 2125: @120539
     /*  120539 */   GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(120605), // Rule ID 52770 //
     /*  120544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120563 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120580 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120584 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120586 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120603 */     GIR_RootConstrainSelectedInstOperands,
     /*  120604 */     // GIR_Coverage, 52770,
     /*  120604 */     GIR_EraseRootFromParent_Done,
     /*  120605 */   // Label 2126: @120605
     /*  120605 */   GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(120638), // Rule ID 52757 //
     /*  120610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120621 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  120624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120636 */     GIR_RootConstrainSelectedInstOperands,
     /*  120637 */     // GIR_Coverage, 52757,
     /*  120637 */     GIR_EraseRootFromParent_Done,
     /*  120638 */   // Label 2127: @120638
     /*  120638 */   GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(120671), // Rule ID 52758 //
     /*  120643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120654 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  120657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120669 */     GIR_RootConstrainSelectedInstOperands,
     /*  120670 */     // GIR_Coverage, 52758,
     /*  120670 */     GIR_EraseRootFromParent_Done,
     /*  120671 */   // Label 2128: @120671
     /*  120671 */   GIM_Reject,
     /*  120672 */ // Label 2118: @120672
     /*  120672 */ GIM_Reject,
     /*  120673 */ // Label 1988: @120673
     /*  120673 */ GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(120787),
     /*  120678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  120681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  120684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120696 */   GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(120741), // Rule ID 47219 //
     /*  120701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120704 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  120704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  120707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  120721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120739 */     GIR_RootConstrainSelectedInstOperands,
     /*  120740 */     // GIR_Coverage, 47219,
     /*  120740 */     GIR_EraseRootFromParent_Done,
     /*  120741 */   // Label 2130: @120741
     /*  120741 */   GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(120786), // Rule ID 47220 //
     /*  120746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120749 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  120749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  120752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  120766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120784 */     GIR_RootConstrainSelectedInstOperands,
     /*  120785 */     // GIR_Coverage, 47220,
     /*  120785 */     GIR_EraseRootFromParent_Done,
     /*  120786 */   // Label 2131: @120786
     /*  120786 */   GIM_Reject,
     /*  120787 */ // Label 2129: @120787
     /*  120787 */ GIM_Reject,
     /*  120788 */ // Label 1989: @120788
     /*  120788 */ GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(120902),
     /*  120793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  120796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  120799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120811 */   GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(120856), // Rule ID 47247 //
     /*  120816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120819 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  120819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  120822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  120836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120854 */     GIR_RootConstrainSelectedInstOperands,
     /*  120855 */     // GIR_Coverage, 47247,
     /*  120855 */     GIR_EraseRootFromParent_Done,
     /*  120856 */   // Label 2133: @120856
     /*  120856 */   GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(120901), // Rule ID 47248 //
     /*  120861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120864 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  120864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  120867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  120881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120899 */     GIR_RootConstrainSelectedInstOperands,
     /*  120900 */     // GIR_Coverage, 47248,
     /*  120900 */     GIR_EraseRootFromParent_Done,
     /*  120901 */   // Label 2134: @120901
     /*  120901 */   GIM_Reject,
     /*  120902 */ // Label 2132: @120902
     /*  120902 */ GIM_Reject,
     /*  120903 */ // Label 1990: @120903
     /*  120903 */ GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(121017),
     /*  120908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  120911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  120914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120926 */   GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(120971), // Rule ID 47263 //
     /*  120931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120934 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  120934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  120937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  120951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  120966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120969 */     GIR_RootConstrainSelectedInstOperands,
     /*  120970 */     // GIR_Coverage, 47263,
     /*  120970 */     GIR_EraseRootFromParent_Done,
     /*  120971 */   // Label 2136: @120971
     /*  120971 */   GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(121016), // Rule ID 47264 //
     /*  120976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120979 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  120979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  120982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  120996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  121011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121014 */     GIR_RootConstrainSelectedInstOperands,
     /*  121015 */     // GIR_Coverage, 47264,
     /*  121015 */     GIR_EraseRootFromParent_Done,
     /*  121016 */   // Label 2137: @121016
     /*  121016 */   GIM_Reject,
     /*  121017 */ // Label 2135: @121017
     /*  121017 */ GIM_Reject,
     /*  121018 */ // Label 1991: @121018
     /*  121018 */ GIM_Try, /*On fail goto*//*Label 2138*/ GIMT_Encode4(121132),
     /*  121023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  121026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  121029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121041 */   GIM_Try, /*On fail goto*//*Label 2139*/ GIMT_Encode4(121086), // Rule ID 47279 //
     /*  121046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  121049 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  121049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  121052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  121066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  121081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121084 */     GIR_RootConstrainSelectedInstOperands,
     /*  121085 */     // GIR_Coverage, 47279,
     /*  121085 */     GIR_EraseRootFromParent_Done,
     /*  121086 */   // Label 2139: @121086
     /*  121086 */   GIM_Try, /*On fail goto*//*Label 2140*/ GIMT_Encode4(121131), // Rule ID 47280 //
     /*  121091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  121094 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  121094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  121097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  121111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  121126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121129 */     GIR_RootConstrainSelectedInstOperands,
     /*  121130 */     // GIR_Coverage, 47280,
     /*  121130 */     GIR_EraseRootFromParent_Done,
     /*  121131 */   // Label 2140: @121131
     /*  121131 */   GIM_Reject,
     /*  121132 */ // Label 2138: @121132
     /*  121132 */ GIM_Reject,
     /*  121133 */ // Label 1992: @121133
     /*  121133 */ GIM_Try, /*On fail goto*//*Label 2141*/ GIMT_Encode4(121743),
     /*  121138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121148 */   GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(121214), // Rule ID 70491 //
     /*  121153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121168 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121184 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121193 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121195 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121212 */     GIR_RootConstrainSelectedInstOperands,
     /*  121213 */     // GIR_Coverage, 70491,
     /*  121213 */     GIR_EraseRootFromParent_Done,
     /*  121214 */   // Label 2142: @121214
     /*  121214 */   GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(121280), // Rule ID 70492 //
     /*  121219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121259 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121261 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121278 */     GIR_RootConstrainSelectedInstOperands,
     /*  121279 */     // GIR_Coverage, 70492,
     /*  121279 */     GIR_EraseRootFromParent_Done,
     /*  121280 */   // Label 2143: @121280
     /*  121280 */   GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(121346), // Rule ID 70489 //
     /*  121285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121300 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121325 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121327 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121344 */     GIR_RootConstrainSelectedInstOperands,
     /*  121345 */     // GIR_Coverage, 70489,
     /*  121345 */     GIR_EraseRootFromParent_Done,
     /*  121346 */   // Label 2144: @121346
     /*  121346 */   GIM_Try, /*On fail goto*//*Label 2145*/ GIMT_Encode4(121412), // Rule ID 70490 //
     /*  121351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121366 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121391 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121393 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121410 */     GIR_RootConstrainSelectedInstOperands,
     /*  121411 */     // GIR_Coverage, 70490,
     /*  121411 */     GIR_EraseRootFromParent_Done,
     /*  121412 */   // Label 2145: @121412
     /*  121412 */   GIM_Try, /*On fail goto*//*Label 2146*/ GIMT_Encode4(121478), // Rule ID 70487 //
     /*  121417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121436 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121457 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121459 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121476 */     GIR_RootConstrainSelectedInstOperands,
     /*  121477 */     // GIR_Coverage, 70487,
     /*  121477 */     GIR_EraseRootFromParent_Done,
     /*  121478 */   // Label 2146: @121478
     /*  121478 */   GIM_Try, /*On fail goto*//*Label 2147*/ GIMT_Encode4(121544), // Rule ID 70488 //
     /*  121483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121502 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121523 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121525 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121542 */     GIR_RootConstrainSelectedInstOperands,
     /*  121543 */     // GIR_Coverage, 70488,
     /*  121543 */     GIR_EraseRootFromParent_Done,
     /*  121544 */   // Label 2147: @121544
     /*  121544 */   GIM_Try, /*On fail goto*//*Label 2148*/ GIMT_Encode4(121610), // Rule ID 52787 //
     /*  121549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121568 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121585 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121589 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121591 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121608 */     GIR_RootConstrainSelectedInstOperands,
     /*  121609 */     // GIR_Coverage, 52787,
     /*  121609 */     GIR_EraseRootFromParent_Done,
     /*  121610 */   // Label 2148: @121610
     /*  121610 */   GIM_Try, /*On fail goto*//*Label 2149*/ GIMT_Encode4(121676), // Rule ID 52788 //
     /*  121615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121634 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121657 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121674 */     GIR_RootConstrainSelectedInstOperands,
     /*  121675 */     // GIR_Coverage, 52788,
     /*  121675 */     GIR_EraseRootFromParent_Done,
     /*  121676 */   // Label 2149: @121676
     /*  121676 */   GIM_Try, /*On fail goto*//*Label 2150*/ GIMT_Encode4(121709), // Rule ID 52775 //
     /*  121681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121692 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  121695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121707 */     GIR_RootConstrainSelectedInstOperands,
     /*  121708 */     // GIR_Coverage, 52775,
     /*  121708 */     GIR_EraseRootFromParent_Done,
     /*  121709 */   // Label 2150: @121709
     /*  121709 */   GIM_Try, /*On fail goto*//*Label 2151*/ GIMT_Encode4(121742), // Rule ID 52776 //
     /*  121714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121725 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  121728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121740 */     GIR_RootConstrainSelectedInstOperands,
     /*  121741 */     // GIR_Coverage, 52776,
     /*  121741 */     GIR_EraseRootFromParent_Done,
     /*  121742 */   // Label 2151: @121742
     /*  121742 */   GIM_Reject,
     /*  121743 */ // Label 2141: @121743
     /*  121743 */ GIM_Reject,
     /*  121744 */ // Label 1993: @121744
     /*  121744 */ GIM_Try, /*On fail goto*//*Label 2152*/ GIMT_Encode4(121858),
     /*  121749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  121752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  121755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  121759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  121763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  121767 */   GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(121812), // Rule ID 47235 //
     /*  121772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121775 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  121775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  121778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  121792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121810 */     GIR_RootConstrainSelectedInstOperands,
     /*  121811 */     // GIR_Coverage, 47235,
     /*  121811 */     GIR_EraseRootFromParent_Done,
     /*  121812 */   // Label 2153: @121812
     /*  121812 */   GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(121857), // Rule ID 47236 //
     /*  121817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121820 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  121820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  121823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  121837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121855 */     GIR_RootConstrainSelectedInstOperands,
     /*  121856 */     // GIR_Coverage, 47236,
     /*  121856 */     GIR_EraseRootFromParent_Done,
     /*  121857 */   // Label 2154: @121857
     /*  121857 */   GIM_Reject,
     /*  121858 */ // Label 2152: @121858
     /*  121858 */ GIM_Reject,
     /*  121859 */ // Label 1994: @121859
     /*  121859 */ GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(121973),
     /*  121864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  121867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  121870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  121874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  121878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  121882 */   GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(121927), // Rule ID 47251 //
     /*  121887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121890 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  121890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  121893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  121907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  121922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121925 */     GIR_RootConstrainSelectedInstOperands,
     /*  121926 */     // GIR_Coverage, 47251,
     /*  121926 */     GIR_EraseRootFromParent_Done,
     /*  121927 */   // Label 2156: @121927
     /*  121927 */   GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(121972), // Rule ID 47252 //
     /*  121932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121935 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  121935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  121938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  121952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  121967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121970 */     GIR_RootConstrainSelectedInstOperands,
     /*  121971 */     // GIR_Coverage, 47252,
     /*  121971 */     GIR_EraseRootFromParent_Done,
     /*  121972 */   // Label 2157: @121972
     /*  121972 */   GIM_Reject,
     /*  121973 */ // Label 2155: @121973
     /*  121973 */ GIM_Reject,
     /*  121974 */ // Label 1995: @121974
     /*  121974 */ GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(122088),
     /*  121979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  121982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  121985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121997 */   GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(122042), // Rule ID 47267 //
     /*  122002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122005 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  122005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  122008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122040 */     GIR_RootConstrainSelectedInstOperands,
     /*  122041 */     // GIR_Coverage, 47267,
     /*  122041 */     GIR_EraseRootFromParent_Done,
     /*  122042 */   // Label 2159: @122042
     /*  122042 */   GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(122087), // Rule ID 47268 //
     /*  122047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122050 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  122050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  122053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122085 */     GIR_RootConstrainSelectedInstOperands,
     /*  122086 */     // GIR_Coverage, 47268,
     /*  122086 */     GIR_EraseRootFromParent_Done,
     /*  122087 */   // Label 2160: @122087
     /*  122087 */   GIM_Reject,
     /*  122088 */ // Label 2158: @122088
     /*  122088 */ GIM_Reject,
     /*  122089 */ // Label 1996: @122089
     /*  122089 */ GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(122699),
     /*  122094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122104 */   GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(122170), // Rule ID 70519 //
     /*  122109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122124 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122136 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122140 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122149 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122151 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122168 */     GIR_RootConstrainSelectedInstOperands,
     /*  122169 */     // GIR_Coverage, 70519,
     /*  122169 */     GIR_EraseRootFromParent_Done,
     /*  122170 */   // Label 2162: @122170
     /*  122170 */   GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(122236), // Rule ID 70520 //
     /*  122175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122217 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122234 */     GIR_RootConstrainSelectedInstOperands,
     /*  122235 */     // GIR_Coverage, 70520,
     /*  122235 */     GIR_EraseRootFromParent_Done,
     /*  122236 */   // Label 2163: @122236
     /*  122236 */   GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(122302), // Rule ID 70517 //
     /*  122241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122281 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122283 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122300 */     GIR_RootConstrainSelectedInstOperands,
     /*  122301 */     // GIR_Coverage, 70517,
     /*  122301 */     GIR_EraseRootFromParent_Done,
     /*  122302 */   // Label 2164: @122302
     /*  122302 */   GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(122368), // Rule ID 70518 //
     /*  122307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122347 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122349 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122366 */     GIR_RootConstrainSelectedInstOperands,
     /*  122367 */     // GIR_Coverage, 70518,
     /*  122367 */     GIR_EraseRootFromParent_Done,
     /*  122368 */   // Label 2165: @122368
     /*  122368 */   GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(122434), // Rule ID 70515 //
     /*  122373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122413 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122415 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122432 */     GIR_RootConstrainSelectedInstOperands,
     /*  122433 */     // GIR_Coverage, 70515,
     /*  122433 */     GIR_EraseRootFromParent_Done,
     /*  122434 */   // Label 2166: @122434
     /*  122434 */   GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(122500), // Rule ID 70516 //
     /*  122439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122481 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122498 */     GIR_RootConstrainSelectedInstOperands,
     /*  122499 */     // GIR_Coverage, 70516,
     /*  122499 */     GIR_EraseRootFromParent_Done,
     /*  122500 */   // Label 2167: @122500
     /*  122500 */   GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(122566), // Rule ID 52805 //
     /*  122505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122545 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122547 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122564 */     GIR_RootConstrainSelectedInstOperands,
     /*  122565 */     // GIR_Coverage, 52805,
     /*  122565 */     GIR_EraseRootFromParent_Done,
     /*  122566 */   // Label 2168: @122566
     /*  122566 */   GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(122632), // Rule ID 52806 //
     /*  122571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122590 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122613 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122630 */     GIR_RootConstrainSelectedInstOperands,
     /*  122631 */     // GIR_Coverage, 52806,
     /*  122631 */     GIR_EraseRootFromParent_Done,
     /*  122632 */   // Label 2169: @122632
     /*  122632 */   GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(122665), // Rule ID 52793 //
     /*  122637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122648 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  122651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122663 */     GIR_RootConstrainSelectedInstOperands,
     /*  122664 */     // GIR_Coverage, 52793,
     /*  122664 */     GIR_EraseRootFromParent_Done,
     /*  122665 */   // Label 2170: @122665
     /*  122665 */   GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(122698), // Rule ID 52794 //
     /*  122670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122681 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  122684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122696 */     GIR_RootConstrainSelectedInstOperands,
     /*  122697 */     // GIR_Coverage, 52794,
     /*  122697 */     GIR_EraseRootFromParent_Done,
     /*  122698 */   // Label 2171: @122698
     /*  122698 */   GIM_Reject,
     /*  122699 */ // Label 2161: @122699
     /*  122699 */ GIM_Reject,
     /*  122700 */ // Label 1997: @122700
     /*  122700 */ GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(122814),
     /*  122705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  122708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  122711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  122715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  122719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  122723 */   GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(122768), // Rule ID 47239 //
     /*  122728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122731 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  122731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  122734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  122748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122766 */     GIR_RootConstrainSelectedInstOperands,
     /*  122767 */     // GIR_Coverage, 47239,
     /*  122767 */     GIR_EraseRootFromParent_Done,
     /*  122768 */   // Label 2173: @122768
     /*  122768 */   GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(122813), // Rule ID 47240 //
     /*  122773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122776 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  122776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  122779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  122793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122811 */     GIR_RootConstrainSelectedInstOperands,
     /*  122812 */     // GIR_Coverage, 47240,
     /*  122812 */     GIR_EraseRootFromParent_Done,
     /*  122813 */   // Label 2174: @122813
     /*  122813 */   GIM_Reject,
     /*  122814 */ // Label 2172: @122814
     /*  122814 */ GIM_Reject,
     /*  122815 */ // Label 1998: @122815
     /*  122815 */ GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(122929),
     /*  122820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  122823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  122826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122834 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122838 */   GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(122883), // Rule ID 47255 //
     /*  122843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122846 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  122846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  122849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122881 */     GIR_RootConstrainSelectedInstOperands,
     /*  122882 */     // GIR_Coverage, 47255,
     /*  122882 */     GIR_EraseRootFromParent_Done,
     /*  122883 */   // Label 2176: @122883
     /*  122883 */   GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(122928), // Rule ID 47256 //
     /*  122888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122891 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  122891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  122894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122926 */     GIR_RootConstrainSelectedInstOperands,
     /*  122927 */     // GIR_Coverage, 47256,
     /*  122927 */     GIR_EraseRootFromParent_Done,
     /*  122928 */   // Label 2177: @122928
     /*  122928 */   GIM_Reject,
     /*  122929 */ // Label 2175: @122929
     /*  122929 */ GIM_Reject,
     /*  122930 */ // Label 1999: @122930
     /*  122930 */ GIM_Try, /*On fail goto*//*Label 2178*/ GIMT_Encode4(123540),
     /*  122935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  122938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  122941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122945 */   GIM_Try, /*On fail goto*//*Label 2179*/ GIMT_Encode4(123011), // Rule ID 70547 //
     /*  122950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  122965 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  122969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122990 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122992 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  122995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123009 */     GIR_RootConstrainSelectedInstOperands,
     /*  123010 */     // GIR_Coverage, 70547,
     /*  123010 */     GIR_EraseRootFromParent_Done,
     /*  123011 */   // Label 2179: @123011
     /*  123011 */   GIM_Try, /*On fail goto*//*Label 2180*/ GIMT_Encode4(123077), // Rule ID 70548 //
     /*  123016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123031 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123043 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123056 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123058 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123075 */     GIR_RootConstrainSelectedInstOperands,
     /*  123076 */     // GIR_Coverage, 70548,
     /*  123076 */     GIR_EraseRootFromParent_Done,
     /*  123077 */   // Label 2180: @123077
     /*  123077 */   GIM_Try, /*On fail goto*//*Label 2181*/ GIMT_Encode4(123143), // Rule ID 70545 //
     /*  123082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123124 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123141 */     GIR_RootConstrainSelectedInstOperands,
     /*  123142 */     // GIR_Coverage, 70545,
     /*  123142 */     GIR_EraseRootFromParent_Done,
     /*  123143 */   // Label 2181: @123143
     /*  123143 */   GIM_Try, /*On fail goto*//*Label 2182*/ GIMT_Encode4(123209), // Rule ID 70546 //
     /*  123148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123190 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123207 */     GIR_RootConstrainSelectedInstOperands,
     /*  123208 */     // GIR_Coverage, 70546,
     /*  123208 */     GIR_EraseRootFromParent_Done,
     /*  123209 */   // Label 2182: @123209
     /*  123209 */   GIM_Try, /*On fail goto*//*Label 2183*/ GIMT_Encode4(123275), // Rule ID 70543 //
     /*  123214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123233 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123245 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123256 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123273 */     GIR_RootConstrainSelectedInstOperands,
     /*  123274 */     // GIR_Coverage, 70543,
     /*  123274 */     GIR_EraseRootFromParent_Done,
     /*  123275 */   // Label 2183: @123275
     /*  123275 */   GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(123341), // Rule ID 70544 //
     /*  123280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123299 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123315 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123320 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123322 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123339 */     GIR_RootConstrainSelectedInstOperands,
     /*  123340 */     // GIR_Coverage, 70544,
     /*  123340 */     GIR_EraseRootFromParent_Done,
     /*  123341 */   // Label 2184: @123341
     /*  123341 */   GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(123407), // Rule ID 52823 //
     /*  123346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123388 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123405 */     GIR_RootConstrainSelectedInstOperands,
     /*  123406 */     // GIR_Coverage, 52823,
     /*  123406 */     GIR_EraseRootFromParent_Done,
     /*  123407 */   // Label 2185: @123407
     /*  123407 */   GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(123473), // Rule ID 52824 //
     /*  123412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123431 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123454 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123471 */     GIR_RootConstrainSelectedInstOperands,
     /*  123472 */     // GIR_Coverage, 52824,
     /*  123472 */     GIR_EraseRootFromParent_Done,
     /*  123473 */   // Label 2186: @123473
     /*  123473 */   GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(123506), // Rule ID 52811 //
     /*  123478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123489 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  123492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123504 */     GIR_RootConstrainSelectedInstOperands,
     /*  123505 */     // GIR_Coverage, 52811,
     /*  123505 */     GIR_EraseRootFromParent_Done,
     /*  123506 */   // Label 2187: @123506
     /*  123506 */   GIM_Try, /*On fail goto*//*Label 2188*/ GIMT_Encode4(123539), // Rule ID 52812 //
     /*  123511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123522 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  123525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123537 */     GIR_RootConstrainSelectedInstOperands,
     /*  123538 */     // GIR_Coverage, 52812,
     /*  123538 */     GIR_EraseRootFromParent_Done,
     /*  123539 */   // Label 2188: @123539
     /*  123539 */   GIM_Reject,
     /*  123540 */ // Label 2178: @123540
     /*  123540 */ GIM_Reject,
     /*  123541 */ // Label 2000: @123541
     /*  123541 */ GIM_Try, /*On fail goto*//*Label 2189*/ GIMT_Encode4(123655),
     /*  123546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  123549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  123552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123564 */   GIM_Try, /*On fail goto*//*Label 2190*/ GIMT_Encode4(123609), // Rule ID 47243 //
     /*  123569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123572 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  123572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  123575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  123589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123607 */     GIR_RootConstrainSelectedInstOperands,
     /*  123608 */     // GIR_Coverage, 47243,
     /*  123608 */     GIR_EraseRootFromParent_Done,
     /*  123609 */   // Label 2190: @123609
     /*  123609 */   GIM_Try, /*On fail goto*//*Label 2191*/ GIMT_Encode4(123654), // Rule ID 47244 //
     /*  123614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123617 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  123617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  123620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  123634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123652 */     GIR_RootConstrainSelectedInstOperands,
     /*  123653 */     // GIR_Coverage, 47244,
     /*  123653 */     GIR_EraseRootFromParent_Done,
     /*  123654 */   // Label 2191: @123654
     /*  123654 */   GIM_Reject,
     /*  123655 */ // Label 2189: @123655
     /*  123655 */ GIM_Reject,
     /*  123656 */ // Label 2001: @123656
     /*  123656 */ GIM_Reject,
     /*  123657 */ // Label 8: @123657
     /*  123657 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2223*/ GIMT_Encode4(136277),
     /*  123668 */ /*GILLT_s32*//*Label 2192*/ GIMT_Encode4(123792),
     /*  123672 */ /*GILLT_s64*//*Label 2193*/ GIMT_Encode4(126522),
     /*  123676 */ /*GILLT_nxv1s1*//*Label 2194*/ GIMT_Encode4(129470),
     /*  123680 */ /*GILLT_nxv1s8*//*Label 2195*/ GIMT_Encode4(130081),
     /*  123684 */ /*GILLT_nxv1s16*//*Label 2196*/ GIMT_Encode4(130196),
     /*  123688 */ /*GILLT_nxv1s32*//*Label 2197*/ GIMT_Encode4(130311),
     /*  123692 */ /*GILLT_nxv1s64*//*Label 2198*/ GIMT_Encode4(130426),
     /*  123696 */ /*GILLT_nxv2s1*//*Label 2199*/ GIMT_Encode4(130541),
     /*  123700 */ /*GILLT_nxv2s8*//*Label 2200*/ GIMT_Encode4(131152),
     /*  123704 */ /*GILLT_nxv2s16*//*Label 2201*/ GIMT_Encode4(131267),
     /*  123708 */ /*GILLT_nxv2s32*//*Label 2202*/ GIMT_Encode4(131382),
     /*  123712 */ /*GILLT_nxv2s64*//*Label 2203*/ GIMT_Encode4(131497),
     /*  123716 */ /*GILLT_nxv4s1*//*Label 2204*/ GIMT_Encode4(131612),
     /*  123720 */ /*GILLT_nxv4s8*//*Label 2205*/ GIMT_Encode4(132223),
     /*  123724 */ /*GILLT_nxv4s16*//*Label 2206*/ GIMT_Encode4(132338),
     /*  123728 */ /*GILLT_nxv4s32*//*Label 2207*/ GIMT_Encode4(132453),
     /*  123732 */ /*GILLT_nxv4s64*//*Label 2208*/ GIMT_Encode4(132568),
     /*  123736 */ /*GILLT_nxv8s1*//*Label 2209*/ GIMT_Encode4(132683),
     /*  123740 */ /*GILLT_nxv8s8*//*Label 2210*/ GIMT_Encode4(133294),
     /*  123744 */ /*GILLT_nxv8s16*//*Label 2211*/ GIMT_Encode4(133409),
     /*  123748 */ /*GILLT_nxv8s32*//*Label 2212*/ GIMT_Encode4(133524),
     /*  123752 */ /*GILLT_nxv8s64*//*Label 2213*/ GIMT_Encode4(133639),
     /*  123756 */ /*GILLT_nxv16s1*//*Label 2214*/ GIMT_Encode4(133754),
     /*  123760 */ /*GILLT_nxv16s8*//*Label 2215*/ GIMT_Encode4(134365),
     /*  123764 */ /*GILLT_nxv16s16*//*Label 2216*/ GIMT_Encode4(134480),
     /*  123768 */ /*GILLT_nxv16s32*//*Label 2217*/ GIMT_Encode4(134595),
     /*  123772 */ /*GILLT_nxv32s1*//*Label 2218*/ GIMT_Encode4(134710),
     /*  123776 */ /*GILLT_nxv32s8*//*Label 2219*/ GIMT_Encode4(135321),
     /*  123780 */ /*GILLT_nxv32s16*//*Label 2220*/ GIMT_Encode4(135436),
     /*  123784 */ /*GILLT_nxv64s1*//*Label 2221*/ GIMT_Encode4(135551),
     /*  123788 */ /*GILLT_nxv64s8*//*Label 2222*/ GIMT_Encode4(136162),
     /*  123792 */ // Label 2192: @123792
     /*  123792 */ GIM_Try, /*On fail goto*//*Label 2224*/ GIMT_Encode4(126521),
     /*  123797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  123800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  123803 */   GIM_Try, /*On fail goto*//*Label 2225*/ GIMT_Encode4(123998), // Rule ID 64357 //
     /*  123808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  123811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  123815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  123823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  123827 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  123831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123839 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123843 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  123847 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  123851 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  123855 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  123859 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  123863 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  123867 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  123871 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123875 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  123879 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  123883 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  123887 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  123891 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123895 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  123899 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  123903 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  123907 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  123909 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  123916 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  123923 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  123930 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  123937 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  123937 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  123940 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  123944 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  123954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  123959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  123961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  123964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  123968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  123978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  123983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  123988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  123996 */     GIR_RootConstrainSelectedInstOperands,
     /*  123997 */     // GIR_Coverage, 64357,
     /*  123997 */     GIR_EraseRootFromParent_Done,
     /*  123998 */   // Label 2225: @123998
     /*  123998 */   GIM_Try, /*On fail goto*//*Label 2226*/ GIMT_Encode4(124193), // Rule ID 64359 //
     /*  124003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124022 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124038 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124042 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  124046 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  124050 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124054 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124058 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124062 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  124066 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124070 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124074 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124078 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  124082 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  124086 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124090 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124094 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124098 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  124102 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124104 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124111 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124118 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124125 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124132 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124132 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124135 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124139 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  124149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  124154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  124173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  124178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124191 */     GIR_RootConstrainSelectedInstOperands,
     /*  124192 */     // GIR_Coverage, 64359,
     /*  124192 */     GIR_EraseRootFromParent_Done,
     /*  124193 */   // Label 2226: @124193
     /*  124193 */   GIM_Try, /*On fail goto*//*Label 2227*/ GIMT_Encode4(124388), // Rule ID 64353 //
     /*  124198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124217 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124233 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124237 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  124241 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  124245 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124249 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124253 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124257 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  124261 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124265 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124269 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124273 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  124277 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  124281 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124285 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124289 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124293 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  124297 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124299 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124306 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124313 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124320 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124327 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124327 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124330 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124334 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  124344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  124349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  124368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  124373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124386 */     GIR_RootConstrainSelectedInstOperands,
     /*  124387 */     // GIR_Coverage, 64353,
     /*  124387 */     GIR_EraseRootFromParent_Done,
     /*  124388 */   // Label 2227: @124388
     /*  124388 */   GIM_Try, /*On fail goto*//*Label 2228*/ GIMT_Encode4(124583), // Rule ID 64355 //
     /*  124393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124412 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124416 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124420 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124424 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124428 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124432 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  124436 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  124440 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124444 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124448 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124452 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  124456 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124460 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124464 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124468 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  124472 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  124476 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124480 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124484 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124488 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  124492 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124494 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124501 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124508 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124515 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124522 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124522 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124525 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124529 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  124539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  124544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  124563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  124568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124581 */     GIR_RootConstrainSelectedInstOperands,
     /*  124582 */     // GIR_Coverage, 64355,
     /*  124582 */     GIR_EraseRootFromParent_Done,
     /*  124583 */   // Label 2228: @124583
     /*  124583 */   GIM_Try, /*On fail goto*//*Label 2229*/ GIMT_Encode4(124778), // Rule ID 64347 //
     /*  124588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124607 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124623 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124627 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  124631 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  124635 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124639 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124643 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124647 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  124651 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  124655 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124659 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124663 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124667 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  124671 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124675 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124679 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124683 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  124687 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124689 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124696 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124703 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124710 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124717 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124717 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124720 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124724 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  124734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  124739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  124758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  124763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124776 */     GIR_RootConstrainSelectedInstOperands,
     /*  124777 */     // GIR_Coverage, 64347,
     /*  124777 */     GIR_EraseRootFromParent_Done,
     /*  124778 */   // Label 2229: @124778
     /*  124778 */   GIM_Try, /*On fail goto*//*Label 2230*/ GIMT_Encode4(124973), // Rule ID 64351 //
     /*  124783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124802 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124806 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124810 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124814 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124818 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124822 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  124826 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  124830 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124834 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124838 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124842 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  124846 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  124850 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124854 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124858 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124862 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  124866 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124870 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124874 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124878 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  124882 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124884 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124891 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124898 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124905 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124912 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124912 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124915 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124919 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  124929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  124934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  124953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  124958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124971 */     GIR_RootConstrainSelectedInstOperands,
     /*  124972 */     // GIR_Coverage, 64351,
     /*  124972 */     GIR_EraseRootFromParent_Done,
     /*  124973 */   // Label 2230: @124973
     /*  124973 */   GIM_Try, /*On fail goto*//*Label 2231*/ GIMT_Encode4(125168), // Rule ID 2410 //
     /*  124978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124997 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125009 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125013 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125017 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  125021 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  125025 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125029 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  125033 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  125037 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  125041 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  125045 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  125049 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  125053 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  125057 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  125061 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125065 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  125069 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  125073 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  125077 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  125079 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125086 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125093 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  125100 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  125107 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  125107 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  125110 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125114 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  125124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  125129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  125131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  125148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  125153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  125158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  125166 */     GIR_RootConstrainSelectedInstOperands,
     /*  125167 */     // GIR_Coverage, 2410,
     /*  125167 */     GIR_EraseRootFromParent_Done,
     /*  125168 */   // Label 2231: @125168
     /*  125168 */   GIM_Try, /*On fail goto*//*Label 2232*/ GIMT_Encode4(125363), // Rule ID 64349 //
     /*  125173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  125176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  125188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125208 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125212 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  125216 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  125220 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125224 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  125228 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  125232 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  125236 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  125240 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  125244 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  125248 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  125252 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  125256 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125260 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  125264 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  125268 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  125272 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  125274 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125281 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125288 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  125295 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  125302 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  125302 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  125305 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125309 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  125319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  125324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  125326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  125343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  125348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  125353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  125361 */     GIR_RootConstrainSelectedInstOperands,
     /*  125362 */     // GIR_Coverage, 64349,
     /*  125362 */     GIR_EraseRootFromParent_Done,
     /*  125363 */   // Label 2232: @125363
     /*  125363 */   GIM_Try, /*On fail goto*//*Label 2233*/ GIMT_Encode4(125468), // Rule ID 2405 //
     /*  125368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125387 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125391 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  125395 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  125399 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125403 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125407 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125411 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  125415 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125417 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125424 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125431 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  125431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  125448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  125453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  125458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  125466 */     GIR_RootConstrainSelectedInstOperands,
     /*  125467 */     // GIR_Coverage, 2405,
     /*  125467 */     GIR_EraseRootFromParent_Done,
     /*  125468 */   // Label 2233: @125468
     /*  125468 */   GIM_Try, /*On fail goto*//*Label 2234*/ GIMT_Encode4(125573), // Rule ID 64342 //
     /*  125473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125492 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125496 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  125500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  125504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125512 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125516 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  125520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125522 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125529 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125536 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  125536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  125558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  125563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  125571 */     GIR_RootConstrainSelectedInstOperands,
     /*  125572 */     // GIR_Coverage, 64342,
     /*  125572 */     GIR_EraseRootFromParent_Done,
     /*  125573 */   // Label 2234: @125573
     /*  125573 */   GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(125662), // Rule ID 64336 //
     /*  125578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  125593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125613 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125622 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  125626 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  125637 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125646 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  125660 */     GIR_RootConstrainSelectedInstOperands,
     /*  125661 */     // GIR_Coverage, 64336,
     /*  125661 */     GIR_EraseRootFromParent_Done,
     /*  125662 */   // Label 2235: @125662
     /*  125662 */   GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(125751), // Rule ID 2399 //
     /*  125667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  125682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125702 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125711 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  125715 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  125726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125735 */     // (or:{ *:[i32] } (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  125749 */     GIR_RootConstrainSelectedInstOperands,
     /*  125750 */     // GIR_Coverage, 2399,
     /*  125750 */     GIR_EraseRootFromParent_Done,
     /*  125751 */   // Label 2236: @125751
     /*  125751 */   GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(125816), // Rule ID 64338 //
     /*  125756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125779 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125792 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125799 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  125814 */     GIR_RootConstrainSelectedInstOperands,
     /*  125815 */     // GIR_Coverage, 64338,
     /*  125815 */     GIR_EraseRootFromParent_Done,
     /*  125816 */   // Label 2237: @125816
     /*  125816 */   GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(125881), // Rule ID 2401 //
     /*  125821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125840 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125844 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125857 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125864 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  125874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  125879 */     GIR_RootConstrainSelectedInstOperands,
     /*  125880 */     // GIR_Coverage, 2401,
     /*  125880 */     GIR_EraseRootFromParent_Done,
     /*  125881 */   // Label 2238: @125881
     /*  125881 */   GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(125947), // Rule ID 64344 //
     /*  125886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125914 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125918 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11165),
     /*  125922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125931 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }))<<P:Predicate_anonymous_11165>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125945 */     GIR_RootConstrainSelectedInstOperands,
     /*  125946 */     // GIR_Coverage, 64344,
     /*  125946 */     GIR_EraseRootFromParent_Done,
     /*  125947 */   // Label 2239: @125947
     /*  125947 */   GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(126013), // Rule ID 2407 //
     /*  125952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125971 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125980 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125984 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11165),
     /*  125988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125997 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))<<P:Predicate_anonymous_11165>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  126007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126011 */     GIR_RootConstrainSelectedInstOperands,
     /*  126012 */     // GIR_Coverage, 2407,
     /*  126012 */     GIR_EraseRootFromParent_Done,
     /*  126013 */   // Label 2240: @126013
     /*  126013 */   GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(126075), // Rule ID 2408 //
     /*  126018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  126021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126037 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126046 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  126050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  126059 */     // (or:{ *:[i32] } (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  126069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126073 */     GIR_RootConstrainSelectedInstOperands,
     /*  126074 */     // GIR_Coverage, 2408,
     /*  126074 */     GIR_EraseRootFromParent_Done,
     /*  126075 */   // Label 2241: @126075
     /*  126075 */   GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(126137), // Rule ID 64345 //
     /*  126080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  126083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126099 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126108 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  126112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  126121 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }), (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  126131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126135 */     GIR_RootConstrainSelectedInstOperands,
     /*  126136 */     // GIR_Coverage, 64345,
     /*  126136 */     GIR_EraseRootFromParent_Done,
     /*  126137 */   // Label 2242: @126137
     /*  126137 */   GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(126196), // Rule ID 2334 //
     /*  126142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  126145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126161 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126165 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  126169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126175 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  126182 */     // (or:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  126185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  126194 */     GIR_RootConstrainSelectedInstOperands,
     /*  126195 */     // GIR_Coverage, 2334,
     /*  126195 */     GIR_EraseRootFromParent_Done,
     /*  126196 */   // Label 2243: @126196
     /*  126196 */   GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(126255), // Rule ID 64332 //
     /*  126201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  126204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126224 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126228 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  126232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126234 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  126241 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  126244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  126253 */     GIR_RootConstrainSelectedInstOperands,
     /*  126254 */     // GIR_Coverage, 64332,
     /*  126254 */     GIR_EraseRootFromParent_Done,
     /*  126255 */   // Label 2244: @126255
     /*  126255 */   GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(126311), // Rule ID 64316 //
     /*  126260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  126263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126279 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126288 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  126292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126298 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  126301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126309 */     GIR_RootConstrainSelectedInstOperands,
     /*  126310 */     // GIR_Coverage, 64316,
     /*  126310 */     GIR_EraseRootFromParent_Done,
     /*  126311 */   // Label 2245: @126311
     /*  126311 */   GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(126367), // Rule ID 2308 //
     /*  126316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  126319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126348 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  126352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126354 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  126357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126365 */     GIR_RootConstrainSelectedInstOperands,
     /*  126366 */     // GIR_Coverage, 2308,
     /*  126366 */     GIR_EraseRootFromParent_Done,
     /*  126367 */   // Label 2246: @126367
     /*  126367 */   GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(126409), // Rule ID 81 //
     /*  126372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  126375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  126395 */     // MIs[1] Operand 1
     /*  126395 */     // No operand predicates
     /*  126395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126397 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  126397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  126400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  126407 */     GIR_RootConstrainSelectedInstOperands,
     /*  126408 */     // GIR_Coverage, 81,
     /*  126408 */     GIR_EraseRootFromParent_Done,
     /*  126409 */   // Label 2247: @126409
     /*  126409 */   GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(126451), // Rule ID 63930 //
     /*  126414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  126417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  126437 */     // MIs[1] Operand 1
     /*  126437 */     // No operand predicates
     /*  126437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126439 */     // (or:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ORAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  126439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ORAI),
     /*  126442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  126444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  126449 */     GIR_RootConstrainSelectedInstOperands,
     /*  126450 */     // GIR_Coverage, 63930,
     /*  126450 */     GIR_EraseRootFromParent_Done,
     /*  126451 */   // Label 2248: @126451
     /*  126451 */   GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(126493), // Rule ID 63934 //
     /*  126456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  126459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  126467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  126479 */     // MIs[1] Operand 1
     /*  126479 */     // No operand predicates
     /*  126479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126481 */     // (or:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ORI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  126481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ORI),
     /*  126484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  126491 */     GIR_RootConstrainSelectedInstOperands,
     /*  126492 */     // GIR_Coverage, 63934,
     /*  126492 */     GIR_EraseRootFromParent_Done,
     /*  126493 */   // Label 2249: @126493
     /*  126493 */   GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(126520), // Rule ID 79 //
     /*  126498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  126501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126513 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (OR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126513 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  126518 */     GIR_RootConstrainSelectedInstOperands,
     /*  126519 */     // GIR_Coverage, 79,
     /*  126519 */     GIR_Done,
     /*  126520 */   // Label 2250: @126520
     /*  126520 */   GIM_Reject,
     /*  126521 */ // Label 2224: @126521
     /*  126521 */ GIM_Reject,
     /*  126522 */ // Label 2193: @126522
     /*  126522 */ GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(129469),
     /*  126527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  126530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  126533 */   GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(126728), // Rule ID 64356 //
     /*  126538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  126557 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  126561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126573 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  126577 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  126581 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  126585 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126589 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  126593 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  126597 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  126601 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126605 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  126609 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  126613 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  126617 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  126621 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126625 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  126629 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  126633 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  126637 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  126639 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  126646 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  126653 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  126660 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  126667 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  126667 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  126670 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126674 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  126684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  126689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  126691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  126694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  126708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  126713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  126726 */     GIR_RootConstrainSelectedInstOperands,
     /*  126727 */     // GIR_Coverage, 64356,
     /*  126727 */     GIR_EraseRootFromParent_Done,
     /*  126728 */   // Label 2252: @126728
     /*  126728 */   GIM_Try, /*On fail goto*//*Label 2253*/ GIMT_Encode4(126923), // Rule ID 64358 //
     /*  126733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  126752 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  126756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126768 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  126772 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  126776 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  126780 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126784 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  126788 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  126792 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  126796 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126800 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  126804 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  126808 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  126812 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  126816 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126820 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  126824 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  126828 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  126832 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  126834 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  126841 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  126848 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  126855 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  126862 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  126862 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  126865 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126869 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  126879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  126884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  126886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  126889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  126903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  126908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  126921 */     GIR_RootConstrainSelectedInstOperands,
     /*  126922 */     // GIR_Coverage, 64358,
     /*  126922 */     GIR_EraseRootFromParent_Done,
     /*  126923 */   // Label 2253: @126923
     /*  126923 */   GIM_Try, /*On fail goto*//*Label 2254*/ GIMT_Encode4(127118), // Rule ID 64352 //
     /*  126928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  126947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  126951 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126955 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126959 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126963 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  126967 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  126971 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  126975 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126979 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  126983 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  126987 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  126991 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126995 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  126999 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127003 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  127007 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  127011 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127015 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127019 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127023 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  127027 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127029 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127036 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127043 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127050 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127057 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127057 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127060 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127064 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  127074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  127079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  127098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  127103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127116 */     GIR_RootConstrainSelectedInstOperands,
     /*  127117 */     // GIR_Coverage, 64352,
     /*  127117 */     GIR_EraseRootFromParent_Done,
     /*  127118 */   // Label 2254: @127118
     /*  127118 */   GIM_Try, /*On fail goto*//*Label 2255*/ GIMT_Encode4(127313), // Rule ID 64354 //
     /*  127123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127158 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127162 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  127166 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  127170 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127174 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127178 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127182 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  127186 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127190 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127194 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127198 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  127202 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  127206 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127210 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127214 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127218 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  127222 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127224 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127231 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127238 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127245 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127252 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127252 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127255 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127259 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  127269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  127274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  127293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  127298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127311 */     GIR_RootConstrainSelectedInstOperands,
     /*  127312 */     // GIR_Coverage, 64354,
     /*  127312 */     GIR_EraseRootFromParent_Done,
     /*  127313 */   // Label 2255: @127313
     /*  127313 */   GIM_Try, /*On fail goto*//*Label 2256*/ GIMT_Encode4(127508), // Rule ID 64346 //
     /*  127318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127337 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127353 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127357 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  127361 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127365 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127369 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127373 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127377 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  127381 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127385 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127389 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127393 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127397 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  127401 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127405 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127409 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127413 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  127417 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127419 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127426 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127433 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127440 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127447 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127447 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127450 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127454 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  127464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  127469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  127488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  127493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127506 */     GIR_RootConstrainSelectedInstOperands,
     /*  127507 */     // GIR_Coverage, 64346,
     /*  127507 */     GIR_EraseRootFromParent_Done,
     /*  127508 */   // Label 2256: @127508
     /*  127508 */   GIM_Try, /*On fail goto*//*Label 2257*/ GIMT_Encode4(127703), // Rule ID 64350 //
     /*  127513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127548 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127552 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  127556 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127560 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127564 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127568 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127572 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  127576 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127580 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127584 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127588 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127592 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  127596 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127600 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127604 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127608 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  127612 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127614 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127621 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127628 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127635 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127642 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127642 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127645 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127649 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  127659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  127664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  127683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  127688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127701 */     GIR_RootConstrainSelectedInstOperands,
     /*  127702 */     // GIR_Coverage, 64350,
     /*  127702 */     GIR_EraseRootFromParent_Done,
     /*  127703 */   // Label 2257: @127703
     /*  127703 */   GIM_Try, /*On fail goto*//*Label 2258*/ GIMT_Encode4(127898), // Rule ID 2409 //
     /*  127708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127743 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127747 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  127751 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127755 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127759 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127763 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127767 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  127771 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127775 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127779 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127783 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127787 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  127791 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127795 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127799 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127803 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  127807 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127809 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127816 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127823 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127830 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127837 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127837 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127840 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127844 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  127854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  127859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  127878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  127883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127896 */     GIR_RootConstrainSelectedInstOperands,
     /*  127897 */     // GIR_Coverage, 2409,
     /*  127897 */     GIR_EraseRootFromParent_Done,
     /*  127898 */   // Label 2258: @127898
     /*  127898 */   GIM_Try, /*On fail goto*//*Label 2259*/ GIMT_Encode4(128093), // Rule ID 64348 //
     /*  127903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127922 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127938 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127942 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  127946 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127950 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127954 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127958 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127962 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  127966 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127970 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127974 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127978 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127982 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  127986 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127990 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127994 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127998 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  128002 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128004 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128011 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128018 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128025 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128032 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  128032 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  128035 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128039 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  128049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  128054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  128059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  128073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  128078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  128091 */     GIR_RootConstrainSelectedInstOperands,
     /*  128092 */     // GIR_Coverage, 64348,
     /*  128092 */     GIR_EraseRootFromParent_Done,
     /*  128093 */   // Label 2259: @128093
     /*  128093 */   GIM_Try, /*On fail goto*//*Label 2260*/ GIMT_Encode4(128198), // Rule ID 2404 //
     /*  128098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128117 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128121 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  128125 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  128129 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128133 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128137 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128141 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  128145 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128147 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128154 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128161 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  128161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  128164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  128178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  128183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  128188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  128196 */     GIR_RootConstrainSelectedInstOperands,
     /*  128197 */     // GIR_Coverage, 2404,
     /*  128197 */     GIR_EraseRootFromParent_Done,
     /*  128198 */   // Label 2260: @128198
     /*  128198 */   GIM_Try, /*On fail goto*//*Label 2261*/ GIMT_Encode4(128303), // Rule ID 64341 //
     /*  128203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128218 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128222 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128226 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  128230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  128234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128242 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128246 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  128250 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128252 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128259 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128266 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  128266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  128269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  128288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  128293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  128301 */     GIR_RootConstrainSelectedInstOperands,
     /*  128302 */     // GIR_Coverage, 64341,
     /*  128302 */     GIR_EraseRootFromParent_Done,
     /*  128303 */   // Label 2261: @128303
     /*  128303 */   GIM_Try, /*On fail goto*//*Label 2262*/ GIMT_Encode4(128392), // Rule ID 64335 //
     /*  128308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  128323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128327 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128343 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128347 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128352 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128356 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  128367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128376 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128390 */     GIR_RootConstrainSelectedInstOperands,
     /*  128391 */     // GIR_Coverage, 64335,
     /*  128391 */     GIR_EraseRootFromParent_Done,
     /*  128392 */   // Label 2262: @128392
     /*  128392 */   GIM_Try, /*On fail goto*//*Label 2263*/ GIMT_Encode4(128481), // Rule ID 2398 //
     /*  128397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  128412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128416 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128432 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128436 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128441 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128445 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  128456 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128465 */     // (or:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128479 */     GIR_RootConstrainSelectedInstOperands,
     /*  128480 */     // GIR_Coverage, 2398,
     /*  128480 */     GIR_EraseRootFromParent_Done,
     /*  128481 */   // Label 2263: @128481
     /*  128481 */   GIM_Try, /*On fail goto*//*Label 2264*/ GIMT_Encode4(128546), // Rule ID 64337 //
     /*  128486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128505 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128509 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128522 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128529 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  128544 */     GIR_RootConstrainSelectedInstOperands,
     /*  128545 */     // GIR_Coverage, 64337,
     /*  128545 */     GIR_EraseRootFromParent_Done,
     /*  128546 */   // Label 2264: @128546
     /*  128546 */   GIM_Try, /*On fail goto*//*Label 2265*/ GIMT_Encode4(128611), // Rule ID 2400 //
     /*  128551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128570 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128574 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128587 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128594 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  128604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  128609 */     GIR_RootConstrainSelectedInstOperands,
     /*  128610 */     // GIR_Coverage, 2400,
     /*  128610 */     GIR_EraseRootFromParent_Done,
     /*  128611 */   // Label 2265: @128611
     /*  128611 */   GIM_Try, /*On fail goto*//*Label 2266*/ GIMT_Encode4(128696), // Rule ID 64362 //
     /*  128616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  128631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128647 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128656 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  128660 */     // MIs[1] Operand 2
     /*  128660 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  128671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  128680 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  128683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128694 */     GIR_RootConstrainSelectedInstOperands,
     /*  128695 */     // GIR_Coverage, 64362,
     /*  128695 */     GIR_EraseRootFromParent_Done,
     /*  128696 */   // Label 2266: @128696
     /*  128696 */   GIM_Try, /*On fail goto*//*Label 2267*/ GIMT_Encode4(128781), // Rule ID 2413 //
     /*  128701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  128716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128732 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128741 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  128745 */     // MIs[1] Operand 2
     /*  128745 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  128756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  128765 */     // (or:{ *:[i64] } (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  128768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128779 */     GIR_RootConstrainSelectedInstOperands,
     /*  128780 */     // GIR_Coverage, 2413,
     /*  128780 */     GIR_EraseRootFromParent_Done,
     /*  128781 */   // Label 2267: @128781
     /*  128781 */   GIM_Try, /*On fail goto*//*Label 2268*/ GIMT_Encode4(128847), // Rule ID 64343 //
     /*  128786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128805 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128814 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128818 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11165),
     /*  128822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128831 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }))<<P:Predicate_anonymous_11165>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128845 */     GIR_RootConstrainSelectedInstOperands,
     /*  128846 */     // GIR_Coverage, 64343,
     /*  128846 */     GIR_EraseRootFromParent_Done,
     /*  128847 */   // Label 2268: @128847
     /*  128847 */   GIM_Try, /*On fail goto*//*Label 2269*/ GIMT_Encode4(128913), // Rule ID 64361 //
     /*  128852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128871 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128880 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  128884 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10018),
     /*  128888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  128897 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }))<<P:Predicate_anonymous_10018>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  128900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128911 */     GIR_RootConstrainSelectedInstOperands,
     /*  128912 */     // GIR_Coverage, 64361,
     /*  128912 */     GIR_EraseRootFromParent_Done,
     /*  128913 */   // Label 2269: @128913
     /*  128913 */   GIM_Try, /*On fail goto*//*Label 2270*/ GIMT_Encode4(128979), // Rule ID 2406 //
     /*  128918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128937 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128946 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128950 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11165),
     /*  128954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128963 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_11165>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128977 */     GIR_RootConstrainSelectedInstOperands,
     /*  128978 */     // GIR_Coverage, 2406,
     /*  128978 */     GIR_EraseRootFromParent_Done,
     /*  128979 */   // Label 2270: @128979
     /*  128979 */   GIM_Try, /*On fail goto*//*Label 2271*/ GIMT_Encode4(129045), // Rule ID 2412 //
     /*  128984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129003 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129012 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  129016 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10018),
     /*  129020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  129029 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_10018>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  129032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129043 */     GIR_RootConstrainSelectedInstOperands,
     /*  129044 */     // GIR_Coverage, 2412,
     /*  129044 */     GIR_EraseRootFromParent_Done,
     /*  129045 */   // Label 2271: @129045
     /*  129045 */   GIM_Try, /*On fail goto*//*Label 2272*/ GIMT_Encode4(129107), // Rule ID 2411 //
     /*  129050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  129053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129069 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129078 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  129082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  129091 */     // (or:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129105 */     GIR_RootConstrainSelectedInstOperands,
     /*  129106 */     // GIR_Coverage, 2411,
     /*  129106 */     GIR_EraseRootFromParent_Done,
     /*  129107 */   // Label 2272: @129107
     /*  129107 */   GIM_Try, /*On fail goto*//*Label 2273*/ GIMT_Encode4(129169), // Rule ID 64360 //
     /*  129112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  129115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129131 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129140 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  129144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  129153 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }), (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  129163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129167 */     GIR_RootConstrainSelectedInstOperands,
     /*  129168 */     // GIR_Coverage, 64360,
     /*  129168 */     GIR_EraseRootFromParent_Done,
     /*  129169 */   // Label 2273: @129169
     /*  129169 */   GIM_Try, /*On fail goto*//*Label 2274*/ GIMT_Encode4(129228), // Rule ID 2333 //
     /*  129174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  129177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129197 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  129201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129207 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  129214 */     // (or:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  129217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  129226 */     GIR_RootConstrainSelectedInstOperands,
     /*  129227 */     // GIR_Coverage, 2333,
     /*  129227 */     GIR_EraseRootFromParent_Done,
     /*  129228 */   // Label 2274: @129228
     /*  129228 */   GIM_Try, /*On fail goto*//*Label 2275*/ GIMT_Encode4(129287), // Rule ID 64331 //
     /*  129233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  129236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129260 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  129264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129266 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  129273 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  129276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  129285 */     GIR_RootConstrainSelectedInstOperands,
     /*  129286 */     // GIR_Coverage, 64331,
     /*  129286 */     GIR_EraseRootFromParent_Done,
     /*  129287 */   // Label 2275: @129287
     /*  129287 */   GIM_Try, /*On fail goto*//*Label 2276*/ GIMT_Encode4(129343), // Rule ID 64315 //
     /*  129292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  129295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129311 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129315 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129320 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  129324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129330 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  129333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129341 */     GIR_RootConstrainSelectedInstOperands,
     /*  129342 */     // GIR_Coverage, 64315,
     /*  129342 */     GIR_EraseRootFromParent_Done,
     /*  129343 */   // Label 2276: @129343
     /*  129343 */   GIM_Try, /*On fail goto*//*Label 2277*/ GIMT_Encode4(129399), // Rule ID 2307 //
     /*  129348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  129351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129371 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129380 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  129384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129386 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  129389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129397 */     GIR_RootConstrainSelectedInstOperands,
     /*  129398 */     // GIR_Coverage, 2307,
     /*  129398 */     GIR_EraseRootFromParent_Done,
     /*  129399 */   // Label 2277: @129399
     /*  129399 */   GIM_Try, /*On fail goto*//*Label 2278*/ GIMT_Encode4(129441), // Rule ID 80 //
     /*  129404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  129407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  129427 */     // MIs[1] Operand 1
     /*  129427 */     // No operand predicates
     /*  129427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129429 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  129429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  129432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  129439 */     GIR_RootConstrainSelectedInstOperands,
     /*  129440 */     // GIR_Coverage, 80,
     /*  129440 */     GIR_EraseRootFromParent_Done,
     /*  129441 */   // Label 2278: @129441
     /*  129441 */   GIM_Try, /*On fail goto*//*Label 2279*/ GIMT_Encode4(129468), // Rule ID 78 //
     /*  129446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  129449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129461 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (OR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129461 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  129466 */     GIR_RootConstrainSelectedInstOperands,
     /*  129467 */     // GIR_Coverage, 78,
     /*  129467 */     GIR_Done,
     /*  129468 */   // Label 2279: @129468
     /*  129468 */   GIM_Reject,
     /*  129469 */ // Label 2251: @129469
     /*  129469 */ GIM_Reject,
     /*  129470 */ // Label 2194: @129470
     /*  129470 */ GIM_Try, /*On fail goto*//*Label 2280*/ GIMT_Encode4(130080),
     /*  129475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129485 */   GIM_Try, /*On fail goto*//*Label 2281*/ GIMT_Encode4(129551), // Rule ID 70385 //
     /*  129490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129505 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129530 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129532 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129549 */     GIR_RootConstrainSelectedInstOperands,
     /*  129550 */     // GIR_Coverage, 70385,
     /*  129550 */     GIR_EraseRootFromParent_Done,
     /*  129551 */   // Label 2281: @129551
     /*  129551 */   GIM_Try, /*On fail goto*//*Label 2282*/ GIMT_Encode4(129617), // Rule ID 70386 //
     /*  129556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129571 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129575 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129579 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129583 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129596 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129598 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129615 */     GIR_RootConstrainSelectedInstOperands,
     /*  129616 */     // GIR_Coverage, 70386,
     /*  129616 */     GIR_EraseRootFromParent_Done,
     /*  129617 */   // Label 2282: @129617
     /*  129617 */   GIM_Try, /*On fail goto*//*Label 2283*/ GIMT_Encode4(129683), // Rule ID 70383 //
     /*  129622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129637 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129662 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129664 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129681 */     GIR_RootConstrainSelectedInstOperands,
     /*  129682 */     // GIR_Coverage, 70383,
     /*  129682 */     GIR_EraseRootFromParent_Done,
     /*  129683 */   // Label 2283: @129683
     /*  129683 */   GIM_Try, /*On fail goto*//*Label 2284*/ GIMT_Encode4(129749), // Rule ID 70384 //
     /*  129688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129703 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129728 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129730 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129747 */     GIR_RootConstrainSelectedInstOperands,
     /*  129748 */     // GIR_Coverage, 70384,
     /*  129748 */     GIR_EraseRootFromParent_Done,
     /*  129749 */   // Label 2284: @129749
     /*  129749 */   GIM_Try, /*On fail goto*//*Label 2285*/ GIMT_Encode4(129815), // Rule ID 70381 //
     /*  129754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129796 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129813 */     GIR_RootConstrainSelectedInstOperands,
     /*  129814 */     // GIR_Coverage, 70381,
     /*  129814 */     GIR_EraseRootFromParent_Done,
     /*  129815 */   // Label 2285: @129815
     /*  129815 */   GIM_Try, /*On fail goto*//*Label 2286*/ GIMT_Encode4(129881), // Rule ID 70382 //
     /*  129820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129839 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129862 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129879 */     GIR_RootConstrainSelectedInstOperands,
     /*  129880 */     // GIR_Coverage, 70382,
     /*  129880 */     GIR_EraseRootFromParent_Done,
     /*  129881 */   // Label 2286: @129881
     /*  129881 */   GIM_Try, /*On fail goto*//*Label 2287*/ GIMT_Encode4(129947), // Rule ID 52717 //
     /*  129886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129928 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129945 */     GIR_RootConstrainSelectedInstOperands,
     /*  129946 */     // GIR_Coverage, 52717,
     /*  129946 */     GIR_EraseRootFromParent_Done,
     /*  129947 */   // Label 2287: @129947
     /*  129947 */   GIM_Try, /*On fail goto*//*Label 2288*/ GIMT_Encode4(130013), // Rule ID 52718 //
     /*  129952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129971 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129994 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130011 */     GIR_RootConstrainSelectedInstOperands,
     /*  130012 */     // GIR_Coverage, 52718,
     /*  130012 */     GIR_EraseRootFromParent_Done,
     /*  130013 */   // Label 2288: @130013
     /*  130013 */   GIM_Try, /*On fail goto*//*Label 2289*/ GIMT_Encode4(130046), // Rule ID 52705 //
     /*  130018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130029 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  130032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130044 */     GIR_RootConstrainSelectedInstOperands,
     /*  130045 */     // GIR_Coverage, 52705,
     /*  130045 */     GIR_EraseRootFromParent_Done,
     /*  130046 */   // Label 2289: @130046
     /*  130046 */   GIM_Try, /*On fail goto*//*Label 2290*/ GIMT_Encode4(130079), // Rule ID 52706 //
     /*  130051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130062 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  130065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130077 */     GIR_RootConstrainSelectedInstOperands,
     /*  130078 */     // GIR_Coverage, 52706,
     /*  130078 */     GIR_EraseRootFromParent_Done,
     /*  130079 */   // Label 2290: @130079
     /*  130079 */   GIM_Reject,
     /*  130080 */ // Label 2280: @130080
     /*  130080 */ GIM_Reject,
     /*  130081 */ // Label 2195: @130081
     /*  130081 */ GIM_Try, /*On fail goto*//*Label 2291*/ GIMT_Encode4(130195),
     /*  130086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  130089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  130092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130104 */   GIM_Try, /*On fail goto*//*Label 2292*/ GIMT_Encode4(130149), // Rule ID 47327 //
     /*  130109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130112 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  130112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  130115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  130129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130147 */     GIR_RootConstrainSelectedInstOperands,
     /*  130148 */     // GIR_Coverage, 47327,
     /*  130148 */     GIR_EraseRootFromParent_Done,
     /*  130149 */   // Label 2292: @130149
     /*  130149 */   GIM_Try, /*On fail goto*//*Label 2293*/ GIMT_Encode4(130194), // Rule ID 47328 //
     /*  130154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130157 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  130157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  130160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  130174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130192 */     GIR_RootConstrainSelectedInstOperands,
     /*  130193 */     // GIR_Coverage, 47328,
     /*  130193 */     GIR_EraseRootFromParent_Done,
     /*  130194 */   // Label 2293: @130194
     /*  130194 */   GIM_Reject,
     /*  130195 */ // Label 2291: @130195
     /*  130195 */ GIM_Reject,
     /*  130196 */ // Label 2196: @130196
     /*  130196 */ GIM_Try, /*On fail goto*//*Label 2294*/ GIMT_Encode4(130310),
     /*  130201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  130204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  130207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130219 */   GIM_Try, /*On fail goto*//*Label 2295*/ GIMT_Encode4(130264), // Rule ID 47339 //
     /*  130224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130227 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  130227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  130230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  130244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130262 */     GIR_RootConstrainSelectedInstOperands,
     /*  130263 */     // GIR_Coverage, 47339,
     /*  130263 */     GIR_EraseRootFromParent_Done,
     /*  130264 */   // Label 2295: @130264
     /*  130264 */   GIM_Try, /*On fail goto*//*Label 2296*/ GIMT_Encode4(130309), // Rule ID 47340 //
     /*  130269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130272 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  130272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  130275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  130289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130307 */     GIR_RootConstrainSelectedInstOperands,
     /*  130308 */     // GIR_Coverage, 47340,
     /*  130308 */     GIR_EraseRootFromParent_Done,
     /*  130309 */   // Label 2296: @130309
     /*  130309 */   GIM_Reject,
     /*  130310 */ // Label 2294: @130310
     /*  130310 */ GIM_Reject,
     /*  130311 */ // Label 2197: @130311
     /*  130311 */ GIM_Try, /*On fail goto*//*Label 2297*/ GIMT_Encode4(130425),
     /*  130316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  130319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  130322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130334 */   GIM_Try, /*On fail goto*//*Label 2298*/ GIMT_Encode4(130379), // Rule ID 47347 //
     /*  130339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130342 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  130342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  130345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  130359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  130374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130377 */     GIR_RootConstrainSelectedInstOperands,
     /*  130378 */     // GIR_Coverage, 47347,
     /*  130378 */     GIR_EraseRootFromParent_Done,
     /*  130379 */   // Label 2298: @130379
     /*  130379 */   GIM_Try, /*On fail goto*//*Label 2299*/ GIMT_Encode4(130424), // Rule ID 47348 //
     /*  130384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130387 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  130387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  130390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  130404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  130419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130422 */     GIR_RootConstrainSelectedInstOperands,
     /*  130423 */     // GIR_Coverage, 47348,
     /*  130423 */     GIR_EraseRootFromParent_Done,
     /*  130424 */   // Label 2299: @130424
     /*  130424 */   GIM_Reject,
     /*  130425 */ // Label 2297: @130425
     /*  130425 */ GIM_Reject,
     /*  130426 */ // Label 2198: @130426
     /*  130426 */ GIM_Try, /*On fail goto*//*Label 2300*/ GIMT_Encode4(130540),
     /*  130431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  130434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  130437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130445 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130449 */   GIM_Try, /*On fail goto*//*Label 2301*/ GIMT_Encode4(130494), // Rule ID 47363 //
     /*  130454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  130457 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  130457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  130460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  130474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  130489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130492 */     GIR_RootConstrainSelectedInstOperands,
     /*  130493 */     // GIR_Coverage, 47363,
     /*  130493 */     GIR_EraseRootFromParent_Done,
     /*  130494 */   // Label 2301: @130494
     /*  130494 */   GIM_Try, /*On fail goto*//*Label 2302*/ GIMT_Encode4(130539), // Rule ID 47364 //
     /*  130499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  130502 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  130502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  130505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  130519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  130534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130537 */     GIR_RootConstrainSelectedInstOperands,
     /*  130538 */     // GIR_Coverage, 47364,
     /*  130538 */     GIR_EraseRootFromParent_Done,
     /*  130539 */   // Label 2302: @130539
     /*  130539 */   GIM_Reject,
     /*  130540 */ // Label 2300: @130540
     /*  130540 */ GIM_Reject,
     /*  130541 */ // Label 2199: @130541
     /*  130541 */ GIM_Try, /*On fail goto*//*Label 2303*/ GIMT_Encode4(131151),
     /*  130546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130556 */   GIM_Try, /*On fail goto*//*Label 2304*/ GIMT_Encode4(130622), // Rule ID 70413 //
     /*  130561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130601 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130603 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130620 */     GIR_RootConstrainSelectedInstOperands,
     /*  130621 */     // GIR_Coverage, 70413,
     /*  130621 */     GIR_EraseRootFromParent_Done,
     /*  130622 */   // Label 2304: @130622
     /*  130622 */   GIM_Try, /*On fail goto*//*Label 2305*/ GIMT_Encode4(130688), // Rule ID 70414 //
     /*  130627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130646 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130650 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130654 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130667 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130669 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130686 */     GIR_RootConstrainSelectedInstOperands,
     /*  130687 */     // GIR_Coverage, 70414,
     /*  130687 */     GIR_EraseRootFromParent_Done,
     /*  130688 */   // Label 2305: @130688
     /*  130688 */   GIM_Try, /*On fail goto*//*Label 2306*/ GIMT_Encode4(130754), // Rule ID 70411 //
     /*  130693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130708 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130733 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130735 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130752 */     GIR_RootConstrainSelectedInstOperands,
     /*  130753 */     // GIR_Coverage, 70411,
     /*  130753 */     GIR_EraseRootFromParent_Done,
     /*  130754 */   // Label 2306: @130754
     /*  130754 */   GIM_Try, /*On fail goto*//*Label 2307*/ GIMT_Encode4(130820), // Rule ID 70412 //
     /*  130759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130774 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130799 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130801 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130818 */     GIR_RootConstrainSelectedInstOperands,
     /*  130819 */     // GIR_Coverage, 70412,
     /*  130819 */     GIR_EraseRootFromParent_Done,
     /*  130820 */   // Label 2307: @130820
     /*  130820 */   GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(130886), // Rule ID 70409 //
     /*  130825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130844 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130865 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130867 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130884 */     GIR_RootConstrainSelectedInstOperands,
     /*  130885 */     // GIR_Coverage, 70409,
     /*  130885 */     GIR_EraseRootFromParent_Done,
     /*  130886 */   // Label 2308: @130886
     /*  130886 */   GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(130952), // Rule ID 70410 //
     /*  130891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130926 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130931 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130933 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130950 */     GIR_RootConstrainSelectedInstOperands,
     /*  130951 */     // GIR_Coverage, 70410,
     /*  130951 */     GIR_EraseRootFromParent_Done,
     /*  130952 */   // Label 2309: @130952
     /*  130952 */   GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(131018), // Rule ID 52735 //
     /*  130957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130993 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130997 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130999 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  131002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131016 */     GIR_RootConstrainSelectedInstOperands,
     /*  131017 */     // GIR_Coverage, 52735,
     /*  131017 */     GIR_EraseRootFromParent_Done,
     /*  131018 */   // Label 2310: @131018
     /*  131018 */   GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(131084), // Rule ID 52736 //
     /*  131023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  131042 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  131046 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131065 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  131068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131082 */     GIR_RootConstrainSelectedInstOperands,
     /*  131083 */     // GIR_Coverage, 52736,
     /*  131083 */     GIR_EraseRootFromParent_Done,
     /*  131084 */   // Label 2311: @131084
     /*  131084 */   GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(131117), // Rule ID 52723 //
     /*  131089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131100 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  131103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131115 */     GIR_RootConstrainSelectedInstOperands,
     /*  131116 */     // GIR_Coverage, 52723,
     /*  131116 */     GIR_EraseRootFromParent_Done,
     /*  131117 */   // Label 2312: @131117
     /*  131117 */   GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(131150), // Rule ID 52724 //
     /*  131122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131133 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  131136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131148 */     GIR_RootConstrainSelectedInstOperands,
     /*  131149 */     // GIR_Coverage, 52724,
     /*  131149 */     GIR_EraseRootFromParent_Done,
     /*  131150 */   // Label 2313: @131150
     /*  131150 */   GIM_Reject,
     /*  131151 */ // Label 2303: @131151
     /*  131151 */ GIM_Reject,
     /*  131152 */ // Label 2200: @131152
     /*  131152 */ GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(131266),
     /*  131157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  131160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  131163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131175 */   GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(131220), // Rule ID 47331 //
     /*  131180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131183 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  131183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  131186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  131200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131218 */     GIR_RootConstrainSelectedInstOperands,
     /*  131219 */     // GIR_Coverage, 47331,
     /*  131219 */     GIR_EraseRootFromParent_Done,
     /*  131220 */   // Label 2315: @131220
     /*  131220 */   GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(131265), // Rule ID 47332 //
     /*  131225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131228 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  131228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  131231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  131245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131263 */     GIR_RootConstrainSelectedInstOperands,
     /*  131264 */     // GIR_Coverage, 47332,
     /*  131264 */     GIR_EraseRootFromParent_Done,
     /*  131265 */   // Label 2316: @131265
     /*  131265 */   GIM_Reject,
     /*  131266 */ // Label 2314: @131266
     /*  131266 */ GIM_Reject,
     /*  131267 */ // Label 2201: @131267
     /*  131267 */ GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(131381),
     /*  131272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  131275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  131278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131290 */   GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(131335), // Rule ID 47343 //
     /*  131295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131298 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  131298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  131301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  131315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  131330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131333 */     GIR_RootConstrainSelectedInstOperands,
     /*  131334 */     // GIR_Coverage, 47343,
     /*  131334 */     GIR_EraseRootFromParent_Done,
     /*  131335 */   // Label 2318: @131335
     /*  131335 */   GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(131380), // Rule ID 47344 //
     /*  131340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131343 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  131343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  131346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  131360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  131375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131378 */     GIR_RootConstrainSelectedInstOperands,
     /*  131379 */     // GIR_Coverage, 47344,
     /*  131379 */     GIR_EraseRootFromParent_Done,
     /*  131380 */   // Label 2319: @131380
     /*  131380 */   GIM_Reject,
     /*  131381 */ // Label 2317: @131381
     /*  131381 */ GIM_Reject,
     /*  131382 */ // Label 2202: @131382
     /*  131382 */ GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(131496),
     /*  131387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  131390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  131393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131401 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131405 */   GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(131450), // Rule ID 47359 //
     /*  131410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131413 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  131413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  131416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  131430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131448 */     GIR_RootConstrainSelectedInstOperands,
     /*  131449 */     // GIR_Coverage, 47359,
     /*  131449 */     GIR_EraseRootFromParent_Done,
     /*  131450 */   // Label 2321: @131450
     /*  131450 */   GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(131495), // Rule ID 47360 //
     /*  131455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131458 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  131458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  131461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  131475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131493 */     GIR_RootConstrainSelectedInstOperands,
     /*  131494 */     // GIR_Coverage, 47360,
     /*  131494 */     GIR_EraseRootFromParent_Done,
     /*  131495 */   // Label 2322: @131495
     /*  131495 */   GIM_Reject,
     /*  131496 */ // Label 2320: @131496
     /*  131496 */ GIM_Reject,
     /*  131497 */ // Label 2203: @131497
     /*  131497 */ GIM_Try, /*On fail goto*//*Label 2323*/ GIMT_Encode4(131611),
     /*  131502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  131505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  131508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131516 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131520 */   GIM_Try, /*On fail goto*//*Label 2324*/ GIMT_Encode4(131565), // Rule ID 47403 //
     /*  131525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  131528 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  131528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  131531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  131545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131563 */     GIR_RootConstrainSelectedInstOperands,
     /*  131564 */     // GIR_Coverage, 47403,
     /*  131564 */     GIR_EraseRootFromParent_Done,
     /*  131565 */   // Label 2324: @131565
     /*  131565 */   GIM_Try, /*On fail goto*//*Label 2325*/ GIMT_Encode4(131610), // Rule ID 47404 //
     /*  131570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  131573 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  131573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  131576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  131590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131608 */     GIR_RootConstrainSelectedInstOperands,
     /*  131609 */     // GIR_Coverage, 47404,
     /*  131609 */     GIR_EraseRootFromParent_Done,
     /*  131610 */   // Label 2325: @131610
     /*  131610 */   GIM_Reject,
     /*  131611 */ // Label 2323: @131611
     /*  131611 */ GIM_Reject,
     /*  131612 */ // Label 2204: @131612
     /*  131612 */ GIM_Try, /*On fail goto*//*Label 2326*/ GIMT_Encode4(132222),
     /*  131617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131627 */   GIM_Try, /*On fail goto*//*Label 2327*/ GIMT_Encode4(131693), // Rule ID 70441 //
     /*  131632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131647 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131674 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  131685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131691 */     GIR_RootConstrainSelectedInstOperands,
     /*  131692 */     // GIR_Coverage, 70441,
     /*  131692 */     GIR_EraseRootFromParent_Done,
     /*  131693 */   // Label 2327: @131693
     /*  131693 */   GIM_Try, /*On fail goto*//*Label 2328*/ GIMT_Encode4(131759), // Rule ID 70442 //
     /*  131698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131713 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131738 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131740 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  131751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131757 */     GIR_RootConstrainSelectedInstOperands,
     /*  131758 */     // GIR_Coverage, 70442,
     /*  131758 */     GIR_EraseRootFromParent_Done,
     /*  131759 */   // Label 2328: @131759
     /*  131759 */   GIM_Try, /*On fail goto*//*Label 2329*/ GIMT_Encode4(131825), // Rule ID 70439 //
     /*  131764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131779 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131804 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131806 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131823 */     GIR_RootConstrainSelectedInstOperands,
     /*  131824 */     // GIR_Coverage, 70439,
     /*  131824 */     GIR_EraseRootFromParent_Done,
     /*  131825 */   // Label 2329: @131825
     /*  131825 */   GIM_Try, /*On fail goto*//*Label 2330*/ GIMT_Encode4(131891), // Rule ID 70440 //
     /*  131830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131845 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131872 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131889 */     GIR_RootConstrainSelectedInstOperands,
     /*  131890 */     // GIR_Coverage, 70440,
     /*  131890 */     GIR_EraseRootFromParent_Done,
     /*  131891 */   // Label 2330: @131891
     /*  131891 */   GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(131957), // Rule ID 70437 //
     /*  131896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131919 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131923 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131927 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131936 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131938 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  131949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131955 */     GIR_RootConstrainSelectedInstOperands,
     /*  131956 */     // GIR_Coverage, 70437,
     /*  131956 */     GIR_EraseRootFromParent_Done,
     /*  131957 */   // Label 2331: @131957
     /*  131957 */   GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(132023), // Rule ID 70438 //
     /*  131962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131981 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131993 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132002 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132004 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  132007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  132015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132021 */     GIR_RootConstrainSelectedInstOperands,
     /*  132022 */     // GIR_Coverage, 70438,
     /*  132022 */     GIR_EraseRootFromParent_Done,
     /*  132023 */   // Label 2332: @132023
     /*  132023 */   GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(132089), // Rule ID 52753 //
     /*  132028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  132047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  132051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132068 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132070 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  132073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132087 */     GIR_RootConstrainSelectedInstOperands,
     /*  132088 */     // GIR_Coverage, 52753,
     /*  132088 */     GIR_EraseRootFromParent_Done,
     /*  132089 */   // Label 2333: @132089
     /*  132089 */   GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(132155), // Rule ID 52754 //
     /*  132094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  132113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  132117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132130 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132134 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132136 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  132139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132153 */     GIR_RootConstrainSelectedInstOperands,
     /*  132154 */     // GIR_Coverage, 52754,
     /*  132154 */     GIR_EraseRootFromParent_Done,
     /*  132155 */   // Label 2334: @132155
     /*  132155 */   GIM_Try, /*On fail goto*//*Label 2335*/ GIMT_Encode4(132188), // Rule ID 52741 //
     /*  132160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132171 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  132174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132186 */     GIR_RootConstrainSelectedInstOperands,
     /*  132187 */     // GIR_Coverage, 52741,
     /*  132187 */     GIR_EraseRootFromParent_Done,
     /*  132188 */   // Label 2335: @132188
     /*  132188 */   GIM_Try, /*On fail goto*//*Label 2336*/ GIMT_Encode4(132221), // Rule ID 52742 //
     /*  132193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132204 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  132207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132219 */     GIR_RootConstrainSelectedInstOperands,
     /*  132220 */     // GIR_Coverage, 52742,
     /*  132220 */     GIR_EraseRootFromParent_Done,
     /*  132221 */   // Label 2336: @132221
     /*  132221 */   GIM_Reject,
     /*  132222 */ // Label 2326: @132222
     /*  132222 */ GIM_Reject,
     /*  132223 */ // Label 2205: @132223
     /*  132223 */ GIM_Try, /*On fail goto*//*Label 2337*/ GIMT_Encode4(132337),
     /*  132228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  132231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  132234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132246 */   GIM_Try, /*On fail goto*//*Label 2338*/ GIMT_Encode4(132291), // Rule ID 47335 //
     /*  132251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132254 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  132254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  132257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  132271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132289 */     GIR_RootConstrainSelectedInstOperands,
     /*  132290 */     // GIR_Coverage, 47335,
     /*  132290 */     GIR_EraseRootFromParent_Done,
     /*  132291 */   // Label 2338: @132291
     /*  132291 */   GIM_Try, /*On fail goto*//*Label 2339*/ GIMT_Encode4(132336), // Rule ID 47336 //
     /*  132296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132299 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  132299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  132302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  132316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132334 */     GIR_RootConstrainSelectedInstOperands,
     /*  132335 */     // GIR_Coverage, 47336,
     /*  132335 */     GIR_EraseRootFromParent_Done,
     /*  132336 */   // Label 2339: @132336
     /*  132336 */   GIM_Reject,
     /*  132337 */ // Label 2337: @132337
     /*  132337 */ GIM_Reject,
     /*  132338 */ // Label 2206: @132338
     /*  132338 */ GIM_Try, /*On fail goto*//*Label 2340*/ GIMT_Encode4(132452),
     /*  132343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  132346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  132349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132357 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132361 */   GIM_Try, /*On fail goto*//*Label 2341*/ GIMT_Encode4(132406), // Rule ID 47355 //
     /*  132366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132369 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  132369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  132372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  132386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132404 */     GIR_RootConstrainSelectedInstOperands,
     /*  132405 */     // GIR_Coverage, 47355,
     /*  132405 */     GIR_EraseRootFromParent_Done,
     /*  132406 */   // Label 2341: @132406
     /*  132406 */   GIM_Try, /*On fail goto*//*Label 2342*/ GIMT_Encode4(132451), // Rule ID 47356 //
     /*  132411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132414 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  132414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  132417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  132431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132449 */     GIR_RootConstrainSelectedInstOperands,
     /*  132450 */     // GIR_Coverage, 47356,
     /*  132450 */     GIR_EraseRootFromParent_Done,
     /*  132451 */   // Label 2342: @132451
     /*  132451 */   GIM_Reject,
     /*  132452 */ // Label 2340: @132452
     /*  132452 */ GIM_Reject,
     /*  132453 */ // Label 2207: @132453
     /*  132453 */ GIM_Try, /*On fail goto*//*Label 2343*/ GIMT_Encode4(132567),
     /*  132458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  132461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  132464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  132468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  132472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  132476 */   GIM_Try, /*On fail goto*//*Label 2344*/ GIMT_Encode4(132521), // Rule ID 47391 //
     /*  132481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132484 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  132484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  132487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  132501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  132516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132519 */     GIR_RootConstrainSelectedInstOperands,
     /*  132520 */     // GIR_Coverage, 47391,
     /*  132520 */     GIR_EraseRootFromParent_Done,
     /*  132521 */   // Label 2344: @132521
     /*  132521 */   GIM_Try, /*On fail goto*//*Label 2345*/ GIMT_Encode4(132566), // Rule ID 47392 //
     /*  132526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132529 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  132529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  132532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  132546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  132561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132564 */     GIR_RootConstrainSelectedInstOperands,
     /*  132565 */     // GIR_Coverage, 47392,
     /*  132565 */     GIR_EraseRootFromParent_Done,
     /*  132566 */   // Label 2345: @132566
     /*  132566 */   GIM_Reject,
     /*  132567 */ // Label 2343: @132567
     /*  132567 */ GIM_Reject,
     /*  132568 */ // Label 2208: @132568
     /*  132568 */ GIM_Try, /*On fail goto*//*Label 2346*/ GIMT_Encode4(132682),
     /*  132573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  132576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  132579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  132583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  132587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  132591 */   GIM_Try, /*On fail goto*//*Label 2347*/ GIMT_Encode4(132636), // Rule ID 47407 //
     /*  132596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  132599 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  132599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  132602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  132616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  132631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132634 */     GIR_RootConstrainSelectedInstOperands,
     /*  132635 */     // GIR_Coverage, 47407,
     /*  132635 */     GIR_EraseRootFromParent_Done,
     /*  132636 */   // Label 2347: @132636
     /*  132636 */   GIM_Try, /*On fail goto*//*Label 2348*/ GIMT_Encode4(132681), // Rule ID 47408 //
     /*  132641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  132644 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  132644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  132647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  132661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  132676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132679 */     GIR_RootConstrainSelectedInstOperands,
     /*  132680 */     // GIR_Coverage, 47408,
     /*  132680 */     GIR_EraseRootFromParent_Done,
     /*  132681 */   // Label 2348: @132681
     /*  132681 */   GIM_Reject,
     /*  132682 */ // Label 2346: @132682
     /*  132682 */ GIM_Reject,
     /*  132683 */ // Label 2209: @132683
     /*  132683 */ GIM_Try, /*On fail goto*//*Label 2349*/ GIMT_Encode4(133293),
     /*  132688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132698 */   GIM_Try, /*On fail goto*//*Label 2350*/ GIMT_Encode4(132764), // Rule ID 70469 //
     /*  132703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132743 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132745 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  132756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132762 */     GIR_RootConstrainSelectedInstOperands,
     /*  132763 */     // GIR_Coverage, 70469,
     /*  132763 */     GIR_EraseRootFromParent_Done,
     /*  132764 */   // Label 2350: @132764
     /*  132764 */   GIM_Try, /*On fail goto*//*Label 2351*/ GIMT_Encode4(132830), // Rule ID 70470 //
     /*  132769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132811 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  132822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132828 */     GIR_RootConstrainSelectedInstOperands,
     /*  132829 */     // GIR_Coverage, 70470,
     /*  132829 */     GIR_EraseRootFromParent_Done,
     /*  132830 */   // Label 2351: @132830
     /*  132830 */   GIM_Try, /*On fail goto*//*Label 2352*/ GIMT_Encode4(132896), // Rule ID 70467 //
     /*  132835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132854 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132877 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132894 */     GIR_RootConstrainSelectedInstOperands,
     /*  132895 */     // GIR_Coverage, 70467,
     /*  132895 */     GIR_EraseRootFromParent_Done,
     /*  132896 */   // Label 2352: @132896
     /*  132896 */   GIM_Try, /*On fail goto*//*Label 2353*/ GIMT_Encode4(132962), // Rule ID 70468 //
     /*  132901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132916 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132943 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132960 */     GIR_RootConstrainSelectedInstOperands,
     /*  132961 */     // GIR_Coverage, 70468,
     /*  132961 */     GIR_EraseRootFromParent_Done,
     /*  132962 */   // Label 2353: @132962
     /*  132962 */   GIM_Try, /*On fail goto*//*Label 2354*/ GIMT_Encode4(133028), // Rule ID 70465 //
     /*  132967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133009 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133026 */     GIR_RootConstrainSelectedInstOperands,
     /*  133027 */     // GIR_Coverage, 70465,
     /*  133027 */     GIR_EraseRootFromParent_Done,
     /*  133028 */   // Label 2354: @133028
     /*  133028 */   GIM_Try, /*On fail goto*//*Label 2355*/ GIMT_Encode4(133094), // Rule ID 70466 //
     /*  133033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  133052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  133056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133075 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133092 */     GIR_RootConstrainSelectedInstOperands,
     /*  133093 */     // GIR_Coverage, 70466,
     /*  133093 */     GIR_EraseRootFromParent_Done,
     /*  133094 */   // Label 2355: @133094
     /*  133094 */   GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(133160), // Rule ID 52771 //
     /*  133099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  133118 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  133122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133139 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133141 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133158 */     GIR_RootConstrainSelectedInstOperands,
     /*  133159 */     // GIR_Coverage, 52771,
     /*  133159 */     GIR_EraseRootFromParent_Done,
     /*  133160 */   // Label 2356: @133160
     /*  133160 */   GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(133226), // Rule ID 52772 //
     /*  133165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  133184 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  133188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133205 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133207 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  133210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133224 */     GIR_RootConstrainSelectedInstOperands,
     /*  133225 */     // GIR_Coverage, 52772,
     /*  133225 */     GIR_EraseRootFromParent_Done,
     /*  133226 */   // Label 2357: @133226
     /*  133226 */   GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(133259), // Rule ID 52759 //
     /*  133231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133242 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  133245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133257 */     GIR_RootConstrainSelectedInstOperands,
     /*  133258 */     // GIR_Coverage, 52759,
     /*  133258 */     GIR_EraseRootFromParent_Done,
     /*  133259 */   // Label 2358: @133259
     /*  133259 */   GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(133292), // Rule ID 52760 //
     /*  133264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133275 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  133278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133290 */     GIR_RootConstrainSelectedInstOperands,
     /*  133291 */     // GIR_Coverage, 52760,
     /*  133291 */     GIR_EraseRootFromParent_Done,
     /*  133292 */   // Label 2359: @133292
     /*  133292 */   GIM_Reject,
     /*  133293 */ // Label 2349: @133293
     /*  133293 */ GIM_Reject,
     /*  133294 */ // Label 2210: @133294
     /*  133294 */ GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(133408),
     /*  133299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  133302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  133305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133317 */   GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(133362), // Rule ID 47351 //
     /*  133322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133325 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  133325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  133328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  133342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133360 */     GIR_RootConstrainSelectedInstOperands,
     /*  133361 */     // GIR_Coverage, 47351,
     /*  133361 */     GIR_EraseRootFromParent_Done,
     /*  133362 */   // Label 2361: @133362
     /*  133362 */   GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(133407), // Rule ID 47352 //
     /*  133367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133370 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  133370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  133373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  133387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133405 */     GIR_RootConstrainSelectedInstOperands,
     /*  133406 */     // GIR_Coverage, 47352,
     /*  133406 */     GIR_EraseRootFromParent_Done,
     /*  133407 */   // Label 2362: @133407
     /*  133407 */   GIM_Reject,
     /*  133408 */ // Label 2360: @133408
     /*  133408 */ GIM_Reject,
     /*  133409 */ // Label 2211: @133409
     /*  133409 */ GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(133523),
     /*  133414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  133417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  133420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133432 */   GIM_Try, /*On fail goto*//*Label 2364*/ GIMT_Encode4(133477), // Rule ID 47379 //
     /*  133437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133440 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  133440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  133443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  133457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133475 */     GIR_RootConstrainSelectedInstOperands,
     /*  133476 */     // GIR_Coverage, 47379,
     /*  133476 */     GIR_EraseRootFromParent_Done,
     /*  133477 */   // Label 2364: @133477
     /*  133477 */   GIM_Try, /*On fail goto*//*Label 2365*/ GIMT_Encode4(133522), // Rule ID 47380 //
     /*  133482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133485 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  133485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  133488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  133502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133520 */     GIR_RootConstrainSelectedInstOperands,
     /*  133521 */     // GIR_Coverage, 47380,
     /*  133521 */     GIR_EraseRootFromParent_Done,
     /*  133522 */   // Label 2365: @133522
     /*  133522 */   GIM_Reject,
     /*  133523 */ // Label 2363: @133523
     /*  133523 */ GIM_Reject,
     /*  133524 */ // Label 2212: @133524
     /*  133524 */ GIM_Try, /*On fail goto*//*Label 2366*/ GIMT_Encode4(133638),
     /*  133529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  133532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  133535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133547 */   GIM_Try, /*On fail goto*//*Label 2367*/ GIMT_Encode4(133592), // Rule ID 47395 //
     /*  133552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133555 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  133555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  133558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  133572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  133587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133590 */     GIR_RootConstrainSelectedInstOperands,
     /*  133591 */     // GIR_Coverage, 47395,
     /*  133591 */     GIR_EraseRootFromParent_Done,
     /*  133592 */   // Label 2367: @133592
     /*  133592 */   GIM_Try, /*On fail goto*//*Label 2368*/ GIMT_Encode4(133637), // Rule ID 47396 //
     /*  133597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133600 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  133600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  133603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  133617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  133632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133635 */     GIR_RootConstrainSelectedInstOperands,
     /*  133636 */     // GIR_Coverage, 47396,
     /*  133636 */     GIR_EraseRootFromParent_Done,
     /*  133637 */   // Label 2368: @133637
     /*  133637 */   GIM_Reject,
     /*  133638 */ // Label 2366: @133638
     /*  133638 */ GIM_Reject,
     /*  133639 */ // Label 2213: @133639
     /*  133639 */ GIM_Try, /*On fail goto*//*Label 2369*/ GIMT_Encode4(133753),
     /*  133644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  133647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  133650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133662 */   GIM_Try, /*On fail goto*//*Label 2370*/ GIMT_Encode4(133707), // Rule ID 47411 //
     /*  133667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  133670 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  133670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  133673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  133687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  133702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133705 */     GIR_RootConstrainSelectedInstOperands,
     /*  133706 */     // GIR_Coverage, 47411,
     /*  133706 */     GIR_EraseRootFromParent_Done,
     /*  133707 */   // Label 2370: @133707
     /*  133707 */   GIM_Try, /*On fail goto*//*Label 2371*/ GIMT_Encode4(133752), // Rule ID 47412 //
     /*  133712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  133715 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  133715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  133718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  133732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  133747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133750 */     GIR_RootConstrainSelectedInstOperands,
     /*  133751 */     // GIR_Coverage, 47412,
     /*  133751 */     GIR_EraseRootFromParent_Done,
     /*  133752 */   // Label 2371: @133752
     /*  133752 */   GIM_Reject,
     /*  133753 */ // Label 2369: @133753
     /*  133753 */ GIM_Reject,
     /*  133754 */ // Label 2214: @133754
     /*  133754 */ GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(134364),
     /*  133759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133769 */   GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(133835), // Rule ID 70497 //
     /*  133774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133814 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133816 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133833 */     GIR_RootConstrainSelectedInstOperands,
     /*  133834 */     // GIR_Coverage, 70497,
     /*  133834 */     GIR_EraseRootFromParent_Done,
     /*  133835 */   // Label 2373: @133835
     /*  133835 */   GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(133901), // Rule ID 70498 //
     /*  133840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133855 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133880 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133882 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133899 */     GIR_RootConstrainSelectedInstOperands,
     /*  133900 */     // GIR_Coverage, 70498,
     /*  133900 */     GIR_EraseRootFromParent_Done,
     /*  133901 */   // Label 2374: @133901
     /*  133901 */   GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(133967), // Rule ID 70495 //
     /*  133906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133921 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133938 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133948 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133965 */     GIR_RootConstrainSelectedInstOperands,
     /*  133966 */     // GIR_Coverage, 70495,
     /*  133966 */     GIR_EraseRootFromParent_Done,
     /*  133967 */   // Label 2375: @133967
     /*  133967 */   GIM_Try, /*On fail goto*//*Label 2376*/ GIMT_Encode4(134033), // Rule ID 70496 //
     /*  133972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133987 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134004 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134012 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134014 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134031 */     GIR_RootConstrainSelectedInstOperands,
     /*  134032 */     // GIR_Coverage, 70496,
     /*  134032 */     GIR_EraseRootFromParent_Done,
     /*  134033 */   // Label 2376: @134033
     /*  134033 */   GIM_Try, /*On fail goto*//*Label 2377*/ GIMT_Encode4(134099), // Rule ID 70493 //
     /*  134038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134057 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134078 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134080 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134097 */     GIR_RootConstrainSelectedInstOperands,
     /*  134098 */     // GIR_Coverage, 70493,
     /*  134098 */     GIR_EraseRootFromParent_Done,
     /*  134099 */   // Label 2377: @134099
     /*  134099 */   GIM_Try, /*On fail goto*//*Label 2378*/ GIMT_Encode4(134165), // Rule ID 70494 //
     /*  134104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134123 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134146 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134163 */     GIR_RootConstrainSelectedInstOperands,
     /*  134164 */     // GIR_Coverage, 70494,
     /*  134164 */     GIR_EraseRootFromParent_Done,
     /*  134165 */   // Label 2378: @134165
     /*  134165 */   GIM_Try, /*On fail goto*//*Label 2379*/ GIMT_Encode4(134231), // Rule ID 52789 //
     /*  134170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134189 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134210 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134212 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134229 */     GIR_RootConstrainSelectedInstOperands,
     /*  134230 */     // GIR_Coverage, 52789,
     /*  134230 */     GIR_EraseRootFromParent_Done,
     /*  134231 */   // Label 2379: @134231
     /*  134231 */   GIM_Try, /*On fail goto*//*Label 2380*/ GIMT_Encode4(134297), // Rule ID 52790 //
     /*  134236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  134255 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  134259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134278 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  134281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134295 */     GIR_RootConstrainSelectedInstOperands,
     /*  134296 */     // GIR_Coverage, 52790,
     /*  134296 */     GIR_EraseRootFromParent_Done,
     /*  134297 */   // Label 2380: @134297
     /*  134297 */   GIM_Try, /*On fail goto*//*Label 2381*/ GIMT_Encode4(134330), // Rule ID 52777 //
     /*  134302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134313 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  134316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134328 */     GIR_RootConstrainSelectedInstOperands,
     /*  134329 */     // GIR_Coverage, 52777,
     /*  134329 */     GIR_EraseRootFromParent_Done,
     /*  134330 */   // Label 2381: @134330
     /*  134330 */   GIM_Try, /*On fail goto*//*Label 2382*/ GIMT_Encode4(134363), // Rule ID 52778 //
     /*  134335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134346 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  134349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134361 */     GIR_RootConstrainSelectedInstOperands,
     /*  134362 */     // GIR_Coverage, 52778,
     /*  134362 */     GIR_EraseRootFromParent_Done,
     /*  134363 */   // Label 2382: @134363
     /*  134363 */   GIM_Reject,
     /*  134364 */ // Label 2372: @134364
     /*  134364 */ GIM_Reject,
     /*  134365 */ // Label 2215: @134365
     /*  134365 */ GIM_Try, /*On fail goto*//*Label 2383*/ GIMT_Encode4(134479),
     /*  134370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  134373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  134376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134388 */   GIM_Try, /*On fail goto*//*Label 2384*/ GIMT_Encode4(134433), // Rule ID 47367 //
     /*  134393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134396 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  134396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  134399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  134413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134431 */     GIR_RootConstrainSelectedInstOperands,
     /*  134432 */     // GIR_Coverage, 47367,
     /*  134432 */     GIR_EraseRootFromParent_Done,
     /*  134433 */   // Label 2384: @134433
     /*  134433 */   GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(134478), // Rule ID 47368 //
     /*  134438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134441 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  134441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  134444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  134458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134476 */     GIR_RootConstrainSelectedInstOperands,
     /*  134477 */     // GIR_Coverage, 47368,
     /*  134477 */     GIR_EraseRootFromParent_Done,
     /*  134478 */   // Label 2385: @134478
     /*  134478 */   GIM_Reject,
     /*  134479 */ // Label 2383: @134479
     /*  134479 */ GIM_Reject,
     /*  134480 */ // Label 2216: @134480
     /*  134480 */ GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(134594),
     /*  134485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  134488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  134491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134503 */   GIM_Try, /*On fail goto*//*Label 2387*/ GIMT_Encode4(134548), // Rule ID 47383 //
     /*  134508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134511 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  134511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  134514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  134528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134546 */     GIR_RootConstrainSelectedInstOperands,
     /*  134547 */     // GIR_Coverage, 47383,
     /*  134547 */     GIR_EraseRootFromParent_Done,
     /*  134548 */   // Label 2387: @134548
     /*  134548 */   GIM_Try, /*On fail goto*//*Label 2388*/ GIMT_Encode4(134593), // Rule ID 47384 //
     /*  134553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134556 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  134556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  134559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  134573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134591 */     GIR_RootConstrainSelectedInstOperands,
     /*  134592 */     // GIR_Coverage, 47384,
     /*  134592 */     GIR_EraseRootFromParent_Done,
     /*  134593 */   // Label 2388: @134593
     /*  134593 */   GIM_Reject,
     /*  134594 */ // Label 2386: @134594
     /*  134594 */ GIM_Reject,
     /*  134595 */ // Label 2217: @134595
     /*  134595 */ GIM_Try, /*On fail goto*//*Label 2389*/ GIMT_Encode4(134709),
     /*  134600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  134603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  134606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134618 */   GIM_Try, /*On fail goto*//*Label 2390*/ GIMT_Encode4(134663), // Rule ID 47399 //
     /*  134623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134626 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  134626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  134629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  134643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134661 */     GIR_RootConstrainSelectedInstOperands,
     /*  134662 */     // GIR_Coverage, 47399,
     /*  134662 */     GIR_EraseRootFromParent_Done,
     /*  134663 */   // Label 2390: @134663
     /*  134663 */   GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(134708), // Rule ID 47400 //
     /*  134668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134671 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  134671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  134674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  134688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134706 */     GIR_RootConstrainSelectedInstOperands,
     /*  134707 */     // GIR_Coverage, 47400,
     /*  134707 */     GIR_EraseRootFromParent_Done,
     /*  134708 */   // Label 2391: @134708
     /*  134708 */   GIM_Reject,
     /*  134709 */ // Label 2389: @134709
     /*  134709 */ GIM_Reject,
     /*  134710 */ // Label 2218: @134710
     /*  134710 */ GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(135320),
     /*  134715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134725 */   GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(134791), // Rule ID 70525 //
     /*  134730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134745 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134770 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134772 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134789 */     GIR_RootConstrainSelectedInstOperands,
     /*  134790 */     // GIR_Coverage, 70525,
     /*  134790 */     GIR_EraseRootFromParent_Done,
     /*  134791 */   // Label 2393: @134791
     /*  134791 */   GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(134857), // Rule ID 70526 //
     /*  134796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134838 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134855 */     GIR_RootConstrainSelectedInstOperands,
     /*  134856 */     // GIR_Coverage, 70526,
     /*  134856 */     GIR_EraseRootFromParent_Done,
     /*  134857 */   // Label 2394: @134857
     /*  134857 */   GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(134923), // Rule ID 70523 //
     /*  134862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134877 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134904 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134921 */     GIR_RootConstrainSelectedInstOperands,
     /*  134922 */     // GIR_Coverage, 70523,
     /*  134922 */     GIR_EraseRootFromParent_Done,
     /*  134923 */   // Label 2395: @134923
     /*  134923 */   GIM_Try, /*On fail goto*//*Label 2396*/ GIMT_Encode4(134989), // Rule ID 70524 //
     /*  134928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134943 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134968 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134970 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134987 */     GIR_RootConstrainSelectedInstOperands,
     /*  134988 */     // GIR_Coverage, 70524,
     /*  134988 */     GIR_EraseRootFromParent_Done,
     /*  134989 */   // Label 2396: @134989
     /*  134989 */   GIM_Try, /*On fail goto*//*Label 2397*/ GIMT_Encode4(135055), // Rule ID 70521 //
     /*  134994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135036 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135053 */     GIR_RootConstrainSelectedInstOperands,
     /*  135054 */     // GIR_Coverage, 70521,
     /*  135054 */     GIR_EraseRootFromParent_Done,
     /*  135055 */   // Label 2397: @135055
     /*  135055 */   GIM_Try, /*On fail goto*//*Label 2398*/ GIMT_Encode4(135121), // Rule ID 70522 //
     /*  135060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135079 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135095 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135100 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135102 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135119 */     GIR_RootConstrainSelectedInstOperands,
     /*  135120 */     // GIR_Coverage, 70522,
     /*  135120 */     GIR_EraseRootFromParent_Done,
     /*  135121 */   // Label 2398: @135121
     /*  135121 */   GIM_Try, /*On fail goto*//*Label 2399*/ GIMT_Encode4(135187), // Rule ID 52807 //
     /*  135126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135168 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135185 */     GIR_RootConstrainSelectedInstOperands,
     /*  135186 */     // GIR_Coverage, 52807,
     /*  135186 */     GIR_EraseRootFromParent_Done,
     /*  135187 */   // Label 2399: @135187
     /*  135187 */   GIM_Try, /*On fail goto*//*Label 2400*/ GIMT_Encode4(135253), // Rule ID 52808 //
     /*  135192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  135211 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  135215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135234 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  135237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135251 */     GIR_RootConstrainSelectedInstOperands,
     /*  135252 */     // GIR_Coverage, 52808,
     /*  135252 */     GIR_EraseRootFromParent_Done,
     /*  135253 */   // Label 2400: @135253
     /*  135253 */   GIM_Try, /*On fail goto*//*Label 2401*/ GIMT_Encode4(135286), // Rule ID 52795 //
     /*  135258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135269 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  135272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135284 */     GIR_RootConstrainSelectedInstOperands,
     /*  135285 */     // GIR_Coverage, 52795,
     /*  135285 */     GIR_EraseRootFromParent_Done,
     /*  135286 */   // Label 2401: @135286
     /*  135286 */   GIM_Try, /*On fail goto*//*Label 2402*/ GIMT_Encode4(135319), // Rule ID 52796 //
     /*  135291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135302 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  135305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135317 */     GIR_RootConstrainSelectedInstOperands,
     /*  135318 */     // GIR_Coverage, 52796,
     /*  135318 */     GIR_EraseRootFromParent_Done,
     /*  135319 */   // Label 2402: @135319
     /*  135319 */   GIM_Reject,
     /*  135320 */ // Label 2392: @135320
     /*  135320 */ GIM_Reject,
     /*  135321 */ // Label 2219: @135321
     /*  135321 */ GIM_Try, /*On fail goto*//*Label 2403*/ GIMT_Encode4(135435),
     /*  135326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  135329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  135332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  135336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  135340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  135344 */   GIM_Try, /*On fail goto*//*Label 2404*/ GIMT_Encode4(135389), // Rule ID 47371 //
     /*  135349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135352 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  135352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  135355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  135369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135387 */     GIR_RootConstrainSelectedInstOperands,
     /*  135388 */     // GIR_Coverage, 47371,
     /*  135388 */     GIR_EraseRootFromParent_Done,
     /*  135389 */   // Label 2404: @135389
     /*  135389 */   GIM_Try, /*On fail goto*//*Label 2405*/ GIMT_Encode4(135434), // Rule ID 47372 //
     /*  135394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135397 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  135397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  135400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  135414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135432 */     GIR_RootConstrainSelectedInstOperands,
     /*  135433 */     // GIR_Coverage, 47372,
     /*  135433 */     GIR_EraseRootFromParent_Done,
     /*  135434 */   // Label 2405: @135434
     /*  135434 */   GIM_Reject,
     /*  135435 */ // Label 2403: @135435
     /*  135435 */ GIM_Reject,
     /*  135436 */ // Label 2220: @135436
     /*  135436 */ GIM_Try, /*On fail goto*//*Label 2406*/ GIMT_Encode4(135550),
     /*  135441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  135444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  135447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135459 */   GIM_Try, /*On fail goto*//*Label 2407*/ GIMT_Encode4(135504), // Rule ID 47387 //
     /*  135464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135467 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  135467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  135470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  135484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135502 */     GIR_RootConstrainSelectedInstOperands,
     /*  135503 */     // GIR_Coverage, 47387,
     /*  135503 */     GIR_EraseRootFromParent_Done,
     /*  135504 */   // Label 2407: @135504
     /*  135504 */   GIM_Try, /*On fail goto*//*Label 2408*/ GIMT_Encode4(135549), // Rule ID 47388 //
     /*  135509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135512 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  135512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  135515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  135529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135547 */     GIR_RootConstrainSelectedInstOperands,
     /*  135548 */     // GIR_Coverage, 47388,
     /*  135548 */     GIR_EraseRootFromParent_Done,
     /*  135549 */   // Label 2408: @135549
     /*  135549 */   GIM_Reject,
     /*  135550 */ // Label 2406: @135550
     /*  135550 */ GIM_Reject,
     /*  135551 */ // Label 2221: @135551
     /*  135551 */ GIM_Try, /*On fail goto*//*Label 2409*/ GIMT_Encode4(136161),
     /*  135556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135566 */   GIM_Try, /*On fail goto*//*Label 2410*/ GIMT_Encode4(135632), // Rule ID 70553 //
     /*  135571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135586 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135590 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135594 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135598 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135613 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135630 */     GIR_RootConstrainSelectedInstOperands,
     /*  135631 */     // GIR_Coverage, 70553,
     /*  135631 */     GIR_EraseRootFromParent_Done,
     /*  135632 */   // Label 2410: @135632
     /*  135632 */   GIM_Try, /*On fail goto*//*Label 2411*/ GIMT_Encode4(135698), // Rule ID 70554 //
     /*  135637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135677 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135679 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135696 */     GIR_RootConstrainSelectedInstOperands,
     /*  135697 */     // GIR_Coverage, 70554,
     /*  135697 */     GIR_EraseRootFromParent_Done,
     /*  135698 */   // Label 2411: @135698
     /*  135698 */   GIM_Try, /*On fail goto*//*Label 2412*/ GIMT_Encode4(135764), // Rule ID 70551 //
     /*  135703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135735 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135743 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135745 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135762 */     GIR_RootConstrainSelectedInstOperands,
     /*  135763 */     // GIR_Coverage, 70551,
     /*  135763 */     GIR_EraseRootFromParent_Done,
     /*  135764 */   // Label 2412: @135764
     /*  135764 */   GIM_Try, /*On fail goto*//*Label 2413*/ GIMT_Encode4(135830), // Rule ID 70552 //
     /*  135769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135809 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135811 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135828 */     GIR_RootConstrainSelectedInstOperands,
     /*  135829 */     // GIR_Coverage, 70552,
     /*  135829 */     GIR_EraseRootFromParent_Done,
     /*  135830 */   // Label 2413: @135830
     /*  135830 */   GIM_Try, /*On fail goto*//*Label 2414*/ GIMT_Encode4(135896), // Rule ID 70549 //
     /*  135835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135854 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135877 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135894 */     GIR_RootConstrainSelectedInstOperands,
     /*  135895 */     // GIR_Coverage, 70549,
     /*  135895 */     GIR_EraseRootFromParent_Done,
     /*  135896 */   // Label 2414: @135896
     /*  135896 */   GIM_Try, /*On fail goto*//*Label 2415*/ GIMT_Encode4(135962), // Rule ID 70550 //
     /*  135901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135943 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135960 */     GIR_RootConstrainSelectedInstOperands,
     /*  135961 */     // GIR_Coverage, 70550,
     /*  135961 */     GIR_EraseRootFromParent_Done,
     /*  135962 */   // Label 2415: @135962
     /*  135962 */   GIM_Try, /*On fail goto*//*Label 2416*/ GIMT_Encode4(136028), // Rule ID 52825 //
     /*  135967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136009 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  136012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136026 */     GIR_RootConstrainSelectedInstOperands,
     /*  136027 */     // GIR_Coverage, 52825,
     /*  136027 */     GIR_EraseRootFromParent_Done,
     /*  136028 */   // Label 2416: @136028
     /*  136028 */   GIM_Try, /*On fail goto*//*Label 2417*/ GIMT_Encode4(136094), // Rule ID 52826 //
     /*  136033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  136052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  136056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136075 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  136078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136092 */     GIR_RootConstrainSelectedInstOperands,
     /*  136093 */     // GIR_Coverage, 52826,
     /*  136093 */     GIR_EraseRootFromParent_Done,
     /*  136094 */   // Label 2417: @136094
     /*  136094 */   GIM_Try, /*On fail goto*//*Label 2418*/ GIMT_Encode4(136127), // Rule ID 52813 //
     /*  136099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136110 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  136113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136125 */     GIR_RootConstrainSelectedInstOperands,
     /*  136126 */     // GIR_Coverage, 52813,
     /*  136126 */     GIR_EraseRootFromParent_Done,
     /*  136127 */   // Label 2418: @136127
     /*  136127 */   GIM_Try, /*On fail goto*//*Label 2419*/ GIMT_Encode4(136160), // Rule ID 52814 //
     /*  136132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136143 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  136146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136158 */     GIR_RootConstrainSelectedInstOperands,
     /*  136159 */     // GIR_Coverage, 52814,
     /*  136159 */     GIR_EraseRootFromParent_Done,
     /*  136160 */   // Label 2419: @136160
     /*  136160 */   GIM_Reject,
     /*  136161 */ // Label 2409: @136161
     /*  136161 */ GIM_Reject,
     /*  136162 */ // Label 2222: @136162
     /*  136162 */ GIM_Try, /*On fail goto*//*Label 2420*/ GIMT_Encode4(136276),
     /*  136167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  136170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  136173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  136177 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  136181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  136185 */   GIM_Try, /*On fail goto*//*Label 2421*/ GIMT_Encode4(136230), // Rule ID 47375 //
     /*  136190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136193 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  136193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  136196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  136210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136228 */     GIR_RootConstrainSelectedInstOperands,
     /*  136229 */     // GIR_Coverage, 47375,
     /*  136229 */     GIR_EraseRootFromParent_Done,
     /*  136230 */   // Label 2421: @136230
     /*  136230 */   GIM_Try, /*On fail goto*//*Label 2422*/ GIMT_Encode4(136275), // Rule ID 47376 //
     /*  136235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136238 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  136238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  136241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  136255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136273 */     GIR_RootConstrainSelectedInstOperands,
     /*  136274 */     // GIR_Coverage, 47376,
     /*  136274 */     GIR_EraseRootFromParent_Done,
     /*  136275 */   // Label 2422: @136275
     /*  136275 */   GIM_Reject,
     /*  136276 */ // Label 2420: @136276
     /*  136276 */ GIM_Reject,
     /*  136277 */ // Label 2223: @136277
     /*  136277 */ GIM_Reject,
     /*  136278 */ // Label 9: @136278
     /*  136278 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2454*/ GIMT_Encode4(151184),
     /*  136289 */ /*GILLT_s32*//*Label 2423*/ GIMT_Encode4(136413),
     /*  136293 */ /*GILLT_s64*//*Label 2424*/ GIMT_Encode4(136951),
     /*  136297 */ /*GILLT_nxv1s1*//*Label 2425*/ GIMT_Encode4(137377),
     /*  136301 */ /*GILLT_nxv1s8*//*Label 2426*/ GIMT_Encode4(138988),
     /*  136305 */ /*GILLT_nxv1s16*//*Label 2427*/ GIMT_Encode4(139103),
     /*  136309 */ /*GILLT_nxv1s32*//*Label 2428*/ GIMT_Encode4(139218),
     /*  136313 */ /*GILLT_nxv1s64*//*Label 2429*/ GIMT_Encode4(139333),
     /*  136317 */ /*GILLT_nxv2s1*//*Label 2430*/ GIMT_Encode4(139448),
     /*  136321 */ /*GILLT_nxv2s8*//*Label 2431*/ GIMT_Encode4(141059),
     /*  136325 */ /*GILLT_nxv2s16*//*Label 2432*/ GIMT_Encode4(141174),
     /*  136329 */ /*GILLT_nxv2s32*//*Label 2433*/ GIMT_Encode4(141289),
     /*  136333 */ /*GILLT_nxv2s64*//*Label 2434*/ GIMT_Encode4(141404),
     /*  136337 */ /*GILLT_nxv4s1*//*Label 2435*/ GIMT_Encode4(141519),
     /*  136341 */ /*GILLT_nxv4s8*//*Label 2436*/ GIMT_Encode4(143130),
     /*  136345 */ /*GILLT_nxv4s16*//*Label 2437*/ GIMT_Encode4(143245),
     /*  136349 */ /*GILLT_nxv4s32*//*Label 2438*/ GIMT_Encode4(143360),
     /*  136353 */ /*GILLT_nxv4s64*//*Label 2439*/ GIMT_Encode4(143475),
     /*  136357 */ /*GILLT_nxv8s1*//*Label 2440*/ GIMT_Encode4(143590),
     /*  136361 */ /*GILLT_nxv8s8*//*Label 2441*/ GIMT_Encode4(145201),
     /*  136365 */ /*GILLT_nxv8s16*//*Label 2442*/ GIMT_Encode4(145316),
     /*  136369 */ /*GILLT_nxv8s32*//*Label 2443*/ GIMT_Encode4(145431),
     /*  136373 */ /*GILLT_nxv8s64*//*Label 2444*/ GIMT_Encode4(145546),
     /*  136377 */ /*GILLT_nxv16s1*//*Label 2445*/ GIMT_Encode4(145661),
     /*  136381 */ /*GILLT_nxv16s8*//*Label 2446*/ GIMT_Encode4(147272),
     /*  136385 */ /*GILLT_nxv16s16*//*Label 2447*/ GIMT_Encode4(147387),
     /*  136389 */ /*GILLT_nxv16s32*//*Label 2448*/ GIMT_Encode4(147502),
     /*  136393 */ /*GILLT_nxv32s1*//*Label 2449*/ GIMT_Encode4(147617),
     /*  136397 */ /*GILLT_nxv32s8*//*Label 2450*/ GIMT_Encode4(149228),
     /*  136401 */ /*GILLT_nxv32s16*//*Label 2451*/ GIMT_Encode4(149343),
     /*  136405 */ /*GILLT_nxv64s1*//*Label 2452*/ GIMT_Encode4(149458),
     /*  136409 */ /*GILLT_nxv64s8*//*Label 2453*/ GIMT_Encode4(151069),
     /*  136413 */ // Label 2423: @136413
     /*  136413 */ GIM_Try, /*On fail goto*//*Label 2455*/ GIMT_Encode4(136950),
     /*  136418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  136421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  136424 */   GIM_Try, /*On fail goto*//*Label 2456*/ GIMT_Encode4(136507), // Rule ID 2342 //
     /*  136429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  136432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136448 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136452 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  136456 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  136460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136462 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136469 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } -1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] })  =>  (ADDI:{ *:[i32] } (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })
     /*  136469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  136472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  136476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136481 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  136487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  136497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136505 */     GIR_RootConstrainSelectedInstOperands,
     /*  136506 */     // GIR_Coverage, 2342,
     /*  136506 */     GIR_EraseRootFromParent_Done,
     /*  136507 */   // Label 2456: @136507
     /*  136507 */   GIM_Try, /*On fail goto*//*Label 2457*/ GIMT_Encode4(136566), // Rule ID 2336 //
     /*  136512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  136515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136531 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136535 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  136539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136545 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136552 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  136555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136564 */     GIR_RootConstrainSelectedInstOperands,
     /*  136565 */     // GIR_Coverage, 2336,
     /*  136565 */     GIR_EraseRootFromParent_Done,
     /*  136566 */   // Label 2457: @136566
     /*  136566 */   GIM_Try, /*On fail goto*//*Label 2458*/ GIMT_Encode4(136625), // Rule ID 64334 //
     /*  136571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  136574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136598 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  136602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136604 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136611 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  136614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136623 */     GIR_RootConstrainSelectedInstOperands,
     /*  136624 */     // GIR_Coverage, 64334,
     /*  136624 */     GIR_EraseRootFromParent_Done,
     /*  136625 */   // Label 2458: @136625
     /*  136625 */   GIM_Try, /*On fail goto*//*Label 2459*/ GIMT_Encode4(136681), // Rule ID 64320 //
     /*  136630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  136633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136649 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136658 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  136662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136668 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs2)  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  136677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136679 */     GIR_RootConstrainSelectedInstOperands,
     /*  136680 */     // GIR_Coverage, 64320,
     /*  136680 */     GIR_EraseRootFromParent_Done,
     /*  136681 */   // Label 2459: @136681
     /*  136681 */   GIM_Try, /*On fail goto*//*Label 2460*/ GIMT_Encode4(136740), // Rule ID 64318 //
     /*  136686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  136689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136705 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136719 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  136723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136725 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  136734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136738 */     GIR_RootConstrainSelectedInstOperands,
     /*  136739 */     // GIR_Coverage, 64318,
     /*  136739 */     GIR_EraseRootFromParent_Done,
     /*  136740 */   // Label 2460: @136740
     /*  136740 */   GIM_Try, /*On fail goto*//*Label 2461*/ GIMT_Encode4(136796), // Rule ID 2310 //
     /*  136745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  136748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136777 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  136781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136783 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136794 */     GIR_RootConstrainSelectedInstOperands,
     /*  136795 */     // GIR_Coverage, 2310,
     /*  136795 */     GIR_EraseRootFromParent_Done,
     /*  136796 */   // Label 2461: @136796
     /*  136796 */   GIM_Try, /*On fail goto*//*Label 2462*/ GIMT_Encode4(136838), // Rule ID 89 //
     /*  136801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  136804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  136824 */     // MIs[1] Operand 1
     /*  136824 */     // No operand predicates
     /*  136824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136826 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  136826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  136829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  136836 */     GIR_RootConstrainSelectedInstOperands,
     /*  136837 */     // GIR_Coverage, 89,
     /*  136837 */     GIR_EraseRootFromParent_Done,
     /*  136838 */   // Label 2462: @136838
     /*  136838 */   GIM_Try, /*On fail goto*//*Label 2463*/ GIMT_Encode4(136880), // Rule ID 63931 //
     /*  136843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  136846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  136866 */     // MIs[1] Operand 1
     /*  136866 */     // No operand predicates
     /*  136866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136868 */     // (xor:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_XORAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  136868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_XORAI),
     /*  136871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  136873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  136878 */     GIR_RootConstrainSelectedInstOperands,
     /*  136879 */     // GIR_Coverage, 63931,
     /*  136879 */     GIR_EraseRootFromParent_Done,
     /*  136880 */   // Label 2463: @136880
     /*  136880 */   GIM_Try, /*On fail goto*//*Label 2464*/ GIMT_Encode4(136922), // Rule ID 63935 //
     /*  136885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  136888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  136896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  136908 */     // MIs[1] Operand 1
     /*  136908 */     // No operand predicates
     /*  136908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136910 */     // (xor:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_XORI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  136910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_XORI),
     /*  136913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  136920 */     GIR_RootConstrainSelectedInstOperands,
     /*  136921 */     // GIR_Coverage, 63935,
     /*  136921 */     GIR_EraseRootFromParent_Done,
     /*  136922 */   // Label 2464: @136922
     /*  136922 */   GIM_Try, /*On fail goto*//*Label 2465*/ GIMT_Encode4(136949), // Rule ID 87 //
     /*  136927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  136930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136942 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136942 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  136947 */     GIR_RootConstrainSelectedInstOperands,
     /*  136948 */     // GIR_Coverage, 87,
     /*  136948 */     GIR_Done,
     /*  136949 */   // Label 2465: @136949
     /*  136949 */   GIM_Reject,
     /*  136950 */ // Label 2455: @136950
     /*  136950 */ GIM_Reject,
     /*  136951 */ // Label 2424: @136951
     /*  136951 */ GIM_Try, /*On fail goto*//*Label 2466*/ GIMT_Encode4(137376),
     /*  136956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  136959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  136962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136966 */   GIM_Try, /*On fail goto*//*Label 2467*/ GIMT_Encode4(137045), // Rule ID 2341 //
     /*  136971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  136974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  136986 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  136990 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  136994 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  136998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137000 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  137007 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } -1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] })  =>  (ADDI:{ *:[i64] } (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })
     /*  137007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  137010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  137014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137019 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  137025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  137030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  137035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137043 */     GIR_RootConstrainSelectedInstOperands,
     /*  137044 */     // GIR_Coverage, 2341,
     /*  137044 */     GIR_EraseRootFromParent_Done,
     /*  137045 */   // Label 2467: @137045
     /*  137045 */   GIM_Try, /*On fail goto*//*Label 2468*/ GIMT_Encode4(137100), // Rule ID 2335 //
     /*  137050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  137053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  137061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137069 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  137073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137079 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  137086 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  137089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  137098 */     GIR_RootConstrainSelectedInstOperands,
     /*  137099 */     // GIR_Coverage, 2335,
     /*  137099 */     GIR_EraseRootFromParent_Done,
     /*  137100 */   // Label 2468: @137100
     /*  137100 */   GIM_Try, /*On fail goto*//*Label 2469*/ GIMT_Encode4(137155), // Rule ID 64333 //
     /*  137105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  137108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  137120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137124 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137128 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  137132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137134 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  137141 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  137144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  137153 */     GIR_RootConstrainSelectedInstOperands,
     /*  137154 */     // GIR_Coverage, 64333,
     /*  137154 */     GIR_EraseRootFromParent_Done,
     /*  137155 */   // Label 2469: @137155
     /*  137155 */   GIM_Try, /*On fail goto*//*Label 2470*/ GIMT_Encode4(137207), // Rule ID 64319 //
     /*  137160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  137163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137175 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137184 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  137188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137194 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  137197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137205 */     GIR_RootConstrainSelectedInstOperands,
     /*  137206 */     // GIR_Coverage, 64319,
     /*  137206 */     GIR_EraseRootFromParent_Done,
     /*  137207 */   // Label 2470: @137207
     /*  137207 */   GIM_Try, /*On fail goto*//*Label 2471*/ GIMT_Encode4(137262), // Rule ID 64317 //
     /*  137212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  137215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137227 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137236 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137241 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  137245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137247 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  137250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137260 */     GIR_RootConstrainSelectedInstOperands,
     /*  137261 */     // GIR_Coverage, 64317,
     /*  137261 */     GIR_EraseRootFromParent_Done,
     /*  137262 */   // Label 2471: @137262
     /*  137262 */   GIM_Try, /*On fail goto*//*Label 2472*/ GIMT_Encode4(137314), // Rule ID 2309 //
     /*  137267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  137270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137286 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  137290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137295 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  137299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137301 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  137304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137312 */     GIR_RootConstrainSelectedInstOperands,
     /*  137313 */     // GIR_Coverage, 2309,
     /*  137313 */     GIR_EraseRootFromParent_Done,
     /*  137314 */   // Label 2472: @137314
     /*  137314 */   GIM_Try, /*On fail goto*//*Label 2473*/ GIMT_Encode4(137352), // Rule ID 88 //
     /*  137319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  137322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  137338 */     // MIs[1] Operand 1
     /*  137338 */     // No operand predicates
     /*  137338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137340 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  137340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  137343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  137350 */     GIR_RootConstrainSelectedInstOperands,
     /*  137351 */     // GIR_Coverage, 88,
     /*  137351 */     GIR_EraseRootFromParent_Done,
     /*  137352 */   // Label 2473: @137352
     /*  137352 */   GIM_Try, /*On fail goto*//*Label 2474*/ GIMT_Encode4(137375), // Rule ID 86 //
     /*  137357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  137360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  137368 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  137368 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  137373 */     GIR_RootConstrainSelectedInstOperands,
     /*  137374 */     // GIR_Coverage, 86,
     /*  137374 */     GIR_Done,
     /*  137375 */   // Label 2474: @137375
     /*  137375 */   GIM_Reject,
     /*  137376 */ // Label 2466: @137376
     /*  137376 */ GIM_Reject,
     /*  137377 */ // Label 2425: @137377
     /*  137377 */ GIM_Try, /*On fail goto*//*Label 2475*/ GIMT_Encode4(138987),
     /*  137382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137392 */   GIM_Try, /*On fail goto*//*Label 2476*/ GIMT_Encode4(137461), // Rule ID 52709 //
     /*  137397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  137408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137412 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137416 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137438 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137440 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  137443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137459 */     GIR_RootConstrainSelectedInstOperands,
     /*  137460 */     // GIR_Coverage, 52709,
     /*  137460 */     GIR_EraseRootFromParent_Done,
     /*  137461 */   // Label 2476: @137461
     /*  137461 */   GIM_Try, /*On fail goto*//*Label 2477*/ GIMT_Encode4(137530), // Rule ID 52710 //
     /*  137466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  137477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137481 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137507 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137509 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  137512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137528 */     GIR_RootConstrainSelectedInstOperands,
     /*  137529 */     // GIR_Coverage, 52710,
     /*  137529 */     GIR_EraseRootFromParent_Done,
     /*  137530 */   // Label 2477: @137530
     /*  137530 */   GIM_Try, /*On fail goto*//*Label 2478*/ GIMT_Encode4(137599), // Rule ID 52711 //
     /*  137535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  137546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137550 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137578 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  137581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137597 */     GIR_RootConstrainSelectedInstOperands,
     /*  137598 */     // GIR_Coverage, 52711,
     /*  137598 */     GIR_EraseRootFromParent_Done,
     /*  137599 */   // Label 2478: @137599
     /*  137599 */   GIM_Try, /*On fail goto*//*Label 2479*/ GIMT_Encode4(137668), // Rule ID 52712 //
     /*  137604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  137615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137619 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137647 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  137650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137666 */     GIR_RootConstrainSelectedInstOperands,
     /*  137667 */     // GIR_Coverage, 52712,
     /*  137667 */     GIR_EraseRootFromParent_Done,
     /*  137668 */   // Label 2479: @137668
     /*  137668 */   GIM_Try, /*On fail goto*//*Label 2480*/ GIMT_Encode4(137734), // Rule ID 70367 //
     /*  137673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137715 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  137724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137732 */     GIR_RootConstrainSelectedInstOperands,
     /*  137733 */     // GIR_Coverage, 70367,
     /*  137733 */     GIR_EraseRootFromParent_Done,
     /*  137734 */   // Label 2480: @137734
     /*  137734 */   GIM_Try, /*On fail goto*//*Label 2481*/ GIMT_Encode4(137800), // Rule ID 70368 //
     /*  137739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137754 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137779 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137781 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  137790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137798 */     GIR_RootConstrainSelectedInstOperands,
     /*  137799 */     // GIR_Coverage, 70368,
     /*  137799 */     GIR_EraseRootFromParent_Done,
     /*  137800 */   // Label 2481: @137800
     /*  137800 */   GIM_Try, /*On fail goto*//*Label 2482*/ GIMT_Encode4(137866), // Rule ID 70365 //
     /*  137805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137820 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137845 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137847 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137864 */     GIR_RootConstrainSelectedInstOperands,
     /*  137865 */     // GIR_Coverage, 70365,
     /*  137865 */     GIR_EraseRootFromParent_Done,
     /*  137866 */   // Label 2482: @137866
     /*  137866 */   GIM_Try, /*On fail goto*//*Label 2483*/ GIMT_Encode4(137932), // Rule ID 70366 //
     /*  137871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137886 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137895 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137899 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137903 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137913 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137930 */     GIR_RootConstrainSelectedInstOperands,
     /*  137931 */     // GIR_Coverage, 70366,
     /*  137931 */     GIR_EraseRootFromParent_Done,
     /*  137932 */   // Label 2483: @137932
     /*  137932 */   GIM_Try, /*On fail goto*//*Label 2484*/ GIMT_Encode4(138001), // Rule ID 52713 //
     /*  137937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137952 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137970 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137974 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137980 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137999 */     GIR_RootConstrainSelectedInstOperands,
     /*  138000 */     // GIR_Coverage, 52713,
     /*  138000 */     GIR_EraseRootFromParent_Done,
     /*  138001 */   // Label 2484: @138001
     /*  138001 */   GIM_Try, /*On fail goto*//*Label 2485*/ GIMT_Encode4(138070), // Rule ID 52714 //
     /*  138006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138043 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138047 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138049 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  138058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138068 */     GIR_RootConstrainSelectedInstOperands,
     /*  138069 */     // GIR_Coverage, 52714,
     /*  138069 */     GIR_EraseRootFromParent_Done,
     /*  138070 */   // Label 2485: @138070
     /*  138070 */   GIM_Try, /*On fail goto*//*Label 2486*/ GIMT_Encode4(138139), // Rule ID 70361 //
     /*  138075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138090 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138094 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  138098 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138102 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138106 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138111 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138116 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138118 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138137 */     GIR_RootConstrainSelectedInstOperands,
     /*  138138 */     // GIR_Coverage, 70361,
     /*  138138 */     GIR_EraseRootFromParent_Done,
     /*  138139 */   // Label 2486: @138139
     /*  138139 */   GIM_Try, /*On fail goto*//*Label 2487*/ GIMT_Encode4(138208), // Rule ID 70362 //
     /*  138144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  138167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138171 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138175 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138180 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138185 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138187 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138206 */     GIR_RootConstrainSelectedInstOperands,
     /*  138207 */     // GIR_Coverage, 70362,
     /*  138207 */     GIR_EraseRootFromParent_Done,
     /*  138208 */   // Label 2487: @138208
     /*  138208 */   GIM_Try, /*On fail goto*//*Label 2488*/ GIMT_Encode4(138277), // Rule ID 70363 //
     /*  138213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  138236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138240 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138249 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138256 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  138259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138275 */     GIR_RootConstrainSelectedInstOperands,
     /*  138276 */     // GIR_Coverage, 70363,
     /*  138276 */     GIR_EraseRootFromParent_Done,
     /*  138277 */   // Label 2488: @138277
     /*  138277 */   GIM_Try, /*On fail goto*//*Label 2489*/ GIMT_Encode4(138346), // Rule ID 70364 //
     /*  138282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  138305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138309 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138313 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138318 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138325 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  138328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138344 */     GIR_RootConstrainSelectedInstOperands,
     /*  138345 */     // GIR_Coverage, 70364,
     /*  138345 */     GIR_EraseRootFromParent_Done,
     /*  138346 */   // Label 2489: @138346
     /*  138346 */   GIM_Try, /*On fail goto*//*Label 2490*/ GIMT_Encode4(138415), // Rule ID 70369 //
     /*  138351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138378 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138387 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138394 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138413 */     GIR_RootConstrainSelectedInstOperands,
     /*  138414 */     // GIR_Coverage, 70369,
     /*  138414 */     GIR_EraseRootFromParent_Done,
     /*  138415 */   // Label 2490: @138415
     /*  138415 */   GIM_Try, /*On fail goto*//*Label 2491*/ GIMT_Encode4(138484), // Rule ID 70370 //
     /*  138420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  138439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138447 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138451 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138463 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138482 */     GIR_RootConstrainSelectedInstOperands,
     /*  138483 */     // GIR_Coverage, 70370,
     /*  138483 */     GIR_EraseRootFromParent_Done,
     /*  138484 */   // Label 2491: @138484
     /*  138484 */   GIM_Try, /*On fail goto*//*Label 2492*/ GIMT_Encode4(138550), // Rule ID 70373 //
     /*  138489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138529 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138531 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  138540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138548 */     GIR_RootConstrainSelectedInstOperands,
     /*  138549 */     // GIR_Coverage, 70373,
     /*  138549 */     GIR_EraseRootFromParent_Done,
     /*  138550 */   // Label 2492: @138550
     /*  138550 */   GIM_Try, /*On fail goto*//*Label 2493*/ GIMT_Encode4(138616), // Rule ID 70374 //
     /*  138555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138595 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138597 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  138606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138614 */     GIR_RootConstrainSelectedInstOperands,
     /*  138615 */     // GIR_Coverage, 70374,
     /*  138615 */     GIR_EraseRootFromParent_Done,
     /*  138616 */   // Label 2493: @138616
     /*  138616 */   GIM_Try, /*On fail goto*//*Label 2494*/ GIMT_Encode4(138682), // Rule ID 70371 //
     /*  138621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138661 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138663 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  138672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138680 */     GIR_RootConstrainSelectedInstOperands,
     /*  138681 */     // GIR_Coverage, 70371,
     /*  138681 */     GIR_EraseRootFromParent_Done,
     /*  138682 */   // Label 2494: @138682
     /*  138682 */   GIM_Try, /*On fail goto*//*Label 2495*/ GIMT_Encode4(138748), // Rule ID 70372 //
     /*  138687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138706 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138729 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  138738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138746 */     GIR_RootConstrainSelectedInstOperands,
     /*  138747 */     // GIR_Coverage, 70372,
     /*  138747 */     GIR_EraseRootFromParent_Done,
     /*  138748 */   // Label 2495: @138748
     /*  138748 */   GIM_Try, /*On fail goto*//*Label 2496*/ GIMT_Encode4(138791), // Rule ID 70387 //
     /*  138753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138774 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138789 */     GIR_RootConstrainSelectedInstOperands,
     /*  138790 */     // GIR_Coverage, 70387,
     /*  138790 */     GIR_EraseRootFromParent_Done,
     /*  138791 */   // Label 2496: @138791
     /*  138791 */   GIM_Try, /*On fail goto*//*Label 2497*/ GIMT_Encode4(138834), // Rule ID 70388 //
     /*  138796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138817 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138832 */     GIR_RootConstrainSelectedInstOperands,
     /*  138833 */     // GIR_Coverage, 70388,
     /*  138833 */     GIR_EraseRootFromParent_Done,
     /*  138834 */   // Label 2497: @138834
     /*  138834 */   GIM_Try, /*On fail goto*//*Label 2498*/ GIMT_Encode4(138877), // Rule ID 52719 //
     /*  138839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138860 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138875 */     GIR_RootConstrainSelectedInstOperands,
     /*  138876 */     // GIR_Coverage, 52719,
     /*  138876 */     GIR_EraseRootFromParent_Done,
     /*  138877 */   // Label 2498: @138877
     /*  138877 */   GIM_Try, /*On fail goto*//*Label 2499*/ GIMT_Encode4(138920), // Rule ID 52720 //
     /*  138882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138903 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138918 */     GIR_RootConstrainSelectedInstOperands,
     /*  138919 */     // GIR_Coverage, 52720,
     /*  138919 */     GIR_EraseRootFromParent_Done,
     /*  138920 */   // Label 2499: @138920
     /*  138920 */   GIM_Try, /*On fail goto*//*Label 2500*/ GIMT_Encode4(138953), // Rule ID 52707 //
     /*  138925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138936 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  138939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138951 */     GIR_RootConstrainSelectedInstOperands,
     /*  138952 */     // GIR_Coverage, 52707,
     /*  138952 */     GIR_EraseRootFromParent_Done,
     /*  138953 */   // Label 2500: @138953
     /*  138953 */   GIM_Try, /*On fail goto*//*Label 2501*/ GIMT_Encode4(138986), // Rule ID 52708 //
     /*  138958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138969 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  138972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138984 */     GIR_RootConstrainSelectedInstOperands,
     /*  138985 */     // GIR_Coverage, 52708,
     /*  138985 */     GIR_EraseRootFromParent_Done,
     /*  138986 */   // Label 2501: @138986
     /*  138986 */   GIM_Reject,
     /*  138987 */ // Label 2475: @138987
     /*  138987 */ GIM_Reject,
     /*  138988 */ // Label 2426: @138988
     /*  138988 */ GIM_Try, /*On fail goto*//*Label 2502*/ GIMT_Encode4(139102),
     /*  138993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  138996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  138999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139007 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139011 */   GIM_Try, /*On fail goto*//*Label 2503*/ GIMT_Encode4(139056), // Rule ID 47459 //
     /*  139016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139019 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  139019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  139022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  139036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139054 */     GIR_RootConstrainSelectedInstOperands,
     /*  139055 */     // GIR_Coverage, 47459,
     /*  139055 */     GIR_EraseRootFromParent_Done,
     /*  139056 */   // Label 2503: @139056
     /*  139056 */   GIM_Try, /*On fail goto*//*Label 2504*/ GIMT_Encode4(139101), // Rule ID 47460 //
     /*  139061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139064 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  139064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  139067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  139081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139099 */     GIR_RootConstrainSelectedInstOperands,
     /*  139100 */     // GIR_Coverage, 47460,
     /*  139100 */     GIR_EraseRootFromParent_Done,
     /*  139101 */   // Label 2504: @139101
     /*  139101 */   GIM_Reject,
     /*  139102 */ // Label 2502: @139102
     /*  139102 */ GIM_Reject,
     /*  139103 */ // Label 2427: @139103
     /*  139103 */ GIM_Try, /*On fail goto*//*Label 2505*/ GIMT_Encode4(139217),
     /*  139108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  139111 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  139114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139122 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139126 */   GIM_Try, /*On fail goto*//*Label 2506*/ GIMT_Encode4(139171), // Rule ID 47471 //
     /*  139131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139134 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  139134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  139137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  139151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139169 */     GIR_RootConstrainSelectedInstOperands,
     /*  139170 */     // GIR_Coverage, 47471,
     /*  139170 */     GIR_EraseRootFromParent_Done,
     /*  139171 */   // Label 2506: @139171
     /*  139171 */   GIM_Try, /*On fail goto*//*Label 2507*/ GIMT_Encode4(139216), // Rule ID 47472 //
     /*  139176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139179 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  139179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  139182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  139196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139214 */     GIR_RootConstrainSelectedInstOperands,
     /*  139215 */     // GIR_Coverage, 47472,
     /*  139215 */     GIR_EraseRootFromParent_Done,
     /*  139216 */   // Label 2507: @139216
     /*  139216 */   GIM_Reject,
     /*  139217 */ // Label 2505: @139217
     /*  139217 */ GIM_Reject,
     /*  139218 */ // Label 2428: @139218
     /*  139218 */ GIM_Try, /*On fail goto*//*Label 2508*/ GIMT_Encode4(139332),
     /*  139223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  139226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  139229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139237 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139241 */   GIM_Try, /*On fail goto*//*Label 2509*/ GIMT_Encode4(139286), // Rule ID 47479 //
     /*  139246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139249 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  139249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  139252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  139266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139284 */     GIR_RootConstrainSelectedInstOperands,
     /*  139285 */     // GIR_Coverage, 47479,
     /*  139285 */     GIR_EraseRootFromParent_Done,
     /*  139286 */   // Label 2509: @139286
     /*  139286 */   GIM_Try, /*On fail goto*//*Label 2510*/ GIMT_Encode4(139331), // Rule ID 47480 //
     /*  139291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139294 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  139294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  139297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  139311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139329 */     GIR_RootConstrainSelectedInstOperands,
     /*  139330 */     // GIR_Coverage, 47480,
     /*  139330 */     GIR_EraseRootFromParent_Done,
     /*  139331 */   // Label 2510: @139331
     /*  139331 */   GIM_Reject,
     /*  139332 */ // Label 2508: @139332
     /*  139332 */ GIM_Reject,
     /*  139333 */ // Label 2429: @139333
     /*  139333 */ GIM_Try, /*On fail goto*//*Label 2511*/ GIMT_Encode4(139447),
     /*  139338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  139341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  139344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139352 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139356 */   GIM_Try, /*On fail goto*//*Label 2512*/ GIMT_Encode4(139401), // Rule ID 47495 //
     /*  139361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  139364 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  139364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  139367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  139381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  139396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139399 */     GIR_RootConstrainSelectedInstOperands,
     /*  139400 */     // GIR_Coverage, 47495,
     /*  139400 */     GIR_EraseRootFromParent_Done,
     /*  139401 */   // Label 2512: @139401
     /*  139401 */   GIM_Try, /*On fail goto*//*Label 2513*/ GIMT_Encode4(139446), // Rule ID 47496 //
     /*  139406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  139409 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  139409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  139412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  139426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  139441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139444 */     GIR_RootConstrainSelectedInstOperands,
     /*  139445 */     // GIR_Coverage, 47496,
     /*  139445 */     GIR_EraseRootFromParent_Done,
     /*  139446 */   // Label 2513: @139446
     /*  139446 */   GIM_Reject,
     /*  139447 */ // Label 2511: @139447
     /*  139447 */ GIM_Reject,
     /*  139448 */ // Label 2430: @139448
     /*  139448 */ GIM_Try, /*On fail goto*//*Label 2514*/ GIMT_Encode4(141058),
     /*  139453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139463 */   GIM_Try, /*On fail goto*//*Label 2515*/ GIMT_Encode4(139532), // Rule ID 52727 //
     /*  139468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  139479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139483 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139497 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139501 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139505 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139509 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139511 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  139514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139530 */     GIR_RootConstrainSelectedInstOperands,
     /*  139531 */     // GIR_Coverage, 52727,
     /*  139531 */     GIR_EraseRootFromParent_Done,
     /*  139532 */   // Label 2515: @139532
     /*  139532 */   GIM_Try, /*On fail goto*//*Label 2516*/ GIMT_Encode4(139601), // Rule ID 52728 //
     /*  139537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  139548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139552 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139561 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139574 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139578 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139580 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  139583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139599 */     GIR_RootConstrainSelectedInstOperands,
     /*  139600 */     // GIR_Coverage, 52728,
     /*  139600 */     GIR_EraseRootFromParent_Done,
     /*  139601 */   // Label 2516: @139601
     /*  139601 */   GIM_Try, /*On fail goto*//*Label 2517*/ GIMT_Encode4(139670), // Rule ID 52729 //
     /*  139606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  139617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139621 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139625 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139647 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139649 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  139652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139668 */     GIR_RootConstrainSelectedInstOperands,
     /*  139669 */     // GIR_Coverage, 52729,
     /*  139669 */     GIR_EraseRootFromParent_Done,
     /*  139670 */   // Label 2517: @139670
     /*  139670 */   GIM_Try, /*On fail goto*//*Label 2518*/ GIMT_Encode4(139739), // Rule ID 52730 //
     /*  139675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  139686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139690 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139694 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139712 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139716 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139718 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  139721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139737 */     GIR_RootConstrainSelectedInstOperands,
     /*  139738 */     // GIR_Coverage, 52730,
     /*  139738 */     GIR_EraseRootFromParent_Done,
     /*  139739 */   // Label 2518: @139739
     /*  139739 */   GIM_Try, /*On fail goto*//*Label 2519*/ GIMT_Encode4(139805), // Rule ID 70395 //
     /*  139744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139759 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139775 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139784 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139786 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  139795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139803 */     GIR_RootConstrainSelectedInstOperands,
     /*  139804 */     // GIR_Coverage, 70395,
     /*  139804 */     GIR_EraseRootFromParent_Done,
     /*  139805 */   // Label 2519: @139805
     /*  139805 */   GIM_Try, /*On fail goto*//*Label 2520*/ GIMT_Encode4(139871), // Rule ID 70396 //
     /*  139810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139825 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139850 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139852 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  139861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139869 */     GIR_RootConstrainSelectedInstOperands,
     /*  139870 */     // GIR_Coverage, 70396,
     /*  139870 */     GIR_EraseRootFromParent_Done,
     /*  139871 */   // Label 2520: @139871
     /*  139871 */   GIM_Try, /*On fail goto*//*Label 2521*/ GIMT_Encode4(139937), // Rule ID 70393 //
     /*  139876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139891 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139918 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139935 */     GIR_RootConstrainSelectedInstOperands,
     /*  139936 */     // GIR_Coverage, 70393,
     /*  139936 */     GIR_EraseRootFromParent_Done,
     /*  139937 */   // Label 2521: @139937
     /*  139937 */   GIM_Try, /*On fail goto*//*Label 2522*/ GIMT_Encode4(140003), // Rule ID 70394 //
     /*  139942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139957 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139970 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139974 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139982 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139984 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140001 */     GIR_RootConstrainSelectedInstOperands,
     /*  140002 */     // GIR_Coverage, 70394,
     /*  140002 */     GIR_EraseRootFromParent_Done,
     /*  140003 */   // Label 2522: @140003
     /*  140003 */   GIM_Try, /*On fail goto*//*Label 2523*/ GIMT_Encode4(140072), // Rule ID 52731 //
     /*  140008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140023 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140051 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140070 */     GIR_RootConstrainSelectedInstOperands,
     /*  140071 */     // GIR_Coverage, 52731,
     /*  140071 */     GIR_EraseRootFromParent_Done,
     /*  140072 */   // Label 2523: @140072
     /*  140072 */   GIM_Try, /*On fail goto*//*Label 2524*/ GIMT_Encode4(140141), // Rule ID 52732 //
     /*  140077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140106 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140110 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140114 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140118 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140120 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140139 */     GIR_RootConstrainSelectedInstOperands,
     /*  140140 */     // GIR_Coverage, 52732,
     /*  140140 */     GIR_EraseRootFromParent_Done,
     /*  140141 */   // Label 2524: @140141
     /*  140141 */   GIM_Try, /*On fail goto*//*Label 2525*/ GIMT_Encode4(140210), // Rule ID 70389 //
     /*  140146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140161 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140165 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  140169 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140173 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140177 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140187 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140189 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140208 */     GIR_RootConstrainSelectedInstOperands,
     /*  140209 */     // GIR_Coverage, 70389,
     /*  140209 */     GIR_EraseRootFromParent_Done,
     /*  140210 */   // Label 2525: @140210
     /*  140210 */   GIM_Try, /*On fail goto*//*Label 2526*/ GIMT_Encode4(140279), // Rule ID 70390 //
     /*  140215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  140238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140242 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140251 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140256 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140258 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140277 */     GIR_RootConstrainSelectedInstOperands,
     /*  140278 */     // GIR_Coverage, 70390,
     /*  140278 */     GIR_EraseRootFromParent_Done,
     /*  140279 */   // Label 2526: @140279
     /*  140279 */   GIM_Try, /*On fail goto*//*Label 2527*/ GIMT_Encode4(140348), // Rule ID 70391 //
     /*  140284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  140307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140311 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140315 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140320 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140325 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140327 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  140330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140346 */     GIR_RootConstrainSelectedInstOperands,
     /*  140347 */     // GIR_Coverage, 70391,
     /*  140347 */     GIR_EraseRootFromParent_Done,
     /*  140348 */   // Label 2527: @140348
     /*  140348 */   GIM_Try, /*On fail goto*//*Label 2528*/ GIMT_Encode4(140417), // Rule ID 70392 //
     /*  140353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  140376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140380 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140394 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140396 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  140399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140415 */     GIR_RootConstrainSelectedInstOperands,
     /*  140416 */     // GIR_Coverage, 70392,
     /*  140416 */     GIR_EraseRootFromParent_Done,
     /*  140417 */   // Label 2528: @140417
     /*  140417 */   GIM_Try, /*On fail goto*//*Label 2529*/ GIMT_Encode4(140486), // Rule ID 70397 //
     /*  140422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140445 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140449 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140453 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140458 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140463 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140465 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140484 */     GIR_RootConstrainSelectedInstOperands,
     /*  140485 */     // GIR_Coverage, 70397,
     /*  140485 */     GIR_EraseRootFromParent_Done,
     /*  140486 */   // Label 2529: @140486
     /*  140486 */   GIM_Try, /*On fail goto*//*Label 2530*/ GIMT_Encode4(140555), // Rule ID 70398 //
     /*  140491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140518 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140522 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140527 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140532 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140534 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140553 */     GIR_RootConstrainSelectedInstOperands,
     /*  140554 */     // GIR_Coverage, 70398,
     /*  140554 */     GIR_EraseRootFromParent_Done,
     /*  140555 */   // Label 2530: @140555
     /*  140555 */   GIM_Try, /*On fail goto*//*Label 2531*/ GIMT_Encode4(140621), // Rule ID 70401 //
     /*  140560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140579 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140600 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140602 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  140611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140619 */     GIR_RootConstrainSelectedInstOperands,
     /*  140620 */     // GIR_Coverage, 70401,
     /*  140620 */     GIR_EraseRootFromParent_Done,
     /*  140621 */   // Label 2531: @140621
     /*  140621 */   GIM_Try, /*On fail goto*//*Label 2532*/ GIMT_Encode4(140687), // Rule ID 70402 //
     /*  140626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140666 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140668 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  140677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140685 */     GIR_RootConstrainSelectedInstOperands,
     /*  140686 */     // GIR_Coverage, 70402,
     /*  140686 */     GIR_EraseRootFromParent_Done,
     /*  140687 */   // Label 2532: @140687
     /*  140687 */   GIM_Try, /*On fail goto*//*Label 2533*/ GIMT_Encode4(140753), // Rule ID 70399 //
     /*  140692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140734 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140751 */     GIR_RootConstrainSelectedInstOperands,
     /*  140752 */     // GIR_Coverage, 70399,
     /*  140752 */     GIR_EraseRootFromParent_Done,
     /*  140753 */   // Label 2533: @140753
     /*  140753 */   GIM_Try, /*On fail goto*//*Label 2534*/ GIMT_Encode4(140819), // Rule ID 70400 //
     /*  140758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140800 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140817 */     GIR_RootConstrainSelectedInstOperands,
     /*  140818 */     // GIR_Coverage, 70400,
     /*  140818 */     GIR_EraseRootFromParent_Done,
     /*  140819 */   // Label 2534: @140819
     /*  140819 */   GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(140862), // Rule ID 70415 //
     /*  140824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140845 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140860 */     GIR_RootConstrainSelectedInstOperands,
     /*  140861 */     // GIR_Coverage, 70415,
     /*  140861 */     GIR_EraseRootFromParent_Done,
     /*  140862 */   // Label 2535: @140862
     /*  140862 */   GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(140905), // Rule ID 70416 //
     /*  140867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140888 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140903 */     GIR_RootConstrainSelectedInstOperands,
     /*  140904 */     // GIR_Coverage, 70416,
     /*  140904 */     GIR_EraseRootFromParent_Done,
     /*  140905 */   // Label 2536: @140905
     /*  140905 */   GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(140948), // Rule ID 52737 //
     /*  140910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140931 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140946 */     GIR_RootConstrainSelectedInstOperands,
     /*  140947 */     // GIR_Coverage, 52737,
     /*  140947 */     GIR_EraseRootFromParent_Done,
     /*  140948 */   // Label 2537: @140948
     /*  140948 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(140991), // Rule ID 52738 //
     /*  140953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140974 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140989 */     GIR_RootConstrainSelectedInstOperands,
     /*  140990 */     // GIR_Coverage, 52738,
     /*  140990 */     GIR_EraseRootFromParent_Done,
     /*  140991 */   // Label 2538: @140991
     /*  140991 */   GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(141024), // Rule ID 52725 //
     /*  140996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141007 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  141010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141022 */     GIR_RootConstrainSelectedInstOperands,
     /*  141023 */     // GIR_Coverage, 52725,
     /*  141023 */     GIR_EraseRootFromParent_Done,
     /*  141024 */   // Label 2539: @141024
     /*  141024 */   GIM_Try, /*On fail goto*//*Label 2540*/ GIMT_Encode4(141057), // Rule ID 52726 //
     /*  141029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141040 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  141043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141055 */     GIR_RootConstrainSelectedInstOperands,
     /*  141056 */     // GIR_Coverage, 52726,
     /*  141056 */     GIR_EraseRootFromParent_Done,
     /*  141057 */   // Label 2540: @141057
     /*  141057 */   GIM_Reject,
     /*  141058 */ // Label 2514: @141058
     /*  141058 */ GIM_Reject,
     /*  141059 */ // Label 2431: @141059
     /*  141059 */ GIM_Try, /*On fail goto*//*Label 2541*/ GIMT_Encode4(141173),
     /*  141064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  141067 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  141070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141078 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141082 */   GIM_Try, /*On fail goto*//*Label 2542*/ GIMT_Encode4(141127), // Rule ID 47463 //
     /*  141087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141090 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  141090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  141093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  141107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141125 */     GIR_RootConstrainSelectedInstOperands,
     /*  141126 */     // GIR_Coverage, 47463,
     /*  141126 */     GIR_EraseRootFromParent_Done,
     /*  141127 */   // Label 2542: @141127
     /*  141127 */   GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(141172), // Rule ID 47464 //
     /*  141132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141135 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  141135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  141138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  141152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141170 */     GIR_RootConstrainSelectedInstOperands,
     /*  141171 */     // GIR_Coverage, 47464,
     /*  141171 */     GIR_EraseRootFromParent_Done,
     /*  141172 */   // Label 2543: @141172
     /*  141172 */   GIM_Reject,
     /*  141173 */ // Label 2541: @141173
     /*  141173 */ GIM_Reject,
     /*  141174 */ // Label 2432: @141174
     /*  141174 */ GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(141288),
     /*  141179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  141182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  141185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141197 */   GIM_Try, /*On fail goto*//*Label 2545*/ GIMT_Encode4(141242), // Rule ID 47475 //
     /*  141202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141205 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  141205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  141208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  141222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  141237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141240 */     GIR_RootConstrainSelectedInstOperands,
     /*  141241 */     // GIR_Coverage, 47475,
     /*  141241 */     GIR_EraseRootFromParent_Done,
     /*  141242 */   // Label 2545: @141242
     /*  141242 */   GIM_Try, /*On fail goto*//*Label 2546*/ GIMT_Encode4(141287), // Rule ID 47476 //
     /*  141247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141250 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  141250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  141253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  141267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  141282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141285 */     GIR_RootConstrainSelectedInstOperands,
     /*  141286 */     // GIR_Coverage, 47476,
     /*  141286 */     GIR_EraseRootFromParent_Done,
     /*  141287 */   // Label 2546: @141287
     /*  141287 */   GIM_Reject,
     /*  141288 */ // Label 2544: @141288
     /*  141288 */ GIM_Reject,
     /*  141289 */ // Label 2433: @141289
     /*  141289 */ GIM_Try, /*On fail goto*//*Label 2547*/ GIMT_Encode4(141403),
     /*  141294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  141297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  141300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141312 */   GIM_Try, /*On fail goto*//*Label 2548*/ GIMT_Encode4(141357), // Rule ID 47491 //
     /*  141317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141320 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  141320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  141323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  141337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  141352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141355 */     GIR_RootConstrainSelectedInstOperands,
     /*  141356 */     // GIR_Coverage, 47491,
     /*  141356 */     GIR_EraseRootFromParent_Done,
     /*  141357 */   // Label 2548: @141357
     /*  141357 */   GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(141402), // Rule ID 47492 //
     /*  141362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141365 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  141365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  141368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  141382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  141397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141400 */     GIR_RootConstrainSelectedInstOperands,
     /*  141401 */     // GIR_Coverage, 47492,
     /*  141401 */     GIR_EraseRootFromParent_Done,
     /*  141402 */   // Label 2549: @141402
     /*  141402 */   GIM_Reject,
     /*  141403 */ // Label 2547: @141403
     /*  141403 */ GIM_Reject,
     /*  141404 */ // Label 2434: @141404
     /*  141404 */ GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(141518),
     /*  141409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  141412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  141415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  141419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  141423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  141427 */   GIM_Try, /*On fail goto*//*Label 2551*/ GIMT_Encode4(141472), // Rule ID 47535 //
     /*  141432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  141435 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  141435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  141438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  141452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141470 */     GIR_RootConstrainSelectedInstOperands,
     /*  141471 */     // GIR_Coverage, 47535,
     /*  141471 */     GIR_EraseRootFromParent_Done,
     /*  141472 */   // Label 2551: @141472
     /*  141472 */   GIM_Try, /*On fail goto*//*Label 2552*/ GIMT_Encode4(141517), // Rule ID 47536 //
     /*  141477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  141480 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  141480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  141483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  141497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141515 */     GIR_RootConstrainSelectedInstOperands,
     /*  141516 */     // GIR_Coverage, 47536,
     /*  141516 */     GIR_EraseRootFromParent_Done,
     /*  141517 */   // Label 2552: @141517
     /*  141517 */   GIM_Reject,
     /*  141518 */ // Label 2550: @141518
     /*  141518 */ GIM_Reject,
     /*  141519 */ // Label 2435: @141519
     /*  141519 */ GIM_Try, /*On fail goto*//*Label 2553*/ GIMT_Encode4(143129),
     /*  141524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141534 */   GIM_Try, /*On fail goto*//*Label 2554*/ GIMT_Encode4(141603), // Rule ID 52745 //
     /*  141539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  141550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141580 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141582 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  141585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141601 */     GIR_RootConstrainSelectedInstOperands,
     /*  141602 */     // GIR_Coverage, 52745,
     /*  141602 */     GIR_EraseRootFromParent_Done,
     /*  141603 */   // Label 2554: @141603
     /*  141603 */   GIM_Try, /*On fail goto*//*Label 2555*/ GIMT_Encode4(141672), // Rule ID 52746 //
     /*  141608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  141619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141623 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141649 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141651 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  141654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141670 */     GIR_RootConstrainSelectedInstOperands,
     /*  141671 */     // GIR_Coverage, 52746,
     /*  141671 */     GIR_EraseRootFromParent_Done,
     /*  141672 */   // Label 2555: @141672
     /*  141672 */   GIM_Try, /*On fail goto*//*Label 2556*/ GIMT_Encode4(141741), // Rule ID 52747 //
     /*  141677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  141688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141710 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141714 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141718 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141720 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  141723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141739 */     GIR_RootConstrainSelectedInstOperands,
     /*  141740 */     // GIR_Coverage, 52747,
     /*  141740 */     GIR_EraseRootFromParent_Done,
     /*  141741 */   // Label 2556: @141741
     /*  141741 */   GIM_Try, /*On fail goto*//*Label 2557*/ GIMT_Encode4(141810), // Rule ID 52748 //
     /*  141746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  141757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141761 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141787 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141789 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  141792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141808 */     GIR_RootConstrainSelectedInstOperands,
     /*  141809 */     // GIR_Coverage, 52748,
     /*  141809 */     GIR_EraseRootFromParent_Done,
     /*  141810 */   // Label 2557: @141810
     /*  141810 */   GIM_Try, /*On fail goto*//*Label 2558*/ GIMT_Encode4(141876), // Rule ID 70423 //
     /*  141815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141830 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  141838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141855 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141857 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  141866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141874 */     GIR_RootConstrainSelectedInstOperands,
     /*  141875 */     // GIR_Coverage, 70423,
     /*  141875 */     GIR_EraseRootFromParent_Done,
     /*  141876 */   // Label 2558: @141876
     /*  141876 */   GIM_Try, /*On fail goto*//*Label 2559*/ GIMT_Encode4(141942), // Rule ID 70424 //
     /*  141881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  141904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141923 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  141932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141940 */     GIR_RootConstrainSelectedInstOperands,
     /*  141941 */     // GIR_Coverage, 70424,
     /*  141941 */     GIR_EraseRootFromParent_Done,
     /*  141942 */   // Label 2559: @141942
     /*  141942 */   GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(142008), // Rule ID 70421 //
     /*  141947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141962 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  141975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141987 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141989 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142006 */     GIR_RootConstrainSelectedInstOperands,
     /*  142007 */     // GIR_Coverage, 70421,
     /*  142007 */     GIR_EraseRootFromParent_Done,
     /*  142008 */   // Label 2560: @142008
     /*  142008 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(142074), // Rule ID 70422 //
     /*  142013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142028 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142053 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142055 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142072 */     GIR_RootConstrainSelectedInstOperands,
     /*  142073 */     // GIR_Coverage, 70422,
     /*  142073 */     GIR_EraseRootFromParent_Done,
     /*  142074 */   // Label 2561: @142074
     /*  142074 */   GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(142143), // Rule ID 52749 //
     /*  142079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142120 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142122 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142141 */     GIR_RootConstrainSelectedInstOperands,
     /*  142142 */     // GIR_Coverage, 52749,
     /*  142142 */     GIR_EraseRootFromParent_Done,
     /*  142143 */   // Label 2562: @142143
     /*  142143 */   GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(142212), // Rule ID 52750 //
     /*  142148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142189 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142191 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142210 */     GIR_RootConstrainSelectedInstOperands,
     /*  142211 */     // GIR_Coverage, 52750,
     /*  142211 */     GIR_EraseRootFromParent_Done,
     /*  142212 */   // Label 2563: @142212
     /*  142212 */   GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(142281), // Rule ID 70417 //
     /*  142217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142244 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142253 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142258 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142260 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142279 */     GIR_RootConstrainSelectedInstOperands,
     /*  142280 */     // GIR_Coverage, 70417,
     /*  142280 */     GIR_EraseRootFromParent_Done,
     /*  142281 */   // Label 2564: @142281
     /*  142281 */   GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(142350), // Rule ID 70418 //
     /*  142286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142313 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142327 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142329 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142348 */     GIR_RootConstrainSelectedInstOperands,
     /*  142349 */     // GIR_Coverage, 70418,
     /*  142349 */     GIR_EraseRootFromParent_Done,
     /*  142350 */   // Label 2565: @142350
     /*  142350 */   GIM_Try, /*On fail goto*//*Label 2566*/ GIMT_Encode4(142419), // Rule ID 70419 //
     /*  142355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142382 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142386 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142398 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  142401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142417 */     GIR_RootConstrainSelectedInstOperands,
     /*  142418 */     // GIR_Coverage, 70419,
     /*  142418 */     GIR_EraseRootFromParent_Done,
     /*  142419 */   // Label 2566: @142419
     /*  142419 */   GIM_Try, /*On fail goto*//*Label 2567*/ GIMT_Encode4(142488), // Rule ID 70420 //
     /*  142424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142451 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142460 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142465 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142467 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  142470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142486 */     GIR_RootConstrainSelectedInstOperands,
     /*  142487 */     // GIR_Coverage, 70420,
     /*  142487 */     GIR_EraseRootFromParent_Done,
     /*  142488 */   // Label 2567: @142488
     /*  142488 */   GIM_Try, /*On fail goto*//*Label 2568*/ GIMT_Encode4(142557), // Rule ID 70425 //
     /*  142493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142516 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142520 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142524 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142529 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142534 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142536 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142555 */     GIR_RootConstrainSelectedInstOperands,
     /*  142556 */     // GIR_Coverage, 70425,
     /*  142556 */     GIR_EraseRootFromParent_Done,
     /*  142557 */   // Label 2568: @142557
     /*  142557 */   GIM_Try, /*On fail goto*//*Label 2569*/ GIMT_Encode4(142626), // Rule ID 70426 //
     /*  142562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142585 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142589 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142593 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142598 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142603 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142605 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142624 */     GIR_RootConstrainSelectedInstOperands,
     /*  142625 */     // GIR_Coverage, 70426,
     /*  142625 */     GIR_EraseRootFromParent_Done,
     /*  142626 */   // Label 2569: @142626
     /*  142626 */   GIM_Try, /*On fail goto*//*Label 2570*/ GIMT_Encode4(142692), // Rule ID 70429 //
     /*  142631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142673 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142690 */     GIR_RootConstrainSelectedInstOperands,
     /*  142691 */     // GIR_Coverage, 70429,
     /*  142691 */     GIR_EraseRootFromParent_Done,
     /*  142692 */   // Label 2570: @142692
     /*  142692 */   GIM_Try, /*On fail goto*//*Label 2571*/ GIMT_Encode4(142758), // Rule ID 70430 //
     /*  142697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142737 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142739 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142756 */     GIR_RootConstrainSelectedInstOperands,
     /*  142757 */     // GIR_Coverage, 70430,
     /*  142757 */     GIR_EraseRootFromParent_Done,
     /*  142758 */   // Label 2571: @142758
     /*  142758 */   GIM_Try, /*On fail goto*//*Label 2572*/ GIMT_Encode4(142824), // Rule ID 70427 //
     /*  142763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142805 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142822 */     GIR_RootConstrainSelectedInstOperands,
     /*  142823 */     // GIR_Coverage, 70427,
     /*  142823 */     GIR_EraseRootFromParent_Done,
     /*  142824 */   // Label 2572: @142824
     /*  142824 */   GIM_Try, /*On fail goto*//*Label 2573*/ GIMT_Encode4(142890), // Rule ID 70428 //
     /*  142829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142848 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142869 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142871 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142888 */     GIR_RootConstrainSelectedInstOperands,
     /*  142889 */     // GIR_Coverage, 70428,
     /*  142889 */     GIR_EraseRootFromParent_Done,
     /*  142890 */   // Label 2573: @142890
     /*  142890 */   GIM_Try, /*On fail goto*//*Label 2574*/ GIMT_Encode4(142933), // Rule ID 70443 //
     /*  142895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142916 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142931 */     GIR_RootConstrainSelectedInstOperands,
     /*  142932 */     // GIR_Coverage, 70443,
     /*  142932 */     GIR_EraseRootFromParent_Done,
     /*  142933 */   // Label 2574: @142933
     /*  142933 */   GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(142976), // Rule ID 70444 //
     /*  142938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142959 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142974 */     GIR_RootConstrainSelectedInstOperands,
     /*  142975 */     // GIR_Coverage, 70444,
     /*  142975 */     GIR_EraseRootFromParent_Done,
     /*  142976 */   // Label 2575: @142976
     /*  142976 */   GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(143019), // Rule ID 52755 //
     /*  142981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  143000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143002 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  143005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143017 */     GIR_RootConstrainSelectedInstOperands,
     /*  143018 */     // GIR_Coverage, 52755,
     /*  143018 */     GIR_EraseRootFromParent_Done,
     /*  143019 */   // Label 2576: @143019
     /*  143019 */   GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(143062), // Rule ID 52756 //
     /*  143024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  143043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143045 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  143048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143060 */     GIR_RootConstrainSelectedInstOperands,
     /*  143061 */     // GIR_Coverage, 52756,
     /*  143061 */     GIR_EraseRootFromParent_Done,
     /*  143062 */   // Label 2577: @143062
     /*  143062 */   GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(143095), // Rule ID 52743 //
     /*  143067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143078 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  143081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143093 */     GIR_RootConstrainSelectedInstOperands,
     /*  143094 */     // GIR_Coverage, 52743,
     /*  143094 */     GIR_EraseRootFromParent_Done,
     /*  143095 */   // Label 2578: @143095
     /*  143095 */   GIM_Try, /*On fail goto*//*Label 2579*/ GIMT_Encode4(143128), // Rule ID 52744 //
     /*  143100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143111 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  143114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143126 */     GIR_RootConstrainSelectedInstOperands,
     /*  143127 */     // GIR_Coverage, 52744,
     /*  143127 */     GIR_EraseRootFromParent_Done,
     /*  143128 */   // Label 2579: @143128
     /*  143128 */   GIM_Reject,
     /*  143129 */ // Label 2553: @143129
     /*  143129 */ GIM_Reject,
     /*  143130 */ // Label 2436: @143130
     /*  143130 */ GIM_Try, /*On fail goto*//*Label 2580*/ GIMT_Encode4(143244),
     /*  143135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  143138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  143141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143153 */   GIM_Try, /*On fail goto*//*Label 2581*/ GIMT_Encode4(143198), // Rule ID 47467 //
     /*  143158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143161 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  143161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  143164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  143178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143196 */     GIR_RootConstrainSelectedInstOperands,
     /*  143197 */     // GIR_Coverage, 47467,
     /*  143197 */     GIR_EraseRootFromParent_Done,
     /*  143198 */   // Label 2581: @143198
     /*  143198 */   GIM_Try, /*On fail goto*//*Label 2582*/ GIMT_Encode4(143243), // Rule ID 47468 //
     /*  143203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143206 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  143206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  143209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  143223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143241 */     GIR_RootConstrainSelectedInstOperands,
     /*  143242 */     // GIR_Coverage, 47468,
     /*  143242 */     GIR_EraseRootFromParent_Done,
     /*  143243 */   // Label 2582: @143243
     /*  143243 */   GIM_Reject,
     /*  143244 */ // Label 2580: @143244
     /*  143244 */ GIM_Reject,
     /*  143245 */ // Label 2437: @143245
     /*  143245 */ GIM_Try, /*On fail goto*//*Label 2583*/ GIMT_Encode4(143359),
     /*  143250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  143253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  143256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143268 */   GIM_Try, /*On fail goto*//*Label 2584*/ GIMT_Encode4(143313), // Rule ID 47487 //
     /*  143273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143276 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  143276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  143279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  143293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143311 */     GIR_RootConstrainSelectedInstOperands,
     /*  143312 */     // GIR_Coverage, 47487,
     /*  143312 */     GIR_EraseRootFromParent_Done,
     /*  143313 */   // Label 2584: @143313
     /*  143313 */   GIM_Try, /*On fail goto*//*Label 2585*/ GIMT_Encode4(143358), // Rule ID 47488 //
     /*  143318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143321 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  143321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  143324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  143338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143356 */     GIR_RootConstrainSelectedInstOperands,
     /*  143357 */     // GIR_Coverage, 47488,
     /*  143357 */     GIR_EraseRootFromParent_Done,
     /*  143358 */   // Label 2585: @143358
     /*  143358 */   GIM_Reject,
     /*  143359 */ // Label 2583: @143359
     /*  143359 */ GIM_Reject,
     /*  143360 */ // Label 2438: @143360
     /*  143360 */ GIM_Try, /*On fail goto*//*Label 2586*/ GIMT_Encode4(143474),
     /*  143365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  143368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  143371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143383 */   GIM_Try, /*On fail goto*//*Label 2587*/ GIMT_Encode4(143428), // Rule ID 47523 //
     /*  143388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143391 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  143391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  143394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  143408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  143423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143426 */     GIR_RootConstrainSelectedInstOperands,
     /*  143427 */     // GIR_Coverage, 47523,
     /*  143427 */     GIR_EraseRootFromParent_Done,
     /*  143428 */   // Label 2587: @143428
     /*  143428 */   GIM_Try, /*On fail goto*//*Label 2588*/ GIMT_Encode4(143473), // Rule ID 47524 //
     /*  143433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143436 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  143436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  143439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  143453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  143468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143471 */     GIR_RootConstrainSelectedInstOperands,
     /*  143472 */     // GIR_Coverage, 47524,
     /*  143472 */     GIR_EraseRootFromParent_Done,
     /*  143473 */   // Label 2588: @143473
     /*  143473 */   GIM_Reject,
     /*  143474 */ // Label 2586: @143474
     /*  143474 */ GIM_Reject,
     /*  143475 */ // Label 2439: @143475
     /*  143475 */ GIM_Try, /*On fail goto*//*Label 2589*/ GIMT_Encode4(143589),
     /*  143480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  143483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  143486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143498 */   GIM_Try, /*On fail goto*//*Label 2590*/ GIMT_Encode4(143543), // Rule ID 47539 //
     /*  143503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  143506 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  143506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  143509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  143523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143541 */     GIR_RootConstrainSelectedInstOperands,
     /*  143542 */     // GIR_Coverage, 47539,
     /*  143542 */     GIR_EraseRootFromParent_Done,
     /*  143543 */   // Label 2590: @143543
     /*  143543 */   GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(143588), // Rule ID 47540 //
     /*  143548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  143551 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  143551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  143554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  143568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143586 */     GIR_RootConstrainSelectedInstOperands,
     /*  143587 */     // GIR_Coverage, 47540,
     /*  143587 */     GIR_EraseRootFromParent_Done,
     /*  143588 */   // Label 2591: @143588
     /*  143588 */   GIM_Reject,
     /*  143589 */ // Label 2589: @143589
     /*  143589 */ GIM_Reject,
     /*  143590 */ // Label 2440: @143590
     /*  143590 */ GIM_Try, /*On fail goto*//*Label 2592*/ GIMT_Encode4(145200),
     /*  143595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143605 */   GIM_Try, /*On fail goto*//*Label 2593*/ GIMT_Encode4(143674), // Rule ID 52763 //
     /*  143610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  143621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143647 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143651 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143653 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  143656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143672 */     GIR_RootConstrainSelectedInstOperands,
     /*  143673 */     // GIR_Coverage, 52763,
     /*  143673 */     GIR_EraseRootFromParent_Done,
     /*  143674 */   // Label 2593: @143674
     /*  143674 */   GIM_Try, /*On fail goto*//*Label 2594*/ GIMT_Encode4(143743), // Rule ID 52764 //
     /*  143679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  143690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143694 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143720 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143722 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  143725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143741 */     GIR_RootConstrainSelectedInstOperands,
     /*  143742 */     // GIR_Coverage, 52764,
     /*  143742 */     GIR_EraseRootFromParent_Done,
     /*  143743 */   // Label 2594: @143743
     /*  143743 */   GIM_Try, /*On fail goto*//*Label 2595*/ GIMT_Encode4(143812), // Rule ID 52765 //
     /*  143748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  143759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143763 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143789 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143791 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  143794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143810 */     GIR_RootConstrainSelectedInstOperands,
     /*  143811 */     // GIR_Coverage, 52765,
     /*  143811 */     GIR_EraseRootFromParent_Done,
     /*  143812 */   // Label 2595: @143812
     /*  143812 */   GIM_Try, /*On fail goto*//*Label 2596*/ GIMT_Encode4(143881), // Rule ID 52766 //
     /*  143817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  143828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143854 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143860 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  143863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143879 */     GIR_RootConstrainSelectedInstOperands,
     /*  143880 */     // GIR_Coverage, 52766,
     /*  143880 */     GIR_EraseRootFromParent_Done,
     /*  143881 */   // Label 2596: @143881
     /*  143881 */   GIM_Try, /*On fail goto*//*Label 2597*/ GIMT_Encode4(143947), // Rule ID 70451 //
     /*  143886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143913 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143928 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  143931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  143937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143945 */     GIR_RootConstrainSelectedInstOperands,
     /*  143946 */     // GIR_Coverage, 70451,
     /*  143946 */     GIR_EraseRootFromParent_Done,
     /*  143947 */   // Label 2597: @143947
     /*  143947 */   GIM_Try, /*On fail goto*//*Label 2598*/ GIMT_Encode4(144013), // Rule ID 70452 //
     /*  143952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143994 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  143997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144011 */     GIR_RootConstrainSelectedInstOperands,
     /*  144012 */     // GIR_Coverage, 70452,
     /*  144012 */     GIR_EraseRootFromParent_Done,
     /*  144013 */   // Label 2598: @144013
     /*  144013 */   GIM_Try, /*On fail goto*//*Label 2599*/ GIMT_Encode4(144079), // Rule ID 70449 //
     /*  144018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144033 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144058 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144060 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144077 */     GIR_RootConstrainSelectedInstOperands,
     /*  144078 */     // GIR_Coverage, 70449,
     /*  144078 */     GIR_EraseRootFromParent_Done,
     /*  144079 */   // Label 2599: @144079
     /*  144079 */   GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(144145), // Rule ID 70450 //
     /*  144084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144099 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144124 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144126 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144143 */     GIR_RootConstrainSelectedInstOperands,
     /*  144144 */     // GIR_Coverage, 70450,
     /*  144144 */     GIR_EraseRootFromParent_Done,
     /*  144145 */   // Label 2600: @144145
     /*  144145 */   GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(144214), // Rule ID 52767 //
     /*  144150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144179 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144183 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144187 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144193 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144212 */     GIR_RootConstrainSelectedInstOperands,
     /*  144213 */     // GIR_Coverage, 52767,
     /*  144213 */     GIR_EraseRootFromParent_Done,
     /*  144214 */   // Label 2601: @144214
     /*  144214 */   GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(144283), // Rule ID 52768 //
     /*  144219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144260 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144262 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144281 */     GIR_RootConstrainSelectedInstOperands,
     /*  144282 */     // GIR_Coverage, 52768,
     /*  144282 */     GIR_EraseRootFromParent_Done,
     /*  144283 */   // Label 2602: @144283
     /*  144283 */   GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(144352), // Rule ID 70445 //
     /*  144288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144315 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144319 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144324 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144329 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144331 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  144334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144350 */     GIR_RootConstrainSelectedInstOperands,
     /*  144351 */     // GIR_Coverage, 70445,
     /*  144351 */     GIR_EraseRootFromParent_Done,
     /*  144352 */   // Label 2603: @144352
     /*  144352 */   GIM_Try, /*On fail goto*//*Label 2604*/ GIMT_Encode4(144421), // Rule ID 70446 //
     /*  144357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144380 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144384 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144398 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144400 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  144403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144419 */     GIR_RootConstrainSelectedInstOperands,
     /*  144420 */     // GIR_Coverage, 70446,
     /*  144420 */     GIR_EraseRootFromParent_Done,
     /*  144421 */   // Label 2604: @144421
     /*  144421 */   GIM_Try, /*On fail goto*//*Label 2605*/ GIMT_Encode4(144490), // Rule ID 70447 //
     /*  144426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144453 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144457 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144469 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  144472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144488 */     GIR_RootConstrainSelectedInstOperands,
     /*  144489 */     // GIR_Coverage, 70447,
     /*  144489 */     GIR_EraseRootFromParent_Done,
     /*  144490 */   // Label 2605: @144490
     /*  144490 */   GIM_Try, /*On fail goto*//*Label 2606*/ GIMT_Encode4(144559), // Rule ID 70448 //
     /*  144495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144522 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144526 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144531 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144536 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144538 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  144541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144557 */     GIR_RootConstrainSelectedInstOperands,
     /*  144558 */     // GIR_Coverage, 70448,
     /*  144558 */     GIR_EraseRootFromParent_Done,
     /*  144559 */   // Label 2606: @144559
     /*  144559 */   GIM_Try, /*On fail goto*//*Label 2607*/ GIMT_Encode4(144628), // Rule ID 70453 //
     /*  144564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144579 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144583 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144587 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144591 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144595 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144600 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144607 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144626 */     GIR_RootConstrainSelectedInstOperands,
     /*  144627 */     // GIR_Coverage, 70453,
     /*  144627 */     GIR_EraseRootFromParent_Done,
     /*  144628 */   // Label 2607: @144628
     /*  144628 */   GIM_Try, /*On fail goto*//*Label 2608*/ GIMT_Encode4(144697), // Rule ID 70454 //
     /*  144633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144660 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144664 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144674 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144676 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144695 */     GIR_RootConstrainSelectedInstOperands,
     /*  144696 */     // GIR_Coverage, 70454,
     /*  144696 */     GIR_EraseRootFromParent_Done,
     /*  144697 */   // Label 2608: @144697
     /*  144697 */   GIM_Try, /*On fail goto*//*Label 2609*/ GIMT_Encode4(144763), // Rule ID 70457 //
     /*  144702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144744 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144761 */     GIR_RootConstrainSelectedInstOperands,
     /*  144762 */     // GIR_Coverage, 70457,
     /*  144762 */     GIR_EraseRootFromParent_Done,
     /*  144763 */   // Label 2609: @144763
     /*  144763 */   GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(144829), // Rule ID 70458 //
     /*  144768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144810 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144827 */     GIR_RootConstrainSelectedInstOperands,
     /*  144828 */     // GIR_Coverage, 70458,
     /*  144828 */     GIR_EraseRootFromParent_Done,
     /*  144829 */   // Label 2610: @144829
     /*  144829 */   GIM_Try, /*On fail goto*//*Label 2611*/ GIMT_Encode4(144895), // Rule ID 70455 //
     /*  144834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144874 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144876 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144893 */     GIR_RootConstrainSelectedInstOperands,
     /*  144894 */     // GIR_Coverage, 70455,
     /*  144894 */     GIR_EraseRootFromParent_Done,
     /*  144895 */   // Label 2611: @144895
     /*  144895 */   GIM_Try, /*On fail goto*//*Label 2612*/ GIMT_Encode4(144961), // Rule ID 70456 //
     /*  144900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144940 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144942 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144959 */     GIR_RootConstrainSelectedInstOperands,
     /*  144960 */     // GIR_Coverage, 70456,
     /*  144960 */     GIR_EraseRootFromParent_Done,
     /*  144961 */   // Label 2612: @144961
     /*  144961 */   GIM_Try, /*On fail goto*//*Label 2613*/ GIMT_Encode4(145004), // Rule ID 70471 //
     /*  144966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144987 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  144990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  144994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  144996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145002 */     GIR_RootConstrainSelectedInstOperands,
     /*  145003 */     // GIR_Coverage, 70471,
     /*  145003 */     GIR_EraseRootFromParent_Done,
     /*  145004 */   // Label 2613: @145004
     /*  145004 */   GIM_Try, /*On fail goto*//*Label 2614*/ GIMT_Encode4(145047), // Rule ID 70472 //
     /*  145009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145030 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  145033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145045 */     GIR_RootConstrainSelectedInstOperands,
     /*  145046 */     // GIR_Coverage, 70472,
     /*  145046 */     GIR_EraseRootFromParent_Done,
     /*  145047 */   // Label 2614: @145047
     /*  145047 */   GIM_Try, /*On fail goto*//*Label 2615*/ GIMT_Encode4(145090), // Rule ID 52773 //
     /*  145052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  145071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145073 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  145076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145088 */     GIR_RootConstrainSelectedInstOperands,
     /*  145089 */     // GIR_Coverage, 52773,
     /*  145089 */     GIR_EraseRootFromParent_Done,
     /*  145090 */   // Label 2615: @145090
     /*  145090 */   GIM_Try, /*On fail goto*//*Label 2616*/ GIMT_Encode4(145133), // Rule ID 52774 //
     /*  145095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145116 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  145119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145131 */     GIR_RootConstrainSelectedInstOperands,
     /*  145132 */     // GIR_Coverage, 52774,
     /*  145132 */     GIR_EraseRootFromParent_Done,
     /*  145133 */   // Label 2616: @145133
     /*  145133 */   GIM_Try, /*On fail goto*//*Label 2617*/ GIMT_Encode4(145166), // Rule ID 52761 //
     /*  145138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145149 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  145152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145164 */     GIR_RootConstrainSelectedInstOperands,
     /*  145165 */     // GIR_Coverage, 52761,
     /*  145165 */     GIR_EraseRootFromParent_Done,
     /*  145166 */   // Label 2617: @145166
     /*  145166 */   GIM_Try, /*On fail goto*//*Label 2618*/ GIMT_Encode4(145199), // Rule ID 52762 //
     /*  145171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145182 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  145185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145197 */     GIR_RootConstrainSelectedInstOperands,
     /*  145198 */     // GIR_Coverage, 52762,
     /*  145198 */     GIR_EraseRootFromParent_Done,
     /*  145199 */   // Label 2618: @145199
     /*  145199 */   GIM_Reject,
     /*  145200 */ // Label 2592: @145200
     /*  145200 */ GIM_Reject,
     /*  145201 */ // Label 2441: @145201
     /*  145201 */ GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(145315),
     /*  145206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  145209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  145212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145224 */   GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(145269), // Rule ID 47483 //
     /*  145229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145232 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  145232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  145235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  145249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145267 */     GIR_RootConstrainSelectedInstOperands,
     /*  145268 */     // GIR_Coverage, 47483,
     /*  145268 */     GIR_EraseRootFromParent_Done,
     /*  145269 */   // Label 2620: @145269
     /*  145269 */   GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(145314), // Rule ID 47484 //
     /*  145274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145277 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  145277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  145280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  145294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145312 */     GIR_RootConstrainSelectedInstOperands,
     /*  145313 */     // GIR_Coverage, 47484,
     /*  145313 */     GIR_EraseRootFromParent_Done,
     /*  145314 */   // Label 2621: @145314
     /*  145314 */   GIM_Reject,
     /*  145315 */ // Label 2619: @145315
     /*  145315 */ GIM_Reject,
     /*  145316 */ // Label 2442: @145316
     /*  145316 */ GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(145430),
     /*  145321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  145324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  145327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  145339 */   GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(145384), // Rule ID 47511 //
     /*  145344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145347 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  145347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  145350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  145364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145382 */     GIR_RootConstrainSelectedInstOperands,
     /*  145383 */     // GIR_Coverage, 47511,
     /*  145383 */     GIR_EraseRootFromParent_Done,
     /*  145384 */   // Label 2623: @145384
     /*  145384 */   GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(145429), // Rule ID 47512 //
     /*  145389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145392 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  145392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  145395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  145409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145427 */     GIR_RootConstrainSelectedInstOperands,
     /*  145428 */     // GIR_Coverage, 47512,
     /*  145428 */     GIR_EraseRootFromParent_Done,
     /*  145429 */   // Label 2624: @145429
     /*  145429 */   GIM_Reject,
     /*  145430 */ // Label 2622: @145430
     /*  145430 */ GIM_Reject,
     /*  145431 */ // Label 2443: @145431
     /*  145431 */ GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(145545),
     /*  145436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  145439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  145442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  145446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  145450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  145454 */   GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(145499), // Rule ID 47527 //
     /*  145459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145462 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  145462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  145465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  145479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  145494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145497 */     GIR_RootConstrainSelectedInstOperands,
     /*  145498 */     // GIR_Coverage, 47527,
     /*  145498 */     GIR_EraseRootFromParent_Done,
     /*  145499 */   // Label 2626: @145499
     /*  145499 */   GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(145544), // Rule ID 47528 //
     /*  145504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145507 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  145507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  145510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  145524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  145539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145542 */     GIR_RootConstrainSelectedInstOperands,
     /*  145543 */     // GIR_Coverage, 47528,
     /*  145543 */     GIR_EraseRootFromParent_Done,
     /*  145544 */   // Label 2627: @145544
     /*  145544 */   GIM_Reject,
     /*  145545 */ // Label 2625: @145545
     /*  145545 */ GIM_Reject,
     /*  145546 */ // Label 2444: @145546
     /*  145546 */ GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(145660),
     /*  145551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  145554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  145557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  145561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  145565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  145569 */   GIM_Try, /*On fail goto*//*Label 2629*/ GIMT_Encode4(145614), // Rule ID 47543 //
     /*  145574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  145577 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  145577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  145580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  145594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  145609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145612 */     GIR_RootConstrainSelectedInstOperands,
     /*  145613 */     // GIR_Coverage, 47543,
     /*  145613 */     GIR_EraseRootFromParent_Done,
     /*  145614 */   // Label 2629: @145614
     /*  145614 */   GIM_Try, /*On fail goto*//*Label 2630*/ GIMT_Encode4(145659), // Rule ID 47544 //
     /*  145619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  145622 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  145622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  145625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  145639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  145654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145657 */     GIR_RootConstrainSelectedInstOperands,
     /*  145658 */     // GIR_Coverage, 47544,
     /*  145658 */     GIR_EraseRootFromParent_Done,
     /*  145659 */   // Label 2630: @145659
     /*  145659 */   GIM_Reject,
     /*  145660 */ // Label 2628: @145660
     /*  145660 */ GIM_Reject,
     /*  145661 */ // Label 2445: @145661
     /*  145661 */ GIM_Try, /*On fail goto*//*Label 2631*/ GIMT_Encode4(147271),
     /*  145666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145676 */   GIM_Try, /*On fail goto*//*Label 2632*/ GIMT_Encode4(145745), // Rule ID 52781 //
     /*  145681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  145692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145696 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145722 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145724 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  145727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145743 */     GIR_RootConstrainSelectedInstOperands,
     /*  145744 */     // GIR_Coverage, 52781,
     /*  145744 */     GIR_EraseRootFromParent_Done,
     /*  145745 */   // Label 2632: @145745
     /*  145745 */   GIM_Try, /*On fail goto*//*Label 2633*/ GIMT_Encode4(145814), // Rule ID 52782 //
     /*  145750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  145761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145765 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145791 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145793 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  145796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145812 */     GIR_RootConstrainSelectedInstOperands,
     /*  145813 */     // GIR_Coverage, 52782,
     /*  145813 */     GIR_EraseRootFromParent_Done,
     /*  145814 */   // Label 2633: @145814
     /*  145814 */   GIM_Try, /*On fail goto*//*Label 2634*/ GIMT_Encode4(145883), // Rule ID 52783 //
     /*  145819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  145830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145834 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145862 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  145865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145881 */     GIR_RootConstrainSelectedInstOperands,
     /*  145882 */     // GIR_Coverage, 52783,
     /*  145882 */     GIR_EraseRootFromParent_Done,
     /*  145883 */   // Label 2634: @145883
     /*  145883 */   GIM_Try, /*On fail goto*//*Label 2635*/ GIMT_Encode4(145952), // Rule ID 52784 //
     /*  145888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  145899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145929 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145931 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  145934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145950 */     GIR_RootConstrainSelectedInstOperands,
     /*  145951 */     // GIR_Coverage, 52784,
     /*  145951 */     GIR_EraseRootFromParent_Done,
     /*  145952 */   // Label 2635: @145952
     /*  145952 */   GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(146018), // Rule ID 70479 //
     /*  145957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145972 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  145980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145997 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145999 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146016 */     GIR_RootConstrainSelectedInstOperands,
     /*  146017 */     // GIR_Coverage, 70479,
     /*  146017 */     GIR_EraseRootFromParent_Done,
     /*  146018 */   // Label 2636: @146018
     /*  146018 */   GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(146084), // Rule ID 70480 //
     /*  146023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146038 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146065 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146082 */     GIR_RootConstrainSelectedInstOperands,
     /*  146083 */     // GIR_Coverage, 70480,
     /*  146083 */     GIR_EraseRootFromParent_Done,
     /*  146084 */   // Label 2637: @146084
     /*  146084 */   GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(146150), // Rule ID 70477 //
     /*  146089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146104 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146129 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146131 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146148 */     GIR_RootConstrainSelectedInstOperands,
     /*  146149 */     // GIR_Coverage, 70477,
     /*  146149 */     GIR_EraseRootFromParent_Done,
     /*  146150 */   // Label 2638: @146150
     /*  146150 */   GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(146216), // Rule ID 70478 //
     /*  146155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146179 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146183 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146187 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146195 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146197 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146214 */     GIR_RootConstrainSelectedInstOperands,
     /*  146215 */     // GIR_Coverage, 70478,
     /*  146215 */     GIR_EraseRootFromParent_Done,
     /*  146216 */   // Label 2639: @146216
     /*  146216 */   GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(146285), // Rule ID 52785 //
     /*  146221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146236 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146264 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146283 */     GIR_RootConstrainSelectedInstOperands,
     /*  146284 */     // GIR_Coverage, 52785,
     /*  146284 */     GIR_EraseRootFromParent_Done,
     /*  146285 */   // Label 2640: @146285
     /*  146285 */   GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(146354), // Rule ID 52786 //
     /*  146290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146305 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146333 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146352 */     GIR_RootConstrainSelectedInstOperands,
     /*  146353 */     // GIR_Coverage, 52786,
     /*  146353 */     GIR_EraseRootFromParent_Done,
     /*  146354 */   // Label 2641: @146354
     /*  146354 */   GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(146423), // Rule ID 70473 //
     /*  146359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146386 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146390 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146395 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146402 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  146405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146421 */     GIR_RootConstrainSelectedInstOperands,
     /*  146422 */     // GIR_Coverage, 70473,
     /*  146422 */     GIR_EraseRootFromParent_Done,
     /*  146423 */   // Label 2642: @146423
     /*  146423 */   GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(146492), // Rule ID 70474 //
     /*  146428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146455 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146464 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146469 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146471 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  146474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146490 */     GIR_RootConstrainSelectedInstOperands,
     /*  146491 */     // GIR_Coverage, 70474,
     /*  146491 */     GIR_EraseRootFromParent_Done,
     /*  146492 */   // Label 2643: @146492
     /*  146492 */   GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(146561), // Rule ID 70475 //
     /*  146497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146524 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146528 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146533 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146538 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146540 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  146543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146559 */     GIR_RootConstrainSelectedInstOperands,
     /*  146560 */     // GIR_Coverage, 70475,
     /*  146560 */     GIR_EraseRootFromParent_Done,
     /*  146561 */   // Label 2644: @146561
     /*  146561 */   GIM_Try, /*On fail goto*//*Label 2645*/ GIMT_Encode4(146630), // Rule ID 70476 //
     /*  146566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146581 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146585 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146589 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146593 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146597 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146602 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146607 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146609 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  146612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146628 */     GIR_RootConstrainSelectedInstOperands,
     /*  146629 */     // GIR_Coverage, 70476,
     /*  146629 */     GIR_EraseRootFromParent_Done,
     /*  146630 */   // Label 2645: @146630
     /*  146630 */   GIM_Try, /*On fail goto*//*Label 2646*/ GIMT_Encode4(146699), // Rule ID 70481 //
     /*  146635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146658 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146662 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146666 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146676 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146678 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146697 */     GIR_RootConstrainSelectedInstOperands,
     /*  146698 */     // GIR_Coverage, 70481,
     /*  146698 */     GIR_EraseRootFromParent_Done,
     /*  146699 */   // Label 2646: @146699
     /*  146699 */   GIM_Try, /*On fail goto*//*Label 2647*/ GIMT_Encode4(146768), // Rule ID 70482 //
     /*  146704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146727 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146731 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146735 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146740 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146747 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146766 */     GIR_RootConstrainSelectedInstOperands,
     /*  146767 */     // GIR_Coverage, 70482,
     /*  146767 */     GIR_EraseRootFromParent_Done,
     /*  146768 */   // Label 2647: @146768
     /*  146768 */   GIM_Try, /*On fail goto*//*Label 2648*/ GIMT_Encode4(146834), // Rule ID 70485 //
     /*  146773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146813 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146815 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146832 */     GIR_RootConstrainSelectedInstOperands,
     /*  146833 */     // GIR_Coverage, 70485,
     /*  146833 */     GIR_EraseRootFromParent_Done,
     /*  146834 */   // Label 2648: @146834
     /*  146834 */   GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(146900), // Rule ID 70486 //
     /*  146839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146879 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146881 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146898 */     GIR_RootConstrainSelectedInstOperands,
     /*  146899 */     // GIR_Coverage, 70486,
     /*  146899 */     GIR_EraseRootFromParent_Done,
     /*  146900 */   // Label 2649: @146900
     /*  146900 */   GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(146966), // Rule ID 70483 //
     /*  146905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146947 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146964 */     GIR_RootConstrainSelectedInstOperands,
     /*  146965 */     // GIR_Coverage, 70483,
     /*  146965 */     GIR_EraseRootFromParent_Done,
     /*  146966 */   // Label 2650: @146966
     /*  146966 */   GIM_Try, /*On fail goto*//*Label 2651*/ GIMT_Encode4(147032), // Rule ID 70484 //
     /*  146971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  147003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147013 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  147016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  147024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147030 */     GIR_RootConstrainSelectedInstOperands,
     /*  147031 */     // GIR_Coverage, 70484,
     /*  147031 */     GIR_EraseRootFromParent_Done,
     /*  147032 */   // Label 2651: @147032
     /*  147032 */   GIM_Try, /*On fail goto*//*Label 2652*/ GIMT_Encode4(147075), // Rule ID 70499 //
     /*  147037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147058 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147073 */     GIR_RootConstrainSelectedInstOperands,
     /*  147074 */     // GIR_Coverage, 70499,
     /*  147074 */     GIR_EraseRootFromParent_Done,
     /*  147075 */   // Label 2652: @147075
     /*  147075 */   GIM_Try, /*On fail goto*//*Label 2653*/ GIMT_Encode4(147118), // Rule ID 70500 //
     /*  147080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147101 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147116 */     GIR_RootConstrainSelectedInstOperands,
     /*  147117 */     // GIR_Coverage, 70500,
     /*  147117 */     GIR_EraseRootFromParent_Done,
     /*  147118 */   // Label 2653: @147118
     /*  147118 */   GIM_Try, /*On fail goto*//*Label 2654*/ GIMT_Encode4(147161), // Rule ID 52791 //
     /*  147123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147144 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147159 */     GIR_RootConstrainSelectedInstOperands,
     /*  147160 */     // GIR_Coverage, 52791,
     /*  147160 */     GIR_EraseRootFromParent_Done,
     /*  147161 */   // Label 2654: @147161
     /*  147161 */   GIM_Try, /*On fail goto*//*Label 2655*/ GIMT_Encode4(147204), // Rule ID 52792 //
     /*  147166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147187 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  147190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147202 */     GIR_RootConstrainSelectedInstOperands,
     /*  147203 */     // GIR_Coverage, 52792,
     /*  147203 */     GIR_EraseRootFromParent_Done,
     /*  147204 */   // Label 2655: @147204
     /*  147204 */   GIM_Try, /*On fail goto*//*Label 2656*/ GIMT_Encode4(147237), // Rule ID 52779 //
     /*  147209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147220 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  147223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147235 */     GIR_RootConstrainSelectedInstOperands,
     /*  147236 */     // GIR_Coverage, 52779,
     /*  147236 */     GIR_EraseRootFromParent_Done,
     /*  147237 */   // Label 2656: @147237
     /*  147237 */   GIM_Try, /*On fail goto*//*Label 2657*/ GIMT_Encode4(147270), // Rule ID 52780 //
     /*  147242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147253 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  147256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147268 */     GIR_RootConstrainSelectedInstOperands,
     /*  147269 */     // GIR_Coverage, 52780,
     /*  147269 */     GIR_EraseRootFromParent_Done,
     /*  147270 */   // Label 2657: @147270
     /*  147270 */   GIM_Reject,
     /*  147271 */ // Label 2631: @147271
     /*  147271 */ GIM_Reject,
     /*  147272 */ // Label 2446: @147272
     /*  147272 */ GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(147386),
     /*  147277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  147280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  147283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147291 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147295 */   GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(147340), // Rule ID 47499 //
     /*  147300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147303 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  147303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  147306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  147320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147338 */     GIR_RootConstrainSelectedInstOperands,
     /*  147339 */     // GIR_Coverage, 47499,
     /*  147339 */     GIR_EraseRootFromParent_Done,
     /*  147340 */   // Label 2659: @147340
     /*  147340 */   GIM_Try, /*On fail goto*//*Label 2660*/ GIMT_Encode4(147385), // Rule ID 47500 //
     /*  147345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147348 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  147348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  147351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  147365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147383 */     GIR_RootConstrainSelectedInstOperands,
     /*  147384 */     // GIR_Coverage, 47500,
     /*  147384 */     GIR_EraseRootFromParent_Done,
     /*  147385 */   // Label 2660: @147385
     /*  147385 */   GIM_Reject,
     /*  147386 */ // Label 2658: @147386
     /*  147386 */ GIM_Reject,
     /*  147387 */ // Label 2447: @147387
     /*  147387 */ GIM_Try, /*On fail goto*//*Label 2661*/ GIMT_Encode4(147501),
     /*  147392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  147395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  147398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147406 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147410 */   GIM_Try, /*On fail goto*//*Label 2662*/ GIMT_Encode4(147455), // Rule ID 47515 //
     /*  147415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147418 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  147418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  147421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  147435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  147450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147453 */     GIR_RootConstrainSelectedInstOperands,
     /*  147454 */     // GIR_Coverage, 47515,
     /*  147454 */     GIR_EraseRootFromParent_Done,
     /*  147455 */   // Label 2662: @147455
     /*  147455 */   GIM_Try, /*On fail goto*//*Label 2663*/ GIMT_Encode4(147500), // Rule ID 47516 //
     /*  147460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147463 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  147463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  147466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  147480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  147495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147498 */     GIR_RootConstrainSelectedInstOperands,
     /*  147499 */     // GIR_Coverage, 47516,
     /*  147499 */     GIR_EraseRootFromParent_Done,
     /*  147500 */   // Label 2663: @147500
     /*  147500 */   GIM_Reject,
     /*  147501 */ // Label 2661: @147501
     /*  147501 */ GIM_Reject,
     /*  147502 */ // Label 2448: @147502
     /*  147502 */ GIM_Try, /*On fail goto*//*Label 2664*/ GIMT_Encode4(147616),
     /*  147507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  147510 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  147513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147521 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147525 */   GIM_Try, /*On fail goto*//*Label 2665*/ GIMT_Encode4(147570), // Rule ID 47531 //
     /*  147530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147533 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  147533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  147536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  147550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147568 */     GIR_RootConstrainSelectedInstOperands,
     /*  147569 */     // GIR_Coverage, 47531,
     /*  147569 */     GIR_EraseRootFromParent_Done,
     /*  147570 */   // Label 2665: @147570
     /*  147570 */   GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(147615), // Rule ID 47532 //
     /*  147575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147578 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  147578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  147581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  147595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147613 */     GIR_RootConstrainSelectedInstOperands,
     /*  147614 */     // GIR_Coverage, 47532,
     /*  147614 */     GIR_EraseRootFromParent_Done,
     /*  147615 */   // Label 2666: @147615
     /*  147615 */   GIM_Reject,
     /*  147616 */ // Label 2664: @147616
     /*  147616 */ GIM_Reject,
     /*  147617 */ // Label 2449: @147617
     /*  147617 */ GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(149227),
     /*  147622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147632 */   GIM_Try, /*On fail goto*//*Label 2668*/ GIMT_Encode4(147701), // Rule ID 52799 //
     /*  147637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147674 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147678 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147680 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  147683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147699 */     GIR_RootConstrainSelectedInstOperands,
     /*  147700 */     // GIR_Coverage, 52799,
     /*  147700 */     GIR_EraseRootFromParent_Done,
     /*  147701 */   // Label 2668: @147701
     /*  147701 */   GIM_Try, /*On fail goto*//*Label 2669*/ GIMT_Encode4(147770), // Rule ID 52800 //
     /*  147706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147743 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147747 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147749 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  147752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147768 */     GIR_RootConstrainSelectedInstOperands,
     /*  147769 */     // GIR_Coverage, 52800,
     /*  147769 */     GIR_EraseRootFromParent_Done,
     /*  147770 */   // Label 2669: @147770
     /*  147770 */   GIM_Try, /*On fail goto*//*Label 2670*/ GIMT_Encode4(147839), // Rule ID 52801 //
     /*  147775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147818 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  147821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147837 */     GIR_RootConstrainSelectedInstOperands,
     /*  147838 */     // GIR_Coverage, 52801,
     /*  147838 */     GIR_EraseRootFromParent_Done,
     /*  147839 */   // Label 2670: @147839
     /*  147839 */   GIM_Try, /*On fail goto*//*Label 2671*/ GIMT_Encode4(147908), // Rule ID 52802 //
     /*  147844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147859 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147885 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147887 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  147890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147906 */     GIR_RootConstrainSelectedInstOperands,
     /*  147907 */     // GIR_Coverage, 52802,
     /*  147907 */     GIR_EraseRootFromParent_Done,
     /*  147908 */   // Label 2671: @147908
     /*  147908 */   GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(147974), // Rule ID 70507 //
     /*  147913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147928 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  147936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147955 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  147958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  147964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147972 */     GIR_RootConstrainSelectedInstOperands,
     /*  147973 */     // GIR_Coverage, 70507,
     /*  147973 */     GIR_EraseRootFromParent_Done,
     /*  147974 */   // Label 2672: @147974
     /*  147974 */   GIM_Try, /*On fail goto*//*Label 2673*/ GIMT_Encode4(148040), // Rule ID 70508 //
     /*  147979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147994 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148019 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148021 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148038 */     GIR_RootConstrainSelectedInstOperands,
     /*  148039 */     // GIR_Coverage, 70508,
     /*  148039 */     GIR_EraseRootFromParent_Done,
     /*  148040 */   // Label 2673: @148040
     /*  148040 */   GIM_Try, /*On fail goto*//*Label 2674*/ GIMT_Encode4(148106), // Rule ID 70505 //
     /*  148045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148060 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148085 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148087 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148104 */     GIR_RootConstrainSelectedInstOperands,
     /*  148105 */     // GIR_Coverage, 70505,
     /*  148105 */     GIR_EraseRootFromParent_Done,
     /*  148106 */   // Label 2674: @148106
     /*  148106 */   GIM_Try, /*On fail goto*//*Label 2675*/ GIMT_Encode4(148172), // Rule ID 70506 //
     /*  148111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148126 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148153 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148170 */     GIR_RootConstrainSelectedInstOperands,
     /*  148171 */     // GIR_Coverage, 70506,
     /*  148171 */     GIR_EraseRootFromParent_Done,
     /*  148172 */   // Label 2675: @148172
     /*  148172 */   GIM_Try, /*On fail goto*//*Label 2676*/ GIMT_Encode4(148241), // Rule ID 52803 //
     /*  148177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148220 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148239 */     GIR_RootConstrainSelectedInstOperands,
     /*  148240 */     // GIR_Coverage, 52803,
     /*  148240 */     GIR_EraseRootFromParent_Done,
     /*  148241 */   // Label 2676: @148241
     /*  148241 */   GIM_Try, /*On fail goto*//*Label 2677*/ GIMT_Encode4(148310), // Rule ID 52804 //
     /*  148246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148261 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148283 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148287 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148289 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148308 */     GIR_RootConstrainSelectedInstOperands,
     /*  148309 */     // GIR_Coverage, 52804,
     /*  148309 */     GIR_EraseRootFromParent_Done,
     /*  148310 */   // Label 2677: @148310
     /*  148310 */   GIM_Try, /*On fail goto*//*Label 2678*/ GIMT_Encode4(148379), // Rule ID 70501 //
     /*  148315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  148338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148342 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148351 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148356 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148358 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  148361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148377 */     GIR_RootConstrainSelectedInstOperands,
     /*  148378 */     // GIR_Coverage, 70501,
     /*  148378 */     GIR_EraseRootFromParent_Done,
     /*  148379 */   // Label 2678: @148379
     /*  148379 */   GIM_Try, /*On fail goto*//*Label 2679*/ GIMT_Encode4(148448), // Rule ID 70502 //
     /*  148384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  148407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148411 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148415 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148425 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148427 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  148430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148446 */     GIR_RootConstrainSelectedInstOperands,
     /*  148447 */     // GIR_Coverage, 70502,
     /*  148447 */     GIR_EraseRootFromParent_Done,
     /*  148448 */   // Label 2679: @148448
     /*  148448 */   GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(148517), // Rule ID 70503 //
     /*  148453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148480 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148484 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148494 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148496 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  148499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148515 */     GIR_RootConstrainSelectedInstOperands,
     /*  148516 */     // GIR_Coverage, 70503,
     /*  148516 */     GIR_EraseRootFromParent_Done,
     /*  148517 */   // Label 2680: @148517
     /*  148517 */   GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(148586), // Rule ID 70504 //
     /*  148522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148549 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148553 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148563 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148565 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  148568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148584 */     GIR_RootConstrainSelectedInstOperands,
     /*  148585 */     // GIR_Coverage, 70504,
     /*  148585 */     GIR_EraseRootFromParent_Done,
     /*  148586 */   // Label 2681: @148586
     /*  148586 */   GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(148655), // Rule ID 70509 //
     /*  148591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148618 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148627 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148634 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148653 */     GIR_RootConstrainSelectedInstOperands,
     /*  148654 */     // GIR_Coverage, 70509,
     /*  148654 */     GIR_EraseRootFromParent_Done,
     /*  148655 */   // Label 2682: @148655
     /*  148655 */   GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(148724), // Rule ID 70510 //
     /*  148660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148675 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148679 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148683 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148687 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148691 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148696 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148701 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148703 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148722 */     GIR_RootConstrainSelectedInstOperands,
     /*  148723 */     // GIR_Coverage, 70510,
     /*  148723 */     GIR_EraseRootFromParent_Done,
     /*  148724 */   // Label 2683: @148724
     /*  148724 */   GIM_Try, /*On fail goto*//*Label 2684*/ GIMT_Encode4(148790), // Rule ID 70513 //
     /*  148729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148771 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148788 */     GIR_RootConstrainSelectedInstOperands,
     /*  148789 */     // GIR_Coverage, 70513,
     /*  148789 */     GIR_EraseRootFromParent_Done,
     /*  148790 */   // Label 2684: @148790
     /*  148790 */   GIM_Try, /*On fail goto*//*Label 2685*/ GIMT_Encode4(148856), // Rule ID 70514 //
     /*  148795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148835 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148837 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148854 */     GIR_RootConstrainSelectedInstOperands,
     /*  148855 */     // GIR_Coverage, 70514,
     /*  148855 */     GIR_EraseRootFromParent_Done,
     /*  148856 */   // Label 2685: @148856
     /*  148856 */   GIM_Try, /*On fail goto*//*Label 2686*/ GIMT_Encode4(148922), // Rule ID 70511 //
     /*  148861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148901 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148903 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148920 */     GIR_RootConstrainSelectedInstOperands,
     /*  148921 */     // GIR_Coverage, 70511,
     /*  148921 */     GIR_EraseRootFromParent_Done,
     /*  148922 */   // Label 2686: @148922
     /*  148922 */   GIM_Try, /*On fail goto*//*Label 2687*/ GIMT_Encode4(148988), // Rule ID 70512 //
     /*  148927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148969 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148986 */     GIR_RootConstrainSelectedInstOperands,
     /*  148987 */     // GIR_Coverage, 70512,
     /*  148987 */     GIR_EraseRootFromParent_Done,
     /*  148988 */   // Label 2687: @148988
     /*  148988 */   GIM_Try, /*On fail goto*//*Label 2688*/ GIMT_Encode4(149031), // Rule ID 70527 //
     /*  148993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149014 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149029 */     GIR_RootConstrainSelectedInstOperands,
     /*  149030 */     // GIR_Coverage, 70527,
     /*  149030 */     GIR_EraseRootFromParent_Done,
     /*  149031 */   // Label 2688: @149031
     /*  149031 */   GIM_Try, /*On fail goto*//*Label 2689*/ GIMT_Encode4(149074), // Rule ID 70528 //
     /*  149036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149057 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149072 */     GIR_RootConstrainSelectedInstOperands,
     /*  149073 */     // GIR_Coverage, 70528,
     /*  149073 */     GIR_EraseRootFromParent_Done,
     /*  149074 */   // Label 2689: @149074
     /*  149074 */   GIM_Try, /*On fail goto*//*Label 2690*/ GIMT_Encode4(149117), // Rule ID 52809 //
     /*  149079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149100 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149115 */     GIR_RootConstrainSelectedInstOperands,
     /*  149116 */     // GIR_Coverage, 52809,
     /*  149116 */     GIR_EraseRootFromParent_Done,
     /*  149117 */   // Label 2690: @149117
     /*  149117 */   GIM_Try, /*On fail goto*//*Label 2691*/ GIMT_Encode4(149160), // Rule ID 52810 //
     /*  149122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149143 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  149146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149158 */     GIR_RootConstrainSelectedInstOperands,
     /*  149159 */     // GIR_Coverage, 52810,
     /*  149159 */     GIR_EraseRootFromParent_Done,
     /*  149160 */   // Label 2691: @149160
     /*  149160 */   GIM_Try, /*On fail goto*//*Label 2692*/ GIMT_Encode4(149193), // Rule ID 52797 //
     /*  149165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149176 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  149179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149191 */     GIR_RootConstrainSelectedInstOperands,
     /*  149192 */     // GIR_Coverage, 52797,
     /*  149192 */     GIR_EraseRootFromParent_Done,
     /*  149193 */   // Label 2692: @149193
     /*  149193 */   GIM_Try, /*On fail goto*//*Label 2693*/ GIMT_Encode4(149226), // Rule ID 52798 //
     /*  149198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149209 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  149212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149224 */     GIR_RootConstrainSelectedInstOperands,
     /*  149225 */     // GIR_Coverage, 52798,
     /*  149225 */     GIR_EraseRootFromParent_Done,
     /*  149226 */   // Label 2693: @149226
     /*  149226 */   GIM_Reject,
     /*  149227 */ // Label 2667: @149227
     /*  149227 */ GIM_Reject,
     /*  149228 */ // Label 2450: @149228
     /*  149228 */ GIM_Try, /*On fail goto*//*Label 2694*/ GIMT_Encode4(149342),
     /*  149233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  149236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  149239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149251 */   GIM_Try, /*On fail goto*//*Label 2695*/ GIMT_Encode4(149296), // Rule ID 47503 //
     /*  149256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149259 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  149259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  149262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  149276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149294 */     GIR_RootConstrainSelectedInstOperands,
     /*  149295 */     // GIR_Coverage, 47503,
     /*  149295 */     GIR_EraseRootFromParent_Done,
     /*  149296 */   // Label 2695: @149296
     /*  149296 */   GIM_Try, /*On fail goto*//*Label 2696*/ GIMT_Encode4(149341), // Rule ID 47504 //
     /*  149301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149304 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  149304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  149307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  149321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149339 */     GIR_RootConstrainSelectedInstOperands,
     /*  149340 */     // GIR_Coverage, 47504,
     /*  149340 */     GIR_EraseRootFromParent_Done,
     /*  149341 */   // Label 2696: @149341
     /*  149341 */   GIM_Reject,
     /*  149342 */ // Label 2694: @149342
     /*  149342 */ GIM_Reject,
     /*  149343 */ // Label 2451: @149343
     /*  149343 */ GIM_Try, /*On fail goto*//*Label 2697*/ GIMT_Encode4(149457),
     /*  149348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  149351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  149354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149366 */   GIM_Try, /*On fail goto*//*Label 2698*/ GIMT_Encode4(149411), // Rule ID 47519 //
     /*  149371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149374 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  149374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  149377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  149391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149409 */     GIR_RootConstrainSelectedInstOperands,
     /*  149410 */     // GIR_Coverage, 47519,
     /*  149410 */     GIR_EraseRootFromParent_Done,
     /*  149411 */   // Label 2698: @149411
     /*  149411 */   GIM_Try, /*On fail goto*//*Label 2699*/ GIMT_Encode4(149456), // Rule ID 47520 //
     /*  149416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149419 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  149419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  149422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  149436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149454 */     GIR_RootConstrainSelectedInstOperands,
     /*  149455 */     // GIR_Coverage, 47520,
     /*  149455 */     GIR_EraseRootFromParent_Done,
     /*  149456 */   // Label 2699: @149456
     /*  149456 */   GIM_Reject,
     /*  149457 */ // Label 2697: @149457
     /*  149457 */ GIM_Reject,
     /*  149458 */ // Label 2452: @149458
     /*  149458 */ GIM_Try, /*On fail goto*//*Label 2700*/ GIMT_Encode4(151068),
     /*  149463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149473 */   GIM_Try, /*On fail goto*//*Label 2701*/ GIMT_Encode4(149542), // Rule ID 52817 //
     /*  149478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149493 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149507 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149511 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149515 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149519 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149521 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  149524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149540 */     GIR_RootConstrainSelectedInstOperands,
     /*  149541 */     // GIR_Coverage, 52817,
     /*  149541 */     GIR_EraseRootFromParent_Done,
     /*  149542 */   // Label 2701: @149542
     /*  149542 */   GIM_Try, /*On fail goto*//*Label 2702*/ GIMT_Encode4(149611), // Rule ID 52818 //
     /*  149547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149562 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149590 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  149593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149609 */     GIR_RootConstrainSelectedInstOperands,
     /*  149610 */     // GIR_Coverage, 52818,
     /*  149610 */     GIR_EraseRootFromParent_Done,
     /*  149611 */   // Label 2702: @149611
     /*  149611 */   GIM_Try, /*On fail goto*//*Label 2703*/ GIMT_Encode4(149680), // Rule ID 52819 //
     /*  149616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149631 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149640 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149645 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149649 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149653 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149657 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149659 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  149662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149678 */     GIR_RootConstrainSelectedInstOperands,
     /*  149679 */     // GIR_Coverage, 52819,
     /*  149679 */     GIR_EraseRootFromParent_Done,
     /*  149680 */   // Label 2703: @149680
     /*  149680 */   GIM_Try, /*On fail goto*//*Label 2704*/ GIMT_Encode4(149749), // Rule ID 52820 //
     /*  149685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149728 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  149731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149747 */     GIR_RootConstrainSelectedInstOperands,
     /*  149748 */     // GIR_Coverage, 52820,
     /*  149748 */     GIR_EraseRootFromParent_Done,
     /*  149749 */   // Label 2704: @149749
     /*  149749 */   GIM_Try, /*On fail goto*//*Label 2705*/ GIMT_Encode4(149815), // Rule ID 70535 //
     /*  149754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149769 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149773 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  149777 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149781 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149796 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  149805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149813 */     GIR_RootConstrainSelectedInstOperands,
     /*  149814 */     // GIR_Coverage, 70535,
     /*  149814 */     GIR_EraseRootFromParent_Done,
     /*  149815 */   // Label 2705: @149815
     /*  149815 */   GIM_Try, /*On fail goto*//*Label 2706*/ GIMT_Encode4(149881), // Rule ID 70536 //
     /*  149820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149835 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  149843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149862 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  149871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149879 */     GIR_RootConstrainSelectedInstOperands,
     /*  149880 */     // GIR_Coverage, 70536,
     /*  149880 */     GIR_EraseRootFromParent_Done,
     /*  149881 */   // Label 2706: @149881
     /*  149881 */   GIM_Try, /*On fail goto*//*Label 2707*/ GIMT_Encode4(149947), // Rule ID 70533 //
     /*  149886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149905 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149910 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149914 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149918 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149928 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149945 */     GIR_RootConstrainSelectedInstOperands,
     /*  149946 */     // GIR_Coverage, 70533,
     /*  149946 */     GIR_EraseRootFromParent_Done,
     /*  149947 */   // Label 2707: @149947
     /*  149947 */   GIM_Try, /*On fail goto*//*Label 2708*/ GIMT_Encode4(150013), // Rule ID 70534 //
     /*  149952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149994 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150011 */     GIR_RootConstrainSelectedInstOperands,
     /*  150012 */     // GIR_Coverage, 70534,
     /*  150012 */     GIR_EraseRootFromParent_Done,
     /*  150013 */   // Label 2708: @150013
     /*  150013 */   GIM_Try, /*On fail goto*//*Label 2709*/ GIMT_Encode4(150082), // Rule ID 52821 //
     /*  150018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150033 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150047 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150051 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150055 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150059 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150061 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150080 */     GIR_RootConstrainSelectedInstOperands,
     /*  150081 */     // GIR_Coverage, 52821,
     /*  150081 */     GIR_EraseRootFromParent_Done,
     /*  150082 */   // Label 2709: @150082
     /*  150082 */   GIM_Try, /*On fail goto*//*Label 2710*/ GIMT_Encode4(150151), // Rule ID 52822 //
     /*  150087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150102 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150128 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150130 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150149 */     GIR_RootConstrainSelectedInstOperands,
     /*  150150 */     // GIR_Coverage, 52822,
     /*  150150 */     GIR_EraseRootFromParent_Done,
     /*  150151 */   // Label 2710: @150151
     /*  150151 */   GIM_Try, /*On fail goto*//*Label 2711*/ GIMT_Encode4(150220), // Rule ID 70529 //
     /*  150156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150171 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150175 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  150179 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150183 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150187 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150192 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150199 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150218 */     GIR_RootConstrainSelectedInstOperands,
     /*  150219 */     // GIR_Coverage, 70529,
     /*  150219 */     GIR_EraseRootFromParent_Done,
     /*  150220 */   // Label 2711: @150220
     /*  150220 */   GIM_Try, /*On fail goto*//*Label 2712*/ GIMT_Encode4(150289), // Rule ID 70530 //
     /*  150225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  150248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150252 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150268 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150287 */     GIR_RootConstrainSelectedInstOperands,
     /*  150288 */     // GIR_Coverage, 70530,
     /*  150288 */     GIR_EraseRootFromParent_Done,
     /*  150289 */   // Label 2712: @150289
     /*  150289 */   GIM_Try, /*On fail goto*//*Label 2713*/ GIMT_Encode4(150358), // Rule ID 70531 //
     /*  150294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150321 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150325 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150330 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150335 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150337 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  150340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150356 */     GIR_RootConstrainSelectedInstOperands,
     /*  150357 */     // GIR_Coverage, 70531,
     /*  150357 */     GIR_EraseRootFromParent_Done,
     /*  150358 */   // Label 2713: @150358
     /*  150358 */   GIM_Try, /*On fail goto*//*Label 2714*/ GIMT_Encode4(150427), // Rule ID 70532 //
     /*  150363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150382 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150390 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150394 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150399 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150404 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150406 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  150409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150425 */     GIR_RootConstrainSelectedInstOperands,
     /*  150426 */     // GIR_Coverage, 70532,
     /*  150426 */     GIR_EraseRootFromParent_Done,
     /*  150427 */   // Label 2714: @150427
     /*  150427 */   GIM_Try, /*On fail goto*//*Label 2715*/ GIMT_Encode4(150496), // Rule ID 70537 //
     /*  150432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150459 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150463 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150468 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150473 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150475 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150494 */     GIR_RootConstrainSelectedInstOperands,
     /*  150495 */     // GIR_Coverage, 70537,
     /*  150495 */     GIR_EraseRootFromParent_Done,
     /*  150496 */   // Label 2715: @150496
     /*  150496 */   GIM_Try, /*On fail goto*//*Label 2716*/ GIMT_Encode4(150565), // Rule ID 70538 //
     /*  150501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150528 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150537 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150544 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150563 */     GIR_RootConstrainSelectedInstOperands,
     /*  150564 */     // GIR_Coverage, 70538,
     /*  150564 */     GIR_EraseRootFromParent_Done,
     /*  150565 */   // Label 2716: @150565
     /*  150565 */   GIM_Try, /*On fail goto*//*Label 2717*/ GIMT_Encode4(150631), // Rule ID 70541 //
     /*  150570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150589 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150610 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150612 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150629 */     GIR_RootConstrainSelectedInstOperands,
     /*  150630 */     // GIR_Coverage, 70541,
     /*  150630 */     GIR_EraseRootFromParent_Done,
     /*  150631 */   // Label 2717: @150631
     /*  150631 */   GIM_Try, /*On fail goto*//*Label 2718*/ GIMT_Encode4(150697), // Rule ID 70542 //
     /*  150636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150676 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150678 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150695 */     GIR_RootConstrainSelectedInstOperands,
     /*  150696 */     // GIR_Coverage, 70542,
     /*  150696 */     GIR_EraseRootFromParent_Done,
     /*  150697 */   // Label 2718: @150697
     /*  150697 */   GIM_Try, /*On fail goto*//*Label 2719*/ GIMT_Encode4(150763), // Rule ID 70539 //
     /*  150702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150730 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150738 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150744 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150761 */     GIR_RootConstrainSelectedInstOperands,
     /*  150762 */     // GIR_Coverage, 70539,
     /*  150762 */     GIR_EraseRootFromParent_Done,
     /*  150763 */   // Label 2719: @150763
     /*  150763 */   GIM_Try, /*On fail goto*//*Label 2720*/ GIMT_Encode4(150829), // Rule ID 70540 //
     /*  150768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150810 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150827 */     GIR_RootConstrainSelectedInstOperands,
     /*  150828 */     // GIR_Coverage, 70540,
     /*  150828 */     GIR_EraseRootFromParent_Done,
     /*  150829 */   // Label 2720: @150829
     /*  150829 */   GIM_Try, /*On fail goto*//*Label 2721*/ GIMT_Encode4(150872), // Rule ID 70555 //
     /*  150834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150855 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150870 */     GIR_RootConstrainSelectedInstOperands,
     /*  150871 */     // GIR_Coverage, 70555,
     /*  150871 */     GIR_EraseRootFromParent_Done,
     /*  150872 */   // Label 2721: @150872
     /*  150872 */   GIM_Try, /*On fail goto*//*Label 2722*/ GIMT_Encode4(150915), // Rule ID 70556 //
     /*  150877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150898 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150913 */     GIR_RootConstrainSelectedInstOperands,
     /*  150914 */     // GIR_Coverage, 70556,
     /*  150914 */     GIR_EraseRootFromParent_Done,
     /*  150915 */   // Label 2722: @150915
     /*  150915 */   GIM_Try, /*On fail goto*//*Label 2723*/ GIMT_Encode4(150958), // Rule ID 52827 //
     /*  150920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150941 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150956 */     GIR_RootConstrainSelectedInstOperands,
     /*  150957 */     // GIR_Coverage, 52827,
     /*  150957 */     GIR_EraseRootFromParent_Done,
     /*  150958 */   // Label 2723: @150958
     /*  150958 */   GIM_Try, /*On fail goto*//*Label 2724*/ GIMT_Encode4(151001), // Rule ID 52828 //
     /*  150963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150984 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150999 */     GIR_RootConstrainSelectedInstOperands,
     /*  151000 */     // GIR_Coverage, 52828,
     /*  151000 */     GIR_EraseRootFromParent_Done,
     /*  151001 */   // Label 2724: @151001
     /*  151001 */   GIM_Try, /*On fail goto*//*Label 2725*/ GIMT_Encode4(151034), // Rule ID 52815 //
     /*  151006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151017 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  151020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151032 */     GIR_RootConstrainSelectedInstOperands,
     /*  151033 */     // GIR_Coverage, 52815,
     /*  151033 */     GIR_EraseRootFromParent_Done,
     /*  151034 */   // Label 2725: @151034
     /*  151034 */   GIM_Try, /*On fail goto*//*Label 2726*/ GIMT_Encode4(151067), // Rule ID 52816 //
     /*  151039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151050 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  151053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151065 */     GIR_RootConstrainSelectedInstOperands,
     /*  151066 */     // GIR_Coverage, 52816,
     /*  151066 */     GIR_EraseRootFromParent_Done,
     /*  151067 */   // Label 2726: @151067
     /*  151067 */   GIM_Reject,
     /*  151068 */ // Label 2700: @151068
     /*  151068 */ GIM_Reject,
     /*  151069 */ // Label 2453: @151069
     /*  151069 */ GIM_Try, /*On fail goto*//*Label 2727*/ GIMT_Encode4(151183),
     /*  151074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  151077 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  151080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151088 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151092 */   GIM_Try, /*On fail goto*//*Label 2728*/ GIMT_Encode4(151137), // Rule ID 47507 //
     /*  151097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151100 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  151100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  151103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  151117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151135 */     GIR_RootConstrainSelectedInstOperands,
     /*  151136 */     // GIR_Coverage, 47507,
     /*  151136 */     GIR_EraseRootFromParent_Done,
     /*  151137 */   // Label 2728: @151137
     /*  151137 */   GIM_Try, /*On fail goto*//*Label 2729*/ GIMT_Encode4(151182), // Rule ID 47508 //
     /*  151142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151145 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  151145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  151148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  151162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151180 */     GIR_RootConstrainSelectedInstOperands,
     /*  151181 */     // GIR_Coverage, 47508,
     /*  151181 */     GIR_EraseRootFromParent_Done,
     /*  151182 */   // Label 2729: @151182
     /*  151182 */   GIM_Reject,
     /*  151183 */ // Label 2727: @151183
     /*  151183 */ GIM_Reject,
     /*  151184 */ // Label 2454: @151184
     /*  151184 */ GIM_Reject,
     /*  151185 */ // Label 10: @151185
     /*  151185 */ GIM_Try, /*On fail goto*//*Label 2730*/ GIMT_Encode4(151245),
     /*  151190 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*  151194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151198 */   GIM_Try, /*On fail goto*//*Label 2731*/ GIMT_Encode4(151221), // Rule ID 110 //
     /*  151203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  151206 */     // MIs[0] Operand 1
     /*  151206 */     // No operand predicates
     /*  151206 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i64] })
     /*  151206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  151209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151211 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  151216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151219 */     GIR_RootConstrainSelectedInstOperands,
     /*  151220 */     // GIR_Coverage, 110,
     /*  151220 */     GIR_EraseRootFromParent_Done,
     /*  151221 */   // Label 2731: @151221
     /*  151221 */   GIM_Try, /*On fail goto*//*Label 2732*/ GIMT_Encode4(151244), // Rule ID 111 //
     /*  151226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  151229 */     // MIs[0] Operand 1
     /*  151229 */     // No operand predicates
     /*  151229 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i32] })
     /*  151229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  151232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151234 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  151239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151242 */     GIR_RootConstrainSelectedInstOperands,
     /*  151243 */     // GIR_Coverage, 111,
     /*  151243 */     GIR_EraseRootFromParent_Done,
     /*  151244 */   // Label 2732: @151244
     /*  151244 */   GIM_Reject,
     /*  151245 */ // Label 2730: @151245
     /*  151245 */ GIM_Reject,
     /*  151246 */ // Label 11: @151246
     /*  151246 */ GIM_Try, /*On fail goto*//*Label 2733*/ GIMT_Encode4(151306),
     /*  151251 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  151254 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  151257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  151263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151271 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151275 */   GIM_Try, /*On fail goto*//*Label 2734*/ GIMT_Encode4(151290), // Rule ID 50 //
     /*  151280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  151283 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  151283 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  151288 */     GIR_RootConstrainSelectedInstOperands,
     /*  151289 */     // GIR_Coverage, 50,
     /*  151289 */     GIR_Done,
     /*  151290 */   // Label 2734: @151290
     /*  151290 */   GIM_Try, /*On fail goto*//*Label 2735*/ GIMT_Encode4(151305), // Rule ID 51 //
     /*  151295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  151298 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  151298 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  151303 */     GIR_RootConstrainSelectedInstOperands,
     /*  151304 */     // GIR_Coverage, 51,
     /*  151304 */     GIR_Done,
     /*  151305 */   // Label 2735: @151305
     /*  151305 */   GIM_Reject,
     /*  151306 */ // Label 2733: @151306
     /*  151306 */ GIM_Reject,
     /*  151307 */ // Label 12: @151307
     /*  151307 */ GIM_Try, /*On fail goto*//*Label 2736*/ GIMT_Encode4(151397),
     /*  151312 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  151315 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  151318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  151324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151332 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151336 */   GIM_Try, /*On fail goto*//*Label 2737*/ GIMT_Encode4(151351), // Rule ID 48 //
     /*  151341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  151344 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  151344 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  151349 */     GIR_RootConstrainSelectedInstOperands,
     /*  151350 */     // GIR_Coverage, 48,
     /*  151350 */     GIR_Done,
     /*  151351 */   // Label 2737: @151351
     /*  151351 */   GIM_Try, /*On fail goto*//*Label 2738*/ GIMT_Encode4(151366), // Rule ID 49 //
     /*  151356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  151359 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  151359 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  151364 */     GIR_RootConstrainSelectedInstOperands,
     /*  151365 */     // GIR_Coverage, 49,
     /*  151365 */     GIR_Done,
     /*  151366 */   // Label 2738: @151366
     /*  151366 */   GIM_Try, /*On fail goto*//*Label 2739*/ GIMT_Encode4(151381), // Rule ID 2263 //
     /*  151371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0),
     /*  151374 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  151374 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  151379 */     GIR_RootConstrainSelectedInstOperands,
     /*  151380 */     // GIR_Coverage, 2263,
     /*  151380 */     GIR_Done,
     /*  151381 */   // Label 2739: @151381
     /*  151381 */   GIM_Try, /*On fail goto*//*Label 2740*/ GIMT_Encode4(151396), // Rule ID 2264 //
     /*  151386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1),
     /*  151389 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  151389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  151394 */     GIR_RootConstrainSelectedInstOperands,
     /*  151395 */     // GIR_Coverage, 2264,
     /*  151395 */     GIR_Done,
     /*  151396 */   // Label 2740: @151396
     /*  151396 */   GIM_Reject,
     /*  151397 */ // Label 2736: @151397
     /*  151397 */ GIM_Reject,
     /*  151398 */ // Label 13: @151398
     /*  151398 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2743*/ GIMT_Encode4(151764),
     /*  151409 */ /*GILLT_s32*//*Label 2741*/ GIMT_Encode4(151417),
     /*  151413 */ /*GILLT_s64*//*Label 2742*/ GIMT_Encode4(151654),
     /*  151417 */ // Label 2741: @151417
     /*  151417 */ GIM_Try, /*On fail goto*//*Label 2744*/ GIMT_Encode4(151653),
     /*  151422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151425 */   GIM_Try, /*On fail goto*//*Label 2745*/ GIMT_Encode4(151448), // Rule ID 1306 //
     /*  151430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  151433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151441 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  151441 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  151446 */     GIR_RootConstrainSelectedInstOperands,
     /*  151447 */     // GIR_Coverage, 1306,
     /*  151447 */     GIR_Done,
     /*  151448 */   // Label 2745: @151448
     /*  151448 */   GIM_Try, /*On fail goto*//*Label 2746*/ GIMT_Encode4(151471), // Rule ID 1307 //
     /*  151453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  151456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151464 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  151464 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  151469 */     GIR_RootConstrainSelectedInstOperands,
     /*  151470 */     // GIR_Coverage, 1307,
     /*  151470 */     GIR_Done,
     /*  151471 */   // Label 2746: @151471
     /*  151471 */   GIM_Try, /*On fail goto*//*Label 2747*/ GIMT_Encode4(151494), // Rule ID 1308 //
     /*  151476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  151479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151487 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  151487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  151492 */     GIR_RootConstrainSelectedInstOperands,
     /*  151493 */     // GIR_Coverage, 1308,
     /*  151493 */     GIR_Done,
     /*  151494 */   // Label 2747: @151494
     /*  151494 */   GIM_Try, /*On fail goto*//*Label 2748*/ GIMT_Encode4(151517), // Rule ID 1309 //
     /*  151499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  151502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151510 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  151510 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  151515 */     GIR_RootConstrainSelectedInstOperands,
     /*  151516 */     // GIR_Coverage, 1309,
     /*  151516 */     GIR_Done,
     /*  151517 */   // Label 2748: @151517
     /*  151517 */   GIM_Try, /*On fail goto*//*Label 2749*/ GIMT_Encode4(151555), // Rule ID 1310 //
     /*  151522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  151525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151533 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  151533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  151538 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  151544 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151549 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151554 */     // GIR_Coverage, 1310,
     /*  151554 */     GIR_EraseRootFromParent_Done,
     /*  151555 */   // Label 2749: @151555
     /*  151555 */   GIM_Try, /*On fail goto*//*Label 2750*/ GIMT_Encode4(151593), // Rule ID 1311 //
     /*  151560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  151563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151571 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  151571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  151576 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  151582 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151587 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151592 */     // GIR_Coverage, 1311,
     /*  151592 */     GIR_EraseRootFromParent_Done,
     /*  151593 */   // Label 2750: @151593
     /*  151593 */   GIM_Try, /*On fail goto*//*Label 2751*/ GIMT_Encode4(151652), // Rule ID 1312 //
     /*  151598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  151601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151609 */     // (bitconvert:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), FPR32INX:{ *:[f32] }:$rs1, sub_32:{ *:[i32] })
     /*  151609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  151612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  151626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  151628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  151636 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151641 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151646 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151651 */     // GIR_Coverage, 1312,
     /*  151651 */     GIR_EraseRootFromParent_Done,
     /*  151652 */   // Label 2751: @151652
     /*  151652 */   GIM_Reject,
     /*  151653 */ // Label 2744: @151653
     /*  151653 */ GIM_Reject,
     /*  151654 */ // Label 2742: @151654
     /*  151654 */ GIM_Try, /*On fail goto*//*Label 2752*/ GIMT_Encode4(151763),
     /*  151659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  151662 */   GIM_Try, /*On fail goto*//*Label 2753*/ GIMT_Encode4(151685), // Rule ID 1759 //
     /*  151667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  151670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151678 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FMV_D_X:{ *:[f64] } GPR:{ *:[i64] }:$rs1)
     /*  151678 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_D_X),
     /*  151683 */     GIR_RootConstrainSelectedInstOperands,
     /*  151684 */     // GIR_Coverage, 1759,
     /*  151684 */     GIR_Done,
     /*  151685 */   // Label 2753: @151685
     /*  151685 */   GIM_Try, /*On fail goto*//*Label 2754*/ GIMT_Encode4(151708), // Rule ID 1760 //
     /*  151690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  151693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151701 */     // (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMV_X_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)
     /*  151701 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_D),
     /*  151706 */     GIR_RootConstrainSelectedInstOperands,
     /*  151707 */     // GIR_Coverage, 1760,
     /*  151707 */     GIR_Done,
     /*  151708 */   // Label 2754: @151708
     /*  151708 */   GIM_Try, /*On fail goto*//*Label 2755*/ GIMT_Encode4(151735), // Rule ID 1787 //
     /*  151713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  151716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151724 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[f64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i32] })
     /*  151724 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151729 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151734 */     // GIR_Coverage, 1787,
     /*  151734 */     GIR_Done,
     /*  151735 */   // Label 2755: @151735
     /*  151735 */   GIM_Try, /*On fail goto*//*Label 2756*/ GIMT_Encode4(151762), // Rule ID 1788 //
     /*  151740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  151743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151751 */     // (bitconvert:{ *:[i64] } GPR:{ *:[f64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[i64] } GPR:{ *:[f64] }:$rs1, GPR:{ *:[i32] })
     /*  151751 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151756 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151761 */     // GIR_Coverage, 1788,
     /*  151761 */     GIR_Done,
     /*  151762 */   // Label 2756: @151762
     /*  151762 */   GIM_Reject,
     /*  151763 */ // Label 2752: @151763
     /*  151763 */ GIM_Reject,
     /*  151764 */ // Label 2743: @151764
     /*  151764 */ GIM_Reject,
     /*  151765 */ // Label 14: @151765
     /*  151765 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2760*/ GIMT_Encode4(151962),
     /*  151776 */ /*GILLT_s16*//*Label 2757*/ GIMT_Encode4(151788),
     /*  151780 */ /*GILLT_s32*//*Label 2758*/ GIMT_Encode4(151846),
     /*  151784 */ /*GILLT_s64*//*Label 2759*/ GIMT_Encode4(151904),
     /*  151788 */ // Label 2757: @151788
     /*  151788 */ GIM_Try, /*On fail goto*//*Label 2761*/ GIMT_Encode4(151845),
     /*  151793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  151796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  151800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  151804 */   GIM_Try, /*On fail goto*//*Label 2762*/ GIMT_Encode4(151824), // Rule ID 2295 //
     /*  151809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  151812 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /*  151812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  151815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151822 */     GIR_RootConstrainSelectedInstOperands,
     /*  151823 */     // GIR_Coverage, 2295,
     /*  151823 */     GIR_EraseRootFromParent_Done,
     /*  151824 */   // Label 2762: @151824
     /*  151824 */   GIM_Try, /*On fail goto*//*Label 2763*/ GIMT_Encode4(151844), // Rule ID 2296 //
     /*  151829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  151832 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /*  151832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  151835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151842 */     GIR_RootConstrainSelectedInstOperands,
     /*  151843 */     // GIR_Coverage, 2296,
     /*  151843 */     GIR_EraseRootFromParent_Done,
     /*  151844 */   // Label 2763: @151844
     /*  151844 */   GIM_Reject,
     /*  151845 */ // Label 2761: @151845
     /*  151845 */ GIM_Reject,
     /*  151846 */ // Label 2758: @151846
     /*  151846 */ GIM_Try, /*On fail goto*//*Label 2764*/ GIMT_Encode4(151903),
     /*  151851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151862 */   GIM_Try, /*On fail goto*//*Label 2765*/ GIMT_Encode4(151882), // Rule ID 2213 //
     /*  151867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  151870 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /*  151870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  151873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151880 */     GIR_RootConstrainSelectedInstOperands,
     /*  151881 */     // GIR_Coverage, 2213,
     /*  151881 */     GIR_EraseRootFromParent_Done,
     /*  151882 */   // Label 2765: @151882
     /*  151882 */   GIM_Try, /*On fail goto*//*Label 2766*/ GIMT_Encode4(151902), // Rule ID 2214 //
     /*  151887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  151890 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /*  151890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  151893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151900 */     GIR_RootConstrainSelectedInstOperands,
     /*  151901 */     // GIR_Coverage, 2214,
     /*  151901 */     GIR_EraseRootFromParent_Done,
     /*  151902 */   // Label 2766: @151902
     /*  151902 */   GIM_Reject,
     /*  151903 */ // Label 2764: @151903
     /*  151903 */ GIM_Reject,
     /*  151904 */ // Label 2759: @151904
     /*  151904 */ GIM_Try, /*On fail goto*//*Label 2767*/ GIMT_Encode4(151961),
     /*  151909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  151912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151920 */   GIM_Try, /*On fail goto*//*Label 2768*/ GIMT_Encode4(151940), // Rule ID 2253 //
     /*  151925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  151928 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /*  151928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  151931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151938 */     GIR_RootConstrainSelectedInstOperands,
     /*  151939 */     // GIR_Coverage, 2253,
     /*  151939 */     GIR_EraseRootFromParent_Done,
     /*  151940 */   // Label 2768: @151940
     /*  151940 */   GIM_Try, /*On fail goto*//*Label 2769*/ GIMT_Encode4(151960), // Rule ID 2254 //
     /*  151945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  151948 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /*  151948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  151951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151958 */     GIR_RootConstrainSelectedInstOperands,
     /*  151959 */     // GIR_Coverage, 2254,
     /*  151959 */     GIR_EraseRootFromParent_Done,
     /*  151960 */   // Label 2769: @151960
     /*  151960 */   GIM_Reject,
     /*  151961 */ // Label 2767: @151961
     /*  151961 */ GIM_Reject,
     /*  151962 */ // Label 2760: @151962
     /*  151962 */ GIM_Reject,
     /*  151963 */ // Label 15: @151963
     /*  151963 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2773*/ GIMT_Encode4(152160),
     /*  151974 */ /*GILLT_s16*//*Label 2770*/ GIMT_Encode4(151986),
     /*  151978 */ /*GILLT_s32*//*Label 2771*/ GIMT_Encode4(152044),
     /*  151982 */ /*GILLT_s64*//*Label 2772*/ GIMT_Encode4(152102),
     /*  151986 */ // Label 2770: @151986
     /*  151986 */ GIM_Try, /*On fail goto*//*Label 2774*/ GIMT_Encode4(152043),
     /*  151991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  151994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  151998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152002 */   GIM_Try, /*On fail goto*//*Label 2775*/ GIMT_Encode4(152022), // Rule ID 2279 //
     /*  152007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  152010 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /*  152010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  152013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152020 */     GIR_RootConstrainSelectedInstOperands,
     /*  152021 */     // GIR_Coverage, 2279,
     /*  152021 */     GIR_EraseRootFromParent_Done,
     /*  152022 */   // Label 2775: @152022
     /*  152022 */   GIM_Try, /*On fail goto*//*Label 2776*/ GIMT_Encode4(152042), // Rule ID 2280 //
     /*  152027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  152030 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /*  152030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  152033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152040 */     GIR_RootConstrainSelectedInstOperands,
     /*  152041 */     // GIR_Coverage, 2280,
     /*  152041 */     GIR_EraseRootFromParent_Done,
     /*  152042 */   // Label 2776: @152042
     /*  152042 */   GIM_Reject,
     /*  152043 */ // Label 2774: @152043
     /*  152043 */ GIM_Reject,
     /*  152044 */ // Label 2771: @152044
     /*  152044 */ GIM_Try, /*On fail goto*//*Label 2777*/ GIMT_Encode4(152101),
     /*  152049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152060 */   GIM_Try, /*On fail goto*//*Label 2778*/ GIMT_Encode4(152080), // Rule ID 2197 //
     /*  152065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  152068 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /*  152068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  152071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152078 */     GIR_RootConstrainSelectedInstOperands,
     /*  152079 */     // GIR_Coverage, 2197,
     /*  152079 */     GIR_EraseRootFromParent_Done,
     /*  152080 */   // Label 2778: @152080
     /*  152080 */   GIM_Try, /*On fail goto*//*Label 2779*/ GIMT_Encode4(152100), // Rule ID 2198 //
     /*  152085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  152088 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /*  152088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  152091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152098 */     GIR_RootConstrainSelectedInstOperands,
     /*  152099 */     // GIR_Coverage, 2198,
     /*  152099 */     GIR_EraseRootFromParent_Done,
     /*  152100 */   // Label 2779: @152100
     /*  152100 */   GIM_Reject,
     /*  152101 */ // Label 2777: @152101
     /*  152101 */ GIM_Reject,
     /*  152102 */ // Label 2772: @152102
     /*  152102 */ GIM_Try, /*On fail goto*//*Label 2780*/ GIMT_Encode4(152159),
     /*  152107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152118 */   GIM_Try, /*On fail goto*//*Label 2781*/ GIMT_Encode4(152138), // Rule ID 2237 //
     /*  152123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  152126 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /*  152126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  152129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152136 */     GIR_RootConstrainSelectedInstOperands,
     /*  152137 */     // GIR_Coverage, 2237,
     /*  152137 */     GIR_EraseRootFromParent_Done,
     /*  152138 */   // Label 2781: @152138
     /*  152138 */   GIM_Try, /*On fail goto*//*Label 2782*/ GIMT_Encode4(152158), // Rule ID 2238 //
     /*  152143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  152146 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /*  152146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  152149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152156 */     GIR_RootConstrainSelectedInstOperands,
     /*  152157 */     // GIR_Coverage, 2238,
     /*  152157 */     GIR_EraseRootFromParent_Done,
     /*  152158 */   // Label 2782: @152158
     /*  152158 */   GIM_Reject,
     /*  152159 */ // Label 2780: @152159
     /*  152159 */ GIM_Reject,
     /*  152160 */ // Label 2773: @152160
     /*  152160 */ GIM_Reject,
     /*  152161 */ // Label 16: @152161
     /*  152161 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2785*/ GIMT_Encode4(152740),
     /*  152172 */ /*GILLT_s32*//*Label 2783*/ GIMT_Encode4(152180),
     /*  152176 */ /*GILLT_s64*//*Label 2784*/ GIMT_Encode4(152553),
     /*  152180 */ // Label 2783: @152180
     /*  152180 */ GIM_Try, /*On fail goto*//*Label 2786*/ GIMT_Encode4(152211), // Rule ID 1325 //
     /*  152185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  152188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152199 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  152202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152204 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152209 */   GIR_RootConstrainSelectedInstOperands,
     /*  152210 */   // GIR_Coverage, 1325,
     /*  152210 */   GIR_EraseRootFromParent_Done,
     /*  152211 */ // Label 2786: @152211
     /*  152211 */ GIM_Try, /*On fail goto*//*Label 2787*/ GIMT_Encode4(152242), // Rule ID 1326 //
     /*  152216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  152219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152230 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  152230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  152233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152235 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152240 */   GIR_RootConstrainSelectedInstOperands,
     /*  152241 */   // GIR_Coverage, 1326,
     /*  152241 */   GIR_EraseRootFromParent_Done,
     /*  152242 */ // Label 2787: @152242
     /*  152242 */ GIM_Try, /*On fail goto*//*Label 2788*/ GIMT_Encode4(152273), // Rule ID 1351 //
     /*  152247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  152250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152261 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  152264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152266 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152271 */   GIR_RootConstrainSelectedInstOperands,
     /*  152272 */   // GIR_Coverage, 1351,
     /*  152272 */   GIR_EraseRootFromParent_Done,
     /*  152273 */ // Label 2788: @152273
     /*  152273 */ GIM_Try, /*On fail goto*//*Label 2789*/ GIMT_Encode4(152304), // Rule ID 1352 //
     /*  152278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  152281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152292 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  152292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  152295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152297 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152302 */   GIR_RootConstrainSelectedInstOperands,
     /*  152303 */   // GIR_Coverage, 1352,
     /*  152303 */   GIR_EraseRootFromParent_Done,
     /*  152304 */ // Label 2789: @152304
     /*  152304 */ GIM_Try, /*On fail goto*//*Label 2790*/ GIMT_Encode4(152335), // Rule ID 1719 //
     /*  152309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /*  152312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152323 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  152326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152328 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152333 */   GIR_RootConstrainSelectedInstOperands,
     /*  152334 */   // GIR_Coverage, 1719,
     /*  152334 */   GIR_EraseRootFromParent_Done,
     /*  152335 */ // Label 2790: @152335
     /*  152335 */ GIM_Try, /*On fail goto*//*Label 2791*/ GIMT_Encode4(152366), // Rule ID 1720 //
     /*  152340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /*  152343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152354 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  152354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  152357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152359 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152364 */   GIR_RootConstrainSelectedInstOperands,
     /*  152365 */   // GIR_Coverage, 1720,
     /*  152365 */   GIR_EraseRootFromParent_Done,
     /*  152366 */ // Label 2791: @152366
     /*  152366 */ GIM_Try, /*On fail goto*//*Label 2792*/ GIMT_Encode4(152397), // Rule ID 1745 //
     /*  152371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /*  152374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  152385 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  152388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152390 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152395 */   GIR_RootConstrainSelectedInstOperands,
     /*  152396 */   // GIR_Coverage, 1745,
     /*  152396 */   GIR_EraseRootFromParent_Done,
     /*  152397 */ // Label 2792: @152397
     /*  152397 */ GIM_Try, /*On fail goto*//*Label 2793*/ GIMT_Encode4(152428), // Rule ID 1746 //
     /*  152402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /*  152405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  152416 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  152416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  152419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152421 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152426 */   GIR_RootConstrainSelectedInstOperands,
     /*  152427 */   // GIR_Coverage, 1746,
     /*  152427 */   GIR_EraseRootFromParent_Done,
     /*  152428 */ // Label 2793: @152428
     /*  152428 */ GIM_Try, /*On fail goto*//*Label 2794*/ GIMT_Encode4(152459), // Rule ID 2061 //
     /*  152433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /*  152436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152447 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  152450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152452 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152457 */   GIR_RootConstrainSelectedInstOperands,
     /*  152458 */   // GIR_Coverage, 2061,
     /*  152458 */   GIR_EraseRootFromParent_Done,
     /*  152459 */ // Label 2794: @152459
     /*  152459 */ GIM_Try, /*On fail goto*//*Label 2795*/ GIMT_Encode4(152490), // Rule ID 2062 //
     /*  152464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /*  152467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152478 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  152478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  152481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152483 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152488 */   GIR_RootConstrainSelectedInstOperands,
     /*  152489 */   // GIR_Coverage, 2062,
     /*  152489 */   GIR_EraseRootFromParent_Done,
     /*  152490 */ // Label 2795: @152490
     /*  152490 */ GIM_Try, /*On fail goto*//*Label 2796*/ GIMT_Encode4(152521), // Rule ID 2087 //
     /*  152495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /*  152498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152509 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  152512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152514 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152519 */   GIR_RootConstrainSelectedInstOperands,
     /*  152520 */   // GIR_Coverage, 2087,
     /*  152520 */   GIR_EraseRootFromParent_Done,
     /*  152521 */ // Label 2796: @152521
     /*  152521 */ GIM_Try, /*On fail goto*//*Label 2797*/ GIMT_Encode4(152552), // Rule ID 2088 //
     /*  152526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /*  152529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152540 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  152540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  152543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152545 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152550 */   GIR_RootConstrainSelectedInstOperands,
     /*  152551 */   // GIR_Coverage, 2088,
     /*  152551 */   GIR_EraseRootFromParent_Done,
     /*  152552 */ // Label 2797: @152552
     /*  152552 */ GIM_Reject,
     /*  152553 */ // Label 2784: @152553
     /*  152553 */ GIM_Try, /*On fail goto*//*Label 2798*/ GIMT_Encode4(152584), // Rule ID 1378 //
     /*  152558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  152561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152572 */   // (lrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  152575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152577 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152582 */   GIR_RootConstrainSelectedInstOperands,
     /*  152583 */   // GIR_Coverage, 1378,
     /*  152583 */   GIR_EraseRootFromParent_Done,
     /*  152584 */ // Label 2798: @152584
     /*  152584 */ GIM_Try, /*On fail goto*//*Label 2799*/ GIMT_Encode4(152615), // Rule ID 1406 //
     /*  152589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  152592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152603 */   // (lrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  152606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152608 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152613 */   GIR_RootConstrainSelectedInstOperands,
     /*  152614 */   // GIR_Coverage, 1406,
     /*  152614 */   GIR_EraseRootFromParent_Done,
     /*  152615 */ // Label 2799: @152615
     /*  152615 */ GIM_Try, /*On fail goto*//*Label 2800*/ GIMT_Encode4(152646), // Rule ID 1776 //
     /*  152620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  152623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152634 */   // (lrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  152637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152639 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152644 */   GIR_RootConstrainSelectedInstOperands,
     /*  152645 */   // GIR_Coverage, 1776,
     /*  152645 */   GIR_EraseRootFromParent_Done,
     /*  152646 */ // Label 2800: @152646
     /*  152646 */ GIM_Try, /*On fail goto*//*Label 2801*/ GIMT_Encode4(152677), // Rule ID 1804 //
     /*  152651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  152654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152665 */   // (lrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  152668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152670 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152675 */   GIR_RootConstrainSelectedInstOperands,
     /*  152676 */   // GIR_Coverage, 1804,
     /*  152676 */   GIR_EraseRootFromParent_Done,
     /*  152677 */ // Label 2801: @152677
     /*  152677 */ GIM_Try, /*On fail goto*//*Label 2802*/ GIMT_Encode4(152708), // Rule ID 2112 //
     /*  152682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  152685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152696 */   // (lrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  152699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152701 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152706 */   GIR_RootConstrainSelectedInstOperands,
     /*  152707 */   // GIR_Coverage, 2112,
     /*  152707 */   GIR_EraseRootFromParent_Done,
     /*  152708 */ // Label 2802: @152708
     /*  152708 */ GIM_Try, /*On fail goto*//*Label 2803*/ GIMT_Encode4(152739), // Rule ID 2138 //
     /*  152713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  152716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152727 */   // (lrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  152730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152732 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152737 */   GIR_RootConstrainSelectedInstOperands,
     /*  152738 */   // GIR_Coverage, 2138,
     /*  152738 */   GIR_EraseRootFromParent_Done,
     /*  152739 */ // Label 2803: @152739
     /*  152739 */ GIM_Reject,
     /*  152740 */ // Label 2785: @152740
     /*  152740 */ GIM_Reject,
     /*  152741 */ // Label 17: @152741
     /*  152741 */ GIM_Try, /*On fail goto*//*Label 2804*/ GIMT_Encode4(152950),
     /*  152746 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  152749 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2808*/ GIMT_Encode4(152949),
     /*  152760 */   /*GILLT_s16*//*Label 2805*/ GIMT_Encode4(152772),
     /*  152764 */   /*GILLT_s32*//*Label 2806*/ GIMT_Encode4(152831),
     /*  152768 */   /*GILLT_s64*//*Label 2807*/ GIMT_Encode4(152890),
     /*  152772 */   // Label 2805: @152772
     /*  152772 */   GIM_Try, /*On fail goto*//*Label 2809*/ GIMT_Encode4(152830),
     /*  152777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152781 */     GIM_Try, /*On fail goto*//*Label 2810*/ GIMT_Encode4(152805), // Rule ID 2114 //
     /*  152786 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  152789 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152793 */       // (llrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152793 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  152796 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152798 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152800 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152803 */       GIR_RootConstrainSelectedInstOperands,
     /*  152804 */       // GIR_Coverage, 2114,
     /*  152804 */       GIR_EraseRootFromParent_Done,
     /*  152805 */     // Label 2810: @152805
     /*  152805 */     GIM_Try, /*On fail goto*//*Label 2811*/ GIMT_Encode4(152829), // Rule ID 2140 //
     /*  152810 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  152813 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152817 */       // (llrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152817 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  152820 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152822 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152824 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152827 */       GIR_RootConstrainSelectedInstOperands,
     /*  152828 */       // GIR_Coverage, 2140,
     /*  152828 */       GIR_EraseRootFromParent_Done,
     /*  152829 */     // Label 2811: @152829
     /*  152829 */     GIM_Reject,
     /*  152830 */   // Label 2809: @152830
     /*  152830 */   GIM_Reject,
     /*  152831 */   // Label 2806: @152831
     /*  152831 */   GIM_Try, /*On fail goto*//*Label 2812*/ GIMT_Encode4(152889),
     /*  152836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152840 */     GIM_Try, /*On fail goto*//*Label 2813*/ GIMT_Encode4(152864), // Rule ID 1380 //
     /*  152845 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  152848 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152852 */       // (llrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152852 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  152855 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152857 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152859 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152862 */       GIR_RootConstrainSelectedInstOperands,
     /*  152863 */       // GIR_Coverage, 1380,
     /*  152863 */       GIR_EraseRootFromParent_Done,
     /*  152864 */     // Label 2813: @152864
     /*  152864 */     GIM_Try, /*On fail goto*//*Label 2814*/ GIMT_Encode4(152888), // Rule ID 1408 //
     /*  152869 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  152872 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152876 */       // (llrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152876 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  152879 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152881 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152883 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152886 */       GIR_RootConstrainSelectedInstOperands,
     /*  152887 */       // GIR_Coverage, 1408,
     /*  152887 */       GIR_EraseRootFromParent_Done,
     /*  152888 */     // Label 2814: @152888
     /*  152888 */     GIM_Reject,
     /*  152889 */   // Label 2812: @152889
     /*  152889 */   GIM_Reject,
     /*  152890 */   // Label 2807: @152890
     /*  152890 */   GIM_Try, /*On fail goto*//*Label 2815*/ GIMT_Encode4(152948),
     /*  152895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152899 */     GIM_Try, /*On fail goto*//*Label 2816*/ GIMT_Encode4(152923), // Rule ID 1778 //
     /*  152904 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  152907 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152911 */       // (llrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152911 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  152914 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152916 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152918 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152921 */       GIR_RootConstrainSelectedInstOperands,
     /*  152922 */       // GIR_Coverage, 1778,
     /*  152922 */       GIR_EraseRootFromParent_Done,
     /*  152923 */     // Label 2816: @152923
     /*  152923 */     GIM_Try, /*On fail goto*//*Label 2817*/ GIMT_Encode4(152947), // Rule ID 1806 //
     /*  152928 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  152931 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152935 */       // (llrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152935 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  152938 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152940 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152942 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152945 */       GIR_RootConstrainSelectedInstOperands,
     /*  152946 */       // GIR_Coverage, 1806,
     /*  152946 */       GIR_EraseRootFromParent_Done,
     /*  152947 */     // Label 2817: @152947
     /*  152947 */     GIM_Reject,
     /*  152948 */   // Label 2815: @152948
     /*  152948 */   GIM_Reject,
     /*  152949 */   // Label 2808: @152949
     /*  152949 */   GIM_Reject,
     /*  152950 */ // Label 2804: @152950
     /*  152950 */ GIM_Reject,
     /*  152951 */ // Label 18: @152951
     /*  152951 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2821*/ GIMT_Encode4(153148),
     /*  152962 */ /*GILLT_s16*//*Label 2818*/ GIMT_Encode4(152974),
     /*  152966 */ /*GILLT_s32*//*Label 2819*/ GIMT_Encode4(153032),
     /*  152970 */ /*GILLT_s64*//*Label 2820*/ GIMT_Encode4(153090),
     /*  152974 */ // Label 2818: @152974
     /*  152974 */ GIM_Try, /*On fail goto*//*Label 2822*/ GIMT_Encode4(153031),
     /*  152979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152990 */   GIM_Try, /*On fail goto*//*Label 2823*/ GIMT_Encode4(153010), // Rule ID 2283 //
     /*  152995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  152998 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /*  152998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  153001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153008 */     GIR_RootConstrainSelectedInstOperands,
     /*  153009 */     // GIR_Coverage, 2283,
     /*  153009 */     GIR_EraseRootFromParent_Done,
     /*  153010 */   // Label 2823: @153010
     /*  153010 */   GIM_Try, /*On fail goto*//*Label 2824*/ GIMT_Encode4(153030), // Rule ID 2284 //
     /*  153015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  153018 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /*  153018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  153021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153028 */     GIR_RootConstrainSelectedInstOperands,
     /*  153029 */     // GIR_Coverage, 2284,
     /*  153029 */     GIR_EraseRootFromParent_Done,
     /*  153030 */   // Label 2824: @153030
     /*  153030 */   GIM_Reject,
     /*  153031 */ // Label 2822: @153031
     /*  153031 */ GIM_Reject,
     /*  153032 */ // Label 2819: @153032
     /*  153032 */ GIM_Try, /*On fail goto*//*Label 2825*/ GIMT_Encode4(153089),
     /*  153037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  153040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  153044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  153048 */   GIM_Try, /*On fail goto*//*Label 2826*/ GIMT_Encode4(153068), // Rule ID 2201 //
     /*  153053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  153056 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /*  153056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  153059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153066 */     GIR_RootConstrainSelectedInstOperands,
     /*  153067 */     // GIR_Coverage, 2201,
     /*  153067 */     GIR_EraseRootFromParent_Done,
     /*  153068 */   // Label 2826: @153068
     /*  153068 */   GIM_Try, /*On fail goto*//*Label 2827*/ GIMT_Encode4(153088), // Rule ID 2202 //
     /*  153073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  153076 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /*  153076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  153079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153086 */     GIR_RootConstrainSelectedInstOperands,
     /*  153087 */     // GIR_Coverage, 2202,
     /*  153087 */     GIR_EraseRootFromParent_Done,
     /*  153088 */   // Label 2827: @153088
     /*  153088 */   GIM_Reject,
     /*  153089 */ // Label 2825: @153089
     /*  153089 */ GIM_Reject,
     /*  153090 */ // Label 2820: @153090
     /*  153090 */ GIM_Try, /*On fail goto*//*Label 2828*/ GIMT_Encode4(153147),
     /*  153095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  153098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  153102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  153106 */   GIM_Try, /*On fail goto*//*Label 2829*/ GIMT_Encode4(153126), // Rule ID 2241 //
     /*  153111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  153114 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i64] })
     /*  153114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  153117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153124 */     GIR_RootConstrainSelectedInstOperands,
     /*  153125 */     // GIR_Coverage, 2241,
     /*  153125 */     GIR_EraseRootFromParent_Done,
     /*  153126 */   // Label 2829: @153126
     /*  153126 */   GIM_Try, /*On fail goto*//*Label 2830*/ GIMT_Encode4(153146), // Rule ID 2242 //
     /*  153131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  153134 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i32] })
     /*  153134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  153137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153144 */     GIR_RootConstrainSelectedInstOperands,
     /*  153145 */     // GIR_Coverage, 2242,
     /*  153145 */     GIR_EraseRootFromParent_Done,
     /*  153146 */   // Label 2830: @153146
     /*  153146 */   GIM_Reject,
     /*  153147 */ // Label 2828: @153147
     /*  153147 */ GIM_Reject,
     /*  153148 */ // Label 2821: @153148
     /*  153148 */ GIM_Reject,
     /*  153149 */ // Label 19: @153149
     /*  153149 */ GIM_Try, /*On fail goto*//*Label 2831*/ GIMT_Encode4(153187), // Rule ID 281 //
     /*  153154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  153157 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  153160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153164 */   // (readcyclecounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3072:{ *:[i64] }, X0:{ *:[i64] })
     /*  153164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  153167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153169 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3072),
     /*  153179 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  153185 */   GIR_RootConstrainSelectedInstOperands,
     /*  153186 */   // GIR_Coverage, 281,
     /*  153186 */   GIR_EraseRootFromParent_Done,
     /*  153187 */ // Label 2831: @153187
     /*  153187 */ GIM_Reject,
     /*  153188 */ // Label 20: @153188
     /*  153188 */ GIM_Try, /*On fail goto*//*Label 2832*/ GIMT_Encode4(153226), // Rule ID 282 //
     /*  153193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  153196 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  153199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153203 */   // (readsteadycounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3073:{ *:[i64] }, X0:{ *:[i64] })
     /*  153203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  153206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153208 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3073),
     /*  153218 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  153224 */   GIR_RootConstrainSelectedInstOperands,
     /*  153225 */   // GIR_Coverage, 282,
     /*  153225 */   GIR_EraseRootFromParent_Done,
     /*  153226 */ // Label 2832: @153226
     /*  153226 */ GIM_Reject,
     /*  153227 */ // Label 21: @153227
     /*  153227 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 2867*/ GIMT_Encode4(162992),
     /*  153238 */ /*GILLT_p0s32*//*Label 2833*/ GIMT_Encode4(153374),
     /*  153242 */ /*GILLT_p0s64*//*Label 2834*/ GIMT_Encode4(153468),
     /*  153246 */ /*GILLT_s16*//*Label 2835*/ GIMT_Encode4(153562),
     /*  153250 */ /*GILLT_s32*//*Label 2836*/ GIMT_Encode4(154201),
     /*  153254 */ /*GILLT_s64*//*Label 2837*/ GIMT_Encode4(156759),
     /*  153258 */ /*GILLT_nxv1s1*//*Label 2838*/ GIMT_Encode4(157686),
     /*  153262 */ /*GILLT_nxv1s8*//*Label 2839*/ GIMT_Encode4(157806),
     /*  153266 */ /*GILLT_nxv1s16*//*Label 2840*/ GIMT_Encode4(157934),
     /*  153270 */ /*GILLT_nxv1s32*//*Label 2841*/ GIMT_Encode4(158172),
     /*  153274 */ /*GILLT_nxv1s64*//*Label 2842*/ GIMT_Encode4(158410),
     /*  153278 */ /*GILLT_nxv2s1*//*Label 2843*/ GIMT_Encode4(158648),
     /*  153282 */ /*GILLT_nxv2s8*//*Label 2844*/ GIMT_Encode4(158768),
     /*  153286 */ /*GILLT_nxv2s16*//*Label 2845*/ GIMT_Encode4(158896),
     /*  153290 */ /*GILLT_nxv2s32*//*Label 2846*/ GIMT_Encode4(159134),
     /*  153294 */ /*GILLT_nxv2s64*//*Label 2847*/ GIMT_Encode4(159372),
     /*  153298 */ /*GILLT_nxv4s1*//*Label 2848*/ GIMT_Encode4(159610),
     /*  153302 */ /*GILLT_nxv4s8*//*Label 2849*/ GIMT_Encode4(159730),
     /*  153306 */ /*GILLT_nxv4s16*//*Label 2850*/ GIMT_Encode4(159858),
     /*  153310 */ /*GILLT_nxv4s32*//*Label 2851*/ GIMT_Encode4(160096),
     /*  153314 */ /*GILLT_nxv4s64*//*Label 2852*/ GIMT_Encode4(160334),
     /*  153318 */ /*GILLT_nxv8s1*//*Label 2853*/ GIMT_Encode4(160572),
     /*  153322 */ /*GILLT_nxv8s8*//*Label 2854*/ GIMT_Encode4(160692),
     /*  153326 */ /*GILLT_nxv8s16*//*Label 2855*/ GIMT_Encode4(160820),
     /*  153330 */ /*GILLT_nxv8s32*//*Label 2856*/ GIMT_Encode4(161058),
     /*  153334 */ /*GILLT_nxv8s64*//*Label 2857*/ GIMT_Encode4(161296),
     /*  153338 */ /*GILLT_nxv16s1*//*Label 2858*/ GIMT_Encode4(161534),
     /*  153342 */ /*GILLT_nxv16s8*//*Label 2859*/ GIMT_Encode4(161654),
     /*  153346 */ /*GILLT_nxv16s16*//*Label 2860*/ GIMT_Encode4(161782),
     /*  153350 */ /*GILLT_nxv16s32*//*Label 2861*/ GIMT_Encode4(162020),
     /*  153354 */ /*GILLT_nxv32s1*//*Label 2862*/ GIMT_Encode4(162258),
     /*  153358 */ /*GILLT_nxv32s8*//*Label 2863*/ GIMT_Encode4(162378),
     /*  153362 */ /*GILLT_nxv32s16*//*Label 2864*/ GIMT_Encode4(162506),
     /*  153366 */ /*GILLT_nxv64s1*//*Label 2865*/ GIMT_Encode4(162744),
     /*  153370 */ /*GILLT_nxv64s8*//*Label 2866*/ GIMT_Encode4(162864),
     /*  153374 */ // Label 2833: @153374
     /*  153374 */ GIM_Try, /*On fail goto*//*Label 2868*/ GIMT_Encode4(153467),
     /*  153379 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153382 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153390 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153394 */   GIM_Try, /*On fail goto*//*Label 2869*/ GIMT_Encode4(153430), // Rule ID 64196 //
     /*  153399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  153402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153409 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  153412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153424 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153428 */     GIR_RootConstrainSelectedInstOperands,
     /*  153429 */     // GIR_Coverage, 64196,
     /*  153429 */     GIR_EraseRootFromParent_Done,
     /*  153430 */   // Label 2869: @153430
     /*  153430 */   GIM_Try, /*On fail goto*//*Label 2870*/ GIMT_Encode4(153466), // Rule ID 64200 //
     /*  153435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  153438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153445 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  153448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153460 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153464 */     GIR_RootConstrainSelectedInstOperands,
     /*  153465 */     // GIR_Coverage, 64200,
     /*  153465 */     GIR_EraseRootFromParent_Done,
     /*  153466 */   // Label 2870: @153466
     /*  153466 */   GIM_Reject,
     /*  153467 */ // Label 2868: @153467
     /*  153467 */ GIM_Reject,
     /*  153468 */ // Label 2834: @153468
     /*  153468 */ GIM_Try, /*On fail goto*//*Label 2871*/ GIMT_Encode4(153561),
     /*  153473 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153476 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153484 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153488 */   GIM_Try, /*On fail goto*//*Label 2872*/ GIMT_Encode4(153524), // Rule ID 64195 //
     /*  153493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  153496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153503 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  153506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153518 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153522 */     GIR_RootConstrainSelectedInstOperands,
     /*  153523 */     // GIR_Coverage, 64195,
     /*  153523 */     GIR_EraseRootFromParent_Done,
     /*  153524 */   // Label 2872: @153524
     /*  153524 */   GIM_Try, /*On fail goto*//*Label 2873*/ GIMT_Encode4(153560), // Rule ID 64199 //
     /*  153529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  153532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153539 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  153542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153558 */     GIR_RootConstrainSelectedInstOperands,
     /*  153559 */     // GIR_Coverage, 64199,
     /*  153559 */     GIR_EraseRootFromParent_Done,
     /*  153560 */   // Label 2873: @153560
     /*  153560 */   GIM_Reject,
     /*  153561 */ // Label 2871: @153561
     /*  153561 */ GIM_Reject,
     /*  153562 */ // Label 2835: @153562
     /*  153562 */ GIM_Try, /*On fail goto*//*Label 2874*/ GIMT_Encode4(153616), // Rule ID 64211 //
     /*  153567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  153570 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153573 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  153580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153584 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153588 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153595 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  153598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153600 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153605 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153610 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153614 */   GIR_RootConstrainSelectedInstOperands,
     /*  153615 */   // GIR_Coverage, 64211,
     /*  153615 */   GIR_EraseRootFromParent_Done,
     /*  153616 */ // Label 2874: @153616
     /*  153616 */ GIM_Try, /*On fail goto*//*Label 2875*/ GIMT_Encode4(153670), // Rule ID 64212 //
     /*  153621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  153624 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153627 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  153634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153638 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153642 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153649 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  153652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153654 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153659 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153664 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153668 */   GIR_RootConstrainSelectedInstOperands,
     /*  153669 */   // GIR_Coverage, 64212,
     /*  153669 */   GIR_EraseRootFromParent_Done,
     /*  153670 */ // Label 2875: @153670
     /*  153670 */ GIM_Try, /*On fail goto*//*Label 2876*/ GIMT_Encode4(153724), // Rule ID 64213 //
     /*  153675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  153678 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153681 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  153688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153692 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153696 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153703 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  153706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153708 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153713 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153718 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153722 */   GIR_RootConstrainSelectedInstOperands,
     /*  153723 */   // GIR_Coverage, 64213,
     /*  153723 */   GIR_EraseRootFromParent_Done,
     /*  153724 */ // Label 2876: @153724
     /*  153724 */ GIM_Try, /*On fail goto*//*Label 2877*/ GIMT_Encode4(153778), // Rule ID 64214 //
     /*  153729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  153732 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153735 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  153742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153746 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153750 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153757 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  153760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153762 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153767 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153772 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153776 */   GIR_RootConstrainSelectedInstOperands,
     /*  153777 */   // GIR_Coverage, 64214,
     /*  153777 */   GIR_EraseRootFromParent_Done,
     /*  153778 */ // Label 2877: @153778
     /*  153778 */ GIM_Try, /*On fail goto*//*Label 2878*/ GIMT_Encode4(153829), // Rule ID 2009 //
     /*  153783 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  153786 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153789 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  153797 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153801 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153808 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153808 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  153811 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153813 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153818 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153823 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153827 */   GIR_RootConstrainSelectedInstOperands,
     /*  153828 */   // GIR_Coverage, 2009,
     /*  153828 */   GIR_EraseRootFromParent_Done,
     /*  153829 */ // Label 2878: @153829
     /*  153829 */ GIM_Try, /*On fail goto*//*Label 2879*/ GIMT_Encode4(153880), // Rule ID 2010 //
     /*  153834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  153837 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153840 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  153848 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153852 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153859 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  153862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153864 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153869 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153874 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153878 */   GIR_RootConstrainSelectedInstOperands,
     /*  153879 */   // GIR_Coverage, 2010,
     /*  153879 */   GIR_EraseRootFromParent_Done,
     /*  153880 */ // Label 2879: @153880
     /*  153880 */ GIM_Try, /*On fail goto*//*Label 2880*/ GIMT_Encode4(153931), // Rule ID 2015 //
     /*  153885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  153888 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153891 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  153899 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153903 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153910 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  153913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153915 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153920 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153925 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153929 */   GIR_RootConstrainSelectedInstOperands,
     /*  153930 */   // GIR_Coverage, 2015,
     /*  153930 */   GIR_EraseRootFromParent_Done,
     /*  153931 */ // Label 2880: @153931
     /*  153931 */ GIM_Try, /*On fail goto*//*Label 2881*/ GIMT_Encode4(153982), // Rule ID 2016 //
     /*  153936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  153939 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153942 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  153950 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153954 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153961 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  153964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153966 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153971 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153976 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153980 */   GIR_RootConstrainSelectedInstOperands,
     /*  153981 */   // GIR_Coverage, 2016,
     /*  153981 */   GIR_EraseRootFromParent_Done,
     /*  153982 */ // Label 2881: @153982
     /*  153982 */ GIM_Try, /*On fail goto*//*Label 2882*/ GIMT_Encode4(154033), // Rule ID 64203 //
     /*  153987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  153990 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153993 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154001 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154005 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154012 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  154012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  154015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154017 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154022 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154027 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154031 */   GIR_RootConstrainSelectedInstOperands,
     /*  154032 */   // GIR_Coverage, 64203,
     /*  154032 */   GIR_EraseRootFromParent_Done,
     /*  154033 */ // Label 2882: @154033
     /*  154033 */ GIM_Try, /*On fail goto*//*Label 2883*/ GIMT_Encode4(154084), // Rule ID 64204 //
     /*  154038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  154041 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154044 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154052 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154056 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154063 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  154063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  154066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154068 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154073 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154078 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154082 */   GIR_RootConstrainSelectedInstOperands,
     /*  154083 */   // GIR_Coverage, 64204,
     /*  154083 */   GIR_EraseRootFromParent_Done,
     /*  154084 */ // Label 2883: @154084
     /*  154084 */ GIM_Try, /*On fail goto*//*Label 2884*/ GIMT_Encode4(154142), // Rule ID 64207 //
     /*  154089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  154092 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154095 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154099 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154110 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154114 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154121 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  154121 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  154124 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154126 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154131 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154136 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154140 */   GIR_RootConstrainSelectedInstOperands,
     /*  154141 */   // GIR_Coverage, 64207,
     /*  154141 */   GIR_EraseRootFromParent_Done,
     /*  154142 */ // Label 2884: @154142
     /*  154142 */ GIM_Try, /*On fail goto*//*Label 2885*/ GIMT_Encode4(154200), // Rule ID 64208 //
     /*  154147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  154150 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154153 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154157 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154168 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154172 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154179 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  154179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  154182 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154184 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154189 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154194 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154198 */   GIR_RootConstrainSelectedInstOperands,
     /*  154199 */   // GIR_Coverage, 64208,
     /*  154199 */   GIR_EraseRootFromParent_Done,
     /*  154200 */ // Label 2885: @154200
     /*  154200 */ GIM_Reject,
     /*  154201 */ // Label 2836: @154201
     /*  154201 */ GIM_Try, /*On fail goto*//*Label 2886*/ GIMT_Encode4(154312), // Rule ID 72940 //
     /*  154206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154209 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154212 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154216 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154227 */   // MIs[0] Operand 1
     /*  154227 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154231 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154235 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154239 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154243 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154247 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154251 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154255 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154259 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154263 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154268 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154272 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154276 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154280 */   // MIs[3] Operand 1
     /*  154280 */   // No operand predicates
     /*  154280 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154285 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154287 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  154290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154292 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154296 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154300 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154303 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154310 */   GIR_RootConstrainSelectedInstOperands,
     /*  154311 */   // GIR_Coverage, 72940,
     /*  154311 */   GIR_EraseRootFromParent_Done,
     /*  154312 */ // Label 2886: @154312
     /*  154312 */ GIM_Try, /*On fail goto*//*Label 2887*/ GIMT_Encode4(154423), // Rule ID 72941 //
     /*  154317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154320 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154323 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154327 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154338 */   // MIs[0] Operand 1
     /*  154338 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154342 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154346 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154350 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154354 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154358 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154362 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154366 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154370 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  154374 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154379 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154383 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154387 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154391 */   // MIs[3] Operand 1
     /*  154391 */   // No operand predicates
     /*  154391 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154396 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154398 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  154398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  154401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154403 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154407 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154411 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154414 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154421 */   GIR_RootConstrainSelectedInstOperands,
     /*  154422 */   // GIR_Coverage, 72941,
     /*  154422 */   GIR_EraseRootFromParent_Done,
     /*  154423 */ // Label 2887: @154423
     /*  154423 */ GIM_Try, /*On fail goto*//*Label 2888*/ GIMT_Encode4(154534), // Rule ID 72944 //
     /*  154428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154431 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154434 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154438 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  154445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154449 */   // MIs[0] Operand 1
     /*  154449 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154453 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154457 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154461 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154465 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154469 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154473 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154477 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154481 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154485 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154490 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154494 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154498 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154502 */   // MIs[3] Operand 1
     /*  154502 */   // No operand predicates
     /*  154502 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154507 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154509 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  154512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154514 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154518 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154522 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154525 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154532 */   GIR_RootConstrainSelectedInstOperands,
     /*  154533 */   // GIR_Coverage, 72944,
     /*  154533 */   GIR_EraseRootFromParent_Done,
     /*  154534 */ // Label 2888: @154534
     /*  154534 */ GIM_Try, /*On fail goto*//*Label 2889*/ GIMT_Encode4(154645), // Rule ID 72945 //
     /*  154539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154542 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154545 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154549 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  154556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154560 */   // MIs[0] Operand 1
     /*  154560 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154564 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154568 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154572 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154576 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154580 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154584 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154588 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154592 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  154596 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154601 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154605 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154609 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154613 */   // MIs[3] Operand 1
     /*  154613 */   // No operand predicates
     /*  154613 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154618 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154620 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  154620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  154623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154625 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154629 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154633 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154636 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154643 */   GIR_RootConstrainSelectedInstOperands,
     /*  154644 */   // GIR_Coverage, 72945,
     /*  154644 */   GIR_EraseRootFromParent_Done,
     /*  154645 */ // Label 2889: @154645
     /*  154645 */ GIM_Try, /*On fail goto*//*Label 2890*/ GIMT_Encode4(154749), // Rule ID 72946 //
     /*  154650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154653 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154656 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154664 */   // MIs[0] Operand 1
     /*  154664 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154668 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154672 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154676 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154680 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154684 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154688 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154692 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154696 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154700 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154705 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154709 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154713 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154717 */   // MIs[3] Operand 1
     /*  154717 */   // No operand predicates
     /*  154717 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154722 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154724 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  154727 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154729 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154733 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154737 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154740 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154747 */   GIR_RootConstrainSelectedInstOperands,
     /*  154748 */   // GIR_Coverage, 72946,
     /*  154748 */   GIR_EraseRootFromParent_Done,
     /*  154749 */ // Label 2890: @154749
     /*  154749 */ GIM_Try, /*On fail goto*//*Label 2891*/ GIMT_Encode4(154853), // Rule ID 72947 //
     /*  154754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154757 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154760 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154768 */   // MIs[0] Operand 1
     /*  154768 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154772 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154776 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154780 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154784 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154788 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154792 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154796 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154800 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  154804 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154809 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154813 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154817 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154821 */   // MIs[3] Operand 1
     /*  154821 */   // No operand predicates
     /*  154821 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154826 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154828 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  154828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  154831 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154833 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154837 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154841 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154844 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154851 */   GIR_RootConstrainSelectedInstOperands,
     /*  154852 */   // GIR_Coverage, 72947,
     /*  154852 */   GIR_EraseRootFromParent_Done,
     /*  154853 */ // Label 2891: @154853
     /*  154853 */ GIM_Try, /*On fail goto*//*Label 2892*/ GIMT_Encode4(154964), // Rule ID 63958 //
     /*  154858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  154861 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154864 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154868 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154879 */   // MIs[0] Operand 1
     /*  154879 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154883 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154887 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  154891 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154895 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  154899 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154904 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  154908 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  154912 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154916 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  154920 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  154925 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  154929 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  154933 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  154937 */   // MIs[3] Operand 1
     /*  154937 */   // No operand predicates
     /*  154937 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  154939 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  154939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  154942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154944 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154948 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  154952 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  154955 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  154962 */   GIR_RootConstrainSelectedInstOperands,
     /*  154963 */   // GIR_Coverage, 63958,
     /*  154963 */   GIR_EraseRootFromParent_Done,
     /*  154964 */ // Label 2892: @154964
     /*  154964 */ GIM_Try, /*On fail goto*//*Label 2893*/ GIMT_Encode4(155075), // Rule ID 63959 //
     /*  154969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  154972 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154975 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154979 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154990 */   // MIs[0] Operand 1
     /*  154990 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154994 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154998 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155002 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155006 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155010 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155015 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155019 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155023 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155027 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  155031 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155036 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155040 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155044 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155048 */   // MIs[3] Operand 1
     /*  155048 */   // No operand predicates
     /*  155048 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155050 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  155050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  155053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155055 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155059 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155063 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155066 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155073 */   GIR_RootConstrainSelectedInstOperands,
     /*  155074 */   // GIR_Coverage, 63959,
     /*  155074 */   GIR_EraseRootFromParent_Done,
     /*  155075 */ // Label 2893: @155075
     /*  155075 */ GIM_Try, /*On fail goto*//*Label 2894*/ GIMT_Encode4(155186), // Rule ID 63962 //
     /*  155080 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  155083 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155086 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155090 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155101 */   // MIs[0] Operand 1
     /*  155101 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155105 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155109 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155113 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155117 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155121 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155126 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155130 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155134 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155138 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  155142 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155147 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155151 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155155 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155159 */   // MIs[3] Operand 1
     /*  155159 */   // No operand predicates
     /*  155159 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155161 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  155161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  155164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155166 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155170 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155174 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155177 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155184 */   GIR_RootConstrainSelectedInstOperands,
     /*  155185 */   // GIR_Coverage, 63962,
     /*  155185 */   GIR_EraseRootFromParent_Done,
     /*  155186 */ // Label 2894: @155186
     /*  155186 */ GIM_Try, /*On fail goto*//*Label 2895*/ GIMT_Encode4(155297), // Rule ID 63963 //
     /*  155191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  155194 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155197 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155201 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155212 */   // MIs[0] Operand 1
     /*  155212 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155216 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155220 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155224 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155228 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155232 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155237 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155241 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155245 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155249 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  155253 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155258 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155262 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155266 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155270 */   // MIs[3] Operand 1
     /*  155270 */   // No operand predicates
     /*  155270 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155272 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  155272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  155275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155277 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155281 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155285 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155288 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155295 */   GIR_RootConstrainSelectedInstOperands,
     /*  155296 */   // GIR_Coverage, 63963,
     /*  155296 */   GIR_EraseRootFromParent_Done,
     /*  155297 */ // Label 2895: @155297
     /*  155297 */ GIM_Try, /*On fail goto*//*Label 2896*/ GIMT_Encode4(155401), // Rule ID 63964 //
     /*  155302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  155305 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155308 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155316 */   // MIs[0] Operand 1
     /*  155316 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155320 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155324 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155328 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155332 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155336 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155341 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155345 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155349 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155353 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  155357 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155362 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155366 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155370 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155374 */   // MIs[3] Operand 1
     /*  155374 */   // No operand predicates
     /*  155374 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155376 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  155376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  155379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155381 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155385 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155389 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155392 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155399 */   GIR_RootConstrainSelectedInstOperands,
     /*  155400 */   // GIR_Coverage, 63964,
     /*  155400 */   GIR_EraseRootFromParent_Done,
     /*  155401 */ // Label 2896: @155401
     /*  155401 */ GIM_Try, /*On fail goto*//*Label 2897*/ GIMT_Encode4(155505), // Rule ID 63965 //
     /*  155406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  155409 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155412 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155420 */   // MIs[0] Operand 1
     /*  155420 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155424 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155428 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  155432 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155436 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  155440 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155445 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155449 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  155453 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155457 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  155461 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  155466 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  155470 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  155474 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  155478 */   // MIs[3] Operand 1
     /*  155478 */   // No operand predicates
     /*  155478 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  155480 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  155480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  155483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155485 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155489 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  155493 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  155496 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  155503 */   GIR_RootConstrainSelectedInstOperands,
     /*  155504 */   // GIR_Coverage, 63965,
     /*  155504 */   GIR_EraseRootFromParent_Done,
     /*  155505 */ // Label 2897: @155505
     /*  155505 */ GIM_Try, /*On fail goto*//*Label 2898*/ GIMT_Encode4(155562), // Rule ID 313 //
     /*  155510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  155513 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155516 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  155523 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155530 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155534 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155541 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10053>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  155544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155546 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155551 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155556 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155560 */   GIR_RootConstrainSelectedInstOperands,
     /*  155561 */   // GIR_Coverage, 313,
     /*  155561 */   GIR_EraseRootFromParent_Done,
     /*  155562 */ // Label 2898: @155562
     /*  155562 */ GIM_Try, /*On fail goto*//*Label 2899*/ GIMT_Encode4(155619), // Rule ID 315 //
     /*  155567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  155570 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155573 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155580 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155587 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155591 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155598 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10055>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  155601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155603 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155608 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155613 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155617 */   GIR_RootConstrainSelectedInstOperands,
     /*  155618 */   // GIR_Coverage, 315,
     /*  155618 */   GIR_EraseRootFromParent_Done,
     /*  155619 */ // Label 2899: @155619
     /*  155619 */ GIM_Try, /*On fail goto*//*Label 2900*/ GIMT_Encode4(155676), // Rule ID 317 //
     /*  155624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  155627 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155630 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  155637 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155644 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155648 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155655 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10057>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155658 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155660 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155665 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155670 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155674 */   GIR_RootConstrainSelectedInstOperands,
     /*  155675 */   // GIR_Coverage, 317,
     /*  155675 */   GIR_EraseRootFromParent_Done,
     /*  155676 */ // Label 2900: @155676
     /*  155676 */ GIM_Try, /*On fail goto*//*Label 2901*/ GIMT_Encode4(155730), // Rule ID 64219 //
     /*  155681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  155684 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155687 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  155694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155698 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155702 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155709 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  155709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155714 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155719 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155724 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155728 */   GIR_RootConstrainSelectedInstOperands,
     /*  155729 */   // GIR_Coverage, 64219,
     /*  155729 */   GIR_EraseRootFromParent_Done,
     /*  155730 */ // Label 2901: @155730
     /*  155730 */ GIM_Try, /*On fail goto*//*Label 2902*/ GIMT_Encode4(155784), // Rule ID 64220 //
     /*  155735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  155738 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155741 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  155748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155752 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155756 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155763 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155768 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155773 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155778 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155782 */   GIR_RootConstrainSelectedInstOperands,
     /*  155783 */   // GIR_Coverage, 64220,
     /*  155783 */   GIR_EraseRootFromParent_Done,
     /*  155784 */ // Label 2902: @155784
     /*  155784 */ GIM_Try, /*On fail goto*//*Label 2903*/ GIMT_Encode4(155842), // Rule ID 227 //
     /*  155789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  155792 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155795 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155799 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  155806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155810 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155814 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155821 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155821 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  155824 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155826 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155831 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155836 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155840 */   GIR_RootConstrainSelectedInstOperands,
     /*  155841 */   // GIR_Coverage, 227,
     /*  155841 */   GIR_EraseRootFromParent_Done,
     /*  155842 */ // Label 2903: @155842
     /*  155842 */ GIM_Try, /*On fail goto*//*Label 2904*/ GIMT_Encode4(155900), // Rule ID 231 //
     /*  155847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  155850 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155853 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155857 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155868 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155872 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155879 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  155882 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155884 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155889 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155894 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155898 */   GIR_RootConstrainSelectedInstOperands,
     /*  155899 */   // GIR_Coverage, 231,
     /*  155899 */   GIR_EraseRootFromParent_Done,
     /*  155900 */ // Label 2904: @155900
     /*  155900 */ GIM_Try, /*On fail goto*//*Label 2905*/ GIMT_Encode4(155951), // Rule ID 232 //
     /*  155905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  155908 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155911 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155919 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155923 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155930 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  155930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155933 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155935 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155940 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155945 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155949 */   GIR_RootConstrainSelectedInstOperands,
     /*  155950 */   // GIR_Coverage, 232,
     /*  155950 */   GIR_EraseRootFromParent_Done,
     /*  155951 */ // Label 2905: @155951
     /*  155951 */ GIM_Try, /*On fail goto*//*Label 2906*/ GIMT_Encode4(156002), // Rule ID 233 //
     /*  155956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  155959 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155962 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155970 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155974 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155981 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155986 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155991 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155996 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156000 */   GIR_RootConstrainSelectedInstOperands,
     /*  156001 */   // GIR_Coverage, 233,
     /*  156001 */   GIR_EraseRootFromParent_Done,
     /*  156002 */ // Label 2906: @156002
     /*  156002 */ GIM_Try, /*On fail goto*//*Label 2907*/ GIMT_Encode4(156053), // Rule ID 1296 //
     /*  156007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  156010 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156013 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156021 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156025 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156032 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  156035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156037 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156042 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156047 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156051 */   GIR_RootConstrainSelectedInstOperands,
     /*  156052 */   // GIR_Coverage, 1296,
     /*  156052 */   GIR_EraseRootFromParent_Done,
     /*  156053 */ // Label 2907: @156053
     /*  156053 */ GIM_Try, /*On fail goto*//*Label 2908*/ GIMT_Encode4(156104), // Rule ID 1297 //
     /*  156058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  156061 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156064 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156072 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156076 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156083 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156083 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  156086 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156088 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156093 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156098 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156102 */   GIR_RootConstrainSelectedInstOperands,
     /*  156103 */   // GIR_Coverage, 1297,
     /*  156103 */   GIR_EraseRootFromParent_Done,
     /*  156104 */ // Label 2908: @156104
     /*  156104 */ GIM_Try, /*On fail goto*//*Label 2909*/ GIMT_Encode4(156155), // Rule ID 1302 //
     /*  156109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  156112 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156115 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156123 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156127 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156134 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156134 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  156137 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156139 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156144 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156149 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156153 */   GIR_RootConstrainSelectedInstOperands,
     /*  156154 */   // GIR_Coverage, 1302,
     /*  156154 */   GIR_EraseRootFromParent_Done,
     /*  156155 */ // Label 2909: @156155
     /*  156155 */ GIM_Try, /*On fail goto*//*Label 2910*/ GIMT_Encode4(156206), // Rule ID 1303 //
     /*  156160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  156163 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156166 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156174 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156178 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156185 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156185 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  156188 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156190 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156195 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156200 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156204 */   GIR_RootConstrainSelectedInstOperands,
     /*  156205 */   // GIR_Coverage, 1303,
     /*  156205 */   GIR_EraseRootFromParent_Done,
     /*  156206 */ // Label 2910: @156206
     /*  156206 */ GIM_Try, /*On fail goto*//*Label 2911*/ GIMT_Encode4(156264), // Rule ID 64223 //
     /*  156211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  156214 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156217 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156221 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156232 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156236 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156243 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  156246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156248 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156253 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156258 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156262 */   GIR_RootConstrainSelectedInstOperands,
     /*  156263 */   // GIR_Coverage, 64223,
     /*  156263 */   GIR_EraseRootFromParent_Done,
     /*  156264 */ // Label 2911: @156264
     /*  156264 */ GIM_Try, /*On fail goto*//*Label 2912*/ GIMT_Encode4(156322), // Rule ID 64224 //
     /*  156269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  156272 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156275 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156279 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156290 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156294 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156301 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  156304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156306 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156311 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156316 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156320 */   GIR_RootConstrainSelectedInstOperands,
     /*  156321 */   // GIR_Coverage, 64224,
     /*  156321 */   GIR_EraseRootFromParent_Done,
     /*  156322 */ // Label 2912: @156322
     /*  156322 */ GIM_Try, /*On fail goto*//*Label 2913*/ GIMT_Encode4(156380), // Rule ID 64225 //
     /*  156327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  156330 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156333 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156337 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156348 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156352 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156359 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  156362 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156364 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156369 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156374 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156378 */   GIR_RootConstrainSelectedInstOperands,
     /*  156379 */   // GIR_Coverage, 64225,
     /*  156379 */   GIR_EraseRootFromParent_Done,
     /*  156380 */ // Label 2913: @156380
     /*  156380 */ GIM_Try, /*On fail goto*//*Label 2914*/ GIMT_Encode4(156438), // Rule ID 64226 //
     /*  156385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  156388 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156391 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156395 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156406 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156410 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156417 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  156417 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  156420 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156422 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156427 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156432 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156436 */   GIR_RootConstrainSelectedInstOperands,
     /*  156437 */   // GIR_Coverage, 64226,
     /*  156437 */   GIR_EraseRootFromParent_Done,
     /*  156438 */ // Label 2914: @156438
     /*  156438 */ GIM_Try, /*On fail goto*//*Label 2915*/ GIMT_Encode4(156478), // Rule ID 1075 //
     /*  156443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156446 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156449 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156456 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156463 */   // MIs[0] rs1
     /*  156463 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156467 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156471 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10549>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156471 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  156476 */   GIR_RootConstrainSelectedInstOperands,
     /*  156477 */   // GIR_Coverage, 1075,
     /*  156477 */   GIR_Done,
     /*  156478 */ // Label 2915: @156478
     /*  156478 */ GIM_Try, /*On fail goto*//*Label 2916*/ GIMT_Encode4(156518), // Rule ID 1077 //
     /*  156483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156486 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156489 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156496 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156503 */   // MIs[0] rs1
     /*  156503 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156507 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156511 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10551>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156511 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  156516 */   GIR_RootConstrainSelectedInstOperands,
     /*  156517 */   // GIR_Coverage, 1077,
     /*  156517 */   GIR_Done,
     /*  156518 */ // Label 2916: @156518
     /*  156518 */ GIM_Try, /*On fail goto*//*Label 2917*/ GIMT_Encode4(156558), // Rule ID 1079 //
     /*  156523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156526 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156529 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156536 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156543 */   // MIs[0] rs1
     /*  156543 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156551 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10553>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156551 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  156556 */   GIR_RootConstrainSelectedInstOperands,
     /*  156557 */   // GIR_Coverage, 1079,
     /*  156557 */   GIR_Done,
     /*  156558 */ // Label 2917: @156558
     /*  156558 */ GIM_Try, /*On fail goto*//*Label 2918*/ GIMT_Encode4(156598), // Rule ID 1081 //
     /*  156563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156566 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156569 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156576 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156583 */   // MIs[0] rs1
     /*  156583 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156591 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10555>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156591 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  156596 */   GIR_RootConstrainSelectedInstOperands,
     /*  156597 */   // GIR_Coverage, 1081,
     /*  156597 */   GIR_Done,
     /*  156598 */ // Label 2918: @156598
     /*  156598 */ GIM_Try, /*On fail goto*//*Label 2919*/ GIMT_Encode4(156638), // Rule ID 1083 //
     /*  156603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156606 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156609 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156616 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156623 */   // MIs[0] rs1
     /*  156623 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156627 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156631 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10557>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156631 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  156636 */   GIR_RootConstrainSelectedInstOperands,
     /*  156637 */   // GIR_Coverage, 1083,
     /*  156637 */   GIR_Done,
     /*  156638 */ // Label 2919: @156638
     /*  156638 */ GIM_Try, /*On fail goto*//*Label 2920*/ GIMT_Encode4(156678), // Rule ID 1085 //
     /*  156643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  156646 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156649 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156656 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156663 */   // MIs[0] rs1
     /*  156663 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156667 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156671 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10559>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156671 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  156676 */   GIR_RootConstrainSelectedInstOperands,
     /*  156677 */   // GIR_Coverage, 1085,
     /*  156677 */   GIR_Done,
     /*  156678 */ // Label 2920: @156678
     /*  156678 */ GIM_Try, /*On fail goto*//*Label 2921*/ GIMT_Encode4(156718), // Rule ID 1099 //
     /*  156683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  156686 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156689 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  156696 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156703 */   // MIs[0] rs1
     /*  156703 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156707 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156711 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10573>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156711 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  156716 */   GIR_RootConstrainSelectedInstOperands,
     /*  156717 */   // GIR_Coverage, 1099,
     /*  156717 */   GIR_Done,
     /*  156718 */ // Label 2921: @156718
     /*  156718 */ GIM_Try, /*On fail goto*//*Label 2922*/ GIMT_Encode4(156758), // Rule ID 1101 //
     /*  156723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  156726 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156729 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  156736 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  156739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156743 */   // MIs[0] rs1
     /*  156743 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156751 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10575>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  156751 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  156756 */   GIR_RootConstrainSelectedInstOperands,
     /*  156757 */   // GIR_Coverage, 1101,
     /*  156757 */   GIR_Done,
     /*  156758 */ // Label 2922: @156758
     /*  156758 */ GIM_Reject,
     /*  156759 */ // Label 2837: @156759
     /*  156759 */ GIM_Try, /*On fail goto*//*Label 2923*/ GIMT_Encode4(156816), // Rule ID 312 //
     /*  156764 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  156767 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156770 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  156777 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156784 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156788 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156795 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10053>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156795 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  156798 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156800 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156805 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156810 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156814 */   GIR_RootConstrainSelectedInstOperands,
     /*  156815 */   // GIR_Coverage, 312,
     /*  156815 */   GIR_EraseRootFromParent_Done,
     /*  156816 */ // Label 2923: @156816
     /*  156816 */ GIM_Try, /*On fail goto*//*Label 2924*/ GIMT_Encode4(156873), // Rule ID 314 //
     /*  156821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  156824 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156827 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  156834 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156841 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156845 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156852 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10055>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  156855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156857 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156862 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156867 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156871 */   GIR_RootConstrainSelectedInstOperands,
     /*  156872 */   // GIR_Coverage, 314,
     /*  156872 */   GIR_EraseRootFromParent_Done,
     /*  156873 */ // Label 2924: @156873
     /*  156873 */ GIM_Try, /*On fail goto*//*Label 2925*/ GIMT_Encode4(156930), // Rule ID 316 //
     /*  156878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  156881 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156884 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  156891 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156898 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156902 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156909 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10057>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  156912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156914 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156919 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156924 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156928 */   GIR_RootConstrainSelectedInstOperands,
     /*  156929 */   // GIR_Coverage, 316,
     /*  156929 */   GIR_EraseRootFromParent_Done,
     /*  156930 */ // Label 2925: @156930
     /*  156930 */ GIM_Try, /*On fail goto*//*Label 2926*/ GIMT_Encode4(156987), // Rule ID 324 //
     /*  156935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  156938 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  156941 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  156948 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  156951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156955 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156959 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  156966 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10065>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  156966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  156969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156971 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  156976 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  156981 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156985 */   GIR_RootConstrainSelectedInstOperands,
     /*  156986 */   // GIR_Coverage, 324,
     /*  156986 */   GIR_EraseRootFromParent_Done,
     /*  156987 */ // Label 2926: @156987
     /*  156987 */ GIM_Try, /*On fail goto*//*Label 2927*/ GIMT_Encode4(157045), // Rule ID 226 //
     /*  156992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  156995 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156998 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157002 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  157009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157013 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157017 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157024 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  157027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157029 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157034 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157039 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157043 */   GIR_RootConstrainSelectedInstOperands,
     /*  157044 */   // GIR_Coverage, 226,
     /*  157044 */   GIR_EraseRootFromParent_Done,
     /*  157045 */ // Label 2927: @157045
     /*  157045 */ GIM_Try, /*On fail goto*//*Label 2928*/ GIMT_Encode4(157103), // Rule ID 230 //
     /*  157050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  157053 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157056 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157060 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  157067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157071 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157075 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157082 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  157085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157087 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157092 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157097 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157101 */   GIR_RootConstrainSelectedInstOperands,
     /*  157102 */   // GIR_Coverage, 230,
     /*  157102 */   GIR_EraseRootFromParent_Done,
     /*  157103 */ // Label 2928: @157103
     /*  157103 */ GIM_Try, /*On fail goto*//*Label 2929*/ GIMT_Encode4(157161), // Rule ID 276 //
     /*  157108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157111 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157114 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157118 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157129 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157133 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157140 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157140 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  157143 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157145 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157150 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157155 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157159 */   GIR_RootConstrainSelectedInstOperands,
     /*  157160 */   // GIR_Coverage, 276,
     /*  157160 */   GIR_EraseRootFromParent_Done,
     /*  157161 */ // Label 2929: @157161
     /*  157161 */ GIM_Try, /*On fail goto*//*Label 2930*/ GIMT_Encode4(157212), // Rule ID 278 //
     /*  157166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157169 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157172 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157180 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157184 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157191 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  157194 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157196 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157201 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157206 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157210 */   GIR_RootConstrainSelectedInstOperands,
     /*  157211 */   // GIR_Coverage, 278,
     /*  157211 */   GIR_EraseRootFromParent_Done,
     /*  157212 */ // Label 2930: @157212
     /*  157212 */ GIM_Try, /*On fail goto*//*Label 2931*/ GIMT_Encode4(157263), // Rule ID 1694 //
     /*  157217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  157220 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157223 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157231 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157235 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157242 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  157245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157247 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157252 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157257 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157261 */   GIR_RootConstrainSelectedInstOperands,
     /*  157262 */   // GIR_Coverage, 1694,
     /*  157262 */   GIR_EraseRootFromParent_Done,
     /*  157263 */ // Label 2931: @157263
     /*  157263 */ GIM_Try, /*On fail goto*//*Label 2932*/ GIMT_Encode4(157314), // Rule ID 1695 //
     /*  157268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  157271 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157274 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157282 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157286 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157293 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  157293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  157296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157298 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157303 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157308 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157312 */   GIR_RootConstrainSelectedInstOperands,
     /*  157313 */   // GIR_Coverage, 1695,
     /*  157313 */   GIR_EraseRootFromParent_Done,
     /*  157314 */ // Label 2932: @157314
     /*  157314 */ GIM_Try, /*On fail goto*//*Label 2933*/ GIMT_Encode4(157365), // Rule ID 1699 //
     /*  157319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  157322 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157325 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157333 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157337 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  157344 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  157344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  157347 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157349 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  157354 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  157359 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157363 */   GIR_RootConstrainSelectedInstOperands,
     /*  157364 */   // GIR_Coverage, 1699,
     /*  157364 */   GIR_EraseRootFromParent_Done,
     /*  157365 */ // Label 2933: @157365
     /*  157365 */ GIM_Try, /*On fail goto*//*Label 2934*/ GIMT_Encode4(157405), // Rule ID 1074 //
     /*  157370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157373 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157376 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  157383 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157390 */   // MIs[0] rs1
     /*  157390 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157394 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157398 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10549>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157398 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  157403 */   GIR_RootConstrainSelectedInstOperands,
     /*  157404 */   // GIR_Coverage, 1074,
     /*  157404 */   GIR_Done,
     /*  157405 */ // Label 2934: @157405
     /*  157405 */ GIM_Try, /*On fail goto*//*Label 2935*/ GIMT_Encode4(157445), // Rule ID 1076 //
     /*  157410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157413 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157416 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  157423 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  157426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157430 */   // MIs[0] rs1
     /*  157430 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157438 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10551>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157438 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  157443 */   GIR_RootConstrainSelectedInstOperands,
     /*  157444 */   // GIR_Coverage, 1076,
     /*  157444 */   GIR_Done,
     /*  157445 */ // Label 2935: @157445
     /*  157445 */ GIM_Try, /*On fail goto*//*Label 2936*/ GIMT_Encode4(157485), // Rule ID 1078 //
     /*  157450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157453 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157456 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  157463 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157470 */   // MIs[0] rs1
     /*  157470 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157478 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10553>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157478 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  157483 */   GIR_RootConstrainSelectedInstOperands,
     /*  157484 */   // GIR_Coverage, 1078,
     /*  157484 */   GIR_Done,
     /*  157485 */ // Label 2936: @157485
     /*  157485 */ GIM_Try, /*On fail goto*//*Label 2937*/ GIMT_Encode4(157525), // Rule ID 1080 //
     /*  157490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157493 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157496 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  157503 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  157506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157510 */   // MIs[0] rs1
     /*  157510 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157518 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10555>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157518 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  157523 */   GIR_RootConstrainSelectedInstOperands,
     /*  157524 */   // GIR_Coverage, 1080,
     /*  157524 */   GIR_Done,
     /*  157525 */ // Label 2937: @157525
     /*  157525 */ GIM_Try, /*On fail goto*//*Label 2938*/ GIMT_Encode4(157565), // Rule ID 1082 //
     /*  157530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157533 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157536 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157543 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157550 */   // MIs[0] rs1
     /*  157550 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157558 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10557>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157558 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  157563 */   GIR_RootConstrainSelectedInstOperands,
     /*  157564 */   // GIR_Coverage, 1082,
     /*  157564 */   GIR_Done,
     /*  157565 */ // Label 2938: @157565
     /*  157565 */ GIM_Try, /*On fail goto*//*Label 2939*/ GIMT_Encode4(157605), // Rule ID 1084 //
     /*  157570 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  157573 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157576 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  157583 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  157586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157590 */   // MIs[0] rs1
     /*  157590 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157598 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10559>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157598 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  157603 */   GIR_RootConstrainSelectedInstOperands,
     /*  157604 */   // GIR_Coverage, 1084,
     /*  157604 */   GIR_Done,
     /*  157605 */ // Label 2939: @157605
     /*  157605 */ GIM_Try, /*On fail goto*//*Label 2940*/ GIMT_Encode4(157645), // Rule ID 1098 //
     /*  157610 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  157613 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157616 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  157623 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  157626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157630 */   // MIs[0] rs1
     /*  157630 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157638 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10573>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157638 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  157643 */   GIR_RootConstrainSelectedInstOperands,
     /*  157644 */   // GIR_Coverage, 1098,
     /*  157644 */   GIR_Done,
     /*  157645 */ // Label 2940: @157645
     /*  157645 */ GIM_Try, /*On fail goto*//*Label 2941*/ GIMT_Encode4(157685), // Rule ID 1100 //
     /*  157650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  157653 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  157656 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  157663 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  157666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157670 */   // MIs[0] rs1
     /*  157670 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157678 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10575>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  157678 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  157683 */   GIR_RootConstrainSelectedInstOperands,
     /*  157684 */   // GIR_Coverage, 1100,
     /*  157684 */   GIR_Done,
     /*  157685 */ // Label 2941: @157685
     /*  157685 */ GIM_Reject,
     /*  157686 */ // Label 2838: @157686
     /*  157686 */ GIM_Try, /*On fail goto*//*Label 2942*/ GIMT_Encode4(157805),
     /*  157691 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157694 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157702 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157710 */   GIM_Try, /*On fail goto*//*Label 2943*/ GIMT_Encode4(157757), // Rule ID 45469 //
     /*  157715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157718 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  157718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  157721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  157735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157751 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157755 */     GIR_RootConstrainSelectedInstOperands,
     /*  157756 */     // GIR_Coverage, 45469,
     /*  157756 */     GIR_EraseRootFromParent_Done,
     /*  157757 */   // Label 2943: @157757
     /*  157757 */   GIM_Try, /*On fail goto*//*Label 2944*/ GIMT_Encode4(157804), // Rule ID 45470 //
     /*  157762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157765 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  157765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  157768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  157782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157798 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157802 */     GIR_RootConstrainSelectedInstOperands,
     /*  157803 */     // GIR_Coverage, 45470,
     /*  157803 */     GIR_EraseRootFromParent_Done,
     /*  157804 */   // Label 2944: @157804
     /*  157804 */   GIM_Reject,
     /*  157805 */ // Label 2942: @157805
     /*  157805 */ GIM_Reject,
     /*  157806 */ // Label 2839: @157806
     /*  157806 */ GIM_Try, /*On fail goto*//*Label 2945*/ GIMT_Encode4(157933),
     /*  157811 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157814 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157822 */   GIM_Try, /*On fail goto*//*Label 2946*/ GIMT_Encode4(157877), // Rule ID 45465 //
     /*  157827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157830 */     // MIs[0] rs1
     /*  157830 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157838 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  157838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  157841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  157855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157875 */     GIR_RootConstrainSelectedInstOperands,
     /*  157876 */     // GIR_Coverage, 45465,
     /*  157876 */     GIR_EraseRootFromParent_Done,
     /*  157877 */   // Label 2946: @157877
     /*  157877 */   GIM_Try, /*On fail goto*//*Label 2947*/ GIMT_Encode4(157932), // Rule ID 45466 //
     /*  157882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157885 */     // MIs[0] rs1
     /*  157885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  157889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157893 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  157893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  157896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  157910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157926 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157930 */     GIR_RootConstrainSelectedInstOperands,
     /*  157931 */     // GIR_Coverage, 45466,
     /*  157931 */     GIR_EraseRootFromParent_Done,
     /*  157932 */   // Label 2947: @157932
     /*  157932 */   GIM_Reject,
     /*  157933 */ // Label 2945: @157933
     /*  157933 */ GIM_Reject,
     /*  157934 */ // Label 2840: @157934
     /*  157934 */ GIM_Try, /*On fail goto*//*Label 2948*/ GIMT_Encode4(158171),
     /*  157939 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157942 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157950 */   GIM_Try, /*On fail goto*//*Label 2949*/ GIMT_Encode4(158005), // Rule ID 45661 //
     /*  157955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157958 */     // MIs[0] rs1
     /*  157958 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157966 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  157966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  157969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  157983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  157996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157999 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158003 */     GIR_RootConstrainSelectedInstOperands,
     /*  158004 */     // GIR_Coverage, 45661,
     /*  158004 */     GIR_EraseRootFromParent_Done,
     /*  158005 */   // Label 2949: @158005
     /*  158005 */   GIM_Try, /*On fail goto*//*Label 2950*/ GIMT_Encode4(158060), // Rule ID 45662 //
     /*  158010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158013 */     // MIs[0] rs1
     /*  158013 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158021 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  158021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  158024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  158038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158054 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158058 */     GIR_RootConstrainSelectedInstOperands,
     /*  158059 */     // GIR_Coverage, 45662,
     /*  158059 */     GIR_EraseRootFromParent_Done,
     /*  158060 */   // Label 2950: @158060
     /*  158060 */   GIM_Try, /*On fail goto*//*Label 2951*/ GIMT_Encode4(158115), // Rule ID 45737 //
     /*  158065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  158068 */     // MIs[0] rs1
     /*  158068 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158076 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  158076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  158079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  158093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158109 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158113 */     GIR_RootConstrainSelectedInstOperands,
     /*  158114 */     // GIR_Coverage, 45737,
     /*  158114 */     GIR_EraseRootFromParent_Done,
     /*  158115 */   // Label 2951: @158115
     /*  158115 */   GIM_Try, /*On fail goto*//*Label 2952*/ GIMT_Encode4(158170), // Rule ID 45738 //
     /*  158120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  158123 */     // MIs[0] rs1
     /*  158123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158131 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  158131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  158134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  158148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158164 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158168 */     GIR_RootConstrainSelectedInstOperands,
     /*  158169 */     // GIR_Coverage, 45738,
     /*  158169 */     GIR_EraseRootFromParent_Done,
     /*  158170 */   // Label 2952: @158170
     /*  158170 */   GIM_Reject,
     /*  158171 */ // Label 2948: @158171
     /*  158171 */ GIM_Reject,
     /*  158172 */ // Label 2841: @158172
     /*  158172 */ GIM_Try, /*On fail goto*//*Label 2953*/ GIMT_Encode4(158409),
     /*  158177 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158180 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158188 */   GIM_Try, /*On fail goto*//*Label 2954*/ GIMT_Encode4(158243), // Rule ID 45669 //
     /*  158193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158196 */     // MIs[0] rs1
     /*  158196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158204 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  158204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158237 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158241 */     GIR_RootConstrainSelectedInstOperands,
     /*  158242 */     // GIR_Coverage, 45669,
     /*  158242 */     GIR_EraseRootFromParent_Done,
     /*  158243 */   // Label 2954: @158243
     /*  158243 */   GIM_Try, /*On fail goto*//*Label 2955*/ GIMT_Encode4(158298), // Rule ID 45670 //
     /*  158248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158251 */     // MIs[0] rs1
     /*  158251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158259 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  158259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158292 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158296 */     GIR_RootConstrainSelectedInstOperands,
     /*  158297 */     // GIR_Coverage, 45670,
     /*  158297 */     GIR_EraseRootFromParent_Done,
     /*  158298 */   // Label 2955: @158298
     /*  158298 */   GIM_Try, /*On fail goto*//*Label 2956*/ GIMT_Encode4(158353), // Rule ID 45745 //
     /*  158303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  158306 */     // MIs[0] rs1
     /*  158306 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158314 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  158314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158347 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158351 */     GIR_RootConstrainSelectedInstOperands,
     /*  158352 */     // GIR_Coverage, 45745,
     /*  158352 */     GIR_EraseRootFromParent_Done,
     /*  158353 */   // Label 2956: @158353
     /*  158353 */   GIM_Try, /*On fail goto*//*Label 2957*/ GIMT_Encode4(158408), // Rule ID 45746 //
     /*  158358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  158361 */     // MIs[0] rs1
     /*  158361 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158369 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  158369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  158372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  158386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158402 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158406 */     GIR_RootConstrainSelectedInstOperands,
     /*  158407 */     // GIR_Coverage, 45746,
     /*  158407 */     GIR_EraseRootFromParent_Done,
     /*  158408 */   // Label 2957: @158408
     /*  158408 */   GIM_Reject,
     /*  158409 */ // Label 2953: @158409
     /*  158409 */ GIM_Reject,
     /*  158410 */ // Label 2842: @158410
     /*  158410 */ GIM_Try, /*On fail goto*//*Label 2958*/ GIMT_Encode4(158647),
     /*  158415 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158418 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158426 */   GIM_Try, /*On fail goto*//*Label 2959*/ GIMT_Encode4(158481), // Rule ID 45685 //
     /*  158431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  158434 */     // MIs[0] rs1
     /*  158434 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158442 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  158442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  158445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  158459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158475 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158479 */     GIR_RootConstrainSelectedInstOperands,
     /*  158480 */     // GIR_Coverage, 45685,
     /*  158480 */     GIR_EraseRootFromParent_Done,
     /*  158481 */   // Label 2959: @158481
     /*  158481 */   GIM_Try, /*On fail goto*//*Label 2960*/ GIMT_Encode4(158536), // Rule ID 45686 //
     /*  158486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  158489 */     // MIs[0] rs1
     /*  158489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158497 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  158497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  158500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  158514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158530 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158534 */     GIR_RootConstrainSelectedInstOperands,
     /*  158535 */     // GIR_Coverage, 45686,
     /*  158535 */     GIR_EraseRootFromParent_Done,
     /*  158536 */   // Label 2960: @158536
     /*  158536 */   GIM_Try, /*On fail goto*//*Label 2961*/ GIMT_Encode4(158591), // Rule ID 45757 //
     /*  158541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  158544 */     // MIs[0] rs1
     /*  158544 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158552 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  158552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  158555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  158569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158585 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158589 */     GIR_RootConstrainSelectedInstOperands,
     /*  158590 */     // GIR_Coverage, 45757,
     /*  158590 */     GIR_EraseRootFromParent_Done,
     /*  158591 */   // Label 2961: @158591
     /*  158591 */   GIM_Try, /*On fail goto*//*Label 2962*/ GIMT_Encode4(158646), // Rule ID 45758 //
     /*  158596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  158599 */     // MIs[0] rs1
     /*  158599 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158607 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  158607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  158610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  158624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158640 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158644 */     GIR_RootConstrainSelectedInstOperands,
     /*  158645 */     // GIR_Coverage, 45758,
     /*  158645 */     GIR_EraseRootFromParent_Done,
     /*  158646 */   // Label 2962: @158646
     /*  158646 */   GIM_Reject,
     /*  158647 */ // Label 2958: @158647
     /*  158647 */ GIM_Reject,
     /*  158648 */ // Label 2843: @158648
     /*  158648 */ GIM_Try, /*On fail goto*//*Label 2963*/ GIMT_Encode4(158767),
     /*  158653 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158656 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158664 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158672 */   GIM_Try, /*On fail goto*//*Label 2964*/ GIMT_Encode4(158719), // Rule ID 45797 //
     /*  158677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158680 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  158680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  158683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  158697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  158710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158713 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158717 */     GIR_RootConstrainSelectedInstOperands,
     /*  158718 */     // GIR_Coverage, 45797,
     /*  158718 */     GIR_EraseRootFromParent_Done,
     /*  158719 */   // Label 2964: @158719
     /*  158719 */   GIM_Try, /*On fail goto*//*Label 2965*/ GIMT_Encode4(158766), // Rule ID 45798 //
     /*  158724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158727 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  158727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  158730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  158744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  158757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158760 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158764 */     GIR_RootConstrainSelectedInstOperands,
     /*  158765 */     // GIR_Coverage, 45798,
     /*  158765 */     GIR_EraseRootFromParent_Done,
     /*  158766 */   // Label 2965: @158766
     /*  158766 */   GIM_Reject,
     /*  158767 */ // Label 2963: @158767
     /*  158767 */ GIM_Reject,
     /*  158768 */ // Label 2844: @158768
     /*  158768 */ GIM_Try, /*On fail goto*//*Label 2966*/ GIMT_Encode4(158895),
     /*  158773 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158776 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158784 */   GIM_Try, /*On fail goto*//*Label 2967*/ GIMT_Encode4(158839), // Rule ID 45653 //
     /*  158789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158792 */     // MIs[0] rs1
     /*  158792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158800 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  158800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  158803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  158817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158833 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158837 */     GIR_RootConstrainSelectedInstOperands,
     /*  158838 */     // GIR_Coverage, 45653,
     /*  158838 */     GIR_EraseRootFromParent_Done,
     /*  158839 */   // Label 2967: @158839
     /*  158839 */   GIM_Try, /*On fail goto*//*Label 2968*/ GIMT_Encode4(158894), // Rule ID 45654 //
     /*  158844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158847 */     // MIs[0] rs1
     /*  158847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158855 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  158855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  158858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  158872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158888 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158892 */     GIR_RootConstrainSelectedInstOperands,
     /*  158893 */     // GIR_Coverage, 45654,
     /*  158893 */     GIR_EraseRootFromParent_Done,
     /*  158894 */   // Label 2968: @158894
     /*  158894 */   GIM_Reject,
     /*  158895 */ // Label 2966: @158895
     /*  158895 */ GIM_Reject,
     /*  158896 */ // Label 2845: @158896
     /*  158896 */ GIM_Try, /*On fail goto*//*Label 2969*/ GIMT_Encode4(159133),
     /*  158901 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158904 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158912 */   GIM_Try, /*On fail goto*//*Label 2970*/ GIMT_Encode4(158967), // Rule ID 45665 //
     /*  158917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158920 */     // MIs[0] rs1
     /*  158920 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158928 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  158928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  158931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  158945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158961 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158965 */     GIR_RootConstrainSelectedInstOperands,
     /*  158966 */     // GIR_Coverage, 45665,
     /*  158966 */     GIR_EraseRootFromParent_Done,
     /*  158967 */   // Label 2970: @158967
     /*  158967 */   GIM_Try, /*On fail goto*//*Label 2971*/ GIMT_Encode4(159022), // Rule ID 45666 //
     /*  158972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158975 */     // MIs[0] rs1
     /*  158975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158983 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  158983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  158986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  159000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159016 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159020 */     GIR_RootConstrainSelectedInstOperands,
     /*  159021 */     // GIR_Coverage, 45666,
     /*  159021 */     GIR_EraseRootFromParent_Done,
     /*  159022 */   // Label 2971: @159022
     /*  159022 */   GIM_Try, /*On fail goto*//*Label 2972*/ GIMT_Encode4(159077), // Rule ID 45741 //
     /*  159027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  159030 */     // MIs[0] rs1
     /*  159030 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159038 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  159038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  159041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  159055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159071 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159075 */     GIR_RootConstrainSelectedInstOperands,
     /*  159076 */     // GIR_Coverage, 45741,
     /*  159076 */     GIR_EraseRootFromParent_Done,
     /*  159077 */   // Label 2972: @159077
     /*  159077 */   GIM_Try, /*On fail goto*//*Label 2973*/ GIMT_Encode4(159132), // Rule ID 45742 //
     /*  159082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  159085 */     // MIs[0] rs1
     /*  159085 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159093 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  159093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  159096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  159110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159130 */     GIR_RootConstrainSelectedInstOperands,
     /*  159131 */     // GIR_Coverage, 45742,
     /*  159131 */     GIR_EraseRootFromParent_Done,
     /*  159132 */   // Label 2973: @159132
     /*  159132 */   GIM_Reject,
     /*  159133 */ // Label 2969: @159133
     /*  159133 */ GIM_Reject,
     /*  159134 */ // Label 2846: @159134
     /*  159134 */ GIM_Try, /*On fail goto*//*Label 2974*/ GIMT_Encode4(159371),
     /*  159139 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159142 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159150 */   GIM_Try, /*On fail goto*//*Label 2975*/ GIMT_Encode4(159205), // Rule ID 45681 //
     /*  159155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159158 */     // MIs[0] rs1
     /*  159158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159166 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  159166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159203 */     GIR_RootConstrainSelectedInstOperands,
     /*  159204 */     // GIR_Coverage, 45681,
     /*  159204 */     GIR_EraseRootFromParent_Done,
     /*  159205 */   // Label 2975: @159205
     /*  159205 */   GIM_Try, /*On fail goto*//*Label 2976*/ GIMT_Encode4(159260), // Rule ID 45682 //
     /*  159210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159213 */     // MIs[0] rs1
     /*  159213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159221 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  159221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159254 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159258 */     GIR_RootConstrainSelectedInstOperands,
     /*  159259 */     // GIR_Coverage, 45682,
     /*  159259 */     GIR_EraseRootFromParent_Done,
     /*  159260 */   // Label 2976: @159260
     /*  159260 */   GIM_Try, /*On fail goto*//*Label 2977*/ GIMT_Encode4(159315), // Rule ID 45753 //
     /*  159265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  159268 */     // MIs[0] rs1
     /*  159268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159276 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  159276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159313 */     GIR_RootConstrainSelectedInstOperands,
     /*  159314 */     // GIR_Coverage, 45753,
     /*  159314 */     GIR_EraseRootFromParent_Done,
     /*  159315 */   // Label 2977: @159315
     /*  159315 */   GIM_Try, /*On fail goto*//*Label 2978*/ GIMT_Encode4(159370), // Rule ID 45754 //
     /*  159320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  159323 */     // MIs[0] rs1
     /*  159323 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159331 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  159331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  159334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  159348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159364 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159368 */     GIR_RootConstrainSelectedInstOperands,
     /*  159369 */     // GIR_Coverage, 45754,
     /*  159369 */     GIR_EraseRootFromParent_Done,
     /*  159370 */   // Label 2978: @159370
     /*  159370 */   GIM_Reject,
     /*  159371 */ // Label 2974: @159371
     /*  159371 */ GIM_Reject,
     /*  159372 */ // Label 2847: @159372
     /*  159372 */ GIM_Try, /*On fail goto*//*Label 2979*/ GIMT_Encode4(159609),
     /*  159377 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159380 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  159388 */   GIM_Try, /*On fail goto*//*Label 2980*/ GIMT_Encode4(159443), // Rule ID 45725 //
     /*  159393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  159396 */     // MIs[0] rs1
     /*  159396 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159404 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  159404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  159421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159437 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159441 */     GIR_RootConstrainSelectedInstOperands,
     /*  159442 */     // GIR_Coverage, 45725,
     /*  159442 */     GIR_EraseRootFromParent_Done,
     /*  159443 */   // Label 2980: @159443
     /*  159443 */   GIM_Try, /*On fail goto*//*Label 2981*/ GIMT_Encode4(159498), // Rule ID 45726 //
     /*  159448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  159451 */     // MIs[0] rs1
     /*  159451 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159459 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  159459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  159476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159496 */     GIR_RootConstrainSelectedInstOperands,
     /*  159497 */     // GIR_Coverage, 45726,
     /*  159497 */     GIR_EraseRootFromParent_Done,
     /*  159498 */   // Label 2981: @159498
     /*  159498 */   GIM_Try, /*On fail goto*//*Label 2982*/ GIMT_Encode4(159553), // Rule ID 45785 //
     /*  159503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  159506 */     // MIs[0] rs1
     /*  159506 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159514 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  159514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  159531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159551 */     GIR_RootConstrainSelectedInstOperands,
     /*  159552 */     // GIR_Coverage, 45785,
     /*  159552 */     GIR_EraseRootFromParent_Done,
     /*  159553 */   // Label 2982: @159553
     /*  159553 */   GIM_Try, /*On fail goto*//*Label 2983*/ GIMT_Encode4(159608), // Rule ID 45786 //
     /*  159558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  159561 */     // MIs[0] rs1
     /*  159561 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159569 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  159569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  159572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  159586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159606 */     GIR_RootConstrainSelectedInstOperands,
     /*  159607 */     // GIR_Coverage, 45786,
     /*  159607 */     GIR_EraseRootFromParent_Done,
     /*  159608 */   // Label 2983: @159608
     /*  159608 */   GIM_Reject,
     /*  159609 */ // Label 2979: @159609
     /*  159609 */ GIM_Reject,
     /*  159610 */ // Label 2848: @159610
     /*  159610 */ GIM_Try, /*On fail goto*//*Label 2984*/ GIMT_Encode4(159729),
     /*  159615 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159618 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159626 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159634 */   GIM_Try, /*On fail goto*//*Label 2985*/ GIMT_Encode4(159681), // Rule ID 45801 //
     /*  159639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159642 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  159642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  159645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  159659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  159672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159675 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159679 */     GIR_RootConstrainSelectedInstOperands,
     /*  159680 */     // GIR_Coverage, 45801,
     /*  159680 */     GIR_EraseRootFromParent_Done,
     /*  159681 */   // Label 2985: @159681
     /*  159681 */   GIM_Try, /*On fail goto*//*Label 2986*/ GIMT_Encode4(159728), // Rule ID 45802 //
     /*  159686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159689 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  159689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  159692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  159706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  159719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159722 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159726 */     GIR_RootConstrainSelectedInstOperands,
     /*  159727 */     // GIR_Coverage, 45802,
     /*  159727 */     GIR_EraseRootFromParent_Done,
     /*  159728 */   // Label 2986: @159728
     /*  159728 */   GIM_Reject,
     /*  159729 */ // Label 2984: @159729
     /*  159729 */ GIM_Reject,
     /*  159730 */ // Label 2849: @159730
     /*  159730 */ GIM_Try, /*On fail goto*//*Label 2987*/ GIMT_Encode4(159857),
     /*  159735 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159738 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159746 */   GIM_Try, /*On fail goto*//*Label 2988*/ GIMT_Encode4(159801), // Rule ID 45657 //
     /*  159751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159754 */     // MIs[0] rs1
     /*  159754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159762 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  159762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  159765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  159779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159795 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159799 */     GIR_RootConstrainSelectedInstOperands,
     /*  159800 */     // GIR_Coverage, 45657,
     /*  159800 */     GIR_EraseRootFromParent_Done,
     /*  159801 */   // Label 2988: @159801
     /*  159801 */   GIM_Try, /*On fail goto*//*Label 2989*/ GIMT_Encode4(159856), // Rule ID 45658 //
     /*  159806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159809 */     // MIs[0] rs1
     /*  159809 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159817 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  159817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  159820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  159834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159850 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159854 */     GIR_RootConstrainSelectedInstOperands,
     /*  159855 */     // GIR_Coverage, 45658,
     /*  159855 */     GIR_EraseRootFromParent_Done,
     /*  159856 */   // Label 2989: @159856
     /*  159856 */   GIM_Reject,
     /*  159857 */ // Label 2987: @159857
     /*  159857 */ GIM_Reject,
     /*  159858 */ // Label 2850: @159858
     /*  159858 */ GIM_Try, /*On fail goto*//*Label 2990*/ GIMT_Encode4(160095),
     /*  159863 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159866 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159874 */   GIM_Try, /*On fail goto*//*Label 2991*/ GIMT_Encode4(159929), // Rule ID 45677 //
     /*  159879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159882 */     // MIs[0] rs1
     /*  159882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159890 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  159890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  159893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  159907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159923 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159927 */     GIR_RootConstrainSelectedInstOperands,
     /*  159928 */     // GIR_Coverage, 45677,
     /*  159928 */     GIR_EraseRootFromParent_Done,
     /*  159929 */   // Label 2991: @159929
     /*  159929 */   GIM_Try, /*On fail goto*//*Label 2992*/ GIMT_Encode4(159984), // Rule ID 45678 //
     /*  159934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159937 */     // MIs[0] rs1
     /*  159937 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159945 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  159945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  159948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  159962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159978 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159982 */     GIR_RootConstrainSelectedInstOperands,
     /*  159983 */     // GIR_Coverage, 45678,
     /*  159983 */     GIR_EraseRootFromParent_Done,
     /*  159984 */   // Label 2992: @159984
     /*  159984 */   GIM_Try, /*On fail goto*//*Label 2993*/ GIMT_Encode4(160039), // Rule ID 45749 //
     /*  159989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  159992 */     // MIs[0] rs1
     /*  159992 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160000 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  160000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  160003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  160017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160033 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160037 */     GIR_RootConstrainSelectedInstOperands,
     /*  160038 */     // GIR_Coverage, 45749,
     /*  160038 */     GIR_EraseRootFromParent_Done,
     /*  160039 */   // Label 2993: @160039
     /*  160039 */   GIM_Try, /*On fail goto*//*Label 2994*/ GIMT_Encode4(160094), // Rule ID 45750 //
     /*  160044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  160047 */     // MIs[0] rs1
     /*  160047 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160055 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  160055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  160058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  160072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160088 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160092 */     GIR_RootConstrainSelectedInstOperands,
     /*  160093 */     // GIR_Coverage, 45750,
     /*  160093 */     GIR_EraseRootFromParent_Done,
     /*  160094 */   // Label 2994: @160094
     /*  160094 */   GIM_Reject,
     /*  160095 */ // Label 2990: @160095
     /*  160095 */ GIM_Reject,
     /*  160096 */ // Label 2851: @160096
     /*  160096 */ GIM_Try, /*On fail goto*//*Label 2995*/ GIMT_Encode4(160333),
     /*  160101 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160104 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160112 */   GIM_Try, /*On fail goto*//*Label 2996*/ GIMT_Encode4(160167), // Rule ID 45713 //
     /*  160117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160120 */     // MIs[0] rs1
     /*  160120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160128 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  160128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160161 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160165 */     GIR_RootConstrainSelectedInstOperands,
     /*  160166 */     // GIR_Coverage, 45713,
     /*  160166 */     GIR_EraseRootFromParent_Done,
     /*  160167 */   // Label 2996: @160167
     /*  160167 */   GIM_Try, /*On fail goto*//*Label 2997*/ GIMT_Encode4(160222), // Rule ID 45714 //
     /*  160172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160175 */     // MIs[0] rs1
     /*  160175 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160183 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  160183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160216 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160220 */     GIR_RootConstrainSelectedInstOperands,
     /*  160221 */     // GIR_Coverage, 45714,
     /*  160221 */     GIR_EraseRootFromParent_Done,
     /*  160222 */   // Label 2997: @160222
     /*  160222 */   GIM_Try, /*On fail goto*//*Label 2998*/ GIMT_Encode4(160277), // Rule ID 45773 //
     /*  160227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  160230 */     // MIs[0] rs1
     /*  160230 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160238 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  160238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160271 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160275 */     GIR_RootConstrainSelectedInstOperands,
     /*  160276 */     // GIR_Coverage, 45773,
     /*  160276 */     GIR_EraseRootFromParent_Done,
     /*  160277 */   // Label 2998: @160277
     /*  160277 */   GIM_Try, /*On fail goto*//*Label 2999*/ GIMT_Encode4(160332), // Rule ID 45774 //
     /*  160282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  160285 */     // MIs[0] rs1
     /*  160285 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160293 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  160293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  160296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  160310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160326 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160330 */     GIR_RootConstrainSelectedInstOperands,
     /*  160331 */     // GIR_Coverage, 45774,
     /*  160331 */     GIR_EraseRootFromParent_Done,
     /*  160332 */   // Label 2999: @160332
     /*  160332 */   GIM_Reject,
     /*  160333 */ // Label 2995: @160333
     /*  160333 */ GIM_Reject,
     /*  160334 */ // Label 2852: @160334
     /*  160334 */ GIM_Try, /*On fail goto*//*Label 3000*/ GIMT_Encode4(160571),
     /*  160339 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160342 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160350 */   GIM_Try, /*On fail goto*//*Label 3001*/ GIMT_Encode4(160405), // Rule ID 45729 //
     /*  160355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  160358 */     // MIs[0] rs1
     /*  160358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160366 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  160366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160399 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160403 */     GIR_RootConstrainSelectedInstOperands,
     /*  160404 */     // GIR_Coverage, 45729,
     /*  160404 */     GIR_EraseRootFromParent_Done,
     /*  160405 */   // Label 3001: @160405
     /*  160405 */   GIM_Try, /*On fail goto*//*Label 3002*/ GIMT_Encode4(160460), // Rule ID 45730 //
     /*  160410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  160413 */     // MIs[0] rs1
     /*  160413 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160421 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  160421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160454 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160458 */     GIR_RootConstrainSelectedInstOperands,
     /*  160459 */     // GIR_Coverage, 45730,
     /*  160459 */     GIR_EraseRootFromParent_Done,
     /*  160460 */   // Label 3002: @160460
     /*  160460 */   GIM_Try, /*On fail goto*//*Label 3003*/ GIMT_Encode4(160515), // Rule ID 45789 //
     /*  160465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  160468 */     // MIs[0] rs1
     /*  160468 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160476 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  160476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160509 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160513 */     GIR_RootConstrainSelectedInstOperands,
     /*  160514 */     // GIR_Coverage, 45789,
     /*  160514 */     GIR_EraseRootFromParent_Done,
     /*  160515 */   // Label 3003: @160515
     /*  160515 */   GIM_Try, /*On fail goto*//*Label 3004*/ GIMT_Encode4(160570), // Rule ID 45790 //
     /*  160520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  160523 */     // MIs[0] rs1
     /*  160523 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160531 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  160531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  160534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  160548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160564 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160568 */     GIR_RootConstrainSelectedInstOperands,
     /*  160569 */     // GIR_Coverage, 45790,
     /*  160569 */     GIR_EraseRootFromParent_Done,
     /*  160570 */   // Label 3004: @160570
     /*  160570 */   GIM_Reject,
     /*  160571 */ // Label 3000: @160571
     /*  160571 */ GIM_Reject,
     /*  160572 */ // Label 2853: @160572
     /*  160572 */ GIM_Try, /*On fail goto*//*Label 3005*/ GIMT_Encode4(160691),
     /*  160577 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160580 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160588 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160596 */   GIM_Try, /*On fail goto*//*Label 3006*/ GIMT_Encode4(160643), // Rule ID 45805 //
     /*  160601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160604 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  160604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  160607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  160621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  160634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160637 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160641 */     GIR_RootConstrainSelectedInstOperands,
     /*  160642 */     // GIR_Coverage, 45805,
     /*  160642 */     GIR_EraseRootFromParent_Done,
     /*  160643 */   // Label 3006: @160643
     /*  160643 */   GIM_Try, /*On fail goto*//*Label 3007*/ GIMT_Encode4(160690), // Rule ID 45806 //
     /*  160648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160651 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  160651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  160654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  160668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  160681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160684 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160688 */     GIR_RootConstrainSelectedInstOperands,
     /*  160689 */     // GIR_Coverage, 45806,
     /*  160689 */     GIR_EraseRootFromParent_Done,
     /*  160690 */   // Label 3007: @160690
     /*  160690 */   GIM_Reject,
     /*  160691 */ // Label 3005: @160691
     /*  160691 */ GIM_Reject,
     /*  160692 */ // Label 2854: @160692
     /*  160692 */ GIM_Try, /*On fail goto*//*Label 3008*/ GIMT_Encode4(160819),
     /*  160697 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160700 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160708 */   GIM_Try, /*On fail goto*//*Label 3009*/ GIMT_Encode4(160763), // Rule ID 45673 //
     /*  160713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160716 */     // MIs[0] rs1
     /*  160716 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160724 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  160724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  160727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  160741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160757 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160761 */     GIR_RootConstrainSelectedInstOperands,
     /*  160762 */     // GIR_Coverage, 45673,
     /*  160762 */     GIR_EraseRootFromParent_Done,
     /*  160763 */   // Label 3009: @160763
     /*  160763 */   GIM_Try, /*On fail goto*//*Label 3010*/ GIMT_Encode4(160818), // Rule ID 45674 //
     /*  160768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160771 */     // MIs[0] rs1
     /*  160771 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160779 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  160779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  160782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  160796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160812 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160816 */     GIR_RootConstrainSelectedInstOperands,
     /*  160817 */     // GIR_Coverage, 45674,
     /*  160817 */     GIR_EraseRootFromParent_Done,
     /*  160818 */   // Label 3010: @160818
     /*  160818 */   GIM_Reject,
     /*  160819 */ // Label 3008: @160819
     /*  160819 */ GIM_Reject,
     /*  160820 */ // Label 2855: @160820
     /*  160820 */ GIM_Try, /*On fail goto*//*Label 3011*/ GIMT_Encode4(161057),
     /*  160825 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160828 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160836 */   GIM_Try, /*On fail goto*//*Label 3012*/ GIMT_Encode4(160891), // Rule ID 45701 //
     /*  160841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160844 */     // MIs[0] rs1
     /*  160844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160852 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  160852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  160855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  160869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160885 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160889 */     GIR_RootConstrainSelectedInstOperands,
     /*  160890 */     // GIR_Coverage, 45701,
     /*  160890 */     GIR_EraseRootFromParent_Done,
     /*  160891 */   // Label 3012: @160891
     /*  160891 */   GIM_Try, /*On fail goto*//*Label 3013*/ GIMT_Encode4(160946), // Rule ID 45702 //
     /*  160896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160899 */     // MIs[0] rs1
     /*  160899 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160907 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  160907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  160910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  160924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160940 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160944 */     GIR_RootConstrainSelectedInstOperands,
     /*  160945 */     // GIR_Coverage, 45702,
     /*  160945 */     GIR_EraseRootFromParent_Done,
     /*  160946 */   // Label 3013: @160946
     /*  160946 */   GIM_Try, /*On fail goto*//*Label 3014*/ GIMT_Encode4(161001), // Rule ID 45761 //
     /*  160951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  160954 */     // MIs[0] rs1
     /*  160954 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160962 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  160962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  160965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  160979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160995 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160999 */     GIR_RootConstrainSelectedInstOperands,
     /*  161000 */     // GIR_Coverage, 45761,
     /*  161000 */     GIR_EraseRootFromParent_Done,
     /*  161001 */   // Label 3014: @161001
     /*  161001 */   GIM_Try, /*On fail goto*//*Label 3015*/ GIMT_Encode4(161056), // Rule ID 45762 //
     /*  161006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  161009 */     // MIs[0] rs1
     /*  161009 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161017 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  161017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  161020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  161034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161050 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161054 */     GIR_RootConstrainSelectedInstOperands,
     /*  161055 */     // GIR_Coverage, 45762,
     /*  161055 */     GIR_EraseRootFromParent_Done,
     /*  161056 */   // Label 3015: @161056
     /*  161056 */   GIM_Reject,
     /*  161057 */ // Label 3011: @161057
     /*  161057 */ GIM_Reject,
     /*  161058 */ // Label 2856: @161058
     /*  161058 */ GIM_Try, /*On fail goto*//*Label 3016*/ GIMT_Encode4(161295),
     /*  161063 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161066 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  161074 */   GIM_Try, /*On fail goto*//*Label 3017*/ GIMT_Encode4(161129), // Rule ID 45717 //
     /*  161079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161082 */     // MIs[0] rs1
     /*  161082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161090 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  161090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161123 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161127 */     GIR_RootConstrainSelectedInstOperands,
     /*  161128 */     // GIR_Coverage, 45717,
     /*  161128 */     GIR_EraseRootFromParent_Done,
     /*  161129 */   // Label 3017: @161129
     /*  161129 */   GIM_Try, /*On fail goto*//*Label 3018*/ GIMT_Encode4(161184), // Rule ID 45718 //
     /*  161134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161137 */     // MIs[0] rs1
     /*  161137 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161145 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  161145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161178 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161182 */     GIR_RootConstrainSelectedInstOperands,
     /*  161183 */     // GIR_Coverage, 45718,
     /*  161183 */     GIR_EraseRootFromParent_Done,
     /*  161184 */   // Label 3018: @161184
     /*  161184 */   GIM_Try, /*On fail goto*//*Label 3019*/ GIMT_Encode4(161239), // Rule ID 45777 //
     /*  161189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  161192 */     // MIs[0] rs1
     /*  161192 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161200 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  161200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161233 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161237 */     GIR_RootConstrainSelectedInstOperands,
     /*  161238 */     // GIR_Coverage, 45777,
     /*  161238 */     GIR_EraseRootFromParent_Done,
     /*  161239 */   // Label 3019: @161239
     /*  161239 */   GIM_Try, /*On fail goto*//*Label 3020*/ GIMT_Encode4(161294), // Rule ID 45778 //
     /*  161244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  161247 */     // MIs[0] rs1
     /*  161247 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161255 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  161255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  161258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  161272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161292 */     GIR_RootConstrainSelectedInstOperands,
     /*  161293 */     // GIR_Coverage, 45778,
     /*  161293 */     GIR_EraseRootFromParent_Done,
     /*  161294 */   // Label 3020: @161294
     /*  161294 */   GIM_Reject,
     /*  161295 */ // Label 3016: @161295
     /*  161295 */ GIM_Reject,
     /*  161296 */ // Label 2857: @161296
     /*  161296 */ GIM_Try, /*On fail goto*//*Label 3021*/ GIMT_Encode4(161533),
     /*  161301 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161304 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161312 */   GIM_Try, /*On fail goto*//*Label 3022*/ GIMT_Encode4(161367), // Rule ID 45733 //
     /*  161317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  161320 */     // MIs[0] rs1
     /*  161320 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161328 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  161328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161361 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161365 */     GIR_RootConstrainSelectedInstOperands,
     /*  161366 */     // GIR_Coverage, 45733,
     /*  161366 */     GIR_EraseRootFromParent_Done,
     /*  161367 */   // Label 3022: @161367
     /*  161367 */   GIM_Try, /*On fail goto*//*Label 3023*/ GIMT_Encode4(161422), // Rule ID 45734 //
     /*  161372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  161375 */     // MIs[0] rs1
     /*  161375 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161383 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  161383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161416 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161420 */     GIR_RootConstrainSelectedInstOperands,
     /*  161421 */     // GIR_Coverage, 45734,
     /*  161421 */     GIR_EraseRootFromParent_Done,
     /*  161422 */   // Label 3023: @161422
     /*  161422 */   GIM_Try, /*On fail goto*//*Label 3024*/ GIMT_Encode4(161477), // Rule ID 45793 //
     /*  161427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  161430 */     // MIs[0] rs1
     /*  161430 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161438 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  161438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161475 */     GIR_RootConstrainSelectedInstOperands,
     /*  161476 */     // GIR_Coverage, 45793,
     /*  161476 */     GIR_EraseRootFromParent_Done,
     /*  161477 */   // Label 3024: @161477
     /*  161477 */   GIM_Try, /*On fail goto*//*Label 3025*/ GIMT_Encode4(161532), // Rule ID 45794 //
     /*  161482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  161485 */     // MIs[0] rs1
     /*  161485 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161493 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  161493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  161496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  161510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161526 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161530 */     GIR_RootConstrainSelectedInstOperands,
     /*  161531 */     // GIR_Coverage, 45794,
     /*  161531 */     GIR_EraseRootFromParent_Done,
     /*  161532 */   // Label 3025: @161532
     /*  161532 */   GIM_Reject,
     /*  161533 */ // Label 3021: @161533
     /*  161533 */ GIM_Reject,
     /*  161534 */ // Label 2858: @161534
     /*  161534 */ GIM_Try, /*On fail goto*//*Label 3026*/ GIMT_Encode4(161653),
     /*  161539 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161542 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161550 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161558 */   GIM_Try, /*On fail goto*//*Label 3027*/ GIMT_Encode4(161605), // Rule ID 45809 //
     /*  161563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161566 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  161566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  161569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  161583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  161596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161599 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161603 */     GIR_RootConstrainSelectedInstOperands,
     /*  161604 */     // GIR_Coverage, 45809,
     /*  161604 */     GIR_EraseRootFromParent_Done,
     /*  161605 */   // Label 3027: @161605
     /*  161605 */   GIM_Try, /*On fail goto*//*Label 3028*/ GIMT_Encode4(161652), // Rule ID 45810 //
     /*  161610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161613 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  161613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  161616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  161630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  161643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161646 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161650 */     GIR_RootConstrainSelectedInstOperands,
     /*  161651 */     // GIR_Coverage, 45810,
     /*  161651 */     GIR_EraseRootFromParent_Done,
     /*  161652 */   // Label 3028: @161652
     /*  161652 */   GIM_Reject,
     /*  161653 */ // Label 3026: @161653
     /*  161653 */ GIM_Reject,
     /*  161654 */ // Label 2859: @161654
     /*  161654 */ GIM_Try, /*On fail goto*//*Label 3029*/ GIMT_Encode4(161781),
     /*  161659 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161662 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  161670 */   GIM_Try, /*On fail goto*//*Label 3030*/ GIMT_Encode4(161725), // Rule ID 45689 //
     /*  161675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161678 */     // MIs[0] rs1
     /*  161678 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161686 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  161686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  161689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  161703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161719 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161723 */     GIR_RootConstrainSelectedInstOperands,
     /*  161724 */     // GIR_Coverage, 45689,
     /*  161724 */     GIR_EraseRootFromParent_Done,
     /*  161725 */   // Label 3030: @161725
     /*  161725 */   GIM_Try, /*On fail goto*//*Label 3031*/ GIMT_Encode4(161780), // Rule ID 45690 //
     /*  161730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161733 */     // MIs[0] rs1
     /*  161733 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161741 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  161741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  161744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  161758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161774 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161778 */     GIR_RootConstrainSelectedInstOperands,
     /*  161779 */     // GIR_Coverage, 45690,
     /*  161779 */     GIR_EraseRootFromParent_Done,
     /*  161780 */   // Label 3031: @161780
     /*  161780 */   GIM_Reject,
     /*  161781 */ // Label 3029: @161781
     /*  161781 */ GIM_Reject,
     /*  161782 */ // Label 2860: @161782
     /*  161782 */ GIM_Try, /*On fail goto*//*Label 3032*/ GIMT_Encode4(162019),
     /*  161787 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161790 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  161798 */   GIM_Try, /*On fail goto*//*Label 3033*/ GIMT_Encode4(161853), // Rule ID 45705 //
     /*  161803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161806 */     // MIs[0] rs1
     /*  161806 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161814 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  161814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  161817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  161831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161847 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161851 */     GIR_RootConstrainSelectedInstOperands,
     /*  161852 */     // GIR_Coverage, 45705,
     /*  161852 */     GIR_EraseRootFromParent_Done,
     /*  161853 */   // Label 3033: @161853
     /*  161853 */   GIM_Try, /*On fail goto*//*Label 3034*/ GIMT_Encode4(161908), // Rule ID 45706 //
     /*  161858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161861 */     // MIs[0] rs1
     /*  161861 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161869 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  161869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  161872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  161886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161902 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161906 */     GIR_RootConstrainSelectedInstOperands,
     /*  161907 */     // GIR_Coverage, 45706,
     /*  161907 */     GIR_EraseRootFromParent_Done,
     /*  161908 */   // Label 3034: @161908
     /*  161908 */   GIM_Try, /*On fail goto*//*Label 3035*/ GIMT_Encode4(161963), // Rule ID 45765 //
     /*  161913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  161916 */     // MIs[0] rs1
     /*  161916 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161924 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  161924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  161927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  161941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  161954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161957 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161961 */     GIR_RootConstrainSelectedInstOperands,
     /*  161962 */     // GIR_Coverage, 45765,
     /*  161962 */     GIR_EraseRootFromParent_Done,
     /*  161963 */   // Label 3035: @161963
     /*  161963 */   GIM_Try, /*On fail goto*//*Label 3036*/ GIMT_Encode4(162018), // Rule ID 45766 //
     /*  161968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  161971 */     // MIs[0] rs1
     /*  161971 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161979 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  161979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  161982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  161996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162012 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162016 */     GIR_RootConstrainSelectedInstOperands,
     /*  162017 */     // GIR_Coverage, 45766,
     /*  162017 */     GIR_EraseRootFromParent_Done,
     /*  162018 */   // Label 3036: @162018
     /*  162018 */   GIM_Reject,
     /*  162019 */ // Label 3032: @162019
     /*  162019 */ GIM_Reject,
     /*  162020 */ // Label 2861: @162020
     /*  162020 */ GIM_Try, /*On fail goto*//*Label 3037*/ GIMT_Encode4(162257),
     /*  162025 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162028 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  162036 */   GIM_Try, /*On fail goto*//*Label 3038*/ GIMT_Encode4(162091), // Rule ID 45721 //
     /*  162041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162044 */     // MIs[0] rs1
     /*  162044 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162052 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  162052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162085 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162089 */     GIR_RootConstrainSelectedInstOperands,
     /*  162090 */     // GIR_Coverage, 45721,
     /*  162090 */     GIR_EraseRootFromParent_Done,
     /*  162091 */   // Label 3038: @162091
     /*  162091 */   GIM_Try, /*On fail goto*//*Label 3039*/ GIMT_Encode4(162146), // Rule ID 45722 //
     /*  162096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162099 */     // MIs[0] rs1
     /*  162099 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162107 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  162107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162140 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162144 */     GIR_RootConstrainSelectedInstOperands,
     /*  162145 */     // GIR_Coverage, 45722,
     /*  162145 */     GIR_EraseRootFromParent_Done,
     /*  162146 */   // Label 3039: @162146
     /*  162146 */   GIM_Try, /*On fail goto*//*Label 3040*/ GIMT_Encode4(162201), // Rule ID 45781 //
     /*  162151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  162154 */     // MIs[0] rs1
     /*  162154 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162162 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  162162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162199 */     GIR_RootConstrainSelectedInstOperands,
     /*  162200 */     // GIR_Coverage, 45781,
     /*  162200 */     GIR_EraseRootFromParent_Done,
     /*  162201 */   // Label 3040: @162201
     /*  162201 */   GIM_Try, /*On fail goto*//*Label 3041*/ GIMT_Encode4(162256), // Rule ID 45782 //
     /*  162206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  162209 */     // MIs[0] rs1
     /*  162209 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162217 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  162217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  162220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  162234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162254 */     GIR_RootConstrainSelectedInstOperands,
     /*  162255 */     // GIR_Coverage, 45782,
     /*  162255 */     GIR_EraseRootFromParent_Done,
     /*  162256 */   // Label 3041: @162256
     /*  162256 */   GIM_Reject,
     /*  162257 */ // Label 3037: @162257
     /*  162257 */ GIM_Reject,
     /*  162258 */ // Label 2862: @162258
     /*  162258 */ GIM_Try, /*On fail goto*//*Label 3042*/ GIMT_Encode4(162377),
     /*  162263 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162266 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162274 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162282 */   GIM_Try, /*On fail goto*//*Label 3043*/ GIMT_Encode4(162329), // Rule ID 45813 //
     /*  162287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162290 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  162290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  162293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  162307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162323 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162327 */     GIR_RootConstrainSelectedInstOperands,
     /*  162328 */     // GIR_Coverage, 45813,
     /*  162328 */     GIR_EraseRootFromParent_Done,
     /*  162329 */   // Label 3043: @162329
     /*  162329 */   GIM_Try, /*On fail goto*//*Label 3044*/ GIMT_Encode4(162376), // Rule ID 45814 //
     /*  162334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162337 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  162337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  162340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  162354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162370 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162374 */     GIR_RootConstrainSelectedInstOperands,
     /*  162375 */     // GIR_Coverage, 45814,
     /*  162375 */     GIR_EraseRootFromParent_Done,
     /*  162376 */   // Label 3044: @162376
     /*  162376 */   GIM_Reject,
     /*  162377 */ // Label 3042: @162377
     /*  162377 */ GIM_Reject,
     /*  162378 */ // Label 2863: @162378
     /*  162378 */ GIM_Try, /*On fail goto*//*Label 3045*/ GIMT_Encode4(162505),
     /*  162383 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162386 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  162394 */   GIM_Try, /*On fail goto*//*Label 3046*/ GIMT_Encode4(162449), // Rule ID 45693 //
     /*  162399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162402 */     // MIs[0] rs1
     /*  162402 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162410 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  162410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  162413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162422 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  162427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162429 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162443 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162447 */     GIR_RootConstrainSelectedInstOperands,
     /*  162448 */     // GIR_Coverage, 45693,
     /*  162448 */     GIR_EraseRootFromParent_Done,
     /*  162449 */   // Label 3046: @162449
     /*  162449 */   GIM_Try, /*On fail goto*//*Label 3047*/ GIMT_Encode4(162504), // Rule ID 45694 //
     /*  162454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162457 */     // MIs[0] rs1
     /*  162457 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162465 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  162465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  162468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  162482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162498 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162502 */     GIR_RootConstrainSelectedInstOperands,
     /*  162503 */     // GIR_Coverage, 45694,
     /*  162503 */     GIR_EraseRootFromParent_Done,
     /*  162504 */   // Label 3047: @162504
     /*  162504 */   GIM_Reject,
     /*  162505 */ // Label 3045: @162505
     /*  162505 */ GIM_Reject,
     /*  162506 */ // Label 2864: @162506
     /*  162506 */ GIM_Try, /*On fail goto*//*Label 3048*/ GIMT_Encode4(162743),
     /*  162511 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162514 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  162522 */   GIM_Try, /*On fail goto*//*Label 3049*/ GIMT_Encode4(162577), // Rule ID 45709 //
     /*  162527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162530 */     // MIs[0] rs1
     /*  162530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162538 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  162541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  162555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162571 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162575 */     GIR_RootConstrainSelectedInstOperands,
     /*  162576 */     // GIR_Coverage, 45709,
     /*  162576 */     GIR_EraseRootFromParent_Done,
     /*  162577 */   // Label 3049: @162577
     /*  162577 */   GIM_Try, /*On fail goto*//*Label 3050*/ GIMT_Encode4(162632), // Rule ID 45710 //
     /*  162582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162585 */     // MIs[0] rs1
     /*  162585 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162593 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  162593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  162596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  162610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162626 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162630 */     GIR_RootConstrainSelectedInstOperands,
     /*  162631 */     // GIR_Coverage, 45710,
     /*  162631 */     GIR_EraseRootFromParent_Done,
     /*  162632 */   // Label 3050: @162632
     /*  162632 */   GIM_Try, /*On fail goto*//*Label 3051*/ GIMT_Encode4(162687), // Rule ID 45769 //
     /*  162637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  162640 */     // MIs[0] rs1
     /*  162640 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162648 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  162648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  162651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  162665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162681 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162685 */     GIR_RootConstrainSelectedInstOperands,
     /*  162686 */     // GIR_Coverage, 45769,
     /*  162686 */     GIR_EraseRootFromParent_Done,
     /*  162687 */   // Label 3051: @162687
     /*  162687 */   GIM_Try, /*On fail goto*//*Label 3052*/ GIMT_Encode4(162742), // Rule ID 45770 //
     /*  162692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  162695 */     // MIs[0] rs1
     /*  162695 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162703 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  162703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  162706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  162720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162736 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162740 */     GIR_RootConstrainSelectedInstOperands,
     /*  162741 */     // GIR_Coverage, 45770,
     /*  162741 */     GIR_EraseRootFromParent_Done,
     /*  162742 */   // Label 3052: @162742
     /*  162742 */   GIM_Reject,
     /*  162743 */ // Label 3048: @162743
     /*  162743 */ GIM_Reject,
     /*  162744 */ // Label 2865: @162744
     /*  162744 */ GIM_Try, /*On fail goto*//*Label 3053*/ GIMT_Encode4(162863),
     /*  162749 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162752 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162760 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162768 */   GIM_Try, /*On fail goto*//*Label 3054*/ GIMT_Encode4(162815), // Rule ID 45817 //
     /*  162773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162776 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  162776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  162779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  162793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162809 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162813 */     GIR_RootConstrainSelectedInstOperands,
     /*  162814 */     // GIR_Coverage, 45817,
     /*  162814 */     GIR_EraseRootFromParent_Done,
     /*  162815 */   // Label 3054: @162815
     /*  162815 */   GIM_Try, /*On fail goto*//*Label 3055*/ GIMT_Encode4(162862), // Rule ID 45818 //
     /*  162820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162823 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  162823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  162826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  162840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162856 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162860 */     GIR_RootConstrainSelectedInstOperands,
     /*  162861 */     // GIR_Coverage, 45818,
     /*  162861 */     GIR_EraseRootFromParent_Done,
     /*  162862 */   // Label 3055: @162862
     /*  162862 */   GIM_Reject,
     /*  162863 */ // Label 3053: @162863
     /*  162863 */ GIM_Reject,
     /*  162864 */ // Label 2866: @162864
     /*  162864 */ GIM_Try, /*On fail goto*//*Label 3056*/ GIMT_Encode4(162991),
     /*  162869 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162872 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  162880 */   GIM_Try, /*On fail goto*//*Label 3057*/ GIMT_Encode4(162935), // Rule ID 45697 //
     /*  162885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162888 */     // MIs[0] rs1
     /*  162888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162896 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  162896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  162899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  162913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162929 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162933 */     GIR_RootConstrainSelectedInstOperands,
     /*  162934 */     // GIR_Coverage, 45697,
     /*  162934 */     GIR_EraseRootFromParent_Done,
     /*  162935 */   // Label 3057: @162935
     /*  162935 */   GIM_Try, /*On fail goto*//*Label 3058*/ GIMT_Encode4(162990), // Rule ID 45698 //
     /*  162940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162943 */     // MIs[0] rs1
     /*  162943 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  162947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162951 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  162951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  162954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  162968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162984 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162988 */     GIR_RootConstrainSelectedInstOperands,
     /*  162989 */     // GIR_Coverage, 45698,
     /*  162989 */     GIR_EraseRootFromParent_Done,
     /*  162990 */   // Label 3058: @162990
     /*  162990 */   GIM_Reject,
     /*  162991 */ // Label 3056: @162991
     /*  162991 */ GIM_Reject,
     /*  162992 */ // Label 2867: @162992
     /*  162992 */ GIM_Reject,
     /*  162993 */ // Label 22: @162993
     /*  162993 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3061*/ GIMT_Encode4(164119),
     /*  163004 */ /*GILLT_s32*//*Label 3059*/ GIMT_Encode4(163012),
     /*  163008 */ /*GILLT_s64*//*Label 3060*/ GIMT_Encode4(163956),
     /*  163012 */ // Label 3059: @163012
     /*  163012 */ GIM_Try, /*On fail goto*//*Label 3062*/ GIMT_Encode4(163955),
     /*  163017 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163020 */   GIM_Try, /*On fail goto*//*Label 3063*/ GIMT_Encode4(163124), // Rule ID 72938 //
     /*  163025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  163028 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163039 */     // MIs[0] Operand 1
     /*  163039 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163055 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163059 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163063 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163067 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163071 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  163075 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163080 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163084 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163088 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163092 */     // MIs[3] Operand 1
     /*  163092 */     // No operand predicates
     /*  163092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163097 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163099 */     // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  163099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  163102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163115 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163122 */     GIR_RootConstrainSelectedInstOperands,
     /*  163123 */     // GIR_Coverage, 72938,
     /*  163123 */     GIR_EraseRootFromParent_Done,
     /*  163124 */   // Label 3063: @163124
     /*  163124 */   GIM_Try, /*On fail goto*//*Label 3064*/ GIMT_Encode4(163228), // Rule ID 72939 //
     /*  163129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  163132 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163143 */     // MIs[0] Operand 1
     /*  163143 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163159 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163163 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163167 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163171 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163175 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  163179 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163184 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163188 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163192 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163196 */     // MIs[3] Operand 1
     /*  163196 */     // No operand predicates
     /*  163196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163201 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163203 */     // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  163203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  163206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163219 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163226 */     GIR_RootConstrainSelectedInstOperands,
     /*  163227 */     // GIR_Coverage, 72939,
     /*  163227 */     GIR_EraseRootFromParent_Done,
     /*  163228 */   // Label 3064: @163228
     /*  163228 */   GIM_Try, /*On fail goto*//*Label 3065*/ GIMT_Encode4(163332), // Rule ID 72942 //
     /*  163233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  163236 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  163243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163247 */     // MIs[0] Operand 1
     /*  163247 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163263 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163267 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163271 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163275 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163279 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  163283 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163288 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163292 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163296 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163300 */     // MIs[3] Operand 1
     /*  163300 */     // No operand predicates
     /*  163300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163305 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163307 */     // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  163307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  163310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163323 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163330 */     GIR_RootConstrainSelectedInstOperands,
     /*  163331 */     // GIR_Coverage, 72942,
     /*  163331 */     GIR_EraseRootFromParent_Done,
     /*  163332 */   // Label 3065: @163332
     /*  163332 */   GIM_Try, /*On fail goto*//*Label 3066*/ GIMT_Encode4(163436), // Rule ID 72943 //
     /*  163337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  163340 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  163347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163351 */     // MIs[0] Operand 1
     /*  163351 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163367 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  163375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163383 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  163387 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163392 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163396 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163400 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163404 */     // MIs[3] Operand 1
     /*  163404 */     // No operand predicates
     /*  163404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163409 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163411 */     // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  163411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  163414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  163420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163427 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163434 */     GIR_RootConstrainSelectedInstOperands,
     /*  163435 */     // GIR_Coverage, 72943,
     /*  163435 */     GIR_EraseRootFromParent_Done,
     /*  163436 */   // Label 3066: @163436
     /*  163436 */   GIM_Try, /*On fail goto*//*Label 3067*/ GIMT_Encode4(163540), // Rule ID 63956 //
     /*  163441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  163444 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163455 */     // MIs[0] Operand 1
     /*  163455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163471 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163480 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  163484 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163488 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163492 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  163496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163501 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163505 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163509 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163513 */     // MIs[3] Operand 1
     /*  163513 */     // No operand predicates
     /*  163513 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163515 */     // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  163515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  163518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  163524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163531 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163538 */     GIR_RootConstrainSelectedInstOperands,
     /*  163539 */     // GIR_Coverage, 63956,
     /*  163539 */     GIR_EraseRootFromParent_Done,
     /*  163540 */   // Label 3067: @163540
     /*  163540 */   GIM_Try, /*On fail goto*//*Label 3068*/ GIMT_Encode4(163644), // Rule ID 63957 //
     /*  163545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  163548 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163559 */     // MIs[0] Operand 1
     /*  163559 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163575 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163584 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  163588 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163592 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163596 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  163600 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163605 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163609 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163613 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163617 */     // MIs[3] Operand 1
     /*  163617 */     // No operand predicates
     /*  163617 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163619 */     // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  163619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  163622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  163628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163635 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163642 */     GIR_RootConstrainSelectedInstOperands,
     /*  163643 */     // GIR_Coverage, 63957,
     /*  163643 */     GIR_EraseRootFromParent_Done,
     /*  163644 */   // Label 3068: @163644
     /*  163644 */   GIM_Try, /*On fail goto*//*Label 3069*/ GIMT_Encode4(163748), // Rule ID 63960 //
     /*  163649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  163652 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  163659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163663 */     // MIs[0] Operand 1
     /*  163663 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163679 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  163692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163700 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  163704 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163709 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163713 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163717 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163721 */     // MIs[3] Operand 1
     /*  163721 */     // No operand predicates
     /*  163721 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163723 */     // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  163723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  163726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  163732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163739 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163746 */     GIR_RootConstrainSelectedInstOperands,
     /*  163747 */     // GIR_Coverage, 63960,
     /*  163747 */     GIR_EraseRootFromParent_Done,
     /*  163748 */   // Label 3069: @163748
     /*  163748 */   GIM_Try, /*On fail goto*//*Label 3070*/ GIMT_Encode4(163852), // Rule ID 63961 //
     /*  163753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  163756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  163763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163767 */     // MIs[0] Operand 1
     /*  163767 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  163775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  163779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  163783 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  163787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  163796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  163800 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  163804 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  163808 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  163813 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  163817 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  163821 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  163825 */     // MIs[3] Operand 1
     /*  163825 */     // No operand predicates
     /*  163825 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  163827 */     // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  163827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  163830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  163836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  163840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  163843 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  163850 */     GIR_RootConstrainSelectedInstOperands,
     /*  163851 */     // GIR_Coverage, 63961,
     /*  163851 */     GIR_EraseRootFromParent_Done,
     /*  163852 */   // Label 3070: @163852
     /*  163852 */   GIM_Try, /*On fail goto*//*Label 3071*/ GIMT_Encode4(163903), // Rule ID 225 //
     /*  163857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  163860 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163871 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  163882 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  163882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  163885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  163892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  163897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163901 */     GIR_RootConstrainSelectedInstOperands,
     /*  163902 */     // GIR_Coverage, 225,
     /*  163902 */     GIR_EraseRootFromParent_Done,
     /*  163903 */   // Label 3071: @163903
     /*  163903 */   GIM_Try, /*On fail goto*//*Label 3072*/ GIMT_Encode4(163954), // Rule ID 229 //
     /*  163908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  163911 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  163918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163922 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  163933 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  163933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  163936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  163943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  163948 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163952 */     GIR_RootConstrainSelectedInstOperands,
     /*  163953 */     // GIR_Coverage, 229,
     /*  163953 */     GIR_EraseRootFromParent_Done,
     /*  163954 */   // Label 3072: @163954
     /*  163954 */   GIM_Reject,
     /*  163955 */ // Label 3062: @163955
     /*  163955 */ GIM_Reject,
     /*  163956 */ // Label 3060: @163956
     /*  163956 */ GIM_Try, /*On fail goto*//*Label 3073*/ GIMT_Encode4(164118),
     /*  163961 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163964 */   GIM_Try, /*On fail goto*//*Label 3074*/ GIMT_Encode4(164015), // Rule ID 224 //
     /*  163969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  163972 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163983 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  163994 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  163994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  163997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164009 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164013 */     GIR_RootConstrainSelectedInstOperands,
     /*  164014 */     // GIR_Coverage, 224,
     /*  164014 */     GIR_EraseRootFromParent_Done,
     /*  164015 */   // Label 3074: @164015
     /*  164015 */   GIM_Try, /*On fail goto*//*Label 3075*/ GIMT_Encode4(164066), // Rule ID 228 //
     /*  164020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  164023 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164034 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164045 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  164048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164060 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164064 */     GIR_RootConstrainSelectedInstOperands,
     /*  164065 */     // GIR_Coverage, 228,
     /*  164065 */     GIR_EraseRootFromParent_Done,
     /*  164066 */   // Label 3075: @164066
     /*  164066 */   GIM_Try, /*On fail goto*//*Label 3076*/ GIMT_Encode4(164117), // Rule ID 275 //
     /*  164071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  164074 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164085 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164096 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  164099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164111 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164115 */     GIR_RootConstrainSelectedInstOperands,
     /*  164116 */     // GIR_Coverage, 275,
     /*  164116 */     GIR_EraseRootFromParent_Done,
     /*  164117 */   // Label 3076: @164117
     /*  164117 */   GIM_Reject,
     /*  164118 */ // Label 3073: @164118
     /*  164118 */ GIM_Reject,
     /*  164119 */ // Label 3061: @164119
     /*  164119 */ GIM_Reject,
     /*  164120 */ // Label 23: @164120
     /*  164120 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3079*/ GIMT_Encode4(165246),
     /*  164131 */ /*GILLT_s32*//*Label 3077*/ GIMT_Encode4(164139),
     /*  164135 */ /*GILLT_s64*//*Label 3078*/ GIMT_Encode4(165083),
     /*  164139 */ // Label 3077: @164139
     /*  164139 */ GIM_Try, /*On fail goto*//*Label 3080*/ GIMT_Encode4(165082),
     /*  164144 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164147 */   GIM_Try, /*On fail goto*//*Label 3081*/ GIMT_Encode4(164251), // Rule ID 72948 //
     /*  164152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  164155 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164166 */     // MIs[0] Operand 1
     /*  164166 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  164174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  164178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  164182 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  164186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  164190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  164194 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  164198 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  164202 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  164207 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  164211 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  164215 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  164219 */     // MIs[3] Operand 1
     /*  164219 */     // No operand predicates
     /*  164219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164224 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  164226 */     // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  164226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  164229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  164235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  164239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  164242 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  164249 */     GIR_RootConstrainSelectedInstOperands,
     /*  164250 */     // GIR_Coverage, 72948,
     /*  164250 */     GIR_EraseRootFromParent_Done,
     /*  164251 */   // Label 3081: @164251
     /*  164251 */   GIM_Try, /*On fail goto*//*Label 3082*/ GIMT_Encode4(164355), // Rule ID 72949 //
     /*  164256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  164259 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164270 */     // MIs[0] Operand 1
     /*  164270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  164278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  164282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  164286 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  164290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  164294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  164298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  164302 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  164306 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  164311 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  164315 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  164319 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  164323 */     // MIs[3] Operand 1
     /*  164323 */     // No operand predicates
     /*  164323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164328 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  164330 */     // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  164330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  164333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  164339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  164343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  164346 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  164353 */     GIR_RootConstrainSelectedInstOperands,
     /*  164354 */     // GIR_Coverage, 72949,
     /*  164354 */     GIR_EraseRootFromParent_Done,
     /*  164355 */   // Label 3082: @164355
     /*  164355 */   GIM_Try, /*On fail goto*//*Label 3083*/ GIMT_Encode4(164459), // Rule ID 72950 //
     /*  164360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  164363 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164374 */     // MIs[0] Operand 1
     /*  164374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  164382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  164386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  164390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  164394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  164398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  164402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  164406 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  164410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  164415 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  164419 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  164423 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  164427 */     // MIs[3] Operand 1
     /*  164427 */     // No operand predicates
     /*  164427 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164432 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  164434 */     // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  164434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  164437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  164443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  164447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  164450 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  164457 */     GIR_RootConstrainSelectedInstOperands,
     /*  164458 */     // GIR_Coverage, 72950,
     /*  164458 */     GIR_EraseRootFromParent_Done,
     /*  164459 */   // Label 3083: @164459
     /*  164459 */   GIM_Try, /*On fail goto*//*Label 3084*/ GIMT_Encode4(164563), // Rule ID 72951 //
     /*  164464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  164467 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164478 */     // MIs[0] Operand 1
     /*  164478 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  164486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  164490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  164494 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  164498 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  164502 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  164506 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  164510 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  164514 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  164519 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  164523 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  164527 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  164531 */     // MIs[3] Operand 1
     /*  164531 */     // No operand predicates
     /*  164531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164536 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  164538 */     // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  164538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  164541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  164547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  164551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  164554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  164561 */     GIR_RootConstrainSelectedInstOperands,
     /*  164562 */     // GIR_Coverage, 72951,
     /*  164562 */     GIR_EraseRootFromParent_Done,
     /*  164563 */   // Label 3084: @164563
     /*  164563 */   GIM_Try, /*On fail goto*//*Label 3085*/ GIMT_Encode4(164667), // Rule ID 63966 //
     /*  164568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  164571 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164582 */     // MIs[0] Operand 1
     /*  164582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  164590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  164594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  164598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  164602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  164611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  164615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  164619 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  164623 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  164628 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  164632 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  164636 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  164640 */     // MIs[3] Operand 1
     /*  164640 */     // No operand predicates
     /*  164640 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  164642 */     // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  164642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  164645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  164651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  164655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  164658 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  164665 */     GIR_RootConstrainSelectedInstOperands,
     /*  164666 */     // GIR_Coverage, 63966,
     /*  164666 */     GIR_EraseRootFromParent_Done,
     /*  164667 */   // Label 3085: @164667
     /*  164667 */   GIM_Try, /*On fail goto*//*Label 3086*/ GIMT_Encode4(164771), // Rule ID 63967 //
     /*  164672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  164675 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164686 */     // MIs[0] Operand 1
     /*  164686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  164694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  164698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  164702 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  164706 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164711 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  164715 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  164719 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  164723 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  164727 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  164732 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  164736 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  164740 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  164744 */     // MIs[3] Operand 1
     /*  164744 */     // No operand predicates
     /*  164744 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  164746 */     // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  164746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  164749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  164755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  164759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  164762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  164769 */     GIR_RootConstrainSelectedInstOperands,
     /*  164770 */     // GIR_Coverage, 63967,
     /*  164770 */     GIR_EraseRootFromParent_Done,
     /*  164771 */   // Label 3086: @164771
     /*  164771 */   GIM_Try, /*On fail goto*//*Label 3087*/ GIMT_Encode4(164875), // Rule ID 63968 //
     /*  164776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  164779 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164790 */     // MIs[0] Operand 1
     /*  164790 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  164798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  164802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  164806 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  164810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  164819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  164823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  164827 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  164831 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  164836 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  164840 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  164844 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  164848 */     // MIs[3] Operand 1
     /*  164848 */     // No operand predicates
     /*  164848 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  164850 */     // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  164850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  164853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  164859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  164863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  164866 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  164873 */     GIR_RootConstrainSelectedInstOperands,
     /*  164874 */     // GIR_Coverage, 63968,
     /*  164874 */     GIR_EraseRootFromParent_Done,
     /*  164875 */   // Label 3087: @164875
     /*  164875 */   GIM_Try, /*On fail goto*//*Label 3088*/ GIMT_Encode4(164979), // Rule ID 63969 //
     /*  164880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  164883 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164894 */     // MIs[0] Operand 1
     /*  164894 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  164902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  164906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  164910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  164914 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164919 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  164923 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  164927 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  164931 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  164935 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  164940 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  164944 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  164948 */     GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  164952 */     // MIs[3] Operand 1
     /*  164952 */     // No operand predicates
     /*  164952 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  164954 */     // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  164954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  164957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  164963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  164967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  164970 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  164977 */     GIR_RootConstrainSelectedInstOperands,
     /*  164978 */     // GIR_Coverage, 63969,
     /*  164978 */     GIR_EraseRootFromParent_Done,
     /*  164979 */   // Label 3088: @164979
     /*  164979 */   GIM_Try, /*On fail goto*//*Label 3089*/ GIMT_Encode4(165030), // Rule ID 235 //
     /*  164984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  164987 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164998 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165009 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  165009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  165012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165024 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165028 */     GIR_RootConstrainSelectedInstOperands,
     /*  165029 */     // GIR_Coverage, 235,
     /*  165029 */     GIR_EraseRootFromParent_Done,
     /*  165030 */   // Label 3089: @165030
     /*  165030 */   GIM_Try, /*On fail goto*//*Label 3090*/ GIMT_Encode4(165081), // Rule ID 237 //
     /*  165035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  165038 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165060 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  165060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  165063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165075 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165079 */     GIR_RootConstrainSelectedInstOperands,
     /*  165080 */     // GIR_Coverage, 237,
     /*  165080 */     GIR_EraseRootFromParent_Done,
     /*  165081 */   // Label 3090: @165081
     /*  165081 */   GIM_Reject,
     /*  165082 */ // Label 3080: @165082
     /*  165082 */ GIM_Reject,
     /*  165083 */ // Label 3078: @165083
     /*  165083 */ GIM_Try, /*On fail goto*//*Label 3091*/ GIMT_Encode4(165245),
     /*  165088 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165091 */   GIM_Try, /*On fail goto*//*Label 3092*/ GIMT_Encode4(165142), // Rule ID 234 //
     /*  165096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  165099 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165110 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165121 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  165121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  165124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165136 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165140 */     GIR_RootConstrainSelectedInstOperands,
     /*  165141 */     // GIR_Coverage, 234,
     /*  165141 */     GIR_EraseRootFromParent_Done,
     /*  165142 */   // Label 3092: @165142
     /*  165142 */   GIM_Try, /*On fail goto*//*Label 3093*/ GIMT_Encode4(165193), // Rule ID 236 //
     /*  165147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  165150 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165172 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  165172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  165175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165187 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165191 */     GIR_RootConstrainSelectedInstOperands,
     /*  165192 */     // GIR_Coverage, 236,
     /*  165192 */     GIR_EraseRootFromParent_Done,
     /*  165193 */   // Label 3093: @165193
     /*  165193 */   GIM_Try, /*On fail goto*//*Label 3094*/ GIMT_Encode4(165244), // Rule ID 277 //
     /*  165198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  165201 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  165208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165212 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165223 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (LWU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  165223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  165226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165238 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165242 */     GIR_RootConstrainSelectedInstOperands,
     /*  165243 */     // GIR_Coverage, 277,
     /*  165243 */     GIR_EraseRootFromParent_Done,
     /*  165244 */   // Label 3094: @165244
     /*  165244 */   GIM_Reject,
     /*  165245 */ // Label 3091: @165245
     /*  165245 */ GIM_Reject,
     /*  165246 */ // Label 3079: @165246
     /*  165246 */ GIM_Reject,
     /*  165247 */ // Label 24: @165247
     /*  165247 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 3129*/ GIMT_Encode4(173348),
     /*  165258 */ /*GILLT_p0s32*//*Label 3095*/ GIMT_Encode4(165394),
     /*  165262 */ /*GILLT_p0s64*//*Label 3096*/ GIMT_Encode4(165488),
     /*  165266 */ /*GILLT_s16*//*Label 3097*/ GIMT_Encode4(165582),
     /*  165270 */ /*GILLT_s32*//*Label 3098*/ GIMT_Encode4(166221),
     /*  165274 */ /*GILLT_s64*//*Label 3099*/ GIMT_Encode4(168827),
     /*  165278 */ /*GILLT_nxv1s1*//*Label 3100*/ GIMT_Encode4(169802),
     /*  165282 */ /*GILLT_nxv1s8*//*Label 3101*/ GIMT_Encode4(169882),
     /*  165286 */ /*GILLT_nxv1s16*//*Label 3102*/ GIMT_Encode4(169970),
     /*  165290 */ /*GILLT_nxv1s32*//*Label 3103*/ GIMT_Encode4(170128),
     /*  165294 */ /*GILLT_nxv1s64*//*Label 3104*/ GIMT_Encode4(170286),
     /*  165298 */ /*GILLT_nxv2s1*//*Label 3105*/ GIMT_Encode4(170444),
     /*  165302 */ /*GILLT_nxv2s8*//*Label 3106*/ GIMT_Encode4(170524),
     /*  165306 */ /*GILLT_nxv2s16*//*Label 3107*/ GIMT_Encode4(170612),
     /*  165310 */ /*GILLT_nxv2s32*//*Label 3108*/ GIMT_Encode4(170770),
     /*  165314 */ /*GILLT_nxv2s64*//*Label 3109*/ GIMT_Encode4(170928),
     /*  165318 */ /*GILLT_nxv4s1*//*Label 3110*/ GIMT_Encode4(171086),
     /*  165322 */ /*GILLT_nxv4s8*//*Label 3111*/ GIMT_Encode4(171166),
     /*  165326 */ /*GILLT_nxv4s16*//*Label 3112*/ GIMT_Encode4(171254),
     /*  165330 */ /*GILLT_nxv4s32*//*Label 3113*/ GIMT_Encode4(171412),
     /*  165334 */ /*GILLT_nxv4s64*//*Label 3114*/ GIMT_Encode4(171570),
     /*  165338 */ /*GILLT_nxv8s1*//*Label 3115*/ GIMT_Encode4(171728),
     /*  165342 */ /*GILLT_nxv8s8*//*Label 3116*/ GIMT_Encode4(171808),
     /*  165346 */ /*GILLT_nxv8s16*//*Label 3117*/ GIMT_Encode4(171896),
     /*  165350 */ /*GILLT_nxv8s32*//*Label 3118*/ GIMT_Encode4(172054),
     /*  165354 */ /*GILLT_nxv8s64*//*Label 3119*/ GIMT_Encode4(172212),
     /*  165358 */ /*GILLT_nxv16s1*//*Label 3120*/ GIMT_Encode4(172370),
     /*  165362 */ /*GILLT_nxv16s8*//*Label 3121*/ GIMT_Encode4(172450),
     /*  165366 */ /*GILLT_nxv16s16*//*Label 3122*/ GIMT_Encode4(172538),
     /*  165370 */ /*GILLT_nxv16s32*//*Label 3123*/ GIMT_Encode4(172696),
     /*  165374 */ /*GILLT_nxv32s1*//*Label 3124*/ GIMT_Encode4(172854),
     /*  165378 */ /*GILLT_nxv32s8*//*Label 3125*/ GIMT_Encode4(172934),
     /*  165382 */ /*GILLT_nxv32s16*//*Label 3126*/ GIMT_Encode4(173022),
     /*  165386 */ /*GILLT_nxv64s1*//*Label 3127*/ GIMT_Encode4(173180),
     /*  165390 */ /*GILLT_nxv64s8*//*Label 3128*/ GIMT_Encode4(173260),
     /*  165394 */ // Label 3095: @165394
     /*  165394 */ GIM_Try, /*On fail goto*//*Label 3130*/ GIMT_Encode4(165487),
     /*  165399 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165402 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165410 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165414 */   GIM_Try, /*On fail goto*//*Label 3131*/ GIMT_Encode4(165450), // Rule ID 64198 //
     /*  165419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  165422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165429 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  165429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  165432 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165444 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165448 */     GIR_RootConstrainSelectedInstOperands,
     /*  165449 */     // GIR_Coverage, 64198,
     /*  165449 */     GIR_EraseRootFromParent_Done,
     /*  165450 */   // Label 3131: @165450
     /*  165450 */   GIM_Try, /*On fail goto*//*Label 3132*/ GIMT_Encode4(165486), // Rule ID 64202 //
     /*  165455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  165458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165465 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  165465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  165468 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165480 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165484 */     GIR_RootConstrainSelectedInstOperands,
     /*  165485 */     // GIR_Coverage, 64202,
     /*  165485 */     GIR_EraseRootFromParent_Done,
     /*  165486 */   // Label 3132: @165486
     /*  165486 */   GIM_Reject,
     /*  165487 */ // Label 3130: @165487
     /*  165487 */ GIM_Reject,
     /*  165488 */ // Label 3096: @165488
     /*  165488 */ GIM_Try, /*On fail goto*//*Label 3133*/ GIMT_Encode4(165581),
     /*  165493 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165496 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165504 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165508 */   GIM_Try, /*On fail goto*//*Label 3134*/ GIMT_Encode4(165544), // Rule ID 64197 //
     /*  165513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  165516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165523 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  165523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  165526 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165538 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165542 */     GIR_RootConstrainSelectedInstOperands,
     /*  165543 */     // GIR_Coverage, 64197,
     /*  165543 */     GIR_EraseRootFromParent_Done,
     /*  165544 */   // Label 3134: @165544
     /*  165544 */   GIM_Try, /*On fail goto*//*Label 3135*/ GIMT_Encode4(165580), // Rule ID 64201 //
     /*  165549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  165552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165559 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  165559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  165562 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165574 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165578 */     GIR_RootConstrainSelectedInstOperands,
     /*  165579 */     // GIR_Coverage, 64201,
     /*  165579 */     GIR_EraseRootFromParent_Done,
     /*  165580 */   // Label 3135: @165580
     /*  165580 */   GIM_Reject,
     /*  165581 */ // Label 3133: @165581
     /*  165581 */ GIM_Reject,
     /*  165582 */ // Label 3097: @165582
     /*  165582 */ GIM_Try, /*On fail goto*//*Label 3136*/ GIMT_Encode4(165636), // Rule ID 64215 //
     /*  165587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  165590 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165593 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165604 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165608 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165615 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  165615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  165618 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165620 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165625 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165630 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165634 */   GIR_RootConstrainSelectedInstOperands,
     /*  165635 */   // GIR_Coverage, 64215,
     /*  165635 */   GIR_EraseRootFromParent_Done,
     /*  165636 */ // Label 3136: @165636
     /*  165636 */ GIM_Try, /*On fail goto*//*Label 3137*/ GIMT_Encode4(165690), // Rule ID 64216 //
     /*  165641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  165644 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165647 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  165654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165658 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165662 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165669 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  165669 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  165672 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165674 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165679 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165684 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165688 */   GIR_RootConstrainSelectedInstOperands,
     /*  165689 */   // GIR_Coverage, 64216,
     /*  165689 */   GIR_EraseRootFromParent_Done,
     /*  165690 */ // Label 3137: @165690
     /*  165690 */ GIM_Try, /*On fail goto*//*Label 3138*/ GIMT_Encode4(165744), // Rule ID 64217 //
     /*  165695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  165698 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165701 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165712 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165716 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165723 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  165723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  165726 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165728 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165733 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165738 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165742 */   GIR_RootConstrainSelectedInstOperands,
     /*  165743 */   // GIR_Coverage, 64217,
     /*  165743 */   GIR_EraseRootFromParent_Done,
     /*  165744 */ // Label 3138: @165744
     /*  165744 */ GIM_Try, /*On fail goto*//*Label 3139*/ GIMT_Encode4(165798), // Rule ID 64218 //
     /*  165749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  165752 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165755 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  165762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165766 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165770 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165777 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  165777 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  165780 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165782 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165787 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165792 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165796 */   GIR_RootConstrainSelectedInstOperands,
     /*  165797 */   // GIR_Coverage, 64218,
     /*  165797 */   GIR_EraseRootFromParent_Done,
     /*  165798 */ // Label 3139: @165798
     /*  165798 */ GIM_Try, /*On fail goto*//*Label 3140*/ GIMT_Encode4(165849), // Rule ID 2011 //
     /*  165803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  165806 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165809 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  165817 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165821 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165828 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  165828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  165831 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165833 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165838 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165843 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165847 */   GIR_RootConstrainSelectedInstOperands,
     /*  165848 */   // GIR_Coverage, 2011,
     /*  165848 */   GIR_EraseRootFromParent_Done,
     /*  165849 */ // Label 3140: @165849
     /*  165849 */ GIM_Try, /*On fail goto*//*Label 3141*/ GIMT_Encode4(165900), // Rule ID 2012 //
     /*  165854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  165857 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165860 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  165868 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165872 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165879 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  165879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  165882 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165884 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165889 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165894 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165898 */   GIR_RootConstrainSelectedInstOperands,
     /*  165899 */   // GIR_Coverage, 2012,
     /*  165899 */   GIR_EraseRootFromParent_Done,
     /*  165900 */ // Label 3141: @165900
     /*  165900 */ GIM_Try, /*On fail goto*//*Label 3142*/ GIMT_Encode4(165951), // Rule ID 2017 //
     /*  165905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  165908 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165911 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  165919 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165923 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165930 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  165930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  165933 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165935 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165940 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165945 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165949 */   GIR_RootConstrainSelectedInstOperands,
     /*  165950 */   // GIR_Coverage, 2017,
     /*  165950 */   GIR_EraseRootFromParent_Done,
     /*  165951 */ // Label 3142: @165951
     /*  165951 */ GIM_Try, /*On fail goto*//*Label 3143*/ GIMT_Encode4(166002), // Rule ID 2018 //
     /*  165956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  165959 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165962 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  165970 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165974 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  165981 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  165981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  165984 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165986 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  165991 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  165996 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166000 */   GIR_RootConstrainSelectedInstOperands,
     /*  166001 */   // GIR_Coverage, 2018,
     /*  166001 */   GIR_EraseRootFromParent_Done,
     /*  166002 */ // Label 3143: @166002
     /*  166002 */ GIM_Try, /*On fail goto*//*Label 3144*/ GIMT_Encode4(166053), // Rule ID 64205 //
     /*  166007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  166010 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166013 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166021 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166025 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166032 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  166035 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166037 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166042 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166047 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166051 */   GIR_RootConstrainSelectedInstOperands,
     /*  166052 */   // GIR_Coverage, 64205,
     /*  166052 */   GIR_EraseRootFromParent_Done,
     /*  166053 */ // Label 3144: @166053
     /*  166053 */ GIM_Try, /*On fail goto*//*Label 3145*/ GIMT_Encode4(166104), // Rule ID 64206 //
     /*  166058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  166061 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166064 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166072 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166076 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166083 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166083 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  166086 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166088 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166093 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166098 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166102 */   GIR_RootConstrainSelectedInstOperands,
     /*  166103 */   // GIR_Coverage, 64206,
     /*  166103 */   GIR_EraseRootFromParent_Done,
     /*  166104 */ // Label 3145: @166104
     /*  166104 */ GIM_Try, /*On fail goto*//*Label 3146*/ GIMT_Encode4(166162), // Rule ID 64209 //
     /*  166109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  166112 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166115 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166119 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166130 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166134 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166141 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  166141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  166144 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166146 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166151 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166156 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166160 */   GIR_RootConstrainSelectedInstOperands,
     /*  166161 */   // GIR_Coverage, 64209,
     /*  166161 */   GIR_EraseRootFromParent_Done,
     /*  166162 */ // Label 3146: @166162
     /*  166162 */ GIM_Try, /*On fail goto*//*Label 3147*/ GIMT_Encode4(166220), // Rule ID 64210 //
     /*  166167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  166170 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166173 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166177 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166188 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166192 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  166199 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  166199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  166202 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166204 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  166209 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  166214 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166218 */   GIR_RootConstrainSelectedInstOperands,
     /*  166219 */   // GIR_Coverage, 64210,
     /*  166219 */   GIR_EraseRootFromParent_Done,
     /*  166220 */ // Label 3147: @166220
     /*  166220 */ GIM_Reject,
     /*  166221 */ // Label 3098: @166221
     /*  166221 */ GIM_Try, /*On fail goto*//*Label 3148*/ GIMT_Encode4(166332), // Rule ID 72952 //
     /*  166226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  166229 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166232 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166236 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166247 */   // MIs[0] Operand 1
     /*  166247 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166251 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  166255 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  166259 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  166263 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  166267 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  166271 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  166275 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  166279 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  166283 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  166288 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  166292 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  166296 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  166300 */   // MIs[3] Operand 1
     /*  166300 */   // No operand predicates
     /*  166300 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166305 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  166307 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  166307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  166310 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  166312 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  166316 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  166320 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  166323 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  166330 */   GIR_RootConstrainSelectedInstOperands,
     /*  166331 */   // GIR_Coverage, 72952,
     /*  166331 */   GIR_EraseRootFromParent_Done,
     /*  166332 */ // Label 3148: @166332
     /*  166332 */ GIM_Try, /*On fail goto*//*Label 3149*/ GIMT_Encode4(166443), // Rule ID 72953 //
     /*  166337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  166340 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166343 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166347 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166358 */   // MIs[0] Operand 1
     /*  166358 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166362 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  166366 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  166370 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  166374 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  166378 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  166382 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  166386 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  166390 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  166394 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  166399 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  166403 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  166407 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  166411 */   // MIs[3] Operand 1
     /*  166411 */   // No operand predicates
     /*  166411 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166416 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  166418 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  166418 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  166421 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  166423 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  166427 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  166431 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  166434 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  166441 */   GIR_RootConstrainSelectedInstOperands,
     /*  166442 */   // GIR_Coverage, 72953,
     /*  166442 */   GIR_EraseRootFromParent_Done,
     /*  166443 */ // Label 3149: @166443
     /*  166443 */ GIM_Try, /*On fail goto*//*Label 3150*/ GIMT_Encode4(166554), // Rule ID 72954 //
     /*  166448 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  166451 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166454 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166458 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166469 */   // MIs[0] Operand 1
     /*  166469 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166473 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  166477 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  166481 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  166485 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  166489 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  166493 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  166497 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  166501 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  166505 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  166510 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  166514 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  166518 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  166522 */   // MIs[3] Operand 1
     /*  166522 */   // No operand predicates
     /*  166522 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166527 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  166529 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  166529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  166532 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  166534 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  166538 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  166542 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  166545 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  166552 */   GIR_RootConstrainSelectedInstOperands,
     /*  166553 */   // GIR_Coverage, 72954,
     /*  166553 */   GIR_EraseRootFromParent_Done,
     /*  166554 */ // Label 3150: @166554
     /*  166554 */ GIM_Try, /*On fail goto*//*Label 3151*/ GIMT_Encode4(166665), // Rule ID 72955 //
     /*  166559 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  166562 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166565 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166569 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  166576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166580 */   // MIs[0] Operand 1
     /*  166580 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166584 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  166588 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  166592 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  166596 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  166600 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  166604 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  166608 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  166612 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  166616 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  166621 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  166625 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  166629 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  166633 */   // MIs[3] Operand 1
     /*  166633 */   // No operand predicates
     /*  166633 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166638 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  166640 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  166640 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  166643 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  166645 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  166649 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  166653 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  166656 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  166663 */   GIR_RootConstrainSelectedInstOperands,
     /*  166664 */   // GIR_Coverage, 72955,
     /*  166664 */   GIR_EraseRootFromParent_Done,
     /*  166665 */ // Label 3151: @166665
     /*  166665 */ GIM_Try, /*On fail goto*//*Label 3152*/ GIMT_Encode4(166769), // Rule ID 72956 //
     /*  166670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  166673 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166676 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166684 */   // MIs[0] Operand 1
     /*  166684 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166688 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  166692 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  166696 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  166700 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  166704 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  166708 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  166712 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  166716 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  166720 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  166725 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  166729 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  166733 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  166737 */   // MIs[3] Operand 1
     /*  166737 */   // No operand predicates
     /*  166737 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166742 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  166744 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  166744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  166747 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  166749 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  166753 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  166757 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  166760 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  166767 */   GIR_RootConstrainSelectedInstOperands,
     /*  166768 */   // GIR_Coverage, 72956,
     /*  166768 */   GIR_EraseRootFromParent_Done,
     /*  166769 */ // Label 3152: @166769
     /*  166769 */ GIM_Try, /*On fail goto*//*Label 3153*/ GIMT_Encode4(166873), // Rule ID 72957 //
     /*  166774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  166777 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166780 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166788 */   // MIs[0] Operand 1
     /*  166788 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166792 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  166796 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  166800 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  166804 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  166808 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  166812 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  166816 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  166820 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  166824 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  166829 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  166833 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  166837 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  166841 */   // MIs[3] Operand 1
     /*  166841 */   // No operand predicates
     /*  166841 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166846 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  166848 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  166848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  166851 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  166853 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  166857 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  166861 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  166864 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  166871 */   GIR_RootConstrainSelectedInstOperands,
     /*  166872 */   // GIR_Coverage, 72957,
     /*  166872 */   GIR_EraseRootFromParent_Done,
     /*  166873 */ // Label 3153: @166873
     /*  166873 */ GIM_Try, /*On fail goto*//*Label 3154*/ GIMT_Encode4(166984), // Rule ID 63970 //
     /*  166878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  166881 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166884 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166888 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  166895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166899 */   // MIs[0] Operand 1
     /*  166899 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166903 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  166907 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  166911 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  166915 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  166919 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166924 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  166928 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  166932 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  166936 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  166940 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  166945 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  166949 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  166953 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  166957 */   // MIs[3] Operand 1
     /*  166957 */   // No operand predicates
     /*  166957 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  166959 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  166959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  166962 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  166964 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  166968 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  166972 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  166975 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  166982 */   GIR_RootConstrainSelectedInstOperands,
     /*  166983 */   // GIR_Coverage, 63970,
     /*  166983 */   GIR_EraseRootFromParent_Done,
     /*  166984 */ // Label 3154: @166984
     /*  166984 */ GIM_Try, /*On fail goto*//*Label 3155*/ GIMT_Encode4(167095), // Rule ID 63971 //
     /*  166989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  166992 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166995 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166999 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167010 */   // MIs[0] Operand 1
     /*  167010 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167014 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167018 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167022 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167026 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167030 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167035 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  167039 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167043 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167047 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  167051 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167056 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167060 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167064 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167068 */   // MIs[3] Operand 1
     /*  167068 */   // No operand predicates
     /*  167068 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167070 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  167070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  167073 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  167075 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  167079 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167083 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167086 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167093 */   GIR_RootConstrainSelectedInstOperands,
     /*  167094 */   // GIR_Coverage, 63971,
     /*  167094 */   GIR_EraseRootFromParent_Done,
     /*  167095 */ // Label 3155: @167095
     /*  167095 */ GIM_Try, /*On fail goto*//*Label 3156*/ GIMT_Encode4(167206), // Rule ID 63972 //
     /*  167100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  167103 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167106 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167110 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167121 */   // MIs[0] Operand 1
     /*  167121 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167125 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167129 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167133 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167137 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167141 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167146 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  167150 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167154 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167158 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  167162 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167167 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167171 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167175 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167179 */   // MIs[3] Operand 1
     /*  167179 */   // No operand predicates
     /*  167179 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167181 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  167181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  167184 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  167186 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  167190 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167194 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167197 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167204 */   GIR_RootConstrainSelectedInstOperands,
     /*  167205 */   // GIR_Coverage, 63972,
     /*  167205 */   GIR_EraseRootFromParent_Done,
     /*  167206 */ // Label 3156: @167206
     /*  167206 */ GIM_Try, /*On fail goto*//*Label 3157*/ GIMT_Encode4(167317), // Rule ID 63973 //
     /*  167211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  167214 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167217 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167221 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167232 */   // MIs[0] Operand 1
     /*  167232 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167236 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167240 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167244 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167248 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167252 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167257 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  167261 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167265 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167269 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  167273 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167278 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167282 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167286 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167290 */   // MIs[3] Operand 1
     /*  167290 */   // No operand predicates
     /*  167290 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167292 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  167292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  167295 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  167297 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  167301 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167305 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167308 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167315 */   GIR_RootConstrainSelectedInstOperands,
     /*  167316 */   // GIR_Coverage, 63973,
     /*  167316 */   GIR_EraseRootFromParent_Done,
     /*  167317 */ // Label 3157: @167317
     /*  167317 */ GIM_Try, /*On fail goto*//*Label 3158*/ GIMT_Encode4(167421), // Rule ID 63974 //
     /*  167322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  167325 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167328 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167336 */   // MIs[0] Operand 1
     /*  167336 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167340 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167344 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167348 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167352 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167356 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167361 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  167365 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167369 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167373 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  167377 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167382 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167386 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167390 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167394 */   // MIs[3] Operand 1
     /*  167394 */   // No operand predicates
     /*  167394 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167396 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  167396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  167399 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  167401 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  167405 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167409 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167412 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167419 */   GIR_RootConstrainSelectedInstOperands,
     /*  167420 */   // GIR_Coverage, 63974,
     /*  167420 */   GIR_EraseRootFromParent_Done,
     /*  167421 */ // Label 3158: @167421
     /*  167421 */ GIM_Try, /*On fail goto*//*Label 3159*/ GIMT_Encode4(167525), // Rule ID 63975 //
     /*  167426 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  167429 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167432 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167440 */   // MIs[0] Operand 1
     /*  167440 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167444 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  167448 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  167452 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  167456 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  167460 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167465 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  167469 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  167473 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  167477 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  167481 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  167486 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  167490 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  167494 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  167498 */   // MIs[3] Operand 1
     /*  167498 */   // No operand predicates
     /*  167498 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  167500 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  167500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  167503 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  167505 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  167509 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  167513 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  167516 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  167523 */   GIR_RootConstrainSelectedInstOperands,
     /*  167524 */   // GIR_Coverage, 63975,
     /*  167524 */   GIR_EraseRootFromParent_Done,
     /*  167525 */ // Label 3159: @167525
     /*  167525 */ GIM_Try, /*On fail goto*//*Label 3160*/ GIMT_Encode4(167582), // Rule ID 319 //
     /*  167530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  167533 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167536 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167543 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  167546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167550 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167554 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167561 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10059>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  167564 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167566 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167571 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167576 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167580 */   GIR_RootConstrainSelectedInstOperands,
     /*  167581 */   // GIR_Coverage, 319,
     /*  167581 */   GIR_EraseRootFromParent_Done,
     /*  167582 */ // Label 3160: @167582
     /*  167582 */ GIM_Try, /*On fail goto*//*Label 3161*/ GIMT_Encode4(167639), // Rule ID 321 //
     /*  167587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  167590 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167593 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167600 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  167603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167607 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167611 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167618 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10061>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  167621 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167623 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167628 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167633 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167637 */   GIR_RootConstrainSelectedInstOperands,
     /*  167638 */   // GIR_Coverage, 321,
     /*  167638 */   GIR_EraseRootFromParent_Done,
     /*  167639 */ // Label 3161: @167639
     /*  167639 */ GIM_Try, /*On fail goto*//*Label 3162*/ GIMT_Encode4(167696), // Rule ID 323 //
     /*  167644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  167647 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167650 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  167657 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  167660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167664 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167668 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167675 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10063>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  167678 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167680 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167685 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167690 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167694 */   GIR_RootConstrainSelectedInstOperands,
     /*  167695 */   // GIR_Coverage, 323,
     /*  167695 */   GIR_EraseRootFromParent_Done,
     /*  167696 */ // Label 3162: @167696
     /*  167696 */ GIM_Try, /*On fail goto*//*Label 3163*/ GIMT_Encode4(167750), // Rule ID 64221 //
     /*  167701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  167704 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167707 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  167714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167718 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167722 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167729 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  167732 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167734 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167739 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167744 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167748 */   GIR_RootConstrainSelectedInstOperands,
     /*  167749 */   // GIR_Coverage, 64221,
     /*  167749 */   GIR_EraseRootFromParent_Done,
     /*  167750 */ // Label 3163: @167750
     /*  167750 */ GIM_Try, /*On fail goto*//*Label 3164*/ GIMT_Encode4(167804), // Rule ID 64222 //
     /*  167755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  167758 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  167761 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  167768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167772 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167776 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167783 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  167786 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167788 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167793 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167798 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167802 */   GIR_RootConstrainSelectedInstOperands,
     /*  167803 */   // GIR_Coverage, 64222,
     /*  167803 */   GIR_EraseRootFromParent_Done,
     /*  167804 */ // Label 3164: @167804
     /*  167804 */ GIM_Try, /*On fail goto*//*Label 3165*/ GIMT_Encode4(167862), // Rule ID 239 //
     /*  167809 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  167812 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167815 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167819 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  167826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167830 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167834 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167841 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167841 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  167844 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167846 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167851 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167856 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167860 */   GIR_RootConstrainSelectedInstOperands,
     /*  167861 */   // GIR_Coverage, 239,
     /*  167861 */   GIR_EraseRootFromParent_Done,
     /*  167862 */ // Label 3165: @167862
     /*  167862 */ GIM_Try, /*On fail goto*//*Label 3166*/ GIMT_Encode4(167920), // Rule ID 241 //
     /*  167867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  167870 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167873 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167877 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  167884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167888 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167892 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167899 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  167899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  167902 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167904 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167909 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167914 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167918 */   GIR_RootConstrainSelectedInstOperands,
     /*  167919 */   // GIR_Coverage, 241,
     /*  167919 */   GIR_EraseRootFromParent_Done,
     /*  167920 */ // Label 3166: @167920
     /*  167920 */ GIM_Try, /*On fail goto*//*Label 3167*/ GIMT_Encode4(167971), // Rule ID 242 //
     /*  167925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  167928 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167931 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167939 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167943 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  167950 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  167950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  167953 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167955 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  167960 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  167965 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167969 */   GIR_RootConstrainSelectedInstOperands,
     /*  167970 */   // GIR_Coverage, 242,
     /*  167970 */   GIR_EraseRootFromParent_Done,
     /*  167971 */ // Label 3167: @167971
     /*  167971 */ GIM_Try, /*On fail goto*//*Label 3168*/ GIMT_Encode4(168022), // Rule ID 243 //
     /*  167976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  167979 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167982 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167990 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167994 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168001 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  168004 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168006 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168011 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168016 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168020 */   GIR_RootConstrainSelectedInstOperands,
     /*  168021 */   // GIR_Coverage, 243,
     /*  168021 */   GIR_EraseRootFromParent_Done,
     /*  168022 */ // Label 3168: @168022
     /*  168022 */ GIM_Try, /*On fail goto*//*Label 3169*/ GIMT_Encode4(168073), // Rule ID 1298 //
     /*  168027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  168030 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168033 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  168041 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168045 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168052 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  168052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  168055 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168057 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168062 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168067 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168071 */   GIR_RootConstrainSelectedInstOperands,
     /*  168072 */   // GIR_Coverage, 1298,
     /*  168072 */   GIR_EraseRootFromParent_Done,
     /*  168073 */ // Label 3169: @168073
     /*  168073 */ GIM_Try, /*On fail goto*//*Label 3170*/ GIMT_Encode4(168124), // Rule ID 1299 //
     /*  168078 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  168081 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168084 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  168092 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168096 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168103 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  168106 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168108 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168113 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168118 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168122 */   GIR_RootConstrainSelectedInstOperands,
     /*  168123 */   // GIR_Coverage, 1299,
     /*  168123 */   GIR_EraseRootFromParent_Done,
     /*  168124 */ // Label 3170: @168124
     /*  168124 */ GIM_Try, /*On fail goto*//*Label 3171*/ GIMT_Encode4(168175), // Rule ID 1304 //
     /*  168129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  168132 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168135 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  168143 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168147 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168154 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  168154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  168157 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168159 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168164 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168169 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168173 */   GIR_RootConstrainSelectedInstOperands,
     /*  168174 */   // GIR_Coverage, 1304,
     /*  168174 */   GIR_EraseRootFromParent_Done,
     /*  168175 */ // Label 3171: @168175
     /*  168175 */ GIM_Try, /*On fail goto*//*Label 3172*/ GIMT_Encode4(168226), // Rule ID 1305 //
     /*  168180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  168183 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168186 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  168194 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168198 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168205 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  168208 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168210 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168215 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168220 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168224 */   GIR_RootConstrainSelectedInstOperands,
     /*  168225 */   // GIR_Coverage, 1305,
     /*  168225 */   GIR_EraseRootFromParent_Done,
     /*  168226 */ // Label 3172: @168226
     /*  168226 */ GIM_Try, /*On fail goto*//*Label 3173*/ GIMT_Encode4(168284), // Rule ID 64227 //
     /*  168231 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  168234 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168237 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168241 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168252 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168256 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168263 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  168263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  168266 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168268 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168273 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168278 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168282 */   GIR_RootConstrainSelectedInstOperands,
     /*  168283 */   // GIR_Coverage, 64227,
     /*  168283 */   GIR_EraseRootFromParent_Done,
     /*  168284 */ // Label 3173: @168284
     /*  168284 */ GIM_Try, /*On fail goto*//*Label 3174*/ GIMT_Encode4(168342), // Rule ID 64228 //
     /*  168289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  168292 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168295 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168299 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168310 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168314 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168321 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  168324 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168326 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168331 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168336 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168340 */   GIR_RootConstrainSelectedInstOperands,
     /*  168341 */   // GIR_Coverage, 64228,
     /*  168341 */   GIR_EraseRootFromParent_Done,
     /*  168342 */ // Label 3174: @168342
     /*  168342 */ GIM_Try, /*On fail goto*//*Label 3175*/ GIMT_Encode4(168400), // Rule ID 64229 //
     /*  168347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  168350 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168353 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168357 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168368 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168372 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168379 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  168379 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  168382 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168384 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168389 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168394 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168398 */   GIR_RootConstrainSelectedInstOperands,
     /*  168399 */   // GIR_Coverage, 64229,
     /*  168399 */   GIR_EraseRootFromParent_Done,
     /*  168400 */ // Label 3175: @168400
     /*  168400 */ GIM_Try, /*On fail goto*//*Label 3176*/ GIMT_Encode4(168458), // Rule ID 64230 //
     /*  168405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  168408 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168411 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168415 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168426 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168430 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168437 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  168437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  168440 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168442 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168447 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168452 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168456 */   GIR_RootConstrainSelectedInstOperands,
     /*  168457 */   // GIR_Coverage, 64230,
     /*  168457 */   GIR_EraseRootFromParent_Done,
     /*  168458 */ // Label 3176: @168458
     /*  168458 */ GIM_Try, /*On fail goto*//*Label 3177*/ GIMT_Encode4(168504), // Rule ID 1087 //
     /*  168463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  168466 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168469 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168476 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  168479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168483 */   // MIs[0] rs1
     /*  168483 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168487 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168491 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10561>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  168491 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  168494 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168496 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168498 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168502 */   GIR_RootConstrainSelectedInstOperands,
     /*  168503 */   // GIR_Coverage, 1087,
     /*  168503 */   GIR_EraseRootFromParent_Done,
     /*  168504 */ // Label 3177: @168504
     /*  168504 */ GIM_Try, /*On fail goto*//*Label 3178*/ GIMT_Encode4(168550), // Rule ID 1089 //
     /*  168509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  168512 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168515 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168522 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  168525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168529 */   // MIs[0] rs1
     /*  168529 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168537 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10563>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  168537 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  168540 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168542 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168544 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168548 */   GIR_RootConstrainSelectedInstOperands,
     /*  168549 */   // GIR_Coverage, 1089,
     /*  168549 */   GIR_EraseRootFromParent_Done,
     /*  168550 */ // Label 3178: @168550
     /*  168550 */ GIM_Try, /*On fail goto*//*Label 3179*/ GIMT_Encode4(168596), // Rule ID 1091 //
     /*  168555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  168558 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168561 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168568 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  168571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168575 */   // MIs[0] rs1
     /*  168575 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168583 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10565>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  168583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  168586 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168588 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168590 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168594 */   GIR_RootConstrainSelectedInstOperands,
     /*  168595 */   // GIR_Coverage, 1091,
     /*  168595 */   GIR_EraseRootFromParent_Done,
     /*  168596 */ // Label 3179: @168596
     /*  168596 */ GIM_Try, /*On fail goto*//*Label 3180*/ GIMT_Encode4(168642), // Rule ID 1093 //
     /*  168601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  168604 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168607 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168614 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  168617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168621 */   // MIs[0] rs1
     /*  168621 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168629 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10567>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  168629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  168632 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168634 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168636 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168640 */   GIR_RootConstrainSelectedInstOperands,
     /*  168641 */   // GIR_Coverage, 1093,
     /*  168641 */   GIR_EraseRootFromParent_Done,
     /*  168642 */ // Label 3180: @168642
     /*  168642 */ GIM_Try, /*On fail goto*//*Label 3181*/ GIMT_Encode4(168688), // Rule ID 1095 //
     /*  168647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  168650 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168653 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168660 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  168663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168667 */   // MIs[0] rs1
     /*  168667 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168675 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10569>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  168675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  168678 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168680 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168682 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168686 */   GIR_RootConstrainSelectedInstOperands,
     /*  168687 */   // GIR_Coverage, 1095,
     /*  168687 */   GIR_EraseRootFromParent_Done,
     /*  168688 */ // Label 3181: @168688
     /*  168688 */ GIM_Try, /*On fail goto*//*Label 3182*/ GIMT_Encode4(168734), // Rule ID 1097 //
     /*  168693 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  168696 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168699 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168706 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  168709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168713 */   // MIs[0] rs1
     /*  168713 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168721 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10571>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  168721 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  168724 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168726 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168728 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168732 */   GIR_RootConstrainSelectedInstOperands,
     /*  168733 */   // GIR_Coverage, 1097,
     /*  168733 */   GIR_EraseRootFromParent_Done,
     /*  168734 */ // Label 3182: @168734
     /*  168734 */ GIM_Try, /*On fail goto*//*Label 3183*/ GIMT_Encode4(168780), // Rule ID 1103 //
     /*  168739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  168742 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168745 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  168752 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  168755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168759 */   // MIs[0] rs1
     /*  168759 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168767 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10577>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  168767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  168770 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168772 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168774 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168778 */   GIR_RootConstrainSelectedInstOperands,
     /*  168779 */   // GIR_Coverage, 1103,
     /*  168779 */   GIR_EraseRootFromParent_Done,
     /*  168780 */ // Label 3183: @168780
     /*  168780 */ GIM_Try, /*On fail goto*//*Label 3184*/ GIMT_Encode4(168826), // Rule ID 1105 //
     /*  168785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  168788 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168791 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  168798 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  168801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168805 */   // MIs[0] rs1
     /*  168805 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168813 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10579>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  168813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  168816 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168818 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168820 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168824 */   GIR_RootConstrainSelectedInstOperands,
     /*  168825 */   // GIR_Coverage, 1105,
     /*  168825 */   GIR_EraseRootFromParent_Done,
     /*  168826 */ // Label 3184: @168826
     /*  168826 */ GIM_Reject,
     /*  168827 */ // Label 3099: @168827
     /*  168827 */ GIM_Try, /*On fail goto*//*Label 3185*/ GIMT_Encode4(168884), // Rule ID 318 //
     /*  168832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  168835 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168838 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168845 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  168848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168852 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168856 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168863 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10059>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  168863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  168866 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168868 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168873 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168878 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168882 */   GIR_RootConstrainSelectedInstOperands,
     /*  168883 */   // GIR_Coverage, 318,
     /*  168883 */   GIR_EraseRootFromParent_Done,
     /*  168884 */ // Label 3185: @168884
     /*  168884 */ GIM_Try, /*On fail goto*//*Label 3186*/ GIMT_Encode4(168941), // Rule ID 320 //
     /*  168889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  168892 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168895 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168902 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  168905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168909 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168913 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168920 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10061>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  168920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  168923 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168925 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168930 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168935 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168939 */   GIR_RootConstrainSelectedInstOperands,
     /*  168940 */   // GIR_Coverage, 320,
     /*  168940 */   GIR_EraseRootFromParent_Done,
     /*  168941 */ // Label 3186: @168941
     /*  168941 */ GIM_Try, /*On fail goto*//*Label 3187*/ GIMT_Encode4(168998), // Rule ID 322 //
     /*  168946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  168949 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  168952 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168959 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  168962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168966 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168970 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  168977 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10063>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  168977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  168980 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168982 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  168987 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  168992 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168996 */   GIR_RootConstrainSelectedInstOperands,
     /*  168997 */   // GIR_Coverage, 322,
     /*  168997 */   GIR_EraseRootFromParent_Done,
     /*  168998 */ // Label 3187: @168998
     /*  168998 */ GIM_Try, /*On fail goto*//*Label 3188*/ GIMT_Encode4(169055), // Rule ID 325 //
     /*  169003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  169006 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169009 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  169016 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169023 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169027 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169034 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10067>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169034 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  169037 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169039 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169044 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169049 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169053 */   GIR_RootConstrainSelectedInstOperands,
     /*  169054 */   // GIR_Coverage, 325,
     /*  169054 */   GIR_EraseRootFromParent_Done,
     /*  169055 */ // Label 3188: @169055
     /*  169055 */ GIM_Try, /*On fail goto*//*Label 3189*/ GIMT_Encode4(169113), // Rule ID 238 //
     /*  169060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  169063 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169066 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169070 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169081 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169085 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169092 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169092 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  169095 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169097 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169102 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169107 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169111 */   GIR_RootConstrainSelectedInstOperands,
     /*  169112 */   // GIR_Coverage, 238,
     /*  169112 */   GIR_EraseRootFromParent_Done,
     /*  169113 */ // Label 3189: @169113
     /*  169113 */ GIM_Try, /*On fail goto*//*Label 3190*/ GIMT_Encode4(169171), // Rule ID 240 //
     /*  169118 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  169121 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169124 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169128 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169139 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169143 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169150 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  169153 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169155 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169160 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169165 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169169 */   GIR_RootConstrainSelectedInstOperands,
     /*  169170 */   // GIR_Coverage, 240,
     /*  169170 */   GIR_EraseRootFromParent_Done,
     /*  169171 */ // Label 3190: @169171
     /*  169171 */ GIM_Try, /*On fail goto*//*Label 3191*/ GIMT_Encode4(169229), // Rule ID 279 //
     /*  169176 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  169179 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169182 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169186 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169197 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169201 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169208 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169208 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  169211 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169213 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169218 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169223 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169227 */   GIR_RootConstrainSelectedInstOperands,
     /*  169228 */   // GIR_Coverage, 279,
     /*  169228 */   GIR_EraseRootFromParent_Done,
     /*  169229 */ // Label 3191: @169229
     /*  169229 */ GIM_Try, /*On fail goto*//*Label 3192*/ GIMT_Encode4(169280), // Rule ID 280 //
     /*  169234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  169237 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169240 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169248 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169252 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169259 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169259 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  169262 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169264 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169269 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169274 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169278 */   GIR_RootConstrainSelectedInstOperands,
     /*  169279 */   // GIR_Coverage, 280,
     /*  169279 */   GIR_EraseRootFromParent_Done,
     /*  169280 */ // Label 3192: @169280
     /*  169280 */ GIM_Try, /*On fail goto*//*Label 3193*/ GIMT_Encode4(169331), // Rule ID 1696 //
     /*  169285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  169288 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169291 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  169299 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169303 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169310 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  169313 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169315 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169320 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169325 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169329 */   GIR_RootConstrainSelectedInstOperands,
     /*  169330 */   // GIR_Coverage, 1696,
     /*  169330 */   GIR_EraseRootFromParent_Done,
     /*  169331 */ // Label 3193: @169331
     /*  169331 */ GIM_Try, /*On fail goto*//*Label 3194*/ GIMT_Encode4(169382), // Rule ID 1697 //
     /*  169336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  169339 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169342 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  169350 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169354 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169361 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  169364 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169366 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169371 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169376 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169380 */   GIR_RootConstrainSelectedInstOperands,
     /*  169381 */   // GIR_Coverage, 1697,
     /*  169381 */   GIR_EraseRootFromParent_Done,
     /*  169382 */ // Label 3194: @169382
     /*  169382 */ GIM_Try, /*On fail goto*//*Label 3195*/ GIMT_Encode4(169433), // Rule ID 1700 //
     /*  169387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  169390 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169393 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169401 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169405 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169412 */   // (st GPR:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  169415 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169417 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169422 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169427 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169431 */   GIR_RootConstrainSelectedInstOperands,
     /*  169432 */   // GIR_Coverage, 1700,
     /*  169432 */   GIR_EraseRootFromParent_Done,
     /*  169433 */ // Label 3195: @169433
     /*  169433 */ GIM_Try, /*On fail goto*//*Label 3196*/ GIMT_Encode4(169479), // Rule ID 1086 //
     /*  169438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  169441 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169444 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169451 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169458 */   // MIs[0] rs1
     /*  169458 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169466 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10561>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  169466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  169469 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169471 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169473 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169477 */   GIR_RootConstrainSelectedInstOperands,
     /*  169478 */   // GIR_Coverage, 1086,
     /*  169478 */   GIR_EraseRootFromParent_Done,
     /*  169479 */ // Label 3196: @169479
     /*  169479 */ GIM_Try, /*On fail goto*//*Label 3197*/ GIMT_Encode4(169525), // Rule ID 1088 //
     /*  169484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  169487 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169490 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169497 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169504 */   // MIs[0] rs1
     /*  169504 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169512 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10563>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  169512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  169515 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169517 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169519 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169523 */   GIR_RootConstrainSelectedInstOperands,
     /*  169524 */   // GIR_Coverage, 1088,
     /*  169524 */   GIR_EraseRootFromParent_Done,
     /*  169525 */ // Label 3197: @169525
     /*  169525 */ GIM_Try, /*On fail goto*//*Label 3198*/ GIMT_Encode4(169571), // Rule ID 1090 //
     /*  169530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  169533 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169536 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169543 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169550 */   // MIs[0] rs1
     /*  169550 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169558 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10565>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  169558 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  169561 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169563 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169565 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169569 */   GIR_RootConstrainSelectedInstOperands,
     /*  169570 */   // GIR_Coverage, 1090,
     /*  169570 */   GIR_EraseRootFromParent_Done,
     /*  169571 */ // Label 3198: @169571
     /*  169571 */ GIM_Try, /*On fail goto*//*Label 3199*/ GIMT_Encode4(169617), // Rule ID 1092 //
     /*  169576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  169579 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169582 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169589 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169596 */   // MIs[0] rs1
     /*  169596 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169604 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10567>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  169604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  169607 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169609 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169611 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169615 */   GIR_RootConstrainSelectedInstOperands,
     /*  169616 */   // GIR_Coverage, 1092,
     /*  169616 */   GIR_EraseRootFromParent_Done,
     /*  169617 */ // Label 3199: @169617
     /*  169617 */ GIM_Try, /*On fail goto*//*Label 3200*/ GIMT_Encode4(169663), // Rule ID 1094 //
     /*  169622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  169625 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169628 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169635 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169642 */   // MIs[0] rs1
     /*  169642 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169650 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10569>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  169650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  169653 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169655 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169657 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169661 */   GIR_RootConstrainSelectedInstOperands,
     /*  169662 */   // GIR_Coverage, 1094,
     /*  169662 */   GIR_EraseRootFromParent_Done,
     /*  169663 */ // Label 3200: @169663
     /*  169663 */ GIM_Try, /*On fail goto*//*Label 3201*/ GIMT_Encode4(169709), // Rule ID 1096 //
     /*  169668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  169671 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169674 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169681 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169688 */   // MIs[0] rs1
     /*  169688 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169696 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10571>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  169696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  169699 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169701 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169703 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169707 */   GIR_RootConstrainSelectedInstOperands,
     /*  169708 */   // GIR_Coverage, 1096,
     /*  169708 */   GIR_EraseRootFromParent_Done,
     /*  169709 */ // Label 3201: @169709
     /*  169709 */ GIM_Try, /*On fail goto*//*Label 3202*/ GIMT_Encode4(169755), // Rule ID 1102 //
     /*  169714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  169717 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169720 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  169727 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169734 */   // MIs[0] rs1
     /*  169734 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169742 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10577>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  169742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  169745 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169747 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169749 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169753 */   GIR_RootConstrainSelectedInstOperands,
     /*  169754 */   // GIR_Coverage, 1102,
     /*  169754 */   GIR_EraseRootFromParent_Done,
     /*  169755 */ // Label 3202: @169755
     /*  169755 */ GIM_Try, /*On fail goto*//*Label 3203*/ GIMT_Encode4(169801), // Rule ID 1104 //
     /*  169760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  169763 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169766 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  169773 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169780 */   // MIs[0] rs1
     /*  169780 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169788 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10579>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  169788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  169791 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169793 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169795 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169799 */   GIR_RootConstrainSelectedInstOperands,
     /*  169800 */   // GIR_Coverage, 1104,
     /*  169800 */   GIR_EraseRootFromParent_Done,
     /*  169801 */ // Label 3203: @169801
     /*  169801 */ GIM_Reject,
     /*  169802 */ // Label 3100: @169802
     /*  169802 */ GIM_Try, /*On fail goto*//*Label 3204*/ GIMT_Encode4(169881),
     /*  169807 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169810 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169818 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169822 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169826 */   GIM_Try, /*On fail goto*//*Label 3205*/ GIMT_Encode4(169853), // Rule ID 45471 //
     /*  169831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  169834 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  169834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  169837 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  169844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  169847 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169851 */     GIR_RootConstrainSelectedInstOperands,
     /*  169852 */     // GIR_Coverage, 45471,
     /*  169852 */     GIR_EraseRootFromParent_Done,
     /*  169853 */   // Label 3205: @169853
     /*  169853 */   GIM_Try, /*On fail goto*//*Label 3206*/ GIMT_Encode4(169880), // Rule ID 45472 //
     /*  169858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  169861 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  169861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  169864 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  169871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  169874 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169878 */     GIR_RootConstrainSelectedInstOperands,
     /*  169879 */     // GIR_Coverage, 45472,
     /*  169879 */     GIR_EraseRootFromParent_Done,
     /*  169880 */   // Label 3206: @169880
     /*  169880 */   GIM_Reject,
     /*  169881 */ // Label 3204: @169881
     /*  169881 */ GIM_Reject,
     /*  169882 */ // Label 3101: @169882
     /*  169882 */ GIM_Try, /*On fail goto*//*Label 3207*/ GIMT_Encode4(169969),
     /*  169887 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169890 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169898 */   GIM_Try, /*On fail goto*//*Label 3208*/ GIMT_Encode4(169933), // Rule ID 45467 //
     /*  169903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  169906 */     // MIs[0] rs1
     /*  169906 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169914 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  169914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  169917 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  169924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  169927 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169931 */     GIR_RootConstrainSelectedInstOperands,
     /*  169932 */     // GIR_Coverage, 45467,
     /*  169932 */     GIR_EraseRootFromParent_Done,
     /*  169933 */   // Label 3208: @169933
     /*  169933 */   GIM_Try, /*On fail goto*//*Label 3209*/ GIMT_Encode4(169968), // Rule ID 45468 //
     /*  169938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  169941 */     // MIs[0] rs1
     /*  169941 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169949 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  169949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  169952 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  169954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  169956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  169959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  169962 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169966 */     GIR_RootConstrainSelectedInstOperands,
     /*  169967 */     // GIR_Coverage, 45468,
     /*  169967 */     GIR_EraseRootFromParent_Done,
     /*  169968 */   // Label 3209: @169968
     /*  169968 */   GIM_Reject,
     /*  169969 */ // Label 3207: @169969
     /*  169969 */ GIM_Reject,
     /*  169970 */ // Label 3102: @169970
     /*  169970 */ GIM_Try, /*On fail goto*//*Label 3210*/ GIMT_Encode4(170127),
     /*  169975 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169978 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  169982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169986 */   GIM_Try, /*On fail goto*//*Label 3211*/ GIMT_Encode4(170021), // Rule ID 45663 //
     /*  169991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  169994 */     // MIs[0] rs1
     /*  169994 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170002 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  170002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  170005 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170015 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170019 */     GIR_RootConstrainSelectedInstOperands,
     /*  170020 */     // GIR_Coverage, 45663,
     /*  170020 */     GIR_EraseRootFromParent_Done,
     /*  170021 */   // Label 3211: @170021
     /*  170021 */   GIM_Try, /*On fail goto*//*Label 3212*/ GIMT_Encode4(170056), // Rule ID 45664 //
     /*  170026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170029 */     // MIs[0] rs1
     /*  170029 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170037 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  170037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  170040 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170050 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170054 */     GIR_RootConstrainSelectedInstOperands,
     /*  170055 */     // GIR_Coverage, 45664,
     /*  170055 */     GIR_EraseRootFromParent_Done,
     /*  170056 */   // Label 3212: @170056
     /*  170056 */   GIM_Try, /*On fail goto*//*Label 3213*/ GIMT_Encode4(170091), // Rule ID 45739 //
     /*  170061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  170064 */     // MIs[0] rs1
     /*  170064 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170072 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  170072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  170075 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170085 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170089 */     GIR_RootConstrainSelectedInstOperands,
     /*  170090 */     // GIR_Coverage, 45739,
     /*  170090 */     GIR_EraseRootFromParent_Done,
     /*  170091 */   // Label 3213: @170091
     /*  170091 */   GIM_Try, /*On fail goto*//*Label 3214*/ GIMT_Encode4(170126), // Rule ID 45740 //
     /*  170096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  170099 */     // MIs[0] rs1
     /*  170099 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170107 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  170107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  170110 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170120 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170124 */     GIR_RootConstrainSelectedInstOperands,
     /*  170125 */     // GIR_Coverage, 45740,
     /*  170125 */     GIR_EraseRootFromParent_Done,
     /*  170126 */   // Label 3214: @170126
     /*  170126 */   GIM_Reject,
     /*  170127 */ // Label 3210: @170127
     /*  170127 */ GIM_Reject,
     /*  170128 */ // Label 3103: @170128
     /*  170128 */ GIM_Try, /*On fail goto*//*Label 3215*/ GIMT_Encode4(170285),
     /*  170133 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170136 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170144 */   GIM_Try, /*On fail goto*//*Label 3216*/ GIMT_Encode4(170179), // Rule ID 45671 //
     /*  170149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  170152 */     // MIs[0] rs1
     /*  170152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170160 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  170160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  170163 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  170173 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170177 */     GIR_RootConstrainSelectedInstOperands,
     /*  170178 */     // GIR_Coverage, 45671,
     /*  170178 */     GIR_EraseRootFromParent_Done,
     /*  170179 */   // Label 3216: @170179
     /*  170179 */   GIM_Try, /*On fail goto*//*Label 3217*/ GIMT_Encode4(170214), // Rule ID 45672 //
     /*  170184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170187 */     // MIs[0] rs1
     /*  170187 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170195 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  170195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  170198 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  170208 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170212 */     GIR_RootConstrainSelectedInstOperands,
     /*  170213 */     // GIR_Coverage, 45672,
     /*  170213 */     GIR_EraseRootFromParent_Done,
     /*  170214 */   // Label 3217: @170214
     /*  170214 */   GIM_Try, /*On fail goto*//*Label 3218*/ GIMT_Encode4(170249), // Rule ID 45747 //
     /*  170219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  170222 */     // MIs[0] rs1
     /*  170222 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170230 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  170230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  170233 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  170243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170247 */     GIR_RootConstrainSelectedInstOperands,
     /*  170248 */     // GIR_Coverage, 45747,
     /*  170248 */     GIR_EraseRootFromParent_Done,
     /*  170249 */   // Label 3218: @170249
     /*  170249 */   GIM_Try, /*On fail goto*//*Label 3219*/ GIMT_Encode4(170284), // Rule ID 45748 //
     /*  170254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  170257 */     // MIs[0] rs1
     /*  170257 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170265 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  170265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  170268 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  170278 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170282 */     GIR_RootConstrainSelectedInstOperands,
     /*  170283 */     // GIR_Coverage, 45748,
     /*  170283 */     GIR_EraseRootFromParent_Done,
     /*  170284 */   // Label 3219: @170284
     /*  170284 */   GIM_Reject,
     /*  170285 */ // Label 3215: @170285
     /*  170285 */ GIM_Reject,
     /*  170286 */ // Label 3104: @170286
     /*  170286 */ GIM_Try, /*On fail goto*//*Label 3220*/ GIMT_Encode4(170443),
     /*  170291 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170294 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170302 */   GIM_Try, /*On fail goto*//*Label 3221*/ GIMT_Encode4(170337), // Rule ID 45687 //
     /*  170307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  170310 */     // MIs[0] rs1
     /*  170310 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170318 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  170318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  170321 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  170331 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170335 */     GIR_RootConstrainSelectedInstOperands,
     /*  170336 */     // GIR_Coverage, 45687,
     /*  170336 */     GIR_EraseRootFromParent_Done,
     /*  170337 */   // Label 3221: @170337
     /*  170337 */   GIM_Try, /*On fail goto*//*Label 3222*/ GIMT_Encode4(170372), // Rule ID 45688 //
     /*  170342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  170345 */     // MIs[0] rs1
     /*  170345 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170353 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  170353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  170356 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  170366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170370 */     GIR_RootConstrainSelectedInstOperands,
     /*  170371 */     // GIR_Coverage, 45688,
     /*  170371 */     GIR_EraseRootFromParent_Done,
     /*  170372 */   // Label 3222: @170372
     /*  170372 */   GIM_Try, /*On fail goto*//*Label 3223*/ GIMT_Encode4(170407), // Rule ID 45759 //
     /*  170377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  170380 */     // MIs[0] rs1
     /*  170380 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170388 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  170388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  170391 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  170401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170405 */     GIR_RootConstrainSelectedInstOperands,
     /*  170406 */     // GIR_Coverage, 45759,
     /*  170406 */     GIR_EraseRootFromParent_Done,
     /*  170407 */   // Label 3223: @170407
     /*  170407 */   GIM_Try, /*On fail goto*//*Label 3224*/ GIMT_Encode4(170442), // Rule ID 45760 //
     /*  170412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  170415 */     // MIs[0] rs1
     /*  170415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170423 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  170423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  170426 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  170436 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170440 */     GIR_RootConstrainSelectedInstOperands,
     /*  170441 */     // GIR_Coverage, 45760,
     /*  170441 */     GIR_EraseRootFromParent_Done,
     /*  170442 */   // Label 3224: @170442
     /*  170442 */   GIM_Reject,
     /*  170443 */ // Label 3220: @170443
     /*  170443 */ GIM_Reject,
     /*  170444 */ // Label 3105: @170444
     /*  170444 */ GIM_Try, /*On fail goto*//*Label 3225*/ GIMT_Encode4(170523),
     /*  170449 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170452 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170460 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170464 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170468 */   GIM_Try, /*On fail goto*//*Label 3226*/ GIMT_Encode4(170495), // Rule ID 45799 //
     /*  170473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  170476 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  170476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  170479 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  170489 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170493 */     GIR_RootConstrainSelectedInstOperands,
     /*  170494 */     // GIR_Coverage, 45799,
     /*  170494 */     GIR_EraseRootFromParent_Done,
     /*  170495 */   // Label 3226: @170495
     /*  170495 */   GIM_Try, /*On fail goto*//*Label 3227*/ GIMT_Encode4(170522), // Rule ID 45800 //
     /*  170500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170503 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  170503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  170506 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  170516 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170520 */     GIR_RootConstrainSelectedInstOperands,
     /*  170521 */     // GIR_Coverage, 45800,
     /*  170521 */     GIR_EraseRootFromParent_Done,
     /*  170522 */   // Label 3227: @170522
     /*  170522 */   GIM_Reject,
     /*  170523 */ // Label 3225: @170523
     /*  170523 */ GIM_Reject,
     /*  170524 */ // Label 3106: @170524
     /*  170524 */ GIM_Try, /*On fail goto*//*Label 3228*/ GIMT_Encode4(170611),
     /*  170529 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170532 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170540 */   GIM_Try, /*On fail goto*//*Label 3229*/ GIMT_Encode4(170575), // Rule ID 45655 //
     /*  170545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  170548 */     // MIs[0] rs1
     /*  170548 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170556 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  170556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  170559 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  170569 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170573 */     GIR_RootConstrainSelectedInstOperands,
     /*  170574 */     // GIR_Coverage, 45655,
     /*  170574 */     GIR_EraseRootFromParent_Done,
     /*  170575 */   // Label 3229: @170575
     /*  170575 */   GIM_Try, /*On fail goto*//*Label 3230*/ GIMT_Encode4(170610), // Rule ID 45656 //
     /*  170580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170583 */     // MIs[0] rs1
     /*  170583 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170591 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  170591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  170594 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  170604 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170608 */     GIR_RootConstrainSelectedInstOperands,
     /*  170609 */     // GIR_Coverage, 45656,
     /*  170609 */     GIR_EraseRootFromParent_Done,
     /*  170610 */   // Label 3230: @170610
     /*  170610 */   GIM_Reject,
     /*  170611 */ // Label 3228: @170611
     /*  170611 */ GIM_Reject,
     /*  170612 */ // Label 3107: @170612
     /*  170612 */ GIM_Try, /*On fail goto*//*Label 3231*/ GIMT_Encode4(170769),
     /*  170617 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170620 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170628 */   GIM_Try, /*On fail goto*//*Label 3232*/ GIMT_Encode4(170663), // Rule ID 45667 //
     /*  170633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  170636 */     // MIs[0] rs1
     /*  170636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170644 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  170644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  170647 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170657 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170661 */     GIR_RootConstrainSelectedInstOperands,
     /*  170662 */     // GIR_Coverage, 45667,
     /*  170662 */     GIR_EraseRootFromParent_Done,
     /*  170663 */   // Label 3232: @170663
     /*  170663 */   GIM_Try, /*On fail goto*//*Label 3233*/ GIMT_Encode4(170698), // Rule ID 45668 //
     /*  170668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170671 */     // MIs[0] rs1
     /*  170671 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170679 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  170679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  170682 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170692 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170696 */     GIR_RootConstrainSelectedInstOperands,
     /*  170697 */     // GIR_Coverage, 45668,
     /*  170697 */     GIR_EraseRootFromParent_Done,
     /*  170698 */   // Label 3233: @170698
     /*  170698 */   GIM_Try, /*On fail goto*//*Label 3234*/ GIMT_Encode4(170733), // Rule ID 45743 //
     /*  170703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  170706 */     // MIs[0] rs1
     /*  170706 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170714 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  170714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  170717 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170727 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170731 */     GIR_RootConstrainSelectedInstOperands,
     /*  170732 */     // GIR_Coverage, 45743,
     /*  170732 */     GIR_EraseRootFromParent_Done,
     /*  170733 */   // Label 3234: @170733
     /*  170733 */   GIM_Try, /*On fail goto*//*Label 3235*/ GIMT_Encode4(170768), // Rule ID 45744 //
     /*  170738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  170741 */     // MIs[0] rs1
     /*  170741 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170749 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  170749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  170752 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170766 */     GIR_RootConstrainSelectedInstOperands,
     /*  170767 */     // GIR_Coverage, 45744,
     /*  170767 */     GIR_EraseRootFromParent_Done,
     /*  170768 */   // Label 3235: @170768
     /*  170768 */   GIM_Reject,
     /*  170769 */ // Label 3231: @170769
     /*  170769 */ GIM_Reject,
     /*  170770 */ // Label 3108: @170770
     /*  170770 */ GIM_Try, /*On fail goto*//*Label 3236*/ GIMT_Encode4(170927),
     /*  170775 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170778 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170786 */   GIM_Try, /*On fail goto*//*Label 3237*/ GIMT_Encode4(170821), // Rule ID 45683 //
     /*  170791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  170794 */     // MIs[0] rs1
     /*  170794 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170802 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  170802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  170805 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  170815 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170819 */     GIR_RootConstrainSelectedInstOperands,
     /*  170820 */     // GIR_Coverage, 45683,
     /*  170820 */     GIR_EraseRootFromParent_Done,
     /*  170821 */   // Label 3237: @170821
     /*  170821 */   GIM_Try, /*On fail goto*//*Label 3238*/ GIMT_Encode4(170856), // Rule ID 45684 //
     /*  170826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170829 */     // MIs[0] rs1
     /*  170829 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170837 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  170837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  170840 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  170850 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170854 */     GIR_RootConstrainSelectedInstOperands,
     /*  170855 */     // GIR_Coverage, 45684,
     /*  170855 */     GIR_EraseRootFromParent_Done,
     /*  170856 */   // Label 3238: @170856
     /*  170856 */   GIM_Try, /*On fail goto*//*Label 3239*/ GIMT_Encode4(170891), // Rule ID 45755 //
     /*  170861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  170864 */     // MIs[0] rs1
     /*  170864 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170872 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  170872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  170875 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  170885 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170889 */     GIR_RootConstrainSelectedInstOperands,
     /*  170890 */     // GIR_Coverage, 45755,
     /*  170890 */     GIR_EraseRootFromParent_Done,
     /*  170891 */   // Label 3239: @170891
     /*  170891 */   GIM_Try, /*On fail goto*//*Label 3240*/ GIMT_Encode4(170926), // Rule ID 45756 //
     /*  170896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  170899 */     // MIs[0] rs1
     /*  170899 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170907 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  170907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  170910 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  170920 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170924 */     GIR_RootConstrainSelectedInstOperands,
     /*  170925 */     // GIR_Coverage, 45756,
     /*  170925 */     GIR_EraseRootFromParent_Done,
     /*  170926 */   // Label 3240: @170926
     /*  170926 */   GIM_Reject,
     /*  170927 */ // Label 3236: @170927
     /*  170927 */ GIM_Reject,
     /*  170928 */ // Label 3109: @170928
     /*  170928 */ GIM_Try, /*On fail goto*//*Label 3241*/ GIMT_Encode4(171085),
     /*  170933 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170936 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  170940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  170944 */   GIM_Try, /*On fail goto*//*Label 3242*/ GIMT_Encode4(170979), // Rule ID 45727 //
     /*  170949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  170952 */     // MIs[0] rs1
     /*  170952 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170960 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  170960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  170963 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  170965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  170967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  170970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  170973 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170977 */     GIR_RootConstrainSelectedInstOperands,
     /*  170978 */     // GIR_Coverage, 45727,
     /*  170978 */     GIR_EraseRootFromParent_Done,
     /*  170979 */   // Label 3242: @170979
     /*  170979 */   GIM_Try, /*On fail goto*//*Label 3243*/ GIMT_Encode4(171014), // Rule ID 45728 //
     /*  170984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  170987 */     // MIs[0] rs1
     /*  170987 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170995 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  170995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  170998 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171008 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171012 */     GIR_RootConstrainSelectedInstOperands,
     /*  171013 */     // GIR_Coverage, 45728,
     /*  171013 */     GIR_EraseRootFromParent_Done,
     /*  171014 */   // Label 3243: @171014
     /*  171014 */   GIM_Try, /*On fail goto*//*Label 3244*/ GIMT_Encode4(171049), // Rule ID 45787 //
     /*  171019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  171022 */     // MIs[0] rs1
     /*  171022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171030 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  171030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  171033 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171043 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171047 */     GIR_RootConstrainSelectedInstOperands,
     /*  171048 */     // GIR_Coverage, 45787,
     /*  171048 */     GIR_EraseRootFromParent_Done,
     /*  171049 */   // Label 3244: @171049
     /*  171049 */   GIM_Try, /*On fail goto*//*Label 3245*/ GIMT_Encode4(171084), // Rule ID 45788 //
     /*  171054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  171057 */     // MIs[0] rs1
     /*  171057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171065 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  171065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  171068 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171078 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171082 */     GIR_RootConstrainSelectedInstOperands,
     /*  171083 */     // GIR_Coverage, 45788,
     /*  171083 */     GIR_EraseRootFromParent_Done,
     /*  171084 */   // Label 3245: @171084
     /*  171084 */   GIM_Reject,
     /*  171085 */ // Label 3241: @171085
     /*  171085 */ GIM_Reject,
     /*  171086 */ // Label 3110: @171086
     /*  171086 */ GIM_Try, /*On fail goto*//*Label 3246*/ GIMT_Encode4(171165),
     /*  171091 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171094 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171102 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171110 */   GIM_Try, /*On fail goto*//*Label 3247*/ GIMT_Encode4(171137), // Rule ID 45803 //
     /*  171115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171118 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  171118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  171121 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  171131 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171135 */     GIR_RootConstrainSelectedInstOperands,
     /*  171136 */     // GIR_Coverage, 45803,
     /*  171136 */     GIR_EraseRootFromParent_Done,
     /*  171137 */   // Label 3247: @171137
     /*  171137 */   GIM_Try, /*On fail goto*//*Label 3248*/ GIMT_Encode4(171164), // Rule ID 45804 //
     /*  171142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171145 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  171145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  171148 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  171158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171162 */     GIR_RootConstrainSelectedInstOperands,
     /*  171163 */     // GIR_Coverage, 45804,
     /*  171163 */     GIR_EraseRootFromParent_Done,
     /*  171164 */   // Label 3248: @171164
     /*  171164 */   GIM_Reject,
     /*  171165 */ // Label 3246: @171165
     /*  171165 */ GIM_Reject,
     /*  171166 */ // Label 3111: @171166
     /*  171166 */ GIM_Try, /*On fail goto*//*Label 3249*/ GIMT_Encode4(171253),
     /*  171171 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171174 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171182 */   GIM_Try, /*On fail goto*//*Label 3250*/ GIMT_Encode4(171217), // Rule ID 45659 //
     /*  171187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171190 */     // MIs[0] rs1
     /*  171190 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171198 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  171198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  171201 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171211 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171215 */     GIR_RootConstrainSelectedInstOperands,
     /*  171216 */     // GIR_Coverage, 45659,
     /*  171216 */     GIR_EraseRootFromParent_Done,
     /*  171217 */   // Label 3250: @171217
     /*  171217 */   GIM_Try, /*On fail goto*//*Label 3251*/ GIMT_Encode4(171252), // Rule ID 45660 //
     /*  171222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171225 */     // MIs[0] rs1
     /*  171225 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171233 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  171233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  171236 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171246 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171250 */     GIR_RootConstrainSelectedInstOperands,
     /*  171251 */     // GIR_Coverage, 45660,
     /*  171251 */     GIR_EraseRootFromParent_Done,
     /*  171252 */   // Label 3251: @171252
     /*  171252 */   GIM_Reject,
     /*  171253 */ // Label 3249: @171253
     /*  171253 */ GIM_Reject,
     /*  171254 */ // Label 3112: @171254
     /*  171254 */ GIM_Try, /*On fail goto*//*Label 3252*/ GIMT_Encode4(171411),
     /*  171259 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171262 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171270 */   GIM_Try, /*On fail goto*//*Label 3253*/ GIMT_Encode4(171305), // Rule ID 45679 //
     /*  171275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171278 */     // MIs[0] rs1
     /*  171278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171286 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  171286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  171289 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171299 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171303 */     GIR_RootConstrainSelectedInstOperands,
     /*  171304 */     // GIR_Coverage, 45679,
     /*  171304 */     GIR_EraseRootFromParent_Done,
     /*  171305 */   // Label 3253: @171305
     /*  171305 */   GIM_Try, /*On fail goto*//*Label 3254*/ GIMT_Encode4(171340), // Rule ID 45680 //
     /*  171310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171313 */     // MIs[0] rs1
     /*  171313 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171321 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  171321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  171324 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171334 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171338 */     GIR_RootConstrainSelectedInstOperands,
     /*  171339 */     // GIR_Coverage, 45680,
     /*  171339 */     GIR_EraseRootFromParent_Done,
     /*  171340 */   // Label 3254: @171340
     /*  171340 */   GIM_Try, /*On fail goto*//*Label 3255*/ GIMT_Encode4(171375), // Rule ID 45751 //
     /*  171345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  171348 */     // MIs[0] rs1
     /*  171348 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171356 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  171356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  171359 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171373 */     GIR_RootConstrainSelectedInstOperands,
     /*  171374 */     // GIR_Coverage, 45751,
     /*  171374 */     GIR_EraseRootFromParent_Done,
     /*  171375 */   // Label 3255: @171375
     /*  171375 */   GIM_Try, /*On fail goto*//*Label 3256*/ GIMT_Encode4(171410), // Rule ID 45752 //
     /*  171380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  171383 */     // MIs[0] rs1
     /*  171383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171391 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  171391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  171394 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171404 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171408 */     GIR_RootConstrainSelectedInstOperands,
     /*  171409 */     // GIR_Coverage, 45752,
     /*  171409 */     GIR_EraseRootFromParent_Done,
     /*  171410 */   // Label 3256: @171410
     /*  171410 */   GIM_Reject,
     /*  171411 */ // Label 3252: @171411
     /*  171411 */ GIM_Reject,
     /*  171412 */ // Label 3113: @171412
     /*  171412 */ GIM_Try, /*On fail goto*//*Label 3257*/ GIMT_Encode4(171569),
     /*  171417 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171420 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171428 */   GIM_Try, /*On fail goto*//*Label 3258*/ GIMT_Encode4(171463), // Rule ID 45715 //
     /*  171433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171436 */     // MIs[0] rs1
     /*  171436 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171444 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  171444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  171447 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171457 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171461 */     GIR_RootConstrainSelectedInstOperands,
     /*  171462 */     // GIR_Coverage, 45715,
     /*  171462 */     GIR_EraseRootFromParent_Done,
     /*  171463 */   // Label 3258: @171463
     /*  171463 */   GIM_Try, /*On fail goto*//*Label 3259*/ GIMT_Encode4(171498), // Rule ID 45716 //
     /*  171468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171471 */     // MIs[0] rs1
     /*  171471 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171479 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  171479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  171482 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171496 */     GIR_RootConstrainSelectedInstOperands,
     /*  171497 */     // GIR_Coverage, 45716,
     /*  171497 */     GIR_EraseRootFromParent_Done,
     /*  171498 */   // Label 3259: @171498
     /*  171498 */   GIM_Try, /*On fail goto*//*Label 3260*/ GIMT_Encode4(171533), // Rule ID 45775 //
     /*  171503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  171506 */     // MIs[0] rs1
     /*  171506 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171514 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  171514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  171517 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171527 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171531 */     GIR_RootConstrainSelectedInstOperands,
     /*  171532 */     // GIR_Coverage, 45775,
     /*  171532 */     GIR_EraseRootFromParent_Done,
     /*  171533 */   // Label 3260: @171533
     /*  171533 */   GIM_Try, /*On fail goto*//*Label 3261*/ GIMT_Encode4(171568), // Rule ID 45776 //
     /*  171538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  171541 */     // MIs[0] rs1
     /*  171541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171549 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  171549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  171552 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171562 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171566 */     GIR_RootConstrainSelectedInstOperands,
     /*  171567 */     // GIR_Coverage, 45776,
     /*  171567 */     GIR_EraseRootFromParent_Done,
     /*  171568 */   // Label 3261: @171568
     /*  171568 */   GIM_Reject,
     /*  171569 */ // Label 3257: @171569
     /*  171569 */ GIM_Reject,
     /*  171570 */ // Label 3114: @171570
     /*  171570 */ GIM_Try, /*On fail goto*//*Label 3262*/ GIMT_Encode4(171727),
     /*  171575 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171578 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171586 */   GIM_Try, /*On fail goto*//*Label 3263*/ GIMT_Encode4(171621), // Rule ID 45731 //
     /*  171591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  171594 */     // MIs[0] rs1
     /*  171594 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171602 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  171602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  171605 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171615 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171619 */     GIR_RootConstrainSelectedInstOperands,
     /*  171620 */     // GIR_Coverage, 45731,
     /*  171620 */     GIR_EraseRootFromParent_Done,
     /*  171621 */   // Label 3263: @171621
     /*  171621 */   GIM_Try, /*On fail goto*//*Label 3264*/ GIMT_Encode4(171656), // Rule ID 45732 //
     /*  171626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  171629 */     // MIs[0] rs1
     /*  171629 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171637 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  171637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  171640 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171650 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171654 */     GIR_RootConstrainSelectedInstOperands,
     /*  171655 */     // GIR_Coverage, 45732,
     /*  171655 */     GIR_EraseRootFromParent_Done,
     /*  171656 */   // Label 3264: @171656
     /*  171656 */   GIM_Try, /*On fail goto*//*Label 3265*/ GIMT_Encode4(171691), // Rule ID 45791 //
     /*  171661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  171664 */     // MIs[0] rs1
     /*  171664 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171672 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  171672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  171675 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171685 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171689 */     GIR_RootConstrainSelectedInstOperands,
     /*  171690 */     // GIR_Coverage, 45791,
     /*  171690 */     GIR_EraseRootFromParent_Done,
     /*  171691 */   // Label 3265: @171691
     /*  171691 */   GIM_Try, /*On fail goto*//*Label 3266*/ GIMT_Encode4(171726), // Rule ID 45792 //
     /*  171696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  171699 */     // MIs[0] rs1
     /*  171699 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171707 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  171707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  171710 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171720 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171724 */     GIR_RootConstrainSelectedInstOperands,
     /*  171725 */     // GIR_Coverage, 45792,
     /*  171725 */     GIR_EraseRootFromParent_Done,
     /*  171726 */   // Label 3266: @171726
     /*  171726 */   GIM_Reject,
     /*  171727 */ // Label 3262: @171727
     /*  171727 */ GIM_Reject,
     /*  171728 */ // Label 3115: @171728
     /*  171728 */ GIM_Try, /*On fail goto*//*Label 3267*/ GIMT_Encode4(171807),
     /*  171733 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171736 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171744 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171752 */   GIM_Try, /*On fail goto*//*Label 3268*/ GIMT_Encode4(171779), // Rule ID 45807 //
     /*  171757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171760 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  171760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  171763 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  171773 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171777 */     GIR_RootConstrainSelectedInstOperands,
     /*  171778 */     // GIR_Coverage, 45807,
     /*  171778 */     GIR_EraseRootFromParent_Done,
     /*  171779 */   // Label 3268: @171779
     /*  171779 */   GIM_Try, /*On fail goto*//*Label 3269*/ GIMT_Encode4(171806), // Rule ID 45808 //
     /*  171784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171787 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  171787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  171790 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  171800 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171804 */     GIR_RootConstrainSelectedInstOperands,
     /*  171805 */     // GIR_Coverage, 45808,
     /*  171805 */     GIR_EraseRootFromParent_Done,
     /*  171806 */   // Label 3269: @171806
     /*  171806 */   GIM_Reject,
     /*  171807 */ // Label 3267: @171807
     /*  171807 */ GIM_Reject,
     /*  171808 */ // Label 3116: @171808
     /*  171808 */ GIM_Try, /*On fail goto*//*Label 3270*/ GIMT_Encode4(171895),
     /*  171813 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171816 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171824 */   GIM_Try, /*On fail goto*//*Label 3271*/ GIMT_Encode4(171859), // Rule ID 45675 //
     /*  171829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171832 */     // MIs[0] rs1
     /*  171832 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171840 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  171840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  171843 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171853 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171857 */     GIR_RootConstrainSelectedInstOperands,
     /*  171858 */     // GIR_Coverage, 45675,
     /*  171858 */     GIR_EraseRootFromParent_Done,
     /*  171859 */   // Label 3271: @171859
     /*  171859 */   GIM_Try, /*On fail goto*//*Label 3272*/ GIMT_Encode4(171894), // Rule ID 45676 //
     /*  171864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171867 */     // MIs[0] rs1
     /*  171867 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171875 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  171875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  171878 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171888 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171892 */     GIR_RootConstrainSelectedInstOperands,
     /*  171893 */     // GIR_Coverage, 45676,
     /*  171893 */     GIR_EraseRootFromParent_Done,
     /*  171894 */   // Label 3272: @171894
     /*  171894 */   GIM_Reject,
     /*  171895 */ // Label 3270: @171895
     /*  171895 */ GIM_Reject,
     /*  171896 */ // Label 3117: @171896
     /*  171896 */ GIM_Try, /*On fail goto*//*Label 3273*/ GIMT_Encode4(172053),
     /*  171901 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171904 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171912 */   GIM_Try, /*On fail goto*//*Label 3274*/ GIMT_Encode4(171947), // Rule ID 45703 //
     /*  171917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171920 */     // MIs[0] rs1
     /*  171920 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171928 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  171928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  171931 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171941 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171945 */     GIR_RootConstrainSelectedInstOperands,
     /*  171946 */     // GIR_Coverage, 45703,
     /*  171946 */     GIR_EraseRootFromParent_Done,
     /*  171947 */   // Label 3274: @171947
     /*  171947 */   GIM_Try, /*On fail goto*//*Label 3275*/ GIMT_Encode4(171982), // Rule ID 45704 //
     /*  171952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171955 */     // MIs[0] rs1
     /*  171955 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  171959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171963 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  171963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  171966 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  171970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  171973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171976 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171980 */     GIR_RootConstrainSelectedInstOperands,
     /*  171981 */     // GIR_Coverage, 45704,
     /*  171981 */     GIR_EraseRootFromParent_Done,
     /*  171982 */   // Label 3275: @171982
     /*  171982 */   GIM_Try, /*On fail goto*//*Label 3276*/ GIMT_Encode4(172017), // Rule ID 45763 //
     /*  171987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  171990 */     // MIs[0] rs1
     /*  171990 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171998 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  171998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  172001 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172015 */     GIR_RootConstrainSelectedInstOperands,
     /*  172016 */     // GIR_Coverage, 45763,
     /*  172016 */     GIR_EraseRootFromParent_Done,
     /*  172017 */   // Label 3276: @172017
     /*  172017 */   GIM_Try, /*On fail goto*//*Label 3277*/ GIMT_Encode4(172052), // Rule ID 45764 //
     /*  172022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  172025 */     // MIs[0] rs1
     /*  172025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172033 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  172033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  172036 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172046 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172050 */     GIR_RootConstrainSelectedInstOperands,
     /*  172051 */     // GIR_Coverage, 45764,
     /*  172051 */     GIR_EraseRootFromParent_Done,
     /*  172052 */   // Label 3277: @172052
     /*  172052 */   GIM_Reject,
     /*  172053 */ // Label 3273: @172053
     /*  172053 */ GIM_Reject,
     /*  172054 */ // Label 3118: @172054
     /*  172054 */ GIM_Try, /*On fail goto*//*Label 3278*/ GIMT_Encode4(172211),
     /*  172059 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172062 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  172070 */   GIM_Try, /*On fail goto*//*Label 3279*/ GIMT_Encode4(172105), // Rule ID 45719 //
     /*  172075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172078 */     // MIs[0] rs1
     /*  172078 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172086 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  172086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  172089 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172103 */     GIR_RootConstrainSelectedInstOperands,
     /*  172104 */     // GIR_Coverage, 45719,
     /*  172104 */     GIR_EraseRootFromParent_Done,
     /*  172105 */   // Label 3279: @172105
     /*  172105 */   GIM_Try, /*On fail goto*//*Label 3280*/ GIMT_Encode4(172140), // Rule ID 45720 //
     /*  172110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172113 */     // MIs[0] rs1
     /*  172113 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172121 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  172121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  172124 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172134 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172138 */     GIR_RootConstrainSelectedInstOperands,
     /*  172139 */     // GIR_Coverage, 45720,
     /*  172139 */     GIR_EraseRootFromParent_Done,
     /*  172140 */   // Label 3280: @172140
     /*  172140 */   GIM_Try, /*On fail goto*//*Label 3281*/ GIMT_Encode4(172175), // Rule ID 45779 //
     /*  172145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  172148 */     // MIs[0] rs1
     /*  172148 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172156 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  172156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  172159 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172169 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172173 */     GIR_RootConstrainSelectedInstOperands,
     /*  172174 */     // GIR_Coverage, 45779,
     /*  172174 */     GIR_EraseRootFromParent_Done,
     /*  172175 */   // Label 3281: @172175
     /*  172175 */   GIM_Try, /*On fail goto*//*Label 3282*/ GIMT_Encode4(172210), // Rule ID 45780 //
     /*  172180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  172183 */     // MIs[0] rs1
     /*  172183 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172191 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  172191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  172194 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172204 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172208 */     GIR_RootConstrainSelectedInstOperands,
     /*  172209 */     // GIR_Coverage, 45780,
     /*  172209 */     GIR_EraseRootFromParent_Done,
     /*  172210 */   // Label 3282: @172210
     /*  172210 */   GIM_Reject,
     /*  172211 */ // Label 3278: @172211
     /*  172211 */ GIM_Reject,
     /*  172212 */ // Label 3119: @172212
     /*  172212 */ GIM_Try, /*On fail goto*//*Label 3283*/ GIMT_Encode4(172369),
     /*  172217 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172220 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  172228 */   GIM_Try, /*On fail goto*//*Label 3284*/ GIMT_Encode4(172263), // Rule ID 45735 //
     /*  172233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  172236 */     // MIs[0] rs1
     /*  172236 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172244 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  172244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  172247 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172257 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172261 */     GIR_RootConstrainSelectedInstOperands,
     /*  172262 */     // GIR_Coverage, 45735,
     /*  172262 */     GIR_EraseRootFromParent_Done,
     /*  172263 */   // Label 3284: @172263
     /*  172263 */   GIM_Try, /*On fail goto*//*Label 3285*/ GIMT_Encode4(172298), // Rule ID 45736 //
     /*  172268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  172271 */     // MIs[0] rs1
     /*  172271 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172279 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  172279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  172282 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172292 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172296 */     GIR_RootConstrainSelectedInstOperands,
     /*  172297 */     // GIR_Coverage, 45736,
     /*  172297 */     GIR_EraseRootFromParent_Done,
     /*  172298 */   // Label 3285: @172298
     /*  172298 */   GIM_Try, /*On fail goto*//*Label 3286*/ GIMT_Encode4(172333), // Rule ID 45795 //
     /*  172303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  172306 */     // MIs[0] rs1
     /*  172306 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172314 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  172314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  172317 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172327 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172331 */     GIR_RootConstrainSelectedInstOperands,
     /*  172332 */     // GIR_Coverage, 45795,
     /*  172332 */     GIR_EraseRootFromParent_Done,
     /*  172333 */   // Label 3286: @172333
     /*  172333 */   GIM_Try, /*On fail goto*//*Label 3287*/ GIMT_Encode4(172368), // Rule ID 45796 //
     /*  172338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  172341 */     // MIs[0] rs1
     /*  172341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172349 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  172349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  172352 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172362 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172366 */     GIR_RootConstrainSelectedInstOperands,
     /*  172367 */     // GIR_Coverage, 45796,
     /*  172367 */     GIR_EraseRootFromParent_Done,
     /*  172368 */   // Label 3287: @172368
     /*  172368 */   GIM_Reject,
     /*  172369 */ // Label 3283: @172369
     /*  172369 */ GIM_Reject,
     /*  172370 */ // Label 3120: @172370
     /*  172370 */ GIM_Try, /*On fail goto*//*Label 3288*/ GIMT_Encode4(172449),
     /*  172375 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172378 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172386 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172394 */   GIM_Try, /*On fail goto*//*Label 3289*/ GIMT_Encode4(172421), // Rule ID 45811 //
     /*  172399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172402 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  172402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  172405 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172415 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172419 */     GIR_RootConstrainSelectedInstOperands,
     /*  172420 */     // GIR_Coverage, 45811,
     /*  172420 */     GIR_EraseRootFromParent_Done,
     /*  172421 */   // Label 3289: @172421
     /*  172421 */   GIM_Try, /*On fail goto*//*Label 3290*/ GIMT_Encode4(172448), // Rule ID 45812 //
     /*  172426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172429 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  172429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  172432 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172442 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172446 */     GIR_RootConstrainSelectedInstOperands,
     /*  172447 */     // GIR_Coverage, 45812,
     /*  172447 */     GIR_EraseRootFromParent_Done,
     /*  172448 */   // Label 3290: @172448
     /*  172448 */   GIM_Reject,
     /*  172449 */ // Label 3288: @172449
     /*  172449 */ GIM_Reject,
     /*  172450 */ // Label 3121: @172450
     /*  172450 */ GIM_Try, /*On fail goto*//*Label 3291*/ GIMT_Encode4(172537),
     /*  172455 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172458 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  172466 */   GIM_Try, /*On fail goto*//*Label 3292*/ GIMT_Encode4(172501), // Rule ID 45691 //
     /*  172471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172474 */     // MIs[0] rs1
     /*  172474 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172482 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  172482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  172485 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172495 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172499 */     GIR_RootConstrainSelectedInstOperands,
     /*  172500 */     // GIR_Coverage, 45691,
     /*  172500 */     GIR_EraseRootFromParent_Done,
     /*  172501 */   // Label 3292: @172501
     /*  172501 */   GIM_Try, /*On fail goto*//*Label 3293*/ GIMT_Encode4(172536), // Rule ID 45692 //
     /*  172506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172509 */     // MIs[0] rs1
     /*  172509 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172517 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  172517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  172520 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172530 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172534 */     GIR_RootConstrainSelectedInstOperands,
     /*  172535 */     // GIR_Coverage, 45692,
     /*  172535 */     GIR_EraseRootFromParent_Done,
     /*  172536 */   // Label 3293: @172536
     /*  172536 */   GIM_Reject,
     /*  172537 */ // Label 3291: @172537
     /*  172537 */ GIM_Reject,
     /*  172538 */ // Label 3122: @172538
     /*  172538 */ GIM_Try, /*On fail goto*//*Label 3294*/ GIMT_Encode4(172695),
     /*  172543 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172546 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  172554 */   GIM_Try, /*On fail goto*//*Label 3295*/ GIMT_Encode4(172589), // Rule ID 45707 //
     /*  172559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172562 */     // MIs[0] rs1
     /*  172562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172570 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  172570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  172573 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172583 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172587 */     GIR_RootConstrainSelectedInstOperands,
     /*  172588 */     // GIR_Coverage, 45707,
     /*  172588 */     GIR_EraseRootFromParent_Done,
     /*  172589 */   // Label 3295: @172589
     /*  172589 */   GIM_Try, /*On fail goto*//*Label 3296*/ GIMT_Encode4(172624), // Rule ID 45708 //
     /*  172594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172597 */     // MIs[0] rs1
     /*  172597 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172605 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  172605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  172608 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172618 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172622 */     GIR_RootConstrainSelectedInstOperands,
     /*  172623 */     // GIR_Coverage, 45708,
     /*  172623 */     GIR_EraseRootFromParent_Done,
     /*  172624 */   // Label 3296: @172624
     /*  172624 */   GIM_Try, /*On fail goto*//*Label 3297*/ GIMT_Encode4(172659), // Rule ID 45767 //
     /*  172629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  172632 */     // MIs[0] rs1
     /*  172632 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172640 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  172640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  172643 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172653 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172657 */     GIR_RootConstrainSelectedInstOperands,
     /*  172658 */     // GIR_Coverage, 45767,
     /*  172658 */     GIR_EraseRootFromParent_Done,
     /*  172659 */   // Label 3297: @172659
     /*  172659 */   GIM_Try, /*On fail goto*//*Label 3298*/ GIMT_Encode4(172694), // Rule ID 45768 //
     /*  172664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  172667 */     // MIs[0] rs1
     /*  172667 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172675 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  172675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  172678 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172688 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172692 */     GIR_RootConstrainSelectedInstOperands,
     /*  172693 */     // GIR_Coverage, 45768,
     /*  172693 */     GIR_EraseRootFromParent_Done,
     /*  172694 */   // Label 3298: @172694
     /*  172694 */   GIM_Reject,
     /*  172695 */ // Label 3294: @172695
     /*  172695 */ GIM_Reject,
     /*  172696 */ // Label 3123: @172696
     /*  172696 */ GIM_Try, /*On fail goto*//*Label 3299*/ GIMT_Encode4(172853),
     /*  172701 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172704 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  172712 */   GIM_Try, /*On fail goto*//*Label 3300*/ GIMT_Encode4(172747), // Rule ID 45723 //
     /*  172717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172720 */     // MIs[0] rs1
     /*  172720 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172728 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  172728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  172731 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172741 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172745 */     GIR_RootConstrainSelectedInstOperands,
     /*  172746 */     // GIR_Coverage, 45723,
     /*  172746 */     GIR_EraseRootFromParent_Done,
     /*  172747 */   // Label 3300: @172747
     /*  172747 */   GIM_Try, /*On fail goto*//*Label 3301*/ GIMT_Encode4(172782), // Rule ID 45724 //
     /*  172752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172755 */     // MIs[0] rs1
     /*  172755 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172763 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  172763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  172766 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172776 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172780 */     GIR_RootConstrainSelectedInstOperands,
     /*  172781 */     // GIR_Coverage, 45724,
     /*  172781 */     GIR_EraseRootFromParent_Done,
     /*  172782 */   // Label 3301: @172782
     /*  172782 */   GIM_Try, /*On fail goto*//*Label 3302*/ GIMT_Encode4(172817), // Rule ID 45783 //
     /*  172787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  172790 */     // MIs[0] rs1
     /*  172790 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172798 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  172798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  172801 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172811 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172815 */     GIR_RootConstrainSelectedInstOperands,
     /*  172816 */     // GIR_Coverage, 45783,
     /*  172816 */     GIR_EraseRootFromParent_Done,
     /*  172817 */   // Label 3302: @172817
     /*  172817 */   GIM_Try, /*On fail goto*//*Label 3303*/ GIMT_Encode4(172852), // Rule ID 45784 //
     /*  172822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  172825 */     // MIs[0] rs1
     /*  172825 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172833 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  172833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  172836 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172846 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172850 */     GIR_RootConstrainSelectedInstOperands,
     /*  172851 */     // GIR_Coverage, 45784,
     /*  172851 */     GIR_EraseRootFromParent_Done,
     /*  172852 */   // Label 3303: @172852
     /*  172852 */   GIM_Reject,
     /*  172853 */ // Label 3299: @172853
     /*  172853 */ GIM_Reject,
     /*  172854 */ // Label 3124: @172854
     /*  172854 */ GIM_Try, /*On fail goto*//*Label 3304*/ GIMT_Encode4(172933),
     /*  172859 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172862 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172870 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172878 */   GIM_Try, /*On fail goto*//*Label 3305*/ GIMT_Encode4(172905), // Rule ID 45815 //
     /*  172883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172886 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  172886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  172889 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172899 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172903 */     GIR_RootConstrainSelectedInstOperands,
     /*  172904 */     // GIR_Coverage, 45815,
     /*  172904 */     GIR_EraseRootFromParent_Done,
     /*  172905 */   // Label 3305: @172905
     /*  172905 */   GIM_Try, /*On fail goto*//*Label 3306*/ GIMT_Encode4(172932), // Rule ID 45816 //
     /*  172910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172913 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  172913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  172916 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  172926 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172930 */     GIR_RootConstrainSelectedInstOperands,
     /*  172931 */     // GIR_Coverage, 45816,
     /*  172931 */     GIR_EraseRootFromParent_Done,
     /*  172932 */   // Label 3306: @172932
     /*  172932 */   GIM_Reject,
     /*  172933 */ // Label 3304: @172933
     /*  172933 */ GIM_Reject,
     /*  172934 */ // Label 3125: @172934
     /*  172934 */ GIM_Try, /*On fail goto*//*Label 3307*/ GIMT_Encode4(173021),
     /*  172939 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172942 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  172950 */   GIM_Try, /*On fail goto*//*Label 3308*/ GIMT_Encode4(172985), // Rule ID 45695 //
     /*  172955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172958 */     // MIs[0] rs1
     /*  172958 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172966 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  172966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  172969 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  172973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  172976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172979 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172983 */     GIR_RootConstrainSelectedInstOperands,
     /*  172984 */     // GIR_Coverage, 45695,
     /*  172984 */     GIR_EraseRootFromParent_Done,
     /*  172985 */   // Label 3308: @172985
     /*  172985 */   GIM_Try, /*On fail goto*//*Label 3309*/ GIMT_Encode4(173020), // Rule ID 45696 //
     /*  172990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172993 */     // MIs[0] rs1
     /*  172993 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173001 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  173001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  173004 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173014 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173018 */     GIR_RootConstrainSelectedInstOperands,
     /*  173019 */     // GIR_Coverage, 45696,
     /*  173019 */     GIR_EraseRootFromParent_Done,
     /*  173020 */   // Label 3309: @173020
     /*  173020 */   GIM_Reject,
     /*  173021 */ // Label 3307: @173021
     /*  173021 */ GIM_Reject,
     /*  173022 */ // Label 3126: @173022
     /*  173022 */ GIM_Try, /*On fail goto*//*Label 3310*/ GIMT_Encode4(173179),
     /*  173027 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173030 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  173038 */   GIM_Try, /*On fail goto*//*Label 3311*/ GIMT_Encode4(173073), // Rule ID 45711 //
     /*  173043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173046 */     // MIs[0] rs1
     /*  173046 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173054 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  173054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  173057 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173067 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173071 */     GIR_RootConstrainSelectedInstOperands,
     /*  173072 */     // GIR_Coverage, 45711,
     /*  173072 */     GIR_EraseRootFromParent_Done,
     /*  173073 */   // Label 3311: @173073
     /*  173073 */   GIM_Try, /*On fail goto*//*Label 3312*/ GIMT_Encode4(173108), // Rule ID 45712 //
     /*  173078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173081 */     // MIs[0] rs1
     /*  173081 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173089 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  173089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  173092 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173102 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173106 */     GIR_RootConstrainSelectedInstOperands,
     /*  173107 */     // GIR_Coverage, 45712,
     /*  173107 */     GIR_EraseRootFromParent_Done,
     /*  173108 */   // Label 3312: @173108
     /*  173108 */   GIM_Try, /*On fail goto*//*Label 3313*/ GIMT_Encode4(173143), // Rule ID 45771 //
     /*  173113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  173116 */     // MIs[0] rs1
     /*  173116 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173124 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  173124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  173127 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173137 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173141 */     GIR_RootConstrainSelectedInstOperands,
     /*  173142 */     // GIR_Coverage, 45771,
     /*  173142 */     GIR_EraseRootFromParent_Done,
     /*  173143 */   // Label 3313: @173143
     /*  173143 */   GIM_Try, /*On fail goto*//*Label 3314*/ GIMT_Encode4(173178), // Rule ID 45772 //
     /*  173148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  173151 */     // MIs[0] rs1
     /*  173151 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173159 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  173159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  173162 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173172 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173176 */     GIR_RootConstrainSelectedInstOperands,
     /*  173177 */     // GIR_Coverage, 45772,
     /*  173177 */     GIR_EraseRootFromParent_Done,
     /*  173178 */   // Label 3314: @173178
     /*  173178 */   GIM_Reject,
     /*  173179 */ // Label 3310: @173179
     /*  173179 */ GIM_Reject,
     /*  173180 */ // Label 3127: @173180
     /*  173180 */ GIM_Try, /*On fail goto*//*Label 3315*/ GIMT_Encode4(173259),
     /*  173185 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173188 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173196 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173204 */   GIM_Try, /*On fail goto*//*Label 3316*/ GIMT_Encode4(173231), // Rule ID 45819 //
     /*  173209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173212 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  173212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  173215 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  173225 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173229 */     GIR_RootConstrainSelectedInstOperands,
     /*  173230 */     // GIR_Coverage, 45819,
     /*  173230 */     GIR_EraseRootFromParent_Done,
     /*  173231 */   // Label 3316: @173231
     /*  173231 */   GIM_Try, /*On fail goto*//*Label 3317*/ GIMT_Encode4(173258), // Rule ID 45820 //
     /*  173236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173239 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  173239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  173242 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  173252 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173256 */     GIR_RootConstrainSelectedInstOperands,
     /*  173257 */     // GIR_Coverage, 45820,
     /*  173257 */     GIR_EraseRootFromParent_Done,
     /*  173258 */   // Label 3317: @173258
     /*  173258 */   GIM_Reject,
     /*  173259 */ // Label 3315: @173259
     /*  173259 */ GIM_Reject,
     /*  173260 */ // Label 3128: @173260
     /*  173260 */ GIM_Try, /*On fail goto*//*Label 3318*/ GIMT_Encode4(173347),
     /*  173265 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173268 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  173276 */   GIM_Try, /*On fail goto*//*Label 3319*/ GIMT_Encode4(173311), // Rule ID 45699 //
     /*  173281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173284 */     // MIs[0] rs1
     /*  173284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173292 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  173292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  173295 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173305 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173309 */     GIR_RootConstrainSelectedInstOperands,
     /*  173310 */     // GIR_Coverage, 45699,
     /*  173310 */     GIR_EraseRootFromParent_Done,
     /*  173311 */   // Label 3319: @173311
     /*  173311 */   GIM_Try, /*On fail goto*//*Label 3320*/ GIMT_Encode4(173346), // Rule ID 45700 //
     /*  173316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173319 */     // MIs[0] rs1
     /*  173319 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173327 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  173327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  173330 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  173334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  173337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173340 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173344 */     GIR_RootConstrainSelectedInstOperands,
     /*  173345 */     // GIR_Coverage, 45700,
     /*  173345 */     GIR_EraseRootFromParent_Done,
     /*  173346 */   // Label 3320: @173346
     /*  173346 */   GIM_Reject,
     /*  173347 */ // Label 3318: @173347
     /*  173347 */ GIM_Reject,
     /*  173348 */ // Label 3129: @173348
     /*  173348 */ GIM_Reject,
     /*  173349 */ // Label 25: @173349
     /*  173349 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3323*/ GIMT_Encode4(178234),
     /*  173360 */ /*GILLT_s32*//*Label 3321*/ GIMT_Encode4(173368),
     /*  173364 */ /*GILLT_s64*//*Label 3322*/ GIMT_Encode4(175361),
     /*  173368 */ // Label 3321: @173368
     /*  173368 */ GIM_Try, /*On fail goto*//*Label 3324*/ GIMT_Encode4(175360),
     /*  173373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  173376 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  173379 */   GIM_Try, /*On fail goto*//*Label 3325*/ GIMT_Encode4(173445), // Rule ID 628 //
     /*  173384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  173387 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173394 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  173397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173401 */     // MIs[0] addr
     /*  173401 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173417 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 2:{ *:[i32] })
     /*  173417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  173420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  173423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  173425 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  173430 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173432 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173434 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  173439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173443 */     GIR_RootConstrainSelectedInstOperands,
     /*  173444 */     // GIR_Coverage, 628,
     /*  173444 */     GIR_EraseRootFromParent_Done,
     /*  173445 */   // Label 3325: @173445
     /*  173445 */   GIM_Try, /*On fail goto*//*Label 3326*/ GIMT_Encode4(173511), // Rule ID 630 //
     /*  173450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  173453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  173463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173467 */     // MIs[0] addr
     /*  173467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173483 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 4:{ *:[i32] })
     /*  173483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  173486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  173489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  173491 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  173496 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173498 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173500 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173505 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173509 */     GIR_RootConstrainSelectedInstOperands,
     /*  173510 */     // GIR_Coverage, 630,
     /*  173510 */     GIR_EraseRootFromParent_Done,
     /*  173511 */   // Label 3326: @173511
     /*  173511 */   GIM_Try, /*On fail goto*//*Label 3327*/ GIMT_Encode4(173577), // Rule ID 632 //
     /*  173516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  173519 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173526 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  173529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173533 */     // MIs[0] addr
     /*  173533 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173549 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 5:{ *:[i32] })
     /*  173549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  173552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  173555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  173557 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  173562 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173564 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173566 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173571 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173575 */     GIR_RootConstrainSelectedInstOperands,
     /*  173576 */     // GIR_Coverage, 632,
     /*  173576 */     GIR_EraseRootFromParent_Done,
     /*  173577 */   // Label 3327: @173577
     /*  173577 */   GIM_Try, /*On fail goto*//*Label 3328*/ GIMT_Encode4(173643), // Rule ID 634 //
     /*  173582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  173585 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173592 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  173595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173599 */     // MIs[0] addr
     /*  173599 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173615 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 6:{ *:[i32] })
     /*  173615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  173618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  173621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  173623 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  173628 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173630 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173632 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173637 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173641 */     GIR_RootConstrainSelectedInstOperands,
     /*  173642 */     // GIR_Coverage, 634,
     /*  173642 */     GIR_EraseRootFromParent_Done,
     /*  173643 */   // Label 3328: @173643
     /*  173643 */   GIM_Try, /*On fail goto*//*Label 3329*/ GIMT_Encode4(173709), // Rule ID 636 //
     /*  173648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  173651 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173658 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  173661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173665 */     // MIs[0] addr
     /*  173665 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173681 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 7:{ *:[i32] })
     /*  173681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  173684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  173687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  173689 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  173694 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173696 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173698 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  173703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173707 */     GIR_RootConstrainSelectedInstOperands,
     /*  173708 */     // GIR_Coverage, 636,
     /*  173708 */     GIR_EraseRootFromParent_Done,
     /*  173709 */   // Label 3329: @173709
     /*  173709 */   GIM_Try, /*On fail goto*//*Label 3330*/ GIMT_Encode4(173764), // Rule ID 645 //
     /*  173714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  173717 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173724 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  173727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173731 */     // MIs[0] addr
     /*  173731 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173747 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  173747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  173750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  173752 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173754 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173756 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173758 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173762 */     GIR_RootConstrainSelectedInstOperands,
     /*  173763 */     // GIR_Coverage, 645,
     /*  173763 */     GIR_EraseRootFromParent_Done,
     /*  173764 */   // Label 3330: @173764
     /*  173764 */   GIM_Try, /*On fail goto*//*Label 3331*/ GIMT_Encode4(173819), // Rule ID 647 //
     /*  173769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  173772 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173779 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  173782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173786 */     // MIs[0] addr
     /*  173786 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173802 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  173802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  173805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  173807 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173809 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173811 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173813 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173817 */     GIR_RootConstrainSelectedInstOperands,
     /*  173818 */     // GIR_Coverage, 647,
     /*  173818 */     GIR_EraseRootFromParent_Done,
     /*  173819 */   // Label 3331: @173819
     /*  173819 */   GIM_Try, /*On fail goto*//*Label 3332*/ GIMT_Encode4(173874), // Rule ID 649 //
     /*  173824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  173827 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173834 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  173837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173841 */     // MIs[0] addr
     /*  173841 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173857 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  173857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  173860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  173862 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173864 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173866 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173868 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173872 */     GIR_RootConstrainSelectedInstOperands,
     /*  173873 */     // GIR_Coverage, 649,
     /*  173873 */     GIR_EraseRootFromParent_Done,
     /*  173874 */   // Label 3332: @173874
     /*  173874 */   GIM_Try, /*On fail goto*//*Label 3333*/ GIMT_Encode4(173929), // Rule ID 651 //
     /*  173879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  173882 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173889 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  173892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173896 */     // MIs[0] addr
     /*  173896 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173912 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  173912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  173915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  173917 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173919 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173921 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173923 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173927 */     GIR_RootConstrainSelectedInstOperands,
     /*  173928 */     // GIR_Coverage, 651,
     /*  173928 */     GIR_EraseRootFromParent_Done,
     /*  173929 */   // Label 3333: @173929
     /*  173929 */   GIM_Try, /*On fail goto*//*Label 3334*/ GIMT_Encode4(173984), // Rule ID 653 //
     /*  173934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  173937 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173944 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  173947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173951 */     // MIs[0] addr
     /*  173951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173967 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  173967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  173970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  173972 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173974 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173976 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173978 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173982 */     GIR_RootConstrainSelectedInstOperands,
     /*  173983 */     // GIR_Coverage, 653,
     /*  173983 */     GIR_EraseRootFromParent_Done,
     /*  173984 */   // Label 3334: @173984
     /*  173984 */   GIM_Try, /*On fail goto*//*Label 3335*/ GIMT_Encode4(174039), // Rule ID 655 //
     /*  173989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  173992 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173999 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  174002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174006 */     // MIs[0] addr
     /*  174006 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174022 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  174025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174027 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174029 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174031 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174033 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174037 */     GIR_RootConstrainSelectedInstOperands,
     /*  174038 */     // GIR_Coverage, 655,
     /*  174038 */     GIR_EraseRootFromParent_Done,
     /*  174039 */   // Label 3335: @174039
     /*  174039 */   GIM_Try, /*On fail goto*//*Label 3336*/ GIMT_Encode4(174094), // Rule ID 657 //
     /*  174044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  174047 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174054 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  174057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174061 */     // MIs[0] addr
     /*  174061 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174077 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  174080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174082 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174084 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174086 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174088 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174092 */     GIR_RootConstrainSelectedInstOperands,
     /*  174093 */     // GIR_Coverage, 657,
     /*  174093 */     GIR_EraseRootFromParent_Done,
     /*  174094 */   // Label 3336: @174094
     /*  174094 */   GIM_Try, /*On fail goto*//*Label 3337*/ GIMT_Encode4(174149), // Rule ID 659 //
     /*  174099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  174102 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174109 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174116 */     // MIs[0] addr
     /*  174116 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174132 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  174135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174137 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174139 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174141 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174143 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174147 */     GIR_RootConstrainSelectedInstOperands,
     /*  174148 */     // GIR_Coverage, 659,
     /*  174148 */     GIR_EraseRootFromParent_Done,
     /*  174149 */   // Label 3337: @174149
     /*  174149 */   GIM_Try, /*On fail goto*//*Label 3338*/ GIMT_Encode4(174204), // Rule ID 661 //
     /*  174154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  174157 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174164 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  174167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174171 */     // MIs[0] addr
     /*  174171 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174187 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  174190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174192 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174194 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174196 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174198 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174202 */     GIR_RootConstrainSelectedInstOperands,
     /*  174203 */     // GIR_Coverage, 661,
     /*  174203 */     GIR_EraseRootFromParent_Done,
     /*  174204 */   // Label 3338: @174204
     /*  174204 */   GIM_Try, /*On fail goto*//*Label 3339*/ GIMT_Encode4(174259), // Rule ID 663 //
     /*  174209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  174212 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174219 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174226 */     // MIs[0] addr
     /*  174226 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174242 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  174245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174247 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174249 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174251 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174253 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174257 */     GIR_RootConstrainSelectedInstOperands,
     /*  174258 */     // GIR_Coverage, 663,
     /*  174258 */     GIR_EraseRootFromParent_Done,
     /*  174259 */   // Label 3339: @174259
     /*  174259 */   GIM_Try, /*On fail goto*//*Label 3340*/ GIMT_Encode4(174314), // Rule ID 1035 //
     /*  174264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  174267 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174274 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  174277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174281 */     // MIs[0] addr
     /*  174281 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174297 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  174300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174302 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174304 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174306 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174308 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174312 */     GIR_RootConstrainSelectedInstOperands,
     /*  174313 */     // GIR_Coverage, 1035,
     /*  174313 */     GIR_EraseRootFromParent_Done,
     /*  174314 */   // Label 3340: @174314
     /*  174314 */   GIM_Try, /*On fail goto*//*Label 3341*/ GIMT_Encode4(174369), // Rule ID 1037 //
     /*  174319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  174322 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174329 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  174332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174336 */     // MIs[0] addr
     /*  174336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174352 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  174355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174357 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174359 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174361 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174363 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174367 */     GIR_RootConstrainSelectedInstOperands,
     /*  174368 */     // GIR_Coverage, 1037,
     /*  174368 */     GIR_EraseRootFromParent_Done,
     /*  174369 */   // Label 3341: @174369
     /*  174369 */   GIM_Try, /*On fail goto*//*Label 3342*/ GIMT_Encode4(174424), // Rule ID 1039 //
     /*  174374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  174377 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174384 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174391 */     // MIs[0] addr
     /*  174391 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174407 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  174410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174412 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174414 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174416 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174418 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174422 */     GIR_RootConstrainSelectedInstOperands,
     /*  174423 */     // GIR_Coverage, 1039,
     /*  174423 */     GIR_EraseRootFromParent_Done,
     /*  174424 */   // Label 3342: @174424
     /*  174424 */   GIM_Try, /*On fail goto*//*Label 3343*/ GIMT_Encode4(174479), // Rule ID 1041 //
     /*  174429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  174432 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174439 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  174442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174446 */     // MIs[0] addr
     /*  174446 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174462 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  174465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174467 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174469 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174471 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174473 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174477 */     GIR_RootConstrainSelectedInstOperands,
     /*  174478 */     // GIR_Coverage, 1041,
     /*  174478 */     GIR_EraseRootFromParent_Done,
     /*  174479 */   // Label 3343: @174479
     /*  174479 */   GIM_Try, /*On fail goto*//*Label 3344*/ GIMT_Encode4(174534), // Rule ID 1043 //
     /*  174484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  174487 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174494 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174501 */     // MIs[0] addr
     /*  174501 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174517 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  174520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174522 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174524 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174526 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174528 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174532 */     GIR_RootConstrainSelectedInstOperands,
     /*  174533 */     // GIR_Coverage, 1043,
     /*  174533 */     GIR_EraseRootFromParent_Done,
     /*  174534 */   // Label 3344: @174534
     /*  174534 */   GIM_Try, /*On fail goto*//*Label 3345*/ GIMT_Encode4(174589), // Rule ID 1045 //
     /*  174539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  174542 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174549 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  174552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174556 */     // MIs[0] addr
     /*  174556 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174572 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  174575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174577 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174579 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174581 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174583 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174587 */     GIR_RootConstrainSelectedInstOperands,
     /*  174588 */     // GIR_Coverage, 1045,
     /*  174588 */     GIR_EraseRootFromParent_Done,
     /*  174589 */   // Label 3345: @174589
     /*  174589 */   GIM_Try, /*On fail goto*//*Label 3346*/ GIMT_Encode4(174644), // Rule ID 1047 //
     /*  174594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  174597 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174604 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  174607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174611 */     // MIs[0] addr
     /*  174611 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174627 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  174630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174632 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174634 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174636 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174638 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174642 */     GIR_RootConstrainSelectedInstOperands,
     /*  174643 */     // GIR_Coverage, 1047,
     /*  174643 */     GIR_EraseRootFromParent_Done,
     /*  174644 */   // Label 3346: @174644
     /*  174644 */   GIM_Try, /*On fail goto*//*Label 3347*/ GIMT_Encode4(174699), // Rule ID 1049 //
     /*  174649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  174652 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174659 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174666 */     // MIs[0] addr
     /*  174666 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174682 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  174685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174687 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174689 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174691 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174693 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174697 */     GIR_RootConstrainSelectedInstOperands,
     /*  174698 */     // GIR_Coverage, 1049,
     /*  174698 */     GIR_EraseRootFromParent_Done,
     /*  174699 */   // Label 3347: @174699
     /*  174699 */   GIM_Try, /*On fail goto*//*Label 3348*/ GIMT_Encode4(174754), // Rule ID 1051 //
     /*  174704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  174707 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174714 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  174717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174721 */     // MIs[0] addr
     /*  174721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174737 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  174740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174742 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174744 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174746 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174748 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174752 */     GIR_RootConstrainSelectedInstOperands,
     /*  174753 */     // GIR_Coverage, 1051,
     /*  174753 */     GIR_EraseRootFromParent_Done,
     /*  174754 */   // Label 3348: @174754
     /*  174754 */   GIM_Try, /*On fail goto*//*Label 3349*/ GIMT_Encode4(174809), // Rule ID 1053 //
     /*  174759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  174762 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174769 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174776 */     // MIs[0] addr
     /*  174776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174792 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  174795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174797 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174799 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174801 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174807 */     GIR_RootConstrainSelectedInstOperands,
     /*  174808 */     // GIR_Coverage, 1053,
     /*  174808 */     GIR_EraseRootFromParent_Done,
     /*  174809 */   // Label 3349: @174809
     /*  174809 */   GIM_Try, /*On fail goto*//*Label 3350*/ GIMT_Encode4(174864), // Rule ID 1055 //
     /*  174814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  174817 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174824 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  174827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174831 */     // MIs[0] addr
     /*  174831 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174847 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  174850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174852 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174854 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174856 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174858 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174862 */     GIR_RootConstrainSelectedInstOperands,
     /*  174863 */     // GIR_Coverage, 1055,
     /*  174863 */     GIR_EraseRootFromParent_Done,
     /*  174864 */   // Label 3350: @174864
     /*  174864 */   GIM_Try, /*On fail goto*//*Label 3351*/ GIMT_Encode4(174919), // Rule ID 1057 //
     /*  174869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  174872 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174879 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  174882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174886 */     // MIs[0] addr
     /*  174886 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174902 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  174905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174907 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174909 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174911 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174913 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174917 */     GIR_RootConstrainSelectedInstOperands,
     /*  174918 */     // GIR_Coverage, 1057,
     /*  174918 */     GIR_EraseRootFromParent_Done,
     /*  174919 */   // Label 3351: @174919
     /*  174919 */   GIM_Try, /*On fail goto*//*Label 3352*/ GIMT_Encode4(174974), // Rule ID 1059 //
     /*  174924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  174927 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174934 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174941 */     // MIs[0] addr
     /*  174941 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174957 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  174957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  174960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  174962 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  174964 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  174966 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  174968 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174972 */     GIR_RootConstrainSelectedInstOperands,
     /*  174973 */     // GIR_Coverage, 1059,
     /*  174973 */     GIR_EraseRootFromParent_Done,
     /*  174974 */   // Label 3352: @174974
     /*  174974 */   GIM_Try, /*On fail goto*//*Label 3353*/ GIMT_Encode4(175029), // Rule ID 1061 //
     /*  174979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  174982 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174989 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  174992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174996 */     // MIs[0] addr
     /*  174996 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175012 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  175015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175017 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175019 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175021 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175023 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175027 */     GIR_RootConstrainSelectedInstOperands,
     /*  175028 */     // GIR_Coverage, 1061,
     /*  175028 */     GIR_EraseRootFromParent_Done,
     /*  175029 */   // Label 3353: @175029
     /*  175029 */   GIM_Try, /*On fail goto*//*Label 3354*/ GIMT_Encode4(175084), // Rule ID 1063 //
     /*  175034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  175037 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  175044 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175051 */     // MIs[0] addr
     /*  175051 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175067 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  175070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175072 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175074 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175076 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175078 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175082 */     GIR_RootConstrainSelectedInstOperands,
     /*  175083 */     // GIR_Coverage, 1063,
     /*  175083 */     GIR_EraseRootFromParent_Done,
     /*  175084 */   // Label 3354: @175084
     /*  175084 */   GIM_Try, /*On fail goto*//*Label 3355*/ GIMT_Encode4(175139), // Rule ID 1065 //
     /*  175089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175092 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  175099 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175106 */     // MIs[0] addr
     /*  175106 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175122 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  175125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175127 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175129 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175131 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175133 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175137 */     GIR_RootConstrainSelectedInstOperands,
     /*  175138 */     // GIR_Coverage, 1065,
     /*  175138 */     GIR_EraseRootFromParent_Done,
     /*  175139 */   // Label 3355: @175139
     /*  175139 */   GIM_Try, /*On fail goto*//*Label 3356*/ GIMT_Encode4(175194), // Rule ID 1067 //
     /*  175144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175147 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  175154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175161 */     // MIs[0] addr
     /*  175161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175177 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  175180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175182 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175184 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175186 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175188 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175192 */     GIR_RootConstrainSelectedInstOperands,
     /*  175193 */     // GIR_Coverage, 1067,
     /*  175193 */     GIR_EraseRootFromParent_Done,
     /*  175194 */   // Label 3356: @175194
     /*  175194 */   GIM_Try, /*On fail goto*//*Label 3357*/ GIMT_Encode4(175249), // Rule ID 1069 //
     /*  175199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175202 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  175209 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175216 */     // MIs[0] addr
     /*  175216 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175232 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  175235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175237 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175239 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175241 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175247 */     GIR_RootConstrainSelectedInstOperands,
     /*  175248 */     // GIR_Coverage, 1069,
     /*  175248 */     GIR_EraseRootFromParent_Done,
     /*  175249 */   // Label 3357: @175249
     /*  175249 */   GIM_Try, /*On fail goto*//*Label 3358*/ GIMT_Encode4(175304), // Rule ID 1071 //
     /*  175254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175257 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  175264 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175271 */     // MIs[0] addr
     /*  175271 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175287 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  175290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175292 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175294 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175296 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175298 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175302 */     GIR_RootConstrainSelectedInstOperands,
     /*  175303 */     // GIR_Coverage, 1071,
     /*  175303 */     GIR_EraseRootFromParent_Done,
     /*  175304 */   // Label 3358: @175304
     /*  175304 */   GIM_Try, /*On fail goto*//*Label 3359*/ GIMT_Encode4(175359), // Rule ID 1073 //
     /*  175309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  175312 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  175319 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175326 */     // MIs[0] addr
     /*  175326 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175342 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  175342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  175345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  175347 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175349 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175351 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175353 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175357 */     GIR_RootConstrainSelectedInstOperands,
     /*  175358 */     // GIR_Coverage, 1073,
     /*  175358 */     GIR_EraseRootFromParent_Done,
     /*  175359 */   // Label 3359: @175359
     /*  175359 */   GIM_Reject,
     /*  175360 */ // Label 3324: @175360
     /*  175360 */ GIM_Reject,
     /*  175361 */ // Label 3322: @175361
     /*  175361 */ GIM_Try, /*On fail goto*//*Label 3360*/ GIMT_Encode4(178233),
     /*  175366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  175369 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  175372 */   GIM_Try, /*On fail goto*//*Label 3361*/ GIMT_Encode4(175438), // Rule ID 627 //
     /*  175377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  175380 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175387 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175394 */     // MIs[0] addr
     /*  175394 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175410 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  175410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175418 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175423 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175425 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175427 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  175432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175436 */     GIR_RootConstrainSelectedInstOperands,
     /*  175437 */     // GIR_Coverage, 627,
     /*  175437 */     GIR_EraseRootFromParent_Done,
     /*  175438 */   // Label 3361: @175438
     /*  175438 */   GIM_Try, /*On fail goto*//*Label 3362*/ GIMT_Encode4(175504), // Rule ID 629 //
     /*  175443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  175446 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175453 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175460 */     // MIs[0] addr
     /*  175460 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175476 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  175476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175484 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175489 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175491 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175493 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175498 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175502 */     GIR_RootConstrainSelectedInstOperands,
     /*  175503 */     // GIR_Coverage, 629,
     /*  175503 */     GIR_EraseRootFromParent_Done,
     /*  175504 */   // Label 3362: @175504
     /*  175504 */   GIM_Try, /*On fail goto*//*Label 3363*/ GIMT_Encode4(175570), // Rule ID 631 //
     /*  175509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  175512 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175519 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175526 */     // MIs[0] addr
     /*  175526 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175542 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  175542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175550 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175555 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175557 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175559 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  175564 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175568 */     GIR_RootConstrainSelectedInstOperands,
     /*  175569 */     // GIR_Coverage, 631,
     /*  175569 */     GIR_EraseRootFromParent_Done,
     /*  175570 */   // Label 3363: @175570
     /*  175570 */   GIM_Try, /*On fail goto*//*Label 3364*/ GIMT_Encode4(175636), // Rule ID 633 //
     /*  175575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  175578 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175585 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175592 */     // MIs[0] addr
     /*  175592 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175608 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  175608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175616 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175621 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175623 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175625 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  175630 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175634 */     GIR_RootConstrainSelectedInstOperands,
     /*  175635 */     // GIR_Coverage, 633,
     /*  175635 */     GIR_EraseRootFromParent_Done,
     /*  175636 */   // Label 3364: @175636
     /*  175636 */   GIM_Try, /*On fail goto*//*Label 3365*/ GIMT_Encode4(175702), // Rule ID 635 //
     /*  175641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  175644 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175651 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175658 */     // MIs[0] addr
     /*  175658 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175674 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  175674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  175680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175682 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175687 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175689 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175691 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  175696 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175700 */     GIR_RootConstrainSelectedInstOperands,
     /*  175701 */     // GIR_Coverage, 635,
     /*  175701 */     GIR_EraseRootFromParent_Done,
     /*  175702 */   // Label 3365: @175702
     /*  175702 */   GIM_Try, /*On fail goto*//*Label 3366*/ GIMT_Encode4(175768), // Rule ID 637 //
     /*  175707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  175710 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175717 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175724 */     // MIs[0] addr
     /*  175724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175740 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  175740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  175746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175748 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175753 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175755 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175757 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  175762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175766 */     GIR_RootConstrainSelectedInstOperands,
     /*  175767 */     // GIR_Coverage, 637,
     /*  175767 */     GIR_EraseRootFromParent_Done,
     /*  175768 */   // Label 3366: @175768
     /*  175768 */   GIM_Try, /*On fail goto*//*Label 3367*/ GIMT_Encode4(175834), // Rule ID 638 //
     /*  175773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  175776 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175783 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175790 */     // MIs[0] addr
     /*  175790 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175806 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  175806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  175812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175814 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175819 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175821 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175823 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175828 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175832 */     GIR_RootConstrainSelectedInstOperands,
     /*  175833 */     // GIR_Coverage, 638,
     /*  175833 */     GIR_EraseRootFromParent_Done,
     /*  175834 */   // Label 3367: @175834
     /*  175834 */   GIM_Try, /*On fail goto*//*Label 3368*/ GIMT_Encode4(175900), // Rule ID 639 //
     /*  175839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  175842 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175849 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175856 */     // MIs[0] addr
     /*  175856 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175872 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  175872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  175878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175880 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175885 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175887 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175889 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  175894 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175898 */     GIR_RootConstrainSelectedInstOperands,
     /*  175899 */     // GIR_Coverage, 639,
     /*  175899 */     GIR_EraseRootFromParent_Done,
     /*  175900 */   // Label 3368: @175900
     /*  175900 */   GIM_Try, /*On fail goto*//*Label 3369*/ GIMT_Encode4(175966), // Rule ID 640 //
     /*  175905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  175908 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175915 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175922 */     // MIs[0] addr
     /*  175922 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175938 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  175938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  175941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  175944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  175946 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  175951 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  175953 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  175955 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  175957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  175960 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175964 */     GIR_RootConstrainSelectedInstOperands,
     /*  175965 */     // GIR_Coverage, 640,
     /*  175965 */     GIR_EraseRootFromParent_Done,
     /*  175966 */   // Label 3369: @175966
     /*  175966 */   GIM_Try, /*On fail goto*//*Label 3370*/ GIMT_Encode4(176032), // Rule ID 641 //
     /*  175971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  175974 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175981 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175988 */     // MIs[0] addr
     /*  175988 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176004 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  176004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  176007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  176010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  176012 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  176017 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176019 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176021 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  176026 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176030 */     GIR_RootConstrainSelectedInstOperands,
     /*  176031 */     // GIR_Coverage, 641,
     /*  176031 */     GIR_EraseRootFromParent_Done,
     /*  176032 */   // Label 3370: @176032
     /*  176032 */   GIM_Try, /*On fail goto*//*Label 3371*/ GIMT_Encode4(176087), // Rule ID 644 //
     /*  176037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  176040 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176047 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176054 */     // MIs[0] addr
     /*  176054 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176070 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  176070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  176073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176075 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176077 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176079 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176081 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176085 */     GIR_RootConstrainSelectedInstOperands,
     /*  176086 */     // GIR_Coverage, 644,
     /*  176086 */     GIR_EraseRootFromParent_Done,
     /*  176087 */   // Label 3371: @176087
     /*  176087 */   GIM_Try, /*On fail goto*//*Label 3372*/ GIMT_Encode4(176142), // Rule ID 646 //
     /*  176092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  176095 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176102 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176109 */     // MIs[0] addr
     /*  176109 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176125 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  176125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  176128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176130 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176132 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176134 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176136 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176140 */     GIR_RootConstrainSelectedInstOperands,
     /*  176141 */     // GIR_Coverage, 646,
     /*  176141 */     GIR_EraseRootFromParent_Done,
     /*  176142 */   // Label 3372: @176142
     /*  176142 */   GIM_Try, /*On fail goto*//*Label 3373*/ GIMT_Encode4(176197), // Rule ID 648 //
     /*  176147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  176150 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176157 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176164 */     // MIs[0] addr
     /*  176164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176180 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  176180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  176183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176185 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176187 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176189 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176191 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176195 */     GIR_RootConstrainSelectedInstOperands,
     /*  176196 */     // GIR_Coverage, 648,
     /*  176196 */     GIR_EraseRootFromParent_Done,
     /*  176197 */   // Label 3373: @176197
     /*  176197 */   GIM_Try, /*On fail goto*//*Label 3374*/ GIMT_Encode4(176252), // Rule ID 650 //
     /*  176202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  176205 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176212 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176219 */     // MIs[0] addr
     /*  176219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176235 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  176235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  176238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176240 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176242 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176244 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176246 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176250 */     GIR_RootConstrainSelectedInstOperands,
     /*  176251 */     // GIR_Coverage, 650,
     /*  176251 */     GIR_EraseRootFromParent_Done,
     /*  176252 */   // Label 3374: @176252
     /*  176252 */   GIM_Try, /*On fail goto*//*Label 3375*/ GIMT_Encode4(176307), // Rule ID 652 //
     /*  176257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  176260 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176267 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176274 */     // MIs[0] addr
     /*  176274 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176290 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  176290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  176293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176295 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176297 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176299 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176301 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176305 */     GIR_RootConstrainSelectedInstOperands,
     /*  176306 */     // GIR_Coverage, 652,
     /*  176306 */     GIR_EraseRootFromParent_Done,
     /*  176307 */   // Label 3375: @176307
     /*  176307 */   GIM_Try, /*On fail goto*//*Label 3376*/ GIMT_Encode4(176362), // Rule ID 654 //
     /*  176312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  176315 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176322 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176329 */     // MIs[0] addr
     /*  176329 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176345 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  176345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  176348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176350 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176352 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176354 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176356 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176360 */     GIR_RootConstrainSelectedInstOperands,
     /*  176361 */     // GIR_Coverage, 654,
     /*  176361 */     GIR_EraseRootFromParent_Done,
     /*  176362 */   // Label 3376: @176362
     /*  176362 */   GIM_Try, /*On fail goto*//*Label 3377*/ GIMT_Encode4(176417), // Rule ID 656 //
     /*  176367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  176370 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176377 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176384 */     // MIs[0] addr
     /*  176384 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176400 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  176400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  176403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176405 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176407 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176409 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176411 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176415 */     GIR_RootConstrainSelectedInstOperands,
     /*  176416 */     // GIR_Coverage, 656,
     /*  176416 */     GIR_EraseRootFromParent_Done,
     /*  176417 */   // Label 3377: @176417
     /*  176417 */   GIM_Try, /*On fail goto*//*Label 3378*/ GIMT_Encode4(176472), // Rule ID 658 //
     /*  176422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  176425 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176432 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176439 */     // MIs[0] addr
     /*  176439 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176455 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  176455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  176458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176460 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176462 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176464 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176466 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176470 */     GIR_RootConstrainSelectedInstOperands,
     /*  176471 */     // GIR_Coverage, 658,
     /*  176471 */     GIR_EraseRootFromParent_Done,
     /*  176472 */   // Label 3378: @176472
     /*  176472 */   GIM_Try, /*On fail goto*//*Label 3379*/ GIMT_Encode4(176527), // Rule ID 660 //
     /*  176477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  176480 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176487 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176494 */     // MIs[0] addr
     /*  176494 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176510 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  176510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  176513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176515 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176517 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176519 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176521 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176525 */     GIR_RootConstrainSelectedInstOperands,
     /*  176526 */     // GIR_Coverage, 660,
     /*  176526 */     GIR_EraseRootFromParent_Done,
     /*  176527 */   // Label 3379: @176527
     /*  176527 */   GIM_Try, /*On fail goto*//*Label 3380*/ GIMT_Encode4(176582), // Rule ID 662 //
     /*  176532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  176535 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176542 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176549 */     // MIs[0] addr
     /*  176549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176565 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  176565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  176568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176570 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176572 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176574 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176576 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176580 */     GIR_RootConstrainSelectedInstOperands,
     /*  176581 */     // GIR_Coverage, 662,
     /*  176581 */     GIR_EraseRootFromParent_Done,
     /*  176582 */   // Label 3380: @176582
     /*  176582 */   GIM_Try, /*On fail goto*//*Label 3381*/ GIMT_Encode4(176637), // Rule ID 664 //
     /*  176587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  176590 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  176597 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176604 */     // MIs[0] addr
     /*  176604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176620 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  176620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  176623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176625 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176627 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176629 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176631 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176635 */     GIR_RootConstrainSelectedInstOperands,
     /*  176636 */     // GIR_Coverage, 664,
     /*  176636 */     GIR_EraseRootFromParent_Done,
     /*  176637 */   // Label 3381: @176637
     /*  176637 */   GIM_Try, /*On fail goto*//*Label 3382*/ GIMT_Encode4(176692), // Rule ID 665 //
     /*  176642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  176645 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  176652 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176659 */     // MIs[0] addr
     /*  176659 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176675 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  176675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ),
     /*  176678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176680 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176682 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176684 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176686 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176690 */     GIR_RootConstrainSelectedInstOperands,
     /*  176691 */     // GIR_Coverage, 665,
     /*  176691 */     GIR_EraseRootFromParent_Done,
     /*  176692 */   // Label 3382: @176692
     /*  176692 */   GIM_Try, /*On fail goto*//*Label 3383*/ GIMT_Encode4(176747), // Rule ID 666 //
     /*  176697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  176700 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  176707 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176714 */     // MIs[0] addr
     /*  176714 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176730 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  176730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_RL),
     /*  176733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176735 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176737 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176739 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176741 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176745 */     GIR_RootConstrainSelectedInstOperands,
     /*  176746 */     // GIR_Coverage, 666,
     /*  176746 */     GIR_EraseRootFromParent_Done,
     /*  176747 */   // Label 3383: @176747
     /*  176747 */   GIM_Try, /*On fail goto*//*Label 3384*/ GIMT_Encode4(176802), // Rule ID 667 //
     /*  176752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  176755 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  176762 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176769 */     // MIs[0] addr
     /*  176769 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176785 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  176785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  176788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176790 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176792 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176794 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176796 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176800 */     GIR_RootConstrainSelectedInstOperands,
     /*  176801 */     // GIR_Coverage, 667,
     /*  176801 */     GIR_EraseRootFromParent_Done,
     /*  176802 */   // Label 3384: @176802
     /*  176802 */   GIM_Try, /*On fail goto*//*Label 3385*/ GIMT_Encode4(176857), // Rule ID 668 //
     /*  176807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  176810 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  176817 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176824 */     // MIs[0] addr
     /*  176824 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176840 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  176840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  176843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176845 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176847 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176849 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176851 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176855 */     GIR_RootConstrainSelectedInstOperands,
     /*  176856 */     // GIR_Coverage, 668,
     /*  176856 */     GIR_EraseRootFromParent_Done,
     /*  176857 */   // Label 3385: @176857
     /*  176857 */   GIM_Try, /*On fail goto*//*Label 3386*/ GIMT_Encode4(176912), // Rule ID 669 //
     /*  176862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  176865 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  176872 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176879 */     // MIs[0] addr
     /*  176879 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176895 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  176895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  176898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176900 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176902 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176904 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176906 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176910 */     GIR_RootConstrainSelectedInstOperands,
     /*  176911 */     // GIR_Coverage, 669,
     /*  176911 */     GIR_EraseRootFromParent_Done,
     /*  176912 */   // Label 3386: @176912
     /*  176912 */   GIM_Try, /*On fail goto*//*Label 3387*/ GIMT_Encode4(176967), // Rule ID 670 //
     /*  176917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  176920 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  176927 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176934 */     // MIs[0] addr
     /*  176934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176950 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  176950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  176953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  176955 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  176957 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  176959 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  176961 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176965 */     GIR_RootConstrainSelectedInstOperands,
     /*  176966 */     // GIR_Coverage, 670,
     /*  176966 */     GIR_EraseRootFromParent_Done,
     /*  176967 */   // Label 3387: @176967
     /*  176967 */   GIM_Try, /*On fail goto*//*Label 3388*/ GIMT_Encode4(177022), // Rule ID 671 //
     /*  176972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  176975 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  176982 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176989 */     // MIs[0] addr
     /*  176989 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177005 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  177008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177010 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177012 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177014 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177016 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177020 */     GIR_RootConstrainSelectedInstOperands,
     /*  177021 */     // GIR_Coverage, 671,
     /*  177021 */     GIR_EraseRootFromParent_Done,
     /*  177022 */   // Label 3388: @177022
     /*  177022 */   GIM_Try, /*On fail goto*//*Label 3389*/ GIMT_Encode4(177077), // Rule ID 672 //
     /*  177027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  177030 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177037 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177044 */     // MIs[0] addr
     /*  177044 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177060 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  177063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177065 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177067 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177069 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177071 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177075 */     GIR_RootConstrainSelectedInstOperands,
     /*  177076 */     // GIR_Coverage, 672,
     /*  177076 */     GIR_EraseRootFromParent_Done,
     /*  177077 */   // Label 3389: @177077
     /*  177077 */   GIM_Try, /*On fail goto*//*Label 3390*/ GIMT_Encode4(177132), // Rule ID 673 //
     /*  177082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  177085 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  177092 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177099 */     // MIs[0] addr
     /*  177099 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177115 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  177118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177120 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177122 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177124 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177126 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177130 */     GIR_RootConstrainSelectedInstOperands,
     /*  177131 */     // GIR_Coverage, 673,
     /*  177131 */     GIR_EraseRootFromParent_Done,
     /*  177132 */   // Label 3390: @177132
     /*  177132 */   GIM_Try, /*On fail goto*//*Label 3391*/ GIMT_Encode4(177187), // Rule ID 1034 //
     /*  177137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177140 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  177147 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177154 */     // MIs[0] addr
     /*  177154 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177170 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  177173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177175 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177177 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177179 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177181 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177185 */     GIR_RootConstrainSelectedInstOperands,
     /*  177186 */     // GIR_Coverage, 1034,
     /*  177186 */     GIR_EraseRootFromParent_Done,
     /*  177187 */   // Label 3391: @177187
     /*  177187 */   GIM_Try, /*On fail goto*//*Label 3392*/ GIMT_Encode4(177242), // Rule ID 1036 //
     /*  177192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177195 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  177202 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177209 */     // MIs[0] addr
     /*  177209 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177225 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  177228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177230 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177232 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177234 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177236 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177240 */     GIR_RootConstrainSelectedInstOperands,
     /*  177241 */     // GIR_Coverage, 1036,
     /*  177241 */     GIR_EraseRootFromParent_Done,
     /*  177242 */   // Label 3392: @177242
     /*  177242 */   GIM_Try, /*On fail goto*//*Label 3393*/ GIMT_Encode4(177297), // Rule ID 1038 //
     /*  177247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177250 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  177257 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177264 */     // MIs[0] addr
     /*  177264 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177280 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  177283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177285 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177287 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177289 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177291 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177295 */     GIR_RootConstrainSelectedInstOperands,
     /*  177296 */     // GIR_Coverage, 1038,
     /*  177296 */     GIR_EraseRootFromParent_Done,
     /*  177297 */   // Label 3393: @177297
     /*  177297 */   GIM_Try, /*On fail goto*//*Label 3394*/ GIMT_Encode4(177352), // Rule ID 1040 //
     /*  177302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177305 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  177312 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177319 */     // MIs[0] addr
     /*  177319 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177335 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  177338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177340 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177342 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177344 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177346 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177350 */     GIR_RootConstrainSelectedInstOperands,
     /*  177351 */     // GIR_Coverage, 1040,
     /*  177351 */     GIR_EraseRootFromParent_Done,
     /*  177352 */   // Label 3394: @177352
     /*  177352 */   GIM_Try, /*On fail goto*//*Label 3395*/ GIMT_Encode4(177407), // Rule ID 1042 //
     /*  177357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177360 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  177367 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177374 */     // MIs[0] addr
     /*  177374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177390 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  177393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177395 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177397 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177399 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177405 */     GIR_RootConstrainSelectedInstOperands,
     /*  177406 */     // GIR_Coverage, 1042,
     /*  177406 */     GIR_EraseRootFromParent_Done,
     /*  177407 */   // Label 3395: @177407
     /*  177407 */   GIM_Try, /*On fail goto*//*Label 3396*/ GIMT_Encode4(177462), // Rule ID 1044 //
     /*  177412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177415 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  177422 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177429 */     // MIs[0] addr
     /*  177429 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177445 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  177448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177450 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177452 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177454 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177456 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177460 */     GIR_RootConstrainSelectedInstOperands,
     /*  177461 */     // GIR_Coverage, 1044,
     /*  177461 */     GIR_EraseRootFromParent_Done,
     /*  177462 */   // Label 3396: @177462
     /*  177462 */   GIM_Try, /*On fail goto*//*Label 3397*/ GIMT_Encode4(177517), // Rule ID 1046 //
     /*  177467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177470 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  177477 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177484 */     // MIs[0] addr
     /*  177484 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177500 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  177503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177505 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177507 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177509 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177511 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177515 */     GIR_RootConstrainSelectedInstOperands,
     /*  177516 */     // GIR_Coverage, 1046,
     /*  177516 */     GIR_EraseRootFromParent_Done,
     /*  177517 */   // Label 3397: @177517
     /*  177517 */   GIM_Try, /*On fail goto*//*Label 3398*/ GIMT_Encode4(177572), // Rule ID 1048 //
     /*  177522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177525 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  177532 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177539 */     // MIs[0] addr
     /*  177539 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177555 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  177558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177560 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177562 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177564 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177566 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177570 */     GIR_RootConstrainSelectedInstOperands,
     /*  177571 */     // GIR_Coverage, 1048,
     /*  177571 */     GIR_EraseRootFromParent_Done,
     /*  177572 */   // Label 3398: @177572
     /*  177572 */   GIM_Try, /*On fail goto*//*Label 3399*/ GIMT_Encode4(177627), // Rule ID 1050 //
     /*  177577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177580 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  177587 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177594 */     // MIs[0] addr
     /*  177594 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177610 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  177613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177615 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177617 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177619 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177625 */     GIR_RootConstrainSelectedInstOperands,
     /*  177626 */     // GIR_Coverage, 1050,
     /*  177626 */     GIR_EraseRootFromParent_Done,
     /*  177627 */   // Label 3399: @177627
     /*  177627 */   GIM_Try, /*On fail goto*//*Label 3400*/ GIMT_Encode4(177682), // Rule ID 1052 //
     /*  177632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177635 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  177642 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177649 */     // MIs[0] addr
     /*  177649 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177665 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  177668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177670 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177672 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177674 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177676 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177680 */     GIR_RootConstrainSelectedInstOperands,
     /*  177681 */     // GIR_Coverage, 1052,
     /*  177681 */     GIR_EraseRootFromParent_Done,
     /*  177682 */   // Label 3400: @177682
     /*  177682 */   GIM_Try, /*On fail goto*//*Label 3401*/ GIMT_Encode4(177737), // Rule ID 1054 //
     /*  177687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177690 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177697 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177704 */     // MIs[0] addr
     /*  177704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177720 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  177723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177725 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177727 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177729 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177735 */     GIR_RootConstrainSelectedInstOperands,
     /*  177736 */     // GIR_Coverage, 1054,
     /*  177736 */     GIR_EraseRootFromParent_Done,
     /*  177737 */   // Label 3401: @177737
     /*  177737 */   GIM_Try, /*On fail goto*//*Label 3402*/ GIMT_Encode4(177792), // Rule ID 1056 //
     /*  177742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177745 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177752 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177759 */     // MIs[0] addr
     /*  177759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177775 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  177778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177780 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177782 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177784 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177786 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177790 */     GIR_RootConstrainSelectedInstOperands,
     /*  177791 */     // GIR_Coverage, 1056,
     /*  177791 */     GIR_EraseRootFromParent_Done,
     /*  177792 */   // Label 3402: @177792
     /*  177792 */   GIM_Try, /*On fail goto*//*Label 3403*/ GIMT_Encode4(177847), // Rule ID 1058 //
     /*  177797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177800 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177807 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177814 */     // MIs[0] addr
     /*  177814 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177830 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  177833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177835 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177837 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177839 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177841 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177845 */     GIR_RootConstrainSelectedInstOperands,
     /*  177846 */     // GIR_Coverage, 1058,
     /*  177846 */     GIR_EraseRootFromParent_Done,
     /*  177847 */   // Label 3403: @177847
     /*  177847 */   GIM_Try, /*On fail goto*//*Label 3404*/ GIMT_Encode4(177902), // Rule ID 1060 //
     /*  177852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177855 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177862 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177869 */     // MIs[0] addr
     /*  177869 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177885 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  177888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177890 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177892 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177894 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177896 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177900 */     GIR_RootConstrainSelectedInstOperands,
     /*  177901 */     // GIR_Coverage, 1060,
     /*  177901 */     GIR_EraseRootFromParent_Done,
     /*  177902 */   // Label 3404: @177902
     /*  177902 */   GIM_Try, /*On fail goto*//*Label 3405*/ GIMT_Encode4(177957), // Rule ID 1062 //
     /*  177907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  177910 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177917 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177924 */     // MIs[0] addr
     /*  177924 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177940 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  177943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  177945 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  177947 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  177949 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  177951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177955 */     GIR_RootConstrainSelectedInstOperands,
     /*  177956 */     // GIR_Coverage, 1062,
     /*  177956 */     GIR_EraseRootFromParent_Done,
     /*  177957 */   // Label 3405: @177957
     /*  177957 */   GIM_Try, /*On fail goto*//*Label 3406*/ GIMT_Encode4(178012), // Rule ID 1064 //
     /*  177962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  177965 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177972 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177979 */     // MIs[0] addr
     /*  177979 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177995 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  177995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  177998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178000 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178002 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178004 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178006 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178010 */     GIR_RootConstrainSelectedInstOperands,
     /*  178011 */     // GIR_Coverage, 1064,
     /*  178011 */     GIR_EraseRootFromParent_Done,
     /*  178012 */   // Label 3406: @178012
     /*  178012 */   GIM_Try, /*On fail goto*//*Label 3407*/ GIMT_Encode4(178067), // Rule ID 1066 //
     /*  178017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178020 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  178027 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178034 */     // MIs[0] addr
     /*  178034 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178050 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  178053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178055 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178057 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178059 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178061 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178065 */     GIR_RootConstrainSelectedInstOperands,
     /*  178066 */     // GIR_Coverage, 1066,
     /*  178066 */     GIR_EraseRootFromParent_Done,
     /*  178067 */   // Label 3407: @178067
     /*  178067 */   GIM_Try, /*On fail goto*//*Label 3408*/ GIMT_Encode4(178122), // Rule ID 1068 //
     /*  178072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178075 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  178082 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178089 */     // MIs[0] addr
     /*  178089 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178105 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  178108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178110 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178112 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178114 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178120 */     GIR_RootConstrainSelectedInstOperands,
     /*  178121 */     // GIR_Coverage, 1068,
     /*  178121 */     GIR_EraseRootFromParent_Done,
     /*  178122 */   // Label 3408: @178122
     /*  178122 */   GIM_Try, /*On fail goto*//*Label 3409*/ GIMT_Encode4(178177), // Rule ID 1070 //
     /*  178127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178130 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  178137 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178144 */     // MIs[0] addr
     /*  178144 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178160 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  178163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178165 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178167 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178169 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178171 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178175 */     GIR_RootConstrainSelectedInstOperands,
     /*  178176 */     // GIR_Coverage, 1070,
     /*  178176 */     GIR_EraseRootFromParent_Done,
     /*  178177 */   // Label 3409: @178177
     /*  178177 */   GIM_Try, /*On fail goto*//*Label 3410*/ GIMT_Encode4(178232), // Rule ID 1072 //
     /*  178182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  178185 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  178192 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178199 */     // MIs[0] addr
     /*  178199 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178215 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  178215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  178218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  178220 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  178222 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  178224 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  178226 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178230 */     GIR_RootConstrainSelectedInstOperands,
     /*  178231 */     // GIR_Coverage, 1072,
     /*  178231 */     GIR_EraseRootFromParent_Done,
     /*  178232 */   // Label 3410: @178232
     /*  178232 */   GIM_Reject,
     /*  178233 */ // Label 3360: @178233
     /*  178233 */ GIM_Reject,
     /*  178234 */ // Label 3323: @178234
     /*  178234 */ GIM_Reject,
     /*  178235 */ // Label 26: @178235
     /*  178235 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3413*/ GIMT_Encode4(181144),
     /*  178246 */ /*GILLT_s32*//*Label 3411*/ GIMT_Encode4(178254),
     /*  178250 */ /*GILLT_s64*//*Label 3412*/ GIMT_Encode4(179494),
     /*  178254 */ // Label 3411: @178254
     /*  178254 */ GIM_Try, /*On fail goto*//*Label 3414*/ GIMT_Encode4(179493),
     /*  178259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  178262 */   GIM_Try, /*On fail goto*//*Label 3415*/ GIMT_Encode4(178303), // Rule ID 327 //
     /*  178267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  178270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178284 */     // MIs[0] rs1
     /*  178284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178296 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  178296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  178301 */     GIR_RootConstrainSelectedInstOperands,
     /*  178302 */     // GIR_Coverage, 327,
     /*  178302 */     GIR_Done,
     /*  178303 */   // Label 3415: @178303
     /*  178303 */   GIM_Try, /*On fail goto*//*Label 3416*/ GIMT_Encode4(178344), // Rule ID 329 //
     /*  178308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  178311 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178318 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178325 */     // MIs[0] rs1
     /*  178325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178337 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  178337 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  178342 */     GIR_RootConstrainSelectedInstOperands,
     /*  178343 */     // GIR_Coverage, 329,
     /*  178343 */     GIR_Done,
     /*  178344 */   // Label 3416: @178344
     /*  178344 */   GIM_Try, /*On fail goto*//*Label 3417*/ GIMT_Encode4(178385), // Rule ID 331 //
     /*  178349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  178352 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178359 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178366 */     // MIs[0] rs1
     /*  178366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178378 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  178378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  178383 */     GIR_RootConstrainSelectedInstOperands,
     /*  178384 */     // GIR_Coverage, 331,
     /*  178384 */     GIR_Done,
     /*  178385 */   // Label 3417: @178385
     /*  178385 */   GIM_Try, /*On fail goto*//*Label 3418*/ GIMT_Encode4(178426), // Rule ID 333 //
     /*  178390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  178393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178407 */     // MIs[0] rs1
     /*  178407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178419 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  178419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  178424 */     GIR_RootConstrainSelectedInstOperands,
     /*  178425 */     // GIR_Coverage, 333,
     /*  178425 */     GIR_Done,
     /*  178426 */   // Label 3418: @178426
     /*  178426 */   GIM_Try, /*On fail goto*//*Label 3419*/ GIMT_Encode4(178467), // Rule ID 335 //
     /*  178431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  178434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178448 */     // MIs[0] rs1
     /*  178448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178460 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  178460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  178465 */     GIR_RootConstrainSelectedInstOperands,
     /*  178466 */     // GIR_Coverage, 335,
     /*  178466 */     GIR_Done,
     /*  178467 */   // Label 3419: @178467
     /*  178467 */   GIM_Try, /*On fail goto*//*Label 3420*/ GIMT_Encode4(178508), // Rule ID 337 //
     /*  178472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  178475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178489 */     // MIs[0] rs1
     /*  178489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178501 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  178501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  178506 */     GIR_RootConstrainSelectedInstOperands,
     /*  178507 */     // GIR_Coverage, 337,
     /*  178507 */     GIR_Done,
     /*  178508 */   // Label 3420: @178508
     /*  178508 */   GIM_Try, /*On fail goto*//*Label 3421*/ GIMT_Encode4(178549), // Rule ID 339 //
     /*  178513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  178516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178530 */     // MIs[0] rs1
     /*  178530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178542 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  178542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  178547 */     GIR_RootConstrainSelectedInstOperands,
     /*  178548 */     // GIR_Coverage, 339,
     /*  178548 */     GIR_Done,
     /*  178549 */   // Label 3421: @178549
     /*  178549 */   GIM_Try, /*On fail goto*//*Label 3422*/ GIMT_Encode4(178590), // Rule ID 341 //
     /*  178554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  178557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178571 */     // MIs[0] rs1
     /*  178571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178583 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  178583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  178588 */     GIR_RootConstrainSelectedInstOperands,
     /*  178589 */     // GIR_Coverage, 341,
     /*  178589 */     GIR_Done,
     /*  178590 */   // Label 3422: @178590
     /*  178590 */   GIM_Try, /*On fail goto*//*Label 3423*/ GIMT_Encode4(178631), // Rule ID 343 //
     /*  178595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  178598 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178605 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178612 */     // MIs[0] rs1
     /*  178612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178624 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  178624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  178629 */     GIR_RootConstrainSelectedInstOperands,
     /*  178630 */     // GIR_Coverage, 343,
     /*  178630 */     GIR_Done,
     /*  178631 */   // Label 3423: @178631
     /*  178631 */   GIM_Try, /*On fail goto*//*Label 3424*/ GIMT_Encode4(178672), // Rule ID 345 //
     /*  178636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  178639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178653 */     // MIs[0] rs1
     /*  178653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178665 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  178665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  178670 */     GIR_RootConstrainSelectedInstOperands,
     /*  178671 */     // GIR_Coverage, 345,
     /*  178671 */     GIR_Done,
     /*  178672 */   // Label 3424: @178672
     /*  178672 */   GIM_Try, /*On fail goto*//*Label 3425*/ GIMT_Encode4(178713), // Rule ID 675 //
     /*  178677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  178680 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178687 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178694 */     // MIs[0] rs1
     /*  178694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178706 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  178706 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  178711 */     GIR_RootConstrainSelectedInstOperands,
     /*  178712 */     // GIR_Coverage, 675,
     /*  178712 */     GIR_Done,
     /*  178713 */   // Label 3425: @178713
     /*  178713 */   GIM_Try, /*On fail goto*//*Label 3426*/ GIMT_Encode4(178754), // Rule ID 677 //
     /*  178718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  178721 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178728 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178735 */     // MIs[0] rs1
     /*  178735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178747 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  178747 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  178752 */     GIR_RootConstrainSelectedInstOperands,
     /*  178753 */     // GIR_Coverage, 677,
     /*  178753 */     GIR_Done,
     /*  178754 */   // Label 3426: @178754
     /*  178754 */   GIM_Try, /*On fail goto*//*Label 3427*/ GIMT_Encode4(178795), // Rule ID 679 //
     /*  178759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  178762 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178769 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178776 */     // MIs[0] rs1
     /*  178776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178788 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  178788 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  178793 */     GIR_RootConstrainSelectedInstOperands,
     /*  178794 */     // GIR_Coverage, 679,
     /*  178794 */     GIR_Done,
     /*  178795 */   // Label 3427: @178795
     /*  178795 */   GIM_Try, /*On fail goto*//*Label 3428*/ GIMT_Encode4(178836), // Rule ID 681 //
     /*  178800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  178803 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178810 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178817 */     // MIs[0] rs1
     /*  178817 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178829 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  178829 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  178834 */     GIR_RootConstrainSelectedInstOperands,
     /*  178835 */     // GIR_Coverage, 681,
     /*  178835 */     GIR_Done,
     /*  178836 */   // Label 3428: @178836
     /*  178836 */   GIM_Try, /*On fail goto*//*Label 3429*/ GIMT_Encode4(178877), // Rule ID 683 //
     /*  178841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  178844 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178851 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178858 */     // MIs[0] rs1
     /*  178858 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178870 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  178870 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  178875 */     GIR_RootConstrainSelectedInstOperands,
     /*  178876 */     // GIR_Coverage, 683,
     /*  178876 */     GIR_Done,
     /*  178877 */   // Label 3429: @178877
     /*  178877 */   GIM_Try, /*On fail goto*//*Label 3430*/ GIMT_Encode4(178918), // Rule ID 685 //
     /*  178882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  178885 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178892 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178899 */     // MIs[0] rs1
     /*  178899 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178911 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  178911 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  178916 */     GIR_RootConstrainSelectedInstOperands,
     /*  178917 */     // GIR_Coverage, 685,
     /*  178917 */     GIR_Done,
     /*  178918 */   // Label 3430: @178918
     /*  178918 */   GIM_Try, /*On fail goto*//*Label 3431*/ GIMT_Encode4(178959), // Rule ID 687 //
     /*  178923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  178926 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178933 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178940 */     // MIs[0] rs1
     /*  178940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178952 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  178952 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  178957 */     GIR_RootConstrainSelectedInstOperands,
     /*  178958 */     // GIR_Coverage, 687,
     /*  178958 */     GIR_Done,
     /*  178959 */   // Label 3431: @178959
     /*  178959 */   GIM_Try, /*On fail goto*//*Label 3432*/ GIMT_Encode4(179000), // Rule ID 689 //
     /*  178964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  178967 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178974 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178981 */     // MIs[0] rs1
     /*  178981 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178993 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  178993 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  178998 */     GIR_RootConstrainSelectedInstOperands,
     /*  178999 */     // GIR_Coverage, 689,
     /*  178999 */     GIR_Done,
     /*  179000 */   // Label 3432: @179000
     /*  179000 */   GIM_Try, /*On fail goto*//*Label 3433*/ GIMT_Encode4(179041), // Rule ID 691 //
     /*  179005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  179008 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179015 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179022 */     // MIs[0] rs1
     /*  179022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179034 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179034 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  179039 */     GIR_RootConstrainSelectedInstOperands,
     /*  179040 */     // GIR_Coverage, 691,
     /*  179040 */     GIR_Done,
     /*  179041 */   // Label 3433: @179041
     /*  179041 */   GIM_Try, /*On fail goto*//*Label 3434*/ GIMT_Encode4(179082), // Rule ID 693 //
     /*  179046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  179049 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179056 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179063 */     // MIs[0] rs1
     /*  179063 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179075 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179075 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  179080 */     GIR_RootConstrainSelectedInstOperands,
     /*  179081 */     // GIR_Coverage, 693,
     /*  179081 */     GIR_Done,
     /*  179082 */   // Label 3434: @179082
     /*  179082 */   GIM_Try, /*On fail goto*//*Label 3435*/ GIMT_Encode4(179123), // Rule ID 855 //
     /*  179087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  179090 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179097 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179104 */     // MIs[0] rs1
     /*  179104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179116 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179116 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  179121 */     GIR_RootConstrainSelectedInstOperands,
     /*  179122 */     // GIR_Coverage, 855,
     /*  179122 */     GIR_Done,
     /*  179123 */   // Label 3435: @179123
     /*  179123 */   GIM_Try, /*On fail goto*//*Label 3436*/ GIMT_Encode4(179164), // Rule ID 857 //
     /*  179128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  179131 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179138 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179145 */     // MIs[0] rs1
     /*  179145 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179157 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179157 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  179162 */     GIR_RootConstrainSelectedInstOperands,
     /*  179163 */     // GIR_Coverage, 857,
     /*  179163 */     GIR_Done,
     /*  179164 */   // Label 3436: @179164
     /*  179164 */   GIM_Try, /*On fail goto*//*Label 3437*/ GIMT_Encode4(179205), // Rule ID 859 //
     /*  179169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  179172 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179179 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179186 */     // MIs[0] rs1
     /*  179186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179198 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179198 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  179203 */     GIR_RootConstrainSelectedInstOperands,
     /*  179204 */     // GIR_Coverage, 859,
     /*  179204 */     GIR_Done,
     /*  179205 */   // Label 3437: @179205
     /*  179205 */   GIM_Try, /*On fail goto*//*Label 3438*/ GIMT_Encode4(179246), // Rule ID 861 //
     /*  179210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  179213 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179227 */     // MIs[0] rs1
     /*  179227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179239 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179239 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  179244 */     GIR_RootConstrainSelectedInstOperands,
     /*  179245 */     // GIR_Coverage, 861,
     /*  179245 */     GIR_Done,
     /*  179246 */   // Label 3438: @179246
     /*  179246 */   GIM_Try, /*On fail goto*//*Label 3439*/ GIMT_Encode4(179287), // Rule ID 863 //
     /*  179251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  179254 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179261 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179268 */     // MIs[0] rs1
     /*  179268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179280 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179280 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  179285 */     GIR_RootConstrainSelectedInstOperands,
     /*  179286 */     // GIR_Coverage, 863,
     /*  179286 */     GIR_Done,
     /*  179287 */   // Label 3439: @179287
     /*  179287 */   GIM_Try, /*On fail goto*//*Label 3440*/ GIMT_Encode4(179328), // Rule ID 865 //
     /*  179292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  179295 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179302 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179309 */     // MIs[0] rs1
     /*  179309 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179321 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  179326 */     GIR_RootConstrainSelectedInstOperands,
     /*  179327 */     // GIR_Coverage, 865,
     /*  179327 */     GIR_Done,
     /*  179328 */   // Label 3440: @179328
     /*  179328 */   GIM_Try, /*On fail goto*//*Label 3441*/ GIMT_Encode4(179369), // Rule ID 867 //
     /*  179333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  179336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179350 */     // MIs[0] rs1
     /*  179350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179362 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  179367 */     GIR_RootConstrainSelectedInstOperands,
     /*  179368 */     // GIR_Coverage, 867,
     /*  179368 */     GIR_Done,
     /*  179369 */   // Label 3441: @179369
     /*  179369 */   GIM_Try, /*On fail goto*//*Label 3442*/ GIMT_Encode4(179410), // Rule ID 869 //
     /*  179374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  179377 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179384 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179391 */     // MIs[0] rs1
     /*  179391 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179403 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179403 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  179408 */     GIR_RootConstrainSelectedInstOperands,
     /*  179409 */     // GIR_Coverage, 869,
     /*  179409 */     GIR_Done,
     /*  179410 */   // Label 3442: @179410
     /*  179410 */   GIM_Try, /*On fail goto*//*Label 3443*/ GIMT_Encode4(179451), // Rule ID 871 //
     /*  179415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  179418 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179425 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179432 */     // MIs[0] rs1
     /*  179432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179444 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179444 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  179449 */     GIR_RootConstrainSelectedInstOperands,
     /*  179450 */     // GIR_Coverage, 871,
     /*  179450 */     GIR_Done,
     /*  179451 */   // Label 3443: @179451
     /*  179451 */   GIM_Try, /*On fail goto*//*Label 3444*/ GIMT_Encode4(179492), // Rule ID 873 //
     /*  179456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  179459 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179466 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179473 */     // MIs[0] rs1
     /*  179473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179485 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  179490 */     GIR_RootConstrainSelectedInstOperands,
     /*  179491 */     // GIR_Coverage, 873,
     /*  179491 */     GIR_Done,
     /*  179492 */   // Label 3444: @179492
     /*  179492 */   GIM_Reject,
     /*  179493 */ // Label 3414: @179493
     /*  179493 */ GIM_Reject,
     /*  179494 */ // Label 3412: @179494
     /*  179494 */ GIM_Try, /*On fail goto*//*Label 3445*/ GIMT_Encode4(181143),
     /*  179499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  179502 */   GIM_Try, /*On fail goto*//*Label 3446*/ GIMT_Encode4(179543), // Rule ID 326 //
     /*  179507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  179510 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179517 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179524 */     // MIs[0] rs1
     /*  179524 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179536 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179536 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179541 */     GIR_RootConstrainSelectedInstOperands,
     /*  179542 */     // GIR_Coverage, 326,
     /*  179542 */     GIR_Done,
     /*  179543 */   // Label 3446: @179543
     /*  179543 */   GIM_Try, /*On fail goto*//*Label 3447*/ GIMT_Encode4(179584), // Rule ID 328 //
     /*  179548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  179551 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179558 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179565 */     // MIs[0] rs1
     /*  179565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179577 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179577 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  179582 */     GIR_RootConstrainSelectedInstOperands,
     /*  179583 */     // GIR_Coverage, 328,
     /*  179583 */     GIR_Done,
     /*  179584 */   // Label 3447: @179584
     /*  179584 */   GIM_Try, /*On fail goto*//*Label 3448*/ GIMT_Encode4(179625), // Rule ID 330 //
     /*  179589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  179592 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179599 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179606 */     // MIs[0] rs1
     /*  179606 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179618 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179618 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  179623 */     GIR_RootConstrainSelectedInstOperands,
     /*  179624 */     // GIR_Coverage, 330,
     /*  179624 */     GIR_Done,
     /*  179625 */   // Label 3448: @179625
     /*  179625 */   GIM_Try, /*On fail goto*//*Label 3449*/ GIMT_Encode4(179666), // Rule ID 332 //
     /*  179630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  179633 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179640 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179647 */     // MIs[0] rs1
     /*  179647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179659 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179659 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  179664 */     GIR_RootConstrainSelectedInstOperands,
     /*  179665 */     // GIR_Coverage, 332,
     /*  179665 */     GIR_Done,
     /*  179666 */   // Label 3449: @179666
     /*  179666 */   GIM_Try, /*On fail goto*//*Label 3450*/ GIMT_Encode4(179707), // Rule ID 334 //
     /*  179671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  179674 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179681 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179688 */     // MIs[0] rs1
     /*  179688 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179700 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179700 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  179705 */     GIR_RootConstrainSelectedInstOperands,
     /*  179706 */     // GIR_Coverage, 334,
     /*  179706 */     GIR_Done,
     /*  179707 */   // Label 3450: @179707
     /*  179707 */   GIM_Try, /*On fail goto*//*Label 3451*/ GIMT_Encode4(179748), // Rule ID 336 //
     /*  179712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  179715 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179722 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179729 */     // MIs[0] rs1
     /*  179729 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179741 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179741 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179746 */     GIR_RootConstrainSelectedInstOperands,
     /*  179747 */     // GIR_Coverage, 336,
     /*  179747 */     GIR_Done,
     /*  179748 */   // Label 3451: @179748
     /*  179748 */   GIM_Try, /*On fail goto*//*Label 3452*/ GIMT_Encode4(179789), // Rule ID 338 //
     /*  179753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  179756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179770 */     // MIs[0] rs1
     /*  179770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179782 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179787 */     GIR_RootConstrainSelectedInstOperands,
     /*  179788 */     // GIR_Coverage, 338,
     /*  179788 */     GIR_Done,
     /*  179789 */   // Label 3452: @179789
     /*  179789 */   GIM_Try, /*On fail goto*//*Label 3453*/ GIMT_Encode4(179830), // Rule ID 340 //
     /*  179794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  179797 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179804 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179811 */     // MIs[0] rs1
     /*  179811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179823 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179828 */     GIR_RootConstrainSelectedInstOperands,
     /*  179829 */     // GIR_Coverage, 340,
     /*  179829 */     GIR_Done,
     /*  179830 */   // Label 3453: @179830
     /*  179830 */   GIM_Try, /*On fail goto*//*Label 3454*/ GIMT_Encode4(179871), // Rule ID 342 //
     /*  179835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  179838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179852 */     // MIs[0] rs1
     /*  179852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179864 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179869 */     GIR_RootConstrainSelectedInstOperands,
     /*  179870 */     // GIR_Coverage, 342,
     /*  179870 */     GIR_Done,
     /*  179871 */   // Label 3454: @179871
     /*  179871 */   GIM_Try, /*On fail goto*//*Label 3455*/ GIMT_Encode4(179912), // Rule ID 344 //
     /*  179876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  179879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179893 */     // MIs[0] rs1
     /*  179893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179905 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179905 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  179910 */     GIR_RootConstrainSelectedInstOperands,
     /*  179911 */     // GIR_Coverage, 344,
     /*  179911 */     GIR_Done,
     /*  179912 */   // Label 3455: @179912
     /*  179912 */   GIM_Try, /*On fail goto*//*Label 3456*/ GIMT_Encode4(179953), // Rule ID 506 //
     /*  179917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  179920 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  179927 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179934 */     // MIs[0] rs1
     /*  179934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179946 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  179951 */     GIR_RootConstrainSelectedInstOperands,
     /*  179952 */     // GIR_Coverage, 506,
     /*  179952 */     GIR_Done,
     /*  179953 */   // Label 3456: @179953
     /*  179953 */   GIM_Try, /*On fail goto*//*Label 3457*/ GIMT_Encode4(179994), // Rule ID 507 //
     /*  179958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  179961 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  179968 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179975 */     // MIs[0] rs1
     /*  179975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179987 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ),
     /*  179992 */     GIR_RootConstrainSelectedInstOperands,
     /*  179993 */     // GIR_Coverage, 507,
     /*  179993 */     GIR_Done,
     /*  179994 */   // Label 3457: @179994
     /*  179994 */   GIM_Try, /*On fail goto*//*Label 3458*/ GIMT_Encode4(180035), // Rule ID 508 //
     /*  179999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  180002 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  180009 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180016 */     // MIs[0] rs1
     /*  180016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180028 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180028 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_RL),
     /*  180033 */     GIR_RootConstrainSelectedInstOperands,
     /*  180034 */     // GIR_Coverage, 508,
     /*  180034 */     GIR_Done,
     /*  180035 */   // Label 3458: @180035
     /*  180035 */   GIM_Try, /*On fail goto*//*Label 3459*/ GIMT_Encode4(180076), // Rule ID 509 //
     /*  180040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  180043 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  180050 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180057 */     // MIs[0] rs1
     /*  180057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180069 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  180074 */     GIR_RootConstrainSelectedInstOperands,
     /*  180075 */     // GIR_Coverage, 509,
     /*  180075 */     GIR_Done,
     /*  180076 */   // Label 3459: @180076
     /*  180076 */   GIM_Try, /*On fail goto*//*Label 3460*/ GIMT_Encode4(180117), // Rule ID 510 //
     /*  180081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  180084 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  180091 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180098 */     // MIs[0] rs1
     /*  180098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180110 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180110 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  180115 */     GIR_RootConstrainSelectedInstOperands,
     /*  180116 */     // GIR_Coverage, 510,
     /*  180116 */     GIR_Done,
     /*  180117 */   // Label 3460: @180117
     /*  180117 */   GIM_Try, /*On fail goto*//*Label 3461*/ GIMT_Encode4(180158), // Rule ID 511 //
     /*  180122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  180125 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  180132 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180139 */     // MIs[0] rs1
     /*  180139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180151 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180151 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  180156 */     GIR_RootConstrainSelectedInstOperands,
     /*  180157 */     // GIR_Coverage, 511,
     /*  180157 */     GIR_Done,
     /*  180158 */   // Label 3461: @180158
     /*  180158 */   GIM_Try, /*On fail goto*//*Label 3462*/ GIMT_Encode4(180199), // Rule ID 512 //
     /*  180163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  180166 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  180173 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180180 */     // MIs[0] rs1
     /*  180180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180192 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  180197 */     GIR_RootConstrainSelectedInstOperands,
     /*  180198 */     // GIR_Coverage, 512,
     /*  180198 */     GIR_Done,
     /*  180199 */   // Label 3462: @180199
     /*  180199 */   GIM_Try, /*On fail goto*//*Label 3463*/ GIMT_Encode4(180240), // Rule ID 513 //
     /*  180204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  180207 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  180214 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180221 */     // MIs[0] rs1
     /*  180221 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180233 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180233 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  180238 */     GIR_RootConstrainSelectedInstOperands,
     /*  180239 */     // GIR_Coverage, 513,
     /*  180239 */     GIR_Done,
     /*  180240 */   // Label 3463: @180240
     /*  180240 */   GIM_Try, /*On fail goto*//*Label 3464*/ GIMT_Encode4(180281), // Rule ID 514 //
     /*  180245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  180248 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  180255 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180262 */     // MIs[0] rs1
     /*  180262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180274 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180274 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  180279 */     GIR_RootConstrainSelectedInstOperands,
     /*  180280 */     // GIR_Coverage, 514,
     /*  180280 */     GIR_Done,
     /*  180281 */   // Label 3464: @180281
     /*  180281 */   GIM_Try, /*On fail goto*//*Label 3465*/ GIMT_Encode4(180322), // Rule ID 515 //
     /*  180286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  180289 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  180296 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180303 */     // MIs[0] rs1
     /*  180303 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180315 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180315 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  180320 */     GIR_RootConstrainSelectedInstOperands,
     /*  180321 */     // GIR_Coverage, 515,
     /*  180321 */     GIR_Done,
     /*  180322 */   // Label 3465: @180322
     /*  180322 */   GIM_Try, /*On fail goto*//*Label 3466*/ GIMT_Encode4(180363), // Rule ID 674 //
     /*  180327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  180330 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180337 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180344 */     // MIs[0] rs1
     /*  180344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180356 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180356 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180361 */     GIR_RootConstrainSelectedInstOperands,
     /*  180362 */     // GIR_Coverage, 674,
     /*  180362 */     GIR_Done,
     /*  180363 */   // Label 3466: @180363
     /*  180363 */   GIM_Try, /*On fail goto*//*Label 3467*/ GIMT_Encode4(180404), // Rule ID 676 //
     /*  180368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  180371 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180378 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180385 */     // MIs[0] rs1
     /*  180385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180397 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  180402 */     GIR_RootConstrainSelectedInstOperands,
     /*  180403 */     // GIR_Coverage, 676,
     /*  180403 */     GIR_Done,
     /*  180404 */   // Label 3467: @180404
     /*  180404 */   GIM_Try, /*On fail goto*//*Label 3468*/ GIMT_Encode4(180445), // Rule ID 678 //
     /*  180409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  180412 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180419 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180426 */     // MIs[0] rs1
     /*  180426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180438 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180438 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  180443 */     GIR_RootConstrainSelectedInstOperands,
     /*  180444 */     // GIR_Coverage, 678,
     /*  180444 */     GIR_Done,
     /*  180445 */   // Label 3468: @180445
     /*  180445 */   GIM_Try, /*On fail goto*//*Label 3469*/ GIMT_Encode4(180486), // Rule ID 680 //
     /*  180450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  180453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180467 */     // MIs[0] rs1
     /*  180467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180479 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  180484 */     GIR_RootConstrainSelectedInstOperands,
     /*  180485 */     // GIR_Coverage, 680,
     /*  180485 */     GIR_Done,
     /*  180486 */   // Label 3469: @180486
     /*  180486 */   GIM_Try, /*On fail goto*//*Label 3470*/ GIMT_Encode4(180527), // Rule ID 682 //
     /*  180491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  180494 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180501 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180508 */     // MIs[0] rs1
     /*  180508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180520 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180520 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  180525 */     GIR_RootConstrainSelectedInstOperands,
     /*  180526 */     // GIR_Coverage, 682,
     /*  180526 */     GIR_Done,
     /*  180527 */   // Label 3470: @180527
     /*  180527 */   GIM_Try, /*On fail goto*//*Label 3471*/ GIMT_Encode4(180568), // Rule ID 684 //
     /*  180532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  180535 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180542 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180549 */     // MIs[0] rs1
     /*  180549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180561 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180561 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180566 */     GIR_RootConstrainSelectedInstOperands,
     /*  180567 */     // GIR_Coverage, 684,
     /*  180567 */     GIR_Done,
     /*  180568 */   // Label 3471: @180568
     /*  180568 */   GIM_Try, /*On fail goto*//*Label 3472*/ GIMT_Encode4(180609), // Rule ID 686 //
     /*  180573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  180576 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180583 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180590 */     // MIs[0] rs1
     /*  180590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180602 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180602 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180607 */     GIR_RootConstrainSelectedInstOperands,
     /*  180608 */     // GIR_Coverage, 686,
     /*  180608 */     GIR_Done,
     /*  180609 */   // Label 3472: @180609
     /*  180609 */   GIM_Try, /*On fail goto*//*Label 3473*/ GIMT_Encode4(180650), // Rule ID 688 //
     /*  180614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  180617 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180624 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180631 */     // MIs[0] rs1
     /*  180631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180643 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180643 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180648 */     GIR_RootConstrainSelectedInstOperands,
     /*  180649 */     // GIR_Coverage, 688,
     /*  180649 */     GIR_Done,
     /*  180650 */   // Label 3473: @180650
     /*  180650 */   GIM_Try, /*On fail goto*//*Label 3474*/ GIMT_Encode4(180691), // Rule ID 690 //
     /*  180655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  180658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180672 */     // MIs[0] rs1
     /*  180672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180684 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180684 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180689 */     GIR_RootConstrainSelectedInstOperands,
     /*  180690 */     // GIR_Coverage, 690,
     /*  180690 */     GIR_Done,
     /*  180691 */   // Label 3474: @180691
     /*  180691 */   GIM_Try, /*On fail goto*//*Label 3475*/ GIMT_Encode4(180732), // Rule ID 692 //
     /*  180696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  180699 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180706 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180713 */     // MIs[0] rs1
     /*  180713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180725 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  180730 */     GIR_RootConstrainSelectedInstOperands,
     /*  180731 */     // GIR_Coverage, 692,
     /*  180731 */     GIR_Done,
     /*  180732 */   // Label 3475: @180732
     /*  180732 */   GIM_Try, /*On fail goto*//*Label 3476*/ GIMT_Encode4(180773), // Rule ID 854 //
     /*  180737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  180740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180747 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180754 */     // MIs[0] rs1
     /*  180754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180766 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180766 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180771 */     GIR_RootConstrainSelectedInstOperands,
     /*  180772 */     // GIR_Coverage, 854,
     /*  180772 */     GIR_Done,
     /*  180773 */   // Label 3476: @180773
     /*  180773 */   GIM_Try, /*On fail goto*//*Label 3477*/ GIMT_Encode4(180814), // Rule ID 856 //
     /*  180778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  180781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180795 */     // MIs[0] rs1
     /*  180795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180807 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180807 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  180812 */     GIR_RootConstrainSelectedInstOperands,
     /*  180813 */     // GIR_Coverage, 856,
     /*  180813 */     GIR_Done,
     /*  180814 */   // Label 3477: @180814
     /*  180814 */   GIM_Try, /*On fail goto*//*Label 3478*/ GIMT_Encode4(180855), // Rule ID 858 //
     /*  180819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  180822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180836 */     // MIs[0] rs1
     /*  180836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180848 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  180853 */     GIR_RootConstrainSelectedInstOperands,
     /*  180854 */     // GIR_Coverage, 858,
     /*  180854 */     GIR_Done,
     /*  180855 */   // Label 3478: @180855
     /*  180855 */   GIM_Try, /*On fail goto*//*Label 3479*/ GIMT_Encode4(180896), // Rule ID 860 //
     /*  180860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  180863 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180870 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180877 */     // MIs[0] rs1
     /*  180877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180889 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  180894 */     GIR_RootConstrainSelectedInstOperands,
     /*  180895 */     // GIR_Coverage, 860,
     /*  180895 */     GIR_Done,
     /*  180896 */   // Label 3479: @180896
     /*  180896 */   GIM_Try, /*On fail goto*//*Label 3480*/ GIMT_Encode4(180937), // Rule ID 862 //
     /*  180901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  180904 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180911 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180918 */     // MIs[0] rs1
     /*  180918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180930 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  180935 */     GIR_RootConstrainSelectedInstOperands,
     /*  180936 */     // GIR_Coverage, 862,
     /*  180936 */     GIR_Done,
     /*  180937 */   // Label 3480: @180937
     /*  180937 */   GIM_Try, /*On fail goto*//*Label 3481*/ GIMT_Encode4(180978), // Rule ID 864 //
     /*  180942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  180945 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180959 */     // MIs[0] rs1
     /*  180959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180971 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180971 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  180976 */     GIR_RootConstrainSelectedInstOperands,
     /*  180977 */     // GIR_Coverage, 864,
     /*  180977 */     GIR_Done,
     /*  180978 */   // Label 3481: @180978
     /*  180978 */   GIM_Try, /*On fail goto*//*Label 3482*/ GIMT_Encode4(181019), // Rule ID 866 //
     /*  180983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  180986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180993 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181000 */     // MIs[0] rs1
     /*  181000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181012 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181012 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  181017 */     GIR_RootConstrainSelectedInstOperands,
     /*  181018 */     // GIR_Coverage, 866,
     /*  181018 */     GIR_Done,
     /*  181019 */   // Label 3482: @181019
     /*  181019 */   GIM_Try, /*On fail goto*//*Label 3483*/ GIMT_Encode4(181060), // Rule ID 868 //
     /*  181024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  181027 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181034 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181041 */     // MIs[0] rs1
     /*  181041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181053 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181053 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  181058 */     GIR_RootConstrainSelectedInstOperands,
     /*  181059 */     // GIR_Coverage, 868,
     /*  181059 */     GIR_Done,
     /*  181060 */   // Label 3483: @181060
     /*  181060 */   GIM_Try, /*On fail goto*//*Label 3484*/ GIMT_Encode4(181101), // Rule ID 870 //
     /*  181065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  181068 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181075 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181082 */     // MIs[0] rs1
     /*  181082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181094 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  181099 */     GIR_RootConstrainSelectedInstOperands,
     /*  181100 */     // GIR_Coverage, 870,
     /*  181100 */     GIR_Done,
     /*  181101 */   // Label 3484: @181101
     /*  181101 */   GIM_Try, /*On fail goto*//*Label 3485*/ GIMT_Encode4(181142), // Rule ID 872 //
     /*  181106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  181109 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181116 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181123 */     // MIs[0] rs1
     /*  181123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181135 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181135 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  181140 */     GIR_RootConstrainSelectedInstOperands,
     /*  181141 */     // GIR_Coverage, 872,
     /*  181141 */     GIR_Done,
     /*  181142 */   // Label 3485: @181142
     /*  181142 */   GIM_Reject,
     /*  181143 */ // Label 3445: @181143
     /*  181143 */ GIM_Reject,
     /*  181144 */ // Label 3413: @181144
     /*  181144 */ GIM_Reject,
     /*  181145 */ // Label 27: @181145
     /*  181145 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3488*/ GIMT_Encode4(184054),
     /*  181156 */ /*GILLT_s32*//*Label 3486*/ GIMT_Encode4(181164),
     /*  181160 */ /*GILLT_s64*//*Label 3487*/ GIMT_Encode4(182404),
     /*  181164 */ // Label 3486: @181164
     /*  181164 */ GIM_Try, /*On fail goto*//*Label 3489*/ GIMT_Encode4(182403),
     /*  181169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  181172 */   GIM_Try, /*On fail goto*//*Label 3490*/ GIMT_Encode4(181213), // Rule ID 347 //
     /*  181177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  181180 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181187 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181194 */     // MIs[0] rs1
     /*  181194 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181206 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181206 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  181211 */     GIR_RootConstrainSelectedInstOperands,
     /*  181212 */     // GIR_Coverage, 347,
     /*  181212 */     GIR_Done,
     /*  181213 */   // Label 3490: @181213
     /*  181213 */   GIM_Try, /*On fail goto*//*Label 3491*/ GIMT_Encode4(181254), // Rule ID 349 //
     /*  181218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  181221 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181228 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181235 */     // MIs[0] rs1
     /*  181235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181247 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181247 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  181252 */     GIR_RootConstrainSelectedInstOperands,
     /*  181253 */     // GIR_Coverage, 349,
     /*  181253 */     GIR_Done,
     /*  181254 */   // Label 3491: @181254
     /*  181254 */   GIM_Try, /*On fail goto*//*Label 3492*/ GIMT_Encode4(181295), // Rule ID 351 //
     /*  181259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  181262 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181269 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181276 */     // MIs[0] rs1
     /*  181276 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181288 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181288 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  181293 */     GIR_RootConstrainSelectedInstOperands,
     /*  181294 */     // GIR_Coverage, 351,
     /*  181294 */     GIR_Done,
     /*  181295 */   // Label 3492: @181295
     /*  181295 */   GIM_Try, /*On fail goto*//*Label 3493*/ GIMT_Encode4(181336), // Rule ID 353 //
     /*  181300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  181303 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181310 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181317 */     // MIs[0] rs1
     /*  181317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181329 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  181334 */     GIR_RootConstrainSelectedInstOperands,
     /*  181335 */     // GIR_Coverage, 353,
     /*  181335 */     GIR_Done,
     /*  181336 */   // Label 3493: @181336
     /*  181336 */   GIM_Try, /*On fail goto*//*Label 3494*/ GIMT_Encode4(181377), // Rule ID 355 //
     /*  181341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  181344 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181351 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181358 */     // MIs[0] rs1
     /*  181358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181370 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  181375 */     GIR_RootConstrainSelectedInstOperands,
     /*  181376 */     // GIR_Coverage, 355,
     /*  181376 */     GIR_Done,
     /*  181377 */   // Label 3494: @181377
     /*  181377 */   GIM_Try, /*On fail goto*//*Label 3495*/ GIMT_Encode4(181418), // Rule ID 357 //
     /*  181382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  181385 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181392 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181399 */     // MIs[0] rs1
     /*  181399 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181411 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  181416 */     GIR_RootConstrainSelectedInstOperands,
     /*  181417 */     // GIR_Coverage, 357,
     /*  181417 */     GIR_Done,
     /*  181418 */   // Label 3495: @181418
     /*  181418 */   GIM_Try, /*On fail goto*//*Label 3496*/ GIMT_Encode4(181459), // Rule ID 359 //
     /*  181423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  181426 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181433 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181440 */     // MIs[0] rs1
     /*  181440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181452 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181452 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  181457 */     GIR_RootConstrainSelectedInstOperands,
     /*  181458 */     // GIR_Coverage, 359,
     /*  181458 */     GIR_Done,
     /*  181459 */   // Label 3496: @181459
     /*  181459 */   GIM_Try, /*On fail goto*//*Label 3497*/ GIMT_Encode4(181500), // Rule ID 361 //
     /*  181464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  181467 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181474 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181481 */     // MIs[0] rs1
     /*  181481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181493 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181493 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  181498 */     GIR_RootConstrainSelectedInstOperands,
     /*  181499 */     // GIR_Coverage, 361,
     /*  181499 */     GIR_Done,
     /*  181500 */   // Label 3497: @181500
     /*  181500 */   GIM_Try, /*On fail goto*//*Label 3498*/ GIMT_Encode4(181541), // Rule ID 363 //
     /*  181505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  181508 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181515 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181522 */     // MIs[0] rs1
     /*  181522 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181534 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181534 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  181539 */     GIR_RootConstrainSelectedInstOperands,
     /*  181540 */     // GIR_Coverage, 363,
     /*  181540 */     GIR_Done,
     /*  181541 */   // Label 3498: @181541
     /*  181541 */   GIM_Try, /*On fail goto*//*Label 3499*/ GIMT_Encode4(181582), // Rule ID 365 //
     /*  181546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  181549 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181556 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181563 */     // MIs[0] rs1
     /*  181563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181575 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181575 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  181580 */     GIR_RootConstrainSelectedInstOperands,
     /*  181581 */     // GIR_Coverage, 365,
     /*  181581 */     GIR_Done,
     /*  181582 */   // Label 3499: @181582
     /*  181582 */   GIM_Try, /*On fail goto*//*Label 3500*/ GIMT_Encode4(181623), // Rule ID 695 //
     /*  181587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  181590 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181597 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181604 */     // MIs[0] rs1
     /*  181604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181616 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181616 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  181621 */     GIR_RootConstrainSelectedInstOperands,
     /*  181622 */     // GIR_Coverage, 695,
     /*  181622 */     GIR_Done,
     /*  181623 */   // Label 3500: @181623
     /*  181623 */   GIM_Try, /*On fail goto*//*Label 3501*/ GIMT_Encode4(181664), // Rule ID 697 //
     /*  181628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  181631 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181638 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181645 */     // MIs[0] rs1
     /*  181645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181657 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181657 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  181662 */     GIR_RootConstrainSelectedInstOperands,
     /*  181663 */     // GIR_Coverage, 697,
     /*  181663 */     GIR_Done,
     /*  181664 */   // Label 3501: @181664
     /*  181664 */   GIM_Try, /*On fail goto*//*Label 3502*/ GIMT_Encode4(181705), // Rule ID 699 //
     /*  181669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  181672 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181679 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181686 */     // MIs[0] rs1
     /*  181686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181698 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181698 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  181703 */     GIR_RootConstrainSelectedInstOperands,
     /*  181704 */     // GIR_Coverage, 699,
     /*  181704 */     GIR_Done,
     /*  181705 */   // Label 3502: @181705
     /*  181705 */   GIM_Try, /*On fail goto*//*Label 3503*/ GIMT_Encode4(181746), // Rule ID 701 //
     /*  181710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  181713 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181720 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181727 */     // MIs[0] rs1
     /*  181727 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181739 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181739 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  181744 */     GIR_RootConstrainSelectedInstOperands,
     /*  181745 */     // GIR_Coverage, 701,
     /*  181745 */     GIR_Done,
     /*  181746 */   // Label 3503: @181746
     /*  181746 */   GIM_Try, /*On fail goto*//*Label 3504*/ GIMT_Encode4(181787), // Rule ID 703 //
     /*  181751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  181754 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181761 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181768 */     // MIs[0] rs1
     /*  181768 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181780 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181780 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  181785 */     GIR_RootConstrainSelectedInstOperands,
     /*  181786 */     // GIR_Coverage, 703,
     /*  181786 */     GIR_Done,
     /*  181787 */   // Label 3504: @181787
     /*  181787 */   GIM_Try, /*On fail goto*//*Label 3505*/ GIMT_Encode4(181828), // Rule ID 705 //
     /*  181792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181795 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181802 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181809 */     // MIs[0] rs1
     /*  181809 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181821 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181821 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  181826 */     GIR_RootConstrainSelectedInstOperands,
     /*  181827 */     // GIR_Coverage, 705,
     /*  181827 */     GIR_Done,
     /*  181828 */   // Label 3505: @181828
     /*  181828 */   GIM_Try, /*On fail goto*//*Label 3506*/ GIMT_Encode4(181869), // Rule ID 707 //
     /*  181833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181836 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181843 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181850 */     // MIs[0] rs1
     /*  181850 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181862 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181862 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  181867 */     GIR_RootConstrainSelectedInstOperands,
     /*  181868 */     // GIR_Coverage, 707,
     /*  181868 */     GIR_Done,
     /*  181869 */   // Label 3506: @181869
     /*  181869 */   GIM_Try, /*On fail goto*//*Label 3507*/ GIMT_Encode4(181910), // Rule ID 709 //
     /*  181874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181877 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181884 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181891 */     // MIs[0] rs1
     /*  181891 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181903 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181903 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  181908 */     GIR_RootConstrainSelectedInstOperands,
     /*  181909 */     // GIR_Coverage, 709,
     /*  181909 */     GIR_Done,
     /*  181910 */   // Label 3507: @181910
     /*  181910 */   GIM_Try, /*On fail goto*//*Label 3508*/ GIMT_Encode4(181951), // Rule ID 711 //
     /*  181915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181918 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181925 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181932 */     // MIs[0] rs1
     /*  181932 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181944 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181944 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  181949 */     GIR_RootConstrainSelectedInstOperands,
     /*  181950 */     // GIR_Coverage, 711,
     /*  181950 */     GIR_Done,
     /*  181951 */   // Label 3508: @181951
     /*  181951 */   GIM_Try, /*On fail goto*//*Label 3509*/ GIMT_Encode4(181992), // Rule ID 713 //
     /*  181956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  181959 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181966 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181973 */     // MIs[0] rs1
     /*  181973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181985 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  181985 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  181990 */     GIR_RootConstrainSelectedInstOperands,
     /*  181991 */     // GIR_Coverage, 713,
     /*  181991 */     GIR_Done,
     /*  181992 */   // Label 3509: @181992
     /*  181992 */   GIM_Try, /*On fail goto*//*Label 3510*/ GIMT_Encode4(182033), // Rule ID 875 //
     /*  181997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  182000 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182007 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182014 */     // MIs[0] rs1
     /*  182014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182026 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182026 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  182031 */     GIR_RootConstrainSelectedInstOperands,
     /*  182032 */     // GIR_Coverage, 875,
     /*  182032 */     GIR_Done,
     /*  182033 */   // Label 3510: @182033
     /*  182033 */   GIM_Try, /*On fail goto*//*Label 3511*/ GIMT_Encode4(182074), // Rule ID 877 //
     /*  182038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  182041 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182048 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182055 */     // MIs[0] rs1
     /*  182055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182067 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182067 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  182072 */     GIR_RootConstrainSelectedInstOperands,
     /*  182073 */     // GIR_Coverage, 877,
     /*  182073 */     GIR_Done,
     /*  182074 */   // Label 3511: @182074
     /*  182074 */   GIM_Try, /*On fail goto*//*Label 3512*/ GIMT_Encode4(182115), // Rule ID 879 //
     /*  182079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  182082 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182089 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182096 */     // MIs[0] rs1
     /*  182096 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182108 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182108 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  182113 */     GIR_RootConstrainSelectedInstOperands,
     /*  182114 */     // GIR_Coverage, 879,
     /*  182114 */     GIR_Done,
     /*  182115 */   // Label 3512: @182115
     /*  182115 */   GIM_Try, /*On fail goto*//*Label 3513*/ GIMT_Encode4(182156), // Rule ID 881 //
     /*  182120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  182123 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182130 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182137 */     // MIs[0] rs1
     /*  182137 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182149 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182149 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  182154 */     GIR_RootConstrainSelectedInstOperands,
     /*  182155 */     // GIR_Coverage, 881,
     /*  182155 */     GIR_Done,
     /*  182156 */   // Label 3513: @182156
     /*  182156 */   GIM_Try, /*On fail goto*//*Label 3514*/ GIMT_Encode4(182197), // Rule ID 883 //
     /*  182161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  182164 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182171 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182178 */     // MIs[0] rs1
     /*  182178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182190 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182190 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  182195 */     GIR_RootConstrainSelectedInstOperands,
     /*  182196 */     // GIR_Coverage, 883,
     /*  182196 */     GIR_Done,
     /*  182197 */   // Label 3514: @182197
     /*  182197 */   GIM_Try, /*On fail goto*//*Label 3515*/ GIMT_Encode4(182238), // Rule ID 885 //
     /*  182202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  182205 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182212 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182219 */     // MIs[0] rs1
     /*  182219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182231 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182231 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  182236 */     GIR_RootConstrainSelectedInstOperands,
     /*  182237 */     // GIR_Coverage, 885,
     /*  182237 */     GIR_Done,
     /*  182238 */   // Label 3515: @182238
     /*  182238 */   GIM_Try, /*On fail goto*//*Label 3516*/ GIMT_Encode4(182279), // Rule ID 887 //
     /*  182243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  182246 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182253 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182260 */     // MIs[0] rs1
     /*  182260 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182272 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182272 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  182277 */     GIR_RootConstrainSelectedInstOperands,
     /*  182278 */     // GIR_Coverage, 887,
     /*  182278 */     GIR_Done,
     /*  182279 */   // Label 3516: @182279
     /*  182279 */   GIM_Try, /*On fail goto*//*Label 3517*/ GIMT_Encode4(182320), // Rule ID 889 //
     /*  182284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  182287 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182294 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182301 */     // MIs[0] rs1
     /*  182301 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182313 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182313 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  182318 */     GIR_RootConstrainSelectedInstOperands,
     /*  182319 */     // GIR_Coverage, 889,
     /*  182319 */     GIR_Done,
     /*  182320 */   // Label 3517: @182320
     /*  182320 */   GIM_Try, /*On fail goto*//*Label 3518*/ GIMT_Encode4(182361), // Rule ID 891 //
     /*  182325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  182328 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182335 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182342 */     // MIs[0] rs1
     /*  182342 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182354 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182354 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  182359 */     GIR_RootConstrainSelectedInstOperands,
     /*  182360 */     // GIR_Coverage, 891,
     /*  182360 */     GIR_Done,
     /*  182361 */   // Label 3518: @182361
     /*  182361 */   GIM_Try, /*On fail goto*//*Label 3519*/ GIMT_Encode4(182402), // Rule ID 893 //
     /*  182366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  182369 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182376 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182383 */     // MIs[0] rs1
     /*  182383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  182387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182395 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  182395 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  182400 */     GIR_RootConstrainSelectedInstOperands,
     /*  182401 */     // GIR_Coverage, 893,
     /*  182401 */     GIR_Done,
     /*  182402 */   // Label 3519: @182402
     /*  182402 */   GIM_Reject,
     /*  182403 */ // Label 3489: @182403
     /*  182403 */ GIM_Reject,
     /*  182404 */ // Label 3487: @182404
     /*  182404 */ GIM_Try, /*On fail goto*//*Label 3520*/ GIMT_Encode4(184053),
     /*  182409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  182412 */   GIM_Try, /*On fail goto*//*Label 3521*/ GIMT_Encode4(182453), // Rule ID 346 //
     /*  182417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  182420 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182427 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182434 */     // MIs[0] rs1
     /*  182434 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182446 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182446 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182451 */     GIR_RootConstrainSelectedInstOperands,
     /*  182452 */     // GIR_Coverage, 346,
     /*  182452 */     GIR_Done,
     /*  182453 */   // Label 3521: @182453
     /*  182453 */   GIM_Try, /*On fail goto*//*Label 3522*/ GIMT_Encode4(182494), // Rule ID 348 //
     /*  182458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  182461 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182468 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182475 */     // MIs[0] rs1
     /*  182475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182487 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  182492 */     GIR_RootConstrainSelectedInstOperands,
     /*  182493 */     // GIR_Coverage, 348,
     /*  182493 */     GIR_Done,
     /*  182494 */   // Label 3522: @182494
     /*  182494 */   GIM_Try, /*On fail goto*//*Label 3523*/ GIMT_Encode4(182535), // Rule ID 350 //
     /*  182499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  182502 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182509 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182516 */     // MIs[0] rs1
     /*  182516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182528 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182528 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  182533 */     GIR_RootConstrainSelectedInstOperands,
     /*  182534 */     // GIR_Coverage, 350,
     /*  182534 */     GIR_Done,
     /*  182535 */   // Label 3523: @182535
     /*  182535 */   GIM_Try, /*On fail goto*//*Label 3524*/ GIMT_Encode4(182576), // Rule ID 352 //
     /*  182540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  182543 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182550 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182557 */     // MIs[0] rs1
     /*  182557 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182569 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182569 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  182574 */     GIR_RootConstrainSelectedInstOperands,
     /*  182575 */     // GIR_Coverage, 352,
     /*  182575 */     GIR_Done,
     /*  182576 */   // Label 3524: @182576
     /*  182576 */   GIM_Try, /*On fail goto*//*Label 3525*/ GIMT_Encode4(182617), // Rule ID 354 //
     /*  182581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  182584 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182591 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182598 */     // MIs[0] rs1
     /*  182598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182610 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182610 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  182615 */     GIR_RootConstrainSelectedInstOperands,
     /*  182616 */     // GIR_Coverage, 354,
     /*  182616 */     GIR_Done,
     /*  182617 */   // Label 3525: @182617
     /*  182617 */   GIM_Try, /*On fail goto*//*Label 3526*/ GIMT_Encode4(182658), // Rule ID 356 //
     /*  182622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  182625 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182632 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182639 */     // MIs[0] rs1
     /*  182639 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182651 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182651 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182656 */     GIR_RootConstrainSelectedInstOperands,
     /*  182657 */     // GIR_Coverage, 356,
     /*  182657 */     GIR_Done,
     /*  182658 */   // Label 3526: @182658
     /*  182658 */   GIM_Try, /*On fail goto*//*Label 3527*/ GIMT_Encode4(182699), // Rule ID 358 //
     /*  182663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  182666 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182673 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182680 */     // MIs[0] rs1
     /*  182680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182692 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182697 */     GIR_RootConstrainSelectedInstOperands,
     /*  182698 */     // GIR_Coverage, 358,
     /*  182698 */     GIR_Done,
     /*  182699 */   // Label 3527: @182699
     /*  182699 */   GIM_Try, /*On fail goto*//*Label 3528*/ GIMT_Encode4(182740), // Rule ID 360 //
     /*  182704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  182707 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182714 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182721 */     // MIs[0] rs1
     /*  182721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182733 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182733 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182738 */     GIR_RootConstrainSelectedInstOperands,
     /*  182739 */     // GIR_Coverage, 360,
     /*  182739 */     GIR_Done,
     /*  182740 */   // Label 3528: @182740
     /*  182740 */   GIM_Try, /*On fail goto*//*Label 3529*/ GIMT_Encode4(182781), // Rule ID 362 //
     /*  182745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  182748 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182755 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182762 */     // MIs[0] rs1
     /*  182762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182774 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182774 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182779 */     GIR_RootConstrainSelectedInstOperands,
     /*  182780 */     // GIR_Coverage, 362,
     /*  182780 */     GIR_Done,
     /*  182781 */   // Label 3529: @182781
     /*  182781 */   GIM_Try, /*On fail goto*//*Label 3530*/ GIMT_Encode4(182822), // Rule ID 364 //
     /*  182786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  182789 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182796 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182803 */     // MIs[0] rs1
     /*  182803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182815 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  182820 */     GIR_RootConstrainSelectedInstOperands,
     /*  182821 */     // GIR_Coverage, 364,
     /*  182821 */     GIR_Done,
     /*  182822 */   // Label 3530: @182822
     /*  182822 */   GIM_Try, /*On fail goto*//*Label 3531*/ GIMT_Encode4(182863), // Rule ID 516 //
     /*  182827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182830 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182837 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182844 */     // MIs[0] rs1
     /*  182844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182856 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182856 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  182861 */     GIR_RootConstrainSelectedInstOperands,
     /*  182862 */     // GIR_Coverage, 516,
     /*  182862 */     GIR_Done,
     /*  182863 */   // Label 3531: @182863
     /*  182863 */   GIM_Try, /*On fail goto*//*Label 3532*/ GIMT_Encode4(182904), // Rule ID 517 //
     /*  182868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182871 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182878 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182885 */     // MIs[0] rs1
     /*  182885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182897 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182897 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ),
     /*  182902 */     GIR_RootConstrainSelectedInstOperands,
     /*  182903 */     // GIR_Coverage, 517,
     /*  182903 */     GIR_Done,
     /*  182904 */   // Label 3532: @182904
     /*  182904 */   GIM_Try, /*On fail goto*//*Label 3533*/ GIMT_Encode4(182945), // Rule ID 518 //
     /*  182909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182912 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182919 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182926 */     // MIs[0] rs1
     /*  182926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182938 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_RL),
     /*  182943 */     GIR_RootConstrainSelectedInstOperands,
     /*  182944 */     // GIR_Coverage, 518,
     /*  182944 */     GIR_Done,
     /*  182945 */   // Label 3533: @182945
     /*  182945 */   GIM_Try, /*On fail goto*//*Label 3534*/ GIMT_Encode4(182986), // Rule ID 519 //
     /*  182950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182953 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182967 */     // MIs[0] rs1
     /*  182967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182979 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  182984 */     GIR_RootConstrainSelectedInstOperands,
     /*  182985 */     // GIR_Coverage, 519,
     /*  182985 */     GIR_Done,
     /*  182986 */   // Label 3534: @182986
     /*  182986 */   GIM_Try, /*On fail goto*//*Label 3535*/ GIMT_Encode4(183027), // Rule ID 520 //
     /*  182991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  182994 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183001 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183008 */     // MIs[0] rs1
     /*  183008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183020 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183020 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  183025 */     GIR_RootConstrainSelectedInstOperands,
     /*  183026 */     // GIR_Coverage, 520,
     /*  183026 */     GIR_Done,
     /*  183027 */   // Label 3535: @183027
     /*  183027 */   GIM_Try, /*On fail goto*//*Label 3536*/ GIMT_Encode4(183068), // Rule ID 521 //
     /*  183032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  183035 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183042 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183049 */     // MIs[0] rs1
     /*  183049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183061 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183061 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  183066 */     GIR_RootConstrainSelectedInstOperands,
     /*  183067 */     // GIR_Coverage, 521,
     /*  183067 */     GIR_Done,
     /*  183068 */   // Label 3536: @183068
     /*  183068 */   GIM_Try, /*On fail goto*//*Label 3537*/ GIMT_Encode4(183109), // Rule ID 522 //
     /*  183073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  183076 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183083 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183090 */     // MIs[0] rs1
     /*  183090 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183102 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183102 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  183107 */     GIR_RootConstrainSelectedInstOperands,
     /*  183108 */     // GIR_Coverage, 522,
     /*  183108 */     GIR_Done,
     /*  183109 */   // Label 3537: @183109
     /*  183109 */   GIM_Try, /*On fail goto*//*Label 3538*/ GIMT_Encode4(183150), // Rule ID 523 //
     /*  183114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  183117 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183124 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183131 */     // MIs[0] rs1
     /*  183131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183143 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183143 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  183148 */     GIR_RootConstrainSelectedInstOperands,
     /*  183149 */     // GIR_Coverage, 523,
     /*  183149 */     GIR_Done,
     /*  183150 */   // Label 3538: @183150
     /*  183150 */   GIM_Try, /*On fail goto*//*Label 3539*/ GIMT_Encode4(183191), // Rule ID 524 //
     /*  183155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  183158 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183165 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183172 */     // MIs[0] rs1
     /*  183172 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183184 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183184 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  183189 */     GIR_RootConstrainSelectedInstOperands,
     /*  183190 */     // GIR_Coverage, 524,
     /*  183190 */     GIR_Done,
     /*  183191 */   // Label 3539: @183191
     /*  183191 */   GIM_Try, /*On fail goto*//*Label 3540*/ GIMT_Encode4(183232), // Rule ID 525 //
     /*  183196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  183199 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183206 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183213 */     // MIs[0] rs1
     /*  183213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183225 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183225 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  183230 */     GIR_RootConstrainSelectedInstOperands,
     /*  183231 */     // GIR_Coverage, 525,
     /*  183231 */     GIR_Done,
     /*  183232 */   // Label 3540: @183232
     /*  183232 */   GIM_Try, /*On fail goto*//*Label 3541*/ GIMT_Encode4(183273), // Rule ID 694 //
     /*  183237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  183240 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183247 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183254 */     // MIs[0] rs1
     /*  183254 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183266 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183266 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183271 */     GIR_RootConstrainSelectedInstOperands,
     /*  183272 */     // GIR_Coverage, 694,
     /*  183272 */     GIR_Done,
     /*  183273 */   // Label 3541: @183273
     /*  183273 */   GIM_Try, /*On fail goto*//*Label 3542*/ GIMT_Encode4(183314), // Rule ID 696 //
     /*  183278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  183281 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183288 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183295 */     // MIs[0] rs1
     /*  183295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183307 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183307 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  183312 */     GIR_RootConstrainSelectedInstOperands,
     /*  183313 */     // GIR_Coverage, 696,
     /*  183313 */     GIR_Done,
     /*  183314 */   // Label 3542: @183314
     /*  183314 */   GIM_Try, /*On fail goto*//*Label 3543*/ GIMT_Encode4(183355), // Rule ID 698 //
     /*  183319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  183322 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183329 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183336 */     // MIs[0] rs1
     /*  183336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183348 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183348 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  183353 */     GIR_RootConstrainSelectedInstOperands,
     /*  183354 */     // GIR_Coverage, 698,
     /*  183354 */     GIR_Done,
     /*  183355 */   // Label 3543: @183355
     /*  183355 */   GIM_Try, /*On fail goto*//*Label 3544*/ GIMT_Encode4(183396), // Rule ID 700 //
     /*  183360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  183363 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183370 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183377 */     // MIs[0] rs1
     /*  183377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183389 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  183394 */     GIR_RootConstrainSelectedInstOperands,
     /*  183395 */     // GIR_Coverage, 700,
     /*  183395 */     GIR_Done,
     /*  183396 */   // Label 3544: @183396
     /*  183396 */   GIM_Try, /*On fail goto*//*Label 3545*/ GIMT_Encode4(183437), // Rule ID 702 //
     /*  183401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  183404 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183411 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183418 */     // MIs[0] rs1
     /*  183418 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183430 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183430 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  183435 */     GIR_RootConstrainSelectedInstOperands,
     /*  183436 */     // GIR_Coverage, 702,
     /*  183436 */     GIR_Done,
     /*  183437 */   // Label 3545: @183437
     /*  183437 */   GIM_Try, /*On fail goto*//*Label 3546*/ GIMT_Encode4(183478), // Rule ID 704 //
     /*  183442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  183445 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183452 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183459 */     // MIs[0] rs1
     /*  183459 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183471 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183471 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183476 */     GIR_RootConstrainSelectedInstOperands,
     /*  183477 */     // GIR_Coverage, 704,
     /*  183477 */     GIR_Done,
     /*  183478 */   // Label 3546: @183478
     /*  183478 */   GIM_Try, /*On fail goto*//*Label 3547*/ GIMT_Encode4(183519), // Rule ID 706 //
     /*  183483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  183486 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183493 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183500 */     // MIs[0] rs1
     /*  183500 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183512 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183512 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183517 */     GIR_RootConstrainSelectedInstOperands,
     /*  183518 */     // GIR_Coverage, 706,
     /*  183518 */     GIR_Done,
     /*  183519 */   // Label 3547: @183519
     /*  183519 */   GIM_Try, /*On fail goto*//*Label 3548*/ GIMT_Encode4(183560), // Rule ID 708 //
     /*  183524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  183527 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183534 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183541 */     // MIs[0] rs1
     /*  183541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183553 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183553 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183558 */     GIR_RootConstrainSelectedInstOperands,
     /*  183559 */     // GIR_Coverage, 708,
     /*  183559 */     GIR_Done,
     /*  183560 */   // Label 3548: @183560
     /*  183560 */   GIM_Try, /*On fail goto*//*Label 3549*/ GIMT_Encode4(183601), // Rule ID 710 //
     /*  183565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  183568 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183575 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183582 */     // MIs[0] rs1
     /*  183582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183594 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183594 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183599 */     GIR_RootConstrainSelectedInstOperands,
     /*  183600 */     // GIR_Coverage, 710,
     /*  183600 */     GIR_Done,
     /*  183601 */   // Label 3549: @183601
     /*  183601 */   GIM_Try, /*On fail goto*//*Label 3550*/ GIMT_Encode4(183642), // Rule ID 712 //
     /*  183606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  183609 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183616 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183623 */     // MIs[0] rs1
     /*  183623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183635 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183635 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  183640 */     GIR_RootConstrainSelectedInstOperands,
     /*  183641 */     // GIR_Coverage, 712,
     /*  183641 */     GIR_Done,
     /*  183642 */   // Label 3550: @183642
     /*  183642 */   GIM_Try, /*On fail goto*//*Label 3551*/ GIMT_Encode4(183683), // Rule ID 874 //
     /*  183647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  183650 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183657 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183664 */     // MIs[0] rs1
     /*  183664 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183676 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183676 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183681 */     GIR_RootConstrainSelectedInstOperands,
     /*  183682 */     // GIR_Coverage, 874,
     /*  183682 */     GIR_Done,
     /*  183683 */   // Label 3551: @183683
     /*  183683 */   GIM_Try, /*On fail goto*//*Label 3552*/ GIMT_Encode4(183724), // Rule ID 876 //
     /*  183688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  183691 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183698 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183705 */     // MIs[0] rs1
     /*  183705 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183717 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183717 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  183722 */     GIR_RootConstrainSelectedInstOperands,
     /*  183723 */     // GIR_Coverage, 876,
     /*  183723 */     GIR_Done,
     /*  183724 */   // Label 3552: @183724
     /*  183724 */   GIM_Try, /*On fail goto*//*Label 3553*/ GIMT_Encode4(183765), // Rule ID 878 //
     /*  183729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  183732 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183739 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183746 */     // MIs[0] rs1
     /*  183746 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183758 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183758 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  183763 */     GIR_RootConstrainSelectedInstOperands,
     /*  183764 */     // GIR_Coverage, 878,
     /*  183764 */     GIR_Done,
     /*  183765 */   // Label 3553: @183765
     /*  183765 */   GIM_Try, /*On fail goto*//*Label 3554*/ GIMT_Encode4(183806), // Rule ID 880 //
     /*  183770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  183773 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183780 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183787 */     // MIs[0] rs1
     /*  183787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183799 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183799 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  183804 */     GIR_RootConstrainSelectedInstOperands,
     /*  183805 */     // GIR_Coverage, 880,
     /*  183805 */     GIR_Done,
     /*  183806 */   // Label 3554: @183806
     /*  183806 */   GIM_Try, /*On fail goto*//*Label 3555*/ GIMT_Encode4(183847), // Rule ID 882 //
     /*  183811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  183814 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183821 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183828 */     // MIs[0] rs1
     /*  183828 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183840 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  183845 */     GIR_RootConstrainSelectedInstOperands,
     /*  183846 */     // GIR_Coverage, 882,
     /*  183846 */     GIR_Done,
     /*  183847 */   // Label 3555: @183847
     /*  183847 */   GIM_Try, /*On fail goto*//*Label 3556*/ GIMT_Encode4(183888), // Rule ID 884 //
     /*  183852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  183855 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183862 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183869 */     // MIs[0] rs1
     /*  183869 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183881 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183881 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183886 */     GIR_RootConstrainSelectedInstOperands,
     /*  183887 */     // GIR_Coverage, 884,
     /*  183887 */     GIR_Done,
     /*  183888 */   // Label 3556: @183888
     /*  183888 */   GIM_Try, /*On fail goto*//*Label 3557*/ GIMT_Encode4(183929), // Rule ID 886 //
     /*  183893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  183896 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183903 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183910 */     // MIs[0] rs1
     /*  183910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183922 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183922 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183927 */     GIR_RootConstrainSelectedInstOperands,
     /*  183928 */     // GIR_Coverage, 886,
     /*  183928 */     GIR_Done,
     /*  183929 */   // Label 3557: @183929
     /*  183929 */   GIM_Try, /*On fail goto*//*Label 3558*/ GIMT_Encode4(183970), // Rule ID 888 //
     /*  183934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  183937 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183944 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183951 */     // MIs[0] rs1
     /*  183951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183963 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  183963 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  183968 */     GIR_RootConstrainSelectedInstOperands,
     /*  183969 */     // GIR_Coverage, 888,
     /*  183969 */     GIR_Done,
     /*  183970 */   // Label 3558: @183970
     /*  183970 */   GIM_Try, /*On fail goto*//*Label 3559*/ GIMT_Encode4(184011), // Rule ID 890 //
     /*  183975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  183978 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  183985 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183992 */     // MIs[0] rs1
     /*  183992 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184004 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184004 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  184009 */     GIR_RootConstrainSelectedInstOperands,
     /*  184010 */     // GIR_Coverage, 890,
     /*  184010 */     GIR_Done,
     /*  184011 */   // Label 3559: @184011
     /*  184011 */   GIM_Try, /*On fail goto*//*Label 3560*/ GIMT_Encode4(184052), // Rule ID 892 //
     /*  184016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  184019 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184026 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184033 */     // MIs[0] rs1
     /*  184033 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184045 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184045 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  184050 */     GIR_RootConstrainSelectedInstOperands,
     /*  184051 */     // GIR_Coverage, 892,
     /*  184051 */     GIR_Done,
     /*  184052 */   // Label 3560: @184052
     /*  184052 */   GIM_Reject,
     /*  184053 */ // Label 3520: @184053
     /*  184053 */ GIM_Reject,
     /*  184054 */ // Label 3488: @184054
     /*  184054 */ GIM_Reject,
     /*  184055 */ // Label 28: @184055
     /*  184055 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3563*/ GIMT_Encode4(186964),
     /*  184066 */ /*GILLT_s32*//*Label 3561*/ GIMT_Encode4(184074),
     /*  184070 */ /*GILLT_s64*//*Label 3562*/ GIMT_Encode4(185314),
     /*  184074 */ // Label 3561: @184074
     /*  184074 */ GIM_Try, /*On fail goto*//*Label 3564*/ GIMT_Encode4(185313),
     /*  184079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  184082 */   GIM_Try, /*On fail goto*//*Label 3565*/ GIMT_Encode4(184123), // Rule ID 367 //
     /*  184087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184090 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184097 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184104 */     // MIs[0] rs1
     /*  184104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184116 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184116 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  184121 */     GIR_RootConstrainSelectedInstOperands,
     /*  184122 */     // GIR_Coverage, 367,
     /*  184122 */     GIR_Done,
     /*  184123 */   // Label 3565: @184123
     /*  184123 */   GIM_Try, /*On fail goto*//*Label 3566*/ GIMT_Encode4(184164), // Rule ID 369 //
     /*  184128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184131 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184138 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184145 */     // MIs[0] rs1
     /*  184145 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184157 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184157 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  184162 */     GIR_RootConstrainSelectedInstOperands,
     /*  184163 */     // GIR_Coverage, 369,
     /*  184163 */     GIR_Done,
     /*  184164 */   // Label 3566: @184164
     /*  184164 */   GIM_Try, /*On fail goto*//*Label 3567*/ GIMT_Encode4(184205), // Rule ID 371 //
     /*  184169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184172 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184179 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184186 */     // MIs[0] rs1
     /*  184186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184198 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184198 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  184203 */     GIR_RootConstrainSelectedInstOperands,
     /*  184204 */     // GIR_Coverage, 371,
     /*  184204 */     GIR_Done,
     /*  184205 */   // Label 3567: @184205
     /*  184205 */   GIM_Try, /*On fail goto*//*Label 3568*/ GIMT_Encode4(184246), // Rule ID 373 //
     /*  184210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184213 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184227 */     // MIs[0] rs1
     /*  184227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184239 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184239 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  184244 */     GIR_RootConstrainSelectedInstOperands,
     /*  184245 */     // GIR_Coverage, 373,
     /*  184245 */     GIR_Done,
     /*  184246 */   // Label 3568: @184246
     /*  184246 */   GIM_Try, /*On fail goto*//*Label 3569*/ GIMT_Encode4(184287), // Rule ID 375 //
     /*  184251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184254 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184261 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184268 */     // MIs[0] rs1
     /*  184268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184280 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184280 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  184285 */     GIR_RootConstrainSelectedInstOperands,
     /*  184286 */     // GIR_Coverage, 375,
     /*  184286 */     GIR_Done,
     /*  184287 */   // Label 3569: @184287
     /*  184287 */   GIM_Try, /*On fail goto*//*Label 3570*/ GIMT_Encode4(184328), // Rule ID 377 //
     /*  184292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  184295 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184302 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184309 */     // MIs[0] rs1
     /*  184309 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184321 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  184326 */     GIR_RootConstrainSelectedInstOperands,
     /*  184327 */     // GIR_Coverage, 377,
     /*  184327 */     GIR_Done,
     /*  184328 */   // Label 3570: @184328
     /*  184328 */   GIM_Try, /*On fail goto*//*Label 3571*/ GIMT_Encode4(184369), // Rule ID 379 //
     /*  184333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  184336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184350 */     // MIs[0] rs1
     /*  184350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184362 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  184367 */     GIR_RootConstrainSelectedInstOperands,
     /*  184368 */     // GIR_Coverage, 379,
     /*  184368 */     GIR_Done,
     /*  184369 */   // Label 3571: @184369
     /*  184369 */   GIM_Try, /*On fail goto*//*Label 3572*/ GIMT_Encode4(184410), // Rule ID 381 //
     /*  184374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  184377 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184384 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184391 */     // MIs[0] rs1
     /*  184391 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184403 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184403 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  184408 */     GIR_RootConstrainSelectedInstOperands,
     /*  184409 */     // GIR_Coverage, 381,
     /*  184409 */     GIR_Done,
     /*  184410 */   // Label 3572: @184410
     /*  184410 */   GIM_Try, /*On fail goto*//*Label 3573*/ GIMT_Encode4(184451), // Rule ID 383 //
     /*  184415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  184418 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184425 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184432 */     // MIs[0] rs1
     /*  184432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184444 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184444 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  184449 */     GIR_RootConstrainSelectedInstOperands,
     /*  184450 */     // GIR_Coverage, 383,
     /*  184450 */     GIR_Done,
     /*  184451 */   // Label 3573: @184451
     /*  184451 */   GIM_Try, /*On fail goto*//*Label 3574*/ GIMT_Encode4(184492), // Rule ID 385 //
     /*  184456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  184459 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184466 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184473 */     // MIs[0] rs1
     /*  184473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184485 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  184490 */     GIR_RootConstrainSelectedInstOperands,
     /*  184491 */     // GIR_Coverage, 385,
     /*  184491 */     GIR_Done,
     /*  184492 */   // Label 3574: @184492
     /*  184492 */   GIM_Try, /*On fail goto*//*Label 3575*/ GIMT_Encode4(184533), // Rule ID 715 //
     /*  184497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184500 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184507 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184514 */     // MIs[0] rs1
     /*  184514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184526 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  184531 */     GIR_RootConstrainSelectedInstOperands,
     /*  184532 */     // GIR_Coverage, 715,
     /*  184532 */     GIR_Done,
     /*  184533 */   // Label 3575: @184533
     /*  184533 */   GIM_Try, /*On fail goto*//*Label 3576*/ GIMT_Encode4(184574), // Rule ID 717 //
     /*  184538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184541 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184548 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184555 */     // MIs[0] rs1
     /*  184555 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184567 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  184572 */     GIR_RootConstrainSelectedInstOperands,
     /*  184573 */     // GIR_Coverage, 717,
     /*  184573 */     GIR_Done,
     /*  184574 */   // Label 3576: @184574
     /*  184574 */   GIM_Try, /*On fail goto*//*Label 3577*/ GIMT_Encode4(184615), // Rule ID 719 //
     /*  184579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184582 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184589 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184596 */     // MIs[0] rs1
     /*  184596 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184608 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  184613 */     GIR_RootConstrainSelectedInstOperands,
     /*  184614 */     // GIR_Coverage, 719,
     /*  184614 */     GIR_Done,
     /*  184615 */   // Label 3577: @184615
     /*  184615 */   GIM_Try, /*On fail goto*//*Label 3578*/ GIMT_Encode4(184656), // Rule ID 721 //
     /*  184620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184623 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184630 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184637 */     // MIs[0] rs1
     /*  184637 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184649 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184649 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  184654 */     GIR_RootConstrainSelectedInstOperands,
     /*  184655 */     // GIR_Coverage, 721,
     /*  184655 */     GIR_Done,
     /*  184656 */   // Label 3578: @184656
     /*  184656 */   GIM_Try, /*On fail goto*//*Label 3579*/ GIMT_Encode4(184697), // Rule ID 723 //
     /*  184661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184664 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184671 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184678 */     // MIs[0] rs1
     /*  184678 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184690 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184690 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  184695 */     GIR_RootConstrainSelectedInstOperands,
     /*  184696 */     // GIR_Coverage, 723,
     /*  184696 */     GIR_Done,
     /*  184697 */   // Label 3579: @184697
     /*  184697 */   GIM_Try, /*On fail goto*//*Label 3580*/ GIMT_Encode4(184738), // Rule ID 725 //
     /*  184702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184705 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184712 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184719 */     // MIs[0] rs1
     /*  184719 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184731 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184731 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  184736 */     GIR_RootConstrainSelectedInstOperands,
     /*  184737 */     // GIR_Coverage, 725,
     /*  184737 */     GIR_Done,
     /*  184738 */   // Label 3580: @184738
     /*  184738 */   GIM_Try, /*On fail goto*//*Label 3581*/ GIMT_Encode4(184779), // Rule ID 727 //
     /*  184743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184746 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184753 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184760 */     // MIs[0] rs1
     /*  184760 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184772 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184772 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  184777 */     GIR_RootConstrainSelectedInstOperands,
     /*  184778 */     // GIR_Coverage, 727,
     /*  184778 */     GIR_Done,
     /*  184779 */   // Label 3581: @184779
     /*  184779 */   GIM_Try, /*On fail goto*//*Label 3582*/ GIMT_Encode4(184820), // Rule ID 729 //
     /*  184784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184787 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184794 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184801 */     // MIs[0] rs1
     /*  184801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184813 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184813 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  184818 */     GIR_RootConstrainSelectedInstOperands,
     /*  184819 */     // GIR_Coverage, 729,
     /*  184819 */     GIR_Done,
     /*  184820 */   // Label 3582: @184820
     /*  184820 */   GIM_Try, /*On fail goto*//*Label 3583*/ GIMT_Encode4(184861), // Rule ID 731 //
     /*  184825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184828 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184835 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184842 */     // MIs[0] rs1
     /*  184842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184854 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184854 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  184859 */     GIR_RootConstrainSelectedInstOperands,
     /*  184860 */     // GIR_Coverage, 731,
     /*  184860 */     GIR_Done,
     /*  184861 */   // Label 3583: @184861
     /*  184861 */   GIM_Try, /*On fail goto*//*Label 3584*/ GIMT_Encode4(184902), // Rule ID 733 //
     /*  184866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184869 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184876 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184883 */     // MIs[0] rs1
     /*  184883 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184895 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184895 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  184900 */     GIR_RootConstrainSelectedInstOperands,
     /*  184901 */     // GIR_Coverage, 733,
     /*  184901 */     GIR_Done,
     /*  184902 */   // Label 3584: @184902
     /*  184902 */   GIM_Try, /*On fail goto*//*Label 3585*/ GIMT_Encode4(184943), // Rule ID 895 //
     /*  184907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184910 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184917 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184924 */     // MIs[0] rs1
     /*  184924 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184936 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184936 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  184941 */     GIR_RootConstrainSelectedInstOperands,
     /*  184942 */     // GIR_Coverage, 895,
     /*  184942 */     GIR_Done,
     /*  184943 */   // Label 3585: @184943
     /*  184943 */   GIM_Try, /*On fail goto*//*Label 3586*/ GIMT_Encode4(184984), // Rule ID 897 //
     /*  184948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184951 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184958 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184965 */     // MIs[0] rs1
     /*  184965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184977 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184977 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  184982 */     GIR_RootConstrainSelectedInstOperands,
     /*  184983 */     // GIR_Coverage, 897,
     /*  184983 */     GIR_Done,
     /*  184984 */   // Label 3586: @184984
     /*  184984 */   GIM_Try, /*On fail goto*//*Label 3587*/ GIMT_Encode4(185025), // Rule ID 899 //
     /*  184989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184992 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184999 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185006 */     // MIs[0] rs1
     /*  185006 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185018 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  185023 */     GIR_RootConstrainSelectedInstOperands,
     /*  185024 */     // GIR_Coverage, 899,
     /*  185024 */     GIR_Done,
     /*  185025 */   // Label 3587: @185025
     /*  185025 */   GIM_Try, /*On fail goto*//*Label 3588*/ GIMT_Encode4(185066), // Rule ID 901 //
     /*  185030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185033 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185040 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185047 */     // MIs[0] rs1
     /*  185047 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185059 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185059 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  185064 */     GIR_RootConstrainSelectedInstOperands,
     /*  185065 */     // GIR_Coverage, 901,
     /*  185065 */     GIR_Done,
     /*  185066 */   // Label 3588: @185066
     /*  185066 */   GIM_Try, /*On fail goto*//*Label 3589*/ GIMT_Encode4(185107), // Rule ID 903 //
     /*  185071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185074 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185081 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185088 */     // MIs[0] rs1
     /*  185088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185100 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185100 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  185105 */     GIR_RootConstrainSelectedInstOperands,
     /*  185106 */     // GIR_Coverage, 903,
     /*  185106 */     GIR_Done,
     /*  185107 */   // Label 3589: @185107
     /*  185107 */   GIM_Try, /*On fail goto*//*Label 3590*/ GIMT_Encode4(185148), // Rule ID 905 //
     /*  185112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185115 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185122 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185129 */     // MIs[0] rs1
     /*  185129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185141 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185141 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  185146 */     GIR_RootConstrainSelectedInstOperands,
     /*  185147 */     // GIR_Coverage, 905,
     /*  185147 */     GIR_Done,
     /*  185148 */   // Label 3590: @185148
     /*  185148 */   GIM_Try, /*On fail goto*//*Label 3591*/ GIMT_Encode4(185189), // Rule ID 907 //
     /*  185153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185156 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185163 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185170 */     // MIs[0] rs1
     /*  185170 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185182 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185182 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  185187 */     GIR_RootConstrainSelectedInstOperands,
     /*  185188 */     // GIR_Coverage, 907,
     /*  185188 */     GIR_Done,
     /*  185189 */   // Label 3591: @185189
     /*  185189 */   GIM_Try, /*On fail goto*//*Label 3592*/ GIMT_Encode4(185230), // Rule ID 909 //
     /*  185194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185197 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185204 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185211 */     // MIs[0] rs1
     /*  185211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185223 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185223 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  185228 */     GIR_RootConstrainSelectedInstOperands,
     /*  185229 */     // GIR_Coverage, 909,
     /*  185229 */     GIR_Done,
     /*  185230 */   // Label 3592: @185230
     /*  185230 */   GIM_Try, /*On fail goto*//*Label 3593*/ GIMT_Encode4(185271), // Rule ID 911 //
     /*  185235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185238 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185245 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185252 */     // MIs[0] rs1
     /*  185252 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185264 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185264 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  185269 */     GIR_RootConstrainSelectedInstOperands,
     /*  185270 */     // GIR_Coverage, 911,
     /*  185270 */     GIR_Done,
     /*  185271 */   // Label 3593: @185271
     /*  185271 */   GIM_Try, /*On fail goto*//*Label 3594*/ GIMT_Encode4(185312), // Rule ID 913 //
     /*  185276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185279 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185286 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185293 */     // MIs[0] rs1
     /*  185293 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185305 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185305 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  185310 */     GIR_RootConstrainSelectedInstOperands,
     /*  185311 */     // GIR_Coverage, 913,
     /*  185311 */     GIR_Done,
     /*  185312 */   // Label 3594: @185312
     /*  185312 */   GIM_Reject,
     /*  185313 */ // Label 3564: @185313
     /*  185313 */ GIM_Reject,
     /*  185314 */ // Label 3562: @185314
     /*  185314 */ GIM_Try, /*On fail goto*//*Label 3595*/ GIMT_Encode4(186963),
     /*  185319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  185322 */   GIM_Try, /*On fail goto*//*Label 3596*/ GIMT_Encode4(185363), // Rule ID 366 //
     /*  185327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  185330 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185337 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185344 */     // MIs[0] rs1
     /*  185344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185356 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185356 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185361 */     GIR_RootConstrainSelectedInstOperands,
     /*  185362 */     // GIR_Coverage, 366,
     /*  185362 */     GIR_Done,
     /*  185363 */   // Label 3596: @185363
     /*  185363 */   GIM_Try, /*On fail goto*//*Label 3597*/ GIMT_Encode4(185404), // Rule ID 368 //
     /*  185368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  185371 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185378 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185385 */     // MIs[0] rs1
     /*  185385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185397 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  185402 */     GIR_RootConstrainSelectedInstOperands,
     /*  185403 */     // GIR_Coverage, 368,
     /*  185403 */     GIR_Done,
     /*  185404 */   // Label 3597: @185404
     /*  185404 */   GIM_Try, /*On fail goto*//*Label 3598*/ GIMT_Encode4(185445), // Rule ID 370 //
     /*  185409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  185412 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185419 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185426 */     // MIs[0] rs1
     /*  185426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185438 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185438 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  185443 */     GIR_RootConstrainSelectedInstOperands,
     /*  185444 */     // GIR_Coverage, 370,
     /*  185444 */     GIR_Done,
     /*  185445 */   // Label 3598: @185445
     /*  185445 */   GIM_Try, /*On fail goto*//*Label 3599*/ GIMT_Encode4(185486), // Rule ID 372 //
     /*  185450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  185453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185467 */     // MIs[0] rs1
     /*  185467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185479 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  185484 */     GIR_RootConstrainSelectedInstOperands,
     /*  185485 */     // GIR_Coverage, 372,
     /*  185485 */     GIR_Done,
     /*  185486 */   // Label 3599: @185486
     /*  185486 */   GIM_Try, /*On fail goto*//*Label 3600*/ GIMT_Encode4(185527), // Rule ID 374 //
     /*  185491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  185494 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185501 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185508 */     // MIs[0] rs1
     /*  185508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185520 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185520 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  185525 */     GIR_RootConstrainSelectedInstOperands,
     /*  185526 */     // GIR_Coverage, 374,
     /*  185526 */     GIR_Done,
     /*  185527 */   // Label 3600: @185527
     /*  185527 */   GIM_Try, /*On fail goto*//*Label 3601*/ GIMT_Encode4(185568), // Rule ID 376 //
     /*  185532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  185535 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185542 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185549 */     // MIs[0] rs1
     /*  185549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185561 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185561 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185566 */     GIR_RootConstrainSelectedInstOperands,
     /*  185567 */     // GIR_Coverage, 376,
     /*  185567 */     GIR_Done,
     /*  185568 */   // Label 3601: @185568
     /*  185568 */   GIM_Try, /*On fail goto*//*Label 3602*/ GIMT_Encode4(185609), // Rule ID 378 //
     /*  185573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  185576 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185583 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185590 */     // MIs[0] rs1
     /*  185590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185602 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185602 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185607 */     GIR_RootConstrainSelectedInstOperands,
     /*  185608 */     // GIR_Coverage, 378,
     /*  185608 */     GIR_Done,
     /*  185609 */   // Label 3602: @185609
     /*  185609 */   GIM_Try, /*On fail goto*//*Label 3603*/ GIMT_Encode4(185650), // Rule ID 380 //
     /*  185614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  185617 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185624 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185631 */     // MIs[0] rs1
     /*  185631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185643 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185643 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185648 */     GIR_RootConstrainSelectedInstOperands,
     /*  185649 */     // GIR_Coverage, 380,
     /*  185649 */     GIR_Done,
     /*  185650 */   // Label 3603: @185650
     /*  185650 */   GIM_Try, /*On fail goto*//*Label 3604*/ GIMT_Encode4(185691), // Rule ID 382 //
     /*  185655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  185658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185672 */     // MIs[0] rs1
     /*  185672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185684 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185684 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185689 */     GIR_RootConstrainSelectedInstOperands,
     /*  185690 */     // GIR_Coverage, 382,
     /*  185690 */     GIR_Done,
     /*  185691 */   // Label 3604: @185691
     /*  185691 */   GIM_Try, /*On fail goto*//*Label 3605*/ GIMT_Encode4(185732), // Rule ID 384 //
     /*  185696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  185699 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185706 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185713 */     // MIs[0] rs1
     /*  185713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185725 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  185730 */     GIR_RootConstrainSelectedInstOperands,
     /*  185731 */     // GIR_Coverage, 384,
     /*  185731 */     GIR_Done,
     /*  185732 */   // Label 3605: @185732
     /*  185732 */   GIM_Try, /*On fail goto*//*Label 3606*/ GIMT_Encode4(185773), // Rule ID 526 //
     /*  185737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  185740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185747 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185754 */     // MIs[0] rs1
     /*  185754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185766 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185766 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  185771 */     GIR_RootConstrainSelectedInstOperands,
     /*  185772 */     // GIR_Coverage, 526,
     /*  185772 */     GIR_Done,
     /*  185773 */   // Label 3606: @185773
     /*  185773 */   GIM_Try, /*On fail goto*//*Label 3607*/ GIMT_Encode4(185814), // Rule ID 527 //
     /*  185778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  185781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185795 */     // MIs[0] rs1
     /*  185795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185807 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185807 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ),
     /*  185812 */     GIR_RootConstrainSelectedInstOperands,
     /*  185813 */     // GIR_Coverage, 527,
     /*  185813 */     GIR_Done,
     /*  185814 */   // Label 3607: @185814
     /*  185814 */   GIM_Try, /*On fail goto*//*Label 3608*/ GIMT_Encode4(185855), // Rule ID 528 //
     /*  185819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  185822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185836 */     // MIs[0] rs1
     /*  185836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185848 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_RL),
     /*  185853 */     GIR_RootConstrainSelectedInstOperands,
     /*  185854 */     // GIR_Coverage, 528,
     /*  185854 */     GIR_Done,
     /*  185855 */   // Label 3608: @185855
     /*  185855 */   GIM_Try, /*On fail goto*//*Label 3609*/ GIMT_Encode4(185896), // Rule ID 529 //
     /*  185860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  185863 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185870 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185877 */     // MIs[0] rs1
     /*  185877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185889 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  185894 */     GIR_RootConstrainSelectedInstOperands,
     /*  185895 */     // GIR_Coverage, 529,
     /*  185895 */     GIR_Done,
     /*  185896 */   // Label 3609: @185896
     /*  185896 */   GIM_Try, /*On fail goto*//*Label 3610*/ GIMT_Encode4(185937), // Rule ID 530 //
     /*  185901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  185904 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185911 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185918 */     // MIs[0] rs1
     /*  185918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185930 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  185935 */     GIR_RootConstrainSelectedInstOperands,
     /*  185936 */     // GIR_Coverage, 530,
     /*  185936 */     GIR_Done,
     /*  185937 */   // Label 3610: @185937
     /*  185937 */   GIM_Try, /*On fail goto*//*Label 3611*/ GIMT_Encode4(185978), // Rule ID 531 //
     /*  185942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  185945 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185959 */     // MIs[0] rs1
     /*  185959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185971 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185971 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  185976 */     GIR_RootConstrainSelectedInstOperands,
     /*  185977 */     // GIR_Coverage, 531,
     /*  185977 */     GIR_Done,
     /*  185978 */   // Label 3611: @185978
     /*  185978 */   GIM_Try, /*On fail goto*//*Label 3612*/ GIMT_Encode4(186019), // Rule ID 532 //
     /*  185983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  185986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185993 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186000 */     // MIs[0] rs1
     /*  186000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186012 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186012 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  186017 */     GIR_RootConstrainSelectedInstOperands,
     /*  186018 */     // GIR_Coverage, 532,
     /*  186018 */     GIR_Done,
     /*  186019 */   // Label 3612: @186019
     /*  186019 */   GIM_Try, /*On fail goto*//*Label 3613*/ GIMT_Encode4(186060), // Rule ID 533 //
     /*  186024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  186027 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186034 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186041 */     // MIs[0] rs1
     /*  186041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186053 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186053 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  186058 */     GIR_RootConstrainSelectedInstOperands,
     /*  186059 */     // GIR_Coverage, 533,
     /*  186059 */     GIR_Done,
     /*  186060 */   // Label 3613: @186060
     /*  186060 */   GIM_Try, /*On fail goto*//*Label 3614*/ GIMT_Encode4(186101), // Rule ID 534 //
     /*  186065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  186068 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186075 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186082 */     // MIs[0] rs1
     /*  186082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186094 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  186099 */     GIR_RootConstrainSelectedInstOperands,
     /*  186100 */     // GIR_Coverage, 534,
     /*  186100 */     GIR_Done,
     /*  186101 */   // Label 3614: @186101
     /*  186101 */   GIM_Try, /*On fail goto*//*Label 3615*/ GIMT_Encode4(186142), // Rule ID 535 //
     /*  186106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  186109 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186116 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186123 */     // MIs[0] rs1
     /*  186123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186135 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186135 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  186140 */     GIR_RootConstrainSelectedInstOperands,
     /*  186141 */     // GIR_Coverage, 535,
     /*  186141 */     GIR_Done,
     /*  186142 */   // Label 3615: @186142
     /*  186142 */   GIM_Try, /*On fail goto*//*Label 3616*/ GIMT_Encode4(186183), // Rule ID 714 //
     /*  186147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186150 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186157 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186164 */     // MIs[0] rs1
     /*  186164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186176 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186181 */     GIR_RootConstrainSelectedInstOperands,
     /*  186182 */     // GIR_Coverage, 714,
     /*  186182 */     GIR_Done,
     /*  186183 */   // Label 3616: @186183
     /*  186183 */   GIM_Try, /*On fail goto*//*Label 3617*/ GIMT_Encode4(186224), // Rule ID 716 //
     /*  186188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186191 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186198 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186205 */     // MIs[0] rs1
     /*  186205 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186217 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186217 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  186222 */     GIR_RootConstrainSelectedInstOperands,
     /*  186223 */     // GIR_Coverage, 716,
     /*  186223 */     GIR_Done,
     /*  186224 */   // Label 3617: @186224
     /*  186224 */   GIM_Try, /*On fail goto*//*Label 3618*/ GIMT_Encode4(186265), // Rule ID 718 //
     /*  186229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186232 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186239 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186246 */     // MIs[0] rs1
     /*  186246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186258 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186258 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  186263 */     GIR_RootConstrainSelectedInstOperands,
     /*  186264 */     // GIR_Coverage, 718,
     /*  186264 */     GIR_Done,
     /*  186265 */   // Label 3618: @186265
     /*  186265 */   GIM_Try, /*On fail goto*//*Label 3619*/ GIMT_Encode4(186306), // Rule ID 720 //
     /*  186270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186273 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186280 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186287 */     // MIs[0] rs1
     /*  186287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186299 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186299 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  186304 */     GIR_RootConstrainSelectedInstOperands,
     /*  186305 */     // GIR_Coverage, 720,
     /*  186305 */     GIR_Done,
     /*  186306 */   // Label 3619: @186306
     /*  186306 */   GIM_Try, /*On fail goto*//*Label 3620*/ GIMT_Encode4(186347), // Rule ID 722 //
     /*  186311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186314 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186321 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186328 */     // MIs[0] rs1
     /*  186328 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186340 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186340 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  186345 */     GIR_RootConstrainSelectedInstOperands,
     /*  186346 */     // GIR_Coverage, 722,
     /*  186346 */     GIR_Done,
     /*  186347 */   // Label 3620: @186347
     /*  186347 */   GIM_Try, /*On fail goto*//*Label 3621*/ GIMT_Encode4(186388), // Rule ID 724 //
     /*  186352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186355 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186362 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186369 */     // MIs[0] rs1
     /*  186369 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186381 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186381 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186386 */     GIR_RootConstrainSelectedInstOperands,
     /*  186387 */     // GIR_Coverage, 724,
     /*  186387 */     GIR_Done,
     /*  186388 */   // Label 3621: @186388
     /*  186388 */   GIM_Try, /*On fail goto*//*Label 3622*/ GIMT_Encode4(186429), // Rule ID 726 //
     /*  186393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186396 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186403 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186410 */     // MIs[0] rs1
     /*  186410 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186422 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186422 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186427 */     GIR_RootConstrainSelectedInstOperands,
     /*  186428 */     // GIR_Coverage, 726,
     /*  186428 */     GIR_Done,
     /*  186429 */   // Label 3622: @186429
     /*  186429 */   GIM_Try, /*On fail goto*//*Label 3623*/ GIMT_Encode4(186470), // Rule ID 728 //
     /*  186434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186437 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186444 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186451 */     // MIs[0] rs1
     /*  186451 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186463 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186463 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186468 */     GIR_RootConstrainSelectedInstOperands,
     /*  186469 */     // GIR_Coverage, 728,
     /*  186469 */     GIR_Done,
     /*  186470 */   // Label 3623: @186470
     /*  186470 */   GIM_Try, /*On fail goto*//*Label 3624*/ GIMT_Encode4(186511), // Rule ID 730 //
     /*  186475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186478 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186485 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186492 */     // MIs[0] rs1
     /*  186492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186504 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186504 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186509 */     GIR_RootConstrainSelectedInstOperands,
     /*  186510 */     // GIR_Coverage, 730,
     /*  186510 */     GIR_Done,
     /*  186511 */   // Label 3624: @186511
     /*  186511 */   GIM_Try, /*On fail goto*//*Label 3625*/ GIMT_Encode4(186552), // Rule ID 732 //
     /*  186516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186519 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186526 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186533 */     // MIs[0] rs1
     /*  186533 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186545 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186545 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  186550 */     GIR_RootConstrainSelectedInstOperands,
     /*  186551 */     // GIR_Coverage, 732,
     /*  186551 */     GIR_Done,
     /*  186552 */   // Label 3625: @186552
     /*  186552 */   GIM_Try, /*On fail goto*//*Label 3626*/ GIMT_Encode4(186593), // Rule ID 894 //
     /*  186557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186560 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186567 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186574 */     // MIs[0] rs1
     /*  186574 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186586 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186586 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186591 */     GIR_RootConstrainSelectedInstOperands,
     /*  186592 */     // GIR_Coverage, 894,
     /*  186592 */     GIR_Done,
     /*  186593 */   // Label 3626: @186593
     /*  186593 */   GIM_Try, /*On fail goto*//*Label 3627*/ GIMT_Encode4(186634), // Rule ID 896 //
     /*  186598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186601 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186608 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186615 */     // MIs[0] rs1
     /*  186615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186627 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186627 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  186632 */     GIR_RootConstrainSelectedInstOperands,
     /*  186633 */     // GIR_Coverage, 896,
     /*  186633 */     GIR_Done,
     /*  186634 */   // Label 3627: @186634
     /*  186634 */   GIM_Try, /*On fail goto*//*Label 3628*/ GIMT_Encode4(186675), // Rule ID 898 //
     /*  186639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186642 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186649 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186656 */     // MIs[0] rs1
     /*  186656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186668 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186668 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  186673 */     GIR_RootConstrainSelectedInstOperands,
     /*  186674 */     // GIR_Coverage, 898,
     /*  186674 */     GIR_Done,
     /*  186675 */   // Label 3628: @186675
     /*  186675 */   GIM_Try, /*On fail goto*//*Label 3629*/ GIMT_Encode4(186716), // Rule ID 900 //
     /*  186680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186683 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186690 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186697 */     // MIs[0] rs1
     /*  186697 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186709 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186709 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  186714 */     GIR_RootConstrainSelectedInstOperands,
     /*  186715 */     // GIR_Coverage, 900,
     /*  186715 */     GIR_Done,
     /*  186716 */   // Label 3629: @186716
     /*  186716 */   GIM_Try, /*On fail goto*//*Label 3630*/ GIMT_Encode4(186757), // Rule ID 902 //
     /*  186721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186724 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186731 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186738 */     // MIs[0] rs1
     /*  186738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186750 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186750 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  186755 */     GIR_RootConstrainSelectedInstOperands,
     /*  186756 */     // GIR_Coverage, 902,
     /*  186756 */     GIR_Done,
     /*  186757 */   // Label 3630: @186757
     /*  186757 */   GIM_Try, /*On fail goto*//*Label 3631*/ GIMT_Encode4(186798), // Rule ID 904 //
     /*  186762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186765 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186772 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186779 */     // MIs[0] rs1
     /*  186779 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186791 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186791 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186796 */     GIR_RootConstrainSelectedInstOperands,
     /*  186797 */     // GIR_Coverage, 904,
     /*  186797 */     GIR_Done,
     /*  186798 */   // Label 3631: @186798
     /*  186798 */   GIM_Try, /*On fail goto*//*Label 3632*/ GIMT_Encode4(186839), // Rule ID 906 //
     /*  186803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186806 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186813 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186820 */     // MIs[0] rs1
     /*  186820 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186832 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186832 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186837 */     GIR_RootConstrainSelectedInstOperands,
     /*  186838 */     // GIR_Coverage, 906,
     /*  186838 */     GIR_Done,
     /*  186839 */   // Label 3632: @186839
     /*  186839 */   GIM_Try, /*On fail goto*//*Label 3633*/ GIMT_Encode4(186880), // Rule ID 908 //
     /*  186844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186847 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186854 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186861 */     // MIs[0] rs1
     /*  186861 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186873 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186873 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186878 */     GIR_RootConstrainSelectedInstOperands,
     /*  186879 */     // GIR_Coverage, 908,
     /*  186879 */     GIR_Done,
     /*  186880 */   // Label 3633: @186880
     /*  186880 */   GIM_Try, /*On fail goto*//*Label 3634*/ GIMT_Encode4(186921), // Rule ID 910 //
     /*  186885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186888 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186895 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186902 */     // MIs[0] rs1
     /*  186902 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186914 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186914 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186919 */     GIR_RootConstrainSelectedInstOperands,
     /*  186920 */     // GIR_Coverage, 910,
     /*  186920 */     GIR_Done,
     /*  186921 */   // Label 3634: @186921
     /*  186921 */   GIM_Try, /*On fail goto*//*Label 3635*/ GIMT_Encode4(186962), // Rule ID 912 //
     /*  186926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186929 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186936 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186943 */     // MIs[0] rs1
     /*  186943 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186955 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186955 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  186960 */     GIR_RootConstrainSelectedInstOperands,
     /*  186961 */     // GIR_Coverage, 912,
     /*  186961 */     GIR_Done,
     /*  186962 */   // Label 3635: @186962
     /*  186962 */   GIM_Reject,
     /*  186963 */ // Label 3595: @186963
     /*  186963 */ GIM_Reject,
     /*  186964 */ // Label 3563: @186964
     /*  186964 */ GIM_Reject,
     /*  186965 */ // Label 29: @186965
     /*  186965 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3638*/ GIMT_Encode4(187876),
     /*  186976 */ /*GILLT_s32*//*Label 3636*/ GIMT_Encode4(186984),
     /*  186980 */ /*GILLT_s64*//*Label 3637*/ GIMT_Encode4(187266),
     /*  186984 */ // Label 3636: @186984
     /*  186984 */ GIM_Try, /*On fail goto*//*Label 3639*/ GIMT_Encode4(187265),
     /*  186989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  186992 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186999 */   GIM_Try, /*On fail goto*//*Label 3640*/ GIMT_Encode4(187052), // Rule ID 597 //
     /*  187004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  187007 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187014 */     // MIs[0] addr
     /*  187014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  187018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187026 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 2:{ *:[i32] })
     /*  187026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  187029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  187032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  187034 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  187039 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  187041 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  187043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  187046 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  187050 */     GIR_RootConstrainSelectedInstOperands,
     /*  187051 */     // GIR_Coverage, 597,
     /*  187051 */     GIR_EraseRootFromParent_Done,
     /*  187052 */   // Label 3640: @187052
     /*  187052 */   GIM_Try, /*On fail goto*//*Label 3641*/ GIMT_Encode4(187105), // Rule ID 599 //
     /*  187057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  187060 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187067 */     // MIs[0] addr
     /*  187067 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  187071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187079 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 4:{ *:[i32] })
     /*  187079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  187082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  187085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  187087 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  187092 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  187094 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  187096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  187099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  187103 */     GIR_RootConstrainSelectedInstOperands,
     /*  187104 */     // GIR_Coverage, 599,
     /*  187104 */     GIR_EraseRootFromParent_Done,
     /*  187105 */   // Label 3641: @187105
     /*  187105 */   GIM_Try, /*On fail goto*//*Label 3642*/ GIMT_Encode4(187158), // Rule ID 601 //
     /*  187110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  187113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187120 */     // MIs[0] addr
     /*  187120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  187124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187132 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 5:{ *:[i32] })
     /*  187132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  187135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  187138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  187140 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  187145 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  187147 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  187149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  187152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  187156 */     GIR_RootConstrainSelectedInstOperands,
     /*  187157 */     // GIR_Coverage, 601,
     /*  187157 */     GIR_EraseRootFromParent_Done,
     /*  187158 */   // Label 3642: @187158
     /*  187158 */   GIM_Try, /*On fail goto*//*Label 3643*/ GIMT_Encode4(187211), // Rule ID 603 //
     /*  187163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  187166 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187173 */     // MIs[0] addr
     /*  187173 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  187177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187185 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 6:{ *:[i32] })
     /*  187185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  187188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  187191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  187193 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  187198 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  187200 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  187202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  187205 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  187209 */     GIR_RootConstrainSelectedInstOperands,
     /*  187210 */     // GIR_Coverage, 603,
     /*  187210 */     GIR_EraseRootFromParent_Done,
     /*  187211 */   // Label 3643: @187211
     /*  187211 */   GIM_Try, /*On fail goto*//*Label 3644*/ GIMT_Encode4(187264), // Rule ID 605 //
     /*  187216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  187219 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187226 */     // MIs[0] addr
     /*  187226 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  187230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187238 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 7:{ *:[i32] })
     /*  187238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  187241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  187244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  187246 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  187251 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  187253 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  187255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  187258 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  187262 */     GIR_RootConstrainSelectedInstOperands,
     /*  187263 */     // GIR_Coverage, 605,
     /*  187263 */     GIR_EraseRootFromParent_Done,
     /*  187264 */   // Label 3644: @187264
     /*  187264 */   GIM_Reject,
     /*  187265 */ // Label 3639: @187265
     /*  187265 */ GIM_Reject,
     /*  187266 */ // Label 3637: @187266
     /*  187266 */ GIM_Try, /*On fail goto*//*Label 3645*/ GIMT_Encode4(187875),
     /*  187271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  187274 */   GIM_Try, /*On fail goto*//*Label 3646*/ GIMT_Encode4(187334), // Rule ID 596 //
     /*  187279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  187282 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187289 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187296 */     // MIs[0] addr
     /*  187296 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  187300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187308 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  187308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  187311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  187314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  187316 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  187321 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  187323 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  187325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  187328 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  187332 */     GIR_RootConstrainSelectedInstOperands,
     /*  187333 */     // GIR_Coverage, 596,
     /*  187333 */     GIR_EraseRootFromParent_Done,
     /*  187334 */   // Label 3646: @187334
     /*  187334 */   GIM_Try, /*On fail goto*//*Label 3647*/ GIMT_Encode4(187394), // Rule ID 598 //
     /*  187339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  187342 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187349 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187356 */     // MIs[0] addr
     /*  187356 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  187360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187368 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  187368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  187371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  187374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  187376 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  187381 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  187383 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  187385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  187388 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  187392 */     GIR_RootConstrainSelectedInstOperands,
     /*  187393 */     // GIR_Coverage, 598,
     /*  187393 */     GIR_EraseRootFromParent_Done,
     /*  187394 */   // Label 3647: @187394
     /*  187394 */   GIM_Try, /*On fail goto*//*Label 3648*/ GIMT_Encode4(187454), // Rule ID 600 //
     /*  187399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  187402 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187409 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187416 */     // MIs[0] addr
     /*  187416 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  187420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187428 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  187428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  187431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  187434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  187436 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  187441 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  187443 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  187445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  187448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  187452 */     GIR_RootConstrainSelectedInstOperands,
     /*  187453 */     // GIR_Coverage, 600,
     /*  187453 */     GIR_EraseRootFromParent_Done,
     /*  187454 */   // Label 3648: @187454
     /*  187454 */   GIM_Try, /*On fail goto*//*Label 3649*/ GIMT_Encode4(187514), // Rule ID 602 //
     /*  187459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  187462 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187469 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187476 */     // MIs[0] addr
     /*  187476 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  187480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187488 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  187488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  187491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  187494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  187496 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  187501 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  187503 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  187505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  187508 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  187512 */     GIR_RootConstrainSelectedInstOperands,
     /*  187513 */     // GIR_Coverage, 602,
     /*  187513 */     GIR_EraseRootFromParent_Done,
     /*  187514 */   // Label 3649: @187514
     /*  187514 */   GIM_Try, /*On fail goto*//*Label 3650*/ GIMT_Encode4(187574), // Rule ID 604 //
     /*  187519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  187522 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187529 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187536 */     // MIs[0] addr
     /*  187536 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  187540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187548 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  187548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  187551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  187554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  187556 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  187561 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  187563 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  187565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  187568 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  187572 */     GIR_RootConstrainSelectedInstOperands,
     /*  187573 */     // GIR_Coverage, 604,
     /*  187573 */     GIR_EraseRootFromParent_Done,
     /*  187574 */   // Label 3650: @187574
     /*  187574 */   GIM_Try, /*On fail goto*//*Label 3651*/ GIMT_Encode4(187634), // Rule ID 614 //
     /*  187579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  187582 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187589 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187596 */     // MIs[0] addr
     /*  187596 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  187600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187608 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_monotonic>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  187608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  187611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  187614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  187616 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  187621 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  187623 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  187625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  187628 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  187632 */     GIR_RootConstrainSelectedInstOperands,
     /*  187633 */     // GIR_Coverage, 614,
     /*  187633 */     GIR_EraseRootFromParent_Done,
     /*  187634 */   // Label 3651: @187634
     /*  187634 */   GIM_Try, /*On fail goto*//*Label 3652*/ GIMT_Encode4(187694), // Rule ID 615 //
     /*  187639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  187642 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187649 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187656 */     // MIs[0] addr
     /*  187656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  187660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187668 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acquire>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  187668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  187671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  187674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  187676 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  187681 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  187683 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  187685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  187688 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  187692 */     GIR_RootConstrainSelectedInstOperands,
     /*  187693 */     // GIR_Coverage, 615,
     /*  187693 */     GIR_EraseRootFromParent_Done,
     /*  187694 */   // Label 3652: @187694
     /*  187694 */   GIM_Try, /*On fail goto*//*Label 3653*/ GIMT_Encode4(187754), // Rule ID 616 //
     /*  187699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  187702 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187709 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187716 */     // MIs[0] addr
     /*  187716 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  187720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187728 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_release>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  187728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  187731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  187734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  187736 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  187741 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  187743 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  187745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  187748 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  187752 */     GIR_RootConstrainSelectedInstOperands,
     /*  187753 */     // GIR_Coverage, 616,
     /*  187753 */     GIR_EraseRootFromParent_Done,
     /*  187754 */   // Label 3653: @187754
     /*  187754 */   GIM_Try, /*On fail goto*//*Label 3654*/ GIMT_Encode4(187814), // Rule ID 617 //
     /*  187759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  187762 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187769 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187776 */     // MIs[0] addr
     /*  187776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  187780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187788 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acq_rel>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  187788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  187791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  187794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  187796 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  187801 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  187803 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  187805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  187808 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  187812 */     GIR_RootConstrainSelectedInstOperands,
     /*  187813 */     // GIR_Coverage, 617,
     /*  187813 */     GIR_EraseRootFromParent_Done,
     /*  187814 */   // Label 3654: @187814
     /*  187814 */   GIM_Try, /*On fail goto*//*Label 3655*/ GIMT_Encode4(187874), // Rule ID 618 //
     /*  187819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  187822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187836 */     // MIs[0] addr
     /*  187836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  187840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187848 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_seq_cst>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  187848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  187851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  187854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  187856 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  187861 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  187863 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  187865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  187868 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  187872 */     GIR_RootConstrainSelectedInstOperands,
     /*  187873 */     // GIR_Coverage, 618,
     /*  187873 */     GIR_EraseRootFromParent_Done,
     /*  187874 */   // Label 3655: @187874
     /*  187874 */   GIM_Reject,
     /*  187875 */ // Label 3645: @187875
     /*  187875 */ GIM_Reject,
     /*  187876 */ // Label 3638: @187876
     /*  187876 */ GIM_Reject,
     /*  187877 */ // Label 30: @187877
     /*  187877 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3658*/ GIMT_Encode4(190786),
     /*  187888 */ /*GILLT_s32*//*Label 3656*/ GIMT_Encode4(187896),
     /*  187892 */ /*GILLT_s64*//*Label 3657*/ GIMT_Encode4(189136),
     /*  187896 */ // Label 3656: @187896
     /*  187896 */ GIM_Try, /*On fail goto*//*Label 3659*/ GIMT_Encode4(189135),
     /*  187901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  187904 */   GIM_Try, /*On fail goto*//*Label 3660*/ GIMT_Encode4(187945), // Rule ID 387 //
     /*  187909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  187912 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187919 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187926 */     // MIs[0] rs1
     /*  187926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187938 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  187943 */     GIR_RootConstrainSelectedInstOperands,
     /*  187944 */     // GIR_Coverage, 387,
     /*  187944 */     GIR_Done,
     /*  187945 */   // Label 3660: @187945
     /*  187945 */   GIM_Try, /*On fail goto*//*Label 3661*/ GIMT_Encode4(187986), // Rule ID 389 //
     /*  187950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  187953 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187967 */     // MIs[0] rs1
     /*  187967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187979 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  187984 */     GIR_RootConstrainSelectedInstOperands,
     /*  187985 */     // GIR_Coverage, 389,
     /*  187985 */     GIR_Done,
     /*  187986 */   // Label 3661: @187986
     /*  187986 */   GIM_Try, /*On fail goto*//*Label 3662*/ GIMT_Encode4(188027), // Rule ID 391 //
     /*  187991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  187994 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188001 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188008 */     // MIs[0] rs1
     /*  188008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188020 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188020 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  188025 */     GIR_RootConstrainSelectedInstOperands,
     /*  188026 */     // GIR_Coverage, 391,
     /*  188026 */     GIR_Done,
     /*  188027 */   // Label 3662: @188027
     /*  188027 */   GIM_Try, /*On fail goto*//*Label 3663*/ GIMT_Encode4(188068), // Rule ID 393 //
     /*  188032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  188035 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188042 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188049 */     // MIs[0] rs1
     /*  188049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188061 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188061 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  188066 */     GIR_RootConstrainSelectedInstOperands,
     /*  188067 */     // GIR_Coverage, 393,
     /*  188067 */     GIR_Done,
     /*  188068 */   // Label 3663: @188068
     /*  188068 */   GIM_Try, /*On fail goto*//*Label 3664*/ GIMT_Encode4(188109), // Rule ID 395 //
     /*  188073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  188076 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188083 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188090 */     // MIs[0] rs1
     /*  188090 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188102 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188102 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  188107 */     GIR_RootConstrainSelectedInstOperands,
     /*  188108 */     // GIR_Coverage, 395,
     /*  188108 */     GIR_Done,
     /*  188109 */   // Label 3664: @188109
     /*  188109 */   GIM_Try, /*On fail goto*//*Label 3665*/ GIMT_Encode4(188150), // Rule ID 397 //
     /*  188114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  188117 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188124 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188131 */     // MIs[0] rs1
     /*  188131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188143 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188143 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  188148 */     GIR_RootConstrainSelectedInstOperands,
     /*  188149 */     // GIR_Coverage, 397,
     /*  188149 */     GIR_Done,
     /*  188150 */   // Label 3665: @188150
     /*  188150 */   GIM_Try, /*On fail goto*//*Label 3666*/ GIMT_Encode4(188191), // Rule ID 399 //
     /*  188155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  188158 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188165 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188172 */     // MIs[0] rs1
     /*  188172 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188184 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188184 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  188189 */     GIR_RootConstrainSelectedInstOperands,
     /*  188190 */     // GIR_Coverage, 399,
     /*  188190 */     GIR_Done,
     /*  188191 */   // Label 3666: @188191
     /*  188191 */   GIM_Try, /*On fail goto*//*Label 3667*/ GIMT_Encode4(188232), // Rule ID 401 //
     /*  188196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  188199 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188206 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188213 */     // MIs[0] rs1
     /*  188213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188225 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188225 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  188230 */     GIR_RootConstrainSelectedInstOperands,
     /*  188231 */     // GIR_Coverage, 401,
     /*  188231 */     GIR_Done,
     /*  188232 */   // Label 3667: @188232
     /*  188232 */   GIM_Try, /*On fail goto*//*Label 3668*/ GIMT_Encode4(188273), // Rule ID 403 //
     /*  188237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  188240 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188247 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188254 */     // MIs[0] rs1
     /*  188254 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188266 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188266 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  188271 */     GIR_RootConstrainSelectedInstOperands,
     /*  188272 */     // GIR_Coverage, 403,
     /*  188272 */     GIR_Done,
     /*  188273 */   // Label 3668: @188273
     /*  188273 */   GIM_Try, /*On fail goto*//*Label 3669*/ GIMT_Encode4(188314), // Rule ID 405 //
     /*  188278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  188281 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188288 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188295 */     // MIs[0] rs1
     /*  188295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188307 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188307 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  188312 */     GIR_RootConstrainSelectedInstOperands,
     /*  188313 */     // GIR_Coverage, 405,
     /*  188313 */     GIR_Done,
     /*  188314 */   // Label 3669: @188314
     /*  188314 */   GIM_Try, /*On fail goto*//*Label 3670*/ GIMT_Encode4(188355), // Rule ID 735 //
     /*  188319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188322 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188329 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188336 */     // MIs[0] rs1
     /*  188336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188348 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188348 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  188353 */     GIR_RootConstrainSelectedInstOperands,
     /*  188354 */     // GIR_Coverage, 735,
     /*  188354 */     GIR_Done,
     /*  188355 */   // Label 3670: @188355
     /*  188355 */   GIM_Try, /*On fail goto*//*Label 3671*/ GIMT_Encode4(188396), // Rule ID 737 //
     /*  188360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188363 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188370 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188377 */     // MIs[0] rs1
     /*  188377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188389 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  188394 */     GIR_RootConstrainSelectedInstOperands,
     /*  188395 */     // GIR_Coverage, 737,
     /*  188395 */     GIR_Done,
     /*  188396 */   // Label 3671: @188396
     /*  188396 */   GIM_Try, /*On fail goto*//*Label 3672*/ GIMT_Encode4(188437), // Rule ID 739 //
     /*  188401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188404 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188411 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188418 */     // MIs[0] rs1
     /*  188418 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188430 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188430 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  188435 */     GIR_RootConstrainSelectedInstOperands,
     /*  188436 */     // GIR_Coverage, 739,
     /*  188436 */     GIR_Done,
     /*  188437 */   // Label 3672: @188437
     /*  188437 */   GIM_Try, /*On fail goto*//*Label 3673*/ GIMT_Encode4(188478), // Rule ID 741 //
     /*  188442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188445 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188452 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188459 */     // MIs[0] rs1
     /*  188459 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188471 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188471 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  188476 */     GIR_RootConstrainSelectedInstOperands,
     /*  188477 */     // GIR_Coverage, 741,
     /*  188477 */     GIR_Done,
     /*  188478 */   // Label 3673: @188478
     /*  188478 */   GIM_Try, /*On fail goto*//*Label 3674*/ GIMT_Encode4(188519), // Rule ID 743 //
     /*  188483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188486 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188493 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188500 */     // MIs[0] rs1
     /*  188500 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188512 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188512 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  188517 */     GIR_RootConstrainSelectedInstOperands,
     /*  188518 */     // GIR_Coverage, 743,
     /*  188518 */     GIR_Done,
     /*  188519 */   // Label 3674: @188519
     /*  188519 */   GIM_Try, /*On fail goto*//*Label 3675*/ GIMT_Encode4(188560), // Rule ID 745 //
     /*  188524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188527 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188534 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188541 */     // MIs[0] rs1
     /*  188541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188553 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188553 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  188558 */     GIR_RootConstrainSelectedInstOperands,
     /*  188559 */     // GIR_Coverage, 745,
     /*  188559 */     GIR_Done,
     /*  188560 */   // Label 3675: @188560
     /*  188560 */   GIM_Try, /*On fail goto*//*Label 3676*/ GIMT_Encode4(188601), // Rule ID 747 //
     /*  188565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188568 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188575 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188582 */     // MIs[0] rs1
     /*  188582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188594 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188594 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  188599 */     GIR_RootConstrainSelectedInstOperands,
     /*  188600 */     // GIR_Coverage, 747,
     /*  188600 */     GIR_Done,
     /*  188601 */   // Label 3676: @188601
     /*  188601 */   GIM_Try, /*On fail goto*//*Label 3677*/ GIMT_Encode4(188642), // Rule ID 749 //
     /*  188606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188609 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188616 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188623 */     // MIs[0] rs1
     /*  188623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188635 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188635 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  188640 */     GIR_RootConstrainSelectedInstOperands,
     /*  188641 */     // GIR_Coverage, 749,
     /*  188641 */     GIR_Done,
     /*  188642 */   // Label 3677: @188642
     /*  188642 */   GIM_Try, /*On fail goto*//*Label 3678*/ GIMT_Encode4(188683), // Rule ID 751 //
     /*  188647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188650 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188657 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188664 */     // MIs[0] rs1
     /*  188664 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188676 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188676 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  188681 */     GIR_RootConstrainSelectedInstOperands,
     /*  188682 */     // GIR_Coverage, 751,
     /*  188682 */     GIR_Done,
     /*  188683 */   // Label 3678: @188683
     /*  188683 */   GIM_Try, /*On fail goto*//*Label 3679*/ GIMT_Encode4(188724), // Rule ID 753 //
     /*  188688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188691 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188698 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188705 */     // MIs[0] rs1
     /*  188705 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188717 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188717 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  188722 */     GIR_RootConstrainSelectedInstOperands,
     /*  188723 */     // GIR_Coverage, 753,
     /*  188723 */     GIR_Done,
     /*  188724 */   // Label 3679: @188724
     /*  188724 */   GIM_Try, /*On fail goto*//*Label 3680*/ GIMT_Encode4(188765), // Rule ID 915 //
     /*  188729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188732 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188739 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188746 */     // MIs[0] rs1
     /*  188746 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188758 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188758 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  188763 */     GIR_RootConstrainSelectedInstOperands,
     /*  188764 */     // GIR_Coverage, 915,
     /*  188764 */     GIR_Done,
     /*  188765 */   // Label 3680: @188765
     /*  188765 */   GIM_Try, /*On fail goto*//*Label 3681*/ GIMT_Encode4(188806), // Rule ID 917 //
     /*  188770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188773 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188780 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188787 */     // MIs[0] rs1
     /*  188787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188799 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188799 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  188804 */     GIR_RootConstrainSelectedInstOperands,
     /*  188805 */     // GIR_Coverage, 917,
     /*  188805 */     GIR_Done,
     /*  188806 */   // Label 3681: @188806
     /*  188806 */   GIM_Try, /*On fail goto*//*Label 3682*/ GIMT_Encode4(188847), // Rule ID 919 //
     /*  188811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188814 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188821 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188828 */     // MIs[0] rs1
     /*  188828 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188840 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  188845 */     GIR_RootConstrainSelectedInstOperands,
     /*  188846 */     // GIR_Coverage, 919,
     /*  188846 */     GIR_Done,
     /*  188847 */   // Label 3682: @188847
     /*  188847 */   GIM_Try, /*On fail goto*//*Label 3683*/ GIMT_Encode4(188888), // Rule ID 921 //
     /*  188852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188855 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188862 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188869 */     // MIs[0] rs1
     /*  188869 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188881 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188881 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  188886 */     GIR_RootConstrainSelectedInstOperands,
     /*  188887 */     // GIR_Coverage, 921,
     /*  188887 */     GIR_Done,
     /*  188888 */   // Label 3683: @188888
     /*  188888 */   GIM_Try, /*On fail goto*//*Label 3684*/ GIMT_Encode4(188929), // Rule ID 923 //
     /*  188893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188896 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188903 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188910 */     // MIs[0] rs1
     /*  188910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188922 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188922 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  188927 */     GIR_RootConstrainSelectedInstOperands,
     /*  188928 */     // GIR_Coverage, 923,
     /*  188928 */     GIR_Done,
     /*  188929 */   // Label 3684: @188929
     /*  188929 */   GIM_Try, /*On fail goto*//*Label 3685*/ GIMT_Encode4(188970), // Rule ID 925 //
     /*  188934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188937 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188944 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188951 */     // MIs[0] rs1
     /*  188951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188963 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188963 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  188968 */     GIR_RootConstrainSelectedInstOperands,
     /*  188969 */     // GIR_Coverage, 925,
     /*  188969 */     GIR_Done,
     /*  188970 */   // Label 3685: @188970
     /*  188970 */   GIM_Try, /*On fail goto*//*Label 3686*/ GIMT_Encode4(189011), // Rule ID 927 //
     /*  188975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188978 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188985 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188992 */     // MIs[0] rs1
     /*  188992 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189004 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189004 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  189009 */     GIR_RootConstrainSelectedInstOperands,
     /*  189010 */     // GIR_Coverage, 927,
     /*  189010 */     GIR_Done,
     /*  189011 */   // Label 3686: @189011
     /*  189011 */   GIM_Try, /*On fail goto*//*Label 3687*/ GIMT_Encode4(189052), // Rule ID 929 //
     /*  189016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  189019 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189026 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189033 */     // MIs[0] rs1
     /*  189033 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189045 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189045 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  189050 */     GIR_RootConstrainSelectedInstOperands,
     /*  189051 */     // GIR_Coverage, 929,
     /*  189051 */     GIR_Done,
     /*  189052 */   // Label 3687: @189052
     /*  189052 */   GIM_Try, /*On fail goto*//*Label 3688*/ GIMT_Encode4(189093), // Rule ID 931 //
     /*  189057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  189060 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189067 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189074 */     // MIs[0] rs1
     /*  189074 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189086 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189086 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  189091 */     GIR_RootConstrainSelectedInstOperands,
     /*  189092 */     // GIR_Coverage, 931,
     /*  189092 */     GIR_Done,
     /*  189093 */   // Label 3688: @189093
     /*  189093 */   GIM_Try, /*On fail goto*//*Label 3689*/ GIMT_Encode4(189134), // Rule ID 933 //
     /*  189098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  189101 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189108 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189115 */     // MIs[0] rs1
     /*  189115 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189127 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189127 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  189132 */     GIR_RootConstrainSelectedInstOperands,
     /*  189133 */     // GIR_Coverage, 933,
     /*  189133 */     GIR_Done,
     /*  189134 */   // Label 3689: @189134
     /*  189134 */   GIM_Reject,
     /*  189135 */ // Label 3659: @189135
     /*  189135 */ GIM_Reject,
     /*  189136 */ // Label 3657: @189136
     /*  189136 */ GIM_Try, /*On fail goto*//*Label 3690*/ GIMT_Encode4(190785),
     /*  189141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  189144 */   GIM_Try, /*On fail goto*//*Label 3691*/ GIMT_Encode4(189185), // Rule ID 386 //
     /*  189149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  189152 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189159 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189166 */     // MIs[0] rs1
     /*  189166 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189178 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189178 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189183 */     GIR_RootConstrainSelectedInstOperands,
     /*  189184 */     // GIR_Coverage, 386,
     /*  189184 */     GIR_Done,
     /*  189185 */   // Label 3691: @189185
     /*  189185 */   GIM_Try, /*On fail goto*//*Label 3692*/ GIMT_Encode4(189226), // Rule ID 388 //
     /*  189190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  189193 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189200 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189207 */     // MIs[0] rs1
     /*  189207 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189219 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189219 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  189224 */     GIR_RootConstrainSelectedInstOperands,
     /*  189225 */     // GIR_Coverage, 388,
     /*  189225 */     GIR_Done,
     /*  189226 */   // Label 3692: @189226
     /*  189226 */   GIM_Try, /*On fail goto*//*Label 3693*/ GIMT_Encode4(189267), // Rule ID 390 //
     /*  189231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  189234 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189241 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189248 */     // MIs[0] rs1
     /*  189248 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189260 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189260 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  189265 */     GIR_RootConstrainSelectedInstOperands,
     /*  189266 */     // GIR_Coverage, 390,
     /*  189266 */     GIR_Done,
     /*  189267 */   // Label 3693: @189267
     /*  189267 */   GIM_Try, /*On fail goto*//*Label 3694*/ GIMT_Encode4(189308), // Rule ID 392 //
     /*  189272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  189275 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189282 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189289 */     // MIs[0] rs1
     /*  189289 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189301 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189301 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  189306 */     GIR_RootConstrainSelectedInstOperands,
     /*  189307 */     // GIR_Coverage, 392,
     /*  189307 */     GIR_Done,
     /*  189308 */   // Label 3694: @189308
     /*  189308 */   GIM_Try, /*On fail goto*//*Label 3695*/ GIMT_Encode4(189349), // Rule ID 394 //
     /*  189313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  189316 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189323 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189330 */     // MIs[0] rs1
     /*  189330 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189342 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189342 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  189347 */     GIR_RootConstrainSelectedInstOperands,
     /*  189348 */     // GIR_Coverage, 394,
     /*  189348 */     GIR_Done,
     /*  189349 */   // Label 3695: @189349
     /*  189349 */   GIM_Try, /*On fail goto*//*Label 3696*/ GIMT_Encode4(189390), // Rule ID 396 //
     /*  189354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  189357 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189364 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189371 */     // MIs[0] rs1
     /*  189371 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189383 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189383 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189388 */     GIR_RootConstrainSelectedInstOperands,
     /*  189389 */     // GIR_Coverage, 396,
     /*  189389 */     GIR_Done,
     /*  189390 */   // Label 3696: @189390
     /*  189390 */   GIM_Try, /*On fail goto*//*Label 3697*/ GIMT_Encode4(189431), // Rule ID 398 //
     /*  189395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  189398 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189405 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189412 */     // MIs[0] rs1
     /*  189412 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189424 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189424 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189429 */     GIR_RootConstrainSelectedInstOperands,
     /*  189430 */     // GIR_Coverage, 398,
     /*  189430 */     GIR_Done,
     /*  189431 */   // Label 3697: @189431
     /*  189431 */   GIM_Try, /*On fail goto*//*Label 3698*/ GIMT_Encode4(189472), // Rule ID 400 //
     /*  189436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  189439 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189446 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189453 */     // MIs[0] rs1
     /*  189453 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189465 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189465 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189470 */     GIR_RootConstrainSelectedInstOperands,
     /*  189471 */     // GIR_Coverage, 400,
     /*  189471 */     GIR_Done,
     /*  189472 */   // Label 3698: @189472
     /*  189472 */   GIM_Try, /*On fail goto*//*Label 3699*/ GIMT_Encode4(189513), // Rule ID 402 //
     /*  189477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  189480 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189487 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189494 */     // MIs[0] rs1
     /*  189494 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189506 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189506 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189511 */     GIR_RootConstrainSelectedInstOperands,
     /*  189512 */     // GIR_Coverage, 402,
     /*  189512 */     GIR_Done,
     /*  189513 */   // Label 3699: @189513
     /*  189513 */   GIM_Try, /*On fail goto*//*Label 3700*/ GIMT_Encode4(189554), // Rule ID 404 //
     /*  189518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  189521 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189528 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189535 */     // MIs[0] rs1
     /*  189535 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189547 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189547 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  189552 */     GIR_RootConstrainSelectedInstOperands,
     /*  189553 */     // GIR_Coverage, 404,
     /*  189553 */     GIR_Done,
     /*  189554 */   // Label 3700: @189554
     /*  189554 */   GIM_Try, /*On fail goto*//*Label 3701*/ GIMT_Encode4(189595), // Rule ID 536 //
     /*  189559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  189562 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189569 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189576 */     // MIs[0] rs1
     /*  189576 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189588 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189588 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  189593 */     GIR_RootConstrainSelectedInstOperands,
     /*  189594 */     // GIR_Coverage, 536,
     /*  189594 */     GIR_Done,
     /*  189595 */   // Label 3701: @189595
     /*  189595 */   GIM_Try, /*On fail goto*//*Label 3702*/ GIMT_Encode4(189636), // Rule ID 537 //
     /*  189600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  189603 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189610 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189617 */     // MIs[0] rs1
     /*  189617 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189629 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189629 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ),
     /*  189634 */     GIR_RootConstrainSelectedInstOperands,
     /*  189635 */     // GIR_Coverage, 537,
     /*  189635 */     GIR_Done,
     /*  189636 */   // Label 3702: @189636
     /*  189636 */   GIM_Try, /*On fail goto*//*Label 3703*/ GIMT_Encode4(189677), // Rule ID 538 //
     /*  189641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  189644 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189651 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189658 */     // MIs[0] rs1
     /*  189658 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189670 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189670 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_RL),
     /*  189675 */     GIR_RootConstrainSelectedInstOperands,
     /*  189676 */     // GIR_Coverage, 538,
     /*  189676 */     GIR_Done,
     /*  189677 */   // Label 3703: @189677
     /*  189677 */   GIM_Try, /*On fail goto*//*Label 3704*/ GIMT_Encode4(189718), // Rule ID 539 //
     /*  189682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  189685 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189692 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189699 */     // MIs[0] rs1
     /*  189699 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189711 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189711 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  189716 */     GIR_RootConstrainSelectedInstOperands,
     /*  189717 */     // GIR_Coverage, 539,
     /*  189717 */     GIR_Done,
     /*  189718 */   // Label 3704: @189718
     /*  189718 */   GIM_Try, /*On fail goto*//*Label 3705*/ GIMT_Encode4(189759), // Rule ID 540 //
     /*  189723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  189726 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189733 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189740 */     // MIs[0] rs1
     /*  189740 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189752 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189752 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  189757 */     GIR_RootConstrainSelectedInstOperands,
     /*  189758 */     // GIR_Coverage, 540,
     /*  189758 */     GIR_Done,
     /*  189759 */   // Label 3705: @189759
     /*  189759 */   GIM_Try, /*On fail goto*//*Label 3706*/ GIMT_Encode4(189800), // Rule ID 541 //
     /*  189764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  189767 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189774 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189781 */     // MIs[0] rs1
     /*  189781 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189793 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189793 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  189798 */     GIR_RootConstrainSelectedInstOperands,
     /*  189799 */     // GIR_Coverage, 541,
     /*  189799 */     GIR_Done,
     /*  189800 */   // Label 3706: @189800
     /*  189800 */   GIM_Try, /*On fail goto*//*Label 3707*/ GIMT_Encode4(189841), // Rule ID 542 //
     /*  189805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  189808 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189815 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189822 */     // MIs[0] rs1
     /*  189822 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189834 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189834 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  189839 */     GIR_RootConstrainSelectedInstOperands,
     /*  189840 */     // GIR_Coverage, 542,
     /*  189840 */     GIR_Done,
     /*  189841 */   // Label 3707: @189841
     /*  189841 */   GIM_Try, /*On fail goto*//*Label 3708*/ GIMT_Encode4(189882), // Rule ID 543 //
     /*  189846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  189849 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189856 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189863 */     // MIs[0] rs1
     /*  189863 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189875 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189875 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  189880 */     GIR_RootConstrainSelectedInstOperands,
     /*  189881 */     // GIR_Coverage, 543,
     /*  189881 */     GIR_Done,
     /*  189882 */   // Label 3708: @189882
     /*  189882 */   GIM_Try, /*On fail goto*//*Label 3709*/ GIMT_Encode4(189923), // Rule ID 544 //
     /*  189887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  189890 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189897 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189904 */     // MIs[0] rs1
     /*  189904 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189916 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189916 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  189921 */     GIR_RootConstrainSelectedInstOperands,
     /*  189922 */     // GIR_Coverage, 544,
     /*  189922 */     GIR_Done,
     /*  189923 */   // Label 3709: @189923
     /*  189923 */   GIM_Try, /*On fail goto*//*Label 3710*/ GIMT_Encode4(189964), // Rule ID 545 //
     /*  189928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  189931 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189938 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189945 */     // MIs[0] rs1
     /*  189945 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189957 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189957 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  189962 */     GIR_RootConstrainSelectedInstOperands,
     /*  189963 */     // GIR_Coverage, 545,
     /*  189963 */     GIR_Done,
     /*  189964 */   // Label 3710: @189964
     /*  189964 */   GIM_Try, /*On fail goto*//*Label 3711*/ GIMT_Encode4(190005), // Rule ID 734 //
     /*  189969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189972 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189979 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189986 */     // MIs[0] rs1
     /*  189986 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189998 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189998 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190003 */     GIR_RootConstrainSelectedInstOperands,
     /*  190004 */     // GIR_Coverage, 734,
     /*  190004 */     GIR_Done,
     /*  190005 */   // Label 3711: @190005
     /*  190005 */   GIM_Try, /*On fail goto*//*Label 3712*/ GIMT_Encode4(190046), // Rule ID 736 //
     /*  190010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  190013 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190020 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190027 */     // MIs[0] rs1
     /*  190027 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190039 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190039 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  190044 */     GIR_RootConstrainSelectedInstOperands,
     /*  190045 */     // GIR_Coverage, 736,
     /*  190045 */     GIR_Done,
     /*  190046 */   // Label 3712: @190046
     /*  190046 */   GIM_Try, /*On fail goto*//*Label 3713*/ GIMT_Encode4(190087), // Rule ID 738 //
     /*  190051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  190054 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190061 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190068 */     // MIs[0] rs1
     /*  190068 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190080 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190080 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  190085 */     GIR_RootConstrainSelectedInstOperands,
     /*  190086 */     // GIR_Coverage, 738,
     /*  190086 */     GIR_Done,
     /*  190087 */   // Label 3713: @190087
     /*  190087 */   GIM_Try, /*On fail goto*//*Label 3714*/ GIMT_Encode4(190128), // Rule ID 740 //
     /*  190092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  190095 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190102 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190109 */     // MIs[0] rs1
     /*  190109 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190121 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190121 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  190126 */     GIR_RootConstrainSelectedInstOperands,
     /*  190127 */     // GIR_Coverage, 740,
     /*  190127 */     GIR_Done,
     /*  190128 */   // Label 3714: @190128
     /*  190128 */   GIM_Try, /*On fail goto*//*Label 3715*/ GIMT_Encode4(190169), // Rule ID 742 //
     /*  190133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  190136 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190143 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190150 */     // MIs[0] rs1
     /*  190150 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190162 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190162 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  190167 */     GIR_RootConstrainSelectedInstOperands,
     /*  190168 */     // GIR_Coverage, 742,
     /*  190168 */     GIR_Done,
     /*  190169 */   // Label 3715: @190169
     /*  190169 */   GIM_Try, /*On fail goto*//*Label 3716*/ GIMT_Encode4(190210), // Rule ID 744 //
     /*  190174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  190177 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190184 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190191 */     // MIs[0] rs1
     /*  190191 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190203 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190203 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190208 */     GIR_RootConstrainSelectedInstOperands,
     /*  190209 */     // GIR_Coverage, 744,
     /*  190209 */     GIR_Done,
     /*  190210 */   // Label 3716: @190210
     /*  190210 */   GIM_Try, /*On fail goto*//*Label 3717*/ GIMT_Encode4(190251), // Rule ID 746 //
     /*  190215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  190218 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190225 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190232 */     // MIs[0] rs1
     /*  190232 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190244 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190244 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190249 */     GIR_RootConstrainSelectedInstOperands,
     /*  190250 */     // GIR_Coverage, 746,
     /*  190250 */     GIR_Done,
     /*  190251 */   // Label 3717: @190251
     /*  190251 */   GIM_Try, /*On fail goto*//*Label 3718*/ GIMT_Encode4(190292), // Rule ID 748 //
     /*  190256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  190259 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190266 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190273 */     // MIs[0] rs1
     /*  190273 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190285 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190285 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190290 */     GIR_RootConstrainSelectedInstOperands,
     /*  190291 */     // GIR_Coverage, 748,
     /*  190291 */     GIR_Done,
     /*  190292 */   // Label 3718: @190292
     /*  190292 */   GIM_Try, /*On fail goto*//*Label 3719*/ GIMT_Encode4(190333), // Rule ID 750 //
     /*  190297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  190300 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190307 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190314 */     // MIs[0] rs1
     /*  190314 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190326 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190326 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190331 */     GIR_RootConstrainSelectedInstOperands,
     /*  190332 */     // GIR_Coverage, 750,
     /*  190332 */     GIR_Done,
     /*  190333 */   // Label 3719: @190333
     /*  190333 */   GIM_Try, /*On fail goto*//*Label 3720*/ GIMT_Encode4(190374), // Rule ID 752 //
     /*  190338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  190341 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190348 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190355 */     // MIs[0] rs1
     /*  190355 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190367 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190367 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  190372 */     GIR_RootConstrainSelectedInstOperands,
     /*  190373 */     // GIR_Coverage, 752,
     /*  190373 */     GIR_Done,
     /*  190374 */   // Label 3720: @190374
     /*  190374 */   GIM_Try, /*On fail goto*//*Label 3721*/ GIMT_Encode4(190415), // Rule ID 914 //
     /*  190379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  190382 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190389 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190396 */     // MIs[0] rs1
     /*  190396 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190408 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190408 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190413 */     GIR_RootConstrainSelectedInstOperands,
     /*  190414 */     // GIR_Coverage, 914,
     /*  190414 */     GIR_Done,
     /*  190415 */   // Label 3721: @190415
     /*  190415 */   GIM_Try, /*On fail goto*//*Label 3722*/ GIMT_Encode4(190456), // Rule ID 916 //
     /*  190420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  190423 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190430 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190437 */     // MIs[0] rs1
     /*  190437 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190449 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190449 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  190454 */     GIR_RootConstrainSelectedInstOperands,
     /*  190455 */     // GIR_Coverage, 916,
     /*  190455 */     GIR_Done,
     /*  190456 */   // Label 3722: @190456
     /*  190456 */   GIM_Try, /*On fail goto*//*Label 3723*/ GIMT_Encode4(190497), // Rule ID 918 //
     /*  190461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  190464 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190471 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190478 */     // MIs[0] rs1
     /*  190478 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190490 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190490 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  190495 */     GIR_RootConstrainSelectedInstOperands,
     /*  190496 */     // GIR_Coverage, 918,
     /*  190496 */     GIR_Done,
     /*  190497 */   // Label 3723: @190497
     /*  190497 */   GIM_Try, /*On fail goto*//*Label 3724*/ GIMT_Encode4(190538), // Rule ID 920 //
     /*  190502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  190505 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190512 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190519 */     // MIs[0] rs1
     /*  190519 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190531 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190531 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  190536 */     GIR_RootConstrainSelectedInstOperands,
     /*  190537 */     // GIR_Coverage, 920,
     /*  190537 */     GIR_Done,
     /*  190538 */   // Label 3724: @190538
     /*  190538 */   GIM_Try, /*On fail goto*//*Label 3725*/ GIMT_Encode4(190579), // Rule ID 922 //
     /*  190543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  190546 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190553 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190560 */     // MIs[0] rs1
     /*  190560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190572 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190572 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  190577 */     GIR_RootConstrainSelectedInstOperands,
     /*  190578 */     // GIR_Coverage, 922,
     /*  190578 */     GIR_Done,
     /*  190579 */   // Label 3725: @190579
     /*  190579 */   GIM_Try, /*On fail goto*//*Label 3726*/ GIMT_Encode4(190620), // Rule ID 924 //
     /*  190584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  190587 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190594 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190601 */     // MIs[0] rs1
     /*  190601 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190613 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190613 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190618 */     GIR_RootConstrainSelectedInstOperands,
     /*  190619 */     // GIR_Coverage, 924,
     /*  190619 */     GIR_Done,
     /*  190620 */   // Label 3726: @190620
     /*  190620 */   GIM_Try, /*On fail goto*//*Label 3727*/ GIMT_Encode4(190661), // Rule ID 926 //
     /*  190625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  190628 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190635 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190642 */     // MIs[0] rs1
     /*  190642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190654 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190654 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190659 */     GIR_RootConstrainSelectedInstOperands,
     /*  190660 */     // GIR_Coverage, 926,
     /*  190660 */     GIR_Done,
     /*  190661 */   // Label 3727: @190661
     /*  190661 */   GIM_Try, /*On fail goto*//*Label 3728*/ GIMT_Encode4(190702), // Rule ID 928 //
     /*  190666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  190669 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190676 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190683 */     // MIs[0] rs1
     /*  190683 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190695 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190695 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190700 */     GIR_RootConstrainSelectedInstOperands,
     /*  190701 */     // GIR_Coverage, 928,
     /*  190701 */     GIR_Done,
     /*  190702 */   // Label 3728: @190702
     /*  190702 */   GIM_Try, /*On fail goto*//*Label 3729*/ GIMT_Encode4(190743), // Rule ID 930 //
     /*  190707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  190710 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190717 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190724 */     // MIs[0] rs1
     /*  190724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190736 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190736 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190741 */     GIR_RootConstrainSelectedInstOperands,
     /*  190742 */     // GIR_Coverage, 930,
     /*  190742 */     GIR_Done,
     /*  190743 */   // Label 3729: @190743
     /*  190743 */   GIM_Try, /*On fail goto*//*Label 3730*/ GIMT_Encode4(190784), // Rule ID 932 //
     /*  190748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  190751 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190758 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190765 */     // MIs[0] rs1
     /*  190765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190777 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190777 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  190782 */     GIR_RootConstrainSelectedInstOperands,
     /*  190783 */     // GIR_Coverage, 932,
     /*  190783 */     GIR_Done,
     /*  190784 */   // Label 3730: @190784
     /*  190784 */   GIM_Reject,
     /*  190785 */ // Label 3690: @190785
     /*  190785 */ GIM_Reject,
     /*  190786 */ // Label 3658: @190786
     /*  190786 */ GIM_Reject,
     /*  190787 */ // Label 31: @190787
     /*  190787 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3733*/ GIMT_Encode4(193696),
     /*  190798 */ /*GILLT_s32*//*Label 3731*/ GIMT_Encode4(190806),
     /*  190802 */ /*GILLT_s64*//*Label 3732*/ GIMT_Encode4(192046),
     /*  190806 */ // Label 3731: @190806
     /*  190806 */ GIM_Try, /*On fail goto*//*Label 3734*/ GIMT_Encode4(192045),
     /*  190811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  190814 */   GIM_Try, /*On fail goto*//*Label 3735*/ GIMT_Encode4(190855), // Rule ID 407 //
     /*  190819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190836 */     // MIs[0] rs1
     /*  190836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190848 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  190853 */     GIR_RootConstrainSelectedInstOperands,
     /*  190854 */     // GIR_Coverage, 407,
     /*  190854 */     GIR_Done,
     /*  190855 */   // Label 3735: @190855
     /*  190855 */   GIM_Try, /*On fail goto*//*Label 3736*/ GIMT_Encode4(190896), // Rule ID 409 //
     /*  190860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190863 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190870 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190877 */     // MIs[0] rs1
     /*  190877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190889 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  190894 */     GIR_RootConstrainSelectedInstOperands,
     /*  190895 */     // GIR_Coverage, 409,
     /*  190895 */     GIR_Done,
     /*  190896 */   // Label 3736: @190896
     /*  190896 */   GIM_Try, /*On fail goto*//*Label 3737*/ GIMT_Encode4(190937), // Rule ID 411 //
     /*  190901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190904 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190911 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190918 */     // MIs[0] rs1
     /*  190918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190930 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  190935 */     GIR_RootConstrainSelectedInstOperands,
     /*  190936 */     // GIR_Coverage, 411,
     /*  190936 */     GIR_Done,
     /*  190937 */   // Label 3737: @190937
     /*  190937 */   GIM_Try, /*On fail goto*//*Label 3738*/ GIMT_Encode4(190978), // Rule ID 413 //
     /*  190942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190945 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190959 */     // MIs[0] rs1
     /*  190959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190971 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190971 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  190976 */     GIR_RootConstrainSelectedInstOperands,
     /*  190977 */     // GIR_Coverage, 413,
     /*  190977 */     GIR_Done,
     /*  190978 */   // Label 3738: @190978
     /*  190978 */   GIM_Try, /*On fail goto*//*Label 3739*/ GIMT_Encode4(191019), // Rule ID 415 //
     /*  190983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190993 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191000 */     // MIs[0] rs1
     /*  191000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191012 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191012 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  191017 */     GIR_RootConstrainSelectedInstOperands,
     /*  191018 */     // GIR_Coverage, 415,
     /*  191018 */     GIR_Done,
     /*  191019 */   // Label 3739: @191019
     /*  191019 */   GIM_Try, /*On fail goto*//*Label 3740*/ GIMT_Encode4(191060), // Rule ID 417 //
     /*  191024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  191027 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191034 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191041 */     // MIs[0] rs1
     /*  191041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191053 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191053 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  191058 */     GIR_RootConstrainSelectedInstOperands,
     /*  191059 */     // GIR_Coverage, 417,
     /*  191059 */     GIR_Done,
     /*  191060 */   // Label 3740: @191060
     /*  191060 */   GIM_Try, /*On fail goto*//*Label 3741*/ GIMT_Encode4(191101), // Rule ID 419 //
     /*  191065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  191068 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191075 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191082 */     // MIs[0] rs1
     /*  191082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191094 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  191099 */     GIR_RootConstrainSelectedInstOperands,
     /*  191100 */     // GIR_Coverage, 419,
     /*  191100 */     GIR_Done,
     /*  191101 */   // Label 3741: @191101
     /*  191101 */   GIM_Try, /*On fail goto*//*Label 3742*/ GIMT_Encode4(191142), // Rule ID 421 //
     /*  191106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  191109 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191116 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191123 */     // MIs[0] rs1
     /*  191123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191135 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191135 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  191140 */     GIR_RootConstrainSelectedInstOperands,
     /*  191141 */     // GIR_Coverage, 421,
     /*  191141 */     GIR_Done,
     /*  191142 */   // Label 3742: @191142
     /*  191142 */   GIM_Try, /*On fail goto*//*Label 3743*/ GIMT_Encode4(191183), // Rule ID 423 //
     /*  191147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  191150 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191157 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191164 */     // MIs[0] rs1
     /*  191164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191176 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  191181 */     GIR_RootConstrainSelectedInstOperands,
     /*  191182 */     // GIR_Coverage, 423,
     /*  191182 */     GIR_Done,
     /*  191183 */   // Label 3743: @191183
     /*  191183 */   GIM_Try, /*On fail goto*//*Label 3744*/ GIMT_Encode4(191224), // Rule ID 425 //
     /*  191188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  191191 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191198 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191205 */     // MIs[0] rs1
     /*  191205 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191217 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191217 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  191222 */     GIR_RootConstrainSelectedInstOperands,
     /*  191223 */     // GIR_Coverage, 425,
     /*  191223 */     GIR_Done,
     /*  191224 */   // Label 3744: @191224
     /*  191224 */   GIM_Try, /*On fail goto*//*Label 3745*/ GIMT_Encode4(191265), // Rule ID 755 //
     /*  191229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191232 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191239 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191246 */     // MIs[0] rs1
     /*  191246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191258 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191258 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  191263 */     GIR_RootConstrainSelectedInstOperands,
     /*  191264 */     // GIR_Coverage, 755,
     /*  191264 */     GIR_Done,
     /*  191265 */   // Label 3745: @191265
     /*  191265 */   GIM_Try, /*On fail goto*//*Label 3746*/ GIMT_Encode4(191306), // Rule ID 757 //
     /*  191270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191273 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191280 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191287 */     // MIs[0] rs1
     /*  191287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191299 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191299 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  191304 */     GIR_RootConstrainSelectedInstOperands,
     /*  191305 */     // GIR_Coverage, 757,
     /*  191305 */     GIR_Done,
     /*  191306 */   // Label 3746: @191306
     /*  191306 */   GIM_Try, /*On fail goto*//*Label 3747*/ GIMT_Encode4(191347), // Rule ID 759 //
     /*  191311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191314 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191321 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191328 */     // MIs[0] rs1
     /*  191328 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191340 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191340 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  191345 */     GIR_RootConstrainSelectedInstOperands,
     /*  191346 */     // GIR_Coverage, 759,
     /*  191346 */     GIR_Done,
     /*  191347 */   // Label 3747: @191347
     /*  191347 */   GIM_Try, /*On fail goto*//*Label 3748*/ GIMT_Encode4(191388), // Rule ID 761 //
     /*  191352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191355 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191362 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191369 */     // MIs[0] rs1
     /*  191369 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191381 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191381 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  191386 */     GIR_RootConstrainSelectedInstOperands,
     /*  191387 */     // GIR_Coverage, 761,
     /*  191387 */     GIR_Done,
     /*  191388 */   // Label 3748: @191388
     /*  191388 */   GIM_Try, /*On fail goto*//*Label 3749*/ GIMT_Encode4(191429), // Rule ID 763 //
     /*  191393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191396 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191403 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191410 */     // MIs[0] rs1
     /*  191410 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191422 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191422 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  191427 */     GIR_RootConstrainSelectedInstOperands,
     /*  191428 */     // GIR_Coverage, 763,
     /*  191428 */     GIR_Done,
     /*  191429 */   // Label 3749: @191429
     /*  191429 */   GIM_Try, /*On fail goto*//*Label 3750*/ GIMT_Encode4(191470), // Rule ID 765 //
     /*  191434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191437 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191444 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191451 */     // MIs[0] rs1
     /*  191451 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191463 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191463 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  191468 */     GIR_RootConstrainSelectedInstOperands,
     /*  191469 */     // GIR_Coverage, 765,
     /*  191469 */     GIR_Done,
     /*  191470 */   // Label 3750: @191470
     /*  191470 */   GIM_Try, /*On fail goto*//*Label 3751*/ GIMT_Encode4(191511), // Rule ID 767 //
     /*  191475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191478 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191485 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191492 */     // MIs[0] rs1
     /*  191492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191504 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191504 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  191509 */     GIR_RootConstrainSelectedInstOperands,
     /*  191510 */     // GIR_Coverage, 767,
     /*  191510 */     GIR_Done,
     /*  191511 */   // Label 3751: @191511
     /*  191511 */   GIM_Try, /*On fail goto*//*Label 3752*/ GIMT_Encode4(191552), // Rule ID 769 //
     /*  191516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191519 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191526 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191533 */     // MIs[0] rs1
     /*  191533 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191545 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191545 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  191550 */     GIR_RootConstrainSelectedInstOperands,
     /*  191551 */     // GIR_Coverage, 769,
     /*  191551 */     GIR_Done,
     /*  191552 */   // Label 3752: @191552
     /*  191552 */   GIM_Try, /*On fail goto*//*Label 3753*/ GIMT_Encode4(191593), // Rule ID 771 //
     /*  191557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191560 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191567 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191574 */     // MIs[0] rs1
     /*  191574 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191586 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191586 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  191591 */     GIR_RootConstrainSelectedInstOperands,
     /*  191592 */     // GIR_Coverage, 771,
     /*  191592 */     GIR_Done,
     /*  191593 */   // Label 3753: @191593
     /*  191593 */   GIM_Try, /*On fail goto*//*Label 3754*/ GIMT_Encode4(191634), // Rule ID 773 //
     /*  191598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191601 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191608 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191615 */     // MIs[0] rs1
     /*  191615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191627 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191627 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  191632 */     GIR_RootConstrainSelectedInstOperands,
     /*  191633 */     // GIR_Coverage, 773,
     /*  191633 */     GIR_Done,
     /*  191634 */   // Label 3754: @191634
     /*  191634 */   GIM_Try, /*On fail goto*//*Label 3755*/ GIMT_Encode4(191675), // Rule ID 935 //
     /*  191639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191642 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191649 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191656 */     // MIs[0] rs1
     /*  191656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191668 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191668 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  191673 */     GIR_RootConstrainSelectedInstOperands,
     /*  191674 */     // GIR_Coverage, 935,
     /*  191674 */     GIR_Done,
     /*  191675 */   // Label 3755: @191675
     /*  191675 */   GIM_Try, /*On fail goto*//*Label 3756*/ GIMT_Encode4(191716), // Rule ID 937 //
     /*  191680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191683 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191690 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191697 */     // MIs[0] rs1
     /*  191697 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191709 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191709 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  191714 */     GIR_RootConstrainSelectedInstOperands,
     /*  191715 */     // GIR_Coverage, 937,
     /*  191715 */     GIR_Done,
     /*  191716 */   // Label 3756: @191716
     /*  191716 */   GIM_Try, /*On fail goto*//*Label 3757*/ GIMT_Encode4(191757), // Rule ID 939 //
     /*  191721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191724 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191731 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191738 */     // MIs[0] rs1
     /*  191738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191750 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191750 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  191755 */     GIR_RootConstrainSelectedInstOperands,
     /*  191756 */     // GIR_Coverage, 939,
     /*  191756 */     GIR_Done,
     /*  191757 */   // Label 3757: @191757
     /*  191757 */   GIM_Try, /*On fail goto*//*Label 3758*/ GIMT_Encode4(191798), // Rule ID 941 //
     /*  191762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191765 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191772 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191779 */     // MIs[0] rs1
     /*  191779 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191791 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191791 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  191796 */     GIR_RootConstrainSelectedInstOperands,
     /*  191797 */     // GIR_Coverage, 941,
     /*  191797 */     GIR_Done,
     /*  191798 */   // Label 3758: @191798
     /*  191798 */   GIM_Try, /*On fail goto*//*Label 3759*/ GIMT_Encode4(191839), // Rule ID 943 //
     /*  191803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191806 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191813 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191820 */     // MIs[0] rs1
     /*  191820 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191832 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191832 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  191837 */     GIR_RootConstrainSelectedInstOperands,
     /*  191838 */     // GIR_Coverage, 943,
     /*  191838 */     GIR_Done,
     /*  191839 */   // Label 3759: @191839
     /*  191839 */   GIM_Try, /*On fail goto*//*Label 3760*/ GIMT_Encode4(191880), // Rule ID 945 //
     /*  191844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191847 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191854 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191861 */     // MIs[0] rs1
     /*  191861 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191873 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191873 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  191878 */     GIR_RootConstrainSelectedInstOperands,
     /*  191879 */     // GIR_Coverage, 945,
     /*  191879 */     GIR_Done,
     /*  191880 */   // Label 3760: @191880
     /*  191880 */   GIM_Try, /*On fail goto*//*Label 3761*/ GIMT_Encode4(191921), // Rule ID 947 //
     /*  191885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191888 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191895 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191902 */     // MIs[0] rs1
     /*  191902 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191914 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191914 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  191919 */     GIR_RootConstrainSelectedInstOperands,
     /*  191920 */     // GIR_Coverage, 947,
     /*  191920 */     GIR_Done,
     /*  191921 */   // Label 3761: @191921
     /*  191921 */   GIM_Try, /*On fail goto*//*Label 3762*/ GIMT_Encode4(191962), // Rule ID 949 //
     /*  191926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191929 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191936 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191943 */     // MIs[0] rs1
     /*  191943 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191955 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191955 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  191960 */     GIR_RootConstrainSelectedInstOperands,
     /*  191961 */     // GIR_Coverage, 949,
     /*  191961 */     GIR_Done,
     /*  191962 */   // Label 3762: @191962
     /*  191962 */   GIM_Try, /*On fail goto*//*Label 3763*/ GIMT_Encode4(192003), // Rule ID 951 //
     /*  191967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191970 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191977 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191984 */     // MIs[0] rs1
     /*  191984 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191996 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191996 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  192001 */     GIR_RootConstrainSelectedInstOperands,
     /*  192002 */     // GIR_Coverage, 951,
     /*  192002 */     GIR_Done,
     /*  192003 */   // Label 3763: @192003
     /*  192003 */   GIM_Try, /*On fail goto*//*Label 3764*/ GIMT_Encode4(192044), // Rule ID 953 //
     /*  192008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  192011 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192018 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192025 */     // MIs[0] rs1
     /*  192025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192037 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192037 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  192042 */     GIR_RootConstrainSelectedInstOperands,
     /*  192043 */     // GIR_Coverage, 953,
     /*  192043 */     GIR_Done,
     /*  192044 */   // Label 3764: @192044
     /*  192044 */   GIM_Reject,
     /*  192045 */ // Label 3734: @192045
     /*  192045 */ GIM_Reject,
     /*  192046 */ // Label 3732: @192046
     /*  192046 */ GIM_Try, /*On fail goto*//*Label 3765*/ GIMT_Encode4(193695),
     /*  192051 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  192054 */   GIM_Try, /*On fail goto*//*Label 3766*/ GIMT_Encode4(192095), // Rule ID 406 //
     /*  192059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  192062 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192069 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192076 */     // MIs[0] rs1
     /*  192076 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192088 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192088 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192093 */     GIR_RootConstrainSelectedInstOperands,
     /*  192094 */     // GIR_Coverage, 406,
     /*  192094 */     GIR_Done,
     /*  192095 */   // Label 3766: @192095
     /*  192095 */   GIM_Try, /*On fail goto*//*Label 3767*/ GIMT_Encode4(192136), // Rule ID 408 //
     /*  192100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  192103 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192110 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192117 */     // MIs[0] rs1
     /*  192117 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192129 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192129 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  192134 */     GIR_RootConstrainSelectedInstOperands,
     /*  192135 */     // GIR_Coverage, 408,
     /*  192135 */     GIR_Done,
     /*  192136 */   // Label 3767: @192136
     /*  192136 */   GIM_Try, /*On fail goto*//*Label 3768*/ GIMT_Encode4(192177), // Rule ID 410 //
     /*  192141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  192144 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192151 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192158 */     // MIs[0] rs1
     /*  192158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192170 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192170 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  192175 */     GIR_RootConstrainSelectedInstOperands,
     /*  192176 */     // GIR_Coverage, 410,
     /*  192176 */     GIR_Done,
     /*  192177 */   // Label 3768: @192177
     /*  192177 */   GIM_Try, /*On fail goto*//*Label 3769*/ GIMT_Encode4(192218), // Rule ID 412 //
     /*  192182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  192185 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192192 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192199 */     // MIs[0] rs1
     /*  192199 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192211 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192211 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  192216 */     GIR_RootConstrainSelectedInstOperands,
     /*  192217 */     // GIR_Coverage, 412,
     /*  192217 */     GIR_Done,
     /*  192218 */   // Label 3769: @192218
     /*  192218 */   GIM_Try, /*On fail goto*//*Label 3770*/ GIMT_Encode4(192259), // Rule ID 414 //
     /*  192223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  192226 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192233 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192240 */     // MIs[0] rs1
     /*  192240 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192252 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192252 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  192257 */     GIR_RootConstrainSelectedInstOperands,
     /*  192258 */     // GIR_Coverage, 414,
     /*  192258 */     GIR_Done,
     /*  192259 */   // Label 3770: @192259
     /*  192259 */   GIM_Try, /*On fail goto*//*Label 3771*/ GIMT_Encode4(192300), // Rule ID 416 //
     /*  192264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  192267 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192274 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192281 */     // MIs[0] rs1
     /*  192281 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192293 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192293 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192298 */     GIR_RootConstrainSelectedInstOperands,
     /*  192299 */     // GIR_Coverage, 416,
     /*  192299 */     GIR_Done,
     /*  192300 */   // Label 3771: @192300
     /*  192300 */   GIM_Try, /*On fail goto*//*Label 3772*/ GIMT_Encode4(192341), // Rule ID 418 //
     /*  192305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  192308 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192315 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192322 */     // MIs[0] rs1
     /*  192322 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192334 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192334 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192339 */     GIR_RootConstrainSelectedInstOperands,
     /*  192340 */     // GIR_Coverage, 418,
     /*  192340 */     GIR_Done,
     /*  192341 */   // Label 3772: @192341
     /*  192341 */   GIM_Try, /*On fail goto*//*Label 3773*/ GIMT_Encode4(192382), // Rule ID 420 //
     /*  192346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  192349 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192356 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192363 */     // MIs[0] rs1
     /*  192363 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192375 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192375 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192380 */     GIR_RootConstrainSelectedInstOperands,
     /*  192381 */     // GIR_Coverage, 420,
     /*  192381 */     GIR_Done,
     /*  192382 */   // Label 3773: @192382
     /*  192382 */   GIM_Try, /*On fail goto*//*Label 3774*/ GIMT_Encode4(192423), // Rule ID 422 //
     /*  192387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  192390 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192397 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192404 */     // MIs[0] rs1
     /*  192404 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192416 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192416 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192421 */     GIR_RootConstrainSelectedInstOperands,
     /*  192422 */     // GIR_Coverage, 422,
     /*  192422 */     GIR_Done,
     /*  192423 */   // Label 3774: @192423
     /*  192423 */   GIM_Try, /*On fail goto*//*Label 3775*/ GIMT_Encode4(192464), // Rule ID 424 //
     /*  192428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  192431 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192438 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192445 */     // MIs[0] rs1
     /*  192445 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192457 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192457 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  192462 */     GIR_RootConstrainSelectedInstOperands,
     /*  192463 */     // GIR_Coverage, 424,
     /*  192463 */     GIR_Done,
     /*  192464 */   // Label 3775: @192464
     /*  192464 */   GIM_Try, /*On fail goto*//*Label 3776*/ GIMT_Encode4(192505), // Rule ID 546 //
     /*  192469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  192472 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192479 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192486 */     // MIs[0] rs1
     /*  192486 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192498 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192498 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  192503 */     GIR_RootConstrainSelectedInstOperands,
     /*  192504 */     // GIR_Coverage, 546,
     /*  192504 */     GIR_Done,
     /*  192505 */   // Label 3776: @192505
     /*  192505 */   GIM_Try, /*On fail goto*//*Label 3777*/ GIMT_Encode4(192546), // Rule ID 547 //
     /*  192510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  192513 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192520 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192527 */     // MIs[0] rs1
     /*  192527 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192539 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192539 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ),
     /*  192544 */     GIR_RootConstrainSelectedInstOperands,
     /*  192545 */     // GIR_Coverage, 547,
     /*  192545 */     GIR_Done,
     /*  192546 */   // Label 3777: @192546
     /*  192546 */   GIM_Try, /*On fail goto*//*Label 3778*/ GIMT_Encode4(192587), // Rule ID 548 //
     /*  192551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  192554 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192561 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192568 */     // MIs[0] rs1
     /*  192568 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192580 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192580 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_RL),
     /*  192585 */     GIR_RootConstrainSelectedInstOperands,
     /*  192586 */     // GIR_Coverage, 548,
     /*  192586 */     GIR_Done,
     /*  192587 */   // Label 3778: @192587
     /*  192587 */   GIM_Try, /*On fail goto*//*Label 3779*/ GIMT_Encode4(192628), // Rule ID 549 //
     /*  192592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  192595 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192602 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192609 */     // MIs[0] rs1
     /*  192609 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192621 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192621 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  192626 */     GIR_RootConstrainSelectedInstOperands,
     /*  192627 */     // GIR_Coverage, 549,
     /*  192627 */     GIR_Done,
     /*  192628 */   // Label 3779: @192628
     /*  192628 */   GIM_Try, /*On fail goto*//*Label 3780*/ GIMT_Encode4(192669), // Rule ID 550 //
     /*  192633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  192636 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192643 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192650 */     // MIs[0] rs1
     /*  192650 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192662 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192662 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  192667 */     GIR_RootConstrainSelectedInstOperands,
     /*  192668 */     // GIR_Coverage, 550,
     /*  192668 */     GIR_Done,
     /*  192669 */   // Label 3780: @192669
     /*  192669 */   GIM_Try, /*On fail goto*//*Label 3781*/ GIMT_Encode4(192710), // Rule ID 551 //
     /*  192674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  192677 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192684 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192691 */     // MIs[0] rs1
     /*  192691 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192703 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192703 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  192708 */     GIR_RootConstrainSelectedInstOperands,
     /*  192709 */     // GIR_Coverage, 551,
     /*  192709 */     GIR_Done,
     /*  192710 */   // Label 3781: @192710
     /*  192710 */   GIM_Try, /*On fail goto*//*Label 3782*/ GIMT_Encode4(192751), // Rule ID 552 //
     /*  192715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  192718 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192725 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192732 */     // MIs[0] rs1
     /*  192732 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192744 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192744 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  192749 */     GIR_RootConstrainSelectedInstOperands,
     /*  192750 */     // GIR_Coverage, 552,
     /*  192750 */     GIR_Done,
     /*  192751 */   // Label 3782: @192751
     /*  192751 */   GIM_Try, /*On fail goto*//*Label 3783*/ GIMT_Encode4(192792), // Rule ID 553 //
     /*  192756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  192759 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192766 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192773 */     // MIs[0] rs1
     /*  192773 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192785 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192785 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  192790 */     GIR_RootConstrainSelectedInstOperands,
     /*  192791 */     // GIR_Coverage, 553,
     /*  192791 */     GIR_Done,
     /*  192792 */   // Label 3783: @192792
     /*  192792 */   GIM_Try, /*On fail goto*//*Label 3784*/ GIMT_Encode4(192833), // Rule ID 554 //
     /*  192797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  192800 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192807 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192814 */     // MIs[0] rs1
     /*  192814 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192826 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192826 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  192831 */     GIR_RootConstrainSelectedInstOperands,
     /*  192832 */     // GIR_Coverage, 554,
     /*  192832 */     GIR_Done,
     /*  192833 */   // Label 3784: @192833
     /*  192833 */   GIM_Try, /*On fail goto*//*Label 3785*/ GIMT_Encode4(192874), // Rule ID 555 //
     /*  192838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  192841 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192848 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192855 */     // MIs[0] rs1
     /*  192855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192867 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192867 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  192872 */     GIR_RootConstrainSelectedInstOperands,
     /*  192873 */     // GIR_Coverage, 555,
     /*  192873 */     GIR_Done,
     /*  192874 */   // Label 3785: @192874
     /*  192874 */   GIM_Try, /*On fail goto*//*Label 3786*/ GIMT_Encode4(192915), // Rule ID 754 //
     /*  192879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192882 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192889 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192896 */     // MIs[0] rs1
     /*  192896 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192908 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192908 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  192913 */     GIR_RootConstrainSelectedInstOperands,
     /*  192914 */     // GIR_Coverage, 754,
     /*  192914 */     GIR_Done,
     /*  192915 */   // Label 3786: @192915
     /*  192915 */   GIM_Try, /*On fail goto*//*Label 3787*/ GIMT_Encode4(192956), // Rule ID 756 //
     /*  192920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192923 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192930 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192937 */     // MIs[0] rs1
     /*  192937 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192949 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192949 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  192954 */     GIR_RootConstrainSelectedInstOperands,
     /*  192955 */     // GIR_Coverage, 756,
     /*  192955 */     GIR_Done,
     /*  192956 */   // Label 3787: @192956
     /*  192956 */   GIM_Try, /*On fail goto*//*Label 3788*/ GIMT_Encode4(192997), // Rule ID 758 //
     /*  192961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192964 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192971 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192978 */     // MIs[0] rs1
     /*  192978 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192990 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192990 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  192995 */     GIR_RootConstrainSelectedInstOperands,
     /*  192996 */     // GIR_Coverage, 758,
     /*  192996 */     GIR_Done,
     /*  192997 */   // Label 3788: @192997
     /*  192997 */   GIM_Try, /*On fail goto*//*Label 3789*/ GIMT_Encode4(193038), // Rule ID 760 //
     /*  193002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  193005 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193012 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193019 */     // MIs[0] rs1
     /*  193019 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193031 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193031 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  193036 */     GIR_RootConstrainSelectedInstOperands,
     /*  193037 */     // GIR_Coverage, 760,
     /*  193037 */     GIR_Done,
     /*  193038 */   // Label 3789: @193038
     /*  193038 */   GIM_Try, /*On fail goto*//*Label 3790*/ GIMT_Encode4(193079), // Rule ID 762 //
     /*  193043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  193046 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193053 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193060 */     // MIs[0] rs1
     /*  193060 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193072 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193072 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  193077 */     GIR_RootConstrainSelectedInstOperands,
     /*  193078 */     // GIR_Coverage, 762,
     /*  193078 */     GIR_Done,
     /*  193079 */   // Label 3790: @193079
     /*  193079 */   GIM_Try, /*On fail goto*//*Label 3791*/ GIMT_Encode4(193120), // Rule ID 764 //
     /*  193084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  193087 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193094 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193101 */     // MIs[0] rs1
     /*  193101 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193113 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193113 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193118 */     GIR_RootConstrainSelectedInstOperands,
     /*  193119 */     // GIR_Coverage, 764,
     /*  193119 */     GIR_Done,
     /*  193120 */   // Label 3791: @193120
     /*  193120 */   GIM_Try, /*On fail goto*//*Label 3792*/ GIMT_Encode4(193161), // Rule ID 766 //
     /*  193125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  193128 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193135 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193142 */     // MIs[0] rs1
     /*  193142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193154 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193154 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193159 */     GIR_RootConstrainSelectedInstOperands,
     /*  193160 */     // GIR_Coverage, 766,
     /*  193160 */     GIR_Done,
     /*  193161 */   // Label 3792: @193161
     /*  193161 */   GIM_Try, /*On fail goto*//*Label 3793*/ GIMT_Encode4(193202), // Rule ID 768 //
     /*  193166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  193169 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193176 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193183 */     // MIs[0] rs1
     /*  193183 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193195 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193195 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193200 */     GIR_RootConstrainSelectedInstOperands,
     /*  193201 */     // GIR_Coverage, 768,
     /*  193201 */     GIR_Done,
     /*  193202 */   // Label 3793: @193202
     /*  193202 */   GIM_Try, /*On fail goto*//*Label 3794*/ GIMT_Encode4(193243), // Rule ID 770 //
     /*  193207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  193210 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193217 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193224 */     // MIs[0] rs1
     /*  193224 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193236 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193236 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193241 */     GIR_RootConstrainSelectedInstOperands,
     /*  193242 */     // GIR_Coverage, 770,
     /*  193242 */     GIR_Done,
     /*  193243 */   // Label 3794: @193243
     /*  193243 */   GIM_Try, /*On fail goto*//*Label 3795*/ GIMT_Encode4(193284), // Rule ID 772 //
     /*  193248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  193251 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193258 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193265 */     // MIs[0] rs1
     /*  193265 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193277 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193277 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  193282 */     GIR_RootConstrainSelectedInstOperands,
     /*  193283 */     // GIR_Coverage, 772,
     /*  193283 */     GIR_Done,
     /*  193284 */   // Label 3795: @193284
     /*  193284 */   GIM_Try, /*On fail goto*//*Label 3796*/ GIMT_Encode4(193325), // Rule ID 934 //
     /*  193289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  193292 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193299 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193306 */     // MIs[0] rs1
     /*  193306 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193318 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193318 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193323 */     GIR_RootConstrainSelectedInstOperands,
     /*  193324 */     // GIR_Coverage, 934,
     /*  193324 */     GIR_Done,
     /*  193325 */   // Label 3796: @193325
     /*  193325 */   GIM_Try, /*On fail goto*//*Label 3797*/ GIMT_Encode4(193366), // Rule ID 936 //
     /*  193330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  193333 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193340 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193347 */     // MIs[0] rs1
     /*  193347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193359 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193359 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  193364 */     GIR_RootConstrainSelectedInstOperands,
     /*  193365 */     // GIR_Coverage, 936,
     /*  193365 */     GIR_Done,
     /*  193366 */   // Label 3797: @193366
     /*  193366 */   GIM_Try, /*On fail goto*//*Label 3798*/ GIMT_Encode4(193407), // Rule ID 938 //
     /*  193371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  193374 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193381 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193388 */     // MIs[0] rs1
     /*  193388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193400 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193400 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  193405 */     GIR_RootConstrainSelectedInstOperands,
     /*  193406 */     // GIR_Coverage, 938,
     /*  193406 */     GIR_Done,
     /*  193407 */   // Label 3798: @193407
     /*  193407 */   GIM_Try, /*On fail goto*//*Label 3799*/ GIMT_Encode4(193448), // Rule ID 940 //
     /*  193412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  193415 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193422 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193429 */     // MIs[0] rs1
     /*  193429 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193441 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193441 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  193446 */     GIR_RootConstrainSelectedInstOperands,
     /*  193447 */     // GIR_Coverage, 940,
     /*  193447 */     GIR_Done,
     /*  193448 */   // Label 3799: @193448
     /*  193448 */   GIM_Try, /*On fail goto*//*Label 3800*/ GIMT_Encode4(193489), // Rule ID 942 //
     /*  193453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  193456 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193463 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193470 */     // MIs[0] rs1
     /*  193470 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193482 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193482 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  193487 */     GIR_RootConstrainSelectedInstOperands,
     /*  193488 */     // GIR_Coverage, 942,
     /*  193488 */     GIR_Done,
     /*  193489 */   // Label 3800: @193489
     /*  193489 */   GIM_Try, /*On fail goto*//*Label 3801*/ GIMT_Encode4(193530), // Rule ID 944 //
     /*  193494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  193497 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193504 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193511 */     // MIs[0] rs1
     /*  193511 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193523 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193523 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193528 */     GIR_RootConstrainSelectedInstOperands,
     /*  193529 */     // GIR_Coverage, 944,
     /*  193529 */     GIR_Done,
     /*  193530 */   // Label 3801: @193530
     /*  193530 */   GIM_Try, /*On fail goto*//*Label 3802*/ GIMT_Encode4(193571), // Rule ID 946 //
     /*  193535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  193538 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193545 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193552 */     // MIs[0] rs1
     /*  193552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193564 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193564 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193569 */     GIR_RootConstrainSelectedInstOperands,
     /*  193570 */     // GIR_Coverage, 946,
     /*  193570 */     GIR_Done,
     /*  193571 */   // Label 3802: @193571
     /*  193571 */   GIM_Try, /*On fail goto*//*Label 3803*/ GIMT_Encode4(193612), // Rule ID 948 //
     /*  193576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  193579 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193586 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193593 */     // MIs[0] rs1
     /*  193593 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193605 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193605 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193610 */     GIR_RootConstrainSelectedInstOperands,
     /*  193611 */     // GIR_Coverage, 948,
     /*  193611 */     GIR_Done,
     /*  193612 */   // Label 3803: @193612
     /*  193612 */   GIM_Try, /*On fail goto*//*Label 3804*/ GIMT_Encode4(193653), // Rule ID 950 //
     /*  193617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  193620 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193627 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193634 */     // MIs[0] rs1
     /*  193634 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193646 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193646 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193651 */     GIR_RootConstrainSelectedInstOperands,
     /*  193652 */     // GIR_Coverage, 950,
     /*  193652 */     GIR_Done,
     /*  193653 */   // Label 3804: @193653
     /*  193653 */   GIM_Try, /*On fail goto*//*Label 3805*/ GIMT_Encode4(193694), // Rule ID 952 //
     /*  193658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  193661 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193668 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193675 */     // MIs[0] rs1
     /*  193675 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193687 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193687 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  193692 */     GIR_RootConstrainSelectedInstOperands,
     /*  193693 */     // GIR_Coverage, 952,
     /*  193693 */     GIR_Done,
     /*  193694 */   // Label 3805: @193694
     /*  193694 */   GIM_Reject,
     /*  193695 */ // Label 3765: @193695
     /*  193695 */ GIM_Reject,
     /*  193696 */ // Label 3733: @193696
     /*  193696 */ GIM_Reject,
     /*  193697 */ // Label 32: @193697
     /*  193697 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3808*/ GIMT_Encode4(196606),
     /*  193708 */ /*GILLT_s32*//*Label 3806*/ GIMT_Encode4(193716),
     /*  193712 */ /*GILLT_s64*//*Label 3807*/ GIMT_Encode4(194956),
     /*  193716 */ // Label 3806: @193716
     /*  193716 */ GIM_Try, /*On fail goto*//*Label 3809*/ GIMT_Encode4(194955),
     /*  193721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  193724 */   GIM_Try, /*On fail goto*//*Label 3810*/ GIMT_Encode4(193765), // Rule ID 427 //
     /*  193729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  193732 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193739 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193746 */     // MIs[0] rs1
     /*  193746 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193758 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193758 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  193763 */     GIR_RootConstrainSelectedInstOperands,
     /*  193764 */     // GIR_Coverage, 427,
     /*  193764 */     GIR_Done,
     /*  193765 */   // Label 3810: @193765
     /*  193765 */   GIM_Try, /*On fail goto*//*Label 3811*/ GIMT_Encode4(193806), // Rule ID 429 //
     /*  193770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  193773 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193780 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193787 */     // MIs[0] rs1
     /*  193787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193799 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193799 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  193804 */     GIR_RootConstrainSelectedInstOperands,
     /*  193805 */     // GIR_Coverage, 429,
     /*  193805 */     GIR_Done,
     /*  193806 */   // Label 3811: @193806
     /*  193806 */   GIM_Try, /*On fail goto*//*Label 3812*/ GIMT_Encode4(193847), // Rule ID 431 //
     /*  193811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  193814 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193821 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193828 */     // MIs[0] rs1
     /*  193828 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193840 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  193845 */     GIR_RootConstrainSelectedInstOperands,
     /*  193846 */     // GIR_Coverage, 431,
     /*  193846 */     GIR_Done,
     /*  193847 */   // Label 3812: @193847
     /*  193847 */   GIM_Try, /*On fail goto*//*Label 3813*/ GIMT_Encode4(193888), // Rule ID 433 //
     /*  193852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  193855 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193862 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193869 */     // MIs[0] rs1
     /*  193869 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193881 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193881 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  193886 */     GIR_RootConstrainSelectedInstOperands,
     /*  193887 */     // GIR_Coverage, 433,
     /*  193887 */     GIR_Done,
     /*  193888 */   // Label 3813: @193888
     /*  193888 */   GIM_Try, /*On fail goto*//*Label 3814*/ GIMT_Encode4(193929), // Rule ID 435 //
     /*  193893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  193896 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193903 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193910 */     // MIs[0] rs1
     /*  193910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193922 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193922 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  193927 */     GIR_RootConstrainSelectedInstOperands,
     /*  193928 */     // GIR_Coverage, 435,
     /*  193928 */     GIR_Done,
     /*  193929 */   // Label 3814: @193929
     /*  193929 */   GIM_Try, /*On fail goto*//*Label 3815*/ GIMT_Encode4(193970), // Rule ID 437 //
     /*  193934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  193937 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193944 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193951 */     // MIs[0] rs1
     /*  193951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193963 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193963 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  193968 */     GIR_RootConstrainSelectedInstOperands,
     /*  193969 */     // GIR_Coverage, 437,
     /*  193969 */     GIR_Done,
     /*  193970 */   // Label 3815: @193970
     /*  193970 */   GIM_Try, /*On fail goto*//*Label 3816*/ GIMT_Encode4(194011), // Rule ID 439 //
     /*  193975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  193978 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193985 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193992 */     // MIs[0] rs1
     /*  193992 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194004 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194004 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  194009 */     GIR_RootConstrainSelectedInstOperands,
     /*  194010 */     // GIR_Coverage, 439,
     /*  194010 */     GIR_Done,
     /*  194011 */   // Label 3816: @194011
     /*  194011 */   GIM_Try, /*On fail goto*//*Label 3817*/ GIMT_Encode4(194052), // Rule ID 441 //
     /*  194016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  194019 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194026 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194033 */     // MIs[0] rs1
     /*  194033 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194045 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194045 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  194050 */     GIR_RootConstrainSelectedInstOperands,
     /*  194051 */     // GIR_Coverage, 441,
     /*  194051 */     GIR_Done,
     /*  194052 */   // Label 3817: @194052
     /*  194052 */   GIM_Try, /*On fail goto*//*Label 3818*/ GIMT_Encode4(194093), // Rule ID 443 //
     /*  194057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  194060 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194067 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194074 */     // MIs[0] rs1
     /*  194074 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194086 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194086 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  194091 */     GIR_RootConstrainSelectedInstOperands,
     /*  194092 */     // GIR_Coverage, 443,
     /*  194092 */     GIR_Done,
     /*  194093 */   // Label 3818: @194093
     /*  194093 */   GIM_Try, /*On fail goto*//*Label 3819*/ GIMT_Encode4(194134), // Rule ID 445 //
     /*  194098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  194101 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194108 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194115 */     // MIs[0] rs1
     /*  194115 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194127 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194127 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  194132 */     GIR_RootConstrainSelectedInstOperands,
     /*  194133 */     // GIR_Coverage, 445,
     /*  194133 */     GIR_Done,
     /*  194134 */   // Label 3819: @194134
     /*  194134 */   GIM_Try, /*On fail goto*//*Label 3820*/ GIMT_Encode4(194175), // Rule ID 775 //
     /*  194139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194142 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194149 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194156 */     // MIs[0] rs1
     /*  194156 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194168 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194168 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  194173 */     GIR_RootConstrainSelectedInstOperands,
     /*  194174 */     // GIR_Coverage, 775,
     /*  194174 */     GIR_Done,
     /*  194175 */   // Label 3820: @194175
     /*  194175 */   GIM_Try, /*On fail goto*//*Label 3821*/ GIMT_Encode4(194216), // Rule ID 777 //
     /*  194180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194183 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194190 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194197 */     // MIs[0] rs1
     /*  194197 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194209 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194209 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  194214 */     GIR_RootConstrainSelectedInstOperands,
     /*  194215 */     // GIR_Coverage, 777,
     /*  194215 */     GIR_Done,
     /*  194216 */   // Label 3821: @194216
     /*  194216 */   GIM_Try, /*On fail goto*//*Label 3822*/ GIMT_Encode4(194257), // Rule ID 779 //
     /*  194221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194224 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194231 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194238 */     // MIs[0] rs1
     /*  194238 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194250 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194250 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  194255 */     GIR_RootConstrainSelectedInstOperands,
     /*  194256 */     // GIR_Coverage, 779,
     /*  194256 */     GIR_Done,
     /*  194257 */   // Label 3822: @194257
     /*  194257 */   GIM_Try, /*On fail goto*//*Label 3823*/ GIMT_Encode4(194298), // Rule ID 781 //
     /*  194262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194265 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194272 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194279 */     // MIs[0] rs1
     /*  194279 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194291 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194291 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  194296 */     GIR_RootConstrainSelectedInstOperands,
     /*  194297 */     // GIR_Coverage, 781,
     /*  194297 */     GIR_Done,
     /*  194298 */   // Label 3823: @194298
     /*  194298 */   GIM_Try, /*On fail goto*//*Label 3824*/ GIMT_Encode4(194339), // Rule ID 783 //
     /*  194303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194306 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194313 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194320 */     // MIs[0] rs1
     /*  194320 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194332 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194332 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  194337 */     GIR_RootConstrainSelectedInstOperands,
     /*  194338 */     // GIR_Coverage, 783,
     /*  194338 */     GIR_Done,
     /*  194339 */   // Label 3824: @194339
     /*  194339 */   GIM_Try, /*On fail goto*//*Label 3825*/ GIMT_Encode4(194380), // Rule ID 785 //
     /*  194344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194347 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194354 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194361 */     // MIs[0] rs1
     /*  194361 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194373 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194373 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  194378 */     GIR_RootConstrainSelectedInstOperands,
     /*  194379 */     // GIR_Coverage, 785,
     /*  194379 */     GIR_Done,
     /*  194380 */   // Label 3825: @194380
     /*  194380 */   GIM_Try, /*On fail goto*//*Label 3826*/ GIMT_Encode4(194421), // Rule ID 787 //
     /*  194385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194388 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194395 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194402 */     // MIs[0] rs1
     /*  194402 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194414 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194414 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  194419 */     GIR_RootConstrainSelectedInstOperands,
     /*  194420 */     // GIR_Coverage, 787,
     /*  194420 */     GIR_Done,
     /*  194421 */   // Label 3826: @194421
     /*  194421 */   GIM_Try, /*On fail goto*//*Label 3827*/ GIMT_Encode4(194462), // Rule ID 789 //
     /*  194426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194429 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194436 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194443 */     // MIs[0] rs1
     /*  194443 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194455 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194455 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  194460 */     GIR_RootConstrainSelectedInstOperands,
     /*  194461 */     // GIR_Coverage, 789,
     /*  194461 */     GIR_Done,
     /*  194462 */   // Label 3827: @194462
     /*  194462 */   GIM_Try, /*On fail goto*//*Label 3828*/ GIMT_Encode4(194503), // Rule ID 791 //
     /*  194467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194470 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194477 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194484 */     // MIs[0] rs1
     /*  194484 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194496 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194496 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  194501 */     GIR_RootConstrainSelectedInstOperands,
     /*  194502 */     // GIR_Coverage, 791,
     /*  194502 */     GIR_Done,
     /*  194503 */   // Label 3828: @194503
     /*  194503 */   GIM_Try, /*On fail goto*//*Label 3829*/ GIMT_Encode4(194544), // Rule ID 793 //
     /*  194508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194511 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194518 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194525 */     // MIs[0] rs1
     /*  194525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194537 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194537 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  194542 */     GIR_RootConstrainSelectedInstOperands,
     /*  194543 */     // GIR_Coverage, 793,
     /*  194543 */     GIR_Done,
     /*  194544 */   // Label 3829: @194544
     /*  194544 */   GIM_Try, /*On fail goto*//*Label 3830*/ GIMT_Encode4(194585), // Rule ID 955 //
     /*  194549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194552 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194559 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194566 */     // MIs[0] rs1
     /*  194566 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194578 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194578 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  194583 */     GIR_RootConstrainSelectedInstOperands,
     /*  194584 */     // GIR_Coverage, 955,
     /*  194584 */     GIR_Done,
     /*  194585 */   // Label 3830: @194585
     /*  194585 */   GIM_Try, /*On fail goto*//*Label 3831*/ GIMT_Encode4(194626), // Rule ID 957 //
     /*  194590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194593 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194600 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194607 */     // MIs[0] rs1
     /*  194607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194619 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194619 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  194624 */     GIR_RootConstrainSelectedInstOperands,
     /*  194625 */     // GIR_Coverage, 957,
     /*  194625 */     GIR_Done,
     /*  194626 */   // Label 3831: @194626
     /*  194626 */   GIM_Try, /*On fail goto*//*Label 3832*/ GIMT_Encode4(194667), // Rule ID 959 //
     /*  194631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194634 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194641 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194648 */     // MIs[0] rs1
     /*  194648 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194660 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194660 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  194665 */     GIR_RootConstrainSelectedInstOperands,
     /*  194666 */     // GIR_Coverage, 959,
     /*  194666 */     GIR_Done,
     /*  194667 */   // Label 3832: @194667
     /*  194667 */   GIM_Try, /*On fail goto*//*Label 3833*/ GIMT_Encode4(194708), // Rule ID 961 //
     /*  194672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194675 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194682 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194689 */     // MIs[0] rs1
     /*  194689 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194701 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194701 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  194706 */     GIR_RootConstrainSelectedInstOperands,
     /*  194707 */     // GIR_Coverage, 961,
     /*  194707 */     GIR_Done,
     /*  194708 */   // Label 3833: @194708
     /*  194708 */   GIM_Try, /*On fail goto*//*Label 3834*/ GIMT_Encode4(194749), // Rule ID 963 //
     /*  194713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194716 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194723 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194730 */     // MIs[0] rs1
     /*  194730 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194742 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194742 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  194747 */     GIR_RootConstrainSelectedInstOperands,
     /*  194748 */     // GIR_Coverage, 963,
     /*  194748 */     GIR_Done,
     /*  194749 */   // Label 3834: @194749
     /*  194749 */   GIM_Try, /*On fail goto*//*Label 3835*/ GIMT_Encode4(194790), // Rule ID 965 //
     /*  194754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194757 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194764 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194771 */     // MIs[0] rs1
     /*  194771 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194783 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194783 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  194788 */     GIR_RootConstrainSelectedInstOperands,
     /*  194789 */     // GIR_Coverage, 965,
     /*  194789 */     GIR_Done,
     /*  194790 */   // Label 3835: @194790
     /*  194790 */   GIM_Try, /*On fail goto*//*Label 3836*/ GIMT_Encode4(194831), // Rule ID 967 //
     /*  194795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194798 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194805 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194812 */     // MIs[0] rs1
     /*  194812 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194824 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194824 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  194829 */     GIR_RootConstrainSelectedInstOperands,
     /*  194830 */     // GIR_Coverage, 967,
     /*  194830 */     GIR_Done,
     /*  194831 */   // Label 3836: @194831
     /*  194831 */   GIM_Try, /*On fail goto*//*Label 3837*/ GIMT_Encode4(194872), // Rule ID 969 //
     /*  194836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194839 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194846 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194853 */     // MIs[0] rs1
     /*  194853 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194865 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194865 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  194870 */     GIR_RootConstrainSelectedInstOperands,
     /*  194871 */     // GIR_Coverage, 969,
     /*  194871 */     GIR_Done,
     /*  194872 */   // Label 3837: @194872
     /*  194872 */   GIM_Try, /*On fail goto*//*Label 3838*/ GIMT_Encode4(194913), // Rule ID 971 //
     /*  194877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194880 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194887 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194894 */     // MIs[0] rs1
     /*  194894 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194906 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194906 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  194911 */     GIR_RootConstrainSelectedInstOperands,
     /*  194912 */     // GIR_Coverage, 971,
     /*  194912 */     GIR_Done,
     /*  194913 */   // Label 3838: @194913
     /*  194913 */   GIM_Try, /*On fail goto*//*Label 3839*/ GIMT_Encode4(194954), // Rule ID 973 //
     /*  194918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194921 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194928 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194935 */     // MIs[0] rs1
     /*  194935 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194947 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194947 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  194952 */     GIR_RootConstrainSelectedInstOperands,
     /*  194953 */     // GIR_Coverage, 973,
     /*  194953 */     GIR_Done,
     /*  194954 */   // Label 3839: @194954
     /*  194954 */   GIM_Reject,
     /*  194955 */ // Label 3809: @194955
     /*  194955 */ GIM_Reject,
     /*  194956 */ // Label 3807: @194956
     /*  194956 */ GIM_Try, /*On fail goto*//*Label 3840*/ GIMT_Encode4(196605),
     /*  194961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  194964 */   GIM_Try, /*On fail goto*//*Label 3841*/ GIMT_Encode4(195005), // Rule ID 426 //
     /*  194969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  194972 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194979 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194986 */     // MIs[0] rs1
     /*  194986 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194998 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194998 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195003 */     GIR_RootConstrainSelectedInstOperands,
     /*  195004 */     // GIR_Coverage, 426,
     /*  195004 */     GIR_Done,
     /*  195005 */   // Label 3841: @195005
     /*  195005 */   GIM_Try, /*On fail goto*//*Label 3842*/ GIMT_Encode4(195046), // Rule ID 428 //
     /*  195010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  195013 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195020 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195027 */     // MIs[0] rs1
     /*  195027 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195039 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195039 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  195044 */     GIR_RootConstrainSelectedInstOperands,
     /*  195045 */     // GIR_Coverage, 428,
     /*  195045 */     GIR_Done,
     /*  195046 */   // Label 3842: @195046
     /*  195046 */   GIM_Try, /*On fail goto*//*Label 3843*/ GIMT_Encode4(195087), // Rule ID 430 //
     /*  195051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  195054 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195061 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195068 */     // MIs[0] rs1
     /*  195068 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195080 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195080 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  195085 */     GIR_RootConstrainSelectedInstOperands,
     /*  195086 */     // GIR_Coverage, 430,
     /*  195086 */     GIR_Done,
     /*  195087 */   // Label 3843: @195087
     /*  195087 */   GIM_Try, /*On fail goto*//*Label 3844*/ GIMT_Encode4(195128), // Rule ID 432 //
     /*  195092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  195095 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195102 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195109 */     // MIs[0] rs1
     /*  195109 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195121 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195121 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  195126 */     GIR_RootConstrainSelectedInstOperands,
     /*  195127 */     // GIR_Coverage, 432,
     /*  195127 */     GIR_Done,
     /*  195128 */   // Label 3844: @195128
     /*  195128 */   GIM_Try, /*On fail goto*//*Label 3845*/ GIMT_Encode4(195169), // Rule ID 434 //
     /*  195133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  195136 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195143 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195150 */     // MIs[0] rs1
     /*  195150 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195162 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195162 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  195167 */     GIR_RootConstrainSelectedInstOperands,
     /*  195168 */     // GIR_Coverage, 434,
     /*  195168 */     GIR_Done,
     /*  195169 */   // Label 3845: @195169
     /*  195169 */   GIM_Try, /*On fail goto*//*Label 3846*/ GIMT_Encode4(195210), // Rule ID 436 //
     /*  195174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195177 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195184 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195191 */     // MIs[0] rs1
     /*  195191 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195203 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195203 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195208 */     GIR_RootConstrainSelectedInstOperands,
     /*  195209 */     // GIR_Coverage, 436,
     /*  195209 */     GIR_Done,
     /*  195210 */   // Label 3846: @195210
     /*  195210 */   GIM_Try, /*On fail goto*//*Label 3847*/ GIMT_Encode4(195251), // Rule ID 438 //
     /*  195215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195218 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195225 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195232 */     // MIs[0] rs1
     /*  195232 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195244 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195244 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195249 */     GIR_RootConstrainSelectedInstOperands,
     /*  195250 */     // GIR_Coverage, 438,
     /*  195250 */     GIR_Done,
     /*  195251 */   // Label 3847: @195251
     /*  195251 */   GIM_Try, /*On fail goto*//*Label 3848*/ GIMT_Encode4(195292), // Rule ID 440 //
     /*  195256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195259 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195266 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195273 */     // MIs[0] rs1
     /*  195273 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195285 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195285 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195290 */     GIR_RootConstrainSelectedInstOperands,
     /*  195291 */     // GIR_Coverage, 440,
     /*  195291 */     GIR_Done,
     /*  195292 */   // Label 3848: @195292
     /*  195292 */   GIM_Try, /*On fail goto*//*Label 3849*/ GIMT_Encode4(195333), // Rule ID 442 //
     /*  195297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195300 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195307 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195314 */     // MIs[0] rs1
     /*  195314 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195326 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195326 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195331 */     GIR_RootConstrainSelectedInstOperands,
     /*  195332 */     // GIR_Coverage, 442,
     /*  195332 */     GIR_Done,
     /*  195333 */   // Label 3849: @195333
     /*  195333 */   GIM_Try, /*On fail goto*//*Label 3850*/ GIMT_Encode4(195374), // Rule ID 444 //
     /*  195338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195341 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195348 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195355 */     // MIs[0] rs1
     /*  195355 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195367 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195367 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  195372 */     GIR_RootConstrainSelectedInstOperands,
     /*  195373 */     // GIR_Coverage, 444,
     /*  195373 */     GIR_Done,
     /*  195374 */   // Label 3850: @195374
     /*  195374 */   GIM_Try, /*On fail goto*//*Label 3851*/ GIMT_Encode4(195415), // Rule ID 556 //
     /*  195379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  195382 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195389 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195396 */     // MIs[0] rs1
     /*  195396 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195408 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195408 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  195413 */     GIR_RootConstrainSelectedInstOperands,
     /*  195414 */     // GIR_Coverage, 556,
     /*  195414 */     GIR_Done,
     /*  195415 */   // Label 3851: @195415
     /*  195415 */   GIM_Try, /*On fail goto*//*Label 3852*/ GIMT_Encode4(195456), // Rule ID 557 //
     /*  195420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  195423 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195430 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195437 */     // MIs[0] rs1
     /*  195437 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195449 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195449 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ),
     /*  195454 */     GIR_RootConstrainSelectedInstOperands,
     /*  195455 */     // GIR_Coverage, 557,
     /*  195455 */     GIR_Done,
     /*  195456 */   // Label 3852: @195456
     /*  195456 */   GIM_Try, /*On fail goto*//*Label 3853*/ GIMT_Encode4(195497), // Rule ID 558 //
     /*  195461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  195464 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195471 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195478 */     // MIs[0] rs1
     /*  195478 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195490 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195490 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_RL),
     /*  195495 */     GIR_RootConstrainSelectedInstOperands,
     /*  195496 */     // GIR_Coverage, 558,
     /*  195496 */     GIR_Done,
     /*  195497 */   // Label 3853: @195497
     /*  195497 */   GIM_Try, /*On fail goto*//*Label 3854*/ GIMT_Encode4(195538), // Rule ID 559 //
     /*  195502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  195505 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195512 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195519 */     // MIs[0] rs1
     /*  195519 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195531 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195531 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  195536 */     GIR_RootConstrainSelectedInstOperands,
     /*  195537 */     // GIR_Coverage, 559,
     /*  195537 */     GIR_Done,
     /*  195538 */   // Label 3854: @195538
     /*  195538 */   GIM_Try, /*On fail goto*//*Label 3855*/ GIMT_Encode4(195579), // Rule ID 560 //
     /*  195543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  195546 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195553 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195560 */     // MIs[0] rs1
     /*  195560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195572 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195572 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  195577 */     GIR_RootConstrainSelectedInstOperands,
     /*  195578 */     // GIR_Coverage, 560,
     /*  195578 */     GIR_Done,
     /*  195579 */   // Label 3855: @195579
     /*  195579 */   GIM_Try, /*On fail goto*//*Label 3856*/ GIMT_Encode4(195620), // Rule ID 561 //
     /*  195584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  195587 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195594 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195601 */     // MIs[0] rs1
     /*  195601 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195613 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195613 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  195618 */     GIR_RootConstrainSelectedInstOperands,
     /*  195619 */     // GIR_Coverage, 561,
     /*  195619 */     GIR_Done,
     /*  195620 */   // Label 3856: @195620
     /*  195620 */   GIM_Try, /*On fail goto*//*Label 3857*/ GIMT_Encode4(195661), // Rule ID 562 //
     /*  195625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  195628 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195635 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195642 */     // MIs[0] rs1
     /*  195642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195654 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195654 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  195659 */     GIR_RootConstrainSelectedInstOperands,
     /*  195660 */     // GIR_Coverage, 562,
     /*  195660 */     GIR_Done,
     /*  195661 */   // Label 3857: @195661
     /*  195661 */   GIM_Try, /*On fail goto*//*Label 3858*/ GIMT_Encode4(195702), // Rule ID 563 //
     /*  195666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  195669 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195676 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195683 */     // MIs[0] rs1
     /*  195683 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195695 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195695 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  195700 */     GIR_RootConstrainSelectedInstOperands,
     /*  195701 */     // GIR_Coverage, 563,
     /*  195701 */     GIR_Done,
     /*  195702 */   // Label 3858: @195702
     /*  195702 */   GIM_Try, /*On fail goto*//*Label 3859*/ GIMT_Encode4(195743), // Rule ID 564 //
     /*  195707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  195710 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195717 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195724 */     // MIs[0] rs1
     /*  195724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195736 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195736 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  195741 */     GIR_RootConstrainSelectedInstOperands,
     /*  195742 */     // GIR_Coverage, 564,
     /*  195742 */     GIR_Done,
     /*  195743 */   // Label 3859: @195743
     /*  195743 */   GIM_Try, /*On fail goto*//*Label 3860*/ GIMT_Encode4(195784), // Rule ID 565 //
     /*  195748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  195751 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  195758 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195765 */     // MIs[0] rs1
     /*  195765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195777 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195777 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  195782 */     GIR_RootConstrainSelectedInstOperands,
     /*  195783 */     // GIR_Coverage, 565,
     /*  195783 */     GIR_Done,
     /*  195784 */   // Label 3860: @195784
     /*  195784 */   GIM_Try, /*On fail goto*//*Label 3861*/ GIMT_Encode4(195825), // Rule ID 774 //
     /*  195789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195792 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195799 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195806 */     // MIs[0] rs1
     /*  195806 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195818 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195818 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  195823 */     GIR_RootConstrainSelectedInstOperands,
     /*  195824 */     // GIR_Coverage, 774,
     /*  195824 */     GIR_Done,
     /*  195825 */   // Label 3861: @195825
     /*  195825 */   GIM_Try, /*On fail goto*//*Label 3862*/ GIMT_Encode4(195866), // Rule ID 776 //
     /*  195830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195833 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195840 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195847 */     // MIs[0] rs1
     /*  195847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195859 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195859 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  195864 */     GIR_RootConstrainSelectedInstOperands,
     /*  195865 */     // GIR_Coverage, 776,
     /*  195865 */     GIR_Done,
     /*  195866 */   // Label 3862: @195866
     /*  195866 */   GIM_Try, /*On fail goto*//*Label 3863*/ GIMT_Encode4(195907), // Rule ID 778 //
     /*  195871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195874 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195881 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195888 */     // MIs[0] rs1
     /*  195888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195900 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195900 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  195905 */     GIR_RootConstrainSelectedInstOperands,
     /*  195906 */     // GIR_Coverage, 778,
     /*  195906 */     GIR_Done,
     /*  195907 */   // Label 3863: @195907
     /*  195907 */   GIM_Try, /*On fail goto*//*Label 3864*/ GIMT_Encode4(195948), // Rule ID 780 //
     /*  195912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195915 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195922 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195929 */     // MIs[0] rs1
     /*  195929 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195941 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195941 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  195946 */     GIR_RootConstrainSelectedInstOperands,
     /*  195947 */     // GIR_Coverage, 780,
     /*  195947 */     GIR_Done,
     /*  195948 */   // Label 3864: @195948
     /*  195948 */   GIM_Try, /*On fail goto*//*Label 3865*/ GIMT_Encode4(195989), // Rule ID 782 //
     /*  195953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  195956 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195963 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195970 */     // MIs[0] rs1
     /*  195970 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195982 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195982 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  195987 */     GIR_RootConstrainSelectedInstOperands,
     /*  195988 */     // GIR_Coverage, 782,
     /*  195988 */     GIR_Done,
     /*  195989 */   // Label 3865: @195989
     /*  195989 */   GIM_Try, /*On fail goto*//*Label 3866*/ GIMT_Encode4(196030), // Rule ID 784 //
     /*  195994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  195997 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196004 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196011 */     // MIs[0] rs1
     /*  196011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196023 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196023 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196028 */     GIR_RootConstrainSelectedInstOperands,
     /*  196029 */     // GIR_Coverage, 784,
     /*  196029 */     GIR_Done,
     /*  196030 */   // Label 3866: @196030
     /*  196030 */   GIM_Try, /*On fail goto*//*Label 3867*/ GIMT_Encode4(196071), // Rule ID 786 //
     /*  196035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196038 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196045 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196052 */     // MIs[0] rs1
     /*  196052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196064 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196064 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196069 */     GIR_RootConstrainSelectedInstOperands,
     /*  196070 */     // GIR_Coverage, 786,
     /*  196070 */     GIR_Done,
     /*  196071 */   // Label 3867: @196071
     /*  196071 */   GIM_Try, /*On fail goto*//*Label 3868*/ GIMT_Encode4(196112), // Rule ID 788 //
     /*  196076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196079 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196086 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196093 */     // MIs[0] rs1
     /*  196093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196105 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196105 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196110 */     GIR_RootConstrainSelectedInstOperands,
     /*  196111 */     // GIR_Coverage, 788,
     /*  196111 */     GIR_Done,
     /*  196112 */   // Label 3868: @196112
     /*  196112 */   GIM_Try, /*On fail goto*//*Label 3869*/ GIMT_Encode4(196153), // Rule ID 790 //
     /*  196117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196120 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196127 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196134 */     // MIs[0] rs1
     /*  196134 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196146 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196146 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196151 */     GIR_RootConstrainSelectedInstOperands,
     /*  196152 */     // GIR_Coverage, 790,
     /*  196152 */     GIR_Done,
     /*  196153 */   // Label 3869: @196153
     /*  196153 */   GIM_Try, /*On fail goto*//*Label 3870*/ GIMT_Encode4(196194), // Rule ID 792 //
     /*  196158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196161 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196168 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196175 */     // MIs[0] rs1
     /*  196175 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196187 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196187 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  196192 */     GIR_RootConstrainSelectedInstOperands,
     /*  196193 */     // GIR_Coverage, 792,
     /*  196193 */     GIR_Done,
     /*  196194 */   // Label 3870: @196194
     /*  196194 */   GIM_Try, /*On fail goto*//*Label 3871*/ GIMT_Encode4(196235), // Rule ID 954 //
     /*  196199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196202 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196209 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196216 */     // MIs[0] rs1
     /*  196216 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196228 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196228 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196233 */     GIR_RootConstrainSelectedInstOperands,
     /*  196234 */     // GIR_Coverage, 954,
     /*  196234 */     GIR_Done,
     /*  196235 */   // Label 3871: @196235
     /*  196235 */   GIM_Try, /*On fail goto*//*Label 3872*/ GIMT_Encode4(196276), // Rule ID 956 //
     /*  196240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196243 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196250 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196257 */     // MIs[0] rs1
     /*  196257 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196269 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196269 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  196274 */     GIR_RootConstrainSelectedInstOperands,
     /*  196275 */     // GIR_Coverage, 956,
     /*  196275 */     GIR_Done,
     /*  196276 */   // Label 3872: @196276
     /*  196276 */   GIM_Try, /*On fail goto*//*Label 3873*/ GIMT_Encode4(196317), // Rule ID 958 //
     /*  196281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196284 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196291 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196298 */     // MIs[0] rs1
     /*  196298 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196310 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196310 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  196315 */     GIR_RootConstrainSelectedInstOperands,
     /*  196316 */     // GIR_Coverage, 958,
     /*  196316 */     GIR_Done,
     /*  196317 */   // Label 3873: @196317
     /*  196317 */   GIM_Try, /*On fail goto*//*Label 3874*/ GIMT_Encode4(196358), // Rule ID 960 //
     /*  196322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196325 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196332 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196339 */     // MIs[0] rs1
     /*  196339 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196351 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196351 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  196356 */     GIR_RootConstrainSelectedInstOperands,
     /*  196357 */     // GIR_Coverage, 960,
     /*  196357 */     GIR_Done,
     /*  196358 */   // Label 3874: @196358
     /*  196358 */   GIM_Try, /*On fail goto*//*Label 3875*/ GIMT_Encode4(196399), // Rule ID 962 //
     /*  196363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196366 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196373 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196380 */     // MIs[0] rs1
     /*  196380 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196392 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196392 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  196397 */     GIR_RootConstrainSelectedInstOperands,
     /*  196398 */     // GIR_Coverage, 962,
     /*  196398 */     GIR_Done,
     /*  196399 */   // Label 3875: @196399
     /*  196399 */   GIM_Try, /*On fail goto*//*Label 3876*/ GIMT_Encode4(196440), // Rule ID 964 //
     /*  196404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196407 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196414 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196421 */     // MIs[0] rs1
     /*  196421 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196433 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196433 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196438 */     GIR_RootConstrainSelectedInstOperands,
     /*  196439 */     // GIR_Coverage, 964,
     /*  196439 */     GIR_Done,
     /*  196440 */   // Label 3876: @196440
     /*  196440 */   GIM_Try, /*On fail goto*//*Label 3877*/ GIMT_Encode4(196481), // Rule ID 966 //
     /*  196445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196448 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196455 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196462 */     // MIs[0] rs1
     /*  196462 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196474 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196474 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196479 */     GIR_RootConstrainSelectedInstOperands,
     /*  196480 */     // GIR_Coverage, 966,
     /*  196480 */     GIR_Done,
     /*  196481 */   // Label 3877: @196481
     /*  196481 */   GIM_Try, /*On fail goto*//*Label 3878*/ GIMT_Encode4(196522), // Rule ID 968 //
     /*  196486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196489 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196496 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196503 */     // MIs[0] rs1
     /*  196503 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196515 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196515 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196520 */     GIR_RootConstrainSelectedInstOperands,
     /*  196521 */     // GIR_Coverage, 968,
     /*  196521 */     GIR_Done,
     /*  196522 */   // Label 3878: @196522
     /*  196522 */   GIM_Try, /*On fail goto*//*Label 3879*/ GIMT_Encode4(196563), // Rule ID 970 //
     /*  196527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196530 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196537 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196544 */     // MIs[0] rs1
     /*  196544 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196556 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196556 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196561 */     GIR_RootConstrainSelectedInstOperands,
     /*  196562 */     // GIR_Coverage, 970,
     /*  196562 */     GIR_Done,
     /*  196563 */   // Label 3879: @196563
     /*  196563 */   GIM_Try, /*On fail goto*//*Label 3880*/ GIMT_Encode4(196604), // Rule ID 972 //
     /*  196568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196571 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196578 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196585 */     // MIs[0] rs1
     /*  196585 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196597 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196597 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  196602 */     GIR_RootConstrainSelectedInstOperands,
     /*  196603 */     // GIR_Coverage, 972,
     /*  196603 */     GIR_Done,
     /*  196604 */   // Label 3880: @196604
     /*  196604 */   GIM_Reject,
     /*  196605 */ // Label 3840: @196605
     /*  196605 */ GIM_Reject,
     /*  196606 */ // Label 3808: @196606
     /*  196606 */ GIM_Reject,
     /*  196607 */ // Label 33: @196607
     /*  196607 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3883*/ GIMT_Encode4(199516),
     /*  196618 */ /*GILLT_s32*//*Label 3881*/ GIMT_Encode4(196626),
     /*  196622 */ /*GILLT_s64*//*Label 3882*/ GIMT_Encode4(197866),
     /*  196626 */ // Label 3881: @196626
     /*  196626 */ GIM_Try, /*On fail goto*//*Label 3884*/ GIMT_Encode4(197865),
     /*  196631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  196634 */   GIM_Try, /*On fail goto*//*Label 3885*/ GIMT_Encode4(196675), // Rule ID 447 //
     /*  196639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196642 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196649 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196656 */     // MIs[0] rs1
     /*  196656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196668 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196668 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  196673 */     GIR_RootConstrainSelectedInstOperands,
     /*  196674 */     // GIR_Coverage, 447,
     /*  196674 */     GIR_Done,
     /*  196675 */   // Label 3885: @196675
     /*  196675 */   GIM_Try, /*On fail goto*//*Label 3886*/ GIMT_Encode4(196716), // Rule ID 449 //
     /*  196680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196683 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196690 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196697 */     // MIs[0] rs1
     /*  196697 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196709 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196709 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  196714 */     GIR_RootConstrainSelectedInstOperands,
     /*  196715 */     // GIR_Coverage, 449,
     /*  196715 */     GIR_Done,
     /*  196716 */   // Label 3886: @196716
     /*  196716 */   GIM_Try, /*On fail goto*//*Label 3887*/ GIMT_Encode4(196757), // Rule ID 451 //
     /*  196721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196724 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196731 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196738 */     // MIs[0] rs1
     /*  196738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196750 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196750 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  196755 */     GIR_RootConstrainSelectedInstOperands,
     /*  196756 */     // GIR_Coverage, 451,
     /*  196756 */     GIR_Done,
     /*  196757 */   // Label 3887: @196757
     /*  196757 */   GIM_Try, /*On fail goto*//*Label 3888*/ GIMT_Encode4(196798), // Rule ID 453 //
     /*  196762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196765 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196772 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196779 */     // MIs[0] rs1
     /*  196779 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196791 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196791 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  196796 */     GIR_RootConstrainSelectedInstOperands,
     /*  196797 */     // GIR_Coverage, 453,
     /*  196797 */     GIR_Done,
     /*  196798 */   // Label 3888: @196798
     /*  196798 */   GIM_Try, /*On fail goto*//*Label 3889*/ GIMT_Encode4(196839), // Rule ID 455 //
     /*  196803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  196806 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196813 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196820 */     // MIs[0] rs1
     /*  196820 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196832 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196832 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  196837 */     GIR_RootConstrainSelectedInstOperands,
     /*  196838 */     // GIR_Coverage, 455,
     /*  196838 */     GIR_Done,
     /*  196839 */   // Label 3889: @196839
     /*  196839 */   GIM_Try, /*On fail goto*//*Label 3890*/ GIMT_Encode4(196880), // Rule ID 457 //
     /*  196844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  196847 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196854 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196861 */     // MIs[0] rs1
     /*  196861 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196873 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196873 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  196878 */     GIR_RootConstrainSelectedInstOperands,
     /*  196879 */     // GIR_Coverage, 457,
     /*  196879 */     GIR_Done,
     /*  196880 */   // Label 3890: @196880
     /*  196880 */   GIM_Try, /*On fail goto*//*Label 3891*/ GIMT_Encode4(196921), // Rule ID 459 //
     /*  196885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  196888 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196895 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196902 */     // MIs[0] rs1
     /*  196902 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196914 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196914 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  196919 */     GIR_RootConstrainSelectedInstOperands,
     /*  196920 */     // GIR_Coverage, 459,
     /*  196920 */     GIR_Done,
     /*  196921 */   // Label 3891: @196921
     /*  196921 */   GIM_Try, /*On fail goto*//*Label 3892*/ GIMT_Encode4(196962), // Rule ID 461 //
     /*  196926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  196929 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196936 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196943 */     // MIs[0] rs1
     /*  196943 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196955 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196955 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  196960 */     GIR_RootConstrainSelectedInstOperands,
     /*  196961 */     // GIR_Coverage, 461,
     /*  196961 */     GIR_Done,
     /*  196962 */   // Label 3892: @196962
     /*  196962 */   GIM_Try, /*On fail goto*//*Label 3893*/ GIMT_Encode4(197003), // Rule ID 463 //
     /*  196967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  196970 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196977 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196984 */     // MIs[0] rs1
     /*  196984 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196996 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196996 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  197001 */     GIR_RootConstrainSelectedInstOperands,
     /*  197002 */     // GIR_Coverage, 463,
     /*  197002 */     GIR_Done,
     /*  197003 */   // Label 3893: @197003
     /*  197003 */   GIM_Try, /*On fail goto*//*Label 3894*/ GIMT_Encode4(197044), // Rule ID 465 //
     /*  197008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  197011 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197018 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197025 */     // MIs[0] rs1
     /*  197025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197037 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197037 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  197042 */     GIR_RootConstrainSelectedInstOperands,
     /*  197043 */     // GIR_Coverage, 465,
     /*  197043 */     GIR_Done,
     /*  197044 */   // Label 3894: @197044
     /*  197044 */   GIM_Try, /*On fail goto*//*Label 3895*/ GIMT_Encode4(197085), // Rule ID 795 //
     /*  197049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197052 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197059 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197066 */     // MIs[0] rs1
     /*  197066 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197078 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197078 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  197083 */     GIR_RootConstrainSelectedInstOperands,
     /*  197084 */     // GIR_Coverage, 795,
     /*  197084 */     GIR_Done,
     /*  197085 */   // Label 3895: @197085
     /*  197085 */   GIM_Try, /*On fail goto*//*Label 3896*/ GIMT_Encode4(197126), // Rule ID 797 //
     /*  197090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197093 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197100 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197107 */     // MIs[0] rs1
     /*  197107 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197119 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197119 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  197124 */     GIR_RootConstrainSelectedInstOperands,
     /*  197125 */     // GIR_Coverage, 797,
     /*  197125 */     GIR_Done,
     /*  197126 */   // Label 3896: @197126
     /*  197126 */   GIM_Try, /*On fail goto*//*Label 3897*/ GIMT_Encode4(197167), // Rule ID 799 //
     /*  197131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197134 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197141 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197148 */     // MIs[0] rs1
     /*  197148 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197160 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197160 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  197165 */     GIR_RootConstrainSelectedInstOperands,
     /*  197166 */     // GIR_Coverage, 799,
     /*  197166 */     GIR_Done,
     /*  197167 */   // Label 3897: @197167
     /*  197167 */   GIM_Try, /*On fail goto*//*Label 3898*/ GIMT_Encode4(197208), // Rule ID 801 //
     /*  197172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197175 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197182 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197189 */     // MIs[0] rs1
     /*  197189 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197201 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197201 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  197206 */     GIR_RootConstrainSelectedInstOperands,
     /*  197207 */     // GIR_Coverage, 801,
     /*  197207 */     GIR_Done,
     /*  197208 */   // Label 3898: @197208
     /*  197208 */   GIM_Try, /*On fail goto*//*Label 3899*/ GIMT_Encode4(197249), // Rule ID 803 //
     /*  197213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197216 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197223 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197230 */     // MIs[0] rs1
     /*  197230 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197242 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197242 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  197247 */     GIR_RootConstrainSelectedInstOperands,
     /*  197248 */     // GIR_Coverage, 803,
     /*  197248 */     GIR_Done,
     /*  197249 */   // Label 3899: @197249
     /*  197249 */   GIM_Try, /*On fail goto*//*Label 3900*/ GIMT_Encode4(197290), // Rule ID 805 //
     /*  197254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197257 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197264 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197271 */     // MIs[0] rs1
     /*  197271 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197283 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197283 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  197288 */     GIR_RootConstrainSelectedInstOperands,
     /*  197289 */     // GIR_Coverage, 805,
     /*  197289 */     GIR_Done,
     /*  197290 */   // Label 3900: @197290
     /*  197290 */   GIM_Try, /*On fail goto*//*Label 3901*/ GIMT_Encode4(197331), // Rule ID 807 //
     /*  197295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197298 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197305 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197312 */     // MIs[0] rs1
     /*  197312 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197324 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197324 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  197329 */     GIR_RootConstrainSelectedInstOperands,
     /*  197330 */     // GIR_Coverage, 807,
     /*  197330 */     GIR_Done,
     /*  197331 */   // Label 3901: @197331
     /*  197331 */   GIM_Try, /*On fail goto*//*Label 3902*/ GIMT_Encode4(197372), // Rule ID 809 //
     /*  197336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197339 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197346 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197353 */     // MIs[0] rs1
     /*  197353 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197365 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197365 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  197370 */     GIR_RootConstrainSelectedInstOperands,
     /*  197371 */     // GIR_Coverage, 809,
     /*  197371 */     GIR_Done,
     /*  197372 */   // Label 3902: @197372
     /*  197372 */   GIM_Try, /*On fail goto*//*Label 3903*/ GIMT_Encode4(197413), // Rule ID 811 //
     /*  197377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197380 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197387 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197394 */     // MIs[0] rs1
     /*  197394 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197406 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197406 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  197411 */     GIR_RootConstrainSelectedInstOperands,
     /*  197412 */     // GIR_Coverage, 811,
     /*  197412 */     GIR_Done,
     /*  197413 */   // Label 3903: @197413
     /*  197413 */   GIM_Try, /*On fail goto*//*Label 3904*/ GIMT_Encode4(197454), // Rule ID 813 //
     /*  197418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197421 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197428 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197435 */     // MIs[0] rs1
     /*  197435 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197447 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197447 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  197452 */     GIR_RootConstrainSelectedInstOperands,
     /*  197453 */     // GIR_Coverage, 813,
     /*  197453 */     GIR_Done,
     /*  197454 */   // Label 3904: @197454
     /*  197454 */   GIM_Try, /*On fail goto*//*Label 3905*/ GIMT_Encode4(197495), // Rule ID 975 //
     /*  197459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197462 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197469 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197476 */     // MIs[0] rs1
     /*  197476 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197488 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197488 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  197493 */     GIR_RootConstrainSelectedInstOperands,
     /*  197494 */     // GIR_Coverage, 975,
     /*  197494 */     GIR_Done,
     /*  197495 */   // Label 3905: @197495
     /*  197495 */   GIM_Try, /*On fail goto*//*Label 3906*/ GIMT_Encode4(197536), // Rule ID 977 //
     /*  197500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197503 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197510 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197517 */     // MIs[0] rs1
     /*  197517 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197529 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197529 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  197534 */     GIR_RootConstrainSelectedInstOperands,
     /*  197535 */     // GIR_Coverage, 977,
     /*  197535 */     GIR_Done,
     /*  197536 */   // Label 3906: @197536
     /*  197536 */   GIM_Try, /*On fail goto*//*Label 3907*/ GIMT_Encode4(197577), // Rule ID 979 //
     /*  197541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197544 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197551 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197558 */     // MIs[0] rs1
     /*  197558 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197570 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197570 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  197575 */     GIR_RootConstrainSelectedInstOperands,
     /*  197576 */     // GIR_Coverage, 979,
     /*  197576 */     GIR_Done,
     /*  197577 */   // Label 3907: @197577
     /*  197577 */   GIM_Try, /*On fail goto*//*Label 3908*/ GIMT_Encode4(197618), // Rule ID 981 //
     /*  197582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197585 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197592 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197599 */     // MIs[0] rs1
     /*  197599 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197611 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197611 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  197616 */     GIR_RootConstrainSelectedInstOperands,
     /*  197617 */     // GIR_Coverage, 981,
     /*  197617 */     GIR_Done,
     /*  197618 */   // Label 3908: @197618
     /*  197618 */   GIM_Try, /*On fail goto*//*Label 3909*/ GIMT_Encode4(197659), // Rule ID 983 //
     /*  197623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197626 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197633 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197640 */     // MIs[0] rs1
     /*  197640 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197652 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197652 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  197657 */     GIR_RootConstrainSelectedInstOperands,
     /*  197658 */     // GIR_Coverage, 983,
     /*  197658 */     GIR_Done,
     /*  197659 */   // Label 3909: @197659
     /*  197659 */   GIM_Try, /*On fail goto*//*Label 3910*/ GIMT_Encode4(197700), // Rule ID 985 //
     /*  197664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197667 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197674 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197681 */     // MIs[0] rs1
     /*  197681 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197693 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197693 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  197698 */     GIR_RootConstrainSelectedInstOperands,
     /*  197699 */     // GIR_Coverage, 985,
     /*  197699 */     GIR_Done,
     /*  197700 */   // Label 3910: @197700
     /*  197700 */   GIM_Try, /*On fail goto*//*Label 3911*/ GIMT_Encode4(197741), // Rule ID 987 //
     /*  197705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197708 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197715 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197722 */     // MIs[0] rs1
     /*  197722 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197734 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197734 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  197739 */     GIR_RootConstrainSelectedInstOperands,
     /*  197740 */     // GIR_Coverage, 987,
     /*  197740 */     GIR_Done,
     /*  197741 */   // Label 3911: @197741
     /*  197741 */   GIM_Try, /*On fail goto*//*Label 3912*/ GIMT_Encode4(197782), // Rule ID 989 //
     /*  197746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197749 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197756 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197763 */     // MIs[0] rs1
     /*  197763 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197775 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197775 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  197780 */     GIR_RootConstrainSelectedInstOperands,
     /*  197781 */     // GIR_Coverage, 989,
     /*  197781 */     GIR_Done,
     /*  197782 */   // Label 3912: @197782
     /*  197782 */   GIM_Try, /*On fail goto*//*Label 3913*/ GIMT_Encode4(197823), // Rule ID 991 //
     /*  197787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197790 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197797 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197804 */     // MIs[0] rs1
     /*  197804 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197816 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197816 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  197821 */     GIR_RootConstrainSelectedInstOperands,
     /*  197822 */     // GIR_Coverage, 991,
     /*  197822 */     GIR_Done,
     /*  197823 */   // Label 3913: @197823
     /*  197823 */   GIM_Try, /*On fail goto*//*Label 3914*/ GIMT_Encode4(197864), // Rule ID 993 //
     /*  197828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197831 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197838 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197845 */     // MIs[0] rs1
     /*  197845 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197857 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197857 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  197862 */     GIR_RootConstrainSelectedInstOperands,
     /*  197863 */     // GIR_Coverage, 993,
     /*  197863 */     GIR_Done,
     /*  197864 */   // Label 3914: @197864
     /*  197864 */   GIM_Reject,
     /*  197865 */ // Label 3884: @197865
     /*  197865 */ GIM_Reject,
     /*  197866 */ // Label 3882: @197866
     /*  197866 */ GIM_Try, /*On fail goto*//*Label 3915*/ GIMT_Encode4(199515),
     /*  197871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  197874 */   GIM_Try, /*On fail goto*//*Label 3916*/ GIMT_Encode4(197915), // Rule ID 446 //
     /*  197879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  197882 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197889 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197896 */     // MIs[0] rs1
     /*  197896 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197908 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197908 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  197913 */     GIR_RootConstrainSelectedInstOperands,
     /*  197914 */     // GIR_Coverage, 446,
     /*  197914 */     GIR_Done,
     /*  197915 */   // Label 3916: @197915
     /*  197915 */   GIM_Try, /*On fail goto*//*Label 3917*/ GIMT_Encode4(197956), // Rule ID 448 //
     /*  197920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  197923 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197930 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197937 */     // MIs[0] rs1
     /*  197937 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197949 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197949 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  197954 */     GIR_RootConstrainSelectedInstOperands,
     /*  197955 */     // GIR_Coverage, 448,
     /*  197955 */     GIR_Done,
     /*  197956 */   // Label 3917: @197956
     /*  197956 */   GIM_Try, /*On fail goto*//*Label 3918*/ GIMT_Encode4(197997), // Rule ID 450 //
     /*  197961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  197964 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197971 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197978 */     // MIs[0] rs1
     /*  197978 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197990 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197990 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  197995 */     GIR_RootConstrainSelectedInstOperands,
     /*  197996 */     // GIR_Coverage, 450,
     /*  197996 */     GIR_Done,
     /*  197997 */   // Label 3918: @197997
     /*  197997 */   GIM_Try, /*On fail goto*//*Label 3919*/ GIMT_Encode4(198038), // Rule ID 452 //
     /*  198002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  198005 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198012 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198019 */     // MIs[0] rs1
     /*  198019 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198031 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198031 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  198036 */     GIR_RootConstrainSelectedInstOperands,
     /*  198037 */     // GIR_Coverage, 452,
     /*  198037 */     GIR_Done,
     /*  198038 */   // Label 3919: @198038
     /*  198038 */   GIM_Try, /*On fail goto*//*Label 3920*/ GIMT_Encode4(198079), // Rule ID 454 //
     /*  198043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  198046 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198053 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198060 */     // MIs[0] rs1
     /*  198060 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198072 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198072 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  198077 */     GIR_RootConstrainSelectedInstOperands,
     /*  198078 */     // GIR_Coverage, 454,
     /*  198078 */     GIR_Done,
     /*  198079 */   // Label 3920: @198079
     /*  198079 */   GIM_Try, /*On fail goto*//*Label 3921*/ GIMT_Encode4(198120), // Rule ID 456 //
     /*  198084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198087 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198094 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198101 */     // MIs[0] rs1
     /*  198101 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198113 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198113 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198118 */     GIR_RootConstrainSelectedInstOperands,
     /*  198119 */     // GIR_Coverage, 456,
     /*  198119 */     GIR_Done,
     /*  198120 */   // Label 3921: @198120
     /*  198120 */   GIM_Try, /*On fail goto*//*Label 3922*/ GIMT_Encode4(198161), // Rule ID 458 //
     /*  198125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198128 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198135 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198142 */     // MIs[0] rs1
     /*  198142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198154 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198154 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198159 */     GIR_RootConstrainSelectedInstOperands,
     /*  198160 */     // GIR_Coverage, 458,
     /*  198160 */     GIR_Done,
     /*  198161 */   // Label 3922: @198161
     /*  198161 */   GIM_Try, /*On fail goto*//*Label 3923*/ GIMT_Encode4(198202), // Rule ID 460 //
     /*  198166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198169 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198176 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198183 */     // MIs[0] rs1
     /*  198183 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198195 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198195 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198200 */     GIR_RootConstrainSelectedInstOperands,
     /*  198201 */     // GIR_Coverage, 460,
     /*  198201 */     GIR_Done,
     /*  198202 */   // Label 3923: @198202
     /*  198202 */   GIM_Try, /*On fail goto*//*Label 3924*/ GIMT_Encode4(198243), // Rule ID 462 //
     /*  198207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198210 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198217 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198224 */     // MIs[0] rs1
     /*  198224 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198236 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198236 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198241 */     GIR_RootConstrainSelectedInstOperands,
     /*  198242 */     // GIR_Coverage, 462,
     /*  198242 */     GIR_Done,
     /*  198243 */   // Label 3924: @198243
     /*  198243 */   GIM_Try, /*On fail goto*//*Label 3925*/ GIMT_Encode4(198284), // Rule ID 464 //
     /*  198248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198251 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198258 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198265 */     // MIs[0] rs1
     /*  198265 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198277 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198277 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  198282 */     GIR_RootConstrainSelectedInstOperands,
     /*  198283 */     // GIR_Coverage, 464,
     /*  198283 */     GIR_Done,
     /*  198284 */   // Label 3925: @198284
     /*  198284 */   GIM_Try, /*On fail goto*//*Label 3926*/ GIMT_Encode4(198325), // Rule ID 566 //
     /*  198289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  198292 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198299 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198306 */     // MIs[0] rs1
     /*  198306 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198318 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198318 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  198323 */     GIR_RootConstrainSelectedInstOperands,
     /*  198324 */     // GIR_Coverage, 566,
     /*  198324 */     GIR_Done,
     /*  198325 */   // Label 3926: @198325
     /*  198325 */   GIM_Try, /*On fail goto*//*Label 3927*/ GIMT_Encode4(198366), // Rule ID 567 //
     /*  198330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  198333 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198340 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198347 */     // MIs[0] rs1
     /*  198347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198359 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198359 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ),
     /*  198364 */     GIR_RootConstrainSelectedInstOperands,
     /*  198365 */     // GIR_Coverage, 567,
     /*  198365 */     GIR_Done,
     /*  198366 */   // Label 3927: @198366
     /*  198366 */   GIM_Try, /*On fail goto*//*Label 3928*/ GIMT_Encode4(198407), // Rule ID 568 //
     /*  198371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  198374 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198381 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198388 */     // MIs[0] rs1
     /*  198388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198400 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198400 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_RL),
     /*  198405 */     GIR_RootConstrainSelectedInstOperands,
     /*  198406 */     // GIR_Coverage, 568,
     /*  198406 */     GIR_Done,
     /*  198407 */   // Label 3928: @198407
     /*  198407 */   GIM_Try, /*On fail goto*//*Label 3929*/ GIMT_Encode4(198448), // Rule ID 569 //
     /*  198412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  198415 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198422 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198429 */     // MIs[0] rs1
     /*  198429 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198441 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198441 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  198446 */     GIR_RootConstrainSelectedInstOperands,
     /*  198447 */     // GIR_Coverage, 569,
     /*  198447 */     GIR_Done,
     /*  198448 */   // Label 3929: @198448
     /*  198448 */   GIM_Try, /*On fail goto*//*Label 3930*/ GIMT_Encode4(198489), // Rule ID 570 //
     /*  198453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  198456 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198463 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198470 */     // MIs[0] rs1
     /*  198470 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198482 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198482 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  198487 */     GIR_RootConstrainSelectedInstOperands,
     /*  198488 */     // GIR_Coverage, 570,
     /*  198488 */     GIR_Done,
     /*  198489 */   // Label 3930: @198489
     /*  198489 */   GIM_Try, /*On fail goto*//*Label 3931*/ GIMT_Encode4(198530), // Rule ID 571 //
     /*  198494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  198497 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198504 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198511 */     // MIs[0] rs1
     /*  198511 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198523 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198523 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  198528 */     GIR_RootConstrainSelectedInstOperands,
     /*  198529 */     // GIR_Coverage, 571,
     /*  198529 */     GIR_Done,
     /*  198530 */   // Label 3931: @198530
     /*  198530 */   GIM_Try, /*On fail goto*//*Label 3932*/ GIMT_Encode4(198571), // Rule ID 572 //
     /*  198535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  198538 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198545 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198552 */     // MIs[0] rs1
     /*  198552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198564 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198564 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  198569 */     GIR_RootConstrainSelectedInstOperands,
     /*  198570 */     // GIR_Coverage, 572,
     /*  198570 */     GIR_Done,
     /*  198571 */   // Label 3932: @198571
     /*  198571 */   GIM_Try, /*On fail goto*//*Label 3933*/ GIMT_Encode4(198612), // Rule ID 573 //
     /*  198576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  198579 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198586 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198593 */     // MIs[0] rs1
     /*  198593 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198605 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198605 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  198610 */     GIR_RootConstrainSelectedInstOperands,
     /*  198611 */     // GIR_Coverage, 573,
     /*  198611 */     GIR_Done,
     /*  198612 */   // Label 3933: @198612
     /*  198612 */   GIM_Try, /*On fail goto*//*Label 3934*/ GIMT_Encode4(198653), // Rule ID 574 //
     /*  198617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  198620 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198627 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198634 */     // MIs[0] rs1
     /*  198634 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198646 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198646 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  198651 */     GIR_RootConstrainSelectedInstOperands,
     /*  198652 */     // GIR_Coverage, 574,
     /*  198652 */     GIR_Done,
     /*  198653 */   // Label 3934: @198653
     /*  198653 */   GIM_Try, /*On fail goto*//*Label 3935*/ GIMT_Encode4(198694), // Rule ID 575 //
     /*  198658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  198661 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198668 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198675 */     // MIs[0] rs1
     /*  198675 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198687 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198687 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  198692 */     GIR_RootConstrainSelectedInstOperands,
     /*  198693 */     // GIR_Coverage, 575,
     /*  198693 */     GIR_Done,
     /*  198694 */   // Label 3935: @198694
     /*  198694 */   GIM_Try, /*On fail goto*//*Label 3936*/ GIMT_Encode4(198735), // Rule ID 794 //
     /*  198699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198702 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198709 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198716 */     // MIs[0] rs1
     /*  198716 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198728 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198728 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198733 */     GIR_RootConstrainSelectedInstOperands,
     /*  198734 */     // GIR_Coverage, 794,
     /*  198734 */     GIR_Done,
     /*  198735 */   // Label 3936: @198735
     /*  198735 */   GIM_Try, /*On fail goto*//*Label 3937*/ GIMT_Encode4(198776), // Rule ID 796 //
     /*  198740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198743 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198750 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198757 */     // MIs[0] rs1
     /*  198757 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198769 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198769 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  198774 */     GIR_RootConstrainSelectedInstOperands,
     /*  198775 */     // GIR_Coverage, 796,
     /*  198775 */     GIR_Done,
     /*  198776 */   // Label 3937: @198776
     /*  198776 */   GIM_Try, /*On fail goto*//*Label 3938*/ GIMT_Encode4(198817), // Rule ID 798 //
     /*  198781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198784 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198791 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198798 */     // MIs[0] rs1
     /*  198798 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198810 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198810 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  198815 */     GIR_RootConstrainSelectedInstOperands,
     /*  198816 */     // GIR_Coverage, 798,
     /*  198816 */     GIR_Done,
     /*  198817 */   // Label 3938: @198817
     /*  198817 */   GIM_Try, /*On fail goto*//*Label 3939*/ GIMT_Encode4(198858), // Rule ID 800 //
     /*  198822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198825 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198832 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198839 */     // MIs[0] rs1
     /*  198839 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198851 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198851 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  198856 */     GIR_RootConstrainSelectedInstOperands,
     /*  198857 */     // GIR_Coverage, 800,
     /*  198857 */     GIR_Done,
     /*  198858 */   // Label 3939: @198858
     /*  198858 */   GIM_Try, /*On fail goto*//*Label 3940*/ GIMT_Encode4(198899), // Rule ID 802 //
     /*  198863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  198866 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198873 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198880 */     // MIs[0] rs1
     /*  198880 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198892 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198892 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  198897 */     GIR_RootConstrainSelectedInstOperands,
     /*  198898 */     // GIR_Coverage, 802,
     /*  198898 */     GIR_Done,
     /*  198899 */   // Label 3940: @198899
     /*  198899 */   GIM_Try, /*On fail goto*//*Label 3941*/ GIMT_Encode4(198940), // Rule ID 804 //
     /*  198904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198907 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198914 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198921 */     // MIs[0] rs1
     /*  198921 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198933 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198933 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198938 */     GIR_RootConstrainSelectedInstOperands,
     /*  198939 */     // GIR_Coverage, 804,
     /*  198939 */     GIR_Done,
     /*  198940 */   // Label 3941: @198940
     /*  198940 */   GIM_Try, /*On fail goto*//*Label 3942*/ GIMT_Encode4(198981), // Rule ID 806 //
     /*  198945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198948 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198955 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198962 */     // MIs[0] rs1
     /*  198962 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198974 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198974 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  198979 */     GIR_RootConstrainSelectedInstOperands,
     /*  198980 */     // GIR_Coverage, 806,
     /*  198980 */     GIR_Done,
     /*  198981 */   // Label 3942: @198981
     /*  198981 */   GIM_Try, /*On fail goto*//*Label 3943*/ GIMT_Encode4(199022), // Rule ID 808 //
     /*  198986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  198989 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198996 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199003 */     // MIs[0] rs1
     /*  199003 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199015 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199015 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  199020 */     GIR_RootConstrainSelectedInstOperands,
     /*  199021 */     // GIR_Coverage, 808,
     /*  199021 */     GIR_Done,
     /*  199022 */   // Label 3943: @199022
     /*  199022 */   GIM_Try, /*On fail goto*//*Label 3944*/ GIMT_Encode4(199063), // Rule ID 810 //
     /*  199027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199030 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199037 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199044 */     // MIs[0] rs1
     /*  199044 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199056 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199056 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  199061 */     GIR_RootConstrainSelectedInstOperands,
     /*  199062 */     // GIR_Coverage, 810,
     /*  199062 */     GIR_Done,
     /*  199063 */   // Label 3944: @199063
     /*  199063 */   GIM_Try, /*On fail goto*//*Label 3945*/ GIMT_Encode4(199104), // Rule ID 812 //
     /*  199068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199071 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199078 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199085 */     // MIs[0] rs1
     /*  199085 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199097 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199097 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  199102 */     GIR_RootConstrainSelectedInstOperands,
     /*  199103 */     // GIR_Coverage, 812,
     /*  199103 */     GIR_Done,
     /*  199104 */   // Label 3945: @199104
     /*  199104 */   GIM_Try, /*On fail goto*//*Label 3946*/ GIMT_Encode4(199145), // Rule ID 974 //
     /*  199109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199112 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199119 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199126 */     // MIs[0] rs1
     /*  199126 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199138 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199138 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199143 */     GIR_RootConstrainSelectedInstOperands,
     /*  199144 */     // GIR_Coverage, 974,
     /*  199144 */     GIR_Done,
     /*  199145 */   // Label 3946: @199145
     /*  199145 */   GIM_Try, /*On fail goto*//*Label 3947*/ GIMT_Encode4(199186), // Rule ID 976 //
     /*  199150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199153 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199160 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199167 */     // MIs[0] rs1
     /*  199167 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199179 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199179 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  199184 */     GIR_RootConstrainSelectedInstOperands,
     /*  199185 */     // GIR_Coverage, 976,
     /*  199185 */     GIR_Done,
     /*  199186 */   // Label 3947: @199186
     /*  199186 */   GIM_Try, /*On fail goto*//*Label 3948*/ GIMT_Encode4(199227), // Rule ID 978 //
     /*  199191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199194 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199201 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199208 */     // MIs[0] rs1
     /*  199208 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199220 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199220 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  199225 */     GIR_RootConstrainSelectedInstOperands,
     /*  199226 */     // GIR_Coverage, 978,
     /*  199226 */     GIR_Done,
     /*  199227 */   // Label 3948: @199227
     /*  199227 */   GIM_Try, /*On fail goto*//*Label 3949*/ GIMT_Encode4(199268), // Rule ID 980 //
     /*  199232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199235 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199242 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199249 */     // MIs[0] rs1
     /*  199249 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199261 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199261 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  199266 */     GIR_RootConstrainSelectedInstOperands,
     /*  199267 */     // GIR_Coverage, 980,
     /*  199267 */     GIR_Done,
     /*  199268 */   // Label 3949: @199268
     /*  199268 */   GIM_Try, /*On fail goto*//*Label 3950*/ GIMT_Encode4(199309), // Rule ID 982 //
     /*  199273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199276 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199283 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199290 */     // MIs[0] rs1
     /*  199290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199302 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199302 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  199307 */     GIR_RootConstrainSelectedInstOperands,
     /*  199308 */     // GIR_Coverage, 982,
     /*  199308 */     GIR_Done,
     /*  199309 */   // Label 3950: @199309
     /*  199309 */   GIM_Try, /*On fail goto*//*Label 3951*/ GIMT_Encode4(199350), // Rule ID 984 //
     /*  199314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199317 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199324 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199331 */     // MIs[0] rs1
     /*  199331 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199343 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199343 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199348 */     GIR_RootConstrainSelectedInstOperands,
     /*  199349 */     // GIR_Coverage, 984,
     /*  199349 */     GIR_Done,
     /*  199350 */   // Label 3951: @199350
     /*  199350 */   GIM_Try, /*On fail goto*//*Label 3952*/ GIMT_Encode4(199391), // Rule ID 986 //
     /*  199355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199358 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199365 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199372 */     // MIs[0] rs1
     /*  199372 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199384 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199384 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199389 */     GIR_RootConstrainSelectedInstOperands,
     /*  199390 */     // GIR_Coverage, 986,
     /*  199390 */     GIR_Done,
     /*  199391 */   // Label 3952: @199391
     /*  199391 */   GIM_Try, /*On fail goto*//*Label 3953*/ GIMT_Encode4(199432), // Rule ID 988 //
     /*  199396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199399 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199406 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199413 */     // MIs[0] rs1
     /*  199413 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199425 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199425 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199430 */     GIR_RootConstrainSelectedInstOperands,
     /*  199431 */     // GIR_Coverage, 988,
     /*  199431 */     GIR_Done,
     /*  199432 */   // Label 3953: @199432
     /*  199432 */   GIM_Try, /*On fail goto*//*Label 3954*/ GIMT_Encode4(199473), // Rule ID 990 //
     /*  199437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199440 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199447 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199454 */     // MIs[0] rs1
     /*  199454 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199466 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199466 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199471 */     GIR_RootConstrainSelectedInstOperands,
     /*  199472 */     // GIR_Coverage, 990,
     /*  199472 */     GIR_Done,
     /*  199473 */   // Label 3954: @199473
     /*  199473 */   GIM_Try, /*On fail goto*//*Label 3955*/ GIMT_Encode4(199514), // Rule ID 992 //
     /*  199478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199481 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199488 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199495 */     // MIs[0] rs1
     /*  199495 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199507 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199507 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  199512 */     GIR_RootConstrainSelectedInstOperands,
     /*  199513 */     // GIR_Coverage, 992,
     /*  199513 */     GIR_Done,
     /*  199514 */   // Label 3955: @199514
     /*  199514 */   GIM_Reject,
     /*  199515 */ // Label 3915: @199515
     /*  199515 */ GIM_Reject,
     /*  199516 */ // Label 3883: @199516
     /*  199516 */ GIM_Reject,
     /*  199517 */ // Label 34: @199517
     /*  199517 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3958*/ GIMT_Encode4(202426),
     /*  199528 */ /*GILLT_s32*//*Label 3956*/ GIMT_Encode4(199536),
     /*  199532 */ /*GILLT_s64*//*Label 3957*/ GIMT_Encode4(200776),
     /*  199536 */ // Label 3956: @199536
     /*  199536 */ GIM_Try, /*On fail goto*//*Label 3959*/ GIMT_Encode4(200775),
     /*  199541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  199544 */   GIM_Try, /*On fail goto*//*Label 3960*/ GIMT_Encode4(199585), // Rule ID 467 //
     /*  199549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  199552 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199559 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199566 */     // MIs[0] rs1
     /*  199566 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199578 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199578 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  199583 */     GIR_RootConstrainSelectedInstOperands,
     /*  199584 */     // GIR_Coverage, 467,
     /*  199584 */     GIR_Done,
     /*  199585 */   // Label 3960: @199585
     /*  199585 */   GIM_Try, /*On fail goto*//*Label 3961*/ GIMT_Encode4(199626), // Rule ID 469 //
     /*  199590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  199593 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199600 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199607 */     // MIs[0] rs1
     /*  199607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199619 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199619 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  199624 */     GIR_RootConstrainSelectedInstOperands,
     /*  199625 */     // GIR_Coverage, 469,
     /*  199625 */     GIR_Done,
     /*  199626 */   // Label 3961: @199626
     /*  199626 */   GIM_Try, /*On fail goto*//*Label 3962*/ GIMT_Encode4(199667), // Rule ID 471 //
     /*  199631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  199634 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199641 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199648 */     // MIs[0] rs1
     /*  199648 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199660 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199660 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  199665 */     GIR_RootConstrainSelectedInstOperands,
     /*  199666 */     // GIR_Coverage, 471,
     /*  199666 */     GIR_Done,
     /*  199667 */   // Label 3962: @199667
     /*  199667 */   GIM_Try, /*On fail goto*//*Label 3963*/ GIMT_Encode4(199708), // Rule ID 473 //
     /*  199672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  199675 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199682 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199689 */     // MIs[0] rs1
     /*  199689 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199701 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199701 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  199706 */     GIR_RootConstrainSelectedInstOperands,
     /*  199707 */     // GIR_Coverage, 473,
     /*  199707 */     GIR_Done,
     /*  199708 */   // Label 3963: @199708
     /*  199708 */   GIM_Try, /*On fail goto*//*Label 3964*/ GIMT_Encode4(199749), // Rule ID 475 //
     /*  199713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  199716 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199723 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199730 */     // MIs[0] rs1
     /*  199730 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199742 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199742 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  199747 */     GIR_RootConstrainSelectedInstOperands,
     /*  199748 */     // GIR_Coverage, 475,
     /*  199748 */     GIR_Done,
     /*  199749 */   // Label 3964: @199749
     /*  199749 */   GIM_Try, /*On fail goto*//*Label 3965*/ GIMT_Encode4(199790), // Rule ID 477 //
     /*  199754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  199757 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199764 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199771 */     // MIs[0] rs1
     /*  199771 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199783 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199783 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  199788 */     GIR_RootConstrainSelectedInstOperands,
     /*  199789 */     // GIR_Coverage, 477,
     /*  199789 */     GIR_Done,
     /*  199790 */   // Label 3965: @199790
     /*  199790 */   GIM_Try, /*On fail goto*//*Label 3966*/ GIMT_Encode4(199831), // Rule ID 479 //
     /*  199795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  199798 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199805 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199812 */     // MIs[0] rs1
     /*  199812 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199824 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199824 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  199829 */     GIR_RootConstrainSelectedInstOperands,
     /*  199830 */     // GIR_Coverage, 479,
     /*  199830 */     GIR_Done,
     /*  199831 */   // Label 3966: @199831
     /*  199831 */   GIM_Try, /*On fail goto*//*Label 3967*/ GIMT_Encode4(199872), // Rule ID 481 //
     /*  199836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  199839 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199846 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199853 */     // MIs[0] rs1
     /*  199853 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199865 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199865 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  199870 */     GIR_RootConstrainSelectedInstOperands,
     /*  199871 */     // GIR_Coverage, 481,
     /*  199871 */     GIR_Done,
     /*  199872 */   // Label 3967: @199872
     /*  199872 */   GIM_Try, /*On fail goto*//*Label 3968*/ GIMT_Encode4(199913), // Rule ID 483 //
     /*  199877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  199880 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199887 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199894 */     // MIs[0] rs1
     /*  199894 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199906 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199906 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  199911 */     GIR_RootConstrainSelectedInstOperands,
     /*  199912 */     // GIR_Coverage, 483,
     /*  199912 */     GIR_Done,
     /*  199913 */   // Label 3968: @199913
     /*  199913 */   GIM_Try, /*On fail goto*//*Label 3969*/ GIMT_Encode4(199954), // Rule ID 485 //
     /*  199918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  199921 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199928 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199935 */     // MIs[0] rs1
     /*  199935 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199947 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199947 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  199952 */     GIR_RootConstrainSelectedInstOperands,
     /*  199953 */     // GIR_Coverage, 485,
     /*  199953 */     GIR_Done,
     /*  199954 */   // Label 3969: @199954
     /*  199954 */   GIM_Try, /*On fail goto*//*Label 3970*/ GIMT_Encode4(199995), // Rule ID 815 //
     /*  199959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  199962 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199969 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199976 */     // MIs[0] rs1
     /*  199976 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  199980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199988 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  199988 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  199993 */     GIR_RootConstrainSelectedInstOperands,
     /*  199994 */     // GIR_Coverage, 815,
     /*  199994 */     GIR_Done,
     /*  199995 */   // Label 3970: @199995
     /*  199995 */   GIM_Try, /*On fail goto*//*Label 3971*/ GIMT_Encode4(200036), // Rule ID 817 //
     /*  200000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200003 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200010 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200017 */     // MIs[0] rs1
     /*  200017 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200029 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200029 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  200034 */     GIR_RootConstrainSelectedInstOperands,
     /*  200035 */     // GIR_Coverage, 817,
     /*  200035 */     GIR_Done,
     /*  200036 */   // Label 3971: @200036
     /*  200036 */   GIM_Try, /*On fail goto*//*Label 3972*/ GIMT_Encode4(200077), // Rule ID 819 //
     /*  200041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200044 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200051 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200058 */     // MIs[0] rs1
     /*  200058 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200070 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200070 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  200075 */     GIR_RootConstrainSelectedInstOperands,
     /*  200076 */     // GIR_Coverage, 819,
     /*  200076 */     GIR_Done,
     /*  200077 */   // Label 3972: @200077
     /*  200077 */   GIM_Try, /*On fail goto*//*Label 3973*/ GIMT_Encode4(200118), // Rule ID 821 //
     /*  200082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200085 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200092 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200099 */     // MIs[0] rs1
     /*  200099 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200111 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200111 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  200116 */     GIR_RootConstrainSelectedInstOperands,
     /*  200117 */     // GIR_Coverage, 821,
     /*  200117 */     GIR_Done,
     /*  200118 */   // Label 3973: @200118
     /*  200118 */   GIM_Try, /*On fail goto*//*Label 3974*/ GIMT_Encode4(200159), // Rule ID 823 //
     /*  200123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200126 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200133 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200140 */     // MIs[0] rs1
     /*  200140 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200152 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200152 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  200157 */     GIR_RootConstrainSelectedInstOperands,
     /*  200158 */     // GIR_Coverage, 823,
     /*  200158 */     GIR_Done,
     /*  200159 */   // Label 3974: @200159
     /*  200159 */   GIM_Try, /*On fail goto*//*Label 3975*/ GIMT_Encode4(200200), // Rule ID 825 //
     /*  200164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200167 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200174 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200181 */     // MIs[0] rs1
     /*  200181 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200193 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200193 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  200198 */     GIR_RootConstrainSelectedInstOperands,
     /*  200199 */     // GIR_Coverage, 825,
     /*  200199 */     GIR_Done,
     /*  200200 */   // Label 3975: @200200
     /*  200200 */   GIM_Try, /*On fail goto*//*Label 3976*/ GIMT_Encode4(200241), // Rule ID 827 //
     /*  200205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200208 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200215 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200222 */     // MIs[0] rs1
     /*  200222 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200234 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200234 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  200239 */     GIR_RootConstrainSelectedInstOperands,
     /*  200240 */     // GIR_Coverage, 827,
     /*  200240 */     GIR_Done,
     /*  200241 */   // Label 3976: @200241
     /*  200241 */   GIM_Try, /*On fail goto*//*Label 3977*/ GIMT_Encode4(200282), // Rule ID 829 //
     /*  200246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200249 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200256 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200263 */     // MIs[0] rs1
     /*  200263 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200275 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200275 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  200280 */     GIR_RootConstrainSelectedInstOperands,
     /*  200281 */     // GIR_Coverage, 829,
     /*  200281 */     GIR_Done,
     /*  200282 */   // Label 3977: @200282
     /*  200282 */   GIM_Try, /*On fail goto*//*Label 3978*/ GIMT_Encode4(200323), // Rule ID 831 //
     /*  200287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200290 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200297 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200304 */     // MIs[0] rs1
     /*  200304 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200316 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200316 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  200321 */     GIR_RootConstrainSelectedInstOperands,
     /*  200322 */     // GIR_Coverage, 831,
     /*  200322 */     GIR_Done,
     /*  200323 */   // Label 3978: @200323
     /*  200323 */   GIM_Try, /*On fail goto*//*Label 3979*/ GIMT_Encode4(200364), // Rule ID 833 //
     /*  200328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200331 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200338 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200345 */     // MIs[0] rs1
     /*  200345 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200357 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200357 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  200362 */     GIR_RootConstrainSelectedInstOperands,
     /*  200363 */     // GIR_Coverage, 833,
     /*  200363 */     GIR_Done,
     /*  200364 */   // Label 3979: @200364
     /*  200364 */   GIM_Try, /*On fail goto*//*Label 3980*/ GIMT_Encode4(200405), // Rule ID 995 //
     /*  200369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200372 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200379 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200386 */     // MIs[0] rs1
     /*  200386 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200398 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200398 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  200403 */     GIR_RootConstrainSelectedInstOperands,
     /*  200404 */     // GIR_Coverage, 995,
     /*  200404 */     GIR_Done,
     /*  200405 */   // Label 3980: @200405
     /*  200405 */   GIM_Try, /*On fail goto*//*Label 3981*/ GIMT_Encode4(200446), // Rule ID 997 //
     /*  200410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200413 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200420 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200427 */     // MIs[0] rs1
     /*  200427 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200439 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200439 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  200444 */     GIR_RootConstrainSelectedInstOperands,
     /*  200445 */     // GIR_Coverage, 997,
     /*  200445 */     GIR_Done,
     /*  200446 */   // Label 3981: @200446
     /*  200446 */   GIM_Try, /*On fail goto*//*Label 3982*/ GIMT_Encode4(200487), // Rule ID 999 //
     /*  200451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200454 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200461 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200468 */     // MIs[0] rs1
     /*  200468 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200480 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200480 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  200485 */     GIR_RootConstrainSelectedInstOperands,
     /*  200486 */     // GIR_Coverage, 999,
     /*  200486 */     GIR_Done,
     /*  200487 */   // Label 3982: @200487
     /*  200487 */   GIM_Try, /*On fail goto*//*Label 3983*/ GIMT_Encode4(200528), // Rule ID 1001 //
     /*  200492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200495 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200502 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200509 */     // MIs[0] rs1
     /*  200509 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200521 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200521 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  200526 */     GIR_RootConstrainSelectedInstOperands,
     /*  200527 */     // GIR_Coverage, 1001,
     /*  200527 */     GIR_Done,
     /*  200528 */   // Label 3983: @200528
     /*  200528 */   GIM_Try, /*On fail goto*//*Label 3984*/ GIMT_Encode4(200569), // Rule ID 1003 //
     /*  200533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200536 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200543 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200550 */     // MIs[0] rs1
     /*  200550 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200562 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200562 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  200567 */     GIR_RootConstrainSelectedInstOperands,
     /*  200568 */     // GIR_Coverage, 1003,
     /*  200568 */     GIR_Done,
     /*  200569 */   // Label 3984: @200569
     /*  200569 */   GIM_Try, /*On fail goto*//*Label 3985*/ GIMT_Encode4(200610), // Rule ID 1005 //
     /*  200574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200577 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200584 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200591 */     // MIs[0] rs1
     /*  200591 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200603 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200603 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  200608 */     GIR_RootConstrainSelectedInstOperands,
     /*  200609 */     // GIR_Coverage, 1005,
     /*  200609 */     GIR_Done,
     /*  200610 */   // Label 3985: @200610
     /*  200610 */   GIM_Try, /*On fail goto*//*Label 3986*/ GIMT_Encode4(200651), // Rule ID 1007 //
     /*  200615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200618 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200625 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200632 */     // MIs[0] rs1
     /*  200632 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200644 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200644 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  200649 */     GIR_RootConstrainSelectedInstOperands,
     /*  200650 */     // GIR_Coverage, 1007,
     /*  200650 */     GIR_Done,
     /*  200651 */   // Label 3986: @200651
     /*  200651 */   GIM_Try, /*On fail goto*//*Label 3987*/ GIMT_Encode4(200692), // Rule ID 1009 //
     /*  200656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200659 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200666 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200673 */     // MIs[0] rs1
     /*  200673 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200685 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200685 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  200690 */     GIR_RootConstrainSelectedInstOperands,
     /*  200691 */     // GIR_Coverage, 1009,
     /*  200691 */     GIR_Done,
     /*  200692 */   // Label 3987: @200692
     /*  200692 */   GIM_Try, /*On fail goto*//*Label 3988*/ GIMT_Encode4(200733), // Rule ID 1011 //
     /*  200697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200700 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200707 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200714 */     // MIs[0] rs1
     /*  200714 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200726 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200726 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  200731 */     GIR_RootConstrainSelectedInstOperands,
     /*  200732 */     // GIR_Coverage, 1011,
     /*  200732 */     GIR_Done,
     /*  200733 */   // Label 3988: @200733
     /*  200733 */   GIM_Try, /*On fail goto*//*Label 3989*/ GIMT_Encode4(200774), // Rule ID 1013 //
     /*  200738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200741 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200748 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200755 */     // MIs[0] rs1
     /*  200755 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200767 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200767 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  200772 */     GIR_RootConstrainSelectedInstOperands,
     /*  200773 */     // GIR_Coverage, 1013,
     /*  200773 */     GIR_Done,
     /*  200774 */   // Label 3989: @200774
     /*  200774 */   GIM_Reject,
     /*  200775 */ // Label 3959: @200775
     /*  200775 */ GIM_Reject,
     /*  200776 */ // Label 3957: @200776
     /*  200776 */ GIM_Try, /*On fail goto*//*Label 3990*/ GIMT_Encode4(202425),
     /*  200781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  200784 */   GIM_Try, /*On fail goto*//*Label 3991*/ GIMT_Encode4(200825), // Rule ID 466 //
     /*  200789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  200792 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200799 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200806 */     // MIs[0] rs1
     /*  200806 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200818 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200818 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  200823 */     GIR_RootConstrainSelectedInstOperands,
     /*  200824 */     // GIR_Coverage, 466,
     /*  200824 */     GIR_Done,
     /*  200825 */   // Label 3991: @200825
     /*  200825 */   GIM_Try, /*On fail goto*//*Label 3992*/ GIMT_Encode4(200866), // Rule ID 468 //
     /*  200830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  200833 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200840 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200847 */     // MIs[0] rs1
     /*  200847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200859 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200859 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  200864 */     GIR_RootConstrainSelectedInstOperands,
     /*  200865 */     // GIR_Coverage, 468,
     /*  200865 */     GIR_Done,
     /*  200866 */   // Label 3992: @200866
     /*  200866 */   GIM_Try, /*On fail goto*//*Label 3993*/ GIMT_Encode4(200907), // Rule ID 470 //
     /*  200871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  200874 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200881 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200888 */     // MIs[0] rs1
     /*  200888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200900 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200900 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  200905 */     GIR_RootConstrainSelectedInstOperands,
     /*  200906 */     // GIR_Coverage, 470,
     /*  200906 */     GIR_Done,
     /*  200907 */   // Label 3993: @200907
     /*  200907 */   GIM_Try, /*On fail goto*//*Label 3994*/ GIMT_Encode4(200948), // Rule ID 472 //
     /*  200912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  200915 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200922 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200929 */     // MIs[0] rs1
     /*  200929 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200941 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200941 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  200946 */     GIR_RootConstrainSelectedInstOperands,
     /*  200947 */     // GIR_Coverage, 472,
     /*  200947 */     GIR_Done,
     /*  200948 */   // Label 3994: @200948
     /*  200948 */   GIM_Try, /*On fail goto*//*Label 3995*/ GIMT_Encode4(200989), // Rule ID 474 //
     /*  200953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  200956 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200963 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200970 */     // MIs[0] rs1
     /*  200970 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200982 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200982 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  200987 */     GIR_RootConstrainSelectedInstOperands,
     /*  200988 */     // GIR_Coverage, 474,
     /*  200988 */     GIR_Done,
     /*  200989 */   // Label 3995: @200989
     /*  200989 */   GIM_Try, /*On fail goto*//*Label 3996*/ GIMT_Encode4(201030), // Rule ID 476 //
     /*  200994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  200997 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201004 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201011 */     // MIs[0] rs1
     /*  201011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201023 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201023 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201028 */     GIR_RootConstrainSelectedInstOperands,
     /*  201029 */     // GIR_Coverage, 476,
     /*  201029 */     GIR_Done,
     /*  201030 */   // Label 3996: @201030
     /*  201030 */   GIM_Try, /*On fail goto*//*Label 3997*/ GIMT_Encode4(201071), // Rule ID 478 //
     /*  201035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  201038 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201045 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201052 */     // MIs[0] rs1
     /*  201052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201064 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201064 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201069 */     GIR_RootConstrainSelectedInstOperands,
     /*  201070 */     // GIR_Coverage, 478,
     /*  201070 */     GIR_Done,
     /*  201071 */   // Label 3997: @201071
     /*  201071 */   GIM_Try, /*On fail goto*//*Label 3998*/ GIMT_Encode4(201112), // Rule ID 480 //
     /*  201076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  201079 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201086 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201093 */     // MIs[0] rs1
     /*  201093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201105 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201105 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201110 */     GIR_RootConstrainSelectedInstOperands,
     /*  201111 */     // GIR_Coverage, 480,
     /*  201111 */     GIR_Done,
     /*  201112 */   // Label 3998: @201112
     /*  201112 */   GIM_Try, /*On fail goto*//*Label 3999*/ GIMT_Encode4(201153), // Rule ID 482 //
     /*  201117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  201120 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201127 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201134 */     // MIs[0] rs1
     /*  201134 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201146 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201146 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201151 */     GIR_RootConstrainSelectedInstOperands,
     /*  201152 */     // GIR_Coverage, 482,
     /*  201152 */     GIR_Done,
     /*  201153 */   // Label 3999: @201153
     /*  201153 */   GIM_Try, /*On fail goto*//*Label 4000*/ GIMT_Encode4(201194), // Rule ID 484 //
     /*  201158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  201161 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201168 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201175 */     // MIs[0] rs1
     /*  201175 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201187 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201187 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  201192 */     GIR_RootConstrainSelectedInstOperands,
     /*  201193 */     // GIR_Coverage, 484,
     /*  201193 */     GIR_Done,
     /*  201194 */   // Label 4000: @201194
     /*  201194 */   GIM_Try, /*On fail goto*//*Label 4001*/ GIMT_Encode4(201235), // Rule ID 576 //
     /*  201199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  201202 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201209 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201216 */     // MIs[0] rs1
     /*  201216 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201228 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201228 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  201233 */     GIR_RootConstrainSelectedInstOperands,
     /*  201234 */     // GIR_Coverage, 576,
     /*  201234 */     GIR_Done,
     /*  201235 */   // Label 4001: @201235
     /*  201235 */   GIM_Try, /*On fail goto*//*Label 4002*/ GIMT_Encode4(201276), // Rule ID 577 //
     /*  201240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  201243 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201250 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201257 */     // MIs[0] rs1
     /*  201257 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201269 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201269 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ),
     /*  201274 */     GIR_RootConstrainSelectedInstOperands,
     /*  201275 */     // GIR_Coverage, 577,
     /*  201275 */     GIR_Done,
     /*  201276 */   // Label 4002: @201276
     /*  201276 */   GIM_Try, /*On fail goto*//*Label 4003*/ GIMT_Encode4(201317), // Rule ID 578 //
     /*  201281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  201284 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201291 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201298 */     // MIs[0] rs1
     /*  201298 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201310 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201310 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_RL),
     /*  201315 */     GIR_RootConstrainSelectedInstOperands,
     /*  201316 */     // GIR_Coverage, 578,
     /*  201316 */     GIR_Done,
     /*  201317 */   // Label 4003: @201317
     /*  201317 */   GIM_Try, /*On fail goto*//*Label 4004*/ GIMT_Encode4(201358), // Rule ID 579 //
     /*  201322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  201325 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201332 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201339 */     // MIs[0] rs1
     /*  201339 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201351 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201351 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  201356 */     GIR_RootConstrainSelectedInstOperands,
     /*  201357 */     // GIR_Coverage, 579,
     /*  201357 */     GIR_Done,
     /*  201358 */   // Label 4004: @201358
     /*  201358 */   GIM_Try, /*On fail goto*//*Label 4005*/ GIMT_Encode4(201399), // Rule ID 580 //
     /*  201363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  201366 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201373 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201380 */     // MIs[0] rs1
     /*  201380 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201392 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201392 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  201397 */     GIR_RootConstrainSelectedInstOperands,
     /*  201398 */     // GIR_Coverage, 580,
     /*  201398 */     GIR_Done,
     /*  201399 */   // Label 4005: @201399
     /*  201399 */   GIM_Try, /*On fail goto*//*Label 4006*/ GIMT_Encode4(201440), // Rule ID 581 //
     /*  201404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  201407 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201414 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201421 */     // MIs[0] rs1
     /*  201421 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201433 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201433 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  201438 */     GIR_RootConstrainSelectedInstOperands,
     /*  201439 */     // GIR_Coverage, 581,
     /*  201439 */     GIR_Done,
     /*  201440 */   // Label 4006: @201440
     /*  201440 */   GIM_Try, /*On fail goto*//*Label 4007*/ GIMT_Encode4(201481), // Rule ID 582 //
     /*  201445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  201448 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201455 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201462 */     // MIs[0] rs1
     /*  201462 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201474 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201474 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  201479 */     GIR_RootConstrainSelectedInstOperands,
     /*  201480 */     // GIR_Coverage, 582,
     /*  201480 */     GIR_Done,
     /*  201481 */   // Label 4007: @201481
     /*  201481 */   GIM_Try, /*On fail goto*//*Label 4008*/ GIMT_Encode4(201522), // Rule ID 583 //
     /*  201486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  201489 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201496 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201503 */     // MIs[0] rs1
     /*  201503 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201515 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201515 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  201520 */     GIR_RootConstrainSelectedInstOperands,
     /*  201521 */     // GIR_Coverage, 583,
     /*  201521 */     GIR_Done,
     /*  201522 */   // Label 4008: @201522
     /*  201522 */   GIM_Try, /*On fail goto*//*Label 4009*/ GIMT_Encode4(201563), // Rule ID 584 //
     /*  201527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  201530 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201537 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201544 */     // MIs[0] rs1
     /*  201544 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201556 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201556 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  201561 */     GIR_RootConstrainSelectedInstOperands,
     /*  201562 */     // GIR_Coverage, 584,
     /*  201562 */     GIR_Done,
     /*  201563 */   // Label 4009: @201563
     /*  201563 */   GIM_Try, /*On fail goto*//*Label 4010*/ GIMT_Encode4(201604), // Rule ID 585 //
     /*  201568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  201571 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201578 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201585 */     // MIs[0] rs1
     /*  201585 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201597 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201597 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  201602 */     GIR_RootConstrainSelectedInstOperands,
     /*  201603 */     // GIR_Coverage, 585,
     /*  201603 */     GIR_Done,
     /*  201604 */   // Label 4010: @201604
     /*  201604 */   GIM_Try, /*On fail goto*//*Label 4011*/ GIMT_Encode4(201645), // Rule ID 814 //
     /*  201609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201612 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201619 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201626 */     // MIs[0] rs1
     /*  201626 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201638 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201638 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201643 */     GIR_RootConstrainSelectedInstOperands,
     /*  201644 */     // GIR_Coverage, 814,
     /*  201644 */     GIR_Done,
     /*  201645 */   // Label 4011: @201645
     /*  201645 */   GIM_Try, /*On fail goto*//*Label 4012*/ GIMT_Encode4(201686), // Rule ID 816 //
     /*  201650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201653 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201660 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201667 */     // MIs[0] rs1
     /*  201667 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201679 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201679 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  201684 */     GIR_RootConstrainSelectedInstOperands,
     /*  201685 */     // GIR_Coverage, 816,
     /*  201685 */     GIR_Done,
     /*  201686 */   // Label 4012: @201686
     /*  201686 */   GIM_Try, /*On fail goto*//*Label 4013*/ GIMT_Encode4(201727), // Rule ID 818 //
     /*  201691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201694 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201701 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201708 */     // MIs[0] rs1
     /*  201708 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201720 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201720 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  201725 */     GIR_RootConstrainSelectedInstOperands,
     /*  201726 */     // GIR_Coverage, 818,
     /*  201726 */     GIR_Done,
     /*  201727 */   // Label 4013: @201727
     /*  201727 */   GIM_Try, /*On fail goto*//*Label 4014*/ GIMT_Encode4(201768), // Rule ID 820 //
     /*  201732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201735 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201742 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201749 */     // MIs[0] rs1
     /*  201749 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201761 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201761 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  201766 */     GIR_RootConstrainSelectedInstOperands,
     /*  201767 */     // GIR_Coverage, 820,
     /*  201767 */     GIR_Done,
     /*  201768 */   // Label 4014: @201768
     /*  201768 */   GIM_Try, /*On fail goto*//*Label 4015*/ GIMT_Encode4(201809), // Rule ID 822 //
     /*  201773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  201776 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201783 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201790 */     // MIs[0] rs1
     /*  201790 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201802 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201802 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  201807 */     GIR_RootConstrainSelectedInstOperands,
     /*  201808 */     // GIR_Coverage, 822,
     /*  201808 */     GIR_Done,
     /*  201809 */   // Label 4015: @201809
     /*  201809 */   GIM_Try, /*On fail goto*//*Label 4016*/ GIMT_Encode4(201850), // Rule ID 824 //
     /*  201814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201817 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201824 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201831 */     // MIs[0] rs1
     /*  201831 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201843 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201843 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201848 */     GIR_RootConstrainSelectedInstOperands,
     /*  201849 */     // GIR_Coverage, 824,
     /*  201849 */     GIR_Done,
     /*  201850 */   // Label 4016: @201850
     /*  201850 */   GIM_Try, /*On fail goto*//*Label 4017*/ GIMT_Encode4(201891), // Rule ID 826 //
     /*  201855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201858 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201865 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201872 */     // MIs[0] rs1
     /*  201872 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201884 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201884 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201889 */     GIR_RootConstrainSelectedInstOperands,
     /*  201890 */     // GIR_Coverage, 826,
     /*  201890 */     GIR_Done,
     /*  201891 */   // Label 4017: @201891
     /*  201891 */   GIM_Try, /*On fail goto*//*Label 4018*/ GIMT_Encode4(201932), // Rule ID 828 //
     /*  201896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201899 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201906 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201913 */     // MIs[0] rs1
     /*  201913 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201925 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201925 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201930 */     GIR_RootConstrainSelectedInstOperands,
     /*  201931 */     // GIR_Coverage, 828,
     /*  201931 */     GIR_Done,
     /*  201932 */   // Label 4018: @201932
     /*  201932 */   GIM_Try, /*On fail goto*//*Label 4019*/ GIMT_Encode4(201973), // Rule ID 830 //
     /*  201937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201940 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201947 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201954 */     // MIs[0] rs1
     /*  201954 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201966 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201966 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  201971 */     GIR_RootConstrainSelectedInstOperands,
     /*  201972 */     // GIR_Coverage, 830,
     /*  201972 */     GIR_Done,
     /*  201973 */   // Label 4019: @201973
     /*  201973 */   GIM_Try, /*On fail goto*//*Label 4020*/ GIMT_Encode4(202014), // Rule ID 832 //
     /*  201978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  201981 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  201988 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201995 */     // MIs[0] rs1
     /*  201995 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202007 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202007 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  202012 */     GIR_RootConstrainSelectedInstOperands,
     /*  202013 */     // GIR_Coverage, 832,
     /*  202013 */     GIR_Done,
     /*  202014 */   // Label 4020: @202014
     /*  202014 */   GIM_Try, /*On fail goto*//*Label 4021*/ GIMT_Encode4(202055), // Rule ID 994 //
     /*  202019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202022 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202029 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202036 */     // MIs[0] rs1
     /*  202036 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202048 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202048 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202053 */     GIR_RootConstrainSelectedInstOperands,
     /*  202054 */     // GIR_Coverage, 994,
     /*  202054 */     GIR_Done,
     /*  202055 */   // Label 4021: @202055
     /*  202055 */   GIM_Try, /*On fail goto*//*Label 4022*/ GIMT_Encode4(202096), // Rule ID 996 //
     /*  202060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202063 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202070 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202077 */     // MIs[0] rs1
     /*  202077 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202089 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202089 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  202094 */     GIR_RootConstrainSelectedInstOperands,
     /*  202095 */     // GIR_Coverage, 996,
     /*  202095 */     GIR_Done,
     /*  202096 */   // Label 4022: @202096
     /*  202096 */   GIM_Try, /*On fail goto*//*Label 4023*/ GIMT_Encode4(202137), // Rule ID 998 //
     /*  202101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202104 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202111 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202118 */     // MIs[0] rs1
     /*  202118 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202130 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202130 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  202135 */     GIR_RootConstrainSelectedInstOperands,
     /*  202136 */     // GIR_Coverage, 998,
     /*  202136 */     GIR_Done,
     /*  202137 */   // Label 4023: @202137
     /*  202137 */   GIM_Try, /*On fail goto*//*Label 4024*/ GIMT_Encode4(202178), // Rule ID 1000 //
     /*  202142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202145 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202152 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202159 */     // MIs[0] rs1
     /*  202159 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202171 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202171 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  202176 */     GIR_RootConstrainSelectedInstOperands,
     /*  202177 */     // GIR_Coverage, 1000,
     /*  202177 */     GIR_Done,
     /*  202178 */   // Label 4024: @202178
     /*  202178 */   GIM_Try, /*On fail goto*//*Label 4025*/ GIMT_Encode4(202219), // Rule ID 1002 //
     /*  202183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202186 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202193 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202200 */     // MIs[0] rs1
     /*  202200 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202212 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202212 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  202217 */     GIR_RootConstrainSelectedInstOperands,
     /*  202218 */     // GIR_Coverage, 1002,
     /*  202218 */     GIR_Done,
     /*  202219 */   // Label 4025: @202219
     /*  202219 */   GIM_Try, /*On fail goto*//*Label 4026*/ GIMT_Encode4(202260), // Rule ID 1004 //
     /*  202224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202227 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202234 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202241 */     // MIs[0] rs1
     /*  202241 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202253 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202253 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202258 */     GIR_RootConstrainSelectedInstOperands,
     /*  202259 */     // GIR_Coverage, 1004,
     /*  202259 */     GIR_Done,
     /*  202260 */   // Label 4026: @202260
     /*  202260 */   GIM_Try, /*On fail goto*//*Label 4027*/ GIMT_Encode4(202301), // Rule ID 1006 //
     /*  202265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202268 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202275 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202282 */     // MIs[0] rs1
     /*  202282 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202294 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202294 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202299 */     GIR_RootConstrainSelectedInstOperands,
     /*  202300 */     // GIR_Coverage, 1006,
     /*  202300 */     GIR_Done,
     /*  202301 */   // Label 4027: @202301
     /*  202301 */   GIM_Try, /*On fail goto*//*Label 4028*/ GIMT_Encode4(202342), // Rule ID 1008 //
     /*  202306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202309 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202316 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202323 */     // MIs[0] rs1
     /*  202323 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202335 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202335 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202340 */     GIR_RootConstrainSelectedInstOperands,
     /*  202341 */     // GIR_Coverage, 1008,
     /*  202341 */     GIR_Done,
     /*  202342 */   // Label 4028: @202342
     /*  202342 */   GIM_Try, /*On fail goto*//*Label 4029*/ GIMT_Encode4(202383), // Rule ID 1010 //
     /*  202347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202350 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202357 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202364 */     // MIs[0] rs1
     /*  202364 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202376 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202376 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202381 */     GIR_RootConstrainSelectedInstOperands,
     /*  202382 */     // GIR_Coverage, 1010,
     /*  202382 */     GIR_Done,
     /*  202383 */   // Label 4029: @202383
     /*  202383 */   GIM_Try, /*On fail goto*//*Label 4030*/ GIMT_Encode4(202424), // Rule ID 1012 //
     /*  202388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202391 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202398 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202405 */     // MIs[0] rs1
     /*  202405 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202417 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202417 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  202422 */     GIR_RootConstrainSelectedInstOperands,
     /*  202423 */     // GIR_Coverage, 1012,
     /*  202423 */     GIR_Done,
     /*  202424 */   // Label 4030: @202424
     /*  202424 */   GIM_Reject,
     /*  202425 */ // Label 3990: @202425
     /*  202425 */ GIM_Reject,
     /*  202426 */ // Label 3958: @202426
     /*  202426 */ GIM_Reject,
     /*  202427 */ // Label 35: @202427
     /*  202427 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4033*/ GIMT_Encode4(205336),
     /*  202438 */ /*GILLT_s32*//*Label 4031*/ GIMT_Encode4(202446),
     /*  202442 */ /*GILLT_s64*//*Label 4032*/ GIMT_Encode4(203686),
     /*  202446 */ // Label 4031: @202446
     /*  202446 */ GIM_Try, /*On fail goto*//*Label 4034*/ GIMT_Encode4(203685),
     /*  202451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  202454 */   GIM_Try, /*On fail goto*//*Label 4035*/ GIMT_Encode4(202495), // Rule ID 487 //
     /*  202459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  202462 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202469 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202476 */     // MIs[0] rs1
     /*  202476 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202488 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202488 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  202493 */     GIR_RootConstrainSelectedInstOperands,
     /*  202494 */     // GIR_Coverage, 487,
     /*  202494 */     GIR_Done,
     /*  202495 */   // Label 4035: @202495
     /*  202495 */   GIM_Try, /*On fail goto*//*Label 4036*/ GIMT_Encode4(202536), // Rule ID 489 //
     /*  202500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  202503 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202510 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202517 */     // MIs[0] rs1
     /*  202517 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202529 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202529 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  202534 */     GIR_RootConstrainSelectedInstOperands,
     /*  202535 */     // GIR_Coverage, 489,
     /*  202535 */     GIR_Done,
     /*  202536 */   // Label 4036: @202536
     /*  202536 */   GIM_Try, /*On fail goto*//*Label 4037*/ GIMT_Encode4(202577), // Rule ID 491 //
     /*  202541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  202544 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202551 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202558 */     // MIs[0] rs1
     /*  202558 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202570 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202570 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  202575 */     GIR_RootConstrainSelectedInstOperands,
     /*  202576 */     // GIR_Coverage, 491,
     /*  202576 */     GIR_Done,
     /*  202577 */   // Label 4037: @202577
     /*  202577 */   GIM_Try, /*On fail goto*//*Label 4038*/ GIMT_Encode4(202618), // Rule ID 493 //
     /*  202582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  202585 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202592 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202599 */     // MIs[0] rs1
     /*  202599 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202611 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202611 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  202616 */     GIR_RootConstrainSelectedInstOperands,
     /*  202617 */     // GIR_Coverage, 493,
     /*  202617 */     GIR_Done,
     /*  202618 */   // Label 4038: @202618
     /*  202618 */   GIM_Try, /*On fail goto*//*Label 4039*/ GIMT_Encode4(202659), // Rule ID 495 //
     /*  202623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  202626 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202633 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202640 */     // MIs[0] rs1
     /*  202640 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202652 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202652 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  202657 */     GIR_RootConstrainSelectedInstOperands,
     /*  202658 */     // GIR_Coverage, 495,
     /*  202658 */     GIR_Done,
     /*  202659 */   // Label 4039: @202659
     /*  202659 */   GIM_Try, /*On fail goto*//*Label 4040*/ GIMT_Encode4(202700), // Rule ID 497 //
     /*  202664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202667 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202674 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202681 */     // MIs[0] rs1
     /*  202681 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202693 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202693 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  202698 */     GIR_RootConstrainSelectedInstOperands,
     /*  202699 */     // GIR_Coverage, 497,
     /*  202699 */     GIR_Done,
     /*  202700 */   // Label 4040: @202700
     /*  202700 */   GIM_Try, /*On fail goto*//*Label 4041*/ GIMT_Encode4(202741), // Rule ID 499 //
     /*  202705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202708 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202715 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202722 */     // MIs[0] rs1
     /*  202722 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202734 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202734 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  202739 */     GIR_RootConstrainSelectedInstOperands,
     /*  202740 */     // GIR_Coverage, 499,
     /*  202740 */     GIR_Done,
     /*  202741 */   // Label 4041: @202741
     /*  202741 */   GIM_Try, /*On fail goto*//*Label 4042*/ GIMT_Encode4(202782), // Rule ID 501 //
     /*  202746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202749 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202756 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202763 */     // MIs[0] rs1
     /*  202763 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202775 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202775 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  202780 */     GIR_RootConstrainSelectedInstOperands,
     /*  202781 */     // GIR_Coverage, 501,
     /*  202781 */     GIR_Done,
     /*  202782 */   // Label 4042: @202782
     /*  202782 */   GIM_Try, /*On fail goto*//*Label 4043*/ GIMT_Encode4(202823), // Rule ID 503 //
     /*  202787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202790 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202797 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202804 */     // MIs[0] rs1
     /*  202804 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202816 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202816 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  202821 */     GIR_RootConstrainSelectedInstOperands,
     /*  202822 */     // GIR_Coverage, 503,
     /*  202822 */     GIR_Done,
     /*  202823 */   // Label 4043: @202823
     /*  202823 */   GIM_Try, /*On fail goto*//*Label 4044*/ GIMT_Encode4(202864), // Rule ID 505 //
     /*  202828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  202831 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  202838 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202845 */     // MIs[0] rs1
     /*  202845 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202857 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202857 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  202862 */     GIR_RootConstrainSelectedInstOperands,
     /*  202863 */     // GIR_Coverage, 505,
     /*  202863 */     GIR_Done,
     /*  202864 */   // Label 4044: @202864
     /*  202864 */   GIM_Try, /*On fail goto*//*Label 4045*/ GIMT_Encode4(202905), // Rule ID 835 //
     /*  202869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202872 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202879 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202886 */     // MIs[0] rs1
     /*  202886 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202898 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202898 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  202903 */     GIR_RootConstrainSelectedInstOperands,
     /*  202904 */     // GIR_Coverage, 835,
     /*  202904 */     GIR_Done,
     /*  202905 */   // Label 4045: @202905
     /*  202905 */   GIM_Try, /*On fail goto*//*Label 4046*/ GIMT_Encode4(202946), // Rule ID 837 //
     /*  202910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202913 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202920 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202927 */     // MIs[0] rs1
     /*  202927 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202939 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202939 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  202944 */     GIR_RootConstrainSelectedInstOperands,
     /*  202945 */     // GIR_Coverage, 837,
     /*  202945 */     GIR_Done,
     /*  202946 */   // Label 4046: @202946
     /*  202946 */   GIM_Try, /*On fail goto*//*Label 4047*/ GIMT_Encode4(202987), // Rule ID 839 //
     /*  202951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202954 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202961 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202968 */     // MIs[0] rs1
     /*  202968 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  202972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202980 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  202980 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  202985 */     GIR_RootConstrainSelectedInstOperands,
     /*  202986 */     // GIR_Coverage, 839,
     /*  202986 */     GIR_Done,
     /*  202987 */   // Label 4047: @202987
     /*  202987 */   GIM_Try, /*On fail goto*//*Label 4048*/ GIMT_Encode4(203028), // Rule ID 841 //
     /*  202992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  202995 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203002 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203009 */     // MIs[0] rs1
     /*  203009 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203021 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203021 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  203026 */     GIR_RootConstrainSelectedInstOperands,
     /*  203027 */     // GIR_Coverage, 841,
     /*  203027 */     GIR_Done,
     /*  203028 */   // Label 4048: @203028
     /*  203028 */   GIM_Try, /*On fail goto*//*Label 4049*/ GIMT_Encode4(203069), // Rule ID 843 //
     /*  203033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203036 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203043 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203050 */     // MIs[0] rs1
     /*  203050 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203062 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203062 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  203067 */     GIR_RootConstrainSelectedInstOperands,
     /*  203068 */     // GIR_Coverage, 843,
     /*  203068 */     GIR_Done,
     /*  203069 */   // Label 4049: @203069
     /*  203069 */   GIM_Try, /*On fail goto*//*Label 4050*/ GIMT_Encode4(203110), // Rule ID 845 //
     /*  203074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203077 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203084 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203091 */     // MIs[0] rs1
     /*  203091 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203103 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203103 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  203108 */     GIR_RootConstrainSelectedInstOperands,
     /*  203109 */     // GIR_Coverage, 845,
     /*  203109 */     GIR_Done,
     /*  203110 */   // Label 4050: @203110
     /*  203110 */   GIM_Try, /*On fail goto*//*Label 4051*/ GIMT_Encode4(203151), // Rule ID 847 //
     /*  203115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203118 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203125 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203132 */     // MIs[0] rs1
     /*  203132 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203144 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203144 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  203149 */     GIR_RootConstrainSelectedInstOperands,
     /*  203150 */     // GIR_Coverage, 847,
     /*  203150 */     GIR_Done,
     /*  203151 */   // Label 4051: @203151
     /*  203151 */   GIM_Try, /*On fail goto*//*Label 4052*/ GIMT_Encode4(203192), // Rule ID 849 //
     /*  203156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203159 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203166 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203173 */     // MIs[0] rs1
     /*  203173 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203185 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203185 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  203190 */     GIR_RootConstrainSelectedInstOperands,
     /*  203191 */     // GIR_Coverage, 849,
     /*  203191 */     GIR_Done,
     /*  203192 */   // Label 4052: @203192
     /*  203192 */   GIM_Try, /*On fail goto*//*Label 4053*/ GIMT_Encode4(203233), // Rule ID 851 //
     /*  203197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203200 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203207 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203214 */     // MIs[0] rs1
     /*  203214 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203226 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203226 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  203231 */     GIR_RootConstrainSelectedInstOperands,
     /*  203232 */     // GIR_Coverage, 851,
     /*  203232 */     GIR_Done,
     /*  203233 */   // Label 4053: @203233
     /*  203233 */   GIM_Try, /*On fail goto*//*Label 4054*/ GIMT_Encode4(203274), // Rule ID 853 //
     /*  203238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203241 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203248 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203255 */     // MIs[0] rs1
     /*  203255 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203267 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203267 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  203272 */     GIR_RootConstrainSelectedInstOperands,
     /*  203273 */     // GIR_Coverage, 853,
     /*  203273 */     GIR_Done,
     /*  203274 */   // Label 4054: @203274
     /*  203274 */   GIM_Try, /*On fail goto*//*Label 4055*/ GIMT_Encode4(203315), // Rule ID 1015 //
     /*  203279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203282 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203289 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203296 */     // MIs[0] rs1
     /*  203296 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203308 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203308 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  203313 */     GIR_RootConstrainSelectedInstOperands,
     /*  203314 */     // GIR_Coverage, 1015,
     /*  203314 */     GIR_Done,
     /*  203315 */   // Label 4055: @203315
     /*  203315 */   GIM_Try, /*On fail goto*//*Label 4056*/ GIMT_Encode4(203356), // Rule ID 1017 //
     /*  203320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203323 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203330 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203337 */     // MIs[0] rs1
     /*  203337 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203349 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203349 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  203354 */     GIR_RootConstrainSelectedInstOperands,
     /*  203355 */     // GIR_Coverage, 1017,
     /*  203355 */     GIR_Done,
     /*  203356 */   // Label 4056: @203356
     /*  203356 */   GIM_Try, /*On fail goto*//*Label 4057*/ GIMT_Encode4(203397), // Rule ID 1019 //
     /*  203361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203364 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203371 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203378 */     // MIs[0] rs1
     /*  203378 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203390 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203390 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  203395 */     GIR_RootConstrainSelectedInstOperands,
     /*  203396 */     // GIR_Coverage, 1019,
     /*  203396 */     GIR_Done,
     /*  203397 */   // Label 4057: @203397
     /*  203397 */   GIM_Try, /*On fail goto*//*Label 4058*/ GIMT_Encode4(203438), // Rule ID 1021 //
     /*  203402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203405 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203412 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203419 */     // MIs[0] rs1
     /*  203419 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203431 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203431 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  203436 */     GIR_RootConstrainSelectedInstOperands,
     /*  203437 */     // GIR_Coverage, 1021,
     /*  203437 */     GIR_Done,
     /*  203438 */   // Label 4058: @203438
     /*  203438 */   GIM_Try, /*On fail goto*//*Label 4059*/ GIMT_Encode4(203479), // Rule ID 1023 //
     /*  203443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203446 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203453 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203460 */     // MIs[0] rs1
     /*  203460 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203472 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203472 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  203477 */     GIR_RootConstrainSelectedInstOperands,
     /*  203478 */     // GIR_Coverage, 1023,
     /*  203478 */     GIR_Done,
     /*  203479 */   // Label 4059: @203479
     /*  203479 */   GIM_Try, /*On fail goto*//*Label 4060*/ GIMT_Encode4(203520), // Rule ID 1025 //
     /*  203484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203487 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203494 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203501 */     // MIs[0] rs1
     /*  203501 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203513 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203513 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  203518 */     GIR_RootConstrainSelectedInstOperands,
     /*  203519 */     // GIR_Coverage, 1025,
     /*  203519 */     GIR_Done,
     /*  203520 */   // Label 4060: @203520
     /*  203520 */   GIM_Try, /*On fail goto*//*Label 4061*/ GIMT_Encode4(203561), // Rule ID 1027 //
     /*  203525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203528 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203535 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203542 */     // MIs[0] rs1
     /*  203542 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203554 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203554 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  203559 */     GIR_RootConstrainSelectedInstOperands,
     /*  203560 */     // GIR_Coverage, 1027,
     /*  203560 */     GIR_Done,
     /*  203561 */   // Label 4061: @203561
     /*  203561 */   GIM_Try, /*On fail goto*//*Label 4062*/ GIMT_Encode4(203602), // Rule ID 1029 //
     /*  203566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203569 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203576 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203583 */     // MIs[0] rs1
     /*  203583 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203595 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203595 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  203600 */     GIR_RootConstrainSelectedInstOperands,
     /*  203601 */     // GIR_Coverage, 1029,
     /*  203601 */     GIR_Done,
     /*  203602 */   // Label 4062: @203602
     /*  203602 */   GIM_Try, /*On fail goto*//*Label 4063*/ GIMT_Encode4(203643), // Rule ID 1031 //
     /*  203607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203610 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203617 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203624 */     // MIs[0] rs1
     /*  203624 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203636 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203636 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  203641 */     GIR_RootConstrainSelectedInstOperands,
     /*  203642 */     // GIR_Coverage, 1031,
     /*  203642 */     GIR_Done,
     /*  203643 */   // Label 4063: @203643
     /*  203643 */   GIM_Try, /*On fail goto*//*Label 4064*/ GIMT_Encode4(203684), // Rule ID 1033 //
     /*  203648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203651 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203658 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203665 */     // MIs[0] rs1
     /*  203665 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203677 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203677 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  203682 */     GIR_RootConstrainSelectedInstOperands,
     /*  203683 */     // GIR_Coverage, 1033,
     /*  203683 */     GIR_Done,
     /*  203684 */   // Label 4064: @203684
     /*  203684 */   GIM_Reject,
     /*  203685 */ // Label 4034: @203685
     /*  203685 */ GIM_Reject,
     /*  203686 */ // Label 4032: @203686
     /*  203686 */ GIM_Try, /*On fail goto*//*Label 4065*/ GIMT_Encode4(205335),
     /*  203691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  203694 */   GIM_Try, /*On fail goto*//*Label 4066*/ GIMT_Encode4(203735), // Rule ID 486 //
     /*  203699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  203702 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203709 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203716 */     // MIs[0] rs1
     /*  203716 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203728 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203728 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  203733 */     GIR_RootConstrainSelectedInstOperands,
     /*  203734 */     // GIR_Coverage, 486,
     /*  203734 */     GIR_Done,
     /*  203735 */   // Label 4066: @203735
     /*  203735 */   GIM_Try, /*On fail goto*//*Label 4067*/ GIMT_Encode4(203776), // Rule ID 488 //
     /*  203740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  203743 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203750 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203757 */     // MIs[0] rs1
     /*  203757 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203769 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203769 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  203774 */     GIR_RootConstrainSelectedInstOperands,
     /*  203775 */     // GIR_Coverage, 488,
     /*  203775 */     GIR_Done,
     /*  203776 */   // Label 4067: @203776
     /*  203776 */   GIM_Try, /*On fail goto*//*Label 4068*/ GIMT_Encode4(203817), // Rule ID 490 //
     /*  203781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  203784 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203791 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203798 */     // MIs[0] rs1
     /*  203798 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203810 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203810 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  203815 */     GIR_RootConstrainSelectedInstOperands,
     /*  203816 */     // GIR_Coverage, 490,
     /*  203816 */     GIR_Done,
     /*  203817 */   // Label 4068: @203817
     /*  203817 */   GIM_Try, /*On fail goto*//*Label 4069*/ GIMT_Encode4(203858), // Rule ID 492 //
     /*  203822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  203825 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203832 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203839 */     // MIs[0] rs1
     /*  203839 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203851 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203851 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  203856 */     GIR_RootConstrainSelectedInstOperands,
     /*  203857 */     // GIR_Coverage, 492,
     /*  203857 */     GIR_Done,
     /*  203858 */   // Label 4069: @203858
     /*  203858 */   GIM_Try, /*On fail goto*//*Label 4070*/ GIMT_Encode4(203899), // Rule ID 494 //
     /*  203863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  203866 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203873 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203880 */     // MIs[0] rs1
     /*  203880 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203892 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203892 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  203897 */     GIR_RootConstrainSelectedInstOperands,
     /*  203898 */     // GIR_Coverage, 494,
     /*  203898 */     GIR_Done,
     /*  203899 */   // Label 4070: @203899
     /*  203899 */   GIM_Try, /*On fail goto*//*Label 4071*/ GIMT_Encode4(203940), // Rule ID 496 //
     /*  203904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  203907 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203914 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203921 */     // MIs[0] rs1
     /*  203921 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203933 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203933 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  203938 */     GIR_RootConstrainSelectedInstOperands,
     /*  203939 */     // GIR_Coverage, 496,
     /*  203939 */     GIR_Done,
     /*  203940 */   // Label 4071: @203940
     /*  203940 */   GIM_Try, /*On fail goto*//*Label 4072*/ GIMT_Encode4(203981), // Rule ID 498 //
     /*  203945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  203948 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203955 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203962 */     // MIs[0] rs1
     /*  203962 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203974 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203974 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  203979 */     GIR_RootConstrainSelectedInstOperands,
     /*  203980 */     // GIR_Coverage, 498,
     /*  203980 */     GIR_Done,
     /*  203981 */   // Label 4072: @203981
     /*  203981 */   GIM_Try, /*On fail goto*//*Label 4073*/ GIMT_Encode4(204022), // Rule ID 500 //
     /*  203986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  203989 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203996 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204003 */     // MIs[0] rs1
     /*  204003 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204015 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204015 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204020 */     GIR_RootConstrainSelectedInstOperands,
     /*  204021 */     // GIR_Coverage, 500,
     /*  204021 */     GIR_Done,
     /*  204022 */   // Label 4073: @204022
     /*  204022 */   GIM_Try, /*On fail goto*//*Label 4074*/ GIMT_Encode4(204063), // Rule ID 502 //
     /*  204027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  204030 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204037 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204044 */     // MIs[0] rs1
     /*  204044 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204056 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204056 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204061 */     GIR_RootConstrainSelectedInstOperands,
     /*  204062 */     // GIR_Coverage, 502,
     /*  204062 */     GIR_Done,
     /*  204063 */   // Label 4074: @204063
     /*  204063 */   GIM_Try, /*On fail goto*//*Label 4075*/ GIMT_Encode4(204104), // Rule ID 504 //
     /*  204068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  204071 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204078 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204085 */     // MIs[0] rs1
     /*  204085 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204097 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204097 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  204102 */     GIR_RootConstrainSelectedInstOperands,
     /*  204103 */     // GIR_Coverage, 504,
     /*  204103 */     GIR_Done,
     /*  204104 */   // Label 4075: @204104
     /*  204104 */   GIM_Try, /*On fail goto*//*Label 4076*/ GIMT_Encode4(204145), // Rule ID 586 //
     /*  204109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204112 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204119 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204126 */     // MIs[0] rs1
     /*  204126 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204138 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204138 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  204143 */     GIR_RootConstrainSelectedInstOperands,
     /*  204144 */     // GIR_Coverage, 586,
     /*  204144 */     GIR_Done,
     /*  204145 */   // Label 4076: @204145
     /*  204145 */   GIM_Try, /*On fail goto*//*Label 4077*/ GIMT_Encode4(204186), // Rule ID 587 //
     /*  204150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204153 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204160 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204167 */     // MIs[0] rs1
     /*  204167 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204179 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204179 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ),
     /*  204184 */     GIR_RootConstrainSelectedInstOperands,
     /*  204185 */     // GIR_Coverage, 587,
     /*  204185 */     GIR_Done,
     /*  204186 */   // Label 4077: @204186
     /*  204186 */   GIM_Try, /*On fail goto*//*Label 4078*/ GIMT_Encode4(204227), // Rule ID 588 //
     /*  204191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204194 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204201 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204208 */     // MIs[0] rs1
     /*  204208 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204220 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204220 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_RL),
     /*  204225 */     GIR_RootConstrainSelectedInstOperands,
     /*  204226 */     // GIR_Coverage, 588,
     /*  204226 */     GIR_Done,
     /*  204227 */   // Label 4078: @204227
     /*  204227 */   GIM_Try, /*On fail goto*//*Label 4079*/ GIMT_Encode4(204268), // Rule ID 589 //
     /*  204232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204235 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204242 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204249 */     // MIs[0] rs1
     /*  204249 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204261 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204261 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  204266 */     GIR_RootConstrainSelectedInstOperands,
     /*  204267 */     // GIR_Coverage, 589,
     /*  204267 */     GIR_Done,
     /*  204268 */   // Label 4079: @204268
     /*  204268 */   GIM_Try, /*On fail goto*//*Label 4080*/ GIMT_Encode4(204309), // Rule ID 590 //
     /*  204273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204276 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204283 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204290 */     // MIs[0] rs1
     /*  204290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204302 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204302 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  204307 */     GIR_RootConstrainSelectedInstOperands,
     /*  204308 */     // GIR_Coverage, 590,
     /*  204308 */     GIR_Done,
     /*  204309 */   // Label 4080: @204309
     /*  204309 */   GIM_Try, /*On fail goto*//*Label 4081*/ GIMT_Encode4(204350), // Rule ID 591 //
     /*  204314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  204317 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204324 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204331 */     // MIs[0] rs1
     /*  204331 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204343 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204343 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  204348 */     GIR_RootConstrainSelectedInstOperands,
     /*  204349 */     // GIR_Coverage, 591,
     /*  204349 */     GIR_Done,
     /*  204350 */   // Label 4081: @204350
     /*  204350 */   GIM_Try, /*On fail goto*//*Label 4082*/ GIMT_Encode4(204391), // Rule ID 592 //
     /*  204355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  204358 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204365 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204372 */     // MIs[0] rs1
     /*  204372 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204384 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204384 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  204389 */     GIR_RootConstrainSelectedInstOperands,
     /*  204390 */     // GIR_Coverage, 592,
     /*  204390 */     GIR_Done,
     /*  204391 */   // Label 4082: @204391
     /*  204391 */   GIM_Try, /*On fail goto*//*Label 4083*/ GIMT_Encode4(204432), // Rule ID 593 //
     /*  204396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  204399 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204406 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204413 */     // MIs[0] rs1
     /*  204413 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204425 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204425 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  204430 */     GIR_RootConstrainSelectedInstOperands,
     /*  204431 */     // GIR_Coverage, 593,
     /*  204431 */     GIR_Done,
     /*  204432 */   // Label 4083: @204432
     /*  204432 */   GIM_Try, /*On fail goto*//*Label 4084*/ GIMT_Encode4(204473), // Rule ID 594 //
     /*  204437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  204440 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204447 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204454 */     // MIs[0] rs1
     /*  204454 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204466 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204466 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  204471 */     GIR_RootConstrainSelectedInstOperands,
     /*  204472 */     // GIR_Coverage, 594,
     /*  204472 */     GIR_Done,
     /*  204473 */   // Label 4084: @204473
     /*  204473 */   GIM_Try, /*On fail goto*//*Label 4085*/ GIMT_Encode4(204514), // Rule ID 595 //
     /*  204478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  204481 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204488 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204495 */     // MIs[0] rs1
     /*  204495 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204507 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204507 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  204512 */     GIR_RootConstrainSelectedInstOperands,
     /*  204513 */     // GIR_Coverage, 595,
     /*  204513 */     GIR_Done,
     /*  204514 */   // Label 4085: @204514
     /*  204514 */   GIM_Try, /*On fail goto*//*Label 4086*/ GIMT_Encode4(204555), // Rule ID 834 //
     /*  204519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204522 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204529 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204536 */     // MIs[0] rs1
     /*  204536 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204548 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204548 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204553 */     GIR_RootConstrainSelectedInstOperands,
     /*  204554 */     // GIR_Coverage, 834,
     /*  204554 */     GIR_Done,
     /*  204555 */   // Label 4086: @204555
     /*  204555 */   GIM_Try, /*On fail goto*//*Label 4087*/ GIMT_Encode4(204596), // Rule ID 836 //
     /*  204560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204563 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204570 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204577 */     // MIs[0] rs1
     /*  204577 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204589 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204589 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  204594 */     GIR_RootConstrainSelectedInstOperands,
     /*  204595 */     // GIR_Coverage, 836,
     /*  204595 */     GIR_Done,
     /*  204596 */   // Label 4087: @204596
     /*  204596 */   GIM_Try, /*On fail goto*//*Label 4088*/ GIMT_Encode4(204637), // Rule ID 838 //
     /*  204601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204604 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204611 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204618 */     // MIs[0] rs1
     /*  204618 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204630 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204630 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  204635 */     GIR_RootConstrainSelectedInstOperands,
     /*  204636 */     // GIR_Coverage, 838,
     /*  204636 */     GIR_Done,
     /*  204637 */   // Label 4088: @204637
     /*  204637 */   GIM_Try, /*On fail goto*//*Label 4089*/ GIMT_Encode4(204678), // Rule ID 840 //
     /*  204642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204645 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204652 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204659 */     // MIs[0] rs1
     /*  204659 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204671 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204671 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  204676 */     GIR_RootConstrainSelectedInstOperands,
     /*  204677 */     // GIR_Coverage, 840,
     /*  204677 */     GIR_Done,
     /*  204678 */   // Label 4089: @204678
     /*  204678 */   GIM_Try, /*On fail goto*//*Label 4090*/ GIMT_Encode4(204719), // Rule ID 842 //
     /*  204683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204686 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204693 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204700 */     // MIs[0] rs1
     /*  204700 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204712 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204712 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  204717 */     GIR_RootConstrainSelectedInstOperands,
     /*  204718 */     // GIR_Coverage, 842,
     /*  204718 */     GIR_Done,
     /*  204719 */   // Label 4090: @204719
     /*  204719 */   GIM_Try, /*On fail goto*//*Label 4091*/ GIMT_Encode4(204760), // Rule ID 844 //
     /*  204724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204727 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204734 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204741 */     // MIs[0] rs1
     /*  204741 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204753 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204753 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204758 */     GIR_RootConstrainSelectedInstOperands,
     /*  204759 */     // GIR_Coverage, 844,
     /*  204759 */     GIR_Done,
     /*  204760 */   // Label 4091: @204760
     /*  204760 */   GIM_Try, /*On fail goto*//*Label 4092*/ GIMT_Encode4(204801), // Rule ID 846 //
     /*  204765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204768 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204775 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204782 */     // MIs[0] rs1
     /*  204782 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204794 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204794 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204799 */     GIR_RootConstrainSelectedInstOperands,
     /*  204800 */     // GIR_Coverage, 846,
     /*  204800 */     GIR_Done,
     /*  204801 */   // Label 4092: @204801
     /*  204801 */   GIM_Try, /*On fail goto*//*Label 4093*/ GIMT_Encode4(204842), // Rule ID 848 //
     /*  204806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204809 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204816 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204823 */     // MIs[0] rs1
     /*  204823 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204835 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204835 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204840 */     GIR_RootConstrainSelectedInstOperands,
     /*  204841 */     // GIR_Coverage, 848,
     /*  204841 */     GIR_Done,
     /*  204842 */   // Label 4093: @204842
     /*  204842 */   GIM_Try, /*On fail goto*//*Label 4094*/ GIMT_Encode4(204883), // Rule ID 850 //
     /*  204847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204850 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204857 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204864 */     // MIs[0] rs1
     /*  204864 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204876 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204876 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204881 */     GIR_RootConstrainSelectedInstOperands,
     /*  204882 */     // GIR_Coverage, 850,
     /*  204882 */     GIR_Done,
     /*  204883 */   // Label 4094: @204883
     /*  204883 */   GIM_Try, /*On fail goto*//*Label 4095*/ GIMT_Encode4(204924), // Rule ID 852 //
     /*  204888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  204891 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  204898 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204905 */     // MIs[0] rs1
     /*  204905 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204917 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204917 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  204922 */     GIR_RootConstrainSelectedInstOperands,
     /*  204923 */     // GIR_Coverage, 852,
     /*  204923 */     GIR_Done,
     /*  204924 */   // Label 4095: @204924
     /*  204924 */   GIM_Try, /*On fail goto*//*Label 4096*/ GIMT_Encode4(204965), // Rule ID 1014 //
     /*  204929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204932 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204939 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204946 */     // MIs[0] rs1
     /*  204946 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204958 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204958 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  204963 */     GIR_RootConstrainSelectedInstOperands,
     /*  204964 */     // GIR_Coverage, 1014,
     /*  204964 */     GIR_Done,
     /*  204965 */   // Label 4096: @204965
     /*  204965 */   GIM_Try, /*On fail goto*//*Label 4097*/ GIMT_Encode4(205006), // Rule ID 1016 //
     /*  204970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  204973 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204980 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204987 */     // MIs[0] rs1
     /*  204987 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204999 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204999 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  205004 */     GIR_RootConstrainSelectedInstOperands,
     /*  205005 */     // GIR_Coverage, 1016,
     /*  205005 */     GIR_Done,
     /*  205006 */   // Label 4097: @205006
     /*  205006 */   GIM_Try, /*On fail goto*//*Label 4098*/ GIMT_Encode4(205047), // Rule ID 1018 //
     /*  205011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205014 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205021 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205028 */     // MIs[0] rs1
     /*  205028 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205040 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205040 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  205045 */     GIR_RootConstrainSelectedInstOperands,
     /*  205046 */     // GIR_Coverage, 1018,
     /*  205046 */     GIR_Done,
     /*  205047 */   // Label 4098: @205047
     /*  205047 */   GIM_Try, /*On fail goto*//*Label 4099*/ GIMT_Encode4(205088), // Rule ID 1020 //
     /*  205052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205055 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205062 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205069 */     // MIs[0] rs1
     /*  205069 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205081 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205081 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  205086 */     GIR_RootConstrainSelectedInstOperands,
     /*  205087 */     // GIR_Coverage, 1020,
     /*  205087 */     GIR_Done,
     /*  205088 */   // Label 4099: @205088
     /*  205088 */   GIM_Try, /*On fail goto*//*Label 4100*/ GIMT_Encode4(205129), // Rule ID 1022 //
     /*  205093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205096 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205103 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205110 */     // MIs[0] rs1
     /*  205110 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205122 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205122 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  205127 */     GIR_RootConstrainSelectedInstOperands,
     /*  205128 */     // GIR_Coverage, 1022,
     /*  205128 */     GIR_Done,
     /*  205129 */   // Label 4100: @205129
     /*  205129 */   GIM_Try, /*On fail goto*//*Label 4101*/ GIMT_Encode4(205170), // Rule ID 1024 //
     /*  205134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205137 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205144 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205151 */     // MIs[0] rs1
     /*  205151 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205163 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205163 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205168 */     GIR_RootConstrainSelectedInstOperands,
     /*  205169 */     // GIR_Coverage, 1024,
     /*  205169 */     GIR_Done,
     /*  205170 */   // Label 4101: @205170
     /*  205170 */   GIM_Try, /*On fail goto*//*Label 4102*/ GIMT_Encode4(205211), // Rule ID 1026 //
     /*  205175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205178 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205185 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205192 */     // MIs[0] rs1
     /*  205192 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205204 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205204 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205209 */     GIR_RootConstrainSelectedInstOperands,
     /*  205210 */     // GIR_Coverage, 1026,
     /*  205210 */     GIR_Done,
     /*  205211 */   // Label 4102: @205211
     /*  205211 */   GIM_Try, /*On fail goto*//*Label 4103*/ GIMT_Encode4(205252), // Rule ID 1028 //
     /*  205216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205219 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205226 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205233 */     // MIs[0] rs1
     /*  205233 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205245 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205245 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205250 */     GIR_RootConstrainSelectedInstOperands,
     /*  205251 */     // GIR_Coverage, 1028,
     /*  205251 */     GIR_Done,
     /*  205252 */   // Label 4103: @205252
     /*  205252 */   GIM_Try, /*On fail goto*//*Label 4104*/ GIMT_Encode4(205293), // Rule ID 1030 //
     /*  205257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205260 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205267 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205274 */     // MIs[0] rs1
     /*  205274 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205286 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205286 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205291 */     GIR_RootConstrainSelectedInstOperands,
     /*  205292 */     // GIR_Coverage, 1030,
     /*  205292 */     GIR_Done,
     /*  205293 */   // Label 4104: @205293
     /*  205293 */   GIM_Try, /*On fail goto*//*Label 4105*/ GIMT_Encode4(205334), // Rule ID 1032 //
     /*  205298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205301 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205308 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205315 */     // MIs[0] rs1
     /*  205315 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205327 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205327 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  205332 */     GIR_RootConstrainSelectedInstOperands,
     /*  205333 */     // GIR_Coverage, 1032,
     /*  205333 */     GIR_Done,
     /*  205334 */   // Label 4105: @205334
     /*  205334 */   GIM_Reject,
     /*  205335 */ // Label 4065: @205335
     /*  205335 */ GIM_Reject,
     /*  205336 */ // Label 4033: @205336
     /*  205336 */ GIM_Reject,
     /*  205337 */ // Label 36: @205337
     /*  205337 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4108*/ GIMT_Encode4(205554),
     /*  205348 */ /*GILLT_s32*//*Label 4106*/ GIMT_Encode4(205356),
     /*  205352 */ /*GILLT_s64*//*Label 4107*/ GIMT_Encode4(205455),
     /*  205356 */ // Label 4106: @205356
     /*  205356 */ GIM_Try, /*On fail goto*//*Label 4109*/ GIMT_Encode4(205382), // Rule ID 245 //
     /*  205361 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  205364 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  205368 */   // MIs[0] Operand 1
     /*  205368 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  205371 */   // (atomic_fence 4:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 2:{ *:[i32] }, 3:{ *:[i32] })
     /*  205371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  205374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  205377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  205380 */   GIR_RootConstrainSelectedInstOperands,
     /*  205381 */   // GIR_Coverage, 245,
     /*  205381 */   GIR_EraseRootFromParent_Done,
     /*  205382 */ // Label 4109: @205382
     /*  205382 */ GIM_Try, /*On fail goto*//*Label 4110*/ GIMT_Encode4(205408), // Rule ID 247 //
     /*  205387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  205390 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  205394 */   // MIs[0] Operand 1
     /*  205394 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  205397 */   // (atomic_fence 5:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  205397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  205400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  205403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  205406 */   GIR_RootConstrainSelectedInstOperands,
     /*  205407 */   // GIR_Coverage, 247,
     /*  205407 */   GIR_EraseRootFromParent_Done,
     /*  205408 */ // Label 4110: @205408
     /*  205408 */ GIM_Try, /*On fail goto*//*Label 4111*/ GIMT_Encode4(205428), // Rule ID 249 //
     /*  205413 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  205416 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  205420 */   // MIs[0] Operand 1
     /*  205420 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  205423 */   // (atomic_fence 6:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE_TSO)
     /*  205423 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  205426 */   GIR_RootConstrainSelectedInstOperands,
     /*  205427 */   // GIR_Coverage, 249,
     /*  205427 */   GIR_EraseRootFromParent_Done,
     /*  205428 */ // Label 4111: @205428
     /*  205428 */ GIM_Try, /*On fail goto*//*Label 4112*/ GIMT_Encode4(205454), // Rule ID 251 //
     /*  205433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  205436 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  205440 */   // MIs[0] Operand 1
     /*  205440 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  205443 */   // (atomic_fence 7:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  205443 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  205446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  205449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  205452 */   GIR_RootConstrainSelectedInstOperands,
     /*  205453 */   // GIR_Coverage, 251,
     /*  205453 */   GIR_EraseRootFromParent_Done,
     /*  205454 */ // Label 4112: @205454
     /*  205454 */ GIM_Reject,
     /*  205455 */ // Label 4107: @205455
     /*  205455 */ GIM_Try, /*On fail goto*//*Label 4113*/ GIMT_Encode4(205481), // Rule ID 244 //
     /*  205460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  205463 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  205467 */   // MIs[0] Operand 1
     /*  205467 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  205470 */   // (atomic_fence 4:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 2:{ *:[i64] }, 3:{ *:[i64] })
     /*  205470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  205473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  205476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  205479 */   GIR_RootConstrainSelectedInstOperands,
     /*  205480 */   // GIR_Coverage, 244,
     /*  205480 */   GIR_EraseRootFromParent_Done,
     /*  205481 */ // Label 4113: @205481
     /*  205481 */ GIM_Try, /*On fail goto*//*Label 4114*/ GIMT_Encode4(205507), // Rule ID 246 //
     /*  205486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  205489 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  205493 */   // MIs[0] Operand 1
     /*  205493 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  205496 */   // (atomic_fence 5:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  205496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  205499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  205502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  205505 */   GIR_RootConstrainSelectedInstOperands,
     /*  205506 */   // GIR_Coverage, 246,
     /*  205506 */   GIR_EraseRootFromParent_Done,
     /*  205507 */ // Label 4114: @205507
     /*  205507 */ GIM_Try, /*On fail goto*//*Label 4115*/ GIMT_Encode4(205527), // Rule ID 248 //
     /*  205512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  205515 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  205519 */   // MIs[0] Operand 1
     /*  205519 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  205522 */   // (atomic_fence 6:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE_TSO)
     /*  205522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  205525 */   GIR_RootConstrainSelectedInstOperands,
     /*  205526 */   // GIR_Coverage, 248,
     /*  205526 */   GIR_EraseRootFromParent_Done,
     /*  205527 */ // Label 4115: @205527
     /*  205527 */ GIM_Try, /*On fail goto*//*Label 4116*/ GIMT_Encode4(205553), // Rule ID 250 //
     /*  205532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  205535 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  205539 */   // MIs[0] Operand 1
     /*  205539 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  205542 */   // (atomic_fence 7:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  205542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  205545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  205548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  205551 */   GIR_RootConstrainSelectedInstOperands,
     /*  205552 */   // GIR_Coverage, 250,
     /*  205552 */   GIR_EraseRootFromParent_Done,
     /*  205553 */ // Label 4116: @205553
     /*  205553 */ GIM_Reject,
     /*  205554 */ // Label 4108: @205554
     /*  205554 */ GIM_Reject,
     /*  205555 */ // Label 37: @205555
     /*  205555 */ GIM_Try, /*On fail goto*//*Label 4117*/ GIMT_Encode4(207040),
     /*  205560 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  205563 */   GIM_Try, /*On fail goto*//*Label 4118*/ GIMT_Encode4(205608), // Rule ID 2573 //
     /*  205568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  205571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  205576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  205579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  205582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205593 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11317:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  205593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  205596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205606 */     GIR_RootConstrainSelectedInstOperands,
     /*  205607 */     // GIR_Coverage, 2573,
     /*  205607 */     GIR_EraseRootFromParent_Done,
     /*  205608 */   // Label 4118: @205608
     /*  205608 */   GIM_Try, /*On fail goto*//*Label 4119*/ GIMT_Encode4(205653), // Rule ID 2574 //
     /*  205613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  205616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  205621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  205624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  205627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205638 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11317:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  205638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  205641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205651 */     GIR_RootConstrainSelectedInstOperands,
     /*  205652 */     // GIR_Coverage, 2574,
     /*  205652 */     GIR_EraseRootFromParent_Done,
     /*  205653 */   // Label 4119: @205653
     /*  205653 */   GIM_Try, /*On fail goto*//*Label 4120*/ GIMT_Encode4(205698), // Rule ID 23115 //
     /*  205658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  205661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  205666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  205669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  205672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205683 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11317:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  205683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  205686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205696 */     GIR_RootConstrainSelectedInstOperands,
     /*  205697 */     // GIR_Coverage, 23115,
     /*  205697 */     GIR_EraseRootFromParent_Done,
     /*  205698 */   // Label 4120: @205698
     /*  205698 */   GIM_Try, /*On fail goto*//*Label 4121*/ GIMT_Encode4(205743), // Rule ID 23116 //
     /*  205703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  205706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  205711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  205714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  205717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205728 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11317:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  205728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  205731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205741 */     GIR_RootConstrainSelectedInstOperands,
     /*  205742 */     // GIR_Coverage, 23116,
     /*  205742 */     GIR_EraseRootFromParent_Done,
     /*  205743 */   // Label 4121: @205743
     /*  205743 */   GIM_Try, /*On fail goto*//*Label 4122*/ GIMT_Encode4(205788), // Rule ID 23117 //
     /*  205748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  205751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  205756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  205759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  205762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205773 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11317:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  205773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  205776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205786 */     GIR_RootConstrainSelectedInstOperands,
     /*  205787 */     // GIR_Coverage, 23117,
     /*  205787 */     GIR_EraseRootFromParent_Done,
     /*  205788 */   // Label 4122: @205788
     /*  205788 */   GIM_Try, /*On fail goto*//*Label 4123*/ GIMT_Encode4(205833), // Rule ID 23118 //
     /*  205793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  205796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  205801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  205804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  205807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205818 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11317:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  205818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  205821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205831 */     GIR_RootConstrainSelectedInstOperands,
     /*  205832 */     // GIR_Coverage, 23118,
     /*  205832 */     GIR_EraseRootFromParent_Done,
     /*  205833 */   // Label 4123: @205833
     /*  205833 */   GIM_Try, /*On fail goto*//*Label 4124*/ GIMT_Encode4(205878), // Rule ID 23119 //
     /*  205838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  205841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  205846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  205849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  205852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205863 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11317:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  205863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  205866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205876 */     GIR_RootConstrainSelectedInstOperands,
     /*  205877 */     // GIR_Coverage, 23119,
     /*  205877 */     GIR_EraseRootFromParent_Done,
     /*  205878 */   // Label 4124: @205878
     /*  205878 */   GIM_Try, /*On fail goto*//*Label 4125*/ GIMT_Encode4(205923), // Rule ID 23120 //
     /*  205883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  205886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  205891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  205894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  205897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205908 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11317:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  205908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  205911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205921 */     GIR_RootConstrainSelectedInstOperands,
     /*  205922 */     // GIR_Coverage, 23120,
     /*  205922 */     GIR_EraseRootFromParent_Done,
     /*  205923 */   // Label 4125: @205923
     /*  205923 */   GIM_Try, /*On fail goto*//*Label 4126*/ GIMT_Encode4(205968), // Rule ID 23121 //
     /*  205928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  205931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  205936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  205939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  205942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205953 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11317:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  205953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  205956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205966 */     GIR_RootConstrainSelectedInstOperands,
     /*  205967 */     // GIR_Coverage, 23121,
     /*  205967 */     GIR_EraseRootFromParent_Done,
     /*  205968 */   // Label 4126: @205968
     /*  205968 */   GIM_Try, /*On fail goto*//*Label 4127*/ GIMT_Encode4(206013), // Rule ID 23122 //
     /*  205973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  205976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  205981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  205984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  205987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205998 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11317:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  205998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  206001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206011 */     GIR_RootConstrainSelectedInstOperands,
     /*  206012 */     // GIR_Coverage, 23122,
     /*  206012 */     GIR_EraseRootFromParent_Done,
     /*  206013 */   // Label 4127: @206013
     /*  206013 */   GIM_Try, /*On fail goto*//*Label 4128*/ GIMT_Encode4(206058), // Rule ID 23123 //
     /*  206018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  206026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  206029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206043 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11317:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  206043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  206046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206056 */     GIR_RootConstrainSelectedInstOperands,
     /*  206057 */     // GIR_Coverage, 23123,
     /*  206057 */     GIR_EraseRootFromParent_Done,
     /*  206058 */   // Label 4128: @206058
     /*  206058 */   GIM_Try, /*On fail goto*//*Label 4129*/ GIMT_Encode4(206103), // Rule ID 23124 //
     /*  206063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  206071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  206074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  206077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206088 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11317:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  206088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  206091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206101 */     GIR_RootConstrainSelectedInstOperands,
     /*  206102 */     // GIR_Coverage, 23124,
     /*  206102 */     GIR_EraseRootFromParent_Done,
     /*  206103 */   // Label 4129: @206103
     /*  206103 */   GIM_Try, /*On fail goto*//*Label 4130*/ GIMT_Encode4(206148), // Rule ID 23125 //
     /*  206108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  206116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  206119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206133 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11317:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  206133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  206136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206146 */     GIR_RootConstrainSelectedInstOperands,
     /*  206147 */     // GIR_Coverage, 23125,
     /*  206147 */     GIR_EraseRootFromParent_Done,
     /*  206148 */   // Label 4130: @206148
     /*  206148 */   GIM_Try, /*On fail goto*//*Label 4131*/ GIMT_Encode4(206193), // Rule ID 23126 //
     /*  206153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  206161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  206164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  206167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206178 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11317:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  206178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  206181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206191 */     GIR_RootConstrainSelectedInstOperands,
     /*  206192 */     // GIR_Coverage, 23126,
     /*  206192 */     GIR_EraseRootFromParent_Done,
     /*  206193 */   // Label 4131: @206193
     /*  206193 */   GIM_Try, /*On fail goto*//*Label 4132*/ GIMT_Encode4(206238), // Rule ID 23127 //
     /*  206198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  206206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  206209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206223 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  206223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  206226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206236 */     GIR_RootConstrainSelectedInstOperands,
     /*  206237 */     // GIR_Coverage, 23127,
     /*  206237 */     GIR_EraseRootFromParent_Done,
     /*  206238 */   // Label 4132: @206238
     /*  206238 */   GIM_Try, /*On fail goto*//*Label 4133*/ GIMT_Encode4(206283), // Rule ID 23128 //
     /*  206243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  206251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  206254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  206257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206268 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  206268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  206271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206281 */     GIR_RootConstrainSelectedInstOperands,
     /*  206282 */     // GIR_Coverage, 23128,
     /*  206282 */     GIR_EraseRootFromParent_Done,
     /*  206283 */   // Label 4133: @206283
     /*  206283 */   GIM_Try, /*On fail goto*//*Label 4134*/ GIMT_Encode4(206328), // Rule ID 23129 //
     /*  206288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  206296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  206299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206313 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  206313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  206316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206326 */     GIR_RootConstrainSelectedInstOperands,
     /*  206327 */     // GIR_Coverage, 23129,
     /*  206327 */     GIR_EraseRootFromParent_Done,
     /*  206328 */   // Label 4134: @206328
     /*  206328 */   GIM_Try, /*On fail goto*//*Label 4135*/ GIMT_Encode4(206373), // Rule ID 23130 //
     /*  206333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  206341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  206344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  206347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206358 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  206358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  206361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206371 */     GIR_RootConstrainSelectedInstOperands,
     /*  206372 */     // GIR_Coverage, 23130,
     /*  206372 */     GIR_EraseRootFromParent_Done,
     /*  206373 */   // Label 4135: @206373
     /*  206373 */   GIM_Try, /*On fail goto*//*Label 4136*/ GIMT_Encode4(206418), // Rule ID 23131 //
     /*  206378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  206386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  206389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206403 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  206403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  206406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206416 */     GIR_RootConstrainSelectedInstOperands,
     /*  206417 */     // GIR_Coverage, 23131,
     /*  206417 */     GIR_EraseRootFromParent_Done,
     /*  206418 */   // Label 4136: @206418
     /*  206418 */   GIM_Try, /*On fail goto*//*Label 4137*/ GIMT_Encode4(206463), // Rule ID 23132 //
     /*  206423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  206431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  206434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  206437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206448 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  206448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  206451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206461 */     GIR_RootConstrainSelectedInstOperands,
     /*  206462 */     // GIR_Coverage, 23132,
     /*  206462 */     GIR_EraseRootFromParent_Done,
     /*  206463 */   // Label 4137: @206463
     /*  206463 */   GIM_Try, /*On fail goto*//*Label 4138*/ GIMT_Encode4(206508), // Rule ID 23133 //
     /*  206468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  206476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  206479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206493 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  206493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  206496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206506 */     GIR_RootConstrainSelectedInstOperands,
     /*  206507 */     // GIR_Coverage, 23133,
     /*  206507 */     GIR_EraseRootFromParent_Done,
     /*  206508 */   // Label 4138: @206508
     /*  206508 */   GIM_Try, /*On fail goto*//*Label 4139*/ GIMT_Encode4(206553), // Rule ID 23134 //
     /*  206513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  206521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  206524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  206527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206538 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  206538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  206541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206551 */     GIR_RootConstrainSelectedInstOperands,
     /*  206552 */     // GIR_Coverage, 23134,
     /*  206552 */     GIR_EraseRootFromParent_Done,
     /*  206553 */   // Label 4139: @206553
     /*  206553 */   GIM_Try, /*On fail goto*//*Label 4140*/ GIMT_Encode4(206598), // Rule ID 23135 //
     /*  206558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  206566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  206569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206583 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  206583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  206586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206596 */     GIR_RootConstrainSelectedInstOperands,
     /*  206597 */     // GIR_Coverage, 23135,
     /*  206597 */     GIR_EraseRootFromParent_Done,
     /*  206598 */   // Label 4140: @206598
     /*  206598 */   GIM_Try, /*On fail goto*//*Label 4141*/ GIMT_Encode4(206643), // Rule ID 23136 //
     /*  206603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  206611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  206614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  206617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206628 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  206628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  206631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206641 */     GIR_RootConstrainSelectedInstOperands,
     /*  206642 */     // GIR_Coverage, 23136,
     /*  206642 */     GIR_EraseRootFromParent_Done,
     /*  206643 */   // Label 4141: @206643
     /*  206643 */   GIM_Try, /*On fail goto*//*Label 4142*/ GIMT_Encode4(206688), // Rule ID 23137 //
     /*  206648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  206656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  206659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206673 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  206673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  206676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206686 */     GIR_RootConstrainSelectedInstOperands,
     /*  206687 */     // GIR_Coverage, 23137,
     /*  206687 */     GIR_EraseRootFromParent_Done,
     /*  206688 */   // Label 4142: @206688
     /*  206688 */   GIM_Try, /*On fail goto*//*Label 4143*/ GIMT_Encode4(206733), // Rule ID 23138 //
     /*  206693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  206701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  206704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  206707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206718 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  206718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  206721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206731 */     GIR_RootConstrainSelectedInstOperands,
     /*  206732 */     // GIR_Coverage, 23138,
     /*  206732 */     GIR_EraseRootFromParent_Done,
     /*  206733 */   // Label 4143: @206733
     /*  206733 */   GIM_Try, /*On fail goto*//*Label 4144*/ GIMT_Encode4(206778), // Rule ID 23139 //
     /*  206738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  206746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  206749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206763 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  206763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  206766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206776 */     GIR_RootConstrainSelectedInstOperands,
     /*  206777 */     // GIR_Coverage, 23139,
     /*  206777 */     GIR_EraseRootFromParent_Done,
     /*  206778 */   // Label 4144: @206778
     /*  206778 */   GIM_Try, /*On fail goto*//*Label 4145*/ GIMT_Encode4(206823), // Rule ID 23140 //
     /*  206783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  206791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  206794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  206797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206808 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11345:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  206808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  206811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206821 */     GIR_RootConstrainSelectedInstOperands,
     /*  206822 */     // GIR_Coverage, 23140,
     /*  206822 */     GIR_EraseRootFromParent_Done,
     /*  206823 */   // Label 4145: @206823
     /*  206823 */   GIM_Try, /*On fail goto*//*Label 4146*/ GIMT_Encode4(206859), // Rule ID 2510 //
     /*  206828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  206831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64im),
     /*  206836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  206839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206850 */     // (intrinsic_wo_chain:{ *:[i64] } 10876:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (AES64IM:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  206850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64IM),
     /*  206853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  206857 */     GIR_RootConstrainSelectedInstOperands,
     /*  206858 */     // GIR_Coverage, 2510,
     /*  206858 */     GIR_EraseRootFromParent_Done,
     /*  206859 */   // Label 4146: @206859
     /*  206859 */   GIM_Try, /*On fail goto*//*Label 4147*/ GIMT_Encode4(206895), // Rule ID 2531 //
     /*  206864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  206867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0),
     /*  206872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  206875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206886 */     // (intrinsic_wo_chain:{ *:[i64] } 11012:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  206886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0),
     /*  206889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  206893 */     GIR_RootConstrainSelectedInstOperands,
     /*  206894 */     // GIR_Coverage, 2531,
     /*  206894 */     GIR_EraseRootFromParent_Done,
     /*  206895 */   // Label 4147: @206895
     /*  206895 */   GIM_Try, /*On fail goto*//*Label 4148*/ GIMT_Encode4(206931), // Rule ID 2532 //
     /*  206900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  206903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1),
     /*  206908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  206911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206922 */     // (intrinsic_wo_chain:{ *:[i64] } 11015:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  206922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1),
     /*  206925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  206929 */     GIR_RootConstrainSelectedInstOperands,
     /*  206930 */     // GIR_Coverage, 2532,
     /*  206930 */     GIR_EraseRootFromParent_Done,
     /*  206931 */   // Label 4148: @206931
     /*  206931 */   GIM_Try, /*On fail goto*//*Label 4149*/ GIMT_Encode4(206967), // Rule ID 2533 //
     /*  206936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  206939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0),
     /*  206944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  206947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206958 */     // (intrinsic_wo_chain:{ *:[i64] } 11018:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  206958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0),
     /*  206961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  206965 */     GIR_RootConstrainSelectedInstOperands,
     /*  206966 */     // GIR_Coverage, 2533,
     /*  206966 */     GIR_EraseRootFromParent_Done,
     /*  206967 */   // Label 4149: @206967
     /*  206967 */   GIM_Try, /*On fail goto*//*Label 4150*/ GIMT_Encode4(207003), // Rule ID 2534 //
     /*  206972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  206975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1),
     /*  206980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  206983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  206986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206994 */     // (intrinsic_wo_chain:{ *:[i64] } 11020:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  206994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1),
     /*  206997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  207001 */     GIR_RootConstrainSelectedInstOperands,
     /*  207002 */     // GIR_Coverage, 2534,
     /*  207002 */     GIR_EraseRootFromParent_Done,
     /*  207003 */   // Label 4150: @207003
     /*  207003 */   GIM_Try, /*On fail goto*//*Label 4151*/ GIMT_Encode4(207039), // Rule ID 63844 //
     /*  207008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  207011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_clb),
     /*  207016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  207019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  207022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207030 */     // (intrinsic_wo_chain:{ *:[i32] } 10896:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1)  =>  (CV_CLB:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  207030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLB),
     /*  207033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  207037 */     GIR_RootConstrainSelectedInstOperands,
     /*  207038 */     // GIR_Coverage, 63844,
     /*  207038 */     GIR_EraseRootFromParent_Done,
     /*  207039 */   // Label 4151: @207039
     /*  207039 */   GIM_Reject,
     /*  207040 */ // Label 4117: @207040
     /*  207040 */ GIM_Try, /*On fail goto*//*Label 4152*/ GIMT_Encode4(214328),
     /*  207045 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /*  207048 */   GIM_Try, /*On fail goto*//*Label 4153*/ GIMT_Encode4(207102), // Rule ID 2543 //
     /*  207053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  207061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  207064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  207067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  207070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207085 */     // (intrinsic_wo_chain:{ *:[i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  207088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  207092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207100 */     GIR_RootConstrainSelectedInstOperands,
     /*  207101 */     // GIR_Coverage, 2543,
     /*  207101 */     GIR_EraseRootFromParent_Done,
     /*  207102 */   // Label 4153: @207102
     /*  207102 */   GIM_Try, /*On fail goto*//*Label 4154*/ GIMT_Encode4(207156), // Rule ID 2544 //
     /*  207107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  207115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  207118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  207121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  207124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207139 */     // (intrinsic_wo_chain:{ *:[i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  207142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  207146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207154 */     GIR_RootConstrainSelectedInstOperands,
     /*  207155 */     // GIR_Coverage, 2544,
     /*  207155 */     GIR_EraseRootFromParent_Done,
     /*  207156 */   // Label 4154: @207156
     /*  207156 */   GIM_Try, /*On fail goto*//*Label 4155*/ GIMT_Encode4(207210), // Rule ID 2549 //
     /*  207161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  207169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  207172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  207175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  207178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207193 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  207196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207208 */     GIR_RootConstrainSelectedInstOperands,
     /*  207209 */     // GIR_Coverage, 2549,
     /*  207209 */     GIR_EraseRootFromParent_Done,
     /*  207210 */   // Label 4155: @207210
     /*  207210 */   GIM_Try, /*On fail goto*//*Label 4156*/ GIMT_Encode4(207264), // Rule ID 2550 //
     /*  207215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  207223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  207226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  207229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  207232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207247 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  207250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207262 */     GIR_RootConstrainSelectedInstOperands,
     /*  207263 */     // GIR_Coverage, 2550,
     /*  207263 */     GIR_EraseRootFromParent_Done,
     /*  207264 */   // Label 4156: @207264
     /*  207264 */   GIM_Try, /*On fail goto*//*Label 4157*/ GIMT_Encode4(207321), // Rule ID 2569 //
     /*  207269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  207277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  207280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  207283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  207286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207301 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  207301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  207304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207319 */     GIR_RootConstrainSelectedInstOperands,
     /*  207320 */     // GIR_Coverage, 2569,
     /*  207320 */     GIR_EraseRootFromParent_Done,
     /*  207321 */   // Label 4157: @207321
     /*  207321 */   GIM_Try, /*On fail goto*//*Label 4158*/ GIMT_Encode4(207378), // Rule ID 2570 //
     /*  207326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  207334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  207337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  207340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  207343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207358 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  207358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  207361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207376 */     GIR_RootConstrainSelectedInstOperands,
     /*  207377 */     // GIR_Coverage, 2570,
     /*  207377 */     GIR_EraseRootFromParent_Done,
     /*  207378 */   // Label 4158: @207378
     /*  207378 */   GIM_Try, /*On fail goto*//*Label 4159*/ GIMT_Encode4(207432), // Rule ID 23141 //
     /*  207383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  207391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  207394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  207397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  207400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207415 */     // (intrinsic_wo_chain:{ *:[i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  207418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  207422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207430 */     GIR_RootConstrainSelectedInstOperands,
     /*  207431 */     // GIR_Coverage, 23141,
     /*  207431 */     GIR_EraseRootFromParent_Done,
     /*  207432 */   // Label 4159: @207432
     /*  207432 */   GIM_Try, /*On fail goto*//*Label 4160*/ GIMT_Encode4(207486), // Rule ID 23142 //
     /*  207437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  207445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  207448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  207451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  207454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207469 */     // (intrinsic_wo_chain:{ *:[i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  207472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  207476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207484 */     GIR_RootConstrainSelectedInstOperands,
     /*  207485 */     // GIR_Coverage, 23142,
     /*  207485 */     GIR_EraseRootFromParent_Done,
     /*  207486 */   // Label 4160: @207486
     /*  207486 */   GIM_Try, /*On fail goto*//*Label 4161*/ GIMT_Encode4(207540), // Rule ID 23145 //
     /*  207491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  207499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  207502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  207505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  207508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207523 */     // (intrinsic_wo_chain:{ *:[i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  207526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  207530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207538 */     GIR_RootConstrainSelectedInstOperands,
     /*  207539 */     // GIR_Coverage, 23145,
     /*  207539 */     GIR_EraseRootFromParent_Done,
     /*  207540 */   // Label 4161: @207540
     /*  207540 */   GIM_Try, /*On fail goto*//*Label 4162*/ GIMT_Encode4(207594), // Rule ID 23146 //
     /*  207545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  207553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  207556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  207559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  207562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207577 */     // (intrinsic_wo_chain:{ *:[i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  207580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  207584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207592 */     GIR_RootConstrainSelectedInstOperands,
     /*  207593 */     // GIR_Coverage, 23146,
     /*  207593 */     GIR_EraseRootFromParent_Done,
     /*  207594 */   // Label 4162: @207594
     /*  207594 */   GIM_Try, /*On fail goto*//*Label 4163*/ GIMT_Encode4(207648), // Rule ID 23149 //
     /*  207599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  207607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  207610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  207613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  207616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207631 */     // (intrinsic_wo_chain:{ *:[i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  207634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  207638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207646 */     GIR_RootConstrainSelectedInstOperands,
     /*  207647 */     // GIR_Coverage, 23149,
     /*  207647 */     GIR_EraseRootFromParent_Done,
     /*  207648 */   // Label 4163: @207648
     /*  207648 */   GIM_Try, /*On fail goto*//*Label 4164*/ GIMT_Encode4(207702), // Rule ID 23150 //
     /*  207653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  207661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  207664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  207667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  207670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207685 */     // (intrinsic_wo_chain:{ *:[i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  207688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  207692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207700 */     GIR_RootConstrainSelectedInstOperands,
     /*  207701 */     // GIR_Coverage, 23150,
     /*  207701 */     GIR_EraseRootFromParent_Done,
     /*  207702 */   // Label 4164: @207702
     /*  207702 */   GIM_Try, /*On fail goto*//*Label 4165*/ GIMT_Encode4(207756), // Rule ID 23153 //
     /*  207707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  207715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  207718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  207721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  207724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207739 */     // (intrinsic_wo_chain:{ *:[i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  207742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  207746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207754 */     GIR_RootConstrainSelectedInstOperands,
     /*  207755 */     // GIR_Coverage, 23153,
     /*  207755 */     GIR_EraseRootFromParent_Done,
     /*  207756 */   // Label 4165: @207756
     /*  207756 */   GIM_Try, /*On fail goto*//*Label 4166*/ GIMT_Encode4(207810), // Rule ID 23154 //
     /*  207761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  207769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  207772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  207775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  207778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207793 */     // (intrinsic_wo_chain:{ *:[i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  207796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  207800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207808 */     GIR_RootConstrainSelectedInstOperands,
     /*  207809 */     // GIR_Coverage, 23154,
     /*  207809 */     GIR_EraseRootFromParent_Done,
     /*  207810 */   // Label 4166: @207810
     /*  207810 */   GIM_Try, /*On fail goto*//*Label 4167*/ GIMT_Encode4(207864), // Rule ID 23157 //
     /*  207815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  207823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  207826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  207829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  207832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207847 */     // (intrinsic_wo_chain:{ *:[i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  207850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  207854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207862 */     GIR_RootConstrainSelectedInstOperands,
     /*  207863 */     // GIR_Coverage, 23157,
     /*  207863 */     GIR_EraseRootFromParent_Done,
     /*  207864 */   // Label 4167: @207864
     /*  207864 */   GIM_Try, /*On fail goto*//*Label 4168*/ GIMT_Encode4(207918), // Rule ID 23158 //
     /*  207869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  207877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  207880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  207883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  207886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207901 */     // (intrinsic_wo_chain:{ *:[i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  207901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  207904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  207908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207916 */     GIR_RootConstrainSelectedInstOperands,
     /*  207917 */     // GIR_Coverage, 23158,
     /*  207917 */     GIR_EraseRootFromParent_Done,
     /*  207918 */   // Label 4168: @207918
     /*  207918 */   GIM_Try, /*On fail goto*//*Label 4169*/ GIMT_Encode4(207972), // Rule ID 23161 //
     /*  207923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  207926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  207931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  207934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  207937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  207940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207955 */     // (intrinsic_wo_chain:{ *:[i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  207955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  207958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  207962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207970 */     GIR_RootConstrainSelectedInstOperands,
     /*  207971 */     // GIR_Coverage, 23161,
     /*  207971 */     GIR_EraseRootFromParent_Done,
     /*  207972 */   // Label 4169: @207972
     /*  207972 */   GIM_Try, /*On fail goto*//*Label 4170*/ GIMT_Encode4(208026), // Rule ID 23162 //
     /*  207977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  207980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  207985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  207988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  207991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  207994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208009 */     // (intrinsic_wo_chain:{ *:[i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  208012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208024 */     GIR_RootConstrainSelectedInstOperands,
     /*  208025 */     // GIR_Coverage, 23162,
     /*  208025 */     GIR_EraseRootFromParent_Done,
     /*  208026 */   // Label 4170: @208026
     /*  208026 */   GIM_Try, /*On fail goto*//*Label 4171*/ GIMT_Encode4(208080), // Rule ID 23165 //
     /*  208031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  208039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  208045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208063 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  208066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208078 */     GIR_RootConstrainSelectedInstOperands,
     /*  208079 */     // GIR_Coverage, 23165,
     /*  208079 */     GIR_EraseRootFromParent_Done,
     /*  208080 */   // Label 4171: @208080
     /*  208080 */   GIM_Try, /*On fail goto*//*Label 4172*/ GIMT_Encode4(208134), // Rule ID 23166 //
     /*  208085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  208093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  208099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208117 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  208120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208132 */     GIR_RootConstrainSelectedInstOperands,
     /*  208133 */     // GIR_Coverage, 23166,
     /*  208133 */     GIR_EraseRootFromParent_Done,
     /*  208134 */   // Label 4172: @208134
     /*  208134 */   GIM_Try, /*On fail goto*//*Label 4173*/ GIMT_Encode4(208188), // Rule ID 23169 //
     /*  208139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  208147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  208153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208171 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  208174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208186 */     GIR_RootConstrainSelectedInstOperands,
     /*  208187 */     // GIR_Coverage, 23169,
     /*  208187 */     GIR_EraseRootFromParent_Done,
     /*  208188 */   // Label 4173: @208188
     /*  208188 */   GIM_Try, /*On fail goto*//*Label 4174*/ GIMT_Encode4(208242), // Rule ID 23170 //
     /*  208193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  208201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  208207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208225 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  208228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208240 */     GIR_RootConstrainSelectedInstOperands,
     /*  208241 */     // GIR_Coverage, 23170,
     /*  208241 */     GIR_EraseRootFromParent_Done,
     /*  208242 */   // Label 4174: @208242
     /*  208242 */   GIM_Try, /*On fail goto*//*Label 4175*/ GIMT_Encode4(208296), // Rule ID 23173 //
     /*  208247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  208255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  208261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208279 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  208282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208294 */     GIR_RootConstrainSelectedInstOperands,
     /*  208295 */     // GIR_Coverage, 23173,
     /*  208295 */     GIR_EraseRootFromParent_Done,
     /*  208296 */   // Label 4175: @208296
     /*  208296 */   GIM_Try, /*On fail goto*//*Label 4176*/ GIMT_Encode4(208350), // Rule ID 23174 //
     /*  208301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  208309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  208315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208333 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  208336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208348 */     GIR_RootConstrainSelectedInstOperands,
     /*  208349 */     // GIR_Coverage, 23174,
     /*  208349 */     GIR_EraseRootFromParent_Done,
     /*  208350 */   // Label 4176: @208350
     /*  208350 */   GIM_Try, /*On fail goto*//*Label 4177*/ GIMT_Encode4(208404), // Rule ID 23177 //
     /*  208355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  208363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  208369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208387 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  208390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208402 */     GIR_RootConstrainSelectedInstOperands,
     /*  208403 */     // GIR_Coverage, 23177,
     /*  208403 */     GIR_EraseRootFromParent_Done,
     /*  208404 */   // Label 4177: @208404
     /*  208404 */   GIM_Try, /*On fail goto*//*Label 4178*/ GIMT_Encode4(208458), // Rule ID 23178 //
     /*  208409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  208417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  208423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208441 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  208444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208456 */     GIR_RootConstrainSelectedInstOperands,
     /*  208457 */     // GIR_Coverage, 23178,
     /*  208457 */     GIR_EraseRootFromParent_Done,
     /*  208458 */   // Label 4178: @208458
     /*  208458 */   GIM_Try, /*On fail goto*//*Label 4179*/ GIMT_Encode4(208512), // Rule ID 23181 //
     /*  208463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  208471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  208477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208495 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  208498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208510 */     GIR_RootConstrainSelectedInstOperands,
     /*  208511 */     // GIR_Coverage, 23181,
     /*  208511 */     GIR_EraseRootFromParent_Done,
     /*  208512 */   // Label 4179: @208512
     /*  208512 */   GIM_Try, /*On fail goto*//*Label 4180*/ GIMT_Encode4(208566), // Rule ID 23182 //
     /*  208517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  208525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  208531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208549 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  208552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208564 */     GIR_RootConstrainSelectedInstOperands,
     /*  208565 */     // GIR_Coverage, 23182,
     /*  208565 */     GIR_EraseRootFromParent_Done,
     /*  208566 */   // Label 4180: @208566
     /*  208566 */   GIM_Try, /*On fail goto*//*Label 4181*/ GIMT_Encode4(208620), // Rule ID 23185 //
     /*  208571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  208579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  208585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208603 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  208606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208618 */     GIR_RootConstrainSelectedInstOperands,
     /*  208619 */     // GIR_Coverage, 23185,
     /*  208619 */     GIR_EraseRootFromParent_Done,
     /*  208620 */   // Label 4181: @208620
     /*  208620 */   GIM_Try, /*On fail goto*//*Label 4182*/ GIMT_Encode4(208674), // Rule ID 23186 //
     /*  208625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  208633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  208639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208657 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  208660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208672 */     GIR_RootConstrainSelectedInstOperands,
     /*  208673 */     // GIR_Coverage, 23186,
     /*  208673 */     GIR_EraseRootFromParent_Done,
     /*  208674 */   // Label 4182: @208674
     /*  208674 */   GIM_Try, /*On fail goto*//*Label 4183*/ GIMT_Encode4(208728), // Rule ID 23189 //
     /*  208679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  208687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  208693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208711 */     // (intrinsic_wo_chain:{ *:[i64] } 11102:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  208714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208726 */     GIR_RootConstrainSelectedInstOperands,
     /*  208727 */     // GIR_Coverage, 23189,
     /*  208727 */     GIR_EraseRootFromParent_Done,
     /*  208728 */   // Label 4183: @208728
     /*  208728 */   GIM_Try, /*On fail goto*//*Label 4184*/ GIMT_Encode4(208782), // Rule ID 23190 //
     /*  208733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  208741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  208747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208765 */     // (intrinsic_wo_chain:{ *:[i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  208768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208780 */     GIR_RootConstrainSelectedInstOperands,
     /*  208781 */     // GIR_Coverage, 23190,
     /*  208781 */     GIR_EraseRootFromParent_Done,
     /*  208782 */   // Label 4184: @208782
     /*  208782 */   GIM_Try, /*On fail goto*//*Label 4185*/ GIMT_Encode4(208836), // Rule ID 23193 //
     /*  208787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  208795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  208798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  208801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208819 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  208822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208834 */     GIR_RootConstrainSelectedInstOperands,
     /*  208835 */     // GIR_Coverage, 23193,
     /*  208835 */     GIR_EraseRootFromParent_Done,
     /*  208836 */   // Label 4185: @208836
     /*  208836 */   GIM_Try, /*On fail goto*//*Label 4186*/ GIMT_Encode4(208890), // Rule ID 23194 //
     /*  208841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  208849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  208852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  208855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208873 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  208876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208888 */     GIR_RootConstrainSelectedInstOperands,
     /*  208889 */     // GIR_Coverage, 23194,
     /*  208889 */     GIR_EraseRootFromParent_Done,
     /*  208890 */   // Label 4186: @208890
     /*  208890 */   GIM_Try, /*On fail goto*//*Label 4187*/ GIMT_Encode4(208944), // Rule ID 23197 //
     /*  208895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  208898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  208903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  208906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  208909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208927 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  208927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  208930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208942 */     GIR_RootConstrainSelectedInstOperands,
     /*  208943 */     // GIR_Coverage, 23197,
     /*  208943 */     GIR_EraseRootFromParent_Done,
     /*  208944 */   // Label 4187: @208944
     /*  208944 */   GIM_Try, /*On fail goto*//*Label 4188*/ GIMT_Encode4(208998), // Rule ID 23198 //
     /*  208949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  208952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  208957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  208960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  208963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208981 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  208981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  208984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208996 */     GIR_RootConstrainSelectedInstOperands,
     /*  208997 */     // GIR_Coverage, 23198,
     /*  208997 */     GIR_EraseRootFromParent_Done,
     /*  208998 */   // Label 4188: @208998
     /*  208998 */   GIM_Try, /*On fail goto*//*Label 4189*/ GIMT_Encode4(209052), // Rule ID 23201 //
     /*  209003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  209011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  209014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  209017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209035 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  209038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209050 */     GIR_RootConstrainSelectedInstOperands,
     /*  209051 */     // GIR_Coverage, 23201,
     /*  209051 */     GIR_EraseRootFromParent_Done,
     /*  209052 */   // Label 4189: @209052
     /*  209052 */   GIM_Try, /*On fail goto*//*Label 4190*/ GIMT_Encode4(209106), // Rule ID 23202 //
     /*  209057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  209065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  209068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  209071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209089 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  209092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209104 */     GIR_RootConstrainSelectedInstOperands,
     /*  209105 */     // GIR_Coverage, 23202,
     /*  209105 */     GIR_EraseRootFromParent_Done,
     /*  209106 */   // Label 4190: @209106
     /*  209106 */   GIM_Try, /*On fail goto*//*Label 4191*/ GIMT_Encode4(209160), // Rule ID 23205 //
     /*  209111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  209119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  209122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  209125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209143 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  209146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209158 */     GIR_RootConstrainSelectedInstOperands,
     /*  209159 */     // GIR_Coverage, 23205,
     /*  209159 */     GIR_EraseRootFromParent_Done,
     /*  209160 */   // Label 4191: @209160
     /*  209160 */   GIM_Try, /*On fail goto*//*Label 4192*/ GIMT_Encode4(209214), // Rule ID 23206 //
     /*  209165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  209173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  209176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  209179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209197 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  209200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209212 */     GIR_RootConstrainSelectedInstOperands,
     /*  209213 */     // GIR_Coverage, 23206,
     /*  209213 */     GIR_EraseRootFromParent_Done,
     /*  209214 */   // Label 4192: @209214
     /*  209214 */   GIM_Try, /*On fail goto*//*Label 4193*/ GIMT_Encode4(209268), // Rule ID 23209 //
     /*  209219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  209227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  209230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  209233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209251 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  209254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209266 */     GIR_RootConstrainSelectedInstOperands,
     /*  209267 */     // GIR_Coverage, 23209,
     /*  209267 */     GIR_EraseRootFromParent_Done,
     /*  209268 */   // Label 4193: @209268
     /*  209268 */   GIM_Try, /*On fail goto*//*Label 4194*/ GIMT_Encode4(209322), // Rule ID 23210 //
     /*  209273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  209281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  209284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  209287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209305 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  209308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209320 */     GIR_RootConstrainSelectedInstOperands,
     /*  209321 */     // GIR_Coverage, 23210,
     /*  209321 */     GIR_EraseRootFromParent_Done,
     /*  209322 */   // Label 4194: @209322
     /*  209322 */   GIM_Try, /*On fail goto*//*Label 4195*/ GIMT_Encode4(209376), // Rule ID 23213 //
     /*  209327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  209335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  209338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  209341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209359 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  209362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209374 */     GIR_RootConstrainSelectedInstOperands,
     /*  209375 */     // GIR_Coverage, 23213,
     /*  209375 */     GIR_EraseRootFromParent_Done,
     /*  209376 */   // Label 4195: @209376
     /*  209376 */   GIM_Try, /*On fail goto*//*Label 4196*/ GIMT_Encode4(209430), // Rule ID 23214 //
     /*  209381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  209389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  209392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  209395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209413 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  209416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209428 */     GIR_RootConstrainSelectedInstOperands,
     /*  209429 */     // GIR_Coverage, 23214,
     /*  209429 */     GIR_EraseRootFromParent_Done,
     /*  209430 */   // Label 4196: @209430
     /*  209430 */   GIM_Try, /*On fail goto*//*Label 4197*/ GIMT_Encode4(209484), // Rule ID 23217 //
     /*  209435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  209443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  209446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  209449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209467 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  209470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209482 */     GIR_RootConstrainSelectedInstOperands,
     /*  209483 */     // GIR_Coverage, 23217,
     /*  209483 */     GIR_EraseRootFromParent_Done,
     /*  209484 */   // Label 4197: @209484
     /*  209484 */   GIM_Try, /*On fail goto*//*Label 4198*/ GIMT_Encode4(209538), // Rule ID 23218 //
     /*  209489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  209497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  209500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  209503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209521 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  209524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209536 */     GIR_RootConstrainSelectedInstOperands,
     /*  209537 */     // GIR_Coverage, 23218,
     /*  209537 */     GIR_EraseRootFromParent_Done,
     /*  209538 */   // Label 4198: @209538
     /*  209538 */   GIM_Try, /*On fail goto*//*Label 4199*/ GIMT_Encode4(209592), // Rule ID 23221 //
     /*  209543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  209551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  209554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  209557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209575 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  209578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209590 */     GIR_RootConstrainSelectedInstOperands,
     /*  209591 */     // GIR_Coverage, 23221,
     /*  209591 */     GIR_EraseRootFromParent_Done,
     /*  209592 */   // Label 4199: @209592
     /*  209592 */   GIM_Try, /*On fail goto*//*Label 4200*/ GIMT_Encode4(209646), // Rule ID 23222 //
     /*  209597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  209605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  209608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  209611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209629 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  209632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209644 */     GIR_RootConstrainSelectedInstOperands,
     /*  209645 */     // GIR_Coverage, 23222,
     /*  209645 */     GIR_EraseRootFromParent_Done,
     /*  209646 */   // Label 4200: @209646
     /*  209646 */   GIM_Try, /*On fail goto*//*Label 4201*/ GIMT_Encode4(209700), // Rule ID 23225 //
     /*  209651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  209659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  209662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  209665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209683 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  209686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209698 */     GIR_RootConstrainSelectedInstOperands,
     /*  209699 */     // GIR_Coverage, 23225,
     /*  209699 */     GIR_EraseRootFromParent_Done,
     /*  209700 */   // Label 4201: @209700
     /*  209700 */   GIM_Try, /*On fail goto*//*Label 4202*/ GIMT_Encode4(209754), // Rule ID 23226 //
     /*  209705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  209713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  209716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  209719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209737 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  209740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209752 */     GIR_RootConstrainSelectedInstOperands,
     /*  209753 */     // GIR_Coverage, 23226,
     /*  209753 */     GIR_EraseRootFromParent_Done,
     /*  209754 */   // Label 4202: @209754
     /*  209754 */   GIM_Try, /*On fail goto*//*Label 4203*/ GIMT_Encode4(209808), // Rule ID 23229 //
     /*  209759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  209767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  209770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  209773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209791 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  209794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209806 */     GIR_RootConstrainSelectedInstOperands,
     /*  209807 */     // GIR_Coverage, 23229,
     /*  209807 */     GIR_EraseRootFromParent_Done,
     /*  209808 */   // Label 4203: @209808
     /*  209808 */   GIM_Try, /*On fail goto*//*Label 4204*/ GIMT_Encode4(209862), // Rule ID 23230 //
     /*  209813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  209821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  209824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  209827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209845 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  209848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209860 */     GIR_RootConstrainSelectedInstOperands,
     /*  209861 */     // GIR_Coverage, 23230,
     /*  209861 */     GIR_EraseRootFromParent_Done,
     /*  209862 */   // Label 4204: @209862
     /*  209862 */   GIM_Try, /*On fail goto*//*Label 4205*/ GIMT_Encode4(209916), // Rule ID 23233 //
     /*  209867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  209875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  209878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  209881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209899 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  209899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  209902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209914 */     GIR_RootConstrainSelectedInstOperands,
     /*  209915 */     // GIR_Coverage, 23233,
     /*  209915 */     GIR_EraseRootFromParent_Done,
     /*  209916 */   // Label 4205: @209916
     /*  209916 */   GIM_Try, /*On fail goto*//*Label 4206*/ GIMT_Encode4(209970), // Rule ID 23234 //
     /*  209921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  209924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  209929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  209932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  209935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209953 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  209953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  209956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  209968 */     GIR_RootConstrainSelectedInstOperands,
     /*  209969 */     // GIR_Coverage, 23234,
     /*  209969 */     GIR_EraseRootFromParent_Done,
     /*  209970 */   // Label 4206: @209970
     /*  209970 */   GIM_Try, /*On fail goto*//*Label 4207*/ GIMT_Encode4(210024), // Rule ID 23237 //
     /*  209975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  209978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  209983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  209986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  209989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210007 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  210010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210022 */     GIR_RootConstrainSelectedInstOperands,
     /*  210023 */     // GIR_Coverage, 23237,
     /*  210023 */     GIR_EraseRootFromParent_Done,
     /*  210024 */   // Label 4207: @210024
     /*  210024 */   GIM_Try, /*On fail goto*//*Label 4208*/ GIMT_Encode4(210078), // Rule ID 23238 //
     /*  210029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  210037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  210040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  210043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210061 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  210064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210076 */     GIR_RootConstrainSelectedInstOperands,
     /*  210077 */     // GIR_Coverage, 23238,
     /*  210077 */     GIR_EraseRootFromParent_Done,
     /*  210078 */   // Label 4208: @210078
     /*  210078 */   GIM_Try, /*On fail goto*//*Label 4209*/ GIMT_Encode4(210132), // Rule ID 23241 //
     /*  210083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  210091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  210094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  210097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210115 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  210118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210130 */     GIR_RootConstrainSelectedInstOperands,
     /*  210131 */     // GIR_Coverage, 23241,
     /*  210131 */     GIR_EraseRootFromParent_Done,
     /*  210132 */   // Label 4209: @210132
     /*  210132 */   GIM_Try, /*On fail goto*//*Label 4210*/ GIMT_Encode4(210186), // Rule ID 23242 //
     /*  210137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  210145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  210148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  210151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210169 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11354:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  210172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210184 */     GIR_RootConstrainSelectedInstOperands,
     /*  210185 */     // GIR_Coverage, 23242,
     /*  210185 */     GIR_EraseRootFromParent_Done,
     /*  210186 */   // Label 4210: @210186
     /*  210186 */   GIM_Try, /*On fail goto*//*Label 4211*/ GIMT_Encode4(210240), // Rule ID 23245 //
     /*  210191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  210199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  210202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  210205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210223 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  210226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210238 */     GIR_RootConstrainSelectedInstOperands,
     /*  210239 */     // GIR_Coverage, 23245,
     /*  210239 */     GIR_EraseRootFromParent_Done,
     /*  210240 */   // Label 4211: @210240
     /*  210240 */   GIM_Try, /*On fail goto*//*Label 4212*/ GIMT_Encode4(210294), // Rule ID 23246 //
     /*  210245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  210253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  210256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  210259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210277 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  210280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210292 */     GIR_RootConstrainSelectedInstOperands,
     /*  210293 */     // GIR_Coverage, 23246,
     /*  210293 */     GIR_EraseRootFromParent_Done,
     /*  210294 */   // Label 4212: @210294
     /*  210294 */   GIM_Try, /*On fail goto*//*Label 4213*/ GIMT_Encode4(210348), // Rule ID 23249 //
     /*  210299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  210307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  210313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210331 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  210334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210346 */     GIR_RootConstrainSelectedInstOperands,
     /*  210347 */     // GIR_Coverage, 23249,
     /*  210347 */     GIR_EraseRootFromParent_Done,
     /*  210348 */   // Label 4213: @210348
     /*  210348 */   GIM_Try, /*On fail goto*//*Label 4214*/ GIMT_Encode4(210402), // Rule ID 23250 //
     /*  210353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  210361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  210367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210385 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  210388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210400 */     GIR_RootConstrainSelectedInstOperands,
     /*  210401 */     // GIR_Coverage, 23250,
     /*  210401 */     GIR_EraseRootFromParent_Done,
     /*  210402 */   // Label 4214: @210402
     /*  210402 */   GIM_Try, /*On fail goto*//*Label 4215*/ GIMT_Encode4(210456), // Rule ID 23253 //
     /*  210407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  210415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  210421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210439 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  210442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210454 */     GIR_RootConstrainSelectedInstOperands,
     /*  210455 */     // GIR_Coverage, 23253,
     /*  210455 */     GIR_EraseRootFromParent_Done,
     /*  210456 */   // Label 4215: @210456
     /*  210456 */   GIM_Try, /*On fail goto*//*Label 4216*/ GIMT_Encode4(210510), // Rule ID 23254 //
     /*  210461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  210469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  210475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210493 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  210496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210508 */     GIR_RootConstrainSelectedInstOperands,
     /*  210509 */     // GIR_Coverage, 23254,
     /*  210509 */     GIR_EraseRootFromParent_Done,
     /*  210510 */   // Label 4216: @210510
     /*  210510 */   GIM_Try, /*On fail goto*//*Label 4217*/ GIMT_Encode4(210564), // Rule ID 23257 //
     /*  210515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  210523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  210529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210547 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  210550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210562 */     GIR_RootConstrainSelectedInstOperands,
     /*  210563 */     // GIR_Coverage, 23257,
     /*  210563 */     GIR_EraseRootFromParent_Done,
     /*  210564 */   // Label 4217: @210564
     /*  210564 */   GIM_Try, /*On fail goto*//*Label 4218*/ GIMT_Encode4(210618), // Rule ID 23258 //
     /*  210569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  210577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  210583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210601 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  210604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210616 */     GIR_RootConstrainSelectedInstOperands,
     /*  210617 */     // GIR_Coverage, 23258,
     /*  210617 */     GIR_EraseRootFromParent_Done,
     /*  210618 */   // Label 4218: @210618
     /*  210618 */   GIM_Try, /*On fail goto*//*Label 4219*/ GIMT_Encode4(210672), // Rule ID 23261 //
     /*  210623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  210631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  210634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  210637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210655 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  210658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210670 */     GIR_RootConstrainSelectedInstOperands,
     /*  210671 */     // GIR_Coverage, 23261,
     /*  210671 */     GIR_EraseRootFromParent_Done,
     /*  210672 */   // Label 4219: @210672
     /*  210672 */   GIM_Try, /*On fail goto*//*Label 4220*/ GIMT_Encode4(210726), // Rule ID 23262 //
     /*  210677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  210685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  210688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  210691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210709 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  210712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210724 */     GIR_RootConstrainSelectedInstOperands,
     /*  210725 */     // GIR_Coverage, 23262,
     /*  210725 */     GIR_EraseRootFromParent_Done,
     /*  210726 */   // Label 4220: @210726
     /*  210726 */   GIM_Try, /*On fail goto*//*Label 4221*/ GIMT_Encode4(210780), // Rule ID 23265 //
     /*  210731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  210739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  210742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  210745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210763 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  210766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210778 */     GIR_RootConstrainSelectedInstOperands,
     /*  210779 */     // GIR_Coverage, 23265,
     /*  210779 */     GIR_EraseRootFromParent_Done,
     /*  210780 */   // Label 4221: @210780
     /*  210780 */   GIM_Try, /*On fail goto*//*Label 4222*/ GIMT_Encode4(210834), // Rule ID 23266 //
     /*  210785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  210793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  210796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  210799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210817 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  210820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210832 */     GIR_RootConstrainSelectedInstOperands,
     /*  210833 */     // GIR_Coverage, 23266,
     /*  210833 */     GIR_EraseRootFromParent_Done,
     /*  210834 */   // Label 4222: @210834
     /*  210834 */   GIM_Try, /*On fail goto*//*Label 4223*/ GIMT_Encode4(210888), // Rule ID 23269 //
     /*  210839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  210842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  210847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  210850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  210853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210871 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  210871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  210874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210886 */     GIR_RootConstrainSelectedInstOperands,
     /*  210887 */     // GIR_Coverage, 23269,
     /*  210887 */     GIR_EraseRootFromParent_Done,
     /*  210888 */   // Label 4223: @210888
     /*  210888 */   GIM_Try, /*On fail goto*//*Label 4224*/ GIMT_Encode4(210942), // Rule ID 23270 //
     /*  210893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  210896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  210901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  210904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  210907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210925 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11366:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  210925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  210928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210940 */     GIR_RootConstrainSelectedInstOperands,
     /*  210941 */     // GIR_Coverage, 23270,
     /*  210941 */     GIR_EraseRootFromParent_Done,
     /*  210942 */   // Label 4224: @210942
     /*  210942 */   GIM_Try, /*On fail goto*//*Label 4225*/ GIMT_Encode4(210999), // Rule ID 23357 //
     /*  210947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  210950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  210955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  210958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  210961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210979 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  210979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  210982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  210986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  210994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  210997 */     GIR_RootConstrainSelectedInstOperands,
     /*  210998 */     // GIR_Coverage, 23357,
     /*  210998 */     GIR_EraseRootFromParent_Done,
     /*  210999 */   // Label 4225: @210999
     /*  210999 */   GIM_Try, /*On fail goto*//*Label 4226*/ GIMT_Encode4(211056), // Rule ID 23358 //
     /*  211004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  211012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  211015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  211018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211036 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  211036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  211039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  211043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211054 */     GIR_RootConstrainSelectedInstOperands,
     /*  211055 */     // GIR_Coverage, 23358,
     /*  211055 */     GIR_EraseRootFromParent_Done,
     /*  211056 */   // Label 4226: @211056
     /*  211056 */   GIM_Try, /*On fail goto*//*Label 4227*/ GIMT_Encode4(211113), // Rule ID 23361 //
     /*  211061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  211069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  211072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  211075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211093 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11220:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  211093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  211096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  211100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211111 */     GIR_RootConstrainSelectedInstOperands,
     /*  211112 */     // GIR_Coverage, 23361,
     /*  211112 */     GIR_EraseRootFromParent_Done,
     /*  211113 */   // Label 4227: @211113
     /*  211113 */   GIM_Try, /*On fail goto*//*Label 4228*/ GIMT_Encode4(211170), // Rule ID 23362 //
     /*  211118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  211126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  211129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  211132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211150 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11220:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  211150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  211153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  211157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211168 */     GIR_RootConstrainSelectedInstOperands,
     /*  211169 */     // GIR_Coverage, 23362,
     /*  211169 */     GIR_EraseRootFromParent_Done,
     /*  211170 */   // Label 4228: @211170
     /*  211170 */   GIM_Try, /*On fail goto*//*Label 4229*/ GIMT_Encode4(211227), // Rule ID 23365 //
     /*  211175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  211183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  211186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  211189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211207 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  211207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  211210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  211214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211225 */     GIR_RootConstrainSelectedInstOperands,
     /*  211226 */     // GIR_Coverage, 23365,
     /*  211226 */     GIR_EraseRootFromParent_Done,
     /*  211227 */   // Label 4229: @211227
     /*  211227 */   GIM_Try, /*On fail goto*//*Label 4230*/ GIMT_Encode4(211284), // Rule ID 23366 //
     /*  211232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  211240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  211243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  211246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211264 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  211264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  211267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  211271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211282 */     GIR_RootConstrainSelectedInstOperands,
     /*  211283 */     // GIR_Coverage, 23366,
     /*  211283 */     GIR_EraseRootFromParent_Done,
     /*  211284 */   // Label 4230: @211284
     /*  211284 */   GIM_Try, /*On fail goto*//*Label 4231*/ GIMT_Encode4(211341), // Rule ID 23369 //
     /*  211289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  211297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  211300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  211303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211321 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  211321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  211324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  211328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211339 */     GIR_RootConstrainSelectedInstOperands,
     /*  211340 */     // GIR_Coverage, 23369,
     /*  211340 */     GIR_EraseRootFromParent_Done,
     /*  211341 */   // Label 4231: @211341
     /*  211341 */   GIM_Try, /*On fail goto*//*Label 4232*/ GIMT_Encode4(211398), // Rule ID 23370 //
     /*  211346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  211354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  211357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  211360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211378 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  211378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  211381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  211385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211396 */     GIR_RootConstrainSelectedInstOperands,
     /*  211397 */     // GIR_Coverage, 23370,
     /*  211397 */     GIR_EraseRootFromParent_Done,
     /*  211398 */   // Label 4232: @211398
     /*  211398 */   GIM_Try, /*On fail goto*//*Label 4233*/ GIMT_Encode4(211455), // Rule ID 23373 //
     /*  211403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  211411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  211414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  211417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211435 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  211435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  211438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  211442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  211450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211453 */     GIR_RootConstrainSelectedInstOperands,
     /*  211454 */     // GIR_Coverage, 23373,
     /*  211454 */     GIR_EraseRootFromParent_Done,
     /*  211455 */   // Label 4233: @211455
     /*  211455 */   GIM_Try, /*On fail goto*//*Label 4234*/ GIMT_Encode4(211512), // Rule ID 23374 //
     /*  211460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  211468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  211471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  211474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  211492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  211495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  211499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  211507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211510 */     GIR_RootConstrainSelectedInstOperands,
     /*  211511 */     // GIR_Coverage, 23374,
     /*  211511 */     GIR_EraseRootFromParent_Done,
     /*  211512 */   // Label 4234: @211512
     /*  211512 */   GIM_Try, /*On fail goto*//*Label 4235*/ GIMT_Encode4(211569), // Rule ID 23377 //
     /*  211517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  211525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  211528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  211531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211549 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11220:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  211549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  211552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  211556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211567 */     GIR_RootConstrainSelectedInstOperands,
     /*  211568 */     // GIR_Coverage, 23377,
     /*  211568 */     GIR_EraseRootFromParent_Done,
     /*  211569 */   // Label 4235: @211569
     /*  211569 */   GIM_Try, /*On fail goto*//*Label 4236*/ GIMT_Encode4(211626), // Rule ID 23378 //
     /*  211574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  211582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  211585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  211588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211606 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11220:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  211606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  211609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  211613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211624 */     GIR_RootConstrainSelectedInstOperands,
     /*  211625 */     // GIR_Coverage, 23378,
     /*  211625 */     GIR_EraseRootFromParent_Done,
     /*  211626 */   // Label 4236: @211626
     /*  211626 */   GIM_Try, /*On fail goto*//*Label 4237*/ GIMT_Encode4(211683), // Rule ID 23381 //
     /*  211631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  211639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  211642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  211645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211663 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  211663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  211666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  211670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211681 */     GIR_RootConstrainSelectedInstOperands,
     /*  211682 */     // GIR_Coverage, 23381,
     /*  211682 */     GIR_EraseRootFromParent_Done,
     /*  211683 */   // Label 4237: @211683
     /*  211683 */   GIM_Try, /*On fail goto*//*Label 4238*/ GIMT_Encode4(211740), // Rule ID 23382 //
     /*  211688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  211696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  211699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  211702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211720 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11220:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  211720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  211723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  211727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211738 */     GIR_RootConstrainSelectedInstOperands,
     /*  211739 */     // GIR_Coverage, 23382,
     /*  211739 */     GIR_EraseRootFromParent_Done,
     /*  211740 */   // Label 4238: @211740
     /*  211740 */   GIM_Try, /*On fail goto*//*Label 4239*/ GIMT_Encode4(211797), // Rule ID 23385 //
     /*  211745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  211753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  211756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  211759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  211777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  211780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  211784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  211792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211795 */     GIR_RootConstrainSelectedInstOperands,
     /*  211796 */     // GIR_Coverage, 23385,
     /*  211796 */     GIR_EraseRootFromParent_Done,
     /*  211797 */   // Label 4239: @211797
     /*  211797 */   GIM_Try, /*On fail goto*//*Label 4240*/ GIMT_Encode4(211854), // Rule ID 23386 //
     /*  211802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  211810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  211813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  211816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11220:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  211834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  211837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  211841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  211849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211852 */     GIR_RootConstrainSelectedInstOperands,
     /*  211853 */     // GIR_Coverage, 23386,
     /*  211853 */     GIR_EraseRootFromParent_Done,
     /*  211854 */   // Label 4240: @211854
     /*  211854 */   GIM_Try, /*On fail goto*//*Label 4241*/ GIMT_Encode4(211911), // Rule ID 23389 //
     /*  211859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  211862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  211867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  211870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  211873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211891 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  211891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  211894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  211898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  211906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211909 */     GIR_RootConstrainSelectedInstOperands,
     /*  211910 */     // GIR_Coverage, 23389,
     /*  211910 */     GIR_EraseRootFromParent_Done,
     /*  211911 */   // Label 4241: @211911
     /*  211911 */   GIM_Try, /*On fail goto*//*Label 4242*/ GIMT_Encode4(211968), // Rule ID 23390 //
     /*  211916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  211919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  211924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  211927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  211930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211948 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11220:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  211948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  211951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  211955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  211963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  211966 */     GIR_RootConstrainSelectedInstOperands,
     /*  211967 */     // GIR_Coverage, 23390,
     /*  211967 */     GIR_EraseRootFromParent_Done,
     /*  211968 */   // Label 4242: @211968
     /*  211968 */   GIM_Try, /*On fail goto*//*Label 4243*/ GIMT_Encode4(212025), // Rule ID 23393 //
     /*  211973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  211981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  211984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  211987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  211994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  211998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212005 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  212005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  212008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212023 */     GIR_RootConstrainSelectedInstOperands,
     /*  212024 */     // GIR_Coverage, 23393,
     /*  212024 */     GIR_EraseRootFromParent_Done,
     /*  212025 */   // Label 4243: @212025
     /*  212025 */   GIM_Try, /*On fail goto*//*Label 4244*/ GIMT_Encode4(212082), // Rule ID 23394 //
     /*  212030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  212041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  212044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212062 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  212062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  212065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212080 */     GIR_RootConstrainSelectedInstOperands,
     /*  212081 */     // GIR_Coverage, 23394,
     /*  212081 */     GIR_EraseRootFromParent_Done,
     /*  212082 */   // Label 4244: @212082
     /*  212082 */   GIM_Try, /*On fail goto*//*Label 4245*/ GIMT_Encode4(212139), // Rule ID 23397 //
     /*  212087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  212098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  212101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212119 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  212119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  212122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212137 */     GIR_RootConstrainSelectedInstOperands,
     /*  212138 */     // GIR_Coverage, 23397,
     /*  212138 */     GIR_EraseRootFromParent_Done,
     /*  212139 */   // Label 4245: @212139
     /*  212139 */   GIM_Try, /*On fail goto*//*Label 4246*/ GIMT_Encode4(212196), // Rule ID 23398 //
     /*  212144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  212155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  212158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212176 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  212176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  212179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212194 */     GIR_RootConstrainSelectedInstOperands,
     /*  212195 */     // GIR_Coverage, 23398,
     /*  212195 */     GIR_EraseRootFromParent_Done,
     /*  212196 */   // Label 4246: @212196
     /*  212196 */   GIM_Try, /*On fail goto*//*Label 4247*/ GIMT_Encode4(212253), // Rule ID 23401 //
     /*  212201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  212212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  212215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212233 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  212233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  212236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212251 */     GIR_RootConstrainSelectedInstOperands,
     /*  212252 */     // GIR_Coverage, 23401,
     /*  212252 */     GIR_EraseRootFromParent_Done,
     /*  212253 */   // Label 4247: @212253
     /*  212253 */   GIM_Try, /*On fail goto*//*Label 4248*/ GIMT_Encode4(212310), // Rule ID 23402 //
     /*  212258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  212269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  212272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212290 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  212290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  212293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212308 */     GIR_RootConstrainSelectedInstOperands,
     /*  212309 */     // GIR_Coverage, 23402,
     /*  212309 */     GIR_EraseRootFromParent_Done,
     /*  212310 */   // Label 4248: @212310
     /*  212310 */   GIM_Try, /*On fail goto*//*Label 4249*/ GIMT_Encode4(212367), // Rule ID 23405 //
     /*  212315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  212326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  212329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212347 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  212347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  212350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212365 */     GIR_RootConstrainSelectedInstOperands,
     /*  212366 */     // GIR_Coverage, 23405,
     /*  212366 */     GIR_EraseRootFromParent_Done,
     /*  212367 */   // Label 4249: @212367
     /*  212367 */   GIM_Try, /*On fail goto*//*Label 4250*/ GIMT_Encode4(212424), // Rule ID 23406 //
     /*  212372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  212383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  212386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212404 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  212404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  212407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212422 */     GIR_RootConstrainSelectedInstOperands,
     /*  212423 */     // GIR_Coverage, 23406,
     /*  212423 */     GIR_EraseRootFromParent_Done,
     /*  212424 */   // Label 4250: @212424
     /*  212424 */   GIM_Try, /*On fail goto*//*Label 4251*/ GIMT_Encode4(212481), // Rule ID 23409 //
     /*  212429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  212440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  212443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212461 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  212461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  212464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212479 */     GIR_RootConstrainSelectedInstOperands,
     /*  212480 */     // GIR_Coverage, 23409,
     /*  212480 */     GIR_EraseRootFromParent_Done,
     /*  212481 */   // Label 4251: @212481
     /*  212481 */   GIM_Try, /*On fail goto*//*Label 4252*/ GIMT_Encode4(212538), // Rule ID 23410 //
     /*  212486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  212497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  212500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212518 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  212518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  212521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212536 */     GIR_RootConstrainSelectedInstOperands,
     /*  212537 */     // GIR_Coverage, 23410,
     /*  212537 */     GIR_EraseRootFromParent_Done,
     /*  212538 */   // Label 4252: @212538
     /*  212538 */   GIM_Try, /*On fail goto*//*Label 4253*/ GIMT_Encode4(212595), // Rule ID 23413 //
     /*  212543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  212554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  212557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212575 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  212575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  212578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212593 */     GIR_RootConstrainSelectedInstOperands,
     /*  212594 */     // GIR_Coverage, 23413,
     /*  212594 */     GIR_EraseRootFromParent_Done,
     /*  212595 */   // Label 4253: @212595
     /*  212595 */   GIM_Try, /*On fail goto*//*Label 4254*/ GIMT_Encode4(212652), // Rule ID 23414 //
     /*  212600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  212611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  212614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212632 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  212632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  212635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212650 */     GIR_RootConstrainSelectedInstOperands,
     /*  212651 */     // GIR_Coverage, 23414,
     /*  212651 */     GIR_EraseRootFromParent_Done,
     /*  212652 */   // Label 4254: @212652
     /*  212652 */   GIM_Try, /*On fail goto*//*Label 4255*/ GIMT_Encode4(212709), // Rule ID 23417 //
     /*  212657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  212668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  212671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212689 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  212689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  212692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212707 */     GIR_RootConstrainSelectedInstOperands,
     /*  212708 */     // GIR_Coverage, 23417,
     /*  212708 */     GIR_EraseRootFromParent_Done,
     /*  212709 */   // Label 4255: @212709
     /*  212709 */   GIM_Try, /*On fail goto*//*Label 4256*/ GIMT_Encode4(212766), // Rule ID 23418 //
     /*  212714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  212725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  212728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212746 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  212746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  212749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212764 */     GIR_RootConstrainSelectedInstOperands,
     /*  212765 */     // GIR_Coverage, 23418,
     /*  212765 */     GIR_EraseRootFromParent_Done,
     /*  212766 */   // Label 4256: @212766
     /*  212766 */   GIM_Try, /*On fail goto*//*Label 4257*/ GIMT_Encode4(212823), // Rule ID 23421 //
     /*  212771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  212782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  212785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212803 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  212803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  212806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212821 */     GIR_RootConstrainSelectedInstOperands,
     /*  212822 */     // GIR_Coverage, 23421,
     /*  212822 */     GIR_EraseRootFromParent_Done,
     /*  212823 */   // Label 4257: @212823
     /*  212823 */   GIM_Try, /*On fail goto*//*Label 4258*/ GIMT_Encode4(212880), // Rule ID 23422 //
     /*  212828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  212839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  212842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212860 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  212860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  212863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212878 */     GIR_RootConstrainSelectedInstOperands,
     /*  212879 */     // GIR_Coverage, 23422,
     /*  212879 */     GIR_EraseRootFromParent_Done,
     /*  212880 */   // Label 4258: @212880
     /*  212880 */   GIM_Try, /*On fail goto*//*Label 4259*/ GIMT_Encode4(212937), // Rule ID 23425 //
     /*  212885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  212896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  212899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212917 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  212917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  212920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212935 */     GIR_RootConstrainSelectedInstOperands,
     /*  212936 */     // GIR_Coverage, 23425,
     /*  212936 */     GIR_EraseRootFromParent_Done,
     /*  212937 */   // Label 4259: @212937
     /*  212937 */   GIM_Try, /*On fail goto*//*Label 4260*/ GIMT_Encode4(212994), // Rule ID 23426 //
     /*  212942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  212950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  212953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  212956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212974 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  212974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  212977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  212981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212992 */     GIR_RootConstrainSelectedInstOperands,
     /*  212993 */     // GIR_Coverage, 23426,
     /*  212993 */     GIR_EraseRootFromParent_Done,
     /*  212994 */   // Label 4260: @212994
     /*  212994 */   GIM_Try, /*On fail goto*//*Label 4261*/ GIMT_Encode4(213051), // Rule ID 23429 //
     /*  212999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  213002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  213010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  213013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213031 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  213031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213049 */     GIR_RootConstrainSelectedInstOperands,
     /*  213050 */     // GIR_Coverage, 23429,
     /*  213050 */     GIR_EraseRootFromParent_Done,
     /*  213051 */   // Label 4261: @213051
     /*  213051 */   GIM_Try, /*On fail goto*//*Label 4262*/ GIMT_Encode4(213108), // Rule ID 23430 //
     /*  213056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  213059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  213067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  213070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213088 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11220:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  213088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  213091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213106 */     GIR_RootConstrainSelectedInstOperands,
     /*  213107 */     // GIR_Coverage, 23430,
     /*  213107 */     GIR_EraseRootFromParent_Done,
     /*  213108 */   // Label 4262: @213108
     /*  213108 */   GIM_Try, /*On fail goto*//*Label 4263*/ GIMT_Encode4(213165), // Rule ID 23433 //
     /*  213113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  213116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  213124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  213127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213145 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  213145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  213148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213163 */     GIR_RootConstrainSelectedInstOperands,
     /*  213164 */     // GIR_Coverage, 23433,
     /*  213164 */     GIR_EraseRootFromParent_Done,
     /*  213165 */   // Label 4263: @213165
     /*  213165 */   GIM_Try, /*On fail goto*//*Label 4264*/ GIMT_Encode4(213222), // Rule ID 23434 //
     /*  213170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  213173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  213181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  213184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213202 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11220:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  213202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  213205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213220 */     GIR_RootConstrainSelectedInstOperands,
     /*  213221 */     // GIR_Coverage, 23434,
     /*  213221 */     GIR_EraseRootFromParent_Done,
     /*  213222 */   // Label 4264: @213222
     /*  213222 */   GIM_Try, /*On fail goto*//*Label 4265*/ GIMT_Encode4(213279), // Rule ID 23437 //
     /*  213227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  213230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  213238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  213241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213259 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  213259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  213262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213277 */     GIR_RootConstrainSelectedInstOperands,
     /*  213278 */     // GIR_Coverage, 23437,
     /*  213278 */     GIR_EraseRootFromParent_Done,
     /*  213279 */   // Label 4265: @213279
     /*  213279 */   GIM_Try, /*On fail goto*//*Label 4266*/ GIMT_Encode4(213336), // Rule ID 23438 //
     /*  213284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  213287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  213295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  213298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213316 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11220:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  213316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  213319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213334 */     GIR_RootConstrainSelectedInstOperands,
     /*  213335 */     // GIR_Coverage, 23438,
     /*  213335 */     GIR_EraseRootFromParent_Done,
     /*  213336 */   // Label 4266: @213336
     /*  213336 */   GIM_Try, /*On fail goto*//*Label 4267*/ GIMT_Encode4(213382), // Rule ID 2512 //
     /*  213341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  213344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks1i),
     /*  213349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  213355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213363 */     // MIs[0] rnum
     /*  213363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  213366 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_rnum),
     /*  213371 */     // (intrinsic_wo_chain:{ *:[i64] } 10877:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)  =>  (AES64KS1I:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)
     /*  213371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS1I),
     /*  213374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rnum
     /*  213380 */     GIR_RootConstrainSelectedInstOperands,
     /*  213381 */     // GIR_Coverage, 2512,
     /*  213381 */     GIR_EraseRootFromParent_Done,
     /*  213382 */   // Label 4267: @213382
     /*  213382 */   GIM_Try, /*On fail goto*//*Label 4268*/ GIMT_Encode4(213427), // Rule ID 63852 //
     /*  213387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  213390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clip),
     /*  213395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  213401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213416 */     // (intrinsic_wo_chain:{ *:[i32] } 10887:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  213416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPR),
     /*  213419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  213425 */     GIR_RootConstrainSelectedInstOperands,
     /*  213426 */     // GIR_Coverage, 63852,
     /*  213426 */     GIR_EraseRootFromParent_Done,
     /*  213427 */   // Label 4268: @213427
     /*  213427 */   GIM_Try, /*On fail goto*//*Label 4269*/ GIMT_Encode4(213472), // Rule ID 63879 //
     /*  213432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  213435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clipu),
     /*  213440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  213446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213461 */     // (intrinsic_wo_chain:{ *:[i32] } 10888:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  213461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPUR),
     /*  213464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  213470 */     GIR_RootConstrainSelectedInstOperands,
     /*  213471 */     // GIR_Coverage, 63879,
     /*  213471 */     GIR_EraseRootFromParent_Done,
     /*  213472 */   // Label 4269: @213472
     /*  213472 */   GIM_Try, /*On fail goto*//*Label 4270*/ GIMT_Encode4(213517), // Rule ID 2502 //
     /*  213477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  213480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  213485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  213491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213506 */     // (intrinsic_wo_chain:{ *:[i64] } 11578:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM4:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  213506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  213509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  213515 */     GIR_RootConstrainSelectedInstOperands,
     /*  213516 */     // GIR_Coverage, 2502,
     /*  213516 */     GIR_EraseRootFromParent_Done,
     /*  213517 */   // Label 4270: @213517
     /*  213517 */   GIM_Try, /*On fail goto*//*Label 4271*/ GIMT_Encode4(213562), // Rule ID 2503 //
     /*  213522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  213525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  213530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  213536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213551 */     // (intrinsic_wo_chain:{ *:[i32] } 11578:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM4:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  213551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  213554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  213560 */     GIR_RootConstrainSelectedInstOperands,
     /*  213561 */     // GIR_Coverage, 2503,
     /*  213561 */     GIR_EraseRootFromParent_Done,
     /*  213562 */   // Label 4271: @213562
     /*  213562 */   GIM_Try, /*On fail goto*//*Label 4272*/ GIMT_Encode4(213607), // Rule ID 2504 //
     /*  213567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  213570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  213575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  213581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213596 */     // (intrinsic_wo_chain:{ *:[i64] } 11579:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM8:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  213596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  213599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  213605 */     GIR_RootConstrainSelectedInstOperands,
     /*  213606 */     // GIR_Coverage, 2504,
     /*  213606 */     GIR_EraseRootFromParent_Done,
     /*  213607 */   // Label 4272: @213607
     /*  213607 */   GIM_Try, /*On fail goto*//*Label 4273*/ GIMT_Encode4(213652), // Rule ID 2505 //
     /*  213612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  213615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  213620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  213626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213641 */     // (intrinsic_wo_chain:{ *:[i32] } 11579:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM8:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  213641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  213644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  213650 */     GIR_RootConstrainSelectedInstOperands,
     /*  213651 */     // GIR_Coverage, 2505,
     /*  213651 */     GIR_EraseRootFromParent_Done,
     /*  213652 */   // Label 4273: @213652
     /*  213652 */   GIM_Try, /*On fail goto*//*Label 4274*/ GIMT_Encode4(213697), // Rule ID 2508 //
     /*  213657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  213660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ds),
     /*  213665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  213671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213686 */     // (intrinsic_wo_chain:{ *:[i64] } 10872:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  213686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DS),
     /*  213689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  213695 */     GIR_RootConstrainSelectedInstOperands,
     /*  213696 */     // GIR_Coverage, 2508,
     /*  213696 */     GIR_EraseRootFromParent_Done,
     /*  213697 */   // Label 4274: @213697
     /*  213697 */   GIM_Try, /*On fail goto*//*Label 4275*/ GIMT_Encode4(213742), // Rule ID 2509 //
     /*  213702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  213705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64dsm),
     /*  213710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  213716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213731 */     // (intrinsic_wo_chain:{ *:[i64] } 10873:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DSM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  213731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DSM),
     /*  213734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  213740 */     GIR_RootConstrainSelectedInstOperands,
     /*  213741 */     // GIR_Coverage, 2509,
     /*  213741 */     GIR_EraseRootFromParent_Done,
     /*  213742 */   // Label 4275: @213742
     /*  213742 */   GIM_Try, /*On fail goto*//*Label 4276*/ GIMT_Encode4(213787), // Rule ID 2511 //
     /*  213747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  213750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks2),
     /*  213755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  213761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213776 */     // (intrinsic_wo_chain:{ *:[i64] } 10878:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64KS2:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  213776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS2),
     /*  213779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  213785 */     GIR_RootConstrainSelectedInstOperands,
     /*  213786 */     // GIR_Coverage, 2511,
     /*  213786 */     GIR_EraseRootFromParent_Done,
     /*  213787 */   // Label 4276: @213787
     /*  213787 */   GIM_Try, /*On fail goto*//*Label 4277*/ GIMT_Encode4(213832), // Rule ID 2515 //
     /*  213792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  213795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64es),
     /*  213800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  213806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213821 */     // (intrinsic_wo_chain:{ *:[i64] } 10874:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ES:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  213821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ES),
     /*  213824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  213830 */     GIR_RootConstrainSelectedInstOperands,
     /*  213831 */     // GIR_Coverage, 2515,
     /*  213831 */     GIR_EraseRootFromParent_Done,
     /*  213832 */   // Label 4277: @213832
     /*  213832 */   GIM_Try, /*On fail goto*//*Label 4278*/ GIMT_Encode4(213877), // Rule ID 2516 //
     /*  213837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  213840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64esm),
     /*  213845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  213851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213866 */     // (intrinsic_wo_chain:{ *:[i64] } 10875:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ESM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  213866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ESM),
     /*  213869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  213875 */     GIR_RootConstrainSelectedInstOperands,
     /*  213876 */     // GIR_Coverage, 2516,
     /*  213876 */     GIR_EraseRootFromParent_Done,
     /*  213877 */   // Label 4278: @213877
     /*  213877 */   GIM_Try, /*On fail goto*//*Label 4279*/ GIMT_Encode4(213922), // Rule ID 2525 //
     /*  213882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  213885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0l),
     /*  213890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  213896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213911 */     // (intrinsic_wo_chain:{ *:[i32] } 11014:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  213911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0L),
     /*  213914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  213920 */     GIR_RootConstrainSelectedInstOperands,
     /*  213921 */     // GIR_Coverage, 2525,
     /*  213921 */     GIR_EraseRootFromParent_Done,
     /*  213922 */   // Label 4279: @213922
     /*  213922 */   GIM_Try, /*On fail goto*//*Label 4280*/ GIMT_Encode4(213967), // Rule ID 2526 //
     /*  213927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  213930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0h),
     /*  213935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  213941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213956 */     // (intrinsic_wo_chain:{ *:[i32] } 11013:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  213956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0H),
     /*  213959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  213965 */     GIR_RootConstrainSelectedInstOperands,
     /*  213966 */     // GIR_Coverage, 2526,
     /*  213966 */     GIR_EraseRootFromParent_Done,
     /*  213967 */   // Label 4280: @213967
     /*  213967 */   GIM_Try, /*On fail goto*//*Label 4281*/ GIMT_Encode4(214012), // Rule ID 2527 //
     /*  213972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  213975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1l),
     /*  213980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  213986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214001 */     // (intrinsic_wo_chain:{ *:[i32] } 11017:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  214001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1L),
     /*  214004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214010 */     GIR_RootConstrainSelectedInstOperands,
     /*  214011 */     // GIR_Coverage, 2527,
     /*  214011 */     GIR_EraseRootFromParent_Done,
     /*  214012 */   // Label 4281: @214012
     /*  214012 */   GIM_Try, /*On fail goto*//*Label 4282*/ GIMT_Encode4(214057), // Rule ID 2528 //
     /*  214017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  214020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1h),
     /*  214025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  214031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214046 */     // (intrinsic_wo_chain:{ *:[i32] } 11016:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  214046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1H),
     /*  214049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214055 */     GIR_RootConstrainSelectedInstOperands,
     /*  214056 */     // GIR_Coverage, 2528,
     /*  214056 */     GIR_EraseRootFromParent_Done,
     /*  214057 */   // Label 4282: @214057
     /*  214057 */   GIM_Try, /*On fail goto*//*Label 4283*/ GIMT_Encode4(214102), // Rule ID 2529 //
     /*  214062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  214065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0r),
     /*  214070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  214076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214091 */     // (intrinsic_wo_chain:{ *:[i32] } 11019:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM0R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  214091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0R),
     /*  214094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214100 */     GIR_RootConstrainSelectedInstOperands,
     /*  214101 */     // GIR_Coverage, 2529,
     /*  214101 */     GIR_EraseRootFromParent_Done,
     /*  214102 */   // Label 4283: @214102
     /*  214102 */   GIM_Try, /*On fail goto*//*Label 4284*/ GIMT_Encode4(214147), // Rule ID 2530 //
     /*  214107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  214110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1r),
     /*  214115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  214121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214136 */     // (intrinsic_wo_chain:{ *:[i32] } 11021:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM1R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  214136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1R),
     /*  214139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214145 */     GIR_RootConstrainSelectedInstOperands,
     /*  214146 */     // GIR_Coverage, 2530,
     /*  214146 */     GIR_EraseRootFromParent_Done,
     /*  214147 */   // Label 4284: @214147
     /*  214147 */   GIM_Try, /*On fail goto*//*Label 4285*/ GIMT_Encode4(214192), // Rule ID 63829 //
     /*  214152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  214155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extract),
     /*  214160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  214166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214181 */     // (intrinsic_wo_chain:{ *:[i32] } 10897:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  214181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTR),
     /*  214184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214190 */     GIR_RootConstrainSelectedInstOperands,
     /*  214191 */     // GIR_Coverage, 63829,
     /*  214191 */     GIR_EraseRootFromParent_Done,
     /*  214192 */   // Label 4285: @214192
     /*  214192 */   GIM_Try, /*On fail goto*//*Label 4286*/ GIMT_Encode4(214237), // Rule ID 63831 //
     /*  214197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  214200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extractu),
     /*  214205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  214211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214226 */     // (intrinsic_wo_chain:{ *:[i32] } 10898:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  214226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTUR),
     /*  214229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214235 */     GIR_RootConstrainSelectedInstOperands,
     /*  214236 */     // GIR_Coverage, 63831,
     /*  214236 */     GIR_EraseRootFromParent_Done,
     /*  214237 */   // Label 4286: @214237
     /*  214237 */   GIM_Try, /*On fail goto*//*Label 4287*/ GIMT_Encode4(214282), // Rule ID 63833 //
     /*  214242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  214245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bclr),
     /*  214250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  214256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214271 */     // (intrinsic_wo_chain:{ *:[i32] } 10893:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BCLRR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  214271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BCLRR),
     /*  214274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214280 */     GIR_RootConstrainSelectedInstOperands,
     /*  214281 */     // GIR_Coverage, 63833,
     /*  214281 */     GIR_EraseRootFromParent_Done,
     /*  214282 */   // Label 4287: @214282
     /*  214282 */   GIM_Try, /*On fail goto*//*Label 4288*/ GIMT_Encode4(214327), // Rule ID 63835 //
     /*  214287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  214290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bset),
     /*  214295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  214301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214316 */     // (intrinsic_wo_chain:{ *:[i32] } 10895:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BSETR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  214316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BSETR),
     /*  214319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  214325 */     GIR_RootConstrainSelectedInstOperands,
     /*  214326 */     // GIR_Coverage, 63835,
     /*  214326 */     GIR_EraseRootFromParent_Done,
     /*  214327 */   // Label 4288: @214327
     /*  214327 */   GIM_Reject,
     /*  214328 */ // Label 4152: @214328
     /*  214328 */ GIM_Try, /*On fail goto*//*Label 4289*/ GIMT_Encode4(385233),
     /*  214333 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /*  214336 */   GIM_Try, /*On fail goto*//*Label 4290*/ GIMT_Encode4(214410), // Rule ID 5315 //
     /*  214341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  214349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  214352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  214355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214381 */     // MIs[1] Operand 1
     /*  214381 */     // No operand predicates
     /*  214381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214390 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  214390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  214393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214408 */     GIR_RootConstrainSelectedInstOperands,
     /*  214409 */     // GIR_Coverage, 5315,
     /*  214409 */     GIR_EraseRootFromParent_Done,
     /*  214410 */   // Label 4290: @214410
     /*  214410 */   GIM_Try, /*On fail goto*//*Label 4291*/ GIMT_Encode4(214484), // Rule ID 5316 //
     /*  214415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  214423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  214426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  214429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214455 */     // MIs[1] Operand 1
     /*  214455 */     // No operand predicates
     /*  214455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214464 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  214464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  214467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214482 */     GIR_RootConstrainSelectedInstOperands,
     /*  214483 */     // GIR_Coverage, 5316,
     /*  214483 */     GIR_EraseRootFromParent_Done,
     /*  214484 */   // Label 4291: @214484
     /*  214484 */   GIM_Try, /*On fail goto*//*Label 4292*/ GIMT_Encode4(214558), // Rule ID 5317 //
     /*  214489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  214497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  214500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  214503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214529 */     // MIs[1] Operand 1
     /*  214529 */     // No operand predicates
     /*  214529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214538 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  214538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  214541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214556 */     GIR_RootConstrainSelectedInstOperands,
     /*  214557 */     // GIR_Coverage, 5317,
     /*  214557 */     GIR_EraseRootFromParent_Done,
     /*  214558 */   // Label 4292: @214558
     /*  214558 */   GIM_Try, /*On fail goto*//*Label 4293*/ GIMT_Encode4(214632), // Rule ID 5318 //
     /*  214563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  214571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  214574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  214577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214603 */     // MIs[1] Operand 1
     /*  214603 */     // No operand predicates
     /*  214603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214612 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  214612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  214615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214630 */     GIR_RootConstrainSelectedInstOperands,
     /*  214631 */     // GIR_Coverage, 5318,
     /*  214631 */     GIR_EraseRootFromParent_Done,
     /*  214632 */   // Label 4293: @214632
     /*  214632 */   GIM_Try, /*On fail goto*//*Label 4294*/ GIMT_Encode4(214706), // Rule ID 5319 //
     /*  214637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  214645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  214648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  214651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214677 */     // MIs[1] Operand 1
     /*  214677 */     // No operand predicates
     /*  214677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214686 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  214686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  214689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214704 */     GIR_RootConstrainSelectedInstOperands,
     /*  214705 */     // GIR_Coverage, 5319,
     /*  214705 */     GIR_EraseRootFromParent_Done,
     /*  214706 */   // Label 4294: @214706
     /*  214706 */   GIM_Try, /*On fail goto*//*Label 4295*/ GIMT_Encode4(214780), // Rule ID 5320 //
     /*  214711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  214719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  214722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  214725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214751 */     // MIs[1] Operand 1
     /*  214751 */     // No operand predicates
     /*  214751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214760 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  214760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  214763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214778 */     GIR_RootConstrainSelectedInstOperands,
     /*  214779 */     // GIR_Coverage, 5320,
     /*  214779 */     GIR_EraseRootFromParent_Done,
     /*  214780 */   // Label 4295: @214780
     /*  214780 */   GIM_Try, /*On fail goto*//*Label 4296*/ GIMT_Encode4(214854), // Rule ID 5321 //
     /*  214785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  214793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  214796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  214799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214825 */     // MIs[1] Operand 1
     /*  214825 */     // No operand predicates
     /*  214825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214834 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  214834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  214837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214852 */     GIR_RootConstrainSelectedInstOperands,
     /*  214853 */     // GIR_Coverage, 5321,
     /*  214853 */     GIR_EraseRootFromParent_Done,
     /*  214854 */   // Label 4296: @214854
     /*  214854 */   GIM_Try, /*On fail goto*//*Label 4297*/ GIMT_Encode4(214928), // Rule ID 5322 //
     /*  214859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  214867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  214870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  214873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214899 */     // MIs[1] Operand 1
     /*  214899 */     // No operand predicates
     /*  214899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214908 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  214908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  214911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214926 */     GIR_RootConstrainSelectedInstOperands,
     /*  214927 */     // GIR_Coverage, 5322,
     /*  214927 */     GIR_EraseRootFromParent_Done,
     /*  214928 */   // Label 4297: @214928
     /*  214928 */   GIM_Try, /*On fail goto*//*Label 4298*/ GIMT_Encode4(215002), // Rule ID 5323 //
     /*  214933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  214941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  214944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  214947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214973 */     // MIs[1] Operand 1
     /*  214973 */     // No operand predicates
     /*  214973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214982 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  214982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  214985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  215000 */     GIR_RootConstrainSelectedInstOperands,
     /*  215001 */     // GIR_Coverage, 5323,
     /*  215001 */     GIR_EraseRootFromParent_Done,
     /*  215002 */   // Label 4298: @215002
     /*  215002 */   GIM_Try, /*On fail goto*//*Label 4299*/ GIMT_Encode4(215076), // Rule ID 5324 //
     /*  215007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  215018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  215021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215047 */     // MIs[1] Operand 1
     /*  215047 */     // No operand predicates
     /*  215047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215056 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  215056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  215059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  215074 */     GIR_RootConstrainSelectedInstOperands,
     /*  215075 */     // GIR_Coverage, 5324,
     /*  215075 */     GIR_EraseRootFromParent_Done,
     /*  215076 */   // Label 4299: @215076
     /*  215076 */   GIM_Try, /*On fail goto*//*Label 4300*/ GIMT_Encode4(215150), // Rule ID 5325 //
     /*  215081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  215092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  215095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215121 */     // MIs[1] Operand 1
     /*  215121 */     // No operand predicates
     /*  215121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215130 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  215130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  215133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  215148 */     GIR_RootConstrainSelectedInstOperands,
     /*  215149 */     // GIR_Coverage, 5325,
     /*  215149 */     GIR_EraseRootFromParent_Done,
     /*  215150 */   // Label 4300: @215150
     /*  215150 */   GIM_Try, /*On fail goto*//*Label 4301*/ GIMT_Encode4(215224), // Rule ID 5326 //
     /*  215155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  215166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  215169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215195 */     // MIs[1] Operand 1
     /*  215195 */     // No operand predicates
     /*  215195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215204 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  215204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  215207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  215222 */     GIR_RootConstrainSelectedInstOperands,
     /*  215223 */     // GIR_Coverage, 5326,
     /*  215223 */     GIR_EraseRootFromParent_Done,
     /*  215224 */   // Label 4301: @215224
     /*  215224 */   GIM_Try, /*On fail goto*//*Label 4302*/ GIMT_Encode4(215298), // Rule ID 5327 //
     /*  215229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  215240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  215243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215269 */     // MIs[1] Operand 1
     /*  215269 */     // No operand predicates
     /*  215269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215278 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  215278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  215281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215296 */     GIR_RootConstrainSelectedInstOperands,
     /*  215297 */     // GIR_Coverage, 5327,
     /*  215297 */     GIR_EraseRootFromParent_Done,
     /*  215298 */   // Label 4302: @215298
     /*  215298 */   GIM_Try, /*On fail goto*//*Label 4303*/ GIMT_Encode4(215372), // Rule ID 5328 //
     /*  215303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  215314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  215317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215343 */     // MIs[1] Operand 1
     /*  215343 */     // No operand predicates
     /*  215343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215352 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  215352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  215355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215370 */     GIR_RootConstrainSelectedInstOperands,
     /*  215371 */     // GIR_Coverage, 5328,
     /*  215371 */     GIR_EraseRootFromParent_Done,
     /*  215372 */   // Label 4303: @215372
     /*  215372 */   GIM_Try, /*On fail goto*//*Label 4304*/ GIMT_Encode4(215446), // Rule ID 5329 //
     /*  215377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  215388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  215391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215417 */     // MIs[1] Operand 1
     /*  215417 */     // No operand predicates
     /*  215417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215426 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  215426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  215429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  215444 */     GIR_RootConstrainSelectedInstOperands,
     /*  215445 */     // GIR_Coverage, 5329,
     /*  215445 */     GIR_EraseRootFromParent_Done,
     /*  215446 */   // Label 4304: @215446
     /*  215446 */   GIM_Try, /*On fail goto*//*Label 4305*/ GIMT_Encode4(215520), // Rule ID 5330 //
     /*  215451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  215462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  215465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215491 */     // MIs[1] Operand 1
     /*  215491 */     // No operand predicates
     /*  215491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215500 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  215500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  215503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  215518 */     GIR_RootConstrainSelectedInstOperands,
     /*  215519 */     // GIR_Coverage, 5330,
     /*  215519 */     GIR_EraseRootFromParent_Done,
     /*  215520 */   // Label 4305: @215520
     /*  215520 */   GIM_Try, /*On fail goto*//*Label 4306*/ GIMT_Encode4(215594), // Rule ID 5331 //
     /*  215525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  215536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  215539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215565 */     // MIs[1] Operand 1
     /*  215565 */     // No operand predicates
     /*  215565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215574 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  215574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  215577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  215592 */     GIR_RootConstrainSelectedInstOperands,
     /*  215593 */     // GIR_Coverage, 5331,
     /*  215593 */     GIR_EraseRootFromParent_Done,
     /*  215594 */   // Label 4306: @215594
     /*  215594 */   GIM_Try, /*On fail goto*//*Label 4307*/ GIMT_Encode4(215668), // Rule ID 5332 //
     /*  215599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  215610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  215613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215639 */     // MIs[1] Operand 1
     /*  215639 */     // No operand predicates
     /*  215639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215648 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  215648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  215651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  215666 */     GIR_RootConstrainSelectedInstOperands,
     /*  215667 */     // GIR_Coverage, 5332,
     /*  215667 */     GIR_EraseRootFromParent_Done,
     /*  215668 */   // Label 4307: @215668
     /*  215668 */   GIM_Try, /*On fail goto*//*Label 4308*/ GIMT_Encode4(215742), // Rule ID 5333 //
     /*  215673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  215676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  215684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  215687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215713 */     // MIs[1] Operand 1
     /*  215713 */     // No operand predicates
     /*  215713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215722 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  215722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  215725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  215740 */     GIR_RootConstrainSelectedInstOperands,
     /*  215741 */     // GIR_Coverage, 5333,
     /*  215741 */     GIR_EraseRootFromParent_Done,
     /*  215742 */   // Label 4308: @215742
     /*  215742 */   GIM_Try, /*On fail goto*//*Label 4309*/ GIMT_Encode4(215816), // Rule ID 5334 //
     /*  215747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  215750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  215758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  215761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215787 */     // MIs[1] Operand 1
     /*  215787 */     // No operand predicates
     /*  215787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215796 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  215796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  215799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  215814 */     GIR_RootConstrainSelectedInstOperands,
     /*  215815 */     // GIR_Coverage, 5334,
     /*  215815 */     GIR_EraseRootFromParent_Done,
     /*  215816 */   // Label 4309: @215816
     /*  215816 */   GIM_Try, /*On fail goto*//*Label 4310*/ GIMT_Encode4(215890), // Rule ID 5335 //
     /*  215821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  215832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  215835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215861 */     // MIs[1] Operand 1
     /*  215861 */     // No operand predicates
     /*  215861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215870 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  215870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  215873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215888 */     GIR_RootConstrainSelectedInstOperands,
     /*  215889 */     // GIR_Coverage, 5335,
     /*  215889 */     GIR_EraseRootFromParent_Done,
     /*  215890 */   // Label 4310: @215890
     /*  215890 */   GIM_Try, /*On fail goto*//*Label 4311*/ GIMT_Encode4(215964), // Rule ID 5336 //
     /*  215895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  215906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  215909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215935 */     // MIs[1] Operand 1
     /*  215935 */     // No operand predicates
     /*  215935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215944 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  215944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  215947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215962 */     GIR_RootConstrainSelectedInstOperands,
     /*  215963 */     // GIR_Coverage, 5336,
     /*  215963 */     GIR_EraseRootFromParent_Done,
     /*  215964 */   // Label 4311: @215964
     /*  215964 */   GIM_Try, /*On fail goto*//*Label 4312*/ GIMT_Encode4(216038), // Rule ID 5337 //
     /*  215969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  215977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  215980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  215983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216009 */     // MIs[1] Operand 1
     /*  216009 */     // No operand predicates
     /*  216009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216018 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  216018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  216021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216036 */     GIR_RootConstrainSelectedInstOperands,
     /*  216037 */     // GIR_Coverage, 5337,
     /*  216037 */     GIR_EraseRootFromParent_Done,
     /*  216038 */   // Label 4312: @216038
     /*  216038 */   GIM_Try, /*On fail goto*//*Label 4313*/ GIMT_Encode4(216112), // Rule ID 5338 //
     /*  216043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  216054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  216057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216083 */     // MIs[1] Operand 1
     /*  216083 */     // No operand predicates
     /*  216083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216092 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  216092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  216095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216110 */     GIR_RootConstrainSelectedInstOperands,
     /*  216111 */     // GIR_Coverage, 5338,
     /*  216111 */     GIR_EraseRootFromParent_Done,
     /*  216112 */   // Label 4313: @216112
     /*  216112 */   GIM_Try, /*On fail goto*//*Label 4314*/ GIMT_Encode4(216186), // Rule ID 5339 //
     /*  216117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  216128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  216131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216157 */     // MIs[1] Operand 1
     /*  216157 */     // No operand predicates
     /*  216157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216166 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  216166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  216169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216184 */     GIR_RootConstrainSelectedInstOperands,
     /*  216185 */     // GIR_Coverage, 5339,
     /*  216185 */     GIR_EraseRootFromParent_Done,
     /*  216186 */   // Label 4314: @216186
     /*  216186 */   GIM_Try, /*On fail goto*//*Label 4315*/ GIMT_Encode4(216260), // Rule ID 5340 //
     /*  216191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  216202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  216205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216231 */     // MIs[1] Operand 1
     /*  216231 */     // No operand predicates
     /*  216231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216240 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  216240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  216243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216258 */     GIR_RootConstrainSelectedInstOperands,
     /*  216259 */     // GIR_Coverage, 5340,
     /*  216259 */     GIR_EraseRootFromParent_Done,
     /*  216260 */   // Label 4315: @216260
     /*  216260 */   GIM_Try, /*On fail goto*//*Label 4316*/ GIMT_Encode4(216334), // Rule ID 5341 //
     /*  216265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  216279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216305 */     // MIs[1] Operand 1
     /*  216305 */     // No operand predicates
     /*  216305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216314 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  216314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  216317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216332 */     GIR_RootConstrainSelectedInstOperands,
     /*  216333 */     // GIR_Coverage, 5341,
     /*  216333 */     GIR_EraseRootFromParent_Done,
     /*  216334 */   // Label 4316: @216334
     /*  216334 */   GIM_Try, /*On fail goto*//*Label 4317*/ GIMT_Encode4(216408), // Rule ID 5342 //
     /*  216339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  216353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216379 */     // MIs[1] Operand 1
     /*  216379 */     // No operand predicates
     /*  216379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216388 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  216388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  216391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216406 */     GIR_RootConstrainSelectedInstOperands,
     /*  216407 */     // GIR_Coverage, 5342,
     /*  216407 */     GIR_EraseRootFromParent_Done,
     /*  216408 */   // Label 4317: @216408
     /*  216408 */   GIM_Try, /*On fail goto*//*Label 4318*/ GIMT_Encode4(216482), // Rule ID 5343 //
     /*  216413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  216424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  216427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216453 */     // MIs[1] Operand 1
     /*  216453 */     // No operand predicates
     /*  216453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216462 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  216462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  216465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216480 */     GIR_RootConstrainSelectedInstOperands,
     /*  216481 */     // GIR_Coverage, 5343,
     /*  216481 */     GIR_EraseRootFromParent_Done,
     /*  216482 */   // Label 4318: @216482
     /*  216482 */   GIM_Try, /*On fail goto*//*Label 4319*/ GIMT_Encode4(216556), // Rule ID 5344 //
     /*  216487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  216498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  216501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216527 */     // MIs[1] Operand 1
     /*  216527 */     // No operand predicates
     /*  216527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216536 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  216536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  216539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216554 */     GIR_RootConstrainSelectedInstOperands,
     /*  216555 */     // GIR_Coverage, 5344,
     /*  216555 */     GIR_EraseRootFromParent_Done,
     /*  216556 */   // Label 4319: @216556
     /*  216556 */   GIM_Try, /*On fail goto*//*Label 4320*/ GIMT_Encode4(216630), // Rule ID 5345 //
     /*  216561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  216572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  216575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216601 */     // MIs[1] Operand 1
     /*  216601 */     // No operand predicates
     /*  216601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216610 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  216610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  216613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216628 */     GIR_RootConstrainSelectedInstOperands,
     /*  216629 */     // GIR_Coverage, 5345,
     /*  216629 */     GIR_EraseRootFromParent_Done,
     /*  216630 */   // Label 4320: @216630
     /*  216630 */   GIM_Try, /*On fail goto*//*Label 4321*/ GIMT_Encode4(216704), // Rule ID 5346 //
     /*  216635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  216646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  216649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216675 */     // MIs[1] Operand 1
     /*  216675 */     // No operand predicates
     /*  216675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216684 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  216684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  216687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216702 */     GIR_RootConstrainSelectedInstOperands,
     /*  216703 */     // GIR_Coverage, 5346,
     /*  216703 */     GIR_EraseRootFromParent_Done,
     /*  216704 */   // Label 4321: @216704
     /*  216704 */   GIM_Try, /*On fail goto*//*Label 4322*/ GIMT_Encode4(216778), // Rule ID 5347 //
     /*  216709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  216723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216749 */     // MIs[1] Operand 1
     /*  216749 */     // No operand predicates
     /*  216749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216758 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  216758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  216761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216776 */     GIR_RootConstrainSelectedInstOperands,
     /*  216777 */     // GIR_Coverage, 5347,
     /*  216777 */     GIR_EraseRootFromParent_Done,
     /*  216778 */   // Label 4322: @216778
     /*  216778 */   GIM_Try, /*On fail goto*//*Label 4323*/ GIMT_Encode4(216852), // Rule ID 5348 //
     /*  216783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  216797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216823 */     // MIs[1] Operand 1
     /*  216823 */     // No operand predicates
     /*  216823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216832 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  216832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  216835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216850 */     GIR_RootConstrainSelectedInstOperands,
     /*  216851 */     // GIR_Coverage, 5348,
     /*  216851 */     GIR_EraseRootFromParent_Done,
     /*  216852 */   // Label 4323: @216852
     /*  216852 */   GIM_Try, /*On fail goto*//*Label 4324*/ GIMT_Encode4(216926), // Rule ID 5349 //
     /*  216857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  216871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216897 */     // MIs[1] Operand 1
     /*  216897 */     // No operand predicates
     /*  216897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216906 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  216906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  216909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216924 */     GIR_RootConstrainSelectedInstOperands,
     /*  216925 */     // GIR_Coverage, 5349,
     /*  216925 */     GIR_EraseRootFromParent_Done,
     /*  216926 */   // Label 4324: @216926
     /*  216926 */   GIM_Try, /*On fail goto*//*Label 4325*/ GIMT_Encode4(217000), // Rule ID 5350 //
     /*  216931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  216939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  216945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216971 */     // MIs[1] Operand 1
     /*  216971 */     // No operand predicates
     /*  216971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216980 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  216980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  216983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216998 */     GIR_RootConstrainSelectedInstOperands,
     /*  216999 */     // GIR_Coverage, 5350,
     /*  216999 */     GIR_EraseRootFromParent_Done,
     /*  217000 */   // Label 4325: @217000
     /*  217000 */   GIM_Try, /*On fail goto*//*Label 4326*/ GIMT_Encode4(217074), // Rule ID 5351 //
     /*  217005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  217016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  217019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217045 */     // MIs[1] Operand 1
     /*  217045 */     // No operand predicates
     /*  217045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217054 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  217054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  217057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217072 */     GIR_RootConstrainSelectedInstOperands,
     /*  217073 */     // GIR_Coverage, 5351,
     /*  217073 */     GIR_EraseRootFromParent_Done,
     /*  217074 */   // Label 4326: @217074
     /*  217074 */   GIM_Try, /*On fail goto*//*Label 4327*/ GIMT_Encode4(217148), // Rule ID 5352 //
     /*  217079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  217090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  217093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217119 */     // MIs[1] Operand 1
     /*  217119 */     // No operand predicates
     /*  217119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217128 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  217128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  217131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217146 */     GIR_RootConstrainSelectedInstOperands,
     /*  217147 */     // GIR_Coverage, 5352,
     /*  217147 */     GIR_EraseRootFromParent_Done,
     /*  217148 */   // Label 4327: @217148
     /*  217148 */   GIM_Try, /*On fail goto*//*Label 4328*/ GIMT_Encode4(217222), // Rule ID 5353 //
     /*  217153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  217156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  217164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  217167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217193 */     // MIs[1] Operand 1
     /*  217193 */     // No operand predicates
     /*  217193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217202 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  217202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  217205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217220 */     GIR_RootConstrainSelectedInstOperands,
     /*  217221 */     // GIR_Coverage, 5353,
     /*  217221 */     GIR_EraseRootFromParent_Done,
     /*  217222 */   // Label 4328: @217222
     /*  217222 */   GIM_Try, /*On fail goto*//*Label 4329*/ GIMT_Encode4(217296), // Rule ID 5354 //
     /*  217227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  217230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  217238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  217241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217267 */     // MIs[1] Operand 1
     /*  217267 */     // No operand predicates
     /*  217267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217276 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  217276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  217279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217294 */     GIR_RootConstrainSelectedInstOperands,
     /*  217295 */     // GIR_Coverage, 5354,
     /*  217295 */     GIR_EraseRootFromParent_Done,
     /*  217296 */   // Label 4329: @217296
     /*  217296 */   GIM_Try, /*On fail goto*//*Label 4330*/ GIMT_Encode4(217370), // Rule ID 5355 //
     /*  217301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  217304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  217312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  217315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217341 */     // MIs[1] Operand 1
     /*  217341 */     // No operand predicates
     /*  217341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217350 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  217350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  217353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217368 */     GIR_RootConstrainSelectedInstOperands,
     /*  217369 */     // GIR_Coverage, 5355,
     /*  217369 */     GIR_EraseRootFromParent_Done,
     /*  217370 */   // Label 4330: @217370
     /*  217370 */   GIM_Try, /*On fail goto*//*Label 4331*/ GIMT_Encode4(217444), // Rule ID 5356 //
     /*  217375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  217378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  217386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  217389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217415 */     // MIs[1] Operand 1
     /*  217415 */     // No operand predicates
     /*  217415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217424 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  217424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  217427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217442 */     GIR_RootConstrainSelectedInstOperands,
     /*  217443 */     // GIR_Coverage, 5356,
     /*  217443 */     GIR_EraseRootFromParent_Done,
     /*  217444 */   // Label 4331: @217444
     /*  217444 */   GIM_Try, /*On fail goto*//*Label 4332*/ GIMT_Encode4(217518), // Rule ID 5357 //
     /*  217449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  217452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  217460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  217463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217489 */     // MIs[1] Operand 1
     /*  217489 */     // No operand predicates
     /*  217489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217498 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  217498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  217501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217516 */     GIR_RootConstrainSelectedInstOperands,
     /*  217517 */     // GIR_Coverage, 5357,
     /*  217517 */     GIR_EraseRootFromParent_Done,
     /*  217518 */   // Label 4332: @217518
     /*  217518 */   GIM_Try, /*On fail goto*//*Label 4333*/ GIMT_Encode4(217592), // Rule ID 5358 //
     /*  217523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  217526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  217531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  217534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  217537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217563 */     // MIs[1] Operand 1
     /*  217563 */     // No operand predicates
     /*  217563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217572 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  217572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  217575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217590 */     GIR_RootConstrainSelectedInstOperands,
     /*  217591 */     // GIR_Coverage, 5358,
     /*  217591 */     GIR_EraseRootFromParent_Done,
     /*  217592 */   // Label 4333: @217592
     /*  217592 */   GIM_Try, /*On fail goto*//*Label 4334*/ GIMT_Encode4(217666), // Rule ID 7827 //
     /*  217597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  217605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  217608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  217611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217637 */     // MIs[1] Operand 1
     /*  217637 */     // No operand predicates
     /*  217637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217646 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  217649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217664 */     GIR_RootConstrainSelectedInstOperands,
     /*  217665 */     // GIR_Coverage, 7827,
     /*  217665 */     GIR_EraseRootFromParent_Done,
     /*  217666 */   // Label 4334: @217666
     /*  217666 */   GIM_Try, /*On fail goto*//*Label 4335*/ GIMT_Encode4(217740), // Rule ID 7828 //
     /*  217671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  217679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  217682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  217685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217711 */     // MIs[1] Operand 1
     /*  217711 */     // No operand predicates
     /*  217711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217720 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  217720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  217723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217738 */     GIR_RootConstrainSelectedInstOperands,
     /*  217739 */     // GIR_Coverage, 7828,
     /*  217739 */     GIR_EraseRootFromParent_Done,
     /*  217740 */   // Label 4335: @217740
     /*  217740 */   GIM_Try, /*On fail goto*//*Label 4336*/ GIMT_Encode4(217814), // Rule ID 7831 //
     /*  217745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  217753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  217756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  217759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217785 */     // MIs[1] Operand 1
     /*  217785 */     // No operand predicates
     /*  217785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217794 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  217797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217812 */     GIR_RootConstrainSelectedInstOperands,
     /*  217813 */     // GIR_Coverage, 7831,
     /*  217813 */     GIR_EraseRootFromParent_Done,
     /*  217814 */   // Label 4336: @217814
     /*  217814 */   GIM_Try, /*On fail goto*//*Label 4337*/ GIMT_Encode4(217888), // Rule ID 7832 //
     /*  217819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  217827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  217830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  217833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217859 */     // MIs[1] Operand 1
     /*  217859 */     // No operand predicates
     /*  217859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217868 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  217868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  217871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217886 */     GIR_RootConstrainSelectedInstOperands,
     /*  217887 */     // GIR_Coverage, 7832,
     /*  217887 */     GIR_EraseRootFromParent_Done,
     /*  217888 */   // Label 4337: @217888
     /*  217888 */   GIM_Try, /*On fail goto*//*Label 4338*/ GIMT_Encode4(217962), // Rule ID 7835 //
     /*  217893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  217901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  217904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  217907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217933 */     // MIs[1] Operand 1
     /*  217933 */     // No operand predicates
     /*  217933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217942 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  217945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217960 */     GIR_RootConstrainSelectedInstOperands,
     /*  217961 */     // GIR_Coverage, 7835,
     /*  217961 */     GIR_EraseRootFromParent_Done,
     /*  217962 */   // Label 4338: @217962
     /*  217962 */   GIM_Try, /*On fail goto*//*Label 4339*/ GIMT_Encode4(218036), // Rule ID 7836 //
     /*  217967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  217975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  217978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  217981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218007 */     // MIs[1] Operand 1
     /*  218007 */     // No operand predicates
     /*  218007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218016 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  218016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  218019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218034 */     GIR_RootConstrainSelectedInstOperands,
     /*  218035 */     // GIR_Coverage, 7836,
     /*  218035 */     GIR_EraseRootFromParent_Done,
     /*  218036 */   // Label 4339: @218036
     /*  218036 */   GIM_Try, /*On fail goto*//*Label 4340*/ GIMT_Encode4(218110), // Rule ID 7839 //
     /*  218041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  218049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  218052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  218055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218081 */     // MIs[1] Operand 1
     /*  218081 */     // No operand predicates
     /*  218081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218090 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  218090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  218093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218108 */     GIR_RootConstrainSelectedInstOperands,
     /*  218109 */     // GIR_Coverage, 7839,
     /*  218109 */     GIR_EraseRootFromParent_Done,
     /*  218110 */   // Label 4340: @218110
     /*  218110 */   GIM_Try, /*On fail goto*//*Label 4341*/ GIMT_Encode4(218184), // Rule ID 7840 //
     /*  218115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  218123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  218126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  218129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218155 */     // MIs[1] Operand 1
     /*  218155 */     // No operand predicates
     /*  218155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218164 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  218164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  218167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218182 */     GIR_RootConstrainSelectedInstOperands,
     /*  218183 */     // GIR_Coverage, 7840,
     /*  218183 */     GIR_EraseRootFromParent_Done,
     /*  218184 */   // Label 4341: @218184
     /*  218184 */   GIM_Try, /*On fail goto*//*Label 4342*/ GIMT_Encode4(218258), // Rule ID 7843 //
     /*  218189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  218197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  218200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  218203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218229 */     // MIs[1] Operand 1
     /*  218229 */     // No operand predicates
     /*  218229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218238 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  218238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  218241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218256 */     GIR_RootConstrainSelectedInstOperands,
     /*  218257 */     // GIR_Coverage, 7843,
     /*  218257 */     GIR_EraseRootFromParent_Done,
     /*  218258 */   // Label 4342: @218258
     /*  218258 */   GIM_Try, /*On fail goto*//*Label 4343*/ GIMT_Encode4(218332), // Rule ID 7844 //
     /*  218263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  218271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  218274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  218277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218303 */     // MIs[1] Operand 1
     /*  218303 */     // No operand predicates
     /*  218303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218312 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  218312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  218315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218330 */     GIR_RootConstrainSelectedInstOperands,
     /*  218331 */     // GIR_Coverage, 7844,
     /*  218331 */     GIR_EraseRootFromParent_Done,
     /*  218332 */   // Label 4343: @218332
     /*  218332 */   GIM_Try, /*On fail goto*//*Label 4344*/ GIMT_Encode4(218406), // Rule ID 7847 //
     /*  218337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  218345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  218348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  218351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218377 */     // MIs[1] Operand 1
     /*  218377 */     // No operand predicates
     /*  218377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218386 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  218386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  218389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218404 */     GIR_RootConstrainSelectedInstOperands,
     /*  218405 */     // GIR_Coverage, 7847,
     /*  218405 */     GIR_EraseRootFromParent_Done,
     /*  218406 */   // Label 4344: @218406
     /*  218406 */   GIM_Try, /*On fail goto*//*Label 4345*/ GIMT_Encode4(218480), // Rule ID 7848 //
     /*  218411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  218419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  218422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  218425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218451 */     // MIs[1] Operand 1
     /*  218451 */     // No operand predicates
     /*  218451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218460 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  218460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  218463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218478 */     GIR_RootConstrainSelectedInstOperands,
     /*  218479 */     // GIR_Coverage, 7848,
     /*  218479 */     GIR_EraseRootFromParent_Done,
     /*  218480 */   // Label 4345: @218480
     /*  218480 */   GIM_Try, /*On fail goto*//*Label 4346*/ GIMT_Encode4(218554), // Rule ID 7851 //
     /*  218485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  218493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  218499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218525 */     // MIs[1] Operand 1
     /*  218525 */     // No operand predicates
     /*  218525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218534 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  218534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  218537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218552 */     GIR_RootConstrainSelectedInstOperands,
     /*  218553 */     // GIR_Coverage, 7851,
     /*  218553 */     GIR_EraseRootFromParent_Done,
     /*  218554 */   // Label 4346: @218554
     /*  218554 */   GIM_Try, /*On fail goto*//*Label 4347*/ GIMT_Encode4(218628), // Rule ID 7852 //
     /*  218559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  218567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  218573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218599 */     // MIs[1] Operand 1
     /*  218599 */     // No operand predicates
     /*  218599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  218608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  218611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218626 */     GIR_RootConstrainSelectedInstOperands,
     /*  218627 */     // GIR_Coverage, 7852,
     /*  218627 */     GIR_EraseRootFromParent_Done,
     /*  218628 */   // Label 4347: @218628
     /*  218628 */   GIM_Try, /*On fail goto*//*Label 4348*/ GIMT_Encode4(218702), // Rule ID 7855 //
     /*  218633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  218641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  218644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  218647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218673 */     // MIs[1] Operand 1
     /*  218673 */     // No operand predicates
     /*  218673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218682 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  218682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  218685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218700 */     GIR_RootConstrainSelectedInstOperands,
     /*  218701 */     // GIR_Coverage, 7855,
     /*  218701 */     GIR_EraseRootFromParent_Done,
     /*  218702 */   // Label 4348: @218702
     /*  218702 */   GIM_Try, /*On fail goto*//*Label 4349*/ GIMT_Encode4(218776), // Rule ID 7856 //
     /*  218707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  218715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  218718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  218721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218747 */     // MIs[1] Operand 1
     /*  218747 */     // No operand predicates
     /*  218747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218756 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  218756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  218759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218774 */     GIR_RootConstrainSelectedInstOperands,
     /*  218775 */     // GIR_Coverage, 7856,
     /*  218775 */     GIR_EraseRootFromParent_Done,
     /*  218776 */   // Label 4349: @218776
     /*  218776 */   GIM_Try, /*On fail goto*//*Label 4350*/ GIMT_Encode4(218850), // Rule ID 7859 //
     /*  218781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  218789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  218792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  218795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218821 */     // MIs[1] Operand 1
     /*  218821 */     // No operand predicates
     /*  218821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218830 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  218830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  218833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218848 */     GIR_RootConstrainSelectedInstOperands,
     /*  218849 */     // GIR_Coverage, 7859,
     /*  218849 */     GIR_EraseRootFromParent_Done,
     /*  218850 */   // Label 4350: @218850
     /*  218850 */   GIM_Try, /*On fail goto*//*Label 4351*/ GIMT_Encode4(218924), // Rule ID 7860 //
     /*  218855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  218863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  218866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  218869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218895 */     // MIs[1] Operand 1
     /*  218895 */     // No operand predicates
     /*  218895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218904 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  218904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  218907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218922 */     GIR_RootConstrainSelectedInstOperands,
     /*  218923 */     // GIR_Coverage, 7860,
     /*  218923 */     GIR_EraseRootFromParent_Done,
     /*  218924 */   // Label 4351: @218924
     /*  218924 */   GIM_Try, /*On fail goto*//*Label 4352*/ GIMT_Encode4(218998), // Rule ID 7863 //
     /*  218929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  218932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  218937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  218940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  218943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218969 */     // MIs[1] Operand 1
     /*  218969 */     // No operand predicates
     /*  218969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218978 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  218978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  218981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218996 */     GIR_RootConstrainSelectedInstOperands,
     /*  218997 */     // GIR_Coverage, 7863,
     /*  218997 */     GIR_EraseRootFromParent_Done,
     /*  218998 */   // Label 4352: @218998
     /*  218998 */   GIM_Try, /*On fail goto*//*Label 4353*/ GIMT_Encode4(219072), // Rule ID 7864 //
     /*  219003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  219006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  219017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219043 */     // MIs[1] Operand 1
     /*  219043 */     // No operand predicates
     /*  219043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219052 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  219052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  219055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219070 */     GIR_RootConstrainSelectedInstOperands,
     /*  219071 */     // GIR_Coverage, 7864,
     /*  219071 */     GIR_EraseRootFromParent_Done,
     /*  219072 */   // Label 4353: @219072
     /*  219072 */   GIM_Try, /*On fail goto*//*Label 4354*/ GIMT_Encode4(219146), // Rule ID 7867 //
     /*  219077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  219088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  219091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219117 */     // MIs[1] Operand 1
     /*  219117 */     // No operand predicates
     /*  219117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219126 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  219126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  219129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219144 */     GIR_RootConstrainSelectedInstOperands,
     /*  219145 */     // GIR_Coverage, 7867,
     /*  219145 */     GIR_EraseRootFromParent_Done,
     /*  219146 */   // Label 4354: @219146
     /*  219146 */   GIM_Try, /*On fail goto*//*Label 4355*/ GIMT_Encode4(219220), // Rule ID 7868 //
     /*  219151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  219162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  219165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219191 */     // MIs[1] Operand 1
     /*  219191 */     // No operand predicates
     /*  219191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219200 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  219200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  219203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219218 */     GIR_RootConstrainSelectedInstOperands,
     /*  219219 */     // GIR_Coverage, 7868,
     /*  219219 */     GIR_EraseRootFromParent_Done,
     /*  219220 */   // Label 4355: @219220
     /*  219220 */   GIM_Try, /*On fail goto*//*Label 4356*/ GIMT_Encode4(219294), // Rule ID 7871 //
     /*  219225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  219236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  219239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219265 */     // MIs[1] Operand 1
     /*  219265 */     // No operand predicates
     /*  219265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219274 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  219274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  219277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219292 */     GIR_RootConstrainSelectedInstOperands,
     /*  219293 */     // GIR_Coverage, 7871,
     /*  219293 */     GIR_EraseRootFromParent_Done,
     /*  219294 */   // Label 4356: @219294
     /*  219294 */   GIM_Try, /*On fail goto*//*Label 4357*/ GIMT_Encode4(219368), // Rule ID 7872 //
     /*  219299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  219310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  219313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219339 */     // MIs[1] Operand 1
     /*  219339 */     // No operand predicates
     /*  219339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219348 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  219348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  219351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219366 */     GIR_RootConstrainSelectedInstOperands,
     /*  219367 */     // GIR_Coverage, 7872,
     /*  219367 */     GIR_EraseRootFromParent_Done,
     /*  219368 */   // Label 4357: @219368
     /*  219368 */   GIM_Try, /*On fail goto*//*Label 4358*/ GIMT_Encode4(219442), // Rule ID 7875 //
     /*  219373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  219384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  219387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219413 */     // MIs[1] Operand 1
     /*  219413 */     // No operand predicates
     /*  219413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219422 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  219422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  219425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219440 */     GIR_RootConstrainSelectedInstOperands,
     /*  219441 */     // GIR_Coverage, 7875,
     /*  219441 */     GIR_EraseRootFromParent_Done,
     /*  219442 */   // Label 4358: @219442
     /*  219442 */   GIM_Try, /*On fail goto*//*Label 4359*/ GIMT_Encode4(219516), // Rule ID 7876 //
     /*  219447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  219458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  219461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219487 */     // MIs[1] Operand 1
     /*  219487 */     // No operand predicates
     /*  219487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219496 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  219496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  219499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219514 */     GIR_RootConstrainSelectedInstOperands,
     /*  219515 */     // GIR_Coverage, 7876,
     /*  219515 */     GIR_EraseRootFromParent_Done,
     /*  219516 */   // Label 4359: @219516
     /*  219516 */   GIM_Try, /*On fail goto*//*Label 4360*/ GIMT_Encode4(219590), // Rule ID 7879 //
     /*  219521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  219532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  219535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219561 */     // MIs[1] Operand 1
     /*  219561 */     // No operand predicates
     /*  219561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219570 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  219570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  219573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219588 */     GIR_RootConstrainSelectedInstOperands,
     /*  219589 */     // GIR_Coverage, 7879,
     /*  219589 */     GIR_EraseRootFromParent_Done,
     /*  219590 */   // Label 4360: @219590
     /*  219590 */   GIM_Try, /*On fail goto*//*Label 4361*/ GIMT_Encode4(219664), // Rule ID 7880 //
     /*  219595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  219606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  219609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219635 */     // MIs[1] Operand 1
     /*  219635 */     // No operand predicates
     /*  219635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219644 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  219644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  219647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219662 */     GIR_RootConstrainSelectedInstOperands,
     /*  219663 */     // GIR_Coverage, 7880,
     /*  219663 */     GIR_EraseRootFromParent_Done,
     /*  219664 */   // Label 4361: @219664
     /*  219664 */   GIM_Try, /*On fail goto*//*Label 4362*/ GIMT_Encode4(219738), // Rule ID 7883 //
     /*  219669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  219680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  219683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219709 */     // MIs[1] Operand 1
     /*  219709 */     // No operand predicates
     /*  219709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219718 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  219718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  219721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219736 */     GIR_RootConstrainSelectedInstOperands,
     /*  219737 */     // GIR_Coverage, 7883,
     /*  219737 */     GIR_EraseRootFromParent_Done,
     /*  219738 */   // Label 4362: @219738
     /*  219738 */   GIM_Try, /*On fail goto*//*Label 4363*/ GIMT_Encode4(219812), // Rule ID 7884 //
     /*  219743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  219754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  219757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219783 */     // MIs[1] Operand 1
     /*  219783 */     // No operand predicates
     /*  219783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219792 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  219792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  219795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219810 */     GIR_RootConstrainSelectedInstOperands,
     /*  219811 */     // GIR_Coverage, 7884,
     /*  219811 */     GIR_EraseRootFromParent_Done,
     /*  219812 */   // Label 4363: @219812
     /*  219812 */   GIM_Try, /*On fail goto*//*Label 4364*/ GIMT_Encode4(219886), // Rule ID 7887 //
     /*  219817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  219828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  219831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219857 */     // MIs[1] Operand 1
     /*  219857 */     // No operand predicates
     /*  219857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219866 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  219866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  219869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219884 */     GIR_RootConstrainSelectedInstOperands,
     /*  219885 */     // GIR_Coverage, 7887,
     /*  219885 */     GIR_EraseRootFromParent_Done,
     /*  219886 */   // Label 4364: @219886
     /*  219886 */   GIM_Try, /*On fail goto*//*Label 4365*/ GIMT_Encode4(219960), // Rule ID 7888 //
     /*  219891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  219902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  219905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219931 */     // MIs[1] Operand 1
     /*  219931 */     // No operand predicates
     /*  219931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219940 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  219940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  219943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219958 */     GIR_RootConstrainSelectedInstOperands,
     /*  219959 */     // GIR_Coverage, 7888,
     /*  219959 */     GIR_EraseRootFromParent_Done,
     /*  219960 */   // Label 4365: @219960
     /*  219960 */   GIM_Try, /*On fail goto*//*Label 4366*/ GIMT_Encode4(220034), // Rule ID 7891 //
     /*  219965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  219973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  219979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220005 */     // MIs[1] Operand 1
     /*  220005 */     // No operand predicates
     /*  220005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220014 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  220014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  220017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220032 */     GIR_RootConstrainSelectedInstOperands,
     /*  220033 */     // GIR_Coverage, 7891,
     /*  220033 */     GIR_EraseRootFromParent_Done,
     /*  220034 */   // Label 4366: @220034
     /*  220034 */   GIM_Try, /*On fail goto*//*Label 4367*/ GIMT_Encode4(220108), // Rule ID 7892 //
     /*  220039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  220050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  220053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220079 */     // MIs[1] Operand 1
     /*  220079 */     // No operand predicates
     /*  220079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220088 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  220088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  220091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220106 */     GIR_RootConstrainSelectedInstOperands,
     /*  220107 */     // GIR_Coverage, 7892,
     /*  220107 */     GIR_EraseRootFromParent_Done,
     /*  220108 */   // Label 4367: @220108
     /*  220108 */   GIM_Try, /*On fail goto*//*Label 4368*/ GIMT_Encode4(220182), // Rule ID 7895 //
     /*  220113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  220124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  220127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220153 */     // MIs[1] Operand 1
     /*  220153 */     // No operand predicates
     /*  220153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220162 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  220162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  220165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220180 */     GIR_RootConstrainSelectedInstOperands,
     /*  220181 */     // GIR_Coverage, 7895,
     /*  220181 */     GIR_EraseRootFromParent_Done,
     /*  220182 */   // Label 4368: @220182
     /*  220182 */   GIM_Try, /*On fail goto*//*Label 4369*/ GIMT_Encode4(220256), // Rule ID 7896 //
     /*  220187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  220198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  220201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220227 */     // MIs[1] Operand 1
     /*  220227 */     // No operand predicates
     /*  220227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220236 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  220236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  220239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220254 */     GIR_RootConstrainSelectedInstOperands,
     /*  220255 */     // GIR_Coverage, 7896,
     /*  220255 */     GIR_EraseRootFromParent_Done,
     /*  220256 */   // Label 4369: @220256
     /*  220256 */   GIM_Try, /*On fail goto*//*Label 4370*/ GIMT_Encode4(220330), // Rule ID 7899 //
     /*  220261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  220272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  220275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220301 */     // MIs[1] Operand 1
     /*  220301 */     // No operand predicates
     /*  220301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220310 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  220310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  220313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220328 */     GIR_RootConstrainSelectedInstOperands,
     /*  220329 */     // GIR_Coverage, 7899,
     /*  220329 */     GIR_EraseRootFromParent_Done,
     /*  220330 */   // Label 4370: @220330
     /*  220330 */   GIM_Try, /*On fail goto*//*Label 4371*/ GIMT_Encode4(220404), // Rule ID 7900 //
     /*  220335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  220346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  220349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220375 */     // MIs[1] Operand 1
     /*  220375 */     // No operand predicates
     /*  220375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220384 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  220384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  220387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220402 */     GIR_RootConstrainSelectedInstOperands,
     /*  220403 */     // GIR_Coverage, 7900,
     /*  220403 */     GIR_EraseRootFromParent_Done,
     /*  220404 */   // Label 4371: @220404
     /*  220404 */   GIM_Try, /*On fail goto*//*Label 4372*/ GIMT_Encode4(220478), // Rule ID 7903 //
     /*  220409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  220412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  220423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220449 */     // MIs[1] Operand 1
     /*  220449 */     // No operand predicates
     /*  220449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220458 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  220458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  220461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220476 */     GIR_RootConstrainSelectedInstOperands,
     /*  220477 */     // GIR_Coverage, 7903,
     /*  220477 */     GIR_EraseRootFromParent_Done,
     /*  220478 */   // Label 4372: @220478
     /*  220478 */   GIM_Try, /*On fail goto*//*Label 4373*/ GIMT_Encode4(220552), // Rule ID 7904 //
     /*  220483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  220486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  220497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220523 */     // MIs[1] Operand 1
     /*  220523 */     // No operand predicates
     /*  220523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220532 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  220532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  220535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220550 */     GIR_RootConstrainSelectedInstOperands,
     /*  220551 */     // GIR_Coverage, 7904,
     /*  220551 */     GIR_EraseRootFromParent_Done,
     /*  220552 */   // Label 4373: @220552
     /*  220552 */   GIM_Try, /*On fail goto*//*Label 4374*/ GIMT_Encode4(220626), // Rule ID 7907 //
     /*  220557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  220560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  220568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  220571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220597 */     // MIs[1] Operand 1
     /*  220597 */     // No operand predicates
     /*  220597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220606 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  220606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  220609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220624 */     GIR_RootConstrainSelectedInstOperands,
     /*  220625 */     // GIR_Coverage, 7907,
     /*  220625 */     GIR_EraseRootFromParent_Done,
     /*  220626 */   // Label 4374: @220626
     /*  220626 */   GIM_Try, /*On fail goto*//*Label 4375*/ GIMT_Encode4(220700), // Rule ID 7908 //
     /*  220631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  220634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  220642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  220645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220671 */     // MIs[1] Operand 1
     /*  220671 */     // No operand predicates
     /*  220671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220680 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  220680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  220683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220698 */     GIR_RootConstrainSelectedInstOperands,
     /*  220699 */     // GIR_Coverage, 7908,
     /*  220699 */     GIR_EraseRootFromParent_Done,
     /*  220700 */   // Label 4375: @220700
     /*  220700 */   GIM_Try, /*On fail goto*//*Label 4376*/ GIMT_Encode4(220774), // Rule ID 7911 //
     /*  220705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  220708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  220716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  220719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220745 */     // MIs[1] Operand 1
     /*  220745 */     // No operand predicates
     /*  220745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220754 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  220754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  220757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220772 */     GIR_RootConstrainSelectedInstOperands,
     /*  220773 */     // GIR_Coverage, 7911,
     /*  220773 */     GIR_EraseRootFromParent_Done,
     /*  220774 */   // Label 4376: @220774
     /*  220774 */   GIM_Try, /*On fail goto*//*Label 4377*/ GIMT_Encode4(220848), // Rule ID 7912 //
     /*  220779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  220782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  220787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  220790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  220793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220819 */     // MIs[1] Operand 1
     /*  220819 */     // No operand predicates
     /*  220819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220828 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  220828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  220831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220846 */     GIR_RootConstrainSelectedInstOperands,
     /*  220847 */     // GIR_Coverage, 7912,
     /*  220847 */     GIR_EraseRootFromParent_Done,
     /*  220848 */   // Label 4377: @220848
     /*  220848 */   GIM_Try, /*On fail goto*//*Label 4378*/ GIMT_Encode4(220922), // Rule ID 8091 //
     /*  220853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  220861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  220867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220893 */     // MIs[1] Operand 1
     /*  220893 */     // No operand predicates
     /*  220893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220902 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  220905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220920 */     GIR_RootConstrainSelectedInstOperands,
     /*  220921 */     // GIR_Coverage, 8091,
     /*  220921 */     GIR_EraseRootFromParent_Done,
     /*  220922 */   // Label 4378: @220922
     /*  220922 */   GIM_Try, /*On fail goto*//*Label 4379*/ GIMT_Encode4(220996), // Rule ID 8092 //
     /*  220927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  220935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  220941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220967 */     // MIs[1] Operand 1
     /*  220967 */     // No operand predicates
     /*  220967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220976 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  220979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220994 */     GIR_RootConstrainSelectedInstOperands,
     /*  220995 */     // GIR_Coverage, 8092,
     /*  220995 */     GIR_EraseRootFromParent_Done,
     /*  220996 */   // Label 4379: @220996
     /*  220996 */   GIM_Try, /*On fail goto*//*Label 4380*/ GIMT_Encode4(221070), // Rule ID 8095 //
     /*  221001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  221009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  221015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221041 */     // MIs[1] Operand 1
     /*  221041 */     // No operand predicates
     /*  221041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221050 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  221050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  221053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221068 */     GIR_RootConstrainSelectedInstOperands,
     /*  221069 */     // GIR_Coverage, 8095,
     /*  221069 */     GIR_EraseRootFromParent_Done,
     /*  221070 */   // Label 4380: @221070
     /*  221070 */   GIM_Try, /*On fail goto*//*Label 4381*/ GIMT_Encode4(221144), // Rule ID 8096 //
     /*  221075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  221083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  221089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221115 */     // MIs[1] Operand 1
     /*  221115 */     // No operand predicates
     /*  221115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221124 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  221124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  221127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221142 */     GIR_RootConstrainSelectedInstOperands,
     /*  221143 */     // GIR_Coverage, 8096,
     /*  221143 */     GIR_EraseRootFromParent_Done,
     /*  221144 */   // Label 4381: @221144
     /*  221144 */   GIM_Try, /*On fail goto*//*Label 4382*/ GIMT_Encode4(221218), // Rule ID 8099 //
     /*  221149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  221157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  221163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221189 */     // MIs[1] Operand 1
     /*  221189 */     // No operand predicates
     /*  221189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221198 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  221198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  221201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221216 */     GIR_RootConstrainSelectedInstOperands,
     /*  221217 */     // GIR_Coverage, 8099,
     /*  221217 */     GIR_EraseRootFromParent_Done,
     /*  221218 */   // Label 4382: @221218
     /*  221218 */   GIM_Try, /*On fail goto*//*Label 4383*/ GIMT_Encode4(221292), // Rule ID 8100 //
     /*  221223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  221231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  221237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221263 */     // MIs[1] Operand 1
     /*  221263 */     // No operand predicates
     /*  221263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221272 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  221272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  221275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221290 */     GIR_RootConstrainSelectedInstOperands,
     /*  221291 */     // GIR_Coverage, 8100,
     /*  221291 */     GIR_EraseRootFromParent_Done,
     /*  221292 */   // Label 4383: @221292
     /*  221292 */   GIM_Try, /*On fail goto*//*Label 4384*/ GIMT_Encode4(221366), // Rule ID 8103 //
     /*  221297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  221305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  221311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221337 */     // MIs[1] Operand 1
     /*  221337 */     // No operand predicates
     /*  221337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221346 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  221349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221364 */     GIR_RootConstrainSelectedInstOperands,
     /*  221365 */     // GIR_Coverage, 8103,
     /*  221365 */     GIR_EraseRootFromParent_Done,
     /*  221366 */   // Label 4384: @221366
     /*  221366 */   GIM_Try, /*On fail goto*//*Label 4385*/ GIMT_Encode4(221440), // Rule ID 8104 //
     /*  221371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  221379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  221385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221411 */     // MIs[1] Operand 1
     /*  221411 */     // No operand predicates
     /*  221411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221420 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  221423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221438 */     GIR_RootConstrainSelectedInstOperands,
     /*  221439 */     // GIR_Coverage, 8104,
     /*  221439 */     GIR_EraseRootFromParent_Done,
     /*  221440 */   // Label 4385: @221440
     /*  221440 */   GIM_Try, /*On fail goto*//*Label 4386*/ GIMT_Encode4(221514), // Rule ID 8107 //
     /*  221445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  221453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  221459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221485 */     // MIs[1] Operand 1
     /*  221485 */     // No operand predicates
     /*  221485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221494 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  221497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221512 */     GIR_RootConstrainSelectedInstOperands,
     /*  221513 */     // GIR_Coverage, 8107,
     /*  221513 */     GIR_EraseRootFromParent_Done,
     /*  221514 */   // Label 4386: @221514
     /*  221514 */   GIM_Try, /*On fail goto*//*Label 4387*/ GIMT_Encode4(221588), // Rule ID 8108 //
     /*  221519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  221527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  221533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221559 */     // MIs[1] Operand 1
     /*  221559 */     // No operand predicates
     /*  221559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221568 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  221571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221586 */     GIR_RootConstrainSelectedInstOperands,
     /*  221587 */     // GIR_Coverage, 8108,
     /*  221587 */     GIR_EraseRootFromParent_Done,
     /*  221588 */   // Label 4387: @221588
     /*  221588 */   GIM_Try, /*On fail goto*//*Label 4388*/ GIMT_Encode4(221662), // Rule ID 8111 //
     /*  221593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  221601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  221607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221633 */     // MIs[1] Operand 1
     /*  221633 */     // No operand predicates
     /*  221633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221642 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  221645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221660 */     GIR_RootConstrainSelectedInstOperands,
     /*  221661 */     // GIR_Coverage, 8111,
     /*  221661 */     GIR_EraseRootFromParent_Done,
     /*  221662 */   // Label 4388: @221662
     /*  221662 */   GIM_Try, /*On fail goto*//*Label 4389*/ GIMT_Encode4(221736), // Rule ID 8112 //
     /*  221667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  221675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  221681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221707 */     // MIs[1] Operand 1
     /*  221707 */     // No operand predicates
     /*  221707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221716 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  221719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221734 */     GIR_RootConstrainSelectedInstOperands,
     /*  221735 */     // GIR_Coverage, 8112,
     /*  221735 */     GIR_EraseRootFromParent_Done,
     /*  221736 */   // Label 4389: @221736
     /*  221736 */   GIM_Try, /*On fail goto*//*Label 4390*/ GIMT_Encode4(221810), // Rule ID 8115 //
     /*  221741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  221749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  221755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221781 */     // MIs[1] Operand 1
     /*  221781 */     // No operand predicates
     /*  221781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221790 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  221790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  221793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221808 */     GIR_RootConstrainSelectedInstOperands,
     /*  221809 */     // GIR_Coverage, 8115,
     /*  221809 */     GIR_EraseRootFromParent_Done,
     /*  221810 */   // Label 4390: @221810
     /*  221810 */   GIM_Try, /*On fail goto*//*Label 4391*/ GIMT_Encode4(221884), // Rule ID 8116 //
     /*  221815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  221823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  221829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221855 */     // MIs[1] Operand 1
     /*  221855 */     // No operand predicates
     /*  221855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221864 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  221864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  221867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221882 */     GIR_RootConstrainSelectedInstOperands,
     /*  221883 */     // GIR_Coverage, 8116,
     /*  221883 */     GIR_EraseRootFromParent_Done,
     /*  221884 */   // Label 4391: @221884
     /*  221884 */   GIM_Try, /*On fail goto*//*Label 4392*/ GIMT_Encode4(221958), // Rule ID 8119 //
     /*  221889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  221897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  221903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221929 */     // MIs[1] Operand 1
     /*  221929 */     // No operand predicates
     /*  221929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221938 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  221941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221956 */     GIR_RootConstrainSelectedInstOperands,
     /*  221957 */     // GIR_Coverage, 8119,
     /*  221957 */     GIR_EraseRootFromParent_Done,
     /*  221958 */   // Label 4392: @221958
     /*  221958 */   GIM_Try, /*On fail goto*//*Label 4393*/ GIMT_Encode4(222032), // Rule ID 8120 //
     /*  221963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  221971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  221977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222003 */     // MIs[1] Operand 1
     /*  222003 */     // No operand predicates
     /*  222003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222012 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  222012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  222015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222030 */     GIR_RootConstrainSelectedInstOperands,
     /*  222031 */     // GIR_Coverage, 8120,
     /*  222031 */     GIR_EraseRootFromParent_Done,
     /*  222032 */   // Label 4393: @222032
     /*  222032 */   GIM_Try, /*On fail goto*//*Label 4394*/ GIMT_Encode4(222106), // Rule ID 8123 //
     /*  222037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  222051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222077 */     // MIs[1] Operand 1
     /*  222077 */     // No operand predicates
     /*  222077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222086 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  222086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  222089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222104 */     GIR_RootConstrainSelectedInstOperands,
     /*  222105 */     // GIR_Coverage, 8123,
     /*  222105 */     GIR_EraseRootFromParent_Done,
     /*  222106 */   // Label 4394: @222106
     /*  222106 */   GIM_Try, /*On fail goto*//*Label 4395*/ GIMT_Encode4(222180), // Rule ID 8124 //
     /*  222111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  222125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222151 */     // MIs[1] Operand 1
     /*  222151 */     // No operand predicates
     /*  222151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222160 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  222163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222178 */     GIR_RootConstrainSelectedInstOperands,
     /*  222179 */     // GIR_Coverage, 8124,
     /*  222179 */     GIR_EraseRootFromParent_Done,
     /*  222180 */   // Label 4395: @222180
     /*  222180 */   GIM_Try, /*On fail goto*//*Label 4396*/ GIMT_Encode4(222254), // Rule ID 8127 //
     /*  222185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  222188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  222199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222225 */     // MIs[1] Operand 1
     /*  222225 */     // No operand predicates
     /*  222225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222234 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  222237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222252 */     GIR_RootConstrainSelectedInstOperands,
     /*  222253 */     // GIR_Coverage, 8127,
     /*  222253 */     GIR_EraseRootFromParent_Done,
     /*  222254 */   // Label 4396: @222254
     /*  222254 */   GIM_Try, /*On fail goto*//*Label 4397*/ GIMT_Encode4(222328), // Rule ID 8128 //
     /*  222259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  222262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  222273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222299 */     // MIs[1] Operand 1
     /*  222299 */     // No operand predicates
     /*  222299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222308 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  222311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222326 */     GIR_RootConstrainSelectedInstOperands,
     /*  222327 */     // GIR_Coverage, 8128,
     /*  222327 */     GIR_EraseRootFromParent_Done,
     /*  222328 */   // Label 4397: @222328
     /*  222328 */   GIM_Try, /*On fail goto*//*Label 4398*/ GIMT_Encode4(222402), // Rule ID 8131 //
     /*  222333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  222347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222373 */     // MIs[1] Operand 1
     /*  222373 */     // No operand predicates
     /*  222373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222382 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  222385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222400 */     GIR_RootConstrainSelectedInstOperands,
     /*  222401 */     // GIR_Coverage, 8131,
     /*  222401 */     GIR_EraseRootFromParent_Done,
     /*  222402 */   // Label 4398: @222402
     /*  222402 */   GIM_Try, /*On fail goto*//*Label 4399*/ GIMT_Encode4(222476), // Rule ID 8132 //
     /*  222407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  222421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222447 */     // MIs[1] Operand 1
     /*  222447 */     // No operand predicates
     /*  222447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222456 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  222459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222474 */     GIR_RootConstrainSelectedInstOperands,
     /*  222475 */     // GIR_Coverage, 8132,
     /*  222475 */     GIR_EraseRootFromParent_Done,
     /*  222476 */   // Label 4399: @222476
     /*  222476 */   GIM_Try, /*On fail goto*//*Label 4400*/ GIMT_Encode4(222550), // Rule ID 8135 //
     /*  222481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  222492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  222495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222521 */     // MIs[1] Operand 1
     /*  222521 */     // No operand predicates
     /*  222521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222530 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  222533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222548 */     GIR_RootConstrainSelectedInstOperands,
     /*  222549 */     // GIR_Coverage, 8135,
     /*  222549 */     GIR_EraseRootFromParent_Done,
     /*  222550 */   // Label 4400: @222550
     /*  222550 */   GIM_Try, /*On fail goto*//*Label 4401*/ GIMT_Encode4(222624), // Rule ID 8136 //
     /*  222555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  222566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  222569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222595 */     // MIs[1] Operand 1
     /*  222595 */     // No operand predicates
     /*  222595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222604 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  222607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222622 */     GIR_RootConstrainSelectedInstOperands,
     /*  222623 */     // GIR_Coverage, 8136,
     /*  222623 */     GIR_EraseRootFromParent_Done,
     /*  222624 */   // Label 4401: @222624
     /*  222624 */   GIM_Try, /*On fail goto*//*Label 4402*/ GIMT_Encode4(222698), // Rule ID 8139 //
     /*  222629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  222640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  222643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222669 */     // MIs[1] Operand 1
     /*  222669 */     // No operand predicates
     /*  222669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222678 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  222681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222696 */     GIR_RootConstrainSelectedInstOperands,
     /*  222697 */     // GIR_Coverage, 8139,
     /*  222697 */     GIR_EraseRootFromParent_Done,
     /*  222698 */   // Label 4402: @222698
     /*  222698 */   GIM_Try, /*On fail goto*//*Label 4403*/ GIMT_Encode4(222772), // Rule ID 8140 //
     /*  222703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  222714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  222717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222743 */     // MIs[1] Operand 1
     /*  222743 */     // No operand predicates
     /*  222743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222752 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  222755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222770 */     GIR_RootConstrainSelectedInstOperands,
     /*  222771 */     // GIR_Coverage, 8140,
     /*  222771 */     GIR_EraseRootFromParent_Done,
     /*  222772 */   // Label 4403: @222772
     /*  222772 */   GIM_Try, /*On fail goto*//*Label 4404*/ GIMT_Encode4(222846), // Rule ID 8143 //
     /*  222777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  222791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222817 */     // MIs[1] Operand 1
     /*  222817 */     // No operand predicates
     /*  222817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222826 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  222829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222844 */     GIR_RootConstrainSelectedInstOperands,
     /*  222845 */     // GIR_Coverage, 8143,
     /*  222845 */     GIR_EraseRootFromParent_Done,
     /*  222846 */   // Label 4404: @222846
     /*  222846 */   GIM_Try, /*On fail goto*//*Label 4405*/ GIMT_Encode4(222920), // Rule ID 8144 //
     /*  222851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  222865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222891 */     // MIs[1] Operand 1
     /*  222891 */     // No operand predicates
     /*  222891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222900 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  222900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  222903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222918 */     GIR_RootConstrainSelectedInstOperands,
     /*  222919 */     // GIR_Coverage, 8144,
     /*  222919 */     GIR_EraseRootFromParent_Done,
     /*  222920 */   // Label 4405: @222920
     /*  222920 */   GIM_Try, /*On fail goto*//*Label 4406*/ GIMT_Encode4(222994), // Rule ID 8147 //
     /*  222925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  222933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  222939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222965 */     // MIs[1] Operand 1
     /*  222965 */     // No operand predicates
     /*  222965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222974 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  222977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222992 */     GIR_RootConstrainSelectedInstOperands,
     /*  222993 */     // GIR_Coverage, 8147,
     /*  222993 */     GIR_EraseRootFromParent_Done,
     /*  222994 */   // Label 4406: @222994
     /*  222994 */   GIM_Try, /*On fail goto*//*Label 4407*/ GIMT_Encode4(223068), // Rule ID 8148 //
     /*  222999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  223010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  223013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223039 */     // MIs[1] Operand 1
     /*  223039 */     // No operand predicates
     /*  223039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223048 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  223051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223066 */     GIR_RootConstrainSelectedInstOperands,
     /*  223067 */     // GIR_Coverage, 8148,
     /*  223067 */     GIR_EraseRootFromParent_Done,
     /*  223068 */   // Label 4407: @223068
     /*  223068 */   GIM_Try, /*On fail goto*//*Label 4408*/ GIMT_Encode4(223142), // Rule ID 8151 //
     /*  223073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  223084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  223087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223113 */     // MIs[1] Operand 1
     /*  223113 */     // No operand predicates
     /*  223113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223122 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  223125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223140 */     GIR_RootConstrainSelectedInstOperands,
     /*  223141 */     // GIR_Coverage, 8151,
     /*  223141 */     GIR_EraseRootFromParent_Done,
     /*  223142 */   // Label 4408: @223142
     /*  223142 */   GIM_Try, /*On fail goto*//*Label 4409*/ GIMT_Encode4(223216), // Rule ID 8152 //
     /*  223147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  223158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  223161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223187 */     // MIs[1] Operand 1
     /*  223187 */     // No operand predicates
     /*  223187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223196 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  223199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223214 */     GIR_RootConstrainSelectedInstOperands,
     /*  223215 */     // GIR_Coverage, 8152,
     /*  223215 */     GIR_EraseRootFromParent_Done,
     /*  223216 */   // Label 4409: @223216
     /*  223216 */   GIM_Try, /*On fail goto*//*Label 4410*/ GIMT_Encode4(223290), // Rule ID 8155 //
     /*  223221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  223235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223261 */     // MIs[1] Operand 1
     /*  223261 */     // No operand predicates
     /*  223261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223270 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  223273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223288 */     GIR_RootConstrainSelectedInstOperands,
     /*  223289 */     // GIR_Coverage, 8155,
     /*  223289 */     GIR_EraseRootFromParent_Done,
     /*  223290 */   // Label 4410: @223290
     /*  223290 */   GIM_Try, /*On fail goto*//*Label 4411*/ GIMT_Encode4(223364), // Rule ID 8156 //
     /*  223295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  223309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223335 */     // MIs[1] Operand 1
     /*  223335 */     // No operand predicates
     /*  223335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223344 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  223347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223362 */     GIR_RootConstrainSelectedInstOperands,
     /*  223363 */     // GIR_Coverage, 8156,
     /*  223363 */     GIR_EraseRootFromParent_Done,
     /*  223364 */   // Label 4411: @223364
     /*  223364 */   GIM_Try, /*On fail goto*//*Label 4412*/ GIMT_Encode4(223438), // Rule ID 8159 //
     /*  223369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  223383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223409 */     // MIs[1] Operand 1
     /*  223409 */     // No operand predicates
     /*  223409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223418 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  223421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223436 */     GIR_RootConstrainSelectedInstOperands,
     /*  223437 */     // GIR_Coverage, 8159,
     /*  223437 */     GIR_EraseRootFromParent_Done,
     /*  223438 */   // Label 4412: @223438
     /*  223438 */   GIM_Try, /*On fail goto*//*Label 4413*/ GIMT_Encode4(223512), // Rule ID 8160 //
     /*  223443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  223457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223483 */     // MIs[1] Operand 1
     /*  223483 */     // No operand predicates
     /*  223483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223492 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  223495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223510 */     GIR_RootConstrainSelectedInstOperands,
     /*  223511 */     // GIR_Coverage, 8160,
     /*  223511 */     GIR_EraseRootFromParent_Done,
     /*  223512 */   // Label 4413: @223512
     /*  223512 */   GIM_Try, /*On fail goto*//*Label 4414*/ GIMT_Encode4(223586), // Rule ID 8163 //
     /*  223517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  223528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  223531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223557 */     // MIs[1] Operand 1
     /*  223557 */     // No operand predicates
     /*  223557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223566 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  223569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223584 */     GIR_RootConstrainSelectedInstOperands,
     /*  223585 */     // GIR_Coverage, 8163,
     /*  223585 */     GIR_EraseRootFromParent_Done,
     /*  223586 */   // Label 4414: @223586
     /*  223586 */   GIM_Try, /*On fail goto*//*Label 4415*/ GIMT_Encode4(223660), // Rule ID 8164 //
     /*  223591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  223602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  223605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223631 */     // MIs[1] Operand 1
     /*  223631 */     // No operand predicates
     /*  223631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223640 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  223643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223658 */     GIR_RootConstrainSelectedInstOperands,
     /*  223659 */     // GIR_Coverage, 8164,
     /*  223659 */     GIR_EraseRootFromParent_Done,
     /*  223660 */   // Label 4415: @223660
     /*  223660 */   GIM_Try, /*On fail goto*//*Label 4416*/ GIMT_Encode4(223734), // Rule ID 8167 //
     /*  223665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  223668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  223679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223705 */     // MIs[1] Operand 1
     /*  223705 */     // No operand predicates
     /*  223705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223714 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  223714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  223717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223732 */     GIR_RootConstrainSelectedInstOperands,
     /*  223733 */     // GIR_Coverage, 8167,
     /*  223733 */     GIR_EraseRootFromParent_Done,
     /*  223734 */   // Label 4416: @223734
     /*  223734 */   GIM_Try, /*On fail goto*//*Label 4417*/ GIMT_Encode4(223808), // Rule ID 8168 //
     /*  223739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  223742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  223753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223779 */     // MIs[1] Operand 1
     /*  223779 */     // No operand predicates
     /*  223779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223788 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  223788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  223791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223806 */     GIR_RootConstrainSelectedInstOperands,
     /*  223807 */     // GIR_Coverage, 8168,
     /*  223807 */     GIR_EraseRootFromParent_Done,
     /*  223808 */   // Label 4417: @223808
     /*  223808 */   GIM_Try, /*On fail goto*//*Label 4418*/ GIMT_Encode4(223882), // Rule ID 8171 //
     /*  223813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  223816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  223827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223853 */     // MIs[1] Operand 1
     /*  223853 */     // No operand predicates
     /*  223853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223862 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  223862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  223865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223880 */     GIR_RootConstrainSelectedInstOperands,
     /*  223881 */     // GIR_Coverage, 8171,
     /*  223881 */     GIR_EraseRootFromParent_Done,
     /*  223882 */   // Label 4418: @223882
     /*  223882 */   GIM_Try, /*On fail goto*//*Label 4419*/ GIMT_Encode4(223956), // Rule ID 8172 //
     /*  223887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  223890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  223901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223927 */     // MIs[1] Operand 1
     /*  223927 */     // No operand predicates
     /*  223927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223936 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  223936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  223939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223954 */     GIR_RootConstrainSelectedInstOperands,
     /*  223955 */     // GIR_Coverage, 8172,
     /*  223955 */     GIR_EraseRootFromParent_Done,
     /*  223956 */   // Label 4419: @223956
     /*  223956 */   GIM_Try, /*On fail goto*//*Label 4420*/ GIMT_Encode4(224030), // Rule ID 8175 //
     /*  223961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  223964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  223969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  223975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224001 */     // MIs[1] Operand 1
     /*  224001 */     // No operand predicates
     /*  224001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224010 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  224010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  224013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224028 */     GIR_RootConstrainSelectedInstOperands,
     /*  224029 */     // GIR_Coverage, 8175,
     /*  224029 */     GIR_EraseRootFromParent_Done,
     /*  224030 */   // Label 4420: @224030
     /*  224030 */   GIM_Try, /*On fail goto*//*Label 4421*/ GIMT_Encode4(224104), // Rule ID 8176 //
     /*  224035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  224038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  224043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  224049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224075 */     // MIs[1] Operand 1
     /*  224075 */     // No operand predicates
     /*  224075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224084 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  224084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  224087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224102 */     GIR_RootConstrainSelectedInstOperands,
     /*  224103 */     // GIR_Coverage, 8176,
     /*  224103 */     GIR_EraseRootFromParent_Done,
     /*  224104 */   // Label 4421: @224104
     /*  224104 */   GIM_Try, /*On fail goto*//*Label 4422*/ GIMT_Encode4(224178), // Rule ID 8707 //
     /*  224109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  224117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  224123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224149 */     // MIs[1] Operand 1
     /*  224149 */     // No operand predicates
     /*  224149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224158 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  224161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224176 */     GIR_RootConstrainSelectedInstOperands,
     /*  224177 */     // GIR_Coverage, 8707,
     /*  224177 */     GIR_EraseRootFromParent_Done,
     /*  224178 */   // Label 4422: @224178
     /*  224178 */   GIM_Try, /*On fail goto*//*Label 4423*/ GIMT_Encode4(224252), // Rule ID 8708 //
     /*  224183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  224191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  224197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224223 */     // MIs[1] Operand 1
     /*  224223 */     // No operand predicates
     /*  224223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224232 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  224235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224250 */     GIR_RootConstrainSelectedInstOperands,
     /*  224251 */     // GIR_Coverage, 8708,
     /*  224251 */     GIR_EraseRootFromParent_Done,
     /*  224252 */   // Label 4423: @224252
     /*  224252 */   GIM_Try, /*On fail goto*//*Label 4424*/ GIMT_Encode4(224326), // Rule ID 8711 //
     /*  224257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  224265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  224271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224297 */     // MIs[1] Operand 1
     /*  224297 */     // No operand predicates
     /*  224297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224306 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  224309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224324 */     GIR_RootConstrainSelectedInstOperands,
     /*  224325 */     // GIR_Coverage, 8711,
     /*  224325 */     GIR_EraseRootFromParent_Done,
     /*  224326 */   // Label 4424: @224326
     /*  224326 */   GIM_Try, /*On fail goto*//*Label 4425*/ GIMT_Encode4(224400), // Rule ID 8712 //
     /*  224331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  224339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  224345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224371 */     // MIs[1] Operand 1
     /*  224371 */     // No operand predicates
     /*  224371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224380 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  224383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224398 */     GIR_RootConstrainSelectedInstOperands,
     /*  224399 */     // GIR_Coverage, 8712,
     /*  224399 */     GIR_EraseRootFromParent_Done,
     /*  224400 */   // Label 4425: @224400
     /*  224400 */   GIM_Try, /*On fail goto*//*Label 4426*/ GIMT_Encode4(224474), // Rule ID 8715 //
     /*  224405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  224413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  224419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224445 */     // MIs[1] Operand 1
     /*  224445 */     // No operand predicates
     /*  224445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224454 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  224457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224472 */     GIR_RootConstrainSelectedInstOperands,
     /*  224473 */     // GIR_Coverage, 8715,
     /*  224473 */     GIR_EraseRootFromParent_Done,
     /*  224474 */   // Label 4426: @224474
     /*  224474 */   GIM_Try, /*On fail goto*//*Label 4427*/ GIMT_Encode4(224548), // Rule ID 8716 //
     /*  224479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  224487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  224493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224519 */     // MIs[1] Operand 1
     /*  224519 */     // No operand predicates
     /*  224519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224528 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  224531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224546 */     GIR_RootConstrainSelectedInstOperands,
     /*  224547 */     // GIR_Coverage, 8716,
     /*  224547 */     GIR_EraseRootFromParent_Done,
     /*  224548 */   // Label 4427: @224548
     /*  224548 */   GIM_Try, /*On fail goto*//*Label 4428*/ GIMT_Encode4(224622), // Rule ID 8719 //
     /*  224553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  224561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  224567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224593 */     // MIs[1] Operand 1
     /*  224593 */     // No operand predicates
     /*  224593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224602 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  224605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224620 */     GIR_RootConstrainSelectedInstOperands,
     /*  224621 */     // GIR_Coverage, 8719,
     /*  224621 */     GIR_EraseRootFromParent_Done,
     /*  224622 */   // Label 4428: @224622
     /*  224622 */   GIM_Try, /*On fail goto*//*Label 4429*/ GIMT_Encode4(224696), // Rule ID 8720 //
     /*  224627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  224635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  224641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224667 */     // MIs[1] Operand 1
     /*  224667 */     // No operand predicates
     /*  224667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224676 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  224679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224694 */     GIR_RootConstrainSelectedInstOperands,
     /*  224695 */     // GIR_Coverage, 8720,
     /*  224695 */     GIR_EraseRootFromParent_Done,
     /*  224696 */   // Label 4429: @224696
     /*  224696 */   GIM_Try, /*On fail goto*//*Label 4430*/ GIMT_Encode4(224770), // Rule ID 8723 //
     /*  224701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  224709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  224715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224741 */     // MIs[1] Operand 1
     /*  224741 */     // No operand predicates
     /*  224741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224750 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  224753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224768 */     GIR_RootConstrainSelectedInstOperands,
     /*  224769 */     // GIR_Coverage, 8723,
     /*  224769 */     GIR_EraseRootFromParent_Done,
     /*  224770 */   // Label 4430: @224770
     /*  224770 */   GIM_Try, /*On fail goto*//*Label 4431*/ GIMT_Encode4(224844), // Rule ID 8724 //
     /*  224775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  224783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  224789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224815 */     // MIs[1] Operand 1
     /*  224815 */     // No operand predicates
     /*  224815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224824 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  224827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224842 */     GIR_RootConstrainSelectedInstOperands,
     /*  224843 */     // GIR_Coverage, 8724,
     /*  224843 */     GIR_EraseRootFromParent_Done,
     /*  224844 */   // Label 4431: @224844
     /*  224844 */   GIM_Try, /*On fail goto*//*Label 4432*/ GIMT_Encode4(224918), // Rule ID 8727 //
     /*  224849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  224857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  224863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224889 */     // MIs[1] Operand 1
     /*  224889 */     // No operand predicates
     /*  224889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224898 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  224898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  224901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224916 */     GIR_RootConstrainSelectedInstOperands,
     /*  224917 */     // GIR_Coverage, 8727,
     /*  224917 */     GIR_EraseRootFromParent_Done,
     /*  224918 */   // Label 4432: @224918
     /*  224918 */   GIM_Try, /*On fail goto*//*Label 4433*/ GIMT_Encode4(224992), // Rule ID 8728 //
     /*  224923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  224931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  224937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224963 */     // MIs[1] Operand 1
     /*  224963 */     // No operand predicates
     /*  224963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224972 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  224975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224990 */     GIR_RootConstrainSelectedInstOperands,
     /*  224991 */     // GIR_Coverage, 8728,
     /*  224991 */     GIR_EraseRootFromParent_Done,
     /*  224992 */   // Label 4433: @224992
     /*  224992 */   GIM_Try, /*On fail goto*//*Label 4434*/ GIMT_Encode4(225066), // Rule ID 8731 //
     /*  224997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  225011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225037 */     // MIs[1] Operand 1
     /*  225037 */     // No operand predicates
     /*  225037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225046 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  225049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225064 */     GIR_RootConstrainSelectedInstOperands,
     /*  225065 */     // GIR_Coverage, 8731,
     /*  225065 */     GIR_EraseRootFromParent_Done,
     /*  225066 */   // Label 4434: @225066
     /*  225066 */   GIM_Try, /*On fail goto*//*Label 4435*/ GIMT_Encode4(225140), // Rule ID 8732 //
     /*  225071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  225085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225111 */     // MIs[1] Operand 1
     /*  225111 */     // No operand predicates
     /*  225111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225120 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  225123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225138 */     GIR_RootConstrainSelectedInstOperands,
     /*  225139 */     // GIR_Coverage, 8732,
     /*  225139 */     GIR_EraseRootFromParent_Done,
     /*  225140 */   // Label 4435: @225140
     /*  225140 */   GIM_Try, /*On fail goto*//*Label 4436*/ GIMT_Encode4(225214), // Rule ID 8735 //
     /*  225145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  225159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225185 */     // MIs[1] Operand 1
     /*  225185 */     // No operand predicates
     /*  225185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225194 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  225197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225212 */     GIR_RootConstrainSelectedInstOperands,
     /*  225213 */     // GIR_Coverage, 8735,
     /*  225213 */     GIR_EraseRootFromParent_Done,
     /*  225214 */   // Label 4436: @225214
     /*  225214 */   GIM_Try, /*On fail goto*//*Label 4437*/ GIMT_Encode4(225288), // Rule ID 8736 //
     /*  225219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  225233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225259 */     // MIs[1] Operand 1
     /*  225259 */     // No operand predicates
     /*  225259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225268 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  225268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  225271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225286 */     GIR_RootConstrainSelectedInstOperands,
     /*  225287 */     // GIR_Coverage, 8736,
     /*  225287 */     GIR_EraseRootFromParent_Done,
     /*  225288 */   // Label 4437: @225288
     /*  225288 */   GIM_Try, /*On fail goto*//*Label 4438*/ GIMT_Encode4(225362), // Rule ID 8739 //
     /*  225293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  225307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225333 */     // MIs[1] Operand 1
     /*  225333 */     // No operand predicates
     /*  225333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225342 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  225345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225360 */     GIR_RootConstrainSelectedInstOperands,
     /*  225361 */     // GIR_Coverage, 8739,
     /*  225361 */     GIR_EraseRootFromParent_Done,
     /*  225362 */   // Label 4438: @225362
     /*  225362 */   GIM_Try, /*On fail goto*//*Label 4439*/ GIMT_Encode4(225436), // Rule ID 8740 //
     /*  225367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  225381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225407 */     // MIs[1] Operand 1
     /*  225407 */     // No operand predicates
     /*  225407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225416 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  225419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225434 */     GIR_RootConstrainSelectedInstOperands,
     /*  225435 */     // GIR_Coverage, 8740,
     /*  225435 */     GIR_EraseRootFromParent_Done,
     /*  225436 */   // Label 4439: @225436
     /*  225436 */   GIM_Try, /*On fail goto*//*Label 4440*/ GIMT_Encode4(225510), // Rule ID 8743 //
     /*  225441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  225444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  225455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225481 */     // MIs[1] Operand 1
     /*  225481 */     // No operand predicates
     /*  225481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225490 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  225490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  225493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225508 */     GIR_RootConstrainSelectedInstOperands,
     /*  225509 */     // GIR_Coverage, 8743,
     /*  225509 */     GIR_EraseRootFromParent_Done,
     /*  225510 */   // Label 4440: @225510
     /*  225510 */   GIM_Try, /*On fail goto*//*Label 4441*/ GIMT_Encode4(225584), // Rule ID 8744 //
     /*  225515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  225518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  225529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225555 */     // MIs[1] Operand 1
     /*  225555 */     // No operand predicates
     /*  225555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225564 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  225564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  225567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225582 */     GIR_RootConstrainSelectedInstOperands,
     /*  225583 */     // GIR_Coverage, 8744,
     /*  225583 */     GIR_EraseRootFromParent_Done,
     /*  225584 */   // Label 4441: @225584
     /*  225584 */   GIM_Try, /*On fail goto*//*Label 4442*/ GIMT_Encode4(225658), // Rule ID 8747 //
     /*  225589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  225603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225629 */     // MIs[1] Operand 1
     /*  225629 */     // No operand predicates
     /*  225629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225638 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  225641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225656 */     GIR_RootConstrainSelectedInstOperands,
     /*  225657 */     // GIR_Coverage, 8747,
     /*  225657 */     GIR_EraseRootFromParent_Done,
     /*  225658 */   // Label 4442: @225658
     /*  225658 */   GIM_Try, /*On fail goto*//*Label 4443*/ GIMT_Encode4(225732), // Rule ID 8748 //
     /*  225663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  225677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225703 */     // MIs[1] Operand 1
     /*  225703 */     // No operand predicates
     /*  225703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225712 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  225715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225730 */     GIR_RootConstrainSelectedInstOperands,
     /*  225731 */     // GIR_Coverage, 8748,
     /*  225731 */     GIR_EraseRootFromParent_Done,
     /*  225732 */   // Label 4443: @225732
     /*  225732 */   GIM_Try, /*On fail goto*//*Label 4444*/ GIMT_Encode4(225806), // Rule ID 8751 //
     /*  225737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  225748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  225751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225777 */     // MIs[1] Operand 1
     /*  225777 */     // No operand predicates
     /*  225777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225786 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  225789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225804 */     GIR_RootConstrainSelectedInstOperands,
     /*  225805 */     // GIR_Coverage, 8751,
     /*  225805 */     GIR_EraseRootFromParent_Done,
     /*  225806 */   // Label 4444: @225806
     /*  225806 */   GIM_Try, /*On fail goto*//*Label 4445*/ GIMT_Encode4(225880), // Rule ID 8752 //
     /*  225811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  225822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  225825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225851 */     // MIs[1] Operand 1
     /*  225851 */     // No operand predicates
     /*  225851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225860 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  225863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225878 */     GIR_RootConstrainSelectedInstOperands,
     /*  225879 */     // GIR_Coverage, 8752,
     /*  225879 */     GIR_EraseRootFromParent_Done,
     /*  225880 */   // Label 4445: @225880
     /*  225880 */   GIM_Try, /*On fail goto*//*Label 4446*/ GIMT_Encode4(225954), // Rule ID 8755 //
     /*  225885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  225896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  225899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225925 */     // MIs[1] Operand 1
     /*  225925 */     // No operand predicates
     /*  225925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225934 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  225937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225952 */     GIR_RootConstrainSelectedInstOperands,
     /*  225953 */     // GIR_Coverage, 8755,
     /*  225953 */     GIR_EraseRootFromParent_Done,
     /*  225954 */   // Label 4446: @225954
     /*  225954 */   GIM_Try, /*On fail goto*//*Label 4447*/ GIMT_Encode4(226028), // Rule ID 8756 //
     /*  225959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  225967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  225970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  225973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225999 */     // MIs[1] Operand 1
     /*  225999 */     // No operand predicates
     /*  225999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226008 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  226011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226026 */     GIR_RootConstrainSelectedInstOperands,
     /*  226027 */     // GIR_Coverage, 8756,
     /*  226027 */     GIR_EraseRootFromParent_Done,
     /*  226028 */   // Label 4447: @226028
     /*  226028 */   GIM_Try, /*On fail goto*//*Label 4448*/ GIMT_Encode4(226102), // Rule ID 8759 //
     /*  226033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  226047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226073 */     // MIs[1] Operand 1
     /*  226073 */     // No operand predicates
     /*  226073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226082 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  226085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226100 */     GIR_RootConstrainSelectedInstOperands,
     /*  226101 */     // GIR_Coverage, 8759,
     /*  226101 */     GIR_EraseRootFromParent_Done,
     /*  226102 */   // Label 4448: @226102
     /*  226102 */   GIM_Try, /*On fail goto*//*Label 4449*/ GIMT_Encode4(226176), // Rule ID 8760 //
     /*  226107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  226121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226147 */     // MIs[1] Operand 1
     /*  226147 */     // No operand predicates
     /*  226147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226156 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  226159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226174 */     GIR_RootConstrainSelectedInstOperands,
     /*  226175 */     // GIR_Coverage, 8760,
     /*  226175 */     GIR_EraseRootFromParent_Done,
     /*  226176 */   // Label 4449: @226176
     /*  226176 */   GIM_Try, /*On fail goto*//*Label 4450*/ GIMT_Encode4(226250), // Rule ID 8763 //
     /*  226181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  226192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  226195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226221 */     // MIs[1] Operand 1
     /*  226221 */     // No operand predicates
     /*  226221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226230 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  226233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226248 */     GIR_RootConstrainSelectedInstOperands,
     /*  226249 */     // GIR_Coverage, 8763,
     /*  226249 */     GIR_EraseRootFromParent_Done,
     /*  226250 */   // Label 4450: @226250
     /*  226250 */   GIM_Try, /*On fail goto*//*Label 4451*/ GIMT_Encode4(226324), // Rule ID 8764 //
     /*  226255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  226266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  226269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226295 */     // MIs[1] Operand 1
     /*  226295 */     // No operand predicates
     /*  226295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226304 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  226307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226322 */     GIR_RootConstrainSelectedInstOperands,
     /*  226323 */     // GIR_Coverage, 8764,
     /*  226323 */     GIR_EraseRootFromParent_Done,
     /*  226324 */   // Label 4451: @226324
     /*  226324 */   GIM_Try, /*On fail goto*//*Label 4452*/ GIMT_Encode4(226398), // Rule ID 8767 //
     /*  226329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  226340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  226343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226369 */     // MIs[1] Operand 1
     /*  226369 */     // No operand predicates
     /*  226369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226378 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  226381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226396 */     GIR_RootConstrainSelectedInstOperands,
     /*  226397 */     // GIR_Coverage, 8767,
     /*  226397 */     GIR_EraseRootFromParent_Done,
     /*  226398 */   // Label 4452: @226398
     /*  226398 */   GIM_Try, /*On fail goto*//*Label 4453*/ GIMT_Encode4(226472), // Rule ID 8768 //
     /*  226403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  226414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  226417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226443 */     // MIs[1] Operand 1
     /*  226443 */     // No operand predicates
     /*  226443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226452 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  226455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226470 */     GIR_RootConstrainSelectedInstOperands,
     /*  226471 */     // GIR_Coverage, 8768,
     /*  226471 */     GIR_EraseRootFromParent_Done,
     /*  226472 */   // Label 4453: @226472
     /*  226472 */   GIM_Try, /*On fail goto*//*Label 4454*/ GIMT_Encode4(226546), // Rule ID 8771 //
     /*  226477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  226491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226517 */     // MIs[1] Operand 1
     /*  226517 */     // No operand predicates
     /*  226517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226526 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  226529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226544 */     GIR_RootConstrainSelectedInstOperands,
     /*  226545 */     // GIR_Coverage, 8771,
     /*  226545 */     GIR_EraseRootFromParent_Done,
     /*  226546 */   // Label 4454: @226546
     /*  226546 */   GIM_Try, /*On fail goto*//*Label 4455*/ GIMT_Encode4(226620), // Rule ID 8772 //
     /*  226551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  226565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226591 */     // MIs[1] Operand 1
     /*  226591 */     // No operand predicates
     /*  226591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226600 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  226603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226618 */     GIR_RootConstrainSelectedInstOperands,
     /*  226619 */     // GIR_Coverage, 8772,
     /*  226619 */     GIR_EraseRootFromParent_Done,
     /*  226620 */   // Label 4455: @226620
     /*  226620 */   GIM_Try, /*On fail goto*//*Label 4456*/ GIMT_Encode4(226694), // Rule ID 8775 //
     /*  226625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  226639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226665 */     // MIs[1] Operand 1
     /*  226665 */     // No operand predicates
     /*  226665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226674 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  226677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226692 */     GIR_RootConstrainSelectedInstOperands,
     /*  226693 */     // GIR_Coverage, 8775,
     /*  226693 */     GIR_EraseRootFromParent_Done,
     /*  226694 */   // Label 4456: @226694
     /*  226694 */   GIM_Try, /*On fail goto*//*Label 4457*/ GIMT_Encode4(226768), // Rule ID 8776 //
     /*  226699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  226713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226739 */     // MIs[1] Operand 1
     /*  226739 */     // No operand predicates
     /*  226739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226748 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  226751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226766 */     GIR_RootConstrainSelectedInstOperands,
     /*  226767 */     // GIR_Coverage, 8776,
     /*  226767 */     GIR_EraseRootFromParent_Done,
     /*  226768 */   // Label 4457: @226768
     /*  226768 */   GIM_Try, /*On fail goto*//*Label 4458*/ GIMT_Encode4(226842), // Rule ID 8779 //
     /*  226773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  226784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  226787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226813 */     // MIs[1] Operand 1
     /*  226813 */     // No operand predicates
     /*  226813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226822 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  226825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226840 */     GIR_RootConstrainSelectedInstOperands,
     /*  226841 */     // GIR_Coverage, 8779,
     /*  226841 */     GIR_EraseRootFromParent_Done,
     /*  226842 */   // Label 4458: @226842
     /*  226842 */   GIM_Try, /*On fail goto*//*Label 4459*/ GIMT_Encode4(226916), // Rule ID 8780 //
     /*  226847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  226858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  226861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226887 */     // MIs[1] Operand 1
     /*  226887 */     // No operand predicates
     /*  226887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226896 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  226899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226914 */     GIR_RootConstrainSelectedInstOperands,
     /*  226915 */     // GIR_Coverage, 8780,
     /*  226915 */     GIR_EraseRootFromParent_Done,
     /*  226916 */   // Label 4459: @226916
     /*  226916 */   GIM_Try, /*On fail goto*//*Label 4460*/ GIMT_Encode4(226990), // Rule ID 8783 //
     /*  226921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  226924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  226929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  226935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226961 */     // MIs[1] Operand 1
     /*  226961 */     // No operand predicates
     /*  226961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226970 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  226970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  226973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226988 */     GIR_RootConstrainSelectedInstOperands,
     /*  226989 */     // GIR_Coverage, 8783,
     /*  226989 */     GIR_EraseRootFromParent_Done,
     /*  226990 */   // Label 4460: @226990
     /*  226990 */   GIM_Try, /*On fail goto*//*Label 4461*/ GIMT_Encode4(227064), // Rule ID 8784 //
     /*  226995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  226998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  227009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227035 */     // MIs[1] Operand 1
     /*  227035 */     // No operand predicates
     /*  227035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227044 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  227044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  227047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227062 */     GIR_RootConstrainSelectedInstOperands,
     /*  227063 */     // GIR_Coverage, 8784,
     /*  227063 */     GIR_EraseRootFromParent_Done,
     /*  227064 */   // Label 4461: @227064
     /*  227064 */   GIM_Try, /*On fail goto*//*Label 4462*/ GIMT_Encode4(227138), // Rule ID 8787 //
     /*  227069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  227072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  227083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227109 */     // MIs[1] Operand 1
     /*  227109 */     // No operand predicates
     /*  227109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227118 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  227118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227136 */     GIR_RootConstrainSelectedInstOperands,
     /*  227137 */     // GIR_Coverage, 8787,
     /*  227137 */     GIR_EraseRootFromParent_Done,
     /*  227138 */   // Label 4462: @227138
     /*  227138 */   GIM_Try, /*On fail goto*//*Label 4463*/ GIMT_Encode4(227212), // Rule ID 8788 //
     /*  227143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  227146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  227157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227183 */     // MIs[1] Operand 1
     /*  227183 */     // No operand predicates
     /*  227183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227192 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  227192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  227195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227210 */     GIR_RootConstrainSelectedInstOperands,
     /*  227211 */     // GIR_Coverage, 8788,
     /*  227211 */     GIR_EraseRootFromParent_Done,
     /*  227212 */   // Label 4463: @227212
     /*  227212 */   GIM_Try, /*On fail goto*//*Label 4464*/ GIMT_Encode4(227286), // Rule ID 8791 //
     /*  227217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  227220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  227231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227257 */     // MIs[1] Operand 1
     /*  227257 */     // No operand predicates
     /*  227257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227266 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  227266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  227269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227284 */     GIR_RootConstrainSelectedInstOperands,
     /*  227285 */     // GIR_Coverage, 8791,
     /*  227285 */     GIR_EraseRootFromParent_Done,
     /*  227286 */   // Label 4464: @227286
     /*  227286 */   GIM_Try, /*On fail goto*//*Label 4465*/ GIMT_Encode4(227360), // Rule ID 8792 //
     /*  227291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  227294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  227299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  227305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227331 */     // MIs[1] Operand 1
     /*  227331 */     // No operand predicates
     /*  227331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227340 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  227340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  227343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227358 */     GIR_RootConstrainSelectedInstOperands,
     /*  227359 */     // GIR_Coverage, 8792,
     /*  227359 */     GIR_EraseRootFromParent_Done,
     /*  227360 */   // Label 4465: @227360
     /*  227360 */   GIM_Try, /*On fail goto*//*Label 4466*/ GIMT_Encode4(227434), // Rule ID 8971 //
     /*  227365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  227373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  227379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227405 */     // MIs[1] Operand 1
     /*  227405 */     // No operand predicates
     /*  227405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227414 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  227417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227432 */     GIR_RootConstrainSelectedInstOperands,
     /*  227433 */     // GIR_Coverage, 8971,
     /*  227433 */     GIR_EraseRootFromParent_Done,
     /*  227434 */   // Label 4466: @227434
     /*  227434 */   GIM_Try, /*On fail goto*//*Label 4467*/ GIMT_Encode4(227508), // Rule ID 8972 //
     /*  227439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  227447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  227453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227479 */     // MIs[1] Operand 1
     /*  227479 */     // No operand predicates
     /*  227479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227488 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  227491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227506 */     GIR_RootConstrainSelectedInstOperands,
     /*  227507 */     // GIR_Coverage, 8972,
     /*  227507 */     GIR_EraseRootFromParent_Done,
     /*  227508 */   // Label 4467: @227508
     /*  227508 */   GIM_Try, /*On fail goto*//*Label 4468*/ GIMT_Encode4(227582), // Rule ID 8975 //
     /*  227513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  227521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  227527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227553 */     // MIs[1] Operand 1
     /*  227553 */     // No operand predicates
     /*  227553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227562 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  227565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227580 */     GIR_RootConstrainSelectedInstOperands,
     /*  227581 */     // GIR_Coverage, 8975,
     /*  227581 */     GIR_EraseRootFromParent_Done,
     /*  227582 */   // Label 4468: @227582
     /*  227582 */   GIM_Try, /*On fail goto*//*Label 4469*/ GIMT_Encode4(227656), // Rule ID 8976 //
     /*  227587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  227595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  227601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227627 */     // MIs[1] Operand 1
     /*  227627 */     // No operand predicates
     /*  227627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227636 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  227639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227654 */     GIR_RootConstrainSelectedInstOperands,
     /*  227655 */     // GIR_Coverage, 8976,
     /*  227655 */     GIR_EraseRootFromParent_Done,
     /*  227656 */   // Label 4469: @227656
     /*  227656 */   GIM_Try, /*On fail goto*//*Label 4470*/ GIMT_Encode4(227730), // Rule ID 8979 //
     /*  227661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  227669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  227675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227701 */     // MIs[1] Operand 1
     /*  227701 */     // No operand predicates
     /*  227701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227710 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  227713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227728 */     GIR_RootConstrainSelectedInstOperands,
     /*  227729 */     // GIR_Coverage, 8979,
     /*  227729 */     GIR_EraseRootFromParent_Done,
     /*  227730 */   // Label 4470: @227730
     /*  227730 */   GIM_Try, /*On fail goto*//*Label 4471*/ GIMT_Encode4(227804), // Rule ID 8980 //
     /*  227735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  227743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  227749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227775 */     // MIs[1] Operand 1
     /*  227775 */     // No operand predicates
     /*  227775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227784 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  227787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227802 */     GIR_RootConstrainSelectedInstOperands,
     /*  227803 */     // GIR_Coverage, 8980,
     /*  227803 */     GIR_EraseRootFromParent_Done,
     /*  227804 */   // Label 4471: @227804
     /*  227804 */   GIM_Try, /*On fail goto*//*Label 4472*/ GIMT_Encode4(227878), // Rule ID 8983 //
     /*  227809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  227817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  227823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227849 */     // MIs[1] Operand 1
     /*  227849 */     // No operand predicates
     /*  227849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227858 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  227861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227876 */     GIR_RootConstrainSelectedInstOperands,
     /*  227877 */     // GIR_Coverage, 8983,
     /*  227877 */     GIR_EraseRootFromParent_Done,
     /*  227878 */   // Label 4472: @227878
     /*  227878 */   GIM_Try, /*On fail goto*//*Label 4473*/ GIMT_Encode4(227952), // Rule ID 8984 //
     /*  227883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  227891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  227897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227923 */     // MIs[1] Operand 1
     /*  227923 */     // No operand predicates
     /*  227923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227932 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  227935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227950 */     GIR_RootConstrainSelectedInstOperands,
     /*  227951 */     // GIR_Coverage, 8984,
     /*  227951 */     GIR_EraseRootFromParent_Done,
     /*  227952 */   // Label 4473: @227952
     /*  227952 */   GIM_Try, /*On fail goto*//*Label 4474*/ GIMT_Encode4(228026), // Rule ID 8987 //
     /*  227957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  227965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  227971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227997 */     // MIs[1] Operand 1
     /*  227997 */     // No operand predicates
     /*  227997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228006 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  228009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228024 */     GIR_RootConstrainSelectedInstOperands,
     /*  228025 */     // GIR_Coverage, 8987,
     /*  228025 */     GIR_EraseRootFromParent_Done,
     /*  228026 */   // Label 4474: @228026
     /*  228026 */   GIM_Try, /*On fail goto*//*Label 4475*/ GIMT_Encode4(228100), // Rule ID 8988 //
     /*  228031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  228045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228071 */     // MIs[1] Operand 1
     /*  228071 */     // No operand predicates
     /*  228071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228080 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  228083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228098 */     GIR_RootConstrainSelectedInstOperands,
     /*  228099 */     // GIR_Coverage, 8988,
     /*  228099 */     GIR_EraseRootFromParent_Done,
     /*  228100 */   // Label 4475: @228100
     /*  228100 */   GIM_Try, /*On fail goto*//*Label 4476*/ GIMT_Encode4(228174), // Rule ID 8991 //
     /*  228105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  228119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228145 */     // MIs[1] Operand 1
     /*  228145 */     // No operand predicates
     /*  228145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228154 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  228157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228172 */     GIR_RootConstrainSelectedInstOperands,
     /*  228173 */     // GIR_Coverage, 8991,
     /*  228173 */     GIR_EraseRootFromParent_Done,
     /*  228174 */   // Label 4476: @228174
     /*  228174 */   GIM_Try, /*On fail goto*//*Label 4477*/ GIMT_Encode4(228248), // Rule ID 8992 //
     /*  228179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  228193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228219 */     // MIs[1] Operand 1
     /*  228219 */     // No operand predicates
     /*  228219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228228 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  228231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228246 */     GIR_RootConstrainSelectedInstOperands,
     /*  228247 */     // GIR_Coverage, 8992,
     /*  228247 */     GIR_EraseRootFromParent_Done,
     /*  228248 */   // Label 4477: @228248
     /*  228248 */   GIM_Try, /*On fail goto*//*Label 4478*/ GIMT_Encode4(228322), // Rule ID 8995 //
     /*  228253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  228267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228293 */     // MIs[1] Operand 1
     /*  228293 */     // No operand predicates
     /*  228293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228302 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  228302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  228305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228320 */     GIR_RootConstrainSelectedInstOperands,
     /*  228321 */     // GIR_Coverage, 8995,
     /*  228321 */     GIR_EraseRootFromParent_Done,
     /*  228322 */   // Label 4478: @228322
     /*  228322 */   GIM_Try, /*On fail goto*//*Label 4479*/ GIMT_Encode4(228396), // Rule ID 8996 //
     /*  228327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  228341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228367 */     // MIs[1] Operand 1
     /*  228367 */     // No operand predicates
     /*  228367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228376 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  228376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  228379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228394 */     GIR_RootConstrainSelectedInstOperands,
     /*  228395 */     // GIR_Coverage, 8996,
     /*  228395 */     GIR_EraseRootFromParent_Done,
     /*  228396 */   // Label 4479: @228396
     /*  228396 */   GIM_Try, /*On fail goto*//*Label 4480*/ GIMT_Encode4(228470), // Rule ID 8999 //
     /*  228401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  228415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228441 */     // MIs[1] Operand 1
     /*  228441 */     // No operand predicates
     /*  228441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228450 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  228453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228468 */     GIR_RootConstrainSelectedInstOperands,
     /*  228469 */     // GIR_Coverage, 8999,
     /*  228469 */     GIR_EraseRootFromParent_Done,
     /*  228470 */   // Label 4480: @228470
     /*  228470 */   GIM_Try, /*On fail goto*//*Label 4481*/ GIMT_Encode4(228544), // Rule ID 9000 //
     /*  228475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  228489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228515 */     // MIs[1] Operand 1
     /*  228515 */     // No operand predicates
     /*  228515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228524 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  228527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228542 */     GIR_RootConstrainSelectedInstOperands,
     /*  228543 */     // GIR_Coverage, 9000,
     /*  228543 */     GIR_EraseRootFromParent_Done,
     /*  228544 */   // Label 4481: @228544
     /*  228544 */   GIM_Try, /*On fail goto*//*Label 4482*/ GIMT_Encode4(228618), // Rule ID 9003 //
     /*  228549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  228563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228589 */     // MIs[1] Operand 1
     /*  228589 */     // No operand predicates
     /*  228589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228598 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  228601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228616 */     GIR_RootConstrainSelectedInstOperands,
     /*  228617 */     // GIR_Coverage, 9003,
     /*  228617 */     GIR_EraseRootFromParent_Done,
     /*  228618 */   // Label 4482: @228618
     /*  228618 */   GIM_Try, /*On fail goto*//*Label 4483*/ GIMT_Encode4(228692), // Rule ID 9004 //
     /*  228623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  228637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228663 */     // MIs[1] Operand 1
     /*  228663 */     // No operand predicates
     /*  228663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228672 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  228675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228690 */     GIR_RootConstrainSelectedInstOperands,
     /*  228691 */     // GIR_Coverage, 9004,
     /*  228691 */     GIR_EraseRootFromParent_Done,
     /*  228692 */   // Label 4483: @228692
     /*  228692 */   GIM_Try, /*On fail goto*//*Label 4484*/ GIMT_Encode4(228766), // Rule ID 9007 //
     /*  228697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  228700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  228711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228737 */     // MIs[1] Operand 1
     /*  228737 */     // No operand predicates
     /*  228737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228746 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  228749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228764 */     GIR_RootConstrainSelectedInstOperands,
     /*  228765 */     // GIR_Coverage, 9007,
     /*  228765 */     GIR_EraseRootFromParent_Done,
     /*  228766 */   // Label 4484: @228766
     /*  228766 */   GIM_Try, /*On fail goto*//*Label 4485*/ GIMT_Encode4(228840), // Rule ID 9008 //
     /*  228771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  228774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  228785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228811 */     // MIs[1] Operand 1
     /*  228811 */     // No operand predicates
     /*  228811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  228823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228838 */     GIR_RootConstrainSelectedInstOperands,
     /*  228839 */     // GIR_Coverage, 9008,
     /*  228839 */     GIR_EraseRootFromParent_Done,
     /*  228840 */   // Label 4485: @228840
     /*  228840 */   GIM_Try, /*On fail goto*//*Label 4486*/ GIMT_Encode4(228914), // Rule ID 9011 //
     /*  228845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  228859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228885 */     // MIs[1] Operand 1
     /*  228885 */     // No operand predicates
     /*  228885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228894 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  228894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  228897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228912 */     GIR_RootConstrainSelectedInstOperands,
     /*  228913 */     // GIR_Coverage, 9011,
     /*  228913 */     GIR_EraseRootFromParent_Done,
     /*  228914 */   // Label 4486: @228914
     /*  228914 */   GIM_Try, /*On fail goto*//*Label 4487*/ GIMT_Encode4(228988), // Rule ID 9012 //
     /*  228919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  228927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  228933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228959 */     // MIs[1] Operand 1
     /*  228959 */     // No operand predicates
     /*  228959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228968 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  228968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  228971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228986 */     GIR_RootConstrainSelectedInstOperands,
     /*  228987 */     // GIR_Coverage, 9012,
     /*  228987 */     GIR_EraseRootFromParent_Done,
     /*  228988 */   // Label 4487: @228988
     /*  228988 */   GIM_Try, /*On fail goto*//*Label 4488*/ GIMT_Encode4(229062), // Rule ID 9015 //
     /*  228993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  229004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  229007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229033 */     // MIs[1] Operand 1
     /*  229033 */     // No operand predicates
     /*  229033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229042 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  229042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  229045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229060 */     GIR_RootConstrainSelectedInstOperands,
     /*  229061 */     // GIR_Coverage, 9015,
     /*  229061 */     GIR_EraseRootFromParent_Done,
     /*  229062 */   // Label 4488: @229062
     /*  229062 */   GIM_Try, /*On fail goto*//*Label 4489*/ GIMT_Encode4(229136), // Rule ID 9016 //
     /*  229067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  229078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  229081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229107 */     // MIs[1] Operand 1
     /*  229107 */     // No operand predicates
     /*  229107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229116 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  229116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  229119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229134 */     GIR_RootConstrainSelectedInstOperands,
     /*  229135 */     // GIR_Coverage, 9016,
     /*  229135 */     GIR_EraseRootFromParent_Done,
     /*  229136 */   // Label 4489: @229136
     /*  229136 */   GIM_Try, /*On fail goto*//*Label 4490*/ GIMT_Encode4(229210), // Rule ID 9019 //
     /*  229141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  229152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  229155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229181 */     // MIs[1] Operand 1
     /*  229181 */     // No operand predicates
     /*  229181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229190 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  229190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  229193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229208 */     GIR_RootConstrainSelectedInstOperands,
     /*  229209 */     // GIR_Coverage, 9019,
     /*  229209 */     GIR_EraseRootFromParent_Done,
     /*  229210 */   // Label 4490: @229210
     /*  229210 */   GIM_Try, /*On fail goto*//*Label 4491*/ GIMT_Encode4(229284), // Rule ID 9020 //
     /*  229215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  229226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  229229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229255 */     // MIs[1] Operand 1
     /*  229255 */     // No operand predicates
     /*  229255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229264 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  229264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  229267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229282 */     GIR_RootConstrainSelectedInstOperands,
     /*  229283 */     // GIR_Coverage, 9020,
     /*  229283 */     GIR_EraseRootFromParent_Done,
     /*  229284 */   // Label 4491: @229284
     /*  229284 */   GIM_Try, /*On fail goto*//*Label 4492*/ GIMT_Encode4(229358), // Rule ID 9023 //
     /*  229289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  229303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229329 */     // MIs[1] Operand 1
     /*  229329 */     // No operand predicates
     /*  229329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229338 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  229341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229356 */     GIR_RootConstrainSelectedInstOperands,
     /*  229357 */     // GIR_Coverage, 9023,
     /*  229357 */     GIR_EraseRootFromParent_Done,
     /*  229358 */   // Label 4492: @229358
     /*  229358 */   GIM_Try, /*On fail goto*//*Label 4493*/ GIMT_Encode4(229432), // Rule ID 9024 //
     /*  229363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  229377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229403 */     // MIs[1] Operand 1
     /*  229403 */     // No operand predicates
     /*  229403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229412 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  229415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229430 */     GIR_RootConstrainSelectedInstOperands,
     /*  229431 */     // GIR_Coverage, 9024,
     /*  229431 */     GIR_EraseRootFromParent_Done,
     /*  229432 */   // Label 4493: @229432
     /*  229432 */   GIM_Try, /*On fail goto*//*Label 4494*/ GIMT_Encode4(229506), // Rule ID 9027 //
     /*  229437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  229448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  229451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229477 */     // MIs[1] Operand 1
     /*  229477 */     // No operand predicates
     /*  229477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229486 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  229489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229504 */     GIR_RootConstrainSelectedInstOperands,
     /*  229505 */     // GIR_Coverage, 9027,
     /*  229505 */     GIR_EraseRootFromParent_Done,
     /*  229506 */   // Label 4494: @229506
     /*  229506 */   GIM_Try, /*On fail goto*//*Label 4495*/ GIMT_Encode4(229580), // Rule ID 9028 //
     /*  229511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  229522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  229525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229551 */     // MIs[1] Operand 1
     /*  229551 */     // No operand predicates
     /*  229551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229560 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  229563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229578 */     GIR_RootConstrainSelectedInstOperands,
     /*  229579 */     // GIR_Coverage, 9028,
     /*  229579 */     GIR_EraseRootFromParent_Done,
     /*  229580 */   // Label 4495: @229580
     /*  229580 */   GIM_Try, /*On fail goto*//*Label 4496*/ GIMT_Encode4(229654), // Rule ID 9031 //
     /*  229585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  229596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  229599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229625 */     // MIs[1] Operand 1
     /*  229625 */     // No operand predicates
     /*  229625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229634 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  229637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229652 */     GIR_RootConstrainSelectedInstOperands,
     /*  229653 */     // GIR_Coverage, 9031,
     /*  229653 */     GIR_EraseRootFromParent_Done,
     /*  229654 */   // Label 4496: @229654
     /*  229654 */   GIM_Try, /*On fail goto*//*Label 4497*/ GIMT_Encode4(229728), // Rule ID 9032 //
     /*  229659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  229670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  229673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229699 */     // MIs[1] Operand 1
     /*  229699 */     // No operand predicates
     /*  229699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229708 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  229711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229726 */     GIR_RootConstrainSelectedInstOperands,
     /*  229727 */     // GIR_Coverage, 9032,
     /*  229727 */     GIR_EraseRootFromParent_Done,
     /*  229728 */   // Label 4497: @229728
     /*  229728 */   GIM_Try, /*On fail goto*//*Label 4498*/ GIMT_Encode4(229802), // Rule ID 9035 //
     /*  229733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  229747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229773 */     // MIs[1] Operand 1
     /*  229773 */     // No operand predicates
     /*  229773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229782 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  229785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229800 */     GIR_RootConstrainSelectedInstOperands,
     /*  229801 */     // GIR_Coverage, 9035,
     /*  229801 */     GIR_EraseRootFromParent_Done,
     /*  229802 */   // Label 4498: @229802
     /*  229802 */   GIM_Try, /*On fail goto*//*Label 4499*/ GIMT_Encode4(229876), // Rule ID 9036 //
     /*  229807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  229821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229847 */     // MIs[1] Operand 1
     /*  229847 */     // No operand predicates
     /*  229847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229856 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  229859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229874 */     GIR_RootConstrainSelectedInstOperands,
     /*  229875 */     // GIR_Coverage, 9036,
     /*  229875 */     GIR_EraseRootFromParent_Done,
     /*  229876 */   // Label 4499: @229876
     /*  229876 */   GIM_Try, /*On fail goto*//*Label 4500*/ GIMT_Encode4(229950), // Rule ID 9039 //
     /*  229881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  229895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229921 */     // MIs[1] Operand 1
     /*  229921 */     // No operand predicates
     /*  229921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229930 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  229933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229948 */     GIR_RootConstrainSelectedInstOperands,
     /*  229949 */     // GIR_Coverage, 9039,
     /*  229949 */     GIR_EraseRootFromParent_Done,
     /*  229950 */   // Label 4500: @229950
     /*  229950 */   GIM_Try, /*On fail goto*//*Label 4501*/ GIMT_Encode4(230024), // Rule ID 9040 //
     /*  229955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  229963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  229969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229995 */     // MIs[1] Operand 1
     /*  229995 */     // No operand predicates
     /*  229995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230004 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  230004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  230007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230022 */     GIR_RootConstrainSelectedInstOperands,
     /*  230023 */     // GIR_Coverage, 9040,
     /*  230023 */     GIR_EraseRootFromParent_Done,
     /*  230024 */   // Label 4501: @230024
     /*  230024 */   GIM_Try, /*On fail goto*//*Label 4502*/ GIMT_Encode4(230098), // Rule ID 9043 //
     /*  230029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  230040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  230043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230069 */     // MIs[1] Operand 1
     /*  230069 */     // No operand predicates
     /*  230069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230078 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  230078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  230081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230096 */     GIR_RootConstrainSelectedInstOperands,
     /*  230097 */     // GIR_Coverage, 9043,
     /*  230097 */     GIR_EraseRootFromParent_Done,
     /*  230098 */   // Label 4502: @230098
     /*  230098 */   GIM_Try, /*On fail goto*//*Label 4503*/ GIMT_Encode4(230172), // Rule ID 9044 //
     /*  230103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  230114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  230117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230143 */     // MIs[1] Operand 1
     /*  230143 */     // No operand predicates
     /*  230143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230152 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  230152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  230155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230170 */     GIR_RootConstrainSelectedInstOperands,
     /*  230171 */     // GIR_Coverage, 9044,
     /*  230171 */     GIR_EraseRootFromParent_Done,
     /*  230172 */   // Label 4503: @230172
     /*  230172 */   GIM_Try, /*On fail goto*//*Label 4504*/ GIMT_Encode4(230246), // Rule ID 9047 //
     /*  230177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  230180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  230191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230217 */     // MIs[1] Operand 1
     /*  230217 */     // No operand predicates
     /*  230217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230226 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  230226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  230229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230244 */     GIR_RootConstrainSelectedInstOperands,
     /*  230245 */     // GIR_Coverage, 9047,
     /*  230245 */     GIR_EraseRootFromParent_Done,
     /*  230246 */   // Label 4504: @230246
     /*  230246 */   GIM_Try, /*On fail goto*//*Label 4505*/ GIMT_Encode4(230320), // Rule ID 9048 //
     /*  230251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  230254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  230265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230291 */     // MIs[1] Operand 1
     /*  230291 */     // No operand predicates
     /*  230291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230300 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  230300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  230303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230318 */     GIR_RootConstrainSelectedInstOperands,
     /*  230319 */     // GIR_Coverage, 9048,
     /*  230319 */     GIR_EraseRootFromParent_Done,
     /*  230320 */   // Label 4505: @230320
     /*  230320 */   GIM_Try, /*On fail goto*//*Label 4506*/ GIMT_Encode4(230394), // Rule ID 9051 //
     /*  230325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  230328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  230339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230365 */     // MIs[1] Operand 1
     /*  230365 */     // No operand predicates
     /*  230365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230374 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  230374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  230377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230392 */     GIR_RootConstrainSelectedInstOperands,
     /*  230393 */     // GIR_Coverage, 9051,
     /*  230393 */     GIR_EraseRootFromParent_Done,
     /*  230394 */   // Label 4506: @230394
     /*  230394 */   GIM_Try, /*On fail goto*//*Label 4507*/ GIMT_Encode4(230468), // Rule ID 9052 //
     /*  230399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  230402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  230413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230439 */     // MIs[1] Operand 1
     /*  230439 */     // No operand predicates
     /*  230439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230448 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  230448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  230451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230466 */     GIR_RootConstrainSelectedInstOperands,
     /*  230467 */     // GIR_Coverage, 9052,
     /*  230467 */     GIR_EraseRootFromParent_Done,
     /*  230468 */   // Label 4507: @230468
     /*  230468 */   GIM_Try, /*On fail goto*//*Label 4508*/ GIMT_Encode4(230542), // Rule ID 9055 //
     /*  230473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  230476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  230487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230513 */     // MIs[1] Operand 1
     /*  230513 */     // No operand predicates
     /*  230513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230522 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  230522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  230525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230540 */     GIR_RootConstrainSelectedInstOperands,
     /*  230541 */     // GIR_Coverage, 9055,
     /*  230541 */     GIR_EraseRootFromParent_Done,
     /*  230542 */   // Label 4508: @230542
     /*  230542 */   GIM_Try, /*On fail goto*//*Label 4509*/ GIMT_Encode4(230616), // Rule ID 9056 //
     /*  230547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  230550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  230555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  230561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230587 */     // MIs[1] Operand 1
     /*  230587 */     // No operand predicates
     /*  230587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230596 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  230596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  230599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230614 */     GIR_RootConstrainSelectedInstOperands,
     /*  230615 */     // GIR_Coverage, 9056,
     /*  230615 */     GIR_EraseRootFromParent_Done,
     /*  230616 */   // Label 4509: @230616
     /*  230616 */   GIM_Try, /*On fail goto*//*Label 4510*/ GIMT_Encode4(230690), // Rule ID 9147 //
     /*  230621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  230629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  230635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230661 */     // MIs[1] Operand 1
     /*  230661 */     // No operand predicates
     /*  230661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230670 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  230673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230688 */     GIR_RootConstrainSelectedInstOperands,
     /*  230689 */     // GIR_Coverage, 9147,
     /*  230689 */     GIR_EraseRootFromParent_Done,
     /*  230690 */   // Label 4510: @230690
     /*  230690 */   GIM_Try, /*On fail goto*//*Label 4511*/ GIMT_Encode4(230764), // Rule ID 9148 //
     /*  230695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  230703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  230709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230735 */     // MIs[1] Operand 1
     /*  230735 */     // No operand predicates
     /*  230735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230744 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  230747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230762 */     GIR_RootConstrainSelectedInstOperands,
     /*  230763 */     // GIR_Coverage, 9148,
     /*  230763 */     GIR_EraseRootFromParent_Done,
     /*  230764 */   // Label 4511: @230764
     /*  230764 */   GIM_Try, /*On fail goto*//*Label 4512*/ GIMT_Encode4(230838), // Rule ID 9151 //
     /*  230769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  230777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  230783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230809 */     // MIs[1] Operand 1
     /*  230809 */     // No operand predicates
     /*  230809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230818 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  230821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230836 */     GIR_RootConstrainSelectedInstOperands,
     /*  230837 */     // GIR_Coverage, 9151,
     /*  230837 */     GIR_EraseRootFromParent_Done,
     /*  230838 */   // Label 4512: @230838
     /*  230838 */   GIM_Try, /*On fail goto*//*Label 4513*/ GIMT_Encode4(230912), // Rule ID 9152 //
     /*  230843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  230851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  230857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230883 */     // MIs[1] Operand 1
     /*  230883 */     // No operand predicates
     /*  230883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230892 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  230895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230910 */     GIR_RootConstrainSelectedInstOperands,
     /*  230911 */     // GIR_Coverage, 9152,
     /*  230911 */     GIR_EraseRootFromParent_Done,
     /*  230912 */   // Label 4513: @230912
     /*  230912 */   GIM_Try, /*On fail goto*//*Label 4514*/ GIMT_Encode4(230986), // Rule ID 9155 //
     /*  230917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  230925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  230931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230957 */     // MIs[1] Operand 1
     /*  230957 */     // No operand predicates
     /*  230957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230966 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  230969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230984 */     GIR_RootConstrainSelectedInstOperands,
     /*  230985 */     // GIR_Coverage, 9155,
     /*  230985 */     GIR_EraseRootFromParent_Done,
     /*  230986 */   // Label 4514: @230986
     /*  230986 */   GIM_Try, /*On fail goto*//*Label 4515*/ GIMT_Encode4(231060), // Rule ID 9156 //
     /*  230991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  230999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  231005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231031 */     // MIs[1] Operand 1
     /*  231031 */     // No operand predicates
     /*  231031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231040 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  231040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  231043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231058 */     GIR_RootConstrainSelectedInstOperands,
     /*  231059 */     // GIR_Coverage, 9156,
     /*  231059 */     GIR_EraseRootFromParent_Done,
     /*  231060 */   // Label 4515: @231060
     /*  231060 */   GIM_Try, /*On fail goto*//*Label 4516*/ GIMT_Encode4(231134), // Rule ID 9159 //
     /*  231065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  231073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  231079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231105 */     // MIs[1] Operand 1
     /*  231105 */     // No operand predicates
     /*  231105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231114 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  231117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231132 */     GIR_RootConstrainSelectedInstOperands,
     /*  231133 */     // GIR_Coverage, 9159,
     /*  231133 */     GIR_EraseRootFromParent_Done,
     /*  231134 */   // Label 4516: @231134
     /*  231134 */   GIM_Try, /*On fail goto*//*Label 4517*/ GIMT_Encode4(231208), // Rule ID 9160 //
     /*  231139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  231147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  231153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231179 */     // MIs[1] Operand 1
     /*  231179 */     // No operand predicates
     /*  231179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231188 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  231191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231206 */     GIR_RootConstrainSelectedInstOperands,
     /*  231207 */     // GIR_Coverage, 9160,
     /*  231207 */     GIR_EraseRootFromParent_Done,
     /*  231208 */   // Label 4517: @231208
     /*  231208 */   GIM_Try, /*On fail goto*//*Label 4518*/ GIMT_Encode4(231282), // Rule ID 9163 //
     /*  231213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  231221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  231227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231253 */     // MIs[1] Operand 1
     /*  231253 */     // No operand predicates
     /*  231253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231262 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  231265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231280 */     GIR_RootConstrainSelectedInstOperands,
     /*  231281 */     // GIR_Coverage, 9163,
     /*  231281 */     GIR_EraseRootFromParent_Done,
     /*  231282 */   // Label 4518: @231282
     /*  231282 */   GIM_Try, /*On fail goto*//*Label 4519*/ GIMT_Encode4(231356), // Rule ID 9164 //
     /*  231287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  231295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  231301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231327 */     // MIs[1] Operand 1
     /*  231327 */     // No operand predicates
     /*  231327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231336 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  231339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231354 */     GIR_RootConstrainSelectedInstOperands,
     /*  231355 */     // GIR_Coverage, 9164,
     /*  231355 */     GIR_EraseRootFromParent_Done,
     /*  231356 */   // Label 4519: @231356
     /*  231356 */   GIM_Try, /*On fail goto*//*Label 4520*/ GIMT_Encode4(231430), // Rule ID 9167 //
     /*  231361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  231369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  231375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231401 */     // MIs[1] Operand 1
     /*  231401 */     // No operand predicates
     /*  231401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231410 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  231413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231428 */     GIR_RootConstrainSelectedInstOperands,
     /*  231429 */     // GIR_Coverage, 9167,
     /*  231429 */     GIR_EraseRootFromParent_Done,
     /*  231430 */   // Label 4520: @231430
     /*  231430 */   GIM_Try, /*On fail goto*//*Label 4521*/ GIMT_Encode4(231504), // Rule ID 9168 //
     /*  231435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  231443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  231449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231475 */     // MIs[1] Operand 1
     /*  231475 */     // No operand predicates
     /*  231475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231484 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  231487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231502 */     GIR_RootConstrainSelectedInstOperands,
     /*  231503 */     // GIR_Coverage, 9168,
     /*  231503 */     GIR_EraseRootFromParent_Done,
     /*  231504 */   // Label 4521: @231504
     /*  231504 */   GIM_Try, /*On fail goto*//*Label 4522*/ GIMT_Encode4(231578), // Rule ID 9171 //
     /*  231509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  231517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  231523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231549 */     // MIs[1] Operand 1
     /*  231549 */     // No operand predicates
     /*  231549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231558 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  231558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  231561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231576 */     GIR_RootConstrainSelectedInstOperands,
     /*  231577 */     // GIR_Coverage, 9171,
     /*  231577 */     GIR_EraseRootFromParent_Done,
     /*  231578 */   // Label 4522: @231578
     /*  231578 */   GIM_Try, /*On fail goto*//*Label 4523*/ GIMT_Encode4(231652), // Rule ID 9172 //
     /*  231583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  231591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  231597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231623 */     // MIs[1] Operand 1
     /*  231623 */     // No operand predicates
     /*  231623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231632 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  231632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  231635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231650 */     GIR_RootConstrainSelectedInstOperands,
     /*  231651 */     // GIR_Coverage, 9172,
     /*  231651 */     GIR_EraseRootFromParent_Done,
     /*  231652 */   // Label 4523: @231652
     /*  231652 */   GIM_Try, /*On fail goto*//*Label 4524*/ GIMT_Encode4(231726), // Rule ID 9175 //
     /*  231657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  231665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  231671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231697 */     // MIs[1] Operand 1
     /*  231697 */     // No operand predicates
     /*  231697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231706 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  231709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231724 */     GIR_RootConstrainSelectedInstOperands,
     /*  231725 */     // GIR_Coverage, 9175,
     /*  231725 */     GIR_EraseRootFromParent_Done,
     /*  231726 */   // Label 4524: @231726
     /*  231726 */   GIM_Try, /*On fail goto*//*Label 4525*/ GIMT_Encode4(231800), // Rule ID 9176 //
     /*  231731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  231739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  231745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231771 */     // MIs[1] Operand 1
     /*  231771 */     // No operand predicates
     /*  231771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231780 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  231783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231798 */     GIR_RootConstrainSelectedInstOperands,
     /*  231799 */     // GIR_Coverage, 9176,
     /*  231799 */     GIR_EraseRootFromParent_Done,
     /*  231800 */   // Label 4525: @231800
     /*  231800 */   GIM_Try, /*On fail goto*//*Label 4526*/ GIMT_Encode4(231874), // Rule ID 9179 //
     /*  231805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  231813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  231819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231845 */     // MIs[1] Operand 1
     /*  231845 */     // No operand predicates
     /*  231845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231854 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  231857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231872 */     GIR_RootConstrainSelectedInstOperands,
     /*  231873 */     // GIR_Coverage, 9179,
     /*  231873 */     GIR_EraseRootFromParent_Done,
     /*  231874 */   // Label 4526: @231874
     /*  231874 */   GIM_Try, /*On fail goto*//*Label 4527*/ GIMT_Encode4(231948), // Rule ID 9180 //
     /*  231879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  231887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  231893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231919 */     // MIs[1] Operand 1
     /*  231919 */     // No operand predicates
     /*  231919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231928 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  231931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231946 */     GIR_RootConstrainSelectedInstOperands,
     /*  231947 */     // GIR_Coverage, 9180,
     /*  231947 */     GIR_EraseRootFromParent_Done,
     /*  231948 */   // Label 4527: @231948
     /*  231948 */   GIM_Try, /*On fail goto*//*Label 4528*/ GIMT_Encode4(232022), // Rule ID 9183 //
     /*  231953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  231956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  231961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  231967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231993 */     // MIs[1] Operand 1
     /*  231993 */     // No operand predicates
     /*  231993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232002 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  232002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  232005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232020 */     GIR_RootConstrainSelectedInstOperands,
     /*  232021 */     // GIR_Coverage, 9183,
     /*  232021 */     GIR_EraseRootFromParent_Done,
     /*  232022 */   // Label 4528: @232022
     /*  232022 */   GIM_Try, /*On fail goto*//*Label 4529*/ GIMT_Encode4(232096), // Rule ID 9184 //
     /*  232027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  232030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  232041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232067 */     // MIs[1] Operand 1
     /*  232067 */     // No operand predicates
     /*  232067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232076 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  232076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  232079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232094 */     GIR_RootConstrainSelectedInstOperands,
     /*  232095 */     // GIR_Coverage, 9184,
     /*  232095 */     GIR_EraseRootFromParent_Done,
     /*  232096 */   // Label 4529: @232096
     /*  232096 */   GIM_Try, /*On fail goto*//*Label 4530*/ GIMT_Encode4(232170), // Rule ID 9187 //
     /*  232101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  232115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232141 */     // MIs[1] Operand 1
     /*  232141 */     // No operand predicates
     /*  232141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232150 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  232150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  232153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232168 */     GIR_RootConstrainSelectedInstOperands,
     /*  232169 */     // GIR_Coverage, 9187,
     /*  232169 */     GIR_EraseRootFromParent_Done,
     /*  232170 */   // Label 4530: @232170
     /*  232170 */   GIM_Try, /*On fail goto*//*Label 4531*/ GIMT_Encode4(232244), // Rule ID 9188 //
     /*  232175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  232189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232215 */     // MIs[1] Operand 1
     /*  232215 */     // No operand predicates
     /*  232215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232224 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  232224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  232227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232242 */     GIR_RootConstrainSelectedInstOperands,
     /*  232243 */     // GIR_Coverage, 9188,
     /*  232243 */     GIR_EraseRootFromParent_Done,
     /*  232244 */   // Label 4531: @232244
     /*  232244 */   GIM_Try, /*On fail goto*//*Label 4532*/ GIMT_Encode4(232318), // Rule ID 9191 //
     /*  232249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  232260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  232263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232289 */     // MIs[1] Operand 1
     /*  232289 */     // No operand predicates
     /*  232289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232298 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  232298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  232301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232316 */     GIR_RootConstrainSelectedInstOperands,
     /*  232317 */     // GIR_Coverage, 9191,
     /*  232317 */     GIR_EraseRootFromParent_Done,
     /*  232318 */   // Label 4532: @232318
     /*  232318 */   GIM_Try, /*On fail goto*//*Label 4533*/ GIMT_Encode4(232392), // Rule ID 9192 //
     /*  232323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  232334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  232337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232363 */     // MIs[1] Operand 1
     /*  232363 */     // No operand predicates
     /*  232363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232372 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  232372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  232375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232390 */     GIR_RootConstrainSelectedInstOperands,
     /*  232391 */     // GIR_Coverage, 9192,
     /*  232391 */     GIR_EraseRootFromParent_Done,
     /*  232392 */   // Label 4533: @232392
     /*  232392 */   GIM_Try, /*On fail goto*//*Label 4534*/ GIMT_Encode4(232466), // Rule ID 9195 //
     /*  232397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  232408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  232411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232437 */     // MIs[1] Operand 1
     /*  232437 */     // No operand predicates
     /*  232437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232446 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  232446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  232449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232464 */     GIR_RootConstrainSelectedInstOperands,
     /*  232465 */     // GIR_Coverage, 9195,
     /*  232465 */     GIR_EraseRootFromParent_Done,
     /*  232466 */   // Label 4534: @232466
     /*  232466 */   GIM_Try, /*On fail goto*//*Label 4535*/ GIMT_Encode4(232540), // Rule ID 9196 //
     /*  232471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  232482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  232485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232511 */     // MIs[1] Operand 1
     /*  232511 */     // No operand predicates
     /*  232511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232520 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  232520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  232523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232538 */     GIR_RootConstrainSelectedInstOperands,
     /*  232539 */     // GIR_Coverage, 9196,
     /*  232539 */     GIR_EraseRootFromParent_Done,
     /*  232540 */   // Label 4535: @232540
     /*  232540 */   GIM_Try, /*On fail goto*//*Label 4536*/ GIMT_Encode4(232614), // Rule ID 9199 //
     /*  232545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  232559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232585 */     // MIs[1] Operand 1
     /*  232585 */     // No operand predicates
     /*  232585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232594 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  232597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232612 */     GIR_RootConstrainSelectedInstOperands,
     /*  232613 */     // GIR_Coverage, 9199,
     /*  232613 */     GIR_EraseRootFromParent_Done,
     /*  232614 */   // Label 4536: @232614
     /*  232614 */   GIM_Try, /*On fail goto*//*Label 4537*/ GIMT_Encode4(232688), // Rule ID 9200 //
     /*  232619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  232633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232659 */     // MIs[1] Operand 1
     /*  232659 */     // No operand predicates
     /*  232659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232668 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  232671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232686 */     GIR_RootConstrainSelectedInstOperands,
     /*  232687 */     // GIR_Coverage, 9200,
     /*  232687 */     GIR_EraseRootFromParent_Done,
     /*  232688 */   // Label 4537: @232688
     /*  232688 */   GIM_Try, /*On fail goto*//*Label 4538*/ GIMT_Encode4(232762), // Rule ID 9203 //
     /*  232693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  232707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232733 */     // MIs[1] Operand 1
     /*  232733 */     // No operand predicates
     /*  232733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232742 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  232745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232760 */     GIR_RootConstrainSelectedInstOperands,
     /*  232761 */     // GIR_Coverage, 9203,
     /*  232761 */     GIR_EraseRootFromParent_Done,
     /*  232762 */   // Label 4538: @232762
     /*  232762 */   GIM_Try, /*On fail goto*//*Label 4539*/ GIMT_Encode4(232836), // Rule ID 9204 //
     /*  232767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  232781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232807 */     // MIs[1] Operand 1
     /*  232807 */     // No operand predicates
     /*  232807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232816 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  232819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232834 */     GIR_RootConstrainSelectedInstOperands,
     /*  232835 */     // GIR_Coverage, 9204,
     /*  232835 */     GIR_EraseRootFromParent_Done,
     /*  232836 */   // Label 4539: @232836
     /*  232836 */   GIM_Try, /*On fail goto*//*Label 4540*/ GIMT_Encode4(232910), // Rule ID 9207 //
     /*  232841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  232852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  232855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232881 */     // MIs[1] Operand 1
     /*  232881 */     // No operand predicates
     /*  232881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232890 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  232893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232908 */     GIR_RootConstrainSelectedInstOperands,
     /*  232909 */     // GIR_Coverage, 9207,
     /*  232909 */     GIR_EraseRootFromParent_Done,
     /*  232910 */   // Label 4540: @232910
     /*  232910 */   GIM_Try, /*On fail goto*//*Label 4541*/ GIMT_Encode4(232984), // Rule ID 9208 //
     /*  232915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  232926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  232929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232955 */     // MIs[1] Operand 1
     /*  232955 */     // No operand predicates
     /*  232955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232964 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  232967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232982 */     GIR_RootConstrainSelectedInstOperands,
     /*  232983 */     // GIR_Coverage, 9208,
     /*  232983 */     GIR_EraseRootFromParent_Done,
     /*  232984 */   // Label 4541: @232984
     /*  232984 */   GIM_Try, /*On fail goto*//*Label 4542*/ GIMT_Encode4(233058), // Rule ID 9211 //
     /*  232989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  232997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  233003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233029 */     // MIs[1] Operand 1
     /*  233029 */     // No operand predicates
     /*  233029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233038 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  233038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  233041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233056 */     GIR_RootConstrainSelectedInstOperands,
     /*  233057 */     // GIR_Coverage, 9211,
     /*  233057 */     GIR_EraseRootFromParent_Done,
     /*  233058 */   // Label 4542: @233058
     /*  233058 */   GIM_Try, /*On fail goto*//*Label 4543*/ GIMT_Encode4(233132), // Rule ID 9212 //
     /*  233063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  233077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233103 */     // MIs[1] Operand 1
     /*  233103 */     // No operand predicates
     /*  233103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233112 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  233112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  233115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233130 */     GIR_RootConstrainSelectedInstOperands,
     /*  233131 */     // GIR_Coverage, 9212,
     /*  233131 */     GIR_EraseRootFromParent_Done,
     /*  233132 */   // Label 4543: @233132
     /*  233132 */   GIM_Try, /*On fail goto*//*Label 4544*/ GIMT_Encode4(233206), // Rule ID 9215 //
     /*  233137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  233151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233177 */     // MIs[1] Operand 1
     /*  233177 */     // No operand predicates
     /*  233177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233186 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  233186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  233189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233204 */     GIR_RootConstrainSelectedInstOperands,
     /*  233205 */     // GIR_Coverage, 9215,
     /*  233205 */     GIR_EraseRootFromParent_Done,
     /*  233206 */   // Label 4544: @233206
     /*  233206 */   GIM_Try, /*On fail goto*//*Label 4545*/ GIMT_Encode4(233280), // Rule ID 9216 //
     /*  233211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  233225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233251 */     // MIs[1] Operand 1
     /*  233251 */     // No operand predicates
     /*  233251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233260 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  233260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  233263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233278 */     GIR_RootConstrainSelectedInstOperands,
     /*  233279 */     // GIR_Coverage, 9216,
     /*  233279 */     GIR_EraseRootFromParent_Done,
     /*  233280 */   // Label 4545: @233280
     /*  233280 */   GIM_Try, /*On fail goto*//*Label 4546*/ GIMT_Encode4(233354), // Rule ID 9219 //
     /*  233285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  233299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233325 */     // MIs[1] Operand 1
     /*  233325 */     // No operand predicates
     /*  233325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233334 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  233334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  233337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233352 */     GIR_RootConstrainSelectedInstOperands,
     /*  233353 */     // GIR_Coverage, 9219,
     /*  233353 */     GIR_EraseRootFromParent_Done,
     /*  233354 */   // Label 4546: @233354
     /*  233354 */   GIM_Try, /*On fail goto*//*Label 4547*/ GIMT_Encode4(233428), // Rule ID 9220 //
     /*  233359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  233373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233399 */     // MIs[1] Operand 1
     /*  233399 */     // No operand predicates
     /*  233399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233408 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  233408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  233411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233426 */     GIR_RootConstrainSelectedInstOperands,
     /*  233427 */     // GIR_Coverage, 9220,
     /*  233427 */     GIR_EraseRootFromParent_Done,
     /*  233428 */   // Label 4547: @233428
     /*  233428 */   GIM_Try, /*On fail goto*//*Label 4548*/ GIMT_Encode4(233502), // Rule ID 9223 //
     /*  233433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  233436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  233447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233473 */     // MIs[1] Operand 1
     /*  233473 */     // No operand predicates
     /*  233473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233482 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  233482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  233485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233500 */     GIR_RootConstrainSelectedInstOperands,
     /*  233501 */     // GIR_Coverage, 9223,
     /*  233501 */     GIR_EraseRootFromParent_Done,
     /*  233502 */   // Label 4548: @233502
     /*  233502 */   GIM_Try, /*On fail goto*//*Label 4549*/ GIMT_Encode4(233576), // Rule ID 9224 //
     /*  233507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  233510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  233521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233547 */     // MIs[1] Operand 1
     /*  233547 */     // No operand predicates
     /*  233547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233556 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  233559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233574 */     GIR_RootConstrainSelectedInstOperands,
     /*  233575 */     // GIR_Coverage, 9224,
     /*  233575 */     GIR_EraseRootFromParent_Done,
     /*  233576 */   // Label 4549: @233576
     /*  233576 */   GIM_Try, /*On fail goto*//*Label 4550*/ GIMT_Encode4(233650), // Rule ID 9227 //
     /*  233581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  233584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  233595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233621 */     // MIs[1] Operand 1
     /*  233621 */     // No operand predicates
     /*  233621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233630 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  233630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  233633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233648 */     GIR_RootConstrainSelectedInstOperands,
     /*  233649 */     // GIR_Coverage, 9227,
     /*  233649 */     GIR_EraseRootFromParent_Done,
     /*  233650 */   // Label 4550: @233650
     /*  233650 */   GIM_Try, /*On fail goto*//*Label 4551*/ GIMT_Encode4(233724), // Rule ID 9228 //
     /*  233655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  233658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  233669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233695 */     // MIs[1] Operand 1
     /*  233695 */     // No operand predicates
     /*  233695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233704 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  233707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233722 */     GIR_RootConstrainSelectedInstOperands,
     /*  233723 */     // GIR_Coverage, 9228,
     /*  233723 */     GIR_EraseRootFromParent_Done,
     /*  233724 */   // Label 4551: @233724
     /*  233724 */   GIM_Try, /*On fail goto*//*Label 4552*/ GIMT_Encode4(233798), // Rule ID 9231 //
     /*  233729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  233732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  233743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233769 */     // MIs[1] Operand 1
     /*  233769 */     // No operand predicates
     /*  233769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233778 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  233778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  233781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233796 */     GIR_RootConstrainSelectedInstOperands,
     /*  233797 */     // GIR_Coverage, 9231,
     /*  233797 */     GIR_EraseRootFromParent_Done,
     /*  233798 */   // Label 4552: @233798
     /*  233798 */   GIM_Try, /*On fail goto*//*Label 4553*/ GIMT_Encode4(233872), // Rule ID 9232 //
     /*  233803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  233806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  233817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233843 */     // MIs[1] Operand 1
     /*  233843 */     // No operand predicates
     /*  233843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233852 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  233855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233870 */     GIR_RootConstrainSelectedInstOperands,
     /*  233871 */     // GIR_Coverage, 9232,
     /*  233871 */     GIR_EraseRootFromParent_Done,
     /*  233872 */   // Label 4553: @233872
     /*  233872 */   GIM_Try, /*On fail goto*//*Label 4554*/ GIMT_Encode4(233946), // Rule ID 9323 //
     /*  233877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  233885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  233891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233917 */     // MIs[1] Operand 1
     /*  233917 */     // No operand predicates
     /*  233917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233926 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  233929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233944 */     GIR_RootConstrainSelectedInstOperands,
     /*  233945 */     // GIR_Coverage, 9323,
     /*  233945 */     GIR_EraseRootFromParent_Done,
     /*  233946 */   // Label 4554: @233946
     /*  233946 */   GIM_Try, /*On fail goto*//*Label 4555*/ GIMT_Encode4(234020), // Rule ID 9324 //
     /*  233951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  233959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  233965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233991 */     // MIs[1] Operand 1
     /*  233991 */     // No operand predicates
     /*  233991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234000 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  234000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  234003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234018 */     GIR_RootConstrainSelectedInstOperands,
     /*  234019 */     // GIR_Coverage, 9324,
     /*  234019 */     GIR_EraseRootFromParent_Done,
     /*  234020 */   // Label 4555: @234020
     /*  234020 */   GIM_Try, /*On fail goto*//*Label 4556*/ GIMT_Encode4(234094), // Rule ID 9327 //
     /*  234025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  234033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  234039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234065 */     // MIs[1] Operand 1
     /*  234065 */     // No operand predicates
     /*  234065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234074 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  234074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  234077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234092 */     GIR_RootConstrainSelectedInstOperands,
     /*  234093 */     // GIR_Coverage, 9327,
     /*  234093 */     GIR_EraseRootFromParent_Done,
     /*  234094 */   // Label 4556: @234094
     /*  234094 */   GIM_Try, /*On fail goto*//*Label 4557*/ GIMT_Encode4(234168), // Rule ID 9328 //
     /*  234099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  234107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  234113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234139 */     // MIs[1] Operand 1
     /*  234139 */     // No operand predicates
     /*  234139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234148 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  234148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  234151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234166 */     GIR_RootConstrainSelectedInstOperands,
     /*  234167 */     // GIR_Coverage, 9328,
     /*  234167 */     GIR_EraseRootFromParent_Done,
     /*  234168 */   // Label 4557: @234168
     /*  234168 */   GIM_Try, /*On fail goto*//*Label 4558*/ GIMT_Encode4(234242), // Rule ID 9331 //
     /*  234173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  234181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  234187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234213 */     // MIs[1] Operand 1
     /*  234213 */     // No operand predicates
     /*  234213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234222 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  234222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  234225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234240 */     GIR_RootConstrainSelectedInstOperands,
     /*  234241 */     // GIR_Coverage, 9331,
     /*  234241 */     GIR_EraseRootFromParent_Done,
     /*  234242 */   // Label 4558: @234242
     /*  234242 */   GIM_Try, /*On fail goto*//*Label 4559*/ GIMT_Encode4(234316), // Rule ID 9332 //
     /*  234247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  234255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  234261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234287 */     // MIs[1] Operand 1
     /*  234287 */     // No operand predicates
     /*  234287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234296 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  234296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  234299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234314 */     GIR_RootConstrainSelectedInstOperands,
     /*  234315 */     // GIR_Coverage, 9332,
     /*  234315 */     GIR_EraseRootFromParent_Done,
     /*  234316 */   // Label 4559: @234316
     /*  234316 */   GIM_Try, /*On fail goto*//*Label 4560*/ GIMT_Encode4(234390), // Rule ID 9335 //
     /*  234321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  234329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  234335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234361 */     // MIs[1] Operand 1
     /*  234361 */     // No operand predicates
     /*  234361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234370 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  234373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234388 */     GIR_RootConstrainSelectedInstOperands,
     /*  234389 */     // GIR_Coverage, 9335,
     /*  234389 */     GIR_EraseRootFromParent_Done,
     /*  234390 */   // Label 4560: @234390
     /*  234390 */   GIM_Try, /*On fail goto*//*Label 4561*/ GIMT_Encode4(234464), // Rule ID 9336 //
     /*  234395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  234403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  234409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234435 */     // MIs[1] Operand 1
     /*  234435 */     // No operand predicates
     /*  234435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234444 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  234447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234462 */     GIR_RootConstrainSelectedInstOperands,
     /*  234463 */     // GIR_Coverage, 9336,
     /*  234463 */     GIR_EraseRootFromParent_Done,
     /*  234464 */   // Label 4561: @234464
     /*  234464 */   GIM_Try, /*On fail goto*//*Label 4562*/ GIMT_Encode4(234538), // Rule ID 9339 //
     /*  234469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  234477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  234483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234509 */     // MIs[1] Operand 1
     /*  234509 */     // No operand predicates
     /*  234509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234518 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  234521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234536 */     GIR_RootConstrainSelectedInstOperands,
     /*  234537 */     // GIR_Coverage, 9339,
     /*  234537 */     GIR_EraseRootFromParent_Done,
     /*  234538 */   // Label 4562: @234538
     /*  234538 */   GIM_Try, /*On fail goto*//*Label 4563*/ GIMT_Encode4(234612), // Rule ID 9340 //
     /*  234543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  234551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  234557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234583 */     // MIs[1] Operand 1
     /*  234583 */     // No operand predicates
     /*  234583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234592 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  234595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234610 */     GIR_RootConstrainSelectedInstOperands,
     /*  234611 */     // GIR_Coverage, 9340,
     /*  234611 */     GIR_EraseRootFromParent_Done,
     /*  234612 */   // Label 4563: @234612
     /*  234612 */   GIM_Try, /*On fail goto*//*Label 4564*/ GIMT_Encode4(234686), // Rule ID 9343 //
     /*  234617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  234625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  234631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234657 */     // MIs[1] Operand 1
     /*  234657 */     // No operand predicates
     /*  234657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234666 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  234669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234684 */     GIR_RootConstrainSelectedInstOperands,
     /*  234685 */     // GIR_Coverage, 9343,
     /*  234685 */     GIR_EraseRootFromParent_Done,
     /*  234686 */   // Label 4564: @234686
     /*  234686 */   GIM_Try, /*On fail goto*//*Label 4565*/ GIMT_Encode4(234760), // Rule ID 9344 //
     /*  234691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  234699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  234705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234731 */     // MIs[1] Operand 1
     /*  234731 */     // No operand predicates
     /*  234731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234740 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  234743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234758 */     GIR_RootConstrainSelectedInstOperands,
     /*  234759 */     // GIR_Coverage, 9344,
     /*  234759 */     GIR_EraseRootFromParent_Done,
     /*  234760 */   // Label 4565: @234760
     /*  234760 */   GIM_Try, /*On fail goto*//*Label 4566*/ GIMT_Encode4(234834), // Rule ID 9347 //
     /*  234765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  234773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  234779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234805 */     // MIs[1] Operand 1
     /*  234805 */     // No operand predicates
     /*  234805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234814 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  234814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  234817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234832 */     GIR_RootConstrainSelectedInstOperands,
     /*  234833 */     // GIR_Coverage, 9347,
     /*  234833 */     GIR_EraseRootFromParent_Done,
     /*  234834 */   // Label 4566: @234834
     /*  234834 */   GIM_Try, /*On fail goto*//*Label 4567*/ GIMT_Encode4(234908), // Rule ID 9348 //
     /*  234839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  234847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  234853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234879 */     // MIs[1] Operand 1
     /*  234879 */     // No operand predicates
     /*  234879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  234888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  234891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234906 */     GIR_RootConstrainSelectedInstOperands,
     /*  234907 */     // GIR_Coverage, 9348,
     /*  234907 */     GIR_EraseRootFromParent_Done,
     /*  234908 */   // Label 4567: @234908
     /*  234908 */   GIM_Try, /*On fail goto*//*Label 4568*/ GIMT_Encode4(234982), // Rule ID 9351 //
     /*  234913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  234921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  234927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234953 */     // MIs[1] Operand 1
     /*  234953 */     // No operand predicates
     /*  234953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234962 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  234965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234980 */     GIR_RootConstrainSelectedInstOperands,
     /*  234981 */     // GIR_Coverage, 9351,
     /*  234981 */     GIR_EraseRootFromParent_Done,
     /*  234982 */   // Label 4568: @234982
     /*  234982 */   GIM_Try, /*On fail goto*//*Label 4569*/ GIMT_Encode4(235056), // Rule ID 9352 //
     /*  234987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  234995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  235001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235027 */     // MIs[1] Operand 1
     /*  235027 */     // No operand predicates
     /*  235027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235036 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  235036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  235039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235054 */     GIR_RootConstrainSelectedInstOperands,
     /*  235055 */     // GIR_Coverage, 9352,
     /*  235055 */     GIR_EraseRootFromParent_Done,
     /*  235056 */   // Label 4569: @235056
     /*  235056 */   GIM_Try, /*On fail goto*//*Label 4570*/ GIMT_Encode4(235130), // Rule ID 9355 //
     /*  235061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  235075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235101 */     // MIs[1] Operand 1
     /*  235101 */     // No operand predicates
     /*  235101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235110 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  235110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  235113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235128 */     GIR_RootConstrainSelectedInstOperands,
     /*  235129 */     // GIR_Coverage, 9355,
     /*  235129 */     GIR_EraseRootFromParent_Done,
     /*  235130 */   // Label 4570: @235130
     /*  235130 */   GIM_Try, /*On fail goto*//*Label 4571*/ GIMT_Encode4(235204), // Rule ID 9356 //
     /*  235135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  235149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235175 */     // MIs[1] Operand 1
     /*  235175 */     // No operand predicates
     /*  235175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235184 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  235187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235202 */     GIR_RootConstrainSelectedInstOperands,
     /*  235203 */     // GIR_Coverage, 9356,
     /*  235203 */     GIR_EraseRootFromParent_Done,
     /*  235204 */   // Label 4571: @235204
     /*  235204 */   GIM_Try, /*On fail goto*//*Label 4572*/ GIMT_Encode4(235278), // Rule ID 9359 //
     /*  235209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  235212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  235223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235249 */     // MIs[1] Operand 1
     /*  235249 */     // No operand predicates
     /*  235249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235258 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  235258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  235261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235276 */     GIR_RootConstrainSelectedInstOperands,
     /*  235277 */     // GIR_Coverage, 9359,
     /*  235277 */     GIR_EraseRootFromParent_Done,
     /*  235278 */   // Label 4572: @235278
     /*  235278 */   GIM_Try, /*On fail goto*//*Label 4573*/ GIMT_Encode4(235352), // Rule ID 9360 //
     /*  235283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  235286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  235297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235323 */     // MIs[1] Operand 1
     /*  235323 */     // No operand predicates
     /*  235323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235332 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  235332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  235335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235350 */     GIR_RootConstrainSelectedInstOperands,
     /*  235351 */     // GIR_Coverage, 9360,
     /*  235351 */     GIR_EraseRootFromParent_Done,
     /*  235352 */   // Label 4573: @235352
     /*  235352 */   GIM_Try, /*On fail goto*//*Label 4574*/ GIMT_Encode4(235426), // Rule ID 9363 //
     /*  235357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  235371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235397 */     // MIs[1] Operand 1
     /*  235397 */     // No operand predicates
     /*  235397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235406 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  235409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235424 */     GIR_RootConstrainSelectedInstOperands,
     /*  235425 */     // GIR_Coverage, 9363,
     /*  235425 */     GIR_EraseRootFromParent_Done,
     /*  235426 */   // Label 4574: @235426
     /*  235426 */   GIM_Try, /*On fail goto*//*Label 4575*/ GIMT_Encode4(235500), // Rule ID 9364 //
     /*  235431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  235445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235471 */     // MIs[1] Operand 1
     /*  235471 */     // No operand predicates
     /*  235471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235480 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  235483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235498 */     GIR_RootConstrainSelectedInstOperands,
     /*  235499 */     // GIR_Coverage, 9364,
     /*  235499 */     GIR_EraseRootFromParent_Done,
     /*  235500 */   // Label 4575: @235500
     /*  235500 */   GIM_Try, /*On fail goto*//*Label 4576*/ GIMT_Encode4(235574), // Rule ID 9367 //
     /*  235505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  235516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  235519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235545 */     // MIs[1] Operand 1
     /*  235545 */     // No operand predicates
     /*  235545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235554 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  235557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235572 */     GIR_RootConstrainSelectedInstOperands,
     /*  235573 */     // GIR_Coverage, 9367,
     /*  235573 */     GIR_EraseRootFromParent_Done,
     /*  235574 */   // Label 4576: @235574
     /*  235574 */   GIM_Try, /*On fail goto*//*Label 4577*/ GIMT_Encode4(235648), // Rule ID 9368 //
     /*  235579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  235590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  235593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235619 */     // MIs[1] Operand 1
     /*  235619 */     // No operand predicates
     /*  235619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235628 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  235631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235646 */     GIR_RootConstrainSelectedInstOperands,
     /*  235647 */     // GIR_Coverage, 9368,
     /*  235647 */     GIR_EraseRootFromParent_Done,
     /*  235648 */   // Label 4577: @235648
     /*  235648 */   GIM_Try, /*On fail goto*//*Label 4578*/ GIMT_Encode4(235722), // Rule ID 9371 //
     /*  235653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  235664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  235667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235693 */     // MIs[1] Operand 1
     /*  235693 */     // No operand predicates
     /*  235693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235702 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  235705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235720 */     GIR_RootConstrainSelectedInstOperands,
     /*  235721 */     // GIR_Coverage, 9371,
     /*  235721 */     GIR_EraseRootFromParent_Done,
     /*  235722 */   // Label 4578: @235722
     /*  235722 */   GIM_Try, /*On fail goto*//*Label 4579*/ GIMT_Encode4(235796), // Rule ID 9372 //
     /*  235727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  235738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  235741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235767 */     // MIs[1] Operand 1
     /*  235767 */     // No operand predicates
     /*  235767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235776 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  235779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235794 */     GIR_RootConstrainSelectedInstOperands,
     /*  235795 */     // GIR_Coverage, 9372,
     /*  235795 */     GIR_EraseRootFromParent_Done,
     /*  235796 */   // Label 4579: @235796
     /*  235796 */   GIM_Try, /*On fail goto*//*Label 4580*/ GIMT_Encode4(235870), // Rule ID 9375 //
     /*  235801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  235815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235841 */     // MIs[1] Operand 1
     /*  235841 */     // No operand predicates
     /*  235841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235850 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  235853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235868 */     GIR_RootConstrainSelectedInstOperands,
     /*  235869 */     // GIR_Coverage, 9375,
     /*  235869 */     GIR_EraseRootFromParent_Done,
     /*  235870 */   // Label 4580: @235870
     /*  235870 */   GIM_Try, /*On fail goto*//*Label 4581*/ GIMT_Encode4(235944), // Rule ID 9376 //
     /*  235875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  235889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235915 */     // MIs[1] Operand 1
     /*  235915 */     // No operand predicates
     /*  235915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235924 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  235924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  235927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235942 */     GIR_RootConstrainSelectedInstOperands,
     /*  235943 */     // GIR_Coverage, 9376,
     /*  235943 */     GIR_EraseRootFromParent_Done,
     /*  235944 */   // Label 4581: @235944
     /*  235944 */   GIM_Try, /*On fail goto*//*Label 4582*/ GIMT_Encode4(236018), // Rule ID 9379 //
     /*  235949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  235957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  235963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235989 */     // MIs[1] Operand 1
     /*  235989 */     // No operand predicates
     /*  235989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235998 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  236001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236016 */     GIR_RootConstrainSelectedInstOperands,
     /*  236017 */     // GIR_Coverage, 9379,
     /*  236017 */     GIR_EraseRootFromParent_Done,
     /*  236018 */   // Label 4582: @236018
     /*  236018 */   GIM_Try, /*On fail goto*//*Label 4583*/ GIMT_Encode4(236092), // Rule ID 9380 //
     /*  236023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  236034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  236037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236063 */     // MIs[1] Operand 1
     /*  236063 */     // No operand predicates
     /*  236063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236072 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  236075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236090 */     GIR_RootConstrainSelectedInstOperands,
     /*  236091 */     // GIR_Coverage, 9380,
     /*  236091 */     GIR_EraseRootFromParent_Done,
     /*  236092 */   // Label 4583: @236092
     /*  236092 */   GIM_Try, /*On fail goto*//*Label 4584*/ GIMT_Encode4(236166), // Rule ID 9383 //
     /*  236097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  236108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  236111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236137 */     // MIs[1] Operand 1
     /*  236137 */     // No operand predicates
     /*  236137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236146 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  236149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236164 */     GIR_RootConstrainSelectedInstOperands,
     /*  236165 */     // GIR_Coverage, 9383,
     /*  236165 */     GIR_EraseRootFromParent_Done,
     /*  236166 */   // Label 4584: @236166
     /*  236166 */   GIM_Try, /*On fail goto*//*Label 4585*/ GIMT_Encode4(236240), // Rule ID 9384 //
     /*  236171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  236182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  236185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236211 */     // MIs[1] Operand 1
     /*  236211 */     // No operand predicates
     /*  236211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236220 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  236223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236238 */     GIR_RootConstrainSelectedInstOperands,
     /*  236239 */     // GIR_Coverage, 9384,
     /*  236239 */     GIR_EraseRootFromParent_Done,
     /*  236240 */   // Label 4585: @236240
     /*  236240 */   GIM_Try, /*On fail goto*//*Label 4586*/ GIMT_Encode4(236314), // Rule ID 9387 //
     /*  236245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  236259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236285 */     // MIs[1] Operand 1
     /*  236285 */     // No operand predicates
     /*  236285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236294 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  236294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  236297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236312 */     GIR_RootConstrainSelectedInstOperands,
     /*  236313 */     // GIR_Coverage, 9387,
     /*  236313 */     GIR_EraseRootFromParent_Done,
     /*  236314 */   // Label 4586: @236314
     /*  236314 */   GIM_Try, /*On fail goto*//*Label 4587*/ GIMT_Encode4(236388), // Rule ID 9388 //
     /*  236319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  236333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236359 */     // MIs[1] Operand 1
     /*  236359 */     // No operand predicates
     /*  236359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236368 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  236368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  236371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236386 */     GIR_RootConstrainSelectedInstOperands,
     /*  236387 */     // GIR_Coverage, 9388,
     /*  236387 */     GIR_EraseRootFromParent_Done,
     /*  236388 */   // Label 4587: @236388
     /*  236388 */   GIM_Try, /*On fail goto*//*Label 4588*/ GIMT_Encode4(236462), // Rule ID 9391 //
     /*  236393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  236407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236433 */     // MIs[1] Operand 1
     /*  236433 */     // No operand predicates
     /*  236433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236442 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  236442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  236445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236460 */     GIR_RootConstrainSelectedInstOperands,
     /*  236461 */     // GIR_Coverage, 9391,
     /*  236461 */     GIR_EraseRootFromParent_Done,
     /*  236462 */   // Label 4588: @236462
     /*  236462 */   GIM_Try, /*On fail goto*//*Label 4589*/ GIMT_Encode4(236536), // Rule ID 9392 //
     /*  236467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  236481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236507 */     // MIs[1] Operand 1
     /*  236507 */     // No operand predicates
     /*  236507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236516 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  236516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  236519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236534 */     GIR_RootConstrainSelectedInstOperands,
     /*  236535 */     // GIR_Coverage, 9392,
     /*  236535 */     GIR_EraseRootFromParent_Done,
     /*  236536 */   // Label 4589: @236536
     /*  236536 */   GIM_Try, /*On fail goto*//*Label 4590*/ GIMT_Encode4(236610), // Rule ID 9395 //
     /*  236541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  236552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  236555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236581 */     // MIs[1] Operand 1
     /*  236581 */     // No operand predicates
     /*  236581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236590 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  236590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  236593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236608 */     GIR_RootConstrainSelectedInstOperands,
     /*  236609 */     // GIR_Coverage, 9395,
     /*  236609 */     GIR_EraseRootFromParent_Done,
     /*  236610 */   // Label 4590: @236610
     /*  236610 */   GIM_Try, /*On fail goto*//*Label 4591*/ GIMT_Encode4(236684), // Rule ID 9396 //
     /*  236615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  236626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  236629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236655 */     // MIs[1] Operand 1
     /*  236655 */     // No operand predicates
     /*  236655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236664 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  236664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  236667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236682 */     GIR_RootConstrainSelectedInstOperands,
     /*  236683 */     // GIR_Coverage, 9396,
     /*  236683 */     GIR_EraseRootFromParent_Done,
     /*  236684 */   // Label 4591: @236684
     /*  236684 */   GIM_Try, /*On fail goto*//*Label 4592*/ GIMT_Encode4(236758), // Rule ID 9399 //
     /*  236689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  236692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  236703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236729 */     // MIs[1] Operand 1
     /*  236729 */     // No operand predicates
     /*  236729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236738 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  236738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  236741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236756 */     GIR_RootConstrainSelectedInstOperands,
     /*  236757 */     // GIR_Coverage, 9399,
     /*  236757 */     GIR_EraseRootFromParent_Done,
     /*  236758 */   // Label 4592: @236758
     /*  236758 */   GIM_Try, /*On fail goto*//*Label 4593*/ GIMT_Encode4(236832), // Rule ID 9400 //
     /*  236763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  236766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  236777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236803 */     // MIs[1] Operand 1
     /*  236803 */     // No operand predicates
     /*  236803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236812 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  236812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  236815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236830 */     GIR_RootConstrainSelectedInstOperands,
     /*  236831 */     // GIR_Coverage, 9400,
     /*  236831 */     GIR_EraseRootFromParent_Done,
     /*  236832 */   // Label 4593: @236832
     /*  236832 */   GIM_Try, /*On fail goto*//*Label 4594*/ GIMT_Encode4(236906), // Rule ID 9403 //
     /*  236837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  236840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  236851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236877 */     // MIs[1] Operand 1
     /*  236877 */     // No operand predicates
     /*  236877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236886 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  236886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  236889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236904 */     GIR_RootConstrainSelectedInstOperands,
     /*  236905 */     // GIR_Coverage, 9403,
     /*  236905 */     GIR_EraseRootFromParent_Done,
     /*  236906 */   // Label 4594: @236906
     /*  236906 */   GIM_Try, /*On fail goto*//*Label 4595*/ GIMT_Encode4(236980), // Rule ID 9404 //
     /*  236911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  236914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  236925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236951 */     // MIs[1] Operand 1
     /*  236951 */     // No operand predicates
     /*  236951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236960 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  236960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  236963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236978 */     GIR_RootConstrainSelectedInstOperands,
     /*  236979 */     // GIR_Coverage, 9404,
     /*  236979 */     GIR_EraseRootFromParent_Done,
     /*  236980 */   // Label 4595: @236980
     /*  236980 */   GIM_Try, /*On fail goto*//*Label 4596*/ GIMT_Encode4(237054), // Rule ID 9407 //
     /*  236985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  236988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  236993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  236999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237025 */     // MIs[1] Operand 1
     /*  237025 */     // No operand predicates
     /*  237025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237034 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  237034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237052 */     GIR_RootConstrainSelectedInstOperands,
     /*  237053 */     // GIR_Coverage, 9407,
     /*  237053 */     GIR_EraseRootFromParent_Done,
     /*  237054 */   // Label 4596: @237054
     /*  237054 */   GIM_Try, /*On fail goto*//*Label 4597*/ GIMT_Encode4(237128), // Rule ID 9408 //
     /*  237059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  237062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  237067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  237073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237099 */     // MIs[1] Operand 1
     /*  237099 */     // No operand predicates
     /*  237099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237108 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  237108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  237111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237126 */     GIR_RootConstrainSelectedInstOperands,
     /*  237127 */     // GIR_Coverage, 9408,
     /*  237127 */     GIR_EraseRootFromParent_Done,
     /*  237128 */   // Label 4597: @237128
     /*  237128 */   GIM_Try, /*On fail goto*//*Label 4598*/ GIMT_Encode4(237184), // Rule ID 63849 //
     /*  237133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  237136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bitrev),
     /*  237141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  237144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  237147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  237151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  237155 */     // MIs[0] pts
     /*  237155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  237158 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  237163 */     // MIs[0] radix
     /*  237163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  237166 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm2),
     /*  237171 */     // (intrinsic_wo_chain:{ *:[i32] } 10894:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts)
     /*  237171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /*  237174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237178 */     GIR_RootToRootCopy, /*OpIdx*/4, // radix
     /*  237180 */     GIR_RootToRootCopy, /*OpIdx*/3, // pts
     /*  237182 */     GIR_RootConstrainSelectedInstOperands,
     /*  237183 */     // GIR_Coverage, 63849,
     /*  237183 */     GIR_EraseRootFromParent_Done,
     /*  237184 */   // Label 4598: @237184
     /*  237184 */   GIM_Try, /*On fail goto*//*Label 4599*/ GIMT_Encode4(237247), // Rule ID 2545 //
     /*  237189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  237192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  237197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  237200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  237203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  237206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  237213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  237221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237228 */     // (intrinsic_wo_chain:{ *:[i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  237228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  237231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237235 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  237237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237245 */     GIR_RootConstrainSelectedInstOperands,
     /*  237246 */     // GIR_Coverage, 2545,
     /*  237246 */     GIR_EraseRootFromParent_Done,
     /*  237247 */   // Label 4599: @237247
     /*  237247 */   GIM_Try, /*On fail goto*//*Label 4600*/ GIMT_Encode4(237310), // Rule ID 2546 //
     /*  237252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  237255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  237260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  237263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  237266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  237269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  237276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  237284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237291 */     // (intrinsic_wo_chain:{ *:[i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  237291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  237294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237298 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  237300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237308 */     GIR_RootConstrainSelectedInstOperands,
     /*  237309 */     // GIR_Coverage, 2546,
     /*  237309 */     GIR_EraseRootFromParent_Done,
     /*  237310 */   // Label 4600: @237310
     /*  237310 */   GIM_Try, /*On fail goto*//*Label 4601*/ GIMT_Encode4(237376), // Rule ID 2553 //
     /*  237315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  237323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  237326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  237329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  237332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237354 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  237354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  237357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237374 */     GIR_RootConstrainSelectedInstOperands,
     /*  237375 */     // GIR_Coverage, 2553,
     /*  237375 */     GIR_EraseRootFromParent_Done,
     /*  237376 */   // Label 4601: @237376
     /*  237376 */   GIM_Try, /*On fail goto*//*Label 4602*/ GIMT_Encode4(237442), // Rule ID 2554 //
     /*  237381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  237389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  237392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  237395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  237398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237420 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  237420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  237423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237440 */     GIR_RootConstrainSelectedInstOperands,
     /*  237441 */     // GIR_Coverage, 2554,
     /*  237441 */     GIR_EraseRootFromParent_Done,
     /*  237442 */   // Label 4602: @237442
     /*  237442 */   GIM_Try, /*On fail goto*//*Label 4603*/ GIMT_Encode4(237508), // Rule ID 2557 //
     /*  237447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  237455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  237458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  237461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  237464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237486 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  237486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  237489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237506 */     GIR_RootConstrainSelectedInstOperands,
     /*  237507 */     // GIR_Coverage, 2557,
     /*  237507 */     GIR_EraseRootFromParent_Done,
     /*  237508 */   // Label 4603: @237508
     /*  237508 */   GIM_Try, /*On fail goto*//*Label 4604*/ GIMT_Encode4(237574), // Rule ID 2558 //
     /*  237513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  237521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  237524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  237527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  237530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237552 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  237552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  237555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237572 */     GIR_RootConstrainSelectedInstOperands,
     /*  237573 */     // GIR_Coverage, 2558,
     /*  237573 */     GIR_EraseRootFromParent_Done,
     /*  237574 */   // Label 4604: @237574
     /*  237574 */   GIM_Try, /*On fail goto*//*Label 4605*/ GIMT_Encode4(237640), // Rule ID 2561 //
     /*  237579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  237582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  237587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  237590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  237593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  237596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237618 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  237618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  237621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237638 */     GIR_RootConstrainSelectedInstOperands,
     /*  237639 */     // GIR_Coverage, 2561,
     /*  237639 */     GIR_EraseRootFromParent_Done,
     /*  237640 */   // Label 4605: @237640
     /*  237640 */   GIM_Try, /*On fail goto*//*Label 4606*/ GIMT_Encode4(237706), // Rule ID 2562 //
     /*  237645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  237648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  237653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  237656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  237659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  237662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237684 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  237684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  237687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237704 */     GIR_RootConstrainSelectedInstOperands,
     /*  237705 */     // GIR_Coverage, 2562,
     /*  237705 */     GIR_EraseRootFromParent_Done,
     /*  237706 */   // Label 4606: @237706
     /*  237706 */   GIM_Try, /*On fail goto*//*Label 4607*/ GIMT_Encode4(237769), // Rule ID 2575 //
     /*  237711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  237719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  237725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  237728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237750 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  237750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  237753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237767 */     GIR_RootConstrainSelectedInstOperands,
     /*  237768 */     // GIR_Coverage, 2575,
     /*  237768 */     GIR_EraseRootFromParent_Done,
     /*  237769 */   // Label 4607: @237769
     /*  237769 */   GIM_Try, /*On fail goto*//*Label 4608*/ GIMT_Encode4(237832), // Rule ID 2576 //
     /*  237774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  237782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  237788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  237791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237813 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  237813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  237816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237830 */     GIR_RootConstrainSelectedInstOperands,
     /*  237831 */     // GIR_Coverage, 2576,
     /*  237831 */     GIR_EraseRootFromParent_Done,
     /*  237832 */   // Label 4608: @237832
     /*  237832 */   GIM_Try, /*On fail goto*//*Label 4609*/ GIMT_Encode4(237895), // Rule ID 2587 //
     /*  237837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  237851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  237854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237876 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  237876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  237879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  237883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  237885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237893 */     GIR_RootConstrainSelectedInstOperands,
     /*  237894 */     // GIR_Coverage, 2587,
     /*  237894 */     GIR_EraseRootFromParent_Done,
     /*  237895 */   // Label 4609: @237895
     /*  237895 */   GIM_Try, /*On fail goto*//*Label 4610*/ GIMT_Encode4(237958), // Rule ID 2588 //
     /*  237900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  237914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  237917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237939 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  237939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  237942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  237946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  237948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237956 */     GIR_RootConstrainSelectedInstOperands,
     /*  237957 */     // GIR_Coverage, 2588,
     /*  237957 */     GIR_EraseRootFromParent_Done,
     /*  237958 */   // Label 4610: @237958
     /*  237958 */   GIM_Try, /*On fail goto*//*Label 4611*/ GIMT_Encode4(238021), // Rule ID 2595 //
     /*  237963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  237971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  237977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  237980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238002 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  238002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  238005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238019 */     GIR_RootConstrainSelectedInstOperands,
     /*  238020 */     // GIR_Coverage, 2595,
     /*  238020 */     GIR_EraseRootFromParent_Done,
     /*  238021 */   // Label 4611: @238021
     /*  238021 */   GIM_Try, /*On fail goto*//*Label 4612*/ GIMT_Encode4(238084), // Rule ID 2596 //
     /*  238026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  238034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  238037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  238040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  238043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238065 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  238065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  238068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238082 */     GIR_RootConstrainSelectedInstOperands,
     /*  238083 */     // GIR_Coverage, 2596,
     /*  238083 */     GIR_EraseRootFromParent_Done,
     /*  238084 */   // Label 4612: @238084
     /*  238084 */   GIM_Try, /*On fail goto*//*Label 4613*/ GIMT_Encode4(238150), // Rule ID 2597 //
     /*  238089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  238092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  238097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  238100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  238103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  238106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238128 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  238128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  238131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238148 */     GIR_RootConstrainSelectedInstOperands,
     /*  238149 */     // GIR_Coverage, 2597,
     /*  238149 */     GIR_EraseRootFromParent_Done,
     /*  238150 */   // Label 4613: @238150
     /*  238150 */   GIM_Try, /*On fail goto*//*Label 4614*/ GIMT_Encode4(238216), // Rule ID 2598 //
     /*  238155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  238158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  238163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  238166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  238169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  238172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238194 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  238194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  238197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238214 */     GIR_RootConstrainSelectedInstOperands,
     /*  238215 */     // GIR_Coverage, 2598,
     /*  238215 */     GIR_EraseRootFromParent_Done,
     /*  238216 */   // Label 4614: @238216
     /*  238216 */   GIM_Try, /*On fail goto*//*Label 4615*/ GIMT_Encode4(238279), // Rule ID 2609 //
     /*  238221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  238229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  238232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  238235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  238238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  238260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  238263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238277 */     GIR_RootConstrainSelectedInstOperands,
     /*  238278 */     // GIR_Coverage, 2609,
     /*  238278 */     GIR_EraseRootFromParent_Done,
     /*  238279 */   // Label 4615: @238279
     /*  238279 */   GIM_Try, /*On fail goto*//*Label 4616*/ GIMT_Encode4(238342), // Rule ID 2610 //
     /*  238284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  238292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  238295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  238298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  238301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238323 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  238323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  238326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238340 */     GIR_RootConstrainSelectedInstOperands,
     /*  238341 */     // GIR_Coverage, 2610,
     /*  238341 */     GIR_EraseRootFromParent_Done,
     /*  238342 */   // Label 4616: @238342
     /*  238342 */   GIM_Try, /*On fail goto*//*Label 4617*/ GIMT_Encode4(238408), // Rule ID 4749 //
     /*  238347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  238355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  238358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  238361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  238364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238386 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  238386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  238389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238406 */     GIR_RootConstrainSelectedInstOperands,
     /*  238407 */     // GIR_Coverage, 4749,
     /*  238407 */     GIR_EraseRootFromParent_Done,
     /*  238408 */   // Label 4617: @238408
     /*  238408 */   GIM_Try, /*On fail goto*//*Label 4618*/ GIMT_Encode4(238474), // Rule ID 4750 //
     /*  238413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  238421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  238424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  238427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  238430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238452 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  238452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  238455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238472 */     GIR_RootConstrainSelectedInstOperands,
     /*  238473 */     // GIR_Coverage, 4750,
     /*  238473 */     GIR_EraseRootFromParent_Done,
     /*  238474 */   // Label 4618: @238474
     /*  238474 */   GIM_Try, /*On fail goto*//*Label 4619*/ GIMT_Encode4(238540), // Rule ID 4753 //
     /*  238479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  238487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  238490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  238493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  238496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238518 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  238518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  238521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238538 */     GIR_RootConstrainSelectedInstOperands,
     /*  238539 */     // GIR_Coverage, 4753,
     /*  238539 */     GIR_EraseRootFromParent_Done,
     /*  238540 */   // Label 4619: @238540
     /*  238540 */   GIM_Try, /*On fail goto*//*Label 4620*/ GIMT_Encode4(238606), // Rule ID 4754 //
     /*  238545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  238553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  238556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  238559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  238562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238584 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11576:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  238584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  238587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238604 */     GIR_RootConstrainSelectedInstOperands,
     /*  238605 */     // GIR_Coverage, 4754,
     /*  238605 */     GIR_EraseRootFromParent_Done,
     /*  238606 */   // Label 4620: @238606
     /*  238606 */   GIM_Try, /*On fail goto*//*Label 4621*/ GIMT_Encode4(238672), // Rule ID 4757 //
     /*  238611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  238619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  238622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  238625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  238628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238650 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  238650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  238653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238670 */     GIR_RootConstrainSelectedInstOperands,
     /*  238671 */     // GIR_Coverage, 4757,
     /*  238671 */     GIR_EraseRootFromParent_Done,
     /*  238672 */   // Label 4621: @238672
     /*  238672 */   GIM_Try, /*On fail goto*//*Label 4622*/ GIMT_Encode4(238738), // Rule ID 4758 //
     /*  238677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  238685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  238688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  238691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  238694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238716 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  238716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  238719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238736 */     GIR_RootConstrainSelectedInstOperands,
     /*  238737 */     // GIR_Coverage, 4758,
     /*  238737 */     GIR_EraseRootFromParent_Done,
     /*  238738 */   // Label 4622: @238738
     /*  238738 */   GIM_Try, /*On fail goto*//*Label 4623*/ GIMT_Encode4(238804), // Rule ID 4761 //
     /*  238743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  238751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  238754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  238757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  238760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238782 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  238782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  238785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238802 */     GIR_RootConstrainSelectedInstOperands,
     /*  238803 */     // GIR_Coverage, 4761,
     /*  238803 */     GIR_EraseRootFromParent_Done,
     /*  238804 */   // Label 4623: @238804
     /*  238804 */   GIM_Try, /*On fail goto*//*Label 4624*/ GIMT_Encode4(238870), // Rule ID 4762 //
     /*  238809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  238817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  238820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  238823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  238826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238848 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  238848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  238851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238868 */     GIR_RootConstrainSelectedInstOperands,
     /*  238869 */     // GIR_Coverage, 4762,
     /*  238869 */     GIR_EraseRootFromParent_Done,
     /*  238870 */   // Label 4624: @238870
     /*  238870 */   GIM_Try, /*On fail goto*//*Label 4625*/ GIMT_Encode4(238936), // Rule ID 4765 //
     /*  238875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  238883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  238886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  238889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  238892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238914 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  238914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  238917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238934 */     GIR_RootConstrainSelectedInstOperands,
     /*  238935 */     // GIR_Coverage, 4765,
     /*  238935 */     GIR_EraseRootFromParent_Done,
     /*  238936 */   // Label 4625: @238936
     /*  238936 */   GIM_Try, /*On fail goto*//*Label 4626*/ GIMT_Encode4(239002), // Rule ID 4766 //
     /*  238941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  238949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  238952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  238955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  238958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238980 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  238980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  238983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239000 */     GIR_RootConstrainSelectedInstOperands,
     /*  239001 */     // GIR_Coverage, 4766,
     /*  239001 */     GIR_EraseRootFromParent_Done,
     /*  239002 */   // Label 4626: @239002
     /*  239002 */   GIM_Try, /*On fail goto*//*Label 4627*/ GIMT_Encode4(239068), // Rule ID 4769 //
     /*  239007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  239018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  239021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  239046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  239049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239066 */     GIR_RootConstrainSelectedInstOperands,
     /*  239067 */     // GIR_Coverage, 4769,
     /*  239067 */     GIR_EraseRootFromParent_Done,
     /*  239068 */   // Label 4627: @239068
     /*  239068 */   GIM_Try, /*On fail goto*//*Label 4628*/ GIMT_Encode4(239134), // Rule ID 4770 //
     /*  239073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  239084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  239087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239112 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  239112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  239115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239132 */     GIR_RootConstrainSelectedInstOperands,
     /*  239133 */     // GIR_Coverage, 4770,
     /*  239133 */     GIR_EraseRootFromParent_Done,
     /*  239134 */   // Label 4628: @239134
     /*  239134 */   GIM_Try, /*On fail goto*//*Label 4629*/ GIMT_Encode4(239200), // Rule ID 4773 //
     /*  239139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  239150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  239153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  239156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  239178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  239181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239198 */     GIR_RootConstrainSelectedInstOperands,
     /*  239199 */     // GIR_Coverage, 4773,
     /*  239199 */     GIR_EraseRootFromParent_Done,
     /*  239200 */   // Label 4629: @239200
     /*  239200 */   GIM_Try, /*On fail goto*//*Label 4630*/ GIMT_Encode4(239266), // Rule ID 4774 //
     /*  239205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  239216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  239219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  239222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239244 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  239244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  239247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239264 */     GIR_RootConstrainSelectedInstOperands,
     /*  239265 */     // GIR_Coverage, 4774,
     /*  239265 */     GIR_EraseRootFromParent_Done,
     /*  239266 */   // Label 4630: @239266
     /*  239266 */   GIM_Try, /*On fail goto*//*Label 4631*/ GIMT_Encode4(239332), // Rule ID 4777 //
     /*  239271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  239282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  239285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  239288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239310 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  239310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  239313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239330 */     GIR_RootConstrainSelectedInstOperands,
     /*  239331 */     // GIR_Coverage, 4777,
     /*  239331 */     GIR_EraseRootFromParent_Done,
     /*  239332 */   // Label 4631: @239332
     /*  239332 */   GIM_Try, /*On fail goto*//*Label 4632*/ GIMT_Encode4(239398), // Rule ID 4778 //
     /*  239337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  239348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  239351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  239354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239376 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  239376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  239379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239396 */     GIR_RootConstrainSelectedInstOperands,
     /*  239397 */     // GIR_Coverage, 4778,
     /*  239397 */     GIR_EraseRootFromParent_Done,
     /*  239398 */   // Label 4632: @239398
     /*  239398 */   GIM_Try, /*On fail goto*//*Label 4633*/ GIMT_Encode4(239464), // Rule ID 4781 //
     /*  239403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  239414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  239417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  239420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239442 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  239442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  239445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239462 */     GIR_RootConstrainSelectedInstOperands,
     /*  239463 */     // GIR_Coverage, 4781,
     /*  239463 */     GIR_EraseRootFromParent_Done,
     /*  239464 */   // Label 4633: @239464
     /*  239464 */   GIM_Try, /*On fail goto*//*Label 4634*/ GIMT_Encode4(239530), // Rule ID 4782 //
     /*  239469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  239480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  239483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  239486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239508 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  239508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  239511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239528 */     GIR_RootConstrainSelectedInstOperands,
     /*  239529 */     // GIR_Coverage, 4782,
     /*  239529 */     GIR_EraseRootFromParent_Done,
     /*  239530 */   // Label 4634: @239530
     /*  239530 */   GIM_Try, /*On fail goto*//*Label 4635*/ GIMT_Encode4(239596), // Rule ID 4785 //
     /*  239535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  239546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  239549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  239552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239574 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  239574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  239577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239594 */     GIR_RootConstrainSelectedInstOperands,
     /*  239595 */     // GIR_Coverage, 4785,
     /*  239595 */     GIR_EraseRootFromParent_Done,
     /*  239596 */   // Label 4635: @239596
     /*  239596 */   GIM_Try, /*On fail goto*//*Label 4636*/ GIMT_Encode4(239662), // Rule ID 4786 //
     /*  239601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  239612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  239615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  239618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239640 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  239640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  239643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239660 */     GIR_RootConstrainSelectedInstOperands,
     /*  239661 */     // GIR_Coverage, 4786,
     /*  239661 */     GIR_EraseRootFromParent_Done,
     /*  239662 */   // Label 4636: @239662
     /*  239662 */   GIM_Try, /*On fail goto*//*Label 4637*/ GIMT_Encode4(239728), // Rule ID 4789 //
     /*  239667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  239670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  239678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  239681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  239684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239706 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  239706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  239709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239726 */     GIR_RootConstrainSelectedInstOperands,
     /*  239727 */     // GIR_Coverage, 4789,
     /*  239727 */     GIR_EraseRootFromParent_Done,
     /*  239728 */   // Label 4637: @239728
     /*  239728 */   GIM_Try, /*On fail goto*//*Label 4638*/ GIMT_Encode4(239794), // Rule ID 4790 //
     /*  239733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  239736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  239744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  239747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  239750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239772 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  239772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  239775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239792 */     GIR_RootConstrainSelectedInstOperands,
     /*  239793 */     // GIR_Coverage, 4790,
     /*  239793 */     GIR_EraseRootFromParent_Done,
     /*  239794 */   // Label 4638: @239794
     /*  239794 */   GIM_Try, /*On fail goto*//*Label 4639*/ GIMT_Encode4(239860), // Rule ID 4793 //
     /*  239799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  239802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  239810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  239813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  239816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239838 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  239838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  239841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239858 */     GIR_RootConstrainSelectedInstOperands,
     /*  239859 */     // GIR_Coverage, 4793,
     /*  239859 */     GIR_EraseRootFromParent_Done,
     /*  239860 */   // Label 4639: @239860
     /*  239860 */   GIM_Try, /*On fail goto*//*Label 4640*/ GIMT_Encode4(239926), // Rule ID 4794 //
     /*  239865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  239868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  239876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  239879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  239882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239904 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  239904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  239907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239924 */     GIR_RootConstrainSelectedInstOperands,
     /*  239925 */     // GIR_Coverage, 4794,
     /*  239925 */     GIR_EraseRootFromParent_Done,
     /*  239926 */   // Label 4640: @239926
     /*  239926 */   GIM_Try, /*On fail goto*//*Label 4641*/ GIMT_Encode4(239992), // Rule ID 4797 //
     /*  239931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  239934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  239939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  239942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  239945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  239948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239970 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  239970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  239973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239990 */     GIR_RootConstrainSelectedInstOperands,
     /*  239991 */     // GIR_Coverage, 4797,
     /*  239991 */     GIR_EraseRootFromParent_Done,
     /*  239992 */   // Label 4641: @239992
     /*  239992 */   GIM_Try, /*On fail goto*//*Label 4642*/ GIMT_Encode4(240058), // Rule ID 4798 //
     /*  239997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  240000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  240008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  240011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  240014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240036 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  240036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  240039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240056 */     GIR_RootConstrainSelectedInstOperands,
     /*  240057 */     // GIR_Coverage, 4798,
     /*  240057 */     GIR_EraseRootFromParent_Done,
     /*  240058 */   // Label 4642: @240058
     /*  240058 */   GIM_Try, /*On fail goto*//*Label 4643*/ GIMT_Encode4(240124), // Rule ID 4801 //
     /*  240063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  240066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  240074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  240077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  240080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240102 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  240102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  240105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240122 */     GIR_RootConstrainSelectedInstOperands,
     /*  240123 */     // GIR_Coverage, 4801,
     /*  240123 */     GIR_EraseRootFromParent_Done,
     /*  240124 */   // Label 4643: @240124
     /*  240124 */   GIM_Try, /*On fail goto*//*Label 4644*/ GIMT_Encode4(240190), // Rule ID 4802 //
     /*  240129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  240132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  240140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  240143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  240146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240168 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  240168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  240171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240188 */     GIR_RootConstrainSelectedInstOperands,
     /*  240189 */     // GIR_Coverage, 4802,
     /*  240189 */     GIR_EraseRootFromParent_Done,
     /*  240190 */   // Label 4644: @240190
     /*  240190 */   GIM_Try, /*On fail goto*//*Label 4645*/ GIMT_Encode4(240256), // Rule ID 4805 //
     /*  240195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  240206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  240209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  240212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240234 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  240237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240254 */     GIR_RootConstrainSelectedInstOperands,
     /*  240255 */     // GIR_Coverage, 4805,
     /*  240255 */     GIR_EraseRootFromParent_Done,
     /*  240256 */   // Label 4645: @240256
     /*  240256 */   GIM_Try, /*On fail goto*//*Label 4646*/ GIMT_Encode4(240322), // Rule ID 4806 //
     /*  240261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  240272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  240275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  240278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240300 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  240303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240320 */     GIR_RootConstrainSelectedInstOperands,
     /*  240321 */     // GIR_Coverage, 4806,
     /*  240321 */     GIR_EraseRootFromParent_Done,
     /*  240322 */   // Label 4646: @240322
     /*  240322 */   GIM_Try, /*On fail goto*//*Label 4647*/ GIMT_Encode4(240388), // Rule ID 4809 //
     /*  240327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  240338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  240341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  240344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240366 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  240369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240386 */     GIR_RootConstrainSelectedInstOperands,
     /*  240387 */     // GIR_Coverage, 4809,
     /*  240387 */     GIR_EraseRootFromParent_Done,
     /*  240388 */   // Label 4647: @240388
     /*  240388 */   GIM_Try, /*On fail goto*//*Label 4648*/ GIMT_Encode4(240454), // Rule ID 4810 //
     /*  240393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  240404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  240407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  240410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240432 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11576:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  240435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240452 */     GIR_RootConstrainSelectedInstOperands,
     /*  240453 */     // GIR_Coverage, 4810,
     /*  240453 */     GIR_EraseRootFromParent_Done,
     /*  240454 */   // Label 4648: @240454
     /*  240454 */   GIM_Try, /*On fail goto*//*Label 4649*/ GIMT_Encode4(240520), // Rule ID 4813 //
     /*  240459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  240470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  240473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  240476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240498 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  240501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240518 */     GIR_RootConstrainSelectedInstOperands,
     /*  240519 */     // GIR_Coverage, 4813,
     /*  240519 */     GIR_EraseRootFromParent_Done,
     /*  240520 */   // Label 4649: @240520
     /*  240520 */   GIM_Try, /*On fail goto*//*Label 4650*/ GIMT_Encode4(240586), // Rule ID 4814 //
     /*  240525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  240536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  240539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  240542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240564 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  240567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240584 */     GIR_RootConstrainSelectedInstOperands,
     /*  240585 */     // GIR_Coverage, 4814,
     /*  240585 */     GIR_EraseRootFromParent_Done,
     /*  240586 */   // Label 4650: @240586
     /*  240586 */   GIM_Try, /*On fail goto*//*Label 4651*/ GIMT_Encode4(240652), // Rule ID 4817 //
     /*  240591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  240602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  240605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  240608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240630 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  240633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240650 */     GIR_RootConstrainSelectedInstOperands,
     /*  240651 */     // GIR_Coverage, 4817,
     /*  240651 */     GIR_EraseRootFromParent_Done,
     /*  240652 */   // Label 4651: @240652
     /*  240652 */   GIM_Try, /*On fail goto*//*Label 4652*/ GIMT_Encode4(240718), // Rule ID 4818 //
     /*  240657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  240668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  240671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  240674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240696 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  240699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240716 */     GIR_RootConstrainSelectedInstOperands,
     /*  240717 */     // GIR_Coverage, 4818,
     /*  240717 */     GIR_EraseRootFromParent_Done,
     /*  240718 */   // Label 4652: @240718
     /*  240718 */   GIM_Try, /*On fail goto*//*Label 4653*/ GIMT_Encode4(240784), // Rule ID 4821 //
     /*  240723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  240734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  240737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  240740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240762 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  240762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  240765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240782 */     GIR_RootConstrainSelectedInstOperands,
     /*  240783 */     // GIR_Coverage, 4821,
     /*  240783 */     GIR_EraseRootFromParent_Done,
     /*  240784 */   // Label 4653: @240784
     /*  240784 */   GIM_Try, /*On fail goto*//*Label 4654*/ GIMT_Encode4(240850), // Rule ID 4822 //
     /*  240789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  240800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  240803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  240806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240828 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  240828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  240831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240848 */     GIR_RootConstrainSelectedInstOperands,
     /*  240849 */     // GIR_Coverage, 4822,
     /*  240849 */     GIR_EraseRootFromParent_Done,
     /*  240850 */   // Label 4654: @240850
     /*  240850 */   GIM_Try, /*On fail goto*//*Label 4655*/ GIMT_Encode4(240916), // Rule ID 4825 //
     /*  240855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  240858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  240866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  240869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  240872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240894 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  240894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  240897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240914 */     GIR_RootConstrainSelectedInstOperands,
     /*  240915 */     // GIR_Coverage, 4825,
     /*  240915 */     GIR_EraseRootFromParent_Done,
     /*  240916 */   // Label 4655: @240916
     /*  240916 */   GIM_Try, /*On fail goto*//*Label 4656*/ GIMT_Encode4(240982), // Rule ID 4826 //
     /*  240921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  240924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  240932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  240935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  240938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240960 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  240960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  240963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240980 */     GIR_RootConstrainSelectedInstOperands,
     /*  240981 */     // GIR_Coverage, 4826,
     /*  240981 */     GIR_EraseRootFromParent_Done,
     /*  240982 */   // Label 4656: @240982
     /*  240982 */   GIM_Try, /*On fail goto*//*Label 4657*/ GIMT_Encode4(241048), // Rule ID 4829 //
     /*  240987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  240990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  240995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  240998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  241001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  241004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241026 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  241029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241046 */     GIR_RootConstrainSelectedInstOperands,
     /*  241047 */     // GIR_Coverage, 4829,
     /*  241047 */     GIR_EraseRootFromParent_Done,
     /*  241048 */   // Label 4657: @241048
     /*  241048 */   GIM_Try, /*On fail goto*//*Label 4658*/ GIMT_Encode4(241114), // Rule ID 4830 //
     /*  241053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  241064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  241067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  241070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241092 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  241095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241112 */     GIR_RootConstrainSelectedInstOperands,
     /*  241113 */     // GIR_Coverage, 4830,
     /*  241113 */     GIR_EraseRootFromParent_Done,
     /*  241114 */   // Label 4658: @241114
     /*  241114 */   GIM_Try, /*On fail goto*//*Label 4659*/ GIMT_Encode4(241180), // Rule ID 4833 //
     /*  241119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  241130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  241133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  241136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241158 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  241161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241178 */     GIR_RootConstrainSelectedInstOperands,
     /*  241179 */     // GIR_Coverage, 4833,
     /*  241179 */     GIR_EraseRootFromParent_Done,
     /*  241180 */   // Label 4659: @241180
     /*  241180 */   GIM_Try, /*On fail goto*//*Label 4660*/ GIMT_Encode4(241246), // Rule ID 4834 //
     /*  241185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  241196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  241199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  241202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241224 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  241227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241244 */     GIR_RootConstrainSelectedInstOperands,
     /*  241245 */     // GIR_Coverage, 4834,
     /*  241245 */     GIR_EraseRootFromParent_Done,
     /*  241246 */   // Label 4660: @241246
     /*  241246 */   GIM_Try, /*On fail goto*//*Label 4661*/ GIMT_Encode4(241312), // Rule ID 4837 //
     /*  241251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  241262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  241265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  241268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241290 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  241293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241310 */     GIR_RootConstrainSelectedInstOperands,
     /*  241311 */     // GIR_Coverage, 4837,
     /*  241311 */     GIR_EraseRootFromParent_Done,
     /*  241312 */   // Label 4661: @241312
     /*  241312 */   GIM_Try, /*On fail goto*//*Label 4662*/ GIMT_Encode4(241378), // Rule ID 4838 //
     /*  241317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  241328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  241331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  241334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241356 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  241359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241376 */     GIR_RootConstrainSelectedInstOperands,
     /*  241377 */     // GIR_Coverage, 4838,
     /*  241377 */     GIR_EraseRootFromParent_Done,
     /*  241378 */   // Label 4662: @241378
     /*  241378 */   GIM_Try, /*On fail goto*//*Label 4663*/ GIMT_Encode4(241444), // Rule ID 4841 //
     /*  241383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  241394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  241397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  241400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  241425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241442 */     GIR_RootConstrainSelectedInstOperands,
     /*  241443 */     // GIR_Coverage, 4841,
     /*  241443 */     GIR_EraseRootFromParent_Done,
     /*  241444 */   // Label 4663: @241444
     /*  241444 */   GIM_Try, /*On fail goto*//*Label 4664*/ GIMT_Encode4(241510), // Rule ID 4842 //
     /*  241449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  241460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  241463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  241466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241488 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11576:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  241491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241508 */     GIR_RootConstrainSelectedInstOperands,
     /*  241509 */     // GIR_Coverage, 4842,
     /*  241509 */     GIR_EraseRootFromParent_Done,
     /*  241510 */   // Label 4664: @241510
     /*  241510 */   GIM_Try, /*On fail goto*//*Label 4665*/ GIMT_Encode4(241576), // Rule ID 4845 //
     /*  241515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  241526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  241529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  241532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241554 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  241557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241574 */     GIR_RootConstrainSelectedInstOperands,
     /*  241575 */     // GIR_Coverage, 4845,
     /*  241575 */     GIR_EraseRootFromParent_Done,
     /*  241576 */   // Label 4665: @241576
     /*  241576 */   GIM_Try, /*On fail goto*//*Label 4666*/ GIMT_Encode4(241642), // Rule ID 4846 //
     /*  241581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  241592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  241595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  241598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241620 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11576:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  241623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241640 */     GIR_RootConstrainSelectedInstOperands,
     /*  241641 */     // GIR_Coverage, 4846,
     /*  241641 */     GIR_EraseRootFromParent_Done,
     /*  241642 */   // Label 4666: @241642
     /*  241642 */   GIM_Try, /*On fail goto*//*Label 4667*/ GIMT_Encode4(241708), // Rule ID 4849 //
     /*  241647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  241658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  241661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  241664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241686 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  241689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241706 */     GIR_RootConstrainSelectedInstOperands,
     /*  241707 */     // GIR_Coverage, 4849,
     /*  241707 */     GIR_EraseRootFromParent_Done,
     /*  241708 */   // Label 4667: @241708
     /*  241708 */   GIM_Try, /*On fail goto*//*Label 4668*/ GIMT_Encode4(241774), // Rule ID 4850 //
     /*  241713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  241724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  241727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  241730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241752 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11576:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  241755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241772 */     GIR_RootConstrainSelectedInstOperands,
     /*  241773 */     // GIR_Coverage, 4850,
     /*  241773 */     GIR_EraseRootFromParent_Done,
     /*  241774 */   // Label 4668: @241774
     /*  241774 */   GIM_Try, /*On fail goto*//*Label 4669*/ GIMT_Encode4(241840), // Rule ID 4853 //
     /*  241779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  241782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  241790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  241793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  241796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241818 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  241818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  241821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241838 */     GIR_RootConstrainSelectedInstOperands,
     /*  241839 */     // GIR_Coverage, 4853,
     /*  241839 */     GIR_EraseRootFromParent_Done,
     /*  241840 */   // Label 4669: @241840
     /*  241840 */   GIM_Try, /*On fail goto*//*Label 4670*/ GIMT_Encode4(241906), // Rule ID 4854 //
     /*  241845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  241848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  241853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  241856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  241859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  241862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241884 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11576:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  241884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  241887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241904 */     GIR_RootConstrainSelectedInstOperands,
     /*  241905 */     // GIR_Coverage, 4854,
     /*  241905 */     GIR_EraseRootFromParent_Done,
     /*  241906 */   // Label 4670: @241906
     /*  241906 */   GIM_Try, /*On fail goto*//*Label 4671*/ GIMT_Encode4(241972), // Rule ID 4857 //
     /*  241911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  241919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  241922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  241925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  241928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241950 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  241950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  241953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  241957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  241970 */     GIR_RootConstrainSelectedInstOperands,
     /*  241971 */     // GIR_Coverage, 4857,
     /*  241971 */     GIR_EraseRootFromParent_Done,
     /*  241972 */   // Label 4671: @241972
     /*  241972 */   GIM_Try, /*On fail goto*//*Label 4672*/ GIMT_Encode4(242038), // Rule ID 4858 //
     /*  241977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  241985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  241988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  241991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  241994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242016 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  242016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  242019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242036 */     GIR_RootConstrainSelectedInstOperands,
     /*  242037 */     // GIR_Coverage, 4858,
     /*  242037 */     GIR_EraseRootFromParent_Done,
     /*  242038 */   // Label 4672: @242038
     /*  242038 */   GIM_Try, /*On fail goto*//*Label 4673*/ GIMT_Encode4(242104), // Rule ID 4861 //
     /*  242043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  242051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  242054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  242057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  242060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242082 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  242082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  242085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242102 */     GIR_RootConstrainSelectedInstOperands,
     /*  242103 */     // GIR_Coverage, 4861,
     /*  242103 */     GIR_EraseRootFromParent_Done,
     /*  242104 */   // Label 4673: @242104
     /*  242104 */   GIM_Try, /*On fail goto*//*Label 4674*/ GIMT_Encode4(242170), // Rule ID 4862 //
     /*  242109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  242117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  242120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  242123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  242126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242148 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  242148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  242151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242168 */     GIR_RootConstrainSelectedInstOperands,
     /*  242169 */     // GIR_Coverage, 4862,
     /*  242169 */     GIR_EraseRootFromParent_Done,
     /*  242170 */   // Label 4674: @242170
     /*  242170 */   GIM_Try, /*On fail goto*//*Label 4675*/ GIMT_Encode4(242236), // Rule ID 4865 //
     /*  242175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  242183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  242186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  242189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  242192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242214 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  242214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  242217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242234 */     GIR_RootConstrainSelectedInstOperands,
     /*  242235 */     // GIR_Coverage, 4865,
     /*  242235 */     GIR_EraseRootFromParent_Done,
     /*  242236 */   // Label 4675: @242236
     /*  242236 */   GIM_Try, /*On fail goto*//*Label 4676*/ GIMT_Encode4(242302), // Rule ID 4866 //
     /*  242241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  242249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  242252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  242255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  242258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242280 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  242280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  242283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242300 */     GIR_RootConstrainSelectedInstOperands,
     /*  242301 */     // GIR_Coverage, 4866,
     /*  242301 */     GIR_EraseRootFromParent_Done,
     /*  242302 */   // Label 4676: @242302
     /*  242302 */   GIM_Try, /*On fail goto*//*Label 4677*/ GIMT_Encode4(242368), // Rule ID 4869 //
     /*  242307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  242315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  242318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  242321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  242324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242346 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  242346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  242349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242366 */     GIR_RootConstrainSelectedInstOperands,
     /*  242367 */     // GIR_Coverage, 4869,
     /*  242367 */     GIR_EraseRootFromParent_Done,
     /*  242368 */   // Label 4677: @242368
     /*  242368 */   GIM_Try, /*On fail goto*//*Label 4678*/ GIMT_Encode4(242434), // Rule ID 4870 //
     /*  242373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  242381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  242384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  242387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  242390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242412 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  242412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  242415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242432 */     GIR_RootConstrainSelectedInstOperands,
     /*  242433 */     // GIR_Coverage, 4870,
     /*  242433 */     GIR_EraseRootFromParent_Done,
     /*  242434 */   // Label 4678: @242434
     /*  242434 */   GIM_Try, /*On fail goto*//*Label 4679*/ GIMT_Encode4(242500), // Rule ID 4873 //
     /*  242439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  242447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  242450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  242453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  242456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242478 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  242478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  242481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242498 */     GIR_RootConstrainSelectedInstOperands,
     /*  242499 */     // GIR_Coverage, 4873,
     /*  242499 */     GIR_EraseRootFromParent_Done,
     /*  242500 */   // Label 4679: @242500
     /*  242500 */   GIM_Try, /*On fail goto*//*Label 4680*/ GIMT_Encode4(242566), // Rule ID 4874 //
     /*  242505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  242513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  242516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  242519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  242522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242544 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  242544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  242547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242564 */     GIR_RootConstrainSelectedInstOperands,
     /*  242565 */     // GIR_Coverage, 4874,
     /*  242565 */     GIR_EraseRootFromParent_Done,
     /*  242566 */   // Label 4680: @242566
     /*  242566 */   GIM_Try, /*On fail goto*//*Label 4681*/ GIMT_Encode4(242632), // Rule ID 4877 //
     /*  242571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  242579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  242582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  242585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  242588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242610 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  242610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  242613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242630 */     GIR_RootConstrainSelectedInstOperands,
     /*  242631 */     // GIR_Coverage, 4877,
     /*  242631 */     GIR_EraseRootFromParent_Done,
     /*  242632 */   // Label 4681: @242632
     /*  242632 */   GIM_Try, /*On fail goto*//*Label 4682*/ GIMT_Encode4(242698), // Rule ID 4878 //
     /*  242637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  242645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  242648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  242651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  242654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242676 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  242676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  242679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242696 */     GIR_RootConstrainSelectedInstOperands,
     /*  242697 */     // GIR_Coverage, 4878,
     /*  242697 */     GIR_EraseRootFromParent_Done,
     /*  242698 */   // Label 4682: @242698
     /*  242698 */   GIM_Try, /*On fail goto*//*Label 4683*/ GIMT_Encode4(242764), // Rule ID 4881 //
     /*  242703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  242711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  242714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  242717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  242720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242742 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  242742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  242745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242762 */     GIR_RootConstrainSelectedInstOperands,
     /*  242763 */     // GIR_Coverage, 4881,
     /*  242763 */     GIR_EraseRootFromParent_Done,
     /*  242764 */   // Label 4683: @242764
     /*  242764 */   GIM_Try, /*On fail goto*//*Label 4684*/ GIMT_Encode4(242830), // Rule ID 4882 //
     /*  242769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  242777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  242780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  242783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  242786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242808 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  242808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  242811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242828 */     GIR_RootConstrainSelectedInstOperands,
     /*  242829 */     // GIR_Coverage, 4882,
     /*  242829 */     GIR_EraseRootFromParent_Done,
     /*  242830 */   // Label 4684: @242830
     /*  242830 */   GIM_Try, /*On fail goto*//*Label 4685*/ GIMT_Encode4(242896), // Rule ID 4885 //
     /*  242835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  242843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  242846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  242849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  242852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242874 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  242874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  242877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242894 */     GIR_RootConstrainSelectedInstOperands,
     /*  242895 */     // GIR_Coverage, 4885,
     /*  242895 */     GIR_EraseRootFromParent_Done,
     /*  242896 */   // Label 4685: @242896
     /*  242896 */   GIM_Try, /*On fail goto*//*Label 4686*/ GIMT_Encode4(242962), // Rule ID 4886 //
     /*  242901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  242909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  242912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  242915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  242918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242940 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  242940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  242943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  242947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  242960 */     GIR_RootConstrainSelectedInstOperands,
     /*  242961 */     // GIR_Coverage, 4886,
     /*  242961 */     GIR_EraseRootFromParent_Done,
     /*  242962 */   // Label 4686: @242962
     /*  242962 */   GIM_Try, /*On fail goto*//*Label 4687*/ GIMT_Encode4(243028), // Rule ID 4889 //
     /*  242967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  242975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  242978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  242981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  242984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243006 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  243006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  243009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243026 */     GIR_RootConstrainSelectedInstOperands,
     /*  243027 */     // GIR_Coverage, 4889,
     /*  243027 */     GIR_EraseRootFromParent_Done,
     /*  243028 */   // Label 4687: @243028
     /*  243028 */   GIM_Try, /*On fail goto*//*Label 4688*/ GIMT_Encode4(243094), // Rule ID 4890 //
     /*  243033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  243044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  243047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  243050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243072 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  243072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  243075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243092 */     GIR_RootConstrainSelectedInstOperands,
     /*  243093 */     // GIR_Coverage, 4890,
     /*  243093 */     GIR_EraseRootFromParent_Done,
     /*  243094 */   // Label 4688: @243094
     /*  243094 */   GIM_Try, /*On fail goto*//*Label 4689*/ GIMT_Encode4(243160), // Rule ID 4893 //
     /*  243099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  243110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  243113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  243116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243138 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  243138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  243141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243158 */     GIR_RootConstrainSelectedInstOperands,
     /*  243159 */     // GIR_Coverage, 4893,
     /*  243159 */     GIR_EraseRootFromParent_Done,
     /*  243160 */   // Label 4689: @243160
     /*  243160 */   GIM_Try, /*On fail goto*//*Label 4690*/ GIMT_Encode4(243226), // Rule ID 4894 //
     /*  243165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  243176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  243179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  243182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243204 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  243204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  243207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243224 */     GIR_RootConstrainSelectedInstOperands,
     /*  243225 */     // GIR_Coverage, 4894,
     /*  243225 */     GIR_EraseRootFromParent_Done,
     /*  243226 */   // Label 4690: @243226
     /*  243226 */   GIM_Try, /*On fail goto*//*Label 4691*/ GIMT_Encode4(243292), // Rule ID 4897 //
     /*  243231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  243242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  243245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  243248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243270 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  243270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  243273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243290 */     GIR_RootConstrainSelectedInstOperands,
     /*  243291 */     // GIR_Coverage, 4897,
     /*  243291 */     GIR_EraseRootFromParent_Done,
     /*  243292 */   // Label 4691: @243292
     /*  243292 */   GIM_Try, /*On fail goto*//*Label 4692*/ GIMT_Encode4(243358), // Rule ID 4898 //
     /*  243297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  243308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  243311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  243314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243336 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  243336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  243339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243356 */     GIR_RootConstrainSelectedInstOperands,
     /*  243357 */     // GIR_Coverage, 4898,
     /*  243357 */     GIR_EraseRootFromParent_Done,
     /*  243358 */   // Label 4692: @243358
     /*  243358 */   GIM_Try, /*On fail goto*//*Label 4693*/ GIMT_Encode4(243424), // Rule ID 4901 //
     /*  243363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  243374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  243377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  243380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243402 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  243405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243422 */     GIR_RootConstrainSelectedInstOperands,
     /*  243423 */     // GIR_Coverage, 4901,
     /*  243423 */     GIR_EraseRootFromParent_Done,
     /*  243424 */   // Label 4693: @243424
     /*  243424 */   GIM_Try, /*On fail goto*//*Label 4694*/ GIMT_Encode4(243490), // Rule ID 4902 //
     /*  243429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  243440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  243443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  243446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243468 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  243471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243488 */     GIR_RootConstrainSelectedInstOperands,
     /*  243489 */     // GIR_Coverage, 4902,
     /*  243489 */     GIR_EraseRootFromParent_Done,
     /*  243490 */   // Label 4694: @243490
     /*  243490 */   GIM_Try, /*On fail goto*//*Label 4695*/ GIMT_Encode4(243556), // Rule ID 4905 //
     /*  243495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  243506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  243509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  243512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243534 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  243537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243554 */     GIR_RootConstrainSelectedInstOperands,
     /*  243555 */     // GIR_Coverage, 4905,
     /*  243555 */     GIR_EraseRootFromParent_Done,
     /*  243556 */   // Label 4695: @243556
     /*  243556 */   GIM_Try, /*On fail goto*//*Label 4696*/ GIMT_Encode4(243622), // Rule ID 4906 //
     /*  243561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  243572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  243575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  243578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243600 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  243603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243620 */     GIR_RootConstrainSelectedInstOperands,
     /*  243621 */     // GIR_Coverage, 4906,
     /*  243621 */     GIR_EraseRootFromParent_Done,
     /*  243622 */   // Label 4696: @243622
     /*  243622 */   GIM_Try, /*On fail goto*//*Label 4697*/ GIMT_Encode4(243688), // Rule ID 4909 //
     /*  243627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  243638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  243641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  243644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243666 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  243669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243686 */     GIR_RootConstrainSelectedInstOperands,
     /*  243687 */     // GIR_Coverage, 4909,
     /*  243687 */     GIR_EraseRootFromParent_Done,
     /*  243688 */   // Label 4697: @243688
     /*  243688 */   GIM_Try, /*On fail goto*//*Label 4698*/ GIMT_Encode4(243754), // Rule ID 4910 //
     /*  243693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  243704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  243707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  243710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243732 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  243735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243752 */     GIR_RootConstrainSelectedInstOperands,
     /*  243753 */     // GIR_Coverage, 4910,
     /*  243753 */     GIR_EraseRootFromParent_Done,
     /*  243754 */   // Label 4698: @243754
     /*  243754 */   GIM_Try, /*On fail goto*//*Label 4699*/ GIMT_Encode4(243820), // Rule ID 4913 //
     /*  243759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  243762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  243770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  243776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243798 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  243801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243818 */     GIR_RootConstrainSelectedInstOperands,
     /*  243819 */     // GIR_Coverage, 4913,
     /*  243819 */     GIR_EraseRootFromParent_Done,
     /*  243820 */   // Label 4699: @243820
     /*  243820 */   GIM_Try, /*On fail goto*//*Label 4700*/ GIMT_Encode4(243886), // Rule ID 4914 //
     /*  243825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  243828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  243836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  243842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243864 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  243864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  243867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243884 */     GIR_RootConstrainSelectedInstOperands,
     /*  243885 */     // GIR_Coverage, 4914,
     /*  243885 */     GIR_EraseRootFromParent_Done,
     /*  243886 */   // Label 4700: @243886
     /*  243886 */   GIM_Try, /*On fail goto*//*Label 4701*/ GIMT_Encode4(243952), // Rule ID 4917 //
     /*  243891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  243902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  243905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243930 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  243930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  243933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243950 */     GIR_RootConstrainSelectedInstOperands,
     /*  243951 */     // GIR_Coverage, 4917,
     /*  243951 */     GIR_EraseRootFromParent_Done,
     /*  243952 */   // Label 4701: @243952
     /*  243952 */   GIM_Try, /*On fail goto*//*Label 4702*/ GIMT_Encode4(244018), // Rule ID 4918 //
     /*  243957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  243965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  243968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  243971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243996 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  243996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  243999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244016 */     GIR_RootConstrainSelectedInstOperands,
     /*  244017 */     // GIR_Coverage, 4918,
     /*  244017 */     GIR_EraseRootFromParent_Done,
     /*  244018 */   // Label 4702: @244018
     /*  244018 */   GIM_Try, /*On fail goto*//*Label 4703*/ GIMT_Encode4(244084), // Rule ID 4921 //
     /*  244023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  244034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  244037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  244040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244062 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  244065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244082 */     GIR_RootConstrainSelectedInstOperands,
     /*  244083 */     // GIR_Coverage, 4921,
     /*  244083 */     GIR_EraseRootFromParent_Done,
     /*  244084 */   // Label 4703: @244084
     /*  244084 */   GIM_Try, /*On fail goto*//*Label 4704*/ GIMT_Encode4(244150), // Rule ID 4922 //
     /*  244089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  244100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  244103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  244106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244128 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  244131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244148 */     GIR_RootConstrainSelectedInstOperands,
     /*  244149 */     // GIR_Coverage, 4922,
     /*  244149 */     GIR_EraseRootFromParent_Done,
     /*  244150 */   // Label 4704: @244150
     /*  244150 */   GIM_Try, /*On fail goto*//*Label 4705*/ GIMT_Encode4(244216), // Rule ID 4925 //
     /*  244155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  244166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  244169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  244172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244194 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  244197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244214 */     GIR_RootConstrainSelectedInstOperands,
     /*  244215 */     // GIR_Coverage, 4925,
     /*  244215 */     GIR_EraseRootFromParent_Done,
     /*  244216 */   // Label 4705: @244216
     /*  244216 */   GIM_Try, /*On fail goto*//*Label 4706*/ GIMT_Encode4(244282), // Rule ID 4926 //
     /*  244221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  244232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  244235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  244238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244260 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  244263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244280 */     GIR_RootConstrainSelectedInstOperands,
     /*  244281 */     // GIR_Coverage, 4926,
     /*  244281 */     GIR_EraseRootFromParent_Done,
     /*  244282 */   // Label 4706: @244282
     /*  244282 */   GIM_Try, /*On fail goto*//*Label 4707*/ GIMT_Encode4(244348), // Rule ID 4929 //
     /*  244287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  244298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  244301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  244304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244326 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  244329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244346 */     GIR_RootConstrainSelectedInstOperands,
     /*  244347 */     // GIR_Coverage, 4929,
     /*  244347 */     GIR_EraseRootFromParent_Done,
     /*  244348 */   // Label 4707: @244348
     /*  244348 */   GIM_Try, /*On fail goto*//*Label 4708*/ GIMT_Encode4(244414), // Rule ID 4930 //
     /*  244353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  244364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  244367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  244370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244392 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  244395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244412 */     GIR_RootConstrainSelectedInstOperands,
     /*  244413 */     // GIR_Coverage, 4930,
     /*  244413 */     GIR_EraseRootFromParent_Done,
     /*  244414 */   // Label 4708: @244414
     /*  244414 */   GIM_Try, /*On fail goto*//*Label 4709*/ GIMT_Encode4(244480), // Rule ID 4933 //
     /*  244419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  244430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  244433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  244436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244458 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  244461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244478 */     GIR_RootConstrainSelectedInstOperands,
     /*  244479 */     // GIR_Coverage, 4933,
     /*  244479 */     GIR_EraseRootFromParent_Done,
     /*  244480 */   // Label 4709: @244480
     /*  244480 */   GIM_Try, /*On fail goto*//*Label 4710*/ GIMT_Encode4(244546), // Rule ID 4934 //
     /*  244485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  244496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  244499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  244502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244524 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  244527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244544 */     GIR_RootConstrainSelectedInstOperands,
     /*  244545 */     // GIR_Coverage, 4934,
     /*  244545 */     GIR_EraseRootFromParent_Done,
     /*  244546 */   // Label 4710: @244546
     /*  244546 */   GIM_Try, /*On fail goto*//*Label 4711*/ GIMT_Encode4(244612), // Rule ID 4937 //
     /*  244551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  244554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  244562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  244565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  244568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244590 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  244590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  244593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244610 */     GIR_RootConstrainSelectedInstOperands,
     /*  244611 */     // GIR_Coverage, 4937,
     /*  244611 */     GIR_EraseRootFromParent_Done,
     /*  244612 */   // Label 4711: @244612
     /*  244612 */   GIM_Try, /*On fail goto*//*Label 4712*/ GIMT_Encode4(244678), // Rule ID 4938 //
     /*  244617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  244620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  244628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  244631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  244634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244656 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  244656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  244659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244676 */     GIR_RootConstrainSelectedInstOperands,
     /*  244677 */     // GIR_Coverage, 4938,
     /*  244677 */     GIR_EraseRootFromParent_Done,
     /*  244678 */   // Label 4712: @244678
     /*  244678 */   GIM_Try, /*On fail goto*//*Label 4713*/ GIMT_Encode4(244744), // Rule ID 4941 //
     /*  244683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  244686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  244694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  244697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  244700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  244722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  244725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244742 */     GIR_RootConstrainSelectedInstOperands,
     /*  244743 */     // GIR_Coverage, 4941,
     /*  244743 */     GIR_EraseRootFromParent_Done,
     /*  244744 */   // Label 4713: @244744
     /*  244744 */   GIM_Try, /*On fail goto*//*Label 4714*/ GIMT_Encode4(244810), // Rule ID 4942 //
     /*  244749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  244752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  244760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  244763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  244766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244788 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  244788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  244791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244808 */     GIR_RootConstrainSelectedInstOperands,
     /*  244809 */     // GIR_Coverage, 4942,
     /*  244809 */     GIR_EraseRootFromParent_Done,
     /*  244810 */   // Label 4714: @244810
     /*  244810 */   GIM_Try, /*On fail goto*//*Label 4715*/ GIMT_Encode4(244876), // Rule ID 4945 //
     /*  244815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  244818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  244826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  244829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  244832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244854 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  244854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  244857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244874 */     GIR_RootConstrainSelectedInstOperands,
     /*  244875 */     // GIR_Coverage, 4945,
     /*  244875 */     GIR_EraseRootFromParent_Done,
     /*  244876 */   // Label 4715: @244876
     /*  244876 */   GIM_Try, /*On fail goto*//*Label 4716*/ GIMT_Encode4(244942), // Rule ID 4946 //
     /*  244881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  244884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  244892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  244895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  244898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244920 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  244920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  244923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244940 */     GIR_RootConstrainSelectedInstOperands,
     /*  244941 */     // GIR_Coverage, 4946,
     /*  244941 */     GIR_EraseRootFromParent_Done,
     /*  244942 */   // Label 4716: @244942
     /*  244942 */   GIM_Try, /*On fail goto*//*Label 4717*/ GIMT_Encode4(245008), // Rule ID 4949 //
     /*  244947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  244950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  244955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  244958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  244961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  244964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  244986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  244989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245006 */     GIR_RootConstrainSelectedInstOperands,
     /*  245007 */     // GIR_Coverage, 4949,
     /*  245007 */     GIR_EraseRootFromParent_Done,
     /*  245008 */   // Label 4717: @245008
     /*  245008 */   GIM_Try, /*On fail goto*//*Label 4718*/ GIMT_Encode4(245074), // Rule ID 4950 //
     /*  245013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  245024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  245027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  245030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245052 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  245055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245072 */     GIR_RootConstrainSelectedInstOperands,
     /*  245073 */     // GIR_Coverage, 4950,
     /*  245073 */     GIR_EraseRootFromParent_Done,
     /*  245074 */   // Label 4718: @245074
     /*  245074 */   GIM_Try, /*On fail goto*//*Label 4719*/ GIMT_Encode4(245140), // Rule ID 4953 //
     /*  245079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  245090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  245093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  245096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245118 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  245121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245138 */     GIR_RootConstrainSelectedInstOperands,
     /*  245139 */     // GIR_Coverage, 4953,
     /*  245139 */     GIR_EraseRootFromParent_Done,
     /*  245140 */   // Label 4719: @245140
     /*  245140 */   GIM_Try, /*On fail goto*//*Label 4720*/ GIMT_Encode4(245206), // Rule ID 4954 //
     /*  245145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  245156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  245159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  245162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245184 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  245187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245204 */     GIR_RootConstrainSelectedInstOperands,
     /*  245205 */     // GIR_Coverage, 4954,
     /*  245205 */     GIR_EraseRootFromParent_Done,
     /*  245206 */   // Label 4720: @245206
     /*  245206 */   GIM_Try, /*On fail goto*//*Label 4721*/ GIMT_Encode4(245272), // Rule ID 4957 //
     /*  245211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  245222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  245225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  245228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245250 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  245253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245270 */     GIR_RootConstrainSelectedInstOperands,
     /*  245271 */     // GIR_Coverage, 4957,
     /*  245271 */     GIR_EraseRootFromParent_Done,
     /*  245272 */   // Label 4721: @245272
     /*  245272 */   GIM_Try, /*On fail goto*//*Label 4722*/ GIMT_Encode4(245338), // Rule ID 4958 //
     /*  245277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  245288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  245291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  245294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245316 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11439:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  245319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245336 */     GIR_RootConstrainSelectedInstOperands,
     /*  245337 */     // GIR_Coverage, 4958,
     /*  245337 */     GIR_EraseRootFromParent_Done,
     /*  245338 */   // Label 4722: @245338
     /*  245338 */   GIM_Try, /*On fail goto*//*Label 4723*/ GIMT_Encode4(245404), // Rule ID 4961 //
     /*  245343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  245354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  245357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  245360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245382 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  245385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245402 */     GIR_RootConstrainSelectedInstOperands,
     /*  245403 */     // GIR_Coverage, 4961,
     /*  245403 */     GIR_EraseRootFromParent_Done,
     /*  245404 */   // Label 4723: @245404
     /*  245404 */   GIM_Try, /*On fail goto*//*Label 4724*/ GIMT_Encode4(245470), // Rule ID 4962 //
     /*  245409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  245420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  245423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  245426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245448 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11439:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  245451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245468 */     GIR_RootConstrainSelectedInstOperands,
     /*  245469 */     // GIR_Coverage, 4962,
     /*  245469 */     GIR_EraseRootFromParent_Done,
     /*  245470 */   // Label 4724: @245470
     /*  245470 */   GIM_Try, /*On fail goto*//*Label 4725*/ GIMT_Encode4(245536), // Rule ID 4965 //
     /*  245475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  245478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  245486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  245489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  245492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245514 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  245517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245534 */     GIR_RootConstrainSelectedInstOperands,
     /*  245535 */     // GIR_Coverage, 4965,
     /*  245535 */     GIR_EraseRootFromParent_Done,
     /*  245536 */   // Label 4725: @245536
     /*  245536 */   GIM_Try, /*On fail goto*//*Label 4726*/ GIMT_Encode4(245602), // Rule ID 4966 //
     /*  245541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  245544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  245549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  245552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  245555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  245558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245580 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11439:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  245583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245600 */     GIR_RootConstrainSelectedInstOperands,
     /*  245601 */     // GIR_Coverage, 4966,
     /*  245601 */     GIR_EraseRootFromParent_Done,
     /*  245602 */   // Label 4726: @245602
     /*  245602 */   GIM_Try, /*On fail goto*//*Label 4727*/ GIMT_Encode4(245665), // Rule ID 5229 //
     /*  245607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  245618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  245621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  245624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245646 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  245646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  245649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  245663 */     GIR_RootConstrainSelectedInstOperands,
     /*  245664 */     // GIR_Coverage, 5229,
     /*  245664 */     GIR_EraseRootFromParent_Done,
     /*  245665 */   // Label 4727: @245665
     /*  245665 */   GIM_Try, /*On fail goto*//*Label 4728*/ GIMT_Encode4(245728), // Rule ID 5230 //
     /*  245670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  245681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  245684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  245687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245709 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  245709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  245712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  245726 */     GIR_RootConstrainSelectedInstOperands,
     /*  245727 */     // GIR_Coverage, 5230,
     /*  245727 */     GIR_EraseRootFromParent_Done,
     /*  245728 */   // Label 4728: @245728
     /*  245728 */   GIM_Try, /*On fail goto*//*Label 4729*/ GIMT_Encode4(245791), // Rule ID 5231 //
     /*  245733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  245744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  245747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  245750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245772 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  245772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  245775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  245789 */     GIR_RootConstrainSelectedInstOperands,
     /*  245790 */     // GIR_Coverage, 5231,
     /*  245790 */     GIR_EraseRootFromParent_Done,
     /*  245791 */   // Label 4729: @245791
     /*  245791 */   GIM_Try, /*On fail goto*//*Label 4730*/ GIMT_Encode4(245854), // Rule ID 5232 //
     /*  245796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  245807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  245810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  245813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245835 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  245835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  245838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  245852 */     GIR_RootConstrainSelectedInstOperands,
     /*  245853 */     // GIR_Coverage, 5232,
     /*  245853 */     GIR_EraseRootFromParent_Done,
     /*  245854 */   // Label 4730: @245854
     /*  245854 */   GIM_Try, /*On fail goto*//*Label 4731*/ GIMT_Encode4(245917), // Rule ID 5233 //
     /*  245859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  245870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  245873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  245876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245898 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  245898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  245901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245915 */     GIR_RootConstrainSelectedInstOperands,
     /*  245916 */     // GIR_Coverage, 5233,
     /*  245916 */     GIR_EraseRootFromParent_Done,
     /*  245917 */   // Label 4731: @245917
     /*  245917 */   GIM_Try, /*On fail goto*//*Label 4732*/ GIMT_Encode4(245980), // Rule ID 5234 //
     /*  245922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  245933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  245936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  245939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245961 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  245961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  245964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245978 */     GIR_RootConstrainSelectedInstOperands,
     /*  245979 */     // GIR_Coverage, 5234,
     /*  245979 */     GIR_EraseRootFromParent_Done,
     /*  245980 */   // Label 4732: @245980
     /*  245980 */   GIM_Try, /*On fail goto*//*Label 4733*/ GIMT_Encode4(246043), // Rule ID 5235 //
     /*  245985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  245996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  245999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  246002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246024 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  246024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  246027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246041 */     GIR_RootConstrainSelectedInstOperands,
     /*  246042 */     // GIR_Coverage, 5235,
     /*  246042 */     GIR_EraseRootFromParent_Done,
     /*  246043 */   // Label 4733: @246043
     /*  246043 */   GIM_Try, /*On fail goto*//*Label 4734*/ GIMT_Encode4(246106), // Rule ID 5236 //
     /*  246048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  246059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  246062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  246065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246087 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  246087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  246090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246104 */     GIR_RootConstrainSelectedInstOperands,
     /*  246105 */     // GIR_Coverage, 5236,
     /*  246105 */     GIR_EraseRootFromParent_Done,
     /*  246106 */   // Label 4734: @246106
     /*  246106 */   GIM_Try, /*On fail goto*//*Label 4735*/ GIMT_Encode4(246169), // Rule ID 5237 //
     /*  246111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  246122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  246125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  246128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246150 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  246150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  246153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246167 */     GIR_RootConstrainSelectedInstOperands,
     /*  246168 */     // GIR_Coverage, 5237,
     /*  246168 */     GIR_EraseRootFromParent_Done,
     /*  246169 */   // Label 4735: @246169
     /*  246169 */   GIM_Try, /*On fail goto*//*Label 4736*/ GIMT_Encode4(246232), // Rule ID 5238 //
     /*  246174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  246185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  246188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  246191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246213 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  246213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  246216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246230 */     GIR_RootConstrainSelectedInstOperands,
     /*  246231 */     // GIR_Coverage, 5238,
     /*  246231 */     GIR_EraseRootFromParent_Done,
     /*  246232 */   // Label 4736: @246232
     /*  246232 */   GIM_Try, /*On fail goto*//*Label 4737*/ GIMT_Encode4(246295), // Rule ID 5239 //
     /*  246237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  246248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  246251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  246254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246276 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  246276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  246279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  246293 */     GIR_RootConstrainSelectedInstOperands,
     /*  246294 */     // GIR_Coverage, 5239,
     /*  246294 */     GIR_EraseRootFromParent_Done,
     /*  246295 */   // Label 4737: @246295
     /*  246295 */   GIM_Try, /*On fail goto*//*Label 4738*/ GIMT_Encode4(246358), // Rule ID 5240 //
     /*  246300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  246311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  246314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  246317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246339 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  246339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  246342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  246356 */     GIR_RootConstrainSelectedInstOperands,
     /*  246357 */     // GIR_Coverage, 5240,
     /*  246357 */     GIR_EraseRootFromParent_Done,
     /*  246358 */   // Label 4738: @246358
     /*  246358 */   GIM_Try, /*On fail goto*//*Label 4739*/ GIMT_Encode4(246421), // Rule ID 5241 //
     /*  246363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  246374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  246377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  246380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246402 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  246402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  246405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246419 */     GIR_RootConstrainSelectedInstOperands,
     /*  246420 */     // GIR_Coverage, 5241,
     /*  246420 */     GIR_EraseRootFromParent_Done,
     /*  246421 */   // Label 4739: @246421
     /*  246421 */   GIM_Try, /*On fail goto*//*Label 4740*/ GIMT_Encode4(246484), // Rule ID 5242 //
     /*  246426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  246437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  246440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  246443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246465 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  246465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  246468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246482 */     GIR_RootConstrainSelectedInstOperands,
     /*  246483 */     // GIR_Coverage, 5242,
     /*  246483 */     GIR_EraseRootFromParent_Done,
     /*  246484 */   // Label 4740: @246484
     /*  246484 */   GIM_Try, /*On fail goto*//*Label 4741*/ GIMT_Encode4(246547), // Rule ID 5243 //
     /*  246489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  246500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  246503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  246506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246528 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  246528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  246531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246545 */     GIR_RootConstrainSelectedInstOperands,
     /*  246546 */     // GIR_Coverage, 5243,
     /*  246546 */     GIR_EraseRootFromParent_Done,
     /*  246547 */   // Label 4741: @246547
     /*  246547 */   GIM_Try, /*On fail goto*//*Label 4742*/ GIMT_Encode4(246610), // Rule ID 5244 //
     /*  246552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  246563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  246566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  246569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246591 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  246591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  246594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246608 */     GIR_RootConstrainSelectedInstOperands,
     /*  246609 */     // GIR_Coverage, 5244,
     /*  246609 */     GIR_EraseRootFromParent_Done,
     /*  246610 */   // Label 4742: @246610
     /*  246610 */   GIM_Try, /*On fail goto*//*Label 4743*/ GIMT_Encode4(246673), // Rule ID 5245 //
     /*  246615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  246618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  246626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  246632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246654 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  246654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  246657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246671 */     GIR_RootConstrainSelectedInstOperands,
     /*  246672 */     // GIR_Coverage, 5245,
     /*  246672 */     GIR_EraseRootFromParent_Done,
     /*  246673 */   // Label 4743: @246673
     /*  246673 */   GIM_Try, /*On fail goto*//*Label 4744*/ GIMT_Encode4(246736), // Rule ID 5246 //
     /*  246678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  246681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  246689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  246695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246717 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  246717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  246720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246734 */     GIR_RootConstrainSelectedInstOperands,
     /*  246735 */     // GIR_Coverage, 5246,
     /*  246735 */     GIR_EraseRootFromParent_Done,
     /*  246736 */   // Label 4744: @246736
     /*  246736 */   GIM_Try, /*On fail goto*//*Label 4745*/ GIMT_Encode4(246799), // Rule ID 5247 //
     /*  246741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  246752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  246755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  246758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246780 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  246780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  246783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  246797 */     GIR_RootConstrainSelectedInstOperands,
     /*  246798 */     // GIR_Coverage, 5247,
     /*  246798 */     GIR_EraseRootFromParent_Done,
     /*  246799 */   // Label 4745: @246799
     /*  246799 */   GIM_Try, /*On fail goto*//*Label 4746*/ GIMT_Encode4(246862), // Rule ID 5248 //
     /*  246804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  246815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  246818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  246821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246843 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  246843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  246846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  246860 */     GIR_RootConstrainSelectedInstOperands,
     /*  246861 */     // GIR_Coverage, 5248,
     /*  246861 */     GIR_EraseRootFromParent_Done,
     /*  246862 */   // Label 4746: @246862
     /*  246862 */   GIM_Try, /*On fail goto*//*Label 4747*/ GIMT_Encode4(246925), // Rule ID 5249 //
     /*  246867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  246878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  246881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  246884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246906 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  246906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  246909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  246923 */     GIR_RootConstrainSelectedInstOperands,
     /*  246924 */     // GIR_Coverage, 5249,
     /*  246924 */     GIR_EraseRootFromParent_Done,
     /*  246925 */   // Label 4747: @246925
     /*  246925 */   GIM_Try, /*On fail goto*//*Label 4748*/ GIMT_Encode4(246988), // Rule ID 5250 //
     /*  246930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  246941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  246944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  246947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246969 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  246969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  246972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  246986 */     GIR_RootConstrainSelectedInstOperands,
     /*  246987 */     // GIR_Coverage, 5250,
     /*  246987 */     GIR_EraseRootFromParent_Done,
     /*  246988 */   // Label 4748: @246988
     /*  246988 */   GIM_Try, /*On fail goto*//*Label 4749*/ GIMT_Encode4(247051), // Rule ID 5251 //
     /*  246993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  247004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  247007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  247010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247032 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  247032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  247035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247049 */     GIR_RootConstrainSelectedInstOperands,
     /*  247050 */     // GIR_Coverage, 5251,
     /*  247050 */     GIR_EraseRootFromParent_Done,
     /*  247051 */   // Label 4749: @247051
     /*  247051 */   GIM_Try, /*On fail goto*//*Label 4750*/ GIMT_Encode4(247114), // Rule ID 5252 //
     /*  247056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  247067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  247070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  247073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247095 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  247095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  247098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247112 */     GIR_RootConstrainSelectedInstOperands,
     /*  247113 */     // GIR_Coverage, 5252,
     /*  247113 */     GIR_EraseRootFromParent_Done,
     /*  247114 */   // Label 4750: @247114
     /*  247114 */   GIM_Try, /*On fail goto*//*Label 4751*/ GIMT_Encode4(247177), // Rule ID 5253 //
     /*  247119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  247130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  247133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  247136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247158 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  247158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  247161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247175 */     GIR_RootConstrainSelectedInstOperands,
     /*  247176 */     // GIR_Coverage, 5253,
     /*  247176 */     GIR_EraseRootFromParent_Done,
     /*  247177 */   // Label 4751: @247177
     /*  247177 */   GIM_Try, /*On fail goto*//*Label 4752*/ GIMT_Encode4(247240), // Rule ID 5254 //
     /*  247182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  247193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  247196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  247199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247221 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  247221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  247224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247238 */     GIR_RootConstrainSelectedInstOperands,
     /*  247239 */     // GIR_Coverage, 5254,
     /*  247239 */     GIR_EraseRootFromParent_Done,
     /*  247240 */   // Label 4752: @247240
     /*  247240 */   GIM_Try, /*On fail goto*//*Label 4753*/ GIMT_Encode4(247303), // Rule ID 5255 //
     /*  247245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  247256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  247259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  247262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247284 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  247284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  247287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247301 */     GIR_RootConstrainSelectedInstOperands,
     /*  247302 */     // GIR_Coverage, 5255,
     /*  247302 */     GIR_EraseRootFromParent_Done,
     /*  247303 */   // Label 4753: @247303
     /*  247303 */   GIM_Try, /*On fail goto*//*Label 4754*/ GIMT_Encode4(247366), // Rule ID 5256 //
     /*  247308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  247319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  247322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  247325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247347 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  247347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  247350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247364 */     GIR_RootConstrainSelectedInstOperands,
     /*  247365 */     // GIR_Coverage, 5256,
     /*  247365 */     GIR_EraseRootFromParent_Done,
     /*  247366 */   // Label 4754: @247366
     /*  247366 */   GIM_Try, /*On fail goto*//*Label 4755*/ GIMT_Encode4(247429), // Rule ID 5257 //
     /*  247371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  247382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  247385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  247388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247410 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  247410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  247413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247427 */     GIR_RootConstrainSelectedInstOperands,
     /*  247428 */     // GIR_Coverage, 5257,
     /*  247428 */     GIR_EraseRootFromParent_Done,
     /*  247429 */   // Label 4755: @247429
     /*  247429 */   GIM_Try, /*On fail goto*//*Label 4756*/ GIMT_Encode4(247492), // Rule ID 5258 //
     /*  247434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  247445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  247448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  247451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247473 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  247473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  247476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247490 */     GIR_RootConstrainSelectedInstOperands,
     /*  247491 */     // GIR_Coverage, 5258,
     /*  247491 */     GIR_EraseRootFromParent_Done,
     /*  247492 */   // Label 4756: @247492
     /*  247492 */   GIM_Try, /*On fail goto*//*Label 4757*/ GIMT_Encode4(247555), // Rule ID 5259 //
     /*  247497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  247508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  247511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  247514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247536 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  247536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  247539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247553 */     GIR_RootConstrainSelectedInstOperands,
     /*  247554 */     // GIR_Coverage, 5259,
     /*  247554 */     GIR_EraseRootFromParent_Done,
     /*  247555 */   // Label 4757: @247555
     /*  247555 */   GIM_Try, /*On fail goto*//*Label 4758*/ GIMT_Encode4(247618), // Rule ID 5260 //
     /*  247560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  247571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  247574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  247577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247599 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  247599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  247602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247616 */     GIR_RootConstrainSelectedInstOperands,
     /*  247617 */     // GIR_Coverage, 5260,
     /*  247617 */     GIR_EraseRootFromParent_Done,
     /*  247618 */   // Label 4758: @247618
     /*  247618 */   GIM_Try, /*On fail goto*//*Label 4759*/ GIMT_Encode4(247681), // Rule ID 5261 //
     /*  247623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  247634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  247637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  247640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247662 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  247662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  247665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247679 */     GIR_RootConstrainSelectedInstOperands,
     /*  247680 */     // GIR_Coverage, 5261,
     /*  247680 */     GIR_EraseRootFromParent_Done,
     /*  247681 */   // Label 4759: @247681
     /*  247681 */   GIM_Try, /*On fail goto*//*Label 4760*/ GIMT_Encode4(247744), // Rule ID 5262 //
     /*  247686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  247697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  247700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  247703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247725 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  247725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  247728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247742 */     GIR_RootConstrainSelectedInstOperands,
     /*  247743 */     // GIR_Coverage, 5262,
     /*  247743 */     GIR_EraseRootFromParent_Done,
     /*  247744 */   // Label 4760: @247744
     /*  247744 */   GIM_Try, /*On fail goto*//*Label 4761*/ GIMT_Encode4(247807), // Rule ID 5263 //
     /*  247749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  247760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  247763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  247766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247788 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  247788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  247791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247805 */     GIR_RootConstrainSelectedInstOperands,
     /*  247806 */     // GIR_Coverage, 5263,
     /*  247806 */     GIR_EraseRootFromParent_Done,
     /*  247807 */   // Label 4761: @247807
     /*  247807 */   GIM_Try, /*On fail goto*//*Label 4762*/ GIMT_Encode4(247870), // Rule ID 5264 //
     /*  247812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  247823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  247826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  247829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247851 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  247851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  247854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247868 */     GIR_RootConstrainSelectedInstOperands,
     /*  247869 */     // GIR_Coverage, 5264,
     /*  247869 */     GIR_EraseRootFromParent_Done,
     /*  247870 */   // Label 4762: @247870
     /*  247870 */   GIM_Try, /*On fail goto*//*Label 4763*/ GIMT_Encode4(247933), // Rule ID 5265 //
     /*  247875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  247878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  247889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  247892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247914 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  247914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  247917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247931 */     GIR_RootConstrainSelectedInstOperands,
     /*  247932 */     // GIR_Coverage, 5265,
     /*  247932 */     GIR_EraseRootFromParent_Done,
     /*  247933 */   // Label 4763: @247933
     /*  247933 */   GIM_Try, /*On fail goto*//*Label 4764*/ GIMT_Encode4(247996), // Rule ID 5266 //
     /*  247938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  247941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  247946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  247952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  247955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247977 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  247977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  247980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247994 */     GIR_RootConstrainSelectedInstOperands,
     /*  247995 */     // GIR_Coverage, 5266,
     /*  247995 */     GIR_EraseRootFromParent_Done,
     /*  247996 */   // Label 4764: @247996
     /*  247996 */   GIM_Try, /*On fail goto*//*Label 4765*/ GIMT_Encode4(248059), // Rule ID 5267 //
     /*  248001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  248004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  248012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  248015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  248018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248040 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  248040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248057 */     GIR_RootConstrainSelectedInstOperands,
     /*  248058 */     // GIR_Coverage, 5267,
     /*  248058 */     GIR_EraseRootFromParent_Done,
     /*  248059 */   // Label 4765: @248059
     /*  248059 */   GIM_Try, /*On fail goto*//*Label 4766*/ GIMT_Encode4(248122), // Rule ID 5268 //
     /*  248064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  248067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  248075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  248078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  248081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248103 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  248103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  248106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248120 */     GIR_RootConstrainSelectedInstOperands,
     /*  248121 */     // GIR_Coverage, 5268,
     /*  248121 */     GIR_EraseRootFromParent_Done,
     /*  248122 */   // Label 4766: @248122
     /*  248122 */   GIM_Try, /*On fail goto*//*Label 4767*/ GIMT_Encode4(248185), // Rule ID 5269 //
     /*  248127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  248130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  248141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  248144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248166 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  248166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  248169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248183 */     GIR_RootConstrainSelectedInstOperands,
     /*  248184 */     // GIR_Coverage, 5269,
     /*  248184 */     GIR_EraseRootFromParent_Done,
     /*  248185 */   // Label 4767: @248185
     /*  248185 */   GIM_Try, /*On fail goto*//*Label 4768*/ GIMT_Encode4(248248), // Rule ID 5270 //
     /*  248190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  248193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  248204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  248207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248229 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  248229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  248232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248246 */     GIR_RootConstrainSelectedInstOperands,
     /*  248247 */     // GIR_Coverage, 5270,
     /*  248247 */     GIR_EraseRootFromParent_Done,
     /*  248248 */   // Label 4768: @248248
     /*  248248 */   GIM_Try, /*On fail goto*//*Label 4769*/ GIMT_Encode4(248311), // Rule ID 5271 //
     /*  248253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  248264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  248267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  248270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  248285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248292 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  248292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  248295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248309 */     GIR_RootConstrainSelectedInstOperands,
     /*  248310 */     // GIR_Coverage, 5271,
     /*  248310 */     GIR_EraseRootFromParent_Done,
     /*  248311 */   // Label 4769: @248311
     /*  248311 */   GIM_Try, /*On fail goto*//*Label 4770*/ GIMT_Encode4(248374), // Rule ID 5272 //
     /*  248316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  248327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  248330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  248333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  248348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248355 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  248355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  248358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248372 */     GIR_RootConstrainSelectedInstOperands,
     /*  248373 */     // GIR_Coverage, 5272,
     /*  248373 */     GIR_EraseRootFromParent_Done,
     /*  248374 */   // Label 4770: @248374
     /*  248374 */   GIM_Try, /*On fail goto*//*Label 4771*/ GIMT_Encode4(248437), // Rule ID 5273 //
     /*  248379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  248390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  248393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  248396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  248411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248418 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  248418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  248421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248435 */     GIR_RootConstrainSelectedInstOperands,
     /*  248436 */     // GIR_Coverage, 5273,
     /*  248436 */     GIR_EraseRootFromParent_Done,
     /*  248437 */   // Label 4771: @248437
     /*  248437 */   GIM_Try, /*On fail goto*//*Label 4772*/ GIMT_Encode4(248500), // Rule ID 5274 //
     /*  248442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  248453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  248456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  248459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  248474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248481 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  248481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  248484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248498 */     GIR_RootConstrainSelectedInstOperands,
     /*  248499 */     // GIR_Coverage, 5274,
     /*  248499 */     GIR_EraseRootFromParent_Done,
     /*  248500 */   // Label 4772: @248500
     /*  248500 */   GIM_Try, /*On fail goto*//*Label 4773*/ GIMT_Encode4(248563), // Rule ID 5275 //
     /*  248505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  248516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  248519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  248522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  248537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248544 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  248544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  248547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248561 */     GIR_RootConstrainSelectedInstOperands,
     /*  248562 */     // GIR_Coverage, 5275,
     /*  248562 */     GIR_EraseRootFromParent_Done,
     /*  248563 */   // Label 4773: @248563
     /*  248563 */   GIM_Try, /*On fail goto*//*Label 4774*/ GIMT_Encode4(248626), // Rule ID 5276 //
     /*  248568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  248579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  248582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  248585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  248600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248607 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  248607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  248610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  248624 */     GIR_RootConstrainSelectedInstOperands,
     /*  248625 */     // GIR_Coverage, 5276,
     /*  248625 */     GIR_EraseRootFromParent_Done,
     /*  248626 */   // Label 4774: @248626
     /*  248626 */   GIM_Try, /*On fail goto*//*Label 4775*/ GIMT_Encode4(248689), // Rule ID 5277 //
     /*  248631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  248642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  248645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  248648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  248663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248670 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  248670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  248673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248687 */     GIR_RootConstrainSelectedInstOperands,
     /*  248688 */     // GIR_Coverage, 5277,
     /*  248688 */     GIR_EraseRootFromParent_Done,
     /*  248689 */   // Label 4775: @248689
     /*  248689 */   GIM_Try, /*On fail goto*//*Label 4776*/ GIMT_Encode4(248752), // Rule ID 5278 //
     /*  248694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  248705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  248708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  248711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  248726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248733 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  248736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248750 */     GIR_RootConstrainSelectedInstOperands,
     /*  248751 */     // GIR_Coverage, 5278,
     /*  248751 */     GIR_EraseRootFromParent_Done,
     /*  248752 */   // Label 4776: @248752
     /*  248752 */   GIM_Try, /*On fail goto*//*Label 4777*/ GIMT_Encode4(248815), // Rule ID 5279 //
     /*  248757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  248768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  248771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  248774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  248789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248796 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  248796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  248799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248813 */     GIR_RootConstrainSelectedInstOperands,
     /*  248814 */     // GIR_Coverage, 5279,
     /*  248814 */     GIR_EraseRootFromParent_Done,
     /*  248815 */   // Label 4777: @248815
     /*  248815 */   GIM_Try, /*On fail goto*//*Label 4778*/ GIMT_Encode4(248878), // Rule ID 5280 //
     /*  248820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  248831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  248834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  248837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  248852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248859 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  248862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248876 */     GIR_RootConstrainSelectedInstOperands,
     /*  248877 */     // GIR_Coverage, 5280,
     /*  248877 */     GIR_EraseRootFromParent_Done,
     /*  248878 */   // Label 4778: @248878
     /*  248878 */   GIM_Try, /*On fail goto*//*Label 4779*/ GIMT_Encode4(248941), // Rule ID 5281 //
     /*  248883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  248894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  248897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  248900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  248915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248922 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  248922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  248925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248939 */     GIR_RootConstrainSelectedInstOperands,
     /*  248940 */     // GIR_Coverage, 5281,
     /*  248940 */     GIR_EraseRootFromParent_Done,
     /*  248941 */   // Label 4779: @248941
     /*  248941 */   GIM_Try, /*On fail goto*//*Label 4780*/ GIMT_Encode4(249004), // Rule ID 5282 //
     /*  248946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  248954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  248957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  248960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  248963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  248978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248985 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  248985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  248988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249002 */     GIR_RootConstrainSelectedInstOperands,
     /*  249003 */     // GIR_Coverage, 5282,
     /*  249003 */     GIR_EraseRootFromParent_Done,
     /*  249004 */   // Label 4780: @249004
     /*  249004 */   GIM_Try, /*On fail goto*//*Label 4781*/ GIMT_Encode4(249067), // Rule ID 5283 //
     /*  249009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  249023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249048 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  249048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  249051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249065 */     GIR_RootConstrainSelectedInstOperands,
     /*  249066 */     // GIR_Coverage, 5283,
     /*  249066 */     GIR_EraseRootFromParent_Done,
     /*  249067 */   // Label 4781: @249067
     /*  249067 */   GIM_Try, /*On fail goto*//*Label 4782*/ GIMT_Encode4(249130), // Rule ID 5284 //
     /*  249072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  249086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249111 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  249111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  249114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249128 */     GIR_RootConstrainSelectedInstOperands,
     /*  249129 */     // GIR_Coverage, 5284,
     /*  249129 */     GIR_EraseRootFromParent_Done,
     /*  249130 */   // Label 4782: @249130
     /*  249130 */   GIM_Try, /*On fail goto*//*Label 4783*/ GIMT_Encode4(249193), // Rule ID 5285 //
     /*  249135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  249149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249174 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  249174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  249177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249191 */     GIR_RootConstrainSelectedInstOperands,
     /*  249192 */     // GIR_Coverage, 5285,
     /*  249192 */     GIR_EraseRootFromParent_Done,
     /*  249193 */   // Label 4783: @249193
     /*  249193 */   GIM_Try, /*On fail goto*//*Label 4784*/ GIMT_Encode4(249256), // Rule ID 5286 //
     /*  249198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  249212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249237 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  249237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  249240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249254 */     GIR_RootConstrainSelectedInstOperands,
     /*  249255 */     // GIR_Coverage, 5286,
     /*  249255 */     GIR_EraseRootFromParent_Done,
     /*  249256 */   // Label 4784: @249256
     /*  249256 */   GIM_Try, /*On fail goto*//*Label 4785*/ GIMT_Encode4(249319), // Rule ID 5287 //
     /*  249261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  249272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  249275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249300 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  249300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  249303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249317 */     GIR_RootConstrainSelectedInstOperands,
     /*  249318 */     // GIR_Coverage, 5287,
     /*  249318 */     GIR_EraseRootFromParent_Done,
     /*  249319 */   // Label 4785: @249319
     /*  249319 */   GIM_Try, /*On fail goto*//*Label 4786*/ GIMT_Encode4(249382), // Rule ID 5288 //
     /*  249324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  249335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  249338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249363 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  249363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  249366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249380 */     GIR_RootConstrainSelectedInstOperands,
     /*  249381 */     // GIR_Coverage, 5288,
     /*  249381 */     GIR_EraseRootFromParent_Done,
     /*  249382 */   // Label 4786: @249382
     /*  249382 */   GIM_Try, /*On fail goto*//*Label 4787*/ GIMT_Encode4(249445), // Rule ID 5289 //
     /*  249387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  249390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  249401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249426 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  249426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  249429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249443 */     GIR_RootConstrainSelectedInstOperands,
     /*  249444 */     // GIR_Coverage, 5289,
     /*  249444 */     GIR_EraseRootFromParent_Done,
     /*  249445 */   // Label 4787: @249445
     /*  249445 */   GIM_Try, /*On fail goto*//*Label 4788*/ GIMT_Encode4(249508), // Rule ID 5290 //
     /*  249450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  249453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  249464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249489 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  249489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  249492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249506 */     GIR_RootConstrainSelectedInstOperands,
     /*  249507 */     // GIR_Coverage, 5290,
     /*  249507 */     GIR_EraseRootFromParent_Done,
     /*  249508 */   // Label 4788: @249508
     /*  249508 */   GIM_Try, /*On fail goto*//*Label 4789*/ GIMT_Encode4(249571), // Rule ID 5291 //
     /*  249513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  249524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  249527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249552 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  249552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  249555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249569 */     GIR_RootConstrainSelectedInstOperands,
     /*  249570 */     // GIR_Coverage, 5291,
     /*  249570 */     GIR_EraseRootFromParent_Done,
     /*  249571 */   // Label 4789: @249571
     /*  249571 */   GIM_Try, /*On fail goto*//*Label 4790*/ GIMT_Encode4(249634), // Rule ID 5292 //
     /*  249576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  249587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  249590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249615 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  249615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  249618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249632 */     GIR_RootConstrainSelectedInstOperands,
     /*  249633 */     // GIR_Coverage, 5292,
     /*  249633 */     GIR_EraseRootFromParent_Done,
     /*  249634 */   // Label 4790: @249634
     /*  249634 */   GIM_Try, /*On fail goto*//*Label 4791*/ GIMT_Encode4(249697), // Rule ID 5293 //
     /*  249639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  249650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  249653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249678 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  249678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  249681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249695 */     GIR_RootConstrainSelectedInstOperands,
     /*  249696 */     // GIR_Coverage, 5293,
     /*  249696 */     GIR_EraseRootFromParent_Done,
     /*  249697 */   // Label 4791: @249697
     /*  249697 */   GIM_Try, /*On fail goto*//*Label 4792*/ GIMT_Encode4(249760), // Rule ID 5294 //
     /*  249702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  249713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  249716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249741 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  249741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  249744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249758 */     GIR_RootConstrainSelectedInstOperands,
     /*  249759 */     // GIR_Coverage, 5294,
     /*  249759 */     GIR_EraseRootFromParent_Done,
     /*  249760 */   // Label 4792: @249760
     /*  249760 */   GIM_Try, /*On fail goto*//*Label 4793*/ GIMT_Encode4(249823), // Rule ID 5295 //
     /*  249765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  249776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  249779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249804 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  249804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  249807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249821 */     GIR_RootConstrainSelectedInstOperands,
     /*  249822 */     // GIR_Coverage, 5295,
     /*  249822 */     GIR_EraseRootFromParent_Done,
     /*  249823 */   // Label 4793: @249823
     /*  249823 */   GIM_Try, /*On fail goto*//*Label 4794*/ GIMT_Encode4(249886), // Rule ID 5296 //
     /*  249828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  249839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  249842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249867 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  249867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  249870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249884 */     GIR_RootConstrainSelectedInstOperands,
     /*  249885 */     // GIR_Coverage, 5296,
     /*  249885 */     GIR_EraseRootFromParent_Done,
     /*  249886 */   // Label 4794: @249886
     /*  249886 */   GIM_Try, /*On fail goto*//*Label 4795*/ GIMT_Encode4(249949), // Rule ID 5297 //
     /*  249891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  249905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249930 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  249930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  249933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249947 */     GIR_RootConstrainSelectedInstOperands,
     /*  249948 */     // GIR_Coverage, 5297,
     /*  249948 */     GIR_EraseRootFromParent_Done,
     /*  249949 */   // Label 4795: @249949
     /*  249949 */   GIM_Try, /*On fail goto*//*Label 4796*/ GIMT_Encode4(250012), // Rule ID 5298 //
     /*  249954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  249962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  249968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249993 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  249993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  249996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250010 */     GIR_RootConstrainSelectedInstOperands,
     /*  250011 */     // GIR_Coverage, 5298,
     /*  250011 */     GIR_EraseRootFromParent_Done,
     /*  250012 */   // Label 4796: @250012
     /*  250012 */   GIM_Try, /*On fail goto*//*Label 4797*/ GIMT_Encode4(250075), // Rule ID 5299 //
     /*  250017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  250028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  250031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250056 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  250056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  250059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250073 */     GIR_RootConstrainSelectedInstOperands,
     /*  250074 */     // GIR_Coverage, 5299,
     /*  250074 */     GIR_EraseRootFromParent_Done,
     /*  250075 */   // Label 4797: @250075
     /*  250075 */   GIM_Try, /*On fail goto*//*Label 4798*/ GIMT_Encode4(250138), // Rule ID 5300 //
     /*  250080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  250091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  250094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250119 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  250119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  250122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250136 */     GIR_RootConstrainSelectedInstOperands,
     /*  250137 */     // GIR_Coverage, 5300,
     /*  250137 */     GIR_EraseRootFromParent_Done,
     /*  250138 */   // Label 4798: @250138
     /*  250138 */   GIM_Try, /*On fail goto*//*Label 4799*/ GIMT_Encode4(250201), // Rule ID 5301 //
     /*  250143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  250154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  250157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250182 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  250182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  250185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250199 */     GIR_RootConstrainSelectedInstOperands,
     /*  250200 */     // GIR_Coverage, 5301,
     /*  250200 */     GIR_EraseRootFromParent_Done,
     /*  250201 */   // Label 4799: @250201
     /*  250201 */   GIM_Try, /*On fail goto*//*Label 4800*/ GIMT_Encode4(250264), // Rule ID 5302 //
     /*  250206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  250217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  250220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250245 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  250245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  250248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250262 */     GIR_RootConstrainSelectedInstOperands,
     /*  250263 */     // GIR_Coverage, 5302,
     /*  250263 */     GIR_EraseRootFromParent_Done,
     /*  250264 */   // Label 4800: @250264
     /*  250264 */   GIM_Try, /*On fail goto*//*Label 4801*/ GIMT_Encode4(250327), // Rule ID 5303 //
     /*  250269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  250283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250308 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  250308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  250311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250325 */     GIR_RootConstrainSelectedInstOperands,
     /*  250326 */     // GIR_Coverage, 5303,
     /*  250326 */     GIR_EraseRootFromParent_Done,
     /*  250327 */   // Label 4801: @250327
     /*  250327 */   GIM_Try, /*On fail goto*//*Label 4802*/ GIMT_Encode4(250390), // Rule ID 5304 //
     /*  250332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  250346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250371 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  250371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  250374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250388 */     GIR_RootConstrainSelectedInstOperands,
     /*  250389 */     // GIR_Coverage, 5304,
     /*  250389 */     GIR_EraseRootFromParent_Done,
     /*  250390 */   // Label 4802: @250390
     /*  250390 */   GIM_Try, /*On fail goto*//*Label 4803*/ GIMT_Encode4(250453), // Rule ID 5305 //
     /*  250395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  250406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  250409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250434 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  250434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  250437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250451 */     GIR_RootConstrainSelectedInstOperands,
     /*  250452 */     // GIR_Coverage, 5305,
     /*  250452 */     GIR_EraseRootFromParent_Done,
     /*  250453 */   // Label 4803: @250453
     /*  250453 */   GIM_Try, /*On fail goto*//*Label 4804*/ GIMT_Encode4(250516), // Rule ID 5306 //
     /*  250458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  250469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  250472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250497 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  250497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  250500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250514 */     GIR_RootConstrainSelectedInstOperands,
     /*  250515 */     // GIR_Coverage, 5306,
     /*  250515 */     GIR_EraseRootFromParent_Done,
     /*  250516 */   // Label 4804: @250516
     /*  250516 */   GIM_Try, /*On fail goto*//*Label 4805*/ GIMT_Encode4(250579), // Rule ID 5307 //
     /*  250521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  250532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  250535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250560 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  250560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  250563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250577 */     GIR_RootConstrainSelectedInstOperands,
     /*  250578 */     // GIR_Coverage, 5307,
     /*  250578 */     GIR_EraseRootFromParent_Done,
     /*  250579 */   // Label 4805: @250579
     /*  250579 */   GIM_Try, /*On fail goto*//*Label 4806*/ GIMT_Encode4(250642), // Rule ID 5308 //
     /*  250584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  250595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  250598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250623 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  250623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  250626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250640 */     GIR_RootConstrainSelectedInstOperands,
     /*  250641 */     // GIR_Coverage, 5308,
     /*  250641 */     GIR_EraseRootFromParent_Done,
     /*  250642 */   // Label 4806: @250642
     /*  250642 */   GIM_Try, /*On fail goto*//*Label 4807*/ GIMT_Encode4(250705), // Rule ID 5309 //
     /*  250647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  250650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  250661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250686 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  250686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  250689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250703 */     GIR_RootConstrainSelectedInstOperands,
     /*  250704 */     // GIR_Coverage, 5309,
     /*  250704 */     GIR_EraseRootFromParent_Done,
     /*  250705 */   // Label 4807: @250705
     /*  250705 */   GIM_Try, /*On fail goto*//*Label 4808*/ GIMT_Encode4(250768), // Rule ID 5310 //
     /*  250710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  250713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  250724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250749 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  250749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  250752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250766 */     GIR_RootConstrainSelectedInstOperands,
     /*  250767 */     // GIR_Coverage, 5310,
     /*  250767 */     GIR_EraseRootFromParent_Done,
     /*  250768 */   // Label 4808: @250768
     /*  250768 */   GIM_Try, /*On fail goto*//*Label 4809*/ GIMT_Encode4(250831), // Rule ID 5311 //
     /*  250773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  250776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  250787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250812 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  250812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  250815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250829 */     GIR_RootConstrainSelectedInstOperands,
     /*  250830 */     // GIR_Coverage, 5311,
     /*  250830 */     GIR_EraseRootFromParent_Done,
     /*  250831 */   // Label 4809: @250831
     /*  250831 */   GIM_Try, /*On fail goto*//*Label 4810*/ GIMT_Encode4(250894), // Rule ID 5312 //
     /*  250836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  250839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  250850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250875 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  250875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  250878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250892 */     GIR_RootConstrainSelectedInstOperands,
     /*  250893 */     // GIR_Coverage, 5312,
     /*  250893 */     GIR_EraseRootFromParent_Done,
     /*  250894 */   // Label 4810: @250894
     /*  250894 */   GIM_Try, /*On fail goto*//*Label 4811*/ GIMT_Encode4(250957), // Rule ID 5313 //
     /*  250899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  250902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  250910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  250913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250938 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  250938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  250941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250955 */     GIR_RootConstrainSelectedInstOperands,
     /*  250956 */     // GIR_Coverage, 5313,
     /*  250956 */     GIR_EraseRootFromParent_Done,
     /*  250957 */   // Label 4811: @250957
     /*  250957 */   GIM_Try, /*On fail goto*//*Label 4812*/ GIMT_Encode4(251020), // Rule ID 5314 //
     /*  250962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  250965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  250970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  250973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  250976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251001 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  251001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  251004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251018 */     GIR_RootConstrainSelectedInstOperands,
     /*  251019 */     // GIR_Coverage, 5314,
     /*  251019 */     GIR_EraseRootFromParent_Done,
     /*  251020 */   // Label 4812: @251020
     /*  251020 */   GIM_Try, /*On fail goto*//*Label 4813*/ GIMT_Encode4(251083), // Rule ID 5535 //
     /*  251025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  251039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  251042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251064 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  251064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  251067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251081 */     GIR_RootConstrainSelectedInstOperands,
     /*  251082 */     // GIR_Coverage, 5535,
     /*  251082 */     GIR_EraseRootFromParent_Done,
     /*  251083 */   // Label 4813: @251083
     /*  251083 */   GIM_Try, /*On fail goto*//*Label 4814*/ GIMT_Encode4(251146), // Rule ID 5536 //
     /*  251088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  251102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  251105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251127 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  251127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  251130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251144 */     GIR_RootConstrainSelectedInstOperands,
     /*  251145 */     // GIR_Coverage, 5536,
     /*  251145 */     GIR_EraseRootFromParent_Done,
     /*  251146 */   // Label 4814: @251146
     /*  251146 */   GIM_Try, /*On fail goto*//*Label 4815*/ GIMT_Encode4(251209), // Rule ID 5537 //
     /*  251151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  251165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  251168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251190 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  251190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  251193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251207 */     GIR_RootConstrainSelectedInstOperands,
     /*  251208 */     // GIR_Coverage, 5537,
     /*  251208 */     GIR_EraseRootFromParent_Done,
     /*  251209 */   // Label 4815: @251209
     /*  251209 */   GIM_Try, /*On fail goto*//*Label 4816*/ GIMT_Encode4(251272), // Rule ID 5538 //
     /*  251214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  251228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  251231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251253 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  251253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  251256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251270 */     GIR_RootConstrainSelectedInstOperands,
     /*  251271 */     // GIR_Coverage, 5538,
     /*  251271 */     GIR_EraseRootFromParent_Done,
     /*  251272 */   // Label 4816: @251272
     /*  251272 */   GIM_Try, /*On fail goto*//*Label 4817*/ GIMT_Encode4(251335), // Rule ID 5539 //
     /*  251277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  251291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  251294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251316 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  251316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  251319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251333 */     GIR_RootConstrainSelectedInstOperands,
     /*  251334 */     // GIR_Coverage, 5539,
     /*  251334 */     GIR_EraseRootFromParent_Done,
     /*  251335 */   // Label 4817: @251335
     /*  251335 */   GIM_Try, /*On fail goto*//*Label 4818*/ GIMT_Encode4(251398), // Rule ID 5540 //
     /*  251340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  251354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  251357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251379 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  251379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  251382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251396 */     GIR_RootConstrainSelectedInstOperands,
     /*  251397 */     // GIR_Coverage, 5540,
     /*  251397 */     GIR_EraseRootFromParent_Done,
     /*  251398 */   // Label 4818: @251398
     /*  251398 */   GIM_Try, /*On fail goto*//*Label 4819*/ GIMT_Encode4(251461), // Rule ID 5541 //
     /*  251403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  251417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  251420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251442 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  251445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251459 */     GIR_RootConstrainSelectedInstOperands,
     /*  251460 */     // GIR_Coverage, 5541,
     /*  251460 */     GIR_EraseRootFromParent_Done,
     /*  251461 */   // Label 4819: @251461
     /*  251461 */   GIM_Try, /*On fail goto*//*Label 4820*/ GIMT_Encode4(251524), // Rule ID 5542 //
     /*  251466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  251480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  251483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251505 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  251508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251522 */     GIR_RootConstrainSelectedInstOperands,
     /*  251523 */     // GIR_Coverage, 5542,
     /*  251523 */     GIR_EraseRootFromParent_Done,
     /*  251524 */   // Label 4820: @251524
     /*  251524 */   GIM_Try, /*On fail goto*//*Label 4821*/ GIMT_Encode4(251587), // Rule ID 5543 //
     /*  251529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  251543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  251546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251568 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  251571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251585 */     GIR_RootConstrainSelectedInstOperands,
     /*  251586 */     // GIR_Coverage, 5543,
     /*  251586 */     GIR_EraseRootFromParent_Done,
     /*  251587 */   // Label 4821: @251587
     /*  251587 */   GIM_Try, /*On fail goto*//*Label 4822*/ GIMT_Encode4(251650), // Rule ID 5544 //
     /*  251592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  251606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  251609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251631 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  251634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251648 */     GIR_RootConstrainSelectedInstOperands,
     /*  251649 */     // GIR_Coverage, 5544,
     /*  251649 */     GIR_EraseRootFromParent_Done,
     /*  251650 */   // Label 4822: @251650
     /*  251650 */   GIM_Try, /*On fail goto*//*Label 4823*/ GIMT_Encode4(251713), // Rule ID 5545 //
     /*  251655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  251669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  251672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251694 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  251694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  251697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251711 */     GIR_RootConstrainSelectedInstOperands,
     /*  251712 */     // GIR_Coverage, 5545,
     /*  251712 */     GIR_EraseRootFromParent_Done,
     /*  251713 */   // Label 4823: @251713
     /*  251713 */   GIM_Try, /*On fail goto*//*Label 4824*/ GIMT_Encode4(251776), // Rule ID 5546 //
     /*  251718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  251729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  251732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  251735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251757 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  251757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  251760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251774 */     GIR_RootConstrainSelectedInstOperands,
     /*  251775 */     // GIR_Coverage, 5546,
     /*  251775 */     GIR_EraseRootFromParent_Done,
     /*  251776 */   // Label 4824: @251776
     /*  251776 */   GIM_Try, /*On fail goto*//*Label 4825*/ GIMT_Encode4(251839), // Rule ID 5547 //
     /*  251781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  251795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  251798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251820 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  251820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  251823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251837 */     GIR_RootConstrainSelectedInstOperands,
     /*  251838 */     // GIR_Coverage, 5547,
     /*  251838 */     GIR_EraseRootFromParent_Done,
     /*  251839 */   // Label 4825: @251839
     /*  251839 */   GIM_Try, /*On fail goto*//*Label 4826*/ GIMT_Encode4(251902), // Rule ID 5548 //
     /*  251844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  251858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  251861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251883 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  251883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  251886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251900 */     GIR_RootConstrainSelectedInstOperands,
     /*  251901 */     // GIR_Coverage, 5548,
     /*  251901 */     GIR_EraseRootFromParent_Done,
     /*  251902 */   // Label 4826: @251902
     /*  251902 */   GIM_Try, /*On fail goto*//*Label 4827*/ GIMT_Encode4(251965), // Rule ID 5549 //
     /*  251907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  251921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  251924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251946 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  251949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251963 */     GIR_RootConstrainSelectedInstOperands,
     /*  251964 */     // GIR_Coverage, 5549,
     /*  251964 */     GIR_EraseRootFromParent_Done,
     /*  251965 */   // Label 4827: @251965
     /*  251965 */   GIM_Try, /*On fail goto*//*Label 4828*/ GIMT_Encode4(252028), // Rule ID 5550 //
     /*  251970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  251984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  251987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252009 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  252009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  252012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252026 */     GIR_RootConstrainSelectedInstOperands,
     /*  252027 */     // GIR_Coverage, 5550,
     /*  252027 */     GIR_EraseRootFromParent_Done,
     /*  252028 */   // Label 4828: @252028
     /*  252028 */   GIM_Try, /*On fail goto*//*Label 4829*/ GIMT_Encode4(252091), // Rule ID 5551 //
     /*  252033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  252047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  252050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252072 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  252072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  252075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252089 */     GIR_RootConstrainSelectedInstOperands,
     /*  252090 */     // GIR_Coverage, 5551,
     /*  252090 */     GIR_EraseRootFromParent_Done,
     /*  252091 */   // Label 4829: @252091
     /*  252091 */   GIM_Try, /*On fail goto*//*Label 4830*/ GIMT_Encode4(252154), // Rule ID 5552 //
     /*  252096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  252110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  252113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252135 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  252135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  252138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252152 */     GIR_RootConstrainSelectedInstOperands,
     /*  252153 */     // GIR_Coverage, 5552,
     /*  252153 */     GIR_EraseRootFromParent_Done,
     /*  252154 */   // Label 4830: @252154
     /*  252154 */   GIM_Try, /*On fail goto*//*Label 4831*/ GIMT_Encode4(252217), // Rule ID 5553 //
     /*  252159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  252162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  252173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  252176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252198 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  252198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  252201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252215 */     GIR_RootConstrainSelectedInstOperands,
     /*  252216 */     // GIR_Coverage, 5553,
     /*  252216 */     GIR_EraseRootFromParent_Done,
     /*  252217 */   // Label 4831: @252217
     /*  252217 */   GIM_Try, /*On fail goto*//*Label 4832*/ GIMT_Encode4(252280), // Rule ID 5554 //
     /*  252222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  252225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  252236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  252239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252261 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  252261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  252264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252278 */     GIR_RootConstrainSelectedInstOperands,
     /*  252279 */     // GIR_Coverage, 5554,
     /*  252279 */     GIR_EraseRootFromParent_Done,
     /*  252280 */   // Label 4832: @252280
     /*  252280 */   GIM_Try, /*On fail goto*//*Label 4833*/ GIMT_Encode4(252343), // Rule ID 5555 //
     /*  252285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  252296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  252299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  252302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252324 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  252327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252341 */     GIR_RootConstrainSelectedInstOperands,
     /*  252342 */     // GIR_Coverage, 5555,
     /*  252342 */     GIR_EraseRootFromParent_Done,
     /*  252343 */   // Label 4833: @252343
     /*  252343 */   GIM_Try, /*On fail goto*//*Label 4834*/ GIMT_Encode4(252406), // Rule ID 5556 //
     /*  252348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  252359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  252362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  252365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252387 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  252390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252404 */     GIR_RootConstrainSelectedInstOperands,
     /*  252405 */     // GIR_Coverage, 5556,
     /*  252405 */     GIR_EraseRootFromParent_Done,
     /*  252406 */   // Label 4834: @252406
     /*  252406 */   GIM_Try, /*On fail goto*//*Label 4835*/ GIMT_Encode4(252469), // Rule ID 5557 //
     /*  252411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  252422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  252425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  252428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252450 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  252453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252467 */     GIR_RootConstrainSelectedInstOperands,
     /*  252468 */     // GIR_Coverage, 5557,
     /*  252468 */     GIR_EraseRootFromParent_Done,
     /*  252469 */   // Label 4835: @252469
     /*  252469 */   GIM_Try, /*On fail goto*//*Label 4836*/ GIMT_Encode4(252532), // Rule ID 5558 //
     /*  252474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  252485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  252488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  252491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252513 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  252516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252530 */     GIR_RootConstrainSelectedInstOperands,
     /*  252531 */     // GIR_Coverage, 5558,
     /*  252531 */     GIR_EraseRootFromParent_Done,
     /*  252532 */   // Label 4836: @252532
     /*  252532 */   GIM_Try, /*On fail goto*//*Label 4837*/ GIMT_Encode4(252595), // Rule ID 5559 //
     /*  252537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  252548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  252551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  252554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252576 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  252579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252593 */     GIR_RootConstrainSelectedInstOperands,
     /*  252594 */     // GIR_Coverage, 5559,
     /*  252594 */     GIR_EraseRootFromParent_Done,
     /*  252595 */   // Label 4837: @252595
     /*  252595 */   GIM_Try, /*On fail goto*//*Label 4838*/ GIMT_Encode4(252658), // Rule ID 5560 //
     /*  252600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  252611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  252614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  252617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252639 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  252642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252656 */     GIR_RootConstrainSelectedInstOperands,
     /*  252657 */     // GIR_Coverage, 5560,
     /*  252657 */     GIR_EraseRootFromParent_Done,
     /*  252658 */   // Label 4838: @252658
     /*  252658 */   GIM_Try, /*On fail goto*//*Label 4839*/ GIMT_Encode4(252721), // Rule ID 5561 //
     /*  252663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  252677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  252680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252702 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  252705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252719 */     GIR_RootConstrainSelectedInstOperands,
     /*  252720 */     // GIR_Coverage, 5561,
     /*  252720 */     GIR_EraseRootFromParent_Done,
     /*  252721 */   // Label 4839: @252721
     /*  252721 */   GIM_Try, /*On fail goto*//*Label 4840*/ GIMT_Encode4(252784), // Rule ID 5562 //
     /*  252726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  252740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  252743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252765 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  252765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  252768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252782 */     GIR_RootConstrainSelectedInstOperands,
     /*  252783 */     // GIR_Coverage, 5562,
     /*  252783 */     GIR_EraseRootFromParent_Done,
     /*  252784 */   // Label 4840: @252784
     /*  252784 */   GIM_Try, /*On fail goto*//*Label 4841*/ GIMT_Encode4(252847), // Rule ID 5563 //
     /*  252789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  252800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  252803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  252806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252828 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  252831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252845 */     GIR_RootConstrainSelectedInstOperands,
     /*  252846 */     // GIR_Coverage, 5563,
     /*  252846 */     GIR_EraseRootFromParent_Done,
     /*  252847 */   // Label 4841: @252847
     /*  252847 */   GIM_Try, /*On fail goto*//*Label 4842*/ GIMT_Encode4(252910), // Rule ID 5564 //
     /*  252852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  252863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  252866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  252869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252891 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  252891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  252894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252908 */     GIR_RootConstrainSelectedInstOperands,
     /*  252909 */     // GIR_Coverage, 5564,
     /*  252909 */     GIR_EraseRootFromParent_Done,
     /*  252910 */   // Label 4842: @252910
     /*  252910 */   GIM_Try, /*On fail goto*//*Label 4843*/ GIMT_Encode4(252973), // Rule ID 5565 //
     /*  252915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  252926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  252929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  252932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252954 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  252957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252971 */     GIR_RootConstrainSelectedInstOperands,
     /*  252972 */     // GIR_Coverage, 5565,
     /*  252972 */     GIR_EraseRootFromParent_Done,
     /*  252973 */   // Label 4843: @252973
     /*  252973 */   GIM_Try, /*On fail goto*//*Label 4844*/ GIMT_Encode4(253036), // Rule ID 5566 //
     /*  252978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  252986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  252989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  252992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  252995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253017 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  253020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253034 */     GIR_RootConstrainSelectedInstOperands,
     /*  253035 */     // GIR_Coverage, 5566,
     /*  253035 */     GIR_EraseRootFromParent_Done,
     /*  253036 */   // Label 4844: @253036
     /*  253036 */   GIM_Try, /*On fail goto*//*Label 4845*/ GIMT_Encode4(253099), // Rule ID 5567 //
     /*  253041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  253055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  253058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253080 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  253080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  253083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253097 */     GIR_RootConstrainSelectedInstOperands,
     /*  253098 */     // GIR_Coverage, 5567,
     /*  253098 */     GIR_EraseRootFromParent_Done,
     /*  253099 */   // Label 4845: @253099
     /*  253099 */   GIM_Try, /*On fail goto*//*Label 4846*/ GIMT_Encode4(253162), // Rule ID 5568 //
     /*  253104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  253118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  253121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253143 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  253143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  253146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253160 */     GIR_RootConstrainSelectedInstOperands,
     /*  253161 */     // GIR_Coverage, 5568,
     /*  253161 */     GIR_EraseRootFromParent_Done,
     /*  253162 */   // Label 4846: @253162
     /*  253162 */   GIM_Try, /*On fail goto*//*Label 4847*/ GIMT_Encode4(253225), // Rule ID 5569 //
     /*  253167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  253181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  253184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253206 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  253206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  253209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253223 */     GIR_RootConstrainSelectedInstOperands,
     /*  253224 */     // GIR_Coverage, 5569,
     /*  253224 */     GIR_EraseRootFromParent_Done,
     /*  253225 */   // Label 4847: @253225
     /*  253225 */   GIM_Try, /*On fail goto*//*Label 4848*/ GIMT_Encode4(253288), // Rule ID 5570 //
     /*  253230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  253244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  253247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253269 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  253269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  253272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253286 */     GIR_RootConstrainSelectedInstOperands,
     /*  253287 */     // GIR_Coverage, 5570,
     /*  253287 */     GIR_EraseRootFromParent_Done,
     /*  253288 */   // Label 4848: @253288
     /*  253288 */   GIM_Try, /*On fail goto*//*Label 4849*/ GIMT_Encode4(253351), // Rule ID 5571 //
     /*  253293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  253307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  253310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253332 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  253332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  253335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253349 */     GIR_RootConstrainSelectedInstOperands,
     /*  253350 */     // GIR_Coverage, 5571,
     /*  253350 */     GIR_EraseRootFromParent_Done,
     /*  253351 */   // Label 4849: @253351
     /*  253351 */   GIM_Try, /*On fail goto*//*Label 4850*/ GIMT_Encode4(253414), // Rule ID 5572 //
     /*  253356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  253370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  253373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253395 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  253395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  253398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253412 */     GIR_RootConstrainSelectedInstOperands,
     /*  253413 */     // GIR_Coverage, 5572,
     /*  253413 */     GIR_EraseRootFromParent_Done,
     /*  253414 */   // Label 4850: @253414
     /*  253414 */   GIM_Try, /*On fail goto*//*Label 4851*/ GIMT_Encode4(253477), // Rule ID 5573 //
     /*  253419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  253422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  253433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  253436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253458 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  253458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  253461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253475 */     GIR_RootConstrainSelectedInstOperands,
     /*  253476 */     // GIR_Coverage, 5573,
     /*  253476 */     GIR_EraseRootFromParent_Done,
     /*  253477 */   // Label 4851: @253477
     /*  253477 */   GIM_Try, /*On fail goto*//*Label 4852*/ GIMT_Encode4(253540), // Rule ID 5574 //
     /*  253482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  253485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  253496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  253499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253521 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  253521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  253524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253538 */     GIR_RootConstrainSelectedInstOperands,
     /*  253539 */     // GIR_Coverage, 5574,
     /*  253539 */     GIR_EraseRootFromParent_Done,
     /*  253540 */   // Label 4852: @253540
     /*  253540 */   GIM_Try, /*On fail goto*//*Label 4853*/ GIMT_Encode4(253603), // Rule ID 5575 //
     /*  253545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  253548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  253559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  253562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253584 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  253584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  253587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253601 */     GIR_RootConstrainSelectedInstOperands,
     /*  253602 */     // GIR_Coverage, 5575,
     /*  253602 */     GIR_EraseRootFromParent_Done,
     /*  253603 */   // Label 4853: @253603
     /*  253603 */   GIM_Try, /*On fail goto*//*Label 4854*/ GIMT_Encode4(253666), // Rule ID 5576 //
     /*  253608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  253611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  253622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  253625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253647 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  253647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  253650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253664 */     GIR_RootConstrainSelectedInstOperands,
     /*  253665 */     // GIR_Coverage, 5576,
     /*  253665 */     GIR_EraseRootFromParent_Done,
     /*  253666 */   // Label 4854: @253666
     /*  253666 */   GIM_Try, /*On fail goto*//*Label 4855*/ GIMT_Encode4(253729), // Rule ID 5577 //
     /*  253671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  253674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  253685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  253688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253710 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  253710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  253713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253727 */     GIR_RootConstrainSelectedInstOperands,
     /*  253728 */     // GIR_Coverage, 5577,
     /*  253728 */     GIR_EraseRootFromParent_Done,
     /*  253729 */   // Label 4855: @253729
     /*  253729 */   GIM_Try, /*On fail goto*//*Label 4856*/ GIMT_Encode4(253792), // Rule ID 5578 //
     /*  253734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  253737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  253748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  253751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253773 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  253773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  253776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253790 */     GIR_RootConstrainSelectedInstOperands,
     /*  253791 */     // GIR_Coverage, 5578,
     /*  253791 */     GIR_EraseRootFromParent_Done,
     /*  253792 */   // Label 4856: @253792
     /*  253792 */   GIM_Try, /*On fail goto*//*Label 4857*/ GIMT_Encode4(253855), // Rule ID 5579 //
     /*  253797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  253811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  253814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  253829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253836 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  253839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253853 */     GIR_RootConstrainSelectedInstOperands,
     /*  253854 */     // GIR_Coverage, 5579,
     /*  253854 */     GIR_EraseRootFromParent_Done,
     /*  253855 */   // Label 4857: @253855
     /*  253855 */   GIM_Try, /*On fail goto*//*Label 4858*/ GIMT_Encode4(253918), // Rule ID 5580 //
     /*  253860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  253874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  253877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  253892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253899 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  253902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253916 */     GIR_RootConstrainSelectedInstOperands,
     /*  253917 */     // GIR_Coverage, 5580,
     /*  253917 */     GIR_EraseRootFromParent_Done,
     /*  253918 */   // Label 4858: @253918
     /*  253918 */   GIM_Try, /*On fail goto*//*Label 4859*/ GIMT_Encode4(253981), // Rule ID 5581 //
     /*  253923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  253937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  253940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  253955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253962 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  253965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253979 */     GIR_RootConstrainSelectedInstOperands,
     /*  253980 */     // GIR_Coverage, 5581,
     /*  253980 */     GIR_EraseRootFromParent_Done,
     /*  253981 */   // Label 4859: @253981
     /*  253981 */   GIM_Try, /*On fail goto*//*Label 4860*/ GIMT_Encode4(254044), // Rule ID 5582 //
     /*  253986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  253994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  254000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254025 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  254028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254042 */     GIR_RootConstrainSelectedInstOperands,
     /*  254043 */     // GIR_Coverage, 5582,
     /*  254043 */     GIR_EraseRootFromParent_Done,
     /*  254044 */   // Label 4860: @254044
     /*  254044 */   GIM_Try, /*On fail goto*//*Label 4861*/ GIMT_Encode4(254107), // Rule ID 5583 //
     /*  254049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  254063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254088 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  254091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254105 */     GIR_RootConstrainSelectedInstOperands,
     /*  254106 */     // GIR_Coverage, 5583,
     /*  254106 */     GIR_EraseRootFromParent_Done,
     /*  254107 */   // Label 4861: @254107
     /*  254107 */   GIM_Try, /*On fail goto*//*Label 4862*/ GIMT_Encode4(254170), // Rule ID 5584 //
     /*  254112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  254126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254151 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  254154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254168 */     GIR_RootConstrainSelectedInstOperands,
     /*  254169 */     // GIR_Coverage, 5584,
     /*  254169 */     GIR_EraseRootFromParent_Done,
     /*  254170 */   // Label 4862: @254170
     /*  254170 */   GIM_Try, /*On fail goto*//*Label 4863*/ GIMT_Encode4(254233), // Rule ID 5585 //
     /*  254175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  254189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254214 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  254217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254231 */     GIR_RootConstrainSelectedInstOperands,
     /*  254232 */     // GIR_Coverage, 5585,
     /*  254232 */     GIR_EraseRootFromParent_Done,
     /*  254233 */   // Label 4863: @254233
     /*  254233 */   GIM_Try, /*On fail goto*//*Label 4864*/ GIMT_Encode4(254296), // Rule ID 5586 //
     /*  254238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  254252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254277 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  254280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254294 */     GIR_RootConstrainSelectedInstOperands,
     /*  254295 */     // GIR_Coverage, 5586,
     /*  254295 */     GIR_EraseRootFromParent_Done,
     /*  254296 */   // Label 4864: @254296
     /*  254296 */   GIM_Try, /*On fail goto*//*Label 4865*/ GIMT_Encode4(254359), // Rule ID 5587 //
     /*  254301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  254315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254340 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  254343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254357 */     GIR_RootConstrainSelectedInstOperands,
     /*  254358 */     // GIR_Coverage, 5587,
     /*  254358 */     GIR_EraseRootFromParent_Done,
     /*  254359 */   // Label 4865: @254359
     /*  254359 */   GIM_Try, /*On fail goto*//*Label 4866*/ GIMT_Encode4(254422), // Rule ID 5588 //
     /*  254364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  254378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254403 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  254406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254420 */     GIR_RootConstrainSelectedInstOperands,
     /*  254421 */     // GIR_Coverage, 5588,
     /*  254421 */     GIR_EraseRootFromParent_Done,
     /*  254422 */   // Label 4866: @254422
     /*  254422 */   GIM_Try, /*On fail goto*//*Label 4867*/ GIMT_Encode4(254485), // Rule ID 5589 //
     /*  254427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  254441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254466 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  254469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254483 */     GIR_RootConstrainSelectedInstOperands,
     /*  254484 */     // GIR_Coverage, 5589,
     /*  254484 */     GIR_EraseRootFromParent_Done,
     /*  254485 */   // Label 4867: @254485
     /*  254485 */   GIM_Try, /*On fail goto*//*Label 4868*/ GIMT_Encode4(254548), // Rule ID 5590 //
     /*  254490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  254504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254529 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  254532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254546 */     GIR_RootConstrainSelectedInstOperands,
     /*  254547 */     // GIR_Coverage, 5590,
     /*  254547 */     GIR_EraseRootFromParent_Done,
     /*  254548 */   // Label 4868: @254548
     /*  254548 */   GIM_Try, /*On fail goto*//*Label 4869*/ GIMT_Encode4(254611), // Rule ID 5591 //
     /*  254553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  254567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254592 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  254595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254609 */     GIR_RootConstrainSelectedInstOperands,
     /*  254610 */     // GIR_Coverage, 5591,
     /*  254610 */     GIR_EraseRootFromParent_Done,
     /*  254611 */   // Label 4869: @254611
     /*  254611 */   GIM_Try, /*On fail goto*//*Label 4870*/ GIMT_Encode4(254674), // Rule ID 5592 //
     /*  254616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  254630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254655 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  254658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254672 */     GIR_RootConstrainSelectedInstOperands,
     /*  254673 */     // GIR_Coverage, 5592,
     /*  254673 */     GIR_EraseRootFromParent_Done,
     /*  254674 */   // Label 4870: @254674
     /*  254674 */   GIM_Try, /*On fail goto*//*Label 4871*/ GIMT_Encode4(254737), // Rule ID 5593 //
     /*  254679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  254693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254718 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  254721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254735 */     GIR_RootConstrainSelectedInstOperands,
     /*  254736 */     // GIR_Coverage, 5593,
     /*  254736 */     GIR_EraseRootFromParent_Done,
     /*  254737 */   // Label 4871: @254737
     /*  254737 */   GIM_Try, /*On fail goto*//*Label 4872*/ GIMT_Encode4(254800), // Rule ID 5594 //
     /*  254742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  254756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254781 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  254784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254798 */     GIR_RootConstrainSelectedInstOperands,
     /*  254799 */     // GIR_Coverage, 5594,
     /*  254799 */     GIR_EraseRootFromParent_Done,
     /*  254800 */   // Label 4872: @254800
     /*  254800 */   GIM_Try, /*On fail goto*//*Label 4873*/ GIMT_Encode4(254863), // Rule ID 5595 //
     /*  254805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  254819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254844 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  254847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254861 */     GIR_RootConstrainSelectedInstOperands,
     /*  254862 */     // GIR_Coverage, 5595,
     /*  254862 */     GIR_EraseRootFromParent_Done,
     /*  254863 */   // Label 4873: @254863
     /*  254863 */   GIM_Try, /*On fail goto*//*Label 4874*/ GIMT_Encode4(254926), // Rule ID 5596 //
     /*  254868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  254882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254907 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  254910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254924 */     GIR_RootConstrainSelectedInstOperands,
     /*  254925 */     // GIR_Coverage, 5596,
     /*  254925 */     GIR_EraseRootFromParent_Done,
     /*  254926 */   // Label 4874: @254926
     /*  254926 */   GIM_Try, /*On fail goto*//*Label 4875*/ GIMT_Encode4(254989), // Rule ID 5597 //
     /*  254931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  254934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  254939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  254945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254970 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  254970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  254973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254987 */     GIR_RootConstrainSelectedInstOperands,
     /*  254988 */     // GIR_Coverage, 5597,
     /*  254988 */     GIR_EraseRootFromParent_Done,
     /*  254989 */   // Label 4875: @254989
     /*  254989 */   GIM_Try, /*On fail goto*//*Label 4876*/ GIMT_Encode4(255052), // Rule ID 5598 //
     /*  254994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  254997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  255008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255033 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  255033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  255036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255050 */     GIR_RootConstrainSelectedInstOperands,
     /*  255051 */     // GIR_Coverage, 5598,
     /*  255051 */     GIR_EraseRootFromParent_Done,
     /*  255052 */   // Label 4876: @255052
     /*  255052 */   GIM_Try, /*On fail goto*//*Label 4877*/ GIMT_Encode4(255115), // Rule ID 5599 //
     /*  255057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  255068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  255071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255096 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  255099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255113 */     GIR_RootConstrainSelectedInstOperands,
     /*  255114 */     // GIR_Coverage, 5599,
     /*  255114 */     GIR_EraseRootFromParent_Done,
     /*  255115 */   // Label 4877: @255115
     /*  255115 */   GIM_Try, /*On fail goto*//*Label 4878*/ GIMT_Encode4(255178), // Rule ID 5600 //
     /*  255120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  255131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  255134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255159 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  255162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255176 */     GIR_RootConstrainSelectedInstOperands,
     /*  255177 */     // GIR_Coverage, 5600,
     /*  255177 */     GIR_EraseRootFromParent_Done,
     /*  255178 */   // Label 4878: @255178
     /*  255178 */   GIM_Try, /*On fail goto*//*Label 4879*/ GIMT_Encode4(255241), // Rule ID 5601 //
     /*  255183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  255194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  255197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255222 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  255225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255239 */     GIR_RootConstrainSelectedInstOperands,
     /*  255240 */     // GIR_Coverage, 5601,
     /*  255240 */     GIR_EraseRootFromParent_Done,
     /*  255241 */   // Label 4879: @255241
     /*  255241 */   GIM_Try, /*On fail goto*//*Label 4880*/ GIMT_Encode4(255304), // Rule ID 5602 //
     /*  255246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  255257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  255260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255285 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  255288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255302 */     GIR_RootConstrainSelectedInstOperands,
     /*  255303 */     // GIR_Coverage, 5602,
     /*  255303 */     GIR_EraseRootFromParent_Done,
     /*  255304 */   // Label 4880: @255304
     /*  255304 */   GIM_Try, /*On fail goto*//*Label 4881*/ GIMT_Encode4(255367), // Rule ID 5603 //
     /*  255309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  255320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  255323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255348 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  255351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255365 */     GIR_RootConstrainSelectedInstOperands,
     /*  255366 */     // GIR_Coverage, 5603,
     /*  255366 */     GIR_EraseRootFromParent_Done,
     /*  255367 */   // Label 4881: @255367
     /*  255367 */   GIM_Try, /*On fail goto*//*Label 4882*/ GIMT_Encode4(255430), // Rule ID 5604 //
     /*  255372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  255383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  255386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255411 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  255414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255428 */     GIR_RootConstrainSelectedInstOperands,
     /*  255429 */     // GIR_Coverage, 5604,
     /*  255429 */     GIR_EraseRootFromParent_Done,
     /*  255430 */   // Label 4882: @255430
     /*  255430 */   GIM_Try, /*On fail goto*//*Label 4883*/ GIMT_Encode4(255493), // Rule ID 5605 //
     /*  255435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  255449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255474 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  255477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255491 */     GIR_RootConstrainSelectedInstOperands,
     /*  255492 */     // GIR_Coverage, 5605,
     /*  255492 */     GIR_EraseRootFromParent_Done,
     /*  255493 */   // Label 4883: @255493
     /*  255493 */   GIM_Try, /*On fail goto*//*Label 4884*/ GIMT_Encode4(255556), // Rule ID 5606 //
     /*  255498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  255512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255537 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  255540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255554 */     GIR_RootConstrainSelectedInstOperands,
     /*  255555 */     // GIR_Coverage, 5606,
     /*  255555 */     GIR_EraseRootFromParent_Done,
     /*  255556 */   // Label 4884: @255556
     /*  255556 */   GIM_Try, /*On fail goto*//*Label 4885*/ GIMT_Encode4(255619), // Rule ID 5607 //
     /*  255561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  255572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  255575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255600 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  255603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255617 */     GIR_RootConstrainSelectedInstOperands,
     /*  255618 */     // GIR_Coverage, 5607,
     /*  255618 */     GIR_EraseRootFromParent_Done,
     /*  255619 */   // Label 4885: @255619
     /*  255619 */   GIM_Try, /*On fail goto*//*Label 4886*/ GIMT_Encode4(255682), // Rule ID 5608 //
     /*  255624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  255635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  255638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255663 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  255666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255680 */     GIR_RootConstrainSelectedInstOperands,
     /*  255681 */     // GIR_Coverage, 5608,
     /*  255681 */     GIR_EraseRootFromParent_Done,
     /*  255682 */   // Label 4886: @255682
     /*  255682 */   GIM_Try, /*On fail goto*//*Label 4887*/ GIMT_Encode4(255745), // Rule ID 5609 //
     /*  255687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  255698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  255701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255726 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  255729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255743 */     GIR_RootConstrainSelectedInstOperands,
     /*  255744 */     // GIR_Coverage, 5609,
     /*  255744 */     GIR_EraseRootFromParent_Done,
     /*  255745 */   // Label 4887: @255745
     /*  255745 */   GIM_Try, /*On fail goto*//*Label 4888*/ GIMT_Encode4(255808), // Rule ID 5610 //
     /*  255750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  255761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  255764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255789 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  255792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255806 */     GIR_RootConstrainSelectedInstOperands,
     /*  255807 */     // GIR_Coverage, 5610,
     /*  255807 */     GIR_EraseRootFromParent_Done,
     /*  255808 */   // Label 4888: @255808
     /*  255808 */   GIM_Try, /*On fail goto*//*Label 4889*/ GIMT_Encode4(255871), // Rule ID 5611 //
     /*  255813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  255827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255852 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  255852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  255855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255869 */     GIR_RootConstrainSelectedInstOperands,
     /*  255870 */     // GIR_Coverage, 5611,
     /*  255870 */     GIR_EraseRootFromParent_Done,
     /*  255871 */   // Label 4889: @255871
     /*  255871 */   GIM_Try, /*On fail goto*//*Label 4890*/ GIMT_Encode4(255934), // Rule ID 5612 //
     /*  255876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  255890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255915 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  255915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  255918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255932 */     GIR_RootConstrainSelectedInstOperands,
     /*  255933 */     // GIR_Coverage, 5612,
     /*  255933 */     GIR_EraseRootFromParent_Done,
     /*  255934 */   // Label 4890: @255934
     /*  255934 */   GIM_Try, /*On fail goto*//*Label 4891*/ GIMT_Encode4(255997), // Rule ID 5613 //
     /*  255939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  255947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  255953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255978 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  255978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  255981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255995 */     GIR_RootConstrainSelectedInstOperands,
     /*  255996 */     // GIR_Coverage, 5613,
     /*  255996 */     GIR_EraseRootFromParent_Done,
     /*  255997 */   // Label 4891: @255997
     /*  255997 */   GIM_Try, /*On fail goto*//*Label 4892*/ GIMT_Encode4(256060), // Rule ID 5614 //
     /*  256002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  256016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256041 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  256044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256058 */     GIR_RootConstrainSelectedInstOperands,
     /*  256059 */     // GIR_Coverage, 5614,
     /*  256059 */     GIR_EraseRootFromParent_Done,
     /*  256060 */   // Label 4892: @256060
     /*  256060 */   GIM_Try, /*On fail goto*//*Label 4893*/ GIMT_Encode4(256123), // Rule ID 5615 //
     /*  256065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  256079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256104 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  256104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  256107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256121 */     GIR_RootConstrainSelectedInstOperands,
     /*  256122 */     // GIR_Coverage, 5615,
     /*  256122 */     GIR_EraseRootFromParent_Done,
     /*  256123 */   // Label 4893: @256123
     /*  256123 */   GIM_Try, /*On fail goto*//*Label 4894*/ GIMT_Encode4(256186), // Rule ID 5616 //
     /*  256128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  256142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256167 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  256170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256184 */     GIR_RootConstrainSelectedInstOperands,
     /*  256185 */     // GIR_Coverage, 5616,
     /*  256185 */     GIR_EraseRootFromParent_Done,
     /*  256186 */   // Label 4894: @256186
     /*  256186 */   GIM_Try, /*On fail goto*//*Label 4895*/ GIMT_Encode4(256249), // Rule ID 5617 //
     /*  256191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  256194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  256205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256230 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  256230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  256233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256247 */     GIR_RootConstrainSelectedInstOperands,
     /*  256248 */     // GIR_Coverage, 5617,
     /*  256248 */     GIR_EraseRootFromParent_Done,
     /*  256249 */   // Label 4895: @256249
     /*  256249 */   GIM_Try, /*On fail goto*//*Label 4896*/ GIMT_Encode4(256312), // Rule ID 5618 //
     /*  256254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  256257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  256268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256293 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  256293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  256296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256310 */     GIR_RootConstrainSelectedInstOperands,
     /*  256311 */     // GIR_Coverage, 5618,
     /*  256311 */     GIR_EraseRootFromParent_Done,
     /*  256312 */   // Label 4896: @256312
     /*  256312 */   GIM_Try, /*On fail goto*//*Label 4897*/ GIMT_Encode4(256375), // Rule ID 5619 //
     /*  256317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  256320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  256331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256356 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  256356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  256359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256373 */     GIR_RootConstrainSelectedInstOperands,
     /*  256374 */     // GIR_Coverage, 5619,
     /*  256374 */     GIR_EraseRootFromParent_Done,
     /*  256375 */   // Label 4897: @256375
     /*  256375 */   GIM_Try, /*On fail goto*//*Label 4898*/ GIMT_Encode4(256438), // Rule ID 5620 //
     /*  256380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  256383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  256394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256419 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  256419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  256422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256436 */     GIR_RootConstrainSelectedInstOperands,
     /*  256437 */     // GIR_Coverage, 5620,
     /*  256437 */     GIR_EraseRootFromParent_Done,
     /*  256438 */   // Label 4898: @256438
     /*  256438 */   GIM_Try, /*On fail goto*//*Label 4899*/ GIMT_Encode4(256501), // Rule ID 5621 //
     /*  256443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  256446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  256457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256482 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  256482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  256485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256499 */     GIR_RootConstrainSelectedInstOperands,
     /*  256500 */     // GIR_Coverage, 5621,
     /*  256500 */     GIR_EraseRootFromParent_Done,
     /*  256501 */   // Label 4899: @256501
     /*  256501 */   GIM_Try, /*On fail goto*//*Label 4900*/ GIMT_Encode4(256564), // Rule ID 5622 //
     /*  256506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  256509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  256514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  256520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256545 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  256545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  256548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256562 */     GIR_RootConstrainSelectedInstOperands,
     /*  256563 */     // GIR_Coverage, 5622,
     /*  256563 */     GIR_EraseRootFromParent_Done,
     /*  256564 */   // Label 4900: @256564
     /*  256564 */   GIM_Try, /*On fail goto*//*Label 4901*/ GIMT_Encode4(256627), // Rule ID 7655 //
     /*  256569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  256583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  256586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256608 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  256611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256625 */     GIR_RootConstrainSelectedInstOperands,
     /*  256626 */     // GIR_Coverage, 7655,
     /*  256626 */     GIR_EraseRootFromParent_Done,
     /*  256627 */   // Label 4901: @256627
     /*  256627 */   GIM_Try, /*On fail goto*//*Label 4902*/ GIMT_Encode4(256690), // Rule ID 7656 //
     /*  256632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  256646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  256649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256671 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  256674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256688 */     GIR_RootConstrainSelectedInstOperands,
     /*  256689 */     // GIR_Coverage, 7656,
     /*  256689 */     GIR_EraseRootFromParent_Done,
     /*  256690 */   // Label 4902: @256690
     /*  256690 */   GIM_Try, /*On fail goto*//*Label 4903*/ GIMT_Encode4(256753), // Rule ID 7659 //
     /*  256695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  256709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  256712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256734 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  256737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256751 */     GIR_RootConstrainSelectedInstOperands,
     /*  256752 */     // GIR_Coverage, 7659,
     /*  256752 */     GIR_EraseRootFromParent_Done,
     /*  256753 */   // Label 4903: @256753
     /*  256753 */   GIM_Try, /*On fail goto*//*Label 4904*/ GIMT_Encode4(256816), // Rule ID 7660 //
     /*  256758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  256772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  256775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256797 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  256800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256814 */     GIR_RootConstrainSelectedInstOperands,
     /*  256815 */     // GIR_Coverage, 7660,
     /*  256815 */     GIR_EraseRootFromParent_Done,
     /*  256816 */   // Label 4904: @256816
     /*  256816 */   GIM_Try, /*On fail goto*//*Label 4905*/ GIMT_Encode4(256879), // Rule ID 7663 //
     /*  256821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  256835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  256838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256860 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  256863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256877 */     GIR_RootConstrainSelectedInstOperands,
     /*  256878 */     // GIR_Coverage, 7663,
     /*  256878 */     GIR_EraseRootFromParent_Done,
     /*  256879 */   // Label 4905: @256879
     /*  256879 */   GIM_Try, /*On fail goto*//*Label 4906*/ GIMT_Encode4(256942), // Rule ID 7664 //
     /*  256884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  256895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  256898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  256901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256923 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  256926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256940 */     GIR_RootConstrainSelectedInstOperands,
     /*  256941 */     // GIR_Coverage, 7664,
     /*  256941 */     GIR_EraseRootFromParent_Done,
     /*  256942 */   // Label 4906: @256942
     /*  256942 */   GIM_Try, /*On fail goto*//*Label 4907*/ GIMT_Encode4(257005), // Rule ID 7667 //
     /*  256947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  256961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  256964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256986 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  256989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257003 */     GIR_RootConstrainSelectedInstOperands,
     /*  257004 */     // GIR_Coverage, 7667,
     /*  257004 */     GIR_EraseRootFromParent_Done,
     /*  257005 */   // Label 4907: @257005
     /*  257005 */   GIM_Try, /*On fail goto*//*Label 4908*/ GIMT_Encode4(257068), // Rule ID 7668 //
     /*  257010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  257024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  257027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257049 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  257052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257066 */     GIR_RootConstrainSelectedInstOperands,
     /*  257067 */     // GIR_Coverage, 7668,
     /*  257067 */     GIR_EraseRootFromParent_Done,
     /*  257068 */   // Label 4908: @257068
     /*  257068 */   GIM_Try, /*On fail goto*//*Label 4909*/ GIMT_Encode4(257131), // Rule ID 7671 //
     /*  257073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  257087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  257090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257112 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  257115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257129 */     GIR_RootConstrainSelectedInstOperands,
     /*  257130 */     // GIR_Coverage, 7671,
     /*  257130 */     GIR_EraseRootFromParent_Done,
     /*  257131 */   // Label 4909: @257131
     /*  257131 */   GIM_Try, /*On fail goto*//*Label 4910*/ GIMT_Encode4(257194), // Rule ID 7672 //
     /*  257136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  257150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  257153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257175 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  257175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  257178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257192 */     GIR_RootConstrainSelectedInstOperands,
     /*  257193 */     // GIR_Coverage, 7672,
     /*  257193 */     GIR_EraseRootFromParent_Done,
     /*  257194 */   // Label 4910: @257194
     /*  257194 */   GIM_Try, /*On fail goto*//*Label 4911*/ GIMT_Encode4(257257), // Rule ID 7675 //
     /*  257199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  257213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  257216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257238 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  257241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257255 */     GIR_RootConstrainSelectedInstOperands,
     /*  257256 */     // GIR_Coverage, 7675,
     /*  257256 */     GIR_EraseRootFromParent_Done,
     /*  257257 */   // Label 4911: @257257
     /*  257257 */   GIM_Try, /*On fail goto*//*Label 4912*/ GIMT_Encode4(257320), // Rule ID 7676 //
     /*  257262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  257276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  257279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257301 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  257304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257318 */     GIR_RootConstrainSelectedInstOperands,
     /*  257319 */     // GIR_Coverage, 7676,
     /*  257319 */     GIR_EraseRootFromParent_Done,
     /*  257320 */   // Label 4912: @257320
     /*  257320 */   GIM_Try, /*On fail goto*//*Label 4913*/ GIMT_Encode4(257383), // Rule ID 7679 //
     /*  257325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  257339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  257342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257364 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  257364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  257367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257381 */     GIR_RootConstrainSelectedInstOperands,
     /*  257382 */     // GIR_Coverage, 7679,
     /*  257382 */     GIR_EraseRootFromParent_Done,
     /*  257383 */   // Label 4913: @257383
     /*  257383 */   GIM_Try, /*On fail goto*//*Label 4914*/ GIMT_Encode4(257446), // Rule ID 7680 //
     /*  257388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  257402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  257405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257427 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  257430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257444 */     GIR_RootConstrainSelectedInstOperands,
     /*  257445 */     // GIR_Coverage, 7680,
     /*  257445 */     GIR_EraseRootFromParent_Done,
     /*  257446 */   // Label 4914: @257446
     /*  257446 */   GIM_Try, /*On fail goto*//*Label 4915*/ GIMT_Encode4(257509), // Rule ID 7683 //
     /*  257451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  257465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  257468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257490 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  257493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257507 */     GIR_RootConstrainSelectedInstOperands,
     /*  257508 */     // GIR_Coverage, 7683,
     /*  257508 */     GIR_EraseRootFromParent_Done,
     /*  257509 */   // Label 4915: @257509
     /*  257509 */   GIM_Try, /*On fail goto*//*Label 4916*/ GIMT_Encode4(257572), // Rule ID 7684 //
     /*  257514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  257528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  257531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257553 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  257553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  257556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257570 */     GIR_RootConstrainSelectedInstOperands,
     /*  257571 */     // GIR_Coverage, 7684,
     /*  257571 */     GIR_EraseRootFromParent_Done,
     /*  257572 */   // Label 4916: @257572
     /*  257572 */   GIM_Try, /*On fail goto*//*Label 4917*/ GIMT_Encode4(257635), // Rule ID 7687 //
     /*  257577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  257580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  257591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  257594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257616 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  257616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  257619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257633 */     GIR_RootConstrainSelectedInstOperands,
     /*  257634 */     // GIR_Coverage, 7687,
     /*  257634 */     GIR_EraseRootFromParent_Done,
     /*  257635 */   // Label 4917: @257635
     /*  257635 */   GIM_Try, /*On fail goto*//*Label 4918*/ GIMT_Encode4(257698), // Rule ID 7688 //
     /*  257640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  257643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  257654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  257657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257679 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  257679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  257682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257696 */     GIR_RootConstrainSelectedInstOperands,
     /*  257697 */     // GIR_Coverage, 7688,
     /*  257697 */     GIR_EraseRootFromParent_Done,
     /*  257698 */   // Label 4918: @257698
     /*  257698 */   GIM_Try, /*On fail goto*//*Label 4919*/ GIMT_Encode4(257761), // Rule ID 7691 //
     /*  257703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  257714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  257717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  257720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257742 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  257745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257759 */     GIR_RootConstrainSelectedInstOperands,
     /*  257760 */     // GIR_Coverage, 7691,
     /*  257760 */     GIR_EraseRootFromParent_Done,
     /*  257761 */   // Label 4919: @257761
     /*  257761 */   GIM_Try, /*On fail goto*//*Label 4920*/ GIMT_Encode4(257824), // Rule ID 7692 //
     /*  257766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  257777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  257780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  257783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257805 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  257808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257822 */     GIR_RootConstrainSelectedInstOperands,
     /*  257823 */     // GIR_Coverage, 7692,
     /*  257823 */     GIR_EraseRootFromParent_Done,
     /*  257824 */   // Label 4920: @257824
     /*  257824 */   GIM_Try, /*On fail goto*//*Label 4921*/ GIMT_Encode4(257887), // Rule ID 7695 //
     /*  257829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  257840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  257843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  257846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257868 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  257871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257885 */     GIR_RootConstrainSelectedInstOperands,
     /*  257886 */     // GIR_Coverage, 7695,
     /*  257886 */     GIR_EraseRootFromParent_Done,
     /*  257887 */   // Label 4921: @257887
     /*  257887 */   GIM_Try, /*On fail goto*//*Label 4922*/ GIMT_Encode4(257950), // Rule ID 7696 //
     /*  257892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  257903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  257906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  257909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257931 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  257934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257948 */     GIR_RootConstrainSelectedInstOperands,
     /*  257949 */     // GIR_Coverage, 7696,
     /*  257949 */     GIR_EraseRootFromParent_Done,
     /*  257950 */   // Label 4922: @257950
     /*  257950 */   GIM_Try, /*On fail goto*//*Label 4923*/ GIMT_Encode4(258013), // Rule ID 7699 //
     /*  257955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  257966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  257969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  257972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257994 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  257997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258011 */     GIR_RootConstrainSelectedInstOperands,
     /*  258012 */     // GIR_Coverage, 7699,
     /*  258012 */     GIR_EraseRootFromParent_Done,
     /*  258013 */   // Label 4923: @258013
     /*  258013 */   GIM_Try, /*On fail goto*//*Label 4924*/ GIMT_Encode4(258076), // Rule ID 7700 //
     /*  258018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  258029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  258032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  258035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258057 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  258060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258074 */     GIR_RootConstrainSelectedInstOperands,
     /*  258075 */     // GIR_Coverage, 7700,
     /*  258075 */     GIR_EraseRootFromParent_Done,
     /*  258076 */   // Label 4924: @258076
     /*  258076 */   GIM_Try, /*On fail goto*//*Label 4925*/ GIMT_Encode4(258139), // Rule ID 7703 //
     /*  258081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  258095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  258098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258120 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  258123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258137 */     GIR_RootConstrainSelectedInstOperands,
     /*  258138 */     // GIR_Coverage, 7703,
     /*  258138 */     GIR_EraseRootFromParent_Done,
     /*  258139 */   // Label 4925: @258139
     /*  258139 */   GIM_Try, /*On fail goto*//*Label 4926*/ GIMT_Encode4(258202), // Rule ID 7704 //
     /*  258144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  258158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  258161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258183 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  258186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258200 */     GIR_RootConstrainSelectedInstOperands,
     /*  258201 */     // GIR_Coverage, 7704,
     /*  258201 */     GIR_EraseRootFromParent_Done,
     /*  258202 */   // Label 4926: @258202
     /*  258202 */   GIM_Try, /*On fail goto*//*Label 4927*/ GIMT_Encode4(258265), // Rule ID 7707 //
     /*  258207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  258221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  258224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258246 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  258249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258263 */     GIR_RootConstrainSelectedInstOperands,
     /*  258264 */     // GIR_Coverage, 7707,
     /*  258264 */     GIR_EraseRootFromParent_Done,
     /*  258265 */   // Label 4927: @258265
     /*  258265 */   GIM_Try, /*On fail goto*//*Label 4928*/ GIMT_Encode4(258328), // Rule ID 7708 //
     /*  258270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  258284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  258287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258309 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  258312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258326 */     GIR_RootConstrainSelectedInstOperands,
     /*  258327 */     // GIR_Coverage, 7708,
     /*  258327 */     GIR_EraseRootFromParent_Done,
     /*  258328 */   // Label 4928: @258328
     /*  258328 */   GIM_Try, /*On fail goto*//*Label 4929*/ GIMT_Encode4(258391), // Rule ID 7711 //
     /*  258333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  258344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  258347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  258350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258372 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  258375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258389 */     GIR_RootConstrainSelectedInstOperands,
     /*  258390 */     // GIR_Coverage, 7711,
     /*  258390 */     GIR_EraseRootFromParent_Done,
     /*  258391 */   // Label 4929: @258391
     /*  258391 */   GIM_Try, /*On fail goto*//*Label 4930*/ GIMT_Encode4(258454), // Rule ID 7712 //
     /*  258396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  258407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  258410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  258413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258435 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  258438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258452 */     GIR_RootConstrainSelectedInstOperands,
     /*  258453 */     // GIR_Coverage, 7712,
     /*  258453 */     GIR_EraseRootFromParent_Done,
     /*  258454 */   // Label 4930: @258454
     /*  258454 */   GIM_Try, /*On fail goto*//*Label 4931*/ GIMT_Encode4(258517), // Rule ID 7715 //
     /*  258459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  258473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  258476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258498 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  258498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  258501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258515 */     GIR_RootConstrainSelectedInstOperands,
     /*  258516 */     // GIR_Coverage, 7715,
     /*  258516 */     GIR_EraseRootFromParent_Done,
     /*  258517 */   // Label 4931: @258517
     /*  258517 */   GIM_Try, /*On fail goto*//*Label 4932*/ GIMT_Encode4(258580), // Rule ID 7716 //
     /*  258522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  258536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  258539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258561 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  258561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  258564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258578 */     GIR_RootConstrainSelectedInstOperands,
     /*  258579 */     // GIR_Coverage, 7716,
     /*  258579 */     GIR_EraseRootFromParent_Done,
     /*  258580 */   // Label 4932: @258580
     /*  258580 */   GIM_Try, /*On fail goto*//*Label 4933*/ GIMT_Encode4(258643), // Rule ID 7719 //
     /*  258585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  258599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  258602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258624 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  258624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  258627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258641 */     GIR_RootConstrainSelectedInstOperands,
     /*  258642 */     // GIR_Coverage, 7719,
     /*  258642 */     GIR_EraseRootFromParent_Done,
     /*  258643 */   // Label 4933: @258643
     /*  258643 */   GIM_Try, /*On fail goto*//*Label 4934*/ GIMT_Encode4(258706), // Rule ID 7720 //
     /*  258648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  258662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  258665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258687 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  258687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  258690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258704 */     GIR_RootConstrainSelectedInstOperands,
     /*  258705 */     // GIR_Coverage, 7720,
     /*  258705 */     GIR_EraseRootFromParent_Done,
     /*  258706 */   // Label 4934: @258706
     /*  258706 */   GIM_Try, /*On fail goto*//*Label 4935*/ GIMT_Encode4(258769), // Rule ID 7723 //
     /*  258711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  258725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  258728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258750 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  258750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  258753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258767 */     GIR_RootConstrainSelectedInstOperands,
     /*  258768 */     // GIR_Coverage, 7723,
     /*  258768 */     GIR_EraseRootFromParent_Done,
     /*  258769 */   // Label 4935: @258769
     /*  258769 */   GIM_Try, /*On fail goto*//*Label 4936*/ GIMT_Encode4(258832), // Rule ID 7724 //
     /*  258774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  258788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  258791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258813 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  258813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  258816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258830 */     GIR_RootConstrainSelectedInstOperands,
     /*  258831 */     // GIR_Coverage, 7724,
     /*  258831 */     GIR_EraseRootFromParent_Done,
     /*  258832 */   // Label 4936: @258832
     /*  258832 */   GIM_Try, /*On fail goto*//*Label 4937*/ GIMT_Encode4(258895), // Rule ID 7727 //
     /*  258837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  258840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  258851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  258854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258876 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  258876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  258879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258893 */     GIR_RootConstrainSelectedInstOperands,
     /*  258894 */     // GIR_Coverage, 7727,
     /*  258894 */     GIR_EraseRootFromParent_Done,
     /*  258895 */   // Label 4937: @258895
     /*  258895 */   GIM_Try, /*On fail goto*//*Label 4938*/ GIMT_Encode4(258958), // Rule ID 7728 //
     /*  258900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  258903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  258914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  258917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258939 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  258939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  258942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258956 */     GIR_RootConstrainSelectedInstOperands,
     /*  258957 */     // GIR_Coverage, 7728,
     /*  258957 */     GIR_EraseRootFromParent_Done,
     /*  258958 */   // Label 4938: @258958
     /*  258958 */   GIM_Try, /*On fail goto*//*Label 4939*/ GIMT_Encode4(259021), // Rule ID 7731 //
     /*  258963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  258966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  258971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  258977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  258980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259002 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  259002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259019 */     GIR_RootConstrainSelectedInstOperands,
     /*  259020 */     // GIR_Coverage, 7731,
     /*  259020 */     GIR_EraseRootFromParent_Done,
     /*  259021 */   // Label 4939: @259021
     /*  259021 */   GIM_Try, /*On fail goto*//*Label 4940*/ GIMT_Encode4(259084), // Rule ID 7732 //
     /*  259026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  259029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  259040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  259043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259065 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  259065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  259068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259082 */     GIR_RootConstrainSelectedInstOperands,
     /*  259083 */     // GIR_Coverage, 7732,
     /*  259083 */     GIR_EraseRootFromParent_Done,
     /*  259084 */   // Label 4940: @259084
     /*  259084 */   GIM_Try, /*On fail goto*//*Label 4941*/ GIMT_Encode4(259147), // Rule ID 7735 //
     /*  259089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  259092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  259103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  259106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  259128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  259131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259145 */     GIR_RootConstrainSelectedInstOperands,
     /*  259146 */     // GIR_Coverage, 7735,
     /*  259146 */     GIR_EraseRootFromParent_Done,
     /*  259147 */   // Label 4941: @259147
     /*  259147 */   GIM_Try, /*On fail goto*//*Label 4942*/ GIMT_Encode4(259210), // Rule ID 7736 //
     /*  259152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  259155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  259166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  259169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259191 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  259191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  259194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259208 */     GIR_RootConstrainSelectedInstOperands,
     /*  259209 */     // GIR_Coverage, 7736,
     /*  259209 */     GIR_EraseRootFromParent_Done,
     /*  259210 */   // Label 4942: @259210
     /*  259210 */   GIM_Try, /*On fail goto*//*Label 4943*/ GIMT_Encode4(259273), // Rule ID 7739 //
     /*  259215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  259229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  259232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259254 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  259257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259271 */     GIR_RootConstrainSelectedInstOperands,
     /*  259272 */     // GIR_Coverage, 7739,
     /*  259272 */     GIR_EraseRootFromParent_Done,
     /*  259273 */   // Label 4943: @259273
     /*  259273 */   GIM_Try, /*On fail goto*//*Label 4944*/ GIMT_Encode4(259336), // Rule ID 7740 //
     /*  259278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  259292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  259295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259317 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  259320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259334 */     GIR_RootConstrainSelectedInstOperands,
     /*  259335 */     // GIR_Coverage, 7740,
     /*  259335 */     GIR_EraseRootFromParent_Done,
     /*  259336 */   // Label 4944: @259336
     /*  259336 */   GIM_Try, /*On fail goto*//*Label 4945*/ GIMT_Encode4(259399), // Rule ID 7743 //
     /*  259341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  259355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  259358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259380 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  259383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259397 */     GIR_RootConstrainSelectedInstOperands,
     /*  259398 */     // GIR_Coverage, 7743,
     /*  259398 */     GIR_EraseRootFromParent_Done,
     /*  259399 */   // Label 4945: @259399
     /*  259399 */   GIM_Try, /*On fail goto*//*Label 4946*/ GIMT_Encode4(259462), // Rule ID 7744 //
     /*  259404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  259418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  259421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259443 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  259446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259460 */     GIR_RootConstrainSelectedInstOperands,
     /*  259461 */     // GIR_Coverage, 7744,
     /*  259461 */     GIR_EraseRootFromParent_Done,
     /*  259462 */   // Label 4946: @259462
     /*  259462 */   GIM_Try, /*On fail goto*//*Label 4947*/ GIMT_Encode4(259525), // Rule ID 7747 //
     /*  259467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  259481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  259484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259506 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  259509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259523 */     GIR_RootConstrainSelectedInstOperands,
     /*  259524 */     // GIR_Coverage, 7747,
     /*  259524 */     GIR_EraseRootFromParent_Done,
     /*  259525 */   // Label 4947: @259525
     /*  259525 */   GIM_Try, /*On fail goto*//*Label 4948*/ GIMT_Encode4(259588), // Rule ID 7748 //
     /*  259530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  259544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  259547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259569 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  259572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259586 */     GIR_RootConstrainSelectedInstOperands,
     /*  259587 */     // GIR_Coverage, 7748,
     /*  259587 */     GIR_EraseRootFromParent_Done,
     /*  259588 */   // Label 4948: @259588
     /*  259588 */   GIM_Try, /*On fail goto*//*Label 4949*/ GIMT_Encode4(259651), // Rule ID 7751 //
     /*  259593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  259607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  259610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259632 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  259635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259649 */     GIR_RootConstrainSelectedInstOperands,
     /*  259650 */     // GIR_Coverage, 7751,
     /*  259650 */     GIR_EraseRootFromParent_Done,
     /*  259651 */   // Label 4949: @259651
     /*  259651 */   GIM_Try, /*On fail goto*//*Label 4950*/ GIMT_Encode4(259714), // Rule ID 7752 //
     /*  259656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  259670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  259673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259695 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  259698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259712 */     GIR_RootConstrainSelectedInstOperands,
     /*  259713 */     // GIR_Coverage, 7752,
     /*  259713 */     GIR_EraseRootFromParent_Done,
     /*  259714 */   // Label 4950: @259714
     /*  259714 */   GIM_Try, /*On fail goto*//*Label 4951*/ GIMT_Encode4(259777), // Rule ID 7755 //
     /*  259719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  259733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  259736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259758 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  259761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259775 */     GIR_RootConstrainSelectedInstOperands,
     /*  259776 */     // GIR_Coverage, 7755,
     /*  259776 */     GIR_EraseRootFromParent_Done,
     /*  259777 */   // Label 4951: @259777
     /*  259777 */   GIM_Try, /*On fail goto*//*Label 4952*/ GIMT_Encode4(259840), // Rule ID 7756 //
     /*  259782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  259796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  259799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259821 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  259824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259838 */     GIR_RootConstrainSelectedInstOperands,
     /*  259839 */     // GIR_Coverage, 7756,
     /*  259839 */     GIR_EraseRootFromParent_Done,
     /*  259840 */   // Label 4952: @259840
     /*  259840 */   GIM_Try, /*On fail goto*//*Label 4953*/ GIMT_Encode4(259903), // Rule ID 7759 //
     /*  259845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  259859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  259862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259884 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  259887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259901 */     GIR_RootConstrainSelectedInstOperands,
     /*  259902 */     // GIR_Coverage, 7759,
     /*  259902 */     GIR_EraseRootFromParent_Done,
     /*  259903 */   // Label 4953: @259903
     /*  259903 */   GIM_Try, /*On fail goto*//*Label 4954*/ GIMT_Encode4(259966), // Rule ID 7760 //
     /*  259908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  259919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  259922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  259925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  259940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259947 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  259950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259964 */     GIR_RootConstrainSelectedInstOperands,
     /*  259965 */     // GIR_Coverage, 7760,
     /*  259965 */     GIR_EraseRootFromParent_Done,
     /*  259966 */   // Label 4954: @259966
     /*  259966 */   GIM_Try, /*On fail goto*//*Label 4955*/ GIMT_Encode4(260029), // Rule ID 7763 //
     /*  259971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  259979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  259985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  259988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260010 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  260013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260027 */     GIR_RootConstrainSelectedInstOperands,
     /*  260028 */     // GIR_Coverage, 7763,
     /*  260028 */     GIR_EraseRootFromParent_Done,
     /*  260029 */   // Label 4955: @260029
     /*  260029 */   GIM_Try, /*On fail goto*//*Label 4956*/ GIMT_Encode4(260092), // Rule ID 7764 //
     /*  260034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  260048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260073 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  260076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260090 */     GIR_RootConstrainSelectedInstOperands,
     /*  260091 */     // GIR_Coverage, 7764,
     /*  260091 */     GIR_EraseRootFromParent_Done,
     /*  260092 */   // Label 4956: @260092
     /*  260092 */   GIM_Try, /*On fail goto*//*Label 4957*/ GIMT_Encode4(260155), // Rule ID 7767 //
     /*  260097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  260111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260136 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  260139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260153 */     GIR_RootConstrainSelectedInstOperands,
     /*  260154 */     // GIR_Coverage, 7767,
     /*  260154 */     GIR_EraseRootFromParent_Done,
     /*  260155 */   // Label 4957: @260155
     /*  260155 */   GIM_Try, /*On fail goto*//*Label 4958*/ GIMT_Encode4(260218), // Rule ID 7768 //
     /*  260160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  260174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260199 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  260199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  260202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260216 */     GIR_RootConstrainSelectedInstOperands,
     /*  260217 */     // GIR_Coverage, 7768,
     /*  260217 */     GIR_EraseRootFromParent_Done,
     /*  260218 */   // Label 4958: @260218
     /*  260218 */   GIM_Try, /*On fail goto*//*Label 4959*/ GIMT_Encode4(260281), // Rule ID 7771 //
     /*  260223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  260237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260262 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  260262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  260265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260279 */     GIR_RootConstrainSelectedInstOperands,
     /*  260280 */     // GIR_Coverage, 7771,
     /*  260280 */     GIR_EraseRootFromParent_Done,
     /*  260281 */   // Label 4959: @260281
     /*  260281 */   GIM_Try, /*On fail goto*//*Label 4960*/ GIMT_Encode4(260344), // Rule ID 7772 //
     /*  260286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  260300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260325 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  260325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  260328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260342 */     GIR_RootConstrainSelectedInstOperands,
     /*  260343 */     // GIR_Coverage, 7772,
     /*  260343 */     GIR_EraseRootFromParent_Done,
     /*  260344 */   // Label 4960: @260344
     /*  260344 */   GIM_Try, /*On fail goto*//*Label 4961*/ GIMT_Encode4(260407), // Rule ID 7775 //
     /*  260349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  260352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  260363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260388 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  260388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  260391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260405 */     GIR_RootConstrainSelectedInstOperands,
     /*  260406 */     // GIR_Coverage, 7775,
     /*  260406 */     GIR_EraseRootFromParent_Done,
     /*  260407 */   // Label 4961: @260407
     /*  260407 */   GIM_Try, /*On fail goto*//*Label 4962*/ GIMT_Encode4(260470), // Rule ID 7776 //
     /*  260412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  260415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  260426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260451 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  260451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  260454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260468 */     GIR_RootConstrainSelectedInstOperands,
     /*  260469 */     // GIR_Coverage, 7776,
     /*  260469 */     GIR_EraseRootFromParent_Done,
     /*  260470 */   // Label 4962: @260470
     /*  260470 */   GIM_Try, /*On fail goto*//*Label 4963*/ GIMT_Encode4(260533), // Rule ID 7779 //
     /*  260475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  260486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  260489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260514 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  260517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260531 */     GIR_RootConstrainSelectedInstOperands,
     /*  260532 */     // GIR_Coverage, 7779,
     /*  260532 */     GIR_EraseRootFromParent_Done,
     /*  260533 */   // Label 4963: @260533
     /*  260533 */   GIM_Try, /*On fail goto*//*Label 4964*/ GIMT_Encode4(260596), // Rule ID 7780 //
     /*  260538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  260549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  260552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260577 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  260580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260594 */     GIR_RootConstrainSelectedInstOperands,
     /*  260595 */     // GIR_Coverage, 7780,
     /*  260595 */     GIR_EraseRootFromParent_Done,
     /*  260596 */   // Label 4964: @260596
     /*  260596 */   GIM_Try, /*On fail goto*//*Label 4965*/ GIMT_Encode4(260659), // Rule ID 7783 //
     /*  260601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  260612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  260615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260640 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  260643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260657 */     GIR_RootConstrainSelectedInstOperands,
     /*  260658 */     // GIR_Coverage, 7783,
     /*  260658 */     GIR_EraseRootFromParent_Done,
     /*  260659 */   // Label 4965: @260659
     /*  260659 */   GIM_Try, /*On fail goto*//*Label 4966*/ GIMT_Encode4(260722), // Rule ID 7784 //
     /*  260664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  260675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  260678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260703 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  260706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260720 */     GIR_RootConstrainSelectedInstOperands,
     /*  260721 */     // GIR_Coverage, 7784,
     /*  260721 */     GIR_EraseRootFromParent_Done,
     /*  260722 */   // Label 4966: @260722
     /*  260722 */   GIM_Try, /*On fail goto*//*Label 4967*/ GIMT_Encode4(260785), // Rule ID 7787 //
     /*  260727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  260738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  260741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260766 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  260769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260783 */     GIR_RootConstrainSelectedInstOperands,
     /*  260784 */     // GIR_Coverage, 7787,
     /*  260784 */     GIR_EraseRootFromParent_Done,
     /*  260785 */   // Label 4967: @260785
     /*  260785 */   GIM_Try, /*On fail goto*//*Label 4968*/ GIMT_Encode4(260848), // Rule ID 7788 //
     /*  260790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  260801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  260804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260829 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  260832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260846 */     GIR_RootConstrainSelectedInstOperands,
     /*  260847 */     // GIR_Coverage, 7788,
     /*  260847 */     GIR_EraseRootFromParent_Done,
     /*  260848 */   // Label 4968: @260848
     /*  260848 */   GIM_Try, /*On fail goto*//*Label 4969*/ GIMT_Encode4(260911), // Rule ID 7791 //
     /*  260853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  260867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  260895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260909 */     GIR_RootConstrainSelectedInstOperands,
     /*  260910 */     // GIR_Coverage, 7791,
     /*  260910 */     GIR_EraseRootFromParent_Done,
     /*  260911 */   // Label 4969: @260911
     /*  260911 */   GIM_Try, /*On fail goto*//*Label 4970*/ GIMT_Encode4(260974), // Rule ID 7792 //
     /*  260916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  260930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260955 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  260955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  260958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260972 */     GIR_RootConstrainSelectedInstOperands,
     /*  260973 */     // GIR_Coverage, 7792,
     /*  260973 */     GIR_EraseRootFromParent_Done,
     /*  260974 */   // Label 4970: @260974
     /*  260974 */   GIM_Try, /*On fail goto*//*Label 4971*/ GIMT_Encode4(261037), // Rule ID 7795 //
     /*  260979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  260987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  260990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  260993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261018 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  261021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261035 */     GIR_RootConstrainSelectedInstOperands,
     /*  261036 */     // GIR_Coverage, 7795,
     /*  261036 */     GIR_EraseRootFromParent_Done,
     /*  261037 */   // Label 4971: @261037
     /*  261037 */   GIM_Try, /*On fail goto*//*Label 4972*/ GIMT_Encode4(261100), // Rule ID 7796 //
     /*  261042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  261056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261081 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  261084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261098 */     GIR_RootConstrainSelectedInstOperands,
     /*  261099 */     // GIR_Coverage, 7796,
     /*  261099 */     GIR_EraseRootFromParent_Done,
     /*  261100 */   // Label 4972: @261100
     /*  261100 */   GIM_Try, /*On fail goto*//*Label 4973*/ GIMT_Encode4(261163), // Rule ID 7799 //
     /*  261105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  261116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  261119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261144 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  261147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261161 */     GIR_RootConstrainSelectedInstOperands,
     /*  261162 */     // GIR_Coverage, 7799,
     /*  261162 */     GIR_EraseRootFromParent_Done,
     /*  261163 */   // Label 4973: @261163
     /*  261163 */   GIM_Try, /*On fail goto*//*Label 4974*/ GIMT_Encode4(261226), // Rule ID 7800 //
     /*  261168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  261179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  261182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261207 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  261210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261224 */     GIR_RootConstrainSelectedInstOperands,
     /*  261225 */     // GIR_Coverage, 7800,
     /*  261225 */     GIR_EraseRootFromParent_Done,
     /*  261226 */   // Label 4974: @261226
     /*  261226 */   GIM_Try, /*On fail goto*//*Label 4975*/ GIMT_Encode4(261289), // Rule ID 7803 //
     /*  261231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  261245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261270 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  261270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  261273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261287 */     GIR_RootConstrainSelectedInstOperands,
     /*  261288 */     // GIR_Coverage, 7803,
     /*  261288 */     GIR_EraseRootFromParent_Done,
     /*  261289 */   // Label 4975: @261289
     /*  261289 */   GIM_Try, /*On fail goto*//*Label 4976*/ GIMT_Encode4(261352), // Rule ID 7804 //
     /*  261294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  261308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261333 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  261333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  261336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261350 */     GIR_RootConstrainSelectedInstOperands,
     /*  261351 */     // GIR_Coverage, 7804,
     /*  261351 */     GIR_EraseRootFromParent_Done,
     /*  261352 */   // Label 4976: @261352
     /*  261352 */   GIM_Try, /*On fail goto*//*Label 4977*/ GIMT_Encode4(261415), // Rule ID 7807 //
     /*  261357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  261371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261396 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  261396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  261399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261413 */     GIR_RootConstrainSelectedInstOperands,
     /*  261414 */     // GIR_Coverage, 7807,
     /*  261414 */     GIR_EraseRootFromParent_Done,
     /*  261415 */   // Label 4977: @261415
     /*  261415 */   GIM_Try, /*On fail goto*//*Label 4978*/ GIMT_Encode4(261478), // Rule ID 7808 //
     /*  261420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  261434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261459 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  261459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  261462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261476 */     GIR_RootConstrainSelectedInstOperands,
     /*  261477 */     // GIR_Coverage, 7808,
     /*  261477 */     GIR_EraseRootFromParent_Done,
     /*  261478 */   // Label 4978: @261478
     /*  261478 */   GIM_Try, /*On fail goto*//*Label 4979*/ GIMT_Encode4(261541), // Rule ID 7811 //
     /*  261483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  261497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261522 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  261522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  261525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261539 */     GIR_RootConstrainSelectedInstOperands,
     /*  261540 */     // GIR_Coverage, 7811,
     /*  261540 */     GIR_EraseRootFromParent_Done,
     /*  261541 */   // Label 4979: @261541
     /*  261541 */   GIM_Try, /*On fail goto*//*Label 4980*/ GIMT_Encode4(261604), // Rule ID 7812 //
     /*  261546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  261560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261585 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  261585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  261588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261602 */     GIR_RootConstrainSelectedInstOperands,
     /*  261603 */     // GIR_Coverage, 7812,
     /*  261603 */     GIR_EraseRootFromParent_Done,
     /*  261604 */   // Label 4980: @261604
     /*  261604 */   GIM_Try, /*On fail goto*//*Label 4981*/ GIMT_Encode4(261667), // Rule ID 7815 //
     /*  261609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  261612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  261623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261648 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  261648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  261651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261665 */     GIR_RootConstrainSelectedInstOperands,
     /*  261666 */     // GIR_Coverage, 7815,
     /*  261666 */     GIR_EraseRootFromParent_Done,
     /*  261667 */   // Label 4981: @261667
     /*  261667 */   GIM_Try, /*On fail goto*//*Label 4982*/ GIMT_Encode4(261730), // Rule ID 7816 //
     /*  261672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  261675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  261686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261711 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  261711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  261714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261728 */     GIR_RootConstrainSelectedInstOperands,
     /*  261729 */     // GIR_Coverage, 7816,
     /*  261729 */     GIR_EraseRootFromParent_Done,
     /*  261730 */   // Label 4982: @261730
     /*  261730 */   GIM_Try, /*On fail goto*//*Label 4983*/ GIMT_Encode4(261793), // Rule ID 7819 //
     /*  261735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  261738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  261749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261774 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  261774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  261777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261791 */     GIR_RootConstrainSelectedInstOperands,
     /*  261792 */     // GIR_Coverage, 7819,
     /*  261792 */     GIR_EraseRootFromParent_Done,
     /*  261793 */   // Label 4983: @261793
     /*  261793 */   GIM_Try, /*On fail goto*//*Label 4984*/ GIMT_Encode4(261856), // Rule ID 7820 //
     /*  261798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  261801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  261812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261837 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  261837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  261840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261854 */     GIR_RootConstrainSelectedInstOperands,
     /*  261855 */     // GIR_Coverage, 7820,
     /*  261855 */     GIR_EraseRootFromParent_Done,
     /*  261856 */   // Label 4984: @261856
     /*  261856 */   GIM_Try, /*On fail goto*//*Label 4985*/ GIMT_Encode4(261919), // Rule ID 7823 //
     /*  261861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  261864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  261875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261900 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  261900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  261903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261917 */     GIR_RootConstrainSelectedInstOperands,
     /*  261918 */     // GIR_Coverage, 7823,
     /*  261918 */     GIR_EraseRootFromParent_Done,
     /*  261919 */   // Label 4985: @261919
     /*  261919 */   GIM_Try, /*On fail goto*//*Label 4986*/ GIMT_Encode4(261982), // Rule ID 7824 //
     /*  261924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  261927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  261932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  261938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261963 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  261963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  261966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261980 */     GIR_RootConstrainSelectedInstOperands,
     /*  261981 */     // GIR_Coverage, 7824,
     /*  261981 */     GIR_EraseRootFromParent_Done,
     /*  261982 */   // Label 4986: @261982
     /*  261982 */   GIM_Try, /*On fail goto*//*Label 4987*/ GIMT_Encode4(262045), // Rule ID 7915 //
     /*  261987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  261995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  262001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  262004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262026 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  262029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262043 */     GIR_RootConstrainSelectedInstOperands,
     /*  262044 */     // GIR_Coverage, 7915,
     /*  262044 */     GIR_EraseRootFromParent_Done,
     /*  262045 */   // Label 4987: @262045
     /*  262045 */   GIM_Try, /*On fail goto*//*Label 4988*/ GIMT_Encode4(262108), // Rule ID 7916 //
     /*  262050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  262064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  262067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262089 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  262092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262106 */     GIR_RootConstrainSelectedInstOperands,
     /*  262107 */     // GIR_Coverage, 7916,
     /*  262107 */     GIR_EraseRootFromParent_Done,
     /*  262108 */   // Label 4988: @262108
     /*  262108 */   GIM_Try, /*On fail goto*//*Label 4989*/ GIMT_Encode4(262171), // Rule ID 7919 //
     /*  262113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  262127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  262130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262152 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  262155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262169 */     GIR_RootConstrainSelectedInstOperands,
     /*  262170 */     // GIR_Coverage, 7919,
     /*  262170 */     GIR_EraseRootFromParent_Done,
     /*  262171 */   // Label 4989: @262171
     /*  262171 */   GIM_Try, /*On fail goto*//*Label 4990*/ GIMT_Encode4(262234), // Rule ID 7920 //
     /*  262176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  262190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  262193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262215 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  262218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262232 */     GIR_RootConstrainSelectedInstOperands,
     /*  262233 */     // GIR_Coverage, 7920,
     /*  262233 */     GIR_EraseRootFromParent_Done,
     /*  262234 */   // Label 4990: @262234
     /*  262234 */   GIM_Try, /*On fail goto*//*Label 4991*/ GIMT_Encode4(262297), // Rule ID 7923 //
     /*  262239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  262253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  262256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262278 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  262281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262295 */     GIR_RootConstrainSelectedInstOperands,
     /*  262296 */     // GIR_Coverage, 7923,
     /*  262296 */     GIR_EraseRootFromParent_Done,
     /*  262297 */   // Label 4991: @262297
     /*  262297 */   GIM_Try, /*On fail goto*//*Label 4992*/ GIMT_Encode4(262360), // Rule ID 7924 //
     /*  262302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  262316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  262319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262341 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  262344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262358 */     GIR_RootConstrainSelectedInstOperands,
     /*  262359 */     // GIR_Coverage, 7924,
     /*  262359 */     GIR_EraseRootFromParent_Done,
     /*  262360 */   // Label 4992: @262360
     /*  262360 */   GIM_Try, /*On fail goto*//*Label 4993*/ GIMT_Encode4(262423), // Rule ID 7927 //
     /*  262365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  262379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  262382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262404 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  262407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262421 */     GIR_RootConstrainSelectedInstOperands,
     /*  262422 */     // GIR_Coverage, 7927,
     /*  262422 */     GIR_EraseRootFromParent_Done,
     /*  262423 */   // Label 4993: @262423
     /*  262423 */   GIM_Try, /*On fail goto*//*Label 4994*/ GIMT_Encode4(262486), // Rule ID 7928 //
     /*  262428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  262442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  262445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262467 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  262470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262484 */     GIR_RootConstrainSelectedInstOperands,
     /*  262485 */     // GIR_Coverage, 7928,
     /*  262485 */     GIR_EraseRootFromParent_Done,
     /*  262486 */   // Label 4994: @262486
     /*  262486 */   GIM_Try, /*On fail goto*//*Label 4995*/ GIMT_Encode4(262549), // Rule ID 7931 //
     /*  262491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  262505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  262508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262530 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  262533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262547 */     GIR_RootConstrainSelectedInstOperands,
     /*  262548 */     // GIR_Coverage, 7931,
     /*  262548 */     GIR_EraseRootFromParent_Done,
     /*  262549 */   // Label 4995: @262549
     /*  262549 */   GIM_Try, /*On fail goto*//*Label 4996*/ GIMT_Encode4(262612), // Rule ID 7932 //
     /*  262554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  262568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  262571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262593 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  262596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262610 */     GIR_RootConstrainSelectedInstOperands,
     /*  262611 */     // GIR_Coverage, 7932,
     /*  262611 */     GIR_EraseRootFromParent_Done,
     /*  262612 */   // Label 4996: @262612
     /*  262612 */   GIM_Try, /*On fail goto*//*Label 4997*/ GIMT_Encode4(262675), // Rule ID 7935 //
     /*  262617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  262631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  262634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  262656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  262659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262673 */     GIR_RootConstrainSelectedInstOperands,
     /*  262674 */     // GIR_Coverage, 7935,
     /*  262674 */     GIR_EraseRootFromParent_Done,
     /*  262675 */   // Label 4997: @262675
     /*  262675 */   GIM_Try, /*On fail goto*//*Label 4998*/ GIMT_Encode4(262738), // Rule ID 7936 //
     /*  262680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  262694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  262697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262719 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  262722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262736 */     GIR_RootConstrainSelectedInstOperands,
     /*  262737 */     // GIR_Coverage, 7936,
     /*  262737 */     GIR_EraseRootFromParent_Done,
     /*  262738 */   // Label 4998: @262738
     /*  262738 */   GIM_Try, /*On fail goto*//*Label 4999*/ GIMT_Encode4(262801), // Rule ID 7939 //
     /*  262743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  262757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  262760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262782 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  262785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262799 */     GIR_RootConstrainSelectedInstOperands,
     /*  262800 */     // GIR_Coverage, 7939,
     /*  262800 */     GIR_EraseRootFromParent_Done,
     /*  262801 */   // Label 4999: @262801
     /*  262801 */   GIM_Try, /*On fail goto*//*Label 5000*/ GIMT_Encode4(262864), // Rule ID 7940 //
     /*  262806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  262820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  262823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262845 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  262848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262862 */     GIR_RootConstrainSelectedInstOperands,
     /*  262863 */     // GIR_Coverage, 7940,
     /*  262863 */     GIR_EraseRootFromParent_Done,
     /*  262864 */   // Label 5000: @262864
     /*  262864 */   GIM_Try, /*On fail goto*//*Label 5001*/ GIMT_Encode4(262927), // Rule ID 7943 //
     /*  262869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  262883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  262886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262908 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  262911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262925 */     GIR_RootConstrainSelectedInstOperands,
     /*  262926 */     // GIR_Coverage, 7943,
     /*  262926 */     GIR_EraseRootFromParent_Done,
     /*  262927 */   // Label 5001: @262927
     /*  262927 */   GIM_Try, /*On fail goto*//*Label 5002*/ GIMT_Encode4(262990), // Rule ID 7944 //
     /*  262932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  262946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  262949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262971 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  262974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262988 */     GIR_RootConstrainSelectedInstOperands,
     /*  262989 */     // GIR_Coverage, 7944,
     /*  262989 */     GIR_EraseRootFromParent_Done,
     /*  262990 */   // Label 5002: @262990
     /*  262990 */   GIM_Try, /*On fail goto*//*Label 5003*/ GIMT_Encode4(263053), // Rule ID 7947 //
     /*  262995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  263009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  263012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263034 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  263034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  263037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263051 */     GIR_RootConstrainSelectedInstOperands,
     /*  263052 */     // GIR_Coverage, 7947,
     /*  263052 */     GIR_EraseRootFromParent_Done,
     /*  263053 */   // Label 5003: @263053
     /*  263053 */   GIM_Try, /*On fail goto*//*Label 5004*/ GIMT_Encode4(263116), // Rule ID 7948 //
     /*  263058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  263072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  263075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263097 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  263097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  263100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263114 */     GIR_RootConstrainSelectedInstOperands,
     /*  263115 */     // GIR_Coverage, 7948,
     /*  263115 */     GIR_EraseRootFromParent_Done,
     /*  263116 */   // Label 5004: @263116
     /*  263116 */   GIM_Try, /*On fail goto*//*Label 5005*/ GIMT_Encode4(263179), // Rule ID 7951 //
     /*  263121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  263124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  263135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  263138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263160 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  263160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  263163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263177 */     GIR_RootConstrainSelectedInstOperands,
     /*  263178 */     // GIR_Coverage, 7951,
     /*  263178 */     GIR_EraseRootFromParent_Done,
     /*  263179 */   // Label 5005: @263179
     /*  263179 */   GIM_Try, /*On fail goto*//*Label 5006*/ GIMT_Encode4(263242), // Rule ID 7952 //
     /*  263184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  263187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  263198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  263201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263223 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  263223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  263226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263240 */     GIR_RootConstrainSelectedInstOperands,
     /*  263241 */     // GIR_Coverage, 7952,
     /*  263241 */     GIR_EraseRootFromParent_Done,
     /*  263242 */   // Label 5006: @263242
     /*  263242 */   GIM_Try, /*On fail goto*//*Label 5007*/ GIMT_Encode4(263305), // Rule ID 7955 //
     /*  263247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  263261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  263264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263286 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  263289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263303 */     GIR_RootConstrainSelectedInstOperands,
     /*  263304 */     // GIR_Coverage, 7955,
     /*  263304 */     GIR_EraseRootFromParent_Done,
     /*  263305 */   // Label 5007: @263305
     /*  263305 */   GIM_Try, /*On fail goto*//*Label 5008*/ GIMT_Encode4(263368), // Rule ID 7956 //
     /*  263310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  263324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  263327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263349 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  263352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263366 */     GIR_RootConstrainSelectedInstOperands,
     /*  263367 */     // GIR_Coverage, 7956,
     /*  263367 */     GIR_EraseRootFromParent_Done,
     /*  263368 */   // Label 5008: @263368
     /*  263368 */   GIM_Try, /*On fail goto*//*Label 5009*/ GIMT_Encode4(263431), // Rule ID 7959 //
     /*  263373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  263384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  263387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  263390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263412 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  263415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263429 */     GIR_RootConstrainSelectedInstOperands,
     /*  263430 */     // GIR_Coverage, 7959,
     /*  263430 */     GIR_EraseRootFromParent_Done,
     /*  263431 */   // Label 5009: @263431
     /*  263431 */   GIM_Try, /*On fail goto*//*Label 5010*/ GIMT_Encode4(263494), // Rule ID 7960 //
     /*  263436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  263447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  263450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  263453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263475 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  263478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263492 */     GIR_RootConstrainSelectedInstOperands,
     /*  263493 */     // GIR_Coverage, 7960,
     /*  263493 */     GIR_EraseRootFromParent_Done,
     /*  263494 */   // Label 5010: @263494
     /*  263494 */   GIM_Try, /*On fail goto*//*Label 5011*/ GIMT_Encode4(263557), // Rule ID 7963 //
     /*  263499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  263510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  263513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  263516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263538 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  263541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263555 */     GIR_RootConstrainSelectedInstOperands,
     /*  263556 */     // GIR_Coverage, 7963,
     /*  263556 */     GIR_EraseRootFromParent_Done,
     /*  263557 */   // Label 5011: @263557
     /*  263557 */   GIM_Try, /*On fail goto*//*Label 5012*/ GIMT_Encode4(263620), // Rule ID 7964 //
     /*  263562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  263573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  263576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  263579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263601 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  263604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263618 */     GIR_RootConstrainSelectedInstOperands,
     /*  263619 */     // GIR_Coverage, 7964,
     /*  263619 */     GIR_EraseRootFromParent_Done,
     /*  263620 */   // Label 5012: @263620
     /*  263620 */   GIM_Try, /*On fail goto*//*Label 5013*/ GIMT_Encode4(263683), // Rule ID 7967 //
     /*  263625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  263639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  263642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263664 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  263664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  263667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263681 */     GIR_RootConstrainSelectedInstOperands,
     /*  263682 */     // GIR_Coverage, 7967,
     /*  263682 */     GIR_EraseRootFromParent_Done,
     /*  263683 */   // Label 5013: @263683
     /*  263683 */   GIM_Try, /*On fail goto*//*Label 5014*/ GIMT_Encode4(263746), // Rule ID 7968 //
     /*  263688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  263702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  263705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  263720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263727 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  263730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263744 */     GIR_RootConstrainSelectedInstOperands,
     /*  263745 */     // GIR_Coverage, 7968,
     /*  263745 */     GIR_EraseRootFromParent_Done,
     /*  263746 */   // Label 5014: @263746
     /*  263746 */   GIM_Try, /*On fail goto*//*Label 5015*/ GIMT_Encode4(263809), // Rule ID 7971 //
     /*  263751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  263765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  263768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263790 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  263790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  263793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263807 */     GIR_RootConstrainSelectedInstOperands,
     /*  263808 */     // GIR_Coverage, 7971,
     /*  263808 */     GIR_EraseRootFromParent_Done,
     /*  263809 */   // Label 5015: @263809
     /*  263809 */   GIM_Try, /*On fail goto*//*Label 5016*/ GIMT_Encode4(263872), // Rule ID 7972 //
     /*  263814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  263828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  263831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  263846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263853 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  263856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263870 */     GIR_RootConstrainSelectedInstOperands,
     /*  263871 */     // GIR_Coverage, 7972,
     /*  263871 */     GIR_EraseRootFromParent_Done,
     /*  263872 */   // Label 5016: @263872
     /*  263872 */   GIM_Try, /*On fail goto*//*Label 5017*/ GIMT_Encode4(263935), // Rule ID 7975 //
     /*  263877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  263888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  263891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  263894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263916 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  263916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  263919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263933 */     GIR_RootConstrainSelectedInstOperands,
     /*  263934 */     // GIR_Coverage, 7975,
     /*  263934 */     GIR_EraseRootFromParent_Done,
     /*  263935 */   // Label 5017: @263935
     /*  263935 */   GIM_Try, /*On fail goto*//*Label 5018*/ GIMT_Encode4(263998), // Rule ID 7976 //
     /*  263940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  263948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  263951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  263954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  263957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  263972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263979 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  263982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263996 */     GIR_RootConstrainSelectedInstOperands,
     /*  263997 */     // GIR_Coverage, 7976,
     /*  263997 */     GIR_EraseRootFromParent_Done,
     /*  263998 */   // Label 5018: @263998
     /*  263998 */   GIM_Try, /*On fail goto*//*Label 5019*/ GIMT_Encode4(264061), // Rule ID 7979 //
     /*  264003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  264017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  264020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264042 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  264042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  264045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264059 */     GIR_RootConstrainSelectedInstOperands,
     /*  264060 */     // GIR_Coverage, 7979,
     /*  264060 */     GIR_EraseRootFromParent_Done,
     /*  264061 */   // Label 5019: @264061
     /*  264061 */   GIM_Try, /*On fail goto*//*Label 5020*/ GIMT_Encode4(264124), // Rule ID 7980 //
     /*  264066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  264080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  264083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264105 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  264105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  264108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264122 */     GIR_RootConstrainSelectedInstOperands,
     /*  264123 */     // GIR_Coverage, 7980,
     /*  264123 */     GIR_EraseRootFromParent_Done,
     /*  264124 */   // Label 5020: @264124
     /*  264124 */   GIM_Try, /*On fail goto*//*Label 5021*/ GIMT_Encode4(264187), // Rule ID 7983 //
     /*  264129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  264143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  264146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264168 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  264168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  264171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264185 */     GIR_RootConstrainSelectedInstOperands,
     /*  264186 */     // GIR_Coverage, 7983,
     /*  264186 */     GIR_EraseRootFromParent_Done,
     /*  264187 */   // Label 5021: @264187
     /*  264187 */   GIM_Try, /*On fail goto*//*Label 5022*/ GIMT_Encode4(264250), // Rule ID 7984 //
     /*  264192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  264206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  264209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264231 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  264231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  264234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264248 */     GIR_RootConstrainSelectedInstOperands,
     /*  264249 */     // GIR_Coverage, 7984,
     /*  264249 */     GIR_EraseRootFromParent_Done,
     /*  264250 */   // Label 5022: @264250
     /*  264250 */   GIM_Try, /*On fail goto*//*Label 5023*/ GIMT_Encode4(264313), // Rule ID 7987 //
     /*  264255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  264269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  264272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264294 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  264294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  264297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264311 */     GIR_RootConstrainSelectedInstOperands,
     /*  264312 */     // GIR_Coverage, 7987,
     /*  264312 */     GIR_EraseRootFromParent_Done,
     /*  264313 */   // Label 5023: @264313
     /*  264313 */   GIM_Try, /*On fail goto*//*Label 5024*/ GIMT_Encode4(264376), // Rule ID 7988 //
     /*  264318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  264332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  264335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264357 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  264357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  264360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264374 */     GIR_RootConstrainSelectedInstOperands,
     /*  264375 */     // GIR_Coverage, 7988,
     /*  264375 */     GIR_EraseRootFromParent_Done,
     /*  264376 */   // Label 5024: @264376
     /*  264376 */   GIM_Try, /*On fail goto*//*Label 5025*/ GIMT_Encode4(264439), // Rule ID 7991 //
     /*  264381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  264384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  264395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  264398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264420 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  264420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  264423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264437 */     GIR_RootConstrainSelectedInstOperands,
     /*  264438 */     // GIR_Coverage, 7991,
     /*  264438 */     GIR_EraseRootFromParent_Done,
     /*  264439 */   // Label 5025: @264439
     /*  264439 */   GIM_Try, /*On fail goto*//*Label 5026*/ GIMT_Encode4(264502), // Rule ID 7992 //
     /*  264444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  264447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  264458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  264461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264483 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  264483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  264486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264500 */     GIR_RootConstrainSelectedInstOperands,
     /*  264501 */     // GIR_Coverage, 7992,
     /*  264501 */     GIR_EraseRootFromParent_Done,
     /*  264502 */   // Label 5026: @264502
     /*  264502 */   GIM_Try, /*On fail goto*//*Label 5027*/ GIMT_Encode4(264565), // Rule ID 7995 //
     /*  264507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  264510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  264521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  264524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264546 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  264546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  264549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264563 */     GIR_RootConstrainSelectedInstOperands,
     /*  264564 */     // GIR_Coverage, 7995,
     /*  264564 */     GIR_EraseRootFromParent_Done,
     /*  264565 */   // Label 5027: @264565
     /*  264565 */   GIM_Try, /*On fail goto*//*Label 5028*/ GIMT_Encode4(264628), // Rule ID 7996 //
     /*  264570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  264573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  264584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  264587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264609 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  264609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  264612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264626 */     GIR_RootConstrainSelectedInstOperands,
     /*  264627 */     // GIR_Coverage, 7996,
     /*  264627 */     GIR_EraseRootFromParent_Done,
     /*  264628 */   // Label 5028: @264628
     /*  264628 */   GIM_Try, /*On fail goto*//*Label 5029*/ GIMT_Encode4(264691), // Rule ID 7999 //
     /*  264633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  264636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  264647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  264650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264672 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  264672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  264675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264689 */     GIR_RootConstrainSelectedInstOperands,
     /*  264690 */     // GIR_Coverage, 7999,
     /*  264690 */     GIR_EraseRootFromParent_Done,
     /*  264691 */   // Label 5029: @264691
     /*  264691 */   GIM_Try, /*On fail goto*//*Label 5030*/ GIMT_Encode4(264754), // Rule ID 8000 //
     /*  264696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  264699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  264710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  264713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264735 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  264735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  264738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264752 */     GIR_RootConstrainSelectedInstOperands,
     /*  264753 */     // GIR_Coverage, 8000,
     /*  264753 */     GIR_EraseRootFromParent_Done,
     /*  264754 */   // Label 5030: @264754
     /*  264754 */   GIM_Try, /*On fail goto*//*Label 5031*/ GIMT_Encode4(264817), // Rule ID 8003 //
     /*  264759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  264773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  264776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  264791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264798 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  264801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264815 */     GIR_RootConstrainSelectedInstOperands,
     /*  264816 */     // GIR_Coverage, 8003,
     /*  264816 */     GIR_EraseRootFromParent_Done,
     /*  264817 */   // Label 5031: @264817
     /*  264817 */   GIM_Try, /*On fail goto*//*Label 5032*/ GIMT_Encode4(264880), // Rule ID 8004 //
     /*  264822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  264836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  264839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  264854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264861 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  264864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264878 */     GIR_RootConstrainSelectedInstOperands,
     /*  264879 */     // GIR_Coverage, 8004,
     /*  264879 */     GIR_EraseRootFromParent_Done,
     /*  264880 */   // Label 5032: @264880
     /*  264880 */   GIM_Try, /*On fail goto*//*Label 5033*/ GIMT_Encode4(264943), // Rule ID 8007 //
     /*  264885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  264899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  264902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  264917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264924 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  264927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264941 */     GIR_RootConstrainSelectedInstOperands,
     /*  264942 */     // GIR_Coverage, 8007,
     /*  264942 */     GIR_EraseRootFromParent_Done,
     /*  264943 */   // Label 5033: @264943
     /*  264943 */   GIM_Try, /*On fail goto*//*Label 5034*/ GIMT_Encode4(265006), // Rule ID 8008 //
     /*  264948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  264956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  264962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  264965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  264980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264987 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  264990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265004 */     GIR_RootConstrainSelectedInstOperands,
     /*  265005 */     // GIR_Coverage, 8008,
     /*  265005 */     GIR_EraseRootFromParent_Done,
     /*  265006 */   // Label 5034: @265006
     /*  265006 */   GIM_Try, /*On fail goto*//*Label 5035*/ GIMT_Encode4(265069), // Rule ID 8011 //
     /*  265011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  265025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265050 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  265053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265067 */     GIR_RootConstrainSelectedInstOperands,
     /*  265068 */     // GIR_Coverage, 8011,
     /*  265068 */     GIR_EraseRootFromParent_Done,
     /*  265069 */   // Label 5035: @265069
     /*  265069 */   GIM_Try, /*On fail goto*//*Label 5036*/ GIMT_Encode4(265132), // Rule ID 8012 //
     /*  265074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  265088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265113 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  265116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265130 */     GIR_RootConstrainSelectedInstOperands,
     /*  265131 */     // GIR_Coverage, 8012,
     /*  265131 */     GIR_EraseRootFromParent_Done,
     /*  265132 */   // Label 5036: @265132
     /*  265132 */   GIM_Try, /*On fail goto*//*Label 5037*/ GIMT_Encode4(265195), // Rule ID 8015 //
     /*  265137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  265151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265176 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  265176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  265179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265193 */     GIR_RootConstrainSelectedInstOperands,
     /*  265194 */     // GIR_Coverage, 8015,
     /*  265194 */     GIR_EraseRootFromParent_Done,
     /*  265195 */   // Label 5037: @265195
     /*  265195 */   GIM_Try, /*On fail goto*//*Label 5038*/ GIMT_Encode4(265258), // Rule ID 8016 //
     /*  265200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  265214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265239 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  265239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  265242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265256 */     GIR_RootConstrainSelectedInstOperands,
     /*  265257 */     // GIR_Coverage, 8016,
     /*  265257 */     GIR_EraseRootFromParent_Done,
     /*  265258 */   // Label 5038: @265258
     /*  265258 */   GIM_Try, /*On fail goto*//*Label 5039*/ GIMT_Encode4(265321), // Rule ID 8019 //
     /*  265263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  265277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265302 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  265302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  265305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265319 */     GIR_RootConstrainSelectedInstOperands,
     /*  265320 */     // GIR_Coverage, 8019,
     /*  265320 */     GIR_EraseRootFromParent_Done,
     /*  265321 */   // Label 5039: @265321
     /*  265321 */   GIM_Try, /*On fail goto*//*Label 5040*/ GIMT_Encode4(265384), // Rule ID 8020 //
     /*  265326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  265340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265365 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  265365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  265368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265382 */     GIR_RootConstrainSelectedInstOperands,
     /*  265383 */     // GIR_Coverage, 8020,
     /*  265383 */     GIR_EraseRootFromParent_Done,
     /*  265384 */   // Label 5040: @265384
     /*  265384 */   GIM_Try, /*On fail goto*//*Label 5041*/ GIMT_Encode4(265447), // Rule ID 8023 //
     /*  265389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  265403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265428 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  265431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265445 */     GIR_RootConstrainSelectedInstOperands,
     /*  265446 */     // GIR_Coverage, 8023,
     /*  265446 */     GIR_EraseRootFromParent_Done,
     /*  265447 */   // Label 5041: @265447
     /*  265447 */   GIM_Try, /*On fail goto*//*Label 5042*/ GIMT_Encode4(265510), // Rule ID 8024 //
     /*  265452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  265466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265491 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  265494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265508 */     GIR_RootConstrainSelectedInstOperands,
     /*  265509 */     // GIR_Coverage, 8024,
     /*  265509 */     GIR_EraseRootFromParent_Done,
     /*  265510 */   // Label 5042: @265510
     /*  265510 */   GIM_Try, /*On fail goto*//*Label 5043*/ GIMT_Encode4(265573), // Rule ID 8027 //
     /*  265515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  265529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265554 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  265557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265571 */     GIR_RootConstrainSelectedInstOperands,
     /*  265572 */     // GIR_Coverage, 8027,
     /*  265572 */     GIR_EraseRootFromParent_Done,
     /*  265573 */   // Label 5043: @265573
     /*  265573 */   GIM_Try, /*On fail goto*//*Label 5044*/ GIMT_Encode4(265636), // Rule ID 8028 //
     /*  265578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  265592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265617 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  265620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265634 */     GIR_RootConstrainSelectedInstOperands,
     /*  265635 */     // GIR_Coverage, 8028,
     /*  265635 */     GIR_EraseRootFromParent_Done,
     /*  265636 */   // Label 5044: @265636
     /*  265636 */   GIM_Try, /*On fail goto*//*Label 5045*/ GIMT_Encode4(265699), // Rule ID 8031 //
     /*  265641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  265655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265680 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  265680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  265683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265697 */     GIR_RootConstrainSelectedInstOperands,
     /*  265698 */     // GIR_Coverage, 8031,
     /*  265698 */     GIR_EraseRootFromParent_Done,
     /*  265699 */   // Label 5045: @265699
     /*  265699 */   GIM_Try, /*On fail goto*//*Label 5046*/ GIMT_Encode4(265762), // Rule ID 8032 //
     /*  265704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  265718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265743 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  265743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  265746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  265760 */     GIR_RootConstrainSelectedInstOperands,
     /*  265761 */     // GIR_Coverage, 8032,
     /*  265761 */     GIR_EraseRootFromParent_Done,
     /*  265762 */   // Label 5046: @265762
     /*  265762 */   GIM_Try, /*On fail goto*//*Label 5047*/ GIMT_Encode4(265825), // Rule ID 8035 //
     /*  265767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  265781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265806 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  265809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265823 */     GIR_RootConstrainSelectedInstOperands,
     /*  265824 */     // GIR_Coverage, 8035,
     /*  265824 */     GIR_EraseRootFromParent_Done,
     /*  265825 */   // Label 5047: @265825
     /*  265825 */   GIM_Try, /*On fail goto*//*Label 5048*/ GIMT_Encode4(265888), // Rule ID 8036 //
     /*  265830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  265844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265869 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  265872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265886 */     GIR_RootConstrainSelectedInstOperands,
     /*  265887 */     // GIR_Coverage, 8036,
     /*  265887 */     GIR_EraseRootFromParent_Done,
     /*  265888 */   // Label 5048: @265888
     /*  265888 */   GIM_Try, /*On fail goto*//*Label 5049*/ GIMT_Encode4(265951), // Rule ID 8039 //
     /*  265893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  265896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  265907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265932 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  265932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  265935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265949 */     GIR_RootConstrainSelectedInstOperands,
     /*  265950 */     // GIR_Coverage, 8039,
     /*  265950 */     GIR_EraseRootFromParent_Done,
     /*  265951 */   // Label 5049: @265951
     /*  265951 */   GIM_Try, /*On fail goto*//*Label 5050*/ GIMT_Encode4(266014), // Rule ID 8040 //
     /*  265956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  265959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  265964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  265970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265995 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  265995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  265998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266012 */     GIR_RootConstrainSelectedInstOperands,
     /*  266013 */     // GIR_Coverage, 8040,
     /*  266013 */     GIR_EraseRootFromParent_Done,
     /*  266014 */   // Label 5050: @266014
     /*  266014 */   GIM_Try, /*On fail goto*//*Label 5051*/ GIMT_Encode4(266077), // Rule ID 8043 //
     /*  266019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  266033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266058 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  266061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266075 */     GIR_RootConstrainSelectedInstOperands,
     /*  266076 */     // GIR_Coverage, 8043,
     /*  266076 */     GIR_EraseRootFromParent_Done,
     /*  266077 */   // Label 5051: @266077
     /*  266077 */   GIM_Try, /*On fail goto*//*Label 5052*/ GIMT_Encode4(266140), // Rule ID 8044 //
     /*  266082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  266096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266121 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  266124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266138 */     GIR_RootConstrainSelectedInstOperands,
     /*  266139 */     // GIR_Coverage, 8044,
     /*  266139 */     GIR_EraseRootFromParent_Done,
     /*  266140 */   // Label 5052: @266140
     /*  266140 */   GIM_Try, /*On fail goto*//*Label 5053*/ GIMT_Encode4(266203), // Rule ID 8047 //
     /*  266145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  266156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  266159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266184 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  266187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266201 */     GIR_RootConstrainSelectedInstOperands,
     /*  266202 */     // GIR_Coverage, 8047,
     /*  266202 */     GIR_EraseRootFromParent_Done,
     /*  266203 */   // Label 5053: @266203
     /*  266203 */   GIM_Try, /*On fail goto*//*Label 5054*/ GIMT_Encode4(266266), // Rule ID 8048 //
     /*  266208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  266219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  266222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266247 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  266250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266264 */     GIR_RootConstrainSelectedInstOperands,
     /*  266265 */     // GIR_Coverage, 8048,
     /*  266265 */     GIR_EraseRootFromParent_Done,
     /*  266266 */   // Label 5054: @266266
     /*  266266 */   GIM_Try, /*On fail goto*//*Label 5055*/ GIMT_Encode4(266329), // Rule ID 8051 //
     /*  266271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  266282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  266285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266310 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  266313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266327 */     GIR_RootConstrainSelectedInstOperands,
     /*  266328 */     // GIR_Coverage, 8051,
     /*  266328 */     GIR_EraseRootFromParent_Done,
     /*  266329 */   // Label 5055: @266329
     /*  266329 */   GIM_Try, /*On fail goto*//*Label 5056*/ GIMT_Encode4(266392), // Rule ID 8052 //
     /*  266334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  266345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  266348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266373 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  266376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266390 */     GIR_RootConstrainSelectedInstOperands,
     /*  266391 */     // GIR_Coverage, 8052,
     /*  266391 */     GIR_EraseRootFromParent_Done,
     /*  266392 */   // Label 5056: @266392
     /*  266392 */   GIM_Try, /*On fail goto*//*Label 5057*/ GIMT_Encode4(266455), // Rule ID 8055 //
     /*  266397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  266411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266436 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  266439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266453 */     GIR_RootConstrainSelectedInstOperands,
     /*  266454 */     // GIR_Coverage, 8055,
     /*  266454 */     GIR_EraseRootFromParent_Done,
     /*  266455 */   // Label 5057: @266455
     /*  266455 */   GIM_Try, /*On fail goto*//*Label 5058*/ GIMT_Encode4(266518), // Rule ID 8056 //
     /*  266460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  266474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266499 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  266502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266516 */     GIR_RootConstrainSelectedInstOperands,
     /*  266517 */     // GIR_Coverage, 8056,
     /*  266517 */     GIR_EraseRootFromParent_Done,
     /*  266518 */   // Label 5058: @266518
     /*  266518 */   GIM_Try, /*On fail goto*//*Label 5059*/ GIMT_Encode4(266581), // Rule ID 8059 //
     /*  266523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  266537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266562 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  266565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266579 */     GIR_RootConstrainSelectedInstOperands,
     /*  266580 */     // GIR_Coverage, 8059,
     /*  266580 */     GIR_EraseRootFromParent_Done,
     /*  266581 */   // Label 5059: @266581
     /*  266581 */   GIM_Try, /*On fail goto*//*Label 5060*/ GIMT_Encode4(266644), // Rule ID 8060 //
     /*  266586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  266600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266625 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  266628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266642 */     GIR_RootConstrainSelectedInstOperands,
     /*  266643 */     // GIR_Coverage, 8060,
     /*  266643 */     GIR_EraseRootFromParent_Done,
     /*  266644 */   // Label 5060: @266644
     /*  266644 */   GIM_Try, /*On fail goto*//*Label 5061*/ GIMT_Encode4(266707), // Rule ID 8063 //
     /*  266649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  266660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  266663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266688 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  266691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266705 */     GIR_RootConstrainSelectedInstOperands,
     /*  266706 */     // GIR_Coverage, 8063,
     /*  266706 */     GIR_EraseRootFromParent_Done,
     /*  266707 */   // Label 5061: @266707
     /*  266707 */   GIM_Try, /*On fail goto*//*Label 5062*/ GIMT_Encode4(266770), // Rule ID 8064 //
     /*  266712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  266723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  266726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  266740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266751 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  266754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266768 */     GIR_RootConstrainSelectedInstOperands,
     /*  266769 */     // GIR_Coverage, 8064,
     /*  266769 */     GIR_EraseRootFromParent_Done,
     /*  266770 */   // Label 5062: @266770
     /*  266770 */   GIM_Try, /*On fail goto*//*Label 5063*/ GIMT_Encode4(266833), // Rule ID 8067 //
     /*  266775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  266789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266814 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  266814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  266817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266831 */     GIR_RootConstrainSelectedInstOperands,
     /*  266832 */     // GIR_Coverage, 8067,
     /*  266832 */     GIR_EraseRootFromParent_Done,
     /*  266833 */   // Label 5063: @266833
     /*  266833 */   GIM_Try, /*On fail goto*//*Label 5064*/ GIMT_Encode4(266896), // Rule ID 8068 //
     /*  266838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  266852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266877 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  266877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  266880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266894 */     GIR_RootConstrainSelectedInstOperands,
     /*  266895 */     // GIR_Coverage, 8068,
     /*  266895 */     GIR_EraseRootFromParent_Done,
     /*  266896 */   // Label 5064: @266896
     /*  266896 */   GIM_Try, /*On fail goto*//*Label 5065*/ GIMT_Encode4(266959), // Rule ID 8071 //
     /*  266901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  266915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266940 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  266940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  266943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266957 */     GIR_RootConstrainSelectedInstOperands,
     /*  266958 */     // GIR_Coverage, 8071,
     /*  266958 */     GIR_EraseRootFromParent_Done,
     /*  266959 */   // Label 5065: @266959
     /*  266959 */   GIM_Try, /*On fail goto*//*Label 5066*/ GIMT_Encode4(267022), // Rule ID 8072 //
     /*  266964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  266972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  266978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  266992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267003 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  267006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267020 */     GIR_RootConstrainSelectedInstOperands,
     /*  267021 */     // GIR_Coverage, 8072,
     /*  267021 */     GIR_EraseRootFromParent_Done,
     /*  267022 */   // Label 5066: @267022
     /*  267022 */   GIM_Try, /*On fail goto*//*Label 5067*/ GIMT_Encode4(267085), // Rule ID 8075 //
     /*  267027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  267041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267066 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  267066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  267069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267083 */     GIR_RootConstrainSelectedInstOperands,
     /*  267084 */     // GIR_Coverage, 8075,
     /*  267084 */     GIR_EraseRootFromParent_Done,
     /*  267085 */   // Label 5067: @267085
     /*  267085 */   GIM_Try, /*On fail goto*//*Label 5068*/ GIMT_Encode4(267148), // Rule ID 8076 //
     /*  267090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  267104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267129 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  267132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267146 */     GIR_RootConstrainSelectedInstOperands,
     /*  267147 */     // GIR_Coverage, 8076,
     /*  267147 */     GIR_EraseRootFromParent_Done,
     /*  267148 */   // Label 5068: @267148
     /*  267148 */   GIM_Try, /*On fail goto*//*Label 5069*/ GIMT_Encode4(267211), // Rule ID 8079 //
     /*  267153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  267156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  267167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267192 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  267192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  267195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267209 */     GIR_RootConstrainSelectedInstOperands,
     /*  267210 */     // GIR_Coverage, 8079,
     /*  267210 */     GIR_EraseRootFromParent_Done,
     /*  267211 */   // Label 5069: @267211
     /*  267211 */   GIM_Try, /*On fail goto*//*Label 5070*/ GIMT_Encode4(267274), // Rule ID 8080 //
     /*  267216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  267219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  267230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267255 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  267255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  267258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267272 */     GIR_RootConstrainSelectedInstOperands,
     /*  267273 */     // GIR_Coverage, 8080,
     /*  267273 */     GIR_EraseRootFromParent_Done,
     /*  267274 */   // Label 5070: @267274
     /*  267274 */   GIM_Try, /*On fail goto*//*Label 5071*/ GIMT_Encode4(267337), // Rule ID 8083 //
     /*  267279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  267282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  267293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267318 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  267318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  267321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267335 */     GIR_RootConstrainSelectedInstOperands,
     /*  267336 */     // GIR_Coverage, 8083,
     /*  267336 */     GIR_EraseRootFromParent_Done,
     /*  267337 */   // Label 5071: @267337
     /*  267337 */   GIM_Try, /*On fail goto*//*Label 5072*/ GIMT_Encode4(267400), // Rule ID 8084 //
     /*  267342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  267345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  267356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267381 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  267381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  267384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267398 */     GIR_RootConstrainSelectedInstOperands,
     /*  267399 */     // GIR_Coverage, 8084,
     /*  267399 */     GIR_EraseRootFromParent_Done,
     /*  267400 */   // Label 5072: @267400
     /*  267400 */   GIM_Try, /*On fail goto*//*Label 5073*/ GIMT_Encode4(267463), // Rule ID 8087 //
     /*  267405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  267408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  267419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267444 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  267444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  267447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267461 */     GIR_RootConstrainSelectedInstOperands,
     /*  267462 */     // GIR_Coverage, 8087,
     /*  267462 */     GIR_EraseRootFromParent_Done,
     /*  267463 */   // Label 5073: @267463
     /*  267463 */   GIM_Try, /*On fail goto*//*Label 5074*/ GIMT_Encode4(267526), // Rule ID 8088 //
     /*  267468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  267471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  267476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  267482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267507 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  267507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  267510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  267524 */     GIR_RootConstrainSelectedInstOperands,
     /*  267525 */     // GIR_Coverage, 8088,
     /*  267525 */     GIR_EraseRootFromParent_Done,
     /*  267526 */   // Label 5074: @267526
     /*  267526 */   GIM_Try, /*On fail goto*//*Label 5075*/ GIMT_Encode4(267589), // Rule ID 8179 //
     /*  267531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  267545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  267548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267570 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  267573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267587 */     GIR_RootConstrainSelectedInstOperands,
     /*  267588 */     // GIR_Coverage, 8179,
     /*  267588 */     GIR_EraseRootFromParent_Done,
     /*  267589 */   // Label 5075: @267589
     /*  267589 */   GIM_Try, /*On fail goto*//*Label 5076*/ GIMT_Encode4(267652), // Rule ID 8180 //
     /*  267594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  267608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  267611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267633 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  267636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267650 */     GIR_RootConstrainSelectedInstOperands,
     /*  267651 */     // GIR_Coverage, 8180,
     /*  267651 */     GIR_EraseRootFromParent_Done,
     /*  267652 */   // Label 5076: @267652
     /*  267652 */   GIM_Try, /*On fail goto*//*Label 5077*/ GIMT_Encode4(267715), // Rule ID 8183 //
     /*  267657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  267671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  267674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267696 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  267699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267713 */     GIR_RootConstrainSelectedInstOperands,
     /*  267714 */     // GIR_Coverage, 8183,
     /*  267714 */     GIR_EraseRootFromParent_Done,
     /*  267715 */   // Label 5077: @267715
     /*  267715 */   GIM_Try, /*On fail goto*//*Label 5078*/ GIMT_Encode4(267778), // Rule ID 8184 //
     /*  267720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  267734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  267737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267759 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  267762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267776 */     GIR_RootConstrainSelectedInstOperands,
     /*  267777 */     // GIR_Coverage, 8184,
     /*  267777 */     GIR_EraseRootFromParent_Done,
     /*  267778 */   // Label 5078: @267778
     /*  267778 */   GIM_Try, /*On fail goto*//*Label 5079*/ GIMT_Encode4(267841), // Rule ID 8187 //
     /*  267783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  267797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  267800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267822 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  267825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267839 */     GIR_RootConstrainSelectedInstOperands,
     /*  267840 */     // GIR_Coverage, 8187,
     /*  267840 */     GIR_EraseRootFromParent_Done,
     /*  267841 */   // Label 5079: @267841
     /*  267841 */   GIM_Try, /*On fail goto*//*Label 5080*/ GIMT_Encode4(267904), // Rule ID 8188 //
     /*  267846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  267860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  267863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267885 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  267888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267902 */     GIR_RootConstrainSelectedInstOperands,
     /*  267903 */     // GIR_Coverage, 8188,
     /*  267903 */     GIR_EraseRootFromParent_Done,
     /*  267904 */   // Label 5080: @267904
     /*  267904 */   GIM_Try, /*On fail goto*//*Label 5081*/ GIMT_Encode4(267967), // Rule ID 8191 //
     /*  267909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  267923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  267926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267948 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  267951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267965 */     GIR_RootConstrainSelectedInstOperands,
     /*  267966 */     // GIR_Coverage, 8191,
     /*  267966 */     GIR_EraseRootFromParent_Done,
     /*  267967 */   // Label 5081: @267967
     /*  267967 */   GIM_Try, /*On fail goto*//*Label 5082*/ GIMT_Encode4(268030), // Rule ID 8192 //
     /*  267972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  267986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  267989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268011 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  268014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268028 */     GIR_RootConstrainSelectedInstOperands,
     /*  268029 */     // GIR_Coverage, 8192,
     /*  268029 */     GIR_EraseRootFromParent_Done,
     /*  268030 */   // Label 5082: @268030
     /*  268030 */   GIM_Try, /*On fail goto*//*Label 5083*/ GIMT_Encode4(268093), // Rule ID 8195 //
     /*  268035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  268049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  268052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268074 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  268077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268091 */     GIR_RootConstrainSelectedInstOperands,
     /*  268092 */     // GIR_Coverage, 8195,
     /*  268092 */     GIR_EraseRootFromParent_Done,
     /*  268093 */   // Label 5083: @268093
     /*  268093 */   GIM_Try, /*On fail goto*//*Label 5084*/ GIMT_Encode4(268156), // Rule ID 8196 //
     /*  268098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  268112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  268115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268137 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  268140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268154 */     GIR_RootConstrainSelectedInstOperands,
     /*  268155 */     // GIR_Coverage, 8196,
     /*  268155 */     GIR_EraseRootFromParent_Done,
     /*  268156 */   // Label 5084: @268156
     /*  268156 */   GIM_Try, /*On fail goto*//*Label 5085*/ GIMT_Encode4(268219), // Rule ID 8199 //
     /*  268161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  268175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  268178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268200 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  268200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  268203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268217 */     GIR_RootConstrainSelectedInstOperands,
     /*  268218 */     // GIR_Coverage, 8199,
     /*  268218 */     GIR_EraseRootFromParent_Done,
     /*  268219 */   // Label 5085: @268219
     /*  268219 */   GIM_Try, /*On fail goto*//*Label 5086*/ GIMT_Encode4(268282), // Rule ID 8200 //
     /*  268224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  268238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  268241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268263 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  268263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  268266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268280 */     GIR_RootConstrainSelectedInstOperands,
     /*  268281 */     // GIR_Coverage, 8200,
     /*  268281 */     GIR_EraseRootFromParent_Done,
     /*  268282 */   // Label 5086: @268282
     /*  268282 */   GIM_Try, /*On fail goto*//*Label 5087*/ GIMT_Encode4(268345), // Rule ID 8203 //
     /*  268287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  268301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  268304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268326 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  268329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268343 */     GIR_RootConstrainSelectedInstOperands,
     /*  268344 */     // GIR_Coverage, 8203,
     /*  268344 */     GIR_EraseRootFromParent_Done,
     /*  268345 */   // Label 5087: @268345
     /*  268345 */   GIM_Try, /*On fail goto*//*Label 5088*/ GIMT_Encode4(268408), // Rule ID 8204 //
     /*  268350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  268364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  268367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268389 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  268392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268406 */     GIR_RootConstrainSelectedInstOperands,
     /*  268407 */     // GIR_Coverage, 8204,
     /*  268407 */     GIR_EraseRootFromParent_Done,
     /*  268408 */   // Label 5088: @268408
     /*  268408 */   GIM_Try, /*On fail goto*//*Label 5089*/ GIMT_Encode4(268471), // Rule ID 8207 //
     /*  268413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  268427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  268430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268452 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  268455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268469 */     GIR_RootConstrainSelectedInstOperands,
     /*  268470 */     // GIR_Coverage, 8207,
     /*  268470 */     GIR_EraseRootFromParent_Done,
     /*  268471 */   // Label 5089: @268471
     /*  268471 */   GIM_Try, /*On fail goto*//*Label 5090*/ GIMT_Encode4(268534), // Rule ID 8208 //
     /*  268476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  268490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  268493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268515 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  268518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268532 */     GIR_RootConstrainSelectedInstOperands,
     /*  268533 */     // GIR_Coverage, 8208,
     /*  268533 */     GIR_EraseRootFromParent_Done,
     /*  268534 */   // Label 5090: @268534
     /*  268534 */   GIM_Try, /*On fail goto*//*Label 5091*/ GIMT_Encode4(268597), // Rule ID 8211 //
     /*  268539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  268553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  268556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268578 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  268578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  268581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268595 */     GIR_RootConstrainSelectedInstOperands,
     /*  268596 */     // GIR_Coverage, 8211,
     /*  268596 */     GIR_EraseRootFromParent_Done,
     /*  268597 */   // Label 5091: @268597
     /*  268597 */   GIM_Try, /*On fail goto*//*Label 5092*/ GIMT_Encode4(268660), // Rule ID 8212 //
     /*  268602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  268616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  268619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268641 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  268641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  268644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268658 */     GIR_RootConstrainSelectedInstOperands,
     /*  268659 */     // GIR_Coverage, 8212,
     /*  268659 */     GIR_EraseRootFromParent_Done,
     /*  268660 */   // Label 5092: @268660
     /*  268660 */   GIM_Try, /*On fail goto*//*Label 5093*/ GIMT_Encode4(268723), // Rule ID 8215 //
     /*  268665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  268668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  268679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  268682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268704 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  268704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  268707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268721 */     GIR_RootConstrainSelectedInstOperands,
     /*  268722 */     // GIR_Coverage, 8215,
     /*  268722 */     GIR_EraseRootFromParent_Done,
     /*  268723 */   // Label 5093: @268723
     /*  268723 */   GIM_Try, /*On fail goto*//*Label 5094*/ GIMT_Encode4(268786), // Rule ID 8216 //
     /*  268728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  268731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  268742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  268745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268767 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  268767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  268770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268784 */     GIR_RootConstrainSelectedInstOperands,
     /*  268785 */     // GIR_Coverage, 8216,
     /*  268785 */     GIR_EraseRootFromParent_Done,
     /*  268786 */   // Label 5094: @268786
     /*  268786 */   GIM_Try, /*On fail goto*//*Label 5095*/ GIMT_Encode4(268849), // Rule ID 8219 //
     /*  268791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  268805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  268808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268830 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  268833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268847 */     GIR_RootConstrainSelectedInstOperands,
     /*  268848 */     // GIR_Coverage, 8219,
     /*  268848 */     GIR_EraseRootFromParent_Done,
     /*  268849 */   // Label 5095: @268849
     /*  268849 */   GIM_Try, /*On fail goto*//*Label 5096*/ GIMT_Encode4(268912), // Rule ID 8220 //
     /*  268854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  268868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  268871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268893 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  268896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268910 */     GIR_RootConstrainSelectedInstOperands,
     /*  268911 */     // GIR_Coverage, 8220,
     /*  268911 */     GIR_EraseRootFromParent_Done,
     /*  268912 */   // Label 5096: @268912
     /*  268912 */   GIM_Try, /*On fail goto*//*Label 5097*/ GIMT_Encode4(268975), // Rule ID 8223 //
     /*  268917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  268928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  268931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  268934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268956 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  268959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268973 */     GIR_RootConstrainSelectedInstOperands,
     /*  268974 */     // GIR_Coverage, 8223,
     /*  268974 */     GIR_EraseRootFromParent_Done,
     /*  268975 */   // Label 5097: @268975
     /*  268975 */   GIM_Try, /*On fail goto*//*Label 5098*/ GIMT_Encode4(269038), // Rule ID 8224 //
     /*  268980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  268991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  268994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  268997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269019 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  269022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269036 */     GIR_RootConstrainSelectedInstOperands,
     /*  269037 */     // GIR_Coverage, 8224,
     /*  269037 */     GIR_EraseRootFromParent_Done,
     /*  269038 */   // Label 5098: @269038
     /*  269038 */   GIM_Try, /*On fail goto*//*Label 5099*/ GIMT_Encode4(269101), // Rule ID 8227 //
     /*  269043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  269054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  269057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  269060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269082 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  269085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269099 */     GIR_RootConstrainSelectedInstOperands,
     /*  269100 */     // GIR_Coverage, 8227,
     /*  269100 */     GIR_EraseRootFromParent_Done,
     /*  269101 */   // Label 5099: @269101
     /*  269101 */   GIM_Try, /*On fail goto*//*Label 5100*/ GIMT_Encode4(269164), // Rule ID 8228 //
     /*  269106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  269117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  269120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  269123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269145 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  269148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269162 */     GIR_RootConstrainSelectedInstOperands,
     /*  269163 */     // GIR_Coverage, 8228,
     /*  269163 */     GIR_EraseRootFromParent_Done,
     /*  269164 */   // Label 5100: @269164
     /*  269164 */   GIM_Try, /*On fail goto*//*Label 5101*/ GIMT_Encode4(269227), // Rule ID 8231 //
     /*  269169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  269183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  269186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269208 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  269211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269225 */     GIR_RootConstrainSelectedInstOperands,
     /*  269226 */     // GIR_Coverage, 8231,
     /*  269226 */     GIR_EraseRootFromParent_Done,
     /*  269227 */   // Label 5101: @269227
     /*  269227 */   GIM_Try, /*On fail goto*//*Label 5102*/ GIMT_Encode4(269290), // Rule ID 8232 //
     /*  269232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  269246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  269249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269271 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  269274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269288 */     GIR_RootConstrainSelectedInstOperands,
     /*  269289 */     // GIR_Coverage, 8232,
     /*  269289 */     GIR_EraseRootFromParent_Done,
     /*  269290 */   // Label 5102: @269290
     /*  269290 */   GIM_Try, /*On fail goto*//*Label 5103*/ GIMT_Encode4(269353), // Rule ID 8235 //
     /*  269295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  269306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  269309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  269312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269334 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  269337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269351 */     GIR_RootConstrainSelectedInstOperands,
     /*  269352 */     // GIR_Coverage, 8235,
     /*  269352 */     GIR_EraseRootFromParent_Done,
     /*  269353 */   // Label 5103: @269353
     /*  269353 */   GIM_Try, /*On fail goto*//*Label 5104*/ GIMT_Encode4(269416), // Rule ID 8236 //
     /*  269358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  269369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  269372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  269375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269397 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  269400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269414 */     GIR_RootConstrainSelectedInstOperands,
     /*  269415 */     // GIR_Coverage, 8236,
     /*  269415 */     GIR_EraseRootFromParent_Done,
     /*  269416 */   // Label 5104: @269416
     /*  269416 */   GIM_Try, /*On fail goto*//*Label 5105*/ GIMT_Encode4(269479), // Rule ID 8239 //
     /*  269421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  269432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  269435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  269438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269460 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  269463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269477 */     GIR_RootConstrainSelectedInstOperands,
     /*  269478 */     // GIR_Coverage, 8239,
     /*  269478 */     GIR_EraseRootFromParent_Done,
     /*  269479 */   // Label 5105: @269479
     /*  269479 */   GIM_Try, /*On fail goto*//*Label 5106*/ GIMT_Encode4(269542), // Rule ID 8240 //
     /*  269484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  269495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  269498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  269501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269523 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  269526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269540 */     GIR_RootConstrainSelectedInstOperands,
     /*  269541 */     // GIR_Coverage, 8240,
     /*  269541 */     GIR_EraseRootFromParent_Done,
     /*  269542 */   // Label 5106: @269542
     /*  269542 */   GIM_Try, /*On fail goto*//*Label 5107*/ GIMT_Encode4(269605), // Rule ID 8243 //
     /*  269547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  269561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  269564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269586 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  269586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  269589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269603 */     GIR_RootConstrainSelectedInstOperands,
     /*  269604 */     // GIR_Coverage, 8243,
     /*  269604 */     GIR_EraseRootFromParent_Done,
     /*  269605 */   // Label 5107: @269605
     /*  269605 */   GIM_Try, /*On fail goto*//*Label 5108*/ GIMT_Encode4(269668), // Rule ID 8244 //
     /*  269610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  269624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  269627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269649 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  269649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  269652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269666 */     GIR_RootConstrainSelectedInstOperands,
     /*  269667 */     // GIR_Coverage, 8244,
     /*  269667 */     GIR_EraseRootFromParent_Done,
     /*  269668 */   // Label 5108: @269668
     /*  269668 */   GIM_Try, /*On fail goto*//*Label 5109*/ GIMT_Encode4(269731), // Rule ID 8247 //
     /*  269673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  269687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  269690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269712 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  269712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  269715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269729 */     GIR_RootConstrainSelectedInstOperands,
     /*  269730 */     // GIR_Coverage, 8247,
     /*  269730 */     GIR_EraseRootFromParent_Done,
     /*  269731 */   // Label 5109: @269731
     /*  269731 */   GIM_Try, /*On fail goto*//*Label 5110*/ GIMT_Encode4(269794), // Rule ID 8248 //
     /*  269736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  269750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  269753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269775 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  269775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  269778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269792 */     GIR_RootConstrainSelectedInstOperands,
     /*  269793 */     // GIR_Coverage, 8248,
     /*  269793 */     GIR_EraseRootFromParent_Done,
     /*  269794 */   // Label 5110: @269794
     /*  269794 */   GIM_Try, /*On fail goto*//*Label 5111*/ GIMT_Encode4(269857), // Rule ID 8251 //
     /*  269799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  269810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  269813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  269816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269838 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  269838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  269841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269855 */     GIR_RootConstrainSelectedInstOperands,
     /*  269856 */     // GIR_Coverage, 8251,
     /*  269856 */     GIR_EraseRootFromParent_Done,
     /*  269857 */   // Label 5111: @269857
     /*  269857 */   GIM_Try, /*On fail goto*//*Label 5112*/ GIMT_Encode4(269920), // Rule ID 8252 //
     /*  269862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  269873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  269876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  269879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269901 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  269901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  269904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269918 */     GIR_RootConstrainSelectedInstOperands,
     /*  269919 */     // GIR_Coverage, 8252,
     /*  269919 */     GIR_EraseRootFromParent_Done,
     /*  269920 */   // Label 5112: @269920
     /*  269920 */   GIM_Try, /*On fail goto*//*Label 5113*/ GIMT_Encode4(269983), // Rule ID 8255 //
     /*  269925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  269928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  269939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  269942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269964 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  269964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  269967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269981 */     GIR_RootConstrainSelectedInstOperands,
     /*  269982 */     // GIR_Coverage, 8255,
     /*  269982 */     GIR_EraseRootFromParent_Done,
     /*  269983 */   // Label 5113: @269983
     /*  269983 */   GIM_Try, /*On fail goto*//*Label 5114*/ GIMT_Encode4(270046), // Rule ID 8256 //
     /*  269988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  269991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  269996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  270002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  270005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270027 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  270027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  270030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270044 */     GIR_RootConstrainSelectedInstOperands,
     /*  270045 */     // GIR_Coverage, 8256,
     /*  270045 */     GIR_EraseRootFromParent_Done,
     /*  270046 */   // Label 5114: @270046
     /*  270046 */   GIM_Try, /*On fail goto*//*Label 5115*/ GIMT_Encode4(270109), // Rule ID 8259 //
     /*  270051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  270054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  270065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  270068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270090 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  270090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  270093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270107 */     GIR_RootConstrainSelectedInstOperands,
     /*  270108 */     // GIR_Coverage, 8259,
     /*  270108 */     GIR_EraseRootFromParent_Done,
     /*  270109 */   // Label 5115: @270109
     /*  270109 */   GIM_Try, /*On fail goto*//*Label 5116*/ GIMT_Encode4(270172), // Rule ID 8260 //
     /*  270114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  270117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  270128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  270131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270153 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  270153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  270156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270170 */     GIR_RootConstrainSelectedInstOperands,
     /*  270171 */     // GIR_Coverage, 8260,
     /*  270171 */     GIR_EraseRootFromParent_Done,
     /*  270172 */   // Label 5116: @270172
     /*  270172 */   GIM_Try, /*On fail goto*//*Label 5117*/ GIMT_Encode4(270235), // Rule ID 8263 //
     /*  270177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  270180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  270191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  270194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270216 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  270216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  270219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270233 */     GIR_RootConstrainSelectedInstOperands,
     /*  270234 */     // GIR_Coverage, 8263,
     /*  270234 */     GIR_EraseRootFromParent_Done,
     /*  270235 */   // Label 5117: @270235
     /*  270235 */   GIM_Try, /*On fail goto*//*Label 5118*/ GIMT_Encode4(270298), // Rule ID 8264 //
     /*  270240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  270243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  270254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  270257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270279 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  270279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  270282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270296 */     GIR_RootConstrainSelectedInstOperands,
     /*  270297 */     // GIR_Coverage, 8264,
     /*  270297 */     GIR_EraseRootFromParent_Done,
     /*  270298 */   // Label 5118: @270298
     /*  270298 */   GIM_Try, /*On fail goto*//*Label 5119*/ GIMT_Encode4(270361), // Rule ID 8267 //
     /*  270303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  270317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  270320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270342 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  270345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270359 */     GIR_RootConstrainSelectedInstOperands,
     /*  270360 */     // GIR_Coverage, 8267,
     /*  270360 */     GIR_EraseRootFromParent_Done,
     /*  270361 */   // Label 5119: @270361
     /*  270361 */   GIM_Try, /*On fail goto*//*Label 5120*/ GIMT_Encode4(270424), // Rule ID 8268 //
     /*  270366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  270380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  270383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270405 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  270408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270422 */     GIR_RootConstrainSelectedInstOperands,
     /*  270423 */     // GIR_Coverage, 8268,
     /*  270423 */     GIR_EraseRootFromParent_Done,
     /*  270424 */   // Label 5120: @270424
     /*  270424 */   GIM_Try, /*On fail goto*//*Label 5121*/ GIMT_Encode4(270487), // Rule ID 8271 //
     /*  270429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  270443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  270446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270468 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  270471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270485 */     GIR_RootConstrainSelectedInstOperands,
     /*  270486 */     // GIR_Coverage, 8271,
     /*  270486 */     GIR_EraseRootFromParent_Done,
     /*  270487 */   // Label 5121: @270487
     /*  270487 */   GIM_Try, /*On fail goto*//*Label 5122*/ GIMT_Encode4(270550), // Rule ID 8272 //
     /*  270492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  270506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  270509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270531 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  270534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270548 */     GIR_RootConstrainSelectedInstOperands,
     /*  270549 */     // GIR_Coverage, 8272,
     /*  270549 */     GIR_EraseRootFromParent_Done,
     /*  270550 */   // Label 5122: @270550
     /*  270550 */   GIM_Try, /*On fail goto*//*Label 5123*/ GIMT_Encode4(270613), // Rule ID 8275 //
     /*  270555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  270569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  270572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270594 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  270597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270611 */     GIR_RootConstrainSelectedInstOperands,
     /*  270612 */     // GIR_Coverage, 8275,
     /*  270612 */     GIR_EraseRootFromParent_Done,
     /*  270613 */   // Label 5123: @270613
     /*  270613 */   GIM_Try, /*On fail goto*//*Label 5124*/ GIMT_Encode4(270676), // Rule ID 8276 //
     /*  270618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  270632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  270635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270657 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  270660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270674 */     GIR_RootConstrainSelectedInstOperands,
     /*  270675 */     // GIR_Coverage, 8276,
     /*  270675 */     GIR_EraseRootFromParent_Done,
     /*  270676 */   // Label 5124: @270676
     /*  270676 */   GIM_Try, /*On fail goto*//*Label 5125*/ GIMT_Encode4(270739), // Rule ID 8279 //
     /*  270681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  270695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  270698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270720 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  270723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270737 */     GIR_RootConstrainSelectedInstOperands,
     /*  270738 */     // GIR_Coverage, 8279,
     /*  270738 */     GIR_EraseRootFromParent_Done,
     /*  270739 */   // Label 5125: @270739
     /*  270739 */   GIM_Try, /*On fail goto*//*Label 5126*/ GIMT_Encode4(270802), // Rule ID 8280 //
     /*  270744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  270758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  270761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270783 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  270786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270800 */     GIR_RootConstrainSelectedInstOperands,
     /*  270801 */     // GIR_Coverage, 8280,
     /*  270801 */     GIR_EraseRootFromParent_Done,
     /*  270802 */   // Label 5126: @270802
     /*  270802 */   GIM_Try, /*On fail goto*//*Label 5127*/ GIMT_Encode4(270865), // Rule ID 8283 //
     /*  270807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  270821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  270824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270846 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  270849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270863 */     GIR_RootConstrainSelectedInstOperands,
     /*  270864 */     // GIR_Coverage, 8283,
     /*  270864 */     GIR_EraseRootFromParent_Done,
     /*  270865 */   // Label 5127: @270865
     /*  270865 */   GIM_Try, /*On fail goto*//*Label 5128*/ GIMT_Encode4(270928), // Rule ID 8284 //
     /*  270870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  270884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  270887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270909 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  270912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270926 */     GIR_RootConstrainSelectedInstOperands,
     /*  270927 */     // GIR_Coverage, 8284,
     /*  270927 */     GIR_EraseRootFromParent_Done,
     /*  270928 */   // Label 5128: @270928
     /*  270928 */   GIM_Try, /*On fail goto*//*Label 5129*/ GIMT_Encode4(270991), // Rule ID 8287 //
     /*  270933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  270941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  270944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  270947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  270950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270972 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  270972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  270975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270989 */     GIR_RootConstrainSelectedInstOperands,
     /*  270990 */     // GIR_Coverage, 8287,
     /*  270990 */     GIR_EraseRootFromParent_Done,
     /*  270991 */   // Label 5129: @270991
     /*  270991 */   GIM_Try, /*On fail goto*//*Label 5130*/ GIMT_Encode4(271054), // Rule ID 8288 //
     /*  270996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  271010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271035 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  271035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  271038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271052 */     GIR_RootConstrainSelectedInstOperands,
     /*  271053 */     // GIR_Coverage, 8288,
     /*  271053 */     GIR_EraseRootFromParent_Done,
     /*  271054 */   // Label 5130: @271054
     /*  271054 */   GIM_Try, /*On fail goto*//*Label 5131*/ GIMT_Encode4(271117), // Rule ID 8291 //
     /*  271059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  271073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271098 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  271101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271115 */     GIR_RootConstrainSelectedInstOperands,
     /*  271116 */     // GIR_Coverage, 8291,
     /*  271116 */     GIR_EraseRootFromParent_Done,
     /*  271117 */   // Label 5131: @271117
     /*  271117 */   GIM_Try, /*On fail goto*//*Label 5132*/ GIMT_Encode4(271180), // Rule ID 8292 //
     /*  271122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  271136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271161 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  271164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271178 */     GIR_RootConstrainSelectedInstOperands,
     /*  271179 */     // GIR_Coverage, 8292,
     /*  271179 */     GIR_EraseRootFromParent_Done,
     /*  271180 */   // Label 5132: @271180
     /*  271180 */   GIM_Try, /*On fail goto*//*Label 5133*/ GIMT_Encode4(271243), // Rule ID 8295 //
     /*  271185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  271199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271224 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  271224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  271227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271241 */     GIR_RootConstrainSelectedInstOperands,
     /*  271242 */     // GIR_Coverage, 8295,
     /*  271242 */     GIR_EraseRootFromParent_Done,
     /*  271243 */   // Label 5133: @271243
     /*  271243 */   GIM_Try, /*On fail goto*//*Label 5134*/ GIMT_Encode4(271306), // Rule ID 8296 //
     /*  271248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  271262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271287 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  271287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  271290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271304 */     GIR_RootConstrainSelectedInstOperands,
     /*  271305 */     // GIR_Coverage, 8296,
     /*  271305 */     GIR_EraseRootFromParent_Done,
     /*  271306 */   // Label 5134: @271306
     /*  271306 */   GIM_Try, /*On fail goto*//*Label 5135*/ GIMT_Encode4(271369), // Rule ID 8299 //
     /*  271311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  271325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271350 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  271350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  271353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271367 */     GIR_RootConstrainSelectedInstOperands,
     /*  271368 */     // GIR_Coverage, 8299,
     /*  271368 */     GIR_EraseRootFromParent_Done,
     /*  271369 */   // Label 5135: @271369
     /*  271369 */   GIM_Try, /*On fail goto*//*Label 5136*/ GIMT_Encode4(271432), // Rule ID 8300 //
     /*  271374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  271388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271413 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  271413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  271416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271430 */     GIR_RootConstrainSelectedInstOperands,
     /*  271431 */     // GIR_Coverage, 8300,
     /*  271431 */     GIR_EraseRootFromParent_Done,
     /*  271432 */   // Label 5136: @271432
     /*  271432 */   GIM_Try, /*On fail goto*//*Label 5137*/ GIMT_Encode4(271495), // Rule ID 8303 //
     /*  271437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  271440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  271451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271476 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  271476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  271479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271493 */     GIR_RootConstrainSelectedInstOperands,
     /*  271494 */     // GIR_Coverage, 8303,
     /*  271494 */     GIR_EraseRootFromParent_Done,
     /*  271495 */   // Label 5137: @271495
     /*  271495 */   GIM_Try, /*On fail goto*//*Label 5138*/ GIMT_Encode4(271558), // Rule ID 8304 //
     /*  271500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  271514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271539 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  271539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  271542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271556 */     GIR_RootConstrainSelectedInstOperands,
     /*  271557 */     // GIR_Coverage, 8304,
     /*  271557 */     GIR_EraseRootFromParent_Done,
     /*  271558 */   // Label 5138: @271558
     /*  271558 */   GIM_Try, /*On fail goto*//*Label 5139*/ GIMT_Encode4(271621), // Rule ID 8307 //
     /*  271563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  271574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  271577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271602 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  271605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271619 */     GIR_RootConstrainSelectedInstOperands,
     /*  271620 */     // GIR_Coverage, 8307,
     /*  271620 */     GIR_EraseRootFromParent_Done,
     /*  271621 */   // Label 5139: @271621
     /*  271621 */   GIM_Try, /*On fail goto*//*Label 5140*/ GIMT_Encode4(271684), // Rule ID 8308 //
     /*  271626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  271637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  271640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271665 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  271668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271682 */     GIR_RootConstrainSelectedInstOperands,
     /*  271683 */     // GIR_Coverage, 8308,
     /*  271683 */     GIR_EraseRootFromParent_Done,
     /*  271684 */   // Label 5140: @271684
     /*  271684 */   GIM_Try, /*On fail goto*//*Label 5141*/ GIMT_Encode4(271747), // Rule ID 8311 //
     /*  271689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  271700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  271703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271728 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  271731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271745 */     GIR_RootConstrainSelectedInstOperands,
     /*  271746 */     // GIR_Coverage, 8311,
     /*  271746 */     GIR_EraseRootFromParent_Done,
     /*  271747 */   // Label 5141: @271747
     /*  271747 */   GIM_Try, /*On fail goto*//*Label 5142*/ GIMT_Encode4(271810), // Rule ID 8312 //
     /*  271752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  271763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  271766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271791 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  271794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271808 */     GIR_RootConstrainSelectedInstOperands,
     /*  271809 */     // GIR_Coverage, 8312,
     /*  271809 */     GIR_EraseRootFromParent_Done,
     /*  271810 */   // Label 5142: @271810
     /*  271810 */   GIM_Try, /*On fail goto*//*Label 5143*/ GIMT_Encode4(271873), // Rule ID 8315 //
     /*  271815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  271826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  271829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271854 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  271857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271871 */     GIR_RootConstrainSelectedInstOperands,
     /*  271872 */     // GIR_Coverage, 8315,
     /*  271872 */     GIR_EraseRootFromParent_Done,
     /*  271873 */   // Label 5143: @271873
     /*  271873 */   GIM_Try, /*On fail goto*//*Label 5144*/ GIMT_Encode4(271936), // Rule ID 8316 //
     /*  271878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  271889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  271892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271917 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  271920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271934 */     GIR_RootConstrainSelectedInstOperands,
     /*  271935 */     // GIR_Coverage, 8316,
     /*  271935 */     GIR_EraseRootFromParent_Done,
     /*  271936 */   // Label 5144: @271936
     /*  271936 */   GIM_Try, /*On fail goto*//*Label 5145*/ GIMT_Encode4(271999), // Rule ID 8319 //
     /*  271941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  271949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  271955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  271969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271980 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  271980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  271983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271997 */     GIR_RootConstrainSelectedInstOperands,
     /*  271998 */     // GIR_Coverage, 8319,
     /*  271998 */     GIR_EraseRootFromParent_Done,
     /*  271999 */   // Label 5145: @271999
     /*  271999 */   GIM_Try, /*On fail goto*//*Label 5146*/ GIMT_Encode4(272062), // Rule ID 8320 //
     /*  272004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  272018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272043 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  272046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272060 */     GIR_RootConstrainSelectedInstOperands,
     /*  272061 */     // GIR_Coverage, 8320,
     /*  272061 */     GIR_EraseRootFromParent_Done,
     /*  272062 */   // Label 5146: @272062
     /*  272062 */   GIM_Try, /*On fail goto*//*Label 5147*/ GIMT_Encode4(272125), // Rule ID 8323 //
     /*  272067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  272081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272106 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  272109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272123 */     GIR_RootConstrainSelectedInstOperands,
     /*  272124 */     // GIR_Coverage, 8323,
     /*  272124 */     GIR_EraseRootFromParent_Done,
     /*  272125 */   // Label 5147: @272125
     /*  272125 */   GIM_Try, /*On fail goto*//*Label 5148*/ GIMT_Encode4(272188), // Rule ID 8324 //
     /*  272130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  272144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272169 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  272172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272186 */     GIR_RootConstrainSelectedInstOperands,
     /*  272187 */     // GIR_Coverage, 8324,
     /*  272187 */     GIR_EraseRootFromParent_Done,
     /*  272188 */   // Label 5148: @272188
     /*  272188 */   GIM_Try, /*On fail goto*//*Label 5149*/ GIMT_Encode4(272251), // Rule ID 8327 //
     /*  272193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  272204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  272207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272232 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  272235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272249 */     GIR_RootConstrainSelectedInstOperands,
     /*  272250 */     // GIR_Coverage, 8327,
     /*  272250 */     GIR_EraseRootFromParent_Done,
     /*  272251 */   // Label 5149: @272251
     /*  272251 */   GIM_Try, /*On fail goto*//*Label 5150*/ GIMT_Encode4(272314), // Rule ID 8328 //
     /*  272256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  272267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  272270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272295 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  272298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272312 */     GIR_RootConstrainSelectedInstOperands,
     /*  272313 */     // GIR_Coverage, 8328,
     /*  272313 */     GIR_EraseRootFromParent_Done,
     /*  272314 */   // Label 5150: @272314
     /*  272314 */   GIM_Try, /*On fail goto*//*Label 5151*/ GIMT_Encode4(272377), // Rule ID 8331 //
     /*  272319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  272333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272358 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  272361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272375 */     GIR_RootConstrainSelectedInstOperands,
     /*  272376 */     // GIR_Coverage, 8331,
     /*  272376 */     GIR_EraseRootFromParent_Done,
     /*  272377 */   // Label 5151: @272377
     /*  272377 */   GIM_Try, /*On fail goto*//*Label 5152*/ GIMT_Encode4(272440), // Rule ID 8332 //
     /*  272382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  272396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272421 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  272421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  272424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272438 */     GIR_RootConstrainSelectedInstOperands,
     /*  272439 */     // GIR_Coverage, 8332,
     /*  272439 */     GIR_EraseRootFromParent_Done,
     /*  272440 */   // Label 5152: @272440
     /*  272440 */   GIM_Try, /*On fail goto*//*Label 5153*/ GIMT_Encode4(272503), // Rule ID 8335 //
     /*  272445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  272459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272484 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  272487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272501 */     GIR_RootConstrainSelectedInstOperands,
     /*  272502 */     // GIR_Coverage, 8335,
     /*  272502 */     GIR_EraseRootFromParent_Done,
     /*  272503 */   // Label 5153: @272503
     /*  272503 */   GIM_Try, /*On fail goto*//*Label 5154*/ GIMT_Encode4(272566), // Rule ID 8336 //
     /*  272508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  272522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272547 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  272547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  272550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272564 */     GIR_RootConstrainSelectedInstOperands,
     /*  272565 */     // GIR_Coverage, 8336,
     /*  272565 */     GIR_EraseRootFromParent_Done,
     /*  272566 */   // Label 5154: @272566
     /*  272566 */   GIM_Try, /*On fail goto*//*Label 5155*/ GIMT_Encode4(272629), // Rule ID 8339 //
     /*  272571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  272585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272610 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  272613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272627 */     GIR_RootConstrainSelectedInstOperands,
     /*  272628 */     // GIR_Coverage, 8339,
     /*  272628 */     GIR_EraseRootFromParent_Done,
     /*  272629 */   // Label 5155: @272629
     /*  272629 */   GIM_Try, /*On fail goto*//*Label 5156*/ GIMT_Encode4(272692), // Rule ID 8340 //
     /*  272634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  272648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272673 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  272673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  272676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272690 */     GIR_RootConstrainSelectedInstOperands,
     /*  272691 */     // GIR_Coverage, 8340,
     /*  272691 */     GIR_EraseRootFromParent_Done,
     /*  272692 */   // Label 5156: @272692
     /*  272692 */   GIM_Try, /*On fail goto*//*Label 5157*/ GIMT_Encode4(272755), // Rule ID 8343 //
     /*  272697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  272700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  272711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272736 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  272736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  272739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272753 */     GIR_RootConstrainSelectedInstOperands,
     /*  272754 */     // GIR_Coverage, 8343,
     /*  272754 */     GIR_EraseRootFromParent_Done,
     /*  272755 */   // Label 5157: @272755
     /*  272755 */   GIM_Try, /*On fail goto*//*Label 5158*/ GIMT_Encode4(272818), // Rule ID 8344 //
     /*  272760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  272763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  272774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272799 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  272799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  272802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272816 */     GIR_RootConstrainSelectedInstOperands,
     /*  272817 */     // GIR_Coverage, 8344,
     /*  272817 */     GIR_EraseRootFromParent_Done,
     /*  272818 */   // Label 5158: @272818
     /*  272818 */   GIM_Try, /*On fail goto*//*Label 5159*/ GIMT_Encode4(272881), // Rule ID 8347 //
     /*  272823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  272826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  272837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272862 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  272862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  272865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272879 */     GIR_RootConstrainSelectedInstOperands,
     /*  272880 */     // GIR_Coverage, 8347,
     /*  272880 */     GIR_EraseRootFromParent_Done,
     /*  272881 */   // Label 5159: @272881
     /*  272881 */   GIM_Try, /*On fail goto*//*Label 5160*/ GIMT_Encode4(272944), // Rule ID 8348 //
     /*  272886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  272889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  272900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272925 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  272925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  272928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272942 */     GIR_RootConstrainSelectedInstOperands,
     /*  272943 */     // GIR_Coverage, 8348,
     /*  272943 */     GIR_EraseRootFromParent_Done,
     /*  272944 */   // Label 5160: @272944
     /*  272944 */   GIM_Try, /*On fail goto*//*Label 5161*/ GIMT_Encode4(273007), // Rule ID 8351 //
     /*  272949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  272952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  272957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  272963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272988 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  272988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  272991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273005 */     GIR_RootConstrainSelectedInstOperands,
     /*  273006 */     // GIR_Coverage, 8351,
     /*  273006 */     GIR_EraseRootFromParent_Done,
     /*  273007 */   // Label 5161: @273007
     /*  273007 */   GIM_Try, /*On fail goto*//*Label 5162*/ GIMT_Encode4(273070), // Rule ID 8352 //
     /*  273012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  273020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  273026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273051 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11362:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  273051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  273054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273068 */     GIR_RootConstrainSelectedInstOperands,
     /*  273069 */     // GIR_Coverage, 8352,
     /*  273069 */     GIR_EraseRootFromParent_Done,
     /*  273070 */   // Label 5162: @273070
     /*  273070 */   GIM_Try, /*On fail goto*//*Label 5163*/ GIMT_Encode4(273133), // Rule ID 8355 //
     /*  273075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  273089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  273092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273114 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  273117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273131 */     GIR_RootConstrainSelectedInstOperands,
     /*  273132 */     // GIR_Coverage, 8355,
     /*  273132 */     GIR_EraseRootFromParent_Done,
     /*  273133 */   // Label 5163: @273133
     /*  273133 */   GIM_Try, /*On fail goto*//*Label 5164*/ GIMT_Encode4(273196), // Rule ID 8356 //
     /*  273138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  273152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  273155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273177 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  273180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273194 */     GIR_RootConstrainSelectedInstOperands,
     /*  273195 */     // GIR_Coverage, 8356,
     /*  273195 */     GIR_EraseRootFromParent_Done,
     /*  273196 */   // Label 5164: @273196
     /*  273196 */   GIM_Try, /*On fail goto*//*Label 5165*/ GIMT_Encode4(273259), // Rule ID 8359 //
     /*  273201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  273215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  273218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273240 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  273243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273257 */     GIR_RootConstrainSelectedInstOperands,
     /*  273258 */     // GIR_Coverage, 8359,
     /*  273258 */     GIR_EraseRootFromParent_Done,
     /*  273259 */   // Label 5165: @273259
     /*  273259 */   GIM_Try, /*On fail goto*//*Label 5166*/ GIMT_Encode4(273322), // Rule ID 8360 //
     /*  273264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  273278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  273281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273303 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  273306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273320 */     GIR_RootConstrainSelectedInstOperands,
     /*  273321 */     // GIR_Coverage, 8360,
     /*  273321 */     GIR_EraseRootFromParent_Done,
     /*  273322 */   // Label 5166: @273322
     /*  273322 */   GIM_Try, /*On fail goto*//*Label 5167*/ GIMT_Encode4(273385), // Rule ID 8363 //
     /*  273327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  273341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  273344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273366 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  273369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273383 */     GIR_RootConstrainSelectedInstOperands,
     /*  273384 */     // GIR_Coverage, 8363,
     /*  273384 */     GIR_EraseRootFromParent_Done,
     /*  273385 */   // Label 5167: @273385
     /*  273385 */   GIM_Try, /*On fail goto*//*Label 5168*/ GIMT_Encode4(273448), // Rule ID 8364 //
     /*  273390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  273404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  273407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273429 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  273432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273446 */     GIR_RootConstrainSelectedInstOperands,
     /*  273447 */     // GIR_Coverage, 8364,
     /*  273447 */     GIR_EraseRootFromParent_Done,
     /*  273448 */   // Label 5168: @273448
     /*  273448 */   GIM_Try, /*On fail goto*//*Label 5169*/ GIMT_Encode4(273511), // Rule ID 8367 //
     /*  273453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  273467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  273470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273492 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  273495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273509 */     GIR_RootConstrainSelectedInstOperands,
     /*  273510 */     // GIR_Coverage, 8367,
     /*  273510 */     GIR_EraseRootFromParent_Done,
     /*  273511 */   // Label 5169: @273511
     /*  273511 */   GIM_Try, /*On fail goto*//*Label 5170*/ GIMT_Encode4(273574), // Rule ID 8368 //
     /*  273516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  273530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  273533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273555 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  273558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273572 */     GIR_RootConstrainSelectedInstOperands,
     /*  273573 */     // GIR_Coverage, 8368,
     /*  273573 */     GIR_EraseRootFromParent_Done,
     /*  273574 */   // Label 5170: @273574
     /*  273574 */   GIM_Try, /*On fail goto*//*Label 5171*/ GIMT_Encode4(273637), // Rule ID 8371 //
     /*  273579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  273593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  273596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273618 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  273621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273635 */     GIR_RootConstrainSelectedInstOperands,
     /*  273636 */     // GIR_Coverage, 8371,
     /*  273636 */     GIR_EraseRootFromParent_Done,
     /*  273637 */   // Label 5171: @273637
     /*  273637 */   GIM_Try, /*On fail goto*//*Label 5172*/ GIMT_Encode4(273700), // Rule ID 8372 //
     /*  273642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  273656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  273659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273681 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  273684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273698 */     GIR_RootConstrainSelectedInstOperands,
     /*  273699 */     // GIR_Coverage, 8372,
     /*  273699 */     GIR_EraseRootFromParent_Done,
     /*  273700 */   // Label 5172: @273700
     /*  273700 */   GIM_Try, /*On fail goto*//*Label 5173*/ GIMT_Encode4(273763), // Rule ID 8375 //
     /*  273705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  273719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  273722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273744 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  273744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  273747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273761 */     GIR_RootConstrainSelectedInstOperands,
     /*  273762 */     // GIR_Coverage, 8375,
     /*  273762 */     GIR_EraseRootFromParent_Done,
     /*  273763 */   // Label 5173: @273763
     /*  273763 */   GIM_Try, /*On fail goto*//*Label 5174*/ GIMT_Encode4(273826), // Rule ID 8376 //
     /*  273768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  273782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  273785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273807 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  273807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  273810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273824 */     GIR_RootConstrainSelectedInstOperands,
     /*  273825 */     // GIR_Coverage, 8376,
     /*  273825 */     GIR_EraseRootFromParent_Done,
     /*  273826 */   // Label 5174: @273826
     /*  273826 */   GIM_Try, /*On fail goto*//*Label 5175*/ GIMT_Encode4(273889), // Rule ID 8379 //
     /*  273831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  273845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  273848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273870 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  273873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273887 */     GIR_RootConstrainSelectedInstOperands,
     /*  273888 */     // GIR_Coverage, 8379,
     /*  273888 */     GIR_EraseRootFromParent_Done,
     /*  273889 */   // Label 5175: @273889
     /*  273889 */   GIM_Try, /*On fail goto*//*Label 5176*/ GIMT_Encode4(273952), // Rule ID 8380 //
     /*  273894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  273908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  273911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273933 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  273933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  273936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273950 */     GIR_RootConstrainSelectedInstOperands,
     /*  273951 */     // GIR_Coverage, 8380,
     /*  273951 */     GIR_EraseRootFromParent_Done,
     /*  273952 */   // Label 5176: @273952
     /*  273952 */   GIM_Try, /*On fail goto*//*Label 5177*/ GIMT_Encode4(274015), // Rule ID 8383 //
     /*  273957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  273971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  273974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273996 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  273999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274013 */     GIR_RootConstrainSelectedInstOperands,
     /*  274014 */     // GIR_Coverage, 8383,
     /*  274014 */     GIR_EraseRootFromParent_Done,
     /*  274015 */   // Label 5177: @274015
     /*  274015 */   GIM_Try, /*On fail goto*//*Label 5178*/ GIMT_Encode4(274078), // Rule ID 8384 //
     /*  274020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  274034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  274037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274059 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  274059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  274062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274076 */     GIR_RootConstrainSelectedInstOperands,
     /*  274077 */     // GIR_Coverage, 8384,
     /*  274077 */     GIR_EraseRootFromParent_Done,
     /*  274078 */   // Label 5178: @274078
     /*  274078 */   GIM_Try, /*On fail goto*//*Label 5179*/ GIMT_Encode4(274141), // Rule ID 8387 //
     /*  274083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  274097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  274100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274122 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  274122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  274125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274139 */     GIR_RootConstrainSelectedInstOperands,
     /*  274140 */     // GIR_Coverage, 8387,
     /*  274140 */     GIR_EraseRootFromParent_Done,
     /*  274141 */   // Label 5179: @274141
     /*  274141 */   GIM_Try, /*On fail goto*//*Label 5180*/ GIMT_Encode4(274204), // Rule ID 8388 //
     /*  274146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  274160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  274163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274185 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  274185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  274188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274202 */     GIR_RootConstrainSelectedInstOperands,
     /*  274203 */     // GIR_Coverage, 8388,
     /*  274203 */     GIR_EraseRootFromParent_Done,
     /*  274204 */   // Label 5180: @274204
     /*  274204 */   GIM_Try, /*On fail goto*//*Label 5181*/ GIMT_Encode4(274267), // Rule ID 8391 //
     /*  274209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  274212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  274223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  274226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274248 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  274248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  274251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274265 */     GIR_RootConstrainSelectedInstOperands,
     /*  274266 */     // GIR_Coverage, 8391,
     /*  274266 */     GIR_EraseRootFromParent_Done,
     /*  274267 */   // Label 5181: @274267
     /*  274267 */   GIM_Try, /*On fail goto*//*Label 5182*/ GIMT_Encode4(274330), // Rule ID 8392 //
     /*  274272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  274275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  274286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  274289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274311 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  274311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  274314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274328 */     GIR_RootConstrainSelectedInstOperands,
     /*  274329 */     // GIR_Coverage, 8392,
     /*  274329 */     GIR_EraseRootFromParent_Done,
     /*  274330 */   // Label 5182: @274330
     /*  274330 */   GIM_Try, /*On fail goto*//*Label 5183*/ GIMT_Encode4(274393), // Rule ID 8395 //
     /*  274335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  274346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  274349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  274352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274374 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  274377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274391 */     GIR_RootConstrainSelectedInstOperands,
     /*  274392 */     // GIR_Coverage, 8395,
     /*  274392 */     GIR_EraseRootFromParent_Done,
     /*  274393 */   // Label 5183: @274393
     /*  274393 */   GIM_Try, /*On fail goto*//*Label 5184*/ GIMT_Encode4(274456), // Rule ID 8396 //
     /*  274398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  274409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  274412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  274415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274437 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  274440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274454 */     GIR_RootConstrainSelectedInstOperands,
     /*  274455 */     // GIR_Coverage, 8396,
     /*  274455 */     GIR_EraseRootFromParent_Done,
     /*  274456 */   // Label 5184: @274456
     /*  274456 */   GIM_Try, /*On fail goto*//*Label 5185*/ GIMT_Encode4(274519), // Rule ID 8399 //
     /*  274461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  274472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  274475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  274478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274500 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  274503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274517 */     GIR_RootConstrainSelectedInstOperands,
     /*  274518 */     // GIR_Coverage, 8399,
     /*  274518 */     GIR_EraseRootFromParent_Done,
     /*  274519 */   // Label 5185: @274519
     /*  274519 */   GIM_Try, /*On fail goto*//*Label 5186*/ GIMT_Encode4(274582), // Rule ID 8400 //
     /*  274524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  274535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  274538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  274541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274563 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  274566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274580 */     GIR_RootConstrainSelectedInstOperands,
     /*  274581 */     // GIR_Coverage, 8400,
     /*  274581 */     GIR_EraseRootFromParent_Done,
     /*  274582 */   // Label 5186: @274582
     /*  274582 */   GIM_Try, /*On fail goto*//*Label 5187*/ GIMT_Encode4(274645), // Rule ID 8403 //
     /*  274587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  274598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  274601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  274604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274626 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  274629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274643 */     GIR_RootConstrainSelectedInstOperands,
     /*  274644 */     // GIR_Coverage, 8403,
     /*  274644 */     GIR_EraseRootFromParent_Done,
     /*  274645 */   // Label 5187: @274645
     /*  274645 */   GIM_Try, /*On fail goto*//*Label 5188*/ GIMT_Encode4(274708), // Rule ID 8404 //
     /*  274650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  274661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  274664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  274667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274689 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  274692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274706 */     GIR_RootConstrainSelectedInstOperands,
     /*  274707 */     // GIR_Coverage, 8404,
     /*  274707 */     GIR_EraseRootFromParent_Done,
     /*  274708 */   // Label 5188: @274708
     /*  274708 */   GIM_Try, /*On fail goto*//*Label 5189*/ GIMT_Encode4(274771), // Rule ID 8407 //
     /*  274713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  274727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  274730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274752 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  274752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  274755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274769 */     GIR_RootConstrainSelectedInstOperands,
     /*  274770 */     // GIR_Coverage, 8407,
     /*  274770 */     GIR_EraseRootFromParent_Done,
     /*  274771 */   // Label 5189: @274771
     /*  274771 */   GIM_Try, /*On fail goto*//*Label 5190*/ GIMT_Encode4(274834), // Rule ID 8408 //
     /*  274776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  274790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  274793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  274808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274815 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  274815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  274818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274832 */     GIR_RootConstrainSelectedInstOperands,
     /*  274833 */     // GIR_Coverage, 8408,
     /*  274833 */     GIR_EraseRootFromParent_Done,
     /*  274834 */   // Label 5190: @274834
     /*  274834 */   GIM_Try, /*On fail goto*//*Label 5191*/ GIMT_Encode4(274897), // Rule ID 8411 //
     /*  274839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  274850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  274853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  274856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274878 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  274878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  274881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274895 */     GIR_RootConstrainSelectedInstOperands,
     /*  274896 */     // GIR_Coverage, 8411,
     /*  274896 */     GIR_EraseRootFromParent_Done,
     /*  274897 */   // Label 5191: @274897
     /*  274897 */   GIM_Try, /*On fail goto*//*Label 5192*/ GIMT_Encode4(274960), // Rule ID 8412 //
     /*  274902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  274913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  274916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  274919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  274934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274941 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  274941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  274944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274958 */     GIR_RootConstrainSelectedInstOperands,
     /*  274959 */     // GIR_Coverage, 8412,
     /*  274959 */     GIR_EraseRootFromParent_Done,
     /*  274960 */   // Label 5192: @274960
     /*  274960 */   GIM_Try, /*On fail goto*//*Label 5193*/ GIMT_Encode4(275023), // Rule ID 8415 //
     /*  274965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  274973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  274976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  274979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  274982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  274997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275004 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  275007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275021 */     GIR_RootConstrainSelectedInstOperands,
     /*  275022 */     // GIR_Coverage, 8415,
     /*  275022 */     GIR_EraseRootFromParent_Done,
     /*  275023 */   // Label 5193: @275023
     /*  275023 */   GIM_Try, /*On fail goto*//*Label 5194*/ GIMT_Encode4(275086), // Rule ID 8416 //
     /*  275028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  275039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  275042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  275045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275067 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  275070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275084 */     GIR_RootConstrainSelectedInstOperands,
     /*  275085 */     // GIR_Coverage, 8416,
     /*  275085 */     GIR_EraseRootFromParent_Done,
     /*  275086 */   // Label 5194: @275086
     /*  275086 */   GIM_Try, /*On fail goto*//*Label 5195*/ GIMT_Encode4(275149), // Rule ID 8419 //
     /*  275091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  275105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  275108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275130 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  275130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  275133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275147 */     GIR_RootConstrainSelectedInstOperands,
     /*  275148 */     // GIR_Coverage, 8419,
     /*  275148 */     GIR_EraseRootFromParent_Done,
     /*  275149 */   // Label 5195: @275149
     /*  275149 */   GIM_Try, /*On fail goto*//*Label 5196*/ GIMT_Encode4(275212), // Rule ID 8420 //
     /*  275154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  275168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  275171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275193 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  275193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  275196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275210 */     GIR_RootConstrainSelectedInstOperands,
     /*  275211 */     // GIR_Coverage, 8420,
     /*  275211 */     GIR_EraseRootFromParent_Done,
     /*  275212 */   // Label 5196: @275212
     /*  275212 */   GIM_Try, /*On fail goto*//*Label 5197*/ GIMT_Encode4(275275), // Rule ID 8423 //
     /*  275217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  275231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  275234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275256 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  275256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  275259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275273 */     GIR_RootConstrainSelectedInstOperands,
     /*  275274 */     // GIR_Coverage, 8423,
     /*  275274 */     GIR_EraseRootFromParent_Done,
     /*  275275 */   // Label 5197: @275275
     /*  275275 */   GIM_Try, /*On fail goto*//*Label 5198*/ GIMT_Encode4(275338), // Rule ID 8424 //
     /*  275280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  275294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  275297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275319 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  275319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  275322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275336 */     GIR_RootConstrainSelectedInstOperands,
     /*  275337 */     // GIR_Coverage, 8424,
     /*  275337 */     GIR_EraseRootFromParent_Done,
     /*  275338 */   // Label 5198: @275338
     /*  275338 */   GIM_Try, /*On fail goto*//*Label 5199*/ GIMT_Encode4(275401), // Rule ID 8427 //
     /*  275343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  275357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  275360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275382 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  275382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  275385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275399 */     GIR_RootConstrainSelectedInstOperands,
     /*  275400 */     // GIR_Coverage, 8427,
     /*  275400 */     GIR_EraseRootFromParent_Done,
     /*  275401 */   // Label 5199: @275401
     /*  275401 */   GIM_Try, /*On fail goto*//*Label 5200*/ GIMT_Encode4(275464), // Rule ID 8428 //
     /*  275406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  275420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  275423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275445 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  275445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  275448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275462 */     GIR_RootConstrainSelectedInstOperands,
     /*  275463 */     // GIR_Coverage, 8428,
     /*  275463 */     GIR_EraseRootFromParent_Done,
     /*  275464 */   // Label 5200: @275464
     /*  275464 */   GIM_Try, /*On fail goto*//*Label 5201*/ GIMT_Encode4(275527), // Rule ID 8431 //
     /*  275469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  275472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  275483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  275486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275508 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  275508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  275511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275525 */     GIR_RootConstrainSelectedInstOperands,
     /*  275526 */     // GIR_Coverage, 8431,
     /*  275526 */     GIR_EraseRootFromParent_Done,
     /*  275527 */   // Label 5201: @275527
     /*  275527 */   GIM_Try, /*On fail goto*//*Label 5202*/ GIMT_Encode4(275590), // Rule ID 8432 //
     /*  275532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  275535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  275546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  275549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275571 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  275571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  275574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275588 */     GIR_RootConstrainSelectedInstOperands,
     /*  275589 */     // GIR_Coverage, 8432,
     /*  275589 */     GIR_EraseRootFromParent_Done,
     /*  275590 */   // Label 5202: @275590
     /*  275590 */   GIM_Try, /*On fail goto*//*Label 5203*/ GIMT_Encode4(275653), // Rule ID 8435 //
     /*  275595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  275598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  275609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  275612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275634 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  275634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  275637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275651 */     GIR_RootConstrainSelectedInstOperands,
     /*  275652 */     // GIR_Coverage, 8435,
     /*  275652 */     GIR_EraseRootFromParent_Done,
     /*  275653 */   // Label 5203: @275653
     /*  275653 */   GIM_Try, /*On fail goto*//*Label 5204*/ GIMT_Encode4(275716), // Rule ID 8436 //
     /*  275658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  275661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  275672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  275675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275697 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  275697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  275700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275714 */     GIR_RootConstrainSelectedInstOperands,
     /*  275715 */     // GIR_Coverage, 8436,
     /*  275715 */     GIR_EraseRootFromParent_Done,
     /*  275716 */   // Label 5204: @275716
     /*  275716 */   GIM_Try, /*On fail goto*//*Label 5205*/ GIMT_Encode4(275779), // Rule ID 8439 //
     /*  275721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  275724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  275735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  275738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275760 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  275760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  275763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275777 */     GIR_RootConstrainSelectedInstOperands,
     /*  275778 */     // GIR_Coverage, 8439,
     /*  275778 */     GIR_EraseRootFromParent_Done,
     /*  275779 */   // Label 5205: @275779
     /*  275779 */   GIM_Try, /*On fail goto*//*Label 5206*/ GIMT_Encode4(275842), // Rule ID 8440 //
     /*  275784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  275787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  275798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  275801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275823 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  275823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  275826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275840 */     GIR_RootConstrainSelectedInstOperands,
     /*  275841 */     // GIR_Coverage, 8440,
     /*  275841 */     GIR_EraseRootFromParent_Done,
     /*  275842 */   // Label 5206: @275842
     /*  275842 */   GIM_Try, /*On fail goto*//*Label 5207*/ GIMT_Encode4(275905), // Rule ID 8443 //
     /*  275847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  275861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  275864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  275879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275886 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  275889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275903 */     GIR_RootConstrainSelectedInstOperands,
     /*  275904 */     // GIR_Coverage, 8443,
     /*  275904 */     GIR_EraseRootFromParent_Done,
     /*  275905 */   // Label 5207: @275905
     /*  275905 */   GIM_Try, /*On fail goto*//*Label 5208*/ GIMT_Encode4(275968), // Rule ID 8444 //
     /*  275910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  275924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  275927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  275942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275949 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  275952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275966 */     GIR_RootConstrainSelectedInstOperands,
     /*  275967 */     // GIR_Coverage, 8444,
     /*  275967 */     GIR_EraseRootFromParent_Done,
     /*  275968 */   // Label 5208: @275968
     /*  275968 */   GIM_Try, /*On fail goto*//*Label 5209*/ GIMT_Encode4(276031), // Rule ID 8447 //
     /*  275973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  275981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  275987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  275990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276012 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  276015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276029 */     GIR_RootConstrainSelectedInstOperands,
     /*  276030 */     // GIR_Coverage, 8447,
     /*  276030 */     GIR_EraseRootFromParent_Done,
     /*  276031 */   // Label 5209: @276031
     /*  276031 */   GIM_Try, /*On fail goto*//*Label 5210*/ GIMT_Encode4(276094), // Rule ID 8448 //
     /*  276036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  276050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276075 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  276078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276092 */     GIR_RootConstrainSelectedInstOperands,
     /*  276093 */     // GIR_Coverage, 8448,
     /*  276093 */     GIR_EraseRootFromParent_Done,
     /*  276094 */   // Label 5210: @276094
     /*  276094 */   GIM_Try, /*On fail goto*//*Label 5211*/ GIMT_Encode4(276157), // Rule ID 8451 //
     /*  276099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  276113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276138 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  276141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276155 */     GIR_RootConstrainSelectedInstOperands,
     /*  276156 */     // GIR_Coverage, 8451,
     /*  276156 */     GIR_EraseRootFromParent_Done,
     /*  276157 */   // Label 5211: @276157
     /*  276157 */   GIM_Try, /*On fail goto*//*Label 5212*/ GIMT_Encode4(276220), // Rule ID 8452 //
     /*  276162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  276176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276201 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  276204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276218 */     GIR_RootConstrainSelectedInstOperands,
     /*  276219 */     // GIR_Coverage, 8452,
     /*  276219 */     GIR_EraseRootFromParent_Done,
     /*  276220 */   // Label 5212: @276220
     /*  276220 */   GIM_Try, /*On fail goto*//*Label 5213*/ GIMT_Encode4(276283), // Rule ID 8455 //
     /*  276225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  276239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276264 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  276264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  276267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276281 */     GIR_RootConstrainSelectedInstOperands,
     /*  276282 */     // GIR_Coverage, 8455,
     /*  276282 */     GIR_EraseRootFromParent_Done,
     /*  276283 */   // Label 5213: @276283
     /*  276283 */   GIM_Try, /*On fail goto*//*Label 5214*/ GIMT_Encode4(276346), // Rule ID 8456 //
     /*  276288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  276302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276327 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  276330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276344 */     GIR_RootConstrainSelectedInstOperands,
     /*  276345 */     // GIR_Coverage, 8456,
     /*  276345 */     GIR_EraseRootFromParent_Done,
     /*  276346 */   // Label 5214: @276346
     /*  276346 */   GIM_Try, /*On fail goto*//*Label 5215*/ GIMT_Encode4(276409), // Rule ID 8459 //
     /*  276351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  276365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276390 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  276390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  276393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276407 */     GIR_RootConstrainSelectedInstOperands,
     /*  276408 */     // GIR_Coverage, 8459,
     /*  276408 */     GIR_EraseRootFromParent_Done,
     /*  276409 */   // Label 5215: @276409
     /*  276409 */   GIM_Try, /*On fail goto*//*Label 5216*/ GIMT_Encode4(276472), // Rule ID 8460 //
     /*  276414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  276428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276453 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  276456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276470 */     GIR_RootConstrainSelectedInstOperands,
     /*  276471 */     // GIR_Coverage, 8460,
     /*  276471 */     GIR_EraseRootFromParent_Done,
     /*  276472 */   // Label 5216: @276472
     /*  276472 */   GIM_Try, /*On fail goto*//*Label 5217*/ GIMT_Encode4(276535), // Rule ID 8463 //
     /*  276477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  276491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276516 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  276519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276533 */     GIR_RootConstrainSelectedInstOperands,
     /*  276534 */     // GIR_Coverage, 8463,
     /*  276534 */     GIR_EraseRootFromParent_Done,
     /*  276535 */   // Label 5217: @276535
     /*  276535 */   GIM_Try, /*On fail goto*//*Label 5218*/ GIMT_Encode4(276598), // Rule ID 8464 //
     /*  276540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  276554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276579 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  276582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276596 */     GIR_RootConstrainSelectedInstOperands,
     /*  276597 */     // GIR_Coverage, 8464,
     /*  276597 */     GIR_EraseRootFromParent_Done,
     /*  276598 */   // Label 5218: @276598
     /*  276598 */   GIM_Try, /*On fail goto*//*Label 5219*/ GIMT_Encode4(276661), // Rule ID 8467 //
     /*  276603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  276617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276642 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  276645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276659 */     GIR_RootConstrainSelectedInstOperands,
     /*  276660 */     // GIR_Coverage, 8467,
     /*  276660 */     GIR_EraseRootFromParent_Done,
     /*  276661 */   // Label 5219: @276661
     /*  276661 */   GIM_Try, /*On fail goto*//*Label 5220*/ GIMT_Encode4(276724), // Rule ID 8468 //
     /*  276666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  276680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276705 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  276708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276722 */     GIR_RootConstrainSelectedInstOperands,
     /*  276723 */     // GIR_Coverage, 8468,
     /*  276723 */     GIR_EraseRootFromParent_Done,
     /*  276724 */   // Label 5220: @276724
     /*  276724 */   GIM_Try, /*On fail goto*//*Label 5221*/ GIMT_Encode4(276787), // Rule ID 8471 //
     /*  276729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  276743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276768 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  276768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  276771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276785 */     GIR_RootConstrainSelectedInstOperands,
     /*  276786 */     // GIR_Coverage, 8471,
     /*  276786 */     GIR_EraseRootFromParent_Done,
     /*  276787 */   // Label 5221: @276787
     /*  276787 */   GIM_Try, /*On fail goto*//*Label 5222*/ GIMT_Encode4(276850), // Rule ID 8472 //
     /*  276792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  276806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276831 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  276831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  276834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276848 */     GIR_RootConstrainSelectedInstOperands,
     /*  276849 */     // GIR_Coverage, 8472,
     /*  276849 */     GIR_EraseRootFromParent_Done,
     /*  276850 */   // Label 5222: @276850
     /*  276850 */   GIM_Try, /*On fail goto*//*Label 5223*/ GIMT_Encode4(276913), // Rule ID 8475 //
     /*  276855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  276869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276894 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  276897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276911 */     GIR_RootConstrainSelectedInstOperands,
     /*  276912 */     // GIR_Coverage, 8475,
     /*  276912 */     GIR_EraseRootFromParent_Done,
     /*  276913 */   // Label 5223: @276913
     /*  276913 */   GIM_Try, /*On fail goto*//*Label 5224*/ GIMT_Encode4(276976), // Rule ID 8476 //
     /*  276918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  276932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276957 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  276960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276974 */     GIR_RootConstrainSelectedInstOperands,
     /*  276975 */     // GIR_Coverage, 8476,
     /*  276975 */     GIR_EraseRootFromParent_Done,
     /*  276976 */   // Label 5224: @276976
     /*  276976 */   GIM_Try, /*On fail goto*//*Label 5225*/ GIMT_Encode4(277039), // Rule ID 8479 //
     /*  276981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  276984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  276989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  276995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277020 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  277020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  277023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277037 */     GIR_RootConstrainSelectedInstOperands,
     /*  277038 */     // GIR_Coverage, 8479,
     /*  277038 */     GIR_EraseRootFromParent_Done,
     /*  277039 */   // Label 5225: @277039
     /*  277039 */   GIM_Try, /*On fail goto*//*Label 5226*/ GIMT_Encode4(277102), // Rule ID 8480 //
     /*  277044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  277047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  277058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277083 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  277083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  277086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277100 */     GIR_RootConstrainSelectedInstOperands,
     /*  277101 */     // GIR_Coverage, 8480,
     /*  277101 */     GIR_EraseRootFromParent_Done,
     /*  277102 */   // Label 5226: @277102
     /*  277102 */   GIM_Try, /*On fail goto*//*Label 5227*/ GIMT_Encode4(277165), // Rule ID 8483 //
     /*  277107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  277118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  277121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277146 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  277149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277163 */     GIR_RootConstrainSelectedInstOperands,
     /*  277164 */     // GIR_Coverage, 8483,
     /*  277164 */     GIR_EraseRootFromParent_Done,
     /*  277165 */   // Label 5227: @277165
     /*  277165 */   GIM_Try, /*On fail goto*//*Label 5228*/ GIMT_Encode4(277228), // Rule ID 8484 //
     /*  277170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  277181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  277184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277209 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  277212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277226 */     GIR_RootConstrainSelectedInstOperands,
     /*  277227 */     // GIR_Coverage, 8484,
     /*  277227 */     GIR_EraseRootFromParent_Done,
     /*  277228 */   // Label 5228: @277228
     /*  277228 */   GIM_Try, /*On fail goto*//*Label 5229*/ GIMT_Encode4(277291), // Rule ID 8487 //
     /*  277233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  277244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  277247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277272 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  277275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277289 */     GIR_RootConstrainSelectedInstOperands,
     /*  277290 */     // GIR_Coverage, 8487,
     /*  277290 */     GIR_EraseRootFromParent_Done,
     /*  277291 */   // Label 5229: @277291
     /*  277291 */   GIM_Try, /*On fail goto*//*Label 5230*/ GIMT_Encode4(277354), // Rule ID 8488 //
     /*  277296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  277307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  277310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277335 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  277338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277352 */     GIR_RootConstrainSelectedInstOperands,
     /*  277353 */     // GIR_Coverage, 8488,
     /*  277353 */     GIR_EraseRootFromParent_Done,
     /*  277354 */   // Label 5230: @277354
     /*  277354 */   GIM_Try, /*On fail goto*//*Label 5231*/ GIMT_Encode4(277417), // Rule ID 8491 //
     /*  277359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  277370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  277373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277398 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  277401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277415 */     GIR_RootConstrainSelectedInstOperands,
     /*  277416 */     // GIR_Coverage, 8491,
     /*  277416 */     GIR_EraseRootFromParent_Done,
     /*  277417 */   // Label 5231: @277417
     /*  277417 */   GIM_Try, /*On fail goto*//*Label 5232*/ GIMT_Encode4(277480), // Rule ID 8492 //
     /*  277422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  277433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  277436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277461 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  277464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277478 */     GIR_RootConstrainSelectedInstOperands,
     /*  277479 */     // GIR_Coverage, 8492,
     /*  277479 */     GIR_EraseRootFromParent_Done,
     /*  277480 */   // Label 5232: @277480
     /*  277480 */   GIM_Try, /*On fail goto*//*Label 5233*/ GIMT_Encode4(277543), // Rule ID 8495 //
     /*  277485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  277499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277524 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  277527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277541 */     GIR_RootConstrainSelectedInstOperands,
     /*  277542 */     // GIR_Coverage, 8495,
     /*  277542 */     GIR_EraseRootFromParent_Done,
     /*  277543 */   // Label 5233: @277543
     /*  277543 */   GIM_Try, /*On fail goto*//*Label 5234*/ GIMT_Encode4(277606), // Rule ID 8496 //
     /*  277548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  277562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277587 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  277590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277604 */     GIR_RootConstrainSelectedInstOperands,
     /*  277605 */     // GIR_Coverage, 8496,
     /*  277605 */     GIR_EraseRootFromParent_Done,
     /*  277606 */   // Label 5234: @277606
     /*  277606 */   GIM_Try, /*On fail goto*//*Label 5235*/ GIMT_Encode4(277669), // Rule ID 8499 //
     /*  277611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  277622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  277625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277650 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  277653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277667 */     GIR_RootConstrainSelectedInstOperands,
     /*  277668 */     // GIR_Coverage, 8499,
     /*  277668 */     GIR_EraseRootFromParent_Done,
     /*  277669 */   // Label 5235: @277669
     /*  277669 */   GIM_Try, /*On fail goto*//*Label 5236*/ GIMT_Encode4(277732), // Rule ID 8500 //
     /*  277674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  277685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  277688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  277702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277713 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  277716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277730 */     GIR_RootConstrainSelectedInstOperands,
     /*  277731 */     // GIR_Coverage, 8500,
     /*  277731 */     GIR_EraseRootFromParent_Done,
     /*  277732 */   // Label 5236: @277732
     /*  277732 */   GIM_Try, /*On fail goto*//*Label 5237*/ GIMT_Encode4(277795), // Rule ID 8503 //
     /*  277737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  277748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  277751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277776 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  277779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277793 */     GIR_RootConstrainSelectedInstOperands,
     /*  277794 */     // GIR_Coverage, 8503,
     /*  277794 */     GIR_EraseRootFromParent_Done,
     /*  277795 */   // Label 5237: @277795
     /*  277795 */   GIM_Try, /*On fail goto*//*Label 5238*/ GIMT_Encode4(277858), // Rule ID 8504 //
     /*  277800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  277811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  277814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  277828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277839 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  277842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277856 */     GIR_RootConstrainSelectedInstOperands,
     /*  277857 */     // GIR_Coverage, 8504,
     /*  277857 */     GIR_EraseRootFromParent_Done,
     /*  277858 */   // Label 5238: @277858
     /*  277858 */   GIM_Try, /*On fail goto*//*Label 5239*/ GIMT_Encode4(277921), // Rule ID 8507 //
     /*  277863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  277877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277902 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  277902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  277905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277919 */     GIR_RootConstrainSelectedInstOperands,
     /*  277920 */     // GIR_Coverage, 8507,
     /*  277920 */     GIR_EraseRootFromParent_Done,
     /*  277921 */   // Label 5239: @277921
     /*  277921 */   GIM_Try, /*On fail goto*//*Label 5240*/ GIMT_Encode4(277984), // Rule ID 8508 //
     /*  277926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  277940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277965 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  277965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  277968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277982 */     GIR_RootConstrainSelectedInstOperands,
     /*  277983 */     // GIR_Coverage, 8508,
     /*  277983 */     GIR_EraseRootFromParent_Done,
     /*  277984 */   // Label 5240: @277984
     /*  277984 */   GIM_Try, /*On fail goto*//*Label 5241*/ GIMT_Encode4(278047), // Rule ID 8511 //
     /*  277989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  277997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  278003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278028 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  278031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278045 */     GIR_RootConstrainSelectedInstOperands,
     /*  278046 */     // GIR_Coverage, 8511,
     /*  278046 */     GIR_EraseRootFromParent_Done,
     /*  278047 */   // Label 5241: @278047
     /*  278047 */   GIM_Try, /*On fail goto*//*Label 5242*/ GIMT_Encode4(278110), // Rule ID 8512 //
     /*  278052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  278066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278091 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  278091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  278094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278108 */     GIR_RootConstrainSelectedInstOperands,
     /*  278109 */     // GIR_Coverage, 8512,
     /*  278109 */     GIR_EraseRootFromParent_Done,
     /*  278110 */   // Label 5242: @278110
     /*  278110 */   GIM_Try, /*On fail goto*//*Label 5243*/ GIMT_Encode4(278173), // Rule ID 8515 //
     /*  278115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  278129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278154 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  278157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278171 */     GIR_RootConstrainSelectedInstOperands,
     /*  278172 */     // GIR_Coverage, 8515,
     /*  278172 */     GIR_EraseRootFromParent_Done,
     /*  278173 */   // Label 5243: @278173
     /*  278173 */   GIM_Try, /*On fail goto*//*Label 5244*/ GIMT_Encode4(278236), // Rule ID 8516 //
     /*  278178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  278192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278217 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  278217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  278220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278234 */     GIR_RootConstrainSelectedInstOperands,
     /*  278235 */     // GIR_Coverage, 8516,
     /*  278235 */     GIR_EraseRootFromParent_Done,
     /*  278236 */   // Label 5244: @278236
     /*  278236 */   GIM_Try, /*On fail goto*//*Label 5245*/ GIMT_Encode4(278299), // Rule ID 8519 //
     /*  278241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  278244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  278255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278280 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  278280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  278283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278297 */     GIR_RootConstrainSelectedInstOperands,
     /*  278298 */     // GIR_Coverage, 8519,
     /*  278298 */     GIR_EraseRootFromParent_Done,
     /*  278299 */   // Label 5245: @278299
     /*  278299 */   GIM_Try, /*On fail goto*//*Label 5246*/ GIMT_Encode4(278362), // Rule ID 8520 //
     /*  278304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  278307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  278318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278343 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  278343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  278346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278360 */     GIR_RootConstrainSelectedInstOperands,
     /*  278361 */     // GIR_Coverage, 8520,
     /*  278361 */     GIR_EraseRootFromParent_Done,
     /*  278362 */   // Label 5246: @278362
     /*  278362 */   GIM_Try, /*On fail goto*//*Label 5247*/ GIMT_Encode4(278425), // Rule ID 8523 //
     /*  278367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  278370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  278381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278406 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  278406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  278409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278423 */     GIR_RootConstrainSelectedInstOperands,
     /*  278424 */     // GIR_Coverage, 8523,
     /*  278424 */     GIR_EraseRootFromParent_Done,
     /*  278425 */   // Label 5247: @278425
     /*  278425 */   GIM_Try, /*On fail goto*//*Label 5248*/ GIMT_Encode4(278488), // Rule ID 8524 //
     /*  278430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  278433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  278444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278469 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  278469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  278472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278486 */     GIR_RootConstrainSelectedInstOperands,
     /*  278487 */     // GIR_Coverage, 8524,
     /*  278487 */     GIR_EraseRootFromParent_Done,
     /*  278488 */   // Label 5248: @278488
     /*  278488 */   GIM_Try, /*On fail goto*//*Label 5249*/ GIMT_Encode4(278551), // Rule ID 8527 //
     /*  278493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  278496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  278507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278532 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  278532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  278535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278549 */     GIR_RootConstrainSelectedInstOperands,
     /*  278550 */     // GIR_Coverage, 8527,
     /*  278550 */     GIR_EraseRootFromParent_Done,
     /*  278551 */   // Label 5249: @278551
     /*  278551 */   GIM_Try, /*On fail goto*//*Label 5250*/ GIMT_Encode4(278614), // Rule ID 8528 //
     /*  278556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  278559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  278564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  278570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278595 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11360:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  278595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  278598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278612 */     GIR_RootConstrainSelectedInstOperands,
     /*  278613 */     // GIR_Coverage, 8528,
     /*  278613 */     GIR_EraseRootFromParent_Done,
     /*  278614 */   // Label 5250: @278614
     /*  278614 */   GIM_Try, /*On fail goto*//*Label 5251*/ GIMT_Encode4(278677), // Rule ID 8531 //
     /*  278619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  278633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  278636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278658 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  278661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278675 */     GIR_RootConstrainSelectedInstOperands,
     /*  278676 */     // GIR_Coverage, 8531,
     /*  278676 */     GIR_EraseRootFromParent_Done,
     /*  278677 */   // Label 5251: @278677
     /*  278677 */   GIM_Try, /*On fail goto*//*Label 5252*/ GIMT_Encode4(278740), // Rule ID 8532 //
     /*  278682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  278693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  278696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  278699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278721 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  278724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278738 */     GIR_RootConstrainSelectedInstOperands,
     /*  278739 */     // GIR_Coverage, 8532,
     /*  278739 */     GIR_EraseRootFromParent_Done,
     /*  278740 */   // Label 5252: @278740
     /*  278740 */   GIM_Try, /*On fail goto*//*Label 5253*/ GIMT_Encode4(278803), // Rule ID 8535 //
     /*  278745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  278759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  278762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278784 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  278787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278801 */     GIR_RootConstrainSelectedInstOperands,
     /*  278802 */     // GIR_Coverage, 8535,
     /*  278802 */     GIR_EraseRootFromParent_Done,
     /*  278803 */   // Label 5253: @278803
     /*  278803 */   GIM_Try, /*On fail goto*//*Label 5254*/ GIMT_Encode4(278866), // Rule ID 8536 //
     /*  278808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  278819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  278822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  278825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278847 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  278850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278864 */     GIR_RootConstrainSelectedInstOperands,
     /*  278865 */     // GIR_Coverage, 8536,
     /*  278865 */     GIR_EraseRootFromParent_Done,
     /*  278866 */   // Label 5254: @278866
     /*  278866 */   GIM_Try, /*On fail goto*//*Label 5255*/ GIMT_Encode4(278929), // Rule ID 8539 //
     /*  278871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  278885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  278888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278910 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  278913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278927 */     GIR_RootConstrainSelectedInstOperands,
     /*  278928 */     // GIR_Coverage, 8539,
     /*  278928 */     GIR_EraseRootFromParent_Done,
     /*  278929 */   // Label 5255: @278929
     /*  278929 */   GIM_Try, /*On fail goto*//*Label 5256*/ GIMT_Encode4(278992), // Rule ID 8540 //
     /*  278934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  278948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  278951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278973 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  278976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278990 */     GIR_RootConstrainSelectedInstOperands,
     /*  278991 */     // GIR_Coverage, 8540,
     /*  278991 */     GIR_EraseRootFromParent_Done,
     /*  278992 */   // Label 5256: @278992
     /*  278992 */   GIM_Try, /*On fail goto*//*Label 5257*/ GIMT_Encode4(279055), // Rule ID 8543 //
     /*  278997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  279011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  279014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279036 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  279039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279053 */     GIR_RootConstrainSelectedInstOperands,
     /*  279054 */     // GIR_Coverage, 8543,
     /*  279054 */     GIR_EraseRootFromParent_Done,
     /*  279055 */   // Label 5257: @279055
     /*  279055 */   GIM_Try, /*On fail goto*//*Label 5258*/ GIMT_Encode4(279118), // Rule ID 8544 //
     /*  279060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  279074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  279077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279099 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  279099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  279102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279116 */     GIR_RootConstrainSelectedInstOperands,
     /*  279117 */     // GIR_Coverage, 8544,
     /*  279117 */     GIR_EraseRootFromParent_Done,
     /*  279118 */   // Label 5258: @279118
     /*  279118 */   GIM_Try, /*On fail goto*//*Label 5259*/ GIMT_Encode4(279181), // Rule ID 8547 //
     /*  279123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  279137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  279140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279162 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  279165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279179 */     GIR_RootConstrainSelectedInstOperands,
     /*  279180 */     // GIR_Coverage, 8547,
     /*  279180 */     GIR_EraseRootFromParent_Done,
     /*  279181 */   // Label 5259: @279181
     /*  279181 */   GIM_Try, /*On fail goto*//*Label 5260*/ GIMT_Encode4(279244), // Rule ID 8548 //
     /*  279186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  279200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  279203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279225 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  279225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  279228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279242 */     GIR_RootConstrainSelectedInstOperands,
     /*  279243 */     // GIR_Coverage, 8548,
     /*  279243 */     GIR_EraseRootFromParent_Done,
     /*  279244 */   // Label 5260: @279244
     /*  279244 */   GIM_Try, /*On fail goto*//*Label 5261*/ GIMT_Encode4(279307), // Rule ID 8551 //
     /*  279249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  279263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  279266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279288 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  279288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  279291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279305 */     GIR_RootConstrainSelectedInstOperands,
     /*  279306 */     // GIR_Coverage, 8551,
     /*  279306 */     GIR_EraseRootFromParent_Done,
     /*  279307 */   // Label 5261: @279307
     /*  279307 */   GIM_Try, /*On fail goto*//*Label 5262*/ GIMT_Encode4(279370), // Rule ID 8552 //
     /*  279312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  279326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  279329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279351 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  279354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279368 */     GIR_RootConstrainSelectedInstOperands,
     /*  279369 */     // GIR_Coverage, 8552,
     /*  279369 */     GIR_EraseRootFromParent_Done,
     /*  279370 */   // Label 5262: @279370
     /*  279370 */   GIM_Try, /*On fail goto*//*Label 5263*/ GIMT_Encode4(279433), // Rule ID 8555 //
     /*  279375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  279389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  279392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279414 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  279417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279431 */     GIR_RootConstrainSelectedInstOperands,
     /*  279432 */     // GIR_Coverage, 8555,
     /*  279432 */     GIR_EraseRootFromParent_Done,
     /*  279433 */   // Label 5263: @279433
     /*  279433 */   GIM_Try, /*On fail goto*//*Label 5264*/ GIMT_Encode4(279496), // Rule ID 8556 //
     /*  279438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  279452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  279455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279477 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  279480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279494 */     GIR_RootConstrainSelectedInstOperands,
     /*  279495 */     // GIR_Coverage, 8556,
     /*  279495 */     GIR_EraseRootFromParent_Done,
     /*  279496 */   // Label 5264: @279496
     /*  279496 */   GIM_Try, /*On fail goto*//*Label 5265*/ GIMT_Encode4(279559), // Rule ID 8559 //
     /*  279501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  279515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  279518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279540 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  279543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279557 */     GIR_RootConstrainSelectedInstOperands,
     /*  279558 */     // GIR_Coverage, 8559,
     /*  279558 */     GIR_EraseRootFromParent_Done,
     /*  279559 */   // Label 5265: @279559
     /*  279559 */   GIM_Try, /*On fail goto*//*Label 5266*/ GIMT_Encode4(279622), // Rule ID 8560 //
     /*  279564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  279578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  279581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279603 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  279603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  279606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279620 */     GIR_RootConstrainSelectedInstOperands,
     /*  279621 */     // GIR_Coverage, 8560,
     /*  279621 */     GIR_EraseRootFromParent_Done,
     /*  279622 */   // Label 5266: @279622
     /*  279622 */   GIM_Try, /*On fail goto*//*Label 5267*/ GIMT_Encode4(279685), // Rule ID 8563 //
     /*  279627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  279641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  279644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279666 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  279666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  279669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279683 */     GIR_RootConstrainSelectedInstOperands,
     /*  279684 */     // GIR_Coverage, 8563,
     /*  279684 */     GIR_EraseRootFromParent_Done,
     /*  279685 */   // Label 5267: @279685
     /*  279685 */   GIM_Try, /*On fail goto*//*Label 5268*/ GIMT_Encode4(279748), // Rule ID 8564 //
     /*  279690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  279704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  279707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279729 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  279732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279746 */     GIR_RootConstrainSelectedInstOperands,
     /*  279747 */     // GIR_Coverage, 8564,
     /*  279747 */     GIR_EraseRootFromParent_Done,
     /*  279748 */   // Label 5268: @279748
     /*  279748 */   GIM_Try, /*On fail goto*//*Label 5269*/ GIMT_Encode4(279811), // Rule ID 8567 //
     /*  279753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  279756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  279767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  279770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279792 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  279792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  279795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279809 */     GIR_RootConstrainSelectedInstOperands,
     /*  279810 */     // GIR_Coverage, 8567,
     /*  279810 */     GIR_EraseRootFromParent_Done,
     /*  279811 */   // Label 5269: @279811
     /*  279811 */   GIM_Try, /*On fail goto*//*Label 5270*/ GIMT_Encode4(279874), // Rule ID 8568 //
     /*  279816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  279819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  279830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  279833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279855 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  279855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  279858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279872 */     GIR_RootConstrainSelectedInstOperands,
     /*  279873 */     // GIR_Coverage, 8568,
     /*  279873 */     GIR_EraseRootFromParent_Done,
     /*  279874 */   // Label 5270: @279874
     /*  279874 */   GIM_Try, /*On fail goto*//*Label 5271*/ GIMT_Encode4(279937), // Rule ID 8571 //
     /*  279879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  279893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  279896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279918 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  279921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279935 */     GIR_RootConstrainSelectedInstOperands,
     /*  279936 */     // GIR_Coverage, 8571,
     /*  279936 */     GIR_EraseRootFromParent_Done,
     /*  279937 */   // Label 5271: @279937
     /*  279937 */   GIM_Try, /*On fail goto*//*Label 5272*/ GIMT_Encode4(280000), // Rule ID 8572 //
     /*  279942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  279956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  279959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279981 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  279984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279998 */     GIR_RootConstrainSelectedInstOperands,
     /*  279999 */     // GIR_Coverage, 8572,
     /*  279999 */     GIR_EraseRootFromParent_Done,
     /*  280000 */   // Label 5272: @280000
     /*  280000 */   GIM_Try, /*On fail goto*//*Label 5273*/ GIMT_Encode4(280063), // Rule ID 8575 //
     /*  280005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  280016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  280019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  280022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280044 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  280047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280061 */     GIR_RootConstrainSelectedInstOperands,
     /*  280062 */     // GIR_Coverage, 8575,
     /*  280062 */     GIR_EraseRootFromParent_Done,
     /*  280063 */   // Label 5273: @280063
     /*  280063 */   GIM_Try, /*On fail goto*//*Label 5274*/ GIMT_Encode4(280126), // Rule ID 8576 //
     /*  280068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  280079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  280082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  280085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280107 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  280110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280124 */     GIR_RootConstrainSelectedInstOperands,
     /*  280125 */     // GIR_Coverage, 8576,
     /*  280125 */     GIR_EraseRootFromParent_Done,
     /*  280126 */   // Label 5274: @280126
     /*  280126 */   GIM_Try, /*On fail goto*//*Label 5275*/ GIMT_Encode4(280189), // Rule ID 8579 //
     /*  280131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  280142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  280145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  280148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280170 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  280173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280187 */     GIR_RootConstrainSelectedInstOperands,
     /*  280188 */     // GIR_Coverage, 8579,
     /*  280188 */     GIR_EraseRootFromParent_Done,
     /*  280189 */   // Label 5275: @280189
     /*  280189 */   GIM_Try, /*On fail goto*//*Label 5276*/ GIMT_Encode4(280252), // Rule ID 8580 //
     /*  280194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  280205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  280208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  280211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280233 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  280236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280250 */     GIR_RootConstrainSelectedInstOperands,
     /*  280251 */     // GIR_Coverage, 8580,
     /*  280251 */     GIR_EraseRootFromParent_Done,
     /*  280252 */   // Label 5276: @280252
     /*  280252 */   GIM_Try, /*On fail goto*//*Label 5277*/ GIMT_Encode4(280315), // Rule ID 8583 //
     /*  280257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  280271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  280274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280296 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  280299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280313 */     GIR_RootConstrainSelectedInstOperands,
     /*  280314 */     // GIR_Coverage, 8583,
     /*  280314 */     GIR_EraseRootFromParent_Done,
     /*  280315 */   // Label 5277: @280315
     /*  280315 */   GIM_Try, /*On fail goto*//*Label 5278*/ GIMT_Encode4(280378), // Rule ID 8584 //
     /*  280320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  280334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  280337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280359 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  280362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280376 */     GIR_RootConstrainSelectedInstOperands,
     /*  280377 */     // GIR_Coverage, 8584,
     /*  280377 */     GIR_EraseRootFromParent_Done,
     /*  280378 */   // Label 5278: @280378
     /*  280378 */   GIM_Try, /*On fail goto*//*Label 5279*/ GIMT_Encode4(280441), // Rule ID 8587 //
     /*  280383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  280394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  280397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  280400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280422 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  280425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280439 */     GIR_RootConstrainSelectedInstOperands,
     /*  280440 */     // GIR_Coverage, 8587,
     /*  280440 */     GIR_EraseRootFromParent_Done,
     /*  280441 */   // Label 5279: @280441
     /*  280441 */   GIM_Try, /*On fail goto*//*Label 5280*/ GIMT_Encode4(280504), // Rule ID 8588 //
     /*  280446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  280457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  280460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  280463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280485 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  280488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280502 */     GIR_RootConstrainSelectedInstOperands,
     /*  280503 */     // GIR_Coverage, 8588,
     /*  280503 */     GIR_EraseRootFromParent_Done,
     /*  280504 */   // Label 5280: @280504
     /*  280504 */   GIM_Try, /*On fail goto*//*Label 5281*/ GIMT_Encode4(280567), // Rule ID 8591 //
     /*  280509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  280520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  280523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  280526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280548 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  280551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280565 */     GIR_RootConstrainSelectedInstOperands,
     /*  280566 */     // GIR_Coverage, 8591,
     /*  280566 */     GIR_EraseRootFromParent_Done,
     /*  280567 */   // Label 5281: @280567
     /*  280567 */   GIM_Try, /*On fail goto*//*Label 5282*/ GIMT_Encode4(280630), // Rule ID 8592 //
     /*  280572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  280583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  280586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  280589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280611 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  280614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280628 */     GIR_RootConstrainSelectedInstOperands,
     /*  280629 */     // GIR_Coverage, 8592,
     /*  280629 */     GIR_EraseRootFromParent_Done,
     /*  280630 */   // Label 5282: @280630
     /*  280630 */   GIM_Try, /*On fail goto*//*Label 5283*/ GIMT_Encode4(280693), // Rule ID 8595 //
     /*  280635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  280649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  280652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280674 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  280674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  280677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280691 */     GIR_RootConstrainSelectedInstOperands,
     /*  280692 */     // GIR_Coverage, 8595,
     /*  280692 */     GIR_EraseRootFromParent_Done,
     /*  280693 */   // Label 5283: @280693
     /*  280693 */   GIM_Try, /*On fail goto*//*Label 5284*/ GIMT_Encode4(280756), // Rule ID 8596 //
     /*  280698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  280712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  280715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280737 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  280737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  280740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280754 */     GIR_RootConstrainSelectedInstOperands,
     /*  280755 */     // GIR_Coverage, 8596,
     /*  280755 */     GIR_EraseRootFromParent_Done,
     /*  280756 */   // Label 5284: @280756
     /*  280756 */   GIM_Try, /*On fail goto*//*Label 5285*/ GIMT_Encode4(280819), // Rule ID 8599 //
     /*  280761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  280775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  280778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280800 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  280800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  280803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280817 */     GIR_RootConstrainSelectedInstOperands,
     /*  280818 */     // GIR_Coverage, 8599,
     /*  280818 */     GIR_EraseRootFromParent_Done,
     /*  280819 */   // Label 5285: @280819
     /*  280819 */   GIM_Try, /*On fail goto*//*Label 5286*/ GIMT_Encode4(280882), // Rule ID 8600 //
     /*  280824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  280838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  280841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280863 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  280863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  280866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280880 */     GIR_RootConstrainSelectedInstOperands,
     /*  280881 */     // GIR_Coverage, 8600,
     /*  280881 */     GIR_EraseRootFromParent_Done,
     /*  280882 */   // Label 5286: @280882
     /*  280882 */   GIM_Try, /*On fail goto*//*Label 5287*/ GIMT_Encode4(280945), // Rule ID 8603 //
     /*  280887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  280898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  280901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  280904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280926 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  280926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  280929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280943 */     GIR_RootConstrainSelectedInstOperands,
     /*  280944 */     // GIR_Coverage, 8603,
     /*  280944 */     GIR_EraseRootFromParent_Done,
     /*  280945 */   // Label 5287: @280945
     /*  280945 */   GIM_Try, /*On fail goto*//*Label 5288*/ GIMT_Encode4(281008), // Rule ID 8604 //
     /*  280950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  280958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  280961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  280964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  280967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280989 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  280989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  280992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281006 */     GIR_RootConstrainSelectedInstOperands,
     /*  281007 */     // GIR_Coverage, 8604,
     /*  281007 */     GIR_EraseRootFromParent_Done,
     /*  281008 */   // Label 5288: @281008
     /*  281008 */   GIM_Try, /*On fail goto*//*Label 5289*/ GIMT_Encode4(281071), // Rule ID 8607 //
     /*  281013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  281016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  281027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  281030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281052 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  281052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281069 */     GIR_RootConstrainSelectedInstOperands,
     /*  281070 */     // GIR_Coverage, 8607,
     /*  281070 */     GIR_EraseRootFromParent_Done,
     /*  281071 */   // Label 5289: @281071
     /*  281071 */   GIM_Try, /*On fail goto*//*Label 5290*/ GIMT_Encode4(281134), // Rule ID 8608 //
     /*  281076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  281079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  281090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  281093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281115 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  281115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  281118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281132 */     GIR_RootConstrainSelectedInstOperands,
     /*  281133 */     // GIR_Coverage, 8608,
     /*  281133 */     GIR_EraseRootFromParent_Done,
     /*  281134 */   // Label 5290: @281134
     /*  281134 */   GIM_Try, /*On fail goto*//*Label 5291*/ GIMT_Encode4(281197), // Rule ID 8611 //
     /*  281139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  281142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  281153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  281156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281178 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  281178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  281181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281195 */     GIR_RootConstrainSelectedInstOperands,
     /*  281196 */     // GIR_Coverage, 8611,
     /*  281196 */     GIR_EraseRootFromParent_Done,
     /*  281197 */   // Label 5291: @281197
     /*  281197 */   GIM_Try, /*On fail goto*//*Label 5292*/ GIMT_Encode4(281260), // Rule ID 8612 //
     /*  281202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  281205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  281216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  281219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281241 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  281241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  281244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281258 */     GIR_RootConstrainSelectedInstOperands,
     /*  281259 */     // GIR_Coverage, 8612,
     /*  281259 */     GIR_EraseRootFromParent_Done,
     /*  281260 */   // Label 5292: @281260
     /*  281260 */   GIM_Try, /*On fail goto*//*Label 5293*/ GIMT_Encode4(281323), // Rule ID 8615 //
     /*  281265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  281268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  281279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  281282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281304 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  281304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  281307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281321 */     GIR_RootConstrainSelectedInstOperands,
     /*  281322 */     // GIR_Coverage, 8615,
     /*  281322 */     GIR_EraseRootFromParent_Done,
     /*  281323 */   // Label 5293: @281323
     /*  281323 */   GIM_Try, /*On fail goto*//*Label 5294*/ GIMT_Encode4(281386), // Rule ID 8616 //
     /*  281328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  281331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  281342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  281345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281367 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  281367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  281370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281384 */     GIR_RootConstrainSelectedInstOperands,
     /*  281385 */     // GIR_Coverage, 8616,
     /*  281385 */     GIR_EraseRootFromParent_Done,
     /*  281386 */   // Label 5294: @281386
     /*  281386 */   GIM_Try, /*On fail goto*//*Label 5295*/ GIMT_Encode4(281449), // Rule ID 8619 //
     /*  281391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  281402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  281405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  281408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  281423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281430 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  281433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281447 */     GIR_RootConstrainSelectedInstOperands,
     /*  281448 */     // GIR_Coverage, 8619,
     /*  281448 */     GIR_EraseRootFromParent_Done,
     /*  281449 */   // Label 5295: @281449
     /*  281449 */   GIM_Try, /*On fail goto*//*Label 5296*/ GIMT_Encode4(281512), // Rule ID 8620 //
     /*  281454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  281465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  281468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  281471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  281486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281493 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  281496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281510 */     GIR_RootConstrainSelectedInstOperands,
     /*  281511 */     // GIR_Coverage, 8620,
     /*  281511 */     GIR_EraseRootFromParent_Done,
     /*  281512 */   // Label 5296: @281512
     /*  281512 */   GIM_Try, /*On fail goto*//*Label 5297*/ GIMT_Encode4(281575), // Rule ID 8623 //
     /*  281517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  281531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  281534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  281549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281556 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  281559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281573 */     GIR_RootConstrainSelectedInstOperands,
     /*  281574 */     // GIR_Coverage, 8623,
     /*  281574 */     GIR_EraseRootFromParent_Done,
     /*  281575 */   // Label 5297: @281575
     /*  281575 */   GIM_Try, /*On fail goto*//*Label 5298*/ GIMT_Encode4(281638), // Rule ID 8624 //
     /*  281580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  281594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  281597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  281612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281619 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  281622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281636 */     GIR_RootConstrainSelectedInstOperands,
     /*  281637 */     // GIR_Coverage, 8624,
     /*  281637 */     GIR_EraseRootFromParent_Done,
     /*  281638 */   // Label 5298: @281638
     /*  281638 */   GIM_Try, /*On fail goto*//*Label 5299*/ GIMT_Encode4(281701), // Rule ID 8627 //
     /*  281643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  281657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  281660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  281675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281682 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  281685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281699 */     GIR_RootConstrainSelectedInstOperands,
     /*  281700 */     // GIR_Coverage, 8627,
     /*  281700 */     GIR_EraseRootFromParent_Done,
     /*  281701 */   // Label 5299: @281701
     /*  281701 */   GIM_Try, /*On fail goto*//*Label 5300*/ GIMT_Encode4(281764), // Rule ID 8628 //
     /*  281706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  281720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  281723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  281738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281745 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  281748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281762 */     GIR_RootConstrainSelectedInstOperands,
     /*  281763 */     // GIR_Coverage, 8628,
     /*  281763 */     GIR_EraseRootFromParent_Done,
     /*  281764 */   // Label 5300: @281764
     /*  281764 */   GIM_Try, /*On fail goto*//*Label 5301*/ GIMT_Encode4(281827), // Rule ID 8631 //
     /*  281769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  281780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  281783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  281786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  281801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281808 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  281811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281825 */     GIR_RootConstrainSelectedInstOperands,
     /*  281826 */     // GIR_Coverage, 8631,
     /*  281826 */     GIR_EraseRootFromParent_Done,
     /*  281827 */   // Label 5301: @281827
     /*  281827 */   GIM_Try, /*On fail goto*//*Label 5302*/ GIMT_Encode4(281890), // Rule ID 8632 //
     /*  281832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  281843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  281846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  281849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  281864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281871 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  281874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281888 */     GIR_RootConstrainSelectedInstOperands,
     /*  281889 */     // GIR_Coverage, 8632,
     /*  281889 */     GIR_EraseRootFromParent_Done,
     /*  281890 */   // Label 5302: @281890
     /*  281890 */   GIM_Try, /*On fail goto*//*Label 5303*/ GIMT_Encode4(281953), // Rule ID 8635 //
     /*  281895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  281909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  281912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  281927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281934 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  281937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281951 */     GIR_RootConstrainSelectedInstOperands,
     /*  281952 */     // GIR_Coverage, 8635,
     /*  281952 */     GIR_EraseRootFromParent_Done,
     /*  281953 */   // Label 5303: @281953
     /*  281953 */   GIM_Try, /*On fail goto*//*Label 5304*/ GIMT_Encode4(282016), // Rule ID 8636 //
     /*  281958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  281966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  281972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  281975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  281990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281997 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  282000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282014 */     GIR_RootConstrainSelectedInstOperands,
     /*  282015 */     // GIR_Coverage, 8636,
     /*  282015 */     GIR_EraseRootFromParent_Done,
     /*  282016 */   // Label 5304: @282016
     /*  282016 */   GIM_Try, /*On fail goto*//*Label 5305*/ GIMT_Encode4(282079), // Rule ID 8639 //
     /*  282021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  282035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282060 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  282060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  282063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282077 */     GIR_RootConstrainSelectedInstOperands,
     /*  282078 */     // GIR_Coverage, 8639,
     /*  282078 */     GIR_EraseRootFromParent_Done,
     /*  282079 */   // Label 5305: @282079
     /*  282079 */   GIM_Try, /*On fail goto*//*Label 5306*/ GIMT_Encode4(282142), // Rule ID 8640 //
     /*  282084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  282098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282123 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  282123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  282126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282140 */     GIR_RootConstrainSelectedInstOperands,
     /*  282141 */     // GIR_Coverage, 8640,
     /*  282141 */     GIR_EraseRootFromParent_Done,
     /*  282142 */   // Label 5306: @282142
     /*  282142 */   GIM_Try, /*On fail goto*//*Label 5307*/ GIMT_Encode4(282205), // Rule ID 8643 //
     /*  282147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  282161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282186 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  282189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282203 */     GIR_RootConstrainSelectedInstOperands,
     /*  282204 */     // GIR_Coverage, 8643,
     /*  282204 */     GIR_EraseRootFromParent_Done,
     /*  282205 */   // Label 5307: @282205
     /*  282205 */   GIM_Try, /*On fail goto*//*Label 5308*/ GIMT_Encode4(282268), // Rule ID 8644 //
     /*  282210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  282224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282249 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  282252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282266 */     GIR_RootConstrainSelectedInstOperands,
     /*  282267 */     // GIR_Coverage, 8644,
     /*  282267 */     GIR_EraseRootFromParent_Done,
     /*  282268 */   // Label 5308: @282268
     /*  282268 */   GIM_Try, /*On fail goto*//*Label 5309*/ GIMT_Encode4(282331), // Rule ID 8647 //
     /*  282273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  282287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282312 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  282312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  282315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282329 */     GIR_RootConstrainSelectedInstOperands,
     /*  282330 */     // GIR_Coverage, 8647,
     /*  282330 */     GIR_EraseRootFromParent_Done,
     /*  282331 */   // Label 5309: @282331
     /*  282331 */   GIM_Try, /*On fail goto*//*Label 5310*/ GIMT_Encode4(282394), // Rule ID 8648 //
     /*  282336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  282350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282375 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  282375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  282378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282392 */     GIR_RootConstrainSelectedInstOperands,
     /*  282393 */     // GIR_Coverage, 8648,
     /*  282393 */     GIR_EraseRootFromParent_Done,
     /*  282394 */   // Label 5310: @282394
     /*  282394 */   GIM_Try, /*On fail goto*//*Label 5311*/ GIMT_Encode4(282457), // Rule ID 8651 //
     /*  282399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  282413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282438 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  282438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  282441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282455 */     GIR_RootConstrainSelectedInstOperands,
     /*  282456 */     // GIR_Coverage, 8651,
     /*  282456 */     GIR_EraseRootFromParent_Done,
     /*  282457 */   // Label 5311: @282457
     /*  282457 */   GIM_Try, /*On fail goto*//*Label 5312*/ GIMT_Encode4(282520), // Rule ID 8652 //
     /*  282462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  282476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282501 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  282501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  282504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282518 */     GIR_RootConstrainSelectedInstOperands,
     /*  282519 */     // GIR_Coverage, 8652,
     /*  282519 */     GIR_EraseRootFromParent_Done,
     /*  282520 */   // Label 5312: @282520
     /*  282520 */   GIM_Try, /*On fail goto*//*Label 5313*/ GIMT_Encode4(282583), // Rule ID 8655 //
     /*  282525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  282528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  282539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282564 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  282564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  282567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282581 */     GIR_RootConstrainSelectedInstOperands,
     /*  282582 */     // GIR_Coverage, 8655,
     /*  282582 */     GIR_EraseRootFromParent_Done,
     /*  282583 */   // Label 5313: @282583
     /*  282583 */   GIM_Try, /*On fail goto*//*Label 5314*/ GIMT_Encode4(282646), // Rule ID 8656 //
     /*  282588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  282591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  282602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282627 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  282630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282644 */     GIR_RootConstrainSelectedInstOperands,
     /*  282645 */     // GIR_Coverage, 8656,
     /*  282645 */     GIR_EraseRootFromParent_Done,
     /*  282646 */   // Label 5314: @282646
     /*  282646 */   GIM_Try, /*On fail goto*//*Label 5315*/ GIMT_Encode4(282709), // Rule ID 8659 //
     /*  282651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  282665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282690 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  282693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282707 */     GIR_RootConstrainSelectedInstOperands,
     /*  282708 */     // GIR_Coverage, 8659,
     /*  282708 */     GIR_EraseRootFromParent_Done,
     /*  282709 */   // Label 5315: @282709
     /*  282709 */   GIM_Try, /*On fail goto*//*Label 5316*/ GIMT_Encode4(282772), // Rule ID 8660 //
     /*  282714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  282725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  282728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282753 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  282756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282770 */     GIR_RootConstrainSelectedInstOperands,
     /*  282771 */     // GIR_Coverage, 8660,
     /*  282771 */     GIR_EraseRootFromParent_Done,
     /*  282772 */   // Label 5316: @282772
     /*  282772 */   GIM_Try, /*On fail goto*//*Label 5317*/ GIMT_Encode4(282835), // Rule ID 8663 //
     /*  282777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  282788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  282791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282816 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  282819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282833 */     GIR_RootConstrainSelectedInstOperands,
     /*  282834 */     // GIR_Coverage, 8663,
     /*  282834 */     GIR_EraseRootFromParent_Done,
     /*  282835 */   // Label 5317: @282835
     /*  282835 */   GIM_Try, /*On fail goto*//*Label 5318*/ GIMT_Encode4(282898), // Rule ID 8664 //
     /*  282840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  282851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  282854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282879 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  282882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282896 */     GIR_RootConstrainSelectedInstOperands,
     /*  282897 */     // GIR_Coverage, 8664,
     /*  282897 */     GIR_EraseRootFromParent_Done,
     /*  282898 */   // Label 5318: @282898
     /*  282898 */   GIM_Try, /*On fail goto*//*Label 5319*/ GIMT_Encode4(282961), // Rule ID 8667 //
     /*  282903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  282914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  282917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282942 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  282945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282959 */     GIR_RootConstrainSelectedInstOperands,
     /*  282960 */     // GIR_Coverage, 8667,
     /*  282960 */     GIR_EraseRootFromParent_Done,
     /*  282961 */   // Label 5319: @282961
     /*  282961 */   GIM_Try, /*On fail goto*//*Label 5320*/ GIMT_Encode4(283024), // Rule ID 8668 //
     /*  282966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  282974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  282977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  282980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283005 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  283008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283022 */     GIR_RootConstrainSelectedInstOperands,
     /*  283023 */     // GIR_Coverage, 8668,
     /*  283023 */     GIR_EraseRootFromParent_Done,
     /*  283024 */   // Label 5320: @283024
     /*  283024 */   GIM_Try, /*On fail goto*//*Label 5321*/ GIMT_Encode4(283087), // Rule ID 8671 //
     /*  283029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  283043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283068 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  283071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283085 */     GIR_RootConstrainSelectedInstOperands,
     /*  283086 */     // GIR_Coverage, 8671,
     /*  283086 */     GIR_EraseRootFromParent_Done,
     /*  283087 */   // Label 5321: @283087
     /*  283087 */   GIM_Try, /*On fail goto*//*Label 5322*/ GIMT_Encode4(283150), // Rule ID 8672 //
     /*  283092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  283106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283131 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  283134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283148 */     GIR_RootConstrainSelectedInstOperands,
     /*  283149 */     // GIR_Coverage, 8672,
     /*  283149 */     GIR_EraseRootFromParent_Done,
     /*  283150 */   // Label 5322: @283150
     /*  283150 */   GIM_Try, /*On fail goto*//*Label 5323*/ GIMT_Encode4(283213), // Rule ID 8675 //
     /*  283155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  283169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283194 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  283197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283211 */     GIR_RootConstrainSelectedInstOperands,
     /*  283212 */     // GIR_Coverage, 8675,
     /*  283212 */     GIR_EraseRootFromParent_Done,
     /*  283213 */   // Label 5323: @283213
     /*  283213 */   GIM_Try, /*On fail goto*//*Label 5324*/ GIMT_Encode4(283276), // Rule ID 8676 //
     /*  283218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  283232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283257 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  283260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283274 */     GIR_RootConstrainSelectedInstOperands,
     /*  283275 */     // GIR_Coverage, 8676,
     /*  283275 */     GIR_EraseRootFromParent_Done,
     /*  283276 */   // Label 5324: @283276
     /*  283276 */   GIM_Try, /*On fail goto*//*Label 5325*/ GIMT_Encode4(283339), // Rule ID 8679 //
     /*  283281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  283292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  283295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283320 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  283323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283337 */     GIR_RootConstrainSelectedInstOperands,
     /*  283338 */     // GIR_Coverage, 8679,
     /*  283338 */     GIR_EraseRootFromParent_Done,
     /*  283339 */   // Label 5325: @283339
     /*  283339 */   GIM_Try, /*On fail goto*//*Label 5326*/ GIMT_Encode4(283402), // Rule ID 8680 //
     /*  283344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  283355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  283358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283383 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  283386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283400 */     GIR_RootConstrainSelectedInstOperands,
     /*  283401 */     // GIR_Coverage, 8680,
     /*  283401 */     GIR_EraseRootFromParent_Done,
     /*  283402 */   // Label 5326: @283402
     /*  283402 */   GIM_Try, /*On fail goto*//*Label 5327*/ GIMT_Encode4(283465), // Rule ID 8683 //
     /*  283407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  283421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283446 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  283446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  283449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283463 */     GIR_RootConstrainSelectedInstOperands,
     /*  283464 */     // GIR_Coverage, 8683,
     /*  283464 */     GIR_EraseRootFromParent_Done,
     /*  283465 */   // Label 5327: @283465
     /*  283465 */   GIM_Try, /*On fail goto*//*Label 5328*/ GIMT_Encode4(283528), // Rule ID 8684 //
     /*  283470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  283484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283509 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  283509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  283512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283526 */     GIR_RootConstrainSelectedInstOperands,
     /*  283527 */     // GIR_Coverage, 8684,
     /*  283527 */     GIR_EraseRootFromParent_Done,
     /*  283528 */   // Label 5328: @283528
     /*  283528 */   GIM_Try, /*On fail goto*//*Label 5329*/ GIMT_Encode4(283591), // Rule ID 8687 //
     /*  283533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  283547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283572 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  283572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  283575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283589 */     GIR_RootConstrainSelectedInstOperands,
     /*  283590 */     // GIR_Coverage, 8687,
     /*  283590 */     GIR_EraseRootFromParent_Done,
     /*  283591 */   // Label 5329: @283591
     /*  283591 */   GIM_Try, /*On fail goto*//*Label 5330*/ GIMT_Encode4(283654), // Rule ID 8688 //
     /*  283596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  283610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283635 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  283635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  283638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283652 */     GIR_RootConstrainSelectedInstOperands,
     /*  283653 */     // GIR_Coverage, 8688,
     /*  283653 */     GIR_EraseRootFromParent_Done,
     /*  283654 */   // Label 5330: @283654
     /*  283654 */   GIM_Try, /*On fail goto*//*Label 5331*/ GIMT_Encode4(283717), // Rule ID 8691 //
     /*  283659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  283673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283698 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  283698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  283701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283715 */     GIR_RootConstrainSelectedInstOperands,
     /*  283716 */     // GIR_Coverage, 8691,
     /*  283716 */     GIR_EraseRootFromParent_Done,
     /*  283717 */   // Label 5331: @283717
     /*  283717 */   GIM_Try, /*On fail goto*//*Label 5332*/ GIMT_Encode4(283780), // Rule ID 8692 //
     /*  283722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  283736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283761 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  283761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  283764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283778 */     GIR_RootConstrainSelectedInstOperands,
     /*  283779 */     // GIR_Coverage, 8692,
     /*  283779 */     GIR_EraseRootFromParent_Done,
     /*  283780 */   // Label 5332: @283780
     /*  283780 */   GIM_Try, /*On fail goto*//*Label 5333*/ GIMT_Encode4(283843), // Rule ID 8695 //
     /*  283785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  283788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  283799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283824 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  283824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  283827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283841 */     GIR_RootConstrainSelectedInstOperands,
     /*  283842 */     // GIR_Coverage, 8695,
     /*  283842 */     GIR_EraseRootFromParent_Done,
     /*  283843 */   // Label 5333: @283843
     /*  283843 */   GIM_Try, /*On fail goto*//*Label 5334*/ GIMT_Encode4(283906), // Rule ID 8696 //
     /*  283848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  283851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  283862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283887 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  283887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  283890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283904 */     GIR_RootConstrainSelectedInstOperands,
     /*  283905 */     // GIR_Coverage, 8696,
     /*  283905 */     GIR_EraseRootFromParent_Done,
     /*  283906 */   // Label 5334: @283906
     /*  283906 */   GIM_Try, /*On fail goto*//*Label 5335*/ GIMT_Encode4(283969), // Rule ID 8699 //
     /*  283911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  283914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  283925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283950 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  283950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  283953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283967 */     GIR_RootConstrainSelectedInstOperands,
     /*  283968 */     // GIR_Coverage, 8699,
     /*  283968 */     GIR_EraseRootFromParent_Done,
     /*  283969 */   // Label 5335: @283969
     /*  283969 */   GIM_Try, /*On fail goto*//*Label 5336*/ GIMT_Encode4(284032), // Rule ID 8700 //
     /*  283974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  283977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  283982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  283988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284013 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  284013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  284016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284030 */     GIR_RootConstrainSelectedInstOperands,
     /*  284031 */     // GIR_Coverage, 8700,
     /*  284031 */     GIR_EraseRootFromParent_Done,
     /*  284032 */   // Label 5336: @284032
     /*  284032 */   GIM_Try, /*On fail goto*//*Label 5337*/ GIMT_Encode4(284095), // Rule ID 8703 //
     /*  284037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  284040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  284051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284076 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  284076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  284079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284093 */     GIR_RootConstrainSelectedInstOperands,
     /*  284094 */     // GIR_Coverage, 8703,
     /*  284094 */     GIR_EraseRootFromParent_Done,
     /*  284095 */   // Label 5337: @284095
     /*  284095 */   GIM_Try, /*On fail goto*//*Label 5338*/ GIMT_Encode4(284158), // Rule ID 8704 //
     /*  284100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  284103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  284108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  284114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284139 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  284139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  284142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284156 */     GIR_RootConstrainSelectedInstOperands,
     /*  284157 */     // GIR_Coverage, 8704,
     /*  284157 */     GIR_EraseRootFromParent_Done,
     /*  284158 */   // Label 5338: @284158
     /*  284158 */   GIM_Try, /*On fail goto*//*Label 5339*/ GIMT_Encode4(284221), // Rule ID 8795 //
     /*  284163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  284177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  284180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284202 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  284205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284219 */     GIR_RootConstrainSelectedInstOperands,
     /*  284220 */     // GIR_Coverage, 8795,
     /*  284220 */     GIR_EraseRootFromParent_Done,
     /*  284221 */   // Label 5339: @284221
     /*  284221 */   GIM_Try, /*On fail goto*//*Label 5340*/ GIMT_Encode4(284284), // Rule ID 8796 //
     /*  284226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  284240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  284243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284265 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  284268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284282 */     GIR_RootConstrainSelectedInstOperands,
     /*  284283 */     // GIR_Coverage, 8796,
     /*  284283 */     GIR_EraseRootFromParent_Done,
     /*  284284 */   // Label 5340: @284284
     /*  284284 */   GIM_Try, /*On fail goto*//*Label 5341*/ GIMT_Encode4(284347), // Rule ID 8799 //
     /*  284289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  284303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  284306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284328 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  284331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284345 */     GIR_RootConstrainSelectedInstOperands,
     /*  284346 */     // GIR_Coverage, 8799,
     /*  284346 */     GIR_EraseRootFromParent_Done,
     /*  284347 */   // Label 5341: @284347
     /*  284347 */   GIM_Try, /*On fail goto*//*Label 5342*/ GIMT_Encode4(284410), // Rule ID 8800 //
     /*  284352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  284366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  284369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284391 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  284394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284408 */     GIR_RootConstrainSelectedInstOperands,
     /*  284409 */     // GIR_Coverage, 8800,
     /*  284409 */     GIR_EraseRootFromParent_Done,
     /*  284410 */   // Label 5342: @284410
     /*  284410 */   GIM_Try, /*On fail goto*//*Label 5343*/ GIMT_Encode4(284473), // Rule ID 8803 //
     /*  284415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  284429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  284432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284454 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  284457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284471 */     GIR_RootConstrainSelectedInstOperands,
     /*  284472 */     // GIR_Coverage, 8803,
     /*  284472 */     GIR_EraseRootFromParent_Done,
     /*  284473 */   // Label 5343: @284473
     /*  284473 */   GIM_Try, /*On fail goto*//*Label 5344*/ GIMT_Encode4(284536), // Rule ID 8804 //
     /*  284478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  284492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  284495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284517 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  284517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  284520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284534 */     GIR_RootConstrainSelectedInstOperands,
     /*  284535 */     // GIR_Coverage, 8804,
     /*  284535 */     GIR_EraseRootFromParent_Done,
     /*  284536 */   // Label 5344: @284536
     /*  284536 */   GIM_Try, /*On fail goto*//*Label 5345*/ GIMT_Encode4(284599), // Rule ID 8807 //
     /*  284541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  284555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  284558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284580 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  284583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284597 */     GIR_RootConstrainSelectedInstOperands,
     /*  284598 */     // GIR_Coverage, 8807,
     /*  284598 */     GIR_EraseRootFromParent_Done,
     /*  284599 */   // Label 5345: @284599
     /*  284599 */   GIM_Try, /*On fail goto*//*Label 5346*/ GIMT_Encode4(284662), // Rule ID 8808 //
     /*  284604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  284618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  284621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284643 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  284646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284660 */     GIR_RootConstrainSelectedInstOperands,
     /*  284661 */     // GIR_Coverage, 8808,
     /*  284661 */     GIR_EraseRootFromParent_Done,
     /*  284662 */   // Label 5346: @284662
     /*  284662 */   GIM_Try, /*On fail goto*//*Label 5347*/ GIMT_Encode4(284725), // Rule ID 8811 //
     /*  284667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  284681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  284684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284706 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  284709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284723 */     GIR_RootConstrainSelectedInstOperands,
     /*  284724 */     // GIR_Coverage, 8811,
     /*  284724 */     GIR_EraseRootFromParent_Done,
     /*  284725 */   // Label 5347: @284725
     /*  284725 */   GIM_Try, /*On fail goto*//*Label 5348*/ GIMT_Encode4(284788), // Rule ID 8812 //
     /*  284730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  284744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  284747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284769 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  284772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284786 */     GIR_RootConstrainSelectedInstOperands,
     /*  284787 */     // GIR_Coverage, 8812,
     /*  284787 */     GIR_EraseRootFromParent_Done,
     /*  284788 */   // Label 5348: @284788
     /*  284788 */   GIM_Try, /*On fail goto*//*Label 5349*/ GIMT_Encode4(284851), // Rule ID 8815 //
     /*  284793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  284807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  284810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284832 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  284832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  284835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284849 */     GIR_RootConstrainSelectedInstOperands,
     /*  284850 */     // GIR_Coverage, 8815,
     /*  284850 */     GIR_EraseRootFromParent_Done,
     /*  284851 */   // Label 5349: @284851
     /*  284851 */   GIM_Try, /*On fail goto*//*Label 5350*/ GIMT_Encode4(284914), // Rule ID 8816 //
     /*  284856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  284867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  284870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  284873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284895 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  284895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  284898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284912 */     GIR_RootConstrainSelectedInstOperands,
     /*  284913 */     // GIR_Coverage, 8816,
     /*  284913 */     GIR_EraseRootFromParent_Done,
     /*  284914 */   // Label 5350: @284914
     /*  284914 */   GIM_Try, /*On fail goto*//*Label 5351*/ GIMT_Encode4(284977), // Rule ID 8819 //
     /*  284919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  284933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  284936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284958 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  284958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  284961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284975 */     GIR_RootConstrainSelectedInstOperands,
     /*  284976 */     // GIR_Coverage, 8819,
     /*  284976 */     GIR_EraseRootFromParent_Done,
     /*  284977 */   // Label 5351: @284977
     /*  284977 */   GIM_Try, /*On fail goto*//*Label 5352*/ GIMT_Encode4(285040), // Rule ID 8820 //
     /*  284982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  284996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  284999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285021 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  285024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285038 */     GIR_RootConstrainSelectedInstOperands,
     /*  285039 */     // GIR_Coverage, 8820,
     /*  285039 */     GIR_EraseRootFromParent_Done,
     /*  285040 */   // Label 5352: @285040
     /*  285040 */   GIM_Try, /*On fail goto*//*Label 5353*/ GIMT_Encode4(285103), // Rule ID 8823 //
     /*  285045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  285059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  285062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285084 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  285084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  285087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285101 */     GIR_RootConstrainSelectedInstOperands,
     /*  285102 */     // GIR_Coverage, 8823,
     /*  285102 */     GIR_EraseRootFromParent_Done,
     /*  285103 */   // Label 5353: @285103
     /*  285103 */   GIM_Try, /*On fail goto*//*Label 5354*/ GIMT_Encode4(285166), // Rule ID 8824 //
     /*  285108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  285122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  285125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285147 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  285150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285164 */     GIR_RootConstrainSelectedInstOperands,
     /*  285165 */     // GIR_Coverage, 8824,
     /*  285165 */     GIR_EraseRootFromParent_Done,
     /*  285166 */   // Label 5354: @285166
     /*  285166 */   GIM_Try, /*On fail goto*//*Label 5355*/ GIMT_Encode4(285229), // Rule ID 8827 //
     /*  285171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  285185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  285188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285210 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  285210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  285213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285227 */     GIR_RootConstrainSelectedInstOperands,
     /*  285228 */     // GIR_Coverage, 8827,
     /*  285228 */     GIR_EraseRootFromParent_Done,
     /*  285229 */   // Label 5355: @285229
     /*  285229 */   GIM_Try, /*On fail goto*//*Label 5356*/ GIMT_Encode4(285292), // Rule ID 8828 //
     /*  285234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  285248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  285251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285273 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  285273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  285276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285290 */     GIR_RootConstrainSelectedInstOperands,
     /*  285291 */     // GIR_Coverage, 8828,
     /*  285291 */     GIR_EraseRootFromParent_Done,
     /*  285292 */   // Label 5356: @285292
     /*  285292 */   GIM_Try, /*On fail goto*//*Label 5357*/ GIMT_Encode4(285355), // Rule ID 8831 //
     /*  285297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  285300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  285311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  285314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285336 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  285336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  285339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285353 */     GIR_RootConstrainSelectedInstOperands,
     /*  285354 */     // GIR_Coverage, 8831,
     /*  285354 */     GIR_EraseRootFromParent_Done,
     /*  285355 */   // Label 5357: @285355
     /*  285355 */   GIM_Try, /*On fail goto*//*Label 5358*/ GIMT_Encode4(285418), // Rule ID 8832 //
     /*  285360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  285363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  285374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  285377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285399 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  285399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  285402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285416 */     GIR_RootConstrainSelectedInstOperands,
     /*  285417 */     // GIR_Coverage, 8832,
     /*  285417 */     GIR_EraseRootFromParent_Done,
     /*  285418 */   // Label 5358: @285418
     /*  285418 */   GIM_Try, /*On fail goto*//*Label 5359*/ GIMT_Encode4(285481), // Rule ID 8835 //
     /*  285423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  285434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  285437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  285440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285462 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  285465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285479 */     GIR_RootConstrainSelectedInstOperands,
     /*  285480 */     // GIR_Coverage, 8835,
     /*  285480 */     GIR_EraseRootFromParent_Done,
     /*  285481 */   // Label 5359: @285481
     /*  285481 */   GIM_Try, /*On fail goto*//*Label 5360*/ GIMT_Encode4(285544), // Rule ID 8836 //
     /*  285486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  285497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  285500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  285503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285525 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  285528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285542 */     GIR_RootConstrainSelectedInstOperands,
     /*  285543 */     // GIR_Coverage, 8836,
     /*  285543 */     GIR_EraseRootFromParent_Done,
     /*  285544 */   // Label 5360: @285544
     /*  285544 */   GIM_Try, /*On fail goto*//*Label 5361*/ GIMT_Encode4(285607), // Rule ID 8839 //
     /*  285549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  285560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  285563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  285566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285588 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  285591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285605 */     GIR_RootConstrainSelectedInstOperands,
     /*  285606 */     // GIR_Coverage, 8839,
     /*  285606 */     GIR_EraseRootFromParent_Done,
     /*  285607 */   // Label 5361: @285607
     /*  285607 */   GIM_Try, /*On fail goto*//*Label 5362*/ GIMT_Encode4(285670), // Rule ID 8840 //
     /*  285612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  285623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  285626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  285629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285651 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  285654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285668 */     GIR_RootConstrainSelectedInstOperands,
     /*  285669 */     // GIR_Coverage, 8840,
     /*  285669 */     GIR_EraseRootFromParent_Done,
     /*  285670 */   // Label 5362: @285670
     /*  285670 */   GIM_Try, /*On fail goto*//*Label 5363*/ GIMT_Encode4(285733), // Rule ID 8843 //
     /*  285675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  285686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  285689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  285692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285714 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  285717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285731 */     GIR_RootConstrainSelectedInstOperands,
     /*  285732 */     // GIR_Coverage, 8843,
     /*  285732 */     GIR_EraseRootFromParent_Done,
     /*  285733 */   // Label 5363: @285733
     /*  285733 */   GIM_Try, /*On fail goto*//*Label 5364*/ GIMT_Encode4(285796), // Rule ID 8844 //
     /*  285738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  285749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  285752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  285755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285777 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  285780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285794 */     GIR_RootConstrainSelectedInstOperands,
     /*  285795 */     // GIR_Coverage, 8844,
     /*  285795 */     GIR_EraseRootFromParent_Done,
     /*  285796 */   // Label 5364: @285796
     /*  285796 */   GIM_Try, /*On fail goto*//*Label 5365*/ GIMT_Encode4(285859), // Rule ID 8847 //
     /*  285801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  285815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  285818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285840 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  285840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  285843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285857 */     GIR_RootConstrainSelectedInstOperands,
     /*  285858 */     // GIR_Coverage, 8847,
     /*  285858 */     GIR_EraseRootFromParent_Done,
     /*  285859 */   // Label 5365: @285859
     /*  285859 */   GIM_Try, /*On fail goto*//*Label 5366*/ GIMT_Encode4(285922), // Rule ID 8848 //
     /*  285864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  285878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  285881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285903 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  285906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285920 */     GIR_RootConstrainSelectedInstOperands,
     /*  285921 */     // GIR_Coverage, 8848,
     /*  285921 */     GIR_EraseRootFromParent_Done,
     /*  285922 */   // Label 5366: @285922
     /*  285922 */   GIM_Try, /*On fail goto*//*Label 5367*/ GIMT_Encode4(285985), // Rule ID 8851 //
     /*  285927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  285938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  285941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  285944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285966 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  285966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  285969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285983 */     GIR_RootConstrainSelectedInstOperands,
     /*  285984 */     // GIR_Coverage, 8851,
     /*  285984 */     GIR_EraseRootFromParent_Done,
     /*  285985 */   // Label 5367: @285985
     /*  285985 */   GIM_Try, /*On fail goto*//*Label 5368*/ GIMT_Encode4(286048), // Rule ID 8852 //
     /*  285990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  285998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  286004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  286007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286029 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  286032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286046 */     GIR_RootConstrainSelectedInstOperands,
     /*  286047 */     // GIR_Coverage, 8852,
     /*  286047 */     GIR_EraseRootFromParent_Done,
     /*  286048 */   // Label 5368: @286048
     /*  286048 */   GIM_Try, /*On fail goto*//*Label 5369*/ GIMT_Encode4(286111), // Rule ID 8855 //
     /*  286053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  286064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  286067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  286070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286092 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  286095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286109 */     GIR_RootConstrainSelectedInstOperands,
     /*  286110 */     // GIR_Coverage, 8855,
     /*  286110 */     GIR_EraseRootFromParent_Done,
     /*  286111 */   // Label 5369: @286111
     /*  286111 */   GIM_Try, /*On fail goto*//*Label 5370*/ GIMT_Encode4(286174), // Rule ID 8856 //
     /*  286116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  286127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  286130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  286133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286155 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  286158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286172 */     GIR_RootConstrainSelectedInstOperands,
     /*  286173 */     // GIR_Coverage, 8856,
     /*  286173 */     GIR_EraseRootFromParent_Done,
     /*  286174 */   // Label 5370: @286174
     /*  286174 */   GIM_Try, /*On fail goto*//*Label 5371*/ GIMT_Encode4(286237), // Rule ID 8859 //
     /*  286179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  286193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  286196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286218 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  286218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  286221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286235 */     GIR_RootConstrainSelectedInstOperands,
     /*  286236 */     // GIR_Coverage, 8859,
     /*  286236 */     GIR_EraseRootFromParent_Done,
     /*  286237 */   // Label 5371: @286237
     /*  286237 */   GIM_Try, /*On fail goto*//*Label 5372*/ GIMT_Encode4(286300), // Rule ID 8860 //
     /*  286242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  286256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  286259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286281 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  286284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286298 */     GIR_RootConstrainSelectedInstOperands,
     /*  286299 */     // GIR_Coverage, 8860,
     /*  286299 */     GIR_EraseRootFromParent_Done,
     /*  286300 */   // Label 5372: @286300
     /*  286300 */   GIM_Try, /*On fail goto*//*Label 5373*/ GIMT_Encode4(286363), // Rule ID 8863 //
     /*  286305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  286319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  286322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286344 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  286344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  286347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286361 */     GIR_RootConstrainSelectedInstOperands,
     /*  286362 */     // GIR_Coverage, 8863,
     /*  286362 */     GIR_EraseRootFromParent_Done,
     /*  286363 */   // Label 5373: @286363
     /*  286363 */   GIM_Try, /*On fail goto*//*Label 5374*/ GIMT_Encode4(286426), // Rule ID 8864 //
     /*  286368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  286382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  286385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286407 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  286410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286424 */     GIR_RootConstrainSelectedInstOperands,
     /*  286425 */     // GIR_Coverage, 8864,
     /*  286425 */     GIR_EraseRootFromParent_Done,
     /*  286426 */   // Label 5374: @286426
     /*  286426 */   GIM_Try, /*On fail goto*//*Label 5375*/ GIMT_Encode4(286489), // Rule ID 8867 //
     /*  286431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  286445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  286448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286470 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  286470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  286473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286487 */     GIR_RootConstrainSelectedInstOperands,
     /*  286488 */     // GIR_Coverage, 8867,
     /*  286488 */     GIR_EraseRootFromParent_Done,
     /*  286489 */   // Label 5375: @286489
     /*  286489 */   GIM_Try, /*On fail goto*//*Label 5376*/ GIMT_Encode4(286552), // Rule ID 8868 //
     /*  286494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  286508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  286511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286533 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  286536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286550 */     GIR_RootConstrainSelectedInstOperands,
     /*  286551 */     // GIR_Coverage, 8868,
     /*  286551 */     GIR_EraseRootFromParent_Done,
     /*  286552 */   // Label 5376: @286552
     /*  286552 */   GIM_Try, /*On fail goto*//*Label 5377*/ GIMT_Encode4(286615), // Rule ID 8871 //
     /*  286557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  286560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  286571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  286574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286596 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  286596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  286599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286613 */     GIR_RootConstrainSelectedInstOperands,
     /*  286614 */     // GIR_Coverage, 8871,
     /*  286614 */     GIR_EraseRootFromParent_Done,
     /*  286615 */   // Label 5377: @286615
     /*  286615 */   GIM_Try, /*On fail goto*//*Label 5378*/ GIMT_Encode4(286678), // Rule ID 8872 //
     /*  286620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  286623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  286634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  286637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286659 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  286659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  286662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286676 */     GIR_RootConstrainSelectedInstOperands,
     /*  286677 */     // GIR_Coverage, 8872,
     /*  286677 */     GIR_EraseRootFromParent_Done,
     /*  286678 */   // Label 5378: @286678
     /*  286678 */   GIM_Try, /*On fail goto*//*Label 5379*/ GIMT_Encode4(286741), // Rule ID 8875 //
     /*  286683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  286686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  286697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  286700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286722 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  286722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  286725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286739 */     GIR_RootConstrainSelectedInstOperands,
     /*  286740 */     // GIR_Coverage, 8875,
     /*  286740 */     GIR_EraseRootFromParent_Done,
     /*  286741 */   // Label 5379: @286741
     /*  286741 */   GIM_Try, /*On fail goto*//*Label 5380*/ GIMT_Encode4(286804), // Rule ID 8876 //
     /*  286746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  286749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  286760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  286763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286785 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  286785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  286788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286802 */     GIR_RootConstrainSelectedInstOperands,
     /*  286803 */     // GIR_Coverage, 8876,
     /*  286803 */     GIR_EraseRootFromParent_Done,
     /*  286804 */   // Label 5380: @286804
     /*  286804 */   GIM_Try, /*On fail goto*//*Label 5381*/ GIMT_Encode4(286867), // Rule ID 8879 //
     /*  286809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  286812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  286823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  286826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286848 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  286848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  286851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286865 */     GIR_RootConstrainSelectedInstOperands,
     /*  286866 */     // GIR_Coverage, 8879,
     /*  286866 */     GIR_EraseRootFromParent_Done,
     /*  286867 */   // Label 5381: @286867
     /*  286867 */   GIM_Try, /*On fail goto*//*Label 5382*/ GIMT_Encode4(286930), // Rule ID 8880 //
     /*  286872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  286875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  286886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  286889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286911 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  286911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  286914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286928 */     GIR_RootConstrainSelectedInstOperands,
     /*  286929 */     // GIR_Coverage, 8880,
     /*  286929 */     GIR_EraseRootFromParent_Done,
     /*  286930 */   // Label 5382: @286930
     /*  286930 */   GIM_Try, /*On fail goto*//*Label 5383*/ GIMT_Encode4(286993), // Rule ID 8883 //
     /*  286935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  286943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  286949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  286952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286974 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  286977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286991 */     GIR_RootConstrainSelectedInstOperands,
     /*  286992 */     // GIR_Coverage, 8883,
     /*  286992 */     GIR_EraseRootFromParent_Done,
     /*  286993 */   // Label 5383: @286993
     /*  286993 */   GIM_Try, /*On fail goto*//*Label 5384*/ GIMT_Encode4(287056), // Rule ID 8884 //
     /*  286998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  287012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287037 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  287040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287054 */     GIR_RootConstrainSelectedInstOperands,
     /*  287055 */     // GIR_Coverage, 8884,
     /*  287055 */     GIR_EraseRootFromParent_Done,
     /*  287056 */   // Label 5384: @287056
     /*  287056 */   GIM_Try, /*On fail goto*//*Label 5385*/ GIMT_Encode4(287119), // Rule ID 8887 //
     /*  287061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  287075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287100 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  287103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287117 */     GIR_RootConstrainSelectedInstOperands,
     /*  287118 */     // GIR_Coverage, 8887,
     /*  287118 */     GIR_EraseRootFromParent_Done,
     /*  287119 */   // Label 5385: @287119
     /*  287119 */   GIM_Try, /*On fail goto*//*Label 5386*/ GIMT_Encode4(287182), // Rule ID 8888 //
     /*  287124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  287138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287163 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  287166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287180 */     GIR_RootConstrainSelectedInstOperands,
     /*  287181 */     // GIR_Coverage, 8888,
     /*  287181 */     GIR_EraseRootFromParent_Done,
     /*  287182 */   // Label 5386: @287182
     /*  287182 */   GIM_Try, /*On fail goto*//*Label 5387*/ GIMT_Encode4(287245), // Rule ID 8891 //
     /*  287187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  287201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287226 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  287229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287243 */     GIR_RootConstrainSelectedInstOperands,
     /*  287244 */     // GIR_Coverage, 8891,
     /*  287244 */     GIR_EraseRootFromParent_Done,
     /*  287245 */   // Label 5387: @287245
     /*  287245 */   GIM_Try, /*On fail goto*//*Label 5388*/ GIMT_Encode4(287308), // Rule ID 8892 //
     /*  287250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  287264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287289 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  287292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287306 */     GIR_RootConstrainSelectedInstOperands,
     /*  287307 */     // GIR_Coverage, 8892,
     /*  287307 */     GIR_EraseRootFromParent_Done,
     /*  287308 */   // Label 5388: @287308
     /*  287308 */   GIM_Try, /*On fail goto*//*Label 5389*/ GIMT_Encode4(287371), // Rule ID 8895 //
     /*  287313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  287327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287352 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  287355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287369 */     GIR_RootConstrainSelectedInstOperands,
     /*  287370 */     // GIR_Coverage, 8895,
     /*  287370 */     GIR_EraseRootFromParent_Done,
     /*  287371 */   // Label 5389: @287371
     /*  287371 */   GIM_Try, /*On fail goto*//*Label 5390*/ GIMT_Encode4(287434), // Rule ID 8896 //
     /*  287376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  287390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287415 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  287418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287432 */     GIR_RootConstrainSelectedInstOperands,
     /*  287433 */     // GIR_Coverage, 8896,
     /*  287433 */     GIR_EraseRootFromParent_Done,
     /*  287434 */   // Label 5390: @287434
     /*  287434 */   GIM_Try, /*On fail goto*//*Label 5391*/ GIMT_Encode4(287497), // Rule ID 8899 //
     /*  287439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  287453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287478 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  287481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287495 */     GIR_RootConstrainSelectedInstOperands,
     /*  287496 */     // GIR_Coverage, 8899,
     /*  287496 */     GIR_EraseRootFromParent_Done,
     /*  287497 */   // Label 5391: @287497
     /*  287497 */   GIM_Try, /*On fail goto*//*Label 5392*/ GIMT_Encode4(287560), // Rule ID 8900 //
     /*  287502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  287516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287541 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  287544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287558 */     GIR_RootConstrainSelectedInstOperands,
     /*  287559 */     // GIR_Coverage, 8900,
     /*  287559 */     GIR_EraseRootFromParent_Done,
     /*  287560 */   // Label 5392: @287560
     /*  287560 */   GIM_Try, /*On fail goto*//*Label 5393*/ GIMT_Encode4(287623), // Rule ID 8903 //
     /*  287565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  287579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287604 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  287607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287621 */     GIR_RootConstrainSelectedInstOperands,
     /*  287622 */     // GIR_Coverage, 8903,
     /*  287622 */     GIR_EraseRootFromParent_Done,
     /*  287623 */   // Label 5393: @287623
     /*  287623 */   GIM_Try, /*On fail goto*//*Label 5394*/ GIMT_Encode4(287686), // Rule ID 8904 //
     /*  287628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  287642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287667 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  287667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  287670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287684 */     GIR_RootConstrainSelectedInstOperands,
     /*  287685 */     // GIR_Coverage, 8904,
     /*  287685 */     GIR_EraseRootFromParent_Done,
     /*  287686 */   // Label 5394: @287686
     /*  287686 */   GIM_Try, /*On fail goto*//*Label 5395*/ GIMT_Encode4(287749), // Rule ID 8907 //
     /*  287691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  287705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287730 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  287733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287747 */     GIR_RootConstrainSelectedInstOperands,
     /*  287748 */     // GIR_Coverage, 8907,
     /*  287748 */     GIR_EraseRootFromParent_Done,
     /*  287749 */   // Label 5395: @287749
     /*  287749 */   GIM_Try, /*On fail goto*//*Label 5396*/ GIMT_Encode4(287812), // Rule ID 8908 //
     /*  287754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  287768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287793 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  287796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287810 */     GIR_RootConstrainSelectedInstOperands,
     /*  287811 */     // GIR_Coverage, 8908,
     /*  287811 */     GIR_EraseRootFromParent_Done,
     /*  287812 */   // Label 5396: @287812
     /*  287812 */   GIM_Try, /*On fail goto*//*Label 5397*/ GIMT_Encode4(287875), // Rule ID 8911 //
     /*  287817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  287831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287856 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  287859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287873 */     GIR_RootConstrainSelectedInstOperands,
     /*  287874 */     // GIR_Coverage, 8911,
     /*  287874 */     GIR_EraseRootFromParent_Done,
     /*  287875 */   // Label 5397: @287875
     /*  287875 */   GIM_Try, /*On fail goto*//*Label 5398*/ GIMT_Encode4(287938), // Rule ID 8912 //
     /*  287880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  287894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287919 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  287922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287936 */     GIR_RootConstrainSelectedInstOperands,
     /*  287937 */     // GIR_Coverage, 8912,
     /*  287937 */     GIR_EraseRootFromParent_Done,
     /*  287938 */   // Label 5398: @287938
     /*  287938 */   GIM_Try, /*On fail goto*//*Label 5399*/ GIMT_Encode4(288001), // Rule ID 8915 //
     /*  287943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  287951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  287957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287982 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  287985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287999 */     GIR_RootConstrainSelectedInstOperands,
     /*  288000 */     // GIR_Coverage, 8915,
     /*  288000 */     GIR_EraseRootFromParent_Done,
     /*  288001 */   // Label 5399: @288001
     /*  288001 */   GIM_Try, /*On fail goto*//*Label 5400*/ GIMT_Encode4(288064), // Rule ID 8916 //
     /*  288006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  288020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288045 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  288045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  288048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288062 */     GIR_RootConstrainSelectedInstOperands,
     /*  288063 */     // GIR_Coverage, 8916,
     /*  288063 */     GIR_EraseRootFromParent_Done,
     /*  288064 */   // Label 5400: @288064
     /*  288064 */   GIM_Try, /*On fail goto*//*Label 5401*/ GIMT_Encode4(288127), // Rule ID 8919 //
     /*  288069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  288072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  288083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288108 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  288108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  288111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288125 */     GIR_RootConstrainSelectedInstOperands,
     /*  288126 */     // GIR_Coverage, 8919,
     /*  288126 */     GIR_EraseRootFromParent_Done,
     /*  288127 */   // Label 5401: @288127
     /*  288127 */   GIM_Try, /*On fail goto*//*Label 5402*/ GIMT_Encode4(288190), // Rule ID 8920 //
     /*  288132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  288135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  288146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288171 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11356:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  288171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  288174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288188 */     GIR_RootConstrainSelectedInstOperands,
     /*  288189 */     // GIR_Coverage, 8920,
     /*  288189 */     GIR_EraseRootFromParent_Done,
     /*  288190 */   // Label 5402: @288190
     /*  288190 */   GIM_Try, /*On fail goto*//*Label 5403*/ GIMT_Encode4(288253), // Rule ID 8923 //
     /*  288195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  288206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  288209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288234 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  288237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288251 */     GIR_RootConstrainSelectedInstOperands,
     /*  288252 */     // GIR_Coverage, 8923,
     /*  288252 */     GIR_EraseRootFromParent_Done,
     /*  288253 */   // Label 5403: @288253
     /*  288253 */   GIM_Try, /*On fail goto*//*Label 5404*/ GIMT_Encode4(288316), // Rule ID 8924 //
     /*  288258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  288269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  288272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288297 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  288300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288314 */     GIR_RootConstrainSelectedInstOperands,
     /*  288315 */     // GIR_Coverage, 8924,
     /*  288315 */     GIR_EraseRootFromParent_Done,
     /*  288316 */   // Label 5404: @288316
     /*  288316 */   GIM_Try, /*On fail goto*//*Label 5405*/ GIMT_Encode4(288379), // Rule ID 8927 //
     /*  288321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  288332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  288335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288360 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  288363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288377 */     GIR_RootConstrainSelectedInstOperands,
     /*  288378 */     // GIR_Coverage, 8927,
     /*  288378 */     GIR_EraseRootFromParent_Done,
     /*  288379 */   // Label 5405: @288379
     /*  288379 */   GIM_Try, /*On fail goto*//*Label 5406*/ GIMT_Encode4(288442), // Rule ID 8928 //
     /*  288384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  288395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  288398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288423 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  288426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288440 */     GIR_RootConstrainSelectedInstOperands,
     /*  288441 */     // GIR_Coverage, 8928,
     /*  288441 */     GIR_EraseRootFromParent_Done,
     /*  288442 */   // Label 5406: @288442
     /*  288442 */   GIM_Try, /*On fail goto*//*Label 5407*/ GIMT_Encode4(288505), // Rule ID 8931 //
     /*  288447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  288458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  288461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288486 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  288489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288503 */     GIR_RootConstrainSelectedInstOperands,
     /*  288504 */     // GIR_Coverage, 8931,
     /*  288504 */     GIR_EraseRootFromParent_Done,
     /*  288505 */   // Label 5407: @288505
     /*  288505 */   GIM_Try, /*On fail goto*//*Label 5408*/ GIMT_Encode4(288568), // Rule ID 8932 //
     /*  288510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  288521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  288524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288549 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  288552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288566 */     GIR_RootConstrainSelectedInstOperands,
     /*  288567 */     // GIR_Coverage, 8932,
     /*  288567 */     GIR_EraseRootFromParent_Done,
     /*  288568 */   // Label 5408: @288568
     /*  288568 */   GIM_Try, /*On fail goto*//*Label 5409*/ GIMT_Encode4(288631), // Rule ID 8935 //
     /*  288573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  288587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288612 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  288615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288629 */     GIR_RootConstrainSelectedInstOperands,
     /*  288630 */     // GIR_Coverage, 8935,
     /*  288630 */     GIR_EraseRootFromParent_Done,
     /*  288631 */   // Label 5409: @288631
     /*  288631 */   GIM_Try, /*On fail goto*//*Label 5410*/ GIMT_Encode4(288694), // Rule ID 8936 //
     /*  288636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  288650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288675 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  288675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  288678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288692 */     GIR_RootConstrainSelectedInstOperands,
     /*  288693 */     // GIR_Coverage, 8936,
     /*  288693 */     GIR_EraseRootFromParent_Done,
     /*  288694 */   // Label 5410: @288694
     /*  288694 */   GIM_Try, /*On fail goto*//*Label 5411*/ GIMT_Encode4(288757), // Rule ID 8939 //
     /*  288699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  288710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  288713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288738 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  288741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288755 */     GIR_RootConstrainSelectedInstOperands,
     /*  288756 */     // GIR_Coverage, 8939,
     /*  288756 */     GIR_EraseRootFromParent_Done,
     /*  288757 */   // Label 5411: @288757
     /*  288757 */   GIM_Try, /*On fail goto*//*Label 5412*/ GIMT_Encode4(288820), // Rule ID 8940 //
     /*  288762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  288773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  288776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288801 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  288801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  288804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288818 */     GIR_RootConstrainSelectedInstOperands,
     /*  288819 */     // GIR_Coverage, 8940,
     /*  288819 */     GIR_EraseRootFromParent_Done,
     /*  288820 */   // Label 5412: @288820
     /*  288820 */   GIM_Try, /*On fail goto*//*Label 5413*/ GIMT_Encode4(288883), // Rule ID 8943 //
     /*  288825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  288836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  288839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288864 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  288867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288881 */     GIR_RootConstrainSelectedInstOperands,
     /*  288882 */     // GIR_Coverage, 8943,
     /*  288882 */     GIR_EraseRootFromParent_Done,
     /*  288883 */   // Label 5413: @288883
     /*  288883 */   GIM_Try, /*On fail goto*//*Label 5414*/ GIMT_Encode4(288946), // Rule ID 8944 //
     /*  288888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  288899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  288902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288927 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  288927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  288930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288944 */     GIR_RootConstrainSelectedInstOperands,
     /*  288945 */     // GIR_Coverage, 8944,
     /*  288945 */     GIR_EraseRootFromParent_Done,
     /*  288946 */   // Label 5414: @288946
     /*  288946 */   GIM_Try, /*On fail goto*//*Label 5415*/ GIMT_Encode4(289009), // Rule ID 8947 //
     /*  288951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  288959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  288965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  288979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288990 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  288990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  288993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289007 */     GIR_RootConstrainSelectedInstOperands,
     /*  289008 */     // GIR_Coverage, 8947,
     /*  289008 */     GIR_EraseRootFromParent_Done,
     /*  289009 */   // Label 5415: @289009
     /*  289009 */   GIM_Try, /*On fail goto*//*Label 5416*/ GIMT_Encode4(289072), // Rule ID 8948 //
     /*  289014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  289028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289053 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  289053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  289056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289070 */     GIR_RootConstrainSelectedInstOperands,
     /*  289071 */     // GIR_Coverage, 8948,
     /*  289071 */     GIR_EraseRootFromParent_Done,
     /*  289072 */   // Label 5416: @289072
     /*  289072 */   GIM_Try, /*On fail goto*//*Label 5417*/ GIMT_Encode4(289135), // Rule ID 8951 //
     /*  289077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  289091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289116 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  289116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  289119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289133 */     GIR_RootConstrainSelectedInstOperands,
     /*  289134 */     // GIR_Coverage, 8951,
     /*  289134 */     GIR_EraseRootFromParent_Done,
     /*  289135 */   // Label 5417: @289135
     /*  289135 */   GIM_Try, /*On fail goto*//*Label 5418*/ GIMT_Encode4(289198), // Rule ID 8952 //
     /*  289140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  289154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289179 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  289179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  289182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289196 */     GIR_RootConstrainSelectedInstOperands,
     /*  289197 */     // GIR_Coverage, 8952,
     /*  289197 */     GIR_EraseRootFromParent_Done,
     /*  289198 */   // Label 5418: @289198
     /*  289198 */   GIM_Try, /*On fail goto*//*Label 5419*/ GIMT_Encode4(289261), // Rule ID 8955 //
     /*  289203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  289217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289242 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  289242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  289245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289259 */     GIR_RootConstrainSelectedInstOperands,
     /*  289260 */     // GIR_Coverage, 8955,
     /*  289260 */     GIR_EraseRootFromParent_Done,
     /*  289261 */   // Label 5419: @289261
     /*  289261 */   GIM_Try, /*On fail goto*//*Label 5420*/ GIMT_Encode4(289324), // Rule ID 8956 //
     /*  289266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  289280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289305 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  289305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  289308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289322 */     GIR_RootConstrainSelectedInstOperands,
     /*  289323 */     // GIR_Coverage, 8956,
     /*  289323 */     GIR_EraseRootFromParent_Done,
     /*  289324 */   // Label 5420: @289324
     /*  289324 */   GIM_Try, /*On fail goto*//*Label 5421*/ GIMT_Encode4(289387), // Rule ID 8959 //
     /*  289329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  289332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  289343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289368 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  289368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  289371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289385 */     GIR_RootConstrainSelectedInstOperands,
     /*  289386 */     // GIR_Coverage, 8959,
     /*  289386 */     GIR_EraseRootFromParent_Done,
     /*  289387 */   // Label 5421: @289387
     /*  289387 */   GIM_Try, /*On fail goto*//*Label 5422*/ GIMT_Encode4(289450), // Rule ID 8960 //
     /*  289392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  289395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  289406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289431 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11356:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  289431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  289434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289448 */     GIR_RootConstrainSelectedInstOperands,
     /*  289449 */     // GIR_Coverage, 8960,
     /*  289449 */     GIR_EraseRootFromParent_Done,
     /*  289450 */   // Label 5422: @289450
     /*  289450 */   GIM_Try, /*On fail goto*//*Label 5423*/ GIMT_Encode4(289513), // Rule ID 8963 //
     /*  289455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  289458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  289469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289494 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  289494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  289497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289511 */     GIR_RootConstrainSelectedInstOperands,
     /*  289512 */     // GIR_Coverage, 8963,
     /*  289512 */     GIR_EraseRootFromParent_Done,
     /*  289513 */   // Label 5423: @289513
     /*  289513 */   GIM_Try, /*On fail goto*//*Label 5424*/ GIMT_Encode4(289576), // Rule ID 8964 //
     /*  289518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  289521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  289532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289557 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11356:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  289557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  289560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289574 */     GIR_RootConstrainSelectedInstOperands,
     /*  289575 */     // GIR_Coverage, 8964,
     /*  289575 */     GIR_EraseRootFromParent_Done,
     /*  289576 */   // Label 5424: @289576
     /*  289576 */   GIM_Try, /*On fail goto*//*Label 5425*/ GIMT_Encode4(289639), // Rule ID 8967 //
     /*  289581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  289584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  289595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289620 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  289620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  289623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289637 */     GIR_RootConstrainSelectedInstOperands,
     /*  289638 */     // GIR_Coverage, 8967,
     /*  289638 */     GIR_EraseRootFromParent_Done,
     /*  289639 */   // Label 5425: @289639
     /*  289639 */   GIM_Try, /*On fail goto*//*Label 5426*/ GIMT_Encode4(289702), // Rule ID 8968 //
     /*  289644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  289647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  289652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  289658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289683 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11356:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  289683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  289686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289700 */     GIR_RootConstrainSelectedInstOperands,
     /*  289701 */     // GIR_Coverage, 8968,
     /*  289701 */     GIR_EraseRootFromParent_Done,
     /*  289702 */   // Label 5426: @289702
     /*  289702 */   GIM_Try, /*On fail goto*//*Label 5427*/ GIMT_Encode4(289765), // Rule ID 9059 //
     /*  289707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  289715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  289721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289746 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  289749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289763 */     GIR_RootConstrainSelectedInstOperands,
     /*  289764 */     // GIR_Coverage, 9059,
     /*  289764 */     GIR_EraseRootFromParent_Done,
     /*  289765 */   // Label 5427: @289765
     /*  289765 */   GIM_Try, /*On fail goto*//*Label 5428*/ GIMT_Encode4(289828), // Rule ID 9060 //
     /*  289770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  289778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  289784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289809 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  289812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289826 */     GIR_RootConstrainSelectedInstOperands,
     /*  289827 */     // GIR_Coverage, 9060,
     /*  289827 */     GIR_EraseRootFromParent_Done,
     /*  289828 */   // Label 5428: @289828
     /*  289828 */   GIM_Try, /*On fail goto*//*Label 5429*/ GIMT_Encode4(289891), // Rule ID 9063 //
     /*  289833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  289841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  289847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289872 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  289875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289889 */     GIR_RootConstrainSelectedInstOperands,
     /*  289890 */     // GIR_Coverage, 9063,
     /*  289890 */     GIR_EraseRootFromParent_Done,
     /*  289891 */   // Label 5429: @289891
     /*  289891 */   GIM_Try, /*On fail goto*//*Label 5430*/ GIMT_Encode4(289954), // Rule ID 9064 //
     /*  289896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  289904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  289907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  289910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289935 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  289938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289952 */     GIR_RootConstrainSelectedInstOperands,
     /*  289953 */     // GIR_Coverage, 9064,
     /*  289953 */     GIR_EraseRootFromParent_Done,
     /*  289954 */   // Label 5430: @289954
     /*  289954 */   GIM_Try, /*On fail goto*//*Label 5431*/ GIMT_Encode4(290017), // Rule ID 9067 //
     /*  289959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  289967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  289973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289998 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  290001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290015 */     GIR_RootConstrainSelectedInstOperands,
     /*  290016 */     // GIR_Coverage, 9067,
     /*  290016 */     GIR_EraseRootFromParent_Done,
     /*  290017 */   // Label 5431: @290017
     /*  290017 */   GIM_Try, /*On fail goto*//*Label 5432*/ GIMT_Encode4(290080), // Rule ID 9068 //
     /*  290022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  290036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290061 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  290064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290078 */     GIR_RootConstrainSelectedInstOperands,
     /*  290079 */     // GIR_Coverage, 9068,
     /*  290079 */     GIR_EraseRootFromParent_Done,
     /*  290080 */   // Label 5432: @290080
     /*  290080 */   GIM_Try, /*On fail goto*//*Label 5433*/ GIMT_Encode4(290143), // Rule ID 9071 //
     /*  290085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  290099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290124 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  290127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290141 */     GIR_RootConstrainSelectedInstOperands,
     /*  290142 */     // GIR_Coverage, 9071,
     /*  290142 */     GIR_EraseRootFromParent_Done,
     /*  290143 */   // Label 5433: @290143
     /*  290143 */   GIM_Try, /*On fail goto*//*Label 5434*/ GIMT_Encode4(290206), // Rule ID 9072 //
     /*  290148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  290162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290187 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  290190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290204 */     GIR_RootConstrainSelectedInstOperands,
     /*  290205 */     // GIR_Coverage, 9072,
     /*  290205 */     GIR_EraseRootFromParent_Done,
     /*  290206 */   // Label 5434: @290206
     /*  290206 */   GIM_Try, /*On fail goto*//*Label 5435*/ GIMT_Encode4(290269), // Rule ID 9075 //
     /*  290211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  290225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290250 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  290253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290267 */     GIR_RootConstrainSelectedInstOperands,
     /*  290268 */     // GIR_Coverage, 9075,
     /*  290268 */     GIR_EraseRootFromParent_Done,
     /*  290269 */   // Label 5435: @290269
     /*  290269 */   GIM_Try, /*On fail goto*//*Label 5436*/ GIMT_Encode4(290332), // Rule ID 9076 //
     /*  290274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  290288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290313 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  290316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290330 */     GIR_RootConstrainSelectedInstOperands,
     /*  290331 */     // GIR_Coverage, 9076,
     /*  290331 */     GIR_EraseRootFromParent_Done,
     /*  290332 */   // Label 5436: @290332
     /*  290332 */   GIM_Try, /*On fail goto*//*Label 5437*/ GIMT_Encode4(290395), // Rule ID 9079 //
     /*  290337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  290351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290376 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  290379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290393 */     GIR_RootConstrainSelectedInstOperands,
     /*  290394 */     // GIR_Coverage, 9079,
     /*  290394 */     GIR_EraseRootFromParent_Done,
     /*  290395 */   // Label 5437: @290395
     /*  290395 */   GIM_Try, /*On fail goto*//*Label 5438*/ GIMT_Encode4(290458), // Rule ID 9080 //
     /*  290400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  290414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290439 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  290442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290456 */     GIR_RootConstrainSelectedInstOperands,
     /*  290457 */     // GIR_Coverage, 9080,
     /*  290457 */     GIR_EraseRootFromParent_Done,
     /*  290458 */   // Label 5438: @290458
     /*  290458 */   GIM_Try, /*On fail goto*//*Label 5439*/ GIMT_Encode4(290521), // Rule ID 9083 //
     /*  290463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  290477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290502 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  290505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290519 */     GIR_RootConstrainSelectedInstOperands,
     /*  290520 */     // GIR_Coverage, 9083,
     /*  290520 */     GIR_EraseRootFromParent_Done,
     /*  290521 */   // Label 5439: @290521
     /*  290521 */   GIM_Try, /*On fail goto*//*Label 5440*/ GIMT_Encode4(290584), // Rule ID 9084 //
     /*  290526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  290540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290565 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  290568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290582 */     GIR_RootConstrainSelectedInstOperands,
     /*  290583 */     // GIR_Coverage, 9084,
     /*  290583 */     GIR_EraseRootFromParent_Done,
     /*  290584 */   // Label 5440: @290584
     /*  290584 */   GIM_Try, /*On fail goto*//*Label 5441*/ GIMT_Encode4(290647), // Rule ID 9087 //
     /*  290589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  290603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290628 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  290631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290645 */     GIR_RootConstrainSelectedInstOperands,
     /*  290646 */     // GIR_Coverage, 9087,
     /*  290646 */     GIR_EraseRootFromParent_Done,
     /*  290647 */   // Label 5441: @290647
     /*  290647 */   GIM_Try, /*On fail goto*//*Label 5442*/ GIMT_Encode4(290710), // Rule ID 9088 //
     /*  290652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  290666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290691 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  290694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290708 */     GIR_RootConstrainSelectedInstOperands,
     /*  290709 */     // GIR_Coverage, 9088,
     /*  290709 */     GIR_EraseRootFromParent_Done,
     /*  290710 */   // Label 5442: @290710
     /*  290710 */   GIM_Try, /*On fail goto*//*Label 5443*/ GIMT_Encode4(290773), // Rule ID 9091 //
     /*  290715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  290729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290754 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  290757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290771 */     GIR_RootConstrainSelectedInstOperands,
     /*  290772 */     // GIR_Coverage, 9091,
     /*  290772 */     GIR_EraseRootFromParent_Done,
     /*  290773 */   // Label 5443: @290773
     /*  290773 */   GIM_Try, /*On fail goto*//*Label 5444*/ GIMT_Encode4(290836), // Rule ID 9092 //
     /*  290778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  290792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290817 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  290820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290834 */     GIR_RootConstrainSelectedInstOperands,
     /*  290835 */     // GIR_Coverage, 9092,
     /*  290835 */     GIR_EraseRootFromParent_Done,
     /*  290836 */   // Label 5444: @290836
     /*  290836 */   GIM_Try, /*On fail goto*//*Label 5445*/ GIMT_Encode4(290899), // Rule ID 9095 //
     /*  290841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  290844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  290855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290880 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  290880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  290883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290897 */     GIR_RootConstrainSelectedInstOperands,
     /*  290898 */     // GIR_Coverage, 9095,
     /*  290898 */     GIR_EraseRootFromParent_Done,
     /*  290899 */   // Label 5445: @290899
     /*  290899 */   GIM_Try, /*On fail goto*//*Label 5446*/ GIMT_Encode4(290962), // Rule ID 9096 //
     /*  290904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  290907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  290918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290943 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  290943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  290946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290960 */     GIR_RootConstrainSelectedInstOperands,
     /*  290961 */     // GIR_Coverage, 9096,
     /*  290961 */     GIR_EraseRootFromParent_Done,
     /*  290962 */   // Label 5446: @290962
     /*  290962 */   GIM_Try, /*On fail goto*//*Label 5447*/ GIMT_Encode4(291025), // Rule ID 9099 //
     /*  290967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  290981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291006 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  291009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291023 */     GIR_RootConstrainSelectedInstOperands,
     /*  291024 */     // GIR_Coverage, 9099,
     /*  291024 */     GIR_EraseRootFromParent_Done,
     /*  291025 */   // Label 5447: @291025
     /*  291025 */   GIM_Try, /*On fail goto*//*Label 5448*/ GIMT_Encode4(291088), // Rule ID 9100 //
     /*  291030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  291044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291069 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  291072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291086 */     GIR_RootConstrainSelectedInstOperands,
     /*  291087 */     // GIR_Coverage, 9100,
     /*  291087 */     GIR_EraseRootFromParent_Done,
     /*  291088 */   // Label 5448: @291088
     /*  291088 */   GIM_Try, /*On fail goto*//*Label 5449*/ GIMT_Encode4(291151), // Rule ID 9103 //
     /*  291093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  291104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  291107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291132 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  291135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291149 */     GIR_RootConstrainSelectedInstOperands,
     /*  291150 */     // GIR_Coverage, 9103,
     /*  291150 */     GIR_EraseRootFromParent_Done,
     /*  291151 */   // Label 5449: @291151
     /*  291151 */   GIM_Try, /*On fail goto*//*Label 5450*/ GIMT_Encode4(291214), // Rule ID 9104 //
     /*  291156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  291167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  291170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291195 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  291198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291212 */     GIR_RootConstrainSelectedInstOperands,
     /*  291213 */     // GIR_Coverage, 9104,
     /*  291213 */     GIR_EraseRootFromParent_Done,
     /*  291214 */   // Label 5450: @291214
     /*  291214 */   GIM_Try, /*On fail goto*//*Label 5451*/ GIMT_Encode4(291277), // Rule ID 9107 //
     /*  291219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  291230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  291233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291258 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  291261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291275 */     GIR_RootConstrainSelectedInstOperands,
     /*  291276 */     // GIR_Coverage, 9107,
     /*  291276 */     GIR_EraseRootFromParent_Done,
     /*  291277 */   // Label 5451: @291277
     /*  291277 */   GIM_Try, /*On fail goto*//*Label 5452*/ GIMT_Encode4(291340), // Rule ID 9108 //
     /*  291282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  291293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  291296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291321 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  291324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291338 */     GIR_RootConstrainSelectedInstOperands,
     /*  291339 */     // GIR_Coverage, 9108,
     /*  291339 */     GIR_EraseRootFromParent_Done,
     /*  291340 */   // Label 5452: @291340
     /*  291340 */   GIM_Try, /*On fail goto*//*Label 5453*/ GIMT_Encode4(291403), // Rule ID 9111 //
     /*  291345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  291359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291384 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  291387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291401 */     GIR_RootConstrainSelectedInstOperands,
     /*  291402 */     // GIR_Coverage, 9111,
     /*  291402 */     GIR_EraseRootFromParent_Done,
     /*  291403 */   // Label 5453: @291403
     /*  291403 */   GIM_Try, /*On fail goto*//*Label 5454*/ GIMT_Encode4(291466), // Rule ID 9112 //
     /*  291408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  291422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291447 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  291450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291464 */     GIR_RootConstrainSelectedInstOperands,
     /*  291465 */     // GIR_Coverage, 9112,
     /*  291465 */     GIR_EraseRootFromParent_Done,
     /*  291466 */   // Label 5454: @291466
     /*  291466 */   GIM_Try, /*On fail goto*//*Label 5455*/ GIMT_Encode4(291529), // Rule ID 9115 //
     /*  291471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  291485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291510 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  291513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291527 */     GIR_RootConstrainSelectedInstOperands,
     /*  291528 */     // GIR_Coverage, 9115,
     /*  291528 */     GIR_EraseRootFromParent_Done,
     /*  291529 */   // Label 5455: @291529
     /*  291529 */   GIM_Try, /*On fail goto*//*Label 5456*/ GIMT_Encode4(291592), // Rule ID 9116 //
     /*  291534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  291548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291573 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  291576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291590 */     GIR_RootConstrainSelectedInstOperands,
     /*  291591 */     // GIR_Coverage, 9116,
     /*  291591 */     GIR_EraseRootFromParent_Done,
     /*  291592 */   // Label 5456: @291592
     /*  291592 */   GIM_Try, /*On fail goto*//*Label 5457*/ GIMT_Encode4(291655), // Rule ID 9119 //
     /*  291597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  291608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  291611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291636 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  291639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291653 */     GIR_RootConstrainSelectedInstOperands,
     /*  291654 */     // GIR_Coverage, 9119,
     /*  291654 */     GIR_EraseRootFromParent_Done,
     /*  291655 */   // Label 5457: @291655
     /*  291655 */   GIM_Try, /*On fail goto*//*Label 5458*/ GIMT_Encode4(291718), // Rule ID 9120 //
     /*  291660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  291671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  291674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291699 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  291702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291716 */     GIR_RootConstrainSelectedInstOperands,
     /*  291717 */     // GIR_Coverage, 9120,
     /*  291717 */     GIR_EraseRootFromParent_Done,
     /*  291718 */   // Label 5458: @291718
     /*  291718 */   GIM_Try, /*On fail goto*//*Label 5459*/ GIMT_Encode4(291781), // Rule ID 9123 //
     /*  291723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  291737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291762 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  291762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  291765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291779 */     GIR_RootConstrainSelectedInstOperands,
     /*  291780 */     // GIR_Coverage, 9123,
     /*  291780 */     GIR_EraseRootFromParent_Done,
     /*  291781 */   // Label 5459: @291781
     /*  291781 */   GIM_Try, /*On fail goto*//*Label 5460*/ GIMT_Encode4(291844), // Rule ID 9124 //
     /*  291786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  291800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291825 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  291825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  291828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291842 */     GIR_RootConstrainSelectedInstOperands,
     /*  291843 */     // GIR_Coverage, 9124,
     /*  291843 */     GIR_EraseRootFromParent_Done,
     /*  291844 */   // Label 5460: @291844
     /*  291844 */   GIM_Try, /*On fail goto*//*Label 5461*/ GIMT_Encode4(291907), // Rule ID 9127 //
     /*  291849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  291863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  291888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  291891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291905 */     GIR_RootConstrainSelectedInstOperands,
     /*  291906 */     // GIR_Coverage, 9127,
     /*  291906 */     GIR_EraseRootFromParent_Done,
     /*  291907 */   // Label 5461: @291907
     /*  291907 */   GIM_Try, /*On fail goto*//*Label 5462*/ GIMT_Encode4(291970), // Rule ID 9128 //
     /*  291912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  291926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291951 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  291951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  291954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291968 */     GIR_RootConstrainSelectedInstOperands,
     /*  291969 */     // GIR_Coverage, 9128,
     /*  291969 */     GIR_EraseRootFromParent_Done,
     /*  291970 */   // Label 5462: @291970
     /*  291970 */   GIM_Try, /*On fail goto*//*Label 5463*/ GIMT_Encode4(292033), // Rule ID 9131 //
     /*  291975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  291989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  291992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292014 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  292014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  292017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292031 */     GIR_RootConstrainSelectedInstOperands,
     /*  292032 */     // GIR_Coverage, 9131,
     /*  292032 */     GIR_EraseRootFromParent_Done,
     /*  292033 */   // Label 5463: @292033
     /*  292033 */   GIM_Try, /*On fail goto*//*Label 5464*/ GIMT_Encode4(292096), // Rule ID 9132 //
     /*  292038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  292052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292077 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  292080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292094 */     GIR_RootConstrainSelectedInstOperands,
     /*  292095 */     // GIR_Coverage, 9132,
     /*  292095 */     GIR_EraseRootFromParent_Done,
     /*  292096 */   // Label 5464: @292096
     /*  292096 */   GIM_Try, /*On fail goto*//*Label 5465*/ GIMT_Encode4(292159), // Rule ID 9135 //
     /*  292101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  292104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  292115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292140 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  292140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  292143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292157 */     GIR_RootConstrainSelectedInstOperands,
     /*  292158 */     // GIR_Coverage, 9135,
     /*  292158 */     GIR_EraseRootFromParent_Done,
     /*  292159 */   // Label 5465: @292159
     /*  292159 */   GIM_Try, /*On fail goto*//*Label 5466*/ GIMT_Encode4(292222), // Rule ID 9136 //
     /*  292164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  292167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  292178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292203 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  292203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  292206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292220 */     GIR_RootConstrainSelectedInstOperands,
     /*  292221 */     // GIR_Coverage, 9136,
     /*  292221 */     GIR_EraseRootFromParent_Done,
     /*  292222 */   // Label 5466: @292222
     /*  292222 */   GIM_Try, /*On fail goto*//*Label 5467*/ GIMT_Encode4(292285), // Rule ID 9139 //
     /*  292227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  292230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  292241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292266 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  292266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  292269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292283 */     GIR_RootConstrainSelectedInstOperands,
     /*  292284 */     // GIR_Coverage, 9139,
     /*  292284 */     GIR_EraseRootFromParent_Done,
     /*  292285 */   // Label 5467: @292285
     /*  292285 */   GIM_Try, /*On fail goto*//*Label 5468*/ GIMT_Encode4(292348), // Rule ID 9140 //
     /*  292290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  292293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  292304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292329 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  292329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  292332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292346 */     GIR_RootConstrainSelectedInstOperands,
     /*  292347 */     // GIR_Coverage, 9140,
     /*  292347 */     GIR_EraseRootFromParent_Done,
     /*  292348 */   // Label 5468: @292348
     /*  292348 */   GIM_Try, /*On fail goto*//*Label 5469*/ GIMT_Encode4(292411), // Rule ID 9143 //
     /*  292353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  292356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  292367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292392 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  292392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  292395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292409 */     GIR_RootConstrainSelectedInstOperands,
     /*  292410 */     // GIR_Coverage, 9143,
     /*  292410 */     GIR_EraseRootFromParent_Done,
     /*  292411 */   // Label 5469: @292411
     /*  292411 */   GIM_Try, /*On fail goto*//*Label 5470*/ GIMT_Encode4(292474), // Rule ID 9144 //
     /*  292416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  292419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  292430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292455 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  292455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  292458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292472 */     GIR_RootConstrainSelectedInstOperands,
     /*  292473 */     // GIR_Coverage, 9144,
     /*  292473 */     GIR_EraseRootFromParent_Done,
     /*  292474 */   // Label 5470: @292474
     /*  292474 */   GIM_Try, /*On fail goto*//*Label 5471*/ GIMT_Encode4(292537), // Rule ID 9235 //
     /*  292479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  292487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  292493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292518 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  292521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292535 */     GIR_RootConstrainSelectedInstOperands,
     /*  292536 */     // GIR_Coverage, 9235,
     /*  292536 */     GIR_EraseRootFromParent_Done,
     /*  292537 */   // Label 5471: @292537
     /*  292537 */   GIM_Try, /*On fail goto*//*Label 5472*/ GIMT_Encode4(292600), // Rule ID 9236 //
     /*  292542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  292550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  292556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292581 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  292584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292598 */     GIR_RootConstrainSelectedInstOperands,
     /*  292599 */     // GIR_Coverage, 9236,
     /*  292599 */     GIR_EraseRootFromParent_Done,
     /*  292600 */   // Label 5472: @292600
     /*  292600 */   GIM_Try, /*On fail goto*//*Label 5473*/ GIMT_Encode4(292663), // Rule ID 9239 //
     /*  292605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  292613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  292619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292644 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  292647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292661 */     GIR_RootConstrainSelectedInstOperands,
     /*  292662 */     // GIR_Coverage, 9239,
     /*  292662 */     GIR_EraseRootFromParent_Done,
     /*  292663 */   // Label 5473: @292663
     /*  292663 */   GIM_Try, /*On fail goto*//*Label 5474*/ GIMT_Encode4(292726), // Rule ID 9240 //
     /*  292668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  292676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  292682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292707 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  292710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292724 */     GIR_RootConstrainSelectedInstOperands,
     /*  292725 */     // GIR_Coverage, 9240,
     /*  292725 */     GIR_EraseRootFromParent_Done,
     /*  292726 */   // Label 5474: @292726
     /*  292726 */   GIM_Try, /*On fail goto*//*Label 5475*/ GIMT_Encode4(292789), // Rule ID 9243 //
     /*  292731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  292739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  292745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292770 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  292773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292787 */     GIR_RootConstrainSelectedInstOperands,
     /*  292788 */     // GIR_Coverage, 9243,
     /*  292788 */     GIR_EraseRootFromParent_Done,
     /*  292789 */   // Label 5475: @292789
     /*  292789 */   GIM_Try, /*On fail goto*//*Label 5476*/ GIMT_Encode4(292852), // Rule ID 9244 //
     /*  292794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  292802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  292808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292833 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  292836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292850 */     GIR_RootConstrainSelectedInstOperands,
     /*  292851 */     // GIR_Coverage, 9244,
     /*  292851 */     GIR_EraseRootFromParent_Done,
     /*  292852 */   // Label 5476: @292852
     /*  292852 */   GIM_Try, /*On fail goto*//*Label 5477*/ GIMT_Encode4(292915), // Rule ID 9247 //
     /*  292857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  292865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  292871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  292874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292896 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  292896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  292899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292913 */     GIR_RootConstrainSelectedInstOperands,
     /*  292914 */     // GIR_Coverage, 9247,
     /*  292914 */     GIR_EraseRootFromParent_Done,
     /*  292915 */   // Label 5477: @292915
     /*  292915 */   GIM_Try, /*On fail goto*//*Label 5478*/ GIMT_Encode4(292978), // Rule ID 9248 //
     /*  292920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  292928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  292931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  292934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292959 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  292962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292976 */     GIR_RootConstrainSelectedInstOperands,
     /*  292977 */     // GIR_Coverage, 9248,
     /*  292977 */     GIR_EraseRootFromParent_Done,
     /*  292978 */   // Label 5478: @292978
     /*  292978 */   GIM_Try, /*On fail goto*//*Label 5479*/ GIMT_Encode4(293041), // Rule ID 9251 //
     /*  292983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  292991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  292997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293022 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  293025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293039 */     GIR_RootConstrainSelectedInstOperands,
     /*  293040 */     // GIR_Coverage, 9251,
     /*  293040 */     GIR_EraseRootFromParent_Done,
     /*  293041 */   // Label 5479: @293041
     /*  293041 */   GIM_Try, /*On fail goto*//*Label 5480*/ GIMT_Encode4(293104), // Rule ID 9252 //
     /*  293046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  293060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293085 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  293088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293102 */     GIR_RootConstrainSelectedInstOperands,
     /*  293103 */     // GIR_Coverage, 9252,
     /*  293103 */     GIR_EraseRootFromParent_Done,
     /*  293104 */   // Label 5480: @293104
     /*  293104 */   GIM_Try, /*On fail goto*//*Label 5481*/ GIMT_Encode4(293167), // Rule ID 9255 //
     /*  293109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  293123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293148 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  293151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293165 */     GIR_RootConstrainSelectedInstOperands,
     /*  293166 */     // GIR_Coverage, 9255,
     /*  293166 */     GIR_EraseRootFromParent_Done,
     /*  293167 */   // Label 5481: @293167
     /*  293167 */   GIM_Try, /*On fail goto*//*Label 5482*/ GIMT_Encode4(293230), // Rule ID 9256 //
     /*  293172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  293186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293211 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  293214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293228 */     GIR_RootConstrainSelectedInstOperands,
     /*  293229 */     // GIR_Coverage, 9256,
     /*  293229 */     GIR_EraseRootFromParent_Done,
     /*  293230 */   // Label 5482: @293230
     /*  293230 */   GIM_Try, /*On fail goto*//*Label 5483*/ GIMT_Encode4(293293), // Rule ID 9259 //
     /*  293235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  293249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293274 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  293277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293291 */     GIR_RootConstrainSelectedInstOperands,
     /*  293292 */     // GIR_Coverage, 9259,
     /*  293292 */     GIR_EraseRootFromParent_Done,
     /*  293293 */   // Label 5483: @293293
     /*  293293 */   GIM_Try, /*On fail goto*//*Label 5484*/ GIMT_Encode4(293356), // Rule ID 9260 //
     /*  293298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  293312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293337 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  293340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293354 */     GIR_RootConstrainSelectedInstOperands,
     /*  293355 */     // GIR_Coverage, 9260,
     /*  293355 */     GIR_EraseRootFromParent_Done,
     /*  293356 */   // Label 5484: @293356
     /*  293356 */   GIM_Try, /*On fail goto*//*Label 5485*/ GIMT_Encode4(293419), // Rule ID 9263 //
     /*  293361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  293375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293400 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  293403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293417 */     GIR_RootConstrainSelectedInstOperands,
     /*  293418 */     // GIR_Coverage, 9263,
     /*  293418 */     GIR_EraseRootFromParent_Done,
     /*  293419 */   // Label 5485: @293419
     /*  293419 */   GIM_Try, /*On fail goto*//*Label 5486*/ GIMT_Encode4(293482), // Rule ID 9264 //
     /*  293424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  293438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293463 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  293466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293480 */     GIR_RootConstrainSelectedInstOperands,
     /*  293481 */     // GIR_Coverage, 9264,
     /*  293481 */     GIR_EraseRootFromParent_Done,
     /*  293482 */   // Label 5486: @293482
     /*  293482 */   GIM_Try, /*On fail goto*//*Label 5487*/ GIMT_Encode4(293545), // Rule ID 9267 //
     /*  293487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  293501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293526 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  293529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293543 */     GIR_RootConstrainSelectedInstOperands,
     /*  293544 */     // GIR_Coverage, 9267,
     /*  293544 */     GIR_EraseRootFromParent_Done,
     /*  293545 */   // Label 5487: @293545
     /*  293545 */   GIM_Try, /*On fail goto*//*Label 5488*/ GIMT_Encode4(293608), // Rule ID 9268 //
     /*  293550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  293564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293589 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  293592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293606 */     GIR_RootConstrainSelectedInstOperands,
     /*  293607 */     // GIR_Coverage, 9268,
     /*  293607 */     GIR_EraseRootFromParent_Done,
     /*  293608 */   // Label 5488: @293608
     /*  293608 */   GIM_Try, /*On fail goto*//*Label 5489*/ GIMT_Encode4(293671), // Rule ID 9271 //
     /*  293613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  293616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  293627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293652 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  293652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  293655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293669 */     GIR_RootConstrainSelectedInstOperands,
     /*  293670 */     // GIR_Coverage, 9271,
     /*  293670 */     GIR_EraseRootFromParent_Done,
     /*  293671 */   // Label 5489: @293671
     /*  293671 */   GIM_Try, /*On fail goto*//*Label 5490*/ GIMT_Encode4(293734), // Rule ID 9272 //
     /*  293676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  293679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  293690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293715 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  293715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  293718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293732 */     GIR_RootConstrainSelectedInstOperands,
     /*  293733 */     // GIR_Coverage, 9272,
     /*  293733 */     GIR_EraseRootFromParent_Done,
     /*  293734 */   // Label 5490: @293734
     /*  293734 */   GIM_Try, /*On fail goto*//*Label 5491*/ GIMT_Encode4(293797), // Rule ID 9275 //
     /*  293739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  293750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  293753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293778 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  293781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293795 */     GIR_RootConstrainSelectedInstOperands,
     /*  293796 */     // GIR_Coverage, 9275,
     /*  293796 */     GIR_EraseRootFromParent_Done,
     /*  293797 */   // Label 5491: @293797
     /*  293797 */   GIM_Try, /*On fail goto*//*Label 5492*/ GIMT_Encode4(293860), // Rule ID 9276 //
     /*  293802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  293813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  293816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293841 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  293844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293858 */     GIR_RootConstrainSelectedInstOperands,
     /*  293859 */     // GIR_Coverage, 9276,
     /*  293859 */     GIR_EraseRootFromParent_Done,
     /*  293860 */   // Label 5492: @293860
     /*  293860 */   GIM_Try, /*On fail goto*//*Label 5493*/ GIMT_Encode4(293923), // Rule ID 9279 //
     /*  293865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  293876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  293879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293904 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  293907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293921 */     GIR_RootConstrainSelectedInstOperands,
     /*  293922 */     // GIR_Coverage, 9279,
     /*  293922 */     GIR_EraseRootFromParent_Done,
     /*  293923 */   // Label 5493: @293923
     /*  293923 */   GIM_Try, /*On fail goto*//*Label 5494*/ GIMT_Encode4(293986), // Rule ID 9280 //
     /*  293928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  293939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  293942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293967 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  293970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293984 */     GIR_RootConstrainSelectedInstOperands,
     /*  293985 */     // GIR_Coverage, 9280,
     /*  293985 */     GIR_EraseRootFromParent_Done,
     /*  293986 */   // Label 5494: @293986
     /*  293986 */   GIM_Try, /*On fail goto*//*Label 5495*/ GIMT_Encode4(294049), // Rule ID 9283 //
     /*  293991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  294002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  294005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294030 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  294033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294047 */     GIR_RootConstrainSelectedInstOperands,
     /*  294048 */     // GIR_Coverage, 9283,
     /*  294048 */     GIR_EraseRootFromParent_Done,
     /*  294049 */   // Label 5495: @294049
     /*  294049 */   GIM_Try, /*On fail goto*//*Label 5496*/ GIMT_Encode4(294112), // Rule ID 9284 //
     /*  294054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  294065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  294068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294093 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  294096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294110 */     GIR_RootConstrainSelectedInstOperands,
     /*  294111 */     // GIR_Coverage, 9284,
     /*  294111 */     GIR_EraseRootFromParent_Done,
     /*  294112 */   // Label 5496: @294112
     /*  294112 */   GIM_Try, /*On fail goto*//*Label 5497*/ GIMT_Encode4(294175), // Rule ID 9287 //
     /*  294117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  294131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294156 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  294159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294173 */     GIR_RootConstrainSelectedInstOperands,
     /*  294174 */     // GIR_Coverage, 9287,
     /*  294174 */     GIR_EraseRootFromParent_Done,
     /*  294175 */   // Label 5497: @294175
     /*  294175 */   GIM_Try, /*On fail goto*//*Label 5498*/ GIMT_Encode4(294238), // Rule ID 9288 //
     /*  294180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  294194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294219 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  294222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294236 */     GIR_RootConstrainSelectedInstOperands,
     /*  294237 */     // GIR_Coverage, 9288,
     /*  294237 */     GIR_EraseRootFromParent_Done,
     /*  294238 */   // Label 5498: @294238
     /*  294238 */   GIM_Try, /*On fail goto*//*Label 5499*/ GIMT_Encode4(294301), // Rule ID 9291 //
     /*  294243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  294257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294282 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  294285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294299 */     GIR_RootConstrainSelectedInstOperands,
     /*  294300 */     // GIR_Coverage, 9291,
     /*  294300 */     GIR_EraseRootFromParent_Done,
     /*  294301 */   // Label 5499: @294301
     /*  294301 */   GIM_Try, /*On fail goto*//*Label 5500*/ GIMT_Encode4(294364), // Rule ID 9292 //
     /*  294306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  294320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294345 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  294348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294362 */     GIR_RootConstrainSelectedInstOperands,
     /*  294363 */     // GIR_Coverage, 9292,
     /*  294363 */     GIR_EraseRootFromParent_Done,
     /*  294364 */   // Label 5500: @294364
     /*  294364 */   GIM_Try, /*On fail goto*//*Label 5501*/ GIMT_Encode4(294427), // Rule ID 9295 //
     /*  294369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  294380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  294383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294408 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  294411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294425 */     GIR_RootConstrainSelectedInstOperands,
     /*  294426 */     // GIR_Coverage, 9295,
     /*  294426 */     GIR_EraseRootFromParent_Done,
     /*  294427 */   // Label 5501: @294427
     /*  294427 */   GIM_Try, /*On fail goto*//*Label 5502*/ GIMT_Encode4(294490), // Rule ID 9296 //
     /*  294432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  294443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  294446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294471 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  294474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294488 */     GIR_RootConstrainSelectedInstOperands,
     /*  294489 */     // GIR_Coverage, 9296,
     /*  294489 */     GIR_EraseRootFromParent_Done,
     /*  294490 */   // Label 5502: @294490
     /*  294490 */   GIM_Try, /*On fail goto*//*Label 5503*/ GIMT_Encode4(294553), // Rule ID 9299 //
     /*  294495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  294509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294534 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  294537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294551 */     GIR_RootConstrainSelectedInstOperands,
     /*  294552 */     // GIR_Coverage, 9299,
     /*  294552 */     GIR_EraseRootFromParent_Done,
     /*  294553 */   // Label 5503: @294553
     /*  294553 */   GIM_Try, /*On fail goto*//*Label 5504*/ GIMT_Encode4(294616), // Rule ID 9300 //
     /*  294558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  294572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294597 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  294600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294614 */     GIR_RootConstrainSelectedInstOperands,
     /*  294615 */     // GIR_Coverage, 9300,
     /*  294615 */     GIR_EraseRootFromParent_Done,
     /*  294616 */   // Label 5504: @294616
     /*  294616 */   GIM_Try, /*On fail goto*//*Label 5505*/ GIMT_Encode4(294679), // Rule ID 9303 //
     /*  294621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  294635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294660 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  294663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294677 */     GIR_RootConstrainSelectedInstOperands,
     /*  294678 */     // GIR_Coverage, 9303,
     /*  294678 */     GIR_EraseRootFromParent_Done,
     /*  294679 */   // Label 5505: @294679
     /*  294679 */   GIM_Try, /*On fail goto*//*Label 5506*/ GIMT_Encode4(294742), // Rule ID 9304 //
     /*  294684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  294698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294723 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  294726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294740 */     GIR_RootConstrainSelectedInstOperands,
     /*  294741 */     // GIR_Coverage, 9304,
     /*  294741 */     GIR_EraseRootFromParent_Done,
     /*  294742 */   // Label 5506: @294742
     /*  294742 */   GIM_Try, /*On fail goto*//*Label 5507*/ GIMT_Encode4(294805), // Rule ID 9307 //
     /*  294747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  294761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294786 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  294789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294803 */     GIR_RootConstrainSelectedInstOperands,
     /*  294804 */     // GIR_Coverage, 9307,
     /*  294804 */     GIR_EraseRootFromParent_Done,
     /*  294805 */   // Label 5507: @294805
     /*  294805 */   GIM_Try, /*On fail goto*//*Label 5508*/ GIMT_Encode4(294868), // Rule ID 9308 //
     /*  294810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  294824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294849 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  294852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294866 */     GIR_RootConstrainSelectedInstOperands,
     /*  294867 */     // GIR_Coverage, 9308,
     /*  294867 */     GIR_EraseRootFromParent_Done,
     /*  294868 */   // Label 5508: @294868
     /*  294868 */   GIM_Try, /*On fail goto*//*Label 5509*/ GIMT_Encode4(294931), // Rule ID 9311 //
     /*  294873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  294876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  294887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294912 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  294912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  294915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294929 */     GIR_RootConstrainSelectedInstOperands,
     /*  294930 */     // GIR_Coverage, 9311,
     /*  294930 */     GIR_EraseRootFromParent_Done,
     /*  294931 */   // Label 5509: @294931
     /*  294931 */   GIM_Try, /*On fail goto*//*Label 5510*/ GIMT_Encode4(294994), // Rule ID 9312 //
     /*  294936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  294939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  294950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294975 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  294975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  294978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294992 */     GIR_RootConstrainSelectedInstOperands,
     /*  294993 */     // GIR_Coverage, 9312,
     /*  294993 */     GIR_EraseRootFromParent_Done,
     /*  294994 */   // Label 5510: @294994
     /*  294994 */   GIM_Try, /*On fail goto*//*Label 5511*/ GIMT_Encode4(295057), // Rule ID 9315 //
     /*  294999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  295002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  295013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295038 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  295038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295055 */     GIR_RootConstrainSelectedInstOperands,
     /*  295056 */     // GIR_Coverage, 9315,
     /*  295056 */     GIR_EraseRootFromParent_Done,
     /*  295057 */   // Label 5511: @295057
     /*  295057 */   GIM_Try, /*On fail goto*//*Label 5512*/ GIMT_Encode4(295120), // Rule ID 9316 //
     /*  295062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  295065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  295076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295101 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  295101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  295104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295118 */     GIR_RootConstrainSelectedInstOperands,
     /*  295119 */     // GIR_Coverage, 9316,
     /*  295119 */     GIR_EraseRootFromParent_Done,
     /*  295120 */   // Label 5512: @295120
     /*  295120 */   GIM_Try, /*On fail goto*//*Label 5513*/ GIMT_Encode4(295183), // Rule ID 9319 //
     /*  295125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  295128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  295139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295164 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  295164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  295167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295181 */     GIR_RootConstrainSelectedInstOperands,
     /*  295182 */     // GIR_Coverage, 9319,
     /*  295182 */     GIR_EraseRootFromParent_Done,
     /*  295183 */   // Label 5513: @295183
     /*  295183 */   GIM_Try, /*On fail goto*//*Label 5514*/ GIMT_Encode4(295246), // Rule ID 9320 //
     /*  295188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  295191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  295202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295227 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  295227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  295230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295244 */     GIR_RootConstrainSelectedInstOperands,
     /*  295245 */     // GIR_Coverage, 9320,
     /*  295245 */     GIR_EraseRootFromParent_Done,
     /*  295246 */   // Label 5514: @295246
     /*  295246 */   GIM_Try, /*On fail goto*//*Label 5515*/ GIMT_Encode4(295309), // Rule ID 9411 //
     /*  295251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  295265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  295268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295290 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  295293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295307 */     GIR_RootConstrainSelectedInstOperands,
     /*  295308 */     // GIR_Coverage, 9411,
     /*  295308 */     GIR_EraseRootFromParent_Done,
     /*  295309 */   // Label 5515: @295309
     /*  295309 */   GIM_Try, /*On fail goto*//*Label 5516*/ GIMT_Encode4(295372), // Rule ID 9412 //
     /*  295314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  295328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  295331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295353 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  295356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295370 */     GIR_RootConstrainSelectedInstOperands,
     /*  295371 */     // GIR_Coverage, 9412,
     /*  295371 */     GIR_EraseRootFromParent_Done,
     /*  295372 */   // Label 5516: @295372
     /*  295372 */   GIM_Try, /*On fail goto*//*Label 5517*/ GIMT_Encode4(295435), // Rule ID 9415 //
     /*  295377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  295391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  295394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295416 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  295419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295433 */     GIR_RootConstrainSelectedInstOperands,
     /*  295434 */     // GIR_Coverage, 9415,
     /*  295434 */     GIR_EraseRootFromParent_Done,
     /*  295435 */   // Label 5517: @295435
     /*  295435 */   GIM_Try, /*On fail goto*//*Label 5518*/ GIMT_Encode4(295498), // Rule ID 9416 //
     /*  295440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  295454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  295457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295479 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  295482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295496 */     GIR_RootConstrainSelectedInstOperands,
     /*  295497 */     // GIR_Coverage, 9416,
     /*  295497 */     GIR_EraseRootFromParent_Done,
     /*  295498 */   // Label 5518: @295498
     /*  295498 */   GIM_Try, /*On fail goto*//*Label 5519*/ GIMT_Encode4(295561), // Rule ID 9419 //
     /*  295503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  295517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  295520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295542 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  295545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295559 */     GIR_RootConstrainSelectedInstOperands,
     /*  295560 */     // GIR_Coverage, 9419,
     /*  295560 */     GIR_EraseRootFromParent_Done,
     /*  295561 */   // Label 5519: @295561
     /*  295561 */   GIM_Try, /*On fail goto*//*Label 5520*/ GIMT_Encode4(295624), // Rule ID 9420 //
     /*  295566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  295580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  295583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295605 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  295608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295622 */     GIR_RootConstrainSelectedInstOperands,
     /*  295623 */     // GIR_Coverage, 9420,
     /*  295623 */     GIR_EraseRootFromParent_Done,
     /*  295624 */   // Label 5520: @295624
     /*  295624 */   GIM_Try, /*On fail goto*//*Label 5521*/ GIMT_Encode4(295687), // Rule ID 9423 //
     /*  295629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  295643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  295646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295668 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  295671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295685 */     GIR_RootConstrainSelectedInstOperands,
     /*  295686 */     // GIR_Coverage, 9423,
     /*  295686 */     GIR_EraseRootFromParent_Done,
     /*  295687 */   // Label 5521: @295687
     /*  295687 */   GIM_Try, /*On fail goto*//*Label 5522*/ GIMT_Encode4(295750), // Rule ID 9424 //
     /*  295692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  295706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  295709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295731 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  295734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295748 */     GIR_RootConstrainSelectedInstOperands,
     /*  295749 */     // GIR_Coverage, 9424,
     /*  295749 */     GIR_EraseRootFromParent_Done,
     /*  295750 */   // Label 5522: @295750
     /*  295750 */   GIM_Try, /*On fail goto*//*Label 5523*/ GIMT_Encode4(295813), // Rule ID 9427 //
     /*  295755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  295769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  295772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295794 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  295797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295811 */     GIR_RootConstrainSelectedInstOperands,
     /*  295812 */     // GIR_Coverage, 9427,
     /*  295812 */     GIR_EraseRootFromParent_Done,
     /*  295813 */   // Label 5523: @295813
     /*  295813 */   GIM_Try, /*On fail goto*//*Label 5524*/ GIMT_Encode4(295876), // Rule ID 9428 //
     /*  295818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  295832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  295835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295857 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  295860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295874 */     GIR_RootConstrainSelectedInstOperands,
     /*  295875 */     // GIR_Coverage, 9428,
     /*  295875 */     GIR_EraseRootFromParent_Done,
     /*  295876 */   // Label 5524: @295876
     /*  295876 */   GIM_Try, /*On fail goto*//*Label 5525*/ GIMT_Encode4(295939), // Rule ID 9431 //
     /*  295881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  295895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  295898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295920 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  295923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295937 */     GIR_RootConstrainSelectedInstOperands,
     /*  295938 */     // GIR_Coverage, 9431,
     /*  295938 */     GIR_EraseRootFromParent_Done,
     /*  295939 */   // Label 5525: @295939
     /*  295939 */   GIM_Try, /*On fail goto*//*Label 5526*/ GIMT_Encode4(296002), // Rule ID 9432 //
     /*  295944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  295952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  295958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  295961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295983 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  295986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296000 */     GIR_RootConstrainSelectedInstOperands,
     /*  296001 */     // GIR_Coverage, 9432,
     /*  296001 */     GIR_EraseRootFromParent_Done,
     /*  296002 */   // Label 5526: @296002
     /*  296002 */   GIM_Try, /*On fail goto*//*Label 5527*/ GIMT_Encode4(296065), // Rule ID 9435 //
     /*  296007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  296021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  296024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296046 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  296049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296063 */     GIR_RootConstrainSelectedInstOperands,
     /*  296064 */     // GIR_Coverage, 9435,
     /*  296064 */     GIR_EraseRootFromParent_Done,
     /*  296065 */   // Label 5527: @296065
     /*  296065 */   GIM_Try, /*On fail goto*//*Label 5528*/ GIMT_Encode4(296128), // Rule ID 9436 //
     /*  296070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  296084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  296087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296109 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  296112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296126 */     GIR_RootConstrainSelectedInstOperands,
     /*  296127 */     // GIR_Coverage, 9436,
     /*  296127 */     GIR_EraseRootFromParent_Done,
     /*  296128 */   // Label 5528: @296128
     /*  296128 */   GIM_Try, /*On fail goto*//*Label 5529*/ GIMT_Encode4(296191), // Rule ID 9439 //
     /*  296133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  296147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  296150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296172 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  296172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  296175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296189 */     GIR_RootConstrainSelectedInstOperands,
     /*  296190 */     // GIR_Coverage, 9439,
     /*  296190 */     GIR_EraseRootFromParent_Done,
     /*  296191 */   // Label 5529: @296191
     /*  296191 */   GIM_Try, /*On fail goto*//*Label 5530*/ GIMT_Encode4(296254), // Rule ID 9440 //
     /*  296196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  296210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  296213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296235 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  296235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  296238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296252 */     GIR_RootConstrainSelectedInstOperands,
     /*  296253 */     // GIR_Coverage, 9440,
     /*  296253 */     GIR_EraseRootFromParent_Done,
     /*  296254 */   // Label 5530: @296254
     /*  296254 */   GIM_Try, /*On fail goto*//*Label 5531*/ GIMT_Encode4(296317), // Rule ID 9443 //
     /*  296259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  296262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  296273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  296276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296298 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  296301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296315 */     GIR_RootConstrainSelectedInstOperands,
     /*  296316 */     // GIR_Coverage, 9443,
     /*  296316 */     GIR_EraseRootFromParent_Done,
     /*  296317 */   // Label 5531: @296317
     /*  296317 */   GIM_Try, /*On fail goto*//*Label 5532*/ GIMT_Encode4(296380), // Rule ID 9444 //
     /*  296322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  296325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  296336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  296339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296361 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  296364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296378 */     GIR_RootConstrainSelectedInstOperands,
     /*  296379 */     // GIR_Coverage, 9444,
     /*  296379 */     GIR_EraseRootFromParent_Done,
     /*  296380 */   // Label 5532: @296380
     /*  296380 */   GIM_Try, /*On fail goto*//*Label 5533*/ GIMT_Encode4(296443), // Rule ID 9447 //
     /*  296385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  296396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  296399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  296402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296424 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  296427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296441 */     GIR_RootConstrainSelectedInstOperands,
     /*  296442 */     // GIR_Coverage, 9447,
     /*  296442 */     GIR_EraseRootFromParent_Done,
     /*  296443 */   // Label 5533: @296443
     /*  296443 */   GIM_Try, /*On fail goto*//*Label 5534*/ GIMT_Encode4(296506), // Rule ID 9448 //
     /*  296448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  296459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  296462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  296465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296487 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  296490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296504 */     GIR_RootConstrainSelectedInstOperands,
     /*  296505 */     // GIR_Coverage, 9448,
     /*  296505 */     GIR_EraseRootFromParent_Done,
     /*  296506 */   // Label 5534: @296506
     /*  296506 */   GIM_Try, /*On fail goto*//*Label 5535*/ GIMT_Encode4(296569), // Rule ID 9451 //
     /*  296511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  296522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  296525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  296528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296550 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  296553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296567 */     GIR_RootConstrainSelectedInstOperands,
     /*  296568 */     // GIR_Coverage, 9451,
     /*  296568 */     GIR_EraseRootFromParent_Done,
     /*  296569 */   // Label 5535: @296569
     /*  296569 */   GIM_Try, /*On fail goto*//*Label 5536*/ GIMT_Encode4(296632), // Rule ID 9452 //
     /*  296574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  296585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  296588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  296591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296613 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  296616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296630 */     GIR_RootConstrainSelectedInstOperands,
     /*  296631 */     // GIR_Coverage, 9452,
     /*  296631 */     GIR_EraseRootFromParent_Done,
     /*  296632 */   // Label 5536: @296632
     /*  296632 */   GIM_Try, /*On fail goto*//*Label 5537*/ GIMT_Encode4(296695), // Rule ID 9455 //
     /*  296637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  296648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  296651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  296654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296676 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  296679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296693 */     GIR_RootConstrainSelectedInstOperands,
     /*  296694 */     // GIR_Coverage, 9455,
     /*  296694 */     GIR_EraseRootFromParent_Done,
     /*  296695 */   // Label 5537: @296695
     /*  296695 */   GIM_Try, /*On fail goto*//*Label 5538*/ GIMT_Encode4(296758), // Rule ID 9456 //
     /*  296700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  296711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  296714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  296717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296739 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  296742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296756 */     GIR_RootConstrainSelectedInstOperands,
     /*  296757 */     // GIR_Coverage, 9456,
     /*  296757 */     GIR_EraseRootFromParent_Done,
     /*  296758 */   // Label 5538: @296758
     /*  296758 */   GIM_Try, /*On fail goto*//*Label 5539*/ GIMT_Encode4(296821), // Rule ID 9459 //
     /*  296763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  296777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  296780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296802 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  296805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296819 */     GIR_RootConstrainSelectedInstOperands,
     /*  296820 */     // GIR_Coverage, 9459,
     /*  296820 */     GIR_EraseRootFromParent_Done,
     /*  296821 */   // Label 5539: @296821
     /*  296821 */   GIM_Try, /*On fail goto*//*Label 5540*/ GIMT_Encode4(296884), // Rule ID 9460 //
     /*  296826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  296840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  296843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296865 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  296868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296882 */     GIR_RootConstrainSelectedInstOperands,
     /*  296883 */     // GIR_Coverage, 9460,
     /*  296883 */     GIR_EraseRootFromParent_Done,
     /*  296884 */   // Label 5540: @296884
     /*  296884 */   GIM_Try, /*On fail goto*//*Label 5541*/ GIMT_Encode4(296947), // Rule ID 9463 //
     /*  296889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  296900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  296903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  296906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296928 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  296931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296945 */     GIR_RootConstrainSelectedInstOperands,
     /*  296946 */     // GIR_Coverage, 9463,
     /*  296946 */     GIR_EraseRootFromParent_Done,
     /*  296947 */   // Label 5541: @296947
     /*  296947 */   GIM_Try, /*On fail goto*//*Label 5542*/ GIMT_Encode4(297010), // Rule ID 9464 //
     /*  296952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  296963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  296966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  296969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296991 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  296994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297008 */     GIR_RootConstrainSelectedInstOperands,
     /*  297009 */     // GIR_Coverage, 9464,
     /*  297009 */     GIR_EraseRootFromParent_Done,
     /*  297010 */   // Label 5542: @297010
     /*  297010 */   GIM_Try, /*On fail goto*//*Label 5543*/ GIMT_Encode4(297073), // Rule ID 9467 //
     /*  297015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  297026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  297029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  297032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297054 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  297057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297071 */     GIR_RootConstrainSelectedInstOperands,
     /*  297072 */     // GIR_Coverage, 9467,
     /*  297072 */     GIR_EraseRootFromParent_Done,
     /*  297073 */   // Label 5543: @297073
     /*  297073 */   GIM_Try, /*On fail goto*//*Label 5544*/ GIMT_Encode4(297136), // Rule ID 9468 //
     /*  297078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  297089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  297092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  297095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297117 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  297120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297134 */     GIR_RootConstrainSelectedInstOperands,
     /*  297135 */     // GIR_Coverage, 9468,
     /*  297135 */     GIR_EraseRootFromParent_Done,
     /*  297136 */   // Label 5544: @297136
     /*  297136 */   GIM_Try, /*On fail goto*//*Label 5545*/ GIMT_Encode4(297199), // Rule ID 9471 //
     /*  297141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  297155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  297158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297180 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  297183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297197 */     GIR_RootConstrainSelectedInstOperands,
     /*  297198 */     // GIR_Coverage, 9471,
     /*  297198 */     GIR_EraseRootFromParent_Done,
     /*  297199 */   // Label 5545: @297199
     /*  297199 */   GIM_Try, /*On fail goto*//*Label 5546*/ GIMT_Encode4(297262), // Rule ID 9472 //
     /*  297204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  297218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  297221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297243 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  297246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297260 */     GIR_RootConstrainSelectedInstOperands,
     /*  297261 */     // GIR_Coverage, 9472,
     /*  297261 */     GIR_EraseRootFromParent_Done,
     /*  297262 */   // Label 5546: @297262
     /*  297262 */   GIM_Try, /*On fail goto*//*Label 5547*/ GIMT_Encode4(297325), // Rule ID 9475 //
     /*  297267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  297281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  297284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297306 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  297309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297323 */     GIR_RootConstrainSelectedInstOperands,
     /*  297324 */     // GIR_Coverage, 9475,
     /*  297324 */     GIR_EraseRootFromParent_Done,
     /*  297325 */   // Label 5547: @297325
     /*  297325 */   GIM_Try, /*On fail goto*//*Label 5548*/ GIMT_Encode4(297388), // Rule ID 9476 //
     /*  297330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  297344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  297347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297369 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  297372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297386 */     GIR_RootConstrainSelectedInstOperands,
     /*  297387 */     // GIR_Coverage, 9476,
     /*  297387 */     GIR_EraseRootFromParent_Done,
     /*  297388 */   // Label 5548: @297388
     /*  297388 */   GIM_Try, /*On fail goto*//*Label 5549*/ GIMT_Encode4(297451), // Rule ID 9479 //
     /*  297393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  297407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  297410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297432 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  297435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297449 */     GIR_RootConstrainSelectedInstOperands,
     /*  297450 */     // GIR_Coverage, 9479,
     /*  297450 */     GIR_EraseRootFromParent_Done,
     /*  297451 */   // Label 5549: @297451
     /*  297451 */   GIM_Try, /*On fail goto*//*Label 5550*/ GIMT_Encode4(297514), // Rule ID 9480 //
     /*  297456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  297470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  297473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297495 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  297498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297512 */     GIR_RootConstrainSelectedInstOperands,
     /*  297513 */     // GIR_Coverage, 9480,
     /*  297513 */     GIR_EraseRootFromParent_Done,
     /*  297514 */   // Label 5550: @297514
     /*  297514 */   GIM_Try, /*On fail goto*//*Label 5551*/ GIMT_Encode4(297577), // Rule ID 9483 //
     /*  297519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  297522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  297533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  297536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297558 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  297558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  297561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297575 */     GIR_RootConstrainSelectedInstOperands,
     /*  297576 */     // GIR_Coverage, 9483,
     /*  297576 */     GIR_EraseRootFromParent_Done,
     /*  297577 */   // Label 5551: @297577
     /*  297577 */   GIM_Try, /*On fail goto*//*Label 5552*/ GIMT_Encode4(297640), // Rule ID 9484 //
     /*  297582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  297585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  297596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  297599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297621 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  297621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  297624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297638 */     GIR_RootConstrainSelectedInstOperands,
     /*  297639 */     // GIR_Coverage, 9484,
     /*  297639 */     GIR_EraseRootFromParent_Done,
     /*  297640 */   // Label 5552: @297640
     /*  297640 */   GIM_Try, /*On fail goto*//*Label 5553*/ GIMT_Encode4(297703), // Rule ID 9487 //
     /*  297645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  297648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  297659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  297662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297684 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  297684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  297687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297701 */     GIR_RootConstrainSelectedInstOperands,
     /*  297702 */     // GIR_Coverage, 9487,
     /*  297702 */     GIR_EraseRootFromParent_Done,
     /*  297703 */   // Label 5553: @297703
     /*  297703 */   GIM_Try, /*On fail goto*//*Label 5554*/ GIMT_Encode4(297766), // Rule ID 9488 //
     /*  297708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  297711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  297722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  297725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297747 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  297747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  297750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297764 */     GIR_RootConstrainSelectedInstOperands,
     /*  297765 */     // GIR_Coverage, 9488,
     /*  297765 */     GIR_EraseRootFromParent_Done,
     /*  297766 */   // Label 5554: @297766
     /*  297766 */   GIM_Try, /*On fail goto*//*Label 5555*/ GIMT_Encode4(297829), // Rule ID 9491 //
     /*  297771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  297774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  297785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  297788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297810 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  297810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  297813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297827 */     GIR_RootConstrainSelectedInstOperands,
     /*  297828 */     // GIR_Coverage, 9491,
     /*  297828 */     GIR_EraseRootFromParent_Done,
     /*  297829 */   // Label 5555: @297829
     /*  297829 */   GIM_Try, /*On fail goto*//*Label 5556*/ GIMT_Encode4(297892), // Rule ID 9492 //
     /*  297834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  297837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  297848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  297851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297873 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  297873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  297876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297890 */     GIR_RootConstrainSelectedInstOperands,
     /*  297891 */     // GIR_Coverage, 9492,
     /*  297891 */     GIR_EraseRootFromParent_Done,
     /*  297892 */   // Label 5556: @297892
     /*  297892 */   GIM_Try, /*On fail goto*//*Label 5557*/ GIMT_Encode4(297955), // Rule ID 9495 //
     /*  297897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  297905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  297911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  297914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297936 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  297939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297953 */     GIR_RootConstrainSelectedInstOperands,
     /*  297954 */     // GIR_Coverage, 9495,
     /*  297954 */     GIR_EraseRootFromParent_Done,
     /*  297955 */   // Label 5557: @297955
     /*  297955 */   GIM_Try, /*On fail goto*//*Label 5558*/ GIMT_Encode4(298018), // Rule ID 9496 //
     /*  297960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  297968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  297974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  297977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297999 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  298002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298016 */     GIR_RootConstrainSelectedInstOperands,
     /*  298017 */     // GIR_Coverage, 9496,
     /*  298017 */     GIR_EraseRootFromParent_Done,
     /*  298018 */   // Label 5558: @298018
     /*  298018 */   GIM_Try, /*On fail goto*//*Label 5559*/ GIMT_Encode4(298081), // Rule ID 9499 //
     /*  298023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  298037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  298040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298062 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  298065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298079 */     GIR_RootConstrainSelectedInstOperands,
     /*  298080 */     // GIR_Coverage, 9499,
     /*  298080 */     GIR_EraseRootFromParent_Done,
     /*  298081 */   // Label 5559: @298081
     /*  298081 */   GIM_Try, /*On fail goto*//*Label 5560*/ GIMT_Encode4(298144), // Rule ID 9500 //
     /*  298086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  298100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  298103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298125 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  298128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298142 */     GIR_RootConstrainSelectedInstOperands,
     /*  298143 */     // GIR_Coverage, 9500,
     /*  298143 */     GIR_EraseRootFromParent_Done,
     /*  298144 */   // Label 5560: @298144
     /*  298144 */   GIM_Try, /*On fail goto*//*Label 5561*/ GIMT_Encode4(298207), // Rule ID 9503 //
     /*  298149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  298163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  298166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298188 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  298191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298205 */     GIR_RootConstrainSelectedInstOperands,
     /*  298206 */     // GIR_Coverage, 9503,
     /*  298206 */     GIR_EraseRootFromParent_Done,
     /*  298207 */   // Label 5561: @298207
     /*  298207 */   GIM_Try, /*On fail goto*//*Label 5562*/ GIMT_Encode4(298270), // Rule ID 9504 //
     /*  298212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  298226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  298229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298251 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  298254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298268 */     GIR_RootConstrainSelectedInstOperands,
     /*  298269 */     // GIR_Coverage, 9504,
     /*  298269 */     GIR_EraseRootFromParent_Done,
     /*  298270 */   // Label 5562: @298270
     /*  298270 */   GIM_Try, /*On fail goto*//*Label 5563*/ GIMT_Encode4(298333), // Rule ID 9507 //
     /*  298275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  298289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  298292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298314 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  298317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298331 */     GIR_RootConstrainSelectedInstOperands,
     /*  298332 */     // GIR_Coverage, 9507,
     /*  298332 */     GIR_EraseRootFromParent_Done,
     /*  298333 */   // Label 5563: @298333
     /*  298333 */   GIM_Try, /*On fail goto*//*Label 5564*/ GIMT_Encode4(298396), // Rule ID 9508 //
     /*  298338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  298352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  298355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298377 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  298380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298394 */     GIR_RootConstrainSelectedInstOperands,
     /*  298395 */     // GIR_Coverage, 9508,
     /*  298395 */     GIR_EraseRootFromParent_Done,
     /*  298396 */   // Label 5564: @298396
     /*  298396 */   GIM_Try, /*On fail goto*//*Label 5565*/ GIMT_Encode4(298459), // Rule ID 9511 //
     /*  298401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  298415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  298418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298440 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  298443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298457 */     GIR_RootConstrainSelectedInstOperands,
     /*  298458 */     // GIR_Coverage, 9511,
     /*  298458 */     GIR_EraseRootFromParent_Done,
     /*  298459 */   // Label 5565: @298459
     /*  298459 */   GIM_Try, /*On fail goto*//*Label 5566*/ GIMT_Encode4(298522), // Rule ID 9512 //
     /*  298464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  298478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  298481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298503 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  298506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298520 */     GIR_RootConstrainSelectedInstOperands,
     /*  298521 */     // GIR_Coverage, 9512,
     /*  298521 */     GIR_EraseRootFromParent_Done,
     /*  298522 */   // Label 5566: @298522
     /*  298522 */   GIM_Try, /*On fail goto*//*Label 5567*/ GIMT_Encode4(298585), // Rule ID 9515 //
     /*  298527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  298541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  298544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298566 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  298569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298583 */     GIR_RootConstrainSelectedInstOperands,
     /*  298584 */     // GIR_Coverage, 9515,
     /*  298584 */     GIR_EraseRootFromParent_Done,
     /*  298585 */   // Label 5567: @298585
     /*  298585 */   GIM_Try, /*On fail goto*//*Label 5568*/ GIMT_Encode4(298648), // Rule ID 9516 //
     /*  298590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  298604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  298607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298629 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  298632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298646 */     GIR_RootConstrainSelectedInstOperands,
     /*  298647 */     // GIR_Coverage, 9516,
     /*  298647 */     GIR_EraseRootFromParent_Done,
     /*  298648 */   // Label 5568: @298648
     /*  298648 */   GIM_Try, /*On fail goto*//*Label 5569*/ GIMT_Encode4(298711), // Rule ID 9519 //
     /*  298653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  298667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  298670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298692 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  298695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298709 */     GIR_RootConstrainSelectedInstOperands,
     /*  298710 */     // GIR_Coverage, 9519,
     /*  298710 */     GIR_EraseRootFromParent_Done,
     /*  298711 */   // Label 5569: @298711
     /*  298711 */   GIM_Try, /*On fail goto*//*Label 5570*/ GIMT_Encode4(298774), // Rule ID 9520 //
     /*  298716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  298730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  298733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298755 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  298758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298772 */     GIR_RootConstrainSelectedInstOperands,
     /*  298773 */     // GIR_Coverage, 9520,
     /*  298773 */     GIR_EraseRootFromParent_Done,
     /*  298774 */   // Label 5570: @298774
     /*  298774 */   GIM_Try, /*On fail goto*//*Label 5571*/ GIMT_Encode4(298837), // Rule ID 9523 //
     /*  298779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  298793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  298796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298818 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  298821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298835 */     GIR_RootConstrainSelectedInstOperands,
     /*  298836 */     // GIR_Coverage, 9523,
     /*  298836 */     GIR_EraseRootFromParent_Done,
     /*  298837 */   // Label 5571: @298837
     /*  298837 */   GIM_Try, /*On fail goto*//*Label 5572*/ GIMT_Encode4(298900), // Rule ID 9524 //
     /*  298842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  298856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  298859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298881 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  298884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298898 */     GIR_RootConstrainSelectedInstOperands,
     /*  298899 */     // GIR_Coverage, 9524,
     /*  298899 */     GIR_EraseRootFromParent_Done,
     /*  298900 */   // Label 5572: @298900
     /*  298900 */   GIM_Try, /*On fail goto*//*Label 5573*/ GIMT_Encode4(298963), // Rule ID 9527 //
     /*  298905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  298919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  298922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298944 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  298947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298961 */     GIR_RootConstrainSelectedInstOperands,
     /*  298962 */     // GIR_Coverage, 9527,
     /*  298962 */     GIR_EraseRootFromParent_Done,
     /*  298963 */   // Label 5573: @298963
     /*  298963 */   GIM_Try, /*On fail goto*//*Label 5574*/ GIMT_Encode4(299026), // Rule ID 9528 //
     /*  298968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  298982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  298985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299007 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  299007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  299010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299024 */     GIR_RootConstrainSelectedInstOperands,
     /*  299025 */     // GIR_Coverage, 9528,
     /*  299025 */     GIR_EraseRootFromParent_Done,
     /*  299026 */   // Label 5574: @299026
     /*  299026 */   GIM_Try, /*On fail goto*//*Label 5575*/ GIMT_Encode4(299089), // Rule ID 9531 //
     /*  299031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  299034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  299045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  299048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299070 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  299070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  299073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299087 */     GIR_RootConstrainSelectedInstOperands,
     /*  299088 */     // GIR_Coverage, 9531,
     /*  299088 */     GIR_EraseRootFromParent_Done,
     /*  299089 */   // Label 5575: @299089
     /*  299089 */   GIM_Try, /*On fail goto*//*Label 5576*/ GIMT_Encode4(299152), // Rule ID 9532 //
     /*  299094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  299097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  299108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  299111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299133 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  299133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  299136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299150 */     GIR_RootConstrainSelectedInstOperands,
     /*  299151 */     // GIR_Coverage, 9532,
     /*  299151 */     GIR_EraseRootFromParent_Done,
     /*  299152 */   // Label 5576: @299152
     /*  299152 */   GIM_Try, /*On fail goto*//*Label 5577*/ GIMT_Encode4(299215), // Rule ID 9535 //
     /*  299157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  299168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  299171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  299174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299196 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  299199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299213 */     GIR_RootConstrainSelectedInstOperands,
     /*  299214 */     // GIR_Coverage, 9535,
     /*  299214 */     GIR_EraseRootFromParent_Done,
     /*  299215 */   // Label 5577: @299215
     /*  299215 */   GIM_Try, /*On fail goto*//*Label 5578*/ GIMT_Encode4(299278), // Rule ID 9536 //
     /*  299220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  299231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  299234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  299237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299259 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  299262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299276 */     GIR_RootConstrainSelectedInstOperands,
     /*  299277 */     // GIR_Coverage, 9536,
     /*  299277 */     GIR_EraseRootFromParent_Done,
     /*  299278 */   // Label 5578: @299278
     /*  299278 */   GIM_Try, /*On fail goto*//*Label 5579*/ GIMT_Encode4(299341), // Rule ID 9539 //
     /*  299283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  299294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  299297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  299300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299322 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  299325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299339 */     GIR_RootConstrainSelectedInstOperands,
     /*  299340 */     // GIR_Coverage, 9539,
     /*  299340 */     GIR_EraseRootFromParent_Done,
     /*  299341 */   // Label 5579: @299341
     /*  299341 */   GIM_Try, /*On fail goto*//*Label 5580*/ GIMT_Encode4(299404), // Rule ID 9540 //
     /*  299346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  299357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  299360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  299363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299385 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  299388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299402 */     GIR_RootConstrainSelectedInstOperands,
     /*  299403 */     // GIR_Coverage, 9540,
     /*  299403 */     GIR_EraseRootFromParent_Done,
     /*  299404 */   // Label 5580: @299404
     /*  299404 */   GIM_Try, /*On fail goto*//*Label 5581*/ GIMT_Encode4(299467), // Rule ID 9543 //
     /*  299409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  299420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  299423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  299426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299448 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  299451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299465 */     GIR_RootConstrainSelectedInstOperands,
     /*  299466 */     // GIR_Coverage, 9543,
     /*  299466 */     GIR_EraseRootFromParent_Done,
     /*  299467 */   // Label 5581: @299467
     /*  299467 */   GIM_Try, /*On fail goto*//*Label 5582*/ GIMT_Encode4(299530), // Rule ID 9544 //
     /*  299472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  299483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  299486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  299489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299511 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  299514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299528 */     GIR_RootConstrainSelectedInstOperands,
     /*  299529 */     // GIR_Coverage, 9544,
     /*  299529 */     GIR_EraseRootFromParent_Done,
     /*  299530 */   // Label 5582: @299530
     /*  299530 */   GIM_Try, /*On fail goto*//*Label 5583*/ GIMT_Encode4(299593), // Rule ID 9547 //
     /*  299535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  299549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  299552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299574 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  299577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299591 */     GIR_RootConstrainSelectedInstOperands,
     /*  299592 */     // GIR_Coverage, 9547,
     /*  299592 */     GIR_EraseRootFromParent_Done,
     /*  299593 */   // Label 5583: @299593
     /*  299593 */   GIM_Try, /*On fail goto*//*Label 5584*/ GIMT_Encode4(299656), // Rule ID 9548 //
     /*  299598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  299612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  299615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299637 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  299640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299654 */     GIR_RootConstrainSelectedInstOperands,
     /*  299655 */     // GIR_Coverage, 9548,
     /*  299655 */     GIR_EraseRootFromParent_Done,
     /*  299656 */   // Label 5584: @299656
     /*  299656 */   GIM_Try, /*On fail goto*//*Label 5585*/ GIMT_Encode4(299719), // Rule ID 9551 //
     /*  299661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  299672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  299675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  299678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299700 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  299703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299717 */     GIR_RootConstrainSelectedInstOperands,
     /*  299718 */     // GIR_Coverage, 9551,
     /*  299718 */     GIR_EraseRootFromParent_Done,
     /*  299719 */   // Label 5585: @299719
     /*  299719 */   GIM_Try, /*On fail goto*//*Label 5586*/ GIMT_Encode4(299782), // Rule ID 9552 //
     /*  299724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  299735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  299738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  299741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299763 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  299766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299780 */     GIR_RootConstrainSelectedInstOperands,
     /*  299781 */     // GIR_Coverage, 9552,
     /*  299781 */     GIR_EraseRootFromParent_Done,
     /*  299782 */   // Label 5586: @299782
     /*  299782 */   GIM_Try, /*On fail goto*//*Label 5587*/ GIMT_Encode4(299845), // Rule ID 9555 //
     /*  299787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  299798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  299801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  299804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299826 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  299829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299843 */     GIR_RootConstrainSelectedInstOperands,
     /*  299844 */     // GIR_Coverage, 9555,
     /*  299844 */     GIR_EraseRootFromParent_Done,
     /*  299845 */   // Label 5587: @299845
     /*  299845 */   GIM_Try, /*On fail goto*//*Label 5588*/ GIMT_Encode4(299908), // Rule ID 9556 //
     /*  299850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  299861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  299864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  299867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299889 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  299892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299906 */     GIR_RootConstrainSelectedInstOperands,
     /*  299907 */     // GIR_Coverage, 9556,
     /*  299907 */     GIR_EraseRootFromParent_Done,
     /*  299908 */   // Label 5588: @299908
     /*  299908 */   GIM_Try, /*On fail goto*//*Label 5589*/ GIMT_Encode4(299971), // Rule ID 9559 //
     /*  299913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  299927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  299930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299952 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  299952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  299955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299969 */     GIR_RootConstrainSelectedInstOperands,
     /*  299970 */     // GIR_Coverage, 9559,
     /*  299970 */     GIR_EraseRootFromParent_Done,
     /*  299971 */   // Label 5589: @299971
     /*  299971 */   GIM_Try, /*On fail goto*//*Label 5590*/ GIMT_Encode4(300034), // Rule ID 9560 //
     /*  299976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  299990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  299993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300015 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  300018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300032 */     GIR_RootConstrainSelectedInstOperands,
     /*  300033 */     // GIR_Coverage, 9560,
     /*  300033 */     GIR_EraseRootFromParent_Done,
     /*  300034 */   // Label 5590: @300034
     /*  300034 */   GIM_Try, /*On fail goto*//*Label 5591*/ GIMT_Encode4(300097), // Rule ID 9563 //
     /*  300039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  300053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  300056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300078 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  300081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300095 */     GIR_RootConstrainSelectedInstOperands,
     /*  300096 */     // GIR_Coverage, 9563,
     /*  300096 */     GIR_EraseRootFromParent_Done,
     /*  300097 */   // Label 5591: @300097
     /*  300097 */   GIM_Try, /*On fail goto*//*Label 5592*/ GIMT_Encode4(300160), // Rule ID 9564 //
     /*  300102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  300116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  300119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300141 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  300144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300158 */     GIR_RootConstrainSelectedInstOperands,
     /*  300159 */     // GIR_Coverage, 9564,
     /*  300159 */     GIR_EraseRootFromParent_Done,
     /*  300160 */   // Label 5592: @300160
     /*  300160 */   GIM_Try, /*On fail goto*//*Label 5593*/ GIMT_Encode4(300223), // Rule ID 9567 //
     /*  300165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  300179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  300182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300204 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  300207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300221 */     GIR_RootConstrainSelectedInstOperands,
     /*  300222 */     // GIR_Coverage, 9567,
     /*  300222 */     GIR_EraseRootFromParent_Done,
     /*  300223 */   // Label 5593: @300223
     /*  300223 */   GIM_Try, /*On fail goto*//*Label 5594*/ GIMT_Encode4(300286), // Rule ID 9568 //
     /*  300228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  300242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  300245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300267 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  300270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300284 */     GIR_RootConstrainSelectedInstOperands,
     /*  300285 */     // GIR_Coverage, 9568,
     /*  300285 */     GIR_EraseRootFromParent_Done,
     /*  300286 */   // Label 5594: @300286
     /*  300286 */   GIM_Try, /*On fail goto*//*Label 5595*/ GIMT_Encode4(300349), // Rule ID 9571 //
     /*  300291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  300294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  300305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  300308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300330 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  300330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  300333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300347 */     GIR_RootConstrainSelectedInstOperands,
     /*  300348 */     // GIR_Coverage, 9571,
     /*  300348 */     GIR_EraseRootFromParent_Done,
     /*  300349 */   // Label 5595: @300349
     /*  300349 */   GIM_Try, /*On fail goto*//*Label 5596*/ GIMT_Encode4(300412), // Rule ID 9572 //
     /*  300354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  300357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  300368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  300371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300393 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  300393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  300396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300410 */     GIR_RootConstrainSelectedInstOperands,
     /*  300411 */     // GIR_Coverage, 9572,
     /*  300411 */     GIR_EraseRootFromParent_Done,
     /*  300412 */   // Label 5596: @300412
     /*  300412 */   GIM_Try, /*On fail goto*//*Label 5597*/ GIMT_Encode4(300475), // Rule ID 9575 //
     /*  300417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  300420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  300431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  300434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300456 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  300456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  300459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300473 */     GIR_RootConstrainSelectedInstOperands,
     /*  300474 */     // GIR_Coverage, 9575,
     /*  300474 */     GIR_EraseRootFromParent_Done,
     /*  300475 */   // Label 5597: @300475
     /*  300475 */   GIM_Try, /*On fail goto*//*Label 5598*/ GIMT_Encode4(300538), // Rule ID 9576 //
     /*  300480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  300483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  300494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  300497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300519 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  300519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  300522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300536 */     GIR_RootConstrainSelectedInstOperands,
     /*  300537 */     // GIR_Coverage, 9576,
     /*  300537 */     GIR_EraseRootFromParent_Done,
     /*  300538 */   // Label 5598: @300538
     /*  300538 */   GIM_Try, /*On fail goto*//*Label 5599*/ GIMT_Encode4(300601), // Rule ID 9579 //
     /*  300543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  300546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  300557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  300560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300582 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  300582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  300585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300599 */     GIR_RootConstrainSelectedInstOperands,
     /*  300600 */     // GIR_Coverage, 9579,
     /*  300600 */     GIR_EraseRootFromParent_Done,
     /*  300601 */   // Label 5599: @300601
     /*  300601 */   GIM_Try, /*On fail goto*//*Label 5600*/ GIMT_Encode4(300664), // Rule ID 9580 //
     /*  300606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  300609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  300620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  300623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300645 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  300645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  300648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300662 */     GIR_RootConstrainSelectedInstOperands,
     /*  300663 */     // GIR_Coverage, 9580,
     /*  300663 */     GIR_EraseRootFromParent_Done,
     /*  300664 */   // Label 5600: @300664
     /*  300664 */   GIM_Try, /*On fail goto*//*Label 5601*/ GIMT_Encode4(300727), // Rule ID 9583 //
     /*  300669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  300677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  300683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  300686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300708 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  300711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300725 */     GIR_RootConstrainSelectedInstOperands,
     /*  300726 */     // GIR_Coverage, 9583,
     /*  300726 */     GIR_EraseRootFromParent_Done,
     /*  300727 */   // Label 5601: @300727
     /*  300727 */   GIM_Try, /*On fail goto*//*Label 5602*/ GIMT_Encode4(300790), // Rule ID 9584 //
     /*  300732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  300740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  300746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  300749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300771 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  300774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300788 */     GIR_RootConstrainSelectedInstOperands,
     /*  300789 */     // GIR_Coverage, 9584,
     /*  300789 */     GIR_EraseRootFromParent_Done,
     /*  300790 */   // Label 5602: @300790
     /*  300790 */   GIM_Try, /*On fail goto*//*Label 5603*/ GIMT_Encode4(300853), // Rule ID 9587 //
     /*  300795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  300803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  300809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  300812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300834 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  300837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300851 */     GIR_RootConstrainSelectedInstOperands,
     /*  300852 */     // GIR_Coverage, 9587,
     /*  300852 */     GIR_EraseRootFromParent_Done,
     /*  300853 */   // Label 5603: @300853
     /*  300853 */   GIM_Try, /*On fail goto*//*Label 5604*/ GIMT_Encode4(300916), // Rule ID 9588 //
     /*  300858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  300866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  300872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  300875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300897 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  300900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300914 */     GIR_RootConstrainSelectedInstOperands,
     /*  300915 */     // GIR_Coverage, 9588,
     /*  300915 */     GIR_EraseRootFromParent_Done,
     /*  300916 */   // Label 5604: @300916
     /*  300916 */   GIM_Try, /*On fail goto*//*Label 5605*/ GIMT_Encode4(300979), // Rule ID 9591 //
     /*  300921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  300929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  300935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  300938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300960 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  300963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300977 */     GIR_RootConstrainSelectedInstOperands,
     /*  300978 */     // GIR_Coverage, 9591,
     /*  300978 */     GIR_EraseRootFromParent_Done,
     /*  300979 */   // Label 5605: @300979
     /*  300979 */   GIM_Try, /*On fail goto*//*Label 5606*/ GIMT_Encode4(301042), // Rule ID 9592 //
     /*  300984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  300992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  300998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  301001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301023 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  301026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301040 */     GIR_RootConstrainSelectedInstOperands,
     /*  301041 */     // GIR_Coverage, 9592,
     /*  301041 */     GIR_EraseRootFromParent_Done,
     /*  301042 */   // Label 5606: @301042
     /*  301042 */   GIM_Try, /*On fail goto*//*Label 5607*/ GIMT_Encode4(301105), // Rule ID 9595 //
     /*  301047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  301061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  301064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301086 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  301089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301103 */     GIR_RootConstrainSelectedInstOperands,
     /*  301104 */     // GIR_Coverage, 9595,
     /*  301104 */     GIR_EraseRootFromParent_Done,
     /*  301105 */   // Label 5607: @301105
     /*  301105 */   GIM_Try, /*On fail goto*//*Label 5608*/ GIMT_Encode4(301168), // Rule ID 9596 //
     /*  301110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  301124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  301127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301149 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  301152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301166 */     GIR_RootConstrainSelectedInstOperands,
     /*  301167 */     // GIR_Coverage, 9596,
     /*  301167 */     GIR_EraseRootFromParent_Done,
     /*  301168 */   // Label 5608: @301168
     /*  301168 */   GIM_Try, /*On fail goto*//*Label 5609*/ GIMT_Encode4(301231), // Rule ID 9599 //
     /*  301173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  301187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  301190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301212 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  301215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301229 */     GIR_RootConstrainSelectedInstOperands,
     /*  301230 */     // GIR_Coverage, 9599,
     /*  301230 */     GIR_EraseRootFromParent_Done,
     /*  301231 */   // Label 5609: @301231
     /*  301231 */   GIM_Try, /*On fail goto*//*Label 5610*/ GIMT_Encode4(301294), // Rule ID 9600 //
     /*  301236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  301250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  301253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301275 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  301278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301292 */     GIR_RootConstrainSelectedInstOperands,
     /*  301293 */     // GIR_Coverage, 9600,
     /*  301293 */     GIR_EraseRootFromParent_Done,
     /*  301294 */   // Label 5610: @301294
     /*  301294 */   GIM_Try, /*On fail goto*//*Label 5611*/ GIMT_Encode4(301357), // Rule ID 9603 //
     /*  301299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  301313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  301316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301338 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  301341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301355 */     GIR_RootConstrainSelectedInstOperands,
     /*  301356 */     // GIR_Coverage, 9603,
     /*  301356 */     GIR_EraseRootFromParent_Done,
     /*  301357 */   // Label 5611: @301357
     /*  301357 */   GIM_Try, /*On fail goto*//*Label 5612*/ GIMT_Encode4(301420), // Rule ID 9604 //
     /*  301362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  301376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  301379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301401 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  301404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301418 */     GIR_RootConstrainSelectedInstOperands,
     /*  301419 */     // GIR_Coverage, 9604,
     /*  301419 */     GIR_EraseRootFromParent_Done,
     /*  301420 */   // Label 5612: @301420
     /*  301420 */   GIM_Try, /*On fail goto*//*Label 5613*/ GIMT_Encode4(301483), // Rule ID 9607 //
     /*  301425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  301439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  301442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301464 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  301467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301481 */     GIR_RootConstrainSelectedInstOperands,
     /*  301482 */     // GIR_Coverage, 9607,
     /*  301482 */     GIR_EraseRootFromParent_Done,
     /*  301483 */   // Label 5613: @301483
     /*  301483 */   GIM_Try, /*On fail goto*//*Label 5614*/ GIMT_Encode4(301546), // Rule ID 9608 //
     /*  301488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  301502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  301505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301527 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  301530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301544 */     GIR_RootConstrainSelectedInstOperands,
     /*  301545 */     // GIR_Coverage, 9608,
     /*  301545 */     GIR_EraseRootFromParent_Done,
     /*  301546 */   // Label 5614: @301546
     /*  301546 */   GIM_Try, /*On fail goto*//*Label 5615*/ GIMT_Encode4(301609), // Rule ID 9611 //
     /*  301551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  301565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  301568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301590 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  301593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301607 */     GIR_RootConstrainSelectedInstOperands,
     /*  301608 */     // GIR_Coverage, 9611,
     /*  301608 */     GIR_EraseRootFromParent_Done,
     /*  301609 */   // Label 5615: @301609
     /*  301609 */   GIM_Try, /*On fail goto*//*Label 5616*/ GIMT_Encode4(301672), // Rule ID 9612 //
     /*  301614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  301628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  301631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301653 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  301656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301670 */     GIR_RootConstrainSelectedInstOperands,
     /*  301671 */     // GIR_Coverage, 9612,
     /*  301671 */     GIR_EraseRootFromParent_Done,
     /*  301672 */   // Label 5616: @301672
     /*  301672 */   GIM_Try, /*On fail goto*//*Label 5617*/ GIMT_Encode4(301735), // Rule ID 9615 //
     /*  301677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  301691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  301694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301716 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  301719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301733 */     GIR_RootConstrainSelectedInstOperands,
     /*  301734 */     // GIR_Coverage, 9615,
     /*  301734 */     GIR_EraseRootFromParent_Done,
     /*  301735 */   // Label 5617: @301735
     /*  301735 */   GIM_Try, /*On fail goto*//*Label 5618*/ GIMT_Encode4(301798), // Rule ID 9616 //
     /*  301740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  301754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  301757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301779 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  301782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301796 */     GIR_RootConstrainSelectedInstOperands,
     /*  301797 */     // GIR_Coverage, 9616,
     /*  301797 */     GIR_EraseRootFromParent_Done,
     /*  301798 */   // Label 5618: @301798
     /*  301798 */   GIM_Try, /*On fail goto*//*Label 5619*/ GIMT_Encode4(301861), // Rule ID 9619 //
     /*  301803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  301806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  301817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  301820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301842 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  301842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  301845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301859 */     GIR_RootConstrainSelectedInstOperands,
     /*  301860 */     // GIR_Coverage, 9619,
     /*  301860 */     GIR_EraseRootFromParent_Done,
     /*  301861 */   // Label 5619: @301861
     /*  301861 */   GIM_Try, /*On fail goto*//*Label 5620*/ GIMT_Encode4(301924), // Rule ID 9620 //
     /*  301866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  301869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  301880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  301883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301905 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  301905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  301908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301922 */     GIR_RootConstrainSelectedInstOperands,
     /*  301923 */     // GIR_Coverage, 9620,
     /*  301923 */     GIR_EraseRootFromParent_Done,
     /*  301924 */   // Label 5620: @301924
     /*  301924 */   GIM_Try, /*On fail goto*//*Label 5621*/ GIMT_Encode4(301987), // Rule ID 9623 //
     /*  301929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  301937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  301943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  301946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301968 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  301971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301985 */     GIR_RootConstrainSelectedInstOperands,
     /*  301986 */     // GIR_Coverage, 9623,
     /*  301986 */     GIR_EraseRootFromParent_Done,
     /*  301987 */   // Label 5621: @301987
     /*  301987 */   GIM_Try, /*On fail goto*//*Label 5622*/ GIMT_Encode4(302050), // Rule ID 9624 //
     /*  301992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  302003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  302006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  302009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302031 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  302034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302048 */     GIR_RootConstrainSelectedInstOperands,
     /*  302049 */     // GIR_Coverage, 9624,
     /*  302049 */     GIR_EraseRootFromParent_Done,
     /*  302050 */   // Label 5622: @302050
     /*  302050 */   GIM_Try, /*On fail goto*//*Label 5623*/ GIMT_Encode4(302113), // Rule ID 9627 //
     /*  302055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  302066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  302069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  302072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302094 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  302097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302111 */     GIR_RootConstrainSelectedInstOperands,
     /*  302112 */     // GIR_Coverage, 9627,
     /*  302112 */     GIR_EraseRootFromParent_Done,
     /*  302113 */   // Label 5623: @302113
     /*  302113 */   GIM_Try, /*On fail goto*//*Label 5624*/ GIMT_Encode4(302176), // Rule ID 9628 //
     /*  302118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  302129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  302132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  302135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302157 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  302160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302174 */     GIR_RootConstrainSelectedInstOperands,
     /*  302175 */     // GIR_Coverage, 9628,
     /*  302175 */     GIR_EraseRootFromParent_Done,
     /*  302176 */   // Label 5624: @302176
     /*  302176 */   GIM_Try, /*On fail goto*//*Label 5625*/ GIMT_Encode4(302239), // Rule ID 9631 //
     /*  302181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  302192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  302195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  302198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302220 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  302223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302237 */     GIR_RootConstrainSelectedInstOperands,
     /*  302238 */     // GIR_Coverage, 9631,
     /*  302238 */     GIR_EraseRootFromParent_Done,
     /*  302239 */   // Label 5625: @302239
     /*  302239 */   GIM_Try, /*On fail goto*//*Label 5626*/ GIMT_Encode4(302302), // Rule ID 9632 //
     /*  302244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  302255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  302258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  302261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302283 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  302286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302300 */     GIR_RootConstrainSelectedInstOperands,
     /*  302301 */     // GIR_Coverage, 9632,
     /*  302301 */     GIR_EraseRootFromParent_Done,
     /*  302302 */   // Label 5626: @302302
     /*  302302 */   GIM_Try, /*On fail goto*//*Label 5627*/ GIMT_Encode4(302365), // Rule ID 9635 //
     /*  302307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  302321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  302324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302346 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  302349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302363 */     GIR_RootConstrainSelectedInstOperands,
     /*  302364 */     // GIR_Coverage, 9635,
     /*  302364 */     GIR_EraseRootFromParent_Done,
     /*  302365 */   // Label 5627: @302365
     /*  302365 */   GIM_Try, /*On fail goto*//*Label 5628*/ GIMT_Encode4(302428), // Rule ID 9636 //
     /*  302370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  302384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  302387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302409 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  302412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302426 */     GIR_RootConstrainSelectedInstOperands,
     /*  302427 */     // GIR_Coverage, 9636,
     /*  302427 */     GIR_EraseRootFromParent_Done,
     /*  302428 */   // Label 5628: @302428
     /*  302428 */   GIM_Try, /*On fail goto*//*Label 5629*/ GIMT_Encode4(302491), // Rule ID 9639 //
     /*  302433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  302444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  302447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  302450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302472 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  302475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302489 */     GIR_RootConstrainSelectedInstOperands,
     /*  302490 */     // GIR_Coverage, 9639,
     /*  302490 */     GIR_EraseRootFromParent_Done,
     /*  302491 */   // Label 5629: @302491
     /*  302491 */   GIM_Try, /*On fail goto*//*Label 5630*/ GIMT_Encode4(302554), // Rule ID 9640 //
     /*  302496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  302507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  302510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  302513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302535 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  302538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302552 */     GIR_RootConstrainSelectedInstOperands,
     /*  302553 */     // GIR_Coverage, 9640,
     /*  302553 */     GIR_EraseRootFromParent_Done,
     /*  302554 */   // Label 5630: @302554
     /*  302554 */   GIM_Try, /*On fail goto*//*Label 5631*/ GIMT_Encode4(302617), // Rule ID 9643 //
     /*  302559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  302570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  302573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  302576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302598 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  302601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302615 */     GIR_RootConstrainSelectedInstOperands,
     /*  302616 */     // GIR_Coverage, 9643,
     /*  302616 */     GIR_EraseRootFromParent_Done,
     /*  302617 */   // Label 5631: @302617
     /*  302617 */   GIM_Try, /*On fail goto*//*Label 5632*/ GIMT_Encode4(302680), // Rule ID 9644 //
     /*  302622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  302633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  302636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  302639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302661 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  302664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302678 */     GIR_RootConstrainSelectedInstOperands,
     /*  302679 */     // GIR_Coverage, 9644,
     /*  302679 */     GIR_EraseRootFromParent_Done,
     /*  302680 */   // Label 5632: @302680
     /*  302680 */   GIM_Try, /*On fail goto*//*Label 5633*/ GIMT_Encode4(302743), // Rule ID 9647 //
     /*  302685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  302699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  302702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302724 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  302727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302741 */     GIR_RootConstrainSelectedInstOperands,
     /*  302742 */     // GIR_Coverage, 9647,
     /*  302742 */     GIR_EraseRootFromParent_Done,
     /*  302743 */   // Label 5633: @302743
     /*  302743 */   GIM_Try, /*On fail goto*//*Label 5634*/ GIMT_Encode4(302806), // Rule ID 9648 //
     /*  302748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  302762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  302765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302787 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  302787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  302790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302804 */     GIR_RootConstrainSelectedInstOperands,
     /*  302805 */     // GIR_Coverage, 9648,
     /*  302805 */     GIR_EraseRootFromParent_Done,
     /*  302806 */   // Label 5634: @302806
     /*  302806 */   GIM_Try, /*On fail goto*//*Label 5635*/ GIMT_Encode4(302869), // Rule ID 9651 //
     /*  302811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  302825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  302828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302850 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  302853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302867 */     GIR_RootConstrainSelectedInstOperands,
     /*  302868 */     // GIR_Coverage, 9651,
     /*  302868 */     GIR_EraseRootFromParent_Done,
     /*  302869 */   // Label 5635: @302869
     /*  302869 */   GIM_Try, /*On fail goto*//*Label 5636*/ GIMT_Encode4(302932), // Rule ID 9652 //
     /*  302874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  302888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  302891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302913 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  302913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  302916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302930 */     GIR_RootConstrainSelectedInstOperands,
     /*  302931 */     // GIR_Coverage, 9652,
     /*  302931 */     GIR_EraseRootFromParent_Done,
     /*  302932 */   // Label 5636: @302932
     /*  302932 */   GIM_Try, /*On fail goto*//*Label 5637*/ GIMT_Encode4(302995), // Rule ID 9655 //
     /*  302937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  302945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  302948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  302951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  302954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302976 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  302979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302993 */     GIR_RootConstrainSelectedInstOperands,
     /*  302994 */     // GIR_Coverage, 9655,
     /*  302994 */     GIR_EraseRootFromParent_Done,
     /*  302995 */   // Label 5637: @302995
     /*  302995 */   GIM_Try, /*On fail goto*//*Label 5638*/ GIMT_Encode4(303058), // Rule ID 9656 //
     /*  303000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  303014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  303017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303039 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  303039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  303042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303056 */     GIR_RootConstrainSelectedInstOperands,
     /*  303057 */     // GIR_Coverage, 9656,
     /*  303057 */     GIR_EraseRootFromParent_Done,
     /*  303058 */   // Label 5638: @303058
     /*  303058 */   GIM_Try, /*On fail goto*//*Label 5639*/ GIMT_Encode4(303121), // Rule ID 9659 //
     /*  303063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  303066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  303077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  303080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303102 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  303102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  303105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303119 */     GIR_RootConstrainSelectedInstOperands,
     /*  303120 */     // GIR_Coverage, 9659,
     /*  303120 */     GIR_EraseRootFromParent_Done,
     /*  303121 */   // Label 5639: @303121
     /*  303121 */   GIM_Try, /*On fail goto*//*Label 5640*/ GIMT_Encode4(303184), // Rule ID 9660 //
     /*  303126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  303129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  303140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  303143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303165 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  303165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  303168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303182 */     GIR_RootConstrainSelectedInstOperands,
     /*  303183 */     // GIR_Coverage, 9660,
     /*  303183 */     GIR_EraseRootFromParent_Done,
     /*  303184 */   // Label 5640: @303184
     /*  303184 */   GIM_Try, /*On fail goto*//*Label 5641*/ GIMT_Encode4(303247), // Rule ID 9663 //
     /*  303189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  303192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  303203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  303206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303228 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  303228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  303231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303245 */     GIR_RootConstrainSelectedInstOperands,
     /*  303246 */     // GIR_Coverage, 9663,
     /*  303246 */     GIR_EraseRootFromParent_Done,
     /*  303247 */   // Label 5641: @303247
     /*  303247 */   GIM_Try, /*On fail goto*//*Label 5642*/ GIMT_Encode4(303310), // Rule ID 9664 //
     /*  303252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  303255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  303266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  303269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303291 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  303291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  303294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303308 */     GIR_RootConstrainSelectedInstOperands,
     /*  303309 */     // GIR_Coverage, 9664,
     /*  303309 */     GIR_EraseRootFromParent_Done,
     /*  303310 */   // Label 5642: @303310
     /*  303310 */   GIM_Try, /*On fail goto*//*Label 5643*/ GIMT_Encode4(303373), // Rule ID 9667 //
     /*  303315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  303318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  303329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  303332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303354 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  303354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  303357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303371 */     GIR_RootConstrainSelectedInstOperands,
     /*  303372 */     // GIR_Coverage, 9667,
     /*  303372 */     GIR_EraseRootFromParent_Done,
     /*  303373 */   // Label 5643: @303373
     /*  303373 */   GIM_Try, /*On fail goto*//*Label 5644*/ GIMT_Encode4(303436), // Rule ID 9668 //
     /*  303378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  303381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  303386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  303392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  303395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303417 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  303417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  303420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303434 */     GIR_RootConstrainSelectedInstOperands,
     /*  303435 */     // GIR_Coverage, 9668,
     /*  303435 */     GIR_EraseRootFromParent_Done,
     /*  303436 */   // Label 5644: @303436
     /*  303436 */   GIM_Try, /*On fail goto*//*Label 5645*/ GIMT_Encode4(303499), // Rule ID 9671 //
     /*  303441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  303449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  303455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  303458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303480 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  303483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303497 */     GIR_RootConstrainSelectedInstOperands,
     /*  303498 */     // GIR_Coverage, 9671,
     /*  303498 */     GIR_EraseRootFromParent_Done,
     /*  303499 */   // Label 5645: @303499
     /*  303499 */   GIM_Try, /*On fail goto*//*Label 5646*/ GIMT_Encode4(303562), // Rule ID 9672 //
     /*  303504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  303512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  303518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  303521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303543 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  303546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303560 */     GIR_RootConstrainSelectedInstOperands,
     /*  303561 */     // GIR_Coverage, 9672,
     /*  303561 */     GIR_EraseRootFromParent_Done,
     /*  303562 */   // Label 5646: @303562
     /*  303562 */   GIM_Try, /*On fail goto*//*Label 5647*/ GIMT_Encode4(303625), // Rule ID 9675 //
     /*  303567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  303575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  303581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  303584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303606 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  303609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303623 */     GIR_RootConstrainSelectedInstOperands,
     /*  303624 */     // GIR_Coverage, 9675,
     /*  303624 */     GIR_EraseRootFromParent_Done,
     /*  303625 */   // Label 5647: @303625
     /*  303625 */   GIM_Try, /*On fail goto*//*Label 5648*/ GIMT_Encode4(303688), // Rule ID 9676 //
     /*  303630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  303638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  303644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  303647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303669 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  303672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303686 */     GIR_RootConstrainSelectedInstOperands,
     /*  303687 */     // GIR_Coverage, 9676,
     /*  303687 */     GIR_EraseRootFromParent_Done,
     /*  303688 */   // Label 5648: @303688
     /*  303688 */   GIM_Try, /*On fail goto*//*Label 5649*/ GIMT_Encode4(303751), // Rule ID 9679 //
     /*  303693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  303701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  303707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  303710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303732 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  303735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303749 */     GIR_RootConstrainSelectedInstOperands,
     /*  303750 */     // GIR_Coverage, 9679,
     /*  303750 */     GIR_EraseRootFromParent_Done,
     /*  303751 */   // Label 5649: @303751
     /*  303751 */   GIM_Try, /*On fail goto*//*Label 5650*/ GIMT_Encode4(303814), // Rule ID 9680 //
     /*  303756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  303764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  303770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  303773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303795 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  303798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303812 */     GIR_RootConstrainSelectedInstOperands,
     /*  303813 */     // GIR_Coverage, 9680,
     /*  303813 */     GIR_EraseRootFromParent_Done,
     /*  303814 */   // Label 5650: @303814
     /*  303814 */   GIM_Try, /*On fail goto*//*Label 5651*/ GIMT_Encode4(303877), // Rule ID 9683 //
     /*  303819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  303827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  303833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  303836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303858 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  303858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  303861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303875 */     GIR_RootConstrainSelectedInstOperands,
     /*  303876 */     // GIR_Coverage, 9683,
     /*  303876 */     GIR_EraseRootFromParent_Done,
     /*  303877 */   // Label 5651: @303877
     /*  303877 */   GIM_Try, /*On fail goto*//*Label 5652*/ GIMT_Encode4(303940), // Rule ID 9684 //
     /*  303882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  303890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  303893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  303896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  303899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303921 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  303921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  303924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303938 */     GIR_RootConstrainSelectedInstOperands,
     /*  303939 */     // GIR_Coverage, 9684,
     /*  303939 */     GIR_EraseRootFromParent_Done,
     /*  303940 */   // Label 5652: @303940
     /*  303940 */   GIM_Try, /*On fail goto*//*Label 5653*/ GIMT_Encode4(304003), // Rule ID 9687 //
     /*  303945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  303953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  303959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  303962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303984 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  303984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  303987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304001 */     GIR_RootConstrainSelectedInstOperands,
     /*  304002 */     // GIR_Coverage, 9687,
     /*  304002 */     GIR_EraseRootFromParent_Done,
     /*  304003 */   // Label 5653: @304003
     /*  304003 */   GIM_Try, /*On fail goto*//*Label 5654*/ GIMT_Encode4(304066), // Rule ID 9688 //
     /*  304008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  304022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  304025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304047 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  304047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  304050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304064 */     GIR_RootConstrainSelectedInstOperands,
     /*  304065 */     // GIR_Coverage, 9688,
     /*  304065 */     GIR_EraseRootFromParent_Done,
     /*  304066 */   // Label 5654: @304066
     /*  304066 */   GIM_Try, /*On fail goto*//*Label 5655*/ GIMT_Encode4(304129), // Rule ID 9691 //
     /*  304071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  304085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  304088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304110 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  304110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  304113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304127 */     GIR_RootConstrainSelectedInstOperands,
     /*  304128 */     // GIR_Coverage, 9691,
     /*  304128 */     GIR_EraseRootFromParent_Done,
     /*  304129 */   // Label 5655: @304129
     /*  304129 */   GIM_Try, /*On fail goto*//*Label 5656*/ GIMT_Encode4(304192), // Rule ID 9692 //
     /*  304134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  304148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  304151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304173 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  304173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  304176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304190 */     GIR_RootConstrainSelectedInstOperands,
     /*  304191 */     // GIR_Coverage, 9692,
     /*  304191 */     GIR_EraseRootFromParent_Done,
     /*  304192 */   // Label 5656: @304192
     /*  304192 */   GIM_Try, /*On fail goto*//*Label 5657*/ GIMT_Encode4(304255), // Rule ID 9695 //
     /*  304197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  304211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  304214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304236 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  304239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304253 */     GIR_RootConstrainSelectedInstOperands,
     /*  304254 */     // GIR_Coverage, 9695,
     /*  304254 */     GIR_EraseRootFromParent_Done,
     /*  304255 */   // Label 5657: @304255
     /*  304255 */   GIM_Try, /*On fail goto*//*Label 5658*/ GIMT_Encode4(304318), // Rule ID 9696 //
     /*  304260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  304274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  304277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304299 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  304299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  304302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304316 */     GIR_RootConstrainSelectedInstOperands,
     /*  304317 */     // GIR_Coverage, 9696,
     /*  304317 */     GIR_EraseRootFromParent_Done,
     /*  304318 */   // Label 5658: @304318
     /*  304318 */   GIM_Try, /*On fail goto*//*Label 5659*/ GIMT_Encode4(304381), // Rule ID 9699 //
     /*  304323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  304337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  304340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304362 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  304362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  304365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304379 */     GIR_RootConstrainSelectedInstOperands,
     /*  304380 */     // GIR_Coverage, 9699,
     /*  304380 */     GIR_EraseRootFromParent_Done,
     /*  304381 */   // Label 5659: @304381
     /*  304381 */   GIM_Try, /*On fail goto*//*Label 5660*/ GIMT_Encode4(304444), // Rule ID 9700 //
     /*  304386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  304400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  304403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304425 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  304425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  304428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304442 */     GIR_RootConstrainSelectedInstOperands,
     /*  304443 */     // GIR_Coverage, 9700,
     /*  304443 */     GIR_EraseRootFromParent_Done,
     /*  304444 */   // Label 5660: @304444
     /*  304444 */   GIM_Try, /*On fail goto*//*Label 5661*/ GIMT_Encode4(304507), // Rule ID 9703 //
     /*  304449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  304463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  304466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304488 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  304488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  304491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304505 */     GIR_RootConstrainSelectedInstOperands,
     /*  304506 */     // GIR_Coverage, 9703,
     /*  304506 */     GIR_EraseRootFromParent_Done,
     /*  304507 */   // Label 5661: @304507
     /*  304507 */   GIM_Try, /*On fail goto*//*Label 5662*/ GIMT_Encode4(304570), // Rule ID 9704 //
     /*  304512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  304526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  304529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304551 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  304551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  304554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304568 */     GIR_RootConstrainSelectedInstOperands,
     /*  304569 */     // GIR_Coverage, 9704,
     /*  304569 */     GIR_EraseRootFromParent_Done,
     /*  304570 */   // Label 5662: @304570
     /*  304570 */   GIM_Try, /*On fail goto*//*Label 5663*/ GIMT_Encode4(304633), // Rule ID 9707 //
     /*  304575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  304589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  304592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304614 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  304614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  304617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304631 */     GIR_RootConstrainSelectedInstOperands,
     /*  304632 */     // GIR_Coverage, 9707,
     /*  304632 */     GIR_EraseRootFromParent_Done,
     /*  304633 */   // Label 5663: @304633
     /*  304633 */   GIM_Try, /*On fail goto*//*Label 5664*/ GIMT_Encode4(304696), // Rule ID 9708 //
     /*  304638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  304652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  304655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304677 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  304677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  304680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304694 */     GIR_RootConstrainSelectedInstOperands,
     /*  304695 */     // GIR_Coverage, 9708,
     /*  304695 */     GIR_EraseRootFromParent_Done,
     /*  304696 */   // Label 5664: @304696
     /*  304696 */   GIM_Try, /*On fail goto*//*Label 5665*/ GIMT_Encode4(304759), // Rule ID 9711 //
     /*  304701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  304712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  304715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  304718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304740 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  304743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304757 */     GIR_RootConstrainSelectedInstOperands,
     /*  304758 */     // GIR_Coverage, 9711,
     /*  304758 */     GIR_EraseRootFromParent_Done,
     /*  304759 */   // Label 5665: @304759
     /*  304759 */   GIM_Try, /*On fail goto*//*Label 5666*/ GIMT_Encode4(304822), // Rule ID 9712 //
     /*  304764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  304775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  304778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  304781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304803 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  304803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  304806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304820 */     GIR_RootConstrainSelectedInstOperands,
     /*  304821 */     // GIR_Coverage, 9712,
     /*  304821 */     GIR_EraseRootFromParent_Done,
     /*  304822 */   // Label 5666: @304822
     /*  304822 */   GIM_Try, /*On fail goto*//*Label 5667*/ GIMT_Encode4(304885), // Rule ID 9715 //
     /*  304827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  304838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  304841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  304844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304866 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  304869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304883 */     GIR_RootConstrainSelectedInstOperands,
     /*  304884 */     // GIR_Coverage, 9715,
     /*  304884 */     GIR_EraseRootFromParent_Done,
     /*  304885 */   // Label 5667: @304885
     /*  304885 */   GIM_Try, /*On fail goto*//*Label 5668*/ GIMT_Encode4(304948), // Rule ID 9716 //
     /*  304890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  304901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  304904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  304907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304929 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  304929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  304932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304946 */     GIR_RootConstrainSelectedInstOperands,
     /*  304947 */     // GIR_Coverage, 9716,
     /*  304947 */     GIR_EraseRootFromParent_Done,
     /*  304948 */   // Label 5668: @304948
     /*  304948 */   GIM_Try, /*On fail goto*//*Label 5669*/ GIMT_Encode4(305011), // Rule ID 9719 //
     /*  304953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  304961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  304964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  304967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  304970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304992 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  304995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305009 */     GIR_RootConstrainSelectedInstOperands,
     /*  305010 */     // GIR_Coverage, 9719,
     /*  305010 */     GIR_EraseRootFromParent_Done,
     /*  305011 */   // Label 5669: @305011
     /*  305011 */   GIM_Try, /*On fail goto*//*Label 5670*/ GIMT_Encode4(305074), // Rule ID 9720 //
     /*  305016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  305027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  305030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  305033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305055 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  305058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305072 */     GIR_RootConstrainSelectedInstOperands,
     /*  305073 */     // GIR_Coverage, 9720,
     /*  305073 */     GIR_EraseRootFromParent_Done,
     /*  305074 */   // Label 5670: @305074
     /*  305074 */   GIM_Try, /*On fail goto*//*Label 5671*/ GIMT_Encode4(305137), // Rule ID 9723 //
     /*  305079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  305093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  305096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305118 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  305121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305135 */     GIR_RootConstrainSelectedInstOperands,
     /*  305136 */     // GIR_Coverage, 9723,
     /*  305136 */     GIR_EraseRootFromParent_Done,
     /*  305137 */   // Label 5671: @305137
     /*  305137 */   GIM_Try, /*On fail goto*//*Label 5672*/ GIMT_Encode4(305200), // Rule ID 9724 //
     /*  305142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  305156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  305159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305181 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  305184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305198 */     GIR_RootConstrainSelectedInstOperands,
     /*  305199 */     // GIR_Coverage, 9724,
     /*  305199 */     GIR_EraseRootFromParent_Done,
     /*  305200 */   // Label 5672: @305200
     /*  305200 */   GIM_Try, /*On fail goto*//*Label 5673*/ GIMT_Encode4(305263), // Rule ID 9727 //
     /*  305205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  305216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  305219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  305222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305244 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  305247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305261 */     GIR_RootConstrainSelectedInstOperands,
     /*  305262 */     // GIR_Coverage, 9727,
     /*  305262 */     GIR_EraseRootFromParent_Done,
     /*  305263 */   // Label 5673: @305263
     /*  305263 */   GIM_Try, /*On fail goto*//*Label 5674*/ GIMT_Encode4(305326), // Rule ID 9728 //
     /*  305268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  305279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  305282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  305285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305307 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  305310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305324 */     GIR_RootConstrainSelectedInstOperands,
     /*  305325 */     // GIR_Coverage, 9728,
     /*  305325 */     GIR_EraseRootFromParent_Done,
     /*  305326 */   // Label 5674: @305326
     /*  305326 */   GIM_Try, /*On fail goto*//*Label 5675*/ GIMT_Encode4(305389), // Rule ID 9731 //
     /*  305331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  305342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  305345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  305348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305370 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  305373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305387 */     GIR_RootConstrainSelectedInstOperands,
     /*  305388 */     // GIR_Coverage, 9731,
     /*  305388 */     GIR_EraseRootFromParent_Done,
     /*  305389 */   // Label 5675: @305389
     /*  305389 */   GIM_Try, /*On fail goto*//*Label 5676*/ GIMT_Encode4(305452), // Rule ID 9732 //
     /*  305394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  305405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  305408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  305411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305433 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  305436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305450 */     GIR_RootConstrainSelectedInstOperands,
     /*  305451 */     // GIR_Coverage, 9732,
     /*  305451 */     GIR_EraseRootFromParent_Done,
     /*  305452 */   // Label 5676: @305452
     /*  305452 */   GIM_Try, /*On fail goto*//*Label 5677*/ GIMT_Encode4(305515), // Rule ID 9735 //
     /*  305457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  305471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  305474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305496 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  305496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  305499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305513 */     GIR_RootConstrainSelectedInstOperands,
     /*  305514 */     // GIR_Coverage, 9735,
     /*  305514 */     GIR_EraseRootFromParent_Done,
     /*  305515 */   // Label 5677: @305515
     /*  305515 */   GIM_Try, /*On fail goto*//*Label 5678*/ GIMT_Encode4(305578), // Rule ID 9736 //
     /*  305520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  305534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  305537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305559 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  305559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  305562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305576 */     GIR_RootConstrainSelectedInstOperands,
     /*  305577 */     // GIR_Coverage, 9736,
     /*  305577 */     GIR_EraseRootFromParent_Done,
     /*  305578 */   // Label 5678: @305578
     /*  305578 */   GIM_Try, /*On fail goto*//*Label 5679*/ GIMT_Encode4(305641), // Rule ID 9739 //
     /*  305583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  305597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  305600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305622 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  305622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  305625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305639 */     GIR_RootConstrainSelectedInstOperands,
     /*  305640 */     // GIR_Coverage, 9739,
     /*  305640 */     GIR_EraseRootFromParent_Done,
     /*  305641 */   // Label 5679: @305641
     /*  305641 */   GIM_Try, /*On fail goto*//*Label 5680*/ GIMT_Encode4(305704), // Rule ID 9740 //
     /*  305646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  305660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  305663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305685 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  305685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  305688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305702 */     GIR_RootConstrainSelectedInstOperands,
     /*  305703 */     // GIR_Coverage, 9740,
     /*  305703 */     GIR_EraseRootFromParent_Done,
     /*  305704 */   // Label 5680: @305704
     /*  305704 */   GIM_Try, /*On fail goto*//*Label 5681*/ GIMT_Encode4(305767), // Rule ID 9743 //
     /*  305709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  305720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  305723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  305726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305748 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  305748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  305751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305765 */     GIR_RootConstrainSelectedInstOperands,
     /*  305766 */     // GIR_Coverage, 9743,
     /*  305766 */     GIR_EraseRootFromParent_Done,
     /*  305767 */   // Label 5681: @305767
     /*  305767 */   GIM_Try, /*On fail goto*//*Label 5682*/ GIMT_Encode4(305830), // Rule ID 9744 //
     /*  305772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  305783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  305786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  305789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305811 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  305811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  305814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305828 */     GIR_RootConstrainSelectedInstOperands,
     /*  305829 */     // GIR_Coverage, 9744,
     /*  305829 */     GIR_EraseRootFromParent_Done,
     /*  305830 */   // Label 5682: @305830
     /*  305830 */   GIM_Try, /*On fail goto*//*Label 5683*/ GIMT_Encode4(305893), // Rule ID 9747 //
     /*  305835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  305838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  305849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  305852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305874 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  305874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  305877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305891 */     GIR_RootConstrainSelectedInstOperands,
     /*  305892 */     // GIR_Coverage, 9747,
     /*  305892 */     GIR_EraseRootFromParent_Done,
     /*  305893 */   // Label 5683: @305893
     /*  305893 */   GIM_Try, /*On fail goto*//*Label 5684*/ GIMT_Encode4(305956), // Rule ID 9748 //
     /*  305898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  305901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  305912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  305915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305937 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  305937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  305940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305954 */     GIR_RootConstrainSelectedInstOperands,
     /*  305955 */     // GIR_Coverage, 9748,
     /*  305955 */     GIR_EraseRootFromParent_Done,
     /*  305956 */   // Label 5684: @305956
     /*  305956 */   GIM_Try, /*On fail goto*//*Label 5685*/ GIMT_Encode4(306019), // Rule ID 9751 //
     /*  305961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  305964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  305969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  305975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  305978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306000 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  306000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306017 */     GIR_RootConstrainSelectedInstOperands,
     /*  306018 */     // GIR_Coverage, 9751,
     /*  306018 */     GIR_EraseRootFromParent_Done,
     /*  306019 */   // Label 5685: @306019
     /*  306019 */   GIM_Try, /*On fail goto*//*Label 5686*/ GIMT_Encode4(306082), // Rule ID 9752 //
     /*  306024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  306027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  306038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  306041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306063 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  306063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  306066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306080 */     GIR_RootConstrainSelectedInstOperands,
     /*  306081 */     // GIR_Coverage, 9752,
     /*  306081 */     GIR_EraseRootFromParent_Done,
     /*  306082 */   // Label 5686: @306082
     /*  306082 */   GIM_Try, /*On fail goto*//*Label 5687*/ GIMT_Encode4(306145), // Rule ID 9755 //
     /*  306087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  306090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  306101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  306104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306126 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  306126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  306129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306143 */     GIR_RootConstrainSelectedInstOperands,
     /*  306144 */     // GIR_Coverage, 9755,
     /*  306144 */     GIR_EraseRootFromParent_Done,
     /*  306145 */   // Label 5687: @306145
     /*  306145 */   GIM_Try, /*On fail goto*//*Label 5688*/ GIMT_Encode4(306208), // Rule ID 9756 //
     /*  306150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  306153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  306158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  306164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  306167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306189 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  306189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  306192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306206 */     GIR_RootConstrainSelectedInstOperands,
     /*  306207 */     // GIR_Coverage, 9756,
     /*  306207 */     GIR_EraseRootFromParent_Done,
     /*  306208 */   // Label 5688: @306208
     /*  306208 */   GIM_Try, /*On fail goto*//*Label 5689*/ GIMT_Encode4(306274), // Rule ID 13831 //
     /*  306213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  306221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  306224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  306227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  306230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306252 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  306252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  306255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306272 */     GIR_RootConstrainSelectedInstOperands,
     /*  306273 */     // GIR_Coverage, 13831,
     /*  306273 */     GIR_EraseRootFromParent_Done,
     /*  306274 */   // Label 5689: @306274
     /*  306274 */   GIM_Try, /*On fail goto*//*Label 5690*/ GIMT_Encode4(306340), // Rule ID 13832 //
     /*  306279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  306287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  306290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  306293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  306296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306318 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  306318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  306321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306338 */     GIR_RootConstrainSelectedInstOperands,
     /*  306339 */     // GIR_Coverage, 13832,
     /*  306339 */     GIR_EraseRootFromParent_Done,
     /*  306340 */   // Label 5690: @306340
     /*  306340 */   GIM_Try, /*On fail goto*//*Label 5691*/ GIMT_Encode4(306406), // Rule ID 13833 //
     /*  306345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  306353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  306356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  306359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  306362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306384 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  306384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  306387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306404 */     GIR_RootConstrainSelectedInstOperands,
     /*  306405 */     // GIR_Coverage, 13833,
     /*  306405 */     GIR_EraseRootFromParent_Done,
     /*  306406 */   // Label 5691: @306406
     /*  306406 */   GIM_Try, /*On fail goto*//*Label 5692*/ GIMT_Encode4(306472), // Rule ID 13834 //
     /*  306411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  306419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  306422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  306425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  306428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306450 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  306450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  306453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306470 */     GIR_RootConstrainSelectedInstOperands,
     /*  306471 */     // GIR_Coverage, 13834,
     /*  306471 */     GIR_EraseRootFromParent_Done,
     /*  306472 */   // Label 5692: @306472
     /*  306472 */   GIM_Try, /*On fail goto*//*Label 5693*/ GIMT_Encode4(306538), // Rule ID 13835 //
     /*  306477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  306485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  306488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  306491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  306494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306516 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  306516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  306519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306536 */     GIR_RootConstrainSelectedInstOperands,
     /*  306537 */     // GIR_Coverage, 13835,
     /*  306537 */     GIR_EraseRootFromParent_Done,
     /*  306538 */   // Label 5693: @306538
     /*  306538 */   GIM_Try, /*On fail goto*//*Label 5694*/ GIMT_Encode4(306604), // Rule ID 13836 //
     /*  306543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  306551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  306554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  306557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  306560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306582 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  306582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  306585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  306599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306602 */     GIR_RootConstrainSelectedInstOperands,
     /*  306603 */     // GIR_Coverage, 13836,
     /*  306603 */     GIR_EraseRootFromParent_Done,
     /*  306604 */   // Label 5694: @306604
     /*  306604 */   GIM_Try, /*On fail goto*//*Label 5695*/ GIMT_Encode4(306670), // Rule ID 13837 //
     /*  306609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  306617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  306620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  306623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  306626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306648 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  306648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  306651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306668 */     GIR_RootConstrainSelectedInstOperands,
     /*  306669 */     // GIR_Coverage, 13837,
     /*  306669 */     GIR_EraseRootFromParent_Done,
     /*  306670 */   // Label 5695: @306670
     /*  306670 */   GIM_Try, /*On fail goto*//*Label 5696*/ GIMT_Encode4(306736), // Rule ID 13838 //
     /*  306675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  306683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  306686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  306689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  306692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306714 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  306714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  306717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306734 */     GIR_RootConstrainSelectedInstOperands,
     /*  306735 */     // GIR_Coverage, 13838,
     /*  306735 */     GIR_EraseRootFromParent_Done,
     /*  306736 */   // Label 5696: @306736
     /*  306736 */   GIM_Try, /*On fail goto*//*Label 5697*/ GIMT_Encode4(306802), // Rule ID 13839 //
     /*  306741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  306749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  306752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  306755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  306758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306780 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  306780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  306783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306800 */     GIR_RootConstrainSelectedInstOperands,
     /*  306801 */     // GIR_Coverage, 13839,
     /*  306801 */     GIR_EraseRootFromParent_Done,
     /*  306802 */   // Label 5697: @306802
     /*  306802 */   GIM_Try, /*On fail goto*//*Label 5698*/ GIMT_Encode4(306868), // Rule ID 13840 //
     /*  306807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  306815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  306818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  306821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  306824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  306846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  306849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306866 */     GIR_RootConstrainSelectedInstOperands,
     /*  306867 */     // GIR_Coverage, 13840,
     /*  306867 */     GIR_EraseRootFromParent_Done,
     /*  306868 */   // Label 5698: @306868
     /*  306868 */   GIM_Try, /*On fail goto*//*Label 5699*/ GIMT_Encode4(306934), // Rule ID 13841 //
     /*  306873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  306881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  306884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  306887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  306890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306912 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  306912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  306915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306932 */     GIR_RootConstrainSelectedInstOperands,
     /*  306933 */     // GIR_Coverage, 13841,
     /*  306933 */     GIR_EraseRootFromParent_Done,
     /*  306934 */   // Label 5699: @306934
     /*  306934 */   GIM_Try, /*On fail goto*//*Label 5700*/ GIMT_Encode4(307000), // Rule ID 13842 //
     /*  306939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  306947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  306950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  306953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  306956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306978 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  306978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  306981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306998 */     GIR_RootConstrainSelectedInstOperands,
     /*  306999 */     // GIR_Coverage, 13842,
     /*  306999 */     GIR_EraseRootFromParent_Done,
     /*  307000 */   // Label 5700: @307000
     /*  307000 */   GIM_Try, /*On fail goto*//*Label 5701*/ GIMT_Encode4(307066), // Rule ID 13843 //
     /*  307005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  307016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  307019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  307022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307044 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  307044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  307047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307064 */     GIR_RootConstrainSelectedInstOperands,
     /*  307065 */     // GIR_Coverage, 13843,
     /*  307065 */     GIR_EraseRootFromParent_Done,
     /*  307066 */   // Label 5701: @307066
     /*  307066 */   GIM_Try, /*On fail goto*//*Label 5702*/ GIMT_Encode4(307132), // Rule ID 13844 //
     /*  307071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  307082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  307085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  307088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307110 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  307110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  307113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307130 */     GIR_RootConstrainSelectedInstOperands,
     /*  307131 */     // GIR_Coverage, 13844,
     /*  307131 */     GIR_EraseRootFromParent_Done,
     /*  307132 */   // Label 5702: @307132
     /*  307132 */   GIM_Try, /*On fail goto*//*Label 5703*/ GIMT_Encode4(307198), // Rule ID 13845 //
     /*  307137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  307148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  307151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  307154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307176 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  307176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  307179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307196 */     GIR_RootConstrainSelectedInstOperands,
     /*  307197 */     // GIR_Coverage, 13845,
     /*  307197 */     GIR_EraseRootFromParent_Done,
     /*  307198 */   // Label 5703: @307198
     /*  307198 */   GIM_Try, /*On fail goto*//*Label 5704*/ GIMT_Encode4(307264), // Rule ID 13846 //
     /*  307203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  307214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  307217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  307220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307242 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  307242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  307245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307262 */     GIR_RootConstrainSelectedInstOperands,
     /*  307263 */     // GIR_Coverage, 13846,
     /*  307263 */     GIR_EraseRootFromParent_Done,
     /*  307264 */   // Label 5704: @307264
     /*  307264 */   GIM_Try, /*On fail goto*//*Label 5705*/ GIMT_Encode4(307330), // Rule ID 13847 //
     /*  307269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  307280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  307283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  307286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  307308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  307311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307328 */     GIR_RootConstrainSelectedInstOperands,
     /*  307329 */     // GIR_Coverage, 13847,
     /*  307329 */     GIR_EraseRootFromParent_Done,
     /*  307330 */   // Label 5705: @307330
     /*  307330 */   GIM_Try, /*On fail goto*//*Label 5706*/ GIMT_Encode4(307396), // Rule ID 13848 //
     /*  307335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  307346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  307349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  307352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  307374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  307377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307394 */     GIR_RootConstrainSelectedInstOperands,
     /*  307395 */     // GIR_Coverage, 13848,
     /*  307395 */     GIR_EraseRootFromParent_Done,
     /*  307396 */   // Label 5706: @307396
     /*  307396 */   GIM_Try, /*On fail goto*//*Label 5707*/ GIMT_Encode4(307462), // Rule ID 13849 //
     /*  307401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  307404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  307412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  307415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  307418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307440 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  307440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  307443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307460 */     GIR_RootConstrainSelectedInstOperands,
     /*  307461 */     // GIR_Coverage, 13849,
     /*  307461 */     GIR_EraseRootFromParent_Done,
     /*  307462 */   // Label 5707: @307462
     /*  307462 */   GIM_Try, /*On fail goto*//*Label 5708*/ GIMT_Encode4(307528), // Rule ID 13850 //
     /*  307467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  307470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  307478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  307481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  307484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307506 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  307506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  307509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307526 */     GIR_RootConstrainSelectedInstOperands,
     /*  307527 */     // GIR_Coverage, 13850,
     /*  307527 */     GIR_EraseRootFromParent_Done,
     /*  307528 */   // Label 5708: @307528
     /*  307528 */   GIM_Try, /*On fail goto*//*Label 5709*/ GIMT_Encode4(307594), // Rule ID 13851 //
     /*  307533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  307544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  307547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  307550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307572 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11377:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  307572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  307575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307592 */     GIR_RootConstrainSelectedInstOperands,
     /*  307593 */     // GIR_Coverage, 13851,
     /*  307593 */     GIR_EraseRootFromParent_Done,
     /*  307594 */   // Label 5709: @307594
     /*  307594 */   GIM_Try, /*On fail goto*//*Label 5710*/ GIMT_Encode4(307660), // Rule ID 13852 //
     /*  307599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  307610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  307613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  307616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307638 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11377:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  307638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  307641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307658 */     GIR_RootConstrainSelectedInstOperands,
     /*  307659 */     // GIR_Coverage, 13852,
     /*  307659 */     GIR_EraseRootFromParent_Done,
     /*  307660 */   // Label 5710: @307660
     /*  307660 */   GIM_Try, /*On fail goto*//*Label 5711*/ GIMT_Encode4(307726), // Rule ID 13853 //
     /*  307665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  307676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  307679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  307682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307704 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11377:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  307704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  307707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307724 */     GIR_RootConstrainSelectedInstOperands,
     /*  307725 */     // GIR_Coverage, 13853,
     /*  307725 */     GIR_EraseRootFromParent_Done,
     /*  307726 */   // Label 5711: @307726
     /*  307726 */   GIM_Try, /*On fail goto*//*Label 5712*/ GIMT_Encode4(307792), // Rule ID 13854 //
     /*  307731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  307742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  307745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  307748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307770 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11377:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  307770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  307773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307790 */     GIR_RootConstrainSelectedInstOperands,
     /*  307791 */     // GIR_Coverage, 13854,
     /*  307791 */     GIR_EraseRootFromParent_Done,
     /*  307792 */   // Label 5712: @307792
     /*  307792 */   GIM_Try, /*On fail goto*//*Label 5713*/ GIMT_Encode4(307858), // Rule ID 13855 //
     /*  307797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  307808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  307811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  307814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307836 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11377:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  307836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  307839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307856 */     GIR_RootConstrainSelectedInstOperands,
     /*  307857 */     // GIR_Coverage, 13855,
     /*  307857 */     GIR_EraseRootFromParent_Done,
     /*  307858 */   // Label 5713: @307858
     /*  307858 */   GIM_Try, /*On fail goto*//*Label 5714*/ GIMT_Encode4(307924), // Rule ID 13856 //
     /*  307863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  307874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  307877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  307880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307902 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11377:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  307902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  307905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307922 */     GIR_RootConstrainSelectedInstOperands,
     /*  307923 */     // GIR_Coverage, 13856,
     /*  307923 */     GIR_EraseRootFromParent_Done,
     /*  307924 */   // Label 5714: @307924
     /*  307924 */   GIM_Try, /*On fail goto*//*Label 5715*/ GIMT_Encode4(307990), // Rule ID 13857 //
     /*  307929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  307937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  307940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  307943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  307946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307968 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11377:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  307968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  307971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307988 */     GIR_RootConstrainSelectedInstOperands,
     /*  307989 */     // GIR_Coverage, 13857,
     /*  307989 */     GIR_EraseRootFromParent_Done,
     /*  307990 */   // Label 5715: @307990
     /*  307990 */   GIM_Try, /*On fail goto*//*Label 5716*/ GIMT_Encode4(308056), // Rule ID 13858 //
     /*  307995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  308006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  308009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  308012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308034 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11377:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  308034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  308037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308054 */     GIR_RootConstrainSelectedInstOperands,
     /*  308055 */     // GIR_Coverage, 13858,
     /*  308055 */     GIR_EraseRootFromParent_Done,
     /*  308056 */   // Label 5716: @308056
     /*  308056 */   GIM_Try, /*On fail goto*//*Label 5717*/ GIMT_Encode4(308122), // Rule ID 13859 //
     /*  308061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  308072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  308075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  308078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308100 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11377:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  308100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  308103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308120 */     GIR_RootConstrainSelectedInstOperands,
     /*  308121 */     // GIR_Coverage, 13859,
     /*  308121 */     GIR_EraseRootFromParent_Done,
     /*  308122 */   // Label 5717: @308122
     /*  308122 */   GIM_Try, /*On fail goto*//*Label 5718*/ GIMT_Encode4(308188), // Rule ID 13860 //
     /*  308127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  308138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  308141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  308144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308166 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11377:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  308166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  308169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308186 */     GIR_RootConstrainSelectedInstOperands,
     /*  308187 */     // GIR_Coverage, 13860,
     /*  308187 */     GIR_EraseRootFromParent_Done,
     /*  308188 */   // Label 5718: @308188
     /*  308188 */   GIM_Try, /*On fail goto*//*Label 5719*/ GIMT_Encode4(308254), // Rule ID 13861 //
     /*  308193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  308204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  308207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  308210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308232 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11377:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  308232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  308235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308252 */     GIR_RootConstrainSelectedInstOperands,
     /*  308253 */     // GIR_Coverage, 13861,
     /*  308253 */     GIR_EraseRootFromParent_Done,
     /*  308254 */   // Label 5719: @308254
     /*  308254 */   GIM_Try, /*On fail goto*//*Label 5720*/ GIMT_Encode4(308320), // Rule ID 13862 //
     /*  308259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  308270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  308273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  308276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308298 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11377:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  308298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  308301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308318 */     GIR_RootConstrainSelectedInstOperands,
     /*  308319 */     // GIR_Coverage, 13862,
     /*  308319 */     GIR_EraseRootFromParent_Done,
     /*  308320 */   // Label 5720: @308320
     /*  308320 */   GIM_Try, /*On fail goto*//*Label 5721*/ GIMT_Encode4(308386), // Rule ID 13863 //
     /*  308325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  308336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  308339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  308342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11377:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  308364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  308367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308384 */     GIR_RootConstrainSelectedInstOperands,
     /*  308385 */     // GIR_Coverage, 13863,
     /*  308385 */     GIR_EraseRootFromParent_Done,
     /*  308386 */   // Label 5721: @308386
     /*  308386 */   GIM_Try, /*On fail goto*//*Label 5722*/ GIMT_Encode4(308452), // Rule ID 13864 //
     /*  308391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  308402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  308405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  308408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11377:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  308430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  308433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308450 */     GIR_RootConstrainSelectedInstOperands,
     /*  308451 */     // GIR_Coverage, 13864,
     /*  308451 */     GIR_EraseRootFromParent_Done,
     /*  308452 */   // Label 5722: @308452
     /*  308452 */   GIM_Try, /*On fail goto*//*Label 5723*/ GIMT_Encode4(308518), // Rule ID 13865 //
     /*  308457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  308468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  308471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  308474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308496 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11377:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  308496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  308499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308516 */     GIR_RootConstrainSelectedInstOperands,
     /*  308517 */     // GIR_Coverage, 13865,
     /*  308517 */     GIR_EraseRootFromParent_Done,
     /*  308518 */   // Label 5723: @308518
     /*  308518 */   GIM_Try, /*On fail goto*//*Label 5724*/ GIMT_Encode4(308584), // Rule ID 13866 //
     /*  308523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  308534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  308537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  308540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308562 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11377:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  308562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  308565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308582 */     GIR_RootConstrainSelectedInstOperands,
     /*  308583 */     // GIR_Coverage, 13866,
     /*  308583 */     GIR_EraseRootFromParent_Done,
     /*  308584 */   // Label 5724: @308584
     /*  308584 */   GIM_Try, /*On fail goto*//*Label 5725*/ GIMT_Encode4(308650), // Rule ID 13867 //
     /*  308589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  308600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  308603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  308606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308628 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11377:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  308628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  308631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308648 */     GIR_RootConstrainSelectedInstOperands,
     /*  308649 */     // GIR_Coverage, 13867,
     /*  308649 */     GIR_EraseRootFromParent_Done,
     /*  308650 */   // Label 5725: @308650
     /*  308650 */   GIM_Try, /*On fail goto*//*Label 5726*/ GIMT_Encode4(308716), // Rule ID 13868 //
     /*  308655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  308666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  308669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  308672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308694 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11377:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  308694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  308697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308714 */     GIR_RootConstrainSelectedInstOperands,
     /*  308715 */     // GIR_Coverage, 13868,
     /*  308715 */     GIR_EraseRootFromParent_Done,
     /*  308716 */   // Label 5726: @308716
     /*  308716 */   GIM_Try, /*On fail goto*//*Label 5727*/ GIMT_Encode4(308782), // Rule ID 13869 //
     /*  308721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  308724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  308732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  308735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  308738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308760 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11377:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  308760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  308763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308780 */     GIR_RootConstrainSelectedInstOperands,
     /*  308781 */     // GIR_Coverage, 13869,
     /*  308781 */     GIR_EraseRootFromParent_Done,
     /*  308782 */   // Label 5727: @308782
     /*  308782 */   GIM_Try, /*On fail goto*//*Label 5728*/ GIMT_Encode4(308848), // Rule ID 13870 //
     /*  308787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  308790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  308798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  308801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  308804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308826 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11377:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  308826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  308829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308846 */     GIR_RootConstrainSelectedInstOperands,
     /*  308847 */     // GIR_Coverage, 13870,
     /*  308847 */     GIR_EraseRootFromParent_Done,
     /*  308848 */   // Label 5728: @308848
     /*  308848 */   GIM_Try, /*On fail goto*//*Label 5729*/ GIMT_Encode4(308914), // Rule ID 13871 //
     /*  308853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  308856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  308864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  308867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  308870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308892 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11377:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  308892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  308895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308912 */     GIR_RootConstrainSelectedInstOperands,
     /*  308913 */     // GIR_Coverage, 13871,
     /*  308913 */     GIR_EraseRootFromParent_Done,
     /*  308914 */   // Label 5729: @308914
     /*  308914 */   GIM_Try, /*On fail goto*//*Label 5730*/ GIMT_Encode4(308980), // Rule ID 13872 //
     /*  308919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  308922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  308930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  308933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  308936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308958 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11377:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  308958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  308961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308978 */     GIR_RootConstrainSelectedInstOperands,
     /*  308979 */     // GIR_Coverage, 13872,
     /*  308979 */     GIR_EraseRootFromParent_Done,
     /*  308980 */   // Label 5730: @308980
     /*  308980 */   GIM_Try, /*On fail goto*//*Label 5731*/ GIMT_Encode4(309046), // Rule ID 13873 //
     /*  308985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  308988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  308993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  308996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  308999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  309002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309024 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11377:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  309024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309044 */     GIR_RootConstrainSelectedInstOperands,
     /*  309045 */     // GIR_Coverage, 13873,
     /*  309045 */     GIR_EraseRootFromParent_Done,
     /*  309046 */   // Label 5731: @309046
     /*  309046 */   GIM_Try, /*On fail goto*//*Label 5732*/ GIMT_Encode4(309112), // Rule ID 13874 //
     /*  309051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  309054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  309062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  309065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  309068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309090 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11377:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  309090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  309093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309110 */     GIR_RootConstrainSelectedInstOperands,
     /*  309111 */     // GIR_Coverage, 13874,
     /*  309111 */     GIR_EraseRootFromParent_Done,
     /*  309112 */   // Label 5732: @309112
     /*  309112 */   GIM_Try, /*On fail goto*//*Label 5733*/ GIMT_Encode4(309178), // Rule ID 13875 //
     /*  309117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  309120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  309128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  309131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  309134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309156 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  309159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309176 */     GIR_RootConstrainSelectedInstOperands,
     /*  309177 */     // GIR_Coverage, 13875,
     /*  309177 */     GIR_EraseRootFromParent_Done,
     /*  309178 */   // Label 5733: @309178
     /*  309178 */   GIM_Try, /*On fail goto*//*Label 5734*/ GIMT_Encode4(309244), // Rule ID 13876 //
     /*  309183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  309186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  309194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  309197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  309200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309222 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  309225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309242 */     GIR_RootConstrainSelectedInstOperands,
     /*  309243 */     // GIR_Coverage, 13876,
     /*  309243 */     GIR_EraseRootFromParent_Done,
     /*  309244 */   // Label 5734: @309244
     /*  309244 */   GIM_Try, /*On fail goto*//*Label 5735*/ GIMT_Encode4(309310), // Rule ID 13877 //
     /*  309249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  309252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  309260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  309263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  309266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309288 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  309291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309308 */     GIR_RootConstrainSelectedInstOperands,
     /*  309309 */     // GIR_Coverage, 13877,
     /*  309309 */     GIR_EraseRootFromParent_Done,
     /*  309310 */   // Label 5735: @309310
     /*  309310 */   GIM_Try, /*On fail goto*//*Label 5736*/ GIMT_Encode4(309376), // Rule ID 13878 //
     /*  309315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  309318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  309326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  309329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  309332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309354 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  309357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309374 */     GIR_RootConstrainSelectedInstOperands,
     /*  309375 */     // GIR_Coverage, 13878,
     /*  309375 */     GIR_EraseRootFromParent_Done,
     /*  309376 */   // Label 5736: @309376
     /*  309376 */   GIM_Try, /*On fail goto*//*Label 5737*/ GIMT_Encode4(309442), // Rule ID 13879 //
     /*  309381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  309384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  309392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  309395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  309398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309420 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  309420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  309423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309440 */     GIR_RootConstrainSelectedInstOperands,
     /*  309441 */     // GIR_Coverage, 13879,
     /*  309441 */     GIR_EraseRootFromParent_Done,
     /*  309442 */   // Label 5737: @309442
     /*  309442 */   GIM_Try, /*On fail goto*//*Label 5738*/ GIMT_Encode4(309508), // Rule ID 13880 //
     /*  309447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  309450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  309458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  309461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  309464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309486 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  309486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  309489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309506 */     GIR_RootConstrainSelectedInstOperands,
     /*  309507 */     // GIR_Coverage, 13880,
     /*  309507 */     GIR_EraseRootFromParent_Done,
     /*  309508 */   // Label 5738: @309508
     /*  309508 */   GIM_Try, /*On fail goto*//*Label 5739*/ GIMT_Encode4(309574), // Rule ID 13881 //
     /*  309513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  309516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  309524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  309527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  309530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309552 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  309555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309572 */     GIR_RootConstrainSelectedInstOperands,
     /*  309573 */     // GIR_Coverage, 13881,
     /*  309573 */     GIR_EraseRootFromParent_Done,
     /*  309574 */   // Label 5739: @309574
     /*  309574 */   GIM_Try, /*On fail goto*//*Label 5740*/ GIMT_Encode4(309640), // Rule ID 13882 //
     /*  309579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  309582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  309590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  309593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  309596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309618 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  309621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309638 */     GIR_RootConstrainSelectedInstOperands,
     /*  309639 */     // GIR_Coverage, 13882,
     /*  309639 */     GIR_EraseRootFromParent_Done,
     /*  309640 */   // Label 5740: @309640
     /*  309640 */   GIM_Try, /*On fail goto*//*Label 5741*/ GIMT_Encode4(309706), // Rule ID 13883 //
     /*  309645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  309648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  309656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  309659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  309662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309684 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  309684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  309687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309704 */     GIR_RootConstrainSelectedInstOperands,
     /*  309705 */     // GIR_Coverage, 13883,
     /*  309705 */     GIR_EraseRootFromParent_Done,
     /*  309706 */   // Label 5741: @309706
     /*  309706 */   GIM_Try, /*On fail goto*//*Label 5742*/ GIMT_Encode4(309772), // Rule ID 13884 //
     /*  309711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  309714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  309722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  309725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  309728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309750 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  309750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  309753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309770 */     GIR_RootConstrainSelectedInstOperands,
     /*  309771 */     // GIR_Coverage, 13884,
     /*  309771 */     GIR_EraseRootFromParent_Done,
     /*  309772 */   // Label 5742: @309772
     /*  309772 */   GIM_Try, /*On fail goto*//*Label 5743*/ GIMT_Encode4(309838), // Rule ID 13885 //
     /*  309777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  309780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  309788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  309791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  309794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309816 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  309816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  309819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309836 */     GIR_RootConstrainSelectedInstOperands,
     /*  309837 */     // GIR_Coverage, 13885,
     /*  309837 */     GIR_EraseRootFromParent_Done,
     /*  309838 */   // Label 5743: @309838
     /*  309838 */   GIM_Try, /*On fail goto*//*Label 5744*/ GIMT_Encode4(309904), // Rule ID 13886 //
     /*  309843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  309846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  309854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  309857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  309860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309882 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  309882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  309885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309902 */     GIR_RootConstrainSelectedInstOperands,
     /*  309903 */     // GIR_Coverage, 13886,
     /*  309903 */     GIR_EraseRootFromParent_Done,
     /*  309904 */   // Label 5744: @309904
     /*  309904 */   GIM_Try, /*On fail goto*//*Label 5745*/ GIMT_Encode4(309970), // Rule ID 13887 //
     /*  309909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  309912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  309920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  309923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  309926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309948 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11377:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  309951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309968 */     GIR_RootConstrainSelectedInstOperands,
     /*  309969 */     // GIR_Coverage, 13887,
     /*  309969 */     GIR_EraseRootFromParent_Done,
     /*  309970 */   // Label 5745: @309970
     /*  309970 */   GIM_Try, /*On fail goto*//*Label 5746*/ GIMT_Encode4(310036), // Rule ID 13888 //
     /*  309975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  309978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  309983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  309986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  309989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  309992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310014 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11377:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  310014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  310017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310034 */     GIR_RootConstrainSelectedInstOperands,
     /*  310035 */     // GIR_Coverage, 13888,
     /*  310035 */     GIR_EraseRootFromParent_Done,
     /*  310036 */   // Label 5746: @310036
     /*  310036 */   GIM_Try, /*On fail goto*//*Label 5747*/ GIMT_Encode4(310102), // Rule ID 13889 //
     /*  310041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  310044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  310052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  310055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  310058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310080 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11377:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  310080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310100 */     GIR_RootConstrainSelectedInstOperands,
     /*  310101 */     // GIR_Coverage, 13889,
     /*  310101 */     GIR_EraseRootFromParent_Done,
     /*  310102 */   // Label 5747: @310102
     /*  310102 */   GIM_Try, /*On fail goto*//*Label 5748*/ GIMT_Encode4(310168), // Rule ID 13890 //
     /*  310107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  310110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  310118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  310121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  310124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310146 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11377:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  310146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310166 */     GIR_RootConstrainSelectedInstOperands,
     /*  310167 */     // GIR_Coverage, 13890,
     /*  310167 */     GIR_EraseRootFromParent_Done,
     /*  310168 */   // Label 5748: @310168
     /*  310168 */   GIM_Try, /*On fail goto*//*Label 5749*/ GIMT_Encode4(310234), // Rule ID 13891 //
     /*  310173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  310176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  310184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  310187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  310190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310212 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11377:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  310212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310232 */     GIR_RootConstrainSelectedInstOperands,
     /*  310233 */     // GIR_Coverage, 13891,
     /*  310233 */     GIR_EraseRootFromParent_Done,
     /*  310234 */   // Label 5749: @310234
     /*  310234 */   GIM_Try, /*On fail goto*//*Label 5750*/ GIMT_Encode4(310300), // Rule ID 13892 //
     /*  310239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  310242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  310250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  310253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  310256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310278 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11377:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  310278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310298 */     GIR_RootConstrainSelectedInstOperands,
     /*  310299 */     // GIR_Coverage, 13892,
     /*  310299 */     GIR_EraseRootFromParent_Done,
     /*  310300 */   // Label 5750: @310300
     /*  310300 */   GIM_Try, /*On fail goto*//*Label 5751*/ GIMT_Encode4(310366), // Rule ID 13893 //
     /*  310305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  310308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  310316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  310319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  310322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310344 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11377:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  310344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  310347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310364 */     GIR_RootConstrainSelectedInstOperands,
     /*  310365 */     // GIR_Coverage, 13893,
     /*  310365 */     GIR_EraseRootFromParent_Done,
     /*  310366 */   // Label 5751: @310366
     /*  310366 */   GIM_Try, /*On fail goto*//*Label 5752*/ GIMT_Encode4(310432), // Rule ID 13894 //
     /*  310371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  310374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  310382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  310385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  310388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310410 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11377:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  310413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310430 */     GIR_RootConstrainSelectedInstOperands,
     /*  310431 */     // GIR_Coverage, 13894,
     /*  310431 */     GIR_EraseRootFromParent_Done,
     /*  310432 */   // Label 5752: @310432
     /*  310432 */   GIM_Try, /*On fail goto*//*Label 5753*/ GIMT_Encode4(310498), // Rule ID 13895 //
     /*  310437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  310440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  310448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  310451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  310454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310476 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11377:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  310476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310496 */     GIR_RootConstrainSelectedInstOperands,
     /*  310497 */     // GIR_Coverage, 13895,
     /*  310497 */     GIR_EraseRootFromParent_Done,
     /*  310498 */   // Label 5753: @310498
     /*  310498 */   GIM_Try, /*On fail goto*//*Label 5754*/ GIMT_Encode4(310564), // Rule ID 13896 //
     /*  310503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  310506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  310514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  310517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  310520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310542 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11377:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310562 */     GIR_RootConstrainSelectedInstOperands,
     /*  310563 */     // GIR_Coverage, 13896,
     /*  310563 */     GIR_EraseRootFromParent_Done,
     /*  310564 */   // Label 5754: @310564
     /*  310564 */   GIM_Try, /*On fail goto*//*Label 5755*/ GIMT_Encode4(310630), // Rule ID 13897 //
     /*  310569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  310572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  310580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  310583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  310586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310608 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11377:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  310608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310628 */     GIR_RootConstrainSelectedInstOperands,
     /*  310629 */     // GIR_Coverage, 13897,
     /*  310629 */     GIR_EraseRootFromParent_Done,
     /*  310630 */   // Label 5755: @310630
     /*  310630 */   GIM_Try, /*On fail goto*//*Label 5756*/ GIMT_Encode4(310696), // Rule ID 13898 //
     /*  310635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  310638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  310646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  310649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  310652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310674 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11377:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  310677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310694 */     GIR_RootConstrainSelectedInstOperands,
     /*  310695 */     // GIR_Coverage, 13898,
     /*  310695 */     GIR_EraseRootFromParent_Done,
     /*  310696 */   // Label 5756: @310696
     /*  310696 */   GIM_Try, /*On fail goto*//*Label 5757*/ GIMT_Encode4(310762), // Rule ID 13899 //
     /*  310701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  310704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  310712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  310715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  310718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310740 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11377:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  310740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  310743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310760 */     GIR_RootConstrainSelectedInstOperands,
     /*  310761 */     // GIR_Coverage, 13899,
     /*  310761 */     GIR_EraseRootFromParent_Done,
     /*  310762 */   // Label 5757: @310762
     /*  310762 */   GIM_Try, /*On fail goto*//*Label 5758*/ GIMT_Encode4(310828), // Rule ID 13900 //
     /*  310767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  310770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  310778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  310781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  310784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310806 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11377:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  310806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  310809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310826 */     GIR_RootConstrainSelectedInstOperands,
     /*  310827 */     // GIR_Coverage, 13900,
     /*  310827 */     GIR_EraseRootFromParent_Done,
     /*  310828 */   // Label 5758: @310828
     /*  310828 */   GIM_Try, /*On fail goto*//*Label 5759*/ GIMT_Encode4(310894), // Rule ID 13901 //
     /*  310833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  310836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  310844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  310847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  310850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310872 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11377:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  310872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310892 */     GIR_RootConstrainSelectedInstOperands,
     /*  310893 */     // GIR_Coverage, 13901,
     /*  310893 */     GIR_EraseRootFromParent_Done,
     /*  310894 */   // Label 5759: @310894
     /*  310894 */   GIM_Try, /*On fail goto*//*Label 5760*/ GIMT_Encode4(310960), // Rule ID 13902 //
     /*  310899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  310902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  310910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  310913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  310916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310938 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11377:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  310938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  310941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310958 */     GIR_RootConstrainSelectedInstOperands,
     /*  310959 */     // GIR_Coverage, 13902,
     /*  310959 */     GIR_EraseRootFromParent_Done,
     /*  310960 */   // Label 5760: @310960
     /*  310960 */   GIM_Try, /*On fail goto*//*Label 5761*/ GIMT_Encode4(311026), // Rule ID 13903 //
     /*  310965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  310968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  310973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  310976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  310979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  310982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311004 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11377:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  311004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  311007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311024 */     GIR_RootConstrainSelectedInstOperands,
     /*  311025 */     // GIR_Coverage, 13903,
     /*  311025 */     GIR_EraseRootFromParent_Done,
     /*  311026 */   // Label 5761: @311026
     /*  311026 */   GIM_Try, /*On fail goto*//*Label 5762*/ GIMT_Encode4(311092), // Rule ID 13904 //
     /*  311031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  311034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  311039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  311042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  311045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  311048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311070 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11377:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  311070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  311073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311090 */     GIR_RootConstrainSelectedInstOperands,
     /*  311091 */     // GIR_Coverage, 13904,
     /*  311091 */     GIR_EraseRootFromParent_Done,
     /*  311092 */   // Label 5762: @311092
     /*  311092 */   GIM_Try, /*On fail goto*//*Label 5763*/ GIMT_Encode4(311158), // Rule ID 18907 //
     /*  311097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  311100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  311105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  311108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  311111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  311114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311136 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  311139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311156 */     GIR_RootConstrainSelectedInstOperands,
     /*  311157 */     // GIR_Coverage, 18907,
     /*  311157 */     GIR_EraseRootFromParent_Done,
     /*  311158 */   // Label 5763: @311158
     /*  311158 */   GIM_Try, /*On fail goto*//*Label 5764*/ GIMT_Encode4(311224), // Rule ID 18908 //
     /*  311163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  311166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  311171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  311174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  311177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  311180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311202 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  311205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311222 */     GIR_RootConstrainSelectedInstOperands,
     /*  311223 */     // GIR_Coverage, 18908,
     /*  311223 */     GIR_EraseRootFromParent_Done,
     /*  311224 */   // Label 5764: @311224
     /*  311224 */   GIM_Try, /*On fail goto*//*Label 5765*/ GIMT_Encode4(311290), // Rule ID 18911 //
     /*  311229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  311232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  311237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  311240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  311243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  311246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311268 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  311268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  311271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311288 */     GIR_RootConstrainSelectedInstOperands,
     /*  311289 */     // GIR_Coverage, 18911,
     /*  311289 */     GIR_EraseRootFromParent_Done,
     /*  311290 */   // Label 5765: @311290
     /*  311290 */   GIM_Try, /*On fail goto*//*Label 5766*/ GIMT_Encode4(311356), // Rule ID 18912 //
     /*  311295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  311298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  311303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  311306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  311309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  311312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311334 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  311334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  311337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311354 */     GIR_RootConstrainSelectedInstOperands,
     /*  311355 */     // GIR_Coverage, 18912,
     /*  311355 */     GIR_EraseRootFromParent_Done,
     /*  311356 */   // Label 5766: @311356
     /*  311356 */   GIM_Try, /*On fail goto*//*Label 5767*/ GIMT_Encode4(311422), // Rule ID 18915 //
     /*  311361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  311364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  311369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  311372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  311375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  311378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311400 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  311403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311420 */     GIR_RootConstrainSelectedInstOperands,
     /*  311421 */     // GIR_Coverage, 18915,
     /*  311421 */     GIR_EraseRootFromParent_Done,
     /*  311422 */   // Label 5767: @311422
     /*  311422 */   GIM_Try, /*On fail goto*//*Label 5768*/ GIMT_Encode4(311488), // Rule ID 18916 //
     /*  311427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  311430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  311435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  311438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  311441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  311444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311466 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  311469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311486 */     GIR_RootConstrainSelectedInstOperands,
     /*  311487 */     // GIR_Coverage, 18916,
     /*  311487 */     GIR_EraseRootFromParent_Done,
     /*  311488 */   // Label 5768: @311488
     /*  311488 */   GIM_Try, /*On fail goto*//*Label 5769*/ GIMT_Encode4(311554), // Rule ID 18919 //
     /*  311493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  311496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  311501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  311504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  311507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  311510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311532 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  311532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  311535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311552 */     GIR_RootConstrainSelectedInstOperands,
     /*  311553 */     // GIR_Coverage, 18919,
     /*  311553 */     GIR_EraseRootFromParent_Done,
     /*  311554 */   // Label 5769: @311554
     /*  311554 */   GIM_Try, /*On fail goto*//*Label 5770*/ GIMT_Encode4(311620), // Rule ID 18920 //
     /*  311559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  311562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  311567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  311570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  311573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  311576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311598 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  311598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  311601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311618 */     GIR_RootConstrainSelectedInstOperands,
     /*  311619 */     // GIR_Coverage, 18920,
     /*  311619 */     GIR_EraseRootFromParent_Done,
     /*  311620 */   // Label 5770: @311620
     /*  311620 */   GIM_Try, /*On fail goto*//*Label 5771*/ GIMT_Encode4(311686), // Rule ID 18923 //
     /*  311625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  311628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  311633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  311636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  311639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  311642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311664 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  311664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  311667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311684 */     GIR_RootConstrainSelectedInstOperands,
     /*  311685 */     // GIR_Coverage, 18923,
     /*  311685 */     GIR_EraseRootFromParent_Done,
     /*  311686 */   // Label 5771: @311686
     /*  311686 */   GIM_Try, /*On fail goto*//*Label 5772*/ GIMT_Encode4(311752), // Rule ID 18924 //
     /*  311691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  311694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  311699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  311702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  311705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  311708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311730 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  311730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  311733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311750 */     GIR_RootConstrainSelectedInstOperands,
     /*  311751 */     // GIR_Coverage, 18924,
     /*  311751 */     GIR_EraseRootFromParent_Done,
     /*  311752 */   // Label 5772: @311752
     /*  311752 */   GIM_Try, /*On fail goto*//*Label 5773*/ GIMT_Encode4(311818), // Rule ID 18927 //
     /*  311757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  311760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  311765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  311768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  311771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  311774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311796 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  311799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311816 */     GIR_RootConstrainSelectedInstOperands,
     /*  311817 */     // GIR_Coverage, 18927,
     /*  311817 */     GIR_EraseRootFromParent_Done,
     /*  311818 */   // Label 5773: @311818
     /*  311818 */   GIM_Try, /*On fail goto*//*Label 5774*/ GIMT_Encode4(311884), // Rule ID 18928 //
     /*  311823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  311826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  311831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  311834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  311837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  311840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311862 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  311865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311882 */     GIR_RootConstrainSelectedInstOperands,
     /*  311883 */     // GIR_Coverage, 18928,
     /*  311883 */     GIR_EraseRootFromParent_Done,
     /*  311884 */   // Label 5774: @311884
     /*  311884 */   GIM_Try, /*On fail goto*//*Label 5775*/ GIMT_Encode4(311950), // Rule ID 18931 //
     /*  311889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  311892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  311897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  311900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  311903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311928 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  311931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311948 */     GIR_RootConstrainSelectedInstOperands,
     /*  311949 */     // GIR_Coverage, 18931,
     /*  311949 */     GIR_EraseRootFromParent_Done,
     /*  311950 */   // Label 5775: @311950
     /*  311950 */   GIM_Try, /*On fail goto*//*Label 5776*/ GIMT_Encode4(312016), // Rule ID 18932 //
     /*  311955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  311958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  311963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  311966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  311969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311994 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  311997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312014 */     GIR_RootConstrainSelectedInstOperands,
     /*  312015 */     // GIR_Coverage, 18932,
     /*  312015 */     GIR_EraseRootFromParent_Done,
     /*  312016 */   // Label 5776: @312016
     /*  312016 */   GIM_Try, /*On fail goto*//*Label 5777*/ GIMT_Encode4(312082), // Rule ID 18935 //
     /*  312021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  312024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  312032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  312035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  312038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312060 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  312063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312080 */     GIR_RootConstrainSelectedInstOperands,
     /*  312081 */     // GIR_Coverage, 18935,
     /*  312081 */     GIR_EraseRootFromParent_Done,
     /*  312082 */   // Label 5777: @312082
     /*  312082 */   GIM_Try, /*On fail goto*//*Label 5778*/ GIMT_Encode4(312148), // Rule ID 18936 //
     /*  312087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  312090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  312098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  312101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  312104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312126 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  312129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312146 */     GIR_RootConstrainSelectedInstOperands,
     /*  312147 */     // GIR_Coverage, 18936,
     /*  312147 */     GIR_EraseRootFromParent_Done,
     /*  312148 */   // Label 5778: @312148
     /*  312148 */   GIM_Try, /*On fail goto*//*Label 5779*/ GIMT_Encode4(312214), // Rule ID 18939 //
     /*  312153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  312156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  312164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  312167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  312170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312192 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  312195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312212 */     GIR_RootConstrainSelectedInstOperands,
     /*  312213 */     // GIR_Coverage, 18939,
     /*  312213 */     GIR_EraseRootFromParent_Done,
     /*  312214 */   // Label 5779: @312214
     /*  312214 */   GIM_Try, /*On fail goto*//*Label 5780*/ GIMT_Encode4(312280), // Rule ID 18940 //
     /*  312219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  312230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  312233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  312236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312258 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  312261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312278 */     GIR_RootConstrainSelectedInstOperands,
     /*  312279 */     // GIR_Coverage, 18940,
     /*  312279 */     GIR_EraseRootFromParent_Done,
     /*  312280 */   // Label 5780: @312280
     /*  312280 */   GIM_Try, /*On fail goto*//*Label 5781*/ GIMT_Encode4(312346), // Rule ID 18943 //
     /*  312285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  312288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  312296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  312299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  312302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312324 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  312327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312344 */     GIR_RootConstrainSelectedInstOperands,
     /*  312345 */     // GIR_Coverage, 18943,
     /*  312345 */     GIR_EraseRootFromParent_Done,
     /*  312346 */   // Label 5781: @312346
     /*  312346 */   GIM_Try, /*On fail goto*//*Label 5782*/ GIMT_Encode4(312412), // Rule ID 18944 //
     /*  312351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  312362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  312365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  312368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312390 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  312393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312410 */     GIR_RootConstrainSelectedInstOperands,
     /*  312411 */     // GIR_Coverage, 18944,
     /*  312411 */     GIR_EraseRootFromParent_Done,
     /*  312412 */   // Label 5782: @312412
     /*  312412 */   GIM_Try, /*On fail goto*//*Label 5783*/ GIMT_Encode4(312478), // Rule ID 18947 //
     /*  312417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  312420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  312428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  312431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  312434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312456 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  312459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312476 */     GIR_RootConstrainSelectedInstOperands,
     /*  312477 */     // GIR_Coverage, 18947,
     /*  312477 */     GIR_EraseRootFromParent_Done,
     /*  312478 */   // Label 5783: @312478
     /*  312478 */   GIM_Try, /*On fail goto*//*Label 5784*/ GIMT_Encode4(312544), // Rule ID 18948 //
     /*  312483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  312494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  312497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  312500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312522 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  312525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312542 */     GIR_RootConstrainSelectedInstOperands,
     /*  312543 */     // GIR_Coverage, 18948,
     /*  312543 */     GIR_EraseRootFromParent_Done,
     /*  312544 */   // Label 5784: @312544
     /*  312544 */   GIM_Try, /*On fail goto*//*Label 5785*/ GIMT_Encode4(312610), // Rule ID 18951 //
     /*  312549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  312552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  312560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  312563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  312566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312588 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  312588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  312591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312608 */     GIR_RootConstrainSelectedInstOperands,
     /*  312609 */     // GIR_Coverage, 18951,
     /*  312609 */     GIR_EraseRootFromParent_Done,
     /*  312610 */   // Label 5785: @312610
     /*  312610 */   GIM_Try, /*On fail goto*//*Label 5786*/ GIMT_Encode4(312676), // Rule ID 18952 //
     /*  312615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  312618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  312626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  312629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  312632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312654 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  312654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  312657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312674 */     GIR_RootConstrainSelectedInstOperands,
     /*  312675 */     // GIR_Coverage, 18952,
     /*  312675 */     GIR_EraseRootFromParent_Done,
     /*  312676 */   // Label 5786: @312676
     /*  312676 */   GIM_Try, /*On fail goto*//*Label 5787*/ GIMT_Encode4(312742), // Rule ID 18955 //
     /*  312681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  312684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  312692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  312695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  312698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312720 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  312720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  312723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312740 */     GIR_RootConstrainSelectedInstOperands,
     /*  312741 */     // GIR_Coverage, 18955,
     /*  312741 */     GIR_EraseRootFromParent_Done,
     /*  312742 */   // Label 5787: @312742
     /*  312742 */   GIM_Try, /*On fail goto*//*Label 5788*/ GIMT_Encode4(312808), // Rule ID 18956 //
     /*  312747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  312750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  312758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  312761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  312764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312786 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  312786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  312789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312806 */     GIR_RootConstrainSelectedInstOperands,
     /*  312807 */     // GIR_Coverage, 18956,
     /*  312807 */     GIR_EraseRootFromParent_Done,
     /*  312808 */   // Label 5788: @312808
     /*  312808 */   GIM_Try, /*On fail goto*//*Label 5789*/ GIMT_Encode4(312874), // Rule ID 18959 //
     /*  312813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  312816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  312824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  312827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  312830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312852 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  312852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  312855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312872 */     GIR_RootConstrainSelectedInstOperands,
     /*  312873 */     // GIR_Coverage, 18959,
     /*  312873 */     GIR_EraseRootFromParent_Done,
     /*  312874 */   // Label 5789: @312874
     /*  312874 */   GIM_Try, /*On fail goto*//*Label 5790*/ GIMT_Encode4(312940), // Rule ID 18960 //
     /*  312879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  312882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  312887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  312890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  312893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  312896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312918 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  312918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  312921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312938 */     GIR_RootConstrainSelectedInstOperands,
     /*  312939 */     // GIR_Coverage, 18960,
     /*  312939 */     GIR_EraseRootFromParent_Done,
     /*  312940 */   // Label 5790: @312940
     /*  312940 */   GIM_Try, /*On fail goto*//*Label 5791*/ GIMT_Encode4(313003), // Rule ID 19623 //
     /*  312945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  312948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  312953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  312956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  312959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  312962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312984 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  312984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  312987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  312991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313001 */     GIR_RootConstrainSelectedInstOperands,
     /*  313002 */     // GIR_Coverage, 19623,
     /*  313002 */     GIR_EraseRootFromParent_Done,
     /*  313003 */   // Label 5791: @313003
     /*  313003 */   GIM_Try, /*On fail goto*//*Label 5792*/ GIMT_Encode4(313066), // Rule ID 19624 //
     /*  313008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  313016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  313019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  313022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  313025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313047 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  313047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  313050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313064 */     GIR_RootConstrainSelectedInstOperands,
     /*  313065 */     // GIR_Coverage, 19624,
     /*  313065 */     GIR_EraseRootFromParent_Done,
     /*  313066 */   // Label 5792: @313066
     /*  313066 */   GIM_Try, /*On fail goto*//*Label 5793*/ GIMT_Encode4(313129), // Rule ID 19627 //
     /*  313071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  313079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  313082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  313085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  313088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313110 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  313110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  313113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313127 */     GIR_RootConstrainSelectedInstOperands,
     /*  313128 */     // GIR_Coverage, 19627,
     /*  313128 */     GIR_EraseRootFromParent_Done,
     /*  313129 */   // Label 5793: @313129
     /*  313129 */   GIM_Try, /*On fail goto*//*Label 5794*/ GIMT_Encode4(313192), // Rule ID 19628 //
     /*  313134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  313142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  313145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  313148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  313151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313173 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  313173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  313176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313190 */     GIR_RootConstrainSelectedInstOperands,
     /*  313191 */     // GIR_Coverage, 19628,
     /*  313191 */     GIR_EraseRootFromParent_Done,
     /*  313192 */   // Label 5794: @313192
     /*  313192 */   GIM_Try, /*On fail goto*//*Label 5795*/ GIMT_Encode4(313255), // Rule ID 19631 //
     /*  313197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  313200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  313205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  313208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  313211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  313214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313236 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  313236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  313239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313253 */     GIR_RootConstrainSelectedInstOperands,
     /*  313254 */     // GIR_Coverage, 19631,
     /*  313254 */     GIR_EraseRootFromParent_Done,
     /*  313255 */   // Label 5795: @313255
     /*  313255 */   GIM_Try, /*On fail goto*//*Label 5796*/ GIMT_Encode4(313318), // Rule ID 19632 //
     /*  313260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  313263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  313268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  313271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  313274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  313277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313299 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  313299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  313302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313316 */     GIR_RootConstrainSelectedInstOperands,
     /*  313317 */     // GIR_Coverage, 19632,
     /*  313317 */     GIR_EraseRootFromParent_Done,
     /*  313318 */   // Label 5796: @313318
     /*  313318 */   GIM_Try, /*On fail goto*//*Label 5797*/ GIMT_Encode4(313381), // Rule ID 19635 //
     /*  313323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  313331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  313334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  313337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  313340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313362 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  313362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  313365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313379 */     GIR_RootConstrainSelectedInstOperands,
     /*  313380 */     // GIR_Coverage, 19635,
     /*  313380 */     GIR_EraseRootFromParent_Done,
     /*  313381 */   // Label 5797: @313381
     /*  313381 */   GIM_Try, /*On fail goto*//*Label 5798*/ GIMT_Encode4(313444), // Rule ID 19636 //
     /*  313386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  313394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  313397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  313400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  313403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313425 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  313425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  313428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313442 */     GIR_RootConstrainSelectedInstOperands,
     /*  313443 */     // GIR_Coverage, 19636,
     /*  313443 */     GIR_EraseRootFromParent_Done,
     /*  313444 */   // Label 5798: @313444
     /*  313444 */   GIM_Try, /*On fail goto*//*Label 5799*/ GIMT_Encode4(313507), // Rule ID 19639 //
     /*  313449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  313452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  313457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  313460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  313463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  313466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313488 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  313488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  313491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313505 */     GIR_RootConstrainSelectedInstOperands,
     /*  313506 */     // GIR_Coverage, 19639,
     /*  313506 */     GIR_EraseRootFromParent_Done,
     /*  313507 */   // Label 5799: @313507
     /*  313507 */   GIM_Try, /*On fail goto*//*Label 5800*/ GIMT_Encode4(313570), // Rule ID 19640 //
     /*  313512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  313515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  313520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  313523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  313526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  313529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313551 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  313551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  313554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313568 */     GIR_RootConstrainSelectedInstOperands,
     /*  313569 */     // GIR_Coverage, 19640,
     /*  313569 */     GIR_EraseRootFromParent_Done,
     /*  313570 */   // Label 5800: @313570
     /*  313570 */   GIM_Try, /*On fail goto*//*Label 5801*/ GIMT_Encode4(313633), // Rule ID 19643 //
     /*  313575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  313578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  313583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  313586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  313589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  313592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313614 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  313614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  313617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313631 */     GIR_RootConstrainSelectedInstOperands,
     /*  313632 */     // GIR_Coverage, 19643,
     /*  313632 */     GIR_EraseRootFromParent_Done,
     /*  313633 */   // Label 5801: @313633
     /*  313633 */   GIM_Try, /*On fail goto*//*Label 5802*/ GIMT_Encode4(313696), // Rule ID 19644 //
     /*  313638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  313641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  313646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  313649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  313652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  313655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313677 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  313677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  313680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313694 */     GIR_RootConstrainSelectedInstOperands,
     /*  313695 */     // GIR_Coverage, 19644,
     /*  313695 */     GIR_EraseRootFromParent_Done,
     /*  313696 */   // Label 5802: @313696
     /*  313696 */   GIM_Try, /*On fail goto*//*Label 5803*/ GIMT_Encode4(313759), // Rule ID 19647 //
     /*  313701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  313709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  313712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  313715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  313718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313740 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  313740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  313743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313757 */     GIR_RootConstrainSelectedInstOperands,
     /*  313758 */     // GIR_Coverage, 19647,
     /*  313758 */     GIR_EraseRootFromParent_Done,
     /*  313759 */   // Label 5803: @313759
     /*  313759 */   GIM_Try, /*On fail goto*//*Label 5804*/ GIMT_Encode4(313822), // Rule ID 19648 //
     /*  313764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  313772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  313775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  313778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  313781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313803 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  313803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  313806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313820 */     GIR_RootConstrainSelectedInstOperands,
     /*  313821 */     // GIR_Coverage, 19648,
     /*  313821 */     GIR_EraseRootFromParent_Done,
     /*  313822 */   // Label 5804: @313822
     /*  313822 */   GIM_Try, /*On fail goto*//*Label 5805*/ GIMT_Encode4(313885), // Rule ID 19651 //
     /*  313827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  313835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  313838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  313841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  313844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313866 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  313866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  313869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313883 */     GIR_RootConstrainSelectedInstOperands,
     /*  313884 */     // GIR_Coverage, 19651,
     /*  313884 */     GIR_EraseRootFromParent_Done,
     /*  313885 */   // Label 5805: @313885
     /*  313885 */   GIM_Try, /*On fail goto*//*Label 5806*/ GIMT_Encode4(313948), // Rule ID 19652 //
     /*  313890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  313898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  313901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  313904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  313907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313929 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  313929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  313932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313946 */     GIR_RootConstrainSelectedInstOperands,
     /*  313947 */     // GIR_Coverage, 19652,
     /*  313947 */     GIR_EraseRootFromParent_Done,
     /*  313948 */   // Label 5806: @313948
     /*  313948 */   GIM_Try, /*On fail goto*//*Label 5807*/ GIMT_Encode4(314011), // Rule ID 19655 //
     /*  313953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  313961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  313964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  313967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  313970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313992 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  313992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  313995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314009 */     GIR_RootConstrainSelectedInstOperands,
     /*  314010 */     // GIR_Coverage, 19655,
     /*  314010 */     GIR_EraseRootFromParent_Done,
     /*  314011 */   // Label 5807: @314011
     /*  314011 */   GIM_Try, /*On fail goto*//*Label 5808*/ GIMT_Encode4(314074), // Rule ID 19656 //
     /*  314016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  314027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  314030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  314033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314055 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  314055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  314058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314072 */     GIR_RootConstrainSelectedInstOperands,
     /*  314073 */     // GIR_Coverage, 19656,
     /*  314073 */     GIR_EraseRootFromParent_Done,
     /*  314074 */   // Label 5808: @314074
     /*  314074 */   GIM_Try, /*On fail goto*//*Label 5809*/ GIMT_Encode4(314137), // Rule ID 19659 //
     /*  314079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  314082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  314090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  314093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  314096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314118 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  314118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  314121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314135 */     GIR_RootConstrainSelectedInstOperands,
     /*  314136 */     // GIR_Coverage, 19659,
     /*  314136 */     GIR_EraseRootFromParent_Done,
     /*  314137 */   // Label 5809: @314137
     /*  314137 */   GIM_Try, /*On fail goto*//*Label 5810*/ GIMT_Encode4(314200), // Rule ID 19660 //
     /*  314142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  314145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  314153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  314156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  314159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314181 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  314181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  314184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314198 */     GIR_RootConstrainSelectedInstOperands,
     /*  314199 */     // GIR_Coverage, 19660,
     /*  314199 */     GIR_EraseRootFromParent_Done,
     /*  314200 */   // Label 5810: @314200
     /*  314200 */   GIM_Try, /*On fail goto*//*Label 5811*/ GIMT_Encode4(314263), // Rule ID 19663 //
     /*  314205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  314208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  314216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  314219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  314222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314244 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  314244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  314247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314261 */     GIR_RootConstrainSelectedInstOperands,
     /*  314262 */     // GIR_Coverage, 19663,
     /*  314262 */     GIR_EraseRootFromParent_Done,
     /*  314263 */   // Label 5811: @314263
     /*  314263 */   GIM_Try, /*On fail goto*//*Label 5812*/ GIMT_Encode4(314326), // Rule ID 19664 //
     /*  314268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  314271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  314279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  314282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  314285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314307 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  314307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  314310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314324 */     GIR_RootConstrainSelectedInstOperands,
     /*  314325 */     // GIR_Coverage, 19664,
     /*  314325 */     GIR_EraseRootFromParent_Done,
     /*  314326 */   // Label 5812: @314326
     /*  314326 */   GIM_Try, /*On fail goto*//*Label 5813*/ GIMT_Encode4(314389), // Rule ID 19667 //
     /*  314331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  314334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  314342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  314345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  314348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314370 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  314370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  314373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314387 */     GIR_RootConstrainSelectedInstOperands,
     /*  314388 */     // GIR_Coverage, 19667,
     /*  314388 */     GIR_EraseRootFromParent_Done,
     /*  314389 */   // Label 5813: @314389
     /*  314389 */   GIM_Try, /*On fail goto*//*Label 5814*/ GIMT_Encode4(314452), // Rule ID 19668 //
     /*  314394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  314397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  314405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  314408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  314411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314433 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  314433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  314436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314450 */     GIR_RootConstrainSelectedInstOperands,
     /*  314451 */     // GIR_Coverage, 19668,
     /*  314451 */     GIR_EraseRootFromParent_Done,
     /*  314452 */   // Label 5814: @314452
     /*  314452 */   GIM_Try, /*On fail goto*//*Label 5815*/ GIMT_Encode4(314515), // Rule ID 19671 //
     /*  314457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  314460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  314468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  314471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  314474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314496 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  314496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  314499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314513 */     GIR_RootConstrainSelectedInstOperands,
     /*  314514 */     // GIR_Coverage, 19671,
     /*  314514 */     GIR_EraseRootFromParent_Done,
     /*  314515 */   // Label 5815: @314515
     /*  314515 */   GIM_Try, /*On fail goto*//*Label 5816*/ GIMT_Encode4(314578), // Rule ID 19672 //
     /*  314520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  314523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  314531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  314534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  314537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314559 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  314559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  314562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314576 */     GIR_RootConstrainSelectedInstOperands,
     /*  314577 */     // GIR_Coverage, 19672,
     /*  314577 */     GIR_EraseRootFromParent_Done,
     /*  314578 */   // Label 5816: @314578
     /*  314578 */   GIM_Try, /*On fail goto*//*Label 5817*/ GIMT_Encode4(314641), // Rule ID 19675 //
     /*  314583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  314586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  314594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  314597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  314600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314622 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  314622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  314625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314639 */     GIR_RootConstrainSelectedInstOperands,
     /*  314640 */     // GIR_Coverage, 19675,
     /*  314640 */     GIR_EraseRootFromParent_Done,
     /*  314641 */   // Label 5817: @314641
     /*  314641 */   GIM_Try, /*On fail goto*//*Label 5818*/ GIMT_Encode4(314704), // Rule ID 19676 //
     /*  314646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  314649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  314657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  314660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  314663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314685 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  314685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  314688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314702 */     GIR_RootConstrainSelectedInstOperands,
     /*  314703 */     // GIR_Coverage, 19676,
     /*  314703 */     GIR_EraseRootFromParent_Done,
     /*  314704 */   // Label 5818: @314704
     /*  314704 */   GIM_Try, /*On fail goto*//*Label 5819*/ GIMT_Encode4(314767), // Rule ID 19679 //
     /*  314709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  314712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  314720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  314723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  314726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314748 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  314748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  314751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314765 */     GIR_RootConstrainSelectedInstOperands,
     /*  314766 */     // GIR_Coverage, 19679,
     /*  314766 */     GIR_EraseRootFromParent_Done,
     /*  314767 */   // Label 5819: @314767
     /*  314767 */   GIM_Try, /*On fail goto*//*Label 5820*/ GIMT_Encode4(314830), // Rule ID 19680 //
     /*  314772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  314775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  314783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  314786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  314789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314811 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  314811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  314814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314828 */     GIR_RootConstrainSelectedInstOperands,
     /*  314829 */     // GIR_Coverage, 19680,
     /*  314829 */     GIR_EraseRootFromParent_Done,
     /*  314830 */   // Label 5820: @314830
     /*  314830 */   GIM_Try, /*On fail goto*//*Label 5821*/ GIMT_Encode4(314893), // Rule ID 19683 //
     /*  314835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  314849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  314852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  314867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314874 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  314877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314891 */     GIR_RootConstrainSelectedInstOperands,
     /*  314892 */     // GIR_Coverage, 19683,
     /*  314892 */     GIR_EraseRootFromParent_Done,
     /*  314893 */   // Label 5821: @314893
     /*  314893 */   GIM_Try, /*On fail goto*//*Label 5822*/ GIMT_Encode4(314956), // Rule ID 19684 //
     /*  314898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  314912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  314915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  314930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314937 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  314937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  314940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314954 */     GIR_RootConstrainSelectedInstOperands,
     /*  314955 */     // GIR_Coverage, 19684,
     /*  314955 */     GIR_EraseRootFromParent_Done,
     /*  314956 */   // Label 5822: @314956
     /*  314956 */   GIM_Try, /*On fail goto*//*Label 5823*/ GIMT_Encode4(315019), // Rule ID 19687 //
     /*  314961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  314969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  314972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  314975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  314978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  314993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315000 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  315003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315017 */     GIR_RootConstrainSelectedInstOperands,
     /*  315018 */     // GIR_Coverage, 19687,
     /*  315018 */     GIR_EraseRootFromParent_Done,
     /*  315019 */   // Label 5823: @315019
     /*  315019 */   GIM_Try, /*On fail goto*//*Label 5824*/ GIMT_Encode4(315082), // Rule ID 19688 //
     /*  315024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  315035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  315038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  315041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  315056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315063 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  315066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315080 */     GIR_RootConstrainSelectedInstOperands,
     /*  315081 */     // GIR_Coverage, 19688,
     /*  315081 */     GIR_EraseRootFromParent_Done,
     /*  315082 */   // Label 5824: @315082
     /*  315082 */   GIM_Try, /*On fail goto*//*Label 5825*/ GIMT_Encode4(315145), // Rule ID 19691 //
     /*  315087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  315098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  315101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  315104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  315119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315126 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  315129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315143 */     GIR_RootConstrainSelectedInstOperands,
     /*  315144 */     // GIR_Coverage, 19691,
     /*  315144 */     GIR_EraseRootFromParent_Done,
     /*  315145 */   // Label 5825: @315145
     /*  315145 */   GIM_Try, /*On fail goto*//*Label 5826*/ GIMT_Encode4(315208), // Rule ID 19692 //
     /*  315150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  315161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  315164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  315167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  315182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315189 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  315189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  315192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315206 */     GIR_RootConstrainSelectedInstOperands,
     /*  315207 */     // GIR_Coverage, 19692,
     /*  315207 */     GIR_EraseRootFromParent_Done,
     /*  315208 */   // Label 5826: @315208
     /*  315208 */   GIM_Try, /*On fail goto*//*Label 5827*/ GIMT_Encode4(315271), // Rule ID 19695 //
     /*  315213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  315227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  315230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  315245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315252 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  315255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315269 */     GIR_RootConstrainSelectedInstOperands,
     /*  315270 */     // GIR_Coverage, 19695,
     /*  315270 */     GIR_EraseRootFromParent_Done,
     /*  315271 */   // Label 5827: @315271
     /*  315271 */   GIM_Try, /*On fail goto*//*Label 5828*/ GIMT_Encode4(315334), // Rule ID 19696 //
     /*  315276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  315290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  315293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  315308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315315 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  315318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315332 */     GIR_RootConstrainSelectedInstOperands,
     /*  315333 */     // GIR_Coverage, 19696,
     /*  315333 */     GIR_EraseRootFromParent_Done,
     /*  315334 */   // Label 5828: @315334
     /*  315334 */   GIM_Try, /*On fail goto*//*Label 5829*/ GIMT_Encode4(315397), // Rule ID 19699 //
     /*  315339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  315350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  315353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  315356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  315371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315378 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  315381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315395 */     GIR_RootConstrainSelectedInstOperands,
     /*  315396 */     // GIR_Coverage, 19699,
     /*  315396 */     GIR_EraseRootFromParent_Done,
     /*  315397 */   // Label 5829: @315397
     /*  315397 */   GIM_Try, /*On fail goto*//*Label 5830*/ GIMT_Encode4(315460), // Rule ID 19700 //
     /*  315402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  315413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  315416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  315419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  315434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315441 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  315441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  315444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315458 */     GIR_RootConstrainSelectedInstOperands,
     /*  315459 */     // GIR_Coverage, 19700,
     /*  315459 */     GIR_EraseRootFromParent_Done,
     /*  315460 */   // Label 5830: @315460
     /*  315460 */   GIM_Try, /*On fail goto*//*Label 5831*/ GIMT_Encode4(315523), // Rule ID 19703 //
     /*  315465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  315468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  315476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  315479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  315482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  315497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315504 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  315504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  315507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315521 */     GIR_RootConstrainSelectedInstOperands,
     /*  315522 */     // GIR_Coverage, 19703,
     /*  315522 */     GIR_EraseRootFromParent_Done,
     /*  315523 */   // Label 5831: @315523
     /*  315523 */   GIM_Try, /*On fail goto*//*Label 5832*/ GIMT_Encode4(315586), // Rule ID 19704 //
     /*  315528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  315531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  315539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  315542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  315545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  315560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315567 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  315567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  315570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315584 */     GIR_RootConstrainSelectedInstOperands,
     /*  315585 */     // GIR_Coverage, 19704,
     /*  315585 */     GIR_EraseRootFromParent_Done,
     /*  315586 */   // Label 5832: @315586
     /*  315586 */   GIM_Try, /*On fail goto*//*Label 5833*/ GIMT_Encode4(315649), // Rule ID 19707 //
     /*  315591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  315605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  315608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  315623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315630 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  315633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315647 */     GIR_RootConstrainSelectedInstOperands,
     /*  315648 */     // GIR_Coverage, 19707,
     /*  315648 */     GIR_EraseRootFromParent_Done,
     /*  315649 */   // Label 5833: @315649
     /*  315649 */   GIM_Try, /*On fail goto*//*Label 5834*/ GIMT_Encode4(315712), // Rule ID 19708 //
     /*  315654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  315668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  315671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  315686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315693 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  315696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315710 */     GIR_RootConstrainSelectedInstOperands,
     /*  315711 */     // GIR_Coverage, 19708,
     /*  315711 */     GIR_EraseRootFromParent_Done,
     /*  315712 */   // Label 5834: @315712
     /*  315712 */   GIM_Try, /*On fail goto*//*Label 5835*/ GIMT_Encode4(315775), // Rule ID 19711 //
     /*  315717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  315728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  315731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  315734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  315749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315756 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  315759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315773 */     GIR_RootConstrainSelectedInstOperands,
     /*  315774 */     // GIR_Coverage, 19711,
     /*  315774 */     GIR_EraseRootFromParent_Done,
     /*  315775 */   // Label 5835: @315775
     /*  315775 */   GIM_Try, /*On fail goto*//*Label 5836*/ GIMT_Encode4(315838), // Rule ID 19712 //
     /*  315780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  315791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  315794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  315797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  315812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315819 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  315822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315836 */     GIR_RootConstrainSelectedInstOperands,
     /*  315837 */     // GIR_Coverage, 19712,
     /*  315837 */     GIR_EraseRootFromParent_Done,
     /*  315838 */   // Label 5836: @315838
     /*  315838 */   GIM_Try, /*On fail goto*//*Label 5837*/ GIMT_Encode4(315901), // Rule ID 19715 //
     /*  315843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  315854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  315857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  315860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  315875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315882 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  315885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315899 */     GIR_RootConstrainSelectedInstOperands,
     /*  315900 */     // GIR_Coverage, 19715,
     /*  315900 */     GIR_EraseRootFromParent_Done,
     /*  315901 */   // Label 5837: @315901
     /*  315901 */   GIM_Try, /*On fail goto*//*Label 5838*/ GIMT_Encode4(315964), // Rule ID 19716 //
     /*  315906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  315917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  315920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  315923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  315938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315945 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  315948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315962 */     GIR_RootConstrainSelectedInstOperands,
     /*  315963 */     // GIR_Coverage, 19716,
     /*  315963 */     GIR_EraseRootFromParent_Done,
     /*  315964 */   // Label 5838: @315964
     /*  315964 */   GIM_Try, /*On fail goto*//*Label 5839*/ GIMT_Encode4(316027), // Rule ID 19719 //
     /*  315969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  315977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  315983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  315986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316008 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  316008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  316011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316025 */     GIR_RootConstrainSelectedInstOperands,
     /*  316026 */     // GIR_Coverage, 19719,
     /*  316026 */     GIR_EraseRootFromParent_Done,
     /*  316027 */   // Label 5839: @316027
     /*  316027 */   GIM_Try, /*On fail goto*//*Label 5840*/ GIMT_Encode4(316090), // Rule ID 19720 //
     /*  316032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  316046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  316049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316071 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  316071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  316074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316088 */     GIR_RootConstrainSelectedInstOperands,
     /*  316089 */     // GIR_Coverage, 19720,
     /*  316089 */     GIR_EraseRootFromParent_Done,
     /*  316090 */   // Label 5840: @316090
     /*  316090 */   GIM_Try, /*On fail goto*//*Label 5841*/ GIMT_Encode4(316153), // Rule ID 19723 //
     /*  316095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  316106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  316109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  316112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316134 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  316134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  316137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316151 */     GIR_RootConstrainSelectedInstOperands,
     /*  316152 */     // GIR_Coverage, 19723,
     /*  316152 */     GIR_EraseRootFromParent_Done,
     /*  316153 */   // Label 5841: @316153
     /*  316153 */   GIM_Try, /*On fail goto*//*Label 5842*/ GIMT_Encode4(316216), // Rule ID 19724 //
     /*  316158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  316169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  316172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  316175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316197 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  316197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  316200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316214 */     GIR_RootConstrainSelectedInstOperands,
     /*  316215 */     // GIR_Coverage, 19724,
     /*  316215 */     GIR_EraseRootFromParent_Done,
     /*  316216 */   // Label 5842: @316216
     /*  316216 */   GIM_Try, /*On fail goto*//*Label 5843*/ GIMT_Encode4(316279), // Rule ID 19727 //
     /*  316221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  316232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  316235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  316238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316260 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  316260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  316263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316277 */     GIR_RootConstrainSelectedInstOperands,
     /*  316278 */     // GIR_Coverage, 19727,
     /*  316278 */     GIR_EraseRootFromParent_Done,
     /*  316279 */   // Label 5843: @316279
     /*  316279 */   GIM_Try, /*On fail goto*//*Label 5844*/ GIMT_Encode4(316342), // Rule ID 19728 //
     /*  316284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  316295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  316298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  316301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  316316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316323 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  316323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  316326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316340 */     GIR_RootConstrainSelectedInstOperands,
     /*  316341 */     // GIR_Coverage, 19728,
     /*  316341 */     GIR_EraseRootFromParent_Done,
     /*  316342 */   // Label 5844: @316342
     /*  316342 */   GIM_Try, /*On fail goto*//*Label 5845*/ GIMT_Encode4(316405), // Rule ID 19731 //
     /*  316347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  316361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  316364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  316379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316386 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  316386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  316389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316403 */     GIR_RootConstrainSelectedInstOperands,
     /*  316404 */     // GIR_Coverage, 19731,
     /*  316404 */     GIR_EraseRootFromParent_Done,
     /*  316405 */   // Label 5845: @316405
     /*  316405 */   GIM_Try, /*On fail goto*//*Label 5846*/ GIMT_Encode4(316468), // Rule ID 19732 //
     /*  316410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  316424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  316427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  316442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316449 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  316449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  316452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316466 */     GIR_RootConstrainSelectedInstOperands,
     /*  316467 */     // GIR_Coverage, 19732,
     /*  316467 */     GIR_EraseRootFromParent_Done,
     /*  316468 */   // Label 5846: @316468
     /*  316468 */   GIM_Try, /*On fail goto*//*Label 5847*/ GIMT_Encode4(316531), // Rule ID 19735 //
     /*  316473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  316487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  316490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  316505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316512 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  316512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  316515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316529 */     GIR_RootConstrainSelectedInstOperands,
     /*  316530 */     // GIR_Coverage, 19735,
     /*  316530 */     GIR_EraseRootFromParent_Done,
     /*  316531 */   // Label 5847: @316531
     /*  316531 */   GIM_Try, /*On fail goto*//*Label 5848*/ GIMT_Encode4(316594), // Rule ID 19736 //
     /*  316536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  316550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  316553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  316568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316575 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  316575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  316578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316592 */     GIR_RootConstrainSelectedInstOperands,
     /*  316593 */     // GIR_Coverage, 19736,
     /*  316593 */     GIR_EraseRootFromParent_Done,
     /*  316594 */   // Label 5848: @316594
     /*  316594 */   GIM_Try, /*On fail goto*//*Label 5849*/ GIMT_Encode4(316657), // Rule ID 19739 //
     /*  316599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  316610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  316613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  316616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  316631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316638 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  316638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  316641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316655 */     GIR_RootConstrainSelectedInstOperands,
     /*  316656 */     // GIR_Coverage, 19739,
     /*  316656 */     GIR_EraseRootFromParent_Done,
     /*  316657 */   // Label 5849: @316657
     /*  316657 */   GIM_Try, /*On fail goto*//*Label 5850*/ GIMT_Encode4(316720), // Rule ID 19740 //
     /*  316662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  316670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  316673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  316676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  316679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  316694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316701 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  316701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  316704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316718 */     GIR_RootConstrainSelectedInstOperands,
     /*  316719 */     // GIR_Coverage, 19740,
     /*  316719 */     GIR_EraseRootFromParent_Done,
     /*  316720 */   // Label 5850: @316720
     /*  316720 */   GIM_Try, /*On fail goto*//*Label 5851*/ GIMT_Encode4(316783), // Rule ID 19743 //
     /*  316725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  316733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  316739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  316742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316764 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  316767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316781 */     GIR_RootConstrainSelectedInstOperands,
     /*  316782 */     // GIR_Coverage, 19743,
     /*  316782 */     GIR_EraseRootFromParent_Done,
     /*  316783 */   // Label 5851: @316783
     /*  316783 */   GIM_Try, /*On fail goto*//*Label 5852*/ GIMT_Encode4(316846), // Rule ID 19744 //
     /*  316788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  316796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  316802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  316805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316827 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  316830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316844 */     GIR_RootConstrainSelectedInstOperands,
     /*  316845 */     // GIR_Coverage, 19744,
     /*  316845 */     GIR_EraseRootFromParent_Done,
     /*  316846 */   // Label 5852: @316846
     /*  316846 */   GIM_Try, /*On fail goto*//*Label 5853*/ GIMT_Encode4(316909), // Rule ID 19747 //
     /*  316851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  316859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  316865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  316868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316890 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  316893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316907 */     GIR_RootConstrainSelectedInstOperands,
     /*  316908 */     // GIR_Coverage, 19747,
     /*  316908 */     GIR_EraseRootFromParent_Done,
     /*  316909 */   // Label 5853: @316909
     /*  316909 */   GIM_Try, /*On fail goto*//*Label 5854*/ GIMT_Encode4(316972), // Rule ID 19748 //
     /*  316914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  316922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  316928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  316931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316953 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  316956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316970 */     GIR_RootConstrainSelectedInstOperands,
     /*  316971 */     // GIR_Coverage, 19748,
     /*  316971 */     GIR_EraseRootFromParent_Done,
     /*  316972 */   // Label 5854: @316972
     /*  316972 */   GIM_Try, /*On fail goto*//*Label 5855*/ GIMT_Encode4(317035), // Rule ID 19751 //
     /*  316977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  316985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  316991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  316994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317016 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  317019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317033 */     GIR_RootConstrainSelectedInstOperands,
     /*  317034 */     // GIR_Coverage, 19751,
     /*  317034 */     GIR_EraseRootFromParent_Done,
     /*  317035 */   // Label 5855: @317035
     /*  317035 */   GIM_Try, /*On fail goto*//*Label 5856*/ GIMT_Encode4(317098), // Rule ID 19752 //
     /*  317040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  317048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  317051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  317054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  317057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317079 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  317082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317096 */     GIR_RootConstrainSelectedInstOperands,
     /*  317097 */     // GIR_Coverage, 19752,
     /*  317097 */     GIR_EraseRootFromParent_Done,
     /*  317098 */   // Label 5856: @317098
     /*  317098 */   GIM_Try, /*On fail goto*//*Label 5857*/ GIMT_Encode4(317161), // Rule ID 19755 //
     /*  317103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  317111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  317117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  317120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317142 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  317142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  317145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317159 */     GIR_RootConstrainSelectedInstOperands,
     /*  317160 */     // GIR_Coverage, 19755,
     /*  317160 */     GIR_EraseRootFromParent_Done,
     /*  317161 */   // Label 5857: @317161
     /*  317161 */   GIM_Try, /*On fail goto*//*Label 5858*/ GIMT_Encode4(317224), // Rule ID 19756 //
     /*  317166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  317174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  317180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  317183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317205 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  317208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317222 */     GIR_RootConstrainSelectedInstOperands,
     /*  317223 */     // GIR_Coverage, 19756,
     /*  317223 */     GIR_EraseRootFromParent_Done,
     /*  317224 */   // Label 5858: @317224
     /*  317224 */   GIM_Try, /*On fail goto*//*Label 5859*/ GIMT_Encode4(317287), // Rule ID 19759 //
     /*  317229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  317237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  317240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  317243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  317246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317268 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  317271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317285 */     GIR_RootConstrainSelectedInstOperands,
     /*  317286 */     // GIR_Coverage, 19759,
     /*  317286 */     GIR_EraseRootFromParent_Done,
     /*  317287 */   // Label 5859: @317287
     /*  317287 */   GIM_Try, /*On fail goto*//*Label 5860*/ GIMT_Encode4(317350), // Rule ID 19760 //
     /*  317292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  317300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  317303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  317306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  317309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317331 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  317334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317348 */     GIR_RootConstrainSelectedInstOperands,
     /*  317349 */     // GIR_Coverage, 19760,
     /*  317349 */     GIR_EraseRootFromParent_Done,
     /*  317350 */   // Label 5860: @317350
     /*  317350 */   GIM_Try, /*On fail goto*//*Label 5861*/ GIMT_Encode4(317413), // Rule ID 19763 //
     /*  317355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  317363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  317366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  317369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  317372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317394 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  317394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  317397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317411 */     GIR_RootConstrainSelectedInstOperands,
     /*  317412 */     // GIR_Coverage, 19763,
     /*  317412 */     GIR_EraseRootFromParent_Done,
     /*  317413 */   // Label 5861: @317413
     /*  317413 */   GIM_Try, /*On fail goto*//*Label 5862*/ GIMT_Encode4(317476), // Rule ID 19764 //
     /*  317418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  317426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  317429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  317432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  317435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317457 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  317457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  317460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317474 */     GIR_RootConstrainSelectedInstOperands,
     /*  317475 */     // GIR_Coverage, 19764,
     /*  317475 */     GIR_EraseRootFromParent_Done,
     /*  317476 */   // Label 5862: @317476
     /*  317476 */   GIM_Try, /*On fail goto*//*Label 5863*/ GIMT_Encode4(317539), // Rule ID 19767 //
     /*  317481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  317489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  317495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  317498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317520 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  317520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  317523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317537 */     GIR_RootConstrainSelectedInstOperands,
     /*  317538 */     // GIR_Coverage, 19767,
     /*  317538 */     GIR_EraseRootFromParent_Done,
     /*  317539 */   // Label 5863: @317539
     /*  317539 */   GIM_Try, /*On fail goto*//*Label 5864*/ GIMT_Encode4(317602), // Rule ID 19768 //
     /*  317544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  317552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  317558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  317561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317583 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  317586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317600 */     GIR_RootConstrainSelectedInstOperands,
     /*  317601 */     // GIR_Coverage, 19768,
     /*  317601 */     GIR_EraseRootFromParent_Done,
     /*  317602 */   // Label 5864: @317602
     /*  317602 */   GIM_Try, /*On fail goto*//*Label 5865*/ GIMT_Encode4(317665), // Rule ID 19771 //
     /*  317607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  317615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  317618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  317621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  317624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317646 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  317646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  317649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317663 */     GIR_RootConstrainSelectedInstOperands,
     /*  317664 */     // GIR_Coverage, 19771,
     /*  317664 */     GIR_EraseRootFromParent_Done,
     /*  317665 */   // Label 5865: @317665
     /*  317665 */   GIM_Try, /*On fail goto*//*Label 5866*/ GIMT_Encode4(317728), // Rule ID 19772 //
     /*  317670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  317678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  317681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  317684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  317687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317709 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  317712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317726 */     GIR_RootConstrainSelectedInstOperands,
     /*  317727 */     // GIR_Coverage, 19772,
     /*  317727 */     GIR_EraseRootFromParent_Done,
     /*  317728 */   // Label 5866: @317728
     /*  317728 */   GIM_Try, /*On fail goto*//*Label 5867*/ GIMT_Encode4(317791), // Rule ID 19775 //
     /*  317733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  317741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  317744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  317747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  317750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317772 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  317772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  317775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317789 */     GIR_RootConstrainSelectedInstOperands,
     /*  317790 */     // GIR_Coverage, 19775,
     /*  317790 */     GIR_EraseRootFromParent_Done,
     /*  317791 */   // Label 5867: @317791
     /*  317791 */   GIM_Try, /*On fail goto*//*Label 5868*/ GIMT_Encode4(317854), // Rule ID 19776 //
     /*  317796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  317804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  317807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  317810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  317813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317835 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  317838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317852 */     GIR_RootConstrainSelectedInstOperands,
     /*  317853 */     // GIR_Coverage, 19776,
     /*  317853 */     GIR_EraseRootFromParent_Done,
     /*  317854 */   // Label 5868: @317854
     /*  317854 */   GIM_Try, /*On fail goto*//*Label 5869*/ GIMT_Encode4(317917), // Rule ID 19779 //
     /*  317859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  317867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  317873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  317876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317898 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  317901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317915 */     GIR_RootConstrainSelectedInstOperands,
     /*  317916 */     // GIR_Coverage, 19779,
     /*  317916 */     GIR_EraseRootFromParent_Done,
     /*  317917 */   // Label 5869: @317917
     /*  317917 */   GIM_Try, /*On fail goto*//*Label 5870*/ GIMT_Encode4(317980), // Rule ID 19780 //
     /*  317922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  317930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  317936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  317939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317961 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  317964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317978 */     GIR_RootConstrainSelectedInstOperands,
     /*  317979 */     // GIR_Coverage, 19780,
     /*  317979 */     GIR_EraseRootFromParent_Done,
     /*  317980 */   // Label 5870: @317980
     /*  317980 */   GIM_Try, /*On fail goto*//*Label 5871*/ GIMT_Encode4(318043), // Rule ID 19783 //
     /*  317985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  317993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  317999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  318002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318024 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  318024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  318027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318041 */     GIR_RootConstrainSelectedInstOperands,
     /*  318042 */     // GIR_Coverage, 19783,
     /*  318042 */     GIR_EraseRootFromParent_Done,
     /*  318043 */   // Label 5871: @318043
     /*  318043 */   GIM_Try, /*On fail goto*//*Label 5872*/ GIMT_Encode4(318106), // Rule ID 19784 //
     /*  318048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  318059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  318062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  318065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318087 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  318087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  318090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318104 */     GIR_RootConstrainSelectedInstOperands,
     /*  318105 */     // GIR_Coverage, 19784,
     /*  318105 */     GIR_EraseRootFromParent_Done,
     /*  318106 */   // Label 5872: @318106
     /*  318106 */   GIM_Try, /*On fail goto*//*Label 5873*/ GIMT_Encode4(318169), // Rule ID 19787 //
     /*  318111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  318122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  318125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  318128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318150 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  318150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  318153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318167 */     GIR_RootConstrainSelectedInstOperands,
     /*  318168 */     // GIR_Coverage, 19787,
     /*  318168 */     GIR_EraseRootFromParent_Done,
     /*  318169 */   // Label 5873: @318169
     /*  318169 */   GIM_Try, /*On fail goto*//*Label 5874*/ GIMT_Encode4(318232), // Rule ID 19788 //
     /*  318174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  318185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  318188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  318191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318213 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  318213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  318216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318230 */     GIR_RootConstrainSelectedInstOperands,
     /*  318231 */     // GIR_Coverage, 19788,
     /*  318231 */     GIR_EraseRootFromParent_Done,
     /*  318232 */   // Label 5874: @318232
     /*  318232 */   GIM_Try, /*On fail goto*//*Label 5875*/ GIMT_Encode4(318295), // Rule ID 19791 //
     /*  318237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  318251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  318254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318276 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  318276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  318279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318293 */     GIR_RootConstrainSelectedInstOperands,
     /*  318294 */     // GIR_Coverage, 19791,
     /*  318294 */     GIR_EraseRootFromParent_Done,
     /*  318295 */   // Label 5875: @318295
     /*  318295 */   GIM_Try, /*On fail goto*//*Label 5876*/ GIMT_Encode4(318358), // Rule ID 19792 //
     /*  318300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  318314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  318317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318339 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  318339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  318342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318356 */     GIR_RootConstrainSelectedInstOperands,
     /*  318357 */     // GIR_Coverage, 19792,
     /*  318357 */     GIR_EraseRootFromParent_Done,
     /*  318358 */   // Label 5876: @318358
     /*  318358 */   GIM_Try, /*On fail goto*//*Label 5877*/ GIMT_Encode4(318421), // Rule ID 19795 //
     /*  318363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  318377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  318380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318402 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  318402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  318405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318419 */     GIR_RootConstrainSelectedInstOperands,
     /*  318420 */     // GIR_Coverage, 19795,
     /*  318420 */     GIR_EraseRootFromParent_Done,
     /*  318421 */   // Label 5877: @318421
     /*  318421 */   GIM_Try, /*On fail goto*//*Label 5878*/ GIMT_Encode4(318484), // Rule ID 19796 //
     /*  318426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  318440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  318443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318465 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  318465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  318468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318482 */     GIR_RootConstrainSelectedInstOperands,
     /*  318483 */     // GIR_Coverage, 19796,
     /*  318483 */     GIR_EraseRootFromParent_Done,
     /*  318484 */   // Label 5878: @318484
     /*  318484 */   GIM_Try, /*On fail goto*//*Label 5879*/ GIMT_Encode4(318547), // Rule ID 19799 //
     /*  318489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  318500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  318503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  318506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318528 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  318528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  318531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318545 */     GIR_RootConstrainSelectedInstOperands,
     /*  318546 */     // GIR_Coverage, 19799,
     /*  318546 */     GIR_EraseRootFromParent_Done,
     /*  318547 */   // Label 5879: @318547
     /*  318547 */   GIM_Try, /*On fail goto*//*Label 5880*/ GIMT_Encode4(318610), // Rule ID 19800 //
     /*  318552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  318563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  318566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  318569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318591 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  318591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  318594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318608 */     GIR_RootConstrainSelectedInstOperands,
     /*  318609 */     // GIR_Coverage, 19800,
     /*  318609 */     GIR_EraseRootFromParent_Done,
     /*  318610 */   // Label 5880: @318610
     /*  318610 */   GIM_Try, /*On fail goto*//*Label 5881*/ GIMT_Encode4(318673), // Rule ID 19803 //
     /*  318615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  318629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  318632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  318647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318654 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  318657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318671 */     GIR_RootConstrainSelectedInstOperands,
     /*  318672 */     // GIR_Coverage, 19803,
     /*  318672 */     GIR_EraseRootFromParent_Done,
     /*  318673 */   // Label 5881: @318673
     /*  318673 */   GIM_Try, /*On fail goto*//*Label 5882*/ GIMT_Encode4(318736), // Rule ID 19804 //
     /*  318678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  318692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  318695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  318710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318717 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  318720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318734 */     GIR_RootConstrainSelectedInstOperands,
     /*  318735 */     // GIR_Coverage, 19804,
     /*  318735 */     GIR_EraseRootFromParent_Done,
     /*  318736 */   // Label 5882: @318736
     /*  318736 */   GIM_Try, /*On fail goto*//*Label 5883*/ GIMT_Encode4(318799), // Rule ID 19807 //
     /*  318741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  318755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  318758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  318773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318780 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  318783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318797 */     GIR_RootConstrainSelectedInstOperands,
     /*  318798 */     // GIR_Coverage, 19807,
     /*  318798 */     GIR_EraseRootFromParent_Done,
     /*  318799 */   // Label 5883: @318799
     /*  318799 */   GIM_Try, /*On fail goto*//*Label 5884*/ GIMT_Encode4(318862), // Rule ID 19808 //
     /*  318804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  318818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  318821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  318836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318843 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  318846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318860 */     GIR_RootConstrainSelectedInstOperands,
     /*  318861 */     // GIR_Coverage, 19808,
     /*  318861 */     GIR_EraseRootFromParent_Done,
     /*  318862 */   // Label 5884: @318862
     /*  318862 */   GIM_Try, /*On fail goto*//*Label 5885*/ GIMT_Encode4(318925), // Rule ID 19811 //
     /*  318867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  318881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  318884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  318899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318906 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  318906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  318909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318923 */     GIR_RootConstrainSelectedInstOperands,
     /*  318924 */     // GIR_Coverage, 19811,
     /*  318924 */     GIR_EraseRootFromParent_Done,
     /*  318925 */   // Label 5885: @318925
     /*  318925 */   GIM_Try, /*On fail goto*//*Label 5886*/ GIMT_Encode4(318988), // Rule ID 19812 //
     /*  318930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  318938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  318944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  318947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  318962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318969 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  318969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  318972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318986 */     GIR_RootConstrainSelectedInstOperands,
     /*  318987 */     // GIR_Coverage, 19812,
     /*  318987 */     GIR_EraseRootFromParent_Done,
     /*  318988 */   // Label 5886: @318988
     /*  318988 */   GIM_Try, /*On fail goto*//*Label 5887*/ GIMT_Encode4(319051), // Rule ID 19815 //
     /*  318993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  319007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  319010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  319025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319032 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  319035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319049 */     GIR_RootConstrainSelectedInstOperands,
     /*  319050 */     // GIR_Coverage, 19815,
     /*  319050 */     GIR_EraseRootFromParent_Done,
     /*  319051 */   // Label 5887: @319051
     /*  319051 */   GIM_Try, /*On fail goto*//*Label 5888*/ GIMT_Encode4(319114), // Rule ID 19816 //
     /*  319056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  319070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  319073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  319088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319095 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  319098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319112 */     GIR_RootConstrainSelectedInstOperands,
     /*  319113 */     // GIR_Coverage, 19816,
     /*  319113 */     GIR_EraseRootFromParent_Done,
     /*  319114 */   // Label 5888: @319114
     /*  319114 */   GIM_Try, /*On fail goto*//*Label 5889*/ GIMT_Encode4(319177), // Rule ID 19819 //
     /*  319119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  319133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  319136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  319151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319158 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  319161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319175 */     GIR_RootConstrainSelectedInstOperands,
     /*  319176 */     // GIR_Coverage, 19819,
     /*  319176 */     GIR_EraseRootFromParent_Done,
     /*  319177 */   // Label 5889: @319177
     /*  319177 */   GIM_Try, /*On fail goto*//*Label 5890*/ GIMT_Encode4(319240), // Rule ID 19820 //
     /*  319182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  319196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  319199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  319214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319221 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  319224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319238 */     GIR_RootConstrainSelectedInstOperands,
     /*  319239 */     // GIR_Coverage, 19820,
     /*  319239 */     GIR_EraseRootFromParent_Done,
     /*  319240 */   // Label 5890: @319240
     /*  319240 */   GIM_Try, /*On fail goto*//*Label 5891*/ GIMT_Encode4(319303), // Rule ID 19823 //
     /*  319245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  319259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  319262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  319277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319284 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  319284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  319287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319301 */     GIR_RootConstrainSelectedInstOperands,
     /*  319302 */     // GIR_Coverage, 19823,
     /*  319302 */     GIR_EraseRootFromParent_Done,
     /*  319303 */   // Label 5891: @319303
     /*  319303 */   GIM_Try, /*On fail goto*//*Label 5892*/ GIMT_Encode4(319366), // Rule ID 19824 //
     /*  319308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  319322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  319325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  319340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319347 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  319347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  319350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319364 */     GIR_RootConstrainSelectedInstOperands,
     /*  319365 */     // GIR_Coverage, 19824,
     /*  319365 */     GIR_EraseRootFromParent_Done,
     /*  319366 */   // Label 5892: @319366
     /*  319366 */   GIM_Try, /*On fail goto*//*Label 5893*/ GIMT_Encode4(319429), // Rule ID 19827 //
     /*  319371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  319385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  319388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  319403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319410 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  319413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319427 */     GIR_RootConstrainSelectedInstOperands,
     /*  319428 */     // GIR_Coverage, 19827,
     /*  319428 */     GIR_EraseRootFromParent_Done,
     /*  319429 */   // Label 5893: @319429
     /*  319429 */   GIM_Try, /*On fail goto*//*Label 5894*/ GIMT_Encode4(319492), // Rule ID 19828 //
     /*  319434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  319448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  319451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  319466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319473 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  319476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319490 */     GIR_RootConstrainSelectedInstOperands,
     /*  319491 */     // GIR_Coverage, 19828,
     /*  319491 */     GIR_EraseRootFromParent_Done,
     /*  319492 */   // Label 5894: @319492
     /*  319492 */   GIM_Try, /*On fail goto*//*Label 5895*/ GIMT_Encode4(319555), // Rule ID 19831 //
     /*  319497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  319511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  319514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  319529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319536 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  319539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319553 */     GIR_RootConstrainSelectedInstOperands,
     /*  319554 */     // GIR_Coverage, 19831,
     /*  319554 */     GIR_EraseRootFromParent_Done,
     /*  319555 */   // Label 5895: @319555
     /*  319555 */   GIM_Try, /*On fail goto*//*Label 5896*/ GIMT_Encode4(319618), // Rule ID 19832 //
     /*  319560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  319574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  319577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  319592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319599 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  319602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319616 */     GIR_RootConstrainSelectedInstOperands,
     /*  319617 */     // GIR_Coverage, 19832,
     /*  319617 */     GIR_EraseRootFromParent_Done,
     /*  319618 */   // Label 5896: @319618
     /*  319618 */   GIM_Try, /*On fail goto*//*Label 5897*/ GIMT_Encode4(319681), // Rule ID 19835 //
     /*  319623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  319634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  319637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  319640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  319655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319662 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  319665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319679 */     GIR_RootConstrainSelectedInstOperands,
     /*  319680 */     // GIR_Coverage, 19835,
     /*  319680 */     GIR_EraseRootFromParent_Done,
     /*  319681 */   // Label 5897: @319681
     /*  319681 */   GIM_Try, /*On fail goto*//*Label 5898*/ GIMT_Encode4(319744), // Rule ID 19836 //
     /*  319686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  319697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  319700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  319703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  319718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319725 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  319728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319742 */     GIR_RootConstrainSelectedInstOperands,
     /*  319743 */     // GIR_Coverage, 19836,
     /*  319743 */     GIR_EraseRootFromParent_Done,
     /*  319744 */   // Label 5898: @319744
     /*  319744 */   GIM_Try, /*On fail goto*//*Label 5899*/ GIMT_Encode4(319807), // Rule ID 19839 //
     /*  319749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  319763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  319766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  319781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319788 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  319791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319805 */     GIR_RootConstrainSelectedInstOperands,
     /*  319806 */     // GIR_Coverage, 19839,
     /*  319806 */     GIR_EraseRootFromParent_Done,
     /*  319807 */   // Label 5899: @319807
     /*  319807 */   GIM_Try, /*On fail goto*//*Label 5900*/ GIMT_Encode4(319870), // Rule ID 19840 //
     /*  319812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  319826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  319829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  319844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319851 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  319854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319868 */     GIR_RootConstrainSelectedInstOperands,
     /*  319869 */     // GIR_Coverage, 19840,
     /*  319869 */     GIR_EraseRootFromParent_Done,
     /*  319870 */   // Label 5900: @319870
     /*  319870 */   GIM_Try, /*On fail goto*//*Label 5901*/ GIMT_Encode4(319933), // Rule ID 19843 //
     /*  319875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  319889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  319892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  319907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319914 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  319917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319931 */     GIR_RootConstrainSelectedInstOperands,
     /*  319932 */     // GIR_Coverage, 19843,
     /*  319932 */     GIR_EraseRootFromParent_Done,
     /*  319933 */   // Label 5901: @319933
     /*  319933 */   GIM_Try, /*On fail goto*//*Label 5902*/ GIMT_Encode4(319996), // Rule ID 19844 //
     /*  319938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  319946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  319952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  319955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  319970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319977 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  319980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319994 */     GIR_RootConstrainSelectedInstOperands,
     /*  319995 */     // GIR_Coverage, 19844,
     /*  319995 */     GIR_EraseRootFromParent_Done,
     /*  319996 */   // Label 5902: @319996
     /*  319996 */   GIM_Try, /*On fail goto*//*Label 5903*/ GIMT_Encode4(320059), // Rule ID 19847 //
     /*  320001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  320012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  320015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320040 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  320043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320057 */     GIR_RootConstrainSelectedInstOperands,
     /*  320058 */     // GIR_Coverage, 19847,
     /*  320058 */     GIR_EraseRootFromParent_Done,
     /*  320059 */   // Label 5903: @320059
     /*  320059 */   GIM_Try, /*On fail goto*//*Label 5904*/ GIMT_Encode4(320122), // Rule ID 19848 //
     /*  320064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  320075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  320078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  320081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320103 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  320106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320120 */     GIR_RootConstrainSelectedInstOperands,
     /*  320121 */     // GIR_Coverage, 19848,
     /*  320121 */     GIR_EraseRootFromParent_Done,
     /*  320122 */   // Label 5904: @320122
     /*  320122 */   GIM_Try, /*On fail goto*//*Label 5905*/ GIMT_Encode4(320185), // Rule ID 19851 //
     /*  320127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  320141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  320144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  320159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320166 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  320169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320183 */     GIR_RootConstrainSelectedInstOperands,
     /*  320184 */     // GIR_Coverage, 19851,
     /*  320184 */     GIR_EraseRootFromParent_Done,
     /*  320185 */   // Label 5905: @320185
     /*  320185 */   GIM_Try, /*On fail goto*//*Label 5906*/ GIMT_Encode4(320248), // Rule ID 19852 //
     /*  320190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  320204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  320207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  320222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320229 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  320232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320246 */     GIR_RootConstrainSelectedInstOperands,
     /*  320247 */     // GIR_Coverage, 19852,
     /*  320247 */     GIR_EraseRootFromParent_Done,
     /*  320248 */   // Label 5906: @320248
     /*  320248 */   GIM_Try, /*On fail goto*//*Label 5907*/ GIMT_Encode4(320311), // Rule ID 19855 //
     /*  320253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  320267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  320270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  320285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320292 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  320295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320309 */     GIR_RootConstrainSelectedInstOperands,
     /*  320310 */     // GIR_Coverage, 19855,
     /*  320310 */     GIR_EraseRootFromParent_Done,
     /*  320311 */   // Label 5907: @320311
     /*  320311 */   GIM_Try, /*On fail goto*//*Label 5908*/ GIMT_Encode4(320374), // Rule ID 19856 //
     /*  320316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  320330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  320333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  320348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320355 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  320358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320372 */     GIR_RootConstrainSelectedInstOperands,
     /*  320373 */     // GIR_Coverage, 19856,
     /*  320373 */     GIR_EraseRootFromParent_Done,
     /*  320374 */   // Label 5908: @320374
     /*  320374 */   GIM_Try, /*On fail goto*//*Label 5909*/ GIMT_Encode4(320437), // Rule ID 19859 //
     /*  320379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  320393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  320396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  320411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320418 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  320421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320435 */     GIR_RootConstrainSelectedInstOperands,
     /*  320436 */     // GIR_Coverage, 19859,
     /*  320436 */     GIR_EraseRootFromParent_Done,
     /*  320437 */   // Label 5909: @320437
     /*  320437 */   GIM_Try, /*On fail goto*//*Label 5910*/ GIMT_Encode4(320500), // Rule ID 19860 //
     /*  320442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  320450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  320456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  320459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  320474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320481 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  320484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320498 */     GIR_RootConstrainSelectedInstOperands,
     /*  320499 */     // GIR_Coverage, 19860,
     /*  320499 */     GIR_EraseRootFromParent_Done,
     /*  320500 */   // Label 5910: @320500
     /*  320500 */   GIM_Try, /*On fail goto*//*Label 5911*/ GIMT_Encode4(320563), // Rule ID 19863 //
     /*  320505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  320513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  320519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  320522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320544 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  320547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320561 */     GIR_RootConstrainSelectedInstOperands,
     /*  320562 */     // GIR_Coverage, 19863,
     /*  320562 */     GIR_EraseRootFromParent_Done,
     /*  320563 */   // Label 5911: @320563
     /*  320563 */   GIM_Try, /*On fail goto*//*Label 5912*/ GIMT_Encode4(320626), // Rule ID 19864 //
     /*  320568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  320576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  320582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  320585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320607 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  320610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320624 */     GIR_RootConstrainSelectedInstOperands,
     /*  320625 */     // GIR_Coverage, 19864,
     /*  320625 */     GIR_EraseRootFromParent_Done,
     /*  320626 */   // Label 5912: @320626
     /*  320626 */   GIM_Try, /*On fail goto*//*Label 5913*/ GIMT_Encode4(320689), // Rule ID 19867 //
     /*  320631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  320639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  320645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  320648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320670 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  320673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320687 */     GIR_RootConstrainSelectedInstOperands,
     /*  320688 */     // GIR_Coverage, 19867,
     /*  320688 */     GIR_EraseRootFromParent_Done,
     /*  320689 */   // Label 5913: @320689
     /*  320689 */   GIM_Try, /*On fail goto*//*Label 5914*/ GIMT_Encode4(320752), // Rule ID 19868 //
     /*  320694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  320702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  320708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  320711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320733 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  320736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320750 */     GIR_RootConstrainSelectedInstOperands,
     /*  320751 */     // GIR_Coverage, 19868,
     /*  320751 */     GIR_EraseRootFromParent_Done,
     /*  320752 */   // Label 5914: @320752
     /*  320752 */   GIM_Try, /*On fail goto*//*Label 5915*/ GIMT_Encode4(320815), // Rule ID 19871 //
     /*  320757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  320765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  320771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  320774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320796 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  320799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320813 */     GIR_RootConstrainSelectedInstOperands,
     /*  320814 */     // GIR_Coverage, 19871,
     /*  320814 */     GIR_EraseRootFromParent_Done,
     /*  320815 */   // Label 5915: @320815
     /*  320815 */   GIM_Try, /*On fail goto*//*Label 5916*/ GIMT_Encode4(320878), // Rule ID 19872 //
     /*  320820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  320828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  320834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  320837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320859 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  320862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320876 */     GIR_RootConstrainSelectedInstOperands,
     /*  320877 */     // GIR_Coverage, 19872,
     /*  320877 */     GIR_EraseRootFromParent_Done,
     /*  320878 */   // Label 5916: @320878
     /*  320878 */   GIM_Try, /*On fail goto*//*Label 5917*/ GIMT_Encode4(320941), // Rule ID 19875 //
     /*  320883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  320891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  320897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  320900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320922 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  320925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320939 */     GIR_RootConstrainSelectedInstOperands,
     /*  320940 */     // GIR_Coverage, 19875,
     /*  320940 */     GIR_EraseRootFromParent_Done,
     /*  320941 */   // Label 5917: @320941
     /*  320941 */   GIM_Try, /*On fail goto*//*Label 5918*/ GIMT_Encode4(321004), // Rule ID 19876 //
     /*  320946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  320954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  320960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  320963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320985 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  320988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321002 */     GIR_RootConstrainSelectedInstOperands,
     /*  321003 */     // GIR_Coverage, 19876,
     /*  321003 */     GIR_EraseRootFromParent_Done,
     /*  321004 */   // Label 5918: @321004
     /*  321004 */   GIM_Try, /*On fail goto*//*Label 5919*/ GIMT_Encode4(321067), // Rule ID 19879 //
     /*  321009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  321023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  321026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321048 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  321051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321065 */     GIR_RootConstrainSelectedInstOperands,
     /*  321066 */     // GIR_Coverage, 19879,
     /*  321066 */     GIR_EraseRootFromParent_Done,
     /*  321067 */   // Label 5919: @321067
     /*  321067 */   GIM_Try, /*On fail goto*//*Label 5920*/ GIMT_Encode4(321130), // Rule ID 19880 //
     /*  321072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  321086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  321089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321111 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  321114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321128 */     GIR_RootConstrainSelectedInstOperands,
     /*  321129 */     // GIR_Coverage, 19880,
     /*  321129 */     GIR_EraseRootFromParent_Done,
     /*  321130 */   // Label 5920: @321130
     /*  321130 */   GIM_Try, /*On fail goto*//*Label 5921*/ GIMT_Encode4(321193), // Rule ID 19883 //
     /*  321135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  321149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  321152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321174 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  321177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321191 */     GIR_RootConstrainSelectedInstOperands,
     /*  321192 */     // GIR_Coverage, 19883,
     /*  321192 */     GIR_EraseRootFromParent_Done,
     /*  321193 */   // Label 5921: @321193
     /*  321193 */   GIM_Try, /*On fail goto*//*Label 5922*/ GIMT_Encode4(321256), // Rule ID 19884 //
     /*  321198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  321212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  321215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321237 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  321240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321254 */     GIR_RootConstrainSelectedInstOperands,
     /*  321255 */     // GIR_Coverage, 19884,
     /*  321255 */     GIR_EraseRootFromParent_Done,
     /*  321256 */   // Label 5922: @321256
     /*  321256 */   GIM_Try, /*On fail goto*//*Label 5923*/ GIMT_Encode4(321319), // Rule ID 19887 //
     /*  321261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  321275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  321278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321300 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  321303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321317 */     GIR_RootConstrainSelectedInstOperands,
     /*  321318 */     // GIR_Coverage, 19887,
     /*  321318 */     GIR_EraseRootFromParent_Done,
     /*  321319 */   // Label 5923: @321319
     /*  321319 */   GIM_Try, /*On fail goto*//*Label 5924*/ GIMT_Encode4(321382), // Rule ID 19888 //
     /*  321324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  321338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  321341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321363 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  321366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321380 */     GIR_RootConstrainSelectedInstOperands,
     /*  321381 */     // GIR_Coverage, 19888,
     /*  321381 */     GIR_EraseRootFromParent_Done,
     /*  321382 */   // Label 5924: @321382
     /*  321382 */   GIM_Try, /*On fail goto*//*Label 5925*/ GIMT_Encode4(321445), // Rule ID 19891 //
     /*  321387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  321401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  321404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321426 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  321429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321443 */     GIR_RootConstrainSelectedInstOperands,
     /*  321444 */     // GIR_Coverage, 19891,
     /*  321444 */     GIR_EraseRootFromParent_Done,
     /*  321445 */   // Label 5925: @321445
     /*  321445 */   GIM_Try, /*On fail goto*//*Label 5926*/ GIMT_Encode4(321508), // Rule ID 19892 //
     /*  321450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  321464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  321467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321489 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  321492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321506 */     GIR_RootConstrainSelectedInstOperands,
     /*  321507 */     // GIR_Coverage, 19892,
     /*  321507 */     GIR_EraseRootFromParent_Done,
     /*  321508 */   // Label 5926: @321508
     /*  321508 */   GIM_Try, /*On fail goto*//*Label 5927*/ GIMT_Encode4(321571), // Rule ID 19895 //
     /*  321513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  321524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  321527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  321530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321552 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  321555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321569 */     GIR_RootConstrainSelectedInstOperands,
     /*  321570 */     // GIR_Coverage, 19895,
     /*  321570 */     GIR_EraseRootFromParent_Done,
     /*  321571 */   // Label 5927: @321571
     /*  321571 */   GIM_Try, /*On fail goto*//*Label 5928*/ GIMT_Encode4(321634), // Rule ID 19896 //
     /*  321576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  321587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  321590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  321593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321615 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  321618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321632 */     GIR_RootConstrainSelectedInstOperands,
     /*  321633 */     // GIR_Coverage, 19896,
     /*  321633 */     GIR_EraseRootFromParent_Done,
     /*  321634 */   // Label 5928: @321634
     /*  321634 */   GIM_Try, /*On fail goto*//*Label 5929*/ GIMT_Encode4(321697), // Rule ID 19899 //
     /*  321639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  321653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  321656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321678 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  321681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321695 */     GIR_RootConstrainSelectedInstOperands,
     /*  321696 */     // GIR_Coverage, 19899,
     /*  321696 */     GIR_EraseRootFromParent_Done,
     /*  321697 */   // Label 5929: @321697
     /*  321697 */   GIM_Try, /*On fail goto*//*Label 5930*/ GIMT_Encode4(321760), // Rule ID 19900 //
     /*  321702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  321716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  321719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321741 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  321744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321758 */     GIR_RootConstrainSelectedInstOperands,
     /*  321759 */     // GIR_Coverage, 19900,
     /*  321759 */     GIR_EraseRootFromParent_Done,
     /*  321760 */   // Label 5930: @321760
     /*  321760 */   GIM_Try, /*On fail goto*//*Label 5931*/ GIMT_Encode4(321823), // Rule ID 19903 //
     /*  321765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  321779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  321782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321804 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  321807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321821 */     GIR_RootConstrainSelectedInstOperands,
     /*  321822 */     // GIR_Coverage, 19903,
     /*  321822 */     GIR_EraseRootFromParent_Done,
     /*  321823 */   // Label 5931: @321823
     /*  321823 */   GIM_Try, /*On fail goto*//*Label 5932*/ GIMT_Encode4(321886), // Rule ID 19904 //
     /*  321828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  321842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  321845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321867 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  321870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321884 */     GIR_RootConstrainSelectedInstOperands,
     /*  321885 */     // GIR_Coverage, 19904,
     /*  321885 */     GIR_EraseRootFromParent_Done,
     /*  321886 */   // Label 5932: @321886
     /*  321886 */   GIM_Try, /*On fail goto*//*Label 5933*/ GIMT_Encode4(321949), // Rule ID 19907 //
     /*  321891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  321905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  321908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321930 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  321933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321947 */     GIR_RootConstrainSelectedInstOperands,
     /*  321948 */     // GIR_Coverage, 19907,
     /*  321948 */     GIR_EraseRootFromParent_Done,
     /*  321949 */   // Label 5933: @321949
     /*  321949 */   GIM_Try, /*On fail goto*//*Label 5934*/ GIMT_Encode4(322012), // Rule ID 19908 //
     /*  321954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  321962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  321968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  321971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321993 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  321996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322010 */     GIR_RootConstrainSelectedInstOperands,
     /*  322011 */     // GIR_Coverage, 19908,
     /*  322011 */     GIR_EraseRootFromParent_Done,
     /*  322012 */   // Label 5934: @322012
     /*  322012 */   GIM_Try, /*On fail goto*//*Label 5935*/ GIMT_Encode4(322075), // Rule ID 19911 //
     /*  322017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  322031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  322034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322056 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  322059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322073 */     GIR_RootConstrainSelectedInstOperands,
     /*  322074 */     // GIR_Coverage, 19911,
     /*  322074 */     GIR_EraseRootFromParent_Done,
     /*  322075 */   // Label 5935: @322075
     /*  322075 */   GIM_Try, /*On fail goto*//*Label 5936*/ GIMT_Encode4(322138), // Rule ID 19912 //
     /*  322080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  322094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  322097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322119 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  322122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322136 */     GIR_RootConstrainSelectedInstOperands,
     /*  322137 */     // GIR_Coverage, 19912,
     /*  322137 */     GIR_EraseRootFromParent_Done,
     /*  322138 */   // Label 5936: @322138
     /*  322138 */   GIM_Try, /*On fail goto*//*Label 5937*/ GIMT_Encode4(322201), // Rule ID 19915 //
     /*  322143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  322157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  322160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322182 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  322185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322199 */     GIR_RootConstrainSelectedInstOperands,
     /*  322200 */     // GIR_Coverage, 19915,
     /*  322200 */     GIR_EraseRootFromParent_Done,
     /*  322201 */   // Label 5937: @322201
     /*  322201 */   GIM_Try, /*On fail goto*//*Label 5938*/ GIMT_Encode4(322264), // Rule ID 19916 //
     /*  322206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  322220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  322223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322245 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  322248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322262 */     GIR_RootConstrainSelectedInstOperands,
     /*  322263 */     // GIR_Coverage, 19916,
     /*  322263 */     GIR_EraseRootFromParent_Done,
     /*  322264 */   // Label 5938: @322264
     /*  322264 */   GIM_Try, /*On fail goto*//*Label 5939*/ GIMT_Encode4(322327), // Rule ID 19919 //
     /*  322269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  322283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  322286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322308 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  322311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322325 */     GIR_RootConstrainSelectedInstOperands,
     /*  322326 */     // GIR_Coverage, 19919,
     /*  322326 */     GIR_EraseRootFromParent_Done,
     /*  322327 */   // Label 5939: @322327
     /*  322327 */   GIM_Try, /*On fail goto*//*Label 5940*/ GIMT_Encode4(322390), // Rule ID 19920 //
     /*  322332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  322346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  322349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322371 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  322374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322388 */     GIR_RootConstrainSelectedInstOperands,
     /*  322389 */     // GIR_Coverage, 19920,
     /*  322389 */     GIR_EraseRootFromParent_Done,
     /*  322390 */   // Label 5940: @322390
     /*  322390 */   GIM_Try, /*On fail goto*//*Label 5941*/ GIMT_Encode4(322453), // Rule ID 19923 //
     /*  322395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  322409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  322412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  322427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322434 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  322437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322451 */     GIR_RootConstrainSelectedInstOperands,
     /*  322452 */     // GIR_Coverage, 19923,
     /*  322452 */     GIR_EraseRootFromParent_Done,
     /*  322453 */   // Label 5941: @322453
     /*  322453 */   GIM_Try, /*On fail goto*//*Label 5942*/ GIMT_Encode4(322516), // Rule ID 19924 //
     /*  322458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  322472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  322475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  322490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322497 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  322500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322514 */     GIR_RootConstrainSelectedInstOperands,
     /*  322515 */     // GIR_Coverage, 19924,
     /*  322515 */     GIR_EraseRootFromParent_Done,
     /*  322516 */   // Label 5942: @322516
     /*  322516 */   GIM_Try, /*On fail goto*//*Label 5943*/ GIMT_Encode4(322579), // Rule ID 19927 //
     /*  322521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  322535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  322538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  322553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322560 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  322563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322577 */     GIR_RootConstrainSelectedInstOperands,
     /*  322578 */     // GIR_Coverage, 19927,
     /*  322578 */     GIR_EraseRootFromParent_Done,
     /*  322579 */   // Label 5943: @322579
     /*  322579 */   GIM_Try, /*On fail goto*//*Label 5944*/ GIMT_Encode4(322642), // Rule ID 19928 //
     /*  322584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  322598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  322601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  322616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322623 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  322626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322640 */     GIR_RootConstrainSelectedInstOperands,
     /*  322641 */     // GIR_Coverage, 19928,
     /*  322641 */     GIR_EraseRootFromParent_Done,
     /*  322642 */   // Label 5944: @322642
     /*  322642 */   GIM_Try, /*On fail goto*//*Label 5945*/ GIMT_Encode4(322705), // Rule ID 19931 //
     /*  322647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  322661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322686 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  322689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322703 */     GIR_RootConstrainSelectedInstOperands,
     /*  322704 */     // GIR_Coverage, 19931,
     /*  322704 */     GIR_EraseRootFromParent_Done,
     /*  322705 */   // Label 5945: @322705
     /*  322705 */   GIM_Try, /*On fail goto*//*Label 5946*/ GIMT_Encode4(322768), // Rule ID 19932 //
     /*  322710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  322724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322749 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  322752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322766 */     GIR_RootConstrainSelectedInstOperands,
     /*  322767 */     // GIR_Coverage, 19932,
     /*  322767 */     GIR_EraseRootFromParent_Done,
     /*  322768 */   // Label 5946: @322768
     /*  322768 */   GIM_Try, /*On fail goto*//*Label 5947*/ GIMT_Encode4(322831), // Rule ID 19935 //
     /*  322773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  322787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  322790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  322805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322812 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  322815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322829 */     GIR_RootConstrainSelectedInstOperands,
     /*  322830 */     // GIR_Coverage, 19935,
     /*  322830 */     GIR_EraseRootFromParent_Done,
     /*  322831 */   // Label 5947: @322831
     /*  322831 */   GIM_Try, /*On fail goto*//*Label 5948*/ GIMT_Encode4(322894), // Rule ID 19936 //
     /*  322836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  322850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  322853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  322868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322875 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  322878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322892 */     GIR_RootConstrainSelectedInstOperands,
     /*  322893 */     // GIR_Coverage, 19936,
     /*  322893 */     GIR_EraseRootFromParent_Done,
     /*  322894 */   // Label 5948: @322894
     /*  322894 */   GIM_Try, /*On fail goto*//*Label 5949*/ GIMT_Encode4(322957), // Rule ID 19939 //
     /*  322899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  322913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322938 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  322941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322955 */     GIR_RootConstrainSelectedInstOperands,
     /*  322956 */     // GIR_Coverage, 19939,
     /*  322956 */     GIR_EraseRootFromParent_Done,
     /*  322957 */   // Label 5949: @322957
     /*  322957 */   GIM_Try, /*On fail goto*//*Label 5950*/ GIMT_Encode4(323020), // Rule ID 19940 //
     /*  322962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  322970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  322976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323001 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  323004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323018 */     GIR_RootConstrainSelectedInstOperands,
     /*  323019 */     // GIR_Coverage, 19940,
     /*  323019 */     GIR_EraseRootFromParent_Done,
     /*  323020 */   // Label 5950: @323020
     /*  323020 */   GIM_Try, /*On fail goto*//*Label 5951*/ GIMT_Encode4(323083), // Rule ID 19943 //
     /*  323025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  323039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  323042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  323057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323064 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  323067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323081 */     GIR_RootConstrainSelectedInstOperands,
     /*  323082 */     // GIR_Coverage, 19943,
     /*  323082 */     GIR_EraseRootFromParent_Done,
     /*  323083 */   // Label 5951: @323083
     /*  323083 */   GIM_Try, /*On fail goto*//*Label 5952*/ GIMT_Encode4(323146), // Rule ID 19944 //
     /*  323088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  323102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  323105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  323120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323127 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  323130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323144 */     GIR_RootConstrainSelectedInstOperands,
     /*  323145 */     // GIR_Coverage, 19944,
     /*  323145 */     GIR_EraseRootFromParent_Done,
     /*  323146 */   // Label 5952: @323146
     /*  323146 */   GIM_Try, /*On fail goto*//*Label 5953*/ GIMT_Encode4(323209), // Rule ID 19947 //
     /*  323151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  323165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323190 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  323193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323207 */     GIR_RootConstrainSelectedInstOperands,
     /*  323208 */     // GIR_Coverage, 19947,
     /*  323208 */     GIR_EraseRootFromParent_Done,
     /*  323209 */   // Label 5953: @323209
     /*  323209 */   GIM_Try, /*On fail goto*//*Label 5954*/ GIMT_Encode4(323272), // Rule ID 19948 //
     /*  323214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  323228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323253 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  323256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323270 */     GIR_RootConstrainSelectedInstOperands,
     /*  323271 */     // GIR_Coverage, 19948,
     /*  323271 */     GIR_EraseRootFromParent_Done,
     /*  323272 */   // Label 5954: @323272
     /*  323272 */   GIM_Try, /*On fail goto*//*Label 5955*/ GIMT_Encode4(323335), // Rule ID 19951 //
     /*  323277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  323291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323316 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  323319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323333 */     GIR_RootConstrainSelectedInstOperands,
     /*  323334 */     // GIR_Coverage, 19951,
     /*  323334 */     GIR_EraseRootFromParent_Done,
     /*  323335 */   // Label 5955: @323335
     /*  323335 */   GIM_Try, /*On fail goto*//*Label 5956*/ GIMT_Encode4(323398), // Rule ID 19952 //
     /*  323340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  323354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323379 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  323382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323396 */     GIR_RootConstrainSelectedInstOperands,
     /*  323397 */     // GIR_Coverage, 19952,
     /*  323397 */     GIR_EraseRootFromParent_Done,
     /*  323398 */   // Label 5956: @323398
     /*  323398 */   GIM_Try, /*On fail goto*//*Label 5957*/ GIMT_Encode4(323461), // Rule ID 19955 //
     /*  323403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  323414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  323417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323442 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  323445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323459 */     GIR_RootConstrainSelectedInstOperands,
     /*  323460 */     // GIR_Coverage, 19955,
     /*  323460 */     GIR_EraseRootFromParent_Done,
     /*  323461 */   // Label 5957: @323461
     /*  323461 */   GIM_Try, /*On fail goto*//*Label 5958*/ GIMT_Encode4(323524), // Rule ID 19956 //
     /*  323466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  323477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  323480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323505 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  323508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323522 */     GIR_RootConstrainSelectedInstOperands,
     /*  323523 */     // GIR_Coverage, 19956,
     /*  323523 */     GIR_EraseRootFromParent_Done,
     /*  323524 */   // Label 5958: @323524
     /*  323524 */   GIM_Try, /*On fail goto*//*Label 5959*/ GIMT_Encode4(323587), // Rule ID 19959 //
     /*  323529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  323543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  323546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  323561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323568 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  323571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323585 */     GIR_RootConstrainSelectedInstOperands,
     /*  323586 */     // GIR_Coverage, 19959,
     /*  323586 */     GIR_EraseRootFromParent_Done,
     /*  323587 */   // Label 5959: @323587
     /*  323587 */   GIM_Try, /*On fail goto*//*Label 5960*/ GIMT_Encode4(323650), // Rule ID 19960 //
     /*  323592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  323606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  323609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  323624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323631 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  323634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323648 */     GIR_RootConstrainSelectedInstOperands,
     /*  323649 */     // GIR_Coverage, 19960,
     /*  323649 */     GIR_EraseRootFromParent_Done,
     /*  323650 */   // Label 5960: @323650
     /*  323650 */   GIM_Try, /*On fail goto*//*Label 5961*/ GIMT_Encode4(323713), // Rule ID 19963 //
     /*  323655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  323669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  323672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  323687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323694 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  323697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323711 */     GIR_RootConstrainSelectedInstOperands,
     /*  323712 */     // GIR_Coverage, 19963,
     /*  323712 */     GIR_EraseRootFromParent_Done,
     /*  323713 */   // Label 5961: @323713
     /*  323713 */   GIM_Try, /*On fail goto*//*Label 5962*/ GIMT_Encode4(323776), // Rule ID 19964 //
     /*  323718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  323732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  323735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  323750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323757 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  323760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323774 */     GIR_RootConstrainSelectedInstOperands,
     /*  323775 */     // GIR_Coverage, 19964,
     /*  323775 */     GIR_EraseRootFromParent_Done,
     /*  323776 */   // Label 5962: @323776
     /*  323776 */   GIM_Try, /*On fail goto*//*Label 5963*/ GIMT_Encode4(323839), // Rule ID 19967 //
     /*  323781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  323795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  323798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  323813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323820 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  323823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323837 */     GIR_RootConstrainSelectedInstOperands,
     /*  323838 */     // GIR_Coverage, 19967,
     /*  323838 */     GIR_EraseRootFromParent_Done,
     /*  323839 */   // Label 5963: @323839
     /*  323839 */   GIM_Try, /*On fail goto*//*Label 5964*/ GIMT_Encode4(323902), // Rule ID 19968 //
     /*  323844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  323855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  323858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  323861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  323876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323883 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  323886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323900 */     GIR_RootConstrainSelectedInstOperands,
     /*  323901 */     // GIR_Coverage, 19968,
     /*  323901 */     GIR_EraseRootFromParent_Done,
     /*  323902 */   // Label 5964: @323902
     /*  323902 */   GIM_Try, /*On fail goto*//*Label 5965*/ GIMT_Encode4(323965), // Rule ID 19971 //
     /*  323907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  323921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  323924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  323939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323946 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  323949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323963 */     GIR_RootConstrainSelectedInstOperands,
     /*  323964 */     // GIR_Coverage, 19971,
     /*  323964 */     GIR_EraseRootFromParent_Done,
     /*  323965 */   // Label 5965: @323965
     /*  323965 */   GIM_Try, /*On fail goto*//*Label 5966*/ GIMT_Encode4(324028), // Rule ID 19972 //
     /*  323970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  323978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  323984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  323987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  324002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324009 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  324012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324026 */     GIR_RootConstrainSelectedInstOperands,
     /*  324027 */     // GIR_Coverage, 19972,
     /*  324027 */     GIR_EraseRootFromParent_Done,
     /*  324028 */   // Label 5966: @324028
     /*  324028 */   GIM_Try, /*On fail goto*//*Label 5967*/ GIMT_Encode4(324091), // Rule ID 19975 //
     /*  324033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  324047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  324050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  324065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324072 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  324075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324089 */     GIR_RootConstrainSelectedInstOperands,
     /*  324090 */     // GIR_Coverage, 19975,
     /*  324090 */     GIR_EraseRootFromParent_Done,
     /*  324091 */   // Label 5967: @324091
     /*  324091 */   GIM_Try, /*On fail goto*//*Label 5968*/ GIMT_Encode4(324154), // Rule ID 19976 //
     /*  324096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  324110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  324113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  324128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324135 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  324138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324152 */     GIR_RootConstrainSelectedInstOperands,
     /*  324153 */     // GIR_Coverage, 19976,
     /*  324153 */     GIR_EraseRootFromParent_Done,
     /*  324154 */   // Label 5968: @324154
     /*  324154 */   GIM_Try, /*On fail goto*//*Label 5969*/ GIMT_Encode4(324217), // Rule ID 19979 //
     /*  324159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  324173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  324176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  324191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324198 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  324201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324215 */     GIR_RootConstrainSelectedInstOperands,
     /*  324216 */     // GIR_Coverage, 19979,
     /*  324216 */     GIR_EraseRootFromParent_Done,
     /*  324217 */   // Label 5969: @324217
     /*  324217 */   GIM_Try, /*On fail goto*//*Label 5970*/ GIMT_Encode4(324280), // Rule ID 19980 //
     /*  324222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  324230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  324236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  324239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  324254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324261 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  324264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324278 */     GIR_RootConstrainSelectedInstOperands,
     /*  324279 */     // GIR_Coverage, 19980,
     /*  324279 */     GIR_EraseRootFromParent_Done,
     /*  324280 */   // Label 5970: @324280
     /*  324280 */   GIM_Try, /*On fail goto*//*Label 5971*/ GIMT_Encode4(324343), // Rule ID 19983 //
     /*  324285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  324293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  324299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  324302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324324 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  324327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324341 */     GIR_RootConstrainSelectedInstOperands,
     /*  324342 */     // GIR_Coverage, 19983,
     /*  324342 */     GIR_EraseRootFromParent_Done,
     /*  324343 */   // Label 5971: @324343
     /*  324343 */   GIM_Try, /*On fail goto*//*Label 5972*/ GIMT_Encode4(324406), // Rule ID 19984 //
     /*  324348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  324356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  324362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  324365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324387 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  324390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324404 */     GIR_RootConstrainSelectedInstOperands,
     /*  324405 */     // GIR_Coverage, 19984,
     /*  324405 */     GIR_EraseRootFromParent_Done,
     /*  324406 */   // Label 5972: @324406
     /*  324406 */   GIM_Try, /*On fail goto*//*Label 5973*/ GIMT_Encode4(324469), // Rule ID 19987 //
     /*  324411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  324419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  324425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  324428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324450 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  324453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324467 */     GIR_RootConstrainSelectedInstOperands,
     /*  324468 */     // GIR_Coverage, 19987,
     /*  324468 */     GIR_EraseRootFromParent_Done,
     /*  324469 */   // Label 5973: @324469
     /*  324469 */   GIM_Try, /*On fail goto*//*Label 5974*/ GIMT_Encode4(324532), // Rule ID 19988 //
     /*  324474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  324482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  324488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  324491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324513 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  324516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324530 */     GIR_RootConstrainSelectedInstOperands,
     /*  324531 */     // GIR_Coverage, 19988,
     /*  324531 */     GIR_EraseRootFromParent_Done,
     /*  324532 */   // Label 5974: @324532
     /*  324532 */   GIM_Try, /*On fail goto*//*Label 5975*/ GIMT_Encode4(324595), // Rule ID 19991 //
     /*  324537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  324545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  324551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  324554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324576 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  324579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324593 */     GIR_RootConstrainSelectedInstOperands,
     /*  324594 */     // GIR_Coverage, 19991,
     /*  324594 */     GIR_EraseRootFromParent_Done,
     /*  324595 */   // Label 5975: @324595
     /*  324595 */   GIM_Try, /*On fail goto*//*Label 5976*/ GIMT_Encode4(324658), // Rule ID 19992 //
     /*  324600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  324608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  324614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  324617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324639 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  324642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324656 */     GIR_RootConstrainSelectedInstOperands,
     /*  324657 */     // GIR_Coverage, 19992,
     /*  324657 */     GIR_EraseRootFromParent_Done,
     /*  324658 */   // Label 5976: @324658
     /*  324658 */   GIM_Try, /*On fail goto*//*Label 5977*/ GIMT_Encode4(324721), // Rule ID 19995 //
     /*  324663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  324671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  324677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  324680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324702 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  324705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324719 */     GIR_RootConstrainSelectedInstOperands,
     /*  324720 */     // GIR_Coverage, 19995,
     /*  324720 */     GIR_EraseRootFromParent_Done,
     /*  324721 */   // Label 5977: @324721
     /*  324721 */   GIM_Try, /*On fail goto*//*Label 5978*/ GIMT_Encode4(324784), // Rule ID 19996 //
     /*  324726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  324734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  324740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  324743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324765 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  324768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324782 */     GIR_RootConstrainSelectedInstOperands,
     /*  324783 */     // GIR_Coverage, 19996,
     /*  324783 */     GIR_EraseRootFromParent_Done,
     /*  324784 */   // Label 5978: @324784
     /*  324784 */   GIM_Try, /*On fail goto*//*Label 5979*/ GIMT_Encode4(324847), // Rule ID 19999 //
     /*  324789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  324797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  324803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  324806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324828 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  324831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324845 */     GIR_RootConstrainSelectedInstOperands,
     /*  324846 */     // GIR_Coverage, 19999,
     /*  324846 */     GIR_EraseRootFromParent_Done,
     /*  324847 */   // Label 5979: @324847
     /*  324847 */   GIM_Try, /*On fail goto*//*Label 5980*/ GIMT_Encode4(324910), // Rule ID 20000 //
     /*  324852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  324860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  324866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  324869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324891 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  324894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324908 */     GIR_RootConstrainSelectedInstOperands,
     /*  324909 */     // GIR_Coverage, 20000,
     /*  324909 */     GIR_EraseRootFromParent_Done,
     /*  324910 */   // Label 5980: @324910
     /*  324910 */   GIM_Try, /*On fail goto*//*Label 5981*/ GIMT_Encode4(324973), // Rule ID 20003 //
     /*  324915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  324923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  324929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  324932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324954 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  324957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324971 */     GIR_RootConstrainSelectedInstOperands,
     /*  324972 */     // GIR_Coverage, 20003,
     /*  324972 */     GIR_EraseRootFromParent_Done,
     /*  324973 */   // Label 5981: @324973
     /*  324973 */   GIM_Try, /*On fail goto*//*Label 5982*/ GIMT_Encode4(325036), // Rule ID 20004 //
     /*  324978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  324986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  324992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  324995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325017 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  325020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325034 */     GIR_RootConstrainSelectedInstOperands,
     /*  325035 */     // GIR_Coverage, 20004,
     /*  325035 */     GIR_EraseRootFromParent_Done,
     /*  325036 */   // Label 5982: @325036
     /*  325036 */   GIM_Try, /*On fail goto*//*Label 5983*/ GIMT_Encode4(325099), // Rule ID 20007 //
     /*  325041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  325055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  325058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325080 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  325083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325097 */     GIR_RootConstrainSelectedInstOperands,
     /*  325098 */     // GIR_Coverage, 20007,
     /*  325098 */     GIR_EraseRootFromParent_Done,
     /*  325099 */   // Label 5983: @325099
     /*  325099 */   GIM_Try, /*On fail goto*//*Label 5984*/ GIMT_Encode4(325162), // Rule ID 20008 //
     /*  325104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  325118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  325121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325143 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  325146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325160 */     GIR_RootConstrainSelectedInstOperands,
     /*  325161 */     // GIR_Coverage, 20008,
     /*  325161 */     GIR_EraseRootFromParent_Done,
     /*  325162 */   // Label 5984: @325162
     /*  325162 */   GIM_Try, /*On fail goto*//*Label 5985*/ GIMT_Encode4(325225), // Rule ID 20011 //
     /*  325167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  325181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  325184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325206 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  325209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325223 */     GIR_RootConstrainSelectedInstOperands,
     /*  325224 */     // GIR_Coverage, 20011,
     /*  325224 */     GIR_EraseRootFromParent_Done,
     /*  325225 */   // Label 5985: @325225
     /*  325225 */   GIM_Try, /*On fail goto*//*Label 5986*/ GIMT_Encode4(325288), // Rule ID 20012 //
     /*  325230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  325244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  325247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325269 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  325272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325286 */     GIR_RootConstrainSelectedInstOperands,
     /*  325287 */     // GIR_Coverage, 20012,
     /*  325287 */     GIR_EraseRootFromParent_Done,
     /*  325288 */   // Label 5986: @325288
     /*  325288 */   GIM_Try, /*On fail goto*//*Label 5987*/ GIMT_Encode4(325351), // Rule ID 20015 //
     /*  325293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  325304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  325307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  325310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325332 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  325335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325349 */     GIR_RootConstrainSelectedInstOperands,
     /*  325350 */     // GIR_Coverage, 20015,
     /*  325350 */     GIR_EraseRootFromParent_Done,
     /*  325351 */   // Label 5987: @325351
     /*  325351 */   GIM_Try, /*On fail goto*//*Label 5988*/ GIMT_Encode4(325414), // Rule ID 20016 //
     /*  325356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  325367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  325370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  325373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325395 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  325398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325412 */     GIR_RootConstrainSelectedInstOperands,
     /*  325413 */     // GIR_Coverage, 20016,
     /*  325413 */     GIR_EraseRootFromParent_Done,
     /*  325414 */   // Label 5988: @325414
     /*  325414 */   GIM_Try, /*On fail goto*//*Label 5989*/ GIMT_Encode4(325477), // Rule ID 20019 //
     /*  325419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  325433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  325436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325458 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  325461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325475 */     GIR_RootConstrainSelectedInstOperands,
     /*  325476 */     // GIR_Coverage, 20019,
     /*  325476 */     GIR_EraseRootFromParent_Done,
     /*  325477 */   // Label 5989: @325477
     /*  325477 */   GIM_Try, /*On fail goto*//*Label 5990*/ GIMT_Encode4(325540), // Rule ID 20020 //
     /*  325482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  325496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  325499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325521 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  325524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325538 */     GIR_RootConstrainSelectedInstOperands,
     /*  325539 */     // GIR_Coverage, 20020,
     /*  325539 */     GIR_EraseRootFromParent_Done,
     /*  325540 */   // Label 5990: @325540
     /*  325540 */   GIM_Try, /*On fail goto*//*Label 5991*/ GIMT_Encode4(325603), // Rule ID 20023 //
     /*  325545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  325559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  325562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325584 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  325587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325601 */     GIR_RootConstrainSelectedInstOperands,
     /*  325602 */     // GIR_Coverage, 20023,
     /*  325602 */     GIR_EraseRootFromParent_Done,
     /*  325603 */   // Label 5991: @325603
     /*  325603 */   GIM_Try, /*On fail goto*//*Label 5992*/ GIMT_Encode4(325666), // Rule ID 20024 //
     /*  325608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  325622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  325625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325647 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  325650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325664 */     GIR_RootConstrainSelectedInstOperands,
     /*  325665 */     // GIR_Coverage, 20024,
     /*  325665 */     GIR_EraseRootFromParent_Done,
     /*  325666 */   // Label 5992: @325666
     /*  325666 */   GIM_Try, /*On fail goto*//*Label 5993*/ GIMT_Encode4(325729), // Rule ID 20027 //
     /*  325671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  325685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  325688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325710 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  325713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325727 */     GIR_RootConstrainSelectedInstOperands,
     /*  325728 */     // GIR_Coverage, 20027,
     /*  325728 */     GIR_EraseRootFromParent_Done,
     /*  325729 */   // Label 5993: @325729
     /*  325729 */   GIM_Try, /*On fail goto*//*Label 5994*/ GIMT_Encode4(325792), // Rule ID 20028 //
     /*  325734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  325748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  325751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325773 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  325776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325790 */     GIR_RootConstrainSelectedInstOperands,
     /*  325791 */     // GIR_Coverage, 20028,
     /*  325791 */     GIR_EraseRootFromParent_Done,
     /*  325792 */   // Label 5994: @325792
     /*  325792 */   GIM_Try, /*On fail goto*//*Label 5995*/ GIMT_Encode4(325855), // Rule ID 20031 //
     /*  325797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  325811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  325814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325836 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  325839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325853 */     GIR_RootConstrainSelectedInstOperands,
     /*  325854 */     // GIR_Coverage, 20031,
     /*  325854 */     GIR_EraseRootFromParent_Done,
     /*  325855 */   // Label 5995: @325855
     /*  325855 */   GIM_Try, /*On fail goto*//*Label 5996*/ GIMT_Encode4(325918), // Rule ID 20032 //
     /*  325860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  325874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  325877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325899 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  325902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325916 */     GIR_RootConstrainSelectedInstOperands,
     /*  325917 */     // GIR_Coverage, 20032,
     /*  325917 */     GIR_EraseRootFromParent_Done,
     /*  325918 */   // Label 5996: @325918
     /*  325918 */   GIM_Try, /*On fail goto*//*Label 5997*/ GIMT_Encode4(325981), // Rule ID 20035 //
     /*  325923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  325937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  325940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325962 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  325965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325979 */     GIR_RootConstrainSelectedInstOperands,
     /*  325980 */     // GIR_Coverage, 20035,
     /*  325980 */     GIR_EraseRootFromParent_Done,
     /*  325981 */   // Label 5997: @325981
     /*  325981 */   GIM_Try, /*On fail goto*//*Label 5998*/ GIMT_Encode4(326044), // Rule ID 20036 //
     /*  325986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  325994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  326000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  326003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326025 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  326028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326042 */     GIR_RootConstrainSelectedInstOperands,
     /*  326043 */     // GIR_Coverage, 20036,
     /*  326043 */     GIR_EraseRootFromParent_Done,
     /*  326044 */   // Label 5998: @326044
     /*  326044 */   GIM_Try, /*On fail goto*//*Label 5999*/ GIMT_Encode4(326107), // Rule ID 20039 //
     /*  326049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  326063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  326066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326088 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  326091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326105 */     GIR_RootConstrainSelectedInstOperands,
     /*  326106 */     // GIR_Coverage, 20039,
     /*  326106 */     GIR_EraseRootFromParent_Done,
     /*  326107 */   // Label 5999: @326107
     /*  326107 */   GIM_Try, /*On fail goto*//*Label 6000*/ GIMT_Encode4(326170), // Rule ID 20040 //
     /*  326112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  326126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  326129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326151 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  326154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326168 */     GIR_RootConstrainSelectedInstOperands,
     /*  326169 */     // GIR_Coverage, 20040,
     /*  326169 */     GIR_EraseRootFromParent_Done,
     /*  326170 */   // Label 6000: @326170
     /*  326170 */   GIM_Try, /*On fail goto*//*Label 6001*/ GIMT_Encode4(326233), // Rule ID 20043 //
     /*  326175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  326189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  326192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  326207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326214 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  326217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326231 */     GIR_RootConstrainSelectedInstOperands,
     /*  326232 */     // GIR_Coverage, 20043,
     /*  326232 */     GIR_EraseRootFromParent_Done,
     /*  326233 */   // Label 6001: @326233
     /*  326233 */   GIM_Try, /*On fail goto*//*Label 6002*/ GIMT_Encode4(326296), // Rule ID 20044 //
     /*  326238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  326252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  326255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  326270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326277 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  326280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326294 */     GIR_RootConstrainSelectedInstOperands,
     /*  326295 */     // GIR_Coverage, 20044,
     /*  326295 */     GIR_EraseRootFromParent_Done,
     /*  326296 */   // Label 6002: @326296
     /*  326296 */   GIM_Try, /*On fail goto*//*Label 6003*/ GIMT_Encode4(326359), // Rule ID 20047 //
     /*  326301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  326315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  326318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  326333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326340 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  326343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326357 */     GIR_RootConstrainSelectedInstOperands,
     /*  326358 */     // GIR_Coverage, 20047,
     /*  326358 */     GIR_EraseRootFromParent_Done,
     /*  326359 */   // Label 6003: @326359
     /*  326359 */   GIM_Try, /*On fail goto*//*Label 6004*/ GIMT_Encode4(326422), // Rule ID 20048 //
     /*  326364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  326378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  326381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  326396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326403 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  326406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326420 */     GIR_RootConstrainSelectedInstOperands,
     /*  326421 */     // GIR_Coverage, 20048,
     /*  326421 */     GIR_EraseRootFromParent_Done,
     /*  326422 */   // Label 6004: @326422
     /*  326422 */   GIM_Try, /*On fail goto*//*Label 6005*/ GIMT_Encode4(326485), // Rule ID 20051 //
     /*  326427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  326441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326466 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  326469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326483 */     GIR_RootConstrainSelectedInstOperands,
     /*  326484 */     // GIR_Coverage, 20051,
     /*  326484 */     GIR_EraseRootFromParent_Done,
     /*  326485 */   // Label 6005: @326485
     /*  326485 */   GIM_Try, /*On fail goto*//*Label 6006*/ GIMT_Encode4(326548), // Rule ID 20052 //
     /*  326490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  326504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326529 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  326532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326546 */     GIR_RootConstrainSelectedInstOperands,
     /*  326547 */     // GIR_Coverage, 20052,
     /*  326547 */     GIR_EraseRootFromParent_Done,
     /*  326548 */   // Label 6006: @326548
     /*  326548 */   GIM_Try, /*On fail goto*//*Label 6007*/ GIMT_Encode4(326611), // Rule ID 20055 //
     /*  326553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  326567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  326570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  326585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326592 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  326595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326609 */     GIR_RootConstrainSelectedInstOperands,
     /*  326610 */     // GIR_Coverage, 20055,
     /*  326610 */     GIR_EraseRootFromParent_Done,
     /*  326611 */   // Label 6007: @326611
     /*  326611 */   GIM_Try, /*On fail goto*//*Label 6008*/ GIMT_Encode4(326674), // Rule ID 20056 //
     /*  326616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  326630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  326633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  326648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326655 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  326658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326672 */     GIR_RootConstrainSelectedInstOperands,
     /*  326673 */     // GIR_Coverage, 20056,
     /*  326673 */     GIR_EraseRootFromParent_Done,
     /*  326674 */   // Label 6008: @326674
     /*  326674 */   GIM_Try, /*On fail goto*//*Label 6009*/ GIMT_Encode4(326737), // Rule ID 20059 //
     /*  326679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  326693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326718 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  326721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326735 */     GIR_RootConstrainSelectedInstOperands,
     /*  326736 */     // GIR_Coverage, 20059,
     /*  326736 */     GIR_EraseRootFromParent_Done,
     /*  326737 */   // Label 6009: @326737
     /*  326737 */   GIM_Try, /*On fail goto*//*Label 6010*/ GIMT_Encode4(326800), // Rule ID 20060 //
     /*  326742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  326756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326781 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  326784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326798 */     GIR_RootConstrainSelectedInstOperands,
     /*  326799 */     // GIR_Coverage, 20060,
     /*  326799 */     GIR_EraseRootFromParent_Done,
     /*  326800 */   // Label 6010: @326800
     /*  326800 */   GIM_Try, /*On fail goto*//*Label 6011*/ GIMT_Encode4(326863), // Rule ID 20063 //
     /*  326805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  326819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326844 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  326847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326861 */     GIR_RootConstrainSelectedInstOperands,
     /*  326862 */     // GIR_Coverage, 20063,
     /*  326862 */     GIR_EraseRootFromParent_Done,
     /*  326863 */   // Label 6011: @326863
     /*  326863 */   GIM_Try, /*On fail goto*//*Label 6012*/ GIMT_Encode4(326926), // Rule ID 20064 //
     /*  326868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  326882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326907 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  326910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326924 */     GIR_RootConstrainSelectedInstOperands,
     /*  326925 */     // GIR_Coverage, 20064,
     /*  326925 */     GIR_EraseRootFromParent_Done,
     /*  326926 */   // Label 6012: @326926
     /*  326926 */   GIM_Try, /*On fail goto*//*Label 6013*/ GIMT_Encode4(326989), // Rule ID 20067 //
     /*  326931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  326939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  326945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  326948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  326963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326970 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  326973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326987 */     GIR_RootConstrainSelectedInstOperands,
     /*  326988 */     // GIR_Coverage, 20067,
     /*  326988 */     GIR_EraseRootFromParent_Done,
     /*  326989 */   // Label 6013: @326989
     /*  326989 */   GIM_Try, /*On fail goto*//*Label 6014*/ GIMT_Encode4(327052), // Rule ID 20068 //
     /*  326994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  327008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327033 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  327036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327050 */     GIR_RootConstrainSelectedInstOperands,
     /*  327051 */     // GIR_Coverage, 20068,
     /*  327051 */     GIR_EraseRootFromParent_Done,
     /*  327052 */   // Label 6014: @327052
     /*  327052 */   GIM_Try, /*On fail goto*//*Label 6015*/ GIMT_Encode4(327115), // Rule ID 20071 //
     /*  327057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  327071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327096 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  327099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327113 */     GIR_RootConstrainSelectedInstOperands,
     /*  327114 */     // GIR_Coverage, 20071,
     /*  327114 */     GIR_EraseRootFromParent_Done,
     /*  327115 */   // Label 6015: @327115
     /*  327115 */   GIM_Try, /*On fail goto*//*Label 6016*/ GIMT_Encode4(327178), // Rule ID 20072 //
     /*  327120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  327134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327159 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  327162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327176 */     GIR_RootConstrainSelectedInstOperands,
     /*  327177 */     // GIR_Coverage, 20072,
     /*  327177 */     GIR_EraseRootFromParent_Done,
     /*  327178 */   // Label 6016: @327178
     /*  327178 */   GIM_Try, /*On fail goto*//*Label 6017*/ GIMT_Encode4(327241), // Rule ID 20075 //
     /*  327183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  327194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  327197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327222 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  327225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327239 */     GIR_RootConstrainSelectedInstOperands,
     /*  327240 */     // GIR_Coverage, 20075,
     /*  327240 */     GIR_EraseRootFromParent_Done,
     /*  327241 */   // Label 6017: @327241
     /*  327241 */   GIM_Try, /*On fail goto*//*Label 6018*/ GIMT_Encode4(327304), // Rule ID 20076 //
     /*  327246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  327257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  327260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  327263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  327278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327285 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  327288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327302 */     GIR_RootConstrainSelectedInstOperands,
     /*  327303 */     // GIR_Coverage, 20076,
     /*  327303 */     GIR_EraseRootFromParent_Done,
     /*  327304 */   // Label 6018: @327304
     /*  327304 */   GIM_Try, /*On fail goto*//*Label 6019*/ GIMT_Encode4(327367), // Rule ID 20079 //
     /*  327309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  327323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  327341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327348 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  327351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327365 */     GIR_RootConstrainSelectedInstOperands,
     /*  327366 */     // GIR_Coverage, 20079,
     /*  327366 */     GIR_EraseRootFromParent_Done,
     /*  327367 */   // Label 6019: @327367
     /*  327367 */   GIM_Try, /*On fail goto*//*Label 6020*/ GIMT_Encode4(327430), // Rule ID 20080 //
     /*  327372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  327386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  327404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327411 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  327414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327428 */     GIR_RootConstrainSelectedInstOperands,
     /*  327429 */     // GIR_Coverage, 20080,
     /*  327429 */     GIR_EraseRootFromParent_Done,
     /*  327430 */   // Label 6020: @327430
     /*  327430 */   GIM_Try, /*On fail goto*//*Label 6021*/ GIMT_Encode4(327493), // Rule ID 20083 //
     /*  327435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  327449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  327467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327474 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  327477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327491 */     GIR_RootConstrainSelectedInstOperands,
     /*  327492 */     // GIR_Coverage, 20083,
     /*  327492 */     GIR_EraseRootFromParent_Done,
     /*  327493 */   // Label 6021: @327493
     /*  327493 */   GIM_Try, /*On fail goto*//*Label 6022*/ GIMT_Encode4(327556), // Rule ID 20084 //
     /*  327498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  327512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  327530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327537 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  327540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327554 */     GIR_RootConstrainSelectedInstOperands,
     /*  327555 */     // GIR_Coverage, 20084,
     /*  327555 */     GIR_EraseRootFromParent_Done,
     /*  327556 */   // Label 6022: @327556
     /*  327556 */   GIM_Try, /*On fail goto*//*Label 6023*/ GIMT_Encode4(327619), // Rule ID 20087 //
     /*  327561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  327575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  327593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327600 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  327603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327617 */     GIR_RootConstrainSelectedInstOperands,
     /*  327618 */     // GIR_Coverage, 20087,
     /*  327618 */     GIR_EraseRootFromParent_Done,
     /*  327619 */   // Label 6023: @327619
     /*  327619 */   GIM_Try, /*On fail goto*//*Label 6024*/ GIMT_Encode4(327682), // Rule ID 20088 //
     /*  327624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  327638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  327656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327663 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  327666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327680 */     GIR_RootConstrainSelectedInstOperands,
     /*  327681 */     // GIR_Coverage, 20088,
     /*  327681 */     GIR_EraseRootFromParent_Done,
     /*  327682 */   // Label 6024: @327682
     /*  327682 */   GIM_Try, /*On fail goto*//*Label 6025*/ GIMT_Encode4(327745), // Rule ID 20091 //
     /*  327687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  327701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  327704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  327719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327726 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  327729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327743 */     GIR_RootConstrainSelectedInstOperands,
     /*  327744 */     // GIR_Coverage, 20091,
     /*  327744 */     GIR_EraseRootFromParent_Done,
     /*  327745 */   // Label 6025: @327745
     /*  327745 */   GIM_Try, /*On fail goto*//*Label 6026*/ GIMT_Encode4(327808), // Rule ID 20092 //
     /*  327750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  327764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  327767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  327782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327789 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  327792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327806 */     GIR_RootConstrainSelectedInstOperands,
     /*  327807 */     // GIR_Coverage, 20092,
     /*  327807 */     GIR_EraseRootFromParent_Done,
     /*  327808 */   // Label 6026: @327808
     /*  327808 */   GIM_Try, /*On fail goto*//*Label 6027*/ GIMT_Encode4(327871), // Rule ID 20095 //
     /*  327813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  327827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  327830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  327845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327852 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  327855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327869 */     GIR_RootConstrainSelectedInstOperands,
     /*  327870 */     // GIR_Coverage, 20095,
     /*  327870 */     GIR_EraseRootFromParent_Done,
     /*  327871 */   // Label 6027: @327871
     /*  327871 */   GIM_Try, /*On fail goto*//*Label 6028*/ GIMT_Encode4(327934), // Rule ID 20096 //
     /*  327876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  327890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  327893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  327908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327915 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  327918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327932 */     GIR_RootConstrainSelectedInstOperands,
     /*  327933 */     // GIR_Coverage, 20096,
     /*  327933 */     GIR_EraseRootFromParent_Done,
     /*  327934 */   // Label 6028: @327934
     /*  327934 */   GIM_Try, /*On fail goto*//*Label 6029*/ GIMT_Encode4(327997), // Rule ID 20099 //
     /*  327939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  327947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  327953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  327956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  327971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327978 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  327981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327995 */     GIR_RootConstrainSelectedInstOperands,
     /*  327996 */     // GIR_Coverage, 20099,
     /*  327996 */     GIR_EraseRootFromParent_Done,
     /*  327997 */   // Label 6029: @327997
     /*  327997 */   GIM_Try, /*On fail goto*//*Label 6030*/ GIMT_Encode4(328060), // Rule ID 20100 //
     /*  328002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  328010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  328016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  328034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328041 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  328044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328058 */     GIR_RootConstrainSelectedInstOperands,
     /*  328059 */     // GIR_Coverage, 20100,
     /*  328059 */     GIR_EraseRootFromParent_Done,
     /*  328060 */   // Label 6030: @328060
     /*  328060 */   GIM_Try, /*On fail goto*//*Label 6031*/ GIMT_Encode4(328123), // Rule ID 20103 //
     /*  328065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  328079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328104 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  328107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328121 */     GIR_RootConstrainSelectedInstOperands,
     /*  328122 */     // GIR_Coverage, 20103,
     /*  328122 */     GIR_EraseRootFromParent_Done,
     /*  328123 */   // Label 6031: @328123
     /*  328123 */   GIM_Try, /*On fail goto*//*Label 6032*/ GIMT_Encode4(328186), // Rule ID 20104 //
     /*  328128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  328142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328167 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  328170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328184 */     GIR_RootConstrainSelectedInstOperands,
     /*  328185 */     // GIR_Coverage, 20104,
     /*  328185 */     GIR_EraseRootFromParent_Done,
     /*  328186 */   // Label 6032: @328186
     /*  328186 */   GIM_Try, /*On fail goto*//*Label 6033*/ GIMT_Encode4(328249), // Rule ID 20107 //
     /*  328191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  328205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328230 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  328233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328247 */     GIR_RootConstrainSelectedInstOperands,
     /*  328248 */     // GIR_Coverage, 20107,
     /*  328248 */     GIR_EraseRootFromParent_Done,
     /*  328249 */   // Label 6033: @328249
     /*  328249 */   GIM_Try, /*On fail goto*//*Label 6034*/ GIMT_Encode4(328312), // Rule ID 20108 //
     /*  328254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  328268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328293 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  328296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328310 */     GIR_RootConstrainSelectedInstOperands,
     /*  328311 */     // GIR_Coverage, 20108,
     /*  328311 */     GIR_EraseRootFromParent_Done,
     /*  328312 */   // Label 6034: @328312
     /*  328312 */   GIM_Try, /*On fail goto*//*Label 6035*/ GIMT_Encode4(328375), // Rule ID 20111 //
     /*  328317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  328331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328356 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  328359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328373 */     GIR_RootConstrainSelectedInstOperands,
     /*  328374 */     // GIR_Coverage, 20111,
     /*  328374 */     GIR_EraseRootFromParent_Done,
     /*  328375 */   // Label 6035: @328375
     /*  328375 */   GIM_Try, /*On fail goto*//*Label 6036*/ GIMT_Encode4(328438), // Rule ID 20112 //
     /*  328380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  328394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328419 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  328422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328436 */     GIR_RootConstrainSelectedInstOperands,
     /*  328437 */     // GIR_Coverage, 20112,
     /*  328437 */     GIR_EraseRootFromParent_Done,
     /*  328438 */   // Label 6036: @328438
     /*  328438 */   GIM_Try, /*On fail goto*//*Label 6037*/ GIMT_Encode4(328501), // Rule ID 20115 //
     /*  328443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  328457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328482 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  328485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328499 */     GIR_RootConstrainSelectedInstOperands,
     /*  328500 */     // GIR_Coverage, 20115,
     /*  328500 */     GIR_EraseRootFromParent_Done,
     /*  328501 */   // Label 6037: @328501
     /*  328501 */   GIM_Try, /*On fail goto*//*Label 6038*/ GIMT_Encode4(328564), // Rule ID 20116 //
     /*  328506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  328520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328545 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  328548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328562 */     GIR_RootConstrainSelectedInstOperands,
     /*  328563 */     // GIR_Coverage, 20116,
     /*  328563 */     GIR_EraseRootFromParent_Done,
     /*  328564 */   // Label 6038: @328564
     /*  328564 */   GIM_Try, /*On fail goto*//*Label 6039*/ GIMT_Encode4(328627), // Rule ID 20119 //
     /*  328569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  328583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328608 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  328611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328625 */     GIR_RootConstrainSelectedInstOperands,
     /*  328626 */     // GIR_Coverage, 20119,
     /*  328626 */     GIR_EraseRootFromParent_Done,
     /*  328627 */   // Label 6039: @328627
     /*  328627 */   GIM_Try, /*On fail goto*//*Label 6040*/ GIMT_Encode4(328690), // Rule ID 20120 //
     /*  328632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  328646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  328664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328671 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  328674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328688 */     GIR_RootConstrainSelectedInstOperands,
     /*  328689 */     // GIR_Coverage, 20120,
     /*  328689 */     GIR_EraseRootFromParent_Done,
     /*  328690 */   // Label 6040: @328690
     /*  328690 */   GIM_Try, /*On fail goto*//*Label 6041*/ GIMT_Encode4(328753), // Rule ID 20123 //
     /*  328695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  328709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  328727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328734 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  328737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328751 */     GIR_RootConstrainSelectedInstOperands,
     /*  328752 */     // GIR_Coverage, 20123,
     /*  328752 */     GIR_EraseRootFromParent_Done,
     /*  328753 */   // Label 6041: @328753
     /*  328753 */   GIM_Try, /*On fail goto*//*Label 6042*/ GIMT_Encode4(328816), // Rule ID 20124 //
     /*  328758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  328772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  328790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328797 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  328800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328814 */     GIR_RootConstrainSelectedInstOperands,
     /*  328815 */     // GIR_Coverage, 20124,
     /*  328815 */     GIR_EraseRootFromParent_Done,
     /*  328816 */   // Label 6042: @328816
     /*  328816 */   GIM_Try, /*On fail goto*//*Label 6043*/ GIMT_Encode4(328879), // Rule ID 20127 //
     /*  328821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  328835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328860 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  328863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328877 */     GIR_RootConstrainSelectedInstOperands,
     /*  328878 */     // GIR_Coverage, 20127,
     /*  328878 */     GIR_EraseRootFromParent_Done,
     /*  328879 */   // Label 6043: @328879
     /*  328879 */   GIM_Try, /*On fail goto*//*Label 6044*/ GIMT_Encode4(328942), // Rule ID 20128 //
     /*  328884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  328898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328923 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  328926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328940 */     GIR_RootConstrainSelectedInstOperands,
     /*  328941 */     // GIR_Coverage, 20128,
     /*  328941 */     GIR_EraseRootFromParent_Done,
     /*  328942 */   // Label 6044: @328942
     /*  328942 */   GIM_Try, /*On fail goto*//*Label 6045*/ GIMT_Encode4(329005), // Rule ID 20131 //
     /*  328947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  328961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328986 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  328989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329003 */     GIR_RootConstrainSelectedInstOperands,
     /*  329004 */     // GIR_Coverage, 20131,
     /*  329004 */     GIR_EraseRootFromParent_Done,
     /*  329005 */   // Label 6045: @329005
     /*  329005 */   GIM_Try, /*On fail goto*//*Label 6046*/ GIMT_Encode4(329068), // Rule ID 20132 //
     /*  329010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  329024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329049 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  329052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329066 */     GIR_RootConstrainSelectedInstOperands,
     /*  329067 */     // GIR_Coverage, 20132,
     /*  329067 */     GIR_EraseRootFromParent_Done,
     /*  329068 */   // Label 6046: @329068
     /*  329068 */   GIM_Try, /*On fail goto*//*Label 6047*/ GIMT_Encode4(329131), // Rule ID 20135 //
     /*  329073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  329084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  329087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329112 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  329115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329129 */     GIR_RootConstrainSelectedInstOperands,
     /*  329130 */     // GIR_Coverage, 20135,
     /*  329130 */     GIR_EraseRootFromParent_Done,
     /*  329131 */   // Label 6047: @329131
     /*  329131 */   GIM_Try, /*On fail goto*//*Label 6048*/ GIMT_Encode4(329194), // Rule ID 20136 //
     /*  329136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  329147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  329150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329175 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  329178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329192 */     GIR_RootConstrainSelectedInstOperands,
     /*  329193 */     // GIR_Coverage, 20136,
     /*  329193 */     GIR_EraseRootFromParent_Done,
     /*  329194 */   // Label 6048: @329194
     /*  329194 */   GIM_Try, /*On fail goto*//*Label 6049*/ GIMT_Encode4(329257), // Rule ID 20139 //
     /*  329199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  329213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329238 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  329241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329255 */     GIR_RootConstrainSelectedInstOperands,
     /*  329256 */     // GIR_Coverage, 20139,
     /*  329256 */     GIR_EraseRootFromParent_Done,
     /*  329257 */   // Label 6049: @329257
     /*  329257 */   GIM_Try, /*On fail goto*//*Label 6050*/ GIMT_Encode4(329320), // Rule ID 20140 //
     /*  329262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  329276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329301 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  329304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329318 */     GIR_RootConstrainSelectedInstOperands,
     /*  329319 */     // GIR_Coverage, 20140,
     /*  329319 */     GIR_EraseRootFromParent_Done,
     /*  329320 */   // Label 6050: @329320
     /*  329320 */   GIM_Try, /*On fail goto*//*Label 6051*/ GIMT_Encode4(329383), // Rule ID 20143 //
     /*  329325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  329339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329364 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  329367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329381 */     GIR_RootConstrainSelectedInstOperands,
     /*  329382 */     // GIR_Coverage, 20143,
     /*  329382 */     GIR_EraseRootFromParent_Done,
     /*  329383 */   // Label 6051: @329383
     /*  329383 */   GIM_Try, /*On fail goto*//*Label 6052*/ GIMT_Encode4(329446), // Rule ID 20144 //
     /*  329388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  329402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329427 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  329430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329444 */     GIR_RootConstrainSelectedInstOperands,
     /*  329445 */     // GIR_Coverage, 20144,
     /*  329445 */     GIR_EraseRootFromParent_Done,
     /*  329446 */   // Label 6052: @329446
     /*  329446 */   GIM_Try, /*On fail goto*//*Label 6053*/ GIMT_Encode4(329509), // Rule ID 20147 //
     /*  329451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  329465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329490 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  329493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329507 */     GIR_RootConstrainSelectedInstOperands,
     /*  329508 */     // GIR_Coverage, 20147,
     /*  329508 */     GIR_EraseRootFromParent_Done,
     /*  329509 */   // Label 6053: @329509
     /*  329509 */   GIM_Try, /*On fail goto*//*Label 6054*/ GIMT_Encode4(329572), // Rule ID 20148 //
     /*  329514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  329528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329553 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  329556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329570 */     GIR_RootConstrainSelectedInstOperands,
     /*  329571 */     // GIR_Coverage, 20148,
     /*  329571 */     GIR_EraseRootFromParent_Done,
     /*  329572 */   // Label 6054: @329572
     /*  329572 */   GIM_Try, /*On fail goto*//*Label 6055*/ GIMT_Encode4(329635), // Rule ID 20151 //
     /*  329577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  329591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329616 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  329619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329633 */     GIR_RootConstrainSelectedInstOperands,
     /*  329634 */     // GIR_Coverage, 20151,
     /*  329634 */     GIR_EraseRootFromParent_Done,
     /*  329635 */   // Label 6055: @329635
     /*  329635 */   GIM_Try, /*On fail goto*//*Label 6056*/ GIMT_Encode4(329698), // Rule ID 20152 //
     /*  329640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  329654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329679 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  329682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329696 */     GIR_RootConstrainSelectedInstOperands,
     /*  329697 */     // GIR_Coverage, 20152,
     /*  329697 */     GIR_EraseRootFromParent_Done,
     /*  329698 */   // Label 6056: @329698
     /*  329698 */   GIM_Try, /*On fail goto*//*Label 6057*/ GIMT_Encode4(329761), // Rule ID 20155 //
     /*  329703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  329717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329742 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  329745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329759 */     GIR_RootConstrainSelectedInstOperands,
     /*  329760 */     // GIR_Coverage, 20155,
     /*  329760 */     GIR_EraseRootFromParent_Done,
     /*  329761 */   // Label 6057: @329761
     /*  329761 */   GIM_Try, /*On fail goto*//*Label 6058*/ GIMT_Encode4(329824), // Rule ID 20156 //
     /*  329766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  329780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329805 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  329808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329822 */     GIR_RootConstrainSelectedInstOperands,
     /*  329823 */     // GIR_Coverage, 20156,
     /*  329823 */     GIR_EraseRootFromParent_Done,
     /*  329824 */   // Label 6058: @329824
     /*  329824 */   GIM_Try, /*On fail goto*//*Label 6059*/ GIMT_Encode4(329887), // Rule ID 20159 //
     /*  329829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  329843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329868 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  329871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329885 */     GIR_RootConstrainSelectedInstOperands,
     /*  329886 */     // GIR_Coverage, 20159,
     /*  329886 */     GIR_EraseRootFromParent_Done,
     /*  329887 */   // Label 6059: @329887
     /*  329887 */   GIM_Try, /*On fail goto*//*Label 6060*/ GIMT_Encode4(329950), // Rule ID 20160 //
     /*  329892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  329900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  329906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329931 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  329934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329948 */     GIR_RootConstrainSelectedInstOperands,
     /*  329949 */     // GIR_Coverage, 20160,
     /*  329949 */     GIR_EraseRootFromParent_Done,
     /*  329950 */   // Label 6060: @329950
     /*  329950 */   GIM_Try, /*On fail goto*//*Label 6061*/ GIMT_Encode4(330013), // Rule ID 20163 //
     /*  329955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  329963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  329969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329994 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  329997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330011 */     GIR_RootConstrainSelectedInstOperands,
     /*  330012 */     // GIR_Coverage, 20163,
     /*  330012 */     GIR_EraseRootFromParent_Done,
     /*  330013 */   // Label 6061: @330013
     /*  330013 */   GIM_Try, /*On fail goto*//*Label 6062*/ GIMT_Encode4(330076), // Rule ID 20164 //
     /*  330018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  330032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330057 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  330060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330074 */     GIR_RootConstrainSelectedInstOperands,
     /*  330075 */     // GIR_Coverage, 20164,
     /*  330075 */     GIR_EraseRootFromParent_Done,
     /*  330076 */   // Label 6062: @330076
     /*  330076 */   GIM_Try, /*On fail goto*//*Label 6063*/ GIMT_Encode4(330139), // Rule ID 20167 //
     /*  330081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  330095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330120 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  330123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330137 */     GIR_RootConstrainSelectedInstOperands,
     /*  330138 */     // GIR_Coverage, 20167,
     /*  330138 */     GIR_EraseRootFromParent_Done,
     /*  330139 */   // Label 6063: @330139
     /*  330139 */   GIM_Try, /*On fail goto*//*Label 6064*/ GIMT_Encode4(330202), // Rule ID 20168 //
     /*  330144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  330158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330183 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  330186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330200 */     GIR_RootConstrainSelectedInstOperands,
     /*  330201 */     // GIR_Coverage, 20168,
     /*  330201 */     GIR_EraseRootFromParent_Done,
     /*  330202 */   // Label 6064: @330202
     /*  330202 */   GIM_Try, /*On fail goto*//*Label 6065*/ GIMT_Encode4(330265), // Rule ID 20171 //
     /*  330207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  330221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330246 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  330249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330263 */     GIR_RootConstrainSelectedInstOperands,
     /*  330264 */     // GIR_Coverage, 20171,
     /*  330264 */     GIR_EraseRootFromParent_Done,
     /*  330265 */   // Label 6065: @330265
     /*  330265 */   GIM_Try, /*On fail goto*//*Label 6066*/ GIMT_Encode4(330328), // Rule ID 20172 //
     /*  330270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  330284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330309 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  330312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330326 */     GIR_RootConstrainSelectedInstOperands,
     /*  330327 */     // GIR_Coverage, 20172,
     /*  330327 */     GIR_EraseRootFromParent_Done,
     /*  330328 */   // Label 6066: @330328
     /*  330328 */   GIM_Try, /*On fail goto*//*Label 6067*/ GIMT_Encode4(330391), // Rule ID 20175 //
     /*  330333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  330347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330372 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  330375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330389 */     GIR_RootConstrainSelectedInstOperands,
     /*  330390 */     // GIR_Coverage, 20175,
     /*  330390 */     GIR_EraseRootFromParent_Done,
     /*  330391 */   // Label 6067: @330391
     /*  330391 */   GIM_Try, /*On fail goto*//*Label 6068*/ GIMT_Encode4(330454), // Rule ID 20176 //
     /*  330396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  330410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330435 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  330438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330452 */     GIR_RootConstrainSelectedInstOperands,
     /*  330453 */     // GIR_Coverage, 20176,
     /*  330453 */     GIR_EraseRootFromParent_Done,
     /*  330454 */   // Label 6068: @330454
     /*  330454 */   GIM_Try, /*On fail goto*//*Label 6069*/ GIMT_Encode4(330517), // Rule ID 20179 //
     /*  330459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  330473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330498 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  330501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330515 */     GIR_RootConstrainSelectedInstOperands,
     /*  330516 */     // GIR_Coverage, 20179,
     /*  330516 */     GIR_EraseRootFromParent_Done,
     /*  330517 */   // Label 6069: @330517
     /*  330517 */   GIM_Try, /*On fail goto*//*Label 6070*/ GIMT_Encode4(330580), // Rule ID 20180 //
     /*  330522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  330536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330561 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  330564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330578 */     GIR_RootConstrainSelectedInstOperands,
     /*  330579 */     // GIR_Coverage, 20180,
     /*  330579 */     GIR_EraseRootFromParent_Done,
     /*  330580 */   // Label 6070: @330580
     /*  330580 */   GIM_Try, /*On fail goto*//*Label 6071*/ GIMT_Encode4(330643), // Rule ID 20183 //
     /*  330585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  330599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330624 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  330627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330641 */     GIR_RootConstrainSelectedInstOperands,
     /*  330642 */     // GIR_Coverage, 20183,
     /*  330642 */     GIR_EraseRootFromParent_Done,
     /*  330643 */   // Label 6071: @330643
     /*  330643 */   GIM_Try, /*On fail goto*//*Label 6072*/ GIMT_Encode4(330706), // Rule ID 20184 //
     /*  330648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  330662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330687 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  330690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330704 */     GIR_RootConstrainSelectedInstOperands,
     /*  330705 */     // GIR_Coverage, 20184,
     /*  330705 */     GIR_EraseRootFromParent_Done,
     /*  330706 */   // Label 6072: @330706
     /*  330706 */   GIM_Try, /*On fail goto*//*Label 6073*/ GIMT_Encode4(330769), // Rule ID 20187 //
     /*  330711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  330725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330750 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  330753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330767 */     GIR_RootConstrainSelectedInstOperands,
     /*  330768 */     // GIR_Coverage, 20187,
     /*  330768 */     GIR_EraseRootFromParent_Done,
     /*  330769 */   // Label 6073: @330769
     /*  330769 */   GIM_Try, /*On fail goto*//*Label 6074*/ GIMT_Encode4(330832), // Rule ID 20188 //
     /*  330774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  330788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330813 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  330816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330830 */     GIR_RootConstrainSelectedInstOperands,
     /*  330831 */     // GIR_Coverage, 20188,
     /*  330831 */     GIR_EraseRootFromParent_Done,
     /*  330832 */   // Label 6074: @330832
     /*  330832 */   GIM_Try, /*On fail goto*//*Label 6075*/ GIMT_Encode4(330895), // Rule ID 20191 //
     /*  330837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  330851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330876 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  330879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330893 */     GIR_RootConstrainSelectedInstOperands,
     /*  330894 */     // GIR_Coverage, 20191,
     /*  330894 */     GIR_EraseRootFromParent_Done,
     /*  330895 */   // Label 6075: @330895
     /*  330895 */   GIM_Try, /*On fail goto*//*Label 6076*/ GIMT_Encode4(330958), // Rule ID 20192 //
     /*  330900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  330914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330939 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  330942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330956 */     GIR_RootConstrainSelectedInstOperands,
     /*  330957 */     // GIR_Coverage, 20192,
     /*  330957 */     GIR_EraseRootFromParent_Done,
     /*  330958 */   // Label 6076: @330958
     /*  330958 */   GIM_Try, /*On fail goto*//*Label 6077*/ GIMT_Encode4(331021), // Rule ID 20195 //
     /*  330963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  330974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  330977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  330980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  330995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331002 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  331005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331019 */     GIR_RootConstrainSelectedInstOperands,
     /*  331020 */     // GIR_Coverage, 20195,
     /*  331020 */     GIR_EraseRootFromParent_Done,
     /*  331021 */   // Label 6077: @331021
     /*  331021 */   GIM_Try, /*On fail goto*//*Label 6078*/ GIMT_Encode4(331084), // Rule ID 20196 //
     /*  331026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  331037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  331040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  331043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  331058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331065 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  331068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331082 */     GIR_RootConstrainSelectedInstOperands,
     /*  331083 */     // GIR_Coverage, 20196,
     /*  331083 */     GIR_EraseRootFromParent_Done,
     /*  331084 */   // Label 6078: @331084
     /*  331084 */   GIM_Try, /*On fail goto*//*Label 6079*/ GIMT_Encode4(331147), // Rule ID 20199 //
     /*  331089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  331103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331128 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  331131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331145 */     GIR_RootConstrainSelectedInstOperands,
     /*  331146 */     // GIR_Coverage, 20199,
     /*  331146 */     GIR_EraseRootFromParent_Done,
     /*  331147 */   // Label 6079: @331147
     /*  331147 */   GIM_Try, /*On fail goto*//*Label 6080*/ GIMT_Encode4(331210), // Rule ID 20200 //
     /*  331152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  331166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331191 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  331194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331208 */     GIR_RootConstrainSelectedInstOperands,
     /*  331209 */     // GIR_Coverage, 20200,
     /*  331209 */     GIR_EraseRootFromParent_Done,
     /*  331210 */   // Label 6080: @331210
     /*  331210 */   GIM_Try, /*On fail goto*//*Label 6081*/ GIMT_Encode4(331273), // Rule ID 20203 //
     /*  331215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  331229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331254 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  331257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331271 */     GIR_RootConstrainSelectedInstOperands,
     /*  331272 */     // GIR_Coverage, 20203,
     /*  331272 */     GIR_EraseRootFromParent_Done,
     /*  331273 */   // Label 6081: @331273
     /*  331273 */   GIM_Try, /*On fail goto*//*Label 6082*/ GIMT_Encode4(331336), // Rule ID 20204 //
     /*  331278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  331292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331317 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  331320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331334 */     GIR_RootConstrainSelectedInstOperands,
     /*  331335 */     // GIR_Coverage, 20204,
     /*  331335 */     GIR_EraseRootFromParent_Done,
     /*  331336 */   // Label 6082: @331336
     /*  331336 */   GIM_Try, /*On fail goto*//*Label 6083*/ GIMT_Encode4(331399), // Rule ID 20207 //
     /*  331341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  331352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  331355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331380 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  331383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331397 */     GIR_RootConstrainSelectedInstOperands,
     /*  331398 */     // GIR_Coverage, 20207,
     /*  331398 */     GIR_EraseRootFromParent_Done,
     /*  331399 */   // Label 6083: @331399
     /*  331399 */   GIM_Try, /*On fail goto*//*Label 6084*/ GIMT_Encode4(331462), // Rule ID 20208 //
     /*  331404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  331415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  331418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  331436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331443 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  331446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331460 */     GIR_RootConstrainSelectedInstOperands,
     /*  331461 */     // GIR_Coverage, 20208,
     /*  331461 */     GIR_EraseRootFromParent_Done,
     /*  331462 */   // Label 6084: @331462
     /*  331462 */   GIM_Try, /*On fail goto*//*Label 6085*/ GIMT_Encode4(331525), // Rule ID 20211 //
     /*  331467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  331481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331506 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  331509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331523 */     GIR_RootConstrainSelectedInstOperands,
     /*  331524 */     // GIR_Coverage, 20211,
     /*  331524 */     GIR_EraseRootFromParent_Done,
     /*  331525 */   // Label 6085: @331525
     /*  331525 */   GIM_Try, /*On fail goto*//*Label 6086*/ GIMT_Encode4(331588), // Rule ID 20212 //
     /*  331530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  331544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331569 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  331572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331586 */     GIR_RootConstrainSelectedInstOperands,
     /*  331587 */     // GIR_Coverage, 20212,
     /*  331587 */     GIR_EraseRootFromParent_Done,
     /*  331588 */   // Label 6086: @331588
     /*  331588 */   GIM_Try, /*On fail goto*//*Label 6087*/ GIMT_Encode4(331651), // Rule ID 20215 //
     /*  331593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  331607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331632 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  331635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331649 */     GIR_RootConstrainSelectedInstOperands,
     /*  331650 */     // GIR_Coverage, 20215,
     /*  331650 */     GIR_EraseRootFromParent_Done,
     /*  331651 */   // Label 6087: @331651
     /*  331651 */   GIM_Try, /*On fail goto*//*Label 6088*/ GIMT_Encode4(331714), // Rule ID 20216 //
     /*  331656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  331670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331695 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  331698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331712 */     GIR_RootConstrainSelectedInstOperands,
     /*  331713 */     // GIR_Coverage, 20216,
     /*  331713 */     GIR_EraseRootFromParent_Done,
     /*  331714 */   // Label 6088: @331714
     /*  331714 */   GIM_Try, /*On fail goto*//*Label 6089*/ GIMT_Encode4(331777), // Rule ID 20219 //
     /*  331719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  331733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331758 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  331761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331775 */     GIR_RootConstrainSelectedInstOperands,
     /*  331776 */     // GIR_Coverage, 20219,
     /*  331776 */     GIR_EraseRootFromParent_Done,
     /*  331777 */   // Label 6089: @331777
     /*  331777 */   GIM_Try, /*On fail goto*//*Label 6090*/ GIMT_Encode4(331840), // Rule ID 20220 //
     /*  331782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  331790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  331796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  331814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331821 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  331824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331838 */     GIR_RootConstrainSelectedInstOperands,
     /*  331839 */     // GIR_Coverage, 20220,
     /*  331839 */     GIR_EraseRootFromParent_Done,
     /*  331840 */   // Label 6090: @331840
     /*  331840 */   GIM_Try, /*On fail goto*//*Label 6091*/ GIMT_Encode4(331903), // Rule ID 20223 //
     /*  331845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  331859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  331862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331884 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  331887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  331891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  331893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331901 */     GIR_RootConstrainSelectedInstOperands,
     /*  331902 */     // GIR_Coverage, 20223,
     /*  331902 */     GIR_EraseRootFromParent_Done,
     /*  331903 */   // Label 6091: @331903
     /*  331903 */   GIM_Try, /*On fail goto*//*Label 6092*/ GIMT_Encode4(331966), // Rule ID 20224 //
     /*  331908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  331922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  331925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331947 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  331950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  331954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  331956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331964 */     GIR_RootConstrainSelectedInstOperands,
     /*  331965 */     // GIR_Coverage, 20224,
     /*  331965 */     GIR_EraseRootFromParent_Done,
     /*  331966 */   // Label 6092: @331966
     /*  331966 */   GIM_Try, /*On fail goto*//*Label 6093*/ GIMT_Encode4(332029), // Rule ID 20227 //
     /*  331971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  331979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  331985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  331988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332010 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  332013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  332019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332027 */     GIR_RootConstrainSelectedInstOperands,
     /*  332028 */     // GIR_Coverage, 20227,
     /*  332028 */     GIR_EraseRootFromParent_Done,
     /*  332029 */   // Label 6093: @332029
     /*  332029 */   GIM_Try, /*On fail goto*//*Label 6094*/ GIMT_Encode4(332092), // Rule ID 20228 //
     /*  332034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  332048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  332051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332073 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  332076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  332082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332090 */     GIR_RootConstrainSelectedInstOperands,
     /*  332091 */     // GIR_Coverage, 20228,
     /*  332091 */     GIR_EraseRootFromParent_Done,
     /*  332092 */   // Label 6094: @332092
     /*  332092 */   GIM_Try, /*On fail goto*//*Label 6095*/ GIMT_Encode4(332155), // Rule ID 20231 //
     /*  332097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  332111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  332114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332136 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  332139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  332145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332153 */     GIR_RootConstrainSelectedInstOperands,
     /*  332154 */     // GIR_Coverage, 20231,
     /*  332154 */     GIR_EraseRootFromParent_Done,
     /*  332155 */   // Label 6095: @332155
     /*  332155 */   GIM_Try, /*On fail goto*//*Label 6096*/ GIMT_Encode4(332218), // Rule ID 20232 //
     /*  332160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  332174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  332177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332199 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  332202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  332208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332216 */     GIR_RootConstrainSelectedInstOperands,
     /*  332217 */     // GIR_Coverage, 20232,
     /*  332217 */     GIR_EraseRootFromParent_Done,
     /*  332218 */   // Label 6096: @332218
     /*  332218 */   GIM_Try, /*On fail goto*//*Label 6097*/ GIMT_Encode4(332281), // Rule ID 20235 //
     /*  332223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  332237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  332240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332262 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  332265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  332271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332279 */     GIR_RootConstrainSelectedInstOperands,
     /*  332280 */     // GIR_Coverage, 20235,
     /*  332280 */     GIR_EraseRootFromParent_Done,
     /*  332281 */   // Label 6097: @332281
     /*  332281 */   GIM_Try, /*On fail goto*//*Label 6098*/ GIMT_Encode4(332344), // Rule ID 20236 //
     /*  332286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  332300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  332303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332325 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  332328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  332334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332342 */     GIR_RootConstrainSelectedInstOperands,
     /*  332343 */     // GIR_Coverage, 20236,
     /*  332343 */     GIR_EraseRootFromParent_Done,
     /*  332344 */   // Label 6098: @332344
     /*  332344 */   GIM_Try, /*On fail goto*//*Label 6099*/ GIMT_Encode4(332407), // Rule ID 20239 //
     /*  332349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  332363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  332366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332388 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  332391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  332397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332405 */     GIR_RootConstrainSelectedInstOperands,
     /*  332406 */     // GIR_Coverage, 20239,
     /*  332406 */     GIR_EraseRootFromParent_Done,
     /*  332407 */   // Label 6099: @332407
     /*  332407 */   GIM_Try, /*On fail goto*//*Label 6100*/ GIMT_Encode4(332470), // Rule ID 20240 //
     /*  332412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  332426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  332429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332451 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  332454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  332460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332468 */     GIR_RootConstrainSelectedInstOperands,
     /*  332469 */     // GIR_Coverage, 20240,
     /*  332469 */     GIR_EraseRootFromParent_Done,
     /*  332470 */   // Label 6100: @332470
     /*  332470 */   GIM_Try, /*On fail goto*//*Label 6101*/ GIMT_Encode4(332533), // Rule ID 20243 //
     /*  332475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  332478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  332489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  332492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332514 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  332514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  332517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  332523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332531 */     GIR_RootConstrainSelectedInstOperands,
     /*  332532 */     // GIR_Coverage, 20243,
     /*  332532 */     GIR_EraseRootFromParent_Done,
     /*  332533 */   // Label 6101: @332533
     /*  332533 */   GIM_Try, /*On fail goto*//*Label 6102*/ GIMT_Encode4(332596), // Rule ID 20244 //
     /*  332538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  332541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  332552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  332555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332577 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  332577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  332580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  332586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332594 */     GIR_RootConstrainSelectedInstOperands,
     /*  332595 */     // GIR_Coverage, 20244,
     /*  332595 */     GIR_EraseRootFromParent_Done,
     /*  332596 */   // Label 6102: @332596
     /*  332596 */   GIM_Try, /*On fail goto*//*Label 6103*/ GIMT_Encode4(332659), // Rule ID 20247 //
     /*  332601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  332615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  332618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332640 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  332643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  332649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332657 */     GIR_RootConstrainSelectedInstOperands,
     /*  332658 */     // GIR_Coverage, 20247,
     /*  332658 */     GIR_EraseRootFromParent_Done,
     /*  332659 */   // Label 6103: @332659
     /*  332659 */   GIM_Try, /*On fail goto*//*Label 6104*/ GIMT_Encode4(332722), // Rule ID 20248 //
     /*  332664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  332678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  332681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332703 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  332706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  332712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332720 */     GIR_RootConstrainSelectedInstOperands,
     /*  332721 */     // GIR_Coverage, 20248,
     /*  332721 */     GIR_EraseRootFromParent_Done,
     /*  332722 */   // Label 6104: @332722
     /*  332722 */   GIM_Try, /*On fail goto*//*Label 6105*/ GIMT_Encode4(332785), // Rule ID 20251 //
     /*  332727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  332741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  332744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332766 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  332769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  332775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332783 */     GIR_RootConstrainSelectedInstOperands,
     /*  332784 */     // GIR_Coverage, 20251,
     /*  332784 */     GIR_EraseRootFromParent_Done,
     /*  332785 */   // Label 6105: @332785
     /*  332785 */   GIM_Try, /*On fail goto*//*Label 6106*/ GIMT_Encode4(332848), // Rule ID 20252 //
     /*  332790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  332804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  332807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332829 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  332832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  332838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332846 */     GIR_RootConstrainSelectedInstOperands,
     /*  332847 */     // GIR_Coverage, 20252,
     /*  332847 */     GIR_EraseRootFromParent_Done,
     /*  332848 */   // Label 6106: @332848
     /*  332848 */   GIM_Try, /*On fail goto*//*Label 6107*/ GIMT_Encode4(332911), // Rule ID 20255 //
     /*  332853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  332864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  332867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  332870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332892 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  332895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  332901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332909 */     GIR_RootConstrainSelectedInstOperands,
     /*  332910 */     // GIR_Coverage, 20255,
     /*  332910 */     GIR_EraseRootFromParent_Done,
     /*  332911 */   // Label 6107: @332911
     /*  332911 */   GIM_Try, /*On fail goto*//*Label 6108*/ GIMT_Encode4(332974), // Rule ID 20256 //
     /*  332916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  332927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  332930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  332933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332955 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  332958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  332964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332972 */     GIR_RootConstrainSelectedInstOperands,
     /*  332973 */     // GIR_Coverage, 20256,
     /*  332973 */     GIR_EraseRootFromParent_Done,
     /*  332974 */   // Label 6108: @332974
     /*  332974 */   GIM_Try, /*On fail goto*//*Label 6109*/ GIMT_Encode4(333037), // Rule ID 20259 //
     /*  332979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  332987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  332993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  332996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333018 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  333021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333035 */     GIR_RootConstrainSelectedInstOperands,
     /*  333036 */     // GIR_Coverage, 20259,
     /*  333036 */     GIR_EraseRootFromParent_Done,
     /*  333037 */   // Label 6109: @333037
     /*  333037 */   GIM_Try, /*On fail goto*//*Label 6110*/ GIMT_Encode4(333100), // Rule ID 20260 //
     /*  333042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  333056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  333059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333081 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  333084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333098 */     GIR_RootConstrainSelectedInstOperands,
     /*  333099 */     // GIR_Coverage, 20260,
     /*  333099 */     GIR_EraseRootFromParent_Done,
     /*  333100 */   // Label 6110: @333100
     /*  333100 */   GIM_Try, /*On fail goto*//*Label 6111*/ GIMT_Encode4(333163), // Rule ID 20263 //
     /*  333105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  333119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  333122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333144 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  333147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333161 */     GIR_RootConstrainSelectedInstOperands,
     /*  333162 */     // GIR_Coverage, 20263,
     /*  333162 */     GIR_EraseRootFromParent_Done,
     /*  333163 */   // Label 6111: @333163
     /*  333163 */   GIM_Try, /*On fail goto*//*Label 6112*/ GIMT_Encode4(333226), // Rule ID 20264 //
     /*  333168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  333182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  333185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333207 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  333210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333224 */     GIR_RootConstrainSelectedInstOperands,
     /*  333225 */     // GIR_Coverage, 20264,
     /*  333225 */     GIR_EraseRootFromParent_Done,
     /*  333226 */   // Label 6112: @333226
     /*  333226 */   GIM_Try, /*On fail goto*//*Label 6113*/ GIMT_Encode4(333289), // Rule ID 20267 //
     /*  333231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  333242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  333245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  333248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333270 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  333273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333287 */     GIR_RootConstrainSelectedInstOperands,
     /*  333288 */     // GIR_Coverage, 20267,
     /*  333288 */     GIR_EraseRootFromParent_Done,
     /*  333289 */   // Label 6113: @333289
     /*  333289 */   GIM_Try, /*On fail goto*//*Label 6114*/ GIMT_Encode4(333352), // Rule ID 20268 //
     /*  333294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  333305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  333308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  333311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333333 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  333336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333350 */     GIR_RootConstrainSelectedInstOperands,
     /*  333351 */     // GIR_Coverage, 20268,
     /*  333351 */     GIR_EraseRootFromParent_Done,
     /*  333352 */   // Label 6114: @333352
     /*  333352 */   GIM_Try, /*On fail goto*//*Label 6115*/ GIMT_Encode4(333415), // Rule ID 20271 //
     /*  333357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  333371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  333374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333396 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  333399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333413 */     GIR_RootConstrainSelectedInstOperands,
     /*  333414 */     // GIR_Coverage, 20271,
     /*  333414 */     GIR_EraseRootFromParent_Done,
     /*  333415 */   // Label 6115: @333415
     /*  333415 */   GIM_Try, /*On fail goto*//*Label 6116*/ GIMT_Encode4(333478), // Rule ID 20272 //
     /*  333420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  333434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  333437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333459 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  333462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333476 */     GIR_RootConstrainSelectedInstOperands,
     /*  333477 */     // GIR_Coverage, 20272,
     /*  333477 */     GIR_EraseRootFromParent_Done,
     /*  333478 */   // Label 6116: @333478
     /*  333478 */   GIM_Try, /*On fail goto*//*Label 6117*/ GIMT_Encode4(333541), // Rule ID 20275 //
     /*  333483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  333497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  333500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333522 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  333525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333539 */     GIR_RootConstrainSelectedInstOperands,
     /*  333540 */     // GIR_Coverage, 20275,
     /*  333540 */     GIR_EraseRootFromParent_Done,
     /*  333541 */   // Label 6117: @333541
     /*  333541 */   GIM_Try, /*On fail goto*//*Label 6118*/ GIMT_Encode4(333604), // Rule ID 20276 //
     /*  333546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  333560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  333563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333585 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  333588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333602 */     GIR_RootConstrainSelectedInstOperands,
     /*  333603 */     // GIR_Coverage, 20276,
     /*  333603 */     GIR_EraseRootFromParent_Done,
     /*  333604 */   // Label 6118: @333604
     /*  333604 */   GIM_Try, /*On fail goto*//*Label 6119*/ GIMT_Encode4(333667), // Rule ID 20279 //
     /*  333609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  333623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  333626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  333651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333665 */     GIR_RootConstrainSelectedInstOperands,
     /*  333666 */     // GIR_Coverage, 20279,
     /*  333666 */     GIR_EraseRootFromParent_Done,
     /*  333667 */   // Label 6119: @333667
     /*  333667 */   GIM_Try, /*On fail goto*//*Label 6120*/ GIMT_Encode4(333730), // Rule ID 20280 //
     /*  333672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  333680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  333686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  333689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333711 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  333714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333728 */     GIR_RootConstrainSelectedInstOperands,
     /*  333729 */     // GIR_Coverage, 20280,
     /*  333729 */     GIR_EraseRootFromParent_Done,
     /*  333730 */   // Label 6120: @333730
     /*  333730 */   GIM_Try, /*On fail goto*//*Label 6121*/ GIMT_Encode4(333793), // Rule ID 20283 //
     /*  333735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  333749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  333752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333774 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  333777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333791 */     GIR_RootConstrainSelectedInstOperands,
     /*  333792 */     // GIR_Coverage, 20283,
     /*  333792 */     GIR_EraseRootFromParent_Done,
     /*  333793 */   // Label 6121: @333793
     /*  333793 */   GIM_Try, /*On fail goto*//*Label 6122*/ GIMT_Encode4(333856), // Rule ID 20284 //
     /*  333798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  333812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  333815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333837 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  333840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333854 */     GIR_RootConstrainSelectedInstOperands,
     /*  333855 */     // GIR_Coverage, 20284,
     /*  333855 */     GIR_EraseRootFromParent_Done,
     /*  333856 */   // Label 6122: @333856
     /*  333856 */   GIM_Try, /*On fail goto*//*Label 6123*/ GIMT_Encode4(333919), // Rule ID 20287 //
     /*  333861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  333875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  333878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333900 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  333903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333917 */     GIR_RootConstrainSelectedInstOperands,
     /*  333918 */     // GIR_Coverage, 20287,
     /*  333918 */     GIR_EraseRootFromParent_Done,
     /*  333919 */   // Label 6123: @333919
     /*  333919 */   GIM_Try, /*On fail goto*//*Label 6124*/ GIMT_Encode4(333982), // Rule ID 20288 //
     /*  333924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  333938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  333941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333963 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  333966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  333972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333980 */     GIR_RootConstrainSelectedInstOperands,
     /*  333981 */     // GIR_Coverage, 20288,
     /*  333981 */     GIR_EraseRootFromParent_Done,
     /*  333982 */   // Label 6124: @333982
     /*  333982 */   GIM_Try, /*On fail goto*//*Label 6125*/ GIMT_Encode4(334045), // Rule ID 20291 //
     /*  333987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  333995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  334001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  334004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334026 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  334029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334043 */     GIR_RootConstrainSelectedInstOperands,
     /*  334044 */     // GIR_Coverage, 20291,
     /*  334044 */     GIR_EraseRootFromParent_Done,
     /*  334045 */   // Label 6125: @334045
     /*  334045 */   GIM_Try, /*On fail goto*//*Label 6126*/ GIMT_Encode4(334108), // Rule ID 20292 //
     /*  334050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  334064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  334067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334089 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  334092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334106 */     GIR_RootConstrainSelectedInstOperands,
     /*  334107 */     // GIR_Coverage, 20292,
     /*  334107 */     GIR_EraseRootFromParent_Done,
     /*  334108 */   // Label 6126: @334108
     /*  334108 */   GIM_Try, /*On fail goto*//*Label 6127*/ GIMT_Encode4(334171), // Rule ID 20295 //
     /*  334113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  334127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  334130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334152 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  334155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334169 */     GIR_RootConstrainSelectedInstOperands,
     /*  334170 */     // GIR_Coverage, 20295,
     /*  334170 */     GIR_EraseRootFromParent_Done,
     /*  334171 */   // Label 6127: @334171
     /*  334171 */   GIM_Try, /*On fail goto*//*Label 6128*/ GIMT_Encode4(334234), // Rule ID 20296 //
     /*  334176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  334190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  334193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334215 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  334218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334232 */     GIR_RootConstrainSelectedInstOperands,
     /*  334233 */     // GIR_Coverage, 20296,
     /*  334233 */     GIR_EraseRootFromParent_Done,
     /*  334234 */   // Label 6128: @334234
     /*  334234 */   GIM_Try, /*On fail goto*//*Label 6129*/ GIMT_Encode4(334297), // Rule ID 20299 //
     /*  334239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  334253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  334256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334278 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  334281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334295 */     GIR_RootConstrainSelectedInstOperands,
     /*  334296 */     // GIR_Coverage, 20299,
     /*  334296 */     GIR_EraseRootFromParent_Done,
     /*  334297 */   // Label 6129: @334297
     /*  334297 */   GIM_Try, /*On fail goto*//*Label 6130*/ GIMT_Encode4(334360), // Rule ID 20300 //
     /*  334302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  334316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  334319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334341 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  334344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334358 */     GIR_RootConstrainSelectedInstOperands,
     /*  334359 */     // GIR_Coverage, 20300,
     /*  334359 */     GIR_EraseRootFromParent_Done,
     /*  334360 */   // Label 6130: @334360
     /*  334360 */   GIM_Try, /*On fail goto*//*Label 6131*/ GIMT_Encode4(334423), // Rule ID 20303 //
     /*  334365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  334368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  334379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  334382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334404 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  334404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  334407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334421 */     GIR_RootConstrainSelectedInstOperands,
     /*  334422 */     // GIR_Coverage, 20303,
     /*  334422 */     GIR_EraseRootFromParent_Done,
     /*  334423 */   // Label 6131: @334423
     /*  334423 */   GIM_Try, /*On fail goto*//*Label 6132*/ GIMT_Encode4(334486), // Rule ID 20304 //
     /*  334428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  334431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  334442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  334445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334467 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  334467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  334470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334484 */     GIR_RootConstrainSelectedInstOperands,
     /*  334485 */     // GIR_Coverage, 20304,
     /*  334485 */     GIR_EraseRootFromParent_Done,
     /*  334486 */   // Label 6132: @334486
     /*  334486 */   GIM_Try, /*On fail goto*//*Label 6133*/ GIMT_Encode4(334549), // Rule ID 20307 //
     /*  334491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  334505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  334508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334530 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  334533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334547 */     GIR_RootConstrainSelectedInstOperands,
     /*  334548 */     // GIR_Coverage, 20307,
     /*  334548 */     GIR_EraseRootFromParent_Done,
     /*  334549 */   // Label 6133: @334549
     /*  334549 */   GIM_Try, /*On fail goto*//*Label 6134*/ GIMT_Encode4(334612), // Rule ID 20308 //
     /*  334554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  334568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  334571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334593 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  334596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334610 */     GIR_RootConstrainSelectedInstOperands,
     /*  334611 */     // GIR_Coverage, 20308,
     /*  334611 */     GIR_EraseRootFromParent_Done,
     /*  334612 */   // Label 6134: @334612
     /*  334612 */   GIM_Try, /*On fail goto*//*Label 6135*/ GIMT_Encode4(334675), // Rule ID 20311 //
     /*  334617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  334631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  334634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334656 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  334659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334673 */     GIR_RootConstrainSelectedInstOperands,
     /*  334674 */     // GIR_Coverage, 20311,
     /*  334674 */     GIR_EraseRootFromParent_Done,
     /*  334675 */   // Label 6135: @334675
     /*  334675 */   GIM_Try, /*On fail goto*//*Label 6136*/ GIMT_Encode4(334738), // Rule ID 20312 //
     /*  334680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  334694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  334697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334719 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  334722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334736 */     GIR_RootConstrainSelectedInstOperands,
     /*  334737 */     // GIR_Coverage, 20312,
     /*  334737 */     GIR_EraseRootFromParent_Done,
     /*  334738 */   // Label 6136: @334738
     /*  334738 */   GIM_Try, /*On fail goto*//*Label 6137*/ GIMT_Encode4(334801), // Rule ID 20315 //
     /*  334743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  334754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  334757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  334760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334782 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  334785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334799 */     GIR_RootConstrainSelectedInstOperands,
     /*  334800 */     // GIR_Coverage, 20315,
     /*  334800 */     GIR_EraseRootFromParent_Done,
     /*  334801 */   // Label 6137: @334801
     /*  334801 */   GIM_Try, /*On fail goto*//*Label 6138*/ GIMT_Encode4(334864), // Rule ID 20316 //
     /*  334806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  334817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  334820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  334823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334845 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  334848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334862 */     GIR_RootConstrainSelectedInstOperands,
     /*  334863 */     // GIR_Coverage, 20316,
     /*  334863 */     GIR_EraseRootFromParent_Done,
     /*  334864 */   // Label 6138: @334864
     /*  334864 */   GIM_Try, /*On fail goto*//*Label 6139*/ GIMT_Encode4(334927), // Rule ID 20319 //
     /*  334869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  334883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  334886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334908 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  334911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334925 */     GIR_RootConstrainSelectedInstOperands,
     /*  334926 */     // GIR_Coverage, 20319,
     /*  334926 */     GIR_EraseRootFromParent_Done,
     /*  334927 */   // Label 6139: @334927
     /*  334927 */   GIM_Try, /*On fail goto*//*Label 6140*/ GIMT_Encode4(334990), // Rule ID 20320 //
     /*  334932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  334940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  334946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  334949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334971 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  334974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  334980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334988 */     GIR_RootConstrainSelectedInstOperands,
     /*  334989 */     // GIR_Coverage, 20320,
     /*  334989 */     GIR_EraseRootFromParent_Done,
     /*  334990 */   // Label 6140: @334990
     /*  334990 */   GIM_Try, /*On fail goto*//*Label 6141*/ GIMT_Encode4(335053), // Rule ID 20323 //
     /*  334995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  335009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  335012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335034 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  335037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335051 */     GIR_RootConstrainSelectedInstOperands,
     /*  335052 */     // GIR_Coverage, 20323,
     /*  335052 */     GIR_EraseRootFromParent_Done,
     /*  335053 */   // Label 6141: @335053
     /*  335053 */   GIM_Try, /*On fail goto*//*Label 6142*/ GIMT_Encode4(335116), // Rule ID 20324 //
     /*  335058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  335072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  335075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335097 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  335100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335114 */     GIR_RootConstrainSelectedInstOperands,
     /*  335115 */     // GIR_Coverage, 20324,
     /*  335115 */     GIR_EraseRootFromParent_Done,
     /*  335116 */   // Label 6142: @335116
     /*  335116 */   GIM_Try, /*On fail goto*//*Label 6143*/ GIMT_Encode4(335179), // Rule ID 20327 //
     /*  335121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  335132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  335135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  335138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335160 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  335163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335177 */     GIR_RootConstrainSelectedInstOperands,
     /*  335178 */     // GIR_Coverage, 20327,
     /*  335178 */     GIR_EraseRootFromParent_Done,
     /*  335179 */   // Label 6143: @335179
     /*  335179 */   GIM_Try, /*On fail goto*//*Label 6144*/ GIMT_Encode4(335242), // Rule ID 20328 //
     /*  335184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  335195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  335198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  335201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335223 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  335226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335240 */     GIR_RootConstrainSelectedInstOperands,
     /*  335241 */     // GIR_Coverage, 20328,
     /*  335241 */     GIR_EraseRootFromParent_Done,
     /*  335242 */   // Label 6144: @335242
     /*  335242 */   GIM_Try, /*On fail goto*//*Label 6145*/ GIMT_Encode4(335305), // Rule ID 20331 //
     /*  335247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  335261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  335264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335286 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  335289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335303 */     GIR_RootConstrainSelectedInstOperands,
     /*  335304 */     // GIR_Coverage, 20331,
     /*  335304 */     GIR_EraseRootFromParent_Done,
     /*  335305 */   // Label 6145: @335305
     /*  335305 */   GIM_Try, /*On fail goto*//*Label 6146*/ GIMT_Encode4(335368), // Rule ID 20332 //
     /*  335310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  335324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  335327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335349 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  335352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335366 */     GIR_RootConstrainSelectedInstOperands,
     /*  335367 */     // GIR_Coverage, 20332,
     /*  335367 */     GIR_EraseRootFromParent_Done,
     /*  335368 */   // Label 6146: @335368
     /*  335368 */   GIM_Try, /*On fail goto*//*Label 6147*/ GIMT_Encode4(335431), // Rule ID 20335 //
     /*  335373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  335387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  335390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335412 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  335415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335429 */     GIR_RootConstrainSelectedInstOperands,
     /*  335430 */     // GIR_Coverage, 20335,
     /*  335430 */     GIR_EraseRootFromParent_Done,
     /*  335431 */   // Label 6147: @335431
     /*  335431 */   GIM_Try, /*On fail goto*//*Label 6148*/ GIMT_Encode4(335494), // Rule ID 20336 //
     /*  335436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  335450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  335453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335475 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  335478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335492 */     GIR_RootConstrainSelectedInstOperands,
     /*  335493 */     // GIR_Coverage, 20336,
     /*  335493 */     GIR_EraseRootFromParent_Done,
     /*  335494 */   // Label 6148: @335494
     /*  335494 */   GIM_Try, /*On fail goto*//*Label 6149*/ GIMT_Encode4(335557), // Rule ID 20339 //
     /*  335499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  335513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  335516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335538 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  335541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335555 */     GIR_RootConstrainSelectedInstOperands,
     /*  335556 */     // GIR_Coverage, 20339,
     /*  335556 */     GIR_EraseRootFromParent_Done,
     /*  335557 */   // Label 6149: @335557
     /*  335557 */   GIM_Try, /*On fail goto*//*Label 6150*/ GIMT_Encode4(335620), // Rule ID 20340 //
     /*  335562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  335570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  335576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  335579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335601 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  335604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  335610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335618 */     GIR_RootConstrainSelectedInstOperands,
     /*  335619 */     // GIR_Coverage, 20340,
     /*  335619 */     GIR_EraseRootFromParent_Done,
     /*  335620 */   // Label 6150: @335620
     /*  335620 */   GIM_Try, /*On fail goto*//*Label 6151*/ GIMT_Encode4(335686), // Rule ID 20343 //
     /*  335625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  335628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  335633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  335636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  335639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  335642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335664 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  335664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  335667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335684 */     GIR_RootConstrainSelectedInstOperands,
     /*  335685 */     // GIR_Coverage, 20343,
     /*  335685 */     GIR_EraseRootFromParent_Done,
     /*  335686 */   // Label 6151: @335686
     /*  335686 */   GIM_Try, /*On fail goto*//*Label 6152*/ GIMT_Encode4(335752), // Rule ID 20344 //
     /*  335691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  335694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  335699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  335702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  335705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  335708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335730 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  335730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  335733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335750 */     GIR_RootConstrainSelectedInstOperands,
     /*  335751 */     // GIR_Coverage, 20344,
     /*  335751 */     GIR_EraseRootFromParent_Done,
     /*  335752 */   // Label 6152: @335752
     /*  335752 */   GIM_Try, /*On fail goto*//*Label 6153*/ GIMT_Encode4(335818), // Rule ID 20347 //
     /*  335757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  335760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  335765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  335768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  335771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  335774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335796 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  335796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  335799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335816 */     GIR_RootConstrainSelectedInstOperands,
     /*  335817 */     // GIR_Coverage, 20347,
     /*  335817 */     GIR_EraseRootFromParent_Done,
     /*  335818 */   // Label 6153: @335818
     /*  335818 */   GIM_Try, /*On fail goto*//*Label 6154*/ GIMT_Encode4(335884), // Rule ID 20348 //
     /*  335823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  335826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  335831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  335834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  335837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  335840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335862 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  335862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  335865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335882 */     GIR_RootConstrainSelectedInstOperands,
     /*  335883 */     // GIR_Coverage, 20348,
     /*  335883 */     GIR_EraseRootFromParent_Done,
     /*  335884 */   // Label 6154: @335884
     /*  335884 */   GIM_Try, /*On fail goto*//*Label 6155*/ GIMT_Encode4(335950), // Rule ID 20351 //
     /*  335889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  335892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  335897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  335900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  335903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  335906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  335928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  335931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335948 */     GIR_RootConstrainSelectedInstOperands,
     /*  335949 */     // GIR_Coverage, 20351,
     /*  335949 */     GIR_EraseRootFromParent_Done,
     /*  335950 */   // Label 6155: @335950
     /*  335950 */   GIM_Try, /*On fail goto*//*Label 6156*/ GIMT_Encode4(336016), // Rule ID 20352 //
     /*  335955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  335958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  335963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  335966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  335969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  335972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335994 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  335994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  335997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336014 */     GIR_RootConstrainSelectedInstOperands,
     /*  336015 */     // GIR_Coverage, 20352,
     /*  336015 */     GIR_EraseRootFromParent_Done,
     /*  336016 */   // Label 6156: @336016
     /*  336016 */   GIM_Try, /*On fail goto*//*Label 6157*/ GIMT_Encode4(336082), // Rule ID 20355 //
     /*  336021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  336024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  336032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  336035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  336038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336060 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  336060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  336063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336080 */     GIR_RootConstrainSelectedInstOperands,
     /*  336081 */     // GIR_Coverage, 20355,
     /*  336081 */     GIR_EraseRootFromParent_Done,
     /*  336082 */   // Label 6157: @336082
     /*  336082 */   GIM_Try, /*On fail goto*//*Label 6158*/ GIMT_Encode4(336148), // Rule ID 20356 //
     /*  336087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  336090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  336098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  336101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  336104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336126 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  336126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  336129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336146 */     GIR_RootConstrainSelectedInstOperands,
     /*  336147 */     // GIR_Coverage, 20356,
     /*  336147 */     GIR_EraseRootFromParent_Done,
     /*  336148 */   // Label 6158: @336148
     /*  336148 */   GIM_Try, /*On fail goto*//*Label 6159*/ GIMT_Encode4(336214), // Rule ID 20359 //
     /*  336153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  336156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  336164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  336167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  336170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336192 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  336192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  336195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336212 */     GIR_RootConstrainSelectedInstOperands,
     /*  336213 */     // GIR_Coverage, 20359,
     /*  336213 */     GIR_EraseRootFromParent_Done,
     /*  336214 */   // Label 6159: @336214
     /*  336214 */   GIM_Try, /*On fail goto*//*Label 6160*/ GIMT_Encode4(336280), // Rule ID 20360 //
     /*  336219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  336222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  336230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  336233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  336236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336258 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  336258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  336261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336278 */     GIR_RootConstrainSelectedInstOperands,
     /*  336279 */     // GIR_Coverage, 20360,
     /*  336279 */     GIR_EraseRootFromParent_Done,
     /*  336280 */   // Label 6160: @336280
     /*  336280 */   GIM_Try, /*On fail goto*//*Label 6161*/ GIMT_Encode4(336346), // Rule ID 20363 //
     /*  336285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  336288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  336296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  336299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  336302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336324 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  336324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  336327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336344 */     GIR_RootConstrainSelectedInstOperands,
     /*  336345 */     // GIR_Coverage, 20363,
     /*  336345 */     GIR_EraseRootFromParent_Done,
     /*  336346 */   // Label 6161: @336346
     /*  336346 */   GIM_Try, /*On fail goto*//*Label 6162*/ GIMT_Encode4(336412), // Rule ID 20364 //
     /*  336351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  336354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  336362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  336365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  336368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336390 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  336390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  336393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336410 */     GIR_RootConstrainSelectedInstOperands,
     /*  336411 */     // GIR_Coverage, 20364,
     /*  336411 */     GIR_EraseRootFromParent_Done,
     /*  336412 */   // Label 6162: @336412
     /*  336412 */   GIM_Try, /*On fail goto*//*Label 6163*/ GIMT_Encode4(336478), // Rule ID 20367 //
     /*  336417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  336420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  336428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  336431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  336434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336456 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  336456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  336459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336476 */     GIR_RootConstrainSelectedInstOperands,
     /*  336477 */     // GIR_Coverage, 20367,
     /*  336477 */     GIR_EraseRootFromParent_Done,
     /*  336478 */   // Label 6163: @336478
     /*  336478 */   GIM_Try, /*On fail goto*//*Label 6164*/ GIMT_Encode4(336544), // Rule ID 20368 //
     /*  336483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  336486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  336494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  336497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  336500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336522 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  336522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  336525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336542 */     GIR_RootConstrainSelectedInstOperands,
     /*  336543 */     // GIR_Coverage, 20368,
     /*  336543 */     GIR_EraseRootFromParent_Done,
     /*  336544 */   // Label 6164: @336544
     /*  336544 */   GIM_Try, /*On fail goto*//*Label 6165*/ GIMT_Encode4(336610), // Rule ID 20371 //
     /*  336549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  336552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  336560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  336563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  336566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336588 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  336588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  336591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336608 */     GIR_RootConstrainSelectedInstOperands,
     /*  336609 */     // GIR_Coverage, 20371,
     /*  336609 */     GIR_EraseRootFromParent_Done,
     /*  336610 */   // Label 6165: @336610
     /*  336610 */   GIM_Try, /*On fail goto*//*Label 6166*/ GIMT_Encode4(336676), // Rule ID 20372 //
     /*  336615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  336618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  336626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  336629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  336632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336654 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  336654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  336657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336674 */     GIR_RootConstrainSelectedInstOperands,
     /*  336675 */     // GIR_Coverage, 20372,
     /*  336675 */     GIR_EraseRootFromParent_Done,
     /*  336676 */   // Label 6166: @336676
     /*  336676 */   GIM_Try, /*On fail goto*//*Label 6167*/ GIMT_Encode4(336742), // Rule ID 20375 //
     /*  336681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  336684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  336692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  336695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  336698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336720 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  336720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  336723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336740 */     GIR_RootConstrainSelectedInstOperands,
     /*  336741 */     // GIR_Coverage, 20375,
     /*  336741 */     GIR_EraseRootFromParent_Done,
     /*  336742 */   // Label 6167: @336742
     /*  336742 */   GIM_Try, /*On fail goto*//*Label 6168*/ GIMT_Encode4(336808), // Rule ID 20376 //
     /*  336747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  336750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  336758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  336761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  336764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336786 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  336786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  336789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336806 */     GIR_RootConstrainSelectedInstOperands,
     /*  336807 */     // GIR_Coverage, 20376,
     /*  336807 */     GIR_EraseRootFromParent_Done,
     /*  336808 */   // Label 6168: @336808
     /*  336808 */   GIM_Try, /*On fail goto*//*Label 6169*/ GIMT_Encode4(336874), // Rule ID 20379 //
     /*  336813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  336816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  336824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  336827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  336830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336852 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  336852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  336855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336872 */     GIR_RootConstrainSelectedInstOperands,
     /*  336873 */     // GIR_Coverage, 20379,
     /*  336873 */     GIR_EraseRootFromParent_Done,
     /*  336874 */   // Label 6169: @336874
     /*  336874 */   GIM_Try, /*On fail goto*//*Label 6170*/ GIMT_Encode4(336940), // Rule ID 20380 //
     /*  336879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  336882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  336890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  336893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  336896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336918 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  336918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  336921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336938 */     GIR_RootConstrainSelectedInstOperands,
     /*  336939 */     // GIR_Coverage, 20380,
     /*  336939 */     GIR_EraseRootFromParent_Done,
     /*  336940 */   // Label 6170: @336940
     /*  336940 */   GIM_Try, /*On fail goto*//*Label 6171*/ GIMT_Encode4(337006), // Rule ID 20383 //
     /*  336945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  336948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  336953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  336956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  336959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  336962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336984 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  336984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  336987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337004 */     GIR_RootConstrainSelectedInstOperands,
     /*  337005 */     // GIR_Coverage, 20383,
     /*  337005 */     GIR_EraseRootFromParent_Done,
     /*  337006 */   // Label 6171: @337006
     /*  337006 */   GIM_Try, /*On fail goto*//*Label 6172*/ GIMT_Encode4(337072), // Rule ID 20384 //
     /*  337011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  337014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  337022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  337025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  337028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337050 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  337050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  337053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337070 */     GIR_RootConstrainSelectedInstOperands,
     /*  337071 */     // GIR_Coverage, 20384,
     /*  337071 */     GIR_EraseRootFromParent_Done,
     /*  337072 */   // Label 6172: @337072
     /*  337072 */   GIM_Try, /*On fail goto*//*Label 6173*/ GIMT_Encode4(337138), // Rule ID 20387 //
     /*  337077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  337080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  337088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  337091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  337094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337116 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  337116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  337119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337136 */     GIR_RootConstrainSelectedInstOperands,
     /*  337137 */     // GIR_Coverage, 20387,
     /*  337137 */     GIR_EraseRootFromParent_Done,
     /*  337138 */   // Label 6173: @337138
     /*  337138 */   GIM_Try, /*On fail goto*//*Label 6174*/ GIMT_Encode4(337204), // Rule ID 20388 //
     /*  337143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  337146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  337154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  337157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  337160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337182 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  337182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  337185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337202 */     GIR_RootConstrainSelectedInstOperands,
     /*  337203 */     // GIR_Coverage, 20388,
     /*  337203 */     GIR_EraseRootFromParent_Done,
     /*  337204 */   // Label 6174: @337204
     /*  337204 */   GIM_Try, /*On fail goto*//*Label 6175*/ GIMT_Encode4(337270), // Rule ID 20391 //
     /*  337209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  337212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  337220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  337223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  337226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337248 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  337248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  337251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337268 */     GIR_RootConstrainSelectedInstOperands,
     /*  337269 */     // GIR_Coverage, 20391,
     /*  337269 */     GIR_EraseRootFromParent_Done,
     /*  337270 */   // Label 6175: @337270
     /*  337270 */   GIM_Try, /*On fail goto*//*Label 6176*/ GIMT_Encode4(337336), // Rule ID 20392 //
     /*  337275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  337278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  337286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  337289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  337292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337314 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  337314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  337317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337334 */     GIR_RootConstrainSelectedInstOperands,
     /*  337335 */     // GIR_Coverage, 20392,
     /*  337335 */     GIR_EraseRootFromParent_Done,
     /*  337336 */   // Label 6176: @337336
     /*  337336 */   GIM_Try, /*On fail goto*//*Label 6177*/ GIMT_Encode4(337402), // Rule ID 20395 //
     /*  337341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  337344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  337352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  337355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  337358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337380 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  337380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  337383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337400 */     GIR_RootConstrainSelectedInstOperands,
     /*  337401 */     // GIR_Coverage, 20395,
     /*  337401 */     GIR_EraseRootFromParent_Done,
     /*  337402 */   // Label 6177: @337402
     /*  337402 */   GIM_Try, /*On fail goto*//*Label 6178*/ GIMT_Encode4(337468), // Rule ID 20396 //
     /*  337407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  337410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  337415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  337418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  337421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  337424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  337446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  337449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337466 */     GIR_RootConstrainSelectedInstOperands,
     /*  337467 */     // GIR_Coverage, 20396,
     /*  337467 */     GIR_EraseRootFromParent_Done,
     /*  337468 */   // Label 6178: @337468
     /*  337468 */   GIM_Try, /*On fail goto*//*Label 6179*/ GIMT_Encode4(337534), // Rule ID 20721 //
     /*  337473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  337481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  337484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  337487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  337490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337512 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  337515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337532 */     GIR_RootConstrainSelectedInstOperands,
     /*  337533 */     // GIR_Coverage, 20721,
     /*  337533 */     GIR_EraseRootFromParent_Done,
     /*  337534 */   // Label 6179: @337534
     /*  337534 */   GIM_Try, /*On fail goto*//*Label 6180*/ GIMT_Encode4(337600), // Rule ID 20722 //
     /*  337539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  337547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  337550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  337553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  337556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337578 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  337581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337598 */     GIR_RootConstrainSelectedInstOperands,
     /*  337599 */     // GIR_Coverage, 20722,
     /*  337599 */     GIR_EraseRootFromParent_Done,
     /*  337600 */   // Label 6180: @337600
     /*  337600 */   GIM_Try, /*On fail goto*//*Label 6181*/ GIMT_Encode4(337666), // Rule ID 20725 //
     /*  337605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  337613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  337616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  337619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  337622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337644 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  337647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337664 */     GIR_RootConstrainSelectedInstOperands,
     /*  337665 */     // GIR_Coverage, 20725,
     /*  337665 */     GIR_EraseRootFromParent_Done,
     /*  337666 */   // Label 6181: @337666
     /*  337666 */   GIM_Try, /*On fail goto*//*Label 6182*/ GIMT_Encode4(337732), // Rule ID 20726 //
     /*  337671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  337679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  337682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  337685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  337688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337710 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  337713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337730 */     GIR_RootConstrainSelectedInstOperands,
     /*  337731 */     // GIR_Coverage, 20726,
     /*  337731 */     GIR_EraseRootFromParent_Done,
     /*  337732 */   // Label 6182: @337732
     /*  337732 */   GIM_Try, /*On fail goto*//*Label 6183*/ GIMT_Encode4(337798), // Rule ID 20729 //
     /*  337737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  337740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  337745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  337748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  337751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  337754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337776 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  337776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  337779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337796 */     GIR_RootConstrainSelectedInstOperands,
     /*  337797 */     // GIR_Coverage, 20729,
     /*  337797 */     GIR_EraseRootFromParent_Done,
     /*  337798 */   // Label 6183: @337798
     /*  337798 */   GIM_Try, /*On fail goto*//*Label 6184*/ GIMT_Encode4(337864), // Rule ID 20730 //
     /*  337803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  337806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  337811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  337814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  337817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  337820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337842 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  337842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  337845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337862 */     GIR_RootConstrainSelectedInstOperands,
     /*  337863 */     // GIR_Coverage, 20730,
     /*  337863 */     GIR_EraseRootFromParent_Done,
     /*  337864 */   // Label 6184: @337864
     /*  337864 */   GIM_Try, /*On fail goto*//*Label 6185*/ GIMT_Encode4(337930), // Rule ID 20733 //
     /*  337869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  337877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  337880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  337883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  337886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337908 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  337911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337928 */     GIR_RootConstrainSelectedInstOperands,
     /*  337929 */     // GIR_Coverage, 20733,
     /*  337929 */     GIR_EraseRootFromParent_Done,
     /*  337930 */   // Label 6185: @337930
     /*  337930 */   GIM_Try, /*On fail goto*//*Label 6186*/ GIMT_Encode4(337996), // Rule ID 20734 //
     /*  337935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  337943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  337946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  337949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  337952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337974 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  337977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337994 */     GIR_RootConstrainSelectedInstOperands,
     /*  337995 */     // GIR_Coverage, 20734,
     /*  337995 */     GIR_EraseRootFromParent_Done,
     /*  337996 */   // Label 6186: @337996
     /*  337996 */   GIM_Try, /*On fail goto*//*Label 6187*/ GIMT_Encode4(338062), // Rule ID 20737 //
     /*  338001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  338004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  338012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  338015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  338018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  338043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338060 */     GIR_RootConstrainSelectedInstOperands,
     /*  338061 */     // GIR_Coverage, 20737,
     /*  338061 */     GIR_EraseRootFromParent_Done,
     /*  338062 */   // Label 6187: @338062
     /*  338062 */   GIM_Try, /*On fail goto*//*Label 6188*/ GIMT_Encode4(338128), // Rule ID 20738 //
     /*  338067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  338070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  338078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  338081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  338084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338106 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  338109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338126 */     GIR_RootConstrainSelectedInstOperands,
     /*  338127 */     // GIR_Coverage, 20738,
     /*  338127 */     GIR_EraseRootFromParent_Done,
     /*  338128 */   // Label 6188: @338128
     /*  338128 */   GIM_Try, /*On fail goto*//*Label 6189*/ GIMT_Encode4(338194), // Rule ID 20741 //
     /*  338133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  338136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  338144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  338147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  338150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338172 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  338172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  338175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338192 */     GIR_RootConstrainSelectedInstOperands,
     /*  338193 */     // GIR_Coverage, 20741,
     /*  338193 */     GIR_EraseRootFromParent_Done,
     /*  338194 */   // Label 6189: @338194
     /*  338194 */   GIM_Try, /*On fail goto*//*Label 6190*/ GIMT_Encode4(338260), // Rule ID 20742 //
     /*  338199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  338202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  338210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  338213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  338216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338238 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  338238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  338241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338258 */     GIR_RootConstrainSelectedInstOperands,
     /*  338259 */     // GIR_Coverage, 20742,
     /*  338259 */     GIR_EraseRootFromParent_Done,
     /*  338260 */   // Label 6190: @338260
     /*  338260 */   GIM_Try, /*On fail goto*//*Label 6191*/ GIMT_Encode4(338326), // Rule ID 20745 //
     /*  338265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  338268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  338276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  338279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  338282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338304 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  338307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338324 */     GIR_RootConstrainSelectedInstOperands,
     /*  338325 */     // GIR_Coverage, 20745,
     /*  338325 */     GIR_EraseRootFromParent_Done,
     /*  338326 */   // Label 6191: @338326
     /*  338326 */   GIM_Try, /*On fail goto*//*Label 6192*/ GIMT_Encode4(338392), // Rule ID 20746 //
     /*  338331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  338334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  338342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  338345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  338348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338370 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  338373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338390 */     GIR_RootConstrainSelectedInstOperands,
     /*  338391 */     // GIR_Coverage, 20746,
     /*  338391 */     GIR_EraseRootFromParent_Done,
     /*  338392 */   // Label 6192: @338392
     /*  338392 */   GIM_Try, /*On fail goto*//*Label 6193*/ GIMT_Encode4(338458), // Rule ID 20749 //
     /*  338397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  338400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  338408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  338411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  338414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338436 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  338439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338456 */     GIR_RootConstrainSelectedInstOperands,
     /*  338457 */     // GIR_Coverage, 20749,
     /*  338457 */     GIR_EraseRootFromParent_Done,
     /*  338458 */   // Label 6193: @338458
     /*  338458 */   GIM_Try, /*On fail goto*//*Label 6194*/ GIMT_Encode4(338524), // Rule ID 20750 //
     /*  338463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  338466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  338474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  338477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  338480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338502 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  338505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338522 */     GIR_RootConstrainSelectedInstOperands,
     /*  338523 */     // GIR_Coverage, 20750,
     /*  338523 */     GIR_EraseRootFromParent_Done,
     /*  338524 */   // Label 6194: @338524
     /*  338524 */   GIM_Try, /*On fail goto*//*Label 6195*/ GIMT_Encode4(338590), // Rule ID 20753 //
     /*  338529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  338532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  338540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  338543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  338546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338568 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  338571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338588 */     GIR_RootConstrainSelectedInstOperands,
     /*  338589 */     // GIR_Coverage, 20753,
     /*  338589 */     GIR_EraseRootFromParent_Done,
     /*  338590 */   // Label 6195: @338590
     /*  338590 */   GIM_Try, /*On fail goto*//*Label 6196*/ GIMT_Encode4(338656), // Rule ID 20754 //
     /*  338595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  338598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  338606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  338609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  338612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338634 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  338637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338654 */     GIR_RootConstrainSelectedInstOperands,
     /*  338655 */     // GIR_Coverage, 20754,
     /*  338655 */     GIR_EraseRootFromParent_Done,
     /*  338656 */   // Label 6196: @338656
     /*  338656 */   GIM_Try, /*On fail goto*//*Label 6197*/ GIMT_Encode4(338722), // Rule ID 20757 //
     /*  338661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  338664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  338672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  338675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  338678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338700 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  338703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338720 */     GIR_RootConstrainSelectedInstOperands,
     /*  338721 */     // GIR_Coverage, 20757,
     /*  338721 */     GIR_EraseRootFromParent_Done,
     /*  338722 */   // Label 6197: @338722
     /*  338722 */   GIM_Try, /*On fail goto*//*Label 6198*/ GIMT_Encode4(338788), // Rule ID 20758 //
     /*  338727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  338730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  338738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  338741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  338744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338766 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  338769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338786 */     GIR_RootConstrainSelectedInstOperands,
     /*  338787 */     // GIR_Coverage, 20758,
     /*  338787 */     GIR_EraseRootFromParent_Done,
     /*  338788 */   // Label 6198: @338788
     /*  338788 */   GIM_Try, /*On fail goto*//*Label 6199*/ GIMT_Encode4(338854), // Rule ID 20761 //
     /*  338793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  338796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  338804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  338807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  338810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338832 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  338835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338852 */     GIR_RootConstrainSelectedInstOperands,
     /*  338853 */     // GIR_Coverage, 20761,
     /*  338853 */     GIR_EraseRootFromParent_Done,
     /*  338854 */   // Label 6199: @338854
     /*  338854 */   GIM_Try, /*On fail goto*//*Label 6200*/ GIMT_Encode4(338920), // Rule ID 20762 //
     /*  338859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  338862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  338870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  338873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  338876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338898 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  338901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338918 */     GIR_RootConstrainSelectedInstOperands,
     /*  338919 */     // GIR_Coverage, 20762,
     /*  338919 */     GIR_EraseRootFromParent_Done,
     /*  338920 */   // Label 6200: @338920
     /*  338920 */   GIM_Try, /*On fail goto*//*Label 6201*/ GIMT_Encode4(338986), // Rule ID 20765 //
     /*  338925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  338928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  338936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  338939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  338942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338964 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  338967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338984 */     GIR_RootConstrainSelectedInstOperands,
     /*  338985 */     // GIR_Coverage, 20765,
     /*  338985 */     GIR_EraseRootFromParent_Done,
     /*  338986 */   // Label 6201: @338986
     /*  338986 */   GIM_Try, /*On fail goto*//*Label 6202*/ GIMT_Encode4(339052), // Rule ID 20766 //
     /*  338991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  338994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  338999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  339002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  339005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  339008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339030 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  339030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  339033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339050 */     GIR_RootConstrainSelectedInstOperands,
     /*  339051 */     // GIR_Coverage, 20766,
     /*  339051 */     GIR_EraseRootFromParent_Done,
     /*  339052 */   // Label 6202: @339052
     /*  339052 */   GIM_Try, /*On fail goto*//*Label 6203*/ GIMT_Encode4(339118), // Rule ID 20769 //
     /*  339057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  339060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  339068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  339071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  339074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339096 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  339096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  339099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339116 */     GIR_RootConstrainSelectedInstOperands,
     /*  339117 */     // GIR_Coverage, 20769,
     /*  339117 */     GIR_EraseRootFromParent_Done,
     /*  339118 */   // Label 6203: @339118
     /*  339118 */   GIM_Try, /*On fail goto*//*Label 6204*/ GIMT_Encode4(339184), // Rule ID 20770 //
     /*  339123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  339126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  339134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  339137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  339140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339162 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  339162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  339165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339182 */     GIR_RootConstrainSelectedInstOperands,
     /*  339183 */     // GIR_Coverage, 20770,
     /*  339183 */     GIR_EraseRootFromParent_Done,
     /*  339184 */   // Label 6204: @339184
     /*  339184 */   GIM_Try, /*On fail goto*//*Label 6205*/ GIMT_Encode4(339250), // Rule ID 20773 //
     /*  339189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  339192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  339200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  339203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  339206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339228 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  339228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  339231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339248 */     GIR_RootConstrainSelectedInstOperands,
     /*  339249 */     // GIR_Coverage, 20773,
     /*  339249 */     GIR_EraseRootFromParent_Done,
     /*  339250 */   // Label 6205: @339250
     /*  339250 */   GIM_Try, /*On fail goto*//*Label 6206*/ GIMT_Encode4(339316), // Rule ID 20774 //
     /*  339255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  339258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  339266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  339269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  339272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339294 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  339294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  339297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339314 */     GIR_RootConstrainSelectedInstOperands,
     /*  339315 */     // GIR_Coverage, 20774,
     /*  339315 */     GIR_EraseRootFromParent_Done,
     /*  339316 */   // Label 6206: @339316
     /*  339316 */   GIM_Try, /*On fail goto*//*Label 6207*/ GIMT_Encode4(339382), // Rule ID 20777 //
     /*  339321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  339324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  339332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  339335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  339338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339360 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  339360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  339363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339380 */     GIR_RootConstrainSelectedInstOperands,
     /*  339381 */     // GIR_Coverage, 20777,
     /*  339381 */     GIR_EraseRootFromParent_Done,
     /*  339382 */   // Label 6207: @339382
     /*  339382 */   GIM_Try, /*On fail goto*//*Label 6208*/ GIMT_Encode4(339448), // Rule ID 20778 //
     /*  339387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  339390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  339395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  339398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  339401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  339404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339426 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  339426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  339429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339446 */     GIR_RootConstrainSelectedInstOperands,
     /*  339447 */     // GIR_Coverage, 20778,
     /*  339447 */     GIR_EraseRootFromParent_Done,
     /*  339448 */   // Label 6208: @339448
     /*  339448 */   GIM_Try, /*On fail goto*//*Label 6209*/ GIMT_Encode4(339514), // Rule ID 20781 //
     /*  339453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  339461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  339464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  339467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  339470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339492 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  339495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339512 */     GIR_RootConstrainSelectedInstOperands,
     /*  339513 */     // GIR_Coverage, 20781,
     /*  339513 */     GIR_EraseRootFromParent_Done,
     /*  339514 */   // Label 6209: @339514
     /*  339514 */   GIM_Try, /*On fail goto*//*Label 6210*/ GIMT_Encode4(339580), // Rule ID 20782 //
     /*  339519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  339527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  339530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  339533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  339536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339558 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  339561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339578 */     GIR_RootConstrainSelectedInstOperands,
     /*  339579 */     // GIR_Coverage, 20782,
     /*  339579 */     GIR_EraseRootFromParent_Done,
     /*  339580 */   // Label 6210: @339580
     /*  339580 */   GIM_Try, /*On fail goto*//*Label 6211*/ GIMT_Encode4(339646), // Rule ID 20785 //
     /*  339585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  339593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  339596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  339599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  339602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339624 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  339627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339644 */     GIR_RootConstrainSelectedInstOperands,
     /*  339645 */     // GIR_Coverage, 20785,
     /*  339645 */     GIR_EraseRootFromParent_Done,
     /*  339646 */   // Label 6211: @339646
     /*  339646 */   GIM_Try, /*On fail goto*//*Label 6212*/ GIMT_Encode4(339712), // Rule ID 20786 //
     /*  339651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  339659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  339662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  339665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  339668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339690 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  339693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339710 */     GIR_RootConstrainSelectedInstOperands,
     /*  339711 */     // GIR_Coverage, 20786,
     /*  339711 */     GIR_EraseRootFromParent_Done,
     /*  339712 */   // Label 6212: @339712
     /*  339712 */   GIM_Try, /*On fail goto*//*Label 6213*/ GIMT_Encode4(339778), // Rule ID 20789 //
     /*  339717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  339720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  339725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  339728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  339731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  339734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339756 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  339756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  339759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339776 */     GIR_RootConstrainSelectedInstOperands,
     /*  339777 */     // GIR_Coverage, 20789,
     /*  339777 */     GIR_EraseRootFromParent_Done,
     /*  339778 */   // Label 6213: @339778
     /*  339778 */   GIM_Try, /*On fail goto*//*Label 6214*/ GIMT_Encode4(339844), // Rule ID 20790 //
     /*  339783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  339786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  339791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  339794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  339797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  339800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  339822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  339825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339842 */     GIR_RootConstrainSelectedInstOperands,
     /*  339843 */     // GIR_Coverage, 20790,
     /*  339843 */     GIR_EraseRootFromParent_Done,
     /*  339844 */   // Label 6214: @339844
     /*  339844 */   GIM_Try, /*On fail goto*//*Label 6215*/ GIMT_Encode4(339910), // Rule ID 20793 //
     /*  339849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  339857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  339860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  339863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  339866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339888 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  339891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339908 */     GIR_RootConstrainSelectedInstOperands,
     /*  339909 */     // GIR_Coverage, 20793,
     /*  339909 */     GIR_EraseRootFromParent_Done,
     /*  339910 */   // Label 6215: @339910
     /*  339910 */   GIM_Try, /*On fail goto*//*Label 6216*/ GIMT_Encode4(339976), // Rule ID 20794 //
     /*  339915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  339923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  339926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  339929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  339932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339954 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  339957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339974 */     GIR_RootConstrainSelectedInstOperands,
     /*  339975 */     // GIR_Coverage, 20794,
     /*  339975 */     GIR_EraseRootFromParent_Done,
     /*  339976 */   // Label 6216: @339976
     /*  339976 */   GIM_Try, /*On fail goto*//*Label 6217*/ GIMT_Encode4(340042), // Rule ID 20797 //
     /*  339981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  339984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  339989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  339992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  339995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  339998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340020 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  340023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340040 */     GIR_RootConstrainSelectedInstOperands,
     /*  340041 */     // GIR_Coverage, 20797,
     /*  340041 */     GIR_EraseRootFromParent_Done,
     /*  340042 */   // Label 6217: @340042
     /*  340042 */   GIM_Try, /*On fail goto*//*Label 6218*/ GIMT_Encode4(340108), // Rule ID 20798 //
     /*  340047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  340058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  340061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  340064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340086 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  340089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340106 */     GIR_RootConstrainSelectedInstOperands,
     /*  340107 */     // GIR_Coverage, 20798,
     /*  340107 */     GIR_EraseRootFromParent_Done,
     /*  340108 */   // Label 6218: @340108
     /*  340108 */   GIM_Try, /*On fail goto*//*Label 6219*/ GIMT_Encode4(340174), // Rule ID 20801 //
     /*  340113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  340116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  340124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  340127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  340130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  340152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  340155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340172 */     GIR_RootConstrainSelectedInstOperands,
     /*  340173 */     // GIR_Coverage, 20801,
     /*  340173 */     GIR_EraseRootFromParent_Done,
     /*  340174 */   // Label 6219: @340174
     /*  340174 */   GIM_Try, /*On fail goto*//*Label 6220*/ GIMT_Encode4(340240), // Rule ID 20802 //
     /*  340179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  340182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  340190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  340193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  340196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340218 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  340218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  340221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340238 */     GIR_RootConstrainSelectedInstOperands,
     /*  340239 */     // GIR_Coverage, 20802,
     /*  340239 */     GIR_EraseRootFromParent_Done,
     /*  340240 */   // Label 6220: @340240
     /*  340240 */   GIM_Try, /*On fail goto*//*Label 6221*/ GIMT_Encode4(340306), // Rule ID 20805 //
     /*  340245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  340248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  340256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  340259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  340262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340284 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  340287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340304 */     GIR_RootConstrainSelectedInstOperands,
     /*  340305 */     // GIR_Coverage, 20805,
     /*  340305 */     GIR_EraseRootFromParent_Done,
     /*  340306 */   // Label 6221: @340306
     /*  340306 */   GIM_Try, /*On fail goto*//*Label 6222*/ GIMT_Encode4(340372), // Rule ID 20806 //
     /*  340311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  340314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  340322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  340325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  340328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340350 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  340353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340370 */     GIR_RootConstrainSelectedInstOperands,
     /*  340371 */     // GIR_Coverage, 20806,
     /*  340371 */     GIR_EraseRootFromParent_Done,
     /*  340372 */   // Label 6222: @340372
     /*  340372 */   GIM_Try, /*On fail goto*//*Label 6223*/ GIMT_Encode4(340438), // Rule ID 20809 //
     /*  340377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  340380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  340388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  340391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  340394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340416 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  340419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340436 */     GIR_RootConstrainSelectedInstOperands,
     /*  340437 */     // GIR_Coverage, 20809,
     /*  340437 */     GIR_EraseRootFromParent_Done,
     /*  340438 */   // Label 6223: @340438
     /*  340438 */   GIM_Try, /*On fail goto*//*Label 6224*/ GIMT_Encode4(340504), // Rule ID 20810 //
     /*  340443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  340446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  340454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  340457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  340460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340482 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  340485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340502 */     GIR_RootConstrainSelectedInstOperands,
     /*  340503 */     // GIR_Coverage, 20810,
     /*  340503 */     GIR_EraseRootFromParent_Done,
     /*  340504 */   // Label 6224: @340504
     /*  340504 */   GIM_Try, /*On fail goto*//*Label 6225*/ GIMT_Encode4(340570), // Rule ID 20813 //
     /*  340509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  340512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  340520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  340523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  340526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340548 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  340551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340568 */     GIR_RootConstrainSelectedInstOperands,
     /*  340569 */     // GIR_Coverage, 20813,
     /*  340569 */     GIR_EraseRootFromParent_Done,
     /*  340570 */   // Label 6225: @340570
     /*  340570 */   GIM_Try, /*On fail goto*//*Label 6226*/ GIMT_Encode4(340636), // Rule ID 20814 //
     /*  340575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  340578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  340586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  340589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  340592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340614 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  340617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340634 */     GIR_RootConstrainSelectedInstOperands,
     /*  340635 */     // GIR_Coverage, 20814,
     /*  340635 */     GIR_EraseRootFromParent_Done,
     /*  340636 */   // Label 6226: @340636
     /*  340636 */   GIM_Try, /*On fail goto*//*Label 6227*/ GIMT_Encode4(340702), // Rule ID 20817 //
     /*  340641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  340652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  340655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  340658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340680 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  340683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340700 */     GIR_RootConstrainSelectedInstOperands,
     /*  340701 */     // GIR_Coverage, 20817,
     /*  340701 */     GIR_EraseRootFromParent_Done,
     /*  340702 */   // Label 6227: @340702
     /*  340702 */   GIM_Try, /*On fail goto*//*Label 6228*/ GIMT_Encode4(340768), // Rule ID 20818 //
     /*  340707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  340718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  340721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  340724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340746 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  340749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340766 */     GIR_RootConstrainSelectedInstOperands,
     /*  340767 */     // GIR_Coverage, 20818,
     /*  340767 */     GIR_EraseRootFromParent_Done,
     /*  340768 */   // Label 6228: @340768
     /*  340768 */   GIM_Try, /*On fail goto*//*Label 6229*/ GIMT_Encode4(340834), // Rule ID 20821 //
     /*  340773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  340784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  340787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  340790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340812 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  340815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340832 */     GIR_RootConstrainSelectedInstOperands,
     /*  340833 */     // GIR_Coverage, 20821,
     /*  340833 */     GIR_EraseRootFromParent_Done,
     /*  340834 */   // Label 6229: @340834
     /*  340834 */   GIM_Try, /*On fail goto*//*Label 6230*/ GIMT_Encode4(340900), // Rule ID 20822 //
     /*  340839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  340850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  340853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  340856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  340881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340898 */     GIR_RootConstrainSelectedInstOperands,
     /*  340899 */     // GIR_Coverage, 20822,
     /*  340899 */     GIR_EraseRootFromParent_Done,
     /*  340900 */   // Label 6230: @340900
     /*  340900 */   GIM_Try, /*On fail goto*//*Label 6231*/ GIMT_Encode4(340966), // Rule ID 20825 //
     /*  340905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  340916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  340919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  340922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340944 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  340947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340964 */     GIR_RootConstrainSelectedInstOperands,
     /*  340965 */     // GIR_Coverage, 20825,
     /*  340965 */     GIR_EraseRootFromParent_Done,
     /*  340966 */   // Label 6231: @340966
     /*  340966 */   GIM_Try, /*On fail goto*//*Label 6232*/ GIMT_Encode4(341032), // Rule ID 20826 //
     /*  340971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  340979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  340982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  340985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  340988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341010 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  341013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341030 */     GIR_RootConstrainSelectedInstOperands,
     /*  341031 */     // GIR_Coverage, 20826,
     /*  341031 */     GIR_EraseRootFromParent_Done,
     /*  341032 */   // Label 6232: @341032
     /*  341032 */   GIM_Try, /*On fail goto*//*Label 6233*/ GIMT_Encode4(341098), // Rule ID 20829 //
     /*  341037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  341040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  341048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  341051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  341054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341076 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  341076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  341079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341096 */     GIR_RootConstrainSelectedInstOperands,
     /*  341097 */     // GIR_Coverage, 20829,
     /*  341097 */     GIR_EraseRootFromParent_Done,
     /*  341098 */   // Label 6233: @341098
     /*  341098 */   GIM_Try, /*On fail goto*//*Label 6234*/ GIMT_Encode4(341164), // Rule ID 20830 //
     /*  341103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  341106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  341114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  341117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  341120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341142 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  341142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  341145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341162 */     GIR_RootConstrainSelectedInstOperands,
     /*  341163 */     // GIR_Coverage, 20830,
     /*  341163 */     GIR_EraseRootFromParent_Done,
     /*  341164 */   // Label 6234: @341164
     /*  341164 */   GIM_Try, /*On fail goto*//*Label 6235*/ GIMT_Encode4(341230), // Rule ID 20833 //
     /*  341169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  341172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  341180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  341183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  341186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341208 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  341208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  341211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341228 */     GIR_RootConstrainSelectedInstOperands,
     /*  341229 */     // GIR_Coverage, 20833,
     /*  341229 */     GIR_EraseRootFromParent_Done,
     /*  341230 */   // Label 6235: @341230
     /*  341230 */   GIM_Try, /*On fail goto*//*Label 6236*/ GIMT_Encode4(341296), // Rule ID 20834 //
     /*  341235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  341238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  341246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  341249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  341252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341274 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  341274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  341277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341294 */     GIR_RootConstrainSelectedInstOperands,
     /*  341295 */     // GIR_Coverage, 20834,
     /*  341295 */     GIR_EraseRootFromParent_Done,
     /*  341296 */   // Label 6236: @341296
     /*  341296 */   GIM_Try, /*On fail goto*//*Label 6237*/ GIMT_Encode4(341362), // Rule ID 20837 //
     /*  341301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  341304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  341312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  341315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  341318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341340 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  341340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  341343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341360 */     GIR_RootConstrainSelectedInstOperands,
     /*  341361 */     // GIR_Coverage, 20837,
     /*  341361 */     GIR_EraseRootFromParent_Done,
     /*  341362 */   // Label 6237: @341362
     /*  341362 */   GIM_Try, /*On fail goto*//*Label 6238*/ GIMT_Encode4(341428), // Rule ID 20838 //
     /*  341367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  341370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  341375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  341378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  341381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  341384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341406 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  341406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  341409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341426 */     GIR_RootConstrainSelectedInstOperands,
     /*  341427 */     // GIR_Coverage, 20838,
     /*  341427 */     GIR_EraseRootFromParent_Done,
     /*  341428 */   // Label 6238: @341428
     /*  341428 */   GIM_Try, /*On fail goto*//*Label 6239*/ GIMT_Encode4(341494), // Rule ID 21105 //
     /*  341433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  341441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  341444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  341447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  341450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341472 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  341475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341492 */     GIR_RootConstrainSelectedInstOperands,
     /*  341493 */     // GIR_Coverage, 21105,
     /*  341493 */     GIR_EraseRootFromParent_Done,
     /*  341494 */   // Label 6239: @341494
     /*  341494 */   GIM_Try, /*On fail goto*//*Label 6240*/ GIMT_Encode4(341560), // Rule ID 21106 //
     /*  341499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  341507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  341510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  341513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  341516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341538 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  341541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341558 */     GIR_RootConstrainSelectedInstOperands,
     /*  341559 */     // GIR_Coverage, 21106,
     /*  341559 */     GIR_EraseRootFromParent_Done,
     /*  341560 */   // Label 6240: @341560
     /*  341560 */   GIM_Try, /*On fail goto*//*Label 6241*/ GIMT_Encode4(341626), // Rule ID 21109 //
     /*  341565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  341573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  341576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  341579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  341582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341604 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  341607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341624 */     GIR_RootConstrainSelectedInstOperands,
     /*  341625 */     // GIR_Coverage, 21109,
     /*  341625 */     GIR_EraseRootFromParent_Done,
     /*  341626 */   // Label 6241: @341626
     /*  341626 */   GIM_Try, /*On fail goto*//*Label 6242*/ GIMT_Encode4(341692), // Rule ID 21110 //
     /*  341631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  341639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  341642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  341645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  341648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341670 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  341673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341690 */     GIR_RootConstrainSelectedInstOperands,
     /*  341691 */     // GIR_Coverage, 21110,
     /*  341691 */     GIR_EraseRootFromParent_Done,
     /*  341692 */   // Label 6242: @341692
     /*  341692 */   GIM_Try, /*On fail goto*//*Label 6243*/ GIMT_Encode4(341758), // Rule ID 21113 //
     /*  341697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  341705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  341708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  341711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  341714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341736 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  341739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341756 */     GIR_RootConstrainSelectedInstOperands,
     /*  341757 */     // GIR_Coverage, 21113,
     /*  341757 */     GIR_EraseRootFromParent_Done,
     /*  341758 */   // Label 6243: @341758
     /*  341758 */   GIM_Try, /*On fail goto*//*Label 6244*/ GIMT_Encode4(341824), // Rule ID 21114 //
     /*  341763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  341771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  341774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  341777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  341780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341802 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  341805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341822 */     GIR_RootConstrainSelectedInstOperands,
     /*  341823 */     // GIR_Coverage, 21114,
     /*  341823 */     GIR_EraseRootFromParent_Done,
     /*  341824 */   // Label 6244: @341824
     /*  341824 */   GIM_Try, /*On fail goto*//*Label 6245*/ GIMT_Encode4(341890), // Rule ID 21117 //
     /*  341829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  341837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  341840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  341843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  341846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341868 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  341871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341888 */     GIR_RootConstrainSelectedInstOperands,
     /*  341889 */     // GIR_Coverage, 21117,
     /*  341889 */     GIR_EraseRootFromParent_Done,
     /*  341890 */   // Label 6245: @341890
     /*  341890 */   GIM_Try, /*On fail goto*//*Label 6246*/ GIMT_Encode4(341956), // Rule ID 21118 //
     /*  341895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  341903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  341906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  341909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  341912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341934 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  341937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341954 */     GIR_RootConstrainSelectedInstOperands,
     /*  341955 */     // GIR_Coverage, 21118,
     /*  341955 */     GIR_EraseRootFromParent_Done,
     /*  341956 */   // Label 6246: @341956
     /*  341956 */   GIM_Try, /*On fail goto*//*Label 6247*/ GIMT_Encode4(342022), // Rule ID 21121 //
     /*  341961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  341969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  341972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  341975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  341978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342000 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  342003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342020 */     GIR_RootConstrainSelectedInstOperands,
     /*  342021 */     // GIR_Coverage, 21121,
     /*  342021 */     GIR_EraseRootFromParent_Done,
     /*  342022 */   // Label 6247: @342022
     /*  342022 */   GIM_Try, /*On fail goto*//*Label 6248*/ GIMT_Encode4(342088), // Rule ID 21122 //
     /*  342027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  342038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  342041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  342044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342066 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  342069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342086 */     GIR_RootConstrainSelectedInstOperands,
     /*  342087 */     // GIR_Coverage, 21122,
     /*  342087 */     GIR_EraseRootFromParent_Done,
     /*  342088 */   // Label 6248: @342088
     /*  342088 */   GIM_Try, /*On fail goto*//*Label 6249*/ GIMT_Encode4(342154), // Rule ID 21125 //
     /*  342093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  342096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  342104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  342107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  342110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342132 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  342135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342152 */     GIR_RootConstrainSelectedInstOperands,
     /*  342153 */     // GIR_Coverage, 21125,
     /*  342153 */     GIR_EraseRootFromParent_Done,
     /*  342154 */   // Label 6249: @342154
     /*  342154 */   GIM_Try, /*On fail goto*//*Label 6250*/ GIMT_Encode4(342220), // Rule ID 21126 //
     /*  342159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  342162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  342170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  342173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  342176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342198 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  342201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342218 */     GIR_RootConstrainSelectedInstOperands,
     /*  342219 */     // GIR_Coverage, 21126,
     /*  342219 */     GIR_EraseRootFromParent_Done,
     /*  342220 */   // Label 6250: @342220
     /*  342220 */   GIM_Try, /*On fail goto*//*Label 6251*/ GIMT_Encode4(342286), // Rule ID 21129 //
     /*  342225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  342228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  342236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  342239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  342242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342264 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  342267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342284 */     GIR_RootConstrainSelectedInstOperands,
     /*  342285 */     // GIR_Coverage, 21129,
     /*  342285 */     GIR_EraseRootFromParent_Done,
     /*  342286 */   // Label 6251: @342286
     /*  342286 */   GIM_Try, /*On fail goto*//*Label 6252*/ GIMT_Encode4(342352), // Rule ID 21130 //
     /*  342291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  342294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  342302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  342305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  342308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342330 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  342333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342350 */     GIR_RootConstrainSelectedInstOperands,
     /*  342351 */     // GIR_Coverage, 21130,
     /*  342351 */     GIR_EraseRootFromParent_Done,
     /*  342352 */   // Label 6252: @342352
     /*  342352 */   GIM_Try, /*On fail goto*//*Label 6253*/ GIMT_Encode4(342418), // Rule ID 21133 //
     /*  342357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  342360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  342368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  342371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  342374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342396 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  342399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342416 */     GIR_RootConstrainSelectedInstOperands,
     /*  342417 */     // GIR_Coverage, 21133,
     /*  342417 */     GIR_EraseRootFromParent_Done,
     /*  342418 */   // Label 6253: @342418
     /*  342418 */   GIM_Try, /*On fail goto*//*Label 6254*/ GIMT_Encode4(342484), // Rule ID 21134 //
     /*  342423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  342426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  342434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  342437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  342440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342462 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  342465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342482 */     GIR_RootConstrainSelectedInstOperands,
     /*  342483 */     // GIR_Coverage, 21134,
     /*  342483 */     GIR_EraseRootFromParent_Done,
     /*  342484 */   // Label 6254: @342484
     /*  342484 */   GIM_Try, /*On fail goto*//*Label 6255*/ GIMT_Encode4(342550), // Rule ID 21137 //
     /*  342489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  342492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  342500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  342503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  342506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342528 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  342531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342548 */     GIR_RootConstrainSelectedInstOperands,
     /*  342549 */     // GIR_Coverage, 21137,
     /*  342549 */     GIR_EraseRootFromParent_Done,
     /*  342550 */   // Label 6255: @342550
     /*  342550 */   GIM_Try, /*On fail goto*//*Label 6256*/ GIMT_Encode4(342616), // Rule ID 21138 //
     /*  342555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  342558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  342563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  342566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  342569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  342572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342594 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  342597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342614 */     GIR_RootConstrainSelectedInstOperands,
     /*  342615 */     // GIR_Coverage, 21138,
     /*  342615 */     GIR_EraseRootFromParent_Done,
     /*  342616 */   // Label 6256: @342616
     /*  342616 */   GIM_Try, /*On fail goto*//*Label 6257*/ GIMT_Encode4(342682), // Rule ID 21141 //
     /*  342621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  342629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  342632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  342635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  342638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342660 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  342663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342680 */     GIR_RootConstrainSelectedInstOperands,
     /*  342681 */     // GIR_Coverage, 21141,
     /*  342681 */     GIR_EraseRootFromParent_Done,
     /*  342682 */   // Label 6257: @342682
     /*  342682 */   GIM_Try, /*On fail goto*//*Label 6258*/ GIMT_Encode4(342748), // Rule ID 21142 //
     /*  342687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  342695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  342698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  342701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  342704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342726 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  342729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342746 */     GIR_RootConstrainSelectedInstOperands,
     /*  342747 */     // GIR_Coverage, 21142,
     /*  342747 */     GIR_EraseRootFromParent_Done,
     /*  342748 */   // Label 6258: @342748
     /*  342748 */   GIM_Try, /*On fail goto*//*Label 6259*/ GIMT_Encode4(342814), // Rule ID 21145 //
     /*  342753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  342761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  342764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  342767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  342770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  342795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342812 */     GIR_RootConstrainSelectedInstOperands,
     /*  342813 */     // GIR_Coverage, 21145,
     /*  342813 */     GIR_EraseRootFromParent_Done,
     /*  342814 */   // Label 6259: @342814
     /*  342814 */   GIM_Try, /*On fail goto*//*Label 6260*/ GIMT_Encode4(342880), // Rule ID 21146 //
     /*  342819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  342827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  342830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  342833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  342836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342858 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  342861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342878 */     GIR_RootConstrainSelectedInstOperands,
     /*  342879 */     // GIR_Coverage, 21146,
     /*  342879 */     GIR_EraseRootFromParent_Done,
     /*  342880 */   // Label 6260: @342880
     /*  342880 */   GIM_Try, /*On fail goto*//*Label 6261*/ GIMT_Encode4(342946), // Rule ID 21149 //
     /*  342885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  342893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  342896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  342899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  342902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342924 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  342927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342944 */     GIR_RootConstrainSelectedInstOperands,
     /*  342945 */     // GIR_Coverage, 21149,
     /*  342945 */     GIR_EraseRootFromParent_Done,
     /*  342946 */   // Label 6261: @342946
     /*  342946 */   GIM_Try, /*On fail goto*//*Label 6262*/ GIMT_Encode4(343012), // Rule ID 21150 //
     /*  342951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  342959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  342962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  342965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  342968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342990 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  342993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343010 */     GIR_RootConstrainSelectedInstOperands,
     /*  343011 */     // GIR_Coverage, 21150,
     /*  343011 */     GIR_EraseRootFromParent_Done,
     /*  343012 */   // Label 6262: @343012
     /*  343012 */   GIM_Try, /*On fail goto*//*Label 6263*/ GIMT_Encode4(343078), // Rule ID 21153 //
     /*  343017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  343025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  343028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  343031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  343034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343056 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  343059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343076 */     GIR_RootConstrainSelectedInstOperands,
     /*  343077 */     // GIR_Coverage, 21153,
     /*  343077 */     GIR_EraseRootFromParent_Done,
     /*  343078 */   // Label 6263: @343078
     /*  343078 */   GIM_Try, /*On fail goto*//*Label 6264*/ GIMT_Encode4(343144), // Rule ID 21154 //
     /*  343083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  343091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  343094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  343097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  343100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343122 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  343125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343142 */     GIR_RootConstrainSelectedInstOperands,
     /*  343143 */     // GIR_Coverage, 21154,
     /*  343143 */     GIR_EraseRootFromParent_Done,
     /*  343144 */   // Label 6264: @343144
     /*  343144 */   GIM_Try, /*On fail goto*//*Label 6265*/ GIMT_Encode4(343210), // Rule ID 21157 //
     /*  343149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  343157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  343160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  343163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  343166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343188 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  343191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343208 */     GIR_RootConstrainSelectedInstOperands,
     /*  343209 */     // GIR_Coverage, 21157,
     /*  343209 */     GIR_EraseRootFromParent_Done,
     /*  343210 */   // Label 6265: @343210
     /*  343210 */   GIM_Try, /*On fail goto*//*Label 6266*/ GIMT_Encode4(343276), // Rule ID 21158 //
     /*  343215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  343223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  343226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  343229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  343232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343254 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  343257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343274 */     GIR_RootConstrainSelectedInstOperands,
     /*  343275 */     // GIR_Coverage, 21158,
     /*  343275 */     GIR_EraseRootFromParent_Done,
     /*  343276 */   // Label 6266: @343276
     /*  343276 */   GIM_Try, /*On fail goto*//*Label 6267*/ GIMT_Encode4(343342), // Rule ID 21161 //
     /*  343281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  343284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  343289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  343292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  343295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  343298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343320 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  343323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343340 */     GIR_RootConstrainSelectedInstOperands,
     /*  343341 */     // GIR_Coverage, 21161,
     /*  343341 */     GIR_EraseRootFromParent_Done,
     /*  343342 */   // Label 6267: @343342
     /*  343342 */   GIM_Try, /*On fail goto*//*Label 6268*/ GIMT_Encode4(343408), // Rule ID 21162 //
     /*  343347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  343350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  343355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  343358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  343361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  343364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343386 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  343389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343406 */     GIR_RootConstrainSelectedInstOperands,
     /*  343407 */     // GIR_Coverage, 21162,
     /*  343407 */     GIR_EraseRootFromParent_Done,
     /*  343408 */   // Label 6268: @343408
     /*  343408 */   GIM_Try, /*On fail goto*//*Label 6269*/ GIMT_Encode4(343474), // Rule ID 21165 //
     /*  343413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  343416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  343421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  343424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  343427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  343430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343452 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  343455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343472 */     GIR_RootConstrainSelectedInstOperands,
     /*  343473 */     // GIR_Coverage, 21165,
     /*  343473 */     GIR_EraseRootFromParent_Done,
     /*  343474 */   // Label 6269: @343474
     /*  343474 */   GIM_Try, /*On fail goto*//*Label 6270*/ GIMT_Encode4(343540), // Rule ID 21166 //
     /*  343479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  343482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  343487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  343490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  343493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  343496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343518 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  343521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343538 */     GIR_RootConstrainSelectedInstOperands,
     /*  343539 */     // GIR_Coverage, 21166,
     /*  343539 */     GIR_EraseRootFromParent_Done,
     /*  343540 */   // Label 6270: @343540
     /*  343540 */   GIM_Try, /*On fail goto*//*Label 6271*/ GIMT_Encode4(343606), // Rule ID 21169 //
     /*  343545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  343548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  343553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  343556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  343559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  343562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343584 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  343587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343604 */     GIR_RootConstrainSelectedInstOperands,
     /*  343605 */     // GIR_Coverage, 21169,
     /*  343605 */     GIR_EraseRootFromParent_Done,
     /*  343606 */   // Label 6271: @343606
     /*  343606 */   GIM_Try, /*On fail goto*//*Label 6272*/ GIMT_Encode4(343672), // Rule ID 21170 //
     /*  343611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  343614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  343619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  343622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  343625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  343628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343650 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  343653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343670 */     GIR_RootConstrainSelectedInstOperands,
     /*  343671 */     // GIR_Coverage, 21170,
     /*  343671 */     GIR_EraseRootFromParent_Done,
     /*  343672 */   // Label 6272: @343672
     /*  343672 */   GIM_Try, /*On fail goto*//*Label 6273*/ GIMT_Encode4(343738), // Rule ID 21173 //
     /*  343677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  343680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  343685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  343688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  343691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  343694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343716 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  343719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343736 */     GIR_RootConstrainSelectedInstOperands,
     /*  343737 */     // GIR_Coverage, 21173,
     /*  343737 */     GIR_EraseRootFromParent_Done,
     /*  343738 */   // Label 6273: @343738
     /*  343738 */   GIM_Try, /*On fail goto*//*Label 6274*/ GIMT_Encode4(343804), // Rule ID 21174 //
     /*  343743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  343746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  343751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  343754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  343757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  343760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343782 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  343785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343802 */     GIR_RootConstrainSelectedInstOperands,
     /*  343803 */     // GIR_Coverage, 21174,
     /*  343803 */     GIR_EraseRootFromParent_Done,
     /*  343804 */   // Label 6274: @343804
     /*  343804 */   GIM_Try, /*On fail goto*//*Label 6275*/ GIMT_Encode4(343870), // Rule ID 21177 //
     /*  343809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  343817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  343820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  343823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  343826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343848 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  343848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  343851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  343865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343868 */     GIR_RootConstrainSelectedInstOperands,
     /*  343869 */     // GIR_Coverage, 21177,
     /*  343869 */     GIR_EraseRootFromParent_Done,
     /*  343870 */   // Label 6275: @343870
     /*  343870 */   GIM_Try, /*On fail goto*//*Label 6276*/ GIMT_Encode4(343936), // Rule ID 21178 //
     /*  343875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  343883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  343886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  343889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  343892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343914 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  343914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  343917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  343931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343934 */     GIR_RootConstrainSelectedInstOperands,
     /*  343935 */     // GIR_Coverage, 21178,
     /*  343935 */     GIR_EraseRootFromParent_Done,
     /*  343936 */   // Label 6276: @343936
     /*  343936 */   GIM_Try, /*On fail goto*//*Label 6277*/ GIMT_Encode4(344002), // Rule ID 21181 //
     /*  343941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  343949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  343952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  343955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  343958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343980 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  343980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  343983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  343997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344000 */     GIR_RootConstrainSelectedInstOperands,
     /*  344001 */     // GIR_Coverage, 21181,
     /*  344001 */     GIR_EraseRootFromParent_Done,
     /*  344002 */   // Label 6277: @344002
     /*  344002 */   GIM_Try, /*On fail goto*//*Label 6278*/ GIMT_Encode4(344068), // Rule ID 21182 //
     /*  344007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  344015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  344018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  344021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  344024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344046 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  344046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  344049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344066 */     GIR_RootConstrainSelectedInstOperands,
     /*  344067 */     // GIR_Coverage, 21182,
     /*  344067 */     GIR_EraseRootFromParent_Done,
     /*  344068 */   // Label 6278: @344068
     /*  344068 */   GIM_Try, /*On fail goto*//*Label 6279*/ GIMT_Encode4(344134), // Rule ID 21185 //
     /*  344073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  344081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  344084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  344087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  344090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344112 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  344112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  344115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344132 */     GIR_RootConstrainSelectedInstOperands,
     /*  344133 */     // GIR_Coverage, 21185,
     /*  344133 */     GIR_EraseRootFromParent_Done,
     /*  344134 */   // Label 6279: @344134
     /*  344134 */   GIM_Try, /*On fail goto*//*Label 6280*/ GIMT_Encode4(344200), // Rule ID 21186 //
     /*  344139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  344147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  344150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  344153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  344156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344178 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  344178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  344181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344198 */     GIR_RootConstrainSelectedInstOperands,
     /*  344199 */     // GIR_Coverage, 21186,
     /*  344199 */     GIR_EraseRootFromParent_Done,
     /*  344200 */   // Label 6280: @344200
     /*  344200 */   GIM_Try, /*On fail goto*//*Label 6281*/ GIMT_Encode4(344266), // Rule ID 21189 //
     /*  344205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  344213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  344216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  344219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  344222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344244 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  344244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  344247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344264 */     GIR_RootConstrainSelectedInstOperands,
     /*  344265 */     // GIR_Coverage, 21189,
     /*  344265 */     GIR_EraseRootFromParent_Done,
     /*  344266 */   // Label 6281: @344266
     /*  344266 */   GIM_Try, /*On fail goto*//*Label 6282*/ GIMT_Encode4(344332), // Rule ID 21190 //
     /*  344271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  344279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  344282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  344285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  344288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344310 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  344310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  344313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344330 */     GIR_RootConstrainSelectedInstOperands,
     /*  344331 */     // GIR_Coverage, 21190,
     /*  344331 */     GIR_EraseRootFromParent_Done,
     /*  344332 */   // Label 6282: @344332
     /*  344332 */   GIM_Try, /*On fail goto*//*Label 6283*/ GIMT_Encode4(344398), // Rule ID 21193 //
     /*  344337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  344345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  344348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  344351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  344354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344376 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  344376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  344379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344396 */     GIR_RootConstrainSelectedInstOperands,
     /*  344397 */     // GIR_Coverage, 21193,
     /*  344397 */     GIR_EraseRootFromParent_Done,
     /*  344398 */   // Label 6283: @344398
     /*  344398 */   GIM_Try, /*On fail goto*//*Label 6284*/ GIMT_Encode4(344464), // Rule ID 21194 //
     /*  344403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  344411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  344414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  344417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  344420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344442 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  344442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  344445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344462 */     GIR_RootConstrainSelectedInstOperands,
     /*  344463 */     // GIR_Coverage, 21194,
     /*  344463 */     GIR_EraseRootFromParent_Done,
     /*  344464 */   // Label 6284: @344464
     /*  344464 */   GIM_Try, /*On fail goto*//*Label 6285*/ GIMT_Encode4(344530), // Rule ID 21197 //
     /*  344469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  344477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  344480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  344483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  344486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344508 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  344508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  344511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344528 */     GIR_RootConstrainSelectedInstOperands,
     /*  344529 */     // GIR_Coverage, 21197,
     /*  344529 */     GIR_EraseRootFromParent_Done,
     /*  344530 */   // Label 6285: @344530
     /*  344530 */   GIM_Try, /*On fail goto*//*Label 6286*/ GIMT_Encode4(344596), // Rule ID 21198 //
     /*  344535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  344543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  344546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  344549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  344552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344574 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  344574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  344577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344594 */     GIR_RootConstrainSelectedInstOperands,
     /*  344595 */     // GIR_Coverage, 21198,
     /*  344595 */     GIR_EraseRootFromParent_Done,
     /*  344596 */   // Label 6286: @344596
     /*  344596 */   GIM_Try, /*On fail goto*//*Label 6287*/ GIMT_Encode4(344662), // Rule ID 21201 //
     /*  344601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  344604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  344609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  344612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  344615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  344618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344640 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  344643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344660 */     GIR_RootConstrainSelectedInstOperands,
     /*  344661 */     // GIR_Coverage, 21201,
     /*  344661 */     GIR_EraseRootFromParent_Done,
     /*  344662 */   // Label 6287: @344662
     /*  344662 */   GIM_Try, /*On fail goto*//*Label 6288*/ GIMT_Encode4(344728), // Rule ID 21202 //
     /*  344667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  344670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  344675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  344678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  344681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  344684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344706 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  344709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344726 */     GIR_RootConstrainSelectedInstOperands,
     /*  344727 */     // GIR_Coverage, 21202,
     /*  344727 */     GIR_EraseRootFromParent_Done,
     /*  344728 */   // Label 6288: @344728
     /*  344728 */   GIM_Try, /*On fail goto*//*Label 6289*/ GIMT_Encode4(344794), // Rule ID 21205 //
     /*  344733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  344736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  344741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  344744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  344747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  344750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344772 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  344775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344792 */     GIR_RootConstrainSelectedInstOperands,
     /*  344793 */     // GIR_Coverage, 21205,
     /*  344793 */     GIR_EraseRootFromParent_Done,
     /*  344794 */   // Label 6289: @344794
     /*  344794 */   GIM_Try, /*On fail goto*//*Label 6290*/ GIMT_Encode4(344860), // Rule ID 21206 //
     /*  344799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  344802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  344807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  344810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  344813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  344816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344838 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  344841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344858 */     GIR_RootConstrainSelectedInstOperands,
     /*  344859 */     // GIR_Coverage, 21206,
     /*  344859 */     GIR_EraseRootFromParent_Done,
     /*  344860 */   // Label 6290: @344860
     /*  344860 */   GIM_Try, /*On fail goto*//*Label 6291*/ GIMT_Encode4(344926), // Rule ID 21209 //
     /*  344865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  344868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  344873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  344876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  344879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  344882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344904 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  344907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344924 */     GIR_RootConstrainSelectedInstOperands,
     /*  344925 */     // GIR_Coverage, 21209,
     /*  344925 */     GIR_EraseRootFromParent_Done,
     /*  344926 */   // Label 6291: @344926
     /*  344926 */   GIM_Try, /*On fail goto*//*Label 6292*/ GIMT_Encode4(344992), // Rule ID 21210 //
     /*  344931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  344934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  344939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  344942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  344945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  344948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344970 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  344973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344990 */     GIR_RootConstrainSelectedInstOperands,
     /*  344991 */     // GIR_Coverage, 21210,
     /*  344991 */     GIR_EraseRootFromParent_Done,
     /*  344992 */   // Label 6292: @344992
     /*  344992 */   GIM_Try, /*On fail goto*//*Label 6293*/ GIMT_Encode4(345058), // Rule ID 21213 //
     /*  344997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  345000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  345008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  345011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  345014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345036 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  345039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345056 */     GIR_RootConstrainSelectedInstOperands,
     /*  345057 */     // GIR_Coverage, 21213,
     /*  345057 */     GIR_EraseRootFromParent_Done,
     /*  345058 */   // Label 6293: @345058
     /*  345058 */   GIM_Try, /*On fail goto*//*Label 6294*/ GIMT_Encode4(345124), // Rule ID 21214 //
     /*  345063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  345066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  345074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  345077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  345080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345102 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  345105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345122 */     GIR_RootConstrainSelectedInstOperands,
     /*  345123 */     // GIR_Coverage, 21214,
     /*  345123 */     GIR_EraseRootFromParent_Done,
     /*  345124 */   // Label 6294: @345124
     /*  345124 */   GIM_Try, /*On fail goto*//*Label 6295*/ GIMT_Encode4(345190), // Rule ID 21217 //
     /*  345129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  345132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  345140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  345143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  345146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345168 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  345171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345188 */     GIR_RootConstrainSelectedInstOperands,
     /*  345189 */     // GIR_Coverage, 21217,
     /*  345189 */     GIR_EraseRootFromParent_Done,
     /*  345190 */   // Label 6295: @345190
     /*  345190 */   GIM_Try, /*On fail goto*//*Label 6296*/ GIMT_Encode4(345256), // Rule ID 21218 //
     /*  345195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  345198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  345206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  345209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  345212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345234 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  345237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345254 */     GIR_RootConstrainSelectedInstOperands,
     /*  345255 */     // GIR_Coverage, 21218,
     /*  345255 */     GIR_EraseRootFromParent_Done,
     /*  345256 */   // Label 6296: @345256
     /*  345256 */   GIM_Try, /*On fail goto*//*Label 6297*/ GIMT_Encode4(345322), // Rule ID 21221 //
     /*  345261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  345264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  345272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  345275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  345278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345300 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  345303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345320 */     GIR_RootConstrainSelectedInstOperands,
     /*  345321 */     // GIR_Coverage, 21221,
     /*  345321 */     GIR_EraseRootFromParent_Done,
     /*  345322 */   // Label 6297: @345322
     /*  345322 */   GIM_Try, /*On fail goto*//*Label 6298*/ GIMT_Encode4(345388), // Rule ID 21222 //
     /*  345327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  345330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  345338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  345341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  345344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345366 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  345369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345386 */     GIR_RootConstrainSelectedInstOperands,
     /*  345387 */     // GIR_Coverage, 21222,
     /*  345387 */     GIR_EraseRootFromParent_Done,
     /*  345388 */   // Label 6298: @345388
     /*  345388 */   GIM_Try, /*On fail goto*//*Label 6299*/ GIMT_Encode4(345454), // Rule ID 21225 //
     /*  345393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  345396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  345404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  345407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  345410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345432 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  345435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345452 */     GIR_RootConstrainSelectedInstOperands,
     /*  345453 */     // GIR_Coverage, 21225,
     /*  345453 */     GIR_EraseRootFromParent_Done,
     /*  345454 */   // Label 6299: @345454
     /*  345454 */   GIM_Try, /*On fail goto*//*Label 6300*/ GIMT_Encode4(345520), // Rule ID 21226 //
     /*  345459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  345462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  345470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  345473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  345476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345498 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  345501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345518 */     GIR_RootConstrainSelectedInstOperands,
     /*  345519 */     // GIR_Coverage, 21226,
     /*  345519 */     GIR_EraseRootFromParent_Done,
     /*  345520 */   // Label 6300: @345520
     /*  345520 */   GIM_Try, /*On fail goto*//*Label 6301*/ GIMT_Encode4(345586), // Rule ID 21229 //
     /*  345525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  345528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  345536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  345539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  345542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345564 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  345567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345584 */     GIR_RootConstrainSelectedInstOperands,
     /*  345585 */     // GIR_Coverage, 21229,
     /*  345585 */     GIR_EraseRootFromParent_Done,
     /*  345586 */   // Label 6301: @345586
     /*  345586 */   GIM_Try, /*On fail goto*//*Label 6302*/ GIMT_Encode4(345652), // Rule ID 21230 //
     /*  345591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  345594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  345602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  345605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  345608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345630 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  345633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345650 */     GIR_RootConstrainSelectedInstOperands,
     /*  345651 */     // GIR_Coverage, 21230,
     /*  345651 */     GIR_EraseRootFromParent_Done,
     /*  345652 */   // Label 6302: @345652
     /*  345652 */   GIM_Try, /*On fail goto*//*Label 6303*/ GIMT_Encode4(345718), // Rule ID 21233 //
     /*  345657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  345660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  345668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  345671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  345674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345696 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  345699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345716 */     GIR_RootConstrainSelectedInstOperands,
     /*  345717 */     // GIR_Coverage, 21233,
     /*  345717 */     GIR_EraseRootFromParent_Done,
     /*  345718 */   // Label 6303: @345718
     /*  345718 */   GIM_Try, /*On fail goto*//*Label 6304*/ GIMT_Encode4(345784), // Rule ID 21234 //
     /*  345723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  345726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  345731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  345734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  345737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  345740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345762 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  345765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345782 */     GIR_RootConstrainSelectedInstOperands,
     /*  345783 */     // GIR_Coverage, 21234,
     /*  345783 */     GIR_EraseRootFromParent_Done,
     /*  345784 */   // Label 6304: @345784
     /*  345784 */   GIM_Try, /*On fail goto*//*Label 6305*/ GIMT_Encode4(345850), // Rule ID 21237 //
     /*  345789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  345797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  345806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345828 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  345831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345848 */     GIR_RootConstrainSelectedInstOperands,
     /*  345849 */     // GIR_Coverage, 21237,
     /*  345849 */     GIR_EraseRootFromParent_Done,
     /*  345850 */   // Label 6305: @345850
     /*  345850 */   GIM_Try, /*On fail goto*//*Label 6306*/ GIMT_Encode4(345916), // Rule ID 21238 //
     /*  345855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  345863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  345872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345894 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  345897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345914 */     GIR_RootConstrainSelectedInstOperands,
     /*  345915 */     // GIR_Coverage, 21238,
     /*  345915 */     GIR_EraseRootFromParent_Done,
     /*  345916 */   // Label 6306: @345916
     /*  345916 */   GIM_Try, /*On fail goto*//*Label 6307*/ GIMT_Encode4(345982), // Rule ID 21241 //
     /*  345921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  345929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  345932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  345935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  345938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345960 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  345963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345980 */     GIR_RootConstrainSelectedInstOperands,
     /*  345981 */     // GIR_Coverage, 21241,
     /*  345981 */     GIR_EraseRootFromParent_Done,
     /*  345982 */   // Label 6307: @345982
     /*  345982 */   GIM_Try, /*On fail goto*//*Label 6308*/ GIMT_Encode4(346048), // Rule ID 21242 //
     /*  345987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  345995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  345998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  346001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  346004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346026 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  346029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346046 */     GIR_RootConstrainSelectedInstOperands,
     /*  346047 */     // GIR_Coverage, 21242,
     /*  346047 */     GIR_EraseRootFromParent_Done,
     /*  346048 */   // Label 6308: @346048
     /*  346048 */   GIM_Try, /*On fail goto*//*Label 6309*/ GIMT_Encode4(346114), // Rule ID 21245 //
     /*  346053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  346061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  346064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  346067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  346070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346092 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  346095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346112 */     GIR_RootConstrainSelectedInstOperands,
     /*  346113 */     // GIR_Coverage, 21245,
     /*  346113 */     GIR_EraseRootFromParent_Done,
     /*  346114 */   // Label 6309: @346114
     /*  346114 */   GIM_Try, /*On fail goto*//*Label 6310*/ GIMT_Encode4(346180), // Rule ID 21246 //
     /*  346119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  346127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  346130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  346133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  346136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346158 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  346161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346178 */     GIR_RootConstrainSelectedInstOperands,
     /*  346179 */     // GIR_Coverage, 21246,
     /*  346179 */     GIR_EraseRootFromParent_Done,
     /*  346180 */   // Label 6310: @346180
     /*  346180 */   GIM_Try, /*On fail goto*//*Label 6311*/ GIMT_Encode4(346246), // Rule ID 21249 //
     /*  346185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  346193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  346196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  346199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  346202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346224 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  346227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346244 */     GIR_RootConstrainSelectedInstOperands,
     /*  346245 */     // GIR_Coverage, 21249,
     /*  346245 */     GIR_EraseRootFromParent_Done,
     /*  346246 */   // Label 6311: @346246
     /*  346246 */   GIM_Try, /*On fail goto*//*Label 6312*/ GIMT_Encode4(346312), // Rule ID 21250 //
     /*  346251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  346259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  346262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  346265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  346268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346290 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  346293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346310 */     GIR_RootConstrainSelectedInstOperands,
     /*  346311 */     // GIR_Coverage, 21250,
     /*  346311 */     GIR_EraseRootFromParent_Done,
     /*  346312 */   // Label 6312: @346312
     /*  346312 */   GIM_Try, /*On fail goto*//*Label 6313*/ GIMT_Encode4(346378), // Rule ID 21253 //
     /*  346317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  346325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  346328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  346331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  346334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346356 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  346359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346376 */     GIR_RootConstrainSelectedInstOperands,
     /*  346377 */     // GIR_Coverage, 21253,
     /*  346377 */     GIR_EraseRootFromParent_Done,
     /*  346378 */   // Label 6313: @346378
     /*  346378 */   GIM_Try, /*On fail goto*//*Label 6314*/ GIMT_Encode4(346444), // Rule ID 21254 //
     /*  346383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  346391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  346394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  346397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  346400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346422 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  346425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346442 */     GIR_RootConstrainSelectedInstOperands,
     /*  346443 */     // GIR_Coverage, 21254,
     /*  346443 */     GIR_EraseRootFromParent_Done,
     /*  346444 */   // Label 6314: @346444
     /*  346444 */   GIM_Try, /*On fail goto*//*Label 6315*/ GIMT_Encode4(346510), // Rule ID 21257 //
     /*  346449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  346457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  346460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  346463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  346466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346488 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  346491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346508 */     GIR_RootConstrainSelectedInstOperands,
     /*  346509 */     // GIR_Coverage, 21257,
     /*  346509 */     GIR_EraseRootFromParent_Done,
     /*  346510 */   // Label 6315: @346510
     /*  346510 */   GIM_Try, /*On fail goto*//*Label 6316*/ GIMT_Encode4(346576), // Rule ID 21258 //
     /*  346515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  346523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  346526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  346529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  346532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346554 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  346557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346574 */     GIR_RootConstrainSelectedInstOperands,
     /*  346575 */     // GIR_Coverage, 21258,
     /*  346575 */     GIR_EraseRootFromParent_Done,
     /*  346576 */   // Label 6316: @346576
     /*  346576 */   GIM_Try, /*On fail goto*//*Label 6317*/ GIMT_Encode4(346642), // Rule ID 21261 //
     /*  346581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  346589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  346592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  346595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  346598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346620 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  346623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346640 */     GIR_RootConstrainSelectedInstOperands,
     /*  346641 */     // GIR_Coverage, 21261,
     /*  346641 */     GIR_EraseRootFromParent_Done,
     /*  346642 */   // Label 6317: @346642
     /*  346642 */   GIM_Try, /*On fail goto*//*Label 6318*/ GIMT_Encode4(346708), // Rule ID 21262 //
     /*  346647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  346655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  346658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  346661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  346664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346686 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  346689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346706 */     GIR_RootConstrainSelectedInstOperands,
     /*  346707 */     // GIR_Coverage, 21262,
     /*  346707 */     GIR_EraseRootFromParent_Done,
     /*  346708 */   // Label 6318: @346708
     /*  346708 */   GIM_Try, /*On fail goto*//*Label 6319*/ GIMT_Encode4(346774), // Rule ID 21265 //
     /*  346713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  346721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  346724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  346727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  346730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346752 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  346755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346772 */     GIR_RootConstrainSelectedInstOperands,
     /*  346773 */     // GIR_Coverage, 21265,
     /*  346773 */     GIR_EraseRootFromParent_Done,
     /*  346774 */   // Label 6319: @346774
     /*  346774 */   GIM_Try, /*On fail goto*//*Label 6320*/ GIMT_Encode4(346840), // Rule ID 21266 //
     /*  346779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  346787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  346790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  346793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  346796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346818 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  346821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346838 */     GIR_RootConstrainSelectedInstOperands,
     /*  346839 */     // GIR_Coverage, 21266,
     /*  346839 */     GIR_EraseRootFromParent_Done,
     /*  346840 */   // Label 6320: @346840
     /*  346840 */   GIM_Try, /*On fail goto*//*Label 6321*/ GIMT_Encode4(346906), // Rule ID 21269 //
     /*  346845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  346853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  346856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  346859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  346862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346884 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  346887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346904 */     GIR_RootConstrainSelectedInstOperands,
     /*  346905 */     // GIR_Coverage, 21269,
     /*  346905 */     GIR_EraseRootFromParent_Done,
     /*  346906 */   // Label 6321: @346906
     /*  346906 */   GIM_Try, /*On fail goto*//*Label 6322*/ GIMT_Encode4(346972), // Rule ID 21270 //
     /*  346911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  346919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  346922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  346925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  346928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346950 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  346953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346970 */     GIR_RootConstrainSelectedInstOperands,
     /*  346971 */     // GIR_Coverage, 21270,
     /*  346971 */     GIR_EraseRootFromParent_Done,
     /*  346972 */   // Label 6322: @346972
     /*  346972 */   GIM_Try, /*On fail goto*//*Label 6323*/ GIMT_Encode4(347038), // Rule ID 21273 //
     /*  346977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  346985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  346988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  346991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  346994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347016 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  347019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347036 */     GIR_RootConstrainSelectedInstOperands,
     /*  347037 */     // GIR_Coverage, 21273,
     /*  347037 */     GIR_EraseRootFromParent_Done,
     /*  347038 */   // Label 6323: @347038
     /*  347038 */   GIM_Try, /*On fail goto*//*Label 6324*/ GIMT_Encode4(347104), // Rule ID 21274 //
     /*  347043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  347046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  347054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  347057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  347060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347082 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  347085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347102 */     GIR_RootConstrainSelectedInstOperands,
     /*  347103 */     // GIR_Coverage, 21274,
     /*  347103 */     GIR_EraseRootFromParent_Done,
     /*  347104 */   // Label 6324: @347104
     /*  347104 */   GIM_Try, /*On fail goto*//*Label 6325*/ GIMT_Encode4(347170), // Rule ID 21277 //
     /*  347109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  347112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  347120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  347123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  347126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347148 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  347151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347168 */     GIR_RootConstrainSelectedInstOperands,
     /*  347169 */     // GIR_Coverage, 21277,
     /*  347169 */     GIR_EraseRootFromParent_Done,
     /*  347170 */   // Label 6325: @347170
     /*  347170 */   GIM_Try, /*On fail goto*//*Label 6326*/ GIMT_Encode4(347236), // Rule ID 21278 //
     /*  347175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  347178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  347186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  347189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  347192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347214 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  347217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347234 */     GIR_RootConstrainSelectedInstOperands,
     /*  347235 */     // GIR_Coverage, 21278,
     /*  347235 */     GIR_EraseRootFromParent_Done,
     /*  347236 */   // Label 6326: @347236
     /*  347236 */   GIM_Try, /*On fail goto*//*Label 6327*/ GIMT_Encode4(347302), // Rule ID 21281 //
     /*  347241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  347244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  347252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  347255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  347258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347280 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  347283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347300 */     GIR_RootConstrainSelectedInstOperands,
     /*  347301 */     // GIR_Coverage, 21281,
     /*  347301 */     GIR_EraseRootFromParent_Done,
     /*  347302 */   // Label 6327: @347302
     /*  347302 */   GIM_Try, /*On fail goto*//*Label 6328*/ GIMT_Encode4(347368), // Rule ID 21282 //
     /*  347307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  347310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  347318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  347321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  347324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347346 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  347349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347366 */     GIR_RootConstrainSelectedInstOperands,
     /*  347367 */     // GIR_Coverage, 21282,
     /*  347367 */     GIR_EraseRootFromParent_Done,
     /*  347368 */   // Label 6328: @347368
     /*  347368 */   GIM_Try, /*On fail goto*//*Label 6329*/ GIMT_Encode4(347434), // Rule ID 21285 //
     /*  347373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  347376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  347384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  347387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  347390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347412 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  347415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347432 */     GIR_RootConstrainSelectedInstOperands,
     /*  347433 */     // GIR_Coverage, 21285,
     /*  347433 */     GIR_EraseRootFromParent_Done,
     /*  347434 */   // Label 6329: @347434
     /*  347434 */   GIM_Try, /*On fail goto*//*Label 6330*/ GIMT_Encode4(347500), // Rule ID 21286 //
     /*  347439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  347442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  347450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  347453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  347456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347478 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  347481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347498 */     GIR_RootConstrainSelectedInstOperands,
     /*  347499 */     // GIR_Coverage, 21286,
     /*  347499 */     GIR_EraseRootFromParent_Done,
     /*  347500 */   // Label 6330: @347500
     /*  347500 */   GIM_Try, /*On fail goto*//*Label 6331*/ GIMT_Encode4(347566), // Rule ID 21289 //
     /*  347505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  347508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  347516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  347519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  347522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347544 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  347547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347564 */     GIR_RootConstrainSelectedInstOperands,
     /*  347565 */     // GIR_Coverage, 21289,
     /*  347565 */     GIR_EraseRootFromParent_Done,
     /*  347566 */   // Label 6331: @347566
     /*  347566 */   GIM_Try, /*On fail goto*//*Label 6332*/ GIMT_Encode4(347632), // Rule ID 21290 //
     /*  347571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  347574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  347582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  347585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  347588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347610 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  347613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347630 */     GIR_RootConstrainSelectedInstOperands,
     /*  347631 */     // GIR_Coverage, 21290,
     /*  347631 */     GIR_EraseRootFromParent_Done,
     /*  347632 */   // Label 6332: @347632
     /*  347632 */   GIM_Try, /*On fail goto*//*Label 6333*/ GIMT_Encode4(347698), // Rule ID 21293 //
     /*  347637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  347640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  347648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  347651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  347654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347676 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  347679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347696 */     GIR_RootConstrainSelectedInstOperands,
     /*  347697 */     // GIR_Coverage, 21293,
     /*  347697 */     GIR_EraseRootFromParent_Done,
     /*  347698 */   // Label 6333: @347698
     /*  347698 */   GIM_Try, /*On fail goto*//*Label 6334*/ GIMT_Encode4(347764), // Rule ID 21294 //
     /*  347703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  347706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  347711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  347714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  347717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  347720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347742 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  347745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347762 */     GIR_RootConstrainSelectedInstOperands,
     /*  347763 */     // GIR_Coverage, 21294,
     /*  347763 */     GIR_EraseRootFromParent_Done,
     /*  347764 */   // Label 6334: @347764
     /*  347764 */   GIM_Try, /*On fail goto*//*Label 6335*/ GIMT_Encode4(347830), // Rule ID 21297 //
     /*  347769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  347772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  347777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  347780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  347783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  347786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347808 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  347811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347828 */     GIR_RootConstrainSelectedInstOperands,
     /*  347829 */     // GIR_Coverage, 21297,
     /*  347829 */     GIR_EraseRootFromParent_Done,
     /*  347830 */   // Label 6335: @347830
     /*  347830 */   GIM_Try, /*On fail goto*//*Label 6336*/ GIMT_Encode4(347896), // Rule ID 21298 //
     /*  347835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  347838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  347843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  347846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  347849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  347852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347874 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  347877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347894 */     GIR_RootConstrainSelectedInstOperands,
     /*  347895 */     // GIR_Coverage, 21298,
     /*  347895 */     GIR_EraseRootFromParent_Done,
     /*  347896 */   // Label 6336: @347896
     /*  347896 */   GIM_Try, /*On fail goto*//*Label 6337*/ GIMT_Encode4(347962), // Rule ID 21301 //
     /*  347901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  347904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  347909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  347912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  347915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  347918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347940 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  347943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347960 */     GIR_RootConstrainSelectedInstOperands,
     /*  347961 */     // GIR_Coverage, 21301,
     /*  347961 */     GIR_EraseRootFromParent_Done,
     /*  347962 */   // Label 6337: @347962
     /*  347962 */   GIM_Try, /*On fail goto*//*Label 6338*/ GIMT_Encode4(348028), // Rule ID 21302 //
     /*  347967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  347970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  347975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  347978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  347981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  347984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348006 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  348009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348026 */     GIR_RootConstrainSelectedInstOperands,
     /*  348027 */     // GIR_Coverage, 21302,
     /*  348027 */     GIR_EraseRootFromParent_Done,
     /*  348028 */   // Label 6338: @348028
     /*  348028 */   GIM_Try, /*On fail goto*//*Label 6339*/ GIMT_Encode4(348094), // Rule ID 21305 //
     /*  348033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  348036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  348041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  348044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  348047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  348050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348072 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  348075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348092 */     GIR_RootConstrainSelectedInstOperands,
     /*  348093 */     // GIR_Coverage, 21305,
     /*  348093 */     GIR_EraseRootFromParent_Done,
     /*  348094 */   // Label 6339: @348094
     /*  348094 */   GIM_Try, /*On fail goto*//*Label 6340*/ GIMT_Encode4(348160), // Rule ID 21306 //
     /*  348099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  348102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  348107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  348110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  348113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  348116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348138 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  348141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348158 */     GIR_RootConstrainSelectedInstOperands,
     /*  348159 */     // GIR_Coverage, 21306,
     /*  348159 */     GIR_EraseRootFromParent_Done,
     /*  348160 */   // Label 6340: @348160
     /*  348160 */   GIM_Try, /*On fail goto*//*Label 6341*/ GIMT_Encode4(348226), // Rule ID 21309 //
     /*  348165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  348168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  348173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  348176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  348179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  348182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348204 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  348207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348224 */     GIR_RootConstrainSelectedInstOperands,
     /*  348225 */     // GIR_Coverage, 21309,
     /*  348225 */     GIR_EraseRootFromParent_Done,
     /*  348226 */   // Label 6341: @348226
     /*  348226 */   GIM_Try, /*On fail goto*//*Label 6342*/ GIMT_Encode4(348292), // Rule ID 21310 //
     /*  348231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  348234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  348239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  348242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  348245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  348248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348270 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  348273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348290 */     GIR_RootConstrainSelectedInstOperands,
     /*  348291 */     // GIR_Coverage, 21310,
     /*  348291 */     GIR_EraseRootFromParent_Done,
     /*  348292 */   // Label 6342: @348292
     /*  348292 */   GIM_Try, /*On fail goto*//*Label 6343*/ GIMT_Encode4(348358), // Rule ID 21313 //
     /*  348297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  348300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  348305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  348308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  348311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  348314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348336 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  348339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348356 */     GIR_RootConstrainSelectedInstOperands,
     /*  348357 */     // GIR_Coverage, 21313,
     /*  348357 */     GIR_EraseRootFromParent_Done,
     /*  348358 */   // Label 6343: @348358
     /*  348358 */   GIM_Try, /*On fail goto*//*Label 6344*/ GIMT_Encode4(348424), // Rule ID 21314 //
     /*  348363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  348366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  348371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  348374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  348377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  348380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348402 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  348405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348422 */     GIR_RootConstrainSelectedInstOperands,
     /*  348423 */     // GIR_Coverage, 21314,
     /*  348423 */     GIR_EraseRootFromParent_Done,
     /*  348424 */   // Label 6344: @348424
     /*  348424 */   GIM_Try, /*On fail goto*//*Label 6345*/ GIMT_Encode4(348490), // Rule ID 21317 //
     /*  348429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  348432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  348437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  348440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  348443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  348446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348468 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  348471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348488 */     GIR_RootConstrainSelectedInstOperands,
     /*  348489 */     // GIR_Coverage, 21317,
     /*  348489 */     GIR_EraseRootFromParent_Done,
     /*  348490 */   // Label 6345: @348490
     /*  348490 */   GIM_Try, /*On fail goto*//*Label 6346*/ GIMT_Encode4(348556), // Rule ID 21318 //
     /*  348495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  348498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  348503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  348506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  348509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  348512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348534 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  348537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348554 */     GIR_RootConstrainSelectedInstOperands,
     /*  348555 */     // GIR_Coverage, 21318,
     /*  348555 */     GIR_EraseRootFromParent_Done,
     /*  348556 */   // Label 6346: @348556
     /*  348556 */   GIM_Try, /*On fail goto*//*Label 6347*/ GIMT_Encode4(348622), // Rule ID 21321 //
     /*  348561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  348564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  348569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  348572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  348575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  348578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348600 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  348603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348620 */     GIR_RootConstrainSelectedInstOperands,
     /*  348621 */     // GIR_Coverage, 21321,
     /*  348621 */     GIR_EraseRootFromParent_Done,
     /*  348622 */   // Label 6347: @348622
     /*  348622 */   GIM_Try, /*On fail goto*//*Label 6348*/ GIMT_Encode4(348688), // Rule ID 21322 //
     /*  348627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  348630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  348635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  348638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  348641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  348644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348666 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  348669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348686 */     GIR_RootConstrainSelectedInstOperands,
     /*  348687 */     // GIR_Coverage, 21322,
     /*  348687 */     GIR_EraseRootFromParent_Done,
     /*  348688 */   // Label 6348: @348688
     /*  348688 */   GIM_Try, /*On fail goto*//*Label 6349*/ GIMT_Encode4(348754), // Rule ID 21325 //
     /*  348693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  348696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  348701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  348704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  348707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  348710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348732 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  348735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348752 */     GIR_RootConstrainSelectedInstOperands,
     /*  348753 */     // GIR_Coverage, 21325,
     /*  348753 */     GIR_EraseRootFromParent_Done,
     /*  348754 */   // Label 6349: @348754
     /*  348754 */   GIM_Try, /*On fail goto*//*Label 6350*/ GIMT_Encode4(348820), // Rule ID 21326 //
     /*  348759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  348762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  348767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  348770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  348773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  348776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348798 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  348801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348818 */     GIR_RootConstrainSelectedInstOperands,
     /*  348819 */     // GIR_Coverage, 21326,
     /*  348819 */     GIR_EraseRootFromParent_Done,
     /*  348820 */   // Label 6350: @348820
     /*  348820 */   GIM_Try, /*On fail goto*//*Label 6351*/ GIMT_Encode4(348886), // Rule ID 21329 //
     /*  348825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  348828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  348833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  348836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  348839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  348842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348864 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  348867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348884 */     GIR_RootConstrainSelectedInstOperands,
     /*  348885 */     // GIR_Coverage, 21329,
     /*  348885 */     GIR_EraseRootFromParent_Done,
     /*  348886 */   // Label 6351: @348886
     /*  348886 */   GIM_Try, /*On fail goto*//*Label 6352*/ GIMT_Encode4(348952), // Rule ID 21330 //
     /*  348891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  348894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  348899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  348902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  348905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  348908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348930 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  348933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348950 */     GIR_RootConstrainSelectedInstOperands,
     /*  348951 */     // GIR_Coverage, 21330,
     /*  348951 */     GIR_EraseRootFromParent_Done,
     /*  348952 */   // Label 6352: @348952
     /*  348952 */   GIM_Try, /*On fail goto*//*Label 6353*/ GIMT_Encode4(349018), // Rule ID 21573 //
     /*  348957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  348965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  348968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  348971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  348974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348996 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  348996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  348999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349016 */     GIR_RootConstrainSelectedInstOperands,
     /*  349017 */     // GIR_Coverage, 21573,
     /*  349017 */     GIR_EraseRootFromParent_Done,
     /*  349018 */   // Label 6353: @349018
     /*  349018 */   GIM_Try, /*On fail goto*//*Label 6354*/ GIMT_Encode4(349084), // Rule ID 21574 //
     /*  349023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  349026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  349031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  349034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  349037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  349040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349062 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  349062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  349065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349082 */     GIR_RootConstrainSelectedInstOperands,
     /*  349083 */     // GIR_Coverage, 21574,
     /*  349083 */     GIR_EraseRootFromParent_Done,
     /*  349084 */   // Label 6354: @349084
     /*  349084 */   GIM_Try, /*On fail goto*//*Label 6355*/ GIMT_Encode4(349150), // Rule ID 21577 //
     /*  349089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  349092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  349097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  349100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  349103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  349106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349128 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  349128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  349131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349148 */     GIR_RootConstrainSelectedInstOperands,
     /*  349149 */     // GIR_Coverage, 21577,
     /*  349149 */     GIR_EraseRootFromParent_Done,
     /*  349150 */   // Label 6355: @349150
     /*  349150 */   GIM_Try, /*On fail goto*//*Label 6356*/ GIMT_Encode4(349216), // Rule ID 21578 //
     /*  349155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  349158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  349163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  349166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  349169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  349172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349194 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  349194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  349197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349214 */     GIR_RootConstrainSelectedInstOperands,
     /*  349215 */     // GIR_Coverage, 21578,
     /*  349215 */     GIR_EraseRootFromParent_Done,
     /*  349216 */   // Label 6356: @349216
     /*  349216 */   GIM_Try, /*On fail goto*//*Label 6357*/ GIMT_Encode4(349282), // Rule ID 21581 //
     /*  349221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  349224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  349229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  349232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  349235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  349238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349260 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  349260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  349263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349280 */     GIR_RootConstrainSelectedInstOperands,
     /*  349281 */     // GIR_Coverage, 21581,
     /*  349281 */     GIR_EraseRootFromParent_Done,
     /*  349282 */   // Label 6357: @349282
     /*  349282 */   GIM_Try, /*On fail goto*//*Label 6358*/ GIMT_Encode4(349348), // Rule ID 21582 //
     /*  349287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  349290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  349295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  349298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  349301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  349304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349326 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  349326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  349329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349346 */     GIR_RootConstrainSelectedInstOperands,
     /*  349347 */     // GIR_Coverage, 21582,
     /*  349347 */     GIR_EraseRootFromParent_Done,
     /*  349348 */   // Label 6358: @349348
     /*  349348 */   GIM_Try, /*On fail goto*//*Label 6359*/ GIMT_Encode4(349414), // Rule ID 21585 //
     /*  349353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  349356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  349361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  349364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  349367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  349370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349392 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  349392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  349395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349412 */     GIR_RootConstrainSelectedInstOperands,
     /*  349413 */     // GIR_Coverage, 21585,
     /*  349413 */     GIR_EraseRootFromParent_Done,
     /*  349414 */   // Label 6359: @349414
     /*  349414 */   GIM_Try, /*On fail goto*//*Label 6360*/ GIMT_Encode4(349480), // Rule ID 21586 //
     /*  349419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  349422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  349427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  349430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  349433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  349436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349458 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  349458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  349461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349478 */     GIR_RootConstrainSelectedInstOperands,
     /*  349479 */     // GIR_Coverage, 21586,
     /*  349479 */     GIR_EraseRootFromParent_Done,
     /*  349480 */   // Label 6360: @349480
     /*  349480 */   GIM_Try, /*On fail goto*//*Label 6361*/ GIMT_Encode4(349546), // Rule ID 21589 //
     /*  349485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  349488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  349493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  349496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  349499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  349502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349524 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  349524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  349527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349544 */     GIR_RootConstrainSelectedInstOperands,
     /*  349545 */     // GIR_Coverage, 21589,
     /*  349545 */     GIR_EraseRootFromParent_Done,
     /*  349546 */   // Label 6361: @349546
     /*  349546 */   GIM_Try, /*On fail goto*//*Label 6362*/ GIMT_Encode4(349612), // Rule ID 21590 //
     /*  349551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  349554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  349559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  349562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  349565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  349568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349590 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  349590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  349593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349610 */     GIR_RootConstrainSelectedInstOperands,
     /*  349611 */     // GIR_Coverage, 21590,
     /*  349611 */     GIR_EraseRootFromParent_Done,
     /*  349612 */   // Label 6362: @349612
     /*  349612 */   GIM_Try, /*On fail goto*//*Label 6363*/ GIMT_Encode4(349678), // Rule ID 21593 //
     /*  349617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  349620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  349625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  349628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  349631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  349634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349656 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  349656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  349659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349676 */     GIR_RootConstrainSelectedInstOperands,
     /*  349677 */     // GIR_Coverage, 21593,
     /*  349677 */     GIR_EraseRootFromParent_Done,
     /*  349678 */   // Label 6363: @349678
     /*  349678 */   GIM_Try, /*On fail goto*//*Label 6364*/ GIMT_Encode4(349744), // Rule ID 21594 //
     /*  349683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  349686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  349691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  349694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  349697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  349700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349722 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  349722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  349725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349742 */     GIR_RootConstrainSelectedInstOperands,
     /*  349743 */     // GIR_Coverage, 21594,
     /*  349743 */     GIR_EraseRootFromParent_Done,
     /*  349744 */   // Label 6364: @349744
     /*  349744 */   GIM_Try, /*On fail goto*//*Label 6365*/ GIMT_Encode4(349810), // Rule ID 21597 //
     /*  349749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  349752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  349757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  349760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  349763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  349766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349788 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  349791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349808 */     GIR_RootConstrainSelectedInstOperands,
     /*  349809 */     // GIR_Coverage, 21597,
     /*  349809 */     GIR_EraseRootFromParent_Done,
     /*  349810 */   // Label 6365: @349810
     /*  349810 */   GIM_Try, /*On fail goto*//*Label 6366*/ GIMT_Encode4(349876), // Rule ID 21598 //
     /*  349815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  349818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  349823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  349826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  349829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  349832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349854 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  349857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349874 */     GIR_RootConstrainSelectedInstOperands,
     /*  349875 */     // GIR_Coverage, 21598,
     /*  349875 */     GIR_EraseRootFromParent_Done,
     /*  349876 */   // Label 6366: @349876
     /*  349876 */   GIM_Try, /*On fail goto*//*Label 6367*/ GIMT_Encode4(349942), // Rule ID 21601 //
     /*  349881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  349884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  349889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  349892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  349895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349920 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  349923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349940 */     GIR_RootConstrainSelectedInstOperands,
     /*  349941 */     // GIR_Coverage, 21601,
     /*  349941 */     GIR_EraseRootFromParent_Done,
     /*  349942 */   // Label 6367: @349942
     /*  349942 */   GIM_Try, /*On fail goto*//*Label 6368*/ GIMT_Encode4(350008), // Rule ID 21602 //
     /*  349947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  349950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  349955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  349958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  349961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349986 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  349989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350006 */     GIR_RootConstrainSelectedInstOperands,
     /*  350007 */     // GIR_Coverage, 21602,
     /*  350007 */     GIR_EraseRootFromParent_Done,
     /*  350008 */   // Label 6368: @350008
     /*  350008 */   GIM_Try, /*On fail goto*//*Label 6369*/ GIMT_Encode4(350074), // Rule ID 21605 //
     /*  350013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  350016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  350024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  350027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  350030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  350052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  350055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350072 */     GIR_RootConstrainSelectedInstOperands,
     /*  350073 */     // GIR_Coverage, 21605,
     /*  350073 */     GIR_EraseRootFromParent_Done,
     /*  350074 */   // Label 6369: @350074
     /*  350074 */   GIM_Try, /*On fail goto*//*Label 6370*/ GIMT_Encode4(350140), // Rule ID 21606 //
     /*  350079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  350082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  350090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  350093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  350096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350118 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  350118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  350121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350138 */     GIR_RootConstrainSelectedInstOperands,
     /*  350139 */     // GIR_Coverage, 21606,
     /*  350139 */     GIR_EraseRootFromParent_Done,
     /*  350140 */   // Label 6370: @350140
     /*  350140 */   GIM_Try, /*On fail goto*//*Label 6371*/ GIMT_Encode4(350206), // Rule ID 21609 //
     /*  350145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  350148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  350156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  350159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  350162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350184 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  350184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  350187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350204 */     GIR_RootConstrainSelectedInstOperands,
     /*  350205 */     // GIR_Coverage, 21609,
     /*  350205 */     GIR_EraseRootFromParent_Done,
     /*  350206 */   // Label 6371: @350206
     /*  350206 */   GIM_Try, /*On fail goto*//*Label 6372*/ GIMT_Encode4(350272), // Rule ID 21610 //
     /*  350211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  350214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  350222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  350225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  350228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350250 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  350250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  350253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350270 */     GIR_RootConstrainSelectedInstOperands,
     /*  350271 */     // GIR_Coverage, 21610,
     /*  350271 */     GIR_EraseRootFromParent_Done,
     /*  350272 */   // Label 6372: @350272
     /*  350272 */   GIM_Try, /*On fail goto*//*Label 6373*/ GIMT_Encode4(350338), // Rule ID 21613 //
     /*  350277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  350280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  350288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  350291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  350294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350316 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  350316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  350319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350336 */     GIR_RootConstrainSelectedInstOperands,
     /*  350337 */     // GIR_Coverage, 21613,
     /*  350337 */     GIR_EraseRootFromParent_Done,
     /*  350338 */   // Label 6373: @350338
     /*  350338 */   GIM_Try, /*On fail goto*//*Label 6374*/ GIMT_Encode4(350404), // Rule ID 21614 //
     /*  350343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  350346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  350354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  350357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  350360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350382 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  350382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  350385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350402 */     GIR_RootConstrainSelectedInstOperands,
     /*  350403 */     // GIR_Coverage, 21614,
     /*  350403 */     GIR_EraseRootFromParent_Done,
     /*  350404 */   // Label 6374: @350404
     /*  350404 */   GIM_Try, /*On fail goto*//*Label 6375*/ GIMT_Encode4(350470), // Rule ID 21617 //
     /*  350409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  350412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  350420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  350423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  350426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350448 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  350451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350468 */     GIR_RootConstrainSelectedInstOperands,
     /*  350469 */     // GIR_Coverage, 21617,
     /*  350469 */     GIR_EraseRootFromParent_Done,
     /*  350470 */   // Label 6375: @350470
     /*  350470 */   GIM_Try, /*On fail goto*//*Label 6376*/ GIMT_Encode4(350536), // Rule ID 21618 //
     /*  350475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  350478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  350486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  350489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  350492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350514 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  350517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350534 */     GIR_RootConstrainSelectedInstOperands,
     /*  350535 */     // GIR_Coverage, 21618,
     /*  350535 */     GIR_EraseRootFromParent_Done,
     /*  350536 */   // Label 6376: @350536
     /*  350536 */   GIM_Try, /*On fail goto*//*Label 6377*/ GIMT_Encode4(350602), // Rule ID 21621 //
     /*  350541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  350544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  350552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  350555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  350558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350580 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  350583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350600 */     GIR_RootConstrainSelectedInstOperands,
     /*  350601 */     // GIR_Coverage, 21621,
     /*  350601 */     GIR_EraseRootFromParent_Done,
     /*  350602 */   // Label 6377: @350602
     /*  350602 */   GIM_Try, /*On fail goto*//*Label 6378*/ GIMT_Encode4(350668), // Rule ID 21622 //
     /*  350607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  350610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  350618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  350621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  350624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350646 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  350649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350666 */     GIR_RootConstrainSelectedInstOperands,
     /*  350667 */     // GIR_Coverage, 21622,
     /*  350667 */     GIR_EraseRootFromParent_Done,
     /*  350668 */   // Label 6378: @350668
     /*  350668 */   GIM_Try, /*On fail goto*//*Label 6379*/ GIMT_Encode4(350734), // Rule ID 21625 //
     /*  350673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  350676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  350684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  350687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  350690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350712 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  350715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350732 */     GIR_RootConstrainSelectedInstOperands,
     /*  350733 */     // GIR_Coverage, 21625,
     /*  350733 */     GIR_EraseRootFromParent_Done,
     /*  350734 */   // Label 6379: @350734
     /*  350734 */   GIM_Try, /*On fail goto*//*Label 6380*/ GIMT_Encode4(350800), // Rule ID 21626 //
     /*  350739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  350742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  350750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  350753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  350756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350778 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  350781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350798 */     GIR_RootConstrainSelectedInstOperands,
     /*  350799 */     // GIR_Coverage, 21626,
     /*  350799 */     GIR_EraseRootFromParent_Done,
     /*  350800 */   // Label 6380: @350800
     /*  350800 */   GIM_Try, /*On fail goto*//*Label 6381*/ GIMT_Encode4(350866), // Rule ID 21629 //
     /*  350805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  350808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  350816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  350819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  350822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350844 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  350847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350864 */     GIR_RootConstrainSelectedInstOperands,
     /*  350865 */     // GIR_Coverage, 21629,
     /*  350865 */     GIR_EraseRootFromParent_Done,
     /*  350866 */   // Label 6381: @350866
     /*  350866 */   GIM_Try, /*On fail goto*//*Label 6382*/ GIMT_Encode4(350932), // Rule ID 21630 //
     /*  350871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  350874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  350879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  350882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  350885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  350888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350910 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  350913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350930 */     GIR_RootConstrainSelectedInstOperands,
     /*  350931 */     // GIR_Coverage, 21630,
     /*  350931 */     GIR_EraseRootFromParent_Done,
     /*  350932 */   // Label 6382: @350932
     /*  350932 */   GIM_Try, /*On fail goto*//*Label 6383*/ GIMT_Encode4(350998), // Rule ID 21633 //
     /*  350937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  350945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  350948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  350951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  350954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350976 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  350979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350996 */     GIR_RootConstrainSelectedInstOperands,
     /*  350997 */     // GIR_Coverage, 21633,
     /*  350997 */     GIR_EraseRootFromParent_Done,
     /*  350998 */   // Label 6383: @350998
     /*  350998 */   GIM_Try, /*On fail goto*//*Label 6384*/ GIMT_Encode4(351064), // Rule ID 21634 //
     /*  351003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  351011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  351014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  351017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  351020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351042 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  351045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351062 */     GIR_RootConstrainSelectedInstOperands,
     /*  351063 */     // GIR_Coverage, 21634,
     /*  351063 */     GIR_EraseRootFromParent_Done,
     /*  351064 */   // Label 6384: @351064
     /*  351064 */   GIM_Try, /*On fail goto*//*Label 6385*/ GIMT_Encode4(351130), // Rule ID 21637 //
     /*  351069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  351077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  351080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  351083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  351086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351108 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  351111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351128 */     GIR_RootConstrainSelectedInstOperands,
     /*  351129 */     // GIR_Coverage, 21637,
     /*  351129 */     GIR_EraseRootFromParent_Done,
     /*  351130 */   // Label 6385: @351130
     /*  351130 */   GIM_Try, /*On fail goto*//*Label 6386*/ GIMT_Encode4(351196), // Rule ID 21638 //
     /*  351135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  351143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  351146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  351149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  351152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351174 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  351177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351194 */     GIR_RootConstrainSelectedInstOperands,
     /*  351195 */     // GIR_Coverage, 21638,
     /*  351195 */     GIR_EraseRootFromParent_Done,
     /*  351196 */   // Label 6386: @351196
     /*  351196 */   GIM_Try, /*On fail goto*//*Label 6387*/ GIMT_Encode4(351262), // Rule ID 21641 //
     /*  351201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  351209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  351212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  351215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  351218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351240 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  351243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351260 */     GIR_RootConstrainSelectedInstOperands,
     /*  351261 */     // GIR_Coverage, 21641,
     /*  351261 */     GIR_EraseRootFromParent_Done,
     /*  351262 */   // Label 6387: @351262
     /*  351262 */   GIM_Try, /*On fail goto*//*Label 6388*/ GIMT_Encode4(351328), // Rule ID 21642 //
     /*  351267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  351275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  351278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  351281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  351284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351306 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  351309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351326 */     GIR_RootConstrainSelectedInstOperands,
     /*  351327 */     // GIR_Coverage, 21642,
     /*  351327 */     GIR_EraseRootFromParent_Done,
     /*  351328 */   // Label 6388: @351328
     /*  351328 */   GIM_Try, /*On fail goto*//*Label 6389*/ GIMT_Encode4(351394), // Rule ID 21645 //
     /*  351333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  351341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  351344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  351347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  351350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  351375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351392 */     GIR_RootConstrainSelectedInstOperands,
     /*  351393 */     // GIR_Coverage, 21645,
     /*  351393 */     GIR_EraseRootFromParent_Done,
     /*  351394 */   // Label 6389: @351394
     /*  351394 */   GIM_Try, /*On fail goto*//*Label 6390*/ GIMT_Encode4(351460), // Rule ID 21646 //
     /*  351399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  351407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  351410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  351413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  351416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351438 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  351441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351458 */     GIR_RootConstrainSelectedInstOperands,
     /*  351459 */     // GIR_Coverage, 21646,
     /*  351459 */     GIR_EraseRootFromParent_Done,
     /*  351460 */   // Label 6390: @351460
     /*  351460 */   GIM_Try, /*On fail goto*//*Label 6391*/ GIMT_Encode4(351526), // Rule ID 21649 //
     /*  351465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  351473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  351476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  351479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  351482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351504 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  351507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351524 */     GIR_RootConstrainSelectedInstOperands,
     /*  351525 */     // GIR_Coverage, 21649,
     /*  351525 */     GIR_EraseRootFromParent_Done,
     /*  351526 */   // Label 6391: @351526
     /*  351526 */   GIM_Try, /*On fail goto*//*Label 6392*/ GIMT_Encode4(351592), // Rule ID 21650 //
     /*  351531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  351539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  351542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  351545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  351548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351570 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  351573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351590 */     GIR_RootConstrainSelectedInstOperands,
     /*  351591 */     // GIR_Coverage, 21650,
     /*  351591 */     GIR_EraseRootFromParent_Done,
     /*  351592 */   // Label 6392: @351592
     /*  351592 */   GIM_Try, /*On fail goto*//*Label 6393*/ GIMT_Encode4(351658), // Rule ID 21653 //
     /*  351597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  351600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  351605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  351608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  351611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  351614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351636 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  351636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  351639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351656 */     GIR_RootConstrainSelectedInstOperands,
     /*  351657 */     // GIR_Coverage, 21653,
     /*  351657 */     GIR_EraseRootFromParent_Done,
     /*  351658 */   // Label 6393: @351658
     /*  351658 */   GIM_Try, /*On fail goto*//*Label 6394*/ GIMT_Encode4(351724), // Rule ID 21654 //
     /*  351663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  351671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  351674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  351677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  351680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351702 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  351705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351722 */     GIR_RootConstrainSelectedInstOperands,
     /*  351723 */     // GIR_Coverage, 21654,
     /*  351723 */     GIR_EraseRootFromParent_Done,
     /*  351724 */   // Label 6394: @351724
     /*  351724 */   GIM_Try, /*On fail goto*//*Label 6395*/ GIMT_Encode4(351790), // Rule ID 21657 //
     /*  351729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  351737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  351740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  351743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  351746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351768 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  351771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351788 */     GIR_RootConstrainSelectedInstOperands,
     /*  351789 */     // GIR_Coverage, 21657,
     /*  351789 */     GIR_EraseRootFromParent_Done,
     /*  351790 */   // Label 6395: @351790
     /*  351790 */   GIM_Try, /*On fail goto*//*Label 6396*/ GIMT_Encode4(351856), // Rule ID 21658 //
     /*  351795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  351803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  351806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  351809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  351812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351834 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  351837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351854 */     GIR_RootConstrainSelectedInstOperands,
     /*  351855 */     // GIR_Coverage, 21658,
     /*  351855 */     GIR_EraseRootFromParent_Done,
     /*  351856 */   // Label 6396: @351856
     /*  351856 */   GIM_Try, /*On fail goto*//*Label 6397*/ GIMT_Encode4(351922), // Rule ID 21661 //
     /*  351861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  351869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  351872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  351875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  351878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351900 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  351903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351920 */     GIR_RootConstrainSelectedInstOperands,
     /*  351921 */     // GIR_Coverage, 21661,
     /*  351921 */     GIR_EraseRootFromParent_Done,
     /*  351922 */   // Label 6397: @351922
     /*  351922 */   GIM_Try, /*On fail goto*//*Label 6398*/ GIMT_Encode4(351988), // Rule ID 21662 //
     /*  351927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  351935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  351938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  351941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  351944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351966 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  351969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351986 */     GIR_RootConstrainSelectedInstOperands,
     /*  351987 */     // GIR_Coverage, 21662,
     /*  351987 */     GIR_EraseRootFromParent_Done,
     /*  351988 */   // Label 6398: @351988
     /*  351988 */   GIM_Try, /*On fail goto*//*Label 6399*/ GIMT_Encode4(352054), // Rule ID 21665 //
     /*  351993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  352004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  352007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  352010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352032 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  352035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352052 */     GIR_RootConstrainSelectedInstOperands,
     /*  352053 */     // GIR_Coverage, 21665,
     /*  352053 */     GIR_EraseRootFromParent_Done,
     /*  352054 */   // Label 6399: @352054
     /*  352054 */   GIM_Try, /*On fail goto*//*Label 6400*/ GIMT_Encode4(352120), // Rule ID 21666 //
     /*  352059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  352062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  352070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  352073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  352076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352098 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  352101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352118 */     GIR_RootConstrainSelectedInstOperands,
     /*  352119 */     // GIR_Coverage, 21666,
     /*  352119 */     GIR_EraseRootFromParent_Done,
     /*  352120 */   // Label 6400: @352120
     /*  352120 */   GIM_Try, /*On fail goto*//*Label 6401*/ GIMT_Encode4(352186), // Rule ID 21669 //
     /*  352125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  352128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  352136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  352139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  352142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352164 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  352167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352184 */     GIR_RootConstrainSelectedInstOperands,
     /*  352185 */     // GIR_Coverage, 21669,
     /*  352185 */     GIR_EraseRootFromParent_Done,
     /*  352186 */   // Label 6401: @352186
     /*  352186 */   GIM_Try, /*On fail goto*//*Label 6402*/ GIMT_Encode4(352252), // Rule ID 21670 //
     /*  352191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  352194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  352202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  352205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  352208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352230 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  352233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352250 */     GIR_RootConstrainSelectedInstOperands,
     /*  352251 */     // GIR_Coverage, 21670,
     /*  352251 */     GIR_EraseRootFromParent_Done,
     /*  352252 */   // Label 6402: @352252
     /*  352252 */   GIM_Try, /*On fail goto*//*Label 6403*/ GIMT_Encode4(352318), // Rule ID 21673 //
     /*  352257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  352260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  352268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  352271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  352274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  352299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352316 */     GIR_RootConstrainSelectedInstOperands,
     /*  352317 */     // GIR_Coverage, 21673,
     /*  352317 */     GIR_EraseRootFromParent_Done,
     /*  352318 */   // Label 6403: @352318
     /*  352318 */   GIM_Try, /*On fail goto*//*Label 6404*/ GIMT_Encode4(352384), // Rule ID 21674 //
     /*  352323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  352326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  352334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  352337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  352340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352362 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  352365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352382 */     GIR_RootConstrainSelectedInstOperands,
     /*  352383 */     // GIR_Coverage, 21674,
     /*  352383 */     GIR_EraseRootFromParent_Done,
     /*  352384 */   // Label 6404: @352384
     /*  352384 */   GIM_Try, /*On fail goto*//*Label 6405*/ GIMT_Encode4(352450), // Rule ID 21677 //
     /*  352389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  352392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  352400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  352403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  352406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352428 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  352428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  352431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352448 */     GIR_RootConstrainSelectedInstOperands,
     /*  352449 */     // GIR_Coverage, 21677,
     /*  352449 */     GIR_EraseRootFromParent_Done,
     /*  352450 */   // Label 6405: @352450
     /*  352450 */   GIM_Try, /*On fail goto*//*Label 6406*/ GIMT_Encode4(352516), // Rule ID 21678 //
     /*  352455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  352458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  352466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  352469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  352472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352494 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  352497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352514 */     GIR_RootConstrainSelectedInstOperands,
     /*  352515 */     // GIR_Coverage, 21678,
     /*  352515 */     GIR_EraseRootFromParent_Done,
     /*  352516 */   // Label 6406: @352516
     /*  352516 */   GIM_Try, /*On fail goto*//*Label 6407*/ GIMT_Encode4(352582), // Rule ID 21681 //
     /*  352521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  352524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  352532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  352535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  352538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352560 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  352560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  352563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352580 */     GIR_RootConstrainSelectedInstOperands,
     /*  352581 */     // GIR_Coverage, 21681,
     /*  352581 */     GIR_EraseRootFromParent_Done,
     /*  352582 */   // Label 6407: @352582
     /*  352582 */   GIM_Try, /*On fail goto*//*Label 6408*/ GIMT_Encode4(352648), // Rule ID 21682 //
     /*  352587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  352590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  352598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  352601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  352604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352626 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  352629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352646 */     GIR_RootConstrainSelectedInstOperands,
     /*  352647 */     // GIR_Coverage, 21682,
     /*  352647 */     GIR_EraseRootFromParent_Done,
     /*  352648 */   // Label 6408: @352648
     /*  352648 */   GIM_Try, /*On fail goto*//*Label 6409*/ GIMT_Encode4(352714), // Rule ID 21685 //
     /*  352653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  352656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  352664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  352667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  352670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352692 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  352692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  352695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352712 */     GIR_RootConstrainSelectedInstOperands,
     /*  352713 */     // GIR_Coverage, 21685,
     /*  352713 */     GIR_EraseRootFromParent_Done,
     /*  352714 */   // Label 6409: @352714
     /*  352714 */   GIM_Try, /*On fail goto*//*Label 6410*/ GIMT_Encode4(352780), // Rule ID 21686 //
     /*  352719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  352722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  352730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  352733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  352736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352758 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  352761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352778 */     GIR_RootConstrainSelectedInstOperands,
     /*  352779 */     // GIR_Coverage, 21686,
     /*  352779 */     GIR_EraseRootFromParent_Done,
     /*  352780 */   // Label 6410: @352780
     /*  352780 */   GIM_Try, /*On fail goto*//*Label 6411*/ GIMT_Encode4(352846), // Rule ID 21689 //
     /*  352785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  352788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  352796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  352799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  352802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352824 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  352824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  352827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352844 */     GIR_RootConstrainSelectedInstOperands,
     /*  352845 */     // GIR_Coverage, 21689,
     /*  352845 */     GIR_EraseRootFromParent_Done,
     /*  352846 */   // Label 6411: @352846
     /*  352846 */   GIM_Try, /*On fail goto*//*Label 6412*/ GIMT_Encode4(352912), // Rule ID 21690 //
     /*  352851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  352854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  352859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  352862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  352865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  352868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352890 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  352893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352910 */     GIR_RootConstrainSelectedInstOperands,
     /*  352911 */     // GIR_Coverage, 21690,
     /*  352911 */     GIR_EraseRootFromParent_Done,
     /*  352912 */   // Label 6412: @352912
     /*  352912 */   GIM_Try, /*On fail goto*//*Label 6413*/ GIMT_Encode4(352978), // Rule ID 21801 //
     /*  352917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  352920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  352925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  352928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  352931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  352934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352956 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  352959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352976 */     GIR_RootConstrainSelectedInstOperands,
     /*  352977 */     // GIR_Coverage, 21801,
     /*  352977 */     GIR_EraseRootFromParent_Done,
     /*  352978 */   // Label 6413: @352978
     /*  352978 */   GIM_Try, /*On fail goto*//*Label 6414*/ GIMT_Encode4(353044), // Rule ID 21802 //
     /*  352983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  352986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  352991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  352994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  352997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  353000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353022 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  353025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353042 */     GIR_RootConstrainSelectedInstOperands,
     /*  353043 */     // GIR_Coverage, 21802,
     /*  353043 */     GIR_EraseRootFromParent_Done,
     /*  353044 */   // Label 6414: @353044
     /*  353044 */   GIM_Try, /*On fail goto*//*Label 6415*/ GIMT_Encode4(353110), // Rule ID 21805 //
     /*  353049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  353052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  353057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  353060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  353063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  353066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353088 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  353091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353108 */     GIR_RootConstrainSelectedInstOperands,
     /*  353109 */     // GIR_Coverage, 21805,
     /*  353109 */     GIR_EraseRootFromParent_Done,
     /*  353110 */   // Label 6415: @353110
     /*  353110 */   GIM_Try, /*On fail goto*//*Label 6416*/ GIMT_Encode4(353176), // Rule ID 21806 //
     /*  353115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  353118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  353123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  353126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  353129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  353132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353154 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  353157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353174 */     GIR_RootConstrainSelectedInstOperands,
     /*  353175 */     // GIR_Coverage, 21806,
     /*  353175 */     GIR_EraseRootFromParent_Done,
     /*  353176 */   // Label 6416: @353176
     /*  353176 */   GIM_Try, /*On fail goto*//*Label 6417*/ GIMT_Encode4(353242), // Rule ID 21809 //
     /*  353181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  353184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  353189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  353192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  353195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  353198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353220 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  353223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353240 */     GIR_RootConstrainSelectedInstOperands,
     /*  353241 */     // GIR_Coverage, 21809,
     /*  353241 */     GIR_EraseRootFromParent_Done,
     /*  353242 */   // Label 6417: @353242
     /*  353242 */   GIM_Try, /*On fail goto*//*Label 6418*/ GIMT_Encode4(353308), // Rule ID 21810 //
     /*  353247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  353250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  353255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  353258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  353261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  353264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353286 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  353289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353306 */     GIR_RootConstrainSelectedInstOperands,
     /*  353307 */     // GIR_Coverage, 21810,
     /*  353307 */     GIR_EraseRootFromParent_Done,
     /*  353308 */   // Label 6418: @353308
     /*  353308 */   GIM_Try, /*On fail goto*//*Label 6419*/ GIMT_Encode4(353374), // Rule ID 21813 //
     /*  353313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  353316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  353321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  353324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  353327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  353330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353352 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  353355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353372 */     GIR_RootConstrainSelectedInstOperands,
     /*  353373 */     // GIR_Coverage, 21813,
     /*  353373 */     GIR_EraseRootFromParent_Done,
     /*  353374 */   // Label 6419: @353374
     /*  353374 */   GIM_Try, /*On fail goto*//*Label 6420*/ GIMT_Encode4(353440), // Rule ID 21814 //
     /*  353379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  353382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  353387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  353390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  353393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  353396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353418 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  353421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353438 */     GIR_RootConstrainSelectedInstOperands,
     /*  353439 */     // GIR_Coverage, 21814,
     /*  353439 */     GIR_EraseRootFromParent_Done,
     /*  353440 */   // Label 6420: @353440
     /*  353440 */   GIM_Try, /*On fail goto*//*Label 6421*/ GIMT_Encode4(353506), // Rule ID 21817 //
     /*  353445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  353448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  353453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  353456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  353459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  353462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353484 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  353487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353504 */     GIR_RootConstrainSelectedInstOperands,
     /*  353505 */     // GIR_Coverage, 21817,
     /*  353505 */     GIR_EraseRootFromParent_Done,
     /*  353506 */   // Label 6421: @353506
     /*  353506 */   GIM_Try, /*On fail goto*//*Label 6422*/ GIMT_Encode4(353572), // Rule ID 21818 //
     /*  353511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  353514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  353519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  353522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  353525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  353528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353550 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  353553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353570 */     GIR_RootConstrainSelectedInstOperands,
     /*  353571 */     // GIR_Coverage, 21818,
     /*  353571 */     GIR_EraseRootFromParent_Done,
     /*  353572 */   // Label 6422: @353572
     /*  353572 */   GIM_Try, /*On fail goto*//*Label 6423*/ GIMT_Encode4(353638), // Rule ID 21821 //
     /*  353577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  353580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  353585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  353588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  353591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  353594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353616 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  353619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353636 */     GIR_RootConstrainSelectedInstOperands,
     /*  353637 */     // GIR_Coverage, 21821,
     /*  353637 */     GIR_EraseRootFromParent_Done,
     /*  353638 */   // Label 6423: @353638
     /*  353638 */   GIM_Try, /*On fail goto*//*Label 6424*/ GIMT_Encode4(353704), // Rule ID 21822 //
     /*  353643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  353646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  353651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  353654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  353657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  353660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353682 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  353685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353702 */     GIR_RootConstrainSelectedInstOperands,
     /*  353703 */     // GIR_Coverage, 21822,
     /*  353703 */     GIR_EraseRootFromParent_Done,
     /*  353704 */   // Label 6424: @353704
     /*  353704 */   GIM_Try, /*On fail goto*//*Label 6425*/ GIMT_Encode4(353770), // Rule ID 21825 //
     /*  353709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  353712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  353717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  353720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  353723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  353726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353748 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  353751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353768 */     GIR_RootConstrainSelectedInstOperands,
     /*  353769 */     // GIR_Coverage, 21825,
     /*  353769 */     GIR_EraseRootFromParent_Done,
     /*  353770 */   // Label 6425: @353770
     /*  353770 */   GIM_Try, /*On fail goto*//*Label 6426*/ GIMT_Encode4(353836), // Rule ID 21826 //
     /*  353775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  353778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  353783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  353786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  353789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  353792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353814 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  353817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353834 */     GIR_RootConstrainSelectedInstOperands,
     /*  353835 */     // GIR_Coverage, 21826,
     /*  353835 */     GIR_EraseRootFromParent_Done,
     /*  353836 */   // Label 6426: @353836
     /*  353836 */   GIM_Try, /*On fail goto*//*Label 6427*/ GIMT_Encode4(353902), // Rule ID 21829 //
     /*  353841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  353844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  353849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  353852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  353855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  353858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353880 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  353883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353900 */     GIR_RootConstrainSelectedInstOperands,
     /*  353901 */     // GIR_Coverage, 21829,
     /*  353901 */     GIR_EraseRootFromParent_Done,
     /*  353902 */   // Label 6427: @353902
     /*  353902 */   GIM_Try, /*On fail goto*//*Label 6428*/ GIMT_Encode4(353968), // Rule ID 21830 //
     /*  353907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  353910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  353915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  353918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  353921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  353924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353946 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  353949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353966 */     GIR_RootConstrainSelectedInstOperands,
     /*  353967 */     // GIR_Coverage, 21830,
     /*  353967 */     GIR_EraseRootFromParent_Done,
     /*  353968 */   // Label 6428: @353968
     /*  353968 */   GIM_Try, /*On fail goto*//*Label 6429*/ GIMT_Encode4(354034), // Rule ID 21833 //
     /*  353973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  353976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  353981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  353984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  353987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  353990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354012 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  354015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354032 */     GIR_RootConstrainSelectedInstOperands,
     /*  354033 */     // GIR_Coverage, 21833,
     /*  354033 */     GIR_EraseRootFromParent_Done,
     /*  354034 */   // Label 6429: @354034
     /*  354034 */   GIM_Try, /*On fail goto*//*Label 6430*/ GIMT_Encode4(354100), // Rule ID 21834 //
     /*  354039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  354042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  354047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  354050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  354053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  354056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354078 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  354081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354098 */     GIR_RootConstrainSelectedInstOperands,
     /*  354099 */     // GIR_Coverage, 21834,
     /*  354099 */     GIR_EraseRootFromParent_Done,
     /*  354100 */   // Label 6430: @354100
     /*  354100 */   GIM_Try, /*On fail goto*//*Label 6431*/ GIMT_Encode4(354163), // Rule ID 23005 //
     /*  354105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  354113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  354116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  354119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  354122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354144 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  354144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  354147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354161 */     GIR_RootConstrainSelectedInstOperands,
     /*  354162 */     // GIR_Coverage, 23005,
     /*  354162 */     GIR_EraseRootFromParent_Done,
     /*  354163 */   // Label 6431: @354163
     /*  354163 */   GIM_Try, /*On fail goto*//*Label 6432*/ GIMT_Encode4(354226), // Rule ID 23006 //
     /*  354168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  354176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  354179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  354182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  354185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354207 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  354207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  354210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354224 */     GIR_RootConstrainSelectedInstOperands,
     /*  354225 */     // GIR_Coverage, 23006,
     /*  354225 */     GIR_EraseRootFromParent_Done,
     /*  354226 */   // Label 6432: @354226
     /*  354226 */   GIM_Try, /*On fail goto*//*Label 6433*/ GIMT_Encode4(354289), // Rule ID 23007 //
     /*  354231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  354239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  354242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  354245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  354248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354270 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11311:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  354270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  354273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354287 */     GIR_RootConstrainSelectedInstOperands,
     /*  354288 */     // GIR_Coverage, 23007,
     /*  354288 */     GIR_EraseRootFromParent_Done,
     /*  354289 */   // Label 6433: @354289
     /*  354289 */   GIM_Try, /*On fail goto*//*Label 6434*/ GIMT_Encode4(354352), // Rule ID 23008 //
     /*  354294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  354302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  354305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  354308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  354311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354333 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11311:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  354333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  354336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354350 */     GIR_RootConstrainSelectedInstOperands,
     /*  354351 */     // GIR_Coverage, 23008,
     /*  354351 */     GIR_EraseRootFromParent_Done,
     /*  354352 */   // Label 6434: @354352
     /*  354352 */   GIM_Try, /*On fail goto*//*Label 6435*/ GIMT_Encode4(354415), // Rule ID 23009 //
     /*  354357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  354365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  354368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  354371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  354374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354396 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11311:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  354396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  354399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354413 */     GIR_RootConstrainSelectedInstOperands,
     /*  354414 */     // GIR_Coverage, 23009,
     /*  354414 */     GIR_EraseRootFromParent_Done,
     /*  354415 */   // Label 6435: @354415
     /*  354415 */   GIM_Try, /*On fail goto*//*Label 6436*/ GIMT_Encode4(354478), // Rule ID 23010 //
     /*  354420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  354428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  354431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  354434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  354437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354459 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11311:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  354459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  354462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354476 */     GIR_RootConstrainSelectedInstOperands,
     /*  354477 */     // GIR_Coverage, 23010,
     /*  354477 */     GIR_EraseRootFromParent_Done,
     /*  354478 */   // Label 6436: @354478
     /*  354478 */   GIM_Try, /*On fail goto*//*Label 6437*/ GIMT_Encode4(354541), // Rule ID 23011 //
     /*  354483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  354491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  354494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  354497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  354500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354522 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11311:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  354522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  354525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354539 */     GIR_RootConstrainSelectedInstOperands,
     /*  354540 */     // GIR_Coverage, 23011,
     /*  354540 */     GIR_EraseRootFromParent_Done,
     /*  354541 */   // Label 6437: @354541
     /*  354541 */   GIM_Try, /*On fail goto*//*Label 6438*/ GIMT_Encode4(354604), // Rule ID 23012 //
     /*  354546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  354554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  354557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  354560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  354563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354585 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11311:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  354585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  354588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354602 */     GIR_RootConstrainSelectedInstOperands,
     /*  354603 */     // GIR_Coverage, 23012,
     /*  354603 */     GIR_EraseRootFromParent_Done,
     /*  354604 */   // Label 6438: @354604
     /*  354604 */   GIM_Try, /*On fail goto*//*Label 6439*/ GIMT_Encode4(354667), // Rule ID 23013 //
     /*  354609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  354617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  354620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  354623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  354626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354648 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11311:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  354648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  354651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354665 */     GIR_RootConstrainSelectedInstOperands,
     /*  354666 */     // GIR_Coverage, 23013,
     /*  354666 */     GIR_EraseRootFromParent_Done,
     /*  354667 */   // Label 6439: @354667
     /*  354667 */   GIM_Try, /*On fail goto*//*Label 6440*/ GIMT_Encode4(354730), // Rule ID 23014 //
     /*  354672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  354680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  354683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  354686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  354689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354711 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11311:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  354711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  354714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354728 */     GIR_RootConstrainSelectedInstOperands,
     /*  354729 */     // GIR_Coverage, 23014,
     /*  354729 */     GIR_EraseRootFromParent_Done,
     /*  354730 */   // Label 6440: @354730
     /*  354730 */   GIM_Try, /*On fail goto*//*Label 6441*/ GIMT_Encode4(354793), // Rule ID 23015 //
     /*  354735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  354743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  354746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  354749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  354752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354774 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11311:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  354774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  354777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354791 */     GIR_RootConstrainSelectedInstOperands,
     /*  354792 */     // GIR_Coverage, 23015,
     /*  354792 */     GIR_EraseRootFromParent_Done,
     /*  354793 */   // Label 6441: @354793
     /*  354793 */   GIM_Try, /*On fail goto*//*Label 6442*/ GIMT_Encode4(354856), // Rule ID 23016 //
     /*  354798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  354806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  354809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  354812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  354815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354837 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11311:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  354837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  354840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354854 */     GIR_RootConstrainSelectedInstOperands,
     /*  354855 */     // GIR_Coverage, 23016,
     /*  354855 */     GIR_EraseRootFromParent_Done,
     /*  354856 */   // Label 6442: @354856
     /*  354856 */   GIM_Try, /*On fail goto*//*Label 6443*/ GIMT_Encode4(354919), // Rule ID 23017 //
     /*  354861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  354869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  354872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  354875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  354878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354900 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  354900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  354903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354917 */     GIR_RootConstrainSelectedInstOperands,
     /*  354918 */     // GIR_Coverage, 23017,
     /*  354918 */     GIR_EraseRootFromParent_Done,
     /*  354919 */   // Label 6443: @354919
     /*  354919 */   GIM_Try, /*On fail goto*//*Label 6444*/ GIMT_Encode4(354982), // Rule ID 23018 //
     /*  354924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  354932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  354935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  354938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  354941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354963 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  354963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  354966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354980 */     GIR_RootConstrainSelectedInstOperands,
     /*  354981 */     // GIR_Coverage, 23018,
     /*  354981 */     GIR_EraseRootFromParent_Done,
     /*  354982 */   // Label 6444: @354982
     /*  354982 */   GIM_Try, /*On fail goto*//*Label 6445*/ GIMT_Encode4(355045), // Rule ID 23019 //
     /*  354987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  354995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  354998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  355001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  355004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355026 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  355029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355043 */     GIR_RootConstrainSelectedInstOperands,
     /*  355044 */     // GIR_Coverage, 23019,
     /*  355044 */     GIR_EraseRootFromParent_Done,
     /*  355045 */   // Label 6445: @355045
     /*  355045 */   GIM_Try, /*On fail goto*//*Label 6446*/ GIMT_Encode4(355108), // Rule ID 23020 //
     /*  355050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  355058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  355061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  355064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  355067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355089 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  355092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355106 */     GIR_RootConstrainSelectedInstOperands,
     /*  355107 */     // GIR_Coverage, 23020,
     /*  355107 */     GIR_EraseRootFromParent_Done,
     /*  355108 */   // Label 6446: @355108
     /*  355108 */   GIM_Try, /*On fail goto*//*Label 6447*/ GIMT_Encode4(355171), // Rule ID 23021 //
     /*  355113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  355121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  355124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  355127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  355130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355152 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  355155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355169 */     GIR_RootConstrainSelectedInstOperands,
     /*  355170 */     // GIR_Coverage, 23021,
     /*  355170 */     GIR_EraseRootFromParent_Done,
     /*  355171 */   // Label 6447: @355171
     /*  355171 */   GIM_Try, /*On fail goto*//*Label 6448*/ GIMT_Encode4(355234), // Rule ID 23022 //
     /*  355176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  355184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  355187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  355190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  355193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355215 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  355218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355232 */     GIR_RootConstrainSelectedInstOperands,
     /*  355233 */     // GIR_Coverage, 23022,
     /*  355233 */     GIR_EraseRootFromParent_Done,
     /*  355234 */   // Label 6448: @355234
     /*  355234 */   GIM_Try, /*On fail goto*//*Label 6449*/ GIMT_Encode4(355297), // Rule ID 23023 //
     /*  355239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  355247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  355250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  355253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  355256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355278 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  355281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355295 */     GIR_RootConstrainSelectedInstOperands,
     /*  355296 */     // GIR_Coverage, 23023,
     /*  355296 */     GIR_EraseRootFromParent_Done,
     /*  355297 */   // Label 6449: @355297
     /*  355297 */   GIM_Try, /*On fail goto*//*Label 6450*/ GIMT_Encode4(355360), // Rule ID 23024 //
     /*  355302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  355310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  355313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  355316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  355319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355341 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  355344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355358 */     GIR_RootConstrainSelectedInstOperands,
     /*  355359 */     // GIR_Coverage, 23024,
     /*  355359 */     GIR_EraseRootFromParent_Done,
     /*  355360 */   // Label 6450: @355360
     /*  355360 */   GIM_Try, /*On fail goto*//*Label 6451*/ GIMT_Encode4(355423), // Rule ID 23025 //
     /*  355365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  355373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  355376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  355379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  355382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355404 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  355407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355421 */     GIR_RootConstrainSelectedInstOperands,
     /*  355422 */     // GIR_Coverage, 23025,
     /*  355422 */     GIR_EraseRootFromParent_Done,
     /*  355423 */   // Label 6451: @355423
     /*  355423 */   GIM_Try, /*On fail goto*//*Label 6452*/ GIMT_Encode4(355486), // Rule ID 23026 //
     /*  355428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  355436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  355439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  355442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  355445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355467 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  355470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355484 */     GIR_RootConstrainSelectedInstOperands,
     /*  355485 */     // GIR_Coverage, 23026,
     /*  355485 */     GIR_EraseRootFromParent_Done,
     /*  355486 */   // Label 6452: @355486
     /*  355486 */   GIM_Try, /*On fail goto*//*Label 6453*/ GIMT_Encode4(355549), // Rule ID 23027 //
     /*  355491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  355499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  355502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  355505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  355508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355530 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  355533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355547 */     GIR_RootConstrainSelectedInstOperands,
     /*  355548 */     // GIR_Coverage, 23027,
     /*  355548 */     GIR_EraseRootFromParent_Done,
     /*  355549 */   // Label 6453: @355549
     /*  355549 */   GIM_Try, /*On fail goto*//*Label 6454*/ GIMT_Encode4(355612), // Rule ID 23028 //
     /*  355554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  355562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  355565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  355568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  355571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355593 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  355596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355610 */     GIR_RootConstrainSelectedInstOperands,
     /*  355611 */     // GIR_Coverage, 23028,
     /*  355611 */     GIR_EraseRootFromParent_Done,
     /*  355612 */   // Label 6454: @355612
     /*  355612 */   GIM_Try, /*On fail goto*//*Label 6455*/ GIMT_Encode4(355675), // Rule ID 23029 //
     /*  355617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  355625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  355628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  355631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  355634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355656 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  355659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355673 */     GIR_RootConstrainSelectedInstOperands,
     /*  355674 */     // GIR_Coverage, 23029,
     /*  355674 */     GIR_EraseRootFromParent_Done,
     /*  355675 */   // Label 6455: @355675
     /*  355675 */   GIM_Try, /*On fail goto*//*Label 6456*/ GIMT_Encode4(355738), // Rule ID 23030 //
     /*  355680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  355688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  355691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  355694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  355697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355719 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  355722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355736 */     GIR_RootConstrainSelectedInstOperands,
     /*  355737 */     // GIR_Coverage, 23030,
     /*  355737 */     GIR_EraseRootFromParent_Done,
     /*  355738 */   // Label 6456: @355738
     /*  355738 */   GIM_Try, /*On fail goto*//*Label 6457*/ GIMT_Encode4(355801), // Rule ID 23031 //
     /*  355743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  355751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  355754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  355757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  355760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355782 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  355785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355799 */     GIR_RootConstrainSelectedInstOperands,
     /*  355800 */     // GIR_Coverage, 23031,
     /*  355800 */     GIR_EraseRootFromParent_Done,
     /*  355801 */   // Label 6457: @355801
     /*  355801 */   GIM_Try, /*On fail goto*//*Label 6458*/ GIMT_Encode4(355864), // Rule ID 23032 //
     /*  355806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  355814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  355817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  355820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  355823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355845 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  355848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355862 */     GIR_RootConstrainSelectedInstOperands,
     /*  355863 */     // GIR_Coverage, 23032,
     /*  355863 */     GIR_EraseRootFromParent_Done,
     /*  355864 */   // Label 6458: @355864
     /*  355864 */   GIM_Try, /*On fail goto*//*Label 6459*/ GIMT_Encode4(355927), // Rule ID 23033 //
     /*  355869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  355877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  355880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  355883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  355886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355908 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  355911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355925 */     GIR_RootConstrainSelectedInstOperands,
     /*  355926 */     // GIR_Coverage, 23033,
     /*  355926 */     GIR_EraseRootFromParent_Done,
     /*  355927 */   // Label 6459: @355927
     /*  355927 */   GIM_Try, /*On fail goto*//*Label 6460*/ GIMT_Encode4(355990), // Rule ID 23034 //
     /*  355932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  355940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  355943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  355946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  355949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355971 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  355974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355988 */     GIR_RootConstrainSelectedInstOperands,
     /*  355989 */     // GIR_Coverage, 23034,
     /*  355989 */     GIR_EraseRootFromParent_Done,
     /*  355990 */   // Label 6460: @355990
     /*  355990 */   GIM_Try, /*On fail goto*//*Label 6461*/ GIMT_Encode4(356053), // Rule ID 23035 //
     /*  355995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  356003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  356006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  356009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  356012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356034 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  356037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356051 */     GIR_RootConstrainSelectedInstOperands,
     /*  356052 */     // GIR_Coverage, 23035,
     /*  356052 */     GIR_EraseRootFromParent_Done,
     /*  356053 */   // Label 6461: @356053
     /*  356053 */   GIM_Try, /*On fail goto*//*Label 6462*/ GIMT_Encode4(356116), // Rule ID 23036 //
     /*  356058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  356066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  356069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  356072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  356075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356097 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  356100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356114 */     GIR_RootConstrainSelectedInstOperands,
     /*  356115 */     // GIR_Coverage, 23036,
     /*  356115 */     GIR_EraseRootFromParent_Done,
     /*  356116 */   // Label 6462: @356116
     /*  356116 */   GIM_Try, /*On fail goto*//*Label 6463*/ GIMT_Encode4(356179), // Rule ID 23037 //
     /*  356121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  356129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  356132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  356135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  356138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356160 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  356163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356177 */     GIR_RootConstrainSelectedInstOperands,
     /*  356178 */     // GIR_Coverage, 23037,
     /*  356178 */     GIR_EraseRootFromParent_Done,
     /*  356179 */   // Label 6463: @356179
     /*  356179 */   GIM_Try, /*On fail goto*//*Label 6464*/ GIMT_Encode4(356242), // Rule ID 23038 //
     /*  356184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  356192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  356195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  356198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  356201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356223 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  356226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356240 */     GIR_RootConstrainSelectedInstOperands,
     /*  356241 */     // GIR_Coverage, 23038,
     /*  356241 */     GIR_EraseRootFromParent_Done,
     /*  356242 */   // Label 6464: @356242
     /*  356242 */   GIM_Try, /*On fail goto*//*Label 6465*/ GIMT_Encode4(356305), // Rule ID 23039 //
     /*  356247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  356255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  356258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  356261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  356264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356286 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  356289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356303 */     GIR_RootConstrainSelectedInstOperands,
     /*  356304 */     // GIR_Coverage, 23039,
     /*  356304 */     GIR_EraseRootFromParent_Done,
     /*  356305 */   // Label 6465: @356305
     /*  356305 */   GIM_Try, /*On fail goto*//*Label 6466*/ GIMT_Encode4(356368), // Rule ID 23040 //
     /*  356310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  356318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  356321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  356324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  356327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356349 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  356352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356366 */     GIR_RootConstrainSelectedInstOperands,
     /*  356367 */     // GIR_Coverage, 23040,
     /*  356367 */     GIR_EraseRootFromParent_Done,
     /*  356368 */   // Label 6466: @356368
     /*  356368 */   GIM_Try, /*On fail goto*//*Label 6467*/ GIMT_Encode4(356431), // Rule ID 23041 //
     /*  356373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  356381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  356384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  356387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  356390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356412 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  356415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356429 */     GIR_RootConstrainSelectedInstOperands,
     /*  356430 */     // GIR_Coverage, 23041,
     /*  356430 */     GIR_EraseRootFromParent_Done,
     /*  356431 */   // Label 6467: @356431
     /*  356431 */   GIM_Try, /*On fail goto*//*Label 6468*/ GIMT_Encode4(356494), // Rule ID 23042 //
     /*  356436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  356444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  356447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  356450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  356453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356475 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  356478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356492 */     GIR_RootConstrainSelectedInstOperands,
     /*  356493 */     // GIR_Coverage, 23042,
     /*  356493 */     GIR_EraseRootFromParent_Done,
     /*  356494 */   // Label 6468: @356494
     /*  356494 */   GIM_Try, /*On fail goto*//*Label 6469*/ GIMT_Encode4(356557), // Rule ID 23043 //
     /*  356499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  356507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  356510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  356513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  356516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356538 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  356541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356555 */     GIR_RootConstrainSelectedInstOperands,
     /*  356556 */     // GIR_Coverage, 23043,
     /*  356556 */     GIR_EraseRootFromParent_Done,
     /*  356557 */   // Label 6469: @356557
     /*  356557 */   GIM_Try, /*On fail goto*//*Label 6470*/ GIMT_Encode4(356620), // Rule ID 23044 //
     /*  356562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  356570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  356573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  356576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  356579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356601 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  356604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356618 */     GIR_RootConstrainSelectedInstOperands,
     /*  356619 */     // GIR_Coverage, 23044,
     /*  356619 */     GIR_EraseRootFromParent_Done,
     /*  356620 */   // Label 6470: @356620
     /*  356620 */   GIM_Try, /*On fail goto*//*Label 6471*/ GIMT_Encode4(356683), // Rule ID 23045 //
     /*  356625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  356633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  356636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  356639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  356642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356664 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  356667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356681 */     GIR_RootConstrainSelectedInstOperands,
     /*  356682 */     // GIR_Coverage, 23045,
     /*  356682 */     GIR_EraseRootFromParent_Done,
     /*  356683 */   // Label 6471: @356683
     /*  356683 */   GIM_Try, /*On fail goto*//*Label 6472*/ GIMT_Encode4(356746), // Rule ID 23046 //
     /*  356688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  356696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  356699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  356702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  356705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356727 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  356730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356744 */     GIR_RootConstrainSelectedInstOperands,
     /*  356745 */     // GIR_Coverage, 23046,
     /*  356745 */     GIR_EraseRootFromParent_Done,
     /*  356746 */   // Label 6472: @356746
     /*  356746 */   GIM_Try, /*On fail goto*//*Label 6473*/ GIMT_Encode4(356809), // Rule ID 23047 //
     /*  356751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  356759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  356762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  356765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  356768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356790 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  356793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356807 */     GIR_RootConstrainSelectedInstOperands,
     /*  356808 */     // GIR_Coverage, 23047,
     /*  356808 */     GIR_EraseRootFromParent_Done,
     /*  356809 */   // Label 6473: @356809
     /*  356809 */   GIM_Try, /*On fail goto*//*Label 6474*/ GIMT_Encode4(356872), // Rule ID 23048 //
     /*  356814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  356822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  356825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  356828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  356831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356853 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  356856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356870 */     GIR_RootConstrainSelectedInstOperands,
     /*  356871 */     // GIR_Coverage, 23048,
     /*  356871 */     GIR_EraseRootFromParent_Done,
     /*  356872 */   // Label 6474: @356872
     /*  356872 */   GIM_Try, /*On fail goto*//*Label 6475*/ GIMT_Encode4(356935), // Rule ID 23049 //
     /*  356877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  356885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  356888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  356891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  356894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356916 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  356919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356933 */     GIR_RootConstrainSelectedInstOperands,
     /*  356934 */     // GIR_Coverage, 23049,
     /*  356934 */     GIR_EraseRootFromParent_Done,
     /*  356935 */   // Label 6475: @356935
     /*  356935 */   GIM_Try, /*On fail goto*//*Label 6476*/ GIMT_Encode4(356998), // Rule ID 23050 //
     /*  356940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  356948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  356951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  356954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  356957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356979 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  356982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356996 */     GIR_RootConstrainSelectedInstOperands,
     /*  356997 */     // GIR_Coverage, 23050,
     /*  356997 */     GIR_EraseRootFromParent_Done,
     /*  356998 */   // Label 6476: @356998
     /*  356998 */   GIM_Try, /*On fail goto*//*Label 6477*/ GIMT_Encode4(357061), // Rule ID 23051 //
     /*  357003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  357011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  357014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  357017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  357020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357042 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  357045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357059 */     GIR_RootConstrainSelectedInstOperands,
     /*  357060 */     // GIR_Coverage, 23051,
     /*  357060 */     GIR_EraseRootFromParent_Done,
     /*  357061 */   // Label 6477: @357061
     /*  357061 */   GIM_Try, /*On fail goto*//*Label 6478*/ GIMT_Encode4(357124), // Rule ID 23052 //
     /*  357066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  357074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  357077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  357080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  357083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357105 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  357108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357122 */     GIR_RootConstrainSelectedInstOperands,
     /*  357123 */     // GIR_Coverage, 23052,
     /*  357123 */     GIR_EraseRootFromParent_Done,
     /*  357124 */   // Label 6478: @357124
     /*  357124 */   GIM_Try, /*On fail goto*//*Label 6479*/ GIMT_Encode4(357187), // Rule ID 23053 //
     /*  357129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  357137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  357140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  357143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  357146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357168 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  357171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357185 */     GIR_RootConstrainSelectedInstOperands,
     /*  357186 */     // GIR_Coverage, 23053,
     /*  357186 */     GIR_EraseRootFromParent_Done,
     /*  357187 */   // Label 6479: @357187
     /*  357187 */   GIM_Try, /*On fail goto*//*Label 6480*/ GIMT_Encode4(357250), // Rule ID 23054 //
     /*  357192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  357200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  357203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  357206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  357209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357231 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  357234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357248 */     GIR_RootConstrainSelectedInstOperands,
     /*  357249 */     // GIR_Coverage, 23054,
     /*  357249 */     GIR_EraseRootFromParent_Done,
     /*  357250 */   // Label 6480: @357250
     /*  357250 */   GIM_Try, /*On fail goto*//*Label 6481*/ GIMT_Encode4(357313), // Rule ID 23055 //
     /*  357255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  357263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  357266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  357269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  357272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357294 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  357297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357311 */     GIR_RootConstrainSelectedInstOperands,
     /*  357312 */     // GIR_Coverage, 23055,
     /*  357312 */     GIR_EraseRootFromParent_Done,
     /*  357313 */   // Label 6481: @357313
     /*  357313 */   GIM_Try, /*On fail goto*//*Label 6482*/ GIMT_Encode4(357376), // Rule ID 23056 //
     /*  357318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  357326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  357329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  357332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  357335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357357 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  357360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357374 */     GIR_RootConstrainSelectedInstOperands,
     /*  357375 */     // GIR_Coverage, 23056,
     /*  357375 */     GIR_EraseRootFromParent_Done,
     /*  357376 */   // Label 6482: @357376
     /*  357376 */   GIM_Try, /*On fail goto*//*Label 6483*/ GIMT_Encode4(357439), // Rule ID 23057 //
     /*  357381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  357389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  357392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  357395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  357398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357420 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  357423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357437 */     GIR_RootConstrainSelectedInstOperands,
     /*  357438 */     // GIR_Coverage, 23057,
     /*  357438 */     GIR_EraseRootFromParent_Done,
     /*  357439 */   // Label 6483: @357439
     /*  357439 */   GIM_Try, /*On fail goto*//*Label 6484*/ GIMT_Encode4(357502), // Rule ID 23058 //
     /*  357444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  357452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  357455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  357458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  357461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357483 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11381:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  357486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357500 */     GIR_RootConstrainSelectedInstOperands,
     /*  357501 */     // GIR_Coverage, 23058,
     /*  357501 */     GIR_EraseRootFromParent_Done,
     /*  357502 */   // Label 6484: @357502
     /*  357502 */   GIM_Try, /*On fail goto*//*Label 6485*/ GIMT_Encode4(357565), // Rule ID 23059 //
     /*  357507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  357515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  357518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  357521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  357524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357546 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  357549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357563 */     GIR_RootConstrainSelectedInstOperands,
     /*  357564 */     // GIR_Coverage, 23059,
     /*  357564 */     GIR_EraseRootFromParent_Done,
     /*  357565 */   // Label 6485: @357565
     /*  357565 */   GIM_Try, /*On fail goto*//*Label 6486*/ GIMT_Encode4(357628), // Rule ID 23060 //
     /*  357570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  357578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  357581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  357584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  357587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357609 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  357612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357626 */     GIR_RootConstrainSelectedInstOperands,
     /*  357627 */     // GIR_Coverage, 23060,
     /*  357627 */     GIR_EraseRootFromParent_Done,
     /*  357628 */   // Label 6486: @357628
     /*  357628 */   GIM_Try, /*On fail goto*//*Label 6487*/ GIMT_Encode4(357691), // Rule ID 23061 //
     /*  357633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  357641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  357644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  357647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  357650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357672 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  357675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357689 */     GIR_RootConstrainSelectedInstOperands,
     /*  357690 */     // GIR_Coverage, 23061,
     /*  357690 */     GIR_EraseRootFromParent_Done,
     /*  357691 */   // Label 6487: @357691
     /*  357691 */   GIM_Try, /*On fail goto*//*Label 6488*/ GIMT_Encode4(357754), // Rule ID 23062 //
     /*  357696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  357704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  357707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  357710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  357713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357735 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  357738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357752 */     GIR_RootConstrainSelectedInstOperands,
     /*  357753 */     // GIR_Coverage, 23062,
     /*  357753 */     GIR_EraseRootFromParent_Done,
     /*  357754 */   // Label 6488: @357754
     /*  357754 */   GIM_Try, /*On fail goto*//*Label 6489*/ GIMT_Encode4(357817), // Rule ID 23063 //
     /*  357759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  357767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  357770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  357773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  357776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357798 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  357801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357815 */     GIR_RootConstrainSelectedInstOperands,
     /*  357816 */     // GIR_Coverage, 23063,
     /*  357816 */     GIR_EraseRootFromParent_Done,
     /*  357817 */   // Label 6489: @357817
     /*  357817 */   GIM_Try, /*On fail goto*//*Label 6490*/ GIMT_Encode4(357880), // Rule ID 23064 //
     /*  357822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  357830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  357833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  357836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  357839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357861 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  357864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357878 */     GIR_RootConstrainSelectedInstOperands,
     /*  357879 */     // GIR_Coverage, 23064,
     /*  357879 */     GIR_EraseRootFromParent_Done,
     /*  357880 */   // Label 6490: @357880
     /*  357880 */   GIM_Try, /*On fail goto*//*Label 6491*/ GIMT_Encode4(357943), // Rule ID 23065 //
     /*  357885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  357893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  357896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  357899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  357902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357924 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  357927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357941 */     GIR_RootConstrainSelectedInstOperands,
     /*  357942 */     // GIR_Coverage, 23065,
     /*  357942 */     GIR_EraseRootFromParent_Done,
     /*  357943 */   // Label 6491: @357943
     /*  357943 */   GIM_Try, /*On fail goto*//*Label 6492*/ GIMT_Encode4(358006), // Rule ID 23066 //
     /*  357948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  357956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  357959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  357962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  357965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357987 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  357990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358004 */     GIR_RootConstrainSelectedInstOperands,
     /*  358005 */     // GIR_Coverage, 23066,
     /*  358005 */     GIR_EraseRootFromParent_Done,
     /*  358006 */   // Label 6492: @358006
     /*  358006 */   GIM_Try, /*On fail goto*//*Label 6493*/ GIMT_Encode4(358069), // Rule ID 23067 //
     /*  358011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  358019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  358022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  358025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  358028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358050 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  358053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358067 */     GIR_RootConstrainSelectedInstOperands,
     /*  358068 */     // GIR_Coverage, 23067,
     /*  358068 */     GIR_EraseRootFromParent_Done,
     /*  358069 */   // Label 6493: @358069
     /*  358069 */   GIM_Try, /*On fail goto*//*Label 6494*/ GIMT_Encode4(358132), // Rule ID 23068 //
     /*  358074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  358082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  358085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  358088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  358091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358113 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  358116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358130 */     GIR_RootConstrainSelectedInstOperands,
     /*  358131 */     // GIR_Coverage, 23068,
     /*  358131 */     GIR_EraseRootFromParent_Done,
     /*  358132 */   // Label 6494: @358132
     /*  358132 */   GIM_Try, /*On fail goto*//*Label 6495*/ GIMT_Encode4(358195), // Rule ID 23069 //
     /*  358137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  358145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  358148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  358151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  358154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358176 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  358179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358193 */     GIR_RootConstrainSelectedInstOperands,
     /*  358194 */     // GIR_Coverage, 23069,
     /*  358194 */     GIR_EraseRootFromParent_Done,
     /*  358195 */   // Label 6495: @358195
     /*  358195 */   GIM_Try, /*On fail goto*//*Label 6496*/ GIMT_Encode4(358258), // Rule ID 23070 //
     /*  358200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  358208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  358211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  358214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  358217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358239 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  358242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358256 */     GIR_RootConstrainSelectedInstOperands,
     /*  358257 */     // GIR_Coverage, 23070,
     /*  358257 */     GIR_EraseRootFromParent_Done,
     /*  358258 */   // Label 6496: @358258
     /*  358258 */   GIM_Try, /*On fail goto*//*Label 6497*/ GIMT_Encode4(358321), // Rule ID 23071 //
     /*  358263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  358271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  358274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  358277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  358280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358302 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  358305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358319 */     GIR_RootConstrainSelectedInstOperands,
     /*  358320 */     // GIR_Coverage, 23071,
     /*  358320 */     GIR_EraseRootFromParent_Done,
     /*  358321 */   // Label 6497: @358321
     /*  358321 */   GIM_Try, /*On fail goto*//*Label 6498*/ GIMT_Encode4(358384), // Rule ID 23072 //
     /*  358326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  358334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  358337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  358340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  358343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358365 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  358368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358382 */     GIR_RootConstrainSelectedInstOperands,
     /*  358383 */     // GIR_Coverage, 23072,
     /*  358383 */     GIR_EraseRootFromParent_Done,
     /*  358384 */   // Label 6498: @358384
     /*  358384 */   GIM_Try, /*On fail goto*//*Label 6499*/ GIMT_Encode4(358447), // Rule ID 23073 //
     /*  358389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  358397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  358400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  358403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  358406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358428 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  358431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358445 */     GIR_RootConstrainSelectedInstOperands,
     /*  358446 */     // GIR_Coverage, 23073,
     /*  358446 */     GIR_EraseRootFromParent_Done,
     /*  358447 */   // Label 6499: @358447
     /*  358447 */   GIM_Try, /*On fail goto*//*Label 6500*/ GIMT_Encode4(358510), // Rule ID 23074 //
     /*  358452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  358460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  358463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  358466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  358469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358491 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  358494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358508 */     GIR_RootConstrainSelectedInstOperands,
     /*  358509 */     // GIR_Coverage, 23074,
     /*  358509 */     GIR_EraseRootFromParent_Done,
     /*  358510 */   // Label 6500: @358510
     /*  358510 */   GIM_Try, /*On fail goto*//*Label 6501*/ GIMT_Encode4(358573), // Rule ID 23075 //
     /*  358515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  358523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  358526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  358529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358554 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  358557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358571 */     GIR_RootConstrainSelectedInstOperands,
     /*  358572 */     // GIR_Coverage, 23075,
     /*  358572 */     GIR_EraseRootFromParent_Done,
     /*  358573 */   // Label 6501: @358573
     /*  358573 */   GIM_Try, /*On fail goto*//*Label 6502*/ GIMT_Encode4(358636), // Rule ID 23076 //
     /*  358578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  358586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  358589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  358592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358617 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  358620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358634 */     GIR_RootConstrainSelectedInstOperands,
     /*  358635 */     // GIR_Coverage, 23076,
     /*  358635 */     GIR_EraseRootFromParent_Done,
     /*  358636 */   // Label 6502: @358636
     /*  358636 */   GIM_Try, /*On fail goto*//*Label 6503*/ GIMT_Encode4(358699), // Rule ID 23077 //
     /*  358641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  358649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  358652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  358655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  358658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358680 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  358683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358697 */     GIR_RootConstrainSelectedInstOperands,
     /*  358698 */     // GIR_Coverage, 23077,
     /*  358698 */     GIR_EraseRootFromParent_Done,
     /*  358699 */   // Label 6503: @358699
     /*  358699 */   GIM_Try, /*On fail goto*//*Label 6504*/ GIMT_Encode4(358762), // Rule ID 23078 //
     /*  358704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  358712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  358715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  358718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  358721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358743 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  358746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358760 */     GIR_RootConstrainSelectedInstOperands,
     /*  358761 */     // GIR_Coverage, 23078,
     /*  358761 */     GIR_EraseRootFromParent_Done,
     /*  358762 */   // Label 6504: @358762
     /*  358762 */   GIM_Try, /*On fail goto*//*Label 6505*/ GIMT_Encode4(358825), // Rule ID 23079 //
     /*  358767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  358775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  358778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  358781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  358784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358806 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  358809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358823 */     GIR_RootConstrainSelectedInstOperands,
     /*  358824 */     // GIR_Coverage, 23079,
     /*  358824 */     GIR_EraseRootFromParent_Done,
     /*  358825 */   // Label 6505: @358825
     /*  358825 */   GIM_Try, /*On fail goto*//*Label 6506*/ GIMT_Encode4(358888), // Rule ID 23080 //
     /*  358830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  358838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  358841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  358844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  358847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358869 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  358872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358886 */     GIR_RootConstrainSelectedInstOperands,
     /*  358887 */     // GIR_Coverage, 23080,
     /*  358887 */     GIR_EraseRootFromParent_Done,
     /*  358888 */   // Label 6506: @358888
     /*  358888 */   GIM_Try, /*On fail goto*//*Label 6507*/ GIMT_Encode4(358951), // Rule ID 23081 //
     /*  358893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  358901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  358904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  358907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  358910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358932 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  358932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  358935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  358939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358949 */     GIR_RootConstrainSelectedInstOperands,
     /*  358950 */     // GIR_Coverage, 23081,
     /*  358950 */     GIR_EraseRootFromParent_Done,
     /*  358951 */   // Label 6507: @358951
     /*  358951 */   GIM_Try, /*On fail goto*//*Label 6508*/ GIMT_Encode4(359014), // Rule ID 23082 //
     /*  358956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  358964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  358967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  358970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  358973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358995 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  358995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  358998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359012 */     GIR_RootConstrainSelectedInstOperands,
     /*  359013 */     // GIR_Coverage, 23082,
     /*  359013 */     GIR_EraseRootFromParent_Done,
     /*  359014 */   // Label 6508: @359014
     /*  359014 */   GIM_Try, /*On fail goto*//*Label 6509*/ GIMT_Encode4(359077), // Rule ID 23083 //
     /*  359019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  359027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  359030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  359033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  359036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359058 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  359061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359075 */     GIR_RootConstrainSelectedInstOperands,
     /*  359076 */     // GIR_Coverage, 23083,
     /*  359076 */     GIR_EraseRootFromParent_Done,
     /*  359077 */   // Label 6509: @359077
     /*  359077 */   GIM_Try, /*On fail goto*//*Label 6510*/ GIMT_Encode4(359140), // Rule ID 23084 //
     /*  359082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  359090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  359093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  359096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  359099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359121 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  359124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359138 */     GIR_RootConstrainSelectedInstOperands,
     /*  359139 */     // GIR_Coverage, 23084,
     /*  359139 */     GIR_EraseRootFromParent_Done,
     /*  359140 */   // Label 6510: @359140
     /*  359140 */   GIM_Try, /*On fail goto*//*Label 6511*/ GIMT_Encode4(359203), // Rule ID 23085 //
     /*  359145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  359153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  359156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  359159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  359162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359184 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  359187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359201 */     GIR_RootConstrainSelectedInstOperands,
     /*  359202 */     // GIR_Coverage, 23085,
     /*  359202 */     GIR_EraseRootFromParent_Done,
     /*  359203 */   // Label 6511: @359203
     /*  359203 */   GIM_Try, /*On fail goto*//*Label 6512*/ GIMT_Encode4(359266), // Rule ID 23086 //
     /*  359208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  359216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  359219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  359222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  359225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359247 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  359250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359264 */     GIR_RootConstrainSelectedInstOperands,
     /*  359265 */     // GIR_Coverage, 23086,
     /*  359265 */     GIR_EraseRootFromParent_Done,
     /*  359266 */   // Label 6512: @359266
     /*  359266 */   GIM_Try, /*On fail goto*//*Label 6513*/ GIMT_Encode4(359329), // Rule ID 23087 //
     /*  359271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  359279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  359282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  359285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  359288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359310 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  359313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359327 */     GIR_RootConstrainSelectedInstOperands,
     /*  359328 */     // GIR_Coverage, 23087,
     /*  359328 */     GIR_EraseRootFromParent_Done,
     /*  359329 */   // Label 6513: @359329
     /*  359329 */   GIM_Try, /*On fail goto*//*Label 6514*/ GIMT_Encode4(359392), // Rule ID 23088 //
     /*  359334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  359342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  359345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  359348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  359351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359373 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  359376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359390 */     GIR_RootConstrainSelectedInstOperands,
     /*  359391 */     // GIR_Coverage, 23088,
     /*  359391 */     GIR_EraseRootFromParent_Done,
     /*  359392 */   // Label 6514: @359392
     /*  359392 */   GIM_Try, /*On fail goto*//*Label 6515*/ GIMT_Encode4(359455), // Rule ID 23089 //
     /*  359397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  359405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  359408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  359411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  359414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359436 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  359439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359453 */     GIR_RootConstrainSelectedInstOperands,
     /*  359454 */     // GIR_Coverage, 23089,
     /*  359454 */     GIR_EraseRootFromParent_Done,
     /*  359455 */   // Label 6515: @359455
     /*  359455 */   GIM_Try, /*On fail goto*//*Label 6516*/ GIMT_Encode4(359518), // Rule ID 23090 //
     /*  359460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  359468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  359471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  359474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  359477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359499 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  359502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359516 */     GIR_RootConstrainSelectedInstOperands,
     /*  359517 */     // GIR_Coverage, 23090,
     /*  359517 */     GIR_EraseRootFromParent_Done,
     /*  359518 */   // Label 6516: @359518
     /*  359518 */   GIM_Try, /*On fail goto*//*Label 6517*/ GIMT_Encode4(359581), // Rule ID 23091 //
     /*  359523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  359531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  359534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  359537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  359540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359562 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  359565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359579 */     GIR_RootConstrainSelectedInstOperands,
     /*  359580 */     // GIR_Coverage, 23091,
     /*  359580 */     GIR_EraseRootFromParent_Done,
     /*  359581 */   // Label 6517: @359581
     /*  359581 */   GIM_Try, /*On fail goto*//*Label 6518*/ GIMT_Encode4(359644), // Rule ID 23092 //
     /*  359586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  359594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  359597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  359600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  359603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359625 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  359628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359642 */     GIR_RootConstrainSelectedInstOperands,
     /*  359643 */     // GIR_Coverage, 23092,
     /*  359643 */     GIR_EraseRootFromParent_Done,
     /*  359644 */   // Label 6518: @359644
     /*  359644 */   GIM_Try, /*On fail goto*//*Label 6519*/ GIMT_Encode4(359707), // Rule ID 23093 //
     /*  359649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  359657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  359660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  359663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  359666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359688 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  359691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359705 */     GIR_RootConstrainSelectedInstOperands,
     /*  359706 */     // GIR_Coverage, 23093,
     /*  359706 */     GIR_EraseRootFromParent_Done,
     /*  359707 */   // Label 6519: @359707
     /*  359707 */   GIM_Try, /*On fail goto*//*Label 6520*/ GIMT_Encode4(359770), // Rule ID 23094 //
     /*  359712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  359720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  359723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  359726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  359729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359751 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  359754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359768 */     GIR_RootConstrainSelectedInstOperands,
     /*  359769 */     // GIR_Coverage, 23094,
     /*  359769 */     GIR_EraseRootFromParent_Done,
     /*  359770 */   // Label 6520: @359770
     /*  359770 */   GIM_Try, /*On fail goto*//*Label 6521*/ GIMT_Encode4(359833), // Rule ID 23095 //
     /*  359775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  359783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  359786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  359789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  359792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359814 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  359817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359831 */     GIR_RootConstrainSelectedInstOperands,
     /*  359832 */     // GIR_Coverage, 23095,
     /*  359832 */     GIR_EraseRootFromParent_Done,
     /*  359833 */   // Label 6521: @359833
     /*  359833 */   GIM_Try, /*On fail goto*//*Label 6522*/ GIMT_Encode4(359896), // Rule ID 23096 //
     /*  359838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  359846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  359849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  359852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  359855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359877 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  359877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  359880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359894 */     GIR_RootConstrainSelectedInstOperands,
     /*  359895 */     // GIR_Coverage, 23096,
     /*  359895 */     GIR_EraseRootFromParent_Done,
     /*  359896 */   // Label 6522: @359896
     /*  359896 */   GIM_Try, /*On fail goto*//*Label 6523*/ GIMT_Encode4(359959), // Rule ID 23097 //
     /*  359901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  359909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  359912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  359915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  359918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359940 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  359940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  359943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  359947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359957 */     GIR_RootConstrainSelectedInstOperands,
     /*  359958 */     // GIR_Coverage, 23097,
     /*  359958 */     GIR_EraseRootFromParent_Done,
     /*  359959 */   // Label 6523: @359959
     /*  359959 */   GIM_Try, /*On fail goto*//*Label 6524*/ GIMT_Encode4(360022), // Rule ID 23098 //
     /*  359964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  359972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  359975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  359978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  359981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360003 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  360006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360020 */     GIR_RootConstrainSelectedInstOperands,
     /*  360021 */     // GIR_Coverage, 23098,
     /*  360021 */     GIR_EraseRootFromParent_Done,
     /*  360022 */   // Label 6524: @360022
     /*  360022 */   GIM_Try, /*On fail goto*//*Label 6525*/ GIMT_Encode4(360085), // Rule ID 23099 //
     /*  360027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  360038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  360041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  360044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360066 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  360069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360083 */     GIR_RootConstrainSelectedInstOperands,
     /*  360084 */     // GIR_Coverage, 23099,
     /*  360084 */     GIR_EraseRootFromParent_Done,
     /*  360085 */   // Label 6525: @360085
     /*  360085 */   GIM_Try, /*On fail goto*//*Label 6526*/ GIMT_Encode4(360148), // Rule ID 23100 //
     /*  360090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  360098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  360101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  360104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  360107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360129 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  360132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360146 */     GIR_RootConstrainSelectedInstOperands,
     /*  360147 */     // GIR_Coverage, 23100,
     /*  360147 */     GIR_EraseRootFromParent_Done,
     /*  360148 */   // Label 6526: @360148
     /*  360148 */   GIM_Try, /*On fail goto*//*Label 6527*/ GIMT_Encode4(360211), // Rule ID 23101 //
     /*  360153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  360161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360192 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  360195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360209 */     GIR_RootConstrainSelectedInstOperands,
     /*  360210 */     // GIR_Coverage, 23101,
     /*  360210 */     GIR_EraseRootFromParent_Done,
     /*  360211 */   // Label 6527: @360211
     /*  360211 */   GIM_Try, /*On fail goto*//*Label 6528*/ GIMT_Encode4(360274), // Rule ID 23102 //
     /*  360216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  360224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  360227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  360230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  360233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360255 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  360258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360272 */     GIR_RootConstrainSelectedInstOperands,
     /*  360273 */     // GIR_Coverage, 23102,
     /*  360273 */     GIR_EraseRootFromParent_Done,
     /*  360274 */   // Label 6528: @360274
     /*  360274 */   GIM_Try, /*On fail goto*//*Label 6529*/ GIMT_Encode4(360337), // Rule ID 23103 //
     /*  360279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  360287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360318 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  360321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360335 */     GIR_RootConstrainSelectedInstOperands,
     /*  360336 */     // GIR_Coverage, 23103,
     /*  360336 */     GIR_EraseRootFromParent_Done,
     /*  360337 */   // Label 6529: @360337
     /*  360337 */   GIM_Try, /*On fail goto*//*Label 6530*/ GIMT_Encode4(360400), // Rule ID 23104 //
     /*  360342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  360350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360381 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  360384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360398 */     GIR_RootConstrainSelectedInstOperands,
     /*  360399 */     // GIR_Coverage, 23104,
     /*  360399 */     GIR_EraseRootFromParent_Done,
     /*  360400 */   // Label 6530: @360400
     /*  360400 */   GIM_Try, /*On fail goto*//*Label 6531*/ GIMT_Encode4(360463), // Rule ID 23105 //
     /*  360405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  360413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360444 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  360447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360461 */     GIR_RootConstrainSelectedInstOperands,
     /*  360462 */     // GIR_Coverage, 23105,
     /*  360462 */     GIR_EraseRootFromParent_Done,
     /*  360463 */   // Label 6531: @360463
     /*  360463 */   GIM_Try, /*On fail goto*//*Label 6532*/ GIMT_Encode4(360526), // Rule ID 23106 //
     /*  360468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  360476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360507 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  360510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360524 */     GIR_RootConstrainSelectedInstOperands,
     /*  360525 */     // GIR_Coverage, 23106,
     /*  360525 */     GIR_EraseRootFromParent_Done,
     /*  360526 */   // Label 6532: @360526
     /*  360526 */   GIM_Try, /*On fail goto*//*Label 6533*/ GIMT_Encode4(360589), // Rule ID 23107 //
     /*  360531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  360539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360570 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  360573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360587 */     GIR_RootConstrainSelectedInstOperands,
     /*  360588 */     // GIR_Coverage, 23107,
     /*  360588 */     GIR_EraseRootFromParent_Done,
     /*  360589 */   // Label 6533: @360589
     /*  360589 */   GIM_Try, /*On fail goto*//*Label 6534*/ GIMT_Encode4(360652), // Rule ID 23108 //
     /*  360594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  360602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360633 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  360636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360650 */     GIR_RootConstrainSelectedInstOperands,
     /*  360651 */     // GIR_Coverage, 23108,
     /*  360651 */     GIR_EraseRootFromParent_Done,
     /*  360652 */   // Label 6534: @360652
     /*  360652 */   GIM_Try, /*On fail goto*//*Label 6535*/ GIMT_Encode4(360715), // Rule ID 23109 //
     /*  360657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  360665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  360668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  360671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360696 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  360699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360713 */     GIR_RootConstrainSelectedInstOperands,
     /*  360714 */     // GIR_Coverage, 23109,
     /*  360714 */     GIR_EraseRootFromParent_Done,
     /*  360715 */   // Label 6535: @360715
     /*  360715 */   GIM_Try, /*On fail goto*//*Label 6536*/ GIMT_Encode4(360778), // Rule ID 23110 //
     /*  360720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  360728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  360731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  360734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360759 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  360762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360776 */     GIR_RootConstrainSelectedInstOperands,
     /*  360777 */     // GIR_Coverage, 23110,
     /*  360777 */     GIR_EraseRootFromParent_Done,
     /*  360778 */   // Label 6536: @360778
     /*  360778 */   GIM_Try, /*On fail goto*//*Label 6537*/ GIMT_Encode4(360841), // Rule ID 23111 //
     /*  360783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  360791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  360794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  360797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  360800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360822 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  360825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360839 */     GIR_RootConstrainSelectedInstOperands,
     /*  360840 */     // GIR_Coverage, 23111,
     /*  360840 */     GIR_EraseRootFromParent_Done,
     /*  360841 */   // Label 6537: @360841
     /*  360841 */   GIM_Try, /*On fail goto*//*Label 6538*/ GIMT_Encode4(360904), // Rule ID 23112 //
     /*  360846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  360854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  360857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  360860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  360863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360885 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  360888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360902 */     GIR_RootConstrainSelectedInstOperands,
     /*  360903 */     // GIR_Coverage, 23112,
     /*  360903 */     GIR_EraseRootFromParent_Done,
     /*  360904 */   // Label 6538: @360904
     /*  360904 */   GIM_Try, /*On fail goto*//*Label 6539*/ GIMT_Encode4(360967), // Rule ID 23113 //
     /*  360909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  360917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  360920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  360923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  360926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360948 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  360951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360965 */     GIR_RootConstrainSelectedInstOperands,
     /*  360966 */     // GIR_Coverage, 23113,
     /*  360966 */     GIR_EraseRootFromParent_Done,
     /*  360967 */   // Label 6539: @360967
     /*  360967 */   GIM_Try, /*On fail goto*//*Label 6540*/ GIMT_Encode4(361030), // Rule ID 23114 //
     /*  360972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  360980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  360983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  360986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  360989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361011 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11380:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  361014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361028 */     GIR_RootConstrainSelectedInstOperands,
     /*  361029 */     // GIR_Coverage, 23114,
     /*  361029 */     GIR_EraseRootFromParent_Done,
     /*  361030 */   // Label 6540: @361030
     /*  361030 */   GIM_Try, /*On fail goto*//*Label 6541*/ GIMT_Encode4(361093), // Rule ID 23143 //
     /*  361035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  361038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  361043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  361046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  361059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  361067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361074 */     // (intrinsic_wo_chain:{ *:[i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  361077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361081 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  361083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361091 */     GIR_RootConstrainSelectedInstOperands,
     /*  361092 */     // GIR_Coverage, 23143,
     /*  361092 */     GIR_EraseRootFromParent_Done,
     /*  361093 */   // Label 6541: @361093
     /*  361093 */   GIM_Try, /*On fail goto*//*Label 6542*/ GIMT_Encode4(361156), // Rule ID 23144 //
     /*  361098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  361101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  361106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  361109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  361122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  361130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361137 */     // (intrinsic_wo_chain:{ *:[i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  361140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361144 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  361146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361154 */     GIR_RootConstrainSelectedInstOperands,
     /*  361155 */     // GIR_Coverage, 23144,
     /*  361155 */     GIR_EraseRootFromParent_Done,
     /*  361156 */   // Label 6542: @361156
     /*  361156 */   GIM_Try, /*On fail goto*//*Label 6543*/ GIMT_Encode4(361219), // Rule ID 23147 //
     /*  361161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  361164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  361169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  361172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  361178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  361185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  361193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361200 */     // (intrinsic_wo_chain:{ *:[i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  361203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361207 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  361209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361217 */     GIR_RootConstrainSelectedInstOperands,
     /*  361218 */     // GIR_Coverage, 23147,
     /*  361218 */     GIR_EraseRootFromParent_Done,
     /*  361219 */   // Label 6543: @361219
     /*  361219 */   GIM_Try, /*On fail goto*//*Label 6544*/ GIMT_Encode4(361282), // Rule ID 23148 //
     /*  361224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  361227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  361232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  361235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  361241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  361248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  361256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361263 */     // (intrinsic_wo_chain:{ *:[i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  361266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361270 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  361272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361280 */     GIR_RootConstrainSelectedInstOperands,
     /*  361281 */     // GIR_Coverage, 23148,
     /*  361281 */     GIR_EraseRootFromParent_Done,
     /*  361282 */   // Label 6544: @361282
     /*  361282 */   GIM_Try, /*On fail goto*//*Label 6545*/ GIMT_Encode4(361345), // Rule ID 23151 //
     /*  361287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  361290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  361295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  361298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  361311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  361319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361326 */     // (intrinsic_wo_chain:{ *:[i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  361329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361333 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  361335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361343 */     GIR_RootConstrainSelectedInstOperands,
     /*  361344 */     // GIR_Coverage, 23151,
     /*  361344 */     GIR_EraseRootFromParent_Done,
     /*  361345 */   // Label 6545: @361345
     /*  361345 */   GIM_Try, /*On fail goto*//*Label 6546*/ GIMT_Encode4(361408), // Rule ID 23152 //
     /*  361350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  361353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  361358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  361361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  361374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  361382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361389 */     // (intrinsic_wo_chain:{ *:[i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  361392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361396 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  361398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361406 */     GIR_RootConstrainSelectedInstOperands,
     /*  361407 */     // GIR_Coverage, 23152,
     /*  361407 */     GIR_EraseRootFromParent_Done,
     /*  361408 */   // Label 6546: @361408
     /*  361408 */   GIM_Try, /*On fail goto*//*Label 6547*/ GIMT_Encode4(361471), // Rule ID 23155 //
     /*  361413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  361416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  361421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  361424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  361437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  361445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361452 */     // (intrinsic_wo_chain:{ *:[i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  361455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361459 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  361461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361469 */     GIR_RootConstrainSelectedInstOperands,
     /*  361470 */     // GIR_Coverage, 23155,
     /*  361470 */     GIR_EraseRootFromParent_Done,
     /*  361471 */   // Label 6547: @361471
     /*  361471 */   GIM_Try, /*On fail goto*//*Label 6548*/ GIMT_Encode4(361534), // Rule ID 23156 //
     /*  361476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  361479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  361484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  361487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  361500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  361508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361515 */     // (intrinsic_wo_chain:{ *:[i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  361518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361522 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  361524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361532 */     GIR_RootConstrainSelectedInstOperands,
     /*  361533 */     // GIR_Coverage, 23156,
     /*  361533 */     GIR_EraseRootFromParent_Done,
     /*  361534 */   // Label 6548: @361534
     /*  361534 */   GIM_Try, /*On fail goto*//*Label 6549*/ GIMT_Encode4(361597), // Rule ID 23159 //
     /*  361539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  361542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  361547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  361550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  361563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  361571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361578 */     // (intrinsic_wo_chain:{ *:[i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  361581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361585 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  361587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361595 */     GIR_RootConstrainSelectedInstOperands,
     /*  361596 */     // GIR_Coverage, 23159,
     /*  361596 */     GIR_EraseRootFromParent_Done,
     /*  361597 */   // Label 6549: @361597
     /*  361597 */   GIM_Try, /*On fail goto*//*Label 6550*/ GIMT_Encode4(361660), // Rule ID 23160 //
     /*  361602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  361605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  361610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  361613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  361626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  361634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361641 */     // (intrinsic_wo_chain:{ *:[i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  361644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361648 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  361650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361658 */     GIR_RootConstrainSelectedInstOperands,
     /*  361659 */     // GIR_Coverage, 23160,
     /*  361659 */     GIR_EraseRootFromParent_Done,
     /*  361660 */   // Label 6550: @361660
     /*  361660 */   GIM_Try, /*On fail goto*//*Label 6551*/ GIMT_Encode4(361723), // Rule ID 23163 //
     /*  361665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  361668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  361673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  361676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  361679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  361682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  361689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  361697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361704 */     // (intrinsic_wo_chain:{ *:[i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  361707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361711 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  361713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361721 */     GIR_RootConstrainSelectedInstOperands,
     /*  361722 */     // GIR_Coverage, 23163,
     /*  361722 */     GIR_EraseRootFromParent_Done,
     /*  361723 */   // Label 6551: @361723
     /*  361723 */   GIM_Try, /*On fail goto*//*Label 6552*/ GIMT_Encode4(361786), // Rule ID 23164 //
     /*  361728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  361731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  361736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  361739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  361742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  361745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  361752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  361760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361767 */     // (intrinsic_wo_chain:{ *:[i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  361770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361774 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  361776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361784 */     GIR_RootConstrainSelectedInstOperands,
     /*  361785 */     // GIR_Coverage, 23164,
     /*  361785 */     GIR_EraseRootFromParent_Done,
     /*  361786 */   // Label 6552: @361786
     /*  361786 */   GIM_Try, /*On fail goto*//*Label 6553*/ GIMT_Encode4(361849), // Rule ID 23167 //
     /*  361791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  361794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  361799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  361802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  361805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  361808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  361815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  361823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361830 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  361833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361837 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  361839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361847 */     GIR_RootConstrainSelectedInstOperands,
     /*  361848 */     // GIR_Coverage, 23167,
     /*  361848 */     GIR_EraseRootFromParent_Done,
     /*  361849 */   // Label 6553: @361849
     /*  361849 */   GIM_Try, /*On fail goto*//*Label 6554*/ GIMT_Encode4(361912), // Rule ID 23168 //
     /*  361854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  361857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  361862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  361865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  361868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  361871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  361878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  361886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361893 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  361896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361900 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  361902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361910 */     GIR_RootConstrainSelectedInstOperands,
     /*  361911 */     // GIR_Coverage, 23168,
     /*  361911 */     GIR_EraseRootFromParent_Done,
     /*  361912 */   // Label 6554: @361912
     /*  361912 */   GIM_Try, /*On fail goto*//*Label 6555*/ GIMT_Encode4(361975), // Rule ID 23171 //
     /*  361917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  361920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  361925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  361928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  361941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  361949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361956 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  361959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361963 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  361965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361973 */     GIR_RootConstrainSelectedInstOperands,
     /*  361974 */     // GIR_Coverage, 23171,
     /*  361974 */     GIR_EraseRootFromParent_Done,
     /*  361975 */   // Label 6555: @361975
     /*  361975 */   GIM_Try, /*On fail goto*//*Label 6556*/ GIMT_Encode4(362038), // Rule ID 23172 //
     /*  361980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  361983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  361988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  361991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362019 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  362022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362026 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362036 */     GIR_RootConstrainSelectedInstOperands,
     /*  362037 */     // GIR_Coverage, 23172,
     /*  362037 */     GIR_EraseRootFromParent_Done,
     /*  362038 */   // Label 6556: @362038
     /*  362038 */   GIM_Try, /*On fail goto*//*Label 6557*/ GIMT_Encode4(362101), // Rule ID 23175 //
     /*  362043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  362051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362082 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  362085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362089 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362099 */     GIR_RootConstrainSelectedInstOperands,
     /*  362100 */     // GIR_Coverage, 23175,
     /*  362100 */     GIR_EraseRootFromParent_Done,
     /*  362101 */   // Label 6557: @362101
     /*  362101 */   GIM_Try, /*On fail goto*//*Label 6558*/ GIMT_Encode4(362164), // Rule ID 23176 //
     /*  362106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  362114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362145 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  362148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362152 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362162 */     GIR_RootConstrainSelectedInstOperands,
     /*  362163 */     // GIR_Coverage, 23176,
     /*  362163 */     GIR_EraseRootFromParent_Done,
     /*  362164 */   // Label 6558: @362164
     /*  362164 */   GIM_Try, /*On fail goto*//*Label 6559*/ GIMT_Encode4(362227), // Rule ID 23179 //
     /*  362169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  362177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362208 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  362211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362215 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362225 */     GIR_RootConstrainSelectedInstOperands,
     /*  362226 */     // GIR_Coverage, 23179,
     /*  362226 */     GIR_EraseRootFromParent_Done,
     /*  362227 */   // Label 6559: @362227
     /*  362227 */   GIM_Try, /*On fail goto*//*Label 6560*/ GIMT_Encode4(362290), // Rule ID 23180 //
     /*  362232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  362240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362271 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  362274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362278 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362288 */     GIR_RootConstrainSelectedInstOperands,
     /*  362289 */     // GIR_Coverage, 23180,
     /*  362289 */     GIR_EraseRootFromParent_Done,
     /*  362290 */   // Label 6560: @362290
     /*  362290 */   GIM_Try, /*On fail goto*//*Label 6561*/ GIMT_Encode4(362353), // Rule ID 23183 //
     /*  362295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  362303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362334 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  362337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362341 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362351 */     GIR_RootConstrainSelectedInstOperands,
     /*  362352 */     // GIR_Coverage, 23183,
     /*  362352 */     GIR_EraseRootFromParent_Done,
     /*  362353 */   // Label 6561: @362353
     /*  362353 */   GIM_Try, /*On fail goto*//*Label 6562*/ GIMT_Encode4(362416), // Rule ID 23184 //
     /*  362358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  362366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362397 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  362400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362404 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362414 */     GIR_RootConstrainSelectedInstOperands,
     /*  362415 */     // GIR_Coverage, 23184,
     /*  362415 */     GIR_EraseRootFromParent_Done,
     /*  362416 */   // Label 6562: @362416
     /*  362416 */   GIM_Try, /*On fail goto*//*Label 6563*/ GIMT_Encode4(362479), // Rule ID 23187 //
     /*  362421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  362429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362460 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  362463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362467 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362477 */     GIR_RootConstrainSelectedInstOperands,
     /*  362478 */     // GIR_Coverage, 23187,
     /*  362478 */     GIR_EraseRootFromParent_Done,
     /*  362479 */   // Label 6563: @362479
     /*  362479 */   GIM_Try, /*On fail goto*//*Label 6564*/ GIMT_Encode4(362542), // Rule ID 23188 //
     /*  362484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  362492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362523 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  362526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362530 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362540 */     GIR_RootConstrainSelectedInstOperands,
     /*  362541 */     // GIR_Coverage, 23188,
     /*  362541 */     GIR_EraseRootFromParent_Done,
     /*  362542 */   // Label 6564: @362542
     /*  362542 */   GIM_Try, /*On fail goto*//*Label 6565*/ GIMT_Encode4(362605), // Rule ID 23191 //
     /*  362547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  362550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  362555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  362558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362586 */     // (intrinsic_wo_chain:{ *:[i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  362589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362593 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362603 */     GIR_RootConstrainSelectedInstOperands,
     /*  362604 */     // GIR_Coverage, 23191,
     /*  362604 */     GIR_EraseRootFromParent_Done,
     /*  362605 */   // Label 6565: @362605
     /*  362605 */   GIM_Try, /*On fail goto*//*Label 6566*/ GIMT_Encode4(362668), // Rule ID 23192 //
     /*  362610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  362613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  362618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  362621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  362634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  362642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362649 */     // (intrinsic_wo_chain:{ *:[i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  362652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362656 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  362658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362666 */     GIR_RootConstrainSelectedInstOperands,
     /*  362667 */     // GIR_Coverage, 23192,
     /*  362667 */     GIR_EraseRootFromParent_Done,
     /*  362668 */   // Label 6566: @362668
     /*  362668 */   GIM_Try, /*On fail goto*//*Label 6567*/ GIMT_Encode4(362734), // Rule ID 23273 //
     /*  362673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  362681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  362684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  362687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  362690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362712 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  362712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  362715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  362729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362732 */     GIR_RootConstrainSelectedInstOperands,
     /*  362733 */     // GIR_Coverage, 23273,
     /*  362733 */     GIR_EraseRootFromParent_Done,
     /*  362734 */   // Label 6567: @362734
     /*  362734 */   GIM_Try, /*On fail goto*//*Label 6568*/ GIMT_Encode4(362800), // Rule ID 23274 //
     /*  362739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  362747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  362750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  362753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  362756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362778 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  362778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  362781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  362795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362798 */     GIR_RootConstrainSelectedInstOperands,
     /*  362799 */     // GIR_Coverage, 23274,
     /*  362799 */     GIR_EraseRootFromParent_Done,
     /*  362800 */   // Label 6568: @362800
     /*  362800 */   GIM_Try, /*On fail goto*//*Label 6569*/ GIMT_Encode4(362866), // Rule ID 23277 //
     /*  362805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  362813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  362816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  362819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362844 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11222:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  362844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  362847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  362861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362864 */     GIR_RootConstrainSelectedInstOperands,
     /*  362865 */     // GIR_Coverage, 23277,
     /*  362865 */     GIR_EraseRootFromParent_Done,
     /*  362866 */   // Label 6569: @362866
     /*  362866 */   GIM_Try, /*On fail goto*//*Label 6570*/ GIMT_Encode4(362932), // Rule ID 23278 //
     /*  362871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  362879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  362882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  362885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362910 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11222:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  362910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  362913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  362927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362930 */     GIR_RootConstrainSelectedInstOperands,
     /*  362931 */     // GIR_Coverage, 23278,
     /*  362931 */     GIR_EraseRootFromParent_Done,
     /*  362932 */   // Label 6570: @362932
     /*  362932 */   GIM_Try, /*On fail goto*//*Label 6571*/ GIMT_Encode4(362998), // Rule ID 23281 //
     /*  362937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  362945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  362948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  362951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  362954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362976 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  362976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  362979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  362993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362996 */     GIR_RootConstrainSelectedInstOperands,
     /*  362997 */     // GIR_Coverage, 23281,
     /*  362997 */     GIR_EraseRootFromParent_Done,
     /*  362998 */   // Label 6571: @362998
     /*  362998 */   GIM_Try, /*On fail goto*//*Label 6572*/ GIMT_Encode4(363064), // Rule ID 23282 //
     /*  363003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  363011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  363014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  363017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  363020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363042 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  363042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  363045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  363059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363062 */     GIR_RootConstrainSelectedInstOperands,
     /*  363063 */     // GIR_Coverage, 23282,
     /*  363063 */     GIR_EraseRootFromParent_Done,
     /*  363064 */   // Label 6572: @363064
     /*  363064 */   GIM_Try, /*On fail goto*//*Label 6573*/ GIMT_Encode4(363130), // Rule ID 23285 //
     /*  363069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  363077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  363080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  363083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363108 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  363108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  363111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  363125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363128 */     GIR_RootConstrainSelectedInstOperands,
     /*  363129 */     // GIR_Coverage, 23285,
     /*  363129 */     GIR_EraseRootFromParent_Done,
     /*  363130 */   // Label 6573: @363130
     /*  363130 */   GIM_Try, /*On fail goto*//*Label 6574*/ GIMT_Encode4(363196), // Rule ID 23286 //
     /*  363135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  363143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  363146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  363149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363174 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  363174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  363177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  363191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363194 */     GIR_RootConstrainSelectedInstOperands,
     /*  363195 */     // GIR_Coverage, 23286,
     /*  363195 */     GIR_EraseRootFromParent_Done,
     /*  363196 */   // Label 6574: @363196
     /*  363196 */   GIM_Try, /*On fail goto*//*Label 6575*/ GIMT_Encode4(363262), // Rule ID 23289 //
     /*  363201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  363209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  363212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  363215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  363218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363240 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  363240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  363243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  363257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363260 */     GIR_RootConstrainSelectedInstOperands,
     /*  363261 */     // GIR_Coverage, 23289,
     /*  363261 */     GIR_EraseRootFromParent_Done,
     /*  363262 */   // Label 6575: @363262
     /*  363262 */   GIM_Try, /*On fail goto*//*Label 6576*/ GIMT_Encode4(363328), // Rule ID 23290 //
     /*  363267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  363275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  363278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  363281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  363284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363306 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  363306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  363309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  363323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363326 */     GIR_RootConstrainSelectedInstOperands,
     /*  363327 */     // GIR_Coverage, 23290,
     /*  363327 */     GIR_EraseRootFromParent_Done,
     /*  363328 */   // Label 6576: @363328
     /*  363328 */   GIM_Try, /*On fail goto*//*Label 6577*/ GIMT_Encode4(363394), // Rule ID 23293 //
     /*  363333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  363341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  363344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  363347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11222:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  363372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  363375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  363389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363392 */     GIR_RootConstrainSelectedInstOperands,
     /*  363393 */     // GIR_Coverage, 23293,
     /*  363393 */     GIR_EraseRootFromParent_Done,
     /*  363394 */   // Label 6577: @363394
     /*  363394 */   GIM_Try, /*On fail goto*//*Label 6578*/ GIMT_Encode4(363460), // Rule ID 23294 //
     /*  363399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  363407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  363410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  363413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363438 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11222:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  363438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  363441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  363455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363458 */     GIR_RootConstrainSelectedInstOperands,
     /*  363459 */     // GIR_Coverage, 23294,
     /*  363459 */     GIR_EraseRootFromParent_Done,
     /*  363460 */   // Label 6578: @363460
     /*  363460 */   GIM_Try, /*On fail goto*//*Label 6579*/ GIMT_Encode4(363526), // Rule ID 23297 //
     /*  363465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  363473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  363476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  363479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  363482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363504 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  363504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  363507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  363521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363524 */     GIR_RootConstrainSelectedInstOperands,
     /*  363525 */     // GIR_Coverage, 23297,
     /*  363525 */     GIR_EraseRootFromParent_Done,
     /*  363526 */   // Label 6579: @363526
     /*  363526 */   GIM_Try, /*On fail goto*//*Label 6580*/ GIMT_Encode4(363592), // Rule ID 23298 //
     /*  363531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  363539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  363542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  363545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  363548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363570 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11222:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  363570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  363573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  363587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363590 */     GIR_RootConstrainSelectedInstOperands,
     /*  363591 */     // GIR_Coverage, 23298,
     /*  363591 */     GIR_EraseRootFromParent_Done,
     /*  363592 */   // Label 6580: @363592
     /*  363592 */   GIM_Try, /*On fail goto*//*Label 6581*/ GIMT_Encode4(363658), // Rule ID 23301 //
     /*  363597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  363605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  363608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  363611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  363636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  363639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  363653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363656 */     GIR_RootConstrainSelectedInstOperands,
     /*  363657 */     // GIR_Coverage, 23301,
     /*  363657 */     GIR_EraseRootFromParent_Done,
     /*  363658 */   // Label 6581: @363658
     /*  363658 */   GIM_Try, /*On fail goto*//*Label 6582*/ GIMT_Encode4(363724), // Rule ID 23302 //
     /*  363663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  363671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  363674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  363677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11222:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  363702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  363705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  363719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363722 */     GIR_RootConstrainSelectedInstOperands,
     /*  363723 */     // GIR_Coverage, 23302,
     /*  363723 */     GIR_EraseRootFromParent_Done,
     /*  363724 */   // Label 6582: @363724
     /*  363724 */   GIM_Try, /*On fail goto*//*Label 6583*/ GIMT_Encode4(363790), // Rule ID 23305 //
     /*  363729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  363732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  363737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  363740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  363743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  363746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363768 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  363768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  363771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  363785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363788 */     GIR_RootConstrainSelectedInstOperands,
     /*  363789 */     // GIR_Coverage, 23305,
     /*  363789 */     GIR_EraseRootFromParent_Done,
     /*  363790 */   // Label 6583: @363790
     /*  363790 */   GIM_Try, /*On fail goto*//*Label 6584*/ GIMT_Encode4(363856), // Rule ID 23306 //
     /*  363795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  363798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  363803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  363806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  363809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  363812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363834 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11222:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  363834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  363837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  363851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363854 */     GIR_RootConstrainSelectedInstOperands,
     /*  363855 */     // GIR_Coverage, 23306,
     /*  363855 */     GIR_EraseRootFromParent_Done,
     /*  363856 */   // Label 6584: @363856
     /*  363856 */   GIM_Try, /*On fail goto*//*Label 6585*/ GIMT_Encode4(363922), // Rule ID 23309 //
     /*  363861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  363869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  363872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  363875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  363885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  363889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363900 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  363900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  363903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  363917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363920 */     GIR_RootConstrainSelectedInstOperands,
     /*  363921 */     // GIR_Coverage, 23309,
     /*  363921 */     GIR_EraseRootFromParent_Done,
     /*  363922 */   // Label 6585: @363922
     /*  363922 */   GIM_Try, /*On fail goto*//*Label 6586*/ GIMT_Encode4(363988), // Rule ID 23310 //
     /*  363927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  363935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  363938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  363941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  363951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  363955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363966 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  363966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  363969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  363983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363986 */     GIR_RootConstrainSelectedInstOperands,
     /*  363987 */     // GIR_Coverage, 23310,
     /*  363987 */     GIR_EraseRootFromParent_Done,
     /*  363988 */   // Label 6586: @363988
     /*  363988 */   GIM_Try, /*On fail goto*//*Label 6587*/ GIMT_Encode4(364054), // Rule ID 23313 //
     /*  363993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  364004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  364007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  364010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364032 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  364032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  364035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364052 */     GIR_RootConstrainSelectedInstOperands,
     /*  364053 */     // GIR_Coverage, 23313,
     /*  364053 */     GIR_EraseRootFromParent_Done,
     /*  364054 */   // Label 6587: @364054
     /*  364054 */   GIM_Try, /*On fail goto*//*Label 6588*/ GIMT_Encode4(364120), // Rule ID 23314 //
     /*  364059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  364070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  364073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  364076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364098 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  364098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  364101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364118 */     GIR_RootConstrainSelectedInstOperands,
     /*  364119 */     // GIR_Coverage, 23314,
     /*  364119 */     GIR_EraseRootFromParent_Done,
     /*  364120 */   // Label 6588: @364120
     /*  364120 */   GIM_Try, /*On fail goto*//*Label 6589*/ GIMT_Encode4(364186), // Rule ID 23317 //
     /*  364125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  364136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  364139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  364142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364164 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  364164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  364167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364184 */     GIR_RootConstrainSelectedInstOperands,
     /*  364185 */     // GIR_Coverage, 23317,
     /*  364185 */     GIR_EraseRootFromParent_Done,
     /*  364186 */   // Label 6589: @364186
     /*  364186 */   GIM_Try, /*On fail goto*//*Label 6590*/ GIMT_Encode4(364252), // Rule ID 23318 //
     /*  364191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  364202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  364205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  364208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364230 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  364230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  364233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364250 */     GIR_RootConstrainSelectedInstOperands,
     /*  364251 */     // GIR_Coverage, 23318,
     /*  364251 */     GIR_EraseRootFromParent_Done,
     /*  364252 */   // Label 6590: @364252
     /*  364252 */   GIM_Try, /*On fail goto*//*Label 6591*/ GIMT_Encode4(364318), // Rule ID 23321 //
     /*  364257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  364268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  364271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  364274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364296 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  364299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364316 */     GIR_RootConstrainSelectedInstOperands,
     /*  364317 */     // GIR_Coverage, 23321,
     /*  364317 */     GIR_EraseRootFromParent_Done,
     /*  364318 */   // Label 6591: @364318
     /*  364318 */   GIM_Try, /*On fail goto*//*Label 6592*/ GIMT_Encode4(364384), // Rule ID 23322 //
     /*  364323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  364334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  364337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  364340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364362 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  364365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364382 */     GIR_RootConstrainSelectedInstOperands,
     /*  364383 */     // GIR_Coverage, 23322,
     /*  364383 */     GIR_EraseRootFromParent_Done,
     /*  364384 */   // Label 6592: @364384
     /*  364384 */   GIM_Try, /*On fail goto*//*Label 6593*/ GIMT_Encode4(364450), // Rule ID 23325 //
     /*  364389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  364400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  364403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  364406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364428 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  364431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364448 */     GIR_RootConstrainSelectedInstOperands,
     /*  364449 */     // GIR_Coverage, 23325,
     /*  364449 */     GIR_EraseRootFromParent_Done,
     /*  364450 */   // Label 6593: @364450
     /*  364450 */   GIM_Try, /*On fail goto*//*Label 6594*/ GIMT_Encode4(364516), // Rule ID 23326 //
     /*  364455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  364466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  364469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  364472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364494 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  364497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364514 */     GIR_RootConstrainSelectedInstOperands,
     /*  364515 */     // GIR_Coverage, 23326,
     /*  364515 */     GIR_EraseRootFromParent_Done,
     /*  364516 */   // Label 6594: @364516
     /*  364516 */   GIM_Try, /*On fail goto*//*Label 6595*/ GIMT_Encode4(364582), // Rule ID 23329 //
     /*  364521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  364532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  364535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  364538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364560 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  364563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364580 */     GIR_RootConstrainSelectedInstOperands,
     /*  364581 */     // GIR_Coverage, 23329,
     /*  364581 */     GIR_EraseRootFromParent_Done,
     /*  364582 */   // Label 6595: @364582
     /*  364582 */   GIM_Try, /*On fail goto*//*Label 6596*/ GIMT_Encode4(364648), // Rule ID 23330 //
     /*  364587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  364598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  364601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  364604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364626 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  364629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364646 */     GIR_RootConstrainSelectedInstOperands,
     /*  364647 */     // GIR_Coverage, 23330,
     /*  364647 */     GIR_EraseRootFromParent_Done,
     /*  364648 */   // Label 6596: @364648
     /*  364648 */   GIM_Try, /*On fail goto*//*Label 6597*/ GIMT_Encode4(364714), // Rule ID 23333 //
     /*  364653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  364664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  364667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364692 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  364692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  364695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364712 */     GIR_RootConstrainSelectedInstOperands,
     /*  364713 */     // GIR_Coverage, 23333,
     /*  364713 */     GIR_EraseRootFromParent_Done,
     /*  364714 */   // Label 6597: @364714
     /*  364714 */   GIM_Try, /*On fail goto*//*Label 6598*/ GIMT_Encode4(364780), // Rule ID 23334 //
     /*  364719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  364730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  364733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364758 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  364758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  364761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364778 */     GIR_RootConstrainSelectedInstOperands,
     /*  364779 */     // GIR_Coverage, 23334,
     /*  364779 */     GIR_EraseRootFromParent_Done,
     /*  364780 */   // Label 6598: @364780
     /*  364780 */   GIM_Try, /*On fail goto*//*Label 6599*/ GIMT_Encode4(364846), // Rule ID 23337 //
     /*  364785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  364796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  364799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  364802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364824 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  364824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  364827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364844 */     GIR_RootConstrainSelectedInstOperands,
     /*  364845 */     // GIR_Coverage, 23337,
     /*  364845 */     GIR_EraseRootFromParent_Done,
     /*  364846 */   // Label 6599: @364846
     /*  364846 */   GIM_Try, /*On fail goto*//*Label 6600*/ GIMT_Encode4(364912), // Rule ID 23338 //
     /*  364851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  364862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  364865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  364868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  364879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364890 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  364890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  364893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364910 */     GIR_RootConstrainSelectedInstOperands,
     /*  364911 */     // GIR_Coverage, 23338,
     /*  364911 */     GIR_EraseRootFromParent_Done,
     /*  364912 */   // Label 6600: @364912
     /*  364912 */   GIM_Try, /*On fail goto*//*Label 6601*/ GIMT_Encode4(364978), // Rule ID 23341 //
     /*  364917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  364928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  364931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  364934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  364945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364956 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  364956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  364959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364976 */     GIR_RootConstrainSelectedInstOperands,
     /*  364977 */     // GIR_Coverage, 23341,
     /*  364977 */     GIR_EraseRootFromParent_Done,
     /*  364978 */   // Label 6601: @364978
     /*  364978 */   GIM_Try, /*On fail goto*//*Label 6602*/ GIMT_Encode4(365044), // Rule ID 23342 //
     /*  364983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  364991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  364994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  364997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  365000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365022 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  365022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  365025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365042 */     GIR_RootConstrainSelectedInstOperands,
     /*  365043 */     // GIR_Coverage, 23342,
     /*  365043 */     GIR_EraseRootFromParent_Done,
     /*  365044 */   // Label 6602: @365044
     /*  365044 */   GIM_Try, /*On fail goto*//*Label 6603*/ GIMT_Encode4(365110), // Rule ID 23345 //
     /*  365049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  365052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  365060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  365063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  365066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365088 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  365088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365108 */     GIR_RootConstrainSelectedInstOperands,
     /*  365109 */     // GIR_Coverage, 23345,
     /*  365109 */     GIR_EraseRootFromParent_Done,
     /*  365110 */   // Label 6603: @365110
     /*  365110 */   GIM_Try, /*On fail goto*//*Label 6604*/ GIMT_Encode4(365176), // Rule ID 23346 //
     /*  365115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  365118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  365126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  365129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  365132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365154 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11222:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  365154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  365157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365174 */     GIR_RootConstrainSelectedInstOperands,
     /*  365175 */     // GIR_Coverage, 23346,
     /*  365175 */     GIR_EraseRootFromParent_Done,
     /*  365176 */   // Label 6604: @365176
     /*  365176 */   GIM_Try, /*On fail goto*//*Label 6605*/ GIMT_Encode4(365242), // Rule ID 23349 //
     /*  365181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  365184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  365192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  365195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365220 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  365220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  365223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365240 */     GIR_RootConstrainSelectedInstOperands,
     /*  365241 */     // GIR_Coverage, 23349,
     /*  365241 */     GIR_EraseRootFromParent_Done,
     /*  365242 */   // Label 6605: @365242
     /*  365242 */   GIM_Try, /*On fail goto*//*Label 6606*/ GIMT_Encode4(365308), // Rule ID 23350 //
     /*  365247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  365250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  365258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  365261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365286 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11222:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  365286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  365289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365306 */     GIR_RootConstrainSelectedInstOperands,
     /*  365307 */     // GIR_Coverage, 23350,
     /*  365307 */     GIR_EraseRootFromParent_Done,
     /*  365308 */   // Label 6606: @365308
     /*  365308 */   GIM_Try, /*On fail goto*//*Label 6607*/ GIMT_Encode4(365374), // Rule ID 23353 //
     /*  365313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  365316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  365324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  365327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365352 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  365352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  365355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365372 */     GIR_RootConstrainSelectedInstOperands,
     /*  365373 */     // GIR_Coverage, 23353,
     /*  365373 */     GIR_EraseRootFromParent_Done,
     /*  365374 */   // Label 6607: @365374
     /*  365374 */   GIM_Try, /*On fail goto*//*Label 6608*/ GIMT_Encode4(365440), // Rule ID 23354 //
     /*  365379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  365382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  365387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  365390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  365393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365418 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11222:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  365418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  365421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365438 */     GIR_RootConstrainSelectedInstOperands,
     /*  365439 */     // GIR_Coverage, 23354,
     /*  365439 */     GIR_EraseRootFromParent_Done,
     /*  365440 */   // Label 6608: @365440
     /*  365440 */   GIM_Try, /*On fail goto*//*Label 6609*/ GIMT_Encode4(365506), // Rule ID 59981 //
     /*  365445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  365448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  365453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  365456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  365459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  365462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365484 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  365487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365504 */     GIR_RootConstrainSelectedInstOperands,
     /*  365505 */     // GIR_Coverage, 59981,
     /*  365505 */     GIR_EraseRootFromParent_Done,
     /*  365506 */   // Label 6609: @365506
     /*  365506 */   GIM_Try, /*On fail goto*//*Label 6610*/ GIMT_Encode4(365572), // Rule ID 59982 //
     /*  365511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  365514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  365519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  365522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  365525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  365528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365550 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  365553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365570 */     GIR_RootConstrainSelectedInstOperands,
     /*  365571 */     // GIR_Coverage, 59982,
     /*  365571 */     GIR_EraseRootFromParent_Done,
     /*  365572 */   // Label 6610: @365572
     /*  365572 */   GIM_Try, /*On fail goto*//*Label 6611*/ GIMT_Encode4(365638), // Rule ID 59985 //
     /*  365577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  365580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  365585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  365588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  365591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  365594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365616 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  365619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365636 */     GIR_RootConstrainSelectedInstOperands,
     /*  365637 */     // GIR_Coverage, 59985,
     /*  365637 */     GIR_EraseRootFromParent_Done,
     /*  365638 */   // Label 6611: @365638
     /*  365638 */   GIM_Try, /*On fail goto*//*Label 6612*/ GIMT_Encode4(365704), // Rule ID 59986 //
     /*  365643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  365646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  365651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  365654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  365657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  365660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365682 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  365685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365702 */     GIR_RootConstrainSelectedInstOperands,
     /*  365703 */     // GIR_Coverage, 59986,
     /*  365703 */     GIR_EraseRootFromParent_Done,
     /*  365704 */   // Label 6612: @365704
     /*  365704 */   GIM_Try, /*On fail goto*//*Label 6613*/ GIMT_Encode4(365770), // Rule ID 59989 //
     /*  365709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  365712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  365717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  365720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  365723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  365726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365748 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  365751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365768 */     GIR_RootConstrainSelectedInstOperands,
     /*  365769 */     // GIR_Coverage, 59989,
     /*  365769 */     GIR_EraseRootFromParent_Done,
     /*  365770 */   // Label 6613: @365770
     /*  365770 */   GIM_Try, /*On fail goto*//*Label 6614*/ GIMT_Encode4(365836), // Rule ID 59990 //
     /*  365775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  365778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  365783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  365786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  365789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  365792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365814 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  365817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365834 */     GIR_RootConstrainSelectedInstOperands,
     /*  365835 */     // GIR_Coverage, 59990,
     /*  365835 */     GIR_EraseRootFromParent_Done,
     /*  365836 */   // Label 6614: @365836
     /*  365836 */   GIM_Try, /*On fail goto*//*Label 6615*/ GIMT_Encode4(365902), // Rule ID 59993 //
     /*  365841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  365844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  365849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  365852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  365855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  365858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365880 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  365880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  365883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365900 */     GIR_RootConstrainSelectedInstOperands,
     /*  365901 */     // GIR_Coverage, 59993,
     /*  365901 */     GIR_EraseRootFromParent_Done,
     /*  365902 */   // Label 6615: @365902
     /*  365902 */   GIM_Try, /*On fail goto*//*Label 6616*/ GIMT_Encode4(365968), // Rule ID 59994 //
     /*  365907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  365910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  365915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  365918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  365921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  365924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  365946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  365949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365966 */     GIR_RootConstrainSelectedInstOperands,
     /*  365967 */     // GIR_Coverage, 59994,
     /*  365967 */     GIR_EraseRootFromParent_Done,
     /*  365968 */   // Label 6616: @365968
     /*  365968 */   GIM_Try, /*On fail goto*//*Label 6617*/ GIMT_Encode4(366034), // Rule ID 59997 //
     /*  365973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  365976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  365981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  365984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  365987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  365990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366012 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  366012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  366015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366032 */     GIR_RootConstrainSelectedInstOperands,
     /*  366033 */     // GIR_Coverage, 59997,
     /*  366033 */     GIR_EraseRootFromParent_Done,
     /*  366034 */   // Label 6617: @366034
     /*  366034 */   GIM_Try, /*On fail goto*//*Label 6618*/ GIMT_Encode4(366100), // Rule ID 59998 //
     /*  366039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  366050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  366053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  366056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366078 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  366078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  366081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366098 */     GIR_RootConstrainSelectedInstOperands,
     /*  366099 */     // GIR_Coverage, 59998,
     /*  366099 */     GIR_EraseRootFromParent_Done,
     /*  366100 */   // Label 6618: @366100
     /*  366100 */   GIM_Try, /*On fail goto*//*Label 6619*/ GIMT_Encode4(366166), // Rule ID 60001 //
     /*  366105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  366116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  366119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  366122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366144 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  366144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  366147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366164 */     GIR_RootConstrainSelectedInstOperands,
     /*  366165 */     // GIR_Coverage, 60001,
     /*  366165 */     GIR_EraseRootFromParent_Done,
     /*  366166 */   // Label 6619: @366166
     /*  366166 */   GIM_Try, /*On fail goto*//*Label 6620*/ GIMT_Encode4(366232), // Rule ID 60002 //
     /*  366171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  366182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  366185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  366188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366210 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  366210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  366213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366230 */     GIR_RootConstrainSelectedInstOperands,
     /*  366231 */     // GIR_Coverage, 60002,
     /*  366231 */     GIR_EraseRootFromParent_Done,
     /*  366232 */   // Label 6620: @366232
     /*  366232 */   GIM_Try, /*On fail goto*//*Label 6621*/ GIMT_Encode4(366298), // Rule ID 60005 //
     /*  366237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  366248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  366251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  366254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366276 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  366279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366296 */     GIR_RootConstrainSelectedInstOperands,
     /*  366297 */     // GIR_Coverage, 60005,
     /*  366297 */     GIR_EraseRootFromParent_Done,
     /*  366298 */   // Label 6621: @366298
     /*  366298 */   GIM_Try, /*On fail goto*//*Label 6622*/ GIMT_Encode4(366364), // Rule ID 60006 //
     /*  366303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  366314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  366317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  366320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366342 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  366342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  366345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366362 */     GIR_RootConstrainSelectedInstOperands,
     /*  366363 */     // GIR_Coverage, 60006,
     /*  366363 */     GIR_EraseRootFromParent_Done,
     /*  366364 */   // Label 6622: @366364
     /*  366364 */   GIM_Try, /*On fail goto*//*Label 6623*/ GIMT_Encode4(366430), // Rule ID 60009 //
     /*  366369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  366380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  366383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  366386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366408 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  366408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  366411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366428 */     GIR_RootConstrainSelectedInstOperands,
     /*  366429 */     // GIR_Coverage, 60009,
     /*  366429 */     GIR_EraseRootFromParent_Done,
     /*  366430 */   // Label 6623: @366430
     /*  366430 */   GIM_Try, /*On fail goto*//*Label 6624*/ GIMT_Encode4(366496), // Rule ID 60010 //
     /*  366435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  366446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  366449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  366452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366474 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  366474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  366477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366494 */     GIR_RootConstrainSelectedInstOperands,
     /*  366495 */     // GIR_Coverage, 60010,
     /*  366495 */     GIR_EraseRootFromParent_Done,
     /*  366496 */   // Label 6624: @366496
     /*  366496 */   GIM_Try, /*On fail goto*//*Label 6625*/ GIMT_Encode4(366562), // Rule ID 60013 //
     /*  366501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  366512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  366515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  366518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366540 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  366540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  366543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366560 */     GIR_RootConstrainSelectedInstOperands,
     /*  366561 */     // GIR_Coverage, 60013,
     /*  366561 */     GIR_EraseRootFromParent_Done,
     /*  366562 */   // Label 6625: @366562
     /*  366562 */   GIM_Try, /*On fail goto*//*Label 6626*/ GIMT_Encode4(366628), // Rule ID 60014 //
     /*  366567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  366578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  366581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  366584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366606 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  366606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  366609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366626 */     GIR_RootConstrainSelectedInstOperands,
     /*  366627 */     // GIR_Coverage, 60014,
     /*  366627 */     GIR_EraseRootFromParent_Done,
     /*  366628 */   // Label 6626: @366628
     /*  366628 */   GIM_Try, /*On fail goto*//*Label 6627*/ GIMT_Encode4(366694), // Rule ID 60017 //
     /*  366633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  366644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  366647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  366650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366672 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  366672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  366675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366692 */     GIR_RootConstrainSelectedInstOperands,
     /*  366693 */     // GIR_Coverage, 60017,
     /*  366693 */     GIR_EraseRootFromParent_Done,
     /*  366694 */   // Label 6627: @366694
     /*  366694 */   GIM_Try, /*On fail goto*//*Label 6628*/ GIMT_Encode4(366760), // Rule ID 60018 //
     /*  366699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  366710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  366713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  366716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366738 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  366738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  366741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366758 */     GIR_RootConstrainSelectedInstOperands,
     /*  366759 */     // GIR_Coverage, 60018,
     /*  366759 */     GIR_EraseRootFromParent_Done,
     /*  366760 */   // Label 6628: @366760
     /*  366760 */   GIM_Try, /*On fail goto*//*Label 6629*/ GIMT_Encode4(366826), // Rule ID 60021 //
     /*  366765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  366776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  366779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  366782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366804 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  366807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366824 */     GIR_RootConstrainSelectedInstOperands,
     /*  366825 */     // GIR_Coverage, 60021,
     /*  366825 */     GIR_EraseRootFromParent_Done,
     /*  366826 */   // Label 6629: @366826
     /*  366826 */   GIM_Try, /*On fail goto*//*Label 6630*/ GIMT_Encode4(366892), // Rule ID 60022 //
     /*  366831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  366842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  366845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  366848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366870 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  366870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  366873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366890 */     GIR_RootConstrainSelectedInstOperands,
     /*  366891 */     // GIR_Coverage, 60022,
     /*  366891 */     GIR_EraseRootFromParent_Done,
     /*  366892 */   // Label 6630: @366892
     /*  366892 */   GIM_Try, /*On fail goto*//*Label 6631*/ GIMT_Encode4(366958), // Rule ID 60025 //
     /*  366897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  366908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  366911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  366914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366936 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  366939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366956 */     GIR_RootConstrainSelectedInstOperands,
     /*  366957 */     // GIR_Coverage, 60025,
     /*  366957 */     GIR_EraseRootFromParent_Done,
     /*  366958 */   // Label 6631: @366958
     /*  366958 */   GIM_Try, /*On fail goto*//*Label 6632*/ GIMT_Encode4(367024), // Rule ID 60026 //
     /*  366963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  366971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  366974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  366977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  366980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367002 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  367005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367022 */     GIR_RootConstrainSelectedInstOperands,
     /*  367023 */     // GIR_Coverage, 60026,
     /*  367023 */     GIR_EraseRootFromParent_Done,
     /*  367024 */   // Label 6632: @367024
     /*  367024 */   GIM_Try, /*On fail goto*//*Label 6633*/ GIMT_Encode4(367090), // Rule ID 60029 //
     /*  367029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  367040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  367043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  367046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367068 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  367071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367088 */     GIR_RootConstrainSelectedInstOperands,
     /*  367089 */     // GIR_Coverage, 60029,
     /*  367089 */     GIR_EraseRootFromParent_Done,
     /*  367090 */   // Label 6633: @367090
     /*  367090 */   GIM_Try, /*On fail goto*//*Label 6634*/ GIMT_Encode4(367156), // Rule ID 60030 //
     /*  367095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  367106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  367109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  367112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367134 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  367137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367154 */     GIR_RootConstrainSelectedInstOperands,
     /*  367155 */     // GIR_Coverage, 60030,
     /*  367155 */     GIR_EraseRootFromParent_Done,
     /*  367156 */   // Label 6634: @367156
     /*  367156 */   GIM_Try, /*On fail goto*//*Label 6635*/ GIMT_Encode4(367222), // Rule ID 60033 //
     /*  367161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  367172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  367175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  367178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367200 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  367203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367220 */     GIR_RootConstrainSelectedInstOperands,
     /*  367221 */     // GIR_Coverage, 60033,
     /*  367221 */     GIR_EraseRootFromParent_Done,
     /*  367222 */   // Label 6635: @367222
     /*  367222 */   GIM_Try, /*On fail goto*//*Label 6636*/ GIMT_Encode4(367288), // Rule ID 60034 //
     /*  367227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  367238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  367241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  367244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367266 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  367269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367286 */     GIR_RootConstrainSelectedInstOperands,
     /*  367287 */     // GIR_Coverage, 60034,
     /*  367287 */     GIR_EraseRootFromParent_Done,
     /*  367288 */   // Label 6636: @367288
     /*  367288 */   GIM_Try, /*On fail goto*//*Label 6637*/ GIMT_Encode4(367354), // Rule ID 60037 //
     /*  367293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  367304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  367307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  367310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367332 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  367335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367352 */     GIR_RootConstrainSelectedInstOperands,
     /*  367353 */     // GIR_Coverage, 60037,
     /*  367353 */     GIR_EraseRootFromParent_Done,
     /*  367354 */   // Label 6637: @367354
     /*  367354 */   GIM_Try, /*On fail goto*//*Label 6638*/ GIMT_Encode4(367420), // Rule ID 60038 //
     /*  367359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  367370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  367373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  367376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367398 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  367401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367418 */     GIR_RootConstrainSelectedInstOperands,
     /*  367419 */     // GIR_Coverage, 60038,
     /*  367419 */     GIR_EraseRootFromParent_Done,
     /*  367420 */   // Label 6638: @367420
     /*  367420 */   GIM_Try, /*On fail goto*//*Label 6639*/ GIMT_Encode4(367486), // Rule ID 60041 //
     /*  367425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  367436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  367439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  367442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367464 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  367467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367484 */     GIR_RootConstrainSelectedInstOperands,
     /*  367485 */     // GIR_Coverage, 60041,
     /*  367485 */     GIR_EraseRootFromParent_Done,
     /*  367486 */   // Label 6639: @367486
     /*  367486 */   GIM_Try, /*On fail goto*//*Label 6640*/ GIMT_Encode4(367552), // Rule ID 60042 //
     /*  367491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  367502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  367505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  367508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367530 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  367533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367550 */     GIR_RootConstrainSelectedInstOperands,
     /*  367551 */     // GIR_Coverage, 60042,
     /*  367551 */     GIR_EraseRootFromParent_Done,
     /*  367552 */   // Label 6640: @367552
     /*  367552 */   GIM_Try, /*On fail goto*//*Label 6641*/ GIMT_Encode4(367618), // Rule ID 60045 //
     /*  367557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  367568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  367571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  367574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  367596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  367599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367616 */     GIR_RootConstrainSelectedInstOperands,
     /*  367617 */     // GIR_Coverage, 60045,
     /*  367617 */     GIR_EraseRootFromParent_Done,
     /*  367618 */   // Label 6641: @367618
     /*  367618 */   GIM_Try, /*On fail goto*//*Label 6642*/ GIMT_Encode4(367684), // Rule ID 60046 //
     /*  367623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  367634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  367637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  367640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367662 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  367662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  367665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367682 */     GIR_RootConstrainSelectedInstOperands,
     /*  367683 */     // GIR_Coverage, 60046,
     /*  367683 */     GIR_EraseRootFromParent_Done,
     /*  367684 */   // Label 6642: @367684
     /*  367684 */   GIM_Try, /*On fail goto*//*Label 6643*/ GIMT_Encode4(367750), // Rule ID 60049 //
     /*  367689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  367700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  367703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  367706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  367728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  367731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367748 */     GIR_RootConstrainSelectedInstOperands,
     /*  367749 */     // GIR_Coverage, 60049,
     /*  367749 */     GIR_EraseRootFromParent_Done,
     /*  367750 */   // Label 6643: @367750
     /*  367750 */   GIM_Try, /*On fail goto*//*Label 6644*/ GIMT_Encode4(367816), // Rule ID 60050 //
     /*  367755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  367766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  367769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  367772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367794 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  367794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  367797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367814 */     GIR_RootConstrainSelectedInstOperands,
     /*  367815 */     // GIR_Coverage, 60050,
     /*  367815 */     GIR_EraseRootFromParent_Done,
     /*  367816 */   // Label 6644: @367816
     /*  367816 */   GIM_Try, /*On fail goto*//*Label 6645*/ GIMT_Encode4(367882), // Rule ID 60053 //
     /*  367821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  367832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  367835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  367838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367860 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  367860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  367863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367880 */     GIR_RootConstrainSelectedInstOperands,
     /*  367881 */     // GIR_Coverage, 60053,
     /*  367881 */     GIR_EraseRootFromParent_Done,
     /*  367882 */   // Label 6645: @367882
     /*  367882 */   GIM_Try, /*On fail goto*//*Label 6646*/ GIMT_Encode4(367948), // Rule ID 60054 //
     /*  367887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  367898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  367901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  367904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  367926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  367929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367946 */     GIR_RootConstrainSelectedInstOperands,
     /*  367947 */     // GIR_Coverage, 60054,
     /*  367947 */     GIR_EraseRootFromParent_Done,
     /*  367948 */   // Label 6646: @367948
     /*  367948 */   GIM_Try, /*On fail goto*//*Label 6647*/ GIMT_Encode4(368014), // Rule ID 60057 //
     /*  367953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  367961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  367964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  367967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  367970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367992 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  367992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  367995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  368009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368012 */     GIR_RootConstrainSelectedInstOperands,
     /*  368013 */     // GIR_Coverage, 60057,
     /*  368013 */     GIR_EraseRootFromParent_Done,
     /*  368014 */   // Label 6647: @368014
     /*  368014 */   GIM_Try, /*On fail goto*//*Label 6648*/ GIMT_Encode4(368080), // Rule ID 60058 //
     /*  368019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  368030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  368033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  368036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368058 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  368058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  368061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  368075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368078 */     GIR_RootConstrainSelectedInstOperands,
     /*  368079 */     // GIR_Coverage, 60058,
     /*  368079 */     GIR_EraseRootFromParent_Done,
     /*  368080 */   // Label 6648: @368080
     /*  368080 */   GIM_Try, /*On fail goto*//*Label 6649*/ GIMT_Encode4(368146), // Rule ID 60061 //
     /*  368085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  368096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  368099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  368102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368124 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  368124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  368127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  368141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368144 */     GIR_RootConstrainSelectedInstOperands,
     /*  368145 */     // GIR_Coverage, 60061,
     /*  368145 */     GIR_EraseRootFromParent_Done,
     /*  368146 */   // Label 6649: @368146
     /*  368146 */   GIM_Try, /*On fail goto*//*Label 6650*/ GIMT_Encode4(368212), // Rule ID 60062 //
     /*  368151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  368162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  368165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  368168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368190 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  368190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  368193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  368207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368210 */     GIR_RootConstrainSelectedInstOperands,
     /*  368211 */     // GIR_Coverage, 60062,
     /*  368211 */     GIR_EraseRootFromParent_Done,
     /*  368212 */   // Label 6650: @368212
     /*  368212 */   GIM_Try, /*On fail goto*//*Label 6651*/ GIMT_Encode4(368278), // Rule ID 60065 //
     /*  368217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  368228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  368231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  368234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368256 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  368256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  368259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  368273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368276 */     GIR_RootConstrainSelectedInstOperands,
     /*  368277 */     // GIR_Coverage, 60065,
     /*  368277 */     GIR_EraseRootFromParent_Done,
     /*  368278 */   // Label 6651: @368278
     /*  368278 */   GIM_Try, /*On fail goto*//*Label 6652*/ GIMT_Encode4(368344), // Rule ID 60066 //
     /*  368283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  368291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  368294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  368297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  368300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  368322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  368325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  368339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368342 */     GIR_RootConstrainSelectedInstOperands,
     /*  368343 */     // GIR_Coverage, 60066,
     /*  368343 */     GIR_EraseRootFromParent_Done,
     /*  368344 */   // Label 6652: @368344
     /*  368344 */   GIM_Try, /*On fail goto*//*Label 6653*/ GIMT_Encode4(368410), // Rule ID 60069 //
     /*  368349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  368357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  368360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  368363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  368366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368388 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  368391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368408 */     GIR_RootConstrainSelectedInstOperands,
     /*  368409 */     // GIR_Coverage, 60069,
     /*  368409 */     GIR_EraseRootFromParent_Done,
     /*  368410 */   // Label 6653: @368410
     /*  368410 */   GIM_Try, /*On fail goto*//*Label 6654*/ GIMT_Encode4(368476), // Rule ID 60070 //
     /*  368415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  368423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  368426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  368429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  368432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368454 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  368457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368474 */     GIR_RootConstrainSelectedInstOperands,
     /*  368475 */     // GIR_Coverage, 60070,
     /*  368475 */     GIR_EraseRootFromParent_Done,
     /*  368476 */   // Label 6654: @368476
     /*  368476 */   GIM_Try, /*On fail goto*//*Label 6655*/ GIMT_Encode4(368542), // Rule ID 60073 //
     /*  368481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  368489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  368492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  368495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  368498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368520 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  368523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368540 */     GIR_RootConstrainSelectedInstOperands,
     /*  368541 */     // GIR_Coverage, 60073,
     /*  368541 */     GIR_EraseRootFromParent_Done,
     /*  368542 */   // Label 6655: @368542
     /*  368542 */   GIM_Try, /*On fail goto*//*Label 6656*/ GIMT_Encode4(368608), // Rule ID 60074 //
     /*  368547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  368555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  368558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  368561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  368564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368586 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  368589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368606 */     GIR_RootConstrainSelectedInstOperands,
     /*  368607 */     // GIR_Coverage, 60074,
     /*  368607 */     GIR_EraseRootFromParent_Done,
     /*  368608 */   // Label 6656: @368608
     /*  368608 */   GIM_Try, /*On fail goto*//*Label 6657*/ GIMT_Encode4(368674), // Rule ID 60077 //
     /*  368613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  368621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  368624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  368627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  368630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368652 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  368655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368672 */     GIR_RootConstrainSelectedInstOperands,
     /*  368673 */     // GIR_Coverage, 60077,
     /*  368673 */     GIR_EraseRootFromParent_Done,
     /*  368674 */   // Label 6657: @368674
     /*  368674 */   GIM_Try, /*On fail goto*//*Label 6658*/ GIMT_Encode4(368740), // Rule ID 60078 //
     /*  368679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  368687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  368690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  368693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  368696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368718 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  368721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368738 */     GIR_RootConstrainSelectedInstOperands,
     /*  368739 */     // GIR_Coverage, 60078,
     /*  368739 */     GIR_EraseRootFromParent_Done,
     /*  368740 */   // Label 6658: @368740
     /*  368740 */   GIM_Try, /*On fail goto*//*Label 6659*/ GIMT_Encode4(368806), // Rule ID 60081 //
     /*  368745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  368753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  368756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  368759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  368762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368784 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  368787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368804 */     GIR_RootConstrainSelectedInstOperands,
     /*  368805 */     // GIR_Coverage, 60081,
     /*  368805 */     GIR_EraseRootFromParent_Done,
     /*  368806 */   // Label 6659: @368806
     /*  368806 */   GIM_Try, /*On fail goto*//*Label 6660*/ GIMT_Encode4(368872), // Rule ID 60082 //
     /*  368811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  368819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  368822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  368825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  368828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368850 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  368853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368870 */     GIR_RootConstrainSelectedInstOperands,
     /*  368871 */     // GIR_Coverage, 60082,
     /*  368871 */     GIR_EraseRootFromParent_Done,
     /*  368872 */   // Label 6660: @368872
     /*  368872 */   GIM_Try, /*On fail goto*//*Label 6661*/ GIMT_Encode4(368938), // Rule ID 60085 //
     /*  368877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  368885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  368888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  368891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  368894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368916 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  368919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368936 */     GIR_RootConstrainSelectedInstOperands,
     /*  368937 */     // GIR_Coverage, 60085,
     /*  368937 */     GIR_EraseRootFromParent_Done,
     /*  368938 */   // Label 6661: @368938
     /*  368938 */   GIM_Try, /*On fail goto*//*Label 6662*/ GIMT_Encode4(369004), // Rule ID 60086 //
     /*  368943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  368951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  368954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  368957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  368960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368982 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  368985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369002 */     GIR_RootConstrainSelectedInstOperands,
     /*  369003 */     // GIR_Coverage, 60086,
     /*  369003 */     GIR_EraseRootFromParent_Done,
     /*  369004 */   // Label 6662: @369004
     /*  369004 */   GIM_Try, /*On fail goto*//*Label 6663*/ GIMT_Encode4(369070), // Rule ID 60089 //
     /*  369009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  369020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  369023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  369026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369048 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  369051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369068 */     GIR_RootConstrainSelectedInstOperands,
     /*  369069 */     // GIR_Coverage, 60089,
     /*  369069 */     GIR_EraseRootFromParent_Done,
     /*  369070 */   // Label 6663: @369070
     /*  369070 */   GIM_Try, /*On fail goto*//*Label 6664*/ GIMT_Encode4(369136), // Rule ID 60090 //
     /*  369075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  369086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  369089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  369092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369114 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  369117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369134 */     GIR_RootConstrainSelectedInstOperands,
     /*  369135 */     // GIR_Coverage, 60090,
     /*  369135 */     GIR_EraseRootFromParent_Done,
     /*  369136 */   // Label 6664: @369136
     /*  369136 */   GIM_Try, /*On fail goto*//*Label 6665*/ GIMT_Encode4(369202), // Rule ID 60093 //
     /*  369141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  369152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  369155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  369158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369180 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  369183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369200 */     GIR_RootConstrainSelectedInstOperands,
     /*  369201 */     // GIR_Coverage, 60093,
     /*  369201 */     GIR_EraseRootFromParent_Done,
     /*  369202 */   // Label 6665: @369202
     /*  369202 */   GIM_Try, /*On fail goto*//*Label 6666*/ GIMT_Encode4(369268), // Rule ID 60094 //
     /*  369207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  369218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  369221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  369224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369246 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  369249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369266 */     GIR_RootConstrainSelectedInstOperands,
     /*  369267 */     // GIR_Coverage, 60094,
     /*  369267 */     GIR_EraseRootFromParent_Done,
     /*  369268 */   // Label 6666: @369268
     /*  369268 */   GIM_Try, /*On fail goto*//*Label 6667*/ GIMT_Encode4(369334), // Rule ID 60097 //
     /*  369273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  369284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  369287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  369290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369312 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  369312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  369315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369332 */     GIR_RootConstrainSelectedInstOperands,
     /*  369333 */     // GIR_Coverage, 60097,
     /*  369333 */     GIR_EraseRootFromParent_Done,
     /*  369334 */   // Label 6667: @369334
     /*  369334 */   GIM_Try, /*On fail goto*//*Label 6668*/ GIMT_Encode4(369400), // Rule ID 60098 //
     /*  369339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  369350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  369353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  369356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  369378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  369381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369398 */     GIR_RootConstrainSelectedInstOperands,
     /*  369399 */     // GIR_Coverage, 60098,
     /*  369399 */     GIR_EraseRootFromParent_Done,
     /*  369400 */   // Label 6668: @369400
     /*  369400 */   GIM_Try, /*On fail goto*//*Label 6669*/ GIMT_Encode4(369466), // Rule ID 60101 //
     /*  369405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  369416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  369419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  369422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369444 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  369447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369464 */     GIR_RootConstrainSelectedInstOperands,
     /*  369465 */     // GIR_Coverage, 60101,
     /*  369465 */     GIR_EraseRootFromParent_Done,
     /*  369466 */   // Label 6669: @369466
     /*  369466 */   GIM_Try, /*On fail goto*//*Label 6670*/ GIMT_Encode4(369532), // Rule ID 60102 //
     /*  369471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  369482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  369485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  369488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369510 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  369513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369530 */     GIR_RootConstrainSelectedInstOperands,
     /*  369531 */     // GIR_Coverage, 60102,
     /*  369531 */     GIR_EraseRootFromParent_Done,
     /*  369532 */   // Label 6670: @369532
     /*  369532 */   GIM_Try, /*On fail goto*//*Label 6671*/ GIMT_Encode4(369598), // Rule ID 60105 //
     /*  369537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  369548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  369551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  369554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369576 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  369576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  369579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369596 */     GIR_RootConstrainSelectedInstOperands,
     /*  369597 */     // GIR_Coverage, 60105,
     /*  369597 */     GIR_EraseRootFromParent_Done,
     /*  369598 */   // Label 6671: @369598
     /*  369598 */   GIM_Try, /*On fail goto*//*Label 6672*/ GIMT_Encode4(369664), // Rule ID 60106 //
     /*  369603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  369614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  369617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  369620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369642 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  369642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  369645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369662 */     GIR_RootConstrainSelectedInstOperands,
     /*  369663 */     // GIR_Coverage, 60106,
     /*  369663 */     GIR_EraseRootFromParent_Done,
     /*  369664 */   // Label 6672: @369664
     /*  369664 */   GIM_Try, /*On fail goto*//*Label 6673*/ GIMT_Encode4(369730), // Rule ID 60109 //
     /*  369669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  369680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  369683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  369686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369708 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  369711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369728 */     GIR_RootConstrainSelectedInstOperands,
     /*  369729 */     // GIR_Coverage, 60109,
     /*  369729 */     GIR_EraseRootFromParent_Done,
     /*  369730 */   // Label 6673: @369730
     /*  369730 */   GIM_Try, /*On fail goto*//*Label 6674*/ GIMT_Encode4(369796), // Rule ID 60110 //
     /*  369735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  369746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  369749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  369752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369774 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  369777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369794 */     GIR_RootConstrainSelectedInstOperands,
     /*  369795 */     // GIR_Coverage, 60110,
     /*  369795 */     GIR_EraseRootFromParent_Done,
     /*  369796 */   // Label 6674: @369796
     /*  369796 */   GIM_Try, /*On fail goto*//*Label 6675*/ GIMT_Encode4(369862), // Rule ID 60113 //
     /*  369801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  369812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  369815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  369818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369840 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  369843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369860 */     GIR_RootConstrainSelectedInstOperands,
     /*  369861 */     // GIR_Coverage, 60113,
     /*  369861 */     GIR_EraseRootFromParent_Done,
     /*  369862 */   // Label 6675: @369862
     /*  369862 */   GIM_Try, /*On fail goto*//*Label 6676*/ GIMT_Encode4(369928), // Rule ID 60114 //
     /*  369867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  369878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  369881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  369884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369906 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  369909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369926 */     GIR_RootConstrainSelectedInstOperands,
     /*  369927 */     // GIR_Coverage, 60114,
     /*  369927 */     GIR_EraseRootFromParent_Done,
     /*  369928 */   // Label 6676: @369928
     /*  369928 */   GIM_Try, /*On fail goto*//*Label 6677*/ GIMT_Encode4(369994), // Rule ID 60117 //
     /*  369933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  369941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  369944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  369947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  369950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369972 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  369975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369992 */     GIR_RootConstrainSelectedInstOperands,
     /*  369993 */     // GIR_Coverage, 60117,
     /*  369993 */     GIR_EraseRootFromParent_Done,
     /*  369994 */   // Label 6677: @369994
     /*  369994 */   GIM_Try, /*On fail goto*//*Label 6678*/ GIMT_Encode4(370060), // Rule ID 60118 //
     /*  369999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  370010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  370013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  370016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370038 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  370041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370058 */     GIR_RootConstrainSelectedInstOperands,
     /*  370059 */     // GIR_Coverage, 60118,
     /*  370059 */     GIR_EraseRootFromParent_Done,
     /*  370060 */   // Label 6678: @370060
     /*  370060 */   GIM_Try, /*On fail goto*//*Label 6679*/ GIMT_Encode4(370126), // Rule ID 60121 //
     /*  370065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  370076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  370079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  370082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370104 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  370107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370124 */     GIR_RootConstrainSelectedInstOperands,
     /*  370125 */     // GIR_Coverage, 60121,
     /*  370125 */     GIR_EraseRootFromParent_Done,
     /*  370126 */   // Label 6679: @370126
     /*  370126 */   GIM_Try, /*On fail goto*//*Label 6680*/ GIMT_Encode4(370192), // Rule ID 60122 //
     /*  370131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  370142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  370145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  370148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370170 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  370173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370190 */     GIR_RootConstrainSelectedInstOperands,
     /*  370191 */     // GIR_Coverage, 60122,
     /*  370191 */     GIR_EraseRootFromParent_Done,
     /*  370192 */   // Label 6680: @370192
     /*  370192 */   GIM_Try, /*On fail goto*//*Label 6681*/ GIMT_Encode4(370258), // Rule ID 60125 //
     /*  370197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  370208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  370211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  370214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370236 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  370239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370256 */     GIR_RootConstrainSelectedInstOperands,
     /*  370257 */     // GIR_Coverage, 60125,
     /*  370257 */     GIR_EraseRootFromParent_Done,
     /*  370258 */   // Label 6681: @370258
     /*  370258 */   GIM_Try, /*On fail goto*//*Label 6682*/ GIMT_Encode4(370324), // Rule ID 60126 //
     /*  370263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  370274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  370277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  370280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370302 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  370305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370322 */     GIR_RootConstrainSelectedInstOperands,
     /*  370323 */     // GIR_Coverage, 60126,
     /*  370323 */     GIR_EraseRootFromParent_Done,
     /*  370324 */   // Label 6682: @370324
     /*  370324 */   GIM_Try, /*On fail goto*//*Label 6683*/ GIMT_Encode4(370390), // Rule ID 60129 //
     /*  370329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  370340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  370343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  370346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370368 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  370371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370388 */     GIR_RootConstrainSelectedInstOperands,
     /*  370389 */     // GIR_Coverage, 60129,
     /*  370389 */     GIR_EraseRootFromParent_Done,
     /*  370390 */   // Label 6683: @370390
     /*  370390 */   GIM_Try, /*On fail goto*//*Label 6684*/ GIMT_Encode4(370456), // Rule ID 60130 //
     /*  370395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  370406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  370409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  370412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370434 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  370437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370454 */     GIR_RootConstrainSelectedInstOperands,
     /*  370455 */     // GIR_Coverage, 60130,
     /*  370455 */     GIR_EraseRootFromParent_Done,
     /*  370456 */   // Label 6684: @370456
     /*  370456 */   GIM_Try, /*On fail goto*//*Label 6685*/ GIMT_Encode4(370522), // Rule ID 60133 //
     /*  370461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  370472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  370475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  370478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370500 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  370503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370520 */     GIR_RootConstrainSelectedInstOperands,
     /*  370521 */     // GIR_Coverage, 60133,
     /*  370521 */     GIR_EraseRootFromParent_Done,
     /*  370522 */   // Label 6685: @370522
     /*  370522 */   GIM_Try, /*On fail goto*//*Label 6686*/ GIMT_Encode4(370588), // Rule ID 60134 //
     /*  370527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  370538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  370541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  370544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370566 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  370569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370586 */     GIR_RootConstrainSelectedInstOperands,
     /*  370587 */     // GIR_Coverage, 60134,
     /*  370587 */     GIR_EraseRootFromParent_Done,
     /*  370588 */   // Label 6686: @370588
     /*  370588 */   GIM_Try, /*On fail goto*//*Label 6687*/ GIMT_Encode4(370654), // Rule ID 60137 //
     /*  370593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  370604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  370607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  370610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370632 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  370635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370652 */     GIR_RootConstrainSelectedInstOperands,
     /*  370653 */     // GIR_Coverage, 60137,
     /*  370653 */     GIR_EraseRootFromParent_Done,
     /*  370654 */   // Label 6687: @370654
     /*  370654 */   GIM_Try, /*On fail goto*//*Label 6688*/ GIMT_Encode4(370720), // Rule ID 60138 //
     /*  370659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  370670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  370673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  370676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370698 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  370701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370718 */     GIR_RootConstrainSelectedInstOperands,
     /*  370719 */     // GIR_Coverage, 60138,
     /*  370719 */     GIR_EraseRootFromParent_Done,
     /*  370720 */   // Label 6688: @370720
     /*  370720 */   GIM_Try, /*On fail goto*//*Label 6689*/ GIMT_Encode4(370786), // Rule ID 60141 //
     /*  370725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  370736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  370739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  370742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370764 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  370767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370784 */     GIR_RootConstrainSelectedInstOperands,
     /*  370785 */     // GIR_Coverage, 60141,
     /*  370785 */     GIR_EraseRootFromParent_Done,
     /*  370786 */   // Label 6689: @370786
     /*  370786 */   GIM_Try, /*On fail goto*//*Label 6690*/ GIMT_Encode4(370852), // Rule ID 60142 //
     /*  370791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  370802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  370805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  370808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370830 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  370833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370850 */     GIR_RootConstrainSelectedInstOperands,
     /*  370851 */     // GIR_Coverage, 60142,
     /*  370851 */     GIR_EraseRootFromParent_Done,
     /*  370852 */   // Label 6690: @370852
     /*  370852 */   GIM_Try, /*On fail goto*//*Label 6691*/ GIMT_Encode4(370918), // Rule ID 60145 //
     /*  370857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  370868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  370871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  370874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370896 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  370896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  370899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  370913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370916 */     GIR_RootConstrainSelectedInstOperands,
     /*  370917 */     // GIR_Coverage, 60145,
     /*  370917 */     GIR_EraseRootFromParent_Done,
     /*  370918 */   // Label 6691: @370918
     /*  370918 */   GIM_Try, /*On fail goto*//*Label 6692*/ GIMT_Encode4(370984), // Rule ID 60146 //
     /*  370923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  370934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  370937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  370940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370962 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  370962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  370965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  370979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370982 */     GIR_RootConstrainSelectedInstOperands,
     /*  370983 */     // GIR_Coverage, 60146,
     /*  370983 */     GIR_EraseRootFromParent_Done,
     /*  370984 */   // Label 6692: @370984
     /*  370984 */   GIM_Try, /*On fail goto*//*Label 6693*/ GIMT_Encode4(371050), // Rule ID 60149 //
     /*  370989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  370997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  371000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  371003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  371006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371028 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  371028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371048 */     GIR_RootConstrainSelectedInstOperands,
     /*  371049 */     // GIR_Coverage, 60149,
     /*  371049 */     GIR_EraseRootFromParent_Done,
     /*  371050 */   // Label 6693: @371050
     /*  371050 */   GIM_Try, /*On fail goto*//*Label 6694*/ GIMT_Encode4(371116), // Rule ID 60150 //
     /*  371055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  371066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  371069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  371072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371094 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  371094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  371097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371114 */     GIR_RootConstrainSelectedInstOperands,
     /*  371115 */     // GIR_Coverage, 60150,
     /*  371115 */     GIR_EraseRootFromParent_Done,
     /*  371116 */   // Label 6694: @371116
     /*  371116 */   GIM_Try, /*On fail goto*//*Label 6695*/ GIMT_Encode4(371182), // Rule ID 60153 //
     /*  371121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  371132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  371135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  371138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371160 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  371160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  371163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371180 */     GIR_RootConstrainSelectedInstOperands,
     /*  371181 */     // GIR_Coverage, 60153,
     /*  371181 */     GIR_EraseRootFromParent_Done,
     /*  371182 */   // Label 6695: @371182
     /*  371182 */   GIM_Try, /*On fail goto*//*Label 6696*/ GIMT_Encode4(371248), // Rule ID 60154 //
     /*  371187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  371195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  371198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  371201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  371204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371226 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  371226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  371229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371246 */     GIR_RootConstrainSelectedInstOperands,
     /*  371247 */     // GIR_Coverage, 60154,
     /*  371247 */     GIR_EraseRootFromParent_Done,
     /*  371248 */   // Label 6696: @371248
     /*  371248 */   GIM_Try, /*On fail goto*//*Label 6697*/ GIMT_Encode4(371314), // Rule ID 60157 //
     /*  371253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  371261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  371264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  371267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  371270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371292 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  371295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371312 */     GIR_RootConstrainSelectedInstOperands,
     /*  371313 */     // GIR_Coverage, 60157,
     /*  371313 */     GIR_EraseRootFromParent_Done,
     /*  371314 */   // Label 6697: @371314
     /*  371314 */   GIM_Try, /*On fail goto*//*Label 6698*/ GIMT_Encode4(371380), // Rule ID 60158 //
     /*  371319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  371327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  371330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  371333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  371336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371358 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  371361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371378 */     GIR_RootConstrainSelectedInstOperands,
     /*  371379 */     // GIR_Coverage, 60158,
     /*  371379 */     GIR_EraseRootFromParent_Done,
     /*  371380 */   // Label 6698: @371380
     /*  371380 */   GIM_Try, /*On fail goto*//*Label 6699*/ GIMT_Encode4(371446), // Rule ID 60161 //
     /*  371385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  371393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  371396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  371399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  371402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371424 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  371427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371444 */     GIR_RootConstrainSelectedInstOperands,
     /*  371445 */     // GIR_Coverage, 60161,
     /*  371445 */     GIR_EraseRootFromParent_Done,
     /*  371446 */   // Label 6699: @371446
     /*  371446 */   GIM_Try, /*On fail goto*//*Label 6700*/ GIMT_Encode4(371512), // Rule ID 60162 //
     /*  371451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  371459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  371462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  371465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  371468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371490 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  371493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371510 */     GIR_RootConstrainSelectedInstOperands,
     /*  371511 */     // GIR_Coverage, 60162,
     /*  371511 */     GIR_EraseRootFromParent_Done,
     /*  371512 */   // Label 6700: @371512
     /*  371512 */   GIM_Try, /*On fail goto*//*Label 6701*/ GIMT_Encode4(371578), // Rule ID 60165 //
     /*  371517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  371525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  371528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  371531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  371534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371556 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  371559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371576 */     GIR_RootConstrainSelectedInstOperands,
     /*  371577 */     // GIR_Coverage, 60165,
     /*  371577 */     GIR_EraseRootFromParent_Done,
     /*  371578 */   // Label 6701: @371578
     /*  371578 */   GIM_Try, /*On fail goto*//*Label 6702*/ GIMT_Encode4(371644), // Rule ID 60166 //
     /*  371583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  371591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  371594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  371597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  371600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371622 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  371625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371642 */     GIR_RootConstrainSelectedInstOperands,
     /*  371643 */     // GIR_Coverage, 60166,
     /*  371643 */     GIR_EraseRootFromParent_Done,
     /*  371644 */   // Label 6702: @371644
     /*  371644 */   GIM_Try, /*On fail goto*//*Label 6703*/ GIMT_Encode4(371710), // Rule ID 60169 //
     /*  371649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  371657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  371660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  371663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  371666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371688 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  371691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371708 */     GIR_RootConstrainSelectedInstOperands,
     /*  371709 */     // GIR_Coverage, 60169,
     /*  371709 */     GIR_EraseRootFromParent_Done,
     /*  371710 */   // Label 6703: @371710
     /*  371710 */   GIM_Try, /*On fail goto*//*Label 6704*/ GIMT_Encode4(371776), // Rule ID 60170 //
     /*  371715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  371723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  371726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  371729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  371732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371754 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  371757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371774 */     GIR_RootConstrainSelectedInstOperands,
     /*  371775 */     // GIR_Coverage, 60170,
     /*  371775 */     GIR_EraseRootFromParent_Done,
     /*  371776 */   // Label 6704: @371776
     /*  371776 */   GIM_Try, /*On fail goto*//*Label 6705*/ GIMT_Encode4(371842), // Rule ID 60173 //
     /*  371781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  371789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  371792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  371795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  371798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371820 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  371823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371840 */     GIR_RootConstrainSelectedInstOperands,
     /*  371841 */     // GIR_Coverage, 60173,
     /*  371841 */     GIR_EraseRootFromParent_Done,
     /*  371842 */   // Label 6705: @371842
     /*  371842 */   GIM_Try, /*On fail goto*//*Label 6706*/ GIMT_Encode4(371908), // Rule ID 60174 //
     /*  371847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  371855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  371858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  371861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  371864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371886 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  371889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371906 */     GIR_RootConstrainSelectedInstOperands,
     /*  371907 */     // GIR_Coverage, 60174,
     /*  371907 */     GIR_EraseRootFromParent_Done,
     /*  371908 */   // Label 6706: @371908
     /*  371908 */   GIM_Try, /*On fail goto*//*Label 6707*/ GIMT_Encode4(371974), // Rule ID 60177 //
     /*  371913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  371921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  371924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  371927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  371930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  371952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  371955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371972 */     GIR_RootConstrainSelectedInstOperands,
     /*  371973 */     // GIR_Coverage, 60177,
     /*  371973 */     GIR_EraseRootFromParent_Done,
     /*  371974 */   // Label 6707: @371974
     /*  371974 */   GIM_Try, /*On fail goto*//*Label 6708*/ GIMT_Encode4(372040), // Rule ID 60178 //
     /*  371979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  371987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  371990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  371993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  371996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372018 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  372021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372038 */     GIR_RootConstrainSelectedInstOperands,
     /*  372039 */     // GIR_Coverage, 60178,
     /*  372039 */     GIR_EraseRootFromParent_Done,
     /*  372040 */   // Label 6708: @372040
     /*  372040 */   GIM_Try, /*On fail goto*//*Label 6709*/ GIMT_Encode4(372106), // Rule ID 60181 //
     /*  372045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  372056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  372059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  372062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372084 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  372087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372104 */     GIR_RootConstrainSelectedInstOperands,
     /*  372105 */     // GIR_Coverage, 60181,
     /*  372105 */     GIR_EraseRootFromParent_Done,
     /*  372106 */   // Label 6709: @372106
     /*  372106 */   GIM_Try, /*On fail goto*//*Label 6710*/ GIMT_Encode4(372172), // Rule ID 60182 //
     /*  372111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  372122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  372125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  372128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372150 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  372153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372170 */     GIR_RootConstrainSelectedInstOperands,
     /*  372171 */     // GIR_Coverage, 60182,
     /*  372171 */     GIR_EraseRootFromParent_Done,
     /*  372172 */   // Label 6710: @372172
     /*  372172 */   GIM_Try, /*On fail goto*//*Label 6711*/ GIMT_Encode4(372238), // Rule ID 60185 //
     /*  372177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  372188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  372191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  372194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  372216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  372219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372236 */     GIR_RootConstrainSelectedInstOperands,
     /*  372237 */     // GIR_Coverage, 60185,
     /*  372237 */     GIR_EraseRootFromParent_Done,
     /*  372238 */   // Label 6711: @372238
     /*  372238 */   GIM_Try, /*On fail goto*//*Label 6712*/ GIMT_Encode4(372304), // Rule ID 60186 //
     /*  372243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  372254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  372257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  372260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372282 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  372282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  372285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372302 */     GIR_RootConstrainSelectedInstOperands,
     /*  372303 */     // GIR_Coverage, 60186,
     /*  372303 */     GIR_EraseRootFromParent_Done,
     /*  372304 */   // Label 6712: @372304
     /*  372304 */   GIM_Try, /*On fail goto*//*Label 6713*/ GIMT_Encode4(372370), // Rule ID 60189 //
     /*  372309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  372320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  372323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  372326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372348 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  372348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  372351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372368 */     GIR_RootConstrainSelectedInstOperands,
     /*  372369 */     // GIR_Coverage, 60189,
     /*  372369 */     GIR_EraseRootFromParent_Done,
     /*  372370 */   // Label 6713: @372370
     /*  372370 */   GIM_Try, /*On fail goto*//*Label 6714*/ GIMT_Encode4(372436), // Rule ID 60190 //
     /*  372375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  372386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  372389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  372392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372414 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  372417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372434 */     GIR_RootConstrainSelectedInstOperands,
     /*  372435 */     // GIR_Coverage, 60190,
     /*  372435 */     GIR_EraseRootFromParent_Done,
     /*  372436 */   // Label 6714: @372436
     /*  372436 */   GIM_Try, /*On fail goto*//*Label 6715*/ GIMT_Encode4(372502), // Rule ID 60193 //
     /*  372441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  372452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  372455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  372458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372480 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  372480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  372483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372500 */     GIR_RootConstrainSelectedInstOperands,
     /*  372501 */     // GIR_Coverage, 60193,
     /*  372501 */     GIR_EraseRootFromParent_Done,
     /*  372502 */   // Label 6715: @372502
     /*  372502 */   GIM_Try, /*On fail goto*//*Label 6716*/ GIMT_Encode4(372568), // Rule ID 60194 //
     /*  372507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  372518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  372521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  372524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  372546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  372549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372566 */     GIR_RootConstrainSelectedInstOperands,
     /*  372567 */     // GIR_Coverage, 60194,
     /*  372567 */     GIR_EraseRootFromParent_Done,
     /*  372568 */   // Label 6716: @372568
     /*  372568 */   GIM_Try, /*On fail goto*//*Label 6717*/ GIMT_Encode4(372634), // Rule ID 60197 //
     /*  372573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  372584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  372587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  372590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372612 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  372615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372632 */     GIR_RootConstrainSelectedInstOperands,
     /*  372633 */     // GIR_Coverage, 60197,
     /*  372633 */     GIR_EraseRootFromParent_Done,
     /*  372634 */   // Label 6717: @372634
     /*  372634 */   GIM_Try, /*On fail goto*//*Label 6718*/ GIMT_Encode4(372700), // Rule ID 60198 //
     /*  372639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  372650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  372653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  372656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372678 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  372681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372698 */     GIR_RootConstrainSelectedInstOperands,
     /*  372699 */     // GIR_Coverage, 60198,
     /*  372699 */     GIR_EraseRootFromParent_Done,
     /*  372700 */   // Label 6718: @372700
     /*  372700 */   GIM_Try, /*On fail goto*//*Label 6719*/ GIMT_Encode4(372766), // Rule ID 60201 //
     /*  372705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  372716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  372719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  372722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372744 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  372747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372764 */     GIR_RootConstrainSelectedInstOperands,
     /*  372765 */     // GIR_Coverage, 60201,
     /*  372765 */     GIR_EraseRootFromParent_Done,
     /*  372766 */   // Label 6719: @372766
     /*  372766 */   GIM_Try, /*On fail goto*//*Label 6720*/ GIMT_Encode4(372832), // Rule ID 60202 //
     /*  372771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  372782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  372785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  372788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372810 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  372813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372830 */     GIR_RootConstrainSelectedInstOperands,
     /*  372831 */     // GIR_Coverage, 60202,
     /*  372831 */     GIR_EraseRootFromParent_Done,
     /*  372832 */   // Label 6720: @372832
     /*  372832 */   GIM_Try, /*On fail goto*//*Label 6721*/ GIMT_Encode4(372898), // Rule ID 60205 //
     /*  372837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  372848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  372851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  372854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372876 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  372879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372896 */     GIR_RootConstrainSelectedInstOperands,
     /*  372897 */     // GIR_Coverage, 60205,
     /*  372897 */     GIR_EraseRootFromParent_Done,
     /*  372898 */   // Label 6721: @372898
     /*  372898 */   GIM_Try, /*On fail goto*//*Label 6722*/ GIMT_Encode4(372964), // Rule ID 60206 //
     /*  372903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  372914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  372917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  372920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372942 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  372945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372962 */     GIR_RootConstrainSelectedInstOperands,
     /*  372963 */     // GIR_Coverage, 60206,
     /*  372963 */     GIR_EraseRootFromParent_Done,
     /*  372964 */   // Label 6722: @372964
     /*  372964 */   GIM_Try, /*On fail goto*//*Label 6723*/ GIMT_Encode4(373030), // Rule ID 60209 //
     /*  372969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  372977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  372980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  372983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  372986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373008 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  373011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373028 */     GIR_RootConstrainSelectedInstOperands,
     /*  373029 */     // GIR_Coverage, 60209,
     /*  373029 */     GIR_EraseRootFromParent_Done,
     /*  373030 */   // Label 6723: @373030
     /*  373030 */   GIM_Try, /*On fail goto*//*Label 6724*/ GIMT_Encode4(373096), // Rule ID 60210 //
     /*  373035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  373046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  373049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  373052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373074 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  373077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373094 */     GIR_RootConstrainSelectedInstOperands,
     /*  373095 */     // GIR_Coverage, 60210,
     /*  373095 */     GIR_EraseRootFromParent_Done,
     /*  373096 */   // Label 6724: @373096
     /*  373096 */   GIM_Try, /*On fail goto*//*Label 6725*/ GIMT_Encode4(373162), // Rule ID 60213 //
     /*  373101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  373112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  373115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  373118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373140 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  373143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373160 */     GIR_RootConstrainSelectedInstOperands,
     /*  373161 */     // GIR_Coverage, 60213,
     /*  373161 */     GIR_EraseRootFromParent_Done,
     /*  373162 */   // Label 6725: @373162
     /*  373162 */   GIM_Try, /*On fail goto*//*Label 6726*/ GIMT_Encode4(373228), // Rule ID 60214 //
     /*  373167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  373178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  373181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  373184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373206 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  373209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373226 */     GIR_RootConstrainSelectedInstOperands,
     /*  373227 */     // GIR_Coverage, 60214,
     /*  373227 */     GIR_EraseRootFromParent_Done,
     /*  373228 */   // Label 6726: @373228
     /*  373228 */   GIM_Try, /*On fail goto*//*Label 6727*/ GIMT_Encode4(373294), // Rule ID 60217 //
     /*  373233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  373244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  373247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  373250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373272 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  373275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373292 */     GIR_RootConstrainSelectedInstOperands,
     /*  373293 */     // GIR_Coverage, 60217,
     /*  373293 */     GIR_EraseRootFromParent_Done,
     /*  373294 */   // Label 6727: @373294
     /*  373294 */   GIM_Try, /*On fail goto*//*Label 6728*/ GIMT_Encode4(373360), // Rule ID 60218 //
     /*  373299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  373310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  373313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  373316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373338 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  373341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373358 */     GIR_RootConstrainSelectedInstOperands,
     /*  373359 */     // GIR_Coverage, 60218,
     /*  373359 */     GIR_EraseRootFromParent_Done,
     /*  373360 */   // Label 6728: @373360
     /*  373360 */   GIM_Try, /*On fail goto*//*Label 6729*/ GIMT_Encode4(373426), // Rule ID 60221 //
     /*  373365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  373376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  373379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  373382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373404 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  373407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373424 */     GIR_RootConstrainSelectedInstOperands,
     /*  373425 */     // GIR_Coverage, 60221,
     /*  373425 */     GIR_EraseRootFromParent_Done,
     /*  373426 */   // Label 6729: @373426
     /*  373426 */   GIM_Try, /*On fail goto*//*Label 6730*/ GIMT_Encode4(373492), // Rule ID 60222 //
     /*  373431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  373442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  373445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  373448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373470 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  373473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373490 */     GIR_RootConstrainSelectedInstOperands,
     /*  373491 */     // GIR_Coverage, 60222,
     /*  373491 */     GIR_EraseRootFromParent_Done,
     /*  373492 */   // Label 6730: @373492
     /*  373492 */   GIM_Try, /*On fail goto*//*Label 6731*/ GIMT_Encode4(373558), // Rule ID 60225 //
     /*  373497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  373508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  373511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  373514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373536 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  373539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373556 */     GIR_RootConstrainSelectedInstOperands,
     /*  373557 */     // GIR_Coverage, 60225,
     /*  373557 */     GIR_EraseRootFromParent_Done,
     /*  373558 */   // Label 6731: @373558
     /*  373558 */   GIM_Try, /*On fail goto*//*Label 6732*/ GIMT_Encode4(373624), // Rule ID 60226 //
     /*  373563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  373574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  373577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  373580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373602 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  373605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373622 */     GIR_RootConstrainSelectedInstOperands,
     /*  373623 */     // GIR_Coverage, 60226,
     /*  373623 */     GIR_EraseRootFromParent_Done,
     /*  373624 */   // Label 6732: @373624
     /*  373624 */   GIM_Try, /*On fail goto*//*Label 6733*/ GIMT_Encode4(373690), // Rule ID 60229 //
     /*  373629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  373640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  373643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  373646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373668 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  373671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373688 */     GIR_RootConstrainSelectedInstOperands,
     /*  373689 */     // GIR_Coverage, 60229,
     /*  373689 */     GIR_EraseRootFromParent_Done,
     /*  373690 */   // Label 6733: @373690
     /*  373690 */   GIM_Try, /*On fail goto*//*Label 6734*/ GIMT_Encode4(373756), // Rule ID 60230 //
     /*  373695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  373706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  373709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  373712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373734 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  373737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373754 */     GIR_RootConstrainSelectedInstOperands,
     /*  373755 */     // GIR_Coverage, 60230,
     /*  373755 */     GIR_EraseRootFromParent_Done,
     /*  373756 */   // Label 6734: @373756
     /*  373756 */   GIM_Try, /*On fail goto*//*Label 6735*/ GIMT_Encode4(373822), // Rule ID 60233 //
     /*  373761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  373772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  373775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  373778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373800 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  373800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  373803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373820 */     GIR_RootConstrainSelectedInstOperands,
     /*  373821 */     // GIR_Coverage, 60233,
     /*  373821 */     GIR_EraseRootFromParent_Done,
     /*  373822 */   // Label 6735: @373822
     /*  373822 */   GIM_Try, /*On fail goto*//*Label 6736*/ GIMT_Encode4(373888), // Rule ID 60234 //
     /*  373827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  373838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  373841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  373844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373866 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  373866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  373869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373886 */     GIR_RootConstrainSelectedInstOperands,
     /*  373887 */     // GIR_Coverage, 60234,
     /*  373887 */     GIR_EraseRootFromParent_Done,
     /*  373888 */   // Label 6736: @373888
     /*  373888 */   GIM_Try, /*On fail goto*//*Label 6737*/ GIMT_Encode4(373954), // Rule ID 60237 //
     /*  373893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  373904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  373907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  373910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373932 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  373932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  373935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373952 */     GIR_RootConstrainSelectedInstOperands,
     /*  373953 */     // GIR_Coverage, 60237,
     /*  373953 */     GIR_EraseRootFromParent_Done,
     /*  373954 */   // Label 6737: @373954
     /*  373954 */   GIM_Try, /*On fail goto*//*Label 6738*/ GIMT_Encode4(374020), // Rule ID 60238 //
     /*  373959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  373967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  373970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  373973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  373976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373998 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  373998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  374001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374018 */     GIR_RootConstrainSelectedInstOperands,
     /*  374019 */     // GIR_Coverage, 60238,
     /*  374019 */     GIR_EraseRootFromParent_Done,
     /*  374020 */   // Label 6738: @374020
     /*  374020 */   GIM_Try, /*On fail goto*//*Label 6739*/ GIMT_Encode4(374086), // Rule ID 60241 //
     /*  374025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  374036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  374039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  374042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374064 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  374064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374084 */     GIR_RootConstrainSelectedInstOperands,
     /*  374085 */     // GIR_Coverage, 60241,
     /*  374085 */     GIR_EraseRootFromParent_Done,
     /*  374086 */   // Label 6739: @374086
     /*  374086 */   GIM_Try, /*On fail goto*//*Label 6740*/ GIMT_Encode4(374152), // Rule ID 60242 //
     /*  374091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  374099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  374102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  374105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  374108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374130 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  374130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  374133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374150 */     GIR_RootConstrainSelectedInstOperands,
     /*  374151 */     // GIR_Coverage, 60242,
     /*  374151 */     GIR_EraseRootFromParent_Done,
     /*  374152 */   // Label 6740: @374152
     /*  374152 */   GIM_Try, /*On fail goto*//*Label 6741*/ GIMT_Encode4(374218), // Rule ID 60245 //
     /*  374157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  374165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  374168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  374171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  374174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374196 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  374199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374216 */     GIR_RootConstrainSelectedInstOperands,
     /*  374217 */     // GIR_Coverage, 60245,
     /*  374217 */     GIR_EraseRootFromParent_Done,
     /*  374218 */   // Label 6741: @374218
     /*  374218 */   GIM_Try, /*On fail goto*//*Label 6742*/ GIMT_Encode4(374284), // Rule ID 60246 //
     /*  374223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  374231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  374234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  374237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  374240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374262 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  374265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374282 */     GIR_RootConstrainSelectedInstOperands,
     /*  374283 */     // GIR_Coverage, 60246,
     /*  374283 */     GIR_EraseRootFromParent_Done,
     /*  374284 */   // Label 6742: @374284
     /*  374284 */   GIM_Try, /*On fail goto*//*Label 6743*/ GIMT_Encode4(374350), // Rule ID 60249 //
     /*  374289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  374297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  374300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  374303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  374306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374328 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  374331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374348 */     GIR_RootConstrainSelectedInstOperands,
     /*  374349 */     // GIR_Coverage, 60249,
     /*  374349 */     GIR_EraseRootFromParent_Done,
     /*  374350 */   // Label 6743: @374350
     /*  374350 */   GIM_Try, /*On fail goto*//*Label 6744*/ GIMT_Encode4(374416), // Rule ID 60250 //
     /*  374355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  374363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  374366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  374369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  374372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374394 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  374397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374414 */     GIR_RootConstrainSelectedInstOperands,
     /*  374415 */     // GIR_Coverage, 60250,
     /*  374415 */     GIR_EraseRootFromParent_Done,
     /*  374416 */   // Label 6744: @374416
     /*  374416 */   GIM_Try, /*On fail goto*//*Label 6745*/ GIMT_Encode4(374482), // Rule ID 60253 //
     /*  374421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  374429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  374432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  374435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  374438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374460 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  374463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374480 */     GIR_RootConstrainSelectedInstOperands,
     /*  374481 */     // GIR_Coverage, 60253,
     /*  374481 */     GIR_EraseRootFromParent_Done,
     /*  374482 */   // Label 6745: @374482
     /*  374482 */   GIM_Try, /*On fail goto*//*Label 6746*/ GIMT_Encode4(374548), // Rule ID 60254 //
     /*  374487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  374495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  374498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  374501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  374504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374526 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  374529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374546 */     GIR_RootConstrainSelectedInstOperands,
     /*  374547 */     // GIR_Coverage, 60254,
     /*  374547 */     GIR_EraseRootFromParent_Done,
     /*  374548 */   // Label 6746: @374548
     /*  374548 */   GIM_Try, /*On fail goto*//*Label 6747*/ GIMT_Encode4(374614), // Rule ID 60257 //
     /*  374553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  374561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  374564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  374567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  374570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374592 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  374595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374612 */     GIR_RootConstrainSelectedInstOperands,
     /*  374613 */     // GIR_Coverage, 60257,
     /*  374613 */     GIR_EraseRootFromParent_Done,
     /*  374614 */   // Label 6747: @374614
     /*  374614 */   GIM_Try, /*On fail goto*//*Label 6748*/ GIMT_Encode4(374680), // Rule ID 60258 //
     /*  374619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  374627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  374630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  374633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  374636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  374661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374678 */     GIR_RootConstrainSelectedInstOperands,
     /*  374679 */     // GIR_Coverage, 60258,
     /*  374679 */     GIR_EraseRootFromParent_Done,
     /*  374680 */   // Label 6748: @374680
     /*  374680 */   GIM_Try, /*On fail goto*//*Label 6749*/ GIMT_Encode4(374746), // Rule ID 60261 //
     /*  374685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  374693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  374696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  374699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  374702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374724 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  374727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374744 */     GIR_RootConstrainSelectedInstOperands,
     /*  374745 */     // GIR_Coverage, 60261,
     /*  374745 */     GIR_EraseRootFromParent_Done,
     /*  374746 */   // Label 6749: @374746
     /*  374746 */   GIM_Try, /*On fail goto*//*Label 6750*/ GIMT_Encode4(374812), // Rule ID 60262 //
     /*  374751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  374759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  374762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  374765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  374768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374790 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  374793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374810 */     GIR_RootConstrainSelectedInstOperands,
     /*  374811 */     // GIR_Coverage, 60262,
     /*  374811 */     GIR_EraseRootFromParent_Done,
     /*  374812 */   // Label 6750: @374812
     /*  374812 */   GIM_Try, /*On fail goto*//*Label 6751*/ GIMT_Encode4(374878), // Rule ID 60265 //
     /*  374817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  374825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  374828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  374831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  374834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374856 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  374856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  374859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374876 */     GIR_RootConstrainSelectedInstOperands,
     /*  374877 */     // GIR_Coverage, 60265,
     /*  374877 */     GIR_EraseRootFromParent_Done,
     /*  374878 */   // Label 6751: @374878
     /*  374878 */   GIM_Try, /*On fail goto*//*Label 6752*/ GIMT_Encode4(374944), // Rule ID 60266 //
     /*  374883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  374891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  374894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  374897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  374900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374922 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  374925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374942 */     GIR_RootConstrainSelectedInstOperands,
     /*  374943 */     // GIR_Coverage, 60266,
     /*  374943 */     GIR_EraseRootFromParent_Done,
     /*  374944 */   // Label 6752: @374944
     /*  374944 */   GIM_Try, /*On fail goto*//*Label 6753*/ GIMT_Encode4(375010), // Rule ID 60269 //
     /*  374949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  374957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  374960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  374963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  374966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374988 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  374991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375008 */     GIR_RootConstrainSelectedInstOperands,
     /*  375009 */     // GIR_Coverage, 60269,
     /*  375009 */     GIR_EraseRootFromParent_Done,
     /*  375010 */   // Label 6753: @375010
     /*  375010 */   GIM_Try, /*On fail goto*//*Label 6754*/ GIMT_Encode4(375076), // Rule ID 60270 //
     /*  375015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  375026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  375029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  375032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375054 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11076:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  375057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375074 */     GIR_RootConstrainSelectedInstOperands,
     /*  375075 */     // GIR_Coverage, 60270,
     /*  375075 */     GIR_EraseRootFromParent_Done,
     /*  375076 */   // Label 6754: @375076
     /*  375076 */   GIM_Try, /*On fail goto*//*Label 6755*/ GIMT_Encode4(375142), // Rule ID 60273 //
     /*  375081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  375092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  375095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  375098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375120 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  375123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375140 */     GIR_RootConstrainSelectedInstOperands,
     /*  375141 */     // GIR_Coverage, 60273,
     /*  375141 */     GIR_EraseRootFromParent_Done,
     /*  375142 */   // Label 6755: @375142
     /*  375142 */   GIM_Try, /*On fail goto*//*Label 6756*/ GIMT_Encode4(375208), // Rule ID 60274 //
     /*  375147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  375158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  375161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  375164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375186 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  375189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375206 */     GIR_RootConstrainSelectedInstOperands,
     /*  375207 */     // GIR_Coverage, 60274,
     /*  375207 */     GIR_EraseRootFromParent_Done,
     /*  375208 */   // Label 6756: @375208
     /*  375208 */   GIM_Try, /*On fail goto*//*Label 6757*/ GIMT_Encode4(375274), // Rule ID 60277 //
     /*  375213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  375224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  375227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  375230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375252 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  375252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  375255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375272 */     GIR_RootConstrainSelectedInstOperands,
     /*  375273 */     // GIR_Coverage, 60277,
     /*  375273 */     GIR_EraseRootFromParent_Done,
     /*  375274 */   // Label 6757: @375274
     /*  375274 */   GIM_Try, /*On fail goto*//*Label 6758*/ GIMT_Encode4(375340), // Rule ID 60278 //
     /*  375279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  375290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  375293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  375296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375318 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  375318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  375321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375338 */     GIR_RootConstrainSelectedInstOperands,
     /*  375339 */     // GIR_Coverage, 60278,
     /*  375339 */     GIR_EraseRootFromParent_Done,
     /*  375340 */   // Label 6758: @375340
     /*  375340 */   GIM_Try, /*On fail goto*//*Label 6759*/ GIMT_Encode4(375406), // Rule ID 60281 //
     /*  375345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  375356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  375359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  375362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375384 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  375384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  375387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375404 */     GIR_RootConstrainSelectedInstOperands,
     /*  375405 */     // GIR_Coverage, 60281,
     /*  375405 */     GIR_EraseRootFromParent_Done,
     /*  375406 */   // Label 6759: @375406
     /*  375406 */   GIM_Try, /*On fail goto*//*Label 6760*/ GIMT_Encode4(375472), // Rule ID 60282 //
     /*  375411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  375422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  375425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  375428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375450 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  375450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  375453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375470 */     GIR_RootConstrainSelectedInstOperands,
     /*  375471 */     // GIR_Coverage, 60282,
     /*  375471 */     GIR_EraseRootFromParent_Done,
     /*  375472 */   // Label 6760: @375472
     /*  375472 */   GIM_Try, /*On fail goto*//*Label 6761*/ GIMT_Encode4(375538), // Rule ID 60285 //
     /*  375477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  375488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  375491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  375494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375516 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  375519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375536 */     GIR_RootConstrainSelectedInstOperands,
     /*  375537 */     // GIR_Coverage, 60285,
     /*  375537 */     GIR_EraseRootFromParent_Done,
     /*  375538 */   // Label 6761: @375538
     /*  375538 */   GIM_Try, /*On fail goto*//*Label 6762*/ GIMT_Encode4(375604), // Rule ID 60286 //
     /*  375543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  375554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  375557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  375560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375582 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  375585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375602 */     GIR_RootConstrainSelectedInstOperands,
     /*  375603 */     // GIR_Coverage, 60286,
     /*  375603 */     GIR_EraseRootFromParent_Done,
     /*  375604 */   // Label 6762: @375604
     /*  375604 */   GIM_Try, /*On fail goto*//*Label 6763*/ GIMT_Encode4(375670), // Rule ID 60289 //
     /*  375609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  375620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  375623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  375626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375648 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  375651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375668 */     GIR_RootConstrainSelectedInstOperands,
     /*  375669 */     // GIR_Coverage, 60289,
     /*  375669 */     GIR_EraseRootFromParent_Done,
     /*  375670 */   // Label 6763: @375670
     /*  375670 */   GIM_Try, /*On fail goto*//*Label 6764*/ GIMT_Encode4(375736), // Rule ID 60290 //
     /*  375675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  375686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  375689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  375692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375714 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  375717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375734 */     GIR_RootConstrainSelectedInstOperands,
     /*  375735 */     // GIR_Coverage, 60290,
     /*  375735 */     GIR_EraseRootFromParent_Done,
     /*  375736 */   // Label 6764: @375736
     /*  375736 */   GIM_Try, /*On fail goto*//*Label 6765*/ GIMT_Encode4(375802), // Rule ID 60293 //
     /*  375741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  375752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  375755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  375758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375780 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  375783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375800 */     GIR_RootConstrainSelectedInstOperands,
     /*  375801 */     // GIR_Coverage, 60293,
     /*  375801 */     GIR_EraseRootFromParent_Done,
     /*  375802 */   // Label 6765: @375802
     /*  375802 */   GIM_Try, /*On fail goto*//*Label 6766*/ GIMT_Encode4(375868), // Rule ID 60294 //
     /*  375807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  375818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  375821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  375824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375846 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  375849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375866 */     GIR_RootConstrainSelectedInstOperands,
     /*  375867 */     // GIR_Coverage, 60294,
     /*  375867 */     GIR_EraseRootFromParent_Done,
     /*  375868 */   // Label 6766: @375868
     /*  375868 */   GIM_Try, /*On fail goto*//*Label 6767*/ GIMT_Encode4(375934), // Rule ID 60297 //
     /*  375873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  375884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  375887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  375890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375912 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  375915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375932 */     GIR_RootConstrainSelectedInstOperands,
     /*  375933 */     // GIR_Coverage, 60297,
     /*  375933 */     GIR_EraseRootFromParent_Done,
     /*  375934 */   // Label 6767: @375934
     /*  375934 */   GIM_Try, /*On fail goto*//*Label 6768*/ GIMT_Encode4(376000), // Rule ID 60298 //
     /*  375939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  375947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  375950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  375953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  375956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375978 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  375981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375998 */     GIR_RootConstrainSelectedInstOperands,
     /*  375999 */     // GIR_Coverage, 60298,
     /*  375999 */     GIR_EraseRootFromParent_Done,
     /*  376000 */   // Label 6768: @376000
     /*  376000 */   GIM_Try, /*On fail goto*//*Label 6769*/ GIMT_Encode4(376066), // Rule ID 60301 //
     /*  376005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  376016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  376019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  376022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376044 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  376047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376064 */     GIR_RootConstrainSelectedInstOperands,
     /*  376065 */     // GIR_Coverage, 60301,
     /*  376065 */     GIR_EraseRootFromParent_Done,
     /*  376066 */   // Label 6769: @376066
     /*  376066 */   GIM_Try, /*On fail goto*//*Label 6770*/ GIMT_Encode4(376132), // Rule ID 60302 //
     /*  376071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  376082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  376085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  376088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376110 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  376113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376130 */     GIR_RootConstrainSelectedInstOperands,
     /*  376131 */     // GIR_Coverage, 60302,
     /*  376131 */     GIR_EraseRootFromParent_Done,
     /*  376132 */   // Label 6770: @376132
     /*  376132 */   GIM_Try, /*On fail goto*//*Label 6771*/ GIMT_Encode4(376198), // Rule ID 60305 //
     /*  376137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  376148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  376151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  376154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376176 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  376179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376196 */     GIR_RootConstrainSelectedInstOperands,
     /*  376197 */     // GIR_Coverage, 60305,
     /*  376197 */     GIR_EraseRootFromParent_Done,
     /*  376198 */   // Label 6771: @376198
     /*  376198 */   GIM_Try, /*On fail goto*//*Label 6772*/ GIMT_Encode4(376264), // Rule ID 60306 //
     /*  376203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  376214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  376217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  376220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376242 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  376245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376262 */     GIR_RootConstrainSelectedInstOperands,
     /*  376263 */     // GIR_Coverage, 60306,
     /*  376263 */     GIR_EraseRootFromParent_Done,
     /*  376264 */   // Label 6772: @376264
     /*  376264 */   GIM_Try, /*On fail goto*//*Label 6773*/ GIMT_Encode4(376330), // Rule ID 60309 //
     /*  376269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  376280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  376283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  376286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376308 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  376311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376328 */     GIR_RootConstrainSelectedInstOperands,
     /*  376329 */     // GIR_Coverage, 60309,
     /*  376329 */     GIR_EraseRootFromParent_Done,
     /*  376330 */   // Label 6773: @376330
     /*  376330 */   GIM_Try, /*On fail goto*//*Label 6774*/ GIMT_Encode4(376396), // Rule ID 60310 //
     /*  376335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  376346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  376349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  376352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376374 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  376377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376394 */     GIR_RootConstrainSelectedInstOperands,
     /*  376395 */     // GIR_Coverage, 60310,
     /*  376395 */     GIR_EraseRootFromParent_Done,
     /*  376396 */   // Label 6774: @376396
     /*  376396 */   GIM_Try, /*On fail goto*//*Label 6775*/ GIMT_Encode4(376462), // Rule ID 60313 //
     /*  376401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  376412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  376415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  376418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  376443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376460 */     GIR_RootConstrainSelectedInstOperands,
     /*  376461 */     // GIR_Coverage, 60313,
     /*  376461 */     GIR_EraseRootFromParent_Done,
     /*  376462 */   // Label 6775: @376462
     /*  376462 */   GIM_Try, /*On fail goto*//*Label 6776*/ GIMT_Encode4(376528), // Rule ID 60314 //
     /*  376467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  376478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  376481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  376484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376506 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  376509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376526 */     GIR_RootConstrainSelectedInstOperands,
     /*  376527 */     // GIR_Coverage, 60314,
     /*  376527 */     GIR_EraseRootFromParent_Done,
     /*  376528 */   // Label 6776: @376528
     /*  376528 */   GIM_Try, /*On fail goto*//*Label 6777*/ GIMT_Encode4(376594), // Rule ID 60317 //
     /*  376533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  376544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  376547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  376550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  376575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376592 */     GIR_RootConstrainSelectedInstOperands,
     /*  376593 */     // GIR_Coverage, 60317,
     /*  376593 */     GIR_EraseRootFromParent_Done,
     /*  376594 */   // Label 6777: @376594
     /*  376594 */   GIM_Try, /*On fail goto*//*Label 6778*/ GIMT_Encode4(376660), // Rule ID 60318 //
     /*  376599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  376610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  376613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  376616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376638 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  376641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376658 */     GIR_RootConstrainSelectedInstOperands,
     /*  376659 */     // GIR_Coverage, 60318,
     /*  376659 */     GIR_EraseRootFromParent_Done,
     /*  376660 */   // Label 6778: @376660
     /*  376660 */   GIM_Try, /*On fail goto*//*Label 6779*/ GIMT_Encode4(376726), // Rule ID 60321 //
     /*  376665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  376676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  376679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  376682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376704 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  376704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  376707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376724 */     GIR_RootConstrainSelectedInstOperands,
     /*  376725 */     // GIR_Coverage, 60321,
     /*  376725 */     GIR_EraseRootFromParent_Done,
     /*  376726 */   // Label 6779: @376726
     /*  376726 */   GIM_Try, /*On fail goto*//*Label 6780*/ GIMT_Encode4(376792), // Rule ID 60322 //
     /*  376731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  376742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  376745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  376748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376770 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  376770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  376773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376790 */     GIR_RootConstrainSelectedInstOperands,
     /*  376791 */     // GIR_Coverage, 60322,
     /*  376791 */     GIR_EraseRootFromParent_Done,
     /*  376792 */   // Label 6780: @376792
     /*  376792 */   GIM_Try, /*On fail goto*//*Label 6781*/ GIMT_Encode4(376858), // Rule ID 60325 //
     /*  376797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  376808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  376811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  376814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376836 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  376836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  376839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376856 */     GIR_RootConstrainSelectedInstOperands,
     /*  376857 */     // GIR_Coverage, 60325,
     /*  376857 */     GIR_EraseRootFromParent_Done,
     /*  376858 */   // Label 6781: @376858
     /*  376858 */   GIM_Try, /*On fail goto*//*Label 6782*/ GIMT_Encode4(376924), // Rule ID 60326 //
     /*  376863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  376874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  376877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  376880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376902 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  376902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  376905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376922 */     GIR_RootConstrainSelectedInstOperands,
     /*  376923 */     // GIR_Coverage, 60326,
     /*  376923 */     GIR_EraseRootFromParent_Done,
     /*  376924 */   // Label 6782: @376924
     /*  376924 */   GIM_Try, /*On fail goto*//*Label 6783*/ GIMT_Encode4(376990), // Rule ID 60329 //
     /*  376929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  376937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  376940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  376943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  376946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376968 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  376968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  376971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376988 */     GIR_RootConstrainSelectedInstOperands,
     /*  376989 */     // GIR_Coverage, 60329,
     /*  376989 */     GIR_EraseRootFromParent_Done,
     /*  376990 */   // Label 6783: @376990
     /*  376990 */   GIM_Try, /*On fail goto*//*Label 6784*/ GIMT_Encode4(377056), // Rule ID 60330 //
     /*  376995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  377003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  377006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  377009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  377012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377034 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  377034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  377037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377054 */     GIR_RootConstrainSelectedInstOperands,
     /*  377055 */     // GIR_Coverage, 60330,
     /*  377055 */     GIR_EraseRootFromParent_Done,
     /*  377056 */   // Label 6784: @377056
     /*  377056 */   GIM_Try, /*On fail goto*//*Label 6785*/ GIMT_Encode4(377122), // Rule ID 60753 //
     /*  377061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  377064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  377069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  377072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  377075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  377078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377100 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  377103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377120 */     GIR_RootConstrainSelectedInstOperands,
     /*  377121 */     // GIR_Coverage, 60753,
     /*  377121 */     GIR_EraseRootFromParent_Done,
     /*  377122 */   // Label 6785: @377122
     /*  377122 */   GIM_Try, /*On fail goto*//*Label 6786*/ GIMT_Encode4(377188), // Rule ID 60754 //
     /*  377127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  377130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  377135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  377138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  377141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  377144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377166 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  377169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377186 */     GIR_RootConstrainSelectedInstOperands,
     /*  377187 */     // GIR_Coverage, 60754,
     /*  377187 */     GIR_EraseRootFromParent_Done,
     /*  377188 */   // Label 6786: @377188
     /*  377188 */   GIM_Try, /*On fail goto*//*Label 6787*/ GIMT_Encode4(377254), // Rule ID 60757 //
     /*  377193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  377196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  377201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  377204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  377207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  377210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377232 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  377235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377252 */     GIR_RootConstrainSelectedInstOperands,
     /*  377253 */     // GIR_Coverage, 60757,
     /*  377253 */     GIR_EraseRootFromParent_Done,
     /*  377254 */   // Label 6787: @377254
     /*  377254 */   GIM_Try, /*On fail goto*//*Label 6788*/ GIMT_Encode4(377320), // Rule ID 60758 //
     /*  377259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  377262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  377267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  377270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  377273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  377276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377298 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  377301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377318 */     GIR_RootConstrainSelectedInstOperands,
     /*  377319 */     // GIR_Coverage, 60758,
     /*  377319 */     GIR_EraseRootFromParent_Done,
     /*  377320 */   // Label 6788: @377320
     /*  377320 */   GIM_Try, /*On fail goto*//*Label 6789*/ GIMT_Encode4(377386), // Rule ID 60761 //
     /*  377325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  377328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  377333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  377336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  377339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  377342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377364 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  377367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377384 */     GIR_RootConstrainSelectedInstOperands,
     /*  377385 */     // GIR_Coverage, 60761,
     /*  377385 */     GIR_EraseRootFromParent_Done,
     /*  377386 */   // Label 6789: @377386
     /*  377386 */   GIM_Try, /*On fail goto*//*Label 6790*/ GIMT_Encode4(377452), // Rule ID 60762 //
     /*  377391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  377394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  377399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  377402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  377405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  377408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377430 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  377433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377450 */     GIR_RootConstrainSelectedInstOperands,
     /*  377451 */     // GIR_Coverage, 60762,
     /*  377451 */     GIR_EraseRootFromParent_Done,
     /*  377452 */   // Label 6790: @377452
     /*  377452 */   GIM_Try, /*On fail goto*//*Label 6791*/ GIMT_Encode4(377518), // Rule ID 60765 //
     /*  377457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  377460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  377465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  377468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  377471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  377474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377496 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  377499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377516 */     GIR_RootConstrainSelectedInstOperands,
     /*  377517 */     // GIR_Coverage, 60765,
     /*  377517 */     GIR_EraseRootFromParent_Done,
     /*  377518 */   // Label 6791: @377518
     /*  377518 */   GIM_Try, /*On fail goto*//*Label 6792*/ GIMT_Encode4(377584), // Rule ID 60766 //
     /*  377523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  377526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  377531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  377534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  377537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  377540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377562 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  377565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377582 */     GIR_RootConstrainSelectedInstOperands,
     /*  377583 */     // GIR_Coverage, 60766,
     /*  377583 */     GIR_EraseRootFromParent_Done,
     /*  377584 */   // Label 6792: @377584
     /*  377584 */   GIM_Try, /*On fail goto*//*Label 6793*/ GIMT_Encode4(377650), // Rule ID 60769 //
     /*  377589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  377592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  377597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  377600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  377603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  377606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377628 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  377631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377648 */     GIR_RootConstrainSelectedInstOperands,
     /*  377649 */     // GIR_Coverage, 60769,
     /*  377649 */     GIR_EraseRootFromParent_Done,
     /*  377650 */   // Label 6793: @377650
     /*  377650 */   GIM_Try, /*On fail goto*//*Label 6794*/ GIMT_Encode4(377716), // Rule ID 60770 //
     /*  377655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  377658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  377663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  377666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  377669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  377672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377694 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  377697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377714 */     GIR_RootConstrainSelectedInstOperands,
     /*  377715 */     // GIR_Coverage, 60770,
     /*  377715 */     GIR_EraseRootFromParent_Done,
     /*  377716 */   // Label 6794: @377716
     /*  377716 */   GIM_Try, /*On fail goto*//*Label 6795*/ GIMT_Encode4(377782), // Rule ID 60773 //
     /*  377721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  377724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  377729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  377732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  377735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  377738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377760 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  377763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377780 */     GIR_RootConstrainSelectedInstOperands,
     /*  377781 */     // GIR_Coverage, 60773,
     /*  377781 */     GIR_EraseRootFromParent_Done,
     /*  377782 */   // Label 6795: @377782
     /*  377782 */   GIM_Try, /*On fail goto*//*Label 6796*/ GIMT_Encode4(377848), // Rule ID 60774 //
     /*  377787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  377790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  377795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  377798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  377801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  377804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377826 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  377826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  377829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377846 */     GIR_RootConstrainSelectedInstOperands,
     /*  377847 */     // GIR_Coverage, 60774,
     /*  377847 */     GIR_EraseRootFromParent_Done,
     /*  377848 */   // Label 6796: @377848
     /*  377848 */   GIM_Try, /*On fail goto*//*Label 6797*/ GIMT_Encode4(377914), // Rule ID 60777 //
     /*  377853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  377856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  377861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  377864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  377867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  377870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377892 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  377895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377912 */     GIR_RootConstrainSelectedInstOperands,
     /*  377913 */     // GIR_Coverage, 60777,
     /*  377913 */     GIR_EraseRootFromParent_Done,
     /*  377914 */   // Label 6797: @377914
     /*  377914 */   GIM_Try, /*On fail goto*//*Label 6798*/ GIMT_Encode4(377980), // Rule ID 60778 //
     /*  377919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  377922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  377927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  377930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  377933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  377936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377958 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  377961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377978 */     GIR_RootConstrainSelectedInstOperands,
     /*  377979 */     // GIR_Coverage, 60778,
     /*  377979 */     GIR_EraseRootFromParent_Done,
     /*  377980 */   // Label 6798: @377980
     /*  377980 */   GIM_Try, /*On fail goto*//*Label 6799*/ GIMT_Encode4(378046), // Rule ID 60781 //
     /*  377985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  377988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  377993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  377996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  377999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  378002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378024 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  378027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378044 */     GIR_RootConstrainSelectedInstOperands,
     /*  378045 */     // GIR_Coverage, 60781,
     /*  378045 */     GIR_EraseRootFromParent_Done,
     /*  378046 */   // Label 6799: @378046
     /*  378046 */   GIM_Try, /*On fail goto*//*Label 6800*/ GIMT_Encode4(378112), // Rule ID 60782 //
     /*  378051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  378062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  378065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  378068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378090 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  378090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  378093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378110 */     GIR_RootConstrainSelectedInstOperands,
     /*  378111 */     // GIR_Coverage, 60782,
     /*  378111 */     GIR_EraseRootFromParent_Done,
     /*  378112 */   // Label 6800: @378112
     /*  378112 */   GIM_Try, /*On fail goto*//*Label 6801*/ GIMT_Encode4(378178), // Rule ID 60785 //
     /*  378117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  378128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  378131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  378134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378156 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  378156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  378159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378176 */     GIR_RootConstrainSelectedInstOperands,
     /*  378177 */     // GIR_Coverage, 60785,
     /*  378177 */     GIR_EraseRootFromParent_Done,
     /*  378178 */   // Label 6801: @378178
     /*  378178 */   GIM_Try, /*On fail goto*//*Label 6802*/ GIMT_Encode4(378244), // Rule ID 60786 //
     /*  378183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  378194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  378197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  378200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378222 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  378222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  378225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378242 */     GIR_RootConstrainSelectedInstOperands,
     /*  378243 */     // GIR_Coverage, 60786,
     /*  378243 */     GIR_EraseRootFromParent_Done,
     /*  378244 */   // Label 6802: @378244
     /*  378244 */   GIM_Try, /*On fail goto*//*Label 6803*/ GIMT_Encode4(378310), // Rule ID 60789 //
     /*  378249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  378260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  378263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  378266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378288 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  378291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378308 */     GIR_RootConstrainSelectedInstOperands,
     /*  378309 */     // GIR_Coverage, 60789,
     /*  378309 */     GIR_EraseRootFromParent_Done,
     /*  378310 */   // Label 6803: @378310
     /*  378310 */   GIM_Try, /*On fail goto*//*Label 6804*/ GIMT_Encode4(378376), // Rule ID 60790 //
     /*  378315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  378326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  378329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  378332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378354 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  378354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  378357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378374 */     GIR_RootConstrainSelectedInstOperands,
     /*  378375 */     // GIR_Coverage, 60790,
     /*  378375 */     GIR_EraseRootFromParent_Done,
     /*  378376 */   // Label 6804: @378376
     /*  378376 */   GIM_Try, /*On fail goto*//*Label 6805*/ GIMT_Encode4(378442), // Rule ID 60793 //
     /*  378381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  378392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  378395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  378398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378420 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  378423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378440 */     GIR_RootConstrainSelectedInstOperands,
     /*  378441 */     // GIR_Coverage, 60793,
     /*  378441 */     GIR_EraseRootFromParent_Done,
     /*  378442 */   // Label 6805: @378442
     /*  378442 */   GIM_Try, /*On fail goto*//*Label 6806*/ GIMT_Encode4(378508), // Rule ID 60794 //
     /*  378447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  378458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  378461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  378464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378486 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  378489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378506 */     GIR_RootConstrainSelectedInstOperands,
     /*  378507 */     // GIR_Coverage, 60794,
     /*  378507 */     GIR_EraseRootFromParent_Done,
     /*  378508 */   // Label 6806: @378508
     /*  378508 */   GIM_Try, /*On fail goto*//*Label 6807*/ GIMT_Encode4(378574), // Rule ID 60797 //
     /*  378513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  378524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  378527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  378530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378552 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  378555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378572 */     GIR_RootConstrainSelectedInstOperands,
     /*  378573 */     // GIR_Coverage, 60797,
     /*  378573 */     GIR_EraseRootFromParent_Done,
     /*  378574 */   // Label 6807: @378574
     /*  378574 */   GIM_Try, /*On fail goto*//*Label 6808*/ GIMT_Encode4(378640), // Rule ID 60798 //
     /*  378579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  378590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  378593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  378596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378618 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  378621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378638 */     GIR_RootConstrainSelectedInstOperands,
     /*  378639 */     // GIR_Coverage, 60798,
     /*  378639 */     GIR_EraseRootFromParent_Done,
     /*  378640 */   // Label 6808: @378640
     /*  378640 */   GIM_Try, /*On fail goto*//*Label 6809*/ GIMT_Encode4(378706), // Rule ID 60801 //
     /*  378645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  378656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  378659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  378662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378684 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  378687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378704 */     GIR_RootConstrainSelectedInstOperands,
     /*  378705 */     // GIR_Coverage, 60801,
     /*  378705 */     GIR_EraseRootFromParent_Done,
     /*  378706 */   // Label 6809: @378706
     /*  378706 */   GIM_Try, /*On fail goto*//*Label 6810*/ GIMT_Encode4(378772), // Rule ID 60802 //
     /*  378711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  378722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  378725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  378728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378750 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  378753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378770 */     GIR_RootConstrainSelectedInstOperands,
     /*  378771 */     // GIR_Coverage, 60802,
     /*  378771 */     GIR_EraseRootFromParent_Done,
     /*  378772 */   // Label 6810: @378772
     /*  378772 */   GIM_Try, /*On fail goto*//*Label 6811*/ GIMT_Encode4(378838), // Rule ID 60805 //
     /*  378777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  378788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  378791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  378794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378816 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  378819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378836 */     GIR_RootConstrainSelectedInstOperands,
     /*  378837 */     // GIR_Coverage, 60805,
     /*  378837 */     GIR_EraseRootFromParent_Done,
     /*  378838 */   // Label 6811: @378838
     /*  378838 */   GIM_Try, /*On fail goto*//*Label 6812*/ GIMT_Encode4(378904), // Rule ID 60806 //
     /*  378843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  378854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  378857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  378860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378882 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  378882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  378885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378902 */     GIR_RootConstrainSelectedInstOperands,
     /*  378903 */     // GIR_Coverage, 60806,
     /*  378903 */     GIR_EraseRootFromParent_Done,
     /*  378904 */   // Label 6812: @378904
     /*  378904 */   GIM_Try, /*On fail goto*//*Label 6813*/ GIMT_Encode4(378970), // Rule ID 60809 //
     /*  378909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  378920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  378923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  378926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378948 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  378951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378968 */     GIR_RootConstrainSelectedInstOperands,
     /*  378969 */     // GIR_Coverage, 60809,
     /*  378969 */     GIR_EraseRootFromParent_Done,
     /*  378970 */   // Label 6813: @378970
     /*  378970 */   GIM_Try, /*On fail goto*//*Label 6814*/ GIMT_Encode4(379036), // Rule ID 60810 //
     /*  378975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  378983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  378986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  378989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  378992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379014 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  379017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379034 */     GIR_RootConstrainSelectedInstOperands,
     /*  379035 */     // GIR_Coverage, 60810,
     /*  379035 */     GIR_EraseRootFromParent_Done,
     /*  379036 */   // Label 6814: @379036
     /*  379036 */   GIM_Try, /*On fail goto*//*Label 6815*/ GIMT_Encode4(379102), // Rule ID 60813 //
     /*  379041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  379052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  379055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  379058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379080 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  379083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379100 */     GIR_RootConstrainSelectedInstOperands,
     /*  379101 */     // GIR_Coverage, 60813,
     /*  379101 */     GIR_EraseRootFromParent_Done,
     /*  379102 */   // Label 6815: @379102
     /*  379102 */   GIM_Try, /*On fail goto*//*Label 6816*/ GIMT_Encode4(379168), // Rule ID 60814 //
     /*  379107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  379118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  379121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  379124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379146 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  379149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379166 */     GIR_RootConstrainSelectedInstOperands,
     /*  379167 */     // GIR_Coverage, 60814,
     /*  379167 */     GIR_EraseRootFromParent_Done,
     /*  379168 */   // Label 6816: @379168
     /*  379168 */   GIM_Try, /*On fail goto*//*Label 6817*/ GIMT_Encode4(379234), // Rule ID 60817 //
     /*  379173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  379184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  379187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  379190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379212 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  379215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379232 */     GIR_RootConstrainSelectedInstOperands,
     /*  379233 */     // GIR_Coverage, 60817,
     /*  379233 */     GIR_EraseRootFromParent_Done,
     /*  379234 */   // Label 6817: @379234
     /*  379234 */   GIM_Try, /*On fail goto*//*Label 6818*/ GIMT_Encode4(379300), // Rule ID 60818 //
     /*  379239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  379250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  379253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  379256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379278 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  379281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379298 */     GIR_RootConstrainSelectedInstOperands,
     /*  379299 */     // GIR_Coverage, 60818,
     /*  379299 */     GIR_EraseRootFromParent_Done,
     /*  379300 */   // Label 6818: @379300
     /*  379300 */   GIM_Try, /*On fail goto*//*Label 6819*/ GIMT_Encode4(379366), // Rule ID 60821 //
     /*  379305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  379316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  379319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  379322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379344 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  379347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379364 */     GIR_RootConstrainSelectedInstOperands,
     /*  379365 */     // GIR_Coverage, 60821,
     /*  379365 */     GIR_EraseRootFromParent_Done,
     /*  379366 */   // Label 6819: @379366
     /*  379366 */   GIM_Try, /*On fail goto*//*Label 6820*/ GIMT_Encode4(379432), // Rule ID 60822 //
     /*  379371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  379382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  379385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  379388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379410 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  379413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379430 */     GIR_RootConstrainSelectedInstOperands,
     /*  379431 */     // GIR_Coverage, 60822,
     /*  379431 */     GIR_EraseRootFromParent_Done,
     /*  379432 */   // Label 6820: @379432
     /*  379432 */   GIM_Try, /*On fail goto*//*Label 6821*/ GIMT_Encode4(379498), // Rule ID 60825 //
     /*  379437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  379448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  379451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  379454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379476 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  379479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379496 */     GIR_RootConstrainSelectedInstOperands,
     /*  379497 */     // GIR_Coverage, 60825,
     /*  379497 */     GIR_EraseRootFromParent_Done,
     /*  379498 */   // Label 6821: @379498
     /*  379498 */   GIM_Try, /*On fail goto*//*Label 6822*/ GIMT_Encode4(379564), // Rule ID 60826 //
     /*  379503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  379514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  379517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  379520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379542 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  379545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379562 */     GIR_RootConstrainSelectedInstOperands,
     /*  379563 */     // GIR_Coverage, 60826,
     /*  379563 */     GIR_EraseRootFromParent_Done,
     /*  379564 */   // Label 6822: @379564
     /*  379564 */   GIM_Try, /*On fail goto*//*Label 6823*/ GIMT_Encode4(379630), // Rule ID 60829 //
     /*  379569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  379580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  379583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  379586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379608 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  379608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  379611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379628 */     GIR_RootConstrainSelectedInstOperands,
     /*  379629 */     // GIR_Coverage, 60829,
     /*  379629 */     GIR_EraseRootFromParent_Done,
     /*  379630 */   // Label 6823: @379630
     /*  379630 */   GIM_Try, /*On fail goto*//*Label 6824*/ GIMT_Encode4(379696), // Rule ID 60830 //
     /*  379635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  379646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  379649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  379652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379674 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  379674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  379677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379694 */     GIR_RootConstrainSelectedInstOperands,
     /*  379695 */     // GIR_Coverage, 60830,
     /*  379695 */     GIR_EraseRootFromParent_Done,
     /*  379696 */   // Label 6824: @379696
     /*  379696 */   GIM_Try, /*On fail goto*//*Label 6825*/ GIMT_Encode4(379762), // Rule ID 60833 //
     /*  379701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  379712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  379715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  379718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379740 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  379740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  379743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379760 */     GIR_RootConstrainSelectedInstOperands,
     /*  379761 */     // GIR_Coverage, 60833,
     /*  379761 */     GIR_EraseRootFromParent_Done,
     /*  379762 */   // Label 6825: @379762
     /*  379762 */   GIM_Try, /*On fail goto*//*Label 6826*/ GIMT_Encode4(379828), // Rule ID 60834 //
     /*  379767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  379778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  379781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  379784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379806 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  379806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  379809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379826 */     GIR_RootConstrainSelectedInstOperands,
     /*  379827 */     // GIR_Coverage, 60834,
     /*  379827 */     GIR_EraseRootFromParent_Done,
     /*  379828 */   // Label 6826: @379828
     /*  379828 */   GIM_Try, /*On fail goto*//*Label 6827*/ GIMT_Encode4(379894), // Rule ID 60837 //
     /*  379833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  379844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  379847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  379850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379872 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  379872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  379875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379892 */     GIR_RootConstrainSelectedInstOperands,
     /*  379893 */     // GIR_Coverage, 60837,
     /*  379893 */     GIR_EraseRootFromParent_Done,
     /*  379894 */   // Label 6827: @379894
     /*  379894 */   GIM_Try, /*On fail goto*//*Label 6828*/ GIMT_Encode4(379960), // Rule ID 60838 //
     /*  379899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  379902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  379907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  379910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  379913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  379916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379938 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  379938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  379941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379958 */     GIR_RootConstrainSelectedInstOperands,
     /*  379959 */     // GIR_Coverage, 60838,
     /*  379959 */     GIR_EraseRootFromParent_Done,
     /*  379960 */   // Label 6828: @379960
     /*  379960 */   GIM_Try, /*On fail goto*//*Label 6829*/ GIMT_Encode4(380026), // Rule ID 60841 //
     /*  379965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  379968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  379973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  379976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  379979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  379982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380004 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  380007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380024 */     GIR_RootConstrainSelectedInstOperands,
     /*  380025 */     // GIR_Coverage, 60841,
     /*  380025 */     GIR_EraseRootFromParent_Done,
     /*  380026 */   // Label 6829: @380026
     /*  380026 */   GIM_Try, /*On fail goto*//*Label 6830*/ GIMT_Encode4(380092), // Rule ID 60842 //
     /*  380031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  380039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  380042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  380045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  380048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380070 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  380073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380090 */     GIR_RootConstrainSelectedInstOperands,
     /*  380091 */     // GIR_Coverage, 60842,
     /*  380091 */     GIR_EraseRootFromParent_Done,
     /*  380092 */   // Label 6830: @380092
     /*  380092 */   GIM_Try, /*On fail goto*//*Label 6831*/ GIMT_Encode4(380158), // Rule ID 60845 //
     /*  380097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  380105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  380108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  380111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  380114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380136 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  380139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380156 */     GIR_RootConstrainSelectedInstOperands,
     /*  380157 */     // GIR_Coverage, 60845,
     /*  380157 */     GIR_EraseRootFromParent_Done,
     /*  380158 */   // Label 6831: @380158
     /*  380158 */   GIM_Try, /*On fail goto*//*Label 6832*/ GIMT_Encode4(380224), // Rule ID 60846 //
     /*  380163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  380171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  380174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  380177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  380180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380202 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  380205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380222 */     GIR_RootConstrainSelectedInstOperands,
     /*  380223 */     // GIR_Coverage, 60846,
     /*  380223 */     GIR_EraseRootFromParent_Done,
     /*  380224 */   // Label 6832: @380224
     /*  380224 */   GIM_Try, /*On fail goto*//*Label 6833*/ GIMT_Encode4(380290), // Rule ID 60849 //
     /*  380229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  380237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  380240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  380243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  380246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380268 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  380271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380288 */     GIR_RootConstrainSelectedInstOperands,
     /*  380289 */     // GIR_Coverage, 60849,
     /*  380289 */     GIR_EraseRootFromParent_Done,
     /*  380290 */   // Label 6833: @380290
     /*  380290 */   GIM_Try, /*On fail goto*//*Label 6834*/ GIMT_Encode4(380356), // Rule ID 60850 //
     /*  380295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  380303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  380306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  380309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  380312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380334 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  380337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380354 */     GIR_RootConstrainSelectedInstOperands,
     /*  380355 */     // GIR_Coverage, 60850,
     /*  380355 */     GIR_EraseRootFromParent_Done,
     /*  380356 */   // Label 6834: @380356
     /*  380356 */   GIM_Try, /*On fail goto*//*Label 6835*/ GIMT_Encode4(380422), // Rule ID 60853 //
     /*  380361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  380369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  380372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  380375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  380378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380400 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  380403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380420 */     GIR_RootConstrainSelectedInstOperands,
     /*  380421 */     // GIR_Coverage, 60853,
     /*  380421 */     GIR_EraseRootFromParent_Done,
     /*  380422 */   // Label 6835: @380422
     /*  380422 */   GIM_Try, /*On fail goto*//*Label 6836*/ GIMT_Encode4(380488), // Rule ID 60854 //
     /*  380427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  380435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  380438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  380441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  380444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380466 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  380469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380486 */     GIR_RootConstrainSelectedInstOperands,
     /*  380487 */     // GIR_Coverage, 60854,
     /*  380487 */     GIR_EraseRootFromParent_Done,
     /*  380488 */   // Label 6836: @380488
     /*  380488 */   GIM_Try, /*On fail goto*//*Label 6837*/ GIMT_Encode4(380554), // Rule ID 60857 //
     /*  380493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  380501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  380504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  380507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  380510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380532 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  380535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380552 */     GIR_RootConstrainSelectedInstOperands,
     /*  380553 */     // GIR_Coverage, 60857,
     /*  380553 */     GIR_EraseRootFromParent_Done,
     /*  380554 */   // Label 6837: @380554
     /*  380554 */   GIM_Try, /*On fail goto*//*Label 6838*/ GIMT_Encode4(380620), // Rule ID 60858 //
     /*  380559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  380567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  380570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  380573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  380576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380598 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  380601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380618 */     GIR_RootConstrainSelectedInstOperands,
     /*  380619 */     // GIR_Coverage, 60858,
     /*  380619 */     GIR_EraseRootFromParent_Done,
     /*  380620 */   // Label 6838: @380620
     /*  380620 */   GIM_Try, /*On fail goto*//*Label 6839*/ GIMT_Encode4(380686), // Rule ID 60861 //
     /*  380625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  380633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  380636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  380639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  380642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380664 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  380664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  380667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380684 */     GIR_RootConstrainSelectedInstOperands,
     /*  380685 */     // GIR_Coverage, 60861,
     /*  380685 */     GIR_EraseRootFromParent_Done,
     /*  380686 */   // Label 6839: @380686
     /*  380686 */   GIM_Try, /*On fail goto*//*Label 6840*/ GIMT_Encode4(380752), // Rule ID 60862 //
     /*  380691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  380699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  380702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  380705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  380708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380730 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  380730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  380733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380750 */     GIR_RootConstrainSelectedInstOperands,
     /*  380751 */     // GIR_Coverage, 60862,
     /*  380751 */     GIR_EraseRootFromParent_Done,
     /*  380752 */   // Label 6840: @380752
     /*  380752 */   GIM_Try, /*On fail goto*//*Label 6841*/ GIMT_Encode4(380818), // Rule ID 60865 //
     /*  380757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  380765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  380768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  380771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  380774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  380799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380816 */     GIR_RootConstrainSelectedInstOperands,
     /*  380817 */     // GIR_Coverage, 60865,
     /*  380817 */     GIR_EraseRootFromParent_Done,
     /*  380818 */   // Label 6841: @380818
     /*  380818 */   GIM_Try, /*On fail goto*//*Label 6842*/ GIMT_Encode4(380884), // Rule ID 60866 //
     /*  380823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  380831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  380834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  380837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  380840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380862 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  380865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380882 */     GIR_RootConstrainSelectedInstOperands,
     /*  380883 */     // GIR_Coverage, 60866,
     /*  380883 */     GIR_EraseRootFromParent_Done,
     /*  380884 */   // Label 6842: @380884
     /*  380884 */   GIM_Try, /*On fail goto*//*Label 6843*/ GIMT_Encode4(380950), // Rule ID 60869 //
     /*  380889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  380892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  380897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  380900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  380903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  380906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  380931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380948 */     GIR_RootConstrainSelectedInstOperands,
     /*  380949 */     // GIR_Coverage, 60869,
     /*  380949 */     GIR_EraseRootFromParent_Done,
     /*  380950 */   // Label 6843: @380950
     /*  380950 */   GIM_Try, /*On fail goto*//*Label 6844*/ GIMT_Encode4(381016), // Rule ID 60870 //
     /*  380955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  380958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  380963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  380966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  380969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  380972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380994 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  380997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381014 */     GIR_RootConstrainSelectedInstOperands,
     /*  381015 */     // GIR_Coverage, 60870,
     /*  381015 */     GIR_EraseRootFromParent_Done,
     /*  381016 */   // Label 6844: @381016
     /*  381016 */   GIM_Try, /*On fail goto*//*Label 6845*/ GIMT_Encode4(381082), // Rule ID 60873 //
     /*  381021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  381032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  381035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  381038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381060 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  381060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  381063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381080 */     GIR_RootConstrainSelectedInstOperands,
     /*  381081 */     // GIR_Coverage, 60873,
     /*  381081 */     GIR_EraseRootFromParent_Done,
     /*  381082 */   // Label 6845: @381082
     /*  381082 */   GIM_Try, /*On fail goto*//*Label 6846*/ GIMT_Encode4(381148), // Rule ID 60874 //
     /*  381087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  381098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  381101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  381104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381126 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  381126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  381129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381146 */     GIR_RootConstrainSelectedInstOperands,
     /*  381147 */     // GIR_Coverage, 60874,
     /*  381147 */     GIR_EraseRootFromParent_Done,
     /*  381148 */   // Label 6846: @381148
     /*  381148 */   GIM_Try, /*On fail goto*//*Label 6847*/ GIMT_Encode4(381214), // Rule ID 60877 //
     /*  381153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  381164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  381167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  381170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381192 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  381192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  381195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381212 */     GIR_RootConstrainSelectedInstOperands,
     /*  381213 */     // GIR_Coverage, 60877,
     /*  381213 */     GIR_EraseRootFromParent_Done,
     /*  381214 */   // Label 6847: @381214
     /*  381214 */   GIM_Try, /*On fail goto*//*Label 6848*/ GIMT_Encode4(381280), // Rule ID 60878 //
     /*  381219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  381230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  381233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  381236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381258 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  381258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  381261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381278 */     GIR_RootConstrainSelectedInstOperands,
     /*  381279 */     // GIR_Coverage, 60878,
     /*  381279 */     GIR_EraseRootFromParent_Done,
     /*  381280 */   // Label 6848: @381280
     /*  381280 */   GIM_Try, /*On fail goto*//*Label 6849*/ GIMT_Encode4(381346), // Rule ID 60881 //
     /*  381285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  381296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  381299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  381302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381324 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  381327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381344 */     GIR_RootConstrainSelectedInstOperands,
     /*  381345 */     // GIR_Coverage, 60881,
     /*  381345 */     GIR_EraseRootFromParent_Done,
     /*  381346 */   // Label 6849: @381346
     /*  381346 */   GIM_Try, /*On fail goto*//*Label 6850*/ GIMT_Encode4(381412), // Rule ID 60882 //
     /*  381351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  381362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  381365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  381368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381390 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  381393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381410 */     GIR_RootConstrainSelectedInstOperands,
     /*  381411 */     // GIR_Coverage, 60882,
     /*  381411 */     GIR_EraseRootFromParent_Done,
     /*  381412 */   // Label 6850: @381412
     /*  381412 */   GIM_Try, /*On fail goto*//*Label 6851*/ GIMT_Encode4(381478), // Rule ID 60885 //
     /*  381417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  381428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  381431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  381434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381456 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  381459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381476 */     GIR_RootConstrainSelectedInstOperands,
     /*  381477 */     // GIR_Coverage, 60885,
     /*  381477 */     GIR_EraseRootFromParent_Done,
     /*  381478 */   // Label 6851: @381478
     /*  381478 */   GIM_Try, /*On fail goto*//*Label 6852*/ GIMT_Encode4(381544), // Rule ID 60886 //
     /*  381483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  381494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  381497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  381500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381522 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  381525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381542 */     GIR_RootConstrainSelectedInstOperands,
     /*  381543 */     // GIR_Coverage, 60886,
     /*  381543 */     GIR_EraseRootFromParent_Done,
     /*  381544 */   // Label 6852: @381544
     /*  381544 */   GIM_Try, /*On fail goto*//*Label 6853*/ GIMT_Encode4(381610), // Rule ID 60889 //
     /*  381549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  381560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  381563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  381566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381588 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  381591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381608 */     GIR_RootConstrainSelectedInstOperands,
     /*  381609 */     // GIR_Coverage, 60889,
     /*  381609 */     GIR_EraseRootFromParent_Done,
     /*  381610 */   // Label 6853: @381610
     /*  381610 */   GIM_Try, /*On fail goto*//*Label 6854*/ GIMT_Encode4(381676), // Rule ID 60890 //
     /*  381615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  381626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  381629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  381632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381654 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  381657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381674 */     GIR_RootConstrainSelectedInstOperands,
     /*  381675 */     // GIR_Coverage, 60890,
     /*  381675 */     GIR_EraseRootFromParent_Done,
     /*  381676 */   // Label 6854: @381676
     /*  381676 */   GIM_Try, /*On fail goto*//*Label 6855*/ GIMT_Encode4(381742), // Rule ID 60893 //
     /*  381681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  381692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  381695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  381698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381720 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  381723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381740 */     GIR_RootConstrainSelectedInstOperands,
     /*  381741 */     // GIR_Coverage, 60893,
     /*  381741 */     GIR_EraseRootFromParent_Done,
     /*  381742 */   // Label 6855: @381742
     /*  381742 */   GIM_Try, /*On fail goto*//*Label 6856*/ GIMT_Encode4(381808), // Rule ID 60894 //
     /*  381747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  381758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  381761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  381764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381786 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  381789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381806 */     GIR_RootConstrainSelectedInstOperands,
     /*  381807 */     // GIR_Coverage, 60894,
     /*  381807 */     GIR_EraseRootFromParent_Done,
     /*  381808 */   // Label 6856: @381808
     /*  381808 */   GIM_Try, /*On fail goto*//*Label 6857*/ GIMT_Encode4(381874), // Rule ID 60897 //
     /*  381813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  381824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  381827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  381830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381852 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  381855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381872 */     GIR_RootConstrainSelectedInstOperands,
     /*  381873 */     // GIR_Coverage, 60897,
     /*  381873 */     GIR_EraseRootFromParent_Done,
     /*  381874 */   // Label 6857: @381874
     /*  381874 */   GIM_Try, /*On fail goto*//*Label 6858*/ GIMT_Encode4(381940), // Rule ID 60898 //
     /*  381879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  381882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  381890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  381893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  381896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  381911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381918 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  381921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381938 */     GIR_RootConstrainSelectedInstOperands,
     /*  381939 */     // GIR_Coverage, 60898,
     /*  381939 */     GIR_EraseRootFromParent_Done,
     /*  381940 */   // Label 6858: @381940
     /*  381940 */   GIM_Try, /*On fail goto*//*Label 6859*/ GIMT_Encode4(382006), // Rule ID 60901 //
     /*  381945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  381948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  381953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  381956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  381959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  381962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  381977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381984 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  381987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382004 */     GIR_RootConstrainSelectedInstOperands,
     /*  382005 */     // GIR_Coverage, 60901,
     /*  382005 */     GIR_EraseRootFromParent_Done,
     /*  382006 */   // Label 6859: @382006
     /*  382006 */   GIM_Try, /*On fail goto*//*Label 6860*/ GIMT_Encode4(382072), // Rule ID 60902 //
     /*  382011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  382022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  382025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  382028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382050 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  382053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382070 */     GIR_RootConstrainSelectedInstOperands,
     /*  382071 */     // GIR_Coverage, 60902,
     /*  382071 */     GIR_EraseRootFromParent_Done,
     /*  382072 */   // Label 6860: @382072
     /*  382072 */   GIM_Try, /*On fail goto*//*Label 6861*/ GIMT_Encode4(382138), // Rule ID 60905 //
     /*  382077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  382088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  382091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  382094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382116 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  382119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382136 */     GIR_RootConstrainSelectedInstOperands,
     /*  382137 */     // GIR_Coverage, 60905,
     /*  382137 */     GIR_EraseRootFromParent_Done,
     /*  382138 */   // Label 6861: @382138
     /*  382138 */   GIM_Try, /*On fail goto*//*Label 6862*/ GIMT_Encode4(382204), // Rule ID 60906 //
     /*  382143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  382154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  382157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  382160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382182 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  382185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382202 */     GIR_RootConstrainSelectedInstOperands,
     /*  382203 */     // GIR_Coverage, 60906,
     /*  382203 */     GIR_EraseRootFromParent_Done,
     /*  382204 */   // Label 6862: @382204
     /*  382204 */   GIM_Try, /*On fail goto*//*Label 6863*/ GIMT_Encode4(382270), // Rule ID 60909 //
     /*  382209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  382220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  382223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  382226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382248 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  382251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382268 */     GIR_RootConstrainSelectedInstOperands,
     /*  382269 */     // GIR_Coverage, 60909,
     /*  382269 */     GIR_EraseRootFromParent_Done,
     /*  382270 */   // Label 6863: @382270
     /*  382270 */   GIM_Try, /*On fail goto*//*Label 6864*/ GIMT_Encode4(382336), // Rule ID 60910 //
     /*  382275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  382286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  382289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  382292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382314 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  382317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382334 */     GIR_RootConstrainSelectedInstOperands,
     /*  382335 */     // GIR_Coverage, 60910,
     /*  382335 */     GIR_EraseRootFromParent_Done,
     /*  382336 */   // Label 6864: @382336
     /*  382336 */   GIM_Try, /*On fail goto*//*Label 6865*/ GIMT_Encode4(382402), // Rule ID 60913 //
     /*  382341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  382352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  382355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  382358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382380 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  382383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382400 */     GIR_RootConstrainSelectedInstOperands,
     /*  382401 */     // GIR_Coverage, 60913,
     /*  382401 */     GIR_EraseRootFromParent_Done,
     /*  382402 */   // Label 6865: @382402
     /*  382402 */   GIM_Try, /*On fail goto*//*Label 6866*/ GIMT_Encode4(382468), // Rule ID 60914 //
     /*  382407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  382418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  382421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  382424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382446 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  382449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382466 */     GIR_RootConstrainSelectedInstOperands,
     /*  382467 */     // GIR_Coverage, 60914,
     /*  382467 */     GIR_EraseRootFromParent_Done,
     /*  382468 */   // Label 6866: @382468
     /*  382468 */   GIM_Try, /*On fail goto*//*Label 6867*/ GIMT_Encode4(382534), // Rule ID 60917 //
     /*  382473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  382484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  382487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  382490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382512 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  382512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  382515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382532 */     GIR_RootConstrainSelectedInstOperands,
     /*  382533 */     // GIR_Coverage, 60917,
     /*  382533 */     GIR_EraseRootFromParent_Done,
     /*  382534 */   // Label 6867: @382534
     /*  382534 */   GIM_Try, /*On fail goto*//*Label 6868*/ GIMT_Encode4(382600), // Rule ID 60918 //
     /*  382539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  382550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  382553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  382556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382578 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  382578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  382581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382598 */     GIR_RootConstrainSelectedInstOperands,
     /*  382599 */     // GIR_Coverage, 60918,
     /*  382599 */     GIR_EraseRootFromParent_Done,
     /*  382600 */   // Label 6868: @382600
     /*  382600 */   GIM_Try, /*On fail goto*//*Label 6869*/ GIMT_Encode4(382666), // Rule ID 60921 //
     /*  382605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  382616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  382619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  382622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382644 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  382644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  382647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382664 */     GIR_RootConstrainSelectedInstOperands,
     /*  382665 */     // GIR_Coverage, 60921,
     /*  382665 */     GIR_EraseRootFromParent_Done,
     /*  382666 */   // Label 6869: @382666
     /*  382666 */   GIM_Try, /*On fail goto*//*Label 6870*/ GIMT_Encode4(382732), // Rule ID 60922 //
     /*  382671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  382682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  382685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  382688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382710 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  382710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  382713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382730 */     GIR_RootConstrainSelectedInstOperands,
     /*  382731 */     // GIR_Coverage, 60922,
     /*  382731 */     GIR_EraseRootFromParent_Done,
     /*  382732 */   // Label 6870: @382732
     /*  382732 */   GIM_Try, /*On fail goto*//*Label 6871*/ GIMT_Encode4(382798), // Rule ID 60925 //
     /*  382737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  382740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  382748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  382751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  382754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382776 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  382776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  382779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382796 */     GIR_RootConstrainSelectedInstOperands,
     /*  382797 */     // GIR_Coverage, 60925,
     /*  382797 */     GIR_EraseRootFromParent_Done,
     /*  382798 */   // Label 6871: @382798
     /*  382798 */   GIM_Try, /*On fail goto*//*Label 6872*/ GIMT_Encode4(382864), // Rule ID 60926 //
     /*  382803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  382806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  382811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  382814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  382817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  382820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382842 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  382842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  382845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382862 */     GIR_RootConstrainSelectedInstOperands,
     /*  382863 */     // GIR_Coverage, 60926,
     /*  382863 */     GIR_EraseRootFromParent_Done,
     /*  382864 */   // Label 6872: @382864
     /*  382864 */   GIM_Try, /*On fail goto*//*Label 6873*/ GIMT_Encode4(382929), // Rule ID 63856 //
     /*  382869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  382872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  382877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  382880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  382883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  382886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  382893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  382897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  382901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382913 */     // MIs[1] Operand 1
     /*  382913 */     // No operand predicates
     /*  382913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382915 */     // (intrinsic_wo_chain:{ *:[i32] } 10883:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  382915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDN),
     /*  382918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  382922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  382927 */     GIR_RootConstrainSelectedInstOperands,
     /*  382928 */     // GIR_Coverage, 63856,
     /*  382928 */     GIR_EraseRootFromParent_Done,
     /*  382929 */   // Label 6873: @382929
     /*  382929 */   GIM_Try, /*On fail goto*//*Label 6874*/ GIMT_Encode4(382994), // Rule ID 63883 //
     /*  382934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  382937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  382942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  382945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  382948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  382951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  382958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  382962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  382966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382978 */     // MIs[1] Operand 1
     /*  382978 */     // No operand predicates
     /*  382978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382980 */     // (intrinsic_wo_chain:{ *:[i32] } 10885:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  382980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUN),
     /*  382983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  382987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  382992 */     GIR_RootConstrainSelectedInstOperands,
     /*  382993 */     // GIR_Coverage, 63883,
     /*  382993 */     GIR_EraseRootFromParent_Done,
     /*  382994 */   // Label 6874: @382994
     /*  382994 */   GIM_Try, /*On fail goto*//*Label 6875*/ GIMT_Encode4(383059), // Rule ID 63886 //
     /*  382999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  383002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  383007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  383010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  383013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  383016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383043 */     // MIs[1] Operand 1
     /*  383043 */     // No operand predicates
     /*  383043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383045 */     // (intrinsic_wo_chain:{ *:[i32] } 10884:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  383045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRN),
     /*  383048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  383052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  383057 */     GIR_RootConstrainSelectedInstOperands,
     /*  383058 */     // GIR_Coverage, 63886,
     /*  383058 */     GIR_EraseRootFromParent_Done,
     /*  383059 */   // Label 6875: @383059
     /*  383059 */   GIM_Try, /*On fail goto*//*Label 6876*/ GIMT_Encode4(383124), // Rule ID 63889 //
     /*  383064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  383067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  383072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  383075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  383078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  383081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383108 */     // MIs[1] Operand 1
     /*  383108 */     // No operand predicates
     /*  383108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383110 */     // (intrinsic_wo_chain:{ *:[i32] } 10886:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  383110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURN),
     /*  383113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  383117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  383122 */     GIR_RootConstrainSelectedInstOperands,
     /*  383123 */     // GIR_Coverage, 63889,
     /*  383123 */     GIR_EraseRootFromParent_Done,
     /*  383124 */   // Label 6876: @383124
     /*  383124 */   GIM_Try, /*On fail goto*//*Label 6877*/ GIMT_Encode4(383189), // Rule ID 63892 //
     /*  383129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  383132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  383137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  383140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  383143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  383146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383173 */     // MIs[1] Operand 1
     /*  383173 */     // No operand predicates
     /*  383173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383175 */     // (intrinsic_wo_chain:{ *:[i32] } 10889:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  383175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBN),
     /*  383178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  383182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  383187 */     GIR_RootConstrainSelectedInstOperands,
     /*  383188 */     // GIR_Coverage, 63892,
     /*  383188 */     GIR_EraseRootFromParent_Done,
     /*  383189 */   // Label 6877: @383189
     /*  383189 */   GIM_Try, /*On fail goto*//*Label 6878*/ GIMT_Encode4(383254), // Rule ID 63895 //
     /*  383194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  383197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  383202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  383205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  383208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  383211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383238 */     // MIs[1] Operand 1
     /*  383238 */     // No operand predicates
     /*  383238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383240 */     // (intrinsic_wo_chain:{ *:[i32] } 10891:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  383240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUN),
     /*  383243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  383247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  383252 */     GIR_RootConstrainSelectedInstOperands,
     /*  383253 */     // GIR_Coverage, 63895,
     /*  383253 */     GIR_EraseRootFromParent_Done,
     /*  383254 */   // Label 6878: @383254
     /*  383254 */   GIM_Try, /*On fail goto*//*Label 6879*/ GIMT_Encode4(383319), // Rule ID 63898 //
     /*  383259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  383262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  383267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  383270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  383273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  383276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383303 */     // MIs[1] Operand 1
     /*  383303 */     // No operand predicates
     /*  383303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383305 */     // (intrinsic_wo_chain:{ *:[i32] } 10890:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  383305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRN),
     /*  383308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  383312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  383317 */     GIR_RootConstrainSelectedInstOperands,
     /*  383318 */     // GIR_Coverage, 63898,
     /*  383318 */     GIR_EraseRootFromParent_Done,
     /*  383319 */   // Label 6879: @383319
     /*  383319 */   GIM_Try, /*On fail goto*//*Label 6880*/ GIMT_Encode4(383384), // Rule ID 63901 //
     /*  383324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  383327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  383332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  383335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  383338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  383341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383368 */     // MIs[1] Operand 1
     /*  383368 */     // No operand predicates
     /*  383368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383370 */     // (intrinsic_wo_chain:{ *:[i32] } 10892:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  383370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURN),
     /*  383373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  383377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  383382 */     GIR_RootConstrainSelectedInstOperands,
     /*  383383 */     // GIR_Coverage, 63901,
     /*  383383 */     GIR_EraseRootFromParent_Done,
     /*  383384 */   // Label 6880: @383384
     /*  383384 */   GIM_Try, /*On fail goto*//*Label 6881*/ GIMT_Encode4(383439), // Rule ID 2506 //
     /*  383389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  383392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsi),
     /*  383397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  383400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  383403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  383406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383418 */     // MIs[0] imm
     /*  383418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383421 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  383426 */     // (intrinsic_wo_chain:{ *:[i32] } 10868:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  383426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSI),
     /*  383429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  383433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383435 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  383437 */     GIR_RootConstrainSelectedInstOperands,
     /*  383438 */     // GIR_Coverage, 2506,
     /*  383438 */     GIR_EraseRootFromParent_Done,
     /*  383439 */   // Label 6881: @383439
     /*  383439 */   GIM_Try, /*On fail goto*//*Label 6882*/ GIMT_Encode4(383494), // Rule ID 2507 //
     /*  383444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  383447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsmi),
     /*  383452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  383455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  383458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  383461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383473 */     // MIs[0] imm
     /*  383473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383476 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  383481 */     // (intrinsic_wo_chain:{ *:[i32] } 10869:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  383481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSMI),
     /*  383484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  383488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383490 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  383492 */     GIR_RootConstrainSelectedInstOperands,
     /*  383493 */     // GIR_Coverage, 2507,
     /*  383493 */     GIR_EraseRootFromParent_Done,
     /*  383494 */   // Label 6882: @383494
     /*  383494 */   GIM_Try, /*On fail goto*//*Label 6883*/ GIMT_Encode4(383549), // Rule ID 2513 //
     /*  383499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  383502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esi),
     /*  383507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  383510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  383513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  383516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383528 */     // MIs[0] imm
     /*  383528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383531 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  383536 */     // (intrinsic_wo_chain:{ *:[i32] } 10870:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  383536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESI),
     /*  383539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  383543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383545 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  383547 */     GIR_RootConstrainSelectedInstOperands,
     /*  383548 */     // GIR_Coverage, 2513,
     /*  383548 */     GIR_EraseRootFromParent_Done,
     /*  383549 */   // Label 6883: @383549
     /*  383549 */   GIM_Try, /*On fail goto*//*Label 6884*/ GIMT_Encode4(383604), // Rule ID 2514 //
     /*  383554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  383557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esmi),
     /*  383562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  383565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  383568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  383571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383583 */     // MIs[0] imm
     /*  383583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383586 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  383591 */     // (intrinsic_wo_chain:{ *:[i32] } 10871:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  383591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESMI),
     /*  383594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  383598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383600 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  383602 */     GIR_RootConstrainSelectedInstOperands,
     /*  383603 */     // GIR_Coverage, 2514,
     /*  383603 */     GIR_EraseRootFromParent_Done,
     /*  383604 */   // Label 6884: @383604
     /*  383604 */   GIM_Try, /*On fail goto*//*Label 6885*/ GIMT_Encode4(383659), // Rule ID 63912 //
     /*  383609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  383612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluN),
     /*  383617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  383620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  383623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  383626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383638 */     // MIs[0] imm5
     /*  383638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383641 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  383646 */     // (intrinsic_wo_chain:{ *:[i32] } 10916:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  383646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULUN),
     /*  383649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  383653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383655 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  383657 */     GIR_RootConstrainSelectedInstOperands,
     /*  383658 */     // GIR_Coverage, 63912,
     /*  383658 */     GIR_EraseRootFromParent_Done,
     /*  383659 */   // Label 6885: @383659
     /*  383659 */   GIM_Try, /*On fail goto*//*Label 6886*/ GIMT_Encode4(383714), // Rule ID 63913 //
     /*  383664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  383667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuN),
     /*  383672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  383675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  383678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  383681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383693 */     // MIs[0] imm5
     /*  383693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383696 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  383701 */     // (intrinsic_wo_chain:{ *:[i32] } 10912:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  383701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHUN),
     /*  383704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  383708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383710 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  383712 */     GIR_RootConstrainSelectedInstOperands,
     /*  383713 */     // GIR_Coverage, 63913,
     /*  383713 */     GIR_EraseRootFromParent_Done,
     /*  383714 */   // Label 6886: @383714
     /*  383714 */   GIM_Try, /*On fail goto*//*Label 6887*/ GIMT_Encode4(383769), // Rule ID 63914 //
     /*  383719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  383722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsN),
     /*  383727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  383730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  383733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  383736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383748 */     // MIs[0] imm5
     /*  383748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383751 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  383756 */     // (intrinsic_wo_chain:{ *:[i32] } 10914:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  383756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSN),
     /*  383759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  383763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383765 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  383767 */     GIR_RootConstrainSelectedInstOperands,
     /*  383768 */     // GIR_Coverage, 63914,
     /*  383768 */     GIR_EraseRootFromParent_Done,
     /*  383769 */   // Label 6887: @383769
     /*  383769 */   GIM_Try, /*On fail goto*//*Label 6888*/ GIMT_Encode4(383824), // Rule ID 63915 //
     /*  383774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  383777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsN),
     /*  383782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  383785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  383788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  383791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383803 */     // MIs[0] imm5
     /*  383803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383806 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  383811 */     // (intrinsic_wo_chain:{ *:[i32] } 10910:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  383811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSN),
     /*  383814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  383818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383820 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  383822 */     GIR_RootConstrainSelectedInstOperands,
     /*  383823 */     // GIR_Coverage, 63915,
     /*  383823 */     GIR_EraseRootFromParent_Done,
     /*  383824 */   // Label 6888: @383824
     /*  383824 */   GIM_Try, /*On fail goto*//*Label 6889*/ GIMT_Encode4(383879), // Rule ID 63916 //
     /*  383829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  383832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluRN),
     /*  383837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  383840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  383843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  383846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383858 */     // MIs[0] imm5
     /*  383858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383861 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  383866 */     // (intrinsic_wo_chain:{ *:[i32] } 10917:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  383866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULURN),
     /*  383869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  383873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383875 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  383877 */     GIR_RootConstrainSelectedInstOperands,
     /*  383878 */     // GIR_Coverage, 63916,
     /*  383878 */     GIR_EraseRootFromParent_Done,
     /*  383879 */   // Label 6889: @383879
     /*  383879 */   GIM_Try, /*On fail goto*//*Label 6890*/ GIMT_Encode4(383934), // Rule ID 63917 //
     /*  383884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  383887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuRN),
     /*  383892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  383895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  383898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  383901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383913 */     // MIs[0] imm5
     /*  383913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383916 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  383921 */     // (intrinsic_wo_chain:{ *:[i32] } 10913:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  383921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHURN),
     /*  383924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  383928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383930 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  383932 */     GIR_RootConstrainSelectedInstOperands,
     /*  383933 */     // GIR_Coverage, 63917,
     /*  383933 */     GIR_EraseRootFromParent_Done,
     /*  383934 */   // Label 6890: @383934
     /*  383934 */   GIM_Try, /*On fail goto*//*Label 6891*/ GIMT_Encode4(383989), // Rule ID 63918 //
     /*  383939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  383942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsRN),
     /*  383947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  383950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  383953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  383956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383968 */     // MIs[0] imm5
     /*  383968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383971 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  383976 */     // (intrinsic_wo_chain:{ *:[i32] } 10915:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  383976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSRN),
     /*  383979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  383983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383985 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  383987 */     GIR_RootConstrainSelectedInstOperands,
     /*  383988 */     // GIR_Coverage, 63918,
     /*  383988 */     GIR_EraseRootFromParent_Done,
     /*  383989 */   // Label 6891: @383989
     /*  383989 */   GIM_Try, /*On fail goto*//*Label 6892*/ GIMT_Encode4(384044), // Rule ID 63919 //
     /*  383994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  383997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsRN),
     /*  384002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384023 */     // MIs[0] imm5
     /*  384023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  384026 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  384031 */     // (intrinsic_wo_chain:{ *:[i32] } 10911:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  384031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSRN),
     /*  384034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384040 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  384042 */     GIR_RootConstrainSelectedInstOperands,
     /*  384043 */     // GIR_Coverage, 63919,
     /*  384043 */     GIR_EraseRootFromParent_Done,
     /*  384044 */   // Label 6892: @384044
     /*  384044 */   GIM_Try, /*On fail goto*//*Label 6893*/ GIMT_Encode4(384098), // Rule ID 63854 //
     /*  384049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  384052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  384057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384085 */     // (intrinsic_wo_chain:{ *:[i32] } 10883:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  384085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  384088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  384090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  384096 */     GIR_RootConstrainSelectedInstOperands,
     /*  384097 */     // GIR_Coverage, 63854,
     /*  384097 */     GIR_EraseRootFromParent_Done,
     /*  384098 */   // Label 6893: @384098
     /*  384098 */   GIM_Try, /*On fail goto*//*Label 6894*/ GIMT_Encode4(384152), // Rule ID 63855 //
     /*  384103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  384111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384139 */     // (intrinsic_wo_chain:{ *:[i32] } 10883:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  384139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  384142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  384144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  384150 */     GIR_RootConstrainSelectedInstOperands,
     /*  384151 */     // GIR_Coverage, 63855,
     /*  384151 */     GIR_EraseRootFromParent_Done,
     /*  384152 */   // Label 6894: @384152
     /*  384152 */   GIM_Try, /*On fail goto*//*Label 6895*/ GIMT_Encode4(384206), // Rule ID 63881 //
     /*  384157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  384160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  384165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384193 */     // (intrinsic_wo_chain:{ *:[i32] } 10885:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  384193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  384196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  384198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  384204 */     GIR_RootConstrainSelectedInstOperands,
     /*  384205 */     // GIR_Coverage, 63881,
     /*  384205 */     GIR_EraseRootFromParent_Done,
     /*  384206 */   // Label 6895: @384206
     /*  384206 */   GIM_Try, /*On fail goto*//*Label 6896*/ GIMT_Encode4(384260), // Rule ID 63882 //
     /*  384211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  384219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384247 */     // (intrinsic_wo_chain:{ *:[i32] } 10885:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  384247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  384250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  384252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  384258 */     GIR_RootConstrainSelectedInstOperands,
     /*  384259 */     // GIR_Coverage, 63882,
     /*  384259 */     GIR_EraseRootFromParent_Done,
     /*  384260 */   // Label 6896: @384260
     /*  384260 */   GIM_Try, /*On fail goto*//*Label 6897*/ GIMT_Encode4(384314), // Rule ID 63884 //
     /*  384265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  384268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  384273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384301 */     // (intrinsic_wo_chain:{ *:[i32] } 10884:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  384301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  384304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  384306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  384312 */     GIR_RootConstrainSelectedInstOperands,
     /*  384313 */     // GIR_Coverage, 63884,
     /*  384313 */     GIR_EraseRootFromParent_Done,
     /*  384314 */   // Label 6897: @384314
     /*  384314 */   GIM_Try, /*On fail goto*//*Label 6898*/ GIMT_Encode4(384368), // Rule ID 63885 //
     /*  384319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  384327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384355 */     // (intrinsic_wo_chain:{ *:[i32] } 10884:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  384355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  384358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  384360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  384366 */     GIR_RootConstrainSelectedInstOperands,
     /*  384367 */     // GIR_Coverage, 63885,
     /*  384367 */     GIR_EraseRootFromParent_Done,
     /*  384368 */   // Label 6898: @384368
     /*  384368 */   GIM_Try, /*On fail goto*//*Label 6899*/ GIMT_Encode4(384422), // Rule ID 63887 //
     /*  384373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  384376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  384381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384409 */     // (intrinsic_wo_chain:{ *:[i32] } 10886:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  384409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  384412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  384414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  384420 */     GIR_RootConstrainSelectedInstOperands,
     /*  384421 */     // GIR_Coverage, 63887,
     /*  384421 */     GIR_EraseRootFromParent_Done,
     /*  384422 */   // Label 6899: @384422
     /*  384422 */   GIM_Try, /*On fail goto*//*Label 6900*/ GIMT_Encode4(384476), // Rule ID 63888 //
     /*  384427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  384435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384463 */     // (intrinsic_wo_chain:{ *:[i32] } 10886:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  384463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  384466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  384468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  384474 */     GIR_RootConstrainSelectedInstOperands,
     /*  384475 */     // GIR_Coverage, 63888,
     /*  384475 */     GIR_EraseRootFromParent_Done,
     /*  384476 */   // Label 6900: @384476
     /*  384476 */   GIM_Try, /*On fail goto*//*Label 6901*/ GIMT_Encode4(384530), // Rule ID 63890 //
     /*  384481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  384484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  384489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384517 */     // (intrinsic_wo_chain:{ *:[i32] } 10889:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  384517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  384520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  384522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  384528 */     GIR_RootConstrainSelectedInstOperands,
     /*  384529 */     // GIR_Coverage, 63890,
     /*  384529 */     GIR_EraseRootFromParent_Done,
     /*  384530 */   // Label 6901: @384530
     /*  384530 */   GIM_Try, /*On fail goto*//*Label 6902*/ GIMT_Encode4(384584), // Rule ID 63891 //
     /*  384535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  384543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384571 */     // (intrinsic_wo_chain:{ *:[i32] } 10889:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  384571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  384574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  384576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  384582 */     GIR_RootConstrainSelectedInstOperands,
     /*  384583 */     // GIR_Coverage, 63891,
     /*  384583 */     GIR_EraseRootFromParent_Done,
     /*  384584 */   // Label 6902: @384584
     /*  384584 */   GIM_Try, /*On fail goto*//*Label 6903*/ GIMT_Encode4(384638), // Rule ID 63893 //
     /*  384589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  384592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  384597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384625 */     // (intrinsic_wo_chain:{ *:[i32] } 10891:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  384625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  384628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  384630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  384636 */     GIR_RootConstrainSelectedInstOperands,
     /*  384637 */     // GIR_Coverage, 63893,
     /*  384637 */     GIR_EraseRootFromParent_Done,
     /*  384638 */   // Label 6903: @384638
     /*  384638 */   GIM_Try, /*On fail goto*//*Label 6904*/ GIMT_Encode4(384692), // Rule ID 63894 //
     /*  384643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  384651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384679 */     // (intrinsic_wo_chain:{ *:[i32] } 10891:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  384679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  384682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  384684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  384690 */     GIR_RootConstrainSelectedInstOperands,
     /*  384691 */     // GIR_Coverage, 63894,
     /*  384691 */     GIR_EraseRootFromParent_Done,
     /*  384692 */   // Label 6904: @384692
     /*  384692 */   GIM_Try, /*On fail goto*//*Label 6905*/ GIMT_Encode4(384746), // Rule ID 63896 //
     /*  384697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  384700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  384705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384733 */     // (intrinsic_wo_chain:{ *:[i32] } 10890:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  384733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  384736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  384738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  384744 */     GIR_RootConstrainSelectedInstOperands,
     /*  384745 */     // GIR_Coverage, 63896,
     /*  384745 */     GIR_EraseRootFromParent_Done,
     /*  384746 */   // Label 6905: @384746
     /*  384746 */   GIM_Try, /*On fail goto*//*Label 6906*/ GIMT_Encode4(384800), // Rule ID 63897 //
     /*  384751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  384759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384787 */     // (intrinsic_wo_chain:{ *:[i32] } 10890:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  384787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  384790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  384792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  384798 */     GIR_RootConstrainSelectedInstOperands,
     /*  384799 */     // GIR_Coverage, 63897,
     /*  384799 */     GIR_EraseRootFromParent_Done,
     /*  384800 */   // Label 6906: @384800
     /*  384800 */   GIM_Try, /*On fail goto*//*Label 6907*/ GIMT_Encode4(384854), // Rule ID 63899 //
     /*  384805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  384808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  384813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384841 */     // (intrinsic_wo_chain:{ *:[i32] } 10892:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  384841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  384844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  384846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  384852 */     GIR_RootConstrainSelectedInstOperands,
     /*  384853 */     // GIR_Coverage, 63899,
     /*  384853 */     GIR_EraseRootFromParent_Done,
     /*  384854 */   // Label 6907: @384854
     /*  384854 */   GIM_Try, /*On fail goto*//*Label 6908*/ GIMT_Encode4(384908), // Rule ID 63900 //
     /*  384859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  384862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  384867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384895 */     // (intrinsic_wo_chain:{ *:[i32] } 10892:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  384895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  384898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  384900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  384906 */     GIR_RootConstrainSelectedInstOperands,
     /*  384907 */     // GIR_Coverage, 63900,
     /*  384907 */     GIR_EraseRootFromParent_Done,
     /*  384908 */   // Label 6908: @384908
     /*  384908 */   GIM_Try, /*On fail goto*//*Label 6909*/ GIMT_Encode4(384962), // Rule ID 63837 //
     /*  384913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /*  384916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  384921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384949 */     // (intrinsic_wo_chain:{ *:[i32] } 10899:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  384949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  384952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  384954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  384956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  384958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384960 */     GIR_RootConstrainSelectedInstOperands,
     /*  384961 */     // GIR_Coverage, 63837,
     /*  384961 */     GIR_EraseRootFromParent_Done,
     /*  384962 */   // Label 6909: @384962
     /*  384962 */   GIM_Try, /*On fail goto*//*Label 6910*/ GIMT_Encode4(385016), // Rule ID 63838 //
     /*  384967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  384970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  384975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  384978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  384981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  384984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385003 */     // (intrinsic_wo_chain:{ *:[i32] } 10899:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  385003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  385006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  385010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385014 */     GIR_RootConstrainSelectedInstOperands,
     /*  385015 */     // GIR_Coverage, 63838,
     /*  385015 */     GIR_EraseRootFromParent_Done,
     /*  385016 */   // Label 6910: @385016
     /*  385016 */   GIM_Try, /*On fail goto*//*Label 6911*/ GIMT_Encode4(385070), // Rule ID 63908 //
     /*  385021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  385024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  385029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385057 */     // (intrinsic_wo_chain:{ *:[i32] } 10900:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  385057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  385060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  385064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385068 */     GIR_RootConstrainSelectedInstOperands,
     /*  385069 */     // GIR_Coverage, 63908,
     /*  385069 */     GIR_EraseRootFromParent_Done,
     /*  385070 */   // Label 6911: @385070
     /*  385070 */   GIM_Try, /*On fail goto*//*Label 6912*/ GIMT_Encode4(385124), // Rule ID 63909 //
     /*  385075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  385083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385111 */     // (intrinsic_wo_chain:{ *:[i32] } 10900:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  385111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  385114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  385118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385122 */     GIR_RootConstrainSelectedInstOperands,
     /*  385123 */     // GIR_Coverage, 63909,
     /*  385123 */     GIR_EraseRootFromParent_Done,
     /*  385124 */   // Label 6912: @385124
     /*  385124 */   GIM_Try, /*On fail goto*//*Label 6913*/ GIMT_Encode4(385178), // Rule ID 63910 //
     /*  385129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  385132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  385137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385165 */     // (intrinsic_wo_chain:{ *:[i32] } 10909:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  385165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  385168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  385172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385176 */     GIR_RootConstrainSelectedInstOperands,
     /*  385177 */     // GIR_Coverage, 63910,
     /*  385177 */     GIR_EraseRootFromParent_Done,
     /*  385178 */   // Label 6913: @385178
     /*  385178 */   GIM_Try, /*On fail goto*//*Label 6914*/ GIMT_Encode4(385232), // Rule ID 63911 //
     /*  385183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  385186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  385191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  385194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  385197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  385200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385219 */     // (intrinsic_wo_chain:{ *:[i32] } 10909:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  385219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  385222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  385224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  385226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  385228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385230 */     GIR_RootConstrainSelectedInstOperands,
     /*  385231 */     // GIR_Coverage, 63911,
     /*  385231 */     GIR_EraseRootFromParent_Done,
     /*  385232 */   // Label 6914: @385232
     /*  385232 */   GIM_Reject,
     /*  385233 */ // Label 4289: @385233
     /*  385233 */ GIM_Try, /*On fail goto*//*Label 6915*/ GIMT_Encode4(904010),
     /*  385238 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /*  385241 */   GIM_Try, /*On fail goto*//*Label 6916*/ GIMT_Encode4(385316), // Rule ID 62241 //
     /*  385246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  385249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  385254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  385257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385264 */     // MIs[0] op1
     /*  385264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385267 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385272 */     // MIs[0] op2
     /*  385272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385275 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385280 */     // MIs[0] op3
     /*  385280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385283 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  385288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385295 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  385295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  385298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385300 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385302 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385304 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385314 */     GIR_RootConstrainSelectedInstOperands,
     /*  385315 */     // GIR_Coverage, 62241,
     /*  385315 */     GIR_EraseRootFromParent_Done,
     /*  385316 */   // Label 6916: @385316
     /*  385316 */   GIM_Try, /*On fail goto*//*Label 6917*/ GIMT_Encode4(385391), // Rule ID 62242 //
     /*  385321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  385324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  385329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  385332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385339 */     // MIs[0] op1
     /*  385339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385342 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385347 */     // MIs[0] op2
     /*  385347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385350 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385355 */     // MIs[0] op3
     /*  385355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385358 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  385363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385370 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  385370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  385373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385375 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385377 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385379 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385389 */     GIR_RootConstrainSelectedInstOperands,
     /*  385390 */     // GIR_Coverage, 62242,
     /*  385390 */     GIR_EraseRootFromParent_Done,
     /*  385391 */   // Label 6917: @385391
     /*  385391 */   GIM_Try, /*On fail goto*//*Label 6918*/ GIMT_Encode4(385466), // Rule ID 62273 //
     /*  385396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  385399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  385404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  385407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385414 */     // MIs[0] op1
     /*  385414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385417 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385422 */     // MIs[0] op2
     /*  385422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385425 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385430 */     // MIs[0] op3
     /*  385430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385433 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  385438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385445 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  385445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  385448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385450 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385452 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385454 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385464 */     GIR_RootConstrainSelectedInstOperands,
     /*  385465 */     // GIR_Coverage, 62273,
     /*  385465 */     GIR_EraseRootFromParent_Done,
     /*  385466 */   // Label 6918: @385466
     /*  385466 */   GIM_Try, /*On fail goto*//*Label 6919*/ GIMT_Encode4(385541), // Rule ID 62274 //
     /*  385471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  385474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  385479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  385482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385489 */     // MIs[0] op1
     /*  385489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385492 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385497 */     // MIs[0] op2
     /*  385497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385505 */     // MIs[0] op3
     /*  385505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385508 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  385513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385520 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  385520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  385523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385525 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385527 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385529 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385539 */     GIR_RootConstrainSelectedInstOperands,
     /*  385540 */     // GIR_Coverage, 62274,
     /*  385540 */     GIR_EraseRootFromParent_Done,
     /*  385541 */   // Label 6919: @385541
     /*  385541 */   GIM_Try, /*On fail goto*//*Label 6920*/ GIMT_Encode4(385616), // Rule ID 62317 //
     /*  385546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  385549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  385554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  385557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385564 */     // MIs[0] op1
     /*  385564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385567 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385572 */     // MIs[0] op2
     /*  385572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385575 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385580 */     // MIs[0] op3
     /*  385580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  385588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385595 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  385595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  385598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385600 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385602 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385604 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385614 */     GIR_RootConstrainSelectedInstOperands,
     /*  385615 */     // GIR_Coverage, 62317,
     /*  385615 */     GIR_EraseRootFromParent_Done,
     /*  385616 */   // Label 6920: @385616
     /*  385616 */   GIM_Try, /*On fail goto*//*Label 6921*/ GIMT_Encode4(385691), // Rule ID 62318 //
     /*  385621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  385624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  385629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  385632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385639 */     // MIs[0] op1
     /*  385639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385642 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385647 */     // MIs[0] op2
     /*  385647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385650 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385655 */     // MIs[0] op3
     /*  385655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385658 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  385663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385670 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  385670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  385673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385675 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385677 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385679 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385689 */     GIR_RootConstrainSelectedInstOperands,
     /*  385690 */     // GIR_Coverage, 62318,
     /*  385690 */     GIR_EraseRootFromParent_Done,
     /*  385691 */   // Label 6921: @385691
     /*  385691 */   GIM_Try, /*On fail goto*//*Label 6922*/ GIMT_Encode4(385766), // Rule ID 62361 //
     /*  385696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  385699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  385704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  385707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385714 */     // MIs[0] op1
     /*  385714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385717 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385722 */     // MIs[0] op2
     /*  385722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385725 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385730 */     // MIs[0] op3
     /*  385730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385733 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  385738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385745 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  385745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  385748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385750 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385752 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385754 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385764 */     GIR_RootConstrainSelectedInstOperands,
     /*  385765 */     // GIR_Coverage, 62361,
     /*  385765 */     GIR_EraseRootFromParent_Done,
     /*  385766 */   // Label 6922: @385766
     /*  385766 */   GIM_Try, /*On fail goto*//*Label 6923*/ GIMT_Encode4(385841), // Rule ID 62362 //
     /*  385771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  385774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  385779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  385782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385789 */     // MIs[0] op1
     /*  385789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385792 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385797 */     // MIs[0] op2
     /*  385797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385800 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385805 */     // MIs[0] op3
     /*  385805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385808 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  385813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385820 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  385820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  385823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385825 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385827 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385829 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385839 */     GIR_RootConstrainSelectedInstOperands,
     /*  385840 */     // GIR_Coverage, 62362,
     /*  385840 */     GIR_EraseRootFromParent_Done,
     /*  385841 */   // Label 6923: @385841
     /*  385841 */   GIM_Try, /*On fail goto*//*Label 6924*/ GIMT_Encode4(385916), // Rule ID 62417 //
     /*  385846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  385849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  385854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  385857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385864 */     // MIs[0] op1
     /*  385864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385867 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385872 */     // MIs[0] op2
     /*  385872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385875 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385880 */     // MIs[0] op3
     /*  385880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385883 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  385888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385895 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  385895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  385898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385900 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385902 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385904 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385914 */     GIR_RootConstrainSelectedInstOperands,
     /*  385915 */     // GIR_Coverage, 62417,
     /*  385915 */     GIR_EraseRootFromParent_Done,
     /*  385916 */   // Label 6924: @385916
     /*  385916 */   GIM_Try, /*On fail goto*//*Label 6925*/ GIMT_Encode4(385991), // Rule ID 62418 //
     /*  385921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  385924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  385929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  385932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385939 */     // MIs[0] op1
     /*  385939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385942 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385947 */     // MIs[0] op2
     /*  385947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385950 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385955 */     // MIs[0] op3
     /*  385955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  385958 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  385963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385970 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  385970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  385973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385975 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385977 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385979 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385989 */     GIR_RootConstrainSelectedInstOperands,
     /*  385990 */     // GIR_Coverage, 62418,
     /*  385990 */     GIR_EraseRootFromParent_Done,
     /*  385991 */   // Label 6925: @385991
     /*  385991 */   GIM_Try, /*On fail goto*//*Label 6926*/ GIMT_Encode4(386066), // Rule ID 62473 //
     /*  385996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  385999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  386007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386014 */     // MIs[0] op1
     /*  386014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386017 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386022 */     // MIs[0] op2
     /*  386022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386025 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386030 */     // MIs[0] op3
     /*  386030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386033 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386045 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  386045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  386048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386050 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386052 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386054 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  386064 */     GIR_RootConstrainSelectedInstOperands,
     /*  386065 */     // GIR_Coverage, 62473,
     /*  386065 */     GIR_EraseRootFromParent_Done,
     /*  386066 */   // Label 6926: @386066
     /*  386066 */   GIM_Try, /*On fail goto*//*Label 6927*/ GIMT_Encode4(386141), // Rule ID 62474 //
     /*  386071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  386082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386089 */     // MIs[0] op1
     /*  386089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386092 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386097 */     // MIs[0] op2
     /*  386097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386100 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386105 */     // MIs[0] op3
     /*  386105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386108 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386120 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  386120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  386123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386125 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386127 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386129 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  386139 */     GIR_RootConstrainSelectedInstOperands,
     /*  386140 */     // GIR_Coverage, 62474,
     /*  386140 */     GIR_EraseRootFromParent_Done,
     /*  386141 */   // Label 6927: @386141
     /*  386141 */   GIM_Try, /*On fail goto*//*Label 6928*/ GIMT_Encode4(386216), // Rule ID 62529 //
     /*  386146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  386157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386164 */     // MIs[0] op1
     /*  386164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386167 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386172 */     // MIs[0] op2
     /*  386172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386175 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386180 */     // MIs[0] op3
     /*  386180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386183 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386195 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  386195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  386198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386200 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386202 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386204 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386214 */     GIR_RootConstrainSelectedInstOperands,
     /*  386215 */     // GIR_Coverage, 62529,
     /*  386215 */     GIR_EraseRootFromParent_Done,
     /*  386216 */   // Label 6928: @386216
     /*  386216 */   GIM_Try, /*On fail goto*//*Label 6929*/ GIMT_Encode4(386291), // Rule ID 62530 //
     /*  386221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  386232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386239 */     // MIs[0] op1
     /*  386239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386242 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386247 */     // MIs[0] op2
     /*  386247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386250 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386255 */     // MIs[0] op3
     /*  386255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386258 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386270 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  386270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  386273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386275 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386277 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386279 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386289 */     GIR_RootConstrainSelectedInstOperands,
     /*  386290 */     // GIR_Coverage, 62530,
     /*  386290 */     GIR_EraseRootFromParent_Done,
     /*  386291 */   // Label 6929: @386291
     /*  386291 */   GIM_Try, /*On fail goto*//*Label 6930*/ GIMT_Encode4(386366), // Rule ID 62573 //
     /*  386296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  386307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386314 */     // MIs[0] op1
     /*  386314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386317 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386322 */     // MIs[0] op2
     /*  386322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386325 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386330 */     // MIs[0] op3
     /*  386330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386333 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386345 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  386345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  386348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386350 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386352 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386354 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386364 */     GIR_RootConstrainSelectedInstOperands,
     /*  386365 */     // GIR_Coverage, 62573,
     /*  386365 */     GIR_EraseRootFromParent_Done,
     /*  386366 */   // Label 6930: @386366
     /*  386366 */   GIM_Try, /*On fail goto*//*Label 6931*/ GIMT_Encode4(386441), // Rule ID 62574 //
     /*  386371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  386382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386389 */     // MIs[0] op1
     /*  386389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386392 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386397 */     // MIs[0] op2
     /*  386397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386400 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386405 */     // MIs[0] op3
     /*  386405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386408 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386420 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  386420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  386423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386425 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386427 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386429 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386439 */     GIR_RootConstrainSelectedInstOperands,
     /*  386440 */     // GIR_Coverage, 62574,
     /*  386440 */     GIR_EraseRootFromParent_Done,
     /*  386441 */   // Label 6931: @386441
     /*  386441 */   GIM_Try, /*On fail goto*//*Label 6932*/ GIMT_Encode4(386516), // Rule ID 62629 //
     /*  386446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  386457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386464 */     // MIs[0] op1
     /*  386464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386467 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386472 */     // MIs[0] op2
     /*  386472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386475 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386480 */     // MIs[0] op3
     /*  386480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386483 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386495 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  386495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  386498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386500 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386502 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386504 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  386514 */     GIR_RootConstrainSelectedInstOperands,
     /*  386515 */     // GIR_Coverage, 62629,
     /*  386515 */     GIR_EraseRootFromParent_Done,
     /*  386516 */   // Label 6932: @386516
     /*  386516 */   GIM_Try, /*On fail goto*//*Label 6933*/ GIMT_Encode4(386591), // Rule ID 62630 //
     /*  386521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  386532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386539 */     // MIs[0] op1
     /*  386539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386542 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386547 */     // MIs[0] op2
     /*  386547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386550 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386555 */     // MIs[0] op3
     /*  386555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386558 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386570 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  386570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  386573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386575 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386577 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386579 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  386589 */     GIR_RootConstrainSelectedInstOperands,
     /*  386590 */     // GIR_Coverage, 62630,
     /*  386590 */     GIR_EraseRootFromParent_Done,
     /*  386591 */   // Label 6933: @386591
     /*  386591 */   GIM_Try, /*On fail goto*//*Label 6934*/ GIMT_Encode4(386666), // Rule ID 62685 //
     /*  386596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  386607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386614 */     // MIs[0] op1
     /*  386614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386617 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386622 */     // MIs[0] op2
     /*  386622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386625 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386630 */     // MIs[0] op3
     /*  386630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386633 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386645 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  386645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  386648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386650 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386652 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386654 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  386664 */     GIR_RootConstrainSelectedInstOperands,
     /*  386665 */     // GIR_Coverage, 62685,
     /*  386665 */     GIR_EraseRootFromParent_Done,
     /*  386666 */   // Label 6934: @386666
     /*  386666 */   GIM_Try, /*On fail goto*//*Label 6935*/ GIMT_Encode4(386741), // Rule ID 62686 //
     /*  386671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  386682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386689 */     // MIs[0] op1
     /*  386689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386692 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386697 */     // MIs[0] op2
     /*  386697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386700 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386705 */     // MIs[0] op3
     /*  386705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386708 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386720 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  386720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  386723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386725 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386727 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386729 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  386739 */     GIR_RootConstrainSelectedInstOperands,
     /*  386740 */     // GIR_Coverage, 62686,
     /*  386740 */     GIR_EraseRootFromParent_Done,
     /*  386741 */   // Label 6935: @386741
     /*  386741 */   GIM_Try, /*On fail goto*//*Label 6936*/ GIMT_Encode4(386816), // Rule ID 62741 //
     /*  386746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  386757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386764 */     // MIs[0] op1
     /*  386764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386767 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386772 */     // MIs[0] op2
     /*  386772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386775 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386780 */     // MIs[0] op3
     /*  386780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386783 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386795 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  386795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  386798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386800 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386802 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386804 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386814 */     GIR_RootConstrainSelectedInstOperands,
     /*  386815 */     // GIR_Coverage, 62741,
     /*  386815 */     GIR_EraseRootFromParent_Done,
     /*  386816 */   // Label 6936: @386816
     /*  386816 */   GIM_Try, /*On fail goto*//*Label 6937*/ GIMT_Encode4(386891), // Rule ID 62742 //
     /*  386821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  386832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386839 */     // MIs[0] op1
     /*  386839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386842 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386847 */     // MIs[0] op2
     /*  386847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386850 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386855 */     // MIs[0] op3
     /*  386855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386858 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386870 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  386870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  386873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386875 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386877 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386879 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386889 */     GIR_RootConstrainSelectedInstOperands,
     /*  386890 */     // GIR_Coverage, 62742,
     /*  386890 */     GIR_EraseRootFromParent_Done,
     /*  386891 */   // Label 6937: @386891
     /*  386891 */   GIM_Try, /*On fail goto*//*Label 6938*/ GIMT_Encode4(386966), // Rule ID 62785 //
     /*  386896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  386907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386914 */     // MIs[0] op1
     /*  386914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386917 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386922 */     // MIs[0] op2
     /*  386922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386925 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386930 */     // MIs[0] op3
     /*  386930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  386933 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  386938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386945 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  386945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  386948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386950 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386952 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386954 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386964 */     GIR_RootConstrainSelectedInstOperands,
     /*  386965 */     // GIR_Coverage, 62785,
     /*  386965 */     GIR_EraseRootFromParent_Done,
     /*  386966 */   // Label 6938: @386966
     /*  386966 */   GIM_Try, /*On fail goto*//*Label 6939*/ GIMT_Encode4(387041), // Rule ID 62786 //
     /*  386971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  386979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  386982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386989 */     // MIs[0] op1
     /*  386989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386992 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386997 */     // MIs[0] op2
     /*  386997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387000 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387005 */     // MIs[0] op3
     /*  387005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387008 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387020 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  387020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  387023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387025 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387027 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387029 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387039 */     GIR_RootConstrainSelectedInstOperands,
     /*  387040 */     // GIR_Coverage, 62786,
     /*  387040 */     GIR_EraseRootFromParent_Done,
     /*  387041 */   // Label 6939: @387041
     /*  387041 */   GIM_Try, /*On fail goto*//*Label 6940*/ GIMT_Encode4(387116), // Rule ID 62829 //
     /*  387046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  387057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387064 */     // MIs[0] op1
     /*  387064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387067 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387072 */     // MIs[0] op2
     /*  387072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387075 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387080 */     // MIs[0] op3
     /*  387080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387083 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387095 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  387095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  387098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387100 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387102 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387104 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387114 */     GIR_RootConstrainSelectedInstOperands,
     /*  387115 */     // GIR_Coverage, 62829,
     /*  387115 */     GIR_EraseRootFromParent_Done,
     /*  387116 */   // Label 6940: @387116
     /*  387116 */   GIM_Try, /*On fail goto*//*Label 6941*/ GIMT_Encode4(387191), // Rule ID 62830 //
     /*  387121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  387132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387139 */     // MIs[0] op1
     /*  387139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387142 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387147 */     // MIs[0] op2
     /*  387147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387150 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387155 */     // MIs[0] op3
     /*  387155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387158 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387170 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  387170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  387173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387175 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387177 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387179 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387189 */     GIR_RootConstrainSelectedInstOperands,
     /*  387190 */     // GIR_Coverage, 62830,
     /*  387190 */     GIR_EraseRootFromParent_Done,
     /*  387191 */   // Label 6941: @387191
     /*  387191 */   GIM_Try, /*On fail goto*//*Label 6942*/ GIMT_Encode4(387266), // Rule ID 62873 //
     /*  387196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  387207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387214 */     // MIs[0] op1
     /*  387214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387217 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387222 */     // MIs[0] op2
     /*  387222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387225 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387230 */     // MIs[0] op3
     /*  387230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387233 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387245 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  387245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  387248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387250 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387252 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387254 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387264 */     GIR_RootConstrainSelectedInstOperands,
     /*  387265 */     // GIR_Coverage, 62873,
     /*  387265 */     GIR_EraseRootFromParent_Done,
     /*  387266 */   // Label 6942: @387266
     /*  387266 */   GIM_Try, /*On fail goto*//*Label 6943*/ GIMT_Encode4(387341), // Rule ID 62874 //
     /*  387271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  387282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387289 */     // MIs[0] op1
     /*  387289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387292 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387297 */     // MIs[0] op2
     /*  387297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387300 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387305 */     // MIs[0] op3
     /*  387305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387308 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387320 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  387320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  387323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387325 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387327 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387329 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387339 */     GIR_RootConstrainSelectedInstOperands,
     /*  387340 */     // GIR_Coverage, 62874,
     /*  387340 */     GIR_EraseRootFromParent_Done,
     /*  387341 */   // Label 6943: @387341
     /*  387341 */   GIM_Try, /*On fail goto*//*Label 6944*/ GIMT_Encode4(387416), // Rule ID 62929 //
     /*  387346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  387357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387364 */     // MIs[0] op1
     /*  387364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387367 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387372 */     // MIs[0] op2
     /*  387372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387375 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387380 */     // MIs[0] op3
     /*  387380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387383 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387395 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  387395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  387398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387400 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387402 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387404 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387414 */     GIR_RootConstrainSelectedInstOperands,
     /*  387415 */     // GIR_Coverage, 62929,
     /*  387415 */     GIR_EraseRootFromParent_Done,
     /*  387416 */   // Label 6944: @387416
     /*  387416 */   GIM_Try, /*On fail goto*//*Label 6945*/ GIMT_Encode4(387491), // Rule ID 62930 //
     /*  387421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  387432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387439 */     // MIs[0] op1
     /*  387439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387442 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387447 */     // MIs[0] op2
     /*  387447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387450 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387455 */     // MIs[0] op3
     /*  387455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387458 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387470 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  387470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  387473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387475 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387477 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387479 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387489 */     GIR_RootConstrainSelectedInstOperands,
     /*  387490 */     // GIR_Coverage, 62930,
     /*  387490 */     GIR_EraseRootFromParent_Done,
     /*  387491 */   // Label 6945: @387491
     /*  387491 */   GIM_Try, /*On fail goto*//*Label 6946*/ GIMT_Encode4(387566), // Rule ID 62985 //
     /*  387496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  387507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387514 */     // MIs[0] op1
     /*  387514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387517 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387522 */     // MIs[0] op2
     /*  387522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387525 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387530 */     // MIs[0] op3
     /*  387530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387533 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387545 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  387545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  387548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387550 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387552 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387554 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387564 */     GIR_RootConstrainSelectedInstOperands,
     /*  387565 */     // GIR_Coverage, 62985,
     /*  387565 */     GIR_EraseRootFromParent_Done,
     /*  387566 */   // Label 6946: @387566
     /*  387566 */   GIM_Try, /*On fail goto*//*Label 6947*/ GIMT_Encode4(387641), // Rule ID 62986 //
     /*  387571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  387582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387589 */     // MIs[0] op1
     /*  387589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387592 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387597 */     // MIs[0] op2
     /*  387597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387600 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387605 */     // MIs[0] op3
     /*  387605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387608 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387620 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  387620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  387623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387625 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387627 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387629 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387639 */     GIR_RootConstrainSelectedInstOperands,
     /*  387640 */     // GIR_Coverage, 62986,
     /*  387640 */     GIR_EraseRootFromParent_Done,
     /*  387641 */   // Label 6947: @387641
     /*  387641 */   GIM_Try, /*On fail goto*//*Label 6948*/ GIMT_Encode4(387716), // Rule ID 63041 //
     /*  387646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  387657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387664 */     // MIs[0] op1
     /*  387664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387667 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387672 */     // MIs[0] op2
     /*  387672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387675 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387680 */     // MIs[0] op3
     /*  387680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387683 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387695 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  387695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  387698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387700 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387702 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387704 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387714 */     GIR_RootConstrainSelectedInstOperands,
     /*  387715 */     // GIR_Coverage, 63041,
     /*  387715 */     GIR_EraseRootFromParent_Done,
     /*  387716 */   // Label 6948: @387716
     /*  387716 */   GIM_Try, /*On fail goto*//*Label 6949*/ GIMT_Encode4(387791), // Rule ID 63042 //
     /*  387721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  387732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387739 */     // MIs[0] op1
     /*  387739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387742 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387747 */     // MIs[0] op2
     /*  387747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387750 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387755 */     // MIs[0] op3
     /*  387755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387758 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387770 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  387770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  387773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387775 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387777 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387779 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387789 */     GIR_RootConstrainSelectedInstOperands,
     /*  387790 */     // GIR_Coverage, 63042,
     /*  387790 */     GIR_EraseRootFromParent_Done,
     /*  387791 */   // Label 6949: @387791
     /*  387791 */   GIM_Try, /*On fail goto*//*Label 6950*/ GIMT_Encode4(387866), // Rule ID 63097 //
     /*  387796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  387807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387814 */     // MIs[0] op1
     /*  387814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387817 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387822 */     // MIs[0] op2
     /*  387822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387825 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387830 */     // MIs[0] op3
     /*  387830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387833 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387845 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  387845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  387848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387850 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387852 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387854 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387864 */     GIR_RootConstrainSelectedInstOperands,
     /*  387865 */     // GIR_Coverage, 63097,
     /*  387865 */     GIR_EraseRootFromParent_Done,
     /*  387866 */   // Label 6950: @387866
     /*  387866 */   GIM_Try, /*On fail goto*//*Label 6951*/ GIMT_Encode4(387941), // Rule ID 63098 //
     /*  387871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  387882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387889 */     // MIs[0] op1
     /*  387889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387892 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387897 */     // MIs[0] op2
     /*  387897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387900 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387905 */     // MIs[0] op3
     /*  387905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387920 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  387920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  387923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387925 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387927 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387929 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387939 */     GIR_RootConstrainSelectedInstOperands,
     /*  387940 */     // GIR_Coverage, 63098,
     /*  387940 */     GIR_EraseRootFromParent_Done,
     /*  387941 */   // Label 6951: @387941
     /*  387941 */   GIM_Try, /*On fail goto*//*Label 6952*/ GIMT_Encode4(388016), // Rule ID 63153 //
     /*  387946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  387954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  387957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387964 */     // MIs[0] op1
     /*  387964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387967 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387972 */     // MIs[0] op2
     /*  387972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387975 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387980 */     // MIs[0] op3
     /*  387980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387983 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387995 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  387995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  387998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388000 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388002 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388004 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388014 */     GIR_RootConstrainSelectedInstOperands,
     /*  388015 */     // GIR_Coverage, 63153,
     /*  388015 */     GIR_EraseRootFromParent_Done,
     /*  388016 */   // Label 6952: @388016
     /*  388016 */   GIM_Try, /*On fail goto*//*Label 6953*/ GIMT_Encode4(388091), // Rule ID 63154 //
     /*  388021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  388032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388039 */     // MIs[0] op1
     /*  388039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388042 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388047 */     // MIs[0] op2
     /*  388047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388055 */     // MIs[0] op3
     /*  388055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388058 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388070 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  388070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  388073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388075 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388077 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388079 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388089 */     GIR_RootConstrainSelectedInstOperands,
     /*  388090 */     // GIR_Coverage, 63154,
     /*  388090 */     GIR_EraseRootFromParent_Done,
     /*  388091 */   // Label 6953: @388091
     /*  388091 */   GIM_Try, /*On fail goto*//*Label 6954*/ GIMT_Encode4(388166), // Rule ID 63209 //
     /*  388096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  388107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388114 */     // MIs[0] op1
     /*  388114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388117 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388122 */     // MIs[0] op2
     /*  388122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388125 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388130 */     // MIs[0] op3
     /*  388130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388133 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388145 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  388145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388150 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388152 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388154 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388164 */     GIR_RootConstrainSelectedInstOperands,
     /*  388165 */     // GIR_Coverage, 63209,
     /*  388165 */     GIR_EraseRootFromParent_Done,
     /*  388166 */   // Label 6954: @388166
     /*  388166 */   GIM_Try, /*On fail goto*//*Label 6955*/ GIMT_Encode4(388241), // Rule ID 63210 //
     /*  388171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  388182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388189 */     // MIs[0] op1
     /*  388189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388192 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388197 */     // MIs[0] op2
     /*  388197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388200 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388205 */     // MIs[0] op3
     /*  388205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388208 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388220 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  388220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  388223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388225 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388227 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388229 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388239 */     GIR_RootConstrainSelectedInstOperands,
     /*  388240 */     // GIR_Coverage, 63210,
     /*  388240 */     GIR_EraseRootFromParent_Done,
     /*  388241 */   // Label 6955: @388241
     /*  388241 */   GIM_Try, /*On fail goto*//*Label 6956*/ GIMT_Encode4(388316), // Rule ID 63265 //
     /*  388246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  388257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388264 */     // MIs[0] op1
     /*  388264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388267 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388272 */     // MIs[0] op2
     /*  388272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388275 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388280 */     // MIs[0] op3
     /*  388280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388283 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388295 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  388295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  388298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388300 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388302 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388304 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388314 */     GIR_RootConstrainSelectedInstOperands,
     /*  388315 */     // GIR_Coverage, 63265,
     /*  388315 */     GIR_EraseRootFromParent_Done,
     /*  388316 */   // Label 6956: @388316
     /*  388316 */   GIM_Try, /*On fail goto*//*Label 6957*/ GIMT_Encode4(388391), // Rule ID 63266 //
     /*  388321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  388332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388339 */     // MIs[0] op1
     /*  388339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388342 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388347 */     // MIs[0] op2
     /*  388347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388350 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388355 */     // MIs[0] op3
     /*  388355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388358 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388370 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  388370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  388373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388375 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388377 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388379 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388389 */     GIR_RootConstrainSelectedInstOperands,
     /*  388390 */     // GIR_Coverage, 63266,
     /*  388390 */     GIR_EraseRootFromParent_Done,
     /*  388391 */   // Label 6957: @388391
     /*  388391 */   GIM_Try, /*On fail goto*//*Label 6958*/ GIMT_Encode4(388466), // Rule ID 63321 //
     /*  388396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  388407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388414 */     // MIs[0] op1
     /*  388414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388417 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388422 */     // MIs[0] op2
     /*  388422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388425 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388430 */     // MIs[0] op3
     /*  388430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388433 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388445 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10966:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  388445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  388448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388450 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388452 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388454 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388464 */     GIR_RootConstrainSelectedInstOperands,
     /*  388465 */     // GIR_Coverage, 63321,
     /*  388465 */     GIR_EraseRootFromParent_Done,
     /*  388466 */   // Label 6958: @388466
     /*  388466 */   GIM_Try, /*On fail goto*//*Label 6959*/ GIMT_Encode4(388541), // Rule ID 63322 //
     /*  388471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  388479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  388482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388489 */     // MIs[0] op1
     /*  388489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388492 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388497 */     // MIs[0] op2
     /*  388497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388505 */     // MIs[0] op3
     /*  388505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388508 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388520 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10966:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  388520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  388523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388525 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388527 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388529 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388539 */     GIR_RootConstrainSelectedInstOperands,
     /*  388540 */     // GIR_Coverage, 63322,
     /*  388540 */     GIR_EraseRootFromParent_Done,
     /*  388541 */   // Label 6959: @388541
     /*  388541 */   GIM_Try, /*On fail goto*//*Label 6960*/ GIMT_Encode4(388615), // Rule ID 62223 //
     /*  388546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  388554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  388557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388567 */     // MIs[0] op1
     /*  388567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388570 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388575 */     // MIs[0] op2
     /*  388575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388578 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388594 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  388594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  388597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388599 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388601 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388603 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388613 */     GIR_RootConstrainSelectedInstOperands,
     /*  388614 */     // GIR_Coverage, 62223,
     /*  388614 */     GIR_EraseRootFromParent_Done,
     /*  388615 */   // Label 6960: @388615
     /*  388615 */   GIM_Try, /*On fail goto*//*Label 6961*/ GIMT_Encode4(388689), // Rule ID 62224 //
     /*  388620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  388628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  388631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388641 */     // MIs[0] op1
     /*  388641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388644 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388649 */     // MIs[0] op2
     /*  388649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388652 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388668 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  388671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388673 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388675 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388677 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388687 */     GIR_RootConstrainSelectedInstOperands,
     /*  388688 */     // GIR_Coverage, 62224,
     /*  388688 */     GIR_EraseRootFromParent_Done,
     /*  388689 */   // Label 6961: @388689
     /*  388689 */   GIM_Try, /*On fail goto*//*Label 6962*/ GIMT_Encode4(388763), // Rule ID 62269 //
     /*  388694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  388702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  388705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388715 */     // MIs[0] op1
     /*  388715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388718 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388723 */     // MIs[0] op2
     /*  388723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388726 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388742 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  388742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  388745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388747 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388749 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388751 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388761 */     GIR_RootConstrainSelectedInstOperands,
     /*  388762 */     // GIR_Coverage, 62269,
     /*  388762 */     GIR_EraseRootFromParent_Done,
     /*  388763 */   // Label 6962: @388763
     /*  388763 */   GIM_Try, /*On fail goto*//*Label 6963*/ GIMT_Encode4(388837), // Rule ID 62270 //
     /*  388768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  388776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  388779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388789 */     // MIs[0] op1
     /*  388789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388792 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388797 */     // MIs[0] op2
     /*  388797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388800 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388816 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  388819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388821 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388823 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388825 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388835 */     GIR_RootConstrainSelectedInstOperands,
     /*  388836 */     // GIR_Coverage, 62270,
     /*  388836 */     GIR_EraseRootFromParent_Done,
     /*  388837 */   // Label 6963: @388837
     /*  388837 */   GIM_Try, /*On fail goto*//*Label 6964*/ GIMT_Encode4(388911), // Rule ID 62313 //
     /*  388842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  388850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  388853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388863 */     // MIs[0] op1
     /*  388863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388866 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388871 */     // MIs[0] op2
     /*  388871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388874 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388890 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  388890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  388893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388895 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388897 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388899 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388909 */     GIR_RootConstrainSelectedInstOperands,
     /*  388910 */     // GIR_Coverage, 62313,
     /*  388910 */     GIR_EraseRootFromParent_Done,
     /*  388911 */   // Label 6964: @388911
     /*  388911 */   GIM_Try, /*On fail goto*//*Label 6965*/ GIMT_Encode4(388985), // Rule ID 62314 //
     /*  388916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  388924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  388927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388937 */     // MIs[0] op1
     /*  388937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388940 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388945 */     // MIs[0] op2
     /*  388945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  388948 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  388953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  388957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388964 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  388967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388969 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388971 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388973 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388983 */     GIR_RootConstrainSelectedInstOperands,
     /*  388984 */     // GIR_Coverage, 62314,
     /*  388984 */     GIR_EraseRootFromParent_Done,
     /*  388985 */   // Label 6965: @388985
     /*  388985 */   GIM_Try, /*On fail goto*//*Label 6966*/ GIMT_Encode4(389059), // Rule ID 62357 //
     /*  388990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  388998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  389001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389011 */     // MIs[0] op1
     /*  389011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389014 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389019 */     // MIs[0] op2
     /*  389019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389022 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389038 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  389038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  389041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389043 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389045 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389047 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389057 */     GIR_RootConstrainSelectedInstOperands,
     /*  389058 */     // GIR_Coverage, 62357,
     /*  389058 */     GIR_EraseRootFromParent_Done,
     /*  389059 */   // Label 6966: @389059
     /*  389059 */   GIM_Try, /*On fail goto*//*Label 6967*/ GIMT_Encode4(389133), // Rule ID 62358 //
     /*  389064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  389075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389085 */     // MIs[0] op1
     /*  389085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389088 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389093 */     // MIs[0] op2
     /*  389093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389096 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389112 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  389112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  389115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389117 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389119 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389121 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389131 */     GIR_RootConstrainSelectedInstOperands,
     /*  389132 */     // GIR_Coverage, 62358,
     /*  389132 */     GIR_EraseRootFromParent_Done,
     /*  389133 */   // Label 6967: @389133
     /*  389133 */   GIM_Try, /*On fail goto*//*Label 6968*/ GIMT_Encode4(389207), // Rule ID 62413 //
     /*  389138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  389149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389159 */     // MIs[0] op1
     /*  389159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389162 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389167 */     // MIs[0] op2
     /*  389167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389170 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389186 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  389186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  389189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389191 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389193 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389195 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389205 */     GIR_RootConstrainSelectedInstOperands,
     /*  389206 */     // GIR_Coverage, 62413,
     /*  389206 */     GIR_EraseRootFromParent_Done,
     /*  389207 */   // Label 6968: @389207
     /*  389207 */   GIM_Try, /*On fail goto*//*Label 6969*/ GIMT_Encode4(389281), // Rule ID 62414 //
     /*  389212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  389223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389233 */     // MIs[0] op1
     /*  389233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389236 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389241 */     // MIs[0] op2
     /*  389241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389244 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389260 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  389260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  389263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389265 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389267 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389269 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389279 */     GIR_RootConstrainSelectedInstOperands,
     /*  389280 */     // GIR_Coverage, 62414,
     /*  389280 */     GIR_EraseRootFromParent_Done,
     /*  389281 */   // Label 6969: @389281
     /*  389281 */   GIM_Try, /*On fail goto*//*Label 6970*/ GIMT_Encode4(389355), // Rule ID 62469 //
     /*  389286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  389297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389307 */     // MIs[0] op1
     /*  389307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389310 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389315 */     // MIs[0] op2
     /*  389315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389318 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389334 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  389334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  389337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389339 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389341 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389343 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389353 */     GIR_RootConstrainSelectedInstOperands,
     /*  389354 */     // GIR_Coverage, 62469,
     /*  389354 */     GIR_EraseRootFromParent_Done,
     /*  389355 */   // Label 6970: @389355
     /*  389355 */   GIM_Try, /*On fail goto*//*Label 6971*/ GIMT_Encode4(389429), // Rule ID 62470 //
     /*  389360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  389371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389381 */     // MIs[0] op1
     /*  389381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389384 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389389 */     // MIs[0] op2
     /*  389389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389392 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389408 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  389408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  389411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389413 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389415 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389417 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389427 */     GIR_RootConstrainSelectedInstOperands,
     /*  389428 */     // GIR_Coverage, 62470,
     /*  389428 */     GIR_EraseRootFromParent_Done,
     /*  389429 */   // Label 6971: @389429
     /*  389429 */   GIM_Try, /*On fail goto*//*Label 6972*/ GIMT_Encode4(389503), // Rule ID 62525 //
     /*  389434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  389445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389455 */     // MIs[0] op1
     /*  389455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389458 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389463 */     // MIs[0] op2
     /*  389463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389466 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389482 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  389482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  389485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389487 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389489 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389491 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389501 */     GIR_RootConstrainSelectedInstOperands,
     /*  389502 */     // GIR_Coverage, 62525,
     /*  389502 */     GIR_EraseRootFromParent_Done,
     /*  389503 */   // Label 6972: @389503
     /*  389503 */   GIM_Try, /*On fail goto*//*Label 6973*/ GIMT_Encode4(389577), // Rule ID 62526 //
     /*  389508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  389519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389529 */     // MIs[0] op1
     /*  389529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389532 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389537 */     // MIs[0] op2
     /*  389537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389540 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389556 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  389556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  389559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389561 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389563 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389565 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389575 */     GIR_RootConstrainSelectedInstOperands,
     /*  389576 */     // GIR_Coverage, 62526,
     /*  389576 */     GIR_EraseRootFromParent_Done,
     /*  389577 */   // Label 6973: @389577
     /*  389577 */   GIM_Try, /*On fail goto*//*Label 6974*/ GIMT_Encode4(389651), // Rule ID 62569 //
     /*  389582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  389593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389603 */     // MIs[0] op1
     /*  389603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389606 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389611 */     // MIs[0] op2
     /*  389611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389614 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389630 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  389630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  389633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389635 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389637 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389639 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389649 */     GIR_RootConstrainSelectedInstOperands,
     /*  389650 */     // GIR_Coverage, 62569,
     /*  389650 */     GIR_EraseRootFromParent_Done,
     /*  389651 */   // Label 6974: @389651
     /*  389651 */   GIM_Try, /*On fail goto*//*Label 6975*/ GIMT_Encode4(389725), // Rule ID 62570 //
     /*  389656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  389667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389677 */     // MIs[0] op1
     /*  389677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389680 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389685 */     // MIs[0] op2
     /*  389685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389688 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389704 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  389704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  389707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389709 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389711 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389713 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389723 */     GIR_RootConstrainSelectedInstOperands,
     /*  389724 */     // GIR_Coverage, 62570,
     /*  389724 */     GIR_EraseRootFromParent_Done,
     /*  389725 */   // Label 6975: @389725
     /*  389725 */   GIM_Try, /*On fail goto*//*Label 6976*/ GIMT_Encode4(389799), // Rule ID 62625 //
     /*  389730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  389741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389751 */     // MIs[0] op1
     /*  389751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389754 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389759 */     // MIs[0] op2
     /*  389759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389762 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389778 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  389778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  389781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389783 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389785 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389787 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389797 */     GIR_RootConstrainSelectedInstOperands,
     /*  389798 */     // GIR_Coverage, 62625,
     /*  389798 */     GIR_EraseRootFromParent_Done,
     /*  389799 */   // Label 6976: @389799
     /*  389799 */   GIM_Try, /*On fail goto*//*Label 6977*/ GIMT_Encode4(389873), // Rule ID 62626 //
     /*  389804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  389815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389825 */     // MIs[0] op1
     /*  389825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389828 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389833 */     // MIs[0] op2
     /*  389833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389836 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  389852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  389855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389857 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389859 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389861 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389871 */     GIR_RootConstrainSelectedInstOperands,
     /*  389872 */     // GIR_Coverage, 62626,
     /*  389872 */     GIR_EraseRootFromParent_Done,
     /*  389873 */   // Label 6977: @389873
     /*  389873 */   GIM_Try, /*On fail goto*//*Label 6978*/ GIMT_Encode4(389947), // Rule ID 62681 //
     /*  389878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  389889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389899 */     // MIs[0] op1
     /*  389899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389902 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389907 */     // MIs[0] op2
     /*  389907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389910 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389926 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  389926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  389929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389931 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389933 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389935 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389945 */     GIR_RootConstrainSelectedInstOperands,
     /*  389946 */     // GIR_Coverage, 62681,
     /*  389946 */     GIR_EraseRootFromParent_Done,
     /*  389947 */   // Label 6978: @389947
     /*  389947 */   GIM_Try, /*On fail goto*//*Label 6979*/ GIMT_Encode4(390021), // Rule ID 62682 //
     /*  389952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  389960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  389963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389973 */     // MIs[0] op1
     /*  389973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389976 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389981 */     // MIs[0] op2
     /*  389981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  389984 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  389989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390000 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  390000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  390003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390005 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390007 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390009 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390019 */     GIR_RootConstrainSelectedInstOperands,
     /*  390020 */     // GIR_Coverage, 62682,
     /*  390020 */     GIR_EraseRootFromParent_Done,
     /*  390021 */   // Label 6979: @390021
     /*  390021 */   GIM_Try, /*On fail goto*//*Label 6980*/ GIMT_Encode4(390095), // Rule ID 62737 //
     /*  390026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  390037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390047 */     // MIs[0] op1
     /*  390047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390055 */     // MIs[0] op2
     /*  390055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390058 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390074 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  390074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  390077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390079 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390081 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390083 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390093 */     GIR_RootConstrainSelectedInstOperands,
     /*  390094 */     // GIR_Coverage, 62737,
     /*  390094 */     GIR_EraseRootFromParent_Done,
     /*  390095 */   // Label 6980: @390095
     /*  390095 */   GIM_Try, /*On fail goto*//*Label 6981*/ GIMT_Encode4(390169), // Rule ID 62738 //
     /*  390100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  390111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390121 */     // MIs[0] op1
     /*  390121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390124 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390129 */     // MIs[0] op2
     /*  390129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390132 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390148 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  390148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  390151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390153 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390155 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390157 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390167 */     GIR_RootConstrainSelectedInstOperands,
     /*  390168 */     // GIR_Coverage, 62738,
     /*  390168 */     GIR_EraseRootFromParent_Done,
     /*  390169 */   // Label 6981: @390169
     /*  390169 */   GIM_Try, /*On fail goto*//*Label 6982*/ GIMT_Encode4(390243), // Rule ID 62781 //
     /*  390174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  390185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390195 */     // MIs[0] op1
     /*  390195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390198 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390203 */     // MIs[0] op2
     /*  390203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390206 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390222 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  390222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  390225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390227 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390229 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390231 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390241 */     GIR_RootConstrainSelectedInstOperands,
     /*  390242 */     // GIR_Coverage, 62781,
     /*  390242 */     GIR_EraseRootFromParent_Done,
     /*  390243 */   // Label 6982: @390243
     /*  390243 */   GIM_Try, /*On fail goto*//*Label 6983*/ GIMT_Encode4(390317), // Rule ID 62782 //
     /*  390248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  390259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390269 */     // MIs[0] op1
     /*  390269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390272 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390277 */     // MIs[0] op2
     /*  390277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390280 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390296 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  390296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  390299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390301 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390303 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390305 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390315 */     GIR_RootConstrainSelectedInstOperands,
     /*  390316 */     // GIR_Coverage, 62782,
     /*  390316 */     GIR_EraseRootFromParent_Done,
     /*  390317 */   // Label 6983: @390317
     /*  390317 */   GIM_Try, /*On fail goto*//*Label 6984*/ GIMT_Encode4(390391), // Rule ID 62825 //
     /*  390322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  390333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390343 */     // MIs[0] op1
     /*  390343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390351 */     // MIs[0] op2
     /*  390351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390354 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390370 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  390370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  390373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390375 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390377 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390379 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390389 */     GIR_RootConstrainSelectedInstOperands,
     /*  390390 */     // GIR_Coverage, 62825,
     /*  390390 */     GIR_EraseRootFromParent_Done,
     /*  390391 */   // Label 6984: @390391
     /*  390391 */   GIM_Try, /*On fail goto*//*Label 6985*/ GIMT_Encode4(390465), // Rule ID 62826 //
     /*  390396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  390407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390417 */     // MIs[0] op1
     /*  390417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390420 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390425 */     // MIs[0] op2
     /*  390425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390428 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390444 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  390444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  390447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390449 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390451 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390453 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390463 */     GIR_RootConstrainSelectedInstOperands,
     /*  390464 */     // GIR_Coverage, 62826,
     /*  390464 */     GIR_EraseRootFromParent_Done,
     /*  390465 */   // Label 6985: @390465
     /*  390465 */   GIM_Try, /*On fail goto*//*Label 6986*/ GIMT_Encode4(390539), // Rule ID 62869 //
     /*  390470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  390481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390491 */     // MIs[0] op1
     /*  390491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390494 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390499 */     // MIs[0] op2
     /*  390499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390502 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390518 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  390518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  390521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390523 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390525 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390527 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390537 */     GIR_RootConstrainSelectedInstOperands,
     /*  390538 */     // GIR_Coverage, 62869,
     /*  390538 */     GIR_EraseRootFromParent_Done,
     /*  390539 */   // Label 6986: @390539
     /*  390539 */   GIM_Try, /*On fail goto*//*Label 6987*/ GIMT_Encode4(390613), // Rule ID 62870 //
     /*  390544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  390555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390565 */     // MIs[0] op1
     /*  390565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390568 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390573 */     // MIs[0] op2
     /*  390573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390576 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390592 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  390592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  390595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390597 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390599 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390601 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390611 */     GIR_RootConstrainSelectedInstOperands,
     /*  390612 */     // GIR_Coverage, 62870,
     /*  390612 */     GIR_EraseRootFromParent_Done,
     /*  390613 */   // Label 6987: @390613
     /*  390613 */   GIM_Try, /*On fail goto*//*Label 6988*/ GIMT_Encode4(390687), // Rule ID 62925 //
     /*  390618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  390629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390639 */     // MIs[0] op1
     /*  390639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390642 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390647 */     // MIs[0] op2
     /*  390647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390650 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390666 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  390666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  390669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390671 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390673 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390675 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390685 */     GIR_RootConstrainSelectedInstOperands,
     /*  390686 */     // GIR_Coverage, 62925,
     /*  390686 */     GIR_EraseRootFromParent_Done,
     /*  390687 */   // Label 6988: @390687
     /*  390687 */   GIM_Try, /*On fail goto*//*Label 6989*/ GIMT_Encode4(390761), // Rule ID 62926 //
     /*  390692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  390703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390713 */     // MIs[0] op1
     /*  390713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390716 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390721 */     // MIs[0] op2
     /*  390721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390724 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390740 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  390740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  390743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390745 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390747 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390749 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390759 */     GIR_RootConstrainSelectedInstOperands,
     /*  390760 */     // GIR_Coverage, 62926,
     /*  390760 */     GIR_EraseRootFromParent_Done,
     /*  390761 */   // Label 6989: @390761
     /*  390761 */   GIM_Try, /*On fail goto*//*Label 6990*/ GIMT_Encode4(390835), // Rule ID 62981 //
     /*  390766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  390777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390787 */     // MIs[0] op1
     /*  390787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390790 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390795 */     // MIs[0] op2
     /*  390795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390798 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390814 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  390814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  390817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390819 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390821 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390823 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390833 */     GIR_RootConstrainSelectedInstOperands,
     /*  390834 */     // GIR_Coverage, 62981,
     /*  390834 */     GIR_EraseRootFromParent_Done,
     /*  390835 */   // Label 6990: @390835
     /*  390835 */   GIM_Try, /*On fail goto*//*Label 6991*/ GIMT_Encode4(390909), // Rule ID 62982 //
     /*  390840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  390851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390861 */     // MIs[0] op1
     /*  390861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390869 */     // MIs[0] op2
     /*  390869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390888 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  390888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  390891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390893 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390895 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390897 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390907 */     GIR_RootConstrainSelectedInstOperands,
     /*  390908 */     // GIR_Coverage, 62982,
     /*  390908 */     GIR_EraseRootFromParent_Done,
     /*  390909 */   // Label 6991: @390909
     /*  390909 */   GIM_Try, /*On fail goto*//*Label 6992*/ GIMT_Encode4(390983), // Rule ID 63037 //
     /*  390914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  390925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390935 */     // MIs[0] op1
     /*  390935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390938 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390943 */     // MIs[0] op2
     /*  390943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  390946 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  390951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390962 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  390962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  390965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390967 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390969 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390971 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390981 */     GIR_RootConstrainSelectedInstOperands,
     /*  390982 */     // GIR_Coverage, 63037,
     /*  390982 */     GIR_EraseRootFromParent_Done,
     /*  390983 */   // Label 6992: @390983
     /*  390983 */   GIM_Try, /*On fail goto*//*Label 6993*/ GIMT_Encode4(391057), // Rule ID 63038 //
     /*  390988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  390996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  390999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391009 */     // MIs[0] op1
     /*  391009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391012 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391017 */     // MIs[0] op2
     /*  391017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391020 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391036 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  391036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  391039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391041 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391043 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391045 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391055 */     GIR_RootConstrainSelectedInstOperands,
     /*  391056 */     // GIR_Coverage, 63038,
     /*  391056 */     GIR_EraseRootFromParent_Done,
     /*  391057 */   // Label 6993: @391057
     /*  391057 */   GIM_Try, /*On fail goto*//*Label 6994*/ GIMT_Encode4(391131), // Rule ID 63093 //
     /*  391062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  391073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391083 */     // MIs[0] op1
     /*  391083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391086 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391091 */     // MIs[0] op2
     /*  391091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391094 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391110 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  391110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  391113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391115 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391117 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391119 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391129 */     GIR_RootConstrainSelectedInstOperands,
     /*  391130 */     // GIR_Coverage, 63093,
     /*  391130 */     GIR_EraseRootFromParent_Done,
     /*  391131 */   // Label 6994: @391131
     /*  391131 */   GIM_Try, /*On fail goto*//*Label 6995*/ GIMT_Encode4(391205), // Rule ID 63094 //
     /*  391136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  391147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391157 */     // MIs[0] op1
     /*  391157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391160 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391165 */     // MIs[0] op2
     /*  391165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391184 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  391184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  391187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391189 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391191 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391193 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391203 */     GIR_RootConstrainSelectedInstOperands,
     /*  391204 */     // GIR_Coverage, 63094,
     /*  391204 */     GIR_EraseRootFromParent_Done,
     /*  391205 */   // Label 6995: @391205
     /*  391205 */   GIM_Try, /*On fail goto*//*Label 6996*/ GIMT_Encode4(391279), // Rule ID 63149 //
     /*  391210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  391221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391231 */     // MIs[0] op1
     /*  391231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391234 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391239 */     // MIs[0] op2
     /*  391239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391242 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391258 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  391258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  391261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391263 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391265 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391267 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391277 */     GIR_RootConstrainSelectedInstOperands,
     /*  391278 */     // GIR_Coverage, 63149,
     /*  391278 */     GIR_EraseRootFromParent_Done,
     /*  391279 */   // Label 6996: @391279
     /*  391279 */   GIM_Try, /*On fail goto*//*Label 6997*/ GIMT_Encode4(391353), // Rule ID 63150 //
     /*  391284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  391295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391305 */     // MIs[0] op1
     /*  391305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391308 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391313 */     // MIs[0] op2
     /*  391313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391316 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391332 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  391332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  391335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391337 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391339 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391341 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391351 */     GIR_RootConstrainSelectedInstOperands,
     /*  391352 */     // GIR_Coverage, 63150,
     /*  391352 */     GIR_EraseRootFromParent_Done,
     /*  391353 */   // Label 6997: @391353
     /*  391353 */   GIM_Try, /*On fail goto*//*Label 6998*/ GIMT_Encode4(391427), // Rule ID 63205 //
     /*  391358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  391369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391379 */     // MIs[0] op1
     /*  391379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391387 */     // MIs[0] op2
     /*  391387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391390 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391406 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  391406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  391409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391411 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391413 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391415 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391425 */     GIR_RootConstrainSelectedInstOperands,
     /*  391426 */     // GIR_Coverage, 63205,
     /*  391426 */     GIR_EraseRootFromParent_Done,
     /*  391427 */   // Label 6998: @391427
     /*  391427 */   GIM_Try, /*On fail goto*//*Label 6999*/ GIMT_Encode4(391501), // Rule ID 63206 //
     /*  391432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  391443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391453 */     // MIs[0] op1
     /*  391453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391456 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391461 */     // MIs[0] op2
     /*  391461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391464 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391480 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  391480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  391483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391485 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391487 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391489 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391499 */     GIR_RootConstrainSelectedInstOperands,
     /*  391500 */     // GIR_Coverage, 63206,
     /*  391500 */     GIR_EraseRootFromParent_Done,
     /*  391501 */   // Label 6999: @391501
     /*  391501 */   GIM_Try, /*On fail goto*//*Label 7000*/ GIMT_Encode4(391575), // Rule ID 63261 //
     /*  391506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  391517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391527 */     // MIs[0] op1
     /*  391527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391535 */     // MIs[0] op2
     /*  391535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391538 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391554 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  391554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  391557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391559 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391561 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391563 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391573 */     GIR_RootConstrainSelectedInstOperands,
     /*  391574 */     // GIR_Coverage, 63261,
     /*  391574 */     GIR_EraseRootFromParent_Done,
     /*  391575 */   // Label 7000: @391575
     /*  391575 */   GIM_Try, /*On fail goto*//*Label 7001*/ GIMT_Encode4(391649), // Rule ID 63262 //
     /*  391580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  391591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391601 */     // MIs[0] op1
     /*  391601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391604 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391609 */     // MIs[0] op2
     /*  391609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391612 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391628 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  391628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  391631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391633 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391635 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391637 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391647 */     GIR_RootConstrainSelectedInstOperands,
     /*  391648 */     // GIR_Coverage, 63262,
     /*  391648 */     GIR_EraseRootFromParent_Done,
     /*  391649 */   // Label 7001: @391649
     /*  391649 */   GIM_Try, /*On fail goto*//*Label 7002*/ GIMT_Encode4(391723), // Rule ID 63317 //
     /*  391654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  391665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391675 */     // MIs[0] op1
     /*  391675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391683 */     // MIs[0] op2
     /*  391683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391686 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391702 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  391702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  391705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391707 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391709 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391711 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391721 */     GIR_RootConstrainSelectedInstOperands,
     /*  391722 */     // GIR_Coverage, 63317,
     /*  391722 */     GIR_EraseRootFromParent_Done,
     /*  391723 */   // Label 7002: @391723
     /*  391723 */   GIM_Try, /*On fail goto*//*Label 7003*/ GIMT_Encode4(391797), // Rule ID 63318 //
     /*  391728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  391736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  391739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391749 */     // MIs[0] op1
     /*  391749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391752 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391757 */     // MIs[0] op2
     /*  391757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391760 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391776 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10980:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  391776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  391779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391781 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391783 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391785 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391795 */     GIR_RootConstrainSelectedInstOperands,
     /*  391796 */     // GIR_Coverage, 63318,
     /*  391796 */     GIR_EraseRootFromParent_Done,
     /*  391797 */   // Label 7003: @391797
     /*  391797 */   GIM_Try, /*On fail goto*//*Label 7004*/ GIMT_Encode4(391871), // Rule ID 62247 //
     /*  391802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  391810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  391813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  391816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391823 */     // MIs[0] op1
     /*  391823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391835 */     // MIs[0] op3
     /*  391835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391838 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391850 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  391853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391855 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391857 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391859 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391869 */     GIR_RootConstrainSelectedInstOperands,
     /*  391870 */     // GIR_Coverage, 62247,
     /*  391870 */     GIR_EraseRootFromParent_Done,
     /*  391871 */   // Label 7004: @391871
     /*  391871 */   GIM_Try, /*On fail goto*//*Label 7005*/ GIMT_Encode4(391945), // Rule ID 62248 //
     /*  391876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  391884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  391887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  391890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391897 */     // MIs[0] op1
     /*  391897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391900 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391909 */     // MIs[0] op3
     /*  391909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391912 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391924 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  391927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391929 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391931 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391933 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391943 */     GIR_RootConstrainSelectedInstOperands,
     /*  391944 */     // GIR_Coverage, 62248,
     /*  391944 */     GIR_EraseRootFromParent_Done,
     /*  391945 */   // Label 7005: @391945
     /*  391945 */   GIM_Try, /*On fail goto*//*Label 7006*/ GIMT_Encode4(392019), // Rule ID 62285 //
     /*  391950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  391958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  391961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  391964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391971 */     // MIs[0] op1
     /*  391971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391983 */     // MIs[0] op3
     /*  391983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391986 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391998 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  392001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392003 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392005 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392007 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392017 */     GIR_RootConstrainSelectedInstOperands,
     /*  392018 */     // GIR_Coverage, 62285,
     /*  392018 */     GIR_EraseRootFromParent_Done,
     /*  392019 */   // Label 7006: @392019
     /*  392019 */   GIM_Try, /*On fail goto*//*Label 7007*/ GIMT_Encode4(392093), // Rule ID 62286 //
     /*  392024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  392032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  392035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  392038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392045 */     // MIs[0] op1
     /*  392045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392048 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392057 */     // MIs[0] op3
     /*  392057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392060 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392072 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  392072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  392075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392077 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392079 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392081 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392091 */     GIR_RootConstrainSelectedInstOperands,
     /*  392092 */     // GIR_Coverage, 62286,
     /*  392092 */     GIR_EraseRootFromParent_Done,
     /*  392093 */   // Label 7007: @392093
     /*  392093 */   GIM_Try, /*On fail goto*//*Label 7008*/ GIMT_Encode4(392167), // Rule ID 62329 //
     /*  392098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  392106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  392109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  392112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392119 */     // MIs[0] op1
     /*  392119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392122 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392131 */     // MIs[0] op3
     /*  392131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392134 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392146 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  392146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  392149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392151 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392153 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392155 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392165 */     GIR_RootConstrainSelectedInstOperands,
     /*  392166 */     // GIR_Coverage, 62329,
     /*  392166 */     GIR_EraseRootFromParent_Done,
     /*  392167 */   // Label 7008: @392167
     /*  392167 */   GIM_Try, /*On fail goto*//*Label 7009*/ GIMT_Encode4(392241), // Rule ID 62330 //
     /*  392172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  392180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  392183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  392186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392193 */     // MIs[0] op1
     /*  392193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392196 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392205 */     // MIs[0] op3
     /*  392205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392208 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392220 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  392220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  392223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392225 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392227 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392229 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392239 */     GIR_RootConstrainSelectedInstOperands,
     /*  392240 */     // GIR_Coverage, 62330,
     /*  392240 */     GIR_EraseRootFromParent_Done,
     /*  392241 */   // Label 7009: @392241
     /*  392241 */   GIM_Try, /*On fail goto*//*Label 7010*/ GIMT_Encode4(392315), // Rule ID 62373 //
     /*  392246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  392254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  392257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  392260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392267 */     // MIs[0] op1
     /*  392267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392270 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392279 */     // MIs[0] op3
     /*  392279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392282 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392294 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  392294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  392297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392299 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392301 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392303 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392313 */     GIR_RootConstrainSelectedInstOperands,
     /*  392314 */     // GIR_Coverage, 62373,
     /*  392314 */     GIR_EraseRootFromParent_Done,
     /*  392315 */   // Label 7010: @392315
     /*  392315 */   GIM_Try, /*On fail goto*//*Label 7011*/ GIMT_Encode4(392389), // Rule ID 62374 //
     /*  392320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  392328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  392331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  392334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392341 */     // MIs[0] op1
     /*  392341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392344 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392353 */     // MIs[0] op3
     /*  392353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392356 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392368 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  392368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  392371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392373 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392375 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392377 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392387 */     GIR_RootConstrainSelectedInstOperands,
     /*  392388 */     // GIR_Coverage, 62374,
     /*  392388 */     GIR_EraseRootFromParent_Done,
     /*  392389 */   // Label 7011: @392389
     /*  392389 */   GIM_Try, /*On fail goto*//*Label 7012*/ GIMT_Encode4(392463), // Rule ID 62429 //
     /*  392394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  392402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  392405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  392408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392415 */     // MIs[0] op1
     /*  392415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392418 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392427 */     // MIs[0] op3
     /*  392427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392430 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392442 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  392442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  392445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392447 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392449 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392451 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392461 */     GIR_RootConstrainSelectedInstOperands,
     /*  392462 */     // GIR_Coverage, 62429,
     /*  392462 */     GIR_EraseRootFromParent_Done,
     /*  392463 */   // Label 7012: @392463
     /*  392463 */   GIM_Try, /*On fail goto*//*Label 7013*/ GIMT_Encode4(392537), // Rule ID 62430 //
     /*  392468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  392476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  392479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  392482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392489 */     // MIs[0] op1
     /*  392489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392492 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392501 */     // MIs[0] op3
     /*  392501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392504 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392516 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  392516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  392519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392521 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392523 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392525 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392535 */     GIR_RootConstrainSelectedInstOperands,
     /*  392536 */     // GIR_Coverage, 62430,
     /*  392536 */     GIR_EraseRootFromParent_Done,
     /*  392537 */   // Label 7013: @392537
     /*  392537 */   GIM_Try, /*On fail goto*//*Label 7014*/ GIMT_Encode4(392611), // Rule ID 62485 //
     /*  392542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  392550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  392553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  392556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392563 */     // MIs[0] op1
     /*  392563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392566 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392575 */     // MIs[0] op3
     /*  392575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392578 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392590 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  392590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  392593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392595 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392597 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392599 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392609 */     GIR_RootConstrainSelectedInstOperands,
     /*  392610 */     // GIR_Coverage, 62485,
     /*  392610 */     GIR_EraseRootFromParent_Done,
     /*  392611 */   // Label 7014: @392611
     /*  392611 */   GIM_Try, /*On fail goto*//*Label 7015*/ GIMT_Encode4(392685), // Rule ID 62486 //
     /*  392616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  392624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  392627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  392630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392637 */     // MIs[0] op1
     /*  392637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392640 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392649 */     // MIs[0] op3
     /*  392649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392652 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392664 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  392664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  392667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392669 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392671 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392673 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392683 */     GIR_RootConstrainSelectedInstOperands,
     /*  392684 */     // GIR_Coverage, 62486,
     /*  392684 */     GIR_EraseRootFromParent_Done,
     /*  392685 */   // Label 7015: @392685
     /*  392685 */   GIM_Try, /*On fail goto*//*Label 7016*/ GIMT_Encode4(392759), // Rule ID 62541 //
     /*  392690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  392698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  392701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  392704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392711 */     // MIs[0] op1
     /*  392711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392723 */     // MIs[0] op3
     /*  392723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392726 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392738 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  392738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  392741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392743 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392745 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392747 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392757 */     GIR_RootConstrainSelectedInstOperands,
     /*  392758 */     // GIR_Coverage, 62541,
     /*  392758 */     GIR_EraseRootFromParent_Done,
     /*  392759 */   // Label 7016: @392759
     /*  392759 */   GIM_Try, /*On fail goto*//*Label 7017*/ GIMT_Encode4(392833), // Rule ID 62542 //
     /*  392764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  392772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  392775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  392778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392785 */     // MIs[0] op1
     /*  392785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392788 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392797 */     // MIs[0] op3
     /*  392797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392800 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392812 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  392812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  392815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392817 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392819 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392821 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392831 */     GIR_RootConstrainSelectedInstOperands,
     /*  392832 */     // GIR_Coverage, 62542,
     /*  392832 */     GIR_EraseRootFromParent_Done,
     /*  392833 */   // Label 7017: @392833
     /*  392833 */   GIM_Try, /*On fail goto*//*Label 7018*/ GIMT_Encode4(392907), // Rule ID 62585 //
     /*  392838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  392846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  392849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  392852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392859 */     // MIs[0] op1
     /*  392859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392862 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392871 */     // MIs[0] op3
     /*  392871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392874 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392886 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  392886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  392889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392891 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392893 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392895 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392905 */     GIR_RootConstrainSelectedInstOperands,
     /*  392906 */     // GIR_Coverage, 62585,
     /*  392906 */     GIR_EraseRootFromParent_Done,
     /*  392907 */   // Label 7018: @392907
     /*  392907 */   GIM_Try, /*On fail goto*//*Label 7019*/ GIMT_Encode4(392981), // Rule ID 62586 //
     /*  392912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  392920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  392923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  392926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392933 */     // MIs[0] op1
     /*  392933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392936 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392945 */     // MIs[0] op3
     /*  392945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392948 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392960 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  392960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  392963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392965 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392967 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392969 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392979 */     GIR_RootConstrainSelectedInstOperands,
     /*  392980 */     // GIR_Coverage, 62586,
     /*  392980 */     GIR_EraseRootFromParent_Done,
     /*  392981 */   // Label 7019: @392981
     /*  392981 */   GIM_Try, /*On fail goto*//*Label 7020*/ GIMT_Encode4(393055), // Rule ID 62641 //
     /*  392986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  392994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  392997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  393000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393007 */     // MIs[0] op1
     /*  393007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393010 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393019 */     // MIs[0] op3
     /*  393019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393022 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393034 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  393034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  393037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393039 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393041 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393043 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393053 */     GIR_RootConstrainSelectedInstOperands,
     /*  393054 */     // GIR_Coverage, 62641,
     /*  393054 */     GIR_EraseRootFromParent_Done,
     /*  393055 */   // Label 7020: @393055
     /*  393055 */   GIM_Try, /*On fail goto*//*Label 7021*/ GIMT_Encode4(393129), // Rule ID 62642 //
     /*  393060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  393071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  393074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393081 */     // MIs[0] op1
     /*  393081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393084 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393093 */     // MIs[0] op3
     /*  393093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393096 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  393108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  393111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393113 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393115 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393117 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393127 */     GIR_RootConstrainSelectedInstOperands,
     /*  393128 */     // GIR_Coverage, 62642,
     /*  393128 */     GIR_EraseRootFromParent_Done,
     /*  393129 */   // Label 7021: @393129
     /*  393129 */   GIM_Try, /*On fail goto*//*Label 7022*/ GIMT_Encode4(393203), // Rule ID 62697 //
     /*  393134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  393145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  393148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393155 */     // MIs[0] op1
     /*  393155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393158 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393167 */     // MIs[0] op3
     /*  393167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393170 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393182 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  393182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  393185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393187 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393189 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393191 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393201 */     GIR_RootConstrainSelectedInstOperands,
     /*  393202 */     // GIR_Coverage, 62697,
     /*  393202 */     GIR_EraseRootFromParent_Done,
     /*  393203 */   // Label 7022: @393203
     /*  393203 */   GIM_Try, /*On fail goto*//*Label 7023*/ GIMT_Encode4(393277), // Rule ID 62698 //
     /*  393208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  393219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  393222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393229 */     // MIs[0] op1
     /*  393229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393232 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393241 */     // MIs[0] op3
     /*  393241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393244 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393256 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  393256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  393259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393261 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393263 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393265 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393275 */     GIR_RootConstrainSelectedInstOperands,
     /*  393276 */     // GIR_Coverage, 62698,
     /*  393276 */     GIR_EraseRootFromParent_Done,
     /*  393277 */   // Label 7023: @393277
     /*  393277 */   GIM_Try, /*On fail goto*//*Label 7024*/ GIMT_Encode4(393351), // Rule ID 62753 //
     /*  393282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  393293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  393296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393303 */     // MIs[0] op1
     /*  393303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393306 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393315 */     // MIs[0] op3
     /*  393315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393318 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393330 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  393333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393335 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393337 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393339 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393349 */     GIR_RootConstrainSelectedInstOperands,
     /*  393350 */     // GIR_Coverage, 62753,
     /*  393350 */     GIR_EraseRootFromParent_Done,
     /*  393351 */   // Label 7024: @393351
     /*  393351 */   GIM_Try, /*On fail goto*//*Label 7025*/ GIMT_Encode4(393425), // Rule ID 62754 //
     /*  393356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  393367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  393370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393377 */     // MIs[0] op1
     /*  393377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393380 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393389 */     // MIs[0] op3
     /*  393389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393392 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393404 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  393407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393409 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393411 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393413 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393423 */     GIR_RootConstrainSelectedInstOperands,
     /*  393424 */     // GIR_Coverage, 62754,
     /*  393424 */     GIR_EraseRootFromParent_Done,
     /*  393425 */   // Label 7025: @393425
     /*  393425 */   GIM_Try, /*On fail goto*//*Label 7026*/ GIMT_Encode4(393499), // Rule ID 62797 //
     /*  393430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  393441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  393444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393451 */     // MIs[0] op1
     /*  393451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393454 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393463 */     // MIs[0] op3
     /*  393463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393466 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393478 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  393481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393483 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393485 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393487 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393497 */     GIR_RootConstrainSelectedInstOperands,
     /*  393498 */     // GIR_Coverage, 62797,
     /*  393498 */     GIR_EraseRootFromParent_Done,
     /*  393499 */   // Label 7026: @393499
     /*  393499 */   GIM_Try, /*On fail goto*//*Label 7027*/ GIMT_Encode4(393573), // Rule ID 62798 //
     /*  393504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  393515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  393518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393525 */     // MIs[0] op1
     /*  393525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393537 */     // MIs[0] op3
     /*  393537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393540 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393552 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  393555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393557 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393559 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393561 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393571 */     GIR_RootConstrainSelectedInstOperands,
     /*  393572 */     // GIR_Coverage, 62798,
     /*  393572 */     GIR_EraseRootFromParent_Done,
     /*  393573 */   // Label 7027: @393573
     /*  393573 */   GIM_Try, /*On fail goto*//*Label 7028*/ GIMT_Encode4(393647), // Rule ID 62841 //
     /*  393578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  393589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  393592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393599 */     // MIs[0] op1
     /*  393599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393602 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393611 */     // MIs[0] op3
     /*  393611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393614 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393626 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  393629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393631 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393633 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393635 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393645 */     GIR_RootConstrainSelectedInstOperands,
     /*  393646 */     // GIR_Coverage, 62841,
     /*  393646 */     GIR_EraseRootFromParent_Done,
     /*  393647 */   // Label 7028: @393647
     /*  393647 */   GIM_Try, /*On fail goto*//*Label 7029*/ GIMT_Encode4(393721), // Rule ID 62842 //
     /*  393652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  393663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  393666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393673 */     // MIs[0] op1
     /*  393673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393676 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393685 */     // MIs[0] op3
     /*  393685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393688 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393700 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  393703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393705 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393707 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393709 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393719 */     GIR_RootConstrainSelectedInstOperands,
     /*  393720 */     // GIR_Coverage, 62842,
     /*  393720 */     GIR_EraseRootFromParent_Done,
     /*  393721 */   // Label 7029: @393721
     /*  393721 */   GIM_Try, /*On fail goto*//*Label 7030*/ GIMT_Encode4(393795), // Rule ID 62885 //
     /*  393726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  393737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  393740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393747 */     // MIs[0] op1
     /*  393747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393750 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393759 */     // MIs[0] op3
     /*  393759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393762 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  393774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  393777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393779 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393781 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393783 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393793 */     GIR_RootConstrainSelectedInstOperands,
     /*  393794 */     // GIR_Coverage, 62885,
     /*  393794 */     GIR_EraseRootFromParent_Done,
     /*  393795 */   // Label 7030: @393795
     /*  393795 */   GIM_Try, /*On fail goto*//*Label 7031*/ GIMT_Encode4(393869), // Rule ID 62886 //
     /*  393800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  393811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  393814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393821 */     // MIs[0] op1
     /*  393821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393824 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393833 */     // MIs[0] op3
     /*  393833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393836 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393848 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  393848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  393851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393853 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393855 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393857 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393867 */     GIR_RootConstrainSelectedInstOperands,
     /*  393868 */     // GIR_Coverage, 62886,
     /*  393868 */     GIR_EraseRootFromParent_Done,
     /*  393869 */   // Label 7031: @393869
     /*  393869 */   GIM_Try, /*On fail goto*//*Label 7032*/ GIMT_Encode4(393943), // Rule ID 62941 //
     /*  393874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  393885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  393888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393895 */     // MIs[0] op1
     /*  393895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393898 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393907 */     // MIs[0] op3
     /*  393907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393910 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393922 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  393922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  393925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393927 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393929 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393931 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393941 */     GIR_RootConstrainSelectedInstOperands,
     /*  393942 */     // GIR_Coverage, 62941,
     /*  393942 */     GIR_EraseRootFromParent_Done,
     /*  393943 */   // Label 7032: @393943
     /*  393943 */   GIM_Try, /*On fail goto*//*Label 7033*/ GIMT_Encode4(394017), // Rule ID 62942 //
     /*  393948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  393956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  393959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  393962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393969 */     // MIs[0] op1
     /*  393969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393972 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393981 */     // MIs[0] op3
     /*  393981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393984 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  393996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  393999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394001 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394003 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394005 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394015 */     GIR_RootConstrainSelectedInstOperands,
     /*  394016 */     // GIR_Coverage, 62942,
     /*  394016 */     GIR_EraseRootFromParent_Done,
     /*  394017 */   // Label 7033: @394017
     /*  394017 */   GIM_Try, /*On fail goto*//*Label 7034*/ GIMT_Encode4(394091), // Rule ID 62997 //
     /*  394022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  394033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  394036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394043 */     // MIs[0] op1
     /*  394043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394046 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394055 */     // MIs[0] op3
     /*  394055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394058 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394070 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  394070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  394073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394075 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394077 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394079 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394089 */     GIR_RootConstrainSelectedInstOperands,
     /*  394090 */     // GIR_Coverage, 62997,
     /*  394090 */     GIR_EraseRootFromParent_Done,
     /*  394091 */   // Label 7034: @394091
     /*  394091 */   GIM_Try, /*On fail goto*//*Label 7035*/ GIMT_Encode4(394165), // Rule ID 62998 //
     /*  394096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  394107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  394110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394117 */     // MIs[0] op1
     /*  394117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394120 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394129 */     // MIs[0] op3
     /*  394129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394132 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394144 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  394144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  394147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394149 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394151 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394153 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394163 */     GIR_RootConstrainSelectedInstOperands,
     /*  394164 */     // GIR_Coverage, 62998,
     /*  394164 */     GIR_EraseRootFromParent_Done,
     /*  394165 */   // Label 7035: @394165
     /*  394165 */   GIM_Try, /*On fail goto*//*Label 7036*/ GIMT_Encode4(394239), // Rule ID 63053 //
     /*  394170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  394181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  394184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394191 */     // MIs[0] op1
     /*  394191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394194 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394203 */     // MIs[0] op3
     /*  394203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394206 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394218 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  394218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  394221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394223 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394225 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394227 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394237 */     GIR_RootConstrainSelectedInstOperands,
     /*  394238 */     // GIR_Coverage, 63053,
     /*  394238 */     GIR_EraseRootFromParent_Done,
     /*  394239 */   // Label 7036: @394239
     /*  394239 */   GIM_Try, /*On fail goto*//*Label 7037*/ GIMT_Encode4(394313), // Rule ID 63054 //
     /*  394244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  394255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  394258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394265 */     // MIs[0] op1
     /*  394265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394268 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394277 */     // MIs[0] op3
     /*  394277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394280 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394292 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  394292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  394295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394297 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394299 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394301 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394311 */     GIR_RootConstrainSelectedInstOperands,
     /*  394312 */     // GIR_Coverage, 63054,
     /*  394312 */     GIR_EraseRootFromParent_Done,
     /*  394313 */   // Label 7037: @394313
     /*  394313 */   GIM_Try, /*On fail goto*//*Label 7038*/ GIMT_Encode4(394387), // Rule ID 63109 //
     /*  394318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  394329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  394332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394339 */     // MIs[0] op1
     /*  394339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394342 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394351 */     // MIs[0] op3
     /*  394351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394354 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394366 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  394366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  394369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394371 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394373 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394375 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394385 */     GIR_RootConstrainSelectedInstOperands,
     /*  394386 */     // GIR_Coverage, 63109,
     /*  394386 */     GIR_EraseRootFromParent_Done,
     /*  394387 */   // Label 7038: @394387
     /*  394387 */   GIM_Try, /*On fail goto*//*Label 7039*/ GIMT_Encode4(394461), // Rule ID 63110 //
     /*  394392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  394403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  394406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394413 */     // MIs[0] op1
     /*  394413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394416 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394425 */     // MIs[0] op3
     /*  394425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394428 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  394440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  394443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394445 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394447 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394449 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394459 */     GIR_RootConstrainSelectedInstOperands,
     /*  394460 */     // GIR_Coverage, 63110,
     /*  394460 */     GIR_EraseRootFromParent_Done,
     /*  394461 */   // Label 7039: @394461
     /*  394461 */   GIM_Try, /*On fail goto*//*Label 7040*/ GIMT_Encode4(394535), // Rule ID 63165 //
     /*  394466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  394477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  394480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394487 */     // MIs[0] op1
     /*  394487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394490 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394499 */     // MIs[0] op3
     /*  394499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394502 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394514 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  394514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  394517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394519 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394521 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394523 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394533 */     GIR_RootConstrainSelectedInstOperands,
     /*  394534 */     // GIR_Coverage, 63165,
     /*  394534 */     GIR_EraseRootFromParent_Done,
     /*  394535 */   // Label 7040: @394535
     /*  394535 */   GIM_Try, /*On fail goto*//*Label 7041*/ GIMT_Encode4(394609), // Rule ID 63166 //
     /*  394540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  394551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  394554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394561 */     // MIs[0] op1
     /*  394561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394564 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394573 */     // MIs[0] op3
     /*  394573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394576 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394588 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  394588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  394591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394593 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394595 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394597 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394607 */     GIR_RootConstrainSelectedInstOperands,
     /*  394608 */     // GIR_Coverage, 63166,
     /*  394608 */     GIR_EraseRootFromParent_Done,
     /*  394609 */   // Label 7041: @394609
     /*  394609 */   GIM_Try, /*On fail goto*//*Label 7042*/ GIMT_Encode4(394683), // Rule ID 63221 //
     /*  394614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  394625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  394628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394635 */     // MIs[0] op1
     /*  394635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394638 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394647 */     // MIs[0] op3
     /*  394647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394650 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394662 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  394662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  394665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394667 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394669 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394671 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394681 */     GIR_RootConstrainSelectedInstOperands,
     /*  394682 */     // GIR_Coverage, 63221,
     /*  394682 */     GIR_EraseRootFromParent_Done,
     /*  394683 */   // Label 7042: @394683
     /*  394683 */   GIM_Try, /*On fail goto*//*Label 7043*/ GIMT_Encode4(394757), // Rule ID 63222 //
     /*  394688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  394699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  394702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394709 */     // MIs[0] op1
     /*  394709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394712 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394721 */     // MIs[0] op3
     /*  394721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394724 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394736 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  394736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  394739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394741 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394743 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394745 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394755 */     GIR_RootConstrainSelectedInstOperands,
     /*  394756 */     // GIR_Coverage, 63222,
     /*  394756 */     GIR_EraseRootFromParent_Done,
     /*  394757 */   // Label 7043: @394757
     /*  394757 */   GIM_Try, /*On fail goto*//*Label 7044*/ GIMT_Encode4(394831), // Rule ID 63277 //
     /*  394762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  394773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  394776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394783 */     // MIs[0] op1
     /*  394783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394786 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394795 */     // MIs[0] op3
     /*  394795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394798 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394810 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  394810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  394813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394815 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394817 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394819 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394829 */     GIR_RootConstrainSelectedInstOperands,
     /*  394830 */     // GIR_Coverage, 63277,
     /*  394830 */     GIR_EraseRootFromParent_Done,
     /*  394831 */   // Label 7044: @394831
     /*  394831 */   GIM_Try, /*On fail goto*//*Label 7045*/ GIMT_Encode4(394905), // Rule ID 63278 //
     /*  394836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  394847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  394850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394857 */     // MIs[0] op1
     /*  394857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394860 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394869 */     // MIs[0] op3
     /*  394869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394884 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  394884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  394887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394889 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394891 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394893 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394903 */     GIR_RootConstrainSelectedInstOperands,
     /*  394904 */     // GIR_Coverage, 63278,
     /*  394904 */     GIR_EraseRootFromParent_Done,
     /*  394905 */   // Label 7045: @394905
     /*  394905 */   GIM_Try, /*On fail goto*//*Label 7046*/ GIMT_Encode4(394979), // Rule ID 63333 //
     /*  394910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  394921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  394924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394931 */     // MIs[0] op1
     /*  394931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394934 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394943 */     // MIs[0] op3
     /*  394943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394946 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394958 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10968:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  394958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  394961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394963 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394965 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394967 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394977 */     GIR_RootConstrainSelectedInstOperands,
     /*  394978 */     // GIR_Coverage, 63333,
     /*  394978 */     GIR_EraseRootFromParent_Done,
     /*  394979 */   // Label 7046: @394979
     /*  394979 */   GIM_Try, /*On fail goto*//*Label 7047*/ GIMT_Encode4(395053), // Rule ID 63334 //
     /*  394984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  394992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  394995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  394998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395005 */     // MIs[0] op1
     /*  395005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395008 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395017 */     // MIs[0] op3
     /*  395017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  395020 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  395025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395032 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10968:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  395032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  395035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395037 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395039 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395041 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  395051 */     GIR_RootConstrainSelectedInstOperands,
     /*  395052 */     // GIR_Coverage, 63334,
     /*  395052 */     GIR_EraseRootFromParent_Done,
     /*  395053 */   // Label 7047: @395053
     /*  395053 */   GIM_Try, /*On fail goto*//*Label 7048*/ GIMT_Encode4(395128), // Rule ID 7207 //
     /*  395058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  395061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  395066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  395069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  395072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  395075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395093 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  395097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395104 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  395104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  395107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395126 */     GIR_RootConstrainSelectedInstOperands,
     /*  395127 */     // GIR_Coverage, 7207,
     /*  395127 */     GIR_EraseRootFromParent_Done,
     /*  395128 */   // Label 7048: @395128
     /*  395128 */   GIM_Try, /*On fail goto*//*Label 7049*/ GIMT_Encode4(395203), // Rule ID 7208 //
     /*  395133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  395136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  395141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  395144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  395147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  395150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395168 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  395172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395179 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  395179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  395182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395201 */     GIR_RootConstrainSelectedInstOperands,
     /*  395202 */     // GIR_Coverage, 7208,
     /*  395202 */     GIR_EraseRootFromParent_Done,
     /*  395203 */   // Label 7049: @395203
     /*  395203 */   GIM_Try, /*On fail goto*//*Label 7050*/ GIMT_Encode4(395278), // Rule ID 7211 //
     /*  395208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  395211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  395216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  395219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  395222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  395225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395243 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  395247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395254 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  395254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  395257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395276 */     GIR_RootConstrainSelectedInstOperands,
     /*  395277 */     // GIR_Coverage, 7211,
     /*  395277 */     GIR_EraseRootFromParent_Done,
     /*  395278 */   // Label 7050: @395278
     /*  395278 */   GIM_Try, /*On fail goto*//*Label 7051*/ GIMT_Encode4(395353), // Rule ID 7212 //
     /*  395283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  395286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  395291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  395294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  395297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  395300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395318 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  395322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395329 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  395329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  395332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395351 */     GIR_RootConstrainSelectedInstOperands,
     /*  395352 */     // GIR_Coverage, 7212,
     /*  395352 */     GIR_EraseRootFromParent_Done,
     /*  395353 */   // Label 7051: @395353
     /*  395353 */   GIM_Try, /*On fail goto*//*Label 7052*/ GIMT_Encode4(395428), // Rule ID 7215 //
     /*  395358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  395361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  395366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  395369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  395372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  395375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395393 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  395397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395404 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  395404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  395407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395426 */     GIR_RootConstrainSelectedInstOperands,
     /*  395427 */     // GIR_Coverage, 7215,
     /*  395427 */     GIR_EraseRootFromParent_Done,
     /*  395428 */   // Label 7052: @395428
     /*  395428 */   GIM_Try, /*On fail goto*//*Label 7053*/ GIMT_Encode4(395503), // Rule ID 7216 //
     /*  395433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  395436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  395441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  395444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  395447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  395450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395468 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  395472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395479 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  395479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  395482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395501 */     GIR_RootConstrainSelectedInstOperands,
     /*  395502 */     // GIR_Coverage, 7216,
     /*  395502 */     GIR_EraseRootFromParent_Done,
     /*  395503 */   // Label 7053: @395503
     /*  395503 */   GIM_Try, /*On fail goto*//*Label 7054*/ GIMT_Encode4(395578), // Rule ID 7219 //
     /*  395508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  395511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  395516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  395519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  395522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  395525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395543 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  395547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395554 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  395554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  395557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395576 */     GIR_RootConstrainSelectedInstOperands,
     /*  395577 */     // GIR_Coverage, 7219,
     /*  395577 */     GIR_EraseRootFromParent_Done,
     /*  395578 */   // Label 7054: @395578
     /*  395578 */   GIM_Try, /*On fail goto*//*Label 7055*/ GIMT_Encode4(395653), // Rule ID 7220 //
     /*  395583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  395586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  395591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  395594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  395597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  395600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395618 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  395622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395629 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  395629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  395632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395651 */     GIR_RootConstrainSelectedInstOperands,
     /*  395652 */     // GIR_Coverage, 7220,
     /*  395652 */     GIR_EraseRootFromParent_Done,
     /*  395653 */   // Label 7055: @395653
     /*  395653 */   GIM_Try, /*On fail goto*//*Label 7056*/ GIMT_Encode4(395728), // Rule ID 7223 //
     /*  395658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  395661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  395666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  395669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  395672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  395675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395693 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  395697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395704 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  395704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  395707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395726 */     GIR_RootConstrainSelectedInstOperands,
     /*  395727 */     // GIR_Coverage, 7223,
     /*  395727 */     GIR_EraseRootFromParent_Done,
     /*  395728 */   // Label 7056: @395728
     /*  395728 */   GIM_Try, /*On fail goto*//*Label 7057*/ GIMT_Encode4(395803), // Rule ID 7224 //
     /*  395733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  395736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  395741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  395744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  395747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  395750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395768 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  395772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395779 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  395779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  395782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395801 */     GIR_RootConstrainSelectedInstOperands,
     /*  395802 */     // GIR_Coverage, 7224,
     /*  395802 */     GIR_EraseRootFromParent_Done,
     /*  395803 */   // Label 7057: @395803
     /*  395803 */   GIM_Try, /*On fail goto*//*Label 7058*/ GIMT_Encode4(395878), // Rule ID 7227 //
     /*  395808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  395811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  395816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  395819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  395822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  395825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395843 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  395847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395854 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  395854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  395857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395876 */     GIR_RootConstrainSelectedInstOperands,
     /*  395877 */     // GIR_Coverage, 7227,
     /*  395877 */     GIR_EraseRootFromParent_Done,
     /*  395878 */   // Label 7058: @395878
     /*  395878 */   GIM_Try, /*On fail goto*//*Label 7059*/ GIMT_Encode4(395953), // Rule ID 7228 //
     /*  395883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  395886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  395891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  395894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  395897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  395900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395918 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  395922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395929 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  395929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  395932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395951 */     GIR_RootConstrainSelectedInstOperands,
     /*  395952 */     // GIR_Coverage, 7228,
     /*  395952 */     GIR_EraseRootFromParent_Done,
     /*  395953 */   // Label 7059: @395953
     /*  395953 */   GIM_Try, /*On fail goto*//*Label 7060*/ GIMT_Encode4(396028), // Rule ID 7231 //
     /*  395958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  395961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  395966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  395969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  395972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  395975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395993 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  395997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396004 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  396004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  396007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396026 */     GIR_RootConstrainSelectedInstOperands,
     /*  396027 */     // GIR_Coverage, 7231,
     /*  396027 */     GIR_EraseRootFromParent_Done,
     /*  396028 */   // Label 7060: @396028
     /*  396028 */   GIM_Try, /*On fail goto*//*Label 7061*/ GIMT_Encode4(396103), // Rule ID 7232 //
     /*  396033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  396044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  396047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  396050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396068 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396079 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  396079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  396082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396101 */     GIR_RootConstrainSelectedInstOperands,
     /*  396102 */     // GIR_Coverage, 7232,
     /*  396102 */     GIR_EraseRootFromParent_Done,
     /*  396103 */   // Label 7061: @396103
     /*  396103 */   GIM_Try, /*On fail goto*//*Label 7062*/ GIMT_Encode4(396178), // Rule ID 7235 //
     /*  396108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  396119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  396122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  396125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396143 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396154 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  396154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  396157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396176 */     GIR_RootConstrainSelectedInstOperands,
     /*  396177 */     // GIR_Coverage, 7235,
     /*  396177 */     GIR_EraseRootFromParent_Done,
     /*  396178 */   // Label 7062: @396178
     /*  396178 */   GIM_Try, /*On fail goto*//*Label 7063*/ GIMT_Encode4(396253), // Rule ID 7236 //
     /*  396183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  396194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  396197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  396200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396218 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396229 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  396229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  396232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396251 */     GIR_RootConstrainSelectedInstOperands,
     /*  396252 */     // GIR_Coverage, 7236,
     /*  396252 */     GIR_EraseRootFromParent_Done,
     /*  396253 */   // Label 7063: @396253
     /*  396253 */   GIM_Try, /*On fail goto*//*Label 7064*/ GIMT_Encode4(396328), // Rule ID 7239 //
     /*  396258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  396269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  396272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  396275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396293 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396304 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  396304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  396307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396326 */     GIR_RootConstrainSelectedInstOperands,
     /*  396327 */     // GIR_Coverage, 7239,
     /*  396327 */     GIR_EraseRootFromParent_Done,
     /*  396328 */   // Label 7064: @396328
     /*  396328 */   GIM_Try, /*On fail goto*//*Label 7065*/ GIMT_Encode4(396403), // Rule ID 7240 //
     /*  396333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  396344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  396347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  396350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396368 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396379 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  396379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  396382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396401 */     GIR_RootConstrainSelectedInstOperands,
     /*  396402 */     // GIR_Coverage, 7240,
     /*  396402 */     GIR_EraseRootFromParent_Done,
     /*  396403 */   // Label 7065: @396403
     /*  396403 */   GIM_Try, /*On fail goto*//*Label 7066*/ GIMT_Encode4(396478), // Rule ID 7243 //
     /*  396408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  396411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  396419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  396422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  396425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396443 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396454 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  396454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  396457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396476 */     GIR_RootConstrainSelectedInstOperands,
     /*  396477 */     // GIR_Coverage, 7243,
     /*  396477 */     GIR_EraseRootFromParent_Done,
     /*  396478 */   // Label 7066: @396478
     /*  396478 */   GIM_Try, /*On fail goto*//*Label 7067*/ GIMT_Encode4(396553), // Rule ID 7244 //
     /*  396483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  396486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  396494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  396497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  396500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396518 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396529 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  396529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  396532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396551 */     GIR_RootConstrainSelectedInstOperands,
     /*  396552 */     // GIR_Coverage, 7244,
     /*  396552 */     GIR_EraseRootFromParent_Done,
     /*  396553 */   // Label 7067: @396553
     /*  396553 */   GIM_Try, /*On fail goto*//*Label 7068*/ GIMT_Encode4(396628), // Rule ID 7247 //
     /*  396558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  396569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  396572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  396575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396593 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396604 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  396604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  396607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396626 */     GIR_RootConstrainSelectedInstOperands,
     /*  396627 */     // GIR_Coverage, 7247,
     /*  396627 */     GIR_EraseRootFromParent_Done,
     /*  396628 */   // Label 7068: @396628
     /*  396628 */   GIM_Try, /*On fail goto*//*Label 7069*/ GIMT_Encode4(396703), // Rule ID 7248 //
     /*  396633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  396644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  396647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  396650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396668 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396679 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  396679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  396682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396701 */     GIR_RootConstrainSelectedInstOperands,
     /*  396702 */     // GIR_Coverage, 7248,
     /*  396702 */     GIR_EraseRootFromParent_Done,
     /*  396703 */   // Label 7069: @396703
     /*  396703 */   GIM_Try, /*On fail goto*//*Label 7070*/ GIMT_Encode4(396778), // Rule ID 7251 //
     /*  396708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  396719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  396722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  396725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396743 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396754 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  396754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  396757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396776 */     GIR_RootConstrainSelectedInstOperands,
     /*  396777 */     // GIR_Coverage, 7251,
     /*  396777 */     GIR_EraseRootFromParent_Done,
     /*  396778 */   // Label 7070: @396778
     /*  396778 */   GIM_Try, /*On fail goto*//*Label 7071*/ GIMT_Encode4(396853), // Rule ID 7252 //
     /*  396783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  396794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  396797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  396800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396818 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396829 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  396829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  396832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396851 */     GIR_RootConstrainSelectedInstOperands,
     /*  396852 */     // GIR_Coverage, 7252,
     /*  396852 */     GIR_EraseRootFromParent_Done,
     /*  396853 */   // Label 7071: @396853
     /*  396853 */   GIM_Try, /*On fail goto*//*Label 7072*/ GIMT_Encode4(396928), // Rule ID 7255 //
     /*  396858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  396869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  396872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  396875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396893 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396904 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  396904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  396907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396926 */     GIR_RootConstrainSelectedInstOperands,
     /*  396927 */     // GIR_Coverage, 7255,
     /*  396927 */     GIR_EraseRootFromParent_Done,
     /*  396928 */   // Label 7072: @396928
     /*  396928 */   GIM_Try, /*On fail goto*//*Label 7073*/ GIMT_Encode4(397003), // Rule ID 7256 //
     /*  396933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  396941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  396944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  396947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  396950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396968 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  396972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396979 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  396979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  396982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397001 */     GIR_RootConstrainSelectedInstOperands,
     /*  397002 */     // GIR_Coverage, 7256,
     /*  397002 */     GIR_EraseRootFromParent_Done,
     /*  397003 */   // Label 7073: @397003
     /*  397003 */   GIM_Try, /*On fail goto*//*Label 7074*/ GIMT_Encode4(397078), // Rule ID 7259 //
     /*  397008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  397019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  397022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  397025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397043 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397054 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  397054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  397057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397076 */     GIR_RootConstrainSelectedInstOperands,
     /*  397077 */     // GIR_Coverage, 7259,
     /*  397077 */     GIR_EraseRootFromParent_Done,
     /*  397078 */   // Label 7074: @397078
     /*  397078 */   GIM_Try, /*On fail goto*//*Label 7075*/ GIMT_Encode4(397153), // Rule ID 7260 //
     /*  397083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  397094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  397097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  397100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397118 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397129 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  397129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  397132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397151 */     GIR_RootConstrainSelectedInstOperands,
     /*  397152 */     // GIR_Coverage, 7260,
     /*  397152 */     GIR_EraseRootFromParent_Done,
     /*  397153 */   // Label 7075: @397153
     /*  397153 */   GIM_Try, /*On fail goto*//*Label 7076*/ GIMT_Encode4(397228), // Rule ID 7263 //
     /*  397158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  397169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  397172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  397175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397193 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397204 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  397204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  397207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397226 */     GIR_RootConstrainSelectedInstOperands,
     /*  397227 */     // GIR_Coverage, 7263,
     /*  397227 */     GIR_EraseRootFromParent_Done,
     /*  397228 */   // Label 7076: @397228
     /*  397228 */   GIM_Try, /*On fail goto*//*Label 7077*/ GIMT_Encode4(397303), // Rule ID 7264 //
     /*  397233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  397244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  397247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  397250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397268 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397279 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  397279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  397282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397301 */     GIR_RootConstrainSelectedInstOperands,
     /*  397302 */     // GIR_Coverage, 7264,
     /*  397302 */     GIR_EraseRootFromParent_Done,
     /*  397303 */   // Label 7077: @397303
     /*  397303 */   GIM_Try, /*On fail goto*//*Label 7078*/ GIMT_Encode4(397378), // Rule ID 7267 //
     /*  397308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  397319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  397322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  397325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397343 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397354 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  397354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  397357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397376 */     GIR_RootConstrainSelectedInstOperands,
     /*  397377 */     // GIR_Coverage, 7267,
     /*  397377 */     GIR_EraseRootFromParent_Done,
     /*  397378 */   // Label 7078: @397378
     /*  397378 */   GIM_Try, /*On fail goto*//*Label 7079*/ GIMT_Encode4(397453), // Rule ID 7268 //
     /*  397383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  397394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  397397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  397400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397418 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397429 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  397429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  397432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397451 */     GIR_RootConstrainSelectedInstOperands,
     /*  397452 */     // GIR_Coverage, 7268,
     /*  397452 */     GIR_EraseRootFromParent_Done,
     /*  397453 */   // Label 7079: @397453
     /*  397453 */   GIM_Try, /*On fail goto*//*Label 7080*/ GIMT_Encode4(397528), // Rule ID 7271 //
     /*  397458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  397469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  397472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  397475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397493 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397504 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  397504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  397507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397526 */     GIR_RootConstrainSelectedInstOperands,
     /*  397527 */     // GIR_Coverage, 7271,
     /*  397527 */     GIR_EraseRootFromParent_Done,
     /*  397528 */   // Label 7080: @397528
     /*  397528 */   GIM_Try, /*On fail goto*//*Label 7081*/ GIMT_Encode4(397603), // Rule ID 7272 //
     /*  397533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  397544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  397547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  397550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397568 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397579 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  397579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  397582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397601 */     GIR_RootConstrainSelectedInstOperands,
     /*  397602 */     // GIR_Coverage, 7272,
     /*  397602 */     GIR_EraseRootFromParent_Done,
     /*  397603 */   // Label 7081: @397603
     /*  397603 */   GIM_Try, /*On fail goto*//*Label 7082*/ GIMT_Encode4(397678), // Rule ID 7275 //
     /*  397608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  397619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  397622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  397625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397643 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397654 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  397654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  397657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397676 */     GIR_RootConstrainSelectedInstOperands,
     /*  397677 */     // GIR_Coverage, 7275,
     /*  397677 */     GIR_EraseRootFromParent_Done,
     /*  397678 */   // Label 7082: @397678
     /*  397678 */   GIM_Try, /*On fail goto*//*Label 7083*/ GIMT_Encode4(397753), // Rule ID 7276 //
     /*  397683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  397694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  397697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  397700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397718 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397729 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  397729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  397732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397751 */     GIR_RootConstrainSelectedInstOperands,
     /*  397752 */     // GIR_Coverage, 7276,
     /*  397752 */     GIR_EraseRootFromParent_Done,
     /*  397753 */   // Label 7083: @397753
     /*  397753 */   GIM_Try, /*On fail goto*//*Label 7084*/ GIMT_Encode4(397828), // Rule ID 7279 //
     /*  397758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  397769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  397772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  397775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397793 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397804 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  397804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  397807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397826 */     GIR_RootConstrainSelectedInstOperands,
     /*  397827 */     // GIR_Coverage, 7279,
     /*  397827 */     GIR_EraseRootFromParent_Done,
     /*  397828 */   // Label 7084: @397828
     /*  397828 */   GIM_Try, /*On fail goto*//*Label 7085*/ GIMT_Encode4(397903), // Rule ID 7280 //
     /*  397833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  397844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  397847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  397850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397868 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397879 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  397879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  397882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397901 */     GIR_RootConstrainSelectedInstOperands,
     /*  397902 */     // GIR_Coverage, 7280,
     /*  397902 */     GIR_EraseRootFromParent_Done,
     /*  397903 */   // Label 7085: @397903
     /*  397903 */   GIM_Try, /*On fail goto*//*Label 7086*/ GIMT_Encode4(397978), // Rule ID 7283 //
     /*  397908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  397911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  397919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  397922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  397925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397943 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  397947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397954 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  397954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  397957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397976 */     GIR_RootConstrainSelectedInstOperands,
     /*  397977 */     // GIR_Coverage, 7283,
     /*  397977 */     GIR_EraseRootFromParent_Done,
     /*  397978 */   // Label 7086: @397978
     /*  397978 */   GIM_Try, /*On fail goto*//*Label 7087*/ GIMT_Encode4(398053), // Rule ID 7284 //
     /*  397983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  397986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  397991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  397994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  397997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  398000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398018 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398029 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  398029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  398032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398051 */     GIR_RootConstrainSelectedInstOperands,
     /*  398052 */     // GIR_Coverage, 7284,
     /*  398052 */     GIR_EraseRootFromParent_Done,
     /*  398053 */   // Label 7087: @398053
     /*  398053 */   GIM_Try, /*On fail goto*//*Label 7088*/ GIMT_Encode4(398128), // Rule ID 7287 //
     /*  398058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  398061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  398069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  398072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  398075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398093 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398104 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  398104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398126 */     GIR_RootConstrainSelectedInstOperands,
     /*  398127 */     // GIR_Coverage, 7287,
     /*  398127 */     GIR_EraseRootFromParent_Done,
     /*  398128 */   // Label 7088: @398128
     /*  398128 */   GIM_Try, /*On fail goto*//*Label 7089*/ GIMT_Encode4(398203), // Rule ID 7288 //
     /*  398133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  398136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  398144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  398147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  398150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398168 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398179 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  398179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  398182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398201 */     GIR_RootConstrainSelectedInstOperands,
     /*  398202 */     // GIR_Coverage, 7288,
     /*  398202 */     GIR_EraseRootFromParent_Done,
     /*  398203 */   // Label 7089: @398203
     /*  398203 */   GIM_Try, /*On fail goto*//*Label 7090*/ GIMT_Encode4(398278), // Rule ID 7291 //
     /*  398208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  398211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  398219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  398222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  398225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398243 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398254 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  398254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  398257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398276 */     GIR_RootConstrainSelectedInstOperands,
     /*  398277 */     // GIR_Coverage, 7291,
     /*  398277 */     GIR_EraseRootFromParent_Done,
     /*  398278 */   // Label 7090: @398278
     /*  398278 */   GIM_Try, /*On fail goto*//*Label 7091*/ GIMT_Encode4(398353), // Rule ID 7292 //
     /*  398283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  398286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  398291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  398294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  398297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  398300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398318 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  398322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398329 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  398329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  398332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398351 */     GIR_RootConstrainSelectedInstOperands,
     /*  398352 */     // GIR_Coverage, 7292,
     /*  398352 */     GIR_EraseRootFromParent_Done,
     /*  398353 */   // Label 7091: @398353
     /*  398353 */   GIM_Try, /*On fail goto*//*Label 7092*/ GIMT_Encode4(398430), // Rule ID 2605 //
     /*  398358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  398361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  398366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  398369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  398372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  398375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398390 */     // MIs[0] Operand 4
     /*  398390 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398408 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  398411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398428 */     GIR_RootConstrainSelectedInstOperands,
     /*  398429 */     // GIR_Coverage, 2605,
     /*  398429 */     GIR_EraseRootFromParent_Done,
     /*  398430 */   // Label 7092: @398430
     /*  398430 */   GIM_Try, /*On fail goto*//*Label 7093*/ GIMT_Encode4(398507), // Rule ID 2606 //
     /*  398435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  398438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  398443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  398446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  398449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  398452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398467 */     // MIs[0] Operand 4
     /*  398467 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398485 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  398485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  398488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398505 */     GIR_RootConstrainSelectedInstOperands,
     /*  398506 */     // GIR_Coverage, 2606,
     /*  398506 */     GIR_EraseRootFromParent_Done,
     /*  398507 */   // Label 7093: @398507
     /*  398507 */   GIM_Try, /*On fail goto*//*Label 7094*/ GIMT_Encode4(398584), // Rule ID 20489 //
     /*  398512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  398515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  398520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  398523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  398526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  398529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398544 */     // MIs[0] Operand 4
     /*  398544 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398562 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  398565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398582 */     GIR_RootConstrainSelectedInstOperands,
     /*  398583 */     // GIR_Coverage, 20489,
     /*  398583 */     GIR_EraseRootFromParent_Done,
     /*  398584 */   // Label 7094: @398584
     /*  398584 */   GIM_Try, /*On fail goto*//*Label 7095*/ GIMT_Encode4(398661), // Rule ID 20490 //
     /*  398589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  398592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  398597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  398600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  398603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  398606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398621 */     // MIs[0] Operand 4
     /*  398621 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398639 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  398639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  398642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398659 */     GIR_RootConstrainSelectedInstOperands,
     /*  398660 */     // GIR_Coverage, 20490,
     /*  398660 */     GIR_EraseRootFromParent_Done,
     /*  398661 */   // Label 7095: @398661
     /*  398661 */   GIM_Try, /*On fail goto*//*Label 7096*/ GIMT_Encode4(398738), // Rule ID 20493 //
     /*  398666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  398669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  398674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  398677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  398680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  398683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398698 */     // MIs[0] Operand 4
     /*  398698 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398716 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  398716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  398719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398736 */     GIR_RootConstrainSelectedInstOperands,
     /*  398737 */     // GIR_Coverage, 20493,
     /*  398737 */     GIR_EraseRootFromParent_Done,
     /*  398738 */   // Label 7096: @398738
     /*  398738 */   GIM_Try, /*On fail goto*//*Label 7097*/ GIMT_Encode4(398815), // Rule ID 20494 //
     /*  398743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  398746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  398751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  398754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  398757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  398760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398775 */     // MIs[0] Operand 4
     /*  398775 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398793 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  398793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  398796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  398810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398813 */     GIR_RootConstrainSelectedInstOperands,
     /*  398814 */     // GIR_Coverage, 20494,
     /*  398814 */     GIR_EraseRootFromParent_Done,
     /*  398815 */   // Label 7097: @398815
     /*  398815 */   GIM_Try, /*On fail goto*//*Label 7098*/ GIMT_Encode4(398892), // Rule ID 20497 //
     /*  398820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  398823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  398828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  398831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  398834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  398837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398852 */     // MIs[0] Operand 4
     /*  398852 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398870 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  398873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398890 */     GIR_RootConstrainSelectedInstOperands,
     /*  398891 */     // GIR_Coverage, 20497,
     /*  398891 */     GIR_EraseRootFromParent_Done,
     /*  398892 */   // Label 7098: @398892
     /*  398892 */   GIM_Try, /*On fail goto*//*Label 7099*/ GIMT_Encode4(398969), // Rule ID 20498 //
     /*  398897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  398900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  398905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  398908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  398911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  398914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398929 */     // MIs[0] Operand 4
     /*  398929 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398947 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  398947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  398950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398967 */     GIR_RootConstrainSelectedInstOperands,
     /*  398968 */     // GIR_Coverage, 20498,
     /*  398968 */     GIR_EraseRootFromParent_Done,
     /*  398969 */   // Label 7099: @398969
     /*  398969 */   GIM_Try, /*On fail goto*//*Label 7100*/ GIMT_Encode4(399046), // Rule ID 20501 //
     /*  398974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  398977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  398982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  398985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  398988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  398991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399006 */     // MIs[0] Operand 4
     /*  399006 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399024 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  399024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  399027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399044 */     GIR_RootConstrainSelectedInstOperands,
     /*  399045 */     // GIR_Coverage, 20501,
     /*  399045 */     GIR_EraseRootFromParent_Done,
     /*  399046 */   // Label 7100: @399046
     /*  399046 */   GIM_Try, /*On fail goto*//*Label 7101*/ GIMT_Encode4(399123), // Rule ID 20502 //
     /*  399051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  399054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  399062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  399065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  399068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399083 */     // MIs[0] Operand 4
     /*  399083 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399101 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  399101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  399104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399121 */     GIR_RootConstrainSelectedInstOperands,
     /*  399122 */     // GIR_Coverage, 20502,
     /*  399122 */     GIR_EraseRootFromParent_Done,
     /*  399123 */   // Label 7101: @399123
     /*  399123 */   GIM_Try, /*On fail goto*//*Label 7102*/ GIMT_Encode4(399200), // Rule ID 20505 //
     /*  399128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  399131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  399139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  399142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  399145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399160 */     // MIs[0] Operand 4
     /*  399160 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399178 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  399178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  399181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399198 */     GIR_RootConstrainSelectedInstOperands,
     /*  399199 */     // GIR_Coverage, 20505,
     /*  399199 */     GIR_EraseRootFromParent_Done,
     /*  399200 */   // Label 7102: @399200
     /*  399200 */   GIM_Try, /*On fail goto*//*Label 7103*/ GIMT_Encode4(399277), // Rule ID 20506 //
     /*  399205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  399208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  399216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  399219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  399222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399237 */     // MIs[0] Operand 4
     /*  399237 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399255 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  399255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  399258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399275 */     GIR_RootConstrainSelectedInstOperands,
     /*  399276 */     // GIR_Coverage, 20506,
     /*  399276 */     GIR_EraseRootFromParent_Done,
     /*  399277 */   // Label 7103: @399277
     /*  399277 */   GIM_Try, /*On fail goto*//*Label 7104*/ GIMT_Encode4(399354), // Rule ID 20509 //
     /*  399282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  399285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  399293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  399296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  399299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399314 */     // MIs[0] Operand 4
     /*  399314 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399332 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  399332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  399335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399352 */     GIR_RootConstrainSelectedInstOperands,
     /*  399353 */     // GIR_Coverage, 20509,
     /*  399353 */     GIR_EraseRootFromParent_Done,
     /*  399354 */   // Label 7104: @399354
     /*  399354 */   GIM_Try, /*On fail goto*//*Label 7105*/ GIMT_Encode4(399431), // Rule ID 20510 //
     /*  399359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  399362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  399370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  399373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  399376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399391 */     // MIs[0] Operand 4
     /*  399391 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399409 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  399409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  399412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399429 */     GIR_RootConstrainSelectedInstOperands,
     /*  399430 */     // GIR_Coverage, 20510,
     /*  399430 */     GIR_EraseRootFromParent_Done,
     /*  399431 */   // Label 7105: @399431
     /*  399431 */   GIM_Try, /*On fail goto*//*Label 7106*/ GIMT_Encode4(399508), // Rule ID 20513 //
     /*  399436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  399439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  399447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  399450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  399453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399468 */     // MIs[0] Operand 4
     /*  399468 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399486 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  399486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  399489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399506 */     GIR_RootConstrainSelectedInstOperands,
     /*  399507 */     // GIR_Coverage, 20513,
     /*  399507 */     GIR_EraseRootFromParent_Done,
     /*  399508 */   // Label 7106: @399508
     /*  399508 */   GIM_Try, /*On fail goto*//*Label 7107*/ GIMT_Encode4(399585), // Rule ID 20514 //
     /*  399513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  399516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  399524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  399527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  399530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399545 */     // MIs[0] Operand 4
     /*  399545 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399563 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  399563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  399566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399583 */     GIR_RootConstrainSelectedInstOperands,
     /*  399584 */     // GIR_Coverage, 20514,
     /*  399584 */     GIR_EraseRootFromParent_Done,
     /*  399585 */   // Label 7107: @399585
     /*  399585 */   GIM_Try, /*On fail goto*//*Label 7108*/ GIMT_Encode4(399662), // Rule ID 20517 //
     /*  399590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  399593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  399601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  399604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  399607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399622 */     // MIs[0] Operand 4
     /*  399622 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399640 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  399640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  399643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399660 */     GIR_RootConstrainSelectedInstOperands,
     /*  399661 */     // GIR_Coverage, 20517,
     /*  399661 */     GIR_EraseRootFromParent_Done,
     /*  399662 */   // Label 7108: @399662
     /*  399662 */   GIM_Try, /*On fail goto*//*Label 7109*/ GIMT_Encode4(399739), // Rule ID 20518 //
     /*  399667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  399670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  399678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  399681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  399684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399699 */     // MIs[0] Operand 4
     /*  399699 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399717 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  399717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  399720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399737 */     GIR_RootConstrainSelectedInstOperands,
     /*  399738 */     // GIR_Coverage, 20518,
     /*  399738 */     GIR_EraseRootFromParent_Done,
     /*  399739 */   // Label 7109: @399739
     /*  399739 */   GIM_Try, /*On fail goto*//*Label 7110*/ GIMT_Encode4(399816), // Rule ID 20521 //
     /*  399744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  399747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  399755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  399758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  399761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399776 */     // MIs[0] Operand 4
     /*  399776 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  399794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  399797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399814 */     GIR_RootConstrainSelectedInstOperands,
     /*  399815 */     // GIR_Coverage, 20521,
     /*  399815 */     GIR_EraseRootFromParent_Done,
     /*  399816 */   // Label 7110: @399816
     /*  399816 */   GIM_Try, /*On fail goto*//*Label 7111*/ GIMT_Encode4(399893), // Rule ID 20522 //
     /*  399821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  399824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  399832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  399835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  399838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399853 */     // MIs[0] Operand 4
     /*  399853 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399871 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  399871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  399874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399891 */     GIR_RootConstrainSelectedInstOperands,
     /*  399892 */     // GIR_Coverage, 20522,
     /*  399892 */     GIR_EraseRootFromParent_Done,
     /*  399893 */   // Label 7111: @399893
     /*  399893 */   GIM_Try, /*On fail goto*//*Label 7112*/ GIMT_Encode4(399970), // Rule ID 20525 //
     /*  399898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  399901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  399909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  399912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  399915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399930 */     // MIs[0] Operand 4
     /*  399930 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399948 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  399948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  399951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399968 */     GIR_RootConstrainSelectedInstOperands,
     /*  399969 */     // GIR_Coverage, 20525,
     /*  399969 */     GIR_EraseRootFromParent_Done,
     /*  399970 */   // Label 7112: @399970
     /*  399970 */   GIM_Try, /*On fail goto*//*Label 7113*/ GIMT_Encode4(400047), // Rule ID 20526 //
     /*  399975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  399978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  399983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  399986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  399989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  399992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400007 */     // MIs[0] Operand 4
     /*  400007 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400025 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  400025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  400028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400045 */     GIR_RootConstrainSelectedInstOperands,
     /*  400046 */     // GIR_Coverage, 20526,
     /*  400046 */     GIR_EraseRootFromParent_Done,
     /*  400047 */   // Label 7113: @400047
     /*  400047 */   GIM_Try, /*On fail goto*//*Label 7114*/ GIMT_Encode4(400124), // Rule ID 20529 //
     /*  400052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  400055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  400063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  400066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  400069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400084 */     // MIs[0] Operand 4
     /*  400084 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400102 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  400102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  400105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400122 */     GIR_RootConstrainSelectedInstOperands,
     /*  400123 */     // GIR_Coverage, 20529,
     /*  400123 */     GIR_EraseRootFromParent_Done,
     /*  400124 */   // Label 7114: @400124
     /*  400124 */   GIM_Try, /*On fail goto*//*Label 7115*/ GIMT_Encode4(400201), // Rule ID 20530 //
     /*  400129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  400132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  400140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  400143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  400146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400161 */     // MIs[0] Operand 4
     /*  400161 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400179 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  400179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  400182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400199 */     GIR_RootConstrainSelectedInstOperands,
     /*  400200 */     // GIR_Coverage, 20530,
     /*  400200 */     GIR_EraseRootFromParent_Done,
     /*  400201 */   // Label 7115: @400201
     /*  400201 */   GIM_Try, /*On fail goto*//*Label 7116*/ GIMT_Encode4(400278), // Rule ID 20533 //
     /*  400206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  400209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  400217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  400220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  400223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400238 */     // MIs[0] Operand 4
     /*  400238 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400256 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  400256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  400259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400276 */     GIR_RootConstrainSelectedInstOperands,
     /*  400277 */     // GIR_Coverage, 20533,
     /*  400277 */     GIR_EraseRootFromParent_Done,
     /*  400278 */   // Label 7116: @400278
     /*  400278 */   GIM_Try, /*On fail goto*//*Label 7117*/ GIMT_Encode4(400355), // Rule ID 20534 //
     /*  400283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  400286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  400294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  400297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  400300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400315 */     // MIs[0] Operand 4
     /*  400315 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400333 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  400333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  400336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400353 */     GIR_RootConstrainSelectedInstOperands,
     /*  400354 */     // GIR_Coverage, 20534,
     /*  400354 */     GIR_EraseRootFromParent_Done,
     /*  400355 */   // Label 7117: @400355
     /*  400355 */   GIM_Try, /*On fail goto*//*Label 7118*/ GIMT_Encode4(400432), // Rule ID 20537 //
     /*  400360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  400363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  400371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  400374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  400377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400392 */     // MIs[0] Operand 4
     /*  400392 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400410 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  400410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  400413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400430 */     GIR_RootConstrainSelectedInstOperands,
     /*  400431 */     // GIR_Coverage, 20537,
     /*  400431 */     GIR_EraseRootFromParent_Done,
     /*  400432 */   // Label 7118: @400432
     /*  400432 */   GIM_Try, /*On fail goto*//*Label 7119*/ GIMT_Encode4(400509), // Rule ID 20538 //
     /*  400437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  400440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  400448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  400451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  400454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400469 */     // MIs[0] Operand 4
     /*  400469 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400487 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  400487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  400490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400507 */     GIR_RootConstrainSelectedInstOperands,
     /*  400508 */     // GIR_Coverage, 20538,
     /*  400508 */     GIR_EraseRootFromParent_Done,
     /*  400509 */   // Label 7119: @400509
     /*  400509 */   GIM_Try, /*On fail goto*//*Label 7120*/ GIMT_Encode4(400586), // Rule ID 20541 //
     /*  400514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  400517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  400525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  400528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  400531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400546 */     // MIs[0] Operand 4
     /*  400546 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400564 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  400564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  400567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400584 */     GIR_RootConstrainSelectedInstOperands,
     /*  400585 */     // GIR_Coverage, 20541,
     /*  400585 */     GIR_EraseRootFromParent_Done,
     /*  400586 */   // Label 7120: @400586
     /*  400586 */   GIM_Try, /*On fail goto*//*Label 7121*/ GIMT_Encode4(400663), // Rule ID 20542 //
     /*  400591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  400594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  400599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  400602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  400605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  400608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400623 */     // MIs[0] Operand 4
     /*  400623 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400641 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  400641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  400644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  400658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400661 */     GIR_RootConstrainSelectedInstOperands,
     /*  400662 */     // GIR_Coverage, 20542,
     /*  400662 */     GIR_EraseRootFromParent_Done,
     /*  400663 */   // Label 7121: @400663
     /*  400663 */   GIM_Try, /*On fail goto*//*Label 7122*/ GIMT_Encode4(400740), // Rule ID 20545 //
     /*  400668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  400676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  400679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  400682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  400685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400700 */     // MIs[0] Operand 4
     /*  400700 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400718 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  400721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400738 */     GIR_RootConstrainSelectedInstOperands,
     /*  400739 */     // GIR_Coverage, 20545,
     /*  400739 */     GIR_EraseRootFromParent_Done,
     /*  400740 */   // Label 7122: @400740
     /*  400740 */   GIM_Try, /*On fail goto*//*Label 7123*/ GIMT_Encode4(400817), // Rule ID 20546 //
     /*  400745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  400753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  400756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  400759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  400762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400777 */     // MIs[0] Operand 4
     /*  400777 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400795 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  400798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400815 */     GIR_RootConstrainSelectedInstOperands,
     /*  400816 */     // GIR_Coverage, 20546,
     /*  400816 */     GIR_EraseRootFromParent_Done,
     /*  400817 */   // Label 7123: @400817
     /*  400817 */   GIM_Try, /*On fail goto*//*Label 7124*/ GIMT_Encode4(400894), // Rule ID 20549 //
     /*  400822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  400830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  400833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  400836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  400839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400854 */     // MIs[0] Operand 4
     /*  400854 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400872 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  400875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400892 */     GIR_RootConstrainSelectedInstOperands,
     /*  400893 */     // GIR_Coverage, 20549,
     /*  400893 */     GIR_EraseRootFromParent_Done,
     /*  400894 */   // Label 7124: @400894
     /*  400894 */   GIM_Try, /*On fail goto*//*Label 7125*/ GIMT_Encode4(400971), // Rule ID 20550 //
     /*  400899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  400907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  400910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  400913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  400916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400931 */     // MIs[0] Operand 4
     /*  400931 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400949 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  400952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400969 */     GIR_RootConstrainSelectedInstOperands,
     /*  400970 */     // GIR_Coverage, 20550,
     /*  400970 */     GIR_EraseRootFromParent_Done,
     /*  400971 */   // Label 7125: @400971
     /*  400971 */   GIM_Try, /*On fail goto*//*Label 7126*/ GIMT_Encode4(401048), // Rule ID 20553 //
     /*  400976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  400979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  400984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  400987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  400990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  400993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401008 */     // MIs[0] Operand 4
     /*  401008 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401026 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  401026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  401029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401046 */     GIR_RootConstrainSelectedInstOperands,
     /*  401047 */     // GIR_Coverage, 20553,
     /*  401047 */     GIR_EraseRootFromParent_Done,
     /*  401048 */   // Label 7126: @401048
     /*  401048 */   GIM_Try, /*On fail goto*//*Label 7127*/ GIMT_Encode4(401125), // Rule ID 20554 //
     /*  401053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  401056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  401061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  401064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  401067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  401070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401085 */     // MIs[0] Operand 4
     /*  401085 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401103 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  401103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  401106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401123 */     GIR_RootConstrainSelectedInstOperands,
     /*  401124 */     // GIR_Coverage, 20554,
     /*  401124 */     GIR_EraseRootFromParent_Done,
     /*  401125 */   // Label 7127: @401125
     /*  401125 */   GIM_Try, /*On fail goto*//*Label 7128*/ GIMT_Encode4(401202), // Rule ID 20557 //
     /*  401130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  401138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  401141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  401144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  401147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401162 */     // MIs[0] Operand 4
     /*  401162 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401180 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  401180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  401183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401200 */     GIR_RootConstrainSelectedInstOperands,
     /*  401201 */     // GIR_Coverage, 20557,
     /*  401201 */     GIR_EraseRootFromParent_Done,
     /*  401202 */   // Label 7128: @401202
     /*  401202 */   GIM_Try, /*On fail goto*//*Label 7129*/ GIMT_Encode4(401279), // Rule ID 20558 //
     /*  401207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  401215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  401218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  401221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  401224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401239 */     // MIs[0] Operand 4
     /*  401239 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401257 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  401257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  401260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401277 */     GIR_RootConstrainSelectedInstOperands,
     /*  401278 */     // GIR_Coverage, 20558,
     /*  401278 */     GIR_EraseRootFromParent_Done,
     /*  401279 */   // Label 7129: @401279
     /*  401279 */   GIM_Try, /*On fail goto*//*Label 7130*/ GIMT_Encode4(401356), // Rule ID 20561 //
     /*  401284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  401287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  401292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  401295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  401298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  401301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401316 */     // MIs[0] Operand 4
     /*  401316 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401334 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  401334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  401337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401354 */     GIR_RootConstrainSelectedInstOperands,
     /*  401355 */     // GIR_Coverage, 20561,
     /*  401355 */     GIR_EraseRootFromParent_Done,
     /*  401356 */   // Label 7130: @401356
     /*  401356 */   GIM_Try, /*On fail goto*//*Label 7131*/ GIMT_Encode4(401433), // Rule ID 20562 //
     /*  401361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  401364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  401369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  401372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  401375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  401378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401393 */     // MIs[0] Operand 4
     /*  401393 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401411 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  401411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  401414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401431 */     GIR_RootConstrainSelectedInstOperands,
     /*  401432 */     // GIR_Coverage, 20562,
     /*  401432 */     GIR_EraseRootFromParent_Done,
     /*  401433 */   // Label 7131: @401433
     /*  401433 */   GIM_Try, /*On fail goto*//*Label 7132*/ GIMT_Encode4(401510), // Rule ID 20565 //
     /*  401438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  401441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  401446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  401449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  401452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  401455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401470 */     // MIs[0] Operand 4
     /*  401470 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401488 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  401488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  401491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401508 */     GIR_RootConstrainSelectedInstOperands,
     /*  401509 */     // GIR_Coverage, 20565,
     /*  401509 */     GIR_EraseRootFromParent_Done,
     /*  401510 */   // Label 7132: @401510
     /*  401510 */   GIM_Try, /*On fail goto*//*Label 7133*/ GIMT_Encode4(401587), // Rule ID 20566 //
     /*  401515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  401518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  401523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  401526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  401529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  401532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401547 */     // MIs[0] Operand 4
     /*  401547 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401565 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  401565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  401568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401585 */     GIR_RootConstrainSelectedInstOperands,
     /*  401586 */     // GIR_Coverage, 20566,
     /*  401586 */     GIR_EraseRootFromParent_Done,
     /*  401587 */   // Label 7133: @401587
     /*  401587 */   GIM_Try, /*On fail goto*//*Label 7134*/ GIMT_Encode4(401664), // Rule ID 20569 //
     /*  401592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  401600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  401603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  401606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  401609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401624 */     // MIs[0] Operand 4
     /*  401624 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401642 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  401642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  401645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401662 */     GIR_RootConstrainSelectedInstOperands,
     /*  401663 */     // GIR_Coverage, 20569,
     /*  401663 */     GIR_EraseRootFromParent_Done,
     /*  401664 */   // Label 7134: @401664
     /*  401664 */   GIM_Try, /*On fail goto*//*Label 7135*/ GIMT_Encode4(401741), // Rule ID 20570 //
     /*  401669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  401677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  401680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  401683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  401686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401701 */     // MIs[0] Operand 4
     /*  401701 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401719 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  401719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  401722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401739 */     GIR_RootConstrainSelectedInstOperands,
     /*  401740 */     // GIR_Coverage, 20570,
     /*  401740 */     GIR_EraseRootFromParent_Done,
     /*  401741 */   // Label 7135: @401741
     /*  401741 */   GIM_Try, /*On fail goto*//*Label 7136*/ GIMT_Encode4(401818), // Rule ID 20573 //
     /*  401746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  401754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  401757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  401760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  401763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401778 */     // MIs[0] Operand 4
     /*  401778 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  401796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  401799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401816 */     GIR_RootConstrainSelectedInstOperands,
     /*  401817 */     // GIR_Coverage, 20573,
     /*  401817 */     GIR_EraseRootFromParent_Done,
     /*  401818 */   // Label 7136: @401818
     /*  401818 */   GIM_Try, /*On fail goto*//*Label 7137*/ GIMT_Encode4(401895), // Rule ID 20574 //
     /*  401823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  401831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  401834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  401837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  401840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401855 */     // MIs[0] Operand 4
     /*  401855 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401873 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  401873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  401876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401893 */     GIR_RootConstrainSelectedInstOperands,
     /*  401894 */     // GIR_Coverage, 20574,
     /*  401894 */     GIR_EraseRootFromParent_Done,
     /*  401895 */   // Label 7137: @401895
     /*  401895 */   GIM_Try, /*On fail goto*//*Label 7138*/ GIMT_Encode4(401972), // Rule ID 20577 //
     /*  401900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  401908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  401911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  401914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  401917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401932 */     // MIs[0] Operand 4
     /*  401932 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401950 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  401950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  401953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401970 */     GIR_RootConstrainSelectedInstOperands,
     /*  401971 */     // GIR_Coverage, 20577,
     /*  401971 */     GIR_EraseRootFromParent_Done,
     /*  401972 */   // Label 7138: @401972
     /*  401972 */   GIM_Try, /*On fail goto*//*Label 7139*/ GIMT_Encode4(402049), // Rule ID 20578 //
     /*  401977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  401985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  401988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  401991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  401994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402009 */     // MIs[0] Operand 4
     /*  402009 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402027 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  402030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402047 */     GIR_RootConstrainSelectedInstOperands,
     /*  402048 */     // GIR_Coverage, 20578,
     /*  402048 */     GIR_EraseRootFromParent_Done,
     /*  402049 */   // Label 7139: @402049
     /*  402049 */   GIM_Try, /*On fail goto*//*Label 7140*/ GIMT_Encode4(402126), // Rule ID 20581 //
     /*  402054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  402057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  402065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  402068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  402071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402086 */     // MIs[0] Operand 4
     /*  402086 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402104 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  402107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402124 */     GIR_RootConstrainSelectedInstOperands,
     /*  402125 */     // GIR_Coverage, 20581,
     /*  402125 */     GIR_EraseRootFromParent_Done,
     /*  402126 */   // Label 7140: @402126
     /*  402126 */   GIM_Try, /*On fail goto*//*Label 7141*/ GIMT_Encode4(402203), // Rule ID 20582 //
     /*  402131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  402134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  402142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  402145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  402148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402163 */     // MIs[0] Operand 4
     /*  402163 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402181 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  402181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  402184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402201 */     GIR_RootConstrainSelectedInstOperands,
     /*  402202 */     // GIR_Coverage, 20582,
     /*  402202 */     GIR_EraseRootFromParent_Done,
     /*  402203 */   // Label 7141: @402203
     /*  402203 */   GIM_Try, /*On fail goto*//*Label 7142*/ GIMT_Encode4(402280), // Rule ID 20585 //
     /*  402208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  402211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  402219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  402222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  402225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402240 */     // MIs[0] Operand 4
     /*  402240 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402258 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  402261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402278 */     GIR_RootConstrainSelectedInstOperands,
     /*  402279 */     // GIR_Coverage, 20585,
     /*  402279 */     GIR_EraseRootFromParent_Done,
     /*  402280 */   // Label 7142: @402280
     /*  402280 */   GIM_Try, /*On fail goto*//*Label 7143*/ GIMT_Encode4(402357), // Rule ID 20586 //
     /*  402285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  402288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  402296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  402299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  402302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402317 */     // MIs[0] Operand 4
     /*  402317 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402335 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  402335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  402338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402355 */     GIR_RootConstrainSelectedInstOperands,
     /*  402356 */     // GIR_Coverage, 20586,
     /*  402356 */     GIR_EraseRootFromParent_Done,
     /*  402357 */   // Label 7143: @402357
     /*  402357 */   GIM_Try, /*On fail goto*//*Label 7144*/ GIMT_Encode4(402434), // Rule ID 20589 //
     /*  402362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  402365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  402373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  402376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  402379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402394 */     // MIs[0] Operand 4
     /*  402394 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402412 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  402415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402432 */     GIR_RootConstrainSelectedInstOperands,
     /*  402433 */     // GIR_Coverage, 20589,
     /*  402433 */     GIR_EraseRootFromParent_Done,
     /*  402434 */   // Label 7144: @402434
     /*  402434 */   GIM_Try, /*On fail goto*//*Label 7145*/ GIMT_Encode4(402511), // Rule ID 20590 //
     /*  402439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  402442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  402450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  402453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  402456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402471 */     // MIs[0] Operand 4
     /*  402471 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402489 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  402489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  402492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402509 */     GIR_RootConstrainSelectedInstOperands,
     /*  402510 */     // GIR_Coverage, 20590,
     /*  402510 */     GIR_EraseRootFromParent_Done,
     /*  402511 */   // Label 7145: @402511
     /*  402511 */   GIM_Try, /*On fail goto*//*Label 7146*/ GIMT_Encode4(402588), // Rule ID 20593 //
     /*  402516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  402519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  402527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  402530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  402533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402548 */     // MIs[0] Operand 4
     /*  402548 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402566 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  402566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  402569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402586 */     GIR_RootConstrainSelectedInstOperands,
     /*  402587 */     // GIR_Coverage, 20593,
     /*  402587 */     GIR_EraseRootFromParent_Done,
     /*  402588 */   // Label 7146: @402588
     /*  402588 */   GIM_Try, /*On fail goto*//*Label 7147*/ GIMT_Encode4(402665), // Rule ID 20594 //
     /*  402593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  402596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  402604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  402607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  402610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402625 */     // MIs[0] Operand 4
     /*  402625 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402643 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  402643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  402646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402663 */     GIR_RootConstrainSelectedInstOperands,
     /*  402664 */     // GIR_Coverage, 20594,
     /*  402664 */     GIR_EraseRootFromParent_Done,
     /*  402665 */   // Label 7147: @402665
     /*  402665 */   GIM_Try, /*On fail goto*//*Label 7148*/ GIMT_Encode4(402742), // Rule ID 20597 //
     /*  402670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  402673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  402681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  402684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  402687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402702 */     // MIs[0] Operand 4
     /*  402702 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402720 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  402720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  402723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402740 */     GIR_RootConstrainSelectedInstOperands,
     /*  402741 */     // GIR_Coverage, 20597,
     /*  402741 */     GIR_EraseRootFromParent_Done,
     /*  402742 */   // Label 7148: @402742
     /*  402742 */   GIM_Try, /*On fail goto*//*Label 7149*/ GIMT_Encode4(402819), // Rule ID 20598 //
     /*  402747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  402750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  402758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  402761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  402764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402779 */     // MIs[0] Operand 4
     /*  402779 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402797 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  402797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  402800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402817 */     GIR_RootConstrainSelectedInstOperands,
     /*  402818 */     // GIR_Coverage, 20598,
     /*  402818 */     GIR_EraseRootFromParent_Done,
     /*  402819 */   // Label 7149: @402819
     /*  402819 */   GIM_Try, /*On fail goto*//*Label 7150*/ GIMT_Encode4(402896), // Rule ID 20601 //
     /*  402824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  402827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  402835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  402838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  402841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402856 */     // MIs[0] Operand 4
     /*  402856 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  402874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  402877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402894 */     GIR_RootConstrainSelectedInstOperands,
     /*  402895 */     // GIR_Coverage, 20601,
     /*  402895 */     GIR_EraseRootFromParent_Done,
     /*  402896 */   // Label 7150: @402896
     /*  402896 */   GIM_Try, /*On fail goto*//*Label 7151*/ GIMT_Encode4(402973), // Rule ID 20602 //
     /*  402901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  402904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  402909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  402912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  402915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  402918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402933 */     // MIs[0] Operand 4
     /*  402933 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402951 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  402951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  402954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402971 */     GIR_RootConstrainSelectedInstOperands,
     /*  402972 */     // GIR_Coverage, 20602,
     /*  402972 */     GIR_EraseRootFromParent_Done,
     /*  402973 */   // Label 7151: @402973
     /*  402973 */   GIM_Try, /*On fail goto*//*Label 7152*/ GIMT_Encode4(403050), // Rule ID 20961 //
     /*  402978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  402981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  402986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  402989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  402992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  402995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403010 */     // MIs[0] Operand 4
     /*  403010 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403028 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  403031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403048 */     GIR_RootConstrainSelectedInstOperands,
     /*  403049 */     // GIR_Coverage, 20961,
     /*  403049 */     GIR_EraseRootFromParent_Done,
     /*  403050 */   // Label 7152: @403050
     /*  403050 */   GIM_Try, /*On fail goto*//*Label 7153*/ GIMT_Encode4(403127), // Rule ID 20962 //
     /*  403055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  403063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  403066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  403069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  403072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403087 */     // MIs[0] Operand 4
     /*  403087 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403105 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  403108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403125 */     GIR_RootConstrainSelectedInstOperands,
     /*  403126 */     // GIR_Coverage, 20962,
     /*  403126 */     GIR_EraseRootFromParent_Done,
     /*  403127 */   // Label 7153: @403127
     /*  403127 */   GIM_Try, /*On fail goto*//*Label 7154*/ GIMT_Encode4(403204), // Rule ID 20965 //
     /*  403132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  403140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  403143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  403146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  403149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403164 */     // MIs[0] Operand 4
     /*  403164 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403182 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  403185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403202 */     GIR_RootConstrainSelectedInstOperands,
     /*  403203 */     // GIR_Coverage, 20965,
     /*  403203 */     GIR_EraseRootFromParent_Done,
     /*  403204 */   // Label 7154: @403204
     /*  403204 */   GIM_Try, /*On fail goto*//*Label 7155*/ GIMT_Encode4(403281), // Rule ID 20966 //
     /*  403209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  403217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  403220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  403223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  403226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403241 */     // MIs[0] Operand 4
     /*  403241 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403259 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  403262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403279 */     GIR_RootConstrainSelectedInstOperands,
     /*  403280 */     // GIR_Coverage, 20966,
     /*  403280 */     GIR_EraseRootFromParent_Done,
     /*  403281 */   // Label 7155: @403281
     /*  403281 */   GIM_Try, /*On fail goto*//*Label 7156*/ GIMT_Encode4(403358), // Rule ID 20969 //
     /*  403286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  403294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  403297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  403300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  403303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403318 */     // MIs[0] Operand 4
     /*  403318 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403336 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  403339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403356 */     GIR_RootConstrainSelectedInstOperands,
     /*  403357 */     // GIR_Coverage, 20969,
     /*  403357 */     GIR_EraseRootFromParent_Done,
     /*  403358 */   // Label 7156: @403358
     /*  403358 */   GIM_Try, /*On fail goto*//*Label 7157*/ GIMT_Encode4(403435), // Rule ID 20970 //
     /*  403363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  403371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  403374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  403377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  403380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403395 */     // MIs[0] Operand 4
     /*  403395 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403413 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  403416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403433 */     GIR_RootConstrainSelectedInstOperands,
     /*  403434 */     // GIR_Coverage, 20970,
     /*  403434 */     GIR_EraseRootFromParent_Done,
     /*  403435 */   // Label 7157: @403435
     /*  403435 */   GIM_Try, /*On fail goto*//*Label 7158*/ GIMT_Encode4(403512), // Rule ID 20973 //
     /*  403440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  403448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  403451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  403454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  403457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403472 */     // MIs[0] Operand 4
     /*  403472 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403490 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  403493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403510 */     GIR_RootConstrainSelectedInstOperands,
     /*  403511 */     // GIR_Coverage, 20973,
     /*  403511 */     GIR_EraseRootFromParent_Done,
     /*  403512 */   // Label 7158: @403512
     /*  403512 */   GIM_Try, /*On fail goto*//*Label 7159*/ GIMT_Encode4(403589), // Rule ID 20974 //
     /*  403517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  403525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  403528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  403531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  403534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403549 */     // MIs[0] Operand 4
     /*  403549 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403567 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  403570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403587 */     GIR_RootConstrainSelectedInstOperands,
     /*  403588 */     // GIR_Coverage, 20974,
     /*  403588 */     GIR_EraseRootFromParent_Done,
     /*  403589 */   // Label 7159: @403589
     /*  403589 */   GIM_Try, /*On fail goto*//*Label 7160*/ GIMT_Encode4(403666), // Rule ID 20977 //
     /*  403594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  403602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  403605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  403608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  403611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403626 */     // MIs[0] Operand 4
     /*  403626 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403644 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  403647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403664 */     GIR_RootConstrainSelectedInstOperands,
     /*  403665 */     // GIR_Coverage, 20977,
     /*  403665 */     GIR_EraseRootFromParent_Done,
     /*  403666 */   // Label 7160: @403666
     /*  403666 */   GIM_Try, /*On fail goto*//*Label 7161*/ GIMT_Encode4(403743), // Rule ID 20978 //
     /*  403671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  403679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  403682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  403685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  403688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403703 */     // MIs[0] Operand 4
     /*  403703 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403721 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  403724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403741 */     GIR_RootConstrainSelectedInstOperands,
     /*  403742 */     // GIR_Coverage, 20978,
     /*  403742 */     GIR_EraseRootFromParent_Done,
     /*  403743 */   // Label 7161: @403743
     /*  403743 */   GIM_Try, /*On fail goto*//*Label 7162*/ GIMT_Encode4(403820), // Rule ID 20981 //
     /*  403748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  403751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  403756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  403759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  403762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  403765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403780 */     // MIs[0] Operand 4
     /*  403780 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403798 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  403801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403818 */     GIR_RootConstrainSelectedInstOperands,
     /*  403819 */     // GIR_Coverage, 20981,
     /*  403819 */     GIR_EraseRootFromParent_Done,
     /*  403820 */   // Label 7162: @403820
     /*  403820 */   GIM_Try, /*On fail goto*//*Label 7163*/ GIMT_Encode4(403897), // Rule ID 20982 //
     /*  403825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  403828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  403833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  403836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  403839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  403842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403857 */     // MIs[0] Operand 4
     /*  403857 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403875 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  403878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403895 */     GIR_RootConstrainSelectedInstOperands,
     /*  403896 */     // GIR_Coverage, 20982,
     /*  403896 */     GIR_EraseRootFromParent_Done,
     /*  403897 */   // Label 7163: @403897
     /*  403897 */   GIM_Try, /*On fail goto*//*Label 7164*/ GIMT_Encode4(403974), // Rule ID 20985 //
     /*  403902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  403905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  403910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  403913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  403916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  403919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403934 */     // MIs[0] Operand 4
     /*  403934 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403952 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  403955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403972 */     GIR_RootConstrainSelectedInstOperands,
     /*  403973 */     // GIR_Coverage, 20985,
     /*  403973 */     GIR_EraseRootFromParent_Done,
     /*  403974 */   // Label 7164: @403974
     /*  403974 */   GIM_Try, /*On fail goto*//*Label 7165*/ GIMT_Encode4(404051), // Rule ID 20986 //
     /*  403979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  403982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  403987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  403990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  403993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  403996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404011 */     // MIs[0] Operand 4
     /*  404011 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404029 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  404029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  404032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404049 */     GIR_RootConstrainSelectedInstOperands,
     /*  404050 */     // GIR_Coverage, 20986,
     /*  404050 */     GIR_EraseRootFromParent_Done,
     /*  404051 */   // Label 7165: @404051
     /*  404051 */   GIM_Try, /*On fail goto*//*Label 7166*/ GIMT_Encode4(404128), // Rule ID 20989 //
     /*  404056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  404059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  404067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  404070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  404073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404088 */     // MIs[0] Operand 4
     /*  404088 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404106 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  404106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  404109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404126 */     GIR_RootConstrainSelectedInstOperands,
     /*  404127 */     // GIR_Coverage, 20989,
     /*  404127 */     GIR_EraseRootFromParent_Done,
     /*  404128 */   // Label 7166: @404128
     /*  404128 */   GIM_Try, /*On fail goto*//*Label 7167*/ GIMT_Encode4(404205), // Rule ID 20990 //
     /*  404133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  404136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  404144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  404147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  404150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404165 */     // MIs[0] Operand 4
     /*  404165 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404183 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  404183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  404186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404203 */     GIR_RootConstrainSelectedInstOperands,
     /*  404204 */     // GIR_Coverage, 20990,
     /*  404204 */     GIR_EraseRootFromParent_Done,
     /*  404205 */   // Label 7167: @404205
     /*  404205 */   GIM_Try, /*On fail goto*//*Label 7168*/ GIMT_Encode4(404282), // Rule ID 20993 //
     /*  404210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  404213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  404221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  404224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  404227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404242 */     // MIs[0] Operand 4
     /*  404242 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404260 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  404260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  404263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404280 */     GIR_RootConstrainSelectedInstOperands,
     /*  404281 */     // GIR_Coverage, 20993,
     /*  404281 */     GIR_EraseRootFromParent_Done,
     /*  404282 */   // Label 7168: @404282
     /*  404282 */   GIM_Try, /*On fail goto*//*Label 7169*/ GIMT_Encode4(404359), // Rule ID 20994 //
     /*  404287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  404290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  404295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  404298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  404301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  404304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404319 */     // MIs[0] Operand 4
     /*  404319 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404337 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  404337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  404340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404357 */     GIR_RootConstrainSelectedInstOperands,
     /*  404358 */     // GIR_Coverage, 20994,
     /*  404358 */     GIR_EraseRootFromParent_Done,
     /*  404359 */   // Label 7169: @404359
     /*  404359 */   GIM_Try, /*On fail goto*//*Label 7170*/ GIMT_Encode4(404436), // Rule ID 20997 //
     /*  404364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  404372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  404375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  404378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  404381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404396 */     // MIs[0] Operand 4
     /*  404396 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404414 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  404417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404434 */     GIR_RootConstrainSelectedInstOperands,
     /*  404435 */     // GIR_Coverage, 20997,
     /*  404435 */     GIR_EraseRootFromParent_Done,
     /*  404436 */   // Label 7170: @404436
     /*  404436 */   GIM_Try, /*On fail goto*//*Label 7171*/ GIMT_Encode4(404513), // Rule ID 20998 //
     /*  404441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  404449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  404452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  404455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  404458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404473 */     // MIs[0] Operand 4
     /*  404473 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404491 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  404494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404511 */     GIR_RootConstrainSelectedInstOperands,
     /*  404512 */     // GIR_Coverage, 20998,
     /*  404512 */     GIR_EraseRootFromParent_Done,
     /*  404513 */   // Label 7171: @404513
     /*  404513 */   GIM_Try, /*On fail goto*//*Label 7172*/ GIMT_Encode4(404590), // Rule ID 21001 //
     /*  404518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  404526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  404529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  404532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  404535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404550 */     // MIs[0] Operand 4
     /*  404550 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404568 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  404571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404588 */     GIR_RootConstrainSelectedInstOperands,
     /*  404589 */     // GIR_Coverage, 21001,
     /*  404589 */     GIR_EraseRootFromParent_Done,
     /*  404590 */   // Label 7172: @404590
     /*  404590 */   GIM_Try, /*On fail goto*//*Label 7173*/ GIMT_Encode4(404667), // Rule ID 21002 //
     /*  404595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  404603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  404606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  404609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  404612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404627 */     // MIs[0] Operand 4
     /*  404627 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404645 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  404648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404665 */     GIR_RootConstrainSelectedInstOperands,
     /*  404666 */     // GIR_Coverage, 21002,
     /*  404666 */     GIR_EraseRootFromParent_Done,
     /*  404667 */   // Label 7173: @404667
     /*  404667 */   GIM_Try, /*On fail goto*//*Label 7174*/ GIMT_Encode4(404744), // Rule ID 21005 //
     /*  404672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  404680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  404683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  404686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  404689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404704 */     // MIs[0] Operand 4
     /*  404704 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404722 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  404725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404742 */     GIR_RootConstrainSelectedInstOperands,
     /*  404743 */     // GIR_Coverage, 21005,
     /*  404743 */     GIR_EraseRootFromParent_Done,
     /*  404744 */   // Label 7174: @404744
     /*  404744 */   GIM_Try, /*On fail goto*//*Label 7175*/ GIMT_Encode4(404821), // Rule ID 21006 //
     /*  404749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  404757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  404760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  404763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  404766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404781 */     // MIs[0] Operand 4
     /*  404781 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404799 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  404802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404819 */     GIR_RootConstrainSelectedInstOperands,
     /*  404820 */     // GIR_Coverage, 21006,
     /*  404820 */     GIR_EraseRootFromParent_Done,
     /*  404821 */   // Label 7175: @404821
     /*  404821 */   GIM_Try, /*On fail goto*//*Label 7176*/ GIMT_Encode4(404898), // Rule ID 21009 //
     /*  404826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  404834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  404837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  404840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  404843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404858 */     // MIs[0] Operand 4
     /*  404858 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404876 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  404879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404896 */     GIR_RootConstrainSelectedInstOperands,
     /*  404897 */     // GIR_Coverage, 21009,
     /*  404897 */     GIR_EraseRootFromParent_Done,
     /*  404898 */   // Label 7176: @404898
     /*  404898 */   GIM_Try, /*On fail goto*//*Label 7177*/ GIMT_Encode4(404975), // Rule ID 21010 //
     /*  404903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  404911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  404914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  404917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  404920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404935 */     // MIs[0] Operand 4
     /*  404935 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404953 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  404956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404973 */     GIR_RootConstrainSelectedInstOperands,
     /*  404974 */     // GIR_Coverage, 21010,
     /*  404974 */     GIR_EraseRootFromParent_Done,
     /*  404975 */   // Label 7177: @404975
     /*  404975 */   GIM_Try, /*On fail goto*//*Label 7178*/ GIMT_Encode4(405052), // Rule ID 21013 //
     /*  404980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  404988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  404991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  404994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  404997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405012 */     // MIs[0] Operand 4
     /*  405012 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405030 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  405033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405050 */     GIR_RootConstrainSelectedInstOperands,
     /*  405051 */     // GIR_Coverage, 21013,
     /*  405051 */     GIR_EraseRootFromParent_Done,
     /*  405052 */   // Label 7178: @405052
     /*  405052 */   GIM_Try, /*On fail goto*//*Label 7179*/ GIMT_Encode4(405129), // Rule ID 21014 //
     /*  405057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  405068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  405071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  405074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405089 */     // MIs[0] Operand 4
     /*  405089 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405107 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  405110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405127 */     GIR_RootConstrainSelectedInstOperands,
     /*  405128 */     // GIR_Coverage, 21014,
     /*  405128 */     GIR_EraseRootFromParent_Done,
     /*  405129 */   // Label 7179: @405129
     /*  405129 */   GIM_Try, /*On fail goto*//*Label 7180*/ GIMT_Encode4(405206), // Rule ID 21017 //
     /*  405134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  405137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  405145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  405148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  405151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405166 */     // MIs[0] Operand 4
     /*  405166 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405184 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  405187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405204 */     GIR_RootConstrainSelectedInstOperands,
     /*  405205 */     // GIR_Coverage, 21017,
     /*  405205 */     GIR_EraseRootFromParent_Done,
     /*  405206 */   // Label 7180: @405206
     /*  405206 */   GIM_Try, /*On fail goto*//*Label 7181*/ GIMT_Encode4(405283), // Rule ID 21018 //
     /*  405211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  405222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  405225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  405228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405243 */     // MIs[0] Operand 4
     /*  405243 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405261 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  405264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405281 */     GIR_RootConstrainSelectedInstOperands,
     /*  405282 */     // GIR_Coverage, 21018,
     /*  405282 */     GIR_EraseRootFromParent_Done,
     /*  405283 */   // Label 7181: @405283
     /*  405283 */   GIM_Try, /*On fail goto*//*Label 7182*/ GIMT_Encode4(405360), // Rule ID 21021 //
     /*  405288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  405291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  405299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  405302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  405305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405320 */     // MIs[0] Operand 4
     /*  405320 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405338 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  405341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405358 */     GIR_RootConstrainSelectedInstOperands,
     /*  405359 */     // GIR_Coverage, 21021,
     /*  405359 */     GIR_EraseRootFromParent_Done,
     /*  405360 */   // Label 7182: @405360
     /*  405360 */   GIM_Try, /*On fail goto*//*Label 7183*/ GIMT_Encode4(405437), // Rule ID 21022 //
     /*  405365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  405376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  405379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  405382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405397 */     // MIs[0] Operand 4
     /*  405397 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405415 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  405418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405435 */     GIR_RootConstrainSelectedInstOperands,
     /*  405436 */     // GIR_Coverage, 21022,
     /*  405436 */     GIR_EraseRootFromParent_Done,
     /*  405437 */   // Label 7183: @405437
     /*  405437 */   GIM_Try, /*On fail goto*//*Label 7184*/ GIMT_Encode4(405514), // Rule ID 21025 //
     /*  405442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  405445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  405453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  405456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  405459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405474 */     // MIs[0] Operand 4
     /*  405474 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405492 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  405495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405512 */     GIR_RootConstrainSelectedInstOperands,
     /*  405513 */     // GIR_Coverage, 21025,
     /*  405513 */     GIR_EraseRootFromParent_Done,
     /*  405514 */   // Label 7184: @405514
     /*  405514 */   GIM_Try, /*On fail goto*//*Label 7185*/ GIMT_Encode4(405591), // Rule ID 21026 //
     /*  405519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  405530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  405533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  405536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405551 */     // MIs[0] Operand 4
     /*  405551 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405569 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  405572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405589 */     GIR_RootConstrainSelectedInstOperands,
     /*  405590 */     // GIR_Coverage, 21026,
     /*  405590 */     GIR_EraseRootFromParent_Done,
     /*  405591 */   // Label 7185: @405591
     /*  405591 */   GIM_Try, /*On fail goto*//*Label 7186*/ GIMT_Encode4(405668), // Rule ID 21029 //
     /*  405596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  405599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  405607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  405610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  405613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405628 */     // MIs[0] Operand 4
     /*  405628 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  405649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405666 */     GIR_RootConstrainSelectedInstOperands,
     /*  405667 */     // GIR_Coverage, 21029,
     /*  405667 */     GIR_EraseRootFromParent_Done,
     /*  405668 */   // Label 7186: @405668
     /*  405668 */   GIM_Try, /*On fail goto*//*Label 7187*/ GIMT_Encode4(405745), // Rule ID 21030 //
     /*  405673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  405676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  405681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  405684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  405687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  405690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405705 */     // MIs[0] Operand 4
     /*  405705 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405723 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  405726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405743 */     GIR_RootConstrainSelectedInstOperands,
     /*  405744 */     // GIR_Coverage, 21030,
     /*  405744 */     GIR_EraseRootFromParent_Done,
     /*  405745 */   // Label 7187: @405745
     /*  405745 */   GIM_Try, /*On fail goto*//*Label 7188*/ GIMT_Encode4(405822), // Rule ID 21333 //
     /*  405750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  405758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  405761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  405764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  405767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405782 */     // MIs[0] Operand 4
     /*  405782 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405800 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  405800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  405803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  405817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405820 */     GIR_RootConstrainSelectedInstOperands,
     /*  405821 */     // GIR_Coverage, 21333,
     /*  405821 */     GIR_EraseRootFromParent_Done,
     /*  405822 */   // Label 7188: @405822
     /*  405822 */   GIM_Try, /*On fail goto*//*Label 7189*/ GIMT_Encode4(405899), // Rule ID 21334 //
     /*  405827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  405835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  405838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  405841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  405844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405859 */     // MIs[0] Operand 4
     /*  405859 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405877 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  405877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  405880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  405894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405897 */     GIR_RootConstrainSelectedInstOperands,
     /*  405898 */     // GIR_Coverage, 21334,
     /*  405898 */     GIR_EraseRootFromParent_Done,
     /*  405899 */   // Label 7189: @405899
     /*  405899 */   GIM_Try, /*On fail goto*//*Label 7190*/ GIMT_Encode4(405976), // Rule ID 21337 //
     /*  405904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  405912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  405915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  405918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  405921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405936 */     // MIs[0] Operand 4
     /*  405936 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405954 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  405954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  405957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  405971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405974 */     GIR_RootConstrainSelectedInstOperands,
     /*  405975 */     // GIR_Coverage, 21337,
     /*  405975 */     GIR_EraseRootFromParent_Done,
     /*  405976 */   // Label 7190: @405976
     /*  405976 */   GIM_Try, /*On fail goto*//*Label 7191*/ GIMT_Encode4(406053), // Rule ID 21338 //
     /*  405981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  405989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  405992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  405995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  405998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406013 */     // MIs[0] Operand 4
     /*  406013 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406031 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  406031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  406034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  406048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406051 */     GIR_RootConstrainSelectedInstOperands,
     /*  406052 */     // GIR_Coverage, 21338,
     /*  406052 */     GIR_EraseRootFromParent_Done,
     /*  406053 */   // Label 7191: @406053
     /*  406053 */   GIM_Try, /*On fail goto*//*Label 7192*/ GIMT_Encode4(406130), // Rule ID 21341 //
     /*  406058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  406066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  406069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  406072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  406075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406090 */     // MIs[0] Operand 4
     /*  406090 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406108 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  406108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  406111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  406125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406128 */     GIR_RootConstrainSelectedInstOperands,
     /*  406129 */     // GIR_Coverage, 21341,
     /*  406129 */     GIR_EraseRootFromParent_Done,
     /*  406130 */   // Label 7192: @406130
     /*  406130 */   GIM_Try, /*On fail goto*//*Label 7193*/ GIMT_Encode4(406207), // Rule ID 21342 //
     /*  406135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  406143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  406146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  406149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  406152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406167 */     // MIs[0] Operand 4
     /*  406167 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406185 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  406185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  406188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  406202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406205 */     GIR_RootConstrainSelectedInstOperands,
     /*  406206 */     // GIR_Coverage, 21342,
     /*  406206 */     GIR_EraseRootFromParent_Done,
     /*  406207 */   // Label 7193: @406207
     /*  406207 */   GIM_Try, /*On fail goto*//*Label 7194*/ GIMT_Encode4(406284), // Rule ID 21345 //
     /*  406212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  406220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  406223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  406226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  406229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406244 */     // MIs[0] Operand 4
     /*  406244 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406262 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  406262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  406265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  406279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406282 */     GIR_RootConstrainSelectedInstOperands,
     /*  406283 */     // GIR_Coverage, 21345,
     /*  406283 */     GIR_EraseRootFromParent_Done,
     /*  406284 */   // Label 7194: @406284
     /*  406284 */   GIM_Try, /*On fail goto*//*Label 7195*/ GIMT_Encode4(406361), // Rule ID 21346 //
     /*  406289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  406297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  406300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  406303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  406306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406321 */     // MIs[0] Operand 4
     /*  406321 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406339 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  406339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  406342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  406356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406359 */     GIR_RootConstrainSelectedInstOperands,
     /*  406360 */     // GIR_Coverage, 21346,
     /*  406360 */     GIR_EraseRootFromParent_Done,
     /*  406361 */   // Label 7195: @406361
     /*  406361 */   GIM_Try, /*On fail goto*//*Label 7196*/ GIMT_Encode4(406438), // Rule ID 21349 //
     /*  406366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  406374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  406377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  406380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  406383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406398 */     // MIs[0] Operand 4
     /*  406398 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406416 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  406416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  406419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  406433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406436 */     GIR_RootConstrainSelectedInstOperands,
     /*  406437 */     // GIR_Coverage, 21349,
     /*  406437 */     GIR_EraseRootFromParent_Done,
     /*  406438 */   // Label 7196: @406438
     /*  406438 */   GIM_Try, /*On fail goto*//*Label 7197*/ GIMT_Encode4(406515), // Rule ID 21350 //
     /*  406443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  406451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  406454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  406457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  406460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406475 */     // MIs[0] Operand 4
     /*  406475 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406493 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  406493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  406496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  406510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406513 */     GIR_RootConstrainSelectedInstOperands,
     /*  406514 */     // GIR_Coverage, 21350,
     /*  406514 */     GIR_EraseRootFromParent_Done,
     /*  406515 */   // Label 7197: @406515
     /*  406515 */   GIM_Try, /*On fail goto*//*Label 7198*/ GIMT_Encode4(406592), // Rule ID 21353 //
     /*  406520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  406528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  406531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  406534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  406537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406552 */     // MIs[0] Operand 4
     /*  406552 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406570 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  406570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  406573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  406587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406590 */     GIR_RootConstrainSelectedInstOperands,
     /*  406591 */     // GIR_Coverage, 21353,
     /*  406591 */     GIR_EraseRootFromParent_Done,
     /*  406592 */   // Label 7198: @406592
     /*  406592 */   GIM_Try, /*On fail goto*//*Label 7199*/ GIMT_Encode4(406669), // Rule ID 21354 //
     /*  406597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  406605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  406608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  406611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  406614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406629 */     // MIs[0] Operand 4
     /*  406629 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406647 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  406647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  406650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  406664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406667 */     GIR_RootConstrainSelectedInstOperands,
     /*  406668 */     // GIR_Coverage, 21354,
     /*  406668 */     GIR_EraseRootFromParent_Done,
     /*  406669 */   // Label 7199: @406669
     /*  406669 */   GIM_Try, /*On fail goto*//*Label 7200*/ GIMT_Encode4(406746), // Rule ID 21357 //
     /*  406674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  406677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  406682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  406685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  406688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406706 */     // MIs[0] Operand 4
     /*  406706 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406724 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  406727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406744 */     GIR_RootConstrainSelectedInstOperands,
     /*  406745 */     // GIR_Coverage, 21357,
     /*  406745 */     GIR_EraseRootFromParent_Done,
     /*  406746 */   // Label 7200: @406746
     /*  406746 */   GIM_Try, /*On fail goto*//*Label 7201*/ GIMT_Encode4(406823), // Rule ID 21358 //
     /*  406751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  406754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  406759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  406762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  406765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406783 */     // MIs[0] Operand 4
     /*  406783 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406801 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  406804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406821 */     GIR_RootConstrainSelectedInstOperands,
     /*  406822 */     // GIR_Coverage, 21358,
     /*  406822 */     GIR_EraseRootFromParent_Done,
     /*  406823 */   // Label 7201: @406823
     /*  406823 */   GIM_Try, /*On fail goto*//*Label 7202*/ GIMT_Encode4(406900), // Rule ID 21361 //
     /*  406828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  406831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  406836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  406839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  406842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  406845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406860 */     // MIs[0] Operand 4
     /*  406860 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406878 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  406881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406898 */     GIR_RootConstrainSelectedInstOperands,
     /*  406899 */     // GIR_Coverage, 21361,
     /*  406899 */     GIR_EraseRootFromParent_Done,
     /*  406900 */   // Label 7202: @406900
     /*  406900 */   GIM_Try, /*On fail goto*//*Label 7203*/ GIMT_Encode4(406977), // Rule ID 21362 //
     /*  406905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  406908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  406913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  406916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  406919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  406922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406937 */     // MIs[0] Operand 4
     /*  406937 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406955 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  406958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406975 */     GIR_RootConstrainSelectedInstOperands,
     /*  406976 */     // GIR_Coverage, 21362,
     /*  406976 */     GIR_EraseRootFromParent_Done,
     /*  406977 */   // Label 7203: @406977
     /*  406977 */   GIM_Try, /*On fail goto*//*Label 7204*/ GIMT_Encode4(407054), // Rule ID 21365 //
     /*  406982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  406985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  406990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  406993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  406996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  406999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407014 */     // MIs[0] Operand 4
     /*  407014 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407032 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  407032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  407035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407052 */     GIR_RootConstrainSelectedInstOperands,
     /*  407053 */     // GIR_Coverage, 21365,
     /*  407053 */     GIR_EraseRootFromParent_Done,
     /*  407054 */   // Label 7204: @407054
     /*  407054 */   GIM_Try, /*On fail goto*//*Label 7205*/ GIMT_Encode4(407131), // Rule ID 21366 //
     /*  407059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  407062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  407070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  407073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  407076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407091 */     // MIs[0] Operand 4
     /*  407091 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407109 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  407109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  407112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407129 */     GIR_RootConstrainSelectedInstOperands,
     /*  407130 */     // GIR_Coverage, 21366,
     /*  407130 */     GIR_EraseRootFromParent_Done,
     /*  407131 */   // Label 7205: @407131
     /*  407131 */   GIM_Try, /*On fail goto*//*Label 7206*/ GIMT_Encode4(407208), // Rule ID 21369 //
     /*  407136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  407139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  407147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  407150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  407153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407168 */     // MIs[0] Operand 4
     /*  407168 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407186 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  407186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  407189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407206 */     GIR_RootConstrainSelectedInstOperands,
     /*  407207 */     // GIR_Coverage, 21369,
     /*  407207 */     GIR_EraseRootFromParent_Done,
     /*  407208 */   // Label 7206: @407208
     /*  407208 */   GIM_Try, /*On fail goto*//*Label 7207*/ GIMT_Encode4(407285), // Rule ID 21370 //
     /*  407213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  407216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  407224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  407227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  407230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407245 */     // MIs[0] Operand 4
     /*  407245 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407263 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  407263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  407266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407283 */     GIR_RootConstrainSelectedInstOperands,
     /*  407284 */     // GIR_Coverage, 21370,
     /*  407284 */     GIR_EraseRootFromParent_Done,
     /*  407285 */   // Label 7207: @407285
     /*  407285 */   GIM_Try, /*On fail goto*//*Label 7208*/ GIMT_Encode4(407362), // Rule ID 21373 //
     /*  407290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  407293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  407301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  407304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  407307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407322 */     // MIs[0] Operand 4
     /*  407322 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407340 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  407340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  407343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407360 */     GIR_RootConstrainSelectedInstOperands,
     /*  407361 */     // GIR_Coverage, 21373,
     /*  407361 */     GIR_EraseRootFromParent_Done,
     /*  407362 */   // Label 7208: @407362
     /*  407362 */   GIM_Try, /*On fail goto*//*Label 7209*/ GIMT_Encode4(407439), // Rule ID 21374 //
     /*  407367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  407370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  407378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  407381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  407384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407399 */     // MIs[0] Operand 4
     /*  407399 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407417 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  407417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  407420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407437 */     GIR_RootConstrainSelectedInstOperands,
     /*  407438 */     // GIR_Coverage, 21374,
     /*  407438 */     GIR_EraseRootFromParent_Done,
     /*  407439 */   // Label 7209: @407439
     /*  407439 */   GIM_Try, /*On fail goto*//*Label 7210*/ GIMT_Encode4(407516), // Rule ID 21377 //
     /*  407444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  407447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  407455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  407458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  407461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407476 */     // MIs[0] Operand 4
     /*  407476 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407494 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  407494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  407497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407514 */     GIR_RootConstrainSelectedInstOperands,
     /*  407515 */     // GIR_Coverage, 21377,
     /*  407515 */     GIR_EraseRootFromParent_Done,
     /*  407516 */   // Label 7210: @407516
     /*  407516 */   GIM_Try, /*On fail goto*//*Label 7211*/ GIMT_Encode4(407593), // Rule ID 21378 //
     /*  407521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  407524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  407532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  407535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  407538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407553 */     // MIs[0] Operand 4
     /*  407553 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407571 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  407571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  407574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407591 */     GIR_RootConstrainSelectedInstOperands,
     /*  407592 */     // GIR_Coverage, 21378,
     /*  407592 */     GIR_EraseRootFromParent_Done,
     /*  407593 */   // Label 7211: @407593
     /*  407593 */   GIM_Try, /*On fail goto*//*Label 7212*/ GIMT_Encode4(407670), // Rule ID 21381 //
     /*  407598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  407601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  407609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  407612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  407615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407630 */     // MIs[0] Operand 4
     /*  407630 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407648 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  407648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  407651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407668 */     GIR_RootConstrainSelectedInstOperands,
     /*  407669 */     // GIR_Coverage, 21381,
     /*  407669 */     GIR_EraseRootFromParent_Done,
     /*  407670 */   // Label 7212: @407670
     /*  407670 */   GIM_Try, /*On fail goto*//*Label 7213*/ GIMT_Encode4(407747), // Rule ID 21382 //
     /*  407675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  407678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  407686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  407689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  407692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407707 */     // MIs[0] Operand 4
     /*  407707 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407725 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  407725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  407728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407745 */     GIR_RootConstrainSelectedInstOperands,
     /*  407746 */     // GIR_Coverage, 21382,
     /*  407746 */     GIR_EraseRootFromParent_Done,
     /*  407747 */   // Label 7213: @407747
     /*  407747 */   GIM_Try, /*On fail goto*//*Label 7214*/ GIMT_Encode4(407824), // Rule ID 21385 //
     /*  407752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  407755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  407763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  407766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  407769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407784 */     // MIs[0] Operand 4
     /*  407784 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407802 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  407802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  407805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407822 */     GIR_RootConstrainSelectedInstOperands,
     /*  407823 */     // GIR_Coverage, 21385,
     /*  407823 */     GIR_EraseRootFromParent_Done,
     /*  407824 */   // Label 7214: @407824
     /*  407824 */   GIM_Try, /*On fail goto*//*Label 7215*/ GIMT_Encode4(407901), // Rule ID 21386 //
     /*  407829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  407832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  407840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  407843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  407846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407861 */     // MIs[0] Operand 4
     /*  407861 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407879 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  407879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  407882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407899 */     GIR_RootConstrainSelectedInstOperands,
     /*  407900 */     // GIR_Coverage, 21386,
     /*  407900 */     GIR_EraseRootFromParent_Done,
     /*  407901 */   // Label 7215: @407901
     /*  407901 */   GIM_Try, /*On fail goto*//*Label 7216*/ GIMT_Encode4(407978), // Rule ID 21389 //
     /*  407906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  407909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  407917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  407920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  407923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407938 */     // MIs[0] Operand 4
     /*  407938 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407956 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  407956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  407959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407976 */     GIR_RootConstrainSelectedInstOperands,
     /*  407977 */     // GIR_Coverage, 21389,
     /*  407977 */     GIR_EraseRootFromParent_Done,
     /*  407978 */   // Label 7216: @407978
     /*  407978 */   GIM_Try, /*On fail goto*//*Label 7217*/ GIMT_Encode4(408055), // Rule ID 21390 //
     /*  407983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  407986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  407991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  407994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  407997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  408000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408015 */     // MIs[0] Operand 4
     /*  408015 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408033 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  408033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  408036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408053 */     GIR_RootConstrainSelectedInstOperands,
     /*  408054 */     // GIR_Coverage, 21390,
     /*  408054 */     GIR_EraseRootFromParent_Done,
     /*  408055 */   // Label 7217: @408055
     /*  408055 */   GIM_Try, /*On fail goto*//*Label 7218*/ GIMT_Encode4(408132), // Rule ID 21393 //
     /*  408060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  408068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  408071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  408074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  408077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408092 */     // MIs[0] Operand 4
     /*  408092 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408110 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  408110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  408113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408130 */     GIR_RootConstrainSelectedInstOperands,
     /*  408131 */     // GIR_Coverage, 21393,
     /*  408131 */     GIR_EraseRootFromParent_Done,
     /*  408132 */   // Label 7218: @408132
     /*  408132 */   GIM_Try, /*On fail goto*//*Label 7219*/ GIMT_Encode4(408209), // Rule ID 21394 //
     /*  408137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  408145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  408148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  408151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  408154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408169 */     // MIs[0] Operand 4
     /*  408169 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408187 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  408187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  408190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408207 */     GIR_RootConstrainSelectedInstOperands,
     /*  408208 */     // GIR_Coverage, 21394,
     /*  408208 */     GIR_EraseRootFromParent_Done,
     /*  408209 */   // Label 7219: @408209
     /*  408209 */   GIM_Try, /*On fail goto*//*Label 7220*/ GIMT_Encode4(408286), // Rule ID 21397 //
     /*  408214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  408222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  408225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  408228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  408231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408246 */     // MIs[0] Operand 4
     /*  408246 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408264 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  408264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  408267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408284 */     GIR_RootConstrainSelectedInstOperands,
     /*  408285 */     // GIR_Coverage, 21397,
     /*  408285 */     GIR_EraseRootFromParent_Done,
     /*  408286 */   // Label 7220: @408286
     /*  408286 */   GIM_Try, /*On fail goto*//*Label 7221*/ GIMT_Encode4(408363), // Rule ID 21398 //
     /*  408291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  408299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  408302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  408305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  408308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408323 */     // MIs[0] Operand 4
     /*  408323 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408341 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  408341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  408344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408361 */     GIR_RootConstrainSelectedInstOperands,
     /*  408362 */     // GIR_Coverage, 21398,
     /*  408362 */     GIR_EraseRootFromParent_Done,
     /*  408363 */   // Label 7221: @408363
     /*  408363 */   GIM_Try, /*On fail goto*//*Label 7222*/ GIMT_Encode4(408440), // Rule ID 21401 //
     /*  408368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  408376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  408379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  408382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  408385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408400 */     // MIs[0] Operand 4
     /*  408400 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408418 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  408418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  408421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408438 */     GIR_RootConstrainSelectedInstOperands,
     /*  408439 */     // GIR_Coverage, 21401,
     /*  408439 */     GIR_EraseRootFromParent_Done,
     /*  408440 */   // Label 7222: @408440
     /*  408440 */   GIM_Try, /*On fail goto*//*Label 7223*/ GIMT_Encode4(408517), // Rule ID 21402 //
     /*  408445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  408453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  408456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  408459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  408462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408477 */     // MIs[0] Operand 4
     /*  408477 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408495 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  408495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  408498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408515 */     GIR_RootConstrainSelectedInstOperands,
     /*  408516 */     // GIR_Coverage, 21402,
     /*  408516 */     GIR_EraseRootFromParent_Done,
     /*  408517 */   // Label 7223: @408517
     /*  408517 */   GIM_Try, /*On fail goto*//*Label 7224*/ GIMT_Encode4(408594), // Rule ID 21405 //
     /*  408522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  408530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  408533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  408536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  408539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408554 */     // MIs[0] Operand 4
     /*  408554 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408572 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  408572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  408575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408592 */     GIR_RootConstrainSelectedInstOperands,
     /*  408593 */     // GIR_Coverage, 21405,
     /*  408593 */     GIR_EraseRootFromParent_Done,
     /*  408594 */   // Label 7224: @408594
     /*  408594 */   GIM_Try, /*On fail goto*//*Label 7225*/ GIMT_Encode4(408671), // Rule ID 21406 //
     /*  408599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  408607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  408610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  408613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  408616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408631 */     // MIs[0] Operand 4
     /*  408631 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408649 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  408649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  408652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408669 */     GIR_RootConstrainSelectedInstOperands,
     /*  408670 */     // GIR_Coverage, 21406,
     /*  408670 */     GIR_EraseRootFromParent_Done,
     /*  408671 */   // Label 7225: @408671
     /*  408671 */   GIM_Try, /*On fail goto*//*Label 7226*/ GIMT_Encode4(408748), // Rule ID 21409 //
     /*  408676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  408684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  408687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  408690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  408693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408708 */     // MIs[0] Operand 4
     /*  408708 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408726 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  408726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  408729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408746 */     GIR_RootConstrainSelectedInstOperands,
     /*  408747 */     // GIR_Coverage, 21409,
     /*  408747 */     GIR_EraseRootFromParent_Done,
     /*  408748 */   // Label 7226: @408748
     /*  408748 */   GIM_Try, /*On fail goto*//*Label 7227*/ GIMT_Encode4(408825), // Rule ID 21410 //
     /*  408753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  408761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  408764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  408767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  408770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408785 */     // MIs[0] Operand 4
     /*  408785 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408803 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  408803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  408806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408823 */     GIR_RootConstrainSelectedInstOperands,
     /*  408824 */     // GIR_Coverage, 21410,
     /*  408824 */     GIR_EraseRootFromParent_Done,
     /*  408825 */   // Label 7227: @408825
     /*  408825 */   GIM_Try, /*On fail goto*//*Label 7228*/ GIMT_Encode4(408902), // Rule ID 21413 //
     /*  408830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  408838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  408841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  408844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  408847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408862 */     // MIs[0] Operand 4
     /*  408862 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408880 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  408880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  408883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408900 */     GIR_RootConstrainSelectedInstOperands,
     /*  408901 */     // GIR_Coverage, 21413,
     /*  408901 */     GIR_EraseRootFromParent_Done,
     /*  408902 */   // Label 7228: @408902
     /*  408902 */   GIM_Try, /*On fail goto*//*Label 7229*/ GIMT_Encode4(408979), // Rule ID 21414 //
     /*  408907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  408915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  408918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  408921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  408924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408939 */     // MIs[0] Operand 4
     /*  408939 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408957 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  408957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  408960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408977 */     GIR_RootConstrainSelectedInstOperands,
     /*  408978 */     // GIR_Coverage, 21414,
     /*  408978 */     GIR_EraseRootFromParent_Done,
     /*  408979 */   // Label 7229: @408979
     /*  408979 */   GIM_Try, /*On fail goto*//*Label 7230*/ GIMT_Encode4(409056), // Rule ID 21417 //
     /*  408984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  408992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  408995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  408998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  409001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409016 */     // MIs[0] Operand 4
     /*  409016 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409034 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  409037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409054 */     GIR_RootConstrainSelectedInstOperands,
     /*  409055 */     // GIR_Coverage, 21417,
     /*  409055 */     GIR_EraseRootFromParent_Done,
     /*  409056 */   // Label 7230: @409056
     /*  409056 */   GIM_Try, /*On fail goto*//*Label 7231*/ GIMT_Encode4(409133), // Rule ID 21418 //
     /*  409061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  409064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  409072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  409075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  409078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409093 */     // MIs[0] Operand 4
     /*  409093 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409111 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  409114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409131 */     GIR_RootConstrainSelectedInstOperands,
     /*  409132 */     // GIR_Coverage, 21418,
     /*  409132 */     GIR_EraseRootFromParent_Done,
     /*  409133 */   // Label 7231: @409133
     /*  409133 */   GIM_Try, /*On fail goto*//*Label 7232*/ GIMT_Encode4(409210), // Rule ID 21421 //
     /*  409138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  409141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  409149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  409152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  409155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409170 */     // MIs[0] Operand 4
     /*  409170 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409188 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  409191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409208 */     GIR_RootConstrainSelectedInstOperands,
     /*  409209 */     // GIR_Coverage, 21421,
     /*  409209 */     GIR_EraseRootFromParent_Done,
     /*  409210 */   // Label 7232: @409210
     /*  409210 */   GIM_Try, /*On fail goto*//*Label 7233*/ GIMT_Encode4(409287), // Rule ID 21422 //
     /*  409215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  409218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  409226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  409229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  409232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409247 */     // MIs[0] Operand 4
     /*  409247 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409265 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  409268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409285 */     GIR_RootConstrainSelectedInstOperands,
     /*  409286 */     // GIR_Coverage, 21422,
     /*  409286 */     GIR_EraseRootFromParent_Done,
     /*  409287 */   // Label 7233: @409287
     /*  409287 */   GIM_Try, /*On fail goto*//*Label 7234*/ GIMT_Encode4(409364), // Rule ID 21425 //
     /*  409292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  409295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  409303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  409306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  409309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409324 */     // MIs[0] Operand 4
     /*  409324 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409342 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  409345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409362 */     GIR_RootConstrainSelectedInstOperands,
     /*  409363 */     // GIR_Coverage, 21425,
     /*  409363 */     GIR_EraseRootFromParent_Done,
     /*  409364 */   // Label 7234: @409364
     /*  409364 */   GIM_Try, /*On fail goto*//*Label 7235*/ GIMT_Encode4(409441), // Rule ID 21426 //
     /*  409369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  409372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  409380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  409383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  409386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409401 */     // MIs[0] Operand 4
     /*  409401 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409419 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  409422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409439 */     GIR_RootConstrainSelectedInstOperands,
     /*  409440 */     // GIR_Coverage, 21426,
     /*  409440 */     GIR_EraseRootFromParent_Done,
     /*  409441 */   // Label 7235: @409441
     /*  409441 */   GIM_Try, /*On fail goto*//*Label 7236*/ GIMT_Encode4(409518), // Rule ID 21429 //
     /*  409446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  409449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  409457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  409460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  409463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409478 */     // MIs[0] Operand 4
     /*  409478 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409496 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  409499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409516 */     GIR_RootConstrainSelectedInstOperands,
     /*  409517 */     // GIR_Coverage, 21429,
     /*  409517 */     GIR_EraseRootFromParent_Done,
     /*  409518 */   // Label 7236: @409518
     /*  409518 */   GIM_Try, /*On fail goto*//*Label 7237*/ GIMT_Encode4(409595), // Rule ID 21430 //
     /*  409523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  409526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  409534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  409537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  409540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409555 */     // MIs[0] Operand 4
     /*  409555 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409573 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  409576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409593 */     GIR_RootConstrainSelectedInstOperands,
     /*  409594 */     // GIR_Coverage, 21430,
     /*  409594 */     GIR_EraseRootFromParent_Done,
     /*  409595 */   // Label 7237: @409595
     /*  409595 */   GIM_Try, /*On fail goto*//*Label 7238*/ GIMT_Encode4(409672), // Rule ID 21433 //
     /*  409600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  409603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  409611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  409614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  409617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409632 */     // MIs[0] Operand 4
     /*  409632 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409650 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  409653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409670 */     GIR_RootConstrainSelectedInstOperands,
     /*  409671 */     // GIR_Coverage, 21433,
     /*  409671 */     GIR_EraseRootFromParent_Done,
     /*  409672 */   // Label 7238: @409672
     /*  409672 */   GIM_Try, /*On fail goto*//*Label 7239*/ GIMT_Encode4(409749), // Rule ID 21434 //
     /*  409677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  409680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  409688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  409691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  409694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409709 */     // MIs[0] Operand 4
     /*  409709 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409727 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  409730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409747 */     GIR_RootConstrainSelectedInstOperands,
     /*  409748 */     // GIR_Coverage, 21434,
     /*  409748 */     GIR_EraseRootFromParent_Done,
     /*  409749 */   // Label 7239: @409749
     /*  409749 */   GIM_Try, /*On fail goto*//*Label 7240*/ GIMT_Encode4(409826), // Rule ID 21437 //
     /*  409754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  409757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  409765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  409768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  409771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409786 */     // MIs[0] Operand 4
     /*  409786 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409804 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  409807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409824 */     GIR_RootConstrainSelectedInstOperands,
     /*  409825 */     // GIR_Coverage, 21437,
     /*  409825 */     GIR_EraseRootFromParent_Done,
     /*  409826 */   // Label 7240: @409826
     /*  409826 */   GIM_Try, /*On fail goto*//*Label 7241*/ GIMT_Encode4(409903), // Rule ID 21438 //
     /*  409831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  409834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  409842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  409845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  409848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409863 */     // MIs[0] Operand 4
     /*  409863 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409881 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  409881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  409884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409901 */     GIR_RootConstrainSelectedInstOperands,
     /*  409902 */     // GIR_Coverage, 21438,
     /*  409902 */     GIR_EraseRootFromParent_Done,
     /*  409903 */   // Label 7241: @409903
     /*  409903 */   GIM_Try, /*On fail goto*//*Label 7242*/ GIMT_Encode4(409980), // Rule ID 21441 //
     /*  409908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  409911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  409919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  409922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  409925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409940 */     // MIs[0] Operand 4
     /*  409940 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409958 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  409958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  409961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409978 */     GIR_RootConstrainSelectedInstOperands,
     /*  409979 */     // GIR_Coverage, 21441,
     /*  409979 */     GIR_EraseRootFromParent_Done,
     /*  409980 */   // Label 7242: @409980
     /*  409980 */   GIM_Try, /*On fail goto*//*Label 7243*/ GIMT_Encode4(410057), // Rule ID 21442 //
     /*  409985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  409988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  409993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  409996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  409999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  410002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410017 */     // MIs[0] Operand 4
     /*  410017 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410035 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  410035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  410038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410055 */     GIR_RootConstrainSelectedInstOperands,
     /*  410056 */     // GIR_Coverage, 21442,
     /*  410056 */     GIR_EraseRootFromParent_Done,
     /*  410057 */   // Label 7243: @410057
     /*  410057 */   GIM_Try, /*On fail goto*//*Label 7244*/ GIMT_Encode4(410134), // Rule ID 21445 //
     /*  410062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  410065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  410073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  410076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  410079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410094 */     // MIs[0] Operand 4
     /*  410094 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410112 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  410112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  410115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410132 */     GIR_RootConstrainSelectedInstOperands,
     /*  410133 */     // GIR_Coverage, 21445,
     /*  410133 */     GIR_EraseRootFromParent_Done,
     /*  410134 */   // Label 7244: @410134
     /*  410134 */   GIM_Try, /*On fail goto*//*Label 7245*/ GIMT_Encode4(410211), // Rule ID 21446 //
     /*  410139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  410142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  410150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  410153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  410156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410171 */     // MIs[0] Operand 4
     /*  410171 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410189 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  410189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  410192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410209 */     GIR_RootConstrainSelectedInstOperands,
     /*  410210 */     // GIR_Coverage, 21446,
     /*  410210 */     GIR_EraseRootFromParent_Done,
     /*  410211 */   // Label 7245: @410211
     /*  410211 */   GIM_Try, /*On fail goto*//*Label 7246*/ GIMT_Encode4(410288), // Rule ID 21449 //
     /*  410216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  410219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  410227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  410230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  410233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410248 */     // MIs[0] Operand 4
     /*  410248 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410266 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  410266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  410269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410286 */     GIR_RootConstrainSelectedInstOperands,
     /*  410287 */     // GIR_Coverage, 21449,
     /*  410287 */     GIR_EraseRootFromParent_Done,
     /*  410288 */   // Label 7246: @410288
     /*  410288 */   GIM_Try, /*On fail goto*//*Label 7247*/ GIMT_Encode4(410365), // Rule ID 21450 //
     /*  410293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  410296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  410301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  410304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  410307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  410310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410325 */     // MIs[0] Operand 4
     /*  410325 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410343 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  410343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  410346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410363 */     GIR_RootConstrainSelectedInstOperands,
     /*  410364 */     // GIR_Coverage, 21450,
     /*  410364 */     GIR_EraseRootFromParent_Done,
     /*  410365 */   // Label 7247: @410365
     /*  410365 */   GIM_Try, /*On fail goto*//*Label 7248*/ GIMT_Encode4(410438), // Rule ID 62229 //
     /*  410370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  410373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  410378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  410381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  410384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410394 */     // MIs[0] op1
     /*  410394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410397 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  410410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410417 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  410417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  410420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410422 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410424 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410426 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410436 */     GIR_RootConstrainSelectedInstOperands,
     /*  410437 */     // GIR_Coverage, 62229,
     /*  410437 */     GIR_EraseRootFromParent_Done,
     /*  410438 */   // Label 7248: @410438
     /*  410438 */   GIM_Try, /*On fail goto*//*Label 7249*/ GIMT_Encode4(410511), // Rule ID 62230 //
     /*  410443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  410446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  410451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  410454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  410457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410467 */     // MIs[0] op1
     /*  410467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410470 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  410483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410490 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  410490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  410493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410495 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410497 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410499 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410509 */     GIR_RootConstrainSelectedInstOperands,
     /*  410510 */     // GIR_Coverage, 62230,
     /*  410510 */     GIR_EraseRootFromParent_Done,
     /*  410511 */   // Label 7249: @410511
     /*  410511 */   GIM_Try, /*On fail goto*//*Label 7250*/ GIMT_Encode4(410584), // Rule ID 62253 //
     /*  410516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  410519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  410524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  410527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  410530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  410533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410540 */     // MIs[0] op1
     /*  410540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410543 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410563 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  410563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  410566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410568 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410570 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410572 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410582 */     GIR_RootConstrainSelectedInstOperands,
     /*  410583 */     // GIR_Coverage, 62253,
     /*  410583 */     GIR_EraseRootFromParent_Done,
     /*  410584 */   // Label 7250: @410584
     /*  410584 */   GIM_Try, /*On fail goto*//*Label 7251*/ GIMT_Encode4(410657), // Rule ID 62254 //
     /*  410589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  410592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  410597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  410600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  410603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  410606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410613 */     // MIs[0] op1
     /*  410613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410616 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410636 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  410636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  410639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410641 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410643 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410645 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410655 */     GIR_RootConstrainSelectedInstOperands,
     /*  410656 */     // GIR_Coverage, 62254,
     /*  410656 */     GIR_EraseRootFromParent_Done,
     /*  410657 */   // Label 7251: @410657
     /*  410657 */   GIM_Try, /*On fail goto*//*Label 7252*/ GIMT_Encode4(410730), // Rule ID 62279 //
     /*  410662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  410665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  410670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  410673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  410676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410686 */     // MIs[0] op1
     /*  410686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410689 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  410702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410709 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  410709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  410712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410714 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410716 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410718 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410728 */     GIR_RootConstrainSelectedInstOperands,
     /*  410729 */     // GIR_Coverage, 62279,
     /*  410729 */     GIR_EraseRootFromParent_Done,
     /*  410730 */   // Label 7252: @410730
     /*  410730 */   GIM_Try, /*On fail goto*//*Label 7253*/ GIMT_Encode4(410803), // Rule ID 62280 //
     /*  410735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  410738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  410743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  410746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  410749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410759 */     // MIs[0] op1
     /*  410759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410762 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  410775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410782 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  410782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  410785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410787 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410789 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410791 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410801 */     GIR_RootConstrainSelectedInstOperands,
     /*  410802 */     // GIR_Coverage, 62280,
     /*  410802 */     GIR_EraseRootFromParent_Done,
     /*  410803 */   // Label 7253: @410803
     /*  410803 */   GIM_Try, /*On fail goto*//*Label 7254*/ GIMT_Encode4(410876), // Rule ID 62291 //
     /*  410808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  410811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  410816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  410819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  410822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  410825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410832 */     // MIs[0] op1
     /*  410832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410835 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410855 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  410855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  410858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410860 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410862 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410864 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410874 */     GIR_RootConstrainSelectedInstOperands,
     /*  410875 */     // GIR_Coverage, 62291,
     /*  410875 */     GIR_EraseRootFromParent_Done,
     /*  410876 */   // Label 7254: @410876
     /*  410876 */   GIM_Try, /*On fail goto*//*Label 7255*/ GIMT_Encode4(410949), // Rule ID 62292 //
     /*  410881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  410884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  410889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  410892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  410895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  410898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410905 */     // MIs[0] op1
     /*  410905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410928 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  410928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  410931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410933 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410935 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410937 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410947 */     GIR_RootConstrainSelectedInstOperands,
     /*  410948 */     // GIR_Coverage, 62292,
     /*  410948 */     GIR_EraseRootFromParent_Done,
     /*  410949 */   // Label 7255: @410949
     /*  410949 */   GIM_Try, /*On fail goto*//*Label 7256*/ GIMT_Encode4(411022), // Rule ID 62323 //
     /*  410954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  410957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  410962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  410965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  410968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410978 */     // MIs[0] op1
     /*  410978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410981 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  410994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411001 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  411001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  411004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411006 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411008 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411010 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411020 */     GIR_RootConstrainSelectedInstOperands,
     /*  411021 */     // GIR_Coverage, 62323,
     /*  411021 */     GIR_EraseRootFromParent_Done,
     /*  411022 */   // Label 7256: @411022
     /*  411022 */   GIM_Try, /*On fail goto*//*Label 7257*/ GIMT_Encode4(411095), // Rule ID 62324 //
     /*  411027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  411030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  411035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  411038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  411041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411051 */     // MIs[0] op1
     /*  411051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411054 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  411067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411074 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  411074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  411077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411079 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411081 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411083 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411093 */     GIR_RootConstrainSelectedInstOperands,
     /*  411094 */     // GIR_Coverage, 62324,
     /*  411094 */     GIR_EraseRootFromParent_Done,
     /*  411095 */   // Label 7257: @411095
     /*  411095 */   GIM_Try, /*On fail goto*//*Label 7258*/ GIMT_Encode4(411168), // Rule ID 62335 //
     /*  411100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  411108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  411111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  411114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  411117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411124 */     // MIs[0] op1
     /*  411124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411127 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411147 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  411147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  411150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411152 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411154 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411156 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411166 */     GIR_RootConstrainSelectedInstOperands,
     /*  411167 */     // GIR_Coverage, 62335,
     /*  411167 */     GIR_EraseRootFromParent_Done,
     /*  411168 */   // Label 7258: @411168
     /*  411168 */   GIM_Try, /*On fail goto*//*Label 7259*/ GIMT_Encode4(411241), // Rule ID 62336 //
     /*  411173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  411176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  411181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  411184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  411187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  411190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411197 */     // MIs[0] op1
     /*  411197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411200 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411220 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  411220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  411223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411225 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411227 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411229 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  411239 */     GIR_RootConstrainSelectedInstOperands,
     /*  411240 */     // GIR_Coverage, 62336,
     /*  411240 */     GIR_EraseRootFromParent_Done,
     /*  411241 */   // Label 7259: @411241
     /*  411241 */   GIM_Try, /*On fail goto*//*Label 7260*/ GIMT_Encode4(411314), // Rule ID 62367 //
     /*  411246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  411254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  411257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  411260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411270 */     // MIs[0] op1
     /*  411270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411273 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  411286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411293 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  411293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  411296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411298 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411300 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411302 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411312 */     GIR_RootConstrainSelectedInstOperands,
     /*  411313 */     // GIR_Coverage, 62367,
     /*  411313 */     GIR_EraseRootFromParent_Done,
     /*  411314 */   // Label 7260: @411314
     /*  411314 */   GIM_Try, /*On fail goto*//*Label 7261*/ GIMT_Encode4(411387), // Rule ID 62368 //
     /*  411319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  411322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  411327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  411330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  411333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411343 */     // MIs[0] op1
     /*  411343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  411359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411366 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  411366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  411369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411371 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411373 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411375 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411385 */     GIR_RootConstrainSelectedInstOperands,
     /*  411386 */     // GIR_Coverage, 62368,
     /*  411386 */     GIR_EraseRootFromParent_Done,
     /*  411387 */   // Label 7261: @411387
     /*  411387 */   GIM_Try, /*On fail goto*//*Label 7262*/ GIMT_Encode4(411460), // Rule ID 62379 //
     /*  411392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  411400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  411403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  411406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  411409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411416 */     // MIs[0] op1
     /*  411416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411419 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411439 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  411439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  411442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411444 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411446 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411448 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411458 */     GIR_RootConstrainSelectedInstOperands,
     /*  411459 */     // GIR_Coverage, 62379,
     /*  411459 */     GIR_EraseRootFromParent_Done,
     /*  411460 */   // Label 7262: @411460
     /*  411460 */   GIM_Try, /*On fail goto*//*Label 7263*/ GIMT_Encode4(411533), // Rule ID 62380 //
     /*  411465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  411468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  411473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  411476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  411479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  411482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411489 */     // MIs[0] op1
     /*  411489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411492 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411512 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  411512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  411515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411517 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411519 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411521 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411531 */     GIR_RootConstrainSelectedInstOperands,
     /*  411532 */     // GIR_Coverage, 62380,
     /*  411532 */     GIR_EraseRootFromParent_Done,
     /*  411533 */   // Label 7263: @411533
     /*  411533 */   GIM_Try, /*On fail goto*//*Label 7264*/ GIMT_Encode4(411606), // Rule ID 62403 //
     /*  411538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  411546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  411549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  411552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  411555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411562 */     // MIs[0] op1
     /*  411562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411565 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  411570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  411578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411585 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10960:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  411585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  411588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411590 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411592 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411594 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411604 */     GIR_RootConstrainSelectedInstOperands,
     /*  411605 */     // GIR_Coverage, 62403,
     /*  411605 */     GIR_EraseRootFromParent_Done,
     /*  411606 */   // Label 7264: @411606
     /*  411606 */   GIM_Try, /*On fail goto*//*Label 7265*/ GIMT_Encode4(411679), // Rule ID 62404 //
     /*  411611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  411614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  411619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  411622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  411625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  411628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411635 */     // MIs[0] op1
     /*  411635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411638 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  411643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  411651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10960:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  411658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  411661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411663 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411665 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411667 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411677 */     GIR_RootConstrainSelectedInstOperands,
     /*  411678 */     // GIR_Coverage, 62404,
     /*  411678 */     GIR_EraseRootFromParent_Done,
     /*  411679 */   // Label 7265: @411679
     /*  411679 */   GIM_Try, /*On fail goto*//*Label 7266*/ GIMT_Encode4(411752), // Rule ID 62423 //
     /*  411684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  411692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  411695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  411698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411708 */     // MIs[0] op1
     /*  411708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411711 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  411724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411731 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  411731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  411734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411736 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411738 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411740 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411750 */     GIR_RootConstrainSelectedInstOperands,
     /*  411751 */     // GIR_Coverage, 62423,
     /*  411751 */     GIR_EraseRootFromParent_Done,
     /*  411752 */   // Label 7266: @411752
     /*  411752 */   GIM_Try, /*On fail goto*//*Label 7267*/ GIMT_Encode4(411825), // Rule ID 62424 //
     /*  411757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  411760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  411765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  411768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  411771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411781 */     // MIs[0] op1
     /*  411781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411784 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  411797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411804 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  411804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  411807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411809 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411811 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411813 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411823 */     GIR_RootConstrainSelectedInstOperands,
     /*  411824 */     // GIR_Coverage, 62424,
     /*  411824 */     GIR_EraseRootFromParent_Done,
     /*  411825 */   // Label 7267: @411825
     /*  411825 */   GIM_Try, /*On fail goto*//*Label 7268*/ GIMT_Encode4(411898), // Rule ID 62435 //
     /*  411830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  411838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  411841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  411844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  411847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411854 */     // MIs[0] op1
     /*  411854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411857 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411877 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  411877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  411880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411882 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411884 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411886 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411896 */     GIR_RootConstrainSelectedInstOperands,
     /*  411897 */     // GIR_Coverage, 62435,
     /*  411897 */     GIR_EraseRootFromParent_Done,
     /*  411898 */   // Label 7268: @411898
     /*  411898 */   GIM_Try, /*On fail goto*//*Label 7269*/ GIMT_Encode4(411971), // Rule ID 62436 //
     /*  411903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  411906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  411911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  411914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  411917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  411920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411927 */     // MIs[0] op1
     /*  411927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411930 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411950 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  411950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  411953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411955 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411957 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411959 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411969 */     GIR_RootConstrainSelectedInstOperands,
     /*  411970 */     // GIR_Coverage, 62436,
     /*  411970 */     GIR_EraseRootFromParent_Done,
     /*  411971 */   // Label 7269: @411971
     /*  411971 */   GIM_Try, /*On fail goto*//*Label 7270*/ GIMT_Encode4(412044), // Rule ID 62459 //
     /*  411976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  411984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  411987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  411990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  411993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412000 */     // MIs[0] op1
     /*  412000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412003 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  412008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  412016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412023 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10960:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  412023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  412026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412028 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412030 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412032 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412042 */     GIR_RootConstrainSelectedInstOperands,
     /*  412043 */     // GIR_Coverage, 62459,
     /*  412043 */     GIR_EraseRootFromParent_Done,
     /*  412044 */   // Label 7270: @412044
     /*  412044 */   GIM_Try, /*On fail goto*//*Label 7271*/ GIMT_Encode4(412117), // Rule ID 62460 //
     /*  412049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  412057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  412060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  412063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  412066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412073 */     // MIs[0] op1
     /*  412073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412076 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  412081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  412089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10960:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  412096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  412099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412101 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412103 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412105 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412115 */     GIR_RootConstrainSelectedInstOperands,
     /*  412116 */     // GIR_Coverage, 62460,
     /*  412116 */     GIR_EraseRootFromParent_Done,
     /*  412117 */   // Label 7271: @412117
     /*  412117 */   GIM_Try, /*On fail goto*//*Label 7272*/ GIMT_Encode4(412190), // Rule ID 62479 //
     /*  412122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  412133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  412136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412146 */     // MIs[0] op1
     /*  412146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412149 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412169 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  412169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  412172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412174 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412176 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412178 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412188 */     GIR_RootConstrainSelectedInstOperands,
     /*  412189 */     // GIR_Coverage, 62479,
     /*  412189 */     GIR_EraseRootFromParent_Done,
     /*  412190 */   // Label 7272: @412190
     /*  412190 */   GIM_Try, /*On fail goto*//*Label 7273*/ GIMT_Encode4(412263), // Rule ID 62480 //
     /*  412195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  412206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  412209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412219 */     // MIs[0] op1
     /*  412219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412222 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412242 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  412242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  412245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412247 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412249 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412251 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412261 */     GIR_RootConstrainSelectedInstOperands,
     /*  412262 */     // GIR_Coverage, 62480,
     /*  412262 */     GIR_EraseRootFromParent_Done,
     /*  412263 */   // Label 7273: @412263
     /*  412263 */   GIM_Try, /*On fail goto*//*Label 7274*/ GIMT_Encode4(412336), // Rule ID 62491 //
     /*  412268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  412279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  412282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  412285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412292 */     // MIs[0] op1
     /*  412292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412295 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412315 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  412315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  412318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412320 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412322 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412324 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412334 */     GIR_RootConstrainSelectedInstOperands,
     /*  412335 */     // GIR_Coverage, 62491,
     /*  412335 */     GIR_EraseRootFromParent_Done,
     /*  412336 */   // Label 7274: @412336
     /*  412336 */   GIM_Try, /*On fail goto*//*Label 7275*/ GIMT_Encode4(412409), // Rule ID 62492 //
     /*  412341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  412352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  412355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  412358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412365 */     // MIs[0] op1
     /*  412365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412368 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412388 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  412388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  412391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412393 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412395 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412397 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412407 */     GIR_RootConstrainSelectedInstOperands,
     /*  412408 */     // GIR_Coverage, 62492,
     /*  412408 */     GIR_EraseRootFromParent_Done,
     /*  412409 */   // Label 7275: @412409
     /*  412409 */   GIM_Try, /*On fail goto*//*Label 7276*/ GIMT_Encode4(412482), // Rule ID 62515 //
     /*  412414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  412422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  412425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  412428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412438 */     // MIs[0] op1
     /*  412438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412441 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  412446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  412454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412461 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10960:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  412461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  412464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412466 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412468 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412470 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412480 */     GIR_RootConstrainSelectedInstOperands,
     /*  412481 */     // GIR_Coverage, 62515,
     /*  412481 */     GIR_EraseRootFromParent_Done,
     /*  412482 */   // Label 7276: @412482
     /*  412482 */   GIM_Try, /*On fail goto*//*Label 7277*/ GIMT_Encode4(412555), // Rule ID 62516 //
     /*  412487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  412495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  412498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  412501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412511 */     // MIs[0] op1
     /*  412511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412514 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  412519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  412527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10960:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  412534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  412537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412539 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412541 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412543 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412553 */     GIR_RootConstrainSelectedInstOperands,
     /*  412554 */     // GIR_Coverage, 62516,
     /*  412554 */     GIR_EraseRootFromParent_Done,
     /*  412555 */   // Label 7277: @412555
     /*  412555 */   GIM_Try, /*On fail goto*//*Label 7278*/ GIMT_Encode4(412628), // Rule ID 62535 //
     /*  412560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  412571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  412574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412584 */     // MIs[0] op1
     /*  412584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412607 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  412610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412612 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412614 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412616 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412626 */     GIR_RootConstrainSelectedInstOperands,
     /*  412627 */     // GIR_Coverage, 62535,
     /*  412627 */     GIR_EraseRootFromParent_Done,
     /*  412628 */   // Label 7278: @412628
     /*  412628 */   GIM_Try, /*On fail goto*//*Label 7279*/ GIMT_Encode4(412701), // Rule ID 62536 //
     /*  412633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  412644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  412647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412657 */     // MIs[0] op1
     /*  412657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412660 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412680 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  412683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412685 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412687 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412689 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412699 */     GIR_RootConstrainSelectedInstOperands,
     /*  412700 */     // GIR_Coverage, 62536,
     /*  412700 */     GIR_EraseRootFromParent_Done,
     /*  412701 */   // Label 7279: @412701
     /*  412701 */   GIM_Try, /*On fail goto*//*Label 7280*/ GIMT_Encode4(412774), // Rule ID 62547 //
     /*  412706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  412717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  412720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  412723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412730 */     // MIs[0] op1
     /*  412730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412733 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412753 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  412753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  412756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412758 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412760 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412762 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412772 */     GIR_RootConstrainSelectedInstOperands,
     /*  412773 */     // GIR_Coverage, 62547,
     /*  412773 */     GIR_EraseRootFromParent_Done,
     /*  412774 */   // Label 7280: @412774
     /*  412774 */   GIM_Try, /*On fail goto*//*Label 7281*/ GIMT_Encode4(412847), // Rule ID 62548 //
     /*  412779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  412790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  412793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  412796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412803 */     // MIs[0] op1
     /*  412803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412806 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412826 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  412826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  412829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412831 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412833 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412835 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412845 */     GIR_RootConstrainSelectedInstOperands,
     /*  412846 */     // GIR_Coverage, 62548,
     /*  412846 */     GIR_EraseRootFromParent_Done,
     /*  412847 */   // Label 7281: @412847
     /*  412847 */   GIM_Try, /*On fail goto*//*Label 7282*/ GIMT_Encode4(412920), // Rule ID 62579 //
     /*  412852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  412863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  412866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412876 */     // MIs[0] op1
     /*  412876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412879 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412899 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  412899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  412902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412904 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412906 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412908 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412918 */     GIR_RootConstrainSelectedInstOperands,
     /*  412919 */     // GIR_Coverage, 62579,
     /*  412919 */     GIR_EraseRootFromParent_Done,
     /*  412920 */   // Label 7282: @412920
     /*  412920 */   GIM_Try, /*On fail goto*//*Label 7283*/ GIMT_Encode4(412993), // Rule ID 62580 //
     /*  412925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  412936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  412939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412949 */     // MIs[0] op1
     /*  412949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412952 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412972 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  412972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  412975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412977 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412979 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412981 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  412991 */     GIR_RootConstrainSelectedInstOperands,
     /*  412992 */     // GIR_Coverage, 62580,
     /*  412992 */     GIR_EraseRootFromParent_Done,
     /*  412993 */   // Label 7283: @412993
     /*  412993 */   GIM_Try, /*On fail goto*//*Label 7284*/ GIMT_Encode4(413066), // Rule ID 62591 //
     /*  412998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  413009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  413012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  413015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413022 */     // MIs[0] op1
     /*  413022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413025 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413045 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  413045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  413048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413050 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413052 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413054 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413064 */     GIR_RootConstrainSelectedInstOperands,
     /*  413065 */     // GIR_Coverage, 62591,
     /*  413065 */     GIR_EraseRootFromParent_Done,
     /*  413066 */   // Label 7284: @413066
     /*  413066 */   GIM_Try, /*On fail goto*//*Label 7285*/ GIMT_Encode4(413139), // Rule ID 62592 //
     /*  413071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  413082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  413085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  413088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413095 */     // MIs[0] op1
     /*  413095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413098 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413118 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  413121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413123 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413125 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413127 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413137 */     GIR_RootConstrainSelectedInstOperands,
     /*  413138 */     // GIR_Coverage, 62592,
     /*  413138 */     GIR_EraseRootFromParent_Done,
     /*  413139 */   // Label 7285: @413139
     /*  413139 */   GIM_Try, /*On fail goto*//*Label 7286*/ GIMT_Encode4(413212), // Rule ID 62615 //
     /*  413144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  413155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  413158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  413161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413168 */     // MIs[0] op1
     /*  413168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413171 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  413184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413191 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10960:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  413191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  413194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413196 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413198 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413200 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413210 */     GIR_RootConstrainSelectedInstOperands,
     /*  413211 */     // GIR_Coverage, 62615,
     /*  413211 */     GIR_EraseRootFromParent_Done,
     /*  413212 */   // Label 7286: @413212
     /*  413212 */   GIM_Try, /*On fail goto*//*Label 7287*/ GIMT_Encode4(413285), // Rule ID 62616 //
     /*  413217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  413228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  413231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  413234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413241 */     // MIs[0] op1
     /*  413241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413244 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  413257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413264 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10960:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  413264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  413267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413269 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413271 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413273 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413283 */     GIR_RootConstrainSelectedInstOperands,
     /*  413284 */     // GIR_Coverage, 62616,
     /*  413284 */     GIR_EraseRootFromParent_Done,
     /*  413285 */   // Label 7287: @413285
     /*  413285 */   GIM_Try, /*On fail goto*//*Label 7288*/ GIMT_Encode4(413358), // Rule ID 62635 //
     /*  413290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  413301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  413304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413314 */     // MIs[0] op1
     /*  413314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413317 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413337 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  413337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  413340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413342 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413344 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413346 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413356 */     GIR_RootConstrainSelectedInstOperands,
     /*  413357 */     // GIR_Coverage, 62635,
     /*  413357 */     GIR_EraseRootFromParent_Done,
     /*  413358 */   // Label 7288: @413358
     /*  413358 */   GIM_Try, /*On fail goto*//*Label 7289*/ GIMT_Encode4(413431), // Rule ID 62636 //
     /*  413363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  413374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  413377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413387 */     // MIs[0] op1
     /*  413387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413390 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413410 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  413410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  413413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413415 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413417 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413419 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413429 */     GIR_RootConstrainSelectedInstOperands,
     /*  413430 */     // GIR_Coverage, 62636,
     /*  413430 */     GIR_EraseRootFromParent_Done,
     /*  413431 */   // Label 7289: @413431
     /*  413431 */   GIM_Try, /*On fail goto*//*Label 7290*/ GIMT_Encode4(413504), // Rule ID 62647 //
     /*  413436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  413447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  413450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  413453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413460 */     // MIs[0] op1
     /*  413460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413463 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413483 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  413483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  413486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413488 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413490 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413492 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413502 */     GIR_RootConstrainSelectedInstOperands,
     /*  413503 */     // GIR_Coverage, 62647,
     /*  413503 */     GIR_EraseRootFromParent_Done,
     /*  413504 */   // Label 7290: @413504
     /*  413504 */   GIM_Try, /*On fail goto*//*Label 7291*/ GIMT_Encode4(413577), // Rule ID 62648 //
     /*  413509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  413520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  413523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  413526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413533 */     // MIs[0] op1
     /*  413533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413556 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  413556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  413559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413561 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413563 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413565 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413575 */     GIR_RootConstrainSelectedInstOperands,
     /*  413576 */     // GIR_Coverage, 62648,
     /*  413576 */     GIR_EraseRootFromParent_Done,
     /*  413577 */   // Label 7291: @413577
     /*  413577 */   GIM_Try, /*On fail goto*//*Label 7292*/ GIMT_Encode4(413650), // Rule ID 62671 //
     /*  413582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  413593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  413596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413606 */     // MIs[0] op1
     /*  413606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413609 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  413622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413629 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10960:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  413629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  413632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413634 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413636 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413638 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413648 */     GIR_RootConstrainSelectedInstOperands,
     /*  413649 */     // GIR_Coverage, 62671,
     /*  413649 */     GIR_EraseRootFromParent_Done,
     /*  413650 */   // Label 7292: @413650
     /*  413650 */   GIM_Try, /*On fail goto*//*Label 7293*/ GIMT_Encode4(413723), // Rule ID 62672 //
     /*  413655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  413666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  413669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413679 */     // MIs[0] op1
     /*  413679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413682 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  413695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10960:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  413702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  413705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413707 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413709 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413711 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413721 */     GIR_RootConstrainSelectedInstOperands,
     /*  413722 */     // GIR_Coverage, 62672,
     /*  413722 */     GIR_EraseRootFromParent_Done,
     /*  413723 */   // Label 7293: @413723
     /*  413723 */   GIM_Try, /*On fail goto*//*Label 7294*/ GIMT_Encode4(413796), // Rule ID 62691 //
     /*  413728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  413739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  413742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413752 */     // MIs[0] op1
     /*  413752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413755 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413775 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  413775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  413778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413780 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413782 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413784 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  413794 */     GIR_RootConstrainSelectedInstOperands,
     /*  413795 */     // GIR_Coverage, 62691,
     /*  413795 */     GIR_EraseRootFromParent_Done,
     /*  413796 */   // Label 7294: @413796
     /*  413796 */   GIM_Try, /*On fail goto*//*Label 7295*/ GIMT_Encode4(413869), // Rule ID 62692 //
     /*  413801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  413812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  413815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413825 */     // MIs[0] op1
     /*  413825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413828 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413848 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  413848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  413851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413853 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413855 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413857 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  413867 */     GIR_RootConstrainSelectedInstOperands,
     /*  413868 */     // GIR_Coverage, 62692,
     /*  413868 */     GIR_EraseRootFromParent_Done,
     /*  413869 */   // Label 7295: @413869
     /*  413869 */   GIM_Try, /*On fail goto*//*Label 7296*/ GIMT_Encode4(413942), // Rule ID 62703 //
     /*  413874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  413885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  413888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  413891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413898 */     // MIs[0] op1
     /*  413898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413901 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413921 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  413921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  413924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413926 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413928 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413930 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  413940 */     GIR_RootConstrainSelectedInstOperands,
     /*  413941 */     // GIR_Coverage, 62703,
     /*  413941 */     GIR_EraseRootFromParent_Done,
     /*  413942 */   // Label 7296: @413942
     /*  413942 */   GIM_Try, /*On fail goto*//*Label 7297*/ GIMT_Encode4(414015), // Rule ID 62704 //
     /*  413947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  413958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  413961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  413964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413971 */     // MIs[0] op1
     /*  413971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413994 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  413994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  413997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413999 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414001 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414003 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  414013 */     GIR_RootConstrainSelectedInstOperands,
     /*  414014 */     // GIR_Coverage, 62704,
     /*  414014 */     GIR_EraseRootFromParent_Done,
     /*  414015 */   // Label 7297: @414015
     /*  414015 */   GIM_Try, /*On fail goto*//*Label 7298*/ GIMT_Encode4(414088), // Rule ID 62727 //
     /*  414020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  414031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  414034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414044 */     // MIs[0] op1
     /*  414044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414047 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  414060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414067 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10960:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  414067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  414070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414072 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414074 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414076 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  414086 */     GIR_RootConstrainSelectedInstOperands,
     /*  414087 */     // GIR_Coverage, 62727,
     /*  414087 */     GIR_EraseRootFromParent_Done,
     /*  414088 */   // Label 7298: @414088
     /*  414088 */   GIM_Try, /*On fail goto*//*Label 7299*/ GIMT_Encode4(414161), // Rule ID 62728 //
     /*  414093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  414104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  414107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414117 */     // MIs[0] op1
     /*  414117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414120 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  414133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414140 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10960:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  414140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  414143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414145 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414147 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414149 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  414159 */     GIR_RootConstrainSelectedInstOperands,
     /*  414160 */     // GIR_Coverage, 62728,
     /*  414160 */     GIR_EraseRootFromParent_Done,
     /*  414161 */   // Label 7299: @414161
     /*  414161 */   GIM_Try, /*On fail goto*//*Label 7300*/ GIMT_Encode4(414234), // Rule ID 62747 //
     /*  414166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  414177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  414180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414190 */     // MIs[0] op1
     /*  414190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414193 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414213 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  414213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  414216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414218 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414220 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414222 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414232 */     GIR_RootConstrainSelectedInstOperands,
     /*  414233 */     // GIR_Coverage, 62747,
     /*  414233 */     GIR_EraseRootFromParent_Done,
     /*  414234 */   // Label 7300: @414234
     /*  414234 */   GIM_Try, /*On fail goto*//*Label 7301*/ GIMT_Encode4(414307), // Rule ID 62748 //
     /*  414239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  414250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  414253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414263 */     // MIs[0] op1
     /*  414263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414266 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414286 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  414286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  414289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414291 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414293 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414295 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414305 */     GIR_RootConstrainSelectedInstOperands,
     /*  414306 */     // GIR_Coverage, 62748,
     /*  414306 */     GIR_EraseRootFromParent_Done,
     /*  414307 */   // Label 7301: @414307
     /*  414307 */   GIM_Try, /*On fail goto*//*Label 7302*/ GIMT_Encode4(414380), // Rule ID 62759 //
     /*  414312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  414323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  414326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  414329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414336 */     // MIs[0] op1
     /*  414336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414339 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414359 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  414359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  414362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414364 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414366 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414368 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414378 */     GIR_RootConstrainSelectedInstOperands,
     /*  414379 */     // GIR_Coverage, 62759,
     /*  414379 */     GIR_EraseRootFromParent_Done,
     /*  414380 */   // Label 7302: @414380
     /*  414380 */   GIM_Try, /*On fail goto*//*Label 7303*/ GIMT_Encode4(414453), // Rule ID 62760 //
     /*  414385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  414396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  414399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  414402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414409 */     // MIs[0] op1
     /*  414409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414412 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414432 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  414432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  414435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414437 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414439 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414441 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414451 */     GIR_RootConstrainSelectedInstOperands,
     /*  414452 */     // GIR_Coverage, 62760,
     /*  414452 */     GIR_EraseRootFromParent_Done,
     /*  414453 */   // Label 7303: @414453
     /*  414453 */   GIM_Try, /*On fail goto*//*Label 7304*/ GIMT_Encode4(414526), // Rule ID 62791 //
     /*  414458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  414469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  414472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414482 */     // MIs[0] op1
     /*  414482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414485 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414505 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  414505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  414508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414510 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414512 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414514 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414524 */     GIR_RootConstrainSelectedInstOperands,
     /*  414525 */     // GIR_Coverage, 62791,
     /*  414525 */     GIR_EraseRootFromParent_Done,
     /*  414526 */   // Label 7304: @414526
     /*  414526 */   GIM_Try, /*On fail goto*//*Label 7305*/ GIMT_Encode4(414599), // Rule ID 62792 //
     /*  414531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  414542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  414545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414555 */     // MIs[0] op1
     /*  414555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414558 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414578 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  414578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  414581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414583 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414585 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414587 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414597 */     GIR_RootConstrainSelectedInstOperands,
     /*  414598 */     // GIR_Coverage, 62792,
     /*  414598 */     GIR_EraseRootFromParent_Done,
     /*  414599 */   // Label 7305: @414599
     /*  414599 */   GIM_Try, /*On fail goto*//*Label 7306*/ GIMT_Encode4(414672), // Rule ID 62803 //
     /*  414604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  414615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  414618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  414621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414628 */     // MIs[0] op1
     /*  414628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414631 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414651 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  414651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  414654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414656 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414658 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414660 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414670 */     GIR_RootConstrainSelectedInstOperands,
     /*  414671 */     // GIR_Coverage, 62803,
     /*  414671 */     GIR_EraseRootFromParent_Done,
     /*  414672 */   // Label 7306: @414672
     /*  414672 */   GIM_Try, /*On fail goto*//*Label 7307*/ GIMT_Encode4(414745), // Rule ID 62804 //
     /*  414677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  414688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  414691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  414694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414701 */     // MIs[0] op1
     /*  414701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414704 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414724 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  414724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  414727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414729 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414731 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414733 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414743 */     GIR_RootConstrainSelectedInstOperands,
     /*  414744 */     // GIR_Coverage, 62804,
     /*  414744 */     GIR_EraseRootFromParent_Done,
     /*  414745 */   // Label 7307: @414745
     /*  414745 */   GIM_Try, /*On fail goto*//*Label 7308*/ GIMT_Encode4(414818), // Rule ID 62835 //
     /*  414750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  414761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  414764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414774 */     // MIs[0] op1
     /*  414774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414777 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414797 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  414797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  414800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414802 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414804 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414806 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414816 */     GIR_RootConstrainSelectedInstOperands,
     /*  414817 */     // GIR_Coverage, 62835,
     /*  414817 */     GIR_EraseRootFromParent_Done,
     /*  414818 */   // Label 7308: @414818
     /*  414818 */   GIM_Try, /*On fail goto*//*Label 7309*/ GIMT_Encode4(414891), // Rule ID 62836 //
     /*  414823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  414831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  414834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  414837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414847 */     // MIs[0] op1
     /*  414847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414850 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  414863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414870 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  414870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  414873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414875 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414877 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414879 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414889 */     GIR_RootConstrainSelectedInstOperands,
     /*  414890 */     // GIR_Coverage, 62836,
     /*  414890 */     GIR_EraseRootFromParent_Done,
     /*  414891 */   // Label 7309: @414891
     /*  414891 */   GIM_Try, /*On fail goto*//*Label 7310*/ GIMT_Encode4(414964), // Rule ID 62847 //
     /*  414896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  414907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  414910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  414913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414920 */     // MIs[0] op1
     /*  414920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414923 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414943 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  414943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  414946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414948 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414950 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414952 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414962 */     GIR_RootConstrainSelectedInstOperands,
     /*  414963 */     // GIR_Coverage, 62847,
     /*  414963 */     GIR_EraseRootFromParent_Done,
     /*  414964 */   // Label 7310: @414964
     /*  414964 */   GIM_Try, /*On fail goto*//*Label 7311*/ GIMT_Encode4(415037), // Rule ID 62848 //
     /*  414969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  414980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  414983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  414986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414993 */     // MIs[0] op1
     /*  414993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414996 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415016 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  415016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  415019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415021 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415023 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415025 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415035 */     GIR_RootConstrainSelectedInstOperands,
     /*  415036 */     // GIR_Coverage, 62848,
     /*  415036 */     GIR_EraseRootFromParent_Done,
     /*  415037 */   // Label 7311: @415037
     /*  415037 */   GIM_Try, /*On fail goto*//*Label 7312*/ GIMT_Encode4(415110), // Rule ID 62879 //
     /*  415042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  415053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  415056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415066 */     // MIs[0] op1
     /*  415066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415069 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415089 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  415089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  415092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415094 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415096 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415098 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415108 */     GIR_RootConstrainSelectedInstOperands,
     /*  415109 */     // GIR_Coverage, 62879,
     /*  415109 */     GIR_EraseRootFromParent_Done,
     /*  415110 */   // Label 7312: @415110
     /*  415110 */   GIM_Try, /*On fail goto*//*Label 7313*/ GIMT_Encode4(415183), // Rule ID 62880 //
     /*  415115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  415126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  415129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415139 */     // MIs[0] op1
     /*  415139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415142 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415162 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  415162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  415165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415167 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415169 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415171 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415181 */     GIR_RootConstrainSelectedInstOperands,
     /*  415182 */     // GIR_Coverage, 62880,
     /*  415182 */     GIR_EraseRootFromParent_Done,
     /*  415183 */   // Label 7313: @415183
     /*  415183 */   GIM_Try, /*On fail goto*//*Label 7314*/ GIMT_Encode4(415256), // Rule ID 62891 //
     /*  415188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  415199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  415202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  415205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415212 */     // MIs[0] op1
     /*  415212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415215 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415235 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  415235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  415238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415240 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415242 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415244 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415254 */     GIR_RootConstrainSelectedInstOperands,
     /*  415255 */     // GIR_Coverage, 62891,
     /*  415255 */     GIR_EraseRootFromParent_Done,
     /*  415256 */   // Label 7314: @415256
     /*  415256 */   GIM_Try, /*On fail goto*//*Label 7315*/ GIMT_Encode4(415329), // Rule ID 62892 //
     /*  415261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  415272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  415275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  415278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415285 */     // MIs[0] op1
     /*  415285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415288 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415308 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  415308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  415311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415313 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415315 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415317 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415327 */     GIR_RootConstrainSelectedInstOperands,
     /*  415328 */     // GIR_Coverage, 62892,
     /*  415328 */     GIR_EraseRootFromParent_Done,
     /*  415329 */   // Label 7315: @415329
     /*  415329 */   GIM_Try, /*On fail goto*//*Label 7316*/ GIMT_Encode4(415402), // Rule ID 62915 //
     /*  415334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  415345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  415348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  415351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415358 */     // MIs[0] op1
     /*  415358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415361 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  415374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415381 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10960:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  415381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  415384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415386 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415388 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415390 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415400 */     GIR_RootConstrainSelectedInstOperands,
     /*  415401 */     // GIR_Coverage, 62915,
     /*  415401 */     GIR_EraseRootFromParent_Done,
     /*  415402 */   // Label 7316: @415402
     /*  415402 */   GIM_Try, /*On fail goto*//*Label 7317*/ GIMT_Encode4(415475), // Rule ID 62916 //
     /*  415407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  415418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  415421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  415424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415431 */     // MIs[0] op1
     /*  415431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415434 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  415447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415454 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10960:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  415454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  415457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415459 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415461 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415463 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415473 */     GIR_RootConstrainSelectedInstOperands,
     /*  415474 */     // GIR_Coverage, 62916,
     /*  415474 */     GIR_EraseRootFromParent_Done,
     /*  415475 */   // Label 7317: @415475
     /*  415475 */   GIM_Try, /*On fail goto*//*Label 7318*/ GIMT_Encode4(415548), // Rule ID 62935 //
     /*  415480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  415491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  415494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415504 */     // MIs[0] op1
     /*  415504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415507 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415527 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  415527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  415530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415532 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415534 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415536 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415546 */     GIR_RootConstrainSelectedInstOperands,
     /*  415547 */     // GIR_Coverage, 62935,
     /*  415547 */     GIR_EraseRootFromParent_Done,
     /*  415548 */   // Label 7318: @415548
     /*  415548 */   GIM_Try, /*On fail goto*//*Label 7319*/ GIMT_Encode4(415621), // Rule ID 62936 //
     /*  415553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  415564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  415567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415577 */     // MIs[0] op1
     /*  415577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415580 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415600 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  415600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  415603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415605 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415607 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415609 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415619 */     GIR_RootConstrainSelectedInstOperands,
     /*  415620 */     // GIR_Coverage, 62936,
     /*  415620 */     GIR_EraseRootFromParent_Done,
     /*  415621 */   // Label 7319: @415621
     /*  415621 */   GIM_Try, /*On fail goto*//*Label 7320*/ GIMT_Encode4(415694), // Rule ID 62947 //
     /*  415626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  415637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  415640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  415643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415650 */     // MIs[0] op1
     /*  415650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415653 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415673 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  415673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  415676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415678 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415680 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415682 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415692 */     GIR_RootConstrainSelectedInstOperands,
     /*  415693 */     // GIR_Coverage, 62947,
     /*  415693 */     GIR_EraseRootFromParent_Done,
     /*  415694 */   // Label 7320: @415694
     /*  415694 */   GIM_Try, /*On fail goto*//*Label 7321*/ GIMT_Encode4(415767), // Rule ID 62948 //
     /*  415699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  415707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  415710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  415713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  415716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415723 */     // MIs[0] op1
     /*  415723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415726 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415746 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  415746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  415749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415751 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415753 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415755 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415765 */     GIR_RootConstrainSelectedInstOperands,
     /*  415766 */     // GIR_Coverage, 62948,
     /*  415766 */     GIR_EraseRootFromParent_Done,
     /*  415767 */   // Label 7321: @415767
     /*  415767 */   GIM_Try, /*On fail goto*//*Label 7322*/ GIMT_Encode4(415840), // Rule ID 62971 //
     /*  415772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  415783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  415786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  415789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415796 */     // MIs[0] op1
     /*  415796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415799 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  415812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415819 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10960:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  415819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  415822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415824 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415826 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415828 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415838 */     GIR_RootConstrainSelectedInstOperands,
     /*  415839 */     // GIR_Coverage, 62971,
     /*  415839 */     GIR_EraseRootFromParent_Done,
     /*  415840 */   // Label 7322: @415840
     /*  415840 */   GIM_Try, /*On fail goto*//*Label 7323*/ GIMT_Encode4(415913), // Rule ID 62972 //
     /*  415845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  415853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  415856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  415859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  415862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415869 */     // MIs[0] op1
     /*  415869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  415877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  415885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415892 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10960:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  415892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  415895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415897 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415899 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415901 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415911 */     GIR_RootConstrainSelectedInstOperands,
     /*  415912 */     // GIR_Coverage, 62972,
     /*  415912 */     GIR_EraseRootFromParent_Done,
     /*  415913 */   // Label 7323: @415913
     /*  415913 */   GIM_Try, /*On fail goto*//*Label 7324*/ GIMT_Encode4(415986), // Rule ID 62991 //
     /*  415918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  415921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  415929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  415932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415942 */     // MIs[0] op1
     /*  415942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  415945 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  415950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  415958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415965 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  415965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  415968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415970 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  415972 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  415974 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  415976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415984 */     GIR_RootConstrainSelectedInstOperands,
     /*  415985 */     // GIR_Coverage, 62991,
     /*  415985 */     GIR_EraseRootFromParent_Done,
     /*  415986 */   // Label 7324: @415986
     /*  415986 */   GIM_Try, /*On fail goto*//*Label 7325*/ GIMT_Encode4(416059), // Rule ID 62992 //
     /*  415991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  415994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  415999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  416002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  416005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416015 */     // MIs[0] op1
     /*  416015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416018 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416038 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  416041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416043 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416045 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416047 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416057 */     GIR_RootConstrainSelectedInstOperands,
     /*  416058 */     // GIR_Coverage, 62992,
     /*  416058 */     GIR_EraseRootFromParent_Done,
     /*  416059 */   // Label 7325: @416059
     /*  416059 */   GIM_Try, /*On fail goto*//*Label 7326*/ GIMT_Encode4(416132), // Rule ID 63003 //
     /*  416064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  416075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  416078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  416081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416088 */     // MIs[0] op1
     /*  416088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416111 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  416111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  416114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416116 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416118 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416120 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416130 */     GIR_RootConstrainSelectedInstOperands,
     /*  416131 */     // GIR_Coverage, 63003,
     /*  416131 */     GIR_EraseRootFromParent_Done,
     /*  416132 */   // Label 7326: @416132
     /*  416132 */   GIM_Try, /*On fail goto*//*Label 7327*/ GIMT_Encode4(416205), // Rule ID 63004 //
     /*  416137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  416148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  416151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  416154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416161 */     // MIs[0] op1
     /*  416161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416164 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416184 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  416187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416189 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416191 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416193 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416203 */     GIR_RootConstrainSelectedInstOperands,
     /*  416204 */     // GIR_Coverage, 63004,
     /*  416204 */     GIR_EraseRootFromParent_Done,
     /*  416205 */   // Label 7327: @416205
     /*  416205 */   GIM_Try, /*On fail goto*//*Label 7328*/ GIMT_Encode4(416278), // Rule ID 63027 //
     /*  416210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  416218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  416221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  416224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  416227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416234 */     // MIs[0] op1
     /*  416234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416237 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  416242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  416250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416257 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10960:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  416257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  416260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416262 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416264 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416266 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416276 */     GIR_RootConstrainSelectedInstOperands,
     /*  416277 */     // GIR_Coverage, 63027,
     /*  416277 */     GIR_EraseRootFromParent_Done,
     /*  416278 */   // Label 7328: @416278
     /*  416278 */   GIM_Try, /*On fail goto*//*Label 7329*/ GIMT_Encode4(416351), // Rule ID 63028 //
     /*  416283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  416291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  416294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  416297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  416300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416307 */     // MIs[0] op1
     /*  416307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416310 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  416315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  416323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416330 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10960:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  416333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416335 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416337 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416339 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416349 */     GIR_RootConstrainSelectedInstOperands,
     /*  416350 */     // GIR_Coverage, 63028,
     /*  416350 */     GIR_EraseRootFromParent_Done,
     /*  416351 */   // Label 7329: @416351
     /*  416351 */   GIM_Try, /*On fail goto*//*Label 7330*/ GIMT_Encode4(416424), // Rule ID 63047 //
     /*  416356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  416367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  416370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416380 */     // MIs[0] op1
     /*  416380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416383 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416403 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  416403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  416406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416408 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416410 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416412 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416422 */     GIR_RootConstrainSelectedInstOperands,
     /*  416423 */     // GIR_Coverage, 63047,
     /*  416423 */     GIR_EraseRootFromParent_Done,
     /*  416424 */   // Label 7330: @416424
     /*  416424 */   GIM_Try, /*On fail goto*//*Label 7331*/ GIMT_Encode4(416497), // Rule ID 63048 //
     /*  416429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  416440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  416443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416453 */     // MIs[0] op1
     /*  416453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416456 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416476 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  416476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  416479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416481 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416483 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416485 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416495 */     GIR_RootConstrainSelectedInstOperands,
     /*  416496 */     // GIR_Coverage, 63048,
     /*  416496 */     GIR_EraseRootFromParent_Done,
     /*  416497 */   // Label 7331: @416497
     /*  416497 */   GIM_Try, /*On fail goto*//*Label 7332*/ GIMT_Encode4(416570), // Rule ID 63059 //
     /*  416502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  416513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  416516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  416519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416526 */     // MIs[0] op1
     /*  416526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416529 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416549 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  416549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  416552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416554 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416556 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416558 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416568 */     GIR_RootConstrainSelectedInstOperands,
     /*  416569 */     // GIR_Coverage, 63059,
     /*  416569 */     GIR_EraseRootFromParent_Done,
     /*  416570 */   // Label 7332: @416570
     /*  416570 */   GIM_Try, /*On fail goto*//*Label 7333*/ GIMT_Encode4(416643), // Rule ID 63060 //
     /*  416575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  416586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  416589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  416592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416599 */     // MIs[0] op1
     /*  416599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416602 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416622 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  416622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  416625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416627 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416629 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416631 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416641 */     GIR_RootConstrainSelectedInstOperands,
     /*  416642 */     // GIR_Coverage, 63060,
     /*  416642 */     GIR_EraseRootFromParent_Done,
     /*  416643 */   // Label 7333: @416643
     /*  416643 */   GIM_Try, /*On fail goto*//*Label 7334*/ GIMT_Encode4(416716), // Rule ID 63083 //
     /*  416648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  416656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  416659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  416662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416672 */     // MIs[0] op1
     /*  416672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416675 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  416680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  416688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416695 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10960:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  416695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  416698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416700 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416702 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416704 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416714 */     GIR_RootConstrainSelectedInstOperands,
     /*  416715 */     // GIR_Coverage, 63083,
     /*  416715 */     GIR_EraseRootFromParent_Done,
     /*  416716 */   // Label 7334: @416716
     /*  416716 */   GIM_Try, /*On fail goto*//*Label 7335*/ GIMT_Encode4(416789), // Rule ID 63084 //
     /*  416721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  416729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  416732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  416735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416745 */     // MIs[0] op1
     /*  416745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416748 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  416753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  416761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416768 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10960:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  416768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  416771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416773 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416775 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416777 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416787 */     GIR_RootConstrainSelectedInstOperands,
     /*  416788 */     // GIR_Coverage, 63084,
     /*  416788 */     GIR_EraseRootFromParent_Done,
     /*  416789 */   // Label 7335: @416789
     /*  416789 */   GIM_Try, /*On fail goto*//*Label 7336*/ GIMT_Encode4(416862), // Rule ID 63103 //
     /*  416794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  416808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416818 */     // MIs[0] op1
     /*  416818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416821 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416841 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  416841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  416844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416846 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416848 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416850 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416860 */     GIR_RootConstrainSelectedInstOperands,
     /*  416861 */     // GIR_Coverage, 63103,
     /*  416861 */     GIR_EraseRootFromParent_Done,
     /*  416862 */   // Label 7336: @416862
     /*  416862 */   GIM_Try, /*On fail goto*//*Label 7337*/ GIMT_Encode4(416935), // Rule ID 63104 //
     /*  416867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  416881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416891 */     // MIs[0] op1
     /*  416891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416894 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416914 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  416914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  416917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416919 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416921 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416923 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416933 */     GIR_RootConstrainSelectedInstOperands,
     /*  416934 */     // GIR_Coverage, 63104,
     /*  416934 */     GIR_EraseRootFromParent_Done,
     /*  416935 */   // Label 7337: @416935
     /*  416935 */   GIM_Try, /*On fail goto*//*Label 7338*/ GIMT_Encode4(417008), // Rule ID 63115 //
     /*  416940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  416954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  416957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416964 */     // MIs[0] op1
     /*  416964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416967 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416987 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  416987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  416990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416992 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416994 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416996 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417006 */     GIR_RootConstrainSelectedInstOperands,
     /*  417007 */     // GIR_Coverage, 63115,
     /*  417007 */     GIR_EraseRootFromParent_Done,
     /*  417008 */   // Label 7338: @417008
     /*  417008 */   GIM_Try, /*On fail goto*//*Label 7339*/ GIMT_Encode4(417081), // Rule ID 63116 //
     /*  417013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  417024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  417027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  417030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417037 */     // MIs[0] op1
     /*  417037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417040 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417060 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  417060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  417063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417065 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417067 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417069 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417079 */     GIR_RootConstrainSelectedInstOperands,
     /*  417080 */     // GIR_Coverage, 63116,
     /*  417080 */     GIR_EraseRootFromParent_Done,
     /*  417081 */   // Label 7339: @417081
     /*  417081 */   GIM_Try, /*On fail goto*//*Label 7340*/ GIMT_Encode4(417154), // Rule ID 63139 //
     /*  417086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  417097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  417100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417110 */     // MIs[0] op1
     /*  417110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417113 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  417126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417133 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10960:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  417133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  417136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417138 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417140 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417142 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417152 */     GIR_RootConstrainSelectedInstOperands,
     /*  417153 */     // GIR_Coverage, 63139,
     /*  417153 */     GIR_EraseRootFromParent_Done,
     /*  417154 */   // Label 7340: @417154
     /*  417154 */   GIM_Try, /*On fail goto*//*Label 7341*/ GIMT_Encode4(417227), // Rule ID 63140 //
     /*  417159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  417170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  417173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417183 */     // MIs[0] op1
     /*  417183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417186 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  417199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417206 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10960:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  417206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  417209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417211 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417213 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417215 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417225 */     GIR_RootConstrainSelectedInstOperands,
     /*  417226 */     // GIR_Coverage, 63140,
     /*  417226 */     GIR_EraseRootFromParent_Done,
     /*  417227 */   // Label 7341: @417227
     /*  417227 */   GIM_Try, /*On fail goto*//*Label 7342*/ GIMT_Encode4(417300), // Rule ID 63159 //
     /*  417232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  417243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  417246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417256 */     // MIs[0] op1
     /*  417256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417259 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417279 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  417279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  417282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417284 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417286 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417288 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417298 */     GIR_RootConstrainSelectedInstOperands,
     /*  417299 */     // GIR_Coverage, 63159,
     /*  417299 */     GIR_EraseRootFromParent_Done,
     /*  417300 */   // Label 7342: @417300
     /*  417300 */   GIM_Try, /*On fail goto*//*Label 7343*/ GIMT_Encode4(417373), // Rule ID 63160 //
     /*  417305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  417316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  417319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417329 */     // MIs[0] op1
     /*  417329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417332 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417352 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  417352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  417355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417357 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417359 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417361 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417371 */     GIR_RootConstrainSelectedInstOperands,
     /*  417372 */     // GIR_Coverage, 63160,
     /*  417372 */     GIR_EraseRootFromParent_Done,
     /*  417373 */   // Label 7343: @417373
     /*  417373 */   GIM_Try, /*On fail goto*//*Label 7344*/ GIMT_Encode4(417446), // Rule ID 63171 //
     /*  417378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  417389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  417392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  417395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417402 */     // MIs[0] op1
     /*  417402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417405 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417425 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  417425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  417428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417430 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417432 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417434 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417444 */     GIR_RootConstrainSelectedInstOperands,
     /*  417445 */     // GIR_Coverage, 63171,
     /*  417445 */     GIR_EraseRootFromParent_Done,
     /*  417446 */   // Label 7344: @417446
     /*  417446 */   GIM_Try, /*On fail goto*//*Label 7345*/ GIMT_Encode4(417519), // Rule ID 63172 //
     /*  417451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  417462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  417465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  417468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417475 */     // MIs[0] op1
     /*  417475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417478 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417498 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  417498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  417501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417503 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417505 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417507 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417517 */     GIR_RootConstrainSelectedInstOperands,
     /*  417518 */     // GIR_Coverage, 63172,
     /*  417518 */     GIR_EraseRootFromParent_Done,
     /*  417519 */   // Label 7345: @417519
     /*  417519 */   GIM_Try, /*On fail goto*//*Label 7346*/ GIMT_Encode4(417592), // Rule ID 63195 //
     /*  417524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  417535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  417538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417548 */     // MIs[0] op1
     /*  417548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417551 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  417564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10960:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  417571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  417574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417576 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417578 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417580 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417590 */     GIR_RootConstrainSelectedInstOperands,
     /*  417591 */     // GIR_Coverage, 63195,
     /*  417591 */     GIR_EraseRootFromParent_Done,
     /*  417592 */   // Label 7346: @417592
     /*  417592 */   GIM_Try, /*On fail goto*//*Label 7347*/ GIMT_Encode4(417665), // Rule ID 63196 //
     /*  417597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  417608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  417611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417621 */     // MIs[0] op1
     /*  417621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417624 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  417637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417644 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10960:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  417644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  417647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417649 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417651 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417653 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417663 */     GIR_RootConstrainSelectedInstOperands,
     /*  417664 */     // GIR_Coverage, 63196,
     /*  417664 */     GIR_EraseRootFromParent_Done,
     /*  417665 */   // Label 7347: @417665
     /*  417665 */   GIM_Try, /*On fail goto*//*Label 7348*/ GIMT_Encode4(417738), // Rule ID 63215 //
     /*  417670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  417681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  417684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417694 */     // MIs[0] op1
     /*  417694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417697 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417717 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  417717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  417720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417722 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417724 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417726 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  417736 */     GIR_RootConstrainSelectedInstOperands,
     /*  417737 */     // GIR_Coverage, 63215,
     /*  417737 */     GIR_EraseRootFromParent_Done,
     /*  417738 */   // Label 7348: @417738
     /*  417738 */   GIM_Try, /*On fail goto*//*Label 7349*/ GIMT_Encode4(417811), // Rule ID 63216 //
     /*  417743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  417754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  417757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417767 */     // MIs[0] op1
     /*  417767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417770 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417790 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  417790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  417793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417795 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417797 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417799 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  417809 */     GIR_RootConstrainSelectedInstOperands,
     /*  417810 */     // GIR_Coverage, 63216,
     /*  417810 */     GIR_EraseRootFromParent_Done,
     /*  417811 */   // Label 7349: @417811
     /*  417811 */   GIM_Try, /*On fail goto*//*Label 7350*/ GIMT_Encode4(417884), // Rule ID 63227 //
     /*  417816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  417827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  417830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  417833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417840 */     // MIs[0] op1
     /*  417840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417843 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417863 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  417863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  417866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417868 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417870 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417872 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  417882 */     GIR_RootConstrainSelectedInstOperands,
     /*  417883 */     // GIR_Coverage, 63227,
     /*  417883 */     GIR_EraseRootFromParent_Done,
     /*  417884 */   // Label 7350: @417884
     /*  417884 */   GIM_Try, /*On fail goto*//*Label 7351*/ GIMT_Encode4(417957), // Rule ID 63228 //
     /*  417889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  417900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  417903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  417906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417913 */     // MIs[0] op1
     /*  417913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417916 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417936 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  417936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  417939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417941 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417943 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417945 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  417955 */     GIR_RootConstrainSelectedInstOperands,
     /*  417956 */     // GIR_Coverage, 63228,
     /*  417956 */     GIR_EraseRootFromParent_Done,
     /*  417957 */   // Label 7351: @417957
     /*  417957 */   GIM_Try, /*On fail goto*//*Label 7352*/ GIMT_Encode4(418030), // Rule ID 63251 //
     /*  417962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  417970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  417973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  417976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417986 */     // MIs[0] op1
     /*  417986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417989 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  417994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  418002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418009 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10960:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  418009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  418012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418014 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418016 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418018 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  418028 */     GIR_RootConstrainSelectedInstOperands,
     /*  418029 */     // GIR_Coverage, 63251,
     /*  418029 */     GIR_EraseRootFromParent_Done,
     /*  418030 */   // Label 7352: @418030
     /*  418030 */   GIM_Try, /*On fail goto*//*Label 7353*/ GIMT_Encode4(418103), // Rule ID 63252 //
     /*  418035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  418046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  418049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418059 */     // MIs[0] op1
     /*  418059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418062 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  418075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418082 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10960:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  418082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  418085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418087 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418089 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418091 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  418101 */     GIR_RootConstrainSelectedInstOperands,
     /*  418102 */     // GIR_Coverage, 63252,
     /*  418102 */     GIR_EraseRootFromParent_Done,
     /*  418103 */   // Label 7353: @418103
     /*  418103 */   GIM_Try, /*On fail goto*//*Label 7354*/ GIMT_Encode4(418176), // Rule ID 63271 //
     /*  418108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  418119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  418122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418132 */     // MIs[0] op1
     /*  418132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418135 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418155 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  418155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  418158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418160 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418162 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418164 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  418174 */     GIR_RootConstrainSelectedInstOperands,
     /*  418175 */     // GIR_Coverage, 63271,
     /*  418175 */     GIR_EraseRootFromParent_Done,
     /*  418176 */   // Label 7354: @418176
     /*  418176 */   GIM_Try, /*On fail goto*//*Label 7355*/ GIMT_Encode4(418249), // Rule ID 63272 //
     /*  418181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  418192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  418195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418205 */     // MIs[0] op1
     /*  418205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418208 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418228 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  418228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  418231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418233 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418235 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418237 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  418247 */     GIR_RootConstrainSelectedInstOperands,
     /*  418248 */     // GIR_Coverage, 63272,
     /*  418248 */     GIR_EraseRootFromParent_Done,
     /*  418249 */   // Label 7355: @418249
     /*  418249 */   GIM_Try, /*On fail goto*//*Label 7356*/ GIMT_Encode4(418322), // Rule ID 63283 //
     /*  418254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  418265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  418268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  418271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418278 */     // MIs[0] op1
     /*  418278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418281 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418301 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  418301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  418304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418306 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418308 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418310 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  418320 */     GIR_RootConstrainSelectedInstOperands,
     /*  418321 */     // GIR_Coverage, 63283,
     /*  418321 */     GIR_EraseRootFromParent_Done,
     /*  418322 */   // Label 7356: @418322
     /*  418322 */   GIM_Try, /*On fail goto*//*Label 7357*/ GIMT_Encode4(418395), // Rule ID 63284 //
     /*  418327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  418338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  418341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  418344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418351 */     // MIs[0] op1
     /*  418351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418354 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418374 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  418374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  418377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418379 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418381 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418383 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  418393 */     GIR_RootConstrainSelectedInstOperands,
     /*  418394 */     // GIR_Coverage, 63284,
     /*  418394 */     GIR_EraseRootFromParent_Done,
     /*  418395 */   // Label 7357: @418395
     /*  418395 */   GIM_Try, /*On fail goto*//*Label 7358*/ GIMT_Encode4(418468), // Rule ID 63307 //
     /*  418400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  418411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  418414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418424 */     // MIs[0] op1
     /*  418424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418427 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  418440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418447 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10960:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  418447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  418450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418452 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418454 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418456 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  418466 */     GIR_RootConstrainSelectedInstOperands,
     /*  418467 */     // GIR_Coverage, 63307,
     /*  418467 */     GIR_EraseRootFromParent_Done,
     /*  418468 */   // Label 7358: @418468
     /*  418468 */   GIM_Try, /*On fail goto*//*Label 7359*/ GIMT_Encode4(418541), // Rule ID 63308 //
     /*  418473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  418484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  418487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418497 */     // MIs[0] op1
     /*  418497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  418513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418520 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10960:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  418520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  418523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418525 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418527 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418529 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  418539 */     GIR_RootConstrainSelectedInstOperands,
     /*  418540 */     // GIR_Coverage, 63308,
     /*  418540 */     GIR_EraseRootFromParent_Done,
     /*  418541 */   // Label 7359: @418541
     /*  418541 */   GIM_Try, /*On fail goto*//*Label 7360*/ GIMT_Encode4(418614), // Rule ID 63327 //
     /*  418546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  418557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  418560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418570 */     // MIs[0] op1
     /*  418570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418573 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418593 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  418593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  418596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418598 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418600 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418602 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  418612 */     GIR_RootConstrainSelectedInstOperands,
     /*  418613 */     // GIR_Coverage, 63327,
     /*  418613 */     GIR_EraseRootFromParent_Done,
     /*  418614 */   // Label 7360: @418614
     /*  418614 */   GIM_Try, /*On fail goto*//*Label 7361*/ GIMT_Encode4(418687), // Rule ID 63328 //
     /*  418619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  418630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  418633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418643 */     // MIs[0] op1
     /*  418643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418646 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418666 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10982:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  418666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  418669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418671 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418673 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418675 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  418685 */     GIR_RootConstrainSelectedInstOperands,
     /*  418686 */     // GIR_Coverage, 63328,
     /*  418686 */     GIR_EraseRootFromParent_Done,
     /*  418687 */   // Label 7361: @418687
     /*  418687 */   GIM_Try, /*On fail goto*//*Label 7362*/ GIMT_Encode4(418760), // Rule ID 63339 //
     /*  418692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  418703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  418706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  418709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418716 */     // MIs[0] op1
     /*  418716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418719 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418739 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10974:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  418739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  418742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418744 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418746 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418748 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  418758 */     GIR_RootConstrainSelectedInstOperands,
     /*  418759 */     // GIR_Coverage, 63339,
     /*  418759 */     GIR_EraseRootFromParent_Done,
     /*  418760 */   // Label 7362: @418760
     /*  418760 */   GIM_Try, /*On fail goto*//*Label 7363*/ GIMT_Encode4(418833), // Rule ID 63340 //
     /*  418765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  418776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  418779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  418782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418789 */     // MIs[0] op1
     /*  418789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418792 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418812 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10974:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  418812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  418815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418817 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418819 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418821 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  418831 */     GIR_RootConstrainSelectedInstOperands,
     /*  418832 */     // GIR_Coverage, 63340,
     /*  418832 */     GIR_EraseRootFromParent_Done,
     /*  418833 */   // Label 7363: @418833
     /*  418833 */   GIM_Try, /*On fail goto*//*Label 7364*/ GIMT_Encode4(418906), // Rule ID 63363 //
     /*  418838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  418849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  418852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418862 */     // MIs[0] op1
     /*  418862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418865 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  418878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418885 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10960:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  418885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  418888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418890 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418892 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418894 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  418904 */     GIR_RootConstrainSelectedInstOperands,
     /*  418905 */     // GIR_Coverage, 63363,
     /*  418905 */     GIR_EraseRootFromParent_Done,
     /*  418906 */   // Label 7364: @418906
     /*  418906 */   GIM_Try, /*On fail goto*//*Label 7365*/ GIMT_Encode4(418979), // Rule ID 63364 //
     /*  418911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  418922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  418925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418935 */     // MIs[0] op1
     /*  418935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418938 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  418951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418958 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10960:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  418958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  418961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418963 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418965 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418967 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  418977 */     GIR_RootConstrainSelectedInstOperands,
     /*  418978 */     // GIR_Coverage, 63364,
     /*  418978 */     GIR_EraseRootFromParent_Done,
     /*  418979 */   // Label 7365: @418979
     /*  418979 */   GIM_Try, /*On fail goto*//*Label 7366*/ GIMT_Encode4(419062), // Rule ID 5185 //
     /*  418984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  418987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  418992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  418995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  418998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  419001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  419004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  419019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  419023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  419027 */     // MIs[1] Operand 1
     /*  419027 */     // No operand predicates
     /*  419027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  419031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  419033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419040 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  419040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  419043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  419047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  419050 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  419052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  419060 */     GIR_RootConstrainSelectedInstOperands,
     /*  419061 */     // GIR_Coverage, 5185,
     /*  419061 */     GIR_EraseRootFromParent_Done,
     /*  419062 */   // Label 7366: @419062
     /*  419062 */   GIM_Try, /*On fail goto*//*Label 7367*/ GIMT_Encode4(419145), // Rule ID 5186 //
     /*  419067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  419070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  419075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  419078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  419081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  419084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  419087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  419102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  419106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  419110 */     // MIs[1] Operand 1
     /*  419110 */     // No operand predicates
     /*  419110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  419114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  419116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419123 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  419123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  419126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  419130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  419133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  419135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  419143 */     GIR_RootConstrainSelectedInstOperands,
     /*  419144 */     // GIR_Coverage, 5186,
     /*  419144 */     GIR_EraseRootFromParent_Done,
     /*  419145 */   // Label 7367: @419145
     /*  419145 */   GIM_Try, /*On fail goto*//*Label 7368*/ GIMT_Encode4(419228), // Rule ID 5187 //
     /*  419150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  419153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  419158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  419161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  419164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  419167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  419170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  419185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  419189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  419193 */     // MIs[1] Operand 1
     /*  419193 */     // No operand predicates
     /*  419193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  419197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  419199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419206 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  419206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  419209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  419213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  419216 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  419218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  419226 */     GIR_RootConstrainSelectedInstOperands,
     /*  419227 */     // GIR_Coverage, 5187,
     /*  419227 */     GIR_EraseRootFromParent_Done,
     /*  419228 */   // Label 7368: @419228
     /*  419228 */   GIM_Try, /*On fail goto*//*Label 7369*/ GIMT_Encode4(419311), // Rule ID 5188 //
     /*  419233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  419236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  419241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  419244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  419247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  419250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  419253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  419268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  419272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  419276 */     // MIs[1] Operand 1
     /*  419276 */     // No operand predicates
     /*  419276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  419280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  419282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419289 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  419289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  419292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  419296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  419299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  419301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  419309 */     GIR_RootConstrainSelectedInstOperands,
     /*  419310 */     // GIR_Coverage, 5188,
     /*  419310 */     GIR_EraseRootFromParent_Done,
     /*  419311 */   // Label 7369: @419311
     /*  419311 */   GIM_Try, /*On fail goto*//*Label 7370*/ GIMT_Encode4(419394), // Rule ID 5189 //
     /*  419316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  419319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  419324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  419327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  419330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  419333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  419336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  419351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  419355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  419359 */     // MIs[1] Operand 1
     /*  419359 */     // No operand predicates
     /*  419359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  419363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  419365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419372 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  419372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  419375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  419379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  419382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  419384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  419392 */     GIR_RootConstrainSelectedInstOperands,
     /*  419393 */     // GIR_Coverage, 5189,
     /*  419393 */     GIR_EraseRootFromParent_Done,
     /*  419394 */   // Label 7370: @419394
     /*  419394 */   GIM_Try, /*On fail goto*//*Label 7371*/ GIMT_Encode4(419477), // Rule ID 5190 //
     /*  419399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  419402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  419407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  419410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  419413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  419416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  419419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  419434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  419438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  419442 */     // MIs[1] Operand 1
     /*  419442 */     // No operand predicates
     /*  419442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  419446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  419448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419455 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  419455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  419458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  419462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  419465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  419467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  419475 */     GIR_RootConstrainSelectedInstOperands,
     /*  419476 */     // GIR_Coverage, 5190,
     /*  419476 */     GIR_EraseRootFromParent_Done,
     /*  419477 */   // Label 7371: @419477
     /*  419477 */   GIM_Try, /*On fail goto*//*Label 7372*/ GIMT_Encode4(419560), // Rule ID 5191 //
     /*  419482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  419485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  419490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  419493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  419496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  419499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  419502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  419517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  419521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  419525 */     // MIs[1] Operand 1
     /*  419525 */     // No operand predicates
     /*  419525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  419529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  419531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419538 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  419538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  419541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  419545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  419548 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  419550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  419558 */     GIR_RootConstrainSelectedInstOperands,
     /*  419559 */     // GIR_Coverage, 5191,
     /*  419559 */     GIR_EraseRootFromParent_Done,
     /*  419560 */   // Label 7372: @419560
     /*  419560 */   GIM_Try, /*On fail goto*//*Label 7373*/ GIMT_Encode4(419643), // Rule ID 5192 //
     /*  419565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  419568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  419573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  419576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  419579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  419582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  419585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  419600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  419604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  419608 */     // MIs[1] Operand 1
     /*  419608 */     // No operand predicates
     /*  419608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  419612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  419614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419621 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  419621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  419624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  419628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  419631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  419633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  419641 */     GIR_RootConstrainSelectedInstOperands,
     /*  419642 */     // GIR_Coverage, 5192,
     /*  419642 */     GIR_EraseRootFromParent_Done,
     /*  419643 */   // Label 7373: @419643
     /*  419643 */   GIM_Try, /*On fail goto*//*Label 7374*/ GIMT_Encode4(419726), // Rule ID 5193 //
     /*  419648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  419651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  419656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  419659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  419662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  419665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  419668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  419683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  419687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  419691 */     // MIs[1] Operand 1
     /*  419691 */     // No operand predicates
     /*  419691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  419695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  419697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419704 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  419704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  419707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  419711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  419714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  419716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  419724 */     GIR_RootConstrainSelectedInstOperands,
     /*  419725 */     // GIR_Coverage, 5193,
     /*  419725 */     GIR_EraseRootFromParent_Done,
     /*  419726 */   // Label 7374: @419726
     /*  419726 */   GIM_Try, /*On fail goto*//*Label 7375*/ GIMT_Encode4(419809), // Rule ID 5194 //
     /*  419731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  419734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  419739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  419742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  419745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  419748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  419751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  419766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  419770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  419774 */     // MIs[1] Operand 1
     /*  419774 */     // No operand predicates
     /*  419774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  419778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  419780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419787 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  419787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  419790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  419794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  419797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  419799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  419807 */     GIR_RootConstrainSelectedInstOperands,
     /*  419808 */     // GIR_Coverage, 5194,
     /*  419808 */     GIR_EraseRootFromParent_Done,
     /*  419809 */   // Label 7375: @419809
     /*  419809 */   GIM_Try, /*On fail goto*//*Label 7376*/ GIMT_Encode4(419892), // Rule ID 5195 //
     /*  419814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  419817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  419822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  419825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  419828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  419831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  419834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  419849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  419853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  419857 */     // MIs[1] Operand 1
     /*  419857 */     // No operand predicates
     /*  419857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  419861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  419863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419870 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  419870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  419873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  419877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  419880 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  419882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419890 */     GIR_RootConstrainSelectedInstOperands,
     /*  419891 */     // GIR_Coverage, 5195,
     /*  419891 */     GIR_EraseRootFromParent_Done,
     /*  419892 */   // Label 7376: @419892
     /*  419892 */   GIM_Try, /*On fail goto*//*Label 7377*/ GIMT_Encode4(419975), // Rule ID 5196 //
     /*  419897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  419900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  419905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  419908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  419911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  419914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  419917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  419932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  419936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  419940 */     // MIs[1] Operand 1
     /*  419940 */     // No operand predicates
     /*  419940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  419944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  419946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419953 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  419953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  419956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  419960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  419963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  419965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419973 */     GIR_RootConstrainSelectedInstOperands,
     /*  419974 */     // GIR_Coverage, 5196,
     /*  419974 */     GIR_EraseRootFromParent_Done,
     /*  419975 */   // Label 7377: @419975
     /*  419975 */   GIM_Try, /*On fail goto*//*Label 7378*/ GIMT_Encode4(420058), // Rule ID 5197 //
     /*  419980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  419983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  419988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  419991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  419994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  419997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  420000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420023 */     // MIs[1] Operand 1
     /*  420023 */     // No operand predicates
     /*  420023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420036 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  420039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420046 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420056 */     GIR_RootConstrainSelectedInstOperands,
     /*  420057 */     // GIR_Coverage, 5197,
     /*  420057 */     GIR_EraseRootFromParent_Done,
     /*  420058 */   // Label 7378: @420058
     /*  420058 */   GIM_Try, /*On fail goto*//*Label 7379*/ GIMT_Encode4(420141), // Rule ID 5198 //
     /*  420063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  420074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  420077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  420083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420106 */     // MIs[1] Operand 1
     /*  420106 */     // No operand predicates
     /*  420106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420119 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  420122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420139 */     GIR_RootConstrainSelectedInstOperands,
     /*  420140 */     // GIR_Coverage, 5198,
     /*  420140 */     GIR_EraseRootFromParent_Done,
     /*  420141 */   // Label 7379: @420141
     /*  420141 */   GIM_Try, /*On fail goto*//*Label 7380*/ GIMT_Encode4(420224), // Rule ID 5199 //
     /*  420146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  420157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  420160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  420166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420189 */     // MIs[1] Operand 1
     /*  420189 */     // No operand predicates
     /*  420189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420202 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  420202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  420205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420222 */     GIR_RootConstrainSelectedInstOperands,
     /*  420223 */     // GIR_Coverage, 5199,
     /*  420223 */     GIR_EraseRootFromParent_Done,
     /*  420224 */   // Label 7380: @420224
     /*  420224 */   GIM_Try, /*On fail goto*//*Label 7381*/ GIMT_Encode4(420307), // Rule ID 5200 //
     /*  420229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  420240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  420243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  420249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420272 */     // MIs[1] Operand 1
     /*  420272 */     // No operand predicates
     /*  420272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420285 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  420285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  420288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420295 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420305 */     GIR_RootConstrainSelectedInstOperands,
     /*  420306 */     // GIR_Coverage, 5200,
     /*  420306 */     GIR_EraseRootFromParent_Done,
     /*  420307 */   // Label 7381: @420307
     /*  420307 */   GIM_Try, /*On fail goto*//*Label 7382*/ GIMT_Encode4(420390), // Rule ID 5201 //
     /*  420312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  420323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  420326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  420332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420355 */     // MIs[1] Operand 1
     /*  420355 */     // No operand predicates
     /*  420355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420368 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  420368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  420371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420388 */     GIR_RootConstrainSelectedInstOperands,
     /*  420389 */     // GIR_Coverage, 5201,
     /*  420389 */     GIR_EraseRootFromParent_Done,
     /*  420390 */   // Label 7382: @420390
     /*  420390 */   GIM_Try, /*On fail goto*//*Label 7383*/ GIMT_Encode4(420473), // Rule ID 5202 //
     /*  420395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  420406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  420409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  420415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420438 */     // MIs[1] Operand 1
     /*  420438 */     // No operand predicates
     /*  420438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420451 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  420451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  420454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420471 */     GIR_RootConstrainSelectedInstOperands,
     /*  420472 */     // GIR_Coverage, 5202,
     /*  420472 */     GIR_EraseRootFromParent_Done,
     /*  420473 */   // Label 7383: @420473
     /*  420473 */   GIM_Try, /*On fail goto*//*Label 7384*/ GIMT_Encode4(420556), // Rule ID 5203 //
     /*  420478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  420481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  420489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  420492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  420498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420521 */     // MIs[1] Operand 1
     /*  420521 */     // No operand predicates
     /*  420521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420534 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  420537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420544 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420554 */     GIR_RootConstrainSelectedInstOperands,
     /*  420555 */     // GIR_Coverage, 5203,
     /*  420555 */     GIR_EraseRootFromParent_Done,
     /*  420556 */   // Label 7384: @420556
     /*  420556 */   GIM_Try, /*On fail goto*//*Label 7385*/ GIMT_Encode4(420639), // Rule ID 5204 //
     /*  420561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  420564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  420572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  420575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  420581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420604 */     // MIs[1] Operand 1
     /*  420604 */     // No operand predicates
     /*  420604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420617 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  420620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420637 */     GIR_RootConstrainSelectedInstOperands,
     /*  420638 */     // GIR_Coverage, 5204,
     /*  420638 */     GIR_EraseRootFromParent_Done,
     /*  420639 */   // Label 7385: @420639
     /*  420639 */   GIM_Try, /*On fail goto*//*Label 7386*/ GIMT_Encode4(420722), // Rule ID 5205 //
     /*  420644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  420655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  420658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  420664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420687 */     // MIs[1] Operand 1
     /*  420687 */     // No operand predicates
     /*  420687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420700 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  420703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420720 */     GIR_RootConstrainSelectedInstOperands,
     /*  420721 */     // GIR_Coverage, 5205,
     /*  420721 */     GIR_EraseRootFromParent_Done,
     /*  420722 */   // Label 7386: @420722
     /*  420722 */   GIM_Try, /*On fail goto*//*Label 7387*/ GIMT_Encode4(420805), // Rule ID 5206 //
     /*  420727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  420738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  420741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  420747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420770 */     // MIs[1] Operand 1
     /*  420770 */     // No operand predicates
     /*  420770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420783 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  420786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420803 */     GIR_RootConstrainSelectedInstOperands,
     /*  420804 */     // GIR_Coverage, 5206,
     /*  420804 */     GIR_EraseRootFromParent_Done,
     /*  420805 */   // Label 7387: @420805
     /*  420805 */   GIM_Try, /*On fail goto*//*Label 7388*/ GIMT_Encode4(420888), // Rule ID 5207 //
     /*  420810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  420821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  420824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  420830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420853 */     // MIs[1] Operand 1
     /*  420853 */     // No operand predicates
     /*  420853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420866 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  420869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420886 */     GIR_RootConstrainSelectedInstOperands,
     /*  420887 */     // GIR_Coverage, 5207,
     /*  420887 */     GIR_EraseRootFromParent_Done,
     /*  420888 */   // Label 7388: @420888
     /*  420888 */   GIM_Try, /*On fail goto*//*Label 7389*/ GIMT_Encode4(420971), // Rule ID 5208 //
     /*  420893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  420904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  420907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  420910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  420913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  420928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  420936 */     // MIs[1] Operand 1
     /*  420936 */     // No operand predicates
     /*  420936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  420940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420949 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  420952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  420956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  420959 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  420961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420969 */     GIR_RootConstrainSelectedInstOperands,
     /*  420970 */     // GIR_Coverage, 5208,
     /*  420970 */     GIR_EraseRootFromParent_Done,
     /*  420971 */   // Label 7389: @420971
     /*  420971 */   GIM_Try, /*On fail goto*//*Label 7390*/ GIMT_Encode4(421054), // Rule ID 5209 //
     /*  420976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  420984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  420987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  420990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  420993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  420996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421019 */     // MIs[1] Operand 1
     /*  421019 */     // No operand predicates
     /*  421019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421032 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  421032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  421035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421042 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421052 */     GIR_RootConstrainSelectedInstOperands,
     /*  421053 */     // GIR_Coverage, 5209,
     /*  421053 */     GIR_EraseRootFromParent_Done,
     /*  421054 */   // Label 7390: @421054
     /*  421054 */   GIM_Try, /*On fail goto*//*Label 7391*/ GIMT_Encode4(421137), // Rule ID 5210 //
     /*  421059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  421070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  421073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  421079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421102 */     // MIs[1] Operand 1
     /*  421102 */     // No operand predicates
     /*  421102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421115 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  421115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  421118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421135 */     GIR_RootConstrainSelectedInstOperands,
     /*  421136 */     // GIR_Coverage, 5210,
     /*  421136 */     GIR_EraseRootFromParent_Done,
     /*  421137 */   // Label 7391: @421137
     /*  421137 */   GIM_Try, /*On fail goto*//*Label 7392*/ GIMT_Encode4(421220), // Rule ID 5211 //
     /*  421142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  421153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  421156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  421162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421185 */     // MIs[1] Operand 1
     /*  421185 */     // No operand predicates
     /*  421185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421198 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  421201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421208 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421218 */     GIR_RootConstrainSelectedInstOperands,
     /*  421219 */     // GIR_Coverage, 5211,
     /*  421219 */     GIR_EraseRootFromParent_Done,
     /*  421220 */   // Label 7392: @421220
     /*  421220 */   GIM_Try, /*On fail goto*//*Label 7393*/ GIMT_Encode4(421303), // Rule ID 5212 //
     /*  421225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  421236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  421239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  421245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421268 */     // MIs[1] Operand 1
     /*  421268 */     // No operand predicates
     /*  421268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421281 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  421284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421301 */     GIR_RootConstrainSelectedInstOperands,
     /*  421302 */     // GIR_Coverage, 5212,
     /*  421302 */     GIR_EraseRootFromParent_Done,
     /*  421303 */   // Label 7393: @421303
     /*  421303 */   GIM_Try, /*On fail goto*//*Label 7394*/ GIMT_Encode4(421386), // Rule ID 5213 //
     /*  421308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  421319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  421322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  421328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421351 */     // MIs[1] Operand 1
     /*  421351 */     // No operand predicates
     /*  421351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421364 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  421367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421374 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421384 */     GIR_RootConstrainSelectedInstOperands,
     /*  421385 */     // GIR_Coverage, 5213,
     /*  421385 */     GIR_EraseRootFromParent_Done,
     /*  421386 */   // Label 7394: @421386
     /*  421386 */   GIM_Try, /*On fail goto*//*Label 7395*/ GIMT_Encode4(421469), // Rule ID 5214 //
     /*  421391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  421402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  421405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  421411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421434 */     // MIs[1] Operand 1
     /*  421434 */     // No operand predicates
     /*  421434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421447 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  421450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421467 */     GIR_RootConstrainSelectedInstOperands,
     /*  421468 */     // GIR_Coverage, 5214,
     /*  421468 */     GIR_EraseRootFromParent_Done,
     /*  421469 */   // Label 7395: @421469
     /*  421469 */   GIM_Try, /*On fail goto*//*Label 7396*/ GIMT_Encode4(421552), // Rule ID 5215 //
     /*  421474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  421485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  421488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  421494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421517 */     // MIs[1] Operand 1
     /*  421517 */     // No operand predicates
     /*  421517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421530 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  421533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421540 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421550 */     GIR_RootConstrainSelectedInstOperands,
     /*  421551 */     // GIR_Coverage, 5215,
     /*  421551 */     GIR_EraseRootFromParent_Done,
     /*  421552 */   // Label 7396: @421552
     /*  421552 */   GIM_Try, /*On fail goto*//*Label 7397*/ GIMT_Encode4(421635), // Rule ID 5216 //
     /*  421557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  421568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  421571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  421577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421600 */     // MIs[1] Operand 1
     /*  421600 */     // No operand predicates
     /*  421600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421613 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  421616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421633 */     GIR_RootConstrainSelectedInstOperands,
     /*  421634 */     // GIR_Coverage, 5216,
     /*  421634 */     GIR_EraseRootFromParent_Done,
     /*  421635 */   // Label 7397: @421635
     /*  421635 */   GIM_Try, /*On fail goto*//*Label 7398*/ GIMT_Encode4(421718), // Rule ID 5217 //
     /*  421640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  421651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  421654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  421660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421683 */     // MIs[1] Operand 1
     /*  421683 */     // No operand predicates
     /*  421683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421696 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  421696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  421699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421716 */     GIR_RootConstrainSelectedInstOperands,
     /*  421717 */     // GIR_Coverage, 5217,
     /*  421717 */     GIR_EraseRootFromParent_Done,
     /*  421718 */   // Label 7398: @421718
     /*  421718 */   GIM_Try, /*On fail goto*//*Label 7399*/ GIMT_Encode4(421801), // Rule ID 5218 //
     /*  421723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  421734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  421737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  421743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421766 */     // MIs[1] Operand 1
     /*  421766 */     // No operand predicates
     /*  421766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421779 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  421779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  421782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421799 */     GIR_RootConstrainSelectedInstOperands,
     /*  421800 */     // GIR_Coverage, 5218,
     /*  421800 */     GIR_EraseRootFromParent_Done,
     /*  421801 */   // Label 7399: @421801
     /*  421801 */   GIM_Try, /*On fail goto*//*Label 7400*/ GIMT_Encode4(421884), // Rule ID 5219 //
     /*  421806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  421817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  421820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  421826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421849 */     // MIs[1] Operand 1
     /*  421849 */     // No operand predicates
     /*  421849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421862 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  421862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  421865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421872 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421882 */     GIR_RootConstrainSelectedInstOperands,
     /*  421883 */     // GIR_Coverage, 5219,
     /*  421883 */     GIR_EraseRootFromParent_Done,
     /*  421884 */   // Label 7400: @421884
     /*  421884 */   GIM_Try, /*On fail goto*//*Label 7401*/ GIMT_Encode4(421967), // Rule ID 5220 //
     /*  421889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  421900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  421903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  421906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  421909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  421924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  421932 */     // MIs[1] Operand 1
     /*  421932 */     // No operand predicates
     /*  421932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  421936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421945 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  421945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  421948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  421952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  421955 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  421957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421965 */     GIR_RootConstrainSelectedInstOperands,
     /*  421966 */     // GIR_Coverage, 5220,
     /*  421966 */     GIR_EraseRootFromParent_Done,
     /*  421967 */   // Label 7401: @421967
     /*  421967 */   GIM_Try, /*On fail goto*//*Label 7402*/ GIMT_Encode4(422050), // Rule ID 5221 //
     /*  421972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  421980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  421983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  421986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  421989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  421992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422015 */     // MIs[1] Operand 1
     /*  422015 */     // No operand predicates
     /*  422015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422028 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  422028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  422031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422048 */     GIR_RootConstrainSelectedInstOperands,
     /*  422049 */     // GIR_Coverage, 5221,
     /*  422049 */     GIR_EraseRootFromParent_Done,
     /*  422050 */   // Label 7402: @422050
     /*  422050 */   GIM_Try, /*On fail goto*//*Label 7403*/ GIMT_Encode4(422133), // Rule ID 5222 //
     /*  422055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  422066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  422069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  422075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422098 */     // MIs[1] Operand 1
     /*  422098 */     // No operand predicates
     /*  422098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422111 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  422111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  422114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422131 */     GIR_RootConstrainSelectedInstOperands,
     /*  422132 */     // GIR_Coverage, 5222,
     /*  422132 */     GIR_EraseRootFromParent_Done,
     /*  422133 */   // Label 7403: @422133
     /*  422133 */   GIM_Try, /*On fail goto*//*Label 7404*/ GIMT_Encode4(422216), // Rule ID 5223 //
     /*  422138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  422141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  422149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  422152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  422158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422181 */     // MIs[1] Operand 1
     /*  422181 */     // No operand predicates
     /*  422181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422194 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  422194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  422197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422204 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  422214 */     GIR_RootConstrainSelectedInstOperands,
     /*  422215 */     // GIR_Coverage, 5223,
     /*  422215 */     GIR_EraseRootFromParent_Done,
     /*  422216 */   // Label 7404: @422216
     /*  422216 */   GIM_Try, /*On fail goto*//*Label 7405*/ GIMT_Encode4(422299), // Rule ID 5224 //
     /*  422221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  422224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  422232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  422235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  422241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422264 */     // MIs[1] Operand 1
     /*  422264 */     // No operand predicates
     /*  422264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422277 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  422277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  422280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  422297 */     GIR_RootConstrainSelectedInstOperands,
     /*  422298 */     // GIR_Coverage, 5224,
     /*  422298 */     GIR_EraseRootFromParent_Done,
     /*  422299 */   // Label 7405: @422299
     /*  422299 */   GIM_Try, /*On fail goto*//*Label 7406*/ GIMT_Encode4(422382), // Rule ID 5225 //
     /*  422304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  422307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  422315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  422318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  422324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422347 */     // MIs[1] Operand 1
     /*  422347 */     // No operand predicates
     /*  422347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422360 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  422360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  422363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422370 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  422380 */     GIR_RootConstrainSelectedInstOperands,
     /*  422381 */     // GIR_Coverage, 5225,
     /*  422381 */     GIR_EraseRootFromParent_Done,
     /*  422382 */   // Label 7406: @422382
     /*  422382 */   GIM_Try, /*On fail goto*//*Label 7407*/ GIMT_Encode4(422465), // Rule ID 5226 //
     /*  422387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  422390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  422398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  422401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  422407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422430 */     // MIs[1] Operand 1
     /*  422430 */     // No operand predicates
     /*  422430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422443 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  422443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  422446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  422463 */     GIR_RootConstrainSelectedInstOperands,
     /*  422464 */     // GIR_Coverage, 5226,
     /*  422464 */     GIR_EraseRootFromParent_Done,
     /*  422465 */   // Label 7407: @422465
     /*  422465 */   GIM_Try, /*On fail goto*//*Label 7408*/ GIMT_Encode4(422548), // Rule ID 5227 //
     /*  422470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  422473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  422481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  422484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  422487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  422490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422513 */     // MIs[1] Operand 1
     /*  422513 */     // No operand predicates
     /*  422513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422526 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  422526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  422529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422536 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  422546 */     GIR_RootConstrainSelectedInstOperands,
     /*  422547 */     // GIR_Coverage, 5227,
     /*  422547 */     GIR_EraseRootFromParent_Done,
     /*  422548 */   // Label 7408: @422548
     /*  422548 */   GIM_Try, /*On fail goto*//*Label 7409*/ GIMT_Encode4(422631), // Rule ID 5228 //
     /*  422553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  422556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  422561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  422564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  422567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  422570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  422573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  422588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  422596 */     // MIs[1] Operand 1
     /*  422596 */     // No operand predicates
     /*  422596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  422600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422609 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  422609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  422612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  422616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  422619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  422621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  422629 */     GIR_RootConstrainSelectedInstOperands,
     /*  422630 */     // GIR_Coverage, 5228,
     /*  422630 */     GIR_EraseRootFromParent_Done,
     /*  422631 */   // Label 7409: @422631
     /*  422631 */   GIM_Try, /*On fail goto*//*Label 7410*/ GIMT_Encode4(422707), // Rule ID 59973 //
     /*  422636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  422639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  422644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  422647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  422650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  422653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422668 */     // MIs[0] rs2
     /*  422668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422671 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  422676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422683 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11052:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  422683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  422686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  422692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  422694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422705 */     GIR_RootConstrainSelectedInstOperands,
     /*  422706 */     // GIR_Coverage, 59973,
     /*  422706 */     GIR_EraseRootFromParent_Done,
     /*  422707 */   // Label 7410: @422707
     /*  422707 */   GIM_Try, /*On fail goto*//*Label 7411*/ GIMT_Encode4(422783), // Rule ID 59974 //
     /*  422712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  422715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  422720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  422723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  422726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  422729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422744 */     // MIs[0] rs2
     /*  422744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  422752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422759 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11052:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  422759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  422762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  422768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  422770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422781 */     GIR_RootConstrainSelectedInstOperands,
     /*  422782 */     // GIR_Coverage, 59974,
     /*  422782 */     GIR_EraseRootFromParent_Done,
     /*  422783 */   // Label 7411: @422783
     /*  422783 */   GIM_Try, /*On fail goto*//*Label 7412*/ GIMT_Encode4(422859), // Rule ID 61619 //
     /*  422788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  422791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  422796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  422799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  422802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  422805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422820 */     // MIs[0] rs2
     /*  422820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422823 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  422828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422835 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11052:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  422835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  422838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  422844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  422846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422857 */     GIR_RootConstrainSelectedInstOperands,
     /*  422858 */     // GIR_Coverage, 61619,
     /*  422858 */     GIR_EraseRootFromParent_Done,
     /*  422859 */   // Label 7412: @422859
     /*  422859 */   GIM_Try, /*On fail goto*//*Label 7413*/ GIMT_Encode4(422935), // Rule ID 61620 //
     /*  422864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  422867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  422872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  422875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  422878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  422881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422896 */     // MIs[0] rs2
     /*  422896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422899 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  422904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422911 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11052:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  422911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  422914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  422920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  422922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422933 */     GIR_RootConstrainSelectedInstOperands,
     /*  422934 */     // GIR_Coverage, 61620,
     /*  422934 */     GIR_EraseRootFromParent_Done,
     /*  422935 */   // Label 7413: @422935
     /*  422935 */   GIM_Try, /*On fail goto*//*Label 7414*/ GIMT_Encode4(423011), // Rule ID 61621 //
     /*  422940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  422943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  422948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  422951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  422954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  422957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422972 */     // MIs[0] rs2
     /*  422972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422975 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  422980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422987 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11052:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  422987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  422990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  422996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  422998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423009 */     GIR_RootConstrainSelectedInstOperands,
     /*  423010 */     // GIR_Coverage, 61621,
     /*  423010 */     GIR_EraseRootFromParent_Done,
     /*  423011 */   // Label 7414: @423011
     /*  423011 */   GIM_Try, /*On fail goto*//*Label 7415*/ GIMT_Encode4(423087), // Rule ID 61622 //
     /*  423016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  423019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  423024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  423027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  423030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  423033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423048 */     // MIs[0] rs2
     /*  423048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423051 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  423056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423063 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11052:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  423063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  423066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  423074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423085 */     GIR_RootConstrainSelectedInstOperands,
     /*  423086 */     // GIR_Coverage, 61622,
     /*  423086 */     GIR_EraseRootFromParent_Done,
     /*  423087 */   // Label 7415: @423087
     /*  423087 */   GIM_Try, /*On fail goto*//*Label 7416*/ GIMT_Encode4(423163), // Rule ID 61623 //
     /*  423092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  423095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  423100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  423103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  423106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  423109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423124 */     // MIs[0] rs2
     /*  423124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423127 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  423132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423139 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11052:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  423139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  423142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  423150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423161 */     GIR_RootConstrainSelectedInstOperands,
     /*  423162 */     // GIR_Coverage, 61623,
     /*  423162 */     GIR_EraseRootFromParent_Done,
     /*  423163 */   // Label 7416: @423163
     /*  423163 */   GIM_Try, /*On fail goto*//*Label 7417*/ GIMT_Encode4(423239), // Rule ID 61624 //
     /*  423168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  423171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  423176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  423179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  423182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  423185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423200 */     // MIs[0] rs2
     /*  423200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423203 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  423208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423215 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11052:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  423215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  423218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  423226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423237 */     GIR_RootConstrainSelectedInstOperands,
     /*  423238 */     // GIR_Coverage, 61624,
     /*  423238 */     GIR_EraseRootFromParent_Done,
     /*  423239 */   // Label 7417: @423239
     /*  423239 */   GIM_Try, /*On fail goto*//*Label 7418*/ GIMT_Encode4(423315), // Rule ID 61625 //
     /*  423244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  423247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  423252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  423258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423276 */     // MIs[0] rs2
     /*  423276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423279 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  423284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423291 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11052:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  423291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  423294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  423302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423313 */     GIR_RootConstrainSelectedInstOperands,
     /*  423314 */     // GIR_Coverage, 61625,
     /*  423314 */     GIR_EraseRootFromParent_Done,
     /*  423315 */   // Label 7418: @423315
     /*  423315 */   GIM_Try, /*On fail goto*//*Label 7419*/ GIMT_Encode4(423391), // Rule ID 61626 //
     /*  423320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  423323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  423328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  423334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423352 */     // MIs[0] rs2
     /*  423352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423355 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  423360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423367 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11052:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  423367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  423370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  423378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423389 */     GIR_RootConstrainSelectedInstOperands,
     /*  423390 */     // GIR_Coverage, 61626,
     /*  423390 */     GIR_EraseRootFromParent_Done,
     /*  423391 */   // Label 7419: @423391
     /*  423391 */   GIM_Try, /*On fail goto*//*Label 7420*/ GIMT_Encode4(423467), // Rule ID 61747 //
     /*  423396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  423399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  423404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  423407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  423410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  423413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423428 */     // MIs[0] rs2
     /*  423428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423431 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  423436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423443 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  423443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  423446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  423454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423465 */     GIR_RootConstrainSelectedInstOperands,
     /*  423466 */     // GIR_Coverage, 61747,
     /*  423466 */     GIR_EraseRootFromParent_Done,
     /*  423467 */   // Label 7420: @423467
     /*  423467 */   GIM_Try, /*On fail goto*//*Label 7421*/ GIMT_Encode4(423543), // Rule ID 61748 //
     /*  423472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  423475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  423480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  423483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  423486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  423489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423504 */     // MIs[0] rs2
     /*  423504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423507 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  423512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423519 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  423519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  423522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  423530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423541 */     GIR_RootConstrainSelectedInstOperands,
     /*  423542 */     // GIR_Coverage, 61748,
     /*  423542 */     GIR_EraseRootFromParent_Done,
     /*  423543 */   // Label 7421: @423543
     /*  423543 */   GIM_Try, /*On fail goto*//*Label 7422*/ GIMT_Encode4(423619), // Rule ID 61749 //
     /*  423548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  423551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  423556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  423559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  423562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  423565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423580 */     // MIs[0] rs2
     /*  423580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  423588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423595 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  423595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  423598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  423606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423617 */     GIR_RootConstrainSelectedInstOperands,
     /*  423618 */     // GIR_Coverage, 61749,
     /*  423618 */     GIR_EraseRootFromParent_Done,
     /*  423619 */   // Label 7422: @423619
     /*  423619 */   GIM_Try, /*On fail goto*//*Label 7423*/ GIMT_Encode4(423695), // Rule ID 61750 //
     /*  423624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  423627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  423632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  423635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  423638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  423641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423656 */     // MIs[0] rs2
     /*  423656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423659 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  423664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423671 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  423671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  423674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  423682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423693 */     GIR_RootConstrainSelectedInstOperands,
     /*  423694 */     // GIR_Coverage, 61750,
     /*  423694 */     GIR_EraseRootFromParent_Done,
     /*  423695 */   // Label 7423: @423695
     /*  423695 */   GIM_Try, /*On fail goto*//*Label 7424*/ GIMT_Encode4(423771), // Rule ID 61751 //
     /*  423700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  423703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  423708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  423711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  423714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  423717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423732 */     // MIs[0] rs2
     /*  423732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423735 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  423740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423747 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  423747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  423750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  423758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423769 */     GIR_RootConstrainSelectedInstOperands,
     /*  423770 */     // GIR_Coverage, 61751,
     /*  423770 */     GIR_EraseRootFromParent_Done,
     /*  423771 */   // Label 7424: @423771
     /*  423771 */   GIM_Try, /*On fail goto*//*Label 7425*/ GIMT_Encode4(423847), // Rule ID 61752 //
     /*  423776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  423779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  423784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  423787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  423790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  423793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423808 */     // MIs[0] rs2
     /*  423808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423811 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  423816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423823 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  423823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  423826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  423834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423845 */     GIR_RootConstrainSelectedInstOperands,
     /*  423846 */     // GIR_Coverage, 61752,
     /*  423846 */     GIR_EraseRootFromParent_Done,
     /*  423847 */   // Label 7425: @423847
     /*  423847 */   GIM_Try, /*On fail goto*//*Label 7426*/ GIMT_Encode4(423923), // Rule ID 61753 //
     /*  423852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  423855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  423860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  423863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  423866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  423869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423884 */     // MIs[0] rs2
     /*  423884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423887 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  423892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423899 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  423899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  423902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  423910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423921 */     GIR_RootConstrainSelectedInstOperands,
     /*  423922 */     // GIR_Coverage, 61753,
     /*  423922 */     GIR_EraseRootFromParent_Done,
     /*  423923 */   // Label 7426: @423923
     /*  423923 */   GIM_Try, /*On fail goto*//*Label 7427*/ GIMT_Encode4(423999), // Rule ID 61754 //
     /*  423928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  423931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  423936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  423939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  423942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  423945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423960 */     // MIs[0] rs2
     /*  423960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423963 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  423968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423975 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  423975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  423978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  423986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423997 */     GIR_RootConstrainSelectedInstOperands,
     /*  423998 */     // GIR_Coverage, 61754,
     /*  423998 */     GIR_EraseRootFromParent_Done,
     /*  423999 */   // Label 7427: @423999
     /*  423999 */   GIM_Try, /*On fail goto*//*Label 7428*/ GIMT_Encode4(424075), // Rule ID 61755 //
     /*  424004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  424007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  424012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  424015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  424018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  424021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424036 */     // MIs[0] rs2
     /*  424036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424039 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424051 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  424054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424073 */     GIR_RootConstrainSelectedInstOperands,
     /*  424074 */     // GIR_Coverage, 61755,
     /*  424074 */     GIR_EraseRootFromParent_Done,
     /*  424075 */   // Label 7428: @424075
     /*  424075 */   GIM_Try, /*On fail goto*//*Label 7429*/ GIMT_Encode4(424151), // Rule ID 61756 //
     /*  424080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  424083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  424088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  424091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  424094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  424097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424112 */     // MIs[0] rs2
     /*  424112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424115 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  424120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424127 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  424130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  424138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424149 */     GIR_RootConstrainSelectedInstOperands,
     /*  424150 */     // GIR_Coverage, 61756,
     /*  424150 */     GIR_EraseRootFromParent_Done,
     /*  424151 */   // Label 7429: @424151
     /*  424151 */   GIM_Try, /*On fail goto*//*Label 7430*/ GIMT_Encode4(424239), // Rule ID 2655 //
     /*  424156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  424159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  424164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  424167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  424170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  424173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  424203 */     // MIs[1] Operand 1
     /*  424203 */     // No operand predicates
     /*  424203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424212 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  424212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  424215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424221 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  424226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  424234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424237 */     GIR_RootConstrainSelectedInstOperands,
     /*  424238 */     // GIR_Coverage, 2655,
     /*  424238 */     GIR_EraseRootFromParent_Done,
     /*  424239 */   // Label 7430: @424239
     /*  424239 */   GIM_Try, /*On fail goto*//*Label 7431*/ GIMT_Encode4(424327), // Rule ID 2656 //
     /*  424244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  424247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  424252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  424255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  424258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  424261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  424264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  424291 */     // MIs[1] Operand 1
     /*  424291 */     // No operand predicates
     /*  424291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424300 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  424300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  424303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424309 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  424314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  424322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424325 */     GIR_RootConstrainSelectedInstOperands,
     /*  424326 */     // GIR_Coverage, 2656,
     /*  424326 */     GIR_EraseRootFromParent_Done,
     /*  424327 */   // Label 7431: @424327
     /*  424327 */   GIM_Try, /*On fail goto*//*Label 7432*/ GIMT_Encode4(424415), // Rule ID 2663 //
     /*  424332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  424335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  424340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  424343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  424346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  424349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  424379 */     // MIs[1] Operand 1
     /*  424379 */     // No operand predicates
     /*  424379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424388 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  424388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  424391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424397 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  424402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  424410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424413 */     GIR_RootConstrainSelectedInstOperands,
     /*  424414 */     // GIR_Coverage, 2663,
     /*  424414 */     GIR_EraseRootFromParent_Done,
     /*  424415 */   // Label 7432: @424415
     /*  424415 */   GIM_Try, /*On fail goto*//*Label 7433*/ GIMT_Encode4(424503), // Rule ID 2664 //
     /*  424420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  424423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  424428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  424431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  424434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  424437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  424440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  424467 */     // MIs[1] Operand 1
     /*  424467 */     // No operand predicates
     /*  424467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424476 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  424476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  424479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424485 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  424490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  424498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424501 */     GIR_RootConstrainSelectedInstOperands,
     /*  424502 */     // GIR_Coverage, 2664,
     /*  424502 */     GIR_EraseRootFromParent_Done,
     /*  424503 */   // Label 7433: @424503
     /*  424503 */   GIM_Try, /*On fail goto*//*Label 7434*/ GIMT_Encode4(424591), // Rule ID 2671 //
     /*  424508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  424511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  424516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  424519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  424522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  424525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  424555 */     // MIs[1] Operand 1
     /*  424555 */     // No operand predicates
     /*  424555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424564 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  424564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  424567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424573 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  424578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  424586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424589 */     GIR_RootConstrainSelectedInstOperands,
     /*  424590 */     // GIR_Coverage, 2671,
     /*  424590 */     GIR_EraseRootFromParent_Done,
     /*  424591 */   // Label 7434: @424591
     /*  424591 */   GIM_Try, /*On fail goto*//*Label 7435*/ GIMT_Encode4(424679), // Rule ID 2672 //
     /*  424596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  424599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  424604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  424607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  424610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  424613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  424616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  424643 */     // MIs[1] Operand 1
     /*  424643 */     // No operand predicates
     /*  424643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424652 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  424652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  424655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424661 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  424666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  424674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424677 */     GIR_RootConstrainSelectedInstOperands,
     /*  424678 */     // GIR_Coverage, 2672,
     /*  424678 */     GIR_EraseRootFromParent_Done,
     /*  424679 */   // Label 7435: @424679
     /*  424679 */   GIM_Try, /*On fail goto*//*Label 7436*/ GIMT_Encode4(424767), // Rule ID 2679 //
     /*  424684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  424687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  424692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  424695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  424698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  424701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  424731 */     // MIs[1] Operand 1
     /*  424731 */     // No operand predicates
     /*  424731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424740 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  424740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  424743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424749 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  424754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  424762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424765 */     GIR_RootConstrainSelectedInstOperands,
     /*  424766 */     // GIR_Coverage, 2679,
     /*  424766 */     GIR_EraseRootFromParent_Done,
     /*  424767 */   // Label 7436: @424767
     /*  424767 */   GIM_Try, /*On fail goto*//*Label 7437*/ GIMT_Encode4(424855), // Rule ID 2680 //
     /*  424772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  424775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  424780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  424783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  424786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  424789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  424792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  424819 */     // MIs[1] Operand 1
     /*  424819 */     // No operand predicates
     /*  424819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424828 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  424828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  424831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424837 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  424842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  424850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424853 */     GIR_RootConstrainSelectedInstOperands,
     /*  424854 */     // GIR_Coverage, 2680,
     /*  424854 */     GIR_EraseRootFromParent_Done,
     /*  424855 */   // Label 7437: @424855
     /*  424855 */   GIM_Try, /*On fail goto*//*Label 7438*/ GIMT_Encode4(424943), // Rule ID 2687 //
     /*  424860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  424863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  424868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  424871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  424874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  424877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  424907 */     // MIs[1] Operand 1
     /*  424907 */     // No operand predicates
     /*  424907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424916 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  424916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  424919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424925 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  424930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  424938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424941 */     GIR_RootConstrainSelectedInstOperands,
     /*  424942 */     // GIR_Coverage, 2687,
     /*  424942 */     GIR_EraseRootFromParent_Done,
     /*  424943 */   // Label 7438: @424943
     /*  424943 */   GIM_Try, /*On fail goto*//*Label 7439*/ GIMT_Encode4(425031), // Rule ID 2688 //
     /*  424948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  424951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  424956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  424959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  424962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  424965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  424968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  424995 */     // MIs[1] Operand 1
     /*  424995 */     // No operand predicates
     /*  424995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425004 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  425004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  425007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425013 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425029 */     GIR_RootConstrainSelectedInstOperands,
     /*  425030 */     // GIR_Coverage, 2688,
     /*  425030 */     GIR_EraseRootFromParent_Done,
     /*  425031 */   // Label 7439: @425031
     /*  425031 */   GIM_Try, /*On fail goto*//*Label 7440*/ GIMT_Encode4(425119), // Rule ID 2695 //
     /*  425036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  425047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  425050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  425053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425083 */     // MIs[1] Operand 1
     /*  425083 */     // No operand predicates
     /*  425083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425092 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  425095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425101 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425117 */     GIR_RootConstrainSelectedInstOperands,
     /*  425118 */     // GIR_Coverage, 2695,
     /*  425118 */     GIR_EraseRootFromParent_Done,
     /*  425119 */   // Label 7440: @425119
     /*  425119 */   GIM_Try, /*On fail goto*//*Label 7441*/ GIMT_Encode4(425207), // Rule ID 2696 //
     /*  425124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  425135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  425138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  425141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425171 */     // MIs[1] Operand 1
     /*  425171 */     // No operand predicates
     /*  425171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425180 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  425183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425189 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425205 */     GIR_RootConstrainSelectedInstOperands,
     /*  425206 */     // GIR_Coverage, 2696,
     /*  425206 */     GIR_EraseRootFromParent_Done,
     /*  425207 */   // Label 7441: @425207
     /*  425207 */   GIM_Try, /*On fail goto*//*Label 7442*/ GIMT_Encode4(425295), // Rule ID 2703 //
     /*  425212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  425223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  425226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  425229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425259 */     // MIs[1] Operand 1
     /*  425259 */     // No operand predicates
     /*  425259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425268 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  425268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  425271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425277 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425293 */     GIR_RootConstrainSelectedInstOperands,
     /*  425294 */     // GIR_Coverage, 2703,
     /*  425294 */     GIR_EraseRootFromParent_Done,
     /*  425295 */   // Label 7442: @425295
     /*  425295 */   GIM_Try, /*On fail goto*//*Label 7443*/ GIMT_Encode4(425383), // Rule ID 2704 //
     /*  425300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  425311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  425314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  425317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425347 */     // MIs[1] Operand 1
     /*  425347 */     // No operand predicates
     /*  425347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425356 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  425356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  425359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425365 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425381 */     GIR_RootConstrainSelectedInstOperands,
     /*  425382 */     // GIR_Coverage, 2704,
     /*  425382 */     GIR_EraseRootFromParent_Done,
     /*  425383 */   // Label 7443: @425383
     /*  425383 */   GIM_Try, /*On fail goto*//*Label 7444*/ GIMT_Encode4(425471), // Rule ID 2711 //
     /*  425388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  425399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  425402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  425405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425435 */     // MIs[1] Operand 1
     /*  425435 */     // No operand predicates
     /*  425435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425444 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  425444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  425447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425453 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425469 */     GIR_RootConstrainSelectedInstOperands,
     /*  425470 */     // GIR_Coverage, 2711,
     /*  425470 */     GIR_EraseRootFromParent_Done,
     /*  425471 */   // Label 7444: @425471
     /*  425471 */   GIM_Try, /*On fail goto*//*Label 7445*/ GIMT_Encode4(425559), // Rule ID 2712 //
     /*  425476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  425487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  425490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  425493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425523 */     // MIs[1] Operand 1
     /*  425523 */     // No operand predicates
     /*  425523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425532 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  425532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  425535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425541 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425557 */     GIR_RootConstrainSelectedInstOperands,
     /*  425558 */     // GIR_Coverage, 2712,
     /*  425558 */     GIR_EraseRootFromParent_Done,
     /*  425559 */   // Label 7445: @425559
     /*  425559 */   GIM_Try, /*On fail goto*//*Label 7446*/ GIMT_Encode4(425647), // Rule ID 2719 //
     /*  425564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  425575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  425578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  425581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425611 */     // MIs[1] Operand 1
     /*  425611 */     // No operand predicates
     /*  425611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425620 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  425623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425629 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425645 */     GIR_RootConstrainSelectedInstOperands,
     /*  425646 */     // GIR_Coverage, 2719,
     /*  425646 */     GIR_EraseRootFromParent_Done,
     /*  425647 */   // Label 7446: @425647
     /*  425647 */   GIM_Try, /*On fail goto*//*Label 7447*/ GIMT_Encode4(425735), // Rule ID 2720 //
     /*  425652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  425663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  425666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  425669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425699 */     // MIs[1] Operand 1
     /*  425699 */     // No operand predicates
     /*  425699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  425711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425717 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425733 */     GIR_RootConstrainSelectedInstOperands,
     /*  425734 */     // GIR_Coverage, 2720,
     /*  425734 */     GIR_EraseRootFromParent_Done,
     /*  425735 */   // Label 7447: @425735
     /*  425735 */   GIM_Try, /*On fail goto*//*Label 7448*/ GIMT_Encode4(425823), // Rule ID 2727 //
     /*  425740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  425743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  425751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  425754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  425757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425787 */     // MIs[1] Operand 1
     /*  425787 */     // No operand predicates
     /*  425787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425796 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  425796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  425799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425805 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  425818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425821 */     GIR_RootConstrainSelectedInstOperands,
     /*  425822 */     // GIR_Coverage, 2727,
     /*  425822 */     GIR_EraseRootFromParent_Done,
     /*  425823 */   // Label 7448: @425823
     /*  425823 */   GIM_Try, /*On fail goto*//*Label 7449*/ GIMT_Encode4(425911), // Rule ID 2728 //
     /*  425828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  425831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  425839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  425842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  425845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425875 */     // MIs[1] Operand 1
     /*  425875 */     // No operand predicates
     /*  425875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425884 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  425884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  425887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425893 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  425906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425909 */     GIR_RootConstrainSelectedInstOperands,
     /*  425910 */     // GIR_Coverage, 2728,
     /*  425910 */     GIR_EraseRootFromParent_Done,
     /*  425911 */   // Label 7449: @425911
     /*  425911 */   GIM_Try, /*On fail goto*//*Label 7450*/ GIMT_Encode4(425999), // Rule ID 2735 //
     /*  425916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  425924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  425927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  425930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  425933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  425963 */     // MIs[1] Operand 1
     /*  425963 */     // No operand predicates
     /*  425963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425972 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  425972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  425975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425981 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  425986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425997 */     GIR_RootConstrainSelectedInstOperands,
     /*  425998 */     // GIR_Coverage, 2735,
     /*  425998 */     GIR_EraseRootFromParent_Done,
     /*  425999 */   // Label 7450: @425999
     /*  425999 */   GIM_Try, /*On fail goto*//*Label 7451*/ GIMT_Encode4(426087), // Rule ID 2736 //
     /*  426004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  426015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  426018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  426021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426051 */     // MIs[1] Operand 1
     /*  426051 */     // No operand predicates
     /*  426051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426060 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  426060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  426063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426069 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426085 */     GIR_RootConstrainSelectedInstOperands,
     /*  426086 */     // GIR_Coverage, 2736,
     /*  426086 */     GIR_EraseRootFromParent_Done,
     /*  426087 */   // Label 7451: @426087
     /*  426087 */   GIM_Try, /*On fail goto*//*Label 7452*/ GIMT_Encode4(426175), // Rule ID 2743 //
     /*  426092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  426103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  426106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  426109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426139 */     // MIs[1] Operand 1
     /*  426139 */     // No operand predicates
     /*  426139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426148 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  426148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  426151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426157 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426173 */     GIR_RootConstrainSelectedInstOperands,
     /*  426174 */     // GIR_Coverage, 2743,
     /*  426174 */     GIR_EraseRootFromParent_Done,
     /*  426175 */   // Label 7452: @426175
     /*  426175 */   GIM_Try, /*On fail goto*//*Label 7453*/ GIMT_Encode4(426263), // Rule ID 2744 //
     /*  426180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  426191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  426194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  426197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426227 */     // MIs[1] Operand 1
     /*  426227 */     // No operand predicates
     /*  426227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426236 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  426236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  426239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426245 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426261 */     GIR_RootConstrainSelectedInstOperands,
     /*  426262 */     // GIR_Coverage, 2744,
     /*  426262 */     GIR_EraseRootFromParent_Done,
     /*  426263 */   // Label 7453: @426263
     /*  426263 */   GIM_Try, /*On fail goto*//*Label 7454*/ GIMT_Encode4(426351), // Rule ID 2751 //
     /*  426268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  426279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  426282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  426285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426315 */     // MIs[1] Operand 1
     /*  426315 */     // No operand predicates
     /*  426315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426324 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  426324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  426327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426333 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426349 */     GIR_RootConstrainSelectedInstOperands,
     /*  426350 */     // GIR_Coverage, 2751,
     /*  426350 */     GIR_EraseRootFromParent_Done,
     /*  426351 */   // Label 7454: @426351
     /*  426351 */   GIM_Try, /*On fail goto*//*Label 7455*/ GIMT_Encode4(426439), // Rule ID 2752 //
     /*  426356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  426367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  426370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  426373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426403 */     // MIs[1] Operand 1
     /*  426403 */     // No operand predicates
     /*  426403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426412 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  426412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  426415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426421 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426437 */     GIR_RootConstrainSelectedInstOperands,
     /*  426438 */     // GIR_Coverage, 2752,
     /*  426438 */     GIR_EraseRootFromParent_Done,
     /*  426439 */   // Label 7455: @426439
     /*  426439 */   GIM_Try, /*On fail goto*//*Label 7456*/ GIMT_Encode4(426527), // Rule ID 2759 //
     /*  426444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  426455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  426458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  426461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426491 */     // MIs[1] Operand 1
     /*  426491 */     // No operand predicates
     /*  426491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426500 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  426500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  426503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426509 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426525 */     GIR_RootConstrainSelectedInstOperands,
     /*  426526 */     // GIR_Coverage, 2759,
     /*  426526 */     GIR_EraseRootFromParent_Done,
     /*  426527 */   // Label 7456: @426527
     /*  426527 */   GIM_Try, /*On fail goto*//*Label 7457*/ GIMT_Encode4(426615), // Rule ID 2760 //
     /*  426532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  426543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  426546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  426549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426579 */     // MIs[1] Operand 1
     /*  426579 */     // No operand predicates
     /*  426579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426588 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  426588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  426591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426597 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426613 */     GIR_RootConstrainSelectedInstOperands,
     /*  426614 */     // GIR_Coverage, 2760,
     /*  426614 */     GIR_EraseRootFromParent_Done,
     /*  426615 */   // Label 7457: @426615
     /*  426615 */   GIM_Try, /*On fail goto*//*Label 7458*/ GIMT_Encode4(426703), // Rule ID 2767 //
     /*  426620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  426631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  426634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  426637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426667 */     // MIs[1] Operand 1
     /*  426667 */     // No operand predicates
     /*  426667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426676 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  426676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  426679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426685 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426701 */     GIR_RootConstrainSelectedInstOperands,
     /*  426702 */     // GIR_Coverage, 2767,
     /*  426702 */     GIR_EraseRootFromParent_Done,
     /*  426703 */   // Label 7458: @426703
     /*  426703 */   GIM_Try, /*On fail goto*//*Label 7459*/ GIMT_Encode4(426791), // Rule ID 2768 //
     /*  426708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  426719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  426722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  426725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426755 */     // MIs[1] Operand 1
     /*  426755 */     // No operand predicates
     /*  426755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426764 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  426764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  426767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426773 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426789 */     GIR_RootConstrainSelectedInstOperands,
     /*  426790 */     // GIR_Coverage, 2768,
     /*  426790 */     GIR_EraseRootFromParent_Done,
     /*  426791 */   // Label 7459: @426791
     /*  426791 */   GIM_Try, /*On fail goto*//*Label 7460*/ GIMT_Encode4(426879), // Rule ID 2775 //
     /*  426796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  426807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  426810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  426813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426843 */     // MIs[1] Operand 1
     /*  426843 */     // No operand predicates
     /*  426843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426852 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  426852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  426855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426861 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426877 */     GIR_RootConstrainSelectedInstOperands,
     /*  426878 */     // GIR_Coverage, 2775,
     /*  426878 */     GIR_EraseRootFromParent_Done,
     /*  426879 */   // Label 7460: @426879
     /*  426879 */   GIM_Try, /*On fail goto*//*Label 7461*/ GIMT_Encode4(426967), // Rule ID 2776 //
     /*  426884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  426895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  426898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  426901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  426931 */     // MIs[1] Operand 1
     /*  426931 */     // No operand predicates
     /*  426931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426940 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  426940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  426943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426949 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  426954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426965 */     GIR_RootConstrainSelectedInstOperands,
     /*  426966 */     // GIR_Coverage, 2776,
     /*  426966 */     GIR_EraseRootFromParent_Done,
     /*  426967 */   // Label 7461: @426967
     /*  426967 */   GIM_Try, /*On fail goto*//*Label 7462*/ GIMT_Encode4(427055), // Rule ID 2783 //
     /*  426972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  426980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  426983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  426986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  426989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427019 */     // MIs[1] Operand 1
     /*  427019 */     // No operand predicates
     /*  427019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427028 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  427028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  427031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427037 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427053 */     GIR_RootConstrainSelectedInstOperands,
     /*  427054 */     // GIR_Coverage, 2783,
     /*  427054 */     GIR_EraseRootFromParent_Done,
     /*  427055 */   // Label 7462: @427055
     /*  427055 */   GIM_Try, /*On fail goto*//*Label 7463*/ GIMT_Encode4(427143), // Rule ID 2784 //
     /*  427060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  427071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  427074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  427077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427107 */     // MIs[1] Operand 1
     /*  427107 */     // No operand predicates
     /*  427107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427116 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  427116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  427119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427125 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427141 */     GIR_RootConstrainSelectedInstOperands,
     /*  427142 */     // GIR_Coverage, 2784,
     /*  427142 */     GIR_EraseRootFromParent_Done,
     /*  427143 */   // Label 7463: @427143
     /*  427143 */   GIM_Try, /*On fail goto*//*Label 7464*/ GIMT_Encode4(427231), // Rule ID 2791 //
     /*  427148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  427159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  427162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  427165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427195 */     // MIs[1] Operand 1
     /*  427195 */     // No operand predicates
     /*  427195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427204 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  427204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  427207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427213 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427229 */     GIR_RootConstrainSelectedInstOperands,
     /*  427230 */     // GIR_Coverage, 2791,
     /*  427230 */     GIR_EraseRootFromParent_Done,
     /*  427231 */   // Label 7464: @427231
     /*  427231 */   GIM_Try, /*On fail goto*//*Label 7465*/ GIMT_Encode4(427319), // Rule ID 2792 //
     /*  427236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  427247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  427250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  427253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427283 */     // MIs[1] Operand 1
     /*  427283 */     // No operand predicates
     /*  427283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427292 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  427292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  427295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427301 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427317 */     GIR_RootConstrainSelectedInstOperands,
     /*  427318 */     // GIR_Coverage, 2792,
     /*  427318 */     GIR_EraseRootFromParent_Done,
     /*  427319 */   // Label 7465: @427319
     /*  427319 */   GIM_Try, /*On fail goto*//*Label 7466*/ GIMT_Encode4(427407), // Rule ID 2799 //
     /*  427324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  427335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  427338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  427341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427371 */     // MIs[1] Operand 1
     /*  427371 */     // No operand predicates
     /*  427371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427380 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  427380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  427383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427389 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427405 */     GIR_RootConstrainSelectedInstOperands,
     /*  427406 */     // GIR_Coverage, 2799,
     /*  427406 */     GIR_EraseRootFromParent_Done,
     /*  427407 */   // Label 7466: @427407
     /*  427407 */   GIM_Try, /*On fail goto*//*Label 7467*/ GIMT_Encode4(427495), // Rule ID 2800 //
     /*  427412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  427423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  427426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  427429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427459 */     // MIs[1] Operand 1
     /*  427459 */     // No operand predicates
     /*  427459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427468 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  427468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  427471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427477 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427493 */     GIR_RootConstrainSelectedInstOperands,
     /*  427494 */     // GIR_Coverage, 2800,
     /*  427494 */     GIR_EraseRootFromParent_Done,
     /*  427495 */   // Label 7467: @427495
     /*  427495 */   GIM_Try, /*On fail goto*//*Label 7468*/ GIMT_Encode4(427583), // Rule ID 2807 //
     /*  427500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  427503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  427511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  427514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  427517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427547 */     // MIs[1] Operand 1
     /*  427547 */     // No operand predicates
     /*  427547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427556 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  427556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  427559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427565 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427581 */     GIR_RootConstrainSelectedInstOperands,
     /*  427582 */     // GIR_Coverage, 2807,
     /*  427582 */     GIR_EraseRootFromParent_Done,
     /*  427583 */   // Label 7468: @427583
     /*  427583 */   GIM_Try, /*On fail goto*//*Label 7469*/ GIMT_Encode4(427671), // Rule ID 2808 //
     /*  427588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  427591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  427599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  427602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  427605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427635 */     // MIs[1] Operand 1
     /*  427635 */     // No operand predicates
     /*  427635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427644 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  427644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  427647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427653 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427669 */     GIR_RootConstrainSelectedInstOperands,
     /*  427670 */     // GIR_Coverage, 2808,
     /*  427670 */     GIR_EraseRootFromParent_Done,
     /*  427671 */   // Label 7469: @427671
     /*  427671 */   GIM_Try, /*On fail goto*//*Label 7470*/ GIMT_Encode4(427759), // Rule ID 2815 //
     /*  427676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  427679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  427687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  427690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  427693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427723 */     // MIs[1] Operand 1
     /*  427723 */     // No operand predicates
     /*  427723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427732 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  427732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  427735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427741 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427757 */     GIR_RootConstrainSelectedInstOperands,
     /*  427758 */     // GIR_Coverage, 2815,
     /*  427758 */     GIR_EraseRootFromParent_Done,
     /*  427759 */   // Label 7470: @427759
     /*  427759 */   GIM_Try, /*On fail goto*//*Label 7471*/ GIMT_Encode4(427847), // Rule ID 2816 //
     /*  427764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  427767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  427775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  427778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  427781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427811 */     // MIs[1] Operand 1
     /*  427811 */     // No operand predicates
     /*  427811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427820 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  427820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  427823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427829 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427845 */     GIR_RootConstrainSelectedInstOperands,
     /*  427846 */     // GIR_Coverage, 2816,
     /*  427846 */     GIR_EraseRootFromParent_Done,
     /*  427847 */   // Label 7471: @427847
     /*  427847 */   GIM_Try, /*On fail goto*//*Label 7472*/ GIMT_Encode4(427935), // Rule ID 2823 //
     /*  427852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  427855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  427863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  427866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  427869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427899 */     // MIs[1] Operand 1
     /*  427899 */     // No operand predicates
     /*  427899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427908 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  427908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  427911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427917 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  427922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427933 */     GIR_RootConstrainSelectedInstOperands,
     /*  427934 */     // GIR_Coverage, 2823,
     /*  427934 */     GIR_EraseRootFromParent_Done,
     /*  427935 */   // Label 7472: @427935
     /*  427935 */   GIM_Try, /*On fail goto*//*Label 7473*/ GIMT_Encode4(428023), // Rule ID 2824 //
     /*  427940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  427943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  427948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  427951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  427954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  427957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  427987 */     // MIs[1] Operand 1
     /*  427987 */     // No operand predicates
     /*  427987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427996 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  427996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  427999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428005 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  428010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428021 */     GIR_RootConstrainSelectedInstOperands,
     /*  428022 */     // GIR_Coverage, 2824,
     /*  428022 */     GIR_EraseRootFromParent_Done,
     /*  428023 */   // Label 7473: @428023
     /*  428023 */   GIM_Try, /*On fail goto*//*Label 7474*/ GIMT_Encode4(428109), // Rule ID 2999 //
     /*  428028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  428036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  428039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  428042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  428045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428075 */     // MIs[1] Operand 1
     /*  428075 */     // No operand predicates
     /*  428075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428084 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  428084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  428087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  428104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428107 */     GIR_RootConstrainSelectedInstOperands,
     /*  428108 */     // GIR_Coverage, 2999,
     /*  428108 */     GIR_EraseRootFromParent_Done,
     /*  428109 */   // Label 7474: @428109
     /*  428109 */   GIM_Try, /*On fail goto*//*Label 7475*/ GIMT_Encode4(428195), // Rule ID 3000 //
     /*  428114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  428122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  428125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  428128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  428131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428161 */     // MIs[1] Operand 1
     /*  428161 */     // No operand predicates
     /*  428161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428170 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  428170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  428173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  428190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428193 */     GIR_RootConstrainSelectedInstOperands,
     /*  428194 */     // GIR_Coverage, 3000,
     /*  428194 */     GIR_EraseRootFromParent_Done,
     /*  428195 */   // Label 7475: @428195
     /*  428195 */   GIM_Try, /*On fail goto*//*Label 7476*/ GIMT_Encode4(428281), // Rule ID 3003 //
     /*  428200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  428208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  428211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  428214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  428217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428247 */     // MIs[1] Operand 1
     /*  428247 */     // No operand predicates
     /*  428247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428256 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  428256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  428259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  428276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428279 */     GIR_RootConstrainSelectedInstOperands,
     /*  428280 */     // GIR_Coverage, 3003,
     /*  428280 */     GIR_EraseRootFromParent_Done,
     /*  428281 */   // Label 7476: @428281
     /*  428281 */   GIM_Try, /*On fail goto*//*Label 7477*/ GIMT_Encode4(428367), // Rule ID 3004 //
     /*  428286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  428294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  428297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  428300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  428303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428333 */     // MIs[1] Operand 1
     /*  428333 */     // No operand predicates
     /*  428333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428342 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  428342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  428345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  428362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428365 */     GIR_RootConstrainSelectedInstOperands,
     /*  428366 */     // GIR_Coverage, 3004,
     /*  428366 */     GIR_EraseRootFromParent_Done,
     /*  428367 */   // Label 7477: @428367
     /*  428367 */   GIM_Try, /*On fail goto*//*Label 7478*/ GIMT_Encode4(428453), // Rule ID 3007 //
     /*  428372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  428380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  428383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  428386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  428389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428419 */     // MIs[1] Operand 1
     /*  428419 */     // No operand predicates
     /*  428419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428428 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  428428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  428431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  428448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428451 */     GIR_RootConstrainSelectedInstOperands,
     /*  428452 */     // GIR_Coverage, 3007,
     /*  428452 */     GIR_EraseRootFromParent_Done,
     /*  428453 */   // Label 7478: @428453
     /*  428453 */   GIM_Try, /*On fail goto*//*Label 7479*/ GIMT_Encode4(428539), // Rule ID 3008 //
     /*  428458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  428466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  428469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  428472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  428475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428505 */     // MIs[1] Operand 1
     /*  428505 */     // No operand predicates
     /*  428505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428514 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  428514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  428517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  428534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428537 */     GIR_RootConstrainSelectedInstOperands,
     /*  428538 */     // GIR_Coverage, 3008,
     /*  428538 */     GIR_EraseRootFromParent_Done,
     /*  428539 */   // Label 7479: @428539
     /*  428539 */   GIM_Try, /*On fail goto*//*Label 7480*/ GIMT_Encode4(428625), // Rule ID 3011 //
     /*  428544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  428552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  428555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  428558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  428561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428591 */     // MIs[1] Operand 1
     /*  428591 */     // No operand predicates
     /*  428591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428600 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  428600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  428603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428623 */     GIR_RootConstrainSelectedInstOperands,
     /*  428624 */     // GIR_Coverage, 3011,
     /*  428624 */     GIR_EraseRootFromParent_Done,
     /*  428625 */   // Label 7480: @428625
     /*  428625 */   GIM_Try, /*On fail goto*//*Label 7481*/ GIMT_Encode4(428711), // Rule ID 3012 //
     /*  428630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  428638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  428641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  428644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  428647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428677 */     // MIs[1] Operand 1
     /*  428677 */     // No operand predicates
     /*  428677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428686 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  428686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  428689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428709 */     GIR_RootConstrainSelectedInstOperands,
     /*  428710 */     // GIR_Coverage, 3012,
     /*  428710 */     GIR_EraseRootFromParent_Done,
     /*  428711 */   // Label 7481: @428711
     /*  428711 */   GIM_Try, /*On fail goto*//*Label 7482*/ GIMT_Encode4(428797), // Rule ID 3015 //
     /*  428716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  428724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  428727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  428730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  428733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428763 */     // MIs[1] Operand 1
     /*  428763 */     // No operand predicates
     /*  428763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428772 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  428772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  428775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428795 */     GIR_RootConstrainSelectedInstOperands,
     /*  428796 */     // GIR_Coverage, 3015,
     /*  428796 */     GIR_EraseRootFromParent_Done,
     /*  428797 */   // Label 7482: @428797
     /*  428797 */   GIM_Try, /*On fail goto*//*Label 7483*/ GIMT_Encode4(428883), // Rule ID 3016 //
     /*  428802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  428810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  428813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  428816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  428819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428849 */     // MIs[1] Operand 1
     /*  428849 */     // No operand predicates
     /*  428849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428858 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  428858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  428861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428881 */     GIR_RootConstrainSelectedInstOperands,
     /*  428882 */     // GIR_Coverage, 3016,
     /*  428882 */     GIR_EraseRootFromParent_Done,
     /*  428883 */   // Label 7483: @428883
     /*  428883 */   GIM_Try, /*On fail goto*//*Label 7484*/ GIMT_Encode4(428969), // Rule ID 3019 //
     /*  428888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  428896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  428899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  428902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  428905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428935 */     // MIs[1] Operand 1
     /*  428935 */     // No operand predicates
     /*  428935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428944 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  428947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428967 */     GIR_RootConstrainSelectedInstOperands,
     /*  428968 */     // GIR_Coverage, 3019,
     /*  428968 */     GIR_EraseRootFromParent_Done,
     /*  428969 */   // Label 7484: @428969
     /*  428969 */   GIM_Try, /*On fail goto*//*Label 7485*/ GIMT_Encode4(429055), // Rule ID 3020 //
     /*  428974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  428982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  428985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  428988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  428991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429021 */     // MIs[1] Operand 1
     /*  429021 */     // No operand predicates
     /*  429021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429030 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  429033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429053 */     GIR_RootConstrainSelectedInstOperands,
     /*  429054 */     // GIR_Coverage, 3020,
     /*  429054 */     GIR_EraseRootFromParent_Done,
     /*  429055 */   // Label 7485: @429055
     /*  429055 */   GIM_Try, /*On fail goto*//*Label 7486*/ GIMT_Encode4(429141), // Rule ID 3023 //
     /*  429060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  429071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  429074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  429077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429107 */     // MIs[1] Operand 1
     /*  429107 */     // No operand predicates
     /*  429107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429116 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  429116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  429119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429139 */     GIR_RootConstrainSelectedInstOperands,
     /*  429140 */     // GIR_Coverage, 3023,
     /*  429140 */     GIR_EraseRootFromParent_Done,
     /*  429141 */   // Label 7486: @429141
     /*  429141 */   GIM_Try, /*On fail goto*//*Label 7487*/ GIMT_Encode4(429227), // Rule ID 3024 //
     /*  429146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  429157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  429160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  429163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429193 */     // MIs[1] Operand 1
     /*  429193 */     // No operand predicates
     /*  429193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429202 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  429202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  429205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429225 */     GIR_RootConstrainSelectedInstOperands,
     /*  429226 */     // GIR_Coverage, 3024,
     /*  429226 */     GIR_EraseRootFromParent_Done,
     /*  429227 */   // Label 7487: @429227
     /*  429227 */   GIM_Try, /*On fail goto*//*Label 7488*/ GIMT_Encode4(429313), // Rule ID 3027 //
     /*  429232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  429243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  429246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  429249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429279 */     // MIs[1] Operand 1
     /*  429279 */     // No operand predicates
     /*  429279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429288 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  429288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  429291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429311 */     GIR_RootConstrainSelectedInstOperands,
     /*  429312 */     // GIR_Coverage, 3027,
     /*  429312 */     GIR_EraseRootFromParent_Done,
     /*  429313 */   // Label 7488: @429313
     /*  429313 */   GIM_Try, /*On fail goto*//*Label 7489*/ GIMT_Encode4(429399), // Rule ID 3028 //
     /*  429318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  429329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  429332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  429335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429365 */     // MIs[1] Operand 1
     /*  429365 */     // No operand predicates
     /*  429365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429374 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  429374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  429377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429397 */     GIR_RootConstrainSelectedInstOperands,
     /*  429398 */     // GIR_Coverage, 3028,
     /*  429398 */     GIR_EraseRootFromParent_Done,
     /*  429399 */   // Label 7489: @429399
     /*  429399 */   GIM_Try, /*On fail goto*//*Label 7490*/ GIMT_Encode4(429485), // Rule ID 3031 //
     /*  429404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  429415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  429418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  429421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429451 */     // MIs[1] Operand 1
     /*  429451 */     // No operand predicates
     /*  429451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429460 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  429463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429483 */     GIR_RootConstrainSelectedInstOperands,
     /*  429484 */     // GIR_Coverage, 3031,
     /*  429484 */     GIR_EraseRootFromParent_Done,
     /*  429485 */   // Label 7490: @429485
     /*  429485 */   GIM_Try, /*On fail goto*//*Label 7491*/ GIMT_Encode4(429571), // Rule ID 3032 //
     /*  429490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  429501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  429504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  429507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429537 */     // MIs[1] Operand 1
     /*  429537 */     // No operand predicates
     /*  429537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429546 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  429549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429569 */     GIR_RootConstrainSelectedInstOperands,
     /*  429570 */     // GIR_Coverage, 3032,
     /*  429570 */     GIR_EraseRootFromParent_Done,
     /*  429571 */   // Label 7491: @429571
     /*  429571 */   GIM_Try, /*On fail goto*//*Label 7492*/ GIMT_Encode4(429657), // Rule ID 3035 //
     /*  429576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  429579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  429587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  429590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  429593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429623 */     // MIs[1] Operand 1
     /*  429623 */     // No operand predicates
     /*  429623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429632 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  429632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  429635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429655 */     GIR_RootConstrainSelectedInstOperands,
     /*  429656 */     // GIR_Coverage, 3035,
     /*  429656 */     GIR_EraseRootFromParent_Done,
     /*  429657 */   // Label 7492: @429657
     /*  429657 */   GIM_Try, /*On fail goto*//*Label 7493*/ GIMT_Encode4(429743), // Rule ID 3036 //
     /*  429662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  429665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  429673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  429676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  429679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429709 */     // MIs[1] Operand 1
     /*  429709 */     // No operand predicates
     /*  429709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429718 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  429718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  429721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429741 */     GIR_RootConstrainSelectedInstOperands,
     /*  429742 */     // GIR_Coverage, 3036,
     /*  429742 */     GIR_EraseRootFromParent_Done,
     /*  429743 */   // Label 7493: @429743
     /*  429743 */   GIM_Try, /*On fail goto*//*Label 7494*/ GIMT_Encode4(429829), // Rule ID 3039 //
     /*  429748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  429759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  429762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  429765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429795 */     // MIs[1] Operand 1
     /*  429795 */     // No operand predicates
     /*  429795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429804 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  429804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  429807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429827 */     GIR_RootConstrainSelectedInstOperands,
     /*  429828 */     // GIR_Coverage, 3039,
     /*  429828 */     GIR_EraseRootFromParent_Done,
     /*  429829 */   // Label 7494: @429829
     /*  429829 */   GIM_Try, /*On fail goto*//*Label 7495*/ GIMT_Encode4(429915), // Rule ID 3040 //
     /*  429834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  429845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  429848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  429851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429881 */     // MIs[1] Operand 1
     /*  429881 */     // No operand predicates
     /*  429881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429890 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  429890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  429893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429913 */     GIR_RootConstrainSelectedInstOperands,
     /*  429914 */     // GIR_Coverage, 3040,
     /*  429914 */     GIR_EraseRootFromParent_Done,
     /*  429915 */   // Label 7495: @429915
     /*  429915 */   GIM_Try, /*On fail goto*//*Label 7496*/ GIMT_Encode4(430001), // Rule ID 3043 //
     /*  429920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  429928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  429931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  429934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  429937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429967 */     // MIs[1] Operand 1
     /*  429967 */     // No operand predicates
     /*  429967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429976 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  429976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  429979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429999 */     GIR_RootConstrainSelectedInstOperands,
     /*  430000 */     // GIR_Coverage, 3043,
     /*  430000 */     GIR_EraseRootFromParent_Done,
     /*  430001 */   // Label 7496: @430001
     /*  430001 */   GIM_Try, /*On fail goto*//*Label 7497*/ GIMT_Encode4(430087), // Rule ID 3044 //
     /*  430006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  430017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  430020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  430023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430053 */     // MIs[1] Operand 1
     /*  430053 */     // No operand predicates
     /*  430053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430062 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  430062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  430065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430085 */     GIR_RootConstrainSelectedInstOperands,
     /*  430086 */     // GIR_Coverage, 3044,
     /*  430086 */     GIR_EraseRootFromParent_Done,
     /*  430087 */   // Label 7497: @430087
     /*  430087 */   GIM_Try, /*On fail goto*//*Label 7498*/ GIMT_Encode4(430173), // Rule ID 3047 //
     /*  430092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  430103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  430106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  430109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430139 */     // MIs[1] Operand 1
     /*  430139 */     // No operand predicates
     /*  430139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430148 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  430148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  430151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430171 */     GIR_RootConstrainSelectedInstOperands,
     /*  430172 */     // GIR_Coverage, 3047,
     /*  430172 */     GIR_EraseRootFromParent_Done,
     /*  430173 */   // Label 7498: @430173
     /*  430173 */   GIM_Try, /*On fail goto*//*Label 7499*/ GIMT_Encode4(430259), // Rule ID 3048 //
     /*  430178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  430189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  430192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  430195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430225 */     // MIs[1] Operand 1
     /*  430225 */     // No operand predicates
     /*  430225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430234 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  430234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  430237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430257 */     GIR_RootConstrainSelectedInstOperands,
     /*  430258 */     // GIR_Coverage, 3048,
     /*  430258 */     GIR_EraseRootFromParent_Done,
     /*  430259 */   // Label 7499: @430259
     /*  430259 */   GIM_Try, /*On fail goto*//*Label 7500*/ GIMT_Encode4(430345), // Rule ID 3051 //
     /*  430264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  430275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  430278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  430281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430311 */     // MIs[1] Operand 1
     /*  430311 */     // No operand predicates
     /*  430311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430320 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  430323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430343 */     GIR_RootConstrainSelectedInstOperands,
     /*  430344 */     // GIR_Coverage, 3051,
     /*  430344 */     GIR_EraseRootFromParent_Done,
     /*  430345 */   // Label 7500: @430345
     /*  430345 */   GIM_Try, /*On fail goto*//*Label 7501*/ GIMT_Encode4(430431), // Rule ID 3052 //
     /*  430350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  430361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  430364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  430367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430397 */     // MIs[1] Operand 1
     /*  430397 */     // No operand predicates
     /*  430397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430406 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  430409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430429 */     GIR_RootConstrainSelectedInstOperands,
     /*  430430 */     // GIR_Coverage, 3052,
     /*  430430 */     GIR_EraseRootFromParent_Done,
     /*  430431 */   // Label 7501: @430431
     /*  430431 */   GIM_Try, /*On fail goto*//*Label 7502*/ GIMT_Encode4(430517), // Rule ID 3055 //
     /*  430436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  430447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  430450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  430453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430483 */     // MIs[1] Operand 1
     /*  430483 */     // No operand predicates
     /*  430483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430492 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  430495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430515 */     GIR_RootConstrainSelectedInstOperands,
     /*  430516 */     // GIR_Coverage, 3055,
     /*  430516 */     GIR_EraseRootFromParent_Done,
     /*  430517 */   // Label 7502: @430517
     /*  430517 */   GIM_Try, /*On fail goto*//*Label 7503*/ GIMT_Encode4(430603), // Rule ID 3056 //
     /*  430522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  430533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  430536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  430539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430569 */     // MIs[1] Operand 1
     /*  430569 */     // No operand predicates
     /*  430569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430578 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  430581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430601 */     GIR_RootConstrainSelectedInstOperands,
     /*  430602 */     // GIR_Coverage, 3056,
     /*  430602 */     GIR_EraseRootFromParent_Done,
     /*  430603 */   // Label 7503: @430603
     /*  430603 */   GIM_Try, /*On fail goto*//*Label 7504*/ GIMT_Encode4(430689), // Rule ID 3059 //
     /*  430608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  430619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  430622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  430625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430655 */     // MIs[1] Operand 1
     /*  430655 */     // No operand predicates
     /*  430655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430664 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  430667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430687 */     GIR_RootConstrainSelectedInstOperands,
     /*  430688 */     // GIR_Coverage, 3059,
     /*  430688 */     GIR_EraseRootFromParent_Done,
     /*  430689 */   // Label 7504: @430689
     /*  430689 */   GIM_Try, /*On fail goto*//*Label 7505*/ GIMT_Encode4(430775), // Rule ID 3060 //
     /*  430694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  430705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  430708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  430711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430741 */     // MIs[1] Operand 1
     /*  430741 */     // No operand predicates
     /*  430741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430750 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  430753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430773 */     GIR_RootConstrainSelectedInstOperands,
     /*  430774 */     // GIR_Coverage, 3060,
     /*  430774 */     GIR_EraseRootFromParent_Done,
     /*  430775 */   // Label 7505: @430775
     /*  430775 */   GIM_Try, /*On fail goto*//*Label 7506*/ GIMT_Encode4(430861), // Rule ID 3063 //
     /*  430780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  430791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  430794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  430797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430827 */     // MIs[1] Operand 1
     /*  430827 */     // No operand predicates
     /*  430827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430836 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  430836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  430839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430859 */     GIR_RootConstrainSelectedInstOperands,
     /*  430860 */     // GIR_Coverage, 3063,
     /*  430860 */     GIR_EraseRootFromParent_Done,
     /*  430861 */   // Label 7506: @430861
     /*  430861 */   GIM_Try, /*On fail goto*//*Label 7507*/ GIMT_Encode4(430947), // Rule ID 3064 //
     /*  430866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  430877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  430880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  430883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430913 */     // MIs[1] Operand 1
     /*  430913 */     // No operand predicates
     /*  430913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430922 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  430922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  430925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430945 */     GIR_RootConstrainSelectedInstOperands,
     /*  430946 */     // GIR_Coverage, 3064,
     /*  430946 */     GIR_EraseRootFromParent_Done,
     /*  430947 */   // Label 7507: @430947
     /*  430947 */   GIM_Try, /*On fail goto*//*Label 7508*/ GIMT_Encode4(431033), // Rule ID 3067 //
     /*  430952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  430960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  430963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  430966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  430969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430999 */     // MIs[1] Operand 1
     /*  430999 */     // No operand predicates
     /*  430999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431008 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  431008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  431011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431031 */     GIR_RootConstrainSelectedInstOperands,
     /*  431032 */     // GIR_Coverage, 3067,
     /*  431032 */     GIR_EraseRootFromParent_Done,
     /*  431033 */   // Label 7508: @431033
     /*  431033 */   GIM_Try, /*On fail goto*//*Label 7509*/ GIMT_Encode4(431119), // Rule ID 3068 //
     /*  431038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  431049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  431052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  431055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431085 */     // MIs[1] Operand 1
     /*  431085 */     // No operand predicates
     /*  431085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431094 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  431094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  431097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431117 */     GIR_RootConstrainSelectedInstOperands,
     /*  431118 */     // GIR_Coverage, 3068,
     /*  431118 */     GIR_EraseRootFromParent_Done,
     /*  431119 */   // Label 7509: @431119
     /*  431119 */   GIM_Try, /*On fail goto*//*Label 7510*/ GIMT_Encode4(431205), // Rule ID 3071 //
     /*  431124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  431135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  431138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  431141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431171 */     // MIs[1] Operand 1
     /*  431171 */     // No operand predicates
     /*  431171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431180 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  431180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  431183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431203 */     GIR_RootConstrainSelectedInstOperands,
     /*  431204 */     // GIR_Coverage, 3071,
     /*  431204 */     GIR_EraseRootFromParent_Done,
     /*  431205 */   // Label 7510: @431205
     /*  431205 */   GIM_Try, /*On fail goto*//*Label 7511*/ GIMT_Encode4(431291), // Rule ID 3072 //
     /*  431210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  431221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  431224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  431227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431257 */     // MIs[1] Operand 1
     /*  431257 */     // No operand predicates
     /*  431257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431266 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  431266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  431269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431289 */     GIR_RootConstrainSelectedInstOperands,
     /*  431290 */     // GIR_Coverage, 3072,
     /*  431290 */     GIR_EraseRootFromParent_Done,
     /*  431291 */   // Label 7511: @431291
     /*  431291 */   GIM_Try, /*On fail goto*//*Label 7512*/ GIMT_Encode4(431377), // Rule ID 3075 //
     /*  431296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  431299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  431307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  431310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  431313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431343 */     // MIs[1] Operand 1
     /*  431343 */     // No operand predicates
     /*  431343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431352 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  431352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  431355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  431372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431375 */     GIR_RootConstrainSelectedInstOperands,
     /*  431376 */     // GIR_Coverage, 3075,
     /*  431376 */     GIR_EraseRootFromParent_Done,
     /*  431377 */   // Label 7512: @431377
     /*  431377 */   GIM_Try, /*On fail goto*//*Label 7513*/ GIMT_Encode4(431463), // Rule ID 3076 //
     /*  431382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  431385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  431393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  431396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  431399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431429 */     // MIs[1] Operand 1
     /*  431429 */     // No operand predicates
     /*  431429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431438 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  431438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  431441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  431458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431461 */     GIR_RootConstrainSelectedInstOperands,
     /*  431462 */     // GIR_Coverage, 3076,
     /*  431462 */     GIR_EraseRootFromParent_Done,
     /*  431463 */   // Label 7513: @431463
     /*  431463 */   GIM_Try, /*On fail goto*//*Label 7514*/ GIMT_Encode4(431549), // Rule ID 3079 //
     /*  431468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  431471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  431479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  431482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  431485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431515 */     // MIs[1] Operand 1
     /*  431515 */     // No operand predicates
     /*  431515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431524 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  431524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  431527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  431544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431547 */     GIR_RootConstrainSelectedInstOperands,
     /*  431548 */     // GIR_Coverage, 3079,
     /*  431548 */     GIR_EraseRootFromParent_Done,
     /*  431549 */   // Label 7514: @431549
     /*  431549 */   GIM_Try, /*On fail goto*//*Label 7515*/ GIMT_Encode4(431635), // Rule ID 3080 //
     /*  431554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  431557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  431565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  431568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  431571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431601 */     // MIs[1] Operand 1
     /*  431601 */     // No operand predicates
     /*  431601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431610 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  431610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  431613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  431630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431633 */     GIR_RootConstrainSelectedInstOperands,
     /*  431634 */     // GIR_Coverage, 3080,
     /*  431634 */     GIR_EraseRootFromParent_Done,
     /*  431635 */   // Label 7515: @431635
     /*  431635 */   GIM_Try, /*On fail goto*//*Label 7516*/ GIMT_Encode4(431721), // Rule ID 3083 //
     /*  431640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  431643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  431651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  431654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  431657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431687 */     // MIs[1] Operand 1
     /*  431687 */     // No operand predicates
     /*  431687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431696 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  431696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  431699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  431716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431719 */     GIR_RootConstrainSelectedInstOperands,
     /*  431720 */     // GIR_Coverage, 3083,
     /*  431720 */     GIR_EraseRootFromParent_Done,
     /*  431721 */   // Label 7516: @431721
     /*  431721 */   GIM_Try, /*On fail goto*//*Label 7517*/ GIMT_Encode4(431807), // Rule ID 3084 //
     /*  431726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  431729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  431734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  431737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  431740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  431743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431773 */     // MIs[1] Operand 1
     /*  431773 */     // No operand predicates
     /*  431773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431782 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  431782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  431785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  431802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431805 */     GIR_RootConstrainSelectedInstOperands,
     /*  431806 */     // GIR_Coverage, 3084,
     /*  431806 */     GIR_EraseRootFromParent_Done,
     /*  431807 */   // Label 7517: @431807
     /*  431807 */   GIM_Try, /*On fail goto*//*Label 7518*/ GIMT_Encode4(431893), // Rule ID 3351 //
     /*  431812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  431820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  431823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  431826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  431829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431859 */     // MIs[1] Operand 1
     /*  431859 */     // No operand predicates
     /*  431859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431868 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  431871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431891 */     GIR_RootConstrainSelectedInstOperands,
     /*  431892 */     // GIR_Coverage, 3351,
     /*  431892 */     GIR_EraseRootFromParent_Done,
     /*  431893 */   // Label 7518: @431893
     /*  431893 */   GIM_Try, /*On fail goto*//*Label 7519*/ GIMT_Encode4(431979), // Rule ID 3352 //
     /*  431898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  431906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  431909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  431912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  431915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431945 */     // MIs[1] Operand 1
     /*  431945 */     // No operand predicates
     /*  431945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431954 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  431957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431977 */     GIR_RootConstrainSelectedInstOperands,
     /*  431978 */     // GIR_Coverage, 3352,
     /*  431978 */     GIR_EraseRootFromParent_Done,
     /*  431979 */   // Label 7519: @431979
     /*  431979 */   GIM_Try, /*On fail goto*//*Label 7520*/ GIMT_Encode4(432065), // Rule ID 3355 //
     /*  431984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  431992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  431995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  431998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  432001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432031 */     // MIs[1] Operand 1
     /*  432031 */     // No operand predicates
     /*  432031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432040 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  432040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  432043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432063 */     GIR_RootConstrainSelectedInstOperands,
     /*  432064 */     // GIR_Coverage, 3355,
     /*  432064 */     GIR_EraseRootFromParent_Done,
     /*  432065 */   // Label 7520: @432065
     /*  432065 */   GIM_Try, /*On fail goto*//*Label 7521*/ GIMT_Encode4(432151), // Rule ID 3356 //
     /*  432070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  432078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  432081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  432084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  432087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432117 */     // MIs[1] Operand 1
     /*  432117 */     // No operand predicates
     /*  432117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432126 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  432126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  432129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432149 */     GIR_RootConstrainSelectedInstOperands,
     /*  432150 */     // GIR_Coverage, 3356,
     /*  432150 */     GIR_EraseRootFromParent_Done,
     /*  432151 */   // Label 7521: @432151
     /*  432151 */   GIM_Try, /*On fail goto*//*Label 7522*/ GIMT_Encode4(432237), // Rule ID 3359 //
     /*  432156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  432164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  432167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  432170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  432173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432203 */     // MIs[1] Operand 1
     /*  432203 */     // No operand predicates
     /*  432203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432212 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  432212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  432215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432235 */     GIR_RootConstrainSelectedInstOperands,
     /*  432236 */     // GIR_Coverage, 3359,
     /*  432236 */     GIR_EraseRootFromParent_Done,
     /*  432237 */   // Label 7522: @432237
     /*  432237 */   GIM_Try, /*On fail goto*//*Label 7523*/ GIMT_Encode4(432323), // Rule ID 3360 //
     /*  432242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  432250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  432253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  432256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  432259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432289 */     // MIs[1] Operand 1
     /*  432289 */     // No operand predicates
     /*  432289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432298 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  432298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  432301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432321 */     GIR_RootConstrainSelectedInstOperands,
     /*  432322 */     // GIR_Coverage, 3360,
     /*  432322 */     GIR_EraseRootFromParent_Done,
     /*  432323 */   // Label 7523: @432323
     /*  432323 */   GIM_Try, /*On fail goto*//*Label 7524*/ GIMT_Encode4(432409), // Rule ID 3363 //
     /*  432328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  432336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  432339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  432342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  432345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432375 */     // MIs[1] Operand 1
     /*  432375 */     // No operand predicates
     /*  432375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432384 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  432387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432407 */     GIR_RootConstrainSelectedInstOperands,
     /*  432408 */     // GIR_Coverage, 3363,
     /*  432408 */     GIR_EraseRootFromParent_Done,
     /*  432409 */   // Label 7524: @432409
     /*  432409 */   GIM_Try, /*On fail goto*//*Label 7525*/ GIMT_Encode4(432495), // Rule ID 3364 //
     /*  432414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  432422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  432425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  432428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  432431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432461 */     // MIs[1] Operand 1
     /*  432461 */     // No operand predicates
     /*  432461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432470 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  432473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432493 */     GIR_RootConstrainSelectedInstOperands,
     /*  432494 */     // GIR_Coverage, 3364,
     /*  432494 */     GIR_EraseRootFromParent_Done,
     /*  432495 */   // Label 7525: @432495
     /*  432495 */   GIM_Try, /*On fail goto*//*Label 7526*/ GIMT_Encode4(432581), // Rule ID 3367 //
     /*  432500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  432508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  432511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  432514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  432517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432547 */     // MIs[1] Operand 1
     /*  432547 */     // No operand predicates
     /*  432547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432556 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  432559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432579 */     GIR_RootConstrainSelectedInstOperands,
     /*  432580 */     // GIR_Coverage, 3367,
     /*  432580 */     GIR_EraseRootFromParent_Done,
     /*  432581 */   // Label 7526: @432581
     /*  432581 */   GIM_Try, /*On fail goto*//*Label 7527*/ GIMT_Encode4(432667), // Rule ID 3368 //
     /*  432586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  432594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  432597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  432600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  432603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432633 */     // MIs[1] Operand 1
     /*  432633 */     // No operand predicates
     /*  432633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432642 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  432645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432665 */     GIR_RootConstrainSelectedInstOperands,
     /*  432666 */     // GIR_Coverage, 3368,
     /*  432666 */     GIR_EraseRootFromParent_Done,
     /*  432667 */   // Label 7527: @432667
     /*  432667 */   GIM_Try, /*On fail goto*//*Label 7528*/ GIMT_Encode4(432753), // Rule ID 3371 //
     /*  432672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  432680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  432683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  432686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  432689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432719 */     // MIs[1] Operand 1
     /*  432719 */     // No operand predicates
     /*  432719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432728 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  432728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  432731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432751 */     GIR_RootConstrainSelectedInstOperands,
     /*  432752 */     // GIR_Coverage, 3371,
     /*  432752 */     GIR_EraseRootFromParent_Done,
     /*  432753 */   // Label 7528: @432753
     /*  432753 */   GIM_Try, /*On fail goto*//*Label 7529*/ GIMT_Encode4(432839), // Rule ID 3372 //
     /*  432758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  432766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  432769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  432772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  432775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432805 */     // MIs[1] Operand 1
     /*  432805 */     // No operand predicates
     /*  432805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432814 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  432814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  432817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432837 */     GIR_RootConstrainSelectedInstOperands,
     /*  432838 */     // GIR_Coverage, 3372,
     /*  432838 */     GIR_EraseRootFromParent_Done,
     /*  432839 */   // Label 7529: @432839
     /*  432839 */   GIM_Try, /*On fail goto*//*Label 7530*/ GIMT_Encode4(432925), // Rule ID 3375 //
     /*  432844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  432852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  432855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  432858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  432861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432891 */     // MIs[1] Operand 1
     /*  432891 */     // No operand predicates
     /*  432891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432900 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  432900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  432903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432923 */     GIR_RootConstrainSelectedInstOperands,
     /*  432924 */     // GIR_Coverage, 3375,
     /*  432924 */     GIR_EraseRootFromParent_Done,
     /*  432925 */   // Label 7530: @432925
     /*  432925 */   GIM_Try, /*On fail goto*//*Label 7531*/ GIMT_Encode4(433011), // Rule ID 3376 //
     /*  432930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  432938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  432941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  432944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  432947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432977 */     // MIs[1] Operand 1
     /*  432977 */     // No operand predicates
     /*  432977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432986 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  432986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  432989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433009 */     GIR_RootConstrainSelectedInstOperands,
     /*  433010 */     // GIR_Coverage, 3376,
     /*  433010 */     GIR_EraseRootFromParent_Done,
     /*  433011 */   // Label 7531: @433011
     /*  433011 */   GIM_Try, /*On fail goto*//*Label 7532*/ GIMT_Encode4(433097), // Rule ID 3379 //
     /*  433016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  433027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  433030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  433033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433063 */     // MIs[1] Operand 1
     /*  433063 */     // No operand predicates
     /*  433063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433072 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  433072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  433075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433095 */     GIR_RootConstrainSelectedInstOperands,
     /*  433096 */     // GIR_Coverage, 3379,
     /*  433096 */     GIR_EraseRootFromParent_Done,
     /*  433097 */   // Label 7532: @433097
     /*  433097 */   GIM_Try, /*On fail goto*//*Label 7533*/ GIMT_Encode4(433183), // Rule ID 3380 //
     /*  433102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  433113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  433116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  433119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433149 */     // MIs[1] Operand 1
     /*  433149 */     // No operand predicates
     /*  433149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433158 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  433158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  433161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433181 */     GIR_RootConstrainSelectedInstOperands,
     /*  433182 */     // GIR_Coverage, 3380,
     /*  433182 */     GIR_EraseRootFromParent_Done,
     /*  433183 */   // Label 7533: @433183
     /*  433183 */   GIM_Try, /*On fail goto*//*Label 7534*/ GIMT_Encode4(433269), // Rule ID 3383 //
     /*  433188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  433199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  433202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  433205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433235 */     // MIs[1] Operand 1
     /*  433235 */     // No operand predicates
     /*  433235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433244 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  433247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433267 */     GIR_RootConstrainSelectedInstOperands,
     /*  433268 */     // GIR_Coverage, 3383,
     /*  433268 */     GIR_EraseRootFromParent_Done,
     /*  433269 */   // Label 7534: @433269
     /*  433269 */   GIM_Try, /*On fail goto*//*Label 7535*/ GIMT_Encode4(433355), // Rule ID 3384 //
     /*  433274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  433285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  433288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  433291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433321 */     // MIs[1] Operand 1
     /*  433321 */     // No operand predicates
     /*  433321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433330 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  433333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433353 */     GIR_RootConstrainSelectedInstOperands,
     /*  433354 */     // GIR_Coverage, 3384,
     /*  433354 */     GIR_EraseRootFromParent_Done,
     /*  433355 */   // Label 7535: @433355
     /*  433355 */   GIM_Try, /*On fail goto*//*Label 7536*/ GIMT_Encode4(433441), // Rule ID 3387 //
     /*  433360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  433363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  433371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  433374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  433377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433407 */     // MIs[1] Operand 1
     /*  433407 */     // No operand predicates
     /*  433407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433416 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  433416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  433419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433439 */     GIR_RootConstrainSelectedInstOperands,
     /*  433440 */     // GIR_Coverage, 3387,
     /*  433440 */     GIR_EraseRootFromParent_Done,
     /*  433441 */   // Label 7536: @433441
     /*  433441 */   GIM_Try, /*On fail goto*//*Label 7537*/ GIMT_Encode4(433527), // Rule ID 3388 //
     /*  433446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  433449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  433457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  433460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  433463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433493 */     // MIs[1] Operand 1
     /*  433493 */     // No operand predicates
     /*  433493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433502 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  433502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  433505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433525 */     GIR_RootConstrainSelectedInstOperands,
     /*  433526 */     // GIR_Coverage, 3388,
     /*  433526 */     GIR_EraseRootFromParent_Done,
     /*  433527 */   // Label 7537: @433527
     /*  433527 */   GIM_Try, /*On fail goto*//*Label 7538*/ GIMT_Encode4(433613), // Rule ID 3391 //
     /*  433532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  433543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  433546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  433549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433579 */     // MIs[1] Operand 1
     /*  433579 */     // No operand predicates
     /*  433579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433588 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  433588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  433591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433611 */     GIR_RootConstrainSelectedInstOperands,
     /*  433612 */     // GIR_Coverage, 3391,
     /*  433612 */     GIR_EraseRootFromParent_Done,
     /*  433613 */   // Label 7538: @433613
     /*  433613 */   GIM_Try, /*On fail goto*//*Label 7539*/ GIMT_Encode4(433699), // Rule ID 3392 //
     /*  433618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  433629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  433632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  433635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433665 */     // MIs[1] Operand 1
     /*  433665 */     // No operand predicates
     /*  433665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433674 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  433674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  433677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433697 */     GIR_RootConstrainSelectedInstOperands,
     /*  433698 */     // GIR_Coverage, 3392,
     /*  433698 */     GIR_EraseRootFromParent_Done,
     /*  433699 */   // Label 7539: @433699
     /*  433699 */   GIM_Try, /*On fail goto*//*Label 7540*/ GIMT_Encode4(433785), // Rule ID 3395 //
     /*  433704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  433715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  433718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  433721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433751 */     // MIs[1] Operand 1
     /*  433751 */     // No operand predicates
     /*  433751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433760 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  433760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  433763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433783 */     GIR_RootConstrainSelectedInstOperands,
     /*  433784 */     // GIR_Coverage, 3395,
     /*  433784 */     GIR_EraseRootFromParent_Done,
     /*  433785 */   // Label 7540: @433785
     /*  433785 */   GIM_Try, /*On fail goto*//*Label 7541*/ GIMT_Encode4(433871), // Rule ID 3396 //
     /*  433790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  433801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  433804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  433807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433837 */     // MIs[1] Operand 1
     /*  433837 */     // No operand predicates
     /*  433837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433846 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  433846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  433849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433869 */     GIR_RootConstrainSelectedInstOperands,
     /*  433870 */     // GIR_Coverage, 3396,
     /*  433870 */     GIR_EraseRootFromParent_Done,
     /*  433871 */   // Label 7541: @433871
     /*  433871 */   GIM_Try, /*On fail goto*//*Label 7542*/ GIMT_Encode4(433957), // Rule ID 3399 //
     /*  433876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  433887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  433890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  433893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433923 */     // MIs[1] Operand 1
     /*  433923 */     // No operand predicates
     /*  433923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433932 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  433932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  433935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433955 */     GIR_RootConstrainSelectedInstOperands,
     /*  433956 */     // GIR_Coverage, 3399,
     /*  433956 */     GIR_EraseRootFromParent_Done,
     /*  433957 */   // Label 7542: @433957
     /*  433957 */   GIM_Try, /*On fail goto*//*Label 7543*/ GIMT_Encode4(434043), // Rule ID 3400 //
     /*  433962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  433970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  433973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  433976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  433979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434009 */     // MIs[1] Operand 1
     /*  434009 */     // No operand predicates
     /*  434009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434018 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  434021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434041 */     GIR_RootConstrainSelectedInstOperands,
     /*  434042 */     // GIR_Coverage, 3400,
     /*  434042 */     GIR_EraseRootFromParent_Done,
     /*  434043 */   // Label 7543: @434043
     /*  434043 */   GIM_Try, /*On fail goto*//*Label 7544*/ GIMT_Encode4(434129), // Rule ID 3403 //
     /*  434048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  434059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  434062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  434065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434095 */     // MIs[1] Operand 1
     /*  434095 */     // No operand predicates
     /*  434095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434104 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  434107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434127 */     GIR_RootConstrainSelectedInstOperands,
     /*  434128 */     // GIR_Coverage, 3403,
     /*  434128 */     GIR_EraseRootFromParent_Done,
     /*  434129 */   // Label 7544: @434129
     /*  434129 */   GIM_Try, /*On fail goto*//*Label 7545*/ GIMT_Encode4(434215), // Rule ID 3404 //
     /*  434134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  434145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  434148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  434151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434181 */     // MIs[1] Operand 1
     /*  434181 */     // No operand predicates
     /*  434181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434190 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  434193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434213 */     GIR_RootConstrainSelectedInstOperands,
     /*  434214 */     // GIR_Coverage, 3404,
     /*  434214 */     GIR_EraseRootFromParent_Done,
     /*  434215 */   // Label 7545: @434215
     /*  434215 */   GIM_Try, /*On fail goto*//*Label 7546*/ GIMT_Encode4(434301), // Rule ID 3407 //
     /*  434220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  434231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  434234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  434237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434267 */     // MIs[1] Operand 1
     /*  434267 */     // No operand predicates
     /*  434267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434276 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  434279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434299 */     GIR_RootConstrainSelectedInstOperands,
     /*  434300 */     // GIR_Coverage, 3407,
     /*  434300 */     GIR_EraseRootFromParent_Done,
     /*  434301 */   // Label 7546: @434301
     /*  434301 */   GIM_Try, /*On fail goto*//*Label 7547*/ GIMT_Encode4(434387), // Rule ID 3408 //
     /*  434306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  434317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  434320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  434323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434353 */     // MIs[1] Operand 1
     /*  434353 */     // No operand predicates
     /*  434353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434362 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  434365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434385 */     GIR_RootConstrainSelectedInstOperands,
     /*  434386 */     // GIR_Coverage, 3408,
     /*  434386 */     GIR_EraseRootFromParent_Done,
     /*  434387 */   // Label 7547: @434387
     /*  434387 */   GIM_Try, /*On fail goto*//*Label 7548*/ GIMT_Encode4(434473), // Rule ID 3411 //
     /*  434392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  434403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  434406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  434409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434439 */     // MIs[1] Operand 1
     /*  434439 */     // No operand predicates
     /*  434439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434448 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  434451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434471 */     GIR_RootConstrainSelectedInstOperands,
     /*  434472 */     // GIR_Coverage, 3411,
     /*  434472 */     GIR_EraseRootFromParent_Done,
     /*  434473 */   // Label 7548: @434473
     /*  434473 */   GIM_Try, /*On fail goto*//*Label 7549*/ GIMT_Encode4(434559), // Rule ID 3412 //
     /*  434478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  434489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  434492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  434495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434525 */     // MIs[1] Operand 1
     /*  434525 */     // No operand predicates
     /*  434525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434534 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  434537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434557 */     GIR_RootConstrainSelectedInstOperands,
     /*  434558 */     // GIR_Coverage, 3412,
     /*  434558 */     GIR_EraseRootFromParent_Done,
     /*  434559 */   // Label 7549: @434559
     /*  434559 */   GIM_Try, /*On fail goto*//*Label 7550*/ GIMT_Encode4(434645), // Rule ID 3415 //
     /*  434564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  434575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  434578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  434581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434611 */     // MIs[1] Operand 1
     /*  434611 */     // No operand predicates
     /*  434611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434620 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  434620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  434623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434643 */     GIR_RootConstrainSelectedInstOperands,
     /*  434644 */     // GIR_Coverage, 3415,
     /*  434644 */     GIR_EraseRootFromParent_Done,
     /*  434645 */   // Label 7550: @434645
     /*  434645 */   GIM_Try, /*On fail goto*//*Label 7551*/ GIMT_Encode4(434731), // Rule ID 3416 //
     /*  434650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  434661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  434664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  434667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434697 */     // MIs[1] Operand 1
     /*  434697 */     // No operand predicates
     /*  434697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434706 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  434706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  434709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434729 */     GIR_RootConstrainSelectedInstOperands,
     /*  434730 */     // GIR_Coverage, 3416,
     /*  434730 */     GIR_EraseRootFromParent_Done,
     /*  434731 */   // Label 7551: @434731
     /*  434731 */   GIM_Try, /*On fail goto*//*Label 7552*/ GIMT_Encode4(434817), // Rule ID 3419 //
     /*  434736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  434747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  434750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  434753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434783 */     // MIs[1] Operand 1
     /*  434783 */     // No operand predicates
     /*  434783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434792 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  434792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  434795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434815 */     GIR_RootConstrainSelectedInstOperands,
     /*  434816 */     // GIR_Coverage, 3419,
     /*  434816 */     GIR_EraseRootFromParent_Done,
     /*  434817 */   // Label 7552: @434817
     /*  434817 */   GIM_Try, /*On fail goto*//*Label 7553*/ GIMT_Encode4(434903), // Rule ID 3420 //
     /*  434822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  434833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  434836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  434839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434869 */     // MIs[1] Operand 1
     /*  434869 */     // No operand predicates
     /*  434869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  434878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  434881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434901 */     GIR_RootConstrainSelectedInstOperands,
     /*  434902 */     // GIR_Coverage, 3420,
     /*  434902 */     GIR_EraseRootFromParent_Done,
     /*  434903 */   // Label 7553: @434903
     /*  434903 */   GIM_Try, /*On fail goto*//*Label 7554*/ GIMT_Encode4(434989), // Rule ID 3423 //
     /*  434908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  434916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  434919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  434922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  434925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434955 */     // MIs[1] Operand 1
     /*  434955 */     // No operand predicates
     /*  434955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434964 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  434964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  434967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434987 */     GIR_RootConstrainSelectedInstOperands,
     /*  434988 */     // GIR_Coverage, 3423,
     /*  434988 */     GIR_EraseRootFromParent_Done,
     /*  434989 */   // Label 7554: @434989
     /*  434989 */   GIM_Try, /*On fail goto*//*Label 7555*/ GIMT_Encode4(435075), // Rule ID 3424 //
     /*  434994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  435005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  435008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  435011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435041 */     // MIs[1] Operand 1
     /*  435041 */     // No operand predicates
     /*  435041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435050 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  435050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  435053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435073 */     GIR_RootConstrainSelectedInstOperands,
     /*  435074 */     // GIR_Coverage, 3424,
     /*  435074 */     GIR_EraseRootFromParent_Done,
     /*  435075 */   // Label 7555: @435075
     /*  435075 */   GIM_Try, /*On fail goto*//*Label 7556*/ GIMT_Encode4(435161), // Rule ID 3427 //
     /*  435080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  435083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  435091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  435094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  435097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435127 */     // MIs[1] Operand 1
     /*  435127 */     // No operand predicates
     /*  435127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435136 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  435136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  435156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435159 */     GIR_RootConstrainSelectedInstOperands,
     /*  435160 */     // GIR_Coverage, 3427,
     /*  435160 */     GIR_EraseRootFromParent_Done,
     /*  435161 */   // Label 7556: @435161
     /*  435161 */   GIM_Try, /*On fail goto*//*Label 7557*/ GIMT_Encode4(435247), // Rule ID 3428 //
     /*  435166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  435169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  435177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  435180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  435183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435213 */     // MIs[1] Operand 1
     /*  435213 */     // No operand predicates
     /*  435213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435222 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  435222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  435225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  435242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435245 */     GIR_RootConstrainSelectedInstOperands,
     /*  435246 */     // GIR_Coverage, 3428,
     /*  435246 */     GIR_EraseRootFromParent_Done,
     /*  435247 */   // Label 7557: @435247
     /*  435247 */   GIM_Try, /*On fail goto*//*Label 7558*/ GIMT_Encode4(435333), // Rule ID 3431 //
     /*  435252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  435255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  435263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  435266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  435269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435299 */     // MIs[1] Operand 1
     /*  435299 */     // No operand predicates
     /*  435299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435308 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  435308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  435311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  435328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435331 */     GIR_RootConstrainSelectedInstOperands,
     /*  435332 */     // GIR_Coverage, 3431,
     /*  435332 */     GIR_EraseRootFromParent_Done,
     /*  435333 */   // Label 7558: @435333
     /*  435333 */   GIM_Try, /*On fail goto*//*Label 7559*/ GIMT_Encode4(435419), // Rule ID 3432 //
     /*  435338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  435341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  435349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  435352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  435355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435385 */     // MIs[1] Operand 1
     /*  435385 */     // No operand predicates
     /*  435385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435394 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  435394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  435397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  435414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435417 */     GIR_RootConstrainSelectedInstOperands,
     /*  435418 */     // GIR_Coverage, 3432,
     /*  435418 */     GIR_EraseRootFromParent_Done,
     /*  435419 */   // Label 7559: @435419
     /*  435419 */   GIM_Try, /*On fail goto*//*Label 7560*/ GIMT_Encode4(435505), // Rule ID 3435 //
     /*  435424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  435427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  435435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  435438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  435441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435471 */     // MIs[1] Operand 1
     /*  435471 */     // No operand predicates
     /*  435471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435480 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  435480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  435483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  435500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435503 */     GIR_RootConstrainSelectedInstOperands,
     /*  435504 */     // GIR_Coverage, 3435,
     /*  435504 */     GIR_EraseRootFromParent_Done,
     /*  435505 */   // Label 7560: @435505
     /*  435505 */   GIM_Try, /*On fail goto*//*Label 7561*/ GIMT_Encode4(435591), // Rule ID 3436 //
     /*  435510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  435513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  435518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  435521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  435524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  435527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435557 */     // MIs[1] Operand 1
     /*  435557 */     // No operand predicates
     /*  435557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435566 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  435566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  435569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  435586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435589 */     GIR_RootConstrainSelectedInstOperands,
     /*  435590 */     // GIR_Coverage, 3436,
     /*  435590 */     GIR_EraseRootFromParent_Done,
     /*  435591 */   // Label 7561: @435591
     /*  435591 */   GIM_Try, /*On fail goto*//*Label 7562*/ GIMT_Encode4(435677), // Rule ID 5799 //
     /*  435596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  435604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  435607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  435610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  435613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435643 */     // MIs[1] Operand 1
     /*  435643 */     // No operand predicates
     /*  435643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435652 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  435655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435675 */     GIR_RootConstrainSelectedInstOperands,
     /*  435676 */     // GIR_Coverage, 5799,
     /*  435676 */     GIR_EraseRootFromParent_Done,
     /*  435677 */   // Label 7562: @435677
     /*  435677 */   GIM_Try, /*On fail goto*//*Label 7563*/ GIMT_Encode4(435763), // Rule ID 5800 //
     /*  435682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  435690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  435693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  435696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  435699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435729 */     // MIs[1] Operand 1
     /*  435729 */     // No operand predicates
     /*  435729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435738 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  435741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435761 */     GIR_RootConstrainSelectedInstOperands,
     /*  435762 */     // GIR_Coverage, 5800,
     /*  435762 */     GIR_EraseRootFromParent_Done,
     /*  435763 */   // Label 7563: @435763
     /*  435763 */   GIM_Try, /*On fail goto*//*Label 7564*/ GIMT_Encode4(435849), // Rule ID 5803 //
     /*  435768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  435776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  435779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  435782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  435785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435815 */     // MIs[1] Operand 1
     /*  435815 */     // No operand predicates
     /*  435815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435824 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  435827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435847 */     GIR_RootConstrainSelectedInstOperands,
     /*  435848 */     // GIR_Coverage, 5803,
     /*  435848 */     GIR_EraseRootFromParent_Done,
     /*  435849 */   // Label 7564: @435849
     /*  435849 */   GIM_Try, /*On fail goto*//*Label 7565*/ GIMT_Encode4(435935), // Rule ID 5804 //
     /*  435854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  435862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  435865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  435868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  435871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435901 */     // MIs[1] Operand 1
     /*  435901 */     // No operand predicates
     /*  435901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435910 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  435913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435933 */     GIR_RootConstrainSelectedInstOperands,
     /*  435934 */     // GIR_Coverage, 5804,
     /*  435934 */     GIR_EraseRootFromParent_Done,
     /*  435935 */   // Label 7565: @435935
     /*  435935 */   GIM_Try, /*On fail goto*//*Label 7566*/ GIMT_Encode4(436021), // Rule ID 5807 //
     /*  435940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  435948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  435951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  435954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  435957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435987 */     // MIs[1] Operand 1
     /*  435987 */     // No operand predicates
     /*  435987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435996 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  435999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436019 */     GIR_RootConstrainSelectedInstOperands,
     /*  436020 */     // GIR_Coverage, 5807,
     /*  436020 */     GIR_EraseRootFromParent_Done,
     /*  436021 */   // Label 7566: @436021
     /*  436021 */   GIM_Try, /*On fail goto*//*Label 7567*/ GIMT_Encode4(436107), // Rule ID 5808 //
     /*  436026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  436034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  436037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  436040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  436043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436073 */     // MIs[1] Operand 1
     /*  436073 */     // No operand predicates
     /*  436073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436082 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  436082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  436085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436105 */     GIR_RootConstrainSelectedInstOperands,
     /*  436106 */     // GIR_Coverage, 5808,
     /*  436106 */     GIR_EraseRootFromParent_Done,
     /*  436107 */   // Label 7567: @436107
     /*  436107 */   GIM_Try, /*On fail goto*//*Label 7568*/ GIMT_Encode4(436193), // Rule ID 5811 //
     /*  436112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  436120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  436123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  436126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  436129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436159 */     // MIs[1] Operand 1
     /*  436159 */     // No operand predicates
     /*  436159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436168 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  436171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436191 */     GIR_RootConstrainSelectedInstOperands,
     /*  436192 */     // GIR_Coverage, 5811,
     /*  436192 */     GIR_EraseRootFromParent_Done,
     /*  436193 */   // Label 7568: @436193
     /*  436193 */   GIM_Try, /*On fail goto*//*Label 7569*/ GIMT_Encode4(436279), // Rule ID 5812 //
     /*  436198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  436206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  436209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  436212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  436215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436245 */     // MIs[1] Operand 1
     /*  436245 */     // No operand predicates
     /*  436245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436254 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  436257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436277 */     GIR_RootConstrainSelectedInstOperands,
     /*  436278 */     // GIR_Coverage, 5812,
     /*  436278 */     GIR_EraseRootFromParent_Done,
     /*  436279 */   // Label 7569: @436279
     /*  436279 */   GIM_Try, /*On fail goto*//*Label 7570*/ GIMT_Encode4(436365), // Rule ID 5815 //
     /*  436284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  436292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  436295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  436298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  436301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436331 */     // MIs[1] Operand 1
     /*  436331 */     // No operand predicates
     /*  436331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436340 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  436343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436363 */     GIR_RootConstrainSelectedInstOperands,
     /*  436364 */     // GIR_Coverage, 5815,
     /*  436364 */     GIR_EraseRootFromParent_Done,
     /*  436365 */   // Label 7570: @436365
     /*  436365 */   GIM_Try, /*On fail goto*//*Label 7571*/ GIMT_Encode4(436451), // Rule ID 5816 //
     /*  436370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  436378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  436381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  436384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  436387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436417 */     // MIs[1] Operand 1
     /*  436417 */     // No operand predicates
     /*  436417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436426 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  436429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436449 */     GIR_RootConstrainSelectedInstOperands,
     /*  436450 */     // GIR_Coverage, 5816,
     /*  436450 */     GIR_EraseRootFromParent_Done,
     /*  436451 */   // Label 7571: @436451
     /*  436451 */   GIM_Try, /*On fail goto*//*Label 7572*/ GIMT_Encode4(436537), // Rule ID 5819 //
     /*  436456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  436464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  436467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  436470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  436473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436503 */     // MIs[1] Operand 1
     /*  436503 */     // No operand predicates
     /*  436503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436512 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  436515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436535 */     GIR_RootConstrainSelectedInstOperands,
     /*  436536 */     // GIR_Coverage, 5819,
     /*  436536 */     GIR_EraseRootFromParent_Done,
     /*  436537 */   // Label 7572: @436537
     /*  436537 */   GIM_Try, /*On fail goto*//*Label 7573*/ GIMT_Encode4(436623), // Rule ID 5820 //
     /*  436542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  436550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  436553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  436556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  436559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436589 */     // MIs[1] Operand 1
     /*  436589 */     // No operand predicates
     /*  436589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436598 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  436601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436621 */     GIR_RootConstrainSelectedInstOperands,
     /*  436622 */     // GIR_Coverage, 5820,
     /*  436622 */     GIR_EraseRootFromParent_Done,
     /*  436623 */   // Label 7573: @436623
     /*  436623 */   GIM_Try, /*On fail goto*//*Label 7574*/ GIMT_Encode4(436709), // Rule ID 5823 //
     /*  436628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  436636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  436639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  436642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  436645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436675 */     // MIs[1] Operand 1
     /*  436675 */     // No operand predicates
     /*  436675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436684 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  436684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  436687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436707 */     GIR_RootConstrainSelectedInstOperands,
     /*  436708 */     // GIR_Coverage, 5823,
     /*  436708 */     GIR_EraseRootFromParent_Done,
     /*  436709 */   // Label 7574: @436709
     /*  436709 */   GIM_Try, /*On fail goto*//*Label 7575*/ GIMT_Encode4(436795), // Rule ID 5824 //
     /*  436714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  436722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  436725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  436728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  436731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436761 */     // MIs[1] Operand 1
     /*  436761 */     // No operand predicates
     /*  436761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436770 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  436770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  436773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436793 */     GIR_RootConstrainSelectedInstOperands,
     /*  436794 */     // GIR_Coverage, 5824,
     /*  436794 */     GIR_EraseRootFromParent_Done,
     /*  436795 */   // Label 7575: @436795
     /*  436795 */   GIM_Try, /*On fail goto*//*Label 7576*/ GIMT_Encode4(436881), // Rule ID 5827 //
     /*  436800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  436808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  436811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  436814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  436817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436847 */     // MIs[1] Operand 1
     /*  436847 */     // No operand predicates
     /*  436847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436856 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  436859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436879 */     GIR_RootConstrainSelectedInstOperands,
     /*  436880 */     // GIR_Coverage, 5827,
     /*  436880 */     GIR_EraseRootFromParent_Done,
     /*  436881 */   // Label 7576: @436881
     /*  436881 */   GIM_Try, /*On fail goto*//*Label 7577*/ GIMT_Encode4(436967), // Rule ID 5828 //
     /*  436886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  436894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  436897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  436900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  436903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436933 */     // MIs[1] Operand 1
     /*  436933 */     // No operand predicates
     /*  436933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436942 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  436945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436965 */     GIR_RootConstrainSelectedInstOperands,
     /*  436966 */     // GIR_Coverage, 5828,
     /*  436966 */     GIR_EraseRootFromParent_Done,
     /*  436967 */   // Label 7577: @436967
     /*  436967 */   GIM_Try, /*On fail goto*//*Label 7578*/ GIMT_Encode4(437053), // Rule ID 5831 //
     /*  436972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  436980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  436983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  436986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  436989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437019 */     // MIs[1] Operand 1
     /*  437019 */     // No operand predicates
     /*  437019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  437028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  437031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437051 */     GIR_RootConstrainSelectedInstOperands,
     /*  437052 */     // GIR_Coverage, 5831,
     /*  437052 */     GIR_EraseRootFromParent_Done,
     /*  437053 */   // Label 7578: @437053
     /*  437053 */   GIM_Try, /*On fail goto*//*Label 7579*/ GIMT_Encode4(437139), // Rule ID 5832 //
     /*  437058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  437069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  437072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  437075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437105 */     // MIs[1] Operand 1
     /*  437105 */     // No operand predicates
     /*  437105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  437114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  437117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437137 */     GIR_RootConstrainSelectedInstOperands,
     /*  437138 */     // GIR_Coverage, 5832,
     /*  437138 */     GIR_EraseRootFromParent_Done,
     /*  437139 */   // Label 7579: @437139
     /*  437139 */   GIM_Try, /*On fail goto*//*Label 7580*/ GIMT_Encode4(437225), // Rule ID 5835 //
     /*  437144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  437147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  437155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  437158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  437161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437191 */     // MIs[1] Operand 1
     /*  437191 */     // No operand predicates
     /*  437191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437200 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  437200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  437203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437223 */     GIR_RootConstrainSelectedInstOperands,
     /*  437224 */     // GIR_Coverage, 5835,
     /*  437224 */     GIR_EraseRootFromParent_Done,
     /*  437225 */   // Label 7580: @437225
     /*  437225 */   GIM_Try, /*On fail goto*//*Label 7581*/ GIMT_Encode4(437311), // Rule ID 5836 //
     /*  437230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  437233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  437241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  437244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  437247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437277 */     // MIs[1] Operand 1
     /*  437277 */     // No operand predicates
     /*  437277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437286 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  437286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  437289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437309 */     GIR_RootConstrainSelectedInstOperands,
     /*  437310 */     // GIR_Coverage, 5836,
     /*  437310 */     GIR_EraseRootFromParent_Done,
     /*  437311 */   // Label 7581: @437311
     /*  437311 */   GIM_Try, /*On fail goto*//*Label 7582*/ GIMT_Encode4(437397), // Rule ID 5839 //
     /*  437316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  437327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  437330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  437333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437363 */     // MIs[1] Operand 1
     /*  437363 */     // No operand predicates
     /*  437363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437372 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  437375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437395 */     GIR_RootConstrainSelectedInstOperands,
     /*  437396 */     // GIR_Coverage, 5839,
     /*  437396 */     GIR_EraseRootFromParent_Done,
     /*  437397 */   // Label 7582: @437397
     /*  437397 */   GIM_Try, /*On fail goto*//*Label 7583*/ GIMT_Encode4(437483), // Rule ID 5840 //
     /*  437402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  437413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  437416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  437419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437449 */     // MIs[1] Operand 1
     /*  437449 */     // No operand predicates
     /*  437449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437458 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  437461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437481 */     GIR_RootConstrainSelectedInstOperands,
     /*  437482 */     // GIR_Coverage, 5840,
     /*  437482 */     GIR_EraseRootFromParent_Done,
     /*  437483 */   // Label 7583: @437483
     /*  437483 */   GIM_Try, /*On fail goto*//*Label 7584*/ GIMT_Encode4(437569), // Rule ID 5843 //
     /*  437488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  437499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  437502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  437505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437535 */     // MIs[1] Operand 1
     /*  437535 */     // No operand predicates
     /*  437535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437544 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  437547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437567 */     GIR_RootConstrainSelectedInstOperands,
     /*  437568 */     // GIR_Coverage, 5843,
     /*  437568 */     GIR_EraseRootFromParent_Done,
     /*  437569 */   // Label 7584: @437569
     /*  437569 */   GIM_Try, /*On fail goto*//*Label 7585*/ GIMT_Encode4(437655), // Rule ID 5844 //
     /*  437574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  437585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  437588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  437591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437621 */     // MIs[1] Operand 1
     /*  437621 */     // No operand predicates
     /*  437621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437630 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  437633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437653 */     GIR_RootConstrainSelectedInstOperands,
     /*  437654 */     // GIR_Coverage, 5844,
     /*  437654 */     GIR_EraseRootFromParent_Done,
     /*  437655 */   // Label 7585: @437655
     /*  437655 */   GIM_Try, /*On fail goto*//*Label 7586*/ GIMT_Encode4(437741), // Rule ID 5847 //
     /*  437660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  437671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  437674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  437677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437707 */     // MIs[1] Operand 1
     /*  437707 */     // No operand predicates
     /*  437707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437716 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  437719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437739 */     GIR_RootConstrainSelectedInstOperands,
     /*  437740 */     // GIR_Coverage, 5847,
     /*  437740 */     GIR_EraseRootFromParent_Done,
     /*  437741 */   // Label 7586: @437741
     /*  437741 */   GIM_Try, /*On fail goto*//*Label 7587*/ GIMT_Encode4(437827), // Rule ID 5848 //
     /*  437746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  437757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  437760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  437763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437793 */     // MIs[1] Operand 1
     /*  437793 */     // No operand predicates
     /*  437793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437802 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  437805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437825 */     GIR_RootConstrainSelectedInstOperands,
     /*  437826 */     // GIR_Coverage, 5848,
     /*  437826 */     GIR_EraseRootFromParent_Done,
     /*  437827 */   // Label 7587: @437827
     /*  437827 */   GIM_Try, /*On fail goto*//*Label 7588*/ GIMT_Encode4(437913), // Rule ID 5851 //
     /*  437832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  437843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  437846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  437849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437879 */     // MIs[1] Operand 1
     /*  437879 */     // No operand predicates
     /*  437879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437888 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  437888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  437891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437911 */     GIR_RootConstrainSelectedInstOperands,
     /*  437912 */     // GIR_Coverage, 5851,
     /*  437912 */     GIR_EraseRootFromParent_Done,
     /*  437913 */   // Label 7588: @437913
     /*  437913 */   GIM_Try, /*On fail goto*//*Label 7589*/ GIMT_Encode4(437999), // Rule ID 5852 //
     /*  437918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  437926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  437929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  437932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  437935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437965 */     // MIs[1] Operand 1
     /*  437965 */     // No operand predicates
     /*  437965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437974 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  437974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  437977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437997 */     GIR_RootConstrainSelectedInstOperands,
     /*  437998 */     // GIR_Coverage, 5852,
     /*  437998 */     GIR_EraseRootFromParent_Done,
     /*  437999 */   // Label 7589: @437999
     /*  437999 */   GIM_Try, /*On fail goto*//*Label 7590*/ GIMT_Encode4(438085), // Rule ID 5855 //
     /*  438004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  438015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  438018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  438021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438051 */     // MIs[1] Operand 1
     /*  438051 */     // No operand predicates
     /*  438051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438060 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  438063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438083 */     GIR_RootConstrainSelectedInstOperands,
     /*  438084 */     // GIR_Coverage, 5855,
     /*  438084 */     GIR_EraseRootFromParent_Done,
     /*  438085 */   // Label 7590: @438085
     /*  438085 */   GIM_Try, /*On fail goto*//*Label 7591*/ GIMT_Encode4(438171), // Rule ID 5856 //
     /*  438090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  438101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  438104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  438107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438137 */     // MIs[1] Operand 1
     /*  438137 */     // No operand predicates
     /*  438137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438146 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  438149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438169 */     GIR_RootConstrainSelectedInstOperands,
     /*  438170 */     // GIR_Coverage, 5856,
     /*  438170 */     GIR_EraseRootFromParent_Done,
     /*  438171 */   // Label 7591: @438171
     /*  438171 */   GIM_Try, /*On fail goto*//*Label 7592*/ GIMT_Encode4(438257), // Rule ID 5859 //
     /*  438176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  438187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  438190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  438193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438223 */     // MIs[1] Operand 1
     /*  438223 */     // No operand predicates
     /*  438223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438232 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  438235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438255 */     GIR_RootConstrainSelectedInstOperands,
     /*  438256 */     // GIR_Coverage, 5859,
     /*  438256 */     GIR_EraseRootFromParent_Done,
     /*  438257 */   // Label 7592: @438257
     /*  438257 */   GIM_Try, /*On fail goto*//*Label 7593*/ GIMT_Encode4(438343), // Rule ID 5860 //
     /*  438262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  438273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  438276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  438279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438309 */     // MIs[1] Operand 1
     /*  438309 */     // No operand predicates
     /*  438309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438318 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  438321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438341 */     GIR_RootConstrainSelectedInstOperands,
     /*  438342 */     // GIR_Coverage, 5860,
     /*  438342 */     GIR_EraseRootFromParent_Done,
     /*  438343 */   // Label 7593: @438343
     /*  438343 */   GIM_Try, /*On fail goto*//*Label 7594*/ GIMT_Encode4(438429), // Rule ID 5863 //
     /*  438348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  438359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  438362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  438365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438395 */     // MIs[1] Operand 1
     /*  438395 */     // No operand predicates
     /*  438395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438404 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  438404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  438407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438427 */     GIR_RootConstrainSelectedInstOperands,
     /*  438428 */     // GIR_Coverage, 5863,
     /*  438428 */     GIR_EraseRootFromParent_Done,
     /*  438429 */   // Label 7594: @438429
     /*  438429 */   GIM_Try, /*On fail goto*//*Label 7595*/ GIMT_Encode4(438515), // Rule ID 5864 //
     /*  438434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  438445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  438448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  438451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438481 */     // MIs[1] Operand 1
     /*  438481 */     // No operand predicates
     /*  438481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438490 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  438490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  438493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438513 */     GIR_RootConstrainSelectedInstOperands,
     /*  438514 */     // GIR_Coverage, 5864,
     /*  438514 */     GIR_EraseRootFromParent_Done,
     /*  438515 */   // Label 7595: @438515
     /*  438515 */   GIM_Try, /*On fail goto*//*Label 7596*/ GIMT_Encode4(438601), // Rule ID 5867 //
     /*  438520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  438531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  438534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  438537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438567 */     // MIs[1] Operand 1
     /*  438567 */     // No operand predicates
     /*  438567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438576 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  438576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  438579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438599 */     GIR_RootConstrainSelectedInstOperands,
     /*  438600 */     // GIR_Coverage, 5867,
     /*  438600 */     GIR_EraseRootFromParent_Done,
     /*  438601 */   // Label 7596: @438601
     /*  438601 */   GIM_Try, /*On fail goto*//*Label 7597*/ GIMT_Encode4(438687), // Rule ID 5868 //
     /*  438606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  438617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  438620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  438623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438653 */     // MIs[1] Operand 1
     /*  438653 */     // No operand predicates
     /*  438653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438662 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  438662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  438665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438685 */     GIR_RootConstrainSelectedInstOperands,
     /*  438686 */     // GIR_Coverage, 5868,
     /*  438686 */     GIR_EraseRootFromParent_Done,
     /*  438687 */   // Label 7597: @438687
     /*  438687 */   GIM_Try, /*On fail goto*//*Label 7598*/ GIMT_Encode4(438773), // Rule ID 5871 //
     /*  438692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  438703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  438706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  438709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438739 */     // MIs[1] Operand 1
     /*  438739 */     // No operand predicates
     /*  438739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438748 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  438748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  438751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438771 */     GIR_RootConstrainSelectedInstOperands,
     /*  438772 */     // GIR_Coverage, 5871,
     /*  438772 */     GIR_EraseRootFromParent_Done,
     /*  438773 */   // Label 7598: @438773
     /*  438773 */   GIM_Try, /*On fail goto*//*Label 7599*/ GIMT_Encode4(438859), // Rule ID 5872 //
     /*  438778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  438789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  438792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  438795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438825 */     // MIs[1] Operand 1
     /*  438825 */     // No operand predicates
     /*  438825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438834 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  438834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  438837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438857 */     GIR_RootConstrainSelectedInstOperands,
     /*  438858 */     // GIR_Coverage, 5872,
     /*  438858 */     GIR_EraseRootFromParent_Done,
     /*  438859 */   // Label 7599: @438859
     /*  438859 */   GIM_Try, /*On fail goto*//*Label 7600*/ GIMT_Encode4(438945), // Rule ID 5875 //
     /*  438864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  438867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  438875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  438878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  438881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438911 */     // MIs[1] Operand 1
     /*  438911 */     // No operand predicates
     /*  438911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438920 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  438920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  438923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  438940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438943 */     GIR_RootConstrainSelectedInstOperands,
     /*  438944 */     // GIR_Coverage, 5875,
     /*  438944 */     GIR_EraseRootFromParent_Done,
     /*  438945 */   // Label 7600: @438945
     /*  438945 */   GIM_Try, /*On fail goto*//*Label 7601*/ GIMT_Encode4(439031), // Rule ID 5876 //
     /*  438950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  438953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  438958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  438961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  438964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  438967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438997 */     // MIs[1] Operand 1
     /*  438997 */     // No operand predicates
     /*  438997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439006 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  439006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  439009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  439026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439029 */     GIR_RootConstrainSelectedInstOperands,
     /*  439030 */     // GIR_Coverage, 5876,
     /*  439030 */     GIR_EraseRootFromParent_Done,
     /*  439031 */   // Label 7601: @439031
     /*  439031 */   GIM_Try, /*On fail goto*//*Label 7602*/ GIMT_Encode4(439117), // Rule ID 5879 //
     /*  439036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  439039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  439047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  439050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  439053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439083 */     // MIs[1] Operand 1
     /*  439083 */     // No operand predicates
     /*  439083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439092 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  439092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  439112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439115 */     GIR_RootConstrainSelectedInstOperands,
     /*  439116 */     // GIR_Coverage, 5879,
     /*  439116 */     GIR_EraseRootFromParent_Done,
     /*  439117 */   // Label 7602: @439117
     /*  439117 */   GIM_Try, /*On fail goto*//*Label 7603*/ GIMT_Encode4(439203), // Rule ID 5880 //
     /*  439122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  439125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  439133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  439136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  439139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439169 */     // MIs[1] Operand 1
     /*  439169 */     // No operand predicates
     /*  439169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439178 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  439178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  439181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  439198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439201 */     GIR_RootConstrainSelectedInstOperands,
     /*  439202 */     // GIR_Coverage, 5880,
     /*  439202 */     GIR_EraseRootFromParent_Done,
     /*  439203 */   // Label 7603: @439203
     /*  439203 */   GIM_Try, /*On fail goto*//*Label 7604*/ GIMT_Encode4(439289), // Rule ID 5883 //
     /*  439208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  439211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  439219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  439222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  439225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439255 */     // MIs[1] Operand 1
     /*  439255 */     // No operand predicates
     /*  439255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439264 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  439264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  439267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  439284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439287 */     GIR_RootConstrainSelectedInstOperands,
     /*  439288 */     // GIR_Coverage, 5883,
     /*  439288 */     GIR_EraseRootFromParent_Done,
     /*  439289 */   // Label 7604: @439289
     /*  439289 */   GIM_Try, /*On fail goto*//*Label 7605*/ GIMT_Encode4(439375), // Rule ID 5884 //
     /*  439294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  439297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  439302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  439305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  439308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  439311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439341 */     // MIs[1] Operand 1
     /*  439341 */     // No operand predicates
     /*  439341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439350 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  439350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  439353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  439370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439373 */     GIR_RootConstrainSelectedInstOperands,
     /*  439374 */     // GIR_Coverage, 5884,
     /*  439374 */     GIR_EraseRootFromParent_Done,
     /*  439375 */   // Label 7605: @439375
     /*  439375 */   GIM_Try, /*On fail goto*//*Label 7606*/ GIMT_Encode4(439461), // Rule ID 6063 //
     /*  439380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  439388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  439391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  439394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  439397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439427 */     // MIs[1] Operand 1
     /*  439427 */     // No operand predicates
     /*  439427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439436 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  439439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439459 */     GIR_RootConstrainSelectedInstOperands,
     /*  439460 */     // GIR_Coverage, 6063,
     /*  439460 */     GIR_EraseRootFromParent_Done,
     /*  439461 */   // Label 7606: @439461
     /*  439461 */   GIM_Try, /*On fail goto*//*Label 7607*/ GIMT_Encode4(439547), // Rule ID 6064 //
     /*  439466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  439474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  439477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  439480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  439483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439513 */     // MIs[1] Operand 1
     /*  439513 */     // No operand predicates
     /*  439513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439522 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  439525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439545 */     GIR_RootConstrainSelectedInstOperands,
     /*  439546 */     // GIR_Coverage, 6064,
     /*  439546 */     GIR_EraseRootFromParent_Done,
     /*  439547 */   // Label 7607: @439547
     /*  439547 */   GIM_Try, /*On fail goto*//*Label 7608*/ GIMT_Encode4(439633), // Rule ID 6067 //
     /*  439552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  439560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  439563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  439566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  439569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439599 */     // MIs[1] Operand 1
     /*  439599 */     // No operand predicates
     /*  439599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439608 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  439611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439631 */     GIR_RootConstrainSelectedInstOperands,
     /*  439632 */     // GIR_Coverage, 6067,
     /*  439632 */     GIR_EraseRootFromParent_Done,
     /*  439633 */   // Label 7608: @439633
     /*  439633 */   GIM_Try, /*On fail goto*//*Label 7609*/ GIMT_Encode4(439719), // Rule ID 6068 //
     /*  439638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  439646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  439649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  439652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  439655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439685 */     // MIs[1] Operand 1
     /*  439685 */     // No operand predicates
     /*  439685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439694 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  439697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439717 */     GIR_RootConstrainSelectedInstOperands,
     /*  439718 */     // GIR_Coverage, 6068,
     /*  439718 */     GIR_EraseRootFromParent_Done,
     /*  439719 */   // Label 7609: @439719
     /*  439719 */   GIM_Try, /*On fail goto*//*Label 7610*/ GIMT_Encode4(439805), // Rule ID 6071 //
     /*  439724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  439732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  439735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  439738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  439741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439771 */     // MIs[1] Operand 1
     /*  439771 */     // No operand predicates
     /*  439771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439780 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  439783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439803 */     GIR_RootConstrainSelectedInstOperands,
     /*  439804 */     // GIR_Coverage, 6071,
     /*  439804 */     GIR_EraseRootFromParent_Done,
     /*  439805 */   // Label 7610: @439805
     /*  439805 */   GIM_Try, /*On fail goto*//*Label 7611*/ GIMT_Encode4(439891), // Rule ID 6072 //
     /*  439810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  439818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  439821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  439824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  439827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439857 */     // MIs[1] Operand 1
     /*  439857 */     // No operand predicates
     /*  439857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439866 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  439869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439889 */     GIR_RootConstrainSelectedInstOperands,
     /*  439890 */     // GIR_Coverage, 6072,
     /*  439890 */     GIR_EraseRootFromParent_Done,
     /*  439891 */   // Label 7611: @439891
     /*  439891 */   GIM_Try, /*On fail goto*//*Label 7612*/ GIMT_Encode4(439977), // Rule ID 6075 //
     /*  439896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  439904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  439907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  439910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  439913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439943 */     // MIs[1] Operand 1
     /*  439943 */     // No operand predicates
     /*  439943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439952 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  439955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439975 */     GIR_RootConstrainSelectedInstOperands,
     /*  439976 */     // GIR_Coverage, 6075,
     /*  439976 */     GIR_EraseRootFromParent_Done,
     /*  439977 */   // Label 7612: @439977
     /*  439977 */   GIM_Try, /*On fail goto*//*Label 7613*/ GIMT_Encode4(440063), // Rule ID 6076 //
     /*  439982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  439990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  439993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  439996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  439999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440029 */     // MIs[1] Operand 1
     /*  440029 */     // No operand predicates
     /*  440029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440038 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  440041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440061 */     GIR_RootConstrainSelectedInstOperands,
     /*  440062 */     // GIR_Coverage, 6076,
     /*  440062 */     GIR_EraseRootFromParent_Done,
     /*  440063 */   // Label 7613: @440063
     /*  440063 */   GIM_Try, /*On fail goto*//*Label 7614*/ GIMT_Encode4(440149), // Rule ID 6079 //
     /*  440068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  440079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  440082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  440085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440115 */     // MIs[1] Operand 1
     /*  440115 */     // No operand predicates
     /*  440115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440124 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  440127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440147 */     GIR_RootConstrainSelectedInstOperands,
     /*  440148 */     // GIR_Coverage, 6079,
     /*  440148 */     GIR_EraseRootFromParent_Done,
     /*  440149 */   // Label 7614: @440149
     /*  440149 */   GIM_Try, /*On fail goto*//*Label 7615*/ GIMT_Encode4(440235), // Rule ID 6080 //
     /*  440154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  440165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  440168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  440171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440201 */     // MIs[1] Operand 1
     /*  440201 */     // No operand predicates
     /*  440201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440210 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  440213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440233 */     GIR_RootConstrainSelectedInstOperands,
     /*  440234 */     // GIR_Coverage, 6080,
     /*  440234 */     GIR_EraseRootFromParent_Done,
     /*  440235 */   // Label 7615: @440235
     /*  440235 */   GIM_Try, /*On fail goto*//*Label 7616*/ GIMT_Encode4(440321), // Rule ID 6083 //
     /*  440240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  440251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  440254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  440257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440287 */     // MIs[1] Operand 1
     /*  440287 */     // No operand predicates
     /*  440287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440296 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  440299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440319 */     GIR_RootConstrainSelectedInstOperands,
     /*  440320 */     // GIR_Coverage, 6083,
     /*  440320 */     GIR_EraseRootFromParent_Done,
     /*  440321 */   // Label 7616: @440321
     /*  440321 */   GIM_Try, /*On fail goto*//*Label 7617*/ GIMT_Encode4(440407), // Rule ID 6084 //
     /*  440326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  440337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  440340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  440343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440373 */     // MIs[1] Operand 1
     /*  440373 */     // No operand predicates
     /*  440373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440382 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  440385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440405 */     GIR_RootConstrainSelectedInstOperands,
     /*  440406 */     // GIR_Coverage, 6084,
     /*  440406 */     GIR_EraseRootFromParent_Done,
     /*  440407 */   // Label 7617: @440407
     /*  440407 */   GIM_Try, /*On fail goto*//*Label 7618*/ GIMT_Encode4(440493), // Rule ID 6087 //
     /*  440412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  440423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  440426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  440429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440459 */     // MIs[1] Operand 1
     /*  440459 */     // No operand predicates
     /*  440459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440468 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  440468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  440471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440491 */     GIR_RootConstrainSelectedInstOperands,
     /*  440492 */     // GIR_Coverage, 6087,
     /*  440492 */     GIR_EraseRootFromParent_Done,
     /*  440493 */   // Label 7618: @440493
     /*  440493 */   GIM_Try, /*On fail goto*//*Label 7619*/ GIMT_Encode4(440579), // Rule ID 6088 //
     /*  440498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  440509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  440512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  440515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440545 */     // MIs[1] Operand 1
     /*  440545 */     // No operand predicates
     /*  440545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440554 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  440554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  440557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440577 */     GIR_RootConstrainSelectedInstOperands,
     /*  440578 */     // GIR_Coverage, 6088,
     /*  440578 */     GIR_EraseRootFromParent_Done,
     /*  440579 */   // Label 7619: @440579
     /*  440579 */   GIM_Try, /*On fail goto*//*Label 7620*/ GIMT_Encode4(440665), // Rule ID 6091 //
     /*  440584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  440595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  440598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  440601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440631 */     // MIs[1] Operand 1
     /*  440631 */     // No operand predicates
     /*  440631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440640 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  440643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440663 */     GIR_RootConstrainSelectedInstOperands,
     /*  440664 */     // GIR_Coverage, 6091,
     /*  440664 */     GIR_EraseRootFromParent_Done,
     /*  440665 */   // Label 7620: @440665
     /*  440665 */   GIM_Try, /*On fail goto*//*Label 7621*/ GIMT_Encode4(440751), // Rule ID 6092 //
     /*  440670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  440681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  440684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  440687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440717 */     // MIs[1] Operand 1
     /*  440717 */     // No operand predicates
     /*  440717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440726 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  440729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440749 */     GIR_RootConstrainSelectedInstOperands,
     /*  440750 */     // GIR_Coverage, 6092,
     /*  440750 */     GIR_EraseRootFromParent_Done,
     /*  440751 */   // Label 7621: @440751
     /*  440751 */   GIM_Try, /*On fail goto*//*Label 7622*/ GIMT_Encode4(440837), // Rule ID 6095 //
     /*  440756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  440767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  440770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  440773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440803 */     // MIs[1] Operand 1
     /*  440803 */     // No operand predicates
     /*  440803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  440815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440835 */     GIR_RootConstrainSelectedInstOperands,
     /*  440836 */     // GIR_Coverage, 6095,
     /*  440836 */     GIR_EraseRootFromParent_Done,
     /*  440837 */   // Label 7622: @440837
     /*  440837 */   GIM_Try, /*On fail goto*//*Label 7623*/ GIMT_Encode4(440923), // Rule ID 6096 //
     /*  440842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  440853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  440856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  440859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440889 */     // MIs[1] Operand 1
     /*  440889 */     // No operand predicates
     /*  440889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440898 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  440901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440921 */     GIR_RootConstrainSelectedInstOperands,
     /*  440922 */     // GIR_Coverage, 6096,
     /*  440922 */     GIR_EraseRootFromParent_Done,
     /*  440923 */   // Label 7623: @440923
     /*  440923 */   GIM_Try, /*On fail goto*//*Label 7624*/ GIMT_Encode4(441009), // Rule ID 6099 //
     /*  440928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  440931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  440936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  440939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  440942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  440945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440975 */     // MIs[1] Operand 1
     /*  440975 */     // No operand predicates
     /*  440975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440984 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  440984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  440987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441007 */     GIR_RootConstrainSelectedInstOperands,
     /*  441008 */     // GIR_Coverage, 6099,
     /*  441008 */     GIR_EraseRootFromParent_Done,
     /*  441009 */   // Label 7624: @441009
     /*  441009 */   GIM_Try, /*On fail goto*//*Label 7625*/ GIMT_Encode4(441095), // Rule ID 6100 //
     /*  441014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  441017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  441025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  441028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  441031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441061 */     // MIs[1] Operand 1
     /*  441061 */     // No operand predicates
     /*  441061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441070 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  441070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  441073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441093 */     GIR_RootConstrainSelectedInstOperands,
     /*  441094 */     // GIR_Coverage, 6100,
     /*  441094 */     GIR_EraseRootFromParent_Done,
     /*  441095 */   // Label 7625: @441095
     /*  441095 */   GIM_Try, /*On fail goto*//*Label 7626*/ GIMT_Encode4(441181), // Rule ID 6103 //
     /*  441100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  441111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  441114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  441117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441147 */     // MIs[1] Operand 1
     /*  441147 */     // No operand predicates
     /*  441147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441156 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  441159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441179 */     GIR_RootConstrainSelectedInstOperands,
     /*  441180 */     // GIR_Coverage, 6103,
     /*  441180 */     GIR_EraseRootFromParent_Done,
     /*  441181 */   // Label 7626: @441181
     /*  441181 */   GIM_Try, /*On fail goto*//*Label 7627*/ GIMT_Encode4(441267), // Rule ID 6104 //
     /*  441186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  441197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  441200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  441203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441233 */     // MIs[1] Operand 1
     /*  441233 */     // No operand predicates
     /*  441233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441242 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  441245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441265 */     GIR_RootConstrainSelectedInstOperands,
     /*  441266 */     // GIR_Coverage, 6104,
     /*  441266 */     GIR_EraseRootFromParent_Done,
     /*  441267 */   // Label 7627: @441267
     /*  441267 */   GIM_Try, /*On fail goto*//*Label 7628*/ GIMT_Encode4(441353), // Rule ID 6107 //
     /*  441272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  441283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  441286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  441289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441319 */     // MIs[1] Operand 1
     /*  441319 */     // No operand predicates
     /*  441319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441328 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  441331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441351 */     GIR_RootConstrainSelectedInstOperands,
     /*  441352 */     // GIR_Coverage, 6107,
     /*  441352 */     GIR_EraseRootFromParent_Done,
     /*  441353 */   // Label 7628: @441353
     /*  441353 */   GIM_Try, /*On fail goto*//*Label 7629*/ GIMT_Encode4(441439), // Rule ID 6108 //
     /*  441358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  441369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  441372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  441375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441405 */     // MIs[1] Operand 1
     /*  441405 */     // No operand predicates
     /*  441405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441414 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  441417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441437 */     GIR_RootConstrainSelectedInstOperands,
     /*  441438 */     // GIR_Coverage, 6108,
     /*  441438 */     GIR_EraseRootFromParent_Done,
     /*  441439 */   // Label 7629: @441439
     /*  441439 */   GIM_Try, /*On fail goto*//*Label 7630*/ GIMT_Encode4(441525), // Rule ID 6111 //
     /*  441444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  441455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  441458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  441461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441491 */     // MIs[1] Operand 1
     /*  441491 */     // No operand predicates
     /*  441491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441500 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  441500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  441503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441523 */     GIR_RootConstrainSelectedInstOperands,
     /*  441524 */     // GIR_Coverage, 6111,
     /*  441524 */     GIR_EraseRootFromParent_Done,
     /*  441525 */   // Label 7630: @441525
     /*  441525 */   GIM_Try, /*On fail goto*//*Label 7631*/ GIMT_Encode4(441611), // Rule ID 6112 //
     /*  441530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  441541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  441544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  441547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441577 */     // MIs[1] Operand 1
     /*  441577 */     // No operand predicates
     /*  441577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441586 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  441586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  441589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  441606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441609 */     GIR_RootConstrainSelectedInstOperands,
     /*  441610 */     // GIR_Coverage, 6112,
     /*  441610 */     GIR_EraseRootFromParent_Done,
     /*  441611 */   // Label 7631: @441611
     /*  441611 */   GIM_Try, /*On fail goto*//*Label 7632*/ GIMT_Encode4(441697), // Rule ID 6115 //
     /*  441616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  441627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  441630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  441633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441663 */     // MIs[1] Operand 1
     /*  441663 */     // No operand predicates
     /*  441663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441672 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  441675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441695 */     GIR_RootConstrainSelectedInstOperands,
     /*  441696 */     // GIR_Coverage, 6115,
     /*  441696 */     GIR_EraseRootFromParent_Done,
     /*  441697 */   // Label 7632: @441697
     /*  441697 */   GIM_Try, /*On fail goto*//*Label 7633*/ GIMT_Encode4(441783), // Rule ID 6116 //
     /*  441702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  441713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  441716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  441719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441749 */     // MIs[1] Operand 1
     /*  441749 */     // No operand predicates
     /*  441749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441758 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  441761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441781 */     GIR_RootConstrainSelectedInstOperands,
     /*  441782 */     // GIR_Coverage, 6116,
     /*  441782 */     GIR_EraseRootFromParent_Done,
     /*  441783 */   // Label 7633: @441783
     /*  441783 */   GIM_Try, /*On fail goto*//*Label 7634*/ GIMT_Encode4(441869), // Rule ID 6119 //
     /*  441788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  441799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  441802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  441805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441835 */     // MIs[1] Operand 1
     /*  441835 */     // No operand predicates
     /*  441835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441844 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  441847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441867 */     GIR_RootConstrainSelectedInstOperands,
     /*  441868 */     // GIR_Coverage, 6119,
     /*  441868 */     GIR_EraseRootFromParent_Done,
     /*  441869 */   // Label 7634: @441869
     /*  441869 */   GIM_Try, /*On fail goto*//*Label 7635*/ GIMT_Encode4(441955), // Rule ID 6120 //
     /*  441874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  441885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  441888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  441891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441921 */     // MIs[1] Operand 1
     /*  441921 */     // No operand predicates
     /*  441921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441930 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  441933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441953 */     GIR_RootConstrainSelectedInstOperands,
     /*  441954 */     // GIR_Coverage, 6120,
     /*  441954 */     GIR_EraseRootFromParent_Done,
     /*  441955 */   // Label 7635: @441955
     /*  441955 */   GIM_Try, /*On fail goto*//*Label 7636*/ GIMT_Encode4(442041), // Rule ID 6123 //
     /*  441960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  441968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  441971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  441974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  441977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442007 */     // MIs[1] Operand 1
     /*  442007 */     // No operand predicates
     /*  442007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442016 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  442019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442039 */     GIR_RootConstrainSelectedInstOperands,
     /*  442040 */     // GIR_Coverage, 6123,
     /*  442040 */     GIR_EraseRootFromParent_Done,
     /*  442041 */   // Label 7636: @442041
     /*  442041 */   GIM_Try, /*On fail goto*//*Label 7637*/ GIMT_Encode4(442127), // Rule ID 6124 //
     /*  442046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  442057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  442060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  442063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442093 */     // MIs[1] Operand 1
     /*  442093 */     // No operand predicates
     /*  442093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442102 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  442105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442125 */     GIR_RootConstrainSelectedInstOperands,
     /*  442126 */     // GIR_Coverage, 6124,
     /*  442126 */     GIR_EraseRootFromParent_Done,
     /*  442127 */   // Label 7637: @442127
     /*  442127 */   GIM_Try, /*On fail goto*//*Label 7638*/ GIMT_Encode4(442213), // Rule ID 6127 //
     /*  442132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  442143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  442146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  442149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442179 */     // MIs[1] Operand 1
     /*  442179 */     // No operand predicates
     /*  442179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442188 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  442188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  442191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442211 */     GIR_RootConstrainSelectedInstOperands,
     /*  442212 */     // GIR_Coverage, 6127,
     /*  442212 */     GIR_EraseRootFromParent_Done,
     /*  442213 */   // Label 7638: @442213
     /*  442213 */   GIM_Try, /*On fail goto*//*Label 7639*/ GIMT_Encode4(442299), // Rule ID 6128 //
     /*  442218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  442229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  442232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  442235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442265 */     // MIs[1] Operand 1
     /*  442265 */     // No operand predicates
     /*  442265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442274 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  442277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442297 */     GIR_RootConstrainSelectedInstOperands,
     /*  442298 */     // GIR_Coverage, 6128,
     /*  442298 */     GIR_EraseRootFromParent_Done,
     /*  442299 */   // Label 7639: @442299
     /*  442299 */   GIM_Try, /*On fail goto*//*Label 7640*/ GIMT_Encode4(442385), // Rule ID 6131 //
     /*  442304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  442315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  442318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  442321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442351 */     // MIs[1] Operand 1
     /*  442351 */     // No operand predicates
     /*  442351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442360 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  442360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  442363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442383 */     GIR_RootConstrainSelectedInstOperands,
     /*  442384 */     // GIR_Coverage, 6131,
     /*  442384 */     GIR_EraseRootFromParent_Done,
     /*  442385 */   // Label 7640: @442385
     /*  442385 */   GIM_Try, /*On fail goto*//*Label 7641*/ GIMT_Encode4(442471), // Rule ID 6132 //
     /*  442390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  442401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  442404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  442407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442437 */     // MIs[1] Operand 1
     /*  442437 */     // No operand predicates
     /*  442437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442446 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  442449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442469 */     GIR_RootConstrainSelectedInstOperands,
     /*  442470 */     // GIR_Coverage, 6132,
     /*  442470 */     GIR_EraseRootFromParent_Done,
     /*  442471 */   // Label 7641: @442471
     /*  442471 */   GIM_Try, /*On fail goto*//*Label 7642*/ GIMT_Encode4(442557), // Rule ID 6135 //
     /*  442476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  442487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  442490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  442493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442523 */     // MIs[1] Operand 1
     /*  442523 */     // No operand predicates
     /*  442523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442532 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  442532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  442535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442555 */     GIR_RootConstrainSelectedInstOperands,
     /*  442556 */     // GIR_Coverage, 6135,
     /*  442556 */     GIR_EraseRootFromParent_Done,
     /*  442557 */   // Label 7642: @442557
     /*  442557 */   GIM_Try, /*On fail goto*//*Label 7643*/ GIMT_Encode4(442643), // Rule ID 6136 //
     /*  442562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  442573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  442576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  442579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442609 */     // MIs[1] Operand 1
     /*  442609 */     // No operand predicates
     /*  442609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442618 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  442621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442641 */     GIR_RootConstrainSelectedInstOperands,
     /*  442642 */     // GIR_Coverage, 6136,
     /*  442642 */     GIR_EraseRootFromParent_Done,
     /*  442643 */   // Label 7643: @442643
     /*  442643 */   GIM_Try, /*On fail goto*//*Label 7644*/ GIMT_Encode4(442729), // Rule ID 6139 //
     /*  442648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  442651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  442659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  442662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  442665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442695 */     // MIs[1] Operand 1
     /*  442695 */     // No operand predicates
     /*  442695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442704 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  442704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  442707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  442724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442727 */     GIR_RootConstrainSelectedInstOperands,
     /*  442728 */     // GIR_Coverage, 6139,
     /*  442728 */     GIR_EraseRootFromParent_Done,
     /*  442729 */   // Label 7644: @442729
     /*  442729 */   GIM_Try, /*On fail goto*//*Label 7645*/ GIMT_Encode4(442815), // Rule ID 6140 //
     /*  442734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  442737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  442745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  442748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  442751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442781 */     // MIs[1] Operand 1
     /*  442781 */     // No operand predicates
     /*  442781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442790 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  442790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  442793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  442810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442813 */     GIR_RootConstrainSelectedInstOperands,
     /*  442814 */     // GIR_Coverage, 6140,
     /*  442814 */     GIR_EraseRootFromParent_Done,
     /*  442815 */   // Label 7645: @442815
     /*  442815 */   GIM_Try, /*On fail goto*//*Label 7646*/ GIMT_Encode4(442901), // Rule ID 6143 //
     /*  442820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  442823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  442831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  442834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  442837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442867 */     // MIs[1] Operand 1
     /*  442867 */     // No operand predicates
     /*  442867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442876 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  442876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  442879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  442896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442899 */     GIR_RootConstrainSelectedInstOperands,
     /*  442900 */     // GIR_Coverage, 6143,
     /*  442900 */     GIR_EraseRootFromParent_Done,
     /*  442901 */   // Label 7646: @442901
     /*  442901 */   GIM_Try, /*On fail goto*//*Label 7647*/ GIMT_Encode4(442987), // Rule ID 6144 //
     /*  442906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  442909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  442914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  442917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  442920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  442923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442953 */     // MIs[1] Operand 1
     /*  442953 */     // No operand predicates
     /*  442953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442962 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  442962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  442965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  442982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442985 */     GIR_RootConstrainSelectedInstOperands,
     /*  442986 */     // GIR_Coverage, 6144,
     /*  442986 */     GIR_EraseRootFromParent_Done,
     /*  442987 */   // Label 7647: @442987
     /*  442987 */   GIM_Try, /*On fail goto*//*Label 7648*/ GIMT_Encode4(443073), // Rule ID 6147 //
     /*  442992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  442995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  443003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  443006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  443009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443039 */     // MIs[1] Operand 1
     /*  443039 */     // No operand predicates
     /*  443039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443048 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  443048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  443068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443071 */     GIR_RootConstrainSelectedInstOperands,
     /*  443072 */     // GIR_Coverage, 6147,
     /*  443072 */     GIR_EraseRootFromParent_Done,
     /*  443073 */   // Label 7648: @443073
     /*  443073 */   GIM_Try, /*On fail goto*//*Label 7649*/ GIMT_Encode4(443159), // Rule ID 6148 //
     /*  443078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  443081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  443086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  443089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  443092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  443095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443125 */     // MIs[1] Operand 1
     /*  443125 */     // No operand predicates
     /*  443125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443134 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  443134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  443137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  443154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443157 */     GIR_RootConstrainSelectedInstOperands,
     /*  443158 */     // GIR_Coverage, 6148,
     /*  443158 */     GIR_EraseRootFromParent_Done,
     /*  443159 */   // Label 7649: @443159
     /*  443159 */   GIM_Try, /*On fail goto*//*Label 7650*/ GIMT_Encode4(443245), // Rule ID 6327 //
     /*  443164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  443172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  443175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  443178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  443181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443211 */     // MIs[1] Operand 1
     /*  443211 */     // No operand predicates
     /*  443211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443220 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  443223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443243 */     GIR_RootConstrainSelectedInstOperands,
     /*  443244 */     // GIR_Coverage, 6327,
     /*  443244 */     GIR_EraseRootFromParent_Done,
     /*  443245 */   // Label 7650: @443245
     /*  443245 */   GIM_Try, /*On fail goto*//*Label 7651*/ GIMT_Encode4(443331), // Rule ID 6328 //
     /*  443250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  443258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  443261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  443264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  443267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443297 */     // MIs[1] Operand 1
     /*  443297 */     // No operand predicates
     /*  443297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443306 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  443309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443329 */     GIR_RootConstrainSelectedInstOperands,
     /*  443330 */     // GIR_Coverage, 6328,
     /*  443330 */     GIR_EraseRootFromParent_Done,
     /*  443331 */   // Label 7651: @443331
     /*  443331 */   GIM_Try, /*On fail goto*//*Label 7652*/ GIMT_Encode4(443417), // Rule ID 6331 //
     /*  443336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  443344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  443347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  443350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  443353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443383 */     // MIs[1] Operand 1
     /*  443383 */     // No operand predicates
     /*  443383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443392 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  443395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443415 */     GIR_RootConstrainSelectedInstOperands,
     /*  443416 */     // GIR_Coverage, 6331,
     /*  443416 */     GIR_EraseRootFromParent_Done,
     /*  443417 */   // Label 7652: @443417
     /*  443417 */   GIM_Try, /*On fail goto*//*Label 7653*/ GIMT_Encode4(443503), // Rule ID 6332 //
     /*  443422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  443430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  443433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  443436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  443439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443469 */     // MIs[1] Operand 1
     /*  443469 */     // No operand predicates
     /*  443469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443478 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  443481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443501 */     GIR_RootConstrainSelectedInstOperands,
     /*  443502 */     // GIR_Coverage, 6332,
     /*  443502 */     GIR_EraseRootFromParent_Done,
     /*  443503 */   // Label 7653: @443503
     /*  443503 */   GIM_Try, /*On fail goto*//*Label 7654*/ GIMT_Encode4(443589), // Rule ID 6335 //
     /*  443508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  443516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  443519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  443522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  443525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443555 */     // MIs[1] Operand 1
     /*  443555 */     // No operand predicates
     /*  443555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443564 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  443567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443587 */     GIR_RootConstrainSelectedInstOperands,
     /*  443588 */     // GIR_Coverage, 6335,
     /*  443588 */     GIR_EraseRootFromParent_Done,
     /*  443589 */   // Label 7654: @443589
     /*  443589 */   GIM_Try, /*On fail goto*//*Label 7655*/ GIMT_Encode4(443675), // Rule ID 6336 //
     /*  443594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  443602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  443605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  443608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  443611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443641 */     // MIs[1] Operand 1
     /*  443641 */     // No operand predicates
     /*  443641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443650 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  443653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443673 */     GIR_RootConstrainSelectedInstOperands,
     /*  443674 */     // GIR_Coverage, 6336,
     /*  443674 */     GIR_EraseRootFromParent_Done,
     /*  443675 */   // Label 7655: @443675
     /*  443675 */   GIM_Try, /*On fail goto*//*Label 7656*/ GIMT_Encode4(443761), // Rule ID 6339 //
     /*  443680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  443688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  443691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  443694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  443697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443727 */     // MIs[1] Operand 1
     /*  443727 */     // No operand predicates
     /*  443727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443736 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  443739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443759 */     GIR_RootConstrainSelectedInstOperands,
     /*  443760 */     // GIR_Coverage, 6339,
     /*  443760 */     GIR_EraseRootFromParent_Done,
     /*  443761 */   // Label 7656: @443761
     /*  443761 */   GIM_Try, /*On fail goto*//*Label 7657*/ GIMT_Encode4(443847), // Rule ID 6340 //
     /*  443766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  443774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  443777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  443780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  443783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443813 */     // MIs[1] Operand 1
     /*  443813 */     // No operand predicates
     /*  443813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  443825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443845 */     GIR_RootConstrainSelectedInstOperands,
     /*  443846 */     // GIR_Coverage, 6340,
     /*  443846 */     GIR_EraseRootFromParent_Done,
     /*  443847 */   // Label 7657: @443847
     /*  443847 */   GIM_Try, /*On fail goto*//*Label 7658*/ GIMT_Encode4(443933), // Rule ID 6343 //
     /*  443852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  443860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  443863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  443866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  443869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443899 */     // MIs[1] Operand 1
     /*  443899 */     // No operand predicates
     /*  443899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443908 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  443911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443931 */     GIR_RootConstrainSelectedInstOperands,
     /*  443932 */     // GIR_Coverage, 6343,
     /*  443932 */     GIR_EraseRootFromParent_Done,
     /*  443933 */   // Label 7658: @443933
     /*  443933 */   GIM_Try, /*On fail goto*//*Label 7659*/ GIMT_Encode4(444019), // Rule ID 6344 //
     /*  443938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  443946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  443949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  443952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  443955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443985 */     // MIs[1] Operand 1
     /*  443985 */     // No operand predicates
     /*  443985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443994 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  443997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444017 */     GIR_RootConstrainSelectedInstOperands,
     /*  444018 */     // GIR_Coverage, 6344,
     /*  444018 */     GIR_EraseRootFromParent_Done,
     /*  444019 */   // Label 7659: @444019
     /*  444019 */   GIM_Try, /*On fail goto*//*Label 7660*/ GIMT_Encode4(444105), // Rule ID 6347 //
     /*  444024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  444035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  444038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  444041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444071 */     // MIs[1] Operand 1
     /*  444071 */     // No operand predicates
     /*  444071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444080 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  444083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444103 */     GIR_RootConstrainSelectedInstOperands,
     /*  444104 */     // GIR_Coverage, 6347,
     /*  444104 */     GIR_EraseRootFromParent_Done,
     /*  444105 */   // Label 7660: @444105
     /*  444105 */   GIM_Try, /*On fail goto*//*Label 7661*/ GIMT_Encode4(444191), // Rule ID 6348 //
     /*  444110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  444121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  444124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  444127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444157 */     // MIs[1] Operand 1
     /*  444157 */     // No operand predicates
     /*  444157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444166 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  444169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444189 */     GIR_RootConstrainSelectedInstOperands,
     /*  444190 */     // GIR_Coverage, 6348,
     /*  444190 */     GIR_EraseRootFromParent_Done,
     /*  444191 */   // Label 7661: @444191
     /*  444191 */   GIM_Try, /*On fail goto*//*Label 7662*/ GIMT_Encode4(444277), // Rule ID 6351 //
     /*  444196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  444207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  444210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  444213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444243 */     // MIs[1] Operand 1
     /*  444243 */     // No operand predicates
     /*  444243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444252 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  444252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  444255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444275 */     GIR_RootConstrainSelectedInstOperands,
     /*  444276 */     // GIR_Coverage, 6351,
     /*  444276 */     GIR_EraseRootFromParent_Done,
     /*  444277 */   // Label 7662: @444277
     /*  444277 */   GIM_Try, /*On fail goto*//*Label 7663*/ GIMT_Encode4(444363), // Rule ID 6352 //
     /*  444282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  444293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  444296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  444299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444329 */     // MIs[1] Operand 1
     /*  444329 */     // No operand predicates
     /*  444329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444338 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  444338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  444341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444361 */     GIR_RootConstrainSelectedInstOperands,
     /*  444362 */     // GIR_Coverage, 6352,
     /*  444362 */     GIR_EraseRootFromParent_Done,
     /*  444363 */   // Label 7663: @444363
     /*  444363 */   GIM_Try, /*On fail goto*//*Label 7664*/ GIMT_Encode4(444449), // Rule ID 6355 //
     /*  444368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  444379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  444382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  444385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444415 */     // MIs[1] Operand 1
     /*  444415 */     // No operand predicates
     /*  444415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444424 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  444427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444447 */     GIR_RootConstrainSelectedInstOperands,
     /*  444448 */     // GIR_Coverage, 6355,
     /*  444448 */     GIR_EraseRootFromParent_Done,
     /*  444449 */   // Label 7664: @444449
     /*  444449 */   GIM_Try, /*On fail goto*//*Label 7665*/ GIMT_Encode4(444535), // Rule ID 6356 //
     /*  444454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  444465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  444468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  444471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444501 */     // MIs[1] Operand 1
     /*  444501 */     // No operand predicates
     /*  444501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444510 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  444513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444533 */     GIR_RootConstrainSelectedInstOperands,
     /*  444534 */     // GIR_Coverage, 6356,
     /*  444534 */     GIR_EraseRootFromParent_Done,
     /*  444535 */   // Label 7665: @444535
     /*  444535 */   GIM_Try, /*On fail goto*//*Label 7666*/ GIMT_Encode4(444621), // Rule ID 6359 //
     /*  444540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  444551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  444554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  444557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444587 */     // MIs[1] Operand 1
     /*  444587 */     // No operand predicates
     /*  444587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  444599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444619 */     GIR_RootConstrainSelectedInstOperands,
     /*  444620 */     // GIR_Coverage, 6359,
     /*  444620 */     GIR_EraseRootFromParent_Done,
     /*  444621 */   // Label 7666: @444621
     /*  444621 */   GIM_Try, /*On fail goto*//*Label 7667*/ GIMT_Encode4(444707), // Rule ID 6360 //
     /*  444626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  444637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  444640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  444643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444673 */     // MIs[1] Operand 1
     /*  444673 */     // No operand predicates
     /*  444673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444682 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  444685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444705 */     GIR_RootConstrainSelectedInstOperands,
     /*  444706 */     // GIR_Coverage, 6360,
     /*  444706 */     GIR_EraseRootFromParent_Done,
     /*  444707 */   // Label 7667: @444707
     /*  444707 */   GIM_Try, /*On fail goto*//*Label 7668*/ GIMT_Encode4(444793), // Rule ID 6363 //
     /*  444712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  444715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  444723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  444726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  444729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444759 */     // MIs[1] Operand 1
     /*  444759 */     // No operand predicates
     /*  444759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444768 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  444768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  444771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444791 */     GIR_RootConstrainSelectedInstOperands,
     /*  444792 */     // GIR_Coverage, 6363,
     /*  444792 */     GIR_EraseRootFromParent_Done,
     /*  444793 */   // Label 7668: @444793
     /*  444793 */   GIM_Try, /*On fail goto*//*Label 7669*/ GIMT_Encode4(444879), // Rule ID 6364 //
     /*  444798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  444801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  444809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  444812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  444815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444845 */     // MIs[1] Operand 1
     /*  444845 */     // No operand predicates
     /*  444845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444854 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  444854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  444857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  444874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444877 */     GIR_RootConstrainSelectedInstOperands,
     /*  444878 */     // GIR_Coverage, 6364,
     /*  444878 */     GIR_EraseRootFromParent_Done,
     /*  444879 */   // Label 7669: @444879
     /*  444879 */   GIM_Try, /*On fail goto*//*Label 7670*/ GIMT_Encode4(444965), // Rule ID 6367 //
     /*  444884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  444895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  444898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  444901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444931 */     // MIs[1] Operand 1
     /*  444931 */     // No operand predicates
     /*  444931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444940 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  444940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  444943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444963 */     GIR_RootConstrainSelectedInstOperands,
     /*  444964 */     // GIR_Coverage, 6367,
     /*  444964 */     GIR_EraseRootFromParent_Done,
     /*  444965 */   // Label 7670: @444965
     /*  444965 */   GIM_Try, /*On fail goto*//*Label 7671*/ GIMT_Encode4(445051), // Rule ID 6368 //
     /*  444970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  444978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  444981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  444984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  444987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445017 */     // MIs[1] Operand 1
     /*  445017 */     // No operand predicates
     /*  445017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445026 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  445029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445049 */     GIR_RootConstrainSelectedInstOperands,
     /*  445050 */     // GIR_Coverage, 6368,
     /*  445050 */     GIR_EraseRootFromParent_Done,
     /*  445051 */   // Label 7671: @445051
     /*  445051 */   GIM_Try, /*On fail goto*//*Label 7672*/ GIMT_Encode4(445137), // Rule ID 6371 //
     /*  445056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  445067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  445070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  445073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445103 */     // MIs[1] Operand 1
     /*  445103 */     // No operand predicates
     /*  445103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445112 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  445115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445135 */     GIR_RootConstrainSelectedInstOperands,
     /*  445136 */     // GIR_Coverage, 6371,
     /*  445136 */     GIR_EraseRootFromParent_Done,
     /*  445137 */   // Label 7672: @445137
     /*  445137 */   GIM_Try, /*On fail goto*//*Label 7673*/ GIMT_Encode4(445223), // Rule ID 6372 //
     /*  445142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  445153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  445156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  445159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445189 */     // MIs[1] Operand 1
     /*  445189 */     // No operand predicates
     /*  445189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445198 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  445201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445221 */     GIR_RootConstrainSelectedInstOperands,
     /*  445222 */     // GIR_Coverage, 6372,
     /*  445222 */     GIR_EraseRootFromParent_Done,
     /*  445223 */   // Label 7673: @445223
     /*  445223 */   GIM_Try, /*On fail goto*//*Label 7674*/ GIMT_Encode4(445309), // Rule ID 6375 //
     /*  445228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  445239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  445242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  445245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445275 */     // MIs[1] Operand 1
     /*  445275 */     // No operand predicates
     /*  445275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445284 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  445287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445307 */     GIR_RootConstrainSelectedInstOperands,
     /*  445308 */     // GIR_Coverage, 6375,
     /*  445308 */     GIR_EraseRootFromParent_Done,
     /*  445309 */   // Label 7674: @445309
     /*  445309 */   GIM_Try, /*On fail goto*//*Label 7675*/ GIMT_Encode4(445395), // Rule ID 6376 //
     /*  445314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  445325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  445328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  445331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445361 */     // MIs[1] Operand 1
     /*  445361 */     // No operand predicates
     /*  445361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445370 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  445373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445393 */     GIR_RootConstrainSelectedInstOperands,
     /*  445394 */     // GIR_Coverage, 6376,
     /*  445394 */     GIR_EraseRootFromParent_Done,
     /*  445395 */   // Label 7675: @445395
     /*  445395 */   GIM_Try, /*On fail goto*//*Label 7676*/ GIMT_Encode4(445481), // Rule ID 6379 //
     /*  445400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  445411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  445414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  445417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445447 */     // MIs[1] Operand 1
     /*  445447 */     // No operand predicates
     /*  445447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445456 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  445456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  445459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445479 */     GIR_RootConstrainSelectedInstOperands,
     /*  445480 */     // GIR_Coverage, 6379,
     /*  445480 */     GIR_EraseRootFromParent_Done,
     /*  445481 */   // Label 7676: @445481
     /*  445481 */   GIM_Try, /*On fail goto*//*Label 7677*/ GIMT_Encode4(445567), // Rule ID 6380 //
     /*  445486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  445497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  445500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  445503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445533 */     // MIs[1] Operand 1
     /*  445533 */     // No operand predicates
     /*  445533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445542 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  445542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  445545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445565 */     GIR_RootConstrainSelectedInstOperands,
     /*  445566 */     // GIR_Coverage, 6380,
     /*  445566 */     GIR_EraseRootFromParent_Done,
     /*  445567 */   // Label 7677: @445567
     /*  445567 */   GIM_Try, /*On fail goto*//*Label 7678*/ GIMT_Encode4(445653), // Rule ID 6383 //
     /*  445572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  445583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  445586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  445589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445619 */     // MIs[1] Operand 1
     /*  445619 */     // No operand predicates
     /*  445619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445628 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  445628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  445631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445651 */     GIR_RootConstrainSelectedInstOperands,
     /*  445652 */     // GIR_Coverage, 6383,
     /*  445652 */     GIR_EraseRootFromParent_Done,
     /*  445653 */   // Label 7678: @445653
     /*  445653 */   GIM_Try, /*On fail goto*//*Label 7679*/ GIMT_Encode4(445739), // Rule ID 6384 //
     /*  445658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  445669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  445672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  445675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445705 */     // MIs[1] Operand 1
     /*  445705 */     // No operand predicates
     /*  445705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445714 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  445714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  445717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445737 */     GIR_RootConstrainSelectedInstOperands,
     /*  445738 */     // GIR_Coverage, 6384,
     /*  445738 */     GIR_EraseRootFromParent_Done,
     /*  445739 */   // Label 7679: @445739
     /*  445739 */   GIM_Try, /*On fail goto*//*Label 7680*/ GIMT_Encode4(445825), // Rule ID 6387 //
     /*  445744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  445755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  445758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  445761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445791 */     // MIs[1] Operand 1
     /*  445791 */     // No operand predicates
     /*  445791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445800 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  445800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  445803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445823 */     GIR_RootConstrainSelectedInstOperands,
     /*  445824 */     // GIR_Coverage, 6387,
     /*  445824 */     GIR_EraseRootFromParent_Done,
     /*  445825 */   // Label 7680: @445825
     /*  445825 */   GIM_Try, /*On fail goto*//*Label 7681*/ GIMT_Encode4(445911), // Rule ID 6388 //
     /*  445830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  445841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  445844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  445847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445877 */     // MIs[1] Operand 1
     /*  445877 */     // No operand predicates
     /*  445877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445886 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  445886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  445889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445909 */     GIR_RootConstrainSelectedInstOperands,
     /*  445910 */     // GIR_Coverage, 6388,
     /*  445910 */     GIR_EraseRootFromParent_Done,
     /*  445911 */   // Label 7681: @445911
     /*  445911 */   GIM_Try, /*On fail goto*//*Label 7682*/ GIMT_Encode4(445997), // Rule ID 6391 //
     /*  445916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  445924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  445927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  445930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  445933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445963 */     // MIs[1] Operand 1
     /*  445963 */     // No operand predicates
     /*  445963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445972 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  445972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  445975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445995 */     GIR_RootConstrainSelectedInstOperands,
     /*  445996 */     // GIR_Coverage, 6391,
     /*  445996 */     GIR_EraseRootFromParent_Done,
     /*  445997 */   // Label 7682: @445997
     /*  445997 */   GIM_Try, /*On fail goto*//*Label 7683*/ GIMT_Encode4(446083), // Rule ID 6392 //
     /*  446002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  446013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  446016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  446019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446049 */     // MIs[1] Operand 1
     /*  446049 */     // No operand predicates
     /*  446049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446058 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  446058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  446061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446081 */     GIR_RootConstrainSelectedInstOperands,
     /*  446082 */     // GIR_Coverage, 6392,
     /*  446082 */     GIR_EraseRootFromParent_Done,
     /*  446083 */   // Label 7683: @446083
     /*  446083 */   GIM_Try, /*On fail goto*//*Label 7684*/ GIMT_Encode4(446169), // Rule ID 6395 //
     /*  446088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  446099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  446102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  446105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446135 */     // MIs[1] Operand 1
     /*  446135 */     // No operand predicates
     /*  446135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446144 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  446144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  446147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446167 */     GIR_RootConstrainSelectedInstOperands,
     /*  446168 */     // GIR_Coverage, 6395,
     /*  446168 */     GIR_EraseRootFromParent_Done,
     /*  446169 */   // Label 7684: @446169
     /*  446169 */   GIM_Try, /*On fail goto*//*Label 7685*/ GIMT_Encode4(446255), // Rule ID 6396 //
     /*  446174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  446185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  446188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  446191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446221 */     // MIs[1] Operand 1
     /*  446221 */     // No operand predicates
     /*  446221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446230 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  446230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  446233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446253 */     GIR_RootConstrainSelectedInstOperands,
     /*  446254 */     // GIR_Coverage, 6396,
     /*  446254 */     GIR_EraseRootFromParent_Done,
     /*  446255 */   // Label 7685: @446255
     /*  446255 */   GIM_Try, /*On fail goto*//*Label 7686*/ GIMT_Encode4(446341), // Rule ID 6399 //
     /*  446260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  446271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  446274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  446277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446307 */     // MIs[1] Operand 1
     /*  446307 */     // No operand predicates
     /*  446307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446316 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  446316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  446319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446339 */     GIR_RootConstrainSelectedInstOperands,
     /*  446340 */     // GIR_Coverage, 6399,
     /*  446340 */     GIR_EraseRootFromParent_Done,
     /*  446341 */   // Label 7686: @446341
     /*  446341 */   GIM_Try, /*On fail goto*//*Label 7687*/ GIMT_Encode4(446427), // Rule ID 6400 //
     /*  446346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  446357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  446360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  446363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446393 */     // MIs[1] Operand 1
     /*  446393 */     // No operand predicates
     /*  446393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446402 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  446402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  446405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446425 */     GIR_RootConstrainSelectedInstOperands,
     /*  446426 */     // GIR_Coverage, 6400,
     /*  446426 */     GIR_EraseRootFromParent_Done,
     /*  446427 */   // Label 7687: @446427
     /*  446427 */   GIM_Try, /*On fail goto*//*Label 7688*/ GIMT_Encode4(446513), // Rule ID 6403 //
     /*  446432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  446435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  446443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  446446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  446449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446479 */     // MIs[1] Operand 1
     /*  446479 */     // No operand predicates
     /*  446479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446488 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  446488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  446491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  446508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446511 */     GIR_RootConstrainSelectedInstOperands,
     /*  446512 */     // GIR_Coverage, 6403,
     /*  446512 */     GIR_EraseRootFromParent_Done,
     /*  446513 */   // Label 7688: @446513
     /*  446513 */   GIM_Try, /*On fail goto*//*Label 7689*/ GIMT_Encode4(446599), // Rule ID 6404 //
     /*  446518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  446521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  446529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  446532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  446535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446565 */     // MIs[1] Operand 1
     /*  446565 */     // No operand predicates
     /*  446565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446574 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  446574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  446577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  446594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446597 */     GIR_RootConstrainSelectedInstOperands,
     /*  446598 */     // GIR_Coverage, 6404,
     /*  446598 */     GIR_EraseRootFromParent_Done,
     /*  446599 */   // Label 7689: @446599
     /*  446599 */   GIM_Try, /*On fail goto*//*Label 7690*/ GIMT_Encode4(446685), // Rule ID 6407 //
     /*  446604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  446607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  446615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  446618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  446621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446651 */     // MIs[1] Operand 1
     /*  446651 */     // No operand predicates
     /*  446651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446660 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  446660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  446663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  446680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446683 */     GIR_RootConstrainSelectedInstOperands,
     /*  446684 */     // GIR_Coverage, 6407,
     /*  446684 */     GIR_EraseRootFromParent_Done,
     /*  446685 */   // Label 7690: @446685
     /*  446685 */   GIM_Try, /*On fail goto*//*Label 7691*/ GIMT_Encode4(446771), // Rule ID 6408 //
     /*  446690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  446693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  446701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  446704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  446707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446737 */     // MIs[1] Operand 1
     /*  446737 */     // No operand predicates
     /*  446737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446746 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  446746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  446749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  446766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446769 */     GIR_RootConstrainSelectedInstOperands,
     /*  446770 */     // GIR_Coverage, 6408,
     /*  446770 */     GIR_EraseRootFromParent_Done,
     /*  446771 */   // Label 7691: @446771
     /*  446771 */   GIM_Try, /*On fail goto*//*Label 7692*/ GIMT_Encode4(446857), // Rule ID 6411 //
     /*  446776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  446779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  446787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  446790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  446793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446823 */     // MIs[1] Operand 1
     /*  446823 */     // No operand predicates
     /*  446823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446832 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  446832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  446835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  446852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446855 */     GIR_RootConstrainSelectedInstOperands,
     /*  446856 */     // GIR_Coverage, 6411,
     /*  446856 */     GIR_EraseRootFromParent_Done,
     /*  446857 */   // Label 7692: @446857
     /*  446857 */   GIM_Try, /*On fail goto*//*Label 7693*/ GIMT_Encode4(446943), // Rule ID 6412 //
     /*  446862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  446865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  446870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  446873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  446876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  446879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446909 */     // MIs[1] Operand 1
     /*  446909 */     // No operand predicates
     /*  446909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446918 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  446918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  446921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  446938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446941 */     GIR_RootConstrainSelectedInstOperands,
     /*  446942 */     // GIR_Coverage, 6412,
     /*  446942 */     GIR_EraseRootFromParent_Done,
     /*  446943 */   // Label 7693: @446943
     /*  446943 */   GIM_Try, /*On fail goto*//*Label 7694*/ GIMT_Encode4(447029), // Rule ID 6591 //
     /*  446948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  446956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  446959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  446962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  446965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  446995 */     // MIs[1] Operand 1
     /*  446995 */     // No operand predicates
     /*  446995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447004 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  447007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447027 */     GIR_RootConstrainSelectedInstOperands,
     /*  447028 */     // GIR_Coverage, 6591,
     /*  447028 */     GIR_EraseRootFromParent_Done,
     /*  447029 */   // Label 7694: @447029
     /*  447029 */   GIM_Try, /*On fail goto*//*Label 7695*/ GIMT_Encode4(447115), // Rule ID 6592 //
     /*  447034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  447042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  447045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  447048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  447051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447081 */     // MIs[1] Operand 1
     /*  447081 */     // No operand predicates
     /*  447081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447090 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  447093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447113 */     GIR_RootConstrainSelectedInstOperands,
     /*  447114 */     // GIR_Coverage, 6592,
     /*  447114 */     GIR_EraseRootFromParent_Done,
     /*  447115 */   // Label 7695: @447115
     /*  447115 */   GIM_Try, /*On fail goto*//*Label 7696*/ GIMT_Encode4(447201), // Rule ID 6595 //
     /*  447120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  447128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  447131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  447134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  447137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447167 */     // MIs[1] Operand 1
     /*  447167 */     // No operand predicates
     /*  447167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447176 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  447179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447199 */     GIR_RootConstrainSelectedInstOperands,
     /*  447200 */     // GIR_Coverage, 6595,
     /*  447200 */     GIR_EraseRootFromParent_Done,
     /*  447201 */   // Label 7696: @447201
     /*  447201 */   GIM_Try, /*On fail goto*//*Label 7697*/ GIMT_Encode4(447287), // Rule ID 6596 //
     /*  447206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  447214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  447217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  447220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  447223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447253 */     // MIs[1] Operand 1
     /*  447253 */     // No operand predicates
     /*  447253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447262 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  447265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447285 */     GIR_RootConstrainSelectedInstOperands,
     /*  447286 */     // GIR_Coverage, 6596,
     /*  447286 */     GIR_EraseRootFromParent_Done,
     /*  447287 */   // Label 7697: @447287
     /*  447287 */   GIM_Try, /*On fail goto*//*Label 7698*/ GIMT_Encode4(447373), // Rule ID 6599 //
     /*  447292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  447300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  447303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  447306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  447309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447339 */     // MIs[1] Operand 1
     /*  447339 */     // No operand predicates
     /*  447339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447348 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  447351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447371 */     GIR_RootConstrainSelectedInstOperands,
     /*  447372 */     // GIR_Coverage, 6599,
     /*  447372 */     GIR_EraseRootFromParent_Done,
     /*  447373 */   // Label 7698: @447373
     /*  447373 */   GIM_Try, /*On fail goto*//*Label 7699*/ GIMT_Encode4(447459), // Rule ID 6600 //
     /*  447378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  447386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  447389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  447392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  447395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447425 */     // MIs[1] Operand 1
     /*  447425 */     // No operand predicates
     /*  447425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447434 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  447437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447457 */     GIR_RootConstrainSelectedInstOperands,
     /*  447458 */     // GIR_Coverage, 6600,
     /*  447458 */     GIR_EraseRootFromParent_Done,
     /*  447459 */   // Label 7699: @447459
     /*  447459 */   GIM_Try, /*On fail goto*//*Label 7700*/ GIMT_Encode4(447545), // Rule ID 6603 //
     /*  447464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  447472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  447475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  447478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  447481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447511 */     // MIs[1] Operand 1
     /*  447511 */     // No operand predicates
     /*  447511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447520 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  447520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  447523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447543 */     GIR_RootConstrainSelectedInstOperands,
     /*  447544 */     // GIR_Coverage, 6603,
     /*  447544 */     GIR_EraseRootFromParent_Done,
     /*  447545 */   // Label 7700: @447545
     /*  447545 */   GIM_Try, /*On fail goto*//*Label 7701*/ GIMT_Encode4(447631), // Rule ID 6604 //
     /*  447550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  447558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  447561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  447564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  447567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447597 */     // MIs[1] Operand 1
     /*  447597 */     // No operand predicates
     /*  447597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447606 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  447606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  447609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447629 */     GIR_RootConstrainSelectedInstOperands,
     /*  447630 */     // GIR_Coverage, 6604,
     /*  447630 */     GIR_EraseRootFromParent_Done,
     /*  447631 */   // Label 7701: @447631
     /*  447631 */   GIM_Try, /*On fail goto*//*Label 7702*/ GIMT_Encode4(447717), // Rule ID 6607 //
     /*  447636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  447644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  447647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  447650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  447653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447683 */     // MIs[1] Operand 1
     /*  447683 */     // No operand predicates
     /*  447683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447692 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  447692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  447695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447715 */     GIR_RootConstrainSelectedInstOperands,
     /*  447716 */     // GIR_Coverage, 6607,
     /*  447716 */     GIR_EraseRootFromParent_Done,
     /*  447717 */   // Label 7702: @447717
     /*  447717 */   GIM_Try, /*On fail goto*//*Label 7703*/ GIMT_Encode4(447803), // Rule ID 6608 //
     /*  447722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  447730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  447733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  447736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  447739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447769 */     // MIs[1] Operand 1
     /*  447769 */     // No operand predicates
     /*  447769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447778 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  447778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  447781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447801 */     GIR_RootConstrainSelectedInstOperands,
     /*  447802 */     // GIR_Coverage, 6608,
     /*  447802 */     GIR_EraseRootFromParent_Done,
     /*  447803 */   // Label 7703: @447803
     /*  447803 */   GIM_Try, /*On fail goto*//*Label 7704*/ GIMT_Encode4(447889), // Rule ID 6611 //
     /*  447808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  447816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  447819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  447822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  447825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447855 */     // MIs[1] Operand 1
     /*  447855 */     // No operand predicates
     /*  447855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447864 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  447867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447887 */     GIR_RootConstrainSelectedInstOperands,
     /*  447888 */     // GIR_Coverage, 6611,
     /*  447888 */     GIR_EraseRootFromParent_Done,
     /*  447889 */   // Label 7704: @447889
     /*  447889 */   GIM_Try, /*On fail goto*//*Label 7705*/ GIMT_Encode4(447975), // Rule ID 6612 //
     /*  447894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  447902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  447905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  447908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  447911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447941 */     // MIs[1] Operand 1
     /*  447941 */     // No operand predicates
     /*  447941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447950 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  447953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447973 */     GIR_RootConstrainSelectedInstOperands,
     /*  447974 */     // GIR_Coverage, 6612,
     /*  447974 */     GIR_EraseRootFromParent_Done,
     /*  447975 */   // Label 7705: @447975
     /*  447975 */   GIM_Try, /*On fail goto*//*Label 7706*/ GIMT_Encode4(448061), // Rule ID 6615 //
     /*  447980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  447988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  447991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  447994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  447997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448027 */     // MIs[1] Operand 1
     /*  448027 */     // No operand predicates
     /*  448027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448036 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  448039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448059 */     GIR_RootConstrainSelectedInstOperands,
     /*  448060 */     // GIR_Coverage, 6615,
     /*  448060 */     GIR_EraseRootFromParent_Done,
     /*  448061 */   // Label 7706: @448061
     /*  448061 */   GIM_Try, /*On fail goto*//*Label 7707*/ GIMT_Encode4(448147), // Rule ID 6616 //
     /*  448066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  448077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  448080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  448083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448113 */     // MIs[1] Operand 1
     /*  448113 */     // No operand predicates
     /*  448113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448122 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  448125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448145 */     GIR_RootConstrainSelectedInstOperands,
     /*  448146 */     // GIR_Coverage, 6616,
     /*  448146 */     GIR_EraseRootFromParent_Done,
     /*  448147 */   // Label 7707: @448147
     /*  448147 */   GIM_Try, /*On fail goto*//*Label 7708*/ GIMT_Encode4(448233), // Rule ID 6619 //
     /*  448152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  448163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  448166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  448169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448199 */     // MIs[1] Operand 1
     /*  448199 */     // No operand predicates
     /*  448199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448208 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  448211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448231 */     GIR_RootConstrainSelectedInstOperands,
     /*  448232 */     // GIR_Coverage, 6619,
     /*  448232 */     GIR_EraseRootFromParent_Done,
     /*  448233 */   // Label 7708: @448233
     /*  448233 */   GIM_Try, /*On fail goto*//*Label 7709*/ GIMT_Encode4(448319), // Rule ID 6620 //
     /*  448238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  448249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  448252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  448255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448285 */     // MIs[1] Operand 1
     /*  448285 */     // No operand predicates
     /*  448285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448294 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  448297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448317 */     GIR_RootConstrainSelectedInstOperands,
     /*  448318 */     // GIR_Coverage, 6620,
     /*  448318 */     GIR_EraseRootFromParent_Done,
     /*  448319 */   // Label 7709: @448319
     /*  448319 */   GIM_Try, /*On fail goto*//*Label 7710*/ GIMT_Encode4(448405), // Rule ID 6623 //
     /*  448324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  448335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  448338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  448341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448371 */     // MIs[1] Operand 1
     /*  448371 */     // No operand predicates
     /*  448371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  448380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  448383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448403 */     GIR_RootConstrainSelectedInstOperands,
     /*  448404 */     // GIR_Coverage, 6623,
     /*  448404 */     GIR_EraseRootFromParent_Done,
     /*  448405 */   // Label 7710: @448405
     /*  448405 */   GIM_Try, /*On fail goto*//*Label 7711*/ GIMT_Encode4(448491), // Rule ID 6624 //
     /*  448410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  448421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  448424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  448427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448457 */     // MIs[1] Operand 1
     /*  448457 */     // No operand predicates
     /*  448457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448466 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  448466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  448469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448489 */     GIR_RootConstrainSelectedInstOperands,
     /*  448490 */     // GIR_Coverage, 6624,
     /*  448490 */     GIR_EraseRootFromParent_Done,
     /*  448491 */   // Label 7711: @448491
     /*  448491 */   GIM_Try, /*On fail goto*//*Label 7712*/ GIMT_Encode4(448577), // Rule ID 6627 //
     /*  448496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  448499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  448507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  448510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  448513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448543 */     // MIs[1] Operand 1
     /*  448543 */     // No operand predicates
     /*  448543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  448552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  448555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448575 */     GIR_RootConstrainSelectedInstOperands,
     /*  448576 */     // GIR_Coverage, 6627,
     /*  448576 */     GIR_EraseRootFromParent_Done,
     /*  448577 */   // Label 7712: @448577
     /*  448577 */   GIM_Try, /*On fail goto*//*Label 7713*/ GIMT_Encode4(448663), // Rule ID 6628 //
     /*  448582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  448585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  448593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  448596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  448599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448629 */     // MIs[1] Operand 1
     /*  448629 */     // No operand predicates
     /*  448629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448638 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  448638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  448641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  448658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448661 */     GIR_RootConstrainSelectedInstOperands,
     /*  448662 */     // GIR_Coverage, 6628,
     /*  448662 */     GIR_EraseRootFromParent_Done,
     /*  448663 */   // Label 7713: @448663
     /*  448663 */   GIM_Try, /*On fail goto*//*Label 7714*/ GIMT_Encode4(448749), // Rule ID 6631 //
     /*  448668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  448679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  448682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  448685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448715 */     // MIs[1] Operand 1
     /*  448715 */     // No operand predicates
     /*  448715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448724 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  448727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448747 */     GIR_RootConstrainSelectedInstOperands,
     /*  448748 */     // GIR_Coverage, 6631,
     /*  448748 */     GIR_EraseRootFromParent_Done,
     /*  448749 */   // Label 7714: @448749
     /*  448749 */   GIM_Try, /*On fail goto*//*Label 7715*/ GIMT_Encode4(448835), // Rule ID 6632 //
     /*  448754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  448765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  448768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  448771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448801 */     // MIs[1] Operand 1
     /*  448801 */     // No operand predicates
     /*  448801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448810 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  448813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448833 */     GIR_RootConstrainSelectedInstOperands,
     /*  448834 */     // GIR_Coverage, 6632,
     /*  448834 */     GIR_EraseRootFromParent_Done,
     /*  448835 */   // Label 7715: @448835
     /*  448835 */   GIM_Try, /*On fail goto*//*Label 7716*/ GIMT_Encode4(448921), // Rule ID 6635 //
     /*  448840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  448851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  448854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  448857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448887 */     // MIs[1] Operand 1
     /*  448887 */     // No operand predicates
     /*  448887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448896 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  448899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448919 */     GIR_RootConstrainSelectedInstOperands,
     /*  448920 */     // GIR_Coverage, 6635,
     /*  448920 */     GIR_EraseRootFromParent_Done,
     /*  448921 */   // Label 7716: @448921
     /*  448921 */   GIM_Try, /*On fail goto*//*Label 7717*/ GIMT_Encode4(449007), // Rule ID 6636 //
     /*  448926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  448934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  448937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  448940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  448943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448973 */     // MIs[1] Operand 1
     /*  448973 */     // No operand predicates
     /*  448973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448982 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  448985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449005 */     GIR_RootConstrainSelectedInstOperands,
     /*  449006 */     // GIR_Coverage, 6636,
     /*  449006 */     GIR_EraseRootFromParent_Done,
     /*  449007 */   // Label 7717: @449007
     /*  449007 */   GIM_Try, /*On fail goto*//*Label 7718*/ GIMT_Encode4(449093), // Rule ID 6639 //
     /*  449012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  449023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  449026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  449029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449059 */     // MIs[1] Operand 1
     /*  449059 */     // No operand predicates
     /*  449059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449068 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  449071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449091 */     GIR_RootConstrainSelectedInstOperands,
     /*  449092 */     // GIR_Coverage, 6639,
     /*  449092 */     GIR_EraseRootFromParent_Done,
     /*  449093 */   // Label 7718: @449093
     /*  449093 */   GIM_Try, /*On fail goto*//*Label 7719*/ GIMT_Encode4(449179), // Rule ID 6640 //
     /*  449098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  449109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  449112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  449115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449145 */     // MIs[1] Operand 1
     /*  449145 */     // No operand predicates
     /*  449145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449154 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  449157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449177 */     GIR_RootConstrainSelectedInstOperands,
     /*  449178 */     // GIR_Coverage, 6640,
     /*  449178 */     GIR_EraseRootFromParent_Done,
     /*  449179 */   // Label 7719: @449179
     /*  449179 */   GIM_Try, /*On fail goto*//*Label 7720*/ GIMT_Encode4(449265), // Rule ID 6643 //
     /*  449184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  449195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  449198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  449201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449231 */     // MIs[1] Operand 1
     /*  449231 */     // No operand predicates
     /*  449231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449240 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  449240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  449243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449263 */     GIR_RootConstrainSelectedInstOperands,
     /*  449264 */     // GIR_Coverage, 6643,
     /*  449264 */     GIR_EraseRootFromParent_Done,
     /*  449265 */   // Label 7720: @449265
     /*  449265 */   GIM_Try, /*On fail goto*//*Label 7721*/ GIMT_Encode4(449351), // Rule ID 6644 //
     /*  449270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  449281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  449284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  449287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449317 */     // MIs[1] Operand 1
     /*  449317 */     // No operand predicates
     /*  449317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449326 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  449326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  449329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449349 */     GIR_RootConstrainSelectedInstOperands,
     /*  449350 */     // GIR_Coverage, 6644,
     /*  449350 */     GIR_EraseRootFromParent_Done,
     /*  449351 */   // Label 7721: @449351
     /*  449351 */   GIM_Try, /*On fail goto*//*Label 7722*/ GIMT_Encode4(449437), // Rule ID 6647 //
     /*  449356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  449367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  449370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  449373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449403 */     // MIs[1] Operand 1
     /*  449403 */     // No operand predicates
     /*  449403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449412 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  449412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  449415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449435 */     GIR_RootConstrainSelectedInstOperands,
     /*  449436 */     // GIR_Coverage, 6647,
     /*  449436 */     GIR_EraseRootFromParent_Done,
     /*  449437 */   // Label 7722: @449437
     /*  449437 */   GIM_Try, /*On fail goto*//*Label 7723*/ GIMT_Encode4(449523), // Rule ID 6648 //
     /*  449442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  449453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  449456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  449459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449489 */     // MIs[1] Operand 1
     /*  449489 */     // No operand predicates
     /*  449489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449498 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  449498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  449501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449521 */     GIR_RootConstrainSelectedInstOperands,
     /*  449522 */     // GIR_Coverage, 6648,
     /*  449522 */     GIR_EraseRootFromParent_Done,
     /*  449523 */   // Label 7723: @449523
     /*  449523 */   GIM_Try, /*On fail goto*//*Label 7724*/ GIMT_Encode4(449609), // Rule ID 6651 //
     /*  449528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  449539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  449542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  449545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449575 */     // MIs[1] Operand 1
     /*  449575 */     // No operand predicates
     /*  449575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449584 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  449584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  449587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449607 */     GIR_RootConstrainSelectedInstOperands,
     /*  449608 */     // GIR_Coverage, 6651,
     /*  449608 */     GIR_EraseRootFromParent_Done,
     /*  449609 */   // Label 7724: @449609
     /*  449609 */   GIM_Try, /*On fail goto*//*Label 7725*/ GIMT_Encode4(449695), // Rule ID 6652 //
     /*  449614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  449625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  449628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  449631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449661 */     // MIs[1] Operand 1
     /*  449661 */     // No operand predicates
     /*  449661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449670 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  449670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  449673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  449690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449693 */     GIR_RootConstrainSelectedInstOperands,
     /*  449694 */     // GIR_Coverage, 6652,
     /*  449694 */     GIR_EraseRootFromParent_Done,
     /*  449695 */   // Label 7725: @449695
     /*  449695 */   GIM_Try, /*On fail goto*//*Label 7726*/ GIMT_Encode4(449781), // Rule ID 6655 //
     /*  449700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  449711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  449714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  449717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449747 */     // MIs[1] Operand 1
     /*  449747 */     // No operand predicates
     /*  449747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449756 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  449756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  449759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449779 */     GIR_RootConstrainSelectedInstOperands,
     /*  449780 */     // GIR_Coverage, 6655,
     /*  449780 */     GIR_EraseRootFromParent_Done,
     /*  449781 */   // Label 7726: @449781
     /*  449781 */   GIM_Try, /*On fail goto*//*Label 7727*/ GIMT_Encode4(449867), // Rule ID 6656 //
     /*  449786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  449797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  449800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  449803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449833 */     // MIs[1] Operand 1
     /*  449833 */     // No operand predicates
     /*  449833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449842 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  449842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  449845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449865 */     GIR_RootConstrainSelectedInstOperands,
     /*  449866 */     // GIR_Coverage, 6656,
     /*  449866 */     GIR_EraseRootFromParent_Done,
     /*  449867 */   // Label 7727: @449867
     /*  449867 */   GIM_Try, /*On fail goto*//*Label 7728*/ GIMT_Encode4(449953), // Rule ID 6659 //
     /*  449872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  449883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  449886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  449889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449919 */     // MIs[1] Operand 1
     /*  449919 */     // No operand predicates
     /*  449919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449928 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  449928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  449931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449951 */     GIR_RootConstrainSelectedInstOperands,
     /*  449952 */     // GIR_Coverage, 6659,
     /*  449952 */     GIR_EraseRootFromParent_Done,
     /*  449953 */   // Label 7728: @449953
     /*  449953 */   GIM_Try, /*On fail goto*//*Label 7729*/ GIMT_Encode4(450039), // Rule ID 6660 //
     /*  449958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  449966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  449969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  449972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  449975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450005 */     // MIs[1] Operand 1
     /*  450005 */     // No operand predicates
     /*  450005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450014 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  450014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  450017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450037 */     GIR_RootConstrainSelectedInstOperands,
     /*  450038 */     // GIR_Coverage, 6660,
     /*  450038 */     GIR_EraseRootFromParent_Done,
     /*  450039 */   // Label 7729: @450039
     /*  450039 */   GIM_Try, /*On fail goto*//*Label 7730*/ GIMT_Encode4(450125), // Rule ID 6663 //
     /*  450044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  450055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  450058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  450061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450091 */     // MIs[1] Operand 1
     /*  450091 */     // No operand predicates
     /*  450091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450100 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  450100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  450103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450123 */     GIR_RootConstrainSelectedInstOperands,
     /*  450124 */     // GIR_Coverage, 6663,
     /*  450124 */     GIR_EraseRootFromParent_Done,
     /*  450125 */   // Label 7730: @450125
     /*  450125 */   GIM_Try, /*On fail goto*//*Label 7731*/ GIMT_Encode4(450211), // Rule ID 6664 //
     /*  450130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  450141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  450144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  450147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450177 */     // MIs[1] Operand 1
     /*  450177 */     // No operand predicates
     /*  450177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450186 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  450186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  450189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450209 */     GIR_RootConstrainSelectedInstOperands,
     /*  450210 */     // GIR_Coverage, 6664,
     /*  450210 */     GIR_EraseRootFromParent_Done,
     /*  450211 */   // Label 7731: @450211
     /*  450211 */   GIM_Try, /*On fail goto*//*Label 7732*/ GIMT_Encode4(450297), // Rule ID 6667 //
     /*  450216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  450219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  450227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  450230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  450233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450263 */     // MIs[1] Operand 1
     /*  450263 */     // No operand predicates
     /*  450263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450272 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  450272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  450275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  450292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450295 */     GIR_RootConstrainSelectedInstOperands,
     /*  450296 */     // GIR_Coverage, 6667,
     /*  450296 */     GIR_EraseRootFromParent_Done,
     /*  450297 */   // Label 7732: @450297
     /*  450297 */   GIM_Try, /*On fail goto*//*Label 7733*/ GIMT_Encode4(450383), // Rule ID 6668 //
     /*  450302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  450305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  450313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  450316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  450319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450349 */     // MIs[1] Operand 1
     /*  450349 */     // No operand predicates
     /*  450349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450358 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  450358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  450361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  450378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450381 */     GIR_RootConstrainSelectedInstOperands,
     /*  450382 */     // GIR_Coverage, 6668,
     /*  450382 */     GIR_EraseRootFromParent_Done,
     /*  450383 */   // Label 7733: @450383
     /*  450383 */   GIM_Try, /*On fail goto*//*Label 7734*/ GIMT_Encode4(450469), // Rule ID 6671 //
     /*  450388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  450391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  450399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  450402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  450405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450435 */     // MIs[1] Operand 1
     /*  450435 */     // No operand predicates
     /*  450435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450444 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  450444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  450447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  450464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450467 */     GIR_RootConstrainSelectedInstOperands,
     /*  450468 */     // GIR_Coverage, 6671,
     /*  450468 */     GIR_EraseRootFromParent_Done,
     /*  450469 */   // Label 7734: @450469
     /*  450469 */   GIM_Try, /*On fail goto*//*Label 7735*/ GIMT_Encode4(450555), // Rule ID 6672 //
     /*  450474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  450477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  450485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  450488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  450491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450521 */     // MIs[1] Operand 1
     /*  450521 */     // No operand predicates
     /*  450521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450530 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  450530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  450533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  450550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450553 */     GIR_RootConstrainSelectedInstOperands,
     /*  450554 */     // GIR_Coverage, 6672,
     /*  450554 */     GIR_EraseRootFromParent_Done,
     /*  450555 */   // Label 7735: @450555
     /*  450555 */   GIM_Try, /*On fail goto*//*Label 7736*/ GIMT_Encode4(450641), // Rule ID 6675 //
     /*  450560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  450563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  450571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  450574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  450577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450607 */     // MIs[1] Operand 1
     /*  450607 */     // No operand predicates
     /*  450607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450616 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  450616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  450619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  450636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450639 */     GIR_RootConstrainSelectedInstOperands,
     /*  450640 */     // GIR_Coverage, 6675,
     /*  450640 */     GIR_EraseRootFromParent_Done,
     /*  450641 */   // Label 7736: @450641
     /*  450641 */   GIM_Try, /*On fail goto*//*Label 7737*/ GIMT_Encode4(450727), // Rule ID 6676 //
     /*  450646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  450649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  450654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  450657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  450660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  450663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450693 */     // MIs[1] Operand 1
     /*  450693 */     // No operand predicates
     /*  450693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450702 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  450702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  450705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  450722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450725 */     GIR_RootConstrainSelectedInstOperands,
     /*  450726 */     // GIR_Coverage, 6676,
     /*  450726 */     GIR_EraseRootFromParent_Done,
     /*  450727 */   // Label 7737: @450727
     /*  450727 */   GIM_Try, /*On fail goto*//*Label 7738*/ GIMT_Encode4(450813), // Rule ID 6855 //
     /*  450732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  450740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  450743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  450746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  450749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450779 */     // MIs[1] Operand 1
     /*  450779 */     // No operand predicates
     /*  450779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450788 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  450791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450811 */     GIR_RootConstrainSelectedInstOperands,
     /*  450812 */     // GIR_Coverage, 6855,
     /*  450812 */     GIR_EraseRootFromParent_Done,
     /*  450813 */   // Label 7738: @450813
     /*  450813 */   GIM_Try, /*On fail goto*//*Label 7739*/ GIMT_Encode4(450899), // Rule ID 6856 //
     /*  450818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  450826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  450829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  450832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  450835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450865 */     // MIs[1] Operand 1
     /*  450865 */     // No operand predicates
     /*  450865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450874 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  450877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450897 */     GIR_RootConstrainSelectedInstOperands,
     /*  450898 */     // GIR_Coverage, 6856,
     /*  450898 */     GIR_EraseRootFromParent_Done,
     /*  450899 */   // Label 7739: @450899
     /*  450899 */   GIM_Try, /*On fail goto*//*Label 7740*/ GIMT_Encode4(450985), // Rule ID 6859 //
     /*  450904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  450912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  450915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  450918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  450921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450951 */     // MIs[1] Operand 1
     /*  450951 */     // No operand predicates
     /*  450951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450960 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  450963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450983 */     GIR_RootConstrainSelectedInstOperands,
     /*  450984 */     // GIR_Coverage, 6859,
     /*  450984 */     GIR_EraseRootFromParent_Done,
     /*  450985 */   // Label 7740: @450985
     /*  450985 */   GIM_Try, /*On fail goto*//*Label 7741*/ GIMT_Encode4(451071), // Rule ID 6860 //
     /*  450990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  450998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  451001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  451004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  451007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451037 */     // MIs[1] Operand 1
     /*  451037 */     // No operand predicates
     /*  451037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451046 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  451046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  451049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451069 */     GIR_RootConstrainSelectedInstOperands,
     /*  451070 */     // GIR_Coverage, 6860,
     /*  451070 */     GIR_EraseRootFromParent_Done,
     /*  451071 */   // Label 7741: @451071
     /*  451071 */   GIM_Try, /*On fail goto*//*Label 7742*/ GIMT_Encode4(451157), // Rule ID 6863 //
     /*  451076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  451084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  451087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  451090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  451093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451123 */     // MIs[1] Operand 1
     /*  451123 */     // No operand predicates
     /*  451123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451132 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  451132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  451135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451155 */     GIR_RootConstrainSelectedInstOperands,
     /*  451156 */     // GIR_Coverage, 6863,
     /*  451156 */     GIR_EraseRootFromParent_Done,
     /*  451157 */   // Label 7742: @451157
     /*  451157 */   GIM_Try, /*On fail goto*//*Label 7743*/ GIMT_Encode4(451243), // Rule ID 6864 //
     /*  451162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  451170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  451173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  451176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  451179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451209 */     // MIs[1] Operand 1
     /*  451209 */     // No operand predicates
     /*  451209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451218 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  451218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  451221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451241 */     GIR_RootConstrainSelectedInstOperands,
     /*  451242 */     // GIR_Coverage, 6864,
     /*  451242 */     GIR_EraseRootFromParent_Done,
     /*  451243 */   // Label 7743: @451243
     /*  451243 */   GIM_Try, /*On fail goto*//*Label 7744*/ GIMT_Encode4(451329), // Rule ID 6867 //
     /*  451248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  451256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  451259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  451262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  451265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451295 */     // MIs[1] Operand 1
     /*  451295 */     // No operand predicates
     /*  451295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451304 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  451304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  451307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451327 */     GIR_RootConstrainSelectedInstOperands,
     /*  451328 */     // GIR_Coverage, 6867,
     /*  451328 */     GIR_EraseRootFromParent_Done,
     /*  451329 */   // Label 7744: @451329
     /*  451329 */   GIM_Try, /*On fail goto*//*Label 7745*/ GIMT_Encode4(451415), // Rule ID 6868 //
     /*  451334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  451342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  451345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  451348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  451351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451381 */     // MIs[1] Operand 1
     /*  451381 */     // No operand predicates
     /*  451381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451390 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  451390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  451393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451413 */     GIR_RootConstrainSelectedInstOperands,
     /*  451414 */     // GIR_Coverage, 6868,
     /*  451414 */     GIR_EraseRootFromParent_Done,
     /*  451415 */   // Label 7745: @451415
     /*  451415 */   GIM_Try, /*On fail goto*//*Label 7746*/ GIMT_Encode4(451501), // Rule ID 6871 //
     /*  451420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  451428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  451431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  451434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  451437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451467 */     // MIs[1] Operand 1
     /*  451467 */     // No operand predicates
     /*  451467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451476 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  451476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  451479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451499 */     GIR_RootConstrainSelectedInstOperands,
     /*  451500 */     // GIR_Coverage, 6871,
     /*  451500 */     GIR_EraseRootFromParent_Done,
     /*  451501 */   // Label 7746: @451501
     /*  451501 */   GIM_Try, /*On fail goto*//*Label 7747*/ GIMT_Encode4(451587), // Rule ID 6872 //
     /*  451506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  451514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  451517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  451520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  451523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451553 */     // MIs[1] Operand 1
     /*  451553 */     // No operand predicates
     /*  451553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451562 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  451562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  451565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451585 */     GIR_RootConstrainSelectedInstOperands,
     /*  451586 */     // GIR_Coverage, 6872,
     /*  451586 */     GIR_EraseRootFromParent_Done,
     /*  451587 */   // Label 7747: @451587
     /*  451587 */   GIM_Try, /*On fail goto*//*Label 7748*/ GIMT_Encode4(451673), // Rule ID 6875 //
     /*  451592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  451600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  451603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  451606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  451609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451639 */     // MIs[1] Operand 1
     /*  451639 */     // No operand predicates
     /*  451639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451648 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  451651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451671 */     GIR_RootConstrainSelectedInstOperands,
     /*  451672 */     // GIR_Coverage, 6875,
     /*  451672 */     GIR_EraseRootFromParent_Done,
     /*  451673 */   // Label 7748: @451673
     /*  451673 */   GIM_Try, /*On fail goto*//*Label 7749*/ GIMT_Encode4(451759), // Rule ID 6876 //
     /*  451678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  451686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  451689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  451692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  451695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451725 */     // MIs[1] Operand 1
     /*  451725 */     // No operand predicates
     /*  451725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451734 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  451737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451757 */     GIR_RootConstrainSelectedInstOperands,
     /*  451758 */     // GIR_Coverage, 6876,
     /*  451758 */     GIR_EraseRootFromParent_Done,
     /*  451759 */   // Label 7749: @451759
     /*  451759 */   GIM_Try, /*On fail goto*//*Label 7750*/ GIMT_Encode4(451845), // Rule ID 6879 //
     /*  451764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  451772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  451775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  451778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  451781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451811 */     // MIs[1] Operand 1
     /*  451811 */     // No operand predicates
     /*  451811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451820 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  451820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  451823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451843 */     GIR_RootConstrainSelectedInstOperands,
     /*  451844 */     // GIR_Coverage, 6879,
     /*  451844 */     GIR_EraseRootFromParent_Done,
     /*  451845 */   // Label 7750: @451845
     /*  451845 */   GIM_Try, /*On fail goto*//*Label 7751*/ GIMT_Encode4(451931), // Rule ID 6880 //
     /*  451850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  451858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  451861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  451864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  451867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451897 */     // MIs[1] Operand 1
     /*  451897 */     // No operand predicates
     /*  451897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451906 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  451906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  451909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451929 */     GIR_RootConstrainSelectedInstOperands,
     /*  451930 */     // GIR_Coverage, 6880,
     /*  451930 */     GIR_EraseRootFromParent_Done,
     /*  451931 */   // Label 7751: @451931
     /*  451931 */   GIM_Try, /*On fail goto*//*Label 7752*/ GIMT_Encode4(452017), // Rule ID 6883 //
     /*  451936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  451944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  451947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  451950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  451953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451983 */     // MIs[1] Operand 1
     /*  451983 */     // No operand predicates
     /*  451983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  451992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  451995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452015 */     GIR_RootConstrainSelectedInstOperands,
     /*  452016 */     // GIR_Coverage, 6883,
     /*  452016 */     GIR_EraseRootFromParent_Done,
     /*  452017 */   // Label 7752: @452017
     /*  452017 */   GIM_Try, /*On fail goto*//*Label 7753*/ GIMT_Encode4(452103), // Rule ID 6884 //
     /*  452022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  452033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  452036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  452039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452069 */     // MIs[1] Operand 1
     /*  452069 */     // No operand predicates
     /*  452069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  452078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  452081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452101 */     GIR_RootConstrainSelectedInstOperands,
     /*  452102 */     // GIR_Coverage, 6884,
     /*  452102 */     GIR_EraseRootFromParent_Done,
     /*  452103 */   // Label 7753: @452103
     /*  452103 */   GIM_Try, /*On fail goto*//*Label 7754*/ GIMT_Encode4(452189), // Rule ID 6887 //
     /*  452108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  452119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  452122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  452125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452155 */     // MIs[1] Operand 1
     /*  452155 */     // No operand predicates
     /*  452155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452164 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  452164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  452167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452187 */     GIR_RootConstrainSelectedInstOperands,
     /*  452188 */     // GIR_Coverage, 6887,
     /*  452188 */     GIR_EraseRootFromParent_Done,
     /*  452189 */   // Label 7754: @452189
     /*  452189 */   GIM_Try, /*On fail goto*//*Label 7755*/ GIMT_Encode4(452275), // Rule ID 6888 //
     /*  452194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  452205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  452208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  452211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452241 */     // MIs[1] Operand 1
     /*  452241 */     // No operand predicates
     /*  452241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452250 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  452250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  452253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452273 */     GIR_RootConstrainSelectedInstOperands,
     /*  452274 */     // GIR_Coverage, 6888,
     /*  452274 */     GIR_EraseRootFromParent_Done,
     /*  452275 */   // Label 7755: @452275
     /*  452275 */   GIM_Try, /*On fail goto*//*Label 7756*/ GIMT_Encode4(452361), // Rule ID 6891 //
     /*  452280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  452283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  452291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  452294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  452297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452327 */     // MIs[1] Operand 1
     /*  452327 */     // No operand predicates
     /*  452327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452336 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  452336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  452339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452359 */     GIR_RootConstrainSelectedInstOperands,
     /*  452360 */     // GIR_Coverage, 6891,
     /*  452360 */     GIR_EraseRootFromParent_Done,
     /*  452361 */   // Label 7756: @452361
     /*  452361 */   GIM_Try, /*On fail goto*//*Label 7757*/ GIMT_Encode4(452447), // Rule ID 6892 //
     /*  452366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  452369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  452377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  452380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  452383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452413 */     // MIs[1] Operand 1
     /*  452413 */     // No operand predicates
     /*  452413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  452422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  452425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452445 */     GIR_RootConstrainSelectedInstOperands,
     /*  452446 */     // GIR_Coverage, 6892,
     /*  452446 */     GIR_EraseRootFromParent_Done,
     /*  452447 */   // Label 7757: @452447
     /*  452447 */   GIM_Try, /*On fail goto*//*Label 7758*/ GIMT_Encode4(452533), // Rule ID 6895 //
     /*  452452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  452463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  452466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  452469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452499 */     // MIs[1] Operand 1
     /*  452499 */     // No operand predicates
     /*  452499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452508 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  452511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452531 */     GIR_RootConstrainSelectedInstOperands,
     /*  452532 */     // GIR_Coverage, 6895,
     /*  452532 */     GIR_EraseRootFromParent_Done,
     /*  452533 */   // Label 7758: @452533
     /*  452533 */   GIM_Try, /*On fail goto*//*Label 7759*/ GIMT_Encode4(452619), // Rule ID 6896 //
     /*  452538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  452549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  452552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  452555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452585 */     // MIs[1] Operand 1
     /*  452585 */     // No operand predicates
     /*  452585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452594 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  452597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452617 */     GIR_RootConstrainSelectedInstOperands,
     /*  452618 */     // GIR_Coverage, 6896,
     /*  452618 */     GIR_EraseRootFromParent_Done,
     /*  452619 */   // Label 7759: @452619
     /*  452619 */   GIM_Try, /*On fail goto*//*Label 7760*/ GIMT_Encode4(452705), // Rule ID 6899 //
     /*  452624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  452635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  452638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  452641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452671 */     // MIs[1] Operand 1
     /*  452671 */     // No operand predicates
     /*  452671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452680 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  452683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452703 */     GIR_RootConstrainSelectedInstOperands,
     /*  452704 */     // GIR_Coverage, 6899,
     /*  452704 */     GIR_EraseRootFromParent_Done,
     /*  452705 */   // Label 7760: @452705
     /*  452705 */   GIM_Try, /*On fail goto*//*Label 7761*/ GIMT_Encode4(452791), // Rule ID 6900 //
     /*  452710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  452721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  452724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  452727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452757 */     // MIs[1] Operand 1
     /*  452757 */     // No operand predicates
     /*  452757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452766 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  452769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452789 */     GIR_RootConstrainSelectedInstOperands,
     /*  452790 */     // GIR_Coverage, 6900,
     /*  452790 */     GIR_EraseRootFromParent_Done,
     /*  452791 */   // Label 7761: @452791
     /*  452791 */   GIM_Try, /*On fail goto*//*Label 7762*/ GIMT_Encode4(452877), // Rule ID 6903 //
     /*  452796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  452807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  452810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  452813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452843 */     // MIs[1] Operand 1
     /*  452843 */     // No operand predicates
     /*  452843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452852 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  452855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452875 */     GIR_RootConstrainSelectedInstOperands,
     /*  452876 */     // GIR_Coverage, 6903,
     /*  452876 */     GIR_EraseRootFromParent_Done,
     /*  452877 */   // Label 7762: @452877
     /*  452877 */   GIM_Try, /*On fail goto*//*Label 7763*/ GIMT_Encode4(452963), // Rule ID 6904 //
     /*  452882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  452893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  452896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  452899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452929 */     // MIs[1] Operand 1
     /*  452929 */     // No operand predicates
     /*  452929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452938 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  452941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452961 */     GIR_RootConstrainSelectedInstOperands,
     /*  452962 */     // GIR_Coverage, 6904,
     /*  452962 */     GIR_EraseRootFromParent_Done,
     /*  452963 */   // Label 7763: @452963
     /*  452963 */   GIM_Try, /*On fail goto*//*Label 7764*/ GIMT_Encode4(453049), // Rule ID 6907 //
     /*  452968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  452976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  452979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  452982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  452985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453015 */     // MIs[1] Operand 1
     /*  453015 */     // No operand predicates
     /*  453015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453024 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  453027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453047 */     GIR_RootConstrainSelectedInstOperands,
     /*  453048 */     // GIR_Coverage, 6907,
     /*  453048 */     GIR_EraseRootFromParent_Done,
     /*  453049 */   // Label 7764: @453049
     /*  453049 */   GIM_Try, /*On fail goto*//*Label 7765*/ GIMT_Encode4(453135), // Rule ID 6908 //
     /*  453054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  453065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  453068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  453071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453101 */     // MIs[1] Operand 1
     /*  453101 */     // No operand predicates
     /*  453101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453110 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  453113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453133 */     GIR_RootConstrainSelectedInstOperands,
     /*  453134 */     // GIR_Coverage, 6908,
     /*  453134 */     GIR_EraseRootFromParent_Done,
     /*  453135 */   // Label 7765: @453135
     /*  453135 */   GIM_Try, /*On fail goto*//*Label 7766*/ GIMT_Encode4(453221), // Rule ID 6911 //
     /*  453140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  453151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  453154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  453157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453187 */     // MIs[1] Operand 1
     /*  453187 */     // No operand predicates
     /*  453187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  453199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453219 */     GIR_RootConstrainSelectedInstOperands,
     /*  453220 */     // GIR_Coverage, 6911,
     /*  453220 */     GIR_EraseRootFromParent_Done,
     /*  453221 */   // Label 7766: @453221
     /*  453221 */   GIM_Try, /*On fail goto*//*Label 7767*/ GIMT_Encode4(453307), // Rule ID 6912 //
     /*  453226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  453237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  453240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  453243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453273 */     // MIs[1] Operand 1
     /*  453273 */     // No operand predicates
     /*  453273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453282 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  453285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453305 */     GIR_RootConstrainSelectedInstOperands,
     /*  453306 */     // GIR_Coverage, 6912,
     /*  453306 */     GIR_EraseRootFromParent_Done,
     /*  453307 */   // Label 7767: @453307
     /*  453307 */   GIM_Try, /*On fail goto*//*Label 7768*/ GIMT_Encode4(453393), // Rule ID 6915 //
     /*  453312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  453323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  453326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  453329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453359 */     // MIs[1] Operand 1
     /*  453359 */     // No operand predicates
     /*  453359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453368 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  453371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453391 */     GIR_RootConstrainSelectedInstOperands,
     /*  453392 */     // GIR_Coverage, 6915,
     /*  453392 */     GIR_EraseRootFromParent_Done,
     /*  453393 */   // Label 7768: @453393
     /*  453393 */   GIM_Try, /*On fail goto*//*Label 7769*/ GIMT_Encode4(453479), // Rule ID 6916 //
     /*  453398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  453409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  453412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  453415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453445 */     // MIs[1] Operand 1
     /*  453445 */     // No operand predicates
     /*  453445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453454 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  453457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453477 */     GIR_RootConstrainSelectedInstOperands,
     /*  453478 */     // GIR_Coverage, 6916,
     /*  453478 */     GIR_EraseRootFromParent_Done,
     /*  453479 */   // Label 7769: @453479
     /*  453479 */   GIM_Try, /*On fail goto*//*Label 7770*/ GIMT_Encode4(453565), // Rule ID 6919 //
     /*  453484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  453495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  453498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  453501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453531 */     // MIs[1] Operand 1
     /*  453531 */     // No operand predicates
     /*  453531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453540 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  453540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  453543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453563 */     GIR_RootConstrainSelectedInstOperands,
     /*  453564 */     // GIR_Coverage, 6919,
     /*  453564 */     GIR_EraseRootFromParent_Done,
     /*  453565 */   // Label 7770: @453565
     /*  453565 */   GIM_Try, /*On fail goto*//*Label 7771*/ GIMT_Encode4(453651), // Rule ID 6920 //
     /*  453570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  453581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  453584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  453587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453617 */     // MIs[1] Operand 1
     /*  453617 */     // No operand predicates
     /*  453617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453626 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  453626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  453629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453649 */     GIR_RootConstrainSelectedInstOperands,
     /*  453650 */     // GIR_Coverage, 6920,
     /*  453650 */     GIR_EraseRootFromParent_Done,
     /*  453651 */   // Label 7771: @453651
     /*  453651 */   GIM_Try, /*On fail goto*//*Label 7772*/ GIMT_Encode4(453737), // Rule ID 6923 //
     /*  453656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  453667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  453670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  453673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453703 */     // MIs[1] Operand 1
     /*  453703 */     // No operand predicates
     /*  453703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453712 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  453712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  453715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453735 */     GIR_RootConstrainSelectedInstOperands,
     /*  453736 */     // GIR_Coverage, 6923,
     /*  453736 */     GIR_EraseRootFromParent_Done,
     /*  453737 */   // Label 7772: @453737
     /*  453737 */   GIM_Try, /*On fail goto*//*Label 7773*/ GIMT_Encode4(453823), // Rule ID 6924 //
     /*  453742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  453753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  453756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  453759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453789 */     // MIs[1] Operand 1
     /*  453789 */     // No operand predicates
     /*  453789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453798 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  453798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  453801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453821 */     GIR_RootConstrainSelectedInstOperands,
     /*  453822 */     // GIR_Coverage, 6924,
     /*  453822 */     GIR_EraseRootFromParent_Done,
     /*  453823 */   // Label 7773: @453823
     /*  453823 */   GIM_Try, /*On fail goto*//*Label 7774*/ GIMT_Encode4(453909), // Rule ID 6927 //
     /*  453828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  453839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  453842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  453845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453875 */     // MIs[1] Operand 1
     /*  453875 */     // No operand predicates
     /*  453875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453884 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  453884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  453887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453907 */     GIR_RootConstrainSelectedInstOperands,
     /*  453908 */     // GIR_Coverage, 6927,
     /*  453908 */     GIR_EraseRootFromParent_Done,
     /*  453909 */   // Label 7774: @453909
     /*  453909 */   GIM_Try, /*On fail goto*//*Label 7775*/ GIMT_Encode4(453995), // Rule ID 6928 //
     /*  453914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  453922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  453925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  453928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  453931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453961 */     // MIs[1] Operand 1
     /*  453961 */     // No operand predicates
     /*  453961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453970 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  453970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  453973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453993 */     GIR_RootConstrainSelectedInstOperands,
     /*  453994 */     // GIR_Coverage, 6928,
     /*  453994 */     GIR_EraseRootFromParent_Done,
     /*  453995 */   // Label 7775: @453995
     /*  453995 */   GIM_Try, /*On fail goto*//*Label 7776*/ GIMT_Encode4(454081), // Rule ID 6931 //
     /*  454000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  454003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  454011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  454014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  454017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454047 */     // MIs[1] Operand 1
     /*  454047 */     // No operand predicates
     /*  454047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454056 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  454056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  454076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454079 */     GIR_RootConstrainSelectedInstOperands,
     /*  454080 */     // GIR_Coverage, 6931,
     /*  454080 */     GIR_EraseRootFromParent_Done,
     /*  454081 */   // Label 7776: @454081
     /*  454081 */   GIM_Try, /*On fail goto*//*Label 7777*/ GIMT_Encode4(454167), // Rule ID 6932 //
     /*  454086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  454089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  454097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  454100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  454103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454133 */     // MIs[1] Operand 1
     /*  454133 */     // No operand predicates
     /*  454133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454142 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  454142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  454145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  454162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454165 */     GIR_RootConstrainSelectedInstOperands,
     /*  454166 */     // GIR_Coverage, 6932,
     /*  454166 */     GIR_EraseRootFromParent_Done,
     /*  454167 */   // Label 7777: @454167
     /*  454167 */   GIM_Try, /*On fail goto*//*Label 7778*/ GIMT_Encode4(454253), // Rule ID 6935 //
     /*  454172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  454175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  454183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  454186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  454189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454219 */     // MIs[1] Operand 1
     /*  454219 */     // No operand predicates
     /*  454219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454228 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  454228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  454231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  454248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454251 */     GIR_RootConstrainSelectedInstOperands,
     /*  454252 */     // GIR_Coverage, 6935,
     /*  454252 */     GIR_EraseRootFromParent_Done,
     /*  454253 */   // Label 7778: @454253
     /*  454253 */   GIM_Try, /*On fail goto*//*Label 7779*/ GIMT_Encode4(454339), // Rule ID 6936 //
     /*  454258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  454261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  454269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  454272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  454275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454305 */     // MIs[1] Operand 1
     /*  454305 */     // No operand predicates
     /*  454305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454314 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  454314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  454317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  454334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454337 */     GIR_RootConstrainSelectedInstOperands,
     /*  454338 */     // GIR_Coverage, 6936,
     /*  454338 */     GIR_EraseRootFromParent_Done,
     /*  454339 */   // Label 7779: @454339
     /*  454339 */   GIM_Try, /*On fail goto*//*Label 7780*/ GIMT_Encode4(454425), // Rule ID 6939 //
     /*  454344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  454347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  454355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  454358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  454361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454391 */     // MIs[1] Operand 1
     /*  454391 */     // No operand predicates
     /*  454391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454400 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  454400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  454403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  454420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454423 */     GIR_RootConstrainSelectedInstOperands,
     /*  454424 */     // GIR_Coverage, 6939,
     /*  454424 */     GIR_EraseRootFromParent_Done,
     /*  454425 */   // Label 7780: @454425
     /*  454425 */   GIM_Try, /*On fail goto*//*Label 7781*/ GIMT_Encode4(454511), // Rule ID 6940 //
     /*  454430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  454433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  454438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  454441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  454444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  454447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454477 */     // MIs[1] Operand 1
     /*  454477 */     // No operand predicates
     /*  454477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454486 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  454486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  454489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  454506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454509 */     GIR_RootConstrainSelectedInstOperands,
     /*  454510 */     // GIR_Coverage, 6940,
     /*  454510 */     GIR_EraseRootFromParent_Done,
     /*  454511 */   // Label 7781: @454511
     /*  454511 */   GIM_Try, /*On fail goto*//*Label 7782*/ GIMT_Encode4(454597), // Rule ID 7119 //
     /*  454516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  454524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  454527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  454530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  454533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454563 */     // MIs[1] Operand 1
     /*  454563 */     // No operand predicates
     /*  454563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454572 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  454575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454595 */     GIR_RootConstrainSelectedInstOperands,
     /*  454596 */     // GIR_Coverage, 7119,
     /*  454596 */     GIR_EraseRootFromParent_Done,
     /*  454597 */   // Label 7782: @454597
     /*  454597 */   GIM_Try, /*On fail goto*//*Label 7783*/ GIMT_Encode4(454683), // Rule ID 7120 //
     /*  454602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  454610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  454613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  454616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  454619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454649 */     // MIs[1] Operand 1
     /*  454649 */     // No operand predicates
     /*  454649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454658 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  454661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454681 */     GIR_RootConstrainSelectedInstOperands,
     /*  454682 */     // GIR_Coverage, 7120,
     /*  454682 */     GIR_EraseRootFromParent_Done,
     /*  454683 */   // Label 7783: @454683
     /*  454683 */   GIM_Try, /*On fail goto*//*Label 7784*/ GIMT_Encode4(454769), // Rule ID 7123 //
     /*  454688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  454696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  454699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  454702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  454705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454735 */     // MIs[1] Operand 1
     /*  454735 */     // No operand predicates
     /*  454735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454744 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  454747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454767 */     GIR_RootConstrainSelectedInstOperands,
     /*  454768 */     // GIR_Coverage, 7123,
     /*  454768 */     GIR_EraseRootFromParent_Done,
     /*  454769 */   // Label 7784: @454769
     /*  454769 */   GIM_Try, /*On fail goto*//*Label 7785*/ GIMT_Encode4(454855), // Rule ID 7124 //
     /*  454774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  454782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  454785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  454788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  454791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454821 */     // MIs[1] Operand 1
     /*  454821 */     // No operand predicates
     /*  454821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454830 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  454833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454853 */     GIR_RootConstrainSelectedInstOperands,
     /*  454854 */     // GIR_Coverage, 7124,
     /*  454854 */     GIR_EraseRootFromParent_Done,
     /*  454855 */   // Label 7785: @454855
     /*  454855 */   GIM_Try, /*On fail goto*//*Label 7786*/ GIMT_Encode4(454941), // Rule ID 7127 //
     /*  454860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  454868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  454871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  454874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  454877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454907 */     // MIs[1] Operand 1
     /*  454907 */     // No operand predicates
     /*  454907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454916 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  454919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454939 */     GIR_RootConstrainSelectedInstOperands,
     /*  454940 */     // GIR_Coverage, 7127,
     /*  454940 */     GIR_EraseRootFromParent_Done,
     /*  454941 */   // Label 7786: @454941
     /*  454941 */   GIM_Try, /*On fail goto*//*Label 7787*/ GIMT_Encode4(455027), // Rule ID 7128 //
     /*  454946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  454954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  454957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  454960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  454963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454993 */     // MIs[1] Operand 1
     /*  454993 */     // No operand predicates
     /*  454993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455002 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  455002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  455005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455025 */     GIR_RootConstrainSelectedInstOperands,
     /*  455026 */     // GIR_Coverage, 7128,
     /*  455026 */     GIR_EraseRootFromParent_Done,
     /*  455027 */   // Label 7787: @455027
     /*  455027 */   GIM_Try, /*On fail goto*//*Label 7788*/ GIMT_Encode4(455113), // Rule ID 7131 //
     /*  455032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  455040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  455043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  455046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  455049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455079 */     // MIs[1] Operand 1
     /*  455079 */     // No operand predicates
     /*  455079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455088 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  455091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455111 */     GIR_RootConstrainSelectedInstOperands,
     /*  455112 */     // GIR_Coverage, 7131,
     /*  455112 */     GIR_EraseRootFromParent_Done,
     /*  455113 */   // Label 7788: @455113
     /*  455113 */   GIM_Try, /*On fail goto*//*Label 7789*/ GIMT_Encode4(455199), // Rule ID 7132 //
     /*  455118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  455126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  455129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  455132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  455135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455165 */     // MIs[1] Operand 1
     /*  455165 */     // No operand predicates
     /*  455165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455174 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  455177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455197 */     GIR_RootConstrainSelectedInstOperands,
     /*  455198 */     // GIR_Coverage, 7132,
     /*  455198 */     GIR_EraseRootFromParent_Done,
     /*  455199 */   // Label 7789: @455199
     /*  455199 */   GIM_Try, /*On fail goto*//*Label 7790*/ GIMT_Encode4(455285), // Rule ID 7135 //
     /*  455204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  455212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  455215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  455218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  455221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455251 */     // MIs[1] Operand 1
     /*  455251 */     // No operand predicates
     /*  455251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455260 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  455263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455283 */     GIR_RootConstrainSelectedInstOperands,
     /*  455284 */     // GIR_Coverage, 7135,
     /*  455284 */     GIR_EraseRootFromParent_Done,
     /*  455285 */   // Label 7790: @455285
     /*  455285 */   GIM_Try, /*On fail goto*//*Label 7791*/ GIMT_Encode4(455371), // Rule ID 7136 //
     /*  455290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  455298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  455301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  455304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  455307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455337 */     // MIs[1] Operand 1
     /*  455337 */     // No operand predicates
     /*  455337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455346 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  455349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455369 */     GIR_RootConstrainSelectedInstOperands,
     /*  455370 */     // GIR_Coverage, 7136,
     /*  455370 */     GIR_EraseRootFromParent_Done,
     /*  455371 */   // Label 7791: @455371
     /*  455371 */   GIM_Try, /*On fail goto*//*Label 7792*/ GIMT_Encode4(455457), // Rule ID 7139 //
     /*  455376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  455384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  455387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  455390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  455393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455423 */     // MIs[1] Operand 1
     /*  455423 */     // No operand predicates
     /*  455423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455432 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  455435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455455 */     GIR_RootConstrainSelectedInstOperands,
     /*  455456 */     // GIR_Coverage, 7139,
     /*  455456 */     GIR_EraseRootFromParent_Done,
     /*  455457 */   // Label 7792: @455457
     /*  455457 */   GIM_Try, /*On fail goto*//*Label 7793*/ GIMT_Encode4(455543), // Rule ID 7140 //
     /*  455462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  455470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  455473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  455476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  455479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455509 */     // MIs[1] Operand 1
     /*  455509 */     // No operand predicates
     /*  455509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455518 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  455521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455541 */     GIR_RootConstrainSelectedInstOperands,
     /*  455542 */     // GIR_Coverage, 7140,
     /*  455542 */     GIR_EraseRootFromParent_Done,
     /*  455543 */   // Label 7793: @455543
     /*  455543 */   GIM_Try, /*On fail goto*//*Label 7794*/ GIMT_Encode4(455629), // Rule ID 7143 //
     /*  455548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  455556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  455559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  455562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  455565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455595 */     // MIs[1] Operand 1
     /*  455595 */     // No operand predicates
     /*  455595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455604 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  455604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  455607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455627 */     GIR_RootConstrainSelectedInstOperands,
     /*  455628 */     // GIR_Coverage, 7143,
     /*  455628 */     GIR_EraseRootFromParent_Done,
     /*  455629 */   // Label 7794: @455629
     /*  455629 */   GIM_Try, /*On fail goto*//*Label 7795*/ GIMT_Encode4(455715), // Rule ID 7144 //
     /*  455634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  455642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  455645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  455648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  455651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455681 */     // MIs[1] Operand 1
     /*  455681 */     // No operand predicates
     /*  455681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455690 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  455690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  455693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455713 */     GIR_RootConstrainSelectedInstOperands,
     /*  455714 */     // GIR_Coverage, 7144,
     /*  455714 */     GIR_EraseRootFromParent_Done,
     /*  455715 */   // Label 7795: @455715
     /*  455715 */   GIM_Try, /*On fail goto*//*Label 7796*/ GIMT_Encode4(455801), // Rule ID 7147 //
     /*  455720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  455728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  455731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  455734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  455737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455767 */     // MIs[1] Operand 1
     /*  455767 */     // No operand predicates
     /*  455767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455776 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  455779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455799 */     GIR_RootConstrainSelectedInstOperands,
     /*  455800 */     // GIR_Coverage, 7147,
     /*  455800 */     GIR_EraseRootFromParent_Done,
     /*  455801 */   // Label 7796: @455801
     /*  455801 */   GIM_Try, /*On fail goto*//*Label 7797*/ GIMT_Encode4(455887), // Rule ID 7148 //
     /*  455806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  455814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  455817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  455820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  455823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455853 */     // MIs[1] Operand 1
     /*  455853 */     // No operand predicates
     /*  455853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455862 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  455865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455885 */     GIR_RootConstrainSelectedInstOperands,
     /*  455886 */     // GIR_Coverage, 7148,
     /*  455886 */     GIR_EraseRootFromParent_Done,
     /*  455887 */   // Label 7797: @455887
     /*  455887 */   GIM_Try, /*On fail goto*//*Label 7798*/ GIMT_Encode4(455973), // Rule ID 7151 //
     /*  455892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  455900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  455903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  455906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  455909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455939 */     // MIs[1] Operand 1
     /*  455939 */     // No operand predicates
     /*  455939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455948 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  455951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455971 */     GIR_RootConstrainSelectedInstOperands,
     /*  455972 */     // GIR_Coverage, 7151,
     /*  455972 */     GIR_EraseRootFromParent_Done,
     /*  455973 */   // Label 7798: @455973
     /*  455973 */   GIM_Try, /*On fail goto*//*Label 7799*/ GIMT_Encode4(456059), // Rule ID 7152 //
     /*  455978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  455986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  455989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  455992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  455995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456025 */     // MIs[1] Operand 1
     /*  456025 */     // No operand predicates
     /*  456025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456034 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  456034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  456037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456057 */     GIR_RootConstrainSelectedInstOperands,
     /*  456058 */     // GIR_Coverage, 7152,
     /*  456058 */     GIR_EraseRootFromParent_Done,
     /*  456059 */   // Label 7799: @456059
     /*  456059 */   GIM_Try, /*On fail goto*//*Label 7800*/ GIMT_Encode4(456145), // Rule ID 7155 //
     /*  456064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  456067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  456075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  456078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  456081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456111 */     // MIs[1] Operand 1
     /*  456111 */     // No operand predicates
     /*  456111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456120 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  456120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  456123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456143 */     GIR_RootConstrainSelectedInstOperands,
     /*  456144 */     // GIR_Coverage, 7155,
     /*  456144 */     GIR_EraseRootFromParent_Done,
     /*  456145 */   // Label 7800: @456145
     /*  456145 */   GIM_Try, /*On fail goto*//*Label 7801*/ GIMT_Encode4(456231), // Rule ID 7156 //
     /*  456150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  456153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  456161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  456164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  456167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456197 */     // MIs[1] Operand 1
     /*  456197 */     // No operand predicates
     /*  456197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456206 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  456206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  456209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456229 */     GIR_RootConstrainSelectedInstOperands,
     /*  456230 */     // GIR_Coverage, 7156,
     /*  456230 */     GIR_EraseRootFromParent_Done,
     /*  456231 */   // Label 7801: @456231
     /*  456231 */   GIM_Try, /*On fail goto*//*Label 7802*/ GIMT_Encode4(456317), // Rule ID 7159 //
     /*  456236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  456247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  456250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  456253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456283 */     // MIs[1] Operand 1
     /*  456283 */     // No operand predicates
     /*  456283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456292 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  456295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456315 */     GIR_RootConstrainSelectedInstOperands,
     /*  456316 */     // GIR_Coverage, 7159,
     /*  456316 */     GIR_EraseRootFromParent_Done,
     /*  456317 */   // Label 7802: @456317
     /*  456317 */   GIM_Try, /*On fail goto*//*Label 7803*/ GIMT_Encode4(456403), // Rule ID 7160 //
     /*  456322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  456333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  456336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  456339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456369 */     // MIs[1] Operand 1
     /*  456369 */     // No operand predicates
     /*  456369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456378 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  456381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456401 */     GIR_RootConstrainSelectedInstOperands,
     /*  456402 */     // GIR_Coverage, 7160,
     /*  456402 */     GIR_EraseRootFromParent_Done,
     /*  456403 */   // Label 7803: @456403
     /*  456403 */   GIM_Try, /*On fail goto*//*Label 7804*/ GIMT_Encode4(456489), // Rule ID 7163 //
     /*  456408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  456419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  456422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  456425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456455 */     // MIs[1] Operand 1
     /*  456455 */     // No operand predicates
     /*  456455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456464 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  456467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456487 */     GIR_RootConstrainSelectedInstOperands,
     /*  456488 */     // GIR_Coverage, 7163,
     /*  456488 */     GIR_EraseRootFromParent_Done,
     /*  456489 */   // Label 7804: @456489
     /*  456489 */   GIM_Try, /*On fail goto*//*Label 7805*/ GIMT_Encode4(456575), // Rule ID 7164 //
     /*  456494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  456505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  456508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  456511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456541 */     // MIs[1] Operand 1
     /*  456541 */     // No operand predicates
     /*  456541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456550 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  456553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456573 */     GIR_RootConstrainSelectedInstOperands,
     /*  456574 */     // GIR_Coverage, 7164,
     /*  456574 */     GIR_EraseRootFromParent_Done,
     /*  456575 */   // Label 7805: @456575
     /*  456575 */   GIM_Try, /*On fail goto*//*Label 7806*/ GIMT_Encode4(456661), // Rule ID 7167 //
     /*  456580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  456591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  456594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  456597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456627 */     // MIs[1] Operand 1
     /*  456627 */     // No operand predicates
     /*  456627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456636 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  456639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456659 */     GIR_RootConstrainSelectedInstOperands,
     /*  456660 */     // GIR_Coverage, 7167,
     /*  456660 */     GIR_EraseRootFromParent_Done,
     /*  456661 */   // Label 7806: @456661
     /*  456661 */   GIM_Try, /*On fail goto*//*Label 7807*/ GIMT_Encode4(456747), // Rule ID 7168 //
     /*  456666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  456677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  456680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  456683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456713 */     // MIs[1] Operand 1
     /*  456713 */     // No operand predicates
     /*  456713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456722 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  456725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456745 */     GIR_RootConstrainSelectedInstOperands,
     /*  456746 */     // GIR_Coverage, 7168,
     /*  456746 */     GIR_EraseRootFromParent_Done,
     /*  456747 */   // Label 7807: @456747
     /*  456747 */   GIM_Try, /*On fail goto*//*Label 7808*/ GIMT_Encode4(456833), // Rule ID 7171 //
     /*  456752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  456763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  456766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  456769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456799 */     // MIs[1] Operand 1
     /*  456799 */     // No operand predicates
     /*  456799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456808 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  456808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  456811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456831 */     GIR_RootConstrainSelectedInstOperands,
     /*  456832 */     // GIR_Coverage, 7171,
     /*  456832 */     GIR_EraseRootFromParent_Done,
     /*  456833 */   // Label 7808: @456833
     /*  456833 */   GIM_Try, /*On fail goto*//*Label 7809*/ GIMT_Encode4(456919), // Rule ID 7172 //
     /*  456838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  456849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  456852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  456855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456885 */     // MIs[1] Operand 1
     /*  456885 */     // No operand predicates
     /*  456885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456894 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  456894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  456897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456917 */     GIR_RootConstrainSelectedInstOperands,
     /*  456918 */     // GIR_Coverage, 7172,
     /*  456918 */     GIR_EraseRootFromParent_Done,
     /*  456919 */   // Label 7809: @456919
     /*  456919 */   GIM_Try, /*On fail goto*//*Label 7810*/ GIMT_Encode4(457005), // Rule ID 7175 //
     /*  456924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  456932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  456935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  456938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  456941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456971 */     // MIs[1] Operand 1
     /*  456971 */     // No operand predicates
     /*  456971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456980 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  456980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  456983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457003 */     GIR_RootConstrainSelectedInstOperands,
     /*  457004 */     // GIR_Coverage, 7175,
     /*  457004 */     GIR_EraseRootFromParent_Done,
     /*  457005 */   // Label 7810: @457005
     /*  457005 */   GIM_Try, /*On fail goto*//*Label 7811*/ GIMT_Encode4(457091), // Rule ID 7176 //
     /*  457010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  457021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  457024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  457027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457057 */     // MIs[1] Operand 1
     /*  457057 */     // No operand predicates
     /*  457057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457066 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  457069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457089 */     GIR_RootConstrainSelectedInstOperands,
     /*  457090 */     // GIR_Coverage, 7176,
     /*  457090 */     GIR_EraseRootFromParent_Done,
     /*  457091 */   // Label 7811: @457091
     /*  457091 */   GIM_Try, /*On fail goto*//*Label 7812*/ GIMT_Encode4(457177), // Rule ID 7179 //
     /*  457096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  457107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  457110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  457113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457143 */     // MIs[1] Operand 1
     /*  457143 */     // No operand predicates
     /*  457143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457152 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  457155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457175 */     GIR_RootConstrainSelectedInstOperands,
     /*  457176 */     // GIR_Coverage, 7179,
     /*  457176 */     GIR_EraseRootFromParent_Done,
     /*  457177 */   // Label 7812: @457177
     /*  457177 */   GIM_Try, /*On fail goto*//*Label 7813*/ GIMT_Encode4(457263), // Rule ID 7180 //
     /*  457182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  457193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  457196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  457199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457229 */     // MIs[1] Operand 1
     /*  457229 */     // No operand predicates
     /*  457229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457238 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  457241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457261 */     GIR_RootConstrainSelectedInstOperands,
     /*  457262 */     // GIR_Coverage, 7180,
     /*  457262 */     GIR_EraseRootFromParent_Done,
     /*  457263 */   // Label 7813: @457263
     /*  457263 */   GIM_Try, /*On fail goto*//*Label 7814*/ GIMT_Encode4(457349), // Rule ID 7183 //
     /*  457268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  457279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  457282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  457285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457315 */     // MIs[1] Operand 1
     /*  457315 */     // No operand predicates
     /*  457315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  457324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  457327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457347 */     GIR_RootConstrainSelectedInstOperands,
     /*  457348 */     // GIR_Coverage, 7183,
     /*  457348 */     GIR_EraseRootFromParent_Done,
     /*  457349 */   // Label 7814: @457349
     /*  457349 */   GIM_Try, /*On fail goto*//*Label 7815*/ GIMT_Encode4(457435), // Rule ID 7184 //
     /*  457354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  457365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  457368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  457371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457401 */     // MIs[1] Operand 1
     /*  457401 */     // No operand predicates
     /*  457401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457410 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  457410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  457413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457433 */     GIR_RootConstrainSelectedInstOperands,
     /*  457434 */     // GIR_Coverage, 7184,
     /*  457434 */     GIR_EraseRootFromParent_Done,
     /*  457435 */   // Label 7815: @457435
     /*  457435 */   GIM_Try, /*On fail goto*//*Label 7816*/ GIMT_Encode4(457521), // Rule ID 7187 //
     /*  457440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  457451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  457454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  457457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457487 */     // MIs[1] Operand 1
     /*  457487 */     // No operand predicates
     /*  457487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457496 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  457496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  457499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457519 */     GIR_RootConstrainSelectedInstOperands,
     /*  457520 */     // GIR_Coverage, 7187,
     /*  457520 */     GIR_EraseRootFromParent_Done,
     /*  457521 */   // Label 7816: @457521
     /*  457521 */   GIM_Try, /*On fail goto*//*Label 7817*/ GIMT_Encode4(457607), // Rule ID 7188 //
     /*  457526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  457537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  457540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  457543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457573 */     // MIs[1] Operand 1
     /*  457573 */     // No operand predicates
     /*  457573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457582 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  457582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  457585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457605 */     GIR_RootConstrainSelectedInstOperands,
     /*  457606 */     // GIR_Coverage, 7188,
     /*  457606 */     GIR_EraseRootFromParent_Done,
     /*  457607 */   // Label 7817: @457607
     /*  457607 */   GIM_Try, /*On fail goto*//*Label 7818*/ GIMT_Encode4(457693), // Rule ID 7191 //
     /*  457612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  457623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  457626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  457629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457659 */     // MIs[1] Operand 1
     /*  457659 */     // No operand predicates
     /*  457659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457668 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  457668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  457671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457691 */     GIR_RootConstrainSelectedInstOperands,
     /*  457692 */     // GIR_Coverage, 7191,
     /*  457692 */     GIR_EraseRootFromParent_Done,
     /*  457693 */   // Label 7818: @457693
     /*  457693 */   GIM_Try, /*On fail goto*//*Label 7819*/ GIMT_Encode4(457779), // Rule ID 7192 //
     /*  457698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  457709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  457712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  457715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457745 */     // MIs[1] Operand 1
     /*  457745 */     // No operand predicates
     /*  457745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457754 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  457754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  457757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457777 */     GIR_RootConstrainSelectedInstOperands,
     /*  457778 */     // GIR_Coverage, 7192,
     /*  457778 */     GIR_EraseRootFromParent_Done,
     /*  457779 */   // Label 7819: @457779
     /*  457779 */   GIM_Try, /*On fail goto*//*Label 7820*/ GIMT_Encode4(457865), // Rule ID 7195 //
     /*  457784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  457787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  457795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  457798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  457801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457831 */     // MIs[1] Operand 1
     /*  457831 */     // No operand predicates
     /*  457831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457840 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  457840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  457843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457863 */     GIR_RootConstrainSelectedInstOperands,
     /*  457864 */     // GIR_Coverage, 7195,
     /*  457864 */     GIR_EraseRootFromParent_Done,
     /*  457865 */   // Label 7820: @457865
     /*  457865 */   GIM_Try, /*On fail goto*//*Label 7821*/ GIMT_Encode4(457951), // Rule ID 7196 //
     /*  457870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  457873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  457881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  457884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  457887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457917 */     // MIs[1] Operand 1
     /*  457917 */     // No operand predicates
     /*  457917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457926 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  457926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  457929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457949 */     GIR_RootConstrainSelectedInstOperands,
     /*  457950 */     // GIR_Coverage, 7196,
     /*  457950 */     GIR_EraseRootFromParent_Done,
     /*  457951 */   // Label 7821: @457951
     /*  457951 */   GIM_Try, /*On fail goto*//*Label 7822*/ GIMT_Encode4(458037), // Rule ID 7199 //
     /*  457956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  457959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  457964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  457967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  457970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  457973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458003 */     // MIs[1] Operand 1
     /*  458003 */     // No operand predicates
     /*  458003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458012 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  458012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  458032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458035 */     GIR_RootConstrainSelectedInstOperands,
     /*  458036 */     // GIR_Coverage, 7199,
     /*  458036 */     GIR_EraseRootFromParent_Done,
     /*  458037 */   // Label 7822: @458037
     /*  458037 */   GIM_Try, /*On fail goto*//*Label 7823*/ GIMT_Encode4(458123), // Rule ID 7200 //
     /*  458042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  458045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  458053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  458056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  458059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458089 */     // MIs[1] Operand 1
     /*  458089 */     // No operand predicates
     /*  458089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458098 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  458098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  458101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  458118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458121 */     GIR_RootConstrainSelectedInstOperands,
     /*  458122 */     // GIR_Coverage, 7200,
     /*  458122 */     GIR_EraseRootFromParent_Done,
     /*  458123 */   // Label 7823: @458123
     /*  458123 */   GIM_Try, /*On fail goto*//*Label 7824*/ GIMT_Encode4(458209), // Rule ID 7203 //
     /*  458128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  458131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  458139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  458142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  458145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458175 */     // MIs[1] Operand 1
     /*  458175 */     // No operand predicates
     /*  458175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458184 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  458184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  458187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  458204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458207 */     GIR_RootConstrainSelectedInstOperands,
     /*  458208 */     // GIR_Coverage, 7203,
     /*  458208 */     GIR_EraseRootFromParent_Done,
     /*  458209 */   // Label 7824: @458209
     /*  458209 */   GIM_Try, /*On fail goto*//*Label 7825*/ GIMT_Encode4(458295), // Rule ID 7204 //
     /*  458214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  458217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  458222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  458225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  458228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  458231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458261 */     // MIs[1] Operand 1
     /*  458261 */     // No operand predicates
     /*  458261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458270 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  458270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  458273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  458290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458293 */     GIR_RootConstrainSelectedInstOperands,
     /*  458294 */     // GIR_Coverage, 7204,
     /*  458294 */     GIR_EraseRootFromParent_Done,
     /*  458295 */   // Label 7825: @458295
     /*  458295 */   GIM_Try, /*On fail goto*//*Label 7826*/ GIMT_Encode4(458381), // Rule ID 7415 //
     /*  458300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  458308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  458311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  458314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  458317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458347 */     // MIs[1] Operand 1
     /*  458347 */     // No operand predicates
     /*  458347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458356 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  458359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458379 */     GIR_RootConstrainSelectedInstOperands,
     /*  458380 */     // GIR_Coverage, 7415,
     /*  458380 */     GIR_EraseRootFromParent_Done,
     /*  458381 */   // Label 7826: @458381
     /*  458381 */   GIM_Try, /*On fail goto*//*Label 7827*/ GIMT_Encode4(458467), // Rule ID 7416 //
     /*  458386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  458394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  458397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  458400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  458403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458433 */     // MIs[1] Operand 1
     /*  458433 */     // No operand predicates
     /*  458433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458442 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  458445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458465 */     GIR_RootConstrainSelectedInstOperands,
     /*  458466 */     // GIR_Coverage, 7416,
     /*  458466 */     GIR_EraseRootFromParent_Done,
     /*  458467 */   // Label 7827: @458467
     /*  458467 */   GIM_Try, /*On fail goto*//*Label 7828*/ GIMT_Encode4(458553), // Rule ID 7419 //
     /*  458472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  458480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  458483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  458486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  458489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458519 */     // MIs[1] Operand 1
     /*  458519 */     // No operand predicates
     /*  458519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458528 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  458531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458551 */     GIR_RootConstrainSelectedInstOperands,
     /*  458552 */     // GIR_Coverage, 7419,
     /*  458552 */     GIR_EraseRootFromParent_Done,
     /*  458553 */   // Label 7828: @458553
     /*  458553 */   GIM_Try, /*On fail goto*//*Label 7829*/ GIMT_Encode4(458639), // Rule ID 7420 //
     /*  458558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  458566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  458569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  458572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  458575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458605 */     // MIs[1] Operand 1
     /*  458605 */     // No operand predicates
     /*  458605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458614 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  458617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458637 */     GIR_RootConstrainSelectedInstOperands,
     /*  458638 */     // GIR_Coverage, 7420,
     /*  458638 */     GIR_EraseRootFromParent_Done,
     /*  458639 */   // Label 7829: @458639
     /*  458639 */   GIM_Try, /*On fail goto*//*Label 7830*/ GIMT_Encode4(458725), // Rule ID 7423 //
     /*  458644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  458652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  458655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  458658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  458661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458691 */     // MIs[1] Operand 1
     /*  458691 */     // No operand predicates
     /*  458691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458700 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  458703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458723 */     GIR_RootConstrainSelectedInstOperands,
     /*  458724 */     // GIR_Coverage, 7423,
     /*  458724 */     GIR_EraseRootFromParent_Done,
     /*  458725 */   // Label 7830: @458725
     /*  458725 */   GIM_Try, /*On fail goto*//*Label 7831*/ GIMT_Encode4(458811), // Rule ID 7424 //
     /*  458730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  458738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  458741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  458744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  458747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458777 */     // MIs[1] Operand 1
     /*  458777 */     // No operand predicates
     /*  458777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458786 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  458789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458809 */     GIR_RootConstrainSelectedInstOperands,
     /*  458810 */     // GIR_Coverage, 7424,
     /*  458810 */     GIR_EraseRootFromParent_Done,
     /*  458811 */   // Label 7831: @458811
     /*  458811 */   GIM_Try, /*On fail goto*//*Label 7832*/ GIMT_Encode4(458897), // Rule ID 7427 //
     /*  458816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  458824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  458827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  458830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  458833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458863 */     // MIs[1] Operand 1
     /*  458863 */     // No operand predicates
     /*  458863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458872 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  458875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458895 */     GIR_RootConstrainSelectedInstOperands,
     /*  458896 */     // GIR_Coverage, 7427,
     /*  458896 */     GIR_EraseRootFromParent_Done,
     /*  458897 */   // Label 7832: @458897
     /*  458897 */   GIM_Try, /*On fail goto*//*Label 7833*/ GIMT_Encode4(458983), // Rule ID 7428 //
     /*  458902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  458910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  458913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  458916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  458919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458949 */     // MIs[1] Operand 1
     /*  458949 */     // No operand predicates
     /*  458949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458958 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  458961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458981 */     GIR_RootConstrainSelectedInstOperands,
     /*  458982 */     // GIR_Coverage, 7428,
     /*  458982 */     GIR_EraseRootFromParent_Done,
     /*  458983 */   // Label 7833: @458983
     /*  458983 */   GIM_Try, /*On fail goto*//*Label 7834*/ GIMT_Encode4(459069), // Rule ID 7431 //
     /*  458988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  458996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  458999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  459002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  459005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459035 */     // MIs[1] Operand 1
     /*  459035 */     // No operand predicates
     /*  459035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459044 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  459047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459067 */     GIR_RootConstrainSelectedInstOperands,
     /*  459068 */     // GIR_Coverage, 7431,
     /*  459068 */     GIR_EraseRootFromParent_Done,
     /*  459069 */   // Label 7834: @459069
     /*  459069 */   GIM_Try, /*On fail goto*//*Label 7835*/ GIMT_Encode4(459155), // Rule ID 7432 //
     /*  459074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  459085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  459088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  459091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459121 */     // MIs[1] Operand 1
     /*  459121 */     // No operand predicates
     /*  459121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459130 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  459133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459153 */     GIR_RootConstrainSelectedInstOperands,
     /*  459154 */     // GIR_Coverage, 7432,
     /*  459154 */     GIR_EraseRootFromParent_Done,
     /*  459155 */   // Label 7835: @459155
     /*  459155 */   GIM_Try, /*On fail goto*//*Label 7836*/ GIMT_Encode4(459241), // Rule ID 7435 //
     /*  459160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  459171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  459174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  459177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459207 */     // MIs[1] Operand 1
     /*  459207 */     // No operand predicates
     /*  459207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459216 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  459219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459239 */     GIR_RootConstrainSelectedInstOperands,
     /*  459240 */     // GIR_Coverage, 7435,
     /*  459240 */     GIR_EraseRootFromParent_Done,
     /*  459241 */   // Label 7836: @459241
     /*  459241 */   GIM_Try, /*On fail goto*//*Label 7837*/ GIMT_Encode4(459327), // Rule ID 7436 //
     /*  459246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  459257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  459260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  459263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459293 */     // MIs[1] Operand 1
     /*  459293 */     // No operand predicates
     /*  459293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459302 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  459305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459325 */     GIR_RootConstrainSelectedInstOperands,
     /*  459326 */     // GIR_Coverage, 7436,
     /*  459326 */     GIR_EraseRootFromParent_Done,
     /*  459327 */   // Label 7837: @459327
     /*  459327 */   GIM_Try, /*On fail goto*//*Label 7838*/ GIMT_Encode4(459413), // Rule ID 7439 //
     /*  459332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  459343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  459346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  459349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459379 */     // MIs[1] Operand 1
     /*  459379 */     // No operand predicates
     /*  459379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459388 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  459388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  459391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459411 */     GIR_RootConstrainSelectedInstOperands,
     /*  459412 */     // GIR_Coverage, 7439,
     /*  459412 */     GIR_EraseRootFromParent_Done,
     /*  459413 */   // Label 7838: @459413
     /*  459413 */   GIM_Try, /*On fail goto*//*Label 7839*/ GIMT_Encode4(459499), // Rule ID 7440 //
     /*  459418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  459429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  459432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  459435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459465 */     // MIs[1] Operand 1
     /*  459465 */     // No operand predicates
     /*  459465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459474 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  459477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459497 */     GIR_RootConstrainSelectedInstOperands,
     /*  459498 */     // GIR_Coverage, 7440,
     /*  459498 */     GIR_EraseRootFromParent_Done,
     /*  459499 */   // Label 7839: @459499
     /*  459499 */   GIM_Try, /*On fail goto*//*Label 7840*/ GIMT_Encode4(459585), // Rule ID 7443 //
     /*  459504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  459515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  459518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  459521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459551 */     // MIs[1] Operand 1
     /*  459551 */     // No operand predicates
     /*  459551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459560 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  459560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  459563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459583 */     GIR_RootConstrainSelectedInstOperands,
     /*  459584 */     // GIR_Coverage, 7443,
     /*  459584 */     GIR_EraseRootFromParent_Done,
     /*  459585 */   // Label 7840: @459585
     /*  459585 */   GIM_Try, /*On fail goto*//*Label 7841*/ GIMT_Encode4(459671), // Rule ID 7444 //
     /*  459590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  459601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  459604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  459607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459637 */     // MIs[1] Operand 1
     /*  459637 */     // No operand predicates
     /*  459637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459646 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  459649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459669 */     GIR_RootConstrainSelectedInstOperands,
     /*  459670 */     // GIR_Coverage, 7444,
     /*  459670 */     GIR_EraseRootFromParent_Done,
     /*  459671 */   // Label 7841: @459671
     /*  459671 */   GIM_Try, /*On fail goto*//*Label 7842*/ GIMT_Encode4(459757), // Rule ID 7447 //
     /*  459676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  459687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  459690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  459693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459723 */     // MIs[1] Operand 1
     /*  459723 */     // No operand predicates
     /*  459723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459732 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  459732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  459735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459755 */     GIR_RootConstrainSelectedInstOperands,
     /*  459756 */     // GIR_Coverage, 7447,
     /*  459756 */     GIR_EraseRootFromParent_Done,
     /*  459757 */   // Label 7842: @459757
     /*  459757 */   GIM_Try, /*On fail goto*//*Label 7843*/ GIMT_Encode4(459843), // Rule ID 7448 //
     /*  459762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  459773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  459776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  459779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459809 */     // MIs[1] Operand 1
     /*  459809 */     // No operand predicates
     /*  459809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459818 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  459821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459841 */     GIR_RootConstrainSelectedInstOperands,
     /*  459842 */     // GIR_Coverage, 7448,
     /*  459842 */     GIR_EraseRootFromParent_Done,
     /*  459843 */   // Label 7843: @459843
     /*  459843 */   GIM_Try, /*On fail goto*//*Label 7844*/ GIMT_Encode4(459929), // Rule ID 7451 //
     /*  459848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  459859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  459862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  459865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459895 */     // MIs[1] Operand 1
     /*  459895 */     // No operand predicates
     /*  459895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459904 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  459904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  459907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459927 */     GIR_RootConstrainSelectedInstOperands,
     /*  459928 */     // GIR_Coverage, 7451,
     /*  459928 */     GIR_EraseRootFromParent_Done,
     /*  459929 */   // Label 7844: @459929
     /*  459929 */   GIM_Try, /*On fail goto*//*Label 7845*/ GIMT_Encode4(460015), // Rule ID 7452 //
     /*  459934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  459942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  459945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  459948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  459951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459981 */     // MIs[1] Operand 1
     /*  459981 */     // No operand predicates
     /*  459981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459990 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  459993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460013 */     GIR_RootConstrainSelectedInstOperands,
     /*  460014 */     // GIR_Coverage, 7452,
     /*  460014 */     GIR_EraseRootFromParent_Done,
     /*  460015 */   // Label 7845: @460015
     /*  460015 */   GIM_Try, /*On fail goto*//*Label 7846*/ GIMT_Encode4(460101), // Rule ID 7455 //
     /*  460020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  460031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  460034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  460037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460067 */     // MIs[1] Operand 1
     /*  460067 */     // No operand predicates
     /*  460067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460076 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  460076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  460079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460099 */     GIR_RootConstrainSelectedInstOperands,
     /*  460100 */     // GIR_Coverage, 7455,
     /*  460100 */     GIR_EraseRootFromParent_Done,
     /*  460101 */   // Label 7846: @460101
     /*  460101 */   GIM_Try, /*On fail goto*//*Label 7847*/ GIMT_Encode4(460187), // Rule ID 7456 //
     /*  460106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  460117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  460120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  460123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460153 */     // MIs[1] Operand 1
     /*  460153 */     // No operand predicates
     /*  460153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460162 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  460162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  460165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460185 */     GIR_RootConstrainSelectedInstOperands,
     /*  460186 */     // GIR_Coverage, 7456,
     /*  460186 */     GIR_EraseRootFromParent_Done,
     /*  460187 */   // Label 7847: @460187
     /*  460187 */   GIM_Try, /*On fail goto*//*Label 7848*/ GIMT_Encode4(460273), // Rule ID 7459 //
     /*  460192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  460195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  460203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  460206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  460209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460239 */     // MIs[1] Operand 1
     /*  460239 */     // No operand predicates
     /*  460239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460248 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  460248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  460251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460271 */     GIR_RootConstrainSelectedInstOperands,
     /*  460272 */     // GIR_Coverage, 7459,
     /*  460272 */     GIR_EraseRootFromParent_Done,
     /*  460273 */   // Label 7848: @460273
     /*  460273 */   GIM_Try, /*On fail goto*//*Label 7849*/ GIMT_Encode4(460359), // Rule ID 7460 //
     /*  460278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  460281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  460289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  460292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  460295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460325 */     // MIs[1] Operand 1
     /*  460325 */     // No operand predicates
     /*  460325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460334 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  460334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  460337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460357 */     GIR_RootConstrainSelectedInstOperands,
     /*  460358 */     // GIR_Coverage, 7460,
     /*  460358 */     GIR_EraseRootFromParent_Done,
     /*  460359 */   // Label 7849: @460359
     /*  460359 */   GIM_Try, /*On fail goto*//*Label 7850*/ GIMT_Encode4(460445), // Rule ID 7463 //
     /*  460364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  460367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  460375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  460378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  460381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460411 */     // MIs[1] Operand 1
     /*  460411 */     // No operand predicates
     /*  460411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  460420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  460423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460443 */     GIR_RootConstrainSelectedInstOperands,
     /*  460444 */     // GIR_Coverage, 7463,
     /*  460444 */     GIR_EraseRootFromParent_Done,
     /*  460445 */   // Label 7850: @460445
     /*  460445 */   GIM_Try, /*On fail goto*//*Label 7851*/ GIMT_Encode4(460531), // Rule ID 7464 //
     /*  460450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  460453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  460461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  460464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  460467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460497 */     // MIs[1] Operand 1
     /*  460497 */     // No operand predicates
     /*  460497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460506 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  460506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  460509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460529 */     GIR_RootConstrainSelectedInstOperands,
     /*  460530 */     // GIR_Coverage, 7464,
     /*  460530 */     GIR_EraseRootFromParent_Done,
     /*  460531 */   // Label 7851: @460531
     /*  460531 */   GIM_Try, /*On fail goto*//*Label 7852*/ GIMT_Encode4(460617), // Rule ID 7467 //
     /*  460536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  460539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  460547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  460550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  460553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460583 */     // MIs[1] Operand 1
     /*  460583 */     // No operand predicates
     /*  460583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460592 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  460592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  460595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460615 */     GIR_RootConstrainSelectedInstOperands,
     /*  460616 */     // GIR_Coverage, 7467,
     /*  460616 */     GIR_EraseRootFromParent_Done,
     /*  460617 */   // Label 7852: @460617
     /*  460617 */   GIM_Try, /*On fail goto*//*Label 7853*/ GIMT_Encode4(460703), // Rule ID 7468 //
     /*  460622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  460625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  460633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  460636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  460639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460669 */     // MIs[1] Operand 1
     /*  460669 */     // No operand predicates
     /*  460669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460678 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  460678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  460681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460701 */     GIR_RootConstrainSelectedInstOperands,
     /*  460702 */     // GIR_Coverage, 7468,
     /*  460702 */     GIR_EraseRootFromParent_Done,
     /*  460703 */   // Label 7853: @460703
     /*  460703 */   GIM_Try, /*On fail goto*//*Label 7854*/ GIMT_Encode4(460789), // Rule ID 7471 //
     /*  460708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  460711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  460719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  460722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  460725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460755 */     // MIs[1] Operand 1
     /*  460755 */     // No operand predicates
     /*  460755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460764 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  460764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  460767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460787 */     GIR_RootConstrainSelectedInstOperands,
     /*  460788 */     // GIR_Coverage, 7471,
     /*  460788 */     GIR_EraseRootFromParent_Done,
     /*  460789 */   // Label 7854: @460789
     /*  460789 */   GIM_Try, /*On fail goto*//*Label 7855*/ GIMT_Encode4(460875), // Rule ID 7472 //
     /*  460794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  460797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  460802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  460805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  460808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  460811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460841 */     // MIs[1] Operand 1
     /*  460841 */     // No operand predicates
     /*  460841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460850 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  460850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  460853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460873 */     GIR_RootConstrainSelectedInstOperands,
     /*  460874 */     // GIR_Coverage, 7472,
     /*  460874 */     GIR_EraseRootFromParent_Done,
     /*  460875 */   // Label 7855: @460875
     /*  460875 */   GIM_Try, /*On fail goto*//*Label 7856*/ GIMT_Encode4(460961), // Rule ID 7595 //
     /*  460880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  460888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  460891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  460894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  460897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460927 */     // MIs[1] Operand 1
     /*  460927 */     // No operand predicates
     /*  460927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460936 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  460939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460959 */     GIR_RootConstrainSelectedInstOperands,
     /*  460960 */     // GIR_Coverage, 7595,
     /*  460960 */     GIR_EraseRootFromParent_Done,
     /*  460961 */   // Label 7856: @460961
     /*  460961 */   GIM_Try, /*On fail goto*//*Label 7857*/ GIMT_Encode4(461047), // Rule ID 7596 //
     /*  460966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  460974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  460977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  460980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  460983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461013 */     // MIs[1] Operand 1
     /*  461013 */     // No operand predicates
     /*  461013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461022 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  461022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  461025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461045 */     GIR_RootConstrainSelectedInstOperands,
     /*  461046 */     // GIR_Coverage, 7596,
     /*  461046 */     GIR_EraseRootFromParent_Done,
     /*  461047 */   // Label 7857: @461047
     /*  461047 */   GIM_Try, /*On fail goto*//*Label 7858*/ GIMT_Encode4(461133), // Rule ID 7599 //
     /*  461052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  461060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  461063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  461066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  461069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461099 */     // MIs[1] Operand 1
     /*  461099 */     // No operand predicates
     /*  461099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461108 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  461108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  461111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461131 */     GIR_RootConstrainSelectedInstOperands,
     /*  461132 */     // GIR_Coverage, 7599,
     /*  461132 */     GIR_EraseRootFromParent_Done,
     /*  461133 */   // Label 7858: @461133
     /*  461133 */   GIM_Try, /*On fail goto*//*Label 7859*/ GIMT_Encode4(461219), // Rule ID 7600 //
     /*  461138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  461146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  461149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  461152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  461155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461185 */     // MIs[1] Operand 1
     /*  461185 */     // No operand predicates
     /*  461185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461194 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  461194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  461197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461217 */     GIR_RootConstrainSelectedInstOperands,
     /*  461218 */     // GIR_Coverage, 7600,
     /*  461218 */     GIR_EraseRootFromParent_Done,
     /*  461219 */   // Label 7859: @461219
     /*  461219 */   GIM_Try, /*On fail goto*//*Label 7860*/ GIMT_Encode4(461305), // Rule ID 7603 //
     /*  461224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  461232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  461235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  461238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  461241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461271 */     // MIs[1] Operand 1
     /*  461271 */     // No operand predicates
     /*  461271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461280 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  461280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  461283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461303 */     GIR_RootConstrainSelectedInstOperands,
     /*  461304 */     // GIR_Coverage, 7603,
     /*  461304 */     GIR_EraseRootFromParent_Done,
     /*  461305 */   // Label 7860: @461305
     /*  461305 */   GIM_Try, /*On fail goto*//*Label 7861*/ GIMT_Encode4(461391), // Rule ID 7604 //
     /*  461310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  461318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  461321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  461324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  461327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461357 */     // MIs[1] Operand 1
     /*  461357 */     // No operand predicates
     /*  461357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461366 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  461366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  461369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461389 */     GIR_RootConstrainSelectedInstOperands,
     /*  461390 */     // GIR_Coverage, 7604,
     /*  461390 */     GIR_EraseRootFromParent_Done,
     /*  461391 */   // Label 7861: @461391
     /*  461391 */   GIM_Try, /*On fail goto*//*Label 7862*/ GIMT_Encode4(461477), // Rule ID 7607 //
     /*  461396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  461404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  461407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  461410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  461413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461443 */     // MIs[1] Operand 1
     /*  461443 */     // No operand predicates
     /*  461443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461452 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  461452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  461455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461475 */     GIR_RootConstrainSelectedInstOperands,
     /*  461476 */     // GIR_Coverage, 7607,
     /*  461476 */     GIR_EraseRootFromParent_Done,
     /*  461477 */   // Label 7862: @461477
     /*  461477 */   GIM_Try, /*On fail goto*//*Label 7863*/ GIMT_Encode4(461563), // Rule ID 7608 //
     /*  461482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  461490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  461493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  461496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  461499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461529 */     // MIs[1] Operand 1
     /*  461529 */     // No operand predicates
     /*  461529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461538 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  461538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  461541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461561 */     GIR_RootConstrainSelectedInstOperands,
     /*  461562 */     // GIR_Coverage, 7608,
     /*  461562 */     GIR_EraseRootFromParent_Done,
     /*  461563 */   // Label 7863: @461563
     /*  461563 */   GIM_Try, /*On fail goto*//*Label 7864*/ GIMT_Encode4(461649), // Rule ID 7611 //
     /*  461568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  461576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  461579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  461582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  461585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461615 */     // MIs[1] Operand 1
     /*  461615 */     // No operand predicates
     /*  461615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461624 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  461624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  461627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461647 */     GIR_RootConstrainSelectedInstOperands,
     /*  461648 */     // GIR_Coverage, 7611,
     /*  461648 */     GIR_EraseRootFromParent_Done,
     /*  461649 */   // Label 7864: @461649
     /*  461649 */   GIM_Try, /*On fail goto*//*Label 7865*/ GIMT_Encode4(461735), // Rule ID 7612 //
     /*  461654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  461662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  461665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  461668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  461671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461701 */     // MIs[1] Operand 1
     /*  461701 */     // No operand predicates
     /*  461701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461710 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  461710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  461713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461733 */     GIR_RootConstrainSelectedInstOperands,
     /*  461734 */     // GIR_Coverage, 7612,
     /*  461734 */     GIR_EraseRootFromParent_Done,
     /*  461735 */   // Label 7865: @461735
     /*  461735 */   GIM_Try, /*On fail goto*//*Label 7866*/ GIMT_Encode4(461821), // Rule ID 7615 //
     /*  461740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  461748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  461751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  461754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  461757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461787 */     // MIs[1] Operand 1
     /*  461787 */     // No operand predicates
     /*  461787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461796 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  461796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  461799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461819 */     GIR_RootConstrainSelectedInstOperands,
     /*  461820 */     // GIR_Coverage, 7615,
     /*  461820 */     GIR_EraseRootFromParent_Done,
     /*  461821 */   // Label 7866: @461821
     /*  461821 */   GIM_Try, /*On fail goto*//*Label 7867*/ GIMT_Encode4(461907), // Rule ID 7616 //
     /*  461826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  461834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  461837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  461840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  461843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461873 */     // MIs[1] Operand 1
     /*  461873 */     // No operand predicates
     /*  461873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461882 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  461882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  461885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461905 */     GIR_RootConstrainSelectedInstOperands,
     /*  461906 */     // GIR_Coverage, 7616,
     /*  461906 */     GIR_EraseRootFromParent_Done,
     /*  461907 */   // Label 7867: @461907
     /*  461907 */   GIM_Try, /*On fail goto*//*Label 7868*/ GIMT_Encode4(461993), // Rule ID 7619 //
     /*  461912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  461920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  461923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  461926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  461929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461959 */     // MIs[1] Operand 1
     /*  461959 */     // No operand predicates
     /*  461959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461968 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  461971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461991 */     GIR_RootConstrainSelectedInstOperands,
     /*  461992 */     // GIR_Coverage, 7619,
     /*  461992 */     GIR_EraseRootFromParent_Done,
     /*  461993 */   // Label 7868: @461993
     /*  461993 */   GIM_Try, /*On fail goto*//*Label 7869*/ GIMT_Encode4(462079), // Rule ID 7620 //
     /*  461998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  462009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  462012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  462015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462045 */     // MIs[1] Operand 1
     /*  462045 */     // No operand predicates
     /*  462045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462054 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  462054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  462057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462077 */     GIR_RootConstrainSelectedInstOperands,
     /*  462078 */     // GIR_Coverage, 7620,
     /*  462078 */     GIR_EraseRootFromParent_Done,
     /*  462079 */   // Label 7869: @462079
     /*  462079 */   GIM_Try, /*On fail goto*//*Label 7870*/ GIMT_Encode4(462165), // Rule ID 7623 //
     /*  462084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  462095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  462098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  462101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462131 */     // MIs[1] Operand 1
     /*  462131 */     // No operand predicates
     /*  462131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462140 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  462140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  462143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462163 */     GIR_RootConstrainSelectedInstOperands,
     /*  462164 */     // GIR_Coverage, 7623,
     /*  462164 */     GIR_EraseRootFromParent_Done,
     /*  462165 */   // Label 7870: @462165
     /*  462165 */   GIM_Try, /*On fail goto*//*Label 7871*/ GIMT_Encode4(462251), // Rule ID 7624 //
     /*  462170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  462181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  462184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  462187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462217 */     // MIs[1] Operand 1
     /*  462217 */     // No operand predicates
     /*  462217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462226 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  462226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  462229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462249 */     GIR_RootConstrainSelectedInstOperands,
     /*  462250 */     // GIR_Coverage, 7624,
     /*  462250 */     GIR_EraseRootFromParent_Done,
     /*  462251 */   // Label 7871: @462251
     /*  462251 */   GIM_Try, /*On fail goto*//*Label 7872*/ GIMT_Encode4(462337), // Rule ID 7627 //
     /*  462256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  462267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  462270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  462273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462303 */     // MIs[1] Operand 1
     /*  462303 */     // No operand predicates
     /*  462303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462312 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  462312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  462315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462335 */     GIR_RootConstrainSelectedInstOperands,
     /*  462336 */     // GIR_Coverage, 7627,
     /*  462336 */     GIR_EraseRootFromParent_Done,
     /*  462337 */   // Label 7872: @462337
     /*  462337 */   GIM_Try, /*On fail goto*//*Label 7873*/ GIMT_Encode4(462423), // Rule ID 7628 //
     /*  462342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  462353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  462356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  462359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462389 */     // MIs[1] Operand 1
     /*  462389 */     // No operand predicates
     /*  462389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462398 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  462398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  462401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462421 */     GIR_RootConstrainSelectedInstOperands,
     /*  462422 */     // GIR_Coverage, 7628,
     /*  462422 */     GIR_EraseRootFromParent_Done,
     /*  462423 */   // Label 7873: @462423
     /*  462423 */   GIM_Try, /*On fail goto*//*Label 7874*/ GIMT_Encode4(462509), // Rule ID 7631 //
     /*  462428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  462439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  462442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  462445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462475 */     // MIs[1] Operand 1
     /*  462475 */     // No operand predicates
     /*  462475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462484 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  462484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  462487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462507 */     GIR_RootConstrainSelectedInstOperands,
     /*  462508 */     // GIR_Coverage, 7631,
     /*  462508 */     GIR_EraseRootFromParent_Done,
     /*  462509 */   // Label 7874: @462509
     /*  462509 */   GIM_Try, /*On fail goto*//*Label 7875*/ GIMT_Encode4(462595), // Rule ID 7632 //
     /*  462514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  462525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  462528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  462531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462561 */     // MIs[1] Operand 1
     /*  462561 */     // No operand predicates
     /*  462561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462570 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  462570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  462573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462593 */     GIR_RootConstrainSelectedInstOperands,
     /*  462594 */     // GIR_Coverage, 7632,
     /*  462594 */     GIR_EraseRootFromParent_Done,
     /*  462595 */   // Label 7875: @462595
     /*  462595 */   GIM_Try, /*On fail goto*//*Label 7876*/ GIMT_Encode4(462681), // Rule ID 7635 //
     /*  462600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  462611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  462614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  462617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462647 */     // MIs[1] Operand 1
     /*  462647 */     // No operand predicates
     /*  462647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462656 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  462656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  462659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462679 */     GIR_RootConstrainSelectedInstOperands,
     /*  462680 */     // GIR_Coverage, 7635,
     /*  462680 */     GIR_EraseRootFromParent_Done,
     /*  462681 */   // Label 7876: @462681
     /*  462681 */   GIM_Try, /*On fail goto*//*Label 7877*/ GIMT_Encode4(462767), // Rule ID 7636 //
     /*  462686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  462697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  462700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  462703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462733 */     // MIs[1] Operand 1
     /*  462733 */     // No operand predicates
     /*  462733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462742 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  462742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  462745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462765 */     GIR_RootConstrainSelectedInstOperands,
     /*  462766 */     // GIR_Coverage, 7636,
     /*  462766 */     GIR_EraseRootFromParent_Done,
     /*  462767 */   // Label 7877: @462767
     /*  462767 */   GIM_Try, /*On fail goto*//*Label 7878*/ GIMT_Encode4(462853), // Rule ID 7639 //
     /*  462772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  462775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  462783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  462786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  462789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462819 */     // MIs[1] Operand 1
     /*  462819 */     // No operand predicates
     /*  462819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462828 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  462828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  462831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462851 */     GIR_RootConstrainSelectedInstOperands,
     /*  462852 */     // GIR_Coverage, 7639,
     /*  462852 */     GIR_EraseRootFromParent_Done,
     /*  462853 */   // Label 7878: @462853
     /*  462853 */   GIM_Try, /*On fail goto*//*Label 7879*/ GIMT_Encode4(462939), // Rule ID 7640 //
     /*  462858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  462861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  462869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  462872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  462875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462905 */     // MIs[1] Operand 1
     /*  462905 */     // No operand predicates
     /*  462905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462914 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  462914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  462917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462937 */     GIR_RootConstrainSelectedInstOperands,
     /*  462938 */     // GIR_Coverage, 7640,
     /*  462938 */     GIR_EraseRootFromParent_Done,
     /*  462939 */   // Label 7879: @462939
     /*  462939 */   GIM_Try, /*On fail goto*//*Label 7880*/ GIMT_Encode4(463025), // Rule ID 7643 //
     /*  462944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  462947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  462952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  462955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  462958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  462961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462991 */     // MIs[1] Operand 1
     /*  462991 */     // No operand predicates
     /*  462991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463000 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  463000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  463003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463023 */     GIR_RootConstrainSelectedInstOperands,
     /*  463024 */     // GIR_Coverage, 7643,
     /*  463024 */     GIR_EraseRootFromParent_Done,
     /*  463025 */   // Label 7880: @463025
     /*  463025 */   GIM_Try, /*On fail goto*//*Label 7881*/ GIMT_Encode4(463111), // Rule ID 7644 //
     /*  463030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  463033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  463041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  463044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  463047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463077 */     // MIs[1] Operand 1
     /*  463077 */     // No operand predicates
     /*  463077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463086 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  463086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  463089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463109 */     GIR_RootConstrainSelectedInstOperands,
     /*  463110 */     // GIR_Coverage, 7644,
     /*  463110 */     GIR_EraseRootFromParent_Done,
     /*  463111 */   // Label 7881: @463111
     /*  463111 */   GIM_Try, /*On fail goto*//*Label 7882*/ GIMT_Encode4(463197), // Rule ID 7647 //
     /*  463116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  463119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  463127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  463130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  463133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463163 */     // MIs[1] Operand 1
     /*  463163 */     // No operand predicates
     /*  463163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463172 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  463172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  463175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463195 */     GIR_RootConstrainSelectedInstOperands,
     /*  463196 */     // GIR_Coverage, 7647,
     /*  463196 */     GIR_EraseRootFromParent_Done,
     /*  463197 */   // Label 7882: @463197
     /*  463197 */   GIM_Try, /*On fail goto*//*Label 7883*/ GIMT_Encode4(463283), // Rule ID 7648 //
     /*  463202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  463205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  463213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  463216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  463219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463249 */     // MIs[1] Operand 1
     /*  463249 */     // No operand predicates
     /*  463249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463258 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  463258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  463261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463281 */     GIR_RootConstrainSelectedInstOperands,
     /*  463282 */     // GIR_Coverage, 7648,
     /*  463282 */     GIR_EraseRootFromParent_Done,
     /*  463283 */   // Label 7883: @463283
     /*  463283 */   GIM_Try, /*On fail goto*//*Label 7884*/ GIMT_Encode4(463369), // Rule ID 7651 //
     /*  463288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  463291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  463299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  463302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  463305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463335 */     // MIs[1] Operand 1
     /*  463335 */     // No operand predicates
     /*  463335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463344 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  463344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  463347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463367 */     GIR_RootConstrainSelectedInstOperands,
     /*  463368 */     // GIR_Coverage, 7651,
     /*  463368 */     GIR_EraseRootFromParent_Done,
     /*  463369 */   // Label 7884: @463369
     /*  463369 */   GIM_Try, /*On fail goto*//*Label 7885*/ GIMT_Encode4(463455), // Rule ID 7652 //
     /*  463374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  463377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  463382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  463385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  463388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  463391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463421 */     // MIs[1] Operand 1
     /*  463421 */     // No operand predicates
     /*  463421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463430 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  463430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  463433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463453 */     GIR_RootConstrainSelectedInstOperands,
     /*  463454 */     // GIR_Coverage, 7652,
     /*  463454 */     GIR_EraseRootFromParent_Done,
     /*  463455 */   // Label 7885: @463455
     /*  463455 */   GIM_Try, /*On fail goto*//*Label 7886*/ GIMT_Encode4(463544), // Rule ID 14081 //
     /*  463460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  463468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  463471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  463474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  463477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  463507 */     // MIs[1] Operand 1
     /*  463507 */     // No operand predicates
     /*  463507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463516 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  463519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  463542 */     GIR_RootConstrainSelectedInstOperands,
     /*  463543 */     // GIR_Coverage, 14081,
     /*  463543 */     GIR_EraseRootFromParent_Done,
     /*  463544 */   // Label 7886: @463544
     /*  463544 */   GIM_Try, /*On fail goto*//*Label 7887*/ GIMT_Encode4(463633), // Rule ID 14082 //
     /*  463549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  463557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  463560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  463563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  463566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  463596 */     // MIs[1] Operand 1
     /*  463596 */     // No operand predicates
     /*  463596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463605 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  463608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  463631 */     GIR_RootConstrainSelectedInstOperands,
     /*  463632 */     // GIR_Coverage, 14082,
     /*  463632 */     GIR_EraseRootFromParent_Done,
     /*  463633 */   // Label 7887: @463633
     /*  463633 */   GIM_Try, /*On fail goto*//*Label 7888*/ GIMT_Encode4(463722), // Rule ID 14085 //
     /*  463638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  463646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  463649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  463652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  463655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  463685 */     // MIs[1] Operand 1
     /*  463685 */     // No operand predicates
     /*  463685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463694 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  463697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463717 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  463720 */     GIR_RootConstrainSelectedInstOperands,
     /*  463721 */     // GIR_Coverage, 14085,
     /*  463721 */     GIR_EraseRootFromParent_Done,
     /*  463722 */   // Label 7888: @463722
     /*  463722 */   GIM_Try, /*On fail goto*//*Label 7889*/ GIMT_Encode4(463811), // Rule ID 14086 //
     /*  463727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  463735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  463738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  463741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  463744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  463774 */     // MIs[1] Operand 1
     /*  463774 */     // No operand predicates
     /*  463774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463783 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  463786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  463809 */     GIR_RootConstrainSelectedInstOperands,
     /*  463810 */     // GIR_Coverage, 14086,
     /*  463810 */     GIR_EraseRootFromParent_Done,
     /*  463811 */   // Label 7889: @463811
     /*  463811 */   GIM_Try, /*On fail goto*//*Label 7890*/ GIMT_Encode4(463900), // Rule ID 14089 //
     /*  463816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  463824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  463827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  463830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  463833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  463863 */     // MIs[1] Operand 1
     /*  463863 */     // No operand predicates
     /*  463863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463872 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  463875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463895 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  463898 */     GIR_RootConstrainSelectedInstOperands,
     /*  463899 */     // GIR_Coverage, 14089,
     /*  463899 */     GIR_EraseRootFromParent_Done,
     /*  463900 */   // Label 7890: @463900
     /*  463900 */   GIM_Try, /*On fail goto*//*Label 7891*/ GIMT_Encode4(463989), // Rule ID 14090 //
     /*  463905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  463913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  463916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  463919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  463922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  463952 */     // MIs[1] Operand 1
     /*  463952 */     // No operand predicates
     /*  463952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463961 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  463964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  463987 */     GIR_RootConstrainSelectedInstOperands,
     /*  463988 */     // GIR_Coverage, 14090,
     /*  463988 */     GIR_EraseRootFromParent_Done,
     /*  463989 */   // Label 7891: @463989
     /*  463989 */   GIM_Try, /*On fail goto*//*Label 7892*/ GIMT_Encode4(464078), // Rule ID 14093 //
     /*  463994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  464005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  464008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  464011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464041 */     // MIs[1] Operand 1
     /*  464041 */     // No operand predicates
     /*  464041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464050 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  464050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  464053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464073 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464076 */     GIR_RootConstrainSelectedInstOperands,
     /*  464077 */     // GIR_Coverage, 14093,
     /*  464077 */     GIR_EraseRootFromParent_Done,
     /*  464078 */   // Label 7892: @464078
     /*  464078 */   GIM_Try, /*On fail goto*//*Label 7893*/ GIMT_Encode4(464167), // Rule ID 14094 //
     /*  464083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  464094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  464097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  464100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464130 */     // MIs[1] Operand 1
     /*  464130 */     // No operand predicates
     /*  464130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464139 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  464139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  464142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464165 */     GIR_RootConstrainSelectedInstOperands,
     /*  464166 */     // GIR_Coverage, 14094,
     /*  464166 */     GIR_EraseRootFromParent_Done,
     /*  464167 */   // Label 7893: @464167
     /*  464167 */   GIM_Try, /*On fail goto*//*Label 7894*/ GIMT_Encode4(464256), // Rule ID 14097 //
     /*  464172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  464183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  464186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  464189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464219 */     // MIs[1] Operand 1
     /*  464219 */     // No operand predicates
     /*  464219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464228 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  464228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  464231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464254 */     GIR_RootConstrainSelectedInstOperands,
     /*  464255 */     // GIR_Coverage, 14097,
     /*  464255 */     GIR_EraseRootFromParent_Done,
     /*  464256 */   // Label 7894: @464256
     /*  464256 */   GIM_Try, /*On fail goto*//*Label 7895*/ GIMT_Encode4(464345), // Rule ID 14098 //
     /*  464261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  464272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  464275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  464278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464308 */     // MIs[1] Operand 1
     /*  464308 */     // No operand predicates
     /*  464308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464317 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  464317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  464320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464340 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464343 */     GIR_RootConstrainSelectedInstOperands,
     /*  464344 */     // GIR_Coverage, 14098,
     /*  464344 */     GIR_EraseRootFromParent_Done,
     /*  464345 */   // Label 7895: @464345
     /*  464345 */   GIM_Try, /*On fail goto*//*Label 7896*/ GIMT_Encode4(464434), // Rule ID 14101 //
     /*  464350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  464361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  464364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  464367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464397 */     // MIs[1] Operand 1
     /*  464397 */     // No operand predicates
     /*  464397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464406 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  464409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464429 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464432 */     GIR_RootConstrainSelectedInstOperands,
     /*  464433 */     // GIR_Coverage, 14101,
     /*  464433 */     GIR_EraseRootFromParent_Done,
     /*  464434 */   // Label 7896: @464434
     /*  464434 */   GIM_Try, /*On fail goto*//*Label 7897*/ GIMT_Encode4(464523), // Rule ID 14102 //
     /*  464439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  464450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  464453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  464456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464486 */     // MIs[1] Operand 1
     /*  464486 */     // No operand predicates
     /*  464486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464495 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  464498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464521 */     GIR_RootConstrainSelectedInstOperands,
     /*  464522 */     // GIR_Coverage, 14102,
     /*  464522 */     GIR_EraseRootFromParent_Done,
     /*  464523 */   // Label 7897: @464523
     /*  464523 */   GIM_Try, /*On fail goto*//*Label 7898*/ GIMT_Encode4(464612), // Rule ID 14105 //
     /*  464528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  464539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  464542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  464545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464575 */     // MIs[1] Operand 1
     /*  464575 */     // No operand predicates
     /*  464575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464584 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  464587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464610 */     GIR_RootConstrainSelectedInstOperands,
     /*  464611 */     // GIR_Coverage, 14105,
     /*  464611 */     GIR_EraseRootFromParent_Done,
     /*  464612 */   // Label 7898: @464612
     /*  464612 */   GIM_Try, /*On fail goto*//*Label 7899*/ GIMT_Encode4(464701), // Rule ID 14106 //
     /*  464617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  464628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  464631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  464634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464664 */     // MIs[1] Operand 1
     /*  464664 */     // No operand predicates
     /*  464664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464673 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  464676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464696 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464699 */     GIR_RootConstrainSelectedInstOperands,
     /*  464700 */     // GIR_Coverage, 14106,
     /*  464700 */     GIR_EraseRootFromParent_Done,
     /*  464701 */   // Label 7899: @464701
     /*  464701 */   GIM_Try, /*On fail goto*//*Label 7900*/ GIMT_Encode4(464790), // Rule ID 14109 //
     /*  464706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  464717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  464720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  464723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464753 */     // MIs[1] Operand 1
     /*  464753 */     // No operand predicates
     /*  464753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464762 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  464762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  464765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464788 */     GIR_RootConstrainSelectedInstOperands,
     /*  464789 */     // GIR_Coverage, 14109,
     /*  464789 */     GIR_EraseRootFromParent_Done,
     /*  464790 */   // Label 7900: @464790
     /*  464790 */   GIM_Try, /*On fail goto*//*Label 7901*/ GIMT_Encode4(464879), // Rule ID 14110 //
     /*  464795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  464806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  464809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  464812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464842 */     // MIs[1] Operand 1
     /*  464842 */     // No operand predicates
     /*  464842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464851 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  464851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  464854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464877 */     GIR_RootConstrainSelectedInstOperands,
     /*  464878 */     // GIR_Coverage, 14110,
     /*  464878 */     GIR_EraseRootFromParent_Done,
     /*  464879 */   // Label 7901: @464879
     /*  464879 */   GIM_Try, /*On fail goto*//*Label 7902*/ GIMT_Encode4(464968), // Rule ID 14113 //
     /*  464884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  464895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  464898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  464901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464931 */     // MIs[1] Operand 1
     /*  464931 */     // No operand predicates
     /*  464931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464940 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  464943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464966 */     GIR_RootConstrainSelectedInstOperands,
     /*  464967 */     // GIR_Coverage, 14113,
     /*  464967 */     GIR_EraseRootFromParent_Done,
     /*  464968 */   // Label 7902: @464968
     /*  464968 */   GIM_Try, /*On fail goto*//*Label 7903*/ GIMT_Encode4(465057), // Rule ID 14114 //
     /*  464973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  464981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  464984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  464987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  464990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465020 */     // MIs[1] Operand 1
     /*  465020 */     // No operand predicates
     /*  465020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465029 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  465029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  465032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465055 */     GIR_RootConstrainSelectedInstOperands,
     /*  465056 */     // GIR_Coverage, 14114,
     /*  465056 */     GIR_EraseRootFromParent_Done,
     /*  465057 */   // Label 7903: @465057
     /*  465057 */   GIM_Try, /*On fail goto*//*Label 7904*/ GIMT_Encode4(465146), // Rule ID 14117 //
     /*  465062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  465065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  465073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  465076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  465079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465109 */     // MIs[1] Operand 1
     /*  465109 */     // No operand predicates
     /*  465109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465118 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  465118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  465121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  465138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465141 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465144 */     GIR_RootConstrainSelectedInstOperands,
     /*  465145 */     // GIR_Coverage, 14117,
     /*  465145 */     GIR_EraseRootFromParent_Done,
     /*  465146 */   // Label 7904: @465146
     /*  465146 */   GIM_Try, /*On fail goto*//*Label 7905*/ GIMT_Encode4(465235), // Rule ID 14118 //
     /*  465151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  465154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  465162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  465165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  465168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465198 */     // MIs[1] Operand 1
     /*  465198 */     // No operand predicates
     /*  465198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465207 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  465207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  465210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  465227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465233 */     GIR_RootConstrainSelectedInstOperands,
     /*  465234 */     // GIR_Coverage, 14118,
     /*  465234 */     GIR_EraseRootFromParent_Done,
     /*  465235 */   // Label 7905: @465235
     /*  465235 */   GIM_Try, /*On fail goto*//*Label 7906*/ GIMT_Encode4(465324), // Rule ID 14121 //
     /*  465240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  465251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  465254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  465257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465287 */     // MIs[1] Operand 1
     /*  465287 */     // No operand predicates
     /*  465287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465296 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  465299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465319 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465322 */     GIR_RootConstrainSelectedInstOperands,
     /*  465323 */     // GIR_Coverage, 14121,
     /*  465323 */     GIR_EraseRootFromParent_Done,
     /*  465324 */   // Label 7906: @465324
     /*  465324 */   GIM_Try, /*On fail goto*//*Label 7907*/ GIMT_Encode4(465413), // Rule ID 14122 //
     /*  465329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  465340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  465343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  465346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465376 */     // MIs[1] Operand 1
     /*  465376 */     // No operand predicates
     /*  465376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465385 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  465388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465411 */     GIR_RootConstrainSelectedInstOperands,
     /*  465412 */     // GIR_Coverage, 14122,
     /*  465412 */     GIR_EraseRootFromParent_Done,
     /*  465413 */   // Label 7907: @465413
     /*  465413 */   GIM_Try, /*On fail goto*//*Label 7908*/ GIMT_Encode4(465502), // Rule ID 14125 //
     /*  465418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  465429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  465432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  465435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465465 */     // MIs[1] Operand 1
     /*  465465 */     // No operand predicates
     /*  465465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465474 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  465477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465500 */     GIR_RootConstrainSelectedInstOperands,
     /*  465501 */     // GIR_Coverage, 14125,
     /*  465501 */     GIR_EraseRootFromParent_Done,
     /*  465502 */   // Label 7908: @465502
     /*  465502 */   GIM_Try, /*On fail goto*//*Label 7909*/ GIMT_Encode4(465591), // Rule ID 14126 //
     /*  465507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  465518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  465521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  465524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465554 */     // MIs[1] Operand 1
     /*  465554 */     // No operand predicates
     /*  465554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465563 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  465566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465589 */     GIR_RootConstrainSelectedInstOperands,
     /*  465590 */     // GIR_Coverage, 14126,
     /*  465590 */     GIR_EraseRootFromParent_Done,
     /*  465591 */   // Label 7909: @465591
     /*  465591 */   GIM_Try, /*On fail goto*//*Label 7910*/ GIMT_Encode4(465680), // Rule ID 14129 //
     /*  465596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  465607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  465610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  465613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465643 */     // MIs[1] Operand 1
     /*  465643 */     // No operand predicates
     /*  465643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465652 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  465655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465678 */     GIR_RootConstrainSelectedInstOperands,
     /*  465679 */     // GIR_Coverage, 14129,
     /*  465679 */     GIR_EraseRootFromParent_Done,
     /*  465680 */   // Label 7910: @465680
     /*  465680 */   GIM_Try, /*On fail goto*//*Label 7911*/ GIMT_Encode4(465769), // Rule ID 14130 //
     /*  465685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  465696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  465699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  465702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465732 */     // MIs[1] Operand 1
     /*  465732 */     // No operand predicates
     /*  465732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465741 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  465744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465764 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465767 */     GIR_RootConstrainSelectedInstOperands,
     /*  465768 */     // GIR_Coverage, 14130,
     /*  465768 */     GIR_EraseRootFromParent_Done,
     /*  465769 */   // Label 7911: @465769
     /*  465769 */   GIM_Try, /*On fail goto*//*Label 7912*/ GIMT_Encode4(465858), // Rule ID 14133 //
     /*  465774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  465785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  465788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  465791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465821 */     // MIs[1] Operand 1
     /*  465821 */     // No operand predicates
     /*  465821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465830 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  465833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465856 */     GIR_RootConstrainSelectedInstOperands,
     /*  465857 */     // GIR_Coverage, 14133,
     /*  465857 */     GIR_EraseRootFromParent_Done,
     /*  465858 */   // Label 7912: @465858
     /*  465858 */   GIM_Try, /*On fail goto*//*Label 7913*/ GIMT_Encode4(465947), // Rule ID 14134 //
     /*  465863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  465874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  465877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  465880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465910 */     // MIs[1] Operand 1
     /*  465910 */     // No operand predicates
     /*  465910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465919 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  465922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465945 */     GIR_RootConstrainSelectedInstOperands,
     /*  465946 */     // GIR_Coverage, 14134,
     /*  465946 */     GIR_EraseRootFromParent_Done,
     /*  465947 */   // Label 7913: @465947
     /*  465947 */   GIM_Try, /*On fail goto*//*Label 7914*/ GIMT_Encode4(466036), // Rule ID 14137 //
     /*  465952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  465960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  465963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  465966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  465969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465999 */     // MIs[1] Operand 1
     /*  465999 */     // No operand predicates
     /*  465999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466008 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  466008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  466011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466034 */     GIR_RootConstrainSelectedInstOperands,
     /*  466035 */     // GIR_Coverage, 14137,
     /*  466035 */     GIR_EraseRootFromParent_Done,
     /*  466036 */   // Label 7914: @466036
     /*  466036 */   GIM_Try, /*On fail goto*//*Label 7915*/ GIMT_Encode4(466125), // Rule ID 14138 //
     /*  466041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  466052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  466055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  466058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466088 */     // MIs[1] Operand 1
     /*  466088 */     // No operand predicates
     /*  466088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466097 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  466097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  466100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466123 */     GIR_RootConstrainSelectedInstOperands,
     /*  466124 */     // GIR_Coverage, 14138,
     /*  466124 */     GIR_EraseRootFromParent_Done,
     /*  466125 */   // Label 7915: @466125
     /*  466125 */   GIM_Try, /*On fail goto*//*Label 7916*/ GIMT_Encode4(466214), // Rule ID 14141 //
     /*  466130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  466141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  466144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  466147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466177 */     // MIs[1] Operand 1
     /*  466177 */     // No operand predicates
     /*  466177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466186 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  466186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  466189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466209 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466212 */     GIR_RootConstrainSelectedInstOperands,
     /*  466213 */     // GIR_Coverage, 14141,
     /*  466213 */     GIR_EraseRootFromParent_Done,
     /*  466214 */   // Label 7916: @466214
     /*  466214 */   GIM_Try, /*On fail goto*//*Label 7917*/ GIMT_Encode4(466303), // Rule ID 14142 //
     /*  466219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  466230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  466233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  466236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466266 */     // MIs[1] Operand 1
     /*  466266 */     // No operand predicates
     /*  466266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466275 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  466275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  466278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466298 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466301 */     GIR_RootConstrainSelectedInstOperands,
     /*  466302 */     // GIR_Coverage, 14142,
     /*  466302 */     GIR_EraseRootFromParent_Done,
     /*  466303 */   // Label 7917: @466303
     /*  466303 */   GIM_Try, /*On fail goto*//*Label 7918*/ GIMT_Encode4(466392), // Rule ID 14145 //
     /*  466308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  466319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  466322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  466325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466355 */     // MIs[1] Operand 1
     /*  466355 */     // No operand predicates
     /*  466355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  466367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466387 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466390 */     GIR_RootConstrainSelectedInstOperands,
     /*  466391 */     // GIR_Coverage, 14145,
     /*  466391 */     GIR_EraseRootFromParent_Done,
     /*  466392 */   // Label 7918: @466392
     /*  466392 */   GIM_Try, /*On fail goto*//*Label 7919*/ GIMT_Encode4(466481), // Rule ID 14146 //
     /*  466397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  466408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  466411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  466414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466444 */     // MIs[1] Operand 1
     /*  466444 */     // No operand predicates
     /*  466444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466453 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  466456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466476 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466479 */     GIR_RootConstrainSelectedInstOperands,
     /*  466480 */     // GIR_Coverage, 14146,
     /*  466480 */     GIR_EraseRootFromParent_Done,
     /*  466481 */   // Label 7919: @466481
     /*  466481 */   GIM_Try, /*On fail goto*//*Label 7920*/ GIMT_Encode4(466570), // Rule ID 14149 //
     /*  466486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  466497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  466500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  466503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466533 */     // MIs[1] Operand 1
     /*  466533 */     // No operand predicates
     /*  466533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466542 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  466545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466565 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466568 */     GIR_RootConstrainSelectedInstOperands,
     /*  466569 */     // GIR_Coverage, 14149,
     /*  466569 */     GIR_EraseRootFromParent_Done,
     /*  466570 */   // Label 7920: @466570
     /*  466570 */   GIM_Try, /*On fail goto*//*Label 7921*/ GIMT_Encode4(466659), // Rule ID 14150 //
     /*  466575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  466586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  466589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  466592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466622 */     // MIs[1] Operand 1
     /*  466622 */     // No operand predicates
     /*  466622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466631 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  466634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466657 */     GIR_RootConstrainSelectedInstOperands,
     /*  466658 */     // GIR_Coverage, 14150,
     /*  466658 */     GIR_EraseRootFromParent_Done,
     /*  466659 */   // Label 7921: @466659
     /*  466659 */   GIM_Try, /*On fail goto*//*Label 7922*/ GIMT_Encode4(466748), // Rule ID 14153 //
     /*  466664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  466675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  466678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  466681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466711 */     // MIs[1] Operand 1
     /*  466711 */     // No operand predicates
     /*  466711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466720 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  466723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466746 */     GIR_RootConstrainSelectedInstOperands,
     /*  466747 */     // GIR_Coverage, 14153,
     /*  466747 */     GIR_EraseRootFromParent_Done,
     /*  466748 */   // Label 7922: @466748
     /*  466748 */   GIM_Try, /*On fail goto*//*Label 7923*/ GIMT_Encode4(466837), // Rule ID 14154 //
     /*  466753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  466764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  466767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  466770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466800 */     // MIs[1] Operand 1
     /*  466800 */     // No operand predicates
     /*  466800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466809 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  466812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466835 */     GIR_RootConstrainSelectedInstOperands,
     /*  466836 */     // GIR_Coverage, 14154,
     /*  466836 */     GIR_EraseRootFromParent_Done,
     /*  466837 */   // Label 7923: @466837
     /*  466837 */   GIM_Try, /*On fail goto*//*Label 7924*/ GIMT_Encode4(466926), // Rule ID 14157 //
     /*  466842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  466845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  466853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  466856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  466859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466889 */     // MIs[1] Operand 1
     /*  466889 */     // No operand predicates
     /*  466889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466898 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  466898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  466901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  466918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466924 */     GIR_RootConstrainSelectedInstOperands,
     /*  466925 */     // GIR_Coverage, 14157,
     /*  466925 */     GIR_EraseRootFromParent_Done,
     /*  466926 */   // Label 7924: @466926
     /*  466926 */   GIM_Try, /*On fail goto*//*Label 7925*/ GIMT_Encode4(467015), // Rule ID 14158 //
     /*  466931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  466934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  466939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  466942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  466945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  466948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466978 */     // MIs[1] Operand 1
     /*  466978 */     // No operand predicates
     /*  466978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466987 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  466987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  466990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  467007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467013 */     GIR_RootConstrainSelectedInstOperands,
     /*  467014 */     // GIR_Coverage, 14158,
     /*  467014 */     GIR_EraseRootFromParent_Done,
     /*  467015 */   // Label 7925: @467015
     /*  467015 */   GIM_Try, /*On fail goto*//*Label 7926*/ GIMT_Encode4(467104), // Rule ID 14161 //
     /*  467020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  467023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  467031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  467034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  467037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467067 */     // MIs[1] Operand 1
     /*  467067 */     // No operand predicates
     /*  467067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467076 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  467076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  467096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467102 */     GIR_RootConstrainSelectedInstOperands,
     /*  467103 */     // GIR_Coverage, 14161,
     /*  467103 */     GIR_EraseRootFromParent_Done,
     /*  467104 */   // Label 7926: @467104
     /*  467104 */   GIM_Try, /*On fail goto*//*Label 7927*/ GIMT_Encode4(467193), // Rule ID 14162 //
     /*  467109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  467112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  467120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  467123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  467126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467156 */     // MIs[1] Operand 1
     /*  467156 */     // No operand predicates
     /*  467156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467165 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  467165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  467168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  467185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467191 */     GIR_RootConstrainSelectedInstOperands,
     /*  467192 */     // GIR_Coverage, 14162,
     /*  467192 */     GIR_EraseRootFromParent_Done,
     /*  467193 */   // Label 7927: @467193
     /*  467193 */   GIM_Try, /*On fail goto*//*Label 7928*/ GIMT_Encode4(467282), // Rule ID 14165 //
     /*  467198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  467201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  467209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  467212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  467215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467245 */     // MIs[1] Operand 1
     /*  467245 */     // No operand predicates
     /*  467245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467254 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  467254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  467257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  467274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467280 */     GIR_RootConstrainSelectedInstOperands,
     /*  467281 */     // GIR_Coverage, 14165,
     /*  467281 */     GIR_EraseRootFromParent_Done,
     /*  467282 */   // Label 7928: @467282
     /*  467282 */   GIM_Try, /*On fail goto*//*Label 7929*/ GIMT_Encode4(467371), // Rule ID 14166 //
     /*  467287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  467290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  467295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  467298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  467301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  467304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467334 */     // MIs[1] Operand 1
     /*  467334 */     // No operand predicates
     /*  467334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467343 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  467343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  467346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  467363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467369 */     GIR_RootConstrainSelectedInstOperands,
     /*  467370 */     // GIR_Coverage, 14166,
     /*  467370 */     GIR_EraseRootFromParent_Done,
     /*  467371 */   // Label 7929: @467371
     /*  467371 */   GIM_Try, /*On fail goto*//*Label 7930*/ GIMT_Encode4(467460), // Rule ID 14345 //
     /*  467376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  467384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  467387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  467390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  467393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467423 */     // MIs[1] Operand 1
     /*  467423 */     // No operand predicates
     /*  467423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467432 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  467435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467455 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467458 */     GIR_RootConstrainSelectedInstOperands,
     /*  467459 */     // GIR_Coverage, 14345,
     /*  467459 */     GIR_EraseRootFromParent_Done,
     /*  467460 */   // Label 7930: @467460
     /*  467460 */   GIM_Try, /*On fail goto*//*Label 7931*/ GIMT_Encode4(467549), // Rule ID 14346 //
     /*  467465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  467473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  467476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  467479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  467482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467512 */     // MIs[1] Operand 1
     /*  467512 */     // No operand predicates
     /*  467512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467521 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  467524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467547 */     GIR_RootConstrainSelectedInstOperands,
     /*  467548 */     // GIR_Coverage, 14346,
     /*  467548 */     GIR_EraseRootFromParent_Done,
     /*  467549 */   // Label 7931: @467549
     /*  467549 */   GIM_Try, /*On fail goto*//*Label 7932*/ GIMT_Encode4(467638), // Rule ID 14349 //
     /*  467554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  467562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  467565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  467568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  467571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467601 */     // MIs[1] Operand 1
     /*  467601 */     // No operand predicates
     /*  467601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467610 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  467613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467633 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467636 */     GIR_RootConstrainSelectedInstOperands,
     /*  467637 */     // GIR_Coverage, 14349,
     /*  467637 */     GIR_EraseRootFromParent_Done,
     /*  467638 */   // Label 7932: @467638
     /*  467638 */   GIM_Try, /*On fail goto*//*Label 7933*/ GIMT_Encode4(467727), // Rule ID 14350 //
     /*  467643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  467651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  467654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  467657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  467660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467690 */     // MIs[1] Operand 1
     /*  467690 */     // No operand predicates
     /*  467690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467699 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  467702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467725 */     GIR_RootConstrainSelectedInstOperands,
     /*  467726 */     // GIR_Coverage, 14350,
     /*  467726 */     GIR_EraseRootFromParent_Done,
     /*  467727 */   // Label 7933: @467727
     /*  467727 */   GIM_Try, /*On fail goto*//*Label 7934*/ GIMT_Encode4(467816), // Rule ID 14353 //
     /*  467732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  467740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  467743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  467746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  467749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467779 */     // MIs[1] Operand 1
     /*  467779 */     // No operand predicates
     /*  467779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467788 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  467791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467814 */     GIR_RootConstrainSelectedInstOperands,
     /*  467815 */     // GIR_Coverage, 14353,
     /*  467815 */     GIR_EraseRootFromParent_Done,
     /*  467816 */   // Label 7934: @467816
     /*  467816 */   GIM_Try, /*On fail goto*//*Label 7935*/ GIMT_Encode4(467905), // Rule ID 14354 //
     /*  467821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  467829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  467832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  467835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  467838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467868 */     // MIs[1] Operand 1
     /*  467868 */     // No operand predicates
     /*  467868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467877 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  467880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467903 */     GIR_RootConstrainSelectedInstOperands,
     /*  467904 */     // GIR_Coverage, 14354,
     /*  467904 */     GIR_EraseRootFromParent_Done,
     /*  467905 */   // Label 7935: @467905
     /*  467905 */   GIM_Try, /*On fail goto*//*Label 7936*/ GIMT_Encode4(467994), // Rule ID 14357 //
     /*  467910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  467918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  467921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  467924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  467927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  467957 */     // MIs[1] Operand 1
     /*  467957 */     // No operand predicates
     /*  467957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467966 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  467969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  467992 */     GIR_RootConstrainSelectedInstOperands,
     /*  467993 */     // GIR_Coverage, 14357,
     /*  467993 */     GIR_EraseRootFromParent_Done,
     /*  467994 */   // Label 7936: @467994
     /*  467994 */   GIM_Try, /*On fail goto*//*Label 7937*/ GIMT_Encode4(468083), // Rule ID 14358 //
     /*  467999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  468010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  468013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  468016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468046 */     // MIs[1] Operand 1
     /*  468046 */     // No operand predicates
     /*  468046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468055 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  468058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468078 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468081 */     GIR_RootConstrainSelectedInstOperands,
     /*  468082 */     // GIR_Coverage, 14358,
     /*  468082 */     GIR_EraseRootFromParent_Done,
     /*  468083 */   // Label 7937: @468083
     /*  468083 */   GIM_Try, /*On fail goto*//*Label 7938*/ GIMT_Encode4(468172), // Rule ID 14361 //
     /*  468088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  468099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  468102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  468105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468135 */     // MIs[1] Operand 1
     /*  468135 */     // No operand predicates
     /*  468135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  468147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468167 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468170 */     GIR_RootConstrainSelectedInstOperands,
     /*  468171 */     // GIR_Coverage, 14361,
     /*  468171 */     GIR_EraseRootFromParent_Done,
     /*  468172 */   // Label 7938: @468172
     /*  468172 */   GIM_Try, /*On fail goto*//*Label 7939*/ GIMT_Encode4(468261), // Rule ID 14362 //
     /*  468177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  468188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  468191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  468194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468224 */     // MIs[1] Operand 1
     /*  468224 */     // No operand predicates
     /*  468224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468233 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  468236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468256 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468259 */     GIR_RootConstrainSelectedInstOperands,
     /*  468260 */     // GIR_Coverage, 14362,
     /*  468260 */     GIR_EraseRootFromParent_Done,
     /*  468261 */   // Label 7939: @468261
     /*  468261 */   GIM_Try, /*On fail goto*//*Label 7940*/ GIMT_Encode4(468350), // Rule ID 14365 //
     /*  468266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  468277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  468280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  468283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468313 */     // MIs[1] Operand 1
     /*  468313 */     // No operand predicates
     /*  468313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  468322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  468325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468345 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468348 */     GIR_RootConstrainSelectedInstOperands,
     /*  468349 */     // GIR_Coverage, 14365,
     /*  468349 */     GIR_EraseRootFromParent_Done,
     /*  468350 */   // Label 7940: @468350
     /*  468350 */   GIM_Try, /*On fail goto*//*Label 7941*/ GIMT_Encode4(468439), // Rule ID 14366 //
     /*  468355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  468366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  468369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  468372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468402 */     // MIs[1] Operand 1
     /*  468402 */     // No operand predicates
     /*  468402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468411 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  468411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  468414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468437 */     GIR_RootConstrainSelectedInstOperands,
     /*  468438 */     // GIR_Coverage, 14366,
     /*  468438 */     GIR_EraseRootFromParent_Done,
     /*  468439 */   // Label 7941: @468439
     /*  468439 */   GIM_Try, /*On fail goto*//*Label 7942*/ GIMT_Encode4(468528), // Rule ID 14369 //
     /*  468444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  468455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  468458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  468461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468491 */     // MIs[1] Operand 1
     /*  468491 */     // No operand predicates
     /*  468491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468500 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  468500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  468503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468526 */     GIR_RootConstrainSelectedInstOperands,
     /*  468527 */     // GIR_Coverage, 14369,
     /*  468527 */     GIR_EraseRootFromParent_Done,
     /*  468528 */   // Label 7942: @468528
     /*  468528 */   GIM_Try, /*On fail goto*//*Label 7943*/ GIMT_Encode4(468617), // Rule ID 14370 //
     /*  468533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  468544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  468547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  468550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468580 */     // MIs[1] Operand 1
     /*  468580 */     // No operand predicates
     /*  468580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468589 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  468589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  468592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468615 */     GIR_RootConstrainSelectedInstOperands,
     /*  468616 */     // GIR_Coverage, 14370,
     /*  468616 */     GIR_EraseRootFromParent_Done,
     /*  468617 */   // Label 7943: @468617
     /*  468617 */   GIM_Try, /*On fail goto*//*Label 7944*/ GIMT_Encode4(468706), // Rule ID 14373 //
     /*  468622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  468633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  468636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  468639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468669 */     // MIs[1] Operand 1
     /*  468669 */     // No operand predicates
     /*  468669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468678 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  468681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468704 */     GIR_RootConstrainSelectedInstOperands,
     /*  468705 */     // GIR_Coverage, 14373,
     /*  468705 */     GIR_EraseRootFromParent_Done,
     /*  468706 */   // Label 7944: @468706
     /*  468706 */   GIM_Try, /*On fail goto*//*Label 7945*/ GIMT_Encode4(468795), // Rule ID 14374 //
     /*  468711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  468722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  468725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  468728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468758 */     // MIs[1] Operand 1
     /*  468758 */     // No operand predicates
     /*  468758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468767 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  468770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468793 */     GIR_RootConstrainSelectedInstOperands,
     /*  468794 */     // GIR_Coverage, 14374,
     /*  468794 */     GIR_EraseRootFromParent_Done,
     /*  468795 */   // Label 7945: @468795
     /*  468795 */   GIM_Try, /*On fail goto*//*Label 7946*/ GIMT_Encode4(468884), // Rule ID 14377 //
     /*  468800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  468811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  468814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  468817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468847 */     // MIs[1] Operand 1
     /*  468847 */     // No operand predicates
     /*  468847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468856 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  468856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  468859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468879 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468882 */     GIR_RootConstrainSelectedInstOperands,
     /*  468883 */     // GIR_Coverage, 14377,
     /*  468883 */     GIR_EraseRootFromParent_Done,
     /*  468884 */   // Label 7946: @468884
     /*  468884 */   GIM_Try, /*On fail goto*//*Label 7947*/ GIMT_Encode4(468973), // Rule ID 14378 //
     /*  468889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  468900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  468903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  468906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  468936 */     // MIs[1] Operand 1
     /*  468936 */     // No operand predicates
     /*  468936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468945 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  468945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  468948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  468971 */     GIR_RootConstrainSelectedInstOperands,
     /*  468972 */     // GIR_Coverage, 14378,
     /*  468972 */     GIR_EraseRootFromParent_Done,
     /*  468973 */   // Label 7947: @468973
     /*  468973 */   GIM_Try, /*On fail goto*//*Label 7948*/ GIMT_Encode4(469062), // Rule ID 14381 //
     /*  468978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  468981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  468986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  468989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  468992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  468995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469025 */     // MIs[1] Operand 1
     /*  469025 */     // No operand predicates
     /*  469025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469034 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  469034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  469037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  469054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469060 */     GIR_RootConstrainSelectedInstOperands,
     /*  469061 */     // GIR_Coverage, 14381,
     /*  469061 */     GIR_EraseRootFromParent_Done,
     /*  469062 */   // Label 7948: @469062
     /*  469062 */   GIM_Try, /*On fail goto*//*Label 7949*/ GIMT_Encode4(469151), // Rule ID 14382 //
     /*  469067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  469070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  469078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  469081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  469084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469114 */     // MIs[1] Operand 1
     /*  469114 */     // No operand predicates
     /*  469114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469123 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  469123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  469126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  469143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469149 */     GIR_RootConstrainSelectedInstOperands,
     /*  469150 */     // GIR_Coverage, 14382,
     /*  469150 */     GIR_EraseRootFromParent_Done,
     /*  469151 */   // Label 7949: @469151
     /*  469151 */   GIM_Try, /*On fail goto*//*Label 7950*/ GIMT_Encode4(469240), // Rule ID 14385 //
     /*  469156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  469167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  469170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  469173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469203 */     // MIs[1] Operand 1
     /*  469203 */     // No operand predicates
     /*  469203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469212 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  469215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469238 */     GIR_RootConstrainSelectedInstOperands,
     /*  469239 */     // GIR_Coverage, 14385,
     /*  469239 */     GIR_EraseRootFromParent_Done,
     /*  469240 */   // Label 7950: @469240
     /*  469240 */   GIM_Try, /*On fail goto*//*Label 7951*/ GIMT_Encode4(469329), // Rule ID 14386 //
     /*  469245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  469256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  469259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  469262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469292 */     // MIs[1] Operand 1
     /*  469292 */     // No operand predicates
     /*  469292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469301 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  469304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469327 */     GIR_RootConstrainSelectedInstOperands,
     /*  469328 */     // GIR_Coverage, 14386,
     /*  469328 */     GIR_EraseRootFromParent_Done,
     /*  469329 */   // Label 7951: @469329
     /*  469329 */   GIM_Try, /*On fail goto*//*Label 7952*/ GIMT_Encode4(469418), // Rule ID 14389 //
     /*  469334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  469345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  469348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  469351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469381 */     // MIs[1] Operand 1
     /*  469381 */     // No operand predicates
     /*  469381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469390 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  469393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469416 */     GIR_RootConstrainSelectedInstOperands,
     /*  469417 */     // GIR_Coverage, 14389,
     /*  469417 */     GIR_EraseRootFromParent_Done,
     /*  469418 */   // Label 7952: @469418
     /*  469418 */   GIM_Try, /*On fail goto*//*Label 7953*/ GIMT_Encode4(469507), // Rule ID 14390 //
     /*  469423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  469434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  469437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  469440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469470 */     // MIs[1] Operand 1
     /*  469470 */     // No operand predicates
     /*  469470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469479 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  469482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469505 */     GIR_RootConstrainSelectedInstOperands,
     /*  469506 */     // GIR_Coverage, 14390,
     /*  469506 */     GIR_EraseRootFromParent_Done,
     /*  469507 */   // Label 7953: @469507
     /*  469507 */   GIM_Try, /*On fail goto*//*Label 7954*/ GIMT_Encode4(469596), // Rule ID 14393 //
     /*  469512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  469523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  469526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  469529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469559 */     // MIs[1] Operand 1
     /*  469559 */     // No operand predicates
     /*  469559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469568 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  469571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469594 */     GIR_RootConstrainSelectedInstOperands,
     /*  469595 */     // GIR_Coverage, 14393,
     /*  469595 */     GIR_EraseRootFromParent_Done,
     /*  469596 */   // Label 7954: @469596
     /*  469596 */   GIM_Try, /*On fail goto*//*Label 7955*/ GIMT_Encode4(469685), // Rule ID 14394 //
     /*  469601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  469612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  469615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  469618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469648 */     // MIs[1] Operand 1
     /*  469648 */     // No operand predicates
     /*  469648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469657 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  469660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469683 */     GIR_RootConstrainSelectedInstOperands,
     /*  469684 */     // GIR_Coverage, 14394,
     /*  469684 */     GIR_EraseRootFromParent_Done,
     /*  469685 */   // Label 7955: @469685
     /*  469685 */   GIM_Try, /*On fail goto*//*Label 7956*/ GIMT_Encode4(469774), // Rule ID 14397 //
     /*  469690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  469701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  469704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  469707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469737 */     // MIs[1] Operand 1
     /*  469737 */     // No operand predicates
     /*  469737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469746 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  469749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469772 */     GIR_RootConstrainSelectedInstOperands,
     /*  469773 */     // GIR_Coverage, 14397,
     /*  469773 */     GIR_EraseRootFromParent_Done,
     /*  469774 */   // Label 7956: @469774
     /*  469774 */   GIM_Try, /*On fail goto*//*Label 7957*/ GIMT_Encode4(469863), // Rule ID 14398 //
     /*  469779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  469790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  469793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  469796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469826 */     // MIs[1] Operand 1
     /*  469826 */     // No operand predicates
     /*  469826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469835 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  469835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  469838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469861 */     GIR_RootConstrainSelectedInstOperands,
     /*  469862 */     // GIR_Coverage, 14398,
     /*  469862 */     GIR_EraseRootFromParent_Done,
     /*  469863 */   // Label 7957: @469863
     /*  469863 */   GIM_Try, /*On fail goto*//*Label 7958*/ GIMT_Encode4(469952), // Rule ID 14401 //
     /*  469868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  469879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  469882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  469885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469915 */     // MIs[1] Operand 1
     /*  469915 */     // No operand predicates
     /*  469915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469924 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  469927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  469950 */     GIR_RootConstrainSelectedInstOperands,
     /*  469951 */     // GIR_Coverage, 14401,
     /*  469951 */     GIR_EraseRootFromParent_Done,
     /*  469952 */   // Label 7958: @469952
     /*  469952 */   GIM_Try, /*On fail goto*//*Label 7959*/ GIMT_Encode4(470041), // Rule ID 14402 //
     /*  469957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  469965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  469968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  469971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  469974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470004 */     // MIs[1] Operand 1
     /*  470004 */     // No operand predicates
     /*  470004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470013 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  470013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  470016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470036 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470039 */     GIR_RootConstrainSelectedInstOperands,
     /*  470040 */     // GIR_Coverage, 14402,
     /*  470040 */     GIR_EraseRootFromParent_Done,
     /*  470041 */   // Label 7959: @470041
     /*  470041 */   GIM_Try, /*On fail goto*//*Label 7960*/ GIMT_Encode4(470130), // Rule ID 14405 //
     /*  470046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  470057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  470060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  470063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470093 */     // MIs[1] Operand 1
     /*  470093 */     // No operand predicates
     /*  470093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470102 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  470102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  470105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470128 */     GIR_RootConstrainSelectedInstOperands,
     /*  470129 */     // GIR_Coverage, 14405,
     /*  470129 */     GIR_EraseRootFromParent_Done,
     /*  470130 */   // Label 7960: @470130
     /*  470130 */   GIM_Try, /*On fail goto*//*Label 7961*/ GIMT_Encode4(470219), // Rule ID 14406 //
     /*  470135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  470146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  470149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  470152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470182 */     // MIs[1] Operand 1
     /*  470182 */     // No operand predicates
     /*  470182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470191 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  470191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  470194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470217 */     GIR_RootConstrainSelectedInstOperands,
     /*  470218 */     // GIR_Coverage, 14406,
     /*  470218 */     GIR_EraseRootFromParent_Done,
     /*  470219 */   // Label 7961: @470219
     /*  470219 */   GIM_Try, /*On fail goto*//*Label 7962*/ GIMT_Encode4(470308), // Rule ID 14409 //
     /*  470224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  470235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  470238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  470241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470271 */     // MIs[1] Operand 1
     /*  470271 */     // No operand predicates
     /*  470271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470280 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  470283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470306 */     GIR_RootConstrainSelectedInstOperands,
     /*  470307 */     // GIR_Coverage, 14409,
     /*  470307 */     GIR_EraseRootFromParent_Done,
     /*  470308 */   // Label 7962: @470308
     /*  470308 */   GIM_Try, /*On fail goto*//*Label 7963*/ GIMT_Encode4(470397), // Rule ID 14410 //
     /*  470313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  470324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  470327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  470330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470360 */     // MIs[1] Operand 1
     /*  470360 */     // No operand predicates
     /*  470360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470369 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  470372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470395 */     GIR_RootConstrainSelectedInstOperands,
     /*  470396 */     // GIR_Coverage, 14410,
     /*  470396 */     GIR_EraseRootFromParent_Done,
     /*  470397 */   // Label 7963: @470397
     /*  470397 */   GIM_Try, /*On fail goto*//*Label 7964*/ GIMT_Encode4(470486), // Rule ID 14413 //
     /*  470402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  470413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  470416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  470419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470449 */     // MIs[1] Operand 1
     /*  470449 */     // No operand predicates
     /*  470449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470458 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  470461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470484 */     GIR_RootConstrainSelectedInstOperands,
     /*  470485 */     // GIR_Coverage, 14413,
     /*  470485 */     GIR_EraseRootFromParent_Done,
     /*  470486 */   // Label 7964: @470486
     /*  470486 */   GIM_Try, /*On fail goto*//*Label 7965*/ GIMT_Encode4(470575), // Rule ID 14414 //
     /*  470491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  470502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  470505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  470508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470538 */     // MIs[1] Operand 1
     /*  470538 */     // No operand predicates
     /*  470538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470547 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  470550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470570 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470573 */     GIR_RootConstrainSelectedInstOperands,
     /*  470574 */     // GIR_Coverage, 14414,
     /*  470574 */     GIR_EraseRootFromParent_Done,
     /*  470575 */   // Label 7965: @470575
     /*  470575 */   GIM_Try, /*On fail goto*//*Label 7966*/ GIMT_Encode4(470664), // Rule ID 14417 //
     /*  470580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  470591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  470594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  470597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470627 */     // MIs[1] Operand 1
     /*  470627 */     // No operand predicates
     /*  470627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470636 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  470639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470662 */     GIR_RootConstrainSelectedInstOperands,
     /*  470663 */     // GIR_Coverage, 14417,
     /*  470663 */     GIR_EraseRootFromParent_Done,
     /*  470664 */   // Label 7966: @470664
     /*  470664 */   GIM_Try, /*On fail goto*//*Label 7967*/ GIMT_Encode4(470753), // Rule ID 14418 //
     /*  470669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  470680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  470683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  470686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470716 */     // MIs[1] Operand 1
     /*  470716 */     // No operand predicates
     /*  470716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470725 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  470728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470751 */     GIR_RootConstrainSelectedInstOperands,
     /*  470752 */     // GIR_Coverage, 14418,
     /*  470752 */     GIR_EraseRootFromParent_Done,
     /*  470753 */   // Label 7967: @470753
     /*  470753 */   GIM_Try, /*On fail goto*//*Label 7968*/ GIMT_Encode4(470842), // Rule ID 14421 //
     /*  470758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  470761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  470769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  470772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  470775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470805 */     // MIs[1] Operand 1
     /*  470805 */     // No operand predicates
     /*  470805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470814 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  470814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  470817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470840 */     GIR_RootConstrainSelectedInstOperands,
     /*  470841 */     // GIR_Coverage, 14421,
     /*  470841 */     GIR_EraseRootFromParent_Done,
     /*  470842 */   // Label 7968: @470842
     /*  470842 */   GIM_Try, /*On fail goto*//*Label 7969*/ GIMT_Encode4(470931), // Rule ID 14422 //
     /*  470847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  470850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  470858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  470861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  470864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470894 */     // MIs[1] Operand 1
     /*  470894 */     // No operand predicates
     /*  470894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470903 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  470903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  470906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470929 */     GIR_RootConstrainSelectedInstOperands,
     /*  470930 */     // GIR_Coverage, 14422,
     /*  470930 */     GIR_EraseRootFromParent_Done,
     /*  470931 */   // Label 7969: @470931
     /*  470931 */   GIM_Try, /*On fail goto*//*Label 7970*/ GIMT_Encode4(471020), // Rule ID 14425 //
     /*  470936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  470939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  470944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  470947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  470950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  470953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470983 */     // MIs[1] Operand 1
     /*  470983 */     // No operand predicates
     /*  470983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470992 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  470992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  470995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471018 */     GIR_RootConstrainSelectedInstOperands,
     /*  471019 */     // GIR_Coverage, 14425,
     /*  471019 */     GIR_EraseRootFromParent_Done,
     /*  471020 */   // Label 7970: @471020
     /*  471020 */   GIM_Try, /*On fail goto*//*Label 7971*/ GIMT_Encode4(471109), // Rule ID 14426 //
     /*  471025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  471028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  471036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  471039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  471042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471072 */     // MIs[1] Operand 1
     /*  471072 */     // No operand predicates
     /*  471072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471081 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  471081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  471084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471107 */     GIR_RootConstrainSelectedInstOperands,
     /*  471108 */     // GIR_Coverage, 14426,
     /*  471108 */     GIR_EraseRootFromParent_Done,
     /*  471109 */   // Label 7971: @471109
     /*  471109 */   GIM_Try, /*On fail goto*//*Label 7972*/ GIMT_Encode4(471198), // Rule ID 14429 //
     /*  471114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  471117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  471125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  471128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  471131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471161 */     // MIs[1] Operand 1
     /*  471161 */     // No operand predicates
     /*  471161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471170 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  471170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471196 */     GIR_RootConstrainSelectedInstOperands,
     /*  471197 */     // GIR_Coverage, 14429,
     /*  471197 */     GIR_EraseRootFromParent_Done,
     /*  471198 */   // Label 7972: @471198
     /*  471198 */   GIM_Try, /*On fail goto*//*Label 7973*/ GIMT_Encode4(471287), // Rule ID 14430 //
     /*  471203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  471206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  471211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  471214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  471217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  471220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471250 */     // MIs[1] Operand 1
     /*  471250 */     // No operand predicates
     /*  471250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471259 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  471259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  471262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471285 */     GIR_RootConstrainSelectedInstOperands,
     /*  471286 */     // GIR_Coverage, 14430,
     /*  471286 */     GIR_EraseRootFromParent_Done,
     /*  471287 */   // Label 7973: @471287
     /*  471287 */   GIM_Try, /*On fail goto*//*Label 7974*/ GIMT_Encode4(471373), // Rule ID 24525 //
     /*  471292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  471303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  471306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  471309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471339 */     // MIs[1] Operand 1
     /*  471339 */     // No operand predicates
     /*  471339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471348 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  471351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471371 */     GIR_RootConstrainSelectedInstOperands,
     /*  471372 */     // GIR_Coverage, 24525,
     /*  471372 */     GIR_EraseRootFromParent_Done,
     /*  471373 */   // Label 7974: @471373
     /*  471373 */   GIM_Try, /*On fail goto*//*Label 7975*/ GIMT_Encode4(471459), // Rule ID 24526 //
     /*  471378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  471389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  471392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  471395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471425 */     // MIs[1] Operand 1
     /*  471425 */     // No operand predicates
     /*  471425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471434 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  471437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471457 */     GIR_RootConstrainSelectedInstOperands,
     /*  471458 */     // GIR_Coverage, 24526,
     /*  471458 */     GIR_EraseRootFromParent_Done,
     /*  471459 */   // Label 7975: @471459
     /*  471459 */   GIM_Try, /*On fail goto*//*Label 7976*/ GIMT_Encode4(471545), // Rule ID 24529 //
     /*  471464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  471475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  471478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  471481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471511 */     // MIs[1] Operand 1
     /*  471511 */     // No operand predicates
     /*  471511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471520 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  471523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471543 */     GIR_RootConstrainSelectedInstOperands,
     /*  471544 */     // GIR_Coverage, 24529,
     /*  471544 */     GIR_EraseRootFromParent_Done,
     /*  471545 */   // Label 7976: @471545
     /*  471545 */   GIM_Try, /*On fail goto*//*Label 7977*/ GIMT_Encode4(471631), // Rule ID 24530 //
     /*  471550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  471561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  471564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  471567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471597 */     // MIs[1] Operand 1
     /*  471597 */     // No operand predicates
     /*  471597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471606 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  471609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471629 */     GIR_RootConstrainSelectedInstOperands,
     /*  471630 */     // GIR_Coverage, 24530,
     /*  471630 */     GIR_EraseRootFromParent_Done,
     /*  471631 */   // Label 7977: @471631
     /*  471631 */   GIM_Try, /*On fail goto*//*Label 7978*/ GIMT_Encode4(471717), // Rule ID 24533 //
     /*  471636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  471647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  471650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  471653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471683 */     // MIs[1] Operand 1
     /*  471683 */     // No operand predicates
     /*  471683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471692 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  471695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471715 */     GIR_RootConstrainSelectedInstOperands,
     /*  471716 */     // GIR_Coverage, 24533,
     /*  471716 */     GIR_EraseRootFromParent_Done,
     /*  471717 */   // Label 7978: @471717
     /*  471717 */   GIM_Try, /*On fail goto*//*Label 7979*/ GIMT_Encode4(471803), // Rule ID 24534 //
     /*  471722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  471733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  471736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  471739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471769 */     // MIs[1] Operand 1
     /*  471769 */     // No operand predicates
     /*  471769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471778 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  471781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471801 */     GIR_RootConstrainSelectedInstOperands,
     /*  471802 */     // GIR_Coverage, 24534,
     /*  471802 */     GIR_EraseRootFromParent_Done,
     /*  471803 */   // Label 7979: @471803
     /*  471803 */   GIM_Try, /*On fail goto*//*Label 7980*/ GIMT_Encode4(471889), // Rule ID 24537 //
     /*  471808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  471819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  471822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  471825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471855 */     // MIs[1] Operand 1
     /*  471855 */     // No operand predicates
     /*  471855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471864 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  471867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471887 */     GIR_RootConstrainSelectedInstOperands,
     /*  471888 */     // GIR_Coverage, 24537,
     /*  471888 */     GIR_EraseRootFromParent_Done,
     /*  471889 */   // Label 7980: @471889
     /*  471889 */   GIM_Try, /*On fail goto*//*Label 7981*/ GIMT_Encode4(471975), // Rule ID 24538 //
     /*  471894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  471905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  471908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  471911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471941 */     // MIs[1] Operand 1
     /*  471941 */     // No operand predicates
     /*  471941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471950 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  471953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471973 */     GIR_RootConstrainSelectedInstOperands,
     /*  471974 */     // GIR_Coverage, 24538,
     /*  471974 */     GIR_EraseRootFromParent_Done,
     /*  471975 */   // Label 7981: @471975
     /*  471975 */   GIM_Try, /*On fail goto*//*Label 7982*/ GIMT_Encode4(472061), // Rule ID 24541 //
     /*  471980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  471991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  471994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  471997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472027 */     // MIs[1] Operand 1
     /*  472027 */     // No operand predicates
     /*  472027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472036 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  472036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  472039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472059 */     GIR_RootConstrainSelectedInstOperands,
     /*  472060 */     // GIR_Coverage, 24541,
     /*  472060 */     GIR_EraseRootFromParent_Done,
     /*  472061 */   // Label 7982: @472061
     /*  472061 */   GIM_Try, /*On fail goto*//*Label 7983*/ GIMT_Encode4(472147), // Rule ID 24542 //
     /*  472066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  472077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  472080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  472083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472113 */     // MIs[1] Operand 1
     /*  472113 */     // No operand predicates
     /*  472113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472122 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  472122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  472125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472145 */     GIR_RootConstrainSelectedInstOperands,
     /*  472146 */     // GIR_Coverage, 24542,
     /*  472146 */     GIR_EraseRootFromParent_Done,
     /*  472147 */   // Label 7983: @472147
     /*  472147 */   GIM_Try, /*On fail goto*//*Label 7984*/ GIMT_Encode4(472233), // Rule ID 24545 //
     /*  472152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  472163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  472166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  472169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472199 */     // MIs[1] Operand 1
     /*  472199 */     // No operand predicates
     /*  472199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472208 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  472208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  472211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472231 */     GIR_RootConstrainSelectedInstOperands,
     /*  472232 */     // GIR_Coverage, 24545,
     /*  472232 */     GIR_EraseRootFromParent_Done,
     /*  472233 */   // Label 7984: @472233
     /*  472233 */   GIM_Try, /*On fail goto*//*Label 7985*/ GIMT_Encode4(472319), // Rule ID 24546 //
     /*  472238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  472249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  472252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  472255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472285 */     // MIs[1] Operand 1
     /*  472285 */     // No operand predicates
     /*  472285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472294 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  472294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  472297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472317 */     GIR_RootConstrainSelectedInstOperands,
     /*  472318 */     // GIR_Coverage, 24546,
     /*  472318 */     GIR_EraseRootFromParent_Done,
     /*  472319 */   // Label 7985: @472319
     /*  472319 */   GIM_Try, /*On fail goto*//*Label 7986*/ GIMT_Encode4(472405), // Rule ID 24549 //
     /*  472324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  472335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  472338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  472341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472371 */     // MIs[1] Operand 1
     /*  472371 */     // No operand predicates
     /*  472371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472380 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  472380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  472383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472403 */     GIR_RootConstrainSelectedInstOperands,
     /*  472404 */     // GIR_Coverage, 24549,
     /*  472404 */     GIR_EraseRootFromParent_Done,
     /*  472405 */   // Label 7986: @472405
     /*  472405 */   GIM_Try, /*On fail goto*//*Label 7987*/ GIMT_Encode4(472491), // Rule ID 24550 //
     /*  472410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  472421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  472424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  472427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472457 */     // MIs[1] Operand 1
     /*  472457 */     // No operand predicates
     /*  472457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472466 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  472466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  472469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472489 */     GIR_RootConstrainSelectedInstOperands,
     /*  472490 */     // GIR_Coverage, 24550,
     /*  472490 */     GIR_EraseRootFromParent_Done,
     /*  472491 */   // Label 7987: @472491
     /*  472491 */   GIM_Try, /*On fail goto*//*Label 7988*/ GIMT_Encode4(472577), // Rule ID 24553 //
     /*  472496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  472507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  472510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  472513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472543 */     // MIs[1] Operand 1
     /*  472543 */     // No operand predicates
     /*  472543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  472552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  472555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472575 */     GIR_RootConstrainSelectedInstOperands,
     /*  472576 */     // GIR_Coverage, 24553,
     /*  472576 */     GIR_EraseRootFromParent_Done,
     /*  472577 */   // Label 7988: @472577
     /*  472577 */   GIM_Try, /*On fail goto*//*Label 7989*/ GIMT_Encode4(472663), // Rule ID 24554 //
     /*  472582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  472593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  472596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  472599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472629 */     // MIs[1] Operand 1
     /*  472629 */     // No operand predicates
     /*  472629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472638 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  472638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  472641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472661 */     GIR_RootConstrainSelectedInstOperands,
     /*  472662 */     // GIR_Coverage, 24554,
     /*  472662 */     GIR_EraseRootFromParent_Done,
     /*  472663 */   // Label 7989: @472663
     /*  472663 */   GIM_Try, /*On fail goto*//*Label 7990*/ GIMT_Encode4(472749), // Rule ID 24557 //
     /*  472668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  472679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  472682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  472685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472715 */     // MIs[1] Operand 1
     /*  472715 */     // No operand predicates
     /*  472715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  472724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  472727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472747 */     GIR_RootConstrainSelectedInstOperands,
     /*  472748 */     // GIR_Coverage, 24557,
     /*  472748 */     GIR_EraseRootFromParent_Done,
     /*  472749 */   // Label 7990: @472749
     /*  472749 */   GIM_Try, /*On fail goto*//*Label 7991*/ GIMT_Encode4(472835), // Rule ID 24558 //
     /*  472754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  472765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  472768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  472771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472801 */     // MIs[1] Operand 1
     /*  472801 */     // No operand predicates
     /*  472801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472810 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  472810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  472813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472833 */     GIR_RootConstrainSelectedInstOperands,
     /*  472834 */     // GIR_Coverage, 24558,
     /*  472834 */     GIR_EraseRootFromParent_Done,
     /*  472835 */   // Label 7991: @472835
     /*  472835 */   GIM_Try, /*On fail goto*//*Label 7992*/ GIMT_Encode4(472921), // Rule ID 24561 //
     /*  472840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  472843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  472851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  472854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  472857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472887 */     // MIs[1] Operand 1
     /*  472887 */     // No operand predicates
     /*  472887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  472896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  472899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472919 */     GIR_RootConstrainSelectedInstOperands,
     /*  472920 */     // GIR_Coverage, 24561,
     /*  472920 */     GIR_EraseRootFromParent_Done,
     /*  472921 */   // Label 7992: @472921
     /*  472921 */   GIM_Try, /*On fail goto*//*Label 7993*/ GIMT_Encode4(473007), // Rule ID 24562 //
     /*  472926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  472929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  472937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  472940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  472943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472973 */     // MIs[1] Operand 1
     /*  472973 */     // No operand predicates
     /*  472973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472982 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  472982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  472985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  473002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473005 */     GIR_RootConstrainSelectedInstOperands,
     /*  473006 */     // GIR_Coverage, 24562,
     /*  473006 */     GIR_EraseRootFromParent_Done,
     /*  473007 */   // Label 7993: @473007
     /*  473007 */   GIM_Try, /*On fail goto*//*Label 7994*/ GIMT_Encode4(473093), // Rule ID 24565 //
     /*  473012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  473023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  473026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  473029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473059 */     // MIs[1] Operand 1
     /*  473059 */     // No operand predicates
     /*  473059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473068 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  473071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473091 */     GIR_RootConstrainSelectedInstOperands,
     /*  473092 */     // GIR_Coverage, 24565,
     /*  473092 */     GIR_EraseRootFromParent_Done,
     /*  473093 */   // Label 7994: @473093
     /*  473093 */   GIM_Try, /*On fail goto*//*Label 7995*/ GIMT_Encode4(473179), // Rule ID 24566 //
     /*  473098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  473109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  473112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  473115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473145 */     // MIs[1] Operand 1
     /*  473145 */     // No operand predicates
     /*  473145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473154 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  473157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473177 */     GIR_RootConstrainSelectedInstOperands,
     /*  473178 */     // GIR_Coverage, 24566,
     /*  473178 */     GIR_EraseRootFromParent_Done,
     /*  473179 */   // Label 7995: @473179
     /*  473179 */   GIM_Try, /*On fail goto*//*Label 7996*/ GIMT_Encode4(473265), // Rule ID 24569 //
     /*  473184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  473195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  473198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  473201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473231 */     // MIs[1] Operand 1
     /*  473231 */     // No operand predicates
     /*  473231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473240 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  473243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473263 */     GIR_RootConstrainSelectedInstOperands,
     /*  473264 */     // GIR_Coverage, 24569,
     /*  473264 */     GIR_EraseRootFromParent_Done,
     /*  473265 */   // Label 7996: @473265
     /*  473265 */   GIM_Try, /*On fail goto*//*Label 7997*/ GIMT_Encode4(473351), // Rule ID 24570 //
     /*  473270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  473281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  473284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  473287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473317 */     // MIs[1] Operand 1
     /*  473317 */     // No operand predicates
     /*  473317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473326 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  473329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473349 */     GIR_RootConstrainSelectedInstOperands,
     /*  473350 */     // GIR_Coverage, 24570,
     /*  473350 */     GIR_EraseRootFromParent_Done,
     /*  473351 */   // Label 7997: @473351
     /*  473351 */   GIM_Try, /*On fail goto*//*Label 7998*/ GIMT_Encode4(473437), // Rule ID 24573 //
     /*  473356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  473367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  473370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  473373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473403 */     // MIs[1] Operand 1
     /*  473403 */     // No operand predicates
     /*  473403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473412 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  473415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473435 */     GIR_RootConstrainSelectedInstOperands,
     /*  473436 */     // GIR_Coverage, 24573,
     /*  473436 */     GIR_EraseRootFromParent_Done,
     /*  473437 */   // Label 7998: @473437
     /*  473437 */   GIM_Try, /*On fail goto*//*Label 7999*/ GIMT_Encode4(473523), // Rule ID 24574 //
     /*  473442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  473453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  473456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  473459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473489 */     // MIs[1] Operand 1
     /*  473489 */     // No operand predicates
     /*  473489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473498 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  473501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473521 */     GIR_RootConstrainSelectedInstOperands,
     /*  473522 */     // GIR_Coverage, 24574,
     /*  473522 */     GIR_EraseRootFromParent_Done,
     /*  473523 */   // Label 7999: @473523
     /*  473523 */   GIM_Try, /*On fail goto*//*Label 8000*/ GIMT_Encode4(473609), // Rule ID 24577 //
     /*  473528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  473539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  473542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  473545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473575 */     // MIs[1] Operand 1
     /*  473575 */     // No operand predicates
     /*  473575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473584 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  473587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473607 */     GIR_RootConstrainSelectedInstOperands,
     /*  473608 */     // GIR_Coverage, 24577,
     /*  473608 */     GIR_EraseRootFromParent_Done,
     /*  473609 */   // Label 8000: @473609
     /*  473609 */   GIM_Try, /*On fail goto*//*Label 8001*/ GIMT_Encode4(473695), // Rule ID 24578 //
     /*  473614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  473625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  473628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  473631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473661 */     // MIs[1] Operand 1
     /*  473661 */     // No operand predicates
     /*  473661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473670 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  473673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473693 */     GIR_RootConstrainSelectedInstOperands,
     /*  473694 */     // GIR_Coverage, 24578,
     /*  473694 */     GIR_EraseRootFromParent_Done,
     /*  473695 */   // Label 8001: @473695
     /*  473695 */   GIM_Try, /*On fail goto*//*Label 8002*/ GIMT_Encode4(473781), // Rule ID 24581 //
     /*  473700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  473711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  473714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  473717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473747 */     // MIs[1] Operand 1
     /*  473747 */     // No operand predicates
     /*  473747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473756 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  473759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473779 */     GIR_RootConstrainSelectedInstOperands,
     /*  473780 */     // GIR_Coverage, 24581,
     /*  473780 */     GIR_EraseRootFromParent_Done,
     /*  473781 */   // Label 8002: @473781
     /*  473781 */   GIM_Try, /*On fail goto*//*Label 8003*/ GIMT_Encode4(473867), // Rule ID 24582 //
     /*  473786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  473797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  473800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  473803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473833 */     // MIs[1] Operand 1
     /*  473833 */     // No operand predicates
     /*  473833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473842 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  473845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473865 */     GIR_RootConstrainSelectedInstOperands,
     /*  473866 */     // GIR_Coverage, 24582,
     /*  473866 */     GIR_EraseRootFromParent_Done,
     /*  473867 */   // Label 8003: @473867
     /*  473867 */   GIM_Try, /*On fail goto*//*Label 8004*/ GIMT_Encode4(473953), // Rule ID 24585 //
     /*  473872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  473883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  473886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  473889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473919 */     // MIs[1] Operand 1
     /*  473919 */     // No operand predicates
     /*  473919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473928 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  473931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473951 */     GIR_RootConstrainSelectedInstOperands,
     /*  473952 */     // GIR_Coverage, 24585,
     /*  473952 */     GIR_EraseRootFromParent_Done,
     /*  473953 */   // Label 8004: @473953
     /*  473953 */   GIM_Try, /*On fail goto*//*Label 8005*/ GIMT_Encode4(474039), // Rule ID 24586 //
     /*  473958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  473966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  473969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  473972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  473975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474005 */     // MIs[1] Operand 1
     /*  474005 */     // No operand predicates
     /*  474005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474014 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  474017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474037 */     GIR_RootConstrainSelectedInstOperands,
     /*  474038 */     // GIR_Coverage, 24586,
     /*  474038 */     GIR_EraseRootFromParent_Done,
     /*  474039 */   // Label 8005: @474039
     /*  474039 */   GIM_Try, /*On fail goto*//*Label 8006*/ GIMT_Encode4(474125), // Rule ID 24589 //
     /*  474044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  474055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  474058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  474061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474091 */     // MIs[1] Operand 1
     /*  474091 */     // No operand predicates
     /*  474091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474100 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  474100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  474103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474123 */     GIR_RootConstrainSelectedInstOperands,
     /*  474124 */     // GIR_Coverage, 24589,
     /*  474124 */     GIR_EraseRootFromParent_Done,
     /*  474125 */   // Label 8006: @474125
     /*  474125 */   GIM_Try, /*On fail goto*//*Label 8007*/ GIMT_Encode4(474211), // Rule ID 24590 //
     /*  474130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  474141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  474144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  474147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474177 */     // MIs[1] Operand 1
     /*  474177 */     // No operand predicates
     /*  474177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474186 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  474186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  474189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474209 */     GIR_RootConstrainSelectedInstOperands,
     /*  474210 */     // GIR_Coverage, 24590,
     /*  474210 */     GIR_EraseRootFromParent_Done,
     /*  474211 */   // Label 8007: @474211
     /*  474211 */   GIM_Try, /*On fail goto*//*Label 8008*/ GIMT_Encode4(474297), // Rule ID 24593 //
     /*  474216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  474227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  474230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  474233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474263 */     // MIs[1] Operand 1
     /*  474263 */     // No operand predicates
     /*  474263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474272 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  474272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  474275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474295 */     GIR_RootConstrainSelectedInstOperands,
     /*  474296 */     // GIR_Coverage, 24593,
     /*  474296 */     GIR_EraseRootFromParent_Done,
     /*  474297 */   // Label 8008: @474297
     /*  474297 */   GIM_Try, /*On fail goto*//*Label 8009*/ GIMT_Encode4(474383), // Rule ID 24594 //
     /*  474302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  474313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  474316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  474319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474349 */     // MIs[1] Operand 1
     /*  474349 */     // No operand predicates
     /*  474349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474358 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  474358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  474361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474381 */     GIR_RootConstrainSelectedInstOperands,
     /*  474382 */     // GIR_Coverage, 24594,
     /*  474382 */     GIR_EraseRootFromParent_Done,
     /*  474383 */   // Label 8009: @474383
     /*  474383 */   GIM_Try, /*On fail goto*//*Label 8010*/ GIMT_Encode4(474469), // Rule ID 24597 //
     /*  474388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  474399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  474402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  474405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474435 */     // MIs[1] Operand 1
     /*  474435 */     // No operand predicates
     /*  474435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474444 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  474444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  474447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474467 */     GIR_RootConstrainSelectedInstOperands,
     /*  474468 */     // GIR_Coverage, 24597,
     /*  474468 */     GIR_EraseRootFromParent_Done,
     /*  474469 */   // Label 8010: @474469
     /*  474469 */   GIM_Try, /*On fail goto*//*Label 8011*/ GIMT_Encode4(474555), // Rule ID 24598 //
     /*  474474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  474485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  474488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  474491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474521 */     // MIs[1] Operand 1
     /*  474521 */     // No operand predicates
     /*  474521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474530 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  474530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  474533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474553 */     GIR_RootConstrainSelectedInstOperands,
     /*  474554 */     // GIR_Coverage, 24598,
     /*  474554 */     GIR_EraseRootFromParent_Done,
     /*  474555 */   // Label 8011: @474555
     /*  474555 */   GIM_Try, /*On fail goto*//*Label 8012*/ GIMT_Encode4(474641), // Rule ID 24601 //
     /*  474560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  474563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  474571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  474574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  474577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474607 */     // MIs[1] Operand 1
     /*  474607 */     // No operand predicates
     /*  474607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474616 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  474616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  474619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474639 */     GIR_RootConstrainSelectedInstOperands,
     /*  474640 */     // GIR_Coverage, 24601,
     /*  474640 */     GIR_EraseRootFromParent_Done,
     /*  474641 */   // Label 8012: @474641
     /*  474641 */   GIM_Try, /*On fail goto*//*Label 8013*/ GIMT_Encode4(474727), // Rule ID 24602 //
     /*  474646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  474649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  474657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  474660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  474663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474693 */     // MIs[1] Operand 1
     /*  474693 */     // No operand predicates
     /*  474693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474702 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  474702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  474705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474725 */     GIR_RootConstrainSelectedInstOperands,
     /*  474726 */     // GIR_Coverage, 24602,
     /*  474726 */     GIR_EraseRootFromParent_Done,
     /*  474727 */   // Label 8013: @474727
     /*  474727 */   GIM_Try, /*On fail goto*//*Label 8014*/ GIMT_Encode4(474813), // Rule ID 24605 //
     /*  474732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  474735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  474743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  474746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  474749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474779 */     // MIs[1] Operand 1
     /*  474779 */     // No operand predicates
     /*  474779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474788 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  474788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  474791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474811 */     GIR_RootConstrainSelectedInstOperands,
     /*  474812 */     // GIR_Coverage, 24605,
     /*  474812 */     GIR_EraseRootFromParent_Done,
     /*  474813 */   // Label 8014: @474813
     /*  474813 */   GIM_Try, /*On fail goto*//*Label 8015*/ GIMT_Encode4(474899), // Rule ID 24606 //
     /*  474818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  474821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  474829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  474832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  474835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474865 */     // MIs[1] Operand 1
     /*  474865 */     // No operand predicates
     /*  474865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474874 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  474874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  474877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474897 */     GIR_RootConstrainSelectedInstOperands,
     /*  474898 */     // GIR_Coverage, 24606,
     /*  474898 */     GIR_EraseRootFromParent_Done,
     /*  474899 */   // Label 8015: @474899
     /*  474899 */   GIM_Try, /*On fail goto*//*Label 8016*/ GIMT_Encode4(474985), // Rule ID 24609 //
     /*  474904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  474907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  474915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  474918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  474921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474951 */     // MIs[1] Operand 1
     /*  474951 */     // No operand predicates
     /*  474951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474960 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  474960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  474963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474983 */     GIR_RootConstrainSelectedInstOperands,
     /*  474984 */     // GIR_Coverage, 24609,
     /*  474984 */     GIR_EraseRootFromParent_Done,
     /*  474985 */   // Label 8016: @474985
     /*  474985 */   GIM_Try, /*On fail goto*//*Label 8017*/ GIMT_Encode4(475071), // Rule ID 24610 //
     /*  474990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  474993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  474998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  475001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  475004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  475007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475037 */     // MIs[1] Operand 1
     /*  475037 */     // No operand predicates
     /*  475037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  475046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  475066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475069 */     GIR_RootConstrainSelectedInstOperands,
     /*  475070 */     // GIR_Coverage, 24610,
     /*  475070 */     GIR_EraseRootFromParent_Done,
     /*  475071 */   // Label 8017: @475071
     /*  475071 */   GIM_Try, /*On fail goto*//*Label 8018*/ GIMT_Encode4(475157), // Rule ID 24769 //
     /*  475076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  475079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  475087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  475090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  475093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475123 */     // MIs[1] Operand 1
     /*  475123 */     // No operand predicates
     /*  475123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475132 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  475135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475155 */     GIR_RootConstrainSelectedInstOperands,
     /*  475156 */     // GIR_Coverage, 24769,
     /*  475156 */     GIR_EraseRootFromParent_Done,
     /*  475157 */   // Label 8018: @475157
     /*  475157 */   GIM_Try, /*On fail goto*//*Label 8019*/ GIMT_Encode4(475243), // Rule ID 24770 //
     /*  475162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  475165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  475173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  475176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  475179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475209 */     // MIs[1] Operand 1
     /*  475209 */     // No operand predicates
     /*  475209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475218 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  475218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  475221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475241 */     GIR_RootConstrainSelectedInstOperands,
     /*  475242 */     // GIR_Coverage, 24770,
     /*  475242 */     GIR_EraseRootFromParent_Done,
     /*  475243 */   // Label 8019: @475243
     /*  475243 */   GIM_Try, /*On fail goto*//*Label 8020*/ GIMT_Encode4(475329), // Rule ID 24773 //
     /*  475248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  475251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  475259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  475262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  475265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475295 */     // MIs[1] Operand 1
     /*  475295 */     // No operand predicates
     /*  475295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475304 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  475307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475327 */     GIR_RootConstrainSelectedInstOperands,
     /*  475328 */     // GIR_Coverage, 24773,
     /*  475328 */     GIR_EraseRootFromParent_Done,
     /*  475329 */   // Label 8020: @475329
     /*  475329 */   GIM_Try, /*On fail goto*//*Label 8021*/ GIMT_Encode4(475415), // Rule ID 24774 //
     /*  475334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  475337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  475345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  475348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  475351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475381 */     // MIs[1] Operand 1
     /*  475381 */     // No operand predicates
     /*  475381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475390 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  475390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  475393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475413 */     GIR_RootConstrainSelectedInstOperands,
     /*  475414 */     // GIR_Coverage, 24774,
     /*  475414 */     GIR_EraseRootFromParent_Done,
     /*  475415 */   // Label 8021: @475415
     /*  475415 */   GIM_Try, /*On fail goto*//*Label 8022*/ GIMT_Encode4(475501), // Rule ID 24777 //
     /*  475420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  475423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  475431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  475434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  475437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475467 */     // MIs[1] Operand 1
     /*  475467 */     // No operand predicates
     /*  475467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475476 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  475476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  475479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  475496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475499 */     GIR_RootConstrainSelectedInstOperands,
     /*  475500 */     // GIR_Coverage, 24777,
     /*  475500 */     GIR_EraseRootFromParent_Done,
     /*  475501 */   // Label 8022: @475501
     /*  475501 */   GIM_Try, /*On fail goto*//*Label 8023*/ GIMT_Encode4(475587), // Rule ID 24778 //
     /*  475506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  475509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  475517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  475520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  475523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475553 */     // MIs[1] Operand 1
     /*  475553 */     // No operand predicates
     /*  475553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475562 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  475562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  475565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  475582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475585 */     GIR_RootConstrainSelectedInstOperands,
     /*  475586 */     // GIR_Coverage, 24778,
     /*  475586 */     GIR_EraseRootFromParent_Done,
     /*  475587 */   // Label 8023: @475587
     /*  475587 */   GIM_Try, /*On fail goto*//*Label 8024*/ GIMT_Encode4(475673), // Rule ID 24781 //
     /*  475592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  475595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  475603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  475606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  475609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475639 */     // MIs[1] Operand 1
     /*  475639 */     // No operand predicates
     /*  475639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475648 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475671 */     GIR_RootConstrainSelectedInstOperands,
     /*  475672 */     // GIR_Coverage, 24781,
     /*  475672 */     GIR_EraseRootFromParent_Done,
     /*  475673 */   // Label 8024: @475673
     /*  475673 */   GIM_Try, /*On fail goto*//*Label 8025*/ GIMT_Encode4(475759), // Rule ID 24782 //
     /*  475678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  475681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  475689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  475692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  475695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475725 */     // MIs[1] Operand 1
     /*  475725 */     // No operand predicates
     /*  475725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475734 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  475734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  475737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475757 */     GIR_RootConstrainSelectedInstOperands,
     /*  475758 */     // GIR_Coverage, 24782,
     /*  475758 */     GIR_EraseRootFromParent_Done,
     /*  475759 */   // Label 8025: @475759
     /*  475759 */   GIM_Try, /*On fail goto*//*Label 8026*/ GIMT_Encode4(475845), // Rule ID 24785 //
     /*  475764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  475767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  475775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  475778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  475781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475811 */     // MIs[1] Operand 1
     /*  475811 */     // No operand predicates
     /*  475811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475820 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475843 */     GIR_RootConstrainSelectedInstOperands,
     /*  475844 */     // GIR_Coverage, 24785,
     /*  475844 */     GIR_EraseRootFromParent_Done,
     /*  475845 */   // Label 8026: @475845
     /*  475845 */   GIM_Try, /*On fail goto*//*Label 8027*/ GIMT_Encode4(475931), // Rule ID 24786 //
     /*  475850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  475853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  475861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  475864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  475867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475897 */     // MIs[1] Operand 1
     /*  475897 */     // No operand predicates
     /*  475897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475906 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  475906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  475909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475929 */     GIR_RootConstrainSelectedInstOperands,
     /*  475930 */     // GIR_Coverage, 24786,
     /*  475930 */     GIR_EraseRootFromParent_Done,
     /*  475931 */   // Label 8027: @475931
     /*  475931 */   GIM_Try, /*On fail goto*//*Label 8028*/ GIMT_Encode4(476017), // Rule ID 24789 //
     /*  475936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  475939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  475944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  475947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  475950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  475953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475983 */     // MIs[1] Operand 1
     /*  475983 */     // No operand predicates
     /*  475983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475992 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  475995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476015 */     GIR_RootConstrainSelectedInstOperands,
     /*  476016 */     // GIR_Coverage, 24789,
     /*  476016 */     GIR_EraseRootFromParent_Done,
     /*  476017 */   // Label 8028: @476017
     /*  476017 */   GIM_Try, /*On fail goto*//*Label 8029*/ GIMT_Encode4(476103), // Rule ID 24790 //
     /*  476022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  476025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  476033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  476036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  476039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476069 */     // MIs[1] Operand 1
     /*  476069 */     // No operand predicates
     /*  476069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476078 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  476081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476101 */     GIR_RootConstrainSelectedInstOperands,
     /*  476102 */     // GIR_Coverage, 24790,
     /*  476102 */     GIR_EraseRootFromParent_Done,
     /*  476103 */   // Label 8029: @476103
     /*  476103 */   GIM_Try, /*On fail goto*//*Label 8030*/ GIMT_Encode4(476189), // Rule ID 24793 //
     /*  476108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  476111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  476119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  476122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  476125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476155 */     // MIs[1] Operand 1
     /*  476155 */     // No operand predicates
     /*  476155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476164 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  476167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476187 */     GIR_RootConstrainSelectedInstOperands,
     /*  476188 */     // GIR_Coverage, 24793,
     /*  476188 */     GIR_EraseRootFromParent_Done,
     /*  476189 */   // Label 8030: @476189
     /*  476189 */   GIM_Try, /*On fail goto*//*Label 8031*/ GIMT_Encode4(476275), // Rule ID 24794 //
     /*  476194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  476197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  476205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  476208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  476211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476241 */     // MIs[1] Operand 1
     /*  476241 */     // No operand predicates
     /*  476241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476250 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  476250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  476253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476273 */     GIR_RootConstrainSelectedInstOperands,
     /*  476274 */     // GIR_Coverage, 24794,
     /*  476274 */     GIR_EraseRootFromParent_Done,
     /*  476275 */   // Label 8031: @476275
     /*  476275 */   GIM_Try, /*On fail goto*//*Label 8032*/ GIMT_Encode4(476361), // Rule ID 24797 //
     /*  476280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  476283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  476291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  476294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  476297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476327 */     // MIs[1] Operand 1
     /*  476327 */     // No operand predicates
     /*  476327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476336 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  476339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476359 */     GIR_RootConstrainSelectedInstOperands,
     /*  476360 */     // GIR_Coverage, 24797,
     /*  476360 */     GIR_EraseRootFromParent_Done,
     /*  476361 */   // Label 8032: @476361
     /*  476361 */   GIM_Try, /*On fail goto*//*Label 8033*/ GIMT_Encode4(476447), // Rule ID 24798 //
     /*  476366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  476369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  476377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  476380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  476383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476413 */     // MIs[1] Operand 1
     /*  476413 */     // No operand predicates
     /*  476413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476422 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  476422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  476425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476445 */     GIR_RootConstrainSelectedInstOperands,
     /*  476446 */     // GIR_Coverage, 24798,
     /*  476446 */     GIR_EraseRootFromParent_Done,
     /*  476447 */   // Label 8033: @476447
     /*  476447 */   GIM_Try, /*On fail goto*//*Label 8034*/ GIMT_Encode4(476533), // Rule ID 24801 //
     /*  476452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  476455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  476463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  476466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  476469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476499 */     // MIs[1] Operand 1
     /*  476499 */     // No operand predicates
     /*  476499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476508 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  476508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  476511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476531 */     GIR_RootConstrainSelectedInstOperands,
     /*  476532 */     // GIR_Coverage, 24801,
     /*  476532 */     GIR_EraseRootFromParent_Done,
     /*  476533 */   // Label 8034: @476533
     /*  476533 */   GIM_Try, /*On fail goto*//*Label 8035*/ GIMT_Encode4(476619), // Rule ID 24802 //
     /*  476538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  476541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  476549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  476552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  476555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476585 */     // MIs[1] Operand 1
     /*  476585 */     // No operand predicates
     /*  476585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476594 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  476594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  476597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  476614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476617 */     GIR_RootConstrainSelectedInstOperands,
     /*  476618 */     // GIR_Coverage, 24802,
     /*  476618 */     GIR_EraseRootFromParent_Done,
     /*  476619 */   // Label 8035: @476619
     /*  476619 */   GIM_Try, /*On fail goto*//*Label 8036*/ GIMT_Encode4(476705), // Rule ID 24853 //
     /*  476624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  476627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  476635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  476638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  476641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476671 */     // MIs[1] Operand 1
     /*  476671 */     // No operand predicates
     /*  476671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476680 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  476680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  476683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476703 */     GIR_RootConstrainSelectedInstOperands,
     /*  476704 */     // GIR_Coverage, 24853,
     /*  476704 */     GIR_EraseRootFromParent_Done,
     /*  476705 */   // Label 8036: @476705
     /*  476705 */   GIM_Try, /*On fail goto*//*Label 8037*/ GIMT_Encode4(476791), // Rule ID 24854 //
     /*  476710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  476713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  476721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  476724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  476727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476757 */     // MIs[1] Operand 1
     /*  476757 */     // No operand predicates
     /*  476757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476766 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  476766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  476769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476789 */     GIR_RootConstrainSelectedInstOperands,
     /*  476790 */     // GIR_Coverage, 24854,
     /*  476790 */     GIR_EraseRootFromParent_Done,
     /*  476791 */   // Label 8037: @476791
     /*  476791 */   GIM_Try, /*On fail goto*//*Label 8038*/ GIMT_Encode4(476877), // Rule ID 24857 //
     /*  476796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  476799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  476807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  476810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  476813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476843 */     // MIs[1] Operand 1
     /*  476843 */     // No operand predicates
     /*  476843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476852 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  476852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  476855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476875 */     GIR_RootConstrainSelectedInstOperands,
     /*  476876 */     // GIR_Coverage, 24857,
     /*  476876 */     GIR_EraseRootFromParent_Done,
     /*  476877 */   // Label 8038: @476877
     /*  476877 */   GIM_Try, /*On fail goto*//*Label 8039*/ GIMT_Encode4(476963), // Rule ID 24858 //
     /*  476882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  476885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  476893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  476896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  476899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  476929 */     // MIs[1] Operand 1
     /*  476929 */     // No operand predicates
     /*  476929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476938 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  476938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  476941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476961 */     GIR_RootConstrainSelectedInstOperands,
     /*  476962 */     // GIR_Coverage, 24858,
     /*  476962 */     GIR_EraseRootFromParent_Done,
     /*  476963 */   // Label 8039: @476963
     /*  476963 */   GIM_Try, /*On fail goto*//*Label 8040*/ GIMT_Encode4(477049), // Rule ID 24861 //
     /*  476968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  476971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  476976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  476979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  476982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  476985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477015 */     // MIs[1] Operand 1
     /*  477015 */     // No operand predicates
     /*  477015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477024 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  477027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477047 */     GIR_RootConstrainSelectedInstOperands,
     /*  477048 */     // GIR_Coverage, 24861,
     /*  477048 */     GIR_EraseRootFromParent_Done,
     /*  477049 */   // Label 8040: @477049
     /*  477049 */   GIM_Try, /*On fail goto*//*Label 8041*/ GIMT_Encode4(477135), // Rule ID 24862 //
     /*  477054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  477057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  477065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  477068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  477071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477101 */     // MIs[1] Operand 1
     /*  477101 */     // No operand predicates
     /*  477101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477110 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  477110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  477113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477133 */     GIR_RootConstrainSelectedInstOperands,
     /*  477134 */     // GIR_Coverage, 24862,
     /*  477134 */     GIR_EraseRootFromParent_Done,
     /*  477135 */   // Label 8041: @477135
     /*  477135 */   GIM_Try, /*On fail goto*//*Label 8042*/ GIMT_Encode4(477221), // Rule ID 24865 //
     /*  477140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  477143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  477151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  477154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  477157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477187 */     // MIs[1] Operand 1
     /*  477187 */     // No operand predicates
     /*  477187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477196 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  477199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477219 */     GIR_RootConstrainSelectedInstOperands,
     /*  477220 */     // GIR_Coverage, 24865,
     /*  477220 */     GIR_EraseRootFromParent_Done,
     /*  477221 */   // Label 8042: @477221
     /*  477221 */   GIM_Try, /*On fail goto*//*Label 8043*/ GIMT_Encode4(477307), // Rule ID 24866 //
     /*  477226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  477229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  477237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  477240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  477243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477273 */     // MIs[1] Operand 1
     /*  477273 */     // No operand predicates
     /*  477273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477282 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  477282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  477285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477305 */     GIR_RootConstrainSelectedInstOperands,
     /*  477306 */     // GIR_Coverage, 24866,
     /*  477306 */     GIR_EraseRootFromParent_Done,
     /*  477307 */   // Label 8043: @477307
     /*  477307 */   GIM_Try, /*On fail goto*//*Label 8044*/ GIMT_Encode4(477393), // Rule ID 24869 //
     /*  477312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  477315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  477323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  477326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  477329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477359 */     // MIs[1] Operand 1
     /*  477359 */     // No operand predicates
     /*  477359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477368 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  477371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477391 */     GIR_RootConstrainSelectedInstOperands,
     /*  477392 */     // GIR_Coverage, 24869,
     /*  477392 */     GIR_EraseRootFromParent_Done,
     /*  477393 */   // Label 8044: @477393
     /*  477393 */   GIM_Try, /*On fail goto*//*Label 8045*/ GIMT_Encode4(477479), // Rule ID 24870 //
     /*  477398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  477401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  477409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  477412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  477415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477445 */     // MIs[1] Operand 1
     /*  477445 */     // No operand predicates
     /*  477445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477454 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  477454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  477457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477477 */     GIR_RootConstrainSelectedInstOperands,
     /*  477478 */     // GIR_Coverage, 24870,
     /*  477478 */     GIR_EraseRootFromParent_Done,
     /*  477479 */   // Label 8045: @477479
     /*  477479 */   GIM_Try, /*On fail goto*//*Label 8046*/ GIMT_Encode4(477565), // Rule ID 24873 //
     /*  477484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  477487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  477495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  477498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  477501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477531 */     // MIs[1] Operand 1
     /*  477531 */     // No operand predicates
     /*  477531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477540 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  477543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477563 */     GIR_RootConstrainSelectedInstOperands,
     /*  477564 */     // GIR_Coverage, 24873,
     /*  477564 */     GIR_EraseRootFromParent_Done,
     /*  477565 */   // Label 8046: @477565
     /*  477565 */   GIM_Try, /*On fail goto*//*Label 8047*/ GIMT_Encode4(477651), // Rule ID 24874 //
     /*  477570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  477573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  477581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  477584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  477587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477617 */     // MIs[1] Operand 1
     /*  477617 */     // No operand predicates
     /*  477617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477626 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  477626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  477629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477649 */     GIR_RootConstrainSelectedInstOperands,
     /*  477650 */     // GIR_Coverage, 24874,
     /*  477650 */     GIR_EraseRootFromParent_Done,
     /*  477651 */   // Label 8047: @477651
     /*  477651 */   GIM_Try, /*On fail goto*//*Label 8048*/ GIMT_Encode4(477737), // Rule ID 60397 //
     /*  477656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  477659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  477664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  477667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  477670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  477673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477703 */     // MIs[1] Operand 1
     /*  477703 */     // No operand predicates
     /*  477703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477712 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  477715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477735 */     GIR_RootConstrainSelectedInstOperands,
     /*  477736 */     // GIR_Coverage, 60397,
     /*  477736 */     GIR_EraseRootFromParent_Done,
     /*  477737 */   // Label 8048: @477737
     /*  477737 */   GIM_Try, /*On fail goto*//*Label 8049*/ GIMT_Encode4(477823), // Rule ID 60398 //
     /*  477742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  477745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  477750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  477753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  477756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  477759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477789 */     // MIs[1] Operand 1
     /*  477789 */     // No operand predicates
     /*  477789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477798 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  477801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477821 */     GIR_RootConstrainSelectedInstOperands,
     /*  477822 */     // GIR_Coverage, 60398,
     /*  477822 */     GIR_EraseRootFromParent_Done,
     /*  477823 */   // Label 8049: @477823
     /*  477823 */   GIM_Try, /*On fail goto*//*Label 8050*/ GIMT_Encode4(477909), // Rule ID 60405 //
     /*  477828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  477831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  477836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  477839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  477842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  477845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477875 */     // MIs[1] Operand 1
     /*  477875 */     // No operand predicates
     /*  477875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477884 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  477887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477907 */     GIR_RootConstrainSelectedInstOperands,
     /*  477908 */     // GIR_Coverage, 60405,
     /*  477908 */     GIR_EraseRootFromParent_Done,
     /*  477909 */   // Label 8050: @477909
     /*  477909 */   GIM_Try, /*On fail goto*//*Label 8051*/ GIMT_Encode4(477995), // Rule ID 60406 //
     /*  477914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  477917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  477922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  477925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  477928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  477931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477961 */     // MIs[1] Operand 1
     /*  477961 */     // No operand predicates
     /*  477961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477970 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  477973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477993 */     GIR_RootConstrainSelectedInstOperands,
     /*  477994 */     // GIR_Coverage, 60406,
     /*  477994 */     GIR_EraseRootFromParent_Done,
     /*  477995 */   // Label 8051: @477995
     /*  477995 */   GIM_Try, /*On fail goto*//*Label 8052*/ GIMT_Encode4(478081), // Rule ID 60413 //
     /*  478000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  478003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  478008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  478011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  478014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  478017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478047 */     // MIs[1] Operand 1
     /*  478047 */     // No operand predicates
     /*  478047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478056 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  478056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  478059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478079 */     GIR_RootConstrainSelectedInstOperands,
     /*  478080 */     // GIR_Coverage, 60413,
     /*  478080 */     GIR_EraseRootFromParent_Done,
     /*  478081 */   // Label 8052: @478081
     /*  478081 */   GIM_Try, /*On fail goto*//*Label 8053*/ GIMT_Encode4(478167), // Rule ID 60414 //
     /*  478086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  478089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  478094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  478097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  478100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  478103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478133 */     // MIs[1] Operand 1
     /*  478133 */     // No operand predicates
     /*  478133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478142 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  478142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  478145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478165 */     GIR_RootConstrainSelectedInstOperands,
     /*  478166 */     // GIR_Coverage, 60414,
     /*  478166 */     GIR_EraseRootFromParent_Done,
     /*  478167 */   // Label 8053: @478167
     /*  478167 */   GIM_Try, /*On fail goto*//*Label 8054*/ GIMT_Encode4(478253), // Rule ID 60421 //
     /*  478172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  478175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  478180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  478183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  478186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  478189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478219 */     // MIs[1] Operand 1
     /*  478219 */     // No operand predicates
     /*  478219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478228 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  478228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  478231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478251 */     GIR_RootConstrainSelectedInstOperands,
     /*  478252 */     // GIR_Coverage, 60421,
     /*  478252 */     GIR_EraseRootFromParent_Done,
     /*  478253 */   // Label 8054: @478253
     /*  478253 */   GIM_Try, /*On fail goto*//*Label 8055*/ GIMT_Encode4(478339), // Rule ID 60422 //
     /*  478258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  478261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  478266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  478269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  478272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  478275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478305 */     // MIs[1] Operand 1
     /*  478305 */     // No operand predicates
     /*  478305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478314 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  478314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  478317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478337 */     GIR_RootConstrainSelectedInstOperands,
     /*  478338 */     // GIR_Coverage, 60422,
     /*  478338 */     GIR_EraseRootFromParent_Done,
     /*  478339 */   // Label 8055: @478339
     /*  478339 */   GIM_Try, /*On fail goto*//*Label 8056*/ GIMT_Encode4(478425), // Rule ID 60429 //
     /*  478344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  478347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  478352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  478355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  478358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  478361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478391 */     // MIs[1] Operand 1
     /*  478391 */     // No operand predicates
     /*  478391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478400 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  478400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  478403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478423 */     GIR_RootConstrainSelectedInstOperands,
     /*  478424 */     // GIR_Coverage, 60429,
     /*  478424 */     GIR_EraseRootFromParent_Done,
     /*  478425 */   // Label 8056: @478425
     /*  478425 */   GIM_Try, /*On fail goto*//*Label 8057*/ GIMT_Encode4(478511), // Rule ID 60430 //
     /*  478430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  478433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  478438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  478441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  478444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  478447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478477 */     // MIs[1] Operand 1
     /*  478477 */     // No operand predicates
     /*  478477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478486 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  478486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  478489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478509 */     GIR_RootConstrainSelectedInstOperands,
     /*  478510 */     // GIR_Coverage, 60430,
     /*  478510 */     GIR_EraseRootFromParent_Done,
     /*  478511 */   // Label 8057: @478511
     /*  478511 */   GIM_Try, /*On fail goto*//*Label 8058*/ GIMT_Encode4(478597), // Rule ID 60437 //
     /*  478516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  478519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  478524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  478527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  478530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  478533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478563 */     // MIs[1] Operand 1
     /*  478563 */     // No operand predicates
     /*  478563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478572 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  478572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  478575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478595 */     GIR_RootConstrainSelectedInstOperands,
     /*  478596 */     // GIR_Coverage, 60437,
     /*  478596 */     GIR_EraseRootFromParent_Done,
     /*  478597 */   // Label 8058: @478597
     /*  478597 */   GIM_Try, /*On fail goto*//*Label 8059*/ GIMT_Encode4(478683), // Rule ID 60438 //
     /*  478602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  478605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  478610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  478613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  478616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  478619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478649 */     // MIs[1] Operand 1
     /*  478649 */     // No operand predicates
     /*  478649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478658 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  478658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  478661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478681 */     GIR_RootConstrainSelectedInstOperands,
     /*  478682 */     // GIR_Coverage, 60438,
     /*  478682 */     GIR_EraseRootFromParent_Done,
     /*  478683 */   // Label 8059: @478683
     /*  478683 */   GIM_Try, /*On fail goto*//*Label 8060*/ GIMT_Encode4(478769), // Rule ID 60445 //
     /*  478688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  478691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  478696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  478699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  478702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  478705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478735 */     // MIs[1] Operand 1
     /*  478735 */     // No operand predicates
     /*  478735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478744 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  478747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478767 */     GIR_RootConstrainSelectedInstOperands,
     /*  478768 */     // GIR_Coverage, 60445,
     /*  478768 */     GIR_EraseRootFromParent_Done,
     /*  478769 */   // Label 8060: @478769
     /*  478769 */   GIM_Try, /*On fail goto*//*Label 8061*/ GIMT_Encode4(478855), // Rule ID 60446 //
     /*  478774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  478777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  478782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  478785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  478788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  478791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478821 */     // MIs[1] Operand 1
     /*  478821 */     // No operand predicates
     /*  478821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478830 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  478833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478853 */     GIR_RootConstrainSelectedInstOperands,
     /*  478854 */     // GIR_Coverage, 60446,
     /*  478854 */     GIR_EraseRootFromParent_Done,
     /*  478855 */   // Label 8061: @478855
     /*  478855 */   GIM_Try, /*On fail goto*//*Label 8062*/ GIMT_Encode4(478941), // Rule ID 60453 //
     /*  478860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  478863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  478868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  478871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  478874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  478877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478907 */     // MIs[1] Operand 1
     /*  478907 */     // No operand predicates
     /*  478907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478916 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  478919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478939 */     GIR_RootConstrainSelectedInstOperands,
     /*  478940 */     // GIR_Coverage, 60453,
     /*  478940 */     GIR_EraseRootFromParent_Done,
     /*  478941 */   // Label 8062: @478941
     /*  478941 */   GIM_Try, /*On fail goto*//*Label 8063*/ GIMT_Encode4(479027), // Rule ID 60454 //
     /*  478946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  478949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  478954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  478957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  478960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  478963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478993 */     // MIs[1] Operand 1
     /*  478993 */     // No operand predicates
     /*  478993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  479002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  479005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479025 */     GIR_RootConstrainSelectedInstOperands,
     /*  479026 */     // GIR_Coverage, 60454,
     /*  479026 */     GIR_EraseRootFromParent_Done,
     /*  479027 */   // Label 8063: @479027
     /*  479027 */   GIM_Try, /*On fail goto*//*Label 8064*/ GIMT_Encode4(479113), // Rule ID 60461 //
     /*  479032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  479043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  479046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  479049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479079 */     // MIs[1] Operand 1
     /*  479079 */     // No operand predicates
     /*  479079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479088 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  479088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  479091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479111 */     GIR_RootConstrainSelectedInstOperands,
     /*  479112 */     // GIR_Coverage, 60461,
     /*  479112 */     GIR_EraseRootFromParent_Done,
     /*  479113 */   // Label 8064: @479113
     /*  479113 */   GIM_Try, /*On fail goto*//*Label 8065*/ GIMT_Encode4(479199), // Rule ID 60462 //
     /*  479118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  479129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  479132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  479135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479165 */     // MIs[1] Operand 1
     /*  479165 */     // No operand predicates
     /*  479165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479174 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  479174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  479177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479197 */     GIR_RootConstrainSelectedInstOperands,
     /*  479198 */     // GIR_Coverage, 60462,
     /*  479198 */     GIR_EraseRootFromParent_Done,
     /*  479199 */   // Label 8065: @479199
     /*  479199 */   GIM_Try, /*On fail goto*//*Label 8066*/ GIMT_Encode4(479285), // Rule ID 60469 //
     /*  479204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  479215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  479218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  479221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479251 */     // MIs[1] Operand 1
     /*  479251 */     // No operand predicates
     /*  479251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479260 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  479260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  479263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479283 */     GIR_RootConstrainSelectedInstOperands,
     /*  479284 */     // GIR_Coverage, 60469,
     /*  479284 */     GIR_EraseRootFromParent_Done,
     /*  479285 */   // Label 8066: @479285
     /*  479285 */   GIM_Try, /*On fail goto*//*Label 8067*/ GIMT_Encode4(479371), // Rule ID 60470 //
     /*  479290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  479301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  479304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  479307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479337 */     // MIs[1] Operand 1
     /*  479337 */     // No operand predicates
     /*  479337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  479346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  479349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479369 */     GIR_RootConstrainSelectedInstOperands,
     /*  479370 */     // GIR_Coverage, 60470,
     /*  479370 */     GIR_EraseRootFromParent_Done,
     /*  479371 */   // Label 8067: @479371
     /*  479371 */   GIM_Try, /*On fail goto*//*Label 8068*/ GIMT_Encode4(479457), // Rule ID 60477 //
     /*  479376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  479387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  479390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  479393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479423 */     // MIs[1] Operand 1
     /*  479423 */     // No operand predicates
     /*  479423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479432 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  479432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  479435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479455 */     GIR_RootConstrainSelectedInstOperands,
     /*  479456 */     // GIR_Coverage, 60477,
     /*  479456 */     GIR_EraseRootFromParent_Done,
     /*  479457 */   // Label 8068: @479457
     /*  479457 */   GIM_Try, /*On fail goto*//*Label 8069*/ GIMT_Encode4(479543), // Rule ID 60478 //
     /*  479462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  479473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  479476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  479479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479509 */     // MIs[1] Operand 1
     /*  479509 */     // No operand predicates
     /*  479509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479518 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  479518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  479521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479541 */     GIR_RootConstrainSelectedInstOperands,
     /*  479542 */     // GIR_Coverage, 60478,
     /*  479542 */     GIR_EraseRootFromParent_Done,
     /*  479543 */   // Label 8069: @479543
     /*  479543 */   GIM_Try, /*On fail goto*//*Label 8070*/ GIMT_Encode4(479629), // Rule ID 60485 //
     /*  479548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  479559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  479562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  479565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479595 */     // MIs[1] Operand 1
     /*  479595 */     // No operand predicates
     /*  479595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479604 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  479604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  479607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  479624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479627 */     GIR_RootConstrainSelectedInstOperands,
     /*  479628 */     // GIR_Coverage, 60485,
     /*  479628 */     GIR_EraseRootFromParent_Done,
     /*  479629 */   // Label 8070: @479629
     /*  479629 */   GIM_Try, /*On fail goto*//*Label 8071*/ GIMT_Encode4(479715), // Rule ID 60486 //
     /*  479634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  479645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  479648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  479651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479681 */     // MIs[1] Operand 1
     /*  479681 */     // No operand predicates
     /*  479681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479690 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  479690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  479693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  479710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479713 */     GIR_RootConstrainSelectedInstOperands,
     /*  479714 */     // GIR_Coverage, 60486,
     /*  479714 */     GIR_EraseRootFromParent_Done,
     /*  479715 */   // Label 8071: @479715
     /*  479715 */   GIM_Try, /*On fail goto*//*Label 8072*/ GIMT_Encode4(479801), // Rule ID 60493 //
     /*  479720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  479731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  479734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  479737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479767 */     // MIs[1] Operand 1
     /*  479767 */     // No operand predicates
     /*  479767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479776 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  479776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  479779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  479796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479799 */     GIR_RootConstrainSelectedInstOperands,
     /*  479800 */     // GIR_Coverage, 60493,
     /*  479800 */     GIR_EraseRootFromParent_Done,
     /*  479801 */   // Label 8072: @479801
     /*  479801 */   GIM_Try, /*On fail goto*//*Label 8073*/ GIMT_Encode4(479887), // Rule ID 60494 //
     /*  479806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  479817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  479820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  479823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479853 */     // MIs[1] Operand 1
     /*  479853 */     // No operand predicates
     /*  479853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479862 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  479862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  479865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  479882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479885 */     GIR_RootConstrainSelectedInstOperands,
     /*  479886 */     // GIR_Coverage, 60494,
     /*  479886 */     GIR_EraseRootFromParent_Done,
     /*  479887 */   // Label 8073: @479887
     /*  479887 */   GIM_Try, /*On fail goto*//*Label 8074*/ GIMT_Encode4(479973), // Rule ID 60501 //
     /*  479892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  479895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  479903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  479906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  479909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479939 */     // MIs[1] Operand 1
     /*  479939 */     // No operand predicates
     /*  479939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479948 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  479948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  479951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  479968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479971 */     GIR_RootConstrainSelectedInstOperands,
     /*  479972 */     // GIR_Coverage, 60501,
     /*  479972 */     GIR_EraseRootFromParent_Done,
     /*  479973 */   // Label 8074: @479973
     /*  479973 */   GIM_Try, /*On fail goto*//*Label 8075*/ GIMT_Encode4(480059), // Rule ID 60502 //
     /*  479978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  479981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  479986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  479989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  479992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  479995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480025 */     // MIs[1] Operand 1
     /*  480025 */     // No operand predicates
     /*  480025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480034 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  480034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  480037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480057 */     GIR_RootConstrainSelectedInstOperands,
     /*  480058 */     // GIR_Coverage, 60502,
     /*  480058 */     GIR_EraseRootFromParent_Done,
     /*  480059 */   // Label 8075: @480059
     /*  480059 */   GIM_Try, /*On fail goto*//*Label 8076*/ GIMT_Encode4(480145), // Rule ID 60509 //
     /*  480064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  480067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  480075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  480078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  480081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480111 */     // MIs[1] Operand 1
     /*  480111 */     // No operand predicates
     /*  480111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480120 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  480120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  480123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480143 */     GIR_RootConstrainSelectedInstOperands,
     /*  480144 */     // GIR_Coverage, 60509,
     /*  480144 */     GIR_EraseRootFromParent_Done,
     /*  480145 */   // Label 8076: @480145
     /*  480145 */   GIM_Try, /*On fail goto*//*Label 8077*/ GIMT_Encode4(480231), // Rule ID 60510 //
     /*  480150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  480153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  480158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  480161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  480164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  480167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480197 */     // MIs[1] Operand 1
     /*  480197 */     // No operand predicates
     /*  480197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480206 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  480206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  480209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480229 */     GIR_RootConstrainSelectedInstOperands,
     /*  480230 */     // GIR_Coverage, 60510,
     /*  480230 */     GIR_EraseRootFromParent_Done,
     /*  480231 */   // Label 8077: @480231
     /*  480231 */   GIM_Try, /*On fail goto*//*Label 8078*/ GIMT_Encode4(480317), // Rule ID 61365 //
     /*  480236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  480239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  480244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  480247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  480250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  480253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  480283 */     // MIs[1] Operand 1
     /*  480283 */     // No operand predicates
     /*  480283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480292 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  480292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  480295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480315 */     GIR_RootConstrainSelectedInstOperands,
     /*  480316 */     // GIR_Coverage, 61365,
     /*  480316 */     GIR_EraseRootFromParent_Done,
     /*  480317 */   // Label 8078: @480317
     /*  480317 */   GIM_Try, /*On fail goto*//*Label 8079*/ GIMT_Encode4(480403), // Rule ID 61366 //
     /*  480322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  480325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  480330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  480333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  480336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  480339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  480369 */     // MIs[1] Operand 1
     /*  480369 */     // No operand predicates
     /*  480369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480378 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  480378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  480381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480401 */     GIR_RootConstrainSelectedInstOperands,
     /*  480402 */     // GIR_Coverage, 61366,
     /*  480402 */     GIR_EraseRootFromParent_Done,
     /*  480403 */   // Label 8079: @480403
     /*  480403 */   GIM_Try, /*On fail goto*//*Label 8080*/ GIMT_Encode4(480489), // Rule ID 61369 //
     /*  480408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  480411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  480416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  480419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  480422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  480425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  480455 */     // MIs[1] Operand 1
     /*  480455 */     // No operand predicates
     /*  480455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480464 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  480464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  480467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480487 */     GIR_RootConstrainSelectedInstOperands,
     /*  480488 */     // GIR_Coverage, 61369,
     /*  480488 */     GIR_EraseRootFromParent_Done,
     /*  480489 */   // Label 8080: @480489
     /*  480489 */   GIM_Try, /*On fail goto*//*Label 8081*/ GIMT_Encode4(480575), // Rule ID 61370 //
     /*  480494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  480497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  480502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  480505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  480508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  480511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  480541 */     // MIs[1] Operand 1
     /*  480541 */     // No operand predicates
     /*  480541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480550 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  480550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  480553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480573 */     GIR_RootConstrainSelectedInstOperands,
     /*  480574 */     // GIR_Coverage, 61370,
     /*  480574 */     GIR_EraseRootFromParent_Done,
     /*  480575 */   // Label 8081: @480575
     /*  480575 */   GIM_Try, /*On fail goto*//*Label 8082*/ GIMT_Encode4(480661), // Rule ID 61373 //
     /*  480580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  480583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  480588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  480591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  480594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  480597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  480627 */     // MIs[1] Operand 1
     /*  480627 */     // No operand predicates
     /*  480627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480636 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  480636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  480639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480659 */     GIR_RootConstrainSelectedInstOperands,
     /*  480660 */     // GIR_Coverage, 61373,
     /*  480660 */     GIR_EraseRootFromParent_Done,
     /*  480661 */   // Label 8082: @480661
     /*  480661 */   GIM_Try, /*On fail goto*//*Label 8083*/ GIMT_Encode4(480747), // Rule ID 61374 //
     /*  480666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  480669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  480674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  480677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  480680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  480683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  480713 */     // MIs[1] Operand 1
     /*  480713 */     // No operand predicates
     /*  480713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480722 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  480722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  480725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480745 */     GIR_RootConstrainSelectedInstOperands,
     /*  480746 */     // GIR_Coverage, 61374,
     /*  480746 */     GIR_EraseRootFromParent_Done,
     /*  480747 */   // Label 8083: @480747
     /*  480747 */   GIM_Try, /*On fail goto*//*Label 8084*/ GIMT_Encode4(480833), // Rule ID 61377 //
     /*  480752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  480755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  480760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  480763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  480766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  480769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  480799 */     // MIs[1] Operand 1
     /*  480799 */     // No operand predicates
     /*  480799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480808 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  480811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480831 */     GIR_RootConstrainSelectedInstOperands,
     /*  480832 */     // GIR_Coverage, 61377,
     /*  480832 */     GIR_EraseRootFromParent_Done,
     /*  480833 */   // Label 8084: @480833
     /*  480833 */   GIM_Try, /*On fail goto*//*Label 8085*/ GIMT_Encode4(480919), // Rule ID 61378 //
     /*  480838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  480841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  480846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  480849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  480852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  480855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  480885 */     // MIs[1] Operand 1
     /*  480885 */     // No operand predicates
     /*  480885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480894 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  480897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480917 */     GIR_RootConstrainSelectedInstOperands,
     /*  480918 */     // GIR_Coverage, 61378,
     /*  480918 */     GIR_EraseRootFromParent_Done,
     /*  480919 */   // Label 8085: @480919
     /*  480919 */   GIM_Try, /*On fail goto*//*Label 8086*/ GIMT_Encode4(481005), // Rule ID 61381 //
     /*  480924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  480927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  480932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  480935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  480938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  480941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  480971 */     // MIs[1] Operand 1
     /*  480971 */     // No operand predicates
     /*  480971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480980 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  480983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481003 */     GIR_RootConstrainSelectedInstOperands,
     /*  481004 */     // GIR_Coverage, 61381,
     /*  481004 */     GIR_EraseRootFromParent_Done,
     /*  481005 */   // Label 8086: @481005
     /*  481005 */   GIM_Try, /*On fail goto*//*Label 8087*/ GIMT_Encode4(481091), // Rule ID 61382 //
     /*  481010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  481013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  481021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  481024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  481027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481057 */     // MIs[1] Operand 1
     /*  481057 */     // No operand predicates
     /*  481057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481066 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  481066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  481069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481089 */     GIR_RootConstrainSelectedInstOperands,
     /*  481090 */     // GIR_Coverage, 61382,
     /*  481090 */     GIR_EraseRootFromParent_Done,
     /*  481091 */   // Label 8087: @481091
     /*  481091 */   GIM_Try, /*On fail goto*//*Label 8088*/ GIMT_Encode4(481177), // Rule ID 61385 //
     /*  481096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  481099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  481107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  481110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  481113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481143 */     // MIs[1] Operand 1
     /*  481143 */     // No operand predicates
     /*  481143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481152 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  481155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481175 */     GIR_RootConstrainSelectedInstOperands,
     /*  481176 */     // GIR_Coverage, 61385,
     /*  481176 */     GIR_EraseRootFromParent_Done,
     /*  481177 */   // Label 8088: @481177
     /*  481177 */   GIM_Try, /*On fail goto*//*Label 8089*/ GIMT_Encode4(481263), // Rule ID 61386 //
     /*  481182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  481185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  481193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  481196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  481199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481229 */     // MIs[1] Operand 1
     /*  481229 */     // No operand predicates
     /*  481229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481238 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  481241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481261 */     GIR_RootConstrainSelectedInstOperands,
     /*  481262 */     // GIR_Coverage, 61386,
     /*  481262 */     GIR_EraseRootFromParent_Done,
     /*  481263 */   // Label 8089: @481263
     /*  481263 */   GIM_Try, /*On fail goto*//*Label 8090*/ GIMT_Encode4(481349), // Rule ID 61389 //
     /*  481268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  481271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  481279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  481282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  481285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481315 */     // MIs[1] Operand 1
     /*  481315 */     // No operand predicates
     /*  481315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481324 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  481327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481347 */     GIR_RootConstrainSelectedInstOperands,
     /*  481348 */     // GIR_Coverage, 61389,
     /*  481348 */     GIR_EraseRootFromParent_Done,
     /*  481349 */   // Label 8090: @481349
     /*  481349 */   GIM_Try, /*On fail goto*//*Label 8091*/ GIMT_Encode4(481435), // Rule ID 61390 //
     /*  481354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  481357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  481365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  481368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  481371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481401 */     // MIs[1] Operand 1
     /*  481401 */     // No operand predicates
     /*  481401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481410 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  481410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  481413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481433 */     GIR_RootConstrainSelectedInstOperands,
     /*  481434 */     // GIR_Coverage, 61390,
     /*  481434 */     GIR_EraseRootFromParent_Done,
     /*  481435 */   // Label 8091: @481435
     /*  481435 */   GIM_Try, /*On fail goto*//*Label 8092*/ GIMT_Encode4(481521), // Rule ID 61393 //
     /*  481440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  481443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  481451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  481454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  481457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481487 */     // MIs[1] Operand 1
     /*  481487 */     // No operand predicates
     /*  481487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481496 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  481496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  481499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481519 */     GIR_RootConstrainSelectedInstOperands,
     /*  481520 */     // GIR_Coverage, 61393,
     /*  481520 */     GIR_EraseRootFromParent_Done,
     /*  481521 */   // Label 8092: @481521
     /*  481521 */   GIM_Try, /*On fail goto*//*Label 8093*/ GIMT_Encode4(481607), // Rule ID 61394 //
     /*  481526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  481529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  481537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  481540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  481543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481573 */     // MIs[1] Operand 1
     /*  481573 */     // No operand predicates
     /*  481573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481582 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  481582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  481585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481605 */     GIR_RootConstrainSelectedInstOperands,
     /*  481606 */     // GIR_Coverage, 61394,
     /*  481606 */     GIR_EraseRootFromParent_Done,
     /*  481607 */   // Label 8093: @481607
     /*  481607 */   GIM_Try, /*On fail goto*//*Label 8094*/ GIMT_Encode4(481693), // Rule ID 61397 //
     /*  481612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  481615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  481623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  481626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  481629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481659 */     // MIs[1] Operand 1
     /*  481659 */     // No operand predicates
     /*  481659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481668 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  481671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481691 */     GIR_RootConstrainSelectedInstOperands,
     /*  481692 */     // GIR_Coverage, 61397,
     /*  481692 */     GIR_EraseRootFromParent_Done,
     /*  481693 */   // Label 8094: @481693
     /*  481693 */   GIM_Try, /*On fail goto*//*Label 8095*/ GIMT_Encode4(481779), // Rule ID 61398 //
     /*  481698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  481701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  481709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  481712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  481715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481745 */     // MIs[1] Operand 1
     /*  481745 */     // No operand predicates
     /*  481745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481754 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  481757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481777 */     GIR_RootConstrainSelectedInstOperands,
     /*  481778 */     // GIR_Coverage, 61398,
     /*  481778 */     GIR_EraseRootFromParent_Done,
     /*  481779 */   // Label 8095: @481779
     /*  481779 */   GIM_Try, /*On fail goto*//*Label 8096*/ GIMT_Encode4(481865), // Rule ID 61401 //
     /*  481784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  481787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  481795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  481798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  481801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481831 */     // MIs[1] Operand 1
     /*  481831 */     // No operand predicates
     /*  481831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481840 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  481840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  481843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  481860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481863 */     GIR_RootConstrainSelectedInstOperands,
     /*  481864 */     // GIR_Coverage, 61401,
     /*  481864 */     GIR_EraseRootFromParent_Done,
     /*  481865 */   // Label 8096: @481865
     /*  481865 */   GIM_Try, /*On fail goto*//*Label 8097*/ GIMT_Encode4(481951), // Rule ID 61402 //
     /*  481870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  481873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  481881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  481884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  481887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  481917 */     // MIs[1] Operand 1
     /*  481917 */     // No operand predicates
     /*  481917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481926 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  481926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  481929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  481946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481949 */     GIR_RootConstrainSelectedInstOperands,
     /*  481950 */     // GIR_Coverage, 61402,
     /*  481950 */     GIR_EraseRootFromParent_Done,
     /*  481951 */   // Label 8097: @481951
     /*  481951 */   GIM_Try, /*On fail goto*//*Label 8098*/ GIMT_Encode4(482037), // Rule ID 61405 //
     /*  481956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  481959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  481964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  481967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  481970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  481973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482003 */     // MIs[1] Operand 1
     /*  482003 */     // No operand predicates
     /*  482003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482012 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  482012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  482015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482035 */     GIR_RootConstrainSelectedInstOperands,
     /*  482036 */     // GIR_Coverage, 61405,
     /*  482036 */     GIR_EraseRootFromParent_Done,
     /*  482037 */   // Label 8098: @482037
     /*  482037 */   GIM_Try, /*On fail goto*//*Label 8099*/ GIMT_Encode4(482123), // Rule ID 61406 //
     /*  482042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  482053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  482056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  482059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482089 */     // MIs[1] Operand 1
     /*  482089 */     // No operand predicates
     /*  482089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482098 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  482098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  482101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482121 */     GIR_RootConstrainSelectedInstOperands,
     /*  482122 */     // GIR_Coverage, 61406,
     /*  482122 */     GIR_EraseRootFromParent_Done,
     /*  482123 */   // Label 8099: @482123
     /*  482123 */   GIM_Try, /*On fail goto*//*Label 8100*/ GIMT_Encode4(482209), // Rule ID 61409 //
     /*  482128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  482139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  482142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  482145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482175 */     // MIs[1] Operand 1
     /*  482175 */     // No operand predicates
     /*  482175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482184 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  482184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  482187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482207 */     GIR_RootConstrainSelectedInstOperands,
     /*  482208 */     // GIR_Coverage, 61409,
     /*  482208 */     GIR_EraseRootFromParent_Done,
     /*  482209 */   // Label 8100: @482209
     /*  482209 */   GIM_Try, /*On fail goto*//*Label 8101*/ GIMT_Encode4(482295), // Rule ID 61410 //
     /*  482214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  482225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  482228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  482231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482261 */     // MIs[1] Operand 1
     /*  482261 */     // No operand predicates
     /*  482261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482270 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  482270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  482273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482293 */     GIR_RootConstrainSelectedInstOperands,
     /*  482294 */     // GIR_Coverage, 61410,
     /*  482294 */     GIR_EraseRootFromParent_Done,
     /*  482295 */   // Label 8101: @482295
     /*  482295 */   GIM_Try, /*On fail goto*//*Label 8102*/ GIMT_Encode4(482381), // Rule ID 61413 //
     /*  482300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  482311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  482314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  482317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482347 */     // MIs[1] Operand 1
     /*  482347 */     // No operand predicates
     /*  482347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482356 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  482356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  482359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482379 */     GIR_RootConstrainSelectedInstOperands,
     /*  482380 */     // GIR_Coverage, 61413,
     /*  482380 */     GIR_EraseRootFromParent_Done,
     /*  482381 */   // Label 8102: @482381
     /*  482381 */   GIM_Try, /*On fail goto*//*Label 8103*/ GIMT_Encode4(482467), // Rule ID 61414 //
     /*  482386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  482397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  482400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  482403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482433 */     // MIs[1] Operand 1
     /*  482433 */     // No operand predicates
     /*  482433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482442 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  482442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  482445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482465 */     GIR_RootConstrainSelectedInstOperands,
     /*  482466 */     // GIR_Coverage, 61414,
     /*  482466 */     GIR_EraseRootFromParent_Done,
     /*  482467 */   // Label 8103: @482467
     /*  482467 */   GIM_Try, /*On fail goto*//*Label 8104*/ GIMT_Encode4(482553), // Rule ID 61417 //
     /*  482472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  482483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  482486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  482489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482519 */     // MIs[1] Operand 1
     /*  482519 */     // No operand predicates
     /*  482519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482528 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  482531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482551 */     GIR_RootConstrainSelectedInstOperands,
     /*  482552 */     // GIR_Coverage, 61417,
     /*  482552 */     GIR_EraseRootFromParent_Done,
     /*  482553 */   // Label 8104: @482553
     /*  482553 */   GIM_Try, /*On fail goto*//*Label 8105*/ GIMT_Encode4(482639), // Rule ID 61418 //
     /*  482558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  482569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  482572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  482575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482605 */     // MIs[1] Operand 1
     /*  482605 */     // No operand predicates
     /*  482605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  482617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482637 */     GIR_RootConstrainSelectedInstOperands,
     /*  482638 */     // GIR_Coverage, 61418,
     /*  482638 */     GIR_EraseRootFromParent_Done,
     /*  482639 */   // Label 8105: @482639
     /*  482639 */   GIM_Try, /*On fail goto*//*Label 8106*/ GIMT_Encode4(482725), // Rule ID 61421 //
     /*  482644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  482655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  482658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  482661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482691 */     // MIs[1] Operand 1
     /*  482691 */     // No operand predicates
     /*  482691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482700 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  482703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482723 */     GIR_RootConstrainSelectedInstOperands,
     /*  482724 */     // GIR_Coverage, 61421,
     /*  482724 */     GIR_EraseRootFromParent_Done,
     /*  482725 */   // Label 8106: @482725
     /*  482725 */   GIM_Try, /*On fail goto*//*Label 8107*/ GIMT_Encode4(482811), // Rule ID 61422 //
     /*  482730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  482741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  482744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  482747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482777 */     // MIs[1] Operand 1
     /*  482777 */     // No operand predicates
     /*  482777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482786 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  482789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482809 */     GIR_RootConstrainSelectedInstOperands,
     /*  482810 */     // GIR_Coverage, 61422,
     /*  482810 */     GIR_EraseRootFromParent_Done,
     /*  482811 */   // Label 8107: @482811
     /*  482811 */   GIM_Try, /*On fail goto*//*Label 8108*/ GIMT_Encode4(482897), // Rule ID 61425 //
     /*  482816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  482827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  482830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  482833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482863 */     // MIs[1] Operand 1
     /*  482863 */     // No operand predicates
     /*  482863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482872 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  482875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482895 */     GIR_RootConstrainSelectedInstOperands,
     /*  482896 */     // GIR_Coverage, 61425,
     /*  482896 */     GIR_EraseRootFromParent_Done,
     /*  482897 */   // Label 8108: @482897
     /*  482897 */   GIM_Try, /*On fail goto*//*Label 8109*/ GIMT_Encode4(482983), // Rule ID 61426 //
     /*  482902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  482905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  482913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  482916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  482919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  482949 */     // MIs[1] Operand 1
     /*  482949 */     // No operand predicates
     /*  482949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482958 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  482961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482981 */     GIR_RootConstrainSelectedInstOperands,
     /*  482982 */     // GIR_Coverage, 61426,
     /*  482982 */     GIR_EraseRootFromParent_Done,
     /*  482983 */   // Label 8109: @482983
     /*  482983 */   GIM_Try, /*On fail goto*//*Label 8110*/ GIMT_Encode4(483069), // Rule ID 61429 //
     /*  482988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  482991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  482996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  482999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  483002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  483005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483035 */     // MIs[1] Operand 1
     /*  483035 */     // No operand predicates
     /*  483035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  483044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  483047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483067 */     GIR_RootConstrainSelectedInstOperands,
     /*  483068 */     // GIR_Coverage, 61429,
     /*  483068 */     GIR_EraseRootFromParent_Done,
     /*  483069 */   // Label 8110: @483069
     /*  483069 */   GIM_Try, /*On fail goto*//*Label 8111*/ GIMT_Encode4(483155), // Rule ID 61430 //
     /*  483074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  483085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  483088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  483091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483121 */     // MIs[1] Operand 1
     /*  483121 */     // No operand predicates
     /*  483121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483130 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  483130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  483133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483153 */     GIR_RootConstrainSelectedInstOperands,
     /*  483154 */     // GIR_Coverage, 61430,
     /*  483154 */     GIR_EraseRootFromParent_Done,
     /*  483155 */   // Label 8111: @483155
     /*  483155 */   GIM_Try, /*On fail goto*//*Label 8112*/ GIMT_Encode4(483241), // Rule ID 61433 //
     /*  483160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  483171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  483174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  483177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483207 */     // MIs[1] Operand 1
     /*  483207 */     // No operand predicates
     /*  483207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483216 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  483216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  483219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483239 */     GIR_RootConstrainSelectedInstOperands,
     /*  483240 */     // GIR_Coverage, 61433,
     /*  483240 */     GIR_EraseRootFromParent_Done,
     /*  483241 */   // Label 8112: @483241
     /*  483241 */   GIM_Try, /*On fail goto*//*Label 8113*/ GIMT_Encode4(483327), // Rule ID 61434 //
     /*  483246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  483257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  483260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  483263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483293 */     // MIs[1] Operand 1
     /*  483293 */     // No operand predicates
     /*  483293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483302 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  483302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  483305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483325 */     GIR_RootConstrainSelectedInstOperands,
     /*  483326 */     // GIR_Coverage, 61434,
     /*  483326 */     GIR_EraseRootFromParent_Done,
     /*  483327 */   // Label 8113: @483327
     /*  483327 */   GIM_Try, /*On fail goto*//*Label 8114*/ GIMT_Encode4(483413), // Rule ID 61437 //
     /*  483332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  483343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  483346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  483349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483379 */     // MIs[1] Operand 1
     /*  483379 */     // No operand predicates
     /*  483379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483388 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  483388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  483391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483411 */     GIR_RootConstrainSelectedInstOperands,
     /*  483412 */     // GIR_Coverage, 61437,
     /*  483412 */     GIR_EraseRootFromParent_Done,
     /*  483413 */   // Label 8114: @483413
     /*  483413 */   GIM_Try, /*On fail goto*//*Label 8115*/ GIMT_Encode4(483499), // Rule ID 61438 //
     /*  483418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  483429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  483432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  483435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483465 */     // MIs[1] Operand 1
     /*  483465 */     // No operand predicates
     /*  483465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483474 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  483474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  483477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483497 */     GIR_RootConstrainSelectedInstOperands,
     /*  483498 */     // GIR_Coverage, 61438,
     /*  483498 */     GIR_EraseRootFromParent_Done,
     /*  483499 */   // Label 8115: @483499
     /*  483499 */   GIM_Try, /*On fail goto*//*Label 8116*/ GIMT_Encode4(483585), // Rule ID 61441 //
     /*  483504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  483515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  483518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  483521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483551 */     // MIs[1] Operand 1
     /*  483551 */     // No operand predicates
     /*  483551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483560 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  483560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  483563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  483580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483583 */     GIR_RootConstrainSelectedInstOperands,
     /*  483584 */     // GIR_Coverage, 61441,
     /*  483584 */     GIR_EraseRootFromParent_Done,
     /*  483585 */   // Label 8116: @483585
     /*  483585 */   GIM_Try, /*On fail goto*//*Label 8117*/ GIMT_Encode4(483671), // Rule ID 61442 //
     /*  483590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  483601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  483604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  483607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483637 */     // MIs[1] Operand 1
     /*  483637 */     // No operand predicates
     /*  483637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  483646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  483649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  483666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483669 */     GIR_RootConstrainSelectedInstOperands,
     /*  483670 */     // GIR_Coverage, 61442,
     /*  483670 */     GIR_EraseRootFromParent_Done,
     /*  483671 */   // Label 8117: @483671
     /*  483671 */   GIM_Try, /*On fail goto*//*Label 8118*/ GIMT_Encode4(483757), // Rule ID 61445 //
     /*  483676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  483687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  483690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  483693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483723 */     // MIs[1] Operand 1
     /*  483723 */     // No operand predicates
     /*  483723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483732 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  483732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  483735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  483752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483755 */     GIR_RootConstrainSelectedInstOperands,
     /*  483756 */     // GIR_Coverage, 61445,
     /*  483756 */     GIR_EraseRootFromParent_Done,
     /*  483757 */   // Label 8118: @483757
     /*  483757 */   GIM_Try, /*On fail goto*//*Label 8119*/ GIMT_Encode4(483843), // Rule ID 61446 //
     /*  483762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  483773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  483776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  483779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483809 */     // MIs[1] Operand 1
     /*  483809 */     // No operand predicates
     /*  483809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483818 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  483818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  483821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  483838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483841 */     GIR_RootConstrainSelectedInstOperands,
     /*  483842 */     // GIR_Coverage, 61446,
     /*  483842 */     GIR_EraseRootFromParent_Done,
     /*  483843 */   // Label 8119: @483843
     /*  483843 */   GIM_Try, /*On fail goto*//*Label 8120*/ GIMT_Encode4(483929), // Rule ID 61449 //
     /*  483848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  483851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  483859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  483862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  483865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483895 */     // MIs[1] Operand 1
     /*  483895 */     // No operand predicates
     /*  483895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483904 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  483904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  483907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  483924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483927 */     GIR_RootConstrainSelectedInstOperands,
     /*  483928 */     // GIR_Coverage, 61449,
     /*  483928 */     GIR_EraseRootFromParent_Done,
     /*  483929 */   // Label 8120: @483929
     /*  483929 */   GIM_Try, /*On fail goto*//*Label 8121*/ GIMT_Encode4(484015), // Rule ID 61450 //
     /*  483934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  483937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  483942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  483945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  483948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  483951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  483981 */     // MIs[1] Operand 1
     /*  483981 */     // No operand predicates
     /*  483981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483990 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  483990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  483993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  484010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484013 */     GIR_RootConstrainSelectedInstOperands,
     /*  484014 */     // GIR_Coverage, 61450,
     /*  484014 */     GIR_EraseRootFromParent_Done,
     /*  484015 */   // Label 8121: @484015
     /*  484015 */   GIM_Try, /*On fail goto*//*Label 8122*/ GIMT_Encode4(484094), // Rule ID 2611 //
     /*  484020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  484028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  484031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  484034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  484037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  484040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484072 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  484072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  484075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484092 */     GIR_RootConstrainSelectedInstOperands,
     /*  484093 */     // GIR_Coverage, 2611,
     /*  484093 */     GIR_EraseRootFromParent_Done,
     /*  484094 */   // Label 8122: @484094
     /*  484094 */   GIM_Try, /*On fail goto*//*Label 8123*/ GIMT_Encode4(484173), // Rule ID 2612 //
     /*  484099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  484107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  484110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  484113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  484116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  484119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484151 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  484151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  484154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484171 */     GIR_RootConstrainSelectedInstOperands,
     /*  484172 */     // GIR_Coverage, 2612,
     /*  484172 */     GIR_EraseRootFromParent_Done,
     /*  484173 */   // Label 8123: @484173
     /*  484173 */   GIM_Try, /*On fail goto*//*Label 8124*/ GIMT_Encode4(484252), // Rule ID 3919 //
     /*  484178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  484186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  484189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  484192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  484195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  484198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484230 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  484230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  484233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484250 */     GIR_RootConstrainSelectedInstOperands,
     /*  484251 */     // GIR_Coverage, 3919,
     /*  484251 */     GIR_EraseRootFromParent_Done,
     /*  484252 */   // Label 8124: @484252
     /*  484252 */   GIM_Try, /*On fail goto*//*Label 8125*/ GIMT_Encode4(484331), // Rule ID 3920 //
     /*  484257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  484265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  484268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  484271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  484274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  484277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484309 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  484309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  484312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484329 */     GIR_RootConstrainSelectedInstOperands,
     /*  484330 */     // GIR_Coverage, 3920,
     /*  484330 */     GIR_EraseRootFromParent_Done,
     /*  484331 */   // Label 8125: @484331
     /*  484331 */   GIM_Try, /*On fail goto*//*Label 8126*/ GIMT_Encode4(484410), // Rule ID 3929 //
     /*  484336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  484344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  484347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  484350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  484353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  484356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484388 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  484388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  484391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484408 */     GIR_RootConstrainSelectedInstOperands,
     /*  484409 */     // GIR_Coverage, 3929,
     /*  484409 */     GIR_EraseRootFromParent_Done,
     /*  484410 */   // Label 8126: @484410
     /*  484410 */   GIM_Try, /*On fail goto*//*Label 8127*/ GIMT_Encode4(484489), // Rule ID 3930 //
     /*  484415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  484423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  484426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  484429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  484432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  484435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484467 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  484467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  484470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484487 */     GIR_RootConstrainSelectedInstOperands,
     /*  484488 */     // GIR_Coverage, 3930,
     /*  484488 */     GIR_EraseRootFromParent_Done,
     /*  484489 */   // Label 8127: @484489
     /*  484489 */   GIM_Try, /*On fail goto*//*Label 8128*/ GIMT_Encode4(484568), // Rule ID 3939 //
     /*  484494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  484502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  484505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  484508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  484511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  484514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484546 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  484546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  484549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484566 */     GIR_RootConstrainSelectedInstOperands,
     /*  484567 */     // GIR_Coverage, 3939,
     /*  484567 */     GIR_EraseRootFromParent_Done,
     /*  484568 */   // Label 8128: @484568
     /*  484568 */   GIM_Try, /*On fail goto*//*Label 8129*/ GIMT_Encode4(484647), // Rule ID 3940 //
     /*  484573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  484581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  484584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  484587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  484590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  484593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484625 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  484625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  484628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484645 */     GIR_RootConstrainSelectedInstOperands,
     /*  484646 */     // GIR_Coverage, 3940,
     /*  484646 */     GIR_EraseRootFromParent_Done,
     /*  484647 */   // Label 8129: @484647
     /*  484647 */   GIM_Try, /*On fail goto*//*Label 8130*/ GIMT_Encode4(484726), // Rule ID 3949 //
     /*  484652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  484660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  484663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  484666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  484669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  484672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484704 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  484704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  484707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484724 */     GIR_RootConstrainSelectedInstOperands,
     /*  484725 */     // GIR_Coverage, 3949,
     /*  484725 */     GIR_EraseRootFromParent_Done,
     /*  484726 */   // Label 8130: @484726
     /*  484726 */   GIM_Try, /*On fail goto*//*Label 8131*/ GIMT_Encode4(484805), // Rule ID 3950 //
     /*  484731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  484739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  484742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  484745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  484748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  484751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484783 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  484783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  484786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484803 */     GIR_RootConstrainSelectedInstOperands,
     /*  484804 */     // GIR_Coverage, 3950,
     /*  484804 */     GIR_EraseRootFromParent_Done,
     /*  484805 */   // Label 8131: @484805
     /*  484805 */   GIM_Try, /*On fail goto*//*Label 8132*/ GIMT_Encode4(484884), // Rule ID 3959 //
     /*  484810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  484818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  484827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  484830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484862 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  484862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  484865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484882 */     GIR_RootConstrainSelectedInstOperands,
     /*  484883 */     // GIR_Coverage, 3959,
     /*  484883 */     GIR_EraseRootFromParent_Done,
     /*  484884 */   // Label 8132: @484884
     /*  484884 */   GIM_Try, /*On fail goto*//*Label 8133*/ GIMT_Encode4(484963), // Rule ID 3960 //
     /*  484889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  484897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  484906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  484909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484941 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  484941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  484944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484961 */     GIR_RootConstrainSelectedInstOperands,
     /*  484962 */     // GIR_Coverage, 3960,
     /*  484962 */     GIR_EraseRootFromParent_Done,
     /*  484963 */   // Label 8133: @484963
     /*  484963 */   GIM_Try, /*On fail goto*//*Label 8134*/ GIMT_Encode4(485042), // Rule ID 3969 //
     /*  484968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  484976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  484979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  484982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  484985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  484988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485020 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  485020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  485023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485040 */     GIR_RootConstrainSelectedInstOperands,
     /*  485041 */     // GIR_Coverage, 3969,
     /*  485041 */     GIR_EraseRootFromParent_Done,
     /*  485042 */   // Label 8134: @485042
     /*  485042 */   GIM_Try, /*On fail goto*//*Label 8135*/ GIMT_Encode4(485121), // Rule ID 3970 //
     /*  485047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  485058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  485061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  485064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  485067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485099 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  485099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  485102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485119 */     GIR_RootConstrainSelectedInstOperands,
     /*  485120 */     // GIR_Coverage, 3970,
     /*  485120 */     GIR_EraseRootFromParent_Done,
     /*  485121 */   // Label 8135: @485121
     /*  485121 */   GIM_Try, /*On fail goto*//*Label 8136*/ GIMT_Encode4(485200), // Rule ID 3979 //
     /*  485126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  485137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  485140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  485143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  485146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  485178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  485181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485198 */     GIR_RootConstrainSelectedInstOperands,
     /*  485199 */     // GIR_Coverage, 3979,
     /*  485199 */     GIR_EraseRootFromParent_Done,
     /*  485200 */   // Label 8136: @485200
     /*  485200 */   GIM_Try, /*On fail goto*//*Label 8137*/ GIMT_Encode4(485279), // Rule ID 3980 //
     /*  485205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  485216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  485219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  485222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  485225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485257 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  485257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  485260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485277 */     GIR_RootConstrainSelectedInstOperands,
     /*  485278 */     // GIR_Coverage, 3980,
     /*  485278 */     GIR_EraseRootFromParent_Done,
     /*  485279 */   // Label 8137: @485279
     /*  485279 */   GIM_Try, /*On fail goto*//*Label 8138*/ GIMT_Encode4(485358), // Rule ID 3989 //
     /*  485284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  485295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  485298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  485301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  485304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485336 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  485336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  485339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485356 */     GIR_RootConstrainSelectedInstOperands,
     /*  485357 */     // GIR_Coverage, 3989,
     /*  485357 */     GIR_EraseRootFromParent_Done,
     /*  485358 */   // Label 8138: @485358
     /*  485358 */   GIM_Try, /*On fail goto*//*Label 8139*/ GIMT_Encode4(485437), // Rule ID 3990 //
     /*  485363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  485374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  485377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  485380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  485383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485415 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  485415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  485418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485435 */     GIR_RootConstrainSelectedInstOperands,
     /*  485436 */     // GIR_Coverage, 3990,
     /*  485436 */     GIR_EraseRootFromParent_Done,
     /*  485437 */   // Label 8139: @485437
     /*  485437 */   GIM_Try, /*On fail goto*//*Label 8140*/ GIMT_Encode4(485516), // Rule ID 3999 //
     /*  485442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  485453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  485456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  485459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  485462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485494 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  485494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  485497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485514 */     GIR_RootConstrainSelectedInstOperands,
     /*  485515 */     // GIR_Coverage, 3999,
     /*  485515 */     GIR_EraseRootFromParent_Done,
     /*  485516 */   // Label 8140: @485516
     /*  485516 */   GIM_Try, /*On fail goto*//*Label 8141*/ GIMT_Encode4(485595), // Rule ID 4000 //
     /*  485521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  485532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  485535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  485538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  485541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485573 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  485573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  485576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485593 */     GIR_RootConstrainSelectedInstOperands,
     /*  485594 */     // GIR_Coverage, 4000,
     /*  485594 */     GIR_EraseRootFromParent_Done,
     /*  485595 */   // Label 8141: @485595
     /*  485595 */   GIM_Try, /*On fail goto*//*Label 8142*/ GIMT_Encode4(485674), // Rule ID 4009 //
     /*  485600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  485611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  485614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  485617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  485620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485652 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  485652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  485655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485672 */     GIR_RootConstrainSelectedInstOperands,
     /*  485673 */     // GIR_Coverage, 4009,
     /*  485673 */     GIR_EraseRootFromParent_Done,
     /*  485674 */   // Label 8142: @485674
     /*  485674 */   GIM_Try, /*On fail goto*//*Label 8143*/ GIMT_Encode4(485753), // Rule ID 4010 //
     /*  485679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  485690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  485693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  485696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  485699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485731 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  485731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  485734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485751 */     GIR_RootConstrainSelectedInstOperands,
     /*  485752 */     // GIR_Coverage, 4010,
     /*  485752 */     GIR_EraseRootFromParent_Done,
     /*  485753 */   // Label 8143: @485753
     /*  485753 */   GIM_Try, /*On fail goto*//*Label 8144*/ GIMT_Encode4(485832), // Rule ID 4019 //
     /*  485758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  485761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  485769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  485772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  485775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  485778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485810 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  485810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  485813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485830 */     GIR_RootConstrainSelectedInstOperands,
     /*  485831 */     // GIR_Coverage, 4019,
     /*  485831 */     GIR_EraseRootFromParent_Done,
     /*  485832 */   // Label 8144: @485832
     /*  485832 */   GIM_Try, /*On fail goto*//*Label 8145*/ GIMT_Encode4(485911), // Rule ID 4020 //
     /*  485837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  485840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  485848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  485851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  485854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  485857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485889 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  485889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  485892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485909 */     GIR_RootConstrainSelectedInstOperands,
     /*  485910 */     // GIR_Coverage, 4020,
     /*  485910 */     GIR_EraseRootFromParent_Done,
     /*  485911 */   // Label 8145: @485911
     /*  485911 */   GIM_Try, /*On fail goto*//*Label 8146*/ GIMT_Encode4(485990), // Rule ID 4029 //
     /*  485916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  485919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  485924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  485927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  485930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  485933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  485936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485968 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  485968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  485971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485988 */     GIR_RootConstrainSelectedInstOperands,
     /*  485989 */     // GIR_Coverage, 4029,
     /*  485989 */     GIR_EraseRootFromParent_Done,
     /*  485990 */   // Label 8146: @485990
     /*  485990 */   GIM_Try, /*On fail goto*//*Label 8147*/ GIMT_Encode4(486069), // Rule ID 4030 //
     /*  485995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  485998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  486006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  486009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  486012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  486015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486047 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  486047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  486050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486067 */     GIR_RootConstrainSelectedInstOperands,
     /*  486068 */     // GIR_Coverage, 4030,
     /*  486068 */     GIR_EraseRootFromParent_Done,
     /*  486069 */   // Label 8147: @486069
     /*  486069 */   GIM_Try, /*On fail goto*//*Label 8148*/ GIMT_Encode4(486148), // Rule ID 4039 //
     /*  486074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  486077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  486085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  486088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  486091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  486094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486126 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  486126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  486129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486146 */     GIR_RootConstrainSelectedInstOperands,
     /*  486147 */     // GIR_Coverage, 4039,
     /*  486147 */     GIR_EraseRootFromParent_Done,
     /*  486148 */   // Label 8148: @486148
     /*  486148 */   GIM_Try, /*On fail goto*//*Label 8149*/ GIMT_Encode4(486227), // Rule ID 4040 //
     /*  486153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  486156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  486164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  486167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  486170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  486173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486205 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  486205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  486208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486225 */     GIR_RootConstrainSelectedInstOperands,
     /*  486226 */     // GIR_Coverage, 4040,
     /*  486226 */     GIR_EraseRootFromParent_Done,
     /*  486227 */   // Label 8149: @486227
     /*  486227 */   GIM_Try, /*On fail goto*//*Label 8150*/ GIMT_Encode4(486306), // Rule ID 4049 //
     /*  486232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  486235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  486243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  486246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  486249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  486252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486284 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  486284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  486287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486304 */     GIR_RootConstrainSelectedInstOperands,
     /*  486305 */     // GIR_Coverage, 4049,
     /*  486305 */     GIR_EraseRootFromParent_Done,
     /*  486306 */   // Label 8150: @486306
     /*  486306 */   GIM_Try, /*On fail goto*//*Label 8151*/ GIMT_Encode4(486385), // Rule ID 4050 //
     /*  486311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  486314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  486319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  486322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  486325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  486328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  486331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486363 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  486363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  486366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486383 */     GIR_RootConstrainSelectedInstOperands,
     /*  486384 */     // GIR_Coverage, 4050,
     /*  486384 */     GIR_EraseRootFromParent_Done,
     /*  486385 */   // Label 8151: @486385
     /*  486385 */   GIM_Try, /*On fail goto*//*Label 8152*/ GIMT_Encode4(486464), // Rule ID 4119 //
     /*  486390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  486398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  486401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  486404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  486407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  486410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486442 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  486445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486462 */     GIR_RootConstrainSelectedInstOperands,
     /*  486463 */     // GIR_Coverage, 4119,
     /*  486463 */     GIR_EraseRootFromParent_Done,
     /*  486464 */   // Label 8152: @486464
     /*  486464 */   GIM_Try, /*On fail goto*//*Label 8153*/ GIMT_Encode4(486543), // Rule ID 4120 //
     /*  486469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  486477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  486480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  486483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  486486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  486489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486521 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  486524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486541 */     GIR_RootConstrainSelectedInstOperands,
     /*  486542 */     // GIR_Coverage, 4120,
     /*  486542 */     GIR_EraseRootFromParent_Done,
     /*  486543 */   // Label 8153: @486543
     /*  486543 */   GIM_Try, /*On fail goto*//*Label 8154*/ GIMT_Encode4(486622), // Rule ID 4129 //
     /*  486548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  486556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  486559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  486562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  486565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  486568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486600 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  486603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486620 */     GIR_RootConstrainSelectedInstOperands,
     /*  486621 */     // GIR_Coverage, 4129,
     /*  486621 */     GIR_EraseRootFromParent_Done,
     /*  486622 */   // Label 8154: @486622
     /*  486622 */   GIM_Try, /*On fail goto*//*Label 8155*/ GIMT_Encode4(486701), // Rule ID 4130 //
     /*  486627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  486635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  486638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  486641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  486644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  486647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486679 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  486682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486699 */     GIR_RootConstrainSelectedInstOperands,
     /*  486700 */     // GIR_Coverage, 4130,
     /*  486700 */     GIR_EraseRootFromParent_Done,
     /*  486701 */   // Label 8155: @486701
     /*  486701 */   GIM_Try, /*On fail goto*//*Label 8156*/ GIMT_Encode4(486780), // Rule ID 4139 //
     /*  486706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  486714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  486717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  486720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  486723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  486726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486758 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  486761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486778 */     GIR_RootConstrainSelectedInstOperands,
     /*  486779 */     // GIR_Coverage, 4139,
     /*  486779 */     GIR_EraseRootFromParent_Done,
     /*  486780 */   // Label 8156: @486780
     /*  486780 */   GIM_Try, /*On fail goto*//*Label 8157*/ GIMT_Encode4(486859), // Rule ID 4140 //
     /*  486785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  486793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  486796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  486799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  486802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  486805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486837 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  486840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486857 */     GIR_RootConstrainSelectedInstOperands,
     /*  486858 */     // GIR_Coverage, 4140,
     /*  486858 */     GIR_EraseRootFromParent_Done,
     /*  486859 */   // Label 8157: @486859
     /*  486859 */   GIM_Try, /*On fail goto*//*Label 8158*/ GIMT_Encode4(486938), // Rule ID 4149 //
     /*  486864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  486872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  486875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  486878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  486881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  486884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486916 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  486919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486936 */     GIR_RootConstrainSelectedInstOperands,
     /*  486937 */     // GIR_Coverage, 4149,
     /*  486937 */     GIR_EraseRootFromParent_Done,
     /*  486938 */   // Label 8158: @486938
     /*  486938 */   GIM_Try, /*On fail goto*//*Label 8159*/ GIMT_Encode4(487017), // Rule ID 4150 //
     /*  486943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  486951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  486954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  486957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  486960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  486963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486995 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  486998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487015 */     GIR_RootConstrainSelectedInstOperands,
     /*  487016 */     // GIR_Coverage, 4150,
     /*  487016 */     GIR_EraseRootFromParent_Done,
     /*  487017 */   // Label 8159: @487017
     /*  487017 */   GIM_Try, /*On fail goto*//*Label 8160*/ GIMT_Encode4(487096), // Rule ID 4159 //
     /*  487022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  487033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  487036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  487039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  487042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487074 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  487074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  487077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487094 */     GIR_RootConstrainSelectedInstOperands,
     /*  487095 */     // GIR_Coverage, 4159,
     /*  487095 */     GIR_EraseRootFromParent_Done,
     /*  487096 */   // Label 8160: @487096
     /*  487096 */   GIM_Try, /*On fail goto*//*Label 8161*/ GIMT_Encode4(487175), // Rule ID 4160 //
     /*  487101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  487112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  487115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  487118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  487121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487153 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  487153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  487156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487173 */     GIR_RootConstrainSelectedInstOperands,
     /*  487174 */     // GIR_Coverage, 4160,
     /*  487174 */     GIR_EraseRootFromParent_Done,
     /*  487175 */   // Label 8161: @487175
     /*  487175 */   GIM_Try, /*On fail goto*//*Label 8162*/ GIMT_Encode4(487254), // Rule ID 4169 //
     /*  487180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  487191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  487194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  487197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  487200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487232 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  487232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  487235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487252 */     GIR_RootConstrainSelectedInstOperands,
     /*  487253 */     // GIR_Coverage, 4169,
     /*  487253 */     GIR_EraseRootFromParent_Done,
     /*  487254 */   // Label 8162: @487254
     /*  487254 */   GIM_Try, /*On fail goto*//*Label 8163*/ GIMT_Encode4(487333), // Rule ID 4170 //
     /*  487259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  487270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  487273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  487276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  487279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487311 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  487311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  487314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487331 */     GIR_RootConstrainSelectedInstOperands,
     /*  487332 */     // GIR_Coverage, 4170,
     /*  487332 */     GIR_EraseRootFromParent_Done,
     /*  487333 */   // Label 8163: @487333
     /*  487333 */   GIM_Try, /*On fail goto*//*Label 8164*/ GIMT_Encode4(487412), // Rule ID 4179 //
     /*  487338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  487349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  487352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  487355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  487358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487390 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  487390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  487393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487410 */     GIR_RootConstrainSelectedInstOperands,
     /*  487411 */     // GIR_Coverage, 4179,
     /*  487411 */     GIR_EraseRootFromParent_Done,
     /*  487412 */   // Label 8164: @487412
     /*  487412 */   GIM_Try, /*On fail goto*//*Label 8165*/ GIMT_Encode4(487491), // Rule ID 4180 //
     /*  487417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  487428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  487431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  487434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  487437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487469 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  487469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  487472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487489 */     GIR_RootConstrainSelectedInstOperands,
     /*  487490 */     // GIR_Coverage, 4180,
     /*  487490 */     GIR_EraseRootFromParent_Done,
     /*  487491 */   // Label 8165: @487491
     /*  487491 */   GIM_Try, /*On fail goto*//*Label 8166*/ GIMT_Encode4(487570), // Rule ID 4189 //
     /*  487496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  487507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  487510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  487513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  487516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487548 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  487548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  487551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487568 */     GIR_RootConstrainSelectedInstOperands,
     /*  487569 */     // GIR_Coverage, 4189,
     /*  487569 */     GIR_EraseRootFromParent_Done,
     /*  487570 */   // Label 8166: @487570
     /*  487570 */   GIM_Try, /*On fail goto*//*Label 8167*/ GIMT_Encode4(487649), // Rule ID 4190 //
     /*  487575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  487586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  487589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  487592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  487595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487627 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  487627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  487630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487647 */     GIR_RootConstrainSelectedInstOperands,
     /*  487648 */     // GIR_Coverage, 4190,
     /*  487648 */     GIR_EraseRootFromParent_Done,
     /*  487649 */   // Label 8167: @487649
     /*  487649 */   GIM_Try, /*On fail goto*//*Label 8168*/ GIMT_Encode4(487728), // Rule ID 4199 //
     /*  487654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  487665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  487668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  487671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  487674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487706 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  487706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  487709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487726 */     GIR_RootConstrainSelectedInstOperands,
     /*  487727 */     // GIR_Coverage, 4199,
     /*  487727 */     GIR_EraseRootFromParent_Done,
     /*  487728 */   // Label 8168: @487728
     /*  487728 */   GIM_Try, /*On fail goto*//*Label 8169*/ GIMT_Encode4(487807), // Rule ID 4200 //
     /*  487733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  487744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  487747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  487750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  487753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487785 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  487785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  487788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487805 */     GIR_RootConstrainSelectedInstOperands,
     /*  487806 */     // GIR_Coverage, 4200,
     /*  487806 */     GIR_EraseRootFromParent_Done,
     /*  487807 */   // Label 8169: @487807
     /*  487807 */   GIM_Try, /*On fail goto*//*Label 8170*/ GIMT_Encode4(487886), // Rule ID 4209 //
     /*  487812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  487823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  487826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  487829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  487832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487864 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  487864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  487867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487884 */     GIR_RootConstrainSelectedInstOperands,
     /*  487885 */     // GIR_Coverage, 4209,
     /*  487885 */     GIR_EraseRootFromParent_Done,
     /*  487886 */   // Label 8170: @487886
     /*  487886 */   GIM_Try, /*On fail goto*//*Label 8171*/ GIMT_Encode4(487965), // Rule ID 4210 //
     /*  487891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  487902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  487905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  487908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  487911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487943 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  487943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  487946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487963 */     GIR_RootConstrainSelectedInstOperands,
     /*  487964 */     // GIR_Coverage, 4210,
     /*  487964 */     GIR_EraseRootFromParent_Done,
     /*  487965 */   // Label 8171: @487965
     /*  487965 */   GIM_Try, /*On fail goto*//*Label 8172*/ GIMT_Encode4(488044), // Rule ID 4219 //
     /*  487970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  487978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  487981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  487984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  487987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  487990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488022 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  488022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  488025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488042 */     GIR_RootConstrainSelectedInstOperands,
     /*  488043 */     // GIR_Coverage, 4219,
     /*  488043 */     GIR_EraseRootFromParent_Done,
     /*  488044 */   // Label 8172: @488044
     /*  488044 */   GIM_Try, /*On fail goto*//*Label 8173*/ GIMT_Encode4(488123), // Rule ID 4220 //
     /*  488049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  488060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  488063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  488066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  488069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488101 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  488101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  488104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488121 */     GIR_RootConstrainSelectedInstOperands,
     /*  488122 */     // GIR_Coverage, 4220,
     /*  488122 */     GIR_EraseRootFromParent_Done,
     /*  488123 */   // Label 8173: @488123
     /*  488123 */   GIM_Try, /*On fail goto*//*Label 8174*/ GIMT_Encode4(488202), // Rule ID 4229 //
     /*  488128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  488131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  488139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  488142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  488145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  488148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488180 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  488180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  488183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488200 */     GIR_RootConstrainSelectedInstOperands,
     /*  488201 */     // GIR_Coverage, 4229,
     /*  488201 */     GIR_EraseRootFromParent_Done,
     /*  488202 */   // Label 8174: @488202
     /*  488202 */   GIM_Try, /*On fail goto*//*Label 8175*/ GIMT_Encode4(488281), // Rule ID 4230 //
     /*  488207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  488210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  488218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  488221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  488224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  488227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488259 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  488259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  488262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488279 */     GIR_RootConstrainSelectedInstOperands,
     /*  488280 */     // GIR_Coverage, 4230,
     /*  488280 */     GIR_EraseRootFromParent_Done,
     /*  488281 */   // Label 8175: @488281
     /*  488281 */   GIM_Try, /*On fail goto*//*Label 8176*/ GIMT_Encode4(488360), // Rule ID 4239 //
     /*  488286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  488289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  488297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  488300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  488303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  488306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488338 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  488338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  488341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488358 */     GIR_RootConstrainSelectedInstOperands,
     /*  488359 */     // GIR_Coverage, 4239,
     /*  488359 */     GIR_EraseRootFromParent_Done,
     /*  488360 */   // Label 8176: @488360
     /*  488360 */   GIM_Try, /*On fail goto*//*Label 8177*/ GIMT_Encode4(488439), // Rule ID 4240 //
     /*  488365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  488368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  488376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  488379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  488382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  488385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488417 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  488417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  488420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488437 */     GIR_RootConstrainSelectedInstOperands,
     /*  488438 */     // GIR_Coverage, 4240,
     /*  488438 */     GIR_EraseRootFromParent_Done,
     /*  488439 */   // Label 8177: @488439
     /*  488439 */   GIM_Try, /*On fail goto*//*Label 8178*/ GIMT_Encode4(488518), // Rule ID 4249 //
     /*  488444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  488447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  488455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  488458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  488461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  488464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488496 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  488496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  488499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488516 */     GIR_RootConstrainSelectedInstOperands,
     /*  488517 */     // GIR_Coverage, 4249,
     /*  488517 */     GIR_EraseRootFromParent_Done,
     /*  488518 */   // Label 8178: @488518
     /*  488518 */   GIM_Try, /*On fail goto*//*Label 8179*/ GIMT_Encode4(488597), // Rule ID 4250 //
     /*  488523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  488526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  488534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  488537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  488540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  488543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488575 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  488575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  488578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488595 */     GIR_RootConstrainSelectedInstOperands,
     /*  488596 */     // GIR_Coverage, 4250,
     /*  488596 */     GIR_EraseRootFromParent_Done,
     /*  488597 */   // Label 8179: @488597
     /*  488597 */   GIM_Try, /*On fail goto*//*Label 8180*/ GIMT_Encode4(488676), // Rule ID 4259 //
     /*  488602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  488605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  488613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  488616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  488619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  488622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488654 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  488654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  488657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488674 */     GIR_RootConstrainSelectedInstOperands,
     /*  488675 */     // GIR_Coverage, 4259,
     /*  488675 */     GIR_EraseRootFromParent_Done,
     /*  488676 */   // Label 8180: @488676
     /*  488676 */   GIM_Try, /*On fail goto*//*Label 8181*/ GIMT_Encode4(488755), // Rule ID 4260 //
     /*  488681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  488684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  488689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  488692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  488695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  488698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  488701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488733 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  488733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  488736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488753 */     GIR_RootConstrainSelectedInstOperands,
     /*  488754 */     // GIR_Coverage, 4260,
     /*  488754 */     GIR_EraseRootFromParent_Done,
     /*  488755 */   // Label 8181: @488755
     /*  488755 */   GIM_Try, /*On fail goto*//*Label 8182*/ GIMT_Encode4(488834), // Rule ID 4329 //
     /*  488760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  488768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  488771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  488774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  488777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  488780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488812 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  488815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488832 */     GIR_RootConstrainSelectedInstOperands,
     /*  488833 */     // GIR_Coverage, 4329,
     /*  488833 */     GIR_EraseRootFromParent_Done,
     /*  488834 */   // Label 8182: @488834
     /*  488834 */   GIM_Try, /*On fail goto*//*Label 8183*/ GIMT_Encode4(488913), // Rule ID 4330 //
     /*  488839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  488847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  488850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  488853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  488856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  488859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488891 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  488891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  488894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488911 */     GIR_RootConstrainSelectedInstOperands,
     /*  488912 */     // GIR_Coverage, 4330,
     /*  488912 */     GIR_EraseRootFromParent_Done,
     /*  488913 */   // Label 8183: @488913
     /*  488913 */   GIM_Try, /*On fail goto*//*Label 8184*/ GIMT_Encode4(488992), // Rule ID 4339 //
     /*  488918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  488926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  488929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  488932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  488935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  488938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488970 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  488970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  488973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488990 */     GIR_RootConstrainSelectedInstOperands,
     /*  488991 */     // GIR_Coverage, 4339,
     /*  488991 */     GIR_EraseRootFromParent_Done,
     /*  488992 */   // Label 8184: @488992
     /*  488992 */   GIM_Try, /*On fail goto*//*Label 8185*/ GIMT_Encode4(489071), // Rule ID 4340 //
     /*  488997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  489005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  489008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  489011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  489014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  489017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489049 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  489049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  489052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489069 */     GIR_RootConstrainSelectedInstOperands,
     /*  489070 */     // GIR_Coverage, 4340,
     /*  489070 */     GIR_EraseRootFromParent_Done,
     /*  489071 */   // Label 8185: @489071
     /*  489071 */   GIM_Try, /*On fail goto*//*Label 8186*/ GIMT_Encode4(489150), // Rule ID 4349 //
     /*  489076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  489084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  489087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  489090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  489093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  489096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489128 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  489128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  489131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489148 */     GIR_RootConstrainSelectedInstOperands,
     /*  489149 */     // GIR_Coverage, 4349,
     /*  489149 */     GIR_EraseRootFromParent_Done,
     /*  489150 */   // Label 8186: @489150
     /*  489150 */   GIM_Try, /*On fail goto*//*Label 8187*/ GIMT_Encode4(489229), // Rule ID 4350 //
     /*  489155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  489163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  489166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  489169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  489172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  489175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489207 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  489207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  489210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489227 */     GIR_RootConstrainSelectedInstOperands,
     /*  489228 */     // GIR_Coverage, 4350,
     /*  489228 */     GIR_EraseRootFromParent_Done,
     /*  489229 */   // Label 8187: @489229
     /*  489229 */   GIM_Try, /*On fail goto*//*Label 8188*/ GIMT_Encode4(489308), // Rule ID 4359 //
     /*  489234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  489242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  489245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  489248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  489251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  489254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489286 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  489286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  489289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489306 */     GIR_RootConstrainSelectedInstOperands,
     /*  489307 */     // GIR_Coverage, 4359,
     /*  489307 */     GIR_EraseRootFromParent_Done,
     /*  489308 */   // Label 8188: @489308
     /*  489308 */   GIM_Try, /*On fail goto*//*Label 8189*/ GIMT_Encode4(489387), // Rule ID 4360 //
     /*  489313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  489321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  489324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  489327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  489330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  489333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489365 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  489365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  489368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489385 */     GIR_RootConstrainSelectedInstOperands,
     /*  489386 */     // GIR_Coverage, 4360,
     /*  489386 */     GIR_EraseRootFromParent_Done,
     /*  489387 */   // Label 8189: @489387
     /*  489387 */   GIM_Try, /*On fail goto*//*Label 8190*/ GIMT_Encode4(489466), // Rule ID 4369 //
     /*  489392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  489400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  489403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  489406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  489409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  489412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489444 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  489444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  489447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489464 */     GIR_RootConstrainSelectedInstOperands,
     /*  489465 */     // GIR_Coverage, 4369,
     /*  489465 */     GIR_EraseRootFromParent_Done,
     /*  489466 */   // Label 8190: @489466
     /*  489466 */   GIM_Try, /*On fail goto*//*Label 8191*/ GIMT_Encode4(489545), // Rule ID 4370 //
     /*  489471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  489479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  489482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  489485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  489488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  489491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489523 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  489523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  489526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489543 */     GIR_RootConstrainSelectedInstOperands,
     /*  489544 */     // GIR_Coverage, 4370,
     /*  489544 */     GIR_EraseRootFromParent_Done,
     /*  489545 */   // Label 8191: @489545
     /*  489545 */   GIM_Try, /*On fail goto*//*Label 8192*/ GIMT_Encode4(489624), // Rule ID 4379 //
     /*  489550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  489558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  489561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  489564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  489567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  489570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489602 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  489602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  489605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489622 */     GIR_RootConstrainSelectedInstOperands,
     /*  489623 */     // GIR_Coverage, 4379,
     /*  489623 */     GIR_EraseRootFromParent_Done,
     /*  489624 */   // Label 8192: @489624
     /*  489624 */   GIM_Try, /*On fail goto*//*Label 8193*/ GIMT_Encode4(489703), // Rule ID 4380 //
     /*  489629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  489637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  489640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  489643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  489646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  489649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489681 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  489681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  489684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489701 */     GIR_RootConstrainSelectedInstOperands,
     /*  489702 */     // GIR_Coverage, 4380,
     /*  489702 */     GIR_EraseRootFromParent_Done,
     /*  489703 */   // Label 8193: @489703
     /*  489703 */   GIM_Try, /*On fail goto*//*Label 8194*/ GIMT_Encode4(489782), // Rule ID 4389 //
     /*  489708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  489716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  489719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  489722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  489725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  489728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489760 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  489760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  489763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489780 */     GIR_RootConstrainSelectedInstOperands,
     /*  489781 */     // GIR_Coverage, 4389,
     /*  489781 */     GIR_EraseRootFromParent_Done,
     /*  489782 */   // Label 8194: @489782
     /*  489782 */   GIM_Try, /*On fail goto*//*Label 8195*/ GIMT_Encode4(489861), // Rule ID 4390 //
     /*  489787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  489795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  489798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  489801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  489804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  489807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489839 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  489839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  489842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489859 */     GIR_RootConstrainSelectedInstOperands,
     /*  489860 */     // GIR_Coverage, 4390,
     /*  489860 */     GIR_EraseRootFromParent_Done,
     /*  489861 */   // Label 8195: @489861
     /*  489861 */   GIM_Try, /*On fail goto*//*Label 8196*/ GIMT_Encode4(489940), // Rule ID 4399 //
     /*  489866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  489874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  489877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  489880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  489883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  489886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489918 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  489918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  489921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  489938 */     GIR_RootConstrainSelectedInstOperands,
     /*  489939 */     // GIR_Coverage, 4399,
     /*  489939 */     GIR_EraseRootFromParent_Done,
     /*  489940 */   // Label 8196: @489940
     /*  489940 */   GIM_Try, /*On fail goto*//*Label 8197*/ GIMT_Encode4(490019), // Rule ID 4400 //
     /*  489945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  489953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  489956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  489959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  489962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  489965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  489976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  489980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489997 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  489997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  490000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490017 */     GIR_RootConstrainSelectedInstOperands,
     /*  490018 */     // GIR_Coverage, 4400,
     /*  490018 */     GIR_EraseRootFromParent_Done,
     /*  490019 */   // Label 8197: @490019
     /*  490019 */   GIM_Try, /*On fail goto*//*Label 8198*/ GIMT_Encode4(490098), // Rule ID 4409 //
     /*  490024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  490035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  490038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  490041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  490044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490076 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  490076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  490079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490096 */     GIR_RootConstrainSelectedInstOperands,
     /*  490097 */     // GIR_Coverage, 4409,
     /*  490097 */     GIR_EraseRootFromParent_Done,
     /*  490098 */   // Label 8198: @490098
     /*  490098 */   GIM_Try, /*On fail goto*//*Label 8199*/ GIMT_Encode4(490177), // Rule ID 4410 //
     /*  490103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  490114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  490117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  490120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  490123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490155 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  490155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  490158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490175 */     GIR_RootConstrainSelectedInstOperands,
     /*  490176 */     // GIR_Coverage, 4410,
     /*  490176 */     GIR_EraseRootFromParent_Done,
     /*  490177 */   // Label 8199: @490177
     /*  490177 */   GIM_Try, /*On fail goto*//*Label 8200*/ GIMT_Encode4(490256), // Rule ID 4419 //
     /*  490182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  490193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  490196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  490199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  490202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490234 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  490234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  490237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490254 */     GIR_RootConstrainSelectedInstOperands,
     /*  490255 */     // GIR_Coverage, 4419,
     /*  490255 */     GIR_EraseRootFromParent_Done,
     /*  490256 */   // Label 8200: @490256
     /*  490256 */   GIM_Try, /*On fail goto*//*Label 8201*/ GIMT_Encode4(490335), // Rule ID 4420 //
     /*  490261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  490272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  490275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  490278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  490281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490313 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  490313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  490316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490333 */     GIR_RootConstrainSelectedInstOperands,
     /*  490334 */     // GIR_Coverage, 4420,
     /*  490334 */     GIR_EraseRootFromParent_Done,
     /*  490335 */   // Label 8201: @490335
     /*  490335 */   GIM_Try, /*On fail goto*//*Label 8202*/ GIMT_Encode4(490414), // Rule ID 4429 //
     /*  490340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  490351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  490354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  490357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  490360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490392 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  490392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  490395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490412 */     GIR_RootConstrainSelectedInstOperands,
     /*  490413 */     // GIR_Coverage, 4429,
     /*  490413 */     GIR_EraseRootFromParent_Done,
     /*  490414 */   // Label 8202: @490414
     /*  490414 */   GIM_Try, /*On fail goto*//*Label 8203*/ GIMT_Encode4(490493), // Rule ID 4430 //
     /*  490419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  490430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  490433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  490436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  490439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490471 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  490471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  490474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490491 */     GIR_RootConstrainSelectedInstOperands,
     /*  490492 */     // GIR_Coverage, 4430,
     /*  490492 */     GIR_EraseRootFromParent_Done,
     /*  490493 */   // Label 8203: @490493
     /*  490493 */   GIM_Try, /*On fail goto*//*Label 8204*/ GIMT_Encode4(490572), // Rule ID 4439 //
     /*  490498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  490501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  490509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  490512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  490515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  490518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490550 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  490550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  490553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490570 */     GIR_RootConstrainSelectedInstOperands,
     /*  490571 */     // GIR_Coverage, 4439,
     /*  490571 */     GIR_EraseRootFromParent_Done,
     /*  490572 */   // Label 8204: @490572
     /*  490572 */   GIM_Try, /*On fail goto*//*Label 8205*/ GIMT_Encode4(490651), // Rule ID 4440 //
     /*  490577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  490580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  490588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  490591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  490594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  490597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490629 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  490629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  490632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490649 */     GIR_RootConstrainSelectedInstOperands,
     /*  490650 */     // GIR_Coverage, 4440,
     /*  490650 */     GIR_EraseRootFromParent_Done,
     /*  490651 */   // Label 8205: @490651
     /*  490651 */   GIM_Try, /*On fail goto*//*Label 8206*/ GIMT_Encode4(490730), // Rule ID 4449 //
     /*  490656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  490659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  490667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  490670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  490673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  490676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490708 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  490708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  490711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490728 */     GIR_RootConstrainSelectedInstOperands,
     /*  490729 */     // GIR_Coverage, 4449,
     /*  490729 */     GIR_EraseRootFromParent_Done,
     /*  490730 */   // Label 8206: @490730
     /*  490730 */   GIM_Try, /*On fail goto*//*Label 8207*/ GIMT_Encode4(490809), // Rule ID 4450 //
     /*  490735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  490738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  490746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  490749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  490752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  490755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490787 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  490787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  490790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490807 */     GIR_RootConstrainSelectedInstOperands,
     /*  490808 */     // GIR_Coverage, 4450,
     /*  490808 */     GIR_EraseRootFromParent_Done,
     /*  490809 */   // Label 8207: @490809
     /*  490809 */   GIM_Try, /*On fail goto*//*Label 8208*/ GIMT_Encode4(490888), // Rule ID 4459 //
     /*  490814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  490817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  490825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  490828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  490831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  490834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490866 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  490866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  490869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490886 */     GIR_RootConstrainSelectedInstOperands,
     /*  490887 */     // GIR_Coverage, 4459,
     /*  490887 */     GIR_EraseRootFromParent_Done,
     /*  490888 */   // Label 8208: @490888
     /*  490888 */   GIM_Try, /*On fail goto*//*Label 8209*/ GIMT_Encode4(490967), // Rule ID 4460 //
     /*  490893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  490896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  490904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  490907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  490910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  490913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490945 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  490945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  490948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490965 */     GIR_RootConstrainSelectedInstOperands,
     /*  490966 */     // GIR_Coverage, 4460,
     /*  490966 */     GIR_EraseRootFromParent_Done,
     /*  490967 */   // Label 8209: @490967
     /*  490967 */   GIM_Try, /*On fail goto*//*Label 8210*/ GIMT_Encode4(491046), // Rule ID 4469 //
     /*  490972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  490975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  490980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  490983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  490986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  490989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  490992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491024 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  491024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  491027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491044 */     GIR_RootConstrainSelectedInstOperands,
     /*  491045 */     // GIR_Coverage, 4469,
     /*  491045 */     GIR_EraseRootFromParent_Done,
     /*  491046 */   // Label 8210: @491046
     /*  491046 */   GIM_Try, /*On fail goto*//*Label 8211*/ GIMT_Encode4(491125), // Rule ID 4470 //
     /*  491051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  491054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  491059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  491062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  491065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  491068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  491071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491103 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  491103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  491106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491123 */     GIR_RootConstrainSelectedInstOperands,
     /*  491124 */     // GIR_Coverage, 4470,
     /*  491124 */     GIR_EraseRootFromParent_Done,
     /*  491125 */   // Label 8211: @491125
     /*  491125 */   GIM_Try, /*On fail goto*//*Label 8212*/ GIMT_Encode4(491204), // Rule ID 4539 //
     /*  491130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  491138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  491141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  491144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  491147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  491150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491182 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  491182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  491185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491202 */     GIR_RootConstrainSelectedInstOperands,
     /*  491203 */     // GIR_Coverage, 4539,
     /*  491203 */     GIR_EraseRootFromParent_Done,
     /*  491204 */   // Label 8212: @491204
     /*  491204 */   GIM_Try, /*On fail goto*//*Label 8213*/ GIMT_Encode4(491283), // Rule ID 4540 //
     /*  491209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  491217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  491220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  491223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  491226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  491229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491261 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  491261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  491264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491281 */     GIR_RootConstrainSelectedInstOperands,
     /*  491282 */     // GIR_Coverage, 4540,
     /*  491282 */     GIR_EraseRootFromParent_Done,
     /*  491283 */   // Label 8213: @491283
     /*  491283 */   GIM_Try, /*On fail goto*//*Label 8214*/ GIMT_Encode4(491362), // Rule ID 4549 //
     /*  491288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  491296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  491299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  491302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  491305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  491308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491340 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  491340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  491343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491360 */     GIR_RootConstrainSelectedInstOperands,
     /*  491361 */     // GIR_Coverage, 4549,
     /*  491361 */     GIR_EraseRootFromParent_Done,
     /*  491362 */   // Label 8214: @491362
     /*  491362 */   GIM_Try, /*On fail goto*//*Label 8215*/ GIMT_Encode4(491441), // Rule ID 4550 //
     /*  491367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  491375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  491378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  491381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  491384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  491387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491419 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  491419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  491422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491439 */     GIR_RootConstrainSelectedInstOperands,
     /*  491440 */     // GIR_Coverage, 4550,
     /*  491440 */     GIR_EraseRootFromParent_Done,
     /*  491441 */   // Label 8215: @491441
     /*  491441 */   GIM_Try, /*On fail goto*//*Label 8216*/ GIMT_Encode4(491520), // Rule ID 4559 //
     /*  491446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  491454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  491457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  491460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  491463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  491466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491498 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  491498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  491501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491518 */     GIR_RootConstrainSelectedInstOperands,
     /*  491519 */     // GIR_Coverage, 4559,
     /*  491519 */     GIR_EraseRootFromParent_Done,
     /*  491520 */   // Label 8216: @491520
     /*  491520 */   GIM_Try, /*On fail goto*//*Label 8217*/ GIMT_Encode4(491599), // Rule ID 4560 //
     /*  491525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  491533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  491536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  491539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  491542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  491545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491577 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  491577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  491580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491597 */     GIR_RootConstrainSelectedInstOperands,
     /*  491598 */     // GIR_Coverage, 4560,
     /*  491598 */     GIR_EraseRootFromParent_Done,
     /*  491599 */   // Label 8217: @491599
     /*  491599 */   GIM_Try, /*On fail goto*//*Label 8218*/ GIMT_Encode4(491678), // Rule ID 4569 //
     /*  491604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  491612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  491615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  491618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  491621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  491624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491656 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  491656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  491659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491676 */     GIR_RootConstrainSelectedInstOperands,
     /*  491677 */     // GIR_Coverage, 4569,
     /*  491677 */     GIR_EraseRootFromParent_Done,
     /*  491678 */   // Label 8218: @491678
     /*  491678 */   GIM_Try, /*On fail goto*//*Label 8219*/ GIMT_Encode4(491757), // Rule ID 4570 //
     /*  491683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  491691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  491694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  491697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  491700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  491703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491735 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  491735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  491738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491755 */     GIR_RootConstrainSelectedInstOperands,
     /*  491756 */     // GIR_Coverage, 4570,
     /*  491756 */     GIR_EraseRootFromParent_Done,
     /*  491757 */   // Label 8219: @491757
     /*  491757 */   GIM_Try, /*On fail goto*//*Label 8220*/ GIMT_Encode4(491836), // Rule ID 4579 //
     /*  491762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  491770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  491773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  491776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  491779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  491782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491814 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  491814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  491817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491834 */     GIR_RootConstrainSelectedInstOperands,
     /*  491835 */     // GIR_Coverage, 4579,
     /*  491835 */     GIR_EraseRootFromParent_Done,
     /*  491836 */   // Label 8220: @491836
     /*  491836 */   GIM_Try, /*On fail goto*//*Label 8221*/ GIMT_Encode4(491915), // Rule ID 4580 //
     /*  491841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  491849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  491852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  491855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  491858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  491861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491893 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  491893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  491896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491913 */     GIR_RootConstrainSelectedInstOperands,
     /*  491914 */     // GIR_Coverage, 4580,
     /*  491914 */     GIR_EraseRootFromParent_Done,
     /*  491915 */   // Label 8221: @491915
     /*  491915 */   GIM_Try, /*On fail goto*//*Label 8222*/ GIMT_Encode4(491994), // Rule ID 4589 //
     /*  491920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  491928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  491931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  491934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  491937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  491940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491972 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  491972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  491975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491992 */     GIR_RootConstrainSelectedInstOperands,
     /*  491993 */     // GIR_Coverage, 4589,
     /*  491993 */     GIR_EraseRootFromParent_Done,
     /*  491994 */   // Label 8222: @491994
     /*  491994 */   GIM_Try, /*On fail goto*//*Label 8223*/ GIMT_Encode4(492073), // Rule ID 4590 //
     /*  491999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  492010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  492013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  492016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  492019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492051 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  492054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492071 */     GIR_RootConstrainSelectedInstOperands,
     /*  492072 */     // GIR_Coverage, 4590,
     /*  492072 */     GIR_EraseRootFromParent_Done,
     /*  492073 */   // Label 8223: @492073
     /*  492073 */   GIM_Try, /*On fail goto*//*Label 8224*/ GIMT_Encode4(492152), // Rule ID 4599 //
     /*  492078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  492089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  492092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  492095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  492098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492130 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  492130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  492133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492150 */     GIR_RootConstrainSelectedInstOperands,
     /*  492151 */     // GIR_Coverage, 4599,
     /*  492151 */     GIR_EraseRootFromParent_Done,
     /*  492152 */   // Label 8224: @492152
     /*  492152 */   GIM_Try, /*On fail goto*//*Label 8225*/ GIMT_Encode4(492231), // Rule ID 4600 //
     /*  492157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  492168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  492171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  492174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  492177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492209 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  492209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  492212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492229 */     GIR_RootConstrainSelectedInstOperands,
     /*  492230 */     // GIR_Coverage, 4600,
     /*  492230 */     GIR_EraseRootFromParent_Done,
     /*  492231 */   // Label 8225: @492231
     /*  492231 */   GIM_Try, /*On fail goto*//*Label 8226*/ GIMT_Encode4(492310), // Rule ID 4609 //
     /*  492236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  492247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  492250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  492253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  492256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492288 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  492288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  492291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492308 */     GIR_RootConstrainSelectedInstOperands,
     /*  492309 */     // GIR_Coverage, 4609,
     /*  492309 */     GIR_EraseRootFromParent_Done,
     /*  492310 */   // Label 8226: @492310
     /*  492310 */   GIM_Try, /*On fail goto*//*Label 8227*/ GIMT_Encode4(492389), // Rule ID 4610 //
     /*  492315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  492326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  492329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  492332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  492335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  492367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  492370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492387 */     GIR_RootConstrainSelectedInstOperands,
     /*  492388 */     // GIR_Coverage, 4610,
     /*  492388 */     GIR_EraseRootFromParent_Done,
     /*  492389 */   // Label 8227: @492389
     /*  492389 */   GIM_Try, /*On fail goto*//*Label 8228*/ GIMT_Encode4(492468), // Rule ID 4619 //
     /*  492394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  492405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  492408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  492411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  492414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492446 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  492446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  492449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492466 */     GIR_RootConstrainSelectedInstOperands,
     /*  492467 */     // GIR_Coverage, 4619,
     /*  492467 */     GIR_EraseRootFromParent_Done,
     /*  492468 */   // Label 8228: @492468
     /*  492468 */   GIM_Try, /*On fail goto*//*Label 8229*/ GIMT_Encode4(492547), // Rule ID 4620 //
     /*  492473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  492484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  492487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  492490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  492493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492525 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  492525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  492528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492545 */     GIR_RootConstrainSelectedInstOperands,
     /*  492546 */     // GIR_Coverage, 4620,
     /*  492546 */     GIR_EraseRootFromParent_Done,
     /*  492547 */   // Label 8229: @492547
     /*  492547 */   GIM_Try, /*On fail goto*//*Label 8230*/ GIMT_Encode4(492626), // Rule ID 4629 //
     /*  492552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  492563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  492566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  492569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  492572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492604 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  492604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  492607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492624 */     GIR_RootConstrainSelectedInstOperands,
     /*  492625 */     // GIR_Coverage, 4629,
     /*  492625 */     GIR_EraseRootFromParent_Done,
     /*  492626 */   // Label 8230: @492626
     /*  492626 */   GIM_Try, /*On fail goto*//*Label 8231*/ GIMT_Encode4(492705), // Rule ID 4630 //
     /*  492631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  492642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  492645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  492648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  492651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492683 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  492683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  492686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492703 */     GIR_RootConstrainSelectedInstOperands,
     /*  492704 */     // GIR_Coverage, 4630,
     /*  492704 */     GIR_EraseRootFromParent_Done,
     /*  492705 */   // Label 8231: @492705
     /*  492705 */   GIM_Try, /*On fail goto*//*Label 8232*/ GIMT_Encode4(492784), // Rule ID 4639 //
     /*  492710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  492721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  492724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  492727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  492730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492762 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  492762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  492765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492782 */     GIR_RootConstrainSelectedInstOperands,
     /*  492783 */     // GIR_Coverage, 4639,
     /*  492783 */     GIR_EraseRootFromParent_Done,
     /*  492784 */   // Label 8232: @492784
     /*  492784 */   GIM_Try, /*On fail goto*//*Label 8233*/ GIMT_Encode4(492863), // Rule ID 4640 //
     /*  492789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  492800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  492803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  492806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  492809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492841 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  492841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  492844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492861 */     GIR_RootConstrainSelectedInstOperands,
     /*  492862 */     // GIR_Coverage, 4640,
     /*  492862 */     GIR_EraseRootFromParent_Done,
     /*  492863 */   // Label 8233: @492863
     /*  492863 */   GIM_Try, /*On fail goto*//*Label 8234*/ GIMT_Encode4(492942), // Rule ID 4649 //
     /*  492868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  492879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  492882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  492885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  492888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492920 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  492923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492940 */     GIR_RootConstrainSelectedInstOperands,
     /*  492941 */     // GIR_Coverage, 4649,
     /*  492941 */     GIR_EraseRootFromParent_Done,
     /*  492942 */   // Label 8234: @492942
     /*  492942 */   GIM_Try, /*On fail goto*//*Label 8235*/ GIMT_Encode4(493021), // Rule ID 4650 //
     /*  492947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  492955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  492958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  492961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  492964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  492967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492999 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  493002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493019 */     GIR_RootConstrainSelectedInstOperands,
     /*  493020 */     // GIR_Coverage, 4650,
     /*  493020 */     GIR_EraseRootFromParent_Done,
     /*  493021 */   // Label 8235: @493021
     /*  493021 */   GIM_Try, /*On fail goto*//*Label 8236*/ GIMT_Encode4(493100), // Rule ID 4659 //
     /*  493026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  493029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  493037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  493040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  493043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  493046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493078 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  493078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  493081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493098 */     GIR_RootConstrainSelectedInstOperands,
     /*  493099 */     // GIR_Coverage, 4659,
     /*  493099 */     GIR_EraseRootFromParent_Done,
     /*  493100 */   // Label 8236: @493100
     /*  493100 */   GIM_Try, /*On fail goto*//*Label 8237*/ GIMT_Encode4(493179), // Rule ID 4660 //
     /*  493105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  493108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  493116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  493119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  493122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  493125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493157 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  493157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  493160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493177 */     GIR_RootConstrainSelectedInstOperands,
     /*  493178 */     // GIR_Coverage, 4660,
     /*  493178 */     GIR_EraseRootFromParent_Done,
     /*  493179 */   // Label 8237: @493179
     /*  493179 */   GIM_Try, /*On fail goto*//*Label 8238*/ GIMT_Encode4(493258), // Rule ID 4669 //
     /*  493184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  493187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  493195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  493198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  493201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  493204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493236 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  493236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  493239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493256 */     GIR_RootConstrainSelectedInstOperands,
     /*  493257 */     // GIR_Coverage, 4669,
     /*  493257 */     GIR_EraseRootFromParent_Done,
     /*  493258 */   // Label 8238: @493258
     /*  493258 */   GIM_Try, /*On fail goto*//*Label 8239*/ GIMT_Encode4(493337), // Rule ID 4670 //
     /*  493263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  493266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  493274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  493277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  493280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  493283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493315 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  493315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  493318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493335 */     GIR_RootConstrainSelectedInstOperands,
     /*  493336 */     // GIR_Coverage, 4670,
     /*  493336 */     GIR_EraseRootFromParent_Done,
     /*  493337 */   // Label 8239: @493337
     /*  493337 */   GIM_Try, /*On fail goto*//*Label 8240*/ GIMT_Encode4(493416), // Rule ID 4679 //
     /*  493342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  493345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  493353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  493356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  493359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  493362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493394 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  493394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  493397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493414 */     GIR_RootConstrainSelectedInstOperands,
     /*  493415 */     // GIR_Coverage, 4679,
     /*  493415 */     GIR_EraseRootFromParent_Done,
     /*  493416 */   // Label 8240: @493416
     /*  493416 */   GIM_Try, /*On fail goto*//*Label 8241*/ GIMT_Encode4(493495), // Rule ID 4680 //
     /*  493421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  493424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  493429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  493432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  493435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  493438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  493441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493473 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  493473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  493476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493493 */     GIR_RootConstrainSelectedInstOperands,
     /*  493494 */     // GIR_Coverage, 4680,
     /*  493494 */     GIR_EraseRootFromParent_Done,
     /*  493495 */   // Label 8241: @493495
     /*  493495 */   GIM_Try, /*On fail goto*//*Label 8242*/ GIMT_Encode4(493563), // Rule ID 2571 //
     /*  493500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  493508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  493511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  493514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  493517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  493520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  493524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  493532 */     // MIs[0] policy
     /*  493532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493542 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  493542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  493545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493549 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  493551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493559 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493561 */     GIR_RootConstrainSelectedInstOperands,
     /*  493562 */     // GIR_Coverage, 2571,
     /*  493562 */     GIR_EraseRootFromParent_Done,
     /*  493563 */   // Label 8242: @493563
     /*  493563 */   GIM_Try, /*On fail goto*//*Label 8243*/ GIMT_Encode4(493631), // Rule ID 2572 //
     /*  493568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  493576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  493579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  493582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  493585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  493588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  493592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  493600 */     // MIs[0] policy
     /*  493600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493610 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  493610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  493613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493617 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  493619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493627 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493629 */     GIR_RootConstrainSelectedInstOperands,
     /*  493630 */     // GIR_Coverage, 2572,
     /*  493630 */     GIR_EraseRootFromParent_Done,
     /*  493631 */   // Label 8243: @493631
     /*  493631 */   GIM_Try, /*On fail goto*//*Label 8244*/ GIMT_Encode4(493699), // Rule ID 23359 //
     /*  493636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  493644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  493647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  493650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  493653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  493656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  493660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  493668 */     // MIs[0] policy
     /*  493668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493678 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  493678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  493681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493685 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  493687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493695 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493697 */     GIR_RootConstrainSelectedInstOperands,
     /*  493698 */     // GIR_Coverage, 23359,
     /*  493698 */     GIR_EraseRootFromParent_Done,
     /*  493699 */   // Label 8244: @493699
     /*  493699 */   GIM_Try, /*On fail goto*//*Label 8245*/ GIMT_Encode4(493767), // Rule ID 23360 //
     /*  493704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  493712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  493715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  493718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  493721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  493724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  493728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  493736 */     // MIs[0] policy
     /*  493736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493746 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  493746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  493749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493753 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  493755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493763 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493765 */     GIR_RootConstrainSelectedInstOperands,
     /*  493766 */     // GIR_Coverage, 23360,
     /*  493766 */     GIR_EraseRootFromParent_Done,
     /*  493767 */   // Label 8245: @493767
     /*  493767 */   GIM_Try, /*On fail goto*//*Label 8246*/ GIMT_Encode4(493835), // Rule ID 23363 //
     /*  493772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  493780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  493783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  493786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  493789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  493792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  493796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  493804 */     // MIs[0] policy
     /*  493804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493814 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11221:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  493814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  493817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493821 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  493823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493831 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493833 */     GIR_RootConstrainSelectedInstOperands,
     /*  493834 */     // GIR_Coverage, 23363,
     /*  493834 */     GIR_EraseRootFromParent_Done,
     /*  493835 */   // Label 8246: @493835
     /*  493835 */   GIM_Try, /*On fail goto*//*Label 8247*/ GIMT_Encode4(493903), // Rule ID 23364 //
     /*  493840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  493848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  493851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  493854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  493857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  493860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  493864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  493872 */     // MIs[0] policy
     /*  493872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493882 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11221:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  493882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  493885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493889 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  493891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493899 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493901 */     GIR_RootConstrainSelectedInstOperands,
     /*  493902 */     // GIR_Coverage, 23364,
     /*  493902 */     GIR_EraseRootFromParent_Done,
     /*  493903 */   // Label 8247: @493903
     /*  493903 */   GIM_Try, /*On fail goto*//*Label 8248*/ GIMT_Encode4(493971), // Rule ID 23367 //
     /*  493908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  493916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  493919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  493922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  493925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  493928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  493932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  493940 */     // MIs[0] policy
     /*  493940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493950 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  493950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  493953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493957 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  493959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493967 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493969 */     GIR_RootConstrainSelectedInstOperands,
     /*  493970 */     // GIR_Coverage, 23367,
     /*  493970 */     GIR_EraseRootFromParent_Done,
     /*  493971 */   // Label 8248: @493971
     /*  493971 */   GIM_Try, /*On fail goto*//*Label 8249*/ GIMT_Encode4(494039), // Rule ID 23368 //
     /*  493976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  493984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  493987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  493990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  493993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  493996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494008 */     // MIs[0] policy
     /*  494008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494018 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  494018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  494021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494025 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494035 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494037 */     GIR_RootConstrainSelectedInstOperands,
     /*  494038 */     // GIR_Coverage, 23368,
     /*  494038 */     GIR_EraseRootFromParent_Done,
     /*  494039 */   // Label 8249: @494039
     /*  494039 */   GIM_Try, /*On fail goto*//*Label 8250*/ GIMT_Encode4(494107), // Rule ID 23371 //
     /*  494044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  494055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  494058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  494061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494076 */     // MIs[0] policy
     /*  494076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494086 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  494086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  494089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494093 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494103 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494105 */     GIR_RootConstrainSelectedInstOperands,
     /*  494106 */     // GIR_Coverage, 23371,
     /*  494106 */     GIR_EraseRootFromParent_Done,
     /*  494107 */   // Label 8250: @494107
     /*  494107 */   GIM_Try, /*On fail goto*//*Label 8251*/ GIMT_Encode4(494175), // Rule ID 23372 //
     /*  494112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  494123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  494126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  494129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494144 */     // MIs[0] policy
     /*  494144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494154 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  494154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  494157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494161 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494171 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494173 */     GIR_RootConstrainSelectedInstOperands,
     /*  494174 */     // GIR_Coverage, 23372,
     /*  494174 */     GIR_EraseRootFromParent_Done,
     /*  494175 */   // Label 8251: @494175
     /*  494175 */   GIM_Try, /*On fail goto*//*Label 8252*/ GIMT_Encode4(494243), // Rule ID 23375 //
     /*  494180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  494191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  494194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  494197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494212 */     // MIs[0] policy
     /*  494212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494222 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  494222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  494225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494229 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494239 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494241 */     GIR_RootConstrainSelectedInstOperands,
     /*  494242 */     // GIR_Coverage, 23375,
     /*  494242 */     GIR_EraseRootFromParent_Done,
     /*  494243 */   // Label 8252: @494243
     /*  494243 */   GIM_Try, /*On fail goto*//*Label 8253*/ GIMT_Encode4(494311), // Rule ID 23376 //
     /*  494248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  494259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  494262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  494265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494280 */     // MIs[0] policy
     /*  494280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494290 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  494290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  494293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494297 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494307 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494309 */     GIR_RootConstrainSelectedInstOperands,
     /*  494310 */     // GIR_Coverage, 23376,
     /*  494310 */     GIR_EraseRootFromParent_Done,
     /*  494311 */   // Label 8253: @494311
     /*  494311 */   GIM_Try, /*On fail goto*//*Label 8254*/ GIMT_Encode4(494379), // Rule ID 23379 //
     /*  494316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  494327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  494330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  494333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494348 */     // MIs[0] policy
     /*  494348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494358 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11221:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  494358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  494361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494365 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494375 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494377 */     GIR_RootConstrainSelectedInstOperands,
     /*  494378 */     // GIR_Coverage, 23379,
     /*  494378 */     GIR_EraseRootFromParent_Done,
     /*  494379 */   // Label 8254: @494379
     /*  494379 */   GIM_Try, /*On fail goto*//*Label 8255*/ GIMT_Encode4(494447), // Rule ID 23380 //
     /*  494384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  494395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  494398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  494401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494416 */     // MIs[0] policy
     /*  494416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494426 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11221:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  494426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  494429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494433 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494443 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494445 */     GIR_RootConstrainSelectedInstOperands,
     /*  494446 */     // GIR_Coverage, 23380,
     /*  494446 */     GIR_EraseRootFromParent_Done,
     /*  494447 */   // Label 8255: @494447
     /*  494447 */   GIM_Try, /*On fail goto*//*Label 8256*/ GIMT_Encode4(494515), // Rule ID 23383 //
     /*  494452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  494463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  494466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  494469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494484 */     // MIs[0] policy
     /*  494484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494494 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  494494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  494497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494501 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494511 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494513 */     GIR_RootConstrainSelectedInstOperands,
     /*  494514 */     // GIR_Coverage, 23383,
     /*  494514 */     GIR_EraseRootFromParent_Done,
     /*  494515 */   // Label 8256: @494515
     /*  494515 */   GIM_Try, /*On fail goto*//*Label 8257*/ GIMT_Encode4(494583), // Rule ID 23384 //
     /*  494520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  494531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  494534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  494537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494552 */     // MIs[0] policy
     /*  494552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494562 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11221:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  494562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  494565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494569 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494579 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494581 */     GIR_RootConstrainSelectedInstOperands,
     /*  494582 */     // GIR_Coverage, 23384,
     /*  494582 */     GIR_EraseRootFromParent_Done,
     /*  494583 */   // Label 8257: @494583
     /*  494583 */   GIM_Try, /*On fail goto*//*Label 8258*/ GIMT_Encode4(494651), // Rule ID 23387 //
     /*  494588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  494599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  494602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  494605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494620 */     // MIs[0] policy
     /*  494620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494630 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  494630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  494633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494637 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494647 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494649 */     GIR_RootConstrainSelectedInstOperands,
     /*  494650 */     // GIR_Coverage, 23387,
     /*  494650 */     GIR_EraseRootFromParent_Done,
     /*  494651 */   // Label 8258: @494651
     /*  494651 */   GIM_Try, /*On fail goto*//*Label 8259*/ GIMT_Encode4(494719), // Rule ID 23388 //
     /*  494656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  494667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  494670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  494673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494688 */     // MIs[0] policy
     /*  494688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494698 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11221:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  494698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  494701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494705 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494715 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494717 */     GIR_RootConstrainSelectedInstOperands,
     /*  494718 */     // GIR_Coverage, 23388,
     /*  494718 */     GIR_EraseRootFromParent_Done,
     /*  494719 */   // Label 8259: @494719
     /*  494719 */   GIM_Try, /*On fail goto*//*Label 8260*/ GIMT_Encode4(494787), // Rule ID 23391 //
     /*  494724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  494727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  494735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  494738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  494741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494756 */     // MIs[0] policy
     /*  494756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494766 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  494766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  494769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494773 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  494783 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494785 */     GIR_RootConstrainSelectedInstOperands,
     /*  494786 */     // GIR_Coverage, 23391,
     /*  494786 */     GIR_EraseRootFromParent_Done,
     /*  494787 */   // Label 8260: @494787
     /*  494787 */   GIM_Try, /*On fail goto*//*Label 8261*/ GIMT_Encode4(494855), // Rule ID 23392 //
     /*  494792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  494795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  494803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  494806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  494809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  494816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494824 */     // MIs[0] policy
     /*  494824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494834 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11221:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  494834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  494837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494841 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  494851 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494853 */     GIR_RootConstrainSelectedInstOperands,
     /*  494854 */     // GIR_Coverage, 23392,
     /*  494854 */     GIR_EraseRootFromParent_Done,
     /*  494855 */   // Label 8261: @494855
     /*  494855 */   GIM_Try, /*On fail goto*//*Label 8262*/ GIMT_Encode4(494923), // Rule ID 23395 //
     /*  494860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  494871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  494874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  494877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  494884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494892 */     // MIs[0] policy
     /*  494892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494902 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  494902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  494905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494909 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494919 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494921 */     GIR_RootConstrainSelectedInstOperands,
     /*  494922 */     // GIR_Coverage, 23395,
     /*  494922 */     GIR_EraseRootFromParent_Done,
     /*  494923 */   // Label 8262: @494923
     /*  494923 */   GIM_Try, /*On fail goto*//*Label 8263*/ GIMT_Encode4(494991), // Rule ID 23396 //
     /*  494928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  494936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  494939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  494942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  494945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  494952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  494960 */     // MIs[0] policy
     /*  494960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494970 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  494970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  494973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494977 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  494979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494987 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494989 */     GIR_RootConstrainSelectedInstOperands,
     /*  494990 */     // GIR_Coverage, 23396,
     /*  494990 */     GIR_EraseRootFromParent_Done,
     /*  494991 */   // Label 8263: @494991
     /*  494991 */   GIM_Try, /*On fail goto*//*Label 8264*/ GIMT_Encode4(495059), // Rule ID 23399 //
     /*  494996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  495007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  495010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  495013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  495020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495028 */     // MIs[0] policy
     /*  495028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495038 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  495041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495045 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495055 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495057 */     GIR_RootConstrainSelectedInstOperands,
     /*  495058 */     // GIR_Coverage, 23399,
     /*  495058 */     GIR_EraseRootFromParent_Done,
     /*  495059 */   // Label 8264: @495059
     /*  495059 */   GIM_Try, /*On fail goto*//*Label 8265*/ GIMT_Encode4(495127), // Rule ID 23400 //
     /*  495064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  495075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  495078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  495081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  495088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495096 */     // MIs[0] policy
     /*  495096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495106 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  495109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495113 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495123 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495125 */     GIR_RootConstrainSelectedInstOperands,
     /*  495126 */     // GIR_Coverage, 23400,
     /*  495126 */     GIR_EraseRootFromParent_Done,
     /*  495127 */   // Label 8265: @495127
     /*  495127 */   GIM_Try, /*On fail goto*//*Label 8266*/ GIMT_Encode4(495195), // Rule ID 23403 //
     /*  495132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  495143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  495146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  495149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  495156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495164 */     // MIs[0] policy
     /*  495164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495174 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  495177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495181 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495191 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495193 */     GIR_RootConstrainSelectedInstOperands,
     /*  495194 */     // GIR_Coverage, 23403,
     /*  495194 */     GIR_EraseRootFromParent_Done,
     /*  495195 */   // Label 8266: @495195
     /*  495195 */   GIM_Try, /*On fail goto*//*Label 8267*/ GIMT_Encode4(495263), // Rule ID 23404 //
     /*  495200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  495211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  495214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  495217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  495224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495232 */     // MIs[0] policy
     /*  495232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495242 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  495245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495249 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495259 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495261 */     GIR_RootConstrainSelectedInstOperands,
     /*  495262 */     // GIR_Coverage, 23404,
     /*  495262 */     GIR_EraseRootFromParent_Done,
     /*  495263 */   // Label 8267: @495263
     /*  495263 */   GIM_Try, /*On fail goto*//*Label 8268*/ GIMT_Encode4(495331), // Rule ID 23407 //
     /*  495268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  495279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  495282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  495285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  495292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495300 */     // MIs[0] policy
     /*  495300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495310 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  495313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495317 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495327 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495329 */     GIR_RootConstrainSelectedInstOperands,
     /*  495330 */     // GIR_Coverage, 23407,
     /*  495330 */     GIR_EraseRootFromParent_Done,
     /*  495331 */   // Label 8268: @495331
     /*  495331 */   GIM_Try, /*On fail goto*//*Label 8269*/ GIMT_Encode4(495399), // Rule ID 23408 //
     /*  495336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  495347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  495350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  495353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  495360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495368 */     // MIs[0] policy
     /*  495368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495378 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  495381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495385 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495395 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495397 */     GIR_RootConstrainSelectedInstOperands,
     /*  495398 */     // GIR_Coverage, 23408,
     /*  495398 */     GIR_EraseRootFromParent_Done,
     /*  495399 */   // Label 8269: @495399
     /*  495399 */   GIM_Try, /*On fail goto*//*Label 8270*/ GIMT_Encode4(495467), // Rule ID 23411 //
     /*  495404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  495415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  495418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  495421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  495428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495436 */     // MIs[0] policy
     /*  495436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495446 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  495449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495453 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495463 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495465 */     GIR_RootConstrainSelectedInstOperands,
     /*  495466 */     // GIR_Coverage, 23411,
     /*  495466 */     GIR_EraseRootFromParent_Done,
     /*  495467 */   // Label 8270: @495467
     /*  495467 */   GIM_Try, /*On fail goto*//*Label 8271*/ GIMT_Encode4(495535), // Rule ID 23412 //
     /*  495472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  495483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  495486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  495489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  495496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495504 */     // MIs[0] policy
     /*  495504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495514 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  495517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495521 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495531 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495533 */     GIR_RootConstrainSelectedInstOperands,
     /*  495534 */     // GIR_Coverage, 23412,
     /*  495534 */     GIR_EraseRootFromParent_Done,
     /*  495535 */   // Label 8271: @495535
     /*  495535 */   GIM_Try, /*On fail goto*//*Label 8272*/ GIMT_Encode4(495603), // Rule ID 23415 //
     /*  495540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  495551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  495554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  495557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  495564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495572 */     // MIs[0] policy
     /*  495572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495582 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  495585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495589 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495599 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495601 */     GIR_RootConstrainSelectedInstOperands,
     /*  495602 */     // GIR_Coverage, 23415,
     /*  495602 */     GIR_EraseRootFromParent_Done,
     /*  495603 */   // Label 8272: @495603
     /*  495603 */   GIM_Try, /*On fail goto*//*Label 8273*/ GIMT_Encode4(495671), // Rule ID 23416 //
     /*  495608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  495619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  495622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  495625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  495632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495640 */     // MIs[0] policy
     /*  495640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495650 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  495653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495657 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495667 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495669 */     GIR_RootConstrainSelectedInstOperands,
     /*  495670 */     // GIR_Coverage, 23416,
     /*  495670 */     GIR_EraseRootFromParent_Done,
     /*  495671 */   // Label 8273: @495671
     /*  495671 */   GIM_Try, /*On fail goto*//*Label 8274*/ GIMT_Encode4(495739), // Rule ID 23419 //
     /*  495676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  495687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  495690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  495693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  495700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495708 */     // MIs[0] policy
     /*  495708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495718 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  495721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495725 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495735 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495737 */     GIR_RootConstrainSelectedInstOperands,
     /*  495738 */     // GIR_Coverage, 23419,
     /*  495738 */     GIR_EraseRootFromParent_Done,
     /*  495739 */   // Label 8274: @495739
     /*  495739 */   GIM_Try, /*On fail goto*//*Label 8275*/ GIMT_Encode4(495807), // Rule ID 23420 //
     /*  495744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  495755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  495758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  495761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  495768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495776 */     // MIs[0] policy
     /*  495776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495786 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  495789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495793 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495803 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495805 */     GIR_RootConstrainSelectedInstOperands,
     /*  495806 */     // GIR_Coverage, 23420,
     /*  495806 */     GIR_EraseRootFromParent_Done,
     /*  495807 */   // Label 8275: @495807
     /*  495807 */   GIM_Try, /*On fail goto*//*Label 8276*/ GIMT_Encode4(495875), // Rule ID 23423 //
     /*  495812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  495823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  495826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  495829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  495836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495844 */     // MIs[0] policy
     /*  495844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495854 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  495857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495861 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495871 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495873 */     GIR_RootConstrainSelectedInstOperands,
     /*  495874 */     // GIR_Coverage, 23423,
     /*  495874 */     GIR_EraseRootFromParent_Done,
     /*  495875 */   // Label 8276: @495875
     /*  495875 */   GIM_Try, /*On fail goto*//*Label 8277*/ GIMT_Encode4(495943), // Rule ID 23424 //
     /*  495880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  495891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  495894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  495897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  495904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495912 */     // MIs[0] policy
     /*  495912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  495925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495929 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495939 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495941 */     GIR_RootConstrainSelectedInstOperands,
     /*  495942 */     // GIR_Coverage, 23424,
     /*  495942 */     GIR_EraseRootFromParent_Done,
     /*  495943 */   // Label 8277: @495943
     /*  495943 */   GIM_Try, /*On fail goto*//*Label 8278*/ GIMT_Encode4(496011), // Rule ID 23427 //
     /*  495948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  495956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  495959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  495962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  495965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  495972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  495980 */     // MIs[0] policy
     /*  495980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495990 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  495993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495997 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  495999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496007 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496009 */     GIR_RootConstrainSelectedInstOperands,
     /*  496010 */     // GIR_Coverage, 23427,
     /*  496010 */     GIR_EraseRootFromParent_Done,
     /*  496011 */   // Label 8278: @496011
     /*  496011 */   GIM_Try, /*On fail goto*//*Label 8279*/ GIMT_Encode4(496079), // Rule ID 23428 //
     /*  496016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  496027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  496030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  496033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  496040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496048 */     // MIs[0] policy
     /*  496048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496058 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  496061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496065 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496075 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496077 */     GIR_RootConstrainSelectedInstOperands,
     /*  496078 */     // GIR_Coverage, 23428,
     /*  496078 */     GIR_EraseRootFromParent_Done,
     /*  496079 */   // Label 8279: @496079
     /*  496079 */   GIM_Try, /*On fail goto*//*Label 8280*/ GIMT_Encode4(496147), // Rule ID 23431 //
     /*  496084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  496087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  496095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  496098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  496101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496116 */     // MIs[0] policy
     /*  496116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496126 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  496129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496133 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  496143 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496145 */     GIR_RootConstrainSelectedInstOperands,
     /*  496146 */     // GIR_Coverage, 23431,
     /*  496146 */     GIR_EraseRootFromParent_Done,
     /*  496147 */   // Label 8280: @496147
     /*  496147 */   GIM_Try, /*On fail goto*//*Label 8281*/ GIMT_Encode4(496215), // Rule ID 23432 //
     /*  496152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  496155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  496163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  496166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  496169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  496176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496184 */     // MIs[0] policy
     /*  496184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496194 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11221:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  496197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496201 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  496211 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496213 */     GIR_RootConstrainSelectedInstOperands,
     /*  496214 */     // GIR_Coverage, 23432,
     /*  496214 */     GIR_EraseRootFromParent_Done,
     /*  496215 */   // Label 8281: @496215
     /*  496215 */   GIM_Try, /*On fail goto*//*Label 8282*/ GIMT_Encode4(496283), // Rule ID 23435 //
     /*  496220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  496223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  496231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  496234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  496237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  496244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496252 */     // MIs[0] policy
     /*  496252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496262 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  496265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496269 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  496279 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496281 */     GIR_RootConstrainSelectedInstOperands,
     /*  496282 */     // GIR_Coverage, 23435,
     /*  496282 */     GIR_EraseRootFromParent_Done,
     /*  496283 */   // Label 8282: @496283
     /*  496283 */   GIM_Try, /*On fail goto*//*Label 8283*/ GIMT_Encode4(496351), // Rule ID 23436 //
     /*  496288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  496291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  496299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  496302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  496305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  496312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496320 */     // MIs[0] policy
     /*  496320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496330 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11221:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  496333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496337 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  496347 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496349 */     GIR_RootConstrainSelectedInstOperands,
     /*  496350 */     // GIR_Coverage, 23436,
     /*  496350 */     GIR_EraseRootFromParent_Done,
     /*  496351 */   // Label 8283: @496351
     /*  496351 */   GIM_Try, /*On fail goto*//*Label 8284*/ GIMT_Encode4(496419), // Rule ID 23439 //
     /*  496356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  496359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  496367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  496370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  496373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  496380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496388 */     // MIs[0] policy
     /*  496388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496398 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  496401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496405 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  496415 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496417 */     GIR_RootConstrainSelectedInstOperands,
     /*  496418 */     // GIR_Coverage, 23439,
     /*  496418 */     GIR_EraseRootFromParent_Done,
     /*  496419 */   // Label 8284: @496419
     /*  496419 */   GIM_Try, /*On fail goto*//*Label 8285*/ GIMT_Encode4(496487), // Rule ID 23440 //
     /*  496424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  496427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  496432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  496435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  496438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  496441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  496448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  496456 */     // MIs[0] policy
     /*  496456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496466 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11221:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  496469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496473 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  496475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  496483 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496485 */     GIR_RootConstrainSelectedInstOperands,
     /*  496486 */     // GIR_Coverage, 23440,
     /*  496486 */     GIR_EraseRootFromParent_Done,
     /*  496487 */   // Label 8285: @496487
     /*  496487 */   GIM_Try, /*On fail goto*//*Label 8286*/ GIMT_Encode4(496555), // Rule ID 59965 //
     /*  496492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  496495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  496500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  496503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  496506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  496509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496524 */     // MIs[0] policy
     /*  496524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  496537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496551 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496553 */     GIR_RootConstrainSelectedInstOperands,
     /*  496554 */     // GIR_Coverage, 59965,
     /*  496554 */     GIR_EraseRootFromParent_Done,
     /*  496555 */   // Label 8286: @496555
     /*  496555 */   GIM_Try, /*On fail goto*//*Label 8287*/ GIMT_Encode4(496623), // Rule ID 59966 //
     /*  496560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  496563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  496568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  496571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  496574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  496577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496592 */     // MIs[0] policy
     /*  496592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496602 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  496605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496619 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496621 */     GIR_RootConstrainSelectedInstOperands,
     /*  496622 */     // GIR_Coverage, 59966,
     /*  496622 */     GIR_EraseRootFromParent_Done,
     /*  496623 */   // Label 8287: @496623
     /*  496623 */   GIM_Try, /*On fail goto*//*Label 8288*/ GIMT_Encode4(496691), // Rule ID 59967 //
     /*  496628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  496631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  496636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  496639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  496642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  496645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496660 */     // MIs[0] policy
     /*  496660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496670 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  496673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496687 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496689 */     GIR_RootConstrainSelectedInstOperands,
     /*  496690 */     // GIR_Coverage, 59967,
     /*  496690 */     GIR_EraseRootFromParent_Done,
     /*  496691 */   // Label 8288: @496691
     /*  496691 */   GIM_Try, /*On fail goto*//*Label 8289*/ GIMT_Encode4(496759), // Rule ID 59968 //
     /*  496696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  496699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  496704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  496707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  496710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  496713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496728 */     // MIs[0] policy
     /*  496728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496738 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  496741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496755 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496757 */     GIR_RootConstrainSelectedInstOperands,
     /*  496758 */     // GIR_Coverage, 59968,
     /*  496758 */     GIR_EraseRootFromParent_Done,
     /*  496759 */   // Label 8289: @496759
     /*  496759 */   GIM_Try, /*On fail goto*//*Label 8290*/ GIMT_Encode4(496827), // Rule ID 61461 //
     /*  496764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  496767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  496772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  496775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  496778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  496781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496796 */     // MIs[0] policy
     /*  496796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496806 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  496809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496823 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496825 */     GIR_RootConstrainSelectedInstOperands,
     /*  496826 */     // GIR_Coverage, 61461,
     /*  496826 */     GIR_EraseRootFromParent_Done,
     /*  496827 */   // Label 8290: @496827
     /*  496827 */   GIM_Try, /*On fail goto*//*Label 8291*/ GIMT_Encode4(496895), // Rule ID 61462 //
     /*  496832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  496835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  496840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  496843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  496846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  496849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496864 */     // MIs[0] policy
     /*  496864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496874 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  496877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496891 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496893 */     GIR_RootConstrainSelectedInstOperands,
     /*  496894 */     // GIR_Coverage, 61462,
     /*  496894 */     GIR_EraseRootFromParent_Done,
     /*  496895 */   // Label 8291: @496895
     /*  496895 */   GIM_Try, /*On fail goto*//*Label 8292*/ GIMT_Encode4(496963), // Rule ID 61463 //
     /*  496900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  496903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  496908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  496911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  496914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  496917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496932 */     // MIs[0] policy
     /*  496932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496942 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  496945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496959 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496961 */     GIR_RootConstrainSelectedInstOperands,
     /*  496962 */     // GIR_Coverage, 61463,
     /*  496962 */     GIR_EraseRootFromParent_Done,
     /*  496963 */   // Label 8292: @496963
     /*  496963 */   GIM_Try, /*On fail goto*//*Label 8293*/ GIMT_Encode4(497031), // Rule ID 61464 //
     /*  496968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  496971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  496976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  496979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  496982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  496985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497000 */     // MIs[0] policy
     /*  497000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497010 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  497013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497027 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497029 */     GIR_RootConstrainSelectedInstOperands,
     /*  497030 */     // GIR_Coverage, 61464,
     /*  497030 */     GIR_EraseRootFromParent_Done,
     /*  497031 */   // Label 8293: @497031
     /*  497031 */   GIM_Try, /*On fail goto*//*Label 8294*/ GIMT_Encode4(497099), // Rule ID 61465 //
     /*  497036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  497039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  497044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  497047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  497050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  497053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497068 */     // MIs[0] policy
     /*  497068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497078 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  497081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497095 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497097 */     GIR_RootConstrainSelectedInstOperands,
     /*  497098 */     // GIR_Coverage, 61465,
     /*  497098 */     GIR_EraseRootFromParent_Done,
     /*  497099 */   // Label 8294: @497099
     /*  497099 */   GIM_Try, /*On fail goto*//*Label 8295*/ GIMT_Encode4(497167), // Rule ID 61466 //
     /*  497104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  497107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  497112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  497115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  497118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  497121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497136 */     // MIs[0] policy
     /*  497136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497146 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  497149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497163 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497165 */     GIR_RootConstrainSelectedInstOperands,
     /*  497166 */     // GIR_Coverage, 61466,
     /*  497166 */     GIR_EraseRootFromParent_Done,
     /*  497167 */   // Label 8295: @497167
     /*  497167 */   GIM_Try, /*On fail goto*//*Label 8296*/ GIMT_Encode4(497235), // Rule ID 61467 //
     /*  497172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  497175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  497180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  497189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497204 */     // MIs[0] policy
     /*  497204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497214 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  497217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497231 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497233 */     GIR_RootConstrainSelectedInstOperands,
     /*  497234 */     // GIR_Coverage, 61467,
     /*  497234 */     GIR_EraseRootFromParent_Done,
     /*  497235 */   // Label 8296: @497235
     /*  497235 */   GIM_Try, /*On fail goto*//*Label 8297*/ GIMT_Encode4(497303), // Rule ID 61468 //
     /*  497240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  497243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  497248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  497257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497272 */     // MIs[0] policy
     /*  497272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497282 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  497285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497299 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497301 */     GIR_RootConstrainSelectedInstOperands,
     /*  497302 */     // GIR_Coverage, 61468,
     /*  497302 */     GIR_EraseRootFromParent_Done,
     /*  497303 */   // Label 8297: @497303
     /*  497303 */   GIM_Try, /*On fail goto*//*Label 8298*/ GIMT_Encode4(497371), // Rule ID 61469 //
     /*  497308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  497311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  497316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  497319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  497322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497340 */     // MIs[0] policy
     /*  497340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497350 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  497353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497367 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497369 */     GIR_RootConstrainSelectedInstOperands,
     /*  497370 */     // GIR_Coverage, 61469,
     /*  497370 */     GIR_EraseRootFromParent_Done,
     /*  497371 */   // Label 8298: @497371
     /*  497371 */   GIM_Try, /*On fail goto*//*Label 8299*/ GIMT_Encode4(497439), // Rule ID 61470 //
     /*  497376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  497379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  497384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  497387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  497390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497408 */     // MIs[0] policy
     /*  497408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497418 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  497421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497435 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497437 */     GIR_RootConstrainSelectedInstOperands,
     /*  497438 */     // GIR_Coverage, 61470,
     /*  497438 */     GIR_EraseRootFromParent_Done,
     /*  497439 */   // Label 8299: @497439
     /*  497439 */   GIM_Try, /*On fail goto*//*Label 8300*/ GIMT_Encode4(497507), // Rule ID 61471 //
     /*  497444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  497447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  497452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  497455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  497458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  497461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497476 */     // MIs[0] policy
     /*  497476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497486 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  497489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497503 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497505 */     GIR_RootConstrainSelectedInstOperands,
     /*  497506 */     // GIR_Coverage, 61471,
     /*  497506 */     GIR_EraseRootFromParent_Done,
     /*  497507 */   // Label 8300: @497507
     /*  497507 */   GIM_Try, /*On fail goto*//*Label 8301*/ GIMT_Encode4(497575), // Rule ID 61472 //
     /*  497512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  497515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  497520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  497523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  497526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  497529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497544 */     // MIs[0] policy
     /*  497544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497554 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  497557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497571 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497573 */     GIR_RootConstrainSelectedInstOperands,
     /*  497574 */     // GIR_Coverage, 61472,
     /*  497574 */     GIR_EraseRootFromParent_Done,
     /*  497575 */   // Label 8301: @497575
     /*  497575 */   GIM_Try, /*On fail goto*//*Label 8302*/ GIMT_Encode4(497643), // Rule ID 61473 //
     /*  497580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  497583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  497588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  497591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  497594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  497597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497612 */     // MIs[0] policy
     /*  497612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497622 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  497625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497639 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497641 */     GIR_RootConstrainSelectedInstOperands,
     /*  497642 */     // GIR_Coverage, 61473,
     /*  497642 */     GIR_EraseRootFromParent_Done,
     /*  497643 */   // Label 8302: @497643
     /*  497643 */   GIM_Try, /*On fail goto*//*Label 8303*/ GIMT_Encode4(497711), // Rule ID 61474 //
     /*  497648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  497651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  497656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  497659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  497662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  497665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497680 */     // MIs[0] policy
     /*  497680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497690 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  497693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497707 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497709 */     GIR_RootConstrainSelectedInstOperands,
     /*  497710 */     // GIR_Coverage, 61474,
     /*  497710 */     GIR_EraseRootFromParent_Done,
     /*  497711 */   // Label 8303: @497711
     /*  497711 */   GIM_Try, /*On fail goto*//*Label 8304*/ GIMT_Encode4(497779), // Rule ID 61475 //
     /*  497716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  497719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  497724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  497727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  497730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  497733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497748 */     // MIs[0] policy
     /*  497748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497758 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  497761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497775 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497777 */     GIR_RootConstrainSelectedInstOperands,
     /*  497778 */     // GIR_Coverage, 61475,
     /*  497778 */     GIR_EraseRootFromParent_Done,
     /*  497779 */   // Label 8304: @497779
     /*  497779 */   GIM_Try, /*On fail goto*//*Label 8305*/ GIMT_Encode4(497847), // Rule ID 61476 //
     /*  497784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  497787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  497792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  497795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  497798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  497801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497816 */     // MIs[0] policy
     /*  497816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497826 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  497829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497843 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497845 */     GIR_RootConstrainSelectedInstOperands,
     /*  497846 */     // GIR_Coverage, 61476,
     /*  497846 */     GIR_EraseRootFromParent_Done,
     /*  497847 */   // Label 8305: @497847
     /*  497847 */   GIM_Try, /*On fail goto*//*Label 8306*/ GIMT_Encode4(497915), // Rule ID 61477 //
     /*  497852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  497855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  497860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  497869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497884 */     // MIs[0] policy
     /*  497884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497894 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  497897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497911 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497913 */     GIR_RootConstrainSelectedInstOperands,
     /*  497914 */     // GIR_Coverage, 61477,
     /*  497914 */     GIR_EraseRootFromParent_Done,
     /*  497915 */   // Label 8306: @497915
     /*  497915 */   GIM_Try, /*On fail goto*//*Label 8307*/ GIMT_Encode4(497983), // Rule ID 61478 //
     /*  497920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  497923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  497928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  497937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497952 */     // MIs[0] policy
     /*  497952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497962 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  497965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497979 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497981 */     GIR_RootConstrainSelectedInstOperands,
     /*  497982 */     // GIR_Coverage, 61478,
     /*  497982 */     GIR_EraseRootFromParent_Done,
     /*  497983 */   // Label 8307: @497983
     /*  497983 */   GIM_Try, /*On fail goto*//*Label 8308*/ GIMT_Encode4(498051), // Rule ID 61479 //
     /*  497988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  497991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  497996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  497999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498020 */     // MIs[0] policy
     /*  498020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498030 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  498033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498047 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498049 */     GIR_RootConstrainSelectedInstOperands,
     /*  498050 */     // GIR_Coverage, 61479,
     /*  498050 */     GIR_EraseRootFromParent_Done,
     /*  498051 */   // Label 8308: @498051
     /*  498051 */   GIM_Try, /*On fail goto*//*Label 8309*/ GIMT_Encode4(498119), // Rule ID 61480 //
     /*  498056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498088 */     // MIs[0] policy
     /*  498088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498098 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  498101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498115 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498117 */     GIR_RootConstrainSelectedInstOperands,
     /*  498118 */     // GIR_Coverage, 61480,
     /*  498118 */     GIR_EraseRootFromParent_Done,
     /*  498119 */   // Label 8309: @498119
     /*  498119 */   GIM_Try, /*On fail goto*//*Label 8310*/ GIMT_Encode4(498187), // Rule ID 61481 //
     /*  498124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498156 */     // MIs[0] policy
     /*  498156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498166 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  498169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498183 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498185 */     GIR_RootConstrainSelectedInstOperands,
     /*  498186 */     // GIR_Coverage, 61481,
     /*  498186 */     GIR_EraseRootFromParent_Done,
     /*  498187 */   // Label 8310: @498187
     /*  498187 */   GIM_Try, /*On fail goto*//*Label 8311*/ GIMT_Encode4(498255), // Rule ID 61482 //
     /*  498192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498224 */     // MIs[0] policy
     /*  498224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498234 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  498237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498251 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498253 */     GIR_RootConstrainSelectedInstOperands,
     /*  498254 */     // GIR_Coverage, 61482,
     /*  498254 */     GIR_EraseRootFromParent_Done,
     /*  498255 */   // Label 8311: @498255
     /*  498255 */   GIM_Try, /*On fail goto*//*Label 8312*/ GIMT_Encode4(498323), // Rule ID 61483 //
     /*  498260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498292 */     // MIs[0] policy
     /*  498292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498302 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  498305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498319 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498321 */     GIR_RootConstrainSelectedInstOperands,
     /*  498322 */     // GIR_Coverage, 61483,
     /*  498322 */     GIR_EraseRootFromParent_Done,
     /*  498323 */   // Label 8312: @498323
     /*  498323 */   GIM_Try, /*On fail goto*//*Label 8313*/ GIMT_Encode4(498391), // Rule ID 61484 //
     /*  498328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498360 */     // MIs[0] policy
     /*  498360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498370 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  498373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498387 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498389 */     GIR_RootConstrainSelectedInstOperands,
     /*  498390 */     // GIR_Coverage, 61484,
     /*  498390 */     GIR_EraseRootFromParent_Done,
     /*  498391 */   // Label 8313: @498391
     /*  498391 */   GIM_Try, /*On fail goto*//*Label 8314*/ GIMT_Encode4(498459), // Rule ID 61485 //
     /*  498396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498428 */     // MIs[0] policy
     /*  498428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498438 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  498441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498455 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498457 */     GIR_RootConstrainSelectedInstOperands,
     /*  498458 */     // GIR_Coverage, 61485,
     /*  498458 */     GIR_EraseRootFromParent_Done,
     /*  498459 */   // Label 8314: @498459
     /*  498459 */   GIM_Try, /*On fail goto*//*Label 8315*/ GIMT_Encode4(498527), // Rule ID 61486 //
     /*  498464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498496 */     // MIs[0] policy
     /*  498496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498506 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  498509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498523 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498525 */     GIR_RootConstrainSelectedInstOperands,
     /*  498526 */     // GIR_Coverage, 61486,
     /*  498526 */     GIR_EraseRootFromParent_Done,
     /*  498527 */   // Label 8315: @498527
     /*  498527 */   GIM_Try, /*On fail goto*//*Label 8316*/ GIMT_Encode4(498595), // Rule ID 61487 //
     /*  498532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498564 */     // MIs[0] policy
     /*  498564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498574 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  498577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498591 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498593 */     GIR_RootConstrainSelectedInstOperands,
     /*  498594 */     // GIR_Coverage, 61487,
     /*  498594 */     GIR_EraseRootFromParent_Done,
     /*  498595 */   // Label 8316: @498595
     /*  498595 */   GIM_Try, /*On fail goto*//*Label 8317*/ GIMT_Encode4(498663), // Rule ID 61488 //
     /*  498600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498632 */     // MIs[0] policy
     /*  498632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498642 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  498645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498659 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498661 */     GIR_RootConstrainSelectedInstOperands,
     /*  498662 */     // GIR_Coverage, 61488,
     /*  498662 */     GIR_EraseRootFromParent_Done,
     /*  498663 */   // Label 8317: @498663
     /*  498663 */   GIM_Try, /*On fail goto*//*Label 8318*/ GIMT_Encode4(498731), // Rule ID 61489 //
     /*  498668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498700 */     // MIs[0] policy
     /*  498700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498710 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  498713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498727 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498729 */     GIR_RootConstrainSelectedInstOperands,
     /*  498730 */     // GIR_Coverage, 61489,
     /*  498730 */     GIR_EraseRootFromParent_Done,
     /*  498731 */   // Label 8318: @498731
     /*  498731 */   GIM_Try, /*On fail goto*//*Label 8319*/ GIMT_Encode4(498799), // Rule ID 61490 //
     /*  498736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498768 */     // MIs[0] policy
     /*  498768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  498781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498795 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498797 */     GIR_RootConstrainSelectedInstOperands,
     /*  498798 */     // GIR_Coverage, 61490,
     /*  498798 */     GIR_EraseRootFromParent_Done,
     /*  498799 */   // Label 8319: @498799
     /*  498799 */   GIM_Try, /*On fail goto*//*Label 8320*/ GIMT_Encode4(498867), // Rule ID 61491 //
     /*  498804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498836 */     // MIs[0] policy
     /*  498836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498846 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  498849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498863 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498865 */     GIR_RootConstrainSelectedInstOperands,
     /*  498866 */     // GIR_Coverage, 61491,
     /*  498866 */     GIR_EraseRootFromParent_Done,
     /*  498867 */   // Label 8320: @498867
     /*  498867 */   GIM_Try, /*On fail goto*//*Label 8321*/ GIMT_Encode4(498935), // Rule ID 61492 //
     /*  498872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498904 */     // MIs[0] policy
     /*  498904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498914 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  498917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498931 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498933 */     GIR_RootConstrainSelectedInstOperands,
     /*  498934 */     // GIR_Coverage, 61492,
     /*  498934 */     GIR_EraseRootFromParent_Done,
     /*  498935 */   // Label 8321: @498935
     /*  498935 */   GIM_Try, /*On fail goto*//*Label 8322*/ GIMT_Encode4(499003), // Rule ID 61493 //
     /*  498940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  498948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498972 */     // MIs[0] policy
     /*  498972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498982 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  498985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498999 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499001 */     GIR_RootConstrainSelectedInstOperands,
     /*  499002 */     // GIR_Coverage, 61493,
     /*  499002 */     GIR_EraseRootFromParent_Done,
     /*  499003 */   // Label 8322: @499003
     /*  499003 */   GIM_Try, /*On fail goto*//*Label 8323*/ GIMT_Encode4(499071), // Rule ID 61494 //
     /*  499008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499040 */     // MIs[0] policy
     /*  499040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499050 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  499053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499067 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499069 */     GIR_RootConstrainSelectedInstOperands,
     /*  499070 */     // GIR_Coverage, 61494,
     /*  499070 */     GIR_EraseRootFromParent_Done,
     /*  499071 */   // Label 8323: @499071
     /*  499071 */   GIM_Try, /*On fail goto*//*Label 8324*/ GIMT_Encode4(499139), // Rule ID 61495 //
     /*  499076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  499093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499108 */     // MIs[0] policy
     /*  499108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499118 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  499121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499135 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499137 */     GIR_RootConstrainSelectedInstOperands,
     /*  499138 */     // GIR_Coverage, 61495,
     /*  499138 */     GIR_EraseRootFromParent_Done,
     /*  499139 */   // Label 8324: @499139
     /*  499139 */   GIM_Try, /*On fail goto*//*Label 8325*/ GIMT_Encode4(499207), // Rule ID 61496 //
     /*  499144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  499161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499176 */     // MIs[0] policy
     /*  499176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  499189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499203 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499205 */     GIR_RootConstrainSelectedInstOperands,
     /*  499206 */     // GIR_Coverage, 61496,
     /*  499206 */     GIR_EraseRootFromParent_Done,
     /*  499207 */   // Label 8325: @499207
     /*  499207 */   GIM_Try, /*On fail goto*//*Label 8326*/ GIMT_Encode4(499275), // Rule ID 61497 //
     /*  499212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499244 */     // MIs[0] policy
     /*  499244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499254 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  499257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499271 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499273 */     GIR_RootConstrainSelectedInstOperands,
     /*  499274 */     // GIR_Coverage, 61497,
     /*  499274 */     GIR_EraseRootFromParent_Done,
     /*  499275 */   // Label 8326: @499275
     /*  499275 */   GIM_Try, /*On fail goto*//*Label 8327*/ GIMT_Encode4(499343), // Rule ID 61498 //
     /*  499280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499312 */     // MIs[0] policy
     /*  499312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499322 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  499325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499339 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499341 */     GIR_RootConstrainSelectedInstOperands,
     /*  499342 */     // GIR_Coverage, 61498,
     /*  499342 */     GIR_EraseRootFromParent_Done,
     /*  499343 */   // Label 8327: @499343
     /*  499343 */   GIM_Try, /*On fail goto*//*Label 8328*/ GIMT_Encode4(499411), // Rule ID 61499 //
     /*  499348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499380 */     // MIs[0] policy
     /*  499380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499390 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  499393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499407 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499409 */     GIR_RootConstrainSelectedInstOperands,
     /*  499410 */     // GIR_Coverage, 61499,
     /*  499410 */     GIR_EraseRootFromParent_Done,
     /*  499411 */   // Label 8328: @499411
     /*  499411 */   GIM_Try, /*On fail goto*//*Label 8329*/ GIMT_Encode4(499479), // Rule ID 61500 //
     /*  499416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499448 */     // MIs[0] policy
     /*  499448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499458 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  499461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499475 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499477 */     GIR_RootConstrainSelectedInstOperands,
     /*  499478 */     // GIR_Coverage, 61500,
     /*  499478 */     GIR_EraseRootFromParent_Done,
     /*  499479 */   // Label 8329: @499479
     /*  499479 */   GIM_Try, /*On fail goto*//*Label 8330*/ GIMT_Encode4(499547), // Rule ID 61501 //
     /*  499484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499516 */     // MIs[0] policy
     /*  499516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499526 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  499529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499543 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499545 */     GIR_RootConstrainSelectedInstOperands,
     /*  499546 */     // GIR_Coverage, 61501,
     /*  499546 */     GIR_EraseRootFromParent_Done,
     /*  499547 */   // Label 8330: @499547
     /*  499547 */   GIM_Try, /*On fail goto*//*Label 8331*/ GIMT_Encode4(499615), // Rule ID 61502 //
     /*  499552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499584 */     // MIs[0] policy
     /*  499584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499594 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  499597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499611 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499613 */     GIR_RootConstrainSelectedInstOperands,
     /*  499614 */     // GIR_Coverage, 61502,
     /*  499614 */     GIR_EraseRootFromParent_Done,
     /*  499615 */   // Label 8331: @499615
     /*  499615 */   GIM_Try, /*On fail goto*//*Label 8332*/ GIMT_Encode4(499683), // Rule ID 61503 //
     /*  499620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  499637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499652 */     // MIs[0] policy
     /*  499652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499662 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  499665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499679 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499681 */     GIR_RootConstrainSelectedInstOperands,
     /*  499682 */     // GIR_Coverage, 61503,
     /*  499682 */     GIR_EraseRootFromParent_Done,
     /*  499683 */   // Label 8332: @499683
     /*  499683 */   GIM_Try, /*On fail goto*//*Label 8333*/ GIMT_Encode4(499751), // Rule ID 61504 //
     /*  499688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  499696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  499705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499720 */     // MIs[0] policy
     /*  499720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499730 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  499733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499747 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499749 */     GIR_RootConstrainSelectedInstOperands,
     /*  499750 */     // GIR_Coverage, 61504,
     /*  499750 */     GIR_EraseRootFromParent_Done,
     /*  499751 */   // Label 8333: @499751
     /*  499751 */   GIM_Try, /*On fail goto*//*Label 8334*/ GIMT_Encode4(499819), // Rule ID 61505 //
     /*  499756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  499764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  499767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  499770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499788 */     // MIs[0] policy
     /*  499788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499798 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  499801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499815 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499817 */     GIR_RootConstrainSelectedInstOperands,
     /*  499818 */     // GIR_Coverage, 61505,
     /*  499818 */     GIR_EraseRootFromParent_Done,
     /*  499819 */   // Label 8334: @499819
     /*  499819 */   GIM_Try, /*On fail goto*//*Label 8335*/ GIMT_Encode4(499887), // Rule ID 61506 //
     /*  499824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  499832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  499835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  499838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499856 */     // MIs[0] policy
     /*  499856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499866 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  499869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499883 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499885 */     GIR_RootConstrainSelectedInstOperands,
     /*  499886 */     // GIR_Coverage, 61506,
     /*  499886 */     GIR_EraseRootFromParent_Done,
     /*  499887 */   // Label 8335: @499887
     /*  499887 */   GIM_Try, /*On fail goto*//*Label 8336*/ GIMT_Encode4(499955), // Rule ID 61507 //
     /*  499892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  499900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499924 */     // MIs[0] policy
     /*  499924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499934 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  499937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499951 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499953 */     GIR_RootConstrainSelectedInstOperands,
     /*  499954 */     // GIR_Coverage, 61507,
     /*  499954 */     GIR_EraseRootFromParent_Done,
     /*  499955 */   // Label 8336: @499955
     /*  499955 */   GIM_Try, /*On fail goto*//*Label 8337*/ GIMT_Encode4(500023), // Rule ID 61508 //
     /*  499960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  499968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  499971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  499974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499992 */     // MIs[0] policy
     /*  499992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11047:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  500005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500019 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500021 */     GIR_RootConstrainSelectedInstOperands,
     /*  500022 */     // GIR_Coverage, 61508,
     /*  500022 */     GIR_EraseRootFromParent_Done,
     /*  500023 */   // Label 8337: @500023
     /*  500023 */   GIM_Try, /*On fail goto*//*Label 8338*/ GIMT_Encode4(500091), // Rule ID 61509 //
     /*  500028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  500036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500060 */     // MIs[0] policy
     /*  500060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500070 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11047:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  500073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500087 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500089 */     GIR_RootConstrainSelectedInstOperands,
     /*  500090 */     // GIR_Coverage, 61509,
     /*  500090 */     GIR_EraseRootFromParent_Done,
     /*  500091 */   // Label 8338: @500091
     /*  500091 */   GIM_Try, /*On fail goto*//*Label 8339*/ GIMT_Encode4(500159), // Rule ID 61510 //
     /*  500096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  500104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500128 */     // MIs[0] policy
     /*  500128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500138 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11047:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  500141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500155 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500157 */     GIR_RootConstrainSelectedInstOperands,
     /*  500158 */     // GIR_Coverage, 61510,
     /*  500158 */     GIR_EraseRootFromParent_Done,
     /*  500159 */   // Label 8339: @500159
     /*  500159 */   GIM_Try, /*On fail goto*//*Label 8340*/ GIMT_Encode4(500227), // Rule ID 61511 //
     /*  500164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  500172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500196 */     // MIs[0] policy
     /*  500196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500206 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11047:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  500209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500223 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500225 */     GIR_RootConstrainSelectedInstOperands,
     /*  500226 */     // GIR_Coverage, 61511,
     /*  500226 */     GIR_EraseRootFromParent_Done,
     /*  500227 */   // Label 8340: @500227
     /*  500227 */   GIM_Try, /*On fail goto*//*Label 8341*/ GIMT_Encode4(500295), // Rule ID 61512 //
     /*  500232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  500240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500264 */     // MIs[0] policy
     /*  500264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11047:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  500277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500291 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500293 */     GIR_RootConstrainSelectedInstOperands,
     /*  500294 */     // GIR_Coverage, 61512,
     /*  500294 */     GIR_EraseRootFromParent_Done,
     /*  500295 */   // Label 8341: @500295
     /*  500295 */   GIM_Try, /*On fail goto*//*Label 8342*/ GIMT_Encode4(500363), // Rule ID 61513 //
     /*  500300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  500308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  500317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500332 */     // MIs[0] policy
     /*  500332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500342 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11047:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  500345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500359 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500361 */     GIR_RootConstrainSelectedInstOperands,
     /*  500362 */     // GIR_Coverage, 61513,
     /*  500362 */     GIR_EraseRootFromParent_Done,
     /*  500363 */   // Label 8342: @500363
     /*  500363 */   GIM_Try, /*On fail goto*//*Label 8343*/ GIMT_Encode4(500431), // Rule ID 61514 //
     /*  500368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  500376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  500385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500400 */     // MIs[0] policy
     /*  500400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500410 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11047:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  500413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500427 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500429 */     GIR_RootConstrainSelectedInstOperands,
     /*  500430 */     // GIR_Coverage, 61514,
     /*  500430 */     GIR_EraseRootFromParent_Done,
     /*  500431 */   // Label 8343: @500431
     /*  500431 */   GIM_Try, /*On fail goto*//*Label 8344*/ GIMT_Encode4(500499), // Rule ID 61515 //
     /*  500436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  500444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  500447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  500450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500468 */     // MIs[0] policy
     /*  500468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500478 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  500481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500495 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500497 */     GIR_RootConstrainSelectedInstOperands,
     /*  500498 */     // GIR_Coverage, 61515,
     /*  500498 */     GIR_EraseRootFromParent_Done,
     /*  500499 */   // Label 8344: @500499
     /*  500499 */   GIM_Try, /*On fail goto*//*Label 8345*/ GIMT_Encode4(500567), // Rule ID 61516 //
     /*  500504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  500512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  500515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  500518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500536 */     // MIs[0] policy
     /*  500536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500546 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  500549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500563 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500565 */     GIR_RootConstrainSelectedInstOperands,
     /*  500566 */     // GIR_Coverage, 61516,
     /*  500566 */     GIR_EraseRootFromParent_Done,
     /*  500567 */   // Label 8345: @500567
     /*  500567 */   GIM_Try, /*On fail goto*//*Label 8346*/ GIMT_Encode4(500635), // Rule ID 61517 //
     /*  500572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  500580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  500583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  500586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500604 */     // MIs[0] policy
     /*  500604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500614 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  500617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500631 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500633 */     GIR_RootConstrainSelectedInstOperands,
     /*  500634 */     // GIR_Coverage, 61517,
     /*  500634 */     GIR_EraseRootFromParent_Done,
     /*  500635 */   // Label 8346: @500635
     /*  500635 */   GIM_Try, /*On fail goto*//*Label 8347*/ GIMT_Encode4(500703), // Rule ID 61518 //
     /*  500640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  500648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  500651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  500654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500672 */     // MIs[0] policy
     /*  500672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500682 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  500685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500699 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500701 */     GIR_RootConstrainSelectedInstOperands,
     /*  500702 */     // GIR_Coverage, 61518,
     /*  500702 */     GIR_EraseRootFromParent_Done,
     /*  500703 */   // Label 8347: @500703
     /*  500703 */   GIM_Try, /*On fail goto*//*Label 8348*/ GIMT_Encode4(500771), // Rule ID 61519 //
     /*  500708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  500716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  500719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  500722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500740 */     // MIs[0] policy
     /*  500740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500750 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  500753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500767 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500769 */     GIR_RootConstrainSelectedInstOperands,
     /*  500770 */     // GIR_Coverage, 61519,
     /*  500770 */     GIR_EraseRootFromParent_Done,
     /*  500771 */   // Label 8348: @500771
     /*  500771 */   GIM_Try, /*On fail goto*//*Label 8349*/ GIMT_Encode4(500839), // Rule ID 61520 //
     /*  500776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  500784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  500787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  500790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500808 */     // MIs[0] policy
     /*  500808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500818 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11046:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  500821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500835 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500837 */     GIR_RootConstrainSelectedInstOperands,
     /*  500838 */     // GIR_Coverage, 61520,
     /*  500838 */     GIR_EraseRootFromParent_Done,
     /*  500839 */   // Label 8349: @500839
     /*  500839 */   GIM_Try, /*On fail goto*//*Label 8350*/ GIMT_Encode4(500907), // Rule ID 61521 //
     /*  500844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  500852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500876 */     // MIs[0] policy
     /*  500876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500886 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  500889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500903 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500905 */     GIR_RootConstrainSelectedInstOperands,
     /*  500906 */     // GIR_Coverage, 61521,
     /*  500906 */     GIR_EraseRootFromParent_Done,
     /*  500907 */   // Label 8350: @500907
     /*  500907 */   GIM_Try, /*On fail goto*//*Label 8351*/ GIMT_Encode4(500975), // Rule ID 61522 //
     /*  500912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  500920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500944 */     // MIs[0] policy
     /*  500944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500954 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  500957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500971 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500973 */     GIR_RootConstrainSelectedInstOperands,
     /*  500974 */     // GIR_Coverage, 61522,
     /*  500974 */     GIR_EraseRootFromParent_Done,
     /*  500975 */   // Label 8351: @500975
     /*  500975 */   GIM_Try, /*On fail goto*//*Label 8352*/ GIMT_Encode4(501043), // Rule ID 61523 //
     /*  500980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  500988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501012 */     // MIs[0] policy
     /*  501012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501022 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  501025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501039 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501041 */     GIR_RootConstrainSelectedInstOperands,
     /*  501042 */     // GIR_Coverage, 61523,
     /*  501042 */     GIR_EraseRootFromParent_Done,
     /*  501043 */   // Label 8352: @501043
     /*  501043 */   GIM_Try, /*On fail goto*//*Label 8353*/ GIMT_Encode4(501111), // Rule ID 61524 //
     /*  501048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501080 */     // MIs[0] policy
     /*  501080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501090 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  501093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501107 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501109 */     GIR_RootConstrainSelectedInstOperands,
     /*  501110 */     // GIR_Coverage, 61524,
     /*  501110 */     GIR_EraseRootFromParent_Done,
     /*  501111 */   // Label 8353: @501111
     /*  501111 */   GIM_Try, /*On fail goto*//*Label 8354*/ GIMT_Encode4(501179), // Rule ID 61525 //
     /*  501116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501148 */     // MIs[0] policy
     /*  501148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501158 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  501161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501175 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501177 */     GIR_RootConstrainSelectedInstOperands,
     /*  501178 */     // GIR_Coverage, 61525,
     /*  501178 */     GIR_EraseRootFromParent_Done,
     /*  501179 */   // Label 8354: @501179
     /*  501179 */   GIM_Try, /*On fail goto*//*Label 8355*/ GIMT_Encode4(501247), // Rule ID 61526 //
     /*  501184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501216 */     // MIs[0] policy
     /*  501216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501226 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  501229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501243 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501245 */     GIR_RootConstrainSelectedInstOperands,
     /*  501246 */     // GIR_Coverage, 61526,
     /*  501246 */     GIR_EraseRootFromParent_Done,
     /*  501247 */   // Label 8355: @501247
     /*  501247 */   GIM_Try, /*On fail goto*//*Label 8356*/ GIMT_Encode4(501315), // Rule ID 61527 //
     /*  501252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501284 */     // MIs[0] policy
     /*  501284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501294 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  501297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501311 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501313 */     GIR_RootConstrainSelectedInstOperands,
     /*  501314 */     // GIR_Coverage, 61527,
     /*  501314 */     GIR_EraseRootFromParent_Done,
     /*  501315 */   // Label 8356: @501315
     /*  501315 */   GIM_Try, /*On fail goto*//*Label 8357*/ GIMT_Encode4(501383), // Rule ID 61528 //
     /*  501320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501352 */     // MIs[0] policy
     /*  501352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501362 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  501365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501379 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501381 */     GIR_RootConstrainSelectedInstOperands,
     /*  501382 */     // GIR_Coverage, 61528,
     /*  501382 */     GIR_EraseRootFromParent_Done,
     /*  501383 */   // Label 8357: @501383
     /*  501383 */   GIM_Try, /*On fail goto*//*Label 8358*/ GIMT_Encode4(501451), // Rule ID 61529 //
     /*  501388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501420 */     // MIs[0] policy
     /*  501420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501430 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  501433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501447 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501449 */     GIR_RootConstrainSelectedInstOperands,
     /*  501450 */     // GIR_Coverage, 61529,
     /*  501450 */     GIR_EraseRootFromParent_Done,
     /*  501451 */   // Label 8358: @501451
     /*  501451 */   GIM_Try, /*On fail goto*//*Label 8359*/ GIMT_Encode4(501519), // Rule ID 61530 //
     /*  501456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501488 */     // MIs[0] policy
     /*  501488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501498 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  501501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501515 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501517 */     GIR_RootConstrainSelectedInstOperands,
     /*  501518 */     // GIR_Coverage, 61530,
     /*  501518 */     GIR_EraseRootFromParent_Done,
     /*  501519 */   // Label 8359: @501519
     /*  501519 */   GIM_Try, /*On fail goto*//*Label 8360*/ GIMT_Encode4(501587), // Rule ID 61531 //
     /*  501524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501556 */     // MIs[0] policy
     /*  501556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501566 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  501569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501583 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501585 */     GIR_RootConstrainSelectedInstOperands,
     /*  501586 */     // GIR_Coverage, 61531,
     /*  501586 */     GIR_EraseRootFromParent_Done,
     /*  501587 */   // Label 8360: @501587
     /*  501587 */   GIM_Try, /*On fail goto*//*Label 8361*/ GIMT_Encode4(501655), // Rule ID 61532 //
     /*  501592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501624 */     // MIs[0] policy
     /*  501624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501634 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  501637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501651 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501653 */     GIR_RootConstrainSelectedInstOperands,
     /*  501654 */     // GIR_Coverage, 61532,
     /*  501654 */     GIR_EraseRootFromParent_Done,
     /*  501655 */   // Label 8361: @501655
     /*  501655 */   GIM_Try, /*On fail goto*//*Label 8362*/ GIMT_Encode4(501723), // Rule ID 61533 //
     /*  501660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  501677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501692 */     // MIs[0] policy
     /*  501692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501702 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  501705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501719 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501721 */     GIR_RootConstrainSelectedInstOperands,
     /*  501722 */     // GIR_Coverage, 61533,
     /*  501722 */     GIR_EraseRootFromParent_Done,
     /*  501723 */   // Label 8362: @501723
     /*  501723 */   GIM_Try, /*On fail goto*//*Label 8363*/ GIMT_Encode4(501791), // Rule ID 61534 //
     /*  501728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  501745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501760 */     // MIs[0] policy
     /*  501760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501770 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  501773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501787 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501789 */     GIR_RootConstrainSelectedInstOperands,
     /*  501790 */     // GIR_Coverage, 61534,
     /*  501790 */     GIR_EraseRootFromParent_Done,
     /*  501791 */   // Label 8363: @501791
     /*  501791 */   GIM_Try, /*On fail goto*//*Label 8364*/ GIMT_Encode4(501859), // Rule ID 61535 //
     /*  501796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501828 */     // MIs[0] policy
     /*  501828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501838 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  501841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501855 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501857 */     GIR_RootConstrainSelectedInstOperands,
     /*  501858 */     // GIR_Coverage, 61535,
     /*  501858 */     GIR_EraseRootFromParent_Done,
     /*  501859 */   // Label 8364: @501859
     /*  501859 */   GIM_Try, /*On fail goto*//*Label 8365*/ GIMT_Encode4(501927), // Rule ID 61536 //
     /*  501864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501896 */     // MIs[0] policy
     /*  501896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501906 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  501909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501923 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501925 */     GIR_RootConstrainSelectedInstOperands,
     /*  501926 */     // GIR_Coverage, 61536,
     /*  501926 */     GIR_EraseRootFromParent_Done,
     /*  501927 */   // Label 8365: @501927
     /*  501927 */   GIM_Try, /*On fail goto*//*Label 8366*/ GIMT_Encode4(501995), // Rule ID 61537 //
     /*  501932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  501940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  501943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  501946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501964 */     // MIs[0] policy
     /*  501964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501974 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  501977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501991 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501993 */     GIR_RootConstrainSelectedInstOperands,
     /*  501994 */     // GIR_Coverage, 61537,
     /*  501994 */     GIR_EraseRootFromParent_Done,
     /*  501995 */   // Label 8366: @501995
     /*  501995 */   GIM_Try, /*On fail goto*//*Label 8367*/ GIMT_Encode4(502063), // Rule ID 61538 //
     /*  502000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502032 */     // MIs[0] policy
     /*  502032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502042 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  502045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502059 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502061 */     GIR_RootConstrainSelectedInstOperands,
     /*  502062 */     // GIR_Coverage, 61538,
     /*  502062 */     GIR_EraseRootFromParent_Done,
     /*  502063 */   // Label 8367: @502063
     /*  502063 */   GIM_Try, /*On fail goto*//*Label 8368*/ GIMT_Encode4(502131), // Rule ID 61539 //
     /*  502068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502100 */     // MIs[0] policy
     /*  502100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502110 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  502113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502127 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502129 */     GIR_RootConstrainSelectedInstOperands,
     /*  502130 */     // GIR_Coverage, 61539,
     /*  502130 */     GIR_EraseRootFromParent_Done,
     /*  502131 */   // Label 8368: @502131
     /*  502131 */   GIM_Try, /*On fail goto*//*Label 8369*/ GIMT_Encode4(502199), // Rule ID 61540 //
     /*  502136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502168 */     // MIs[0] policy
     /*  502168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502178 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  502181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502195 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502197 */     GIR_RootConstrainSelectedInstOperands,
     /*  502198 */     // GIR_Coverage, 61540,
     /*  502198 */     GIR_EraseRootFromParent_Done,
     /*  502199 */   // Label 8369: @502199
     /*  502199 */   GIM_Try, /*On fail goto*//*Label 8370*/ GIMT_Encode4(502267), // Rule ID 61541 //
     /*  502204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502236 */     // MIs[0] policy
     /*  502236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502246 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  502249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502263 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502265 */     GIR_RootConstrainSelectedInstOperands,
     /*  502266 */     // GIR_Coverage, 61541,
     /*  502266 */     GIR_EraseRootFromParent_Done,
     /*  502267 */   // Label 8370: @502267
     /*  502267 */   GIM_Try, /*On fail goto*//*Label 8371*/ GIMT_Encode4(502335), // Rule ID 61542 //
     /*  502272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  502280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502304 */     // MIs[0] policy
     /*  502304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502314 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  502317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502331 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502333 */     GIR_RootConstrainSelectedInstOperands,
     /*  502334 */     // GIR_Coverage, 61542,
     /*  502334 */     GIR_EraseRootFromParent_Done,
     /*  502335 */   // Label 8371: @502335
     /*  502335 */   GIM_Try, /*On fail goto*//*Label 8372*/ GIMT_Encode4(502403), // Rule ID 61543 //
     /*  502340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  502348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502372 */     // MIs[0] policy
     /*  502372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502382 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  502385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502399 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502401 */     GIR_RootConstrainSelectedInstOperands,
     /*  502402 */     // GIR_Coverage, 61543,
     /*  502402 */     GIR_EraseRootFromParent_Done,
     /*  502403 */   // Label 8372: @502403
     /*  502403 */   GIM_Try, /*On fail goto*//*Label 8373*/ GIMT_Encode4(502471), // Rule ID 61544 //
     /*  502408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  502416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502440 */     // MIs[0] policy
     /*  502440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502450 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  502453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502467 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502469 */     GIR_RootConstrainSelectedInstOperands,
     /*  502470 */     // GIR_Coverage, 61544,
     /*  502470 */     GIR_EraseRootFromParent_Done,
     /*  502471 */   // Label 8373: @502471
     /*  502471 */   GIM_Try, /*On fail goto*//*Label 8374*/ GIMT_Encode4(502539), // Rule ID 61545 //
     /*  502476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  502484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502508 */     // MIs[0] policy
     /*  502508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502518 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  502521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502535 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502537 */     GIR_RootConstrainSelectedInstOperands,
     /*  502538 */     // GIR_Coverage, 61545,
     /*  502538 */     GIR_EraseRootFromParent_Done,
     /*  502539 */   // Label 8374: @502539
     /*  502539 */   GIM_Try, /*On fail goto*//*Label 8375*/ GIMT_Encode4(502607), // Rule ID 61546 //
     /*  502544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  502552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502576 */     // MIs[0] policy
     /*  502576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502586 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  502589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502603 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502605 */     GIR_RootConstrainSelectedInstOperands,
     /*  502606 */     // GIR_Coverage, 61546,
     /*  502606 */     GIR_EraseRootFromParent_Done,
     /*  502607 */   // Label 8375: @502607
     /*  502607 */   GIM_Try, /*On fail goto*//*Label 8376*/ GIMT_Encode4(502675), // Rule ID 61547 //
     /*  502612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  502620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502644 */     // MIs[0] policy
     /*  502644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502654 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  502657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502671 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502673 */     GIR_RootConstrainSelectedInstOperands,
     /*  502674 */     // GIR_Coverage, 61547,
     /*  502674 */     GIR_EraseRootFromParent_Done,
     /*  502675 */   // Label 8376: @502675
     /*  502675 */   GIM_Try, /*On fail goto*//*Label 8377*/ GIMT_Encode4(502743), // Rule ID 61548 //
     /*  502680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  502688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502712 */     // MIs[0] policy
     /*  502712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502722 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  502725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502739 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502741 */     GIR_RootConstrainSelectedInstOperands,
     /*  502742 */     // GIR_Coverage, 61548,
     /*  502742 */     GIR_EraseRootFromParent_Done,
     /*  502743 */   // Label 8377: @502743
     /*  502743 */   GIM_Try, /*On fail goto*//*Label 8378*/ GIMT_Encode4(502811), // Rule ID 61549 //
     /*  502748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  502756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502780 */     // MIs[0] policy
     /*  502780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502790 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  502793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502807 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502809 */     GIR_RootConstrainSelectedInstOperands,
     /*  502810 */     // GIR_Coverage, 61549,
     /*  502810 */     GIR_EraseRootFromParent_Done,
     /*  502811 */   // Label 8378: @502811
     /*  502811 */   GIM_Try, /*On fail goto*//*Label 8379*/ GIMT_Encode4(502879), // Rule ID 61550 //
     /*  502816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  502824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502848 */     // MIs[0] policy
     /*  502848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502858 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  502861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502875 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502877 */     GIR_RootConstrainSelectedInstOperands,
     /*  502878 */     // GIR_Coverage, 61550,
     /*  502878 */     GIR_EraseRootFromParent_Done,
     /*  502879 */   // Label 8379: @502879
     /*  502879 */   GIM_Try, /*On fail goto*//*Label 8380*/ GIMT_Encode4(502947), // Rule ID 61551 //
     /*  502884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  502892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  502901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502916 */     // MIs[0] policy
     /*  502916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  502929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502943 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502945 */     GIR_RootConstrainSelectedInstOperands,
     /*  502946 */     // GIR_Coverage, 61551,
     /*  502946 */     GIR_EraseRootFromParent_Done,
     /*  502947 */   // Label 8380: @502947
     /*  502947 */   GIM_Try, /*On fail goto*//*Label 8381*/ GIMT_Encode4(503015), // Rule ID 61552 //
     /*  502952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  502960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  502969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502984 */     // MIs[0] policy
     /*  502984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502994 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  502997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503011 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503013 */     GIR_RootConstrainSelectedInstOperands,
     /*  503014 */     // GIR_Coverage, 61552,
     /*  503014 */     GIR_EraseRootFromParent_Done,
     /*  503015 */   // Label 8381: @503015
     /*  503015 */   GIM_Try, /*On fail goto*//*Label 8382*/ GIMT_Encode4(503083), // Rule ID 61553 //
     /*  503020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  503028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  503031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  503034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503052 */     // MIs[0] policy
     /*  503052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503062 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  503065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503079 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503081 */     GIR_RootConstrainSelectedInstOperands,
     /*  503082 */     // GIR_Coverage, 61553,
     /*  503082 */     GIR_EraseRootFromParent_Done,
     /*  503083 */   // Label 8382: @503083
     /*  503083 */   GIM_Try, /*On fail goto*//*Label 8383*/ GIMT_Encode4(503151), // Rule ID 61554 //
     /*  503088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  503096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  503099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  503102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503120 */     // MIs[0] policy
     /*  503120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503130 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  503133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503147 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503149 */     GIR_RootConstrainSelectedInstOperands,
     /*  503150 */     // GIR_Coverage, 61554,
     /*  503150 */     GIR_EraseRootFromParent_Done,
     /*  503151 */   // Label 8383: @503151
     /*  503151 */   GIM_Try, /*On fail goto*//*Label 8384*/ GIMT_Encode4(503219), // Rule ID 61555 //
     /*  503156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  503164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503188 */     // MIs[0] policy
     /*  503188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503198 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  503201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503215 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503217 */     GIR_RootConstrainSelectedInstOperands,
     /*  503218 */     // GIR_Coverage, 61555,
     /*  503218 */     GIR_EraseRootFromParent_Done,
     /*  503219 */   // Label 8384: @503219
     /*  503219 */   GIM_Try, /*On fail goto*//*Label 8385*/ GIMT_Encode4(503287), // Rule ID 61556 //
     /*  503224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  503232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503256 */     // MIs[0] policy
     /*  503256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503266 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  503269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503283 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503285 */     GIR_RootConstrainSelectedInstOperands,
     /*  503286 */     // GIR_Coverage, 61556,
     /*  503286 */     GIR_EraseRootFromParent_Done,
     /*  503287 */   // Label 8385: @503287
     /*  503287 */   GIM_Try, /*On fail goto*//*Label 8386*/ GIMT_Encode4(503355), // Rule ID 61557 //
     /*  503292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  503300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503324 */     // MIs[0] policy
     /*  503324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503334 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  503337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503351 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503353 */     GIR_RootConstrainSelectedInstOperands,
     /*  503354 */     // GIR_Coverage, 61557,
     /*  503354 */     GIR_EraseRootFromParent_Done,
     /*  503355 */   // Label 8386: @503355
     /*  503355 */   GIM_Try, /*On fail goto*//*Label 8387*/ GIMT_Encode4(503423), // Rule ID 61558 //
     /*  503360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  503368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503392 */     // MIs[0] policy
     /*  503392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  503405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503419 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503421 */     GIR_RootConstrainSelectedInstOperands,
     /*  503422 */     // GIR_Coverage, 61558,
     /*  503422 */     GIR_EraseRootFromParent_Done,
     /*  503423 */   // Label 8387: @503423
     /*  503423 */   GIM_Try, /*On fail goto*//*Label 8388*/ GIMT_Encode4(503491), // Rule ID 61559 //
     /*  503428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  503436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503460 */     // MIs[0] policy
     /*  503460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503470 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  503473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503487 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503489 */     GIR_RootConstrainSelectedInstOperands,
     /*  503490 */     // GIR_Coverage, 61559,
     /*  503490 */     GIR_EraseRootFromParent_Done,
     /*  503491 */   // Label 8388: @503491
     /*  503491 */   GIM_Try, /*On fail goto*//*Label 8389*/ GIMT_Encode4(503559), // Rule ID 61560 //
     /*  503496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  503504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503528 */     // MIs[0] policy
     /*  503528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503538 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  503541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503555 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503557 */     GIR_RootConstrainSelectedInstOperands,
     /*  503558 */     // GIR_Coverage, 61560,
     /*  503558 */     GIR_EraseRootFromParent_Done,
     /*  503559 */   // Label 8389: @503559
     /*  503559 */   GIM_Try, /*On fail goto*//*Label 8390*/ GIMT_Encode4(503627), // Rule ID 61561 //
     /*  503564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  503572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503596 */     // MIs[0] policy
     /*  503596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503606 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  503609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503623 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503625 */     GIR_RootConstrainSelectedInstOperands,
     /*  503626 */     // GIR_Coverage, 61561,
     /*  503626 */     GIR_EraseRootFromParent_Done,
     /*  503627 */   // Label 8390: @503627
     /*  503627 */   GIM_Try, /*On fail goto*//*Label 8391*/ GIMT_Encode4(503695), // Rule ID 61562 //
     /*  503632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  503640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503664 */     // MIs[0] policy
     /*  503664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503674 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  503677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503691 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503693 */     GIR_RootConstrainSelectedInstOperands,
     /*  503694 */     // GIR_Coverage, 61562,
     /*  503694 */     GIR_EraseRootFromParent_Done,
     /*  503695 */   // Label 8391: @503695
     /*  503695 */   GIM_Try, /*On fail goto*//*Label 8392*/ GIMT_Encode4(503763), // Rule ID 61563 //
     /*  503700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  503708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503732 */     // MIs[0] policy
     /*  503732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503742 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  503745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503759 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503761 */     GIR_RootConstrainSelectedInstOperands,
     /*  503762 */     // GIR_Coverage, 61563,
     /*  503762 */     GIR_EraseRootFromParent_Done,
     /*  503763 */   // Label 8392: @503763
     /*  503763 */   GIM_Try, /*On fail goto*//*Label 8393*/ GIMT_Encode4(503831), // Rule ID 61564 //
     /*  503768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  503776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503800 */     // MIs[0] policy
     /*  503800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503810 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  503813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503827 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503829 */     GIR_RootConstrainSelectedInstOperands,
     /*  503830 */     // GIR_Coverage, 61564,
     /*  503830 */     GIR_EraseRootFromParent_Done,
     /*  503831 */   // Label 8393: @503831
     /*  503831 */   GIM_Try, /*On fail goto*//*Label 8394*/ GIMT_Encode4(503899), // Rule ID 61565 //
     /*  503836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  503844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503868 */     // MIs[0] policy
     /*  503868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  503881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503895 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503897 */     GIR_RootConstrainSelectedInstOperands,
     /*  503898 */     // GIR_Coverage, 61565,
     /*  503898 */     GIR_EraseRootFromParent_Done,
     /*  503899 */   // Label 8394: @503899
     /*  503899 */   GIM_Try, /*On fail goto*//*Label 8395*/ GIMT_Encode4(503967), // Rule ID 61566 //
     /*  503904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  503912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503936 */     // MIs[0] policy
     /*  503936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503946 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  503949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503963 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503965 */     GIR_RootConstrainSelectedInstOperands,
     /*  503966 */     // GIR_Coverage, 61566,
     /*  503966 */     GIR_EraseRootFromParent_Done,
     /*  503967 */   // Label 8395: @503967
     /*  503967 */   GIM_Try, /*On fail goto*//*Label 8396*/ GIMT_Encode4(504035), // Rule ID 61567 //
     /*  503972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  503980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504004 */     // MIs[0] policy
     /*  504004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504014 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  504017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504031 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504033 */     GIR_RootConstrainSelectedInstOperands,
     /*  504034 */     // GIR_Coverage, 61567,
     /*  504034 */     GIR_EraseRootFromParent_Done,
     /*  504035 */   // Label 8396: @504035
     /*  504035 */   GIM_Try, /*On fail goto*//*Label 8397*/ GIMT_Encode4(504103), // Rule ID 61568 //
     /*  504040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504072 */     // MIs[0] policy
     /*  504072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504082 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  504085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504099 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504101 */     GIR_RootConstrainSelectedInstOperands,
     /*  504102 */     // GIR_Coverage, 61568,
     /*  504102 */     GIR_EraseRootFromParent_Done,
     /*  504103 */   // Label 8397: @504103
     /*  504103 */   GIM_Try, /*On fail goto*//*Label 8398*/ GIMT_Encode4(504171), // Rule ID 61569 //
     /*  504108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504140 */     // MIs[0] policy
     /*  504140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504150 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  504153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504167 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504169 */     GIR_RootConstrainSelectedInstOperands,
     /*  504170 */     // GIR_Coverage, 61569,
     /*  504170 */     GIR_EraseRootFromParent_Done,
     /*  504171 */   // Label 8398: @504171
     /*  504171 */   GIM_Try, /*On fail goto*//*Label 8399*/ GIMT_Encode4(504239), // Rule ID 61570 //
     /*  504176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504208 */     // MIs[0] policy
     /*  504208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504218 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  504221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504235 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504237 */     GIR_RootConstrainSelectedInstOperands,
     /*  504238 */     // GIR_Coverage, 61570,
     /*  504238 */     GIR_EraseRootFromParent_Done,
     /*  504239 */   // Label 8399: @504239
     /*  504239 */   GIM_Try, /*On fail goto*//*Label 8400*/ GIMT_Encode4(504307), // Rule ID 61571 //
     /*  504244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504276 */     // MIs[0] policy
     /*  504276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504286 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  504289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504303 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504305 */     GIR_RootConstrainSelectedInstOperands,
     /*  504306 */     // GIR_Coverage, 61571,
     /*  504306 */     GIR_EraseRootFromParent_Done,
     /*  504307 */   // Label 8400: @504307
     /*  504307 */   GIM_Try, /*On fail goto*//*Label 8401*/ GIMT_Encode4(504375), // Rule ID 61572 //
     /*  504312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504344 */     // MIs[0] policy
     /*  504344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504354 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  504357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504371 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504373 */     GIR_RootConstrainSelectedInstOperands,
     /*  504374 */     // GIR_Coverage, 61572,
     /*  504374 */     GIR_EraseRootFromParent_Done,
     /*  504375 */   // Label 8401: @504375
     /*  504375 */   GIM_Try, /*On fail goto*//*Label 8402*/ GIMT_Encode4(504443), // Rule ID 61573 //
     /*  504380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504412 */     // MIs[0] policy
     /*  504412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504422 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  504425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504439 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504441 */     GIR_RootConstrainSelectedInstOperands,
     /*  504442 */     // GIR_Coverage, 61573,
     /*  504442 */     GIR_EraseRootFromParent_Done,
     /*  504443 */   // Label 8402: @504443
     /*  504443 */   GIM_Try, /*On fail goto*//*Label 8403*/ GIMT_Encode4(504511), // Rule ID 61574 //
     /*  504448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504480 */     // MIs[0] policy
     /*  504480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504490 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  504493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504507 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504509 */     GIR_RootConstrainSelectedInstOperands,
     /*  504510 */     // GIR_Coverage, 61574,
     /*  504510 */     GIR_EraseRootFromParent_Done,
     /*  504511 */   // Label 8403: @504511
     /*  504511 */   GIM_Try, /*On fail goto*//*Label 8404*/ GIMT_Encode4(504579), // Rule ID 61575 //
     /*  504516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504548 */     // MIs[0] policy
     /*  504548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504558 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  504561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504575 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504577 */     GIR_RootConstrainSelectedInstOperands,
     /*  504578 */     // GIR_Coverage, 61575,
     /*  504578 */     GIR_EraseRootFromParent_Done,
     /*  504579 */   // Label 8404: @504579
     /*  504579 */   GIM_Try, /*On fail goto*//*Label 8405*/ GIMT_Encode4(504647), // Rule ID 61576 //
     /*  504584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504616 */     // MIs[0] policy
     /*  504616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504626 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  504629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504643 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504645 */     GIR_RootConstrainSelectedInstOperands,
     /*  504646 */     // GIR_Coverage, 61576,
     /*  504646 */     GIR_EraseRootFromParent_Done,
     /*  504647 */   // Label 8405: @504647
     /*  504647 */   GIM_Try, /*On fail goto*//*Label 8406*/ GIMT_Encode4(504715), // Rule ID 61577 //
     /*  504652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504684 */     // MIs[0] policy
     /*  504684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504694 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  504697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504711 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504713 */     GIR_RootConstrainSelectedInstOperands,
     /*  504714 */     // GIR_Coverage, 61577,
     /*  504714 */     GIR_EraseRootFromParent_Done,
     /*  504715 */   // Label 8406: @504715
     /*  504715 */   GIM_Try, /*On fail goto*//*Label 8407*/ GIMT_Encode4(504783), // Rule ID 61578 //
     /*  504720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504752 */     // MIs[0] policy
     /*  504752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504762 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  504765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504779 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504781 */     GIR_RootConstrainSelectedInstOperands,
     /*  504782 */     // GIR_Coverage, 61578,
     /*  504782 */     GIR_EraseRootFromParent_Done,
     /*  504783 */   // Label 8407: @504783
     /*  504783 */   GIM_Try, /*On fail goto*//*Label 8408*/ GIMT_Encode4(504851), // Rule ID 61579 //
     /*  504788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504820 */     // MIs[0] policy
     /*  504820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504830 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  504833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504847 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504849 */     GIR_RootConstrainSelectedInstOperands,
     /*  504850 */     // GIR_Coverage, 61579,
     /*  504850 */     GIR_EraseRootFromParent_Done,
     /*  504851 */   // Label 8408: @504851
     /*  504851 */   GIM_Try, /*On fail goto*//*Label 8409*/ GIMT_Encode4(504919), // Rule ID 61580 //
     /*  504856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  504864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504888 */     // MIs[0] policy
     /*  504888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504898 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  504901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504915 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504917 */     GIR_RootConstrainSelectedInstOperands,
     /*  504918 */     // GIR_Coverage, 61580,
     /*  504918 */     GIR_EraseRootFromParent_Done,
     /*  504919 */   // Label 8409: @504919
     /*  504919 */   GIM_Try, /*On fail goto*//*Label 8410*/ GIMT_Encode4(504987), // Rule ID 61581 //
     /*  504924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  504932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  504935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  504938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504956 */     // MIs[0] policy
     /*  504956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504966 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  504969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504983 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504985 */     GIR_RootConstrainSelectedInstOperands,
     /*  504986 */     // GIR_Coverage, 61581,
     /*  504986 */     GIR_EraseRootFromParent_Done,
     /*  504987 */   // Label 8410: @504987
     /*  504987 */   GIM_Try, /*On fail goto*//*Label 8411*/ GIMT_Encode4(505055), // Rule ID 61582 //
     /*  504992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  505000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  505003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  505006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505024 */     // MIs[0] policy
     /*  505024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505034 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  505037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505051 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505053 */     GIR_RootConstrainSelectedInstOperands,
     /*  505054 */     // GIR_Coverage, 61582,
     /*  505054 */     GIR_EraseRootFromParent_Done,
     /*  505055 */   // Label 8411: @505055
     /*  505055 */   GIM_Try, /*On fail goto*//*Label 8412*/ GIMT_Encode4(505123), // Rule ID 61583 //
     /*  505060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  505068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  505071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  505074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505092 */     // MIs[0] policy
     /*  505092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505102 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  505105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505119 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505121 */     GIR_RootConstrainSelectedInstOperands,
     /*  505122 */     // GIR_Coverage, 61583,
     /*  505122 */     GIR_EraseRootFromParent_Done,
     /*  505123 */   // Label 8412: @505123
     /*  505123 */   GIM_Try, /*On fail goto*//*Label 8413*/ GIMT_Encode4(505191), // Rule ID 61584 //
     /*  505128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  505136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  505139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  505142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505160 */     // MIs[0] policy
     /*  505160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505170 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  505173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505187 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505189 */     GIR_RootConstrainSelectedInstOperands,
     /*  505190 */     // GIR_Coverage, 61584,
     /*  505190 */     GIR_EraseRootFromParent_Done,
     /*  505191 */   // Label 8413: @505191
     /*  505191 */   GIM_Try, /*On fail goto*//*Label 8414*/ GIMT_Encode4(505259), // Rule ID 61585 //
     /*  505196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  505204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505228 */     // MIs[0] policy
     /*  505228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505238 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  505241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505255 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505257 */     GIR_RootConstrainSelectedInstOperands,
     /*  505258 */     // GIR_Coverage, 61585,
     /*  505258 */     GIR_EraseRootFromParent_Done,
     /*  505259 */   // Label 8414: @505259
     /*  505259 */   GIM_Try, /*On fail goto*//*Label 8415*/ GIMT_Encode4(505327), // Rule ID 61586 //
     /*  505264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  505272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505296 */     // MIs[0] policy
     /*  505296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505306 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  505309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505323 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505325 */     GIR_RootConstrainSelectedInstOperands,
     /*  505326 */     // GIR_Coverage, 61586,
     /*  505326 */     GIR_EraseRootFromParent_Done,
     /*  505327 */   // Label 8415: @505327
     /*  505327 */   GIM_Try, /*On fail goto*//*Label 8416*/ GIMT_Encode4(505395), // Rule ID 61587 //
     /*  505332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  505340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505364 */     // MIs[0] policy
     /*  505364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505374 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  505377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505391 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505393 */     GIR_RootConstrainSelectedInstOperands,
     /*  505394 */     // GIR_Coverage, 61587,
     /*  505394 */     GIR_EraseRootFromParent_Done,
     /*  505395 */   // Label 8416: @505395
     /*  505395 */   GIM_Try, /*On fail goto*//*Label 8417*/ GIMT_Encode4(505463), // Rule ID 61588 //
     /*  505400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  505408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505432 */     // MIs[0] policy
     /*  505432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505442 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  505445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505459 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505461 */     GIR_RootConstrainSelectedInstOperands,
     /*  505462 */     // GIR_Coverage, 61588,
     /*  505462 */     GIR_EraseRootFromParent_Done,
     /*  505463 */   // Label 8417: @505463
     /*  505463 */   GIM_Try, /*On fail goto*//*Label 8418*/ GIMT_Encode4(505531), // Rule ID 61589 //
     /*  505468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  505476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  505485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505500 */     // MIs[0] policy
     /*  505500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505510 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  505513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505527 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505529 */     GIR_RootConstrainSelectedInstOperands,
     /*  505530 */     // GIR_Coverage, 61589,
     /*  505530 */     GIR_EraseRootFromParent_Done,
     /*  505531 */   // Label 8418: @505531
     /*  505531 */   GIM_Try, /*On fail goto*//*Label 8419*/ GIMT_Encode4(505599), // Rule ID 61590 //
     /*  505536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  505544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  505553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505568 */     // MIs[0] policy
     /*  505568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505578 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  505581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505595 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505597 */     GIR_RootConstrainSelectedInstOperands,
     /*  505598 */     // GIR_Coverage, 61590,
     /*  505598 */     GIR_EraseRootFromParent_Done,
     /*  505599 */   // Label 8419: @505599
     /*  505599 */   GIM_Try, /*On fail goto*//*Label 8420*/ GIMT_Encode4(505667), // Rule ID 61591 //
     /*  505604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  505612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  505615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  505618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505636 */     // MIs[0] policy
     /*  505636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  505649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505663 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505665 */     GIR_RootConstrainSelectedInstOperands,
     /*  505666 */     // GIR_Coverage, 61591,
     /*  505666 */     GIR_EraseRootFromParent_Done,
     /*  505667 */   // Label 8420: @505667
     /*  505667 */   GIM_Try, /*On fail goto*//*Label 8421*/ GIMT_Encode4(505735), // Rule ID 61592 //
     /*  505672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  505680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  505683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  505686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505704 */     // MIs[0] policy
     /*  505704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  505717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505731 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505733 */     GIR_RootConstrainSelectedInstOperands,
     /*  505734 */     // GIR_Coverage, 61592,
     /*  505734 */     GIR_EraseRootFromParent_Done,
     /*  505735 */   // Label 8421: @505735
     /*  505735 */   GIM_Try, /*On fail goto*//*Label 8422*/ GIMT_Encode4(505803), // Rule ID 61593 //
     /*  505740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  505748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  505751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  505754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505772 */     // MIs[0] policy
     /*  505772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505782 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  505785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505799 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505801 */     GIR_RootConstrainSelectedInstOperands,
     /*  505802 */     // GIR_Coverage, 61593,
     /*  505802 */     GIR_EraseRootFromParent_Done,
     /*  505803 */   // Label 8422: @505803
     /*  505803 */   GIM_Try, /*On fail goto*//*Label 8423*/ GIMT_Encode4(505871), // Rule ID 61594 //
     /*  505808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  505816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  505819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  505822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505840 */     // MIs[0] policy
     /*  505840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505850 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  505853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505867 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505869 */     GIR_RootConstrainSelectedInstOperands,
     /*  505870 */     // GIR_Coverage, 61594,
     /*  505870 */     GIR_EraseRootFromParent_Done,
     /*  505871 */   // Label 8423: @505871
     /*  505871 */   GIM_Try, /*On fail goto*//*Label 8424*/ GIMT_Encode4(505939), // Rule ID 61595 //
     /*  505876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  505884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  505887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  505890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505908 */     // MIs[0] policy
     /*  505908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505918 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  505921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505935 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505937 */     GIR_RootConstrainSelectedInstOperands,
     /*  505938 */     // GIR_Coverage, 61595,
     /*  505938 */     GIR_EraseRootFromParent_Done,
     /*  505939 */   // Label 8424: @505939
     /*  505939 */   GIM_Try, /*On fail goto*//*Label 8425*/ GIMT_Encode4(506007), // Rule ID 61596 //
     /*  505944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  505952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  505955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  505958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505976 */     // MIs[0] policy
     /*  505976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505986 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  505989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506003 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506005 */     GIR_RootConstrainSelectedInstOperands,
     /*  506006 */     // GIR_Coverage, 61596,
     /*  506006 */     GIR_EraseRootFromParent_Done,
     /*  506007 */   // Label 8425: @506007
     /*  506007 */   GIM_Try, /*On fail goto*//*Label 8426*/ GIMT_Encode4(506075), // Rule ID 61597 //
     /*  506012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506044 */     // MIs[0] policy
     /*  506044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506054 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  506057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506071 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506073 */     GIR_RootConstrainSelectedInstOperands,
     /*  506074 */     // GIR_Coverage, 61597,
     /*  506074 */     GIR_EraseRootFromParent_Done,
     /*  506075 */   // Label 8426: @506075
     /*  506075 */   GIM_Try, /*On fail goto*//*Label 8427*/ GIMT_Encode4(506143), // Rule ID 61598 //
     /*  506080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506112 */     // MIs[0] policy
     /*  506112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506122 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  506125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506139 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506141 */     GIR_RootConstrainSelectedInstOperands,
     /*  506142 */     // GIR_Coverage, 61598,
     /*  506142 */     GIR_EraseRootFromParent_Done,
     /*  506143 */   // Label 8427: @506143
     /*  506143 */   GIM_Try, /*On fail goto*//*Label 8428*/ GIMT_Encode4(506211), // Rule ID 61599 //
     /*  506148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506180 */     // MIs[0] policy
     /*  506180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506190 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  506193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506207 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506209 */     GIR_RootConstrainSelectedInstOperands,
     /*  506210 */     // GIR_Coverage, 61599,
     /*  506210 */     GIR_EraseRootFromParent_Done,
     /*  506211 */   // Label 8428: @506211
     /*  506211 */   GIM_Try, /*On fail goto*//*Label 8429*/ GIMT_Encode4(506279), // Rule ID 61600 //
     /*  506216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506248 */     // MIs[0] policy
     /*  506248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506258 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  506261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506275 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506277 */     GIR_RootConstrainSelectedInstOperands,
     /*  506278 */     // GIR_Coverage, 61600,
     /*  506278 */     GIR_EraseRootFromParent_Done,
     /*  506279 */   // Label 8429: @506279
     /*  506279 */   GIM_Try, /*On fail goto*//*Label 8430*/ GIMT_Encode4(506347), // Rule ID 61601 //
     /*  506284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506316 */     // MIs[0] policy
     /*  506316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506326 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  506329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506343 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506345 */     GIR_RootConstrainSelectedInstOperands,
     /*  506346 */     // GIR_Coverage, 61601,
     /*  506346 */     GIR_EraseRootFromParent_Done,
     /*  506347 */   // Label 8430: @506347
     /*  506347 */   GIM_Try, /*On fail goto*//*Label 8431*/ GIMT_Encode4(506415), // Rule ID 61602 //
     /*  506352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506384 */     // MIs[0] policy
     /*  506384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506394 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  506397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506411 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506413 */     GIR_RootConstrainSelectedInstOperands,
     /*  506414 */     // GIR_Coverage, 61602,
     /*  506414 */     GIR_EraseRootFromParent_Done,
     /*  506415 */   // Label 8431: @506415
     /*  506415 */   GIM_Try, /*On fail goto*//*Label 8432*/ GIMT_Encode4(506483), // Rule ID 61603 //
     /*  506420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506452 */     // MIs[0] policy
     /*  506452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506462 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  506465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506479 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506481 */     GIR_RootConstrainSelectedInstOperands,
     /*  506482 */     // GIR_Coverage, 61603,
     /*  506482 */     GIR_EraseRootFromParent_Done,
     /*  506483 */   // Label 8432: @506483
     /*  506483 */   GIM_Try, /*On fail goto*//*Label 8433*/ GIMT_Encode4(506551), // Rule ID 61604 //
     /*  506488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506520 */     // MIs[0] policy
     /*  506520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506530 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  506533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506547 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506549 */     GIR_RootConstrainSelectedInstOperands,
     /*  506550 */     // GIR_Coverage, 61604,
     /*  506550 */     GIR_EraseRootFromParent_Done,
     /*  506551 */   // Label 8433: @506551
     /*  506551 */   GIM_Try, /*On fail goto*//*Label 8434*/ GIMT_Encode4(506619), // Rule ID 61605 //
     /*  506556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506588 */     // MIs[0] policy
     /*  506588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506598 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  506601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506615 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506617 */     GIR_RootConstrainSelectedInstOperands,
     /*  506618 */     // GIR_Coverage, 61605,
     /*  506618 */     GIR_EraseRootFromParent_Done,
     /*  506619 */   // Label 8434: @506619
     /*  506619 */   GIM_Try, /*On fail goto*//*Label 8435*/ GIMT_Encode4(506687), // Rule ID 61606 //
     /*  506624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506656 */     // MIs[0] policy
     /*  506656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506666 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  506669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506683 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506685 */     GIR_RootConstrainSelectedInstOperands,
     /*  506686 */     // GIR_Coverage, 61606,
     /*  506686 */     GIR_EraseRootFromParent_Done,
     /*  506687 */   // Label 8435: @506687
     /*  506687 */   GIM_Try, /*On fail goto*//*Label 8436*/ GIMT_Encode4(506755), // Rule ID 61607 //
     /*  506692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506724 */     // MIs[0] policy
     /*  506724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506734 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  506737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506751 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506753 */     GIR_RootConstrainSelectedInstOperands,
     /*  506754 */     // GIR_Coverage, 61607,
     /*  506754 */     GIR_EraseRootFromParent_Done,
     /*  506755 */   // Label 8436: @506755
     /*  506755 */   GIM_Try, /*On fail goto*//*Label 8437*/ GIMT_Encode4(506823), // Rule ID 61608 //
     /*  506760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506792 */     // MIs[0] policy
     /*  506792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506802 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  506805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506819 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506821 */     GIR_RootConstrainSelectedInstOperands,
     /*  506822 */     // GIR_Coverage, 61608,
     /*  506822 */     GIR_EraseRootFromParent_Done,
     /*  506823 */   // Label 8437: @506823
     /*  506823 */   GIM_Try, /*On fail goto*//*Label 8438*/ GIMT_Encode4(506891), // Rule ID 61609 //
     /*  506828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506860 */     // MIs[0] policy
     /*  506860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506870 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  506873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506887 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506889 */     GIR_RootConstrainSelectedInstOperands,
     /*  506890 */     // GIR_Coverage, 61609,
     /*  506890 */     GIR_EraseRootFromParent_Done,
     /*  506891 */   // Label 8438: @506891
     /*  506891 */   GIM_Try, /*On fail goto*//*Label 8439*/ GIMT_Encode4(506959), // Rule ID 61610 //
     /*  506896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506928 */     // MIs[0] policy
     /*  506928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506938 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  506941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506955 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506957 */     GIR_RootConstrainSelectedInstOperands,
     /*  506958 */     // GIR_Coverage, 61610,
     /*  506958 */     GIR_EraseRootFromParent_Done,
     /*  506959 */   // Label 8439: @506959
     /*  506959 */   GIM_Try, /*On fail goto*//*Label 8440*/ GIMT_Encode4(507027), // Rule ID 61611 //
     /*  506964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  506972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506996 */     // MIs[0] policy
     /*  506996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507006 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  507009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507023 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507025 */     GIR_RootConstrainSelectedInstOperands,
     /*  507026 */     // GIR_Coverage, 61611,
     /*  507026 */     GIR_EraseRootFromParent_Done,
     /*  507027 */   // Label 8440: @507027
     /*  507027 */   GIM_Try, /*On fail goto*//*Label 8441*/ GIMT_Encode4(507095), // Rule ID 61612 //
     /*  507032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507064 */     // MIs[0] policy
     /*  507064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507074 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  507077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507091 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507093 */     GIR_RootConstrainSelectedInstOperands,
     /*  507094 */     // GIR_Coverage, 61612,
     /*  507094 */     GIR_EraseRootFromParent_Done,
     /*  507095 */   // Label 8441: @507095
     /*  507095 */   GIM_Try, /*On fail goto*//*Label 8442*/ GIMT_Encode4(507163), // Rule ID 61613 //
     /*  507100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507132 */     // MIs[0] policy
     /*  507132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507142 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  507145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507159 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507161 */     GIR_RootConstrainSelectedInstOperands,
     /*  507162 */     // GIR_Coverage, 61613,
     /*  507162 */     GIR_EraseRootFromParent_Done,
     /*  507163 */   // Label 8442: @507163
     /*  507163 */   GIM_Try, /*On fail goto*//*Label 8443*/ GIMT_Encode4(507231), // Rule ID 61614 //
     /*  507168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507200 */     // MIs[0] policy
     /*  507200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507210 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  507213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507227 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507229 */     GIR_RootConstrainSelectedInstOperands,
     /*  507230 */     // GIR_Coverage, 61614,
     /*  507230 */     GIR_EraseRootFromParent_Done,
     /*  507231 */   // Label 8443: @507231
     /*  507231 */   GIM_Try, /*On fail goto*//*Label 8444*/ GIMT_Encode4(507299), // Rule ID 61615 //
     /*  507236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507268 */     // MIs[0] policy
     /*  507268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507278 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  507281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507295 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507297 */     GIR_RootConstrainSelectedInstOperands,
     /*  507298 */     // GIR_Coverage, 61615,
     /*  507298 */     GIR_EraseRootFromParent_Done,
     /*  507299 */   // Label 8444: @507299
     /*  507299 */   GIM_Try, /*On fail goto*//*Label 8445*/ GIMT_Encode4(507367), // Rule ID 61616 //
     /*  507304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507336 */     // MIs[0] policy
     /*  507336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507346 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  507349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507363 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507365 */     GIR_RootConstrainSelectedInstOperands,
     /*  507366 */     // GIR_Coverage, 61616,
     /*  507366 */     GIR_EraseRootFromParent_Done,
     /*  507367 */   // Label 8445: @507367
     /*  507367 */   GIM_Try, /*On fail goto*//*Label 8446*/ GIMT_Encode4(507435), // Rule ID 61617 //
     /*  507372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  507389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507404 */     // MIs[0] policy
     /*  507404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507414 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  507417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507431 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507433 */     GIR_RootConstrainSelectedInstOperands,
     /*  507434 */     // GIR_Coverage, 61617,
     /*  507434 */     GIR_EraseRootFromParent_Done,
     /*  507435 */   // Label 8446: @507435
     /*  507435 */   GIM_Try, /*On fail goto*//*Label 8447*/ GIMT_Encode4(507503), // Rule ID 61618 //
     /*  507440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  507448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  507457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507472 */     // MIs[0] policy
     /*  507472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507482 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  507485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507499 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507501 */     GIR_RootConstrainSelectedInstOperands,
     /*  507502 */     // GIR_Coverage, 61618,
     /*  507502 */     GIR_EraseRootFromParent_Done,
     /*  507503 */   // Label 8447: @507503
     /*  507503 */   GIM_Try, /*On fail goto*//*Label 8448*/ GIMT_Encode4(507571), // Rule ID 61635 //
     /*  507508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  507516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  507519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  507522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507540 */     // MIs[0] policy
     /*  507540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507550 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  507553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507567 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507569 */     GIR_RootConstrainSelectedInstOperands,
     /*  507570 */     // GIR_Coverage, 61635,
     /*  507570 */     GIR_EraseRootFromParent_Done,
     /*  507571 */   // Label 8448: @507571
     /*  507571 */   GIM_Try, /*On fail goto*//*Label 8449*/ GIMT_Encode4(507639), // Rule ID 61636 //
     /*  507576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  507584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  507587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  507590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507608 */     // MIs[0] policy
     /*  507608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507618 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  507621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507635 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507637 */     GIR_RootConstrainSelectedInstOperands,
     /*  507638 */     // GIR_Coverage, 61636,
     /*  507638 */     GIR_EraseRootFromParent_Done,
     /*  507639 */   // Label 8449: @507639
     /*  507639 */   GIM_Try, /*On fail goto*//*Label 8450*/ GIMT_Encode4(507707), // Rule ID 61637 //
     /*  507644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  507652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507676 */     // MIs[0] policy
     /*  507676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507686 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  507689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507703 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507705 */     GIR_RootConstrainSelectedInstOperands,
     /*  507706 */     // GIR_Coverage, 61637,
     /*  507706 */     GIR_EraseRootFromParent_Done,
     /*  507707 */   // Label 8450: @507707
     /*  507707 */   GIM_Try, /*On fail goto*//*Label 8451*/ GIMT_Encode4(507775), // Rule ID 61638 //
     /*  507712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  507720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507744 */     // MIs[0] policy
     /*  507744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507754 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  507757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507771 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507773 */     GIR_RootConstrainSelectedInstOperands,
     /*  507774 */     // GIR_Coverage, 61638,
     /*  507774 */     GIR_EraseRootFromParent_Done,
     /*  507775 */   // Label 8451: @507775
     /*  507775 */   GIM_Try, /*On fail goto*//*Label 8452*/ GIMT_Encode4(507843), // Rule ID 61639 //
     /*  507780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  507788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507812 */     // MIs[0] policy
     /*  507812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507822 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  507825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507839 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507841 */     GIR_RootConstrainSelectedInstOperands,
     /*  507842 */     // GIR_Coverage, 61639,
     /*  507842 */     GIR_EraseRootFromParent_Done,
     /*  507843 */   // Label 8452: @507843
     /*  507843 */   GIM_Try, /*On fail goto*//*Label 8453*/ GIMT_Encode4(507911), // Rule ID 61640 //
     /*  507848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  507856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507880 */     // MIs[0] policy
     /*  507880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507890 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  507893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507907 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507909 */     GIR_RootConstrainSelectedInstOperands,
     /*  507910 */     // GIR_Coverage, 61640,
     /*  507910 */     GIR_EraseRootFromParent_Done,
     /*  507911 */   // Label 8453: @507911
     /*  507911 */   GIM_Try, /*On fail goto*//*Label 8454*/ GIMT_Encode4(507979), // Rule ID 61641 //
     /*  507916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  507924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507948 */     // MIs[0] policy
     /*  507948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507958 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  507961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507975 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507977 */     GIR_RootConstrainSelectedInstOperands,
     /*  507978 */     // GIR_Coverage, 61641,
     /*  507978 */     GIR_EraseRootFromParent_Done,
     /*  507979 */   // Label 8454: @507979
     /*  507979 */   GIM_Try, /*On fail goto*//*Label 8455*/ GIMT_Encode4(508047), // Rule ID 61642 //
     /*  507984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  507992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508016 */     // MIs[0] policy
     /*  508016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508026 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  508029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508043 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508045 */     GIR_RootConstrainSelectedInstOperands,
     /*  508046 */     // GIR_Coverage, 61642,
     /*  508046 */     GIR_EraseRootFromParent_Done,
     /*  508047 */   // Label 8455: @508047
     /*  508047 */   GIM_Try, /*On fail goto*//*Label 8456*/ GIMT_Encode4(508115), // Rule ID 61643 //
     /*  508052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  508063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  508066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508084 */     // MIs[0] policy
     /*  508084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508094 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  508097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508111 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508113 */     GIR_RootConstrainSelectedInstOperands,
     /*  508114 */     // GIR_Coverage, 61643,
     /*  508114 */     GIR_EraseRootFromParent_Done,
     /*  508115 */   // Label 8456: @508115
     /*  508115 */   GIM_Try, /*On fail goto*//*Label 8457*/ GIMT_Encode4(508183), // Rule ID 61644 //
     /*  508120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  508131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  508134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508152 */     // MIs[0] policy
     /*  508152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508162 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  508165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508179 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508181 */     GIR_RootConstrainSelectedInstOperands,
     /*  508182 */     // GIR_Coverage, 61644,
     /*  508182 */     GIR_EraseRootFromParent_Done,
     /*  508183 */   // Label 8457: @508183
     /*  508183 */   GIM_Try, /*On fail goto*//*Label 8458*/ GIMT_Encode4(508251), // Rule ID 61645 //
     /*  508188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  508199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  508202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508220 */     // MIs[0] policy
     /*  508220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508230 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  508233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508247 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508249 */     GIR_RootConstrainSelectedInstOperands,
     /*  508250 */     // GIR_Coverage, 61645,
     /*  508250 */     GIR_EraseRootFromParent_Done,
     /*  508251 */   // Label 8458: @508251
     /*  508251 */   GIM_Try, /*On fail goto*//*Label 8459*/ GIMT_Encode4(508319), // Rule ID 61646 //
     /*  508256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  508267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  508270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508288 */     // MIs[0] policy
     /*  508288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508298 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  508301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508315 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508317 */     GIR_RootConstrainSelectedInstOperands,
     /*  508318 */     // GIR_Coverage, 61646,
     /*  508318 */     GIR_EraseRootFromParent_Done,
     /*  508319 */   // Label 8459: @508319
     /*  508319 */   GIM_Try, /*On fail goto*//*Label 8460*/ GIMT_Encode4(508387), // Rule ID 61647 //
     /*  508324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508356 */     // MIs[0] policy
     /*  508356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508366 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  508369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508383 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508385 */     GIR_RootConstrainSelectedInstOperands,
     /*  508386 */     // GIR_Coverage, 61647,
     /*  508386 */     GIR_EraseRootFromParent_Done,
     /*  508387 */   // Label 8460: @508387
     /*  508387 */   GIM_Try, /*On fail goto*//*Label 8461*/ GIMT_Encode4(508455), // Rule ID 61648 //
     /*  508392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508424 */     // MIs[0] policy
     /*  508424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508434 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  508437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508451 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508453 */     GIR_RootConstrainSelectedInstOperands,
     /*  508454 */     // GIR_Coverage, 61648,
     /*  508454 */     GIR_EraseRootFromParent_Done,
     /*  508455 */   // Label 8461: @508455
     /*  508455 */   GIM_Try, /*On fail goto*//*Label 8462*/ GIMT_Encode4(508523), // Rule ID 61649 //
     /*  508460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508492 */     // MIs[0] policy
     /*  508492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508502 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  508505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508519 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508521 */     GIR_RootConstrainSelectedInstOperands,
     /*  508522 */     // GIR_Coverage, 61649,
     /*  508522 */     GIR_EraseRootFromParent_Done,
     /*  508523 */   // Label 8462: @508523
     /*  508523 */   GIM_Try, /*On fail goto*//*Label 8463*/ GIMT_Encode4(508591), // Rule ID 61650 //
     /*  508528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508560 */     // MIs[0] policy
     /*  508560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508570 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  508573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508587 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508589 */     GIR_RootConstrainSelectedInstOperands,
     /*  508590 */     // GIR_Coverage, 61650,
     /*  508590 */     GIR_EraseRootFromParent_Done,
     /*  508591 */   // Label 8463: @508591
     /*  508591 */   GIM_Try, /*On fail goto*//*Label 8464*/ GIMT_Encode4(508659), // Rule ID 61651 //
     /*  508596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508628 */     // MIs[0] policy
     /*  508628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508638 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  508641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508655 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508657 */     GIR_RootConstrainSelectedInstOperands,
     /*  508658 */     // GIR_Coverage, 61651,
     /*  508658 */     GIR_EraseRootFromParent_Done,
     /*  508659 */   // Label 8464: @508659
     /*  508659 */   GIM_Try, /*On fail goto*//*Label 8465*/ GIMT_Encode4(508727), // Rule ID 61652 //
     /*  508664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508696 */     // MIs[0] policy
     /*  508696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508706 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  508709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508723 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508725 */     GIR_RootConstrainSelectedInstOperands,
     /*  508726 */     // GIR_Coverage, 61652,
     /*  508726 */     GIR_EraseRootFromParent_Done,
     /*  508727 */   // Label 8465: @508727
     /*  508727 */   GIM_Try, /*On fail goto*//*Label 8466*/ GIMT_Encode4(508795), // Rule ID 61653 //
     /*  508732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508764 */     // MIs[0] policy
     /*  508764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508774 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  508777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508791 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508793 */     GIR_RootConstrainSelectedInstOperands,
     /*  508794 */     // GIR_Coverage, 61653,
     /*  508794 */     GIR_EraseRootFromParent_Done,
     /*  508795 */   // Label 8466: @508795
     /*  508795 */   GIM_Try, /*On fail goto*//*Label 8467*/ GIMT_Encode4(508863), // Rule ID 61654 //
     /*  508800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508832 */     // MIs[0] policy
     /*  508832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508842 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  508845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508859 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508861 */     GIR_RootConstrainSelectedInstOperands,
     /*  508862 */     // GIR_Coverage, 61654,
     /*  508862 */     GIR_EraseRootFromParent_Done,
     /*  508863 */   // Label 8467: @508863
     /*  508863 */   GIM_Try, /*On fail goto*//*Label 8468*/ GIMT_Encode4(508931), // Rule ID 61655 //
     /*  508868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508900 */     // MIs[0] policy
     /*  508900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508910 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  508913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508927 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508929 */     GIR_RootConstrainSelectedInstOperands,
     /*  508930 */     // GIR_Coverage, 61655,
     /*  508930 */     GIR_EraseRootFromParent_Done,
     /*  508931 */   // Label 8468: @508931
     /*  508931 */   GIM_Try, /*On fail goto*//*Label 8469*/ GIMT_Encode4(508999), // Rule ID 61656 //
     /*  508936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  508944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508968 */     // MIs[0] policy
     /*  508968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508978 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  508981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508995 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508997 */     GIR_RootConstrainSelectedInstOperands,
     /*  508998 */     // GIR_Coverage, 61656,
     /*  508998 */     GIR_EraseRootFromParent_Done,
     /*  508999 */   // Label 8469: @508999
     /*  508999 */   GIM_Try, /*On fail goto*//*Label 8470*/ GIMT_Encode4(509067), // Rule ID 61657 //
     /*  509004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509036 */     // MIs[0] policy
     /*  509036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509046 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  509049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509063 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509065 */     GIR_RootConstrainSelectedInstOperands,
     /*  509066 */     // GIR_Coverage, 61657,
     /*  509066 */     GIR_EraseRootFromParent_Done,
     /*  509067 */   // Label 8470: @509067
     /*  509067 */   GIM_Try, /*On fail goto*//*Label 8471*/ GIMT_Encode4(509135), // Rule ID 61658 //
     /*  509072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509104 */     // MIs[0] policy
     /*  509104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509114 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  509117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509131 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509133 */     GIR_RootConstrainSelectedInstOperands,
     /*  509134 */     // GIR_Coverage, 61658,
     /*  509134 */     GIR_EraseRootFromParent_Done,
     /*  509135 */   // Label 8471: @509135
     /*  509135 */   GIM_Try, /*On fail goto*//*Label 8472*/ GIMT_Encode4(509203), // Rule ID 61659 //
     /*  509140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509172 */     // MIs[0] policy
     /*  509172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509182 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  509185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509199 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509201 */     GIR_RootConstrainSelectedInstOperands,
     /*  509202 */     // GIR_Coverage, 61659,
     /*  509202 */     GIR_EraseRootFromParent_Done,
     /*  509203 */   // Label 8472: @509203
     /*  509203 */   GIM_Try, /*On fail goto*//*Label 8473*/ GIMT_Encode4(509271), // Rule ID 61660 //
     /*  509208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509240 */     // MIs[0] policy
     /*  509240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509250 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  509253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509267 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509269 */     GIR_RootConstrainSelectedInstOperands,
     /*  509270 */     // GIR_Coverage, 61660,
     /*  509270 */     GIR_EraseRootFromParent_Done,
     /*  509271 */   // Label 8473: @509271
     /*  509271 */   GIM_Try, /*On fail goto*//*Label 8474*/ GIMT_Encode4(509339), // Rule ID 61661 //
     /*  509276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  509293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509308 */     // MIs[0] policy
     /*  509308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509318 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  509321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509335 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509337 */     GIR_RootConstrainSelectedInstOperands,
     /*  509338 */     // GIR_Coverage, 61661,
     /*  509338 */     GIR_EraseRootFromParent_Done,
     /*  509339 */   // Label 8474: @509339
     /*  509339 */   GIM_Try, /*On fail goto*//*Label 8475*/ GIMT_Encode4(509407), // Rule ID 61662 //
     /*  509344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  509352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  509361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509376 */     // MIs[0] policy
     /*  509376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509386 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  509389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509403 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509405 */     GIR_RootConstrainSelectedInstOperands,
     /*  509406 */     // GIR_Coverage, 61662,
     /*  509406 */     GIR_EraseRootFromParent_Done,
     /*  509407 */   // Label 8475: @509407
     /*  509407 */   GIM_Try, /*On fail goto*//*Label 8476*/ GIMT_Encode4(509475), // Rule ID 61757 //
     /*  509412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  509415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  509420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  509423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  509426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509444 */     // MIs[0] policy
     /*  509444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509454 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  509457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509471 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509473 */     GIR_RootConstrainSelectedInstOperands,
     /*  509474 */     // GIR_Coverage, 61757,
     /*  509474 */     GIR_EraseRootFromParent_Done,
     /*  509475 */   // Label 8476: @509475
     /*  509475 */   GIM_Try, /*On fail goto*//*Label 8477*/ GIMT_Encode4(509543), // Rule ID 61758 //
     /*  509480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  509483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  509488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  509491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  509494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509512 */     // MIs[0] policy
     /*  509512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  509525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509539 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509541 */     GIR_RootConstrainSelectedInstOperands,
     /*  509542 */     // GIR_Coverage, 61758,
     /*  509542 */     GIR_EraseRootFromParent_Done,
     /*  509543 */   // Label 8477: @509543
     /*  509543 */   GIM_Try, /*On fail goto*//*Label 8478*/ GIMT_Encode4(509611), // Rule ID 61759 //
     /*  509548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  509551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  509556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509580 */     // MIs[0] policy
     /*  509580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509590 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  509593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509607 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509609 */     GIR_RootConstrainSelectedInstOperands,
     /*  509610 */     // GIR_Coverage, 61759,
     /*  509610 */     GIR_EraseRootFromParent_Done,
     /*  509611 */   // Label 8478: @509611
     /*  509611 */   GIM_Try, /*On fail goto*//*Label 8479*/ GIMT_Encode4(509679), // Rule ID 61760 //
     /*  509616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  509619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  509624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509648 */     // MIs[0] policy
     /*  509648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509658 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  509661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509675 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509677 */     GIR_RootConstrainSelectedInstOperands,
     /*  509678 */     // GIR_Coverage, 61760,
     /*  509678 */     GIR_EraseRootFromParent_Done,
     /*  509679 */   // Label 8479: @509679
     /*  509679 */   GIM_Try, /*On fail goto*//*Label 8480*/ GIMT_Encode4(509747), // Rule ID 61761 //
     /*  509684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  509687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  509692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509716 */     // MIs[0] policy
     /*  509716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509726 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  509729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509743 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509745 */     GIR_RootConstrainSelectedInstOperands,
     /*  509746 */     // GIR_Coverage, 61761,
     /*  509746 */     GIR_EraseRootFromParent_Done,
     /*  509747 */   // Label 8480: @509747
     /*  509747 */   GIM_Try, /*On fail goto*//*Label 8481*/ GIMT_Encode4(509815), // Rule ID 61762 //
     /*  509752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  509755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  509760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509784 */     // MIs[0] policy
     /*  509784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  509797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509811 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509813 */     GIR_RootConstrainSelectedInstOperands,
     /*  509814 */     // GIR_Coverage, 61762,
     /*  509814 */     GIR_EraseRootFromParent_Done,
     /*  509815 */   // Label 8481: @509815
     /*  509815 */   GIM_Try, /*On fail goto*//*Label 8482*/ GIMT_Encode4(509883), // Rule ID 61763 //
     /*  509820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  509823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  509828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  509837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509852 */     // MIs[0] policy
     /*  509852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509862 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  509865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509879 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509881 */     GIR_RootConstrainSelectedInstOperands,
     /*  509882 */     // GIR_Coverage, 61763,
     /*  509882 */     GIR_EraseRootFromParent_Done,
     /*  509883 */   // Label 8482: @509883
     /*  509883 */   GIM_Try, /*On fail goto*//*Label 8483*/ GIMT_Encode4(509951), // Rule ID 61764 //
     /*  509888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  509891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  509896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  509905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509920 */     // MIs[0] policy
     /*  509920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509930 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  509933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509947 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509949 */     GIR_RootConstrainSelectedInstOperands,
     /*  509950 */     // GIR_Coverage, 61764,
     /*  509950 */     GIR_EraseRootFromParent_Done,
     /*  509951 */   // Label 8483: @509951
     /*  509951 */   GIM_Try, /*On fail goto*//*Label 8484*/ GIMT_Encode4(510019), // Rule ID 61765 //
     /*  509956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  509959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  509964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  509973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509988 */     // MIs[0] policy
     /*  509988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509998 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  510001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510015 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510017 */     GIR_RootConstrainSelectedInstOperands,
     /*  510018 */     // GIR_Coverage, 61765,
     /*  510018 */     GIR_EraseRootFromParent_Done,
     /*  510019 */   // Label 8484: @510019
     /*  510019 */   GIM_Try, /*On fail goto*//*Label 8485*/ GIMT_Encode4(510087), // Rule ID 61766 //
     /*  510024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  510027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  510032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  510041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510056 */     // MIs[0] policy
     /*  510056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510066 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  510069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510083 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510085 */     GIR_RootConstrainSelectedInstOperands,
     /*  510086 */     // GIR_Coverage, 61766,
     /*  510086 */     GIR_EraseRootFromParent_Done,
     /*  510087 */   // Label 8485: @510087
     /*  510087 */   GIM_Try, /*On fail goto*//*Label 8486*/ GIMT_Encode4(510155), // Rule ID 61767 //
     /*  510092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  510095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  510100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  510103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  510106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510124 */     // MIs[0] policy
     /*  510124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510134 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  510137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510151 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510153 */     GIR_RootConstrainSelectedInstOperands,
     /*  510154 */     // GIR_Coverage, 61767,
     /*  510154 */     GIR_EraseRootFromParent_Done,
     /*  510155 */   // Label 8486: @510155
     /*  510155 */   GIM_Try, /*On fail goto*//*Label 8487*/ GIMT_Encode4(510223), // Rule ID 61768 //
     /*  510160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  510163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  510168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  510171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  510174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510192 */     // MIs[0] policy
     /*  510192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510202 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  510205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510219 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510221 */     GIR_RootConstrainSelectedInstOperands,
     /*  510222 */     // GIR_Coverage, 61768,
     /*  510222 */     GIR_EraseRootFromParent_Done,
     /*  510223 */   // Label 8487: @510223
     /*  510223 */   GIM_Try, /*On fail goto*//*Label 8488*/ GIMT_Encode4(510291), // Rule ID 61769 //
     /*  510228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  510231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  510236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  510239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  510242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510260 */     // MIs[0] policy
     /*  510260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510270 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  510273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510287 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510289 */     GIR_RootConstrainSelectedInstOperands,
     /*  510290 */     // GIR_Coverage, 61769,
     /*  510290 */     GIR_EraseRootFromParent_Done,
     /*  510291 */   // Label 8488: @510291
     /*  510291 */   GIM_Try, /*On fail goto*//*Label 8489*/ GIMT_Encode4(510359), // Rule ID 61770 //
     /*  510296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  510299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  510304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  510307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  510310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510328 */     // MIs[0] policy
     /*  510328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510338 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  510341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510355 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510357 */     GIR_RootConstrainSelectedInstOperands,
     /*  510358 */     // GIR_Coverage, 61770,
     /*  510358 */     GIR_EraseRootFromParent_Done,
     /*  510359 */   // Label 8489: @510359
     /*  510359 */   GIM_Try, /*On fail goto*//*Label 8490*/ GIMT_Encode4(510427), // Rule ID 61771 //
     /*  510364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  510367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  510372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  510375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  510378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510396 */     // MIs[0] policy
     /*  510396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510406 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  510409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510423 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510425 */     GIR_RootConstrainSelectedInstOperands,
     /*  510426 */     // GIR_Coverage, 61771,
     /*  510426 */     GIR_EraseRootFromParent_Done,
     /*  510427 */   // Label 8490: @510427
     /*  510427 */   GIM_Try, /*On fail goto*//*Label 8491*/ GIMT_Encode4(510495), // Rule ID 61772 //
     /*  510432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  510435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  510440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  510443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  510446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510464 */     // MIs[0] policy
     /*  510464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510474 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  510477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510491 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510493 */     GIR_RootConstrainSelectedInstOperands,
     /*  510494 */     // GIR_Coverage, 61772,
     /*  510494 */     GIR_EraseRootFromParent_Done,
     /*  510495 */   // Label 8491: @510495
     /*  510495 */   GIM_Try, /*On fail goto*//*Label 8492*/ GIMT_Encode4(510563), // Rule ID 61773 //
     /*  510500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  510503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  510508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510532 */     // MIs[0] policy
     /*  510532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510542 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  510545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510559 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510561 */     GIR_RootConstrainSelectedInstOperands,
     /*  510562 */     // GIR_Coverage, 61773,
     /*  510562 */     GIR_EraseRootFromParent_Done,
     /*  510563 */   // Label 8492: @510563
     /*  510563 */   GIM_Try, /*On fail goto*//*Label 8493*/ GIMT_Encode4(510631), // Rule ID 61774 //
     /*  510568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  510571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  510576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510600 */     // MIs[0] policy
     /*  510600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510610 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  510613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510627 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510629 */     GIR_RootConstrainSelectedInstOperands,
     /*  510630 */     // GIR_Coverage, 61774,
     /*  510630 */     GIR_EraseRootFromParent_Done,
     /*  510631 */   // Label 8493: @510631
     /*  510631 */   GIM_Try, /*On fail goto*//*Label 8494*/ GIMT_Encode4(510699), // Rule ID 61775 //
     /*  510636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  510639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  510644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510668 */     // MIs[0] policy
     /*  510668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510678 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  510681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510695 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510697 */     GIR_RootConstrainSelectedInstOperands,
     /*  510698 */     // GIR_Coverage, 61775,
     /*  510698 */     GIR_EraseRootFromParent_Done,
     /*  510699 */   // Label 8494: @510699
     /*  510699 */   GIM_Try, /*On fail goto*//*Label 8495*/ GIMT_Encode4(510767), // Rule ID 61776 //
     /*  510704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  510707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  510712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510736 */     // MIs[0] policy
     /*  510736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510746 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  510749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510763 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510765 */     GIR_RootConstrainSelectedInstOperands,
     /*  510766 */     // GIR_Coverage, 61776,
     /*  510766 */     GIR_EraseRootFromParent_Done,
     /*  510767 */   // Label 8495: @510767
     /*  510767 */   GIM_Try, /*On fail goto*//*Label 8496*/ GIMT_Encode4(510835), // Rule ID 61777 //
     /*  510772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  510775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  510780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510804 */     // MIs[0] policy
     /*  510804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510814 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  510817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510831 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510833 */     GIR_RootConstrainSelectedInstOperands,
     /*  510834 */     // GIR_Coverage, 61777,
     /*  510834 */     GIR_EraseRootFromParent_Done,
     /*  510835 */   // Label 8496: @510835
     /*  510835 */   GIM_Try, /*On fail goto*//*Label 8497*/ GIMT_Encode4(510903), // Rule ID 61778 //
     /*  510840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  510843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  510848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510872 */     // MIs[0] policy
     /*  510872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510882 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  510885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510899 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510901 */     GIR_RootConstrainSelectedInstOperands,
     /*  510902 */     // GIR_Coverage, 61778,
     /*  510902 */     GIR_EraseRootFromParent_Done,
     /*  510903 */   // Label 8497: @510903
     /*  510903 */   GIM_Try, /*On fail goto*//*Label 8498*/ GIMT_Encode4(510971), // Rule ID 61779 //
     /*  510908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  510911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  510916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510940 */     // MIs[0] policy
     /*  510940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510950 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  510953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510967 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510969 */     GIR_RootConstrainSelectedInstOperands,
     /*  510970 */     // GIR_Coverage, 61779,
     /*  510970 */     GIR_EraseRootFromParent_Done,
     /*  510971 */   // Label 8498: @510971
     /*  510971 */   GIM_Try, /*On fail goto*//*Label 8499*/ GIMT_Encode4(511039), // Rule ID 61780 //
     /*  510976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  510979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  510984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511008 */     // MIs[0] policy
     /*  511008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511018 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  511021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511035 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511037 */     GIR_RootConstrainSelectedInstOperands,
     /*  511038 */     // GIR_Coverage, 61780,
     /*  511038 */     GIR_EraseRootFromParent_Done,
     /*  511039 */   // Label 8499: @511039
     /*  511039 */   GIM_Try, /*On fail goto*//*Label 8500*/ GIMT_Encode4(511107), // Rule ID 61781 //
     /*  511044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511076 */     // MIs[0] policy
     /*  511076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511086 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  511089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511103 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511105 */     GIR_RootConstrainSelectedInstOperands,
     /*  511106 */     // GIR_Coverage, 61781,
     /*  511106 */     GIR_EraseRootFromParent_Done,
     /*  511107 */   // Label 8500: @511107
     /*  511107 */   GIM_Try, /*On fail goto*//*Label 8501*/ GIMT_Encode4(511175), // Rule ID 61782 //
     /*  511112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511144 */     // MIs[0] policy
     /*  511144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511154 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  511157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511171 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511173 */     GIR_RootConstrainSelectedInstOperands,
     /*  511174 */     // GIR_Coverage, 61782,
     /*  511174 */     GIR_EraseRootFromParent_Done,
     /*  511175 */   // Label 8501: @511175
     /*  511175 */   GIM_Try, /*On fail goto*//*Label 8502*/ GIMT_Encode4(511243), // Rule ID 61783 //
     /*  511180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511212 */     // MIs[0] policy
     /*  511212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  511225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511239 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511241 */     GIR_RootConstrainSelectedInstOperands,
     /*  511242 */     // GIR_Coverage, 61783,
     /*  511242 */     GIR_EraseRootFromParent_Done,
     /*  511243 */   // Label 8502: @511243
     /*  511243 */   GIM_Try, /*On fail goto*//*Label 8503*/ GIMT_Encode4(511311), // Rule ID 61784 //
     /*  511248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511280 */     // MIs[0] policy
     /*  511280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511290 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  511293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511307 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511309 */     GIR_RootConstrainSelectedInstOperands,
     /*  511310 */     // GIR_Coverage, 61784,
     /*  511310 */     GIR_EraseRootFromParent_Done,
     /*  511311 */   // Label 8503: @511311
     /*  511311 */   GIM_Try, /*On fail goto*//*Label 8504*/ GIMT_Encode4(511379), // Rule ID 61785 //
     /*  511316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511348 */     // MIs[0] policy
     /*  511348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511358 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  511361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511375 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511377 */     GIR_RootConstrainSelectedInstOperands,
     /*  511378 */     // GIR_Coverage, 61785,
     /*  511378 */     GIR_EraseRootFromParent_Done,
     /*  511379 */   // Label 8504: @511379
     /*  511379 */   GIM_Try, /*On fail goto*//*Label 8505*/ GIMT_Encode4(511447), // Rule ID 61786 //
     /*  511384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511416 */     // MIs[0] policy
     /*  511416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511426 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  511429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511443 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511445 */     GIR_RootConstrainSelectedInstOperands,
     /*  511446 */     // GIR_Coverage, 61786,
     /*  511446 */     GIR_EraseRootFromParent_Done,
     /*  511447 */   // Label 8505: @511447
     /*  511447 */   GIM_Try, /*On fail goto*//*Label 8506*/ GIMT_Encode4(511515), // Rule ID 61787 //
     /*  511452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511484 */     // MIs[0] policy
     /*  511484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511494 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  511497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511511 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511513 */     GIR_RootConstrainSelectedInstOperands,
     /*  511514 */     // GIR_Coverage, 61787,
     /*  511514 */     GIR_EraseRootFromParent_Done,
     /*  511515 */   // Label 8506: @511515
     /*  511515 */   GIM_Try, /*On fail goto*//*Label 8507*/ GIMT_Encode4(511583), // Rule ID 61788 //
     /*  511520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511552 */     // MIs[0] policy
     /*  511552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511562 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  511565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511579 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511581 */     GIR_RootConstrainSelectedInstOperands,
     /*  511582 */     // GIR_Coverage, 61788,
     /*  511582 */     GIR_EraseRootFromParent_Done,
     /*  511583 */   // Label 8507: @511583
     /*  511583 */   GIM_Try, /*On fail goto*//*Label 8508*/ GIMT_Encode4(511651), // Rule ID 61789 //
     /*  511588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511620 */     // MIs[0] policy
     /*  511620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511630 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  511633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511647 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511649 */     GIR_RootConstrainSelectedInstOperands,
     /*  511650 */     // GIR_Coverage, 61789,
     /*  511650 */     GIR_EraseRootFromParent_Done,
     /*  511651 */   // Label 8508: @511651
     /*  511651 */   GIM_Try, /*On fail goto*//*Label 8509*/ GIMT_Encode4(511719), // Rule ID 61790 //
     /*  511656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511688 */     // MIs[0] policy
     /*  511688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511698 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  511701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511715 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511717 */     GIR_RootConstrainSelectedInstOperands,
     /*  511718 */     // GIR_Coverage, 61790,
     /*  511718 */     GIR_EraseRootFromParent_Done,
     /*  511719 */   // Label 8509: @511719
     /*  511719 */   GIM_Try, /*On fail goto*//*Label 8510*/ GIMT_Encode4(511787), // Rule ID 61791 //
     /*  511724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511756 */     // MIs[0] policy
     /*  511756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511766 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  511769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511783 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511785 */     GIR_RootConstrainSelectedInstOperands,
     /*  511786 */     // GIR_Coverage, 61791,
     /*  511786 */     GIR_EraseRootFromParent_Done,
     /*  511787 */   // Label 8510: @511787
     /*  511787 */   GIM_Try, /*On fail goto*//*Label 8511*/ GIMT_Encode4(511855), // Rule ID 61792 //
     /*  511792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511824 */     // MIs[0] policy
     /*  511824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511834 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  511837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511851 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511853 */     GIR_RootConstrainSelectedInstOperands,
     /*  511854 */     // GIR_Coverage, 61792,
     /*  511854 */     GIR_EraseRootFromParent_Done,
     /*  511855 */   // Label 8511: @511855
     /*  511855 */   GIM_Try, /*On fail goto*//*Label 8512*/ GIMT_Encode4(511923), // Rule ID 61793 //
     /*  511860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  511863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511892 */     // MIs[0] policy
     /*  511892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511902 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  511905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511919 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511921 */     GIR_RootConstrainSelectedInstOperands,
     /*  511922 */     // GIR_Coverage, 61793,
     /*  511922 */     GIR_EraseRootFromParent_Done,
     /*  511923 */   // Label 8512: @511923
     /*  511923 */   GIM_Try, /*On fail goto*//*Label 8513*/ GIMT_Encode4(511991), // Rule ID 61794 //
     /*  511928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  511931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  511936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511960 */     // MIs[0] policy
     /*  511960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511970 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  511973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511987 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511989 */     GIR_RootConstrainSelectedInstOperands,
     /*  511990 */     // GIR_Coverage, 61794,
     /*  511990 */     GIR_EraseRootFromParent_Done,
     /*  511991 */   // Label 8513: @511991
     /*  511991 */   GIM_Try, /*On fail goto*//*Label 8514*/ GIMT_Encode4(512062), // Rule ID 2565 //
     /*  511996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  511999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  512004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  512007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  512010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  512013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512028 */     // MIs[0] round
     /*  512028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512038 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  512038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  512041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512047 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512060 */     GIR_RootConstrainSelectedInstOperands,
     /*  512061 */     // GIR_Coverage, 2565,
     /*  512061 */     GIR_EraseRootFromParent_Done,
     /*  512062 */   // Label 8514: @512062
     /*  512062 */   GIM_Try, /*On fail goto*//*Label 8515*/ GIMT_Encode4(512133), // Rule ID 2566 //
     /*  512067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  512070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  512075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  512078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  512081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  512084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512099 */     // MIs[0] round
     /*  512099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512109 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  512109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  512112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512118 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512131 */     GIR_RootConstrainSelectedInstOperands,
     /*  512132 */     // GIR_Coverage, 2566,
     /*  512132 */     GIR_EraseRootFromParent_Done,
     /*  512133 */   // Label 8515: @512133
     /*  512133 */   GIM_Try, /*On fail goto*//*Label 8516*/ GIMT_Encode4(512204), // Rule ID 2601 //
     /*  512138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  512141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  512146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  512149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  512152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  512155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512170 */     // MIs[0] round
     /*  512170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512180 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  512180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  512183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512189 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512202 */     GIR_RootConstrainSelectedInstOperands,
     /*  512203 */     // GIR_Coverage, 2601,
     /*  512203 */     GIR_EraseRootFromParent_Done,
     /*  512204 */   // Label 8516: @512204
     /*  512204 */   GIM_Try, /*On fail goto*//*Label 8517*/ GIMT_Encode4(512275), // Rule ID 2602 //
     /*  512209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  512212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  512217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  512220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  512223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  512226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512241 */     // MIs[0] round
     /*  512241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512251 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  512251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  512254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512260 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512273 */     GIR_RootConstrainSelectedInstOperands,
     /*  512274 */     // GIR_Coverage, 2602,
     /*  512274 */     GIR_EraseRootFromParent_Done,
     /*  512275 */   // Label 8517: @512275
     /*  512275 */   GIM_Try, /*On fail goto*//*Label 8518*/ GIMT_Encode4(512346), // Rule ID 18851 //
     /*  512280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  512283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  512288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  512291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  512294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  512297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512312 */     // MIs[0] round
     /*  512312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512322 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  512322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  512325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512331 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512344 */     GIR_RootConstrainSelectedInstOperands,
     /*  512345 */     // GIR_Coverage, 18851,
     /*  512345 */     GIR_EraseRootFromParent_Done,
     /*  512346 */   // Label 8518: @512346
     /*  512346 */   GIM_Try, /*On fail goto*//*Label 8519*/ GIMT_Encode4(512417), // Rule ID 18852 //
     /*  512351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  512354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  512359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  512362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  512365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  512368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512383 */     // MIs[0] round
     /*  512383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512393 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  512393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  512396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512402 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512415 */     GIR_RootConstrainSelectedInstOperands,
     /*  512416 */     // GIR_Coverage, 18852,
     /*  512416 */     GIR_EraseRootFromParent_Done,
     /*  512417 */   // Label 8519: @512417
     /*  512417 */   GIM_Try, /*On fail goto*//*Label 8520*/ GIMT_Encode4(512488), // Rule ID 18855 //
     /*  512422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  512425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  512430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  512433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  512436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512454 */     // MIs[0] round
     /*  512454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512464 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  512464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  512467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512473 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512486 */     GIR_RootConstrainSelectedInstOperands,
     /*  512487 */     // GIR_Coverage, 18855,
     /*  512487 */     GIR_EraseRootFromParent_Done,
     /*  512488 */   // Label 8520: @512488
     /*  512488 */   GIM_Try, /*On fail goto*//*Label 8521*/ GIMT_Encode4(512559), // Rule ID 18856 //
     /*  512493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  512496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  512501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  512504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  512507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512525 */     // MIs[0] round
     /*  512525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512535 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  512535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  512538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512544 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512557 */     GIR_RootConstrainSelectedInstOperands,
     /*  512558 */     // GIR_Coverage, 18856,
     /*  512558 */     GIR_EraseRootFromParent_Done,
     /*  512559 */   // Label 8521: @512559
     /*  512559 */   GIM_Try, /*On fail goto*//*Label 8522*/ GIMT_Encode4(512630), // Rule ID 18859 //
     /*  512564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  512567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  512572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  512575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  512578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  512581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512596 */     // MIs[0] round
     /*  512596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512606 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  512606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  512609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512615 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512628 */     GIR_RootConstrainSelectedInstOperands,
     /*  512629 */     // GIR_Coverage, 18859,
     /*  512629 */     GIR_EraseRootFromParent_Done,
     /*  512630 */   // Label 8522: @512630
     /*  512630 */   GIM_Try, /*On fail goto*//*Label 8523*/ GIMT_Encode4(512701), // Rule ID 18860 //
     /*  512635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  512638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  512643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  512646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  512649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  512652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512667 */     // MIs[0] round
     /*  512667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512677 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  512677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  512680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512686 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512699 */     GIR_RootConstrainSelectedInstOperands,
     /*  512700 */     // GIR_Coverage, 18860,
     /*  512700 */     GIR_EraseRootFromParent_Done,
     /*  512701 */   // Label 8523: @512701
     /*  512701 */   GIM_Try, /*On fail goto*//*Label 8524*/ GIMT_Encode4(512772), // Rule ID 18863 //
     /*  512706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  512709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  512714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  512717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  512720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512738 */     // MIs[0] round
     /*  512738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512748 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  512748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  512751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512757 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512770 */     GIR_RootConstrainSelectedInstOperands,
     /*  512771 */     // GIR_Coverage, 18863,
     /*  512771 */     GIR_EraseRootFromParent_Done,
     /*  512772 */   // Label 8524: @512772
     /*  512772 */   GIM_Try, /*On fail goto*//*Label 8525*/ GIMT_Encode4(512843), // Rule ID 18864 //
     /*  512777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  512780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  512785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  512788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  512791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512809 */     // MIs[0] round
     /*  512809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512819 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  512819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  512822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512828 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512841 */     GIR_RootConstrainSelectedInstOperands,
     /*  512842 */     // GIR_Coverage, 18864,
     /*  512842 */     GIR_EraseRootFromParent_Done,
     /*  512843 */   // Label 8525: @512843
     /*  512843 */   GIM_Try, /*On fail goto*//*Label 8526*/ GIMT_Encode4(512914), // Rule ID 18867 //
     /*  512848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  512851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  512856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  512859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  512862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  512865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512880 */     // MIs[0] round
     /*  512880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512890 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  512890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  512893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512899 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  512909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512912 */     GIR_RootConstrainSelectedInstOperands,
     /*  512913 */     // GIR_Coverage, 18867,
     /*  512913 */     GIR_EraseRootFromParent_Done,
     /*  512914 */   // Label 8526: @512914
     /*  512914 */   GIM_Try, /*On fail goto*//*Label 8527*/ GIMT_Encode4(512985), // Rule ID 18868 //
     /*  512919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  512922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  512927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  512930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  512933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  512936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512951 */     // MIs[0] round
     /*  512951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512961 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  512961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  512964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512970 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  512980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512983 */     GIR_RootConstrainSelectedInstOperands,
     /*  512984 */     // GIR_Coverage, 18868,
     /*  512984 */     GIR_EraseRootFromParent_Done,
     /*  512985 */   // Label 8527: @512985
     /*  512985 */   GIM_Try, /*On fail goto*//*Label 8528*/ GIMT_Encode4(513056), // Rule ID 18871 //
     /*  512990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  512993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  512998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  513001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  513004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  513007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513022 */     // MIs[0] round
     /*  513022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513032 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  513032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  513035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513041 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513054 */     GIR_RootConstrainSelectedInstOperands,
     /*  513055 */     // GIR_Coverage, 18871,
     /*  513055 */     GIR_EraseRootFromParent_Done,
     /*  513056 */   // Label 8528: @513056
     /*  513056 */   GIM_Try, /*On fail goto*//*Label 8529*/ GIMT_Encode4(513127), // Rule ID 18872 //
     /*  513061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  513064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  513072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  513075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  513078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513093 */     // MIs[0] round
     /*  513093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513103 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  513103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  513106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513112 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513125 */     GIR_RootConstrainSelectedInstOperands,
     /*  513126 */     // GIR_Coverage, 18872,
     /*  513126 */     GIR_EraseRootFromParent_Done,
     /*  513127 */   // Label 8529: @513127
     /*  513127 */   GIM_Try, /*On fail goto*//*Label 8530*/ GIMT_Encode4(513198), // Rule ID 18875 //
     /*  513132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  513135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  513143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  513146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  513149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513164 */     // MIs[0] round
     /*  513164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513174 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  513174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  513177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513183 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513196 */     GIR_RootConstrainSelectedInstOperands,
     /*  513197 */     // GIR_Coverage, 18875,
     /*  513197 */     GIR_EraseRootFromParent_Done,
     /*  513198 */   // Label 8530: @513198
     /*  513198 */   GIM_Try, /*On fail goto*//*Label 8531*/ GIMT_Encode4(513269), // Rule ID 18876 //
     /*  513203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  513206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  513214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  513217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  513220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513235 */     // MIs[0] round
     /*  513235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513245 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  513245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  513248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513254 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513267 */     GIR_RootConstrainSelectedInstOperands,
     /*  513268 */     // GIR_Coverage, 18876,
     /*  513268 */     GIR_EraseRootFromParent_Done,
     /*  513269 */   // Label 8531: @513269
     /*  513269 */   GIM_Try, /*On fail goto*//*Label 8532*/ GIMT_Encode4(513340), // Rule ID 18879 //
     /*  513274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  513277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  513285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  513288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  513291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513306 */     // MIs[0] round
     /*  513306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513316 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  513316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  513319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513325 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513338 */     GIR_RootConstrainSelectedInstOperands,
     /*  513339 */     // GIR_Coverage, 18879,
     /*  513339 */     GIR_EraseRootFromParent_Done,
     /*  513340 */   // Label 8532: @513340
     /*  513340 */   GIM_Try, /*On fail goto*//*Label 8533*/ GIMT_Encode4(513411), // Rule ID 18880 //
     /*  513345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  513348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  513356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  513359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  513362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513377 */     // MIs[0] round
     /*  513377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513387 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  513387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  513390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513396 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513409 */     GIR_RootConstrainSelectedInstOperands,
     /*  513410 */     // GIR_Coverage, 18880,
     /*  513410 */     GIR_EraseRootFromParent_Done,
     /*  513411 */   // Label 8533: @513411
     /*  513411 */   GIM_Try, /*On fail goto*//*Label 8534*/ GIMT_Encode4(513482), // Rule ID 18883 //
     /*  513416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  513419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  513427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  513430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513448 */     // MIs[0] round
     /*  513448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513458 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  513458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  513461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513467 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513480 */     GIR_RootConstrainSelectedInstOperands,
     /*  513481 */     // GIR_Coverage, 18883,
     /*  513481 */     GIR_EraseRootFromParent_Done,
     /*  513482 */   // Label 8534: @513482
     /*  513482 */   GIM_Try, /*On fail goto*//*Label 8535*/ GIMT_Encode4(513553), // Rule ID 18884 //
     /*  513487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  513490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  513498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  513501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513519 */     // MIs[0] round
     /*  513519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513529 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  513529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  513532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513538 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513551 */     GIR_RootConstrainSelectedInstOperands,
     /*  513552 */     // GIR_Coverage, 18884,
     /*  513552 */     GIR_EraseRootFromParent_Done,
     /*  513553 */   // Label 8535: @513553
     /*  513553 */   GIM_Try, /*On fail goto*//*Label 8536*/ GIMT_Encode4(513624), // Rule ID 18887 //
     /*  513558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  513561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  513569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513590 */     // MIs[0] round
     /*  513590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513600 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  513600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  513603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513609 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513622 */     GIR_RootConstrainSelectedInstOperands,
     /*  513623 */     // GIR_Coverage, 18887,
     /*  513623 */     GIR_EraseRootFromParent_Done,
     /*  513624 */   // Label 8536: @513624
     /*  513624 */   GIM_Try, /*On fail goto*//*Label 8537*/ GIMT_Encode4(513695), // Rule ID 18888 //
     /*  513629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  513632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  513640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513661 */     // MIs[0] round
     /*  513661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513671 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  513671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  513674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513680 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513693 */     GIR_RootConstrainSelectedInstOperands,
     /*  513694 */     // GIR_Coverage, 18888,
     /*  513694 */     GIR_EraseRootFromParent_Done,
     /*  513695 */   // Label 8537: @513695
     /*  513695 */   GIM_Try, /*On fail goto*//*Label 8538*/ GIMT_Encode4(513766), // Rule ID 18891 //
     /*  513700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  513703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  513717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513732 */     // MIs[0] round
     /*  513732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513742 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  513742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  513745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513751 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513764 */     GIR_RootConstrainSelectedInstOperands,
     /*  513765 */     // GIR_Coverage, 18891,
     /*  513765 */     GIR_EraseRootFromParent_Done,
     /*  513766 */   // Label 8538: @513766
     /*  513766 */   GIM_Try, /*On fail goto*//*Label 8539*/ GIMT_Encode4(513837), // Rule ID 18892 //
     /*  513771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  513774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  513788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513803 */     // MIs[0] round
     /*  513803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513813 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  513813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  513816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513822 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513835 */     GIR_RootConstrainSelectedInstOperands,
     /*  513836 */     // GIR_Coverage, 18892,
     /*  513836 */     GIR_EraseRootFromParent_Done,
     /*  513837 */   // Label 8539: @513837
     /*  513837 */   GIM_Try, /*On fail goto*//*Label 8540*/ GIMT_Encode4(513908), // Rule ID 18895 //
     /*  513842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  513845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  513853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  513856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  513859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513874 */     // MIs[0] round
     /*  513874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513884 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  513884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  513887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513893 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  513903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513906 */     GIR_RootConstrainSelectedInstOperands,
     /*  513907 */     // GIR_Coverage, 18895,
     /*  513907 */     GIR_EraseRootFromParent_Done,
     /*  513908 */   // Label 8540: @513908
     /*  513908 */   GIM_Try, /*On fail goto*//*Label 8541*/ GIMT_Encode4(513979), // Rule ID 18896 //
     /*  513913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  513916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  513924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  513927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  513930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513945 */     // MIs[0] round
     /*  513945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513955 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  513955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  513958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513964 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  513974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513977 */     GIR_RootConstrainSelectedInstOperands,
     /*  513978 */     // GIR_Coverage, 18896,
     /*  513978 */     GIR_EraseRootFromParent_Done,
     /*  513979 */   // Label 8541: @513979
     /*  513979 */   GIM_Try, /*On fail goto*//*Label 8542*/ GIMT_Encode4(514050), // Rule ID 18899 //
     /*  513984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  513987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  513992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  513995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  513998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  514001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514016 */     // MIs[0] round
     /*  514016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514026 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  514026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  514029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514035 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  514045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514048 */     GIR_RootConstrainSelectedInstOperands,
     /*  514049 */     // GIR_Coverage, 18899,
     /*  514049 */     GIR_EraseRootFromParent_Done,
     /*  514050 */   // Label 8542: @514050
     /*  514050 */   GIM_Try, /*On fail goto*//*Label 8543*/ GIMT_Encode4(514121), // Rule ID 18900 //
     /*  514055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  514058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  514066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  514069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  514072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514087 */     // MIs[0] round
     /*  514087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514097 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  514097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  514100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514106 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  514116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514119 */     GIR_RootConstrainSelectedInstOperands,
     /*  514120 */     // GIR_Coverage, 18900,
     /*  514120 */     GIR_EraseRootFromParent_Done,
     /*  514121 */   // Label 8543: @514121
     /*  514121 */   GIM_Try, /*On fail goto*//*Label 8544*/ GIMT_Encode4(514192), // Rule ID 18903 //
     /*  514126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  514129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  514137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  514140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  514143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514158 */     // MIs[0] round
     /*  514158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514168 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  514168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  514171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514177 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  514187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514190 */     GIR_RootConstrainSelectedInstOperands,
     /*  514191 */     // GIR_Coverage, 18903,
     /*  514191 */     GIR_EraseRootFromParent_Done,
     /*  514192 */   // Label 8544: @514192
     /*  514192 */   GIM_Try, /*On fail goto*//*Label 8545*/ GIMT_Encode4(514263), // Rule ID 18904 //
     /*  514197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  514200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  514205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  514208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  514211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  514214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514229 */     // MIs[0] round
     /*  514229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514239 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  514239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  514242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514248 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  514258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514261 */     GIR_RootConstrainSelectedInstOperands,
     /*  514262 */     // GIR_Coverage, 18904,
     /*  514262 */     GIR_EraseRootFromParent_Done,
     /*  514263 */   // Label 8545: @514263
     /*  514263 */   GIM_Try, /*On fail goto*//*Label 8546*/ GIMT_Encode4(514334), // Rule ID 18963 //
     /*  514268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  514276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  514279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  514282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  514285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514300 */     // MIs[0] round
     /*  514300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514310 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  514313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514319 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514332 */     GIR_RootConstrainSelectedInstOperands,
     /*  514333 */     // GIR_Coverage, 18963,
     /*  514333 */     GIR_EraseRootFromParent_Done,
     /*  514334 */   // Label 8546: @514334
     /*  514334 */   GIM_Try, /*On fail goto*//*Label 8547*/ GIMT_Encode4(514405), // Rule ID 18964 //
     /*  514339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  514347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  514350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  514353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  514356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514371 */     // MIs[0] round
     /*  514371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514381 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  514384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514390 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514403 */     GIR_RootConstrainSelectedInstOperands,
     /*  514404 */     // GIR_Coverage, 18964,
     /*  514404 */     GIR_EraseRootFromParent_Done,
     /*  514405 */   // Label 8547: @514405
     /*  514405 */   GIM_Try, /*On fail goto*//*Label 8548*/ GIMT_Encode4(514476), // Rule ID 18967 //
     /*  514410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  514418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  514421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  514424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  514427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514442 */     // MIs[0] round
     /*  514442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514452 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  514455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514461 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514474 */     GIR_RootConstrainSelectedInstOperands,
     /*  514475 */     // GIR_Coverage, 18967,
     /*  514475 */     GIR_EraseRootFromParent_Done,
     /*  514476 */   // Label 8548: @514476
     /*  514476 */   GIM_Try, /*On fail goto*//*Label 8549*/ GIMT_Encode4(514547), // Rule ID 18968 //
     /*  514481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  514489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  514492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  514495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  514498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514513 */     // MIs[0] round
     /*  514513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514523 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  514526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514532 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514545 */     GIR_RootConstrainSelectedInstOperands,
     /*  514546 */     // GIR_Coverage, 18968,
     /*  514546 */     GIR_EraseRootFromParent_Done,
     /*  514547 */   // Label 8549: @514547
     /*  514547 */   GIM_Try, /*On fail goto*//*Label 8550*/ GIMT_Encode4(514618), // Rule ID 18971 //
     /*  514552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  514555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  514560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  514563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  514566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514584 */     // MIs[0] round
     /*  514584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514594 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  514594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  514597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514603 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514616 */     GIR_RootConstrainSelectedInstOperands,
     /*  514617 */     // GIR_Coverage, 18971,
     /*  514617 */     GIR_EraseRootFromParent_Done,
     /*  514618 */   // Label 8550: @514618
     /*  514618 */   GIM_Try, /*On fail goto*//*Label 8551*/ GIMT_Encode4(514689), // Rule ID 18972 //
     /*  514623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  514626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  514631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  514634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  514637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514655 */     // MIs[0] round
     /*  514655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514665 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  514665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  514668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514674 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514687 */     GIR_RootConstrainSelectedInstOperands,
     /*  514688 */     // GIR_Coverage, 18972,
     /*  514688 */     GIR_EraseRootFromParent_Done,
     /*  514689 */   // Label 8551: @514689
     /*  514689 */   GIM_Try, /*On fail goto*//*Label 8552*/ GIMT_Encode4(514760), // Rule ID 18975 //
     /*  514694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  514697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  514702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  514705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  514708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  514711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514726 */     // MIs[0] round
     /*  514726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514736 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  514739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514745 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514758 */     GIR_RootConstrainSelectedInstOperands,
     /*  514759 */     // GIR_Coverage, 18975,
     /*  514759 */     GIR_EraseRootFromParent_Done,
     /*  514760 */   // Label 8552: @514760
     /*  514760 */   GIM_Try, /*On fail goto*//*Label 8553*/ GIMT_Encode4(514831), // Rule ID 18976 //
     /*  514765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  514768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  514773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  514776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  514779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  514782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514797 */     // MIs[0] round
     /*  514797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514807 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  514810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514816 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514829 */     GIR_RootConstrainSelectedInstOperands,
     /*  514830 */     // GIR_Coverage, 18976,
     /*  514830 */     GIR_EraseRootFromParent_Done,
     /*  514831 */   // Label 8553: @514831
     /*  514831 */   GIM_Try, /*On fail goto*//*Label 8554*/ GIMT_Encode4(514902), // Rule ID 18979 //
     /*  514836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  514839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  514844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  514847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  514850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514868 */     // MIs[0] round
     /*  514868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514878 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  514878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  514881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514887 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514900 */     GIR_RootConstrainSelectedInstOperands,
     /*  514901 */     // GIR_Coverage, 18979,
     /*  514901 */     GIR_EraseRootFromParent_Done,
     /*  514902 */   // Label 8554: @514902
     /*  514902 */   GIM_Try, /*On fail goto*//*Label 8555*/ GIMT_Encode4(514973), // Rule ID 18980 //
     /*  514907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  514910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  514915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  514918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  514921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514939 */     // MIs[0] round
     /*  514939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514949 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  514949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  514952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514958 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514971 */     GIR_RootConstrainSelectedInstOperands,
     /*  514972 */     // GIR_Coverage, 18980,
     /*  514972 */     GIR_EraseRootFromParent_Done,
     /*  514973 */   // Label 8555: @514973
     /*  514973 */   GIM_Try, /*On fail goto*//*Label 8556*/ GIMT_Encode4(515044), // Rule ID 18983 //
     /*  514978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  514981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  514986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  514989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  514992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  514995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515010 */     // MIs[0] round
     /*  515010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515020 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  515020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  515023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515029 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515042 */     GIR_RootConstrainSelectedInstOperands,
     /*  515043 */     // GIR_Coverage, 18983,
     /*  515043 */     GIR_EraseRootFromParent_Done,
     /*  515044 */   // Label 8556: @515044
     /*  515044 */   GIM_Try, /*On fail goto*//*Label 8557*/ GIMT_Encode4(515115), // Rule ID 18984 //
     /*  515049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  515052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  515060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  515063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  515066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515081 */     // MIs[0] round
     /*  515081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515091 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  515091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  515094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515100 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515113 */     GIR_RootConstrainSelectedInstOperands,
     /*  515114 */     // GIR_Coverage, 18984,
     /*  515114 */     GIR_EraseRootFromParent_Done,
     /*  515115 */   // Label 8557: @515115
     /*  515115 */   GIM_Try, /*On fail goto*//*Label 8558*/ GIMT_Encode4(515186), // Rule ID 18987 //
     /*  515120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  515123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  515131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  515134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  515137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515152 */     // MIs[0] round
     /*  515152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515162 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  515162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  515165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515171 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515184 */     GIR_RootConstrainSelectedInstOperands,
     /*  515185 */     // GIR_Coverage, 18987,
     /*  515185 */     GIR_EraseRootFromParent_Done,
     /*  515186 */   // Label 8558: @515186
     /*  515186 */   GIM_Try, /*On fail goto*//*Label 8559*/ GIMT_Encode4(515257), // Rule ID 18988 //
     /*  515191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  515194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  515202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  515205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  515208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515223 */     // MIs[0] round
     /*  515223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515233 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  515233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  515236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515242 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515255 */     GIR_RootConstrainSelectedInstOperands,
     /*  515256 */     // GIR_Coverage, 18988,
     /*  515256 */     GIR_EraseRootFromParent_Done,
     /*  515257 */   // Label 8559: @515257
     /*  515257 */   GIM_Try, /*On fail goto*//*Label 8560*/ GIMT_Encode4(515328), // Rule ID 18991 //
     /*  515262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  515265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  515273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  515276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  515279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515294 */     // MIs[0] round
     /*  515294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515304 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  515304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  515307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515313 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515326 */     GIR_RootConstrainSelectedInstOperands,
     /*  515327 */     // GIR_Coverage, 18991,
     /*  515327 */     GIR_EraseRootFromParent_Done,
     /*  515328 */   // Label 8560: @515328
     /*  515328 */   GIM_Try, /*On fail goto*//*Label 8561*/ GIMT_Encode4(515399), // Rule ID 18992 //
     /*  515333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  515336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  515344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  515347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  515350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515365 */     // MIs[0] round
     /*  515365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515375 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  515375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  515378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515384 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515397 */     GIR_RootConstrainSelectedInstOperands,
     /*  515398 */     // GIR_Coverage, 18992,
     /*  515398 */     GIR_EraseRootFromParent_Done,
     /*  515399 */   // Label 8561: @515399
     /*  515399 */   GIM_Try, /*On fail goto*//*Label 8562*/ GIMT_Encode4(515470), // Rule ID 18995 //
     /*  515404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  515407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  515415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  515418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  515421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515436 */     // MIs[0] round
     /*  515436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515446 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  515446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  515449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515455 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515468 */     GIR_RootConstrainSelectedInstOperands,
     /*  515469 */     // GIR_Coverage, 18995,
     /*  515469 */     GIR_EraseRootFromParent_Done,
     /*  515470 */   // Label 8562: @515470
     /*  515470 */   GIM_Try, /*On fail goto*//*Label 8563*/ GIMT_Encode4(515541), // Rule ID 18996 //
     /*  515475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  515478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  515486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  515489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  515492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515507 */     // MIs[0] round
     /*  515507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515517 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  515517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  515520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515526 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515539 */     GIR_RootConstrainSelectedInstOperands,
     /*  515540 */     // GIR_Coverage, 18996,
     /*  515540 */     GIR_EraseRootFromParent_Done,
     /*  515541 */   // Label 8563: @515541
     /*  515541 */   GIM_Try, /*On fail goto*//*Label 8564*/ GIMT_Encode4(515612), // Rule ID 18999 //
     /*  515546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  515549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  515557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  515560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515578 */     // MIs[0] round
     /*  515578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515588 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  515588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  515591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515597 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515610 */     GIR_RootConstrainSelectedInstOperands,
     /*  515611 */     // GIR_Coverage, 18999,
     /*  515611 */     GIR_EraseRootFromParent_Done,
     /*  515612 */   // Label 8564: @515612
     /*  515612 */   GIM_Try, /*On fail goto*//*Label 8565*/ GIMT_Encode4(515683), // Rule ID 19000 //
     /*  515617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  515620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  515628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  515631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515649 */     // MIs[0] round
     /*  515649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515659 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  515659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  515662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515668 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515681 */     GIR_RootConstrainSelectedInstOperands,
     /*  515682 */     // GIR_Coverage, 19000,
     /*  515682 */     GIR_EraseRootFromParent_Done,
     /*  515683 */   // Label 8565: @515683
     /*  515683 */   GIM_Try, /*On fail goto*//*Label 8566*/ GIMT_Encode4(515754), // Rule ID 19003 //
     /*  515688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  515691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  515699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  515702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515720 */     // MIs[0] round
     /*  515720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515730 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  515730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  515733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515739 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515752 */     GIR_RootConstrainSelectedInstOperands,
     /*  515753 */     // GIR_Coverage, 19003,
     /*  515753 */     GIR_EraseRootFromParent_Done,
     /*  515754 */   // Label 8566: @515754
     /*  515754 */   GIM_Try, /*On fail goto*//*Label 8567*/ GIMT_Encode4(515825), // Rule ID 19004 //
     /*  515759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  515762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  515770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  515773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515791 */     // MIs[0] round
     /*  515791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515801 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  515801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  515804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515810 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515823 */     GIR_RootConstrainSelectedInstOperands,
     /*  515824 */     // GIR_Coverage, 19004,
     /*  515824 */     GIR_EraseRootFromParent_Done,
     /*  515825 */   // Label 8567: @515825
     /*  515825 */   GIM_Try, /*On fail goto*//*Label 8568*/ GIMT_Encode4(515896), // Rule ID 19007 //
     /*  515830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  515833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  515847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515862 */     // MIs[0] round
     /*  515862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515872 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  515872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  515875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515881 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515894 */     GIR_RootConstrainSelectedInstOperands,
     /*  515895 */     // GIR_Coverage, 19007,
     /*  515895 */     GIR_EraseRootFromParent_Done,
     /*  515896 */   // Label 8568: @515896
     /*  515896 */   GIM_Try, /*On fail goto*//*Label 8569*/ GIMT_Encode4(515967), // Rule ID 19008 //
     /*  515901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  515904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  515918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515933 */     // MIs[0] round
     /*  515933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515943 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  515943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  515946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515952 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515965 */     GIR_RootConstrainSelectedInstOperands,
     /*  515966 */     // GIR_Coverage, 19008,
     /*  515966 */     GIR_EraseRootFromParent_Done,
     /*  515967 */   // Label 8569: @515967
     /*  515967 */   GIM_Try, /*On fail goto*//*Label 8570*/ GIMT_Encode4(516038), // Rule ID 19011 //
     /*  515972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  515975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  515980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  515983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  515986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  515989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516004 */     // MIs[0] round
     /*  516004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516014 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  516014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  516017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516023 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516036 */     GIR_RootConstrainSelectedInstOperands,
     /*  516037 */     // GIR_Coverage, 19011,
     /*  516037 */     GIR_EraseRootFromParent_Done,
     /*  516038 */   // Label 8570: @516038
     /*  516038 */   GIM_Try, /*On fail goto*//*Label 8571*/ GIMT_Encode4(516109), // Rule ID 19012 //
     /*  516043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  516046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  516054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  516057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  516060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516075 */     // MIs[0] round
     /*  516075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516085 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  516085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  516088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516094 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516107 */     GIR_RootConstrainSelectedInstOperands,
     /*  516108 */     // GIR_Coverage, 19012,
     /*  516108 */     GIR_EraseRootFromParent_Done,
     /*  516109 */   // Label 8571: @516109
     /*  516109 */   GIM_Try, /*On fail goto*//*Label 8572*/ GIMT_Encode4(516180), // Rule ID 19015 //
     /*  516114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  516117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  516125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  516128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  516131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516146 */     // MIs[0] round
     /*  516146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516156 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  516156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  516159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516165 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516178 */     GIR_RootConstrainSelectedInstOperands,
     /*  516179 */     // GIR_Coverage, 19015,
     /*  516179 */     GIR_EraseRootFromParent_Done,
     /*  516180 */   // Label 8572: @516180
     /*  516180 */   GIM_Try, /*On fail goto*//*Label 8573*/ GIMT_Encode4(516251), // Rule ID 19016 //
     /*  516185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  516188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  516196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  516199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  516202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516217 */     // MIs[0] round
     /*  516217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516227 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  516227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  516230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516236 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516249 */     GIR_RootConstrainSelectedInstOperands,
     /*  516250 */     // GIR_Coverage, 19016,
     /*  516250 */     GIR_EraseRootFromParent_Done,
     /*  516251 */   // Label 8573: @516251
     /*  516251 */   GIM_Try, /*On fail goto*//*Label 8574*/ GIMT_Encode4(516322), // Rule ID 19019 //
     /*  516256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  516259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  516267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  516270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  516273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516288 */     // MIs[0] round
     /*  516288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516298 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  516298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  516301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516307 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516320 */     GIR_RootConstrainSelectedInstOperands,
     /*  516321 */     // GIR_Coverage, 19019,
     /*  516321 */     GIR_EraseRootFromParent_Done,
     /*  516322 */   // Label 8574: @516322
     /*  516322 */   GIM_Try, /*On fail goto*//*Label 8575*/ GIMT_Encode4(516393), // Rule ID 19020 //
     /*  516327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  516330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  516335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  516338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  516341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  516344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516359 */     // MIs[0] round
     /*  516359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516369 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  516369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  516372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516378 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516391 */     GIR_RootConstrainSelectedInstOperands,
     /*  516392 */     // GIR_Coverage, 19020,
     /*  516392 */     GIR_EraseRootFromParent_Done,
     /*  516393 */   // Label 8575: @516393
     /*  516393 */   GIM_Try, /*On fail goto*//*Label 8576*/ GIMT_Encode4(516464), // Rule ID 20605 //
     /*  516398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  516401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  516406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  516409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  516412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  516415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516430 */     // MIs[0] round
     /*  516430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516440 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  516443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516449 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516462 */     GIR_RootConstrainSelectedInstOperands,
     /*  516463 */     // GIR_Coverage, 20605,
     /*  516463 */     GIR_EraseRootFromParent_Done,
     /*  516464 */   // Label 8576: @516464
     /*  516464 */   GIM_Try, /*On fail goto*//*Label 8577*/ GIMT_Encode4(516535), // Rule ID 20606 //
     /*  516469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  516472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  516477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  516480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  516483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  516486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516501 */     // MIs[0] round
     /*  516501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516511 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  516514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516520 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516533 */     GIR_RootConstrainSelectedInstOperands,
     /*  516534 */     // GIR_Coverage, 20606,
     /*  516534 */     GIR_EraseRootFromParent_Done,
     /*  516535 */   // Label 8577: @516535
     /*  516535 */   GIM_Try, /*On fail goto*//*Label 8578*/ GIMT_Encode4(516606), // Rule ID 20609 //
     /*  516540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  516543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  516548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  516551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  516554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516572 */     // MIs[0] round
     /*  516572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516582 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  516582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  516585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516591 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516604 */     GIR_RootConstrainSelectedInstOperands,
     /*  516605 */     // GIR_Coverage, 20609,
     /*  516605 */     GIR_EraseRootFromParent_Done,
     /*  516606 */   // Label 8578: @516606
     /*  516606 */   GIM_Try, /*On fail goto*//*Label 8579*/ GIMT_Encode4(516677), // Rule ID 20610 //
     /*  516611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  516614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  516619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  516622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  516625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516643 */     // MIs[0] round
     /*  516643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516653 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  516653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  516656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516662 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516675 */     GIR_RootConstrainSelectedInstOperands,
     /*  516676 */     // GIR_Coverage, 20610,
     /*  516676 */     GIR_EraseRootFromParent_Done,
     /*  516677 */   // Label 8579: @516677
     /*  516677 */   GIM_Try, /*On fail goto*//*Label 8580*/ GIMT_Encode4(516748), // Rule ID 20613 //
     /*  516682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  516685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  516690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  516693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  516696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  516699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516714 */     // MIs[0] round
     /*  516714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516724 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  516727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516733 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516746 */     GIR_RootConstrainSelectedInstOperands,
     /*  516747 */     // GIR_Coverage, 20613,
     /*  516747 */     GIR_EraseRootFromParent_Done,
     /*  516748 */   // Label 8580: @516748
     /*  516748 */   GIM_Try, /*On fail goto*//*Label 8581*/ GIMT_Encode4(516819), // Rule ID 20614 //
     /*  516753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  516756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  516761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  516764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  516767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  516770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516785 */     // MIs[0] round
     /*  516785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516795 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  516798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516804 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516817 */     GIR_RootConstrainSelectedInstOperands,
     /*  516818 */     // GIR_Coverage, 20614,
     /*  516818 */     GIR_EraseRootFromParent_Done,
     /*  516819 */   // Label 8581: @516819
     /*  516819 */   GIM_Try, /*On fail goto*//*Label 8582*/ GIMT_Encode4(516890), // Rule ID 20617 //
     /*  516824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  516827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  516832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516856 */     // MIs[0] round
     /*  516856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516866 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  516866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  516869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516875 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516888 */     GIR_RootConstrainSelectedInstOperands,
     /*  516889 */     // GIR_Coverage, 20617,
     /*  516889 */     GIR_EraseRootFromParent_Done,
     /*  516890 */   // Label 8582: @516890
     /*  516890 */   GIM_Try, /*On fail goto*//*Label 8583*/ GIMT_Encode4(516961), // Rule ID 20618 //
     /*  516895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  516898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  516903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516927 */     // MIs[0] round
     /*  516927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516937 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  516937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  516940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516946 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516959 */     GIR_RootConstrainSelectedInstOperands,
     /*  516960 */     // GIR_Coverage, 20618,
     /*  516960 */     GIR_EraseRootFromParent_Done,
     /*  516961 */   // Label 8583: @516961
     /*  516961 */   GIM_Try, /*On fail goto*//*Label 8584*/ GIMT_Encode4(517032), // Rule ID 20621 //
     /*  516966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  516969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  516974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  516977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  516980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  516983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516998 */     // MIs[0] round
     /*  516998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517008 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  517008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  517011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517017 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517030 */     GIR_RootConstrainSelectedInstOperands,
     /*  517031 */     // GIR_Coverage, 20621,
     /*  517031 */     GIR_EraseRootFromParent_Done,
     /*  517032 */   // Label 8584: @517032
     /*  517032 */   GIM_Try, /*On fail goto*//*Label 8585*/ GIMT_Encode4(517103), // Rule ID 20622 //
     /*  517037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  517040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  517048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  517051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  517054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517069 */     // MIs[0] round
     /*  517069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517079 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  517079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  517082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517088 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517101 */     GIR_RootConstrainSelectedInstOperands,
     /*  517102 */     // GIR_Coverage, 20622,
     /*  517102 */     GIR_EraseRootFromParent_Done,
     /*  517103 */   // Label 8585: @517103
     /*  517103 */   GIM_Try, /*On fail goto*//*Label 8586*/ GIMT_Encode4(517174), // Rule ID 20625 //
     /*  517108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  517111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  517119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  517122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  517125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517140 */     // MIs[0] round
     /*  517140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517150 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  517150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  517153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517159 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517172 */     GIR_RootConstrainSelectedInstOperands,
     /*  517173 */     // GIR_Coverage, 20625,
     /*  517173 */     GIR_EraseRootFromParent_Done,
     /*  517174 */   // Label 8586: @517174
     /*  517174 */   GIM_Try, /*On fail goto*//*Label 8587*/ GIMT_Encode4(517245), // Rule ID 20626 //
     /*  517179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  517182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  517190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  517193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  517196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517211 */     // MIs[0] round
     /*  517211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  517221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  517224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517230 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517243 */     GIR_RootConstrainSelectedInstOperands,
     /*  517244 */     // GIR_Coverage, 20626,
     /*  517244 */     GIR_EraseRootFromParent_Done,
     /*  517245 */   // Label 8587: @517245
     /*  517245 */   GIM_Try, /*On fail goto*//*Label 8588*/ GIMT_Encode4(517316), // Rule ID 20629 //
     /*  517250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  517253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  517261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  517264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  517267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517282 */     // MIs[0] round
     /*  517282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517292 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  517292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  517295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517301 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517314 */     GIR_RootConstrainSelectedInstOperands,
     /*  517315 */     // GIR_Coverage, 20629,
     /*  517315 */     GIR_EraseRootFromParent_Done,
     /*  517316 */   // Label 8588: @517316
     /*  517316 */   GIM_Try, /*On fail goto*//*Label 8589*/ GIMT_Encode4(517387), // Rule ID 20630 //
     /*  517321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  517324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  517332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  517335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  517338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517353 */     // MIs[0] round
     /*  517353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517363 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  517363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  517366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517372 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517385 */     GIR_RootConstrainSelectedInstOperands,
     /*  517386 */     // GIR_Coverage, 20630,
     /*  517386 */     GIR_EraseRootFromParent_Done,
     /*  517387 */   // Label 8589: @517387
     /*  517387 */   GIM_Try, /*On fail goto*//*Label 8590*/ GIMT_Encode4(517458), // Rule ID 20633 //
     /*  517392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  517395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  517403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  517406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  517409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517424 */     // MIs[0] round
     /*  517424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517434 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  517434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  517437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517443 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517456 */     GIR_RootConstrainSelectedInstOperands,
     /*  517457 */     // GIR_Coverage, 20633,
     /*  517457 */     GIR_EraseRootFromParent_Done,
     /*  517458 */   // Label 8590: @517458
     /*  517458 */   GIM_Try, /*On fail goto*//*Label 8591*/ GIMT_Encode4(517529), // Rule ID 20634 //
     /*  517463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  517466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  517474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  517477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  517480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517495 */     // MIs[0] round
     /*  517495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517505 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  517505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  517508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517514 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517527 */     GIR_RootConstrainSelectedInstOperands,
     /*  517528 */     // GIR_Coverage, 20634,
     /*  517528 */     GIR_EraseRootFromParent_Done,
     /*  517529 */   // Label 8591: @517529
     /*  517529 */   GIM_Try, /*On fail goto*//*Label 8592*/ GIMT_Encode4(517600), // Rule ID 20637 //
     /*  517534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  517537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  517545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  517548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517566 */     // MIs[0] round
     /*  517566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517576 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  517576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  517579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517585 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517598 */     GIR_RootConstrainSelectedInstOperands,
     /*  517599 */     // GIR_Coverage, 20637,
     /*  517599 */     GIR_EraseRootFromParent_Done,
     /*  517600 */   // Label 8592: @517600
     /*  517600 */   GIM_Try, /*On fail goto*//*Label 8593*/ GIMT_Encode4(517671), // Rule ID 20638 //
     /*  517605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  517608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  517616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  517619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517637 */     // MIs[0] round
     /*  517637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517647 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  517647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  517650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517656 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517669 */     GIR_RootConstrainSelectedInstOperands,
     /*  517670 */     // GIR_Coverage, 20638,
     /*  517670 */     GIR_EraseRootFromParent_Done,
     /*  517671 */   // Label 8593: @517671
     /*  517671 */   GIM_Try, /*On fail goto*//*Label 8594*/ GIMT_Encode4(517742), // Rule ID 20641 //
     /*  517676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  517679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517708 */     // MIs[0] round
     /*  517708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517718 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  517718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  517721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517727 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517740 */     GIR_RootConstrainSelectedInstOperands,
     /*  517741 */     // GIR_Coverage, 20641,
     /*  517741 */     GIR_EraseRootFromParent_Done,
     /*  517742 */   // Label 8594: @517742
     /*  517742 */   GIM_Try, /*On fail goto*//*Label 8595*/ GIMT_Encode4(517813), // Rule ID 20642 //
     /*  517747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  517750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517779 */     // MIs[0] round
     /*  517779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517789 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  517789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  517792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517798 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517811 */     GIR_RootConstrainSelectedInstOperands,
     /*  517812 */     // GIR_Coverage, 20642,
     /*  517812 */     GIR_EraseRootFromParent_Done,
     /*  517813 */   // Label 8595: @517813
     /*  517813 */   GIM_Try, /*On fail goto*//*Label 8596*/ GIMT_Encode4(517884), // Rule ID 20645 //
     /*  517818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  517821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  517835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517850 */     // MIs[0] round
     /*  517850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517860 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  517860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  517863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517869 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517882 */     GIR_RootConstrainSelectedInstOperands,
     /*  517883 */     // GIR_Coverage, 20645,
     /*  517883 */     GIR_EraseRootFromParent_Done,
     /*  517884 */   // Label 8596: @517884
     /*  517884 */   GIM_Try, /*On fail goto*//*Label 8597*/ GIMT_Encode4(517955), // Rule ID 20646 //
     /*  517889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  517892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  517906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517921 */     // MIs[0] round
     /*  517921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517931 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  517931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  517934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517940 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517953 */     GIR_RootConstrainSelectedInstOperands,
     /*  517954 */     // GIR_Coverage, 20646,
     /*  517954 */     GIR_EraseRootFromParent_Done,
     /*  517955 */   // Label 8597: @517955
     /*  517955 */   GIM_Try, /*On fail goto*//*Label 8598*/ GIMT_Encode4(518026), // Rule ID 20649 //
     /*  517960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  517963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  517968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  517971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  517974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  517977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517992 */     // MIs[0] round
     /*  517992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518002 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  518002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  518005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518011 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518024 */     GIR_RootConstrainSelectedInstOperands,
     /*  518025 */     // GIR_Coverage, 20649,
     /*  518025 */     GIR_EraseRootFromParent_Done,
     /*  518026 */   // Label 8598: @518026
     /*  518026 */   GIM_Try, /*On fail goto*//*Label 8599*/ GIMT_Encode4(518097), // Rule ID 20650 //
     /*  518031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  518034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  518042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  518045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  518048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518063 */     // MIs[0] round
     /*  518063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518073 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  518073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  518076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518082 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518095 */     GIR_RootConstrainSelectedInstOperands,
     /*  518096 */     // GIR_Coverage, 20650,
     /*  518096 */     GIR_EraseRootFromParent_Done,
     /*  518097 */   // Label 8599: @518097
     /*  518097 */   GIM_Try, /*On fail goto*//*Label 8600*/ GIMT_Encode4(518168), // Rule ID 20653 //
     /*  518102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  518105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  518113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  518116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  518119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518134 */     // MIs[0] round
     /*  518134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518144 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  518144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  518147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518153 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518166 */     GIR_RootConstrainSelectedInstOperands,
     /*  518167 */     // GIR_Coverage, 20653,
     /*  518167 */     GIR_EraseRootFromParent_Done,
     /*  518168 */   // Label 8600: @518168
     /*  518168 */   GIM_Try, /*On fail goto*//*Label 8601*/ GIMT_Encode4(518239), // Rule ID 20654 //
     /*  518173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  518176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  518184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  518187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  518190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518205 */     // MIs[0] round
     /*  518205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518215 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11096:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  518215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  518218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518224 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518237 */     GIR_RootConstrainSelectedInstOperands,
     /*  518238 */     // GIR_Coverage, 20654,
     /*  518238 */     GIR_EraseRootFromParent_Done,
     /*  518239 */   // Label 8601: @518239
     /*  518239 */   GIM_Try, /*On fail goto*//*Label 8602*/ GIMT_Encode4(518310), // Rule ID 20657 //
     /*  518244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  518247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  518255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  518258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  518261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518276 */     // MIs[0] round
     /*  518276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518286 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  518286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  518289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518295 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518308 */     GIR_RootConstrainSelectedInstOperands,
     /*  518309 */     // GIR_Coverage, 20657,
     /*  518309 */     GIR_EraseRootFromParent_Done,
     /*  518310 */   // Label 8602: @518310
     /*  518310 */   GIM_Try, /*On fail goto*//*Label 8603*/ GIMT_Encode4(518381), // Rule ID 20658 //
     /*  518315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  518318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  518326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  518329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  518332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518347 */     // MIs[0] round
     /*  518347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518357 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11096:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  518357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  518360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518366 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518379 */     GIR_RootConstrainSelectedInstOperands,
     /*  518380 */     // GIR_Coverage, 20658,
     /*  518380 */     GIR_EraseRootFromParent_Done,
     /*  518381 */   // Label 8603: @518381
     /*  518381 */   GIM_Try, /*On fail goto*//*Label 8604*/ GIMT_Encode4(518452), // Rule ID 20661 //
     /*  518386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  518394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  518397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  518400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  518403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518418 */     // MIs[0] round
     /*  518418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518428 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  518431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518437 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518450 */     GIR_RootConstrainSelectedInstOperands,
     /*  518451 */     // GIR_Coverage, 20661,
     /*  518451 */     GIR_EraseRootFromParent_Done,
     /*  518452 */   // Label 8604: @518452
     /*  518452 */   GIM_Try, /*On fail goto*//*Label 8605*/ GIMT_Encode4(518523), // Rule ID 20662 //
     /*  518457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  518465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  518468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  518471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  518474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518489 */     // MIs[0] round
     /*  518489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518499 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  518502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518508 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518521 */     GIR_RootConstrainSelectedInstOperands,
     /*  518522 */     // GIR_Coverage, 20662,
     /*  518522 */     GIR_EraseRootFromParent_Done,
     /*  518523 */   // Label 8605: @518523
     /*  518523 */   GIM_Try, /*On fail goto*//*Label 8606*/ GIMT_Encode4(518594), // Rule ID 20665 //
     /*  518528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  518536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  518539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  518545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518560 */     // MIs[0] round
     /*  518560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518570 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  518573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518579 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518592 */     GIR_RootConstrainSelectedInstOperands,
     /*  518593 */     // GIR_Coverage, 20665,
     /*  518593 */     GIR_EraseRootFromParent_Done,
     /*  518594 */   // Label 8606: @518594
     /*  518594 */   GIM_Try, /*On fail goto*//*Label 8607*/ GIMT_Encode4(518665), // Rule ID 20666 //
     /*  518599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  518607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  518610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  518616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518631 */     // MIs[0] round
     /*  518631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518641 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  518644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518650 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518663 */     GIR_RootConstrainSelectedInstOperands,
     /*  518664 */     // GIR_Coverage, 20666,
     /*  518664 */     GIR_EraseRootFromParent_Done,
     /*  518665 */   // Label 8607: @518665
     /*  518665 */   GIM_Try, /*On fail goto*//*Label 8608*/ GIMT_Encode4(518736), // Rule ID 20669 //
     /*  518670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  518673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  518678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  518681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  518687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518702 */     // MIs[0] round
     /*  518702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518712 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  518715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518721 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518734 */     GIR_RootConstrainSelectedInstOperands,
     /*  518735 */     // GIR_Coverage, 20669,
     /*  518735 */     GIR_EraseRootFromParent_Done,
     /*  518736 */   // Label 8608: @518736
     /*  518736 */   GIM_Try, /*On fail goto*//*Label 8609*/ GIMT_Encode4(518807), // Rule ID 20670 //
     /*  518741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  518744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  518749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  518752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  518758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518773 */     // MIs[0] round
     /*  518773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518783 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  518786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518792 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518805 */     GIR_RootConstrainSelectedInstOperands,
     /*  518806 */     // GIR_Coverage, 20670,
     /*  518806 */     GIR_EraseRootFromParent_Done,
     /*  518807 */   // Label 8609: @518807
     /*  518807 */   GIM_Try, /*On fail goto*//*Label 8610*/ GIMT_Encode4(518878), // Rule ID 20673 //
     /*  518812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  518820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  518823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  518826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  518829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518844 */     // MIs[0] round
     /*  518844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518854 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  518857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518863 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518876 */     GIR_RootConstrainSelectedInstOperands,
     /*  518877 */     // GIR_Coverage, 20673,
     /*  518877 */     GIR_EraseRootFromParent_Done,
     /*  518878 */   // Label 8610: @518878
     /*  518878 */   GIM_Try, /*On fail goto*//*Label 8611*/ GIMT_Encode4(518949), // Rule ID 20674 //
     /*  518883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  518891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  518894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  518897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  518900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518915 */     // MIs[0] round
     /*  518915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518925 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  518928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518934 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518947 */     GIR_RootConstrainSelectedInstOperands,
     /*  518948 */     // GIR_Coverage, 20674,
     /*  518948 */     GIR_EraseRootFromParent_Done,
     /*  518949 */   // Label 8611: @518949
     /*  518949 */   GIM_Try, /*On fail goto*//*Label 8612*/ GIMT_Encode4(519020), // Rule ID 20677 //
     /*  518954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  518957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  518962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  518965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  518968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  518971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518986 */     // MIs[0] round
     /*  518986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  518999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519005 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519018 */     GIR_RootConstrainSelectedInstOperands,
     /*  519019 */     // GIR_Coverage, 20677,
     /*  519019 */     GIR_EraseRootFromParent_Done,
     /*  519020 */   // Label 8612: @519020
     /*  519020 */   GIM_Try, /*On fail goto*//*Label 8613*/ GIMT_Encode4(519091), // Rule ID 20678 //
     /*  519025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  519028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  519036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  519039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  519042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519057 */     // MIs[0] round
     /*  519057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519067 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  519070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519076 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519089 */     GIR_RootConstrainSelectedInstOperands,
     /*  519090 */     // GIR_Coverage, 20678,
     /*  519090 */     GIR_EraseRootFromParent_Done,
     /*  519091 */   // Label 8613: @519091
     /*  519091 */   GIM_Try, /*On fail goto*//*Label 8614*/ GIMT_Encode4(519162), // Rule ID 20681 //
     /*  519096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  519099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  519107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  519110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  519113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519128 */     // MIs[0] round
     /*  519128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519138 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  519141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519147 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519160 */     GIR_RootConstrainSelectedInstOperands,
     /*  519161 */     // GIR_Coverage, 20681,
     /*  519161 */     GIR_EraseRootFromParent_Done,
     /*  519162 */   // Label 8614: @519162
     /*  519162 */   GIM_Try, /*On fail goto*//*Label 8615*/ GIMT_Encode4(519233), // Rule ID 20682 //
     /*  519167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  519170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  519178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  519181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  519184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519199 */     // MIs[0] round
     /*  519199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519209 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  519212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519218 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519231 */     GIR_RootConstrainSelectedInstOperands,
     /*  519232 */     // GIR_Coverage, 20682,
     /*  519232 */     GIR_EraseRootFromParent_Done,
     /*  519233 */   // Label 8615: @519233
     /*  519233 */   GIM_Try, /*On fail goto*//*Label 8616*/ GIMT_Encode4(519304), // Rule ID 20685 //
     /*  519238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  519241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  519249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  519252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  519255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519270 */     // MIs[0] round
     /*  519270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519280 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  519283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519289 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519302 */     GIR_RootConstrainSelectedInstOperands,
     /*  519303 */     // GIR_Coverage, 20685,
     /*  519303 */     GIR_EraseRootFromParent_Done,
     /*  519304 */   // Label 8616: @519304
     /*  519304 */   GIM_Try, /*On fail goto*//*Label 8617*/ GIMT_Encode4(519375), // Rule ID 20686 //
     /*  519309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  519312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  519320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  519323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  519326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519341 */     // MIs[0] round
     /*  519341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519351 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  519354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519360 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519373 */     GIR_RootConstrainSelectedInstOperands,
     /*  519374 */     // GIR_Coverage, 20686,
     /*  519374 */     GIR_EraseRootFromParent_Done,
     /*  519375 */   // Label 8617: @519375
     /*  519375 */   GIM_Try, /*On fail goto*//*Label 8618*/ GIMT_Encode4(519446), // Rule ID 20689 //
     /*  519380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  519383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  519391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  519394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  519397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519412 */     // MIs[0] round
     /*  519412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519422 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  519425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519431 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519444 */     GIR_RootConstrainSelectedInstOperands,
     /*  519445 */     // GIR_Coverage, 20689,
     /*  519445 */     GIR_EraseRootFromParent_Done,
     /*  519446 */   // Label 8618: @519446
     /*  519446 */   GIM_Try, /*On fail goto*//*Label 8619*/ GIMT_Encode4(519517), // Rule ID 20690 //
     /*  519451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  519454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  519462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  519465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  519468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519483 */     // MIs[0] round
     /*  519483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519493 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  519496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519502 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519515 */     GIR_RootConstrainSelectedInstOperands,
     /*  519516 */     // GIR_Coverage, 20690,
     /*  519516 */     GIR_EraseRootFromParent_Done,
     /*  519517 */   // Label 8619: @519517
     /*  519517 */   GIM_Try, /*On fail goto*//*Label 8620*/ GIMT_Encode4(519588), // Rule ID 20693 //
     /*  519522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  519525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  519533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  519536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  519539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519554 */     // MIs[0] round
     /*  519554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519564 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  519567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519573 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519586 */     GIR_RootConstrainSelectedInstOperands,
     /*  519587 */     // GIR_Coverage, 20693,
     /*  519587 */     GIR_EraseRootFromParent_Done,
     /*  519588 */   // Label 8620: @519588
     /*  519588 */   GIM_Try, /*On fail goto*//*Label 8621*/ GIMT_Encode4(519659), // Rule ID 20694 //
     /*  519593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  519596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  519604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  519607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  519610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519625 */     // MIs[0] round
     /*  519625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519635 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  519638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519644 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519657 */     GIR_RootConstrainSelectedInstOperands,
     /*  519658 */     // GIR_Coverage, 20694,
     /*  519658 */     GIR_EraseRootFromParent_Done,
     /*  519659 */   // Label 8621: @519659
     /*  519659 */   GIM_Try, /*On fail goto*//*Label 8622*/ GIMT_Encode4(519730), // Rule ID 20697 //
     /*  519664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  519667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  519675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  519678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  519681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519696 */     // MIs[0] round
     /*  519696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519706 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  519709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519715 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519728 */     GIR_RootConstrainSelectedInstOperands,
     /*  519729 */     // GIR_Coverage, 20697,
     /*  519729 */     GIR_EraseRootFromParent_Done,
     /*  519730 */   // Label 8622: @519730
     /*  519730 */   GIM_Try, /*On fail goto*//*Label 8623*/ GIMT_Encode4(519801), // Rule ID 20698 //
     /*  519735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  519738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  519746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  519749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  519752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519767 */     // MIs[0] round
     /*  519767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519777 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  519780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519786 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519799 */     GIR_RootConstrainSelectedInstOperands,
     /*  519800 */     // GIR_Coverage, 20698,
     /*  519800 */     GIR_EraseRootFromParent_Done,
     /*  519801 */   // Label 8623: @519801
     /*  519801 */   GIM_Try, /*On fail goto*//*Label 8624*/ GIMT_Encode4(519872), // Rule ID 20701 //
     /*  519806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  519809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  519817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  519820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  519823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519838 */     // MIs[0] round
     /*  519838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519848 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  519851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519857 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519870 */     GIR_RootConstrainSelectedInstOperands,
     /*  519871 */     // GIR_Coverage, 20701,
     /*  519871 */     GIR_EraseRootFromParent_Done,
     /*  519872 */   // Label 8624: @519872
     /*  519872 */   GIM_Try, /*On fail goto*//*Label 8625*/ GIMT_Encode4(519943), // Rule ID 20702 //
     /*  519877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  519880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  519888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  519891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  519894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519909 */     // MIs[0] round
     /*  519909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519919 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  519922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519928 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519941 */     GIR_RootConstrainSelectedInstOperands,
     /*  519942 */     // GIR_Coverage, 20702,
     /*  519942 */     GIR_EraseRootFromParent_Done,
     /*  519943 */   // Label 8625: @519943
     /*  519943 */   GIM_Try, /*On fail goto*//*Label 8626*/ GIMT_Encode4(520014), // Rule ID 20705 //
     /*  519948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  519951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  519956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  519959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  519962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  519965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519980 */     // MIs[0] round
     /*  519980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519990 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  519993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519999 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520012 */     GIR_RootConstrainSelectedInstOperands,
     /*  520013 */     // GIR_Coverage, 20705,
     /*  520013 */     GIR_EraseRootFromParent_Done,
     /*  520014 */   // Label 8626: @520014
     /*  520014 */   GIM_Try, /*On fail goto*//*Label 8627*/ GIMT_Encode4(520085), // Rule ID 20706 //
     /*  520019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  520022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  520030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  520033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  520036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520051 */     // MIs[0] round
     /*  520051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520061 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  520061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  520064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520070 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520083 */     GIR_RootConstrainSelectedInstOperands,
     /*  520084 */     // GIR_Coverage, 20706,
     /*  520084 */     GIR_EraseRootFromParent_Done,
     /*  520085 */   // Label 8627: @520085
     /*  520085 */   GIM_Try, /*On fail goto*//*Label 8628*/ GIMT_Encode4(520156), // Rule ID 20709 //
     /*  520090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  520093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  520101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  520104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  520107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520122 */     // MIs[0] round
     /*  520122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520132 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  520132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  520135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520141 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520154 */     GIR_RootConstrainSelectedInstOperands,
     /*  520155 */     // GIR_Coverage, 20709,
     /*  520155 */     GIR_EraseRootFromParent_Done,
     /*  520156 */   // Label 8628: @520156
     /*  520156 */   GIM_Try, /*On fail goto*//*Label 8629*/ GIMT_Encode4(520227), // Rule ID 20710 //
     /*  520161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  520164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  520172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  520175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  520178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520193 */     // MIs[0] round
     /*  520193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520203 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  520203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  520206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520212 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520225 */     GIR_RootConstrainSelectedInstOperands,
     /*  520226 */     // GIR_Coverage, 20710,
     /*  520226 */     GIR_EraseRootFromParent_Done,
     /*  520227 */   // Label 8629: @520227
     /*  520227 */   GIM_Try, /*On fail goto*//*Label 8630*/ GIMT_Encode4(520298), // Rule ID 20713 //
     /*  520232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  520235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  520243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  520246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  520249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520264 */     // MIs[0] round
     /*  520264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520274 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  520274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  520277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520283 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520296 */     GIR_RootConstrainSelectedInstOperands,
     /*  520297 */     // GIR_Coverage, 20713,
     /*  520297 */     GIR_EraseRootFromParent_Done,
     /*  520298 */   // Label 8630: @520298
     /*  520298 */   GIM_Try, /*On fail goto*//*Label 8631*/ GIMT_Encode4(520369), // Rule ID 20714 //
     /*  520303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  520306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  520314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  520317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  520320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520335 */     // MIs[0] round
     /*  520335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520345 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11098:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  520345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  520348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520354 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520367 */     GIR_RootConstrainSelectedInstOperands,
     /*  520368 */     // GIR_Coverage, 20714,
     /*  520368 */     GIR_EraseRootFromParent_Done,
     /*  520369 */   // Label 8631: @520369
     /*  520369 */   GIM_Try, /*On fail goto*//*Label 8632*/ GIMT_Encode4(520440), // Rule ID 20717 //
     /*  520374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  520377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  520385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  520388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  520391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520406 */     // MIs[0] round
     /*  520406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520416 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  520416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  520419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520425 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520438 */     GIR_RootConstrainSelectedInstOperands,
     /*  520439 */     // GIR_Coverage, 20717,
     /*  520439 */     GIR_EraseRootFromParent_Done,
     /*  520440 */   // Label 8632: @520440
     /*  520440 */   GIM_Try, /*On fail goto*//*Label 8633*/ GIMT_Encode4(520511), // Rule ID 20718 //
     /*  520445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  520448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  520453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  520456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  520459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  520462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520477 */     // MIs[0] round
     /*  520477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520487 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11098:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  520487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  520490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520496 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520509 */     GIR_RootConstrainSelectedInstOperands,
     /*  520510 */     // GIR_Coverage, 20718,
     /*  520510 */     GIR_EraseRootFromParent_Done,
     /*  520511 */   // Label 8633: @520511
     /*  520511 */   GIM_Try, /*On fail goto*//*Label 8634*/ GIMT_Encode4(520582), // Rule ID 20841 //
     /*  520516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  520524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  520527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  520530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  520533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520548 */     // MIs[0] round
     /*  520548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520558 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  520561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520567 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520580 */     GIR_RootConstrainSelectedInstOperands,
     /*  520581 */     // GIR_Coverage, 20841,
     /*  520581 */     GIR_EraseRootFromParent_Done,
     /*  520582 */   // Label 8634: @520582
     /*  520582 */   GIM_Try, /*On fail goto*//*Label 8635*/ GIMT_Encode4(520653), // Rule ID 20842 //
     /*  520587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  520595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  520598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  520601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  520604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520619 */     // MIs[0] round
     /*  520619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520629 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  520632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520638 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520651 */     GIR_RootConstrainSelectedInstOperands,
     /*  520652 */     // GIR_Coverage, 20842,
     /*  520652 */     GIR_EraseRootFromParent_Done,
     /*  520653 */   // Label 8635: @520653
     /*  520653 */   GIM_Try, /*On fail goto*//*Label 8636*/ GIMT_Encode4(520724), // Rule ID 20845 //
     /*  520658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  520666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  520669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  520672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  520675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520690 */     // MIs[0] round
     /*  520690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520700 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  520703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520709 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520722 */     GIR_RootConstrainSelectedInstOperands,
     /*  520723 */     // GIR_Coverage, 20845,
     /*  520723 */     GIR_EraseRootFromParent_Done,
     /*  520724 */   // Label 8636: @520724
     /*  520724 */   GIM_Try, /*On fail goto*//*Label 8637*/ GIMT_Encode4(520795), // Rule ID 20846 //
     /*  520729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  520737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  520740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  520743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  520746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520761 */     // MIs[0] round
     /*  520761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520771 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  520774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520780 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520793 */     GIR_RootConstrainSelectedInstOperands,
     /*  520794 */     // GIR_Coverage, 20846,
     /*  520794 */     GIR_EraseRootFromParent_Done,
     /*  520795 */   // Label 8637: @520795
     /*  520795 */   GIM_Try, /*On fail goto*//*Label 8638*/ GIMT_Encode4(520866), // Rule ID 20849 //
     /*  520800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  520803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  520808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  520811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  520814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  520817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520832 */     // MIs[0] round
     /*  520832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520842 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  520842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  520845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520851 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520864 */     GIR_RootConstrainSelectedInstOperands,
     /*  520865 */     // GIR_Coverage, 20849,
     /*  520865 */     GIR_EraseRootFromParent_Done,
     /*  520866 */   // Label 8638: @520866
     /*  520866 */   GIM_Try, /*On fail goto*//*Label 8639*/ GIMT_Encode4(520937), // Rule ID 20850 //
     /*  520871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  520874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  520879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  520882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  520885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  520888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520903 */     // MIs[0] round
     /*  520903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520913 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  520913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  520916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520922 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520935 */     GIR_RootConstrainSelectedInstOperands,
     /*  520936 */     // GIR_Coverage, 20850,
     /*  520936 */     GIR_EraseRootFromParent_Done,
     /*  520937 */   // Label 8639: @520937
     /*  520937 */   GIM_Try, /*On fail goto*//*Label 8640*/ GIMT_Encode4(521008), // Rule ID 20853 //
     /*  520942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  520950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  520953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  520956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  520959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520974 */     // MIs[0] round
     /*  520974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520984 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  520987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520993 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521006 */     GIR_RootConstrainSelectedInstOperands,
     /*  521007 */     // GIR_Coverage, 20853,
     /*  521007 */     GIR_EraseRootFromParent_Done,
     /*  521008 */   // Label 8640: @521008
     /*  521008 */   GIM_Try, /*On fail goto*//*Label 8641*/ GIMT_Encode4(521079), // Rule ID 20854 //
     /*  521013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  521024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  521027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  521030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521045 */     // MIs[0] round
     /*  521045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521055 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  521058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521064 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521077 */     GIR_RootConstrainSelectedInstOperands,
     /*  521078 */     // GIR_Coverage, 20854,
     /*  521078 */     GIR_EraseRootFromParent_Done,
     /*  521079 */   // Label 8641: @521079
     /*  521079 */   GIM_Try, /*On fail goto*//*Label 8642*/ GIMT_Encode4(521150), // Rule ID 20857 //
     /*  521084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  521087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  521095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  521098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  521101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521116 */     // MIs[0] round
     /*  521116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521126 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  521129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521135 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521148 */     GIR_RootConstrainSelectedInstOperands,
     /*  521149 */     // GIR_Coverage, 20857,
     /*  521149 */     GIR_EraseRootFromParent_Done,
     /*  521150 */   // Label 8642: @521150
     /*  521150 */   GIM_Try, /*On fail goto*//*Label 8643*/ GIMT_Encode4(521221), // Rule ID 20858 //
     /*  521155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  521158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  521166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  521169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  521172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521187 */     // MIs[0] round
     /*  521187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521197 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  521200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521206 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521219 */     GIR_RootConstrainSelectedInstOperands,
     /*  521220 */     // GIR_Coverage, 20858,
     /*  521220 */     GIR_EraseRootFromParent_Done,
     /*  521221 */   // Label 8643: @521221
     /*  521221 */   GIM_Try, /*On fail goto*//*Label 8644*/ GIMT_Encode4(521292), // Rule ID 20861 //
     /*  521226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  521229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  521237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  521240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  521243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521258 */     // MIs[0] round
     /*  521258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521268 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  521268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  521271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521277 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521290 */     GIR_RootConstrainSelectedInstOperands,
     /*  521291 */     // GIR_Coverage, 20861,
     /*  521291 */     GIR_EraseRootFromParent_Done,
     /*  521292 */   // Label 8644: @521292
     /*  521292 */   GIM_Try, /*On fail goto*//*Label 8645*/ GIMT_Encode4(521363), // Rule ID 20862 //
     /*  521297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  521300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  521308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  521311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  521314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521329 */     // MIs[0] round
     /*  521329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521339 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  521339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  521342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521348 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521361 */     GIR_RootConstrainSelectedInstOperands,
     /*  521362 */     // GIR_Coverage, 20862,
     /*  521362 */     GIR_EraseRootFromParent_Done,
     /*  521363 */   // Label 8645: @521363
     /*  521363 */   GIM_Try, /*On fail goto*//*Label 8646*/ GIMT_Encode4(521434), // Rule ID 20865 //
     /*  521368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  521379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  521382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  521385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521400 */     // MIs[0] round
     /*  521400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521410 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  521413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521419 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521432 */     GIR_RootConstrainSelectedInstOperands,
     /*  521433 */     // GIR_Coverage, 20865,
     /*  521433 */     GIR_EraseRootFromParent_Done,
     /*  521434 */   // Label 8646: @521434
     /*  521434 */   GIM_Try, /*On fail goto*//*Label 8647*/ GIMT_Encode4(521505), // Rule ID 20866 //
     /*  521439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  521450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  521453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  521456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521471 */     // MIs[0] round
     /*  521471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521481 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  521484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521490 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521503 */     GIR_RootConstrainSelectedInstOperands,
     /*  521504 */     // GIR_Coverage, 20866,
     /*  521504 */     GIR_EraseRootFromParent_Done,
     /*  521505 */   // Label 8647: @521505
     /*  521505 */   GIM_Try, /*On fail goto*//*Label 8648*/ GIMT_Encode4(521576), // Rule ID 20869 //
     /*  521510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  521521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  521524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  521527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521542 */     // MIs[0] round
     /*  521542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521552 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  521555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521561 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521574 */     GIR_RootConstrainSelectedInstOperands,
     /*  521575 */     // GIR_Coverage, 20869,
     /*  521575 */     GIR_EraseRootFromParent_Done,
     /*  521576 */   // Label 8648: @521576
     /*  521576 */   GIM_Try, /*On fail goto*//*Label 8649*/ GIMT_Encode4(521647), // Rule ID 20870 //
     /*  521581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  521592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  521595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  521598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521613 */     // MIs[0] round
     /*  521613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521623 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  521626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521632 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521645 */     GIR_RootConstrainSelectedInstOperands,
     /*  521646 */     // GIR_Coverage, 20870,
     /*  521646 */     GIR_EraseRootFromParent_Done,
     /*  521647 */   // Label 8649: @521647
     /*  521647 */   GIM_Try, /*On fail goto*//*Label 8650*/ GIMT_Encode4(521718), // Rule ID 20873 //
     /*  521652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  521663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  521666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  521669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521684 */     // MIs[0] round
     /*  521684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521694 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  521697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521703 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521716 */     GIR_RootConstrainSelectedInstOperands,
     /*  521717 */     // GIR_Coverage, 20873,
     /*  521717 */     GIR_EraseRootFromParent_Done,
     /*  521718 */   // Label 8650: @521718
     /*  521718 */   GIM_Try, /*On fail goto*//*Label 8651*/ GIMT_Encode4(521789), // Rule ID 20874 //
     /*  521723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  521734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  521737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  521740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521755 */     // MIs[0] round
     /*  521755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521765 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  521768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521774 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521787 */     GIR_RootConstrainSelectedInstOperands,
     /*  521788 */     // GIR_Coverage, 20874,
     /*  521788 */     GIR_EraseRootFromParent_Done,
     /*  521789 */   // Label 8651: @521789
     /*  521789 */   GIM_Try, /*On fail goto*//*Label 8652*/ GIMT_Encode4(521860), // Rule ID 20877 //
     /*  521794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  521797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  521805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  521808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  521811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521826 */     // MIs[0] round
     /*  521826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521836 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  521839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521845 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521858 */     GIR_RootConstrainSelectedInstOperands,
     /*  521859 */     // GIR_Coverage, 20877,
     /*  521859 */     GIR_EraseRootFromParent_Done,
     /*  521860 */   // Label 8652: @521860
     /*  521860 */   GIM_Try, /*On fail goto*//*Label 8653*/ GIMT_Encode4(521931), // Rule ID 20878 //
     /*  521865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  521868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  521876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  521879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  521882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521897 */     // MIs[0] round
     /*  521897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521907 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  521910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521916 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521929 */     GIR_RootConstrainSelectedInstOperands,
     /*  521930 */     // GIR_Coverage, 20878,
     /*  521930 */     GIR_EraseRootFromParent_Done,
     /*  521931 */   // Label 8653: @521931
     /*  521931 */   GIM_Try, /*On fail goto*//*Label 8654*/ GIMT_Encode4(522002), // Rule ID 20881 //
     /*  521936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  521939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  521944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  521947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  521950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  521953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521968 */     // MIs[0] round
     /*  521968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521978 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  521981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521987 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522000 */     GIR_RootConstrainSelectedInstOperands,
     /*  522001 */     // GIR_Coverage, 20881,
     /*  522001 */     GIR_EraseRootFromParent_Done,
     /*  522002 */   // Label 8654: @522002
     /*  522002 */   GIM_Try, /*On fail goto*//*Label 8655*/ GIMT_Encode4(522073), // Rule ID 20882 //
     /*  522007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  522010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  522018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  522021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  522024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522039 */     // MIs[0] round
     /*  522039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522049 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  522052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522058 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522071 */     GIR_RootConstrainSelectedInstOperands,
     /*  522072 */     // GIR_Coverage, 20882,
     /*  522072 */     GIR_EraseRootFromParent_Done,
     /*  522073 */   // Label 8655: @522073
     /*  522073 */   GIM_Try, /*On fail goto*//*Label 8656*/ GIMT_Encode4(522144), // Rule ID 20885 //
     /*  522078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  522081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  522089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  522092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  522095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522110 */     // MIs[0] round
     /*  522110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522120 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  522123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522129 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522142 */     GIR_RootConstrainSelectedInstOperands,
     /*  522143 */     // GIR_Coverage, 20885,
     /*  522143 */     GIR_EraseRootFromParent_Done,
     /*  522144 */   // Label 8656: @522144
     /*  522144 */   GIM_Try, /*On fail goto*//*Label 8657*/ GIMT_Encode4(522215), // Rule ID 20886 //
     /*  522149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  522152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  522160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  522163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  522166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522181 */     // MIs[0] round
     /*  522181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522191 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  522194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522200 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522213 */     GIR_RootConstrainSelectedInstOperands,
     /*  522214 */     // GIR_Coverage, 20886,
     /*  522214 */     GIR_EraseRootFromParent_Done,
     /*  522215 */   // Label 8657: @522215
     /*  522215 */   GIM_Try, /*On fail goto*//*Label 8658*/ GIMT_Encode4(522286), // Rule ID 20889 //
     /*  522220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  522223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  522231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  522234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  522237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522252 */     // MIs[0] round
     /*  522252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522262 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  522265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522271 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522284 */     GIR_RootConstrainSelectedInstOperands,
     /*  522285 */     // GIR_Coverage, 20889,
     /*  522285 */     GIR_EraseRootFromParent_Done,
     /*  522286 */   // Label 8658: @522286
     /*  522286 */   GIM_Try, /*On fail goto*//*Label 8659*/ GIMT_Encode4(522357), // Rule ID 20890 //
     /*  522291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  522294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  522302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  522305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  522308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522323 */     // MIs[0] round
     /*  522323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522333 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  522336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522342 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522355 */     GIR_RootConstrainSelectedInstOperands,
     /*  522356 */     // GIR_Coverage, 20890,
     /*  522356 */     GIR_EraseRootFromParent_Done,
     /*  522357 */   // Label 8659: @522357
     /*  522357 */   GIM_Try, /*On fail goto*//*Label 8660*/ GIMT_Encode4(522428), // Rule ID 20893 //
     /*  522362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  522365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  522373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  522376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  522379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522394 */     // MIs[0] round
     /*  522394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522404 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  522407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522413 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522426 */     GIR_RootConstrainSelectedInstOperands,
     /*  522427 */     // GIR_Coverage, 20893,
     /*  522427 */     GIR_EraseRootFromParent_Done,
     /*  522428 */   // Label 8660: @522428
     /*  522428 */   GIM_Try, /*On fail goto*//*Label 8661*/ GIMT_Encode4(522499), // Rule ID 20894 //
     /*  522433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  522436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  522444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  522447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  522450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522465 */     // MIs[0] round
     /*  522465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522475 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  522478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522484 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522497 */     GIR_RootConstrainSelectedInstOperands,
     /*  522498 */     // GIR_Coverage, 20894,
     /*  522498 */     GIR_EraseRootFromParent_Done,
     /*  522499 */   // Label 8661: @522499
     /*  522499 */   GIM_Try, /*On fail goto*//*Label 8662*/ GIMT_Encode4(522570), // Rule ID 20897 //
     /*  522504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  522507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  522515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  522518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  522521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522536 */     // MIs[0] round
     /*  522536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522546 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  522549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522555 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522568 */     GIR_RootConstrainSelectedInstOperands,
     /*  522569 */     // GIR_Coverage, 20897,
     /*  522569 */     GIR_EraseRootFromParent_Done,
     /*  522570 */   // Label 8662: @522570
     /*  522570 */   GIM_Try, /*On fail goto*//*Label 8663*/ GIMT_Encode4(522641), // Rule ID 20898 //
     /*  522575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  522578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  522583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  522586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  522589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  522592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522607 */     // MIs[0] round
     /*  522607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522617 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  522620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522626 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522639 */     GIR_RootConstrainSelectedInstOperands,
     /*  522640 */     // GIR_Coverage, 20898,
     /*  522640 */     GIR_EraseRootFromParent_Done,
     /*  522641 */   // Label 8663: @522641
     /*  522641 */   GIM_Try, /*On fail goto*//*Label 8664*/ GIMT_Encode4(522712), // Rule ID 20901 //
     /*  522646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  522654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  522657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  522660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  522663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522678 */     // MIs[0] round
     /*  522678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522688 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  522691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522697 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522710 */     GIR_RootConstrainSelectedInstOperands,
     /*  522711 */     // GIR_Coverage, 20901,
     /*  522711 */     GIR_EraseRootFromParent_Done,
     /*  522712 */   // Label 8664: @522712
     /*  522712 */   GIM_Try, /*On fail goto*//*Label 8665*/ GIMT_Encode4(522783), // Rule ID 20902 //
     /*  522717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  522725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  522728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  522731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  522734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522749 */     // MIs[0] round
     /*  522749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522759 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  522762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522768 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522781 */     GIR_RootConstrainSelectedInstOperands,
     /*  522782 */     // GIR_Coverage, 20902,
     /*  522782 */     GIR_EraseRootFromParent_Done,
     /*  522783 */   // Label 8665: @522783
     /*  522783 */   GIM_Try, /*On fail goto*//*Label 8666*/ GIMT_Encode4(522854), // Rule ID 20905 //
     /*  522788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  522796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  522799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  522802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  522805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522820 */     // MIs[0] round
     /*  522820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522830 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  522833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522839 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522852 */     GIR_RootConstrainSelectedInstOperands,
     /*  522853 */     // GIR_Coverage, 20905,
     /*  522853 */     GIR_EraseRootFromParent_Done,
     /*  522854 */   // Label 8666: @522854
     /*  522854 */   GIM_Try, /*On fail goto*//*Label 8667*/ GIMT_Encode4(522925), // Rule ID 20906 //
     /*  522859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  522867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  522870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  522873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  522876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522891 */     // MIs[0] round
     /*  522891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522901 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  522904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522910 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522923 */     GIR_RootConstrainSelectedInstOperands,
     /*  522924 */     // GIR_Coverage, 20906,
     /*  522924 */     GIR_EraseRootFromParent_Done,
     /*  522925 */   // Label 8667: @522925
     /*  522925 */   GIM_Try, /*On fail goto*//*Label 8668*/ GIMT_Encode4(522996), // Rule ID 20909 //
     /*  522930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  522933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  522938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  522941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  522944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  522947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522962 */     // MIs[0] round
     /*  522962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522972 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  522975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522981 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522994 */     GIR_RootConstrainSelectedInstOperands,
     /*  522995 */     // GIR_Coverage, 20909,
     /*  522995 */     GIR_EraseRootFromParent_Done,
     /*  522996 */   // Label 8668: @522996
     /*  522996 */   GIM_Try, /*On fail goto*//*Label 8669*/ GIMT_Encode4(523067), // Rule ID 20910 //
     /*  523001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  523009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  523012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  523015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  523018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523033 */     // MIs[0] round
     /*  523033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523043 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  523046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523052 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523065 */     GIR_RootConstrainSelectedInstOperands,
     /*  523066 */     // GIR_Coverage, 20910,
     /*  523066 */     GIR_EraseRootFromParent_Done,
     /*  523067 */   // Label 8669: @523067
     /*  523067 */   GIM_Try, /*On fail goto*//*Label 8670*/ GIMT_Encode4(523138), // Rule ID 20913 //
     /*  523072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  523080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  523083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  523086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  523089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523104 */     // MIs[0] round
     /*  523104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523114 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  523117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523123 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523136 */     GIR_RootConstrainSelectedInstOperands,
     /*  523137 */     // GIR_Coverage, 20913,
     /*  523137 */     GIR_EraseRootFromParent_Done,
     /*  523138 */   // Label 8670: @523138
     /*  523138 */   GIM_Try, /*On fail goto*//*Label 8671*/ GIMT_Encode4(523209), // Rule ID 20914 //
     /*  523143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  523151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  523154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  523157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  523160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523175 */     // MIs[0] round
     /*  523175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523185 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  523188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523194 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523207 */     GIR_RootConstrainSelectedInstOperands,
     /*  523208 */     // GIR_Coverage, 20914,
     /*  523208 */     GIR_EraseRootFromParent_Done,
     /*  523209 */   // Label 8671: @523209
     /*  523209 */   GIM_Try, /*On fail goto*//*Label 8672*/ GIMT_Encode4(523280), // Rule ID 20917 //
     /*  523214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  523222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  523225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  523228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  523231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523246 */     // MIs[0] round
     /*  523246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523256 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  523259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523265 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523278 */     GIR_RootConstrainSelectedInstOperands,
     /*  523279 */     // GIR_Coverage, 20917,
     /*  523279 */     GIR_EraseRootFromParent_Done,
     /*  523280 */   // Label 8672: @523280
     /*  523280 */   GIM_Try, /*On fail goto*//*Label 8673*/ GIMT_Encode4(523351), // Rule ID 20918 //
     /*  523285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  523293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  523296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  523299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  523302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523317 */     // MIs[0] round
     /*  523317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523327 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  523330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523336 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523349 */     GIR_RootConstrainSelectedInstOperands,
     /*  523350 */     // GIR_Coverage, 20918,
     /*  523350 */     GIR_EraseRootFromParent_Done,
     /*  523351 */   // Label 8673: @523351
     /*  523351 */   GIM_Try, /*On fail goto*//*Label 8674*/ GIMT_Encode4(523422), // Rule ID 20921 //
     /*  523356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  523359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  523364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  523367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  523370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  523373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523388 */     // MIs[0] round
     /*  523388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523398 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  523398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  523401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523407 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523420 */     GIR_RootConstrainSelectedInstOperands,
     /*  523421 */     // GIR_Coverage, 20921,
     /*  523421 */     GIR_EraseRootFromParent_Done,
     /*  523422 */   // Label 8674: @523422
     /*  523422 */   GIM_Try, /*On fail goto*//*Label 8675*/ GIMT_Encode4(523493), // Rule ID 20922 //
     /*  523427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  523430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  523435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  523438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  523441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  523444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523459 */     // MIs[0] round
     /*  523459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523469 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  523469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  523472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523478 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523491 */     GIR_RootConstrainSelectedInstOperands,
     /*  523492 */     // GIR_Coverage, 20922,
     /*  523492 */     GIR_EraseRootFromParent_Done,
     /*  523493 */   // Label 8675: @523493
     /*  523493 */   GIM_Try, /*On fail goto*//*Label 8676*/ GIMT_Encode4(523564), // Rule ID 20925 //
     /*  523498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  523506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  523509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  523512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  523515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523530 */     // MIs[0] round
     /*  523530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523540 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  523543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523549 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523562 */     GIR_RootConstrainSelectedInstOperands,
     /*  523563 */     // GIR_Coverage, 20925,
     /*  523563 */     GIR_EraseRootFromParent_Done,
     /*  523564 */   // Label 8676: @523564
     /*  523564 */   GIM_Try, /*On fail goto*//*Label 8677*/ GIMT_Encode4(523635), // Rule ID 20926 //
     /*  523569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  523577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  523580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  523583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  523586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523601 */     // MIs[0] round
     /*  523601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523611 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  523614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523620 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523633 */     GIR_RootConstrainSelectedInstOperands,
     /*  523634 */     // GIR_Coverage, 20926,
     /*  523634 */     GIR_EraseRootFromParent_Done,
     /*  523635 */   // Label 8677: @523635
     /*  523635 */   GIM_Try, /*On fail goto*//*Label 8678*/ GIMT_Encode4(523706), // Rule ID 20929 //
     /*  523640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  523648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  523651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  523654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  523657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523672 */     // MIs[0] round
     /*  523672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523682 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  523685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523691 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523704 */     GIR_RootConstrainSelectedInstOperands,
     /*  523705 */     // GIR_Coverage, 20929,
     /*  523705 */     GIR_EraseRootFromParent_Done,
     /*  523706 */   // Label 8678: @523706
     /*  523706 */   GIM_Try, /*On fail goto*//*Label 8679*/ GIMT_Encode4(523777), // Rule ID 20930 //
     /*  523711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  523719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  523722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  523725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  523728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523743 */     // MIs[0] round
     /*  523743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523753 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  523756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523762 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523775 */     GIR_RootConstrainSelectedInstOperands,
     /*  523776 */     // GIR_Coverage, 20930,
     /*  523776 */     GIR_EraseRootFromParent_Done,
     /*  523777 */   // Label 8679: @523777
     /*  523777 */   GIM_Try, /*On fail goto*//*Label 8680*/ GIMT_Encode4(523848), // Rule ID 20933 //
     /*  523782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  523790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  523793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  523796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  523799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523814 */     // MIs[0] round
     /*  523814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523824 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  523827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523833 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523846 */     GIR_RootConstrainSelectedInstOperands,
     /*  523847 */     // GIR_Coverage, 20933,
     /*  523847 */     GIR_EraseRootFromParent_Done,
     /*  523848 */   // Label 8680: @523848
     /*  523848 */   GIM_Try, /*On fail goto*//*Label 8681*/ GIMT_Encode4(523919), // Rule ID 20934 //
     /*  523853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  523861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  523864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  523867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  523870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523885 */     // MIs[0] round
     /*  523885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523895 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  523898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523904 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523917 */     GIR_RootConstrainSelectedInstOperands,
     /*  523918 */     // GIR_Coverage, 20934,
     /*  523918 */     GIR_EraseRootFromParent_Done,
     /*  523919 */   // Label 8681: @523919
     /*  523919 */   GIM_Try, /*On fail goto*//*Label 8682*/ GIMT_Encode4(523990), // Rule ID 20937 //
     /*  523924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  523932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  523935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  523938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  523941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523956 */     // MIs[0] round
     /*  523956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523966 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  523969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523975 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523988 */     GIR_RootConstrainSelectedInstOperands,
     /*  523989 */     // GIR_Coverage, 20937,
     /*  523989 */     GIR_EraseRootFromParent_Done,
     /*  523990 */   // Label 8682: @523990
     /*  523990 */   GIM_Try, /*On fail goto*//*Label 8683*/ GIMT_Encode4(524061), // Rule ID 20938 //
     /*  523995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  524006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  524009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  524012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524027 */     // MIs[0] round
     /*  524027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524037 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  524040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524046 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524059 */     GIR_RootConstrainSelectedInstOperands,
     /*  524060 */     // GIR_Coverage, 20938,
     /*  524060 */     GIR_EraseRootFromParent_Done,
     /*  524061 */   // Label 8683: @524061
     /*  524061 */   GIM_Try, /*On fail goto*//*Label 8684*/ GIMT_Encode4(524132), // Rule ID 20941 //
     /*  524066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  524077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  524080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  524083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524098 */     // MIs[0] round
     /*  524098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524108 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  524111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524117 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524130 */     GIR_RootConstrainSelectedInstOperands,
     /*  524131 */     // GIR_Coverage, 20941,
     /*  524131 */     GIR_EraseRootFromParent_Done,
     /*  524132 */   // Label 8684: @524132
     /*  524132 */   GIM_Try, /*On fail goto*//*Label 8685*/ GIMT_Encode4(524203), // Rule ID 20942 //
     /*  524137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  524148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  524151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  524154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524169 */     // MIs[0] round
     /*  524169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524179 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  524182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524188 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524201 */     GIR_RootConstrainSelectedInstOperands,
     /*  524202 */     // GIR_Coverage, 20942,
     /*  524202 */     GIR_EraseRootFromParent_Done,
     /*  524203 */   // Label 8685: @524203
     /*  524203 */   GIM_Try, /*On fail goto*//*Label 8686*/ GIMT_Encode4(524274), // Rule ID 20945 //
     /*  524208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  524219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  524222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  524225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524240 */     // MIs[0] round
     /*  524240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524250 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  524253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524259 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524272 */     GIR_RootConstrainSelectedInstOperands,
     /*  524273 */     // GIR_Coverage, 20945,
     /*  524273 */     GIR_EraseRootFromParent_Done,
     /*  524274 */   // Label 8686: @524274
     /*  524274 */   GIM_Try, /*On fail goto*//*Label 8687*/ GIMT_Encode4(524345), // Rule ID 20946 //
     /*  524279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  524290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  524293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  524296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524311 */     // MIs[0] round
     /*  524311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524321 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  524324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524330 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524343 */     GIR_RootConstrainSelectedInstOperands,
     /*  524344 */     // GIR_Coverage, 20946,
     /*  524344 */     GIR_EraseRootFromParent_Done,
     /*  524345 */   // Label 8687: @524345
     /*  524345 */   GIM_Try, /*On fail goto*//*Label 8688*/ GIMT_Encode4(524416), // Rule ID 20949 //
     /*  524350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  524353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  524361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  524364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  524367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524382 */     // MIs[0] round
     /*  524382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524392 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  524392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  524395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524401 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524414 */     GIR_RootConstrainSelectedInstOperands,
     /*  524415 */     // GIR_Coverage, 20949,
     /*  524415 */     GIR_EraseRootFromParent_Done,
     /*  524416 */   // Label 8688: @524416
     /*  524416 */   GIM_Try, /*On fail goto*//*Label 8689*/ GIMT_Encode4(524487), // Rule ID 20950 //
     /*  524421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  524432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  524435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  524438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524453 */     // MIs[0] round
     /*  524453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524463 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  524466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524472 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524485 */     GIR_RootConstrainSelectedInstOperands,
     /*  524486 */     // GIR_Coverage, 20950,
     /*  524486 */     GIR_EraseRootFromParent_Done,
     /*  524487 */   // Label 8689: @524487
     /*  524487 */   GIM_Try, /*On fail goto*//*Label 8690*/ GIMT_Encode4(524558), // Rule ID 20953 //
     /*  524492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  524495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  524503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  524506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  524509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524524 */     // MIs[0] round
     /*  524524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524534 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  524534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  524537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524543 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524556 */     GIR_RootConstrainSelectedInstOperands,
     /*  524557 */     // GIR_Coverage, 20953,
     /*  524557 */     GIR_EraseRootFromParent_Done,
     /*  524558 */   // Label 8690: @524558
     /*  524558 */   GIM_Try, /*On fail goto*//*Label 8691*/ GIMT_Encode4(524629), // Rule ID 20954 //
     /*  524563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  524574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  524577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  524580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524595 */     // MIs[0] round
     /*  524595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524605 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  524608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524614 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524627 */     GIR_RootConstrainSelectedInstOperands,
     /*  524628 */     // GIR_Coverage, 20954,
     /*  524628 */     GIR_EraseRootFromParent_Done,
     /*  524629 */   // Label 8691: @524629
     /*  524629 */   GIM_Try, /*On fail goto*//*Label 8692*/ GIMT_Encode4(524700), // Rule ID 20957 //
     /*  524634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  524637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  524645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  524648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  524651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524666 */     // MIs[0] round
     /*  524666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524676 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  524676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  524679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524685 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524698 */     GIR_RootConstrainSelectedInstOperands,
     /*  524699 */     // GIR_Coverage, 20957,
     /*  524699 */     GIR_EraseRootFromParent_Done,
     /*  524700 */   // Label 8692: @524700
     /*  524700 */   GIM_Try, /*On fail goto*//*Label 8693*/ GIMT_Encode4(524771), // Rule ID 20958 //
     /*  524705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  524713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  524716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  524719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  524722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524737 */     // MIs[0] round
     /*  524737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524747 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  524750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524756 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524769 */     GIR_RootConstrainSelectedInstOperands,
     /*  524770 */     // GIR_Coverage, 20958,
     /*  524770 */     GIR_EraseRootFromParent_Done,
     /*  524771 */   // Label 8693: @524771
     /*  524771 */   GIM_Try, /*On fail goto*//*Label 8694*/ GIMT_Encode4(524842), // Rule ID 21033 //
     /*  524776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  524784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  524787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  524790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  524793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524808 */     // MIs[0] round
     /*  524808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524818 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  524821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524827 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524840 */     GIR_RootConstrainSelectedInstOperands,
     /*  524841 */     // GIR_Coverage, 21033,
     /*  524841 */     GIR_EraseRootFromParent_Done,
     /*  524842 */   // Label 8694: @524842
     /*  524842 */   GIM_Try, /*On fail goto*//*Label 8695*/ GIMT_Encode4(524913), // Rule ID 21034 //
     /*  524847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  524855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  524858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  524861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  524864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524879 */     // MIs[0] round
     /*  524879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524889 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  524892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524898 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524911 */     GIR_RootConstrainSelectedInstOperands,
     /*  524912 */     // GIR_Coverage, 21034,
     /*  524912 */     GIR_EraseRootFromParent_Done,
     /*  524913 */   // Label 8695: @524913
     /*  524913 */   GIM_Try, /*On fail goto*//*Label 8696*/ GIMT_Encode4(524984), // Rule ID 21037 //
     /*  524918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  524926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  524929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  524932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  524935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524950 */     // MIs[0] round
     /*  524950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524960 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  524963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524969 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524982 */     GIR_RootConstrainSelectedInstOperands,
     /*  524983 */     // GIR_Coverage, 21037,
     /*  524983 */     GIR_EraseRootFromParent_Done,
     /*  524984 */   // Label 8696: @524984
     /*  524984 */   GIM_Try, /*On fail goto*//*Label 8697*/ GIMT_Encode4(525055), // Rule ID 21038 //
     /*  524989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  524997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  525000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  525003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  525006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525021 */     // MIs[0] round
     /*  525021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525031 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  525034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525040 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525053 */     GIR_RootConstrainSelectedInstOperands,
     /*  525054 */     // GIR_Coverage, 21038,
     /*  525054 */     GIR_EraseRootFromParent_Done,
     /*  525055 */   // Label 8697: @525055
     /*  525055 */   GIM_Try, /*On fail goto*//*Label 8698*/ GIMT_Encode4(525126), // Rule ID 21041 //
     /*  525060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  525068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  525071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  525074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  525077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525092 */     // MIs[0] round
     /*  525092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525102 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  525105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525111 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525124 */     GIR_RootConstrainSelectedInstOperands,
     /*  525125 */     // GIR_Coverage, 21041,
     /*  525125 */     GIR_EraseRootFromParent_Done,
     /*  525126 */   // Label 8698: @525126
     /*  525126 */   GIM_Try, /*On fail goto*//*Label 8699*/ GIMT_Encode4(525197), // Rule ID 21042 //
     /*  525131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  525139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  525142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  525145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  525148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525163 */     // MIs[0] round
     /*  525163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525173 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  525176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525182 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525195 */     GIR_RootConstrainSelectedInstOperands,
     /*  525196 */     // GIR_Coverage, 21042,
     /*  525196 */     GIR_EraseRootFromParent_Done,
     /*  525197 */   // Label 8699: @525197
     /*  525197 */   GIM_Try, /*On fail goto*//*Label 8700*/ GIMT_Encode4(525268), // Rule ID 21045 //
     /*  525202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  525210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  525213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  525216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  525219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525234 */     // MIs[0] round
     /*  525234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525244 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  525247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525253 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525266 */     GIR_RootConstrainSelectedInstOperands,
     /*  525267 */     // GIR_Coverage, 21045,
     /*  525267 */     GIR_EraseRootFromParent_Done,
     /*  525268 */   // Label 8700: @525268
     /*  525268 */   GIM_Try, /*On fail goto*//*Label 8701*/ GIMT_Encode4(525339), // Rule ID 21046 //
     /*  525273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  525281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  525284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  525287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  525290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525305 */     // MIs[0] round
     /*  525305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525315 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  525318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525324 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525337 */     GIR_RootConstrainSelectedInstOperands,
     /*  525338 */     // GIR_Coverage, 21046,
     /*  525338 */     GIR_EraseRootFromParent_Done,
     /*  525339 */   // Label 8701: @525339
     /*  525339 */   GIM_Try, /*On fail goto*//*Label 8702*/ GIMT_Encode4(525410), // Rule ID 21049 //
     /*  525344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  525352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  525355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  525358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  525361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525376 */     // MIs[0] round
     /*  525376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525386 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  525389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525395 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525408 */     GIR_RootConstrainSelectedInstOperands,
     /*  525409 */     // GIR_Coverage, 21049,
     /*  525409 */     GIR_EraseRootFromParent_Done,
     /*  525410 */   // Label 8702: @525410
     /*  525410 */   GIM_Try, /*On fail goto*//*Label 8703*/ GIMT_Encode4(525481), // Rule ID 21050 //
     /*  525415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  525423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  525426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  525429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  525432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525447 */     // MIs[0] round
     /*  525447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525457 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  525460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525466 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525479 */     GIR_RootConstrainSelectedInstOperands,
     /*  525480 */     // GIR_Coverage, 21050,
     /*  525480 */     GIR_EraseRootFromParent_Done,
     /*  525481 */   // Label 8703: @525481
     /*  525481 */   GIM_Try, /*On fail goto*//*Label 8704*/ GIMT_Encode4(525552), // Rule ID 21053 //
     /*  525486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  525489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  525494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  525497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  525500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  525503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525518 */     // MIs[0] round
     /*  525518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525528 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  525531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525537 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525550 */     GIR_RootConstrainSelectedInstOperands,
     /*  525551 */     // GIR_Coverage, 21053,
     /*  525551 */     GIR_EraseRootFromParent_Done,
     /*  525552 */   // Label 8704: @525552
     /*  525552 */   GIM_Try, /*On fail goto*//*Label 8705*/ GIMT_Encode4(525623), // Rule ID 21054 //
     /*  525557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  525560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  525565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  525568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  525571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  525574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525589 */     // MIs[0] round
     /*  525589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525599 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  525602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525608 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525621 */     GIR_RootConstrainSelectedInstOperands,
     /*  525622 */     // GIR_Coverage, 21054,
     /*  525622 */     GIR_EraseRootFromParent_Done,
     /*  525623 */   // Label 8705: @525623
     /*  525623 */   GIM_Try, /*On fail goto*//*Label 8706*/ GIMT_Encode4(525694), // Rule ID 21057 //
     /*  525628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  525631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  525636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  525639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  525642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  525645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525660 */     // MIs[0] round
     /*  525660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525670 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  525673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525679 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525692 */     GIR_RootConstrainSelectedInstOperands,
     /*  525693 */     // GIR_Coverage, 21057,
     /*  525693 */     GIR_EraseRootFromParent_Done,
     /*  525694 */   // Label 8706: @525694
     /*  525694 */   GIM_Try, /*On fail goto*//*Label 8707*/ GIMT_Encode4(525765), // Rule ID 21058 //
     /*  525699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  525702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  525707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  525710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  525713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  525716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525731 */     // MIs[0] round
     /*  525731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525741 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  525744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525750 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525763 */     GIR_RootConstrainSelectedInstOperands,
     /*  525764 */     // GIR_Coverage, 21058,
     /*  525764 */     GIR_EraseRootFromParent_Done,
     /*  525765 */   // Label 8707: @525765
     /*  525765 */   GIM_Try, /*On fail goto*//*Label 8708*/ GIMT_Encode4(525836), // Rule ID 21061 //
     /*  525770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  525773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  525778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  525781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  525784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  525787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525802 */     // MIs[0] round
     /*  525802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525812 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  525815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525821 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525834 */     GIR_RootConstrainSelectedInstOperands,
     /*  525835 */     // GIR_Coverage, 21061,
     /*  525835 */     GIR_EraseRootFromParent_Done,
     /*  525836 */   // Label 8708: @525836
     /*  525836 */   GIM_Try, /*On fail goto*//*Label 8709*/ GIMT_Encode4(525907), // Rule ID 21062 //
     /*  525841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  525844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  525849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  525852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  525855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  525858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525873 */     // MIs[0] round
     /*  525873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525883 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  525886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525892 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525905 */     GIR_RootConstrainSelectedInstOperands,
     /*  525906 */     // GIR_Coverage, 21062,
     /*  525906 */     GIR_EraseRootFromParent_Done,
     /*  525907 */   // Label 8709: @525907
     /*  525907 */   GIM_Try, /*On fail goto*//*Label 8710*/ GIMT_Encode4(525978), // Rule ID 21065 //
     /*  525912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  525915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  525920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  525923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  525926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  525929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525944 */     // MIs[0] round
     /*  525944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525954 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  525957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525963 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525976 */     GIR_RootConstrainSelectedInstOperands,
     /*  525977 */     // GIR_Coverage, 21065,
     /*  525977 */     GIR_EraseRootFromParent_Done,
     /*  525978 */   // Label 8710: @525978
     /*  525978 */   GIM_Try, /*On fail goto*//*Label 8711*/ GIMT_Encode4(526049), // Rule ID 21066 //
     /*  525983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  525986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  525991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  525994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  525997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  526000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526015 */     // MIs[0] round
     /*  526015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526025 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  526028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526034 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526047 */     GIR_RootConstrainSelectedInstOperands,
     /*  526048 */     // GIR_Coverage, 21066,
     /*  526048 */     GIR_EraseRootFromParent_Done,
     /*  526049 */   // Label 8711: @526049
     /*  526049 */   GIM_Try, /*On fail goto*//*Label 8712*/ GIMT_Encode4(526120), // Rule ID 21069 //
     /*  526054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  526062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  526065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  526068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  526071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526086 */     // MIs[0] round
     /*  526086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526096 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  526099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526105 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526118 */     GIR_RootConstrainSelectedInstOperands,
     /*  526119 */     // GIR_Coverage, 21069,
     /*  526119 */     GIR_EraseRootFromParent_Done,
     /*  526120 */   // Label 8712: @526120
     /*  526120 */   GIM_Try, /*On fail goto*//*Label 8713*/ GIMT_Encode4(526191), // Rule ID 21070 //
     /*  526125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  526133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  526136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  526139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  526142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526157 */     // MIs[0] round
     /*  526157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526167 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  526170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526176 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526189 */     GIR_RootConstrainSelectedInstOperands,
     /*  526190 */     // GIR_Coverage, 21070,
     /*  526190 */     GIR_EraseRootFromParent_Done,
     /*  526191 */   // Label 8713: @526191
     /*  526191 */   GIM_Try, /*On fail goto*//*Label 8714*/ GIMT_Encode4(526262), // Rule ID 21073 //
     /*  526196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  526204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  526207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  526210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  526213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526228 */     // MIs[0] round
     /*  526228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526238 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  526241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526247 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526260 */     GIR_RootConstrainSelectedInstOperands,
     /*  526261 */     // GIR_Coverage, 21073,
     /*  526261 */     GIR_EraseRootFromParent_Done,
     /*  526262 */   // Label 8714: @526262
     /*  526262 */   GIM_Try, /*On fail goto*//*Label 8715*/ GIMT_Encode4(526333), // Rule ID 21074 //
     /*  526267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  526275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  526278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  526281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  526284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526299 */     // MIs[0] round
     /*  526299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526309 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  526312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526318 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526331 */     GIR_RootConstrainSelectedInstOperands,
     /*  526332 */     // GIR_Coverage, 21074,
     /*  526332 */     GIR_EraseRootFromParent_Done,
     /*  526333 */   // Label 8715: @526333
     /*  526333 */   GIM_Try, /*On fail goto*//*Label 8716*/ GIMT_Encode4(526404), // Rule ID 21077 //
     /*  526338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  526346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  526349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  526352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  526355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526370 */     // MIs[0] round
     /*  526370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526380 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  526383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526389 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526402 */     GIR_RootConstrainSelectedInstOperands,
     /*  526403 */     // GIR_Coverage, 21077,
     /*  526403 */     GIR_EraseRootFromParent_Done,
     /*  526404 */   // Label 8716: @526404
     /*  526404 */   GIM_Try, /*On fail goto*//*Label 8717*/ GIMT_Encode4(526475), // Rule ID 21078 //
     /*  526409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  526417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  526420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  526423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  526426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526441 */     // MIs[0] round
     /*  526441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526451 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  526454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526460 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526473 */     GIR_RootConstrainSelectedInstOperands,
     /*  526474 */     // GIR_Coverage, 21078,
     /*  526474 */     GIR_EraseRootFromParent_Done,
     /*  526475 */   // Label 8717: @526475
     /*  526475 */   GIM_Try, /*On fail goto*//*Label 8718*/ GIMT_Encode4(526546), // Rule ID 21081 //
     /*  526480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  526488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  526491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  526494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  526497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526512 */     // MIs[0] round
     /*  526512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526522 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  526525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526531 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526544 */     GIR_RootConstrainSelectedInstOperands,
     /*  526545 */     // GIR_Coverage, 21081,
     /*  526545 */     GIR_EraseRootFromParent_Done,
     /*  526546 */   // Label 8718: @526546
     /*  526546 */   GIM_Try, /*On fail goto*//*Label 8719*/ GIMT_Encode4(526617), // Rule ID 21082 //
     /*  526551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  526559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  526562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  526565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  526568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526583 */     // MIs[0] round
     /*  526583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526593 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  526596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526602 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526615 */     GIR_RootConstrainSelectedInstOperands,
     /*  526616 */     // GIR_Coverage, 21082,
     /*  526616 */     GIR_EraseRootFromParent_Done,
     /*  526617 */   // Label 8719: @526617
     /*  526617 */   GIM_Try, /*On fail goto*//*Label 8720*/ GIMT_Encode4(526688), // Rule ID 21085 //
     /*  526622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  526630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  526633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  526636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  526639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526654 */     // MIs[0] round
     /*  526654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526664 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  526667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526673 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526686 */     GIR_RootConstrainSelectedInstOperands,
     /*  526687 */     // GIR_Coverage, 21085,
     /*  526687 */     GIR_EraseRootFromParent_Done,
     /*  526688 */   // Label 8720: @526688
     /*  526688 */   GIM_Try, /*On fail goto*//*Label 8721*/ GIMT_Encode4(526759), // Rule ID 21086 //
     /*  526693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  526701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  526704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  526707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  526710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526725 */     // MIs[0] round
     /*  526725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526735 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  526738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526744 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526757 */     GIR_RootConstrainSelectedInstOperands,
     /*  526758 */     // GIR_Coverage, 21086,
     /*  526758 */     GIR_EraseRootFromParent_Done,
     /*  526759 */   // Label 8721: @526759
     /*  526759 */   GIM_Try, /*On fail goto*//*Label 8722*/ GIMT_Encode4(526830), // Rule ID 21089 //
     /*  526764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  526767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  526772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  526775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  526778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  526781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526796 */     // MIs[0] round
     /*  526796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526806 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  526809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526815 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526828 */     GIR_RootConstrainSelectedInstOperands,
     /*  526829 */     // GIR_Coverage, 21089,
     /*  526829 */     GIR_EraseRootFromParent_Done,
     /*  526830 */   // Label 8722: @526830
     /*  526830 */   GIM_Try, /*On fail goto*//*Label 8723*/ GIMT_Encode4(526901), // Rule ID 21090 //
     /*  526835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  526838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  526843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  526846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  526849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  526852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526867 */     // MIs[0] round
     /*  526867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526877 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  526880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526886 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526899 */     GIR_RootConstrainSelectedInstOperands,
     /*  526900 */     // GIR_Coverage, 21090,
     /*  526900 */     GIR_EraseRootFromParent_Done,
     /*  526901 */   // Label 8723: @526901
     /*  526901 */   GIM_Try, /*On fail goto*//*Label 8724*/ GIMT_Encode4(526972), // Rule ID 21093 //
     /*  526906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  526909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  526914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  526917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  526920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  526923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526938 */     // MIs[0] round
     /*  526938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526948 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  526951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526957 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526970 */     GIR_RootConstrainSelectedInstOperands,
     /*  526971 */     // GIR_Coverage, 21093,
     /*  526971 */     GIR_EraseRootFromParent_Done,
     /*  526972 */   // Label 8724: @526972
     /*  526972 */   GIM_Try, /*On fail goto*//*Label 8725*/ GIMT_Encode4(527043), // Rule ID 21094 //
     /*  526977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  526980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  526985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  526988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  526991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  526994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527009 */     // MIs[0] round
     /*  527009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527019 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  527022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527028 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527041 */     GIR_RootConstrainSelectedInstOperands,
     /*  527042 */     // GIR_Coverage, 21094,
     /*  527042 */     GIR_EraseRootFromParent_Done,
     /*  527043 */   // Label 8725: @527043
     /*  527043 */   GIM_Try, /*On fail goto*//*Label 8726*/ GIMT_Encode4(527114), // Rule ID 21097 //
     /*  527048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  527051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  527059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  527062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  527065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527080 */     // MIs[0] round
     /*  527080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527090 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  527093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527099 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527112 */     GIR_RootConstrainSelectedInstOperands,
     /*  527113 */     // GIR_Coverage, 21097,
     /*  527113 */     GIR_EraseRootFromParent_Done,
     /*  527114 */   // Label 8726: @527114
     /*  527114 */   GIM_Try, /*On fail goto*//*Label 8727*/ GIMT_Encode4(527185), // Rule ID 21098 //
     /*  527119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  527122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  527130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  527133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  527136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527151 */     // MIs[0] round
     /*  527151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527161 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  527164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527170 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527183 */     GIR_RootConstrainSelectedInstOperands,
     /*  527184 */     // GIR_Coverage, 21098,
     /*  527184 */     GIR_EraseRootFromParent_Done,
     /*  527185 */   // Label 8727: @527185
     /*  527185 */   GIM_Try, /*On fail goto*//*Label 8728*/ GIMT_Encode4(527256), // Rule ID 21101 //
     /*  527190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  527193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  527201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  527204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  527207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527222 */     // MIs[0] round
     /*  527222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527232 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  527235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527241 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527254 */     GIR_RootConstrainSelectedInstOperands,
     /*  527255 */     // GIR_Coverage, 21101,
     /*  527255 */     GIR_EraseRootFromParent_Done,
     /*  527256 */   // Label 8728: @527256
     /*  527256 */   GIM_Try, /*On fail goto*//*Label 8729*/ GIMT_Encode4(527327), // Rule ID 21102 //
     /*  527261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  527264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  527269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  527272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  527275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  527278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527293 */     // MIs[0] round
     /*  527293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527303 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  527306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527312 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527325 */     GIR_RootConstrainSelectedInstOperands,
     /*  527326 */     // GIR_Coverage, 21102,
     /*  527326 */     GIR_EraseRootFromParent_Done,
     /*  527327 */   // Label 8729: @527327
     /*  527327 */   GIM_Try, /*On fail goto*//*Label 8730*/ GIMT_Encode4(527398), // Rule ID 21453 //
     /*  527332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  527340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  527343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  527346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  527349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527364 */     // MIs[0] round
     /*  527364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527374 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  527374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  527377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527383 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527396 */     GIR_RootConstrainSelectedInstOperands,
     /*  527397 */     // GIR_Coverage, 21453,
     /*  527397 */     GIR_EraseRootFromParent_Done,
     /*  527398 */   // Label 8730: @527398
     /*  527398 */   GIM_Try, /*On fail goto*//*Label 8731*/ GIMT_Encode4(527469), // Rule ID 21454 //
     /*  527403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  527411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  527414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  527417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  527420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527435 */     // MIs[0] round
     /*  527435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527445 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  527445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  527448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527454 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527467 */     GIR_RootConstrainSelectedInstOperands,
     /*  527468 */     // GIR_Coverage, 21454,
     /*  527468 */     GIR_EraseRootFromParent_Done,
     /*  527469 */   // Label 8731: @527469
     /*  527469 */   GIM_Try, /*On fail goto*//*Label 8732*/ GIMT_Encode4(527540), // Rule ID 21457 //
     /*  527474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  527482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  527485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  527488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  527491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527506 */     // MIs[0] round
     /*  527506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527516 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  527516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  527519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527525 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527538 */     GIR_RootConstrainSelectedInstOperands,
     /*  527539 */     // GIR_Coverage, 21457,
     /*  527539 */     GIR_EraseRootFromParent_Done,
     /*  527540 */   // Label 8732: @527540
     /*  527540 */   GIM_Try, /*On fail goto*//*Label 8733*/ GIMT_Encode4(527611), // Rule ID 21458 //
     /*  527545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  527553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  527556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  527559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  527562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527577 */     // MIs[0] round
     /*  527577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527587 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  527587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  527590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527596 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527609 */     GIR_RootConstrainSelectedInstOperands,
     /*  527610 */     // GIR_Coverage, 21458,
     /*  527610 */     GIR_EraseRootFromParent_Done,
     /*  527611 */   // Label 8733: @527611
     /*  527611 */   GIM_Try, /*On fail goto*//*Label 8734*/ GIMT_Encode4(527682), // Rule ID 21461 //
     /*  527616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  527624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  527627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  527630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  527633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527648 */     // MIs[0] round
     /*  527648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527658 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  527658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  527661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527667 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527680 */     GIR_RootConstrainSelectedInstOperands,
     /*  527681 */     // GIR_Coverage, 21461,
     /*  527681 */     GIR_EraseRootFromParent_Done,
     /*  527682 */   // Label 8734: @527682
     /*  527682 */   GIM_Try, /*On fail goto*//*Label 8735*/ GIMT_Encode4(527753), // Rule ID 21462 //
     /*  527687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  527695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  527698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  527701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  527704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527719 */     // MIs[0] round
     /*  527719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527729 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  527729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  527732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527738 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527751 */     GIR_RootConstrainSelectedInstOperands,
     /*  527752 */     // GIR_Coverage, 21462,
     /*  527752 */     GIR_EraseRootFromParent_Done,
     /*  527753 */   // Label 8735: @527753
     /*  527753 */   GIM_Try, /*On fail goto*//*Label 8736*/ GIMT_Encode4(527824), // Rule ID 21465 //
     /*  527758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  527766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  527769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  527772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  527775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527790 */     // MIs[0] round
     /*  527790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527800 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  527800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  527803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527809 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527822 */     GIR_RootConstrainSelectedInstOperands,
     /*  527823 */     // GIR_Coverage, 21465,
     /*  527823 */     GIR_EraseRootFromParent_Done,
     /*  527824 */   // Label 8736: @527824
     /*  527824 */   GIM_Try, /*On fail goto*//*Label 8737*/ GIMT_Encode4(527895), // Rule ID 21466 //
     /*  527829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  527837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  527840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  527843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  527846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527861 */     // MIs[0] round
     /*  527861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527871 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  527871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  527874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527880 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527893 */     GIR_RootConstrainSelectedInstOperands,
     /*  527894 */     // GIR_Coverage, 21466,
     /*  527894 */     GIR_EraseRootFromParent_Done,
     /*  527895 */   // Label 8737: @527895
     /*  527895 */   GIM_Try, /*On fail goto*//*Label 8738*/ GIMT_Encode4(527966), // Rule ID 21469 //
     /*  527900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  527908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  527911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  527914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  527917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527932 */     // MIs[0] round
     /*  527932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527942 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  527942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  527945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527951 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527964 */     GIR_RootConstrainSelectedInstOperands,
     /*  527965 */     // GIR_Coverage, 21469,
     /*  527965 */     GIR_EraseRootFromParent_Done,
     /*  527966 */   // Label 8738: @527966
     /*  527966 */   GIM_Try, /*On fail goto*//*Label 8739*/ GIMT_Encode4(528037), // Rule ID 21470 //
     /*  527971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  527979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  527982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  527985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  527988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528003 */     // MIs[0] round
     /*  528003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528013 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  528013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  528016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528022 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528035 */     GIR_RootConstrainSelectedInstOperands,
     /*  528036 */     // GIR_Coverage, 21470,
     /*  528036 */     GIR_EraseRootFromParent_Done,
     /*  528037 */   // Label 8739: @528037
     /*  528037 */   GIM_Try, /*On fail goto*//*Label 8740*/ GIMT_Encode4(528108), // Rule ID 21473 //
     /*  528042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  528053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  528056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  528059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528074 */     // MIs[0] round
     /*  528074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528084 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  528084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  528087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528093 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528106 */     GIR_RootConstrainSelectedInstOperands,
     /*  528107 */     // GIR_Coverage, 21473,
     /*  528107 */     GIR_EraseRootFromParent_Done,
     /*  528108 */   // Label 8740: @528108
     /*  528108 */   GIM_Try, /*On fail goto*//*Label 8741*/ GIMT_Encode4(528179), // Rule ID 21474 //
     /*  528113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  528124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  528127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  528130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528145 */     // MIs[0] round
     /*  528145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528155 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  528155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  528158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528164 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  528174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528177 */     GIR_RootConstrainSelectedInstOperands,
     /*  528178 */     // GIR_Coverage, 21474,
     /*  528178 */     GIR_EraseRootFromParent_Done,
     /*  528179 */   // Label 8741: @528179
     /*  528179 */   GIM_Try, /*On fail goto*//*Label 8742*/ GIMT_Encode4(528250), // Rule ID 21477 //
     /*  528184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  528187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  528195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  528198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  528201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528216 */     // MIs[0] round
     /*  528216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528226 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  528229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528235 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528248 */     GIR_RootConstrainSelectedInstOperands,
     /*  528249 */     // GIR_Coverage, 21477,
     /*  528249 */     GIR_EraseRootFromParent_Done,
     /*  528250 */   // Label 8742: @528250
     /*  528250 */   GIM_Try, /*On fail goto*//*Label 8743*/ GIMT_Encode4(528321), // Rule ID 21478 //
     /*  528255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  528258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  528266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  528269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  528272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528287 */     // MIs[0] round
     /*  528287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528297 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  528300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528306 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528319 */     GIR_RootConstrainSelectedInstOperands,
     /*  528320 */     // GIR_Coverage, 21478,
     /*  528320 */     GIR_EraseRootFromParent_Done,
     /*  528321 */   // Label 8743: @528321
     /*  528321 */   GIM_Try, /*On fail goto*//*Label 8744*/ GIMT_Encode4(528392), // Rule ID 21481 //
     /*  528326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  528329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  528337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  528340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  528343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528358 */     // MIs[0] round
     /*  528358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528368 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  528371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528377 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528390 */     GIR_RootConstrainSelectedInstOperands,
     /*  528391 */     // GIR_Coverage, 21481,
     /*  528391 */     GIR_EraseRootFromParent_Done,
     /*  528392 */   // Label 8744: @528392
     /*  528392 */   GIM_Try, /*On fail goto*//*Label 8745*/ GIMT_Encode4(528463), // Rule ID 21482 //
     /*  528397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  528400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  528408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  528411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  528414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528429 */     // MIs[0] round
     /*  528429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528439 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  528442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528448 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528461 */     GIR_RootConstrainSelectedInstOperands,
     /*  528462 */     // GIR_Coverage, 21482,
     /*  528462 */     GIR_EraseRootFromParent_Done,
     /*  528463 */   // Label 8745: @528463
     /*  528463 */   GIM_Try, /*On fail goto*//*Label 8746*/ GIMT_Encode4(528534), // Rule ID 21485 //
     /*  528468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  528471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  528479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  528482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  528485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528500 */     // MIs[0] round
     /*  528500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528510 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  528513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528519 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528532 */     GIR_RootConstrainSelectedInstOperands,
     /*  528533 */     // GIR_Coverage, 21485,
     /*  528533 */     GIR_EraseRootFromParent_Done,
     /*  528534 */   // Label 8746: @528534
     /*  528534 */   GIM_Try, /*On fail goto*//*Label 8747*/ GIMT_Encode4(528605), // Rule ID 21486 //
     /*  528539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  528542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  528550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  528553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  528556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528571 */     // MIs[0] round
     /*  528571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528581 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  528584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528590 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528603 */     GIR_RootConstrainSelectedInstOperands,
     /*  528604 */     // GIR_Coverage, 21486,
     /*  528604 */     GIR_EraseRootFromParent_Done,
     /*  528605 */   // Label 8747: @528605
     /*  528605 */   GIM_Try, /*On fail goto*//*Label 8748*/ GIMT_Encode4(528676), // Rule ID 21489 //
     /*  528610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  528613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  528621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  528624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  528627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528642 */     // MIs[0] round
     /*  528642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528652 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  528655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528661 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528674 */     GIR_RootConstrainSelectedInstOperands,
     /*  528675 */     // GIR_Coverage, 21489,
     /*  528675 */     GIR_EraseRootFromParent_Done,
     /*  528676 */   // Label 8748: @528676
     /*  528676 */   GIM_Try, /*On fail goto*//*Label 8749*/ GIMT_Encode4(528747), // Rule ID 21490 //
     /*  528681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  528684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  528692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  528695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  528698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528713 */     // MIs[0] round
     /*  528713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528723 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  528726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528732 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528745 */     GIR_RootConstrainSelectedInstOperands,
     /*  528746 */     // GIR_Coverage, 21490,
     /*  528746 */     GIR_EraseRootFromParent_Done,
     /*  528747 */   // Label 8749: @528747
     /*  528747 */   GIM_Try, /*On fail goto*//*Label 8750*/ GIMT_Encode4(528818), // Rule ID 21493 //
     /*  528752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  528755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  528763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  528766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  528769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528784 */     // MIs[0] round
     /*  528784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528794 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  528797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528803 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528816 */     GIR_RootConstrainSelectedInstOperands,
     /*  528817 */     // GIR_Coverage, 21493,
     /*  528817 */     GIR_EraseRootFromParent_Done,
     /*  528818 */   // Label 8750: @528818
     /*  528818 */   GIM_Try, /*On fail goto*//*Label 8751*/ GIMT_Encode4(528889), // Rule ID 21494 //
     /*  528823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  528826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  528834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  528837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  528840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528855 */     // MIs[0] round
     /*  528855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528865 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  528868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528874 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528887 */     GIR_RootConstrainSelectedInstOperands,
     /*  528888 */     // GIR_Coverage, 21494,
     /*  528888 */     GIR_EraseRootFromParent_Done,
     /*  528889 */   // Label 8751: @528889
     /*  528889 */   GIM_Try, /*On fail goto*//*Label 8752*/ GIMT_Encode4(528960), // Rule ID 21497 //
     /*  528894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  528897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  528905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  528908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  528911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528926 */     // MIs[0] round
     /*  528926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528936 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  528939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528945 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528958 */     GIR_RootConstrainSelectedInstOperands,
     /*  528959 */     // GIR_Coverage, 21497,
     /*  528959 */     GIR_EraseRootFromParent_Done,
     /*  528960 */   // Label 8752: @528960
     /*  528960 */   GIM_Try, /*On fail goto*//*Label 8753*/ GIMT_Encode4(529031), // Rule ID 21498 //
     /*  528965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  528968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  528973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  528976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  528979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  528982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528997 */     // MIs[0] round
     /*  528997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529007 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  529010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529016 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529029 */     GIR_RootConstrainSelectedInstOperands,
     /*  529030 */     // GIR_Coverage, 21498,
     /*  529030 */     GIR_EraseRootFromParent_Done,
     /*  529031 */   // Label 8753: @529031
     /*  529031 */   GIM_Try, /*On fail goto*//*Label 8754*/ GIMT_Encode4(529102), // Rule ID 21501 //
     /*  529036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  529039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  529047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  529050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  529053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529068 */     // MIs[0] round
     /*  529068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529078 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  529081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529087 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529100 */     GIR_RootConstrainSelectedInstOperands,
     /*  529101 */     // GIR_Coverage, 21501,
     /*  529101 */     GIR_EraseRootFromParent_Done,
     /*  529102 */   // Label 8754: @529102
     /*  529102 */   GIM_Try, /*On fail goto*//*Label 8755*/ GIMT_Encode4(529173), // Rule ID 21502 //
     /*  529107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  529110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  529118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  529121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  529124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529139 */     // MIs[0] round
     /*  529139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529149 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  529152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529158 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529171 */     GIR_RootConstrainSelectedInstOperands,
     /*  529172 */     // GIR_Coverage, 21502,
     /*  529172 */     GIR_EraseRootFromParent_Done,
     /*  529173 */   // Label 8755: @529173
     /*  529173 */   GIM_Try, /*On fail goto*//*Label 8756*/ GIMT_Encode4(529244), // Rule ID 21505 //
     /*  529178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  529181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  529189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  529192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  529195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529210 */     // MIs[0] round
     /*  529210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529220 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  529223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529229 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529242 */     GIR_RootConstrainSelectedInstOperands,
     /*  529243 */     // GIR_Coverage, 21505,
     /*  529243 */     GIR_EraseRootFromParent_Done,
     /*  529244 */   // Label 8756: @529244
     /*  529244 */   GIM_Try, /*On fail goto*//*Label 8757*/ GIMT_Encode4(529315), // Rule ID 21506 //
     /*  529249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  529252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  529260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  529263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  529266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529281 */     // MIs[0] round
     /*  529281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529291 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11136:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  529294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529300 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529313 */     GIR_RootConstrainSelectedInstOperands,
     /*  529314 */     // GIR_Coverage, 21506,
     /*  529314 */     GIR_EraseRootFromParent_Done,
     /*  529315 */   // Label 8757: @529315
     /*  529315 */   GIM_Try, /*On fail goto*//*Label 8758*/ GIMT_Encode4(529386), // Rule ID 21509 //
     /*  529320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  529323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  529331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  529334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  529337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529352 */     // MIs[0] round
     /*  529352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529362 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  529365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529371 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529384 */     GIR_RootConstrainSelectedInstOperands,
     /*  529385 */     // GIR_Coverage, 21509,
     /*  529385 */     GIR_EraseRootFromParent_Done,
     /*  529386 */   // Label 8758: @529386
     /*  529386 */   GIM_Try, /*On fail goto*//*Label 8759*/ GIMT_Encode4(529457), // Rule ID 21510 //
     /*  529391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  529394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  529399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  529402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  529405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  529408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529423 */     // MIs[0] round
     /*  529423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529433 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11136:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  529436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529442 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529455 */     GIR_RootConstrainSelectedInstOperands,
     /*  529456 */     // GIR_Coverage, 21510,
     /*  529456 */     GIR_EraseRootFromParent_Done,
     /*  529457 */   // Label 8759: @529457
     /*  529457 */   GIM_Try, /*On fail goto*//*Label 8760*/ GIMT_Encode4(529528), // Rule ID 21513 //
     /*  529462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  529470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  529473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  529476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  529479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529494 */     // MIs[0] round
     /*  529494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529504 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  529507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529513 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529526 */     GIR_RootConstrainSelectedInstOperands,
     /*  529527 */     // GIR_Coverage, 21513,
     /*  529527 */     GIR_EraseRootFromParent_Done,
     /*  529528 */   // Label 8760: @529528
     /*  529528 */   GIM_Try, /*On fail goto*//*Label 8761*/ GIMT_Encode4(529599), // Rule ID 21514 //
     /*  529533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  529541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  529544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  529547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  529550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529565 */     // MIs[0] round
     /*  529565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529575 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  529578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529584 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529597 */     GIR_RootConstrainSelectedInstOperands,
     /*  529598 */     // GIR_Coverage, 21514,
     /*  529598 */     GIR_EraseRootFromParent_Done,
     /*  529599 */   // Label 8761: @529599
     /*  529599 */   GIM_Try, /*On fail goto*//*Label 8762*/ GIMT_Encode4(529670), // Rule ID 21517 //
     /*  529604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  529612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  529615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  529618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  529621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529636 */     // MIs[0] round
     /*  529636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529646 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  529649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529655 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529668 */     GIR_RootConstrainSelectedInstOperands,
     /*  529669 */     // GIR_Coverage, 21517,
     /*  529669 */     GIR_EraseRootFromParent_Done,
     /*  529670 */   // Label 8762: @529670
     /*  529670 */   GIM_Try, /*On fail goto*//*Label 8763*/ GIMT_Encode4(529741), // Rule ID 21518 //
     /*  529675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  529683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  529686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  529689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  529692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529707 */     // MIs[0] round
     /*  529707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529717 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  529720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529726 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529739 */     GIR_RootConstrainSelectedInstOperands,
     /*  529740 */     // GIR_Coverage, 21518,
     /*  529740 */     GIR_EraseRootFromParent_Done,
     /*  529741 */   // Label 8763: @529741
     /*  529741 */   GIM_Try, /*On fail goto*//*Label 8764*/ GIMT_Encode4(529812), // Rule ID 21521 //
     /*  529746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  529754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  529757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  529760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  529763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529778 */     // MIs[0] round
     /*  529778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529788 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  529791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529797 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529810 */     GIR_RootConstrainSelectedInstOperands,
     /*  529811 */     // GIR_Coverage, 21521,
     /*  529811 */     GIR_EraseRootFromParent_Done,
     /*  529812 */   // Label 8764: @529812
     /*  529812 */   GIM_Try, /*On fail goto*//*Label 8765*/ GIMT_Encode4(529883), // Rule ID 21522 //
     /*  529817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  529825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  529828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  529831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  529834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529849 */     // MIs[0] round
     /*  529849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529859 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  529862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529868 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529881 */     GIR_RootConstrainSelectedInstOperands,
     /*  529882 */     // GIR_Coverage, 21522,
     /*  529882 */     GIR_EraseRootFromParent_Done,
     /*  529883 */   // Label 8765: @529883
     /*  529883 */   GIM_Try, /*On fail goto*//*Label 8766*/ GIMT_Encode4(529954), // Rule ID 21525 //
     /*  529888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  529896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  529899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  529902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  529905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529920 */     // MIs[0] round
     /*  529920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529930 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  529933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529939 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529952 */     GIR_RootConstrainSelectedInstOperands,
     /*  529953 */     // GIR_Coverage, 21525,
     /*  529953 */     GIR_EraseRootFromParent_Done,
     /*  529954 */   // Label 8766: @529954
     /*  529954 */   GIM_Try, /*On fail goto*//*Label 8767*/ GIMT_Encode4(530025), // Rule ID 21526 //
     /*  529959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  529967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  529970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  529973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  529976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529991 */     // MIs[0] round
     /*  529991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530001 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  530001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  530004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530010 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530023 */     GIR_RootConstrainSelectedInstOperands,
     /*  530024 */     // GIR_Coverage, 21526,
     /*  530024 */     GIR_EraseRootFromParent_Done,
     /*  530025 */   // Label 8767: @530025
     /*  530025 */   GIM_Try, /*On fail goto*//*Label 8768*/ GIMT_Encode4(530096), // Rule ID 21529 //
     /*  530030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  530033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  530041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  530044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  530047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530062 */     // MIs[0] round
     /*  530062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530072 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  530072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  530075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530081 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530094 */     GIR_RootConstrainSelectedInstOperands,
     /*  530095 */     // GIR_Coverage, 21529,
     /*  530095 */     GIR_EraseRootFromParent_Done,
     /*  530096 */   // Label 8768: @530096
     /*  530096 */   GIM_Try, /*On fail goto*//*Label 8769*/ GIMT_Encode4(530167), // Rule ID 21530 //
     /*  530101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  530104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  530112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  530115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  530118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530133 */     // MIs[0] round
     /*  530133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530143 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  530143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  530146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530152 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530165 */     GIR_RootConstrainSelectedInstOperands,
     /*  530166 */     // GIR_Coverage, 21530,
     /*  530166 */     GIR_EraseRootFromParent_Done,
     /*  530167 */   // Label 8769: @530167
     /*  530167 */   GIM_Try, /*On fail goto*//*Label 8770*/ GIMT_Encode4(530238), // Rule ID 21533 //
     /*  530172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  530175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  530183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  530186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  530189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530204 */     // MIs[0] round
     /*  530204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530214 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  530214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  530217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530223 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530236 */     GIR_RootConstrainSelectedInstOperands,
     /*  530237 */     // GIR_Coverage, 21533,
     /*  530237 */     GIR_EraseRootFromParent_Done,
     /*  530238 */   // Label 8770: @530238
     /*  530238 */   GIM_Try, /*On fail goto*//*Label 8771*/ GIMT_Encode4(530309), // Rule ID 21534 //
     /*  530243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  530246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  530254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  530257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  530260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530275 */     // MIs[0] round
     /*  530275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530285 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  530285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  530288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530294 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530307 */     GIR_RootConstrainSelectedInstOperands,
     /*  530308 */     // GIR_Coverage, 21534,
     /*  530308 */     GIR_EraseRootFromParent_Done,
     /*  530309 */   // Label 8771: @530309
     /*  530309 */   GIM_Try, /*On fail goto*//*Label 8772*/ GIMT_Encode4(530380), // Rule ID 21537 //
     /*  530314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  530325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  530328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  530331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530346 */     // MIs[0] round
     /*  530346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530356 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  530359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530365 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530378 */     GIR_RootConstrainSelectedInstOperands,
     /*  530379 */     // GIR_Coverage, 21537,
     /*  530379 */     GIR_EraseRootFromParent_Done,
     /*  530380 */   // Label 8772: @530380
     /*  530380 */   GIM_Try, /*On fail goto*//*Label 8773*/ GIMT_Encode4(530451), // Rule ID 21538 //
     /*  530385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  530396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  530399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  530402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530417 */     // MIs[0] round
     /*  530417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530427 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  530430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530436 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530449 */     GIR_RootConstrainSelectedInstOperands,
     /*  530450 */     // GIR_Coverage, 21538,
     /*  530450 */     GIR_EraseRootFromParent_Done,
     /*  530451 */   // Label 8773: @530451
     /*  530451 */   GIM_Try, /*On fail goto*//*Label 8774*/ GIMT_Encode4(530522), // Rule ID 21541 //
     /*  530456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  530467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  530470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  530473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530488 */     // MIs[0] round
     /*  530488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530498 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  530501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530507 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530520 */     GIR_RootConstrainSelectedInstOperands,
     /*  530521 */     // GIR_Coverage, 21541,
     /*  530521 */     GIR_EraseRootFromParent_Done,
     /*  530522 */   // Label 8774: @530522
     /*  530522 */   GIM_Try, /*On fail goto*//*Label 8775*/ GIMT_Encode4(530593), // Rule ID 21542 //
     /*  530527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  530538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  530541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  530544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530559 */     // MIs[0] round
     /*  530559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530569 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  530572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530578 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530591 */     GIR_RootConstrainSelectedInstOperands,
     /*  530592 */     // GIR_Coverage, 21542,
     /*  530592 */     GIR_EraseRootFromParent_Done,
     /*  530593 */   // Label 8775: @530593
     /*  530593 */   GIM_Try, /*On fail goto*//*Label 8776*/ GIMT_Encode4(530664), // Rule ID 21545 //
     /*  530598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  530609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  530612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  530615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530630 */     // MIs[0] round
     /*  530630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530640 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  530643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530649 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530662 */     GIR_RootConstrainSelectedInstOperands,
     /*  530663 */     // GIR_Coverage, 21545,
     /*  530663 */     GIR_EraseRootFromParent_Done,
     /*  530664 */   // Label 8776: @530664
     /*  530664 */   GIM_Try, /*On fail goto*//*Label 8777*/ GIMT_Encode4(530735), // Rule ID 21546 //
     /*  530669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  530680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  530683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  530686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530701 */     // MIs[0] round
     /*  530701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530711 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  530714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530720 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530733 */     GIR_RootConstrainSelectedInstOperands,
     /*  530734 */     // GIR_Coverage, 21546,
     /*  530734 */     GIR_EraseRootFromParent_Done,
     /*  530735 */   // Label 8777: @530735
     /*  530735 */   GIM_Try, /*On fail goto*//*Label 8778*/ GIMT_Encode4(530806), // Rule ID 21549 //
     /*  530740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  530751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  530754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  530757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530772 */     // MIs[0] round
     /*  530772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530782 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  530785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530791 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530804 */     GIR_RootConstrainSelectedInstOperands,
     /*  530805 */     // GIR_Coverage, 21549,
     /*  530805 */     GIR_EraseRootFromParent_Done,
     /*  530806 */   // Label 8778: @530806
     /*  530806 */   GIM_Try, /*On fail goto*//*Label 8779*/ GIMT_Encode4(530877), // Rule ID 21550 //
     /*  530811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  530822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  530825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  530828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530843 */     // MIs[0] round
     /*  530843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530853 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  530856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530862 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530875 */     GIR_RootConstrainSelectedInstOperands,
     /*  530876 */     // GIR_Coverage, 21550,
     /*  530876 */     GIR_EraseRootFromParent_Done,
     /*  530877 */   // Label 8779: @530877
     /*  530877 */   GIM_Try, /*On fail goto*//*Label 8780*/ GIMT_Encode4(530948), // Rule ID 21553 //
     /*  530882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  530893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  530896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  530899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530914 */     // MIs[0] round
     /*  530914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530924 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  530927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530933 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530946 */     GIR_RootConstrainSelectedInstOperands,
     /*  530947 */     // GIR_Coverage, 21553,
     /*  530947 */     GIR_EraseRootFromParent_Done,
     /*  530948 */   // Label 8780: @530948
     /*  530948 */   GIM_Try, /*On fail goto*//*Label 8781*/ GIMT_Encode4(531019), // Rule ID 21554 //
     /*  530953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  530961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  530964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  530967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  530970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530985 */     // MIs[0] round
     /*  530985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530995 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  530998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531004 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531017 */     GIR_RootConstrainSelectedInstOperands,
     /*  531018 */     // GIR_Coverage, 21554,
     /*  531018 */     GIR_EraseRootFromParent_Done,
     /*  531019 */   // Label 8781: @531019
     /*  531019 */   GIM_Try, /*On fail goto*//*Label 8782*/ GIMT_Encode4(531090), // Rule ID 21557 //
     /*  531024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  531027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  531035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  531038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  531041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531056 */     // MIs[0] round
     /*  531056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531066 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  531069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531075 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531088 */     GIR_RootConstrainSelectedInstOperands,
     /*  531089 */     // GIR_Coverage, 21557,
     /*  531089 */     GIR_EraseRootFromParent_Done,
     /*  531090 */   // Label 8782: @531090
     /*  531090 */   GIM_Try, /*On fail goto*//*Label 8783*/ GIMT_Encode4(531161), // Rule ID 21558 //
     /*  531095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  531098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  531106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  531109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  531112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531127 */     // MIs[0] round
     /*  531127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531137 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  531140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531146 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531159 */     GIR_RootConstrainSelectedInstOperands,
     /*  531160 */     // GIR_Coverage, 21558,
     /*  531160 */     GIR_EraseRootFromParent_Done,
     /*  531161 */   // Label 8783: @531161
     /*  531161 */   GIM_Try, /*On fail goto*//*Label 8784*/ GIMT_Encode4(531232), // Rule ID 21561 //
     /*  531166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  531169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  531177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  531180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  531183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531198 */     // MIs[0] round
     /*  531198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531208 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  531211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531217 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531230 */     GIR_RootConstrainSelectedInstOperands,
     /*  531231 */     // GIR_Coverage, 21561,
     /*  531231 */     GIR_EraseRootFromParent_Done,
     /*  531232 */   // Label 8784: @531232
     /*  531232 */   GIM_Try, /*On fail goto*//*Label 8785*/ GIMT_Encode4(531303), // Rule ID 21562 //
     /*  531237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  531240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  531248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  531251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  531254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531269 */     // MIs[0] round
     /*  531269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531279 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  531282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531288 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531301 */     GIR_RootConstrainSelectedInstOperands,
     /*  531302 */     // GIR_Coverage, 21562,
     /*  531302 */     GIR_EraseRootFromParent_Done,
     /*  531303 */   // Label 8785: @531303
     /*  531303 */   GIM_Try, /*On fail goto*//*Label 8786*/ GIMT_Encode4(531374), // Rule ID 21565 //
     /*  531308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  531311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  531319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  531322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  531325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531340 */     // MIs[0] round
     /*  531340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531350 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  531353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531359 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531372 */     GIR_RootConstrainSelectedInstOperands,
     /*  531373 */     // GIR_Coverage, 21565,
     /*  531373 */     GIR_EraseRootFromParent_Done,
     /*  531374 */   // Label 8786: @531374
     /*  531374 */   GIM_Try, /*On fail goto*//*Label 8787*/ GIMT_Encode4(531445), // Rule ID 21566 //
     /*  531379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  531382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  531390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  531393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  531396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531411 */     // MIs[0] round
     /*  531411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531421 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  531424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531430 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531443 */     GIR_RootConstrainSelectedInstOperands,
     /*  531444 */     // GIR_Coverage, 21566,
     /*  531444 */     GIR_EraseRootFromParent_Done,
     /*  531445 */   // Label 8787: @531445
     /*  531445 */   GIM_Try, /*On fail goto*//*Label 8788*/ GIMT_Encode4(531516), // Rule ID 21569 //
     /*  531450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  531453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  531461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  531464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  531467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531482 */     // MIs[0] round
     /*  531482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531492 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  531495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531501 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531514 */     GIR_RootConstrainSelectedInstOperands,
     /*  531515 */     // GIR_Coverage, 21569,
     /*  531515 */     GIR_EraseRootFromParent_Done,
     /*  531516 */   // Label 8788: @531516
     /*  531516 */   GIM_Try, /*On fail goto*//*Label 8789*/ GIMT_Encode4(531587), // Rule ID 21570 //
     /*  531521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  531524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  531529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  531532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  531535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  531538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531553 */     // MIs[0] round
     /*  531553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531563 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  531566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531572 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531585 */     GIR_RootConstrainSelectedInstOperands,
     /*  531586 */     // GIR_Coverage, 21570,
     /*  531586 */     GIR_EraseRootFromParent_Done,
     /*  531587 */   // Label 8789: @531587
     /*  531587 */   GIM_Try, /*On fail goto*//*Label 8790*/ GIMT_Encode4(531658), // Rule ID 21693 //
     /*  531592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  531600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  531603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  531606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  531609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531624 */     // MIs[0] round
     /*  531624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531634 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  531637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531643 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531656 */     GIR_RootConstrainSelectedInstOperands,
     /*  531657 */     // GIR_Coverage, 21693,
     /*  531657 */     GIR_EraseRootFromParent_Done,
     /*  531658 */   // Label 8790: @531658
     /*  531658 */   GIM_Try, /*On fail goto*//*Label 8791*/ GIMT_Encode4(531729), // Rule ID 21694 //
     /*  531663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  531671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  531674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  531677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  531680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531695 */     // MIs[0] round
     /*  531695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531705 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  531708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531714 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531727 */     GIR_RootConstrainSelectedInstOperands,
     /*  531728 */     // GIR_Coverage, 21694,
     /*  531728 */     GIR_EraseRootFromParent_Done,
     /*  531729 */   // Label 8791: @531729
     /*  531729 */   GIM_Try, /*On fail goto*//*Label 8792*/ GIMT_Encode4(531800), // Rule ID 21697 //
     /*  531734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  531742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  531745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  531748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  531751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531766 */     // MIs[0] round
     /*  531766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531776 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  531779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531785 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531798 */     GIR_RootConstrainSelectedInstOperands,
     /*  531799 */     // GIR_Coverage, 21697,
     /*  531799 */     GIR_EraseRootFromParent_Done,
     /*  531800 */   // Label 8792: @531800
     /*  531800 */   GIM_Try, /*On fail goto*//*Label 8793*/ GIMT_Encode4(531871), // Rule ID 21698 //
     /*  531805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  531813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  531816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  531819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  531822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531837 */     // MIs[0] round
     /*  531837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531847 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  531850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531856 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531869 */     GIR_RootConstrainSelectedInstOperands,
     /*  531870 */     // GIR_Coverage, 21698,
     /*  531870 */     GIR_EraseRootFromParent_Done,
     /*  531871 */   // Label 8793: @531871
     /*  531871 */   GIM_Try, /*On fail goto*//*Label 8794*/ GIMT_Encode4(531942), // Rule ID 21701 //
     /*  531876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  531884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  531887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  531890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  531893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531908 */     // MIs[0] round
     /*  531908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531918 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  531921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531927 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531940 */     GIR_RootConstrainSelectedInstOperands,
     /*  531941 */     // GIR_Coverage, 21701,
     /*  531941 */     GIR_EraseRootFromParent_Done,
     /*  531942 */   // Label 8794: @531942
     /*  531942 */   GIM_Try, /*On fail goto*//*Label 8795*/ GIMT_Encode4(532013), // Rule ID 21702 //
     /*  531947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  531955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  531958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  531961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  531964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531979 */     // MIs[0] round
     /*  531979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531989 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  531992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531998 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532011 */     GIR_RootConstrainSelectedInstOperands,
     /*  532012 */     // GIR_Coverage, 21702,
     /*  532012 */     GIR_EraseRootFromParent_Done,
     /*  532013 */   // Label 8795: @532013
     /*  532013 */   GIM_Try, /*On fail goto*//*Label 8796*/ GIMT_Encode4(532084), // Rule ID 21705 //
     /*  532018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  532026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  532029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  532032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  532035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532050 */     // MIs[0] round
     /*  532050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532060 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  532063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532069 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532082 */     GIR_RootConstrainSelectedInstOperands,
     /*  532083 */     // GIR_Coverage, 21705,
     /*  532083 */     GIR_EraseRootFromParent_Done,
     /*  532084 */   // Label 8796: @532084
     /*  532084 */   GIM_Try, /*On fail goto*//*Label 8797*/ GIMT_Encode4(532155), // Rule ID 21706 //
     /*  532089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  532097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  532100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  532103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  532106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532121 */     // MIs[0] round
     /*  532121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532131 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  532134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532140 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532153 */     GIR_RootConstrainSelectedInstOperands,
     /*  532154 */     // GIR_Coverage, 21706,
     /*  532154 */     GIR_EraseRootFromParent_Done,
     /*  532155 */   // Label 8797: @532155
     /*  532155 */   GIM_Try, /*On fail goto*//*Label 8798*/ GIMT_Encode4(532226), // Rule ID 21709 //
     /*  532160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  532168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  532171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  532174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  532177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532192 */     // MIs[0] round
     /*  532192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532202 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  532205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532211 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532224 */     GIR_RootConstrainSelectedInstOperands,
     /*  532225 */     // GIR_Coverage, 21709,
     /*  532225 */     GIR_EraseRootFromParent_Done,
     /*  532226 */   // Label 8798: @532226
     /*  532226 */   GIM_Try, /*On fail goto*//*Label 8799*/ GIMT_Encode4(532297), // Rule ID 21710 //
     /*  532231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  532239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  532242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  532245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  532248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532263 */     // MIs[0] round
     /*  532263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532273 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  532276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532282 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532295 */     GIR_RootConstrainSelectedInstOperands,
     /*  532296 */     // GIR_Coverage, 21710,
     /*  532296 */     GIR_EraseRootFromParent_Done,
     /*  532297 */   // Label 8799: @532297
     /*  532297 */   GIM_Try, /*On fail goto*//*Label 8800*/ GIMT_Encode4(532368), // Rule ID 21713 //
     /*  532302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  532305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  532310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  532313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  532316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  532319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532334 */     // MIs[0] round
     /*  532334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532344 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  532347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532353 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532366 */     GIR_RootConstrainSelectedInstOperands,
     /*  532367 */     // GIR_Coverage, 21713,
     /*  532367 */     GIR_EraseRootFromParent_Done,
     /*  532368 */   // Label 8800: @532368
     /*  532368 */   GIM_Try, /*On fail goto*//*Label 8801*/ GIMT_Encode4(532439), // Rule ID 21714 //
     /*  532373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  532376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  532381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  532384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  532387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  532390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532405 */     // MIs[0] round
     /*  532405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532415 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  532418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532424 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532437 */     GIR_RootConstrainSelectedInstOperands,
     /*  532438 */     // GIR_Coverage, 21714,
     /*  532438 */     GIR_EraseRootFromParent_Done,
     /*  532439 */   // Label 8801: @532439
     /*  532439 */   GIM_Try, /*On fail goto*//*Label 8802*/ GIMT_Encode4(532510), // Rule ID 21717 //
     /*  532444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  532447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  532452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  532455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  532458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  532461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532476 */     // MIs[0] round
     /*  532476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532486 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  532489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532495 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532508 */     GIR_RootConstrainSelectedInstOperands,
     /*  532509 */     // GIR_Coverage, 21717,
     /*  532509 */     GIR_EraseRootFromParent_Done,
     /*  532510 */   // Label 8802: @532510
     /*  532510 */   GIM_Try, /*On fail goto*//*Label 8803*/ GIMT_Encode4(532581), // Rule ID 21718 //
     /*  532515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  532518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  532523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  532526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  532529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  532532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532547 */     // MIs[0] round
     /*  532547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532557 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  532560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532566 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532579 */     GIR_RootConstrainSelectedInstOperands,
     /*  532580 */     // GIR_Coverage, 21718,
     /*  532580 */     GIR_EraseRootFromParent_Done,
     /*  532581 */   // Label 8803: @532581
     /*  532581 */   GIM_Try, /*On fail goto*//*Label 8804*/ GIMT_Encode4(532652), // Rule ID 21721 //
     /*  532586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  532589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  532594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  532597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  532600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  532603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532618 */     // MIs[0] round
     /*  532618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532628 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  532631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532637 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532650 */     GIR_RootConstrainSelectedInstOperands,
     /*  532651 */     // GIR_Coverage, 21721,
     /*  532651 */     GIR_EraseRootFromParent_Done,
     /*  532652 */   // Label 8804: @532652
     /*  532652 */   GIM_Try, /*On fail goto*//*Label 8805*/ GIMT_Encode4(532723), // Rule ID 21722 //
     /*  532657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  532660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  532665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  532668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  532671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  532674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532689 */     // MIs[0] round
     /*  532689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532699 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  532702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532708 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532721 */     GIR_RootConstrainSelectedInstOperands,
     /*  532722 */     // GIR_Coverage, 21722,
     /*  532722 */     GIR_EraseRootFromParent_Done,
     /*  532723 */   // Label 8805: @532723
     /*  532723 */   GIM_Try, /*On fail goto*//*Label 8806*/ GIMT_Encode4(532794), // Rule ID 21725 //
     /*  532728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  532731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  532736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  532739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  532742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  532745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532760 */     // MIs[0] round
     /*  532760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532770 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  532773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532779 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532792 */     GIR_RootConstrainSelectedInstOperands,
     /*  532793 */     // GIR_Coverage, 21725,
     /*  532793 */     GIR_EraseRootFromParent_Done,
     /*  532794 */   // Label 8806: @532794
     /*  532794 */   GIM_Try, /*On fail goto*//*Label 8807*/ GIMT_Encode4(532865), // Rule ID 21726 //
     /*  532799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  532802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  532807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  532810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  532813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  532816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532831 */     // MIs[0] round
     /*  532831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532841 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  532844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532850 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532863 */     GIR_RootConstrainSelectedInstOperands,
     /*  532864 */     // GIR_Coverage, 21726,
     /*  532864 */     GIR_EraseRootFromParent_Done,
     /*  532865 */   // Label 8807: @532865
     /*  532865 */   GIM_Try, /*On fail goto*//*Label 8808*/ GIMT_Encode4(532936), // Rule ID 21729 //
     /*  532870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  532878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  532881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  532884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  532887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532902 */     // MIs[0] round
     /*  532902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532912 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  532915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532921 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532934 */     GIR_RootConstrainSelectedInstOperands,
     /*  532935 */     // GIR_Coverage, 21729,
     /*  532935 */     GIR_EraseRootFromParent_Done,
     /*  532936 */   // Label 8808: @532936
     /*  532936 */   GIM_Try, /*On fail goto*//*Label 8809*/ GIMT_Encode4(533007), // Rule ID 21730 //
     /*  532941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  532949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  532952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  532955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  532958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532973 */     // MIs[0] round
     /*  532973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532983 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  532986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532992 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533005 */     GIR_RootConstrainSelectedInstOperands,
     /*  533006 */     // GIR_Coverage, 21730,
     /*  533006 */     GIR_EraseRootFromParent_Done,
     /*  533007 */   // Label 8809: @533007
     /*  533007 */   GIM_Try, /*On fail goto*//*Label 8810*/ GIMT_Encode4(533078), // Rule ID 21733 //
     /*  533012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  533020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  533023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  533026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  533029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533044 */     // MIs[0] round
     /*  533044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533054 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  533057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533063 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533076 */     GIR_RootConstrainSelectedInstOperands,
     /*  533077 */     // GIR_Coverage, 21733,
     /*  533077 */     GIR_EraseRootFromParent_Done,
     /*  533078 */   // Label 8810: @533078
     /*  533078 */   GIM_Try, /*On fail goto*//*Label 8811*/ GIMT_Encode4(533149), // Rule ID 21734 //
     /*  533083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  533091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  533094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  533097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  533100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533115 */     // MIs[0] round
     /*  533115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533125 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  533128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533134 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533147 */     GIR_RootConstrainSelectedInstOperands,
     /*  533148 */     // GIR_Coverage, 21734,
     /*  533148 */     GIR_EraseRootFromParent_Done,
     /*  533149 */   // Label 8811: @533149
     /*  533149 */   GIM_Try, /*On fail goto*//*Label 8812*/ GIMT_Encode4(533220), // Rule ID 21737 //
     /*  533154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  533162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  533165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  533168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  533171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533186 */     // MIs[0] round
     /*  533186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533196 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  533199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533205 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533218 */     GIR_RootConstrainSelectedInstOperands,
     /*  533219 */     // GIR_Coverage, 21737,
     /*  533219 */     GIR_EraseRootFromParent_Done,
     /*  533220 */   // Label 8812: @533220
     /*  533220 */   GIM_Try, /*On fail goto*//*Label 8813*/ GIMT_Encode4(533291), // Rule ID 21738 //
     /*  533225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  533233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  533236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  533239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  533242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533257 */     // MIs[0] round
     /*  533257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533267 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  533270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533276 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533289 */     GIR_RootConstrainSelectedInstOperands,
     /*  533290 */     // GIR_Coverage, 21738,
     /*  533290 */     GIR_EraseRootFromParent_Done,
     /*  533291 */   // Label 8813: @533291
     /*  533291 */   GIM_Try, /*On fail goto*//*Label 8814*/ GIMT_Encode4(533362), // Rule ID 21741 //
     /*  533296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  533304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  533307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  533310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  533313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533328 */     // MIs[0] round
     /*  533328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533338 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  533341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533347 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533360 */     GIR_RootConstrainSelectedInstOperands,
     /*  533361 */     // GIR_Coverage, 21741,
     /*  533361 */     GIR_EraseRootFromParent_Done,
     /*  533362 */   // Label 8814: @533362
     /*  533362 */   GIM_Try, /*On fail goto*//*Label 8815*/ GIMT_Encode4(533433), // Rule ID 21742 //
     /*  533367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  533375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  533378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  533381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  533384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533399 */     // MIs[0] round
     /*  533399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533409 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  533412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533418 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533431 */     GIR_RootConstrainSelectedInstOperands,
     /*  533432 */     // GIR_Coverage, 21742,
     /*  533432 */     GIR_EraseRootFromParent_Done,
     /*  533433 */   // Label 8815: @533433
     /*  533433 */   GIM_Try, /*On fail goto*//*Label 8816*/ GIMT_Encode4(533504), // Rule ID 21745 //
     /*  533438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  533446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  533449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  533452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  533455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533470 */     // MIs[0] round
     /*  533470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533480 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  533483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533489 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533502 */     GIR_RootConstrainSelectedInstOperands,
     /*  533503 */     // GIR_Coverage, 21745,
     /*  533503 */     GIR_EraseRootFromParent_Done,
     /*  533504 */   // Label 8816: @533504
     /*  533504 */   GIM_Try, /*On fail goto*//*Label 8817*/ GIMT_Encode4(533575), // Rule ID 21746 //
     /*  533509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  533517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  533520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  533523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  533526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533541 */     // MIs[0] round
     /*  533541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533551 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  533554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533560 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533573 */     GIR_RootConstrainSelectedInstOperands,
     /*  533574 */     // GIR_Coverage, 21746,
     /*  533574 */     GIR_EraseRootFromParent_Done,
     /*  533575 */   // Label 8817: @533575
     /*  533575 */   GIM_Try, /*On fail goto*//*Label 8818*/ GIMT_Encode4(533646), // Rule ID 21749 //
     /*  533580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  533583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  533588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  533591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  533594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  533597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533612 */     // MIs[0] round
     /*  533612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533622 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  533625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533631 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533644 */     GIR_RootConstrainSelectedInstOperands,
     /*  533645 */     // GIR_Coverage, 21749,
     /*  533645 */     GIR_EraseRootFromParent_Done,
     /*  533646 */   // Label 8818: @533646
     /*  533646 */   GIM_Try, /*On fail goto*//*Label 8819*/ GIMT_Encode4(533717), // Rule ID 21750 //
     /*  533651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  533654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  533659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  533662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  533665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  533668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533683 */     // MIs[0] round
     /*  533683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533693 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  533696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533702 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533715 */     GIR_RootConstrainSelectedInstOperands,
     /*  533716 */     // GIR_Coverage, 21750,
     /*  533716 */     GIR_EraseRootFromParent_Done,
     /*  533717 */   // Label 8819: @533717
     /*  533717 */   GIM_Try, /*On fail goto*//*Label 8820*/ GIMT_Encode4(533788), // Rule ID 21753 //
     /*  533722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  533725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  533730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  533733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  533736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  533739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533754 */     // MIs[0] round
     /*  533754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533764 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  533767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533773 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533786 */     GIR_RootConstrainSelectedInstOperands,
     /*  533787 */     // GIR_Coverage, 21753,
     /*  533787 */     GIR_EraseRootFromParent_Done,
     /*  533788 */   // Label 8820: @533788
     /*  533788 */   GIM_Try, /*On fail goto*//*Label 8821*/ GIMT_Encode4(533859), // Rule ID 21754 //
     /*  533793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  533796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  533801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  533804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  533807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  533810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533825 */     // MIs[0] round
     /*  533825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533835 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  533838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533844 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533857 */     GIR_RootConstrainSelectedInstOperands,
     /*  533858 */     // GIR_Coverage, 21754,
     /*  533858 */     GIR_EraseRootFromParent_Done,
     /*  533859 */   // Label 8821: @533859
     /*  533859 */   GIM_Try, /*On fail goto*//*Label 8822*/ GIMT_Encode4(533930), // Rule ID 21757 //
     /*  533864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  533867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  533872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  533875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  533878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  533881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533896 */     // MIs[0] round
     /*  533896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533906 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  533909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533915 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533928 */     GIR_RootConstrainSelectedInstOperands,
     /*  533929 */     // GIR_Coverage, 21757,
     /*  533929 */     GIR_EraseRootFromParent_Done,
     /*  533930 */   // Label 8822: @533930
     /*  533930 */   GIM_Try, /*On fail goto*//*Label 8823*/ GIMT_Encode4(534001), // Rule ID 21758 //
     /*  533935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  533938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  533943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  533946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  533949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  533952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533967 */     // MIs[0] round
     /*  533967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533977 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  533980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533986 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533999 */     GIR_RootConstrainSelectedInstOperands,
     /*  534000 */     // GIR_Coverage, 21758,
     /*  534000 */     GIR_EraseRootFromParent_Done,
     /*  534001 */   // Label 8823: @534001
     /*  534001 */   GIM_Try, /*On fail goto*//*Label 8824*/ GIMT_Encode4(534072), // Rule ID 21761 //
     /*  534006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  534009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  534017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  534020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  534023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534038 */     // MIs[0] round
     /*  534038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534048 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  534051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534057 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534070 */     GIR_RootConstrainSelectedInstOperands,
     /*  534071 */     // GIR_Coverage, 21761,
     /*  534071 */     GIR_EraseRootFromParent_Done,
     /*  534072 */   // Label 8824: @534072
     /*  534072 */   GIM_Try, /*On fail goto*//*Label 8825*/ GIMT_Encode4(534143), // Rule ID 21762 //
     /*  534077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  534080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  534085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  534088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  534091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  534094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534109 */     // MIs[0] round
     /*  534109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534119 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  534122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534128 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534141 */     GIR_RootConstrainSelectedInstOperands,
     /*  534142 */     // GIR_Coverage, 21762,
     /*  534142 */     GIR_EraseRootFromParent_Done,
     /*  534143 */   // Label 8825: @534143
     /*  534143 */   GIM_Try, /*On fail goto*//*Label 8826*/ GIMT_Encode4(534214), // Rule ID 21765 //
     /*  534148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  534151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  534156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  534159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  534162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  534165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534180 */     // MIs[0] round
     /*  534180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534190 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  534193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534199 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534212 */     GIR_RootConstrainSelectedInstOperands,
     /*  534213 */     // GIR_Coverage, 21765,
     /*  534213 */     GIR_EraseRootFromParent_Done,
     /*  534214 */   // Label 8826: @534214
     /*  534214 */   GIM_Try, /*On fail goto*//*Label 8827*/ GIMT_Encode4(534285), // Rule ID 21766 //
     /*  534219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  534222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  534227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  534230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  534233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  534236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534251 */     // MIs[0] round
     /*  534251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534261 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  534264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534270 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534283 */     GIR_RootConstrainSelectedInstOperands,
     /*  534284 */     // GIR_Coverage, 21766,
     /*  534284 */     GIR_EraseRootFromParent_Done,
     /*  534285 */   // Label 8827: @534285
     /*  534285 */   GIM_Try, /*On fail goto*//*Label 8828*/ GIMT_Encode4(534356), // Rule ID 21769 //
     /*  534290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  534293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  534298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  534301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  534304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  534307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534322 */     // MIs[0] round
     /*  534322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534332 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  534335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534341 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534354 */     GIR_RootConstrainSelectedInstOperands,
     /*  534355 */     // GIR_Coverage, 21769,
     /*  534355 */     GIR_EraseRootFromParent_Done,
     /*  534356 */   // Label 8828: @534356
     /*  534356 */   GIM_Try, /*On fail goto*//*Label 8829*/ GIMT_Encode4(534427), // Rule ID 21770 //
     /*  534361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  534364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  534369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  534372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  534375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  534378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534393 */     // MIs[0] round
     /*  534393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534403 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  534406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534412 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534425 */     GIR_RootConstrainSelectedInstOperands,
     /*  534426 */     // GIR_Coverage, 21770,
     /*  534426 */     GIR_EraseRootFromParent_Done,
     /*  534427 */   // Label 8829: @534427
     /*  534427 */   GIM_Try, /*On fail goto*//*Label 8830*/ GIMT_Encode4(534498), // Rule ID 21773 //
     /*  534432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  534435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  534440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  534443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  534446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  534449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534464 */     // MIs[0] round
     /*  534464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534474 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  534477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534483 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534496 */     GIR_RootConstrainSelectedInstOperands,
     /*  534497 */     // GIR_Coverage, 21773,
     /*  534497 */     GIR_EraseRootFromParent_Done,
     /*  534498 */   // Label 8830: @534498
     /*  534498 */   GIM_Try, /*On fail goto*//*Label 8831*/ GIMT_Encode4(534569), // Rule ID 21774 //
     /*  534503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  534506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  534511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  534514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  534517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  534520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534535 */     // MIs[0] round
     /*  534535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534545 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  534548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534554 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534567 */     GIR_RootConstrainSelectedInstOperands,
     /*  534568 */     // GIR_Coverage, 21774,
     /*  534568 */     GIR_EraseRootFromParent_Done,
     /*  534569 */   // Label 8831: @534569
     /*  534569 */   GIM_Try, /*On fail goto*//*Label 8832*/ GIMT_Encode4(534640), // Rule ID 21777 //
     /*  534574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  534577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  534582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  534585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  534588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  534591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534606 */     // MIs[0] round
     /*  534606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534616 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  534619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534625 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534638 */     GIR_RootConstrainSelectedInstOperands,
     /*  534639 */     // GIR_Coverage, 21777,
     /*  534639 */     GIR_EraseRootFromParent_Done,
     /*  534640 */   // Label 8832: @534640
     /*  534640 */   GIM_Try, /*On fail goto*//*Label 8833*/ GIMT_Encode4(534711), // Rule ID 21778 //
     /*  534645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  534648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  534653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  534656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  534659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  534662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534677 */     // MIs[0] round
     /*  534677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534687 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  534690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534696 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534709 */     GIR_RootConstrainSelectedInstOperands,
     /*  534710 */     // GIR_Coverage, 21778,
     /*  534710 */     GIR_EraseRootFromParent_Done,
     /*  534711 */   // Label 8833: @534711
     /*  534711 */   GIM_Try, /*On fail goto*//*Label 8834*/ GIMT_Encode4(534782), // Rule ID 21781 //
     /*  534716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  534719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  534724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  534727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  534730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  534733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534748 */     // MIs[0] round
     /*  534748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534758 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  534761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534767 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534780 */     GIR_RootConstrainSelectedInstOperands,
     /*  534781 */     // GIR_Coverage, 21781,
     /*  534781 */     GIR_EraseRootFromParent_Done,
     /*  534782 */   // Label 8834: @534782
     /*  534782 */   GIM_Try, /*On fail goto*//*Label 8835*/ GIMT_Encode4(534853), // Rule ID 21782 //
     /*  534787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  534790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  534795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  534798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  534801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  534804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534819 */     // MIs[0] round
     /*  534819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534829 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  534832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534838 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534851 */     GIR_RootConstrainSelectedInstOperands,
     /*  534852 */     // GIR_Coverage, 21782,
     /*  534852 */     GIR_EraseRootFromParent_Done,
     /*  534853 */   // Label 8835: @534853
     /*  534853 */   GIM_Try, /*On fail goto*//*Label 8836*/ GIMT_Encode4(534924), // Rule ID 21785 //
     /*  534858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  534861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  534866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  534875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534890 */     // MIs[0] round
     /*  534890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534900 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  534903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534909 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534922 */     GIR_RootConstrainSelectedInstOperands,
     /*  534923 */     // GIR_Coverage, 21785,
     /*  534923 */     GIR_EraseRootFromParent_Done,
     /*  534924 */   // Label 8836: @534924
     /*  534924 */   GIM_Try, /*On fail goto*//*Label 8837*/ GIMT_Encode4(534995), // Rule ID 21786 //
     /*  534929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  534932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  534937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  534946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534961 */     // MIs[0] round
     /*  534961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534971 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  534974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534980 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534993 */     GIR_RootConstrainSelectedInstOperands,
     /*  534994 */     // GIR_Coverage, 21786,
     /*  534994 */     GIR_EraseRootFromParent_Done,
     /*  534995 */   // Label 8837: @534995
     /*  534995 */   GIM_Try, /*On fail goto*//*Label 8838*/ GIMT_Encode4(535066), // Rule ID 21789 //
     /*  535000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  535003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  535011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  535014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  535017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535032 */     // MIs[0] round
     /*  535032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535042 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  535042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  535045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535051 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535064 */     GIR_RootConstrainSelectedInstOperands,
     /*  535065 */     // GIR_Coverage, 21789,
     /*  535065 */     GIR_EraseRootFromParent_Done,
     /*  535066 */   // Label 8838: @535066
     /*  535066 */   GIM_Try, /*On fail goto*//*Label 8839*/ GIMT_Encode4(535137), // Rule ID 21790 //
     /*  535071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  535074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  535082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  535085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  535088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535103 */     // MIs[0] round
     /*  535103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535113 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  535113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  535116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535122 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535135 */     GIR_RootConstrainSelectedInstOperands,
     /*  535136 */     // GIR_Coverage, 21790,
     /*  535136 */     GIR_EraseRootFromParent_Done,
     /*  535137 */   // Label 8839: @535137
     /*  535137 */   GIM_Try, /*On fail goto*//*Label 8840*/ GIMT_Encode4(535208), // Rule ID 21793 //
     /*  535142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  535145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  535153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  535156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  535159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535174 */     // MIs[0] round
     /*  535174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535184 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  535184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  535187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535193 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535206 */     GIR_RootConstrainSelectedInstOperands,
     /*  535207 */     // GIR_Coverage, 21793,
     /*  535207 */     GIR_EraseRootFromParent_Done,
     /*  535208 */   // Label 8840: @535208
     /*  535208 */   GIM_Try, /*On fail goto*//*Label 8841*/ GIMT_Encode4(535279), // Rule ID 21794 //
     /*  535213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  535216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  535224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  535227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  535230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535245 */     // MIs[0] round
     /*  535245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535255 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  535255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  535258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535264 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535277 */     GIR_RootConstrainSelectedInstOperands,
     /*  535278 */     // GIR_Coverage, 21794,
     /*  535278 */     GIR_EraseRootFromParent_Done,
     /*  535279 */   // Label 8841: @535279
     /*  535279 */   GIM_Try, /*On fail goto*//*Label 8842*/ GIMT_Encode4(535350), // Rule ID 21797 //
     /*  535284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  535287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  535295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  535298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  535301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535316 */     // MIs[0] round
     /*  535316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535326 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  535326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  535329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535335 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535348 */     GIR_RootConstrainSelectedInstOperands,
     /*  535349 */     // GIR_Coverage, 21797,
     /*  535349 */     GIR_EraseRootFromParent_Done,
     /*  535350 */   // Label 8842: @535350
     /*  535350 */   GIM_Try, /*On fail goto*//*Label 8843*/ GIMT_Encode4(535421), // Rule ID 21798 //
     /*  535355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  535358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  535363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  535366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  535369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  535372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535387 */     // MIs[0] round
     /*  535387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535397 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  535397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  535400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535406 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535419 */     GIR_RootConstrainSelectedInstOperands,
     /*  535420 */     // GIR_Coverage, 21798,
     /*  535420 */     GIR_EraseRootFromParent_Done,
     /*  535421 */   // Label 8843: @535421
     /*  535421 */   GIM_Try, /*On fail goto*//*Label 8844*/ GIMT_Encode4(535492), // Rule ID 2615 //
     /*  535426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  535434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  535437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  535440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  535443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535454 */     // MIs[0] passthru
     /*  535454 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535470 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  535473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535490 */     GIR_RootConstrainSelectedInstOperands,
     /*  535491 */     // GIR_Coverage, 2615,
     /*  535491 */     GIR_EraseRootFromParent_Done,
     /*  535492 */   // Label 8844: @535492
     /*  535492 */   GIM_Try, /*On fail goto*//*Label 8845*/ GIMT_Encode4(535563), // Rule ID 2616 //
     /*  535497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  535505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  535508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  535511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  535514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535525 */     // MIs[0] passthru
     /*  535525 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535541 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  535544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535561 */     GIR_RootConstrainSelectedInstOperands,
     /*  535562 */     // GIR_Coverage, 2616,
     /*  535562 */     GIR_EraseRootFromParent_Done,
     /*  535563 */   // Label 8845: @535563
     /*  535563 */   GIM_Try, /*On fail goto*//*Label 8846*/ GIMT_Encode4(535634), // Rule ID 3923 //
     /*  535568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  535576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  535579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  535582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  535585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535596 */     // MIs[0] passthru
     /*  535596 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535612 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  535615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535632 */     GIR_RootConstrainSelectedInstOperands,
     /*  535633 */     // GIR_Coverage, 3923,
     /*  535633 */     GIR_EraseRootFromParent_Done,
     /*  535634 */   // Label 8846: @535634
     /*  535634 */   GIM_Try, /*On fail goto*//*Label 8847*/ GIMT_Encode4(535705), // Rule ID 3924 //
     /*  535639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  535647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  535650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  535653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  535656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535667 */     // MIs[0] passthru
     /*  535667 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535683 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  535686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535703 */     GIR_RootConstrainSelectedInstOperands,
     /*  535704 */     // GIR_Coverage, 3924,
     /*  535704 */     GIR_EraseRootFromParent_Done,
     /*  535705 */   // Label 8847: @535705
     /*  535705 */   GIM_Try, /*On fail goto*//*Label 8848*/ GIMT_Encode4(535776), // Rule ID 3933 //
     /*  535710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  535718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  535721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  535724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  535727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535738 */     // MIs[0] passthru
     /*  535738 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535754 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  535757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535774 */     GIR_RootConstrainSelectedInstOperands,
     /*  535775 */     // GIR_Coverage, 3933,
     /*  535775 */     GIR_EraseRootFromParent_Done,
     /*  535776 */   // Label 8848: @535776
     /*  535776 */   GIM_Try, /*On fail goto*//*Label 8849*/ GIMT_Encode4(535847), // Rule ID 3934 //
     /*  535781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  535789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  535792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  535795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  535798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535809 */     // MIs[0] passthru
     /*  535809 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535825 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  535828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535845 */     GIR_RootConstrainSelectedInstOperands,
     /*  535846 */     // GIR_Coverage, 3934,
     /*  535846 */     GIR_EraseRootFromParent_Done,
     /*  535847 */   // Label 8849: @535847
     /*  535847 */   GIM_Try, /*On fail goto*//*Label 8850*/ GIMT_Encode4(535918), // Rule ID 3943 //
     /*  535852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  535860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  535863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  535866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  535869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535880 */     // MIs[0] passthru
     /*  535880 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535896 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  535899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535916 */     GIR_RootConstrainSelectedInstOperands,
     /*  535917 */     // GIR_Coverage, 3943,
     /*  535917 */     GIR_EraseRootFromParent_Done,
     /*  535918 */   // Label 8850: @535918
     /*  535918 */   GIM_Try, /*On fail goto*//*Label 8851*/ GIMT_Encode4(535989), // Rule ID 3944 //
     /*  535923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  535931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  535934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  535937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  535940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535951 */     // MIs[0] passthru
     /*  535951 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535967 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  535970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535987 */     GIR_RootConstrainSelectedInstOperands,
     /*  535988 */     // GIR_Coverage, 3944,
     /*  535988 */     GIR_EraseRootFromParent_Done,
     /*  535989 */   // Label 8851: @535989
     /*  535989 */   GIM_Try, /*On fail goto*//*Label 8852*/ GIMT_Encode4(536060), // Rule ID 3953 //
     /*  535994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  536005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  536008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  536011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536022 */     // MIs[0] passthru
     /*  536022 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536038 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  536038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  536041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536058 */     GIR_RootConstrainSelectedInstOperands,
     /*  536059 */     // GIR_Coverage, 3953,
     /*  536059 */     GIR_EraseRootFromParent_Done,
     /*  536060 */   // Label 8852: @536060
     /*  536060 */   GIM_Try, /*On fail goto*//*Label 8853*/ GIMT_Encode4(536131), // Rule ID 3954 //
     /*  536065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  536076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  536079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  536082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536093 */     // MIs[0] passthru
     /*  536093 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536109 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  536109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  536112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536129 */     GIR_RootConstrainSelectedInstOperands,
     /*  536130 */     // GIR_Coverage, 3954,
     /*  536130 */     GIR_EraseRootFromParent_Done,
     /*  536131 */   // Label 8853: @536131
     /*  536131 */   GIM_Try, /*On fail goto*//*Label 8854*/ GIMT_Encode4(536202), // Rule ID 3963 //
     /*  536136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  536147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  536150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  536153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536164 */     // MIs[0] passthru
     /*  536164 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536180 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  536180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  536183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536200 */     GIR_RootConstrainSelectedInstOperands,
     /*  536201 */     // GIR_Coverage, 3963,
     /*  536201 */     GIR_EraseRootFromParent_Done,
     /*  536202 */   // Label 8854: @536202
     /*  536202 */   GIM_Try, /*On fail goto*//*Label 8855*/ GIMT_Encode4(536273), // Rule ID 3964 //
     /*  536207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  536218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  536221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  536224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536235 */     // MIs[0] passthru
     /*  536235 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536251 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  536251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  536254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536271 */     GIR_RootConstrainSelectedInstOperands,
     /*  536272 */     // GIR_Coverage, 3964,
     /*  536272 */     GIR_EraseRootFromParent_Done,
     /*  536273 */   // Label 8855: @536273
     /*  536273 */   GIM_Try, /*On fail goto*//*Label 8856*/ GIMT_Encode4(536344), // Rule ID 3973 //
     /*  536278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  536289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  536292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  536295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536306 */     // MIs[0] passthru
     /*  536306 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  536325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536342 */     GIR_RootConstrainSelectedInstOperands,
     /*  536343 */     // GIR_Coverage, 3973,
     /*  536343 */     GIR_EraseRootFromParent_Done,
     /*  536344 */   // Label 8856: @536344
     /*  536344 */   GIM_Try, /*On fail goto*//*Label 8857*/ GIMT_Encode4(536415), // Rule ID 3974 //
     /*  536349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  536360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  536363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  536366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536377 */     // MIs[0] passthru
     /*  536377 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536393 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  536396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536413 */     GIR_RootConstrainSelectedInstOperands,
     /*  536414 */     // GIR_Coverage, 3974,
     /*  536414 */     GIR_EraseRootFromParent_Done,
     /*  536415 */   // Label 8857: @536415
     /*  536415 */   GIM_Try, /*On fail goto*//*Label 8858*/ GIMT_Encode4(536486), // Rule ID 3983 //
     /*  536420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  536431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  536434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  536437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536448 */     // MIs[0] passthru
     /*  536448 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536464 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  536467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536484 */     GIR_RootConstrainSelectedInstOperands,
     /*  536485 */     // GIR_Coverage, 3983,
     /*  536485 */     GIR_EraseRootFromParent_Done,
     /*  536486 */   // Label 8858: @536486
     /*  536486 */   GIM_Try, /*On fail goto*//*Label 8859*/ GIMT_Encode4(536557), // Rule ID 3984 //
     /*  536491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  536502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  536505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  536508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536519 */     // MIs[0] passthru
     /*  536519 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536535 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  536538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536555 */     GIR_RootConstrainSelectedInstOperands,
     /*  536556 */     // GIR_Coverage, 3984,
     /*  536556 */     GIR_EraseRootFromParent_Done,
     /*  536557 */   // Label 8859: @536557
     /*  536557 */   GIM_Try, /*On fail goto*//*Label 8860*/ GIMT_Encode4(536628), // Rule ID 3993 //
     /*  536562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  536573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  536576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  536579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536590 */     // MIs[0] passthru
     /*  536590 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536606 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  536609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536626 */     GIR_RootConstrainSelectedInstOperands,
     /*  536627 */     // GIR_Coverage, 3993,
     /*  536627 */     GIR_EraseRootFromParent_Done,
     /*  536628 */   // Label 8860: @536628
     /*  536628 */   GIM_Try, /*On fail goto*//*Label 8861*/ GIMT_Encode4(536699), // Rule ID 3994 //
     /*  536633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  536644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  536647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  536650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536661 */     // MIs[0] passthru
     /*  536661 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536677 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  536680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536697 */     GIR_RootConstrainSelectedInstOperands,
     /*  536698 */     // GIR_Coverage, 3994,
     /*  536698 */     GIR_EraseRootFromParent_Done,
     /*  536699 */   // Label 8861: @536699
     /*  536699 */   GIM_Try, /*On fail goto*//*Label 8862*/ GIMT_Encode4(536770), // Rule ID 4003 //
     /*  536704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  536715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  536718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  536721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536732 */     // MIs[0] passthru
     /*  536732 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536748 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  536751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536768 */     GIR_RootConstrainSelectedInstOperands,
     /*  536769 */     // GIR_Coverage, 4003,
     /*  536769 */     GIR_EraseRootFromParent_Done,
     /*  536770 */   // Label 8862: @536770
     /*  536770 */   GIM_Try, /*On fail goto*//*Label 8863*/ GIMT_Encode4(536841), // Rule ID 4004 //
     /*  536775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  536786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  536789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  536792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536803 */     // MIs[0] passthru
     /*  536803 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536819 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  536822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536839 */     GIR_RootConstrainSelectedInstOperands,
     /*  536840 */     // GIR_Coverage, 4004,
     /*  536840 */     GIR_EraseRootFromParent_Done,
     /*  536841 */   // Label 8863: @536841
     /*  536841 */   GIM_Try, /*On fail goto*//*Label 8864*/ GIMT_Encode4(536912), // Rule ID 4013 //
     /*  536846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  536857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  536860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  536863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536874 */     // MIs[0] passthru
     /*  536874 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536890 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  536893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536910 */     GIR_RootConstrainSelectedInstOperands,
     /*  536911 */     // GIR_Coverage, 4013,
     /*  536911 */     GIR_EraseRootFromParent_Done,
     /*  536912 */   // Label 8864: @536912
     /*  536912 */   GIM_Try, /*On fail goto*//*Label 8865*/ GIMT_Encode4(536983), // Rule ID 4014 //
     /*  536917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  536928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  536931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  536934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536945 */     // MIs[0] passthru
     /*  536945 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536961 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  536964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536981 */     GIR_RootConstrainSelectedInstOperands,
     /*  536982 */     // GIR_Coverage, 4014,
     /*  536982 */     GIR_EraseRootFromParent_Done,
     /*  536983 */   // Label 8865: @536983
     /*  536983 */   GIM_Try, /*On fail goto*//*Label 8866*/ GIMT_Encode4(537054), // Rule ID 4023 //
     /*  536988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  536991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  536996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  536999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  537002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  537005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537016 */     // MIs[0] passthru
     /*  537016 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537032 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  537035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537052 */     GIR_RootConstrainSelectedInstOperands,
     /*  537053 */     // GIR_Coverage, 4023,
     /*  537053 */     GIR_EraseRootFromParent_Done,
     /*  537054 */   // Label 8866: @537054
     /*  537054 */   GIM_Try, /*On fail goto*//*Label 8867*/ GIMT_Encode4(537125), // Rule ID 4024 //
     /*  537059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  537062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  537070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  537073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  537076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537087 */     // MIs[0] passthru
     /*  537087 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537103 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  537106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537123 */     GIR_RootConstrainSelectedInstOperands,
     /*  537124 */     // GIR_Coverage, 4024,
     /*  537124 */     GIR_EraseRootFromParent_Done,
     /*  537125 */   // Label 8867: @537125
     /*  537125 */   GIM_Try, /*On fail goto*//*Label 8868*/ GIMT_Encode4(537196), // Rule ID 4033 //
     /*  537130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  537133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  537141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  537144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  537147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537158 */     // MIs[0] passthru
     /*  537158 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537174 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  537177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537194 */     GIR_RootConstrainSelectedInstOperands,
     /*  537195 */     // GIR_Coverage, 4033,
     /*  537195 */     GIR_EraseRootFromParent_Done,
     /*  537196 */   // Label 8868: @537196
     /*  537196 */   GIM_Try, /*On fail goto*//*Label 8869*/ GIMT_Encode4(537267), // Rule ID 4034 //
     /*  537201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  537204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  537212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  537215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  537218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537229 */     // MIs[0] passthru
     /*  537229 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537245 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  537248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537265 */     GIR_RootConstrainSelectedInstOperands,
     /*  537266 */     // GIR_Coverage, 4034,
     /*  537266 */     GIR_EraseRootFromParent_Done,
     /*  537267 */   // Label 8869: @537267
     /*  537267 */   GIM_Try, /*On fail goto*//*Label 8870*/ GIMT_Encode4(537338), // Rule ID 4043 //
     /*  537272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  537275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  537283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  537286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  537289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537300 */     // MIs[0] passthru
     /*  537300 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537316 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  537319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537336 */     GIR_RootConstrainSelectedInstOperands,
     /*  537337 */     // GIR_Coverage, 4043,
     /*  537337 */     GIR_EraseRootFromParent_Done,
     /*  537338 */   // Label 8870: @537338
     /*  537338 */   GIM_Try, /*On fail goto*//*Label 8871*/ GIMT_Encode4(537409), // Rule ID 4044 //
     /*  537343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  537346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  537354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  537357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  537360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537371 */     // MIs[0] passthru
     /*  537371 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537387 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  537390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537407 */     GIR_RootConstrainSelectedInstOperands,
     /*  537408 */     // GIR_Coverage, 4044,
     /*  537408 */     GIR_EraseRootFromParent_Done,
     /*  537409 */   // Label 8871: @537409
     /*  537409 */   GIM_Try, /*On fail goto*//*Label 8872*/ GIMT_Encode4(537480), // Rule ID 4053 //
     /*  537414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  537417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  537425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  537428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  537431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537442 */     // MIs[0] passthru
     /*  537442 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537458 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  537461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537478 */     GIR_RootConstrainSelectedInstOperands,
     /*  537479 */     // GIR_Coverage, 4053,
     /*  537479 */     GIR_EraseRootFromParent_Done,
     /*  537480 */   // Label 8872: @537480
     /*  537480 */   GIM_Try, /*On fail goto*//*Label 8873*/ GIMT_Encode4(537551), // Rule ID 4054 //
     /*  537485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  537488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  537493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  537496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  537499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  537502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537513 */     // MIs[0] passthru
     /*  537513 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537529 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  537532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537549 */     GIR_RootConstrainSelectedInstOperands,
     /*  537550 */     // GIR_Coverage, 4054,
     /*  537550 */     GIR_EraseRootFromParent_Done,
     /*  537551 */   // Label 8873: @537551
     /*  537551 */   GIM_Try, /*On fail goto*//*Label 8874*/ GIMT_Encode4(537622), // Rule ID 4123 //
     /*  537556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  537564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  537567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  537570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  537573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537584 */     // MIs[0] passthru
     /*  537584 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537600 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  537603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537620 */     GIR_RootConstrainSelectedInstOperands,
     /*  537621 */     // GIR_Coverage, 4123,
     /*  537621 */     GIR_EraseRootFromParent_Done,
     /*  537622 */   // Label 8874: @537622
     /*  537622 */   GIM_Try, /*On fail goto*//*Label 8875*/ GIMT_Encode4(537693), // Rule ID 4124 //
     /*  537627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  537635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  537638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  537641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  537644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537655 */     // MIs[0] passthru
     /*  537655 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537671 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  537674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537691 */     GIR_RootConstrainSelectedInstOperands,
     /*  537692 */     // GIR_Coverage, 4124,
     /*  537692 */     GIR_EraseRootFromParent_Done,
     /*  537693 */   // Label 8875: @537693
     /*  537693 */   GIM_Try, /*On fail goto*//*Label 8876*/ GIMT_Encode4(537764), // Rule ID 4133 //
     /*  537698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  537706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  537709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  537712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  537715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537726 */     // MIs[0] passthru
     /*  537726 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537742 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  537745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537762 */     GIR_RootConstrainSelectedInstOperands,
     /*  537763 */     // GIR_Coverage, 4133,
     /*  537763 */     GIR_EraseRootFromParent_Done,
     /*  537764 */   // Label 8876: @537764
     /*  537764 */   GIM_Try, /*On fail goto*//*Label 8877*/ GIMT_Encode4(537835), // Rule ID 4134 //
     /*  537769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  537777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  537780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  537783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  537786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537797 */     // MIs[0] passthru
     /*  537797 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537813 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  537816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537833 */     GIR_RootConstrainSelectedInstOperands,
     /*  537834 */     // GIR_Coverage, 4134,
     /*  537834 */     GIR_EraseRootFromParent_Done,
     /*  537835 */   // Label 8877: @537835
     /*  537835 */   GIM_Try, /*On fail goto*//*Label 8878*/ GIMT_Encode4(537906), // Rule ID 4143 //
     /*  537840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  537848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  537851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  537854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  537857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537868 */     // MIs[0] passthru
     /*  537868 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  537887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537904 */     GIR_RootConstrainSelectedInstOperands,
     /*  537905 */     // GIR_Coverage, 4143,
     /*  537905 */     GIR_EraseRootFromParent_Done,
     /*  537906 */   // Label 8878: @537906
     /*  537906 */   GIM_Try, /*On fail goto*//*Label 8879*/ GIMT_Encode4(537977), // Rule ID 4144 //
     /*  537911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  537919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  537922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  537925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  537928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537939 */     // MIs[0] passthru
     /*  537939 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537955 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  537958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537975 */     GIR_RootConstrainSelectedInstOperands,
     /*  537976 */     // GIR_Coverage, 4144,
     /*  537976 */     GIR_EraseRootFromParent_Done,
     /*  537977 */   // Label 8879: @537977
     /*  537977 */   GIM_Try, /*On fail goto*//*Label 8880*/ GIMT_Encode4(538048), // Rule ID 4153 //
     /*  537982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  537990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  537993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  537996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  537999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538010 */     // MIs[0] passthru
     /*  538010 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538026 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  538026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  538029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538046 */     GIR_RootConstrainSelectedInstOperands,
     /*  538047 */     // GIR_Coverage, 4153,
     /*  538047 */     GIR_EraseRootFromParent_Done,
     /*  538048 */   // Label 8880: @538048
     /*  538048 */   GIM_Try, /*On fail goto*//*Label 8881*/ GIMT_Encode4(538119), // Rule ID 4154 //
     /*  538053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  538064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  538067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  538070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538081 */     // MIs[0] passthru
     /*  538081 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538097 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  538097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  538100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538117 */     GIR_RootConstrainSelectedInstOperands,
     /*  538118 */     // GIR_Coverage, 4154,
     /*  538118 */     GIR_EraseRootFromParent_Done,
     /*  538119 */   // Label 8881: @538119
     /*  538119 */   GIM_Try, /*On fail goto*//*Label 8882*/ GIMT_Encode4(538190), // Rule ID 4163 //
     /*  538124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  538135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  538138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  538141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538152 */     // MIs[0] passthru
     /*  538152 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538168 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  538168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  538171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538188 */     GIR_RootConstrainSelectedInstOperands,
     /*  538189 */     // GIR_Coverage, 4163,
     /*  538189 */     GIR_EraseRootFromParent_Done,
     /*  538190 */   // Label 8882: @538190
     /*  538190 */   GIM_Try, /*On fail goto*//*Label 8883*/ GIMT_Encode4(538261), // Rule ID 4164 //
     /*  538195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  538206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  538209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  538212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538223 */     // MIs[0] passthru
     /*  538223 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538239 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  538239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  538242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538259 */     GIR_RootConstrainSelectedInstOperands,
     /*  538260 */     // GIR_Coverage, 4164,
     /*  538260 */     GIR_EraseRootFromParent_Done,
     /*  538261 */   // Label 8883: @538261
     /*  538261 */   GIM_Try, /*On fail goto*//*Label 8884*/ GIMT_Encode4(538332), // Rule ID 4173 //
     /*  538266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  538277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  538280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  538283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538294 */     // MIs[0] passthru
     /*  538294 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538310 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  538310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  538313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538330 */     GIR_RootConstrainSelectedInstOperands,
     /*  538331 */     // GIR_Coverage, 4173,
     /*  538331 */     GIR_EraseRootFromParent_Done,
     /*  538332 */   // Label 8884: @538332
     /*  538332 */   GIM_Try, /*On fail goto*//*Label 8885*/ GIMT_Encode4(538403), // Rule ID 4174 //
     /*  538337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  538348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  538351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  538354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538365 */     // MIs[0] passthru
     /*  538365 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538381 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  538381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  538384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  538398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538401 */     GIR_RootConstrainSelectedInstOperands,
     /*  538402 */     // GIR_Coverage, 4174,
     /*  538402 */     GIR_EraseRootFromParent_Done,
     /*  538403 */   // Label 8885: @538403
     /*  538403 */   GIM_Try, /*On fail goto*//*Label 8886*/ GIMT_Encode4(538474), // Rule ID 4183 //
     /*  538408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  538419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  538422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  538425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538436 */     // MIs[0] passthru
     /*  538436 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538452 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  538455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538472 */     GIR_RootConstrainSelectedInstOperands,
     /*  538473 */     // GIR_Coverage, 4183,
     /*  538473 */     GIR_EraseRootFromParent_Done,
     /*  538474 */   // Label 8886: @538474
     /*  538474 */   GIM_Try, /*On fail goto*//*Label 8887*/ GIMT_Encode4(538545), // Rule ID 4184 //
     /*  538479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  538490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  538493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  538496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538507 */     // MIs[0] passthru
     /*  538507 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538523 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  538526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538543 */     GIR_RootConstrainSelectedInstOperands,
     /*  538544 */     // GIR_Coverage, 4184,
     /*  538544 */     GIR_EraseRootFromParent_Done,
     /*  538545 */   // Label 8887: @538545
     /*  538545 */   GIM_Try, /*On fail goto*//*Label 8888*/ GIMT_Encode4(538616), // Rule ID 4193 //
     /*  538550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  538561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  538564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  538567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538578 */     // MIs[0] passthru
     /*  538578 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538594 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  538597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538614 */     GIR_RootConstrainSelectedInstOperands,
     /*  538615 */     // GIR_Coverage, 4193,
     /*  538615 */     GIR_EraseRootFromParent_Done,
     /*  538616 */   // Label 8888: @538616
     /*  538616 */   GIM_Try, /*On fail goto*//*Label 8889*/ GIMT_Encode4(538687), // Rule ID 4194 //
     /*  538621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  538632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  538635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  538638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538649 */     // MIs[0] passthru
     /*  538649 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538665 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  538668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538685 */     GIR_RootConstrainSelectedInstOperands,
     /*  538686 */     // GIR_Coverage, 4194,
     /*  538686 */     GIR_EraseRootFromParent_Done,
     /*  538687 */   // Label 8889: @538687
     /*  538687 */   GIM_Try, /*On fail goto*//*Label 8890*/ GIMT_Encode4(538758), // Rule ID 4203 //
     /*  538692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  538703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  538706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  538709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538720 */     // MIs[0] passthru
     /*  538720 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538736 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  538739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538756 */     GIR_RootConstrainSelectedInstOperands,
     /*  538757 */     // GIR_Coverage, 4203,
     /*  538757 */     GIR_EraseRootFromParent_Done,
     /*  538758 */   // Label 8890: @538758
     /*  538758 */   GIM_Try, /*On fail goto*//*Label 8891*/ GIMT_Encode4(538829), // Rule ID 4204 //
     /*  538763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  538774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  538777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  538780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538791 */     // MIs[0] passthru
     /*  538791 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538807 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  538810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538827 */     GIR_RootConstrainSelectedInstOperands,
     /*  538828 */     // GIR_Coverage, 4204,
     /*  538828 */     GIR_EraseRootFromParent_Done,
     /*  538829 */   // Label 8891: @538829
     /*  538829 */   GIM_Try, /*On fail goto*//*Label 8892*/ GIMT_Encode4(538900), // Rule ID 4213 //
     /*  538834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  538845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  538848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  538851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538862 */     // MIs[0] passthru
     /*  538862 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  538881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538898 */     GIR_RootConstrainSelectedInstOperands,
     /*  538899 */     // GIR_Coverage, 4213,
     /*  538899 */     GIR_EraseRootFromParent_Done,
     /*  538900 */   // Label 8892: @538900
     /*  538900 */   GIM_Try, /*On fail goto*//*Label 8893*/ GIMT_Encode4(538971), // Rule ID 4214 //
     /*  538905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  538916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  538919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  538922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538933 */     // MIs[0] passthru
     /*  538933 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538949 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  538952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538969 */     GIR_RootConstrainSelectedInstOperands,
     /*  538970 */     // GIR_Coverage, 4214,
     /*  538970 */     GIR_EraseRootFromParent_Done,
     /*  538971 */   // Label 8893: @538971
     /*  538971 */   GIM_Try, /*On fail goto*//*Label 8894*/ GIMT_Encode4(539042), // Rule ID 4223 //
     /*  538976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  538984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  538987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  538990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  538993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539004 */     // MIs[0] passthru
     /*  539004 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539020 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  539023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539040 */     GIR_RootConstrainSelectedInstOperands,
     /*  539041 */     // GIR_Coverage, 4223,
     /*  539041 */     GIR_EraseRootFromParent_Done,
     /*  539042 */   // Label 8894: @539042
     /*  539042 */   GIM_Try, /*On fail goto*//*Label 8895*/ GIMT_Encode4(539113), // Rule ID 4224 //
     /*  539047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  539058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  539061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  539064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539075 */     // MIs[0] passthru
     /*  539075 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539091 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  539094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539111 */     GIR_RootConstrainSelectedInstOperands,
     /*  539112 */     // GIR_Coverage, 4224,
     /*  539112 */     GIR_EraseRootFromParent_Done,
     /*  539113 */   // Label 8895: @539113
     /*  539113 */   GIM_Try, /*On fail goto*//*Label 8896*/ GIMT_Encode4(539184), // Rule ID 4233 //
     /*  539118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  539121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  539129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  539132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  539135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539146 */     // MIs[0] passthru
     /*  539146 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539162 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  539165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539182 */     GIR_RootConstrainSelectedInstOperands,
     /*  539183 */     // GIR_Coverage, 4233,
     /*  539183 */     GIR_EraseRootFromParent_Done,
     /*  539184 */   // Label 8896: @539184
     /*  539184 */   GIM_Try, /*On fail goto*//*Label 8897*/ GIMT_Encode4(539255), // Rule ID 4234 //
     /*  539189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  539192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  539200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  539203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  539206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539217 */     // MIs[0] passthru
     /*  539217 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539233 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  539236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539253 */     GIR_RootConstrainSelectedInstOperands,
     /*  539254 */     // GIR_Coverage, 4234,
     /*  539254 */     GIR_EraseRootFromParent_Done,
     /*  539255 */   // Label 8897: @539255
     /*  539255 */   GIM_Try, /*On fail goto*//*Label 8898*/ GIMT_Encode4(539326), // Rule ID 4243 //
     /*  539260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  539263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  539271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  539274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  539277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539288 */     // MIs[0] passthru
     /*  539288 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539304 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  539307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539324 */     GIR_RootConstrainSelectedInstOperands,
     /*  539325 */     // GIR_Coverage, 4243,
     /*  539325 */     GIR_EraseRootFromParent_Done,
     /*  539326 */   // Label 8898: @539326
     /*  539326 */   GIM_Try, /*On fail goto*//*Label 8899*/ GIMT_Encode4(539397), // Rule ID 4244 //
     /*  539331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  539334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  539342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  539345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  539348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539359 */     // MIs[0] passthru
     /*  539359 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539375 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  539378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539395 */     GIR_RootConstrainSelectedInstOperands,
     /*  539396 */     // GIR_Coverage, 4244,
     /*  539396 */     GIR_EraseRootFromParent_Done,
     /*  539397 */   // Label 8899: @539397
     /*  539397 */   GIM_Try, /*On fail goto*//*Label 8900*/ GIMT_Encode4(539468), // Rule ID 4253 //
     /*  539402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  539405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  539413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  539416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  539419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539430 */     // MIs[0] passthru
     /*  539430 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539446 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  539449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539466 */     GIR_RootConstrainSelectedInstOperands,
     /*  539467 */     // GIR_Coverage, 4253,
     /*  539467 */     GIR_EraseRootFromParent_Done,
     /*  539468 */   // Label 8900: @539468
     /*  539468 */   GIM_Try, /*On fail goto*//*Label 8901*/ GIMT_Encode4(539539), // Rule ID 4254 //
     /*  539473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  539476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  539484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  539487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  539490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539501 */     // MIs[0] passthru
     /*  539501 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539517 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  539520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539537 */     GIR_RootConstrainSelectedInstOperands,
     /*  539538 */     // GIR_Coverage, 4254,
     /*  539538 */     GIR_EraseRootFromParent_Done,
     /*  539539 */   // Label 8901: @539539
     /*  539539 */   GIM_Try, /*On fail goto*//*Label 8902*/ GIMT_Encode4(539610), // Rule ID 4263 //
     /*  539544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  539547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  539555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  539558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  539561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539572 */     // MIs[0] passthru
     /*  539572 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539588 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  539591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539608 */     GIR_RootConstrainSelectedInstOperands,
     /*  539609 */     // GIR_Coverage, 4263,
     /*  539609 */     GIR_EraseRootFromParent_Done,
     /*  539610 */   // Label 8902: @539610
     /*  539610 */   GIM_Try, /*On fail goto*//*Label 8903*/ GIMT_Encode4(539681), // Rule ID 4264 //
     /*  539615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  539618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  539623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  539626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  539629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  539632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539643 */     // MIs[0] passthru
     /*  539643 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539659 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  539662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539679 */     GIR_RootConstrainSelectedInstOperands,
     /*  539680 */     // GIR_Coverage, 4264,
     /*  539680 */     GIR_EraseRootFromParent_Done,
     /*  539681 */   // Label 8903: @539681
     /*  539681 */   GIM_Try, /*On fail goto*//*Label 8904*/ GIMT_Encode4(539752), // Rule ID 4333 //
     /*  539686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  539694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  539697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  539700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  539703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539714 */     // MIs[0] passthru
     /*  539714 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539730 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  539733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539750 */     GIR_RootConstrainSelectedInstOperands,
     /*  539751 */     // GIR_Coverage, 4333,
     /*  539751 */     GIR_EraseRootFromParent_Done,
     /*  539752 */   // Label 8904: @539752
     /*  539752 */   GIM_Try, /*On fail goto*//*Label 8905*/ GIMT_Encode4(539823), // Rule ID 4334 //
     /*  539757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  539765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  539768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  539771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  539774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539785 */     // MIs[0] passthru
     /*  539785 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539801 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  539804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539821 */     GIR_RootConstrainSelectedInstOperands,
     /*  539822 */     // GIR_Coverage, 4334,
     /*  539822 */     GIR_EraseRootFromParent_Done,
     /*  539823 */   // Label 8905: @539823
     /*  539823 */   GIM_Try, /*On fail goto*//*Label 8906*/ GIMT_Encode4(539894), // Rule ID 4343 //
     /*  539828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  539836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  539839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  539842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  539845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539856 */     // MIs[0] passthru
     /*  539856 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539872 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  539875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539892 */     GIR_RootConstrainSelectedInstOperands,
     /*  539893 */     // GIR_Coverage, 4343,
     /*  539893 */     GIR_EraseRootFromParent_Done,
     /*  539894 */   // Label 8906: @539894
     /*  539894 */   GIM_Try, /*On fail goto*//*Label 8907*/ GIMT_Encode4(539965), // Rule ID 4344 //
     /*  539899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  539907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  539910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  539913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  539916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539927 */     // MIs[0] passthru
     /*  539927 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539943 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  539946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539963 */     GIR_RootConstrainSelectedInstOperands,
     /*  539964 */     // GIR_Coverage, 4344,
     /*  539964 */     GIR_EraseRootFromParent_Done,
     /*  539965 */   // Label 8907: @539965
     /*  539965 */   GIM_Try, /*On fail goto*//*Label 8908*/ GIMT_Encode4(540036), // Rule ID 4353 //
     /*  539970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  539978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  539981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  539984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  539987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539998 */     // MIs[0] passthru
     /*  539998 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540014 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  540017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540034 */     GIR_RootConstrainSelectedInstOperands,
     /*  540035 */     // GIR_Coverage, 4353,
     /*  540035 */     GIR_EraseRootFromParent_Done,
     /*  540036 */   // Label 8908: @540036
     /*  540036 */   GIM_Try, /*On fail goto*//*Label 8909*/ GIMT_Encode4(540107), // Rule ID 4354 //
     /*  540041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  540049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  540052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  540055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  540058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540069 */     // MIs[0] passthru
     /*  540069 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540085 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  540088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540105 */     GIR_RootConstrainSelectedInstOperands,
     /*  540106 */     // GIR_Coverage, 4354,
     /*  540106 */     GIR_EraseRootFromParent_Done,
     /*  540107 */   // Label 8909: @540107
     /*  540107 */   GIM_Try, /*On fail goto*//*Label 8910*/ GIMT_Encode4(540178), // Rule ID 4363 //
     /*  540112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  540120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  540123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  540126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  540129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540140 */     // MIs[0] passthru
     /*  540140 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  540159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540176 */     GIR_RootConstrainSelectedInstOperands,
     /*  540177 */     // GIR_Coverage, 4363,
     /*  540177 */     GIR_EraseRootFromParent_Done,
     /*  540178 */   // Label 8910: @540178
     /*  540178 */   GIM_Try, /*On fail goto*//*Label 8911*/ GIMT_Encode4(540249), // Rule ID 4364 //
     /*  540183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  540191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  540194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  540197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  540200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540211 */     // MIs[0] passthru
     /*  540211 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540227 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  540230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540247 */     GIR_RootConstrainSelectedInstOperands,
     /*  540248 */     // GIR_Coverage, 4364,
     /*  540248 */     GIR_EraseRootFromParent_Done,
     /*  540249 */   // Label 8911: @540249
     /*  540249 */   GIM_Try, /*On fail goto*//*Label 8912*/ GIMT_Encode4(540320), // Rule ID 4373 //
     /*  540254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  540262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  540265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  540268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  540271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540282 */     // MIs[0] passthru
     /*  540282 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540298 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  540301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540318 */     GIR_RootConstrainSelectedInstOperands,
     /*  540319 */     // GIR_Coverage, 4373,
     /*  540319 */     GIR_EraseRootFromParent_Done,
     /*  540320 */   // Label 8912: @540320
     /*  540320 */   GIM_Try, /*On fail goto*//*Label 8913*/ GIMT_Encode4(540391), // Rule ID 4374 //
     /*  540325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  540333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  540336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  540339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  540342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540353 */     // MIs[0] passthru
     /*  540353 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540369 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  540372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540389 */     GIR_RootConstrainSelectedInstOperands,
     /*  540390 */     // GIR_Coverage, 4374,
     /*  540390 */     GIR_EraseRootFromParent_Done,
     /*  540391 */   // Label 8913: @540391
     /*  540391 */   GIM_Try, /*On fail goto*//*Label 8914*/ GIMT_Encode4(540462), // Rule ID 4383 //
     /*  540396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  540404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  540407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  540410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  540413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540424 */     // MIs[0] passthru
     /*  540424 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540440 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  540443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540460 */     GIR_RootConstrainSelectedInstOperands,
     /*  540461 */     // GIR_Coverage, 4383,
     /*  540461 */     GIR_EraseRootFromParent_Done,
     /*  540462 */   // Label 8914: @540462
     /*  540462 */   GIM_Try, /*On fail goto*//*Label 8915*/ GIMT_Encode4(540533), // Rule ID 4384 //
     /*  540467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  540475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  540478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  540481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  540484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540495 */     // MIs[0] passthru
     /*  540495 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540511 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  540514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540531 */     GIR_RootConstrainSelectedInstOperands,
     /*  540532 */     // GIR_Coverage, 4384,
     /*  540532 */     GIR_EraseRootFromParent_Done,
     /*  540533 */   // Label 8915: @540533
     /*  540533 */   GIM_Try, /*On fail goto*//*Label 8916*/ GIMT_Encode4(540604), // Rule ID 4393 //
     /*  540538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  540546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  540549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  540552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  540555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540566 */     // MIs[0] passthru
     /*  540566 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540582 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  540585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540602 */     GIR_RootConstrainSelectedInstOperands,
     /*  540603 */     // GIR_Coverage, 4393,
     /*  540603 */     GIR_EraseRootFromParent_Done,
     /*  540604 */   // Label 8916: @540604
     /*  540604 */   GIM_Try, /*On fail goto*//*Label 8917*/ GIMT_Encode4(540675), // Rule ID 4394 //
     /*  540609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  540617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  540620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  540623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  540626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540637 */     // MIs[0] passthru
     /*  540637 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540653 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  540656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540673 */     GIR_RootConstrainSelectedInstOperands,
     /*  540674 */     // GIR_Coverage, 4394,
     /*  540674 */     GIR_EraseRootFromParent_Done,
     /*  540675 */   // Label 8917: @540675
     /*  540675 */   GIM_Try, /*On fail goto*//*Label 8918*/ GIMT_Encode4(540746), // Rule ID 4403 //
     /*  540680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  540688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  540691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  540694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  540697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540708 */     // MIs[0] passthru
     /*  540708 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  540727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540744 */     GIR_RootConstrainSelectedInstOperands,
     /*  540745 */     // GIR_Coverage, 4403,
     /*  540745 */     GIR_EraseRootFromParent_Done,
     /*  540746 */   // Label 8918: @540746
     /*  540746 */   GIM_Try, /*On fail goto*//*Label 8919*/ GIMT_Encode4(540817), // Rule ID 4404 //
     /*  540751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  540759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  540762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  540765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  540768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540779 */     // MIs[0] passthru
     /*  540779 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540795 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  540798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540815 */     GIR_RootConstrainSelectedInstOperands,
     /*  540816 */     // GIR_Coverage, 4404,
     /*  540816 */     GIR_EraseRootFromParent_Done,
     /*  540817 */   // Label 8919: @540817
     /*  540817 */   GIM_Try, /*On fail goto*//*Label 8920*/ GIMT_Encode4(540888), // Rule ID 4413 //
     /*  540822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  540830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  540833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  540836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  540839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540850 */     // MIs[0] passthru
     /*  540850 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540866 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  540869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540886 */     GIR_RootConstrainSelectedInstOperands,
     /*  540887 */     // GIR_Coverage, 4413,
     /*  540887 */     GIR_EraseRootFromParent_Done,
     /*  540888 */   // Label 8920: @540888
     /*  540888 */   GIM_Try, /*On fail goto*//*Label 8921*/ GIMT_Encode4(540959), // Rule ID 4414 //
     /*  540893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  540901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  540904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  540907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  540910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540921 */     // MIs[0] passthru
     /*  540921 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540937 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  540940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540957 */     GIR_RootConstrainSelectedInstOperands,
     /*  540958 */     // GIR_Coverage, 4414,
     /*  540958 */     GIR_EraseRootFromParent_Done,
     /*  540959 */   // Label 8921: @540959
     /*  540959 */   GIM_Try, /*On fail goto*//*Label 8922*/ GIMT_Encode4(541030), // Rule ID 4423 //
     /*  540964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  540972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  540975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  540978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  540981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540992 */     // MIs[0] passthru
     /*  540992 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  540997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541008 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  541011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541028 */     GIR_RootConstrainSelectedInstOperands,
     /*  541029 */     // GIR_Coverage, 4423,
     /*  541029 */     GIR_EraseRootFromParent_Done,
     /*  541030 */   // Label 8922: @541030
     /*  541030 */   GIM_Try, /*On fail goto*//*Label 8923*/ GIMT_Encode4(541101), // Rule ID 4424 //
     /*  541035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  541046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  541049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  541052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541063 */     // MIs[0] passthru
     /*  541063 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541079 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  541082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541099 */     GIR_RootConstrainSelectedInstOperands,
     /*  541100 */     // GIR_Coverage, 4424,
     /*  541100 */     GIR_EraseRootFromParent_Done,
     /*  541101 */   // Label 8923: @541101
     /*  541101 */   GIM_Try, /*On fail goto*//*Label 8924*/ GIMT_Encode4(541172), // Rule ID 4433 //
     /*  541106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  541117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  541120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  541123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541134 */     // MIs[0] passthru
     /*  541134 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541150 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  541153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541170 */     GIR_RootConstrainSelectedInstOperands,
     /*  541171 */     // GIR_Coverage, 4433,
     /*  541171 */     GIR_EraseRootFromParent_Done,
     /*  541172 */   // Label 8924: @541172
     /*  541172 */   GIM_Try, /*On fail goto*//*Label 8925*/ GIMT_Encode4(541243), // Rule ID 4434 //
     /*  541177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  541188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  541191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  541194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541205 */     // MIs[0] passthru
     /*  541205 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541221 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  541224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541241 */     GIR_RootConstrainSelectedInstOperands,
     /*  541242 */     // GIR_Coverage, 4434,
     /*  541242 */     GIR_EraseRootFromParent_Done,
     /*  541243 */   // Label 8925: @541243
     /*  541243 */   GIM_Try, /*On fail goto*//*Label 8926*/ GIMT_Encode4(541314), // Rule ID 4443 //
     /*  541248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  541251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  541259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  541262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  541265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541276 */     // MIs[0] passthru
     /*  541276 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  541295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541312 */     GIR_RootConstrainSelectedInstOperands,
     /*  541313 */     // GIR_Coverage, 4443,
     /*  541313 */     GIR_EraseRootFromParent_Done,
     /*  541314 */   // Label 8926: @541314
     /*  541314 */   GIM_Try, /*On fail goto*//*Label 8927*/ GIMT_Encode4(541385), // Rule ID 4444 //
     /*  541319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  541322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  541330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  541333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  541336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541347 */     // MIs[0] passthru
     /*  541347 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541363 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  541366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541383 */     GIR_RootConstrainSelectedInstOperands,
     /*  541384 */     // GIR_Coverage, 4444,
     /*  541384 */     GIR_EraseRootFromParent_Done,
     /*  541385 */   // Label 8927: @541385
     /*  541385 */   GIM_Try, /*On fail goto*//*Label 8928*/ GIMT_Encode4(541456), // Rule ID 4453 //
     /*  541390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  541393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  541401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  541404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  541407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541418 */     // MIs[0] passthru
     /*  541418 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541434 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  541437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541454 */     GIR_RootConstrainSelectedInstOperands,
     /*  541455 */     // GIR_Coverage, 4453,
     /*  541455 */     GIR_EraseRootFromParent_Done,
     /*  541456 */   // Label 8928: @541456
     /*  541456 */   GIM_Try, /*On fail goto*//*Label 8929*/ GIMT_Encode4(541527), // Rule ID 4454 //
     /*  541461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  541464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  541472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  541475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  541478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541489 */     // MIs[0] passthru
     /*  541489 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541505 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  541508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541525 */     GIR_RootConstrainSelectedInstOperands,
     /*  541526 */     // GIR_Coverage, 4454,
     /*  541526 */     GIR_EraseRootFromParent_Done,
     /*  541527 */   // Label 8929: @541527
     /*  541527 */   GIM_Try, /*On fail goto*//*Label 8930*/ GIMT_Encode4(541598), // Rule ID 4463 //
     /*  541532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  541535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  541543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  541546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  541549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541560 */     // MIs[0] passthru
     /*  541560 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541576 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  541579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541596 */     GIR_RootConstrainSelectedInstOperands,
     /*  541597 */     // GIR_Coverage, 4463,
     /*  541597 */     GIR_EraseRootFromParent_Done,
     /*  541598 */   // Label 8930: @541598
     /*  541598 */   GIM_Try, /*On fail goto*//*Label 8931*/ GIMT_Encode4(541669), // Rule ID 4464 //
     /*  541603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  541606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  541614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  541617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  541620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541631 */     // MIs[0] passthru
     /*  541631 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541647 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  541650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541667 */     GIR_RootConstrainSelectedInstOperands,
     /*  541668 */     // GIR_Coverage, 4464,
     /*  541668 */     GIR_EraseRootFromParent_Done,
     /*  541669 */   // Label 8931: @541669
     /*  541669 */   GIM_Try, /*On fail goto*//*Label 8932*/ GIMT_Encode4(541740), // Rule ID 4473 //
     /*  541674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  541677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  541685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  541688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  541691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541702 */     // MIs[0] passthru
     /*  541702 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541718 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  541721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541738 */     GIR_RootConstrainSelectedInstOperands,
     /*  541739 */     // GIR_Coverage, 4473,
     /*  541739 */     GIR_EraseRootFromParent_Done,
     /*  541740 */   // Label 8932: @541740
     /*  541740 */   GIM_Try, /*On fail goto*//*Label 8933*/ GIMT_Encode4(541811), // Rule ID 4474 //
     /*  541745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  541748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  541753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  541756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  541759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  541762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541773 */     // MIs[0] passthru
     /*  541773 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541789 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  541792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541809 */     GIR_RootConstrainSelectedInstOperands,
     /*  541810 */     // GIR_Coverage, 4474,
     /*  541810 */     GIR_EraseRootFromParent_Done,
     /*  541811 */   // Label 8933: @541811
     /*  541811 */   GIM_Try, /*On fail goto*//*Label 8934*/ GIMT_Encode4(541882), // Rule ID 4543 //
     /*  541816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  541824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  541827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  541830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  541833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541844 */     // MIs[0] passthru
     /*  541844 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541860 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  541863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541880 */     GIR_RootConstrainSelectedInstOperands,
     /*  541881 */     // GIR_Coverage, 4543,
     /*  541881 */     GIR_EraseRootFromParent_Done,
     /*  541882 */   // Label 8934: @541882
     /*  541882 */   GIM_Try, /*On fail goto*//*Label 8935*/ GIMT_Encode4(541953), // Rule ID 4544 //
     /*  541887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  541895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  541898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  541901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  541904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541915 */     // MIs[0] passthru
     /*  541915 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541931 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  541934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541951 */     GIR_RootConstrainSelectedInstOperands,
     /*  541952 */     // GIR_Coverage, 4544,
     /*  541952 */     GIR_EraseRootFromParent_Done,
     /*  541953 */   // Label 8935: @541953
     /*  541953 */   GIM_Try, /*On fail goto*//*Label 8936*/ GIMT_Encode4(542024), // Rule ID 4553 //
     /*  541958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  541966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  541969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  541972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  541975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541986 */     // MIs[0] passthru
     /*  541986 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542002 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  542005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542022 */     GIR_RootConstrainSelectedInstOperands,
     /*  542023 */     // GIR_Coverage, 4553,
     /*  542023 */     GIR_EraseRootFromParent_Done,
     /*  542024 */   // Label 8936: @542024
     /*  542024 */   GIM_Try, /*On fail goto*//*Label 8937*/ GIMT_Encode4(542095), // Rule ID 4554 //
     /*  542029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  542037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  542040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  542043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  542046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542057 */     // MIs[0] passthru
     /*  542057 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542073 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  542076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542093 */     GIR_RootConstrainSelectedInstOperands,
     /*  542094 */     // GIR_Coverage, 4554,
     /*  542094 */     GIR_EraseRootFromParent_Done,
     /*  542095 */   // Label 8937: @542095
     /*  542095 */   GIM_Try, /*On fail goto*//*Label 8938*/ GIMT_Encode4(542166), // Rule ID 4563 //
     /*  542100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  542108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  542111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  542114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  542117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542128 */     // MIs[0] passthru
     /*  542128 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542144 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  542147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542164 */     GIR_RootConstrainSelectedInstOperands,
     /*  542165 */     // GIR_Coverage, 4563,
     /*  542165 */     GIR_EraseRootFromParent_Done,
     /*  542166 */   // Label 8938: @542166
     /*  542166 */   GIM_Try, /*On fail goto*//*Label 8939*/ GIMT_Encode4(542237), // Rule ID 4564 //
     /*  542171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  542179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  542182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  542185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  542188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542199 */     // MIs[0] passthru
     /*  542199 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542215 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  542218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542235 */     GIR_RootConstrainSelectedInstOperands,
     /*  542236 */     // GIR_Coverage, 4564,
     /*  542236 */     GIR_EraseRootFromParent_Done,
     /*  542237 */   // Label 8939: @542237
     /*  542237 */   GIM_Try, /*On fail goto*//*Label 8940*/ GIMT_Encode4(542308), // Rule ID 4573 //
     /*  542242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  542250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  542253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  542256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  542259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542270 */     // MIs[0] passthru
     /*  542270 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542286 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  542289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542306 */     GIR_RootConstrainSelectedInstOperands,
     /*  542307 */     // GIR_Coverage, 4573,
     /*  542307 */     GIR_EraseRootFromParent_Done,
     /*  542308 */   // Label 8940: @542308
     /*  542308 */   GIM_Try, /*On fail goto*//*Label 8941*/ GIMT_Encode4(542379), // Rule ID 4574 //
     /*  542313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  542321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  542324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  542327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  542330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542341 */     // MIs[0] passthru
     /*  542341 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542357 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  542360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542377 */     GIR_RootConstrainSelectedInstOperands,
     /*  542378 */     // GIR_Coverage, 4574,
     /*  542378 */     GIR_EraseRootFromParent_Done,
     /*  542379 */   // Label 8941: @542379
     /*  542379 */   GIM_Try, /*On fail goto*//*Label 8942*/ GIMT_Encode4(542450), // Rule ID 4583 //
     /*  542384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  542392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  542395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  542398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  542401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542412 */     // MIs[0] passthru
     /*  542412 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542428 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  542431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542448 */     GIR_RootConstrainSelectedInstOperands,
     /*  542449 */     // GIR_Coverage, 4583,
     /*  542449 */     GIR_EraseRootFromParent_Done,
     /*  542450 */   // Label 8942: @542450
     /*  542450 */   GIM_Try, /*On fail goto*//*Label 8943*/ GIMT_Encode4(542521), // Rule ID 4584 //
     /*  542455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  542463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  542466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  542469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  542472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542483 */     // MIs[0] passthru
     /*  542483 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542499 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  542502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542519 */     GIR_RootConstrainSelectedInstOperands,
     /*  542520 */     // GIR_Coverage, 4584,
     /*  542520 */     GIR_EraseRootFromParent_Done,
     /*  542521 */   // Label 8943: @542521
     /*  542521 */   GIM_Try, /*On fail goto*//*Label 8944*/ GIMT_Encode4(542592), // Rule ID 4593 //
     /*  542526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  542534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  542537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  542540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  542543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542554 */     // MIs[0] passthru
     /*  542554 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542570 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  542573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542590 */     GIR_RootConstrainSelectedInstOperands,
     /*  542591 */     // GIR_Coverage, 4593,
     /*  542591 */     GIR_EraseRootFromParent_Done,
     /*  542592 */   // Label 8944: @542592
     /*  542592 */   GIM_Try, /*On fail goto*//*Label 8945*/ GIMT_Encode4(542663), // Rule ID 4594 //
     /*  542597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  542605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  542608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  542611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  542614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542625 */     // MIs[0] passthru
     /*  542625 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542641 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  542644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542661 */     GIR_RootConstrainSelectedInstOperands,
     /*  542662 */     // GIR_Coverage, 4594,
     /*  542662 */     GIR_EraseRootFromParent_Done,
     /*  542663 */   // Label 8945: @542663
     /*  542663 */   GIM_Try, /*On fail goto*//*Label 8946*/ GIMT_Encode4(542734), // Rule ID 4603 //
     /*  542668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  542676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  542679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  542682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  542685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542696 */     // MIs[0] passthru
     /*  542696 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542712 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  542715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542732 */     GIR_RootConstrainSelectedInstOperands,
     /*  542733 */     // GIR_Coverage, 4603,
     /*  542733 */     GIR_EraseRootFromParent_Done,
     /*  542734 */   // Label 8946: @542734
     /*  542734 */   GIM_Try, /*On fail goto*//*Label 8947*/ GIMT_Encode4(542805), // Rule ID 4604 //
     /*  542739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  542747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  542750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  542753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  542756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542767 */     // MIs[0] passthru
     /*  542767 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542783 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  542786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542803 */     GIR_RootConstrainSelectedInstOperands,
     /*  542804 */     // GIR_Coverage, 4604,
     /*  542804 */     GIR_EraseRootFromParent_Done,
     /*  542805 */   // Label 8947: @542805
     /*  542805 */   GIM_Try, /*On fail goto*//*Label 8948*/ GIMT_Encode4(542876), // Rule ID 4613 //
     /*  542810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  542818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  542821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  542824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  542827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542838 */     // MIs[0] passthru
     /*  542838 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542854 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  542857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542874 */     GIR_RootConstrainSelectedInstOperands,
     /*  542875 */     // GIR_Coverage, 4613,
     /*  542875 */     GIR_EraseRootFromParent_Done,
     /*  542876 */   // Label 8948: @542876
     /*  542876 */   GIM_Try, /*On fail goto*//*Label 8949*/ GIMT_Encode4(542947), // Rule ID 4614 //
     /*  542881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  542889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  542892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  542895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  542898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542909 */     // MIs[0] passthru
     /*  542909 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542925 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  542928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542945 */     GIR_RootConstrainSelectedInstOperands,
     /*  542946 */     // GIR_Coverage, 4614,
     /*  542946 */     GIR_EraseRootFromParent_Done,
     /*  542947 */   // Label 8949: @542947
     /*  542947 */   GIM_Try, /*On fail goto*//*Label 8950*/ GIMT_Encode4(543018), // Rule ID 4623 //
     /*  542952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  542960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  542963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  542966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  542969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542980 */     // MIs[0] passthru
     /*  542980 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  542999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543016 */     GIR_RootConstrainSelectedInstOperands,
     /*  543017 */     // GIR_Coverage, 4623,
     /*  543017 */     GIR_EraseRootFromParent_Done,
     /*  543018 */   // Label 8950: @543018
     /*  543018 */   GIM_Try, /*On fail goto*//*Label 8951*/ GIMT_Encode4(543089), // Rule ID 4624 //
     /*  543023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  543034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  543037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  543040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543051 */     // MIs[0] passthru
     /*  543051 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543067 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  543067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  543070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543087 */     GIR_RootConstrainSelectedInstOperands,
     /*  543088 */     // GIR_Coverage, 4624,
     /*  543088 */     GIR_EraseRootFromParent_Done,
     /*  543089 */   // Label 8951: @543089
     /*  543089 */   GIM_Try, /*On fail goto*//*Label 8952*/ GIMT_Encode4(543160), // Rule ID 4633 //
     /*  543094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  543105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  543108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  543111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543122 */     // MIs[0] passthru
     /*  543122 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543138 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  543138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  543141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543158 */     GIR_RootConstrainSelectedInstOperands,
     /*  543159 */     // GIR_Coverage, 4633,
     /*  543159 */     GIR_EraseRootFromParent_Done,
     /*  543160 */   // Label 8952: @543160
     /*  543160 */   GIM_Try, /*On fail goto*//*Label 8953*/ GIMT_Encode4(543231), // Rule ID 4634 //
     /*  543165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  543176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  543179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  543182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543193 */     // MIs[0] passthru
     /*  543193 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543209 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  543209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  543212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543229 */     GIR_RootConstrainSelectedInstOperands,
     /*  543230 */     // GIR_Coverage, 4634,
     /*  543230 */     GIR_EraseRootFromParent_Done,
     /*  543231 */   // Label 8953: @543231
     /*  543231 */   GIM_Try, /*On fail goto*//*Label 8954*/ GIMT_Encode4(543302), // Rule ID 4643 //
     /*  543236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  543247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  543250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  543253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543264 */     // MIs[0] passthru
     /*  543264 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543280 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  543280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  543283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543300 */     GIR_RootConstrainSelectedInstOperands,
     /*  543301 */     // GIR_Coverage, 4643,
     /*  543301 */     GIR_EraseRootFromParent_Done,
     /*  543302 */   // Label 8954: @543302
     /*  543302 */   GIM_Try, /*On fail goto*//*Label 8955*/ GIMT_Encode4(543373), // Rule ID 4644 //
     /*  543307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  543318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  543321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  543324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543335 */     // MIs[0] passthru
     /*  543335 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543351 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  543351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  543354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543371 */     GIR_RootConstrainSelectedInstOperands,
     /*  543372 */     // GIR_Coverage, 4644,
     /*  543372 */     GIR_EraseRootFromParent_Done,
     /*  543373 */   // Label 8955: @543373
     /*  543373 */   GIM_Try, /*On fail goto*//*Label 8956*/ GIMT_Encode4(543444), // Rule ID 4653 //
     /*  543378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  543389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  543392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  543395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543406 */     // MIs[0] passthru
     /*  543406 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  543425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543442 */     GIR_RootConstrainSelectedInstOperands,
     /*  543443 */     // GIR_Coverage, 4653,
     /*  543443 */     GIR_EraseRootFromParent_Done,
     /*  543444 */   // Label 8956: @543444
     /*  543444 */   GIM_Try, /*On fail goto*//*Label 8957*/ GIMT_Encode4(543515), // Rule ID 4654 //
     /*  543449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  543460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  543463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  543466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543477 */     // MIs[0] passthru
     /*  543477 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543493 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  543496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543513 */     GIR_RootConstrainSelectedInstOperands,
     /*  543514 */     // GIR_Coverage, 4654,
     /*  543514 */     GIR_EraseRootFromParent_Done,
     /*  543515 */   // Label 8957: @543515
     /*  543515 */   GIM_Try, /*On fail goto*//*Label 8958*/ GIMT_Encode4(543586), // Rule ID 4663 //
     /*  543520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  543531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  543534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  543537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543548 */     // MIs[0] passthru
     /*  543548 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543564 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  543567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543584 */     GIR_RootConstrainSelectedInstOperands,
     /*  543585 */     // GIR_Coverage, 4663,
     /*  543585 */     GIR_EraseRootFromParent_Done,
     /*  543586 */   // Label 8958: @543586
     /*  543586 */   GIM_Try, /*On fail goto*//*Label 8959*/ GIMT_Encode4(543657), // Rule ID 4664 //
     /*  543591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  543602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  543605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  543608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543619 */     // MIs[0] passthru
     /*  543619 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543635 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  543638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543655 */     GIR_RootConstrainSelectedInstOperands,
     /*  543656 */     // GIR_Coverage, 4664,
     /*  543656 */     GIR_EraseRootFromParent_Done,
     /*  543657 */   // Label 8959: @543657
     /*  543657 */   GIM_Try, /*On fail goto*//*Label 8960*/ GIMT_Encode4(543728), // Rule ID 4673 //
     /*  543662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  543673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  543676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  543679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543690 */     // MIs[0] passthru
     /*  543690 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543706 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  543709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543726 */     GIR_RootConstrainSelectedInstOperands,
     /*  543727 */     // GIR_Coverage, 4673,
     /*  543727 */     GIR_EraseRootFromParent_Done,
     /*  543728 */   // Label 8960: @543728
     /*  543728 */   GIM_Try, /*On fail goto*//*Label 8961*/ GIMT_Encode4(543799), // Rule ID 4674 //
     /*  543733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  543744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  543747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  543750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543761 */     // MIs[0] passthru
     /*  543761 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543777 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  543780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543797 */     GIR_RootConstrainSelectedInstOperands,
     /*  543798 */     // GIR_Coverage, 4674,
     /*  543798 */     GIR_EraseRootFromParent_Done,
     /*  543799 */   // Label 8961: @543799
     /*  543799 */   GIM_Try, /*On fail goto*//*Label 8962*/ GIMT_Encode4(543870), // Rule ID 4683 //
     /*  543804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  543815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  543818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  543821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543832 */     // MIs[0] passthru
     /*  543832 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543848 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  543851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543868 */     GIR_RootConstrainSelectedInstOperands,
     /*  543869 */     // GIR_Coverage, 4683,
     /*  543869 */     GIR_EraseRootFromParent_Done,
     /*  543870 */   // Label 8962: @543870
     /*  543870 */   GIM_Try, /*On fail goto*//*Label 8963*/ GIMT_Encode4(543941), // Rule ID 4684 //
     /*  543875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  543883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  543886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  543889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  543892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543903 */     // MIs[0] passthru
     /*  543903 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543919 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  543922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543939 */     GIR_RootConstrainSelectedInstOperands,
     /*  543940 */     // GIR_Coverage, 4684,
     /*  543940 */     GIR_EraseRootFromParent_Done,
     /*  543941 */   // Label 8963: @543941
     /*  543941 */   GIM_Try, /*On fail goto*//*Label 8964*/ GIMT_Encode4(544013), // Rule ID 2547 //
     /*  543946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  543954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  543957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  543960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  543963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  543966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543992 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  543992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  543995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544011 */     GIR_RootConstrainSelectedInstOperands,
     /*  544012 */     // GIR_Coverage, 2547,
     /*  544012 */     GIR_EraseRootFromParent_Done,
     /*  544013 */   // Label 8964: @544013
     /*  544013 */   GIM_Try, /*On fail goto*//*Label 8965*/ GIMT_Encode4(544085), // Rule ID 2548 //
     /*  544018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  544026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  544029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  544032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  544035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  544038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544064 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  544064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  544067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544083 */     GIR_RootConstrainSelectedInstOperands,
     /*  544084 */     // GIR_Coverage, 2548,
     /*  544084 */     GIR_EraseRootFromParent_Done,
     /*  544085 */   // Label 8965: @544085
     /*  544085 */   GIM_Try, /*On fail goto*//*Label 8966*/ GIMT_Encode4(544160), // Rule ID 2551 //
     /*  544090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  544093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  544098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  544101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  544104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  544107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  544110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  544117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  544129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544136 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  544136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  544139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  544145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  544147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  544158 */     GIR_RootConstrainSelectedInstOperands,
     /*  544159 */     // GIR_Coverage, 2551,
     /*  544159 */     GIR_EraseRootFromParent_Done,
     /*  544160 */   // Label 8966: @544160
     /*  544160 */   GIM_Try, /*On fail goto*//*Label 8967*/ GIMT_Encode4(544235), // Rule ID 2552 //
     /*  544165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  544168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  544173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  544176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  544179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  544182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  544185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  544192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  544204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544211 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  544211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  544214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  544220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  544222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  544233 */     GIR_RootConstrainSelectedInstOperands,
     /*  544234 */     // GIR_Coverage, 2552,
     /*  544234 */     GIR_EraseRootFromParent_Done,
     /*  544235 */   // Label 8967: @544235
     /*  544235 */   GIM_Try, /*On fail goto*//*Label 8968*/ GIMT_Encode4(544310), // Rule ID 2579 //
     /*  544240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  544248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  544251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  544254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  544257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  544260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544286 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  544289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544308 */     GIR_RootConstrainSelectedInstOperands,
     /*  544309 */     // GIR_Coverage, 2579,
     /*  544309 */     GIR_EraseRootFromParent_Done,
     /*  544310 */   // Label 8968: @544310
     /*  544310 */   GIM_Try, /*On fail goto*//*Label 8969*/ GIMT_Encode4(544385), // Rule ID 2580 //
     /*  544315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  544323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  544326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  544329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  544332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  544335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544361 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  544364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544383 */     GIR_RootConstrainSelectedInstOperands,
     /*  544384 */     // GIR_Coverage, 2580,
     /*  544384 */     GIR_EraseRootFromParent_Done,
     /*  544385 */   // Label 8969: @544385
     /*  544385 */   GIM_Try, /*On fail goto*//*Label 8970*/ GIMT_Encode4(544457), // Rule ID 2593 //
     /*  544390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  544398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  544401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  544404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  544407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  544410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  544429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544436 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  544436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  544439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  544443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  544445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  544447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544455 */     GIR_RootConstrainSelectedInstOperands,
     /*  544456 */     // GIR_Coverage, 2593,
     /*  544456 */     GIR_EraseRootFromParent_Done,
     /*  544457 */   // Label 8970: @544457
     /*  544457 */   GIM_Try, /*On fail goto*//*Label 8971*/ GIMT_Encode4(544529), // Rule ID 2594 //
     /*  544462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  544470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  544473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  544476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  544479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  544482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  544501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544508 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  544508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  544511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  544515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  544517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  544519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544527 */     GIR_RootConstrainSelectedInstOperands,
     /*  544528 */     // GIR_Coverage, 2594,
     /*  544528 */     GIR_EraseRootFromParent_Done,
     /*  544529 */   // Label 8971: @544529
     /*  544529 */   GIM_Try, /*On fail goto*//*Label 8972*/ GIMT_Encode4(544604), // Rule ID 2613 //
     /*  544534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  544542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  544545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  544548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  544551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  544554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544580 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  544583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544602 */     GIR_RootConstrainSelectedInstOperands,
     /*  544603 */     // GIR_Coverage, 2613,
     /*  544603 */     GIR_EraseRootFromParent_Done,
     /*  544604 */   // Label 8972: @544604
     /*  544604 */   GIM_Try, /*On fail goto*//*Label 8973*/ GIMT_Encode4(544679), // Rule ID 2614 //
     /*  544609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  544617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  544620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  544623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  544626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  544629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544655 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  544658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544677 */     GIR_RootConstrainSelectedInstOperands,
     /*  544678 */     // GIR_Coverage, 2614,
     /*  544678 */     GIR_EraseRootFromParent_Done,
     /*  544679 */   // Label 8973: @544679
     /*  544679 */   GIM_Try, /*On fail goto*//*Label 8974*/ GIMT_Encode4(544754), // Rule ID 2639 //
     /*  544684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  544692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  544695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  544698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  544701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  544704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544730 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  544733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  544737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544752 */     GIR_RootConstrainSelectedInstOperands,
     /*  544753 */     // GIR_Coverage, 2639,
     /*  544753 */     GIR_EraseRootFromParent_Done,
     /*  544754 */   // Label 8974: @544754
     /*  544754 */   GIM_Try, /*On fail goto*//*Label 8975*/ GIMT_Encode4(544829), // Rule ID 2640 //
     /*  544759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  544767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  544770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  544773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  544776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  544779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544805 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  544808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  544812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544827 */     GIR_RootConstrainSelectedInstOperands,
     /*  544828 */     // GIR_Coverage, 2640,
     /*  544828 */     GIR_EraseRootFromParent_Done,
     /*  544829 */   // Label 8975: @544829
     /*  544829 */   GIM_Try, /*On fail goto*//*Label 8976*/ GIMT_Encode4(544904), // Rule ID 2651 //
     /*  544834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  544842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  544845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  544848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  544851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  544854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544880 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  544883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  544889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  544891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544902 */     GIR_RootConstrainSelectedInstOperands,
     /*  544903 */     // GIR_Coverage, 2651,
     /*  544903 */     GIR_EraseRootFromParent_Done,
     /*  544904 */   // Label 8976: @544904
     /*  544904 */   GIM_Try, /*On fail goto*//*Label 8977*/ GIMT_Encode4(544979), // Rule ID 2652 //
     /*  544909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  544917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  544920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  544923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  544926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  544929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544955 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  544958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  544964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  544966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544977 */     GIR_RootConstrainSelectedInstOperands,
     /*  544978 */     // GIR_Coverage, 2652,
     /*  544978 */     GIR_EraseRootFromParent_Done,
     /*  544979 */   // Label 8977: @544979
     /*  544979 */   GIM_Try, /*On fail goto*//*Label 8978*/ GIMT_Encode4(545054), // Rule ID 2659 //
     /*  544984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  544992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  544995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  544998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  545001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  545004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545030 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  545033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  545039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545052 */     GIR_RootConstrainSelectedInstOperands,
     /*  545053 */     // GIR_Coverage, 2659,
     /*  545053 */     GIR_EraseRootFromParent_Done,
     /*  545054 */   // Label 8978: @545054
     /*  545054 */   GIM_Try, /*On fail goto*//*Label 8979*/ GIMT_Encode4(545129), // Rule ID 2660 //
     /*  545059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  545067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  545070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  545073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  545076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  545079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545105 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  545108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  545114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545127 */     GIR_RootConstrainSelectedInstOperands,
     /*  545128 */     // GIR_Coverage, 2660,
     /*  545128 */     GIR_EraseRootFromParent_Done,
     /*  545129 */   // Label 8979: @545129
     /*  545129 */   GIM_Try, /*On fail goto*//*Label 8980*/ GIMT_Encode4(545204), // Rule ID 2667 //
     /*  545134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  545142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  545145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  545148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  545151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  545154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545180 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  545183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  545189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545202 */     GIR_RootConstrainSelectedInstOperands,
     /*  545203 */     // GIR_Coverage, 2667,
     /*  545203 */     GIR_EraseRootFromParent_Done,
     /*  545204 */   // Label 8980: @545204
     /*  545204 */   GIM_Try, /*On fail goto*//*Label 8981*/ GIMT_Encode4(545279), // Rule ID 2668 //
     /*  545209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  545217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  545220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  545223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  545226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  545229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545255 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  545258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  545264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545277 */     GIR_RootConstrainSelectedInstOperands,
     /*  545278 */     // GIR_Coverage, 2668,
     /*  545278 */     GIR_EraseRootFromParent_Done,
     /*  545279 */   // Label 8981: @545279
     /*  545279 */   GIM_Try, /*On fail goto*//*Label 8982*/ GIMT_Encode4(545354), // Rule ID 2675 //
     /*  545284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  545292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  545295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  545298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  545301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  545304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545330 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  545330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  545333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  545339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545352 */     GIR_RootConstrainSelectedInstOperands,
     /*  545353 */     // GIR_Coverage, 2675,
     /*  545353 */     GIR_EraseRootFromParent_Done,
     /*  545354 */   // Label 8982: @545354
     /*  545354 */   GIM_Try, /*On fail goto*//*Label 8983*/ GIMT_Encode4(545429), // Rule ID 2676 //
     /*  545359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  545367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  545370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  545373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  545376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  545379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545405 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  545405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  545408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  545414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545427 */     GIR_RootConstrainSelectedInstOperands,
     /*  545428 */     // GIR_Coverage, 2676,
     /*  545428 */     GIR_EraseRootFromParent_Done,
     /*  545429 */   // Label 8983: @545429
     /*  545429 */   GIM_Try, /*On fail goto*//*Label 8984*/ GIMT_Encode4(545504), // Rule ID 2683 //
     /*  545434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  545442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  545445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  545448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  545451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  545454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545480 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  545480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  545483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  545489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545502 */     GIR_RootConstrainSelectedInstOperands,
     /*  545503 */     // GIR_Coverage, 2683,
     /*  545503 */     GIR_EraseRootFromParent_Done,
     /*  545504 */   // Label 8984: @545504
     /*  545504 */   GIM_Try, /*On fail goto*//*Label 8985*/ GIMT_Encode4(545579), // Rule ID 2684 //
     /*  545509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  545517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  545520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  545523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  545526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  545529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545555 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  545555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  545558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  545564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545577 */     GIR_RootConstrainSelectedInstOperands,
     /*  545578 */     // GIR_Coverage, 2684,
     /*  545578 */     GIR_EraseRootFromParent_Done,
     /*  545579 */   // Label 8985: @545579
     /*  545579 */   GIM_Try, /*On fail goto*//*Label 8986*/ GIMT_Encode4(545654), // Rule ID 2691 //
     /*  545584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  545592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  545595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  545598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  545601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  545604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545630 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  545633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  545639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545652 */     GIR_RootConstrainSelectedInstOperands,
     /*  545653 */     // GIR_Coverage, 2691,
     /*  545653 */     GIR_EraseRootFromParent_Done,
     /*  545654 */   // Label 8986: @545654
     /*  545654 */   GIM_Try, /*On fail goto*//*Label 8987*/ GIMT_Encode4(545729), // Rule ID 2692 //
     /*  545659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  545667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  545670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  545673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  545676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  545679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545705 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  545708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  545714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545727 */     GIR_RootConstrainSelectedInstOperands,
     /*  545728 */     // GIR_Coverage, 2692,
     /*  545728 */     GIR_EraseRootFromParent_Done,
     /*  545729 */   // Label 8987: @545729
     /*  545729 */   GIM_Try, /*On fail goto*//*Label 8988*/ GIMT_Encode4(545804), // Rule ID 2699 //
     /*  545734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  545742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  545745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  545748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  545751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  545754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545780 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  545783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  545789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545802 */     GIR_RootConstrainSelectedInstOperands,
     /*  545803 */     // GIR_Coverage, 2699,
     /*  545803 */     GIR_EraseRootFromParent_Done,
     /*  545804 */   // Label 8988: @545804
     /*  545804 */   GIM_Try, /*On fail goto*//*Label 8989*/ GIMT_Encode4(545879), // Rule ID 2700 //
     /*  545809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  545817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  545820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  545823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  545826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  545829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545855 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  545858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  545864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545877 */     GIR_RootConstrainSelectedInstOperands,
     /*  545878 */     // GIR_Coverage, 2700,
     /*  545878 */     GIR_EraseRootFromParent_Done,
     /*  545879 */   // Label 8989: @545879
     /*  545879 */   GIM_Try, /*On fail goto*//*Label 8990*/ GIMT_Encode4(545954), // Rule ID 2707 //
     /*  545884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  545892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  545895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  545898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  545901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  545904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545930 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  545930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  545933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  545939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  545941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545952 */     GIR_RootConstrainSelectedInstOperands,
     /*  545953 */     // GIR_Coverage, 2707,
     /*  545953 */     GIR_EraseRootFromParent_Done,
     /*  545954 */   // Label 8990: @545954
     /*  545954 */   GIM_Try, /*On fail goto*//*Label 8991*/ GIMT_Encode4(546029), // Rule ID 2708 //
     /*  545959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  545967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  545970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  545973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  545976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  545979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546005 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  546005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  546008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546027 */     GIR_RootConstrainSelectedInstOperands,
     /*  546028 */     // GIR_Coverage, 2708,
     /*  546028 */     GIR_EraseRootFromParent_Done,
     /*  546029 */   // Label 8991: @546029
     /*  546029 */   GIM_Try, /*On fail goto*//*Label 8992*/ GIMT_Encode4(546104), // Rule ID 2715 //
     /*  546034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  546045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  546048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  546051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  546054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546080 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  546080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  546083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546102 */     GIR_RootConstrainSelectedInstOperands,
     /*  546103 */     // GIR_Coverage, 2715,
     /*  546103 */     GIR_EraseRootFromParent_Done,
     /*  546104 */   // Label 8992: @546104
     /*  546104 */   GIM_Try, /*On fail goto*//*Label 8993*/ GIMT_Encode4(546179), // Rule ID 2716 //
     /*  546109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  546120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  546123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  546126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  546129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546155 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  546155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  546158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546177 */     GIR_RootConstrainSelectedInstOperands,
     /*  546178 */     // GIR_Coverage, 2716,
     /*  546178 */     GIR_EraseRootFromParent_Done,
     /*  546179 */   // Label 8993: @546179
     /*  546179 */   GIM_Try, /*On fail goto*//*Label 8994*/ GIMT_Encode4(546254), // Rule ID 2723 //
     /*  546184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  546187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  546195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  546198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  546201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  546204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546230 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  546230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  546233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  546249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546252 */     GIR_RootConstrainSelectedInstOperands,
     /*  546253 */     // GIR_Coverage, 2723,
     /*  546253 */     GIR_EraseRootFromParent_Done,
     /*  546254 */   // Label 8994: @546254
     /*  546254 */   GIM_Try, /*On fail goto*//*Label 8995*/ GIMT_Encode4(546329), // Rule ID 2724 //
     /*  546259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  546262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  546270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  546273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  546276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  546279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546305 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  546305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  546308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  546324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546327 */     GIR_RootConstrainSelectedInstOperands,
     /*  546328 */     // GIR_Coverage, 2724,
     /*  546328 */     GIR_EraseRootFromParent_Done,
     /*  546329 */   // Label 8995: @546329
     /*  546329 */   GIM_Try, /*On fail goto*//*Label 8996*/ GIMT_Encode4(546404), // Rule ID 2731 //
     /*  546334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  546345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  546348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  546351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  546354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546380 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  546383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546402 */     GIR_RootConstrainSelectedInstOperands,
     /*  546403 */     // GIR_Coverage, 2731,
     /*  546403 */     GIR_EraseRootFromParent_Done,
     /*  546404 */   // Label 8996: @546404
     /*  546404 */   GIM_Try, /*On fail goto*//*Label 8997*/ GIMT_Encode4(546479), // Rule ID 2732 //
     /*  546409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  546420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  546423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  546426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  546429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546455 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  546458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546477 */     GIR_RootConstrainSelectedInstOperands,
     /*  546478 */     // GIR_Coverage, 2732,
     /*  546478 */     GIR_EraseRootFromParent_Done,
     /*  546479 */   // Label 8997: @546479
     /*  546479 */   GIM_Try, /*On fail goto*//*Label 8998*/ GIMT_Encode4(546554), // Rule ID 2739 //
     /*  546484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  546495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  546498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  546501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  546504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546530 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  546533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546552 */     GIR_RootConstrainSelectedInstOperands,
     /*  546553 */     // GIR_Coverage, 2739,
     /*  546553 */     GIR_EraseRootFromParent_Done,
     /*  546554 */   // Label 8998: @546554
     /*  546554 */   GIM_Try, /*On fail goto*//*Label 8999*/ GIMT_Encode4(546629), // Rule ID 2740 //
     /*  546559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  546570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  546573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  546576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  546579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546605 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  546608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546627 */     GIR_RootConstrainSelectedInstOperands,
     /*  546628 */     // GIR_Coverage, 2740,
     /*  546628 */     GIR_EraseRootFromParent_Done,
     /*  546629 */   // Label 8999: @546629
     /*  546629 */   GIM_Try, /*On fail goto*//*Label 9000*/ GIMT_Encode4(546704), // Rule ID 2747 //
     /*  546634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  546645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  546648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  546651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  546654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546680 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  546683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546702 */     GIR_RootConstrainSelectedInstOperands,
     /*  546703 */     // GIR_Coverage, 2747,
     /*  546703 */     GIR_EraseRootFromParent_Done,
     /*  546704 */   // Label 9000: @546704
     /*  546704 */   GIM_Try, /*On fail goto*//*Label 9001*/ GIMT_Encode4(546779), // Rule ID 2748 //
     /*  546709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  546720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  546723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  546726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  546729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546755 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  546758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546777 */     GIR_RootConstrainSelectedInstOperands,
     /*  546778 */     // GIR_Coverage, 2748,
     /*  546778 */     GIR_EraseRootFromParent_Done,
     /*  546779 */   // Label 9001: @546779
     /*  546779 */   GIM_Try, /*On fail goto*//*Label 9002*/ GIMT_Encode4(546854), // Rule ID 2755 //
     /*  546784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  546795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  546798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  546801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  546804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546830 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  546833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546852 */     GIR_RootConstrainSelectedInstOperands,
     /*  546853 */     // GIR_Coverage, 2755,
     /*  546853 */     GIR_EraseRootFromParent_Done,
     /*  546854 */   // Label 9002: @546854
     /*  546854 */   GIM_Try, /*On fail goto*//*Label 9003*/ GIMT_Encode4(546929), // Rule ID 2756 //
     /*  546859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  546870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  546873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  546876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  546879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546905 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  546905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  546908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546927 */     GIR_RootConstrainSelectedInstOperands,
     /*  546928 */     // GIR_Coverage, 2756,
     /*  546928 */     GIR_EraseRootFromParent_Done,
     /*  546929 */   // Label 9003: @546929
     /*  546929 */   GIM_Try, /*On fail goto*//*Label 9004*/ GIMT_Encode4(547004), // Rule ID 2763 //
     /*  546934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  546942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  546945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  546948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  546951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  546954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546980 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  546983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  546989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  546991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547002 */     GIR_RootConstrainSelectedInstOperands,
     /*  547003 */     // GIR_Coverage, 2763,
     /*  547003 */     GIR_EraseRootFromParent_Done,
     /*  547004 */   // Label 9004: @547004
     /*  547004 */   GIM_Try, /*On fail goto*//*Label 9005*/ GIMT_Encode4(547079), // Rule ID 2764 //
     /*  547009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  547020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  547023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  547026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  547029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547055 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  547058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547077 */     GIR_RootConstrainSelectedInstOperands,
     /*  547078 */     // GIR_Coverage, 2764,
     /*  547078 */     GIR_EraseRootFromParent_Done,
     /*  547079 */   // Label 9005: @547079
     /*  547079 */   GIM_Try, /*On fail goto*//*Label 9006*/ GIMT_Encode4(547154), // Rule ID 2771 //
     /*  547084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  547095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  547098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  547101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  547104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547130 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  547133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547152 */     GIR_RootConstrainSelectedInstOperands,
     /*  547153 */     // GIR_Coverage, 2771,
     /*  547153 */     GIR_EraseRootFromParent_Done,
     /*  547154 */   // Label 9006: @547154
     /*  547154 */   GIM_Try, /*On fail goto*//*Label 9007*/ GIMT_Encode4(547229), // Rule ID 2772 //
     /*  547159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  547170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  547173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  547176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  547179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547205 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  547208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547227 */     GIR_RootConstrainSelectedInstOperands,
     /*  547228 */     // GIR_Coverage, 2772,
     /*  547228 */     GIR_EraseRootFromParent_Done,
     /*  547229 */   // Label 9007: @547229
     /*  547229 */   GIM_Try, /*On fail goto*//*Label 9008*/ GIMT_Encode4(547304), // Rule ID 2779 //
     /*  547234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  547245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  547248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  547251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  547254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547280 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  547283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547302 */     GIR_RootConstrainSelectedInstOperands,
     /*  547303 */     // GIR_Coverage, 2779,
     /*  547303 */     GIR_EraseRootFromParent_Done,
     /*  547304 */   // Label 9008: @547304
     /*  547304 */   GIM_Try, /*On fail goto*//*Label 9009*/ GIMT_Encode4(547379), // Rule ID 2780 //
     /*  547309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  547320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  547323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  547326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  547329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547355 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  547358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547377 */     GIR_RootConstrainSelectedInstOperands,
     /*  547378 */     // GIR_Coverage, 2780,
     /*  547378 */     GIR_EraseRootFromParent_Done,
     /*  547379 */   // Label 9009: @547379
     /*  547379 */   GIM_Try, /*On fail goto*//*Label 9010*/ GIMT_Encode4(547454), // Rule ID 2787 //
     /*  547384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  547395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  547398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  547401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  547404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547430 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  547433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547452 */     GIR_RootConstrainSelectedInstOperands,
     /*  547453 */     // GIR_Coverage, 2787,
     /*  547453 */     GIR_EraseRootFromParent_Done,
     /*  547454 */   // Label 9010: @547454
     /*  547454 */   GIM_Try, /*On fail goto*//*Label 9011*/ GIMT_Encode4(547529), // Rule ID 2788 //
     /*  547459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  547470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  547473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  547476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  547479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547505 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  547508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547527 */     GIR_RootConstrainSelectedInstOperands,
     /*  547528 */     // GIR_Coverage, 2788,
     /*  547528 */     GIR_EraseRootFromParent_Done,
     /*  547529 */   // Label 9011: @547529
     /*  547529 */   GIM_Try, /*On fail goto*//*Label 9012*/ GIMT_Encode4(547604), // Rule ID 2795 //
     /*  547534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  547545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  547548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  547551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  547554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547580 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  547583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547602 */     GIR_RootConstrainSelectedInstOperands,
     /*  547603 */     // GIR_Coverage, 2795,
     /*  547603 */     GIR_EraseRootFromParent_Done,
     /*  547604 */   // Label 9012: @547604
     /*  547604 */   GIM_Try, /*On fail goto*//*Label 9013*/ GIMT_Encode4(547679), // Rule ID 2796 //
     /*  547609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  547620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  547623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  547626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  547629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547655 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  547658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547677 */     GIR_RootConstrainSelectedInstOperands,
     /*  547678 */     // GIR_Coverage, 2796,
     /*  547678 */     GIR_EraseRootFromParent_Done,
     /*  547679 */   // Label 9013: @547679
     /*  547679 */   GIM_Try, /*On fail goto*//*Label 9014*/ GIMT_Encode4(547754), // Rule ID 2803 //
     /*  547684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  547687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  547695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  547698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  547701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  547704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547730 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  547730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  547733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  547749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547752 */     GIR_RootConstrainSelectedInstOperands,
     /*  547753 */     // GIR_Coverage, 2803,
     /*  547753 */     GIR_EraseRootFromParent_Done,
     /*  547754 */   // Label 9014: @547754
     /*  547754 */   GIM_Try, /*On fail goto*//*Label 9015*/ GIMT_Encode4(547829), // Rule ID 2804 //
     /*  547759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  547762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  547770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  547773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  547776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  547779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547805 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  547805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  547808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  547824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547827 */     GIR_RootConstrainSelectedInstOperands,
     /*  547828 */     // GIR_Coverage, 2804,
     /*  547828 */     GIR_EraseRootFromParent_Done,
     /*  547829 */   // Label 9015: @547829
     /*  547829 */   GIM_Try, /*On fail goto*//*Label 9016*/ GIMT_Encode4(547904), // Rule ID 2811 //
     /*  547834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  547837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  547845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  547848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  547851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  547854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547880 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  547880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  547883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  547899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547902 */     GIR_RootConstrainSelectedInstOperands,
     /*  547903 */     // GIR_Coverage, 2811,
     /*  547903 */     GIR_EraseRootFromParent_Done,
     /*  547904 */   // Label 9016: @547904
     /*  547904 */   GIM_Try, /*On fail goto*//*Label 9017*/ GIMT_Encode4(547979), // Rule ID 2812 //
     /*  547909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  547912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  547920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  547923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  547926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  547929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547955 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  547955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  547958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  547964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  547966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  547974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547977 */     GIR_RootConstrainSelectedInstOperands,
     /*  547978 */     // GIR_Coverage, 2812,
     /*  547978 */     GIR_EraseRootFromParent_Done,
     /*  547979 */   // Label 9017: @547979
     /*  547979 */   GIM_Try, /*On fail goto*//*Label 9018*/ GIMT_Encode4(548054), // Rule ID 2819 //
     /*  547984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  547987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  547992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  547995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  547998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  548001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  548004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548030 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  548030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  548033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  548049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548052 */     GIR_RootConstrainSelectedInstOperands,
     /*  548053 */     // GIR_Coverage, 2819,
     /*  548053 */     GIR_EraseRootFromParent_Done,
     /*  548054 */   // Label 9018: @548054
     /*  548054 */   GIM_Try, /*On fail goto*//*Label 9019*/ GIMT_Encode4(548129), // Rule ID 2820 //
     /*  548059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  548062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  548067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  548070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  548073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  548076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  548079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548105 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  548105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  548108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  548114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  548116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  548124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548127 */     GIR_RootConstrainSelectedInstOperands,
     /*  548128 */     // GIR_Coverage, 2820,
     /*  548128 */     GIR_EraseRootFromParent_Done,
     /*  548129 */   // Label 9019: @548129
     /*  548129 */   GIM_Try, /*On fail goto*//*Label 9020*/ GIMT_Encode4(548204), // Rule ID 2827 //
     /*  548134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  548145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  548148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  548151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  548154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548180 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  548183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548202 */     GIR_RootConstrainSelectedInstOperands,
     /*  548203 */     // GIR_Coverage, 2827,
     /*  548203 */     GIR_EraseRootFromParent_Done,
     /*  548204 */   // Label 9020: @548204
     /*  548204 */   GIM_Try, /*On fail goto*//*Label 9021*/ GIMT_Encode4(548279), // Rule ID 2828 //
     /*  548209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  548220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  548223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  548226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  548229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548255 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  548258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548277 */     GIR_RootConstrainSelectedInstOperands,
     /*  548278 */     // GIR_Coverage, 2828,
     /*  548278 */     GIR_EraseRootFromParent_Done,
     /*  548279 */   // Label 9021: @548279
     /*  548279 */   GIM_Try, /*On fail goto*//*Label 9022*/ GIMT_Encode4(548354), // Rule ID 2831 //
     /*  548284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  548295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  548298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  548301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  548304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548330 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  548333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548352 */     GIR_RootConstrainSelectedInstOperands,
     /*  548353 */     // GIR_Coverage, 2831,
     /*  548353 */     GIR_EraseRootFromParent_Done,
     /*  548354 */   // Label 9022: @548354
     /*  548354 */   GIM_Try, /*On fail goto*//*Label 9023*/ GIMT_Encode4(548429), // Rule ID 2832 //
     /*  548359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  548370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  548373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  548376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  548379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548405 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  548408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548427 */     GIR_RootConstrainSelectedInstOperands,
     /*  548428 */     // GIR_Coverage, 2832,
     /*  548428 */     GIR_EraseRootFromParent_Done,
     /*  548429 */   // Label 9023: @548429
     /*  548429 */   GIM_Try, /*On fail goto*//*Label 9024*/ GIMT_Encode4(548504), // Rule ID 2835 //
     /*  548434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  548445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  548448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  548451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  548454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548480 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  548483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548502 */     GIR_RootConstrainSelectedInstOperands,
     /*  548503 */     // GIR_Coverage, 2835,
     /*  548503 */     GIR_EraseRootFromParent_Done,
     /*  548504 */   // Label 9024: @548504
     /*  548504 */   GIM_Try, /*On fail goto*//*Label 9025*/ GIMT_Encode4(548579), // Rule ID 2836 //
     /*  548509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  548520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  548523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  548526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  548529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548555 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  548558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548577 */     GIR_RootConstrainSelectedInstOperands,
     /*  548578 */     // GIR_Coverage, 2836,
     /*  548578 */     GIR_EraseRootFromParent_Done,
     /*  548579 */   // Label 9025: @548579
     /*  548579 */   GIM_Try, /*On fail goto*//*Label 9026*/ GIMT_Encode4(548654), // Rule ID 2839 //
     /*  548584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  548595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  548598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  548601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  548604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548630 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  548633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548652 */     GIR_RootConstrainSelectedInstOperands,
     /*  548653 */     // GIR_Coverage, 2839,
     /*  548653 */     GIR_EraseRootFromParent_Done,
     /*  548654 */   // Label 9026: @548654
     /*  548654 */   GIM_Try, /*On fail goto*//*Label 9027*/ GIMT_Encode4(548729), // Rule ID 2840 //
     /*  548659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  548670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  548673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  548676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  548679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548705 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  548708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548727 */     GIR_RootConstrainSelectedInstOperands,
     /*  548728 */     // GIR_Coverage, 2840,
     /*  548728 */     GIR_EraseRootFromParent_Done,
     /*  548729 */   // Label 9027: @548729
     /*  548729 */   GIM_Try, /*On fail goto*//*Label 9028*/ GIMT_Encode4(548804), // Rule ID 2843 //
     /*  548734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  548745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  548748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  548751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  548754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548780 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  548780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  548783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548802 */     GIR_RootConstrainSelectedInstOperands,
     /*  548803 */     // GIR_Coverage, 2843,
     /*  548803 */     GIR_EraseRootFromParent_Done,
     /*  548804 */   // Label 9028: @548804
     /*  548804 */   GIM_Try, /*On fail goto*//*Label 9029*/ GIMT_Encode4(548879), // Rule ID 2844 //
     /*  548809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  548820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  548823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  548826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  548829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548855 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  548855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  548858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548877 */     GIR_RootConstrainSelectedInstOperands,
     /*  548878 */     // GIR_Coverage, 2844,
     /*  548878 */     GIR_EraseRootFromParent_Done,
     /*  548879 */   // Label 9029: @548879
     /*  548879 */   GIM_Try, /*On fail goto*//*Label 9030*/ GIMT_Encode4(548954), // Rule ID 2847 //
     /*  548884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  548895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  548898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  548901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  548904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548930 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  548933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548952 */     GIR_RootConstrainSelectedInstOperands,
     /*  548953 */     // GIR_Coverage, 2847,
     /*  548953 */     GIR_EraseRootFromParent_Done,
     /*  548954 */   // Label 9030: @548954
     /*  548954 */   GIM_Try, /*On fail goto*//*Label 9031*/ GIMT_Encode4(549029), // Rule ID 2848 //
     /*  548959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  548970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  548973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  548976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  548979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549005 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  549005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  549008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549027 */     GIR_RootConstrainSelectedInstOperands,
     /*  549028 */     // GIR_Coverage, 2848,
     /*  549028 */     GIR_EraseRootFromParent_Done,
     /*  549029 */   // Label 9031: @549029
     /*  549029 */   GIM_Try, /*On fail goto*//*Label 9032*/ GIMT_Encode4(549104), // Rule ID 2851 //
     /*  549034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  549045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  549048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  549051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  549054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  549083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549102 */     GIR_RootConstrainSelectedInstOperands,
     /*  549103 */     // GIR_Coverage, 2851,
     /*  549103 */     GIR_EraseRootFromParent_Done,
     /*  549104 */   // Label 9032: @549104
     /*  549104 */   GIM_Try, /*On fail goto*//*Label 9033*/ GIMT_Encode4(549179), // Rule ID 2852 //
     /*  549109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  549120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  549123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  549126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  549129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549155 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  549158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549177 */     GIR_RootConstrainSelectedInstOperands,
     /*  549178 */     // GIR_Coverage, 2852,
     /*  549178 */     GIR_EraseRootFromParent_Done,
     /*  549179 */   // Label 9033: @549179
     /*  549179 */   GIM_Try, /*On fail goto*//*Label 9034*/ GIMT_Encode4(549254), // Rule ID 2855 //
     /*  549184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  549195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  549198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  549201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  549204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549230 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  549233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549252 */     GIR_RootConstrainSelectedInstOperands,
     /*  549253 */     // GIR_Coverage, 2855,
     /*  549253 */     GIR_EraseRootFromParent_Done,
     /*  549254 */   // Label 9034: @549254
     /*  549254 */   GIM_Try, /*On fail goto*//*Label 9035*/ GIMT_Encode4(549329), // Rule ID 2856 //
     /*  549259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  549270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  549273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  549276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  549279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549305 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  549308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549327 */     GIR_RootConstrainSelectedInstOperands,
     /*  549328 */     // GIR_Coverage, 2856,
     /*  549328 */     GIR_EraseRootFromParent_Done,
     /*  549329 */   // Label 9035: @549329
     /*  549329 */   GIM_Try, /*On fail goto*//*Label 9036*/ GIMT_Encode4(549404), // Rule ID 2859 //
     /*  549334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  549337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  549345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  549348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  549351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  549354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549380 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  549380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  549383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549402 */     GIR_RootConstrainSelectedInstOperands,
     /*  549403 */     // GIR_Coverage, 2859,
     /*  549403 */     GIR_EraseRootFromParent_Done,
     /*  549404 */   // Label 9036: @549404
     /*  549404 */   GIM_Try, /*On fail goto*//*Label 9037*/ GIMT_Encode4(549479), // Rule ID 2860 //
     /*  549409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  549412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  549420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  549423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  549426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  549429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549455 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  549455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  549458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549477 */     GIR_RootConstrainSelectedInstOperands,
     /*  549478 */     // GIR_Coverage, 2860,
     /*  549478 */     GIR_EraseRootFromParent_Done,
     /*  549479 */   // Label 9037: @549479
     /*  549479 */   GIM_Try, /*On fail goto*//*Label 9038*/ GIMT_Encode4(549554), // Rule ID 2863 //
     /*  549484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  549495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  549498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  549501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  549504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549530 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  549530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  549533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549552 */     GIR_RootConstrainSelectedInstOperands,
     /*  549553 */     // GIR_Coverage, 2863,
     /*  549553 */     GIR_EraseRootFromParent_Done,
     /*  549554 */   // Label 9038: @549554
     /*  549554 */   GIM_Try, /*On fail goto*//*Label 9039*/ GIMT_Encode4(549629), // Rule ID 2864 //
     /*  549559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  549570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  549573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  549576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  549579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549605 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  549605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  549608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549627 */     GIR_RootConstrainSelectedInstOperands,
     /*  549628 */     // GIR_Coverage, 2864,
     /*  549628 */     GIR_EraseRootFromParent_Done,
     /*  549629 */   // Label 9039: @549629
     /*  549629 */   GIM_Try, /*On fail goto*//*Label 9040*/ GIMT_Encode4(549704), // Rule ID 2867 //
     /*  549634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  549645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  549648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  549651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  549654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549680 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  549680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  549683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549702 */     GIR_RootConstrainSelectedInstOperands,
     /*  549703 */     // GIR_Coverage, 2867,
     /*  549703 */     GIR_EraseRootFromParent_Done,
     /*  549704 */   // Label 9040: @549704
     /*  549704 */   GIM_Try, /*On fail goto*//*Label 9041*/ GIMT_Encode4(549779), // Rule ID 2868 //
     /*  549709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  549720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  549723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  549726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  549729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549755 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  549755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  549758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549777 */     GIR_RootConstrainSelectedInstOperands,
     /*  549778 */     // GIR_Coverage, 2868,
     /*  549778 */     GIR_EraseRootFromParent_Done,
     /*  549779 */   // Label 9041: @549779
     /*  549779 */   GIM_Try, /*On fail goto*//*Label 9042*/ GIMT_Encode4(549854), // Rule ID 2871 //
     /*  549784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  549795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  549798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  549801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  549804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549830 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  549830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  549833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549852 */     GIR_RootConstrainSelectedInstOperands,
     /*  549853 */     // GIR_Coverage, 2871,
     /*  549853 */     GIR_EraseRootFromParent_Done,
     /*  549854 */   // Label 9042: @549854
     /*  549854 */   GIM_Try, /*On fail goto*//*Label 9043*/ GIMT_Encode4(549929), // Rule ID 2872 //
     /*  549859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  549870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  549873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  549876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  549879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549905 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  549905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  549908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549927 */     GIR_RootConstrainSelectedInstOperands,
     /*  549928 */     // GIR_Coverage, 2872,
     /*  549928 */     GIR_EraseRootFromParent_Done,
     /*  549929 */   // Label 9043: @549929
     /*  549929 */   GIM_Try, /*On fail goto*//*Label 9044*/ GIMT_Encode4(550004), // Rule ID 2875 //
     /*  549934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  549945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  549948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  549951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  549954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549980 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  549983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550002 */     GIR_RootConstrainSelectedInstOperands,
     /*  550003 */     // GIR_Coverage, 2875,
     /*  550003 */     GIR_EraseRootFromParent_Done,
     /*  550004 */   // Label 9044: @550004
     /*  550004 */   GIM_Try, /*On fail goto*//*Label 9045*/ GIMT_Encode4(550079), // Rule ID 2876 //
     /*  550009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  550020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  550023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  550026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  550029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550055 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  550055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  550058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550077 */     GIR_RootConstrainSelectedInstOperands,
     /*  550078 */     // GIR_Coverage, 2876,
     /*  550078 */     GIR_EraseRootFromParent_Done,
     /*  550079 */   // Label 9045: @550079
     /*  550079 */   GIM_Try, /*On fail goto*//*Label 9046*/ GIMT_Encode4(550154), // Rule ID 2879 //
     /*  550084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  550095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  550098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  550101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  550104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550130 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  550130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  550133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550152 */     GIR_RootConstrainSelectedInstOperands,
     /*  550153 */     // GIR_Coverage, 2879,
     /*  550153 */     GIR_EraseRootFromParent_Done,
     /*  550154 */   // Label 9046: @550154
     /*  550154 */   GIM_Try, /*On fail goto*//*Label 9047*/ GIMT_Encode4(550229), // Rule ID 2880 //
     /*  550159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  550170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  550173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  550176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  550179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550205 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  550205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  550208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550227 */     GIR_RootConstrainSelectedInstOperands,
     /*  550228 */     // GIR_Coverage, 2880,
     /*  550228 */     GIR_EraseRootFromParent_Done,
     /*  550229 */   // Label 9047: @550229
     /*  550229 */   GIM_Try, /*On fail goto*//*Label 9048*/ GIMT_Encode4(550304), // Rule ID 2883 //
     /*  550234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  550245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  550248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  550251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  550254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550280 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  550280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  550283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550302 */     GIR_RootConstrainSelectedInstOperands,
     /*  550303 */     // GIR_Coverage, 2883,
     /*  550303 */     GIR_EraseRootFromParent_Done,
     /*  550304 */   // Label 9048: @550304
     /*  550304 */   GIM_Try, /*On fail goto*//*Label 9049*/ GIMT_Encode4(550379), // Rule ID 2884 //
     /*  550309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  550320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  550323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  550326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  550329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550355 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  550355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  550358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550377 */     GIR_RootConstrainSelectedInstOperands,
     /*  550378 */     // GIR_Coverage, 2884,
     /*  550378 */     GIR_EraseRootFromParent_Done,
     /*  550379 */   // Label 9049: @550379
     /*  550379 */   GIM_Try, /*On fail goto*//*Label 9050*/ GIMT_Encode4(550454), // Rule ID 2887 //
     /*  550384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  550395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  550398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  550401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  550404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  550430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  550433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550452 */     GIR_RootConstrainSelectedInstOperands,
     /*  550453 */     // GIR_Coverage, 2887,
     /*  550453 */     GIR_EraseRootFromParent_Done,
     /*  550454 */   // Label 9050: @550454
     /*  550454 */   GIM_Try, /*On fail goto*//*Label 9051*/ GIMT_Encode4(550529), // Rule ID 2888 //
     /*  550459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  550470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  550473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  550476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  550479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550505 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  550505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  550508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550527 */     GIR_RootConstrainSelectedInstOperands,
     /*  550528 */     // GIR_Coverage, 2888,
     /*  550528 */     GIR_EraseRootFromParent_Done,
     /*  550529 */   // Label 9051: @550529
     /*  550529 */   GIM_Try, /*On fail goto*//*Label 9052*/ GIMT_Encode4(550604), // Rule ID 2891 //
     /*  550534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  550545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  550548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  550551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  550554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550580 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  550580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  550583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550602 */     GIR_RootConstrainSelectedInstOperands,
     /*  550603 */     // GIR_Coverage, 2891,
     /*  550603 */     GIR_EraseRootFromParent_Done,
     /*  550604 */   // Label 9052: @550604
     /*  550604 */   GIM_Try, /*On fail goto*//*Label 9053*/ GIMT_Encode4(550679), // Rule ID 2892 //
     /*  550609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  550620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  550623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  550626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  550629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550655 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  550655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  550658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550677 */     GIR_RootConstrainSelectedInstOperands,
     /*  550678 */     // GIR_Coverage, 2892,
     /*  550678 */     GIR_EraseRootFromParent_Done,
     /*  550679 */   // Label 9053: @550679
     /*  550679 */   GIM_Try, /*On fail goto*//*Label 9054*/ GIMT_Encode4(550754), // Rule ID 2895 //
     /*  550684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  550695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  550698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  550701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  550704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550730 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  550730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  550733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550752 */     GIR_RootConstrainSelectedInstOperands,
     /*  550753 */     // GIR_Coverage, 2895,
     /*  550753 */     GIR_EraseRootFromParent_Done,
     /*  550754 */   // Label 9054: @550754
     /*  550754 */   GIM_Try, /*On fail goto*//*Label 9055*/ GIMT_Encode4(550829), // Rule ID 2896 //
     /*  550759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  550770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  550773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  550776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  550779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550805 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  550805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  550808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550827 */     GIR_RootConstrainSelectedInstOperands,
     /*  550828 */     // GIR_Coverage, 2896,
     /*  550828 */     GIR_EraseRootFromParent_Done,
     /*  550829 */   // Label 9055: @550829
     /*  550829 */   GIM_Try, /*On fail goto*//*Label 9056*/ GIMT_Encode4(550904), // Rule ID 2899 //
     /*  550834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  550837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  550845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  550848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  550851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  550854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550880 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  550880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  550883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  550899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550902 */     GIR_RootConstrainSelectedInstOperands,
     /*  550903 */     // GIR_Coverage, 2899,
     /*  550903 */     GIR_EraseRootFromParent_Done,
     /*  550904 */   // Label 9056: @550904
     /*  550904 */   GIM_Try, /*On fail goto*//*Label 9057*/ GIMT_Encode4(550979), // Rule ID 2900 //
     /*  550909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  550912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  550920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  550923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  550926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  550929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550955 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  550955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  550958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  550974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550977 */     GIR_RootConstrainSelectedInstOperands,
     /*  550978 */     // GIR_Coverage, 2900,
     /*  550978 */     GIR_EraseRootFromParent_Done,
     /*  550979 */   // Label 9057: @550979
     /*  550979 */   GIM_Try, /*On fail goto*//*Label 9058*/ GIMT_Encode4(551054), // Rule ID 2903 //
     /*  550984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  550987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  550995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  550998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  551001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  551004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551030 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  551030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  551033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  551049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551052 */     GIR_RootConstrainSelectedInstOperands,
     /*  551053 */     // GIR_Coverage, 2903,
     /*  551053 */     GIR_EraseRootFromParent_Done,
     /*  551054 */   // Label 9058: @551054
     /*  551054 */   GIM_Try, /*On fail goto*//*Label 9059*/ GIMT_Encode4(551129), // Rule ID 2904 //
     /*  551059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  551062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  551070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  551073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  551076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  551079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551105 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  551105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  551108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  551124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551127 */     GIR_RootConstrainSelectedInstOperands,
     /*  551128 */     // GIR_Coverage, 2904,
     /*  551128 */     GIR_EraseRootFromParent_Done,
     /*  551129 */   // Label 9059: @551129
     /*  551129 */   GIM_Try, /*On fail goto*//*Label 9060*/ GIMT_Encode4(551204), // Rule ID 2907 //
     /*  551134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  551137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  551145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  551148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  551151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  551154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551180 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  551180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  551199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551202 */     GIR_RootConstrainSelectedInstOperands,
     /*  551203 */     // GIR_Coverage, 2907,
     /*  551203 */     GIR_EraseRootFromParent_Done,
     /*  551204 */   // Label 9060: @551204
     /*  551204 */   GIM_Try, /*On fail goto*//*Label 9061*/ GIMT_Encode4(551279), // Rule ID 2908 //
     /*  551209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  551212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  551220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  551223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  551226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  551229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551255 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  551255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  551258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  551274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551277 */     GIR_RootConstrainSelectedInstOperands,
     /*  551278 */     // GIR_Coverage, 2908,
     /*  551278 */     GIR_EraseRootFromParent_Done,
     /*  551279 */   // Label 9061: @551279
     /*  551279 */   GIM_Try, /*On fail goto*//*Label 9062*/ GIMT_Encode4(551354), // Rule ID 2911 //
     /*  551284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  551295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  551298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  551301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  551304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551330 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  551333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551352 */     GIR_RootConstrainSelectedInstOperands,
     /*  551353 */     // GIR_Coverage, 2911,
     /*  551353 */     GIR_EraseRootFromParent_Done,
     /*  551354 */   // Label 9062: @551354
     /*  551354 */   GIM_Try, /*On fail goto*//*Label 9063*/ GIMT_Encode4(551429), // Rule ID 2912 //
     /*  551359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  551370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  551373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  551376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  551379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551405 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  551408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551427 */     GIR_RootConstrainSelectedInstOperands,
     /*  551428 */     // GIR_Coverage, 2912,
     /*  551428 */     GIR_EraseRootFromParent_Done,
     /*  551429 */   // Label 9063: @551429
     /*  551429 */   GIM_Try, /*On fail goto*//*Label 9064*/ GIMT_Encode4(551504), // Rule ID 2915 //
     /*  551434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  551445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  551448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  551451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  551454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551480 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  551483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551502 */     GIR_RootConstrainSelectedInstOperands,
     /*  551503 */     // GIR_Coverage, 2915,
     /*  551503 */     GIR_EraseRootFromParent_Done,
     /*  551504 */   // Label 9064: @551504
     /*  551504 */   GIM_Try, /*On fail goto*//*Label 9065*/ GIMT_Encode4(551579), // Rule ID 2916 //
     /*  551509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  551520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  551523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  551526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  551529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551555 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  551558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551577 */     GIR_RootConstrainSelectedInstOperands,
     /*  551578 */     // GIR_Coverage, 2916,
     /*  551578 */     GIR_EraseRootFromParent_Done,
     /*  551579 */   // Label 9065: @551579
     /*  551579 */   GIM_Try, /*On fail goto*//*Label 9066*/ GIMT_Encode4(551654), // Rule ID 2919 //
     /*  551584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  551595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  551598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  551601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  551604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551630 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  551633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551652 */     GIR_RootConstrainSelectedInstOperands,
     /*  551653 */     // GIR_Coverage, 2919,
     /*  551653 */     GIR_EraseRootFromParent_Done,
     /*  551654 */   // Label 9066: @551654
     /*  551654 */   GIM_Try, /*On fail goto*//*Label 9067*/ GIMT_Encode4(551729), // Rule ID 2920 //
     /*  551659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  551670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  551673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  551676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  551679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551705 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  551708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551727 */     GIR_RootConstrainSelectedInstOperands,
     /*  551728 */     // GIR_Coverage, 2920,
     /*  551728 */     GIR_EraseRootFromParent_Done,
     /*  551729 */   // Label 9067: @551729
     /*  551729 */   GIM_Try, /*On fail goto*//*Label 9068*/ GIMT_Encode4(551804), // Rule ID 2923 //
     /*  551734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  551745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  551748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  551751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  551754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551780 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  551783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551802 */     GIR_RootConstrainSelectedInstOperands,
     /*  551803 */     // GIR_Coverage, 2923,
     /*  551803 */     GIR_EraseRootFromParent_Done,
     /*  551804 */   // Label 9068: @551804
     /*  551804 */   GIM_Try, /*On fail goto*//*Label 9069*/ GIMT_Encode4(551879), // Rule ID 2924 //
     /*  551809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  551820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  551823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  551826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  551829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551855 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  551858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551877 */     GIR_RootConstrainSelectedInstOperands,
     /*  551878 */     // GIR_Coverage, 2924,
     /*  551878 */     GIR_EraseRootFromParent_Done,
     /*  551879 */   // Label 9069: @551879
     /*  551879 */   GIM_Try, /*On fail goto*//*Label 9070*/ GIMT_Encode4(551954), // Rule ID 2927 //
     /*  551884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  551895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  551898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  551901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  551904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551930 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  551933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551952 */     GIR_RootConstrainSelectedInstOperands,
     /*  551953 */     // GIR_Coverage, 2927,
     /*  551953 */     GIR_EraseRootFromParent_Done,
     /*  551954 */   // Label 9070: @551954
     /*  551954 */   GIM_Try, /*On fail goto*//*Label 9071*/ GIMT_Encode4(552029), // Rule ID 2928 //
     /*  551959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  551967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  551970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  551973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  551976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  551979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552005 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  552005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  552008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552027 */     GIR_RootConstrainSelectedInstOperands,
     /*  552028 */     // GIR_Coverage, 2928,
     /*  552028 */     GIR_EraseRootFromParent_Done,
     /*  552029 */   // Label 9071: @552029
     /*  552029 */   GIM_Try, /*On fail goto*//*Label 9072*/ GIMT_Encode4(552104), // Rule ID 2931 //
     /*  552034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  552045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  552048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  552051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552080 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  552080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  552083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552102 */     GIR_RootConstrainSelectedInstOperands,
     /*  552103 */     // GIR_Coverage, 2931,
     /*  552103 */     GIR_EraseRootFromParent_Done,
     /*  552104 */   // Label 9072: @552104
     /*  552104 */   GIM_Try, /*On fail goto*//*Label 9073*/ GIMT_Encode4(552179), // Rule ID 2932 //
     /*  552109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  552120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  552123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  552126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552155 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  552155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  552158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552177 */     GIR_RootConstrainSelectedInstOperands,
     /*  552178 */     // GIR_Coverage, 2932,
     /*  552178 */     GIR_EraseRootFromParent_Done,
     /*  552179 */   // Label 9073: @552179
     /*  552179 */   GIM_Try, /*On fail goto*//*Label 9074*/ GIMT_Encode4(552254), // Rule ID 2935 //
     /*  552184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  552195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  552198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  552201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552230 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  552233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552252 */     GIR_RootConstrainSelectedInstOperands,
     /*  552253 */     // GIR_Coverage, 2935,
     /*  552253 */     GIR_EraseRootFromParent_Done,
     /*  552254 */   // Label 9074: @552254
     /*  552254 */   GIM_Try, /*On fail goto*//*Label 9075*/ GIMT_Encode4(552329), // Rule ID 2936 //
     /*  552259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  552270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  552273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  552276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552305 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  552308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552327 */     GIR_RootConstrainSelectedInstOperands,
     /*  552328 */     // GIR_Coverage, 2936,
     /*  552328 */     GIR_EraseRootFromParent_Done,
     /*  552329 */   // Label 9075: @552329
     /*  552329 */   GIM_Try, /*On fail goto*//*Label 9076*/ GIMT_Encode4(552404), // Rule ID 2939 //
     /*  552334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  552345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  552348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  552351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  552380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  552383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552402 */     GIR_RootConstrainSelectedInstOperands,
     /*  552403 */     // GIR_Coverage, 2939,
     /*  552403 */     GIR_EraseRootFromParent_Done,
     /*  552404 */   // Label 9076: @552404
     /*  552404 */   GIM_Try, /*On fail goto*//*Label 9077*/ GIMT_Encode4(552479), // Rule ID 2940 //
     /*  552409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  552420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  552423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  552426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552455 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  552455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  552458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552477 */     GIR_RootConstrainSelectedInstOperands,
     /*  552478 */     // GIR_Coverage, 2940,
     /*  552478 */     GIR_EraseRootFromParent_Done,
     /*  552479 */   // Label 9077: @552479
     /*  552479 */   GIM_Try, /*On fail goto*//*Label 9078*/ GIMT_Encode4(552554), // Rule ID 2943 //
     /*  552484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  552495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  552498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  552501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552530 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  552530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  552533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552552 */     GIR_RootConstrainSelectedInstOperands,
     /*  552553 */     // GIR_Coverage, 2943,
     /*  552553 */     GIR_EraseRootFromParent_Done,
     /*  552554 */   // Label 9078: @552554
     /*  552554 */   GIM_Try, /*On fail goto*//*Label 9079*/ GIMT_Encode4(552629), // Rule ID 2944 //
     /*  552559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  552570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  552573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  552576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552605 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  552605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  552608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552627 */     GIR_RootConstrainSelectedInstOperands,
     /*  552628 */     // GIR_Coverage, 2944,
     /*  552628 */     GIR_EraseRootFromParent_Done,
     /*  552629 */   // Label 9079: @552629
     /*  552629 */   GIM_Try, /*On fail goto*//*Label 9080*/ GIMT_Encode4(552704), // Rule ID 2947 //
     /*  552634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  552637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  552645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  552648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  552651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552680 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  552683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552702 */     GIR_RootConstrainSelectedInstOperands,
     /*  552703 */     // GIR_Coverage, 2947,
     /*  552703 */     GIR_EraseRootFromParent_Done,
     /*  552704 */   // Label 9080: @552704
     /*  552704 */   GIM_Try, /*On fail goto*//*Label 9081*/ GIMT_Encode4(552779), // Rule ID 2948 //
     /*  552709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  552720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  552723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  552726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552755 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  552758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552777 */     GIR_RootConstrainSelectedInstOperands,
     /*  552778 */     // GIR_Coverage, 2948,
     /*  552778 */     GIR_EraseRootFromParent_Done,
     /*  552779 */   // Label 9081: @552779
     /*  552779 */   GIM_Try, /*On fail goto*//*Label 9082*/ GIMT_Encode4(552854), // Rule ID 2951 //
     /*  552784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  552795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  552798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  552801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552830 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  552833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552852 */     GIR_RootConstrainSelectedInstOperands,
     /*  552853 */     // GIR_Coverage, 2951,
     /*  552853 */     GIR_EraseRootFromParent_Done,
     /*  552854 */   // Label 9082: @552854
     /*  552854 */   GIM_Try, /*On fail goto*//*Label 9083*/ GIMT_Encode4(552929), // Rule ID 2952 //
     /*  552859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  552870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  552873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  552876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552905 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  552908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552927 */     GIR_RootConstrainSelectedInstOperands,
     /*  552928 */     // GIR_Coverage, 2952,
     /*  552928 */     GIR_EraseRootFromParent_Done,
     /*  552929 */   // Label 9083: @552929
     /*  552929 */   GIM_Try, /*On fail goto*//*Label 9084*/ GIMT_Encode4(553004), // Rule ID 2955 //
     /*  552934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  552942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  552945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  552948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  552951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552980 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  552983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553002 */     GIR_RootConstrainSelectedInstOperands,
     /*  553003 */     // GIR_Coverage, 2955,
     /*  553003 */     GIR_EraseRootFromParent_Done,
     /*  553004 */   // Label 9084: @553004
     /*  553004 */   GIM_Try, /*On fail goto*//*Label 9085*/ GIMT_Encode4(553079), // Rule ID 2956 //
     /*  553009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  553020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  553023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  553026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553055 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  553058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553077 */     GIR_RootConstrainSelectedInstOperands,
     /*  553078 */     // GIR_Coverage, 2956,
     /*  553078 */     GIR_EraseRootFromParent_Done,
     /*  553079 */   // Label 9085: @553079
     /*  553079 */   GIM_Try, /*On fail goto*//*Label 9086*/ GIMT_Encode4(553154), // Rule ID 2959 //
     /*  553084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  553095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  553098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  553101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553130 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  553133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553152 */     GIR_RootConstrainSelectedInstOperands,
     /*  553153 */     // GIR_Coverage, 2959,
     /*  553153 */     GIR_EraseRootFromParent_Done,
     /*  553154 */   // Label 9086: @553154
     /*  553154 */   GIM_Try, /*On fail goto*//*Label 9087*/ GIMT_Encode4(553229), // Rule ID 2960 //
     /*  553159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  553170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  553173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  553176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553205 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  553208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553227 */     GIR_RootConstrainSelectedInstOperands,
     /*  553228 */     // GIR_Coverage, 2960,
     /*  553228 */     GIR_EraseRootFromParent_Done,
     /*  553229 */   // Label 9087: @553229
     /*  553229 */   GIM_Try, /*On fail goto*//*Label 9088*/ GIMT_Encode4(553304), // Rule ID 2963 //
     /*  553234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  553245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  553248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  553251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553280 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  553280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  553283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553302 */     GIR_RootConstrainSelectedInstOperands,
     /*  553303 */     // GIR_Coverage, 2963,
     /*  553303 */     GIR_EraseRootFromParent_Done,
     /*  553304 */   // Label 9088: @553304
     /*  553304 */   GIM_Try, /*On fail goto*//*Label 9089*/ GIMT_Encode4(553379), // Rule ID 2964 //
     /*  553309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  553320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  553323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  553326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553355 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  553358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553377 */     GIR_RootConstrainSelectedInstOperands,
     /*  553378 */     // GIR_Coverage, 2964,
     /*  553378 */     GIR_EraseRootFromParent_Done,
     /*  553379 */   // Label 9089: @553379
     /*  553379 */   GIM_Try, /*On fail goto*//*Label 9090*/ GIMT_Encode4(553454), // Rule ID 2967 //
     /*  553384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  553395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  553398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  553401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553430 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  553430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  553433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553452 */     GIR_RootConstrainSelectedInstOperands,
     /*  553453 */     // GIR_Coverage, 2967,
     /*  553453 */     GIR_EraseRootFromParent_Done,
     /*  553454 */   // Label 9090: @553454
     /*  553454 */   GIM_Try, /*On fail goto*//*Label 9091*/ GIMT_Encode4(553529), // Rule ID 2968 //
     /*  553459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  553470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  553473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  553476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553505 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  553508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553527 */     GIR_RootConstrainSelectedInstOperands,
     /*  553528 */     // GIR_Coverage, 2968,
     /*  553528 */     GIR_EraseRootFromParent_Done,
     /*  553529 */   // Label 9091: @553529
     /*  553529 */   GIM_Try, /*On fail goto*//*Label 9092*/ GIMT_Encode4(553604), // Rule ID 2971 //
     /*  553534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  553545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  553548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  553551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553580 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  553580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  553583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553602 */     GIR_RootConstrainSelectedInstOperands,
     /*  553603 */     // GIR_Coverage, 2971,
     /*  553603 */     GIR_EraseRootFromParent_Done,
     /*  553604 */   // Label 9092: @553604
     /*  553604 */   GIM_Try, /*On fail goto*//*Label 9093*/ GIMT_Encode4(553679), // Rule ID 2972 //
     /*  553609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  553620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  553623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  553626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553655 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  553658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553677 */     GIR_RootConstrainSelectedInstOperands,
     /*  553678 */     // GIR_Coverage, 2972,
     /*  553678 */     GIR_EraseRootFromParent_Done,
     /*  553679 */   // Label 9093: @553679
     /*  553679 */   GIM_Try, /*On fail goto*//*Label 9094*/ GIMT_Encode4(553754), // Rule ID 2975 //
     /*  553684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  553695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  553698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  553701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553730 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  553733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553752 */     GIR_RootConstrainSelectedInstOperands,
     /*  553753 */     // GIR_Coverage, 2975,
     /*  553753 */     GIR_EraseRootFromParent_Done,
     /*  553754 */   // Label 9094: @553754
     /*  553754 */   GIM_Try, /*On fail goto*//*Label 9095*/ GIMT_Encode4(553829), // Rule ID 2976 //
     /*  553759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  553770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  553773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  553776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553805 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  553808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553827 */     GIR_RootConstrainSelectedInstOperands,
     /*  553828 */     // GIR_Coverage, 2976,
     /*  553828 */     GIR_EraseRootFromParent_Done,
     /*  553829 */   // Label 9095: @553829
     /*  553829 */   GIM_Try, /*On fail goto*//*Label 9096*/ GIMT_Encode4(553904), // Rule ID 2979 //
     /*  553834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  553845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  553848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  553851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553880 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  553883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553902 */     GIR_RootConstrainSelectedInstOperands,
     /*  553903 */     // GIR_Coverage, 2979,
     /*  553903 */     GIR_EraseRootFromParent_Done,
     /*  553904 */   // Label 9096: @553904
     /*  553904 */   GIM_Try, /*On fail goto*//*Label 9097*/ GIMT_Encode4(553979), // Rule ID 2980 //
     /*  553909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  553920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  553923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  553926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553955 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  553958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553977 */     GIR_RootConstrainSelectedInstOperands,
     /*  553978 */     // GIR_Coverage, 2980,
     /*  553978 */     GIR_EraseRootFromParent_Done,
     /*  553979 */   // Label 9097: @553979
     /*  553979 */   GIM_Try, /*On fail goto*//*Label 9098*/ GIMT_Encode4(554054), // Rule ID 2983 //
     /*  553984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  553992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  553995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  553998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  554001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554030 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  554030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  554033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554052 */     GIR_RootConstrainSelectedInstOperands,
     /*  554053 */     // GIR_Coverage, 2983,
     /*  554053 */     GIR_EraseRootFromParent_Done,
     /*  554054 */   // Label 9098: @554054
     /*  554054 */   GIM_Try, /*On fail goto*//*Label 9099*/ GIMT_Encode4(554129), // Rule ID 2984 //
     /*  554059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  554070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  554073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  554076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554105 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  554105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  554108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554127 */     GIR_RootConstrainSelectedInstOperands,
     /*  554128 */     // GIR_Coverage, 2984,
     /*  554128 */     GIR_EraseRootFromParent_Done,
     /*  554129 */   // Label 9099: @554129
     /*  554129 */   GIM_Try, /*On fail goto*//*Label 9100*/ GIMT_Encode4(554204), // Rule ID 2987 //
     /*  554134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  554137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  554145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  554148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  554151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554180 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  554180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554202 */     GIR_RootConstrainSelectedInstOperands,
     /*  554203 */     // GIR_Coverage, 2987,
     /*  554203 */     GIR_EraseRootFromParent_Done,
     /*  554204 */   // Label 9100: @554204
     /*  554204 */   GIM_Try, /*On fail goto*//*Label 9101*/ GIMT_Encode4(554279), // Rule ID 2988 //
     /*  554209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  554212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  554220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  554223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  554226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554255 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  554255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  554258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554277 */     GIR_RootConstrainSelectedInstOperands,
     /*  554278 */     // GIR_Coverage, 2988,
     /*  554278 */     GIR_EraseRootFromParent_Done,
     /*  554279 */   // Label 9101: @554279
     /*  554279 */   GIM_Try, /*On fail goto*//*Label 9102*/ GIMT_Encode4(554354), // Rule ID 2991 //
     /*  554284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  554287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  554295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  554298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  554301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554330 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  554330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  554333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554352 */     GIR_RootConstrainSelectedInstOperands,
     /*  554353 */     // GIR_Coverage, 2991,
     /*  554353 */     GIR_EraseRootFromParent_Done,
     /*  554354 */   // Label 9102: @554354
     /*  554354 */   GIM_Try, /*On fail goto*//*Label 9103*/ GIMT_Encode4(554429), // Rule ID 2992 //
     /*  554359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  554362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  554370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  554373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  554376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554405 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  554405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  554408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554427 */     GIR_RootConstrainSelectedInstOperands,
     /*  554428 */     // GIR_Coverage, 2992,
     /*  554428 */     GIR_EraseRootFromParent_Done,
     /*  554429 */   // Label 9103: @554429
     /*  554429 */   GIM_Try, /*On fail goto*//*Label 9104*/ GIMT_Encode4(554504), // Rule ID 2995 //
     /*  554434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  554437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  554445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  554448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  554451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554480 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  554480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  554483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554502 */     GIR_RootConstrainSelectedInstOperands,
     /*  554503 */     // GIR_Coverage, 2995,
     /*  554503 */     GIR_EraseRootFromParent_Done,
     /*  554504 */   // Label 9104: @554504
     /*  554504 */   GIM_Try, /*On fail goto*//*Label 9105*/ GIMT_Encode4(554579), // Rule ID 2996 //
     /*  554509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  554512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  554520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  554523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  554526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554555 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  554555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  554558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554577 */     GIR_RootConstrainSelectedInstOperands,
     /*  554578 */     // GIR_Coverage, 2996,
     /*  554578 */     GIR_EraseRootFromParent_Done,
     /*  554579 */   // Label 9105: @554579
     /*  554579 */   GIM_Try, /*On fail goto*//*Label 9106*/ GIMT_Encode4(554654), // Rule ID 3087 //
     /*  554584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  554595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  554598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  554601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  554604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554630 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  554633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554652 */     GIR_RootConstrainSelectedInstOperands,
     /*  554653 */     // GIR_Coverage, 3087,
     /*  554653 */     GIR_EraseRootFromParent_Done,
     /*  554654 */   // Label 9106: @554654
     /*  554654 */   GIM_Try, /*On fail goto*//*Label 9107*/ GIMT_Encode4(554729), // Rule ID 3088 //
     /*  554659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  554670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  554673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  554676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  554679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554705 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  554708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554727 */     GIR_RootConstrainSelectedInstOperands,
     /*  554728 */     // GIR_Coverage, 3088,
     /*  554728 */     GIR_EraseRootFromParent_Done,
     /*  554729 */   // Label 9107: @554729
     /*  554729 */   GIM_Try, /*On fail goto*//*Label 9108*/ GIMT_Encode4(554804), // Rule ID 3091 //
     /*  554734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  554745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  554748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  554751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  554754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554780 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  554783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554802 */     GIR_RootConstrainSelectedInstOperands,
     /*  554803 */     // GIR_Coverage, 3091,
     /*  554803 */     GIR_EraseRootFromParent_Done,
     /*  554804 */   // Label 9108: @554804
     /*  554804 */   GIM_Try, /*On fail goto*//*Label 9109*/ GIMT_Encode4(554879), // Rule ID 3092 //
     /*  554809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  554820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  554823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  554826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  554829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554855 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  554858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554877 */     GIR_RootConstrainSelectedInstOperands,
     /*  554878 */     // GIR_Coverage, 3092,
     /*  554878 */     GIR_EraseRootFromParent_Done,
     /*  554879 */   // Label 9109: @554879
     /*  554879 */   GIM_Try, /*On fail goto*//*Label 9110*/ GIMT_Encode4(554954), // Rule ID 3095 //
     /*  554884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  554895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  554898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  554901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  554904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554930 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  554933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554952 */     GIR_RootConstrainSelectedInstOperands,
     /*  554953 */     // GIR_Coverage, 3095,
     /*  554953 */     GIR_EraseRootFromParent_Done,
     /*  554954 */   // Label 9110: @554954
     /*  554954 */   GIM_Try, /*On fail goto*//*Label 9111*/ GIMT_Encode4(555029), // Rule ID 3096 //
     /*  554959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  554970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  554973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  554976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  554979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555005 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  555008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555027 */     GIR_RootConstrainSelectedInstOperands,
     /*  555028 */     // GIR_Coverage, 3096,
     /*  555028 */     GIR_EraseRootFromParent_Done,
     /*  555029 */   // Label 9111: @555029
     /*  555029 */   GIM_Try, /*On fail goto*//*Label 9112*/ GIMT_Encode4(555104), // Rule ID 3099 //
     /*  555034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  555045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  555048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  555051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  555054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555080 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  555083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555102 */     GIR_RootConstrainSelectedInstOperands,
     /*  555103 */     // GIR_Coverage, 3099,
     /*  555103 */     GIR_EraseRootFromParent_Done,
     /*  555104 */   // Label 9112: @555104
     /*  555104 */   GIM_Try, /*On fail goto*//*Label 9113*/ GIMT_Encode4(555179), // Rule ID 3100 //
     /*  555109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  555120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  555123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  555126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  555129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555155 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  555158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555177 */     GIR_RootConstrainSelectedInstOperands,
     /*  555178 */     // GIR_Coverage, 3100,
     /*  555178 */     GIR_EraseRootFromParent_Done,
     /*  555179 */   // Label 9113: @555179
     /*  555179 */   GIM_Try, /*On fail goto*//*Label 9114*/ GIMT_Encode4(555254), // Rule ID 3103 //
     /*  555184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  555195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  555198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  555201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  555204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555230 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  555233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555252 */     GIR_RootConstrainSelectedInstOperands,
     /*  555253 */     // GIR_Coverage, 3103,
     /*  555253 */     GIR_EraseRootFromParent_Done,
     /*  555254 */   // Label 9114: @555254
     /*  555254 */   GIM_Try, /*On fail goto*//*Label 9115*/ GIMT_Encode4(555329), // Rule ID 3104 //
     /*  555259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  555270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  555273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  555276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  555279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555305 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  555308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555327 */     GIR_RootConstrainSelectedInstOperands,
     /*  555328 */     // GIR_Coverage, 3104,
     /*  555328 */     GIR_EraseRootFromParent_Done,
     /*  555329 */   // Label 9115: @555329
     /*  555329 */   GIM_Try, /*On fail goto*//*Label 9116*/ GIMT_Encode4(555404), // Rule ID 3107 //
     /*  555334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  555345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  555348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  555351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  555354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555380 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  555383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555402 */     GIR_RootConstrainSelectedInstOperands,
     /*  555403 */     // GIR_Coverage, 3107,
     /*  555403 */     GIR_EraseRootFromParent_Done,
     /*  555404 */   // Label 9116: @555404
     /*  555404 */   GIM_Try, /*On fail goto*//*Label 9117*/ GIMT_Encode4(555479), // Rule ID 3108 //
     /*  555409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  555420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  555423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  555426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  555429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555455 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  555458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555477 */     GIR_RootConstrainSelectedInstOperands,
     /*  555478 */     // GIR_Coverage, 3108,
     /*  555478 */     GIR_EraseRootFromParent_Done,
     /*  555479 */   // Label 9117: @555479
     /*  555479 */   GIM_Try, /*On fail goto*//*Label 9118*/ GIMT_Encode4(555554), // Rule ID 3111 //
     /*  555484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  555495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  555498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  555501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  555504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555530 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  555533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555552 */     GIR_RootConstrainSelectedInstOperands,
     /*  555553 */     // GIR_Coverage, 3111,
     /*  555553 */     GIR_EraseRootFromParent_Done,
     /*  555554 */   // Label 9118: @555554
     /*  555554 */   GIM_Try, /*On fail goto*//*Label 9119*/ GIMT_Encode4(555629), // Rule ID 3112 //
     /*  555559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  555570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  555573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  555576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  555579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555605 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  555608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555627 */     GIR_RootConstrainSelectedInstOperands,
     /*  555628 */     // GIR_Coverage, 3112,
     /*  555628 */     GIR_EraseRootFromParent_Done,
     /*  555629 */   // Label 9119: @555629
     /*  555629 */   GIM_Try, /*On fail goto*//*Label 9120*/ GIMT_Encode4(555704), // Rule ID 3115 //
     /*  555634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  555645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  555648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  555651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  555654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555680 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  555683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555702 */     GIR_RootConstrainSelectedInstOperands,
     /*  555703 */     // GIR_Coverage, 3115,
     /*  555703 */     GIR_EraseRootFromParent_Done,
     /*  555704 */   // Label 9120: @555704
     /*  555704 */   GIM_Try, /*On fail goto*//*Label 9121*/ GIMT_Encode4(555779), // Rule ID 3116 //
     /*  555709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  555720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  555723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  555726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  555729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555755 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  555758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555777 */     GIR_RootConstrainSelectedInstOperands,
     /*  555778 */     // GIR_Coverage, 3116,
     /*  555778 */     GIR_EraseRootFromParent_Done,
     /*  555779 */   // Label 9121: @555779
     /*  555779 */   GIM_Try, /*On fail goto*//*Label 9122*/ GIMT_Encode4(555854), // Rule ID 3119 //
     /*  555784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  555795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  555798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  555801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  555804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555830 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  555833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555852 */     GIR_RootConstrainSelectedInstOperands,
     /*  555853 */     // GIR_Coverage, 3119,
     /*  555853 */     GIR_EraseRootFromParent_Done,
     /*  555854 */   // Label 9122: @555854
     /*  555854 */   GIM_Try, /*On fail goto*//*Label 9123*/ GIMT_Encode4(555929), // Rule ID 3120 //
     /*  555859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  555870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  555873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  555876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  555879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555905 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  555908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555927 */     GIR_RootConstrainSelectedInstOperands,
     /*  555928 */     // GIR_Coverage, 3120,
     /*  555928 */     GIR_EraseRootFromParent_Done,
     /*  555929 */   // Label 9123: @555929
     /*  555929 */   GIM_Try, /*On fail goto*//*Label 9124*/ GIMT_Encode4(556004), // Rule ID 3123 //
     /*  555934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  555937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  555945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  555948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  555951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  555954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555980 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  555980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  555983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556002 */     GIR_RootConstrainSelectedInstOperands,
     /*  556003 */     // GIR_Coverage, 3123,
     /*  556003 */     GIR_EraseRootFromParent_Done,
     /*  556004 */   // Label 9124: @556004
     /*  556004 */   GIM_Try, /*On fail goto*//*Label 9125*/ GIMT_Encode4(556079), // Rule ID 3124 //
     /*  556009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  556012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  556020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  556023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  556026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  556029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556055 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  556055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  556058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556077 */     GIR_RootConstrainSelectedInstOperands,
     /*  556078 */     // GIR_Coverage, 3124,
     /*  556078 */     GIR_EraseRootFromParent_Done,
     /*  556079 */   // Label 9125: @556079
     /*  556079 */   GIM_Try, /*On fail goto*//*Label 9126*/ GIMT_Encode4(556154), // Rule ID 3127 //
     /*  556084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  556095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  556098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  556101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  556104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556130 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  556133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556152 */     GIR_RootConstrainSelectedInstOperands,
     /*  556153 */     // GIR_Coverage, 3127,
     /*  556153 */     GIR_EraseRootFromParent_Done,
     /*  556154 */   // Label 9126: @556154
     /*  556154 */   GIM_Try, /*On fail goto*//*Label 9127*/ GIMT_Encode4(556229), // Rule ID 3128 //
     /*  556159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  556170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  556173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  556176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  556179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556205 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  556208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556227 */     GIR_RootConstrainSelectedInstOperands,
     /*  556228 */     // GIR_Coverage, 3128,
     /*  556228 */     GIR_EraseRootFromParent_Done,
     /*  556229 */   // Label 9127: @556229
     /*  556229 */   GIM_Try, /*On fail goto*//*Label 9128*/ GIMT_Encode4(556304), // Rule ID 3131 //
     /*  556234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  556245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  556248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  556251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  556254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556280 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  556283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556302 */     GIR_RootConstrainSelectedInstOperands,
     /*  556303 */     // GIR_Coverage, 3131,
     /*  556303 */     GIR_EraseRootFromParent_Done,
     /*  556304 */   // Label 9128: @556304
     /*  556304 */   GIM_Try, /*On fail goto*//*Label 9129*/ GIMT_Encode4(556379), // Rule ID 3132 //
     /*  556309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  556320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  556323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  556326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  556329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556355 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  556358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556377 */     GIR_RootConstrainSelectedInstOperands,
     /*  556378 */     // GIR_Coverage, 3132,
     /*  556378 */     GIR_EraseRootFromParent_Done,
     /*  556379 */   // Label 9129: @556379
     /*  556379 */   GIM_Try, /*On fail goto*//*Label 9130*/ GIMT_Encode4(556454), // Rule ID 3135 //
     /*  556384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  556395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  556398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  556401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  556404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556430 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  556433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556452 */     GIR_RootConstrainSelectedInstOperands,
     /*  556453 */     // GIR_Coverage, 3135,
     /*  556453 */     GIR_EraseRootFromParent_Done,
     /*  556454 */   // Label 9130: @556454
     /*  556454 */   GIM_Try, /*On fail goto*//*Label 9131*/ GIMT_Encode4(556529), // Rule ID 3136 //
     /*  556459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  556470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  556473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  556476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  556479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556505 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  556508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556527 */     GIR_RootConstrainSelectedInstOperands,
     /*  556528 */     // GIR_Coverage, 3136,
     /*  556528 */     GIR_EraseRootFromParent_Done,
     /*  556529 */   // Label 9131: @556529
     /*  556529 */   GIM_Try, /*On fail goto*//*Label 9132*/ GIMT_Encode4(556604), // Rule ID 3139 //
     /*  556534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  556545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  556548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  556551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  556554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556580 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  556583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556602 */     GIR_RootConstrainSelectedInstOperands,
     /*  556603 */     // GIR_Coverage, 3139,
     /*  556603 */     GIR_EraseRootFromParent_Done,
     /*  556604 */   // Label 9132: @556604
     /*  556604 */   GIM_Try, /*On fail goto*//*Label 9133*/ GIMT_Encode4(556679), // Rule ID 3140 //
     /*  556609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  556620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  556623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  556626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  556629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556655 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  556658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556677 */     GIR_RootConstrainSelectedInstOperands,
     /*  556678 */     // GIR_Coverage, 3140,
     /*  556678 */     GIR_EraseRootFromParent_Done,
     /*  556679 */   // Label 9133: @556679
     /*  556679 */   GIM_Try, /*On fail goto*//*Label 9134*/ GIMT_Encode4(556754), // Rule ID 3143 //
     /*  556684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  556695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  556698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  556701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  556704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556730 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  556733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556752 */     GIR_RootConstrainSelectedInstOperands,
     /*  556753 */     // GIR_Coverage, 3143,
     /*  556753 */     GIR_EraseRootFromParent_Done,
     /*  556754 */   // Label 9134: @556754
     /*  556754 */   GIM_Try, /*On fail goto*//*Label 9135*/ GIMT_Encode4(556829), // Rule ID 3144 //
     /*  556759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  556770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  556773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  556776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  556779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556805 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  556808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556827 */     GIR_RootConstrainSelectedInstOperands,
     /*  556828 */     // GIR_Coverage, 3144,
     /*  556828 */     GIR_EraseRootFromParent_Done,
     /*  556829 */   // Label 9135: @556829
     /*  556829 */   GIM_Try, /*On fail goto*//*Label 9136*/ GIMT_Encode4(556904), // Rule ID 3147 //
     /*  556834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  556845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  556848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  556851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  556854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556880 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  556883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556902 */     GIR_RootConstrainSelectedInstOperands,
     /*  556903 */     // GIR_Coverage, 3147,
     /*  556903 */     GIR_EraseRootFromParent_Done,
     /*  556904 */   // Label 9136: @556904
     /*  556904 */   GIM_Try, /*On fail goto*//*Label 9137*/ GIMT_Encode4(556979), // Rule ID 3148 //
     /*  556909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  556920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  556923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  556926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  556929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556955 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  556958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556977 */     GIR_RootConstrainSelectedInstOperands,
     /*  556978 */     // GIR_Coverage, 3148,
     /*  556978 */     GIR_EraseRootFromParent_Done,
     /*  556979 */   // Label 9137: @556979
     /*  556979 */   GIM_Try, /*On fail goto*//*Label 9138*/ GIMT_Encode4(557054), // Rule ID 3151 //
     /*  556984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  556995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  556998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  557001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  557004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557030 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  557030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  557033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557052 */     GIR_RootConstrainSelectedInstOperands,
     /*  557053 */     // GIR_Coverage, 3151,
     /*  557053 */     GIR_EraseRootFromParent_Done,
     /*  557054 */   // Label 9138: @557054
     /*  557054 */   GIM_Try, /*On fail goto*//*Label 9139*/ GIMT_Encode4(557129), // Rule ID 3152 //
     /*  557059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  557070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  557073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  557076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  557079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557105 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  557105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  557108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557127 */     GIR_RootConstrainSelectedInstOperands,
     /*  557128 */     // GIR_Coverage, 3152,
     /*  557128 */     GIR_EraseRootFromParent_Done,
     /*  557129 */   // Label 9139: @557129
     /*  557129 */   GIM_Try, /*On fail goto*//*Label 9140*/ GIMT_Encode4(557204), // Rule ID 3155 //
     /*  557134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  557145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  557148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  557151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  557154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557180 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  557180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  557183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557202 */     GIR_RootConstrainSelectedInstOperands,
     /*  557203 */     // GIR_Coverage, 3155,
     /*  557203 */     GIR_EraseRootFromParent_Done,
     /*  557204 */   // Label 9140: @557204
     /*  557204 */   GIM_Try, /*On fail goto*//*Label 9141*/ GIMT_Encode4(557279), // Rule ID 3156 //
     /*  557209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  557220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  557223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  557226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  557229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557255 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  557255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  557258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557277 */     GIR_RootConstrainSelectedInstOperands,
     /*  557278 */     // GIR_Coverage, 3156,
     /*  557278 */     GIR_EraseRootFromParent_Done,
     /*  557279 */   // Label 9141: @557279
     /*  557279 */   GIM_Try, /*On fail goto*//*Label 9142*/ GIMT_Encode4(557354), // Rule ID 3159 //
     /*  557284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  557295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  557298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  557301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  557304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557330 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  557330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  557333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557352 */     GIR_RootConstrainSelectedInstOperands,
     /*  557353 */     // GIR_Coverage, 3159,
     /*  557353 */     GIR_EraseRootFromParent_Done,
     /*  557354 */   // Label 9142: @557354
     /*  557354 */   GIM_Try, /*On fail goto*//*Label 9143*/ GIMT_Encode4(557429), // Rule ID 3160 //
     /*  557359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  557370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  557373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  557376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  557379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557405 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  557405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  557408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557427 */     GIR_RootConstrainSelectedInstOperands,
     /*  557428 */     // GIR_Coverage, 3160,
     /*  557428 */     GIR_EraseRootFromParent_Done,
     /*  557429 */   // Label 9143: @557429
     /*  557429 */   GIM_Try, /*On fail goto*//*Label 9144*/ GIMT_Encode4(557504), // Rule ID 3163 //
     /*  557434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  557437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  557445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  557448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  557451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  557454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557480 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  557480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  557483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557502 */     GIR_RootConstrainSelectedInstOperands,
     /*  557503 */     // GIR_Coverage, 3163,
     /*  557503 */     GIR_EraseRootFromParent_Done,
     /*  557504 */   // Label 9144: @557504
     /*  557504 */   GIM_Try, /*On fail goto*//*Label 9145*/ GIMT_Encode4(557579), // Rule ID 3164 //
     /*  557509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  557512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  557520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  557523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  557526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  557529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557555 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  557555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  557558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557577 */     GIR_RootConstrainSelectedInstOperands,
     /*  557578 */     // GIR_Coverage, 3164,
     /*  557578 */     GIR_EraseRootFromParent_Done,
     /*  557579 */   // Label 9145: @557579
     /*  557579 */   GIM_Try, /*On fail goto*//*Label 9146*/ GIMT_Encode4(557654), // Rule ID 3167 //
     /*  557584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  557587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  557595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  557598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  557601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  557604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557630 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  557630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  557633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557652 */     GIR_RootConstrainSelectedInstOperands,
     /*  557653 */     // GIR_Coverage, 3167,
     /*  557653 */     GIR_EraseRootFromParent_Done,
     /*  557654 */   // Label 9146: @557654
     /*  557654 */   GIM_Try, /*On fail goto*//*Label 9147*/ GIMT_Encode4(557729), // Rule ID 3168 //
     /*  557659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  557662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  557670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  557673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  557676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  557679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557705 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  557705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  557708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557727 */     GIR_RootConstrainSelectedInstOperands,
     /*  557728 */     // GIR_Coverage, 3168,
     /*  557728 */     GIR_EraseRootFromParent_Done,
     /*  557729 */   // Label 9147: @557729
     /*  557729 */   GIM_Try, /*On fail goto*//*Label 9148*/ GIMT_Encode4(557804), // Rule ID 3171 //
     /*  557734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  557737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  557745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  557748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  557751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  557754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557780 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  557780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  557783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557802 */     GIR_RootConstrainSelectedInstOperands,
     /*  557803 */     // GIR_Coverage, 3171,
     /*  557803 */     GIR_EraseRootFromParent_Done,
     /*  557804 */   // Label 9148: @557804
     /*  557804 */   GIM_Try, /*On fail goto*//*Label 9149*/ GIMT_Encode4(557879), // Rule ID 3172 //
     /*  557809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  557812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  557820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  557823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  557826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  557829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557855 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  557855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  557858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557877 */     GIR_RootConstrainSelectedInstOperands,
     /*  557878 */     // GIR_Coverage, 3172,
     /*  557878 */     GIR_EraseRootFromParent_Done,
     /*  557879 */   // Label 9149: @557879
     /*  557879 */   GIM_Try, /*On fail goto*//*Label 9150*/ GIMT_Encode4(557954), // Rule ID 3175 //
     /*  557884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  557895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  557898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  557901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557930 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  557933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557952 */     GIR_RootConstrainSelectedInstOperands,
     /*  557953 */     // GIR_Coverage, 3175,
     /*  557953 */     GIR_EraseRootFromParent_Done,
     /*  557954 */   // Label 9150: @557954
     /*  557954 */   GIM_Try, /*On fail goto*//*Label 9151*/ GIMT_Encode4(558029), // Rule ID 3176 //
     /*  557959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  557967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  557970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  557973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  557976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558005 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  558008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558027 */     GIR_RootConstrainSelectedInstOperands,
     /*  558028 */     // GIR_Coverage, 3176,
     /*  558028 */     GIR_EraseRootFromParent_Done,
     /*  558029 */   // Label 9151: @558029
     /*  558029 */   GIM_Try, /*On fail goto*//*Label 9152*/ GIMT_Encode4(558104), // Rule ID 3179 //
     /*  558034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  558045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  558048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  558051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558080 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  558083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558102 */     GIR_RootConstrainSelectedInstOperands,
     /*  558103 */     // GIR_Coverage, 3179,
     /*  558103 */     GIR_EraseRootFromParent_Done,
     /*  558104 */   // Label 9152: @558104
     /*  558104 */   GIM_Try, /*On fail goto*//*Label 9153*/ GIMT_Encode4(558179), // Rule ID 3180 //
     /*  558109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  558120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  558123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  558126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558155 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  558158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558177 */     GIR_RootConstrainSelectedInstOperands,
     /*  558178 */     // GIR_Coverage, 3180,
     /*  558178 */     GIR_EraseRootFromParent_Done,
     /*  558179 */   // Label 9153: @558179
     /*  558179 */   GIM_Try, /*On fail goto*//*Label 9154*/ GIMT_Encode4(558254), // Rule ID 3183 //
     /*  558184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  558195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  558198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  558201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558230 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  558233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558252 */     GIR_RootConstrainSelectedInstOperands,
     /*  558253 */     // GIR_Coverage, 3183,
     /*  558253 */     GIR_EraseRootFromParent_Done,
     /*  558254 */   // Label 9154: @558254
     /*  558254 */   GIM_Try, /*On fail goto*//*Label 9155*/ GIMT_Encode4(558329), // Rule ID 3184 //
     /*  558259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  558270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  558273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  558276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558305 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  558308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558327 */     GIR_RootConstrainSelectedInstOperands,
     /*  558328 */     // GIR_Coverage, 3184,
     /*  558328 */     GIR_EraseRootFromParent_Done,
     /*  558329 */   // Label 9155: @558329
     /*  558329 */   GIM_Try, /*On fail goto*//*Label 9156*/ GIMT_Encode4(558404), // Rule ID 3187 //
     /*  558334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  558345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  558348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  558351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558380 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  558383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558402 */     GIR_RootConstrainSelectedInstOperands,
     /*  558403 */     // GIR_Coverage, 3187,
     /*  558403 */     GIR_EraseRootFromParent_Done,
     /*  558404 */   // Label 9156: @558404
     /*  558404 */   GIM_Try, /*On fail goto*//*Label 9157*/ GIMT_Encode4(558479), // Rule ID 3188 //
     /*  558409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  558420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  558423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  558426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558455 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  558458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558477 */     GIR_RootConstrainSelectedInstOperands,
     /*  558478 */     // GIR_Coverage, 3188,
     /*  558478 */     GIR_EraseRootFromParent_Done,
     /*  558479 */   // Label 9157: @558479
     /*  558479 */   GIM_Try, /*On fail goto*//*Label 9158*/ GIMT_Encode4(558554), // Rule ID 3191 //
     /*  558484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  558495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  558498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  558501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558530 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  558533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558552 */     GIR_RootConstrainSelectedInstOperands,
     /*  558553 */     // GIR_Coverage, 3191,
     /*  558553 */     GIR_EraseRootFromParent_Done,
     /*  558554 */   // Label 9158: @558554
     /*  558554 */   GIM_Try, /*On fail goto*//*Label 9159*/ GIMT_Encode4(558629), // Rule ID 3192 //
     /*  558559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  558570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  558573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  558576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558605 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  558608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558627 */     GIR_RootConstrainSelectedInstOperands,
     /*  558628 */     // GIR_Coverage, 3192,
     /*  558628 */     GIR_EraseRootFromParent_Done,
     /*  558629 */   // Label 9159: @558629
     /*  558629 */   GIM_Try, /*On fail goto*//*Label 9160*/ GIMT_Encode4(558704), // Rule ID 3195 //
     /*  558634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  558645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  558648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  558651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558680 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  558683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558702 */     GIR_RootConstrainSelectedInstOperands,
     /*  558703 */     // GIR_Coverage, 3195,
     /*  558703 */     GIR_EraseRootFromParent_Done,
     /*  558704 */   // Label 9160: @558704
     /*  558704 */   GIM_Try, /*On fail goto*//*Label 9161*/ GIMT_Encode4(558779), // Rule ID 3196 //
     /*  558709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  558720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  558723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  558726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558755 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  558758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558777 */     GIR_RootConstrainSelectedInstOperands,
     /*  558778 */     // GIR_Coverage, 3196,
     /*  558778 */     GIR_EraseRootFromParent_Done,
     /*  558779 */   // Label 9161: @558779
     /*  558779 */   GIM_Try, /*On fail goto*//*Label 9162*/ GIMT_Encode4(558854), // Rule ID 3199 //
     /*  558784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  558795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  558798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  558801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558830 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  558833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558852 */     GIR_RootConstrainSelectedInstOperands,
     /*  558853 */     // GIR_Coverage, 3199,
     /*  558853 */     GIR_EraseRootFromParent_Done,
     /*  558854 */   // Label 9162: @558854
     /*  558854 */   GIM_Try, /*On fail goto*//*Label 9163*/ GIMT_Encode4(558929), // Rule ID 3200 //
     /*  558859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  558870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  558873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  558876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558905 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  558908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558927 */     GIR_RootConstrainSelectedInstOperands,
     /*  558928 */     // GIR_Coverage, 3200,
     /*  558928 */     GIR_EraseRootFromParent_Done,
     /*  558929 */   // Label 9163: @558929
     /*  558929 */   GIM_Try, /*On fail goto*//*Label 9164*/ GIMT_Encode4(559004), // Rule ID 3203 //
     /*  558934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  558942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  558945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  558948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  558951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558980 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  558983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559002 */     GIR_RootConstrainSelectedInstOperands,
     /*  559003 */     // GIR_Coverage, 3203,
     /*  559003 */     GIR_EraseRootFromParent_Done,
     /*  559004 */   // Label 9164: @559004
     /*  559004 */   GIM_Try, /*On fail goto*//*Label 9165*/ GIMT_Encode4(559079), // Rule ID 3204 //
     /*  559009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  559020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  559023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  559026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559055 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  559058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559077 */     GIR_RootConstrainSelectedInstOperands,
     /*  559078 */     // GIR_Coverage, 3204,
     /*  559078 */     GIR_EraseRootFromParent_Done,
     /*  559079 */   // Label 9165: @559079
     /*  559079 */   GIM_Try, /*On fail goto*//*Label 9166*/ GIMT_Encode4(559154), // Rule ID 3207 //
     /*  559084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  559095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  559098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  559101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559130 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  559130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  559133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559152 */     GIR_RootConstrainSelectedInstOperands,
     /*  559153 */     // GIR_Coverage, 3207,
     /*  559153 */     GIR_EraseRootFromParent_Done,
     /*  559154 */   // Label 9166: @559154
     /*  559154 */   GIM_Try, /*On fail goto*//*Label 9167*/ GIMT_Encode4(559229), // Rule ID 3208 //
     /*  559159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  559170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  559173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  559176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559205 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  559208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559227 */     GIR_RootConstrainSelectedInstOperands,
     /*  559228 */     // GIR_Coverage, 3208,
     /*  559228 */     GIR_EraseRootFromParent_Done,
     /*  559229 */   // Label 9167: @559229
     /*  559229 */   GIM_Try, /*On fail goto*//*Label 9168*/ GIMT_Encode4(559304), // Rule ID 3211 //
     /*  559234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  559237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  559245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  559248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  559251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  559280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  559283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559302 */     GIR_RootConstrainSelectedInstOperands,
     /*  559303 */     // GIR_Coverage, 3211,
     /*  559303 */     GIR_EraseRootFromParent_Done,
     /*  559304 */   // Label 9168: @559304
     /*  559304 */   GIM_Try, /*On fail goto*//*Label 9169*/ GIMT_Encode4(559379), // Rule ID 3212 //
     /*  559309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  559312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  559320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  559323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  559326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559355 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  559355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  559358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559377 */     GIR_RootConstrainSelectedInstOperands,
     /*  559378 */     // GIR_Coverage, 3212,
     /*  559378 */     GIR_EraseRootFromParent_Done,
     /*  559379 */   // Label 9169: @559379
     /*  559379 */   GIM_Try, /*On fail goto*//*Label 9170*/ GIMT_Encode4(559454), // Rule ID 3215 //
     /*  559384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  559395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  559398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  559401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559430 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  559433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559452 */     GIR_RootConstrainSelectedInstOperands,
     /*  559453 */     // GIR_Coverage, 3215,
     /*  559453 */     GIR_EraseRootFromParent_Done,
     /*  559454 */   // Label 9170: @559454
     /*  559454 */   GIM_Try, /*On fail goto*//*Label 9171*/ GIMT_Encode4(559529), // Rule ID 3216 //
     /*  559459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  559470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  559473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  559476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559505 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  559508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559527 */     GIR_RootConstrainSelectedInstOperands,
     /*  559528 */     // GIR_Coverage, 3216,
     /*  559528 */     GIR_EraseRootFromParent_Done,
     /*  559529 */   // Label 9171: @559529
     /*  559529 */   GIM_Try, /*On fail goto*//*Label 9172*/ GIMT_Encode4(559604), // Rule ID 3219 //
     /*  559534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  559545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  559548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  559551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559580 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  559583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559602 */     GIR_RootConstrainSelectedInstOperands,
     /*  559603 */     // GIR_Coverage, 3219,
     /*  559603 */     GIR_EraseRootFromParent_Done,
     /*  559604 */   // Label 9172: @559604
     /*  559604 */   GIM_Try, /*On fail goto*//*Label 9173*/ GIMT_Encode4(559679), // Rule ID 3220 //
     /*  559609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  559620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  559623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  559626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559655 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  559658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559677 */     GIR_RootConstrainSelectedInstOperands,
     /*  559678 */     // GIR_Coverage, 3220,
     /*  559678 */     GIR_EraseRootFromParent_Done,
     /*  559679 */   // Label 9173: @559679
     /*  559679 */   GIM_Try, /*On fail goto*//*Label 9174*/ GIMT_Encode4(559754), // Rule ID 3223 //
     /*  559684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  559695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  559698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  559701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559730 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  559733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559752 */     GIR_RootConstrainSelectedInstOperands,
     /*  559753 */     // GIR_Coverage, 3223,
     /*  559753 */     GIR_EraseRootFromParent_Done,
     /*  559754 */   // Label 9174: @559754
     /*  559754 */   GIM_Try, /*On fail goto*//*Label 9175*/ GIMT_Encode4(559829), // Rule ID 3224 //
     /*  559759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  559770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  559773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  559776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559805 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  559808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559827 */     GIR_RootConstrainSelectedInstOperands,
     /*  559828 */     // GIR_Coverage, 3224,
     /*  559828 */     GIR_EraseRootFromParent_Done,
     /*  559829 */   // Label 9175: @559829
     /*  559829 */   GIM_Try, /*On fail goto*//*Label 9176*/ GIMT_Encode4(559904), // Rule ID 3227 //
     /*  559834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  559845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  559848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  559851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559880 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  559880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  559883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559902 */     GIR_RootConstrainSelectedInstOperands,
     /*  559903 */     // GIR_Coverage, 3227,
     /*  559903 */     GIR_EraseRootFromParent_Done,
     /*  559904 */   // Label 9176: @559904
     /*  559904 */   GIM_Try, /*On fail goto*//*Label 9177*/ GIMT_Encode4(559979), // Rule ID 3228 //
     /*  559909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  559920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  559923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  559926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559955 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  559958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559977 */     GIR_RootConstrainSelectedInstOperands,
     /*  559978 */     // GIR_Coverage, 3228,
     /*  559978 */     GIR_EraseRootFromParent_Done,
     /*  559979 */   // Label 9177: @559979
     /*  559979 */   GIM_Try, /*On fail goto*//*Label 9178*/ GIMT_Encode4(560054), // Rule ID 3231 //
     /*  559984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  559992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  559995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  559998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  560001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560030 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  560030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  560033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560052 */     GIR_RootConstrainSelectedInstOperands,
     /*  560053 */     // GIR_Coverage, 3231,
     /*  560053 */     GIR_EraseRootFromParent_Done,
     /*  560054 */   // Label 9178: @560054
     /*  560054 */   GIM_Try, /*On fail goto*//*Label 9179*/ GIMT_Encode4(560129), // Rule ID 3232 //
     /*  560059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  560070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  560073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  560076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560105 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  560105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  560108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560127 */     GIR_RootConstrainSelectedInstOperands,
     /*  560128 */     // GIR_Coverage, 3232,
     /*  560128 */     GIR_EraseRootFromParent_Done,
     /*  560129 */   // Label 9179: @560129
     /*  560129 */   GIM_Try, /*On fail goto*//*Label 9180*/ GIMT_Encode4(560204), // Rule ID 3235 //
     /*  560134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  560145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  560148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  560151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560180 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  560180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  560183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560202 */     GIR_RootConstrainSelectedInstOperands,
     /*  560203 */     // GIR_Coverage, 3235,
     /*  560203 */     GIR_EraseRootFromParent_Done,
     /*  560204 */   // Label 9180: @560204
     /*  560204 */   GIM_Try, /*On fail goto*//*Label 9181*/ GIMT_Encode4(560279), // Rule ID 3236 //
     /*  560209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  560220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  560223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  560226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560255 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  560255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  560258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560277 */     GIR_RootConstrainSelectedInstOperands,
     /*  560278 */     // GIR_Coverage, 3236,
     /*  560278 */     GIR_EraseRootFromParent_Done,
     /*  560279 */   // Label 9181: @560279
     /*  560279 */   GIM_Try, /*On fail goto*//*Label 9182*/ GIMT_Encode4(560354), // Rule ID 3239 //
     /*  560284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  560295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  560298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  560301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560330 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  560330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  560333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560352 */     GIR_RootConstrainSelectedInstOperands,
     /*  560353 */     // GIR_Coverage, 3239,
     /*  560353 */     GIR_EraseRootFromParent_Done,
     /*  560354 */   // Label 9182: @560354
     /*  560354 */   GIM_Try, /*On fail goto*//*Label 9183*/ GIMT_Encode4(560429), // Rule ID 3240 //
     /*  560359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  560370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  560373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  560376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560405 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  560405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  560408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560427 */     GIR_RootConstrainSelectedInstOperands,
     /*  560428 */     // GIR_Coverage, 3240,
     /*  560428 */     GIR_EraseRootFromParent_Done,
     /*  560429 */   // Label 9183: @560429
     /*  560429 */   GIM_Try, /*On fail goto*//*Label 9184*/ GIMT_Encode4(560504), // Rule ID 3243 //
     /*  560434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  560445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  560448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  560451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560480 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  560480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  560483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560502 */     GIR_RootConstrainSelectedInstOperands,
     /*  560503 */     // GIR_Coverage, 3243,
     /*  560503 */     GIR_EraseRootFromParent_Done,
     /*  560504 */   // Label 9184: @560504
     /*  560504 */   GIM_Try, /*On fail goto*//*Label 9185*/ GIMT_Encode4(560579), // Rule ID 3244 //
     /*  560509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  560520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  560523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  560526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560555 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  560555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  560558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560577 */     GIR_RootConstrainSelectedInstOperands,
     /*  560578 */     // GIR_Coverage, 3244,
     /*  560578 */     GIR_EraseRootFromParent_Done,
     /*  560579 */   // Label 9185: @560579
     /*  560579 */   GIM_Try, /*On fail goto*//*Label 9186*/ GIMT_Encode4(560654), // Rule ID 3247 //
     /*  560584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  560595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  560598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  560601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560630 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  560630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  560633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560652 */     GIR_RootConstrainSelectedInstOperands,
     /*  560653 */     // GIR_Coverage, 3247,
     /*  560653 */     GIR_EraseRootFromParent_Done,
     /*  560654 */   // Label 9186: @560654
     /*  560654 */   GIM_Try, /*On fail goto*//*Label 9187*/ GIMT_Encode4(560729), // Rule ID 3248 //
     /*  560659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  560670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  560673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  560676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560705 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  560705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  560708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560727 */     GIR_RootConstrainSelectedInstOperands,
     /*  560728 */     // GIR_Coverage, 3248,
     /*  560728 */     GIR_EraseRootFromParent_Done,
     /*  560729 */   // Label 9187: @560729
     /*  560729 */   GIM_Try, /*On fail goto*//*Label 9188*/ GIMT_Encode4(560804), // Rule ID 3251 //
     /*  560734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  560737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  560745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  560748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  560751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560780 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  560780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  560783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560802 */     GIR_RootConstrainSelectedInstOperands,
     /*  560803 */     // GIR_Coverage, 3251,
     /*  560803 */     GIR_EraseRootFromParent_Done,
     /*  560804 */   // Label 9188: @560804
     /*  560804 */   GIM_Try, /*On fail goto*//*Label 9189*/ GIMT_Encode4(560879), // Rule ID 3252 //
     /*  560809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  560812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  560820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  560823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  560826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560855 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  560855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  560858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560877 */     GIR_RootConstrainSelectedInstOperands,
     /*  560878 */     // GIR_Coverage, 3252,
     /*  560878 */     GIR_EraseRootFromParent_Done,
     /*  560879 */   // Label 9189: @560879
     /*  560879 */   GIM_Try, /*On fail goto*//*Label 9190*/ GIMT_Encode4(560954), // Rule ID 3255 //
     /*  560884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  560887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  560895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  560898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  560901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560930 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  560930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  560933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560952 */     GIR_RootConstrainSelectedInstOperands,
     /*  560953 */     // GIR_Coverage, 3255,
     /*  560953 */     GIR_EraseRootFromParent_Done,
     /*  560954 */   // Label 9190: @560954
     /*  560954 */   GIM_Try, /*On fail goto*//*Label 9191*/ GIMT_Encode4(561029), // Rule ID 3256 //
     /*  560959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  560962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  560967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  560970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  560973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  560976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561005 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  561005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  561008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  561024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561027 */     GIR_RootConstrainSelectedInstOperands,
     /*  561028 */     // GIR_Coverage, 3256,
     /*  561028 */     GIR_EraseRootFromParent_Done,
     /*  561029 */   // Label 9191: @561029
     /*  561029 */   GIM_Try, /*On fail goto*//*Label 9192*/ GIMT_Encode4(561104), // Rule ID 3259 //
     /*  561034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  561037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  561045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  561048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  561051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561080 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  561080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  561083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  561099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561102 */     GIR_RootConstrainSelectedInstOperands,
     /*  561103 */     // GIR_Coverage, 3259,
     /*  561103 */     GIR_EraseRootFromParent_Done,
     /*  561104 */   // Label 9192: @561104
     /*  561104 */   GIM_Try, /*On fail goto*//*Label 9193*/ GIMT_Encode4(561179), // Rule ID 3260 //
     /*  561109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  561112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  561120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  561123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  561126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561155 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  561155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  561158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  561174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561177 */     GIR_RootConstrainSelectedInstOperands,
     /*  561178 */     // GIR_Coverage, 3260,
     /*  561178 */     GIR_EraseRootFromParent_Done,
     /*  561179 */   // Label 9193: @561179
     /*  561179 */   GIM_Try, /*On fail goto*//*Label 9194*/ GIMT_Encode4(561254), // Rule ID 3263 //
     /*  561184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  561192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  561195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  561198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  561201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561230 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  561233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561252 */     GIR_RootConstrainSelectedInstOperands,
     /*  561253 */     // GIR_Coverage, 3263,
     /*  561253 */     GIR_EraseRootFromParent_Done,
     /*  561254 */   // Label 9194: @561254
     /*  561254 */   GIM_Try, /*On fail goto*//*Label 9195*/ GIMT_Encode4(561329), // Rule ID 3264 //
     /*  561259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  561267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  561270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  561273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  561276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561305 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  561308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561327 */     GIR_RootConstrainSelectedInstOperands,
     /*  561328 */     // GIR_Coverage, 3264,
     /*  561328 */     GIR_EraseRootFromParent_Done,
     /*  561329 */   // Label 9195: @561329
     /*  561329 */   GIM_Try, /*On fail goto*//*Label 9196*/ GIMT_Encode4(561404), // Rule ID 3267 //
     /*  561334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  561342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  561345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  561348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  561351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561380 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  561383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561402 */     GIR_RootConstrainSelectedInstOperands,
     /*  561403 */     // GIR_Coverage, 3267,
     /*  561403 */     GIR_EraseRootFromParent_Done,
     /*  561404 */   // Label 9196: @561404
     /*  561404 */   GIM_Try, /*On fail goto*//*Label 9197*/ GIMT_Encode4(561479), // Rule ID 3268 //
     /*  561409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  561417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  561420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  561423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  561426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561455 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  561458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561477 */     GIR_RootConstrainSelectedInstOperands,
     /*  561478 */     // GIR_Coverage, 3268,
     /*  561478 */     GIR_EraseRootFromParent_Done,
     /*  561479 */   // Label 9197: @561479
     /*  561479 */   GIM_Try, /*On fail goto*//*Label 9198*/ GIMT_Encode4(561554), // Rule ID 3271 //
     /*  561484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  561492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  561495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  561498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  561501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561530 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  561533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561552 */     GIR_RootConstrainSelectedInstOperands,
     /*  561553 */     // GIR_Coverage, 3271,
     /*  561553 */     GIR_EraseRootFromParent_Done,
     /*  561554 */   // Label 9198: @561554
     /*  561554 */   GIM_Try, /*On fail goto*//*Label 9199*/ GIMT_Encode4(561629), // Rule ID 3272 //
     /*  561559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  561567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  561570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  561573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  561576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561605 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  561608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561627 */     GIR_RootConstrainSelectedInstOperands,
     /*  561628 */     // GIR_Coverage, 3272,
     /*  561628 */     GIR_EraseRootFromParent_Done,
     /*  561629 */   // Label 9199: @561629
     /*  561629 */   GIM_Try, /*On fail goto*//*Label 9200*/ GIMT_Encode4(561704), // Rule ID 3275 //
     /*  561634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  561642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  561645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  561648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  561651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561680 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  561683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561702 */     GIR_RootConstrainSelectedInstOperands,
     /*  561703 */     // GIR_Coverage, 3275,
     /*  561703 */     GIR_EraseRootFromParent_Done,
     /*  561704 */   // Label 9200: @561704
     /*  561704 */   GIM_Try, /*On fail goto*//*Label 9201*/ GIMT_Encode4(561779), // Rule ID 3276 //
     /*  561709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  561717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  561720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  561723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  561726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561755 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  561758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561777 */     GIR_RootConstrainSelectedInstOperands,
     /*  561778 */     // GIR_Coverage, 3276,
     /*  561778 */     GIR_EraseRootFromParent_Done,
     /*  561779 */   // Label 9201: @561779
     /*  561779 */   GIM_Try, /*On fail goto*//*Label 9202*/ GIMT_Encode4(561854), // Rule ID 3279 //
     /*  561784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  561792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  561795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  561798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  561801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561830 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  561833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561852 */     GIR_RootConstrainSelectedInstOperands,
     /*  561853 */     // GIR_Coverage, 3279,
     /*  561853 */     GIR_EraseRootFromParent_Done,
     /*  561854 */   // Label 9202: @561854
     /*  561854 */   GIM_Try, /*On fail goto*//*Label 9203*/ GIMT_Encode4(561929), // Rule ID 3280 //
     /*  561859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  561867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  561870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  561873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  561876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  561879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561905 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  561908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561927 */     GIR_RootConstrainSelectedInstOperands,
     /*  561928 */     // GIR_Coverage, 3280,
     /*  561928 */     GIR_EraseRootFromParent_Done,
     /*  561929 */   // Label 9203: @561929
     /*  561929 */   GIM_Try, /*On fail goto*//*Label 9204*/ GIMT_Encode4(562004), // Rule ID 3283 //
     /*  561934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  561942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  561945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  561948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  561951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  561954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561980 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  561983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562002 */     GIR_RootConstrainSelectedInstOperands,
     /*  562003 */     // GIR_Coverage, 3283,
     /*  562003 */     GIR_EraseRootFromParent_Done,
     /*  562004 */   // Label 9204: @562004
     /*  562004 */   GIM_Try, /*On fail goto*//*Label 9205*/ GIMT_Encode4(562079), // Rule ID 3284 //
     /*  562009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  562020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  562023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  562026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562055 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  562055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  562058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562077 */     GIR_RootConstrainSelectedInstOperands,
     /*  562078 */     // GIR_Coverage, 3284,
     /*  562078 */     GIR_EraseRootFromParent_Done,
     /*  562079 */   // Label 9205: @562079
     /*  562079 */   GIM_Try, /*On fail goto*//*Label 9206*/ GIMT_Encode4(562154), // Rule ID 3287 //
     /*  562084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  562095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  562098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  562101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562130 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  562133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562152 */     GIR_RootConstrainSelectedInstOperands,
     /*  562153 */     // GIR_Coverage, 3287,
     /*  562153 */     GIR_EraseRootFromParent_Done,
     /*  562154 */   // Label 9206: @562154
     /*  562154 */   GIM_Try, /*On fail goto*//*Label 9207*/ GIMT_Encode4(562229), // Rule ID 3288 //
     /*  562159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  562170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  562173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  562176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562205 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  562208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562227 */     GIR_RootConstrainSelectedInstOperands,
     /*  562228 */     // GIR_Coverage, 3288,
     /*  562228 */     GIR_EraseRootFromParent_Done,
     /*  562229 */   // Label 9207: @562229
     /*  562229 */   GIM_Try, /*On fail goto*//*Label 9208*/ GIMT_Encode4(562304), // Rule ID 3291 //
     /*  562234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  562245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  562248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  562251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562280 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  562280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  562283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562302 */     GIR_RootConstrainSelectedInstOperands,
     /*  562303 */     // GIR_Coverage, 3291,
     /*  562303 */     GIR_EraseRootFromParent_Done,
     /*  562304 */   // Label 9208: @562304
     /*  562304 */   GIM_Try, /*On fail goto*//*Label 9209*/ GIMT_Encode4(562379), // Rule ID 3292 //
     /*  562309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  562320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  562323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  562326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562355 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  562355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  562358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562377 */     GIR_RootConstrainSelectedInstOperands,
     /*  562378 */     // GIR_Coverage, 3292,
     /*  562378 */     GIR_EraseRootFromParent_Done,
     /*  562379 */   // Label 9209: @562379
     /*  562379 */   GIM_Try, /*On fail goto*//*Label 9210*/ GIMT_Encode4(562454), // Rule ID 3295 //
     /*  562384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  562395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  562398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  562401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562430 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  562430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  562433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562452 */     GIR_RootConstrainSelectedInstOperands,
     /*  562453 */     // GIR_Coverage, 3295,
     /*  562453 */     GIR_EraseRootFromParent_Done,
     /*  562454 */   // Label 9210: @562454
     /*  562454 */   GIM_Try, /*On fail goto*//*Label 9211*/ GIMT_Encode4(562529), // Rule ID 3296 //
     /*  562459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  562470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  562473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  562476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562505 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  562505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  562508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562527 */     GIR_RootConstrainSelectedInstOperands,
     /*  562528 */     // GIR_Coverage, 3296,
     /*  562528 */     GIR_EraseRootFromParent_Done,
     /*  562529 */   // Label 9211: @562529
     /*  562529 */   GIM_Try, /*On fail goto*//*Label 9212*/ GIMT_Encode4(562604), // Rule ID 3299 //
     /*  562534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  562537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  562545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  562548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  562551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  562580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  562583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562602 */     GIR_RootConstrainSelectedInstOperands,
     /*  562603 */     // GIR_Coverage, 3299,
     /*  562603 */     GIR_EraseRootFromParent_Done,
     /*  562604 */   // Label 9212: @562604
     /*  562604 */   GIM_Try, /*On fail goto*//*Label 9213*/ GIMT_Encode4(562679), // Rule ID 3300 //
     /*  562609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  562612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  562620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  562623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  562626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562655 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  562655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  562658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562677 */     GIR_RootConstrainSelectedInstOperands,
     /*  562678 */     // GIR_Coverage, 3300,
     /*  562678 */     GIR_EraseRootFromParent_Done,
     /*  562679 */   // Label 9213: @562679
     /*  562679 */   GIM_Try, /*On fail goto*//*Label 9214*/ GIMT_Encode4(562754), // Rule ID 3303 //
     /*  562684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  562695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  562698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  562701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562730 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  562733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562752 */     GIR_RootConstrainSelectedInstOperands,
     /*  562753 */     // GIR_Coverage, 3303,
     /*  562753 */     GIR_EraseRootFromParent_Done,
     /*  562754 */   // Label 9214: @562754
     /*  562754 */   GIM_Try, /*On fail goto*//*Label 9215*/ GIMT_Encode4(562829), // Rule ID 3304 //
     /*  562759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  562770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  562773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  562776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562805 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  562808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562827 */     GIR_RootConstrainSelectedInstOperands,
     /*  562828 */     // GIR_Coverage, 3304,
     /*  562828 */     GIR_EraseRootFromParent_Done,
     /*  562829 */   // Label 9215: @562829
     /*  562829 */   GIM_Try, /*On fail goto*//*Label 9216*/ GIMT_Encode4(562904), // Rule ID 3307 //
     /*  562834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  562845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  562848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  562851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562880 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  562883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562902 */     GIR_RootConstrainSelectedInstOperands,
     /*  562903 */     // GIR_Coverage, 3307,
     /*  562903 */     GIR_EraseRootFromParent_Done,
     /*  562904 */   // Label 9216: @562904
     /*  562904 */   GIM_Try, /*On fail goto*//*Label 9217*/ GIMT_Encode4(562979), // Rule ID 3308 //
     /*  562909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  562920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  562923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  562926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562955 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  562958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562977 */     GIR_RootConstrainSelectedInstOperands,
     /*  562978 */     // GIR_Coverage, 3308,
     /*  562978 */     GIR_EraseRootFromParent_Done,
     /*  562979 */   // Label 9217: @562979
     /*  562979 */   GIM_Try, /*On fail goto*//*Label 9218*/ GIMT_Encode4(563054), // Rule ID 3311 //
     /*  562984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  562992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  562995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  562998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  563001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563030 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  563033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563052 */     GIR_RootConstrainSelectedInstOperands,
     /*  563053 */     // GIR_Coverage, 3311,
     /*  563053 */     GIR_EraseRootFromParent_Done,
     /*  563054 */   // Label 9218: @563054
     /*  563054 */   GIM_Try, /*On fail goto*//*Label 9219*/ GIMT_Encode4(563129), // Rule ID 3312 //
     /*  563059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  563070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  563073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  563076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563105 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  563108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563127 */     GIR_RootConstrainSelectedInstOperands,
     /*  563128 */     // GIR_Coverage, 3312,
     /*  563128 */     GIR_EraseRootFromParent_Done,
     /*  563129 */   // Label 9219: @563129
     /*  563129 */   GIM_Try, /*On fail goto*//*Label 9220*/ GIMT_Encode4(563204), // Rule ID 3315 //
     /*  563134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  563145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  563148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  563151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563180 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  563183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563202 */     GIR_RootConstrainSelectedInstOperands,
     /*  563203 */     // GIR_Coverage, 3315,
     /*  563203 */     GIR_EraseRootFromParent_Done,
     /*  563204 */   // Label 9220: @563204
     /*  563204 */   GIM_Try, /*On fail goto*//*Label 9221*/ GIMT_Encode4(563279), // Rule ID 3316 //
     /*  563209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  563220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  563223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  563226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563255 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  563258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563277 */     GIR_RootConstrainSelectedInstOperands,
     /*  563278 */     // GIR_Coverage, 3316,
     /*  563278 */     GIR_EraseRootFromParent_Done,
     /*  563279 */   // Label 9221: @563279
     /*  563279 */   GIM_Try, /*On fail goto*//*Label 9222*/ GIMT_Encode4(563354), // Rule ID 3319 //
     /*  563284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  563295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  563298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  563301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563330 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  563333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563352 */     GIR_RootConstrainSelectedInstOperands,
     /*  563353 */     // GIR_Coverage, 3319,
     /*  563353 */     GIR_EraseRootFromParent_Done,
     /*  563354 */   // Label 9222: @563354
     /*  563354 */   GIM_Try, /*On fail goto*//*Label 9223*/ GIMT_Encode4(563429), // Rule ID 3320 //
     /*  563359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  563370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  563373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  563376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563405 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  563408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563427 */     GIR_RootConstrainSelectedInstOperands,
     /*  563428 */     // GIR_Coverage, 3320,
     /*  563428 */     GIR_EraseRootFromParent_Done,
     /*  563429 */   // Label 9223: @563429
     /*  563429 */   GIM_Try, /*On fail goto*//*Label 9224*/ GIMT_Encode4(563504), // Rule ID 3323 //
     /*  563434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  563445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  563448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  563451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563480 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  563483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563502 */     GIR_RootConstrainSelectedInstOperands,
     /*  563503 */     // GIR_Coverage, 3323,
     /*  563503 */     GIR_EraseRootFromParent_Done,
     /*  563504 */   // Label 9224: @563504
     /*  563504 */   GIM_Try, /*On fail goto*//*Label 9225*/ GIMT_Encode4(563579), // Rule ID 3324 //
     /*  563509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  563520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  563523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  563526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563555 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  563558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563577 */     GIR_RootConstrainSelectedInstOperands,
     /*  563578 */     // GIR_Coverage, 3324,
     /*  563578 */     GIR_EraseRootFromParent_Done,
     /*  563579 */   // Label 9225: @563579
     /*  563579 */   GIM_Try, /*On fail goto*//*Label 9226*/ GIMT_Encode4(563654), // Rule ID 3327 //
     /*  563584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  563595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  563598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  563601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563630 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  563633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563652 */     GIR_RootConstrainSelectedInstOperands,
     /*  563653 */     // GIR_Coverage, 3327,
     /*  563653 */     GIR_EraseRootFromParent_Done,
     /*  563654 */   // Label 9226: @563654
     /*  563654 */   GIM_Try, /*On fail goto*//*Label 9227*/ GIMT_Encode4(563729), // Rule ID 3328 //
     /*  563659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  563670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  563673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  563676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563705 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  563708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563727 */     GIR_RootConstrainSelectedInstOperands,
     /*  563728 */     // GIR_Coverage, 3328,
     /*  563728 */     GIR_EraseRootFromParent_Done,
     /*  563729 */   // Label 9227: @563729
     /*  563729 */   GIM_Try, /*On fail goto*//*Label 9228*/ GIMT_Encode4(563804), // Rule ID 3331 //
     /*  563734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  563745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  563748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  563751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563780 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  563783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563802 */     GIR_RootConstrainSelectedInstOperands,
     /*  563803 */     // GIR_Coverage, 3331,
     /*  563803 */     GIR_EraseRootFromParent_Done,
     /*  563804 */   // Label 9228: @563804
     /*  563804 */   GIM_Try, /*On fail goto*//*Label 9229*/ GIMT_Encode4(563879), // Rule ID 3332 //
     /*  563809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  563820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  563823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  563826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563855 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  563858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563877 */     GIR_RootConstrainSelectedInstOperands,
     /*  563878 */     // GIR_Coverage, 3332,
     /*  563878 */     GIR_EraseRootFromParent_Done,
     /*  563879 */   // Label 9229: @563879
     /*  563879 */   GIM_Try, /*On fail goto*//*Label 9230*/ GIMT_Encode4(563954), // Rule ID 3335 //
     /*  563884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  563895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  563898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  563901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563930 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  563933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563952 */     GIR_RootConstrainSelectedInstOperands,
     /*  563953 */     // GIR_Coverage, 3335,
     /*  563953 */     GIR_EraseRootFromParent_Done,
     /*  563954 */   // Label 9230: @563954
     /*  563954 */   GIM_Try, /*On fail goto*//*Label 9231*/ GIMT_Encode4(564029), // Rule ID 3336 //
     /*  563959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  563967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  563970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  563973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  563976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564005 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  564005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  564008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564027 */     GIR_RootConstrainSelectedInstOperands,
     /*  564028 */     // GIR_Coverage, 3336,
     /*  564028 */     GIR_EraseRootFromParent_Done,
     /*  564029 */   // Label 9231: @564029
     /*  564029 */   GIM_Try, /*On fail goto*//*Label 9232*/ GIMT_Encode4(564104), // Rule ID 3339 //
     /*  564034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  564037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  564045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  564048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  564051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564080 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  564080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  564083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  564099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564102 */     GIR_RootConstrainSelectedInstOperands,
     /*  564103 */     // GIR_Coverage, 3339,
     /*  564103 */     GIR_EraseRootFromParent_Done,
     /*  564104 */   // Label 9232: @564104
     /*  564104 */   GIM_Try, /*On fail goto*//*Label 9233*/ GIMT_Encode4(564179), // Rule ID 3340 //
     /*  564109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  564112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  564120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  564123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  564126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564155 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  564155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  564158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  564174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564177 */     GIR_RootConstrainSelectedInstOperands,
     /*  564178 */     // GIR_Coverage, 3340,
     /*  564178 */     GIR_EraseRootFromParent_Done,
     /*  564179 */   // Label 9233: @564179
     /*  564179 */   GIM_Try, /*On fail goto*//*Label 9234*/ GIMT_Encode4(564254), // Rule ID 3343 //
     /*  564184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  564187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  564195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  564198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  564201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564230 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  564230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  564233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  564249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564252 */     GIR_RootConstrainSelectedInstOperands,
     /*  564253 */     // GIR_Coverage, 3343,
     /*  564253 */     GIR_EraseRootFromParent_Done,
     /*  564254 */   // Label 9234: @564254
     /*  564254 */   GIM_Try, /*On fail goto*//*Label 9235*/ GIMT_Encode4(564329), // Rule ID 3344 //
     /*  564259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  564262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  564270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  564273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  564276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564305 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  564305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  564308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  564324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564327 */     GIR_RootConstrainSelectedInstOperands,
     /*  564328 */     // GIR_Coverage, 3344,
     /*  564328 */     GIR_EraseRootFromParent_Done,
     /*  564329 */   // Label 9235: @564329
     /*  564329 */   GIM_Try, /*On fail goto*//*Label 9236*/ GIMT_Encode4(564404), // Rule ID 3347 //
     /*  564334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  564337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  564345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  564348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  564351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564380 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  564380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  564383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  564399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564402 */     GIR_RootConstrainSelectedInstOperands,
     /*  564403 */     // GIR_Coverage, 3347,
     /*  564403 */     GIR_EraseRootFromParent_Done,
     /*  564404 */   // Label 9236: @564404
     /*  564404 */   GIM_Try, /*On fail goto*//*Label 9237*/ GIMT_Encode4(564479), // Rule ID 3348 //
     /*  564409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  564412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  564417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  564420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  564423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  564426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564455 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  564455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  564458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  564474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564477 */     GIR_RootConstrainSelectedInstOperands,
     /*  564478 */     // GIR_Coverage, 3348,
     /*  564478 */     GIR_EraseRootFromParent_Done,
     /*  564479 */   // Label 9237: @564479
     /*  564479 */   GIM_Try, /*On fail goto*//*Label 9238*/ GIMT_Encode4(564554), // Rule ID 3439 //
     /*  564484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  564492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  564495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  564498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  564501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  564504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564530 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  564533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564552 */     GIR_RootConstrainSelectedInstOperands,
     /*  564553 */     // GIR_Coverage, 3439,
     /*  564553 */     GIR_EraseRootFromParent_Done,
     /*  564554 */   // Label 9238: @564554
     /*  564554 */   GIM_Try, /*On fail goto*//*Label 9239*/ GIMT_Encode4(564629), // Rule ID 3440 //
     /*  564559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  564567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  564570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  564573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  564576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  564579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564605 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  564608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564627 */     GIR_RootConstrainSelectedInstOperands,
     /*  564628 */     // GIR_Coverage, 3440,
     /*  564628 */     GIR_EraseRootFromParent_Done,
     /*  564629 */   // Label 9239: @564629
     /*  564629 */   GIM_Try, /*On fail goto*//*Label 9240*/ GIMT_Encode4(564704), // Rule ID 3443 //
     /*  564634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  564642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  564645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  564648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  564651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  564654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564680 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  564683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564702 */     GIR_RootConstrainSelectedInstOperands,
     /*  564703 */     // GIR_Coverage, 3443,
     /*  564703 */     GIR_EraseRootFromParent_Done,
     /*  564704 */   // Label 9240: @564704
     /*  564704 */   GIM_Try, /*On fail goto*//*Label 9241*/ GIMT_Encode4(564779), // Rule ID 3444 //
     /*  564709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  564717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  564720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  564723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  564726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  564729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564755 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  564758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564777 */     GIR_RootConstrainSelectedInstOperands,
     /*  564778 */     // GIR_Coverage, 3444,
     /*  564778 */     GIR_EraseRootFromParent_Done,
     /*  564779 */   // Label 9241: @564779
     /*  564779 */   GIM_Try, /*On fail goto*//*Label 9242*/ GIMT_Encode4(564854), // Rule ID 3447 //
     /*  564784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  564792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  564795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  564798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  564801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  564804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564830 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  564833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564852 */     GIR_RootConstrainSelectedInstOperands,
     /*  564853 */     // GIR_Coverage, 3447,
     /*  564853 */     GIR_EraseRootFromParent_Done,
     /*  564854 */   // Label 9242: @564854
     /*  564854 */   GIM_Try, /*On fail goto*//*Label 9243*/ GIMT_Encode4(564929), // Rule ID 3448 //
     /*  564859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  564867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  564870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  564873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  564876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  564879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564905 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  564908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564927 */     GIR_RootConstrainSelectedInstOperands,
     /*  564928 */     // GIR_Coverage, 3448,
     /*  564928 */     GIR_EraseRootFromParent_Done,
     /*  564929 */   // Label 9243: @564929
     /*  564929 */   GIM_Try, /*On fail goto*//*Label 9244*/ GIMT_Encode4(565004), // Rule ID 3451 //
     /*  564934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  564942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  564945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  564948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  564951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  564954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564980 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  564983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565002 */     GIR_RootConstrainSelectedInstOperands,
     /*  565003 */     // GIR_Coverage, 3451,
     /*  565003 */     GIR_EraseRootFromParent_Done,
     /*  565004 */   // Label 9244: @565004
     /*  565004 */   GIM_Try, /*On fail goto*//*Label 9245*/ GIMT_Encode4(565079), // Rule ID 3452 //
     /*  565009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  565020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  565023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  565026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  565029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565055 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  565058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565077 */     GIR_RootConstrainSelectedInstOperands,
     /*  565078 */     // GIR_Coverage, 3452,
     /*  565078 */     GIR_EraseRootFromParent_Done,
     /*  565079 */   // Label 9245: @565079
     /*  565079 */   GIM_Try, /*On fail goto*//*Label 9246*/ GIMT_Encode4(565154), // Rule ID 3455 //
     /*  565084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  565095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  565098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  565101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  565104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565130 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  565133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565152 */     GIR_RootConstrainSelectedInstOperands,
     /*  565153 */     // GIR_Coverage, 3455,
     /*  565153 */     GIR_EraseRootFromParent_Done,
     /*  565154 */   // Label 9246: @565154
     /*  565154 */   GIM_Try, /*On fail goto*//*Label 9247*/ GIMT_Encode4(565229), // Rule ID 3456 //
     /*  565159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  565170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  565173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  565176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  565179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565205 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  565208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565227 */     GIR_RootConstrainSelectedInstOperands,
     /*  565228 */     // GIR_Coverage, 3456,
     /*  565228 */     GIR_EraseRootFromParent_Done,
     /*  565229 */   // Label 9247: @565229
     /*  565229 */   GIM_Try, /*On fail goto*//*Label 9248*/ GIMT_Encode4(565304), // Rule ID 3459 //
     /*  565234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  565245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  565248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  565251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  565254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565280 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  565283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565302 */     GIR_RootConstrainSelectedInstOperands,
     /*  565303 */     // GIR_Coverage, 3459,
     /*  565303 */     GIR_EraseRootFromParent_Done,
     /*  565304 */   // Label 9248: @565304
     /*  565304 */   GIM_Try, /*On fail goto*//*Label 9249*/ GIMT_Encode4(565379), // Rule ID 3460 //
     /*  565309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  565320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  565323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  565326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  565329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565355 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  565358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565377 */     GIR_RootConstrainSelectedInstOperands,
     /*  565378 */     // GIR_Coverage, 3460,
     /*  565378 */     GIR_EraseRootFromParent_Done,
     /*  565379 */   // Label 9249: @565379
     /*  565379 */   GIM_Try, /*On fail goto*//*Label 9250*/ GIMT_Encode4(565454), // Rule ID 3463 //
     /*  565384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  565395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  565398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  565401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  565404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565430 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  565433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565452 */     GIR_RootConstrainSelectedInstOperands,
     /*  565453 */     // GIR_Coverage, 3463,
     /*  565453 */     GIR_EraseRootFromParent_Done,
     /*  565454 */   // Label 9250: @565454
     /*  565454 */   GIM_Try, /*On fail goto*//*Label 9251*/ GIMT_Encode4(565529), // Rule ID 3464 //
     /*  565459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  565470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  565473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  565476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  565479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565505 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  565508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565527 */     GIR_RootConstrainSelectedInstOperands,
     /*  565528 */     // GIR_Coverage, 3464,
     /*  565528 */     GIR_EraseRootFromParent_Done,
     /*  565529 */   // Label 9251: @565529
     /*  565529 */   GIM_Try, /*On fail goto*//*Label 9252*/ GIMT_Encode4(565604), // Rule ID 3467 //
     /*  565534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  565545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  565548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  565551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  565554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565580 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  565583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565602 */     GIR_RootConstrainSelectedInstOperands,
     /*  565603 */     // GIR_Coverage, 3467,
     /*  565603 */     GIR_EraseRootFromParent_Done,
     /*  565604 */   // Label 9252: @565604
     /*  565604 */   GIM_Try, /*On fail goto*//*Label 9253*/ GIMT_Encode4(565679), // Rule ID 3468 //
     /*  565609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  565620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  565623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  565626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  565629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565655 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  565658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565677 */     GIR_RootConstrainSelectedInstOperands,
     /*  565678 */     // GIR_Coverage, 3468,
     /*  565678 */     GIR_EraseRootFromParent_Done,
     /*  565679 */   // Label 9253: @565679
     /*  565679 */   GIM_Try, /*On fail goto*//*Label 9254*/ GIMT_Encode4(565754), // Rule ID 3471 //
     /*  565684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  565695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  565698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  565701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  565704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565730 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  565733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565752 */     GIR_RootConstrainSelectedInstOperands,
     /*  565753 */     // GIR_Coverage, 3471,
     /*  565753 */     GIR_EraseRootFromParent_Done,
     /*  565754 */   // Label 9254: @565754
     /*  565754 */   GIM_Try, /*On fail goto*//*Label 9255*/ GIMT_Encode4(565829), // Rule ID 3472 //
     /*  565759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  565770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  565773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  565776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  565779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565805 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  565808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565827 */     GIR_RootConstrainSelectedInstOperands,
     /*  565828 */     // GIR_Coverage, 3472,
     /*  565828 */     GIR_EraseRootFromParent_Done,
     /*  565829 */   // Label 9255: @565829
     /*  565829 */   GIM_Try, /*On fail goto*//*Label 9256*/ GIMT_Encode4(565904), // Rule ID 3475 //
     /*  565834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  565845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  565848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  565851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  565854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565880 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  565883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565902 */     GIR_RootConstrainSelectedInstOperands,
     /*  565903 */     // GIR_Coverage, 3475,
     /*  565903 */     GIR_EraseRootFromParent_Done,
     /*  565904 */   // Label 9256: @565904
     /*  565904 */   GIM_Try, /*On fail goto*//*Label 9257*/ GIMT_Encode4(565979), // Rule ID 3476 //
     /*  565909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  565920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  565923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  565926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  565929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565955 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  565958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565977 */     GIR_RootConstrainSelectedInstOperands,
     /*  565978 */     // GIR_Coverage, 3476,
     /*  565978 */     GIR_EraseRootFromParent_Done,
     /*  565979 */   // Label 9257: @565979
     /*  565979 */   GIM_Try, /*On fail goto*//*Label 9258*/ GIMT_Encode4(566054), // Rule ID 3479 //
     /*  565984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  565992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  565995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  565998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  566001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  566004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566030 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  566030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  566033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566052 */     GIR_RootConstrainSelectedInstOperands,
     /*  566053 */     // GIR_Coverage, 3479,
     /*  566053 */     GIR_EraseRootFromParent_Done,
     /*  566054 */   // Label 9258: @566054
     /*  566054 */   GIM_Try, /*On fail goto*//*Label 9259*/ GIMT_Encode4(566129), // Rule ID 3480 //
     /*  566059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  566070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  566073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  566076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  566079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566105 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  566105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  566108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566127 */     GIR_RootConstrainSelectedInstOperands,
     /*  566128 */     // GIR_Coverage, 3480,
     /*  566128 */     GIR_EraseRootFromParent_Done,
     /*  566129 */   // Label 9259: @566129
     /*  566129 */   GIM_Try, /*On fail goto*//*Label 9260*/ GIMT_Encode4(566204), // Rule ID 3483 //
     /*  566134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  566137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  566145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  566148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  566151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  566154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566180 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  566183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566202 */     GIR_RootConstrainSelectedInstOperands,
     /*  566203 */     // GIR_Coverage, 3483,
     /*  566203 */     GIR_EraseRootFromParent_Done,
     /*  566204 */   // Label 9260: @566204
     /*  566204 */   GIM_Try, /*On fail goto*//*Label 9261*/ GIMT_Encode4(566279), // Rule ID 3484 //
     /*  566209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  566212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  566220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  566223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  566226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  566229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566255 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  566258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566277 */     GIR_RootConstrainSelectedInstOperands,
     /*  566278 */     // GIR_Coverage, 3484,
     /*  566278 */     GIR_EraseRootFromParent_Done,
     /*  566279 */   // Label 9261: @566279
     /*  566279 */   GIM_Try, /*On fail goto*//*Label 9262*/ GIMT_Encode4(566354), // Rule ID 3487 //
     /*  566284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  566287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  566295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  566298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  566301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  566304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566330 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  566333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566352 */     GIR_RootConstrainSelectedInstOperands,
     /*  566353 */     // GIR_Coverage, 3487,
     /*  566353 */     GIR_EraseRootFromParent_Done,
     /*  566354 */   // Label 9262: @566354
     /*  566354 */   GIM_Try, /*On fail goto*//*Label 9263*/ GIMT_Encode4(566429), // Rule ID 3488 //
     /*  566359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  566362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  566370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  566373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  566376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  566379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566405 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  566408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566427 */     GIR_RootConstrainSelectedInstOperands,
     /*  566428 */     // GIR_Coverage, 3488,
     /*  566428 */     GIR_EraseRootFromParent_Done,
     /*  566429 */   // Label 9263: @566429
     /*  566429 */   GIM_Try, /*On fail goto*//*Label 9264*/ GIMT_Encode4(566504), // Rule ID 3491 //
     /*  566434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  566437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  566445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  566448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  566451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  566454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566480 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  566483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566502 */     GIR_RootConstrainSelectedInstOperands,
     /*  566503 */     // GIR_Coverage, 3491,
     /*  566503 */     GIR_EraseRootFromParent_Done,
     /*  566504 */   // Label 9264: @566504
     /*  566504 */   GIM_Try, /*On fail goto*//*Label 9265*/ GIMT_Encode4(566579), // Rule ID 3492 //
     /*  566509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  566512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  566520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  566523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  566526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  566529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566555 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  566558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566577 */     GIR_RootConstrainSelectedInstOperands,
     /*  566578 */     // GIR_Coverage, 3492,
     /*  566578 */     GIR_EraseRootFromParent_Done,
     /*  566579 */   // Label 9265: @566579
     /*  566579 */   GIM_Try, /*On fail goto*//*Label 9266*/ GIMT_Encode4(566654), // Rule ID 3495 //
     /*  566584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  566587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  566595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  566598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  566601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  566604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566630 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  566633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566652 */     GIR_RootConstrainSelectedInstOperands,
     /*  566653 */     // GIR_Coverage, 3495,
     /*  566653 */     GIR_EraseRootFromParent_Done,
     /*  566654 */   // Label 9266: @566654
     /*  566654 */   GIM_Try, /*On fail goto*//*Label 9267*/ GIMT_Encode4(566729), // Rule ID 3496 //
     /*  566659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  566662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  566670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  566673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  566676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  566679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566705 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  566708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566727 */     GIR_RootConstrainSelectedInstOperands,
     /*  566728 */     // GIR_Coverage, 3496,
     /*  566728 */     GIR_EraseRootFromParent_Done,
     /*  566729 */   // Label 9267: @566729
     /*  566729 */   GIM_Try, /*On fail goto*//*Label 9268*/ GIMT_Encode4(566804), // Rule ID 3499 //
     /*  566734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  566745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  566748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  566751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566780 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  566783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566802 */     GIR_RootConstrainSelectedInstOperands,
     /*  566803 */     // GIR_Coverage, 3499,
     /*  566803 */     GIR_EraseRootFromParent_Done,
     /*  566804 */   // Label 9268: @566804
     /*  566804 */   GIM_Try, /*On fail goto*//*Label 9269*/ GIMT_Encode4(566879), // Rule ID 3500 //
     /*  566809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  566820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  566823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  566826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566855 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  566858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566877 */     GIR_RootConstrainSelectedInstOperands,
     /*  566878 */     // GIR_Coverage, 3500,
     /*  566878 */     GIR_EraseRootFromParent_Done,
     /*  566879 */   // Label 9269: @566879
     /*  566879 */   GIM_Try, /*On fail goto*//*Label 9270*/ GIMT_Encode4(566954), // Rule ID 3503 //
     /*  566884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  566895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  566898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  566901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566930 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  566933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566952 */     GIR_RootConstrainSelectedInstOperands,
     /*  566953 */     // GIR_Coverage, 3503,
     /*  566953 */     GIR_EraseRootFromParent_Done,
     /*  566954 */   // Label 9270: @566954
     /*  566954 */   GIM_Try, /*On fail goto*//*Label 9271*/ GIMT_Encode4(567029), // Rule ID 3504 //
     /*  566959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  566967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  566970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  566973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  566976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567005 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  567008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567027 */     GIR_RootConstrainSelectedInstOperands,
     /*  567028 */     // GIR_Coverage, 3504,
     /*  567028 */     GIR_EraseRootFromParent_Done,
     /*  567029 */   // Label 9271: @567029
     /*  567029 */   GIM_Try, /*On fail goto*//*Label 9272*/ GIMT_Encode4(567104), // Rule ID 3507 //
     /*  567034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  567045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  567048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  567051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  567083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567102 */     GIR_RootConstrainSelectedInstOperands,
     /*  567103 */     // GIR_Coverage, 3507,
     /*  567103 */     GIR_EraseRootFromParent_Done,
     /*  567104 */   // Label 9272: @567104
     /*  567104 */   GIM_Try, /*On fail goto*//*Label 9273*/ GIMT_Encode4(567179), // Rule ID 3508 //
     /*  567109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  567120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  567123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  567126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567155 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  567158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567177 */     GIR_RootConstrainSelectedInstOperands,
     /*  567178 */     // GIR_Coverage, 3508,
     /*  567178 */     GIR_EraseRootFromParent_Done,
     /*  567179 */   // Label 9273: @567179
     /*  567179 */   GIM_Try, /*On fail goto*//*Label 9274*/ GIMT_Encode4(567254), // Rule ID 3511 //
     /*  567184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  567195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  567198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  567201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567230 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  567233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567252 */     GIR_RootConstrainSelectedInstOperands,
     /*  567253 */     // GIR_Coverage, 3511,
     /*  567253 */     GIR_EraseRootFromParent_Done,
     /*  567254 */   // Label 9274: @567254
     /*  567254 */   GIM_Try, /*On fail goto*//*Label 9275*/ GIMT_Encode4(567329), // Rule ID 3512 //
     /*  567259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  567270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  567273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  567276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567305 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  567308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567327 */     GIR_RootConstrainSelectedInstOperands,
     /*  567328 */     // GIR_Coverage, 3512,
     /*  567328 */     GIR_EraseRootFromParent_Done,
     /*  567329 */   // Label 9275: @567329
     /*  567329 */   GIM_Try, /*On fail goto*//*Label 9276*/ GIMT_Encode4(567404), // Rule ID 3515 //
     /*  567334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  567345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  567348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  567351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567380 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  567383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567402 */     GIR_RootConstrainSelectedInstOperands,
     /*  567403 */     // GIR_Coverage, 3515,
     /*  567403 */     GIR_EraseRootFromParent_Done,
     /*  567404 */   // Label 9276: @567404
     /*  567404 */   GIM_Try, /*On fail goto*//*Label 9277*/ GIMT_Encode4(567479), // Rule ID 3516 //
     /*  567409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  567420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  567423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  567426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567455 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  567458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567477 */     GIR_RootConstrainSelectedInstOperands,
     /*  567478 */     // GIR_Coverage, 3516,
     /*  567478 */     GIR_EraseRootFromParent_Done,
     /*  567479 */   // Label 9277: @567479
     /*  567479 */   GIM_Try, /*On fail goto*//*Label 9278*/ GIMT_Encode4(567554), // Rule ID 3519 //
     /*  567484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  567495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  567498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  567501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567530 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  567533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567552 */     GIR_RootConstrainSelectedInstOperands,
     /*  567553 */     // GIR_Coverage, 3519,
     /*  567553 */     GIR_EraseRootFromParent_Done,
     /*  567554 */   // Label 9278: @567554
     /*  567554 */   GIM_Try, /*On fail goto*//*Label 9279*/ GIMT_Encode4(567629), // Rule ID 3520 //
     /*  567559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  567570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  567573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  567576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567605 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  567608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567627 */     GIR_RootConstrainSelectedInstOperands,
     /*  567628 */     // GIR_Coverage, 3520,
     /*  567628 */     GIR_EraseRootFromParent_Done,
     /*  567629 */   // Label 9279: @567629
     /*  567629 */   GIM_Try, /*On fail goto*//*Label 9280*/ GIMT_Encode4(567704), // Rule ID 3523 //
     /*  567634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  567645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  567648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  567651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567680 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  567683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567702 */     GIR_RootConstrainSelectedInstOperands,
     /*  567703 */     // GIR_Coverage, 3523,
     /*  567703 */     GIR_EraseRootFromParent_Done,
     /*  567704 */   // Label 9280: @567704
     /*  567704 */   GIM_Try, /*On fail goto*//*Label 9281*/ GIMT_Encode4(567779), // Rule ID 3524 //
     /*  567709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  567720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  567723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  567726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567755 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  567758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567777 */     GIR_RootConstrainSelectedInstOperands,
     /*  567778 */     // GIR_Coverage, 3524,
     /*  567778 */     GIR_EraseRootFromParent_Done,
     /*  567779 */   // Label 9281: @567779
     /*  567779 */   GIM_Try, /*On fail goto*//*Label 9282*/ GIMT_Encode4(567854), // Rule ID 3527 //
     /*  567784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  567795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  567798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  567801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567830 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  567833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567852 */     GIR_RootConstrainSelectedInstOperands,
     /*  567853 */     // GIR_Coverage, 3527,
     /*  567853 */     GIR_EraseRootFromParent_Done,
     /*  567854 */   // Label 9282: @567854
     /*  567854 */   GIM_Try, /*On fail goto*//*Label 9283*/ GIMT_Encode4(567929), // Rule ID 3528 //
     /*  567859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  567870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  567873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  567876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567905 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  567908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567927 */     GIR_RootConstrainSelectedInstOperands,
     /*  567928 */     // GIR_Coverage, 3528,
     /*  567928 */     GIR_EraseRootFromParent_Done,
     /*  567929 */   // Label 9283: @567929
     /*  567929 */   GIM_Try, /*On fail goto*//*Label 9284*/ GIMT_Encode4(568004), // Rule ID 3531 //
     /*  567934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  567942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  567945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  567948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  567951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567980 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  567983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568002 */     GIR_RootConstrainSelectedInstOperands,
     /*  568003 */     // GIR_Coverage, 3531,
     /*  568003 */     GIR_EraseRootFromParent_Done,
     /*  568004 */   // Label 9284: @568004
     /*  568004 */   GIM_Try, /*On fail goto*//*Label 9285*/ GIMT_Encode4(568079), // Rule ID 3532 //
     /*  568009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  568020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  568023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  568026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568055 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  568058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568077 */     GIR_RootConstrainSelectedInstOperands,
     /*  568078 */     // GIR_Coverage, 3532,
     /*  568078 */     GIR_EraseRootFromParent_Done,
     /*  568079 */   // Label 9285: @568079
     /*  568079 */   GIM_Try, /*On fail goto*//*Label 9286*/ GIMT_Encode4(568154), // Rule ID 3535 //
     /*  568084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  568095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  568098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  568101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568130 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  568133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568152 */     GIR_RootConstrainSelectedInstOperands,
     /*  568153 */     // GIR_Coverage, 3535,
     /*  568153 */     GIR_EraseRootFromParent_Done,
     /*  568154 */   // Label 9286: @568154
     /*  568154 */   GIM_Try, /*On fail goto*//*Label 9287*/ GIMT_Encode4(568229), // Rule ID 3536 //
     /*  568159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  568170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  568173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  568176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568205 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  568208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568227 */     GIR_RootConstrainSelectedInstOperands,
     /*  568228 */     // GIR_Coverage, 3536,
     /*  568228 */     GIR_EraseRootFromParent_Done,
     /*  568229 */   // Label 9287: @568229
     /*  568229 */   GIM_Try, /*On fail goto*//*Label 9288*/ GIMT_Encode4(568304), // Rule ID 3539 //
     /*  568234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  568245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  568248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  568251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568280 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  568283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568302 */     GIR_RootConstrainSelectedInstOperands,
     /*  568303 */     // GIR_Coverage, 3539,
     /*  568303 */     GIR_EraseRootFromParent_Done,
     /*  568304 */   // Label 9288: @568304
     /*  568304 */   GIM_Try, /*On fail goto*//*Label 9289*/ GIMT_Encode4(568379), // Rule ID 3540 //
     /*  568309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  568320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  568323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  568326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568355 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  568358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568377 */     GIR_RootConstrainSelectedInstOperands,
     /*  568378 */     // GIR_Coverage, 3540,
     /*  568378 */     GIR_EraseRootFromParent_Done,
     /*  568379 */   // Label 9289: @568379
     /*  568379 */   GIM_Try, /*On fail goto*//*Label 9290*/ GIMT_Encode4(568454), // Rule ID 3543 //
     /*  568384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  568387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  568395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  568398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  568401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568430 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  568433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568452 */     GIR_RootConstrainSelectedInstOperands,
     /*  568453 */     // GIR_Coverage, 3543,
     /*  568453 */     GIR_EraseRootFromParent_Done,
     /*  568454 */   // Label 9290: @568454
     /*  568454 */   GIM_Try, /*On fail goto*//*Label 9291*/ GIMT_Encode4(568529), // Rule ID 3544 //
     /*  568459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  568462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  568470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  568473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  568476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568505 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  568508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568527 */     GIR_RootConstrainSelectedInstOperands,
     /*  568528 */     // GIR_Coverage, 3544,
     /*  568528 */     GIR_EraseRootFromParent_Done,
     /*  568529 */   // Label 9291: @568529
     /*  568529 */   GIM_Try, /*On fail goto*//*Label 9292*/ GIMT_Encode4(568604), // Rule ID 3547 //
     /*  568534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  568537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  568545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  568548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  568551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568580 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  568583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568602 */     GIR_RootConstrainSelectedInstOperands,
     /*  568603 */     // GIR_Coverage, 3547,
     /*  568603 */     GIR_EraseRootFromParent_Done,
     /*  568604 */   // Label 9292: @568604
     /*  568604 */   GIM_Try, /*On fail goto*//*Label 9293*/ GIMT_Encode4(568679), // Rule ID 3548 //
     /*  568609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  568612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  568620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  568623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  568626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568655 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  568658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568677 */     GIR_RootConstrainSelectedInstOperands,
     /*  568678 */     // GIR_Coverage, 3548,
     /*  568678 */     GIR_EraseRootFromParent_Done,
     /*  568679 */   // Label 9293: @568679
     /*  568679 */   GIM_Try, /*On fail goto*//*Label 9294*/ GIMT_Encode4(568754), // Rule ID 3551 //
     /*  568684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  568687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  568695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  568698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  568701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568730 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  568733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568752 */     GIR_RootConstrainSelectedInstOperands,
     /*  568753 */     // GIR_Coverage, 3551,
     /*  568753 */     GIR_EraseRootFromParent_Done,
     /*  568754 */   // Label 9294: @568754
     /*  568754 */   GIM_Try, /*On fail goto*//*Label 9295*/ GIMT_Encode4(568829), // Rule ID 3552 //
     /*  568759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  568762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  568770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  568773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  568776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568805 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  568808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568827 */     GIR_RootConstrainSelectedInstOperands,
     /*  568828 */     // GIR_Coverage, 3552,
     /*  568828 */     GIR_EraseRootFromParent_Done,
     /*  568829 */   // Label 9295: @568829
     /*  568829 */   GIM_Try, /*On fail goto*//*Label 9296*/ GIMT_Encode4(568904), // Rule ID 3555 //
     /*  568834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  568837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  568845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  568848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  568851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568880 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  568883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568902 */     GIR_RootConstrainSelectedInstOperands,
     /*  568903 */     // GIR_Coverage, 3555,
     /*  568903 */     GIR_EraseRootFromParent_Done,
     /*  568904 */   // Label 9296: @568904
     /*  568904 */   GIM_Try, /*On fail goto*//*Label 9297*/ GIMT_Encode4(568979), // Rule ID 3556 //
     /*  568909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  568912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  568917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  568920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  568923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  568926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568955 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  568958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568977 */     GIR_RootConstrainSelectedInstOperands,
     /*  568978 */     // GIR_Coverage, 3556,
     /*  568978 */     GIR_EraseRootFromParent_Done,
     /*  568979 */   // Label 9297: @568979
     /*  568979 */   GIM_Try, /*On fail goto*//*Label 9298*/ GIMT_Encode4(569054), // Rule ID 3559 //
     /*  568984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  568992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  568995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  568998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  569001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  569004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569030 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  569033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569052 */     GIR_RootConstrainSelectedInstOperands,
     /*  569053 */     // GIR_Coverage, 3559,
     /*  569053 */     GIR_EraseRootFromParent_Done,
     /*  569054 */   // Label 9298: @569054
     /*  569054 */   GIM_Try, /*On fail goto*//*Label 9299*/ GIMT_Encode4(569129), // Rule ID 3560 //
     /*  569059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  569067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  569070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  569073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  569076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  569079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569105 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  569108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569127 */     GIR_RootConstrainSelectedInstOperands,
     /*  569128 */     // GIR_Coverage, 3560,
     /*  569128 */     GIR_EraseRootFromParent_Done,
     /*  569129 */   // Label 9299: @569129
     /*  569129 */   GIM_Try, /*On fail goto*//*Label 9300*/ GIMT_Encode4(569204), // Rule ID 3563 //
     /*  569134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  569142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  569145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  569148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  569151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  569154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569180 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  569183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569202 */     GIR_RootConstrainSelectedInstOperands,
     /*  569203 */     // GIR_Coverage, 3563,
     /*  569203 */     GIR_EraseRootFromParent_Done,
     /*  569204 */   // Label 9300: @569204
     /*  569204 */   GIM_Try, /*On fail goto*//*Label 9301*/ GIMT_Encode4(569279), // Rule ID 3564 //
     /*  569209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  569217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  569220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  569223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  569226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  569229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569255 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  569258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569277 */     GIR_RootConstrainSelectedInstOperands,
     /*  569278 */     // GIR_Coverage, 3564,
     /*  569278 */     GIR_EraseRootFromParent_Done,
     /*  569279 */   // Label 9301: @569279
     /*  569279 */   GIM_Try, /*On fail goto*//*Label 9302*/ GIMT_Encode4(569354), // Rule ID 3567 //
     /*  569284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  569292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  569295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  569298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  569301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  569304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569330 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  569333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569352 */     GIR_RootConstrainSelectedInstOperands,
     /*  569353 */     // GIR_Coverage, 3567,
     /*  569353 */     GIR_EraseRootFromParent_Done,
     /*  569354 */   // Label 9302: @569354
     /*  569354 */   GIM_Try, /*On fail goto*//*Label 9303*/ GIMT_Encode4(569429), // Rule ID 3568 //
     /*  569359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  569367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  569370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  569373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  569376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  569379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569405 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  569408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569427 */     GIR_RootConstrainSelectedInstOperands,
     /*  569428 */     // GIR_Coverage, 3568,
     /*  569428 */     GIR_EraseRootFromParent_Done,
     /*  569429 */   // Label 9303: @569429
     /*  569429 */   GIM_Try, /*On fail goto*//*Label 9304*/ GIMT_Encode4(569504), // Rule ID 3571 //
     /*  569434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  569442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  569445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  569448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  569451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  569454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569480 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  569483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569502 */     GIR_RootConstrainSelectedInstOperands,
     /*  569503 */     // GIR_Coverage, 3571,
     /*  569503 */     GIR_EraseRootFromParent_Done,
     /*  569504 */   // Label 9304: @569504
     /*  569504 */   GIM_Try, /*On fail goto*//*Label 9305*/ GIMT_Encode4(569579), // Rule ID 3572 //
     /*  569509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  569517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  569520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  569523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  569526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  569529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569555 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  569558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569577 */     GIR_RootConstrainSelectedInstOperands,
     /*  569578 */     // GIR_Coverage, 3572,
     /*  569578 */     GIR_EraseRootFromParent_Done,
     /*  569579 */   // Label 9305: @569579
     /*  569579 */   GIM_Try, /*On fail goto*//*Label 9306*/ GIMT_Encode4(569654), // Rule ID 3575 //
     /*  569584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  569592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  569595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  569598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  569601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  569604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569630 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  569633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569652 */     GIR_RootConstrainSelectedInstOperands,
     /*  569653 */     // GIR_Coverage, 3575,
     /*  569653 */     GIR_EraseRootFromParent_Done,
     /*  569654 */   // Label 9306: @569654
     /*  569654 */   GIM_Try, /*On fail goto*//*Label 9307*/ GIMT_Encode4(569729), // Rule ID 3576 //
     /*  569659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  569667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  569670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  569673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  569676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  569679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569705 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  569708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569727 */     GIR_RootConstrainSelectedInstOperands,
     /*  569728 */     // GIR_Coverage, 3576,
     /*  569728 */     GIR_EraseRootFromParent_Done,
     /*  569729 */   // Label 9307: @569729
     /*  569729 */   GIM_Try, /*On fail goto*//*Label 9308*/ GIMT_Encode4(569804), // Rule ID 3579 //
     /*  569734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  569742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  569745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  569748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  569751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  569754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569780 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  569783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569802 */     GIR_RootConstrainSelectedInstOperands,
     /*  569803 */     // GIR_Coverage, 3579,
     /*  569803 */     GIR_EraseRootFromParent_Done,
     /*  569804 */   // Label 9308: @569804
     /*  569804 */   GIM_Try, /*On fail goto*//*Label 9309*/ GIMT_Encode4(569879), // Rule ID 3580 //
     /*  569809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  569817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  569820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  569823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  569826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  569829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569855 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  569858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569877 */     GIR_RootConstrainSelectedInstOperands,
     /*  569878 */     // GIR_Coverage, 3580,
     /*  569878 */     GIR_EraseRootFromParent_Done,
     /*  569879 */   // Label 9309: @569879
     /*  569879 */   GIM_Try, /*On fail goto*//*Label 9310*/ GIMT_Encode4(569954), // Rule ID 3583 //
     /*  569884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  569892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  569895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  569898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  569901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  569904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569930 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  569933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569952 */     GIR_RootConstrainSelectedInstOperands,
     /*  569953 */     // GIR_Coverage, 3583,
     /*  569953 */     GIR_EraseRootFromParent_Done,
     /*  569954 */   // Label 9310: @569954
     /*  569954 */   GIM_Try, /*On fail goto*//*Label 9311*/ GIMT_Encode4(570029), // Rule ID 3584 //
     /*  569959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  569967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  569970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  569973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  569976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  569979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570005 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  570005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  570008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570027 */     GIR_RootConstrainSelectedInstOperands,
     /*  570028 */     // GIR_Coverage, 3584,
     /*  570028 */     GIR_EraseRootFromParent_Done,
     /*  570029 */   // Label 9311: @570029
     /*  570029 */   GIM_Try, /*On fail goto*//*Label 9312*/ GIMT_Encode4(570104), // Rule ID 3587 //
     /*  570034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  570045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  570048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  570051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  570054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570080 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  570080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  570083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570102 */     GIR_RootConstrainSelectedInstOperands,
     /*  570103 */     // GIR_Coverage, 3587,
     /*  570103 */     GIR_EraseRootFromParent_Done,
     /*  570104 */   // Label 9312: @570104
     /*  570104 */   GIM_Try, /*On fail goto*//*Label 9313*/ GIMT_Encode4(570179), // Rule ID 3588 //
     /*  570109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  570120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  570123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  570126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  570129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570155 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  570155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  570158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570177 */     GIR_RootConstrainSelectedInstOperands,
     /*  570178 */     // GIR_Coverage, 3588,
     /*  570178 */     GIR_EraseRootFromParent_Done,
     /*  570179 */   // Label 9313: @570179
     /*  570179 */   GIM_Try, /*On fail goto*//*Label 9314*/ GIMT_Encode4(570254), // Rule ID 3591 //
     /*  570184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  570195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  570198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  570201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  570204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570230 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  570230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  570233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570252 */     GIR_RootConstrainSelectedInstOperands,
     /*  570253 */     // GIR_Coverage, 3591,
     /*  570253 */     GIR_EraseRootFromParent_Done,
     /*  570254 */   // Label 9314: @570254
     /*  570254 */   GIM_Try, /*On fail goto*//*Label 9315*/ GIMT_Encode4(570329), // Rule ID 3592 //
     /*  570259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  570270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  570273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  570276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  570279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570305 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  570305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  570308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570327 */     GIR_RootConstrainSelectedInstOperands,
     /*  570328 */     // GIR_Coverage, 3592,
     /*  570328 */     GIR_EraseRootFromParent_Done,
     /*  570329 */   // Label 9315: @570329
     /*  570329 */   GIM_Try, /*On fail goto*//*Label 9316*/ GIMT_Encode4(570404), // Rule ID 3595 //
     /*  570334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  570345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  570348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  570351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  570354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570380 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  570380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  570383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570402 */     GIR_RootConstrainSelectedInstOperands,
     /*  570403 */     // GIR_Coverage, 3595,
     /*  570403 */     GIR_EraseRootFromParent_Done,
     /*  570404 */   // Label 9316: @570404
     /*  570404 */   GIM_Try, /*On fail goto*//*Label 9317*/ GIMT_Encode4(570479), // Rule ID 3596 //
     /*  570409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  570420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  570423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  570426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  570429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570455 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  570455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  570458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570477 */     GIR_RootConstrainSelectedInstOperands,
     /*  570478 */     // GIR_Coverage, 3596,
     /*  570478 */     GIR_EraseRootFromParent_Done,
     /*  570479 */   // Label 9317: @570479
     /*  570479 */   GIM_Try, /*On fail goto*//*Label 9318*/ GIMT_Encode4(570554), // Rule ID 3599 //
     /*  570484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  570495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  570498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  570501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  570504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570530 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  570530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  570533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570552 */     GIR_RootConstrainSelectedInstOperands,
     /*  570553 */     // GIR_Coverage, 3599,
     /*  570553 */     GIR_EraseRootFromParent_Done,
     /*  570554 */   // Label 9318: @570554
     /*  570554 */   GIM_Try, /*On fail goto*//*Label 9319*/ GIMT_Encode4(570629), // Rule ID 3600 //
     /*  570559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  570570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  570573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  570576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  570579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570605 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  570605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  570608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570627 */     GIR_RootConstrainSelectedInstOperands,
     /*  570628 */     // GIR_Coverage, 3600,
     /*  570628 */     GIR_EraseRootFromParent_Done,
     /*  570629 */   // Label 9319: @570629
     /*  570629 */   GIM_Try, /*On fail goto*//*Label 9320*/ GIMT_Encode4(570704), // Rule ID 3603 //
     /*  570634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  570645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  570648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  570651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  570654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570680 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  570683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570702 */     GIR_RootConstrainSelectedInstOperands,
     /*  570703 */     // GIR_Coverage, 3603,
     /*  570703 */     GIR_EraseRootFromParent_Done,
     /*  570704 */   // Label 9320: @570704
     /*  570704 */   GIM_Try, /*On fail goto*//*Label 9321*/ GIMT_Encode4(570779), // Rule ID 3604 //
     /*  570709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  570712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  570720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  570723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  570726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  570729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570755 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  570758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570777 */     GIR_RootConstrainSelectedInstOperands,
     /*  570778 */     // GIR_Coverage, 3604,
     /*  570778 */     GIR_EraseRootFromParent_Done,
     /*  570779 */   // Label 9321: @570779
     /*  570779 */   GIM_Try, /*On fail goto*//*Label 9322*/ GIMT_Encode4(570854), // Rule ID 3607 //
     /*  570784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  570795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  570798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  570801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  570804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570830 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  570833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570852 */     GIR_RootConstrainSelectedInstOperands,
     /*  570853 */     // GIR_Coverage, 3607,
     /*  570853 */     GIR_EraseRootFromParent_Done,
     /*  570854 */   // Label 9322: @570854
     /*  570854 */   GIM_Try, /*On fail goto*//*Label 9323*/ GIMT_Encode4(570929), // Rule ID 3608 //
     /*  570859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  570862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  570870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  570873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  570876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  570879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570905 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  570908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570927 */     GIR_RootConstrainSelectedInstOperands,
     /*  570928 */     // GIR_Coverage, 3608,
     /*  570928 */     GIR_EraseRootFromParent_Done,
     /*  570929 */   // Label 9323: @570929
     /*  570929 */   GIM_Try, /*On fail goto*//*Label 9324*/ GIMT_Encode4(571004), // Rule ID 3611 //
     /*  570934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  570942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  570945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  570948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  570951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  570954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570980 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  570983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571002 */     GIR_RootConstrainSelectedInstOperands,
     /*  571003 */     // GIR_Coverage, 3611,
     /*  571003 */     GIR_EraseRootFromParent_Done,
     /*  571004 */   // Label 9324: @571004
     /*  571004 */   GIM_Try, /*On fail goto*//*Label 9325*/ GIMT_Encode4(571079), // Rule ID 3612 //
     /*  571009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  571012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  571020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  571023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  571026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  571029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571055 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  571055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  571058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571077 */     GIR_RootConstrainSelectedInstOperands,
     /*  571078 */     // GIR_Coverage, 3612,
     /*  571078 */     GIR_EraseRootFromParent_Done,
     /*  571079 */   // Label 9325: @571079
     /*  571079 */   GIM_Try, /*On fail goto*//*Label 9326*/ GIMT_Encode4(571154), // Rule ID 3615 //
     /*  571084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  571087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  571095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  571098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  571101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  571104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571130 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  571130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  571133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571152 */     GIR_RootConstrainSelectedInstOperands,
     /*  571153 */     // GIR_Coverage, 3615,
     /*  571153 */     GIR_EraseRootFromParent_Done,
     /*  571154 */   // Label 9326: @571154
     /*  571154 */   GIM_Try, /*On fail goto*//*Label 9327*/ GIMT_Encode4(571229), // Rule ID 3616 //
     /*  571159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  571162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  571170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  571173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  571176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  571179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571205 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  571205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  571208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571227 */     GIR_RootConstrainSelectedInstOperands,
     /*  571228 */     // GIR_Coverage, 3616,
     /*  571228 */     GIR_EraseRootFromParent_Done,
     /*  571229 */   // Label 9327: @571229
     /*  571229 */   GIM_Try, /*On fail goto*//*Label 9328*/ GIMT_Encode4(571304), // Rule ID 3619 //
     /*  571234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  571245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  571248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  571251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  571254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571280 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  571283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571302 */     GIR_RootConstrainSelectedInstOperands,
     /*  571303 */     // GIR_Coverage, 3619,
     /*  571303 */     GIR_EraseRootFromParent_Done,
     /*  571304 */   // Label 9328: @571304
     /*  571304 */   GIM_Try, /*On fail goto*//*Label 9329*/ GIMT_Encode4(571379), // Rule ID 3620 //
     /*  571309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  571320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  571323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  571326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  571329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571355 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  571358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571377 */     GIR_RootConstrainSelectedInstOperands,
     /*  571378 */     // GIR_Coverage, 3620,
     /*  571378 */     GIR_EraseRootFromParent_Done,
     /*  571379 */   // Label 9329: @571379
     /*  571379 */   GIM_Try, /*On fail goto*//*Label 9330*/ GIMT_Encode4(571454), // Rule ID 3623 //
     /*  571384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  571395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  571398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  571401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  571404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571430 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  571433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571452 */     GIR_RootConstrainSelectedInstOperands,
     /*  571453 */     // GIR_Coverage, 3623,
     /*  571453 */     GIR_EraseRootFromParent_Done,
     /*  571454 */   // Label 9330: @571454
     /*  571454 */   GIM_Try, /*On fail goto*//*Label 9331*/ GIMT_Encode4(571529), // Rule ID 3624 //
     /*  571459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  571470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  571473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  571476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  571479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571505 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  571508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571527 */     GIR_RootConstrainSelectedInstOperands,
     /*  571528 */     // GIR_Coverage, 3624,
     /*  571528 */     GIR_EraseRootFromParent_Done,
     /*  571529 */   // Label 9331: @571529
     /*  571529 */   GIM_Try, /*On fail goto*//*Label 9332*/ GIMT_Encode4(571604), // Rule ID 3627 //
     /*  571534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  571545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  571548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  571551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  571554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571580 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  571583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571602 */     GIR_RootConstrainSelectedInstOperands,
     /*  571603 */     // GIR_Coverage, 3627,
     /*  571603 */     GIR_EraseRootFromParent_Done,
     /*  571604 */   // Label 9332: @571604
     /*  571604 */   GIM_Try, /*On fail goto*//*Label 9333*/ GIMT_Encode4(571679), // Rule ID 3628 //
     /*  571609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  571620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  571623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  571626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  571629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571655 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11570:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  571658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571677 */     GIR_RootConstrainSelectedInstOperands,
     /*  571678 */     // GIR_Coverage, 3628,
     /*  571678 */     GIR_EraseRootFromParent_Done,
     /*  571679 */   // Label 9333: @571679
     /*  571679 */   GIM_Try, /*On fail goto*//*Label 9334*/ GIMT_Encode4(571754), // Rule ID 3631 //
     /*  571684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  571695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  571698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  571701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  571704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571730 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  571733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571752 */     GIR_RootConstrainSelectedInstOperands,
     /*  571753 */     // GIR_Coverage, 3631,
     /*  571753 */     GIR_EraseRootFromParent_Done,
     /*  571754 */   // Label 9334: @571754
     /*  571754 */   GIM_Try, /*On fail goto*//*Label 9335*/ GIMT_Encode4(571829), // Rule ID 3632 //
     /*  571759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  571770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  571773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  571776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  571779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571805 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  571808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571827 */     GIR_RootConstrainSelectedInstOperands,
     /*  571828 */     // GIR_Coverage, 3632,
     /*  571828 */     GIR_EraseRootFromParent_Done,
     /*  571829 */   // Label 9335: @571829
     /*  571829 */   GIM_Try, /*On fail goto*//*Label 9336*/ GIMT_Encode4(571904), // Rule ID 3635 //
     /*  571834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  571845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  571848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  571851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  571854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571880 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  571883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571902 */     GIR_RootConstrainSelectedInstOperands,
     /*  571903 */     // GIR_Coverage, 3635,
     /*  571903 */     GIR_EraseRootFromParent_Done,
     /*  571904 */   // Label 9336: @571904
     /*  571904 */   GIM_Try, /*On fail goto*//*Label 9337*/ GIMT_Encode4(571979), // Rule ID 3636 //
     /*  571909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  571920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  571923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  571926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  571929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571955 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  571958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571977 */     GIR_RootConstrainSelectedInstOperands,
     /*  571978 */     // GIR_Coverage, 3636,
     /*  571978 */     GIR_EraseRootFromParent_Done,
     /*  571979 */   // Label 9337: @571979
     /*  571979 */   GIM_Try, /*On fail goto*//*Label 9338*/ GIMT_Encode4(572054), // Rule ID 3639 //
     /*  571984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  571992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  571995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  571998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  572001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572030 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  572033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572052 */     GIR_RootConstrainSelectedInstOperands,
     /*  572053 */     // GIR_Coverage, 3639,
     /*  572053 */     GIR_EraseRootFromParent_Done,
     /*  572054 */   // Label 9338: @572054
     /*  572054 */   GIM_Try, /*On fail goto*//*Label 9339*/ GIMT_Encode4(572129), // Rule ID 3640 //
     /*  572059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  572070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  572073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  572076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572105 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  572108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572127 */     GIR_RootConstrainSelectedInstOperands,
     /*  572128 */     // GIR_Coverage, 3640,
     /*  572128 */     GIR_EraseRootFromParent_Done,
     /*  572129 */   // Label 9339: @572129
     /*  572129 */   GIM_Try, /*On fail goto*//*Label 9340*/ GIMT_Encode4(572204), // Rule ID 3643 //
     /*  572134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  572145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  572148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  572151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572180 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  572183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572202 */     GIR_RootConstrainSelectedInstOperands,
     /*  572203 */     // GIR_Coverage, 3643,
     /*  572203 */     GIR_EraseRootFromParent_Done,
     /*  572204 */   // Label 9340: @572204
     /*  572204 */   GIM_Try, /*On fail goto*//*Label 9341*/ GIMT_Encode4(572279), // Rule ID 3644 //
     /*  572209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  572220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  572223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  572226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572255 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  572258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572277 */     GIR_RootConstrainSelectedInstOperands,
     /*  572278 */     // GIR_Coverage, 3644,
     /*  572278 */     GIR_EraseRootFromParent_Done,
     /*  572279 */   // Label 9341: @572279
     /*  572279 */   GIM_Try, /*On fail goto*//*Label 9342*/ GIMT_Encode4(572354), // Rule ID 3647 //
     /*  572284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  572295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  572298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  572301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572330 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  572333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572352 */     GIR_RootConstrainSelectedInstOperands,
     /*  572353 */     // GIR_Coverage, 3647,
     /*  572353 */     GIR_EraseRootFromParent_Done,
     /*  572354 */   // Label 9342: @572354
     /*  572354 */   GIM_Try, /*On fail goto*//*Label 9343*/ GIMT_Encode4(572429), // Rule ID 3648 //
     /*  572359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  572370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  572373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  572376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572405 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11570:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  572408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572427 */     GIR_RootConstrainSelectedInstOperands,
     /*  572428 */     // GIR_Coverage, 3648,
     /*  572428 */     GIR_EraseRootFromParent_Done,
     /*  572429 */   // Label 9343: @572429
     /*  572429 */   GIM_Try, /*On fail goto*//*Label 9344*/ GIMT_Encode4(572504), // Rule ID 3651 //
     /*  572434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  572445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  572448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  572451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572480 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  572483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572502 */     GIR_RootConstrainSelectedInstOperands,
     /*  572503 */     // GIR_Coverage, 3651,
     /*  572503 */     GIR_EraseRootFromParent_Done,
     /*  572504 */   // Label 9344: @572504
     /*  572504 */   GIM_Try, /*On fail goto*//*Label 9345*/ GIMT_Encode4(572579), // Rule ID 3652 //
     /*  572509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  572520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  572523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  572526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572555 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  572558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572577 */     GIR_RootConstrainSelectedInstOperands,
     /*  572578 */     // GIR_Coverage, 3652,
     /*  572578 */     GIR_EraseRootFromParent_Done,
     /*  572579 */   // Label 9345: @572579
     /*  572579 */   GIM_Try, /*On fail goto*//*Label 9346*/ GIMT_Encode4(572654), // Rule ID 3655 //
     /*  572584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  572595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  572598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  572601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572630 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  572633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572652 */     GIR_RootConstrainSelectedInstOperands,
     /*  572653 */     // GIR_Coverage, 3655,
     /*  572653 */     GIR_EraseRootFromParent_Done,
     /*  572654 */   // Label 9346: @572654
     /*  572654 */   GIM_Try, /*On fail goto*//*Label 9347*/ GIMT_Encode4(572729), // Rule ID 3656 //
     /*  572659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  572670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  572673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  572676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572705 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  572708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572727 */     GIR_RootConstrainSelectedInstOperands,
     /*  572728 */     // GIR_Coverage, 3656,
     /*  572728 */     GIR_EraseRootFromParent_Done,
     /*  572729 */   // Label 9347: @572729
     /*  572729 */   GIM_Try, /*On fail goto*//*Label 9348*/ GIMT_Encode4(572804), // Rule ID 3659 //
     /*  572734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  572745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  572748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  572751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572780 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  572783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572802 */     GIR_RootConstrainSelectedInstOperands,
     /*  572803 */     // GIR_Coverage, 3659,
     /*  572803 */     GIR_EraseRootFromParent_Done,
     /*  572804 */   // Label 9348: @572804
     /*  572804 */   GIM_Try, /*On fail goto*//*Label 9349*/ GIMT_Encode4(572879), // Rule ID 3660 //
     /*  572809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  572820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  572823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  572826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572855 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  572858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572877 */     GIR_RootConstrainSelectedInstOperands,
     /*  572878 */     // GIR_Coverage, 3660,
     /*  572878 */     GIR_EraseRootFromParent_Done,
     /*  572879 */   // Label 9349: @572879
     /*  572879 */   GIM_Try, /*On fail goto*//*Label 9350*/ GIMT_Encode4(572954), // Rule ID 3663 //
     /*  572884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  572895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  572898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  572901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572930 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  572933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572952 */     GIR_RootConstrainSelectedInstOperands,
     /*  572953 */     // GIR_Coverage, 3663,
     /*  572953 */     GIR_EraseRootFromParent_Done,
     /*  572954 */   // Label 9350: @572954
     /*  572954 */   GIM_Try, /*On fail goto*//*Label 9351*/ GIMT_Encode4(573029), // Rule ID 3664 //
     /*  572959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  572967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  572970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  572973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  572976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573005 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11570:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  573005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  573008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573027 */     GIR_RootConstrainSelectedInstOperands,
     /*  573028 */     // GIR_Coverage, 3664,
     /*  573028 */     GIR_EraseRootFromParent_Done,
     /*  573029 */   // Label 9351: @573029
     /*  573029 */   GIM_Try, /*On fail goto*//*Label 9352*/ GIMT_Encode4(573104), // Rule ID 3667 //
     /*  573034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  573037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  573045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  573048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  573051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573080 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  573080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  573083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573102 */     GIR_RootConstrainSelectedInstOperands,
     /*  573103 */     // GIR_Coverage, 3667,
     /*  573103 */     GIR_EraseRootFromParent_Done,
     /*  573104 */   // Label 9352: @573104
     /*  573104 */   GIM_Try, /*On fail goto*//*Label 9353*/ GIMT_Encode4(573179), // Rule ID 3668 //
     /*  573109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  573112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  573120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  573123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  573126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573155 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11570:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  573155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  573158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573177 */     GIR_RootConstrainSelectedInstOperands,
     /*  573178 */     // GIR_Coverage, 3668,
     /*  573178 */     GIR_EraseRootFromParent_Done,
     /*  573179 */   // Label 9353: @573179
     /*  573179 */   GIM_Try, /*On fail goto*//*Label 9354*/ GIMT_Encode4(573254), // Rule ID 3671 //
     /*  573184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  573187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  573195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  573198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  573201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573230 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  573230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  573233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573252 */     GIR_RootConstrainSelectedInstOperands,
     /*  573253 */     // GIR_Coverage, 3671,
     /*  573253 */     GIR_EraseRootFromParent_Done,
     /*  573254 */   // Label 9354: @573254
     /*  573254 */   GIM_Try, /*On fail goto*//*Label 9355*/ GIMT_Encode4(573329), // Rule ID 3672 //
     /*  573259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  573262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  573270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  573273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  573276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573305 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11570:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  573305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  573308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573327 */     GIR_RootConstrainSelectedInstOperands,
     /*  573328 */     // GIR_Coverage, 3672,
     /*  573328 */     GIR_EraseRootFromParent_Done,
     /*  573329 */   // Label 9355: @573329
     /*  573329 */   GIM_Try, /*On fail goto*//*Label 9356*/ GIMT_Encode4(573404), // Rule ID 3675 //
     /*  573334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  573337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  573345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  573348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  573351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573380 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  573380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  573383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573402 */     GIR_RootConstrainSelectedInstOperands,
     /*  573403 */     // GIR_Coverage, 3675,
     /*  573403 */     GIR_EraseRootFromParent_Done,
     /*  573404 */   // Label 9356: @573404
     /*  573404 */   GIM_Try, /*On fail goto*//*Label 9357*/ GIMT_Encode4(573479), // Rule ID 3676 //
     /*  573409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  573412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  573417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  573420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  573423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  573426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573455 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11570:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  573455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  573458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573477 */     GIR_RootConstrainSelectedInstOperands,
     /*  573478 */     // GIR_Coverage, 3676,
     /*  573478 */     GIR_EraseRootFromParent_Done,
     /*  573479 */   // Label 9357: @573479
     /*  573479 */   GIM_Try, /*On fail goto*//*Label 9358*/ GIMT_Encode4(573554), // Rule ID 3679 //
     /*  573484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  573492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  573495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  573498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  573501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  573504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573530 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  573533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573552 */     GIR_RootConstrainSelectedInstOperands,
     /*  573553 */     // GIR_Coverage, 3679,
     /*  573553 */     GIR_EraseRootFromParent_Done,
     /*  573554 */   // Label 9358: @573554
     /*  573554 */   GIM_Try, /*On fail goto*//*Label 9359*/ GIMT_Encode4(573629), // Rule ID 3680 //
     /*  573559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  573567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  573570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  573573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  573576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  573579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573605 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  573608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573627 */     GIR_RootConstrainSelectedInstOperands,
     /*  573628 */     // GIR_Coverage, 3680,
     /*  573628 */     GIR_EraseRootFromParent_Done,
     /*  573629 */   // Label 9359: @573629
     /*  573629 */   GIM_Try, /*On fail goto*//*Label 9360*/ GIMT_Encode4(573704), // Rule ID 3683 //
     /*  573634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  573642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  573645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  573648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  573651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  573654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573680 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  573683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573702 */     GIR_RootConstrainSelectedInstOperands,
     /*  573703 */     // GIR_Coverage, 3683,
     /*  573703 */     GIR_EraseRootFromParent_Done,
     /*  573704 */   // Label 9360: @573704
     /*  573704 */   GIM_Try, /*On fail goto*//*Label 9361*/ GIMT_Encode4(573779), // Rule ID 3684 //
     /*  573709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  573717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  573720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  573723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  573726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  573729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573755 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  573758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573777 */     GIR_RootConstrainSelectedInstOperands,
     /*  573778 */     // GIR_Coverage, 3684,
     /*  573778 */     GIR_EraseRootFromParent_Done,
     /*  573779 */   // Label 9361: @573779
     /*  573779 */   GIM_Try, /*On fail goto*//*Label 9362*/ GIMT_Encode4(573854), // Rule ID 3687 //
     /*  573784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  573792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  573795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  573798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  573801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  573804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573830 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  573833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573852 */     GIR_RootConstrainSelectedInstOperands,
     /*  573853 */     // GIR_Coverage, 3687,
     /*  573853 */     GIR_EraseRootFromParent_Done,
     /*  573854 */   // Label 9362: @573854
     /*  573854 */   GIM_Try, /*On fail goto*//*Label 9363*/ GIMT_Encode4(573929), // Rule ID 3688 //
     /*  573859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  573867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  573870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  573873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  573876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  573879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573905 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  573908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573927 */     GIR_RootConstrainSelectedInstOperands,
     /*  573928 */     // GIR_Coverage, 3688,
     /*  573928 */     GIR_EraseRootFromParent_Done,
     /*  573929 */   // Label 9363: @573929
     /*  573929 */   GIM_Try, /*On fail goto*//*Label 9364*/ GIMT_Encode4(574004), // Rule ID 3691 //
     /*  573934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  573942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  573945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  573948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  573951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  573954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573980 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  573983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574002 */     GIR_RootConstrainSelectedInstOperands,
     /*  574003 */     // GIR_Coverage, 3691,
     /*  574003 */     GIR_EraseRootFromParent_Done,
     /*  574004 */   // Label 9364: @574004
     /*  574004 */   GIM_Try, /*On fail goto*//*Label 9365*/ GIMT_Encode4(574079), // Rule ID 3692 //
     /*  574009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  574020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  574023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  574026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  574029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574055 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  574055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  574058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574077 */     GIR_RootConstrainSelectedInstOperands,
     /*  574078 */     // GIR_Coverage, 3692,
     /*  574078 */     GIR_EraseRootFromParent_Done,
     /*  574079 */   // Label 9365: @574079
     /*  574079 */   GIM_Try, /*On fail goto*//*Label 9366*/ GIMT_Encode4(574154), // Rule ID 3695 //
     /*  574084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  574095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  574098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  574101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  574104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574130 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  574130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  574133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574152 */     GIR_RootConstrainSelectedInstOperands,
     /*  574153 */     // GIR_Coverage, 3695,
     /*  574153 */     GIR_EraseRootFromParent_Done,
     /*  574154 */   // Label 9366: @574154
     /*  574154 */   GIM_Try, /*On fail goto*//*Label 9367*/ GIMT_Encode4(574229), // Rule ID 3696 //
     /*  574159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  574170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  574173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  574176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  574179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574205 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  574205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  574208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574227 */     GIR_RootConstrainSelectedInstOperands,
     /*  574228 */     // GIR_Coverage, 3696,
     /*  574228 */     GIR_EraseRootFromParent_Done,
     /*  574229 */   // Label 9367: @574229
     /*  574229 */   GIM_Try, /*On fail goto*//*Label 9368*/ GIMT_Encode4(574304), // Rule ID 3699 //
     /*  574234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  574245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  574248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  574251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  574254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574280 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  574280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  574283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574302 */     GIR_RootConstrainSelectedInstOperands,
     /*  574303 */     // GIR_Coverage, 3699,
     /*  574303 */     GIR_EraseRootFromParent_Done,
     /*  574304 */   // Label 9368: @574304
     /*  574304 */   GIM_Try, /*On fail goto*//*Label 9369*/ GIMT_Encode4(574379), // Rule ID 3700 //
     /*  574309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  574320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  574323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  574326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  574329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574355 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  574355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  574358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574377 */     GIR_RootConstrainSelectedInstOperands,
     /*  574378 */     // GIR_Coverage, 3700,
     /*  574378 */     GIR_EraseRootFromParent_Done,
     /*  574379 */   // Label 9369: @574379
     /*  574379 */   GIM_Try, /*On fail goto*//*Label 9370*/ GIMT_Encode4(574454), // Rule ID 3703 //
     /*  574384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  574395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  574398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  574401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  574404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574430 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  574433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574452 */     GIR_RootConstrainSelectedInstOperands,
     /*  574453 */     // GIR_Coverage, 3703,
     /*  574453 */     GIR_EraseRootFromParent_Done,
     /*  574454 */   // Label 9370: @574454
     /*  574454 */   GIM_Try, /*On fail goto*//*Label 9371*/ GIMT_Encode4(574529), // Rule ID 3704 //
     /*  574459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  574470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  574473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  574476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  574479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574505 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  574508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574527 */     GIR_RootConstrainSelectedInstOperands,
     /*  574528 */     // GIR_Coverage, 3704,
     /*  574528 */     GIR_EraseRootFromParent_Done,
     /*  574529 */   // Label 9371: @574529
     /*  574529 */   GIM_Try, /*On fail goto*//*Label 9372*/ GIMT_Encode4(574604), // Rule ID 3707 //
     /*  574534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  574545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  574548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  574551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  574554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574580 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  574583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574602 */     GIR_RootConstrainSelectedInstOperands,
     /*  574603 */     // GIR_Coverage, 3707,
     /*  574603 */     GIR_EraseRootFromParent_Done,
     /*  574604 */   // Label 9372: @574604
     /*  574604 */   GIM_Try, /*On fail goto*//*Label 9373*/ GIMT_Encode4(574679), // Rule ID 3708 //
     /*  574609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  574620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  574623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  574626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  574629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574655 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  574658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574677 */     GIR_RootConstrainSelectedInstOperands,
     /*  574678 */     // GIR_Coverage, 3708,
     /*  574678 */     GIR_EraseRootFromParent_Done,
     /*  574679 */   // Label 9373: @574679
     /*  574679 */   GIM_Try, /*On fail goto*//*Label 9374*/ GIMT_Encode4(574754), // Rule ID 3711 //
     /*  574684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  574695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  574698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  574701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  574704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574730 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  574733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574752 */     GIR_RootConstrainSelectedInstOperands,
     /*  574753 */     // GIR_Coverage, 3711,
     /*  574753 */     GIR_EraseRootFromParent_Done,
     /*  574754 */   // Label 9374: @574754
     /*  574754 */   GIM_Try, /*On fail goto*//*Label 9375*/ GIMT_Encode4(574829), // Rule ID 3712 //
     /*  574759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  574770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  574773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  574776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  574779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574805 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  574808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574827 */     GIR_RootConstrainSelectedInstOperands,
     /*  574828 */     // GIR_Coverage, 3712,
     /*  574828 */     GIR_EraseRootFromParent_Done,
     /*  574829 */   // Label 9375: @574829
     /*  574829 */   GIM_Try, /*On fail goto*//*Label 9376*/ GIMT_Encode4(574904), // Rule ID 3715 //
     /*  574834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  574845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  574848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  574851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  574854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574880 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  574883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574902 */     GIR_RootConstrainSelectedInstOperands,
     /*  574903 */     // GIR_Coverage, 3715,
     /*  574903 */     GIR_EraseRootFromParent_Done,
     /*  574904 */   // Label 9376: @574904
     /*  574904 */   GIM_Try, /*On fail goto*//*Label 9377*/ GIMT_Encode4(574979), // Rule ID 3716 //
     /*  574909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  574920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  574923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  574926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  574929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574955 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  574958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574977 */     GIR_RootConstrainSelectedInstOperands,
     /*  574978 */     // GIR_Coverage, 3716,
     /*  574978 */     GIR_EraseRootFromParent_Done,
     /*  574979 */   // Label 9377: @574979
     /*  574979 */   GIM_Try, /*On fail goto*//*Label 9378*/ GIMT_Encode4(575054), // Rule ID 3719 //
     /*  574984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  574992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  574995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  574998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  575001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  575004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575030 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  575030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  575033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575052 */     GIR_RootConstrainSelectedInstOperands,
     /*  575053 */     // GIR_Coverage, 3719,
     /*  575053 */     GIR_EraseRootFromParent_Done,
     /*  575054 */   // Label 9378: @575054
     /*  575054 */   GIM_Try, /*On fail goto*//*Label 9379*/ GIMT_Encode4(575129), // Rule ID 3720 //
     /*  575059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  575070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  575073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  575076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  575079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575105 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  575105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  575108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575127 */     GIR_RootConstrainSelectedInstOperands,
     /*  575128 */     // GIR_Coverage, 3720,
     /*  575128 */     GIR_EraseRootFromParent_Done,
     /*  575129 */   // Label 9379: @575129
     /*  575129 */   GIM_Try, /*On fail goto*//*Label 9380*/ GIMT_Encode4(575204), // Rule ID 3723 //
     /*  575134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  575137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  575145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  575148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  575151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  575154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575180 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  575183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575202 */     GIR_RootConstrainSelectedInstOperands,
     /*  575203 */     // GIR_Coverage, 3723,
     /*  575203 */     GIR_EraseRootFromParent_Done,
     /*  575204 */   // Label 9380: @575204
     /*  575204 */   GIM_Try, /*On fail goto*//*Label 9381*/ GIMT_Encode4(575279), // Rule ID 3724 //
     /*  575209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  575212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  575220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  575223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  575226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  575229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575255 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  575258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575277 */     GIR_RootConstrainSelectedInstOperands,
     /*  575278 */     // GIR_Coverage, 3724,
     /*  575278 */     GIR_EraseRootFromParent_Done,
     /*  575279 */   // Label 9381: @575279
     /*  575279 */   GIM_Try, /*On fail goto*//*Label 9382*/ GIMT_Encode4(575354), // Rule ID 3727 //
     /*  575284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  575287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  575295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  575298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  575301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  575304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575330 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  575333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575352 */     GIR_RootConstrainSelectedInstOperands,
     /*  575353 */     // GIR_Coverage, 3727,
     /*  575353 */     GIR_EraseRootFromParent_Done,
     /*  575354 */   // Label 9382: @575354
     /*  575354 */   GIM_Try, /*On fail goto*//*Label 9383*/ GIMT_Encode4(575429), // Rule ID 3728 //
     /*  575359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  575362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  575370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  575373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  575376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  575379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575405 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  575408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575427 */     GIR_RootConstrainSelectedInstOperands,
     /*  575428 */     // GIR_Coverage, 3728,
     /*  575428 */     GIR_EraseRootFromParent_Done,
     /*  575429 */   // Label 9383: @575429
     /*  575429 */   GIM_Try, /*On fail goto*//*Label 9384*/ GIMT_Encode4(575504), // Rule ID 3731 //
     /*  575434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  575437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  575445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  575448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  575451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  575454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575480 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  575483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575502 */     GIR_RootConstrainSelectedInstOperands,
     /*  575503 */     // GIR_Coverage, 3731,
     /*  575503 */     GIR_EraseRootFromParent_Done,
     /*  575504 */   // Label 9384: @575504
     /*  575504 */   GIM_Try, /*On fail goto*//*Label 9385*/ GIMT_Encode4(575579), // Rule ID 3732 //
     /*  575509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  575512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  575520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  575523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  575526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  575529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575555 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  575558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575577 */     GIR_RootConstrainSelectedInstOperands,
     /*  575578 */     // GIR_Coverage, 3732,
     /*  575578 */     GIR_EraseRootFromParent_Done,
     /*  575579 */   // Label 9385: @575579
     /*  575579 */   GIM_Try, /*On fail goto*//*Label 9386*/ GIMT_Encode4(575654), // Rule ID 3735 //
     /*  575584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  575587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  575595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  575598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  575601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  575604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575630 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  575633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575652 */     GIR_RootConstrainSelectedInstOperands,
     /*  575653 */     // GIR_Coverage, 3735,
     /*  575653 */     GIR_EraseRootFromParent_Done,
     /*  575654 */   // Label 9386: @575654
     /*  575654 */   GIM_Try, /*On fail goto*//*Label 9387*/ GIMT_Encode4(575729), // Rule ID 3736 //
     /*  575659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  575662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  575670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  575673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  575676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  575679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575705 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  575708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575727 */     GIR_RootConstrainSelectedInstOperands,
     /*  575728 */     // GIR_Coverage, 3736,
     /*  575728 */     GIR_EraseRootFromParent_Done,
     /*  575729 */   // Label 9387: @575729
     /*  575729 */   GIM_Try, /*On fail goto*//*Label 9388*/ GIMT_Encode4(575804), // Rule ID 3739 //
     /*  575734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  575745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  575748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  575751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  575754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575780 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  575783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575802 */     GIR_RootConstrainSelectedInstOperands,
     /*  575803 */     // GIR_Coverage, 3739,
     /*  575803 */     GIR_EraseRootFromParent_Done,
     /*  575804 */   // Label 9388: @575804
     /*  575804 */   GIM_Try, /*On fail goto*//*Label 9389*/ GIMT_Encode4(575879), // Rule ID 3740 //
     /*  575809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  575820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  575823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  575826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575855 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  575858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575877 */     GIR_RootConstrainSelectedInstOperands,
     /*  575878 */     // GIR_Coverage, 3740,
     /*  575878 */     GIR_EraseRootFromParent_Done,
     /*  575879 */   // Label 9389: @575879
     /*  575879 */   GIM_Try, /*On fail goto*//*Label 9390*/ GIMT_Encode4(575954), // Rule ID 3743 //
     /*  575884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  575895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  575898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  575901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  575904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575930 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  575933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575952 */     GIR_RootConstrainSelectedInstOperands,
     /*  575953 */     // GIR_Coverage, 3743,
     /*  575953 */     GIR_EraseRootFromParent_Done,
     /*  575954 */   // Label 9390: @575954
     /*  575954 */   GIM_Try, /*On fail goto*//*Label 9391*/ GIMT_Encode4(576029), // Rule ID 3744 //
     /*  575959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  575967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  575970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  575973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  575976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576005 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  576008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576027 */     GIR_RootConstrainSelectedInstOperands,
     /*  576028 */     // GIR_Coverage, 3744,
     /*  576028 */     GIR_EraseRootFromParent_Done,
     /*  576029 */   // Label 9391: @576029
     /*  576029 */   GIM_Try, /*On fail goto*//*Label 9392*/ GIMT_Encode4(576104), // Rule ID 3747 //
     /*  576034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  576045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  576048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  576051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  576054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  576083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576102 */     GIR_RootConstrainSelectedInstOperands,
     /*  576103 */     // GIR_Coverage, 3747,
     /*  576103 */     GIR_EraseRootFromParent_Done,
     /*  576104 */   // Label 9392: @576104
     /*  576104 */   GIM_Try, /*On fail goto*//*Label 9393*/ GIMT_Encode4(576179), // Rule ID 3748 //
     /*  576109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  576120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  576123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  576126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  576129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576155 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  576158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576177 */     GIR_RootConstrainSelectedInstOperands,
     /*  576178 */     // GIR_Coverage, 3748,
     /*  576178 */     GIR_EraseRootFromParent_Done,
     /*  576179 */   // Label 9393: @576179
     /*  576179 */   GIM_Try, /*On fail goto*//*Label 9394*/ GIMT_Encode4(576254), // Rule ID 3751 //
     /*  576184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  576195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  576198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  576201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  576204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576230 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  576233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576252 */     GIR_RootConstrainSelectedInstOperands,
     /*  576253 */     // GIR_Coverage, 3751,
     /*  576253 */     GIR_EraseRootFromParent_Done,
     /*  576254 */   // Label 9394: @576254
     /*  576254 */   GIM_Try, /*On fail goto*//*Label 9395*/ GIMT_Encode4(576329), // Rule ID 3752 //
     /*  576259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  576270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  576273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  576276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  576279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576305 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  576308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576327 */     GIR_RootConstrainSelectedInstOperands,
     /*  576328 */     // GIR_Coverage, 3752,
     /*  576328 */     GIR_EraseRootFromParent_Done,
     /*  576329 */   // Label 9395: @576329
     /*  576329 */   GIM_Try, /*On fail goto*//*Label 9396*/ GIMT_Encode4(576404), // Rule ID 3755 //
     /*  576334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  576345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  576348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  576351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  576354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576380 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  576383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576402 */     GIR_RootConstrainSelectedInstOperands,
     /*  576403 */     // GIR_Coverage, 3755,
     /*  576403 */     GIR_EraseRootFromParent_Done,
     /*  576404 */   // Label 9396: @576404
     /*  576404 */   GIM_Try, /*On fail goto*//*Label 9397*/ GIMT_Encode4(576479), // Rule ID 3756 //
     /*  576409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  576420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  576423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  576426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  576429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576455 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  576458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576477 */     GIR_RootConstrainSelectedInstOperands,
     /*  576478 */     // GIR_Coverage, 3756,
     /*  576478 */     GIR_EraseRootFromParent_Done,
     /*  576479 */   // Label 9397: @576479
     /*  576479 */   GIM_Try, /*On fail goto*//*Label 9398*/ GIMT_Encode4(576554), // Rule ID 3759 //
     /*  576484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  576495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  576498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  576501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  576504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576530 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  576533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576552 */     GIR_RootConstrainSelectedInstOperands,
     /*  576553 */     // GIR_Coverage, 3759,
     /*  576553 */     GIR_EraseRootFromParent_Done,
     /*  576554 */   // Label 9398: @576554
     /*  576554 */   GIM_Try, /*On fail goto*//*Label 9399*/ GIMT_Encode4(576629), // Rule ID 3760 //
     /*  576559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  576570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  576573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  576576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  576579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576605 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  576608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576627 */     GIR_RootConstrainSelectedInstOperands,
     /*  576628 */     // GIR_Coverage, 3760,
     /*  576628 */     GIR_EraseRootFromParent_Done,
     /*  576629 */   // Label 9399: @576629
     /*  576629 */   GIM_Try, /*On fail goto*//*Label 9400*/ GIMT_Encode4(576704), // Rule ID 3763 //
     /*  576634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  576645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  576648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  576651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  576654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576680 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  576683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576702 */     GIR_RootConstrainSelectedInstOperands,
     /*  576703 */     // GIR_Coverage, 3763,
     /*  576703 */     GIR_EraseRootFromParent_Done,
     /*  576704 */   // Label 9400: @576704
     /*  576704 */   GIM_Try, /*On fail goto*//*Label 9401*/ GIMT_Encode4(576779), // Rule ID 3764 //
     /*  576709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  576720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  576723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  576726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  576729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576755 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  576758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576777 */     GIR_RootConstrainSelectedInstOperands,
     /*  576778 */     // GIR_Coverage, 3764,
     /*  576778 */     GIR_EraseRootFromParent_Done,
     /*  576779 */   // Label 9401: @576779
     /*  576779 */   GIM_Try, /*On fail goto*//*Label 9402*/ GIMT_Encode4(576854), // Rule ID 3767 //
     /*  576784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  576795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  576798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  576801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  576804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576830 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  576833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576852 */     GIR_RootConstrainSelectedInstOperands,
     /*  576853 */     // GIR_Coverage, 3767,
     /*  576853 */     GIR_EraseRootFromParent_Done,
     /*  576854 */   // Label 9402: @576854
     /*  576854 */   GIM_Try, /*On fail goto*//*Label 9403*/ GIMT_Encode4(576929), // Rule ID 3768 //
     /*  576859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  576870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  576873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  576876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  576879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576905 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  576908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576927 */     GIR_RootConstrainSelectedInstOperands,
     /*  576928 */     // GIR_Coverage, 3768,
     /*  576928 */     GIR_EraseRootFromParent_Done,
     /*  576929 */   // Label 9403: @576929
     /*  576929 */   GIM_Try, /*On fail goto*//*Label 9404*/ GIMT_Encode4(577004), // Rule ID 3771 //
     /*  576934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  576942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  576945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  576948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  576951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  576954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576980 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  576983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577002 */     GIR_RootConstrainSelectedInstOperands,
     /*  577003 */     // GIR_Coverage, 3771,
     /*  577003 */     GIR_EraseRootFromParent_Done,
     /*  577004 */   // Label 9404: @577004
     /*  577004 */   GIM_Try, /*On fail goto*//*Label 9405*/ GIMT_Encode4(577079), // Rule ID 3772 //
     /*  577009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  577020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  577023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  577026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577055 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  577055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  577058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577077 */     GIR_RootConstrainSelectedInstOperands,
     /*  577078 */     // GIR_Coverage, 3772,
     /*  577078 */     GIR_EraseRootFromParent_Done,
     /*  577079 */   // Label 9405: @577079
     /*  577079 */   GIM_Try, /*On fail goto*//*Label 9406*/ GIMT_Encode4(577154), // Rule ID 3775 //
     /*  577084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  577095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  577098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  577101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577130 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  577130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  577133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577152 */     GIR_RootConstrainSelectedInstOperands,
     /*  577153 */     // GIR_Coverage, 3775,
     /*  577153 */     GIR_EraseRootFromParent_Done,
     /*  577154 */   // Label 9406: @577154
     /*  577154 */   GIM_Try, /*On fail goto*//*Label 9407*/ GIMT_Encode4(577229), // Rule ID 3776 //
     /*  577159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  577170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  577173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  577176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577205 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  577205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  577208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577227 */     GIR_RootConstrainSelectedInstOperands,
     /*  577228 */     // GIR_Coverage, 3776,
     /*  577228 */     GIR_EraseRootFromParent_Done,
     /*  577229 */   // Label 9407: @577229
     /*  577229 */   GIM_Try, /*On fail goto*//*Label 9408*/ GIMT_Encode4(577304), // Rule ID 3779 //
     /*  577234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  577245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  577248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  577251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577280 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  577280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  577283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577302 */     GIR_RootConstrainSelectedInstOperands,
     /*  577303 */     // GIR_Coverage, 3779,
     /*  577303 */     GIR_EraseRootFromParent_Done,
     /*  577304 */   // Label 9408: @577304
     /*  577304 */   GIM_Try, /*On fail goto*//*Label 9409*/ GIMT_Encode4(577379), // Rule ID 3780 //
     /*  577309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  577320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  577323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  577326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577355 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  577355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  577358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577377 */     GIR_RootConstrainSelectedInstOperands,
     /*  577378 */     // GIR_Coverage, 3780,
     /*  577378 */     GIR_EraseRootFromParent_Done,
     /*  577379 */   // Label 9409: @577379
     /*  577379 */   GIM_Try, /*On fail goto*//*Label 9410*/ GIMT_Encode4(577454), // Rule ID 3783 //
     /*  577384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  577395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  577398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  577401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577430 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  577433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577452 */     GIR_RootConstrainSelectedInstOperands,
     /*  577453 */     // GIR_Coverage, 3783,
     /*  577453 */     GIR_EraseRootFromParent_Done,
     /*  577454 */   // Label 9410: @577454
     /*  577454 */   GIM_Try, /*On fail goto*//*Label 9411*/ GIMT_Encode4(577529), // Rule ID 3784 //
     /*  577459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  577470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  577473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  577476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577505 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  577508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577527 */     GIR_RootConstrainSelectedInstOperands,
     /*  577528 */     // GIR_Coverage, 3784,
     /*  577528 */     GIR_EraseRootFromParent_Done,
     /*  577529 */   // Label 9411: @577529
     /*  577529 */   GIM_Try, /*On fail goto*//*Label 9412*/ GIMT_Encode4(577604), // Rule ID 3787 //
     /*  577534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  577545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  577548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  577551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577580 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  577583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577602 */     GIR_RootConstrainSelectedInstOperands,
     /*  577603 */     // GIR_Coverage, 3787,
     /*  577603 */     GIR_EraseRootFromParent_Done,
     /*  577604 */   // Label 9412: @577604
     /*  577604 */   GIM_Try, /*On fail goto*//*Label 9413*/ GIMT_Encode4(577679), // Rule ID 3788 //
     /*  577609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  577620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  577623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  577626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577655 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11538:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  577658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577677 */     GIR_RootConstrainSelectedInstOperands,
     /*  577678 */     // GIR_Coverage, 3788,
     /*  577678 */     GIR_EraseRootFromParent_Done,
     /*  577679 */   // Label 9413: @577679
     /*  577679 */   GIM_Try, /*On fail goto*//*Label 9414*/ GIMT_Encode4(577754), // Rule ID 3791 //
     /*  577684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  577695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  577698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  577701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577730 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  577733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577752 */     GIR_RootConstrainSelectedInstOperands,
     /*  577753 */     // GIR_Coverage, 3791,
     /*  577753 */     GIR_EraseRootFromParent_Done,
     /*  577754 */   // Label 9414: @577754
     /*  577754 */   GIM_Try, /*On fail goto*//*Label 9415*/ GIMT_Encode4(577829), // Rule ID 3792 //
     /*  577759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  577770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  577773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  577776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577805 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11538:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  577808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577827 */     GIR_RootConstrainSelectedInstOperands,
     /*  577828 */     // GIR_Coverage, 3792,
     /*  577828 */     GIR_EraseRootFromParent_Done,
     /*  577829 */   // Label 9415: @577829
     /*  577829 */   GIM_Try, /*On fail goto*//*Label 9416*/ GIMT_Encode4(577904), // Rule ID 3795 //
     /*  577834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  577845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  577848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  577851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577880 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  577883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577902 */     GIR_RootConstrainSelectedInstOperands,
     /*  577903 */     // GIR_Coverage, 3795,
     /*  577903 */     GIR_EraseRootFromParent_Done,
     /*  577904 */   // Label 9416: @577904
     /*  577904 */   GIM_Try, /*On fail goto*//*Label 9417*/ GIMT_Encode4(577979), // Rule ID 3796 //
     /*  577909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  577917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  577920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  577923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  577926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577955 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11538:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  577958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577977 */     GIR_RootConstrainSelectedInstOperands,
     /*  577978 */     // GIR_Coverage, 3796,
     /*  577978 */     GIR_EraseRootFromParent_Done,
     /*  577979 */   // Label 9417: @577979
     /*  577979 */   GIM_Try, /*On fail goto*//*Label 9418*/ GIMT_Encode4(578054), // Rule ID 3799 //
     /*  577984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  577992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  577995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  577998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  578001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  578004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578030 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  578033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578052 */     GIR_RootConstrainSelectedInstOperands,
     /*  578053 */     // GIR_Coverage, 3799,
     /*  578053 */     GIR_EraseRootFromParent_Done,
     /*  578054 */   // Label 9418: @578054
     /*  578054 */   GIM_Try, /*On fail goto*//*Label 9419*/ GIMT_Encode4(578129), // Rule ID 3800 //
     /*  578059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  578067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  578070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  578073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  578076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  578079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578105 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  578108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578127 */     GIR_RootConstrainSelectedInstOperands,
     /*  578128 */     // GIR_Coverage, 3800,
     /*  578128 */     GIR_EraseRootFromParent_Done,
     /*  578129 */   // Label 9419: @578129
     /*  578129 */   GIM_Try, /*On fail goto*//*Label 9420*/ GIMT_Encode4(578204), // Rule ID 3803 //
     /*  578134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  578142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  578145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  578148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  578151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  578154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578180 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  578183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578202 */     GIR_RootConstrainSelectedInstOperands,
     /*  578203 */     // GIR_Coverage, 3803,
     /*  578203 */     GIR_EraseRootFromParent_Done,
     /*  578204 */   // Label 9420: @578204
     /*  578204 */   GIM_Try, /*On fail goto*//*Label 9421*/ GIMT_Encode4(578279), // Rule ID 3804 //
     /*  578209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  578217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  578220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  578223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  578226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  578229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578255 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  578258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578277 */     GIR_RootConstrainSelectedInstOperands,
     /*  578278 */     // GIR_Coverage, 3804,
     /*  578278 */     GIR_EraseRootFromParent_Done,
     /*  578279 */   // Label 9421: @578279
     /*  578279 */   GIM_Try, /*On fail goto*//*Label 9422*/ GIMT_Encode4(578354), // Rule ID 3807 //
     /*  578284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  578292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  578295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  578298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  578301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  578304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578330 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  578333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578352 */     GIR_RootConstrainSelectedInstOperands,
     /*  578353 */     // GIR_Coverage, 3807,
     /*  578353 */     GIR_EraseRootFromParent_Done,
     /*  578354 */   // Label 9422: @578354
     /*  578354 */   GIM_Try, /*On fail goto*//*Label 9423*/ GIMT_Encode4(578429), // Rule ID 3808 //
     /*  578359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  578367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  578370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  578373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  578376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  578379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578405 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  578408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578427 */     GIR_RootConstrainSelectedInstOperands,
     /*  578428 */     // GIR_Coverage, 3808,
     /*  578428 */     GIR_EraseRootFromParent_Done,
     /*  578429 */   // Label 9423: @578429
     /*  578429 */   GIM_Try, /*On fail goto*//*Label 9424*/ GIMT_Encode4(578504), // Rule ID 3811 //
     /*  578434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  578442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  578445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  578448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  578451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  578454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578480 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  578483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578502 */     GIR_RootConstrainSelectedInstOperands,
     /*  578503 */     // GIR_Coverage, 3811,
     /*  578503 */     GIR_EraseRootFromParent_Done,
     /*  578504 */   // Label 9424: @578504
     /*  578504 */   GIM_Try, /*On fail goto*//*Label 9425*/ GIMT_Encode4(578579), // Rule ID 3812 //
     /*  578509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  578517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  578520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  578523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  578526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  578529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578555 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  578558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578577 */     GIR_RootConstrainSelectedInstOperands,
     /*  578578 */     // GIR_Coverage, 3812,
     /*  578578 */     GIR_EraseRootFromParent_Done,
     /*  578579 */   // Label 9425: @578579
     /*  578579 */   GIM_Try, /*On fail goto*//*Label 9426*/ GIMT_Encode4(578654), // Rule ID 3815 //
     /*  578584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  578592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  578595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  578598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  578601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  578604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578630 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  578633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578652 */     GIR_RootConstrainSelectedInstOperands,
     /*  578653 */     // GIR_Coverage, 3815,
     /*  578653 */     GIR_EraseRootFromParent_Done,
     /*  578654 */   // Label 9426: @578654
     /*  578654 */   GIM_Try, /*On fail goto*//*Label 9427*/ GIMT_Encode4(578729), // Rule ID 3816 //
     /*  578659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  578667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  578670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  578673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  578676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  578679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578705 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  578708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578727 */     GIR_RootConstrainSelectedInstOperands,
     /*  578728 */     // GIR_Coverage, 3816,
     /*  578728 */     GIR_EraseRootFromParent_Done,
     /*  578729 */   // Label 9427: @578729
     /*  578729 */   GIM_Try, /*On fail goto*//*Label 9428*/ GIMT_Encode4(578804), // Rule ID 3819 //
     /*  578734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  578742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  578745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  578748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  578751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  578754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578780 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  578783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578802 */     GIR_RootConstrainSelectedInstOperands,
     /*  578803 */     // GIR_Coverage, 3819,
     /*  578803 */     GIR_EraseRootFromParent_Done,
     /*  578804 */   // Label 9428: @578804
     /*  578804 */   GIM_Try, /*On fail goto*//*Label 9429*/ GIMT_Encode4(578879), // Rule ID 3820 //
     /*  578809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  578817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  578820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  578823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  578826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  578829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578855 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  578858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578877 */     GIR_RootConstrainSelectedInstOperands,
     /*  578878 */     // GIR_Coverage, 3820,
     /*  578878 */     GIR_EraseRootFromParent_Done,
     /*  578879 */   // Label 9429: @578879
     /*  578879 */   GIM_Try, /*On fail goto*//*Label 9430*/ GIMT_Encode4(578954), // Rule ID 3823 //
     /*  578884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  578892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  578895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  578898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  578901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  578904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578930 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  578933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578952 */     GIR_RootConstrainSelectedInstOperands,
     /*  578953 */     // GIR_Coverage, 3823,
     /*  578953 */     GIR_EraseRootFromParent_Done,
     /*  578954 */   // Label 9430: @578954
     /*  578954 */   GIM_Try, /*On fail goto*//*Label 9431*/ GIMT_Encode4(579029), // Rule ID 3824 //
     /*  578959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  578967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  578970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  578973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  578976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  578979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579005 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  579005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  579008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579027 */     GIR_RootConstrainSelectedInstOperands,
     /*  579028 */     // GIR_Coverage, 3824,
     /*  579028 */     GIR_EraseRootFromParent_Done,
     /*  579029 */   // Label 9431: @579029
     /*  579029 */   GIM_Try, /*On fail goto*//*Label 9432*/ GIMT_Encode4(579104), // Rule ID 3827 //
     /*  579034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  579045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  579048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  579051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  579054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579080 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  579080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  579083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579102 */     GIR_RootConstrainSelectedInstOperands,
     /*  579103 */     // GIR_Coverage, 3827,
     /*  579103 */     GIR_EraseRootFromParent_Done,
     /*  579104 */   // Label 9432: @579104
     /*  579104 */   GIM_Try, /*On fail goto*//*Label 9433*/ GIMT_Encode4(579179), // Rule ID 3828 //
     /*  579109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  579120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  579123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  579126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  579129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579155 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  579155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  579158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579177 */     GIR_RootConstrainSelectedInstOperands,
     /*  579178 */     // GIR_Coverage, 3828,
     /*  579178 */     GIR_EraseRootFromParent_Done,
     /*  579179 */   // Label 9433: @579179
     /*  579179 */   GIM_Try, /*On fail goto*//*Label 9434*/ GIMT_Encode4(579254), // Rule ID 3831 //
     /*  579184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  579195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  579198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  579201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  579204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579230 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  579230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  579233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579252 */     GIR_RootConstrainSelectedInstOperands,
     /*  579253 */     // GIR_Coverage, 3831,
     /*  579253 */     GIR_EraseRootFromParent_Done,
     /*  579254 */   // Label 9434: @579254
     /*  579254 */   GIM_Try, /*On fail goto*//*Label 9435*/ GIMT_Encode4(579329), // Rule ID 3832 //
     /*  579259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  579270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  579273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  579276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  579279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579305 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  579305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  579308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579327 */     GIR_RootConstrainSelectedInstOperands,
     /*  579328 */     // GIR_Coverage, 3832,
     /*  579328 */     GIR_EraseRootFromParent_Done,
     /*  579329 */   // Label 9435: @579329
     /*  579329 */   GIM_Try, /*On fail goto*//*Label 9436*/ GIMT_Encode4(579404), // Rule ID 3835 //
     /*  579334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  579345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  579348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  579351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  579354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579380 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  579380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  579383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579402 */     GIR_RootConstrainSelectedInstOperands,
     /*  579403 */     // GIR_Coverage, 3835,
     /*  579403 */     GIR_EraseRootFromParent_Done,
     /*  579404 */   // Label 9436: @579404
     /*  579404 */   GIM_Try, /*On fail goto*//*Label 9437*/ GIMT_Encode4(579479), // Rule ID 3836 //
     /*  579409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  579420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  579423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  579426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  579429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579455 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  579455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  579458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579477 */     GIR_RootConstrainSelectedInstOperands,
     /*  579478 */     // GIR_Coverage, 3836,
     /*  579478 */     GIR_EraseRootFromParent_Done,
     /*  579479 */   // Label 9437: @579479
     /*  579479 */   GIM_Try, /*On fail goto*//*Label 9438*/ GIMT_Encode4(579554), // Rule ID 3839 //
     /*  579484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  579495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  579498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  579501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  579504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579530 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  579530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  579533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579552 */     GIR_RootConstrainSelectedInstOperands,
     /*  579553 */     // GIR_Coverage, 3839,
     /*  579553 */     GIR_EraseRootFromParent_Done,
     /*  579554 */   // Label 9438: @579554
     /*  579554 */   GIM_Try, /*On fail goto*//*Label 9439*/ GIMT_Encode4(579629), // Rule ID 3840 //
     /*  579559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  579570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  579573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  579576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  579579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579605 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  579605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  579608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579627 */     GIR_RootConstrainSelectedInstOperands,
     /*  579628 */     // GIR_Coverage, 3840,
     /*  579628 */     GIR_EraseRootFromParent_Done,
     /*  579629 */   // Label 9439: @579629
     /*  579629 */   GIM_Try, /*On fail goto*//*Label 9440*/ GIMT_Encode4(579704), // Rule ID 3843 //
     /*  579634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  579645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  579648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  579651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  579654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579680 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  579683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579702 */     GIR_RootConstrainSelectedInstOperands,
     /*  579703 */     // GIR_Coverage, 3843,
     /*  579703 */     GIR_EraseRootFromParent_Done,
     /*  579704 */   // Label 9440: @579704
     /*  579704 */   GIM_Try, /*On fail goto*//*Label 9441*/ GIMT_Encode4(579779), // Rule ID 3844 //
     /*  579709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  579720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  579723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  579726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  579729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579755 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  579758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579777 */     GIR_RootConstrainSelectedInstOperands,
     /*  579778 */     // GIR_Coverage, 3844,
     /*  579778 */     GIR_EraseRootFromParent_Done,
     /*  579779 */   // Label 9441: @579779
     /*  579779 */   GIM_Try, /*On fail goto*//*Label 9442*/ GIMT_Encode4(579854), // Rule ID 3847 //
     /*  579784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  579795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  579798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  579801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  579804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579830 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  579833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579852 */     GIR_RootConstrainSelectedInstOperands,
     /*  579853 */     // GIR_Coverage, 3847,
     /*  579853 */     GIR_EraseRootFromParent_Done,
     /*  579854 */   // Label 9442: @579854
     /*  579854 */   GIM_Try, /*On fail goto*//*Label 9443*/ GIMT_Encode4(579929), // Rule ID 3848 //
     /*  579859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  579870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  579873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  579876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  579879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579905 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  579908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579927 */     GIR_RootConstrainSelectedInstOperands,
     /*  579928 */     // GIR_Coverage, 3848,
     /*  579928 */     GIR_EraseRootFromParent_Done,
     /*  579929 */   // Label 9443: @579929
     /*  579929 */   GIM_Try, /*On fail goto*//*Label 9444*/ GIMT_Encode4(580004), // Rule ID 3851 //
     /*  579934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  579942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  579945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  579948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  579951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  579954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579980 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  579983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580002 */     GIR_RootConstrainSelectedInstOperands,
     /*  580003 */     // GIR_Coverage, 3851,
     /*  580003 */     GIR_EraseRootFromParent_Done,
     /*  580004 */   // Label 9444: @580004
     /*  580004 */   GIM_Try, /*On fail goto*//*Label 9445*/ GIMT_Encode4(580079), // Rule ID 3852 //
     /*  580009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  580012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  580020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  580023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  580026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  580029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580055 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  580055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  580058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580077 */     GIR_RootConstrainSelectedInstOperands,
     /*  580078 */     // GIR_Coverage, 3852,
     /*  580078 */     GIR_EraseRootFromParent_Done,
     /*  580079 */   // Label 9445: @580079
     /*  580079 */   GIM_Try, /*On fail goto*//*Label 9446*/ GIMT_Encode4(580154), // Rule ID 3855 //
     /*  580084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  580087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  580095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  580098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  580101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  580104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580130 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  580130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  580133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580152 */     GIR_RootConstrainSelectedInstOperands,
     /*  580153 */     // GIR_Coverage, 3855,
     /*  580153 */     GIR_EraseRootFromParent_Done,
     /*  580154 */   // Label 9446: @580154
     /*  580154 */   GIM_Try, /*On fail goto*//*Label 9447*/ GIMT_Encode4(580229), // Rule ID 3856 //
     /*  580159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  580162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  580170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  580173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  580176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  580179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580205 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  580205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  580208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580227 */     GIR_RootConstrainSelectedInstOperands,
     /*  580228 */     // GIR_Coverage, 3856,
     /*  580228 */     GIR_EraseRootFromParent_Done,
     /*  580229 */   // Label 9447: @580229
     /*  580229 */   GIM_Try, /*On fail goto*//*Label 9448*/ GIMT_Encode4(580304), // Rule ID 3859 //
     /*  580234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  580245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  580248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  580251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580280 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  580283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580302 */     GIR_RootConstrainSelectedInstOperands,
     /*  580303 */     // GIR_Coverage, 3859,
     /*  580303 */     GIR_EraseRootFromParent_Done,
     /*  580304 */   // Label 9448: @580304
     /*  580304 */   GIM_Try, /*On fail goto*//*Label 9449*/ GIMT_Encode4(580379), // Rule ID 3860 //
     /*  580309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  580320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  580323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  580326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580355 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  580358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580377 */     GIR_RootConstrainSelectedInstOperands,
     /*  580378 */     // GIR_Coverage, 3860,
     /*  580378 */     GIR_EraseRootFromParent_Done,
     /*  580379 */   // Label 9449: @580379
     /*  580379 */   GIM_Try, /*On fail goto*//*Label 9450*/ GIMT_Encode4(580454), // Rule ID 3863 //
     /*  580384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  580395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  580398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  580401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580430 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  580433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580452 */     GIR_RootConstrainSelectedInstOperands,
     /*  580453 */     // GIR_Coverage, 3863,
     /*  580453 */     GIR_EraseRootFromParent_Done,
     /*  580454 */   // Label 9450: @580454
     /*  580454 */   GIM_Try, /*On fail goto*//*Label 9451*/ GIMT_Encode4(580529), // Rule ID 3864 //
     /*  580459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  580470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  580473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  580476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580505 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  580508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580527 */     GIR_RootConstrainSelectedInstOperands,
     /*  580528 */     // GIR_Coverage, 3864,
     /*  580528 */     GIR_EraseRootFromParent_Done,
     /*  580529 */   // Label 9451: @580529
     /*  580529 */   GIM_Try, /*On fail goto*//*Label 9452*/ GIMT_Encode4(580604), // Rule ID 3867 //
     /*  580534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  580545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  580548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  580551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580580 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  580583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580602 */     GIR_RootConstrainSelectedInstOperands,
     /*  580603 */     // GIR_Coverage, 3867,
     /*  580603 */     GIR_EraseRootFromParent_Done,
     /*  580604 */   // Label 9452: @580604
     /*  580604 */   GIM_Try, /*On fail goto*//*Label 9453*/ GIMT_Encode4(580679), // Rule ID 3868 //
     /*  580609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  580620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  580623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  580626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580655 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11566:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  580658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580677 */     GIR_RootConstrainSelectedInstOperands,
     /*  580678 */     // GIR_Coverage, 3868,
     /*  580678 */     GIR_EraseRootFromParent_Done,
     /*  580679 */   // Label 9453: @580679
     /*  580679 */   GIM_Try, /*On fail goto*//*Label 9454*/ GIMT_Encode4(580754), // Rule ID 3871 //
     /*  580684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  580695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  580698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  580701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580730 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  580733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580752 */     GIR_RootConstrainSelectedInstOperands,
     /*  580753 */     // GIR_Coverage, 3871,
     /*  580753 */     GIR_EraseRootFromParent_Done,
     /*  580754 */   // Label 9454: @580754
     /*  580754 */   GIM_Try, /*On fail goto*//*Label 9455*/ GIMT_Encode4(580829), // Rule ID 3872 //
     /*  580759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  580770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  580773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  580776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580805 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  580808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580827 */     GIR_RootConstrainSelectedInstOperands,
     /*  580828 */     // GIR_Coverage, 3872,
     /*  580828 */     GIR_EraseRootFromParent_Done,
     /*  580829 */   // Label 9455: @580829
     /*  580829 */   GIM_Try, /*On fail goto*//*Label 9456*/ GIMT_Encode4(580904), // Rule ID 3875 //
     /*  580834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  580845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  580848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  580851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580880 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  580883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580902 */     GIR_RootConstrainSelectedInstOperands,
     /*  580903 */     // GIR_Coverage, 3875,
     /*  580903 */     GIR_EraseRootFromParent_Done,
     /*  580904 */   // Label 9456: @580904
     /*  580904 */   GIM_Try, /*On fail goto*//*Label 9457*/ GIMT_Encode4(580979), // Rule ID 3876 //
     /*  580909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  580920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  580923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  580926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580955 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  580958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580977 */     GIR_RootConstrainSelectedInstOperands,
     /*  580978 */     // GIR_Coverage, 3876,
     /*  580978 */     GIR_EraseRootFromParent_Done,
     /*  580979 */   // Label 9457: @580979
     /*  580979 */   GIM_Try, /*On fail goto*//*Label 9458*/ GIMT_Encode4(581054), // Rule ID 3879 //
     /*  580984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  580992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  580995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  580998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  581001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581030 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  581033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581052 */     GIR_RootConstrainSelectedInstOperands,
     /*  581053 */     // GIR_Coverage, 3879,
     /*  581053 */     GIR_EraseRootFromParent_Done,
     /*  581054 */   // Label 9458: @581054
     /*  581054 */   GIM_Try, /*On fail goto*//*Label 9459*/ GIMT_Encode4(581129), // Rule ID 3880 //
     /*  581059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  581070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  581073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  581076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581105 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  581108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581127 */     GIR_RootConstrainSelectedInstOperands,
     /*  581128 */     // GIR_Coverage, 3880,
     /*  581128 */     GIR_EraseRootFromParent_Done,
     /*  581129 */   // Label 9459: @581129
     /*  581129 */   GIM_Try, /*On fail goto*//*Label 9460*/ GIMT_Encode4(581204), // Rule ID 3883 //
     /*  581134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  581145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  581148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  581151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581180 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  581183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581202 */     GIR_RootConstrainSelectedInstOperands,
     /*  581203 */     // GIR_Coverage, 3883,
     /*  581203 */     GIR_EraseRootFromParent_Done,
     /*  581204 */   // Label 9460: @581204
     /*  581204 */   GIM_Try, /*On fail goto*//*Label 9461*/ GIMT_Encode4(581279), // Rule ID 3884 //
     /*  581209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  581220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  581223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  581226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581255 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  581258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581277 */     GIR_RootConstrainSelectedInstOperands,
     /*  581278 */     // GIR_Coverage, 3884,
     /*  581278 */     GIR_EraseRootFromParent_Done,
     /*  581279 */   // Label 9461: @581279
     /*  581279 */   GIM_Try, /*On fail goto*//*Label 9462*/ GIMT_Encode4(581354), // Rule ID 3887 //
     /*  581284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  581295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  581298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  581301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581330 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  581333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581352 */     GIR_RootConstrainSelectedInstOperands,
     /*  581353 */     // GIR_Coverage, 3887,
     /*  581353 */     GIR_EraseRootFromParent_Done,
     /*  581354 */   // Label 9462: @581354
     /*  581354 */   GIM_Try, /*On fail goto*//*Label 9463*/ GIMT_Encode4(581429), // Rule ID 3888 //
     /*  581359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  581370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  581373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  581376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581405 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11566:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  581408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581427 */     GIR_RootConstrainSelectedInstOperands,
     /*  581428 */     // GIR_Coverage, 3888,
     /*  581428 */     GIR_EraseRootFromParent_Done,
     /*  581429 */   // Label 9463: @581429
     /*  581429 */   GIM_Try, /*On fail goto*//*Label 9464*/ GIMT_Encode4(581504), // Rule ID 3891 //
     /*  581434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  581445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  581448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  581451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581480 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  581483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581502 */     GIR_RootConstrainSelectedInstOperands,
     /*  581503 */     // GIR_Coverage, 3891,
     /*  581503 */     GIR_EraseRootFromParent_Done,
     /*  581504 */   // Label 9464: @581504
     /*  581504 */   GIM_Try, /*On fail goto*//*Label 9465*/ GIMT_Encode4(581579), // Rule ID 3892 //
     /*  581509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  581520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  581523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  581526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581555 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  581558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581577 */     GIR_RootConstrainSelectedInstOperands,
     /*  581578 */     // GIR_Coverage, 3892,
     /*  581578 */     GIR_EraseRootFromParent_Done,
     /*  581579 */   // Label 9465: @581579
     /*  581579 */   GIM_Try, /*On fail goto*//*Label 9466*/ GIMT_Encode4(581654), // Rule ID 3895 //
     /*  581584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  581595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  581598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  581601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581630 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  581633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581652 */     GIR_RootConstrainSelectedInstOperands,
     /*  581653 */     // GIR_Coverage, 3895,
     /*  581653 */     GIR_EraseRootFromParent_Done,
     /*  581654 */   // Label 9466: @581654
     /*  581654 */   GIM_Try, /*On fail goto*//*Label 9467*/ GIMT_Encode4(581729), // Rule ID 3896 //
     /*  581659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  581670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  581673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  581676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581705 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  581708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581727 */     GIR_RootConstrainSelectedInstOperands,
     /*  581728 */     // GIR_Coverage, 3896,
     /*  581728 */     GIR_EraseRootFromParent_Done,
     /*  581729 */   // Label 9467: @581729
     /*  581729 */   GIM_Try, /*On fail goto*//*Label 9468*/ GIMT_Encode4(581804), // Rule ID 3899 //
     /*  581734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  581745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  581748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  581751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581780 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  581783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581802 */     GIR_RootConstrainSelectedInstOperands,
     /*  581803 */     // GIR_Coverage, 3899,
     /*  581803 */     GIR_EraseRootFromParent_Done,
     /*  581804 */   // Label 9468: @581804
     /*  581804 */   GIM_Try, /*On fail goto*//*Label 9469*/ GIMT_Encode4(581879), // Rule ID 3900 //
     /*  581809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  581820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  581823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  581826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581855 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  581858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581877 */     GIR_RootConstrainSelectedInstOperands,
     /*  581878 */     // GIR_Coverage, 3900,
     /*  581878 */     GIR_EraseRootFromParent_Done,
     /*  581879 */   // Label 9469: @581879
     /*  581879 */   GIM_Try, /*On fail goto*//*Label 9470*/ GIMT_Encode4(581954), // Rule ID 3903 //
     /*  581884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  581895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  581898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  581901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581930 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  581933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581952 */     GIR_RootConstrainSelectedInstOperands,
     /*  581953 */     // GIR_Coverage, 3903,
     /*  581953 */     GIR_EraseRootFromParent_Done,
     /*  581954 */   // Label 9470: @581954
     /*  581954 */   GIM_Try, /*On fail goto*//*Label 9471*/ GIMT_Encode4(582029), // Rule ID 3904 //
     /*  581959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  581967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  581970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  581973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  581976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582005 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11566:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  582005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  582008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582027 */     GIR_RootConstrainSelectedInstOperands,
     /*  582028 */     // GIR_Coverage, 3904,
     /*  582028 */     GIR_EraseRootFromParent_Done,
     /*  582029 */   // Label 9471: @582029
     /*  582029 */   GIM_Try, /*On fail goto*//*Label 9472*/ GIMT_Encode4(582104), // Rule ID 3907 //
     /*  582034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  582037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  582045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  582048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  582051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582080 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  582080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  582083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582102 */     GIR_RootConstrainSelectedInstOperands,
     /*  582103 */     // GIR_Coverage, 3907,
     /*  582103 */     GIR_EraseRootFromParent_Done,
     /*  582104 */   // Label 9472: @582104
     /*  582104 */   GIM_Try, /*On fail goto*//*Label 9473*/ GIMT_Encode4(582179), // Rule ID 3908 //
     /*  582109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  582112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  582120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  582123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  582126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582155 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11566:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  582155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  582158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582177 */     GIR_RootConstrainSelectedInstOperands,
     /*  582178 */     // GIR_Coverage, 3908,
     /*  582178 */     GIR_EraseRootFromParent_Done,
     /*  582179 */   // Label 9473: @582179
     /*  582179 */   GIM_Try, /*On fail goto*//*Label 9474*/ GIMT_Encode4(582254), // Rule ID 3911 //
     /*  582184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  582187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  582195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  582198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  582201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582230 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  582230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  582233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582252 */     GIR_RootConstrainSelectedInstOperands,
     /*  582253 */     // GIR_Coverage, 3911,
     /*  582253 */     GIR_EraseRootFromParent_Done,
     /*  582254 */   // Label 9474: @582254
     /*  582254 */   GIM_Try, /*On fail goto*//*Label 9475*/ GIMT_Encode4(582329), // Rule ID 3912 //
     /*  582259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  582262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  582270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  582273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  582276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582305 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11566:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  582305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  582308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582327 */     GIR_RootConstrainSelectedInstOperands,
     /*  582328 */     // GIR_Coverage, 3912,
     /*  582328 */     GIR_EraseRootFromParent_Done,
     /*  582329 */   // Label 9475: @582329
     /*  582329 */   GIM_Try, /*On fail goto*//*Label 9476*/ GIMT_Encode4(582404), // Rule ID 3915 //
     /*  582334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  582337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  582345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  582348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  582351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582380 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  582380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  582383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582402 */     GIR_RootConstrainSelectedInstOperands,
     /*  582403 */     // GIR_Coverage, 3915,
     /*  582403 */     GIR_EraseRootFromParent_Done,
     /*  582404 */   // Label 9476: @582404
     /*  582404 */   GIM_Try, /*On fail goto*//*Label 9477*/ GIMT_Encode4(582479), // Rule ID 3916 //
     /*  582409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  582412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  582417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  582420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  582423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  582426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582455 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11566:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  582455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  582458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582477 */     GIR_RootConstrainSelectedInstOperands,
     /*  582478 */     // GIR_Coverage, 3916,
     /*  582478 */     GIR_EraseRootFromParent_Done,
     /*  582479 */   // Label 9477: @582479
     /*  582479 */   GIM_Try, /*On fail goto*//*Label 9478*/ GIMT_Encode4(582554), // Rule ID 3921 //
     /*  582484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  582492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  582495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  582498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  582501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  582504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582530 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  582533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582552 */     GIR_RootConstrainSelectedInstOperands,
     /*  582553 */     // GIR_Coverage, 3921,
     /*  582553 */     GIR_EraseRootFromParent_Done,
     /*  582554 */   // Label 9478: @582554
     /*  582554 */   GIM_Try, /*On fail goto*//*Label 9479*/ GIMT_Encode4(582629), // Rule ID 3922 //
     /*  582559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  582567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  582570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  582573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  582576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  582579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582605 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  582608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582627 */     GIR_RootConstrainSelectedInstOperands,
     /*  582628 */     // GIR_Coverage, 3922,
     /*  582628 */     GIR_EraseRootFromParent_Done,
     /*  582629 */   // Label 9479: @582629
     /*  582629 */   GIM_Try, /*On fail goto*//*Label 9480*/ GIMT_Encode4(582704), // Rule ID 3931 //
     /*  582634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  582642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  582645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  582648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  582651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  582654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582680 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  582683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582702 */     GIR_RootConstrainSelectedInstOperands,
     /*  582703 */     // GIR_Coverage, 3931,
     /*  582703 */     GIR_EraseRootFromParent_Done,
     /*  582704 */   // Label 9480: @582704
     /*  582704 */   GIM_Try, /*On fail goto*//*Label 9481*/ GIMT_Encode4(582779), // Rule ID 3932 //
     /*  582709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  582717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  582720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  582723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  582726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  582729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582755 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  582758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582777 */     GIR_RootConstrainSelectedInstOperands,
     /*  582778 */     // GIR_Coverage, 3932,
     /*  582778 */     GIR_EraseRootFromParent_Done,
     /*  582779 */   // Label 9481: @582779
     /*  582779 */   GIM_Try, /*On fail goto*//*Label 9482*/ GIMT_Encode4(582854), // Rule ID 3941 //
     /*  582784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  582792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  582795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  582798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  582801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  582804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582830 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  582833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582852 */     GIR_RootConstrainSelectedInstOperands,
     /*  582853 */     // GIR_Coverage, 3941,
     /*  582853 */     GIR_EraseRootFromParent_Done,
     /*  582854 */   // Label 9482: @582854
     /*  582854 */   GIM_Try, /*On fail goto*//*Label 9483*/ GIMT_Encode4(582929), // Rule ID 3942 //
     /*  582859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  582867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  582870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  582873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  582876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  582879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582905 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  582908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582927 */     GIR_RootConstrainSelectedInstOperands,
     /*  582928 */     // GIR_Coverage, 3942,
     /*  582928 */     GIR_EraseRootFromParent_Done,
     /*  582929 */   // Label 9483: @582929
     /*  582929 */   GIM_Try, /*On fail goto*//*Label 9484*/ GIMT_Encode4(583004), // Rule ID 3951 //
     /*  582934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  582942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  582945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  582948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  582951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  582954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582980 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  582983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583002 */     GIR_RootConstrainSelectedInstOperands,
     /*  583003 */     // GIR_Coverage, 3951,
     /*  583003 */     GIR_EraseRootFromParent_Done,
     /*  583004 */   // Label 9484: @583004
     /*  583004 */   GIM_Try, /*On fail goto*//*Label 9485*/ GIMT_Encode4(583079), // Rule ID 3952 //
     /*  583009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  583020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  583023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  583026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  583029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583055 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  583055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  583058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583077 */     GIR_RootConstrainSelectedInstOperands,
     /*  583078 */     // GIR_Coverage, 3952,
     /*  583078 */     GIR_EraseRootFromParent_Done,
     /*  583079 */   // Label 9485: @583079
     /*  583079 */   GIM_Try, /*On fail goto*//*Label 9486*/ GIMT_Encode4(583154), // Rule ID 3961 //
     /*  583084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  583095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  583098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  583101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  583104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583130 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  583130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  583133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583152 */     GIR_RootConstrainSelectedInstOperands,
     /*  583153 */     // GIR_Coverage, 3961,
     /*  583153 */     GIR_EraseRootFromParent_Done,
     /*  583154 */   // Label 9486: @583154
     /*  583154 */   GIM_Try, /*On fail goto*//*Label 9487*/ GIMT_Encode4(583229), // Rule ID 3962 //
     /*  583159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  583170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  583173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  583176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  583179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583205 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  583205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  583208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583227 */     GIR_RootConstrainSelectedInstOperands,
     /*  583228 */     // GIR_Coverage, 3962,
     /*  583228 */     GIR_EraseRootFromParent_Done,
     /*  583229 */   // Label 9487: @583229
     /*  583229 */   GIM_Try, /*On fail goto*//*Label 9488*/ GIMT_Encode4(583304), // Rule ID 3971 //
     /*  583234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  583245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  583248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  583254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583280 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  583283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583302 */     GIR_RootConstrainSelectedInstOperands,
     /*  583303 */     // GIR_Coverage, 3971,
     /*  583303 */     GIR_EraseRootFromParent_Done,
     /*  583304 */   // Label 9488: @583304
     /*  583304 */   GIM_Try, /*On fail goto*//*Label 9489*/ GIMT_Encode4(583379), // Rule ID 3972 //
     /*  583309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  583320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  583323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  583329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583355 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  583358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583377 */     GIR_RootConstrainSelectedInstOperands,
     /*  583378 */     // GIR_Coverage, 3972,
     /*  583378 */     GIR_EraseRootFromParent_Done,
     /*  583379 */   // Label 9489: @583379
     /*  583379 */   GIM_Try, /*On fail goto*//*Label 9490*/ GIMT_Encode4(583454), // Rule ID 3981 //
     /*  583384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  583395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  583398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  583401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  583404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583430 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  583433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583452 */     GIR_RootConstrainSelectedInstOperands,
     /*  583453 */     // GIR_Coverage, 3981,
     /*  583453 */     GIR_EraseRootFromParent_Done,
     /*  583454 */   // Label 9490: @583454
     /*  583454 */   GIM_Try, /*On fail goto*//*Label 9491*/ GIMT_Encode4(583529), // Rule ID 3982 //
     /*  583459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  583470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  583473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  583476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  583479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583505 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  583508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583527 */     GIR_RootConstrainSelectedInstOperands,
     /*  583528 */     // GIR_Coverage, 3982,
     /*  583528 */     GIR_EraseRootFromParent_Done,
     /*  583529 */   // Label 9491: @583529
     /*  583529 */   GIM_Try, /*On fail goto*//*Label 9492*/ GIMT_Encode4(583604), // Rule ID 3991 //
     /*  583534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  583545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  583548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  583551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  583554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583580 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  583583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583602 */     GIR_RootConstrainSelectedInstOperands,
     /*  583603 */     // GIR_Coverage, 3991,
     /*  583603 */     GIR_EraseRootFromParent_Done,
     /*  583604 */   // Label 9492: @583604
     /*  583604 */   GIM_Try, /*On fail goto*//*Label 9493*/ GIMT_Encode4(583679), // Rule ID 3992 //
     /*  583609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  583620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  583623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  583626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  583629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583655 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  583658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583677 */     GIR_RootConstrainSelectedInstOperands,
     /*  583678 */     // GIR_Coverage, 3992,
     /*  583678 */     GIR_EraseRootFromParent_Done,
     /*  583679 */   // Label 9493: @583679
     /*  583679 */   GIM_Try, /*On fail goto*//*Label 9494*/ GIMT_Encode4(583754), // Rule ID 4001 //
     /*  583684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  583695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  583698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  583701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  583704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  583733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583752 */     GIR_RootConstrainSelectedInstOperands,
     /*  583753 */     // GIR_Coverage, 4001,
     /*  583753 */     GIR_EraseRootFromParent_Done,
     /*  583754 */   // Label 9494: @583754
     /*  583754 */   GIM_Try, /*On fail goto*//*Label 9495*/ GIMT_Encode4(583829), // Rule ID 4002 //
     /*  583759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  583770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  583773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  583776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  583779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583805 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  583808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583827 */     GIR_RootConstrainSelectedInstOperands,
     /*  583828 */     // GIR_Coverage, 4002,
     /*  583828 */     GIR_EraseRootFromParent_Done,
     /*  583829 */   // Label 9495: @583829
     /*  583829 */   GIM_Try, /*On fail goto*//*Label 9496*/ GIMT_Encode4(583904), // Rule ID 4011 //
     /*  583834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  583845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  583848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  583851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  583854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583880 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  583883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583902 */     GIR_RootConstrainSelectedInstOperands,
     /*  583903 */     // GIR_Coverage, 4011,
     /*  583903 */     GIR_EraseRootFromParent_Done,
     /*  583904 */   // Label 9496: @583904
     /*  583904 */   GIM_Try, /*On fail goto*//*Label 9497*/ GIMT_Encode4(583979), // Rule ID 4012 //
     /*  583909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  583920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  583923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  583926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  583929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583955 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  583958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583977 */     GIR_RootConstrainSelectedInstOperands,
     /*  583978 */     // GIR_Coverage, 4012,
     /*  583978 */     GIR_EraseRootFromParent_Done,
     /*  583979 */   // Label 9497: @583979
     /*  583979 */   GIM_Try, /*On fail goto*//*Label 9498*/ GIMT_Encode4(584054), // Rule ID 4021 //
     /*  583984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  583992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  583995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  583998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  584001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  584004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584030 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  584030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  584033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584052 */     GIR_RootConstrainSelectedInstOperands,
     /*  584053 */     // GIR_Coverage, 4021,
     /*  584053 */     GIR_EraseRootFromParent_Done,
     /*  584054 */   // Label 9498: @584054
     /*  584054 */   GIM_Try, /*On fail goto*//*Label 9499*/ GIMT_Encode4(584129), // Rule ID 4022 //
     /*  584059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  584062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  584070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  584073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  584076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  584079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584105 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  584105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  584108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584127 */     GIR_RootConstrainSelectedInstOperands,
     /*  584128 */     // GIR_Coverage, 4022,
     /*  584128 */     GIR_EraseRootFromParent_Done,
     /*  584129 */   // Label 9499: @584129
     /*  584129 */   GIM_Try, /*On fail goto*//*Label 9500*/ GIMT_Encode4(584204), // Rule ID 4031 //
     /*  584134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  584137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  584145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  584148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  584151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  584154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584180 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  584180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  584183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584202 */     GIR_RootConstrainSelectedInstOperands,
     /*  584203 */     // GIR_Coverage, 4031,
     /*  584203 */     GIR_EraseRootFromParent_Done,
     /*  584204 */   // Label 9500: @584204
     /*  584204 */   GIM_Try, /*On fail goto*//*Label 9501*/ GIMT_Encode4(584279), // Rule ID 4032 //
     /*  584209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  584212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  584220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  584223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  584226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  584229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584255 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  584255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  584258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584277 */     GIR_RootConstrainSelectedInstOperands,
     /*  584278 */     // GIR_Coverage, 4032,
     /*  584278 */     GIR_EraseRootFromParent_Done,
     /*  584279 */   // Label 9501: @584279
     /*  584279 */   GIM_Try, /*On fail goto*//*Label 9502*/ GIMT_Encode4(584354), // Rule ID 4041 //
     /*  584284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  584287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  584295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  584298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  584301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  584304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584330 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  584330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  584333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584352 */     GIR_RootConstrainSelectedInstOperands,
     /*  584353 */     // GIR_Coverage, 4041,
     /*  584353 */     GIR_EraseRootFromParent_Done,
     /*  584354 */   // Label 9502: @584354
     /*  584354 */   GIM_Try, /*On fail goto*//*Label 9503*/ GIMT_Encode4(584429), // Rule ID 4042 //
     /*  584359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  584362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  584370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  584373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  584376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  584379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584405 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  584405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  584408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584427 */     GIR_RootConstrainSelectedInstOperands,
     /*  584428 */     // GIR_Coverage, 4042,
     /*  584428 */     GIR_EraseRootFromParent_Done,
     /*  584429 */   // Label 9503: @584429
     /*  584429 */   GIM_Try, /*On fail goto*//*Label 9504*/ GIMT_Encode4(584504), // Rule ID 4051 //
     /*  584434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  584437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  584445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  584448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  584451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  584454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584480 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  584480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  584483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584502 */     GIR_RootConstrainSelectedInstOperands,
     /*  584503 */     // GIR_Coverage, 4051,
     /*  584503 */     GIR_EraseRootFromParent_Done,
     /*  584504 */   // Label 9504: @584504
     /*  584504 */   GIM_Try, /*On fail goto*//*Label 9505*/ GIMT_Encode4(584579), // Rule ID 4052 //
     /*  584509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  584512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  584520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  584523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  584526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  584529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584555 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  584555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  584558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584577 */     GIR_RootConstrainSelectedInstOperands,
     /*  584578 */     // GIR_Coverage, 4052,
     /*  584578 */     GIR_EraseRootFromParent_Done,
     /*  584579 */   // Label 9505: @584579
     /*  584579 */   GIM_Try, /*On fail goto*//*Label 9506*/ GIMT_Encode4(584654), // Rule ID 4059 //
     /*  584584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  584595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  584598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  584601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584630 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  584633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584652 */     GIR_RootConstrainSelectedInstOperands,
     /*  584653 */     // GIR_Coverage, 4059,
     /*  584653 */     GIR_EraseRootFromParent_Done,
     /*  584654 */   // Label 9506: @584654
     /*  584654 */   GIM_Try, /*On fail goto*//*Label 9507*/ GIMT_Encode4(584729), // Rule ID 4060 //
     /*  584659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  584670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  584673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  584676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584705 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  584708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584727 */     GIR_RootConstrainSelectedInstOperands,
     /*  584728 */     // GIR_Coverage, 4060,
     /*  584728 */     GIR_EraseRootFromParent_Done,
     /*  584729 */   // Label 9507: @584729
     /*  584729 */   GIM_Try, /*On fail goto*//*Label 9508*/ GIMT_Encode4(584804), // Rule ID 4063 //
     /*  584734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  584745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  584748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  584751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584780 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  584783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584802 */     GIR_RootConstrainSelectedInstOperands,
     /*  584803 */     // GIR_Coverage, 4063,
     /*  584803 */     GIR_EraseRootFromParent_Done,
     /*  584804 */   // Label 9508: @584804
     /*  584804 */   GIM_Try, /*On fail goto*//*Label 9509*/ GIMT_Encode4(584879), // Rule ID 4064 //
     /*  584809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  584820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  584823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  584826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584855 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  584858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584877 */     GIR_RootConstrainSelectedInstOperands,
     /*  584878 */     // GIR_Coverage, 4064,
     /*  584878 */     GIR_EraseRootFromParent_Done,
     /*  584879 */   // Label 9509: @584879
     /*  584879 */   GIM_Try, /*On fail goto*//*Label 9510*/ GIMT_Encode4(584954), // Rule ID 4067 //
     /*  584884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  584895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  584898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  584901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584930 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  584933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584952 */     GIR_RootConstrainSelectedInstOperands,
     /*  584953 */     // GIR_Coverage, 4067,
     /*  584953 */     GIR_EraseRootFromParent_Done,
     /*  584954 */   // Label 9510: @584954
     /*  584954 */   GIM_Try, /*On fail goto*//*Label 9511*/ GIMT_Encode4(585029), // Rule ID 4068 //
     /*  584959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  584967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  584970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  584973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  584976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585005 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  585005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  585008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585027 */     GIR_RootConstrainSelectedInstOperands,
     /*  585028 */     // GIR_Coverage, 4068,
     /*  585028 */     GIR_EraseRootFromParent_Done,
     /*  585029 */   // Label 9511: @585029
     /*  585029 */   GIM_Try, /*On fail goto*//*Label 9512*/ GIMT_Encode4(585104), // Rule ID 4071 //
     /*  585034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  585045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  585048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  585051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585080 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  585080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  585083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585102 */     GIR_RootConstrainSelectedInstOperands,
     /*  585103 */     // GIR_Coverage, 4071,
     /*  585103 */     GIR_EraseRootFromParent_Done,
     /*  585104 */   // Label 9512: @585104
     /*  585104 */   GIM_Try, /*On fail goto*//*Label 9513*/ GIMT_Encode4(585179), // Rule ID 4072 //
     /*  585109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  585120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  585123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  585126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585155 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  585155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  585158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585177 */     GIR_RootConstrainSelectedInstOperands,
     /*  585178 */     // GIR_Coverage, 4072,
     /*  585178 */     GIR_EraseRootFromParent_Done,
     /*  585179 */   // Label 9513: @585179
     /*  585179 */   GIM_Try, /*On fail goto*//*Label 9514*/ GIMT_Encode4(585254), // Rule ID 4075 //
     /*  585184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  585195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  585198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  585201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585230 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  585230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  585233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585252 */     GIR_RootConstrainSelectedInstOperands,
     /*  585253 */     // GIR_Coverage, 4075,
     /*  585253 */     GIR_EraseRootFromParent_Done,
     /*  585254 */   // Label 9514: @585254
     /*  585254 */   GIM_Try, /*On fail goto*//*Label 9515*/ GIMT_Encode4(585329), // Rule ID 4076 //
     /*  585259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  585270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  585273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  585276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585305 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  585305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  585308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585327 */     GIR_RootConstrainSelectedInstOperands,
     /*  585328 */     // GIR_Coverage, 4076,
     /*  585328 */     GIR_EraseRootFromParent_Done,
     /*  585329 */   // Label 9515: @585329
     /*  585329 */   GIM_Try, /*On fail goto*//*Label 9516*/ GIMT_Encode4(585404), // Rule ID 4079 //
     /*  585334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  585345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  585348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  585351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585380 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  585380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  585383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585402 */     GIR_RootConstrainSelectedInstOperands,
     /*  585403 */     // GIR_Coverage, 4079,
     /*  585403 */     GIR_EraseRootFromParent_Done,
     /*  585404 */   // Label 9516: @585404
     /*  585404 */   GIM_Try, /*On fail goto*//*Label 9517*/ GIMT_Encode4(585479), // Rule ID 4080 //
     /*  585409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  585420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  585423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  585426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585455 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  585455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  585458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585477 */     GIR_RootConstrainSelectedInstOperands,
     /*  585478 */     // GIR_Coverage, 4080,
     /*  585478 */     GIR_EraseRootFromParent_Done,
     /*  585479 */   // Label 9517: @585479
     /*  585479 */   GIM_Try, /*On fail goto*//*Label 9518*/ GIMT_Encode4(585554), // Rule ID 4083 //
     /*  585484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  585495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  585498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  585501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585530 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  585533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585552 */     GIR_RootConstrainSelectedInstOperands,
     /*  585553 */     // GIR_Coverage, 4083,
     /*  585553 */     GIR_EraseRootFromParent_Done,
     /*  585554 */   // Label 9518: @585554
     /*  585554 */   GIM_Try, /*On fail goto*//*Label 9519*/ GIMT_Encode4(585629), // Rule ID 4084 //
     /*  585559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  585570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  585573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  585576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585605 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  585608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585627 */     GIR_RootConstrainSelectedInstOperands,
     /*  585628 */     // GIR_Coverage, 4084,
     /*  585628 */     GIR_EraseRootFromParent_Done,
     /*  585629 */   // Label 9519: @585629
     /*  585629 */   GIM_Try, /*On fail goto*//*Label 9520*/ GIMT_Encode4(585704), // Rule ID 4087 //
     /*  585634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  585645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  585648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  585651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585680 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  585683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585702 */     GIR_RootConstrainSelectedInstOperands,
     /*  585703 */     // GIR_Coverage, 4087,
     /*  585703 */     GIR_EraseRootFromParent_Done,
     /*  585704 */   // Label 9520: @585704
     /*  585704 */   GIM_Try, /*On fail goto*//*Label 9521*/ GIMT_Encode4(585779), // Rule ID 4088 //
     /*  585709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  585720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  585723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  585726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585755 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  585758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585777 */     GIR_RootConstrainSelectedInstOperands,
     /*  585778 */     // GIR_Coverage, 4088,
     /*  585778 */     GIR_EraseRootFromParent_Done,
     /*  585779 */   // Label 9521: @585779
     /*  585779 */   GIM_Try, /*On fail goto*//*Label 9522*/ GIMT_Encode4(585854), // Rule ID 4091 //
     /*  585784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  585795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  585798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  585801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585830 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  585833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585852 */     GIR_RootConstrainSelectedInstOperands,
     /*  585853 */     // GIR_Coverage, 4091,
     /*  585853 */     GIR_EraseRootFromParent_Done,
     /*  585854 */   // Label 9522: @585854
     /*  585854 */   GIM_Try, /*On fail goto*//*Label 9523*/ GIMT_Encode4(585929), // Rule ID 4092 //
     /*  585859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  585870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  585873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  585876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585905 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  585908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585927 */     GIR_RootConstrainSelectedInstOperands,
     /*  585928 */     // GIR_Coverage, 4092,
     /*  585928 */     GIR_EraseRootFromParent_Done,
     /*  585929 */   // Label 9523: @585929
     /*  585929 */   GIM_Try, /*On fail goto*//*Label 9524*/ GIMT_Encode4(586004), // Rule ID 4095 //
     /*  585934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  585942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  585945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  585948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  585951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585980 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  585983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586002 */     GIR_RootConstrainSelectedInstOperands,
     /*  586003 */     // GIR_Coverage, 4095,
     /*  586003 */     GIR_EraseRootFromParent_Done,
     /*  586004 */   // Label 9524: @586004
     /*  586004 */   GIM_Try, /*On fail goto*//*Label 9525*/ GIMT_Encode4(586079), // Rule ID 4096 //
     /*  586009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  586020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  586023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  586026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586055 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  586055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  586058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586077 */     GIR_RootConstrainSelectedInstOperands,
     /*  586078 */     // GIR_Coverage, 4096,
     /*  586078 */     GIR_EraseRootFromParent_Done,
     /*  586079 */   // Label 9525: @586079
     /*  586079 */   GIM_Try, /*On fail goto*//*Label 9526*/ GIMT_Encode4(586154), // Rule ID 4099 //
     /*  586084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  586095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  586098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  586101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586130 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  586130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  586133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586152 */     GIR_RootConstrainSelectedInstOperands,
     /*  586153 */     // GIR_Coverage, 4099,
     /*  586153 */     GIR_EraseRootFromParent_Done,
     /*  586154 */   // Label 9526: @586154
     /*  586154 */   GIM_Try, /*On fail goto*//*Label 9527*/ GIMT_Encode4(586229), // Rule ID 4100 //
     /*  586159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  586170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  586173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  586176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586205 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  586205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  586208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586227 */     GIR_RootConstrainSelectedInstOperands,
     /*  586228 */     // GIR_Coverage, 4100,
     /*  586228 */     GIR_EraseRootFromParent_Done,
     /*  586229 */   // Label 9527: @586229
     /*  586229 */   GIM_Try, /*On fail goto*//*Label 9528*/ GIMT_Encode4(586304), // Rule ID 4103 //
     /*  586234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  586237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  586245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  586248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  586251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  586283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586302 */     GIR_RootConstrainSelectedInstOperands,
     /*  586303 */     // GIR_Coverage, 4103,
     /*  586303 */     GIR_EraseRootFromParent_Done,
     /*  586304 */   // Label 9528: @586304
     /*  586304 */   GIM_Try, /*On fail goto*//*Label 9529*/ GIMT_Encode4(586379), // Rule ID 4104 //
     /*  586309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  586320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  586323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  586326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586355 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  586358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586377 */     GIR_RootConstrainSelectedInstOperands,
     /*  586378 */     // GIR_Coverage, 4104,
     /*  586378 */     GIR_EraseRootFromParent_Done,
     /*  586379 */   // Label 9529: @586379
     /*  586379 */   GIM_Try, /*On fail goto*//*Label 9530*/ GIMT_Encode4(586454), // Rule ID 4107 //
     /*  586384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  586387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  586395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  586398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  586401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586430 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  586433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586452 */     GIR_RootConstrainSelectedInstOperands,
     /*  586453 */     // GIR_Coverage, 4107,
     /*  586453 */     GIR_EraseRootFromParent_Done,
     /*  586454 */   // Label 9530: @586454
     /*  586454 */   GIM_Try, /*On fail goto*//*Label 9531*/ GIMT_Encode4(586529), // Rule ID 4108 //
     /*  586459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  586470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  586473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  586476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586505 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  586508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586527 */     GIR_RootConstrainSelectedInstOperands,
     /*  586528 */     // GIR_Coverage, 4108,
     /*  586528 */     GIR_EraseRootFromParent_Done,
     /*  586529 */   // Label 9531: @586529
     /*  586529 */   GIM_Try, /*On fail goto*//*Label 9532*/ GIMT_Encode4(586604), // Rule ID 4111 //
     /*  586534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  586537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  586545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  586548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  586551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586580 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  586583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586602 */     GIR_RootConstrainSelectedInstOperands,
     /*  586603 */     // GIR_Coverage, 4111,
     /*  586603 */     GIR_EraseRootFromParent_Done,
     /*  586604 */   // Label 9532: @586604
     /*  586604 */   GIM_Try, /*On fail goto*//*Label 9533*/ GIMT_Encode4(586679), // Rule ID 4112 //
     /*  586609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  586620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  586623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  586626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586655 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  586658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586677 */     GIR_RootConstrainSelectedInstOperands,
     /*  586678 */     // GIR_Coverage, 4112,
     /*  586678 */     GIR_EraseRootFromParent_Done,
     /*  586679 */   // Label 9533: @586679
     /*  586679 */   GIM_Try, /*On fail goto*//*Label 9534*/ GIMT_Encode4(586754), // Rule ID 4115 //
     /*  586684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  586687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  586695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  586698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  586701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586730 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  586733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586752 */     GIR_RootConstrainSelectedInstOperands,
     /*  586753 */     // GIR_Coverage, 4115,
     /*  586753 */     GIR_EraseRootFromParent_Done,
     /*  586754 */   // Label 9534: @586754
     /*  586754 */   GIM_Try, /*On fail goto*//*Label 9535*/ GIMT_Encode4(586829), // Rule ID 4116 //
     /*  586759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  586767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  586770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  586773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  586776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586805 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  586808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586827 */     GIR_RootConstrainSelectedInstOperands,
     /*  586828 */     // GIR_Coverage, 4116,
     /*  586828 */     GIR_EraseRootFromParent_Done,
     /*  586829 */   // Label 9535: @586829
     /*  586829 */   GIM_Try, /*On fail goto*//*Label 9536*/ GIMT_Encode4(586904), // Rule ID 4121 //
     /*  586834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  586842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  586845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  586848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  586851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  586854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586880 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  586883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586902 */     GIR_RootConstrainSelectedInstOperands,
     /*  586903 */     // GIR_Coverage, 4121,
     /*  586903 */     GIR_EraseRootFromParent_Done,
     /*  586904 */   // Label 9536: @586904
     /*  586904 */   GIM_Try, /*On fail goto*//*Label 9537*/ GIMT_Encode4(586979), // Rule ID 4122 //
     /*  586909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  586917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  586920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  586923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  586926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  586929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586955 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  586958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586977 */     GIR_RootConstrainSelectedInstOperands,
     /*  586978 */     // GIR_Coverage, 4122,
     /*  586978 */     GIR_EraseRootFromParent_Done,
     /*  586979 */   // Label 9537: @586979
     /*  586979 */   GIM_Try, /*On fail goto*//*Label 9538*/ GIMT_Encode4(587054), // Rule ID 4131 //
     /*  586984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  586992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  586995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  586998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  587001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  587004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587030 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  587033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587052 */     GIR_RootConstrainSelectedInstOperands,
     /*  587053 */     // GIR_Coverage, 4131,
     /*  587053 */     GIR_EraseRootFromParent_Done,
     /*  587054 */   // Label 9538: @587054
     /*  587054 */   GIM_Try, /*On fail goto*//*Label 9539*/ GIMT_Encode4(587129), // Rule ID 4132 //
     /*  587059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  587067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  587070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  587073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  587076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  587079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587105 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  587108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587127 */     GIR_RootConstrainSelectedInstOperands,
     /*  587128 */     // GIR_Coverage, 4132,
     /*  587128 */     GIR_EraseRootFromParent_Done,
     /*  587129 */   // Label 9539: @587129
     /*  587129 */   GIM_Try, /*On fail goto*//*Label 9540*/ GIMT_Encode4(587204), // Rule ID 4141 //
     /*  587134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  587142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  587145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  587148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  587151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  587154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587180 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  587183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587202 */     GIR_RootConstrainSelectedInstOperands,
     /*  587203 */     // GIR_Coverage, 4141,
     /*  587203 */     GIR_EraseRootFromParent_Done,
     /*  587204 */   // Label 9540: @587204
     /*  587204 */   GIM_Try, /*On fail goto*//*Label 9541*/ GIMT_Encode4(587279), // Rule ID 4142 //
     /*  587209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  587217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  587220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  587223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  587226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  587229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587255 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  587258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587277 */     GIR_RootConstrainSelectedInstOperands,
     /*  587278 */     // GIR_Coverage, 4142,
     /*  587278 */     GIR_EraseRootFromParent_Done,
     /*  587279 */   // Label 9541: @587279
     /*  587279 */   GIM_Try, /*On fail goto*//*Label 9542*/ GIMT_Encode4(587354), // Rule ID 4151 //
     /*  587284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  587292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  587295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  587298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  587301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  587304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587330 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  587333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587352 */     GIR_RootConstrainSelectedInstOperands,
     /*  587353 */     // GIR_Coverage, 4151,
     /*  587353 */     GIR_EraseRootFromParent_Done,
     /*  587354 */   // Label 9542: @587354
     /*  587354 */   GIM_Try, /*On fail goto*//*Label 9543*/ GIMT_Encode4(587429), // Rule ID 4152 //
     /*  587359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  587367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  587370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  587373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  587376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  587379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587405 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  587408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587427 */     GIR_RootConstrainSelectedInstOperands,
     /*  587428 */     // GIR_Coverage, 4152,
     /*  587428 */     GIR_EraseRootFromParent_Done,
     /*  587429 */   // Label 9543: @587429
     /*  587429 */   GIM_Try, /*On fail goto*//*Label 9544*/ GIMT_Encode4(587504), // Rule ID 4161 //
     /*  587434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  587442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  587445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  587448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  587451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  587454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587480 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  587483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587502 */     GIR_RootConstrainSelectedInstOperands,
     /*  587503 */     // GIR_Coverage, 4161,
     /*  587503 */     GIR_EraseRootFromParent_Done,
     /*  587504 */   // Label 9544: @587504
     /*  587504 */   GIM_Try, /*On fail goto*//*Label 9545*/ GIMT_Encode4(587579), // Rule ID 4162 //
     /*  587509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  587517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  587520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  587523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  587526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  587529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587555 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  587558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587577 */     GIR_RootConstrainSelectedInstOperands,
     /*  587578 */     // GIR_Coverage, 4162,
     /*  587578 */     GIR_EraseRootFromParent_Done,
     /*  587579 */   // Label 9545: @587579
     /*  587579 */   GIM_Try, /*On fail goto*//*Label 9546*/ GIMT_Encode4(587654), // Rule ID 4171 //
     /*  587584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  587592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  587595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  587598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  587601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  587604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587630 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  587633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587652 */     GIR_RootConstrainSelectedInstOperands,
     /*  587653 */     // GIR_Coverage, 4171,
     /*  587653 */     GIR_EraseRootFromParent_Done,
     /*  587654 */   // Label 9546: @587654
     /*  587654 */   GIM_Try, /*On fail goto*//*Label 9547*/ GIMT_Encode4(587729), // Rule ID 4172 //
     /*  587659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  587667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  587670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  587673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  587676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  587679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587705 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  587708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587727 */     GIR_RootConstrainSelectedInstOperands,
     /*  587728 */     // GIR_Coverage, 4172,
     /*  587728 */     GIR_EraseRootFromParent_Done,
     /*  587729 */   // Label 9547: @587729
     /*  587729 */   GIM_Try, /*On fail goto*//*Label 9548*/ GIMT_Encode4(587804), // Rule ID 4181 //
     /*  587734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  587742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  587745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  587748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  587751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  587754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587780 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  587783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587802 */     GIR_RootConstrainSelectedInstOperands,
     /*  587803 */     // GIR_Coverage, 4181,
     /*  587803 */     GIR_EraseRootFromParent_Done,
     /*  587804 */   // Label 9548: @587804
     /*  587804 */   GIM_Try, /*On fail goto*//*Label 9549*/ GIMT_Encode4(587879), // Rule ID 4182 //
     /*  587809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  587817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  587820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  587823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  587826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  587829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587855 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  587858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587877 */     GIR_RootConstrainSelectedInstOperands,
     /*  587878 */     // GIR_Coverage, 4182,
     /*  587878 */     GIR_EraseRootFromParent_Done,
     /*  587879 */   // Label 9549: @587879
     /*  587879 */   GIM_Try, /*On fail goto*//*Label 9550*/ GIMT_Encode4(587954), // Rule ID 4191 //
     /*  587884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  587892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  587895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  587898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  587901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  587904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587930 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  587933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587952 */     GIR_RootConstrainSelectedInstOperands,
     /*  587953 */     // GIR_Coverage, 4191,
     /*  587953 */     GIR_EraseRootFromParent_Done,
     /*  587954 */   // Label 9550: @587954
     /*  587954 */   GIM_Try, /*On fail goto*//*Label 9551*/ GIMT_Encode4(588029), // Rule ID 4192 //
     /*  587959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  587967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  587970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  587973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  587976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  587979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588005 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  588005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  588008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588027 */     GIR_RootConstrainSelectedInstOperands,
     /*  588028 */     // GIR_Coverage, 4192,
     /*  588028 */     GIR_EraseRootFromParent_Done,
     /*  588029 */   // Label 9551: @588029
     /*  588029 */   GIM_Try, /*On fail goto*//*Label 9552*/ GIMT_Encode4(588104), // Rule ID 4201 //
     /*  588034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  588045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  588048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  588051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  588054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588080 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  588080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  588083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588102 */     GIR_RootConstrainSelectedInstOperands,
     /*  588103 */     // GIR_Coverage, 4201,
     /*  588103 */     GIR_EraseRootFromParent_Done,
     /*  588104 */   // Label 9552: @588104
     /*  588104 */   GIM_Try, /*On fail goto*//*Label 9553*/ GIMT_Encode4(588179), // Rule ID 4202 //
     /*  588109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  588120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  588123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  588126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  588129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588155 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  588155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  588158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588177 */     GIR_RootConstrainSelectedInstOperands,
     /*  588178 */     // GIR_Coverage, 4202,
     /*  588178 */     GIR_EraseRootFromParent_Done,
     /*  588179 */   // Label 9553: @588179
     /*  588179 */   GIM_Try, /*On fail goto*//*Label 9554*/ GIMT_Encode4(588254), // Rule ID 4211 //
     /*  588184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  588195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  588198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  588201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  588204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588230 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  588230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  588233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588252 */     GIR_RootConstrainSelectedInstOperands,
     /*  588253 */     // GIR_Coverage, 4211,
     /*  588253 */     GIR_EraseRootFromParent_Done,
     /*  588254 */   // Label 9554: @588254
     /*  588254 */   GIM_Try, /*On fail goto*//*Label 9555*/ GIMT_Encode4(588329), // Rule ID 4212 //
     /*  588259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  588270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  588273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  588276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  588279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588305 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  588305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  588308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588327 */     GIR_RootConstrainSelectedInstOperands,
     /*  588328 */     // GIR_Coverage, 4212,
     /*  588328 */     GIR_EraseRootFromParent_Done,
     /*  588329 */   // Label 9555: @588329
     /*  588329 */   GIM_Try, /*On fail goto*//*Label 9556*/ GIMT_Encode4(588404), // Rule ID 4221 //
     /*  588334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  588345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  588348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  588351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  588354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588380 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  588380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  588383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588402 */     GIR_RootConstrainSelectedInstOperands,
     /*  588403 */     // GIR_Coverage, 4221,
     /*  588403 */     GIR_EraseRootFromParent_Done,
     /*  588404 */   // Label 9556: @588404
     /*  588404 */   GIM_Try, /*On fail goto*//*Label 9557*/ GIMT_Encode4(588479), // Rule ID 4222 //
     /*  588409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  588420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  588423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  588426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  588429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588455 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  588455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  588458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588477 */     GIR_RootConstrainSelectedInstOperands,
     /*  588478 */     // GIR_Coverage, 4222,
     /*  588478 */     GIR_EraseRootFromParent_Done,
     /*  588479 */   // Label 9557: @588479
     /*  588479 */   GIM_Try, /*On fail goto*//*Label 9558*/ GIMT_Encode4(588554), // Rule ID 4231 //
     /*  588484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  588495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  588498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  588501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  588504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588530 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  588533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588552 */     GIR_RootConstrainSelectedInstOperands,
     /*  588553 */     // GIR_Coverage, 4231,
     /*  588553 */     GIR_EraseRootFromParent_Done,
     /*  588554 */   // Label 9558: @588554
     /*  588554 */   GIM_Try, /*On fail goto*//*Label 9559*/ GIMT_Encode4(588629), // Rule ID 4232 //
     /*  588559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  588570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  588573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  588576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  588579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588605 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  588608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588627 */     GIR_RootConstrainSelectedInstOperands,
     /*  588628 */     // GIR_Coverage, 4232,
     /*  588628 */     GIR_EraseRootFromParent_Done,
     /*  588629 */   // Label 9559: @588629
     /*  588629 */   GIM_Try, /*On fail goto*//*Label 9560*/ GIMT_Encode4(588704), // Rule ID 4241 //
     /*  588634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  588645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  588648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  588651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  588654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588680 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  588683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588702 */     GIR_RootConstrainSelectedInstOperands,
     /*  588703 */     // GIR_Coverage, 4241,
     /*  588703 */     GIR_EraseRootFromParent_Done,
     /*  588704 */   // Label 9560: @588704
     /*  588704 */   GIM_Try, /*On fail goto*//*Label 9561*/ GIMT_Encode4(588779), // Rule ID 4242 //
     /*  588709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  588720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  588723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  588726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  588729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588755 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  588758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588777 */     GIR_RootConstrainSelectedInstOperands,
     /*  588778 */     // GIR_Coverage, 4242,
     /*  588778 */     GIR_EraseRootFromParent_Done,
     /*  588779 */   // Label 9561: @588779
     /*  588779 */   GIM_Try, /*On fail goto*//*Label 9562*/ GIMT_Encode4(588854), // Rule ID 4251 //
     /*  588784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  588795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  588798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  588801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  588804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588830 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  588833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588852 */     GIR_RootConstrainSelectedInstOperands,
     /*  588853 */     // GIR_Coverage, 4251,
     /*  588853 */     GIR_EraseRootFromParent_Done,
     /*  588854 */   // Label 9562: @588854
     /*  588854 */   GIM_Try, /*On fail goto*//*Label 9563*/ GIMT_Encode4(588929), // Rule ID 4252 //
     /*  588859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  588870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  588873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  588876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  588879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588905 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  588908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588927 */     GIR_RootConstrainSelectedInstOperands,
     /*  588928 */     // GIR_Coverage, 4252,
     /*  588928 */     GIR_EraseRootFromParent_Done,
     /*  588929 */   // Label 9563: @588929
     /*  588929 */   GIM_Try, /*On fail goto*//*Label 9564*/ GIMT_Encode4(589004), // Rule ID 4261 //
     /*  588934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  588942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  588945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  588948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  588951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  588954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588980 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  588983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589002 */     GIR_RootConstrainSelectedInstOperands,
     /*  589003 */     // GIR_Coverage, 4261,
     /*  589003 */     GIR_EraseRootFromParent_Done,
     /*  589004 */   // Label 9564: @589004
     /*  589004 */   GIM_Try, /*On fail goto*//*Label 9565*/ GIMT_Encode4(589079), // Rule ID 4262 //
     /*  589009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  589012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  589020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  589023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  589026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  589029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589055 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  589055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  589058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  589074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589077 */     GIR_RootConstrainSelectedInstOperands,
     /*  589078 */     // GIR_Coverage, 4262,
     /*  589078 */     GIR_EraseRootFromParent_Done,
     /*  589079 */   // Label 9565: @589079
     /*  589079 */   GIM_Try, /*On fail goto*//*Label 9566*/ GIMT_Encode4(589154), // Rule ID 4269 //
     /*  589084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  589095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  589098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  589101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  589104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589130 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  589133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589152 */     GIR_RootConstrainSelectedInstOperands,
     /*  589153 */     // GIR_Coverage, 4269,
     /*  589153 */     GIR_EraseRootFromParent_Done,
     /*  589154 */   // Label 9566: @589154
     /*  589154 */   GIM_Try, /*On fail goto*//*Label 9567*/ GIMT_Encode4(589229), // Rule ID 4270 //
     /*  589159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  589170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  589173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  589176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  589179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589205 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  589208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589227 */     GIR_RootConstrainSelectedInstOperands,
     /*  589228 */     // GIR_Coverage, 4270,
     /*  589228 */     GIR_EraseRootFromParent_Done,
     /*  589229 */   // Label 9567: @589229
     /*  589229 */   GIM_Try, /*On fail goto*//*Label 9568*/ GIMT_Encode4(589304), // Rule ID 4273 //
     /*  589234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  589245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  589248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  589251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  589254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589280 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  589283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589302 */     GIR_RootConstrainSelectedInstOperands,
     /*  589303 */     // GIR_Coverage, 4273,
     /*  589303 */     GIR_EraseRootFromParent_Done,
     /*  589304 */   // Label 9568: @589304
     /*  589304 */   GIM_Try, /*On fail goto*//*Label 9569*/ GIMT_Encode4(589379), // Rule ID 4274 //
     /*  589309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  589320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  589323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  589326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  589329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589355 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  589358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589377 */     GIR_RootConstrainSelectedInstOperands,
     /*  589378 */     // GIR_Coverage, 4274,
     /*  589378 */     GIR_EraseRootFromParent_Done,
     /*  589379 */   // Label 9569: @589379
     /*  589379 */   GIM_Try, /*On fail goto*//*Label 9570*/ GIMT_Encode4(589454), // Rule ID 4277 //
     /*  589384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  589395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  589398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  589401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  589404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589430 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  589433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589452 */     GIR_RootConstrainSelectedInstOperands,
     /*  589453 */     // GIR_Coverage, 4277,
     /*  589453 */     GIR_EraseRootFromParent_Done,
     /*  589454 */   // Label 9570: @589454
     /*  589454 */   GIM_Try, /*On fail goto*//*Label 9571*/ GIMT_Encode4(589529), // Rule ID 4278 //
     /*  589459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  589470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  589473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  589476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  589479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589505 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11572:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  589508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589527 */     GIR_RootConstrainSelectedInstOperands,
     /*  589528 */     // GIR_Coverage, 4278,
     /*  589528 */     GIR_EraseRootFromParent_Done,
     /*  589529 */   // Label 9571: @589529
     /*  589529 */   GIM_Try, /*On fail goto*//*Label 9572*/ GIMT_Encode4(589604), // Rule ID 4281 //
     /*  589534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  589545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  589548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  589551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  589554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589580 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  589583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589602 */     GIR_RootConstrainSelectedInstOperands,
     /*  589603 */     // GIR_Coverage, 4281,
     /*  589603 */     GIR_EraseRootFromParent_Done,
     /*  589604 */   // Label 9572: @589604
     /*  589604 */   GIM_Try, /*On fail goto*//*Label 9573*/ GIMT_Encode4(589679), // Rule ID 4282 //
     /*  589609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  589620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  589623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  589626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  589629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589655 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  589658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589677 */     GIR_RootConstrainSelectedInstOperands,
     /*  589678 */     // GIR_Coverage, 4282,
     /*  589678 */     GIR_EraseRootFromParent_Done,
     /*  589679 */   // Label 9573: @589679
     /*  589679 */   GIM_Try, /*On fail goto*//*Label 9574*/ GIMT_Encode4(589754), // Rule ID 4285 //
     /*  589684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  589695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  589698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  589701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  589704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589730 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  589733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589752 */     GIR_RootConstrainSelectedInstOperands,
     /*  589753 */     // GIR_Coverage, 4285,
     /*  589753 */     GIR_EraseRootFromParent_Done,
     /*  589754 */   // Label 9574: @589754
     /*  589754 */   GIM_Try, /*On fail goto*//*Label 9575*/ GIMT_Encode4(589829), // Rule ID 4286 //
     /*  589759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  589770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  589773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  589776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  589779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589805 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  589808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589827 */     GIR_RootConstrainSelectedInstOperands,
     /*  589828 */     // GIR_Coverage, 4286,
     /*  589828 */     GIR_EraseRootFromParent_Done,
     /*  589829 */   // Label 9575: @589829
     /*  589829 */   GIM_Try, /*On fail goto*//*Label 9576*/ GIMT_Encode4(589904), // Rule ID 4289 //
     /*  589834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  589845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  589848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  589851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  589854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589880 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  589883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589902 */     GIR_RootConstrainSelectedInstOperands,
     /*  589903 */     // GIR_Coverage, 4289,
     /*  589903 */     GIR_EraseRootFromParent_Done,
     /*  589904 */   // Label 9576: @589904
     /*  589904 */   GIM_Try, /*On fail goto*//*Label 9577*/ GIMT_Encode4(589979), // Rule ID 4290 //
     /*  589909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  589920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  589923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  589926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  589929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589955 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  589958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589977 */     GIR_RootConstrainSelectedInstOperands,
     /*  589978 */     // GIR_Coverage, 4290,
     /*  589978 */     GIR_EraseRootFromParent_Done,
     /*  589979 */   // Label 9577: @589979
     /*  589979 */   GIM_Try, /*On fail goto*//*Label 9578*/ GIMT_Encode4(590054), // Rule ID 4293 //
     /*  589984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  589992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  589995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  589998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  590001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590030 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  590033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590052 */     GIR_RootConstrainSelectedInstOperands,
     /*  590053 */     // GIR_Coverage, 4293,
     /*  590053 */     GIR_EraseRootFromParent_Done,
     /*  590054 */   // Label 9578: @590054
     /*  590054 */   GIM_Try, /*On fail goto*//*Label 9579*/ GIMT_Encode4(590129), // Rule ID 4294 //
     /*  590059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  590070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  590073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  590076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590105 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  590108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590127 */     GIR_RootConstrainSelectedInstOperands,
     /*  590128 */     // GIR_Coverage, 4294,
     /*  590128 */     GIR_EraseRootFromParent_Done,
     /*  590129 */   // Label 9579: @590129
     /*  590129 */   GIM_Try, /*On fail goto*//*Label 9580*/ GIMT_Encode4(590204), // Rule ID 4297 //
     /*  590134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  590145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  590148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  590151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590180 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  590183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590202 */     GIR_RootConstrainSelectedInstOperands,
     /*  590203 */     // GIR_Coverage, 4297,
     /*  590203 */     GIR_EraseRootFromParent_Done,
     /*  590204 */   // Label 9580: @590204
     /*  590204 */   GIM_Try, /*On fail goto*//*Label 9581*/ GIMT_Encode4(590279), // Rule ID 4298 //
     /*  590209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  590220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  590223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  590226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590255 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11572:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  590258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590277 */     GIR_RootConstrainSelectedInstOperands,
     /*  590278 */     // GIR_Coverage, 4298,
     /*  590278 */     GIR_EraseRootFromParent_Done,
     /*  590279 */   // Label 9581: @590279
     /*  590279 */   GIM_Try, /*On fail goto*//*Label 9582*/ GIMT_Encode4(590354), // Rule ID 4301 //
     /*  590284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  590295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  590298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  590301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590330 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  590333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590352 */     GIR_RootConstrainSelectedInstOperands,
     /*  590353 */     // GIR_Coverage, 4301,
     /*  590353 */     GIR_EraseRootFromParent_Done,
     /*  590354 */   // Label 9582: @590354
     /*  590354 */   GIM_Try, /*On fail goto*//*Label 9583*/ GIMT_Encode4(590429), // Rule ID 4302 //
     /*  590359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  590370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  590373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  590376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590405 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  590408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590427 */     GIR_RootConstrainSelectedInstOperands,
     /*  590428 */     // GIR_Coverage, 4302,
     /*  590428 */     GIR_EraseRootFromParent_Done,
     /*  590429 */   // Label 9583: @590429
     /*  590429 */   GIM_Try, /*On fail goto*//*Label 9584*/ GIMT_Encode4(590504), // Rule ID 4305 //
     /*  590434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  590445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  590448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  590451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590480 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  590483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590502 */     GIR_RootConstrainSelectedInstOperands,
     /*  590503 */     // GIR_Coverage, 4305,
     /*  590503 */     GIR_EraseRootFromParent_Done,
     /*  590504 */   // Label 9584: @590504
     /*  590504 */   GIM_Try, /*On fail goto*//*Label 9585*/ GIMT_Encode4(590579), // Rule ID 4306 //
     /*  590509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  590520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  590523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  590526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590555 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  590558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590577 */     GIR_RootConstrainSelectedInstOperands,
     /*  590578 */     // GIR_Coverage, 4306,
     /*  590578 */     GIR_EraseRootFromParent_Done,
     /*  590579 */   // Label 9585: @590579
     /*  590579 */   GIM_Try, /*On fail goto*//*Label 9586*/ GIMT_Encode4(590654), // Rule ID 4309 //
     /*  590584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  590595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  590598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  590601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590630 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  590633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590652 */     GIR_RootConstrainSelectedInstOperands,
     /*  590653 */     // GIR_Coverage, 4309,
     /*  590653 */     GIR_EraseRootFromParent_Done,
     /*  590654 */   // Label 9586: @590654
     /*  590654 */   GIM_Try, /*On fail goto*//*Label 9587*/ GIMT_Encode4(590729), // Rule ID 4310 //
     /*  590659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  590670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  590673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  590676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590705 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  590708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590727 */     GIR_RootConstrainSelectedInstOperands,
     /*  590728 */     // GIR_Coverage, 4310,
     /*  590728 */     GIR_EraseRootFromParent_Done,
     /*  590729 */   // Label 9587: @590729
     /*  590729 */   GIM_Try, /*On fail goto*//*Label 9588*/ GIMT_Encode4(590804), // Rule ID 4313 //
     /*  590734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  590745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  590748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  590751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590780 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  590783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590802 */     GIR_RootConstrainSelectedInstOperands,
     /*  590803 */     // GIR_Coverage, 4313,
     /*  590803 */     GIR_EraseRootFromParent_Done,
     /*  590804 */   // Label 9588: @590804
     /*  590804 */   GIM_Try, /*On fail goto*//*Label 9589*/ GIMT_Encode4(590879), // Rule ID 4314 //
     /*  590809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  590820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  590823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  590826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590855 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11572:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  590858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590877 */     GIR_RootConstrainSelectedInstOperands,
     /*  590878 */     // GIR_Coverage, 4314,
     /*  590878 */     GIR_EraseRootFromParent_Done,
     /*  590879 */   // Label 9589: @590879
     /*  590879 */   GIM_Try, /*On fail goto*//*Label 9590*/ GIMT_Encode4(590954), // Rule ID 4317 //
     /*  590884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  590895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  590898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  590901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590930 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  590933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590952 */     GIR_RootConstrainSelectedInstOperands,
     /*  590953 */     // GIR_Coverage, 4317,
     /*  590953 */     GIR_EraseRootFromParent_Done,
     /*  590954 */   // Label 9590: @590954
     /*  590954 */   GIM_Try, /*On fail goto*//*Label 9591*/ GIMT_Encode4(591029), // Rule ID 4318 //
     /*  590959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  590967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  590970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  590973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  590976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591005 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11572:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  591005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  591008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591027 */     GIR_RootConstrainSelectedInstOperands,
     /*  591028 */     // GIR_Coverage, 4318,
     /*  591028 */     GIR_EraseRootFromParent_Done,
     /*  591029 */   // Label 9591: @591029
     /*  591029 */   GIM_Try, /*On fail goto*//*Label 9592*/ GIMT_Encode4(591104), // Rule ID 4321 //
     /*  591034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  591037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  591045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  591048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  591051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591080 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  591080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  591083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591102 */     GIR_RootConstrainSelectedInstOperands,
     /*  591103 */     // GIR_Coverage, 4321,
     /*  591103 */     GIR_EraseRootFromParent_Done,
     /*  591104 */   // Label 9592: @591104
     /*  591104 */   GIM_Try, /*On fail goto*//*Label 9593*/ GIMT_Encode4(591179), // Rule ID 4322 //
     /*  591109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  591112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  591120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  591123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  591126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591155 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11572:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  591155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  591158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591177 */     GIR_RootConstrainSelectedInstOperands,
     /*  591178 */     // GIR_Coverage, 4322,
     /*  591178 */     GIR_EraseRootFromParent_Done,
     /*  591179 */   // Label 9593: @591179
     /*  591179 */   GIM_Try, /*On fail goto*//*Label 9594*/ GIMT_Encode4(591254), // Rule ID 4325 //
     /*  591184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  591187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  591195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  591198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  591201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591230 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  591230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  591233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591252 */     GIR_RootConstrainSelectedInstOperands,
     /*  591253 */     // GIR_Coverage, 4325,
     /*  591253 */     GIR_EraseRootFromParent_Done,
     /*  591254 */   // Label 9594: @591254
     /*  591254 */   GIM_Try, /*On fail goto*//*Label 9595*/ GIMT_Encode4(591329), // Rule ID 4326 //
     /*  591259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  591262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  591267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  591270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  591273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  591276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591305 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11572:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  591305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  591308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591327 */     GIR_RootConstrainSelectedInstOperands,
     /*  591328 */     // GIR_Coverage, 4326,
     /*  591328 */     GIR_EraseRootFromParent_Done,
     /*  591329 */   // Label 9595: @591329
     /*  591329 */   GIM_Try, /*On fail goto*//*Label 9596*/ GIMT_Encode4(591404), // Rule ID 4331 //
     /*  591334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  591342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  591345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  591348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  591351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  591354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591380 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  591383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591402 */     GIR_RootConstrainSelectedInstOperands,
     /*  591403 */     // GIR_Coverage, 4331,
     /*  591403 */     GIR_EraseRootFromParent_Done,
     /*  591404 */   // Label 9596: @591404
     /*  591404 */   GIM_Try, /*On fail goto*//*Label 9597*/ GIMT_Encode4(591479), // Rule ID 4332 //
     /*  591409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  591417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  591420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  591423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  591426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  591429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591455 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  591458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591477 */     GIR_RootConstrainSelectedInstOperands,
     /*  591478 */     // GIR_Coverage, 4332,
     /*  591478 */     GIR_EraseRootFromParent_Done,
     /*  591479 */   // Label 9597: @591479
     /*  591479 */   GIM_Try, /*On fail goto*//*Label 9598*/ GIMT_Encode4(591554), // Rule ID 4341 //
     /*  591484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  591492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  591495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  591498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  591501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  591504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591530 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  591533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591552 */     GIR_RootConstrainSelectedInstOperands,
     /*  591553 */     // GIR_Coverage, 4341,
     /*  591553 */     GIR_EraseRootFromParent_Done,
     /*  591554 */   // Label 9598: @591554
     /*  591554 */   GIM_Try, /*On fail goto*//*Label 9599*/ GIMT_Encode4(591629), // Rule ID 4342 //
     /*  591559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  591567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  591570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  591573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  591576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  591579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591605 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  591608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591627 */     GIR_RootConstrainSelectedInstOperands,
     /*  591628 */     // GIR_Coverage, 4342,
     /*  591628 */     GIR_EraseRootFromParent_Done,
     /*  591629 */   // Label 9599: @591629
     /*  591629 */   GIM_Try, /*On fail goto*//*Label 9600*/ GIMT_Encode4(591704), // Rule ID 4351 //
     /*  591634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  591642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  591645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  591648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  591651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  591654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591680 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  591683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591702 */     GIR_RootConstrainSelectedInstOperands,
     /*  591703 */     // GIR_Coverage, 4351,
     /*  591703 */     GIR_EraseRootFromParent_Done,
     /*  591704 */   // Label 9600: @591704
     /*  591704 */   GIM_Try, /*On fail goto*//*Label 9601*/ GIMT_Encode4(591779), // Rule ID 4352 //
     /*  591709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  591717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  591720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  591723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  591726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  591729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591755 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  591758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591777 */     GIR_RootConstrainSelectedInstOperands,
     /*  591778 */     // GIR_Coverage, 4352,
     /*  591778 */     GIR_EraseRootFromParent_Done,
     /*  591779 */   // Label 9601: @591779
     /*  591779 */   GIM_Try, /*On fail goto*//*Label 9602*/ GIMT_Encode4(591854), // Rule ID 4361 //
     /*  591784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  591792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  591795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  591798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  591801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  591804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591830 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  591833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591852 */     GIR_RootConstrainSelectedInstOperands,
     /*  591853 */     // GIR_Coverage, 4361,
     /*  591853 */     GIR_EraseRootFromParent_Done,
     /*  591854 */   // Label 9602: @591854
     /*  591854 */   GIM_Try, /*On fail goto*//*Label 9603*/ GIMT_Encode4(591929), // Rule ID 4362 //
     /*  591859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  591867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  591870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  591873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  591876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  591879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591905 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  591908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591927 */     GIR_RootConstrainSelectedInstOperands,
     /*  591928 */     // GIR_Coverage, 4362,
     /*  591928 */     GIR_EraseRootFromParent_Done,
     /*  591929 */   // Label 9603: @591929
     /*  591929 */   GIM_Try, /*On fail goto*//*Label 9604*/ GIMT_Encode4(592004), // Rule ID 4371 //
     /*  591934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  591942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  591945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  591948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  591951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  591954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591980 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  591983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592002 */     GIR_RootConstrainSelectedInstOperands,
     /*  592003 */     // GIR_Coverage, 4371,
     /*  592003 */     GIR_EraseRootFromParent_Done,
     /*  592004 */   // Label 9604: @592004
     /*  592004 */   GIM_Try, /*On fail goto*//*Label 9605*/ GIMT_Encode4(592079), // Rule ID 4372 //
     /*  592009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  592020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  592023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  592026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  592029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592055 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  592058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592077 */     GIR_RootConstrainSelectedInstOperands,
     /*  592078 */     // GIR_Coverage, 4372,
     /*  592078 */     GIR_EraseRootFromParent_Done,
     /*  592079 */   // Label 9605: @592079
     /*  592079 */   GIM_Try, /*On fail goto*//*Label 9606*/ GIMT_Encode4(592154), // Rule ID 4381 //
     /*  592084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  592095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  592098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  592101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  592104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592130 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  592130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  592133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592152 */     GIR_RootConstrainSelectedInstOperands,
     /*  592153 */     // GIR_Coverage, 4381,
     /*  592153 */     GIR_EraseRootFromParent_Done,
     /*  592154 */   // Label 9606: @592154
     /*  592154 */   GIM_Try, /*On fail goto*//*Label 9607*/ GIMT_Encode4(592229), // Rule ID 4382 //
     /*  592159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  592170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  592173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  592176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  592179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592205 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  592208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592227 */     GIR_RootConstrainSelectedInstOperands,
     /*  592228 */     // GIR_Coverage, 4382,
     /*  592228 */     GIR_EraseRootFromParent_Done,
     /*  592229 */   // Label 9607: @592229
     /*  592229 */   GIM_Try, /*On fail goto*//*Label 9608*/ GIMT_Encode4(592304), // Rule ID 4391 //
     /*  592234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  592245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  592248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  592251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  592254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592280 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  592283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592302 */     GIR_RootConstrainSelectedInstOperands,
     /*  592303 */     // GIR_Coverage, 4391,
     /*  592303 */     GIR_EraseRootFromParent_Done,
     /*  592304 */   // Label 9608: @592304
     /*  592304 */   GIM_Try, /*On fail goto*//*Label 9609*/ GIMT_Encode4(592379), // Rule ID 4392 //
     /*  592309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  592320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  592323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  592326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  592329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592355 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  592358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592377 */     GIR_RootConstrainSelectedInstOperands,
     /*  592378 */     // GIR_Coverage, 4392,
     /*  592378 */     GIR_EraseRootFromParent_Done,
     /*  592379 */   // Label 9609: @592379
     /*  592379 */   GIM_Try, /*On fail goto*//*Label 9610*/ GIMT_Encode4(592454), // Rule ID 4401 //
     /*  592384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  592395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  592398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  592401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  592404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592430 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  592433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592452 */     GIR_RootConstrainSelectedInstOperands,
     /*  592453 */     // GIR_Coverage, 4401,
     /*  592453 */     GIR_EraseRootFromParent_Done,
     /*  592454 */   // Label 9610: @592454
     /*  592454 */   GIM_Try, /*On fail goto*//*Label 9611*/ GIMT_Encode4(592529), // Rule ID 4402 //
     /*  592459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  592470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  592473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  592476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  592479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592505 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  592508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592527 */     GIR_RootConstrainSelectedInstOperands,
     /*  592528 */     // GIR_Coverage, 4402,
     /*  592528 */     GIR_EraseRootFromParent_Done,
     /*  592529 */   // Label 9611: @592529
     /*  592529 */   GIM_Try, /*On fail goto*//*Label 9612*/ GIMT_Encode4(592604), // Rule ID 4411 //
     /*  592534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  592545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  592548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  592551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  592554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592580 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  592583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592602 */     GIR_RootConstrainSelectedInstOperands,
     /*  592603 */     // GIR_Coverage, 4411,
     /*  592603 */     GIR_EraseRootFromParent_Done,
     /*  592604 */   // Label 9612: @592604
     /*  592604 */   GIM_Try, /*On fail goto*//*Label 9613*/ GIMT_Encode4(592679), // Rule ID 4412 //
     /*  592609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  592620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  592623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  592626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  592629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592655 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  592658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592677 */     GIR_RootConstrainSelectedInstOperands,
     /*  592678 */     // GIR_Coverage, 4412,
     /*  592678 */     GIR_EraseRootFromParent_Done,
     /*  592679 */   // Label 9613: @592679
     /*  592679 */   GIM_Try, /*On fail goto*//*Label 9614*/ GIMT_Encode4(592754), // Rule ID 4421 //
     /*  592684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  592695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  592698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  592701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  592704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  592733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592752 */     GIR_RootConstrainSelectedInstOperands,
     /*  592753 */     // GIR_Coverage, 4421,
     /*  592753 */     GIR_EraseRootFromParent_Done,
     /*  592754 */   // Label 9614: @592754
     /*  592754 */   GIM_Try, /*On fail goto*//*Label 9615*/ GIMT_Encode4(592829), // Rule ID 4422 //
     /*  592759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  592770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  592773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  592776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  592779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592805 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  592808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592827 */     GIR_RootConstrainSelectedInstOperands,
     /*  592828 */     // GIR_Coverage, 4422,
     /*  592828 */     GIR_EraseRootFromParent_Done,
     /*  592829 */   // Label 9615: @592829
     /*  592829 */   GIM_Try, /*On fail goto*//*Label 9616*/ GIMT_Encode4(592904), // Rule ID 4431 //
     /*  592834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  592845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  592848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  592851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  592854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592880 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  592883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592902 */     GIR_RootConstrainSelectedInstOperands,
     /*  592903 */     // GIR_Coverage, 4431,
     /*  592903 */     GIR_EraseRootFromParent_Done,
     /*  592904 */   // Label 9616: @592904
     /*  592904 */   GIM_Try, /*On fail goto*//*Label 9617*/ GIMT_Encode4(592979), // Rule ID 4432 //
     /*  592909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  592920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  592923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  592926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  592929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592955 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  592958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592977 */     GIR_RootConstrainSelectedInstOperands,
     /*  592978 */     // GIR_Coverage, 4432,
     /*  592978 */     GIR_EraseRootFromParent_Done,
     /*  592979 */   // Label 9617: @592979
     /*  592979 */   GIM_Try, /*On fail goto*//*Label 9618*/ GIMT_Encode4(593054), // Rule ID 4441 //
     /*  592984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  592992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  592995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  592998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  593001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  593004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593030 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  593030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  593033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593052 */     GIR_RootConstrainSelectedInstOperands,
     /*  593053 */     // GIR_Coverage, 4441,
     /*  593053 */     GIR_EraseRootFromParent_Done,
     /*  593054 */   // Label 9618: @593054
     /*  593054 */   GIM_Try, /*On fail goto*//*Label 9619*/ GIMT_Encode4(593129), // Rule ID 4442 //
     /*  593059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  593062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  593070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  593073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  593076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  593079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593105 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  593105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  593108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593127 */     GIR_RootConstrainSelectedInstOperands,
     /*  593128 */     // GIR_Coverage, 4442,
     /*  593128 */     GIR_EraseRootFromParent_Done,
     /*  593129 */   // Label 9619: @593129
     /*  593129 */   GIM_Try, /*On fail goto*//*Label 9620*/ GIMT_Encode4(593204), // Rule ID 4451 //
     /*  593134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  593137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  593145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  593148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  593151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  593154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593180 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  593180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  593183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593202 */     GIR_RootConstrainSelectedInstOperands,
     /*  593203 */     // GIR_Coverage, 4451,
     /*  593203 */     GIR_EraseRootFromParent_Done,
     /*  593204 */   // Label 9620: @593204
     /*  593204 */   GIM_Try, /*On fail goto*//*Label 9621*/ GIMT_Encode4(593279), // Rule ID 4452 //
     /*  593209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  593212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  593220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  593223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  593226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  593229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593255 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  593255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  593258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593277 */     GIR_RootConstrainSelectedInstOperands,
     /*  593278 */     // GIR_Coverage, 4452,
     /*  593278 */     GIR_EraseRootFromParent_Done,
     /*  593279 */   // Label 9621: @593279
     /*  593279 */   GIM_Try, /*On fail goto*//*Label 9622*/ GIMT_Encode4(593354), // Rule ID 4461 //
     /*  593284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  593287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  593295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  593298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  593301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  593304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593330 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  593330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  593333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593352 */     GIR_RootConstrainSelectedInstOperands,
     /*  593353 */     // GIR_Coverage, 4461,
     /*  593353 */     GIR_EraseRootFromParent_Done,
     /*  593354 */   // Label 9622: @593354
     /*  593354 */   GIM_Try, /*On fail goto*//*Label 9623*/ GIMT_Encode4(593429), // Rule ID 4462 //
     /*  593359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  593362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  593370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  593373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  593376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  593379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593405 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  593405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  593408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593427 */     GIR_RootConstrainSelectedInstOperands,
     /*  593428 */     // GIR_Coverage, 4462,
     /*  593428 */     GIR_EraseRootFromParent_Done,
     /*  593429 */   // Label 9623: @593429
     /*  593429 */   GIM_Try, /*On fail goto*//*Label 9624*/ GIMT_Encode4(593504), // Rule ID 4471 //
     /*  593434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  593437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  593445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  593448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  593451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  593454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593480 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  593480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  593483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593502 */     GIR_RootConstrainSelectedInstOperands,
     /*  593503 */     // GIR_Coverage, 4471,
     /*  593503 */     GIR_EraseRootFromParent_Done,
     /*  593504 */   // Label 9624: @593504
     /*  593504 */   GIM_Try, /*On fail goto*//*Label 9625*/ GIMT_Encode4(593579), // Rule ID 4472 //
     /*  593509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  593512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  593520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  593523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  593526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  593529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593555 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  593555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  593558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593577 */     GIR_RootConstrainSelectedInstOperands,
     /*  593578 */     // GIR_Coverage, 4472,
     /*  593578 */     GIR_EraseRootFromParent_Done,
     /*  593579 */   // Label 9625: @593579
     /*  593579 */   GIM_Try, /*On fail goto*//*Label 9626*/ GIMT_Encode4(593654), // Rule ID 4479 //
     /*  593584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  593595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  593598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  593601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593630 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  593633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593652 */     GIR_RootConstrainSelectedInstOperands,
     /*  593653 */     // GIR_Coverage, 4479,
     /*  593653 */     GIR_EraseRootFromParent_Done,
     /*  593654 */   // Label 9626: @593654
     /*  593654 */   GIM_Try, /*On fail goto*//*Label 9627*/ GIMT_Encode4(593729), // Rule ID 4480 //
     /*  593659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  593670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  593673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  593676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593705 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  593708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593727 */     GIR_RootConstrainSelectedInstOperands,
     /*  593728 */     // GIR_Coverage, 4480,
     /*  593728 */     GIR_EraseRootFromParent_Done,
     /*  593729 */   // Label 9627: @593729
     /*  593729 */   GIM_Try, /*On fail goto*//*Label 9628*/ GIMT_Encode4(593804), // Rule ID 4483 //
     /*  593734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  593745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  593748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  593751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593780 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  593783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593802 */     GIR_RootConstrainSelectedInstOperands,
     /*  593803 */     // GIR_Coverage, 4483,
     /*  593803 */     GIR_EraseRootFromParent_Done,
     /*  593804 */   // Label 9628: @593804
     /*  593804 */   GIM_Try, /*On fail goto*//*Label 9629*/ GIMT_Encode4(593879), // Rule ID 4484 //
     /*  593809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  593820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  593823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  593826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593855 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  593858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593877 */     GIR_RootConstrainSelectedInstOperands,
     /*  593878 */     // GIR_Coverage, 4484,
     /*  593878 */     GIR_EraseRootFromParent_Done,
     /*  593879 */   // Label 9629: @593879
     /*  593879 */   GIM_Try, /*On fail goto*//*Label 9630*/ GIMT_Encode4(593954), // Rule ID 4487 //
     /*  593884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  593895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  593898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  593901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593930 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  593933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593952 */     GIR_RootConstrainSelectedInstOperands,
     /*  593953 */     // GIR_Coverage, 4487,
     /*  593953 */     GIR_EraseRootFromParent_Done,
     /*  593954 */   // Label 9630: @593954
     /*  593954 */   GIM_Try, /*On fail goto*//*Label 9631*/ GIMT_Encode4(594029), // Rule ID 4488 //
     /*  593959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  593967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  593970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  593973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  593976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594005 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  594008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594027 */     GIR_RootConstrainSelectedInstOperands,
     /*  594028 */     // GIR_Coverage, 4488,
     /*  594028 */     GIR_EraseRootFromParent_Done,
     /*  594029 */   // Label 9631: @594029
     /*  594029 */   GIM_Try, /*On fail goto*//*Label 9632*/ GIMT_Encode4(594104), // Rule ID 4491 //
     /*  594034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  594045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  594048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  594051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594080 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  594080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  594083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594102 */     GIR_RootConstrainSelectedInstOperands,
     /*  594103 */     // GIR_Coverage, 4491,
     /*  594103 */     GIR_EraseRootFromParent_Done,
     /*  594104 */   // Label 9632: @594104
     /*  594104 */   GIM_Try, /*On fail goto*//*Label 9633*/ GIMT_Encode4(594179), // Rule ID 4492 //
     /*  594109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  594120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  594123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  594126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594155 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  594158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594177 */     GIR_RootConstrainSelectedInstOperands,
     /*  594178 */     // GIR_Coverage, 4492,
     /*  594178 */     GIR_EraseRootFromParent_Done,
     /*  594179 */   // Label 9633: @594179
     /*  594179 */   GIM_Try, /*On fail goto*//*Label 9634*/ GIMT_Encode4(594254), // Rule ID 4495 //
     /*  594184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  594195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  594198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  594201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594230 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  594230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  594233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594252 */     GIR_RootConstrainSelectedInstOperands,
     /*  594253 */     // GIR_Coverage, 4495,
     /*  594253 */     GIR_EraseRootFromParent_Done,
     /*  594254 */   // Label 9634: @594254
     /*  594254 */   GIM_Try, /*On fail goto*//*Label 9635*/ GIMT_Encode4(594329), // Rule ID 4496 //
     /*  594259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  594270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  594273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  594276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594305 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  594308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594327 */     GIR_RootConstrainSelectedInstOperands,
     /*  594328 */     // GIR_Coverage, 4496,
     /*  594328 */     GIR_EraseRootFromParent_Done,
     /*  594329 */   // Label 9635: @594329
     /*  594329 */   GIM_Try, /*On fail goto*//*Label 9636*/ GIMT_Encode4(594404), // Rule ID 4499 //
     /*  594334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  594345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  594348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  594351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594380 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  594380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  594383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594402 */     GIR_RootConstrainSelectedInstOperands,
     /*  594403 */     // GIR_Coverage, 4499,
     /*  594403 */     GIR_EraseRootFromParent_Done,
     /*  594404 */   // Label 9636: @594404
     /*  594404 */   GIM_Try, /*On fail goto*//*Label 9637*/ GIMT_Encode4(594479), // Rule ID 4500 //
     /*  594409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  594420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  594423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  594426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594455 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  594458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594477 */     GIR_RootConstrainSelectedInstOperands,
     /*  594478 */     // GIR_Coverage, 4500,
     /*  594478 */     GIR_EraseRootFromParent_Done,
     /*  594479 */   // Label 9637: @594479
     /*  594479 */   GIM_Try, /*On fail goto*//*Label 9638*/ GIMT_Encode4(594554), // Rule ID 4503 //
     /*  594484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  594495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  594498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  594501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594530 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  594533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594552 */     GIR_RootConstrainSelectedInstOperands,
     /*  594553 */     // GIR_Coverage, 4503,
     /*  594553 */     GIR_EraseRootFromParent_Done,
     /*  594554 */   // Label 9638: @594554
     /*  594554 */   GIM_Try, /*On fail goto*//*Label 9639*/ GIMT_Encode4(594629), // Rule ID 4504 //
     /*  594559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  594570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  594573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  594576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594605 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  594608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594627 */     GIR_RootConstrainSelectedInstOperands,
     /*  594628 */     // GIR_Coverage, 4504,
     /*  594628 */     GIR_EraseRootFromParent_Done,
     /*  594629 */   // Label 9639: @594629
     /*  594629 */   GIM_Try, /*On fail goto*//*Label 9640*/ GIMT_Encode4(594704), // Rule ID 4507 //
     /*  594634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  594645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  594648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  594651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594680 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  594683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594702 */     GIR_RootConstrainSelectedInstOperands,
     /*  594703 */     // GIR_Coverage, 4507,
     /*  594703 */     GIR_EraseRootFromParent_Done,
     /*  594704 */   // Label 9640: @594704
     /*  594704 */   GIM_Try, /*On fail goto*//*Label 9641*/ GIMT_Encode4(594779), // Rule ID 4508 //
     /*  594709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  594720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  594723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  594726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594755 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  594758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594777 */     GIR_RootConstrainSelectedInstOperands,
     /*  594778 */     // GIR_Coverage, 4508,
     /*  594778 */     GIR_EraseRootFromParent_Done,
     /*  594779 */   // Label 9641: @594779
     /*  594779 */   GIM_Try, /*On fail goto*//*Label 9642*/ GIMT_Encode4(594854), // Rule ID 4511 //
     /*  594784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  594795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  594798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  594801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594830 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  594833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594852 */     GIR_RootConstrainSelectedInstOperands,
     /*  594853 */     // GIR_Coverage, 4511,
     /*  594853 */     GIR_EraseRootFromParent_Done,
     /*  594854 */   // Label 9642: @594854
     /*  594854 */   GIM_Try, /*On fail goto*//*Label 9643*/ GIMT_Encode4(594929), // Rule ID 4512 //
     /*  594859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  594870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  594873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  594876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594905 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  594908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594927 */     GIR_RootConstrainSelectedInstOperands,
     /*  594928 */     // GIR_Coverage, 4512,
     /*  594928 */     GIR_EraseRootFromParent_Done,
     /*  594929 */   // Label 9643: @594929
     /*  594929 */   GIM_Try, /*On fail goto*//*Label 9644*/ GIMT_Encode4(595004), // Rule ID 4515 //
     /*  594934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  594942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  594945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  594948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  594951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594980 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  594983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595002 */     GIR_RootConstrainSelectedInstOperands,
     /*  595003 */     // GIR_Coverage, 4515,
     /*  595003 */     GIR_EraseRootFromParent_Done,
     /*  595004 */   // Label 9644: @595004
     /*  595004 */   GIM_Try, /*On fail goto*//*Label 9645*/ GIMT_Encode4(595079), // Rule ID 4516 //
     /*  595009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  595020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  595023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  595026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595055 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  595055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  595058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595077 */     GIR_RootConstrainSelectedInstOperands,
     /*  595078 */     // GIR_Coverage, 4516,
     /*  595078 */     GIR_EraseRootFromParent_Done,
     /*  595079 */   // Label 9645: @595079
     /*  595079 */   GIM_Try, /*On fail goto*//*Label 9646*/ GIMT_Encode4(595154), // Rule ID 4519 //
     /*  595084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  595095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  595098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  595101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595130 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  595130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  595133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595152 */     GIR_RootConstrainSelectedInstOperands,
     /*  595153 */     // GIR_Coverage, 4519,
     /*  595153 */     GIR_EraseRootFromParent_Done,
     /*  595154 */   // Label 9646: @595154
     /*  595154 */   GIM_Try, /*On fail goto*//*Label 9647*/ GIMT_Encode4(595229), // Rule ID 4520 //
     /*  595159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  595170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  595173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  595176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595205 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  595205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  595208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595227 */     GIR_RootConstrainSelectedInstOperands,
     /*  595228 */     // GIR_Coverage, 4520,
     /*  595228 */     GIR_EraseRootFromParent_Done,
     /*  595229 */   // Label 9647: @595229
     /*  595229 */   GIM_Try, /*On fail goto*//*Label 9648*/ GIMT_Encode4(595304), // Rule ID 4523 //
     /*  595234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  595237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  595245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  595248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  595251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  595283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595302 */     GIR_RootConstrainSelectedInstOperands,
     /*  595303 */     // GIR_Coverage, 4523,
     /*  595303 */     GIR_EraseRootFromParent_Done,
     /*  595304 */   // Label 9648: @595304
     /*  595304 */   GIM_Try, /*On fail goto*//*Label 9649*/ GIMT_Encode4(595379), // Rule ID 4524 //
     /*  595309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  595312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  595320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  595323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  595326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595355 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  595358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595377 */     GIR_RootConstrainSelectedInstOperands,
     /*  595378 */     // GIR_Coverage, 4524,
     /*  595378 */     GIR_EraseRootFromParent_Done,
     /*  595379 */   // Label 9649: @595379
     /*  595379 */   GIM_Try, /*On fail goto*//*Label 9650*/ GIMT_Encode4(595454), // Rule ID 4527 //
     /*  595384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  595387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  595395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  595398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  595401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595430 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  595433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595452 */     GIR_RootConstrainSelectedInstOperands,
     /*  595453 */     // GIR_Coverage, 4527,
     /*  595453 */     GIR_EraseRootFromParent_Done,
     /*  595454 */   // Label 9650: @595454
     /*  595454 */   GIM_Try, /*On fail goto*//*Label 9651*/ GIMT_Encode4(595529), // Rule ID 4528 //
     /*  595459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  595462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  595470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  595473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  595476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595505 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  595508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595527 */     GIR_RootConstrainSelectedInstOperands,
     /*  595528 */     // GIR_Coverage, 4528,
     /*  595528 */     GIR_EraseRootFromParent_Done,
     /*  595529 */   // Label 9651: @595529
     /*  595529 */   GIM_Try, /*On fail goto*//*Label 9652*/ GIMT_Encode4(595604), // Rule ID 4531 //
     /*  595534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  595537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  595545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  595548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  595551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595580 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  595583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595602 */     GIR_RootConstrainSelectedInstOperands,
     /*  595603 */     // GIR_Coverage, 4531,
     /*  595603 */     GIR_EraseRootFromParent_Done,
     /*  595604 */   // Label 9652: @595604
     /*  595604 */   GIM_Try, /*On fail goto*//*Label 9653*/ GIMT_Encode4(595679), // Rule ID 4532 //
     /*  595609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  595612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  595620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  595623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  595626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595655 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  595658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595677 */     GIR_RootConstrainSelectedInstOperands,
     /*  595678 */     // GIR_Coverage, 4532,
     /*  595678 */     GIR_EraseRootFromParent_Done,
     /*  595679 */   // Label 9653: @595679
     /*  595679 */   GIM_Try, /*On fail goto*//*Label 9654*/ GIMT_Encode4(595754), // Rule ID 4535 //
     /*  595684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  595687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  595695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  595698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  595701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595730 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  595733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595752 */     GIR_RootConstrainSelectedInstOperands,
     /*  595753 */     // GIR_Coverage, 4535,
     /*  595753 */     GIR_EraseRootFromParent_Done,
     /*  595754 */   // Label 9654: @595754
     /*  595754 */   GIM_Try, /*On fail goto*//*Label 9655*/ GIMT_Encode4(595829), // Rule ID 4536 //
     /*  595759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  595762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  595767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  595770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  595773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  595776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595805 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  595808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595827 */     GIR_RootConstrainSelectedInstOperands,
     /*  595828 */     // GIR_Coverage, 4536,
     /*  595828 */     GIR_EraseRootFromParent_Done,
     /*  595829 */   // Label 9655: @595829
     /*  595829 */   GIM_Try, /*On fail goto*//*Label 9656*/ GIMT_Encode4(595904), // Rule ID 4541 //
     /*  595834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  595842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  595845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  595848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  595851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  595854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595880 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  595883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595902 */     GIR_RootConstrainSelectedInstOperands,
     /*  595903 */     // GIR_Coverage, 4541,
     /*  595903 */     GIR_EraseRootFromParent_Done,
     /*  595904 */   // Label 9656: @595904
     /*  595904 */   GIM_Try, /*On fail goto*//*Label 9657*/ GIMT_Encode4(595979), // Rule ID 4542 //
     /*  595909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  595917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  595920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  595923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  595926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  595929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595955 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  595958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595977 */     GIR_RootConstrainSelectedInstOperands,
     /*  595978 */     // GIR_Coverage, 4542,
     /*  595978 */     GIR_EraseRootFromParent_Done,
     /*  595979 */   // Label 9657: @595979
     /*  595979 */   GIM_Try, /*On fail goto*//*Label 9658*/ GIMT_Encode4(596054), // Rule ID 4551 //
     /*  595984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  595992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  595995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  595998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  596001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  596004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596030 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  596030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  596033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596052 */     GIR_RootConstrainSelectedInstOperands,
     /*  596053 */     // GIR_Coverage, 4551,
     /*  596053 */     GIR_EraseRootFromParent_Done,
     /*  596054 */   // Label 9658: @596054
     /*  596054 */   GIM_Try, /*On fail goto*//*Label 9659*/ GIMT_Encode4(596129), // Rule ID 4552 //
     /*  596059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  596067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  596070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  596073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  596076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  596079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596105 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  596105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  596108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596127 */     GIR_RootConstrainSelectedInstOperands,
     /*  596128 */     // GIR_Coverage, 4552,
     /*  596128 */     GIR_EraseRootFromParent_Done,
     /*  596129 */   // Label 9659: @596129
     /*  596129 */   GIM_Try, /*On fail goto*//*Label 9660*/ GIMT_Encode4(596204), // Rule ID 4561 //
     /*  596134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  596142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  596145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  596148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  596151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  596154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596180 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  596180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  596183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596202 */     GIR_RootConstrainSelectedInstOperands,
     /*  596203 */     // GIR_Coverage, 4561,
     /*  596203 */     GIR_EraseRootFromParent_Done,
     /*  596204 */   // Label 9660: @596204
     /*  596204 */   GIM_Try, /*On fail goto*//*Label 9661*/ GIMT_Encode4(596279), // Rule ID 4562 //
     /*  596209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  596217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  596220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  596223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  596226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  596229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596255 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  596255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  596258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596277 */     GIR_RootConstrainSelectedInstOperands,
     /*  596278 */     // GIR_Coverage, 4562,
     /*  596278 */     GIR_EraseRootFromParent_Done,
     /*  596279 */   // Label 9661: @596279
     /*  596279 */   GIM_Try, /*On fail goto*//*Label 9662*/ GIMT_Encode4(596354), // Rule ID 4571 //
     /*  596284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  596292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  596295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  596298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  596301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  596304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596330 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  596330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  596333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596352 */     GIR_RootConstrainSelectedInstOperands,
     /*  596353 */     // GIR_Coverage, 4571,
     /*  596353 */     GIR_EraseRootFromParent_Done,
     /*  596354 */   // Label 9662: @596354
     /*  596354 */   GIM_Try, /*On fail goto*//*Label 9663*/ GIMT_Encode4(596429), // Rule ID 4572 //
     /*  596359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  596367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  596370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  596373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  596376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  596379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596405 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  596405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  596408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596427 */     GIR_RootConstrainSelectedInstOperands,
     /*  596428 */     // GIR_Coverage, 4572,
     /*  596428 */     GIR_EraseRootFromParent_Done,
     /*  596429 */   // Label 9663: @596429
     /*  596429 */   GIM_Try, /*On fail goto*//*Label 9664*/ GIMT_Encode4(596504), // Rule ID 4581 //
     /*  596434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  596442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  596445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  596448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  596451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  596454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596480 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  596480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  596483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596502 */     GIR_RootConstrainSelectedInstOperands,
     /*  596503 */     // GIR_Coverage, 4581,
     /*  596503 */     GIR_EraseRootFromParent_Done,
     /*  596504 */   // Label 9664: @596504
     /*  596504 */   GIM_Try, /*On fail goto*//*Label 9665*/ GIMT_Encode4(596579), // Rule ID 4582 //
     /*  596509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  596517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  596520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  596523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  596526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  596529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596555 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  596555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  596558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596577 */     GIR_RootConstrainSelectedInstOperands,
     /*  596578 */     // GIR_Coverage, 4582,
     /*  596578 */     GIR_EraseRootFromParent_Done,
     /*  596579 */   // Label 9665: @596579
     /*  596579 */   GIM_Try, /*On fail goto*//*Label 9666*/ GIMT_Encode4(596654), // Rule ID 4591 //
     /*  596584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  596592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  596595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  596598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  596601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  596604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596630 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  596630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  596633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596652 */     GIR_RootConstrainSelectedInstOperands,
     /*  596653 */     // GIR_Coverage, 4591,
     /*  596653 */     GIR_EraseRootFromParent_Done,
     /*  596654 */   // Label 9666: @596654
     /*  596654 */   GIM_Try, /*On fail goto*//*Label 9667*/ GIMT_Encode4(596729), // Rule ID 4592 //
     /*  596659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  596667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  596670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  596673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  596676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  596679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596705 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  596705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  596708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596727 */     GIR_RootConstrainSelectedInstOperands,
     /*  596728 */     // GIR_Coverage, 4592,
     /*  596728 */     GIR_EraseRootFromParent_Done,
     /*  596729 */   // Label 9667: @596729
     /*  596729 */   GIM_Try, /*On fail goto*//*Label 9668*/ GIMT_Encode4(596804), // Rule ID 4601 //
     /*  596734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  596742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  596745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  596748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  596751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  596754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596780 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  596783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596802 */     GIR_RootConstrainSelectedInstOperands,
     /*  596803 */     // GIR_Coverage, 4601,
     /*  596803 */     GIR_EraseRootFromParent_Done,
     /*  596804 */   // Label 9668: @596804
     /*  596804 */   GIM_Try, /*On fail goto*//*Label 9669*/ GIMT_Encode4(596879), // Rule ID 4602 //
     /*  596809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  596817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  596820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  596823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  596826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  596829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596855 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  596858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596877 */     GIR_RootConstrainSelectedInstOperands,
     /*  596878 */     // GIR_Coverage, 4602,
     /*  596878 */     GIR_EraseRootFromParent_Done,
     /*  596879 */   // Label 9669: @596879
     /*  596879 */   GIM_Try, /*On fail goto*//*Label 9670*/ GIMT_Encode4(596954), // Rule ID 4611 //
     /*  596884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  596892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  596895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  596898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  596901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  596904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596930 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  596933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596952 */     GIR_RootConstrainSelectedInstOperands,
     /*  596953 */     // GIR_Coverage, 4611,
     /*  596953 */     GIR_EraseRootFromParent_Done,
     /*  596954 */   // Label 9670: @596954
     /*  596954 */   GIM_Try, /*On fail goto*//*Label 9671*/ GIMT_Encode4(597029), // Rule ID 4612 //
     /*  596959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  596967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  596970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  596973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  596976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  596979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597005 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  597005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  597008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597027 */     GIR_RootConstrainSelectedInstOperands,
     /*  597028 */     // GIR_Coverage, 4612,
     /*  597028 */     GIR_EraseRootFromParent_Done,
     /*  597029 */   // Label 9671: @597029
     /*  597029 */   GIM_Try, /*On fail goto*//*Label 9672*/ GIMT_Encode4(597104), // Rule ID 4621 //
     /*  597034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  597045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  597048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  597051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  597054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597080 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  597080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  597083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597102 */     GIR_RootConstrainSelectedInstOperands,
     /*  597103 */     // GIR_Coverage, 4621,
     /*  597103 */     GIR_EraseRootFromParent_Done,
     /*  597104 */   // Label 9672: @597104
     /*  597104 */   GIM_Try, /*On fail goto*//*Label 9673*/ GIMT_Encode4(597179), // Rule ID 4622 //
     /*  597109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  597120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  597123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  597126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  597129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597155 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  597155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  597158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597177 */     GIR_RootConstrainSelectedInstOperands,
     /*  597178 */     // GIR_Coverage, 4622,
     /*  597178 */     GIR_EraseRootFromParent_Done,
     /*  597179 */   // Label 9673: @597179
     /*  597179 */   GIM_Try, /*On fail goto*//*Label 9674*/ GIMT_Encode4(597254), // Rule ID 4631 //
     /*  597184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  597195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  597198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  597201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  597204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597230 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  597230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  597233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597252 */     GIR_RootConstrainSelectedInstOperands,
     /*  597253 */     // GIR_Coverage, 4631,
     /*  597253 */     GIR_EraseRootFromParent_Done,
     /*  597254 */   // Label 9674: @597254
     /*  597254 */   GIM_Try, /*On fail goto*//*Label 9675*/ GIMT_Encode4(597329), // Rule ID 4632 //
     /*  597259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  597270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  597273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  597276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  597279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597305 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  597305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  597308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597327 */     GIR_RootConstrainSelectedInstOperands,
     /*  597328 */     // GIR_Coverage, 4632,
     /*  597328 */     GIR_EraseRootFromParent_Done,
     /*  597329 */   // Label 9675: @597329
     /*  597329 */   GIM_Try, /*On fail goto*//*Label 9676*/ GIMT_Encode4(597404), // Rule ID 4641 //
     /*  597334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  597345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  597348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  597351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  597354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597380 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  597380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  597383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597402 */     GIR_RootConstrainSelectedInstOperands,
     /*  597403 */     // GIR_Coverage, 4641,
     /*  597403 */     GIR_EraseRootFromParent_Done,
     /*  597404 */   // Label 9676: @597404
     /*  597404 */   GIM_Try, /*On fail goto*//*Label 9677*/ GIMT_Encode4(597479), // Rule ID 4642 //
     /*  597409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  597420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  597423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  597426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  597429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597455 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  597455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  597458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597477 */     GIR_RootConstrainSelectedInstOperands,
     /*  597478 */     // GIR_Coverage, 4642,
     /*  597478 */     GIR_EraseRootFromParent_Done,
     /*  597479 */   // Label 9677: @597479
     /*  597479 */   GIM_Try, /*On fail goto*//*Label 9678*/ GIMT_Encode4(597554), // Rule ID 4651 //
     /*  597484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  597495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  597498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  597501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  597504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597530 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  597533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597552 */     GIR_RootConstrainSelectedInstOperands,
     /*  597553 */     // GIR_Coverage, 4651,
     /*  597553 */     GIR_EraseRootFromParent_Done,
     /*  597554 */   // Label 9678: @597554
     /*  597554 */   GIM_Try, /*On fail goto*//*Label 9679*/ GIMT_Encode4(597629), // Rule ID 4652 //
     /*  597559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  597570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  597573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  597576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  597579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597605 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  597608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597627 */     GIR_RootConstrainSelectedInstOperands,
     /*  597628 */     // GIR_Coverage, 4652,
     /*  597628 */     GIR_EraseRootFromParent_Done,
     /*  597629 */   // Label 9679: @597629
     /*  597629 */   GIM_Try, /*On fail goto*//*Label 9680*/ GIMT_Encode4(597704), // Rule ID 4661 //
     /*  597634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  597645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  597648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  597651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  597654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597680 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  597683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597702 */     GIR_RootConstrainSelectedInstOperands,
     /*  597703 */     // GIR_Coverage, 4661,
     /*  597703 */     GIR_EraseRootFromParent_Done,
     /*  597704 */   // Label 9680: @597704
     /*  597704 */   GIM_Try, /*On fail goto*//*Label 9681*/ GIMT_Encode4(597779), // Rule ID 4662 //
     /*  597709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  597720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  597723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  597726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  597729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597755 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  597758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597777 */     GIR_RootConstrainSelectedInstOperands,
     /*  597778 */     // GIR_Coverage, 4662,
     /*  597778 */     GIR_EraseRootFromParent_Done,
     /*  597779 */   // Label 9681: @597779
     /*  597779 */   GIM_Try, /*On fail goto*//*Label 9682*/ GIMT_Encode4(597854), // Rule ID 4671 //
     /*  597784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  597795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  597798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  597801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  597804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597830 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  597833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597852 */     GIR_RootConstrainSelectedInstOperands,
     /*  597853 */     // GIR_Coverage, 4671,
     /*  597853 */     GIR_EraseRootFromParent_Done,
     /*  597854 */   // Label 9682: @597854
     /*  597854 */   GIM_Try, /*On fail goto*//*Label 9683*/ GIMT_Encode4(597929), // Rule ID 4672 //
     /*  597859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  597870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  597873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  597876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  597879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597905 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  597908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597927 */     GIR_RootConstrainSelectedInstOperands,
     /*  597928 */     // GIR_Coverage, 4672,
     /*  597928 */     GIR_EraseRootFromParent_Done,
     /*  597929 */   // Label 9683: @597929
     /*  597929 */   GIM_Try, /*On fail goto*//*Label 9684*/ GIMT_Encode4(598004), // Rule ID 4681 //
     /*  597934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  597942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  597945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  597948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  597951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  597954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597980 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  597983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598002 */     GIR_RootConstrainSelectedInstOperands,
     /*  598003 */     // GIR_Coverage, 4681,
     /*  598003 */     GIR_EraseRootFromParent_Done,
     /*  598004 */   // Label 9684: @598004
     /*  598004 */   GIM_Try, /*On fail goto*//*Label 9685*/ GIMT_Encode4(598079), // Rule ID 4682 //
     /*  598009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  598012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  598020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  598023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  598026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  598029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598055 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  598055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  598058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598077 */     GIR_RootConstrainSelectedInstOperands,
     /*  598078 */     // GIR_Coverage, 4682,
     /*  598078 */     GIR_EraseRootFromParent_Done,
     /*  598079 */   // Label 9685: @598079
     /*  598079 */   GIM_Try, /*On fail goto*//*Label 9686*/ GIMT_Encode4(598154), // Rule ID 4689 //
     /*  598084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  598095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  598098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  598101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  598104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598130 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  598133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598152 */     GIR_RootConstrainSelectedInstOperands,
     /*  598153 */     // GIR_Coverage, 4689,
     /*  598153 */     GIR_EraseRootFromParent_Done,
     /*  598154 */   // Label 9686: @598154
     /*  598154 */   GIM_Try, /*On fail goto*//*Label 9687*/ GIMT_Encode4(598229), // Rule ID 4690 //
     /*  598159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  598170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  598173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  598176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  598179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598205 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  598208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598227 */     GIR_RootConstrainSelectedInstOperands,
     /*  598228 */     // GIR_Coverage, 4690,
     /*  598228 */     GIR_EraseRootFromParent_Done,
     /*  598229 */   // Label 9687: @598229
     /*  598229 */   GIM_Try, /*On fail goto*//*Label 9688*/ GIMT_Encode4(598304), // Rule ID 4693 //
     /*  598234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  598245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  598248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  598251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  598254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598280 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  598283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598302 */     GIR_RootConstrainSelectedInstOperands,
     /*  598303 */     // GIR_Coverage, 4693,
     /*  598303 */     GIR_EraseRootFromParent_Done,
     /*  598304 */   // Label 9688: @598304
     /*  598304 */   GIM_Try, /*On fail goto*//*Label 9689*/ GIMT_Encode4(598379), // Rule ID 4694 //
     /*  598309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  598320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  598323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  598326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  598329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598355 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  598358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598377 */     GIR_RootConstrainSelectedInstOperands,
     /*  598378 */     // GIR_Coverage, 4694,
     /*  598378 */     GIR_EraseRootFromParent_Done,
     /*  598379 */   // Label 9689: @598379
     /*  598379 */   GIM_Try, /*On fail goto*//*Label 9690*/ GIMT_Encode4(598454), // Rule ID 4697 //
     /*  598384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  598395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  598398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  598401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  598404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598430 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  598433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598452 */     GIR_RootConstrainSelectedInstOperands,
     /*  598453 */     // GIR_Coverage, 4697,
     /*  598453 */     GIR_EraseRootFromParent_Done,
     /*  598454 */   // Label 9690: @598454
     /*  598454 */   GIM_Try, /*On fail goto*//*Label 9691*/ GIMT_Encode4(598529), // Rule ID 4698 //
     /*  598459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  598470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  598473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  598476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  598479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598505 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11568:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  598508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598527 */     GIR_RootConstrainSelectedInstOperands,
     /*  598528 */     // GIR_Coverage, 4698,
     /*  598528 */     GIR_EraseRootFromParent_Done,
     /*  598529 */   // Label 9691: @598529
     /*  598529 */   GIM_Try, /*On fail goto*//*Label 9692*/ GIMT_Encode4(598604), // Rule ID 4701 //
     /*  598534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  598545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  598548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  598551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  598554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598580 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  598583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598602 */     GIR_RootConstrainSelectedInstOperands,
     /*  598603 */     // GIR_Coverage, 4701,
     /*  598603 */     GIR_EraseRootFromParent_Done,
     /*  598604 */   // Label 9692: @598604
     /*  598604 */   GIM_Try, /*On fail goto*//*Label 9693*/ GIMT_Encode4(598679), // Rule ID 4702 //
     /*  598609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  598620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  598623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  598626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  598629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598655 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  598658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598677 */     GIR_RootConstrainSelectedInstOperands,
     /*  598678 */     // GIR_Coverage, 4702,
     /*  598678 */     GIR_EraseRootFromParent_Done,
     /*  598679 */   // Label 9693: @598679
     /*  598679 */   GIM_Try, /*On fail goto*//*Label 9694*/ GIMT_Encode4(598754), // Rule ID 4705 //
     /*  598684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  598695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  598698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  598701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  598704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598730 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  598733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598752 */     GIR_RootConstrainSelectedInstOperands,
     /*  598753 */     // GIR_Coverage, 4705,
     /*  598753 */     GIR_EraseRootFromParent_Done,
     /*  598754 */   // Label 9694: @598754
     /*  598754 */   GIM_Try, /*On fail goto*//*Label 9695*/ GIMT_Encode4(598829), // Rule ID 4706 //
     /*  598759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  598770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  598773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  598776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  598779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598805 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  598808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598827 */     GIR_RootConstrainSelectedInstOperands,
     /*  598828 */     // GIR_Coverage, 4706,
     /*  598828 */     GIR_EraseRootFromParent_Done,
     /*  598829 */   // Label 9695: @598829
     /*  598829 */   GIM_Try, /*On fail goto*//*Label 9696*/ GIMT_Encode4(598904), // Rule ID 4709 //
     /*  598834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  598845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  598848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  598851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  598854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598880 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  598883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598902 */     GIR_RootConstrainSelectedInstOperands,
     /*  598903 */     // GIR_Coverage, 4709,
     /*  598903 */     GIR_EraseRootFromParent_Done,
     /*  598904 */   // Label 9696: @598904
     /*  598904 */   GIM_Try, /*On fail goto*//*Label 9697*/ GIMT_Encode4(598979), // Rule ID 4710 //
     /*  598909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  598920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  598923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  598926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  598929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598955 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  598958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598977 */     GIR_RootConstrainSelectedInstOperands,
     /*  598978 */     // GIR_Coverage, 4710,
     /*  598978 */     GIR_EraseRootFromParent_Done,
     /*  598979 */   // Label 9697: @598979
     /*  598979 */   GIM_Try, /*On fail goto*//*Label 9698*/ GIMT_Encode4(599054), // Rule ID 4713 //
     /*  598984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  598992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  598995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  598998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  599001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599030 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  599033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599052 */     GIR_RootConstrainSelectedInstOperands,
     /*  599053 */     // GIR_Coverage, 4713,
     /*  599053 */     GIR_EraseRootFromParent_Done,
     /*  599054 */   // Label 9698: @599054
     /*  599054 */   GIM_Try, /*On fail goto*//*Label 9699*/ GIMT_Encode4(599129), // Rule ID 4714 //
     /*  599059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  599070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  599073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  599076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599105 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  599108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599127 */     GIR_RootConstrainSelectedInstOperands,
     /*  599128 */     // GIR_Coverage, 4714,
     /*  599128 */     GIR_EraseRootFromParent_Done,
     /*  599129 */   // Label 9699: @599129
     /*  599129 */   GIM_Try, /*On fail goto*//*Label 9700*/ GIMT_Encode4(599204), // Rule ID 4717 //
     /*  599134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  599145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  599148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  599151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599180 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  599183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599202 */     GIR_RootConstrainSelectedInstOperands,
     /*  599203 */     // GIR_Coverage, 4717,
     /*  599203 */     GIR_EraseRootFromParent_Done,
     /*  599204 */   // Label 9700: @599204
     /*  599204 */   GIM_Try, /*On fail goto*//*Label 9701*/ GIMT_Encode4(599279), // Rule ID 4718 //
     /*  599209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  599220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  599223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  599226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599255 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11568:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  599258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599277 */     GIR_RootConstrainSelectedInstOperands,
     /*  599278 */     // GIR_Coverage, 4718,
     /*  599278 */     GIR_EraseRootFromParent_Done,
     /*  599279 */   // Label 9701: @599279
     /*  599279 */   GIM_Try, /*On fail goto*//*Label 9702*/ GIMT_Encode4(599354), // Rule ID 4721 //
     /*  599284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  599295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  599298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  599301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599330 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  599333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599352 */     GIR_RootConstrainSelectedInstOperands,
     /*  599353 */     // GIR_Coverage, 4721,
     /*  599353 */     GIR_EraseRootFromParent_Done,
     /*  599354 */   // Label 9702: @599354
     /*  599354 */   GIM_Try, /*On fail goto*//*Label 9703*/ GIMT_Encode4(599429), // Rule ID 4722 //
     /*  599359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  599370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  599373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  599376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599405 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  599408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599427 */     GIR_RootConstrainSelectedInstOperands,
     /*  599428 */     // GIR_Coverage, 4722,
     /*  599428 */     GIR_EraseRootFromParent_Done,
     /*  599429 */   // Label 9703: @599429
     /*  599429 */   GIM_Try, /*On fail goto*//*Label 9704*/ GIMT_Encode4(599504), // Rule ID 4725 //
     /*  599434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  599445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  599448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  599451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599480 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  599483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599502 */     GIR_RootConstrainSelectedInstOperands,
     /*  599503 */     // GIR_Coverage, 4725,
     /*  599503 */     GIR_EraseRootFromParent_Done,
     /*  599504 */   // Label 9704: @599504
     /*  599504 */   GIM_Try, /*On fail goto*//*Label 9705*/ GIMT_Encode4(599579), // Rule ID 4726 //
     /*  599509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  599520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  599523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  599526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599555 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  599558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599577 */     GIR_RootConstrainSelectedInstOperands,
     /*  599578 */     // GIR_Coverage, 4726,
     /*  599578 */     GIR_EraseRootFromParent_Done,
     /*  599579 */   // Label 9705: @599579
     /*  599579 */   GIM_Try, /*On fail goto*//*Label 9706*/ GIMT_Encode4(599654), // Rule ID 4729 //
     /*  599584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  599595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  599598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  599601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599630 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  599633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599652 */     GIR_RootConstrainSelectedInstOperands,
     /*  599653 */     // GIR_Coverage, 4729,
     /*  599653 */     GIR_EraseRootFromParent_Done,
     /*  599654 */   // Label 9706: @599654
     /*  599654 */   GIM_Try, /*On fail goto*//*Label 9707*/ GIMT_Encode4(599729), // Rule ID 4730 //
     /*  599659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  599670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  599673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  599676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599705 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  599708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599727 */     GIR_RootConstrainSelectedInstOperands,
     /*  599728 */     // GIR_Coverage, 4730,
     /*  599728 */     GIR_EraseRootFromParent_Done,
     /*  599729 */   // Label 9707: @599729
     /*  599729 */   GIM_Try, /*On fail goto*//*Label 9708*/ GIMT_Encode4(599804), // Rule ID 4733 //
     /*  599734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  599745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  599748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  599751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599780 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  599783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599802 */     GIR_RootConstrainSelectedInstOperands,
     /*  599803 */     // GIR_Coverage, 4733,
     /*  599803 */     GIR_EraseRootFromParent_Done,
     /*  599804 */   // Label 9708: @599804
     /*  599804 */   GIM_Try, /*On fail goto*//*Label 9709*/ GIMT_Encode4(599879), // Rule ID 4734 //
     /*  599809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  599820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  599823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  599826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599855 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11568:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  599858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599877 */     GIR_RootConstrainSelectedInstOperands,
     /*  599878 */     // GIR_Coverage, 4734,
     /*  599878 */     GIR_EraseRootFromParent_Done,
     /*  599879 */   // Label 9709: @599879
     /*  599879 */   GIM_Try, /*On fail goto*//*Label 9710*/ GIMT_Encode4(599954), // Rule ID 4737 //
     /*  599884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  599895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  599898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  599901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599930 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  599933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599952 */     GIR_RootConstrainSelectedInstOperands,
     /*  599953 */     // GIR_Coverage, 4737,
     /*  599953 */     GIR_EraseRootFromParent_Done,
     /*  599954 */   // Label 9710: @599954
     /*  599954 */   GIM_Try, /*On fail goto*//*Label 9711*/ GIMT_Encode4(600029), // Rule ID 4738 //
     /*  599959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  599967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  599970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  599973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  599976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600005 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11568:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  600005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  600008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600027 */     GIR_RootConstrainSelectedInstOperands,
     /*  600028 */     // GIR_Coverage, 4738,
     /*  600028 */     GIR_EraseRootFromParent_Done,
     /*  600029 */   // Label 9711: @600029
     /*  600029 */   GIM_Try, /*On fail goto*//*Label 9712*/ GIMT_Encode4(600104), // Rule ID 4741 //
     /*  600034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  600037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  600045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  600048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  600051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600080 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  600080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  600083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600102 */     GIR_RootConstrainSelectedInstOperands,
     /*  600103 */     // GIR_Coverage, 4741,
     /*  600103 */     GIR_EraseRootFromParent_Done,
     /*  600104 */   // Label 9712: @600104
     /*  600104 */   GIM_Try, /*On fail goto*//*Label 9713*/ GIMT_Encode4(600179), // Rule ID 4742 //
     /*  600109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  600112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  600120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  600123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  600126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600155 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11568:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  600155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  600158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600177 */     GIR_RootConstrainSelectedInstOperands,
     /*  600178 */     // GIR_Coverage, 4742,
     /*  600178 */     GIR_EraseRootFromParent_Done,
     /*  600179 */   // Label 9713: @600179
     /*  600179 */   GIM_Try, /*On fail goto*//*Label 9714*/ GIMT_Encode4(600254), // Rule ID 4745 //
     /*  600184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  600187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  600195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  600198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  600201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600230 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  600230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  600233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600252 */     GIR_RootConstrainSelectedInstOperands,
     /*  600253 */     // GIR_Coverage, 4745,
     /*  600253 */     GIR_EraseRootFromParent_Done,
     /*  600254 */   // Label 9714: @600254
     /*  600254 */   GIM_Try, /*On fail goto*//*Label 9715*/ GIMT_Encode4(600329), // Rule ID 4746 //
     /*  600259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  600262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  600267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  600270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  600273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  600276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600305 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11568:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  600305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  600308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600327 */     GIR_RootConstrainSelectedInstOperands,
     /*  600328 */     // GIR_Coverage, 4746,
     /*  600328 */     GIR_EraseRootFromParent_Done,
     /*  600329 */   // Label 9715: @600329
     /*  600329 */   GIM_Try, /*On fail goto*//*Label 9716*/ GIMT_Encode4(600401), // Rule ID 5099 //
     /*  600334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  600345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  600348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  600351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  600354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600380 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  600380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  600383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600399 */     GIR_RootConstrainSelectedInstOperands,
     /*  600400 */     // GIR_Coverage, 5099,
     /*  600400 */     GIR_EraseRootFromParent_Done,
     /*  600401 */   // Label 9716: @600401
     /*  600401 */   GIM_Try, /*On fail goto*//*Label 9717*/ GIMT_Encode4(600473), // Rule ID 5100 //
     /*  600406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  600417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  600420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  600423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  600426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600452 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  600452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  600455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600471 */     GIR_RootConstrainSelectedInstOperands,
     /*  600472 */     // GIR_Coverage, 5100,
     /*  600472 */     GIR_EraseRootFromParent_Done,
     /*  600473 */   // Label 9717: @600473
     /*  600473 */   GIM_Try, /*On fail goto*//*Label 9718*/ GIMT_Encode4(600545), // Rule ID 5101 //
     /*  600478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  600489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  600492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  600495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  600498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600524 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  600524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  600527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600543 */     GIR_RootConstrainSelectedInstOperands,
     /*  600544 */     // GIR_Coverage, 5101,
     /*  600544 */     GIR_EraseRootFromParent_Done,
     /*  600545 */   // Label 9718: @600545
     /*  600545 */   GIM_Try, /*On fail goto*//*Label 9719*/ GIMT_Encode4(600617), // Rule ID 5102 //
     /*  600550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  600561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  600564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  600567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  600570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600596 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  600596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  600599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600615 */     GIR_RootConstrainSelectedInstOperands,
     /*  600616 */     // GIR_Coverage, 5102,
     /*  600616 */     GIR_EraseRootFromParent_Done,
     /*  600617 */   // Label 9719: @600617
     /*  600617 */   GIM_Try, /*On fail goto*//*Label 9720*/ GIMT_Encode4(600689), // Rule ID 5103 //
     /*  600622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  600633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  600636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  600639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  600642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600668 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  600668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  600671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600687 */     GIR_RootConstrainSelectedInstOperands,
     /*  600688 */     // GIR_Coverage, 5103,
     /*  600688 */     GIR_EraseRootFromParent_Done,
     /*  600689 */   // Label 9720: @600689
     /*  600689 */   GIM_Try, /*On fail goto*//*Label 9721*/ GIMT_Encode4(600761), // Rule ID 5104 //
     /*  600694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  600705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  600708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  600711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  600714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600740 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  600740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  600743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600759 */     GIR_RootConstrainSelectedInstOperands,
     /*  600760 */     // GIR_Coverage, 5104,
     /*  600760 */     GIR_EraseRootFromParent_Done,
     /*  600761 */   // Label 9721: @600761
     /*  600761 */   GIM_Try, /*On fail goto*//*Label 9722*/ GIMT_Encode4(600833), // Rule ID 5105 //
     /*  600766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  600777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  600780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  600783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  600786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600812 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  600812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  600815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600831 */     GIR_RootConstrainSelectedInstOperands,
     /*  600832 */     // GIR_Coverage, 5105,
     /*  600832 */     GIR_EraseRootFromParent_Done,
     /*  600833 */   // Label 9722: @600833
     /*  600833 */   GIM_Try, /*On fail goto*//*Label 9723*/ GIMT_Encode4(600905), // Rule ID 5106 //
     /*  600838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  600849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  600852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  600855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  600858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600884 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  600884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  600887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600903 */     GIR_RootConstrainSelectedInstOperands,
     /*  600904 */     // GIR_Coverage, 5106,
     /*  600904 */     GIR_EraseRootFromParent_Done,
     /*  600905 */   // Label 9723: @600905
     /*  600905 */   GIM_Try, /*On fail goto*//*Label 9724*/ GIMT_Encode4(600977), // Rule ID 5107 //
     /*  600910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  600921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  600924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  600927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  600930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600956 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  600956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  600959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600975 */     GIR_RootConstrainSelectedInstOperands,
     /*  600976 */     // GIR_Coverage, 5107,
     /*  600976 */     GIR_EraseRootFromParent_Done,
     /*  600977 */   // Label 9724: @600977
     /*  600977 */   GIM_Try, /*On fail goto*//*Label 9725*/ GIMT_Encode4(601049), // Rule ID 5108 //
     /*  600982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  600993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  600996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  600999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  601002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  601028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  601031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601047 */     GIR_RootConstrainSelectedInstOperands,
     /*  601048 */     // GIR_Coverage, 5108,
     /*  601048 */     GIR_EraseRootFromParent_Done,
     /*  601049 */   // Label 9725: @601049
     /*  601049 */   GIM_Try, /*On fail goto*//*Label 9726*/ GIMT_Encode4(601121), // Rule ID 5109 //
     /*  601054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  601065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  601068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  601071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  601074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601100 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  601100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  601103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601119 */     GIR_RootConstrainSelectedInstOperands,
     /*  601120 */     // GIR_Coverage, 5109,
     /*  601120 */     GIR_EraseRootFromParent_Done,
     /*  601121 */   // Label 9726: @601121
     /*  601121 */   GIM_Try, /*On fail goto*//*Label 9727*/ GIMT_Encode4(601193), // Rule ID 5110 //
     /*  601126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  601137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  601140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  601143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  601146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601172 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  601172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  601175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601191 */     GIR_RootConstrainSelectedInstOperands,
     /*  601192 */     // GIR_Coverage, 5110,
     /*  601192 */     GIR_EraseRootFromParent_Done,
     /*  601193 */   // Label 9727: @601193
     /*  601193 */   GIM_Try, /*On fail goto*//*Label 9728*/ GIMT_Encode4(601265), // Rule ID 5111 //
     /*  601198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  601209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  601212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  601215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  601218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601244 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  601244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  601247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601263 */     GIR_RootConstrainSelectedInstOperands,
     /*  601264 */     // GIR_Coverage, 5111,
     /*  601264 */     GIR_EraseRootFromParent_Done,
     /*  601265 */   // Label 9728: @601265
     /*  601265 */   GIM_Try, /*On fail goto*//*Label 9729*/ GIMT_Encode4(601337), // Rule ID 5112 //
     /*  601270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  601281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  601284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  601287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  601290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601316 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  601316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  601319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601335 */     GIR_RootConstrainSelectedInstOperands,
     /*  601336 */     // GIR_Coverage, 5112,
     /*  601336 */     GIR_EraseRootFromParent_Done,
     /*  601337 */   // Label 9729: @601337
     /*  601337 */   GIM_Try, /*On fail goto*//*Label 9730*/ GIMT_Encode4(601409), // Rule ID 5113 //
     /*  601342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  601353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  601356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  601359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  601362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601388 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  601388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  601391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601407 */     GIR_RootConstrainSelectedInstOperands,
     /*  601408 */     // GIR_Coverage, 5113,
     /*  601408 */     GIR_EraseRootFromParent_Done,
     /*  601409 */   // Label 9730: @601409
     /*  601409 */   GIM_Try, /*On fail goto*//*Label 9731*/ GIMT_Encode4(601481), // Rule ID 5114 //
     /*  601414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  601425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  601428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  601431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  601434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601460 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  601460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  601463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601479 */     GIR_RootConstrainSelectedInstOperands,
     /*  601480 */     // GIR_Coverage, 5114,
     /*  601480 */     GIR_EraseRootFromParent_Done,
     /*  601481 */   // Label 9731: @601481
     /*  601481 */   GIM_Try, /*On fail goto*//*Label 9732*/ GIMT_Encode4(601553), // Rule ID 5115 //
     /*  601486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  601489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  601497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  601500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  601503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  601506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601532 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  601532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  601535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  601551 */     GIR_RootConstrainSelectedInstOperands,
     /*  601552 */     // GIR_Coverage, 5115,
     /*  601552 */     GIR_EraseRootFromParent_Done,
     /*  601553 */   // Label 9732: @601553
     /*  601553 */   GIM_Try, /*On fail goto*//*Label 9733*/ GIMT_Encode4(601625), // Rule ID 5116 //
     /*  601558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  601561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  601569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  601572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  601575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  601578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601604 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  601604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  601607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  601623 */     GIR_RootConstrainSelectedInstOperands,
     /*  601624 */     // GIR_Coverage, 5116,
     /*  601624 */     GIR_EraseRootFromParent_Done,
     /*  601625 */   // Label 9733: @601625
     /*  601625 */   GIM_Try, /*On fail goto*//*Label 9734*/ GIMT_Encode4(601697), // Rule ID 5117 //
     /*  601630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  601641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  601644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  601647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  601650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601676 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  601676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  601679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601695 */     GIR_RootConstrainSelectedInstOperands,
     /*  601696 */     // GIR_Coverage, 5117,
     /*  601696 */     GIR_EraseRootFromParent_Done,
     /*  601697 */   // Label 9734: @601697
     /*  601697 */   GIM_Try, /*On fail goto*//*Label 9735*/ GIMT_Encode4(601769), // Rule ID 5118 //
     /*  601702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  601713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  601716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  601719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  601722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601748 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  601748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  601751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601767 */     GIR_RootConstrainSelectedInstOperands,
     /*  601768 */     // GIR_Coverage, 5118,
     /*  601768 */     GIR_EraseRootFromParent_Done,
     /*  601769 */   // Label 9735: @601769
     /*  601769 */   GIM_Try, /*On fail goto*//*Label 9736*/ GIMT_Encode4(601841), // Rule ID 5119 //
     /*  601774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  601785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  601788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  601791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  601794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601820 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  601820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  601823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601839 */     GIR_RootConstrainSelectedInstOperands,
     /*  601840 */     // GIR_Coverage, 5119,
     /*  601840 */     GIR_EraseRootFromParent_Done,
     /*  601841 */   // Label 9736: @601841
     /*  601841 */   GIM_Try, /*On fail goto*//*Label 9737*/ GIMT_Encode4(601913), // Rule ID 5120 //
     /*  601846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  601857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  601860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  601863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  601866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601892 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  601892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  601895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601911 */     GIR_RootConstrainSelectedInstOperands,
     /*  601912 */     // GIR_Coverage, 5120,
     /*  601912 */     GIR_EraseRootFromParent_Done,
     /*  601913 */   // Label 9737: @601913
     /*  601913 */   GIM_Try, /*On fail goto*//*Label 9738*/ GIMT_Encode4(601985), // Rule ID 5121 //
     /*  601918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  601929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  601932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  601935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  601938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601964 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  601964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  601967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601983 */     GIR_RootConstrainSelectedInstOperands,
     /*  601984 */     // GIR_Coverage, 5121,
     /*  601984 */     GIR_EraseRootFromParent_Done,
     /*  601985 */   // Label 9738: @601985
     /*  601985 */   GIM_Try, /*On fail goto*//*Label 9739*/ GIMT_Encode4(602057), // Rule ID 5122 //
     /*  601990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  602001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  602004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  602007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  602010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602036 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  602036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  602039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602055 */     GIR_RootConstrainSelectedInstOperands,
     /*  602056 */     // GIR_Coverage, 5122,
     /*  602056 */     GIR_EraseRootFromParent_Done,
     /*  602057 */   // Label 9739: @602057
     /*  602057 */   GIM_Try, /*On fail goto*//*Label 9740*/ GIMT_Encode4(602129), // Rule ID 5123 //
     /*  602062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  602073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  602076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  602079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  602082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602108 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  602108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  602111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602127 */     GIR_RootConstrainSelectedInstOperands,
     /*  602128 */     // GIR_Coverage, 5123,
     /*  602128 */     GIR_EraseRootFromParent_Done,
     /*  602129 */   // Label 9740: @602129
     /*  602129 */   GIM_Try, /*On fail goto*//*Label 9741*/ GIMT_Encode4(602201), // Rule ID 5124 //
     /*  602134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  602145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  602148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  602151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  602154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602180 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  602180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  602183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602199 */     GIR_RootConstrainSelectedInstOperands,
     /*  602200 */     // GIR_Coverage, 5124,
     /*  602200 */     GIR_EraseRootFromParent_Done,
     /*  602201 */   // Label 9741: @602201
     /*  602201 */   GIM_Try, /*On fail goto*//*Label 9742*/ GIMT_Encode4(602273), // Rule ID 5125 //
     /*  602206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  602217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  602220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  602223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  602226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602252 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  602252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  602255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602271 */     GIR_RootConstrainSelectedInstOperands,
     /*  602272 */     // GIR_Coverage, 5125,
     /*  602272 */     GIR_EraseRootFromParent_Done,
     /*  602273 */   // Label 9742: @602273
     /*  602273 */   GIM_Try, /*On fail goto*//*Label 9743*/ GIMT_Encode4(602345), // Rule ID 5126 //
     /*  602278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  602289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  602292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  602295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  602298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602324 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  602324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  602327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602343 */     GIR_RootConstrainSelectedInstOperands,
     /*  602344 */     // GIR_Coverage, 5126,
     /*  602344 */     GIR_EraseRootFromParent_Done,
     /*  602345 */   // Label 9743: @602345
     /*  602345 */   GIM_Try, /*On fail goto*//*Label 9744*/ GIMT_Encode4(602417), // Rule ID 5127 //
     /*  602350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  602361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  602364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  602367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  602370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602396 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  602396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  602399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602415 */     GIR_RootConstrainSelectedInstOperands,
     /*  602416 */     // GIR_Coverage, 5127,
     /*  602416 */     GIR_EraseRootFromParent_Done,
     /*  602417 */   // Label 9744: @602417
     /*  602417 */   GIM_Try, /*On fail goto*//*Label 9745*/ GIMT_Encode4(602489), // Rule ID 5128 //
     /*  602422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  602433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  602436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  602439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  602442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602468 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  602468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  602471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602487 */     GIR_RootConstrainSelectedInstOperands,
     /*  602488 */     // GIR_Coverage, 5128,
     /*  602488 */     GIR_EraseRootFromParent_Done,
     /*  602489 */   // Label 9745: @602489
     /*  602489 */   GIM_Try, /*On fail goto*//*Label 9746*/ GIMT_Encode4(602561), // Rule ID 5129 //
     /*  602494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  602508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  602511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602540 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  602540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  602543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602559 */     GIR_RootConstrainSelectedInstOperands,
     /*  602560 */     // GIR_Coverage, 5129,
     /*  602560 */     GIR_EraseRootFromParent_Done,
     /*  602561 */   // Label 9746: @602561
     /*  602561 */   GIM_Try, /*On fail goto*//*Label 9747*/ GIMT_Encode4(602633), // Rule ID 5130 //
     /*  602566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  602580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  602583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602612 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  602612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  602615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602631 */     GIR_RootConstrainSelectedInstOperands,
     /*  602632 */     // GIR_Coverage, 5130,
     /*  602632 */     GIR_EraseRootFromParent_Done,
     /*  602633 */   // Label 9747: @602633
     /*  602633 */   GIM_Try, /*On fail goto*//*Label 9748*/ GIMT_Encode4(602705), // Rule ID 5131 //
     /*  602638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  602649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  602652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  602655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  602658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602684 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  602684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  602687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602703 */     GIR_RootConstrainSelectedInstOperands,
     /*  602704 */     // GIR_Coverage, 5131,
     /*  602704 */     GIR_EraseRootFromParent_Done,
     /*  602705 */   // Label 9748: @602705
     /*  602705 */   GIM_Try, /*On fail goto*//*Label 9749*/ GIMT_Encode4(602777), // Rule ID 5132 //
     /*  602710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  602721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  602724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  602727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  602730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602756 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  602756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  602759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602775 */     GIR_RootConstrainSelectedInstOperands,
     /*  602776 */     // GIR_Coverage, 5132,
     /*  602776 */     GIR_EraseRootFromParent_Done,
     /*  602777 */   // Label 9749: @602777
     /*  602777 */   GIM_Try, /*On fail goto*//*Label 9750*/ GIMT_Encode4(602849), // Rule ID 5133 //
     /*  602782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  602793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  602796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  602799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  602802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602828 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  602828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  602831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602847 */     GIR_RootConstrainSelectedInstOperands,
     /*  602848 */     // GIR_Coverage, 5133,
     /*  602848 */     GIR_EraseRootFromParent_Done,
     /*  602849 */   // Label 9750: @602849
     /*  602849 */   GIM_Try, /*On fail goto*//*Label 9751*/ GIMT_Encode4(602921), // Rule ID 5134 //
     /*  602854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  602865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  602868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  602871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  602874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602900 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  602900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  602903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602919 */     GIR_RootConstrainSelectedInstOperands,
     /*  602920 */     // GIR_Coverage, 5134,
     /*  602920 */     GIR_EraseRootFromParent_Done,
     /*  602921 */   // Label 9751: @602921
     /*  602921 */   GIM_Try, /*On fail goto*//*Label 9752*/ GIMT_Encode4(602993), // Rule ID 5135 //
     /*  602926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  602929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  602934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  602940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  602943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602972 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  602972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  602975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  602991 */     GIR_RootConstrainSelectedInstOperands,
     /*  602992 */     // GIR_Coverage, 5135,
     /*  602992 */     GIR_EraseRootFromParent_Done,
     /*  602993 */   // Label 9752: @602993
     /*  602993 */   GIM_Try, /*On fail goto*//*Label 9753*/ GIMT_Encode4(603065), // Rule ID 5136 //
     /*  602998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  603001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  603009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  603012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  603015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  603018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603044 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  603044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  603047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  603063 */     GIR_RootConstrainSelectedInstOperands,
     /*  603064 */     // GIR_Coverage, 5136,
     /*  603064 */     GIR_EraseRootFromParent_Done,
     /*  603065 */   // Label 9753: @603065
     /*  603065 */   GIM_Try, /*On fail goto*//*Label 9754*/ GIMT_Encode4(603137), // Rule ID 5137 //
     /*  603070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  603073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  603081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  603084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  603087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  603090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603116 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  603116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  603135 */     GIR_RootConstrainSelectedInstOperands,
     /*  603136 */     // GIR_Coverage, 5137,
     /*  603136 */     GIR_EraseRootFromParent_Done,
     /*  603137 */   // Label 9754: @603137
     /*  603137 */   GIM_Try, /*On fail goto*//*Label 9755*/ GIMT_Encode4(603209), // Rule ID 5138 //
     /*  603142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  603145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  603153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  603156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  603159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  603162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603188 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  603188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  603191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  603207 */     GIR_RootConstrainSelectedInstOperands,
     /*  603208 */     // GIR_Coverage, 5138,
     /*  603208 */     GIR_EraseRootFromParent_Done,
     /*  603209 */   // Label 9755: @603209
     /*  603209 */   GIM_Try, /*On fail goto*//*Label 9756*/ GIMT_Encode4(603281), // Rule ID 5139 //
     /*  603214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  603217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  603225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  603228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  603231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  603234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603260 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  603260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  603263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  603279 */     GIR_RootConstrainSelectedInstOperands,
     /*  603280 */     // GIR_Coverage, 5139,
     /*  603280 */     GIR_EraseRootFromParent_Done,
     /*  603281 */   // Label 9756: @603281
     /*  603281 */   GIM_Try, /*On fail goto*//*Label 9757*/ GIMT_Encode4(603353), // Rule ID 5140 //
     /*  603286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  603289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  603297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  603300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  603303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  603306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603332 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  603332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  603335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  603351 */     GIR_RootConstrainSelectedInstOperands,
     /*  603352 */     // GIR_Coverage, 5140,
     /*  603352 */     GIR_EraseRootFromParent_Done,
     /*  603353 */   // Label 9757: @603353
     /*  603353 */   GIM_Try, /*On fail goto*//*Label 9758*/ GIMT_Encode4(603425), // Rule ID 5141 //
     /*  603358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  603369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  603372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  603375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  603378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  603393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603404 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  603404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  603407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603423 */     GIR_RootConstrainSelectedInstOperands,
     /*  603424 */     // GIR_Coverage, 5141,
     /*  603424 */     GIR_EraseRootFromParent_Done,
     /*  603425 */   // Label 9758: @603425
     /*  603425 */   GIM_Try, /*On fail goto*//*Label 9759*/ GIMT_Encode4(603497), // Rule ID 5142 //
     /*  603430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  603441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  603444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  603447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  603450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  603465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603476 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  603476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  603479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603495 */     GIR_RootConstrainSelectedInstOperands,
     /*  603496 */     // GIR_Coverage, 5142,
     /*  603496 */     GIR_EraseRootFromParent_Done,
     /*  603497 */   // Label 9759: @603497
     /*  603497 */   GIM_Try, /*On fail goto*//*Label 9760*/ GIMT_Encode4(603569), // Rule ID 5143 //
     /*  603502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  603513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  603516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  603519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  603522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  603537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603548 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  603548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  603551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603567 */     GIR_RootConstrainSelectedInstOperands,
     /*  603568 */     // GIR_Coverage, 5143,
     /*  603568 */     GIR_EraseRootFromParent_Done,
     /*  603569 */   // Label 9760: @603569
     /*  603569 */   GIM_Try, /*On fail goto*//*Label 9761*/ GIMT_Encode4(603641), // Rule ID 5144 //
     /*  603574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  603585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  603588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  603591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  603594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  603609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603620 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  603620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  603623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603639 */     GIR_RootConstrainSelectedInstOperands,
     /*  603640 */     // GIR_Coverage, 5144,
     /*  603640 */     GIR_EraseRootFromParent_Done,
     /*  603641 */   // Label 9761: @603641
     /*  603641 */   GIM_Try, /*On fail goto*//*Label 9762*/ GIMT_Encode4(603713), // Rule ID 5145 //
     /*  603646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  603657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  603660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  603663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  603666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  603681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603692 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  603692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  603695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603711 */     GIR_RootConstrainSelectedInstOperands,
     /*  603712 */     // GIR_Coverage, 5145,
     /*  603712 */     GIR_EraseRootFromParent_Done,
     /*  603713 */   // Label 9762: @603713
     /*  603713 */   GIM_Try, /*On fail goto*//*Label 9763*/ GIMT_Encode4(603785), // Rule ID 5146 //
     /*  603718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  603729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  603732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  603735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  603738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  603753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603764 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  603764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  603767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603783 */     GIR_RootConstrainSelectedInstOperands,
     /*  603784 */     // GIR_Coverage, 5146,
     /*  603784 */     GIR_EraseRootFromParent_Done,
     /*  603785 */   // Label 9763: @603785
     /*  603785 */   GIM_Try, /*On fail goto*//*Label 9764*/ GIMT_Encode4(603857), // Rule ID 5147 //
     /*  603790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  603801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  603804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  603807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  603810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  603825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603836 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  603836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  603839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603855 */     GIR_RootConstrainSelectedInstOperands,
     /*  603856 */     // GIR_Coverage, 5147,
     /*  603856 */     GIR_EraseRootFromParent_Done,
     /*  603857 */   // Label 9764: @603857
     /*  603857 */   GIM_Try, /*On fail goto*//*Label 9765*/ GIMT_Encode4(603929), // Rule ID 5148 //
     /*  603862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  603873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  603876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  603879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  603882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  603897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603908 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  603908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  603911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603927 */     GIR_RootConstrainSelectedInstOperands,
     /*  603928 */     // GIR_Coverage, 5148,
     /*  603928 */     GIR_EraseRootFromParent_Done,
     /*  603929 */   // Label 9765: @603929
     /*  603929 */   GIM_Try, /*On fail goto*//*Label 9766*/ GIMT_Encode4(604001), // Rule ID 5149 //
     /*  603934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  603942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  603945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  603948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  603951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  603954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  603969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603980 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  603980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  603983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603999 */     GIR_RootConstrainSelectedInstOperands,
     /*  604000 */     // GIR_Coverage, 5149,
     /*  604000 */     GIR_EraseRootFromParent_Done,
     /*  604001 */   // Label 9766: @604001
     /*  604001 */   GIM_Try, /*On fail goto*//*Label 9767*/ GIMT_Encode4(604073), // Rule ID 5150 //
     /*  604006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  604017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  604020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  604023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  604026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604052 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  604052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  604055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604071 */     GIR_RootConstrainSelectedInstOperands,
     /*  604072 */     // GIR_Coverage, 5150,
     /*  604072 */     GIR_EraseRootFromParent_Done,
     /*  604073 */   // Label 9767: @604073
     /*  604073 */   GIM_Try, /*On fail goto*//*Label 9768*/ GIMT_Encode4(604145), // Rule ID 5151 //
     /*  604078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  604089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  604092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  604095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  604098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604124 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  604124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  604127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604143 */     GIR_RootConstrainSelectedInstOperands,
     /*  604144 */     // GIR_Coverage, 5151,
     /*  604144 */     GIR_EraseRootFromParent_Done,
     /*  604145 */   // Label 9768: @604145
     /*  604145 */   GIM_Try, /*On fail goto*//*Label 9769*/ GIMT_Encode4(604217), // Rule ID 5152 //
     /*  604150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  604161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  604164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  604167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  604170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604196 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  604196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  604199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604205 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604215 */     GIR_RootConstrainSelectedInstOperands,
     /*  604216 */     // GIR_Coverage, 5152,
     /*  604216 */     GIR_EraseRootFromParent_Done,
     /*  604217 */   // Label 9769: @604217
     /*  604217 */   GIM_Try, /*On fail goto*//*Label 9770*/ GIMT_Encode4(604289), // Rule ID 5153 //
     /*  604222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  604236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  604239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604268 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  604268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  604271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604287 */     GIR_RootConstrainSelectedInstOperands,
     /*  604288 */     // GIR_Coverage, 5153,
     /*  604288 */     GIR_EraseRootFromParent_Done,
     /*  604289 */   // Label 9770: @604289
     /*  604289 */   GIM_Try, /*On fail goto*//*Label 9771*/ GIMT_Encode4(604361), // Rule ID 5154 //
     /*  604294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  604308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  604311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604340 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  604340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  604343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604359 */     GIR_RootConstrainSelectedInstOperands,
     /*  604360 */     // GIR_Coverage, 5154,
     /*  604360 */     GIR_EraseRootFromParent_Done,
     /*  604361 */   // Label 9771: @604361
     /*  604361 */   GIM_Try, /*On fail goto*//*Label 9772*/ GIMT_Encode4(604433), // Rule ID 5155 //
     /*  604366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  604380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  604383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604412 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  604412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  604415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604431 */     GIR_RootConstrainSelectedInstOperands,
     /*  604432 */     // GIR_Coverage, 5155,
     /*  604432 */     GIR_EraseRootFromParent_Done,
     /*  604433 */   // Label 9772: @604433
     /*  604433 */   GIM_Try, /*On fail goto*//*Label 9773*/ GIMT_Encode4(604505), // Rule ID 5156 //
     /*  604438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  604452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  604455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604484 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  604484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  604487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604503 */     GIR_RootConstrainSelectedInstOperands,
     /*  604504 */     // GIR_Coverage, 5156,
     /*  604504 */     GIR_EraseRootFromParent_Done,
     /*  604505 */   // Label 9773: @604505
     /*  604505 */   GIM_Try, /*On fail goto*//*Label 9774*/ GIMT_Encode4(604577), // Rule ID 5157 //
     /*  604510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  604521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  604524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  604527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  604530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604556 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  604556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  604559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604575 */     GIR_RootConstrainSelectedInstOperands,
     /*  604576 */     // GIR_Coverage, 5157,
     /*  604576 */     GIR_EraseRootFromParent_Done,
     /*  604577 */   // Label 9774: @604577
     /*  604577 */   GIM_Try, /*On fail goto*//*Label 9775*/ GIMT_Encode4(604649), // Rule ID 5158 //
     /*  604582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  604593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  604596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  604599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  604602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604628 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  604628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  604631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604647 */     GIR_RootConstrainSelectedInstOperands,
     /*  604648 */     // GIR_Coverage, 5158,
     /*  604648 */     GIR_EraseRootFromParent_Done,
     /*  604649 */   // Label 9775: @604649
     /*  604649 */   GIM_Try, /*On fail goto*//*Label 9776*/ GIMT_Encode4(604721), // Rule ID 5159 //
     /*  604654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  604657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  604665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  604668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  604671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  604674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604700 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  604700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  604703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604719 */     GIR_RootConstrainSelectedInstOperands,
     /*  604720 */     // GIR_Coverage, 5159,
     /*  604720 */     GIR_EraseRootFromParent_Done,
     /*  604721 */   // Label 9776: @604721
     /*  604721 */   GIM_Try, /*On fail goto*//*Label 9777*/ GIMT_Encode4(604793), // Rule ID 5160 //
     /*  604726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  604729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  604737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  604740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  604743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  604746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604772 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  604772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  604775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604791 */     GIR_RootConstrainSelectedInstOperands,
     /*  604792 */     // GIR_Coverage, 5160,
     /*  604792 */     GIR_EraseRootFromParent_Done,
     /*  604793 */   // Label 9777: @604793
     /*  604793 */   GIM_Try, /*On fail goto*//*Label 9778*/ GIMT_Encode4(604865), // Rule ID 5161 //
     /*  604798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  604809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  604812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  604815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  604818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604844 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  604844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  604847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604863 */     GIR_RootConstrainSelectedInstOperands,
     /*  604864 */     // GIR_Coverage, 5161,
     /*  604864 */     GIR_EraseRootFromParent_Done,
     /*  604865 */   // Label 9778: @604865
     /*  604865 */   GIM_Try, /*On fail goto*//*Label 9779*/ GIMT_Encode4(604937), // Rule ID 5162 //
     /*  604870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  604881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  604884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  604887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  604890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604916 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  604916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  604919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604935 */     GIR_RootConstrainSelectedInstOperands,
     /*  604936 */     // GIR_Coverage, 5162,
     /*  604936 */     GIR_EraseRootFromParent_Done,
     /*  604937 */   // Label 9779: @604937
     /*  604937 */   GIM_Try, /*On fail goto*//*Label 9780*/ GIMT_Encode4(605009), // Rule ID 5163 //
     /*  604942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  604950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  604953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  604956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  604959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  604962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604988 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  604988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  604991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605007 */     GIR_RootConstrainSelectedInstOperands,
     /*  605008 */     // GIR_Coverage, 5163,
     /*  605008 */     GIR_EraseRootFromParent_Done,
     /*  605009 */   // Label 9780: @605009
     /*  605009 */   GIM_Try, /*On fail goto*//*Label 9781*/ GIMT_Encode4(605081), // Rule ID 5164 //
     /*  605014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  605025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  605028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  605034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605060 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  605060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  605063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605079 */     GIR_RootConstrainSelectedInstOperands,
     /*  605080 */     // GIR_Coverage, 5164,
     /*  605080 */     GIR_EraseRootFromParent_Done,
     /*  605081 */   // Label 9781: @605081
     /*  605081 */   GIM_Try, /*On fail goto*//*Label 9782*/ GIMT_Encode4(605153), // Rule ID 5165 //
     /*  605086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  605097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  605100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  605106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605132 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  605132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  605135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605151 */     GIR_RootConstrainSelectedInstOperands,
     /*  605152 */     // GIR_Coverage, 5165,
     /*  605152 */     GIR_EraseRootFromParent_Done,
     /*  605153 */   // Label 9782: @605153
     /*  605153 */   GIM_Try, /*On fail goto*//*Label 9783*/ GIMT_Encode4(605225), // Rule ID 5166 //
     /*  605158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  605169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  605172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  605178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605204 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  605204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  605207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605223 */     GIR_RootConstrainSelectedInstOperands,
     /*  605224 */     // GIR_Coverage, 5166,
     /*  605224 */     GIR_EraseRootFromParent_Done,
     /*  605225 */   // Label 9783: @605225
     /*  605225 */   GIM_Try, /*On fail goto*//*Label 9784*/ GIMT_Encode4(605297), // Rule ID 5167 //
     /*  605230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  605241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  605244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  605250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605276 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  605276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  605279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605295 */     GIR_RootConstrainSelectedInstOperands,
     /*  605296 */     // GIR_Coverage, 5167,
     /*  605296 */     GIR_EraseRootFromParent_Done,
     /*  605297 */   // Label 9784: @605297
     /*  605297 */   GIM_Try, /*On fail goto*//*Label 9785*/ GIMT_Encode4(605369), // Rule ID 5168 //
     /*  605302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  605313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  605316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  605322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605348 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  605348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  605351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605367 */     GIR_RootConstrainSelectedInstOperands,
     /*  605368 */     // GIR_Coverage, 5168,
     /*  605368 */     GIR_EraseRootFromParent_Done,
     /*  605369 */   // Label 9785: @605369
     /*  605369 */   GIM_Try, /*On fail goto*//*Label 9786*/ GIMT_Encode4(605441), // Rule ID 5169 //
     /*  605374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  605385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  605388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  605394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605420 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  605420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  605423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605439 */     GIR_RootConstrainSelectedInstOperands,
     /*  605440 */     // GIR_Coverage, 5169,
     /*  605440 */     GIR_EraseRootFromParent_Done,
     /*  605441 */   // Label 9786: @605441
     /*  605441 */   GIM_Try, /*On fail goto*//*Label 9787*/ GIMT_Encode4(605513), // Rule ID 5170 //
     /*  605446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  605457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  605460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  605466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605492 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  605492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  605495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605511 */     GIR_RootConstrainSelectedInstOperands,
     /*  605512 */     // GIR_Coverage, 5170,
     /*  605512 */     GIR_EraseRootFromParent_Done,
     /*  605513 */   // Label 9787: @605513
     /*  605513 */   GIM_Try, /*On fail goto*//*Label 9788*/ GIMT_Encode4(605585), // Rule ID 5171 //
     /*  605518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  605529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  605532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  605538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605564 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  605564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  605567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605583 */     GIR_RootConstrainSelectedInstOperands,
     /*  605584 */     // GIR_Coverage, 5171,
     /*  605584 */     GIR_EraseRootFromParent_Done,
     /*  605585 */   // Label 9788: @605585
     /*  605585 */   GIM_Try, /*On fail goto*//*Label 9789*/ GIMT_Encode4(605657), // Rule ID 5172 //
     /*  605590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  605601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  605604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  605610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605636 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  605636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  605639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605655 */     GIR_RootConstrainSelectedInstOperands,
     /*  605656 */     // GIR_Coverage, 5172,
     /*  605656 */     GIR_EraseRootFromParent_Done,
     /*  605657 */   // Label 9789: @605657
     /*  605657 */   GIM_Try, /*On fail goto*//*Label 9790*/ GIMT_Encode4(605729), // Rule ID 5173 //
     /*  605662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  605673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  605676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  605682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605708 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  605708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  605711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605727 */     GIR_RootConstrainSelectedInstOperands,
     /*  605728 */     // GIR_Coverage, 5173,
     /*  605728 */     GIR_EraseRootFromParent_Done,
     /*  605729 */   // Label 9790: @605729
     /*  605729 */   GIM_Try, /*On fail goto*//*Label 9791*/ GIMT_Encode4(605801), // Rule ID 5174 //
     /*  605734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  605745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  605748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  605754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605780 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  605780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  605783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605799 */     GIR_RootConstrainSelectedInstOperands,
     /*  605800 */     // GIR_Coverage, 5174,
     /*  605800 */     GIR_EraseRootFromParent_Done,
     /*  605801 */   // Label 9791: @605801
     /*  605801 */   GIM_Try, /*On fail goto*//*Label 9792*/ GIMT_Encode4(605873), // Rule ID 5175 //
     /*  605806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  605817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  605820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  605826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605852 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  605852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  605855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605871 */     GIR_RootConstrainSelectedInstOperands,
     /*  605872 */     // GIR_Coverage, 5175,
     /*  605872 */     GIR_EraseRootFromParent_Done,
     /*  605873 */   // Label 9792: @605873
     /*  605873 */   GIM_Try, /*On fail goto*//*Label 9793*/ GIMT_Encode4(605945), // Rule ID 5176 //
     /*  605878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  605889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  605892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  605898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605924 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  605924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  605927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605943 */     GIR_RootConstrainSelectedInstOperands,
     /*  605944 */     // GIR_Coverage, 5176,
     /*  605944 */     GIR_EraseRootFromParent_Done,
     /*  605945 */   // Label 9793: @605945
     /*  605945 */   GIM_Try, /*On fail goto*//*Label 9794*/ GIMT_Encode4(606017), // Rule ID 5177 //
     /*  605950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  605958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  605961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  605964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  605970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605996 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  605996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  605999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606015 */     GIR_RootConstrainSelectedInstOperands,
     /*  606016 */     // GIR_Coverage, 5177,
     /*  606016 */     GIR_EraseRootFromParent_Done,
     /*  606017 */   // Label 9794: @606017
     /*  606017 */   GIM_Try, /*On fail goto*//*Label 9795*/ GIMT_Encode4(606089), // Rule ID 5178 //
     /*  606022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  606033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  606036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  606042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606068 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  606068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  606071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606087 */     GIR_RootConstrainSelectedInstOperands,
     /*  606088 */     // GIR_Coverage, 5178,
     /*  606088 */     GIR_EraseRootFromParent_Done,
     /*  606089 */   // Label 9795: @606089
     /*  606089 */   GIM_Try, /*On fail goto*//*Label 9796*/ GIMT_Encode4(606161), // Rule ID 5179 //
     /*  606094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  606097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  606108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606140 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  606140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  606159 */     GIR_RootConstrainSelectedInstOperands,
     /*  606160 */     // GIR_Coverage, 5179,
     /*  606160 */     GIR_EraseRootFromParent_Done,
     /*  606161 */   // Label 9796: @606161
     /*  606161 */   GIM_Try, /*On fail goto*//*Label 9797*/ GIMT_Encode4(606233), // Rule ID 5180 //
     /*  606166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  606169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  606180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606212 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  606212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  606215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  606231 */     GIR_RootConstrainSelectedInstOperands,
     /*  606232 */     // GIR_Coverage, 5180,
     /*  606232 */     GIR_EraseRootFromParent_Done,
     /*  606233 */   // Label 9797: @606233
     /*  606233 */   GIM_Try, /*On fail goto*//*Label 9798*/ GIMT_Encode4(606305), // Rule ID 5181 //
     /*  606238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  606241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  606252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606284 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  606284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  606287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  606303 */     GIR_RootConstrainSelectedInstOperands,
     /*  606304 */     // GIR_Coverage, 5181,
     /*  606304 */     GIR_EraseRootFromParent_Done,
     /*  606305 */   // Label 9798: @606305
     /*  606305 */   GIM_Try, /*On fail goto*//*Label 9799*/ GIMT_Encode4(606377), // Rule ID 5182 //
     /*  606310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  606313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  606324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606356 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  606356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  606359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  606375 */     GIR_RootConstrainSelectedInstOperands,
     /*  606376 */     // GIR_Coverage, 5182,
     /*  606376 */     GIR_EraseRootFromParent_Done,
     /*  606377 */   // Label 9799: @606377
     /*  606377 */   GIM_Try, /*On fail goto*//*Label 9800*/ GIMT_Encode4(606449), // Rule ID 5183 //
     /*  606382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  606385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  606393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  606396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  606402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606428 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  606428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  606431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  606447 */     GIR_RootConstrainSelectedInstOperands,
     /*  606448 */     // GIR_Coverage, 5183,
     /*  606448 */     GIR_EraseRootFromParent_Done,
     /*  606449 */   // Label 9800: @606449
     /*  606449 */   GIM_Try, /*On fail goto*//*Label 9801*/ GIMT_Encode4(606521), // Rule ID 5184 //
     /*  606454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  606457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  606465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  606468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  606474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606500 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  606500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  606503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  606519 */     GIR_RootConstrainSelectedInstOperands,
     /*  606520 */     // GIR_Coverage, 5184,
     /*  606520 */     GIR_EraseRootFromParent_Done,
     /*  606521 */   // Label 9801: @606521
     /*  606521 */   GIM_Try, /*On fail goto*//*Label 9802*/ GIMT_Encode4(606593), // Rule ID 5447 //
     /*  606526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  606540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  606543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606572 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  606575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606591 */     GIR_RootConstrainSelectedInstOperands,
     /*  606592 */     // GIR_Coverage, 5447,
     /*  606592 */     GIR_EraseRootFromParent_Done,
     /*  606593 */   // Label 9802: @606593
     /*  606593 */   GIM_Try, /*On fail goto*//*Label 9803*/ GIMT_Encode4(606665), // Rule ID 5448 //
     /*  606598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  606612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  606615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606644 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  606647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606663 */     GIR_RootConstrainSelectedInstOperands,
     /*  606664 */     // GIR_Coverage, 5448,
     /*  606664 */     GIR_EraseRootFromParent_Done,
     /*  606665 */   // Label 9803: @606665
     /*  606665 */   GIM_Try, /*On fail goto*//*Label 9804*/ GIMT_Encode4(606737), // Rule ID 5449 //
     /*  606670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  606684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  606687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606716 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  606719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606735 */     GIR_RootConstrainSelectedInstOperands,
     /*  606736 */     // GIR_Coverage, 5449,
     /*  606736 */     GIR_EraseRootFromParent_Done,
     /*  606737 */   // Label 9804: @606737
     /*  606737 */   GIM_Try, /*On fail goto*//*Label 9805*/ GIMT_Encode4(606809), // Rule ID 5450 //
     /*  606742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  606756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  606759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606788 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  606791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606807 */     GIR_RootConstrainSelectedInstOperands,
     /*  606808 */     // GIR_Coverage, 5450,
     /*  606808 */     GIR_EraseRootFromParent_Done,
     /*  606809 */   // Label 9805: @606809
     /*  606809 */   GIM_Try, /*On fail goto*//*Label 9806*/ GIMT_Encode4(606881), // Rule ID 5451 //
     /*  606814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  606828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  606831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606860 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  606863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606879 */     GIR_RootConstrainSelectedInstOperands,
     /*  606880 */     // GIR_Coverage, 5451,
     /*  606880 */     GIR_EraseRootFromParent_Done,
     /*  606881 */   // Label 9806: @606881
     /*  606881 */   GIM_Try, /*On fail goto*//*Label 9807*/ GIMT_Encode4(606953), // Rule ID 5452 //
     /*  606886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  606900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  606903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606932 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  606935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606951 */     GIR_RootConstrainSelectedInstOperands,
     /*  606952 */     // GIR_Coverage, 5452,
     /*  606952 */     GIR_EraseRootFromParent_Done,
     /*  606953 */   // Label 9807: @606953
     /*  606953 */   GIM_Try, /*On fail goto*//*Label 9808*/ GIMT_Encode4(607025), // Rule ID 5453 //
     /*  606958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  606972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  606975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607004 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  607004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  607007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607023 */     GIR_RootConstrainSelectedInstOperands,
     /*  607024 */     // GIR_Coverage, 5453,
     /*  607024 */     GIR_EraseRootFromParent_Done,
     /*  607025 */   // Label 9808: @607025
     /*  607025 */   GIM_Try, /*On fail goto*//*Label 9809*/ GIMT_Encode4(607097), // Rule ID 5454 //
     /*  607030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  607041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  607044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  607047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  607050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607076 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  607076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  607079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607095 */     GIR_RootConstrainSelectedInstOperands,
     /*  607096 */     // GIR_Coverage, 5454,
     /*  607096 */     GIR_EraseRootFromParent_Done,
     /*  607097 */   // Label 9809: @607097
     /*  607097 */   GIM_Try, /*On fail goto*//*Label 9810*/ GIMT_Encode4(607169), // Rule ID 5455 //
     /*  607102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  607116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  607119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607148 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  607148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  607151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607167 */     GIR_RootConstrainSelectedInstOperands,
     /*  607168 */     // GIR_Coverage, 5455,
     /*  607168 */     GIR_EraseRootFromParent_Done,
     /*  607169 */   // Label 9810: @607169
     /*  607169 */   GIM_Try, /*On fail goto*//*Label 9811*/ GIMT_Encode4(607241), // Rule ID 5456 //
     /*  607174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  607188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  607191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607220 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  607220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  607223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607239 */     GIR_RootConstrainSelectedInstOperands,
     /*  607240 */     // GIR_Coverage, 5456,
     /*  607240 */     GIR_EraseRootFromParent_Done,
     /*  607241 */   // Label 9811: @607241
     /*  607241 */   GIM_Try, /*On fail goto*//*Label 9812*/ GIMT_Encode4(607313), // Rule ID 5457 //
     /*  607246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  607257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  607260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  607263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  607266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607292 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  607292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  607295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607311 */     GIR_RootConstrainSelectedInstOperands,
     /*  607312 */     // GIR_Coverage, 5457,
     /*  607312 */     GIR_EraseRootFromParent_Done,
     /*  607313 */   // Label 9812: @607313
     /*  607313 */   GIM_Try, /*On fail goto*//*Label 9813*/ GIMT_Encode4(607385), // Rule ID 5458 //
     /*  607318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  607329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  607332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  607335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  607338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607364 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  607367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607383 */     GIR_RootConstrainSelectedInstOperands,
     /*  607384 */     // GIR_Coverage, 5458,
     /*  607384 */     GIR_EraseRootFromParent_Done,
     /*  607385 */   // Label 9813: @607385
     /*  607385 */   GIM_Try, /*On fail goto*//*Label 9814*/ GIMT_Encode4(607457), // Rule ID 5459 //
     /*  607390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  607404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  607407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607436 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  607436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  607439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607455 */     GIR_RootConstrainSelectedInstOperands,
     /*  607456 */     // GIR_Coverage, 5459,
     /*  607456 */     GIR_EraseRootFromParent_Done,
     /*  607457 */   // Label 9814: @607457
     /*  607457 */   GIM_Try, /*On fail goto*//*Label 9815*/ GIMT_Encode4(607529), // Rule ID 5460 //
     /*  607462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  607476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  607479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607508 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  607508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  607511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607527 */     GIR_RootConstrainSelectedInstOperands,
     /*  607528 */     // GIR_Coverage, 5460,
     /*  607528 */     GIR_EraseRootFromParent_Done,
     /*  607529 */   // Label 9815: @607529
     /*  607529 */   GIM_Try, /*On fail goto*//*Label 9816*/ GIMT_Encode4(607601), // Rule ID 5461 //
     /*  607534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  607548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  607551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607580 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  607580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  607583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607599 */     GIR_RootConstrainSelectedInstOperands,
     /*  607600 */     // GIR_Coverage, 5461,
     /*  607600 */     GIR_EraseRootFromParent_Done,
     /*  607601 */   // Label 9816: @607601
     /*  607601 */   GIM_Try, /*On fail goto*//*Label 9817*/ GIMT_Encode4(607673), // Rule ID 5462 //
     /*  607606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  607620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  607623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607652 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  607652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  607655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607671 */     GIR_RootConstrainSelectedInstOperands,
     /*  607672 */     // GIR_Coverage, 5462,
     /*  607672 */     GIR_EraseRootFromParent_Done,
     /*  607673 */   // Label 9817: @607673
     /*  607673 */   GIM_Try, /*On fail goto*//*Label 9818*/ GIMT_Encode4(607745), // Rule ID 5463 //
     /*  607678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  607692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  607695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607724 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  607724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  607727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607743 */     GIR_RootConstrainSelectedInstOperands,
     /*  607744 */     // GIR_Coverage, 5463,
     /*  607744 */     GIR_EraseRootFromParent_Done,
     /*  607745 */   // Label 9818: @607745
     /*  607745 */   GIM_Try, /*On fail goto*//*Label 9819*/ GIMT_Encode4(607817), // Rule ID 5464 //
     /*  607750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  607764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  607767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607796 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  607799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607815 */     GIR_RootConstrainSelectedInstOperands,
     /*  607816 */     // GIR_Coverage, 5464,
     /*  607816 */     GIR_EraseRootFromParent_Done,
     /*  607817 */   // Label 9819: @607817
     /*  607817 */   GIM_Try, /*On fail goto*//*Label 9820*/ GIMT_Encode4(607889), // Rule ID 5465 //
     /*  607822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  607825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  607833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  607836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  607839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  607842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607868 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  607868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  607871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607887 */     GIR_RootConstrainSelectedInstOperands,
     /*  607888 */     // GIR_Coverage, 5465,
     /*  607888 */     GIR_EraseRootFromParent_Done,
     /*  607889 */   // Label 9820: @607889
     /*  607889 */   GIM_Try, /*On fail goto*//*Label 9821*/ GIMT_Encode4(607961), // Rule ID 5466 //
     /*  607894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  607897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  607905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  607908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  607911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  607914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607940 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  607940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  607943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607959 */     GIR_RootConstrainSelectedInstOperands,
     /*  607960 */     // GIR_Coverage, 5466,
     /*  607960 */     GIR_EraseRootFromParent_Done,
     /*  607961 */   // Label 9821: @607961
     /*  607961 */   GIM_Try, /*On fail goto*//*Label 9822*/ GIMT_Encode4(608033), // Rule ID 5467 //
     /*  607966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  607980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  607983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608012 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  608012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  608015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608031 */     GIR_RootConstrainSelectedInstOperands,
     /*  608032 */     // GIR_Coverage, 5467,
     /*  608032 */     GIR_EraseRootFromParent_Done,
     /*  608033 */   // Label 9822: @608033
     /*  608033 */   GIM_Try, /*On fail goto*//*Label 9823*/ GIMT_Encode4(608105), // Rule ID 5468 //
     /*  608038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  608049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  608052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  608055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  608058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608084 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  608084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  608087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608103 */     GIR_RootConstrainSelectedInstOperands,
     /*  608104 */     // GIR_Coverage, 5468,
     /*  608104 */     GIR_EraseRootFromParent_Done,
     /*  608105 */   // Label 9823: @608105
     /*  608105 */   GIM_Try, /*On fail goto*//*Label 9824*/ GIMT_Encode4(608177), // Rule ID 5469 //
     /*  608110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  608121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  608124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  608127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  608130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608156 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  608156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  608159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608175 */     GIR_RootConstrainSelectedInstOperands,
     /*  608176 */     // GIR_Coverage, 5469,
     /*  608176 */     GIR_EraseRootFromParent_Done,
     /*  608177 */   // Label 9824: @608177
     /*  608177 */   GIM_Try, /*On fail goto*//*Label 9825*/ GIMT_Encode4(608249), // Rule ID 5470 //
     /*  608182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  608193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  608196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  608199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  608202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608228 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  608228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  608231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608247 */     GIR_RootConstrainSelectedInstOperands,
     /*  608248 */     // GIR_Coverage, 5470,
     /*  608248 */     GIR_EraseRootFromParent_Done,
     /*  608249 */   // Label 9825: @608249
     /*  608249 */   GIM_Try, /*On fail goto*//*Label 9826*/ GIMT_Encode4(608321), // Rule ID 5471 //
     /*  608254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  608265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  608268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  608271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  608274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608300 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  608300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  608303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608319 */     GIR_RootConstrainSelectedInstOperands,
     /*  608320 */     // GIR_Coverage, 5471,
     /*  608320 */     GIR_EraseRootFromParent_Done,
     /*  608321 */   // Label 9826: @608321
     /*  608321 */   GIM_Try, /*On fail goto*//*Label 9827*/ GIMT_Encode4(608393), // Rule ID 5472 //
     /*  608326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  608337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  608340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  608343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  608346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608372 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  608372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  608375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608391 */     GIR_RootConstrainSelectedInstOperands,
     /*  608392 */     // GIR_Coverage, 5472,
     /*  608392 */     GIR_EraseRootFromParent_Done,
     /*  608393 */   // Label 9827: @608393
     /*  608393 */   GIM_Try, /*On fail goto*//*Label 9828*/ GIMT_Encode4(608465), // Rule ID 5473 //
     /*  608398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  608412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  608415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608444 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  608447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608463 */     GIR_RootConstrainSelectedInstOperands,
     /*  608464 */     // GIR_Coverage, 5473,
     /*  608464 */     GIR_EraseRootFromParent_Done,
     /*  608465 */   // Label 9828: @608465
     /*  608465 */   GIM_Try, /*On fail goto*//*Label 9829*/ GIMT_Encode4(608537), // Rule ID 5474 //
     /*  608470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  608484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  608487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608516 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  608519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608535 */     GIR_RootConstrainSelectedInstOperands,
     /*  608536 */     // GIR_Coverage, 5474,
     /*  608536 */     GIR_EraseRootFromParent_Done,
     /*  608537 */   // Label 9829: @608537
     /*  608537 */   GIM_Try, /*On fail goto*//*Label 9830*/ GIMT_Encode4(608609), // Rule ID 5475 //
     /*  608542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  608553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  608556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  608559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  608562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608588 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  608591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608607 */     GIR_RootConstrainSelectedInstOperands,
     /*  608608 */     // GIR_Coverage, 5475,
     /*  608608 */     GIR_EraseRootFromParent_Done,
     /*  608609 */   // Label 9830: @608609
     /*  608609 */   GIM_Try, /*On fail goto*//*Label 9831*/ GIMT_Encode4(608681), // Rule ID 5476 //
     /*  608614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  608625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  608628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  608631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  608634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608660 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  608663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608679 */     GIR_RootConstrainSelectedInstOperands,
     /*  608680 */     // GIR_Coverage, 5476,
     /*  608680 */     GIR_EraseRootFromParent_Done,
     /*  608681 */   // Label 9831: @608681
     /*  608681 */   GIM_Try, /*On fail goto*//*Label 9832*/ GIMT_Encode4(608753), // Rule ID 5477 //
     /*  608686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  608697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  608700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  608703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  608706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608732 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  608735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608751 */     GIR_RootConstrainSelectedInstOperands,
     /*  608752 */     // GIR_Coverage, 5477,
     /*  608752 */     GIR_EraseRootFromParent_Done,
     /*  608753 */   // Label 9832: @608753
     /*  608753 */   GIM_Try, /*On fail goto*//*Label 9833*/ GIMT_Encode4(608825), // Rule ID 5478 //
     /*  608758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  608769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  608772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  608775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  608778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608804 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  608807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608823 */     GIR_RootConstrainSelectedInstOperands,
     /*  608824 */     // GIR_Coverage, 5478,
     /*  608824 */     GIR_EraseRootFromParent_Done,
     /*  608825 */   // Label 9833: @608825
     /*  608825 */   GIM_Try, /*On fail goto*//*Label 9834*/ GIMT_Encode4(608897), // Rule ID 5479 //
     /*  608830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  608844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  608847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608876 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  608876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  608879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608895 */     GIR_RootConstrainSelectedInstOperands,
     /*  608896 */     // GIR_Coverage, 5479,
     /*  608896 */     GIR_EraseRootFromParent_Done,
     /*  608897 */   // Label 9834: @608897
     /*  608897 */   GIM_Try, /*On fail goto*//*Label 9835*/ GIMT_Encode4(608969), // Rule ID 5480 //
     /*  608902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  608916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  608919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608948 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  608948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  608951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608967 */     GIR_RootConstrainSelectedInstOperands,
     /*  608968 */     // GIR_Coverage, 5480,
     /*  608968 */     GIR_EraseRootFromParent_Done,
     /*  608969 */   // Label 9835: @608969
     /*  608969 */   GIM_Try, /*On fail goto*//*Label 9836*/ GIMT_Encode4(609041), // Rule ID 5481 //
     /*  608974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  608988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  608991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609020 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  609020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  609023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609039 */     GIR_RootConstrainSelectedInstOperands,
     /*  609040 */     // GIR_Coverage, 5481,
     /*  609040 */     GIR_EraseRootFromParent_Done,
     /*  609041 */   // Label 9836: @609041
     /*  609041 */   GIM_Try, /*On fail goto*//*Label 9837*/ GIMT_Encode4(609113), // Rule ID 5482 //
     /*  609046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  609060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  609063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609092 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  609092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  609095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609111 */     GIR_RootConstrainSelectedInstOperands,
     /*  609112 */     // GIR_Coverage, 5482,
     /*  609112 */     GIR_EraseRootFromParent_Done,
     /*  609113 */   // Label 9837: @609113
     /*  609113 */   GIM_Try, /*On fail goto*//*Label 9838*/ GIMT_Encode4(609185), // Rule ID 5483 //
     /*  609118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  609129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  609132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  609135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  609138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609164 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  609164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  609167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609183 */     GIR_RootConstrainSelectedInstOperands,
     /*  609184 */     // GIR_Coverage, 5483,
     /*  609184 */     GIR_EraseRootFromParent_Done,
     /*  609185 */   // Label 9838: @609185
     /*  609185 */   GIM_Try, /*On fail goto*//*Label 9839*/ GIMT_Encode4(609257), // Rule ID 5484 //
     /*  609190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  609201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  609204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  609207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  609210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609236 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  609236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  609239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609255 */     GIR_RootConstrainSelectedInstOperands,
     /*  609256 */     // GIR_Coverage, 5484,
     /*  609256 */     GIR_EraseRootFromParent_Done,
     /*  609257 */   // Label 9839: @609257
     /*  609257 */   GIM_Try, /*On fail goto*//*Label 9840*/ GIMT_Encode4(609329), // Rule ID 5485 //
     /*  609262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  609265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  609276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  609279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609308 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  609308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  609311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609327 */     GIR_RootConstrainSelectedInstOperands,
     /*  609328 */     // GIR_Coverage, 5485,
     /*  609328 */     GIR_EraseRootFromParent_Done,
     /*  609329 */   // Label 9840: @609329
     /*  609329 */   GIM_Try, /*On fail goto*//*Label 9841*/ GIMT_Encode4(609401), // Rule ID 5486 //
     /*  609334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  609337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  609348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  609351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609380 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  609380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  609383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609399 */     GIR_RootConstrainSelectedInstOperands,
     /*  609400 */     // GIR_Coverage, 5486,
     /*  609400 */     GIR_EraseRootFromParent_Done,
     /*  609401 */   // Label 9841: @609401
     /*  609401 */   GIM_Try, /*On fail goto*//*Label 9842*/ GIMT_Encode4(609473), // Rule ID 5487 //
     /*  609406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  609409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  609420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  609423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  609426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609452 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  609452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  609455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609471 */     GIR_RootConstrainSelectedInstOperands,
     /*  609472 */     // GIR_Coverage, 5487,
     /*  609472 */     GIR_EraseRootFromParent_Done,
     /*  609473 */   // Label 9842: @609473
     /*  609473 */   GIM_Try, /*On fail goto*//*Label 9843*/ GIMT_Encode4(609545), // Rule ID 5488 //
     /*  609478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  609481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  609492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  609495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  609498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609524 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  609524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  609527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609543 */     GIR_RootConstrainSelectedInstOperands,
     /*  609544 */     // GIR_Coverage, 5488,
     /*  609544 */     GIR_EraseRootFromParent_Done,
     /*  609545 */   // Label 9843: @609545
     /*  609545 */   GIM_Try, /*On fail goto*//*Label 9844*/ GIMT_Encode4(609617), // Rule ID 5489 //
     /*  609550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  609553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  609564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  609567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609596 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  609596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  609599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609615 */     GIR_RootConstrainSelectedInstOperands,
     /*  609616 */     // GIR_Coverage, 5489,
     /*  609616 */     GIR_EraseRootFromParent_Done,
     /*  609617 */   // Label 9844: @609617
     /*  609617 */   GIM_Try, /*On fail goto*//*Label 9845*/ GIMT_Encode4(609689), // Rule ID 5490 //
     /*  609622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  609625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  609636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  609639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609668 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  609668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  609671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609687 */     GIR_RootConstrainSelectedInstOperands,
     /*  609688 */     // GIR_Coverage, 5490,
     /*  609688 */     GIR_EraseRootFromParent_Done,
     /*  609689 */   // Label 9845: @609689
     /*  609689 */   GIM_Try, /*On fail goto*//*Label 9846*/ GIMT_Encode4(609761), // Rule ID 5491 //
     /*  609694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  609708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  609711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609740 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  609743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609759 */     GIR_RootConstrainSelectedInstOperands,
     /*  609760 */     // GIR_Coverage, 5491,
     /*  609760 */     GIR_EraseRootFromParent_Done,
     /*  609761 */   // Label 9846: @609761
     /*  609761 */   GIM_Try, /*On fail goto*//*Label 9847*/ GIMT_Encode4(609833), // Rule ID 5492 //
     /*  609766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  609780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  609783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609812 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  609815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609831 */     GIR_RootConstrainSelectedInstOperands,
     /*  609832 */     // GIR_Coverage, 5492,
     /*  609832 */     GIR_EraseRootFromParent_Done,
     /*  609833 */   // Label 9847: @609833
     /*  609833 */   GIM_Try, /*On fail goto*//*Label 9848*/ GIMT_Encode4(609905), // Rule ID 5493 //
     /*  609838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  609852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  609855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609884 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  609887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609903 */     GIR_RootConstrainSelectedInstOperands,
     /*  609904 */     // GIR_Coverage, 5493,
     /*  609904 */     GIR_EraseRootFromParent_Done,
     /*  609905 */   // Label 9848: @609905
     /*  609905 */   GIM_Try, /*On fail goto*//*Label 9849*/ GIMT_Encode4(609977), // Rule ID 5494 //
     /*  609910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  609924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  609927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609956 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  609959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609975 */     GIR_RootConstrainSelectedInstOperands,
     /*  609976 */     // GIR_Coverage, 5494,
     /*  609976 */     GIR_EraseRootFromParent_Done,
     /*  609977 */   // Label 9849: @609977
     /*  609977 */   GIM_Try, /*On fail goto*//*Label 9850*/ GIMT_Encode4(610049), // Rule ID 5495 //
     /*  609982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  609990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  609996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  609999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610028 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  610028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  610031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610047 */     GIR_RootConstrainSelectedInstOperands,
     /*  610048 */     // GIR_Coverage, 5495,
     /*  610048 */     GIR_EraseRootFromParent_Done,
     /*  610049 */   // Label 9850: @610049
     /*  610049 */   GIM_Try, /*On fail goto*//*Label 9851*/ GIMT_Encode4(610121), // Rule ID 5496 //
     /*  610054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  610068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610100 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  610100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  610103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610119 */     GIR_RootConstrainSelectedInstOperands,
     /*  610120 */     // GIR_Coverage, 5496,
     /*  610120 */     GIR_EraseRootFromParent_Done,
     /*  610121 */   // Label 9851: @610121
     /*  610121 */   GIM_Try, /*On fail goto*//*Label 9852*/ GIMT_Encode4(610193), // Rule ID 5497 //
     /*  610126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  610137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  610140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  610146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610172 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  610172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  610175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610191 */     GIR_RootConstrainSelectedInstOperands,
     /*  610192 */     // GIR_Coverage, 5497,
     /*  610192 */     GIR_EraseRootFromParent_Done,
     /*  610193 */   // Label 9852: @610193
     /*  610193 */   GIM_Try, /*On fail goto*//*Label 9853*/ GIMT_Encode4(610265), // Rule ID 5498 //
     /*  610198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  610209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  610212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  610218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610244 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  610244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  610247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610263 */     GIR_RootConstrainSelectedInstOperands,
     /*  610264 */     // GIR_Coverage, 5498,
     /*  610264 */     GIR_EraseRootFromParent_Done,
     /*  610265 */   // Label 9853: @610265
     /*  610265 */   GIM_Try, /*On fail goto*//*Label 9854*/ GIMT_Encode4(610337), // Rule ID 5499 //
     /*  610270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  610284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610316 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  610316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  610319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610335 */     GIR_RootConstrainSelectedInstOperands,
     /*  610336 */     // GIR_Coverage, 5499,
     /*  610336 */     GIR_EraseRootFromParent_Done,
     /*  610337 */   // Label 9854: @610337
     /*  610337 */   GIM_Try, /*On fail goto*//*Label 9855*/ GIMT_Encode4(610409), // Rule ID 5500 //
     /*  610342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  610356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610388 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  610388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  610391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610407 */     GIR_RootConstrainSelectedInstOperands,
     /*  610408 */     // GIR_Coverage, 5500,
     /*  610408 */     GIR_EraseRootFromParent_Done,
     /*  610409 */   // Label 9855: @610409
     /*  610409 */   GIM_Try, /*On fail goto*//*Label 9856*/ GIMT_Encode4(610481), // Rule ID 5501 //
     /*  610414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  610425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  610428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  610434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610460 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  610460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  610463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610479 */     GIR_RootConstrainSelectedInstOperands,
     /*  610480 */     // GIR_Coverage, 5501,
     /*  610480 */     GIR_EraseRootFromParent_Done,
     /*  610481 */   // Label 9856: @610481
     /*  610481 */   GIM_Try, /*On fail goto*//*Label 9857*/ GIMT_Encode4(610553), // Rule ID 5502 //
     /*  610486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  610497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  610500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  610506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610532 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  610532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  610535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610551 */     GIR_RootConstrainSelectedInstOperands,
     /*  610552 */     // GIR_Coverage, 5502,
     /*  610552 */     GIR_EraseRootFromParent_Done,
     /*  610553 */   // Label 9857: @610553
     /*  610553 */   GIM_Try, /*On fail goto*//*Label 9858*/ GIMT_Encode4(610625), // Rule ID 5503 //
     /*  610558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  610572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610604 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  610604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  610607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610623 */     GIR_RootConstrainSelectedInstOperands,
     /*  610624 */     // GIR_Coverage, 5503,
     /*  610624 */     GIR_EraseRootFromParent_Done,
     /*  610625 */   // Label 9858: @610625
     /*  610625 */   GIM_Try, /*On fail goto*//*Label 9859*/ GIMT_Encode4(610697), // Rule ID 5504 //
     /*  610630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  610644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610676 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  610676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  610679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610695 */     GIR_RootConstrainSelectedInstOperands,
     /*  610696 */     // GIR_Coverage, 5504,
     /*  610696 */     GIR_EraseRootFromParent_Done,
     /*  610697 */   // Label 9859: @610697
     /*  610697 */   GIM_Try, /*On fail goto*//*Label 9860*/ GIMT_Encode4(610769), // Rule ID 5505 //
     /*  610702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  610716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610748 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  610748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  610751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610767 */     GIR_RootConstrainSelectedInstOperands,
     /*  610768 */     // GIR_Coverage, 5505,
     /*  610768 */     GIR_EraseRootFromParent_Done,
     /*  610769 */   // Label 9860: @610769
     /*  610769 */   GIM_Try, /*On fail goto*//*Label 9861*/ GIMT_Encode4(610841), // Rule ID 5506 //
     /*  610774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  610788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610820 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  610820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  610823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610839 */     GIR_RootConstrainSelectedInstOperands,
     /*  610840 */     // GIR_Coverage, 5506,
     /*  610840 */     GIR_EraseRootFromParent_Done,
     /*  610841 */   // Label 9861: @610841
     /*  610841 */   GIM_Try, /*On fail goto*//*Label 9862*/ GIMT_Encode4(610913), // Rule ID 5507 //
     /*  610846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  610860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610892 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  610892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  610895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610911 */     GIR_RootConstrainSelectedInstOperands,
     /*  610912 */     // GIR_Coverage, 5507,
     /*  610912 */     GIR_EraseRootFromParent_Done,
     /*  610913 */   // Label 9862: @610913
     /*  610913 */   GIM_Try, /*On fail goto*//*Label 9863*/ GIMT_Encode4(610985), // Rule ID 5508 //
     /*  610918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  610932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610964 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  610964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  610967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610983 */     GIR_RootConstrainSelectedInstOperands,
     /*  610984 */     // GIR_Coverage, 5508,
     /*  610984 */     GIR_EraseRootFromParent_Done,
     /*  610985 */   // Label 9863: @610985
     /*  610985 */   GIM_Try, /*On fail goto*//*Label 9864*/ GIMT_Encode4(611057), // Rule ID 5509 //
     /*  610990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  610993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  610998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  611004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611036 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  611036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  611039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611055 */     GIR_RootConstrainSelectedInstOperands,
     /*  611056 */     // GIR_Coverage, 5509,
     /*  611056 */     GIR_EraseRootFromParent_Done,
     /*  611057 */   // Label 9864: @611057
     /*  611057 */   GIM_Try, /*On fail goto*//*Label 9865*/ GIMT_Encode4(611129), // Rule ID 5510 //
     /*  611062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  611065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  611076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611108 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  611108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  611111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611127 */     GIR_RootConstrainSelectedInstOperands,
     /*  611128 */     // GIR_Coverage, 5510,
     /*  611128 */     GIR_EraseRootFromParent_Done,
     /*  611129 */   // Label 9865: @611129
     /*  611129 */   GIM_Try, /*On fail goto*//*Label 9866*/ GIMT_Encode4(611201), // Rule ID 5511 //
     /*  611134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  611145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  611148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  611154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611180 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  611180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  611183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611199 */     GIR_RootConstrainSelectedInstOperands,
     /*  611200 */     // GIR_Coverage, 5511,
     /*  611200 */     GIR_EraseRootFromParent_Done,
     /*  611201 */   // Label 9866: @611201
     /*  611201 */   GIM_Try, /*On fail goto*//*Label 9867*/ GIMT_Encode4(611273), // Rule ID 5512 //
     /*  611206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  611217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  611220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  611226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611252 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  611255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611271 */     GIR_RootConstrainSelectedInstOperands,
     /*  611272 */     // GIR_Coverage, 5512,
     /*  611272 */     GIR_EraseRootFromParent_Done,
     /*  611273 */   // Label 9867: @611273
     /*  611273 */   GIM_Try, /*On fail goto*//*Label 9868*/ GIMT_Encode4(611345), // Rule ID 5513 //
     /*  611278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  611289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  611292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  611298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611324 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  611324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  611327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611343 */     GIR_RootConstrainSelectedInstOperands,
     /*  611344 */     // GIR_Coverage, 5513,
     /*  611344 */     GIR_EraseRootFromParent_Done,
     /*  611345 */   // Label 9868: @611345
     /*  611345 */   GIM_Try, /*On fail goto*//*Label 9869*/ GIMT_Encode4(611417), // Rule ID 5514 //
     /*  611350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  611361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  611364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  611370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611396 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  611399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611415 */     GIR_RootConstrainSelectedInstOperands,
     /*  611416 */     // GIR_Coverage, 5514,
     /*  611416 */     GIR_EraseRootFromParent_Done,
     /*  611417 */   // Label 9869: @611417
     /*  611417 */   GIM_Try, /*On fail goto*//*Label 9870*/ GIMT_Encode4(611489), // Rule ID 5515 //
     /*  611422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  611433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  611436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  611442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611468 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  611468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  611471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611487 */     GIR_RootConstrainSelectedInstOperands,
     /*  611488 */     // GIR_Coverage, 5515,
     /*  611488 */     GIR_EraseRootFromParent_Done,
     /*  611489 */   // Label 9870: @611489
     /*  611489 */   GIM_Try, /*On fail goto*//*Label 9871*/ GIMT_Encode4(611561), // Rule ID 5516 //
     /*  611494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  611505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  611508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  611514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611540 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  611543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611559 */     GIR_RootConstrainSelectedInstOperands,
     /*  611560 */     // GIR_Coverage, 5516,
     /*  611560 */     GIR_EraseRootFromParent_Done,
     /*  611561 */   // Label 9871: @611561
     /*  611561 */   GIM_Try, /*On fail goto*//*Label 9872*/ GIMT_Encode4(611633), // Rule ID 5517 //
     /*  611566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  611580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611612 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  611615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611631 */     GIR_RootConstrainSelectedInstOperands,
     /*  611632 */     // GIR_Coverage, 5517,
     /*  611632 */     GIR_EraseRootFromParent_Done,
     /*  611633 */   // Label 9872: @611633
     /*  611633 */   GIM_Try, /*On fail goto*//*Label 9873*/ GIMT_Encode4(611705), // Rule ID 5518 //
     /*  611638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  611652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611684 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  611684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  611687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611703 */     GIR_RootConstrainSelectedInstOperands,
     /*  611704 */     // GIR_Coverage, 5518,
     /*  611704 */     GIR_EraseRootFromParent_Done,
     /*  611705 */   // Label 9873: @611705
     /*  611705 */   GIM_Try, /*On fail goto*//*Label 9874*/ GIMT_Encode4(611777), // Rule ID 5519 //
     /*  611710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  611721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  611724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  611730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611756 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  611759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611775 */     GIR_RootConstrainSelectedInstOperands,
     /*  611776 */     // GIR_Coverage, 5519,
     /*  611776 */     GIR_EraseRootFromParent_Done,
     /*  611777 */   // Label 9874: @611777
     /*  611777 */   GIM_Try, /*On fail goto*//*Label 9875*/ GIMT_Encode4(611849), // Rule ID 5520 //
     /*  611782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  611793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  611796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  611802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611828 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  611828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  611831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611847 */     GIR_RootConstrainSelectedInstOperands,
     /*  611848 */     // GIR_Coverage, 5520,
     /*  611848 */     GIR_EraseRootFromParent_Done,
     /*  611849 */   // Label 9875: @611849
     /*  611849 */   GIM_Try, /*On fail goto*//*Label 9876*/ GIMT_Encode4(611921), // Rule ID 5521 //
     /*  611854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  611865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  611868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  611874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611900 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  611903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611919 */     GIR_RootConstrainSelectedInstOperands,
     /*  611920 */     // GIR_Coverage, 5521,
     /*  611920 */     GIR_EraseRootFromParent_Done,
     /*  611921 */   // Label 9876: @611921
     /*  611921 */   GIM_Try, /*On fail goto*//*Label 9877*/ GIMT_Encode4(611993), // Rule ID 5522 //
     /*  611926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  611934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  611937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  611940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  611946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611972 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  611972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  611975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611991 */     GIR_RootConstrainSelectedInstOperands,
     /*  611992 */     // GIR_Coverage, 5522,
     /*  611992 */     GIR_EraseRootFromParent_Done,
     /*  611993 */   // Label 9877: @611993
     /*  611993 */   GIM_Try, /*On fail goto*//*Label 9878*/ GIMT_Encode4(612065), // Rule ID 5523 //
     /*  611998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  612012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612044 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  612044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  612047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612063 */     GIR_RootConstrainSelectedInstOperands,
     /*  612064 */     // GIR_Coverage, 5523,
     /*  612064 */     GIR_EraseRootFromParent_Done,
     /*  612065 */   // Label 9878: @612065
     /*  612065 */   GIM_Try, /*On fail goto*//*Label 9879*/ GIMT_Encode4(612137), // Rule ID 5524 //
     /*  612070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  612084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612116 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  612116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  612119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612135 */     GIR_RootConstrainSelectedInstOperands,
     /*  612136 */     // GIR_Coverage, 5524,
     /*  612136 */     GIR_EraseRootFromParent_Done,
     /*  612137 */   // Label 9879: @612137
     /*  612137 */   GIM_Try, /*On fail goto*//*Label 9880*/ GIMT_Encode4(612209), // Rule ID 5525 //
     /*  612142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  612156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612188 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  612188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  612191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612207 */     GIR_RootConstrainSelectedInstOperands,
     /*  612208 */     // GIR_Coverage, 5525,
     /*  612208 */     GIR_EraseRootFromParent_Done,
     /*  612209 */   // Label 9880: @612209
     /*  612209 */   GIM_Try, /*On fail goto*//*Label 9881*/ GIMT_Encode4(612281), // Rule ID 5526 //
     /*  612214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  612228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612260 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  612260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  612263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612279 */     GIR_RootConstrainSelectedInstOperands,
     /*  612280 */     // GIR_Coverage, 5526,
     /*  612280 */     GIR_EraseRootFromParent_Done,
     /*  612281 */   // Label 9881: @612281
     /*  612281 */   GIM_Try, /*On fail goto*//*Label 9882*/ GIMT_Encode4(612353), // Rule ID 5527 //
     /*  612286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  612297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  612300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  612306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612332 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  612332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  612335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612351 */     GIR_RootConstrainSelectedInstOperands,
     /*  612352 */     // GIR_Coverage, 5527,
     /*  612352 */     GIR_EraseRootFromParent_Done,
     /*  612353 */   // Label 9882: @612353
     /*  612353 */   GIM_Try, /*On fail goto*//*Label 9883*/ GIMT_Encode4(612425), // Rule ID 5528 //
     /*  612358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  612369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  612372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  612378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612404 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  612404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  612407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612423 */     GIR_RootConstrainSelectedInstOperands,
     /*  612424 */     // GIR_Coverage, 5528,
     /*  612424 */     GIR_EraseRootFromParent_Done,
     /*  612425 */   // Label 9883: @612425
     /*  612425 */   GIM_Try, /*On fail goto*//*Label 9884*/ GIMT_Encode4(612497), // Rule ID 5529 //
     /*  612430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  612433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  612444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612476 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  612476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  612479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612495 */     GIR_RootConstrainSelectedInstOperands,
     /*  612496 */     // GIR_Coverage, 5529,
     /*  612496 */     GIR_EraseRootFromParent_Done,
     /*  612497 */   // Label 9884: @612497
     /*  612497 */   GIM_Try, /*On fail goto*//*Label 9885*/ GIMT_Encode4(612569), // Rule ID 5530 //
     /*  612502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  612505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  612516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612548 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  612548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  612551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612567 */     GIR_RootConstrainSelectedInstOperands,
     /*  612568 */     // GIR_Coverage, 5530,
     /*  612568 */     GIR_EraseRootFromParent_Done,
     /*  612569 */   // Label 9885: @612569
     /*  612569 */   GIM_Try, /*On fail goto*//*Label 9886*/ GIMT_Encode4(612641), // Rule ID 5531 //
     /*  612574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  612577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  612588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612620 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  612620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  612623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612639 */     GIR_RootConstrainSelectedInstOperands,
     /*  612640 */     // GIR_Coverage, 5531,
     /*  612640 */     GIR_EraseRootFromParent_Done,
     /*  612641 */   // Label 9886: @612641
     /*  612641 */   GIM_Try, /*On fail goto*//*Label 9887*/ GIMT_Encode4(612713), // Rule ID 5532 //
     /*  612646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  612649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  612660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612692 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  612692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  612695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612711 */     GIR_RootConstrainSelectedInstOperands,
     /*  612712 */     // GIR_Coverage, 5532,
     /*  612712 */     GIR_EraseRootFromParent_Done,
     /*  612713 */   // Label 9887: @612713
     /*  612713 */   GIM_Try, /*On fail goto*//*Label 9888*/ GIMT_Encode4(612785), // Rule ID 5533 //
     /*  612718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  612721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  612732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612764 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  612764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  612767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612783 */     GIR_RootConstrainSelectedInstOperands,
     /*  612784 */     // GIR_Coverage, 5533,
     /*  612784 */     GIR_EraseRootFromParent_Done,
     /*  612785 */   // Label 9888: @612785
     /*  612785 */   GIM_Try, /*On fail goto*//*Label 9889*/ GIMT_Encode4(612857), // Rule ID 5534 //
     /*  612790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  612793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  612804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612836 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  612836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  612839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612855 */     GIR_RootConstrainSelectedInstOperands,
     /*  612856 */     // GIR_Coverage, 5534,
     /*  612856 */     GIR_EraseRootFromParent_Done,
     /*  612857 */   // Label 9889: @612857
     /*  612857 */   GIM_Try, /*On fail goto*//*Label 9890*/ GIMT_Encode4(612932), // Rule ID 5623 //
     /*  612862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  612870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  612873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  612876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  612879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  612882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612908 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  612908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  612911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612930 */     GIR_RootConstrainSelectedInstOperands,
     /*  612931 */     // GIR_Coverage, 5623,
     /*  612931 */     GIR_EraseRootFromParent_Done,
     /*  612932 */   // Label 9890: @612932
     /*  612932 */   GIM_Try, /*On fail goto*//*Label 9891*/ GIMT_Encode4(613007), // Rule ID 5624 //
     /*  612937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  612945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  612948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  612951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  612954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  612957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612983 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  612983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  612986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613005 */     GIR_RootConstrainSelectedInstOperands,
     /*  613006 */     // GIR_Coverage, 5624,
     /*  613006 */     GIR_EraseRootFromParent_Done,
     /*  613007 */   // Label 9891: @613007
     /*  613007 */   GIM_Try, /*On fail goto*//*Label 9892*/ GIMT_Encode4(613082), // Rule ID 5627 //
     /*  613012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  613023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  613026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  613029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  613032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613058 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  613058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  613061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613080 */     GIR_RootConstrainSelectedInstOperands,
     /*  613081 */     // GIR_Coverage, 5627,
     /*  613081 */     GIR_EraseRootFromParent_Done,
     /*  613082 */   // Label 9892: @613082
     /*  613082 */   GIM_Try, /*On fail goto*//*Label 9893*/ GIMT_Encode4(613157), // Rule ID 5628 //
     /*  613087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  613098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  613101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  613104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  613107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613133 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  613133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  613136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613155 */     GIR_RootConstrainSelectedInstOperands,
     /*  613156 */     // GIR_Coverage, 5628,
     /*  613156 */     GIR_EraseRootFromParent_Done,
     /*  613157 */   // Label 9893: @613157
     /*  613157 */   GIM_Try, /*On fail goto*//*Label 9894*/ GIMT_Encode4(613232), // Rule ID 5631 //
     /*  613162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  613173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  613176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  613179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  613182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613208 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  613208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  613211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613230 */     GIR_RootConstrainSelectedInstOperands,
     /*  613231 */     // GIR_Coverage, 5631,
     /*  613231 */     GIR_EraseRootFromParent_Done,
     /*  613232 */   // Label 9894: @613232
     /*  613232 */   GIM_Try, /*On fail goto*//*Label 9895*/ GIMT_Encode4(613307), // Rule ID 5632 //
     /*  613237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  613248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  613251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  613254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  613257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613283 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  613283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  613286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613305 */     GIR_RootConstrainSelectedInstOperands,
     /*  613306 */     // GIR_Coverage, 5632,
     /*  613306 */     GIR_EraseRootFromParent_Done,
     /*  613307 */   // Label 9895: @613307
     /*  613307 */   GIM_Try, /*On fail goto*//*Label 9896*/ GIMT_Encode4(613382), // Rule ID 5635 //
     /*  613312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  613323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  613326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  613329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  613332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613358 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  613358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  613361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613380 */     GIR_RootConstrainSelectedInstOperands,
     /*  613381 */     // GIR_Coverage, 5635,
     /*  613381 */     GIR_EraseRootFromParent_Done,
     /*  613382 */   // Label 9896: @613382
     /*  613382 */   GIM_Try, /*On fail goto*//*Label 9897*/ GIMT_Encode4(613457), // Rule ID 5636 //
     /*  613387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  613398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  613401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  613404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  613407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613433 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  613433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  613436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613455 */     GIR_RootConstrainSelectedInstOperands,
     /*  613456 */     // GIR_Coverage, 5636,
     /*  613456 */     GIR_EraseRootFromParent_Done,
     /*  613457 */   // Label 9897: @613457
     /*  613457 */   GIM_Try, /*On fail goto*//*Label 9898*/ GIMT_Encode4(613532), // Rule ID 5639 //
     /*  613462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  613473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  613476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  613479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  613482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613508 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  613508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  613511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613530 */     GIR_RootConstrainSelectedInstOperands,
     /*  613531 */     // GIR_Coverage, 5639,
     /*  613531 */     GIR_EraseRootFromParent_Done,
     /*  613532 */   // Label 9898: @613532
     /*  613532 */   GIM_Try, /*On fail goto*//*Label 9899*/ GIMT_Encode4(613607), // Rule ID 5640 //
     /*  613537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  613548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  613551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  613554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  613557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613583 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  613583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  613586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613605 */     GIR_RootConstrainSelectedInstOperands,
     /*  613606 */     // GIR_Coverage, 5640,
     /*  613606 */     GIR_EraseRootFromParent_Done,
     /*  613607 */   // Label 9899: @613607
     /*  613607 */   GIM_Try, /*On fail goto*//*Label 9900*/ GIMT_Encode4(613682), // Rule ID 5643 //
     /*  613612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  613623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  613626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  613629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  613632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  613658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  613661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613680 */     GIR_RootConstrainSelectedInstOperands,
     /*  613681 */     // GIR_Coverage, 5643,
     /*  613681 */     GIR_EraseRootFromParent_Done,
     /*  613682 */   // Label 9900: @613682
     /*  613682 */   GIM_Try, /*On fail goto*//*Label 9901*/ GIMT_Encode4(613757), // Rule ID 5644 //
     /*  613687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  613698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  613701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  613704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  613707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613733 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  613733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  613736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613755 */     GIR_RootConstrainSelectedInstOperands,
     /*  613756 */     // GIR_Coverage, 5644,
     /*  613756 */     GIR_EraseRootFromParent_Done,
     /*  613757 */   // Label 9901: @613757
     /*  613757 */   GIM_Try, /*On fail goto*//*Label 9902*/ GIMT_Encode4(613832), // Rule ID 5647 //
     /*  613762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  613773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  613776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  613779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  613782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613808 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  613808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  613811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613830 */     GIR_RootConstrainSelectedInstOperands,
     /*  613831 */     // GIR_Coverage, 5647,
     /*  613831 */     GIR_EraseRootFromParent_Done,
     /*  613832 */   // Label 9902: @613832
     /*  613832 */   GIM_Try, /*On fail goto*//*Label 9903*/ GIMT_Encode4(613907), // Rule ID 5648 //
     /*  613837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  613848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  613851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  613854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  613857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613883 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  613883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  613886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613905 */     GIR_RootConstrainSelectedInstOperands,
     /*  613906 */     // GIR_Coverage, 5648,
     /*  613906 */     GIR_EraseRootFromParent_Done,
     /*  613907 */   // Label 9903: @613907
     /*  613907 */   GIM_Try, /*On fail goto*//*Label 9904*/ GIMT_Encode4(613982), // Rule ID 5651 //
     /*  613912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  613923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  613926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  613929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  613932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613958 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  613958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  613961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613980 */     GIR_RootConstrainSelectedInstOperands,
     /*  613981 */     // GIR_Coverage, 5651,
     /*  613981 */     GIR_EraseRootFromParent_Done,
     /*  613982 */   // Label 9904: @613982
     /*  613982 */   GIM_Try, /*On fail goto*//*Label 9905*/ GIMT_Encode4(614057), // Rule ID 5652 //
     /*  613987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  613998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  614001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  614004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  614007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614033 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  614033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  614036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614055 */     GIR_RootConstrainSelectedInstOperands,
     /*  614056 */     // GIR_Coverage, 5652,
     /*  614056 */     GIR_EraseRootFromParent_Done,
     /*  614057 */   // Label 9905: @614057
     /*  614057 */   GIM_Try, /*On fail goto*//*Label 9906*/ GIMT_Encode4(614132), // Rule ID 5655 //
     /*  614062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  614073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  614076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  614079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  614082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  614108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  614111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614130 */     GIR_RootConstrainSelectedInstOperands,
     /*  614131 */     // GIR_Coverage, 5655,
     /*  614131 */     GIR_EraseRootFromParent_Done,
     /*  614132 */   // Label 9906: @614132
     /*  614132 */   GIM_Try, /*On fail goto*//*Label 9907*/ GIMT_Encode4(614207), // Rule ID 5656 //
     /*  614137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  614148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  614151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  614154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  614157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  614183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  614186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614205 */     GIR_RootConstrainSelectedInstOperands,
     /*  614206 */     // GIR_Coverage, 5656,
     /*  614206 */     GIR_EraseRootFromParent_Done,
     /*  614207 */   // Label 9907: @614207
     /*  614207 */   GIM_Try, /*On fail goto*//*Label 9908*/ GIMT_Encode4(614282), // Rule ID 5659 //
     /*  614212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  614215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  614223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  614226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  614229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  614232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614258 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  614258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  614261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614280 */     GIR_RootConstrainSelectedInstOperands,
     /*  614281 */     // GIR_Coverage, 5659,
     /*  614281 */     GIR_EraseRootFromParent_Done,
     /*  614282 */   // Label 9908: @614282
     /*  614282 */   GIM_Try, /*On fail goto*//*Label 9909*/ GIMT_Encode4(614357), // Rule ID 5660 //
     /*  614287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  614290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  614298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  614301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  614304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  614307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614333 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  614333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  614336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614355 */     GIR_RootConstrainSelectedInstOperands,
     /*  614356 */     // GIR_Coverage, 5660,
     /*  614356 */     GIR_EraseRootFromParent_Done,
     /*  614357 */   // Label 9909: @614357
     /*  614357 */   GIM_Try, /*On fail goto*//*Label 9910*/ GIMT_Encode4(614432), // Rule ID 5663 //
     /*  614362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  614373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  614376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  614379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  614382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614408 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  614411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614430 */     GIR_RootConstrainSelectedInstOperands,
     /*  614431 */     // GIR_Coverage, 5663,
     /*  614431 */     GIR_EraseRootFromParent_Done,
     /*  614432 */   // Label 9910: @614432
     /*  614432 */   GIM_Try, /*On fail goto*//*Label 9911*/ GIMT_Encode4(614507), // Rule ID 5664 //
     /*  614437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  614448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  614451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  614454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  614457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614483 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  614486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614505 */     GIR_RootConstrainSelectedInstOperands,
     /*  614506 */     // GIR_Coverage, 5664,
     /*  614506 */     GIR_EraseRootFromParent_Done,
     /*  614507 */   // Label 9911: @614507
     /*  614507 */   GIM_Try, /*On fail goto*//*Label 9912*/ GIMT_Encode4(614582), // Rule ID 5667 //
     /*  614512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  614523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  614526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  614529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  614532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614558 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  614561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614580 */     GIR_RootConstrainSelectedInstOperands,
     /*  614581 */     // GIR_Coverage, 5667,
     /*  614581 */     GIR_EraseRootFromParent_Done,
     /*  614582 */   // Label 9912: @614582
     /*  614582 */   GIM_Try, /*On fail goto*//*Label 9913*/ GIMT_Encode4(614657), // Rule ID 5668 //
     /*  614587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  614598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  614601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  614604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  614607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614633 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  614636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614655 */     GIR_RootConstrainSelectedInstOperands,
     /*  614656 */     // GIR_Coverage, 5668,
     /*  614656 */     GIR_EraseRootFromParent_Done,
     /*  614657 */   // Label 9913: @614657
     /*  614657 */   GIM_Try, /*On fail goto*//*Label 9914*/ GIMT_Encode4(614732), // Rule ID 5671 //
     /*  614662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  614673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  614676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  614679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  614682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614708 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  614711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614730 */     GIR_RootConstrainSelectedInstOperands,
     /*  614731 */     // GIR_Coverage, 5671,
     /*  614731 */     GIR_EraseRootFromParent_Done,
     /*  614732 */   // Label 9914: @614732
     /*  614732 */   GIM_Try, /*On fail goto*//*Label 9915*/ GIMT_Encode4(614807), // Rule ID 5672 //
     /*  614737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  614748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  614751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  614754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  614757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614783 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  614786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614805 */     GIR_RootConstrainSelectedInstOperands,
     /*  614806 */     // GIR_Coverage, 5672,
     /*  614806 */     GIR_EraseRootFromParent_Done,
     /*  614807 */   // Label 9915: @614807
     /*  614807 */   GIM_Try, /*On fail goto*//*Label 9916*/ GIMT_Encode4(614882), // Rule ID 5675 //
     /*  614812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  614823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  614826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  614829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  614832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614858 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  614858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  614861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614880 */     GIR_RootConstrainSelectedInstOperands,
     /*  614881 */     // GIR_Coverage, 5675,
     /*  614881 */     GIR_EraseRootFromParent_Done,
     /*  614882 */   // Label 9916: @614882
     /*  614882 */   GIM_Try, /*On fail goto*//*Label 9917*/ GIMT_Encode4(614957), // Rule ID 5676 //
     /*  614887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  614898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  614901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  614904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  614907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614933 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  614933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  614936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614955 */     GIR_RootConstrainSelectedInstOperands,
     /*  614956 */     // GIR_Coverage, 5676,
     /*  614956 */     GIR_EraseRootFromParent_Done,
     /*  614957 */   // Label 9917: @614957
     /*  614957 */   GIM_Try, /*On fail goto*//*Label 9918*/ GIMT_Encode4(615032), // Rule ID 5679 //
     /*  614962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  614973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  614976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  614979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  614982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615008 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  615008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  615011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615030 */     GIR_RootConstrainSelectedInstOperands,
     /*  615031 */     // GIR_Coverage, 5679,
     /*  615031 */     GIR_EraseRootFromParent_Done,
     /*  615032 */   // Label 9918: @615032
     /*  615032 */   GIM_Try, /*On fail goto*//*Label 9919*/ GIMT_Encode4(615107), // Rule ID 5680 //
     /*  615037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  615048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  615051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  615054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  615057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  615083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  615086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615105 */     GIR_RootConstrainSelectedInstOperands,
     /*  615106 */     // GIR_Coverage, 5680,
     /*  615106 */     GIR_EraseRootFromParent_Done,
     /*  615107 */   // Label 9919: @615107
     /*  615107 */   GIM_Try, /*On fail goto*//*Label 9920*/ GIMT_Encode4(615182), // Rule ID 5683 //
     /*  615112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  615123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  615126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  615129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  615132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615158 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  615158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  615161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615180 */     GIR_RootConstrainSelectedInstOperands,
     /*  615181 */     // GIR_Coverage, 5683,
     /*  615181 */     GIR_EraseRootFromParent_Done,
     /*  615182 */   // Label 9920: @615182
     /*  615182 */   GIM_Try, /*On fail goto*//*Label 9921*/ GIMT_Encode4(615257), // Rule ID 5684 //
     /*  615187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  615198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  615201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  615204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  615207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615233 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  615233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  615236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615255 */     GIR_RootConstrainSelectedInstOperands,
     /*  615256 */     // GIR_Coverage, 5684,
     /*  615256 */     GIR_EraseRootFromParent_Done,
     /*  615257 */   // Label 9921: @615257
     /*  615257 */   GIM_Try, /*On fail goto*//*Label 9922*/ GIMT_Encode4(615332), // Rule ID 5687 //
     /*  615262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  615273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  615276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  615279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  615282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615308 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  615308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  615311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615330 */     GIR_RootConstrainSelectedInstOperands,
     /*  615331 */     // GIR_Coverage, 5687,
     /*  615331 */     GIR_EraseRootFromParent_Done,
     /*  615332 */   // Label 9922: @615332
     /*  615332 */   GIM_Try, /*On fail goto*//*Label 9923*/ GIMT_Encode4(615407), // Rule ID 5688 //
     /*  615337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  615348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  615351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  615354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  615357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615383 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  615383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  615386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615405 */     GIR_RootConstrainSelectedInstOperands,
     /*  615406 */     // GIR_Coverage, 5688,
     /*  615406 */     GIR_EraseRootFromParent_Done,
     /*  615407 */   // Label 9923: @615407
     /*  615407 */   GIM_Try, /*On fail goto*//*Label 9924*/ GIMT_Encode4(615482), // Rule ID 5691 //
     /*  615412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  615423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  615426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  615429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  615432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615458 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  615458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  615461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615480 */     GIR_RootConstrainSelectedInstOperands,
     /*  615481 */     // GIR_Coverage, 5691,
     /*  615481 */     GIR_EraseRootFromParent_Done,
     /*  615482 */   // Label 9924: @615482
     /*  615482 */   GIM_Try, /*On fail goto*//*Label 9925*/ GIMT_Encode4(615557), // Rule ID 5692 //
     /*  615487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  615498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  615501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  615504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  615507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615533 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  615533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  615536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615555 */     GIR_RootConstrainSelectedInstOperands,
     /*  615556 */     // GIR_Coverage, 5692,
     /*  615556 */     GIR_EraseRootFromParent_Done,
     /*  615557 */   // Label 9925: @615557
     /*  615557 */   GIM_Try, /*On fail goto*//*Label 9926*/ GIMT_Encode4(615632), // Rule ID 5695 //
     /*  615562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  615573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  615576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  615579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  615582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615608 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  615608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  615611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615630 */     GIR_RootConstrainSelectedInstOperands,
     /*  615631 */     // GIR_Coverage, 5695,
     /*  615631 */     GIR_EraseRootFromParent_Done,
     /*  615632 */   // Label 9926: @615632
     /*  615632 */   GIM_Try, /*On fail goto*//*Label 9927*/ GIMT_Encode4(615707), // Rule ID 5696 //
     /*  615637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  615648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  615651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  615654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  615657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615683 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  615683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  615686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615705 */     GIR_RootConstrainSelectedInstOperands,
     /*  615706 */     // GIR_Coverage, 5696,
     /*  615706 */     GIR_EraseRootFromParent_Done,
     /*  615707 */   // Label 9927: @615707
     /*  615707 */   GIM_Try, /*On fail goto*//*Label 9928*/ GIMT_Encode4(615782), // Rule ID 5699 //
     /*  615712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  615715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  615723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  615726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  615729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  615732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615758 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  615758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  615761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615780 */     GIR_RootConstrainSelectedInstOperands,
     /*  615781 */     // GIR_Coverage, 5699,
     /*  615781 */     GIR_EraseRootFromParent_Done,
     /*  615782 */   // Label 9928: @615782
     /*  615782 */   GIM_Try, /*On fail goto*//*Label 9929*/ GIMT_Encode4(615857), // Rule ID 5700 //
     /*  615787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  615790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  615798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  615801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  615804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  615807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615833 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  615833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  615836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615855 */     GIR_RootConstrainSelectedInstOperands,
     /*  615856 */     // GIR_Coverage, 5700,
     /*  615856 */     GIR_EraseRootFromParent_Done,
     /*  615857 */   // Label 9929: @615857
     /*  615857 */   GIM_Try, /*On fail goto*//*Label 9930*/ GIMT_Encode4(615932), // Rule ID 5703 //
     /*  615862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  615865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  615873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  615876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  615879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  615882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615908 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  615908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  615911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615930 */     GIR_RootConstrainSelectedInstOperands,
     /*  615931 */     // GIR_Coverage, 5703,
     /*  615931 */     GIR_EraseRootFromParent_Done,
     /*  615932 */   // Label 9930: @615932
     /*  615932 */   GIM_Try, /*On fail goto*//*Label 9931*/ GIMT_Encode4(616007), // Rule ID 5704 //
     /*  615937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  615940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  615945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  615948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  615951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  615954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  615957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615983 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  615983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  615986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  616002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616005 */     GIR_RootConstrainSelectedInstOperands,
     /*  616006 */     // GIR_Coverage, 5704,
     /*  616006 */     GIR_EraseRootFromParent_Done,
     /*  616007 */   // Label 9931: @616007
     /*  616007 */   GIM_Try, /*On fail goto*//*Label 9932*/ GIMT_Encode4(616082), // Rule ID 5707 //
     /*  616012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  616015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  616023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  616026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  616029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  616032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616058 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  616058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  616061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  616077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616080 */     GIR_RootConstrainSelectedInstOperands,
     /*  616081 */     // GIR_Coverage, 5707,
     /*  616081 */     GIR_EraseRootFromParent_Done,
     /*  616082 */   // Label 9932: @616082
     /*  616082 */   GIM_Try, /*On fail goto*//*Label 9933*/ GIMT_Encode4(616157), // Rule ID 5708 //
     /*  616087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  616090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  616098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  616101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  616104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  616107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616133 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  616133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  616136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  616152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616155 */     GIR_RootConstrainSelectedInstOperands,
     /*  616156 */     // GIR_Coverage, 5708,
     /*  616156 */     GIR_EraseRootFromParent_Done,
     /*  616157 */   // Label 9933: @616157
     /*  616157 */   GIM_Try, /*On fail goto*//*Label 9934*/ GIMT_Encode4(616232), // Rule ID 5711 //
     /*  616162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  616173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  616176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  616179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616208 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  616208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  616211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616230 */     GIR_RootConstrainSelectedInstOperands,
     /*  616231 */     // GIR_Coverage, 5711,
     /*  616231 */     GIR_EraseRootFromParent_Done,
     /*  616232 */   // Label 9934: @616232
     /*  616232 */   GIM_Try, /*On fail goto*//*Label 9935*/ GIMT_Encode4(616307), // Rule ID 5712 //
     /*  616237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  616248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  616251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  616254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  616257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616283 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  616286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616305 */     GIR_RootConstrainSelectedInstOperands,
     /*  616306 */     // GIR_Coverage, 5712,
     /*  616306 */     GIR_EraseRootFromParent_Done,
     /*  616307 */   // Label 9935: @616307
     /*  616307 */   GIM_Try, /*On fail goto*//*Label 9936*/ GIMT_Encode4(616382), // Rule ID 5715 //
     /*  616312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  616323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  616326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  616329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616358 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  616358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  616361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616380 */     GIR_RootConstrainSelectedInstOperands,
     /*  616381 */     // GIR_Coverage, 5715,
     /*  616381 */     GIR_EraseRootFromParent_Done,
     /*  616382 */   // Label 9936: @616382
     /*  616382 */   GIM_Try, /*On fail goto*//*Label 9937*/ GIMT_Encode4(616457), // Rule ID 5716 //
     /*  616387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  616398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  616401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  616404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  616407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616433 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  616436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616455 */     GIR_RootConstrainSelectedInstOperands,
     /*  616456 */     // GIR_Coverage, 5716,
     /*  616456 */     GIR_EraseRootFromParent_Done,
     /*  616457 */   // Label 9937: @616457
     /*  616457 */   GIM_Try, /*On fail goto*//*Label 9938*/ GIMT_Encode4(616532), // Rule ID 5719 //
     /*  616462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  616473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  616476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  616479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616508 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  616508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  616511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616530 */     GIR_RootConstrainSelectedInstOperands,
     /*  616531 */     // GIR_Coverage, 5719,
     /*  616531 */     GIR_EraseRootFromParent_Done,
     /*  616532 */   // Label 9938: @616532
     /*  616532 */   GIM_Try, /*On fail goto*//*Label 9939*/ GIMT_Encode4(616607), // Rule ID 5720 //
     /*  616537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  616548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  616551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  616554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  616557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616583 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  616586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616605 */     GIR_RootConstrainSelectedInstOperands,
     /*  616606 */     // GIR_Coverage, 5720,
     /*  616606 */     GIR_EraseRootFromParent_Done,
     /*  616607 */   // Label 9939: @616607
     /*  616607 */   GIM_Try, /*On fail goto*//*Label 9940*/ GIMT_Encode4(616682), // Rule ID 5723 //
     /*  616612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  616623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  616626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  616629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  616661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616680 */     GIR_RootConstrainSelectedInstOperands,
     /*  616681 */     // GIR_Coverage, 5723,
     /*  616681 */     GIR_EraseRootFromParent_Done,
     /*  616682 */   // Label 9940: @616682
     /*  616682 */   GIM_Try, /*On fail goto*//*Label 9941*/ GIMT_Encode4(616757), // Rule ID 5724 //
     /*  616687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  616698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  616701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  616704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  616707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616733 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  616736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616755 */     GIR_RootConstrainSelectedInstOperands,
     /*  616756 */     // GIR_Coverage, 5724,
     /*  616756 */     GIR_EraseRootFromParent_Done,
     /*  616757 */   // Label 9941: @616757
     /*  616757 */   GIM_Try, /*On fail goto*//*Label 9942*/ GIMT_Encode4(616832), // Rule ID 5727 //
     /*  616762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  616773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  616776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  616779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616808 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  616811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616830 */     GIR_RootConstrainSelectedInstOperands,
     /*  616831 */     // GIR_Coverage, 5727,
     /*  616831 */     GIR_EraseRootFromParent_Done,
     /*  616832 */   // Label 9942: @616832
     /*  616832 */   GIM_Try, /*On fail goto*//*Label 9943*/ GIMT_Encode4(616907), // Rule ID 5728 //
     /*  616837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  616848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  616851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  616854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  616857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616883 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  616886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616905 */     GIR_RootConstrainSelectedInstOperands,
     /*  616906 */     // GIR_Coverage, 5728,
     /*  616906 */     GIR_EraseRootFromParent_Done,
     /*  616907 */   // Label 9943: @616907
     /*  616907 */   GIM_Try, /*On fail goto*//*Label 9944*/ GIMT_Encode4(616982), // Rule ID 5731 //
     /*  616912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  616923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  616926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  616929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616958 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  616958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  616961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616980 */     GIR_RootConstrainSelectedInstOperands,
     /*  616981 */     // GIR_Coverage, 5731,
     /*  616981 */     GIR_EraseRootFromParent_Done,
     /*  616982 */   // Label 9944: @616982
     /*  616982 */   GIM_Try, /*On fail goto*//*Label 9945*/ GIMT_Encode4(617057), // Rule ID 5732 //
     /*  616987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  616995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  616998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  617001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  617004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617033 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  617033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  617036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617055 */     GIR_RootConstrainSelectedInstOperands,
     /*  617056 */     // GIR_Coverage, 5732,
     /*  617056 */     GIR_EraseRootFromParent_Done,
     /*  617057 */   // Label 9945: @617057
     /*  617057 */   GIM_Try, /*On fail goto*//*Label 9946*/ GIMT_Encode4(617132), // Rule ID 5735 //
     /*  617062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  617073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  617076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  617079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  617111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617130 */     GIR_RootConstrainSelectedInstOperands,
     /*  617131 */     // GIR_Coverage, 5735,
     /*  617131 */     GIR_EraseRootFromParent_Done,
     /*  617132 */   // Label 9946: @617132
     /*  617132 */   GIM_Try, /*On fail goto*//*Label 9947*/ GIMT_Encode4(617207), // Rule ID 5736 //
     /*  617137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  617148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  617151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  617154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617183 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  617183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  617186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617205 */     GIR_RootConstrainSelectedInstOperands,
     /*  617206 */     // GIR_Coverage, 5736,
     /*  617206 */     GIR_EraseRootFromParent_Done,
     /*  617207 */   // Label 9947: @617207
     /*  617207 */   GIM_Try, /*On fail goto*//*Label 9948*/ GIMT_Encode4(617282), // Rule ID 5739 //
     /*  617212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  617223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  617226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  617229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617258 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  617258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  617261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617280 */     GIR_RootConstrainSelectedInstOperands,
     /*  617281 */     // GIR_Coverage, 5739,
     /*  617281 */     GIR_EraseRootFromParent_Done,
     /*  617282 */   // Label 9948: @617282
     /*  617282 */   GIM_Try, /*On fail goto*//*Label 9949*/ GIMT_Encode4(617357), // Rule ID 5740 //
     /*  617287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  617298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  617301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  617304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  617333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  617336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617355 */     GIR_RootConstrainSelectedInstOperands,
     /*  617356 */     // GIR_Coverage, 5740,
     /*  617356 */     GIR_EraseRootFromParent_Done,
     /*  617357 */   // Label 9949: @617357
     /*  617357 */   GIM_Try, /*On fail goto*//*Label 9950*/ GIMT_Encode4(617432), // Rule ID 5743 //
     /*  617362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  617373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  617376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  617379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617408 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  617408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  617411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617430 */     GIR_RootConstrainSelectedInstOperands,
     /*  617431 */     // GIR_Coverage, 5743,
     /*  617431 */     GIR_EraseRootFromParent_Done,
     /*  617432 */   // Label 9950: @617432
     /*  617432 */   GIM_Try, /*On fail goto*//*Label 9951*/ GIMT_Encode4(617507), // Rule ID 5744 //
     /*  617437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  617448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  617451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  617454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617483 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  617483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  617486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617505 */     GIR_RootConstrainSelectedInstOperands,
     /*  617506 */     // GIR_Coverage, 5744,
     /*  617506 */     GIR_EraseRootFromParent_Done,
     /*  617507 */   // Label 9951: @617507
     /*  617507 */   GIM_Try, /*On fail goto*//*Label 9952*/ GIMT_Encode4(617582), // Rule ID 5747 //
     /*  617512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  617515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  617523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  617526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  617529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617558 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  617558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  617561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617580 */     GIR_RootConstrainSelectedInstOperands,
     /*  617581 */     // GIR_Coverage, 5747,
     /*  617581 */     GIR_EraseRootFromParent_Done,
     /*  617582 */   // Label 9952: @617582
     /*  617582 */   GIM_Try, /*On fail goto*//*Label 9953*/ GIMT_Encode4(617657), // Rule ID 5748 //
     /*  617587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  617590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  617598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  617601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  617604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617633 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  617633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  617636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617655 */     GIR_RootConstrainSelectedInstOperands,
     /*  617656 */     // GIR_Coverage, 5748,
     /*  617656 */     GIR_EraseRootFromParent_Done,
     /*  617657 */   // Label 9953: @617657
     /*  617657 */   GIM_Try, /*On fail goto*//*Label 9954*/ GIMT_Encode4(617732), // Rule ID 5751 //
     /*  617662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  617673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  617676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  617679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617708 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  617711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617730 */     GIR_RootConstrainSelectedInstOperands,
     /*  617731 */     // GIR_Coverage, 5751,
     /*  617731 */     GIR_EraseRootFromParent_Done,
     /*  617732 */   // Label 9954: @617732
     /*  617732 */   GIM_Try, /*On fail goto*//*Label 9955*/ GIMT_Encode4(617807), // Rule ID 5752 //
     /*  617737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  617748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  617751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  617754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617783 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  617783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  617786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617805 */     GIR_RootConstrainSelectedInstOperands,
     /*  617806 */     // GIR_Coverage, 5752,
     /*  617806 */     GIR_EraseRootFromParent_Done,
     /*  617807 */   // Label 9955: @617807
     /*  617807 */   GIM_Try, /*On fail goto*//*Label 9956*/ GIMT_Encode4(617882), // Rule ID 5755 //
     /*  617812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  617823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  617826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  617829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617858 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  617861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617880 */     GIR_RootConstrainSelectedInstOperands,
     /*  617881 */     // GIR_Coverage, 5755,
     /*  617881 */     GIR_EraseRootFromParent_Done,
     /*  617882 */   // Label 9956: @617882
     /*  617882 */   GIM_Try, /*On fail goto*//*Label 9957*/ GIMT_Encode4(617957), // Rule ID 5756 //
     /*  617887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  617898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  617901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  617904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617933 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  617933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  617936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617955 */     GIR_RootConstrainSelectedInstOperands,
     /*  617956 */     // GIR_Coverage, 5756,
     /*  617956 */     GIR_EraseRootFromParent_Done,
     /*  617957 */   // Label 9957: @617957
     /*  617957 */   GIM_Try, /*On fail goto*//*Label 9958*/ GIMT_Encode4(618032), // Rule ID 5759 //
     /*  617962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  617970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  617973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  617976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  617979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618008 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  618011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618030 */     GIR_RootConstrainSelectedInstOperands,
     /*  618031 */     // GIR_Coverage, 5759,
     /*  618031 */     GIR_EraseRootFromParent_Done,
     /*  618032 */   // Label 9958: @618032
     /*  618032 */   GIM_Try, /*On fail goto*//*Label 9959*/ GIMT_Encode4(618107), // Rule ID 5760 //
     /*  618037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  618048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  618051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  618054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618083 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  618086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618105 */     GIR_RootConstrainSelectedInstOperands,
     /*  618106 */     // GIR_Coverage, 5760,
     /*  618106 */     GIR_EraseRootFromParent_Done,
     /*  618107 */   // Label 9959: @618107
     /*  618107 */   GIM_Try, /*On fail goto*//*Label 9960*/ GIMT_Encode4(618182), // Rule ID 5763 //
     /*  618112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  618123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  618126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  618129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618158 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  618158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  618161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618180 */     GIR_RootConstrainSelectedInstOperands,
     /*  618181 */     // GIR_Coverage, 5763,
     /*  618181 */     GIR_EraseRootFromParent_Done,
     /*  618182 */   // Label 9960: @618182
     /*  618182 */   GIM_Try, /*On fail goto*//*Label 9961*/ GIMT_Encode4(618257), // Rule ID 5764 //
     /*  618187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  618198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  618201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  618204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618233 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  618233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  618236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618255 */     GIR_RootConstrainSelectedInstOperands,
     /*  618256 */     // GIR_Coverage, 5764,
     /*  618256 */     GIR_EraseRootFromParent_Done,
     /*  618257 */   // Label 9961: @618257
     /*  618257 */   GIM_Try, /*On fail goto*//*Label 9962*/ GIMT_Encode4(618332), // Rule ID 5767 //
     /*  618262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  618273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  618276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  618279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618308 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  618308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  618311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618330 */     GIR_RootConstrainSelectedInstOperands,
     /*  618331 */     // GIR_Coverage, 5767,
     /*  618331 */     GIR_EraseRootFromParent_Done,
     /*  618332 */   // Label 9962: @618332
     /*  618332 */   GIM_Try, /*On fail goto*//*Label 9963*/ GIMT_Encode4(618407), // Rule ID 5768 //
     /*  618337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  618348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  618351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  618354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618383 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  618383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  618386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618405 */     GIR_RootConstrainSelectedInstOperands,
     /*  618406 */     // GIR_Coverage, 5768,
     /*  618406 */     GIR_EraseRootFromParent_Done,
     /*  618407 */   // Label 9963: @618407
     /*  618407 */   GIM_Try, /*On fail goto*//*Label 9964*/ GIMT_Encode4(618482), // Rule ID 5771 //
     /*  618412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  618423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  618426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  618429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618458 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  618458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  618461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618480 */     GIR_RootConstrainSelectedInstOperands,
     /*  618481 */     // GIR_Coverage, 5771,
     /*  618481 */     GIR_EraseRootFromParent_Done,
     /*  618482 */   // Label 9964: @618482
     /*  618482 */   GIM_Try, /*On fail goto*//*Label 9965*/ GIMT_Encode4(618557), // Rule ID 5772 //
     /*  618487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  618498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  618501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  618504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618533 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  618533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  618536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618555 */     GIR_RootConstrainSelectedInstOperands,
     /*  618556 */     // GIR_Coverage, 5772,
     /*  618556 */     GIR_EraseRootFromParent_Done,
     /*  618557 */   // Label 9965: @618557
     /*  618557 */   GIM_Try, /*On fail goto*//*Label 9966*/ GIMT_Encode4(618632), // Rule ID 5775 //
     /*  618562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  618573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  618576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  618579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618608 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  618608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  618611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618630 */     GIR_RootConstrainSelectedInstOperands,
     /*  618631 */     // GIR_Coverage, 5775,
     /*  618631 */     GIR_EraseRootFromParent_Done,
     /*  618632 */   // Label 9966: @618632
     /*  618632 */   GIM_Try, /*On fail goto*//*Label 9967*/ GIMT_Encode4(618707), // Rule ID 5776 //
     /*  618637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  618648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  618651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  618654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618683 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  618683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  618686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618705 */     GIR_RootConstrainSelectedInstOperands,
     /*  618706 */     // GIR_Coverage, 5776,
     /*  618706 */     GIR_EraseRootFromParent_Done,
     /*  618707 */   // Label 9967: @618707
     /*  618707 */   GIM_Try, /*On fail goto*//*Label 9968*/ GIMT_Encode4(618782), // Rule ID 5779 //
     /*  618712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  618723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  618726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  618729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618758 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  618758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  618761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618780 */     GIR_RootConstrainSelectedInstOperands,
     /*  618781 */     // GIR_Coverage, 5779,
     /*  618781 */     GIR_EraseRootFromParent_Done,
     /*  618782 */   // Label 9968: @618782
     /*  618782 */   GIM_Try, /*On fail goto*//*Label 9969*/ GIMT_Encode4(618857), // Rule ID 5780 //
     /*  618787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  618798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  618801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  618804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618833 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  618833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  618836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618855 */     GIR_RootConstrainSelectedInstOperands,
     /*  618856 */     // GIR_Coverage, 5780,
     /*  618856 */     GIR_EraseRootFromParent_Done,
     /*  618857 */   // Label 9969: @618857
     /*  618857 */   GIM_Try, /*On fail goto*//*Label 9970*/ GIMT_Encode4(618932), // Rule ID 5783 //
     /*  618862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  618873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  618876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  618879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618908 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  618908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  618911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618930 */     GIR_RootConstrainSelectedInstOperands,
     /*  618931 */     // GIR_Coverage, 5783,
     /*  618931 */     GIR_EraseRootFromParent_Done,
     /*  618932 */   // Label 9970: @618932
     /*  618932 */   GIM_Try, /*On fail goto*//*Label 9971*/ GIMT_Encode4(619007), // Rule ID 5784 //
     /*  618937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  618945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  618948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  618951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  618954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618983 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  618983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  618986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619005 */     GIR_RootConstrainSelectedInstOperands,
     /*  619006 */     // GIR_Coverage, 5784,
     /*  619006 */     GIR_EraseRootFromParent_Done,
     /*  619007 */   // Label 9971: @619007
     /*  619007 */   GIM_Try, /*On fail goto*//*Label 9972*/ GIMT_Encode4(619082), // Rule ID 5787 //
     /*  619012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  619015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  619023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  619026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  619029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619058 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  619058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  619061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619080 */     GIR_RootConstrainSelectedInstOperands,
     /*  619081 */     // GIR_Coverage, 5787,
     /*  619081 */     GIR_EraseRootFromParent_Done,
     /*  619082 */   // Label 9972: @619082
     /*  619082 */   GIM_Try, /*On fail goto*//*Label 9973*/ GIMT_Encode4(619157), // Rule ID 5788 //
     /*  619087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  619090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  619098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  619101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  619104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619133 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  619133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  619136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619155 */     GIR_RootConstrainSelectedInstOperands,
     /*  619156 */     // GIR_Coverage, 5788,
     /*  619156 */     GIR_EraseRootFromParent_Done,
     /*  619157 */   // Label 9973: @619157
     /*  619157 */   GIM_Try, /*On fail goto*//*Label 9974*/ GIMT_Encode4(619232), // Rule ID 5791 //
     /*  619162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  619165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  619173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  619176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  619179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619208 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  619208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  619211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619230 */     GIR_RootConstrainSelectedInstOperands,
     /*  619231 */     // GIR_Coverage, 5791,
     /*  619231 */     GIR_EraseRootFromParent_Done,
     /*  619232 */   // Label 9974: @619232
     /*  619232 */   GIM_Try, /*On fail goto*//*Label 9975*/ GIMT_Encode4(619307), // Rule ID 5792 //
     /*  619237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  619240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  619248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  619251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  619254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619283 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  619283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  619286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619305 */     GIR_RootConstrainSelectedInstOperands,
     /*  619306 */     // GIR_Coverage, 5792,
     /*  619306 */     GIR_EraseRootFromParent_Done,
     /*  619307 */   // Label 9975: @619307
     /*  619307 */   GIM_Try, /*On fail goto*//*Label 9976*/ GIMT_Encode4(619382), // Rule ID 5795 //
     /*  619312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  619315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  619323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  619326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  619329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619358 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  619358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  619361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619380 */     GIR_RootConstrainSelectedInstOperands,
     /*  619381 */     // GIR_Coverage, 5795,
     /*  619381 */     GIR_EraseRootFromParent_Done,
     /*  619382 */   // Label 9976: @619382
     /*  619382 */   GIM_Try, /*On fail goto*//*Label 9977*/ GIMT_Encode4(619457), // Rule ID 5796 //
     /*  619387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  619390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  619398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  619401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  619404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619433 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  619433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  619436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619455 */     GIR_RootConstrainSelectedInstOperands,
     /*  619456 */     // GIR_Coverage, 5796,
     /*  619456 */     GIR_EraseRootFromParent_Done,
     /*  619457 */   // Label 9977: @619457
     /*  619457 */   GIM_Try, /*On fail goto*//*Label 9978*/ GIMT_Encode4(619532), // Rule ID 5887 //
     /*  619462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  619473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  619476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  619479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  619482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619508 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  619511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619530 */     GIR_RootConstrainSelectedInstOperands,
     /*  619531 */     // GIR_Coverage, 5887,
     /*  619531 */     GIR_EraseRootFromParent_Done,
     /*  619532 */   // Label 9978: @619532
     /*  619532 */   GIM_Try, /*On fail goto*//*Label 9979*/ GIMT_Encode4(619607), // Rule ID 5888 //
     /*  619537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  619548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  619551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  619554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  619557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619583 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  619586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619605 */     GIR_RootConstrainSelectedInstOperands,
     /*  619606 */     // GIR_Coverage, 5888,
     /*  619606 */     GIR_EraseRootFromParent_Done,
     /*  619607 */   // Label 9979: @619607
     /*  619607 */   GIM_Try, /*On fail goto*//*Label 9980*/ GIMT_Encode4(619682), // Rule ID 5891 //
     /*  619612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  619623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  619626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  619629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  619632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619658 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  619661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619680 */     GIR_RootConstrainSelectedInstOperands,
     /*  619681 */     // GIR_Coverage, 5891,
     /*  619681 */     GIR_EraseRootFromParent_Done,
     /*  619682 */   // Label 9980: @619682
     /*  619682 */   GIM_Try, /*On fail goto*//*Label 9981*/ GIMT_Encode4(619757), // Rule ID 5892 //
     /*  619687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  619698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  619701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  619704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  619707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619733 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  619736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619755 */     GIR_RootConstrainSelectedInstOperands,
     /*  619756 */     // GIR_Coverage, 5892,
     /*  619756 */     GIR_EraseRootFromParent_Done,
     /*  619757 */   // Label 9981: @619757
     /*  619757 */   GIM_Try, /*On fail goto*//*Label 9982*/ GIMT_Encode4(619832), // Rule ID 5895 //
     /*  619762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  619773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  619776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  619779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  619782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619808 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  619811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619830 */     GIR_RootConstrainSelectedInstOperands,
     /*  619831 */     // GIR_Coverage, 5895,
     /*  619831 */     GIR_EraseRootFromParent_Done,
     /*  619832 */   // Label 9982: @619832
     /*  619832 */   GIM_Try, /*On fail goto*//*Label 9983*/ GIMT_Encode4(619907), // Rule ID 5896 //
     /*  619837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  619848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  619851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  619854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  619857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619883 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  619886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619905 */     GIR_RootConstrainSelectedInstOperands,
     /*  619906 */     // GIR_Coverage, 5896,
     /*  619906 */     GIR_EraseRootFromParent_Done,
     /*  619907 */   // Label 9983: @619907
     /*  619907 */   GIM_Try, /*On fail goto*//*Label 9984*/ GIMT_Encode4(619982), // Rule ID 5899 //
     /*  619912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  619923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  619926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  619929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  619932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  619961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619980 */     GIR_RootConstrainSelectedInstOperands,
     /*  619981 */     // GIR_Coverage, 5899,
     /*  619981 */     GIR_EraseRootFromParent_Done,
     /*  619982 */   // Label 9984: @619982
     /*  619982 */   GIM_Try, /*On fail goto*//*Label 9985*/ GIMT_Encode4(620057), // Rule ID 5900 //
     /*  619987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  619998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  620001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  620004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  620007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620033 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  620036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620055 */     GIR_RootConstrainSelectedInstOperands,
     /*  620056 */     // GIR_Coverage, 5900,
     /*  620056 */     GIR_EraseRootFromParent_Done,
     /*  620057 */   // Label 9985: @620057
     /*  620057 */   GIM_Try, /*On fail goto*//*Label 9986*/ GIMT_Encode4(620132), // Rule ID 5903 //
     /*  620062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  620073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  620076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  620079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  620082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620108 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  620108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  620111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620130 */     GIR_RootConstrainSelectedInstOperands,
     /*  620131 */     // GIR_Coverage, 5903,
     /*  620131 */     GIR_EraseRootFromParent_Done,
     /*  620132 */   // Label 9986: @620132
     /*  620132 */   GIM_Try, /*On fail goto*//*Label 9987*/ GIMT_Encode4(620207), // Rule ID 5904 //
     /*  620137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  620148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  620151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  620154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  620157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620183 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  620186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620205 */     GIR_RootConstrainSelectedInstOperands,
     /*  620206 */     // GIR_Coverage, 5904,
     /*  620206 */     GIR_EraseRootFromParent_Done,
     /*  620207 */   // Label 9987: @620207
     /*  620207 */   GIM_Try, /*On fail goto*//*Label 9988*/ GIMT_Encode4(620282), // Rule ID 5907 //
     /*  620212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  620223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  620226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  620229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  620232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620258 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  620261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620280 */     GIR_RootConstrainSelectedInstOperands,
     /*  620281 */     // GIR_Coverage, 5907,
     /*  620281 */     GIR_EraseRootFromParent_Done,
     /*  620282 */   // Label 9988: @620282
     /*  620282 */   GIM_Try, /*On fail goto*//*Label 9989*/ GIMT_Encode4(620357), // Rule ID 5908 //
     /*  620287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  620298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  620301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  620304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  620307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620333 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  620336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620355 */     GIR_RootConstrainSelectedInstOperands,
     /*  620356 */     // GIR_Coverage, 5908,
     /*  620356 */     GIR_EraseRootFromParent_Done,
     /*  620357 */   // Label 9989: @620357
     /*  620357 */   GIM_Try, /*On fail goto*//*Label 9990*/ GIMT_Encode4(620432), // Rule ID 5911 //
     /*  620362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  620373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  620376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  620379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  620382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620408 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  620408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  620411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620430 */     GIR_RootConstrainSelectedInstOperands,
     /*  620431 */     // GIR_Coverage, 5911,
     /*  620431 */     GIR_EraseRootFromParent_Done,
     /*  620432 */   // Label 9990: @620432
     /*  620432 */   GIM_Try, /*On fail goto*//*Label 9991*/ GIMT_Encode4(620507), // Rule ID 5912 //
     /*  620437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  620448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  620451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  620454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  620457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  620483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  620486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620505 */     GIR_RootConstrainSelectedInstOperands,
     /*  620506 */     // GIR_Coverage, 5912,
     /*  620506 */     GIR_EraseRootFromParent_Done,
     /*  620507 */   // Label 9991: @620507
     /*  620507 */   GIM_Try, /*On fail goto*//*Label 9992*/ GIMT_Encode4(620582), // Rule ID 5915 //
     /*  620512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  620523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  620526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  620529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  620532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  620558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  620561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620580 */     GIR_RootConstrainSelectedInstOperands,
     /*  620581 */     // GIR_Coverage, 5915,
     /*  620581 */     GIR_EraseRootFromParent_Done,
     /*  620582 */   // Label 9992: @620582
     /*  620582 */   GIM_Try, /*On fail goto*//*Label 9993*/ GIMT_Encode4(620657), // Rule ID 5916 //
     /*  620587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  620598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  620601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  620604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  620607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  620636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620655 */     GIR_RootConstrainSelectedInstOperands,
     /*  620656 */     // GIR_Coverage, 5916,
     /*  620656 */     GIR_EraseRootFromParent_Done,
     /*  620657 */   // Label 9993: @620657
     /*  620657 */   GIM_Try, /*On fail goto*//*Label 9994*/ GIMT_Encode4(620732), // Rule ID 5919 //
     /*  620662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  620673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  620676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  620679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  620682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  620711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620730 */     GIR_RootConstrainSelectedInstOperands,
     /*  620731 */     // GIR_Coverage, 5919,
     /*  620731 */     GIR_EraseRootFromParent_Done,
     /*  620732 */   // Label 9994: @620732
     /*  620732 */   GIM_Try, /*On fail goto*//*Label 9995*/ GIMT_Encode4(620807), // Rule ID 5920 //
     /*  620737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  620748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  620751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  620754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  620757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620783 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  620786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620805 */     GIR_RootConstrainSelectedInstOperands,
     /*  620806 */     // GIR_Coverage, 5920,
     /*  620806 */     GIR_EraseRootFromParent_Done,
     /*  620807 */   // Label 9995: @620807
     /*  620807 */   GIM_Try, /*On fail goto*//*Label 9996*/ GIMT_Encode4(620882), // Rule ID 5923 //
     /*  620812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  620815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  620823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  620826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  620829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  620832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620858 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  620861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620880 */     GIR_RootConstrainSelectedInstOperands,
     /*  620881 */     // GIR_Coverage, 5923,
     /*  620881 */     GIR_EraseRootFromParent_Done,
     /*  620882 */   // Label 9996: @620882
     /*  620882 */   GIM_Try, /*On fail goto*//*Label 9997*/ GIMT_Encode4(620957), // Rule ID 5924 //
     /*  620887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  620890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  620898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  620901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  620904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  620907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620933 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  620936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620955 */     GIR_RootConstrainSelectedInstOperands,
     /*  620956 */     // GIR_Coverage, 5924,
     /*  620956 */     GIR_EraseRootFromParent_Done,
     /*  620957 */   // Label 9997: @620957
     /*  620957 */   GIM_Try, /*On fail goto*//*Label 9998*/ GIMT_Encode4(621032), // Rule ID 5927 //
     /*  620962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  620973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  620976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  620979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  620982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621008 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  621011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621030 */     GIR_RootConstrainSelectedInstOperands,
     /*  621031 */     // GIR_Coverage, 5927,
     /*  621031 */     GIR_EraseRootFromParent_Done,
     /*  621032 */   // Label 9998: @621032
     /*  621032 */   GIM_Try, /*On fail goto*//*Label 9999*/ GIMT_Encode4(621107), // Rule ID 5928 //
     /*  621037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  621048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  621051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  621054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  621057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621083 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  621086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621105 */     GIR_RootConstrainSelectedInstOperands,
     /*  621106 */     // GIR_Coverage, 5928,
     /*  621106 */     GIR_EraseRootFromParent_Done,
     /*  621107 */   // Label 9999: @621107
     /*  621107 */   GIM_Try, /*On fail goto*//*Label 10000*/ GIMT_Encode4(621182), // Rule ID 5931 //
     /*  621112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  621123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  621126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  621129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  621132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621158 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  621161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621180 */     GIR_RootConstrainSelectedInstOperands,
     /*  621181 */     // GIR_Coverage, 5931,
     /*  621181 */     GIR_EraseRootFromParent_Done,
     /*  621182 */   // Label 10000: @621182
     /*  621182 */   GIM_Try, /*On fail goto*//*Label 10001*/ GIMT_Encode4(621257), // Rule ID 5932 //
     /*  621187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  621198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  621201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  621204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  621207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621233 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  621236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621255 */     GIR_RootConstrainSelectedInstOperands,
     /*  621256 */     // GIR_Coverage, 5932,
     /*  621256 */     GIR_EraseRootFromParent_Done,
     /*  621257 */   // Label 10001: @621257
     /*  621257 */   GIM_Try, /*On fail goto*//*Label 10002*/ GIMT_Encode4(621332), // Rule ID 5935 //
     /*  621262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  621273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  621276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  621279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  621282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621308 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  621311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621330 */     GIR_RootConstrainSelectedInstOperands,
     /*  621331 */     // GIR_Coverage, 5935,
     /*  621331 */     GIR_EraseRootFromParent_Done,
     /*  621332 */   // Label 10002: @621332
     /*  621332 */   GIM_Try, /*On fail goto*//*Label 10003*/ GIMT_Encode4(621407), // Rule ID 5936 //
     /*  621337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  621348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  621351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  621354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  621357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621383 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  621386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621405 */     GIR_RootConstrainSelectedInstOperands,
     /*  621406 */     // GIR_Coverage, 5936,
     /*  621406 */     GIR_EraseRootFromParent_Done,
     /*  621407 */   // Label 10003: @621407
     /*  621407 */   GIM_Try, /*On fail goto*//*Label 10004*/ GIMT_Encode4(621482), // Rule ID 5939 //
     /*  621412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  621423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  621426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  621429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  621432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621458 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  621461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621480 */     GIR_RootConstrainSelectedInstOperands,
     /*  621481 */     // GIR_Coverage, 5939,
     /*  621481 */     GIR_EraseRootFromParent_Done,
     /*  621482 */   // Label 10004: @621482
     /*  621482 */   GIM_Try, /*On fail goto*//*Label 10005*/ GIMT_Encode4(621557), // Rule ID 5940 //
     /*  621487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  621498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  621501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  621504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  621507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621533 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  621536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621555 */     GIR_RootConstrainSelectedInstOperands,
     /*  621556 */     // GIR_Coverage, 5940,
     /*  621556 */     GIR_EraseRootFromParent_Done,
     /*  621557 */   // Label 10005: @621557
     /*  621557 */   GIM_Try, /*On fail goto*//*Label 10006*/ GIMT_Encode4(621632), // Rule ID 5943 //
     /*  621562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  621573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  621576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  621579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  621582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621608 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  621611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621630 */     GIR_RootConstrainSelectedInstOperands,
     /*  621631 */     // GIR_Coverage, 5943,
     /*  621631 */     GIR_EraseRootFromParent_Done,
     /*  621632 */   // Label 10006: @621632
     /*  621632 */   GIM_Try, /*On fail goto*//*Label 10007*/ GIMT_Encode4(621707), // Rule ID 5944 //
     /*  621637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  621648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  621651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  621654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  621657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621683 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  621686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621705 */     GIR_RootConstrainSelectedInstOperands,
     /*  621706 */     // GIR_Coverage, 5944,
     /*  621706 */     GIR_EraseRootFromParent_Done,
     /*  621707 */   // Label 10007: @621707
     /*  621707 */   GIM_Try, /*On fail goto*//*Label 10008*/ GIMT_Encode4(621782), // Rule ID 5947 //
     /*  621712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  621723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  621726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  621729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  621732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621758 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  621761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621780 */     GIR_RootConstrainSelectedInstOperands,
     /*  621781 */     // GIR_Coverage, 5947,
     /*  621781 */     GIR_EraseRootFromParent_Done,
     /*  621782 */   // Label 10008: @621782
     /*  621782 */   GIM_Try, /*On fail goto*//*Label 10009*/ GIMT_Encode4(621857), // Rule ID 5948 //
     /*  621787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  621798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  621801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  621804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  621807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621833 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  621836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621855 */     GIR_RootConstrainSelectedInstOperands,
     /*  621856 */     // GIR_Coverage, 5948,
     /*  621856 */     GIR_EraseRootFromParent_Done,
     /*  621857 */   // Label 10009: @621857
     /*  621857 */   GIM_Try, /*On fail goto*//*Label 10010*/ GIMT_Encode4(621932), // Rule ID 5951 //
     /*  621862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  621873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  621876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  621879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  621882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621908 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  621908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  621911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621930 */     GIR_RootConstrainSelectedInstOperands,
     /*  621931 */     // GIR_Coverage, 5951,
     /*  621931 */     GIR_EraseRootFromParent_Done,
     /*  621932 */   // Label 10010: @621932
     /*  621932 */   GIM_Try, /*On fail goto*//*Label 10011*/ GIMT_Encode4(622007), // Rule ID 5952 //
     /*  621937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  621948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  621951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  621954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  621957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  621983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  621986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622005 */     GIR_RootConstrainSelectedInstOperands,
     /*  622006 */     // GIR_Coverage, 5952,
     /*  622006 */     GIR_EraseRootFromParent_Done,
     /*  622007 */   // Label 10011: @622007
     /*  622007 */   GIM_Try, /*On fail goto*//*Label 10012*/ GIMT_Encode4(622082), // Rule ID 5955 //
     /*  622012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  622023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  622026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  622029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  622032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  622058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  622061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622080 */     GIR_RootConstrainSelectedInstOperands,
     /*  622081 */     // GIR_Coverage, 5955,
     /*  622081 */     GIR_EraseRootFromParent_Done,
     /*  622082 */   // Label 10012: @622082
     /*  622082 */   GIM_Try, /*On fail goto*//*Label 10013*/ GIMT_Encode4(622157), // Rule ID 5956 //
     /*  622087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  622098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  622101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  622104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  622107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622133 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  622133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  622136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622155 */     GIR_RootConstrainSelectedInstOperands,
     /*  622156 */     // GIR_Coverage, 5956,
     /*  622156 */     GIR_EraseRootFromParent_Done,
     /*  622157 */   // Label 10013: @622157
     /*  622157 */   GIM_Try, /*On fail goto*//*Label 10014*/ GIMT_Encode4(622232), // Rule ID 5959 //
     /*  622162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  622173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  622176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  622179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  622182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622208 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  622208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  622211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622230 */     GIR_RootConstrainSelectedInstOperands,
     /*  622231 */     // GIR_Coverage, 5959,
     /*  622231 */     GIR_EraseRootFromParent_Done,
     /*  622232 */   // Label 10014: @622232
     /*  622232 */   GIM_Try, /*On fail goto*//*Label 10015*/ GIMT_Encode4(622307), // Rule ID 5960 //
     /*  622237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  622248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  622251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  622254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  622257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  622283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  622286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622305 */     GIR_RootConstrainSelectedInstOperands,
     /*  622306 */     // GIR_Coverage, 5960,
     /*  622306 */     GIR_EraseRootFromParent_Done,
     /*  622307 */   // Label 10015: @622307
     /*  622307 */   GIM_Try, /*On fail goto*//*Label 10016*/ GIMT_Encode4(622382), // Rule ID 5963 //
     /*  622312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  622315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  622323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  622326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  622329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  622332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622358 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  622358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  622361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622380 */     GIR_RootConstrainSelectedInstOperands,
     /*  622381 */     // GIR_Coverage, 5963,
     /*  622381 */     GIR_EraseRootFromParent_Done,
     /*  622382 */   // Label 10016: @622382
     /*  622382 */   GIM_Try, /*On fail goto*//*Label 10017*/ GIMT_Encode4(622457), // Rule ID 5964 //
     /*  622387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  622390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  622398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  622401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  622404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  622407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622433 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  622433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  622436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622455 */     GIR_RootConstrainSelectedInstOperands,
     /*  622456 */     // GIR_Coverage, 5964,
     /*  622456 */     GIR_EraseRootFromParent_Done,
     /*  622457 */   // Label 10017: @622457
     /*  622457 */   GIM_Try, /*On fail goto*//*Label 10018*/ GIMT_Encode4(622532), // Rule ID 5967 //
     /*  622462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  622465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  622473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  622476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  622479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  622482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622508 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  622508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  622511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622530 */     GIR_RootConstrainSelectedInstOperands,
     /*  622531 */     // GIR_Coverage, 5967,
     /*  622531 */     GIR_EraseRootFromParent_Done,
     /*  622532 */   // Label 10018: @622532
     /*  622532 */   GIM_Try, /*On fail goto*//*Label 10019*/ GIMT_Encode4(622607), // Rule ID 5968 //
     /*  622537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  622540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  622548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  622551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  622554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  622557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622583 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  622583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  622586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622605 */     GIR_RootConstrainSelectedInstOperands,
     /*  622606 */     // GIR_Coverage, 5968,
     /*  622606 */     GIR_EraseRootFromParent_Done,
     /*  622607 */   // Label 10019: @622607
     /*  622607 */   GIM_Try, /*On fail goto*//*Label 10020*/ GIMT_Encode4(622682), // Rule ID 5971 //
     /*  622612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  622615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  622623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  622626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  622629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  622632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622658 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  622658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  622661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622680 */     GIR_RootConstrainSelectedInstOperands,
     /*  622681 */     // GIR_Coverage, 5971,
     /*  622681 */     GIR_EraseRootFromParent_Done,
     /*  622682 */   // Label 10020: @622682
     /*  622682 */   GIM_Try, /*On fail goto*//*Label 10021*/ GIMT_Encode4(622757), // Rule ID 5972 //
     /*  622687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  622690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  622698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  622701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  622704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  622707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622733 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  622733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  622736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622755 */     GIR_RootConstrainSelectedInstOperands,
     /*  622756 */     // GIR_Coverage, 5972,
     /*  622756 */     GIR_EraseRootFromParent_Done,
     /*  622757 */   // Label 10021: @622757
     /*  622757 */   GIM_Try, /*On fail goto*//*Label 10022*/ GIMT_Encode4(622832), // Rule ID 5975 //
     /*  622762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  622773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  622776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  622779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622808 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  622811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622830 */     GIR_RootConstrainSelectedInstOperands,
     /*  622831 */     // GIR_Coverage, 5975,
     /*  622831 */     GIR_EraseRootFromParent_Done,
     /*  622832 */   // Label 10022: @622832
     /*  622832 */   GIM_Try, /*On fail goto*//*Label 10023*/ GIMT_Encode4(622907), // Rule ID 5976 //
     /*  622837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  622848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  622851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  622854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622883 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  622886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622905 */     GIR_RootConstrainSelectedInstOperands,
     /*  622906 */     // GIR_Coverage, 5976,
     /*  622906 */     GIR_EraseRootFromParent_Done,
     /*  622907 */   // Label 10023: @622907
     /*  622907 */   GIM_Try, /*On fail goto*//*Label 10024*/ GIMT_Encode4(622982), // Rule ID 5979 //
     /*  622912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  622923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  622926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  622929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622958 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  622961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622980 */     GIR_RootConstrainSelectedInstOperands,
     /*  622981 */     // GIR_Coverage, 5979,
     /*  622981 */     GIR_EraseRootFromParent_Done,
     /*  622982 */   // Label 10024: @622982
     /*  622982 */   GIM_Try, /*On fail goto*//*Label 10025*/ GIMT_Encode4(623057), // Rule ID 5980 //
     /*  622987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  622995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  622998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  623001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  623004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623033 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  623036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623055 */     GIR_RootConstrainSelectedInstOperands,
     /*  623056 */     // GIR_Coverage, 5980,
     /*  623056 */     GIR_EraseRootFromParent_Done,
     /*  623057 */   // Label 10025: @623057
     /*  623057 */   GIM_Try, /*On fail goto*//*Label 10026*/ GIMT_Encode4(623132), // Rule ID 5983 //
     /*  623062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  623073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  623076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  623079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623108 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  623108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  623111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623130 */     GIR_RootConstrainSelectedInstOperands,
     /*  623131 */     // GIR_Coverage, 5983,
     /*  623131 */     GIR_EraseRootFromParent_Done,
     /*  623132 */   // Label 10026: @623132
     /*  623132 */   GIM_Try, /*On fail goto*//*Label 10027*/ GIMT_Encode4(623207), // Rule ID 5984 //
     /*  623137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  623148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  623151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  623154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623183 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  623186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623205 */     GIR_RootConstrainSelectedInstOperands,
     /*  623206 */     // GIR_Coverage, 5984,
     /*  623206 */     GIR_EraseRootFromParent_Done,
     /*  623207 */   // Label 10027: @623207
     /*  623207 */   GIM_Try, /*On fail goto*//*Label 10028*/ GIMT_Encode4(623282), // Rule ID 5987 //
     /*  623212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  623223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  623226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  623229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623258 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  623261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623280 */     GIR_RootConstrainSelectedInstOperands,
     /*  623281 */     // GIR_Coverage, 5987,
     /*  623281 */     GIR_EraseRootFromParent_Done,
     /*  623282 */   // Label 10028: @623282
     /*  623282 */   GIM_Try, /*On fail goto*//*Label 10029*/ GIMT_Encode4(623357), // Rule ID 5988 //
     /*  623287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  623298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  623301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  623304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623333 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  623336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623355 */     GIR_RootConstrainSelectedInstOperands,
     /*  623356 */     // GIR_Coverage, 5988,
     /*  623356 */     GIR_EraseRootFromParent_Done,
     /*  623357 */   // Label 10029: @623357
     /*  623357 */   GIM_Try, /*On fail goto*//*Label 10030*/ GIMT_Encode4(623432), // Rule ID 5991 //
     /*  623362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  623373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  623376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  623379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623408 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  623411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623430 */     GIR_RootConstrainSelectedInstOperands,
     /*  623431 */     // GIR_Coverage, 5991,
     /*  623431 */     GIR_EraseRootFromParent_Done,
     /*  623432 */   // Label 10030: @623432
     /*  623432 */   GIM_Try, /*On fail goto*//*Label 10031*/ GIMT_Encode4(623507), // Rule ID 5992 //
     /*  623437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  623448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  623451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  623454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623483 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  623486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623505 */     GIR_RootConstrainSelectedInstOperands,
     /*  623506 */     // GIR_Coverage, 5992,
     /*  623506 */     GIR_EraseRootFromParent_Done,
     /*  623507 */   // Label 10031: @623507
     /*  623507 */   GIM_Try, /*On fail goto*//*Label 10032*/ GIMT_Encode4(623582), // Rule ID 5995 //
     /*  623512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  623523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  623526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  623529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623558 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  623561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623580 */     GIR_RootConstrainSelectedInstOperands,
     /*  623581 */     // GIR_Coverage, 5995,
     /*  623581 */     GIR_EraseRootFromParent_Done,
     /*  623582 */   // Label 10032: @623582
     /*  623582 */   GIM_Try, /*On fail goto*//*Label 10033*/ GIMT_Encode4(623657), // Rule ID 5996 //
     /*  623587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  623598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  623601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  623604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623633 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  623636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623655 */     GIR_RootConstrainSelectedInstOperands,
     /*  623656 */     // GIR_Coverage, 5996,
     /*  623656 */     GIR_EraseRootFromParent_Done,
     /*  623657 */   // Label 10033: @623657
     /*  623657 */   GIM_Try, /*On fail goto*//*Label 10034*/ GIMT_Encode4(623732), // Rule ID 5999 //
     /*  623662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  623673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  623676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  623679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623708 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  623708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  623711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623730 */     GIR_RootConstrainSelectedInstOperands,
     /*  623731 */     // GIR_Coverage, 5999,
     /*  623731 */     GIR_EraseRootFromParent_Done,
     /*  623732 */   // Label 10034: @623732
     /*  623732 */   GIM_Try, /*On fail goto*//*Label 10035*/ GIMT_Encode4(623807), // Rule ID 6000 //
     /*  623737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  623748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  623751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  623754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623783 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  623786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623805 */     GIR_RootConstrainSelectedInstOperands,
     /*  623806 */     // GIR_Coverage, 6000,
     /*  623806 */     GIR_EraseRootFromParent_Done,
     /*  623807 */   // Label 10035: @623807
     /*  623807 */   GIM_Try, /*On fail goto*//*Label 10036*/ GIMT_Encode4(623882), // Rule ID 6003 //
     /*  623812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  623823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  623826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  623829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  623861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623880 */     GIR_RootConstrainSelectedInstOperands,
     /*  623881 */     // GIR_Coverage, 6003,
     /*  623881 */     GIR_EraseRootFromParent_Done,
     /*  623882 */   // Label 10036: @623882
     /*  623882 */   GIM_Try, /*On fail goto*//*Label 10037*/ GIMT_Encode4(623957), // Rule ID 6004 //
     /*  623887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  623898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  623901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  623904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623933 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  623936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623955 */     GIR_RootConstrainSelectedInstOperands,
     /*  623956 */     // GIR_Coverage, 6004,
     /*  623956 */     GIR_EraseRootFromParent_Done,
     /*  623957 */   // Label 10037: @623957
     /*  623957 */   GIM_Try, /*On fail goto*//*Label 10038*/ GIMT_Encode4(624032), // Rule ID 6007 //
     /*  623962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  623970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  623973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  623976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  623979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  624008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  624011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624030 */     GIR_RootConstrainSelectedInstOperands,
     /*  624031 */     // GIR_Coverage, 6007,
     /*  624031 */     GIR_EraseRootFromParent_Done,
     /*  624032 */   // Label 10038: @624032
     /*  624032 */   GIM_Try, /*On fail goto*//*Label 10039*/ GIMT_Encode4(624107), // Rule ID 6008 //
     /*  624037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  624048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  624051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  624054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624083 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  624083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  624086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624105 */     GIR_RootConstrainSelectedInstOperands,
     /*  624106 */     // GIR_Coverage, 6008,
     /*  624106 */     GIR_EraseRootFromParent_Done,
     /*  624107 */   // Label 10039: @624107
     /*  624107 */   GIM_Try, /*On fail goto*//*Label 10040*/ GIMT_Encode4(624182), // Rule ID 6011 //
     /*  624112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  624115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  624123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  624126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  624129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624158 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  624161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624180 */     GIR_RootConstrainSelectedInstOperands,
     /*  624181 */     // GIR_Coverage, 6011,
     /*  624181 */     GIR_EraseRootFromParent_Done,
     /*  624182 */   // Label 10040: @624182
     /*  624182 */   GIM_Try, /*On fail goto*//*Label 10041*/ GIMT_Encode4(624257), // Rule ID 6012 //
     /*  624187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  624190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  624198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  624201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  624204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624233 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  624236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624255 */     GIR_RootConstrainSelectedInstOperands,
     /*  624256 */     // GIR_Coverage, 6012,
     /*  624256 */     GIR_EraseRootFromParent_Done,
     /*  624257 */   // Label 10041: @624257
     /*  624257 */   GIM_Try, /*On fail goto*//*Label 10042*/ GIMT_Encode4(624332), // Rule ID 6015 //
     /*  624262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  624273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  624276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  624279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624308 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  624311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624330 */     GIR_RootConstrainSelectedInstOperands,
     /*  624331 */     // GIR_Coverage, 6015,
     /*  624331 */     GIR_EraseRootFromParent_Done,
     /*  624332 */   // Label 10042: @624332
     /*  624332 */   GIM_Try, /*On fail goto*//*Label 10043*/ GIMT_Encode4(624407), // Rule ID 6016 //
     /*  624337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  624348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  624351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  624354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624383 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  624386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624405 */     GIR_RootConstrainSelectedInstOperands,
     /*  624406 */     // GIR_Coverage, 6016,
     /*  624406 */     GIR_EraseRootFromParent_Done,
     /*  624407 */   // Label 10043: @624407
     /*  624407 */   GIM_Try, /*On fail goto*//*Label 10044*/ GIMT_Encode4(624482), // Rule ID 6019 //
     /*  624412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  624423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  624426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  624429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624458 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  624461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624480 */     GIR_RootConstrainSelectedInstOperands,
     /*  624481 */     // GIR_Coverage, 6019,
     /*  624481 */     GIR_EraseRootFromParent_Done,
     /*  624482 */   // Label 10044: @624482
     /*  624482 */   GIM_Try, /*On fail goto*//*Label 10045*/ GIMT_Encode4(624557), // Rule ID 6020 //
     /*  624487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  624498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  624501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  624504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624533 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  624536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624555 */     GIR_RootConstrainSelectedInstOperands,
     /*  624556 */     // GIR_Coverage, 6020,
     /*  624556 */     GIR_EraseRootFromParent_Done,
     /*  624557 */   // Label 10045: @624557
     /*  624557 */   GIM_Try, /*On fail goto*//*Label 10046*/ GIMT_Encode4(624632), // Rule ID 6023 //
     /*  624562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  624573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  624576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  624579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624608 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  624611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624630 */     GIR_RootConstrainSelectedInstOperands,
     /*  624631 */     // GIR_Coverage, 6023,
     /*  624631 */     GIR_EraseRootFromParent_Done,
     /*  624632 */   // Label 10046: @624632
     /*  624632 */   GIM_Try, /*On fail goto*//*Label 10047*/ GIMT_Encode4(624707), // Rule ID 6024 //
     /*  624637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  624648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  624651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  624654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624683 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  624686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624705 */     GIR_RootConstrainSelectedInstOperands,
     /*  624706 */     // GIR_Coverage, 6024,
     /*  624706 */     GIR_EraseRootFromParent_Done,
     /*  624707 */   // Label 10047: @624707
     /*  624707 */   GIM_Try, /*On fail goto*//*Label 10048*/ GIMT_Encode4(624782), // Rule ID 6027 //
     /*  624712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  624723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  624726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  624729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624758 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  624761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624780 */     GIR_RootConstrainSelectedInstOperands,
     /*  624781 */     // GIR_Coverage, 6027,
     /*  624781 */     GIR_EraseRootFromParent_Done,
     /*  624782 */   // Label 10048: @624782
     /*  624782 */   GIM_Try, /*On fail goto*//*Label 10049*/ GIMT_Encode4(624857), // Rule ID 6028 //
     /*  624787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  624798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  624801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  624804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624833 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  624836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624855 */     GIR_RootConstrainSelectedInstOperands,
     /*  624856 */     // GIR_Coverage, 6028,
     /*  624856 */     GIR_EraseRootFromParent_Done,
     /*  624857 */   // Label 10049: @624857
     /*  624857 */   GIM_Try, /*On fail goto*//*Label 10050*/ GIMT_Encode4(624932), // Rule ID 6031 //
     /*  624862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  624873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  624876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  624879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624908 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  624911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624930 */     GIR_RootConstrainSelectedInstOperands,
     /*  624931 */     // GIR_Coverage, 6031,
     /*  624931 */     GIR_EraseRootFromParent_Done,
     /*  624932 */   // Label 10050: @624932
     /*  624932 */   GIM_Try, /*On fail goto*//*Label 10051*/ GIMT_Encode4(625007), // Rule ID 6032 //
     /*  624937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  624945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  624948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  624951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  624954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624983 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  624986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625005 */     GIR_RootConstrainSelectedInstOperands,
     /*  625006 */     // GIR_Coverage, 6032,
     /*  625006 */     GIR_EraseRootFromParent_Done,
     /*  625007 */   // Label 10051: @625007
     /*  625007 */   GIM_Try, /*On fail goto*//*Label 10052*/ GIMT_Encode4(625082), // Rule ID 6035 //
     /*  625012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  625023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  625026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  625029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625058 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  625058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  625061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625080 */     GIR_RootConstrainSelectedInstOperands,
     /*  625081 */     // GIR_Coverage, 6035,
     /*  625081 */     GIR_EraseRootFromParent_Done,
     /*  625082 */   // Label 10052: @625082
     /*  625082 */   GIM_Try, /*On fail goto*//*Label 10053*/ GIMT_Encode4(625157), // Rule ID 6036 //
     /*  625087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  625098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  625101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  625104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625133 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  625133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  625136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625155 */     GIR_RootConstrainSelectedInstOperands,
     /*  625156 */     // GIR_Coverage, 6036,
     /*  625156 */     GIR_EraseRootFromParent_Done,
     /*  625157 */   // Label 10053: @625157
     /*  625157 */   GIM_Try, /*On fail goto*//*Label 10054*/ GIMT_Encode4(625232), // Rule ID 6039 //
     /*  625162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  625173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  625176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  625179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625208 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  625208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  625211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625230 */     GIR_RootConstrainSelectedInstOperands,
     /*  625231 */     // GIR_Coverage, 6039,
     /*  625231 */     GIR_EraseRootFromParent_Done,
     /*  625232 */   // Label 10054: @625232
     /*  625232 */   GIM_Try, /*On fail goto*//*Label 10055*/ GIMT_Encode4(625307), // Rule ID 6040 //
     /*  625237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  625248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  625251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  625254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625283 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  625283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  625286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625305 */     GIR_RootConstrainSelectedInstOperands,
     /*  625306 */     // GIR_Coverage, 6040,
     /*  625306 */     GIR_EraseRootFromParent_Done,
     /*  625307 */   // Label 10055: @625307
     /*  625307 */   GIM_Try, /*On fail goto*//*Label 10056*/ GIMT_Encode4(625382), // Rule ID 6043 //
     /*  625312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  625323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  625326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  625329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625358 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  625358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  625361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625380 */     GIR_RootConstrainSelectedInstOperands,
     /*  625381 */     // GIR_Coverage, 6043,
     /*  625381 */     GIR_EraseRootFromParent_Done,
     /*  625382 */   // Label 10056: @625382
     /*  625382 */   GIM_Try, /*On fail goto*//*Label 10057*/ GIMT_Encode4(625457), // Rule ID 6044 //
     /*  625387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  625398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  625401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  625404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625433 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  625433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  625436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625455 */     GIR_RootConstrainSelectedInstOperands,
     /*  625456 */     // GIR_Coverage, 6044,
     /*  625456 */     GIR_EraseRootFromParent_Done,
     /*  625457 */   // Label 10057: @625457
     /*  625457 */   GIM_Try, /*On fail goto*//*Label 10058*/ GIMT_Encode4(625532), // Rule ID 6047 //
     /*  625462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  625473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  625476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  625479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625508 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  625508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  625511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625530 */     GIR_RootConstrainSelectedInstOperands,
     /*  625531 */     // GIR_Coverage, 6047,
     /*  625531 */     GIR_EraseRootFromParent_Done,
     /*  625532 */   // Label 10058: @625532
     /*  625532 */   GIM_Try, /*On fail goto*//*Label 10059*/ GIMT_Encode4(625607), // Rule ID 6048 //
     /*  625537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  625548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  625551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  625554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625583 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  625583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  625586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625605 */     GIR_RootConstrainSelectedInstOperands,
     /*  625606 */     // GIR_Coverage, 6048,
     /*  625606 */     GIR_EraseRootFromParent_Done,
     /*  625607 */   // Label 10059: @625607
     /*  625607 */   GIM_Try, /*On fail goto*//*Label 10060*/ GIMT_Encode4(625682), // Rule ID 6051 //
     /*  625612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  625615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  625623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  625626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  625629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625658 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  625661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625680 */     GIR_RootConstrainSelectedInstOperands,
     /*  625681 */     // GIR_Coverage, 6051,
     /*  625681 */     GIR_EraseRootFromParent_Done,
     /*  625682 */   // Label 10060: @625682
     /*  625682 */   GIM_Try, /*On fail goto*//*Label 10061*/ GIMT_Encode4(625757), // Rule ID 6052 //
     /*  625687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  625690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  625698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  625701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  625704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625733 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  625736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625755 */     GIR_RootConstrainSelectedInstOperands,
     /*  625756 */     // GIR_Coverage, 6052,
     /*  625756 */     GIR_EraseRootFromParent_Done,
     /*  625757 */   // Label 10061: @625757
     /*  625757 */   GIM_Try, /*On fail goto*//*Label 10062*/ GIMT_Encode4(625832), // Rule ID 6055 //
     /*  625762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  625765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  625773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  625776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  625779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625808 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  625811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625830 */     GIR_RootConstrainSelectedInstOperands,
     /*  625831 */     // GIR_Coverage, 6055,
     /*  625831 */     GIR_EraseRootFromParent_Done,
     /*  625832 */   // Label 10062: @625832
     /*  625832 */   GIM_Try, /*On fail goto*//*Label 10063*/ GIMT_Encode4(625907), // Rule ID 6056 //
     /*  625837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  625840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  625848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  625851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  625854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625883 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  625886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625905 */     GIR_RootConstrainSelectedInstOperands,
     /*  625906 */     // GIR_Coverage, 6056,
     /*  625906 */     GIR_EraseRootFromParent_Done,
     /*  625907 */   // Label 10063: @625907
     /*  625907 */   GIM_Try, /*On fail goto*//*Label 10064*/ GIMT_Encode4(625982), // Rule ID 6059 //
     /*  625912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  625915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  625923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  625926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  625929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625958 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  625961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625980 */     GIR_RootConstrainSelectedInstOperands,
     /*  625981 */     // GIR_Coverage, 6059,
     /*  625981 */     GIR_EraseRootFromParent_Done,
     /*  625982 */   // Label 10064: @625982
     /*  625982 */   GIM_Try, /*On fail goto*//*Label 10065*/ GIMT_Encode4(626057), // Rule ID 6060 //
     /*  625987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  625990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  625998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  626001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  626004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626033 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  626033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  626036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626055 */     GIR_RootConstrainSelectedInstOperands,
     /*  626056 */     // GIR_Coverage, 6060,
     /*  626056 */     GIR_EraseRootFromParent_Done,
     /*  626057 */   // Label 10065: @626057
     /*  626057 */   GIM_Try, /*On fail goto*//*Label 10066*/ GIMT_Encode4(626132), // Rule ID 6151 //
     /*  626062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  626073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  626076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  626079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  626082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626108 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  626111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626130 */     GIR_RootConstrainSelectedInstOperands,
     /*  626131 */     // GIR_Coverage, 6151,
     /*  626131 */     GIR_EraseRootFromParent_Done,
     /*  626132 */   // Label 10066: @626132
     /*  626132 */   GIM_Try, /*On fail goto*//*Label 10067*/ GIMT_Encode4(626207), // Rule ID 6152 //
     /*  626137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  626148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  626151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  626154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  626157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626183 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  626186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626205 */     GIR_RootConstrainSelectedInstOperands,
     /*  626206 */     // GIR_Coverage, 6152,
     /*  626206 */     GIR_EraseRootFromParent_Done,
     /*  626207 */   // Label 10067: @626207
     /*  626207 */   GIM_Try, /*On fail goto*//*Label 10068*/ GIMT_Encode4(626282), // Rule ID 6155 //
     /*  626212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  626223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  626226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  626229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  626232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626258 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  626261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626280 */     GIR_RootConstrainSelectedInstOperands,
     /*  626281 */     // GIR_Coverage, 6155,
     /*  626281 */     GIR_EraseRootFromParent_Done,
     /*  626282 */   // Label 10068: @626282
     /*  626282 */   GIM_Try, /*On fail goto*//*Label 10069*/ GIMT_Encode4(626357), // Rule ID 6156 //
     /*  626287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  626298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  626301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  626304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  626307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626333 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  626336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626355 */     GIR_RootConstrainSelectedInstOperands,
     /*  626356 */     // GIR_Coverage, 6156,
     /*  626356 */     GIR_EraseRootFromParent_Done,
     /*  626357 */   // Label 10069: @626357
     /*  626357 */   GIM_Try, /*On fail goto*//*Label 10070*/ GIMT_Encode4(626432), // Rule ID 6159 //
     /*  626362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  626373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  626376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  626379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  626382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626408 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  626411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626430 */     GIR_RootConstrainSelectedInstOperands,
     /*  626431 */     // GIR_Coverage, 6159,
     /*  626431 */     GIR_EraseRootFromParent_Done,
     /*  626432 */   // Label 10070: @626432
     /*  626432 */   GIM_Try, /*On fail goto*//*Label 10071*/ GIMT_Encode4(626507), // Rule ID 6160 //
     /*  626437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  626448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  626451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  626454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  626457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626483 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  626486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626505 */     GIR_RootConstrainSelectedInstOperands,
     /*  626506 */     // GIR_Coverage, 6160,
     /*  626506 */     GIR_EraseRootFromParent_Done,
     /*  626507 */   // Label 10071: @626507
     /*  626507 */   GIM_Try, /*On fail goto*//*Label 10072*/ GIMT_Encode4(626582), // Rule ID 6163 //
     /*  626512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  626523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  626526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  626529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  626532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626558 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  626561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626580 */     GIR_RootConstrainSelectedInstOperands,
     /*  626581 */     // GIR_Coverage, 6163,
     /*  626581 */     GIR_EraseRootFromParent_Done,
     /*  626582 */   // Label 10072: @626582
     /*  626582 */   GIM_Try, /*On fail goto*//*Label 10073*/ GIMT_Encode4(626657), // Rule ID 6164 //
     /*  626587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  626598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  626601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  626604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  626607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626633 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  626636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626655 */     GIR_RootConstrainSelectedInstOperands,
     /*  626656 */     // GIR_Coverage, 6164,
     /*  626656 */     GIR_EraseRootFromParent_Done,
     /*  626657 */   // Label 10073: @626657
     /*  626657 */   GIM_Try, /*On fail goto*//*Label 10074*/ GIMT_Encode4(626732), // Rule ID 6167 //
     /*  626662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  626673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  626676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  626679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  626682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626708 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  626711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626730 */     GIR_RootConstrainSelectedInstOperands,
     /*  626731 */     // GIR_Coverage, 6167,
     /*  626731 */     GIR_EraseRootFromParent_Done,
     /*  626732 */   // Label 10074: @626732
     /*  626732 */   GIM_Try, /*On fail goto*//*Label 10075*/ GIMT_Encode4(626807), // Rule ID 6168 //
     /*  626737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  626748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  626751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  626754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  626757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626783 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  626786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626805 */     GIR_RootConstrainSelectedInstOperands,
     /*  626806 */     // GIR_Coverage, 6168,
     /*  626806 */     GIR_EraseRootFromParent_Done,
     /*  626807 */   // Label 10075: @626807
     /*  626807 */   GIM_Try, /*On fail goto*//*Label 10076*/ GIMT_Encode4(626882), // Rule ID 6171 //
     /*  626812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  626823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  626826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  626829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  626832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626858 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  626858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  626861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626880 */     GIR_RootConstrainSelectedInstOperands,
     /*  626881 */     // GIR_Coverage, 6171,
     /*  626881 */     GIR_EraseRootFromParent_Done,
     /*  626882 */   // Label 10076: @626882
     /*  626882 */   GIM_Try, /*On fail goto*//*Label 10077*/ GIMT_Encode4(626957), // Rule ID 6172 //
     /*  626887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  626898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  626901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  626904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  626907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626933 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  626933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  626936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626955 */     GIR_RootConstrainSelectedInstOperands,
     /*  626956 */     // GIR_Coverage, 6172,
     /*  626956 */     GIR_EraseRootFromParent_Done,
     /*  626957 */   // Label 10077: @626957
     /*  626957 */   GIM_Try, /*On fail goto*//*Label 10078*/ GIMT_Encode4(627032), // Rule ID 6175 //
     /*  626962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  626973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  626976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  626979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  626982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  627011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627030 */     GIR_RootConstrainSelectedInstOperands,
     /*  627031 */     // GIR_Coverage, 6175,
     /*  627031 */     GIR_EraseRootFromParent_Done,
     /*  627032 */   // Label 10078: @627032
     /*  627032 */   GIM_Try, /*On fail goto*//*Label 10079*/ GIMT_Encode4(627107), // Rule ID 6176 //
     /*  627037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  627048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  627051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  627054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  627057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627083 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  627086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627105 */     GIR_RootConstrainSelectedInstOperands,
     /*  627106 */     // GIR_Coverage, 6176,
     /*  627106 */     GIR_EraseRootFromParent_Done,
     /*  627107 */   // Label 10079: @627107
     /*  627107 */   GIM_Try, /*On fail goto*//*Label 10080*/ GIMT_Encode4(627182), // Rule ID 6179 //
     /*  627112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  627123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  627126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  627129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  627132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627158 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  627161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627180 */     GIR_RootConstrainSelectedInstOperands,
     /*  627181 */     // GIR_Coverage, 6179,
     /*  627181 */     GIR_EraseRootFromParent_Done,
     /*  627182 */   // Label 10080: @627182
     /*  627182 */   GIM_Try, /*On fail goto*//*Label 10081*/ GIMT_Encode4(627257), // Rule ID 6180 //
     /*  627187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  627198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  627201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  627204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  627207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627233 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  627236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627255 */     GIR_RootConstrainSelectedInstOperands,
     /*  627256 */     // GIR_Coverage, 6180,
     /*  627256 */     GIR_EraseRootFromParent_Done,
     /*  627257 */   // Label 10081: @627257
     /*  627257 */   GIM_Try, /*On fail goto*//*Label 10082*/ GIMT_Encode4(627332), // Rule ID 6183 //
     /*  627262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  627273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  627276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  627279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  627282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  627308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  627311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627330 */     GIR_RootConstrainSelectedInstOperands,
     /*  627331 */     // GIR_Coverage, 6183,
     /*  627331 */     GIR_EraseRootFromParent_Done,
     /*  627332 */   // Label 10082: @627332
     /*  627332 */   GIM_Try, /*On fail goto*//*Label 10083*/ GIMT_Encode4(627407), // Rule ID 6184 //
     /*  627337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  627348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  627351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  627354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  627357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627383 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  627383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  627386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627405 */     GIR_RootConstrainSelectedInstOperands,
     /*  627406 */     // GIR_Coverage, 6184,
     /*  627406 */     GIR_EraseRootFromParent_Done,
     /*  627407 */   // Label 10083: @627407
     /*  627407 */   GIM_Try, /*On fail goto*//*Label 10084*/ GIMT_Encode4(627482), // Rule ID 6187 //
     /*  627412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  627415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  627423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  627426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  627429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  627432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627458 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  627458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  627461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627480 */     GIR_RootConstrainSelectedInstOperands,
     /*  627481 */     // GIR_Coverage, 6187,
     /*  627481 */     GIR_EraseRootFromParent_Done,
     /*  627482 */   // Label 10084: @627482
     /*  627482 */   GIM_Try, /*On fail goto*//*Label 10085*/ GIMT_Encode4(627557), // Rule ID 6188 //
     /*  627487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  627490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  627498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  627501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  627504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  627507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627533 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  627533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  627536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627555 */     GIR_RootConstrainSelectedInstOperands,
     /*  627556 */     // GIR_Coverage, 6188,
     /*  627556 */     GIR_EraseRootFromParent_Done,
     /*  627557 */   // Label 10085: @627557
     /*  627557 */   GIM_Try, /*On fail goto*//*Label 10086*/ GIMT_Encode4(627632), // Rule ID 6191 //
     /*  627562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  627573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  627576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  627579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  627582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627608 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  627611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627630 */     GIR_RootConstrainSelectedInstOperands,
     /*  627631 */     // GIR_Coverage, 6191,
     /*  627631 */     GIR_EraseRootFromParent_Done,
     /*  627632 */   // Label 10086: @627632
     /*  627632 */   GIM_Try, /*On fail goto*//*Label 10087*/ GIMT_Encode4(627707), // Rule ID 6192 //
     /*  627637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  627648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  627651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  627654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  627657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627683 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  627686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627705 */     GIR_RootConstrainSelectedInstOperands,
     /*  627706 */     // GIR_Coverage, 6192,
     /*  627706 */     GIR_EraseRootFromParent_Done,
     /*  627707 */   // Label 10087: @627707
     /*  627707 */   GIM_Try, /*On fail goto*//*Label 10088*/ GIMT_Encode4(627782), // Rule ID 6195 //
     /*  627712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  627723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  627726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  627729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  627732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627758 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  627761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627780 */     GIR_RootConstrainSelectedInstOperands,
     /*  627781 */     // GIR_Coverage, 6195,
     /*  627781 */     GIR_EraseRootFromParent_Done,
     /*  627782 */   // Label 10088: @627782
     /*  627782 */   GIM_Try, /*On fail goto*//*Label 10089*/ GIMT_Encode4(627857), // Rule ID 6196 //
     /*  627787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  627798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  627801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  627804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  627807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627833 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  627836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627855 */     GIR_RootConstrainSelectedInstOperands,
     /*  627856 */     // GIR_Coverage, 6196,
     /*  627856 */     GIR_EraseRootFromParent_Done,
     /*  627857 */   // Label 10089: @627857
     /*  627857 */   GIM_Try, /*On fail goto*//*Label 10090*/ GIMT_Encode4(627932), // Rule ID 6199 //
     /*  627862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  627873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  627876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  627879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  627882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627908 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  627911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627930 */     GIR_RootConstrainSelectedInstOperands,
     /*  627931 */     // GIR_Coverage, 6199,
     /*  627931 */     GIR_EraseRootFromParent_Done,
     /*  627932 */   // Label 10090: @627932
     /*  627932 */   GIM_Try, /*On fail goto*//*Label 10091*/ GIMT_Encode4(628007), // Rule ID 6200 //
     /*  627937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  627948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  627951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  627954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  627957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627983 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  627986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628005 */     GIR_RootConstrainSelectedInstOperands,
     /*  628006 */     // GIR_Coverage, 6200,
     /*  628006 */     GIR_EraseRootFromParent_Done,
     /*  628007 */   // Label 10091: @628007
     /*  628007 */   GIM_Try, /*On fail goto*//*Label 10092*/ GIMT_Encode4(628082), // Rule ID 6203 //
     /*  628012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  628023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  628026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  628029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  628032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628058 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  628058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  628061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628080 */     GIR_RootConstrainSelectedInstOperands,
     /*  628081 */     // GIR_Coverage, 6203,
     /*  628081 */     GIR_EraseRootFromParent_Done,
     /*  628082 */   // Label 10092: @628082
     /*  628082 */   GIM_Try, /*On fail goto*//*Label 10093*/ GIMT_Encode4(628157), // Rule ID 6204 //
     /*  628087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  628098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  628101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  628104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  628107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628133 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  628133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  628136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628155 */     GIR_RootConstrainSelectedInstOperands,
     /*  628156 */     // GIR_Coverage, 6204,
     /*  628156 */     GIR_EraseRootFromParent_Done,
     /*  628157 */   // Label 10093: @628157
     /*  628157 */   GIM_Try, /*On fail goto*//*Label 10094*/ GIMT_Encode4(628232), // Rule ID 6207 //
     /*  628162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  628173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  628176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  628179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  628182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628208 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  628208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  628211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628230 */     GIR_RootConstrainSelectedInstOperands,
     /*  628231 */     // GIR_Coverage, 6207,
     /*  628231 */     GIR_EraseRootFromParent_Done,
     /*  628232 */   // Label 10094: @628232
     /*  628232 */   GIM_Try, /*On fail goto*//*Label 10095*/ GIMT_Encode4(628307), // Rule ID 6208 //
     /*  628237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  628248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  628251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  628254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  628257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628283 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  628283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  628286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628305 */     GIR_RootConstrainSelectedInstOperands,
     /*  628306 */     // GIR_Coverage, 6208,
     /*  628306 */     GIR_EraseRootFromParent_Done,
     /*  628307 */   // Label 10095: @628307
     /*  628307 */   GIM_Try, /*On fail goto*//*Label 10096*/ GIMT_Encode4(628382), // Rule ID 6211 //
     /*  628312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  628323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  628326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  628329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  628332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628358 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  628358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  628361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628380 */     GIR_RootConstrainSelectedInstOperands,
     /*  628381 */     // GIR_Coverage, 6211,
     /*  628381 */     GIR_EraseRootFromParent_Done,
     /*  628382 */   // Label 10096: @628382
     /*  628382 */   GIM_Try, /*On fail goto*//*Label 10097*/ GIMT_Encode4(628457), // Rule ID 6212 //
     /*  628387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  628398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  628401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  628404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  628407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628433 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  628433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  628436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628455 */     GIR_RootConstrainSelectedInstOperands,
     /*  628456 */     // GIR_Coverage, 6212,
     /*  628456 */     GIR_EraseRootFromParent_Done,
     /*  628457 */   // Label 10097: @628457
     /*  628457 */   GIM_Try, /*On fail goto*//*Label 10098*/ GIMT_Encode4(628532), // Rule ID 6215 //
     /*  628462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  628473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  628476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  628479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  628482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628508 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  628511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628530 */     GIR_RootConstrainSelectedInstOperands,
     /*  628531 */     // GIR_Coverage, 6215,
     /*  628531 */     GIR_EraseRootFromParent_Done,
     /*  628532 */   // Label 10098: @628532
     /*  628532 */   GIM_Try, /*On fail goto*//*Label 10099*/ GIMT_Encode4(628607), // Rule ID 6216 //
     /*  628537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  628548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  628551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  628554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  628557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628583 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  628583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  628586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628605 */     GIR_RootConstrainSelectedInstOperands,
     /*  628606 */     // GIR_Coverage, 6216,
     /*  628606 */     GIR_EraseRootFromParent_Done,
     /*  628607 */   // Label 10099: @628607
     /*  628607 */   GIM_Try, /*On fail goto*//*Label 10100*/ GIMT_Encode4(628682), // Rule ID 6219 //
     /*  628612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  628623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  628626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  628629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  628632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628658 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  628661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628680 */     GIR_RootConstrainSelectedInstOperands,
     /*  628681 */     // GIR_Coverage, 6219,
     /*  628681 */     GIR_EraseRootFromParent_Done,
     /*  628682 */   // Label 10100: @628682
     /*  628682 */   GIM_Try, /*On fail goto*//*Label 10101*/ GIMT_Encode4(628757), // Rule ID 6220 //
     /*  628687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  628698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  628701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  628704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  628707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628733 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  628733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  628736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628755 */     GIR_RootConstrainSelectedInstOperands,
     /*  628756 */     // GIR_Coverage, 6220,
     /*  628756 */     GIR_EraseRootFromParent_Done,
     /*  628757 */   // Label 10101: @628757
     /*  628757 */   GIM_Try, /*On fail goto*//*Label 10102*/ GIMT_Encode4(628832), // Rule ID 6223 //
     /*  628762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  628773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  628776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  628779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  628782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628808 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  628811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628830 */     GIR_RootConstrainSelectedInstOperands,
     /*  628831 */     // GIR_Coverage, 6223,
     /*  628831 */     GIR_EraseRootFromParent_Done,
     /*  628832 */   // Label 10102: @628832
     /*  628832 */   GIM_Try, /*On fail goto*//*Label 10103*/ GIMT_Encode4(628907), // Rule ID 6224 //
     /*  628837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  628848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  628851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  628854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  628857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628883 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  628883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  628886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628905 */     GIR_RootConstrainSelectedInstOperands,
     /*  628906 */     // GIR_Coverage, 6224,
     /*  628906 */     GIR_EraseRootFromParent_Done,
     /*  628907 */   // Label 10103: @628907
     /*  628907 */   GIM_Try, /*On fail goto*//*Label 10104*/ GIMT_Encode4(628982), // Rule ID 6227 //
     /*  628912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  628915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  628923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  628926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  628929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  628932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  628958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  628961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628980 */     GIR_RootConstrainSelectedInstOperands,
     /*  628981 */     // GIR_Coverage, 6227,
     /*  628981 */     GIR_EraseRootFromParent_Done,
     /*  628982 */   // Label 10104: @628982
     /*  628982 */   GIM_Try, /*On fail goto*//*Label 10105*/ GIMT_Encode4(629057), // Rule ID 6228 //
     /*  628987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  628990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  628995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  628998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  629001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  629004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  629007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629033 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  629033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  629036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  629052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629055 */     GIR_RootConstrainSelectedInstOperands,
     /*  629056 */     // GIR_Coverage, 6228,
     /*  629056 */     GIR_EraseRootFromParent_Done,
     /*  629057 */   // Label 10105: @629057
     /*  629057 */   GIM_Try, /*On fail goto*//*Label 10106*/ GIMT_Encode4(629132), // Rule ID 6231 //
     /*  629062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  629065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  629073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  629076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  629079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  629082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629108 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  629108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  629127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629130 */     GIR_RootConstrainSelectedInstOperands,
     /*  629131 */     // GIR_Coverage, 6231,
     /*  629131 */     GIR_EraseRootFromParent_Done,
     /*  629132 */   // Label 10106: @629132
     /*  629132 */   GIM_Try, /*On fail goto*//*Label 10107*/ GIMT_Encode4(629207), // Rule ID 6232 //
     /*  629137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  629140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  629148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  629151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  629154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  629157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629183 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  629183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  629186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  629202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629205 */     GIR_RootConstrainSelectedInstOperands,
     /*  629206 */     // GIR_Coverage, 6232,
     /*  629206 */     GIR_EraseRootFromParent_Done,
     /*  629207 */   // Label 10107: @629207
     /*  629207 */   GIM_Try, /*On fail goto*//*Label 10108*/ GIMT_Encode4(629282), // Rule ID 6235 //
     /*  629212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  629215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  629223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  629226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  629229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  629232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629258 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  629258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  629261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  629277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629280 */     GIR_RootConstrainSelectedInstOperands,
     /*  629281 */     // GIR_Coverage, 6235,
     /*  629281 */     GIR_EraseRootFromParent_Done,
     /*  629282 */   // Label 10108: @629282
     /*  629282 */   GIM_Try, /*On fail goto*//*Label 10109*/ GIMT_Encode4(629357), // Rule ID 6236 //
     /*  629287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  629290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  629298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  629301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  629304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  629307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629333 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  629333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  629336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  629352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629355 */     GIR_RootConstrainSelectedInstOperands,
     /*  629356 */     // GIR_Coverage, 6236,
     /*  629356 */     GIR_EraseRootFromParent_Done,
     /*  629357 */   // Label 10109: @629357
     /*  629357 */   GIM_Try, /*On fail goto*//*Label 10110*/ GIMT_Encode4(629432), // Rule ID 6239 //
     /*  629362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  629373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  629376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  629379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629408 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  629411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629430 */     GIR_RootConstrainSelectedInstOperands,
     /*  629431 */     // GIR_Coverage, 6239,
     /*  629431 */     GIR_EraseRootFromParent_Done,
     /*  629432 */   // Label 10110: @629432
     /*  629432 */   GIM_Try, /*On fail goto*//*Label 10111*/ GIMT_Encode4(629507), // Rule ID 6240 //
     /*  629437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  629448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  629451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  629454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629483 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  629486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629505 */     GIR_RootConstrainSelectedInstOperands,
     /*  629506 */     // GIR_Coverage, 6240,
     /*  629506 */     GIR_EraseRootFromParent_Done,
     /*  629507 */   // Label 10111: @629507
     /*  629507 */   GIM_Try, /*On fail goto*//*Label 10112*/ GIMT_Encode4(629582), // Rule ID 6243 //
     /*  629512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  629523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  629526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  629529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629558 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  629561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629580 */     GIR_RootConstrainSelectedInstOperands,
     /*  629581 */     // GIR_Coverage, 6243,
     /*  629581 */     GIR_EraseRootFromParent_Done,
     /*  629582 */   // Label 10112: @629582
     /*  629582 */   GIM_Try, /*On fail goto*//*Label 10113*/ GIMT_Encode4(629657), // Rule ID 6244 //
     /*  629587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  629598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  629601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  629604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629633 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  629636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629655 */     GIR_RootConstrainSelectedInstOperands,
     /*  629656 */     // GIR_Coverage, 6244,
     /*  629656 */     GIR_EraseRootFromParent_Done,
     /*  629657 */   // Label 10113: @629657
     /*  629657 */   GIM_Try, /*On fail goto*//*Label 10114*/ GIMT_Encode4(629732), // Rule ID 6247 //
     /*  629662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  629673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  629676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  629679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629708 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  629711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629730 */     GIR_RootConstrainSelectedInstOperands,
     /*  629731 */     // GIR_Coverage, 6247,
     /*  629731 */     GIR_EraseRootFromParent_Done,
     /*  629732 */   // Label 10114: @629732
     /*  629732 */   GIM_Try, /*On fail goto*//*Label 10115*/ GIMT_Encode4(629807), // Rule ID 6248 //
     /*  629737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  629748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  629751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  629754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629783 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  629786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629805 */     GIR_RootConstrainSelectedInstOperands,
     /*  629806 */     // GIR_Coverage, 6248,
     /*  629806 */     GIR_EraseRootFromParent_Done,
     /*  629807 */   // Label 10115: @629807
     /*  629807 */   GIM_Try, /*On fail goto*//*Label 10116*/ GIMT_Encode4(629882), // Rule ID 6251 //
     /*  629812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  629823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  629826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  629829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629858 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  629861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629880 */     GIR_RootConstrainSelectedInstOperands,
     /*  629881 */     // GIR_Coverage, 6251,
     /*  629881 */     GIR_EraseRootFromParent_Done,
     /*  629882 */   // Label 10116: @629882
     /*  629882 */   GIM_Try, /*On fail goto*//*Label 10117*/ GIMT_Encode4(629957), // Rule ID 6252 //
     /*  629887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  629898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  629901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  629904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629933 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  629936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629955 */     GIR_RootConstrainSelectedInstOperands,
     /*  629956 */     // GIR_Coverage, 6252,
     /*  629956 */     GIR_EraseRootFromParent_Done,
     /*  629957 */   // Label 10117: @629957
     /*  629957 */   GIM_Try, /*On fail goto*//*Label 10118*/ GIMT_Encode4(630032), // Rule ID 6255 //
     /*  629962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  629970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  629973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  629976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  629979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630008 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  630008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  630011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630030 */     GIR_RootConstrainSelectedInstOperands,
     /*  630031 */     // GIR_Coverage, 6255,
     /*  630031 */     GIR_EraseRootFromParent_Done,
     /*  630032 */   // Label 10118: @630032
     /*  630032 */   GIM_Try, /*On fail goto*//*Label 10119*/ GIMT_Encode4(630107), // Rule ID 6256 //
     /*  630037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  630048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  630051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  630054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630083 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  630083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  630086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630105 */     GIR_RootConstrainSelectedInstOperands,
     /*  630106 */     // GIR_Coverage, 6256,
     /*  630106 */     GIR_EraseRootFromParent_Done,
     /*  630107 */   // Label 10119: @630107
     /*  630107 */   GIM_Try, /*On fail goto*//*Label 10120*/ GIMT_Encode4(630182), // Rule ID 6259 //
     /*  630112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  630123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  630126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  630129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630158 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  630158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  630161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630180 */     GIR_RootConstrainSelectedInstOperands,
     /*  630181 */     // GIR_Coverage, 6259,
     /*  630181 */     GIR_EraseRootFromParent_Done,
     /*  630182 */   // Label 10120: @630182
     /*  630182 */   GIM_Try, /*On fail goto*//*Label 10121*/ GIMT_Encode4(630257), // Rule ID 6260 //
     /*  630187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  630198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  630201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  630204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630233 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  630233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  630236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630255 */     GIR_RootConstrainSelectedInstOperands,
     /*  630256 */     // GIR_Coverage, 6260,
     /*  630256 */     GIR_EraseRootFromParent_Done,
     /*  630257 */   // Label 10121: @630257
     /*  630257 */   GIM_Try, /*On fail goto*//*Label 10122*/ GIMT_Encode4(630332), // Rule ID 6263 //
     /*  630262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  630273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  630276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  630279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630308 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  630311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630330 */     GIR_RootConstrainSelectedInstOperands,
     /*  630331 */     // GIR_Coverage, 6263,
     /*  630331 */     GIR_EraseRootFromParent_Done,
     /*  630332 */   // Label 10122: @630332
     /*  630332 */   GIM_Try, /*On fail goto*//*Label 10123*/ GIMT_Encode4(630407), // Rule ID 6264 //
     /*  630337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  630348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  630351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  630354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630383 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11574:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  630386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630405 */     GIR_RootConstrainSelectedInstOperands,
     /*  630406 */     // GIR_Coverage, 6264,
     /*  630406 */     GIR_EraseRootFromParent_Done,
     /*  630407 */   // Label 10123: @630407
     /*  630407 */   GIM_Try, /*On fail goto*//*Label 10124*/ GIMT_Encode4(630482), // Rule ID 6267 //
     /*  630412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  630423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  630426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  630429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  630458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  630461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630480 */     GIR_RootConstrainSelectedInstOperands,
     /*  630481 */     // GIR_Coverage, 6267,
     /*  630481 */     GIR_EraseRootFromParent_Done,
     /*  630482 */   // Label 10124: @630482
     /*  630482 */   GIM_Try, /*On fail goto*//*Label 10125*/ GIMT_Encode4(630557), // Rule ID 6268 //
     /*  630487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  630498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  630501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  630504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630533 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11574:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  630533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  630536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630555 */     GIR_RootConstrainSelectedInstOperands,
     /*  630556 */     // GIR_Coverage, 6268,
     /*  630556 */     GIR_EraseRootFromParent_Done,
     /*  630557 */   // Label 10125: @630557
     /*  630557 */   GIM_Try, /*On fail goto*//*Label 10126*/ GIMT_Encode4(630632), // Rule ID 6271 //
     /*  630562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  630573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  630576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  630579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  630608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  630611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630630 */     GIR_RootConstrainSelectedInstOperands,
     /*  630631 */     // GIR_Coverage, 6271,
     /*  630631 */     GIR_EraseRootFromParent_Done,
     /*  630632 */   // Label 10126: @630632
     /*  630632 */   GIM_Try, /*On fail goto*//*Label 10127*/ GIMT_Encode4(630707), // Rule ID 6272 //
     /*  630637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  630648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  630651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  630654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630683 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11574:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  630683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  630686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630705 */     GIR_RootConstrainSelectedInstOperands,
     /*  630706 */     // GIR_Coverage, 6272,
     /*  630706 */     GIR_EraseRootFromParent_Done,
     /*  630707 */   // Label 10127: @630707
     /*  630707 */   GIM_Try, /*On fail goto*//*Label 10128*/ GIMT_Encode4(630782), // Rule ID 6275 //
     /*  630712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  630723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  630726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  630729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630758 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  630761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630780 */     GIR_RootConstrainSelectedInstOperands,
     /*  630781 */     // GIR_Coverage, 6275,
     /*  630781 */     GIR_EraseRootFromParent_Done,
     /*  630782 */   // Label 10128: @630782
     /*  630782 */   GIM_Try, /*On fail goto*//*Label 10129*/ GIMT_Encode4(630857), // Rule ID 6276 //
     /*  630787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  630798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  630801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  630804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630833 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11574:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  630836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630855 */     GIR_RootConstrainSelectedInstOperands,
     /*  630856 */     // GIR_Coverage, 6276,
     /*  630856 */     GIR_EraseRootFromParent_Done,
     /*  630857 */   // Label 10129: @630857
     /*  630857 */   GIM_Try, /*On fail goto*//*Label 10130*/ GIMT_Encode4(630932), // Rule ID 6279 //
     /*  630862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  630873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  630876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  630879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630908 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  630911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630930 */     GIR_RootConstrainSelectedInstOperands,
     /*  630931 */     // GIR_Coverage, 6279,
     /*  630931 */     GIR_EraseRootFromParent_Done,
     /*  630932 */   // Label 10130: @630932
     /*  630932 */   GIM_Try, /*On fail goto*//*Label 10131*/ GIMT_Encode4(631007), // Rule ID 6280 //
     /*  630937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  630945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  630948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  630951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  630954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630983 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  630986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631005 */     GIR_RootConstrainSelectedInstOperands,
     /*  631006 */     // GIR_Coverage, 6280,
     /*  631006 */     GIR_EraseRootFromParent_Done,
     /*  631007 */   // Label 10131: @631007
     /*  631007 */   GIM_Try, /*On fail goto*//*Label 10132*/ GIMT_Encode4(631082), // Rule ID 6283 //
     /*  631012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  631023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  631026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  631029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631058 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  631061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631080 */     GIR_RootConstrainSelectedInstOperands,
     /*  631081 */     // GIR_Coverage, 6283,
     /*  631081 */     GIR_EraseRootFromParent_Done,
     /*  631082 */   // Label 10132: @631082
     /*  631082 */   GIM_Try, /*On fail goto*//*Label 10133*/ GIMT_Encode4(631157), // Rule ID 6284 //
     /*  631087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  631098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  631101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  631104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631133 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  631136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631155 */     GIR_RootConstrainSelectedInstOperands,
     /*  631156 */     // GIR_Coverage, 6284,
     /*  631156 */     GIR_EraseRootFromParent_Done,
     /*  631157 */   // Label 10133: @631157
     /*  631157 */   GIM_Try, /*On fail goto*//*Label 10134*/ GIMT_Encode4(631232), // Rule ID 6287 //
     /*  631162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  631173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  631176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  631179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631208 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  631211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631230 */     GIR_RootConstrainSelectedInstOperands,
     /*  631231 */     // GIR_Coverage, 6287,
     /*  631231 */     GIR_EraseRootFromParent_Done,
     /*  631232 */   // Label 10134: @631232
     /*  631232 */   GIM_Try, /*On fail goto*//*Label 10135*/ GIMT_Encode4(631307), // Rule ID 6288 //
     /*  631237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  631248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  631251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  631254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631283 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  631286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631305 */     GIR_RootConstrainSelectedInstOperands,
     /*  631306 */     // GIR_Coverage, 6288,
     /*  631306 */     GIR_EraseRootFromParent_Done,
     /*  631307 */   // Label 10135: @631307
     /*  631307 */   GIM_Try, /*On fail goto*//*Label 10136*/ GIMT_Encode4(631382), // Rule ID 6291 //
     /*  631312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  631323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  631326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  631329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631358 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  631361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631380 */     GIR_RootConstrainSelectedInstOperands,
     /*  631381 */     // GIR_Coverage, 6291,
     /*  631381 */     GIR_EraseRootFromParent_Done,
     /*  631382 */   // Label 10136: @631382
     /*  631382 */   GIM_Try, /*On fail goto*//*Label 10137*/ GIMT_Encode4(631457), // Rule ID 6292 //
     /*  631387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  631398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  631401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  631404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631433 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  631436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631455 */     GIR_RootConstrainSelectedInstOperands,
     /*  631456 */     // GIR_Coverage, 6292,
     /*  631456 */     GIR_EraseRootFromParent_Done,
     /*  631457 */   // Label 10137: @631457
     /*  631457 */   GIM_Try, /*On fail goto*//*Label 10138*/ GIMT_Encode4(631532), // Rule ID 6295 //
     /*  631462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  631473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  631476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  631479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631508 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  631511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631530 */     GIR_RootConstrainSelectedInstOperands,
     /*  631531 */     // GIR_Coverage, 6295,
     /*  631531 */     GIR_EraseRootFromParent_Done,
     /*  631532 */   // Label 10138: @631532
     /*  631532 */   GIM_Try, /*On fail goto*//*Label 10139*/ GIMT_Encode4(631607), // Rule ID 6296 //
     /*  631537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  631548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  631551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  631554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631583 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  631586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631605 */     GIR_RootConstrainSelectedInstOperands,
     /*  631606 */     // GIR_Coverage, 6296,
     /*  631606 */     GIR_EraseRootFromParent_Done,
     /*  631607 */   // Label 10139: @631607
     /*  631607 */   GIM_Try, /*On fail goto*//*Label 10140*/ GIMT_Encode4(631682), // Rule ID 6299 //
     /*  631612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  631623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  631626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  631629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631658 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  631661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631680 */     GIR_RootConstrainSelectedInstOperands,
     /*  631681 */     // GIR_Coverage, 6299,
     /*  631681 */     GIR_EraseRootFromParent_Done,
     /*  631682 */   // Label 10140: @631682
     /*  631682 */   GIM_Try, /*On fail goto*//*Label 10141*/ GIMT_Encode4(631757), // Rule ID 6300 //
     /*  631687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  631698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  631701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  631704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631733 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  631736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631755 */     GIR_RootConstrainSelectedInstOperands,
     /*  631756 */     // GIR_Coverage, 6300,
     /*  631756 */     GIR_EraseRootFromParent_Done,
     /*  631757 */   // Label 10141: @631757
     /*  631757 */   GIM_Try, /*On fail goto*//*Label 10142*/ GIMT_Encode4(631832), // Rule ID 6303 //
     /*  631762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  631773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  631776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  631779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631808 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  631811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631830 */     GIR_RootConstrainSelectedInstOperands,
     /*  631831 */     // GIR_Coverage, 6303,
     /*  631831 */     GIR_EraseRootFromParent_Done,
     /*  631832 */   // Label 10142: @631832
     /*  631832 */   GIM_Try, /*On fail goto*//*Label 10143*/ GIMT_Encode4(631907), // Rule ID 6304 //
     /*  631837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  631848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  631851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  631854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631883 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  631886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631905 */     GIR_RootConstrainSelectedInstOperands,
     /*  631906 */     // GIR_Coverage, 6304,
     /*  631906 */     GIR_EraseRootFromParent_Done,
     /*  631907 */   // Label 10143: @631907
     /*  631907 */   GIM_Try, /*On fail goto*//*Label 10144*/ GIMT_Encode4(631982), // Rule ID 6307 //
     /*  631912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  631923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  631926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  631929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631958 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  631961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631980 */     GIR_RootConstrainSelectedInstOperands,
     /*  631981 */     // GIR_Coverage, 6307,
     /*  631981 */     GIR_EraseRootFromParent_Done,
     /*  631982 */   // Label 10144: @631982
     /*  631982 */   GIM_Try, /*On fail goto*//*Label 10145*/ GIMT_Encode4(632057), // Rule ID 6308 //
     /*  631987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  631995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  631998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  632001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  632004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632033 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  632033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  632036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632055 */     GIR_RootConstrainSelectedInstOperands,
     /*  632056 */     // GIR_Coverage, 6308,
     /*  632056 */     GIR_EraseRootFromParent_Done,
     /*  632057 */   // Label 10145: @632057
     /*  632057 */   GIM_Try, /*On fail goto*//*Label 10146*/ GIMT_Encode4(632132), // Rule ID 6311 //
     /*  632062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  632073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  632076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  632079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632108 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  632108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  632111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632130 */     GIR_RootConstrainSelectedInstOperands,
     /*  632131 */     // GIR_Coverage, 6311,
     /*  632131 */     GIR_EraseRootFromParent_Done,
     /*  632132 */   // Label 10146: @632132
     /*  632132 */   GIM_Try, /*On fail goto*//*Label 10147*/ GIMT_Encode4(632207), // Rule ID 6312 //
     /*  632137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  632148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  632151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  632154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632183 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  632183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  632186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632205 */     GIR_RootConstrainSelectedInstOperands,
     /*  632206 */     // GIR_Coverage, 6312,
     /*  632206 */     GIR_EraseRootFromParent_Done,
     /*  632207 */   // Label 10147: @632207
     /*  632207 */   GIM_Try, /*On fail goto*//*Label 10148*/ GIMT_Encode4(632282), // Rule ID 6315 //
     /*  632212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  632215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  632223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  632226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  632229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  632258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  632261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632280 */     GIR_RootConstrainSelectedInstOperands,
     /*  632281 */     // GIR_Coverage, 6315,
     /*  632281 */     GIR_EraseRootFromParent_Done,
     /*  632282 */   // Label 10148: @632282
     /*  632282 */   GIM_Try, /*On fail goto*//*Label 10149*/ GIMT_Encode4(632357), // Rule ID 6316 //
     /*  632287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  632290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  632298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  632301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  632304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632333 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11574:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  632333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  632336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632355 */     GIR_RootConstrainSelectedInstOperands,
     /*  632356 */     // GIR_Coverage, 6316,
     /*  632356 */     GIR_EraseRootFromParent_Done,
     /*  632357 */   // Label 10149: @632357
     /*  632357 */   GIM_Try, /*On fail goto*//*Label 10150*/ GIMT_Encode4(632432), // Rule ID 6319 //
     /*  632362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  632365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  632373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  632376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  632379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632408 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  632408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  632411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632430 */     GIR_RootConstrainSelectedInstOperands,
     /*  632431 */     // GIR_Coverage, 6319,
     /*  632431 */     GIR_EraseRootFromParent_Done,
     /*  632432 */   // Label 10150: @632432
     /*  632432 */   GIM_Try, /*On fail goto*//*Label 10151*/ GIMT_Encode4(632507), // Rule ID 6320 //
     /*  632437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  632440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  632448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  632451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  632454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632483 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11574:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  632483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  632486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632505 */     GIR_RootConstrainSelectedInstOperands,
     /*  632506 */     // GIR_Coverage, 6320,
     /*  632506 */     GIR_EraseRootFromParent_Done,
     /*  632507 */   // Label 10151: @632507
     /*  632507 */   GIM_Try, /*On fail goto*//*Label 10152*/ GIMT_Encode4(632582), // Rule ID 6323 //
     /*  632512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  632515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  632523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  632526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  632529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632558 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  632558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  632561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632580 */     GIR_RootConstrainSelectedInstOperands,
     /*  632581 */     // GIR_Coverage, 6323,
     /*  632581 */     GIR_EraseRootFromParent_Done,
     /*  632582 */   // Label 10152: @632582
     /*  632582 */   GIM_Try, /*On fail goto*//*Label 10153*/ GIMT_Encode4(632657), // Rule ID 6324 //
     /*  632587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  632590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  632598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  632601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  632604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632633 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11574:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  632633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  632636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632655 */     GIR_RootConstrainSelectedInstOperands,
     /*  632656 */     // GIR_Coverage, 6324,
     /*  632656 */     GIR_EraseRootFromParent_Done,
     /*  632657 */   // Label 10153: @632657
     /*  632657 */   GIM_Try, /*On fail goto*//*Label 10154*/ GIMT_Encode4(632732), // Rule ID 6415 //
     /*  632662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  632670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  632673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  632676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  632679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  632682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632708 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  632711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632730 */     GIR_RootConstrainSelectedInstOperands,
     /*  632731 */     // GIR_Coverage, 6415,
     /*  632731 */     GIR_EraseRootFromParent_Done,
     /*  632732 */   // Label 10154: @632732
     /*  632732 */   GIM_Try, /*On fail goto*//*Label 10155*/ GIMT_Encode4(632807), // Rule ID 6416 //
     /*  632737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  632745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  632748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  632751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  632754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  632757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632783 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  632786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632805 */     GIR_RootConstrainSelectedInstOperands,
     /*  632806 */     // GIR_Coverage, 6416,
     /*  632806 */     GIR_EraseRootFromParent_Done,
     /*  632807 */   // Label 10155: @632807
     /*  632807 */   GIM_Try, /*On fail goto*//*Label 10156*/ GIMT_Encode4(632882), // Rule ID 6419 //
     /*  632812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  632820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  632823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  632826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  632829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  632832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632858 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  632861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632880 */     GIR_RootConstrainSelectedInstOperands,
     /*  632881 */     // GIR_Coverage, 6419,
     /*  632881 */     GIR_EraseRootFromParent_Done,
     /*  632882 */   // Label 10156: @632882
     /*  632882 */   GIM_Try, /*On fail goto*//*Label 10157*/ GIMT_Encode4(632957), // Rule ID 6420 //
     /*  632887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  632895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  632898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  632901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  632904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  632907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632933 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  632936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632955 */     GIR_RootConstrainSelectedInstOperands,
     /*  632956 */     // GIR_Coverage, 6420,
     /*  632956 */     GIR_EraseRootFromParent_Done,
     /*  632957 */   // Label 10157: @632957
     /*  632957 */   GIM_Try, /*On fail goto*//*Label 10158*/ GIMT_Encode4(633032), // Rule ID 6423 //
     /*  632962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  632970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  632973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  632976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  632979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  632982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633008 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  633008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  633011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633030 */     GIR_RootConstrainSelectedInstOperands,
     /*  633031 */     // GIR_Coverage, 6423,
     /*  633031 */     GIR_EraseRootFromParent_Done,
     /*  633032 */   // Label 10158: @633032
     /*  633032 */   GIM_Try, /*On fail goto*//*Label 10159*/ GIMT_Encode4(633107), // Rule ID 6424 //
     /*  633037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  633048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  633051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  633054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  633057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633083 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  633083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  633086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633105 */     GIR_RootConstrainSelectedInstOperands,
     /*  633106 */     // GIR_Coverage, 6424,
     /*  633106 */     GIR_EraseRootFromParent_Done,
     /*  633107 */   // Label 10159: @633107
     /*  633107 */   GIM_Try, /*On fail goto*//*Label 10160*/ GIMT_Encode4(633182), // Rule ID 6427 //
     /*  633112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  633123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  633126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  633129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  633132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633158 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  633161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633180 */     GIR_RootConstrainSelectedInstOperands,
     /*  633181 */     // GIR_Coverage, 6427,
     /*  633181 */     GIR_EraseRootFromParent_Done,
     /*  633182 */   // Label 10160: @633182
     /*  633182 */   GIM_Try, /*On fail goto*//*Label 10161*/ GIMT_Encode4(633257), // Rule ID 6428 //
     /*  633187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  633198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  633201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  633204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  633207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633233 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  633236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633255 */     GIR_RootConstrainSelectedInstOperands,
     /*  633256 */     // GIR_Coverage, 6428,
     /*  633256 */     GIR_EraseRootFromParent_Done,
     /*  633257 */   // Label 10161: @633257
     /*  633257 */   GIM_Try, /*On fail goto*//*Label 10162*/ GIMT_Encode4(633332), // Rule ID 6431 //
     /*  633262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  633273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  633276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  633279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  633282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633308 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  633311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633330 */     GIR_RootConstrainSelectedInstOperands,
     /*  633331 */     // GIR_Coverage, 6431,
     /*  633331 */     GIR_EraseRootFromParent_Done,
     /*  633332 */   // Label 10162: @633332
     /*  633332 */   GIM_Try, /*On fail goto*//*Label 10163*/ GIMT_Encode4(633407), // Rule ID 6432 //
     /*  633337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  633348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  633351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  633354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  633357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633383 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  633386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633405 */     GIR_RootConstrainSelectedInstOperands,
     /*  633406 */     // GIR_Coverage, 6432,
     /*  633406 */     GIR_EraseRootFromParent_Done,
     /*  633407 */   // Label 10163: @633407
     /*  633407 */   GIM_Try, /*On fail goto*//*Label 10164*/ GIMT_Encode4(633482), // Rule ID 6435 //
     /*  633412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  633423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  633426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  633429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  633432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633458 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  633461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633480 */     GIR_RootConstrainSelectedInstOperands,
     /*  633481 */     // GIR_Coverage, 6435,
     /*  633481 */     GIR_EraseRootFromParent_Done,
     /*  633482 */   // Label 10164: @633482
     /*  633482 */   GIM_Try, /*On fail goto*//*Label 10165*/ GIMT_Encode4(633557), // Rule ID 6436 //
     /*  633487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  633498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  633501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  633504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  633507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633533 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  633536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633555 */     GIR_RootConstrainSelectedInstOperands,
     /*  633556 */     // GIR_Coverage, 6436,
     /*  633556 */     GIR_EraseRootFromParent_Done,
     /*  633557 */   // Label 10165: @633557
     /*  633557 */   GIM_Try, /*On fail goto*//*Label 10166*/ GIMT_Encode4(633632), // Rule ID 6439 //
     /*  633562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  633573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  633576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  633579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  633582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633608 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  633608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  633611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633630 */     GIR_RootConstrainSelectedInstOperands,
     /*  633631 */     // GIR_Coverage, 6439,
     /*  633631 */     GIR_EraseRootFromParent_Done,
     /*  633632 */   // Label 10166: @633632
     /*  633632 */   GIM_Try, /*On fail goto*//*Label 10167*/ GIMT_Encode4(633707), // Rule ID 6440 //
     /*  633637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  633648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  633651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  633654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  633657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633683 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  633683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  633686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633705 */     GIR_RootConstrainSelectedInstOperands,
     /*  633706 */     // GIR_Coverage, 6440,
     /*  633706 */     GIR_EraseRootFromParent_Done,
     /*  633707 */   // Label 10167: @633707
     /*  633707 */   GIM_Try, /*On fail goto*//*Label 10168*/ GIMT_Encode4(633782), // Rule ID 6443 //
     /*  633712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  633723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  633726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  633729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  633732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633758 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  633761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633780 */     GIR_RootConstrainSelectedInstOperands,
     /*  633781 */     // GIR_Coverage, 6443,
     /*  633781 */     GIR_EraseRootFromParent_Done,
     /*  633782 */   // Label 10168: @633782
     /*  633782 */   GIM_Try, /*On fail goto*//*Label 10169*/ GIMT_Encode4(633857), // Rule ID 6444 //
     /*  633787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  633798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  633801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  633804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  633807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633833 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  633836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633855 */     GIR_RootConstrainSelectedInstOperands,
     /*  633856 */     // GIR_Coverage, 6444,
     /*  633856 */     GIR_EraseRootFromParent_Done,
     /*  633857 */   // Label 10169: @633857
     /*  633857 */   GIM_Try, /*On fail goto*//*Label 10170*/ GIMT_Encode4(633932), // Rule ID 6447 //
     /*  633862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  633873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  633876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  633879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  633882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  633911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633930 */     GIR_RootConstrainSelectedInstOperands,
     /*  633931 */     // GIR_Coverage, 6447,
     /*  633931 */     GIR_EraseRootFromParent_Done,
     /*  633932 */   // Label 10170: @633932
     /*  633932 */   GIM_Try, /*On fail goto*//*Label 10171*/ GIMT_Encode4(634007), // Rule ID 6448 //
     /*  633937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  633948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  633951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  633954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  633957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633983 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  633986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634005 */     GIR_RootConstrainSelectedInstOperands,
     /*  634006 */     // GIR_Coverage, 6448,
     /*  634006 */     GIR_EraseRootFromParent_Done,
     /*  634007 */   // Label 10171: @634007
     /*  634007 */   GIM_Try, /*On fail goto*//*Label 10172*/ GIMT_Encode4(634082), // Rule ID 6451 //
     /*  634012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  634015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  634023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  634026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  634029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  634032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634058 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  634058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  634061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634080 */     GIR_RootConstrainSelectedInstOperands,
     /*  634081 */     // GIR_Coverage, 6451,
     /*  634081 */     GIR_EraseRootFromParent_Done,
     /*  634082 */   // Label 10172: @634082
     /*  634082 */   GIM_Try, /*On fail goto*//*Label 10173*/ GIMT_Encode4(634157), // Rule ID 6452 //
     /*  634087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  634090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  634098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  634101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  634104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  634107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634133 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  634133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  634136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634155 */     GIR_RootConstrainSelectedInstOperands,
     /*  634156 */     // GIR_Coverage, 6452,
     /*  634156 */     GIR_EraseRootFromParent_Done,
     /*  634157 */   // Label 10173: @634157
     /*  634157 */   GIM_Try, /*On fail goto*//*Label 10174*/ GIMT_Encode4(634232), // Rule ID 6455 //
     /*  634162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  634173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  634176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  634179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  634182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634208 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  634211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634230 */     GIR_RootConstrainSelectedInstOperands,
     /*  634231 */     // GIR_Coverage, 6455,
     /*  634231 */     GIR_EraseRootFromParent_Done,
     /*  634232 */   // Label 10174: @634232
     /*  634232 */   GIM_Try, /*On fail goto*//*Label 10175*/ GIMT_Encode4(634307), // Rule ID 6456 //
     /*  634237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  634248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  634251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  634254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  634257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634283 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  634286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634305 */     GIR_RootConstrainSelectedInstOperands,
     /*  634306 */     // GIR_Coverage, 6456,
     /*  634306 */     GIR_EraseRootFromParent_Done,
     /*  634307 */   // Label 10175: @634307
     /*  634307 */   GIM_Try, /*On fail goto*//*Label 10176*/ GIMT_Encode4(634382), // Rule ID 6459 //
     /*  634312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  634323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  634326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  634329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  634332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634358 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  634361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634380 */     GIR_RootConstrainSelectedInstOperands,
     /*  634381 */     // GIR_Coverage, 6459,
     /*  634381 */     GIR_EraseRootFromParent_Done,
     /*  634382 */   // Label 10176: @634382
     /*  634382 */   GIM_Try, /*On fail goto*//*Label 10177*/ GIMT_Encode4(634457), // Rule ID 6460 //
     /*  634387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  634398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  634401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  634404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  634407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634433 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  634436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634455 */     GIR_RootConstrainSelectedInstOperands,
     /*  634456 */     // GIR_Coverage, 6460,
     /*  634456 */     GIR_EraseRootFromParent_Done,
     /*  634457 */   // Label 10177: @634457
     /*  634457 */   GIM_Try, /*On fail goto*//*Label 10178*/ GIMT_Encode4(634532), // Rule ID 6463 //
     /*  634462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  634473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  634476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  634479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  634482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634508 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  634511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634530 */     GIR_RootConstrainSelectedInstOperands,
     /*  634531 */     // GIR_Coverage, 6463,
     /*  634531 */     GIR_EraseRootFromParent_Done,
     /*  634532 */   // Label 10178: @634532
     /*  634532 */   GIM_Try, /*On fail goto*//*Label 10179*/ GIMT_Encode4(634607), // Rule ID 6464 //
     /*  634537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  634548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  634551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  634554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  634557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634583 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  634586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634605 */     GIR_RootConstrainSelectedInstOperands,
     /*  634606 */     // GIR_Coverage, 6464,
     /*  634606 */     GIR_EraseRootFromParent_Done,
     /*  634607 */   // Label 10179: @634607
     /*  634607 */   GIM_Try, /*On fail goto*//*Label 10180*/ GIMT_Encode4(634682), // Rule ID 6467 //
     /*  634612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  634623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  634626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  634629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  634632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634658 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  634661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634680 */     GIR_RootConstrainSelectedInstOperands,
     /*  634681 */     // GIR_Coverage, 6467,
     /*  634681 */     GIR_EraseRootFromParent_Done,
     /*  634682 */   // Label 10180: @634682
     /*  634682 */   GIM_Try, /*On fail goto*//*Label 10181*/ GIMT_Encode4(634757), // Rule ID 6468 //
     /*  634687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  634698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  634701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  634704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  634707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634733 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  634736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634755 */     GIR_RootConstrainSelectedInstOperands,
     /*  634756 */     // GIR_Coverage, 6468,
     /*  634756 */     GIR_EraseRootFromParent_Done,
     /*  634757 */   // Label 10181: @634757
     /*  634757 */   GIM_Try, /*On fail goto*//*Label 10182*/ GIMT_Encode4(634832), // Rule ID 6471 //
     /*  634762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  634773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  634776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  634779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  634782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634808 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  634811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634830 */     GIR_RootConstrainSelectedInstOperands,
     /*  634831 */     // GIR_Coverage, 6471,
     /*  634831 */     GIR_EraseRootFromParent_Done,
     /*  634832 */   // Label 10182: @634832
     /*  634832 */   GIM_Try, /*On fail goto*//*Label 10183*/ GIMT_Encode4(634907), // Rule ID 6472 //
     /*  634837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  634848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  634851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  634854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  634857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634883 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  634886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634905 */     GIR_RootConstrainSelectedInstOperands,
     /*  634906 */     // GIR_Coverage, 6472,
     /*  634906 */     GIR_EraseRootFromParent_Done,
     /*  634907 */   // Label 10183: @634907
     /*  634907 */   GIM_Try, /*On fail goto*//*Label 10184*/ GIMT_Encode4(634982), // Rule ID 6475 //
     /*  634912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  634923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  634926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  634929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  634932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634958 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  634961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634980 */     GIR_RootConstrainSelectedInstOperands,
     /*  634981 */     // GIR_Coverage, 6475,
     /*  634981 */     GIR_EraseRootFromParent_Done,
     /*  634982 */   // Label 10184: @634982
     /*  634982 */   GIM_Try, /*On fail goto*//*Label 10185*/ GIMT_Encode4(635057), // Rule ID 6476 //
     /*  634987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  634998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  635001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  635004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  635007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635033 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  635036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635055 */     GIR_RootConstrainSelectedInstOperands,
     /*  635056 */     // GIR_Coverage, 6476,
     /*  635056 */     GIR_EraseRootFromParent_Done,
     /*  635057 */   // Label 10185: @635057
     /*  635057 */   GIM_Try, /*On fail goto*//*Label 10186*/ GIMT_Encode4(635132), // Rule ID 6479 //
     /*  635062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  635073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  635076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  635079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  635082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635108 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  635108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  635111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635130 */     GIR_RootConstrainSelectedInstOperands,
     /*  635131 */     // GIR_Coverage, 6479,
     /*  635131 */     GIR_EraseRootFromParent_Done,
     /*  635132 */   // Label 10186: @635132
     /*  635132 */   GIM_Try, /*On fail goto*//*Label 10187*/ GIMT_Encode4(635207), // Rule ID 6480 //
     /*  635137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  635148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  635151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  635154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  635157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635183 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  635183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  635186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635205 */     GIR_RootConstrainSelectedInstOperands,
     /*  635206 */     // GIR_Coverage, 6480,
     /*  635206 */     GIR_EraseRootFromParent_Done,
     /*  635207 */   // Label 10187: @635207
     /*  635207 */   GIM_Try, /*On fail goto*//*Label 10188*/ GIMT_Encode4(635282), // Rule ID 6483 //
     /*  635212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  635223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  635226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  635229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  635232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635258 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  635258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  635261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635280 */     GIR_RootConstrainSelectedInstOperands,
     /*  635281 */     // GIR_Coverage, 6483,
     /*  635281 */     GIR_EraseRootFromParent_Done,
     /*  635282 */   // Label 10188: @635282
     /*  635282 */   GIM_Try, /*On fail goto*//*Label 10189*/ GIMT_Encode4(635357), // Rule ID 6484 //
     /*  635287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  635298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  635301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  635304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  635307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635333 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  635333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  635336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635355 */     GIR_RootConstrainSelectedInstOperands,
     /*  635356 */     // GIR_Coverage, 6484,
     /*  635356 */     GIR_EraseRootFromParent_Done,
     /*  635357 */   // Label 10189: @635357
     /*  635357 */   GIM_Try, /*On fail goto*//*Label 10190*/ GIMT_Encode4(635432), // Rule ID 6487 //
     /*  635362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  635373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  635376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  635379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  635382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635408 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  635408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  635411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635430 */     GIR_RootConstrainSelectedInstOperands,
     /*  635431 */     // GIR_Coverage, 6487,
     /*  635431 */     GIR_EraseRootFromParent_Done,
     /*  635432 */   // Label 10190: @635432
     /*  635432 */   GIM_Try, /*On fail goto*//*Label 10191*/ GIMT_Encode4(635507), // Rule ID 6488 //
     /*  635437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  635448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  635451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  635454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  635457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635483 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  635483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  635486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635505 */     GIR_RootConstrainSelectedInstOperands,
     /*  635506 */     // GIR_Coverage, 6488,
     /*  635506 */     GIR_EraseRootFromParent_Done,
     /*  635507 */   // Label 10191: @635507
     /*  635507 */   GIM_Try, /*On fail goto*//*Label 10192*/ GIMT_Encode4(635582), // Rule ID 6491 //
     /*  635512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  635515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  635523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  635526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  635529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  635532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635558 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  635558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  635561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635580 */     GIR_RootConstrainSelectedInstOperands,
     /*  635581 */     // GIR_Coverage, 6491,
     /*  635581 */     GIR_EraseRootFromParent_Done,
     /*  635582 */   // Label 10192: @635582
     /*  635582 */   GIM_Try, /*On fail goto*//*Label 10193*/ GIMT_Encode4(635657), // Rule ID 6492 //
     /*  635587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  635590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  635598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  635601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  635604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  635607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635633 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  635633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  635636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635655 */     GIR_RootConstrainSelectedInstOperands,
     /*  635656 */     // GIR_Coverage, 6492,
     /*  635656 */     GIR_EraseRootFromParent_Done,
     /*  635657 */   // Label 10193: @635657
     /*  635657 */   GIM_Try, /*On fail goto*//*Label 10194*/ GIMT_Encode4(635732), // Rule ID 6495 //
     /*  635662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  635665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  635673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  635676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  635679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  635682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635708 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  635708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  635711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635730 */     GIR_RootConstrainSelectedInstOperands,
     /*  635731 */     // GIR_Coverage, 6495,
     /*  635731 */     GIR_EraseRootFromParent_Done,
     /*  635732 */   // Label 10194: @635732
     /*  635732 */   GIM_Try, /*On fail goto*//*Label 10195*/ GIMT_Encode4(635807), // Rule ID 6496 //
     /*  635737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  635740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  635748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  635751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  635754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  635757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635783 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  635783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  635786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635805 */     GIR_RootConstrainSelectedInstOperands,
     /*  635806 */     // GIR_Coverage, 6496,
     /*  635806 */     GIR_EraseRootFromParent_Done,
     /*  635807 */   // Label 10195: @635807
     /*  635807 */   GIM_Try, /*On fail goto*//*Label 10196*/ GIMT_Encode4(635882), // Rule ID 6499 //
     /*  635812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  635815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  635823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  635826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  635829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  635832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635858 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  635858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  635861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635880 */     GIR_RootConstrainSelectedInstOperands,
     /*  635881 */     // GIR_Coverage, 6499,
     /*  635881 */     GIR_EraseRootFromParent_Done,
     /*  635882 */   // Label 10196: @635882
     /*  635882 */   GIM_Try, /*On fail goto*//*Label 10197*/ GIMT_Encode4(635957), // Rule ID 6500 //
     /*  635887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  635890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  635898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  635901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  635904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  635907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635933 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  635933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  635936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635955 */     GIR_RootConstrainSelectedInstOperands,
     /*  635956 */     // GIR_Coverage, 6500,
     /*  635956 */     GIR_EraseRootFromParent_Done,
     /*  635957 */   // Label 10197: @635957
     /*  635957 */   GIM_Try, /*On fail goto*//*Label 10198*/ GIMT_Encode4(636032), // Rule ID 6503 //
     /*  635962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  635970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  635973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  635976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  635979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  635982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636008 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  636011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636030 */     GIR_RootConstrainSelectedInstOperands,
     /*  636031 */     // GIR_Coverage, 6503,
     /*  636031 */     GIR_EraseRootFromParent_Done,
     /*  636032 */   // Label 10198: @636032
     /*  636032 */   GIM_Try, /*On fail goto*//*Label 10199*/ GIMT_Encode4(636107), // Rule ID 6504 //
     /*  636037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  636048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  636051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  636054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636083 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  636086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636105 */     GIR_RootConstrainSelectedInstOperands,
     /*  636106 */     // GIR_Coverage, 6504,
     /*  636106 */     GIR_EraseRootFromParent_Done,
     /*  636107 */   // Label 10199: @636107
     /*  636107 */   GIM_Try, /*On fail goto*//*Label 10200*/ GIMT_Encode4(636182), // Rule ID 6507 //
     /*  636112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  636123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  636126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  636129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636158 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  636161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636180 */     GIR_RootConstrainSelectedInstOperands,
     /*  636181 */     // GIR_Coverage, 6507,
     /*  636181 */     GIR_EraseRootFromParent_Done,
     /*  636182 */   // Label 10200: @636182
     /*  636182 */   GIM_Try, /*On fail goto*//*Label 10201*/ GIMT_Encode4(636257), // Rule ID 6508 //
     /*  636187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  636198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  636201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  636204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636233 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  636236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636255 */     GIR_RootConstrainSelectedInstOperands,
     /*  636256 */     // GIR_Coverage, 6508,
     /*  636256 */     GIR_EraseRootFromParent_Done,
     /*  636257 */   // Label 10201: @636257
     /*  636257 */   GIM_Try, /*On fail goto*//*Label 10202*/ GIMT_Encode4(636332), // Rule ID 6511 //
     /*  636262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  636273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  636276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  636279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636308 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  636311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636330 */     GIR_RootConstrainSelectedInstOperands,
     /*  636331 */     // GIR_Coverage, 6511,
     /*  636331 */     GIR_EraseRootFromParent_Done,
     /*  636332 */   // Label 10202: @636332
     /*  636332 */   GIM_Try, /*On fail goto*//*Label 10203*/ GIMT_Encode4(636407), // Rule ID 6512 //
     /*  636337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  636348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  636351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  636354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636383 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  636386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636405 */     GIR_RootConstrainSelectedInstOperands,
     /*  636406 */     // GIR_Coverage, 6512,
     /*  636406 */     GIR_EraseRootFromParent_Done,
     /*  636407 */   // Label 10203: @636407
     /*  636407 */   GIM_Try, /*On fail goto*//*Label 10204*/ GIMT_Encode4(636482), // Rule ID 6515 //
     /*  636412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  636423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  636426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  636429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636458 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  636461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636480 */     GIR_RootConstrainSelectedInstOperands,
     /*  636481 */     // GIR_Coverage, 6515,
     /*  636481 */     GIR_EraseRootFromParent_Done,
     /*  636482 */   // Label 10204: @636482
     /*  636482 */   GIM_Try, /*On fail goto*//*Label 10205*/ GIMT_Encode4(636557), // Rule ID 6516 //
     /*  636487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  636498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  636501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  636504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636533 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  636536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636555 */     GIR_RootConstrainSelectedInstOperands,
     /*  636556 */     // GIR_Coverage, 6516,
     /*  636556 */     GIR_EraseRootFromParent_Done,
     /*  636557 */   // Label 10205: @636557
     /*  636557 */   GIM_Try, /*On fail goto*//*Label 10206*/ GIMT_Encode4(636632), // Rule ID 6519 //
     /*  636562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  636573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  636576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  636579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636608 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  636611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636630 */     GIR_RootConstrainSelectedInstOperands,
     /*  636631 */     // GIR_Coverage, 6519,
     /*  636631 */     GIR_EraseRootFromParent_Done,
     /*  636632 */   // Label 10206: @636632
     /*  636632 */   GIM_Try, /*On fail goto*//*Label 10207*/ GIMT_Encode4(636707), // Rule ID 6520 //
     /*  636637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  636648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  636651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  636654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636683 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  636686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636705 */     GIR_RootConstrainSelectedInstOperands,
     /*  636706 */     // GIR_Coverage, 6520,
     /*  636706 */     GIR_EraseRootFromParent_Done,
     /*  636707 */   // Label 10207: @636707
     /*  636707 */   GIM_Try, /*On fail goto*//*Label 10208*/ GIMT_Encode4(636782), // Rule ID 6523 //
     /*  636712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  636723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  636726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  636729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636758 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  636761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636780 */     GIR_RootConstrainSelectedInstOperands,
     /*  636781 */     // GIR_Coverage, 6523,
     /*  636781 */     GIR_EraseRootFromParent_Done,
     /*  636782 */   // Label 10208: @636782
     /*  636782 */   GIM_Try, /*On fail goto*//*Label 10209*/ GIMT_Encode4(636857), // Rule ID 6524 //
     /*  636787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  636798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  636801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  636804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636833 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  636836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636855 */     GIR_RootConstrainSelectedInstOperands,
     /*  636856 */     // GIR_Coverage, 6524,
     /*  636856 */     GIR_EraseRootFromParent_Done,
     /*  636857 */   // Label 10209: @636857
     /*  636857 */   GIM_Try, /*On fail goto*//*Label 10210*/ GIMT_Encode4(636932), // Rule ID 6527 //
     /*  636862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  636873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  636876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  636879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  636911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636930 */     GIR_RootConstrainSelectedInstOperands,
     /*  636931 */     // GIR_Coverage, 6527,
     /*  636931 */     GIR_EraseRootFromParent_Done,
     /*  636932 */   // Label 10210: @636932
     /*  636932 */   GIM_Try, /*On fail goto*//*Label 10211*/ GIMT_Encode4(637007), // Rule ID 6528 //
     /*  636937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  636945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  636948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  636951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  636954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636983 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  636986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637005 */     GIR_RootConstrainSelectedInstOperands,
     /*  637006 */     // GIR_Coverage, 6528,
     /*  637006 */     GIR_EraseRootFromParent_Done,
     /*  637007 */   // Label 10211: @637007
     /*  637007 */   GIM_Try, /*On fail goto*//*Label 10212*/ GIMT_Encode4(637082), // Rule ID 6531 //
     /*  637012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  637023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  637026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  637029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  637061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637080 */     GIR_RootConstrainSelectedInstOperands,
     /*  637081 */     // GIR_Coverage, 6531,
     /*  637081 */     GIR_EraseRootFromParent_Done,
     /*  637082 */   // Label 10212: @637082
     /*  637082 */   GIM_Try, /*On fail goto*//*Label 10213*/ GIMT_Encode4(637157), // Rule ID 6532 //
     /*  637087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  637098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  637101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  637104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  637136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637155 */     GIR_RootConstrainSelectedInstOperands,
     /*  637156 */     // GIR_Coverage, 6532,
     /*  637156 */     GIR_EraseRootFromParent_Done,
     /*  637157 */   // Label 10213: @637157
     /*  637157 */   GIM_Try, /*On fail goto*//*Label 10214*/ GIMT_Encode4(637232), // Rule ID 6535 //
     /*  637162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  637173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  637176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  637179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637208 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  637208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  637211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637230 */     GIR_RootConstrainSelectedInstOperands,
     /*  637231 */     // GIR_Coverage, 6535,
     /*  637231 */     GIR_EraseRootFromParent_Done,
     /*  637232 */   // Label 10214: @637232
     /*  637232 */   GIM_Try, /*On fail goto*//*Label 10215*/ GIMT_Encode4(637307), // Rule ID 6536 //
     /*  637237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  637248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  637251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  637254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637283 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  637283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  637286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637305 */     GIR_RootConstrainSelectedInstOperands,
     /*  637306 */     // GIR_Coverage, 6536,
     /*  637306 */     GIR_EraseRootFromParent_Done,
     /*  637307 */   // Label 10215: @637307
     /*  637307 */   GIM_Try, /*On fail goto*//*Label 10216*/ GIMT_Encode4(637382), // Rule ID 6539 //
     /*  637312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  637315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  637323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  637326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  637329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637358 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  637358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  637361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637380 */     GIR_RootConstrainSelectedInstOperands,
     /*  637381 */     // GIR_Coverage, 6539,
     /*  637381 */     GIR_EraseRootFromParent_Done,
     /*  637382 */   // Label 10216: @637382
     /*  637382 */   GIM_Try, /*On fail goto*//*Label 10217*/ GIMT_Encode4(637457), // Rule ID 6540 //
     /*  637387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  637390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  637398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  637401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  637404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637433 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  637433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  637436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637455 */     GIR_RootConstrainSelectedInstOperands,
     /*  637456 */     // GIR_Coverage, 6540,
     /*  637456 */     GIR_EraseRootFromParent_Done,
     /*  637457 */   // Label 10217: @637457
     /*  637457 */   GIM_Try, /*On fail goto*//*Label 10218*/ GIMT_Encode4(637532), // Rule ID 6543 //
     /*  637462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  637473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  637476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  637479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637508 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  637511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637530 */     GIR_RootConstrainSelectedInstOperands,
     /*  637531 */     // GIR_Coverage, 6543,
     /*  637531 */     GIR_EraseRootFromParent_Done,
     /*  637532 */   // Label 10218: @637532
     /*  637532 */   GIM_Try, /*On fail goto*//*Label 10219*/ GIMT_Encode4(637607), // Rule ID 6544 //
     /*  637537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  637548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  637551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  637554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637583 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  637586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637605 */     GIR_RootConstrainSelectedInstOperands,
     /*  637606 */     // GIR_Coverage, 6544,
     /*  637606 */     GIR_EraseRootFromParent_Done,
     /*  637607 */   // Label 10219: @637607
     /*  637607 */   GIM_Try, /*On fail goto*//*Label 10220*/ GIMT_Encode4(637682), // Rule ID 6547 //
     /*  637612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  637623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  637626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  637629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637658 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  637661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637680 */     GIR_RootConstrainSelectedInstOperands,
     /*  637681 */     // GIR_Coverage, 6547,
     /*  637681 */     GIR_EraseRootFromParent_Done,
     /*  637682 */   // Label 10220: @637682
     /*  637682 */   GIM_Try, /*On fail goto*//*Label 10221*/ GIMT_Encode4(637757), // Rule ID 6548 //
     /*  637687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  637698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  637701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  637704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637733 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  637736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637755 */     GIR_RootConstrainSelectedInstOperands,
     /*  637756 */     // GIR_Coverage, 6548,
     /*  637756 */     GIR_EraseRootFromParent_Done,
     /*  637757 */   // Label 10221: @637757
     /*  637757 */   GIM_Try, /*On fail goto*//*Label 10222*/ GIMT_Encode4(637832), // Rule ID 6551 //
     /*  637762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  637773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  637776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  637779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637808 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  637811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637830 */     GIR_RootConstrainSelectedInstOperands,
     /*  637831 */     // GIR_Coverage, 6551,
     /*  637831 */     GIR_EraseRootFromParent_Done,
     /*  637832 */   // Label 10222: @637832
     /*  637832 */   GIM_Try, /*On fail goto*//*Label 10223*/ GIMT_Encode4(637907), // Rule ID 6552 //
     /*  637837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  637848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  637851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  637854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637883 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  637886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637905 */     GIR_RootConstrainSelectedInstOperands,
     /*  637906 */     // GIR_Coverage, 6552,
     /*  637906 */     GIR_EraseRootFromParent_Done,
     /*  637907 */   // Label 10223: @637907
     /*  637907 */   GIM_Try, /*On fail goto*//*Label 10224*/ GIMT_Encode4(637982), // Rule ID 6555 //
     /*  637912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  637923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  637926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  637929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637958 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  637961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637980 */     GIR_RootConstrainSelectedInstOperands,
     /*  637981 */     // GIR_Coverage, 6555,
     /*  637981 */     GIR_EraseRootFromParent_Done,
     /*  637982 */   // Label 10224: @637982
     /*  637982 */   GIM_Try, /*On fail goto*//*Label 10225*/ GIMT_Encode4(638057), // Rule ID 6556 //
     /*  637987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  637995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  637998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  638001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  638004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638033 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  638033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  638036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638055 */     GIR_RootConstrainSelectedInstOperands,
     /*  638056 */     // GIR_Coverage, 6556,
     /*  638056 */     GIR_EraseRootFromParent_Done,
     /*  638057 */   // Label 10225: @638057
     /*  638057 */   GIM_Try, /*On fail goto*//*Label 10226*/ GIMT_Encode4(638132), // Rule ID 6559 //
     /*  638062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  638073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  638076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  638079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638108 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  638108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  638111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638130 */     GIR_RootConstrainSelectedInstOperands,
     /*  638131 */     // GIR_Coverage, 6559,
     /*  638131 */     GIR_EraseRootFromParent_Done,
     /*  638132 */   // Label 10226: @638132
     /*  638132 */   GIM_Try, /*On fail goto*//*Label 10227*/ GIMT_Encode4(638207), // Rule ID 6560 //
     /*  638137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  638148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  638151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  638154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638183 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  638183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  638186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638205 */     GIR_RootConstrainSelectedInstOperands,
     /*  638206 */     // GIR_Coverage, 6560,
     /*  638206 */     GIR_EraseRootFromParent_Done,
     /*  638207 */   // Label 10227: @638207
     /*  638207 */   GIM_Try, /*On fail goto*//*Label 10228*/ GIMT_Encode4(638282), // Rule ID 6563 //
     /*  638212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  638223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  638226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  638229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638258 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  638258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  638261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638280 */     GIR_RootConstrainSelectedInstOperands,
     /*  638281 */     // GIR_Coverage, 6563,
     /*  638281 */     GIR_EraseRootFromParent_Done,
     /*  638282 */   // Label 10228: @638282
     /*  638282 */   GIM_Try, /*On fail goto*//*Label 10229*/ GIMT_Encode4(638357), // Rule ID 6564 //
     /*  638287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  638298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  638301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  638304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638333 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  638333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  638336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638355 */     GIR_RootConstrainSelectedInstOperands,
     /*  638356 */     // GIR_Coverage, 6564,
     /*  638356 */     GIR_EraseRootFromParent_Done,
     /*  638357 */   // Label 10229: @638357
     /*  638357 */   GIM_Try, /*On fail goto*//*Label 10230*/ GIMT_Encode4(638432), // Rule ID 6567 //
     /*  638362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  638373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  638376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  638379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638408 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  638408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  638411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638430 */     GIR_RootConstrainSelectedInstOperands,
     /*  638431 */     // GIR_Coverage, 6567,
     /*  638431 */     GIR_EraseRootFromParent_Done,
     /*  638432 */   // Label 10230: @638432
     /*  638432 */   GIM_Try, /*On fail goto*//*Label 10231*/ GIMT_Encode4(638507), // Rule ID 6568 //
     /*  638437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  638448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  638451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  638454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638483 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  638486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638505 */     GIR_RootConstrainSelectedInstOperands,
     /*  638506 */     // GIR_Coverage, 6568,
     /*  638506 */     GIR_EraseRootFromParent_Done,
     /*  638507 */   // Label 10231: @638507
     /*  638507 */   GIM_Try, /*On fail goto*//*Label 10232*/ GIMT_Encode4(638582), // Rule ID 6571 //
     /*  638512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  638523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  638526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  638529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638558 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  638558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  638561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638580 */     GIR_RootConstrainSelectedInstOperands,
     /*  638581 */     // GIR_Coverage, 6571,
     /*  638581 */     GIR_EraseRootFromParent_Done,
     /*  638582 */   // Label 10232: @638582
     /*  638582 */   GIM_Try, /*On fail goto*//*Label 10233*/ GIMT_Encode4(638657), // Rule ID 6572 //
     /*  638587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  638598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  638601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  638604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638633 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  638636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638655 */     GIR_RootConstrainSelectedInstOperands,
     /*  638656 */     // GIR_Coverage, 6572,
     /*  638656 */     GIR_EraseRootFromParent_Done,
     /*  638657 */   // Label 10233: @638657
     /*  638657 */   GIM_Try, /*On fail goto*//*Label 10234*/ GIMT_Encode4(638732), // Rule ID 6575 //
     /*  638662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  638673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  638676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  638679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638708 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  638708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  638711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638730 */     GIR_RootConstrainSelectedInstOperands,
     /*  638731 */     // GIR_Coverage, 6575,
     /*  638731 */     GIR_EraseRootFromParent_Done,
     /*  638732 */   // Label 10234: @638732
     /*  638732 */   GIM_Try, /*On fail goto*//*Label 10235*/ GIMT_Encode4(638807), // Rule ID 6576 //
     /*  638737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  638748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  638751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  638754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638783 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  638786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638805 */     GIR_RootConstrainSelectedInstOperands,
     /*  638806 */     // GIR_Coverage, 6576,
     /*  638806 */     GIR_EraseRootFromParent_Done,
     /*  638807 */   // Label 10235: @638807
     /*  638807 */   GIM_Try, /*On fail goto*//*Label 10236*/ GIMT_Encode4(638882), // Rule ID 6579 //
     /*  638812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  638815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  638823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  638826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  638829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638858 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  638858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  638861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638880 */     GIR_RootConstrainSelectedInstOperands,
     /*  638881 */     // GIR_Coverage, 6579,
     /*  638881 */     GIR_EraseRootFromParent_Done,
     /*  638882 */   // Label 10236: @638882
     /*  638882 */   GIM_Try, /*On fail goto*//*Label 10237*/ GIMT_Encode4(638957), // Rule ID 6580 //
     /*  638887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  638890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  638898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  638901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  638904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638933 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11452:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  638933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  638936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638955 */     GIR_RootConstrainSelectedInstOperands,
     /*  638956 */     // GIR_Coverage, 6580,
     /*  638956 */     GIR_EraseRootFromParent_Done,
     /*  638957 */   // Label 10237: @638957
     /*  638957 */   GIM_Try, /*On fail goto*//*Label 10238*/ GIMT_Encode4(639032), // Rule ID 6583 //
     /*  638962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  638965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  638970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  638973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  638976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  638979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639008 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  639008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  639011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  639027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639030 */     GIR_RootConstrainSelectedInstOperands,
     /*  639031 */     // GIR_Coverage, 6583,
     /*  639031 */     GIR_EraseRootFromParent_Done,
     /*  639032 */   // Label 10238: @639032
     /*  639032 */   GIM_Try, /*On fail goto*//*Label 10239*/ GIMT_Encode4(639107), // Rule ID 6584 //
     /*  639037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  639040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  639048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  639051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  639054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639083 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11452:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  639083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  639086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  639102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639105 */     GIR_RootConstrainSelectedInstOperands,
     /*  639106 */     // GIR_Coverage, 6584,
     /*  639106 */     GIR_EraseRootFromParent_Done,
     /*  639107 */   // Label 10239: @639107
     /*  639107 */   GIM_Try, /*On fail goto*//*Label 10240*/ GIMT_Encode4(639182), // Rule ID 6587 //
     /*  639112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  639115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  639123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  639126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  639129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639158 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  639158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  639177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639180 */     GIR_RootConstrainSelectedInstOperands,
     /*  639181 */     // GIR_Coverage, 6587,
     /*  639181 */     GIR_EraseRootFromParent_Done,
     /*  639182 */   // Label 10240: @639182
     /*  639182 */   GIM_Try, /*On fail goto*//*Label 10241*/ GIMT_Encode4(639257), // Rule ID 6588 //
     /*  639187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  639190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  639198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  639201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  639204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639233 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11452:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  639233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  639236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  639252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639255 */     GIR_RootConstrainSelectedInstOperands,
     /*  639256 */     // GIR_Coverage, 6588,
     /*  639256 */     GIR_EraseRootFromParent_Done,
     /*  639257 */   // Label 10241: @639257
     /*  639257 */   GIM_Try, /*On fail goto*//*Label 10242*/ GIMT_Encode4(639332), // Rule ID 6679 //
     /*  639262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  639273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  639276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  639279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  639282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639308 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  639311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639330 */     GIR_RootConstrainSelectedInstOperands,
     /*  639331 */     // GIR_Coverage, 6679,
     /*  639331 */     GIR_EraseRootFromParent_Done,
     /*  639332 */   // Label 10242: @639332
     /*  639332 */   GIM_Try, /*On fail goto*//*Label 10243*/ GIMT_Encode4(639407), // Rule ID 6680 //
     /*  639337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  639348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  639351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  639354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  639357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639383 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  639386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639405 */     GIR_RootConstrainSelectedInstOperands,
     /*  639406 */     // GIR_Coverage, 6680,
     /*  639406 */     GIR_EraseRootFromParent_Done,
     /*  639407 */   // Label 10243: @639407
     /*  639407 */   GIM_Try, /*On fail goto*//*Label 10244*/ GIMT_Encode4(639482), // Rule ID 6683 //
     /*  639412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  639423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  639426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  639429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  639432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639458 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  639461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639480 */     GIR_RootConstrainSelectedInstOperands,
     /*  639481 */     // GIR_Coverage, 6683,
     /*  639481 */     GIR_EraseRootFromParent_Done,
     /*  639482 */   // Label 10244: @639482
     /*  639482 */   GIM_Try, /*On fail goto*//*Label 10245*/ GIMT_Encode4(639557), // Rule ID 6684 //
     /*  639487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  639498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  639501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  639504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  639507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639533 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  639536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639555 */     GIR_RootConstrainSelectedInstOperands,
     /*  639556 */     // GIR_Coverage, 6684,
     /*  639556 */     GIR_EraseRootFromParent_Done,
     /*  639557 */   // Label 10245: @639557
     /*  639557 */   GIM_Try, /*On fail goto*//*Label 10246*/ GIMT_Encode4(639632), // Rule ID 6687 //
     /*  639562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  639573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  639576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  639579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  639582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639608 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  639611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639630 */     GIR_RootConstrainSelectedInstOperands,
     /*  639631 */     // GIR_Coverage, 6687,
     /*  639631 */     GIR_EraseRootFromParent_Done,
     /*  639632 */   // Label 10246: @639632
     /*  639632 */   GIM_Try, /*On fail goto*//*Label 10247*/ GIMT_Encode4(639707), // Rule ID 6688 //
     /*  639637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  639648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  639651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  639654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  639657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639683 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  639686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639705 */     GIR_RootConstrainSelectedInstOperands,
     /*  639706 */     // GIR_Coverage, 6688,
     /*  639706 */     GIR_EraseRootFromParent_Done,
     /*  639707 */   // Label 10247: @639707
     /*  639707 */   GIM_Try, /*On fail goto*//*Label 10248*/ GIMT_Encode4(639782), // Rule ID 6691 //
     /*  639712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  639723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  639726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  639729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  639732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639758 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  639761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639780 */     GIR_RootConstrainSelectedInstOperands,
     /*  639781 */     // GIR_Coverage, 6691,
     /*  639781 */     GIR_EraseRootFromParent_Done,
     /*  639782 */   // Label 10248: @639782
     /*  639782 */   GIM_Try, /*On fail goto*//*Label 10249*/ GIMT_Encode4(639857), // Rule ID 6692 //
     /*  639787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  639798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  639801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  639804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  639807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639833 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  639836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639855 */     GIR_RootConstrainSelectedInstOperands,
     /*  639856 */     // GIR_Coverage, 6692,
     /*  639856 */     GIR_EraseRootFromParent_Done,
     /*  639857 */   // Label 10249: @639857
     /*  639857 */   GIM_Try, /*On fail goto*//*Label 10250*/ GIMT_Encode4(639932), // Rule ID 6695 //
     /*  639862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  639873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  639876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  639879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  639882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639908 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  639911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639930 */     GIR_RootConstrainSelectedInstOperands,
     /*  639931 */     // GIR_Coverage, 6695,
     /*  639931 */     GIR_EraseRootFromParent_Done,
     /*  639932 */   // Label 10250: @639932
     /*  639932 */   GIM_Try, /*On fail goto*//*Label 10251*/ GIMT_Encode4(640007), // Rule ID 6696 //
     /*  639937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  639948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  639951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  639954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  639957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639983 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  639986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640005 */     GIR_RootConstrainSelectedInstOperands,
     /*  640006 */     // GIR_Coverage, 6696,
     /*  640006 */     GIR_EraseRootFromParent_Done,
     /*  640007 */   // Label 10251: @640007
     /*  640007 */   GIM_Try, /*On fail goto*//*Label 10252*/ GIMT_Encode4(640082), // Rule ID 6699 //
     /*  640012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  640023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  640026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  640029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  640032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640058 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  640058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  640061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640080 */     GIR_RootConstrainSelectedInstOperands,
     /*  640081 */     // GIR_Coverage, 6699,
     /*  640081 */     GIR_EraseRootFromParent_Done,
     /*  640082 */   // Label 10252: @640082
     /*  640082 */   GIM_Try, /*On fail goto*//*Label 10253*/ GIMT_Encode4(640157), // Rule ID 6700 //
     /*  640087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  640098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  640101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  640104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  640107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640133 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  640133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  640136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640155 */     GIR_RootConstrainSelectedInstOperands,
     /*  640156 */     // GIR_Coverage, 6700,
     /*  640156 */     GIR_EraseRootFromParent_Done,
     /*  640157 */   // Label 10253: @640157
     /*  640157 */   GIM_Try, /*On fail goto*//*Label 10254*/ GIMT_Encode4(640232), // Rule ID 6703 //
     /*  640162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  640173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  640176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  640179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  640182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  640211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640230 */     GIR_RootConstrainSelectedInstOperands,
     /*  640231 */     // GIR_Coverage, 6703,
     /*  640231 */     GIR_EraseRootFromParent_Done,
     /*  640232 */   // Label 10254: @640232
     /*  640232 */   GIM_Try, /*On fail goto*//*Label 10255*/ GIMT_Encode4(640307), // Rule ID 6704 //
     /*  640237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  640248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  640251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  640254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  640257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640283 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  640286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640305 */     GIR_RootConstrainSelectedInstOperands,
     /*  640306 */     // GIR_Coverage, 6704,
     /*  640306 */     GIR_EraseRootFromParent_Done,
     /*  640307 */   // Label 10255: @640307
     /*  640307 */   GIM_Try, /*On fail goto*//*Label 10256*/ GIMT_Encode4(640382), // Rule ID 6707 //
     /*  640312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  640323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  640326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  640329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  640332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640358 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  640358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  640361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640380 */     GIR_RootConstrainSelectedInstOperands,
     /*  640381 */     // GIR_Coverage, 6707,
     /*  640381 */     GIR_EraseRootFromParent_Done,
     /*  640382 */   // Label 10256: @640382
     /*  640382 */   GIM_Try, /*On fail goto*//*Label 10257*/ GIMT_Encode4(640457), // Rule ID 6708 //
     /*  640387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  640398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  640401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  640404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  640407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640433 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  640433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  640436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640455 */     GIR_RootConstrainSelectedInstOperands,
     /*  640456 */     // GIR_Coverage, 6708,
     /*  640456 */     GIR_EraseRootFromParent_Done,
     /*  640457 */   // Label 10257: @640457
     /*  640457 */   GIM_Try, /*On fail goto*//*Label 10258*/ GIMT_Encode4(640532), // Rule ID 6711 //
     /*  640462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  640473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  640476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  640479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  640482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  640508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  640511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640530 */     GIR_RootConstrainSelectedInstOperands,
     /*  640531 */     // GIR_Coverage, 6711,
     /*  640531 */     GIR_EraseRootFromParent_Done,
     /*  640532 */   // Label 10258: @640532
     /*  640532 */   GIM_Try, /*On fail goto*//*Label 10259*/ GIMT_Encode4(640607), // Rule ID 6712 //
     /*  640537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  640548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  640551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  640554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  640557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  640583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  640586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640605 */     GIR_RootConstrainSelectedInstOperands,
     /*  640606 */     // GIR_Coverage, 6712,
     /*  640606 */     GIR_EraseRootFromParent_Done,
     /*  640607 */   // Label 10259: @640607
     /*  640607 */   GIM_Try, /*On fail goto*//*Label 10260*/ GIMT_Encode4(640682), // Rule ID 6715 //
     /*  640612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  640623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  640626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  640629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  640632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640658 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  640661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640680 */     GIR_RootConstrainSelectedInstOperands,
     /*  640681 */     // GIR_Coverage, 6715,
     /*  640681 */     GIR_EraseRootFromParent_Done,
     /*  640682 */   // Label 10260: @640682
     /*  640682 */   GIM_Try, /*On fail goto*//*Label 10261*/ GIMT_Encode4(640757), // Rule ID 6716 //
     /*  640687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  640698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  640701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  640704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  640707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640733 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  640736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640755 */     GIR_RootConstrainSelectedInstOperands,
     /*  640756 */     // GIR_Coverage, 6716,
     /*  640756 */     GIR_EraseRootFromParent_Done,
     /*  640757 */   // Label 10261: @640757
     /*  640757 */   GIM_Try, /*On fail goto*//*Label 10262*/ GIMT_Encode4(640832), // Rule ID 6719 //
     /*  640762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  640773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  640776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  640779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  640782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640808 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  640811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640830 */     GIR_RootConstrainSelectedInstOperands,
     /*  640831 */     // GIR_Coverage, 6719,
     /*  640831 */     GIR_EraseRootFromParent_Done,
     /*  640832 */   // Label 10262: @640832
     /*  640832 */   GIM_Try, /*On fail goto*//*Label 10263*/ GIMT_Encode4(640907), // Rule ID 6720 //
     /*  640837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  640848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  640851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  640854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  640857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640883 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  640886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640905 */     GIR_RootConstrainSelectedInstOperands,
     /*  640906 */     // GIR_Coverage, 6720,
     /*  640906 */     GIR_EraseRootFromParent_Done,
     /*  640907 */   // Label 10263: @640907
     /*  640907 */   GIM_Try, /*On fail goto*//*Label 10264*/ GIMT_Encode4(640982), // Rule ID 6723 //
     /*  640912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  640923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  640926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  640929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  640932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640958 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  640961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640980 */     GIR_RootConstrainSelectedInstOperands,
     /*  640981 */     // GIR_Coverage, 6723,
     /*  640981 */     GIR_EraseRootFromParent_Done,
     /*  640982 */   // Label 10264: @640982
     /*  640982 */   GIM_Try, /*On fail goto*//*Label 10265*/ GIMT_Encode4(641057), // Rule ID 6724 //
     /*  640987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  640998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  641001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  641004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  641007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641033 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  641036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641055 */     GIR_RootConstrainSelectedInstOperands,
     /*  641056 */     // GIR_Coverage, 6724,
     /*  641056 */     GIR_EraseRootFromParent_Done,
     /*  641057 */   // Label 10265: @641057
     /*  641057 */   GIM_Try, /*On fail goto*//*Label 10266*/ GIMT_Encode4(641132), // Rule ID 6727 //
     /*  641062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  641073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  641076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  641079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  641082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641108 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  641111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641130 */     GIR_RootConstrainSelectedInstOperands,
     /*  641131 */     // GIR_Coverage, 6727,
     /*  641131 */     GIR_EraseRootFromParent_Done,
     /*  641132 */   // Label 10266: @641132
     /*  641132 */   GIM_Try, /*On fail goto*//*Label 10267*/ GIMT_Encode4(641207), // Rule ID 6728 //
     /*  641137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  641148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  641151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  641154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  641157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641183 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  641186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641205 */     GIR_RootConstrainSelectedInstOperands,
     /*  641206 */     // GIR_Coverage, 6728,
     /*  641206 */     GIR_EraseRootFromParent_Done,
     /*  641207 */   // Label 10267: @641207
     /*  641207 */   GIM_Try, /*On fail goto*//*Label 10268*/ GIMT_Encode4(641282), // Rule ID 6731 //
     /*  641212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  641223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  641226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  641229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  641232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641258 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  641261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641280 */     GIR_RootConstrainSelectedInstOperands,
     /*  641281 */     // GIR_Coverage, 6731,
     /*  641281 */     GIR_EraseRootFromParent_Done,
     /*  641282 */   // Label 10268: @641282
     /*  641282 */   GIM_Try, /*On fail goto*//*Label 10269*/ GIMT_Encode4(641357), // Rule ID 6732 //
     /*  641287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  641298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  641301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  641304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  641307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641333 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  641336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641355 */     GIR_RootConstrainSelectedInstOperands,
     /*  641356 */     // GIR_Coverage, 6732,
     /*  641356 */     GIR_EraseRootFromParent_Done,
     /*  641357 */   // Label 10269: @641357
     /*  641357 */   GIM_Try, /*On fail goto*//*Label 10270*/ GIMT_Encode4(641432), // Rule ID 6735 //
     /*  641362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  641373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  641376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  641379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  641382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641408 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  641411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641430 */     GIR_RootConstrainSelectedInstOperands,
     /*  641431 */     // GIR_Coverage, 6735,
     /*  641431 */     GIR_EraseRootFromParent_Done,
     /*  641432 */   // Label 10270: @641432
     /*  641432 */   GIM_Try, /*On fail goto*//*Label 10271*/ GIMT_Encode4(641507), // Rule ID 6736 //
     /*  641437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  641448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  641451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  641454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  641457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641483 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  641486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641505 */     GIR_RootConstrainSelectedInstOperands,
     /*  641506 */     // GIR_Coverage, 6736,
     /*  641506 */     GIR_EraseRootFromParent_Done,
     /*  641507 */   // Label 10271: @641507
     /*  641507 */   GIM_Try, /*On fail goto*//*Label 10272*/ GIMT_Encode4(641582), // Rule ID 6739 //
     /*  641512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  641523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  641526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  641529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  641532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641558 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  641561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641580 */     GIR_RootConstrainSelectedInstOperands,
     /*  641581 */     // GIR_Coverage, 6739,
     /*  641581 */     GIR_EraseRootFromParent_Done,
     /*  641582 */   // Label 10272: @641582
     /*  641582 */   GIM_Try, /*On fail goto*//*Label 10273*/ GIMT_Encode4(641657), // Rule ID 6740 //
     /*  641587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  641598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  641601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  641604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  641607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641633 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  641636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641655 */     GIR_RootConstrainSelectedInstOperands,
     /*  641656 */     // GIR_Coverage, 6740,
     /*  641656 */     GIR_EraseRootFromParent_Done,
     /*  641657 */   // Label 10273: @641657
     /*  641657 */   GIM_Try, /*On fail goto*//*Label 10274*/ GIMT_Encode4(641732), // Rule ID 6743 //
     /*  641662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  641673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  641676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  641679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  641682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  641711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641730 */     GIR_RootConstrainSelectedInstOperands,
     /*  641731 */     // GIR_Coverage, 6743,
     /*  641731 */     GIR_EraseRootFromParent_Done,
     /*  641732 */   // Label 10274: @641732
     /*  641732 */   GIM_Try, /*On fail goto*//*Label 10275*/ GIMT_Encode4(641807), // Rule ID 6744 //
     /*  641737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  641748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  641751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  641754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  641757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641783 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  641786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641805 */     GIR_RootConstrainSelectedInstOperands,
     /*  641806 */     // GIR_Coverage, 6744,
     /*  641806 */     GIR_EraseRootFromParent_Done,
     /*  641807 */   // Label 10275: @641807
     /*  641807 */   GIM_Try, /*On fail goto*//*Label 10276*/ GIMT_Encode4(641882), // Rule ID 6747 //
     /*  641812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  641823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  641826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  641829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  641832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641858 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  641861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641880 */     GIR_RootConstrainSelectedInstOperands,
     /*  641881 */     // GIR_Coverage, 6747,
     /*  641881 */     GIR_EraseRootFromParent_Done,
     /*  641882 */   // Label 10276: @641882
     /*  641882 */   GIM_Try, /*On fail goto*//*Label 10277*/ GIMT_Encode4(641957), // Rule ID 6748 //
     /*  641887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  641898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  641901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  641904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  641907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641933 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  641936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641955 */     GIR_RootConstrainSelectedInstOperands,
     /*  641956 */     // GIR_Coverage, 6748,
     /*  641956 */     GIR_EraseRootFromParent_Done,
     /*  641957 */   // Label 10277: @641957
     /*  641957 */   GIM_Try, /*On fail goto*//*Label 10278*/ GIMT_Encode4(642032), // Rule ID 6751 //
     /*  641962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  641973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  641976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  641979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  641982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642008 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  642008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  642011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642030 */     GIR_RootConstrainSelectedInstOperands,
     /*  642031 */     // GIR_Coverage, 6751,
     /*  642031 */     GIR_EraseRootFromParent_Done,
     /*  642032 */   // Label 10278: @642032
     /*  642032 */   GIM_Try, /*On fail goto*//*Label 10279*/ GIMT_Encode4(642107), // Rule ID 6752 //
     /*  642037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  642048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  642051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  642054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  642057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642083 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  642083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  642086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642105 */     GIR_RootConstrainSelectedInstOperands,
     /*  642106 */     // GIR_Coverage, 6752,
     /*  642106 */     GIR_EraseRootFromParent_Done,
     /*  642107 */   // Label 10279: @642107
     /*  642107 */   GIM_Try, /*On fail goto*//*Label 10280*/ GIMT_Encode4(642182), // Rule ID 6755 //
     /*  642112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  642115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  642123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  642126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  642129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  642132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642158 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  642158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  642177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642180 */     GIR_RootConstrainSelectedInstOperands,
     /*  642181 */     // GIR_Coverage, 6755,
     /*  642181 */     GIR_EraseRootFromParent_Done,
     /*  642182 */   // Label 10280: @642182
     /*  642182 */   GIM_Try, /*On fail goto*//*Label 10281*/ GIMT_Encode4(642257), // Rule ID 6756 //
     /*  642187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  642190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  642198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  642201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  642204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  642207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642233 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  642233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  642236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  642252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642255 */     GIR_RootConstrainSelectedInstOperands,
     /*  642256 */     // GIR_Coverage, 6756,
     /*  642256 */     GIR_EraseRootFromParent_Done,
     /*  642257 */   // Label 10281: @642257
     /*  642257 */   GIM_Try, /*On fail goto*//*Label 10282*/ GIMT_Encode4(642332), // Rule ID 6759 //
     /*  642262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  642265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  642273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  642276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  642279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  642282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642308 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  642308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  642311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  642327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642330 */     GIR_RootConstrainSelectedInstOperands,
     /*  642331 */     // GIR_Coverage, 6759,
     /*  642331 */     GIR_EraseRootFromParent_Done,
     /*  642332 */   // Label 10282: @642332
     /*  642332 */   GIM_Try, /*On fail goto*//*Label 10283*/ GIMT_Encode4(642407), // Rule ID 6760 //
     /*  642337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  642340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  642348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  642351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  642354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  642357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642383 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  642383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  642386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  642402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642405 */     GIR_RootConstrainSelectedInstOperands,
     /*  642406 */     // GIR_Coverage, 6760,
     /*  642406 */     GIR_EraseRootFromParent_Done,
     /*  642407 */   // Label 10283: @642407
     /*  642407 */   GIM_Try, /*On fail goto*//*Label 10284*/ GIMT_Encode4(642482), // Rule ID 6763 //
     /*  642412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  642415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  642423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  642426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  642429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  642432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642458 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  642458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  642461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  642477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642480 */     GIR_RootConstrainSelectedInstOperands,
     /*  642481 */     // GIR_Coverage, 6763,
     /*  642481 */     GIR_EraseRootFromParent_Done,
     /*  642482 */   // Label 10284: @642482
     /*  642482 */   GIM_Try, /*On fail goto*//*Label 10285*/ GIMT_Encode4(642557), // Rule ID 6764 //
     /*  642487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  642490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  642498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  642501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  642504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  642507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642533 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  642533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  642536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  642552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642555 */     GIR_RootConstrainSelectedInstOperands,
     /*  642556 */     // GIR_Coverage, 6764,
     /*  642556 */     GIR_EraseRootFromParent_Done,
     /*  642557 */   // Label 10285: @642557
     /*  642557 */   GIM_Try, /*On fail goto*//*Label 10286*/ GIMT_Encode4(642632), // Rule ID 6767 //
     /*  642562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  642573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  642576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  642579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642608 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  642611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642630 */     GIR_RootConstrainSelectedInstOperands,
     /*  642631 */     // GIR_Coverage, 6767,
     /*  642631 */     GIR_EraseRootFromParent_Done,
     /*  642632 */   // Label 10286: @642632
     /*  642632 */   GIM_Try, /*On fail goto*//*Label 10287*/ GIMT_Encode4(642707), // Rule ID 6768 //
     /*  642637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  642648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  642651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  642654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642683 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  642686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642705 */     GIR_RootConstrainSelectedInstOperands,
     /*  642706 */     // GIR_Coverage, 6768,
     /*  642706 */     GIR_EraseRootFromParent_Done,
     /*  642707 */   // Label 10287: @642707
     /*  642707 */   GIM_Try, /*On fail goto*//*Label 10288*/ GIMT_Encode4(642782), // Rule ID 6771 //
     /*  642712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  642723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  642726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  642729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642758 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  642761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642780 */     GIR_RootConstrainSelectedInstOperands,
     /*  642781 */     // GIR_Coverage, 6771,
     /*  642781 */     GIR_EraseRootFromParent_Done,
     /*  642782 */   // Label 10288: @642782
     /*  642782 */   GIM_Try, /*On fail goto*//*Label 10289*/ GIMT_Encode4(642857), // Rule ID 6772 //
     /*  642787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  642798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  642801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  642804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642833 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  642836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642855 */     GIR_RootConstrainSelectedInstOperands,
     /*  642856 */     // GIR_Coverage, 6772,
     /*  642856 */     GIR_EraseRootFromParent_Done,
     /*  642857 */   // Label 10289: @642857
     /*  642857 */   GIM_Try, /*On fail goto*//*Label 10290*/ GIMT_Encode4(642932), // Rule ID 6775 //
     /*  642862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  642873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  642876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  642879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642908 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  642911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642930 */     GIR_RootConstrainSelectedInstOperands,
     /*  642931 */     // GIR_Coverage, 6775,
     /*  642931 */     GIR_EraseRootFromParent_Done,
     /*  642932 */   // Label 10290: @642932
     /*  642932 */   GIM_Try, /*On fail goto*//*Label 10291*/ GIMT_Encode4(643007), // Rule ID 6776 //
     /*  642937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  642945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  642948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  642951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  642954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642983 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  642986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643005 */     GIR_RootConstrainSelectedInstOperands,
     /*  643006 */     // GIR_Coverage, 6776,
     /*  643006 */     GIR_EraseRootFromParent_Done,
     /*  643007 */   // Label 10291: @643007
     /*  643007 */   GIM_Try, /*On fail goto*//*Label 10292*/ GIMT_Encode4(643082), // Rule ID 6779 //
     /*  643012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  643023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  643026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  643029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643058 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  643061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643080 */     GIR_RootConstrainSelectedInstOperands,
     /*  643081 */     // GIR_Coverage, 6779,
     /*  643081 */     GIR_EraseRootFromParent_Done,
     /*  643082 */   // Label 10292: @643082
     /*  643082 */   GIM_Try, /*On fail goto*//*Label 10293*/ GIMT_Encode4(643157), // Rule ID 6780 //
     /*  643087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  643098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  643101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  643104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643133 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  643133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  643136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643155 */     GIR_RootConstrainSelectedInstOperands,
     /*  643156 */     // GIR_Coverage, 6780,
     /*  643156 */     GIR_EraseRootFromParent_Done,
     /*  643157 */   // Label 10293: @643157
     /*  643157 */   GIM_Try, /*On fail goto*//*Label 10294*/ GIMT_Encode4(643232), // Rule ID 6783 //
     /*  643162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  643173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  643176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  643179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643208 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  643211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643230 */     GIR_RootConstrainSelectedInstOperands,
     /*  643231 */     // GIR_Coverage, 6783,
     /*  643231 */     GIR_EraseRootFromParent_Done,
     /*  643232 */   // Label 10294: @643232
     /*  643232 */   GIM_Try, /*On fail goto*//*Label 10295*/ GIMT_Encode4(643307), // Rule ID 6784 //
     /*  643237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  643248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  643251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  643254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643283 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  643283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  643286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643305 */     GIR_RootConstrainSelectedInstOperands,
     /*  643306 */     // GIR_Coverage, 6784,
     /*  643306 */     GIR_EraseRootFromParent_Done,
     /*  643307 */   // Label 10295: @643307
     /*  643307 */   GIM_Try, /*On fail goto*//*Label 10296*/ GIMT_Encode4(643382), // Rule ID 6787 //
     /*  643312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  643323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  643326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  643329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643358 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  643361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643380 */     GIR_RootConstrainSelectedInstOperands,
     /*  643381 */     // GIR_Coverage, 6787,
     /*  643381 */     GIR_EraseRootFromParent_Done,
     /*  643382 */   // Label 10296: @643382
     /*  643382 */   GIM_Try, /*On fail goto*//*Label 10297*/ GIMT_Encode4(643457), // Rule ID 6788 //
     /*  643387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  643398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  643401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  643404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643433 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  643436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643455 */     GIR_RootConstrainSelectedInstOperands,
     /*  643456 */     // GIR_Coverage, 6788,
     /*  643456 */     GIR_EraseRootFromParent_Done,
     /*  643457 */   // Label 10297: @643457
     /*  643457 */   GIM_Try, /*On fail goto*//*Label 10298*/ GIMT_Encode4(643532), // Rule ID 6791 //
     /*  643462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  643473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  643476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  643479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  643511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643530 */     GIR_RootConstrainSelectedInstOperands,
     /*  643531 */     // GIR_Coverage, 6791,
     /*  643531 */     GIR_EraseRootFromParent_Done,
     /*  643532 */   // Label 10298: @643532
     /*  643532 */   GIM_Try, /*On fail goto*//*Label 10299*/ GIMT_Encode4(643607), // Rule ID 6792 //
     /*  643537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  643548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  643551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  643554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643583 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11480:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  643583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  643586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643605 */     GIR_RootConstrainSelectedInstOperands,
     /*  643606 */     // GIR_Coverage, 6792,
     /*  643606 */     GIR_EraseRootFromParent_Done,
     /*  643607 */   // Label 10299: @643607
     /*  643607 */   GIM_Try, /*On fail goto*//*Label 10300*/ GIMT_Encode4(643682), // Rule ID 6795 //
     /*  643612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  643623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  643626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  643629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643658 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  643661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643680 */     GIR_RootConstrainSelectedInstOperands,
     /*  643681 */     // GIR_Coverage, 6795,
     /*  643681 */     GIR_EraseRootFromParent_Done,
     /*  643682 */   // Label 10300: @643682
     /*  643682 */   GIM_Try, /*On fail goto*//*Label 10301*/ GIMT_Encode4(643757), // Rule ID 6796 //
     /*  643687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  643698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  643701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  643704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643733 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11480:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  643733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  643736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643755 */     GIR_RootConstrainSelectedInstOperands,
     /*  643756 */     // GIR_Coverage, 6796,
     /*  643756 */     GIR_EraseRootFromParent_Done,
     /*  643757 */   // Label 10301: @643757
     /*  643757 */   GIM_Try, /*On fail goto*//*Label 10302*/ GIMT_Encode4(643832), // Rule ID 6799 //
     /*  643762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  643773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  643776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  643779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  643811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643830 */     GIR_RootConstrainSelectedInstOperands,
     /*  643831 */     // GIR_Coverage, 6799,
     /*  643831 */     GIR_EraseRootFromParent_Done,
     /*  643832 */   // Label 10302: @643832
     /*  643832 */   GIM_Try, /*On fail goto*//*Label 10303*/ GIMT_Encode4(643907), // Rule ID 6800 //
     /*  643837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  643848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  643851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  643854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11480:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  643886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643905 */     GIR_RootConstrainSelectedInstOperands,
     /*  643906 */     // GIR_Coverage, 6800,
     /*  643906 */     GIR_EraseRootFromParent_Done,
     /*  643907 */   // Label 10303: @643907
     /*  643907 */   GIM_Try, /*On fail goto*//*Label 10304*/ GIMT_Encode4(643982), // Rule ID 6803 //
     /*  643912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  643915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  643923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  643926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  643929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  643958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  643961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643980 */     GIR_RootConstrainSelectedInstOperands,
     /*  643981 */     // GIR_Coverage, 6803,
     /*  643981 */     GIR_EraseRootFromParent_Done,
     /*  643982 */   // Label 10304: @643982
     /*  643982 */   GIM_Try, /*On fail goto*//*Label 10305*/ GIMT_Encode4(644057), // Rule ID 6804 //
     /*  643987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  643990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  643995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  643998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  644001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  644004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644033 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11480:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  644033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  644036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644055 */     GIR_RootConstrainSelectedInstOperands,
     /*  644056 */     // GIR_Coverage, 6804,
     /*  644056 */     GIR_EraseRootFromParent_Done,
     /*  644057 */   // Label 10305: @644057
     /*  644057 */   GIM_Try, /*On fail goto*//*Label 10306*/ GIMT_Encode4(644132), // Rule ID 6807 //
     /*  644062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  644073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  644076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  644079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644108 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  644111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644130 */     GIR_RootConstrainSelectedInstOperands,
     /*  644131 */     // GIR_Coverage, 6807,
     /*  644131 */     GIR_EraseRootFromParent_Done,
     /*  644132 */   // Label 10306: @644132
     /*  644132 */   GIM_Try, /*On fail goto*//*Label 10307*/ GIMT_Encode4(644207), // Rule ID 6808 //
     /*  644137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  644148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  644151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  644154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644183 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  644186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644205 */     GIR_RootConstrainSelectedInstOperands,
     /*  644206 */     // GIR_Coverage, 6808,
     /*  644206 */     GIR_EraseRootFromParent_Done,
     /*  644207 */   // Label 10307: @644207
     /*  644207 */   GIM_Try, /*On fail goto*//*Label 10308*/ GIMT_Encode4(644282), // Rule ID 6811 //
     /*  644212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  644223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  644226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  644229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644258 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  644261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644280 */     GIR_RootConstrainSelectedInstOperands,
     /*  644281 */     // GIR_Coverage, 6811,
     /*  644281 */     GIR_EraseRootFromParent_Done,
     /*  644282 */   // Label 10308: @644282
     /*  644282 */   GIM_Try, /*On fail goto*//*Label 10309*/ GIMT_Encode4(644357), // Rule ID 6812 //
     /*  644287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  644298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  644301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  644304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644333 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  644336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644355 */     GIR_RootConstrainSelectedInstOperands,
     /*  644356 */     // GIR_Coverage, 6812,
     /*  644356 */     GIR_EraseRootFromParent_Done,
     /*  644357 */   // Label 10309: @644357
     /*  644357 */   GIM_Try, /*On fail goto*//*Label 10310*/ GIMT_Encode4(644432), // Rule ID 6815 //
     /*  644362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  644373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  644376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  644379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644408 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  644411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644430 */     GIR_RootConstrainSelectedInstOperands,
     /*  644431 */     // GIR_Coverage, 6815,
     /*  644431 */     GIR_EraseRootFromParent_Done,
     /*  644432 */   // Label 10310: @644432
     /*  644432 */   GIM_Try, /*On fail goto*//*Label 10311*/ GIMT_Encode4(644507), // Rule ID 6816 //
     /*  644437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  644448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  644451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  644454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644483 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  644486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644505 */     GIR_RootConstrainSelectedInstOperands,
     /*  644506 */     // GIR_Coverage, 6816,
     /*  644506 */     GIR_EraseRootFromParent_Done,
     /*  644507 */   // Label 10311: @644507
     /*  644507 */   GIM_Try, /*On fail goto*//*Label 10312*/ GIMT_Encode4(644582), // Rule ID 6819 //
     /*  644512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  644523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  644526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  644529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644558 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  644561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644580 */     GIR_RootConstrainSelectedInstOperands,
     /*  644581 */     // GIR_Coverage, 6819,
     /*  644581 */     GIR_EraseRootFromParent_Done,
     /*  644582 */   // Label 10312: @644582
     /*  644582 */   GIM_Try, /*On fail goto*//*Label 10313*/ GIMT_Encode4(644657), // Rule ID 6820 //
     /*  644587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  644598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  644601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  644604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644633 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  644636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644655 */     GIR_RootConstrainSelectedInstOperands,
     /*  644656 */     // GIR_Coverage, 6820,
     /*  644656 */     GIR_EraseRootFromParent_Done,
     /*  644657 */   // Label 10313: @644657
     /*  644657 */   GIM_Try, /*On fail goto*//*Label 10314*/ GIMT_Encode4(644732), // Rule ID 6823 //
     /*  644662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  644673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  644676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  644679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644708 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  644711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644730 */     GIR_RootConstrainSelectedInstOperands,
     /*  644731 */     // GIR_Coverage, 6823,
     /*  644731 */     GIR_EraseRootFromParent_Done,
     /*  644732 */   // Label 10314: @644732
     /*  644732 */   GIM_Try, /*On fail goto*//*Label 10315*/ GIMT_Encode4(644807), // Rule ID 6824 //
     /*  644737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  644748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  644751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  644754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644783 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  644786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644805 */     GIR_RootConstrainSelectedInstOperands,
     /*  644806 */     // GIR_Coverage, 6824,
     /*  644806 */     GIR_EraseRootFromParent_Done,
     /*  644807 */   // Label 10315: @644807
     /*  644807 */   GIM_Try, /*On fail goto*//*Label 10316*/ GIMT_Encode4(644882), // Rule ID 6827 //
     /*  644812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  644823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  644826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  644829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644858 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  644861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644880 */     GIR_RootConstrainSelectedInstOperands,
     /*  644881 */     // GIR_Coverage, 6827,
     /*  644881 */     GIR_EraseRootFromParent_Done,
     /*  644882 */   // Label 10316: @644882
     /*  644882 */   GIM_Try, /*On fail goto*//*Label 10317*/ GIMT_Encode4(644957), // Rule ID 6828 //
     /*  644887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  644898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  644901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  644904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644933 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  644936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644955 */     GIR_RootConstrainSelectedInstOperands,
     /*  644956 */     // GIR_Coverage, 6828,
     /*  644956 */     GIR_EraseRootFromParent_Done,
     /*  644957 */   // Label 10317: @644957
     /*  644957 */   GIM_Try, /*On fail goto*//*Label 10318*/ GIMT_Encode4(645032), // Rule ID 6831 //
     /*  644962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  644970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  644973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  644976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  644979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645008 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  645008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  645011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645030 */     GIR_RootConstrainSelectedInstOperands,
     /*  645031 */     // GIR_Coverage, 6831,
     /*  645031 */     GIR_EraseRootFromParent_Done,
     /*  645032 */   // Label 10318: @645032
     /*  645032 */   GIM_Try, /*On fail goto*//*Label 10319*/ GIMT_Encode4(645107), // Rule ID 6832 //
     /*  645037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  645048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  645051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  645054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645083 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  645083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  645086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645105 */     GIR_RootConstrainSelectedInstOperands,
     /*  645106 */     // GIR_Coverage, 6832,
     /*  645106 */     GIR_EraseRootFromParent_Done,
     /*  645107 */   // Label 10319: @645107
     /*  645107 */   GIM_Try, /*On fail goto*//*Label 10320*/ GIMT_Encode4(645182), // Rule ID 6835 //
     /*  645112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  645123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  645126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  645129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645158 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  645158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  645161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645180 */     GIR_RootConstrainSelectedInstOperands,
     /*  645181 */     // GIR_Coverage, 6835,
     /*  645181 */     GIR_EraseRootFromParent_Done,
     /*  645182 */   // Label 10320: @645182
     /*  645182 */   GIM_Try, /*On fail goto*//*Label 10321*/ GIMT_Encode4(645257), // Rule ID 6836 //
     /*  645187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  645198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  645201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  645204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645233 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  645233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  645236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645255 */     GIR_RootConstrainSelectedInstOperands,
     /*  645256 */     // GIR_Coverage, 6836,
     /*  645256 */     GIR_EraseRootFromParent_Done,
     /*  645257 */   // Label 10321: @645257
     /*  645257 */   GIM_Try, /*On fail goto*//*Label 10322*/ GIMT_Encode4(645332), // Rule ID 6839 //
     /*  645262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  645273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  645276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  645279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645308 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  645308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  645311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645330 */     GIR_RootConstrainSelectedInstOperands,
     /*  645331 */     // GIR_Coverage, 6839,
     /*  645331 */     GIR_EraseRootFromParent_Done,
     /*  645332 */   // Label 10322: @645332
     /*  645332 */   GIM_Try, /*On fail goto*//*Label 10323*/ GIMT_Encode4(645407), // Rule ID 6840 //
     /*  645337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  645348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  645351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  645354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645383 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  645383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  645386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645405 */     GIR_RootConstrainSelectedInstOperands,
     /*  645406 */     // GIR_Coverage, 6840,
     /*  645406 */     GIR_EraseRootFromParent_Done,
     /*  645407 */   // Label 10323: @645407
     /*  645407 */   GIM_Try, /*On fail goto*//*Label 10324*/ GIMT_Encode4(645482), // Rule ID 6843 //
     /*  645412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  645415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  645423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  645426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  645429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645458 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  645458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  645461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645480 */     GIR_RootConstrainSelectedInstOperands,
     /*  645481 */     // GIR_Coverage, 6843,
     /*  645481 */     GIR_EraseRootFromParent_Done,
     /*  645482 */   // Label 10324: @645482
     /*  645482 */   GIM_Try, /*On fail goto*//*Label 10325*/ GIMT_Encode4(645557), // Rule ID 6844 //
     /*  645487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  645490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  645498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  645501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  645504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645533 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11480:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  645533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  645536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645555 */     GIR_RootConstrainSelectedInstOperands,
     /*  645556 */     // GIR_Coverage, 6844,
     /*  645556 */     GIR_EraseRootFromParent_Done,
     /*  645557 */   // Label 10325: @645557
     /*  645557 */   GIM_Try, /*On fail goto*//*Label 10326*/ GIMT_Encode4(645632), // Rule ID 6847 //
     /*  645562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  645565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  645573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  645576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  645579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645608 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  645608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  645611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645630 */     GIR_RootConstrainSelectedInstOperands,
     /*  645631 */     // GIR_Coverage, 6847,
     /*  645631 */     GIR_EraseRootFromParent_Done,
     /*  645632 */   // Label 10326: @645632
     /*  645632 */   GIM_Try, /*On fail goto*//*Label 10327*/ GIMT_Encode4(645707), // Rule ID 6848 //
     /*  645637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  645640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  645648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  645651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  645654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645683 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11480:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  645683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  645686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645705 */     GIR_RootConstrainSelectedInstOperands,
     /*  645706 */     // GIR_Coverage, 6848,
     /*  645706 */     GIR_EraseRootFromParent_Done,
     /*  645707 */   // Label 10327: @645707
     /*  645707 */   GIM_Try, /*On fail goto*//*Label 10328*/ GIMT_Encode4(645782), // Rule ID 6851 //
     /*  645712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  645715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  645723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  645726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  645729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645758 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  645758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  645761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645780 */     GIR_RootConstrainSelectedInstOperands,
     /*  645781 */     // GIR_Coverage, 6851,
     /*  645781 */     GIR_EraseRootFromParent_Done,
     /*  645782 */   // Label 10328: @645782
     /*  645782 */   GIM_Try, /*On fail goto*//*Label 10329*/ GIMT_Encode4(645857), // Rule ID 6852 //
     /*  645787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  645790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  645798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  645801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  645804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645833 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11480:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  645833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  645836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645855 */     GIR_RootConstrainSelectedInstOperands,
     /*  645856 */     // GIR_Coverage, 6852,
     /*  645856 */     GIR_EraseRootFromParent_Done,
     /*  645857 */   // Label 10329: @645857
     /*  645857 */   GIM_Try, /*On fail goto*//*Label 10330*/ GIMT_Encode4(645932), // Rule ID 6943 //
     /*  645862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  645870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  645873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  645876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  645879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  645882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645908 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  645911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645930 */     GIR_RootConstrainSelectedInstOperands,
     /*  645931 */     // GIR_Coverage, 6943,
     /*  645931 */     GIR_EraseRootFromParent_Done,
     /*  645932 */   // Label 10330: @645932
     /*  645932 */   GIM_Try, /*On fail goto*//*Label 10331*/ GIMT_Encode4(646007), // Rule ID 6944 //
     /*  645937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  645945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  645948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  645951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  645954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  645957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645983 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  645986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646005 */     GIR_RootConstrainSelectedInstOperands,
     /*  646006 */     // GIR_Coverage, 6944,
     /*  646006 */     GIR_EraseRootFromParent_Done,
     /*  646007 */   // Label 10331: @646007
     /*  646007 */   GIM_Try, /*On fail goto*//*Label 10332*/ GIMT_Encode4(646082), // Rule ID 6947 //
     /*  646012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  646023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  646026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  646029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  646032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646058 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  646061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646080 */     GIR_RootConstrainSelectedInstOperands,
     /*  646081 */     // GIR_Coverage, 6947,
     /*  646081 */     GIR_EraseRootFromParent_Done,
     /*  646082 */   // Label 10332: @646082
     /*  646082 */   GIM_Try, /*On fail goto*//*Label 10333*/ GIMT_Encode4(646157), // Rule ID 6948 //
     /*  646087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  646098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  646101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  646104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  646107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646133 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  646136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646155 */     GIR_RootConstrainSelectedInstOperands,
     /*  646156 */     // GIR_Coverage, 6948,
     /*  646156 */     GIR_EraseRootFromParent_Done,
     /*  646157 */   // Label 10333: @646157
     /*  646157 */   GIM_Try, /*On fail goto*//*Label 10334*/ GIMT_Encode4(646232), // Rule ID 6951 //
     /*  646162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  646173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  646176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  646179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  646182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646208 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  646211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646230 */     GIR_RootConstrainSelectedInstOperands,
     /*  646231 */     // GIR_Coverage, 6951,
     /*  646231 */     GIR_EraseRootFromParent_Done,
     /*  646232 */   // Label 10334: @646232
     /*  646232 */   GIM_Try, /*On fail goto*//*Label 10335*/ GIMT_Encode4(646307), // Rule ID 6952 //
     /*  646237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  646248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  646251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  646254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  646257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646283 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  646286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646305 */     GIR_RootConstrainSelectedInstOperands,
     /*  646306 */     // GIR_Coverage, 6952,
     /*  646306 */     GIR_EraseRootFromParent_Done,
     /*  646307 */   // Label 10335: @646307
     /*  646307 */   GIM_Try, /*On fail goto*//*Label 10336*/ GIMT_Encode4(646382), // Rule ID 6955 //
     /*  646312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  646323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  646326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  646329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  646332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646358 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  646361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646380 */     GIR_RootConstrainSelectedInstOperands,
     /*  646381 */     // GIR_Coverage, 6955,
     /*  646381 */     GIR_EraseRootFromParent_Done,
     /*  646382 */   // Label 10336: @646382
     /*  646382 */   GIM_Try, /*On fail goto*//*Label 10337*/ GIMT_Encode4(646457), // Rule ID 6956 //
     /*  646387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  646398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  646401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  646404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  646407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646433 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  646436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646455 */     GIR_RootConstrainSelectedInstOperands,
     /*  646456 */     // GIR_Coverage, 6956,
     /*  646456 */     GIR_EraseRootFromParent_Done,
     /*  646457 */   // Label 10337: @646457
     /*  646457 */   GIM_Try, /*On fail goto*//*Label 10338*/ GIMT_Encode4(646532), // Rule ID 6959 //
     /*  646462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  646473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  646476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  646479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  646482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646508 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  646511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646530 */     GIR_RootConstrainSelectedInstOperands,
     /*  646531 */     // GIR_Coverage, 6959,
     /*  646531 */     GIR_EraseRootFromParent_Done,
     /*  646532 */   // Label 10338: @646532
     /*  646532 */   GIM_Try, /*On fail goto*//*Label 10339*/ GIMT_Encode4(646607), // Rule ID 6960 //
     /*  646537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  646548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  646551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  646554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  646557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646583 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  646586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646605 */     GIR_RootConstrainSelectedInstOperands,
     /*  646606 */     // GIR_Coverage, 6960,
     /*  646606 */     GIR_EraseRootFromParent_Done,
     /*  646607 */   // Label 10339: @646607
     /*  646607 */   GIM_Try, /*On fail goto*//*Label 10340*/ GIMT_Encode4(646682), // Rule ID 6963 //
     /*  646612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  646623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  646626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  646629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  646632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  646661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646680 */     GIR_RootConstrainSelectedInstOperands,
     /*  646681 */     // GIR_Coverage, 6963,
     /*  646681 */     GIR_EraseRootFromParent_Done,
     /*  646682 */   // Label 10340: @646682
     /*  646682 */   GIM_Try, /*On fail goto*//*Label 10341*/ GIMT_Encode4(646757), // Rule ID 6964 //
     /*  646687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  646698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  646701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  646704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  646707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646733 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  646736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646755 */     GIR_RootConstrainSelectedInstOperands,
     /*  646756 */     // GIR_Coverage, 6964,
     /*  646756 */     GIR_EraseRootFromParent_Done,
     /*  646757 */   // Label 10341: @646757
     /*  646757 */   GIM_Try, /*On fail goto*//*Label 10342*/ GIMT_Encode4(646832), // Rule ID 6967 //
     /*  646762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  646773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  646776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  646779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  646782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646808 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  646811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646830 */     GIR_RootConstrainSelectedInstOperands,
     /*  646831 */     // GIR_Coverage, 6967,
     /*  646831 */     GIR_EraseRootFromParent_Done,
     /*  646832 */   // Label 10342: @646832
     /*  646832 */   GIM_Try, /*On fail goto*//*Label 10343*/ GIMT_Encode4(646907), // Rule ID 6968 //
     /*  646837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  646848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  646851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  646854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  646857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646883 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  646886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646905 */     GIR_RootConstrainSelectedInstOperands,
     /*  646906 */     // GIR_Coverage, 6968,
     /*  646906 */     GIR_EraseRootFromParent_Done,
     /*  646907 */   // Label 10343: @646907
     /*  646907 */   GIM_Try, /*On fail goto*//*Label 10344*/ GIMT_Encode4(646982), // Rule ID 6971 //
     /*  646912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  646923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  646926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  646929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  646932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646958 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  646961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646980 */     GIR_RootConstrainSelectedInstOperands,
     /*  646981 */     // GIR_Coverage, 6971,
     /*  646981 */     GIR_EraseRootFromParent_Done,
     /*  646982 */   // Label 10344: @646982
     /*  646982 */   GIM_Try, /*On fail goto*//*Label 10345*/ GIMT_Encode4(647057), // Rule ID 6972 //
     /*  646987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  646998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  647001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  647004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  647007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647033 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  647036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647055 */     GIR_RootConstrainSelectedInstOperands,
     /*  647056 */     // GIR_Coverage, 6972,
     /*  647056 */     GIR_EraseRootFromParent_Done,
     /*  647057 */   // Label 10345: @647057
     /*  647057 */   GIM_Try, /*On fail goto*//*Label 10346*/ GIMT_Encode4(647132), // Rule ID 6975 //
     /*  647062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  647073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  647076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  647079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  647082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  647108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  647111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647130 */     GIR_RootConstrainSelectedInstOperands,
     /*  647131 */     // GIR_Coverage, 6975,
     /*  647131 */     GIR_EraseRootFromParent_Done,
     /*  647132 */   // Label 10346: @647132
     /*  647132 */   GIM_Try, /*On fail goto*//*Label 10347*/ GIMT_Encode4(647207), // Rule ID 6976 //
     /*  647137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  647148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  647151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  647154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  647157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  647186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647205 */     GIR_RootConstrainSelectedInstOperands,
     /*  647206 */     // GIR_Coverage, 6976,
     /*  647206 */     GIR_EraseRootFromParent_Done,
     /*  647207 */   // Label 10347: @647207
     /*  647207 */   GIM_Try, /*On fail goto*//*Label 10348*/ GIMT_Encode4(647282), // Rule ID 6979 //
     /*  647212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  647215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  647223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  647226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  647229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  647232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647258 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  647258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  647261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647280 */     GIR_RootConstrainSelectedInstOperands,
     /*  647281 */     // GIR_Coverage, 6979,
     /*  647281 */     GIR_EraseRootFromParent_Done,
     /*  647282 */   // Label 10348: @647282
     /*  647282 */   GIM_Try, /*On fail goto*//*Label 10349*/ GIMT_Encode4(647357), // Rule ID 6980 //
     /*  647287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  647290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  647298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  647301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  647304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  647307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647333 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  647333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  647336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647355 */     GIR_RootConstrainSelectedInstOperands,
     /*  647356 */     // GIR_Coverage, 6980,
     /*  647356 */     GIR_EraseRootFromParent_Done,
     /*  647357 */   // Label 10349: @647357
     /*  647357 */   GIM_Try, /*On fail goto*//*Label 10350*/ GIMT_Encode4(647432), // Rule ID 6983 //
     /*  647362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  647373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  647376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  647379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  647382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647408 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  647411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647430 */     GIR_RootConstrainSelectedInstOperands,
     /*  647431 */     // GIR_Coverage, 6983,
     /*  647431 */     GIR_EraseRootFromParent_Done,
     /*  647432 */   // Label 10350: @647432
     /*  647432 */   GIM_Try, /*On fail goto*//*Label 10351*/ GIMT_Encode4(647507), // Rule ID 6984 //
     /*  647437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  647448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  647451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  647454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  647457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647483 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  647486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647505 */     GIR_RootConstrainSelectedInstOperands,
     /*  647506 */     // GIR_Coverage, 6984,
     /*  647506 */     GIR_EraseRootFromParent_Done,
     /*  647507 */   // Label 10351: @647507
     /*  647507 */   GIM_Try, /*On fail goto*//*Label 10352*/ GIMT_Encode4(647582), // Rule ID 6987 //
     /*  647512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  647523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  647526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  647529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  647532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647558 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  647561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647580 */     GIR_RootConstrainSelectedInstOperands,
     /*  647581 */     // GIR_Coverage, 6987,
     /*  647581 */     GIR_EraseRootFromParent_Done,
     /*  647582 */   // Label 10352: @647582
     /*  647582 */   GIM_Try, /*On fail goto*//*Label 10353*/ GIMT_Encode4(647657), // Rule ID 6988 //
     /*  647587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  647598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  647601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  647604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  647607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647633 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  647636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647655 */     GIR_RootConstrainSelectedInstOperands,
     /*  647656 */     // GIR_Coverage, 6988,
     /*  647656 */     GIR_EraseRootFromParent_Done,
     /*  647657 */   // Label 10353: @647657
     /*  647657 */   GIM_Try, /*On fail goto*//*Label 10354*/ GIMT_Encode4(647732), // Rule ID 6991 //
     /*  647662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  647673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  647676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  647679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  647682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647708 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  647711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647730 */     GIR_RootConstrainSelectedInstOperands,
     /*  647731 */     // GIR_Coverage, 6991,
     /*  647731 */     GIR_EraseRootFromParent_Done,
     /*  647732 */   // Label 10354: @647732
     /*  647732 */   GIM_Try, /*On fail goto*//*Label 10355*/ GIMT_Encode4(647807), // Rule ID 6992 //
     /*  647737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  647748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  647751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  647754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  647757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647783 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  647786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647805 */     GIR_RootConstrainSelectedInstOperands,
     /*  647806 */     // GIR_Coverage, 6992,
     /*  647806 */     GIR_EraseRootFromParent_Done,
     /*  647807 */   // Label 10355: @647807
     /*  647807 */   GIM_Try, /*On fail goto*//*Label 10356*/ GIMT_Encode4(647882), // Rule ID 6995 //
     /*  647812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  647823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  647826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  647829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  647832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647858 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  647861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647880 */     GIR_RootConstrainSelectedInstOperands,
     /*  647881 */     // GIR_Coverage, 6995,
     /*  647881 */     GIR_EraseRootFromParent_Done,
     /*  647882 */   // Label 10356: @647882
     /*  647882 */   GIM_Try, /*On fail goto*//*Label 10357*/ GIMT_Encode4(647957), // Rule ID 6996 //
     /*  647887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  647898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  647901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  647904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  647907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647933 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  647936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647955 */     GIR_RootConstrainSelectedInstOperands,
     /*  647956 */     // GIR_Coverage, 6996,
     /*  647956 */     GIR_EraseRootFromParent_Done,
     /*  647957 */   // Label 10357: @647957
     /*  647957 */   GIM_Try, /*On fail goto*//*Label 10358*/ GIMT_Encode4(648032), // Rule ID 6999 //
     /*  647962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  647973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  647976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  647979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  647982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648008 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  648008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  648011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648030 */     GIR_RootConstrainSelectedInstOperands,
     /*  648031 */     // GIR_Coverage, 6999,
     /*  648031 */     GIR_EraseRootFromParent_Done,
     /*  648032 */   // Label 10358: @648032
     /*  648032 */   GIM_Try, /*On fail goto*//*Label 10359*/ GIMT_Encode4(648107), // Rule ID 7000 //
     /*  648037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  648048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  648051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  648054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  648057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  648083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  648086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648105 */     GIR_RootConstrainSelectedInstOperands,
     /*  648106 */     // GIR_Coverage, 7000,
     /*  648106 */     GIR_EraseRootFromParent_Done,
     /*  648107 */   // Label 10359: @648107
     /*  648107 */   GIM_Try, /*On fail goto*//*Label 10360*/ GIMT_Encode4(648182), // Rule ID 7003 //
     /*  648112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  648123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  648126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  648129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  648132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648158 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  648158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  648161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648180 */     GIR_RootConstrainSelectedInstOperands,
     /*  648181 */     // GIR_Coverage, 7003,
     /*  648181 */     GIR_EraseRootFromParent_Done,
     /*  648182 */   // Label 10360: @648182
     /*  648182 */   GIM_Try, /*On fail goto*//*Label 10361*/ GIMT_Encode4(648257), // Rule ID 7004 //
     /*  648187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  648198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  648201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  648204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  648207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648233 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  648233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  648236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648255 */     GIR_RootConstrainSelectedInstOperands,
     /*  648256 */     // GIR_Coverage, 7004,
     /*  648256 */     GIR_EraseRootFromParent_Done,
     /*  648257 */   // Label 10361: @648257
     /*  648257 */   GIM_Try, /*On fail goto*//*Label 10362*/ GIMT_Encode4(648332), // Rule ID 7007 //
     /*  648262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  648273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  648276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  648279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  648282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648308 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  648308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  648311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648330 */     GIR_RootConstrainSelectedInstOperands,
     /*  648331 */     // GIR_Coverage, 7007,
     /*  648331 */     GIR_EraseRootFromParent_Done,
     /*  648332 */   // Label 10362: @648332
     /*  648332 */   GIM_Try, /*On fail goto*//*Label 10363*/ GIMT_Encode4(648407), // Rule ID 7008 //
     /*  648337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  648348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  648351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  648354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  648357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648383 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  648383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  648386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648405 */     GIR_RootConstrainSelectedInstOperands,
     /*  648406 */     // GIR_Coverage, 7008,
     /*  648406 */     GIR_EraseRootFromParent_Done,
     /*  648407 */   // Label 10363: @648407
     /*  648407 */   GIM_Try, /*On fail goto*//*Label 10364*/ GIMT_Encode4(648482), // Rule ID 7011 //
     /*  648412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  648423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  648426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  648429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  648432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648458 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  648458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  648461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648480 */     GIR_RootConstrainSelectedInstOperands,
     /*  648481 */     // GIR_Coverage, 7011,
     /*  648481 */     GIR_EraseRootFromParent_Done,
     /*  648482 */   // Label 10364: @648482
     /*  648482 */   GIM_Try, /*On fail goto*//*Label 10365*/ GIMT_Encode4(648557), // Rule ID 7012 //
     /*  648487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  648498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  648501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  648504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  648507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648533 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  648533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  648536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648555 */     GIR_RootConstrainSelectedInstOperands,
     /*  648556 */     // GIR_Coverage, 7012,
     /*  648556 */     GIR_EraseRootFromParent_Done,
     /*  648557 */   // Label 10365: @648557
     /*  648557 */   GIM_Try, /*On fail goto*//*Label 10366*/ GIMT_Encode4(648632), // Rule ID 7015 //
     /*  648562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  648573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  648576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  648579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  648582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648608 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  648608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  648611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648630 */     GIR_RootConstrainSelectedInstOperands,
     /*  648631 */     // GIR_Coverage, 7015,
     /*  648631 */     GIR_EraseRootFromParent_Done,
     /*  648632 */   // Label 10366: @648632
     /*  648632 */   GIM_Try, /*On fail goto*//*Label 10367*/ GIMT_Encode4(648707), // Rule ID 7016 //
     /*  648637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  648648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  648651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  648654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  648657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648683 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  648683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  648686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648705 */     GIR_RootConstrainSelectedInstOperands,
     /*  648706 */     // GIR_Coverage, 7016,
     /*  648706 */     GIR_EraseRootFromParent_Done,
     /*  648707 */   // Label 10367: @648707
     /*  648707 */   GIM_Try, /*On fail goto*//*Label 10368*/ GIMT_Encode4(648782), // Rule ID 7019 //
     /*  648712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  648715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  648723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  648726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  648729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  648732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648758 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  648758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  648761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648780 */     GIR_RootConstrainSelectedInstOperands,
     /*  648781 */     // GIR_Coverage, 7019,
     /*  648781 */     GIR_EraseRootFromParent_Done,
     /*  648782 */   // Label 10368: @648782
     /*  648782 */   GIM_Try, /*On fail goto*//*Label 10369*/ GIMT_Encode4(648857), // Rule ID 7020 //
     /*  648787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  648790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  648798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  648801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  648804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  648807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648833 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  648836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648855 */     GIR_RootConstrainSelectedInstOperands,
     /*  648856 */     // GIR_Coverage, 7020,
     /*  648856 */     GIR_EraseRootFromParent_Done,
     /*  648857 */   // Label 10369: @648857
     /*  648857 */   GIM_Try, /*On fail goto*//*Label 10370*/ GIMT_Encode4(648932), // Rule ID 7023 //
     /*  648862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  648865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  648873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  648876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  648879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  648882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648908 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  648908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  648911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648930 */     GIR_RootConstrainSelectedInstOperands,
     /*  648931 */     // GIR_Coverage, 7023,
     /*  648931 */     GIR_EraseRootFromParent_Done,
     /*  648932 */   // Label 10370: @648932
     /*  648932 */   GIM_Try, /*On fail goto*//*Label 10371*/ GIMT_Encode4(649007), // Rule ID 7024 //
     /*  648937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  648940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  648945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  648948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  648951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  648954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  648957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648983 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  648986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  649002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649005 */     GIR_RootConstrainSelectedInstOperands,
     /*  649006 */     // GIR_Coverage, 7024,
     /*  649006 */     GIR_EraseRootFromParent_Done,
     /*  649007 */   // Label 10371: @649007
     /*  649007 */   GIM_Try, /*On fail goto*//*Label 10372*/ GIMT_Encode4(649082), // Rule ID 7027 //
     /*  649012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  649015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  649023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  649026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  649029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  649032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649058 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  649058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  649061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  649077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649080 */     GIR_RootConstrainSelectedInstOperands,
     /*  649081 */     // GIR_Coverage, 7027,
     /*  649081 */     GIR_EraseRootFromParent_Done,
     /*  649082 */   // Label 10372: @649082
     /*  649082 */   GIM_Try, /*On fail goto*//*Label 10373*/ GIMT_Encode4(649157), // Rule ID 7028 //
     /*  649087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  649090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  649098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  649101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  649104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  649107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649133 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  649133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  649136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  649152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649155 */     GIR_RootConstrainSelectedInstOperands,
     /*  649156 */     // GIR_Coverage, 7028,
     /*  649156 */     GIR_EraseRootFromParent_Done,
     /*  649157 */   // Label 10373: @649157
     /*  649157 */   GIM_Try, /*On fail goto*//*Label 10374*/ GIMT_Encode4(649232), // Rule ID 7031 //
     /*  649162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  649173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  649176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  649179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649208 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  649211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649230 */     GIR_RootConstrainSelectedInstOperands,
     /*  649231 */     // GIR_Coverage, 7031,
     /*  649231 */     GIR_EraseRootFromParent_Done,
     /*  649232 */   // Label 10374: @649232
     /*  649232 */   GIM_Try, /*On fail goto*//*Label 10375*/ GIMT_Encode4(649307), // Rule ID 7032 //
     /*  649237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  649248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  649251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  649254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649283 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  649286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649305 */     GIR_RootConstrainSelectedInstOperands,
     /*  649306 */     // GIR_Coverage, 7032,
     /*  649306 */     GIR_EraseRootFromParent_Done,
     /*  649307 */   // Label 10375: @649307
     /*  649307 */   GIM_Try, /*On fail goto*//*Label 10376*/ GIMT_Encode4(649382), // Rule ID 7035 //
     /*  649312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  649323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  649326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  649329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649358 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  649361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649380 */     GIR_RootConstrainSelectedInstOperands,
     /*  649381 */     // GIR_Coverage, 7035,
     /*  649381 */     GIR_EraseRootFromParent_Done,
     /*  649382 */   // Label 10376: @649382
     /*  649382 */   GIM_Try, /*On fail goto*//*Label 10377*/ GIMT_Encode4(649457), // Rule ID 7036 //
     /*  649387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  649398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  649401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  649404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649433 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  649436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649455 */     GIR_RootConstrainSelectedInstOperands,
     /*  649456 */     // GIR_Coverage, 7036,
     /*  649456 */     GIR_EraseRootFromParent_Done,
     /*  649457 */   // Label 10377: @649457
     /*  649457 */   GIM_Try, /*On fail goto*//*Label 10378*/ GIMT_Encode4(649532), // Rule ID 7039 //
     /*  649462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  649473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  649476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  649479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649508 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  649511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649530 */     GIR_RootConstrainSelectedInstOperands,
     /*  649531 */     // GIR_Coverage, 7039,
     /*  649531 */     GIR_EraseRootFromParent_Done,
     /*  649532 */   // Label 10378: @649532
     /*  649532 */   GIM_Try, /*On fail goto*//*Label 10379*/ GIMT_Encode4(649607), // Rule ID 7040 //
     /*  649537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  649548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  649551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  649554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649583 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  649586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649605 */     GIR_RootConstrainSelectedInstOperands,
     /*  649606 */     // GIR_Coverage, 7040,
     /*  649606 */     GIR_EraseRootFromParent_Done,
     /*  649607 */   // Label 10379: @649607
     /*  649607 */   GIM_Try, /*On fail goto*//*Label 10380*/ GIMT_Encode4(649682), // Rule ID 7043 //
     /*  649612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  649623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  649626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  649629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  649661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649680 */     GIR_RootConstrainSelectedInstOperands,
     /*  649681 */     // GIR_Coverage, 7043,
     /*  649681 */     GIR_EraseRootFromParent_Done,
     /*  649682 */   // Label 10380: @649682
     /*  649682 */   GIM_Try, /*On fail goto*//*Label 10381*/ GIMT_Encode4(649757), // Rule ID 7044 //
     /*  649687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  649698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  649701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  649704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649733 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  649736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649755 */     GIR_RootConstrainSelectedInstOperands,
     /*  649756 */     // GIR_Coverage, 7044,
     /*  649756 */     GIR_EraseRootFromParent_Done,
     /*  649757 */   // Label 10381: @649757
     /*  649757 */   GIM_Try, /*On fail goto*//*Label 10382*/ GIMT_Encode4(649832), // Rule ID 7047 //
     /*  649762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  649773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  649776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  649779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649808 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  649811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649830 */     GIR_RootConstrainSelectedInstOperands,
     /*  649831 */     // GIR_Coverage, 7047,
     /*  649831 */     GIR_EraseRootFromParent_Done,
     /*  649832 */   // Label 10382: @649832
     /*  649832 */   GIM_Try, /*On fail goto*//*Label 10383*/ GIMT_Encode4(649907), // Rule ID 7048 //
     /*  649837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  649848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  649851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  649854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649883 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  649886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649905 */     GIR_RootConstrainSelectedInstOperands,
     /*  649906 */     // GIR_Coverage, 7048,
     /*  649906 */     GIR_EraseRootFromParent_Done,
     /*  649907 */   // Label 10383: @649907
     /*  649907 */   GIM_Try, /*On fail goto*//*Label 10384*/ GIMT_Encode4(649982), // Rule ID 7051 //
     /*  649912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  649923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  649926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  649929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649958 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  649961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649980 */     GIR_RootConstrainSelectedInstOperands,
     /*  649981 */     // GIR_Coverage, 7051,
     /*  649981 */     GIR_EraseRootFromParent_Done,
     /*  649982 */   // Label 10384: @649982
     /*  649982 */   GIM_Try, /*On fail goto*//*Label 10385*/ GIMT_Encode4(650057), // Rule ID 7052 //
     /*  649987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  649995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  649998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  650001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  650004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650033 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  650033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  650036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650055 */     GIR_RootConstrainSelectedInstOperands,
     /*  650056 */     // GIR_Coverage, 7052,
     /*  650056 */     GIR_EraseRootFromParent_Done,
     /*  650057 */   // Label 10385: @650057
     /*  650057 */   GIM_Try, /*On fail goto*//*Label 10386*/ GIMT_Encode4(650132), // Rule ID 7055 //
     /*  650062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  650073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  650076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  650079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  650111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650130 */     GIR_RootConstrainSelectedInstOperands,
     /*  650131 */     // GIR_Coverage, 7055,
     /*  650131 */     GIR_EraseRootFromParent_Done,
     /*  650132 */   // Label 10386: @650132
     /*  650132 */   GIM_Try, /*On fail goto*//*Label 10387*/ GIMT_Encode4(650207), // Rule ID 7056 //
     /*  650137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  650148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  650151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  650154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650183 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  650186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650205 */     GIR_RootConstrainSelectedInstOperands,
     /*  650206 */     // GIR_Coverage, 7056,
     /*  650206 */     GIR_EraseRootFromParent_Done,
     /*  650207 */   // Label 10387: @650207
     /*  650207 */   GIM_Try, /*On fail goto*//*Label 10388*/ GIMT_Encode4(650282), // Rule ID 7059 //
     /*  650212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  650223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  650226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  650229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650258 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  650258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  650261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650280 */     GIR_RootConstrainSelectedInstOperands,
     /*  650281 */     // GIR_Coverage, 7059,
     /*  650281 */     GIR_EraseRootFromParent_Done,
     /*  650282 */   // Label 10388: @650282
     /*  650282 */   GIM_Try, /*On fail goto*//*Label 10389*/ GIMT_Encode4(650357), // Rule ID 7060 //
     /*  650287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  650298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  650301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  650304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  650333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  650336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650355 */     GIR_RootConstrainSelectedInstOperands,
     /*  650356 */     // GIR_Coverage, 7060,
     /*  650356 */     GIR_EraseRootFromParent_Done,
     /*  650357 */   // Label 10389: @650357
     /*  650357 */   GIM_Try, /*On fail goto*//*Label 10390*/ GIMT_Encode4(650432), // Rule ID 7063 //
     /*  650362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  650373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  650376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  650379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650408 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  650408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  650411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650430 */     GIR_RootConstrainSelectedInstOperands,
     /*  650431 */     // GIR_Coverage, 7063,
     /*  650431 */     GIR_EraseRootFromParent_Done,
     /*  650432 */   // Label 10390: @650432
     /*  650432 */   GIM_Try, /*On fail goto*//*Label 10391*/ GIMT_Encode4(650507), // Rule ID 7064 //
     /*  650437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  650448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  650451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  650454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650483 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  650483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  650486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650505 */     GIR_RootConstrainSelectedInstOperands,
     /*  650506 */     // GIR_Coverage, 7064,
     /*  650506 */     GIR_EraseRootFromParent_Done,
     /*  650507 */   // Label 10391: @650507
     /*  650507 */   GIM_Try, /*On fail goto*//*Label 10392*/ GIMT_Encode4(650582), // Rule ID 7067 //
     /*  650512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  650515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  650523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  650526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  650529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650558 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  650558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  650561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650580 */     GIR_RootConstrainSelectedInstOperands,
     /*  650581 */     // GIR_Coverage, 7067,
     /*  650581 */     GIR_EraseRootFromParent_Done,
     /*  650582 */   // Label 10392: @650582
     /*  650582 */   GIM_Try, /*On fail goto*//*Label 10393*/ GIMT_Encode4(650657), // Rule ID 7068 //
     /*  650587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  650590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  650598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  650601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  650604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650633 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  650633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  650636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650655 */     GIR_RootConstrainSelectedInstOperands,
     /*  650656 */     // GIR_Coverage, 7068,
     /*  650656 */     GIR_EraseRootFromParent_Done,
     /*  650657 */   // Label 10393: @650657
     /*  650657 */   GIM_Try, /*On fail goto*//*Label 10394*/ GIMT_Encode4(650732), // Rule ID 7071 //
     /*  650662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  650673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  650676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  650679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650708 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  650711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650730 */     GIR_RootConstrainSelectedInstOperands,
     /*  650731 */     // GIR_Coverage, 7071,
     /*  650731 */     GIR_EraseRootFromParent_Done,
     /*  650732 */   // Label 10394: @650732
     /*  650732 */   GIM_Try, /*On fail goto*//*Label 10395*/ GIMT_Encode4(650807), // Rule ID 7072 //
     /*  650737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  650748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  650751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  650754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650783 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  650786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650805 */     GIR_RootConstrainSelectedInstOperands,
     /*  650806 */     // GIR_Coverage, 7072,
     /*  650806 */     GIR_EraseRootFromParent_Done,
     /*  650807 */   // Label 10395: @650807
     /*  650807 */   GIM_Try, /*On fail goto*//*Label 10396*/ GIMT_Encode4(650882), // Rule ID 7075 //
     /*  650812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  650823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  650826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  650829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650858 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  650861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650880 */     GIR_RootConstrainSelectedInstOperands,
     /*  650881 */     // GIR_Coverage, 7075,
     /*  650881 */     GIR_EraseRootFromParent_Done,
     /*  650882 */   // Label 10396: @650882
     /*  650882 */   GIM_Try, /*On fail goto*//*Label 10397*/ GIMT_Encode4(650957), // Rule ID 7076 //
     /*  650887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  650898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  650901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  650904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650933 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  650936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650955 */     GIR_RootConstrainSelectedInstOperands,
     /*  650956 */     // GIR_Coverage, 7076,
     /*  650956 */     GIR_EraseRootFromParent_Done,
     /*  650957 */   // Label 10397: @650957
     /*  650957 */   GIM_Try, /*On fail goto*//*Label 10398*/ GIMT_Encode4(651032), // Rule ID 7079 //
     /*  650962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  650970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  650973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  650976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  650979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651008 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  651011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651030 */     GIR_RootConstrainSelectedInstOperands,
     /*  651031 */     // GIR_Coverage, 7079,
     /*  651031 */     GIR_EraseRootFromParent_Done,
     /*  651032 */   // Label 10398: @651032
     /*  651032 */   GIM_Try, /*On fail goto*//*Label 10399*/ GIMT_Encode4(651107), // Rule ID 7080 //
     /*  651037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  651048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  651051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  651054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651083 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  651086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651105 */     GIR_RootConstrainSelectedInstOperands,
     /*  651106 */     // GIR_Coverage, 7080,
     /*  651106 */     GIR_EraseRootFromParent_Done,
     /*  651107 */   // Label 10399: @651107
     /*  651107 */   GIM_Try, /*On fail goto*//*Label 10400*/ GIMT_Encode4(651182), // Rule ID 7083 //
     /*  651112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  651123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  651126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  651129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651158 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  651161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651180 */     GIR_RootConstrainSelectedInstOperands,
     /*  651181 */     // GIR_Coverage, 7083,
     /*  651181 */     GIR_EraseRootFromParent_Done,
     /*  651182 */   // Label 10400: @651182
     /*  651182 */   GIM_Try, /*On fail goto*//*Label 10401*/ GIMT_Encode4(651257), // Rule ID 7084 //
     /*  651187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  651198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  651201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  651204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651233 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  651236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651255 */     GIR_RootConstrainSelectedInstOperands,
     /*  651256 */     // GIR_Coverage, 7084,
     /*  651256 */     GIR_EraseRootFromParent_Done,
     /*  651257 */   // Label 10401: @651257
     /*  651257 */   GIM_Try, /*On fail goto*//*Label 10402*/ GIMT_Encode4(651332), // Rule ID 7087 //
     /*  651262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  651273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  651276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  651279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651308 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  651311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651330 */     GIR_RootConstrainSelectedInstOperands,
     /*  651331 */     // GIR_Coverage, 7087,
     /*  651331 */     GIR_EraseRootFromParent_Done,
     /*  651332 */   // Label 10402: @651332
     /*  651332 */   GIM_Try, /*On fail goto*//*Label 10403*/ GIMT_Encode4(651407), // Rule ID 7088 //
     /*  651337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  651348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  651351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  651354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651383 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  651386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651405 */     GIR_RootConstrainSelectedInstOperands,
     /*  651406 */     // GIR_Coverage, 7088,
     /*  651406 */     GIR_EraseRootFromParent_Done,
     /*  651407 */   // Label 10403: @651407
     /*  651407 */   GIM_Try, /*On fail goto*//*Label 10404*/ GIMT_Encode4(651482), // Rule ID 7091 //
     /*  651412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  651423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  651426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  651429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651458 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  651461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651480 */     GIR_RootConstrainSelectedInstOperands,
     /*  651481 */     // GIR_Coverage, 7091,
     /*  651481 */     GIR_EraseRootFromParent_Done,
     /*  651482 */   // Label 10404: @651482
     /*  651482 */   GIM_Try, /*On fail goto*//*Label 10405*/ GIMT_Encode4(651557), // Rule ID 7092 //
     /*  651487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  651498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  651501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  651504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651533 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  651536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651555 */     GIR_RootConstrainSelectedInstOperands,
     /*  651556 */     // GIR_Coverage, 7092,
     /*  651556 */     GIR_EraseRootFromParent_Done,
     /*  651557 */   // Label 10405: @651557
     /*  651557 */   GIM_Try, /*On fail goto*//*Label 10406*/ GIMT_Encode4(651632), // Rule ID 7095 //
     /*  651562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  651573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  651576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  651579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651608 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  651611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651630 */     GIR_RootConstrainSelectedInstOperands,
     /*  651631 */     // GIR_Coverage, 7095,
     /*  651631 */     GIR_EraseRootFromParent_Done,
     /*  651632 */   // Label 10406: @651632
     /*  651632 */   GIM_Try, /*On fail goto*//*Label 10407*/ GIMT_Encode4(651707), // Rule ID 7096 //
     /*  651637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  651648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  651651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  651654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651683 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  651686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651705 */     GIR_RootConstrainSelectedInstOperands,
     /*  651706 */     // GIR_Coverage, 7096,
     /*  651706 */     GIR_EraseRootFromParent_Done,
     /*  651707 */   // Label 10407: @651707
     /*  651707 */   GIM_Try, /*On fail goto*//*Label 10408*/ GIMT_Encode4(651782), // Rule ID 7099 //
     /*  651712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  651723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  651726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  651729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651758 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  651761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651780 */     GIR_RootConstrainSelectedInstOperands,
     /*  651781 */     // GIR_Coverage, 7099,
     /*  651781 */     GIR_EraseRootFromParent_Done,
     /*  651782 */   // Label 10408: @651782
     /*  651782 */   GIM_Try, /*On fail goto*//*Label 10409*/ GIMT_Encode4(651857), // Rule ID 7100 //
     /*  651787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  651798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  651801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  651804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651833 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  651836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651855 */     GIR_RootConstrainSelectedInstOperands,
     /*  651856 */     // GIR_Coverage, 7100,
     /*  651856 */     GIR_EraseRootFromParent_Done,
     /*  651857 */   // Label 10409: @651857
     /*  651857 */   GIM_Try, /*On fail goto*//*Label 10410*/ GIMT_Encode4(651932), // Rule ID 7103 //
     /*  651862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  651873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  651876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  651879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651908 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  651911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651930 */     GIR_RootConstrainSelectedInstOperands,
     /*  651931 */     // GIR_Coverage, 7103,
     /*  651931 */     GIR_EraseRootFromParent_Done,
     /*  651932 */   // Label 10410: @651932
     /*  651932 */   GIM_Try, /*On fail goto*//*Label 10411*/ GIMT_Encode4(652007), // Rule ID 7104 //
     /*  651937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  651945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  651948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  651951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  651954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651983 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  651986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652005 */     GIR_RootConstrainSelectedInstOperands,
     /*  652006 */     // GIR_Coverage, 7104,
     /*  652006 */     GIR_EraseRootFromParent_Done,
     /*  652007 */   // Label 10411: @652007
     /*  652007 */   GIM_Try, /*On fail goto*//*Label 10412*/ GIMT_Encode4(652082), // Rule ID 7107 //
     /*  652012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  652015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  652023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  652026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  652029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652058 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  652058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  652061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  652077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652080 */     GIR_RootConstrainSelectedInstOperands,
     /*  652081 */     // GIR_Coverage, 7107,
     /*  652081 */     GIR_EraseRootFromParent_Done,
     /*  652082 */   // Label 10412: @652082
     /*  652082 */   GIM_Try, /*On fail goto*//*Label 10413*/ GIMT_Encode4(652157), // Rule ID 7108 //
     /*  652087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  652090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  652098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  652101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  652104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652133 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  652133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  652136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  652152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652155 */     GIR_RootConstrainSelectedInstOperands,
     /*  652156 */     // GIR_Coverage, 7108,
     /*  652156 */     GIR_EraseRootFromParent_Done,
     /*  652157 */   // Label 10413: @652157
     /*  652157 */   GIM_Try, /*On fail goto*//*Label 10414*/ GIMT_Encode4(652232), // Rule ID 7111 //
     /*  652162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  652165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  652173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  652176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  652179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652208 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  652208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  652211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  652227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652230 */     GIR_RootConstrainSelectedInstOperands,
     /*  652231 */     // GIR_Coverage, 7111,
     /*  652231 */     GIR_EraseRootFromParent_Done,
     /*  652232 */   // Label 10414: @652232
     /*  652232 */   GIM_Try, /*On fail goto*//*Label 10415*/ GIMT_Encode4(652307), // Rule ID 7112 //
     /*  652237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  652240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  652248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  652251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  652254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652283 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  652283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  652286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  652302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652305 */     GIR_RootConstrainSelectedInstOperands,
     /*  652306 */     // GIR_Coverage, 7112,
     /*  652306 */     GIR_EraseRootFromParent_Done,
     /*  652307 */   // Label 10415: @652307
     /*  652307 */   GIM_Try, /*On fail goto*//*Label 10416*/ GIMT_Encode4(652382), // Rule ID 7115 //
     /*  652312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  652315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  652323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  652326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  652329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652358 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  652358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  652361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  652377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652380 */     GIR_RootConstrainSelectedInstOperands,
     /*  652381 */     // GIR_Coverage, 7115,
     /*  652381 */     GIR_EraseRootFromParent_Done,
     /*  652382 */   // Label 10416: @652382
     /*  652382 */   GIM_Try, /*On fail goto*//*Label 10417*/ GIMT_Encode4(652457), // Rule ID 7116 //
     /*  652387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  652390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  652398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  652401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  652404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652433 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  652433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  652436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  652452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652455 */     GIR_RootConstrainSelectedInstOperands,
     /*  652456 */     // GIR_Coverage, 7116,
     /*  652456 */     GIR_EraseRootFromParent_Done,
     /*  652457 */   // Label 10417: @652457
     /*  652457 */   GIM_Try, /*On fail goto*//*Label 10418*/ GIMT_Encode4(652532), // Rule ID 7295 //
     /*  652462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  652470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  652473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  652476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  652479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  652482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652508 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  652511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652530 */     GIR_RootConstrainSelectedInstOperands,
     /*  652531 */     // GIR_Coverage, 7295,
     /*  652531 */     GIR_EraseRootFromParent_Done,
     /*  652532 */   // Label 10418: @652532
     /*  652532 */   GIM_Try, /*On fail goto*//*Label 10419*/ GIMT_Encode4(652607), // Rule ID 7296 //
     /*  652537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  652545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  652548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  652551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  652554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  652557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652583 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  652586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652605 */     GIR_RootConstrainSelectedInstOperands,
     /*  652606 */     // GIR_Coverage, 7296,
     /*  652606 */     GIR_EraseRootFromParent_Done,
     /*  652607 */   // Label 10419: @652607
     /*  652607 */   GIM_Try, /*On fail goto*//*Label 10420*/ GIMT_Encode4(652682), // Rule ID 7299 //
     /*  652612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  652620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  652623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  652626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  652629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  652632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652658 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  652661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652680 */     GIR_RootConstrainSelectedInstOperands,
     /*  652681 */     // GIR_Coverage, 7299,
     /*  652681 */     GIR_EraseRootFromParent_Done,
     /*  652682 */   // Label 10420: @652682
     /*  652682 */   GIM_Try, /*On fail goto*//*Label 10421*/ GIMT_Encode4(652757), // Rule ID 7300 //
     /*  652687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  652695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  652698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  652701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  652704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  652707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652733 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  652736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652755 */     GIR_RootConstrainSelectedInstOperands,
     /*  652756 */     // GIR_Coverage, 7300,
     /*  652756 */     GIR_EraseRootFromParent_Done,
     /*  652757 */   // Label 10421: @652757
     /*  652757 */   GIM_Try, /*On fail goto*//*Label 10422*/ GIMT_Encode4(652832), // Rule ID 7303 //
     /*  652762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  652770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  652773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  652776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  652779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  652782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652808 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  652811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652830 */     GIR_RootConstrainSelectedInstOperands,
     /*  652831 */     // GIR_Coverage, 7303,
     /*  652831 */     GIR_EraseRootFromParent_Done,
     /*  652832 */   // Label 10422: @652832
     /*  652832 */   GIM_Try, /*On fail goto*//*Label 10423*/ GIMT_Encode4(652907), // Rule ID 7304 //
     /*  652837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  652845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  652848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  652851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  652854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  652857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652883 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  652886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652905 */     GIR_RootConstrainSelectedInstOperands,
     /*  652906 */     // GIR_Coverage, 7304,
     /*  652906 */     GIR_EraseRootFromParent_Done,
     /*  652907 */   // Label 10423: @652907
     /*  652907 */   GIM_Try, /*On fail goto*//*Label 10424*/ GIMT_Encode4(652982), // Rule ID 7307 //
     /*  652912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  652920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  652923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  652926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  652929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  652932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652958 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  652961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652980 */     GIR_RootConstrainSelectedInstOperands,
     /*  652981 */     // GIR_Coverage, 7307,
     /*  652981 */     GIR_EraseRootFromParent_Done,
     /*  652982 */   // Label 10424: @652982
     /*  652982 */   GIM_Try, /*On fail goto*//*Label 10425*/ GIMT_Encode4(653057), // Rule ID 7308 //
     /*  652987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  652995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  652998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  653001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  653004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  653007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653033 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  653036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653055 */     GIR_RootConstrainSelectedInstOperands,
     /*  653056 */     // GIR_Coverage, 7308,
     /*  653056 */     GIR_EraseRootFromParent_Done,
     /*  653057 */   // Label 10425: @653057
     /*  653057 */   GIM_Try, /*On fail goto*//*Label 10426*/ GIMT_Encode4(653132), // Rule ID 7311 //
     /*  653062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  653073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  653076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  653079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  653082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653108 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  653111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653130 */     GIR_RootConstrainSelectedInstOperands,
     /*  653131 */     // GIR_Coverage, 7311,
     /*  653131 */     GIR_EraseRootFromParent_Done,
     /*  653132 */   // Label 10426: @653132
     /*  653132 */   GIM_Try, /*On fail goto*//*Label 10427*/ GIMT_Encode4(653207), // Rule ID 7312 //
     /*  653137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  653148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  653151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  653154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  653157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653183 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  653186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653205 */     GIR_RootConstrainSelectedInstOperands,
     /*  653206 */     // GIR_Coverage, 7312,
     /*  653206 */     GIR_EraseRootFromParent_Done,
     /*  653207 */   // Label 10427: @653207
     /*  653207 */   GIM_Try, /*On fail goto*//*Label 10428*/ GIMT_Encode4(653282), // Rule ID 7315 //
     /*  653212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  653223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  653226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  653229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  653232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653258 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  653261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653280 */     GIR_RootConstrainSelectedInstOperands,
     /*  653281 */     // GIR_Coverage, 7315,
     /*  653281 */     GIR_EraseRootFromParent_Done,
     /*  653282 */   // Label 10428: @653282
     /*  653282 */   GIM_Try, /*On fail goto*//*Label 10429*/ GIMT_Encode4(653357), // Rule ID 7316 //
     /*  653287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  653298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  653301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  653304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  653307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653333 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  653336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653355 */     GIR_RootConstrainSelectedInstOperands,
     /*  653356 */     // GIR_Coverage, 7316,
     /*  653356 */     GIR_EraseRootFromParent_Done,
     /*  653357 */   // Label 10429: @653357
     /*  653357 */   GIM_Try, /*On fail goto*//*Label 10430*/ GIMT_Encode4(653432), // Rule ID 7319 //
     /*  653362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  653373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  653376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  653379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  653382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653408 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  653411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653430 */     GIR_RootConstrainSelectedInstOperands,
     /*  653431 */     // GIR_Coverage, 7319,
     /*  653431 */     GIR_EraseRootFromParent_Done,
     /*  653432 */   // Label 10430: @653432
     /*  653432 */   GIM_Try, /*On fail goto*//*Label 10431*/ GIMT_Encode4(653507), // Rule ID 7320 //
     /*  653437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  653448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  653451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  653454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  653457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653483 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  653486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653505 */     GIR_RootConstrainSelectedInstOperands,
     /*  653506 */     // GIR_Coverage, 7320,
     /*  653506 */     GIR_EraseRootFromParent_Done,
     /*  653507 */   // Label 10431: @653507
     /*  653507 */   GIM_Try, /*On fail goto*//*Label 10432*/ GIMT_Encode4(653582), // Rule ID 7323 //
     /*  653512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  653523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  653526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  653529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  653532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653558 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  653561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653580 */     GIR_RootConstrainSelectedInstOperands,
     /*  653581 */     // GIR_Coverage, 7323,
     /*  653581 */     GIR_EraseRootFromParent_Done,
     /*  653582 */   // Label 10432: @653582
     /*  653582 */   GIM_Try, /*On fail goto*//*Label 10433*/ GIMT_Encode4(653657), // Rule ID 7324 //
     /*  653587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  653598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  653601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  653604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  653607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653633 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  653636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653655 */     GIR_RootConstrainSelectedInstOperands,
     /*  653656 */     // GIR_Coverage, 7324,
     /*  653656 */     GIR_EraseRootFromParent_Done,
     /*  653657 */   // Label 10433: @653657
     /*  653657 */   GIM_Try, /*On fail goto*//*Label 10434*/ GIMT_Encode4(653732), // Rule ID 7327 //
     /*  653662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  653673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  653676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  653679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  653682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  653711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653730 */     GIR_RootConstrainSelectedInstOperands,
     /*  653731 */     // GIR_Coverage, 7327,
     /*  653731 */     GIR_EraseRootFromParent_Done,
     /*  653732 */   // Label 10434: @653732
     /*  653732 */   GIM_Try, /*On fail goto*//*Label 10435*/ GIMT_Encode4(653807), // Rule ID 7328 //
     /*  653737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  653748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  653751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  653754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  653757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653783 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  653786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653805 */     GIR_RootConstrainSelectedInstOperands,
     /*  653806 */     // GIR_Coverage, 7328,
     /*  653806 */     GIR_EraseRootFromParent_Done,
     /*  653807 */   // Label 10435: @653807
     /*  653807 */   GIM_Try, /*On fail goto*//*Label 10436*/ GIMT_Encode4(653882), // Rule ID 7331 //
     /*  653812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  653823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  653826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  653829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  653832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653858 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  653861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653880 */     GIR_RootConstrainSelectedInstOperands,
     /*  653881 */     // GIR_Coverage, 7331,
     /*  653881 */     GIR_EraseRootFromParent_Done,
     /*  653882 */   // Label 10436: @653882
     /*  653882 */   GIM_Try, /*On fail goto*//*Label 10437*/ GIMT_Encode4(653957), // Rule ID 7332 //
     /*  653887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  653898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  653901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  653904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  653907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653933 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  653936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653955 */     GIR_RootConstrainSelectedInstOperands,
     /*  653956 */     // GIR_Coverage, 7332,
     /*  653956 */     GIR_EraseRootFromParent_Done,
     /*  653957 */   // Label 10437: @653957
     /*  653957 */   GIM_Try, /*On fail goto*//*Label 10438*/ GIMT_Encode4(654032), // Rule ID 7335 //
     /*  653962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  653970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  653973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  653976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  653979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  653982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654008 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  654008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  654011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654030 */     GIR_RootConstrainSelectedInstOperands,
     /*  654031 */     // GIR_Coverage, 7335,
     /*  654031 */     GIR_EraseRootFromParent_Done,
     /*  654032 */   // Label 10438: @654032
     /*  654032 */   GIM_Try, /*On fail goto*//*Label 10439*/ GIMT_Encode4(654107), // Rule ID 7336 //
     /*  654037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  654048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  654051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  654054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  654057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  654083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  654086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654105 */     GIR_RootConstrainSelectedInstOperands,
     /*  654106 */     // GIR_Coverage, 7336,
     /*  654106 */     GIR_EraseRootFromParent_Done,
     /*  654107 */   // Label 10439: @654107
     /*  654107 */   GIM_Try, /*On fail goto*//*Label 10440*/ GIMT_Encode4(654182), // Rule ID 7339 //
     /*  654112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  654115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  654123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  654126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  654129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  654132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654158 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  654161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654180 */     GIR_RootConstrainSelectedInstOperands,
     /*  654181 */     // GIR_Coverage, 7339,
     /*  654181 */     GIR_EraseRootFromParent_Done,
     /*  654182 */   // Label 10440: @654182
     /*  654182 */   GIM_Try, /*On fail goto*//*Label 10441*/ GIMT_Encode4(654257), // Rule ID 7340 //
     /*  654187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  654190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  654198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  654201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  654204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  654207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654233 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  654236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654255 */     GIR_RootConstrainSelectedInstOperands,
     /*  654256 */     // GIR_Coverage, 7340,
     /*  654256 */     GIR_EraseRootFromParent_Done,
     /*  654257 */   // Label 10441: @654257
     /*  654257 */   GIM_Try, /*On fail goto*//*Label 10442*/ GIMT_Encode4(654332), // Rule ID 7343 //
     /*  654262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  654265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  654273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  654276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  654279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  654282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  654311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654330 */     GIR_RootConstrainSelectedInstOperands,
     /*  654331 */     // GIR_Coverage, 7343,
     /*  654331 */     GIR_EraseRootFromParent_Done,
     /*  654332 */   // Label 10442: @654332
     /*  654332 */   GIM_Try, /*On fail goto*//*Label 10443*/ GIMT_Encode4(654407), // Rule ID 7344 //
     /*  654337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  654340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  654348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  654351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  654354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  654357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654383 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  654386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654405 */     GIR_RootConstrainSelectedInstOperands,
     /*  654406 */     // GIR_Coverage, 7344,
     /*  654406 */     GIR_EraseRootFromParent_Done,
     /*  654407 */   // Label 10443: @654407
     /*  654407 */   GIM_Try, /*On fail goto*//*Label 10444*/ GIMT_Encode4(654482), // Rule ID 7347 //
     /*  654412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  654415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  654423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  654426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  654429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  654432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654458 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  654461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654480 */     GIR_RootConstrainSelectedInstOperands,
     /*  654481 */     // GIR_Coverage, 7347,
     /*  654481 */     GIR_EraseRootFromParent_Done,
     /*  654482 */   // Label 10444: @654482
     /*  654482 */   GIM_Try, /*On fail goto*//*Label 10445*/ GIMT_Encode4(654557), // Rule ID 7348 //
     /*  654487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  654490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  654498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  654501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  654504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  654507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654533 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  654536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654555 */     GIR_RootConstrainSelectedInstOperands,
     /*  654556 */     // GIR_Coverage, 7348,
     /*  654556 */     GIR_EraseRootFromParent_Done,
     /*  654557 */   // Label 10445: @654557
     /*  654557 */   GIM_Try, /*On fail goto*//*Label 10446*/ GIMT_Encode4(654632), // Rule ID 7351 //
     /*  654562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  654565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  654573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  654576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  654579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  654582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654608 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  654611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654630 */     GIR_RootConstrainSelectedInstOperands,
     /*  654631 */     // GIR_Coverage, 7351,
     /*  654631 */     GIR_EraseRootFromParent_Done,
     /*  654632 */   // Label 10446: @654632
     /*  654632 */   GIM_Try, /*On fail goto*//*Label 10447*/ GIMT_Encode4(654707), // Rule ID 7352 //
     /*  654637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  654640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  654648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  654651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  654654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  654657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654683 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  654686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654705 */     GIR_RootConstrainSelectedInstOperands,
     /*  654706 */     // GIR_Coverage, 7352,
     /*  654706 */     GIR_EraseRootFromParent_Done,
     /*  654707 */   // Label 10447: @654707
     /*  654707 */   GIM_Try, /*On fail goto*//*Label 10448*/ GIMT_Encode4(654782), // Rule ID 7355 //
     /*  654712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  654723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  654726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  654729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  654732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654758 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  654761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654780 */     GIR_RootConstrainSelectedInstOperands,
     /*  654781 */     // GIR_Coverage, 7355,
     /*  654781 */     GIR_EraseRootFromParent_Done,
     /*  654782 */   // Label 10448: @654782
     /*  654782 */   GIM_Try, /*On fail goto*//*Label 10449*/ GIMT_Encode4(654857), // Rule ID 7356 //
     /*  654787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  654798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  654801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  654804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  654807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654833 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  654836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654855 */     GIR_RootConstrainSelectedInstOperands,
     /*  654856 */     // GIR_Coverage, 7356,
     /*  654856 */     GIR_EraseRootFromParent_Done,
     /*  654857 */   // Label 10449: @654857
     /*  654857 */   GIM_Try, /*On fail goto*//*Label 10450*/ GIMT_Encode4(654932), // Rule ID 7359 //
     /*  654862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  654873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  654876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  654879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  654882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654908 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  654911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654930 */     GIR_RootConstrainSelectedInstOperands,
     /*  654931 */     // GIR_Coverage, 7359,
     /*  654931 */     GIR_EraseRootFromParent_Done,
     /*  654932 */   // Label 10450: @654932
     /*  654932 */   GIM_Try, /*On fail goto*//*Label 10451*/ GIMT_Encode4(655007), // Rule ID 7360 //
     /*  654937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  654945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  654948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  654951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  654954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  654957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654983 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  654986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655005 */     GIR_RootConstrainSelectedInstOperands,
     /*  655006 */     // GIR_Coverage, 7360,
     /*  655006 */     GIR_EraseRootFromParent_Done,
     /*  655007 */   // Label 10451: @655007
     /*  655007 */   GIM_Try, /*On fail goto*//*Label 10452*/ GIMT_Encode4(655082), // Rule ID 7363 //
     /*  655012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  655023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  655026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  655029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655058 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  655061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655080 */     GIR_RootConstrainSelectedInstOperands,
     /*  655081 */     // GIR_Coverage, 7363,
     /*  655081 */     GIR_EraseRootFromParent_Done,
     /*  655082 */   // Label 10452: @655082
     /*  655082 */   GIM_Try, /*On fail goto*//*Label 10453*/ GIMT_Encode4(655157), // Rule ID 7364 //
     /*  655087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  655098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  655101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  655104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655133 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  655136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655155 */     GIR_RootConstrainSelectedInstOperands,
     /*  655156 */     // GIR_Coverage, 7364,
     /*  655156 */     GIR_EraseRootFromParent_Done,
     /*  655157 */   // Label 10453: @655157
     /*  655157 */   GIM_Try, /*On fail goto*//*Label 10454*/ GIMT_Encode4(655232), // Rule ID 7367 //
     /*  655162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  655173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  655176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  655179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  655211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655230 */     GIR_RootConstrainSelectedInstOperands,
     /*  655231 */     // GIR_Coverage, 7367,
     /*  655231 */     GIR_EraseRootFromParent_Done,
     /*  655232 */   // Label 10454: @655232
     /*  655232 */   GIM_Try, /*On fail goto*//*Label 10455*/ GIMT_Encode4(655307), // Rule ID 7368 //
     /*  655237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  655248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  655251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  655254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655283 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  655286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655305 */     GIR_RootConstrainSelectedInstOperands,
     /*  655306 */     // GIR_Coverage, 7368,
     /*  655306 */     GIR_EraseRootFromParent_Done,
     /*  655307 */   // Label 10455: @655307
     /*  655307 */   GIM_Try, /*On fail goto*//*Label 10456*/ GIMT_Encode4(655382), // Rule ID 7371 //
     /*  655312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  655323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  655326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  655329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655358 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  655361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655380 */     GIR_RootConstrainSelectedInstOperands,
     /*  655381 */     // GIR_Coverage, 7371,
     /*  655381 */     GIR_EraseRootFromParent_Done,
     /*  655382 */   // Label 10456: @655382
     /*  655382 */   GIM_Try, /*On fail goto*//*Label 10457*/ GIMT_Encode4(655457), // Rule ID 7372 //
     /*  655387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  655398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  655401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  655404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655433 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  655436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655455 */     GIR_RootConstrainSelectedInstOperands,
     /*  655456 */     // GIR_Coverage, 7372,
     /*  655456 */     GIR_EraseRootFromParent_Done,
     /*  655457 */   // Label 10457: @655457
     /*  655457 */   GIM_Try, /*On fail goto*//*Label 10458*/ GIMT_Encode4(655532), // Rule ID 7375 //
     /*  655462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  655473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  655476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  655479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655508 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  655511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655530 */     GIR_RootConstrainSelectedInstOperands,
     /*  655531 */     // GIR_Coverage, 7375,
     /*  655531 */     GIR_EraseRootFromParent_Done,
     /*  655532 */   // Label 10458: @655532
     /*  655532 */   GIM_Try, /*On fail goto*//*Label 10459*/ GIMT_Encode4(655607), // Rule ID 7376 //
     /*  655537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  655548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  655551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  655554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655583 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  655586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655605 */     GIR_RootConstrainSelectedInstOperands,
     /*  655606 */     // GIR_Coverage, 7376,
     /*  655606 */     GIR_EraseRootFromParent_Done,
     /*  655607 */   // Label 10459: @655607
     /*  655607 */   GIM_Try, /*On fail goto*//*Label 10460*/ GIMT_Encode4(655682), // Rule ID 7379 //
     /*  655612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  655623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  655626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  655629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  655661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655680 */     GIR_RootConstrainSelectedInstOperands,
     /*  655681 */     // GIR_Coverage, 7379,
     /*  655681 */     GIR_EraseRootFromParent_Done,
     /*  655682 */   // Label 10460: @655682
     /*  655682 */   GIM_Try, /*On fail goto*//*Label 10461*/ GIMT_Encode4(655757), // Rule ID 7380 //
     /*  655687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  655698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  655701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  655704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655733 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  655736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655755 */     GIR_RootConstrainSelectedInstOperands,
     /*  655756 */     // GIR_Coverage, 7380,
     /*  655756 */     GIR_EraseRootFromParent_Done,
     /*  655757 */   // Label 10461: @655757
     /*  655757 */   GIM_Try, /*On fail goto*//*Label 10462*/ GIMT_Encode4(655832), // Rule ID 7383 //
     /*  655762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  655773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  655776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  655779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655808 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  655811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655830 */     GIR_RootConstrainSelectedInstOperands,
     /*  655831 */     // GIR_Coverage, 7383,
     /*  655831 */     GIR_EraseRootFromParent_Done,
     /*  655832 */   // Label 10462: @655832
     /*  655832 */   GIM_Try, /*On fail goto*//*Label 10463*/ GIMT_Encode4(655907), // Rule ID 7384 //
     /*  655837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  655848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  655851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  655854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655883 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  655886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655905 */     GIR_RootConstrainSelectedInstOperands,
     /*  655906 */     // GIR_Coverage, 7384,
     /*  655906 */     GIR_EraseRootFromParent_Done,
     /*  655907 */   // Label 10463: @655907
     /*  655907 */   GIM_Try, /*On fail goto*//*Label 10464*/ GIMT_Encode4(655982), // Rule ID 7387 //
     /*  655912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  655923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  655926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  655929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655958 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  655961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655980 */     GIR_RootConstrainSelectedInstOperands,
     /*  655981 */     // GIR_Coverage, 7387,
     /*  655981 */     GIR_EraseRootFromParent_Done,
     /*  655982 */   // Label 10464: @655982
     /*  655982 */   GIM_Try, /*On fail goto*//*Label 10465*/ GIMT_Encode4(656057), // Rule ID 7388 //
     /*  655987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  655995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  655998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  656001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  656004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656033 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  656036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656055 */     GIR_RootConstrainSelectedInstOperands,
     /*  656056 */     // GIR_Coverage, 7388,
     /*  656056 */     GIR_EraseRootFromParent_Done,
     /*  656057 */   // Label 10465: @656057
     /*  656057 */   GIM_Try, /*On fail goto*//*Label 10466*/ GIMT_Encode4(656132), // Rule ID 7391 //
     /*  656062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  656073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  656076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  656079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656108 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  656111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656130 */     GIR_RootConstrainSelectedInstOperands,
     /*  656131 */     // GIR_Coverage, 7391,
     /*  656131 */     GIR_EraseRootFromParent_Done,
     /*  656132 */   // Label 10466: @656132
     /*  656132 */   GIM_Try, /*On fail goto*//*Label 10467*/ GIMT_Encode4(656207), // Rule ID 7392 //
     /*  656137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  656148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  656151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  656154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656183 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  656186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656205 */     GIR_RootConstrainSelectedInstOperands,
     /*  656206 */     // GIR_Coverage, 7392,
     /*  656206 */     GIR_EraseRootFromParent_Done,
     /*  656207 */   // Label 10467: @656207
     /*  656207 */   GIM_Try, /*On fail goto*//*Label 10468*/ GIMT_Encode4(656282), // Rule ID 7395 //
     /*  656212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  656223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  656226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  656229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656258 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  656261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656280 */     GIR_RootConstrainSelectedInstOperands,
     /*  656281 */     // GIR_Coverage, 7395,
     /*  656281 */     GIR_EraseRootFromParent_Done,
     /*  656282 */   // Label 10468: @656282
     /*  656282 */   GIM_Try, /*On fail goto*//*Label 10469*/ GIMT_Encode4(656357), // Rule ID 7396 //
     /*  656287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  656298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  656301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  656304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656333 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  656336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656355 */     GIR_RootConstrainSelectedInstOperands,
     /*  656356 */     // GIR_Coverage, 7396,
     /*  656356 */     GIR_EraseRootFromParent_Done,
     /*  656357 */   // Label 10469: @656357
     /*  656357 */   GIM_Try, /*On fail goto*//*Label 10470*/ GIMT_Encode4(656432), // Rule ID 7399 //
     /*  656362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  656365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  656373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  656376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  656379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656408 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  656411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656430 */     GIR_RootConstrainSelectedInstOperands,
     /*  656431 */     // GIR_Coverage, 7399,
     /*  656431 */     GIR_EraseRootFromParent_Done,
     /*  656432 */   // Label 10470: @656432
     /*  656432 */   GIM_Try, /*On fail goto*//*Label 10471*/ GIMT_Encode4(656507), // Rule ID 7400 //
     /*  656437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  656440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  656448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  656451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  656454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656483 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  656486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656505 */     GIR_RootConstrainSelectedInstOperands,
     /*  656506 */     // GIR_Coverage, 7400,
     /*  656506 */     GIR_EraseRootFromParent_Done,
     /*  656507 */   // Label 10471: @656507
     /*  656507 */   GIM_Try, /*On fail goto*//*Label 10472*/ GIMT_Encode4(656582), // Rule ID 7403 //
     /*  656512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  656515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  656523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  656526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  656529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656558 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  656561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656580 */     GIR_RootConstrainSelectedInstOperands,
     /*  656581 */     // GIR_Coverage, 7403,
     /*  656581 */     GIR_EraseRootFromParent_Done,
     /*  656582 */   // Label 10472: @656582
     /*  656582 */   GIM_Try, /*On fail goto*//*Label 10473*/ GIMT_Encode4(656657), // Rule ID 7404 //
     /*  656587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  656590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  656598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  656601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  656604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656633 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  656636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656655 */     GIR_RootConstrainSelectedInstOperands,
     /*  656656 */     // GIR_Coverage, 7404,
     /*  656656 */     GIR_EraseRootFromParent_Done,
     /*  656657 */   // Label 10473: @656657
     /*  656657 */   GIM_Try, /*On fail goto*//*Label 10474*/ GIMT_Encode4(656732), // Rule ID 7407 //
     /*  656662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  656665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  656673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  656676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  656679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  656711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656730 */     GIR_RootConstrainSelectedInstOperands,
     /*  656731 */     // GIR_Coverage, 7407,
     /*  656731 */     GIR_EraseRootFromParent_Done,
     /*  656732 */   // Label 10474: @656732
     /*  656732 */   GIM_Try, /*On fail goto*//*Label 10475*/ GIMT_Encode4(656807), // Rule ID 7408 //
     /*  656737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  656740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  656748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  656751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  656754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656783 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  656786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656805 */     GIR_RootConstrainSelectedInstOperands,
     /*  656806 */     // GIR_Coverage, 7408,
     /*  656806 */     GIR_EraseRootFromParent_Done,
     /*  656807 */   // Label 10475: @656807
     /*  656807 */   GIM_Try, /*On fail goto*//*Label 10476*/ GIMT_Encode4(656882), // Rule ID 7411 //
     /*  656812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  656815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  656823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  656826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  656829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656858 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  656861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656880 */     GIR_RootConstrainSelectedInstOperands,
     /*  656881 */     // GIR_Coverage, 7411,
     /*  656881 */     GIR_EraseRootFromParent_Done,
     /*  656882 */   // Label 10476: @656882
     /*  656882 */   GIM_Try, /*On fail goto*//*Label 10477*/ GIMT_Encode4(656957), // Rule ID 7412 //
     /*  656887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  656890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  656895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  656898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  656901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  656904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656933 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  656936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656955 */     GIR_RootConstrainSelectedInstOperands,
     /*  656956 */     // GIR_Coverage, 7412,
     /*  656956 */     GIR_EraseRootFromParent_Done,
     /*  656957 */   // Label 10477: @656957
     /*  656957 */   GIM_Try, /*On fail goto*//*Label 10478*/ GIMT_Encode4(657032), // Rule ID 7475 //
     /*  656962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  656970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  656973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  656976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  656979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  656982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657008 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  657011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657030 */     GIR_RootConstrainSelectedInstOperands,
     /*  657031 */     // GIR_Coverage, 7475,
     /*  657031 */     GIR_EraseRootFromParent_Done,
     /*  657032 */   // Label 10478: @657032
     /*  657032 */   GIM_Try, /*On fail goto*//*Label 10479*/ GIMT_Encode4(657107), // Rule ID 7476 //
     /*  657037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  657045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  657048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  657051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  657054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  657057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657083 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  657086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657105 */     GIR_RootConstrainSelectedInstOperands,
     /*  657106 */     // GIR_Coverage, 7476,
     /*  657106 */     GIR_EraseRootFromParent_Done,
     /*  657107 */   // Label 10479: @657107
     /*  657107 */   GIM_Try, /*On fail goto*//*Label 10480*/ GIMT_Encode4(657182), // Rule ID 7479 //
     /*  657112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  657120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  657123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  657126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  657129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  657132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657158 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  657161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657180 */     GIR_RootConstrainSelectedInstOperands,
     /*  657181 */     // GIR_Coverage, 7479,
     /*  657181 */     GIR_EraseRootFromParent_Done,
     /*  657182 */   // Label 10480: @657182
     /*  657182 */   GIM_Try, /*On fail goto*//*Label 10481*/ GIMT_Encode4(657257), // Rule ID 7480 //
     /*  657187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  657195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  657198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  657201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  657204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  657207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657233 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  657236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657255 */     GIR_RootConstrainSelectedInstOperands,
     /*  657256 */     // GIR_Coverage, 7480,
     /*  657256 */     GIR_EraseRootFromParent_Done,
     /*  657257 */   // Label 10481: @657257
     /*  657257 */   GIM_Try, /*On fail goto*//*Label 10482*/ GIMT_Encode4(657332), // Rule ID 7483 //
     /*  657262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  657270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  657273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  657276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  657279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  657282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657308 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  657311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657330 */     GIR_RootConstrainSelectedInstOperands,
     /*  657331 */     // GIR_Coverage, 7483,
     /*  657331 */     GIR_EraseRootFromParent_Done,
     /*  657332 */   // Label 10482: @657332
     /*  657332 */   GIM_Try, /*On fail goto*//*Label 10483*/ GIMT_Encode4(657407), // Rule ID 7484 //
     /*  657337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  657345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  657348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  657351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  657354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  657357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657383 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  657386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657405 */     GIR_RootConstrainSelectedInstOperands,
     /*  657406 */     // GIR_Coverage, 7484,
     /*  657406 */     GIR_EraseRootFromParent_Done,
     /*  657407 */   // Label 10483: @657407
     /*  657407 */   GIM_Try, /*On fail goto*//*Label 10484*/ GIMT_Encode4(657482), // Rule ID 7487 //
     /*  657412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  657420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  657423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  657426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  657429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  657432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657458 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  657461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657480 */     GIR_RootConstrainSelectedInstOperands,
     /*  657481 */     // GIR_Coverage, 7487,
     /*  657481 */     GIR_EraseRootFromParent_Done,
     /*  657482 */   // Label 10484: @657482
     /*  657482 */   GIM_Try, /*On fail goto*//*Label 10485*/ GIMT_Encode4(657557), // Rule ID 7488 //
     /*  657487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  657495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  657498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  657501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  657504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  657507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657533 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  657536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657555 */     GIR_RootConstrainSelectedInstOperands,
     /*  657556 */     // GIR_Coverage, 7488,
     /*  657556 */     GIR_EraseRootFromParent_Done,
     /*  657557 */   // Label 10485: @657557
     /*  657557 */   GIM_Try, /*On fail goto*//*Label 10486*/ GIMT_Encode4(657632), // Rule ID 7491 //
     /*  657562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  657570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  657573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  657576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  657579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  657582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657608 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  657611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657630 */     GIR_RootConstrainSelectedInstOperands,
     /*  657631 */     // GIR_Coverage, 7491,
     /*  657631 */     GIR_EraseRootFromParent_Done,
     /*  657632 */   // Label 10486: @657632
     /*  657632 */   GIM_Try, /*On fail goto*//*Label 10487*/ GIMT_Encode4(657707), // Rule ID 7492 //
     /*  657637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  657645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  657648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  657651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  657654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  657657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657683 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  657686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657705 */     GIR_RootConstrainSelectedInstOperands,
     /*  657706 */     // GIR_Coverage, 7492,
     /*  657706 */     GIR_EraseRootFromParent_Done,
     /*  657707 */   // Label 10487: @657707
     /*  657707 */   GIM_Try, /*On fail goto*//*Label 10488*/ GIMT_Encode4(657782), // Rule ID 7495 //
     /*  657712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  657720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  657723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  657726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  657729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  657732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657758 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  657761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657780 */     GIR_RootConstrainSelectedInstOperands,
     /*  657781 */     // GIR_Coverage, 7495,
     /*  657781 */     GIR_EraseRootFromParent_Done,
     /*  657782 */   // Label 10488: @657782
     /*  657782 */   GIM_Try, /*On fail goto*//*Label 10489*/ GIMT_Encode4(657857), // Rule ID 7496 //
     /*  657787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  657795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  657798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  657801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  657804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  657807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657833 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  657836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657855 */     GIR_RootConstrainSelectedInstOperands,
     /*  657856 */     // GIR_Coverage, 7496,
     /*  657856 */     GIR_EraseRootFromParent_Done,
     /*  657857 */   // Label 10489: @657857
     /*  657857 */   GIM_Try, /*On fail goto*//*Label 10490*/ GIMT_Encode4(657932), // Rule ID 7499 //
     /*  657862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  657870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  657873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  657876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  657879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  657882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657908 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  657911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657930 */     GIR_RootConstrainSelectedInstOperands,
     /*  657931 */     // GIR_Coverage, 7499,
     /*  657931 */     GIR_EraseRootFromParent_Done,
     /*  657932 */   // Label 10490: @657932
     /*  657932 */   GIM_Try, /*On fail goto*//*Label 10491*/ GIMT_Encode4(658007), // Rule ID 7500 //
     /*  657937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  657945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  657948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  657951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  657954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  657957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657983 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  657986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658005 */     GIR_RootConstrainSelectedInstOperands,
     /*  658006 */     // GIR_Coverage, 7500,
     /*  658006 */     GIR_EraseRootFromParent_Done,
     /*  658007 */   // Label 10491: @658007
     /*  658007 */   GIM_Try, /*On fail goto*//*Label 10492*/ GIMT_Encode4(658082), // Rule ID 7503 //
     /*  658012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  658023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  658026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  658029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  658032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658058 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  658058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  658061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658080 */     GIR_RootConstrainSelectedInstOperands,
     /*  658081 */     // GIR_Coverage, 7503,
     /*  658081 */     GIR_EraseRootFromParent_Done,
     /*  658082 */   // Label 10492: @658082
     /*  658082 */   GIM_Try, /*On fail goto*//*Label 10493*/ GIMT_Encode4(658157), // Rule ID 7504 //
     /*  658087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  658098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  658101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  658104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  658107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658133 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  658133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  658136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658155 */     GIR_RootConstrainSelectedInstOperands,
     /*  658156 */     // GIR_Coverage, 7504,
     /*  658156 */     GIR_EraseRootFromParent_Done,
     /*  658157 */   // Label 10493: @658157
     /*  658157 */   GIM_Try, /*On fail goto*//*Label 10494*/ GIMT_Encode4(658232), // Rule ID 7507 //
     /*  658162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  658173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  658176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  658179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  658182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658208 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  658208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  658211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658230 */     GIR_RootConstrainSelectedInstOperands,
     /*  658231 */     // GIR_Coverage, 7507,
     /*  658231 */     GIR_EraseRootFromParent_Done,
     /*  658232 */   // Label 10494: @658232
     /*  658232 */   GIM_Try, /*On fail goto*//*Label 10495*/ GIMT_Encode4(658307), // Rule ID 7508 //
     /*  658237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  658248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  658251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  658254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  658257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658283 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  658283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  658286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658305 */     GIR_RootConstrainSelectedInstOperands,
     /*  658306 */     // GIR_Coverage, 7508,
     /*  658306 */     GIR_EraseRootFromParent_Done,
     /*  658307 */   // Label 10495: @658307
     /*  658307 */   GIM_Try, /*On fail goto*//*Label 10496*/ GIMT_Encode4(658382), // Rule ID 7511 //
     /*  658312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  658323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  658326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  658329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  658332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658358 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  658358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  658361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658380 */     GIR_RootConstrainSelectedInstOperands,
     /*  658381 */     // GIR_Coverage, 7511,
     /*  658381 */     GIR_EraseRootFromParent_Done,
     /*  658382 */   // Label 10496: @658382
     /*  658382 */   GIM_Try, /*On fail goto*//*Label 10497*/ GIMT_Encode4(658457), // Rule ID 7512 //
     /*  658387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  658398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  658401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  658404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  658407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658433 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  658433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  658436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658455 */     GIR_RootConstrainSelectedInstOperands,
     /*  658456 */     // GIR_Coverage, 7512,
     /*  658456 */     GIR_EraseRootFromParent_Done,
     /*  658457 */   // Label 10497: @658457
     /*  658457 */   GIM_Try, /*On fail goto*//*Label 10498*/ GIMT_Encode4(658532), // Rule ID 7515 //
     /*  658462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  658473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  658476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  658479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  658482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658508 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  658508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  658511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658530 */     GIR_RootConstrainSelectedInstOperands,
     /*  658531 */     // GIR_Coverage, 7515,
     /*  658531 */     GIR_EraseRootFromParent_Done,
     /*  658532 */   // Label 10498: @658532
     /*  658532 */   GIM_Try, /*On fail goto*//*Label 10499*/ GIMT_Encode4(658607), // Rule ID 7516 //
     /*  658537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  658548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  658551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  658554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  658557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658583 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  658583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  658586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658605 */     GIR_RootConstrainSelectedInstOperands,
     /*  658606 */     // GIR_Coverage, 7516,
     /*  658606 */     GIR_EraseRootFromParent_Done,
     /*  658607 */   // Label 10499: @658607
     /*  658607 */   GIM_Try, /*On fail goto*//*Label 10500*/ GIMT_Encode4(658682), // Rule ID 7519 //
     /*  658612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  658615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  658623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  658626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  658629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  658632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  658658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  658661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658680 */     GIR_RootConstrainSelectedInstOperands,
     /*  658681 */     // GIR_Coverage, 7519,
     /*  658681 */     GIR_EraseRootFromParent_Done,
     /*  658682 */   // Label 10500: @658682
     /*  658682 */   GIM_Try, /*On fail goto*//*Label 10501*/ GIMT_Encode4(658757), // Rule ID 7520 //
     /*  658687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  658690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  658698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  658701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  658704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  658707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658733 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  658736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658755 */     GIR_RootConstrainSelectedInstOperands,
     /*  658756 */     // GIR_Coverage, 7520,
     /*  658756 */     GIR_EraseRootFromParent_Done,
     /*  658757 */   // Label 10501: @658757
     /*  658757 */   GIM_Try, /*On fail goto*//*Label 10502*/ GIMT_Encode4(658832), // Rule ID 7523 //
     /*  658762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  658765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  658773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  658776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  658779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  658782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  658808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  658811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658830 */     GIR_RootConstrainSelectedInstOperands,
     /*  658831 */     // GIR_Coverage, 7523,
     /*  658831 */     GIR_EraseRootFromParent_Done,
     /*  658832 */   // Label 10502: @658832
     /*  658832 */   GIM_Try, /*On fail goto*//*Label 10503*/ GIMT_Encode4(658907), // Rule ID 7524 //
     /*  658837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  658840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  658848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  658851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  658854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  658857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  658886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658905 */     GIR_RootConstrainSelectedInstOperands,
     /*  658906 */     // GIR_Coverage, 7524,
     /*  658906 */     GIR_EraseRootFromParent_Done,
     /*  658907 */   // Label 10503: @658907
     /*  658907 */   GIM_Try, /*On fail goto*//*Label 10504*/ GIMT_Encode4(658982), // Rule ID 7527 //
     /*  658912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  658915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  658923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  658926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  658929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  658932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658958 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  658958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  658961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658980 */     GIR_RootConstrainSelectedInstOperands,
     /*  658981 */     // GIR_Coverage, 7527,
     /*  658981 */     GIR_EraseRootFromParent_Done,
     /*  658982 */   // Label 10504: @658982
     /*  658982 */   GIM_Try, /*On fail goto*//*Label 10505*/ GIMT_Encode4(659057), // Rule ID 7528 //
     /*  658987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  658990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  658995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  658998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  659001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  659004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  659007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659033 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  659033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  659036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659055 */     GIR_RootConstrainSelectedInstOperands,
     /*  659056 */     // GIR_Coverage, 7528,
     /*  659056 */     GIR_EraseRootFromParent_Done,
     /*  659057 */   // Label 10505: @659057
     /*  659057 */   GIM_Try, /*On fail goto*//*Label 10506*/ GIMT_Encode4(659132), // Rule ID 7531 //
     /*  659062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  659065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  659073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  659076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  659079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  659082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659108 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  659108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  659111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659130 */     GIR_RootConstrainSelectedInstOperands,
     /*  659131 */     // GIR_Coverage, 7531,
     /*  659131 */     GIR_EraseRootFromParent_Done,
     /*  659132 */   // Label 10506: @659132
     /*  659132 */   GIM_Try, /*On fail goto*//*Label 10507*/ GIMT_Encode4(659207), // Rule ID 7532 //
     /*  659137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  659140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  659148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  659151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  659154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  659157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659183 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  659183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  659186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659205 */     GIR_RootConstrainSelectedInstOperands,
     /*  659206 */     // GIR_Coverage, 7532,
     /*  659206 */     GIR_EraseRootFromParent_Done,
     /*  659207 */   // Label 10507: @659207
     /*  659207 */   GIM_Try, /*On fail goto*//*Label 10508*/ GIMT_Encode4(659282), // Rule ID 7535 //
     /*  659212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  659223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  659226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  659229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  659232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  659251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659258 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  659261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659280 */     GIR_RootConstrainSelectedInstOperands,
     /*  659281 */     // GIR_Coverage, 7535,
     /*  659281 */     GIR_EraseRootFromParent_Done,
     /*  659282 */   // Label 10508: @659282
     /*  659282 */   GIM_Try, /*On fail goto*//*Label 10509*/ GIMT_Encode4(659357), // Rule ID 7536 //
     /*  659287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  659298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  659301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  659304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  659307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  659326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659333 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  659336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659355 */     GIR_RootConstrainSelectedInstOperands,
     /*  659356 */     // GIR_Coverage, 7536,
     /*  659356 */     GIR_EraseRootFromParent_Done,
     /*  659357 */   // Label 10509: @659357
     /*  659357 */   GIM_Try, /*On fail goto*//*Label 10510*/ GIMT_Encode4(659432), // Rule ID 7539 //
     /*  659362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  659373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  659376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  659379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  659382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  659401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659408 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  659411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659430 */     GIR_RootConstrainSelectedInstOperands,
     /*  659431 */     // GIR_Coverage, 7539,
     /*  659431 */     GIR_EraseRootFromParent_Done,
     /*  659432 */   // Label 10510: @659432
     /*  659432 */   GIM_Try, /*On fail goto*//*Label 10511*/ GIMT_Encode4(659507), // Rule ID 7540 //
     /*  659437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  659448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  659451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  659454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  659457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  659476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659483 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  659486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659505 */     GIR_RootConstrainSelectedInstOperands,
     /*  659506 */     // GIR_Coverage, 7540,
     /*  659506 */     GIR_EraseRootFromParent_Done,
     /*  659507 */   // Label 10511: @659507
     /*  659507 */   GIM_Try, /*On fail goto*//*Label 10512*/ GIMT_Encode4(659582), // Rule ID 7543 //
     /*  659512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  659523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  659526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  659529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  659532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  659551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659558 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  659561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659580 */     GIR_RootConstrainSelectedInstOperands,
     /*  659581 */     // GIR_Coverage, 7543,
     /*  659581 */     GIR_EraseRootFromParent_Done,
     /*  659582 */   // Label 10512: @659582
     /*  659582 */   GIM_Try, /*On fail goto*//*Label 10513*/ GIMT_Encode4(659657), // Rule ID 7544 //
     /*  659587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  659598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  659601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  659604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  659607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  659626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659633 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  659636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659655 */     GIR_RootConstrainSelectedInstOperands,
     /*  659656 */     // GIR_Coverage, 7544,
     /*  659656 */     GIR_EraseRootFromParent_Done,
     /*  659657 */   // Label 10513: @659657
     /*  659657 */   GIM_Try, /*On fail goto*//*Label 10514*/ GIMT_Encode4(659732), // Rule ID 7547 //
     /*  659662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  659673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  659676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  659679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  659682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  659701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659708 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  659711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659730 */     GIR_RootConstrainSelectedInstOperands,
     /*  659731 */     // GIR_Coverage, 7547,
     /*  659731 */     GIR_EraseRootFromParent_Done,
     /*  659732 */   // Label 10514: @659732
     /*  659732 */   GIM_Try, /*On fail goto*//*Label 10515*/ GIMT_Encode4(659807), // Rule ID 7548 //
     /*  659737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  659748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  659751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  659754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  659757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  659776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659783 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  659786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659805 */     GIR_RootConstrainSelectedInstOperands,
     /*  659806 */     // GIR_Coverage, 7548,
     /*  659806 */     GIR_EraseRootFromParent_Done,
     /*  659807 */   // Label 10515: @659807
     /*  659807 */   GIM_Try, /*On fail goto*//*Label 10516*/ GIMT_Encode4(659882), // Rule ID 7551 //
     /*  659812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  659823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  659826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  659829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  659832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  659851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659858 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  659861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659880 */     GIR_RootConstrainSelectedInstOperands,
     /*  659881 */     // GIR_Coverage, 7551,
     /*  659881 */     GIR_EraseRootFromParent_Done,
     /*  659882 */   // Label 10516: @659882
     /*  659882 */   GIM_Try, /*On fail goto*//*Label 10517*/ GIMT_Encode4(659957), // Rule ID 7552 //
     /*  659887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  659898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  659901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  659904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  659907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  659926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659933 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  659936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659955 */     GIR_RootConstrainSelectedInstOperands,
     /*  659956 */     // GIR_Coverage, 7552,
     /*  659956 */     GIR_EraseRootFromParent_Done,
     /*  659957 */   // Label 10517: @659957
     /*  659957 */   GIM_Try, /*On fail goto*//*Label 10518*/ GIMT_Encode4(660032), // Rule ID 7555 //
     /*  659962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  659970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  659973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  659976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  659979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  659982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660008 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  660011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660030 */     GIR_RootConstrainSelectedInstOperands,
     /*  660031 */     // GIR_Coverage, 7555,
     /*  660031 */     GIR_EraseRootFromParent_Done,
     /*  660032 */   // Label 10518: @660032
     /*  660032 */   GIM_Try, /*On fail goto*//*Label 10519*/ GIMT_Encode4(660107), // Rule ID 7556 //
     /*  660037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  660048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  660051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  660054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660083 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  660086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660105 */     GIR_RootConstrainSelectedInstOperands,
     /*  660106 */     // GIR_Coverage, 7556,
     /*  660106 */     GIR_EraseRootFromParent_Done,
     /*  660107 */   // Label 10519: @660107
     /*  660107 */   GIM_Try, /*On fail goto*//*Label 10520*/ GIMT_Encode4(660182), // Rule ID 7559 //
     /*  660112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  660123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  660126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  660129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660158 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  660161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660180 */     GIR_RootConstrainSelectedInstOperands,
     /*  660181 */     // GIR_Coverage, 7559,
     /*  660181 */     GIR_EraseRootFromParent_Done,
     /*  660182 */   // Label 10520: @660182
     /*  660182 */   GIM_Try, /*On fail goto*//*Label 10521*/ GIMT_Encode4(660257), // Rule ID 7560 //
     /*  660187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  660198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  660201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  660204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660233 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  660236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660255 */     GIR_RootConstrainSelectedInstOperands,
     /*  660256 */     // GIR_Coverage, 7560,
     /*  660256 */     GIR_EraseRootFromParent_Done,
     /*  660257 */   // Label 10521: @660257
     /*  660257 */   GIM_Try, /*On fail goto*//*Label 10522*/ GIMT_Encode4(660332), // Rule ID 7563 //
     /*  660262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  660273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  660276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  660279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660308 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  660311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660330 */     GIR_RootConstrainSelectedInstOperands,
     /*  660331 */     // GIR_Coverage, 7563,
     /*  660331 */     GIR_EraseRootFromParent_Done,
     /*  660332 */   // Label 10522: @660332
     /*  660332 */   GIM_Try, /*On fail goto*//*Label 10523*/ GIMT_Encode4(660407), // Rule ID 7564 //
     /*  660337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  660348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  660351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  660354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660383 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  660386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660405 */     GIR_RootConstrainSelectedInstOperands,
     /*  660406 */     // GIR_Coverage, 7564,
     /*  660406 */     GIR_EraseRootFromParent_Done,
     /*  660407 */   // Label 10523: @660407
     /*  660407 */   GIM_Try, /*On fail goto*//*Label 10524*/ GIMT_Encode4(660482), // Rule ID 7567 //
     /*  660412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  660423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  660426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  660429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  660461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660480 */     GIR_RootConstrainSelectedInstOperands,
     /*  660481 */     // GIR_Coverage, 7567,
     /*  660481 */     GIR_EraseRootFromParent_Done,
     /*  660482 */   // Label 10524: @660482
     /*  660482 */   GIM_Try, /*On fail goto*//*Label 10525*/ GIMT_Encode4(660557), // Rule ID 7568 //
     /*  660487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  660498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  660501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  660504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660533 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  660536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660555 */     GIR_RootConstrainSelectedInstOperands,
     /*  660556 */     // GIR_Coverage, 7568,
     /*  660556 */     GIR_EraseRootFromParent_Done,
     /*  660557 */   // Label 10525: @660557
     /*  660557 */   GIM_Try, /*On fail goto*//*Label 10526*/ GIMT_Encode4(660632), // Rule ID 7571 //
     /*  660562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  660573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  660576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  660579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660608 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  660611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660630 */     GIR_RootConstrainSelectedInstOperands,
     /*  660631 */     // GIR_Coverage, 7571,
     /*  660631 */     GIR_EraseRootFromParent_Done,
     /*  660632 */   // Label 10526: @660632
     /*  660632 */   GIM_Try, /*On fail goto*//*Label 10527*/ GIMT_Encode4(660707), // Rule ID 7572 //
     /*  660637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  660648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  660651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  660654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660683 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  660686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660705 */     GIR_RootConstrainSelectedInstOperands,
     /*  660706 */     // GIR_Coverage, 7572,
     /*  660706 */     GIR_EraseRootFromParent_Done,
     /*  660707 */   // Label 10527: @660707
     /*  660707 */   GIM_Try, /*On fail goto*//*Label 10528*/ GIMT_Encode4(660782), // Rule ID 7575 //
     /*  660712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  660723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  660726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  660729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660758 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  660761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660780 */     GIR_RootConstrainSelectedInstOperands,
     /*  660781 */     // GIR_Coverage, 7575,
     /*  660781 */     GIR_EraseRootFromParent_Done,
     /*  660782 */   // Label 10528: @660782
     /*  660782 */   GIM_Try, /*On fail goto*//*Label 10529*/ GIMT_Encode4(660857), // Rule ID 7576 //
     /*  660787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  660798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  660801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  660804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660833 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  660836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660855 */     GIR_RootConstrainSelectedInstOperands,
     /*  660856 */     // GIR_Coverage, 7576,
     /*  660856 */     GIR_EraseRootFromParent_Done,
     /*  660857 */   // Label 10529: @660857
     /*  660857 */   GIM_Try, /*On fail goto*//*Label 10530*/ GIMT_Encode4(660932), // Rule ID 7579 //
     /*  660862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  660873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  660876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  660879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660908 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  660911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660930 */     GIR_RootConstrainSelectedInstOperands,
     /*  660931 */     // GIR_Coverage, 7579,
     /*  660931 */     GIR_EraseRootFromParent_Done,
     /*  660932 */   // Label 10530: @660932
     /*  660932 */   GIM_Try, /*On fail goto*//*Label 10531*/ GIMT_Encode4(661007), // Rule ID 7580 //
     /*  660937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  660945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  660948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  660951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  660954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660983 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  660986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661005 */     GIR_RootConstrainSelectedInstOperands,
     /*  661006 */     // GIR_Coverage, 7580,
     /*  661006 */     GIR_EraseRootFromParent_Done,
     /*  661007 */   // Label 10531: @661007
     /*  661007 */   GIM_Try, /*On fail goto*//*Label 10532*/ GIMT_Encode4(661082), // Rule ID 7583 //
     /*  661012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  661015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  661023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  661026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  661029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661058 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  661058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  661061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661080 */     GIR_RootConstrainSelectedInstOperands,
     /*  661081 */     // GIR_Coverage, 7583,
     /*  661081 */     GIR_EraseRootFromParent_Done,
     /*  661082 */   // Label 10532: @661082
     /*  661082 */   GIM_Try, /*On fail goto*//*Label 10533*/ GIMT_Encode4(661157), // Rule ID 7584 //
     /*  661087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  661090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  661098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  661101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  661104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661133 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  661133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  661136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661155 */     GIR_RootConstrainSelectedInstOperands,
     /*  661156 */     // GIR_Coverage, 7584,
     /*  661156 */     GIR_EraseRootFromParent_Done,
     /*  661157 */   // Label 10533: @661157
     /*  661157 */   GIM_Try, /*On fail goto*//*Label 10534*/ GIMT_Encode4(661232), // Rule ID 7587 //
     /*  661162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  661165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  661173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  661176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  661179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661208 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  661208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  661211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661230 */     GIR_RootConstrainSelectedInstOperands,
     /*  661231 */     // GIR_Coverage, 7587,
     /*  661231 */     GIR_EraseRootFromParent_Done,
     /*  661232 */   // Label 10534: @661232
     /*  661232 */   GIM_Try, /*On fail goto*//*Label 10535*/ GIMT_Encode4(661307), // Rule ID 7588 //
     /*  661237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  661240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  661248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  661251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  661254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661283 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  661283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  661286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661305 */     GIR_RootConstrainSelectedInstOperands,
     /*  661306 */     // GIR_Coverage, 7588,
     /*  661306 */     GIR_EraseRootFromParent_Done,
     /*  661307 */   // Label 10535: @661307
     /*  661307 */   GIM_Try, /*On fail goto*//*Label 10536*/ GIMT_Encode4(661382), // Rule ID 7591 //
     /*  661312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  661315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  661323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  661326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  661329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661358 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  661358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  661361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661380 */     GIR_RootConstrainSelectedInstOperands,
     /*  661381 */     // GIR_Coverage, 7591,
     /*  661381 */     GIR_EraseRootFromParent_Done,
     /*  661382 */   // Label 10536: @661382
     /*  661382 */   GIM_Try, /*On fail goto*//*Label 10537*/ GIMT_Encode4(661457), // Rule ID 7592 //
     /*  661387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  661390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  661395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  661398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  661401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  661404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661433 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  661433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  661436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661455 */     GIR_RootConstrainSelectedInstOperands,
     /*  661456 */     // GIR_Coverage, 7592,
     /*  661456 */     GIR_EraseRootFromParent_Done,
     /*  661457 */   // Label 10537: @661457
     /*  661457 */   GIM_Try, /*On fail goto*//*Label 10538*/ GIMT_Encode4(661532), // Rule ID 10107 //
     /*  661462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  661473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  661476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  661479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  661482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661508 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  661511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661530 */     GIR_RootConstrainSelectedInstOperands,
     /*  661531 */     // GIR_Coverage, 10107,
     /*  661531 */     GIR_EraseRootFromParent_Done,
     /*  661532 */   // Label 10538: @661532
     /*  661532 */   GIM_Try, /*On fail goto*//*Label 10539*/ GIMT_Encode4(661607), // Rule ID 10108 //
     /*  661537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  661548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  661551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  661554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  661557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661583 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  661586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661605 */     GIR_RootConstrainSelectedInstOperands,
     /*  661606 */     // GIR_Coverage, 10108,
     /*  661606 */     GIR_EraseRootFromParent_Done,
     /*  661607 */   // Label 10539: @661607
     /*  661607 */   GIM_Try, /*On fail goto*//*Label 10540*/ GIMT_Encode4(661682), // Rule ID 10111 //
     /*  661612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  661623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  661626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  661629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  661632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661658 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  661661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661680 */     GIR_RootConstrainSelectedInstOperands,
     /*  661681 */     // GIR_Coverage, 10111,
     /*  661681 */     GIR_EraseRootFromParent_Done,
     /*  661682 */   // Label 10540: @661682
     /*  661682 */   GIM_Try, /*On fail goto*//*Label 10541*/ GIMT_Encode4(661757), // Rule ID 10112 //
     /*  661687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  661698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  661701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  661704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  661707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661733 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  661736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661755 */     GIR_RootConstrainSelectedInstOperands,
     /*  661756 */     // GIR_Coverage, 10112,
     /*  661756 */     GIR_EraseRootFromParent_Done,
     /*  661757 */   // Label 10541: @661757
     /*  661757 */   GIM_Try, /*On fail goto*//*Label 10542*/ GIMT_Encode4(661832), // Rule ID 10115 //
     /*  661762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  661773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  661776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  661779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  661782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661808 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  661811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661830 */     GIR_RootConstrainSelectedInstOperands,
     /*  661831 */     // GIR_Coverage, 10115,
     /*  661831 */     GIR_EraseRootFromParent_Done,
     /*  661832 */   // Label 10542: @661832
     /*  661832 */   GIM_Try, /*On fail goto*//*Label 10543*/ GIMT_Encode4(661907), // Rule ID 10116 //
     /*  661837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  661848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  661851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  661854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  661857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661883 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  661886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661905 */     GIR_RootConstrainSelectedInstOperands,
     /*  661906 */     // GIR_Coverage, 10116,
     /*  661906 */     GIR_EraseRootFromParent_Done,
     /*  661907 */   // Label 10543: @661907
     /*  661907 */   GIM_Try, /*On fail goto*//*Label 10544*/ GIMT_Encode4(661982), // Rule ID 10119 //
     /*  661912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  661923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  661926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  661929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  661932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  661961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661980 */     GIR_RootConstrainSelectedInstOperands,
     /*  661981 */     // GIR_Coverage, 10119,
     /*  661981 */     GIR_EraseRootFromParent_Done,
     /*  661982 */   // Label 10544: @661982
     /*  661982 */   GIM_Try, /*On fail goto*//*Label 10545*/ GIMT_Encode4(662057), // Rule ID 10120 //
     /*  661987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  661998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  662001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  662004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  662007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662033 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  662036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662055 */     GIR_RootConstrainSelectedInstOperands,
     /*  662056 */     // GIR_Coverage, 10120,
     /*  662056 */     GIR_EraseRootFromParent_Done,
     /*  662057 */   // Label 10545: @662057
     /*  662057 */   GIM_Try, /*On fail goto*//*Label 10546*/ GIMT_Encode4(662132), // Rule ID 10123 //
     /*  662062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  662073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  662076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  662079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  662082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662108 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  662111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662130 */     GIR_RootConstrainSelectedInstOperands,
     /*  662131 */     // GIR_Coverage, 10123,
     /*  662131 */     GIR_EraseRootFromParent_Done,
     /*  662132 */   // Label 10546: @662132
     /*  662132 */   GIM_Try, /*On fail goto*//*Label 10547*/ GIMT_Encode4(662207), // Rule ID 10124 //
     /*  662137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  662148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  662151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  662154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  662157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662183 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  662186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662205 */     GIR_RootConstrainSelectedInstOperands,
     /*  662206 */     // GIR_Coverage, 10124,
     /*  662206 */     GIR_EraseRootFromParent_Done,
     /*  662207 */   // Label 10547: @662207
     /*  662207 */   GIM_Try, /*On fail goto*//*Label 10548*/ GIMT_Encode4(662282), // Rule ID 10127 //
     /*  662212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  662223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  662226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  662229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  662232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662258 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  662261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662280 */     GIR_RootConstrainSelectedInstOperands,
     /*  662281 */     // GIR_Coverage, 10127,
     /*  662281 */     GIR_EraseRootFromParent_Done,
     /*  662282 */   // Label 10548: @662282
     /*  662282 */   GIM_Try, /*On fail goto*//*Label 10549*/ GIMT_Encode4(662357), // Rule ID 10128 //
     /*  662287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  662298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  662301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  662304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  662307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662333 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  662336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662355 */     GIR_RootConstrainSelectedInstOperands,
     /*  662356 */     // GIR_Coverage, 10128,
     /*  662356 */     GIR_EraseRootFromParent_Done,
     /*  662357 */   // Label 10549: @662357
     /*  662357 */   GIM_Try, /*On fail goto*//*Label 10550*/ GIMT_Encode4(662432), // Rule ID 10131 //
     /*  662362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  662373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  662376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  662379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  662382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662408 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  662408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  662411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662430 */     GIR_RootConstrainSelectedInstOperands,
     /*  662431 */     // GIR_Coverage, 10131,
     /*  662431 */     GIR_EraseRootFromParent_Done,
     /*  662432 */   // Label 10550: @662432
     /*  662432 */   GIM_Try, /*On fail goto*//*Label 10551*/ GIMT_Encode4(662507), // Rule ID 10132 //
     /*  662437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  662448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  662451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  662454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  662457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  662483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  662486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662505 */     GIR_RootConstrainSelectedInstOperands,
     /*  662506 */     // GIR_Coverage, 10132,
     /*  662506 */     GIR_EraseRootFromParent_Done,
     /*  662507 */   // Label 10551: @662507
     /*  662507 */   GIM_Try, /*On fail goto*//*Label 10552*/ GIMT_Encode4(662582), // Rule ID 10135 //
     /*  662512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  662523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  662526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  662529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  662532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  662561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662580 */     GIR_RootConstrainSelectedInstOperands,
     /*  662581 */     // GIR_Coverage, 10135,
     /*  662581 */     GIR_EraseRootFromParent_Done,
     /*  662582 */   // Label 10552: @662582
     /*  662582 */   GIM_Try, /*On fail goto*//*Label 10553*/ GIMT_Encode4(662657), // Rule ID 10136 //
     /*  662587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  662598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  662601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  662604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  662607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  662636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662655 */     GIR_RootConstrainSelectedInstOperands,
     /*  662656 */     // GIR_Coverage, 10136,
     /*  662656 */     GIR_EraseRootFromParent_Done,
     /*  662657 */   // Label 10553: @662657
     /*  662657 */   GIM_Try, /*On fail goto*//*Label 10554*/ GIMT_Encode4(662732), // Rule ID 10139 //
     /*  662662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  662673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  662676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  662679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  662682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  662711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662730 */     GIR_RootConstrainSelectedInstOperands,
     /*  662731 */     // GIR_Coverage, 10139,
     /*  662731 */     GIR_EraseRootFromParent_Done,
     /*  662732 */   // Label 10554: @662732
     /*  662732 */   GIM_Try, /*On fail goto*//*Label 10555*/ GIMT_Encode4(662807), // Rule ID 10140 //
     /*  662737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  662748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  662751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  662754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  662757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662783 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  662786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662805 */     GIR_RootConstrainSelectedInstOperands,
     /*  662806 */     // GIR_Coverage, 10140,
     /*  662806 */     GIR_EraseRootFromParent_Done,
     /*  662807 */   // Label 10555: @662807
     /*  662807 */   GIM_Try, /*On fail goto*//*Label 10556*/ GIMT_Encode4(662882), // Rule ID 10143 //
     /*  662812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  662815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  662823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  662826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  662829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  662832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662858 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  662858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  662861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  662877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662880 */     GIR_RootConstrainSelectedInstOperands,
     /*  662881 */     // GIR_Coverage, 10143,
     /*  662881 */     GIR_EraseRootFromParent_Done,
     /*  662882 */   // Label 10556: @662882
     /*  662882 */   GIM_Try, /*On fail goto*//*Label 10557*/ GIMT_Encode4(662957), // Rule ID 10144 //
     /*  662887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  662890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  662898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  662901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  662904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  662907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662933 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  662933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  662936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  662952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662955 */     GIR_RootConstrainSelectedInstOperands,
     /*  662956 */     // GIR_Coverage, 10144,
     /*  662956 */     GIR_EraseRootFromParent_Done,
     /*  662957 */   // Label 10557: @662957
     /*  662957 */   GIM_Try, /*On fail goto*//*Label 10558*/ GIMT_Encode4(663032), // Rule ID 10147 //
     /*  662962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  662973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  662976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  662979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  662982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663008 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  663011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663030 */     GIR_RootConstrainSelectedInstOperands,
     /*  663031 */     // GIR_Coverage, 10147,
     /*  663031 */     GIR_EraseRootFromParent_Done,
     /*  663032 */   // Label 10558: @663032
     /*  663032 */   GIM_Try, /*On fail goto*//*Label 10559*/ GIMT_Encode4(663107), // Rule ID 10148 //
     /*  663037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  663048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  663051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  663054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  663057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663083 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  663086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663105 */     GIR_RootConstrainSelectedInstOperands,
     /*  663106 */     // GIR_Coverage, 10148,
     /*  663106 */     GIR_EraseRootFromParent_Done,
     /*  663107 */   // Label 10559: @663107
     /*  663107 */   GIM_Try, /*On fail goto*//*Label 10560*/ GIMT_Encode4(663182), // Rule ID 10151 //
     /*  663112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  663123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  663126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  663129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  663132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663158 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  663161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663180 */     GIR_RootConstrainSelectedInstOperands,
     /*  663181 */     // GIR_Coverage, 10151,
     /*  663181 */     GIR_EraseRootFromParent_Done,
     /*  663182 */   // Label 10560: @663182
     /*  663182 */   GIM_Try, /*On fail goto*//*Label 10561*/ GIMT_Encode4(663257), // Rule ID 10152 //
     /*  663187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  663198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  663201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  663204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  663207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663233 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  663236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663255 */     GIR_RootConstrainSelectedInstOperands,
     /*  663256 */     // GIR_Coverage, 10152,
     /*  663256 */     GIR_EraseRootFromParent_Done,
     /*  663257 */   // Label 10561: @663257
     /*  663257 */   GIM_Try, /*On fail goto*//*Label 10562*/ GIMT_Encode4(663332), // Rule ID 10155 //
     /*  663262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  663273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  663276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  663279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  663282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663308 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  663311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663330 */     GIR_RootConstrainSelectedInstOperands,
     /*  663331 */     // GIR_Coverage, 10155,
     /*  663331 */     GIR_EraseRootFromParent_Done,
     /*  663332 */   // Label 10562: @663332
     /*  663332 */   GIM_Try, /*On fail goto*//*Label 10563*/ GIMT_Encode4(663407), // Rule ID 10156 //
     /*  663337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  663348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  663351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  663354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  663357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663383 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  663386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663405 */     GIR_RootConstrainSelectedInstOperands,
     /*  663406 */     // GIR_Coverage, 10156,
     /*  663406 */     GIR_EraseRootFromParent_Done,
     /*  663407 */   // Label 10563: @663407
     /*  663407 */   GIM_Try, /*On fail goto*//*Label 10564*/ GIMT_Encode4(663482), // Rule ID 10159 //
     /*  663412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  663423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  663426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  663429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  663432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663458 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  663461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663480 */     GIR_RootConstrainSelectedInstOperands,
     /*  663481 */     // GIR_Coverage, 10159,
     /*  663481 */     GIR_EraseRootFromParent_Done,
     /*  663482 */   // Label 10564: @663482
     /*  663482 */   GIM_Try, /*On fail goto*//*Label 10565*/ GIMT_Encode4(663557), // Rule ID 10160 //
     /*  663487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  663498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  663501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  663504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  663507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663533 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  663536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663555 */     GIR_RootConstrainSelectedInstOperands,
     /*  663556 */     // GIR_Coverage, 10160,
     /*  663556 */     GIR_EraseRootFromParent_Done,
     /*  663557 */   // Label 10565: @663557
     /*  663557 */   GIM_Try, /*On fail goto*//*Label 10566*/ GIMT_Encode4(663632), // Rule ID 10163 //
     /*  663562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  663573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  663576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  663579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  663582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663608 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  663611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663630 */     GIR_RootConstrainSelectedInstOperands,
     /*  663631 */     // GIR_Coverage, 10163,
     /*  663631 */     GIR_EraseRootFromParent_Done,
     /*  663632 */   // Label 10566: @663632
     /*  663632 */   GIM_Try, /*On fail goto*//*Label 10567*/ GIMT_Encode4(663707), // Rule ID 10164 //
     /*  663637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  663648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  663651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  663654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  663657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663683 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  663686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663705 */     GIR_RootConstrainSelectedInstOperands,
     /*  663706 */     // GIR_Coverage, 10164,
     /*  663706 */     GIR_EraseRootFromParent_Done,
     /*  663707 */   // Label 10567: @663707
     /*  663707 */   GIM_Try, /*On fail goto*//*Label 10568*/ GIMT_Encode4(663782), // Rule ID 10167 //
     /*  663712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  663723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  663726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  663729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  663732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663758 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  663761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663780 */     GIR_RootConstrainSelectedInstOperands,
     /*  663781 */     // GIR_Coverage, 10167,
     /*  663781 */     GIR_EraseRootFromParent_Done,
     /*  663782 */   // Label 10568: @663782
     /*  663782 */   GIM_Try, /*On fail goto*//*Label 10569*/ GIMT_Encode4(663857), // Rule ID 10168 //
     /*  663787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  663798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  663801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  663804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  663807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663833 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  663836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663855 */     GIR_RootConstrainSelectedInstOperands,
     /*  663856 */     // GIR_Coverage, 10168,
     /*  663856 */     GIR_EraseRootFromParent_Done,
     /*  663857 */   // Label 10569: @663857
     /*  663857 */   GIM_Try, /*On fail goto*//*Label 10570*/ GIMT_Encode4(663932), // Rule ID 10171 //
     /*  663862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  663873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  663876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  663879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  663882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663908 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  663908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  663911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663930 */     GIR_RootConstrainSelectedInstOperands,
     /*  663931 */     // GIR_Coverage, 10171,
     /*  663931 */     GIR_EraseRootFromParent_Done,
     /*  663932 */   // Label 10570: @663932
     /*  663932 */   GIM_Try, /*On fail goto*//*Label 10571*/ GIMT_Encode4(664007), // Rule ID 10172 //
     /*  663937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  663948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  663951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  663954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  663957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  663983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  663986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664005 */     GIR_RootConstrainSelectedInstOperands,
     /*  664006 */     // GIR_Coverage, 10172,
     /*  664006 */     GIR_EraseRootFromParent_Done,
     /*  664007 */   // Label 10571: @664007
     /*  664007 */   GIM_Try, /*On fail goto*//*Label 10572*/ GIMT_Encode4(664082), // Rule ID 10175 //
     /*  664012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  664023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  664026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  664029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  664032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  664061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664080 */     GIR_RootConstrainSelectedInstOperands,
     /*  664081 */     // GIR_Coverage, 10175,
     /*  664081 */     GIR_EraseRootFromParent_Done,
     /*  664082 */   // Label 10572: @664082
     /*  664082 */   GIM_Try, /*On fail goto*//*Label 10573*/ GIMT_Encode4(664157), // Rule ID 10176 //
     /*  664087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  664098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  664101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  664104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  664107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664133 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  664136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664155 */     GIR_RootConstrainSelectedInstOperands,
     /*  664156 */     // GIR_Coverage, 10176,
     /*  664156 */     GIR_EraseRootFromParent_Done,
     /*  664157 */   // Label 10573: @664157
     /*  664157 */   GIM_Try, /*On fail goto*//*Label 10574*/ GIMT_Encode4(664232), // Rule ID 10179 //
     /*  664162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  664173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  664176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  664179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  664182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664208 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  664211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664230 */     GIR_RootConstrainSelectedInstOperands,
     /*  664231 */     // GIR_Coverage, 10179,
     /*  664231 */     GIR_EraseRootFromParent_Done,
     /*  664232 */   // Label 10574: @664232
     /*  664232 */   GIM_Try, /*On fail goto*//*Label 10575*/ GIMT_Encode4(664307), // Rule ID 10180 //
     /*  664237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  664248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  664251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  664254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  664257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  664286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664305 */     GIR_RootConstrainSelectedInstOperands,
     /*  664306 */     // GIR_Coverage, 10180,
     /*  664306 */     GIR_EraseRootFromParent_Done,
     /*  664307 */   // Label 10575: @664307
     /*  664307 */   GIM_Try, /*On fail goto*//*Label 10576*/ GIMT_Encode4(664382), // Rule ID 10183 //
     /*  664312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  664315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  664323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  664326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  664329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  664332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664358 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  664358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  664361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  664377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664380 */     GIR_RootConstrainSelectedInstOperands,
     /*  664381 */     // GIR_Coverage, 10183,
     /*  664381 */     GIR_EraseRootFromParent_Done,
     /*  664382 */   // Label 10576: @664382
     /*  664382 */   GIM_Try, /*On fail goto*//*Label 10577*/ GIMT_Encode4(664457), // Rule ID 10184 //
     /*  664387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  664390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  664398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  664401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  664404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  664407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664433 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  664433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  664436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  664452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664455 */     GIR_RootConstrainSelectedInstOperands,
     /*  664456 */     // GIR_Coverage, 10184,
     /*  664456 */     GIR_EraseRootFromParent_Done,
     /*  664457 */   // Label 10577: @664457
     /*  664457 */   GIM_Try, /*On fail goto*//*Label 10578*/ GIMT_Encode4(664532), // Rule ID 10187 //
     /*  664462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  664465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  664473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  664476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  664479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  664482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664508 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  664508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  664511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  664527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664530 */     GIR_RootConstrainSelectedInstOperands,
     /*  664531 */     // GIR_Coverage, 10187,
     /*  664531 */     GIR_EraseRootFromParent_Done,
     /*  664532 */   // Label 10578: @664532
     /*  664532 */   GIM_Try, /*On fail goto*//*Label 10579*/ GIMT_Encode4(664607), // Rule ID 10188 //
     /*  664537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  664540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  664548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  664551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  664554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  664557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664583 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  664583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  664586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  664602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664605 */     GIR_RootConstrainSelectedInstOperands,
     /*  664606 */     // GIR_Coverage, 10188,
     /*  664606 */     GIR_EraseRootFromParent_Done,
     /*  664607 */   // Label 10579: @664607
     /*  664607 */   GIM_Try, /*On fail goto*//*Label 10580*/ GIMT_Encode4(664682), // Rule ID 10191 //
     /*  664612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  664615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  664623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  664626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  664629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  664632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664658 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  664658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  664661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  664677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664680 */     GIR_RootConstrainSelectedInstOperands,
     /*  664681 */     // GIR_Coverage, 10191,
     /*  664681 */     GIR_EraseRootFromParent_Done,
     /*  664682 */   // Label 10580: @664682
     /*  664682 */   GIM_Try, /*On fail goto*//*Label 10581*/ GIMT_Encode4(664757), // Rule ID 10192 //
     /*  664687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  664690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  664698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  664701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  664704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  664707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664733 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  664733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  664736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  664752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664755 */     GIR_RootConstrainSelectedInstOperands,
     /*  664756 */     // GIR_Coverage, 10192,
     /*  664756 */     GIR_EraseRootFromParent_Done,
     /*  664757 */   // Label 10581: @664757
     /*  664757 */   GIM_Try, /*On fail goto*//*Label 10582*/ GIMT_Encode4(664832), // Rule ID 10195 //
     /*  664762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  664773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  664776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  664779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  664782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  664801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664808 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  664811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664830 */     GIR_RootConstrainSelectedInstOperands,
     /*  664831 */     // GIR_Coverage, 10195,
     /*  664831 */     GIR_EraseRootFromParent_Done,
     /*  664832 */   // Label 10582: @664832
     /*  664832 */   GIM_Try, /*On fail goto*//*Label 10583*/ GIMT_Encode4(664907), // Rule ID 10196 //
     /*  664837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  664848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  664851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  664854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  664857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  664876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664883 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  664886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664905 */     GIR_RootConstrainSelectedInstOperands,
     /*  664906 */     // GIR_Coverage, 10196,
     /*  664906 */     GIR_EraseRootFromParent_Done,
     /*  664907 */   // Label 10583: @664907
     /*  664907 */   GIM_Try, /*On fail goto*//*Label 10584*/ GIMT_Encode4(664982), // Rule ID 10199 //
     /*  664912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  664923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  664926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  664929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  664932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  664951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664958 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  664961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664980 */     GIR_RootConstrainSelectedInstOperands,
     /*  664981 */     // GIR_Coverage, 10199,
     /*  664981 */     GIR_EraseRootFromParent_Done,
     /*  664982 */   // Label 10584: @664982
     /*  664982 */   GIM_Try, /*On fail goto*//*Label 10585*/ GIMT_Encode4(665057), // Rule ID 10200 //
     /*  664987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  664995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  664998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  665001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  665004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665033 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  665036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665055 */     GIR_RootConstrainSelectedInstOperands,
     /*  665056 */     // GIR_Coverage, 10200,
     /*  665056 */     GIR_EraseRootFromParent_Done,
     /*  665057 */   // Label 10585: @665057
     /*  665057 */   GIM_Try, /*On fail goto*//*Label 10586*/ GIMT_Encode4(665132), // Rule ID 10203 //
     /*  665062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  665073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  665076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  665079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665108 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  665111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665130 */     GIR_RootConstrainSelectedInstOperands,
     /*  665131 */     // GIR_Coverage, 10203,
     /*  665131 */     GIR_EraseRootFromParent_Done,
     /*  665132 */   // Label 10586: @665132
     /*  665132 */   GIM_Try, /*On fail goto*//*Label 10587*/ GIMT_Encode4(665207), // Rule ID 10204 //
     /*  665137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  665148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  665151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  665154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665183 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  665186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665205 */     GIR_RootConstrainSelectedInstOperands,
     /*  665206 */     // GIR_Coverage, 10204,
     /*  665206 */     GIR_EraseRootFromParent_Done,
     /*  665207 */   // Label 10587: @665207
     /*  665207 */   GIM_Try, /*On fail goto*//*Label 10588*/ GIMT_Encode4(665282), // Rule ID 10207 //
     /*  665212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  665223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  665226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  665229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665258 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  665258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  665261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665280 */     GIR_RootConstrainSelectedInstOperands,
     /*  665281 */     // GIR_Coverage, 10207,
     /*  665281 */     GIR_EraseRootFromParent_Done,
     /*  665282 */   // Label 10588: @665282
     /*  665282 */   GIM_Try, /*On fail goto*//*Label 10589*/ GIMT_Encode4(665357), // Rule ID 10208 //
     /*  665287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  665298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  665301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  665304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665333 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  665333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  665336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665355 */     GIR_RootConstrainSelectedInstOperands,
     /*  665356 */     // GIR_Coverage, 10208,
     /*  665356 */     GIR_EraseRootFromParent_Done,
     /*  665357 */   // Label 10589: @665357
     /*  665357 */   GIM_Try, /*On fail goto*//*Label 10590*/ GIMT_Encode4(665432), // Rule ID 10211 //
     /*  665362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  665373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  665376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  665379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665408 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  665408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  665411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665430 */     GIR_RootConstrainSelectedInstOperands,
     /*  665431 */     // GIR_Coverage, 10211,
     /*  665431 */     GIR_EraseRootFromParent_Done,
     /*  665432 */   // Label 10590: @665432
     /*  665432 */   GIM_Try, /*On fail goto*//*Label 10591*/ GIMT_Encode4(665507), // Rule ID 10212 //
     /*  665437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  665448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  665451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  665454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665483 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  665483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  665486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665505 */     GIR_RootConstrainSelectedInstOperands,
     /*  665506 */     // GIR_Coverage, 10212,
     /*  665506 */     GIR_EraseRootFromParent_Done,
     /*  665507 */   // Label 10591: @665507
     /*  665507 */   GIM_Try, /*On fail goto*//*Label 10592*/ GIMT_Encode4(665582), // Rule ID 10215 //
     /*  665512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  665523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  665526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  665529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665558 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  665561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665580 */     GIR_RootConstrainSelectedInstOperands,
     /*  665581 */     // GIR_Coverage, 10215,
     /*  665581 */     GIR_EraseRootFromParent_Done,
     /*  665582 */   // Label 10592: @665582
     /*  665582 */   GIM_Try, /*On fail goto*//*Label 10593*/ GIMT_Encode4(665657), // Rule ID 10216 //
     /*  665587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  665598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  665601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  665604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665633 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  665636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665655 */     GIR_RootConstrainSelectedInstOperands,
     /*  665656 */     // GIR_Coverage, 10216,
     /*  665656 */     GIR_EraseRootFromParent_Done,
     /*  665657 */   // Label 10593: @665657
     /*  665657 */   GIM_Try, /*On fail goto*//*Label 10594*/ GIMT_Encode4(665732), // Rule ID 10219 //
     /*  665662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  665673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  665676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  665679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665708 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  665711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665730 */     GIR_RootConstrainSelectedInstOperands,
     /*  665731 */     // GIR_Coverage, 10219,
     /*  665731 */     GIR_EraseRootFromParent_Done,
     /*  665732 */   // Label 10594: @665732
     /*  665732 */   GIM_Try, /*On fail goto*//*Label 10595*/ GIMT_Encode4(665807), // Rule ID 10220 //
     /*  665737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  665748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  665751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  665754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665783 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  665786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665805 */     GIR_RootConstrainSelectedInstOperands,
     /*  665806 */     // GIR_Coverage, 10220,
     /*  665806 */     GIR_EraseRootFromParent_Done,
     /*  665807 */   // Label 10595: @665807
     /*  665807 */   GIM_Try, /*On fail goto*//*Label 10596*/ GIMT_Encode4(665882), // Rule ID 10223 //
     /*  665812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  665823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  665826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  665829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  665858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  665861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665880 */     GIR_RootConstrainSelectedInstOperands,
     /*  665881 */     // GIR_Coverage, 10223,
     /*  665881 */     GIR_EraseRootFromParent_Done,
     /*  665882 */   // Label 10596: @665882
     /*  665882 */   GIM_Try, /*On fail goto*//*Label 10597*/ GIMT_Encode4(665957), // Rule ID 10224 //
     /*  665887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  665898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  665901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  665904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665933 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  665933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  665936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665955 */     GIR_RootConstrainSelectedInstOperands,
     /*  665956 */     // GIR_Coverage, 10224,
     /*  665956 */     GIR_EraseRootFromParent_Done,
     /*  665957 */   // Label 10597: @665957
     /*  665957 */   GIM_Try, /*On fail goto*//*Label 10598*/ GIMT_Encode4(666032), // Rule ID 10227 //
     /*  665962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  665970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  665973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  665976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  665979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  666008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  666011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666030 */     GIR_RootConstrainSelectedInstOperands,
     /*  666031 */     // GIR_Coverage, 10227,
     /*  666031 */     GIR_EraseRootFromParent_Done,
     /*  666032 */   // Label 10598: @666032
     /*  666032 */   GIM_Try, /*On fail goto*//*Label 10599*/ GIMT_Encode4(666107), // Rule ID 10228 //
     /*  666037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  666048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  666051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  666054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666083 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  666083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  666086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666105 */     GIR_RootConstrainSelectedInstOperands,
     /*  666106 */     // GIR_Coverage, 10228,
     /*  666106 */     GIR_EraseRootFromParent_Done,
     /*  666107 */   // Label 10599: @666107
     /*  666107 */   GIM_Try, /*On fail goto*//*Label 10600*/ GIMT_Encode4(666182), // Rule ID 10231 //
     /*  666112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  666115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  666123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  666126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  666129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666158 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  666158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  666161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666180 */     GIR_RootConstrainSelectedInstOperands,
     /*  666181 */     // GIR_Coverage, 10231,
     /*  666181 */     GIR_EraseRootFromParent_Done,
     /*  666182 */   // Label 10600: @666182
     /*  666182 */   GIM_Try, /*On fail goto*//*Label 10601*/ GIMT_Encode4(666257), // Rule ID 10232 //
     /*  666187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  666190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  666198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  666201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  666204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666233 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  666233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  666236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666255 */     GIR_RootConstrainSelectedInstOperands,
     /*  666256 */     // GIR_Coverage, 10232,
     /*  666256 */     GIR_EraseRootFromParent_Done,
     /*  666257 */   // Label 10601: @666257
     /*  666257 */   GIM_Try, /*On fail goto*//*Label 10602*/ GIMT_Encode4(666332), // Rule ID 10235 //
     /*  666262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  666273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  666276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  666279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666308 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  666311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666330 */     GIR_RootConstrainSelectedInstOperands,
     /*  666331 */     // GIR_Coverage, 10235,
     /*  666331 */     GIR_EraseRootFromParent_Done,
     /*  666332 */   // Label 10602: @666332
     /*  666332 */   GIM_Try, /*On fail goto*//*Label 10603*/ GIMT_Encode4(666407), // Rule ID 10236 //
     /*  666337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  666348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  666351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  666354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666383 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  666386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666405 */     GIR_RootConstrainSelectedInstOperands,
     /*  666406 */     // GIR_Coverage, 10236,
     /*  666406 */     GIR_EraseRootFromParent_Done,
     /*  666407 */   // Label 10603: @666407
     /*  666407 */   GIM_Try, /*On fail goto*//*Label 10604*/ GIMT_Encode4(666482), // Rule ID 10239 //
     /*  666412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  666423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  666426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  666429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666458 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  666461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666480 */     GIR_RootConstrainSelectedInstOperands,
     /*  666481 */     // GIR_Coverage, 10239,
     /*  666481 */     GIR_EraseRootFromParent_Done,
     /*  666482 */   // Label 10604: @666482
     /*  666482 */   GIM_Try, /*On fail goto*//*Label 10605*/ GIMT_Encode4(666557), // Rule ID 10240 //
     /*  666487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  666498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  666501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  666504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666533 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  666536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666555 */     GIR_RootConstrainSelectedInstOperands,
     /*  666556 */     // GIR_Coverage, 10240,
     /*  666556 */     GIR_EraseRootFromParent_Done,
     /*  666557 */   // Label 10605: @666557
     /*  666557 */   GIM_Try, /*On fail goto*//*Label 10606*/ GIMT_Encode4(666632), // Rule ID 10243 //
     /*  666562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  666573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  666576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  666579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666608 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  666611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666630 */     GIR_RootConstrainSelectedInstOperands,
     /*  666631 */     // GIR_Coverage, 10243,
     /*  666631 */     GIR_EraseRootFromParent_Done,
     /*  666632 */   // Label 10606: @666632
     /*  666632 */   GIM_Try, /*On fail goto*//*Label 10607*/ GIMT_Encode4(666707), // Rule ID 10244 //
     /*  666637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  666648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  666651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  666654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666683 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  666686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666705 */     GIR_RootConstrainSelectedInstOperands,
     /*  666706 */     // GIR_Coverage, 10244,
     /*  666706 */     GIR_EraseRootFromParent_Done,
     /*  666707 */   // Label 10607: @666707
     /*  666707 */   GIM_Try, /*On fail goto*//*Label 10608*/ GIMT_Encode4(666782), // Rule ID 10247 //
     /*  666712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  666723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  666726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  666729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666758 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  666761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666780 */     GIR_RootConstrainSelectedInstOperands,
     /*  666781 */     // GIR_Coverage, 10247,
     /*  666781 */     GIR_EraseRootFromParent_Done,
     /*  666782 */   // Label 10608: @666782
     /*  666782 */   GIM_Try, /*On fail goto*//*Label 10609*/ GIMT_Encode4(666857), // Rule ID 10248 //
     /*  666787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  666798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  666801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  666804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666833 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  666836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666855 */     GIR_RootConstrainSelectedInstOperands,
     /*  666856 */     // GIR_Coverage, 10248,
     /*  666856 */     GIR_EraseRootFromParent_Done,
     /*  666857 */   // Label 10609: @666857
     /*  666857 */   GIM_Try, /*On fail goto*//*Label 10610*/ GIMT_Encode4(666932), // Rule ID 10251 //
     /*  666862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  666873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  666876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  666879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666908 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  666911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666930 */     GIR_RootConstrainSelectedInstOperands,
     /*  666931 */     // GIR_Coverage, 10251,
     /*  666931 */     GIR_EraseRootFromParent_Done,
     /*  666932 */   // Label 10610: @666932
     /*  666932 */   GIM_Try, /*On fail goto*//*Label 10611*/ GIMT_Encode4(667007), // Rule ID 10252 //
     /*  666937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  666945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  666948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  666951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  666954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666983 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  666986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667005 */     GIR_RootConstrainSelectedInstOperands,
     /*  667006 */     // GIR_Coverage, 10252,
     /*  667006 */     GIR_EraseRootFromParent_Done,
     /*  667007 */   // Label 10611: @667007
     /*  667007 */   GIM_Try, /*On fail goto*//*Label 10612*/ GIMT_Encode4(667082), // Rule ID 10255 //
     /*  667012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  667023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  667026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  667029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667058 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  667061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667080 */     GIR_RootConstrainSelectedInstOperands,
     /*  667081 */     // GIR_Coverage, 10255,
     /*  667081 */     GIR_EraseRootFromParent_Done,
     /*  667082 */   // Label 10612: @667082
     /*  667082 */   GIM_Try, /*On fail goto*//*Label 10613*/ GIMT_Encode4(667157), // Rule ID 10256 //
     /*  667087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  667098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  667101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  667104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667133 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  667136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667155 */     GIR_RootConstrainSelectedInstOperands,
     /*  667156 */     // GIR_Coverage, 10256,
     /*  667156 */     GIR_EraseRootFromParent_Done,
     /*  667157 */   // Label 10613: @667157
     /*  667157 */   GIM_Try, /*On fail goto*//*Label 10614*/ GIMT_Encode4(667232), // Rule ID 10259 //
     /*  667162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  667173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  667176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  667179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667208 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  667211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667230 */     GIR_RootConstrainSelectedInstOperands,
     /*  667231 */     // GIR_Coverage, 10259,
     /*  667231 */     GIR_EraseRootFromParent_Done,
     /*  667232 */   // Label 10614: @667232
     /*  667232 */   GIM_Try, /*On fail goto*//*Label 10615*/ GIMT_Encode4(667307), // Rule ID 10260 //
     /*  667237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  667248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  667251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  667254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667283 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  667286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667305 */     GIR_RootConstrainSelectedInstOperands,
     /*  667306 */     // GIR_Coverage, 10260,
     /*  667306 */     GIR_EraseRootFromParent_Done,
     /*  667307 */   // Label 10615: @667307
     /*  667307 */   GIM_Try, /*On fail goto*//*Label 10616*/ GIMT_Encode4(667382), // Rule ID 10263 //
     /*  667312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  667323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  667326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  667329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667358 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  667361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667380 */     GIR_RootConstrainSelectedInstOperands,
     /*  667381 */     // GIR_Coverage, 10263,
     /*  667381 */     GIR_EraseRootFromParent_Done,
     /*  667382 */   // Label 10616: @667382
     /*  667382 */   GIM_Try, /*On fail goto*//*Label 10617*/ GIMT_Encode4(667457), // Rule ID 10264 //
     /*  667387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  667398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  667401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  667404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667433 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  667436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667455 */     GIR_RootConstrainSelectedInstOperands,
     /*  667456 */     // GIR_Coverage, 10264,
     /*  667456 */     GIR_EraseRootFromParent_Done,
     /*  667457 */   // Label 10617: @667457
     /*  667457 */   GIM_Try, /*On fail goto*//*Label 10618*/ GIMT_Encode4(667532), // Rule ID 10267 //
     /*  667462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  667473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  667476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  667479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667508 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  667511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667530 */     GIR_RootConstrainSelectedInstOperands,
     /*  667531 */     // GIR_Coverage, 10267,
     /*  667531 */     GIR_EraseRootFromParent_Done,
     /*  667532 */   // Label 10618: @667532
     /*  667532 */   GIM_Try, /*On fail goto*//*Label 10619*/ GIMT_Encode4(667607), // Rule ID 10268 //
     /*  667537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  667548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  667551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  667554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667583 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  667586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667605 */     GIR_RootConstrainSelectedInstOperands,
     /*  667606 */     // GIR_Coverage, 10268,
     /*  667606 */     GIR_EraseRootFromParent_Done,
     /*  667607 */   // Label 10619: @667607
     /*  667607 */   GIM_Try, /*On fail goto*//*Label 10620*/ GIMT_Encode4(667682), // Rule ID 10271 //
     /*  667612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  667615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  667623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  667626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  667629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667658 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  667658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  667661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  667677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667680 */     GIR_RootConstrainSelectedInstOperands,
     /*  667681 */     // GIR_Coverage, 10271,
     /*  667681 */     GIR_EraseRootFromParent_Done,
     /*  667682 */   // Label 10620: @667682
     /*  667682 */   GIM_Try, /*On fail goto*//*Label 10621*/ GIMT_Encode4(667757), // Rule ID 10272 //
     /*  667687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  667690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  667698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  667701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  667704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667733 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  667733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  667736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  667752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667755 */     GIR_RootConstrainSelectedInstOperands,
     /*  667756 */     // GIR_Coverage, 10272,
     /*  667756 */     GIR_EraseRootFromParent_Done,
     /*  667757 */   // Label 10621: @667757
     /*  667757 */   GIM_Try, /*On fail goto*//*Label 10622*/ GIMT_Encode4(667832), // Rule ID 10275 //
     /*  667762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  667765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  667773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  667776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  667779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667808 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  667808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  667811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  667827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667830 */     GIR_RootConstrainSelectedInstOperands,
     /*  667831 */     // GIR_Coverage, 10275,
     /*  667831 */     GIR_EraseRootFromParent_Done,
     /*  667832 */   // Label 10622: @667832
     /*  667832 */   GIM_Try, /*On fail goto*//*Label 10623*/ GIMT_Encode4(667907), // Rule ID 10276 //
     /*  667837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  667840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  667848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  667851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  667854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667883 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  667883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  667886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  667902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667905 */     GIR_RootConstrainSelectedInstOperands,
     /*  667906 */     // GIR_Coverage, 10276,
     /*  667906 */     GIR_EraseRootFromParent_Done,
     /*  667907 */   // Label 10623: @667907
     /*  667907 */   GIM_Try, /*On fail goto*//*Label 10624*/ GIMT_Encode4(667982), // Rule ID 10279 //
     /*  667912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  667915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  667923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  667926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  667929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667958 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  667958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  667961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  667977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667980 */     GIR_RootConstrainSelectedInstOperands,
     /*  667981 */     // GIR_Coverage, 10279,
     /*  667981 */     GIR_EraseRootFromParent_Done,
     /*  667982 */   // Label 10624: @667982
     /*  667982 */   GIM_Try, /*On fail goto*//*Label 10625*/ GIMT_Encode4(668057), // Rule ID 10280 //
     /*  667987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  667990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  667998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  668001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  668004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668033 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  668033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  668036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668055 */     GIR_RootConstrainSelectedInstOperands,
     /*  668056 */     // GIR_Coverage, 10280,
     /*  668056 */     GIR_EraseRootFromParent_Done,
     /*  668057 */   // Label 10625: @668057
     /*  668057 */   GIM_Try, /*On fail goto*//*Label 10626*/ GIMT_Encode4(668132), // Rule ID 10283 //
     /*  668062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  668073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  668076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  668079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  668082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668108 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  668111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668130 */     GIR_RootConstrainSelectedInstOperands,
     /*  668131 */     // GIR_Coverage, 10283,
     /*  668131 */     GIR_EraseRootFromParent_Done,
     /*  668132 */   // Label 10626: @668132
     /*  668132 */   GIM_Try, /*On fail goto*//*Label 10627*/ GIMT_Encode4(668207), // Rule ID 10284 //
     /*  668137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  668148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  668151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  668154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  668157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668183 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  668186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668205 */     GIR_RootConstrainSelectedInstOperands,
     /*  668206 */     // GIR_Coverage, 10284,
     /*  668206 */     GIR_EraseRootFromParent_Done,
     /*  668207 */   // Label 10627: @668207
     /*  668207 */   GIM_Try, /*On fail goto*//*Label 10628*/ GIMT_Encode4(668282), // Rule ID 10287 //
     /*  668212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  668223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  668226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  668229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  668232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668258 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  668261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668280 */     GIR_RootConstrainSelectedInstOperands,
     /*  668281 */     // GIR_Coverage, 10287,
     /*  668281 */     GIR_EraseRootFromParent_Done,
     /*  668282 */   // Label 10628: @668282
     /*  668282 */   GIM_Try, /*On fail goto*//*Label 10629*/ GIMT_Encode4(668357), // Rule ID 10288 //
     /*  668287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  668298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  668301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  668304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  668307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668333 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  668336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668355 */     GIR_RootConstrainSelectedInstOperands,
     /*  668356 */     // GIR_Coverage, 10288,
     /*  668356 */     GIR_EraseRootFromParent_Done,
     /*  668357 */   // Label 10629: @668357
     /*  668357 */   GIM_Try, /*On fail goto*//*Label 10630*/ GIMT_Encode4(668432), // Rule ID 10291 //
     /*  668362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  668373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  668376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  668379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  668382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668408 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  668411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668430 */     GIR_RootConstrainSelectedInstOperands,
     /*  668431 */     // GIR_Coverage, 10291,
     /*  668431 */     GIR_EraseRootFromParent_Done,
     /*  668432 */   // Label 10630: @668432
     /*  668432 */   GIM_Try, /*On fail goto*//*Label 10631*/ GIMT_Encode4(668507), // Rule ID 10292 //
     /*  668437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  668448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  668451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  668454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  668457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668483 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  668486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668505 */     GIR_RootConstrainSelectedInstOperands,
     /*  668506 */     // GIR_Coverage, 10292,
     /*  668506 */     GIR_EraseRootFromParent_Done,
     /*  668507 */   // Label 10631: @668507
     /*  668507 */   GIM_Try, /*On fail goto*//*Label 10632*/ GIMT_Encode4(668582), // Rule ID 10295 //
     /*  668512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  668523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  668526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  668529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  668532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668558 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  668561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668580 */     GIR_RootConstrainSelectedInstOperands,
     /*  668581 */     // GIR_Coverage, 10295,
     /*  668581 */     GIR_EraseRootFromParent_Done,
     /*  668582 */   // Label 10632: @668582
     /*  668582 */   GIM_Try, /*On fail goto*//*Label 10633*/ GIMT_Encode4(668657), // Rule ID 10296 //
     /*  668587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  668598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  668601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  668604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  668607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668633 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  668636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668655 */     GIR_RootConstrainSelectedInstOperands,
     /*  668656 */     // GIR_Coverage, 10296,
     /*  668656 */     GIR_EraseRootFromParent_Done,
     /*  668657 */   // Label 10633: @668657
     /*  668657 */   GIM_Try, /*On fail goto*//*Label 10634*/ GIMT_Encode4(668732), // Rule ID 10299 //
     /*  668662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  668673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  668676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  668679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  668682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668708 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  668711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668730 */     GIR_RootConstrainSelectedInstOperands,
     /*  668731 */     // GIR_Coverage, 10299,
     /*  668731 */     GIR_EraseRootFromParent_Done,
     /*  668732 */   // Label 10634: @668732
     /*  668732 */   GIM_Try, /*On fail goto*//*Label 10635*/ GIMT_Encode4(668807), // Rule ID 10300 //
     /*  668737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  668748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  668751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  668754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  668757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668783 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  668786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668805 */     GIR_RootConstrainSelectedInstOperands,
     /*  668806 */     // GIR_Coverage, 10300,
     /*  668806 */     GIR_EraseRootFromParent_Done,
     /*  668807 */   // Label 10635: @668807
     /*  668807 */   GIM_Try, /*On fail goto*//*Label 10636*/ GIMT_Encode4(668882), // Rule ID 10303 //
     /*  668812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  668823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  668826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  668829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  668832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668858 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  668861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668880 */     GIR_RootConstrainSelectedInstOperands,
     /*  668881 */     // GIR_Coverage, 10303,
     /*  668881 */     GIR_EraseRootFromParent_Done,
     /*  668882 */   // Label 10636: @668882
     /*  668882 */   GIM_Try, /*On fail goto*//*Label 10637*/ GIMT_Encode4(668957), // Rule ID 10304 //
     /*  668887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  668898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  668901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  668904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  668907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668933 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  668933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  668936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668955 */     GIR_RootConstrainSelectedInstOperands,
     /*  668956 */     // GIR_Coverage, 10304,
     /*  668956 */     GIR_EraseRootFromParent_Done,
     /*  668957 */   // Label 10637: @668957
     /*  668957 */   GIM_Try, /*On fail goto*//*Label 10638*/ GIMT_Encode4(669032), // Rule ID 10307 //
     /*  668962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  668973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  668976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  668979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  668982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  669011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669030 */     GIR_RootConstrainSelectedInstOperands,
     /*  669031 */     // GIR_Coverage, 10307,
     /*  669031 */     GIR_EraseRootFromParent_Done,
     /*  669032 */   // Label 10638: @669032
     /*  669032 */   GIM_Try, /*On fail goto*//*Label 10639*/ GIMT_Encode4(669107), // Rule ID 10308 //
     /*  669037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  669048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  669051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  669054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  669057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669083 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  669086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669105 */     GIR_RootConstrainSelectedInstOperands,
     /*  669106 */     // GIR_Coverage, 10308,
     /*  669106 */     GIR_EraseRootFromParent_Done,
     /*  669107 */   // Label 10639: @669107
     /*  669107 */   GIM_Try, /*On fail goto*//*Label 10640*/ GIMT_Encode4(669182), // Rule ID 10311 //
     /*  669112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  669123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  669126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  669129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  669132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669158 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  669161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669180 */     GIR_RootConstrainSelectedInstOperands,
     /*  669181 */     // GIR_Coverage, 10311,
     /*  669181 */     GIR_EraseRootFromParent_Done,
     /*  669182 */   // Label 10640: @669182
     /*  669182 */   GIM_Try, /*On fail goto*//*Label 10641*/ GIMT_Encode4(669257), // Rule ID 10312 //
     /*  669187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  669198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  669201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  669204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  669207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669233 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  669236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669255 */     GIR_RootConstrainSelectedInstOperands,
     /*  669256 */     // GIR_Coverage, 10312,
     /*  669256 */     GIR_EraseRootFromParent_Done,
     /*  669257 */   // Label 10641: @669257
     /*  669257 */   GIM_Try, /*On fail goto*//*Label 10642*/ GIMT_Encode4(669332), // Rule ID 10315 //
     /*  669262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  669273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  669276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  669279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  669282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  669308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  669311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669330 */     GIR_RootConstrainSelectedInstOperands,
     /*  669331 */     // GIR_Coverage, 10315,
     /*  669331 */     GIR_EraseRootFromParent_Done,
     /*  669332 */   // Label 10642: @669332
     /*  669332 */   GIM_Try, /*On fail goto*//*Label 10643*/ GIMT_Encode4(669407), // Rule ID 10316 //
     /*  669337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  669348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  669351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  669354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  669357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669383 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  669383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  669386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669405 */     GIR_RootConstrainSelectedInstOperands,
     /*  669406 */     // GIR_Coverage, 10316,
     /*  669406 */     GIR_EraseRootFromParent_Done,
     /*  669407 */   // Label 10643: @669407
     /*  669407 */   GIM_Try, /*On fail goto*//*Label 10644*/ GIMT_Encode4(669482), // Rule ID 10319 //
     /*  669412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  669415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  669423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  669426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  669429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  669432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669458 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  669458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  669461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669480 */     GIR_RootConstrainSelectedInstOperands,
     /*  669481 */     // GIR_Coverage, 10319,
     /*  669481 */     GIR_EraseRootFromParent_Done,
     /*  669482 */   // Label 10644: @669482
     /*  669482 */   GIM_Try, /*On fail goto*//*Label 10645*/ GIMT_Encode4(669557), // Rule ID 10320 //
     /*  669487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  669490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  669498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  669501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  669504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  669507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669533 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  669533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  669536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669555 */     GIR_RootConstrainSelectedInstOperands,
     /*  669556 */     // GIR_Coverage, 10320,
     /*  669556 */     GIR_EraseRootFromParent_Done,
     /*  669557 */   // Label 10645: @669557
     /*  669557 */   GIM_Try, /*On fail goto*//*Label 10646*/ GIMT_Encode4(669632), // Rule ID 10323 //
     /*  669562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  669573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  669576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  669579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  669582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669608 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  669611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669630 */     GIR_RootConstrainSelectedInstOperands,
     /*  669631 */     // GIR_Coverage, 10323,
     /*  669631 */     GIR_EraseRootFromParent_Done,
     /*  669632 */   // Label 10646: @669632
     /*  669632 */   GIM_Try, /*On fail goto*//*Label 10647*/ GIMT_Encode4(669707), // Rule ID 10324 //
     /*  669637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  669648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  669651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  669654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  669657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669683 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  669686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669705 */     GIR_RootConstrainSelectedInstOperands,
     /*  669706 */     // GIR_Coverage, 10324,
     /*  669706 */     GIR_EraseRootFromParent_Done,
     /*  669707 */   // Label 10647: @669707
     /*  669707 */   GIM_Try, /*On fail goto*//*Label 10648*/ GIMT_Encode4(669782), // Rule ID 10327 //
     /*  669712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  669723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  669726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  669729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  669732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669758 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  669761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669780 */     GIR_RootConstrainSelectedInstOperands,
     /*  669781 */     // GIR_Coverage, 10327,
     /*  669781 */     GIR_EraseRootFromParent_Done,
     /*  669782 */   // Label 10648: @669782
     /*  669782 */   GIM_Try, /*On fail goto*//*Label 10649*/ GIMT_Encode4(669857), // Rule ID 10328 //
     /*  669787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  669798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  669801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  669804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  669807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669833 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  669836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669855 */     GIR_RootConstrainSelectedInstOperands,
     /*  669856 */     // GIR_Coverage, 10328,
     /*  669856 */     GIR_EraseRootFromParent_Done,
     /*  669857 */   // Label 10649: @669857
     /*  669857 */   GIM_Try, /*On fail goto*//*Label 10650*/ GIMT_Encode4(669932), // Rule ID 10331 //
     /*  669862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  669873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  669876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  669879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  669882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669908 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  669911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669930 */     GIR_RootConstrainSelectedInstOperands,
     /*  669931 */     // GIR_Coverage, 10331,
     /*  669931 */     GIR_EraseRootFromParent_Done,
     /*  669932 */   // Label 10650: @669932
     /*  669932 */   GIM_Try, /*On fail goto*//*Label 10651*/ GIMT_Encode4(670007), // Rule ID 10332 //
     /*  669937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  669948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  669951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  669954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  669957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669983 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  669986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670005 */     GIR_RootConstrainSelectedInstOperands,
     /*  670006 */     // GIR_Coverage, 10332,
     /*  670006 */     GIR_EraseRootFromParent_Done,
     /*  670007 */   // Label 10651: @670007
     /*  670007 */   GIM_Try, /*On fail goto*//*Label 10652*/ GIMT_Encode4(670082), // Rule ID 10335 //
     /*  670012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  670023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  670026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  670029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  670032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670058 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  670058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  670061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670080 */     GIR_RootConstrainSelectedInstOperands,
     /*  670081 */     // GIR_Coverage, 10335,
     /*  670081 */     GIR_EraseRootFromParent_Done,
     /*  670082 */   // Label 10652: @670082
     /*  670082 */   GIM_Try, /*On fail goto*//*Label 10653*/ GIMT_Encode4(670157), // Rule ID 10336 //
     /*  670087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  670098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  670101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  670104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  670107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670133 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  670133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  670136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670155 */     GIR_RootConstrainSelectedInstOperands,
     /*  670156 */     // GIR_Coverage, 10336,
     /*  670156 */     GIR_EraseRootFromParent_Done,
     /*  670157 */   // Label 10653: @670157
     /*  670157 */   GIM_Try, /*On fail goto*//*Label 10654*/ GIMT_Encode4(670232), // Rule ID 10339 //
     /*  670162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  670173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  670176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  670179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  670182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670208 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  670208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  670211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670230 */     GIR_RootConstrainSelectedInstOperands,
     /*  670231 */     // GIR_Coverage, 10339,
     /*  670231 */     GIR_EraseRootFromParent_Done,
     /*  670232 */   // Label 10654: @670232
     /*  670232 */   GIM_Try, /*On fail goto*//*Label 10655*/ GIMT_Encode4(670307), // Rule ID 10340 //
     /*  670237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  670248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  670251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  670254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  670257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670283 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  670283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  670286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670305 */     GIR_RootConstrainSelectedInstOperands,
     /*  670306 */     // GIR_Coverage, 10340,
     /*  670306 */     GIR_EraseRootFromParent_Done,
     /*  670307 */   // Label 10655: @670307
     /*  670307 */   GIM_Try, /*On fail goto*//*Label 10656*/ GIMT_Encode4(670382), // Rule ID 10343 //
     /*  670312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  670323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  670326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  670329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  670332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670358 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  670358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  670361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670380 */     GIR_RootConstrainSelectedInstOperands,
     /*  670381 */     // GIR_Coverage, 10343,
     /*  670381 */     GIR_EraseRootFromParent_Done,
     /*  670382 */   // Label 10656: @670382
     /*  670382 */   GIM_Try, /*On fail goto*//*Label 10657*/ GIMT_Encode4(670457), // Rule ID 10344 //
     /*  670387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  670398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  670401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  670404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  670407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670433 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  670433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  670436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670455 */     GIR_RootConstrainSelectedInstOperands,
     /*  670456 */     // GIR_Coverage, 10344,
     /*  670456 */     GIR_EraseRootFromParent_Done,
     /*  670457 */   // Label 10657: @670457
     /*  670457 */   GIM_Try, /*On fail goto*//*Label 10658*/ GIMT_Encode4(670532), // Rule ID 10347 //
     /*  670462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  670473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  670476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  670479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  670482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670508 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  670508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  670511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670530 */     GIR_RootConstrainSelectedInstOperands,
     /*  670531 */     // GIR_Coverage, 10347,
     /*  670531 */     GIR_EraseRootFromParent_Done,
     /*  670532 */   // Label 10658: @670532
     /*  670532 */   GIM_Try, /*On fail goto*//*Label 10659*/ GIMT_Encode4(670607), // Rule ID 10348 //
     /*  670537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  670548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  670551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  670554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  670557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670583 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  670583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  670586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670605 */     GIR_RootConstrainSelectedInstOperands,
     /*  670606 */     // GIR_Coverage, 10348,
     /*  670606 */     GIR_EraseRootFromParent_Done,
     /*  670607 */   // Label 10659: @670607
     /*  670607 */   GIM_Try, /*On fail goto*//*Label 10660*/ GIMT_Encode4(670682), // Rule ID 10351 //
     /*  670612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  670623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  670626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  670629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  670632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670658 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  670658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  670661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670680 */     GIR_RootConstrainSelectedInstOperands,
     /*  670681 */     // GIR_Coverage, 10351,
     /*  670681 */     GIR_EraseRootFromParent_Done,
     /*  670682 */   // Label 10660: @670682
     /*  670682 */   GIM_Try, /*On fail goto*//*Label 10661*/ GIMT_Encode4(670757), // Rule ID 10352 //
     /*  670687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  670698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  670701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  670704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  670707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670733 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  670733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  670736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670755 */     GIR_RootConstrainSelectedInstOperands,
     /*  670756 */     // GIR_Coverage, 10352,
     /*  670756 */     GIR_EraseRootFromParent_Done,
     /*  670757 */   // Label 10661: @670757
     /*  670757 */   GIM_Try, /*On fail goto*//*Label 10662*/ GIMT_Encode4(670832), // Rule ID 10355 //
     /*  670762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  670773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  670776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  670779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  670782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670808 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  670808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  670811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670830 */     GIR_RootConstrainSelectedInstOperands,
     /*  670831 */     // GIR_Coverage, 10355,
     /*  670831 */     GIR_EraseRootFromParent_Done,
     /*  670832 */   // Label 10662: @670832
     /*  670832 */   GIM_Try, /*On fail goto*//*Label 10663*/ GIMT_Encode4(670907), // Rule ID 10356 //
     /*  670837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  670848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  670851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  670854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  670857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670883 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  670883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  670886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670905 */     GIR_RootConstrainSelectedInstOperands,
     /*  670906 */     // GIR_Coverage, 10356,
     /*  670906 */     GIR_EraseRootFromParent_Done,
     /*  670907 */   // Label 10663: @670907
     /*  670907 */   GIM_Try, /*On fail goto*//*Label 10664*/ GIMT_Encode4(670982), // Rule ID 10359 //
     /*  670912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  670915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  670923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  670926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  670929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  670932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  670958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  670961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670980 */     GIR_RootConstrainSelectedInstOperands,
     /*  670981 */     // GIR_Coverage, 10359,
     /*  670981 */     GIR_EraseRootFromParent_Done,
     /*  670982 */   // Label 10664: @670982
     /*  670982 */   GIM_Try, /*On fail goto*//*Label 10665*/ GIMT_Encode4(671057), // Rule ID 10360 //
     /*  670987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  670990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  670995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  670998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  671001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  671004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  671007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671033 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  671033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  671036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671055 */     GIR_RootConstrainSelectedInstOperands,
     /*  671056 */     // GIR_Coverage, 10360,
     /*  671056 */     GIR_EraseRootFromParent_Done,
     /*  671057 */   // Label 10665: @671057
     /*  671057 */   GIM_Try, /*On fail goto*//*Label 10666*/ GIMT_Encode4(671132), // Rule ID 10363 //
     /*  671062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  671065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  671073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  671076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  671079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  671082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671108 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  671108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671130 */     GIR_RootConstrainSelectedInstOperands,
     /*  671131 */     // GIR_Coverage, 10363,
     /*  671131 */     GIR_EraseRootFromParent_Done,
     /*  671132 */   // Label 10666: @671132
     /*  671132 */   GIM_Try, /*On fail goto*//*Label 10667*/ GIMT_Encode4(671207), // Rule ID 10364 //
     /*  671137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  671140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  671148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  671151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  671154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  671157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671183 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  671183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  671186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671205 */     GIR_RootConstrainSelectedInstOperands,
     /*  671206 */     // GIR_Coverage, 10364,
     /*  671206 */     GIR_EraseRootFromParent_Done,
     /*  671207 */   // Label 10667: @671207
     /*  671207 */   GIM_Try, /*On fail goto*//*Label 10668*/ GIMT_Encode4(671282), // Rule ID 10367 //
     /*  671212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  671215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  671223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  671226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  671229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  671232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671258 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  671258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  671261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671280 */     GIR_RootConstrainSelectedInstOperands,
     /*  671281 */     // GIR_Coverage, 10367,
     /*  671281 */     GIR_EraseRootFromParent_Done,
     /*  671282 */   // Label 10668: @671282
     /*  671282 */   GIM_Try, /*On fail goto*//*Label 10669*/ GIMT_Encode4(671357), // Rule ID 10368 //
     /*  671287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  671290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  671298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  671301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  671304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  671307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671333 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  671333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  671336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671355 */     GIR_RootConstrainSelectedInstOperands,
     /*  671356 */     // GIR_Coverage, 10368,
     /*  671356 */     GIR_EraseRootFromParent_Done,
     /*  671357 */   // Label 10669: @671357
     /*  671357 */   GIM_Try, /*On fail goto*//*Label 10670*/ GIMT_Encode4(671432), // Rule ID 10371 //
     /*  671362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  671373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  671376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  671379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671408 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  671411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671430 */     GIR_RootConstrainSelectedInstOperands,
     /*  671431 */     // GIR_Coverage, 10371,
     /*  671431 */     GIR_EraseRootFromParent_Done,
     /*  671432 */   // Label 10670: @671432
     /*  671432 */   GIM_Try, /*On fail goto*//*Label 10671*/ GIMT_Encode4(671507), // Rule ID 10372 //
     /*  671437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  671448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  671451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  671454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671483 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  671486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671505 */     GIR_RootConstrainSelectedInstOperands,
     /*  671506 */     // GIR_Coverage, 10372,
     /*  671506 */     GIR_EraseRootFromParent_Done,
     /*  671507 */   // Label 10671: @671507
     /*  671507 */   GIM_Try, /*On fail goto*//*Label 10672*/ GIMT_Encode4(671582), // Rule ID 10375 //
     /*  671512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  671523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  671526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  671529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671558 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  671561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671580 */     GIR_RootConstrainSelectedInstOperands,
     /*  671581 */     // GIR_Coverage, 10375,
     /*  671581 */     GIR_EraseRootFromParent_Done,
     /*  671582 */   // Label 10672: @671582
     /*  671582 */   GIM_Try, /*On fail goto*//*Label 10673*/ GIMT_Encode4(671657), // Rule ID 10376 //
     /*  671587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  671598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  671601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  671604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671633 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  671636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671655 */     GIR_RootConstrainSelectedInstOperands,
     /*  671656 */     // GIR_Coverage, 10376,
     /*  671656 */     GIR_EraseRootFromParent_Done,
     /*  671657 */   // Label 10673: @671657
     /*  671657 */   GIM_Try, /*On fail goto*//*Label 10674*/ GIMT_Encode4(671732), // Rule ID 10379 //
     /*  671662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  671673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  671676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  671679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671708 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  671711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671730 */     GIR_RootConstrainSelectedInstOperands,
     /*  671731 */     // GIR_Coverage, 10379,
     /*  671731 */     GIR_EraseRootFromParent_Done,
     /*  671732 */   // Label 10674: @671732
     /*  671732 */   GIM_Try, /*On fail goto*//*Label 10675*/ GIMT_Encode4(671807), // Rule ID 10380 //
     /*  671737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  671748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  671751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  671754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671783 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  671786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671805 */     GIR_RootConstrainSelectedInstOperands,
     /*  671806 */     // GIR_Coverage, 10380,
     /*  671806 */     GIR_EraseRootFromParent_Done,
     /*  671807 */   // Label 10675: @671807
     /*  671807 */   GIM_Try, /*On fail goto*//*Label 10676*/ GIMT_Encode4(671882), // Rule ID 10383 //
     /*  671812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  671823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  671826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  671829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671858 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  671861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671880 */     GIR_RootConstrainSelectedInstOperands,
     /*  671881 */     // GIR_Coverage, 10383,
     /*  671881 */     GIR_EraseRootFromParent_Done,
     /*  671882 */   // Label 10676: @671882
     /*  671882 */   GIM_Try, /*On fail goto*//*Label 10677*/ GIMT_Encode4(671957), // Rule ID 10384 //
     /*  671887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  671898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  671901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  671904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671933 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  671936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671955 */     GIR_RootConstrainSelectedInstOperands,
     /*  671956 */     // GIR_Coverage, 10384,
     /*  671956 */     GIR_EraseRootFromParent_Done,
     /*  671957 */   // Label 10677: @671957
     /*  671957 */   GIM_Try, /*On fail goto*//*Label 10678*/ GIMT_Encode4(672032), // Rule ID 10387 //
     /*  671962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  671970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  671973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  671976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  671979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672008 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  672008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  672011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672030 */     GIR_RootConstrainSelectedInstOperands,
     /*  672031 */     // GIR_Coverage, 10387,
     /*  672031 */     GIR_EraseRootFromParent_Done,
     /*  672032 */   // Label 10678: @672032
     /*  672032 */   GIM_Try, /*On fail goto*//*Label 10679*/ GIMT_Encode4(672107), // Rule ID 10388 //
     /*  672037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  672048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  672051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  672054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672083 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  672086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672105 */     GIR_RootConstrainSelectedInstOperands,
     /*  672106 */     // GIR_Coverage, 10388,
     /*  672106 */     GIR_EraseRootFromParent_Done,
     /*  672107 */   // Label 10679: @672107
     /*  672107 */   GIM_Try, /*On fail goto*//*Label 10680*/ GIMT_Encode4(672182), // Rule ID 10391 //
     /*  672112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  672123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  672126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  672129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672158 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  672158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  672161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672180 */     GIR_RootConstrainSelectedInstOperands,
     /*  672181 */     // GIR_Coverage, 10391,
     /*  672181 */     GIR_EraseRootFromParent_Done,
     /*  672182 */   // Label 10680: @672182
     /*  672182 */   GIM_Try, /*On fail goto*//*Label 10681*/ GIMT_Encode4(672257), // Rule ID 10392 //
     /*  672187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  672198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  672201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  672204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672233 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  672233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  672236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672255 */     GIR_RootConstrainSelectedInstOperands,
     /*  672256 */     // GIR_Coverage, 10392,
     /*  672256 */     GIR_EraseRootFromParent_Done,
     /*  672257 */   // Label 10681: @672257
     /*  672257 */   GIM_Try, /*On fail goto*//*Label 10682*/ GIMT_Encode4(672332), // Rule ID 10395 //
     /*  672262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  672273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  672276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  672279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672308 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  672311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672330 */     GIR_RootConstrainSelectedInstOperands,
     /*  672331 */     // GIR_Coverage, 10395,
     /*  672331 */     GIR_EraseRootFromParent_Done,
     /*  672332 */   // Label 10682: @672332
     /*  672332 */   GIM_Try, /*On fail goto*//*Label 10683*/ GIMT_Encode4(672407), // Rule ID 10396 //
     /*  672337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  672348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  672351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  672354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672383 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11331:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  672386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672405 */     GIR_RootConstrainSelectedInstOperands,
     /*  672406 */     // GIR_Coverage, 10396,
     /*  672406 */     GIR_EraseRootFromParent_Done,
     /*  672407 */   // Label 10683: @672407
     /*  672407 */   GIM_Try, /*On fail goto*//*Label 10684*/ GIMT_Encode4(672482), // Rule ID 10399 //
     /*  672412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  672423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  672426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  672429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  672458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  672461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672480 */     GIR_RootConstrainSelectedInstOperands,
     /*  672481 */     // GIR_Coverage, 10399,
     /*  672481 */     GIR_EraseRootFromParent_Done,
     /*  672482 */   // Label 10684: @672482
     /*  672482 */   GIM_Try, /*On fail goto*//*Label 10685*/ GIMT_Encode4(672557), // Rule ID 10400 //
     /*  672487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  672498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  672501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  672504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672533 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  672536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672555 */     GIR_RootConstrainSelectedInstOperands,
     /*  672556 */     // GIR_Coverage, 10400,
     /*  672556 */     GIR_EraseRootFromParent_Done,
     /*  672557 */   // Label 10685: @672557
     /*  672557 */   GIM_Try, /*On fail goto*//*Label 10686*/ GIMT_Encode4(672632), // Rule ID 10403 //
     /*  672562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  672573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  672576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  672579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  672608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  672611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672630 */     GIR_RootConstrainSelectedInstOperands,
     /*  672631 */     // GIR_Coverage, 10403,
     /*  672631 */     GIR_EraseRootFromParent_Done,
     /*  672632 */   // Label 10686: @672632
     /*  672632 */   GIM_Try, /*On fail goto*//*Label 10687*/ GIMT_Encode4(672707), // Rule ID 10404 //
     /*  672637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  672648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  672651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  672654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672683 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  672683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  672686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672705 */     GIR_RootConstrainSelectedInstOperands,
     /*  672706 */     // GIR_Coverage, 10404,
     /*  672706 */     GIR_EraseRootFromParent_Done,
     /*  672707 */   // Label 10687: @672707
     /*  672707 */   GIM_Try, /*On fail goto*//*Label 10688*/ GIMT_Encode4(672782), // Rule ID 10407 //
     /*  672712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  672715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  672723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  672726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  672729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672758 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  672758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  672761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672780 */     GIR_RootConstrainSelectedInstOperands,
     /*  672781 */     // GIR_Coverage, 10407,
     /*  672781 */     GIR_EraseRootFromParent_Done,
     /*  672782 */   // Label 10688: @672782
     /*  672782 */   GIM_Try, /*On fail goto*//*Label 10689*/ GIMT_Encode4(672857), // Rule ID 10408 //
     /*  672787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  672790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  672798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  672801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  672804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672833 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  672836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672855 */     GIR_RootConstrainSelectedInstOperands,
     /*  672856 */     // GIR_Coverage, 10408,
     /*  672856 */     GIR_EraseRootFromParent_Done,
     /*  672857 */   // Label 10689: @672857
     /*  672857 */   GIM_Try, /*On fail goto*//*Label 10690*/ GIMT_Encode4(672932), // Rule ID 10411 //
     /*  672862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  672873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  672876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  672879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672908 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  672911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672930 */     GIR_RootConstrainSelectedInstOperands,
     /*  672931 */     // GIR_Coverage, 10411,
     /*  672931 */     GIR_EraseRootFromParent_Done,
     /*  672932 */   // Label 10690: @672932
     /*  672932 */   GIM_Try, /*On fail goto*//*Label 10691*/ GIMT_Encode4(673007), // Rule ID 10412 //
     /*  672937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  672945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  672948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  672951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  672954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672983 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  672986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673005 */     GIR_RootConstrainSelectedInstOperands,
     /*  673006 */     // GIR_Coverage, 10412,
     /*  673006 */     GIR_EraseRootFromParent_Done,
     /*  673007 */   // Label 10691: @673007
     /*  673007 */   GIM_Try, /*On fail goto*//*Label 10692*/ GIMT_Encode4(673082), // Rule ID 10415 //
     /*  673012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  673023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  673026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  673029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673058 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  673061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673080 */     GIR_RootConstrainSelectedInstOperands,
     /*  673081 */     // GIR_Coverage, 10415,
     /*  673081 */     GIR_EraseRootFromParent_Done,
     /*  673082 */   // Label 10692: @673082
     /*  673082 */   GIM_Try, /*On fail goto*//*Label 10693*/ GIMT_Encode4(673157), // Rule ID 10416 //
     /*  673087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  673098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  673101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  673104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673133 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  673136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673155 */     GIR_RootConstrainSelectedInstOperands,
     /*  673156 */     // GIR_Coverage, 10416,
     /*  673156 */     GIR_EraseRootFromParent_Done,
     /*  673157 */   // Label 10693: @673157
     /*  673157 */   GIM_Try, /*On fail goto*//*Label 10694*/ GIMT_Encode4(673232), // Rule ID 10419 //
     /*  673162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  673173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  673176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  673179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673208 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  673211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673230 */     GIR_RootConstrainSelectedInstOperands,
     /*  673231 */     // GIR_Coverage, 10419,
     /*  673231 */     GIR_EraseRootFromParent_Done,
     /*  673232 */   // Label 10694: @673232
     /*  673232 */   GIM_Try, /*On fail goto*//*Label 10695*/ GIMT_Encode4(673307), // Rule ID 10420 //
     /*  673237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  673248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  673251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  673254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673283 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  673286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673305 */     GIR_RootConstrainSelectedInstOperands,
     /*  673306 */     // GIR_Coverage, 10420,
     /*  673306 */     GIR_EraseRootFromParent_Done,
     /*  673307 */   // Label 10695: @673307
     /*  673307 */   GIM_Try, /*On fail goto*//*Label 10696*/ GIMT_Encode4(673382), // Rule ID 10423 //
     /*  673312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  673323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  673326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  673329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673358 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  673361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673380 */     GIR_RootConstrainSelectedInstOperands,
     /*  673381 */     // GIR_Coverage, 10423,
     /*  673381 */     GIR_EraseRootFromParent_Done,
     /*  673382 */   // Label 10696: @673382
     /*  673382 */   GIM_Try, /*On fail goto*//*Label 10697*/ GIMT_Encode4(673457), // Rule ID 10424 //
     /*  673387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  673398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  673401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  673404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673433 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  673436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673455 */     GIR_RootConstrainSelectedInstOperands,
     /*  673456 */     // GIR_Coverage, 10424,
     /*  673456 */     GIR_EraseRootFromParent_Done,
     /*  673457 */   // Label 10697: @673457
     /*  673457 */   GIM_Try, /*On fail goto*//*Label 10698*/ GIMT_Encode4(673532), // Rule ID 10427 //
     /*  673462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  673473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  673476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  673479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673508 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  673511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673530 */     GIR_RootConstrainSelectedInstOperands,
     /*  673531 */     // GIR_Coverage, 10427,
     /*  673531 */     GIR_EraseRootFromParent_Done,
     /*  673532 */   // Label 10698: @673532
     /*  673532 */   GIM_Try, /*On fail goto*//*Label 10699*/ GIMT_Encode4(673607), // Rule ID 10428 //
     /*  673537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  673548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  673551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  673554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673583 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  673586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673605 */     GIR_RootConstrainSelectedInstOperands,
     /*  673606 */     // GIR_Coverage, 10428,
     /*  673606 */     GIR_EraseRootFromParent_Done,
     /*  673607 */   // Label 10699: @673607
     /*  673607 */   GIM_Try, /*On fail goto*//*Label 10700*/ GIMT_Encode4(673682), // Rule ID 10431 //
     /*  673612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  673623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  673626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  673629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673658 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  673661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673680 */     GIR_RootConstrainSelectedInstOperands,
     /*  673681 */     // GIR_Coverage, 10431,
     /*  673681 */     GIR_EraseRootFromParent_Done,
     /*  673682 */   // Label 10700: @673682
     /*  673682 */   GIM_Try, /*On fail goto*//*Label 10701*/ GIMT_Encode4(673757), // Rule ID 10432 //
     /*  673687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  673698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  673701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  673704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673733 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  673736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673755 */     GIR_RootConstrainSelectedInstOperands,
     /*  673756 */     // GIR_Coverage, 10432,
     /*  673756 */     GIR_EraseRootFromParent_Done,
     /*  673757 */   // Label 10701: @673757
     /*  673757 */   GIM_Try, /*On fail goto*//*Label 10702*/ GIMT_Encode4(673832), // Rule ID 10435 //
     /*  673762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  673773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  673776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  673779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673808 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  673811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673830 */     GIR_RootConstrainSelectedInstOperands,
     /*  673831 */     // GIR_Coverage, 10435,
     /*  673831 */     GIR_EraseRootFromParent_Done,
     /*  673832 */   // Label 10702: @673832
     /*  673832 */   GIM_Try, /*On fail goto*//*Label 10703*/ GIMT_Encode4(673907), // Rule ID 10436 //
     /*  673837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  673848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  673851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  673854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673883 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  673886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673905 */     GIR_RootConstrainSelectedInstOperands,
     /*  673906 */     // GIR_Coverage, 10436,
     /*  673906 */     GIR_EraseRootFromParent_Done,
     /*  673907 */   // Label 10703: @673907
     /*  673907 */   GIM_Try, /*On fail goto*//*Label 10704*/ GIMT_Encode4(673982), // Rule ID 10439 //
     /*  673912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  673923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  673926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  673929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673958 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  673961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673980 */     GIR_RootConstrainSelectedInstOperands,
     /*  673981 */     // GIR_Coverage, 10439,
     /*  673981 */     GIR_EraseRootFromParent_Done,
     /*  673982 */   // Label 10704: @673982
     /*  673982 */   GIM_Try, /*On fail goto*//*Label 10705*/ GIMT_Encode4(674057), // Rule ID 10440 //
     /*  673987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  673995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  673998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  674001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  674004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674033 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  674033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  674036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674055 */     GIR_RootConstrainSelectedInstOperands,
     /*  674056 */     // GIR_Coverage, 10440,
     /*  674056 */     GIR_EraseRootFromParent_Done,
     /*  674057 */   // Label 10705: @674057
     /*  674057 */   GIM_Try, /*On fail goto*//*Label 10706*/ GIMT_Encode4(674132), // Rule ID 10443 //
     /*  674062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  674073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  674076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  674079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674108 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  674108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  674111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674130 */     GIR_RootConstrainSelectedInstOperands,
     /*  674131 */     // GIR_Coverage, 10443,
     /*  674131 */     GIR_EraseRootFromParent_Done,
     /*  674132 */   // Label 10706: @674132
     /*  674132 */   GIM_Try, /*On fail goto*//*Label 10707*/ GIMT_Encode4(674207), // Rule ID 10444 //
     /*  674137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  674148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  674151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  674154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674183 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  674183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  674186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674205 */     GIR_RootConstrainSelectedInstOperands,
     /*  674206 */     // GIR_Coverage, 10444,
     /*  674206 */     GIR_EraseRootFromParent_Done,
     /*  674207 */   // Label 10707: @674207
     /*  674207 */   GIM_Try, /*On fail goto*//*Label 10708*/ GIMT_Encode4(674282), // Rule ID 10447 //
     /*  674212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  674215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  674223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  674226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  674229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  674258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  674261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674280 */     GIR_RootConstrainSelectedInstOperands,
     /*  674281 */     // GIR_Coverage, 10447,
     /*  674281 */     GIR_EraseRootFromParent_Done,
     /*  674282 */   // Label 10708: @674282
     /*  674282 */   GIM_Try, /*On fail goto*//*Label 10709*/ GIMT_Encode4(674357), // Rule ID 10448 //
     /*  674287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  674290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  674298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  674301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  674304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674333 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11331:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  674333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  674336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674355 */     GIR_RootConstrainSelectedInstOperands,
     /*  674356 */     // GIR_Coverage, 10448,
     /*  674356 */     GIR_EraseRootFromParent_Done,
     /*  674357 */   // Label 10709: @674357
     /*  674357 */   GIM_Try, /*On fail goto*//*Label 10710*/ GIMT_Encode4(674432), // Rule ID 10451 //
     /*  674362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  674365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  674373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  674376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  674379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674408 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  674408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  674411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674430 */     GIR_RootConstrainSelectedInstOperands,
     /*  674431 */     // GIR_Coverage, 10451,
     /*  674431 */     GIR_EraseRootFromParent_Done,
     /*  674432 */   // Label 10710: @674432
     /*  674432 */   GIM_Try, /*On fail goto*//*Label 10711*/ GIMT_Encode4(674507), // Rule ID 10452 //
     /*  674437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  674440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  674448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  674451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  674454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674483 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11331:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  674483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  674486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674505 */     GIR_RootConstrainSelectedInstOperands,
     /*  674506 */     // GIR_Coverage, 10452,
     /*  674506 */     GIR_EraseRootFromParent_Done,
     /*  674507 */   // Label 10711: @674507
     /*  674507 */   GIM_Try, /*On fail goto*//*Label 10712*/ GIMT_Encode4(674582), // Rule ID 10455 //
     /*  674512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  674515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  674523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  674526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  674529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674558 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  674558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  674561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674580 */     GIR_RootConstrainSelectedInstOperands,
     /*  674581 */     // GIR_Coverage, 10455,
     /*  674581 */     GIR_EraseRootFromParent_Done,
     /*  674582 */   // Label 10712: @674582
     /*  674582 */   GIM_Try, /*On fail goto*//*Label 10713*/ GIMT_Encode4(674657), // Rule ID 10456 //
     /*  674587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  674590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  674598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  674601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  674604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674633 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11331:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  674633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  674636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674655 */     GIR_RootConstrainSelectedInstOperands,
     /*  674656 */     // GIR_Coverage, 10456,
     /*  674656 */     GIR_EraseRootFromParent_Done,
     /*  674657 */   // Label 10713: @674657
     /*  674657 */   GIM_Try, /*On fail goto*//*Label 10714*/ GIMT_Encode4(674732), // Rule ID 10459 //
     /*  674662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  674670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  674673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  674676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  674679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  674682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674708 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  674711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674730 */     GIR_RootConstrainSelectedInstOperands,
     /*  674731 */     // GIR_Coverage, 10459,
     /*  674731 */     GIR_EraseRootFromParent_Done,
     /*  674732 */   // Label 10714: @674732
     /*  674732 */   GIM_Try, /*On fail goto*//*Label 10715*/ GIMT_Encode4(674807), // Rule ID 10460 //
     /*  674737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  674745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  674748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  674751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  674754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  674757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674783 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  674786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674805 */     GIR_RootConstrainSelectedInstOperands,
     /*  674806 */     // GIR_Coverage, 10460,
     /*  674806 */     GIR_EraseRootFromParent_Done,
     /*  674807 */   // Label 10715: @674807
     /*  674807 */   GIM_Try, /*On fail goto*//*Label 10716*/ GIMT_Encode4(674882), // Rule ID 10463 //
     /*  674812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  674820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  674823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  674826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  674829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  674832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674858 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  674861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674880 */     GIR_RootConstrainSelectedInstOperands,
     /*  674881 */     // GIR_Coverage, 10463,
     /*  674881 */     GIR_EraseRootFromParent_Done,
     /*  674882 */   // Label 10716: @674882
     /*  674882 */   GIM_Try, /*On fail goto*//*Label 10717*/ GIMT_Encode4(674957), // Rule ID 10464 //
     /*  674887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  674895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  674898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  674901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  674904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  674907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674933 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  674936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674955 */     GIR_RootConstrainSelectedInstOperands,
     /*  674956 */     // GIR_Coverage, 10464,
     /*  674956 */     GIR_EraseRootFromParent_Done,
     /*  674957 */   // Label 10717: @674957
     /*  674957 */   GIM_Try, /*On fail goto*//*Label 10718*/ GIMT_Encode4(675032), // Rule ID 10467 //
     /*  674962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  674970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  674973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  674976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  674979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  674982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675008 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  675011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675030 */     GIR_RootConstrainSelectedInstOperands,
     /*  675031 */     // GIR_Coverage, 10467,
     /*  675031 */     GIR_EraseRootFromParent_Done,
     /*  675032 */   // Label 10718: @675032
     /*  675032 */   GIM_Try, /*On fail goto*//*Label 10719*/ GIMT_Encode4(675107), // Rule ID 10468 //
     /*  675037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  675048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  675051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  675054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  675057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675083 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  675086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675105 */     GIR_RootConstrainSelectedInstOperands,
     /*  675106 */     // GIR_Coverage, 10468,
     /*  675106 */     GIR_EraseRootFromParent_Done,
     /*  675107 */   // Label 10719: @675107
     /*  675107 */   GIM_Try, /*On fail goto*//*Label 10720*/ GIMT_Encode4(675182), // Rule ID 10471 //
     /*  675112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  675123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  675126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  675129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  675132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675158 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  675161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675180 */     GIR_RootConstrainSelectedInstOperands,
     /*  675181 */     // GIR_Coverage, 10471,
     /*  675181 */     GIR_EraseRootFromParent_Done,
     /*  675182 */   // Label 10720: @675182
     /*  675182 */   GIM_Try, /*On fail goto*//*Label 10721*/ GIMT_Encode4(675257), // Rule ID 10472 //
     /*  675187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  675198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  675201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  675204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  675207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675233 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  675236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675255 */     GIR_RootConstrainSelectedInstOperands,
     /*  675256 */     // GIR_Coverage, 10472,
     /*  675256 */     GIR_EraseRootFromParent_Done,
     /*  675257 */   // Label 10721: @675257
     /*  675257 */   GIM_Try, /*On fail goto*//*Label 10722*/ GIMT_Encode4(675332), // Rule ID 10475 //
     /*  675262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  675273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  675276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  675279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  675282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675308 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  675311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675330 */     GIR_RootConstrainSelectedInstOperands,
     /*  675331 */     // GIR_Coverage, 10475,
     /*  675331 */     GIR_EraseRootFromParent_Done,
     /*  675332 */   // Label 10722: @675332
     /*  675332 */   GIM_Try, /*On fail goto*//*Label 10723*/ GIMT_Encode4(675407), // Rule ID 10476 //
     /*  675337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  675348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  675351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  675354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  675357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675383 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  675386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675405 */     GIR_RootConstrainSelectedInstOperands,
     /*  675406 */     // GIR_Coverage, 10476,
     /*  675406 */     GIR_EraseRootFromParent_Done,
     /*  675407 */   // Label 10723: @675407
     /*  675407 */   GIM_Try, /*On fail goto*//*Label 10724*/ GIMT_Encode4(675482), // Rule ID 10479 //
     /*  675412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  675423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  675426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  675429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  675432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675458 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  675461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675480 */     GIR_RootConstrainSelectedInstOperands,
     /*  675481 */     // GIR_Coverage, 10479,
     /*  675481 */     GIR_EraseRootFromParent_Done,
     /*  675482 */   // Label 10724: @675482
     /*  675482 */   GIM_Try, /*On fail goto*//*Label 10725*/ GIMT_Encode4(675557), // Rule ID 10480 //
     /*  675487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  675498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  675501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  675504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  675507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675533 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  675536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675555 */     GIR_RootConstrainSelectedInstOperands,
     /*  675556 */     // GIR_Coverage, 10480,
     /*  675556 */     GIR_EraseRootFromParent_Done,
     /*  675557 */   // Label 10725: @675557
     /*  675557 */   GIM_Try, /*On fail goto*//*Label 10726*/ GIMT_Encode4(675632), // Rule ID 10483 //
     /*  675562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  675573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  675576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  675579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  675582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675608 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11315:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  675611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675630 */     GIR_RootConstrainSelectedInstOperands,
     /*  675631 */     // GIR_Coverage, 10483,
     /*  675631 */     GIR_EraseRootFromParent_Done,
     /*  675632 */   // Label 10726: @675632
     /*  675632 */   GIM_Try, /*On fail goto*//*Label 10727*/ GIMT_Encode4(675707), // Rule ID 10484 //
     /*  675637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  675648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  675651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  675654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  675657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675683 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11315:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  675686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675705 */     GIR_RootConstrainSelectedInstOperands,
     /*  675706 */     // GIR_Coverage, 10484,
     /*  675706 */     GIR_EraseRootFromParent_Done,
     /*  675707 */   // Label 10727: @675707
     /*  675707 */   GIM_Try, /*On fail goto*//*Label 10728*/ GIMT_Encode4(675782), // Rule ID 10487 //
     /*  675712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  675723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  675726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  675729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  675732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675758 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  675761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675780 */     GIR_RootConstrainSelectedInstOperands,
     /*  675781 */     // GIR_Coverage, 10487,
     /*  675781 */     GIR_EraseRootFromParent_Done,
     /*  675782 */   // Label 10728: @675782
     /*  675782 */   GIM_Try, /*On fail goto*//*Label 10729*/ GIMT_Encode4(675857), // Rule ID 10488 //
     /*  675787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  675798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  675801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  675804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  675807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675833 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  675836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675855 */     GIR_RootConstrainSelectedInstOperands,
     /*  675856 */     // GIR_Coverage, 10488,
     /*  675856 */     GIR_EraseRootFromParent_Done,
     /*  675857 */   // Label 10729: @675857
     /*  675857 */   GIM_Try, /*On fail goto*//*Label 10730*/ GIMT_Encode4(675932), // Rule ID 10491 //
     /*  675862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  675873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  675876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  675879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  675882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  675911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675930 */     GIR_RootConstrainSelectedInstOperands,
     /*  675931 */     // GIR_Coverage, 10491,
     /*  675931 */     GIR_EraseRootFromParent_Done,
     /*  675932 */   // Label 10730: @675932
     /*  675932 */   GIM_Try, /*On fail goto*//*Label 10731*/ GIMT_Encode4(676007), // Rule ID 10492 //
     /*  675937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  675948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  675951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  675954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  675957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675983 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  675986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676005 */     GIR_RootConstrainSelectedInstOperands,
     /*  676006 */     // GIR_Coverage, 10492,
     /*  676006 */     GIR_EraseRootFromParent_Done,
     /*  676007 */   // Label 10731: @676007
     /*  676007 */   GIM_Try, /*On fail goto*//*Label 10732*/ GIMT_Encode4(676082), // Rule ID 10495 //
     /*  676012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  676015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  676023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  676026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  676029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  676032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676058 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  676058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  676061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676080 */     GIR_RootConstrainSelectedInstOperands,
     /*  676081 */     // GIR_Coverage, 10495,
     /*  676081 */     GIR_EraseRootFromParent_Done,
     /*  676082 */   // Label 10732: @676082
     /*  676082 */   GIM_Try, /*On fail goto*//*Label 10733*/ GIMT_Encode4(676157), // Rule ID 10496 //
     /*  676087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  676090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  676098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  676101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  676104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  676107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676133 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  676133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  676136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676155 */     GIR_RootConstrainSelectedInstOperands,
     /*  676156 */     // GIR_Coverage, 10496,
     /*  676156 */     GIR_EraseRootFromParent_Done,
     /*  676157 */   // Label 10733: @676157
     /*  676157 */   GIM_Try, /*On fail goto*//*Label 10734*/ GIMT_Encode4(676232), // Rule ID 10499 //
     /*  676162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  676173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  676176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  676179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  676182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676208 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  676211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676230 */     GIR_RootConstrainSelectedInstOperands,
     /*  676231 */     // GIR_Coverage, 10499,
     /*  676231 */     GIR_EraseRootFromParent_Done,
     /*  676232 */   // Label 10734: @676232
     /*  676232 */   GIM_Try, /*On fail goto*//*Label 10735*/ GIMT_Encode4(676307), // Rule ID 10500 //
     /*  676237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  676248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  676251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  676254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  676257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676283 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  676286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676305 */     GIR_RootConstrainSelectedInstOperands,
     /*  676306 */     // GIR_Coverage, 10500,
     /*  676306 */     GIR_EraseRootFromParent_Done,
     /*  676307 */   // Label 10735: @676307
     /*  676307 */   GIM_Try, /*On fail goto*//*Label 10736*/ GIMT_Encode4(676382), // Rule ID 10503 //
     /*  676312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  676323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  676326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  676329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  676332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676358 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  676361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676380 */     GIR_RootConstrainSelectedInstOperands,
     /*  676381 */     // GIR_Coverage, 10503,
     /*  676381 */     GIR_EraseRootFromParent_Done,
     /*  676382 */   // Label 10736: @676382
     /*  676382 */   GIM_Try, /*On fail goto*//*Label 10737*/ GIMT_Encode4(676457), // Rule ID 10504 //
     /*  676387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  676398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  676401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  676404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  676407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676433 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  676436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676455 */     GIR_RootConstrainSelectedInstOperands,
     /*  676456 */     // GIR_Coverage, 10504,
     /*  676456 */     GIR_EraseRootFromParent_Done,
     /*  676457 */   // Label 10737: @676457
     /*  676457 */   GIM_Try, /*On fail goto*//*Label 10738*/ GIMT_Encode4(676532), // Rule ID 10507 //
     /*  676462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  676473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  676476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  676479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  676482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676508 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  676511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676530 */     GIR_RootConstrainSelectedInstOperands,
     /*  676531 */     // GIR_Coverage, 10507,
     /*  676531 */     GIR_EraseRootFromParent_Done,
     /*  676532 */   // Label 10738: @676532
     /*  676532 */   GIM_Try, /*On fail goto*//*Label 10739*/ GIMT_Encode4(676607), // Rule ID 10508 //
     /*  676537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  676548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  676551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  676554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  676557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676583 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  676586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676605 */     GIR_RootConstrainSelectedInstOperands,
     /*  676606 */     // GIR_Coverage, 10508,
     /*  676606 */     GIR_EraseRootFromParent_Done,
     /*  676607 */   // Label 10739: @676607
     /*  676607 */   GIM_Try, /*On fail goto*//*Label 10740*/ GIMT_Encode4(676682), // Rule ID 10511 //
     /*  676612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  676623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  676626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  676629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  676632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676658 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  676661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676680 */     GIR_RootConstrainSelectedInstOperands,
     /*  676681 */     // GIR_Coverage, 10511,
     /*  676681 */     GIR_EraseRootFromParent_Done,
     /*  676682 */   // Label 10740: @676682
     /*  676682 */   GIM_Try, /*On fail goto*//*Label 10741*/ GIMT_Encode4(676757), // Rule ID 10512 //
     /*  676687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  676698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  676701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  676704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  676707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676733 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  676736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676755 */     GIR_RootConstrainSelectedInstOperands,
     /*  676756 */     // GIR_Coverage, 10512,
     /*  676756 */     GIR_EraseRootFromParent_Done,
     /*  676757 */   // Label 10741: @676757
     /*  676757 */   GIM_Try, /*On fail goto*//*Label 10742*/ GIMT_Encode4(676832), // Rule ID 10515 //
     /*  676762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  676773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  676776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  676779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  676782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676808 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  676811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676830 */     GIR_RootConstrainSelectedInstOperands,
     /*  676831 */     // GIR_Coverage, 10515,
     /*  676831 */     GIR_EraseRootFromParent_Done,
     /*  676832 */   // Label 10742: @676832
     /*  676832 */   GIM_Try, /*On fail goto*//*Label 10743*/ GIMT_Encode4(676907), // Rule ID 10516 //
     /*  676837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  676848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  676851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  676854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  676857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676883 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  676886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676905 */     GIR_RootConstrainSelectedInstOperands,
     /*  676906 */     // GIR_Coverage, 10516,
     /*  676906 */     GIR_EraseRootFromParent_Done,
     /*  676907 */   // Label 10743: @676907
     /*  676907 */   GIM_Try, /*On fail goto*//*Label 10744*/ GIMT_Encode4(676982), // Rule ID 10519 //
     /*  676912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  676923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  676926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  676929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  676932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676958 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  676961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676980 */     GIR_RootConstrainSelectedInstOperands,
     /*  676981 */     // GIR_Coverage, 10519,
     /*  676981 */     GIR_EraseRootFromParent_Done,
     /*  676982 */   // Label 10744: @676982
     /*  676982 */   GIM_Try, /*On fail goto*//*Label 10745*/ GIMT_Encode4(677057), // Rule ID 10520 //
     /*  676987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  676998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  677001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  677004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  677007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677033 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  677033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  677036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677055 */     GIR_RootConstrainSelectedInstOperands,
     /*  677056 */     // GIR_Coverage, 10520,
     /*  677056 */     GIR_EraseRootFromParent_Done,
     /*  677057 */   // Label 10745: @677057
     /*  677057 */   GIM_Try, /*On fail goto*//*Label 10746*/ GIMT_Encode4(677132), // Rule ID 10523 //
     /*  677062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  677073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  677076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  677079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  677082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677108 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  677108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  677111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677130 */     GIR_RootConstrainSelectedInstOperands,
     /*  677131 */     // GIR_Coverage, 10523,
     /*  677131 */     GIR_EraseRootFromParent_Done,
     /*  677132 */   // Label 10746: @677132
     /*  677132 */   GIM_Try, /*On fail goto*//*Label 10747*/ GIMT_Encode4(677207), // Rule ID 10524 //
     /*  677137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  677148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  677151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  677154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  677157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677183 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  677183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  677186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677205 */     GIR_RootConstrainSelectedInstOperands,
     /*  677206 */     // GIR_Coverage, 10524,
     /*  677206 */     GIR_EraseRootFromParent_Done,
     /*  677207 */   // Label 10747: @677207
     /*  677207 */   GIM_Try, /*On fail goto*//*Label 10748*/ GIMT_Encode4(677282), // Rule ID 10527 //
     /*  677212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  677223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  677226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  677229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  677232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677258 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  677258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  677261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677280 */     GIR_RootConstrainSelectedInstOperands,
     /*  677281 */     // GIR_Coverage, 10527,
     /*  677281 */     GIR_EraseRootFromParent_Done,
     /*  677282 */   // Label 10748: @677282
     /*  677282 */   GIM_Try, /*On fail goto*//*Label 10749*/ GIMT_Encode4(677357), // Rule ID 10528 //
     /*  677287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  677298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  677301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  677304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  677307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677333 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  677333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  677336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677355 */     GIR_RootConstrainSelectedInstOperands,
     /*  677356 */     // GIR_Coverage, 10528,
     /*  677356 */     GIR_EraseRootFromParent_Done,
     /*  677357 */   // Label 10749: @677357
     /*  677357 */   GIM_Try, /*On fail goto*//*Label 10750*/ GIMT_Encode4(677432), // Rule ID 10531 //
     /*  677362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  677373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  677376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  677379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  677382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677408 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  677408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  677411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677430 */     GIR_RootConstrainSelectedInstOperands,
     /*  677431 */     // GIR_Coverage, 10531,
     /*  677431 */     GIR_EraseRootFromParent_Done,
     /*  677432 */   // Label 10750: @677432
     /*  677432 */   GIM_Try, /*On fail goto*//*Label 10751*/ GIMT_Encode4(677507), // Rule ID 10532 //
     /*  677437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  677448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  677451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  677454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  677457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677483 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  677483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  677486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677505 */     GIR_RootConstrainSelectedInstOperands,
     /*  677506 */     // GIR_Coverage, 10532,
     /*  677506 */     GIR_EraseRootFromParent_Done,
     /*  677507 */   // Label 10751: @677507
     /*  677507 */   GIM_Try, /*On fail goto*//*Label 10752*/ GIMT_Encode4(677582), // Rule ID 10535 //
     /*  677512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  677515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  677523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  677526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  677529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  677532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677558 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  677558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  677561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677580 */     GIR_RootConstrainSelectedInstOperands,
     /*  677581 */     // GIR_Coverage, 10535,
     /*  677581 */     GIR_EraseRootFromParent_Done,
     /*  677582 */   // Label 10752: @677582
     /*  677582 */   GIM_Try, /*On fail goto*//*Label 10753*/ GIMT_Encode4(677657), // Rule ID 10536 //
     /*  677587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  677590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  677598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  677601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  677604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  677607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677633 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  677633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  677636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677655 */     GIR_RootConstrainSelectedInstOperands,
     /*  677656 */     // GIR_Coverage, 10536,
     /*  677656 */     GIR_EraseRootFromParent_Done,
     /*  677657 */   // Label 10753: @677657
     /*  677657 */   GIM_Try, /*On fail goto*//*Label 10754*/ GIMT_Encode4(677732), // Rule ID 10539 //
     /*  677662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  677665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  677673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  677676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  677679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  677682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677708 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  677708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  677711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677730 */     GIR_RootConstrainSelectedInstOperands,
     /*  677731 */     // GIR_Coverage, 10539,
     /*  677731 */     GIR_EraseRootFromParent_Done,
     /*  677732 */   // Label 10754: @677732
     /*  677732 */   GIM_Try, /*On fail goto*//*Label 10755*/ GIMT_Encode4(677807), // Rule ID 10540 //
     /*  677737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  677740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  677748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  677751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  677754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  677757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677783 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  677783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  677786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677805 */     GIR_RootConstrainSelectedInstOperands,
     /*  677806 */     // GIR_Coverage, 10540,
     /*  677806 */     GIR_EraseRootFromParent_Done,
     /*  677807 */   // Label 10755: @677807
     /*  677807 */   GIM_Try, /*On fail goto*//*Label 10756*/ GIMT_Encode4(677882), // Rule ID 10543 //
     /*  677812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  677815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  677823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  677826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  677829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  677832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677858 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  677858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  677861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677880 */     GIR_RootConstrainSelectedInstOperands,
     /*  677881 */     // GIR_Coverage, 10543,
     /*  677881 */     GIR_EraseRootFromParent_Done,
     /*  677882 */   // Label 10756: @677882
     /*  677882 */   GIM_Try, /*On fail goto*//*Label 10757*/ GIMT_Encode4(677957), // Rule ID 10544 //
     /*  677887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  677890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  677898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  677901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  677904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  677907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677933 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  677933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  677936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677955 */     GIR_RootConstrainSelectedInstOperands,
     /*  677956 */     // GIR_Coverage, 10544,
     /*  677956 */     GIR_EraseRootFromParent_Done,
     /*  677957 */   // Label 10757: @677957
     /*  677957 */   GIM_Try, /*On fail goto*//*Label 10758*/ GIMT_Encode4(678032), // Rule ID 10547 //
     /*  677962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  677970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  677973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  677976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  677979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  677982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678008 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  678011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678030 */     GIR_RootConstrainSelectedInstOperands,
     /*  678031 */     // GIR_Coverage, 10547,
     /*  678031 */     GIR_EraseRootFromParent_Done,
     /*  678032 */   // Label 10758: @678032
     /*  678032 */   GIM_Try, /*On fail goto*//*Label 10759*/ GIMT_Encode4(678107), // Rule ID 10548 //
     /*  678037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  678048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  678051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  678054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678083 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  678086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678105 */     GIR_RootConstrainSelectedInstOperands,
     /*  678106 */     // GIR_Coverage, 10548,
     /*  678106 */     GIR_EraseRootFromParent_Done,
     /*  678107 */   // Label 10759: @678107
     /*  678107 */   GIM_Try, /*On fail goto*//*Label 10760*/ GIMT_Encode4(678182), // Rule ID 10551 //
     /*  678112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  678123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  678126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  678129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678158 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  678161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678180 */     GIR_RootConstrainSelectedInstOperands,
     /*  678181 */     // GIR_Coverage, 10551,
     /*  678181 */     GIR_EraseRootFromParent_Done,
     /*  678182 */   // Label 10760: @678182
     /*  678182 */   GIM_Try, /*On fail goto*//*Label 10761*/ GIMT_Encode4(678257), // Rule ID 10552 //
     /*  678187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  678198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  678201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  678204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678233 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  678236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678255 */     GIR_RootConstrainSelectedInstOperands,
     /*  678256 */     // GIR_Coverage, 10552,
     /*  678256 */     GIR_EraseRootFromParent_Done,
     /*  678257 */   // Label 10761: @678257
     /*  678257 */   GIM_Try, /*On fail goto*//*Label 10762*/ GIMT_Encode4(678332), // Rule ID 10555 //
     /*  678262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  678273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  678276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  678279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678308 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  678311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678330 */     GIR_RootConstrainSelectedInstOperands,
     /*  678331 */     // GIR_Coverage, 10555,
     /*  678331 */     GIR_EraseRootFromParent_Done,
     /*  678332 */   // Label 10762: @678332
     /*  678332 */   GIM_Try, /*On fail goto*//*Label 10763*/ GIMT_Encode4(678407), // Rule ID 10556 //
     /*  678337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  678348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  678351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  678354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678383 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  678386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678405 */     GIR_RootConstrainSelectedInstOperands,
     /*  678406 */     // GIR_Coverage, 10556,
     /*  678406 */     GIR_EraseRootFromParent_Done,
     /*  678407 */   // Label 10763: @678407
     /*  678407 */   GIM_Try, /*On fail goto*//*Label 10764*/ GIMT_Encode4(678482), // Rule ID 10559 //
     /*  678412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  678423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  678426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  678429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678458 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  678461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678480 */     GIR_RootConstrainSelectedInstOperands,
     /*  678481 */     // GIR_Coverage, 10559,
     /*  678481 */     GIR_EraseRootFromParent_Done,
     /*  678482 */   // Label 10764: @678482
     /*  678482 */   GIM_Try, /*On fail goto*//*Label 10765*/ GIMT_Encode4(678557), // Rule ID 10560 //
     /*  678487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  678498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  678501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  678504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678533 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  678536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678555 */     GIR_RootConstrainSelectedInstOperands,
     /*  678556 */     // GIR_Coverage, 10560,
     /*  678556 */     GIR_EraseRootFromParent_Done,
     /*  678557 */   // Label 10765: @678557
     /*  678557 */   GIM_Try, /*On fail goto*//*Label 10766*/ GIMT_Encode4(678632), // Rule ID 10563 //
     /*  678562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  678573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  678576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  678579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678608 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  678611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678630 */     GIR_RootConstrainSelectedInstOperands,
     /*  678631 */     // GIR_Coverage, 10563,
     /*  678631 */     GIR_EraseRootFromParent_Done,
     /*  678632 */   // Label 10766: @678632
     /*  678632 */   GIM_Try, /*On fail goto*//*Label 10767*/ GIMT_Encode4(678707), // Rule ID 10564 //
     /*  678637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  678648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  678651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  678654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678683 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  678686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678705 */     GIR_RootConstrainSelectedInstOperands,
     /*  678706 */     // GIR_Coverage, 10564,
     /*  678706 */     GIR_EraseRootFromParent_Done,
     /*  678707 */   // Label 10767: @678707
     /*  678707 */   GIM_Try, /*On fail goto*//*Label 10768*/ GIMT_Encode4(678782), // Rule ID 10567 //
     /*  678712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  678723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  678726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  678729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678758 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  678761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678780 */     GIR_RootConstrainSelectedInstOperands,
     /*  678781 */     // GIR_Coverage, 10567,
     /*  678781 */     GIR_EraseRootFromParent_Done,
     /*  678782 */   // Label 10768: @678782
     /*  678782 */   GIM_Try, /*On fail goto*//*Label 10769*/ GIMT_Encode4(678857), // Rule ID 10568 //
     /*  678787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  678798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  678801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  678804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678833 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  678836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678855 */     GIR_RootConstrainSelectedInstOperands,
     /*  678856 */     // GIR_Coverage, 10568,
     /*  678856 */     GIR_EraseRootFromParent_Done,
     /*  678857 */   // Label 10769: @678857
     /*  678857 */   GIM_Try, /*On fail goto*//*Label 10770*/ GIMT_Encode4(678932), // Rule ID 10571 //
     /*  678862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  678873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  678876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  678879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11315:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  678911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678930 */     GIR_RootConstrainSelectedInstOperands,
     /*  678931 */     // GIR_Coverage, 10571,
     /*  678931 */     GIR_EraseRootFromParent_Done,
     /*  678932 */   // Label 10770: @678932
     /*  678932 */   GIM_Try, /*On fail goto*//*Label 10771*/ GIMT_Encode4(679007), // Rule ID 10572 //
     /*  678937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  678945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  678948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  678951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  678954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678983 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11315:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  678986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679005 */     GIR_RootConstrainSelectedInstOperands,
     /*  679006 */     // GIR_Coverage, 10572,
     /*  679006 */     GIR_EraseRootFromParent_Done,
     /*  679007 */   // Label 10771: @679007
     /*  679007 */   GIM_Try, /*On fail goto*//*Label 10772*/ GIMT_Encode4(679082), // Rule ID 10575 //
     /*  679012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  679023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  679026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  679029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  679061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679080 */     GIR_RootConstrainSelectedInstOperands,
     /*  679081 */     // GIR_Coverage, 10575,
     /*  679081 */     GIR_EraseRootFromParent_Done,
     /*  679082 */   // Label 10772: @679082
     /*  679082 */   GIM_Try, /*On fail goto*//*Label 10773*/ GIMT_Encode4(679157), // Rule ID 10576 //
     /*  679087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  679098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  679101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  679104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  679136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679155 */     GIR_RootConstrainSelectedInstOperands,
     /*  679156 */     // GIR_Coverage, 10576,
     /*  679156 */     GIR_EraseRootFromParent_Done,
     /*  679157 */   // Label 10773: @679157
     /*  679157 */   GIM_Try, /*On fail goto*//*Label 10774*/ GIMT_Encode4(679232), // Rule ID 10579 //
     /*  679162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  679173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  679176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  679179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679208 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  679208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  679211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679230 */     GIR_RootConstrainSelectedInstOperands,
     /*  679231 */     // GIR_Coverage, 10579,
     /*  679231 */     GIR_EraseRootFromParent_Done,
     /*  679232 */   // Label 10774: @679232
     /*  679232 */   GIM_Try, /*On fail goto*//*Label 10775*/ GIMT_Encode4(679307), // Rule ID 10580 //
     /*  679237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  679248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  679251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  679254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679283 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  679283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  679286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679305 */     GIR_RootConstrainSelectedInstOperands,
     /*  679306 */     // GIR_Coverage, 10580,
     /*  679306 */     GIR_EraseRootFromParent_Done,
     /*  679307 */   // Label 10775: @679307
     /*  679307 */   GIM_Try, /*On fail goto*//*Label 10776*/ GIMT_Encode4(679382), // Rule ID 10583 //
     /*  679312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  679315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  679323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  679326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  679329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679358 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  679358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  679361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679380 */     GIR_RootConstrainSelectedInstOperands,
     /*  679381 */     // GIR_Coverage, 10583,
     /*  679381 */     GIR_EraseRootFromParent_Done,
     /*  679382 */   // Label 10776: @679382
     /*  679382 */   GIM_Try, /*On fail goto*//*Label 10777*/ GIMT_Encode4(679457), // Rule ID 10584 //
     /*  679387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  679390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  679398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  679401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  679404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679433 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  679433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  679436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679455 */     GIR_RootConstrainSelectedInstOperands,
     /*  679456 */     // GIR_Coverage, 10584,
     /*  679456 */     GIR_EraseRootFromParent_Done,
     /*  679457 */   // Label 10777: @679457
     /*  679457 */   GIM_Try, /*On fail goto*//*Label 10778*/ GIMT_Encode4(679532), // Rule ID 10587 //
     /*  679462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  679473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  679476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  679479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679508 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  679511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679530 */     GIR_RootConstrainSelectedInstOperands,
     /*  679531 */     // GIR_Coverage, 10587,
     /*  679531 */     GIR_EraseRootFromParent_Done,
     /*  679532 */   // Label 10778: @679532
     /*  679532 */   GIM_Try, /*On fail goto*//*Label 10779*/ GIMT_Encode4(679607), // Rule ID 10588 //
     /*  679537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  679548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  679551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  679554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679583 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  679586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679605 */     GIR_RootConstrainSelectedInstOperands,
     /*  679606 */     // GIR_Coverage, 10588,
     /*  679606 */     GIR_EraseRootFromParent_Done,
     /*  679607 */   // Label 10779: @679607
     /*  679607 */   GIM_Try, /*On fail goto*//*Label 10780*/ GIMT_Encode4(679682), // Rule ID 10591 //
     /*  679612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  679623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  679626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  679629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679658 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  679661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679680 */     GIR_RootConstrainSelectedInstOperands,
     /*  679681 */     // GIR_Coverage, 10591,
     /*  679681 */     GIR_EraseRootFromParent_Done,
     /*  679682 */   // Label 10780: @679682
     /*  679682 */   GIM_Try, /*On fail goto*//*Label 10781*/ GIMT_Encode4(679757), // Rule ID 10592 //
     /*  679687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  679698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  679701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  679704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679733 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  679736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679755 */     GIR_RootConstrainSelectedInstOperands,
     /*  679756 */     // GIR_Coverage, 10592,
     /*  679756 */     GIR_EraseRootFromParent_Done,
     /*  679757 */   // Label 10781: @679757
     /*  679757 */   GIM_Try, /*On fail goto*//*Label 10782*/ GIMT_Encode4(679832), // Rule ID 10595 //
     /*  679762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  679773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  679776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  679779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679808 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  679811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679830 */     GIR_RootConstrainSelectedInstOperands,
     /*  679831 */     // GIR_Coverage, 10595,
     /*  679831 */     GIR_EraseRootFromParent_Done,
     /*  679832 */   // Label 10782: @679832
     /*  679832 */   GIM_Try, /*On fail goto*//*Label 10783*/ GIMT_Encode4(679907), // Rule ID 10596 //
     /*  679837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  679848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  679851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  679854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679883 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  679886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679905 */     GIR_RootConstrainSelectedInstOperands,
     /*  679906 */     // GIR_Coverage, 10596,
     /*  679906 */     GIR_EraseRootFromParent_Done,
     /*  679907 */   // Label 10783: @679907
     /*  679907 */   GIM_Try, /*On fail goto*//*Label 10784*/ GIMT_Encode4(679982), // Rule ID 10599 //
     /*  679912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  679923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  679926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  679929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679958 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  679961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679980 */     GIR_RootConstrainSelectedInstOperands,
     /*  679981 */     // GIR_Coverage, 10599,
     /*  679981 */     GIR_EraseRootFromParent_Done,
     /*  679982 */   // Label 10784: @679982
     /*  679982 */   GIM_Try, /*On fail goto*//*Label 10785*/ GIMT_Encode4(680057), // Rule ID 10600 //
     /*  679987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  679995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  679998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  680001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  680004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680033 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  680033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  680036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680055 */     GIR_RootConstrainSelectedInstOperands,
     /*  680056 */     // GIR_Coverage, 10600,
     /*  680056 */     GIR_EraseRootFromParent_Done,
     /*  680057 */   // Label 10785: @680057
     /*  680057 */   GIM_Try, /*On fail goto*//*Label 10786*/ GIMT_Encode4(680132), // Rule ID 10603 //
     /*  680062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  680073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  680076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  680079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680108 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  680108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  680111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680130 */     GIR_RootConstrainSelectedInstOperands,
     /*  680131 */     // GIR_Coverage, 10603,
     /*  680131 */     GIR_EraseRootFromParent_Done,
     /*  680132 */   // Label 10786: @680132
     /*  680132 */   GIM_Try, /*On fail goto*//*Label 10787*/ GIMT_Encode4(680207), // Rule ID 10604 //
     /*  680137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  680148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  680151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  680154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680183 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  680183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  680186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680205 */     GIR_RootConstrainSelectedInstOperands,
     /*  680206 */     // GIR_Coverage, 10604,
     /*  680206 */     GIR_EraseRootFromParent_Done,
     /*  680207 */   // Label 10787: @680207
     /*  680207 */   GIM_Try, /*On fail goto*//*Label 10788*/ GIMT_Encode4(680282), // Rule ID 10607 //
     /*  680212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  680223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  680226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  680229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680258 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  680258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  680261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680280 */     GIR_RootConstrainSelectedInstOperands,
     /*  680281 */     // GIR_Coverage, 10607,
     /*  680281 */     GIR_EraseRootFromParent_Done,
     /*  680282 */   // Label 10788: @680282
     /*  680282 */   GIM_Try, /*On fail goto*//*Label 10789*/ GIMT_Encode4(680357), // Rule ID 10608 //
     /*  680287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  680298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  680301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  680304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680333 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  680333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  680336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680355 */     GIR_RootConstrainSelectedInstOperands,
     /*  680356 */     // GIR_Coverage, 10608,
     /*  680356 */     GIR_EraseRootFromParent_Done,
     /*  680357 */   // Label 10789: @680357
     /*  680357 */   GIM_Try, /*On fail goto*//*Label 10790*/ GIMT_Encode4(680432), // Rule ID 10611 //
     /*  680362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  680373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  680376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  680379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680408 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  680408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  680411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680430 */     GIR_RootConstrainSelectedInstOperands,
     /*  680431 */     // GIR_Coverage, 10611,
     /*  680431 */     GIR_EraseRootFromParent_Done,
     /*  680432 */   // Label 10790: @680432
     /*  680432 */   GIM_Try, /*On fail goto*//*Label 10791*/ GIMT_Encode4(680507), // Rule ID 10612 //
     /*  680437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  680448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  680451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  680454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680483 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  680486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680505 */     GIR_RootConstrainSelectedInstOperands,
     /*  680506 */     // GIR_Coverage, 10612,
     /*  680506 */     GIR_EraseRootFromParent_Done,
     /*  680507 */   // Label 10791: @680507
     /*  680507 */   GIM_Try, /*On fail goto*//*Label 10792*/ GIMT_Encode4(680582), // Rule ID 10615 //
     /*  680512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  680523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  680526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  680529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680558 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  680558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  680561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680580 */     GIR_RootConstrainSelectedInstOperands,
     /*  680581 */     // GIR_Coverage, 10615,
     /*  680581 */     GIR_EraseRootFromParent_Done,
     /*  680582 */   // Label 10792: @680582
     /*  680582 */   GIM_Try, /*On fail goto*//*Label 10793*/ GIMT_Encode4(680657), // Rule ID 10616 //
     /*  680587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  680598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  680601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  680604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680633 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  680636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680655 */     GIR_RootConstrainSelectedInstOperands,
     /*  680656 */     // GIR_Coverage, 10616,
     /*  680656 */     GIR_EraseRootFromParent_Done,
     /*  680657 */   // Label 10793: @680657
     /*  680657 */   GIM_Try, /*On fail goto*//*Label 10794*/ GIMT_Encode4(680732), // Rule ID 10619 //
     /*  680662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  680673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  680676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  680679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680708 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  680708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  680711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680730 */     GIR_RootConstrainSelectedInstOperands,
     /*  680731 */     // GIR_Coverage, 10619,
     /*  680731 */     GIR_EraseRootFromParent_Done,
     /*  680732 */   // Label 10794: @680732
     /*  680732 */   GIM_Try, /*On fail goto*//*Label 10795*/ GIMT_Encode4(680807), // Rule ID 10620 //
     /*  680737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  680748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  680751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  680754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680783 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  680786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680805 */     GIR_RootConstrainSelectedInstOperands,
     /*  680806 */     // GIR_Coverage, 10620,
     /*  680806 */     GIR_EraseRootFromParent_Done,
     /*  680807 */   // Label 10795: @680807
     /*  680807 */   GIM_Try, /*On fail goto*//*Label 10796*/ GIMT_Encode4(680882), // Rule ID 10623 //
     /*  680812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  680815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  680823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  680826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  680829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680858 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  680858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  680861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680880 */     GIR_RootConstrainSelectedInstOperands,
     /*  680881 */     // GIR_Coverage, 10623,
     /*  680881 */     GIR_EraseRootFromParent_Done,
     /*  680882 */   // Label 10796: @680882
     /*  680882 */   GIM_Try, /*On fail goto*//*Label 10797*/ GIMT_Encode4(680957), // Rule ID 10624 //
     /*  680887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  680890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  680898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  680901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  680904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680933 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  680933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  680936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680955 */     GIR_RootConstrainSelectedInstOperands,
     /*  680956 */     // GIR_Coverage, 10624,
     /*  680956 */     GIR_EraseRootFromParent_Done,
     /*  680957 */   // Label 10797: @680957
     /*  680957 */   GIM_Try, /*On fail goto*//*Label 10798*/ GIMT_Encode4(681032), // Rule ID 10627 //
     /*  680962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  680965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  680970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  680973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  680976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  680979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681008 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  681008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  681011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  681027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681030 */     GIR_RootConstrainSelectedInstOperands,
     /*  681031 */     // GIR_Coverage, 10627,
     /*  681031 */     GIR_EraseRootFromParent_Done,
     /*  681032 */   // Label 10798: @681032
     /*  681032 */   GIM_Try, /*On fail goto*//*Label 10799*/ GIMT_Encode4(681107), // Rule ID 10628 //
     /*  681037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  681040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  681048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  681051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  681054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681083 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  681083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  681086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  681102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681105 */     GIR_RootConstrainSelectedInstOperands,
     /*  681106 */     // GIR_Coverage, 10628,
     /*  681106 */     GIR_EraseRootFromParent_Done,
     /*  681107 */   // Label 10799: @681107
     /*  681107 */   GIM_Try, /*On fail goto*//*Label 10800*/ GIMT_Encode4(681182), // Rule ID 10631 //
     /*  681112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  681115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  681123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  681126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  681129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681158 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  681158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  681177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681180 */     GIR_RootConstrainSelectedInstOperands,
     /*  681181 */     // GIR_Coverage, 10631,
     /*  681181 */     GIR_EraseRootFromParent_Done,
     /*  681182 */   // Label 10800: @681182
     /*  681182 */   GIM_Try, /*On fail goto*//*Label 10801*/ GIMT_Encode4(681257), // Rule ID 10632 //
     /*  681187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  681190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  681198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  681201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  681204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681233 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  681233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  681236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  681252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681255 */     GIR_RootConstrainSelectedInstOperands,
     /*  681256 */     // GIR_Coverage, 10632,
     /*  681256 */     GIR_EraseRootFromParent_Done,
     /*  681257 */   // Label 10801: @681257
     /*  681257 */   GIM_Try, /*On fail goto*//*Label 10802*/ GIMT_Encode4(681332), // Rule ID 10635 //
     /*  681262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  681273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  681276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  681279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  681282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681308 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  681311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681330 */     GIR_RootConstrainSelectedInstOperands,
     /*  681331 */     // GIR_Coverage, 10635,
     /*  681331 */     GIR_EraseRootFromParent_Done,
     /*  681332 */   // Label 10802: @681332
     /*  681332 */   GIM_Try, /*On fail goto*//*Label 10803*/ GIMT_Encode4(681407), // Rule ID 10636 //
     /*  681337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  681348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  681351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  681354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  681357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681383 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  681386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681405 */     GIR_RootConstrainSelectedInstOperands,
     /*  681406 */     // GIR_Coverage, 10636,
     /*  681406 */     GIR_EraseRootFromParent_Done,
     /*  681407 */   // Label 10803: @681407
     /*  681407 */   GIM_Try, /*On fail goto*//*Label 10804*/ GIMT_Encode4(681482), // Rule ID 10639 //
     /*  681412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  681423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  681426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  681429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  681432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681458 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  681461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681480 */     GIR_RootConstrainSelectedInstOperands,
     /*  681481 */     // GIR_Coverage, 10639,
     /*  681481 */     GIR_EraseRootFromParent_Done,
     /*  681482 */   // Label 10804: @681482
     /*  681482 */   GIM_Try, /*On fail goto*//*Label 10805*/ GIMT_Encode4(681557), // Rule ID 10640 //
     /*  681487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  681498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  681501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  681504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  681507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681533 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  681536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681555 */     GIR_RootConstrainSelectedInstOperands,
     /*  681556 */     // GIR_Coverage, 10640,
     /*  681556 */     GIR_EraseRootFromParent_Done,
     /*  681557 */   // Label 10805: @681557
     /*  681557 */   GIM_Try, /*On fail goto*//*Label 10806*/ GIMT_Encode4(681632), // Rule ID 10643 //
     /*  681562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  681573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  681576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  681579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  681582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681608 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  681611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681630 */     GIR_RootConstrainSelectedInstOperands,
     /*  681631 */     // GIR_Coverage, 10643,
     /*  681631 */     GIR_EraseRootFromParent_Done,
     /*  681632 */   // Label 10806: @681632
     /*  681632 */   GIM_Try, /*On fail goto*//*Label 10807*/ GIMT_Encode4(681707), // Rule ID 10644 //
     /*  681637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  681648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  681651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  681654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  681657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681683 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  681686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681705 */     GIR_RootConstrainSelectedInstOperands,
     /*  681706 */     // GIR_Coverage, 10644,
     /*  681706 */     GIR_EraseRootFromParent_Done,
     /*  681707 */   // Label 10807: @681707
     /*  681707 */   GIM_Try, /*On fail goto*//*Label 10808*/ GIMT_Encode4(681782), // Rule ID 10647 //
     /*  681712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  681723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  681726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  681729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  681732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681758 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  681761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681780 */     GIR_RootConstrainSelectedInstOperands,
     /*  681781 */     // GIR_Coverage, 10647,
     /*  681781 */     GIR_EraseRootFromParent_Done,
     /*  681782 */   // Label 10808: @681782
     /*  681782 */   GIM_Try, /*On fail goto*//*Label 10809*/ GIMT_Encode4(681857), // Rule ID 10648 //
     /*  681787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  681798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  681801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  681804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  681807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681833 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  681836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681855 */     GIR_RootConstrainSelectedInstOperands,
     /*  681856 */     // GIR_Coverage, 10648,
     /*  681856 */     GIR_EraseRootFromParent_Done,
     /*  681857 */   // Label 10809: @681857
     /*  681857 */   GIM_Try, /*On fail goto*//*Label 10810*/ GIMT_Encode4(681932), // Rule ID 10651 //
     /*  681862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  681873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  681876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  681879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  681882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681908 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  681911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681930 */     GIR_RootConstrainSelectedInstOperands,
     /*  681931 */     // GIR_Coverage, 10651,
     /*  681931 */     GIR_EraseRootFromParent_Done,
     /*  681932 */   // Label 10810: @681932
     /*  681932 */   GIM_Try, /*On fail goto*//*Label 10811*/ GIMT_Encode4(682007), // Rule ID 10652 //
     /*  681937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  681948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  681951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  681954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  681957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681983 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  681986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682005 */     GIR_RootConstrainSelectedInstOperands,
     /*  682006 */     // GIR_Coverage, 10652,
     /*  682006 */     GIR_EraseRootFromParent_Done,
     /*  682007 */   // Label 10811: @682007
     /*  682007 */   GIM_Try, /*On fail goto*//*Label 10812*/ GIMT_Encode4(682082), // Rule ID 10655 //
     /*  682012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  682023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  682026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  682029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  682032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682058 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  682058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  682061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682080 */     GIR_RootConstrainSelectedInstOperands,
     /*  682081 */     // GIR_Coverage, 10655,
     /*  682081 */     GIR_EraseRootFromParent_Done,
     /*  682082 */   // Label 10812: @682082
     /*  682082 */   GIM_Try, /*On fail goto*//*Label 10813*/ GIMT_Encode4(682157), // Rule ID 10656 //
     /*  682087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  682098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  682101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  682104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  682107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682133 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  682133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  682136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682155 */     GIR_RootConstrainSelectedInstOperands,
     /*  682156 */     // GIR_Coverage, 10656,
     /*  682156 */     GIR_EraseRootFromParent_Done,
     /*  682157 */   // Label 10813: @682157
     /*  682157 */   GIM_Try, /*On fail goto*//*Label 10814*/ GIMT_Encode4(682232), // Rule ID 10659 //
     /*  682162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  682173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  682176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  682179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  682182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11313:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  682211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682230 */     GIR_RootConstrainSelectedInstOperands,
     /*  682231 */     // GIR_Coverage, 10659,
     /*  682231 */     GIR_EraseRootFromParent_Done,
     /*  682232 */   // Label 10814: @682232
     /*  682232 */   GIM_Try, /*On fail goto*//*Label 10815*/ GIMT_Encode4(682307), // Rule ID 10660 //
     /*  682237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  682248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  682251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  682254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  682257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682283 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11313:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  682286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682305 */     GIR_RootConstrainSelectedInstOperands,
     /*  682306 */     // GIR_Coverage, 10660,
     /*  682306 */     GIR_EraseRootFromParent_Done,
     /*  682307 */   // Label 10815: @682307
     /*  682307 */   GIM_Try, /*On fail goto*//*Label 10816*/ GIMT_Encode4(682382), // Rule ID 10663 //
     /*  682312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  682323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  682326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  682329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  682332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682358 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  682358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  682361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682380 */     GIR_RootConstrainSelectedInstOperands,
     /*  682381 */     // GIR_Coverage, 10663,
     /*  682381 */     GIR_EraseRootFromParent_Done,
     /*  682382 */   // Label 10816: @682382
     /*  682382 */   GIM_Try, /*On fail goto*//*Label 10817*/ GIMT_Encode4(682457), // Rule ID 10664 //
     /*  682387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  682398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  682401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  682404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  682407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682433 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  682433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  682436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682455 */     GIR_RootConstrainSelectedInstOperands,
     /*  682456 */     // GIR_Coverage, 10664,
     /*  682456 */     GIR_EraseRootFromParent_Done,
     /*  682457 */   // Label 10817: @682457
     /*  682457 */   GIM_Try, /*On fail goto*//*Label 10818*/ GIMT_Encode4(682532), // Rule ID 10667 //
     /*  682462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  682473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  682476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  682479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  682482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  682508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  682511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682530 */     GIR_RootConstrainSelectedInstOperands,
     /*  682531 */     // GIR_Coverage, 10667,
     /*  682531 */     GIR_EraseRootFromParent_Done,
     /*  682532 */   // Label 10818: @682532
     /*  682532 */   GIM_Try, /*On fail goto*//*Label 10819*/ GIMT_Encode4(682607), // Rule ID 10668 //
     /*  682537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  682548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  682551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  682554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  682557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  682583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  682586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682605 */     GIR_RootConstrainSelectedInstOperands,
     /*  682606 */     // GIR_Coverage, 10668,
     /*  682606 */     GIR_EraseRootFromParent_Done,
     /*  682607 */   // Label 10819: @682607
     /*  682607 */   GIM_Try, /*On fail goto*//*Label 10820*/ GIMT_Encode4(682682), // Rule ID 10671 //
     /*  682612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  682623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  682626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  682629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  682632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682658 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  682661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682680 */     GIR_RootConstrainSelectedInstOperands,
     /*  682681 */     // GIR_Coverage, 10671,
     /*  682681 */     GIR_EraseRootFromParent_Done,
     /*  682682 */   // Label 10820: @682682
     /*  682682 */   GIM_Try, /*On fail goto*//*Label 10821*/ GIMT_Encode4(682757), // Rule ID 10672 //
     /*  682687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  682698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  682701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  682704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  682707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682733 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  682736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682755 */     GIR_RootConstrainSelectedInstOperands,
     /*  682756 */     // GIR_Coverage, 10672,
     /*  682756 */     GIR_EraseRootFromParent_Done,
     /*  682757 */   // Label 10821: @682757
     /*  682757 */   GIM_Try, /*On fail goto*//*Label 10822*/ GIMT_Encode4(682832), // Rule ID 10675 //
     /*  682762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  682773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  682776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  682779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  682782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682808 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11313:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  682811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682830 */     GIR_RootConstrainSelectedInstOperands,
     /*  682831 */     // GIR_Coverage, 10675,
     /*  682831 */     GIR_EraseRootFromParent_Done,
     /*  682832 */   // Label 10822: @682832
     /*  682832 */   GIM_Try, /*On fail goto*//*Label 10823*/ GIMT_Encode4(682907), // Rule ID 10676 //
     /*  682837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  682848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  682851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  682854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  682857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682883 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11313:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  682886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682905 */     GIR_RootConstrainSelectedInstOperands,
     /*  682906 */     // GIR_Coverage, 10676,
     /*  682906 */     GIR_EraseRootFromParent_Done,
     /*  682907 */   // Label 10823: @682907
     /*  682907 */   GIM_Try, /*On fail goto*//*Label 10824*/ GIMT_Encode4(682982), // Rule ID 10679 //
     /*  682912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  682923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  682926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  682929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  682932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682958 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11313:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  682961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682980 */     GIR_RootConstrainSelectedInstOperands,
     /*  682981 */     // GIR_Coverage, 10679,
     /*  682981 */     GIR_EraseRootFromParent_Done,
     /*  682982 */   // Label 10824: @682982
     /*  682982 */   GIM_Try, /*On fail goto*//*Label 10825*/ GIMT_Encode4(683057), // Rule ID 10680 //
     /*  682987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  682998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  683001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  683004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  683007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683033 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11313:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  683036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683055 */     GIR_RootConstrainSelectedInstOperands,
     /*  683056 */     // GIR_Coverage, 10680,
     /*  683056 */     GIR_EraseRootFromParent_Done,
     /*  683057 */   // Label 10825: @683057
     /*  683057 */   GIM_Try, /*On fail goto*//*Label 10826*/ GIMT_Encode4(683132), // Rule ID 10683 //
     /*  683062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  683073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  683076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  683079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  683082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683108 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11313:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  683111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683130 */     GIR_RootConstrainSelectedInstOperands,
     /*  683131 */     // GIR_Coverage, 10683,
     /*  683131 */     GIR_EraseRootFromParent_Done,
     /*  683132 */   // Label 10826: @683132
     /*  683132 */   GIM_Try, /*On fail goto*//*Label 10827*/ GIMT_Encode4(683207), // Rule ID 10684 //
     /*  683137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  683148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  683151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  683154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  683157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683183 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11313:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  683186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683205 */     GIR_RootConstrainSelectedInstOperands,
     /*  683206 */     // GIR_Coverage, 10684,
     /*  683206 */     GIR_EraseRootFromParent_Done,
     /*  683207 */   // Label 10827: @683207
     /*  683207 */   GIM_Try, /*On fail goto*//*Label 10828*/ GIMT_Encode4(683282), // Rule ID 10687 //
     /*  683212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  683223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  683226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  683229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  683232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683258 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11313:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  683261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683280 */     GIR_RootConstrainSelectedInstOperands,
     /*  683281 */     // GIR_Coverage, 10687,
     /*  683281 */     GIR_EraseRootFromParent_Done,
     /*  683282 */   // Label 10828: @683282
     /*  683282 */   GIM_Try, /*On fail goto*//*Label 10829*/ GIMT_Encode4(683357), // Rule ID 10688 //
     /*  683287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  683298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  683301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  683304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  683307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683333 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11313:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  683336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683355 */     GIR_RootConstrainSelectedInstOperands,
     /*  683356 */     // GIR_Coverage, 10688,
     /*  683356 */     GIR_EraseRootFromParent_Done,
     /*  683357 */   // Label 10829: @683357
     /*  683357 */   GIM_Try, /*On fail goto*//*Label 10830*/ GIMT_Encode4(683432), // Rule ID 10691 //
     /*  683362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  683373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  683376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  683379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  683382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683408 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11313:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  683411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683430 */     GIR_RootConstrainSelectedInstOperands,
     /*  683431 */     // GIR_Coverage, 10691,
     /*  683431 */     GIR_EraseRootFromParent_Done,
     /*  683432 */   // Label 10830: @683432
     /*  683432 */   GIM_Try, /*On fail goto*//*Label 10831*/ GIMT_Encode4(683507), // Rule ID 10692 //
     /*  683437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  683448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  683451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  683454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  683457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683483 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11313:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  683486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683505 */     GIR_RootConstrainSelectedInstOperands,
     /*  683506 */     // GIR_Coverage, 10692,
     /*  683506 */     GIR_EraseRootFromParent_Done,
     /*  683507 */   // Label 10831: @683507
     /*  683507 */   GIM_Try, /*On fail goto*//*Label 10832*/ GIMT_Encode4(683582), // Rule ID 10695 //
     /*  683512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  683523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  683526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  683529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  683532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683558 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11313:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  683561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683580 */     GIR_RootConstrainSelectedInstOperands,
     /*  683581 */     // GIR_Coverage, 10695,
     /*  683581 */     GIR_EraseRootFromParent_Done,
     /*  683582 */   // Label 10832: @683582
     /*  683582 */   GIM_Try, /*On fail goto*//*Label 10833*/ GIMT_Encode4(683657), // Rule ID 10696 //
     /*  683587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  683598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  683601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  683604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  683607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683633 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11313:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  683636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683655 */     GIR_RootConstrainSelectedInstOperands,
     /*  683656 */     // GIR_Coverage, 10696,
     /*  683656 */     GIR_EraseRootFromParent_Done,
     /*  683657 */   // Label 10833: @683657
     /*  683657 */   GIM_Try, /*On fail goto*//*Label 10834*/ GIMT_Encode4(683732), // Rule ID 10699 //
     /*  683662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  683673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  683676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  683679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  683682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11313:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  683711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683730 */     GIR_RootConstrainSelectedInstOperands,
     /*  683731 */     // GIR_Coverage, 10699,
     /*  683731 */     GIR_EraseRootFromParent_Done,
     /*  683732 */   // Label 10834: @683732
     /*  683732 */   GIM_Try, /*On fail goto*//*Label 10835*/ GIMT_Encode4(683807), // Rule ID 10700 //
     /*  683737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  683748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  683751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  683754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  683757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683783 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11313:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  683786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683805 */     GIR_RootConstrainSelectedInstOperands,
     /*  683806 */     // GIR_Coverage, 10700,
     /*  683806 */     GIR_EraseRootFromParent_Done,
     /*  683807 */   // Label 10835: @683807
     /*  683807 */   GIM_Try, /*On fail goto*//*Label 10836*/ GIMT_Encode4(683882), // Rule ID 10703 //
     /*  683812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  683823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  683826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  683829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  683832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683858 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11313:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  683861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683880 */     GIR_RootConstrainSelectedInstOperands,
     /*  683881 */     // GIR_Coverage, 10703,
     /*  683881 */     GIR_EraseRootFromParent_Done,
     /*  683882 */   // Label 10836: @683882
     /*  683882 */   GIM_Try, /*On fail goto*//*Label 10837*/ GIMT_Encode4(683957), // Rule ID 10704 //
     /*  683887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  683898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  683901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  683904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  683907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683933 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11313:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  683936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683955 */     GIR_RootConstrainSelectedInstOperands,
     /*  683956 */     // GIR_Coverage, 10704,
     /*  683956 */     GIR_EraseRootFromParent_Done,
     /*  683957 */   // Label 10837: @683957
     /*  683957 */   GIM_Try, /*On fail goto*//*Label 10838*/ GIMT_Encode4(684032), // Rule ID 10707 //
     /*  683962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  683973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  683976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  683979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  683982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684008 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11313:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  684008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  684011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684030 */     GIR_RootConstrainSelectedInstOperands,
     /*  684031 */     // GIR_Coverage, 10707,
     /*  684031 */     GIR_EraseRootFromParent_Done,
     /*  684032 */   // Label 10838: @684032
     /*  684032 */   GIM_Try, /*On fail goto*//*Label 10839*/ GIMT_Encode4(684107), // Rule ID 10708 //
     /*  684037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  684048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  684051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  684054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  684057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684083 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11313:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  684083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  684086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684105 */     GIR_RootConstrainSelectedInstOperands,
     /*  684106 */     // GIR_Coverage, 10708,
     /*  684106 */     GIR_EraseRootFromParent_Done,
     /*  684107 */   // Label 10839: @684107
     /*  684107 */   GIM_Try, /*On fail goto*//*Label 10840*/ GIMT_Encode4(684182), // Rule ID 10711 //
     /*  684112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  684115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  684123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  684126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  684129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  684132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684158 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11313:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  684158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684180 */     GIR_RootConstrainSelectedInstOperands,
     /*  684181 */     // GIR_Coverage, 10711,
     /*  684181 */     GIR_EraseRootFromParent_Done,
     /*  684182 */   // Label 10840: @684182
     /*  684182 */   GIM_Try, /*On fail goto*//*Label 10841*/ GIMT_Encode4(684257), // Rule ID 10712 //
     /*  684187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  684190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  684198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  684201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  684204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  684207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684233 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11313:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  684233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  684236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684255 */     GIR_RootConstrainSelectedInstOperands,
     /*  684256 */     // GIR_Coverage, 10712,
     /*  684256 */     GIR_EraseRootFromParent_Done,
     /*  684257 */   // Label 10841: @684257
     /*  684257 */   GIM_Try, /*On fail goto*//*Label 10842*/ GIMT_Encode4(684332), // Rule ID 10715 //
     /*  684262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  684265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  684273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  684276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  684279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  684282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684308 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11313:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  684308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  684311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684330 */     GIR_RootConstrainSelectedInstOperands,
     /*  684331 */     // GIR_Coverage, 10715,
     /*  684331 */     GIR_EraseRootFromParent_Done,
     /*  684332 */   // Label 10842: @684332
     /*  684332 */   GIM_Try, /*On fail goto*//*Label 10843*/ GIMT_Encode4(684407), // Rule ID 10716 //
     /*  684337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  684340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  684348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  684351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  684354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  684357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684383 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11313:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  684383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  684386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684405 */     GIR_RootConstrainSelectedInstOperands,
     /*  684406 */     // GIR_Coverage, 10716,
     /*  684406 */     GIR_EraseRootFromParent_Done,
     /*  684407 */   // Label 10843: @684407
     /*  684407 */   GIM_Try, /*On fail goto*//*Label 10844*/ GIMT_Encode4(684482), // Rule ID 10719 //
     /*  684412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  684415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  684423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  684426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  684429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  684432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684458 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11313:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  684458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  684461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684480 */     GIR_RootConstrainSelectedInstOperands,
     /*  684481 */     // GIR_Coverage, 10719,
     /*  684481 */     GIR_EraseRootFromParent_Done,
     /*  684482 */   // Label 10844: @684482
     /*  684482 */   GIM_Try, /*On fail goto*//*Label 10845*/ GIMT_Encode4(684557), // Rule ID 10720 //
     /*  684487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  684490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  684498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  684501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  684504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  684507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684533 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11313:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  684533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  684536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684555 */     GIR_RootConstrainSelectedInstOperands,
     /*  684556 */     // GIR_Coverage, 10720,
     /*  684556 */     GIR_EraseRootFromParent_Done,
     /*  684557 */   // Label 10845: @684557
     /*  684557 */   GIM_Try, /*On fail goto*//*Label 10846*/ GIMT_Encode4(684632), // Rule ID 10723 //
     /*  684562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  684573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  684576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  684579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684608 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  684611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684630 */     GIR_RootConstrainSelectedInstOperands,
     /*  684631 */     // GIR_Coverage, 10723,
     /*  684631 */     GIR_EraseRootFromParent_Done,
     /*  684632 */   // Label 10846: @684632
     /*  684632 */   GIM_Try, /*On fail goto*//*Label 10847*/ GIMT_Encode4(684707), // Rule ID 10724 //
     /*  684637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  684648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  684651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  684654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684683 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  684686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684705 */     GIR_RootConstrainSelectedInstOperands,
     /*  684706 */     // GIR_Coverage, 10724,
     /*  684706 */     GIR_EraseRootFromParent_Done,
     /*  684707 */   // Label 10847: @684707
     /*  684707 */   GIM_Try, /*On fail goto*//*Label 10848*/ GIMT_Encode4(684782), // Rule ID 10727 //
     /*  684712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  684723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  684726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  684729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684758 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  684761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684780 */     GIR_RootConstrainSelectedInstOperands,
     /*  684781 */     // GIR_Coverage, 10727,
     /*  684781 */     GIR_EraseRootFromParent_Done,
     /*  684782 */   // Label 10848: @684782
     /*  684782 */   GIM_Try, /*On fail goto*//*Label 10849*/ GIMT_Encode4(684857), // Rule ID 10728 //
     /*  684787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  684798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  684801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  684804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684833 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  684836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684855 */     GIR_RootConstrainSelectedInstOperands,
     /*  684856 */     // GIR_Coverage, 10728,
     /*  684856 */     GIR_EraseRootFromParent_Done,
     /*  684857 */   // Label 10849: @684857
     /*  684857 */   GIM_Try, /*On fail goto*//*Label 10850*/ GIMT_Encode4(684932), // Rule ID 10731 //
     /*  684862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  684873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  684876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  684879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684908 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  684911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684930 */     GIR_RootConstrainSelectedInstOperands,
     /*  684931 */     // GIR_Coverage, 10731,
     /*  684931 */     GIR_EraseRootFromParent_Done,
     /*  684932 */   // Label 10850: @684932
     /*  684932 */   GIM_Try, /*On fail goto*//*Label 10851*/ GIMT_Encode4(685007), // Rule ID 10732 //
     /*  684937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  684945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  684948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  684951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  684954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684983 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  684986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685005 */     GIR_RootConstrainSelectedInstOperands,
     /*  685006 */     // GIR_Coverage, 10732,
     /*  685006 */     GIR_EraseRootFromParent_Done,
     /*  685007 */   // Label 10851: @685007
     /*  685007 */   GIM_Try, /*On fail goto*//*Label 10852*/ GIMT_Encode4(685082), // Rule ID 10735 //
     /*  685012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  685023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  685026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  685029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685058 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  685061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685080 */     GIR_RootConstrainSelectedInstOperands,
     /*  685081 */     // GIR_Coverage, 10735,
     /*  685081 */     GIR_EraseRootFromParent_Done,
     /*  685082 */   // Label 10852: @685082
     /*  685082 */   GIM_Try, /*On fail goto*//*Label 10853*/ GIMT_Encode4(685157), // Rule ID 10736 //
     /*  685087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  685098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  685101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  685104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685133 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  685136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685155 */     GIR_RootConstrainSelectedInstOperands,
     /*  685156 */     // GIR_Coverage, 10736,
     /*  685156 */     GIR_EraseRootFromParent_Done,
     /*  685157 */   // Label 10853: @685157
     /*  685157 */   GIM_Try, /*On fail goto*//*Label 10854*/ GIMT_Encode4(685232), // Rule ID 10739 //
     /*  685162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  685173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  685176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  685179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685208 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  685211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685230 */     GIR_RootConstrainSelectedInstOperands,
     /*  685231 */     // GIR_Coverage, 10739,
     /*  685231 */     GIR_EraseRootFromParent_Done,
     /*  685232 */   // Label 10854: @685232
     /*  685232 */   GIM_Try, /*On fail goto*//*Label 10855*/ GIMT_Encode4(685307), // Rule ID 10740 //
     /*  685237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  685248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  685251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  685254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685283 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  685286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685305 */     GIR_RootConstrainSelectedInstOperands,
     /*  685306 */     // GIR_Coverage, 10740,
     /*  685306 */     GIR_EraseRootFromParent_Done,
     /*  685307 */   // Label 10855: @685307
     /*  685307 */   GIM_Try, /*On fail goto*//*Label 10856*/ GIMT_Encode4(685382), // Rule ID 10743 //
     /*  685312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  685323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  685326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  685329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685358 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  685361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685380 */     GIR_RootConstrainSelectedInstOperands,
     /*  685381 */     // GIR_Coverage, 10743,
     /*  685381 */     GIR_EraseRootFromParent_Done,
     /*  685382 */   // Label 10856: @685382
     /*  685382 */   GIM_Try, /*On fail goto*//*Label 10857*/ GIMT_Encode4(685457), // Rule ID 10744 //
     /*  685387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  685398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  685401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  685404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685433 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  685436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685455 */     GIR_RootConstrainSelectedInstOperands,
     /*  685456 */     // GIR_Coverage, 10744,
     /*  685456 */     GIR_EraseRootFromParent_Done,
     /*  685457 */   // Label 10857: @685457
     /*  685457 */   GIM_Try, /*On fail goto*//*Label 10858*/ GIMT_Encode4(685532), // Rule ID 10747 //
     /*  685462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  685473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  685476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  685479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11313:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  685508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  685511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685530 */     GIR_RootConstrainSelectedInstOperands,
     /*  685531 */     // GIR_Coverage, 10747,
     /*  685531 */     GIR_EraseRootFromParent_Done,
     /*  685532 */   // Label 10858: @685532
     /*  685532 */   GIM_Try, /*On fail goto*//*Label 10859*/ GIMT_Encode4(685607), // Rule ID 10748 //
     /*  685537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  685548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  685551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  685554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685583 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11313:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  685583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  685586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685605 */     GIR_RootConstrainSelectedInstOperands,
     /*  685606 */     // GIR_Coverage, 10748,
     /*  685606 */     GIR_EraseRootFromParent_Done,
     /*  685607 */   // Label 10859: @685607
     /*  685607 */   GIM_Try, /*On fail goto*//*Label 10860*/ GIMT_Encode4(685682), // Rule ID 10751 //
     /*  685612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  685623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  685626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  685629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685658 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  685661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685680 */     GIR_RootConstrainSelectedInstOperands,
     /*  685681 */     // GIR_Coverage, 10751,
     /*  685681 */     GIR_EraseRootFromParent_Done,
     /*  685682 */   // Label 10860: @685682
     /*  685682 */   GIM_Try, /*On fail goto*//*Label 10861*/ GIMT_Encode4(685757), // Rule ID 10752 //
     /*  685687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  685698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  685701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  685704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685733 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  685736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685755 */     GIR_RootConstrainSelectedInstOperands,
     /*  685756 */     // GIR_Coverage, 10752,
     /*  685756 */     GIR_EraseRootFromParent_Done,
     /*  685757 */   // Label 10861: @685757
     /*  685757 */   GIM_Try, /*On fail goto*//*Label 10862*/ GIMT_Encode4(685832), // Rule ID 10755 //
     /*  685762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  685773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  685776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  685779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  685811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685830 */     GIR_RootConstrainSelectedInstOperands,
     /*  685831 */     // GIR_Coverage, 10755,
     /*  685831 */     GIR_EraseRootFromParent_Done,
     /*  685832 */   // Label 10862: @685832
     /*  685832 */   GIM_Try, /*On fail goto*//*Label 10863*/ GIMT_Encode4(685907), // Rule ID 10756 //
     /*  685837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  685848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  685851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  685854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  685886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685905 */     GIR_RootConstrainSelectedInstOperands,
     /*  685906 */     // GIR_Coverage, 10756,
     /*  685906 */     GIR_EraseRootFromParent_Done,
     /*  685907 */   // Label 10863: @685907
     /*  685907 */   GIM_Try, /*On fail goto*//*Label 10864*/ GIMT_Encode4(685982), // Rule ID 10759 //
     /*  685912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  685915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  685923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  685926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  685929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  685958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  685961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685980 */     GIR_RootConstrainSelectedInstOperands,
     /*  685981 */     // GIR_Coverage, 10759,
     /*  685981 */     GIR_EraseRootFromParent_Done,
     /*  685982 */   // Label 10864: @685982
     /*  685982 */   GIM_Try, /*On fail goto*//*Label 10865*/ GIMT_Encode4(686057), // Rule ID 10760 //
     /*  685987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  685990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  685995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  685998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  686001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  686004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686033 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  686033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  686036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686055 */     GIR_RootConstrainSelectedInstOperands,
     /*  686056 */     // GIR_Coverage, 10760,
     /*  686056 */     GIR_EraseRootFromParent_Done,
     /*  686057 */   // Label 10865: @686057
     /*  686057 */   GIM_Try, /*On fail goto*//*Label 10866*/ GIMT_Encode4(686132), // Rule ID 10763 //
     /*  686062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  686073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  686076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  686079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686108 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11313:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  686111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686130 */     GIR_RootConstrainSelectedInstOperands,
     /*  686131 */     // GIR_Coverage, 10763,
     /*  686131 */     GIR_EraseRootFromParent_Done,
     /*  686132 */   // Label 10866: @686132
     /*  686132 */   GIM_Try, /*On fail goto*//*Label 10867*/ GIMT_Encode4(686207), // Rule ID 10764 //
     /*  686137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  686148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  686151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  686154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686183 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11313:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  686186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686205 */     GIR_RootConstrainSelectedInstOperands,
     /*  686206 */     // GIR_Coverage, 10764,
     /*  686206 */     GIR_EraseRootFromParent_Done,
     /*  686207 */   // Label 10867: @686207
     /*  686207 */   GIM_Try, /*On fail goto*//*Label 10868*/ GIMT_Encode4(686282), // Rule ID 10767 //
     /*  686212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  686223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  686226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  686229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686258 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11313:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  686261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686280 */     GIR_RootConstrainSelectedInstOperands,
     /*  686281 */     // GIR_Coverage, 10767,
     /*  686281 */     GIR_EraseRootFromParent_Done,
     /*  686282 */   // Label 10868: @686282
     /*  686282 */   GIM_Try, /*On fail goto*//*Label 10869*/ GIMT_Encode4(686357), // Rule ID 10768 //
     /*  686287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  686298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  686301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  686304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686333 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11313:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  686336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686355 */     GIR_RootConstrainSelectedInstOperands,
     /*  686356 */     // GIR_Coverage, 10768,
     /*  686356 */     GIR_EraseRootFromParent_Done,
     /*  686357 */   // Label 10869: @686357
     /*  686357 */   GIM_Try, /*On fail goto*//*Label 10870*/ GIMT_Encode4(686432), // Rule ID 10771 //
     /*  686362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  686373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  686376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  686379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686408 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11313:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  686411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686430 */     GIR_RootConstrainSelectedInstOperands,
     /*  686431 */     // GIR_Coverage, 10771,
     /*  686431 */     GIR_EraseRootFromParent_Done,
     /*  686432 */   // Label 10870: @686432
     /*  686432 */   GIM_Try, /*On fail goto*//*Label 10871*/ GIMT_Encode4(686507), // Rule ID 10772 //
     /*  686437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  686448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  686451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  686454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686483 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11313:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  686486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686505 */     GIR_RootConstrainSelectedInstOperands,
     /*  686506 */     // GIR_Coverage, 10772,
     /*  686506 */     GIR_EraseRootFromParent_Done,
     /*  686507 */   // Label 10871: @686507
     /*  686507 */   GIM_Try, /*On fail goto*//*Label 10872*/ GIMT_Encode4(686582), // Rule ID 10775 //
     /*  686512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  686523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  686526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  686529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686558 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11313:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  686561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686580 */     GIR_RootConstrainSelectedInstOperands,
     /*  686581 */     // GIR_Coverage, 10775,
     /*  686581 */     GIR_EraseRootFromParent_Done,
     /*  686582 */   // Label 10872: @686582
     /*  686582 */   GIM_Try, /*On fail goto*//*Label 10873*/ GIMT_Encode4(686657), // Rule ID 10776 //
     /*  686587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  686598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  686601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  686604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686633 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11313:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  686636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686655 */     GIR_RootConstrainSelectedInstOperands,
     /*  686656 */     // GIR_Coverage, 10776,
     /*  686656 */     GIR_EraseRootFromParent_Done,
     /*  686657 */   // Label 10873: @686657
     /*  686657 */   GIM_Try, /*On fail goto*//*Label 10874*/ GIMT_Encode4(686732), // Rule ID 10779 //
     /*  686662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  686673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  686676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  686679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686708 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11313:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  686711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686730 */     GIR_RootConstrainSelectedInstOperands,
     /*  686731 */     // GIR_Coverage, 10779,
     /*  686731 */     GIR_EraseRootFromParent_Done,
     /*  686732 */   // Label 10874: @686732
     /*  686732 */   GIM_Try, /*On fail goto*//*Label 10875*/ GIMT_Encode4(686807), // Rule ID 10780 //
     /*  686737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  686748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  686751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  686754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686783 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11313:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  686786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686805 */     GIR_RootConstrainSelectedInstOperands,
     /*  686806 */     // GIR_Coverage, 10780,
     /*  686806 */     GIR_EraseRootFromParent_Done,
     /*  686807 */   // Label 10875: @686807
     /*  686807 */   GIM_Try, /*On fail goto*//*Label 10876*/ GIMT_Encode4(686882), // Rule ID 10783 //
     /*  686812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  686823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  686826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  686829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686858 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11313:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  686861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686880 */     GIR_RootConstrainSelectedInstOperands,
     /*  686881 */     // GIR_Coverage, 10783,
     /*  686881 */     GIR_EraseRootFromParent_Done,
     /*  686882 */   // Label 10876: @686882
     /*  686882 */   GIM_Try, /*On fail goto*//*Label 10877*/ GIMT_Encode4(686957), // Rule ID 10784 //
     /*  686887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  686898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  686901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  686904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686933 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11313:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  686936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686955 */     GIR_RootConstrainSelectedInstOperands,
     /*  686956 */     // GIR_Coverage, 10784,
     /*  686956 */     GIR_EraseRootFromParent_Done,
     /*  686957 */   // Label 10877: @686957
     /*  686957 */   GIM_Try, /*On fail goto*//*Label 10878*/ GIMT_Encode4(687032), // Rule ID 10787 //
     /*  686962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  686970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  686973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  686976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  686979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687008 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11313:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  687008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  687011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687030 */     GIR_RootConstrainSelectedInstOperands,
     /*  687031 */     // GIR_Coverage, 10787,
     /*  687031 */     GIR_EraseRootFromParent_Done,
     /*  687032 */   // Label 10878: @687032
     /*  687032 */   GIM_Try, /*On fail goto*//*Label 10879*/ GIMT_Encode4(687107), // Rule ID 10788 //
     /*  687037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  687048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  687051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  687054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687083 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11313:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  687083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  687086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687105 */     GIR_RootConstrainSelectedInstOperands,
     /*  687106 */     // GIR_Coverage, 10788,
     /*  687106 */     GIR_EraseRootFromParent_Done,
     /*  687107 */   // Label 10879: @687107
     /*  687107 */   GIM_Try, /*On fail goto*//*Label 10880*/ GIMT_Encode4(687182), // Rule ID 10791 //
     /*  687112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  687123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  687126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  687129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687158 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11313:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  687158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  687161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687180 */     GIR_RootConstrainSelectedInstOperands,
     /*  687181 */     // GIR_Coverage, 10791,
     /*  687181 */     GIR_EraseRootFromParent_Done,
     /*  687182 */   // Label 10880: @687182
     /*  687182 */   GIM_Try, /*On fail goto*//*Label 10881*/ GIMT_Encode4(687257), // Rule ID 10792 //
     /*  687187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  687198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  687201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  687204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687233 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11313:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  687233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  687236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687255 */     GIR_RootConstrainSelectedInstOperands,
     /*  687256 */     // GIR_Coverage, 10792,
     /*  687256 */     GIR_EraseRootFromParent_Done,
     /*  687257 */   // Label 10881: @687257
     /*  687257 */   GIM_Try, /*On fail goto*//*Label 10882*/ GIMT_Encode4(687332), // Rule ID 10795 //
     /*  687262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  687273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  687276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  687279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687308 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11313:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  687308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  687311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687330 */     GIR_RootConstrainSelectedInstOperands,
     /*  687331 */     // GIR_Coverage, 10795,
     /*  687331 */     GIR_EraseRootFromParent_Done,
     /*  687332 */   // Label 10882: @687332
     /*  687332 */   GIM_Try, /*On fail goto*//*Label 10883*/ GIMT_Encode4(687407), // Rule ID 10796 //
     /*  687337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  687348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  687351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  687354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687383 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11313:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  687383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  687386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687405 */     GIR_RootConstrainSelectedInstOperands,
     /*  687406 */     // GIR_Coverage, 10796,
     /*  687406 */     GIR_EraseRootFromParent_Done,
     /*  687407 */   // Label 10883: @687407
     /*  687407 */   GIM_Try, /*On fail goto*//*Label 10884*/ GIMT_Encode4(687482), // Rule ID 10799 //
     /*  687412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  687415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  687423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  687426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  687429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687458 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11313:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  687458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  687461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687480 */     GIR_RootConstrainSelectedInstOperands,
     /*  687481 */     // GIR_Coverage, 10799,
     /*  687481 */     GIR_EraseRootFromParent_Done,
     /*  687482 */   // Label 10884: @687482
     /*  687482 */   GIM_Try, /*On fail goto*//*Label 10885*/ GIMT_Encode4(687557), // Rule ID 10800 //
     /*  687487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  687490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  687498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  687501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  687504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687533 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11313:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  687533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  687536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687555 */     GIR_RootConstrainSelectedInstOperands,
     /*  687556 */     // GIR_Coverage, 10800,
     /*  687556 */     GIR_EraseRootFromParent_Done,
     /*  687557 */   // Label 10885: @687557
     /*  687557 */   GIM_Try, /*On fail goto*//*Label 10886*/ GIMT_Encode4(687632), // Rule ID 10803 //
     /*  687562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  687565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  687573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  687576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  687579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687608 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11313:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  687608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  687611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687630 */     GIR_RootConstrainSelectedInstOperands,
     /*  687631 */     // GIR_Coverage, 10803,
     /*  687631 */     GIR_EraseRootFromParent_Done,
     /*  687632 */   // Label 10886: @687632
     /*  687632 */   GIM_Try, /*On fail goto*//*Label 10887*/ GIMT_Encode4(687707), // Rule ID 10804 //
     /*  687637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  687640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  687648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  687651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  687654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687683 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11313:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  687683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  687686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687705 */     GIR_RootConstrainSelectedInstOperands,
     /*  687706 */     // GIR_Coverage, 10804,
     /*  687706 */     GIR_EraseRootFromParent_Done,
     /*  687707 */   // Label 10887: @687707
     /*  687707 */   GIM_Try, /*On fail goto*//*Label 10888*/ GIMT_Encode4(687782), // Rule ID 10807 //
     /*  687712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  687715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  687723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  687726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  687729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687758 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11313:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  687758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  687761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687780 */     GIR_RootConstrainSelectedInstOperands,
     /*  687781 */     // GIR_Coverage, 10807,
     /*  687781 */     GIR_EraseRootFromParent_Done,
     /*  687782 */   // Label 10888: @687782
     /*  687782 */   GIM_Try, /*On fail goto*//*Label 10889*/ GIMT_Encode4(687857), // Rule ID 10808 //
     /*  687787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  687790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  687798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  687801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  687804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687833 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11313:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  687833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  687836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687855 */     GIR_RootConstrainSelectedInstOperands,
     /*  687856 */     // GIR_Coverage, 10808,
     /*  687856 */     GIR_EraseRootFromParent_Done,
     /*  687857 */   // Label 10889: @687857
     /*  687857 */   GIM_Try, /*On fail goto*//*Label 10890*/ GIMT_Encode4(687932), // Rule ID 10811 //
     /*  687862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  687870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  687873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  687876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  687879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  687882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687908 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  687911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687930 */     GIR_RootConstrainSelectedInstOperands,
     /*  687931 */     // GIR_Coverage, 10811,
     /*  687931 */     GIR_EraseRootFromParent_Done,
     /*  687932 */   // Label 10890: @687932
     /*  687932 */   GIM_Try, /*On fail goto*//*Label 10891*/ GIMT_Encode4(688007), // Rule ID 10812 //
     /*  687937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  687945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  687948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  687951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  687954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  687957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687983 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  687986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688005 */     GIR_RootConstrainSelectedInstOperands,
     /*  688006 */     // GIR_Coverage, 10812,
     /*  688006 */     GIR_EraseRootFromParent_Done,
     /*  688007 */   // Label 10891: @688007
     /*  688007 */   GIM_Try, /*On fail goto*//*Label 10892*/ GIMT_Encode4(688082), // Rule ID 10815 //
     /*  688012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  688023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  688026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  688029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  688032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688058 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  688061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688080 */     GIR_RootConstrainSelectedInstOperands,
     /*  688081 */     // GIR_Coverage, 10815,
     /*  688081 */     GIR_EraseRootFromParent_Done,
     /*  688082 */   // Label 10892: @688082
     /*  688082 */   GIM_Try, /*On fail goto*//*Label 10893*/ GIMT_Encode4(688157), // Rule ID 10816 //
     /*  688087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  688098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  688101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  688104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  688107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688133 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  688136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688155 */     GIR_RootConstrainSelectedInstOperands,
     /*  688156 */     // GIR_Coverage, 10816,
     /*  688156 */     GIR_EraseRootFromParent_Done,
     /*  688157 */   // Label 10893: @688157
     /*  688157 */   GIM_Try, /*On fail goto*//*Label 10894*/ GIMT_Encode4(688232), // Rule ID 10819 //
     /*  688162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  688173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  688176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  688179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  688182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688208 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  688211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688230 */     GIR_RootConstrainSelectedInstOperands,
     /*  688231 */     // GIR_Coverage, 10819,
     /*  688231 */     GIR_EraseRootFromParent_Done,
     /*  688232 */   // Label 10894: @688232
     /*  688232 */   GIM_Try, /*On fail goto*//*Label 10895*/ GIMT_Encode4(688307), // Rule ID 10820 //
     /*  688237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  688248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  688251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  688254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  688257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688283 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  688286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688305 */     GIR_RootConstrainSelectedInstOperands,
     /*  688306 */     // GIR_Coverage, 10820,
     /*  688306 */     GIR_EraseRootFromParent_Done,
     /*  688307 */   // Label 10895: @688307
     /*  688307 */   GIM_Try, /*On fail goto*//*Label 10896*/ GIMT_Encode4(688382), // Rule ID 10823 //
     /*  688312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  688323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  688326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  688329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  688332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688358 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  688361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688380 */     GIR_RootConstrainSelectedInstOperands,
     /*  688381 */     // GIR_Coverage, 10823,
     /*  688381 */     GIR_EraseRootFromParent_Done,
     /*  688382 */   // Label 10896: @688382
     /*  688382 */   GIM_Try, /*On fail goto*//*Label 10897*/ GIMT_Encode4(688457), // Rule ID 10824 //
     /*  688387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  688398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  688401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  688404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  688407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688433 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  688436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688455 */     GIR_RootConstrainSelectedInstOperands,
     /*  688456 */     // GIR_Coverage, 10824,
     /*  688456 */     GIR_EraseRootFromParent_Done,
     /*  688457 */   // Label 10897: @688457
     /*  688457 */   GIM_Try, /*On fail goto*//*Label 10898*/ GIMT_Encode4(688532), // Rule ID 10827 //
     /*  688462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  688473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  688476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  688479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  688482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688508 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  688511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688530 */     GIR_RootConstrainSelectedInstOperands,
     /*  688531 */     // GIR_Coverage, 10827,
     /*  688531 */     GIR_EraseRootFromParent_Done,
     /*  688532 */   // Label 10898: @688532
     /*  688532 */   GIM_Try, /*On fail goto*//*Label 10899*/ GIMT_Encode4(688607), // Rule ID 10828 //
     /*  688537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  688548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  688551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  688554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  688557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688583 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  688586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688605 */     GIR_RootConstrainSelectedInstOperands,
     /*  688606 */     // GIR_Coverage, 10828,
     /*  688606 */     GIR_EraseRootFromParent_Done,
     /*  688607 */   // Label 10899: @688607
     /*  688607 */   GIM_Try, /*On fail goto*//*Label 10900*/ GIMT_Encode4(688682), // Rule ID 10831 //
     /*  688612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  688623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  688626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  688629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  688632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  688661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688680 */     GIR_RootConstrainSelectedInstOperands,
     /*  688681 */     // GIR_Coverage, 10831,
     /*  688681 */     GIR_EraseRootFromParent_Done,
     /*  688682 */   // Label 10900: @688682
     /*  688682 */   GIM_Try, /*On fail goto*//*Label 10901*/ GIMT_Encode4(688757), // Rule ID 10832 //
     /*  688687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  688698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  688701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  688704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  688707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688733 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  688736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688755 */     GIR_RootConstrainSelectedInstOperands,
     /*  688756 */     // GIR_Coverage, 10832,
     /*  688756 */     GIR_EraseRootFromParent_Done,
     /*  688757 */   // Label 10901: @688757
     /*  688757 */   GIM_Try, /*On fail goto*//*Label 10902*/ GIMT_Encode4(688832), // Rule ID 10835 //
     /*  688762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  688773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  688776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  688779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  688782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688808 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  688811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688830 */     GIR_RootConstrainSelectedInstOperands,
     /*  688831 */     // GIR_Coverage, 10835,
     /*  688831 */     GIR_EraseRootFromParent_Done,
     /*  688832 */   // Label 10902: @688832
     /*  688832 */   GIM_Try, /*On fail goto*//*Label 10903*/ GIMT_Encode4(688907), // Rule ID 10836 //
     /*  688837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  688848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  688851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  688854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  688857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688883 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  688886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688905 */     GIR_RootConstrainSelectedInstOperands,
     /*  688906 */     // GIR_Coverage, 10836,
     /*  688906 */     GIR_EraseRootFromParent_Done,
     /*  688907 */   // Label 10903: @688907
     /*  688907 */   GIM_Try, /*On fail goto*//*Label 10904*/ GIMT_Encode4(688982), // Rule ID 10839 //
     /*  688912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  688923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  688926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  688929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  688932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688958 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  688961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688980 */     GIR_RootConstrainSelectedInstOperands,
     /*  688981 */     // GIR_Coverage, 10839,
     /*  688981 */     GIR_EraseRootFromParent_Done,
     /*  688982 */   // Label 10904: @688982
     /*  688982 */   GIM_Try, /*On fail goto*//*Label 10905*/ GIMT_Encode4(689057), // Rule ID 10840 //
     /*  688987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  688998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  689001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  689004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  689007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689033 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  689036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689055 */     GIR_RootConstrainSelectedInstOperands,
     /*  689056 */     // GIR_Coverage, 10840,
     /*  689056 */     GIR_EraseRootFromParent_Done,
     /*  689057 */   // Label 10905: @689057
     /*  689057 */   GIM_Try, /*On fail goto*//*Label 10906*/ GIMT_Encode4(689132), // Rule ID 10843 //
     /*  689062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  689073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  689076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  689079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  689082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  689108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  689111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689130 */     GIR_RootConstrainSelectedInstOperands,
     /*  689131 */     // GIR_Coverage, 10843,
     /*  689131 */     GIR_EraseRootFromParent_Done,
     /*  689132 */   // Label 10906: @689132
     /*  689132 */   GIM_Try, /*On fail goto*//*Label 10907*/ GIMT_Encode4(689207), // Rule ID 10844 //
     /*  689137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  689148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  689151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  689154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  689157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  689183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  689186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689205 */     GIR_RootConstrainSelectedInstOperands,
     /*  689206 */     // GIR_Coverage, 10844,
     /*  689206 */     GIR_EraseRootFromParent_Done,
     /*  689207 */   // Label 10907: @689207
     /*  689207 */   GIM_Try, /*On fail goto*//*Label 10908*/ GIMT_Encode4(689282), // Rule ID 10847 //
     /*  689212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  689215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  689223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  689226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  689229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  689232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689258 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  689258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  689261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689280 */     GIR_RootConstrainSelectedInstOperands,
     /*  689281 */     // GIR_Coverage, 10847,
     /*  689281 */     GIR_EraseRootFromParent_Done,
     /*  689282 */   // Label 10908: @689282
     /*  689282 */   GIM_Try, /*On fail goto*//*Label 10909*/ GIMT_Encode4(689357), // Rule ID 10848 //
     /*  689287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  689290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  689298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  689301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  689304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  689307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689333 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  689333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  689336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689355 */     GIR_RootConstrainSelectedInstOperands,
     /*  689356 */     // GIR_Coverage, 10848,
     /*  689356 */     GIR_EraseRootFromParent_Done,
     /*  689357 */   // Label 10909: @689357
     /*  689357 */   GIM_Try, /*On fail goto*//*Label 10910*/ GIMT_Encode4(689432), // Rule ID 10851 //
     /*  689362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  689373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  689376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  689379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  689382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689408 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  689411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689430 */     GIR_RootConstrainSelectedInstOperands,
     /*  689431 */     // GIR_Coverage, 10851,
     /*  689431 */     GIR_EraseRootFromParent_Done,
     /*  689432 */   // Label 10910: @689432
     /*  689432 */   GIM_Try, /*On fail goto*//*Label 10911*/ GIMT_Encode4(689507), // Rule ID 10852 //
     /*  689437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  689448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  689451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  689454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  689457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689483 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  689486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689505 */     GIR_RootConstrainSelectedInstOperands,
     /*  689506 */     // GIR_Coverage, 10852,
     /*  689506 */     GIR_EraseRootFromParent_Done,
     /*  689507 */   // Label 10911: @689507
     /*  689507 */   GIM_Try, /*On fail goto*//*Label 10912*/ GIMT_Encode4(689582), // Rule ID 10855 //
     /*  689512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  689523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  689526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  689529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  689532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689558 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  689561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689580 */     GIR_RootConstrainSelectedInstOperands,
     /*  689581 */     // GIR_Coverage, 10855,
     /*  689581 */     GIR_EraseRootFromParent_Done,
     /*  689582 */   // Label 10912: @689582
     /*  689582 */   GIM_Try, /*On fail goto*//*Label 10913*/ GIMT_Encode4(689657), // Rule ID 10856 //
     /*  689587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  689598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  689601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  689604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  689607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689633 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  689636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689655 */     GIR_RootConstrainSelectedInstOperands,
     /*  689656 */     // GIR_Coverage, 10856,
     /*  689656 */     GIR_EraseRootFromParent_Done,
     /*  689657 */   // Label 10913: @689657
     /*  689657 */   GIM_Try, /*On fail goto*//*Label 10914*/ GIMT_Encode4(689732), // Rule ID 10859 //
     /*  689662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  689673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  689676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  689679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  689682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689708 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  689711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689730 */     GIR_RootConstrainSelectedInstOperands,
     /*  689731 */     // GIR_Coverage, 10859,
     /*  689731 */     GIR_EraseRootFromParent_Done,
     /*  689732 */   // Label 10914: @689732
     /*  689732 */   GIM_Try, /*On fail goto*//*Label 10915*/ GIMT_Encode4(689807), // Rule ID 10860 //
     /*  689737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  689748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  689751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  689754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  689757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689783 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  689786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689805 */     GIR_RootConstrainSelectedInstOperands,
     /*  689806 */     // GIR_Coverage, 10860,
     /*  689806 */     GIR_EraseRootFromParent_Done,
     /*  689807 */   // Label 10915: @689807
     /*  689807 */   GIM_Try, /*On fail goto*//*Label 10916*/ GIMT_Encode4(689882), // Rule ID 10863 //
     /*  689812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  689823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  689826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  689829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  689832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689858 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  689861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689880 */     GIR_RootConstrainSelectedInstOperands,
     /*  689881 */     // GIR_Coverage, 10863,
     /*  689881 */     GIR_EraseRootFromParent_Done,
     /*  689882 */   // Label 10916: @689882
     /*  689882 */   GIM_Try, /*On fail goto*//*Label 10917*/ GIMT_Encode4(689957), // Rule ID 10864 //
     /*  689887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  689898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  689901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  689904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  689907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689933 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  689936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689955 */     GIR_RootConstrainSelectedInstOperands,
     /*  689956 */     // GIR_Coverage, 10864,
     /*  689956 */     GIR_EraseRootFromParent_Done,
     /*  689957 */   // Label 10917: @689957
     /*  689957 */   GIM_Try, /*On fail goto*//*Label 10918*/ GIMT_Encode4(690032), // Rule ID 10867 //
     /*  689962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  689973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  689976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  689979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  689982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690008 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  690011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690030 */     GIR_RootConstrainSelectedInstOperands,
     /*  690031 */     // GIR_Coverage, 10867,
     /*  690031 */     GIR_EraseRootFromParent_Done,
     /*  690032 */   // Label 10918: @690032
     /*  690032 */   GIM_Try, /*On fail goto*//*Label 10919*/ GIMT_Encode4(690107), // Rule ID 10868 //
     /*  690037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  690048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  690051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  690054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  690057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  690086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690105 */     GIR_RootConstrainSelectedInstOperands,
     /*  690106 */     // GIR_Coverage, 10868,
     /*  690106 */     GIR_EraseRootFromParent_Done,
     /*  690107 */   // Label 10919: @690107
     /*  690107 */   GIM_Try, /*On fail goto*//*Label 10920*/ GIMT_Encode4(690182), // Rule ID 10871 //
     /*  690112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  690123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  690126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  690129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  690132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690158 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  690161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690180 */     GIR_RootConstrainSelectedInstOperands,
     /*  690181 */     // GIR_Coverage, 10871,
     /*  690181 */     GIR_EraseRootFromParent_Done,
     /*  690182 */   // Label 10920: @690182
     /*  690182 */   GIM_Try, /*On fail goto*//*Label 10921*/ GIMT_Encode4(690257), // Rule ID 10872 //
     /*  690187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  690198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  690201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  690204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  690207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690233 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  690236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690255 */     GIR_RootConstrainSelectedInstOperands,
     /*  690256 */     // GIR_Coverage, 10872,
     /*  690256 */     GIR_EraseRootFromParent_Done,
     /*  690257 */   // Label 10921: @690257
     /*  690257 */   GIM_Try, /*On fail goto*//*Label 10922*/ GIMT_Encode4(690332), // Rule ID 10875 //
     /*  690262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  690273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  690276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  690279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  690282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690308 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  690311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690330 */     GIR_RootConstrainSelectedInstOperands,
     /*  690331 */     // GIR_Coverage, 10875,
     /*  690331 */     GIR_EraseRootFromParent_Done,
     /*  690332 */   // Label 10922: @690332
     /*  690332 */   GIM_Try, /*On fail goto*//*Label 10923*/ GIMT_Encode4(690407), // Rule ID 10876 //
     /*  690337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  690348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  690351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  690354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  690357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690383 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  690386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690405 */     GIR_RootConstrainSelectedInstOperands,
     /*  690406 */     // GIR_Coverage, 10876,
     /*  690406 */     GIR_EraseRootFromParent_Done,
     /*  690407 */   // Label 10923: @690407
     /*  690407 */   GIM_Try, /*On fail goto*//*Label 10924*/ GIMT_Encode4(690482), // Rule ID 10879 //
     /*  690412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  690423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  690426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  690429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  690432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690458 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  690461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690480 */     GIR_RootConstrainSelectedInstOperands,
     /*  690481 */     // GIR_Coverage, 10879,
     /*  690481 */     GIR_EraseRootFromParent_Done,
     /*  690482 */   // Label 10924: @690482
     /*  690482 */   GIM_Try, /*On fail goto*//*Label 10925*/ GIMT_Encode4(690557), // Rule ID 10880 //
     /*  690487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  690498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  690501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  690504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  690507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690533 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  690536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690555 */     GIR_RootConstrainSelectedInstOperands,
     /*  690556 */     // GIR_Coverage, 10880,
     /*  690556 */     GIR_EraseRootFromParent_Done,
     /*  690557 */   // Label 10925: @690557
     /*  690557 */   GIM_Try, /*On fail goto*//*Label 10926*/ GIMT_Encode4(690632), // Rule ID 10883 //
     /*  690562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  690573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  690576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  690579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  690582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690608 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  690611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690630 */     GIR_RootConstrainSelectedInstOperands,
     /*  690631 */     // GIR_Coverage, 10883,
     /*  690631 */     GIR_EraseRootFromParent_Done,
     /*  690632 */   // Label 10926: @690632
     /*  690632 */   GIM_Try, /*On fail goto*//*Label 10927*/ GIMT_Encode4(690707), // Rule ID 10884 //
     /*  690637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  690648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  690651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  690654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  690657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690683 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  690686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690705 */     GIR_RootConstrainSelectedInstOperands,
     /*  690706 */     // GIR_Coverage, 10884,
     /*  690706 */     GIR_EraseRootFromParent_Done,
     /*  690707 */   // Label 10927: @690707
     /*  690707 */   GIM_Try, /*On fail goto*//*Label 10928*/ GIMT_Encode4(690782), // Rule ID 10887 //
     /*  690712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  690715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  690723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  690726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  690729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  690732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690758 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  690758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  690761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690780 */     GIR_RootConstrainSelectedInstOperands,
     /*  690781 */     // GIR_Coverage, 10887,
     /*  690781 */     GIR_EraseRootFromParent_Done,
     /*  690782 */   // Label 10928: @690782
     /*  690782 */   GIM_Try, /*On fail goto*//*Label 10929*/ GIMT_Encode4(690857), // Rule ID 10888 //
     /*  690787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  690790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  690798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  690801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  690804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  690807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690833 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  690833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  690836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690855 */     GIR_RootConstrainSelectedInstOperands,
     /*  690856 */     // GIR_Coverage, 10888,
     /*  690856 */     GIR_EraseRootFromParent_Done,
     /*  690857 */   // Label 10929: @690857
     /*  690857 */   GIM_Try, /*On fail goto*//*Label 10930*/ GIMT_Encode4(690932), // Rule ID 10891 //
     /*  690862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  690865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  690873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  690876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  690879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  690882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690908 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  690908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  690911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690930 */     GIR_RootConstrainSelectedInstOperands,
     /*  690931 */     // GIR_Coverage, 10891,
     /*  690931 */     GIR_EraseRootFromParent_Done,
     /*  690932 */   // Label 10930: @690932
     /*  690932 */   GIM_Try, /*On fail goto*//*Label 10931*/ GIMT_Encode4(691007), // Rule ID 10892 //
     /*  690937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  690940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  690945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  690948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  690951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  690954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  690957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690983 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  690983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  690986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  691002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691005 */     GIR_RootConstrainSelectedInstOperands,
     /*  691006 */     // GIR_Coverage, 10892,
     /*  691006 */     GIR_EraseRootFromParent_Done,
     /*  691007 */   // Label 10931: @691007
     /*  691007 */   GIM_Try, /*On fail goto*//*Label 10932*/ GIMT_Encode4(691082), // Rule ID 10895 //
     /*  691012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  691015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  691023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  691026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  691029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  691032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691058 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  691058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  691061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  691077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691080 */     GIR_RootConstrainSelectedInstOperands,
     /*  691081 */     // GIR_Coverage, 10895,
     /*  691081 */     GIR_EraseRootFromParent_Done,
     /*  691082 */   // Label 10932: @691082
     /*  691082 */   GIM_Try, /*On fail goto*//*Label 10933*/ GIMT_Encode4(691157), // Rule ID 10896 //
     /*  691087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  691090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  691098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  691101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  691104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  691107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691133 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  691133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  691136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  691152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691155 */     GIR_RootConstrainSelectedInstOperands,
     /*  691156 */     // GIR_Coverage, 10896,
     /*  691156 */     GIR_EraseRootFromParent_Done,
     /*  691157 */   // Label 10933: @691157
     /*  691157 */   GIM_Try, /*On fail goto*//*Label 10934*/ GIMT_Encode4(691232), // Rule ID 10899 //
     /*  691162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  691173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  691176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  691179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691208 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  691211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691230 */     GIR_RootConstrainSelectedInstOperands,
     /*  691231 */     // GIR_Coverage, 10899,
     /*  691231 */     GIR_EraseRootFromParent_Done,
     /*  691232 */   // Label 10934: @691232
     /*  691232 */   GIM_Try, /*On fail goto*//*Label 10935*/ GIMT_Encode4(691307), // Rule ID 10900 //
     /*  691237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  691248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  691251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  691254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691283 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  691286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691305 */     GIR_RootConstrainSelectedInstOperands,
     /*  691306 */     // GIR_Coverage, 10900,
     /*  691306 */     GIR_EraseRootFromParent_Done,
     /*  691307 */   // Label 10935: @691307
     /*  691307 */   GIM_Try, /*On fail goto*//*Label 10936*/ GIMT_Encode4(691382), // Rule ID 10903 //
     /*  691312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  691323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  691326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  691329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691358 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  691361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691380 */     GIR_RootConstrainSelectedInstOperands,
     /*  691381 */     // GIR_Coverage, 10903,
     /*  691381 */     GIR_EraseRootFromParent_Done,
     /*  691382 */   // Label 10936: @691382
     /*  691382 */   GIM_Try, /*On fail goto*//*Label 10937*/ GIMT_Encode4(691457), // Rule ID 10904 //
     /*  691387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  691398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  691401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  691404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691433 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  691436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691455 */     GIR_RootConstrainSelectedInstOperands,
     /*  691456 */     // GIR_Coverage, 10904,
     /*  691456 */     GIR_EraseRootFromParent_Done,
     /*  691457 */   // Label 10937: @691457
     /*  691457 */   GIM_Try, /*On fail goto*//*Label 10938*/ GIMT_Encode4(691532), // Rule ID 10907 //
     /*  691462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  691473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  691476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  691479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691508 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  691511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691530 */     GIR_RootConstrainSelectedInstOperands,
     /*  691531 */     // GIR_Coverage, 10907,
     /*  691531 */     GIR_EraseRootFromParent_Done,
     /*  691532 */   // Label 10938: @691532
     /*  691532 */   GIM_Try, /*On fail goto*//*Label 10939*/ GIMT_Encode4(691607), // Rule ID 10908 //
     /*  691537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  691548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  691551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  691554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691583 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  691586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691605 */     GIR_RootConstrainSelectedInstOperands,
     /*  691606 */     // GIR_Coverage, 10908,
     /*  691606 */     GIR_EraseRootFromParent_Done,
     /*  691607 */   // Label 10939: @691607
     /*  691607 */   GIM_Try, /*On fail goto*//*Label 10940*/ GIMT_Encode4(691682), // Rule ID 10911 //
     /*  691612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  691623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  691626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  691629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  691661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691680 */     GIR_RootConstrainSelectedInstOperands,
     /*  691681 */     // GIR_Coverage, 10911,
     /*  691681 */     GIR_EraseRootFromParent_Done,
     /*  691682 */   // Label 10940: @691682
     /*  691682 */   GIM_Try, /*On fail goto*//*Label 10941*/ GIMT_Encode4(691757), // Rule ID 10912 //
     /*  691687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  691698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  691701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  691704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691733 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  691736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691755 */     GIR_RootConstrainSelectedInstOperands,
     /*  691756 */     // GIR_Coverage, 10912,
     /*  691756 */     GIR_EraseRootFromParent_Done,
     /*  691757 */   // Label 10941: @691757
     /*  691757 */   GIM_Try, /*On fail goto*//*Label 10942*/ GIMT_Encode4(691832), // Rule ID 10915 //
     /*  691762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  691773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  691776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  691779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691808 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  691811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691830 */     GIR_RootConstrainSelectedInstOperands,
     /*  691831 */     // GIR_Coverage, 10915,
     /*  691831 */     GIR_EraseRootFromParent_Done,
     /*  691832 */   // Label 10942: @691832
     /*  691832 */   GIM_Try, /*On fail goto*//*Label 10943*/ GIMT_Encode4(691907), // Rule ID 10916 //
     /*  691837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  691848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  691851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  691854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691883 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  691886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691905 */     GIR_RootConstrainSelectedInstOperands,
     /*  691906 */     // GIR_Coverage, 10916,
     /*  691906 */     GIR_EraseRootFromParent_Done,
     /*  691907 */   // Label 10943: @691907
     /*  691907 */   GIM_Try, /*On fail goto*//*Label 10944*/ GIMT_Encode4(691982), // Rule ID 10919 //
     /*  691912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  691923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  691926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  691929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691958 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  691958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  691961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691980 */     GIR_RootConstrainSelectedInstOperands,
     /*  691981 */     // GIR_Coverage, 10919,
     /*  691981 */     GIR_EraseRootFromParent_Done,
     /*  691982 */   // Label 10944: @691982
     /*  691982 */   GIM_Try, /*On fail goto*//*Label 10945*/ GIMT_Encode4(692057), // Rule ID 10920 //
     /*  691987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  691995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  691998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  692001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  692004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692033 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  692036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692055 */     GIR_RootConstrainSelectedInstOperands,
     /*  692056 */     // GIR_Coverage, 10920,
     /*  692056 */     GIR_EraseRootFromParent_Done,
     /*  692057 */   // Label 10945: @692057
     /*  692057 */   GIM_Try, /*On fail goto*//*Label 10946*/ GIMT_Encode4(692132), // Rule ID 10923 //
     /*  692062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  692073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  692076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  692079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  692111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692130 */     GIR_RootConstrainSelectedInstOperands,
     /*  692131 */     // GIR_Coverage, 10923,
     /*  692131 */     GIR_EraseRootFromParent_Done,
     /*  692132 */   // Label 10946: @692132
     /*  692132 */   GIM_Try, /*On fail goto*//*Label 10947*/ GIMT_Encode4(692207), // Rule ID 10924 //
     /*  692137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  692148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  692151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  692154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692183 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  692186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692205 */     GIR_RootConstrainSelectedInstOperands,
     /*  692206 */     // GIR_Coverage, 10924,
     /*  692206 */     GIR_EraseRootFromParent_Done,
     /*  692207 */   // Label 10947: @692207
     /*  692207 */   GIM_Try, /*On fail goto*//*Label 10948*/ GIMT_Encode4(692282), // Rule ID 10927 //
     /*  692212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  692223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  692226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  692229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692258 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  692261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692280 */     GIR_RootConstrainSelectedInstOperands,
     /*  692281 */     // GIR_Coverage, 10927,
     /*  692281 */     GIR_EraseRootFromParent_Done,
     /*  692282 */   // Label 10948: @692282
     /*  692282 */   GIM_Try, /*On fail goto*//*Label 10949*/ GIMT_Encode4(692357), // Rule ID 10928 //
     /*  692287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  692298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  692301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  692304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  692333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  692336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692355 */     GIR_RootConstrainSelectedInstOperands,
     /*  692356 */     // GIR_Coverage, 10928,
     /*  692356 */     GIR_EraseRootFromParent_Done,
     /*  692357 */   // Label 10949: @692357
     /*  692357 */   GIM_Try, /*On fail goto*//*Label 10950*/ GIMT_Encode4(692432), // Rule ID 10931 //
     /*  692362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  692373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  692376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  692379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692408 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  692408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  692411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692430 */     GIR_RootConstrainSelectedInstOperands,
     /*  692431 */     // GIR_Coverage, 10931,
     /*  692431 */     GIR_EraseRootFromParent_Done,
     /*  692432 */   // Label 10950: @692432
     /*  692432 */   GIM_Try, /*On fail goto*//*Label 10951*/ GIMT_Encode4(692507), // Rule ID 10932 //
     /*  692437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  692448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  692451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  692454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692483 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  692486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692505 */     GIR_RootConstrainSelectedInstOperands,
     /*  692506 */     // GIR_Coverage, 10932,
     /*  692506 */     GIR_EraseRootFromParent_Done,
     /*  692507 */   // Label 10951: @692507
     /*  692507 */   GIM_Try, /*On fail goto*//*Label 10952*/ GIMT_Encode4(692582), // Rule ID 10935 //
     /*  692512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  692515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  692523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  692526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  692529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692558 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  692558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  692561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692580 */     GIR_RootConstrainSelectedInstOperands,
     /*  692581 */     // GIR_Coverage, 10935,
     /*  692581 */     GIR_EraseRootFromParent_Done,
     /*  692582 */   // Label 10952: @692582
     /*  692582 */   GIM_Try, /*On fail goto*//*Label 10953*/ GIMT_Encode4(692657), // Rule ID 10936 //
     /*  692587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  692590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  692598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  692601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  692604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692633 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  692633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  692636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692655 */     GIR_RootConstrainSelectedInstOperands,
     /*  692656 */     // GIR_Coverage, 10936,
     /*  692656 */     GIR_EraseRootFromParent_Done,
     /*  692657 */   // Label 10953: @692657
     /*  692657 */   GIM_Try, /*On fail goto*//*Label 10954*/ GIMT_Encode4(692732), // Rule ID 10939 //
     /*  692662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  692673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  692676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  692679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692708 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  692711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692730 */     GIR_RootConstrainSelectedInstOperands,
     /*  692731 */     // GIR_Coverage, 10939,
     /*  692731 */     GIR_EraseRootFromParent_Done,
     /*  692732 */   // Label 10954: @692732
     /*  692732 */   GIM_Try, /*On fail goto*//*Label 10955*/ GIMT_Encode4(692807), // Rule ID 10940 //
     /*  692737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  692748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  692751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  692754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692783 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  692786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692805 */     GIR_RootConstrainSelectedInstOperands,
     /*  692806 */     // GIR_Coverage, 10940,
     /*  692806 */     GIR_EraseRootFromParent_Done,
     /*  692807 */   // Label 10955: @692807
     /*  692807 */   GIM_Try, /*On fail goto*//*Label 10956*/ GIMT_Encode4(692882), // Rule ID 10943 //
     /*  692812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  692823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  692826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  692829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692858 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  692861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692880 */     GIR_RootConstrainSelectedInstOperands,
     /*  692881 */     // GIR_Coverage, 10943,
     /*  692881 */     GIR_EraseRootFromParent_Done,
     /*  692882 */   // Label 10956: @692882
     /*  692882 */   GIM_Try, /*On fail goto*//*Label 10957*/ GIMT_Encode4(692957), // Rule ID 10944 //
     /*  692887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  692898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  692901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  692904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692933 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  692936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692955 */     GIR_RootConstrainSelectedInstOperands,
     /*  692956 */     // GIR_Coverage, 10944,
     /*  692956 */     GIR_EraseRootFromParent_Done,
     /*  692957 */   // Label 10957: @692957
     /*  692957 */   GIM_Try, /*On fail goto*//*Label 10958*/ GIMT_Encode4(693032), // Rule ID 10947 //
     /*  692962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  692970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  692973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  692976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  692979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693008 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  693011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693030 */     GIR_RootConstrainSelectedInstOperands,
     /*  693031 */     // GIR_Coverage, 10947,
     /*  693031 */     GIR_EraseRootFromParent_Done,
     /*  693032 */   // Label 10958: @693032
     /*  693032 */   GIM_Try, /*On fail goto*//*Label 10959*/ GIMT_Encode4(693107), // Rule ID 10948 //
     /*  693037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  693048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  693051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  693054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693083 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  693086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693105 */     GIR_RootConstrainSelectedInstOperands,
     /*  693106 */     // GIR_Coverage, 10948,
     /*  693106 */     GIR_EraseRootFromParent_Done,
     /*  693107 */   // Label 10959: @693107
     /*  693107 */   GIM_Try, /*On fail goto*//*Label 10960*/ GIMT_Encode4(693182), // Rule ID 10951 //
     /*  693112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  693123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  693126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  693129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693158 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  693161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693180 */     GIR_RootConstrainSelectedInstOperands,
     /*  693181 */     // GIR_Coverage, 10951,
     /*  693181 */     GIR_EraseRootFromParent_Done,
     /*  693182 */   // Label 10960: @693182
     /*  693182 */   GIM_Try, /*On fail goto*//*Label 10961*/ GIMT_Encode4(693257), // Rule ID 10952 //
     /*  693187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  693198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  693201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  693204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693233 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  693236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693255 */     GIR_RootConstrainSelectedInstOperands,
     /*  693256 */     // GIR_Coverage, 10952,
     /*  693256 */     GIR_EraseRootFromParent_Done,
     /*  693257 */   // Label 10961: @693257
     /*  693257 */   GIM_Try, /*On fail goto*//*Label 10962*/ GIMT_Encode4(693332), // Rule ID 10955 //
     /*  693262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  693273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  693276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  693279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693308 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  693311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693330 */     GIR_RootConstrainSelectedInstOperands,
     /*  693331 */     // GIR_Coverage, 10955,
     /*  693331 */     GIR_EraseRootFromParent_Done,
     /*  693332 */   // Label 10962: @693332
     /*  693332 */   GIM_Try, /*On fail goto*//*Label 10963*/ GIMT_Encode4(693407), // Rule ID 10956 //
     /*  693337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  693348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  693351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  693354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693383 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  693386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693405 */     GIR_RootConstrainSelectedInstOperands,
     /*  693406 */     // GIR_Coverage, 10956,
     /*  693406 */     GIR_EraseRootFromParent_Done,
     /*  693407 */   // Label 10963: @693407
     /*  693407 */   GIM_Try, /*On fail goto*//*Label 10964*/ GIMT_Encode4(693482), // Rule ID 10959 //
     /*  693412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  693423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  693426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  693429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693458 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  693461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693480 */     GIR_RootConstrainSelectedInstOperands,
     /*  693481 */     // GIR_Coverage, 10959,
     /*  693481 */     GIR_EraseRootFromParent_Done,
     /*  693482 */   // Label 10964: @693482
     /*  693482 */   GIM_Try, /*On fail goto*//*Label 10965*/ GIMT_Encode4(693557), // Rule ID 10960 //
     /*  693487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  693498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  693501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  693504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693533 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  693536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693555 */     GIR_RootConstrainSelectedInstOperands,
     /*  693556 */     // GIR_Coverage, 10960,
     /*  693556 */     GIR_EraseRootFromParent_Done,
     /*  693557 */   // Label 10965: @693557
     /*  693557 */   GIM_Try, /*On fail goto*//*Label 10966*/ GIMT_Encode4(693632), // Rule ID 10963 //
     /*  693562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  693573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  693576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  693579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693608 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  693611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693630 */     GIR_RootConstrainSelectedInstOperands,
     /*  693631 */     // GIR_Coverage, 10963,
     /*  693631 */     GIR_EraseRootFromParent_Done,
     /*  693632 */   // Label 10966: @693632
     /*  693632 */   GIM_Try, /*On fail goto*//*Label 10967*/ GIMT_Encode4(693707), // Rule ID 10964 //
     /*  693637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  693648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  693651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  693654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693683 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  693686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693705 */     GIR_RootConstrainSelectedInstOperands,
     /*  693706 */     // GIR_Coverage, 10964,
     /*  693706 */     GIR_EraseRootFromParent_Done,
     /*  693707 */   // Label 10967: @693707
     /*  693707 */   GIM_Try, /*On fail goto*//*Label 10968*/ GIMT_Encode4(693782), // Rule ID 10967 //
     /*  693712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  693723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  693726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  693729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693758 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  693761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693780 */     GIR_RootConstrainSelectedInstOperands,
     /*  693781 */     // GIR_Coverage, 10967,
     /*  693781 */     GIR_EraseRootFromParent_Done,
     /*  693782 */   // Label 10968: @693782
     /*  693782 */   GIM_Try, /*On fail goto*//*Label 10969*/ GIMT_Encode4(693857), // Rule ID 10968 //
     /*  693787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  693798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  693801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  693804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693833 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  693836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693855 */     GIR_RootConstrainSelectedInstOperands,
     /*  693856 */     // GIR_Coverage, 10968,
     /*  693856 */     GIR_EraseRootFromParent_Done,
     /*  693857 */   // Label 10969: @693857
     /*  693857 */   GIM_Try, /*On fail goto*//*Label 10970*/ GIMT_Encode4(693932), // Rule ID 10971 //
     /*  693862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  693873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  693876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  693879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693908 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  693911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693930 */     GIR_RootConstrainSelectedInstOperands,
     /*  693931 */     // GIR_Coverage, 10971,
     /*  693931 */     GIR_EraseRootFromParent_Done,
     /*  693932 */   // Label 10970: @693932
     /*  693932 */   GIM_Try, /*On fail goto*//*Label 10971*/ GIMT_Encode4(694007), // Rule ID 10972 //
     /*  693937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  693945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  693948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  693951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  693954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693983 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  693986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694005 */     GIR_RootConstrainSelectedInstOperands,
     /*  694006 */     // GIR_Coverage, 10972,
     /*  694006 */     GIR_EraseRootFromParent_Done,
     /*  694007 */   // Label 10971: @694007
     /*  694007 */   GIM_Try, /*On fail goto*//*Label 10972*/ GIMT_Encode4(694082), // Rule ID 10975 //
     /*  694012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  694015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  694023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  694026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  694029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694058 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  694058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  694061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694080 */     GIR_RootConstrainSelectedInstOperands,
     /*  694081 */     // GIR_Coverage, 10975,
     /*  694081 */     GIR_EraseRootFromParent_Done,
     /*  694082 */   // Label 10972: @694082
     /*  694082 */   GIM_Try, /*On fail goto*//*Label 10973*/ GIMT_Encode4(694157), // Rule ID 10976 //
     /*  694087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  694090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  694098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  694101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  694104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694133 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  694133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  694136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694155 */     GIR_RootConstrainSelectedInstOperands,
     /*  694156 */     // GIR_Coverage, 10976,
     /*  694156 */     GIR_EraseRootFromParent_Done,
     /*  694157 */   // Label 10973: @694157
     /*  694157 */   GIM_Try, /*On fail goto*//*Label 10974*/ GIMT_Encode4(694232), // Rule ID 10979 //
     /*  694162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  694165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  694173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  694176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  694179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694208 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  694208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  694211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694230 */     GIR_RootConstrainSelectedInstOperands,
     /*  694231 */     // GIR_Coverage, 10979,
     /*  694231 */     GIR_EraseRootFromParent_Done,
     /*  694232 */   // Label 10974: @694232
     /*  694232 */   GIM_Try, /*On fail goto*//*Label 10975*/ GIMT_Encode4(694307), // Rule ID 10980 //
     /*  694237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  694240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  694248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  694251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  694254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694283 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  694283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  694286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694305 */     GIR_RootConstrainSelectedInstOperands,
     /*  694306 */     // GIR_Coverage, 10980,
     /*  694306 */     GIR_EraseRootFromParent_Done,
     /*  694307 */   // Label 10975: @694307
     /*  694307 */   GIM_Try, /*On fail goto*//*Label 10976*/ GIMT_Encode4(694382), // Rule ID 10983 //
     /*  694312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  694315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  694323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  694326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  694329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694358 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  694358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  694361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694380 */     GIR_RootConstrainSelectedInstOperands,
     /*  694381 */     // GIR_Coverage, 10983,
     /*  694381 */     GIR_EraseRootFromParent_Done,
     /*  694382 */   // Label 10976: @694382
     /*  694382 */   GIM_Try, /*On fail goto*//*Label 10977*/ GIMT_Encode4(694457), // Rule ID 10984 //
     /*  694387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  694390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  694398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  694401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  694404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694433 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11368:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  694433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  694436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694455 */     GIR_RootConstrainSelectedInstOperands,
     /*  694456 */     // GIR_Coverage, 10984,
     /*  694456 */     GIR_EraseRootFromParent_Done,
     /*  694457 */   // Label 10977: @694457
     /*  694457 */   GIM_Try, /*On fail goto*//*Label 10978*/ GIMT_Encode4(694532), // Rule ID 10987 //
     /*  694462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  694473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  694476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  694479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  694482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694508 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  694511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694530 */     GIR_RootConstrainSelectedInstOperands,
     /*  694531 */     // GIR_Coverage, 10987,
     /*  694531 */     GIR_EraseRootFromParent_Done,
     /*  694532 */   // Label 10978: @694532
     /*  694532 */   GIM_Try, /*On fail goto*//*Label 10979*/ GIMT_Encode4(694607), // Rule ID 10988 //
     /*  694537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  694548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  694551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  694554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  694557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694583 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  694586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694605 */     GIR_RootConstrainSelectedInstOperands,
     /*  694606 */     // GIR_Coverage, 10988,
     /*  694606 */     GIR_EraseRootFromParent_Done,
     /*  694607 */   // Label 10979: @694607
     /*  694607 */   GIM_Try, /*On fail goto*//*Label 10980*/ GIMT_Encode4(694682), // Rule ID 10991 //
     /*  694612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  694623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  694626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  694629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  694632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694658 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  694661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694680 */     GIR_RootConstrainSelectedInstOperands,
     /*  694681 */     // GIR_Coverage, 10991,
     /*  694681 */     GIR_EraseRootFromParent_Done,
     /*  694682 */   // Label 10980: @694682
     /*  694682 */   GIM_Try, /*On fail goto*//*Label 10981*/ GIMT_Encode4(694757), // Rule ID 10992 //
     /*  694687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  694698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  694701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  694704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  694707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694733 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  694736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694755 */     GIR_RootConstrainSelectedInstOperands,
     /*  694756 */     // GIR_Coverage, 10992,
     /*  694756 */     GIR_EraseRootFromParent_Done,
     /*  694757 */   // Label 10981: @694757
     /*  694757 */   GIM_Try, /*On fail goto*//*Label 10982*/ GIMT_Encode4(694832), // Rule ID 10995 //
     /*  694762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  694773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  694776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  694779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  694782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694808 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  694811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694830 */     GIR_RootConstrainSelectedInstOperands,
     /*  694831 */     // GIR_Coverage, 10995,
     /*  694831 */     GIR_EraseRootFromParent_Done,
     /*  694832 */   // Label 10982: @694832
     /*  694832 */   GIM_Try, /*On fail goto*//*Label 10983*/ GIMT_Encode4(694907), // Rule ID 10996 //
     /*  694837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  694848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  694851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  694854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  694857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694883 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  694886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694905 */     GIR_RootConstrainSelectedInstOperands,
     /*  694906 */     // GIR_Coverage, 10996,
     /*  694906 */     GIR_EraseRootFromParent_Done,
     /*  694907 */   // Label 10983: @694907
     /*  694907 */   GIM_Try, /*On fail goto*//*Label 10984*/ GIMT_Encode4(694982), // Rule ID 10999 //
     /*  694912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  694923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  694926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  694929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  694932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  694961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694980 */     GIR_RootConstrainSelectedInstOperands,
     /*  694981 */     // GIR_Coverage, 10999,
     /*  694981 */     GIR_EraseRootFromParent_Done,
     /*  694982 */   // Label 10984: @694982
     /*  694982 */   GIM_Try, /*On fail goto*//*Label 10985*/ GIMT_Encode4(695057), // Rule ID 11000 //
     /*  694987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  694998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  695001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  695004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  695007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695033 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  695036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695055 */     GIR_RootConstrainSelectedInstOperands,
     /*  695056 */     // GIR_Coverage, 11000,
     /*  695056 */     GIR_EraseRootFromParent_Done,
     /*  695057 */   // Label 10985: @695057
     /*  695057 */   GIM_Try, /*On fail goto*//*Label 10986*/ GIMT_Encode4(695132), // Rule ID 11003 //
     /*  695062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  695073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  695076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  695079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  695082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695108 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  695111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695130 */     GIR_RootConstrainSelectedInstOperands,
     /*  695131 */     // GIR_Coverage, 11003,
     /*  695131 */     GIR_EraseRootFromParent_Done,
     /*  695132 */   // Label 10986: @695132
     /*  695132 */   GIM_Try, /*On fail goto*//*Label 10987*/ GIMT_Encode4(695207), // Rule ID 11004 //
     /*  695137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  695148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  695151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  695154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  695157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695183 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  695186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695205 */     GIR_RootConstrainSelectedInstOperands,
     /*  695206 */     // GIR_Coverage, 11004,
     /*  695206 */     GIR_EraseRootFromParent_Done,
     /*  695207 */   // Label 10987: @695207
     /*  695207 */   GIM_Try, /*On fail goto*//*Label 10988*/ GIMT_Encode4(695282), // Rule ID 11007 //
     /*  695212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  695223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  695226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  695229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  695232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695258 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  695261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695280 */     GIR_RootConstrainSelectedInstOperands,
     /*  695281 */     // GIR_Coverage, 11007,
     /*  695281 */     GIR_EraseRootFromParent_Done,
     /*  695282 */   // Label 10988: @695282
     /*  695282 */   GIM_Try, /*On fail goto*//*Label 10989*/ GIMT_Encode4(695357), // Rule ID 11008 //
     /*  695287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  695298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  695301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  695304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  695307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695333 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  695336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695355 */     GIR_RootConstrainSelectedInstOperands,
     /*  695356 */     // GIR_Coverage, 11008,
     /*  695356 */     GIR_EraseRootFromParent_Done,
     /*  695357 */   // Label 10989: @695357
     /*  695357 */   GIM_Try, /*On fail goto*//*Label 10990*/ GIMT_Encode4(695432), // Rule ID 11011 //
     /*  695362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  695373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  695376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  695379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  695382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695408 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  695411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695430 */     GIR_RootConstrainSelectedInstOperands,
     /*  695431 */     // GIR_Coverage, 11011,
     /*  695431 */     GIR_EraseRootFromParent_Done,
     /*  695432 */   // Label 10990: @695432
     /*  695432 */   GIM_Try, /*On fail goto*//*Label 10991*/ GIMT_Encode4(695507), // Rule ID 11012 //
     /*  695437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  695448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  695451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  695454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  695457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  695486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695505 */     GIR_RootConstrainSelectedInstOperands,
     /*  695506 */     // GIR_Coverage, 11012,
     /*  695506 */     GIR_EraseRootFromParent_Done,
     /*  695507 */   // Label 10991: @695507
     /*  695507 */   GIM_Try, /*On fail goto*//*Label 10992*/ GIMT_Encode4(695582), // Rule ID 11015 //
     /*  695512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  695523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  695526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  695529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  695532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  695561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695580 */     GIR_RootConstrainSelectedInstOperands,
     /*  695581 */     // GIR_Coverage, 11015,
     /*  695581 */     GIR_EraseRootFromParent_Done,
     /*  695582 */   // Label 10992: @695582
     /*  695582 */   GIM_Try, /*On fail goto*//*Label 10993*/ GIMT_Encode4(695657), // Rule ID 11016 //
     /*  695587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  695598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  695601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  695604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  695607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  695636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695655 */     GIR_RootConstrainSelectedInstOperands,
     /*  695656 */     // GIR_Coverage, 11016,
     /*  695656 */     GIR_EraseRootFromParent_Done,
     /*  695657 */   // Label 10993: @695657
     /*  695657 */   GIM_Try, /*On fail goto*//*Label 10994*/ GIMT_Encode4(695732), // Rule ID 11019 //
     /*  695662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  695673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  695676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  695679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  695682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  695711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695730 */     GIR_RootConstrainSelectedInstOperands,
     /*  695731 */     // GIR_Coverage, 11019,
     /*  695731 */     GIR_EraseRootFromParent_Done,
     /*  695732 */   // Label 10994: @695732
     /*  695732 */   GIM_Try, /*On fail goto*//*Label 10995*/ GIMT_Encode4(695807), // Rule ID 11020 //
     /*  695737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  695748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  695751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  695754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  695757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695783 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  695786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695805 */     GIR_RootConstrainSelectedInstOperands,
     /*  695806 */     // GIR_Coverage, 11020,
     /*  695806 */     GIR_EraseRootFromParent_Done,
     /*  695807 */   // Label 10995: @695807
     /*  695807 */   GIM_Try, /*On fail goto*//*Label 10996*/ GIMT_Encode4(695882), // Rule ID 11023 //
     /*  695812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  695823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  695826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  695829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  695832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695858 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  695861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695880 */     GIR_RootConstrainSelectedInstOperands,
     /*  695881 */     // GIR_Coverage, 11023,
     /*  695881 */     GIR_EraseRootFromParent_Done,
     /*  695882 */   // Label 10996: @695882
     /*  695882 */   GIM_Try, /*On fail goto*//*Label 10997*/ GIMT_Encode4(695957), // Rule ID 11024 //
     /*  695887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  695898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  695901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  695904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  695907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695933 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  695936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695955 */     GIR_RootConstrainSelectedInstOperands,
     /*  695956 */     // GIR_Coverage, 11024,
     /*  695956 */     GIR_EraseRootFromParent_Done,
     /*  695957 */   // Label 10997: @695957
     /*  695957 */   GIM_Try, /*On fail goto*//*Label 10998*/ GIMT_Encode4(696032), // Rule ID 11027 //
     /*  695962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  695973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  695976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  695979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  695982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696008 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  696011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696030 */     GIR_RootConstrainSelectedInstOperands,
     /*  696031 */     // GIR_Coverage, 11027,
     /*  696031 */     GIR_EraseRootFromParent_Done,
     /*  696032 */   // Label 10998: @696032
     /*  696032 */   GIM_Try, /*On fail goto*//*Label 10999*/ GIMT_Encode4(696107), // Rule ID 11028 //
     /*  696037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  696048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  696051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  696054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  696057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696083 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  696083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  696086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696105 */     GIR_RootConstrainSelectedInstOperands,
     /*  696106 */     // GIR_Coverage, 11028,
     /*  696106 */     GIR_EraseRootFromParent_Done,
     /*  696107 */   // Label 10999: @696107
     /*  696107 */   GIM_Try, /*On fail goto*//*Label 11000*/ GIMT_Encode4(696182), // Rule ID 11031 //
     /*  696112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  696123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  696126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  696129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  696132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696158 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  696161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696180 */     GIR_RootConstrainSelectedInstOperands,
     /*  696181 */     // GIR_Coverage, 11031,
     /*  696181 */     GIR_EraseRootFromParent_Done,
     /*  696182 */   // Label 11000: @696182
     /*  696182 */   GIM_Try, /*On fail goto*//*Label 11001*/ GIMT_Encode4(696257), // Rule ID 11032 //
     /*  696187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  696198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  696201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  696204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  696207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696233 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  696233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  696236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696255 */     GIR_RootConstrainSelectedInstOperands,
     /*  696256 */     // GIR_Coverage, 11032,
     /*  696256 */     GIR_EraseRootFromParent_Done,
     /*  696257 */   // Label 11001: @696257
     /*  696257 */   GIM_Try, /*On fail goto*//*Label 11002*/ GIMT_Encode4(696332), // Rule ID 11035 //
     /*  696262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  696273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  696276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  696279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  696282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696308 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  696311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696330 */     GIR_RootConstrainSelectedInstOperands,
     /*  696331 */     // GIR_Coverage, 11035,
     /*  696331 */     GIR_EraseRootFromParent_Done,
     /*  696332 */   // Label 11002: @696332
     /*  696332 */   GIM_Try, /*On fail goto*//*Label 11003*/ GIMT_Encode4(696407), // Rule ID 11036 //
     /*  696337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  696348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  696351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  696354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  696357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696383 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  696386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696405 */     GIR_RootConstrainSelectedInstOperands,
     /*  696406 */     // GIR_Coverage, 11036,
     /*  696406 */     GIR_EraseRootFromParent_Done,
     /*  696407 */   // Label 11003: @696407
     /*  696407 */   GIM_Try, /*On fail goto*//*Label 11004*/ GIMT_Encode4(696482), // Rule ID 11039 //
     /*  696412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  696423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  696426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  696429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  696432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696458 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  696461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696480 */     GIR_RootConstrainSelectedInstOperands,
     /*  696481 */     // GIR_Coverage, 11039,
     /*  696481 */     GIR_EraseRootFromParent_Done,
     /*  696482 */   // Label 11004: @696482
     /*  696482 */   GIM_Try, /*On fail goto*//*Label 11005*/ GIMT_Encode4(696557), // Rule ID 11040 //
     /*  696487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  696498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  696501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  696504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  696507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696533 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  696536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696555 */     GIR_RootConstrainSelectedInstOperands,
     /*  696556 */     // GIR_Coverage, 11040,
     /*  696556 */     GIR_EraseRootFromParent_Done,
     /*  696557 */   // Label 11005: @696557
     /*  696557 */   GIM_Try, /*On fail goto*//*Label 11006*/ GIMT_Encode4(696632), // Rule ID 11043 //
     /*  696562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  696573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  696576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  696579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  696582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696608 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  696611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696630 */     GIR_RootConstrainSelectedInstOperands,
     /*  696631 */     // GIR_Coverage, 11043,
     /*  696631 */     GIR_EraseRootFromParent_Done,
     /*  696632 */   // Label 11006: @696632
     /*  696632 */   GIM_Try, /*On fail goto*//*Label 11007*/ GIMT_Encode4(696707), // Rule ID 11044 //
     /*  696637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  696648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  696651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  696654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  696657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696683 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  696686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696705 */     GIR_RootConstrainSelectedInstOperands,
     /*  696706 */     // GIR_Coverage, 11044,
     /*  696706 */     GIR_EraseRootFromParent_Done,
     /*  696707 */   // Label 11007: @696707
     /*  696707 */   GIM_Try, /*On fail goto*//*Label 11008*/ GIMT_Encode4(696782), // Rule ID 11047 //
     /*  696712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  696723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  696726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  696729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  696732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696758 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  696761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696780 */     GIR_RootConstrainSelectedInstOperands,
     /*  696781 */     // GIR_Coverage, 11047,
     /*  696781 */     GIR_EraseRootFromParent_Done,
     /*  696782 */   // Label 11008: @696782
     /*  696782 */   GIM_Try, /*On fail goto*//*Label 11009*/ GIMT_Encode4(696857), // Rule ID 11048 //
     /*  696787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  696798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  696801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  696804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  696807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696833 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  696836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696855 */     GIR_RootConstrainSelectedInstOperands,
     /*  696856 */     // GIR_Coverage, 11048,
     /*  696856 */     GIR_EraseRootFromParent_Done,
     /*  696857 */   // Label 11009: @696857
     /*  696857 */   GIM_Try, /*On fail goto*//*Label 11010*/ GIMT_Encode4(696932), // Rule ID 11051 //
     /*  696862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  696873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  696876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  696879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  696882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696908 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  696911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696930 */     GIR_RootConstrainSelectedInstOperands,
     /*  696931 */     // GIR_Coverage, 11051,
     /*  696931 */     GIR_EraseRootFromParent_Done,
     /*  696932 */   // Label 11010: @696932
     /*  696932 */   GIM_Try, /*On fail goto*//*Label 11011*/ GIMT_Encode4(697007), // Rule ID 11052 //
     /*  696937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  696945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  696948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  696951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  696954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  696957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696983 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  696986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697005 */     GIR_RootConstrainSelectedInstOperands,
     /*  697006 */     // GIR_Coverage, 11052,
     /*  697006 */     GIR_EraseRootFromParent_Done,
     /*  697007 */   // Label 11011: @697007
     /*  697007 */   GIM_Try, /*On fail goto*//*Label 11012*/ GIMT_Encode4(697082), // Rule ID 11055 //
     /*  697012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  697023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  697026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  697029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  697032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697058 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  697058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  697061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697080 */     GIR_RootConstrainSelectedInstOperands,
     /*  697081 */     // GIR_Coverage, 11055,
     /*  697081 */     GIR_EraseRootFromParent_Done,
     /*  697082 */   // Label 11012: @697082
     /*  697082 */   GIM_Try, /*On fail goto*//*Label 11013*/ GIMT_Encode4(697157), // Rule ID 11056 //
     /*  697087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  697098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  697101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  697104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  697107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697133 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  697133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  697136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697155 */     GIR_RootConstrainSelectedInstOperands,
     /*  697156 */     // GIR_Coverage, 11056,
     /*  697156 */     GIR_EraseRootFromParent_Done,
     /*  697157 */   // Label 11013: @697157
     /*  697157 */   GIM_Try, /*On fail goto*//*Label 11014*/ GIMT_Encode4(697232), // Rule ID 11059 //
     /*  697162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  697173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  697176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  697179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697208 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  697211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697230 */     GIR_RootConstrainSelectedInstOperands,
     /*  697231 */     // GIR_Coverage, 11059,
     /*  697231 */     GIR_EraseRootFromParent_Done,
     /*  697232 */   // Label 11014: @697232
     /*  697232 */   GIM_Try, /*On fail goto*//*Label 11015*/ GIMT_Encode4(697307), // Rule ID 11060 //
     /*  697237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  697248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  697251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  697254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697283 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  697286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697305 */     GIR_RootConstrainSelectedInstOperands,
     /*  697306 */     // GIR_Coverage, 11060,
     /*  697306 */     GIR_EraseRootFromParent_Done,
     /*  697307 */   // Label 11015: @697307
     /*  697307 */   GIM_Try, /*On fail goto*//*Label 11016*/ GIMT_Encode4(697382), // Rule ID 11063 //
     /*  697312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  697323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  697326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  697329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697358 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  697361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697380 */     GIR_RootConstrainSelectedInstOperands,
     /*  697381 */     // GIR_Coverage, 11063,
     /*  697381 */     GIR_EraseRootFromParent_Done,
     /*  697382 */   // Label 11016: @697382
     /*  697382 */   GIM_Try, /*On fail goto*//*Label 11017*/ GIMT_Encode4(697457), // Rule ID 11064 //
     /*  697387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  697398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  697401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  697404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697433 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  697436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697455 */     GIR_RootConstrainSelectedInstOperands,
     /*  697456 */     // GIR_Coverage, 11064,
     /*  697456 */     GIR_EraseRootFromParent_Done,
     /*  697457 */   // Label 11017: @697457
     /*  697457 */   GIM_Try, /*On fail goto*//*Label 11018*/ GIMT_Encode4(697532), // Rule ID 11067 //
     /*  697462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  697473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  697476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  697479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697508 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  697511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697530 */     GIR_RootConstrainSelectedInstOperands,
     /*  697531 */     // GIR_Coverage, 11067,
     /*  697531 */     GIR_EraseRootFromParent_Done,
     /*  697532 */   // Label 11018: @697532
     /*  697532 */   GIM_Try, /*On fail goto*//*Label 11019*/ GIMT_Encode4(697607), // Rule ID 11068 //
     /*  697537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  697548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  697551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  697554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697583 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  697586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697605 */     GIR_RootConstrainSelectedInstOperands,
     /*  697606 */     // GIR_Coverage, 11068,
     /*  697606 */     GIR_EraseRootFromParent_Done,
     /*  697607 */   // Label 11019: @697607
     /*  697607 */   GIM_Try, /*On fail goto*//*Label 11020*/ GIMT_Encode4(697682), // Rule ID 11071 //
     /*  697612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  697623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  697626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  697629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  697661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697680 */     GIR_RootConstrainSelectedInstOperands,
     /*  697681 */     // GIR_Coverage, 11071,
     /*  697681 */     GIR_EraseRootFromParent_Done,
     /*  697682 */   // Label 11020: @697682
     /*  697682 */   GIM_Try, /*On fail goto*//*Label 11021*/ GIMT_Encode4(697757), // Rule ID 11072 //
     /*  697687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  697698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  697701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  697704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697733 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  697736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697755 */     GIR_RootConstrainSelectedInstOperands,
     /*  697756 */     // GIR_Coverage, 11072,
     /*  697756 */     GIR_EraseRootFromParent_Done,
     /*  697757 */   // Label 11021: @697757
     /*  697757 */   GIM_Try, /*On fail goto*//*Label 11022*/ GIMT_Encode4(697832), // Rule ID 11075 //
     /*  697762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  697773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  697776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  697779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697808 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  697811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697830 */     GIR_RootConstrainSelectedInstOperands,
     /*  697831 */     // GIR_Coverage, 11075,
     /*  697831 */     GIR_EraseRootFromParent_Done,
     /*  697832 */   // Label 11022: @697832
     /*  697832 */   GIM_Try, /*On fail goto*//*Label 11023*/ GIMT_Encode4(697907), // Rule ID 11076 //
     /*  697837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  697848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  697851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  697854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697883 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  697886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697905 */     GIR_RootConstrainSelectedInstOperands,
     /*  697906 */     // GIR_Coverage, 11076,
     /*  697906 */     GIR_EraseRootFromParent_Done,
     /*  697907 */   // Label 11023: @697907
     /*  697907 */   GIM_Try, /*On fail goto*//*Label 11024*/ GIMT_Encode4(697982), // Rule ID 11079 //
     /*  697912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  697923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  697926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  697929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697958 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  697958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  697961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697980 */     GIR_RootConstrainSelectedInstOperands,
     /*  697981 */     // GIR_Coverage, 11079,
     /*  697981 */     GIR_EraseRootFromParent_Done,
     /*  697982 */   // Label 11024: @697982
     /*  697982 */   GIM_Try, /*On fail goto*//*Label 11025*/ GIMT_Encode4(698057), // Rule ID 11080 //
     /*  697987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  697995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  697998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  698001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  698004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698033 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  698036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698055 */     GIR_RootConstrainSelectedInstOperands,
     /*  698056 */     // GIR_Coverage, 11080,
     /*  698056 */     GIR_EraseRootFromParent_Done,
     /*  698057 */   // Label 11025: @698057
     /*  698057 */   GIM_Try, /*On fail goto*//*Label 11026*/ GIMT_Encode4(698132), // Rule ID 11083 //
     /*  698062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  698073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  698076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  698079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  698111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698130 */     GIR_RootConstrainSelectedInstOperands,
     /*  698131 */     // GIR_Coverage, 11083,
     /*  698131 */     GIR_EraseRootFromParent_Done,
     /*  698132 */   // Label 11026: @698132
     /*  698132 */   GIM_Try, /*On fail goto*//*Label 11027*/ GIMT_Encode4(698207), // Rule ID 11084 //
     /*  698137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  698148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  698151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  698154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698183 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  698186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698205 */     GIR_RootConstrainSelectedInstOperands,
     /*  698206 */     // GIR_Coverage, 11084,
     /*  698206 */     GIR_EraseRootFromParent_Done,
     /*  698207 */   // Label 11027: @698207
     /*  698207 */   GIM_Try, /*On fail goto*//*Label 11028*/ GIMT_Encode4(698282), // Rule ID 11087 //
     /*  698212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  698223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  698226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  698229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698258 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  698261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698280 */     GIR_RootConstrainSelectedInstOperands,
     /*  698281 */     // GIR_Coverage, 11087,
     /*  698281 */     GIR_EraseRootFromParent_Done,
     /*  698282 */   // Label 11028: @698282
     /*  698282 */   GIM_Try, /*On fail goto*//*Label 11029*/ GIMT_Encode4(698357), // Rule ID 11088 //
     /*  698287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  698298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  698301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  698304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  698336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698355 */     GIR_RootConstrainSelectedInstOperands,
     /*  698356 */     // GIR_Coverage, 11088,
     /*  698356 */     GIR_EraseRootFromParent_Done,
     /*  698357 */   // Label 11029: @698357
     /*  698357 */   GIM_Try, /*On fail goto*//*Label 11030*/ GIMT_Encode4(698432), // Rule ID 11091 //
     /*  698362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  698373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  698376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  698379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698408 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  698411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698430 */     GIR_RootConstrainSelectedInstOperands,
     /*  698431 */     // GIR_Coverage, 11091,
     /*  698431 */     GIR_EraseRootFromParent_Done,
     /*  698432 */   // Label 11030: @698432
     /*  698432 */   GIM_Try, /*On fail goto*//*Label 11031*/ GIMT_Encode4(698507), // Rule ID 11092 //
     /*  698437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  698448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  698451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  698454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698483 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  698486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698505 */     GIR_RootConstrainSelectedInstOperands,
     /*  698506 */     // GIR_Coverage, 11092,
     /*  698506 */     GIR_EraseRootFromParent_Done,
     /*  698507 */   // Label 11031: @698507
     /*  698507 */   GIM_Try, /*On fail goto*//*Label 11032*/ GIMT_Encode4(698582), // Rule ID 11095 //
     /*  698512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  698523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  698526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  698529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698558 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  698561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698580 */     GIR_RootConstrainSelectedInstOperands,
     /*  698581 */     // GIR_Coverage, 11095,
     /*  698581 */     GIR_EraseRootFromParent_Done,
     /*  698582 */   // Label 11032: @698582
     /*  698582 */   GIM_Try, /*On fail goto*//*Label 11033*/ GIMT_Encode4(698657), // Rule ID 11096 //
     /*  698587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  698598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  698601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  698604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698633 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  698636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698655 */     GIR_RootConstrainSelectedInstOperands,
     /*  698656 */     // GIR_Coverage, 11096,
     /*  698656 */     GIR_EraseRootFromParent_Done,
     /*  698657 */   // Label 11033: @698657
     /*  698657 */   GIM_Try, /*On fail goto*//*Label 11034*/ GIMT_Encode4(698732), // Rule ID 11099 //
     /*  698662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  698673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  698676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  698679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698708 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  698711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698730 */     GIR_RootConstrainSelectedInstOperands,
     /*  698731 */     // GIR_Coverage, 11099,
     /*  698731 */     GIR_EraseRootFromParent_Done,
     /*  698732 */   // Label 11034: @698732
     /*  698732 */   GIM_Try, /*On fail goto*//*Label 11035*/ GIMT_Encode4(698807), // Rule ID 11100 //
     /*  698737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  698748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  698751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  698754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698783 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  698786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698805 */     GIR_RootConstrainSelectedInstOperands,
     /*  698806 */     // GIR_Coverage, 11100,
     /*  698806 */     GIR_EraseRootFromParent_Done,
     /*  698807 */   // Label 11035: @698807
     /*  698807 */   GIM_Try, /*On fail goto*//*Label 11036*/ GIMT_Encode4(698882), // Rule ID 11103 //
     /*  698812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  698823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  698826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  698829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698858 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  698861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698880 */     GIR_RootConstrainSelectedInstOperands,
     /*  698881 */     // GIR_Coverage, 11103,
     /*  698881 */     GIR_EraseRootFromParent_Done,
     /*  698882 */   // Label 11036: @698882
     /*  698882 */   GIM_Try, /*On fail goto*//*Label 11037*/ GIMT_Encode4(698957), // Rule ID 11104 //
     /*  698887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  698898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  698901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  698904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698933 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  698936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698955 */     GIR_RootConstrainSelectedInstOperands,
     /*  698956 */     // GIR_Coverage, 11104,
     /*  698956 */     GIR_EraseRootFromParent_Done,
     /*  698957 */   // Label 11037: @698957
     /*  698957 */   GIM_Try, /*On fail goto*//*Label 11038*/ GIMT_Encode4(699032), // Rule ID 11107 //
     /*  698962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  698970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  698973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  698976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  698979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699008 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  699011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699030 */     GIR_RootConstrainSelectedInstOperands,
     /*  699031 */     // GIR_Coverage, 11107,
     /*  699031 */     GIR_EraseRootFromParent_Done,
     /*  699032 */   // Label 11038: @699032
     /*  699032 */   GIM_Try, /*On fail goto*//*Label 11039*/ GIMT_Encode4(699107), // Rule ID 11108 //
     /*  699037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  699048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  699051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  699054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699083 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  699086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699105 */     GIR_RootConstrainSelectedInstOperands,
     /*  699106 */     // GIR_Coverage, 11108,
     /*  699106 */     GIR_EraseRootFromParent_Done,
     /*  699107 */   // Label 11039: @699107
     /*  699107 */   GIM_Try, /*On fail goto*//*Label 11040*/ GIMT_Encode4(699182), // Rule ID 11111 //
     /*  699112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  699123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  699126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  699129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699158 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  699161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699180 */     GIR_RootConstrainSelectedInstOperands,
     /*  699181 */     // GIR_Coverage, 11111,
     /*  699181 */     GIR_EraseRootFromParent_Done,
     /*  699182 */   // Label 11040: @699182
     /*  699182 */   GIM_Try, /*On fail goto*//*Label 11041*/ GIMT_Encode4(699257), // Rule ID 11112 //
     /*  699187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  699198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  699201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  699204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699233 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  699236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699255 */     GIR_RootConstrainSelectedInstOperands,
     /*  699256 */     // GIR_Coverage, 11112,
     /*  699256 */     GIR_EraseRootFromParent_Done,
     /*  699257 */   // Label 11041: @699257
     /*  699257 */   GIM_Try, /*On fail goto*//*Label 11042*/ GIMT_Encode4(699332), // Rule ID 11115 //
     /*  699262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  699273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  699276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  699279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699308 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  699311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699330 */     GIR_RootConstrainSelectedInstOperands,
     /*  699331 */     // GIR_Coverage, 11115,
     /*  699331 */     GIR_EraseRootFromParent_Done,
     /*  699332 */   // Label 11042: @699332
     /*  699332 */   GIM_Try, /*On fail goto*//*Label 11043*/ GIMT_Encode4(699407), // Rule ID 11116 //
     /*  699337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  699348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  699351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  699354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699383 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  699386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699405 */     GIR_RootConstrainSelectedInstOperands,
     /*  699406 */     // GIR_Coverage, 11116,
     /*  699406 */     GIR_EraseRootFromParent_Done,
     /*  699407 */   // Label 11043: @699407
     /*  699407 */   GIM_Try, /*On fail goto*//*Label 11044*/ GIMT_Encode4(699482), // Rule ID 11119 //
     /*  699412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  699423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  699426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  699429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699458 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  699461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699480 */     GIR_RootConstrainSelectedInstOperands,
     /*  699481 */     // GIR_Coverage, 11119,
     /*  699481 */     GIR_EraseRootFromParent_Done,
     /*  699482 */   // Label 11044: @699482
     /*  699482 */   GIM_Try, /*On fail goto*//*Label 11045*/ GIMT_Encode4(699557), // Rule ID 11120 //
     /*  699487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  699498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  699501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  699504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699533 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  699536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699555 */     GIR_RootConstrainSelectedInstOperands,
     /*  699556 */     // GIR_Coverage, 11120,
     /*  699556 */     GIR_EraseRootFromParent_Done,
     /*  699557 */   // Label 11045: @699557
     /*  699557 */   GIM_Try, /*On fail goto*//*Label 11046*/ GIMT_Encode4(699632), // Rule ID 11123 //
     /*  699562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  699573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  699576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  699579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699608 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  699611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699630 */     GIR_RootConstrainSelectedInstOperands,
     /*  699631 */     // GIR_Coverage, 11123,
     /*  699631 */     GIR_EraseRootFromParent_Done,
     /*  699632 */   // Label 11046: @699632
     /*  699632 */   GIM_Try, /*On fail goto*//*Label 11047*/ GIMT_Encode4(699707), // Rule ID 11124 //
     /*  699637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  699648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  699651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  699654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699683 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  699686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699705 */     GIR_RootConstrainSelectedInstOperands,
     /*  699706 */     // GIR_Coverage, 11124,
     /*  699706 */     GIR_EraseRootFromParent_Done,
     /*  699707 */   // Label 11047: @699707
     /*  699707 */   GIM_Try, /*On fail goto*//*Label 11048*/ GIMT_Encode4(699782), // Rule ID 11127 //
     /*  699712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  699723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  699726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  699729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699758 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  699761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699780 */     GIR_RootConstrainSelectedInstOperands,
     /*  699781 */     // GIR_Coverage, 11127,
     /*  699781 */     GIR_EraseRootFromParent_Done,
     /*  699782 */   // Label 11048: @699782
     /*  699782 */   GIM_Try, /*On fail goto*//*Label 11049*/ GIMT_Encode4(699857), // Rule ID 11128 //
     /*  699787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  699795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  699798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  699801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  699804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699833 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  699836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699855 */     GIR_RootConstrainSelectedInstOperands,
     /*  699856 */     // GIR_Coverage, 11128,
     /*  699856 */     GIR_EraseRootFromParent_Done,
     /*  699857 */   // Label 11049: @699857
     /*  699857 */   GIM_Try, /*On fail goto*//*Label 11050*/ GIMT_Encode4(699932), // Rule ID 11131 //
     /*  699862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  699870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  699873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  699876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  699879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  699882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699908 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  699911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699930 */     GIR_RootConstrainSelectedInstOperands,
     /*  699931 */     // GIR_Coverage, 11131,
     /*  699931 */     GIR_EraseRootFromParent_Done,
     /*  699932 */   // Label 11050: @699932
     /*  699932 */   GIM_Try, /*On fail goto*//*Label 11051*/ GIMT_Encode4(700007), // Rule ID 11132 //
     /*  699937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  699945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  699948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  699951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  699954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  699957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699983 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  699986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700005 */     GIR_RootConstrainSelectedInstOperands,
     /*  700006 */     // GIR_Coverage, 11132,
     /*  700006 */     GIR_EraseRootFromParent_Done,
     /*  700007 */   // Label 11051: @700007
     /*  700007 */   GIM_Try, /*On fail goto*//*Label 11052*/ GIMT_Encode4(700082), // Rule ID 11135 //
     /*  700012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  700023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  700026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  700029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  700032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700058 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  700061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700080 */     GIR_RootConstrainSelectedInstOperands,
     /*  700081 */     // GIR_Coverage, 11135,
     /*  700081 */     GIR_EraseRootFromParent_Done,
     /*  700082 */   // Label 11052: @700082
     /*  700082 */   GIM_Try, /*On fail goto*//*Label 11053*/ GIMT_Encode4(700157), // Rule ID 11136 //
     /*  700087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  700098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  700101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  700104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  700107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700133 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  700136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700155 */     GIR_RootConstrainSelectedInstOperands,
     /*  700156 */     // GIR_Coverage, 11136,
     /*  700156 */     GIR_EraseRootFromParent_Done,
     /*  700157 */   // Label 11053: @700157
     /*  700157 */   GIM_Try, /*On fail goto*//*Label 11054*/ GIMT_Encode4(700232), // Rule ID 11139 //
     /*  700162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  700173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  700176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  700179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  700182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700208 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  700211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700230 */     GIR_RootConstrainSelectedInstOperands,
     /*  700231 */     // GIR_Coverage, 11139,
     /*  700231 */     GIR_EraseRootFromParent_Done,
     /*  700232 */   // Label 11054: @700232
     /*  700232 */   GIM_Try, /*On fail goto*//*Label 11055*/ GIMT_Encode4(700307), // Rule ID 11140 //
     /*  700237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  700248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  700251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  700254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  700257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700283 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  700286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700305 */     GIR_RootConstrainSelectedInstOperands,
     /*  700306 */     // GIR_Coverage, 11140,
     /*  700306 */     GIR_EraseRootFromParent_Done,
     /*  700307 */   // Label 11055: @700307
     /*  700307 */   GIM_Try, /*On fail goto*//*Label 11056*/ GIMT_Encode4(700382), // Rule ID 11143 //
     /*  700312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  700323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  700326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  700329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  700332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700358 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  700361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700380 */     GIR_RootConstrainSelectedInstOperands,
     /*  700381 */     // GIR_Coverage, 11143,
     /*  700381 */     GIR_EraseRootFromParent_Done,
     /*  700382 */   // Label 11056: @700382
     /*  700382 */   GIM_Try, /*On fail goto*//*Label 11057*/ GIMT_Encode4(700457), // Rule ID 11144 //
     /*  700387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  700398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  700401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  700404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  700407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700433 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  700436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700455 */     GIR_RootConstrainSelectedInstOperands,
     /*  700456 */     // GIR_Coverage, 11144,
     /*  700456 */     GIR_EraseRootFromParent_Done,
     /*  700457 */   // Label 11057: @700457
     /*  700457 */   GIM_Try, /*On fail goto*//*Label 11058*/ GIMT_Encode4(700532), // Rule ID 11147 //
     /*  700462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  700473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  700476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  700479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  700482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700508 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  700511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700530 */     GIR_RootConstrainSelectedInstOperands,
     /*  700531 */     // GIR_Coverage, 11147,
     /*  700531 */     GIR_EraseRootFromParent_Done,
     /*  700532 */   // Label 11058: @700532
     /*  700532 */   GIM_Try, /*On fail goto*//*Label 11059*/ GIMT_Encode4(700607), // Rule ID 11148 //
     /*  700537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  700548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  700551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  700554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  700557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700583 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  700586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700605 */     GIR_RootConstrainSelectedInstOperands,
     /*  700606 */     // GIR_Coverage, 11148,
     /*  700606 */     GIR_EraseRootFromParent_Done,
     /*  700607 */   // Label 11059: @700607
     /*  700607 */   GIM_Try, /*On fail goto*//*Label 11060*/ GIMT_Encode4(700682), // Rule ID 11151 //
     /*  700612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  700623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  700626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  700629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  700632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  700661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700680 */     GIR_RootConstrainSelectedInstOperands,
     /*  700681 */     // GIR_Coverage, 11151,
     /*  700681 */     GIR_EraseRootFromParent_Done,
     /*  700682 */   // Label 11060: @700682
     /*  700682 */   GIM_Try, /*On fail goto*//*Label 11061*/ GIMT_Encode4(700757), // Rule ID 11152 //
     /*  700687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  700698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  700701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  700704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  700707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700733 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  700733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  700736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700755 */     GIR_RootConstrainSelectedInstOperands,
     /*  700756 */     // GIR_Coverage, 11152,
     /*  700756 */     GIR_EraseRootFromParent_Done,
     /*  700757 */   // Label 11061: @700757
     /*  700757 */   GIM_Try, /*On fail goto*//*Label 11062*/ GIMT_Encode4(700832), // Rule ID 11155 //
     /*  700762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  700773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  700776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  700779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  700782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700808 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  700811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700830 */     GIR_RootConstrainSelectedInstOperands,
     /*  700831 */     // GIR_Coverage, 11155,
     /*  700831 */     GIR_EraseRootFromParent_Done,
     /*  700832 */   // Label 11062: @700832
     /*  700832 */   GIM_Try, /*On fail goto*//*Label 11063*/ GIMT_Encode4(700907), // Rule ID 11156 //
     /*  700837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  700848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  700851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  700854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  700857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700883 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  700886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700905 */     GIR_RootConstrainSelectedInstOperands,
     /*  700906 */     // GIR_Coverage, 11156,
     /*  700906 */     GIR_EraseRootFromParent_Done,
     /*  700907 */   // Label 11063: @700907
     /*  700907 */   GIM_Try, /*On fail goto*//*Label 11064*/ GIMT_Encode4(700982), // Rule ID 11159 //
     /*  700912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  700923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  700926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  700929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  700932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700958 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  700961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700980 */     GIR_RootConstrainSelectedInstOperands,
     /*  700981 */     // GIR_Coverage, 11159,
     /*  700981 */     GIR_EraseRootFromParent_Done,
     /*  700982 */   // Label 11064: @700982
     /*  700982 */   GIM_Try, /*On fail goto*//*Label 11065*/ GIMT_Encode4(701057), // Rule ID 11160 //
     /*  700987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  700998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  701001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  701004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  701007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701033 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  701036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701055 */     GIR_RootConstrainSelectedInstOperands,
     /*  701056 */     // GIR_Coverage, 11160,
     /*  701056 */     GIR_EraseRootFromParent_Done,
     /*  701057 */   // Label 11065: @701057
     /*  701057 */   GIM_Try, /*On fail goto*//*Label 11066*/ GIMT_Encode4(701132), // Rule ID 11163 //
     /*  701062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  701073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  701076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  701079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  701082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  701111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701130 */     GIR_RootConstrainSelectedInstOperands,
     /*  701131 */     // GIR_Coverage, 11163,
     /*  701131 */     GIR_EraseRootFromParent_Done,
     /*  701132 */   // Label 11066: @701132
     /*  701132 */   GIM_Try, /*On fail goto*//*Label 11067*/ GIMT_Encode4(701207), // Rule ID 11164 //
     /*  701137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  701148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  701151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  701154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  701157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  701186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701205 */     GIR_RootConstrainSelectedInstOperands,
     /*  701206 */     // GIR_Coverage, 11164,
     /*  701206 */     GIR_EraseRootFromParent_Done,
     /*  701207 */   // Label 11067: @701207
     /*  701207 */   GIM_Try, /*On fail goto*//*Label 11068*/ GIMT_Encode4(701282), // Rule ID 11167 //
     /*  701212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  701223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  701226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  701229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  701232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701258 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  701261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701280 */     GIR_RootConstrainSelectedInstOperands,
     /*  701281 */     // GIR_Coverage, 11167,
     /*  701281 */     GIR_EraseRootFromParent_Done,
     /*  701282 */   // Label 11068: @701282
     /*  701282 */   GIM_Try, /*On fail goto*//*Label 11069*/ GIMT_Encode4(701357), // Rule ID 11168 //
     /*  701287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  701298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  701301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  701304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  701307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701333 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  701336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701355 */     GIR_RootConstrainSelectedInstOperands,
     /*  701356 */     // GIR_Coverage, 11168,
     /*  701356 */     GIR_EraseRootFromParent_Done,
     /*  701357 */   // Label 11069: @701357
     /*  701357 */   GIM_Try, /*On fail goto*//*Label 11070*/ GIMT_Encode4(701432), // Rule ID 11171 //
     /*  701362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  701373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  701376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  701379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  701382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701408 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  701411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701430 */     GIR_RootConstrainSelectedInstOperands,
     /*  701431 */     // GIR_Coverage, 11171,
     /*  701431 */     GIR_EraseRootFromParent_Done,
     /*  701432 */   // Label 11070: @701432
     /*  701432 */   GIM_Try, /*On fail goto*//*Label 11071*/ GIMT_Encode4(701507), // Rule ID 11172 //
     /*  701437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  701448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  701451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  701454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  701457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701483 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  701486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701505 */     GIR_RootConstrainSelectedInstOperands,
     /*  701506 */     // GIR_Coverage, 11172,
     /*  701506 */     GIR_EraseRootFromParent_Done,
     /*  701507 */   // Label 11071: @701507
     /*  701507 */   GIM_Try, /*On fail goto*//*Label 11072*/ GIMT_Encode4(701582), // Rule ID 11175 //
     /*  701512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  701523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  701526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  701529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  701532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701558 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  701561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701580 */     GIR_RootConstrainSelectedInstOperands,
     /*  701581 */     // GIR_Coverage, 11175,
     /*  701581 */     GIR_EraseRootFromParent_Done,
     /*  701582 */   // Label 11072: @701582
     /*  701582 */   GIM_Try, /*On fail goto*//*Label 11073*/ GIMT_Encode4(701657), // Rule ID 11176 //
     /*  701587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  701598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  701601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  701604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  701607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701633 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  701636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701655 */     GIR_RootConstrainSelectedInstOperands,
     /*  701656 */     // GIR_Coverage, 11176,
     /*  701656 */     GIR_EraseRootFromParent_Done,
     /*  701657 */   // Label 11073: @701657
     /*  701657 */   GIM_Try, /*On fail goto*//*Label 11074*/ GIMT_Encode4(701732), // Rule ID 11179 //
     /*  701662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  701673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  701676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  701679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  701682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701708 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  701711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701730 */     GIR_RootConstrainSelectedInstOperands,
     /*  701731 */     // GIR_Coverage, 11179,
     /*  701731 */     GIR_EraseRootFromParent_Done,
     /*  701732 */   // Label 11074: @701732
     /*  701732 */   GIM_Try, /*On fail goto*//*Label 11075*/ GIMT_Encode4(701807), // Rule ID 11180 //
     /*  701737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  701748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  701751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  701754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  701757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701783 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  701786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701805 */     GIR_RootConstrainSelectedInstOperands,
     /*  701806 */     // GIR_Coverage, 11180,
     /*  701806 */     GIR_EraseRootFromParent_Done,
     /*  701807 */   // Label 11075: @701807
     /*  701807 */   GIM_Try, /*On fail goto*//*Label 11076*/ GIMT_Encode4(701882), // Rule ID 11183 //
     /*  701812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  701823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  701826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  701829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  701832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701858 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  701861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701880 */     GIR_RootConstrainSelectedInstOperands,
     /*  701881 */     // GIR_Coverage, 11183,
     /*  701881 */     GIR_EraseRootFromParent_Done,
     /*  701882 */   // Label 11076: @701882
     /*  701882 */   GIM_Try, /*On fail goto*//*Label 11077*/ GIMT_Encode4(701957), // Rule ID 11184 //
     /*  701887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  701898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  701901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  701904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  701907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701933 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  701936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701955 */     GIR_RootConstrainSelectedInstOperands,
     /*  701956 */     // GIR_Coverage, 11184,
     /*  701956 */     GIR_EraseRootFromParent_Done,
     /*  701957 */   // Label 11077: @701957
     /*  701957 */   GIM_Try, /*On fail goto*//*Label 11078*/ GIMT_Encode4(702032), // Rule ID 11187 //
     /*  701962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  701970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  701973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  701976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  701979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  701982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702008 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  702011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702030 */     GIR_RootConstrainSelectedInstOperands,
     /*  702031 */     // GIR_Coverage, 11187,
     /*  702031 */     GIR_EraseRootFromParent_Done,
     /*  702032 */   // Label 11078: @702032
     /*  702032 */   GIM_Try, /*On fail goto*//*Label 11079*/ GIMT_Encode4(702107), // Rule ID 11188 //
     /*  702037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  702048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  702051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  702054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  702057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702083 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  702086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702105 */     GIR_RootConstrainSelectedInstOperands,
     /*  702106 */     // GIR_Coverage, 11188,
     /*  702106 */     GIR_EraseRootFromParent_Done,
     /*  702107 */   // Label 11079: @702107
     /*  702107 */   GIM_Try, /*On fail goto*//*Label 11080*/ GIMT_Encode4(702182), // Rule ID 11191 //
     /*  702112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  702123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  702126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  702129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  702132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702158 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  702161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702180 */     GIR_RootConstrainSelectedInstOperands,
     /*  702181 */     // GIR_Coverage, 11191,
     /*  702181 */     GIR_EraseRootFromParent_Done,
     /*  702182 */   // Label 11080: @702182
     /*  702182 */   GIM_Try, /*On fail goto*//*Label 11081*/ GIMT_Encode4(702257), // Rule ID 11192 //
     /*  702187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  702198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  702201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  702204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  702207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702233 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  702236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702255 */     GIR_RootConstrainSelectedInstOperands,
     /*  702256 */     // GIR_Coverage, 11192,
     /*  702256 */     GIR_EraseRootFromParent_Done,
     /*  702257 */   // Label 11081: @702257
     /*  702257 */   GIM_Try, /*On fail goto*//*Label 11082*/ GIMT_Encode4(702332), // Rule ID 11195 //
     /*  702262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  702273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  702276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  702279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  702282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  702311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702330 */     GIR_RootConstrainSelectedInstOperands,
     /*  702331 */     // GIR_Coverage, 11195,
     /*  702331 */     GIR_EraseRootFromParent_Done,
     /*  702332 */   // Label 11082: @702332
     /*  702332 */   GIM_Try, /*On fail goto*//*Label 11083*/ GIMT_Encode4(702407), // Rule ID 11196 //
     /*  702337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  702348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  702351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  702354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  702357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702383 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  702386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702405 */     GIR_RootConstrainSelectedInstOperands,
     /*  702406 */     // GIR_Coverage, 11196,
     /*  702406 */     GIR_EraseRootFromParent_Done,
     /*  702407 */   // Label 11083: @702407
     /*  702407 */   GIM_Try, /*On fail goto*//*Label 11084*/ GIMT_Encode4(702482), // Rule ID 11199 //
     /*  702412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  702423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  702426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  702429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  702432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702458 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  702461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702480 */     GIR_RootConstrainSelectedInstOperands,
     /*  702481 */     // GIR_Coverage, 11199,
     /*  702481 */     GIR_EraseRootFromParent_Done,
     /*  702482 */   // Label 11084: @702482
     /*  702482 */   GIM_Try, /*On fail goto*//*Label 11085*/ GIMT_Encode4(702557), // Rule ID 11200 //
     /*  702487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  702498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  702501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  702504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  702507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702533 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  702536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702555 */     GIR_RootConstrainSelectedInstOperands,
     /*  702556 */     // GIR_Coverage, 11200,
     /*  702556 */     GIR_EraseRootFromParent_Done,
     /*  702557 */   // Label 11085: @702557
     /*  702557 */   GIM_Try, /*On fail goto*//*Label 11086*/ GIMT_Encode4(702632), // Rule ID 11203 //
     /*  702562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  702573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  702576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  702579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  702582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  702601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702608 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  702611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702630 */     GIR_RootConstrainSelectedInstOperands,
     /*  702631 */     // GIR_Coverage, 11203,
     /*  702631 */     GIR_EraseRootFromParent_Done,
     /*  702632 */   // Label 11086: @702632
     /*  702632 */   GIM_Try, /*On fail goto*//*Label 11087*/ GIMT_Encode4(702707), // Rule ID 11204 //
     /*  702637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  702648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  702651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  702654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  702657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  702676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702683 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  702686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702705 */     GIR_RootConstrainSelectedInstOperands,
     /*  702706 */     // GIR_Coverage, 11204,
     /*  702706 */     GIR_EraseRootFromParent_Done,
     /*  702707 */   // Label 11087: @702707
     /*  702707 */   GIM_Try, /*On fail goto*//*Label 11088*/ GIMT_Encode4(702782), // Rule ID 11207 //
     /*  702712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  702723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  702726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  702729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  702732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  702751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702758 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  702761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702780 */     GIR_RootConstrainSelectedInstOperands,
     /*  702781 */     // GIR_Coverage, 11207,
     /*  702781 */     GIR_EraseRootFromParent_Done,
     /*  702782 */   // Label 11088: @702782
     /*  702782 */   GIM_Try, /*On fail goto*//*Label 11089*/ GIMT_Encode4(702857), // Rule ID 11208 //
     /*  702787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  702798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  702801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  702804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  702807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  702826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702833 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  702836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702855 */     GIR_RootConstrainSelectedInstOperands,
     /*  702856 */     // GIR_Coverage, 11208,
     /*  702856 */     GIR_EraseRootFromParent_Done,
     /*  702857 */   // Label 11089: @702857
     /*  702857 */   GIM_Try, /*On fail goto*//*Label 11090*/ GIMT_Encode4(702932), // Rule ID 11211 //
     /*  702862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  702873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  702876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  702879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  702882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  702901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702908 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  702911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702930 */     GIR_RootConstrainSelectedInstOperands,
     /*  702931 */     // GIR_Coverage, 11211,
     /*  702931 */     GIR_EraseRootFromParent_Done,
     /*  702932 */   // Label 11090: @702932
     /*  702932 */   GIM_Try, /*On fail goto*//*Label 11091*/ GIMT_Encode4(703007), // Rule ID 11212 //
     /*  702937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  702945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  702948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  702951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  702954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  702957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  702976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702983 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  702986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703005 */     GIR_RootConstrainSelectedInstOperands,
     /*  703006 */     // GIR_Coverage, 11212,
     /*  703006 */     GIR_EraseRootFromParent_Done,
     /*  703007 */   // Label 11091: @703007
     /*  703007 */   GIM_Try, /*On fail goto*//*Label 11092*/ GIMT_Encode4(703082), // Rule ID 11215 //
     /*  703012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  703023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  703026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  703029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703058 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  703061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703080 */     GIR_RootConstrainSelectedInstOperands,
     /*  703081 */     // GIR_Coverage, 11215,
     /*  703081 */     GIR_EraseRootFromParent_Done,
     /*  703082 */   // Label 11092: @703082
     /*  703082 */   GIM_Try, /*On fail goto*//*Label 11093*/ GIMT_Encode4(703157), // Rule ID 11216 //
     /*  703087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  703098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  703101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  703104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703133 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  703136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703155 */     GIR_RootConstrainSelectedInstOperands,
     /*  703156 */     // GIR_Coverage, 11216,
     /*  703156 */     GIR_EraseRootFromParent_Done,
     /*  703157 */   // Label 11093: @703157
     /*  703157 */   GIM_Try, /*On fail goto*//*Label 11094*/ GIMT_Encode4(703232), // Rule ID 11219 //
     /*  703162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  703173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  703176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  703179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703208 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  703211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703230 */     GIR_RootConstrainSelectedInstOperands,
     /*  703231 */     // GIR_Coverage, 11219,
     /*  703231 */     GIR_EraseRootFromParent_Done,
     /*  703232 */   // Label 11094: @703232
     /*  703232 */   GIM_Try, /*On fail goto*//*Label 11095*/ GIMT_Encode4(703307), // Rule ID 11220 //
     /*  703237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  703248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  703251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  703254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703283 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  703286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703305 */     GIR_RootConstrainSelectedInstOperands,
     /*  703306 */     // GIR_Coverage, 11220,
     /*  703306 */     GIR_EraseRootFromParent_Done,
     /*  703307 */   // Label 11095: @703307
     /*  703307 */   GIM_Try, /*On fail goto*//*Label 11096*/ GIMT_Encode4(703382), // Rule ID 11223 //
     /*  703312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  703323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  703326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  703329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703358 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  703361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703380 */     GIR_RootConstrainSelectedInstOperands,
     /*  703381 */     // GIR_Coverage, 11223,
     /*  703381 */     GIR_EraseRootFromParent_Done,
     /*  703382 */   // Label 11096: @703382
     /*  703382 */   GIM_Try, /*On fail goto*//*Label 11097*/ GIMT_Encode4(703457), // Rule ID 11224 //
     /*  703387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  703398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  703401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  703404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703433 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  703436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703455 */     GIR_RootConstrainSelectedInstOperands,
     /*  703456 */     // GIR_Coverage, 11224,
     /*  703456 */     GIR_EraseRootFromParent_Done,
     /*  703457 */   // Label 11097: @703457
     /*  703457 */   GIM_Try, /*On fail goto*//*Label 11098*/ GIMT_Encode4(703532), // Rule ID 11227 //
     /*  703462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  703473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  703476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  703479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  703511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703530 */     GIR_RootConstrainSelectedInstOperands,
     /*  703531 */     // GIR_Coverage, 11227,
     /*  703531 */     GIR_EraseRootFromParent_Done,
     /*  703532 */   // Label 11098: @703532
     /*  703532 */   GIM_Try, /*On fail goto*//*Label 11099*/ GIMT_Encode4(703607), // Rule ID 11228 //
     /*  703537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  703548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  703551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  703554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703583 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  703586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703605 */     GIR_RootConstrainSelectedInstOperands,
     /*  703606 */     // GIR_Coverage, 11228,
     /*  703606 */     GIR_EraseRootFromParent_Done,
     /*  703607 */   // Label 11099: @703607
     /*  703607 */   GIM_Try, /*On fail goto*//*Label 11100*/ GIMT_Encode4(703682), // Rule ID 11231 //
     /*  703612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  703623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  703626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  703629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703658 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  703661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703680 */     GIR_RootConstrainSelectedInstOperands,
     /*  703681 */     // GIR_Coverage, 11231,
     /*  703681 */     GIR_EraseRootFromParent_Done,
     /*  703682 */   // Label 11100: @703682
     /*  703682 */   GIM_Try, /*On fail goto*//*Label 11101*/ GIMT_Encode4(703757), // Rule ID 11232 //
     /*  703687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  703698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  703701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  703704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703733 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  703736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703755 */     GIR_RootConstrainSelectedInstOperands,
     /*  703756 */     // GIR_Coverage, 11232,
     /*  703756 */     GIR_EraseRootFromParent_Done,
     /*  703757 */   // Label 11101: @703757
     /*  703757 */   GIM_Try, /*On fail goto*//*Label 11102*/ GIMT_Encode4(703832), // Rule ID 11235 //
     /*  703762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  703773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  703776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  703779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  703811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703830 */     GIR_RootConstrainSelectedInstOperands,
     /*  703831 */     // GIR_Coverage, 11235,
     /*  703831 */     GIR_EraseRootFromParent_Done,
     /*  703832 */   // Label 11102: @703832
     /*  703832 */   GIM_Try, /*On fail goto*//*Label 11103*/ GIMT_Encode4(703907), // Rule ID 11236 //
     /*  703837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  703848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  703851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  703854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  703886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703905 */     GIR_RootConstrainSelectedInstOperands,
     /*  703906 */     // GIR_Coverage, 11236,
     /*  703906 */     GIR_EraseRootFromParent_Done,
     /*  703907 */   // Label 11103: @703907
     /*  703907 */   GIM_Try, /*On fail goto*//*Label 11104*/ GIMT_Encode4(703982), // Rule ID 11239 //
     /*  703912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  703923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  703926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  703929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703958 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  703961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703980 */     GIR_RootConstrainSelectedInstOperands,
     /*  703981 */     // GIR_Coverage, 11239,
     /*  703981 */     GIR_EraseRootFromParent_Done,
     /*  703982 */   // Label 11104: @703982
     /*  703982 */   GIM_Try, /*On fail goto*//*Label 11105*/ GIMT_Encode4(704057), // Rule ID 11240 //
     /*  703987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  703995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  703998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  704001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  704004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704033 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  704036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704055 */     GIR_RootConstrainSelectedInstOperands,
     /*  704056 */     // GIR_Coverage, 11240,
     /*  704056 */     GIR_EraseRootFromParent_Done,
     /*  704057 */   // Label 11105: @704057
     /*  704057 */   GIM_Try, /*On fail goto*//*Label 11106*/ GIMT_Encode4(704132), // Rule ID 11243 //
     /*  704062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  704073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  704076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  704079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704108 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  704111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704130 */     GIR_RootConstrainSelectedInstOperands,
     /*  704131 */     // GIR_Coverage, 11243,
     /*  704131 */     GIR_EraseRootFromParent_Done,
     /*  704132 */   // Label 11106: @704132
     /*  704132 */   GIM_Try, /*On fail goto*//*Label 11107*/ GIMT_Encode4(704207), // Rule ID 11244 //
     /*  704137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  704148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  704151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  704154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704183 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  704186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704205 */     GIR_RootConstrainSelectedInstOperands,
     /*  704206 */     // GIR_Coverage, 11244,
     /*  704206 */     GIR_EraseRootFromParent_Done,
     /*  704207 */   // Label 11107: @704207
     /*  704207 */   GIM_Try, /*On fail goto*//*Label 11108*/ GIMT_Encode4(704282), // Rule ID 11247 //
     /*  704212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  704223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  704226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  704229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704258 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  704261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704280 */     GIR_RootConstrainSelectedInstOperands,
     /*  704281 */     // GIR_Coverage, 11247,
     /*  704281 */     GIR_EraseRootFromParent_Done,
     /*  704282 */   // Label 11108: @704282
     /*  704282 */   GIM_Try, /*On fail goto*//*Label 11109*/ GIMT_Encode4(704357), // Rule ID 11248 //
     /*  704287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  704298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  704301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  704304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704333 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  704336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704355 */     GIR_RootConstrainSelectedInstOperands,
     /*  704356 */     // GIR_Coverage, 11248,
     /*  704356 */     GIR_EraseRootFromParent_Done,
     /*  704357 */   // Label 11109: @704357
     /*  704357 */   GIM_Try, /*On fail goto*//*Label 11110*/ GIMT_Encode4(704432), // Rule ID 11251 //
     /*  704362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  704373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  704376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  704379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704408 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  704411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704430 */     GIR_RootConstrainSelectedInstOperands,
     /*  704431 */     // GIR_Coverage, 11251,
     /*  704431 */     GIR_EraseRootFromParent_Done,
     /*  704432 */   // Label 11110: @704432
     /*  704432 */   GIM_Try, /*On fail goto*//*Label 11111*/ GIMT_Encode4(704507), // Rule ID 11252 //
     /*  704437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  704448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  704451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  704454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704483 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  704486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704505 */     GIR_RootConstrainSelectedInstOperands,
     /*  704506 */     // GIR_Coverage, 11252,
     /*  704506 */     GIR_EraseRootFromParent_Done,
     /*  704507 */   // Label 11111: @704507
     /*  704507 */   GIM_Try, /*On fail goto*//*Label 11112*/ GIMT_Encode4(704582), // Rule ID 11255 //
     /*  704512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  704523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  704526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  704529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704558 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  704561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704580 */     GIR_RootConstrainSelectedInstOperands,
     /*  704581 */     // GIR_Coverage, 11255,
     /*  704581 */     GIR_EraseRootFromParent_Done,
     /*  704582 */   // Label 11112: @704582
     /*  704582 */   GIM_Try, /*On fail goto*//*Label 11113*/ GIMT_Encode4(704657), // Rule ID 11256 //
     /*  704587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  704598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  704601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  704604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704633 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  704636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704655 */     GIR_RootConstrainSelectedInstOperands,
     /*  704656 */     // GIR_Coverage, 11256,
     /*  704656 */     GIR_EraseRootFromParent_Done,
     /*  704657 */   // Label 11113: @704657
     /*  704657 */   GIM_Try, /*On fail goto*//*Label 11114*/ GIMT_Encode4(704732), // Rule ID 11259 //
     /*  704662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  704673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  704676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  704679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704708 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  704711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704730 */     GIR_RootConstrainSelectedInstOperands,
     /*  704731 */     // GIR_Coverage, 11259,
     /*  704731 */     GIR_EraseRootFromParent_Done,
     /*  704732 */   // Label 11114: @704732
     /*  704732 */   GIM_Try, /*On fail goto*//*Label 11115*/ GIMT_Encode4(704807), // Rule ID 11260 //
     /*  704737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  704748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  704751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  704754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704783 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  704786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704805 */     GIR_RootConstrainSelectedInstOperands,
     /*  704806 */     // GIR_Coverage, 11260,
     /*  704806 */     GIR_EraseRootFromParent_Done,
     /*  704807 */   // Label 11115: @704807
     /*  704807 */   GIM_Try, /*On fail goto*//*Label 11116*/ GIMT_Encode4(704882), // Rule ID 11263 //
     /*  704812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  704823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  704826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  704829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704858 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  704861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704880 */     GIR_RootConstrainSelectedInstOperands,
     /*  704881 */     // GIR_Coverage, 11263,
     /*  704881 */     GIR_EraseRootFromParent_Done,
     /*  704882 */   // Label 11116: @704882
     /*  704882 */   GIM_Try, /*On fail goto*//*Label 11117*/ GIMT_Encode4(704957), // Rule ID 11264 //
     /*  704887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  704898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  704901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  704904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704933 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  704936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704955 */     GIR_RootConstrainSelectedInstOperands,
     /*  704956 */     // GIR_Coverage, 11264,
     /*  704956 */     GIR_EraseRootFromParent_Done,
     /*  704957 */   // Label 11117: @704957
     /*  704957 */   GIM_Try, /*On fail goto*//*Label 11118*/ GIMT_Encode4(705032), // Rule ID 11267 //
     /*  704962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  704970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  704973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  704976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  704979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705008 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  705011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705030 */     GIR_RootConstrainSelectedInstOperands,
     /*  705031 */     // GIR_Coverage, 11267,
     /*  705031 */     GIR_EraseRootFromParent_Done,
     /*  705032 */   // Label 11118: @705032
     /*  705032 */   GIM_Try, /*On fail goto*//*Label 11119*/ GIMT_Encode4(705107), // Rule ID 11268 //
     /*  705037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  705048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  705051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  705054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705083 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  705086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705105 */     GIR_RootConstrainSelectedInstOperands,
     /*  705106 */     // GIR_Coverage, 11268,
     /*  705106 */     GIR_EraseRootFromParent_Done,
     /*  705107 */   // Label 11119: @705107
     /*  705107 */   GIM_Try, /*On fail goto*//*Label 11120*/ GIMT_Encode4(705182), // Rule ID 11271 //
     /*  705112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  705123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  705126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  705129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705158 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  705161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705180 */     GIR_RootConstrainSelectedInstOperands,
     /*  705181 */     // GIR_Coverage, 11271,
     /*  705181 */     GIR_EraseRootFromParent_Done,
     /*  705182 */   // Label 11120: @705182
     /*  705182 */   GIM_Try, /*On fail goto*//*Label 11121*/ GIMT_Encode4(705257), // Rule ID 11272 //
     /*  705187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  705195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  705198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  705201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  705204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705233 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  705236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705255 */     GIR_RootConstrainSelectedInstOperands,
     /*  705256 */     // GIR_Coverage, 11272,
     /*  705256 */     GIR_EraseRootFromParent_Done,
     /*  705257 */   // Label 11121: @705257
     /*  705257 */   GIM_Try, /*On fail goto*//*Label 11122*/ GIMT_Encode4(705332), // Rule ID 11275 //
     /*  705262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  705273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  705276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  705279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  705282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705308 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  705311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705330 */     GIR_RootConstrainSelectedInstOperands,
     /*  705331 */     // GIR_Coverage, 11275,
     /*  705331 */     GIR_EraseRootFromParent_Done,
     /*  705332 */   // Label 11122: @705332
     /*  705332 */   GIM_Try, /*On fail goto*//*Label 11123*/ GIMT_Encode4(705407), // Rule ID 11276 //
     /*  705337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  705348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  705351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  705354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  705357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705383 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  705386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705405 */     GIR_RootConstrainSelectedInstOperands,
     /*  705406 */     // GIR_Coverage, 11276,
     /*  705406 */     GIR_EraseRootFromParent_Done,
     /*  705407 */   // Label 11123: @705407
     /*  705407 */   GIM_Try, /*On fail goto*//*Label 11124*/ GIMT_Encode4(705482), // Rule ID 11279 //
     /*  705412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  705423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  705426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  705429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  705432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705458 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  705461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705480 */     GIR_RootConstrainSelectedInstOperands,
     /*  705481 */     // GIR_Coverage, 11279,
     /*  705481 */     GIR_EraseRootFromParent_Done,
     /*  705482 */   // Label 11124: @705482
     /*  705482 */   GIM_Try, /*On fail goto*//*Label 11125*/ GIMT_Encode4(705557), // Rule ID 11280 //
     /*  705487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  705498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  705501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  705504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  705507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705533 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  705536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705555 */     GIR_RootConstrainSelectedInstOperands,
     /*  705556 */     // GIR_Coverage, 11280,
     /*  705556 */     GIR_EraseRootFromParent_Done,
     /*  705557 */   // Label 11125: @705557
     /*  705557 */   GIM_Try, /*On fail goto*//*Label 11126*/ GIMT_Encode4(705632), // Rule ID 11283 //
     /*  705562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  705573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  705576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  705579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  705582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705608 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  705611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705630 */     GIR_RootConstrainSelectedInstOperands,
     /*  705631 */     // GIR_Coverage, 11283,
     /*  705631 */     GIR_EraseRootFromParent_Done,
     /*  705632 */   // Label 11126: @705632
     /*  705632 */   GIM_Try, /*On fail goto*//*Label 11127*/ GIMT_Encode4(705707), // Rule ID 11284 //
     /*  705637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  705648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  705651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  705654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  705657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705683 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  705686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705705 */     GIR_RootConstrainSelectedInstOperands,
     /*  705706 */     // GIR_Coverage, 11284,
     /*  705706 */     GIR_EraseRootFromParent_Done,
     /*  705707 */   // Label 11127: @705707
     /*  705707 */   GIM_Try, /*On fail goto*//*Label 11128*/ GIMT_Encode4(705782), // Rule ID 11287 //
     /*  705712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  705723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  705726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  705729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  705732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705758 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  705761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705780 */     GIR_RootConstrainSelectedInstOperands,
     /*  705781 */     // GIR_Coverage, 11287,
     /*  705781 */     GIR_EraseRootFromParent_Done,
     /*  705782 */   // Label 11128: @705782
     /*  705782 */   GIM_Try, /*On fail goto*//*Label 11129*/ GIMT_Encode4(705857), // Rule ID 11288 //
     /*  705787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  705798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  705801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  705804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  705807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705833 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  705836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705855 */     GIR_RootConstrainSelectedInstOperands,
     /*  705856 */     // GIR_Coverage, 11288,
     /*  705856 */     GIR_EraseRootFromParent_Done,
     /*  705857 */   // Label 11129: @705857
     /*  705857 */   GIM_Try, /*On fail goto*//*Label 11130*/ GIMT_Encode4(705932), // Rule ID 11291 //
     /*  705862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  705873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  705876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  705879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  705882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705908 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  705911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705930 */     GIR_RootConstrainSelectedInstOperands,
     /*  705931 */     // GIR_Coverage, 11291,
     /*  705931 */     GIR_EraseRootFromParent_Done,
     /*  705932 */   // Label 11130: @705932
     /*  705932 */   GIM_Try, /*On fail goto*//*Label 11131*/ GIMT_Encode4(706007), // Rule ID 11292 //
     /*  705937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  705948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  705951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  705954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  705957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705983 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  705986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706005 */     GIR_RootConstrainSelectedInstOperands,
     /*  706006 */     // GIR_Coverage, 11292,
     /*  706006 */     GIR_EraseRootFromParent_Done,
     /*  706007 */   // Label 11131: @706007
     /*  706007 */   GIM_Try, /*On fail goto*//*Label 11132*/ GIMT_Encode4(706082), // Rule ID 11295 //
     /*  706012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  706023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  706026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  706029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  706032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706058 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  706061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706080 */     GIR_RootConstrainSelectedInstOperands,
     /*  706081 */     // GIR_Coverage, 11295,
     /*  706081 */     GIR_EraseRootFromParent_Done,
     /*  706082 */   // Label 11132: @706082
     /*  706082 */   GIM_Try, /*On fail goto*//*Label 11133*/ GIMT_Encode4(706157), // Rule ID 11296 //
     /*  706087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  706098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  706101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  706104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  706107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706133 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  706136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706155 */     GIR_RootConstrainSelectedInstOperands,
     /*  706156 */     // GIR_Coverage, 11296,
     /*  706156 */     GIR_EraseRootFromParent_Done,
     /*  706157 */   // Label 11133: @706157
     /*  706157 */   GIM_Try, /*On fail goto*//*Label 11134*/ GIMT_Encode4(706232), // Rule ID 11299 //
     /*  706162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  706173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  706176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  706179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  706182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  706211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706230 */     GIR_RootConstrainSelectedInstOperands,
     /*  706231 */     // GIR_Coverage, 11299,
     /*  706231 */     GIR_EraseRootFromParent_Done,
     /*  706232 */   // Label 11134: @706232
     /*  706232 */   GIM_Try, /*On fail goto*//*Label 11135*/ GIMT_Encode4(706307), // Rule ID 11300 //
     /*  706237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  706248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  706251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  706254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  706257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706283 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  706286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706305 */     GIR_RootConstrainSelectedInstOperands,
     /*  706306 */     // GIR_Coverage, 11300,
     /*  706306 */     GIR_EraseRootFromParent_Done,
     /*  706307 */   // Label 11135: @706307
     /*  706307 */   GIM_Try, /*On fail goto*//*Label 11136*/ GIMT_Encode4(706382), // Rule ID 11303 //
     /*  706312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  706323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  706326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  706329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  706332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706358 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  706361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706380 */     GIR_RootConstrainSelectedInstOperands,
     /*  706381 */     // GIR_Coverage, 11303,
     /*  706381 */     GIR_EraseRootFromParent_Done,
     /*  706382 */   // Label 11136: @706382
     /*  706382 */   GIM_Try, /*On fail goto*//*Label 11137*/ GIMT_Encode4(706457), // Rule ID 11304 //
     /*  706387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  706398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  706401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  706404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  706407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706433 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  706436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706455 */     GIR_RootConstrainSelectedInstOperands,
     /*  706456 */     // GIR_Coverage, 11304,
     /*  706456 */     GIR_EraseRootFromParent_Done,
     /*  706457 */   // Label 11137: @706457
     /*  706457 */   GIM_Try, /*On fail goto*//*Label 11138*/ GIMT_Encode4(706532), // Rule ID 11307 //
     /*  706462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  706473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  706476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  706479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  706482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  706511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706530 */     GIR_RootConstrainSelectedInstOperands,
     /*  706531 */     // GIR_Coverage, 11307,
     /*  706531 */     GIR_EraseRootFromParent_Done,
     /*  706532 */   // Label 11138: @706532
     /*  706532 */   GIM_Try, /*On fail goto*//*Label 11139*/ GIMT_Encode4(706607), // Rule ID 11308 //
     /*  706537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  706548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  706551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  706554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  706557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  706586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706605 */     GIR_RootConstrainSelectedInstOperands,
     /*  706606 */     // GIR_Coverage, 11308,
     /*  706606 */     GIR_EraseRootFromParent_Done,
     /*  706607 */   // Label 11139: @706607
     /*  706607 */   GIM_Try, /*On fail goto*//*Label 11140*/ GIMT_Encode4(706682), // Rule ID 11311 //
     /*  706612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  706623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  706626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  706629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  706632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706658 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  706661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706680 */     GIR_RootConstrainSelectedInstOperands,
     /*  706681 */     // GIR_Coverage, 11311,
     /*  706681 */     GIR_EraseRootFromParent_Done,
     /*  706682 */   // Label 11140: @706682
     /*  706682 */   GIM_Try, /*On fail goto*//*Label 11141*/ GIMT_Encode4(706757), // Rule ID 11312 //
     /*  706687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  706698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  706701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  706704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  706707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706733 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  706736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706755 */     GIR_RootConstrainSelectedInstOperands,
     /*  706756 */     // GIR_Coverage, 11312,
     /*  706756 */     GIR_EraseRootFromParent_Done,
     /*  706757 */   // Label 11141: @706757
     /*  706757 */   GIM_Try, /*On fail goto*//*Label 11142*/ GIMT_Encode4(706832), // Rule ID 11315 //
     /*  706762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  706773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  706776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  706779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  706782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706808 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  706811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706830 */     GIR_RootConstrainSelectedInstOperands,
     /*  706831 */     // GIR_Coverage, 11315,
     /*  706831 */     GIR_EraseRootFromParent_Done,
     /*  706832 */   // Label 11142: @706832
     /*  706832 */   GIM_Try, /*On fail goto*//*Label 11143*/ GIMT_Encode4(706907), // Rule ID 11316 //
     /*  706837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  706848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  706851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  706854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  706857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706883 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  706886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706905 */     GIR_RootConstrainSelectedInstOperands,
     /*  706906 */     // GIR_Coverage, 11316,
     /*  706906 */     GIR_EraseRootFromParent_Done,
     /*  706907 */   // Label 11143: @706907
     /*  706907 */   GIM_Try, /*On fail goto*//*Label 11144*/ GIMT_Encode4(706982), // Rule ID 11319 //
     /*  706912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  706923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  706926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  706929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  706932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706958 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  706961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706980 */     GIR_RootConstrainSelectedInstOperands,
     /*  706981 */     // GIR_Coverage, 11319,
     /*  706981 */     GIR_EraseRootFromParent_Done,
     /*  706982 */   // Label 11144: @706982
     /*  706982 */   GIM_Try, /*On fail goto*//*Label 11145*/ GIMT_Encode4(707057), // Rule ID 11320 //
     /*  706987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  706995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  706998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  707001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  707004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  707007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707033 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  707036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707055 */     GIR_RootConstrainSelectedInstOperands,
     /*  707056 */     // GIR_Coverage, 11320,
     /*  707056 */     GIR_EraseRootFromParent_Done,
     /*  707057 */   // Label 11145: @707057
     /*  707057 */   GIM_Try, /*On fail goto*//*Label 11146*/ GIMT_Encode4(707132), // Rule ID 11323 //
     /*  707062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  707073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  707076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  707079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  707082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707108 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  707111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707130 */     GIR_RootConstrainSelectedInstOperands,
     /*  707131 */     // GIR_Coverage, 11323,
     /*  707131 */     GIR_EraseRootFromParent_Done,
     /*  707132 */   // Label 11146: @707132
     /*  707132 */   GIM_Try, /*On fail goto*//*Label 11147*/ GIMT_Encode4(707207), // Rule ID 11324 //
     /*  707137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  707148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  707151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  707154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  707157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707183 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  707186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707205 */     GIR_RootConstrainSelectedInstOperands,
     /*  707206 */     // GIR_Coverage, 11324,
     /*  707206 */     GIR_EraseRootFromParent_Done,
     /*  707207 */   // Label 11147: @707207
     /*  707207 */   GIM_Try, /*On fail goto*//*Label 11148*/ GIMT_Encode4(707282), // Rule ID 11327 //
     /*  707212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  707223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  707226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  707229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  707232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707258 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  707261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707280 */     GIR_RootConstrainSelectedInstOperands,
     /*  707281 */     // GIR_Coverage, 11327,
     /*  707281 */     GIR_EraseRootFromParent_Done,
     /*  707282 */   // Label 11148: @707282
     /*  707282 */   GIM_Try, /*On fail goto*//*Label 11149*/ GIMT_Encode4(707357), // Rule ID 11328 //
     /*  707287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  707298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  707301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  707304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  707307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707333 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  707336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707355 */     GIR_RootConstrainSelectedInstOperands,
     /*  707356 */     // GIR_Coverage, 11328,
     /*  707356 */     GIR_EraseRootFromParent_Done,
     /*  707357 */   // Label 11149: @707357
     /*  707357 */   GIM_Try, /*On fail goto*//*Label 11150*/ GIMT_Encode4(707432), // Rule ID 11331 //
     /*  707362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  707373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  707376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  707379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  707382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707408 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  707411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707430 */     GIR_RootConstrainSelectedInstOperands,
     /*  707431 */     // GIR_Coverage, 11331,
     /*  707431 */     GIR_EraseRootFromParent_Done,
     /*  707432 */   // Label 11150: @707432
     /*  707432 */   GIM_Try, /*On fail goto*//*Label 11151*/ GIMT_Encode4(707507), // Rule ID 11332 //
     /*  707437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  707448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  707451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  707454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  707457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707483 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  707486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707505 */     GIR_RootConstrainSelectedInstOperands,
     /*  707506 */     // GIR_Coverage, 11332,
     /*  707506 */     GIR_EraseRootFromParent_Done,
     /*  707507 */   // Label 11151: @707507
     /*  707507 */   GIM_Try, /*On fail goto*//*Label 11152*/ GIMT_Encode4(707582), // Rule ID 11335 //
     /*  707512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  707523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  707526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  707529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  707532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707558 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  707561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707580 */     GIR_RootConstrainSelectedInstOperands,
     /*  707581 */     // GIR_Coverage, 11335,
     /*  707581 */     GIR_EraseRootFromParent_Done,
     /*  707582 */   // Label 11152: @707582
     /*  707582 */   GIM_Try, /*On fail goto*//*Label 11153*/ GIMT_Encode4(707657), // Rule ID 11336 //
     /*  707587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  707598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  707601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  707604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  707607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707633 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  707633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  707636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707655 */     GIR_RootConstrainSelectedInstOperands,
     /*  707656 */     // GIR_Coverage, 11336,
     /*  707656 */     GIR_EraseRootFromParent_Done,
     /*  707657 */   // Label 11153: @707657
     /*  707657 */   GIM_Try, /*On fail goto*//*Label 11154*/ GIMT_Encode4(707732), // Rule ID 11339 //
     /*  707662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  707673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  707676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  707679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  707682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707708 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  707711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707730 */     GIR_RootConstrainSelectedInstOperands,
     /*  707731 */     // GIR_Coverage, 11339,
     /*  707731 */     GIR_EraseRootFromParent_Done,
     /*  707732 */   // Label 11154: @707732
     /*  707732 */   GIM_Try, /*On fail goto*//*Label 11155*/ GIMT_Encode4(707807), // Rule ID 11340 //
     /*  707737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  707748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  707751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  707754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  707757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707783 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  707783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  707786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707805 */     GIR_RootConstrainSelectedInstOperands,
     /*  707806 */     // GIR_Coverage, 11340,
     /*  707806 */     GIR_EraseRootFromParent_Done,
     /*  707807 */   // Label 11155: @707807
     /*  707807 */   GIM_Try, /*On fail goto*//*Label 11156*/ GIMT_Encode4(707882), // Rule ID 11343 //
     /*  707812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  707823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  707826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  707829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  707832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707858 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  707861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707880 */     GIR_RootConstrainSelectedInstOperands,
     /*  707881 */     // GIR_Coverage, 11343,
     /*  707881 */     GIR_EraseRootFromParent_Done,
     /*  707882 */   // Label 11156: @707882
     /*  707882 */   GIM_Try, /*On fail goto*//*Label 11157*/ GIMT_Encode4(707957), // Rule ID 11344 //
     /*  707887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  707898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  707901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  707904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  707907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707933 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  707933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  707936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707955 */     GIR_RootConstrainSelectedInstOperands,
     /*  707956 */     // GIR_Coverage, 11344,
     /*  707956 */     GIR_EraseRootFromParent_Done,
     /*  707957 */   // Label 11157: @707957
     /*  707957 */   GIM_Try, /*On fail goto*//*Label 11158*/ GIMT_Encode4(708032), // Rule ID 11347 //
     /*  707962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  707970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  707973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  707976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  707979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  707982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708008 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  708011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708030 */     GIR_RootConstrainSelectedInstOperands,
     /*  708031 */     // GIR_Coverage, 11347,
     /*  708031 */     GIR_EraseRootFromParent_Done,
     /*  708032 */   // Label 11158: @708032
     /*  708032 */   GIM_Try, /*On fail goto*//*Label 11159*/ GIMT_Encode4(708107), // Rule ID 11348 //
     /*  708037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  708048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  708051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  708054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  708057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708083 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  708086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708105 */     GIR_RootConstrainSelectedInstOperands,
     /*  708106 */     // GIR_Coverage, 11348,
     /*  708106 */     GIR_EraseRootFromParent_Done,
     /*  708107 */   // Label 11159: @708107
     /*  708107 */   GIM_Try, /*On fail goto*//*Label 11160*/ GIMT_Encode4(708182), // Rule ID 11351 //
     /*  708112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  708123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  708126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  708129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  708132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708158 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  708161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708180 */     GIR_RootConstrainSelectedInstOperands,
     /*  708181 */     // GIR_Coverage, 11351,
     /*  708181 */     GIR_EraseRootFromParent_Done,
     /*  708182 */   // Label 11160: @708182
     /*  708182 */   GIM_Try, /*On fail goto*//*Label 11161*/ GIMT_Encode4(708257), // Rule ID 11352 //
     /*  708187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  708198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  708201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  708204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  708207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708233 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  708236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708255 */     GIR_RootConstrainSelectedInstOperands,
     /*  708256 */     // GIR_Coverage, 11352,
     /*  708256 */     GIR_EraseRootFromParent_Done,
     /*  708257 */   // Label 11161: @708257
     /*  708257 */   GIM_Try, /*On fail goto*//*Label 11162*/ GIMT_Encode4(708332), // Rule ID 11355 //
     /*  708262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  708273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  708276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  708279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  708282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708308 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  708311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708330 */     GIR_RootConstrainSelectedInstOperands,
     /*  708331 */     // GIR_Coverage, 11355,
     /*  708331 */     GIR_EraseRootFromParent_Done,
     /*  708332 */   // Label 11162: @708332
     /*  708332 */   GIM_Try, /*On fail goto*//*Label 11163*/ GIMT_Encode4(708407), // Rule ID 11356 //
     /*  708337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  708348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  708351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  708354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  708357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708383 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  708386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708405 */     GIR_RootConstrainSelectedInstOperands,
     /*  708406 */     // GIR_Coverage, 11356,
     /*  708406 */     GIR_EraseRootFromParent_Done,
     /*  708407 */   // Label 11163: @708407
     /*  708407 */   GIM_Try, /*On fail goto*//*Label 11164*/ GIMT_Encode4(708482), // Rule ID 11359 //
     /*  708412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  708423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  708426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  708429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  708432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708458 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  708461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708480 */     GIR_RootConstrainSelectedInstOperands,
     /*  708481 */     // GIR_Coverage, 11359,
     /*  708481 */     GIR_EraseRootFromParent_Done,
     /*  708482 */   // Label 11164: @708482
     /*  708482 */   GIM_Try, /*On fail goto*//*Label 11165*/ GIMT_Encode4(708557), // Rule ID 11360 //
     /*  708487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  708498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  708501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  708504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  708507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708533 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  708536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708555 */     GIR_RootConstrainSelectedInstOperands,
     /*  708556 */     // GIR_Coverage, 11360,
     /*  708556 */     GIR_EraseRootFromParent_Done,
     /*  708557 */   // Label 11165: @708557
     /*  708557 */   GIM_Try, /*On fail goto*//*Label 11166*/ GIMT_Encode4(708632), // Rule ID 11363 //
     /*  708562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  708573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  708576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  708579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  708582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708608 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  708611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708630 */     GIR_RootConstrainSelectedInstOperands,
     /*  708631 */     // GIR_Coverage, 11363,
     /*  708631 */     GIR_EraseRootFromParent_Done,
     /*  708632 */   // Label 11166: @708632
     /*  708632 */   GIM_Try, /*On fail goto*//*Label 11167*/ GIMT_Encode4(708707), // Rule ID 11364 //
     /*  708637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  708648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  708651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  708654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  708657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708683 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  708686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708705 */     GIR_RootConstrainSelectedInstOperands,
     /*  708706 */     // GIR_Coverage, 11364,
     /*  708706 */     GIR_EraseRootFromParent_Done,
     /*  708707 */   // Label 11167: @708707
     /*  708707 */   GIM_Try, /*On fail goto*//*Label 11168*/ GIMT_Encode4(708782), // Rule ID 11367 //
     /*  708712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  708723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  708726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  708729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  708732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708758 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  708761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708780 */     GIR_RootConstrainSelectedInstOperands,
     /*  708781 */     // GIR_Coverage, 11367,
     /*  708781 */     GIR_EraseRootFromParent_Done,
     /*  708782 */   // Label 11168: @708782
     /*  708782 */   GIM_Try, /*On fail goto*//*Label 11169*/ GIMT_Encode4(708857), // Rule ID 11368 //
     /*  708787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  708798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  708801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  708804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  708807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708833 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  708836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708855 */     GIR_RootConstrainSelectedInstOperands,
     /*  708856 */     // GIR_Coverage, 11368,
     /*  708856 */     GIR_EraseRootFromParent_Done,
     /*  708857 */   // Label 11169: @708857
     /*  708857 */   GIM_Try, /*On fail goto*//*Label 11170*/ GIMT_Encode4(708932), // Rule ID 11371 //
     /*  708862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  708873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  708876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  708879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  708882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  708911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708930 */     GIR_RootConstrainSelectedInstOperands,
     /*  708931 */     // GIR_Coverage, 11371,
     /*  708931 */     GIR_EraseRootFromParent_Done,
     /*  708932 */   // Label 11170: @708932
     /*  708932 */   GIM_Try, /*On fail goto*//*Label 11171*/ GIMT_Encode4(709007), // Rule ID 11372 //
     /*  708937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  708948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  708951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  708954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  708957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708983 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  708986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709005 */     GIR_RootConstrainSelectedInstOperands,
     /*  709006 */     // GIR_Coverage, 11372,
     /*  709006 */     GIR_EraseRootFromParent_Done,
     /*  709007 */   // Label 11171: @709007
     /*  709007 */   GIM_Try, /*On fail goto*//*Label 11172*/ GIMT_Encode4(709082), // Rule ID 11375 //
     /*  709012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  709023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  709026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  709029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  709061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709080 */     GIR_RootConstrainSelectedInstOperands,
     /*  709081 */     // GIR_Coverage, 11375,
     /*  709081 */     GIR_EraseRootFromParent_Done,
     /*  709082 */   // Label 11172: @709082
     /*  709082 */   GIM_Try, /*On fail goto*//*Label 11173*/ GIMT_Encode4(709157), // Rule ID 11376 //
     /*  709087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  709098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  709101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  709104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  709136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709155 */     GIR_RootConstrainSelectedInstOperands,
     /*  709156 */     // GIR_Coverage, 11376,
     /*  709156 */     GIR_EraseRootFromParent_Done,
     /*  709157 */   // Label 11173: @709157
     /*  709157 */   GIM_Try, /*On fail goto*//*Label 11174*/ GIMT_Encode4(709232), // Rule ID 11379 //
     /*  709162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  709173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  709176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  709179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709208 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  709211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709230 */     GIR_RootConstrainSelectedInstOperands,
     /*  709231 */     // GIR_Coverage, 11379,
     /*  709231 */     GIR_EraseRootFromParent_Done,
     /*  709232 */   // Label 11174: @709232
     /*  709232 */   GIM_Try, /*On fail goto*//*Label 11175*/ GIMT_Encode4(709307), // Rule ID 11380 //
     /*  709237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  709248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  709251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  709254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709283 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  709286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709305 */     GIR_RootConstrainSelectedInstOperands,
     /*  709306 */     // GIR_Coverage, 11380,
     /*  709306 */     GIR_EraseRootFromParent_Done,
     /*  709307 */   // Label 11175: @709307
     /*  709307 */   GIM_Try, /*On fail goto*//*Label 11176*/ GIMT_Encode4(709382), // Rule ID 11383 //
     /*  709312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  709323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  709326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  709329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709358 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  709361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709380 */     GIR_RootConstrainSelectedInstOperands,
     /*  709381 */     // GIR_Coverage, 11383,
     /*  709381 */     GIR_EraseRootFromParent_Done,
     /*  709382 */   // Label 11176: @709382
     /*  709382 */   GIM_Try, /*On fail goto*//*Label 11177*/ GIMT_Encode4(709457), // Rule ID 11384 //
     /*  709387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  709398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  709401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  709404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709433 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  709436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709455 */     GIR_RootConstrainSelectedInstOperands,
     /*  709456 */     // GIR_Coverage, 11384,
     /*  709456 */     GIR_EraseRootFromParent_Done,
     /*  709457 */   // Label 11177: @709457
     /*  709457 */   GIM_Try, /*On fail goto*//*Label 11178*/ GIMT_Encode4(709532), // Rule ID 11387 //
     /*  709462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  709473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  709476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  709479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709508 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  709511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709530 */     GIR_RootConstrainSelectedInstOperands,
     /*  709531 */     // GIR_Coverage, 11387,
     /*  709531 */     GIR_EraseRootFromParent_Done,
     /*  709532 */   // Label 11178: @709532
     /*  709532 */   GIM_Try, /*On fail goto*//*Label 11179*/ GIMT_Encode4(709607), // Rule ID 11388 //
     /*  709537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  709548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  709551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  709554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709583 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  709586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709605 */     GIR_RootConstrainSelectedInstOperands,
     /*  709606 */     // GIR_Coverage, 11388,
     /*  709606 */     GIR_EraseRootFromParent_Done,
     /*  709607 */   // Label 11179: @709607
     /*  709607 */   GIM_Try, /*On fail goto*//*Label 11180*/ GIMT_Encode4(709682), // Rule ID 11391 //
     /*  709612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  709623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  709626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  709629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709658 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  709661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709680 */     GIR_RootConstrainSelectedInstOperands,
     /*  709681 */     // GIR_Coverage, 11391,
     /*  709681 */     GIR_EraseRootFromParent_Done,
     /*  709682 */   // Label 11180: @709682
     /*  709682 */   GIM_Try, /*On fail goto*//*Label 11181*/ GIMT_Encode4(709757), // Rule ID 11392 //
     /*  709687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  709698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  709701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  709704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709733 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  709736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709755 */     GIR_RootConstrainSelectedInstOperands,
     /*  709756 */     // GIR_Coverage, 11392,
     /*  709756 */     GIR_EraseRootFromParent_Done,
     /*  709757 */   // Label 11181: @709757
     /*  709757 */   GIM_Try, /*On fail goto*//*Label 11182*/ GIMT_Encode4(709832), // Rule ID 11395 //
     /*  709762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  709773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  709776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  709779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709808 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  709811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709830 */     GIR_RootConstrainSelectedInstOperands,
     /*  709831 */     // GIR_Coverage, 11395,
     /*  709831 */     GIR_EraseRootFromParent_Done,
     /*  709832 */   // Label 11182: @709832
     /*  709832 */   GIM_Try, /*On fail goto*//*Label 11183*/ GIMT_Encode4(709907), // Rule ID 11396 //
     /*  709837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  709848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  709851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  709854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709883 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  709886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709905 */     GIR_RootConstrainSelectedInstOperands,
     /*  709906 */     // GIR_Coverage, 11396,
     /*  709906 */     GIR_EraseRootFromParent_Done,
     /*  709907 */   // Label 11183: @709907
     /*  709907 */   GIM_Try, /*On fail goto*//*Label 11184*/ GIMT_Encode4(709982), // Rule ID 11399 //
     /*  709912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  709923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  709926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  709929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709958 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  709961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709980 */     GIR_RootConstrainSelectedInstOperands,
     /*  709981 */     // GIR_Coverage, 11399,
     /*  709981 */     GIR_EraseRootFromParent_Done,
     /*  709982 */   // Label 11184: @709982
     /*  709982 */   GIM_Try, /*On fail goto*//*Label 11185*/ GIMT_Encode4(710057), // Rule ID 11400 //
     /*  709987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  709998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  710001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  710004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710033 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  710036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710055 */     GIR_RootConstrainSelectedInstOperands,
     /*  710056 */     // GIR_Coverage, 11400,
     /*  710056 */     GIR_EraseRootFromParent_Done,
     /*  710057 */   // Label 11185: @710057
     /*  710057 */   GIM_Try, /*On fail goto*//*Label 11186*/ GIMT_Encode4(710132), // Rule ID 11403 //
     /*  710062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  710073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  710076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  710079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710108 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  710111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710130 */     GIR_RootConstrainSelectedInstOperands,
     /*  710131 */     // GIR_Coverage, 11403,
     /*  710131 */     GIR_EraseRootFromParent_Done,
     /*  710132 */   // Label 11186: @710132
     /*  710132 */   GIM_Try, /*On fail goto*//*Label 11187*/ GIMT_Encode4(710207), // Rule ID 11404 //
     /*  710137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  710148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  710151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  710154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710183 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  710186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710205 */     GIR_RootConstrainSelectedInstOperands,
     /*  710206 */     // GIR_Coverage, 11404,
     /*  710206 */     GIR_EraseRootFromParent_Done,
     /*  710207 */   // Label 11187: @710207
     /*  710207 */   GIM_Try, /*On fail goto*//*Label 11188*/ GIMT_Encode4(710282), // Rule ID 11407 //
     /*  710212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  710223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  710226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  710229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710258 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  710261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710280 */     GIR_RootConstrainSelectedInstOperands,
     /*  710281 */     // GIR_Coverage, 11407,
     /*  710281 */     GIR_EraseRootFromParent_Done,
     /*  710282 */   // Label 11188: @710282
     /*  710282 */   GIM_Try, /*On fail goto*//*Label 11189*/ GIMT_Encode4(710357), // Rule ID 11408 //
     /*  710287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  710298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  710301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  710304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710333 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  710336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710355 */     GIR_RootConstrainSelectedInstOperands,
     /*  710356 */     // GIR_Coverage, 11408,
     /*  710356 */     GIR_EraseRootFromParent_Done,
     /*  710357 */   // Label 11189: @710357
     /*  710357 */   GIM_Try, /*On fail goto*//*Label 11190*/ GIMT_Encode4(710432), // Rule ID 11411 //
     /*  710362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  710373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  710376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  710379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710408 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  710411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710430 */     GIR_RootConstrainSelectedInstOperands,
     /*  710431 */     // GIR_Coverage, 11411,
     /*  710431 */     GIR_EraseRootFromParent_Done,
     /*  710432 */   // Label 11190: @710432
     /*  710432 */   GIM_Try, /*On fail goto*//*Label 11191*/ GIMT_Encode4(710507), // Rule ID 11412 //
     /*  710437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  710448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  710451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  710454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710483 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  710486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710505 */     GIR_RootConstrainSelectedInstOperands,
     /*  710506 */     // GIR_Coverage, 11412,
     /*  710506 */     GIR_EraseRootFromParent_Done,
     /*  710507 */   // Label 11191: @710507
     /*  710507 */   GIM_Try, /*On fail goto*//*Label 11192*/ GIMT_Encode4(710582), // Rule ID 11415 //
     /*  710512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  710523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  710526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  710529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710558 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  710561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710580 */     GIR_RootConstrainSelectedInstOperands,
     /*  710581 */     // GIR_Coverage, 11415,
     /*  710581 */     GIR_EraseRootFromParent_Done,
     /*  710582 */   // Label 11192: @710582
     /*  710582 */   GIM_Try, /*On fail goto*//*Label 11193*/ GIMT_Encode4(710657), // Rule ID 11416 //
     /*  710587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  710595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  710598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  710601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  710604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710633 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  710636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710655 */     GIR_RootConstrainSelectedInstOperands,
     /*  710656 */     // GIR_Coverage, 11416,
     /*  710656 */     GIR_EraseRootFromParent_Done,
     /*  710657 */   // Label 11193: @710657
     /*  710657 */   GIM_Try, /*On fail goto*//*Label 11194*/ GIMT_Encode4(710732), // Rule ID 11419 //
     /*  710662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  710665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  710670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  710673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  710676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  710679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  710682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710708 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  710708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  710711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  710727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710730 */     GIR_RootConstrainSelectedInstOperands,
     /*  710731 */     // GIR_Coverage, 11419,
     /*  710731 */     GIR_EraseRootFromParent_Done,
     /*  710732 */   // Label 11194: @710732
     /*  710732 */   GIM_Try, /*On fail goto*//*Label 11195*/ GIMT_Encode4(710807), // Rule ID 11420 //
     /*  710737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  710740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  710745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  710748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  710751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  710754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  710757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710783 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  710783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  710786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  710802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710805 */     GIR_RootConstrainSelectedInstOperands,
     /*  710806 */     // GIR_Coverage, 11420,
     /*  710806 */     GIR_EraseRootFromParent_Done,
     /*  710807 */   // Label 11195: @710807
     /*  710807 */   GIM_Try, /*On fail goto*//*Label 11196*/ GIMT_Encode4(710882), // Rule ID 11423 //
     /*  710812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  710815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  710820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  710823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  710826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  710829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  710832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710858 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  710858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  710861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  710877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710880 */     GIR_RootConstrainSelectedInstOperands,
     /*  710881 */     // GIR_Coverage, 11423,
     /*  710881 */     GIR_EraseRootFromParent_Done,
     /*  710882 */   // Label 11196: @710882
     /*  710882 */   GIM_Try, /*On fail goto*//*Label 11197*/ GIMT_Encode4(710957), // Rule ID 11424 //
     /*  710887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  710890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  710895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  710898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  710901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  710904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  710907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710933 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  710933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  710936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  710952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710955 */     GIR_RootConstrainSelectedInstOperands,
     /*  710956 */     // GIR_Coverage, 11424,
     /*  710956 */     GIR_EraseRootFromParent_Done,
     /*  710957 */   // Label 11197: @710957
     /*  710957 */   GIM_Try, /*On fail goto*//*Label 11198*/ GIMT_Encode4(711032), // Rule ID 11427 //
     /*  710962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  710965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  710970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  710973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  710976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  710979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  710982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711008 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  711008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  711011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711030 */     GIR_RootConstrainSelectedInstOperands,
     /*  711031 */     // GIR_Coverage, 11427,
     /*  711031 */     GIR_EraseRootFromParent_Done,
     /*  711032 */   // Label 11198: @711032
     /*  711032 */   GIM_Try, /*On fail goto*//*Label 11199*/ GIMT_Encode4(711107), // Rule ID 11428 //
     /*  711037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  711040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  711045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  711048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  711051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  711054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  711057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711083 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  711083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  711086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711105 */     GIR_RootConstrainSelectedInstOperands,
     /*  711106 */     // GIR_Coverage, 11428,
     /*  711106 */     GIR_EraseRootFromParent_Done,
     /*  711107 */   // Label 11199: @711107
     /*  711107 */   GIM_Try, /*On fail goto*//*Label 11200*/ GIMT_Encode4(711182), // Rule ID 11431 //
     /*  711112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  711115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  711120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  711123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  711126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  711129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  711132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711158 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  711158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  711161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711180 */     GIR_RootConstrainSelectedInstOperands,
     /*  711181 */     // GIR_Coverage, 11431,
     /*  711181 */     GIR_EraseRootFromParent_Done,
     /*  711182 */   // Label 11200: @711182
     /*  711182 */   GIM_Try, /*On fail goto*//*Label 11201*/ GIMT_Encode4(711257), // Rule ID 11432 //
     /*  711187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  711190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  711195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  711198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  711201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  711204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  711207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711233 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  711233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  711236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711255 */     GIR_RootConstrainSelectedInstOperands,
     /*  711256 */     // GIR_Coverage, 11432,
     /*  711256 */     GIR_EraseRootFromParent_Done,
     /*  711257 */   // Label 11201: @711257
     /*  711257 */   GIM_Try, /*On fail goto*//*Label 11202*/ GIMT_Encode4(711332), // Rule ID 11435 //
     /*  711262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  711265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  711270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  711273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  711276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  711279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711308 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  711308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  711311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711330 */     GIR_RootConstrainSelectedInstOperands,
     /*  711331 */     // GIR_Coverage, 11435,
     /*  711331 */     GIR_EraseRootFromParent_Done,
     /*  711332 */   // Label 11202: @711332
     /*  711332 */   GIM_Try, /*On fail goto*//*Label 11203*/ GIMT_Encode4(711407), // Rule ID 11436 //
     /*  711337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  711340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  711345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  711348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  711351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  711354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711383 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  711383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  711386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711405 */     GIR_RootConstrainSelectedInstOperands,
     /*  711406 */     // GIR_Coverage, 11436,
     /*  711406 */     GIR_EraseRootFromParent_Done,
     /*  711407 */   // Label 11203: @711407
     /*  711407 */   GIM_Try, /*On fail goto*//*Label 11204*/ GIMT_Encode4(711482), // Rule ID 11439 //
     /*  711412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  711415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  711420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  711423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  711426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  711429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711458 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  711458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  711461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711480 */     GIR_RootConstrainSelectedInstOperands,
     /*  711481 */     // GIR_Coverage, 11439,
     /*  711481 */     GIR_EraseRootFromParent_Done,
     /*  711482 */   // Label 11204: @711482
     /*  711482 */   GIM_Try, /*On fail goto*//*Label 11205*/ GIMT_Encode4(711557), // Rule ID 11440 //
     /*  711487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  711490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  711495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  711498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  711501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  711504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711533 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  711533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  711536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711555 */     GIR_RootConstrainSelectedInstOperands,
     /*  711556 */     // GIR_Coverage, 11440,
     /*  711556 */     GIR_EraseRootFromParent_Done,
     /*  711557 */   // Label 11205: @711557
     /*  711557 */   GIM_Try, /*On fail goto*//*Label 11206*/ GIMT_Encode4(711632), // Rule ID 11443 //
     /*  711562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  711565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  711570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  711573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  711576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  711579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711608 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  711608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  711611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711630 */     GIR_RootConstrainSelectedInstOperands,
     /*  711631 */     // GIR_Coverage, 11443,
     /*  711631 */     GIR_EraseRootFromParent_Done,
     /*  711632 */   // Label 11206: @711632
     /*  711632 */   GIM_Try, /*On fail goto*//*Label 11207*/ GIMT_Encode4(711707), // Rule ID 11444 //
     /*  711637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  711640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  711645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  711648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  711651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  711654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711683 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  711683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  711686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711705 */     GIR_RootConstrainSelectedInstOperands,
     /*  711706 */     // GIR_Coverage, 11444,
     /*  711706 */     GIR_EraseRootFromParent_Done,
     /*  711707 */   // Label 11207: @711707
     /*  711707 */   GIM_Try, /*On fail goto*//*Label 11208*/ GIMT_Encode4(711782), // Rule ID 11447 //
     /*  711712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  711715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  711720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  711723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  711726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  711729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711758 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  711758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  711761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711780 */     GIR_RootConstrainSelectedInstOperands,
     /*  711781 */     // GIR_Coverage, 11447,
     /*  711781 */     GIR_EraseRootFromParent_Done,
     /*  711782 */   // Label 11208: @711782
     /*  711782 */   GIM_Try, /*On fail goto*//*Label 11209*/ GIMT_Encode4(711857), // Rule ID 11448 //
     /*  711787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  711790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  711795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  711798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  711801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  711804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711833 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11370:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  711833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  711836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711855 */     GIR_RootConstrainSelectedInstOperands,
     /*  711856 */     // GIR_Coverage, 11448,
     /*  711856 */     GIR_EraseRootFromParent_Done,
     /*  711857 */   // Label 11209: @711857
     /*  711857 */   GIM_Try, /*On fail goto*//*Label 11210*/ GIMT_Encode4(711932), // Rule ID 11451 //
     /*  711862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  711865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  711870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  711873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  711876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  711879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  711882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711908 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  711908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  711911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711930 */     GIR_RootConstrainSelectedInstOperands,
     /*  711931 */     // GIR_Coverage, 11451,
     /*  711931 */     GIR_EraseRootFromParent_Done,
     /*  711932 */   // Label 11210: @711932
     /*  711932 */   GIM_Try, /*On fail goto*//*Label 11211*/ GIMT_Encode4(712007), // Rule ID 11452 //
     /*  711937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  711940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  711945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  711948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  711951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  711954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  711957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711983 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  711983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  711986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712005 */     GIR_RootConstrainSelectedInstOperands,
     /*  712006 */     // GIR_Coverage, 11452,
     /*  712006 */     GIR_EraseRootFromParent_Done,
     /*  712007 */   // Label 11211: @712007
     /*  712007 */   GIM_Try, /*On fail goto*//*Label 11212*/ GIMT_Encode4(712082), // Rule ID 11455 //
     /*  712012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  712020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  712032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712058 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  712061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712080 */     GIR_RootConstrainSelectedInstOperands,
     /*  712081 */     // GIR_Coverage, 11455,
     /*  712081 */     GIR_EraseRootFromParent_Done,
     /*  712082 */   // Label 11212: @712082
     /*  712082 */   GIM_Try, /*On fail goto*//*Label 11213*/ GIMT_Encode4(712157), // Rule ID 11456 //
     /*  712087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  712095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  712107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712133 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  712136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712155 */     GIR_RootConstrainSelectedInstOperands,
     /*  712156 */     // GIR_Coverage, 11456,
     /*  712156 */     GIR_EraseRootFromParent_Done,
     /*  712157 */   // Label 11213: @712157
     /*  712157 */   GIM_Try, /*On fail goto*//*Label 11214*/ GIMT_Encode4(712232), // Rule ID 11459 //
     /*  712162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  712170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  712182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712208 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  712211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712230 */     GIR_RootConstrainSelectedInstOperands,
     /*  712231 */     // GIR_Coverage, 11459,
     /*  712231 */     GIR_EraseRootFromParent_Done,
     /*  712232 */   // Label 11214: @712232
     /*  712232 */   GIM_Try, /*On fail goto*//*Label 11215*/ GIMT_Encode4(712307), // Rule ID 11460 //
     /*  712237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  712245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  712257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712283 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  712286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712305 */     GIR_RootConstrainSelectedInstOperands,
     /*  712306 */     // GIR_Coverage, 11460,
     /*  712306 */     GIR_EraseRootFromParent_Done,
     /*  712307 */   // Label 11215: @712307
     /*  712307 */   GIM_Try, /*On fail goto*//*Label 11216*/ GIMT_Encode4(712382), // Rule ID 11463 //
     /*  712312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  712320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  712323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  712326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  712329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  712332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712358 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  712361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712380 */     GIR_RootConstrainSelectedInstOperands,
     /*  712381 */     // GIR_Coverage, 11463,
     /*  712381 */     GIR_EraseRootFromParent_Done,
     /*  712382 */   // Label 11216: @712382
     /*  712382 */   GIM_Try, /*On fail goto*//*Label 11217*/ GIMT_Encode4(712457), // Rule ID 11464 //
     /*  712387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  712395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  712398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  712401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  712404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  712407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712433 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  712436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712455 */     GIR_RootConstrainSelectedInstOperands,
     /*  712456 */     // GIR_Coverage, 11464,
     /*  712456 */     GIR_EraseRootFromParent_Done,
     /*  712457 */   // Label 11217: @712457
     /*  712457 */   GIM_Try, /*On fail goto*//*Label 11218*/ GIMT_Encode4(712532), // Rule ID 11467 //
     /*  712462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  712470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  712473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  712476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  712479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712508 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  712511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712530 */     GIR_RootConstrainSelectedInstOperands,
     /*  712531 */     // GIR_Coverage, 11467,
     /*  712531 */     GIR_EraseRootFromParent_Done,
     /*  712532 */   // Label 11218: @712532
     /*  712532 */   GIM_Try, /*On fail goto*//*Label 11219*/ GIMT_Encode4(712607), // Rule ID 11468 //
     /*  712537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  712545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  712548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  712551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  712554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712583 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  712586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712605 */     GIR_RootConstrainSelectedInstOperands,
     /*  712606 */     // GIR_Coverage, 11468,
     /*  712606 */     GIR_EraseRootFromParent_Done,
     /*  712607 */   // Label 11219: @712607
     /*  712607 */   GIM_Try, /*On fail goto*//*Label 11220*/ GIMT_Encode4(712682), // Rule ID 11471 //
     /*  712612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  712620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712658 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  712661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712680 */     GIR_RootConstrainSelectedInstOperands,
     /*  712681 */     // GIR_Coverage, 11471,
     /*  712681 */     GIR_EraseRootFromParent_Done,
     /*  712682 */   // Label 11220: @712682
     /*  712682 */   GIM_Try, /*On fail goto*//*Label 11221*/ GIMT_Encode4(712757), // Rule ID 11472 //
     /*  712687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  712695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712733 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11374:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  712736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712755 */     GIR_RootConstrainSelectedInstOperands,
     /*  712756 */     // GIR_Coverage, 11472,
     /*  712756 */     GIR_EraseRootFromParent_Done,
     /*  712757 */   // Label 11221: @712757
     /*  712757 */   GIM_Try, /*On fail goto*//*Label 11222*/ GIMT_Encode4(712832), // Rule ID 11475 //
     /*  712762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  712770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712808 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  712811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712830 */     GIR_RootConstrainSelectedInstOperands,
     /*  712831 */     // GIR_Coverage, 11475,
     /*  712831 */     GIR_EraseRootFromParent_Done,
     /*  712832 */   // Label 11222: @712832
     /*  712832 */   GIM_Try, /*On fail goto*//*Label 11223*/ GIMT_Encode4(712907), // Rule ID 11476 //
     /*  712837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  712845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712883 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11374:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  712886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712905 */     GIR_RootConstrainSelectedInstOperands,
     /*  712906 */     // GIR_Coverage, 11476,
     /*  712906 */     GIR_EraseRootFromParent_Done,
     /*  712907 */   // Label 11223: @712907
     /*  712907 */   GIM_Try, /*On fail goto*//*Label 11224*/ GIMT_Encode4(712982), // Rule ID 11479 //
     /*  712912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  712915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  712920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  712923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  712926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  712929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712958 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  712961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712980 */     GIR_RootConstrainSelectedInstOperands,
     /*  712981 */     // GIR_Coverage, 11479,
     /*  712981 */     GIR_EraseRootFromParent_Done,
     /*  712982 */   // Label 11224: @712982
     /*  712982 */   GIM_Try, /*On fail goto*//*Label 11225*/ GIMT_Encode4(713057), // Rule ID 11480 //
     /*  712987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  712990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  712995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  712998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  713001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  713004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713033 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11374:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  713036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713055 */     GIR_RootConstrainSelectedInstOperands,
     /*  713056 */     // GIR_Coverage, 11480,
     /*  713056 */     GIR_EraseRootFromParent_Done,
     /*  713057 */   // Label 11225: @713057
     /*  713057 */   GIM_Try, /*On fail goto*//*Label 11226*/ GIMT_Encode4(713132), // Rule ID 11483 //
     /*  713062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  713082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713108 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  713111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713130 */     GIR_RootConstrainSelectedInstOperands,
     /*  713131 */     // GIR_Coverage, 11483,
     /*  713131 */     GIR_EraseRootFromParent_Done,
     /*  713132 */   // Label 11226: @713132
     /*  713132 */   GIM_Try, /*On fail goto*//*Label 11227*/ GIMT_Encode4(713207), // Rule ID 11484 //
     /*  713137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  713157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713183 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  713186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713205 */     GIR_RootConstrainSelectedInstOperands,
     /*  713206 */     // GIR_Coverage, 11484,
     /*  713206 */     GIR_EraseRootFromParent_Done,
     /*  713207 */   // Label 11227: @713207
     /*  713207 */   GIM_Try, /*On fail goto*//*Label 11228*/ GIMT_Encode4(713282), // Rule ID 11487 //
     /*  713212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  713232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  713261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713280 */     GIR_RootConstrainSelectedInstOperands,
     /*  713281 */     // GIR_Coverage, 11487,
     /*  713281 */     GIR_EraseRootFromParent_Done,
     /*  713282 */   // Label 11228: @713282
     /*  713282 */   GIM_Try, /*On fail goto*//*Label 11229*/ GIMT_Encode4(713357), // Rule ID 11488 //
     /*  713287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  713307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713333 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  713336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713355 */     GIR_RootConstrainSelectedInstOperands,
     /*  713356 */     // GIR_Coverage, 11488,
     /*  713356 */     GIR_EraseRootFromParent_Done,
     /*  713357 */   // Label 11229: @713357
     /*  713357 */   GIM_Try, /*On fail goto*//*Label 11230*/ GIMT_Encode4(713432), // Rule ID 11491 //
     /*  713362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  713382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713408 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  713411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713430 */     GIR_RootConstrainSelectedInstOperands,
     /*  713431 */     // GIR_Coverage, 11491,
     /*  713431 */     GIR_EraseRootFromParent_Done,
     /*  713432 */   // Label 11230: @713432
     /*  713432 */   GIM_Try, /*On fail goto*//*Label 11231*/ GIMT_Encode4(713507), // Rule ID 11492 //
     /*  713437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  713457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713483 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  713486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713505 */     GIR_RootConstrainSelectedInstOperands,
     /*  713506 */     // GIR_Coverage, 11492,
     /*  713506 */     GIR_EraseRootFromParent_Done,
     /*  713507 */   // Label 11231: @713507
     /*  713507 */   GIM_Try, /*On fail goto*//*Label 11232*/ GIMT_Encode4(713582), // Rule ID 11495 //
     /*  713512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  713523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  713526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  713529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  713532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713558 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  713561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713580 */     GIR_RootConstrainSelectedInstOperands,
     /*  713581 */     // GIR_Coverage, 11495,
     /*  713581 */     GIR_EraseRootFromParent_Done,
     /*  713582 */   // Label 11232: @713582
     /*  713582 */   GIM_Try, /*On fail goto*//*Label 11233*/ GIMT_Encode4(713657), // Rule ID 11496 //
     /*  713587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  713598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  713601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  713604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  713607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713633 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  713636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713655 */     GIR_RootConstrainSelectedInstOperands,
     /*  713656 */     // GIR_Coverage, 11496,
     /*  713656 */     GIR_EraseRootFromParent_Done,
     /*  713657 */   // Label 11233: @713657
     /*  713657 */   GIM_Try, /*On fail goto*//*Label 11234*/ GIMT_Encode4(713732), // Rule ID 11499 //
     /*  713662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713708 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  713711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713730 */     GIR_RootConstrainSelectedInstOperands,
     /*  713731 */     // GIR_Coverage, 11499,
     /*  713731 */     GIR_EraseRootFromParent_Done,
     /*  713732 */   // Label 11234: @713732
     /*  713732 */   GIM_Try, /*On fail goto*//*Label 11235*/ GIMT_Encode4(713807), // Rule ID 11500 //
     /*  713737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713783 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  713786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713805 */     GIR_RootConstrainSelectedInstOperands,
     /*  713806 */     // GIR_Coverage, 11500,
     /*  713806 */     GIR_EraseRootFromParent_Done,
     /*  713807 */   // Label 11235: @713807
     /*  713807 */   GIM_Try, /*On fail goto*//*Label 11236*/ GIMT_Encode4(713882), // Rule ID 11503 //
     /*  713812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713858 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  713861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713880 */     GIR_RootConstrainSelectedInstOperands,
     /*  713881 */     // GIR_Coverage, 11503,
     /*  713881 */     GIR_EraseRootFromParent_Done,
     /*  713882 */   // Label 11236: @713882
     /*  713882 */   GIM_Try, /*On fail goto*//*Label 11237*/ GIMT_Encode4(713957), // Rule ID 11504 //
     /*  713887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  713890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  713898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  713901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  713904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713933 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  713936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713955 */     GIR_RootConstrainSelectedInstOperands,
     /*  713956 */     // GIR_Coverage, 11504,
     /*  713956 */     GIR_EraseRootFromParent_Done,
     /*  713957 */   // Label 11237: @713957
     /*  713957 */   GIM_Try, /*On fail goto*//*Label 11238*/ GIMT_Encode4(714032), // Rule ID 11507 //
     /*  713962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  713965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  713973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  713976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  713979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714008 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  714011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714030 */     GIR_RootConstrainSelectedInstOperands,
     /*  714031 */     // GIR_Coverage, 11507,
     /*  714031 */     GIR_EraseRootFromParent_Done,
     /*  714032 */   // Label 11238: @714032
     /*  714032 */   GIM_Try, /*On fail goto*//*Label 11239*/ GIMT_Encode4(714107), // Rule ID 11508 //
     /*  714037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  714048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  714051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  714054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714083 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  714086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714105 */     GIR_RootConstrainSelectedInstOperands,
     /*  714106 */     // GIR_Coverage, 11508,
     /*  714106 */     GIR_EraseRootFromParent_Done,
     /*  714107 */   // Label 11239: @714107
     /*  714107 */   GIM_Try, /*On fail goto*//*Label 11240*/ GIMT_Encode4(714182), // Rule ID 11511 //
     /*  714112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  714115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714158 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  714161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714180 */     GIR_RootConstrainSelectedInstOperands,
     /*  714181 */     // GIR_Coverage, 11511,
     /*  714181 */     GIR_EraseRootFromParent_Done,
     /*  714182 */   // Label 11240: @714182
     /*  714182 */   GIM_Try, /*On fail goto*//*Label 11241*/ GIMT_Encode4(714257), // Rule ID 11512 //
     /*  714187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  714190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714233 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  714236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714255 */     GIR_RootConstrainSelectedInstOperands,
     /*  714256 */     // GIR_Coverage, 11512,
     /*  714256 */     GIR_EraseRootFromParent_Done,
     /*  714257 */   // Label 11241: @714257
     /*  714257 */   GIM_Try, /*On fail goto*//*Label 11242*/ GIMT_Encode4(714332), // Rule ID 11515 //
     /*  714262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  714273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  714276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  714279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  714282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714308 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  714308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  714311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714330 */     GIR_RootConstrainSelectedInstOperands,
     /*  714331 */     // GIR_Coverage, 11515,
     /*  714331 */     GIR_EraseRootFromParent_Done,
     /*  714332 */   // Label 11242: @714332
     /*  714332 */   GIM_Try, /*On fail goto*//*Label 11243*/ GIMT_Encode4(714407), // Rule ID 11516 //
     /*  714337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  714348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  714351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  714354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  714357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714383 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  714383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  714386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714405 */     GIR_RootConstrainSelectedInstOperands,
     /*  714406 */     // GIR_Coverage, 11516,
     /*  714406 */     GIR_EraseRootFromParent_Done,
     /*  714407 */   // Label 11243: @714407
     /*  714407 */   GIM_Try, /*On fail goto*//*Label 11244*/ GIMT_Encode4(714482), // Rule ID 11519 //
     /*  714412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  714423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  714426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  714429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  714432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714458 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  714458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  714461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714480 */     GIR_RootConstrainSelectedInstOperands,
     /*  714481 */     // GIR_Coverage, 11519,
     /*  714481 */     GIR_EraseRootFromParent_Done,
     /*  714482 */   // Label 11244: @714482
     /*  714482 */   GIM_Try, /*On fail goto*//*Label 11245*/ GIMT_Encode4(714557), // Rule ID 11520 //
     /*  714487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  714498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  714501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  714504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  714507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714533 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  714533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  714536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714555 */     GIR_RootConstrainSelectedInstOperands,
     /*  714556 */     // GIR_Coverage, 11520,
     /*  714556 */     GIR_EraseRootFromParent_Done,
     /*  714557 */   // Label 11245: @714557
     /*  714557 */   GIM_Try, /*On fail goto*//*Label 11246*/ GIMT_Encode4(714632), // Rule ID 11523 //
     /*  714562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  714573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  714576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  714579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  714582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714608 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  714608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  714611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714630 */     GIR_RootConstrainSelectedInstOperands,
     /*  714631 */     // GIR_Coverage, 11523,
     /*  714631 */     GIR_EraseRootFromParent_Done,
     /*  714632 */   // Label 11246: @714632
     /*  714632 */   GIM_Try, /*On fail goto*//*Label 11247*/ GIMT_Encode4(714707), // Rule ID 11524 //
     /*  714637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  714648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  714651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  714654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  714657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714683 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  714683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  714686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714705 */     GIR_RootConstrainSelectedInstOperands,
     /*  714706 */     // GIR_Coverage, 11524,
     /*  714706 */     GIR_EraseRootFromParent_Done,
     /*  714707 */   // Label 11247: @714707
     /*  714707 */   GIM_Try, /*On fail goto*//*Label 11248*/ GIMT_Encode4(714782), // Rule ID 11527 //
     /*  714712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  714723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  714726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  714729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  714732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714758 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  714758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  714761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714780 */     GIR_RootConstrainSelectedInstOperands,
     /*  714781 */     // GIR_Coverage, 11527,
     /*  714781 */     GIR_EraseRootFromParent_Done,
     /*  714782 */   // Label 11248: @714782
     /*  714782 */   GIM_Try, /*On fail goto*//*Label 11249*/ GIMT_Encode4(714857), // Rule ID 11528 //
     /*  714787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  714798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  714801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  714804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  714807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714833 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  714833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  714836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714855 */     GIR_RootConstrainSelectedInstOperands,
     /*  714856 */     // GIR_Coverage, 11528,
     /*  714856 */     GIR_EraseRootFromParent_Done,
     /*  714857 */   // Label 11249: @714857
     /*  714857 */   GIM_Try, /*On fail goto*//*Label 11250*/ GIMT_Encode4(714932), // Rule ID 11531 //
     /*  714862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  714873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  714876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  714879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  714882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714908 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  714908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  714911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714930 */     GIR_RootConstrainSelectedInstOperands,
     /*  714931 */     // GIR_Coverage, 11531,
     /*  714931 */     GIR_EraseRootFromParent_Done,
     /*  714932 */   // Label 11250: @714932
     /*  714932 */   GIM_Try, /*On fail goto*//*Label 11251*/ GIMT_Encode4(715007), // Rule ID 11532 //
     /*  714937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  714948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  714951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  714954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  714957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714983 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  714983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  714986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715005 */     GIR_RootConstrainSelectedInstOperands,
     /*  715006 */     // GIR_Coverage, 11532,
     /*  715006 */     GIR_EraseRootFromParent_Done,
     /*  715007 */   // Label 11251: @715007
     /*  715007 */   GIM_Try, /*On fail goto*//*Label 11252*/ GIMT_Encode4(715082), // Rule ID 11535 //
     /*  715012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  715023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  715026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  715029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  715032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715058 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  715058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  715061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715080 */     GIR_RootConstrainSelectedInstOperands,
     /*  715081 */     // GIR_Coverage, 11535,
     /*  715081 */     GIR_EraseRootFromParent_Done,
     /*  715082 */   // Label 11252: @715082
     /*  715082 */   GIM_Try, /*On fail goto*//*Label 11253*/ GIMT_Encode4(715157), // Rule ID 11536 //
     /*  715087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  715098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  715101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  715104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  715107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715133 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  715133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  715136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715155 */     GIR_RootConstrainSelectedInstOperands,
     /*  715156 */     // GIR_Coverage, 11536,
     /*  715156 */     GIR_EraseRootFromParent_Done,
     /*  715157 */   // Label 11253: @715157
     /*  715157 */   GIM_Try, /*On fail goto*//*Label 11254*/ GIMT_Encode4(715232), // Rule ID 11539 //
     /*  715162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  715173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  715176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  715179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  715182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  715211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715230 */     GIR_RootConstrainSelectedInstOperands,
     /*  715231 */     // GIR_Coverage, 11539,
     /*  715231 */     GIR_EraseRootFromParent_Done,
     /*  715232 */   // Label 11254: @715232
     /*  715232 */   GIM_Try, /*On fail goto*//*Label 11255*/ GIMT_Encode4(715307), // Rule ID 11540 //
     /*  715237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  715248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  715251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  715254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  715257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715283 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  715283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  715286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715305 */     GIR_RootConstrainSelectedInstOperands,
     /*  715306 */     // GIR_Coverage, 11540,
     /*  715306 */     GIR_EraseRootFromParent_Done,
     /*  715307 */   // Label 11255: @715307
     /*  715307 */   GIM_Try, /*On fail goto*//*Label 11256*/ GIMT_Encode4(715382), // Rule ID 11543 //
     /*  715312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  715323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  715326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  715329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  715332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715358 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  715358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  715361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715380 */     GIR_RootConstrainSelectedInstOperands,
     /*  715381 */     // GIR_Coverage, 11543,
     /*  715381 */     GIR_EraseRootFromParent_Done,
     /*  715382 */   // Label 11256: @715382
     /*  715382 */   GIM_Try, /*On fail goto*//*Label 11257*/ GIMT_Encode4(715457), // Rule ID 11544 //
     /*  715387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  715398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  715401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  715404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  715407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715433 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  715433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  715436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715455 */     GIR_RootConstrainSelectedInstOperands,
     /*  715456 */     // GIR_Coverage, 11544,
     /*  715456 */     GIR_EraseRootFromParent_Done,
     /*  715457 */   // Label 11257: @715457
     /*  715457 */   GIM_Try, /*On fail goto*//*Label 11258*/ GIMT_Encode4(715532), // Rule ID 11547 //
     /*  715462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  715473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  715476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  715479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  715482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  715508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  715511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715530 */     GIR_RootConstrainSelectedInstOperands,
     /*  715531 */     // GIR_Coverage, 11547,
     /*  715531 */     GIR_EraseRootFromParent_Done,
     /*  715532 */   // Label 11258: @715532
     /*  715532 */   GIM_Try, /*On fail goto*//*Label 11259*/ GIMT_Encode4(715607), // Rule ID 11548 //
     /*  715537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  715548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  715551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  715554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  715557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  715583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  715586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715605 */     GIR_RootConstrainSelectedInstOperands,
     /*  715606 */     // GIR_Coverage, 11548,
     /*  715606 */     GIR_EraseRootFromParent_Done,
     /*  715607 */   // Label 11259: @715607
     /*  715607 */   GIM_Try, /*On fail goto*//*Label 11260*/ GIMT_Encode4(715682), // Rule ID 11551 //
     /*  715612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  715615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  715623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  715626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  715629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  715632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715658 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  715661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715680 */     GIR_RootConstrainSelectedInstOperands,
     /*  715681 */     // GIR_Coverage, 11551,
     /*  715681 */     GIR_EraseRootFromParent_Done,
     /*  715682 */   // Label 11260: @715682
     /*  715682 */   GIM_Try, /*On fail goto*//*Label 11261*/ GIMT_Encode4(715757), // Rule ID 11552 //
     /*  715687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  715690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  715698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  715701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  715704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  715707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715733 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  715736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715755 */     GIR_RootConstrainSelectedInstOperands,
     /*  715756 */     // GIR_Coverage, 11552,
     /*  715756 */     GIR_EraseRootFromParent_Done,
     /*  715757 */   // Label 11261: @715757
     /*  715757 */   GIM_Try, /*On fail goto*//*Label 11262*/ GIMT_Encode4(715832), // Rule ID 11555 //
     /*  715762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  715773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  715776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  715779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  715782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715808 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  715811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715830 */     GIR_RootConstrainSelectedInstOperands,
     /*  715831 */     // GIR_Coverage, 11555,
     /*  715831 */     GIR_EraseRootFromParent_Done,
     /*  715832 */   // Label 11262: @715832
     /*  715832 */   GIM_Try, /*On fail goto*//*Label 11263*/ GIMT_Encode4(715907), // Rule ID 11556 //
     /*  715837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  715848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  715851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  715854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  715857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715883 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  715883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  715886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715905 */     GIR_RootConstrainSelectedInstOperands,
     /*  715906 */     // GIR_Coverage, 11556,
     /*  715906 */     GIR_EraseRootFromParent_Done,
     /*  715907 */   // Label 11263: @715907
     /*  715907 */   GIM_Try, /*On fail goto*//*Label 11264*/ GIMT_Encode4(715982), // Rule ID 11559 //
     /*  715912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  715923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  715926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  715929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  715932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715958 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  715961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715980 */     GIR_RootConstrainSelectedInstOperands,
     /*  715981 */     // GIR_Coverage, 11559,
     /*  715981 */     GIR_EraseRootFromParent_Done,
     /*  715982 */   // Label 11264: @715982
     /*  715982 */   GIM_Try, /*On fail goto*//*Label 11265*/ GIMT_Encode4(716057), // Rule ID 11560 //
     /*  715987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  715998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  716001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  716004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  716007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716033 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  716036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716055 */     GIR_RootConstrainSelectedInstOperands,
     /*  716056 */     // GIR_Coverage, 11560,
     /*  716056 */     GIR_EraseRootFromParent_Done,
     /*  716057 */   // Label 11265: @716057
     /*  716057 */   GIM_Try, /*On fail goto*//*Label 11266*/ GIMT_Encode4(716132), // Rule ID 11563 //
     /*  716062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  716073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  716076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  716079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  716082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716108 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  716111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716130 */     GIR_RootConstrainSelectedInstOperands,
     /*  716131 */     // GIR_Coverage, 11563,
     /*  716131 */     GIR_EraseRootFromParent_Done,
     /*  716132 */   // Label 11266: @716132
     /*  716132 */   GIM_Try, /*On fail goto*//*Label 11267*/ GIMT_Encode4(716207), // Rule ID 11564 //
     /*  716137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  716148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  716151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  716154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  716157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716183 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  716186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716205 */     GIR_RootConstrainSelectedInstOperands,
     /*  716206 */     // GIR_Coverage, 11564,
     /*  716206 */     GIR_EraseRootFromParent_Done,
     /*  716207 */   // Label 11267: @716207
     /*  716207 */   GIM_Try, /*On fail goto*//*Label 11268*/ GIMT_Encode4(716282), // Rule ID 11567 //
     /*  716212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  716223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  716226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  716229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  716232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716258 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  716261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716280 */     GIR_RootConstrainSelectedInstOperands,
     /*  716281 */     // GIR_Coverage, 11567,
     /*  716281 */     GIR_EraseRootFromParent_Done,
     /*  716282 */   // Label 11268: @716282
     /*  716282 */   GIM_Try, /*On fail goto*//*Label 11269*/ GIMT_Encode4(716357), // Rule ID 11568 //
     /*  716287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  716298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  716301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  716304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  716307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716333 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  716336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716355 */     GIR_RootConstrainSelectedInstOperands,
     /*  716356 */     // GIR_Coverage, 11568,
     /*  716356 */     GIR_EraseRootFromParent_Done,
     /*  716357 */   // Label 11269: @716357
     /*  716357 */   GIM_Try, /*On fail goto*//*Label 11270*/ GIMT_Encode4(716432), // Rule ID 11571 //
     /*  716362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  716373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  716376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  716379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  716382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716408 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  716411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716430 */     GIR_RootConstrainSelectedInstOperands,
     /*  716431 */     // GIR_Coverage, 11571,
     /*  716431 */     GIR_EraseRootFromParent_Done,
     /*  716432 */   // Label 11270: @716432
     /*  716432 */   GIM_Try, /*On fail goto*//*Label 11271*/ GIMT_Encode4(716507), // Rule ID 11572 //
     /*  716437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  716448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  716451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  716454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  716457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716483 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  716486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716505 */     GIR_RootConstrainSelectedInstOperands,
     /*  716506 */     // GIR_Coverage, 11572,
     /*  716506 */     GIR_EraseRootFromParent_Done,
     /*  716507 */   // Label 11271: @716507
     /*  716507 */   GIM_Try, /*On fail goto*//*Label 11272*/ GIMT_Encode4(716582), // Rule ID 11575 //
     /*  716512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  716523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  716526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  716529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  716532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716558 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  716561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716580 */     GIR_RootConstrainSelectedInstOperands,
     /*  716581 */     // GIR_Coverage, 11575,
     /*  716581 */     GIR_EraseRootFromParent_Done,
     /*  716582 */   // Label 11272: @716582
     /*  716582 */   GIM_Try, /*On fail goto*//*Label 11273*/ GIMT_Encode4(716657), // Rule ID 11576 //
     /*  716587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  716598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  716601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  716604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  716607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716633 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  716636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716655 */     GIR_RootConstrainSelectedInstOperands,
     /*  716656 */     // GIR_Coverage, 11576,
     /*  716656 */     GIR_EraseRootFromParent_Done,
     /*  716657 */   // Label 11273: @716657
     /*  716657 */   GIM_Try, /*On fail goto*//*Label 11274*/ GIMT_Encode4(716732), // Rule ID 11579 //
     /*  716662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  716673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  716676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  716679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  716682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  716711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716730 */     GIR_RootConstrainSelectedInstOperands,
     /*  716731 */     // GIR_Coverage, 11579,
     /*  716731 */     GIR_EraseRootFromParent_Done,
     /*  716732 */   // Label 11274: @716732
     /*  716732 */   GIM_Try, /*On fail goto*//*Label 11275*/ GIMT_Encode4(716807), // Rule ID 11580 //
     /*  716737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  716748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  716751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  716754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  716757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716783 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  716786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716805 */     GIR_RootConstrainSelectedInstOperands,
     /*  716806 */     // GIR_Coverage, 11580,
     /*  716806 */     GIR_EraseRootFromParent_Done,
     /*  716807 */   // Label 11275: @716807
     /*  716807 */   GIM_Try, /*On fail goto*//*Label 11276*/ GIMT_Encode4(716882), // Rule ID 11583 //
     /*  716812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  716823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  716826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  716829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  716832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716858 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  716861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716880 */     GIR_RootConstrainSelectedInstOperands,
     /*  716881 */     // GIR_Coverage, 11583,
     /*  716881 */     GIR_EraseRootFromParent_Done,
     /*  716882 */   // Label 11276: @716882
     /*  716882 */   GIM_Try, /*On fail goto*//*Label 11277*/ GIMT_Encode4(716957), // Rule ID 11584 //
     /*  716887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  716898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  716901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  716904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  716907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716933 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  716936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716955 */     GIR_RootConstrainSelectedInstOperands,
     /*  716956 */     // GIR_Coverage, 11584,
     /*  716956 */     GIR_EraseRootFromParent_Done,
     /*  716957 */   // Label 11277: @716957
     /*  716957 */   GIM_Try, /*On fail goto*//*Label 11278*/ GIMT_Encode4(717032), // Rule ID 11587 //
     /*  716962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  716973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  716976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  716979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  716982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717008 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  717008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  717011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717030 */     GIR_RootConstrainSelectedInstOperands,
     /*  717031 */     // GIR_Coverage, 11587,
     /*  717031 */     GIR_EraseRootFromParent_Done,
     /*  717032 */   // Label 11278: @717032
     /*  717032 */   GIM_Try, /*On fail goto*//*Label 11279*/ GIMT_Encode4(717107), // Rule ID 11588 //
     /*  717037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  717048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  717051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  717054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  717057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717083 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  717083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  717086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717105 */     GIR_RootConstrainSelectedInstOperands,
     /*  717106 */     // GIR_Coverage, 11588,
     /*  717106 */     GIR_EraseRootFromParent_Done,
     /*  717107 */   // Label 11279: @717107
     /*  717107 */   GIM_Try, /*On fail goto*//*Label 11280*/ GIMT_Encode4(717182), // Rule ID 11591 //
     /*  717112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  717115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  717123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  717126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  717129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  717132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717158 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  717161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717180 */     GIR_RootConstrainSelectedInstOperands,
     /*  717181 */     // GIR_Coverage, 11591,
     /*  717181 */     GIR_EraseRootFromParent_Done,
     /*  717182 */   // Label 11280: @717182
     /*  717182 */   GIM_Try, /*On fail goto*//*Label 11281*/ GIMT_Encode4(717257), // Rule ID 11592 //
     /*  717187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  717190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  717198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  717201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  717204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  717207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717233 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  717236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717255 */     GIR_RootConstrainSelectedInstOperands,
     /*  717256 */     // GIR_Coverage, 11592,
     /*  717256 */     GIR_EraseRootFromParent_Done,
     /*  717257 */   // Label 11281: @717257
     /*  717257 */   GIM_Try, /*On fail goto*//*Label 11282*/ GIMT_Encode4(717332), // Rule ID 11595 //
     /*  717262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  717265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  717273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  717276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  717279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  717282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717308 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  717311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717330 */     GIR_RootConstrainSelectedInstOperands,
     /*  717331 */     // GIR_Coverage, 11595,
     /*  717331 */     GIR_EraseRootFromParent_Done,
     /*  717332 */   // Label 11282: @717332
     /*  717332 */   GIM_Try, /*On fail goto*//*Label 11283*/ GIMT_Encode4(717407), // Rule ID 11596 //
     /*  717337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  717340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  717348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  717351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  717354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  717357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717383 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  717386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717405 */     GIR_RootConstrainSelectedInstOperands,
     /*  717406 */     // GIR_Coverage, 11596,
     /*  717406 */     GIR_EraseRootFromParent_Done,
     /*  717407 */   // Label 11283: @717407
     /*  717407 */   GIM_Try, /*On fail goto*//*Label 11284*/ GIMT_Encode4(717482), // Rule ID 11599 //
     /*  717412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  717415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  717423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  717426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  717429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  717432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717458 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  717461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717480 */     GIR_RootConstrainSelectedInstOperands,
     /*  717481 */     // GIR_Coverage, 11599,
     /*  717481 */     GIR_EraseRootFromParent_Done,
     /*  717482 */   // Label 11284: @717482
     /*  717482 */   GIM_Try, /*On fail goto*//*Label 11285*/ GIMT_Encode4(717557), // Rule ID 11600 //
     /*  717487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  717490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  717498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  717501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  717504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  717507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717533 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  717536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717555 */     GIR_RootConstrainSelectedInstOperands,
     /*  717556 */     // GIR_Coverage, 11600,
     /*  717556 */     GIR_EraseRootFromParent_Done,
     /*  717557 */   // Label 11285: @717557
     /*  717557 */   GIM_Try, /*On fail goto*//*Label 11286*/ GIMT_Encode4(717632), // Rule ID 11603 //
     /*  717562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  717573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  717576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  717579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  717582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717608 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  717611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717630 */     GIR_RootConstrainSelectedInstOperands,
     /*  717631 */     // GIR_Coverage, 11603,
     /*  717631 */     GIR_EraseRootFromParent_Done,
     /*  717632 */   // Label 11286: @717632
     /*  717632 */   GIM_Try, /*On fail goto*//*Label 11287*/ GIMT_Encode4(717707), // Rule ID 11604 //
     /*  717637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  717648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  717651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  717654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  717657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717683 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  717686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717705 */     GIR_RootConstrainSelectedInstOperands,
     /*  717706 */     // GIR_Coverage, 11604,
     /*  717706 */     GIR_EraseRootFromParent_Done,
     /*  717707 */   // Label 11287: @717707
     /*  717707 */   GIM_Try, /*On fail goto*//*Label 11288*/ GIMT_Encode4(717782), // Rule ID 11607 //
     /*  717712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  717723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  717726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  717729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  717732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717758 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  717761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717780 */     GIR_RootConstrainSelectedInstOperands,
     /*  717781 */     // GIR_Coverage, 11607,
     /*  717781 */     GIR_EraseRootFromParent_Done,
     /*  717782 */   // Label 11288: @717782
     /*  717782 */   GIM_Try, /*On fail goto*//*Label 11289*/ GIMT_Encode4(717857), // Rule ID 11608 //
     /*  717787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  717798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  717801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  717804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  717807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717833 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  717836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717855 */     GIR_RootConstrainSelectedInstOperands,
     /*  717856 */     // GIR_Coverage, 11608,
     /*  717856 */     GIR_EraseRootFromParent_Done,
     /*  717857 */   // Label 11289: @717857
     /*  717857 */   GIM_Try, /*On fail goto*//*Label 11290*/ GIMT_Encode4(717932), // Rule ID 11611 //
     /*  717862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  717873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  717876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  717879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  717882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717908 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  717911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717930 */     GIR_RootConstrainSelectedInstOperands,
     /*  717931 */     // GIR_Coverage, 11611,
     /*  717931 */     GIR_EraseRootFromParent_Done,
     /*  717932 */   // Label 11290: @717932
     /*  717932 */   GIM_Try, /*On fail goto*//*Label 11291*/ GIMT_Encode4(718007), // Rule ID 11612 //
     /*  717937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  717945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  717948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  717951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  717954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  717957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717983 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  717986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718005 */     GIR_RootConstrainSelectedInstOperands,
     /*  718006 */     // GIR_Coverage, 11612,
     /*  718006 */     GIR_EraseRootFromParent_Done,
     /*  718007 */   // Label 11291: @718007
     /*  718007 */   GIM_Try, /*On fail goto*//*Label 11292*/ GIMT_Encode4(718082), // Rule ID 11615 //
     /*  718012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  718023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  718026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  718029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718058 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  718058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  718061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718080 */     GIR_RootConstrainSelectedInstOperands,
     /*  718081 */     // GIR_Coverage, 11615,
     /*  718081 */     GIR_EraseRootFromParent_Done,
     /*  718082 */   // Label 11292: @718082
     /*  718082 */   GIM_Try, /*On fail goto*//*Label 11293*/ GIMT_Encode4(718157), // Rule ID 11616 //
     /*  718087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  718098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  718101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  718104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  718107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718133 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  718133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  718136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718155 */     GIR_RootConstrainSelectedInstOperands,
     /*  718156 */     // GIR_Coverage, 11616,
     /*  718156 */     GIR_EraseRootFromParent_Done,
     /*  718157 */   // Label 11293: @718157
     /*  718157 */   GIM_Try, /*On fail goto*//*Label 11294*/ GIMT_Encode4(718232), // Rule ID 11619 //
     /*  718162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  718173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  718176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  718179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718208 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  718208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  718211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718230 */     GIR_RootConstrainSelectedInstOperands,
     /*  718231 */     // GIR_Coverage, 11619,
     /*  718231 */     GIR_EraseRootFromParent_Done,
     /*  718232 */   // Label 11294: @718232
     /*  718232 */   GIM_Try, /*On fail goto*//*Label 11295*/ GIMT_Encode4(718307), // Rule ID 11620 //
     /*  718237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  718248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  718251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  718254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  718257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718283 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  718283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  718286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718305 */     GIR_RootConstrainSelectedInstOperands,
     /*  718306 */     // GIR_Coverage, 11620,
     /*  718306 */     GIR_EraseRootFromParent_Done,
     /*  718307 */   // Label 11295: @718307
     /*  718307 */   GIM_Try, /*On fail goto*//*Label 11296*/ GIMT_Encode4(718382), // Rule ID 11623 //
     /*  718312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  718323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  718326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  718329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718358 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  718358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  718361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718380 */     GIR_RootConstrainSelectedInstOperands,
     /*  718381 */     // GIR_Coverage, 11623,
     /*  718381 */     GIR_EraseRootFromParent_Done,
     /*  718382 */   // Label 11296: @718382
     /*  718382 */   GIM_Try, /*On fail goto*//*Label 11297*/ GIMT_Encode4(718457), // Rule ID 11624 //
     /*  718387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  718398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  718401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  718404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  718407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718433 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  718433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  718436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718455 */     GIR_RootConstrainSelectedInstOperands,
     /*  718456 */     // GIR_Coverage, 11624,
     /*  718456 */     GIR_EraseRootFromParent_Done,
     /*  718457 */   // Label 11297: @718457
     /*  718457 */   GIM_Try, /*On fail goto*//*Label 11298*/ GIMT_Encode4(718532), // Rule ID 11627 //
     /*  718462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  718473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  718476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  718479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  718508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  718511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718530 */     GIR_RootConstrainSelectedInstOperands,
     /*  718531 */     // GIR_Coverage, 11627,
     /*  718531 */     GIR_EraseRootFromParent_Done,
     /*  718532 */   // Label 11298: @718532
     /*  718532 */   GIM_Try, /*On fail goto*//*Label 11299*/ GIMT_Encode4(718607), // Rule ID 11628 //
     /*  718537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  718548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  718551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  718554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  718557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718583 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11082:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  718583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  718586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718605 */     GIR_RootConstrainSelectedInstOperands,
     /*  718606 */     // GIR_Coverage, 11628,
     /*  718606 */     GIR_EraseRootFromParent_Done,
     /*  718607 */   // Label 11299: @718607
     /*  718607 */   GIM_Try, /*On fail goto*//*Label 11300*/ GIMT_Encode4(718682), // Rule ID 11631 //
     /*  718612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  718623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  718626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  718629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718658 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  718658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  718661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718680 */     GIR_RootConstrainSelectedInstOperands,
     /*  718681 */     // GIR_Coverage, 11631,
     /*  718681 */     GIR_EraseRootFromParent_Done,
     /*  718682 */   // Label 11300: @718682
     /*  718682 */   GIM_Try, /*On fail goto*//*Label 11301*/ GIMT_Encode4(718757), // Rule ID 11632 //
     /*  718687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  718698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  718701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  718704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  718707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718733 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  718733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  718736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718755 */     GIR_RootConstrainSelectedInstOperands,
     /*  718756 */     // GIR_Coverage, 11632,
     /*  718756 */     GIR_EraseRootFromParent_Done,
     /*  718757 */   // Label 11301: @718757
     /*  718757 */   GIM_Try, /*On fail goto*//*Label 11302*/ GIMT_Encode4(718832), // Rule ID 11635 //
     /*  718762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  718773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  718776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  718779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  718808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  718811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718830 */     GIR_RootConstrainSelectedInstOperands,
     /*  718831 */     // GIR_Coverage, 11635,
     /*  718831 */     GIR_EraseRootFromParent_Done,
     /*  718832 */   // Label 11302: @718832
     /*  718832 */   GIM_Try, /*On fail goto*//*Label 11303*/ GIMT_Encode4(718907), // Rule ID 11636 //
     /*  718837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  718848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  718851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  718854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  718857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  718883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  718886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718905 */     GIR_RootConstrainSelectedInstOperands,
     /*  718906 */     // GIR_Coverage, 11636,
     /*  718906 */     GIR_EraseRootFromParent_Done,
     /*  718907 */   // Label 11303: @718907
     /*  718907 */   GIM_Try, /*On fail goto*//*Label 11304*/ GIMT_Encode4(718982), // Rule ID 11639 //
     /*  718912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  718915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  718923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  718926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  718929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  718961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718980 */     GIR_RootConstrainSelectedInstOperands,
     /*  718981 */     // GIR_Coverage, 11639,
     /*  718981 */     GIR_EraseRootFromParent_Done,
     /*  718982 */   // Label 11304: @718982
     /*  718982 */   GIM_Try, /*On fail goto*//*Label 11305*/ GIMT_Encode4(719057), // Rule ID 11640 //
     /*  718987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  718990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  718995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  718998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  719001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  719004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719033 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  719036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719055 */     GIR_RootConstrainSelectedInstOperands,
     /*  719056 */     // GIR_Coverage, 11640,
     /*  719056 */     GIR_EraseRootFromParent_Done,
     /*  719057 */   // Label 11305: @719057
     /*  719057 */   GIM_Try, /*On fail goto*//*Label 11306*/ GIMT_Encode4(719132), // Rule ID 11643 //
     /*  719062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  719073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  719076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  719079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719108 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  719108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  719111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719130 */     GIR_RootConstrainSelectedInstOperands,
     /*  719131 */     // GIR_Coverage, 11643,
     /*  719131 */     GIR_EraseRootFromParent_Done,
     /*  719132 */   // Label 11306: @719132
     /*  719132 */   GIM_Try, /*On fail goto*//*Label 11307*/ GIMT_Encode4(719207), // Rule ID 11644 //
     /*  719137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  719148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  719151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  719154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719183 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  719186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719205 */     GIR_RootConstrainSelectedInstOperands,
     /*  719206 */     // GIR_Coverage, 11644,
     /*  719206 */     GIR_EraseRootFromParent_Done,
     /*  719207 */   // Label 11307: @719207
     /*  719207 */   GIM_Try, /*On fail goto*//*Label 11308*/ GIMT_Encode4(719282), // Rule ID 11647 //
     /*  719212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  719223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  719226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  719229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719258 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  719258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  719261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719280 */     GIR_RootConstrainSelectedInstOperands,
     /*  719281 */     // GIR_Coverage, 11647,
     /*  719281 */     GIR_EraseRootFromParent_Done,
     /*  719282 */   // Label 11308: @719282
     /*  719282 */   GIM_Try, /*On fail goto*//*Label 11309*/ GIMT_Encode4(719357), // Rule ID 11648 //
     /*  719287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  719298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  719301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  719304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719333 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  719336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719355 */     GIR_RootConstrainSelectedInstOperands,
     /*  719356 */     // GIR_Coverage, 11648,
     /*  719356 */     GIR_EraseRootFromParent_Done,
     /*  719357 */   // Label 11309: @719357
     /*  719357 */   GIM_Try, /*On fail goto*//*Label 11310*/ GIMT_Encode4(719432), // Rule ID 11651 //
     /*  719362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  719373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  719376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  719379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719408 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  719408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  719411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719430 */     GIR_RootConstrainSelectedInstOperands,
     /*  719431 */     // GIR_Coverage, 11651,
     /*  719431 */     GIR_EraseRootFromParent_Done,
     /*  719432 */   // Label 11310: @719432
     /*  719432 */   GIM_Try, /*On fail goto*//*Label 11311*/ GIMT_Encode4(719507), // Rule ID 11652 //
     /*  719437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  719448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  719451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  719454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719483 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  719486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719505 */     GIR_RootConstrainSelectedInstOperands,
     /*  719506 */     // GIR_Coverage, 11652,
     /*  719506 */     GIR_EraseRootFromParent_Done,
     /*  719507 */   // Label 11311: @719507
     /*  719507 */   GIM_Try, /*On fail goto*//*Label 11312*/ GIMT_Encode4(719582), // Rule ID 11655 //
     /*  719512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  719523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  719526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  719529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719558 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  719558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  719561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719580 */     GIR_RootConstrainSelectedInstOperands,
     /*  719581 */     // GIR_Coverage, 11655,
     /*  719581 */     GIR_EraseRootFromParent_Done,
     /*  719582 */   // Label 11312: @719582
     /*  719582 */   GIM_Try, /*On fail goto*//*Label 11313*/ GIMT_Encode4(719657), // Rule ID 11656 //
     /*  719587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  719598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  719601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  719604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719633 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  719633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  719636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719655 */     GIR_RootConstrainSelectedInstOperands,
     /*  719656 */     // GIR_Coverage, 11656,
     /*  719656 */     GIR_EraseRootFromParent_Done,
     /*  719657 */   // Label 11313: @719657
     /*  719657 */   GIM_Try, /*On fail goto*//*Label 11314*/ GIMT_Encode4(719732), // Rule ID 11659 //
     /*  719662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  719673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  719676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  719679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719708 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  719708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  719711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719730 */     GIR_RootConstrainSelectedInstOperands,
     /*  719731 */     // GIR_Coverage, 11659,
     /*  719731 */     GIR_EraseRootFromParent_Done,
     /*  719732 */   // Label 11314: @719732
     /*  719732 */   GIM_Try, /*On fail goto*//*Label 11315*/ GIMT_Encode4(719807), // Rule ID 11660 //
     /*  719737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  719748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  719751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  719754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719783 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  719783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  719786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719805 */     GIR_RootConstrainSelectedInstOperands,
     /*  719806 */     // GIR_Coverage, 11660,
     /*  719806 */     GIR_EraseRootFromParent_Done,
     /*  719807 */   // Label 11315: @719807
     /*  719807 */   GIM_Try, /*On fail goto*//*Label 11316*/ GIMT_Encode4(719882), // Rule ID 11663 //
     /*  719812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  719823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  719826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  719829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719858 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  719858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  719861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719880 */     GIR_RootConstrainSelectedInstOperands,
     /*  719881 */     // GIR_Coverage, 11663,
     /*  719881 */     GIR_EraseRootFromParent_Done,
     /*  719882 */   // Label 11316: @719882
     /*  719882 */   GIM_Try, /*On fail goto*//*Label 11317*/ GIMT_Encode4(719957), // Rule ID 11664 //
     /*  719887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  719898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  719901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  719904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719933 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  719933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  719936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719955 */     GIR_RootConstrainSelectedInstOperands,
     /*  719956 */     // GIR_Coverage, 11664,
     /*  719956 */     GIR_EraseRootFromParent_Done,
     /*  719957 */   // Label 11317: @719957
     /*  719957 */   GIM_Try, /*On fail goto*//*Label 11318*/ GIMT_Encode4(720032), // Rule ID 11667 //
     /*  719962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  719970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  719973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  719976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  719979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720008 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  720008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  720011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720030 */     GIR_RootConstrainSelectedInstOperands,
     /*  720031 */     // GIR_Coverage, 11667,
     /*  720031 */     GIR_EraseRootFromParent_Done,
     /*  720032 */   // Label 11318: @720032
     /*  720032 */   GIM_Try, /*On fail goto*//*Label 11319*/ GIMT_Encode4(720107), // Rule ID 11668 //
     /*  720037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  720048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  720051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  720054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720083 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  720083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  720086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720105 */     GIR_RootConstrainSelectedInstOperands,
     /*  720106 */     // GIR_Coverage, 11668,
     /*  720106 */     GIR_EraseRootFromParent_Done,
     /*  720107 */   // Label 11319: @720107
     /*  720107 */   GIM_Try, /*On fail goto*//*Label 11320*/ GIMT_Encode4(720182), // Rule ID 11671 //
     /*  720112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  720123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  720126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  720129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720158 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  720158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  720161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720180 */     GIR_RootConstrainSelectedInstOperands,
     /*  720181 */     // GIR_Coverage, 11671,
     /*  720181 */     GIR_EraseRootFromParent_Done,
     /*  720182 */   // Label 11320: @720182
     /*  720182 */   GIM_Try, /*On fail goto*//*Label 11321*/ GIMT_Encode4(720257), // Rule ID 11672 //
     /*  720187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  720198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  720201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  720204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720233 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  720233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  720236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720255 */     GIR_RootConstrainSelectedInstOperands,
     /*  720256 */     // GIR_Coverage, 11672,
     /*  720256 */     GIR_EraseRootFromParent_Done,
     /*  720257 */   // Label 11321: @720257
     /*  720257 */   GIM_Try, /*On fail goto*//*Label 11322*/ GIMT_Encode4(720332), // Rule ID 11675 //
     /*  720262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  720273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  720276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  720279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720308 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  720308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  720311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720330 */     GIR_RootConstrainSelectedInstOperands,
     /*  720331 */     // GIR_Coverage, 11675,
     /*  720331 */     GIR_EraseRootFromParent_Done,
     /*  720332 */   // Label 11322: @720332
     /*  720332 */   GIM_Try, /*On fail goto*//*Label 11323*/ GIMT_Encode4(720407), // Rule ID 11676 //
     /*  720337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  720348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  720351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  720354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720383 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  720383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  720386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720405 */     GIR_RootConstrainSelectedInstOperands,
     /*  720406 */     // GIR_Coverage, 11676,
     /*  720406 */     GIR_EraseRootFromParent_Done,
     /*  720407 */   // Label 11323: @720407
     /*  720407 */   GIM_Try, /*On fail goto*//*Label 11324*/ GIMT_Encode4(720482), // Rule ID 11679 //
     /*  720412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  720415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  720423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  720426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  720429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720458 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  720458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  720461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720480 */     GIR_RootConstrainSelectedInstOperands,
     /*  720481 */     // GIR_Coverage, 11679,
     /*  720481 */     GIR_EraseRootFromParent_Done,
     /*  720482 */   // Label 11324: @720482
     /*  720482 */   GIM_Try, /*On fail goto*//*Label 11325*/ GIMT_Encode4(720557), // Rule ID 11680 //
     /*  720487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  720490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  720498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  720501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  720504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720533 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  720533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  720536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720555 */     GIR_RootConstrainSelectedInstOperands,
     /*  720556 */     // GIR_Coverage, 11680,
     /*  720556 */     GIR_EraseRootFromParent_Done,
     /*  720557 */   // Label 11325: @720557
     /*  720557 */   GIM_Try, /*On fail goto*//*Label 11326*/ GIMT_Encode4(720632), // Rule ID 11683 //
     /*  720562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  720565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  720573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  720576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  720579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720608 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  720608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  720611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720630 */     GIR_RootConstrainSelectedInstOperands,
     /*  720631 */     // GIR_Coverage, 11683,
     /*  720631 */     GIR_EraseRootFromParent_Done,
     /*  720632 */   // Label 11326: @720632
     /*  720632 */   GIM_Try, /*On fail goto*//*Label 11327*/ GIMT_Encode4(720707), // Rule ID 11684 //
     /*  720637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  720640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  720648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  720651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  720654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720683 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  720683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  720686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720705 */     GIR_RootConstrainSelectedInstOperands,
     /*  720706 */     // GIR_Coverage, 11684,
     /*  720706 */     GIR_EraseRootFromParent_Done,
     /*  720707 */   // Label 11327: @720707
     /*  720707 */   GIM_Try, /*On fail goto*//*Label 11328*/ GIMT_Encode4(720782), // Rule ID 11687 //
     /*  720712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  720715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  720723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  720726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  720729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720758 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  720758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  720761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720780 */     GIR_RootConstrainSelectedInstOperands,
     /*  720781 */     // GIR_Coverage, 11687,
     /*  720781 */     GIR_EraseRootFromParent_Done,
     /*  720782 */   // Label 11328: @720782
     /*  720782 */   GIM_Try, /*On fail goto*//*Label 11329*/ GIMT_Encode4(720857), // Rule ID 11688 //
     /*  720787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  720790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  720798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  720801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  720804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720833 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  720833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  720836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720855 */     GIR_RootConstrainSelectedInstOperands,
     /*  720856 */     // GIR_Coverage, 11688,
     /*  720856 */     GIR_EraseRootFromParent_Done,
     /*  720857 */   // Label 11329: @720857
     /*  720857 */   GIM_Try, /*On fail goto*//*Label 11330*/ GIMT_Encode4(720932), // Rule ID 11691 //
     /*  720862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  720870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  720873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  720876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  720879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  720882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720908 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  720911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720930 */     GIR_RootConstrainSelectedInstOperands,
     /*  720931 */     // GIR_Coverage, 11691,
     /*  720931 */     GIR_EraseRootFromParent_Done,
     /*  720932 */   // Label 11330: @720932
     /*  720932 */   GIM_Try, /*On fail goto*//*Label 11331*/ GIMT_Encode4(721007), // Rule ID 11692 //
     /*  720937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  720945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  720948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  720951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  720954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  720957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720983 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  720986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721005 */     GIR_RootConstrainSelectedInstOperands,
     /*  721006 */     // GIR_Coverage, 11692,
     /*  721006 */     GIR_EraseRootFromParent_Done,
     /*  721007 */   // Label 11331: @721007
     /*  721007 */   GIM_Try, /*On fail goto*//*Label 11332*/ GIMT_Encode4(721082), // Rule ID 11695 //
     /*  721012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  721023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  721026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  721029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  721032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721058 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  721061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721080 */     GIR_RootConstrainSelectedInstOperands,
     /*  721081 */     // GIR_Coverage, 11695,
     /*  721081 */     GIR_EraseRootFromParent_Done,
     /*  721082 */   // Label 11332: @721082
     /*  721082 */   GIM_Try, /*On fail goto*//*Label 11333*/ GIMT_Encode4(721157), // Rule ID 11696 //
     /*  721087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  721098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  721101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  721104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  721107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721133 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  721136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721155 */     GIR_RootConstrainSelectedInstOperands,
     /*  721156 */     // GIR_Coverage, 11696,
     /*  721156 */     GIR_EraseRootFromParent_Done,
     /*  721157 */   // Label 11333: @721157
     /*  721157 */   GIM_Try, /*On fail goto*//*Label 11334*/ GIMT_Encode4(721232), // Rule ID 11699 //
     /*  721162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  721173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  721176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  721179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  721182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721208 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  721211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721230 */     GIR_RootConstrainSelectedInstOperands,
     /*  721231 */     // GIR_Coverage, 11699,
     /*  721231 */     GIR_EraseRootFromParent_Done,
     /*  721232 */   // Label 11334: @721232
     /*  721232 */   GIM_Try, /*On fail goto*//*Label 11335*/ GIMT_Encode4(721307), // Rule ID 11700 //
     /*  721237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  721248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  721251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  721254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  721257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721283 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  721286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721305 */     GIR_RootConstrainSelectedInstOperands,
     /*  721306 */     // GIR_Coverage, 11700,
     /*  721306 */     GIR_EraseRootFromParent_Done,
     /*  721307 */   // Label 11335: @721307
     /*  721307 */   GIM_Try, /*On fail goto*//*Label 11336*/ GIMT_Encode4(721382), // Rule ID 11703 //
     /*  721312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  721323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  721326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  721329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  721332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721358 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  721361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721380 */     GIR_RootConstrainSelectedInstOperands,
     /*  721381 */     // GIR_Coverage, 11703,
     /*  721381 */     GIR_EraseRootFromParent_Done,
     /*  721382 */   // Label 11336: @721382
     /*  721382 */   GIM_Try, /*On fail goto*//*Label 11337*/ GIMT_Encode4(721457), // Rule ID 11704 //
     /*  721387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  721398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  721401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  721404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  721407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721433 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  721436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721455 */     GIR_RootConstrainSelectedInstOperands,
     /*  721456 */     // GIR_Coverage, 11704,
     /*  721456 */     GIR_EraseRootFromParent_Done,
     /*  721457 */   // Label 11337: @721457
     /*  721457 */   GIM_Try, /*On fail goto*//*Label 11338*/ GIMT_Encode4(721532), // Rule ID 11707 //
     /*  721462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  721473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  721476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  721479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  721482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721508 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  721511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721530 */     GIR_RootConstrainSelectedInstOperands,
     /*  721531 */     // GIR_Coverage, 11707,
     /*  721531 */     GIR_EraseRootFromParent_Done,
     /*  721532 */   // Label 11338: @721532
     /*  721532 */   GIM_Try, /*On fail goto*//*Label 11339*/ GIMT_Encode4(721607), // Rule ID 11708 //
     /*  721537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  721548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  721551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  721554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  721557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721583 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  721586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721605 */     GIR_RootConstrainSelectedInstOperands,
     /*  721606 */     // GIR_Coverage, 11708,
     /*  721606 */     GIR_EraseRootFromParent_Done,
     /*  721607 */   // Label 11339: @721607
     /*  721607 */   GIM_Try, /*On fail goto*//*Label 11340*/ GIMT_Encode4(721682), // Rule ID 11711 //
     /*  721612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  721623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  721626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  721629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  721632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  721661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721680 */     GIR_RootConstrainSelectedInstOperands,
     /*  721681 */     // GIR_Coverage, 11711,
     /*  721681 */     GIR_EraseRootFromParent_Done,
     /*  721682 */   // Label 11340: @721682
     /*  721682 */   GIM_Try, /*On fail goto*//*Label 11341*/ GIMT_Encode4(721757), // Rule ID 11712 //
     /*  721687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  721698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  721701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  721704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  721707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721733 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  721736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721755 */     GIR_RootConstrainSelectedInstOperands,
     /*  721756 */     // GIR_Coverage, 11712,
     /*  721756 */     GIR_EraseRootFromParent_Done,
     /*  721757 */   // Label 11341: @721757
     /*  721757 */   GIM_Try, /*On fail goto*//*Label 11342*/ GIMT_Encode4(721832), // Rule ID 11715 //
     /*  721762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  721773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  721776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  721779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  721782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721808 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  721811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721830 */     GIR_RootConstrainSelectedInstOperands,
     /*  721831 */     // GIR_Coverage, 11715,
     /*  721831 */     GIR_EraseRootFromParent_Done,
     /*  721832 */   // Label 11342: @721832
     /*  721832 */   GIM_Try, /*On fail goto*//*Label 11343*/ GIMT_Encode4(721907), // Rule ID 11716 //
     /*  721837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  721848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  721851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  721854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  721857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721883 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  721886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721905 */     GIR_RootConstrainSelectedInstOperands,
     /*  721906 */     // GIR_Coverage, 11716,
     /*  721906 */     GIR_EraseRootFromParent_Done,
     /*  721907 */   // Label 11343: @721907
     /*  721907 */   GIM_Try, /*On fail goto*//*Label 11344*/ GIMT_Encode4(721982), // Rule ID 11719 //
     /*  721912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  721923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  721926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  721929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  721932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721958 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  721961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721980 */     GIR_RootConstrainSelectedInstOperands,
     /*  721981 */     // GIR_Coverage, 11719,
     /*  721981 */     GIR_EraseRootFromParent_Done,
     /*  721982 */   // Label 11344: @721982
     /*  721982 */   GIM_Try, /*On fail goto*//*Label 11345*/ GIMT_Encode4(722057), // Rule ID 11720 //
     /*  721987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  721998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  722001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  722004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  722007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722033 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  722036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722055 */     GIR_RootConstrainSelectedInstOperands,
     /*  722056 */     // GIR_Coverage, 11720,
     /*  722056 */     GIR_EraseRootFromParent_Done,
     /*  722057 */   // Label 11345: @722057
     /*  722057 */   GIM_Try, /*On fail goto*//*Label 11346*/ GIMT_Encode4(722132), // Rule ID 11723 //
     /*  722062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  722073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  722076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  722079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  722082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  722108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  722111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722130 */     GIR_RootConstrainSelectedInstOperands,
     /*  722131 */     // GIR_Coverage, 11723,
     /*  722131 */     GIR_EraseRootFromParent_Done,
     /*  722132 */   // Label 11346: @722132
     /*  722132 */   GIM_Try, /*On fail goto*//*Label 11347*/ GIMT_Encode4(722207), // Rule ID 11724 //
     /*  722137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  722148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  722151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  722154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  722157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  722186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722205 */     GIR_RootConstrainSelectedInstOperands,
     /*  722206 */     // GIR_Coverage, 11724,
     /*  722206 */     GIR_EraseRootFromParent_Done,
     /*  722207 */   // Label 11347: @722207
     /*  722207 */   GIM_Try, /*On fail goto*//*Label 11348*/ GIMT_Encode4(722282), // Rule ID 11727 //
     /*  722212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  722215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  722223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  722226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  722229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  722232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722258 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  722258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  722261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722280 */     GIR_RootConstrainSelectedInstOperands,
     /*  722281 */     // GIR_Coverage, 11727,
     /*  722281 */     GIR_EraseRootFromParent_Done,
     /*  722282 */   // Label 11348: @722282
     /*  722282 */   GIM_Try, /*On fail goto*//*Label 11349*/ GIMT_Encode4(722357), // Rule ID 11728 //
     /*  722287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  722290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  722298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  722301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  722304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  722307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722333 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  722333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  722336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722355 */     GIR_RootConstrainSelectedInstOperands,
     /*  722356 */     // GIR_Coverage, 11728,
     /*  722356 */     GIR_EraseRootFromParent_Done,
     /*  722357 */   // Label 11349: @722357
     /*  722357 */   GIM_Try, /*On fail goto*//*Label 11350*/ GIMT_Encode4(722432), // Rule ID 11731 //
     /*  722362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  722373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  722376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  722379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  722382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722408 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  722411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722430 */     GIR_RootConstrainSelectedInstOperands,
     /*  722431 */     // GIR_Coverage, 11731,
     /*  722431 */     GIR_EraseRootFromParent_Done,
     /*  722432 */   // Label 11350: @722432
     /*  722432 */   GIM_Try, /*On fail goto*//*Label 11351*/ GIMT_Encode4(722507), // Rule ID 11732 //
     /*  722437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  722448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  722451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  722454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  722457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722483 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  722486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722505 */     GIR_RootConstrainSelectedInstOperands,
     /*  722506 */     // GIR_Coverage, 11732,
     /*  722506 */     GIR_EraseRootFromParent_Done,
     /*  722507 */   // Label 11351: @722507
     /*  722507 */   GIM_Try, /*On fail goto*//*Label 11352*/ GIMT_Encode4(722582), // Rule ID 11735 //
     /*  722512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  722523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  722526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  722529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  722532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722558 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  722561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722580 */     GIR_RootConstrainSelectedInstOperands,
     /*  722581 */     // GIR_Coverage, 11735,
     /*  722581 */     GIR_EraseRootFromParent_Done,
     /*  722582 */   // Label 11352: @722582
     /*  722582 */   GIM_Try, /*On fail goto*//*Label 11353*/ GIMT_Encode4(722657), // Rule ID 11736 //
     /*  722587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  722598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  722601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  722604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  722607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722633 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  722636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722655 */     GIR_RootConstrainSelectedInstOperands,
     /*  722656 */     // GIR_Coverage, 11736,
     /*  722656 */     GIR_EraseRootFromParent_Done,
     /*  722657 */   // Label 11353: @722657
     /*  722657 */   GIM_Try, /*On fail goto*//*Label 11354*/ GIMT_Encode4(722732), // Rule ID 11739 //
     /*  722662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  722673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  722676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  722679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  722682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722708 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  722711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722730 */     GIR_RootConstrainSelectedInstOperands,
     /*  722731 */     // GIR_Coverage, 11739,
     /*  722731 */     GIR_EraseRootFromParent_Done,
     /*  722732 */   // Label 11354: @722732
     /*  722732 */   GIM_Try, /*On fail goto*//*Label 11355*/ GIMT_Encode4(722807), // Rule ID 11740 //
     /*  722737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  722748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  722751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  722754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  722757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722783 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  722786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722805 */     GIR_RootConstrainSelectedInstOperands,
     /*  722806 */     // GIR_Coverage, 11740,
     /*  722806 */     GIR_EraseRootFromParent_Done,
     /*  722807 */   // Label 11355: @722807
     /*  722807 */   GIM_Try, /*On fail goto*//*Label 11356*/ GIMT_Encode4(722882), // Rule ID 11743 //
     /*  722812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  722823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  722826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  722829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  722832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722858 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  722861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722880 */     GIR_RootConstrainSelectedInstOperands,
     /*  722881 */     // GIR_Coverage, 11743,
     /*  722881 */     GIR_EraseRootFromParent_Done,
     /*  722882 */   // Label 11356: @722882
     /*  722882 */   GIM_Try, /*On fail goto*//*Label 11357*/ GIMT_Encode4(722957), // Rule ID 11744 //
     /*  722887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  722898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  722901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  722904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  722907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722933 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  722936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722955 */     GIR_RootConstrainSelectedInstOperands,
     /*  722956 */     // GIR_Coverage, 11744,
     /*  722956 */     GIR_EraseRootFromParent_Done,
     /*  722957 */   // Label 11357: @722957
     /*  722957 */   GIM_Try, /*On fail goto*//*Label 11358*/ GIMT_Encode4(723032), // Rule ID 11747 //
     /*  722962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  722973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  722976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  722979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  722982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723008 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  723008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  723011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723030 */     GIR_RootConstrainSelectedInstOperands,
     /*  723031 */     // GIR_Coverage, 11747,
     /*  723031 */     GIR_EraseRootFromParent_Done,
     /*  723032 */   // Label 11358: @723032
     /*  723032 */   GIM_Try, /*On fail goto*//*Label 11359*/ GIMT_Encode4(723107), // Rule ID 11748 //
     /*  723037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  723048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  723051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  723054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  723057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  723086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723105 */     GIR_RootConstrainSelectedInstOperands,
     /*  723106 */     // GIR_Coverage, 11748,
     /*  723106 */     GIR_EraseRootFromParent_Done,
     /*  723107 */   // Label 11359: @723107
     /*  723107 */   GIM_Try, /*On fail goto*//*Label 11360*/ GIMT_Encode4(723182), // Rule ID 11751 //
     /*  723112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  723123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  723126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  723129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  723132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723158 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  723158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  723161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723180 */     GIR_RootConstrainSelectedInstOperands,
     /*  723181 */     // GIR_Coverage, 11751,
     /*  723181 */     GIR_EraseRootFromParent_Done,
     /*  723182 */   // Label 11360: @723182
     /*  723182 */   GIM_Try, /*On fail goto*//*Label 11361*/ GIMT_Encode4(723257), // Rule ID 11752 //
     /*  723187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  723198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  723201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  723204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  723207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723233 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  723236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723255 */     GIR_RootConstrainSelectedInstOperands,
     /*  723256 */     // GIR_Coverage, 11752,
     /*  723256 */     GIR_EraseRootFromParent_Done,
     /*  723257 */   // Label 11361: @723257
     /*  723257 */   GIM_Try, /*On fail goto*//*Label 11362*/ GIMT_Encode4(723332), // Rule ID 11755 //
     /*  723262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  723273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  723276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  723279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  723282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723308 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  723308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  723311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723330 */     GIR_RootConstrainSelectedInstOperands,
     /*  723331 */     // GIR_Coverage, 11755,
     /*  723331 */     GIR_EraseRootFromParent_Done,
     /*  723332 */   // Label 11362: @723332
     /*  723332 */   GIM_Try, /*On fail goto*//*Label 11363*/ GIMT_Encode4(723407), // Rule ID 11756 //
     /*  723337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  723348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  723351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  723354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  723357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723383 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  723383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  723386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723405 */     GIR_RootConstrainSelectedInstOperands,
     /*  723406 */     // GIR_Coverage, 11756,
     /*  723406 */     GIR_EraseRootFromParent_Done,
     /*  723407 */   // Label 11363: @723407
     /*  723407 */   GIM_Try, /*On fail goto*//*Label 11364*/ GIMT_Encode4(723482), // Rule ID 11759 //
     /*  723412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  723423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  723426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  723429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  723432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723458 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  723458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  723461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723480 */     GIR_RootConstrainSelectedInstOperands,
     /*  723481 */     // GIR_Coverage, 11759,
     /*  723481 */     GIR_EraseRootFromParent_Done,
     /*  723482 */   // Label 11364: @723482
     /*  723482 */   GIM_Try, /*On fail goto*//*Label 11365*/ GIMT_Encode4(723557), // Rule ID 11760 //
     /*  723487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  723498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  723501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  723504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  723507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723533 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  723533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  723536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723555 */     GIR_RootConstrainSelectedInstOperands,
     /*  723556 */     // GIR_Coverage, 11760,
     /*  723556 */     GIR_EraseRootFromParent_Done,
     /*  723557 */   // Label 11365: @723557
     /*  723557 */   GIM_Try, /*On fail goto*//*Label 11366*/ GIMT_Encode4(723632), // Rule ID 11763 //
     /*  723562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  723573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  723576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  723579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  723582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723608 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  723608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  723611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723630 */     GIR_RootConstrainSelectedInstOperands,
     /*  723631 */     // GIR_Coverage, 11763,
     /*  723631 */     GIR_EraseRootFromParent_Done,
     /*  723632 */   // Label 11366: @723632
     /*  723632 */   GIM_Try, /*On fail goto*//*Label 11367*/ GIMT_Encode4(723707), // Rule ID 11764 //
     /*  723637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  723648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  723651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  723654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  723657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723683 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  723683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  723686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723705 */     GIR_RootConstrainSelectedInstOperands,
     /*  723706 */     // GIR_Coverage, 11764,
     /*  723706 */     GIR_EraseRootFromParent_Done,
     /*  723707 */   // Label 11367: @723707
     /*  723707 */   GIM_Try, /*On fail goto*//*Label 11368*/ GIMT_Encode4(723782), // Rule ID 11767 //
     /*  723712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  723715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  723723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  723726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  723729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  723732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723758 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  723758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  723761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723780 */     GIR_RootConstrainSelectedInstOperands,
     /*  723781 */     // GIR_Coverage, 11767,
     /*  723781 */     GIR_EraseRootFromParent_Done,
     /*  723782 */   // Label 11368: @723782
     /*  723782 */   GIM_Try, /*On fail goto*//*Label 11369*/ GIMT_Encode4(723857), // Rule ID 11768 //
     /*  723787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  723790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  723798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  723801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  723804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  723807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723833 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  723836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723855 */     GIR_RootConstrainSelectedInstOperands,
     /*  723856 */     // GIR_Coverage, 11768,
     /*  723856 */     GIR_EraseRootFromParent_Done,
     /*  723857 */   // Label 11369: @723857
     /*  723857 */   GIM_Try, /*On fail goto*//*Label 11370*/ GIMT_Encode4(723932), // Rule ID 11771 //
     /*  723862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  723865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  723873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  723876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  723879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  723882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723908 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  723908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  723911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723930 */     GIR_RootConstrainSelectedInstOperands,
     /*  723931 */     // GIR_Coverage, 11771,
     /*  723931 */     GIR_EraseRootFromParent_Done,
     /*  723932 */   // Label 11370: @723932
     /*  723932 */   GIM_Try, /*On fail goto*//*Label 11371*/ GIMT_Encode4(724007), // Rule ID 11772 //
     /*  723937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  723940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  723945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  723948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  723951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  723954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  723957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723983 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  723986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  724002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724005 */     GIR_RootConstrainSelectedInstOperands,
     /*  724006 */     // GIR_Coverage, 11772,
     /*  724006 */     GIR_EraseRootFromParent_Done,
     /*  724007 */   // Label 11371: @724007
     /*  724007 */   GIM_Try, /*On fail goto*//*Label 11372*/ GIMT_Encode4(724082), // Rule ID 11775 //
     /*  724012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  724015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  724023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  724026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  724029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  724032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724058 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  724058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  724061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  724077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724080 */     GIR_RootConstrainSelectedInstOperands,
     /*  724081 */     // GIR_Coverage, 11775,
     /*  724081 */     GIR_EraseRootFromParent_Done,
     /*  724082 */   // Label 11372: @724082
     /*  724082 */   GIM_Try, /*On fail goto*//*Label 11373*/ GIMT_Encode4(724157), // Rule ID 11776 //
     /*  724087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  724090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  724098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  724101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  724104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  724107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724133 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  724133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  724136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  724152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724155 */     GIR_RootConstrainSelectedInstOperands,
     /*  724156 */     // GIR_Coverage, 11776,
     /*  724156 */     GIR_EraseRootFromParent_Done,
     /*  724157 */   // Label 11373: @724157
     /*  724157 */   GIM_Try, /*On fail goto*//*Label 11374*/ GIMT_Encode4(724232), // Rule ID 11779 //
     /*  724162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  724173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  724176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  724179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724208 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  724211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724230 */     GIR_RootConstrainSelectedInstOperands,
     /*  724231 */     // GIR_Coverage, 11779,
     /*  724231 */     GIR_EraseRootFromParent_Done,
     /*  724232 */   // Label 11374: @724232
     /*  724232 */   GIM_Try, /*On fail goto*//*Label 11375*/ GIMT_Encode4(724307), // Rule ID 11780 //
     /*  724237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  724248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  724251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  724254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724283 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  724286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724305 */     GIR_RootConstrainSelectedInstOperands,
     /*  724306 */     // GIR_Coverage, 11780,
     /*  724306 */     GIR_EraseRootFromParent_Done,
     /*  724307 */   // Label 11375: @724307
     /*  724307 */   GIM_Try, /*On fail goto*//*Label 11376*/ GIMT_Encode4(724382), // Rule ID 11783 //
     /*  724312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  724323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  724326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  724329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724358 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  724361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724380 */     GIR_RootConstrainSelectedInstOperands,
     /*  724381 */     // GIR_Coverage, 11783,
     /*  724381 */     GIR_EraseRootFromParent_Done,
     /*  724382 */   // Label 11376: @724382
     /*  724382 */   GIM_Try, /*On fail goto*//*Label 11377*/ GIMT_Encode4(724457), // Rule ID 11784 //
     /*  724387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  724398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  724401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  724404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724433 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  724436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724455 */     GIR_RootConstrainSelectedInstOperands,
     /*  724456 */     // GIR_Coverage, 11784,
     /*  724456 */     GIR_EraseRootFromParent_Done,
     /*  724457 */   // Label 11377: @724457
     /*  724457 */   GIM_Try, /*On fail goto*//*Label 11378*/ GIMT_Encode4(724532), // Rule ID 11787 //
     /*  724462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  724473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  724476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  724479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724508 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  724511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724530 */     GIR_RootConstrainSelectedInstOperands,
     /*  724531 */     // GIR_Coverage, 11787,
     /*  724531 */     GIR_EraseRootFromParent_Done,
     /*  724532 */   // Label 11378: @724532
     /*  724532 */   GIM_Try, /*On fail goto*//*Label 11379*/ GIMT_Encode4(724607), // Rule ID 11788 //
     /*  724537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  724548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  724551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  724554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724583 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  724586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724605 */     GIR_RootConstrainSelectedInstOperands,
     /*  724606 */     // GIR_Coverage, 11788,
     /*  724606 */     GIR_EraseRootFromParent_Done,
     /*  724607 */   // Label 11379: @724607
     /*  724607 */   GIM_Try, /*On fail goto*//*Label 11380*/ GIMT_Encode4(724682), // Rule ID 11791 //
     /*  724612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  724623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  724626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  724629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  724661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724680 */     GIR_RootConstrainSelectedInstOperands,
     /*  724681 */     // GIR_Coverage, 11791,
     /*  724681 */     GIR_EraseRootFromParent_Done,
     /*  724682 */   // Label 11380: @724682
     /*  724682 */   GIM_Try, /*On fail goto*//*Label 11381*/ GIMT_Encode4(724757), // Rule ID 11792 //
     /*  724687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  724698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  724701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  724704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724733 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  724736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724755 */     GIR_RootConstrainSelectedInstOperands,
     /*  724756 */     // GIR_Coverage, 11792,
     /*  724756 */     GIR_EraseRootFromParent_Done,
     /*  724757 */   // Label 11381: @724757
     /*  724757 */   GIM_Try, /*On fail goto*//*Label 11382*/ GIMT_Encode4(724832), // Rule ID 11795 //
     /*  724762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  724773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  724776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  724779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724808 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  724811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724830 */     GIR_RootConstrainSelectedInstOperands,
     /*  724831 */     // GIR_Coverage, 11795,
     /*  724831 */     GIR_EraseRootFromParent_Done,
     /*  724832 */   // Label 11382: @724832
     /*  724832 */   GIM_Try, /*On fail goto*//*Label 11383*/ GIMT_Encode4(724907), // Rule ID 11796 //
     /*  724837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  724848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  724851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  724854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724883 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  724886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724905 */     GIR_RootConstrainSelectedInstOperands,
     /*  724906 */     // GIR_Coverage, 11796,
     /*  724906 */     GIR_EraseRootFromParent_Done,
     /*  724907 */   // Label 11383: @724907
     /*  724907 */   GIM_Try, /*On fail goto*//*Label 11384*/ GIMT_Encode4(724982), // Rule ID 11799 //
     /*  724912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  724923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  724926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  724929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724958 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  724961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724980 */     GIR_RootConstrainSelectedInstOperands,
     /*  724981 */     // GIR_Coverage, 11799,
     /*  724981 */     GIR_EraseRootFromParent_Done,
     /*  724982 */   // Label 11384: @724982
     /*  724982 */   GIM_Try, /*On fail goto*//*Label 11385*/ GIMT_Encode4(725057), // Rule ID 11800 //
     /*  724987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  724995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  724998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  725001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  725004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725033 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  725033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  725036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725055 */     GIR_RootConstrainSelectedInstOperands,
     /*  725056 */     // GIR_Coverage, 11800,
     /*  725056 */     GIR_EraseRootFromParent_Done,
     /*  725057 */   // Label 11385: @725057
     /*  725057 */   GIM_Try, /*On fail goto*//*Label 11386*/ GIMT_Encode4(725132), // Rule ID 11803 //
     /*  725062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  725073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  725076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  725079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  725111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725130 */     GIR_RootConstrainSelectedInstOperands,
     /*  725131 */     // GIR_Coverage, 11803,
     /*  725131 */     GIR_EraseRootFromParent_Done,
     /*  725132 */   // Label 11386: @725132
     /*  725132 */   GIM_Try, /*On fail goto*//*Label 11387*/ GIMT_Encode4(725207), // Rule ID 11804 //
     /*  725137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  725148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  725151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  725154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725183 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11080:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  725186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725205 */     GIR_RootConstrainSelectedInstOperands,
     /*  725206 */     // GIR_Coverage, 11804,
     /*  725206 */     GIR_EraseRootFromParent_Done,
     /*  725207 */   // Label 11387: @725207
     /*  725207 */   GIM_Try, /*On fail goto*//*Label 11388*/ GIMT_Encode4(725282), // Rule ID 11807 //
     /*  725212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  725223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  725226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  725229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725258 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  725261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725280 */     GIR_RootConstrainSelectedInstOperands,
     /*  725281 */     // GIR_Coverage, 11807,
     /*  725281 */     GIR_EraseRootFromParent_Done,
     /*  725282 */   // Label 11388: @725282
     /*  725282 */   GIM_Try, /*On fail goto*//*Label 11389*/ GIMT_Encode4(725357), // Rule ID 11808 //
     /*  725287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  725298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  725301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  725304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  725333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  725336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725355 */     GIR_RootConstrainSelectedInstOperands,
     /*  725356 */     // GIR_Coverage, 11808,
     /*  725356 */     GIR_EraseRootFromParent_Done,
     /*  725357 */   // Label 11389: @725357
     /*  725357 */   GIM_Try, /*On fail goto*//*Label 11390*/ GIMT_Encode4(725432), // Rule ID 11811 //
     /*  725362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  725373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  725376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  725379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725408 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  725408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  725411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725430 */     GIR_RootConstrainSelectedInstOperands,
     /*  725431 */     // GIR_Coverage, 11811,
     /*  725431 */     GIR_EraseRootFromParent_Done,
     /*  725432 */   // Label 11390: @725432
     /*  725432 */   GIM_Try, /*On fail goto*//*Label 11391*/ GIMT_Encode4(725507), // Rule ID 11812 //
     /*  725437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  725448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  725451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  725454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725483 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  725483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  725486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725505 */     GIR_RootConstrainSelectedInstOperands,
     /*  725506 */     // GIR_Coverage, 11812,
     /*  725506 */     GIR_EraseRootFromParent_Done,
     /*  725507 */   // Label 11391: @725507
     /*  725507 */   GIM_Try, /*On fail goto*//*Label 11392*/ GIMT_Encode4(725582), // Rule ID 11815 //
     /*  725512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  725515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  725523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  725526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  725529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725558 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  725558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  725561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725580 */     GIR_RootConstrainSelectedInstOperands,
     /*  725581 */     // GIR_Coverage, 11815,
     /*  725581 */     GIR_EraseRootFromParent_Done,
     /*  725582 */   // Label 11392: @725582
     /*  725582 */   GIM_Try, /*On fail goto*//*Label 11393*/ GIMT_Encode4(725657), // Rule ID 11816 //
     /*  725587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  725590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  725598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  725601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  725604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725633 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  725633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  725636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725655 */     GIR_RootConstrainSelectedInstOperands,
     /*  725656 */     // GIR_Coverage, 11816,
     /*  725656 */     GIR_EraseRootFromParent_Done,
     /*  725657 */   // Label 11393: @725657
     /*  725657 */   GIM_Try, /*On fail goto*//*Label 11394*/ GIMT_Encode4(725732), // Rule ID 11819 //
     /*  725662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  725673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  725676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  725679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725708 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  725711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725730 */     GIR_RootConstrainSelectedInstOperands,
     /*  725731 */     // GIR_Coverage, 11819,
     /*  725731 */     GIR_EraseRootFromParent_Done,
     /*  725732 */   // Label 11394: @725732
     /*  725732 */   GIM_Try, /*On fail goto*//*Label 11395*/ GIMT_Encode4(725807), // Rule ID 11820 //
     /*  725737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  725748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  725751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  725754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725783 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  725786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725805 */     GIR_RootConstrainSelectedInstOperands,
     /*  725806 */     // GIR_Coverage, 11820,
     /*  725806 */     GIR_EraseRootFromParent_Done,
     /*  725807 */   // Label 11395: @725807
     /*  725807 */   GIM_Try, /*On fail goto*//*Label 11396*/ GIMT_Encode4(725882), // Rule ID 11823 //
     /*  725812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  725823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  725826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  725829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725858 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  725861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725880 */     GIR_RootConstrainSelectedInstOperands,
     /*  725881 */     // GIR_Coverage, 11823,
     /*  725881 */     GIR_EraseRootFromParent_Done,
     /*  725882 */   // Label 11396: @725882
     /*  725882 */   GIM_Try, /*On fail goto*//*Label 11397*/ GIMT_Encode4(725957), // Rule ID 11824 //
     /*  725887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  725898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  725901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  725904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725933 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  725936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725955 */     GIR_RootConstrainSelectedInstOperands,
     /*  725956 */     // GIR_Coverage, 11824,
     /*  725956 */     GIR_EraseRootFromParent_Done,
     /*  725957 */   // Label 11397: @725957
     /*  725957 */   GIM_Try, /*On fail goto*//*Label 11398*/ GIMT_Encode4(726032), // Rule ID 11827 //
     /*  725962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  725970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  725973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  725976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  725979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726008 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  726011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726030 */     GIR_RootConstrainSelectedInstOperands,
     /*  726031 */     // GIR_Coverage, 11827,
     /*  726031 */     GIR_EraseRootFromParent_Done,
     /*  726032 */   // Label 11398: @726032
     /*  726032 */   GIM_Try, /*On fail goto*//*Label 11399*/ GIMT_Encode4(726107), // Rule ID 11828 //
     /*  726037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  726048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  726051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  726054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726083 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  726086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726105 */     GIR_RootConstrainSelectedInstOperands,
     /*  726106 */     // GIR_Coverage, 11828,
     /*  726106 */     GIR_EraseRootFromParent_Done,
     /*  726107 */   // Label 11399: @726107
     /*  726107 */   GIM_Try, /*On fail goto*//*Label 11400*/ GIMT_Encode4(726182), // Rule ID 11831 //
     /*  726112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  726123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  726126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  726129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726158 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  726161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726180 */     GIR_RootConstrainSelectedInstOperands,
     /*  726181 */     // GIR_Coverage, 11831,
     /*  726181 */     GIR_EraseRootFromParent_Done,
     /*  726182 */   // Label 11400: @726182
     /*  726182 */   GIM_Try, /*On fail goto*//*Label 11401*/ GIMT_Encode4(726257), // Rule ID 11832 //
     /*  726187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  726198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  726201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  726204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726233 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  726236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726255 */     GIR_RootConstrainSelectedInstOperands,
     /*  726256 */     // GIR_Coverage, 11832,
     /*  726256 */     GIR_EraseRootFromParent_Done,
     /*  726257 */   // Label 11401: @726257
     /*  726257 */   GIM_Try, /*On fail goto*//*Label 11402*/ GIMT_Encode4(726332), // Rule ID 11835 //
     /*  726262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  726273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  726276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  726279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726308 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  726311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726330 */     GIR_RootConstrainSelectedInstOperands,
     /*  726331 */     // GIR_Coverage, 11835,
     /*  726331 */     GIR_EraseRootFromParent_Done,
     /*  726332 */   // Label 11402: @726332
     /*  726332 */   GIM_Try, /*On fail goto*//*Label 11403*/ GIMT_Encode4(726407), // Rule ID 11836 //
     /*  726337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  726348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  726351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  726354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726383 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  726386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726405 */     GIR_RootConstrainSelectedInstOperands,
     /*  726406 */     // GIR_Coverage, 11836,
     /*  726406 */     GIR_EraseRootFromParent_Done,
     /*  726407 */   // Label 11403: @726407
     /*  726407 */   GIM_Try, /*On fail goto*//*Label 11404*/ GIMT_Encode4(726482), // Rule ID 11839 //
     /*  726412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  726423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  726426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  726429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726458 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  726461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726480 */     GIR_RootConstrainSelectedInstOperands,
     /*  726481 */     // GIR_Coverage, 11839,
     /*  726481 */     GIR_EraseRootFromParent_Done,
     /*  726482 */   // Label 11404: @726482
     /*  726482 */   GIM_Try, /*On fail goto*//*Label 11405*/ GIMT_Encode4(726557), // Rule ID 11840 //
     /*  726487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  726498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  726501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  726504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726533 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  726536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726555 */     GIR_RootConstrainSelectedInstOperands,
     /*  726556 */     // GIR_Coverage, 11840,
     /*  726556 */     GIR_EraseRootFromParent_Done,
     /*  726557 */   // Label 11405: @726557
     /*  726557 */   GIM_Try, /*On fail goto*//*Label 11406*/ GIMT_Encode4(726632), // Rule ID 11843 //
     /*  726562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  726573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  726576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  726579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726608 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  726611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726630 */     GIR_RootConstrainSelectedInstOperands,
     /*  726631 */     // GIR_Coverage, 11843,
     /*  726631 */     GIR_EraseRootFromParent_Done,
     /*  726632 */   // Label 11406: @726632
     /*  726632 */   GIM_Try, /*On fail goto*//*Label 11407*/ GIMT_Encode4(726707), // Rule ID 11844 //
     /*  726637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  726648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  726651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  726654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726683 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  726686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726705 */     GIR_RootConstrainSelectedInstOperands,
     /*  726706 */     // GIR_Coverage, 11844,
     /*  726706 */     GIR_EraseRootFromParent_Done,
     /*  726707 */   // Label 11407: @726707
     /*  726707 */   GIM_Try, /*On fail goto*//*Label 11408*/ GIMT_Encode4(726782), // Rule ID 11847 //
     /*  726712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  726723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  726726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  726729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726758 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  726761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726780 */     GIR_RootConstrainSelectedInstOperands,
     /*  726781 */     // GIR_Coverage, 11847,
     /*  726781 */     GIR_EraseRootFromParent_Done,
     /*  726782 */   // Label 11408: @726782
     /*  726782 */   GIM_Try, /*On fail goto*//*Label 11409*/ GIMT_Encode4(726857), // Rule ID 11848 //
     /*  726787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  726798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  726801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  726804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726833 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  726836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726855 */     GIR_RootConstrainSelectedInstOperands,
     /*  726856 */     // GIR_Coverage, 11848,
     /*  726856 */     GIR_EraseRootFromParent_Done,
     /*  726857 */   // Label 11409: @726857
     /*  726857 */   GIM_Try, /*On fail goto*//*Label 11410*/ GIMT_Encode4(726932), // Rule ID 11851 //
     /*  726862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  726873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  726876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  726879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726908 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  726911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726930 */     GIR_RootConstrainSelectedInstOperands,
     /*  726931 */     // GIR_Coverage, 11851,
     /*  726931 */     GIR_EraseRootFromParent_Done,
     /*  726932 */   // Label 11410: @726932
     /*  726932 */   GIM_Try, /*On fail goto*//*Label 11411*/ GIMT_Encode4(727007), // Rule ID 11852 //
     /*  726937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  726945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  726948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  726951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  726954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726983 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  726986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727005 */     GIR_RootConstrainSelectedInstOperands,
     /*  727006 */     // GIR_Coverage, 11852,
     /*  727006 */     GIR_EraseRootFromParent_Done,
     /*  727007 */   // Label 11411: @727007
     /*  727007 */   GIM_Try, /*On fail goto*//*Label 11412*/ GIMT_Encode4(727082), // Rule ID 11855 //
     /*  727012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  727015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  727023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  727026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  727029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727058 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  727058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  727061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727080 */     GIR_RootConstrainSelectedInstOperands,
     /*  727081 */     // GIR_Coverage, 11855,
     /*  727081 */     GIR_EraseRootFromParent_Done,
     /*  727082 */   // Label 11412: @727082
     /*  727082 */   GIM_Try, /*On fail goto*//*Label 11413*/ GIMT_Encode4(727157), // Rule ID 11856 //
     /*  727087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  727090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  727098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  727101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  727104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727133 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11080:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  727133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  727136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727155 */     GIR_RootConstrainSelectedInstOperands,
     /*  727156 */     // GIR_Coverage, 11856,
     /*  727156 */     GIR_EraseRootFromParent_Done,
     /*  727157 */   // Label 11413: @727157
     /*  727157 */   GIM_Try, /*On fail goto*//*Label 11414*/ GIMT_Encode4(727232), // Rule ID 11859 //
     /*  727162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  727165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  727173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  727176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  727179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727208 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  727208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  727211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727230 */     GIR_RootConstrainSelectedInstOperands,
     /*  727231 */     // GIR_Coverage, 11859,
     /*  727231 */     GIR_EraseRootFromParent_Done,
     /*  727232 */   // Label 11414: @727232
     /*  727232 */   GIM_Try, /*On fail goto*//*Label 11415*/ GIMT_Encode4(727307), // Rule ID 11860 //
     /*  727237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  727240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  727248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  727251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  727254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727283 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11080:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  727283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  727286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727305 */     GIR_RootConstrainSelectedInstOperands,
     /*  727306 */     // GIR_Coverage, 11860,
     /*  727306 */     GIR_EraseRootFromParent_Done,
     /*  727307 */   // Label 11415: @727307
     /*  727307 */   GIM_Try, /*On fail goto*//*Label 11416*/ GIMT_Encode4(727382), // Rule ID 11863 //
     /*  727312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  727315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  727323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  727326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  727329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727358 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  727358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  727361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727380 */     GIR_RootConstrainSelectedInstOperands,
     /*  727381 */     // GIR_Coverage, 11863,
     /*  727381 */     GIR_EraseRootFromParent_Done,
     /*  727382 */   // Label 11416: @727382
     /*  727382 */   GIM_Try, /*On fail goto*//*Label 11417*/ GIMT_Encode4(727457), // Rule ID 11864 //
     /*  727387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  727390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  727398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  727401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  727404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727433 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11080:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  727433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  727436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727455 */     GIR_RootConstrainSelectedInstOperands,
     /*  727456 */     // GIR_Coverage, 11864,
     /*  727456 */     GIR_EraseRootFromParent_Done,
     /*  727457 */   // Label 11417: @727457
     /*  727457 */   GIM_Try, /*On fail goto*//*Label 11418*/ GIMT_Encode4(727532), // Rule ID 11867 //
     /*  727462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  727473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  727476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  727479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  727482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727508 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  727511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727530 */     GIR_RootConstrainSelectedInstOperands,
     /*  727531 */     // GIR_Coverage, 11867,
     /*  727531 */     GIR_EraseRootFromParent_Done,
     /*  727532 */   // Label 11418: @727532
     /*  727532 */   GIM_Try, /*On fail goto*//*Label 11419*/ GIMT_Encode4(727607), // Rule ID 11868 //
     /*  727537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  727548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  727551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  727554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  727557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727583 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  727586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727605 */     GIR_RootConstrainSelectedInstOperands,
     /*  727606 */     // GIR_Coverage, 11868,
     /*  727606 */     GIR_EraseRootFromParent_Done,
     /*  727607 */   // Label 11419: @727607
     /*  727607 */   GIM_Try, /*On fail goto*//*Label 11420*/ GIMT_Encode4(727682), // Rule ID 11871 //
     /*  727612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  727623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  727626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  727629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  727632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727658 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  727661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727680 */     GIR_RootConstrainSelectedInstOperands,
     /*  727681 */     // GIR_Coverage, 11871,
     /*  727681 */     GIR_EraseRootFromParent_Done,
     /*  727682 */   // Label 11420: @727682
     /*  727682 */   GIM_Try, /*On fail goto*//*Label 11421*/ GIMT_Encode4(727757), // Rule ID 11872 //
     /*  727687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  727698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  727701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  727704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  727707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727733 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  727736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727755 */     GIR_RootConstrainSelectedInstOperands,
     /*  727756 */     // GIR_Coverage, 11872,
     /*  727756 */     GIR_EraseRootFromParent_Done,
     /*  727757 */   // Label 11421: @727757
     /*  727757 */   GIM_Try, /*On fail goto*//*Label 11422*/ GIMT_Encode4(727832), // Rule ID 11875 //
     /*  727762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  727773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  727776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  727779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  727782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727808 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  727811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727830 */     GIR_RootConstrainSelectedInstOperands,
     /*  727831 */     // GIR_Coverage, 11875,
     /*  727831 */     GIR_EraseRootFromParent_Done,
     /*  727832 */   // Label 11422: @727832
     /*  727832 */   GIM_Try, /*On fail goto*//*Label 11423*/ GIMT_Encode4(727907), // Rule ID 11876 //
     /*  727837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  727848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  727851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  727854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  727857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727883 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  727886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727905 */     GIR_RootConstrainSelectedInstOperands,
     /*  727906 */     // GIR_Coverage, 11876,
     /*  727906 */     GIR_EraseRootFromParent_Done,
     /*  727907 */   // Label 11423: @727907
     /*  727907 */   GIM_Try, /*On fail goto*//*Label 11424*/ GIMT_Encode4(727982), // Rule ID 11879 //
     /*  727912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  727923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  727926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  727929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  727932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  727961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727980 */     GIR_RootConstrainSelectedInstOperands,
     /*  727981 */     // GIR_Coverage, 11879,
     /*  727981 */     GIR_EraseRootFromParent_Done,
     /*  727982 */   // Label 11424: @727982
     /*  727982 */   GIM_Try, /*On fail goto*//*Label 11425*/ GIMT_Encode4(728057), // Rule ID 11880 //
     /*  727987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  727998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  728001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  728004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  728007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728033 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  728036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728055 */     GIR_RootConstrainSelectedInstOperands,
     /*  728056 */     // GIR_Coverage, 11880,
     /*  728056 */     GIR_EraseRootFromParent_Done,
     /*  728057 */   // Label 11425: @728057
     /*  728057 */   GIM_Try, /*On fail goto*//*Label 11426*/ GIMT_Encode4(728132), // Rule ID 11883 //
     /*  728062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  728073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  728076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  728079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  728082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728108 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  728111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728130 */     GIR_RootConstrainSelectedInstOperands,
     /*  728131 */     // GIR_Coverage, 11883,
     /*  728131 */     GIR_EraseRootFromParent_Done,
     /*  728132 */   // Label 11426: @728132
     /*  728132 */   GIM_Try, /*On fail goto*//*Label 11427*/ GIMT_Encode4(728207), // Rule ID 11884 //
     /*  728137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  728148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  728151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  728154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  728157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728183 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  728186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728205 */     GIR_RootConstrainSelectedInstOperands,
     /*  728206 */     // GIR_Coverage, 11884,
     /*  728206 */     GIR_EraseRootFromParent_Done,
     /*  728207 */   // Label 11427: @728207
     /*  728207 */   GIM_Try, /*On fail goto*//*Label 11428*/ GIMT_Encode4(728282), // Rule ID 11887 //
     /*  728212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  728223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  728226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  728229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  728232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728258 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  728258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  728261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728280 */     GIR_RootConstrainSelectedInstOperands,
     /*  728281 */     // GIR_Coverage, 11887,
     /*  728281 */     GIR_EraseRootFromParent_Done,
     /*  728282 */   // Label 11428: @728282
     /*  728282 */   GIM_Try, /*On fail goto*//*Label 11429*/ GIMT_Encode4(728357), // Rule ID 11888 //
     /*  728287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  728298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  728301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  728304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  728307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728333 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  728336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728355 */     GIR_RootConstrainSelectedInstOperands,
     /*  728356 */     // GIR_Coverage, 11888,
     /*  728356 */     GIR_EraseRootFromParent_Done,
     /*  728357 */   // Label 11429: @728357
     /*  728357 */   GIM_Try, /*On fail goto*//*Label 11430*/ GIMT_Encode4(728432), // Rule ID 11891 //
     /*  728362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  728373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  728376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  728379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  728382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728408 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  728411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728430 */     GIR_RootConstrainSelectedInstOperands,
     /*  728431 */     // GIR_Coverage, 11891,
     /*  728431 */     GIR_EraseRootFromParent_Done,
     /*  728432 */   // Label 11430: @728432
     /*  728432 */   GIM_Try, /*On fail goto*//*Label 11431*/ GIMT_Encode4(728507), // Rule ID 11892 //
     /*  728437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  728448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  728451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  728454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  728457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  728486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728505 */     GIR_RootConstrainSelectedInstOperands,
     /*  728506 */     // GIR_Coverage, 11892,
     /*  728506 */     GIR_EraseRootFromParent_Done,
     /*  728507 */   // Label 11431: @728507
     /*  728507 */   GIM_Try, /*On fail goto*//*Label 11432*/ GIMT_Encode4(728582), // Rule ID 11895 //
     /*  728512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  728523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  728526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  728529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  728532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  728561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728580 */     GIR_RootConstrainSelectedInstOperands,
     /*  728581 */     // GIR_Coverage, 11895,
     /*  728581 */     GIR_EraseRootFromParent_Done,
     /*  728582 */   // Label 11432: @728582
     /*  728582 */   GIM_Try, /*On fail goto*//*Label 11433*/ GIMT_Encode4(728657), // Rule ID 11896 //
     /*  728587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  728598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  728601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  728604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  728607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  728636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728655 */     GIR_RootConstrainSelectedInstOperands,
     /*  728656 */     // GIR_Coverage, 11896,
     /*  728656 */     GIR_EraseRootFromParent_Done,
     /*  728657 */   // Label 11433: @728657
     /*  728657 */   GIM_Try, /*On fail goto*//*Label 11434*/ GIMT_Encode4(728732), // Rule ID 11899 //
     /*  728662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  728673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  728676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  728679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  728682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  728708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  728711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728730 */     GIR_RootConstrainSelectedInstOperands,
     /*  728731 */     // GIR_Coverage, 11899,
     /*  728731 */     GIR_EraseRootFromParent_Done,
     /*  728732 */   // Label 11434: @728732
     /*  728732 */   GIM_Try, /*On fail goto*//*Label 11435*/ GIMT_Encode4(728807), // Rule ID 11900 //
     /*  728737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  728748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  728751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  728754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  728757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728783 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  728786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728805 */     GIR_RootConstrainSelectedInstOperands,
     /*  728806 */     // GIR_Coverage, 11900,
     /*  728806 */     GIR_EraseRootFromParent_Done,
     /*  728807 */   // Label 11435: @728807
     /*  728807 */   GIM_Try, /*On fail goto*//*Label 11436*/ GIMT_Encode4(728882), // Rule ID 11903 //
     /*  728812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  728815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  728823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  728826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  728829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  728832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728858 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  728858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  728861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728880 */     GIR_RootConstrainSelectedInstOperands,
     /*  728881 */     // GIR_Coverage, 11903,
     /*  728881 */     GIR_EraseRootFromParent_Done,
     /*  728882 */   // Label 11436: @728882
     /*  728882 */   GIM_Try, /*On fail goto*//*Label 11437*/ GIMT_Encode4(728957), // Rule ID 11904 //
     /*  728887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  728890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  728898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  728901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  728904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  728907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728933 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  728933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  728936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728955 */     GIR_RootConstrainSelectedInstOperands,
     /*  728956 */     // GIR_Coverage, 11904,
     /*  728956 */     GIR_EraseRootFromParent_Done,
     /*  728957 */   // Label 11437: @728957
     /*  728957 */   GIM_Try, /*On fail goto*//*Label 11438*/ GIMT_Encode4(729032), // Rule ID 11907 //
     /*  728962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  728973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  728976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  728979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  728982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729008 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  729011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729030 */     GIR_RootConstrainSelectedInstOperands,
     /*  729031 */     // GIR_Coverage, 11907,
     /*  729031 */     GIR_EraseRootFromParent_Done,
     /*  729032 */   // Label 11438: @729032
     /*  729032 */   GIM_Try, /*On fail goto*//*Label 11439*/ GIMT_Encode4(729107), // Rule ID 11908 //
     /*  729037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  729048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  729051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  729054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  729057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729083 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  729086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729105 */     GIR_RootConstrainSelectedInstOperands,
     /*  729106 */     // GIR_Coverage, 11908,
     /*  729106 */     GIR_EraseRootFromParent_Done,
     /*  729107 */   // Label 11439: @729107
     /*  729107 */   GIM_Try, /*On fail goto*//*Label 11440*/ GIMT_Encode4(729182), // Rule ID 11911 //
     /*  729112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  729123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  729126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  729129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  729132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729158 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  729161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729180 */     GIR_RootConstrainSelectedInstOperands,
     /*  729181 */     // GIR_Coverage, 11911,
     /*  729181 */     GIR_EraseRootFromParent_Done,
     /*  729182 */   // Label 11440: @729182
     /*  729182 */   GIM_Try, /*On fail goto*//*Label 11441*/ GIMT_Encode4(729257), // Rule ID 11912 //
     /*  729187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  729198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  729201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  729204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  729207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729233 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  729236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729255 */     GIR_RootConstrainSelectedInstOperands,
     /*  729256 */     // GIR_Coverage, 11912,
     /*  729256 */     GIR_EraseRootFromParent_Done,
     /*  729257 */   // Label 11441: @729257
     /*  729257 */   GIM_Try, /*On fail goto*//*Label 11442*/ GIMT_Encode4(729332), // Rule ID 11915 //
     /*  729262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  729273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  729276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  729279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  729282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729308 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  729311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729330 */     GIR_RootConstrainSelectedInstOperands,
     /*  729331 */     // GIR_Coverage, 11915,
     /*  729331 */     GIR_EraseRootFromParent_Done,
     /*  729332 */   // Label 11442: @729332
     /*  729332 */   GIM_Try, /*On fail goto*//*Label 11443*/ GIMT_Encode4(729407), // Rule ID 11916 //
     /*  729337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  729348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  729351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  729354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  729357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729383 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  729386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729405 */     GIR_RootConstrainSelectedInstOperands,
     /*  729406 */     // GIR_Coverage, 11916,
     /*  729406 */     GIR_EraseRootFromParent_Done,
     /*  729407 */   // Label 11443: @729407
     /*  729407 */   GIM_Try, /*On fail goto*//*Label 11444*/ GIMT_Encode4(729482), // Rule ID 11919 //
     /*  729412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  729423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  729426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  729429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  729432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729458 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  729461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729480 */     GIR_RootConstrainSelectedInstOperands,
     /*  729481 */     // GIR_Coverage, 11919,
     /*  729481 */     GIR_EraseRootFromParent_Done,
     /*  729482 */   // Label 11444: @729482
     /*  729482 */   GIM_Try, /*On fail goto*//*Label 11445*/ GIMT_Encode4(729557), // Rule ID 11920 //
     /*  729487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  729498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  729501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  729504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  729507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729533 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  729536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729555 */     GIR_RootConstrainSelectedInstOperands,
     /*  729556 */     // GIR_Coverage, 11920,
     /*  729556 */     GIR_EraseRootFromParent_Done,
     /*  729557 */   // Label 11445: @729557
     /*  729557 */   GIM_Try, /*On fail goto*//*Label 11446*/ GIMT_Encode4(729632), // Rule ID 11923 //
     /*  729562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  729573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  729576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  729579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  729582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729608 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  729611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729630 */     GIR_RootConstrainSelectedInstOperands,
     /*  729631 */     // GIR_Coverage, 11923,
     /*  729631 */     GIR_EraseRootFromParent_Done,
     /*  729632 */   // Label 11446: @729632
     /*  729632 */   GIM_Try, /*On fail goto*//*Label 11447*/ GIMT_Encode4(729707), // Rule ID 11924 //
     /*  729637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  729648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  729651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  729654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  729657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729683 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  729686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729705 */     GIR_RootConstrainSelectedInstOperands,
     /*  729706 */     // GIR_Coverage, 11924,
     /*  729706 */     GIR_EraseRootFromParent_Done,
     /*  729707 */   // Label 11447: @729707
     /*  729707 */   GIM_Try, /*On fail goto*//*Label 11448*/ GIMT_Encode4(729782), // Rule ID 11927 //
     /*  729712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  729723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  729726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  729729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  729732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729758 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  729761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729780 */     GIR_RootConstrainSelectedInstOperands,
     /*  729781 */     // GIR_Coverage, 11927,
     /*  729781 */     GIR_EraseRootFromParent_Done,
     /*  729782 */   // Label 11448: @729782
     /*  729782 */   GIM_Try, /*On fail goto*//*Label 11449*/ GIMT_Encode4(729857), // Rule ID 11928 //
     /*  729787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  729798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  729801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  729804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  729807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729833 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  729836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729855 */     GIR_RootConstrainSelectedInstOperands,
     /*  729856 */     // GIR_Coverage, 11928,
     /*  729856 */     GIR_EraseRootFromParent_Done,
     /*  729857 */   // Label 11449: @729857
     /*  729857 */   GIM_Try, /*On fail goto*//*Label 11450*/ GIMT_Encode4(729932), // Rule ID 11931 //
     /*  729862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  729873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  729876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  729879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  729882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729908 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  729911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729930 */     GIR_RootConstrainSelectedInstOperands,
     /*  729931 */     // GIR_Coverage, 11931,
     /*  729931 */     GIR_EraseRootFromParent_Done,
     /*  729932 */   // Label 11450: @729932
     /*  729932 */   GIM_Try, /*On fail goto*//*Label 11451*/ GIMT_Encode4(730007), // Rule ID 11932 //
     /*  729937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  729948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  729951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  729954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  729957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  729986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730005 */     GIR_RootConstrainSelectedInstOperands,
     /*  730006 */     // GIR_Coverage, 11932,
     /*  730006 */     GIR_EraseRootFromParent_Done,
     /*  730007 */   // Label 11451: @730007
     /*  730007 */   GIM_Try, /*On fail goto*//*Label 11452*/ GIMT_Encode4(730082), // Rule ID 11935 //
     /*  730012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  730023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  730026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  730029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  730032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  730058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  730061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730080 */     GIR_RootConstrainSelectedInstOperands,
     /*  730081 */     // GIR_Coverage, 11935,
     /*  730081 */     GIR_EraseRootFromParent_Done,
     /*  730082 */   // Label 11452: @730082
     /*  730082 */   GIM_Try, /*On fail goto*//*Label 11453*/ GIMT_Encode4(730157), // Rule ID 11936 //
     /*  730087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  730098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  730101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  730104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  730107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730133 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  730133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  730136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730155 */     GIR_RootConstrainSelectedInstOperands,
     /*  730156 */     // GIR_Coverage, 11936,
     /*  730156 */     GIR_EraseRootFromParent_Done,
     /*  730157 */   // Label 11453: @730157
     /*  730157 */   GIM_Try, /*On fail goto*//*Label 11454*/ GIMT_Encode4(730232), // Rule ID 11939 //
     /*  730162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  730173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  730176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  730179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  730182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730208 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  730208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  730211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730230 */     GIR_RootConstrainSelectedInstOperands,
     /*  730231 */     // GIR_Coverage, 11939,
     /*  730231 */     GIR_EraseRootFromParent_Done,
     /*  730232 */   // Label 11454: @730232
     /*  730232 */   GIM_Try, /*On fail goto*//*Label 11455*/ GIMT_Encode4(730307), // Rule ID 11940 //
     /*  730237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  730248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  730251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  730254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  730257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  730283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  730286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730305 */     GIR_RootConstrainSelectedInstOperands,
     /*  730306 */     // GIR_Coverage, 11940,
     /*  730306 */     GIR_EraseRootFromParent_Done,
     /*  730307 */   // Label 11455: @730307
     /*  730307 */   GIM_Try, /*On fail goto*//*Label 11456*/ GIMT_Encode4(730382), // Rule ID 11943 //
     /*  730312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  730315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  730323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  730326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  730329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  730332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730358 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  730358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  730361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730380 */     GIR_RootConstrainSelectedInstOperands,
     /*  730381 */     // GIR_Coverage, 11943,
     /*  730381 */     GIR_EraseRootFromParent_Done,
     /*  730382 */   // Label 11456: @730382
     /*  730382 */   GIM_Try, /*On fail goto*//*Label 11457*/ GIMT_Encode4(730457), // Rule ID 11944 //
     /*  730387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  730390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  730398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  730401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  730404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  730407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730433 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  730433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  730436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730455 */     GIR_RootConstrainSelectedInstOperands,
     /*  730456 */     // GIR_Coverage, 11944,
     /*  730456 */     GIR_EraseRootFromParent_Done,
     /*  730457 */   // Label 11457: @730457
     /*  730457 */   GIM_Try, /*On fail goto*//*Label 11458*/ GIMT_Encode4(730532), // Rule ID 11947 //
     /*  730462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  730465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  730473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  730476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  730479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  730482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730508 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  730508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  730511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730530 */     GIR_RootConstrainSelectedInstOperands,
     /*  730531 */     // GIR_Coverage, 11947,
     /*  730531 */     GIR_EraseRootFromParent_Done,
     /*  730532 */   // Label 11458: @730532
     /*  730532 */   GIM_Try, /*On fail goto*//*Label 11459*/ GIMT_Encode4(730607), // Rule ID 11948 //
     /*  730537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  730540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  730548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  730551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  730554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  730557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730583 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  730583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  730586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730605 */     GIR_RootConstrainSelectedInstOperands,
     /*  730606 */     // GIR_Coverage, 11948,
     /*  730606 */     GIR_EraseRootFromParent_Done,
     /*  730607 */   // Label 11459: @730607
     /*  730607 */   GIM_Try, /*On fail goto*//*Label 11460*/ GIMT_Encode4(730682), // Rule ID 11951 //
     /*  730612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  730615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  730623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  730626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  730629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  730632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730658 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  730658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  730661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730680 */     GIR_RootConstrainSelectedInstOperands,
     /*  730681 */     // GIR_Coverage, 11951,
     /*  730681 */     GIR_EraseRootFromParent_Done,
     /*  730682 */   // Label 11460: @730682
     /*  730682 */   GIM_Try, /*On fail goto*//*Label 11461*/ GIMT_Encode4(730757), // Rule ID 11952 //
     /*  730687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  730690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  730698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  730701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  730704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  730707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730733 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  730733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  730736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730755 */     GIR_RootConstrainSelectedInstOperands,
     /*  730756 */     // GIR_Coverage, 11952,
     /*  730756 */     GIR_EraseRootFromParent_Done,
     /*  730757 */   // Label 11461: @730757
     /*  730757 */   GIM_Try, /*On fail goto*//*Label 11462*/ GIMT_Encode4(730832), // Rule ID 11955 //
     /*  730762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  730773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  730776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  730779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  730782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730808 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  730811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730830 */     GIR_RootConstrainSelectedInstOperands,
     /*  730831 */     // GIR_Coverage, 11955,
     /*  730831 */     GIR_EraseRootFromParent_Done,
     /*  730832 */   // Label 11462: @730832
     /*  730832 */   GIM_Try, /*On fail goto*//*Label 11463*/ GIMT_Encode4(730907), // Rule ID 11956 //
     /*  730837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  730848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  730851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  730854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  730857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730883 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  730886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730905 */     GIR_RootConstrainSelectedInstOperands,
     /*  730906 */     // GIR_Coverage, 11956,
     /*  730906 */     GIR_EraseRootFromParent_Done,
     /*  730907 */   // Label 11463: @730907
     /*  730907 */   GIM_Try, /*On fail goto*//*Label 11464*/ GIMT_Encode4(730982), // Rule ID 11959 //
     /*  730912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  730923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  730926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  730929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  730932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730958 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  730961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730980 */     GIR_RootConstrainSelectedInstOperands,
     /*  730981 */     // GIR_Coverage, 11959,
     /*  730981 */     GIR_EraseRootFromParent_Done,
     /*  730982 */   // Label 11464: @730982
     /*  730982 */   GIM_Try, /*On fail goto*//*Label 11465*/ GIMT_Encode4(731057), // Rule ID 11960 //
     /*  730987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  730995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  730998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  731001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  731004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731033 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  731036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731055 */     GIR_RootConstrainSelectedInstOperands,
     /*  731056 */     // GIR_Coverage, 11960,
     /*  731056 */     GIR_EraseRootFromParent_Done,
     /*  731057 */   // Label 11465: @731057
     /*  731057 */   GIM_Try, /*On fail goto*//*Label 11466*/ GIMT_Encode4(731132), // Rule ID 11963 //
     /*  731062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  731073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  731076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  731079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731108 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  731111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731130 */     GIR_RootConstrainSelectedInstOperands,
     /*  731131 */     // GIR_Coverage, 11963,
     /*  731131 */     GIR_EraseRootFromParent_Done,
     /*  731132 */   // Label 11466: @731132
     /*  731132 */   GIM_Try, /*On fail goto*//*Label 11467*/ GIMT_Encode4(731207), // Rule ID 11964 //
     /*  731137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  731148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  731151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  731154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731183 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  731186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731205 */     GIR_RootConstrainSelectedInstOperands,
     /*  731206 */     // GIR_Coverage, 11964,
     /*  731206 */     GIR_EraseRootFromParent_Done,
     /*  731207 */   // Label 11467: @731207
     /*  731207 */   GIM_Try, /*On fail goto*//*Label 11468*/ GIMT_Encode4(731282), // Rule ID 11967 //
     /*  731212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  731223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  731226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  731229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731258 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  731261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731280 */     GIR_RootConstrainSelectedInstOperands,
     /*  731281 */     // GIR_Coverage, 11967,
     /*  731281 */     GIR_EraseRootFromParent_Done,
     /*  731282 */   // Label 11468: @731282
     /*  731282 */   GIM_Try, /*On fail goto*//*Label 11469*/ GIMT_Encode4(731357), // Rule ID 11968 //
     /*  731287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  731298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  731301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  731304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731333 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  731336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731355 */     GIR_RootConstrainSelectedInstOperands,
     /*  731356 */     // GIR_Coverage, 11968,
     /*  731356 */     GIR_EraseRootFromParent_Done,
     /*  731357 */   // Label 11469: @731357
     /*  731357 */   GIM_Try, /*On fail goto*//*Label 11470*/ GIMT_Encode4(731432), // Rule ID 11971 //
     /*  731362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  731373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  731376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  731379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731408 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  731411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731430 */     GIR_RootConstrainSelectedInstOperands,
     /*  731431 */     // GIR_Coverage, 11971,
     /*  731431 */     GIR_EraseRootFromParent_Done,
     /*  731432 */   // Label 11470: @731432
     /*  731432 */   GIM_Try, /*On fail goto*//*Label 11471*/ GIMT_Encode4(731507), // Rule ID 11972 //
     /*  731437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  731448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  731451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  731454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731483 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  731486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731505 */     GIR_RootConstrainSelectedInstOperands,
     /*  731506 */     // GIR_Coverage, 11972,
     /*  731506 */     GIR_EraseRootFromParent_Done,
     /*  731507 */   // Label 11471: @731507
     /*  731507 */   GIM_Try, /*On fail goto*//*Label 11472*/ GIMT_Encode4(731582), // Rule ID 11975 //
     /*  731512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  731523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  731526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  731529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731558 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  731561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731580 */     GIR_RootConstrainSelectedInstOperands,
     /*  731581 */     // GIR_Coverage, 11975,
     /*  731581 */     GIR_EraseRootFromParent_Done,
     /*  731582 */   // Label 11472: @731582
     /*  731582 */   GIM_Try, /*On fail goto*//*Label 11473*/ GIMT_Encode4(731657), // Rule ID 11976 //
     /*  731587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  731598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  731601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  731604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731633 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  731636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731655 */     GIR_RootConstrainSelectedInstOperands,
     /*  731656 */     // GIR_Coverage, 11976,
     /*  731656 */     GIR_EraseRootFromParent_Done,
     /*  731657 */   // Label 11473: @731657
     /*  731657 */   GIM_Try, /*On fail goto*//*Label 11474*/ GIMT_Encode4(731732), // Rule ID 11979 //
     /*  731662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  731673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  731676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  731679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731708 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  731711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731730 */     GIR_RootConstrainSelectedInstOperands,
     /*  731731 */     // GIR_Coverage, 11979,
     /*  731731 */     GIR_EraseRootFromParent_Done,
     /*  731732 */   // Label 11474: @731732
     /*  731732 */   GIM_Try, /*On fail goto*//*Label 11475*/ GIMT_Encode4(731807), // Rule ID 11980 //
     /*  731737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  731748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  731751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  731754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731783 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  731786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731805 */     GIR_RootConstrainSelectedInstOperands,
     /*  731806 */     // GIR_Coverage, 11980,
     /*  731806 */     GIR_EraseRootFromParent_Done,
     /*  731807 */   // Label 11475: @731807
     /*  731807 */   GIM_Try, /*On fail goto*//*Label 11476*/ GIMT_Encode4(731882), // Rule ID 11983 //
     /*  731812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  731823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  731826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  731829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  731861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731880 */     GIR_RootConstrainSelectedInstOperands,
     /*  731881 */     // GIR_Coverage, 11983,
     /*  731881 */     GIR_EraseRootFromParent_Done,
     /*  731882 */   // Label 11476: @731882
     /*  731882 */   GIM_Try, /*On fail goto*//*Label 11477*/ GIMT_Encode4(731957), // Rule ID 11984 //
     /*  731887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  731898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  731901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  731904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731933 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  731936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731955 */     GIR_RootConstrainSelectedInstOperands,
     /*  731956 */     // GIR_Coverage, 11984,
     /*  731956 */     GIR_EraseRootFromParent_Done,
     /*  731957 */   // Label 11477: @731957
     /*  731957 */   GIM_Try, /*On fail goto*//*Label 11478*/ GIMT_Encode4(732032), // Rule ID 11987 //
     /*  731962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  731970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  731973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  731976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  731979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  732008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  732011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732030 */     GIR_RootConstrainSelectedInstOperands,
     /*  732031 */     // GIR_Coverage, 11987,
     /*  732031 */     GIR_EraseRootFromParent_Done,
     /*  732032 */   // Label 11478: @732032
     /*  732032 */   GIM_Try, /*On fail goto*//*Label 11479*/ GIMT_Encode4(732107), // Rule ID 11988 //
     /*  732037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  732048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  732051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  732054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732083 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  732083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  732086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732105 */     GIR_RootConstrainSelectedInstOperands,
     /*  732106 */     // GIR_Coverage, 11988,
     /*  732106 */     GIR_EraseRootFromParent_Done,
     /*  732107 */   // Label 11479: @732107
     /*  732107 */   GIM_Try, /*On fail goto*//*Label 11480*/ GIMT_Encode4(732182), // Rule ID 11991 //
     /*  732112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  732115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  732123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  732126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  732129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732158 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  732158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  732161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732180 */     GIR_RootConstrainSelectedInstOperands,
     /*  732181 */     // GIR_Coverage, 11991,
     /*  732181 */     GIR_EraseRootFromParent_Done,
     /*  732182 */   // Label 11480: @732182
     /*  732182 */   GIM_Try, /*On fail goto*//*Label 11481*/ GIMT_Encode4(732257), // Rule ID 11992 //
     /*  732187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  732190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  732198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  732201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  732204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732233 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  732233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  732236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732255 */     GIR_RootConstrainSelectedInstOperands,
     /*  732256 */     // GIR_Coverage, 11992,
     /*  732256 */     GIR_EraseRootFromParent_Done,
     /*  732257 */   // Label 11481: @732257
     /*  732257 */   GIM_Try, /*On fail goto*//*Label 11482*/ GIMT_Encode4(732332), // Rule ID 11995 //
     /*  732262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  732273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  732276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  732279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732308 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  732311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732330 */     GIR_RootConstrainSelectedInstOperands,
     /*  732331 */     // GIR_Coverage, 11995,
     /*  732331 */     GIR_EraseRootFromParent_Done,
     /*  732332 */   // Label 11482: @732332
     /*  732332 */   GIM_Try, /*On fail goto*//*Label 11483*/ GIMT_Encode4(732407), // Rule ID 11996 //
     /*  732337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  732348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  732351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  732354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732383 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  732386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732405 */     GIR_RootConstrainSelectedInstOperands,
     /*  732406 */     // GIR_Coverage, 11996,
     /*  732406 */     GIR_EraseRootFromParent_Done,
     /*  732407 */   // Label 11483: @732407
     /*  732407 */   GIM_Try, /*On fail goto*//*Label 11484*/ GIMT_Encode4(732482), // Rule ID 11999 //
     /*  732412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  732423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  732426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  732429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732458 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  732461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732480 */     GIR_RootConstrainSelectedInstOperands,
     /*  732481 */     // GIR_Coverage, 11999,
     /*  732481 */     GIR_EraseRootFromParent_Done,
     /*  732482 */   // Label 11484: @732482
     /*  732482 */   GIM_Try, /*On fail goto*//*Label 11485*/ GIMT_Encode4(732557), // Rule ID 12000 //
     /*  732487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  732498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  732501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  732504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732533 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  732536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732555 */     GIR_RootConstrainSelectedInstOperands,
     /*  732556 */     // GIR_Coverage, 12000,
     /*  732556 */     GIR_EraseRootFromParent_Done,
     /*  732557 */   // Label 11485: @732557
     /*  732557 */   GIM_Try, /*On fail goto*//*Label 11486*/ GIMT_Encode4(732632), // Rule ID 12003 //
     /*  732562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  732573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  732576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  732579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732608 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  732611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732630 */     GIR_RootConstrainSelectedInstOperands,
     /*  732631 */     // GIR_Coverage, 12003,
     /*  732631 */     GIR_EraseRootFromParent_Done,
     /*  732632 */   // Label 11486: @732632
     /*  732632 */   GIM_Try, /*On fail goto*//*Label 11487*/ GIMT_Encode4(732707), // Rule ID 12004 //
     /*  732637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  732648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  732651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  732654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732683 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  732686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732705 */     GIR_RootConstrainSelectedInstOperands,
     /*  732706 */     // GIR_Coverage, 12004,
     /*  732706 */     GIR_EraseRootFromParent_Done,
     /*  732707 */   // Label 11487: @732707
     /*  732707 */   GIM_Try, /*On fail goto*//*Label 11488*/ GIMT_Encode4(732782), // Rule ID 12007 //
     /*  732712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  732723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  732726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  732729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732758 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  732761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732780 */     GIR_RootConstrainSelectedInstOperands,
     /*  732781 */     // GIR_Coverage, 12007,
     /*  732781 */     GIR_EraseRootFromParent_Done,
     /*  732782 */   // Label 11488: @732782
     /*  732782 */   GIM_Try, /*On fail goto*//*Label 11489*/ GIMT_Encode4(732857), // Rule ID 12008 //
     /*  732787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  732798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  732801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  732804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732833 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  732836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732855 */     GIR_RootConstrainSelectedInstOperands,
     /*  732856 */     // GIR_Coverage, 12008,
     /*  732856 */     GIR_EraseRootFromParent_Done,
     /*  732857 */   // Label 11489: @732857
     /*  732857 */   GIM_Try, /*On fail goto*//*Label 11490*/ GIMT_Encode4(732932), // Rule ID 12011 //
     /*  732862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  732873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  732876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  732879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732908 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  732911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732930 */     GIR_RootConstrainSelectedInstOperands,
     /*  732931 */     // GIR_Coverage, 12011,
     /*  732931 */     GIR_EraseRootFromParent_Done,
     /*  732932 */   // Label 11490: @732932
     /*  732932 */   GIM_Try, /*On fail goto*//*Label 11491*/ GIMT_Encode4(733007), // Rule ID 12012 //
     /*  732937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  732945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  732948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  732951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  732954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732983 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  732986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733005 */     GIR_RootConstrainSelectedInstOperands,
     /*  733006 */     // GIR_Coverage, 12012,
     /*  733006 */     GIR_EraseRootFromParent_Done,
     /*  733007 */   // Label 11491: @733007
     /*  733007 */   GIM_Try, /*On fail goto*//*Label 11492*/ GIMT_Encode4(733082), // Rule ID 12015 //
     /*  733012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  733023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  733026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  733029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733058 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  733061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733080 */     GIR_RootConstrainSelectedInstOperands,
     /*  733081 */     // GIR_Coverage, 12015,
     /*  733081 */     GIR_EraseRootFromParent_Done,
     /*  733082 */   // Label 11492: @733082
     /*  733082 */   GIM_Try, /*On fail goto*//*Label 11493*/ GIMT_Encode4(733157), // Rule ID 12016 //
     /*  733087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  733098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  733101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  733104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733133 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  733133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  733136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733155 */     GIR_RootConstrainSelectedInstOperands,
     /*  733156 */     // GIR_Coverage, 12016,
     /*  733156 */     GIR_EraseRootFromParent_Done,
     /*  733157 */   // Label 11493: @733157
     /*  733157 */   GIM_Try, /*On fail goto*//*Label 11494*/ GIMT_Encode4(733232), // Rule ID 12019 //
     /*  733162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  733173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  733176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  733179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733208 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  733208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  733211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733230 */     GIR_RootConstrainSelectedInstOperands,
     /*  733231 */     // GIR_Coverage, 12019,
     /*  733231 */     GIR_EraseRootFromParent_Done,
     /*  733232 */   // Label 11494: @733232
     /*  733232 */   GIM_Try, /*On fail goto*//*Label 11495*/ GIMT_Encode4(733307), // Rule ID 12020 //
     /*  733237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  733248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  733251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  733254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733283 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  733283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  733286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733305 */     GIR_RootConstrainSelectedInstOperands,
     /*  733306 */     // GIR_Coverage, 12020,
     /*  733306 */     GIR_EraseRootFromParent_Done,
     /*  733307 */   // Label 11495: @733307
     /*  733307 */   GIM_Try, /*On fail goto*//*Label 11496*/ GIMT_Encode4(733382), // Rule ID 12023 //
     /*  733312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  733323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  733326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  733329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733358 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  733358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  733361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733380 */     GIR_RootConstrainSelectedInstOperands,
     /*  733381 */     // GIR_Coverage, 12023,
     /*  733381 */     GIR_EraseRootFromParent_Done,
     /*  733382 */   // Label 11496: @733382
     /*  733382 */   GIM_Try, /*On fail goto*//*Label 11497*/ GIMT_Encode4(733457), // Rule ID 12024 //
     /*  733387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  733398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  733401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  733404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733433 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  733433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  733436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733455 */     GIR_RootConstrainSelectedInstOperands,
     /*  733456 */     // GIR_Coverage, 12024,
     /*  733456 */     GIR_EraseRootFromParent_Done,
     /*  733457 */   // Label 11497: @733457
     /*  733457 */   GIM_Try, /*On fail goto*//*Label 11498*/ GIMT_Encode4(733532), // Rule ID 12027 //
     /*  733462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  733473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  733476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  733479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733508 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  733508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  733511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733530 */     GIR_RootConstrainSelectedInstOperands,
     /*  733531 */     // GIR_Coverage, 12027,
     /*  733531 */     GIR_EraseRootFromParent_Done,
     /*  733532 */   // Label 11498: @733532
     /*  733532 */   GIM_Try, /*On fail goto*//*Label 11499*/ GIMT_Encode4(733607), // Rule ID 12028 //
     /*  733537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  733548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  733551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  733554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733583 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  733583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  733586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733605 */     GIR_RootConstrainSelectedInstOperands,
     /*  733606 */     // GIR_Coverage, 12028,
     /*  733606 */     GIR_EraseRootFromParent_Done,
     /*  733607 */   // Label 11499: @733607
     /*  733607 */   GIM_Try, /*On fail goto*//*Label 11500*/ GIMT_Encode4(733682), // Rule ID 12031 //
     /*  733612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  733615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  733623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  733626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  733629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733658 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  733658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  733661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733680 */     GIR_RootConstrainSelectedInstOperands,
     /*  733681 */     // GIR_Coverage, 12031,
     /*  733681 */     GIR_EraseRootFromParent_Done,
     /*  733682 */   // Label 11500: @733682
     /*  733682 */   GIM_Try, /*On fail goto*//*Label 11501*/ GIMT_Encode4(733757), // Rule ID 12032 //
     /*  733687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  733690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  733698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  733701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  733704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733733 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  733733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  733736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733755 */     GIR_RootConstrainSelectedInstOperands,
     /*  733756 */     // GIR_Coverage, 12032,
     /*  733756 */     GIR_EraseRootFromParent_Done,
     /*  733757 */   // Label 11501: @733757
     /*  733757 */   GIM_Try, /*On fail goto*//*Label 11502*/ GIMT_Encode4(733832), // Rule ID 12035 //
     /*  733762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  733765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  733773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  733776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  733779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733808 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  733808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  733811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733830 */     GIR_RootConstrainSelectedInstOperands,
     /*  733831 */     // GIR_Coverage, 12035,
     /*  733831 */     GIR_EraseRootFromParent_Done,
     /*  733832 */   // Label 11502: @733832
     /*  733832 */   GIM_Try, /*On fail goto*//*Label 11503*/ GIMT_Encode4(733907), // Rule ID 12036 //
     /*  733837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  733840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  733848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  733851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  733854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733883 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  733883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  733886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733905 */     GIR_RootConstrainSelectedInstOperands,
     /*  733906 */     // GIR_Coverage, 12036,
     /*  733906 */     GIR_EraseRootFromParent_Done,
     /*  733907 */   // Label 11503: @733907
     /*  733907 */   GIM_Try, /*On fail goto*//*Label 11504*/ GIMT_Encode4(733982), // Rule ID 12039 //
     /*  733912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  733915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  733923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  733926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  733929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733958 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  733958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  733961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733980 */     GIR_RootConstrainSelectedInstOperands,
     /*  733981 */     // GIR_Coverage, 12039,
     /*  733981 */     GIR_EraseRootFromParent_Done,
     /*  733982 */   // Label 11504: @733982
     /*  733982 */   GIM_Try, /*On fail goto*//*Label 11505*/ GIMT_Encode4(734057), // Rule ID 12040 //
     /*  733987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  733990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  733998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  734001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  734004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734033 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  734033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  734036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734055 */     GIR_RootConstrainSelectedInstOperands,
     /*  734056 */     // GIR_Coverage, 12040,
     /*  734056 */     GIR_EraseRootFromParent_Done,
     /*  734057 */   // Label 11505: @734057
     /*  734057 */   GIM_Try, /*On fail goto*//*Label 11506*/ GIMT_Encode4(734132), // Rule ID 12043 //
     /*  734062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  734073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  734076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  734079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  734082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734108 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  734111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734130 */     GIR_RootConstrainSelectedInstOperands,
     /*  734131 */     // GIR_Coverage, 12043,
     /*  734131 */     GIR_EraseRootFromParent_Done,
     /*  734132 */   // Label 11506: @734132
     /*  734132 */   GIM_Try, /*On fail goto*//*Label 11507*/ GIMT_Encode4(734207), // Rule ID 12044 //
     /*  734137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  734148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  734151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  734154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  734157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734183 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  734186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734205 */     GIR_RootConstrainSelectedInstOperands,
     /*  734206 */     // GIR_Coverage, 12044,
     /*  734206 */     GIR_EraseRootFromParent_Done,
     /*  734207 */   // Label 11507: @734207
     /*  734207 */   GIM_Try, /*On fail goto*//*Label 11508*/ GIMT_Encode4(734282), // Rule ID 12047 //
     /*  734212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  734223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  734226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  734229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  734232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734258 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  734261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734280 */     GIR_RootConstrainSelectedInstOperands,
     /*  734281 */     // GIR_Coverage, 12047,
     /*  734281 */     GIR_EraseRootFromParent_Done,
     /*  734282 */   // Label 11508: @734282
     /*  734282 */   GIM_Try, /*On fail goto*//*Label 11509*/ GIMT_Encode4(734357), // Rule ID 12048 //
     /*  734287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  734298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  734301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  734304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  734307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734333 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  734336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734355 */     GIR_RootConstrainSelectedInstOperands,
     /*  734356 */     // GIR_Coverage, 12048,
     /*  734356 */     GIR_EraseRootFromParent_Done,
     /*  734357 */   // Label 11509: @734357
     /*  734357 */   GIM_Try, /*On fail goto*//*Label 11510*/ GIMT_Encode4(734432), // Rule ID 12051 //
     /*  734362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  734373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  734376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  734379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  734382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734408 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  734411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734430 */     GIR_RootConstrainSelectedInstOperands,
     /*  734431 */     // GIR_Coverage, 12051,
     /*  734431 */     GIR_EraseRootFromParent_Done,
     /*  734432 */   // Label 11510: @734432
     /*  734432 */   GIM_Try, /*On fail goto*//*Label 11511*/ GIMT_Encode4(734507), // Rule ID 12052 //
     /*  734437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  734448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  734451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  734454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  734457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734483 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  734486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734505 */     GIR_RootConstrainSelectedInstOperands,
     /*  734506 */     // GIR_Coverage, 12052,
     /*  734506 */     GIR_EraseRootFromParent_Done,
     /*  734507 */   // Label 11511: @734507
     /*  734507 */   GIM_Try, /*On fail goto*//*Label 11512*/ GIMT_Encode4(734582), // Rule ID 12055 //
     /*  734512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  734523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  734526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  734529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  734532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734558 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  734561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734580 */     GIR_RootConstrainSelectedInstOperands,
     /*  734581 */     // GIR_Coverage, 12055,
     /*  734581 */     GIR_EraseRootFromParent_Done,
     /*  734582 */   // Label 11512: @734582
     /*  734582 */   GIM_Try, /*On fail goto*//*Label 11513*/ GIMT_Encode4(734657), // Rule ID 12056 //
     /*  734587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  734598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  734601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  734604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  734607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734633 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  734636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734655 */     GIR_RootConstrainSelectedInstOperands,
     /*  734656 */     // GIR_Coverage, 12056,
     /*  734656 */     GIR_EraseRootFromParent_Done,
     /*  734657 */   // Label 11513: @734657
     /*  734657 */   GIM_Try, /*On fail goto*//*Label 11514*/ GIMT_Encode4(734732), // Rule ID 12059 //
     /*  734662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  734673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  734676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  734679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  734682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734708 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  734711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734730 */     GIR_RootConstrainSelectedInstOperands,
     /*  734731 */     // GIR_Coverage, 12059,
     /*  734731 */     GIR_EraseRootFromParent_Done,
     /*  734732 */   // Label 11514: @734732
     /*  734732 */   GIM_Try, /*On fail goto*//*Label 11515*/ GIMT_Encode4(734807), // Rule ID 12060 //
     /*  734737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  734748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  734751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  734754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  734757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734783 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  734786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734805 */     GIR_RootConstrainSelectedInstOperands,
     /*  734806 */     // GIR_Coverage, 12060,
     /*  734806 */     GIR_EraseRootFromParent_Done,
     /*  734807 */   // Label 11515: @734807
     /*  734807 */   GIM_Try, /*On fail goto*//*Label 11516*/ GIMT_Encode4(734882), // Rule ID 12063 //
     /*  734812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  734823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  734826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  734829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  734832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734858 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  734861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734880 */     GIR_RootConstrainSelectedInstOperands,
     /*  734881 */     // GIR_Coverage, 12063,
     /*  734881 */     GIR_EraseRootFromParent_Done,
     /*  734882 */   // Label 11516: @734882
     /*  734882 */   GIM_Try, /*On fail goto*//*Label 11517*/ GIMT_Encode4(734957), // Rule ID 12064 //
     /*  734887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  734898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  734901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  734904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  734907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734933 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  734936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734955 */     GIR_RootConstrainSelectedInstOperands,
     /*  734956 */     // GIR_Coverage, 12064,
     /*  734956 */     GIR_EraseRootFromParent_Done,
     /*  734957 */   // Label 11517: @734957
     /*  734957 */   GIM_Try, /*On fail goto*//*Label 11518*/ GIMT_Encode4(735032), // Rule ID 12067 //
     /*  734962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  734973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  734976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  734979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  734982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  735011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735030 */     GIR_RootConstrainSelectedInstOperands,
     /*  735031 */     // GIR_Coverage, 12067,
     /*  735031 */     GIR_EraseRootFromParent_Done,
     /*  735032 */   // Label 11518: @735032
     /*  735032 */   GIM_Try, /*On fail goto*//*Label 11519*/ GIMT_Encode4(735107), // Rule ID 12068 //
     /*  735037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  735048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  735051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  735054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  735057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735083 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  735086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735105 */     GIR_RootConstrainSelectedInstOperands,
     /*  735106 */     // GIR_Coverage, 12068,
     /*  735106 */     GIR_EraseRootFromParent_Done,
     /*  735107 */   // Label 11519: @735107
     /*  735107 */   GIM_Try, /*On fail goto*//*Label 11520*/ GIMT_Encode4(735182), // Rule ID 12071 //
     /*  735112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  735123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  735126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  735129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  735132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735158 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  735161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735180 */     GIR_RootConstrainSelectedInstOperands,
     /*  735181 */     // GIR_Coverage, 12071,
     /*  735181 */     GIR_EraseRootFromParent_Done,
     /*  735182 */   // Label 11520: @735182
     /*  735182 */   GIM_Try, /*On fail goto*//*Label 11521*/ GIMT_Encode4(735257), // Rule ID 12072 //
     /*  735187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  735198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  735201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  735204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  735207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735233 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  735236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735255 */     GIR_RootConstrainSelectedInstOperands,
     /*  735256 */     // GIR_Coverage, 12072,
     /*  735256 */     GIR_EraseRootFromParent_Done,
     /*  735257 */   // Label 11521: @735257
     /*  735257 */   GIM_Try, /*On fail goto*//*Label 11522*/ GIMT_Encode4(735332), // Rule ID 12075 //
     /*  735262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  735273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  735276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  735279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  735282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  735308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  735311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735330 */     GIR_RootConstrainSelectedInstOperands,
     /*  735331 */     // GIR_Coverage, 12075,
     /*  735331 */     GIR_EraseRootFromParent_Done,
     /*  735332 */   // Label 11522: @735332
     /*  735332 */   GIM_Try, /*On fail goto*//*Label 11523*/ GIMT_Encode4(735407), // Rule ID 12076 //
     /*  735337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  735348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  735351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  735354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  735357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735383 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  735383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  735386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735405 */     GIR_RootConstrainSelectedInstOperands,
     /*  735406 */     // GIR_Coverage, 12076,
     /*  735406 */     GIR_EraseRootFromParent_Done,
     /*  735407 */   // Label 11523: @735407
     /*  735407 */   GIM_Try, /*On fail goto*//*Label 11524*/ GIMT_Encode4(735482), // Rule ID 12079 //
     /*  735412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  735415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  735423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  735426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  735429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  735432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735458 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  735458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  735461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735480 */     GIR_RootConstrainSelectedInstOperands,
     /*  735481 */     // GIR_Coverage, 12079,
     /*  735481 */     GIR_EraseRootFromParent_Done,
     /*  735482 */   // Label 11524: @735482
     /*  735482 */   GIM_Try, /*On fail goto*//*Label 11525*/ GIMT_Encode4(735557), // Rule ID 12080 //
     /*  735487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  735490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  735498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  735501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  735504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  735507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735533 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  735533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  735536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735555 */     GIR_RootConstrainSelectedInstOperands,
     /*  735556 */     // GIR_Coverage, 12080,
     /*  735556 */     GIR_EraseRootFromParent_Done,
     /*  735557 */   // Label 11525: @735557
     /*  735557 */   GIM_Try, /*On fail goto*//*Label 11526*/ GIMT_Encode4(735632), // Rule ID 12083 //
     /*  735562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  735573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  735576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  735579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  735582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735608 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  735611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735630 */     GIR_RootConstrainSelectedInstOperands,
     /*  735631 */     // GIR_Coverage, 12083,
     /*  735631 */     GIR_EraseRootFromParent_Done,
     /*  735632 */   // Label 11526: @735632
     /*  735632 */   GIM_Try, /*On fail goto*//*Label 11527*/ GIMT_Encode4(735707), // Rule ID 12084 //
     /*  735637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  735648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  735651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  735654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  735657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735683 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  735686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735705 */     GIR_RootConstrainSelectedInstOperands,
     /*  735706 */     // GIR_Coverage, 12084,
     /*  735706 */     GIR_EraseRootFromParent_Done,
     /*  735707 */   // Label 11527: @735707
     /*  735707 */   GIM_Try, /*On fail goto*//*Label 11528*/ GIMT_Encode4(735782), // Rule ID 12087 //
     /*  735712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  735723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  735726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  735729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  735732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735758 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  735761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735780 */     GIR_RootConstrainSelectedInstOperands,
     /*  735781 */     // GIR_Coverage, 12087,
     /*  735781 */     GIR_EraseRootFromParent_Done,
     /*  735782 */   // Label 11528: @735782
     /*  735782 */   GIM_Try, /*On fail goto*//*Label 11529*/ GIMT_Encode4(735857), // Rule ID 12088 //
     /*  735787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  735798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  735801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  735804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  735807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735833 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  735836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735855 */     GIR_RootConstrainSelectedInstOperands,
     /*  735856 */     // GIR_Coverage, 12088,
     /*  735856 */     GIR_EraseRootFromParent_Done,
     /*  735857 */   // Label 11529: @735857
     /*  735857 */   GIM_Try, /*On fail goto*//*Label 11530*/ GIMT_Encode4(735932), // Rule ID 12091 //
     /*  735862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  735873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  735876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  735879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  735882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735908 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  735911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735930 */     GIR_RootConstrainSelectedInstOperands,
     /*  735931 */     // GIR_Coverage, 12091,
     /*  735931 */     GIR_EraseRootFromParent_Done,
     /*  735932 */   // Label 11530: @735932
     /*  735932 */   GIM_Try, /*On fail goto*//*Label 11531*/ GIMT_Encode4(736007), // Rule ID 12092 //
     /*  735937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  735948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  735951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  735954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  735957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735983 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  735986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736005 */     GIR_RootConstrainSelectedInstOperands,
     /*  736006 */     // GIR_Coverage, 12092,
     /*  736006 */     GIR_EraseRootFromParent_Done,
     /*  736007 */   // Label 11531: @736007
     /*  736007 */   GIM_Try, /*On fail goto*//*Label 11532*/ GIMT_Encode4(736082), // Rule ID 12095 //
     /*  736012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  736023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  736026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  736029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  736032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736058 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  736058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  736061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736080 */     GIR_RootConstrainSelectedInstOperands,
     /*  736081 */     // GIR_Coverage, 12095,
     /*  736081 */     GIR_EraseRootFromParent_Done,
     /*  736082 */   // Label 11532: @736082
     /*  736082 */   GIM_Try, /*On fail goto*//*Label 11533*/ GIMT_Encode4(736157), // Rule ID 12096 //
     /*  736087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  736098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  736101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  736104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  736107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736133 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  736133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  736136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736155 */     GIR_RootConstrainSelectedInstOperands,
     /*  736156 */     // GIR_Coverage, 12096,
     /*  736156 */     GIR_EraseRootFromParent_Done,
     /*  736157 */   // Label 11533: @736157
     /*  736157 */   GIM_Try, /*On fail goto*//*Label 11534*/ GIMT_Encode4(736232), // Rule ID 12099 //
     /*  736162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  736173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  736176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  736179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  736182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736208 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  736208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  736211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736230 */     GIR_RootConstrainSelectedInstOperands,
     /*  736231 */     // GIR_Coverage, 12099,
     /*  736231 */     GIR_EraseRootFromParent_Done,
     /*  736232 */   // Label 11534: @736232
     /*  736232 */   GIM_Try, /*On fail goto*//*Label 11535*/ GIMT_Encode4(736307), // Rule ID 12100 //
     /*  736237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  736248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  736251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  736254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  736257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736283 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  736283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  736286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736305 */     GIR_RootConstrainSelectedInstOperands,
     /*  736306 */     // GIR_Coverage, 12100,
     /*  736306 */     GIR_EraseRootFromParent_Done,
     /*  736307 */   // Label 11535: @736307
     /*  736307 */   GIM_Try, /*On fail goto*//*Label 11536*/ GIMT_Encode4(736382), // Rule ID 12103 //
     /*  736312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  736323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  736326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  736329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  736332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736358 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  736358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  736361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736380 */     GIR_RootConstrainSelectedInstOperands,
     /*  736381 */     // GIR_Coverage, 12103,
     /*  736381 */     GIR_EraseRootFromParent_Done,
     /*  736382 */   // Label 11536: @736382
     /*  736382 */   GIM_Try, /*On fail goto*//*Label 11537*/ GIMT_Encode4(736457), // Rule ID 12104 //
     /*  736387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  736398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  736401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  736404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  736407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736433 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  736433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  736436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736455 */     GIR_RootConstrainSelectedInstOperands,
     /*  736456 */     // GIR_Coverage, 12104,
     /*  736456 */     GIR_EraseRootFromParent_Done,
     /*  736457 */   // Label 11537: @736457
     /*  736457 */   GIM_Try, /*On fail goto*//*Label 11538*/ GIMT_Encode4(736532), // Rule ID 12107 //
     /*  736462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  736473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  736476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  736479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  736482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736508 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  736508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  736511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736530 */     GIR_RootConstrainSelectedInstOperands,
     /*  736531 */     // GIR_Coverage, 12107,
     /*  736531 */     GIR_EraseRootFromParent_Done,
     /*  736532 */   // Label 11538: @736532
     /*  736532 */   GIM_Try, /*On fail goto*//*Label 11539*/ GIMT_Encode4(736607), // Rule ID 12108 //
     /*  736537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  736548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  736551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  736554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  736557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736583 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  736583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  736586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736605 */     GIR_RootConstrainSelectedInstOperands,
     /*  736606 */     // GIR_Coverage, 12108,
     /*  736606 */     GIR_EraseRootFromParent_Done,
     /*  736607 */   // Label 11539: @736607
     /*  736607 */   GIM_Try, /*On fail goto*//*Label 11540*/ GIMT_Encode4(736682), // Rule ID 12111 //
     /*  736612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  736623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  736626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  736629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  736632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736658 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  736658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  736661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736680 */     GIR_RootConstrainSelectedInstOperands,
     /*  736681 */     // GIR_Coverage, 12111,
     /*  736681 */     GIR_EraseRootFromParent_Done,
     /*  736682 */   // Label 11540: @736682
     /*  736682 */   GIM_Try, /*On fail goto*//*Label 11541*/ GIMT_Encode4(736757), // Rule ID 12112 //
     /*  736687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  736698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  736701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  736704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  736707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736733 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  736733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  736736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736755 */     GIR_RootConstrainSelectedInstOperands,
     /*  736756 */     // GIR_Coverage, 12112,
     /*  736756 */     GIR_EraseRootFromParent_Done,
     /*  736757 */   // Label 11541: @736757
     /*  736757 */   GIM_Try, /*On fail goto*//*Label 11542*/ GIMT_Encode4(736832), // Rule ID 12115 //
     /*  736762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  736773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  736776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  736779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  736782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736808 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  736808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  736811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736830 */     GIR_RootConstrainSelectedInstOperands,
     /*  736831 */     // GIR_Coverage, 12115,
     /*  736831 */     GIR_EraseRootFromParent_Done,
     /*  736832 */   // Label 11542: @736832
     /*  736832 */   GIM_Try, /*On fail goto*//*Label 11543*/ GIMT_Encode4(736907), // Rule ID 12116 //
     /*  736837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  736848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  736851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  736854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  736857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736883 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  736883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  736886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736905 */     GIR_RootConstrainSelectedInstOperands,
     /*  736906 */     // GIR_Coverage, 12116,
     /*  736906 */     GIR_EraseRootFromParent_Done,
     /*  736907 */   // Label 11543: @736907
     /*  736907 */   GIM_Try, /*On fail goto*//*Label 11544*/ GIMT_Encode4(736982), // Rule ID 12119 //
     /*  736912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  736915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  736923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  736926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  736929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  736932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  736958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  736961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736980 */     GIR_RootConstrainSelectedInstOperands,
     /*  736981 */     // GIR_Coverage, 12119,
     /*  736981 */     GIR_EraseRootFromParent_Done,
     /*  736982 */   // Label 11544: @736982
     /*  736982 */   GIM_Try, /*On fail goto*//*Label 11545*/ GIMT_Encode4(737057), // Rule ID 12120 //
     /*  736987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  736990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  736995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  736998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  737001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  737004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  737007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737033 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  737033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  737036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  737052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737055 */     GIR_RootConstrainSelectedInstOperands,
     /*  737056 */     // GIR_Coverage, 12120,
     /*  737056 */     GIR_EraseRootFromParent_Done,
     /*  737057 */   // Label 11545: @737057
     /*  737057 */   GIM_Try, /*On fail goto*//*Label 11546*/ GIMT_Encode4(737132), // Rule ID 12123 //
     /*  737062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  737065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  737073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  737076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  737079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  737082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737108 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  737108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  737111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  737127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737130 */     GIR_RootConstrainSelectedInstOperands,
     /*  737131 */     // GIR_Coverage, 12123,
     /*  737131 */     GIR_EraseRootFromParent_Done,
     /*  737132 */   // Label 11546: @737132
     /*  737132 */   GIM_Try, /*On fail goto*//*Label 11547*/ GIMT_Encode4(737207), // Rule ID 12124 //
     /*  737137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  737140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  737148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  737151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  737154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  737157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737183 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  737183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  737186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  737202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737205 */     GIR_RootConstrainSelectedInstOperands,
     /*  737206 */     // GIR_Coverage, 12124,
     /*  737206 */     GIR_EraseRootFromParent_Done,
     /*  737207 */   // Label 11547: @737207
     /*  737207 */   GIM_Try, /*On fail goto*//*Label 11548*/ GIMT_Encode4(737282), // Rule ID 12127 //
     /*  737212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  737215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  737223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  737226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  737229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  737232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737258 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  737258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  737261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  737277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737280 */     GIR_RootConstrainSelectedInstOperands,
     /*  737281 */     // GIR_Coverage, 12127,
     /*  737281 */     GIR_EraseRootFromParent_Done,
     /*  737282 */   // Label 11548: @737282
     /*  737282 */   GIM_Try, /*On fail goto*//*Label 11549*/ GIMT_Encode4(737357), // Rule ID 12128 //
     /*  737287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  737290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  737298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  737301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  737304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  737307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737333 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  737333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  737336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  737352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737355 */     GIR_RootConstrainSelectedInstOperands,
     /*  737356 */     // GIR_Coverage, 12128,
     /*  737356 */     GIR_EraseRootFromParent_Done,
     /*  737357 */   // Label 11549: @737357
     /*  737357 */   GIM_Try, /*On fail goto*//*Label 11550*/ GIMT_Encode4(737432), // Rule ID 12131 //
     /*  737362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  737373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  737376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  737379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737408 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  737411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737430 */     GIR_RootConstrainSelectedInstOperands,
     /*  737431 */     // GIR_Coverage, 12131,
     /*  737431 */     GIR_EraseRootFromParent_Done,
     /*  737432 */   // Label 11550: @737432
     /*  737432 */   GIM_Try, /*On fail goto*//*Label 11551*/ GIMT_Encode4(737507), // Rule ID 12132 //
     /*  737437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  737448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  737451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  737454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737483 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  737486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737505 */     GIR_RootConstrainSelectedInstOperands,
     /*  737506 */     // GIR_Coverage, 12132,
     /*  737506 */     GIR_EraseRootFromParent_Done,
     /*  737507 */   // Label 11551: @737507
     /*  737507 */   GIM_Try, /*On fail goto*//*Label 11552*/ GIMT_Encode4(737582), // Rule ID 12135 //
     /*  737512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  737523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  737526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  737529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737558 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  737561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737580 */     GIR_RootConstrainSelectedInstOperands,
     /*  737581 */     // GIR_Coverage, 12135,
     /*  737581 */     GIR_EraseRootFromParent_Done,
     /*  737582 */   // Label 11552: @737582
     /*  737582 */   GIM_Try, /*On fail goto*//*Label 11553*/ GIMT_Encode4(737657), // Rule ID 12136 //
     /*  737587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  737598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  737601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  737604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737633 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  737636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737655 */     GIR_RootConstrainSelectedInstOperands,
     /*  737656 */     // GIR_Coverage, 12136,
     /*  737656 */     GIR_EraseRootFromParent_Done,
     /*  737657 */   // Label 11553: @737657
     /*  737657 */   GIM_Try, /*On fail goto*//*Label 11554*/ GIMT_Encode4(737732), // Rule ID 12139 //
     /*  737662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  737673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  737676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  737679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737708 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  737711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737730 */     GIR_RootConstrainSelectedInstOperands,
     /*  737731 */     // GIR_Coverage, 12139,
     /*  737731 */     GIR_EraseRootFromParent_Done,
     /*  737732 */   // Label 11554: @737732
     /*  737732 */   GIM_Try, /*On fail goto*//*Label 11555*/ GIMT_Encode4(737807), // Rule ID 12140 //
     /*  737737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  737748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  737751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  737754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737783 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  737786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737805 */     GIR_RootConstrainSelectedInstOperands,
     /*  737806 */     // GIR_Coverage, 12140,
     /*  737806 */     GIR_EraseRootFromParent_Done,
     /*  737807 */   // Label 11555: @737807
     /*  737807 */   GIM_Try, /*On fail goto*//*Label 11556*/ GIMT_Encode4(737882), // Rule ID 12143 //
     /*  737812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  737823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  737826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  737829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737858 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  737861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737880 */     GIR_RootConstrainSelectedInstOperands,
     /*  737881 */     // GIR_Coverage, 12143,
     /*  737881 */     GIR_EraseRootFromParent_Done,
     /*  737882 */   // Label 11556: @737882
     /*  737882 */   GIM_Try, /*On fail goto*//*Label 11557*/ GIMT_Encode4(737957), // Rule ID 12144 //
     /*  737887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  737898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  737901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  737904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737933 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  737936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737955 */     GIR_RootConstrainSelectedInstOperands,
     /*  737956 */     // GIR_Coverage, 12144,
     /*  737956 */     GIR_EraseRootFromParent_Done,
     /*  737957 */   // Label 11557: @737957
     /*  737957 */   GIM_Try, /*On fail goto*//*Label 11558*/ GIMT_Encode4(738032), // Rule ID 12147 //
     /*  737962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  737970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  737973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  737976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  737979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738008 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  738008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  738011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738030 */     GIR_RootConstrainSelectedInstOperands,
     /*  738031 */     // GIR_Coverage, 12147,
     /*  738031 */     GIR_EraseRootFromParent_Done,
     /*  738032 */   // Label 11558: @738032
     /*  738032 */   GIM_Try, /*On fail goto*//*Label 11559*/ GIMT_Encode4(738107), // Rule ID 12148 //
     /*  738037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  738048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  738051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  738054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738083 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  738083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  738086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738105 */     GIR_RootConstrainSelectedInstOperands,
     /*  738106 */     // GIR_Coverage, 12148,
     /*  738106 */     GIR_EraseRootFromParent_Done,
     /*  738107 */   // Label 11559: @738107
     /*  738107 */   GIM_Try, /*On fail goto*//*Label 11560*/ GIMT_Encode4(738182), // Rule ID 12151 //
     /*  738112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  738123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  738126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  738129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738158 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  738158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  738161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738180 */     GIR_RootConstrainSelectedInstOperands,
     /*  738181 */     // GIR_Coverage, 12151,
     /*  738181 */     GIR_EraseRootFromParent_Done,
     /*  738182 */   // Label 11560: @738182
     /*  738182 */   GIM_Try, /*On fail goto*//*Label 11561*/ GIMT_Encode4(738257), // Rule ID 12152 //
     /*  738187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  738198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  738201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  738204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738233 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  738233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  738236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738255 */     GIR_RootConstrainSelectedInstOperands,
     /*  738256 */     // GIR_Coverage, 12152,
     /*  738256 */     GIR_EraseRootFromParent_Done,
     /*  738257 */   // Label 11561: @738257
     /*  738257 */   GIM_Try, /*On fail goto*//*Label 11562*/ GIMT_Encode4(738332), // Rule ID 12155 //
     /*  738262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  738273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  738276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  738279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738308 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  738311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738330 */     GIR_RootConstrainSelectedInstOperands,
     /*  738331 */     // GIR_Coverage, 12155,
     /*  738331 */     GIR_EraseRootFromParent_Done,
     /*  738332 */   // Label 11562: @738332
     /*  738332 */   GIM_Try, /*On fail goto*//*Label 11563*/ GIMT_Encode4(738407), // Rule ID 12156 //
     /*  738337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  738348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  738351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  738354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738383 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  738386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738405 */     GIR_RootConstrainSelectedInstOperands,
     /*  738406 */     // GIR_Coverage, 12156,
     /*  738406 */     GIR_EraseRootFromParent_Done,
     /*  738407 */   // Label 11563: @738407
     /*  738407 */   GIM_Try, /*On fail goto*//*Label 11564*/ GIMT_Encode4(738482), // Rule ID 12159 //
     /*  738412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  738423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  738426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  738429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  738458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  738461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738480 */     GIR_RootConstrainSelectedInstOperands,
     /*  738481 */     // GIR_Coverage, 12159,
     /*  738481 */     GIR_EraseRootFromParent_Done,
     /*  738482 */   // Label 11564: @738482
     /*  738482 */   GIM_Try, /*On fail goto*//*Label 11565*/ GIMT_Encode4(738557), // Rule ID 12160 //
     /*  738487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  738498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  738501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  738504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738533 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  738533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  738536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738555 */     GIR_RootConstrainSelectedInstOperands,
     /*  738556 */     // GIR_Coverage, 12160,
     /*  738556 */     GIR_EraseRootFromParent_Done,
     /*  738557 */   // Label 11565: @738557
     /*  738557 */   GIM_Try, /*On fail goto*//*Label 11566*/ GIMT_Encode4(738632), // Rule ID 12163 //
     /*  738562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  738573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  738576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  738579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  738608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  738611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738630 */     GIR_RootConstrainSelectedInstOperands,
     /*  738631 */     // GIR_Coverage, 12163,
     /*  738631 */     GIR_EraseRootFromParent_Done,
     /*  738632 */   // Label 11566: @738632
     /*  738632 */   GIM_Try, /*On fail goto*//*Label 11567*/ GIMT_Encode4(738707), // Rule ID 12164 //
     /*  738637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  738648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  738651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  738654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738683 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  738683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  738686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738705 */     GIR_RootConstrainSelectedInstOperands,
     /*  738706 */     // GIR_Coverage, 12164,
     /*  738706 */     GIR_EraseRootFromParent_Done,
     /*  738707 */   // Label 11567: @738707
     /*  738707 */   GIM_Try, /*On fail goto*//*Label 11568*/ GIMT_Encode4(738782), // Rule ID 12167 //
     /*  738712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  738715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  738723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  738726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  738729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738758 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  738758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  738761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738780 */     GIR_RootConstrainSelectedInstOperands,
     /*  738781 */     // GIR_Coverage, 12167,
     /*  738781 */     GIR_EraseRootFromParent_Done,
     /*  738782 */   // Label 11568: @738782
     /*  738782 */   GIM_Try, /*On fail goto*//*Label 11569*/ GIMT_Encode4(738857), // Rule ID 12168 //
     /*  738787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  738790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  738798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  738801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  738804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738833 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  738833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  738836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738855 */     GIR_RootConstrainSelectedInstOperands,
     /*  738856 */     // GIR_Coverage, 12168,
     /*  738856 */     GIR_EraseRootFromParent_Done,
     /*  738857 */   // Label 11569: @738857
     /*  738857 */   GIM_Try, /*On fail goto*//*Label 11570*/ GIMT_Encode4(738932), // Rule ID 12171 //
     /*  738862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  738873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  738876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  738879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738908 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  738911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738930 */     GIR_RootConstrainSelectedInstOperands,
     /*  738931 */     // GIR_Coverage, 12171,
     /*  738931 */     GIR_EraseRootFromParent_Done,
     /*  738932 */   // Label 11570: @738932
     /*  738932 */   GIM_Try, /*On fail goto*//*Label 11571*/ GIMT_Encode4(739007), // Rule ID 12172 //
     /*  738937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  738945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  738948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  738951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  738954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738983 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  738986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739005 */     GIR_RootConstrainSelectedInstOperands,
     /*  739006 */     // GIR_Coverage, 12172,
     /*  739006 */     GIR_EraseRootFromParent_Done,
     /*  739007 */   // Label 11571: @739007
     /*  739007 */   GIM_Try, /*On fail goto*//*Label 11572*/ GIMT_Encode4(739082), // Rule ID 12175 //
     /*  739012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  739023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  739026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  739029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739058 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  739061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739080 */     GIR_RootConstrainSelectedInstOperands,
     /*  739081 */     // GIR_Coverage, 12175,
     /*  739081 */     GIR_EraseRootFromParent_Done,
     /*  739082 */   // Label 11572: @739082
     /*  739082 */   GIM_Try, /*On fail goto*//*Label 11573*/ GIMT_Encode4(739157), // Rule ID 12176 //
     /*  739087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  739098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  739101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  739104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739133 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  739136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739155 */     GIR_RootConstrainSelectedInstOperands,
     /*  739156 */     // GIR_Coverage, 12176,
     /*  739156 */     GIR_EraseRootFromParent_Done,
     /*  739157 */   // Label 11573: @739157
     /*  739157 */   GIM_Try, /*On fail goto*//*Label 11574*/ GIMT_Encode4(739232), // Rule ID 12179 //
     /*  739162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  739173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  739176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  739179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739208 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  739211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739230 */     GIR_RootConstrainSelectedInstOperands,
     /*  739231 */     // GIR_Coverage, 12179,
     /*  739231 */     GIR_EraseRootFromParent_Done,
     /*  739232 */   // Label 11574: @739232
     /*  739232 */   GIM_Try, /*On fail goto*//*Label 11575*/ GIMT_Encode4(739307), // Rule ID 12180 //
     /*  739237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  739248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  739251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  739254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739283 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  739286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739305 */     GIR_RootConstrainSelectedInstOperands,
     /*  739306 */     // GIR_Coverage, 12180,
     /*  739306 */     GIR_EraseRootFromParent_Done,
     /*  739307 */   // Label 11575: @739307
     /*  739307 */   GIM_Try, /*On fail goto*//*Label 11576*/ GIMT_Encode4(739382), // Rule ID 12183 //
     /*  739312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  739323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  739326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  739329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739358 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  739361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739380 */     GIR_RootConstrainSelectedInstOperands,
     /*  739381 */     // GIR_Coverage, 12183,
     /*  739381 */     GIR_EraseRootFromParent_Done,
     /*  739382 */   // Label 11576: @739382
     /*  739382 */   GIM_Try, /*On fail goto*//*Label 11577*/ GIMT_Encode4(739457), // Rule ID 12184 //
     /*  739387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  739398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  739401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  739404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739433 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  739436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739455 */     GIR_RootConstrainSelectedInstOperands,
     /*  739456 */     // GIR_Coverage, 12184,
     /*  739456 */     GIR_EraseRootFromParent_Done,
     /*  739457 */   // Label 11577: @739457
     /*  739457 */   GIM_Try, /*On fail goto*//*Label 11578*/ GIMT_Encode4(739532), // Rule ID 12187 //
     /*  739462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  739473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  739476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  739479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739508 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  739511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739530 */     GIR_RootConstrainSelectedInstOperands,
     /*  739531 */     // GIR_Coverage, 12187,
     /*  739531 */     GIR_EraseRootFromParent_Done,
     /*  739532 */   // Label 11578: @739532
     /*  739532 */   GIM_Try, /*On fail goto*//*Label 11579*/ GIMT_Encode4(739607), // Rule ID 12188 //
     /*  739537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  739548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  739551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  739554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739583 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  739586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739605 */     GIR_RootConstrainSelectedInstOperands,
     /*  739606 */     // GIR_Coverage, 12188,
     /*  739606 */     GIR_EraseRootFromParent_Done,
     /*  739607 */   // Label 11579: @739607
     /*  739607 */   GIM_Try, /*On fail goto*//*Label 11580*/ GIMT_Encode4(739682), // Rule ID 12191 //
     /*  739612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  739623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  739626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  739629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739658 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  739661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739680 */     GIR_RootConstrainSelectedInstOperands,
     /*  739681 */     // GIR_Coverage, 12191,
     /*  739681 */     GIR_EraseRootFromParent_Done,
     /*  739682 */   // Label 11580: @739682
     /*  739682 */   GIM_Try, /*On fail goto*//*Label 11581*/ GIMT_Encode4(739757), // Rule ID 12192 //
     /*  739687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  739698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  739701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  739704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739733 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  739736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739755 */     GIR_RootConstrainSelectedInstOperands,
     /*  739756 */     // GIR_Coverage, 12192,
     /*  739756 */     GIR_EraseRootFromParent_Done,
     /*  739757 */   // Label 11581: @739757
     /*  739757 */   GIM_Try, /*On fail goto*//*Label 11582*/ GIMT_Encode4(739832), // Rule ID 12195 //
     /*  739762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  739773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  739776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  739779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739808 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  739811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739830 */     GIR_RootConstrainSelectedInstOperands,
     /*  739831 */     // GIR_Coverage, 12195,
     /*  739831 */     GIR_EraseRootFromParent_Done,
     /*  739832 */   // Label 11582: @739832
     /*  739832 */   GIM_Try, /*On fail goto*//*Label 11583*/ GIMT_Encode4(739907), // Rule ID 12196 //
     /*  739837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  739848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  739851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  739854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739883 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  739886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739905 */     GIR_RootConstrainSelectedInstOperands,
     /*  739906 */     // GIR_Coverage, 12196,
     /*  739906 */     GIR_EraseRootFromParent_Done,
     /*  739907 */   // Label 11583: @739907
     /*  739907 */   GIM_Try, /*On fail goto*//*Label 11584*/ GIMT_Encode4(739982), // Rule ID 12199 //
     /*  739912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  739923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  739926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  739929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739958 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  739961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739980 */     GIR_RootConstrainSelectedInstOperands,
     /*  739981 */     // GIR_Coverage, 12199,
     /*  739981 */     GIR_EraseRootFromParent_Done,
     /*  739982 */   // Label 11584: @739982
     /*  739982 */   GIM_Try, /*On fail goto*//*Label 11585*/ GIMT_Encode4(740057), // Rule ID 12200 //
     /*  739987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  739995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  739998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  740001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  740004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740033 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  740033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  740036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740055 */     GIR_RootConstrainSelectedInstOperands,
     /*  740056 */     // GIR_Coverage, 12200,
     /*  740056 */     GIR_EraseRootFromParent_Done,
     /*  740057 */   // Label 11585: @740057
     /*  740057 */   GIM_Try, /*On fail goto*//*Label 11586*/ GIMT_Encode4(740132), // Rule ID 12203 //
     /*  740062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  740073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  740076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  740079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740108 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  740108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  740111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740130 */     GIR_RootConstrainSelectedInstOperands,
     /*  740131 */     // GIR_Coverage, 12203,
     /*  740131 */     GIR_EraseRootFromParent_Done,
     /*  740132 */   // Label 11586: @740132
     /*  740132 */   GIM_Try, /*On fail goto*//*Label 11587*/ GIMT_Encode4(740207), // Rule ID 12204 //
     /*  740137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  740148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  740151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  740154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740183 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  740183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  740186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740205 */     GIR_RootConstrainSelectedInstOperands,
     /*  740206 */     // GIR_Coverage, 12204,
     /*  740206 */     GIR_EraseRootFromParent_Done,
     /*  740207 */   // Label 11587: @740207
     /*  740207 */   GIM_Try, /*On fail goto*//*Label 11588*/ GIMT_Encode4(740282), // Rule ID 12207 //
     /*  740212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  740215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  740223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  740226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  740229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  740258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  740261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740280 */     GIR_RootConstrainSelectedInstOperands,
     /*  740281 */     // GIR_Coverage, 12207,
     /*  740281 */     GIR_EraseRootFromParent_Done,
     /*  740282 */   // Label 11588: @740282
     /*  740282 */   GIM_Try, /*On fail goto*//*Label 11589*/ GIMT_Encode4(740357), // Rule ID 12208 //
     /*  740287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  740290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  740298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  740301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  740304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740333 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11412:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  740333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  740336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740355 */     GIR_RootConstrainSelectedInstOperands,
     /*  740356 */     // GIR_Coverage, 12208,
     /*  740356 */     GIR_EraseRootFromParent_Done,
     /*  740357 */   // Label 11589: @740357
     /*  740357 */   GIM_Try, /*On fail goto*//*Label 11590*/ GIMT_Encode4(740432), // Rule ID 12211 //
     /*  740362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  740365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  740373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  740376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  740379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740408 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  740408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  740411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740430 */     GIR_RootConstrainSelectedInstOperands,
     /*  740431 */     // GIR_Coverage, 12211,
     /*  740431 */     GIR_EraseRootFromParent_Done,
     /*  740432 */   // Label 11590: @740432
     /*  740432 */   GIM_Try, /*On fail goto*//*Label 11591*/ GIMT_Encode4(740507), // Rule ID 12212 //
     /*  740437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  740440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  740448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  740451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  740454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740483 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11412:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  740483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  740486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740505 */     GIR_RootConstrainSelectedInstOperands,
     /*  740506 */     // GIR_Coverage, 12212,
     /*  740506 */     GIR_EraseRootFromParent_Done,
     /*  740507 */   // Label 11591: @740507
     /*  740507 */   GIM_Try, /*On fail goto*//*Label 11592*/ GIMT_Encode4(740582), // Rule ID 12215 //
     /*  740512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  740515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  740523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  740526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  740529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740558 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  740558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  740561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740580 */     GIR_RootConstrainSelectedInstOperands,
     /*  740581 */     // GIR_Coverage, 12215,
     /*  740581 */     GIR_EraseRootFromParent_Done,
     /*  740582 */   // Label 11592: @740582
     /*  740582 */   GIM_Try, /*On fail goto*//*Label 11593*/ GIMT_Encode4(740657), // Rule ID 12216 //
     /*  740587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  740590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  740598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  740601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  740604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740633 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11412:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  740633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  740636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740655 */     GIR_RootConstrainSelectedInstOperands,
     /*  740656 */     // GIR_Coverage, 12216,
     /*  740656 */     GIR_EraseRootFromParent_Done,
     /*  740657 */   // Label 11593: @740657
     /*  740657 */   GIM_Try, /*On fail goto*//*Label 11594*/ GIMT_Encode4(740732), // Rule ID 12219 //
     /*  740662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  740670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  740673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  740676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  740679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  740682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740708 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  740711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740730 */     GIR_RootConstrainSelectedInstOperands,
     /*  740731 */     // GIR_Coverage, 12219,
     /*  740731 */     GIR_EraseRootFromParent_Done,
     /*  740732 */   // Label 11594: @740732
     /*  740732 */   GIM_Try, /*On fail goto*//*Label 11595*/ GIMT_Encode4(740807), // Rule ID 12220 //
     /*  740737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  740745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  740748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  740751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  740754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  740757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740783 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  740786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740805 */     GIR_RootConstrainSelectedInstOperands,
     /*  740806 */     // GIR_Coverage, 12220,
     /*  740806 */     GIR_EraseRootFromParent_Done,
     /*  740807 */   // Label 11595: @740807
     /*  740807 */   GIM_Try, /*On fail goto*//*Label 11596*/ GIMT_Encode4(740882), // Rule ID 12223 //
     /*  740812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  740820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  740823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  740826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  740829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  740832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740858 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  740861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740880 */     GIR_RootConstrainSelectedInstOperands,
     /*  740881 */     // GIR_Coverage, 12223,
     /*  740881 */     GIR_EraseRootFromParent_Done,
     /*  740882 */   // Label 11596: @740882
     /*  740882 */   GIM_Try, /*On fail goto*//*Label 11597*/ GIMT_Encode4(740957), // Rule ID 12224 //
     /*  740887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  740895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  740898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  740901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  740904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  740907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740933 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  740936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740955 */     GIR_RootConstrainSelectedInstOperands,
     /*  740956 */     // GIR_Coverage, 12224,
     /*  740956 */     GIR_EraseRootFromParent_Done,
     /*  740957 */   // Label 11597: @740957
     /*  740957 */   GIM_Try, /*On fail goto*//*Label 11598*/ GIMT_Encode4(741032), // Rule ID 12227 //
     /*  740962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  740970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  740973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  740976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  740979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  740982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  741011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741030 */     GIR_RootConstrainSelectedInstOperands,
     /*  741031 */     // GIR_Coverage, 12227,
     /*  741031 */     GIR_EraseRootFromParent_Done,
     /*  741032 */   // Label 11598: @741032
     /*  741032 */   GIM_Try, /*On fail goto*//*Label 11599*/ GIMT_Encode4(741107), // Rule ID 12228 //
     /*  741037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  741045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  741048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  741051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  741054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  741057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  741086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741105 */     GIR_RootConstrainSelectedInstOperands,
     /*  741106 */     // GIR_Coverage, 12228,
     /*  741106 */     GIR_EraseRootFromParent_Done,
     /*  741107 */   // Label 11599: @741107
     /*  741107 */   GIM_Try, /*On fail goto*//*Label 11600*/ GIMT_Encode4(741182), // Rule ID 12231 //
     /*  741112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  741120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  741123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  741126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  741129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  741132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741158 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  741161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741180 */     GIR_RootConstrainSelectedInstOperands,
     /*  741181 */     // GIR_Coverage, 12231,
     /*  741181 */     GIR_EraseRootFromParent_Done,
     /*  741182 */   // Label 11600: @741182
     /*  741182 */   GIM_Try, /*On fail goto*//*Label 11601*/ GIMT_Encode4(741257), // Rule ID 12232 //
     /*  741187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  741195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  741198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  741201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  741204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  741207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741233 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  741236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741255 */     GIR_RootConstrainSelectedInstOperands,
     /*  741256 */     // GIR_Coverage, 12232,
     /*  741256 */     GIR_EraseRootFromParent_Done,
     /*  741257 */   // Label 11601: @741257
     /*  741257 */   GIM_Try, /*On fail goto*//*Label 11602*/ GIMT_Encode4(741332), // Rule ID 12235 //
     /*  741262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  741270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  741273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  741276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  741279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  741282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741308 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  741311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741330 */     GIR_RootConstrainSelectedInstOperands,
     /*  741331 */     // GIR_Coverage, 12235,
     /*  741331 */     GIR_EraseRootFromParent_Done,
     /*  741332 */   // Label 11602: @741332
     /*  741332 */   GIM_Try, /*On fail goto*//*Label 11603*/ GIMT_Encode4(741407), // Rule ID 12236 //
     /*  741337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  741345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  741348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  741351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  741354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  741357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741383 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  741386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741405 */     GIR_RootConstrainSelectedInstOperands,
     /*  741406 */     // GIR_Coverage, 12236,
     /*  741406 */     GIR_EraseRootFromParent_Done,
     /*  741407 */   // Label 11603: @741407
     /*  741407 */   GIM_Try, /*On fail goto*//*Label 11604*/ GIMT_Encode4(741482), // Rule ID 12239 //
     /*  741412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  741420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  741423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  741426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  741429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  741432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741458 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  741461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741480 */     GIR_RootConstrainSelectedInstOperands,
     /*  741481 */     // GIR_Coverage, 12239,
     /*  741481 */     GIR_EraseRootFromParent_Done,
     /*  741482 */   // Label 11604: @741482
     /*  741482 */   GIM_Try, /*On fail goto*//*Label 11605*/ GIMT_Encode4(741557), // Rule ID 12240 //
     /*  741487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  741495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  741498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  741501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  741504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  741507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741533 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  741536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741555 */     GIR_RootConstrainSelectedInstOperands,
     /*  741556 */     // GIR_Coverage, 12240,
     /*  741556 */     GIR_EraseRootFromParent_Done,
     /*  741557 */   // Label 11605: @741557
     /*  741557 */   GIM_Try, /*On fail goto*//*Label 11606*/ GIMT_Encode4(741632), // Rule ID 12243 //
     /*  741562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  741570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  741573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  741576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  741579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  741582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741608 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  741611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741630 */     GIR_RootConstrainSelectedInstOperands,
     /*  741631 */     // GIR_Coverage, 12243,
     /*  741631 */     GIR_EraseRootFromParent_Done,
     /*  741632 */   // Label 11606: @741632
     /*  741632 */   GIM_Try, /*On fail goto*//*Label 11607*/ GIMT_Encode4(741707), // Rule ID 12244 //
     /*  741637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  741645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  741648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  741651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  741654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  741657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741683 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  741686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741705 */     GIR_RootConstrainSelectedInstOperands,
     /*  741706 */     // GIR_Coverage, 12244,
     /*  741706 */     GIR_EraseRootFromParent_Done,
     /*  741707 */   // Label 11607: @741707
     /*  741707 */   GIM_Try, /*On fail goto*//*Label 11608*/ GIMT_Encode4(741782), // Rule ID 12247 //
     /*  741712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  741720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  741723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  741726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  741729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  741732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741758 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  741761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741780 */     GIR_RootConstrainSelectedInstOperands,
     /*  741781 */     // GIR_Coverage, 12247,
     /*  741781 */     GIR_EraseRootFromParent_Done,
     /*  741782 */   // Label 11608: @741782
     /*  741782 */   GIM_Try, /*On fail goto*//*Label 11609*/ GIMT_Encode4(741857), // Rule ID 12248 //
     /*  741787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  741795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  741798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  741801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  741804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  741807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741833 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  741836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741855 */     GIR_RootConstrainSelectedInstOperands,
     /*  741856 */     // GIR_Coverage, 12248,
     /*  741856 */     GIR_EraseRootFromParent_Done,
     /*  741857 */   // Label 11609: @741857
     /*  741857 */   GIM_Try, /*On fail goto*//*Label 11610*/ GIMT_Encode4(741932), // Rule ID 12251 //
     /*  741862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  741870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  741873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  741876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  741879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  741882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741908 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  741911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741930 */     GIR_RootConstrainSelectedInstOperands,
     /*  741931 */     // GIR_Coverage, 12251,
     /*  741931 */     GIR_EraseRootFromParent_Done,
     /*  741932 */   // Label 11610: @741932
     /*  741932 */   GIM_Try, /*On fail goto*//*Label 11611*/ GIMT_Encode4(742007), // Rule ID 12252 //
     /*  741937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  741945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  741948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  741951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  741954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  741957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  741986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742005 */     GIR_RootConstrainSelectedInstOperands,
     /*  742006 */     // GIR_Coverage, 12252,
     /*  742006 */     GIR_EraseRootFromParent_Done,
     /*  742007 */   // Label 11611: @742007
     /*  742007 */   GIM_Try, /*On fail goto*//*Label 11612*/ GIMT_Encode4(742082), // Rule ID 12255 //
     /*  742012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  742023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  742026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  742029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  742032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  742058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  742061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742080 */     GIR_RootConstrainSelectedInstOperands,
     /*  742081 */     // GIR_Coverage, 12255,
     /*  742081 */     GIR_EraseRootFromParent_Done,
     /*  742082 */   // Label 11612: @742082
     /*  742082 */   GIM_Try, /*On fail goto*//*Label 11613*/ GIMT_Encode4(742157), // Rule ID 12256 //
     /*  742087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  742098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  742101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  742104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  742107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742133 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  742133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  742136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742155 */     GIR_RootConstrainSelectedInstOperands,
     /*  742156 */     // GIR_Coverage, 12256,
     /*  742156 */     GIR_EraseRootFromParent_Done,
     /*  742157 */   // Label 11613: @742157
     /*  742157 */   GIM_Try, /*On fail goto*//*Label 11614*/ GIMT_Encode4(742232), // Rule ID 12259 //
     /*  742162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  742173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  742176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  742179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  742182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742208 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  742208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  742211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742230 */     GIR_RootConstrainSelectedInstOperands,
     /*  742231 */     // GIR_Coverage, 12259,
     /*  742231 */     GIR_EraseRootFromParent_Done,
     /*  742232 */   // Label 11614: @742232
     /*  742232 */   GIM_Try, /*On fail goto*//*Label 11615*/ GIMT_Encode4(742307), // Rule ID 12260 //
     /*  742237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  742248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  742251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  742254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  742257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  742283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  742286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742305 */     GIR_RootConstrainSelectedInstOperands,
     /*  742306 */     // GIR_Coverage, 12260,
     /*  742306 */     GIR_EraseRootFromParent_Done,
     /*  742307 */   // Label 11615: @742307
     /*  742307 */   GIM_Try, /*On fail goto*//*Label 11616*/ GIMT_Encode4(742382), // Rule ID 12263 //
     /*  742312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  742315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  742323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  742326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  742329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  742332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742358 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  742361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742380 */     GIR_RootConstrainSelectedInstOperands,
     /*  742381 */     // GIR_Coverage, 12263,
     /*  742381 */     GIR_EraseRootFromParent_Done,
     /*  742382 */   // Label 11616: @742382
     /*  742382 */   GIM_Try, /*On fail goto*//*Label 11617*/ GIMT_Encode4(742457), // Rule ID 12264 //
     /*  742387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  742390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  742398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  742401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  742404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  742407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742433 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  742436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742455 */     GIR_RootConstrainSelectedInstOperands,
     /*  742456 */     // GIR_Coverage, 12264,
     /*  742456 */     GIR_EraseRootFromParent_Done,
     /*  742457 */   // Label 11617: @742457
     /*  742457 */   GIM_Try, /*On fail goto*//*Label 11618*/ GIMT_Encode4(742532), // Rule ID 12267 //
     /*  742462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  742465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  742473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  742476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  742479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  742482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742508 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  742511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742530 */     GIR_RootConstrainSelectedInstOperands,
     /*  742531 */     // GIR_Coverage, 12267,
     /*  742531 */     GIR_EraseRootFromParent_Done,
     /*  742532 */   // Label 11618: @742532
     /*  742532 */   GIM_Try, /*On fail goto*//*Label 11619*/ GIMT_Encode4(742607), // Rule ID 12268 //
     /*  742537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  742540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  742548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  742551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  742554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  742557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742583 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  742586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742605 */     GIR_RootConstrainSelectedInstOperands,
     /*  742606 */     // GIR_Coverage, 12268,
     /*  742606 */     GIR_EraseRootFromParent_Done,
     /*  742607 */   // Label 11619: @742607
     /*  742607 */   GIM_Try, /*On fail goto*//*Label 11620*/ GIMT_Encode4(742682), // Rule ID 12271 //
     /*  742612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  742615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  742623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  742626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  742629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  742632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742658 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  742661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742680 */     GIR_RootConstrainSelectedInstOperands,
     /*  742681 */     // GIR_Coverage, 12271,
     /*  742681 */     GIR_EraseRootFromParent_Done,
     /*  742682 */   // Label 11620: @742682
     /*  742682 */   GIM_Try, /*On fail goto*//*Label 11621*/ GIMT_Encode4(742757), // Rule ID 12272 //
     /*  742687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  742690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  742698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  742701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  742704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  742707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742733 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  742736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742755 */     GIR_RootConstrainSelectedInstOperands,
     /*  742756 */     // GIR_Coverage, 12272,
     /*  742756 */     GIR_EraseRootFromParent_Done,
     /*  742757 */   // Label 11621: @742757
     /*  742757 */   GIM_Try, /*On fail goto*//*Label 11622*/ GIMT_Encode4(742832), // Rule ID 12275 //
     /*  742762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  742765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  742773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  742776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  742779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  742782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742808 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  742811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742830 */     GIR_RootConstrainSelectedInstOperands,
     /*  742831 */     // GIR_Coverage, 12275,
     /*  742831 */     GIR_EraseRootFromParent_Done,
     /*  742832 */   // Label 11622: @742832
     /*  742832 */   GIM_Try, /*On fail goto*//*Label 11623*/ GIMT_Encode4(742907), // Rule ID 12276 //
     /*  742837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  742840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  742848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  742851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  742854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  742857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742883 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  742886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742905 */     GIR_RootConstrainSelectedInstOperands,
     /*  742906 */     // GIR_Coverage, 12276,
     /*  742906 */     GIR_EraseRootFromParent_Done,
     /*  742907 */   // Label 11623: @742907
     /*  742907 */   GIM_Try, /*On fail goto*//*Label 11624*/ GIMT_Encode4(742982), // Rule ID 12279 //
     /*  742912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  742923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  742926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  742929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  742932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  742961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742980 */     GIR_RootConstrainSelectedInstOperands,
     /*  742981 */     // GIR_Coverage, 12279,
     /*  742981 */     GIR_EraseRootFromParent_Done,
     /*  742982 */   // Label 11624: @742982
     /*  742982 */   GIM_Try, /*On fail goto*//*Label 11625*/ GIMT_Encode4(743057), // Rule ID 12280 //
     /*  742987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  742995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  742998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  743001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  743004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743033 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  743036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743055 */     GIR_RootConstrainSelectedInstOperands,
     /*  743056 */     // GIR_Coverage, 12280,
     /*  743056 */     GIR_EraseRootFromParent_Done,
     /*  743057 */   // Label 11625: @743057
     /*  743057 */   GIM_Try, /*On fail goto*//*Label 11626*/ GIMT_Encode4(743132), // Rule ID 12283 //
     /*  743062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  743073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  743076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  743079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743108 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  743111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743130 */     GIR_RootConstrainSelectedInstOperands,
     /*  743131 */     // GIR_Coverage, 12283,
     /*  743131 */     GIR_EraseRootFromParent_Done,
     /*  743132 */   // Label 11626: @743132
     /*  743132 */   GIM_Try, /*On fail goto*//*Label 11627*/ GIMT_Encode4(743207), // Rule ID 12284 //
     /*  743137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  743148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  743151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  743154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743183 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  743186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743205 */     GIR_RootConstrainSelectedInstOperands,
     /*  743206 */     // GIR_Coverage, 12284,
     /*  743206 */     GIR_EraseRootFromParent_Done,
     /*  743207 */   // Label 11627: @743207
     /*  743207 */   GIM_Try, /*On fail goto*//*Label 11628*/ GIMT_Encode4(743282), // Rule ID 12287 //
     /*  743212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  743223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  743226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  743229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743258 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  743261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743280 */     GIR_RootConstrainSelectedInstOperands,
     /*  743281 */     // GIR_Coverage, 12287,
     /*  743281 */     GIR_EraseRootFromParent_Done,
     /*  743282 */   // Label 11628: @743282
     /*  743282 */   GIM_Try, /*On fail goto*//*Label 11629*/ GIMT_Encode4(743357), // Rule ID 12288 //
     /*  743287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  743298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  743301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  743304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  743336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743355 */     GIR_RootConstrainSelectedInstOperands,
     /*  743356 */     // GIR_Coverage, 12288,
     /*  743356 */     GIR_EraseRootFromParent_Done,
     /*  743357 */   // Label 11629: @743357
     /*  743357 */   GIM_Try, /*On fail goto*//*Label 11630*/ GIMT_Encode4(743432), // Rule ID 12291 //
     /*  743362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  743373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  743376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  743379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743408 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  743411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743430 */     GIR_RootConstrainSelectedInstOperands,
     /*  743431 */     // GIR_Coverage, 12291,
     /*  743431 */     GIR_EraseRootFromParent_Done,
     /*  743432 */   // Label 11630: @743432
     /*  743432 */   GIM_Try, /*On fail goto*//*Label 11631*/ GIMT_Encode4(743507), // Rule ID 12292 //
     /*  743437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  743448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  743451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  743454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743483 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  743486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743505 */     GIR_RootConstrainSelectedInstOperands,
     /*  743506 */     // GIR_Coverage, 12292,
     /*  743506 */     GIR_EraseRootFromParent_Done,
     /*  743507 */   // Label 11631: @743507
     /*  743507 */   GIM_Try, /*On fail goto*//*Label 11632*/ GIMT_Encode4(743582), // Rule ID 12295 //
     /*  743512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  743523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  743526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  743529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743558 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  743561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743580 */     GIR_RootConstrainSelectedInstOperands,
     /*  743581 */     // GIR_Coverage, 12295,
     /*  743581 */     GIR_EraseRootFromParent_Done,
     /*  743582 */   // Label 11632: @743582
     /*  743582 */   GIM_Try, /*On fail goto*//*Label 11633*/ GIMT_Encode4(743657), // Rule ID 12296 //
     /*  743587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  743598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  743601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  743604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743633 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  743636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743655 */     GIR_RootConstrainSelectedInstOperands,
     /*  743656 */     // GIR_Coverage, 12296,
     /*  743656 */     GIR_EraseRootFromParent_Done,
     /*  743657 */   // Label 11633: @743657
     /*  743657 */   GIM_Try, /*On fail goto*//*Label 11634*/ GIMT_Encode4(743732), // Rule ID 12299 //
     /*  743662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  743673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  743676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  743679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743708 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  743711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743730 */     GIR_RootConstrainSelectedInstOperands,
     /*  743731 */     // GIR_Coverage, 12299,
     /*  743731 */     GIR_EraseRootFromParent_Done,
     /*  743732 */   // Label 11634: @743732
     /*  743732 */   GIM_Try, /*On fail goto*//*Label 11635*/ GIMT_Encode4(743807), // Rule ID 12300 //
     /*  743737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  743748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  743751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  743754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743783 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  743786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743805 */     GIR_RootConstrainSelectedInstOperands,
     /*  743806 */     // GIR_Coverage, 12300,
     /*  743806 */     GIR_EraseRootFromParent_Done,
     /*  743807 */   // Label 11635: @743807
     /*  743807 */   GIM_Try, /*On fail goto*//*Label 11636*/ GIMT_Encode4(743882), // Rule ID 12303 //
     /*  743812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  743823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  743826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  743829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743858 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  743861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743880 */     GIR_RootConstrainSelectedInstOperands,
     /*  743881 */     // GIR_Coverage, 12303,
     /*  743881 */     GIR_EraseRootFromParent_Done,
     /*  743882 */   // Label 11636: @743882
     /*  743882 */   GIM_Try, /*On fail goto*//*Label 11637*/ GIMT_Encode4(743957), // Rule ID 12304 //
     /*  743887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  743898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  743901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  743904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743933 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  743936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743955 */     GIR_RootConstrainSelectedInstOperands,
     /*  743956 */     // GIR_Coverage, 12304,
     /*  743956 */     GIR_EraseRootFromParent_Done,
     /*  743957 */   // Label 11637: @743957
     /*  743957 */   GIM_Try, /*On fail goto*//*Label 11638*/ GIMT_Encode4(744032), // Rule ID 12307 //
     /*  743962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  743970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  743973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  743976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  743979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  744011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744030 */     GIR_RootConstrainSelectedInstOperands,
     /*  744031 */     // GIR_Coverage, 12307,
     /*  744031 */     GIR_EraseRootFromParent_Done,
     /*  744032 */   // Label 11638: @744032
     /*  744032 */   GIM_Try, /*On fail goto*//*Label 11639*/ GIMT_Encode4(744107), // Rule ID 12308 //
     /*  744037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  744048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  744051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  744054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744083 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  744086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744105 */     GIR_RootConstrainSelectedInstOperands,
     /*  744106 */     // GIR_Coverage, 12308,
     /*  744106 */     GIR_EraseRootFromParent_Done,
     /*  744107 */   // Label 11639: @744107
     /*  744107 */   GIM_Try, /*On fail goto*//*Label 11640*/ GIMT_Encode4(744182), // Rule ID 12311 //
     /*  744112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  744123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  744126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  744129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744158 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  744161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744180 */     GIR_RootConstrainSelectedInstOperands,
     /*  744181 */     // GIR_Coverage, 12311,
     /*  744181 */     GIR_EraseRootFromParent_Done,
     /*  744182 */   // Label 11640: @744182
     /*  744182 */   GIM_Try, /*On fail goto*//*Label 11641*/ GIMT_Encode4(744257), // Rule ID 12312 //
     /*  744187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  744198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  744201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  744204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744233 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  744236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744255 */     GIR_RootConstrainSelectedInstOperands,
     /*  744256 */     // GIR_Coverage, 12312,
     /*  744256 */     GIR_EraseRootFromParent_Done,
     /*  744257 */   // Label 11641: @744257
     /*  744257 */   GIM_Try, /*On fail goto*//*Label 11642*/ GIMT_Encode4(744332), // Rule ID 12315 //
     /*  744262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  744273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  744276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  744279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  744311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744330 */     GIR_RootConstrainSelectedInstOperands,
     /*  744331 */     // GIR_Coverage, 12315,
     /*  744331 */     GIR_EraseRootFromParent_Done,
     /*  744332 */   // Label 11642: @744332
     /*  744332 */   GIM_Try, /*On fail goto*//*Label 11643*/ GIMT_Encode4(744407), // Rule ID 12316 //
     /*  744337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  744348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  744351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  744354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744383 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  744386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744405 */     GIR_RootConstrainSelectedInstOperands,
     /*  744406 */     // GIR_Coverage, 12316,
     /*  744406 */     GIR_EraseRootFromParent_Done,
     /*  744407 */   // Label 11643: @744407
     /*  744407 */   GIM_Try, /*On fail goto*//*Label 11644*/ GIMT_Encode4(744482), // Rule ID 12319 //
     /*  744412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  744423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  744426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  744429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744458 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  744461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744480 */     GIR_RootConstrainSelectedInstOperands,
     /*  744481 */     // GIR_Coverage, 12319,
     /*  744481 */     GIR_EraseRootFromParent_Done,
     /*  744482 */   // Label 11644: @744482
     /*  744482 */   GIM_Try, /*On fail goto*//*Label 11645*/ GIMT_Encode4(744557), // Rule ID 12320 //
     /*  744487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  744498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  744501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  744504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744533 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  744536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744555 */     GIR_RootConstrainSelectedInstOperands,
     /*  744556 */     // GIR_Coverage, 12320,
     /*  744556 */     GIR_EraseRootFromParent_Done,
     /*  744557 */   // Label 11645: @744557
     /*  744557 */   GIM_Try, /*On fail goto*//*Label 11646*/ GIMT_Encode4(744632), // Rule ID 12323 //
     /*  744562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  744565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  744573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  744576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  744579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744608 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  744611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744630 */     GIR_RootConstrainSelectedInstOperands,
     /*  744631 */     // GIR_Coverage, 12323,
     /*  744631 */     GIR_EraseRootFromParent_Done,
     /*  744632 */   // Label 11646: @744632
     /*  744632 */   GIM_Try, /*On fail goto*//*Label 11647*/ GIMT_Encode4(744707), // Rule ID 12324 //
     /*  744637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  744648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  744651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  744654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744683 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  744686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744705 */     GIR_RootConstrainSelectedInstOperands,
     /*  744706 */     // GIR_Coverage, 12324,
     /*  744706 */     GIR_EraseRootFromParent_Done,
     /*  744707 */   // Label 11647: @744707
     /*  744707 */   GIM_Try, /*On fail goto*//*Label 11648*/ GIMT_Encode4(744782), // Rule ID 12327 //
     /*  744712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  744715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  744723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  744726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  744729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744758 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  744761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744780 */     GIR_RootConstrainSelectedInstOperands,
     /*  744781 */     // GIR_Coverage, 12327,
     /*  744781 */     GIR_EraseRootFromParent_Done,
     /*  744782 */   // Label 11648: @744782
     /*  744782 */   GIM_Try, /*On fail goto*//*Label 11649*/ GIMT_Encode4(744857), // Rule ID 12328 //
     /*  744787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  744798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  744801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  744804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744833 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  744836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744855 */     GIR_RootConstrainSelectedInstOperands,
     /*  744856 */     // GIR_Coverage, 12328,
     /*  744856 */     GIR_EraseRootFromParent_Done,
     /*  744857 */   // Label 11649: @744857
     /*  744857 */   GIM_Try, /*On fail goto*//*Label 11650*/ GIMT_Encode4(744932), // Rule ID 12331 //
     /*  744862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  744865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  744873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  744876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  744879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744908 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  744911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744930 */     GIR_RootConstrainSelectedInstOperands,
     /*  744931 */     // GIR_Coverage, 12331,
     /*  744931 */     GIR_EraseRootFromParent_Done,
     /*  744932 */   // Label 11650: @744932
     /*  744932 */   GIM_Try, /*On fail goto*//*Label 11651*/ GIMT_Encode4(745007), // Rule ID 12332 //
     /*  744937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  744945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  744948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  744951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  744954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744983 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  744986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745005 */     GIR_RootConstrainSelectedInstOperands,
     /*  745006 */     // GIR_Coverage, 12332,
     /*  745006 */     GIR_EraseRootFromParent_Done,
     /*  745007 */   // Label 11651: @745007
     /*  745007 */   GIM_Try, /*On fail goto*//*Label 11652*/ GIMT_Encode4(745082), // Rule ID 12335 //
     /*  745012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  745015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  745023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  745026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  745029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745058 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  745058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  745061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745080 */     GIR_RootConstrainSelectedInstOperands,
     /*  745081 */     // GIR_Coverage, 12335,
     /*  745081 */     GIR_EraseRootFromParent_Done,
     /*  745082 */   // Label 11652: @745082
     /*  745082 */   GIM_Try, /*On fail goto*//*Label 11653*/ GIMT_Encode4(745157), // Rule ID 12336 //
     /*  745087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  745090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  745095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  745098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  745101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  745104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745133 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  745133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  745136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745155 */     GIR_RootConstrainSelectedInstOperands,
     /*  745156 */     // GIR_Coverage, 12336,
     /*  745156 */     GIR_EraseRootFromParent_Done,
     /*  745157 */   // Label 11653: @745157
     /*  745157 */   GIM_Try, /*On fail goto*//*Label 11654*/ GIMT_Encode4(745232), // Rule ID 12339 //
     /*  745162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  745170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  745173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  745176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  745179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  745182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745208 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  745211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745230 */     GIR_RootConstrainSelectedInstOperands,
     /*  745231 */     // GIR_Coverage, 12339,
     /*  745231 */     GIR_EraseRootFromParent_Done,
     /*  745232 */   // Label 11654: @745232
     /*  745232 */   GIM_Try, /*On fail goto*//*Label 11655*/ GIMT_Encode4(745307), // Rule ID 12340 //
     /*  745237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  745245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  745248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  745251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  745254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  745257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745283 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  745286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745305 */     GIR_RootConstrainSelectedInstOperands,
     /*  745306 */     // GIR_Coverage, 12340,
     /*  745306 */     GIR_EraseRootFromParent_Done,
     /*  745307 */   // Label 11655: @745307
     /*  745307 */   GIM_Try, /*On fail goto*//*Label 11656*/ GIMT_Encode4(745382), // Rule ID 12343 //
     /*  745312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  745320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  745323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  745326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  745329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  745332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745358 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  745361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745380 */     GIR_RootConstrainSelectedInstOperands,
     /*  745381 */     // GIR_Coverage, 12343,
     /*  745381 */     GIR_EraseRootFromParent_Done,
     /*  745382 */   // Label 11656: @745382
     /*  745382 */   GIM_Try, /*On fail goto*//*Label 11657*/ GIMT_Encode4(745457), // Rule ID 12344 //
     /*  745387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  745395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  745398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  745401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  745404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  745407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745433 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  745436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745455 */     GIR_RootConstrainSelectedInstOperands,
     /*  745456 */     // GIR_Coverage, 12344,
     /*  745456 */     GIR_EraseRootFromParent_Done,
     /*  745457 */   // Label 11657: @745457
     /*  745457 */   GIM_Try, /*On fail goto*//*Label 11658*/ GIMT_Encode4(745532), // Rule ID 12347 //
     /*  745462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  745470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  745473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  745476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  745479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  745482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745508 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  745511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745530 */     GIR_RootConstrainSelectedInstOperands,
     /*  745531 */     // GIR_Coverage, 12347,
     /*  745531 */     GIR_EraseRootFromParent_Done,
     /*  745532 */   // Label 11658: @745532
     /*  745532 */   GIM_Try, /*On fail goto*//*Label 11659*/ GIMT_Encode4(745607), // Rule ID 12348 //
     /*  745537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  745545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  745548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  745551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  745554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  745557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745583 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  745586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745605 */     GIR_RootConstrainSelectedInstOperands,
     /*  745606 */     // GIR_Coverage, 12348,
     /*  745606 */     GIR_EraseRootFromParent_Done,
     /*  745607 */   // Label 11659: @745607
     /*  745607 */   GIM_Try, /*On fail goto*//*Label 11660*/ GIMT_Encode4(745682), // Rule ID 12351 //
     /*  745612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  745620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  745623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  745626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  745629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  745632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745658 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  745661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745680 */     GIR_RootConstrainSelectedInstOperands,
     /*  745681 */     // GIR_Coverage, 12351,
     /*  745681 */     GIR_EraseRootFromParent_Done,
     /*  745682 */   // Label 11660: @745682
     /*  745682 */   GIM_Try, /*On fail goto*//*Label 11661*/ GIMT_Encode4(745757), // Rule ID 12352 //
     /*  745687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  745695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  745698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  745701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  745704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  745707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745733 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  745736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745755 */     GIR_RootConstrainSelectedInstOperands,
     /*  745756 */     // GIR_Coverage, 12352,
     /*  745756 */     GIR_EraseRootFromParent_Done,
     /*  745757 */   // Label 11661: @745757
     /*  745757 */   GIM_Try, /*On fail goto*//*Label 11662*/ GIMT_Encode4(745832), // Rule ID 12355 //
     /*  745762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  745770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  745773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  745776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  745779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  745782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745808 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  745811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745830 */     GIR_RootConstrainSelectedInstOperands,
     /*  745831 */     // GIR_Coverage, 12355,
     /*  745831 */     GIR_EraseRootFromParent_Done,
     /*  745832 */   // Label 11662: @745832
     /*  745832 */   GIM_Try, /*On fail goto*//*Label 11663*/ GIMT_Encode4(745907), // Rule ID 12356 //
     /*  745837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  745845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  745848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  745851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  745854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  745857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745883 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  745886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745905 */     GIR_RootConstrainSelectedInstOperands,
     /*  745906 */     // GIR_Coverage, 12356,
     /*  745906 */     GIR_EraseRootFromParent_Done,
     /*  745907 */   // Label 11663: @745907
     /*  745907 */   GIM_Try, /*On fail goto*//*Label 11664*/ GIMT_Encode4(745982), // Rule ID 12359 //
     /*  745912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  745920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  745923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  745926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  745929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  745932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745958 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  745961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745980 */     GIR_RootConstrainSelectedInstOperands,
     /*  745981 */     // GIR_Coverage, 12359,
     /*  745981 */     GIR_EraseRootFromParent_Done,
     /*  745982 */   // Label 11664: @745982
     /*  745982 */   GIM_Try, /*On fail goto*//*Label 11665*/ GIMT_Encode4(746057), // Rule ID 12360 //
     /*  745987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  745995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  745998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  746001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  746004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  746007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746033 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  746036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746055 */     GIR_RootConstrainSelectedInstOperands,
     /*  746056 */     // GIR_Coverage, 12360,
     /*  746056 */     GIR_EraseRootFromParent_Done,
     /*  746057 */   // Label 11665: @746057
     /*  746057 */   GIM_Try, /*On fail goto*//*Label 11666*/ GIMT_Encode4(746132), // Rule ID 12363 //
     /*  746062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  746073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  746076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  746079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  746082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746108 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  746111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746130 */     GIR_RootConstrainSelectedInstOperands,
     /*  746131 */     // GIR_Coverage, 12363,
     /*  746131 */     GIR_EraseRootFromParent_Done,
     /*  746132 */   // Label 11666: @746132
     /*  746132 */   GIM_Try, /*On fail goto*//*Label 11667*/ GIMT_Encode4(746207), // Rule ID 12364 //
     /*  746137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  746148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  746151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  746154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  746157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746183 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  746186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746205 */     GIR_RootConstrainSelectedInstOperands,
     /*  746206 */     // GIR_Coverage, 12364,
     /*  746206 */     GIR_EraseRootFromParent_Done,
     /*  746207 */   // Label 11667: @746207
     /*  746207 */   GIM_Try, /*On fail goto*//*Label 11668*/ GIMT_Encode4(746282), // Rule ID 12367 //
     /*  746212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  746223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  746226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  746229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  746232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746258 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  746261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746280 */     GIR_RootConstrainSelectedInstOperands,
     /*  746281 */     // GIR_Coverage, 12367,
     /*  746281 */     GIR_EraseRootFromParent_Done,
     /*  746282 */   // Label 11668: @746282
     /*  746282 */   GIM_Try, /*On fail goto*//*Label 11669*/ GIMT_Encode4(746357), // Rule ID 12368 //
     /*  746287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  746298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  746301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  746304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  746307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746333 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  746336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746355 */     GIR_RootConstrainSelectedInstOperands,
     /*  746356 */     // GIR_Coverage, 12368,
     /*  746356 */     GIR_EraseRootFromParent_Done,
     /*  746357 */   // Label 11669: @746357
     /*  746357 */   GIM_Try, /*On fail goto*//*Label 11670*/ GIMT_Encode4(746432), // Rule ID 12371 //
     /*  746362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  746373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  746376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  746379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  746382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746408 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  746411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746430 */     GIR_RootConstrainSelectedInstOperands,
     /*  746431 */     // GIR_Coverage, 12371,
     /*  746431 */     GIR_EraseRootFromParent_Done,
     /*  746432 */   // Label 11670: @746432
     /*  746432 */   GIM_Try, /*On fail goto*//*Label 11671*/ GIMT_Encode4(746507), // Rule ID 12372 //
     /*  746437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  746448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  746451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  746454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  746457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746483 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  746486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746505 */     GIR_RootConstrainSelectedInstOperands,
     /*  746506 */     // GIR_Coverage, 12372,
     /*  746506 */     GIR_EraseRootFromParent_Done,
     /*  746507 */   // Label 11671: @746507
     /*  746507 */   GIM_Try, /*On fail goto*//*Label 11672*/ GIMT_Encode4(746582), // Rule ID 12375 //
     /*  746512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  746523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  746526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  746529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  746532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746558 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  746561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746580 */     GIR_RootConstrainSelectedInstOperands,
     /*  746581 */     // GIR_Coverage, 12375,
     /*  746581 */     GIR_EraseRootFromParent_Done,
     /*  746582 */   // Label 11672: @746582
     /*  746582 */   GIM_Try, /*On fail goto*//*Label 11673*/ GIMT_Encode4(746657), // Rule ID 12376 //
     /*  746587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  746598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  746601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  746604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  746607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746633 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  746636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746655 */     GIR_RootConstrainSelectedInstOperands,
     /*  746656 */     // GIR_Coverage, 12376,
     /*  746656 */     GIR_EraseRootFromParent_Done,
     /*  746657 */   // Label 11673: @746657
     /*  746657 */   GIM_Try, /*On fail goto*//*Label 11674*/ GIMT_Encode4(746732), // Rule ID 12379 //
     /*  746662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  746673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  746676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  746679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  746682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746708 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  746711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746730 */     GIR_RootConstrainSelectedInstOperands,
     /*  746731 */     // GIR_Coverage, 12379,
     /*  746731 */     GIR_EraseRootFromParent_Done,
     /*  746732 */   // Label 11674: @746732
     /*  746732 */   GIM_Try, /*On fail goto*//*Label 11675*/ GIMT_Encode4(746807), // Rule ID 12380 //
     /*  746737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  746748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  746751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  746754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  746757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746783 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  746786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746805 */     GIR_RootConstrainSelectedInstOperands,
     /*  746806 */     // GIR_Coverage, 12380,
     /*  746806 */     GIR_EraseRootFromParent_Done,
     /*  746807 */   // Label 11675: @746807
     /*  746807 */   GIM_Try, /*On fail goto*//*Label 11676*/ GIMT_Encode4(746882), // Rule ID 12383 //
     /*  746812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  746815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  746823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  746826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  746829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  746832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746858 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  746861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746880 */     GIR_RootConstrainSelectedInstOperands,
     /*  746881 */     // GIR_Coverage, 12383,
     /*  746881 */     GIR_EraseRootFromParent_Done,
     /*  746882 */   // Label 11676: @746882
     /*  746882 */   GIM_Try, /*On fail goto*//*Label 11677*/ GIMT_Encode4(746957), // Rule ID 12384 //
     /*  746887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  746890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  746898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  746901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  746904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  746907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746933 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  746936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746955 */     GIR_RootConstrainSelectedInstOperands,
     /*  746956 */     // GIR_Coverage, 12384,
     /*  746956 */     GIR_EraseRootFromParent_Done,
     /*  746957 */   // Label 11677: @746957
     /*  746957 */   GIM_Try, /*On fail goto*//*Label 11678*/ GIMT_Encode4(747032), // Rule ID 12387 //
     /*  746962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  746965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  746970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  746973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  746976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  746979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  746982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747008 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  747008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  747011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747030 */     GIR_RootConstrainSelectedInstOperands,
     /*  747031 */     // GIR_Coverage, 12387,
     /*  747031 */     GIR_EraseRootFromParent_Done,
     /*  747032 */   // Label 11678: @747032
     /*  747032 */   GIM_Try, /*On fail goto*//*Label 11679*/ GIMT_Encode4(747107), // Rule ID 12388 //
     /*  747037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  747040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  747048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  747051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  747054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  747057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747083 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  747083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  747086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747105 */     GIR_RootConstrainSelectedInstOperands,
     /*  747106 */     // GIR_Coverage, 12388,
     /*  747106 */     GIR_EraseRootFromParent_Done,
     /*  747107 */   // Label 11679: @747107
     /*  747107 */   GIM_Try, /*On fail goto*//*Label 11680*/ GIMT_Encode4(747182), // Rule ID 12391 //
     /*  747112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  747115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  747123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  747126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  747129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  747132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747158 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  747158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  747161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747180 */     GIR_RootConstrainSelectedInstOperands,
     /*  747181 */     // GIR_Coverage, 12391,
     /*  747181 */     GIR_EraseRootFromParent_Done,
     /*  747182 */   // Label 11680: @747182
     /*  747182 */   GIM_Try, /*On fail goto*//*Label 11681*/ GIMT_Encode4(747257), // Rule ID 12392 //
     /*  747187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  747190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  747198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  747201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  747204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  747207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747233 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  747233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  747236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747255 */     GIR_RootConstrainSelectedInstOperands,
     /*  747256 */     // GIR_Coverage, 12392,
     /*  747256 */     GIR_EraseRootFromParent_Done,
     /*  747257 */   // Label 11681: @747257
     /*  747257 */   GIM_Try, /*On fail goto*//*Label 11682*/ GIMT_Encode4(747332), // Rule ID 12395 //
     /*  747262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  747265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  747273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  747276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  747279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  747282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747308 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  747308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  747311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747330 */     GIR_RootConstrainSelectedInstOperands,
     /*  747331 */     // GIR_Coverage, 12395,
     /*  747331 */     GIR_EraseRootFromParent_Done,
     /*  747332 */   // Label 11682: @747332
     /*  747332 */   GIM_Try, /*On fail goto*//*Label 11683*/ GIMT_Encode4(747407), // Rule ID 12396 //
     /*  747337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  747340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  747348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  747351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  747354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  747357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747383 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  747383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  747386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747405 */     GIR_RootConstrainSelectedInstOperands,
     /*  747406 */     // GIR_Coverage, 12396,
     /*  747406 */     GIR_EraseRootFromParent_Done,
     /*  747407 */   // Label 11683: @747407
     /*  747407 */   GIM_Try, /*On fail goto*//*Label 11684*/ GIMT_Encode4(747482), // Rule ID 12399 //
     /*  747412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  747423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  747426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  747429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  747432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747458 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  747461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747480 */     GIR_RootConstrainSelectedInstOperands,
     /*  747481 */     // GIR_Coverage, 12399,
     /*  747481 */     GIR_EraseRootFromParent_Done,
     /*  747482 */   // Label 11684: @747482
     /*  747482 */   GIM_Try, /*On fail goto*//*Label 11685*/ GIMT_Encode4(747557), // Rule ID 12400 //
     /*  747487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  747498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  747501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  747504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  747507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747533 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  747536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747555 */     GIR_RootConstrainSelectedInstOperands,
     /*  747556 */     // GIR_Coverage, 12400,
     /*  747556 */     GIR_EraseRootFromParent_Done,
     /*  747557 */   // Label 11685: @747557
     /*  747557 */   GIM_Try, /*On fail goto*//*Label 11686*/ GIMT_Encode4(747632), // Rule ID 12403 //
     /*  747562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  747573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  747576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  747579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  747582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747608 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  747611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747630 */     GIR_RootConstrainSelectedInstOperands,
     /*  747631 */     // GIR_Coverage, 12403,
     /*  747631 */     GIR_EraseRootFromParent_Done,
     /*  747632 */   // Label 11686: @747632
     /*  747632 */   GIM_Try, /*On fail goto*//*Label 11687*/ GIMT_Encode4(747707), // Rule ID 12404 //
     /*  747637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  747648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  747651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  747654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  747657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747683 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  747686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747705 */     GIR_RootConstrainSelectedInstOperands,
     /*  747706 */     // GIR_Coverage, 12404,
     /*  747706 */     GIR_EraseRootFromParent_Done,
     /*  747707 */   // Label 11687: @747707
     /*  747707 */   GIM_Try, /*On fail goto*//*Label 11688*/ GIMT_Encode4(747782), // Rule ID 12407 //
     /*  747712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  747729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  747732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747758 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  747761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747780 */     GIR_RootConstrainSelectedInstOperands,
     /*  747781 */     // GIR_Coverage, 12407,
     /*  747781 */     GIR_EraseRootFromParent_Done,
     /*  747782 */   // Label 11688: @747782
     /*  747782 */   GIM_Try, /*On fail goto*//*Label 11689*/ GIMT_Encode4(747857), // Rule ID 12408 //
     /*  747787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  747804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  747807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747833 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11558:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  747836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747855 */     GIR_RootConstrainSelectedInstOperands,
     /*  747856 */     // GIR_Coverage, 12408,
     /*  747856 */     GIR_EraseRootFromParent_Done,
     /*  747857 */   // Label 11689: @747857
     /*  747857 */   GIM_Try, /*On fail goto*//*Label 11690*/ GIMT_Encode4(747932), // Rule ID 12411 //
     /*  747862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  747873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  747876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  747879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  747882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747908 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  747911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747930 */     GIR_RootConstrainSelectedInstOperands,
     /*  747931 */     // GIR_Coverage, 12411,
     /*  747931 */     GIR_EraseRootFromParent_Done,
     /*  747932 */   // Label 11690: @747932
     /*  747932 */   GIM_Try, /*On fail goto*//*Label 11691*/ GIMT_Encode4(748007), // Rule ID 12412 //
     /*  747937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  747945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  747948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  747951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  747954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  747957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747983 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  747986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748005 */     GIR_RootConstrainSelectedInstOperands,
     /*  748006 */     // GIR_Coverage, 12412,
     /*  748006 */     GIR_EraseRootFromParent_Done,
     /*  748007 */   // Label 11691: @748007
     /*  748007 */   GIM_Try, /*On fail goto*//*Label 11692*/ GIMT_Encode4(748082), // Rule ID 12415 //
     /*  748012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  748023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  748026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  748029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748058 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  748058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  748061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748080 */     GIR_RootConstrainSelectedInstOperands,
     /*  748081 */     // GIR_Coverage, 12415,
     /*  748081 */     GIR_EraseRootFromParent_Done,
     /*  748082 */   // Label 11692: @748082
     /*  748082 */   GIM_Try, /*On fail goto*//*Label 11693*/ GIMT_Encode4(748157), // Rule ID 12416 //
     /*  748087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  748098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  748101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  748104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748133 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  748133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  748136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748155 */     GIR_RootConstrainSelectedInstOperands,
     /*  748156 */     // GIR_Coverage, 12416,
     /*  748156 */     GIR_EraseRootFromParent_Done,
     /*  748157 */   // Label 11693: @748157
     /*  748157 */   GIM_Try, /*On fail goto*//*Label 11694*/ GIMT_Encode4(748232), // Rule ID 12419 //
     /*  748162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  748173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  748176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  748179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748208 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  748208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  748211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748230 */     GIR_RootConstrainSelectedInstOperands,
     /*  748231 */     // GIR_Coverage, 12419,
     /*  748231 */     GIR_EraseRootFromParent_Done,
     /*  748232 */   // Label 11694: @748232
     /*  748232 */   GIM_Try, /*On fail goto*//*Label 11695*/ GIMT_Encode4(748307), // Rule ID 12420 //
     /*  748237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  748248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  748251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  748254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748283 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  748283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  748286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748305 */     GIR_RootConstrainSelectedInstOperands,
     /*  748306 */     // GIR_Coverage, 12420,
     /*  748306 */     GIR_EraseRootFromParent_Done,
     /*  748307 */   // Label 11695: @748307
     /*  748307 */   GIM_Try, /*On fail goto*//*Label 11696*/ GIMT_Encode4(748382), // Rule ID 12423 //
     /*  748312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  748323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  748326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  748329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748358 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  748361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748380 */     GIR_RootConstrainSelectedInstOperands,
     /*  748381 */     // GIR_Coverage, 12423,
     /*  748381 */     GIR_EraseRootFromParent_Done,
     /*  748382 */   // Label 11696: @748382
     /*  748382 */   GIM_Try, /*On fail goto*//*Label 11697*/ GIMT_Encode4(748457), // Rule ID 12424 //
     /*  748387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  748398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  748401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  748404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748433 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  748436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748455 */     GIR_RootConstrainSelectedInstOperands,
     /*  748456 */     // GIR_Coverage, 12424,
     /*  748456 */     GIR_EraseRootFromParent_Done,
     /*  748457 */   // Label 11697: @748457
     /*  748457 */   GIM_Try, /*On fail goto*//*Label 11698*/ GIMT_Encode4(748532), // Rule ID 12427 //
     /*  748462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  748473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  748476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  748479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  748511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748530 */     GIR_RootConstrainSelectedInstOperands,
     /*  748531 */     // GIR_Coverage, 12427,
     /*  748531 */     GIR_EraseRootFromParent_Done,
     /*  748532 */   // Label 11698: @748532
     /*  748532 */   GIM_Try, /*On fail goto*//*Label 11699*/ GIMT_Encode4(748607), // Rule ID 12428 //
     /*  748537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  748548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  748551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  748554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748583 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  748586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748605 */     GIR_RootConstrainSelectedInstOperands,
     /*  748606 */     // GIR_Coverage, 12428,
     /*  748606 */     GIR_EraseRootFromParent_Done,
     /*  748607 */   // Label 11699: @748607
     /*  748607 */   GIM_Try, /*On fail goto*//*Label 11700*/ GIMT_Encode4(748682), // Rule ID 12431 //
     /*  748612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  748623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  748626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  748629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748658 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  748661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748680 */     GIR_RootConstrainSelectedInstOperands,
     /*  748681 */     // GIR_Coverage, 12431,
     /*  748681 */     GIR_EraseRootFromParent_Done,
     /*  748682 */   // Label 11700: @748682
     /*  748682 */   GIM_Try, /*On fail goto*//*Label 11701*/ GIMT_Encode4(748757), // Rule ID 12432 //
     /*  748687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  748698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  748701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  748704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748733 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  748736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748755 */     GIR_RootConstrainSelectedInstOperands,
     /*  748756 */     // GIR_Coverage, 12432,
     /*  748756 */     GIR_EraseRootFromParent_Done,
     /*  748757 */   // Label 11701: @748757
     /*  748757 */   GIM_Try, /*On fail goto*//*Label 11702*/ GIMT_Encode4(748832), // Rule ID 12435 //
     /*  748762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  748773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  748776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  748779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748808 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  748811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748830 */     GIR_RootConstrainSelectedInstOperands,
     /*  748831 */     // GIR_Coverage, 12435,
     /*  748831 */     GIR_EraseRootFromParent_Done,
     /*  748832 */   // Label 11702: @748832
     /*  748832 */   GIM_Try, /*On fail goto*//*Label 11703*/ GIMT_Encode4(748907), // Rule ID 12436 //
     /*  748837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  748848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  748851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  748854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748883 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  748886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748905 */     GIR_RootConstrainSelectedInstOperands,
     /*  748906 */     // GIR_Coverage, 12436,
     /*  748906 */     GIR_EraseRootFromParent_Done,
     /*  748907 */   // Label 11703: @748907
     /*  748907 */   GIM_Try, /*On fail goto*//*Label 11704*/ GIMT_Encode4(748982), // Rule ID 12439 //
     /*  748912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  748923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  748926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  748929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748958 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  748961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748980 */     GIR_RootConstrainSelectedInstOperands,
     /*  748981 */     // GIR_Coverage, 12439,
     /*  748981 */     GIR_EraseRootFromParent_Done,
     /*  748982 */   // Label 11704: @748982
     /*  748982 */   GIM_Try, /*On fail goto*//*Label 11705*/ GIMT_Encode4(749057), // Rule ID 12440 //
     /*  748987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  748995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  748998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  749001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  749004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749033 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  749033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  749036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749055 */     GIR_RootConstrainSelectedInstOperands,
     /*  749056 */     // GIR_Coverage, 12440,
     /*  749056 */     GIR_EraseRootFromParent_Done,
     /*  749057 */   // Label 11705: @749057
     /*  749057 */   GIM_Try, /*On fail goto*//*Label 11706*/ GIMT_Encode4(749132), // Rule ID 12443 //
     /*  749062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  749065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  749073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  749076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  749079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749108 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  749108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  749111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749130 */     GIR_RootConstrainSelectedInstOperands,
     /*  749131 */     // GIR_Coverage, 12443,
     /*  749131 */     GIR_EraseRootFromParent_Done,
     /*  749132 */   // Label 11706: @749132
     /*  749132 */   GIM_Try, /*On fail goto*//*Label 11707*/ GIMT_Encode4(749207), // Rule ID 12444 //
     /*  749137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  749140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  749148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  749151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  749154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749183 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  749183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  749186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749205 */     GIR_RootConstrainSelectedInstOperands,
     /*  749206 */     // GIR_Coverage, 12444,
     /*  749206 */     GIR_EraseRootFromParent_Done,
     /*  749207 */   // Label 11707: @749207
     /*  749207 */   GIM_Try, /*On fail goto*//*Label 11708*/ GIMT_Encode4(749282), // Rule ID 12447 //
     /*  749212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  749215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  749223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  749226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  749229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  749258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  749261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749280 */     GIR_RootConstrainSelectedInstOperands,
     /*  749281 */     // GIR_Coverage, 12447,
     /*  749281 */     GIR_EraseRootFromParent_Done,
     /*  749282 */   // Label 11708: @749282
     /*  749282 */   GIM_Try, /*On fail goto*//*Label 11709*/ GIMT_Encode4(749357), // Rule ID 12448 //
     /*  749287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  749290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  749298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  749301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  749304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749333 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  749333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  749336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749355 */     GIR_RootConstrainSelectedInstOperands,
     /*  749356 */     // GIR_Coverage, 12448,
     /*  749356 */     GIR_EraseRootFromParent_Done,
     /*  749357 */   // Label 11709: @749357
     /*  749357 */   GIM_Try, /*On fail goto*//*Label 11710*/ GIMT_Encode4(749432), // Rule ID 12451 //
     /*  749362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  749365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  749373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  749376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  749379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749408 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  749408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  749411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749430 */     GIR_RootConstrainSelectedInstOperands,
     /*  749431 */     // GIR_Coverage, 12451,
     /*  749431 */     GIR_EraseRootFromParent_Done,
     /*  749432 */   // Label 11710: @749432
     /*  749432 */   GIM_Try, /*On fail goto*//*Label 11711*/ GIMT_Encode4(749507), // Rule ID 12452 //
     /*  749437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  749440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  749448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  749451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  749454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749483 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  749483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  749486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749505 */     GIR_RootConstrainSelectedInstOperands,
     /*  749506 */     // GIR_Coverage, 12452,
     /*  749506 */     GIR_EraseRootFromParent_Done,
     /*  749507 */   // Label 11711: @749507
     /*  749507 */   GIM_Try, /*On fail goto*//*Label 11712*/ GIMT_Encode4(749582), // Rule ID 12455 //
     /*  749512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  749515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  749523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  749526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  749529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749558 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  749558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  749561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749580 */     GIR_RootConstrainSelectedInstOperands,
     /*  749581 */     // GIR_Coverage, 12455,
     /*  749581 */     GIR_EraseRootFromParent_Done,
     /*  749582 */   // Label 11712: @749582
     /*  749582 */   GIM_Try, /*On fail goto*//*Label 11713*/ GIMT_Encode4(749657), // Rule ID 12456 //
     /*  749587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  749590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  749595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  749598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  749601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  749604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749633 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  749633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  749636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749655 */     GIR_RootConstrainSelectedInstOperands,
     /*  749656 */     // GIR_Coverage, 12456,
     /*  749656 */     GIR_EraseRootFromParent_Done,
     /*  749657 */   // Label 11713: @749657
     /*  749657 */   GIM_Try, /*On fail goto*//*Label 11714*/ GIMT_Encode4(749732), // Rule ID 12459 //
     /*  749662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  749670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  749673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  749676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  749679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  749682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749708 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  749711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749730 */     GIR_RootConstrainSelectedInstOperands,
     /*  749731 */     // GIR_Coverage, 12459,
     /*  749731 */     GIR_EraseRootFromParent_Done,
     /*  749732 */   // Label 11714: @749732
     /*  749732 */   GIM_Try, /*On fail goto*//*Label 11715*/ GIMT_Encode4(749807), // Rule ID 12460 //
     /*  749737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  749745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  749748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  749751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  749754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  749757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749783 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  749786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749805 */     GIR_RootConstrainSelectedInstOperands,
     /*  749806 */     // GIR_Coverage, 12460,
     /*  749806 */     GIR_EraseRootFromParent_Done,
     /*  749807 */   // Label 11715: @749807
     /*  749807 */   GIM_Try, /*On fail goto*//*Label 11716*/ GIMT_Encode4(749882), // Rule ID 12463 //
     /*  749812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  749820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  749823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  749826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  749829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  749832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749858 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  749861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749880 */     GIR_RootConstrainSelectedInstOperands,
     /*  749881 */     // GIR_Coverage, 12463,
     /*  749881 */     GIR_EraseRootFromParent_Done,
     /*  749882 */   // Label 11716: @749882
     /*  749882 */   GIM_Try, /*On fail goto*//*Label 11717*/ GIMT_Encode4(749957), // Rule ID 12464 //
     /*  749887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  749895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  749898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  749901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  749904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  749907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749933 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  749936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749955 */     GIR_RootConstrainSelectedInstOperands,
     /*  749956 */     // GIR_Coverage, 12464,
     /*  749956 */     GIR_EraseRootFromParent_Done,
     /*  749957 */   // Label 11717: @749957
     /*  749957 */   GIM_Try, /*On fail goto*//*Label 11718*/ GIMT_Encode4(750032), // Rule ID 12467 //
     /*  749962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  749970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  749973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  749976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  749979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  749982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  750008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  750011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750030 */     GIR_RootConstrainSelectedInstOperands,
     /*  750031 */     // GIR_Coverage, 12467,
     /*  750031 */     GIR_EraseRootFromParent_Done,
     /*  750032 */   // Label 11718: @750032
     /*  750032 */   GIM_Try, /*On fail goto*//*Label 11719*/ GIMT_Encode4(750107), // Rule ID 12468 //
     /*  750037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  750045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  750048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  750051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  750054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  750057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  750083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  750086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750105 */     GIR_RootConstrainSelectedInstOperands,
     /*  750106 */     // GIR_Coverage, 12468,
     /*  750106 */     GIR_EraseRootFromParent_Done,
     /*  750107 */   // Label 11719: @750107
     /*  750107 */   GIM_Try, /*On fail goto*//*Label 11720*/ GIMT_Encode4(750182), // Rule ID 12471 //
     /*  750112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  750120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  750123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  750126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  750129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  750132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750158 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  750158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  750161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750180 */     GIR_RootConstrainSelectedInstOperands,
     /*  750181 */     // GIR_Coverage, 12471,
     /*  750181 */     GIR_EraseRootFromParent_Done,
     /*  750182 */   // Label 11720: @750182
     /*  750182 */   GIM_Try, /*On fail goto*//*Label 11721*/ GIMT_Encode4(750257), // Rule ID 12472 //
     /*  750187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  750195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  750198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  750201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  750204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  750207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750233 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  750233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  750236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750255 */     GIR_RootConstrainSelectedInstOperands,
     /*  750256 */     // GIR_Coverage, 12472,
     /*  750256 */     GIR_EraseRootFromParent_Done,
     /*  750257 */   // Label 11721: @750257
     /*  750257 */   GIM_Try, /*On fail goto*//*Label 11722*/ GIMT_Encode4(750332), // Rule ID 12475 //
     /*  750262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  750270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  750273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  750276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  750279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  750282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750308 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  750308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  750311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750330 */     GIR_RootConstrainSelectedInstOperands,
     /*  750331 */     // GIR_Coverage, 12475,
     /*  750331 */     GIR_EraseRootFromParent_Done,
     /*  750332 */   // Label 11722: @750332
     /*  750332 */   GIM_Try, /*On fail goto*//*Label 11723*/ GIMT_Encode4(750407), // Rule ID 12476 //
     /*  750337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  750345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  750348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  750351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  750354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  750357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750383 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  750383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  750386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750405 */     GIR_RootConstrainSelectedInstOperands,
     /*  750406 */     // GIR_Coverage, 12476,
     /*  750406 */     GIR_EraseRootFromParent_Done,
     /*  750407 */   // Label 11723: @750407
     /*  750407 */   GIM_Try, /*On fail goto*//*Label 11724*/ GIMT_Encode4(750482), // Rule ID 12479 //
     /*  750412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  750420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  750423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  750426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  750429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  750432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750458 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  750458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  750461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750480 */     GIR_RootConstrainSelectedInstOperands,
     /*  750481 */     // GIR_Coverage, 12479,
     /*  750481 */     GIR_EraseRootFromParent_Done,
     /*  750482 */   // Label 11724: @750482
     /*  750482 */   GIM_Try, /*On fail goto*//*Label 11725*/ GIMT_Encode4(750557), // Rule ID 12480 //
     /*  750487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  750495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  750498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  750501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  750504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  750507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750533 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  750533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  750536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750555 */     GIR_RootConstrainSelectedInstOperands,
     /*  750556 */     // GIR_Coverage, 12480,
     /*  750556 */     GIR_EraseRootFromParent_Done,
     /*  750557 */   // Label 11725: @750557
     /*  750557 */   GIM_Try, /*On fail goto*//*Label 11726*/ GIMT_Encode4(750632), // Rule ID 12483 //
     /*  750562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  750570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  750573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  750576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  750579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  750582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750608 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  750611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750630 */     GIR_RootConstrainSelectedInstOperands,
     /*  750631 */     // GIR_Coverage, 12483,
     /*  750631 */     GIR_EraseRootFromParent_Done,
     /*  750632 */   // Label 11726: @750632
     /*  750632 */   GIM_Try, /*On fail goto*//*Label 11727*/ GIMT_Encode4(750707), // Rule ID 12484 //
     /*  750637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  750645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  750648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  750651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  750654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  750657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750683 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  750686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750705 */     GIR_RootConstrainSelectedInstOperands,
     /*  750706 */     // GIR_Coverage, 12484,
     /*  750706 */     GIR_EraseRootFromParent_Done,
     /*  750707 */   // Label 11727: @750707
     /*  750707 */   GIM_Try, /*On fail goto*//*Label 11728*/ GIMT_Encode4(750782), // Rule ID 12487 //
     /*  750712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  750720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  750723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  750726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  750729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  750732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750758 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  750761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750780 */     GIR_RootConstrainSelectedInstOperands,
     /*  750781 */     // GIR_Coverage, 12487,
     /*  750781 */     GIR_EraseRootFromParent_Done,
     /*  750782 */   // Label 11728: @750782
     /*  750782 */   GIM_Try, /*On fail goto*//*Label 11729*/ GIMT_Encode4(750857), // Rule ID 12488 //
     /*  750787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  750795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  750798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  750801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  750804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  750807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750833 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  750836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750855 */     GIR_RootConstrainSelectedInstOperands,
     /*  750856 */     // GIR_Coverage, 12488,
     /*  750856 */     GIR_EraseRootFromParent_Done,
     /*  750857 */   // Label 11729: @750857
     /*  750857 */   GIM_Try, /*On fail goto*//*Label 11730*/ GIMT_Encode4(750932), // Rule ID 12491 //
     /*  750862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  750870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  750873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  750876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  750879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  750882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750908 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  750911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750930 */     GIR_RootConstrainSelectedInstOperands,
     /*  750931 */     // GIR_Coverage, 12491,
     /*  750931 */     GIR_EraseRootFromParent_Done,
     /*  750932 */   // Label 11730: @750932
     /*  750932 */   GIM_Try, /*On fail goto*//*Label 11731*/ GIMT_Encode4(751007), // Rule ID 12492 //
     /*  750937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  750945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  750948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  750951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  750954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  750957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  750986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751005 */     GIR_RootConstrainSelectedInstOperands,
     /*  751006 */     // GIR_Coverage, 12492,
     /*  751006 */     GIR_EraseRootFromParent_Done,
     /*  751007 */   // Label 11731: @751007
     /*  751007 */   GIM_Try, /*On fail goto*//*Label 11732*/ GIMT_Encode4(751082), // Rule ID 12495 //
     /*  751012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  751023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  751026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  751029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  751032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  751058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  751061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751080 */     GIR_RootConstrainSelectedInstOperands,
     /*  751081 */     // GIR_Coverage, 12495,
     /*  751081 */     GIR_EraseRootFromParent_Done,
     /*  751082 */   // Label 11732: @751082
     /*  751082 */   GIM_Try, /*On fail goto*//*Label 11733*/ GIMT_Encode4(751157), // Rule ID 12496 //
     /*  751087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  751098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  751101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  751104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  751107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751133 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  751133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  751136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751155 */     GIR_RootConstrainSelectedInstOperands,
     /*  751156 */     // GIR_Coverage, 12496,
     /*  751156 */     GIR_EraseRootFromParent_Done,
     /*  751157 */   // Label 11733: @751157
     /*  751157 */   GIM_Try, /*On fail goto*//*Label 11734*/ GIMT_Encode4(751232), // Rule ID 12499 //
     /*  751162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  751173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  751176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  751179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  751182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751208 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  751208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  751211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751230 */     GIR_RootConstrainSelectedInstOperands,
     /*  751231 */     // GIR_Coverage, 12499,
     /*  751231 */     GIR_EraseRootFromParent_Done,
     /*  751232 */   // Label 11734: @751232
     /*  751232 */   GIM_Try, /*On fail goto*//*Label 11735*/ GIMT_Encode4(751307), // Rule ID 12500 //
     /*  751237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  751248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  751251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  751254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  751257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  751283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  751286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751305 */     GIR_RootConstrainSelectedInstOperands,
     /*  751306 */     // GIR_Coverage, 12500,
     /*  751306 */     GIR_EraseRootFromParent_Done,
     /*  751307 */   // Label 11735: @751307
     /*  751307 */   GIM_Try, /*On fail goto*//*Label 11736*/ GIMT_Encode4(751382), // Rule ID 12503 //
     /*  751312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  751315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  751323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  751326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  751329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  751332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751358 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  751361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751380 */     GIR_RootConstrainSelectedInstOperands,
     /*  751381 */     // GIR_Coverage, 12503,
     /*  751381 */     GIR_EraseRootFromParent_Done,
     /*  751382 */   // Label 11736: @751382
     /*  751382 */   GIM_Try, /*On fail goto*//*Label 11737*/ GIMT_Encode4(751457), // Rule ID 12504 //
     /*  751387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  751390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  751398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  751401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  751404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  751407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751433 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  751436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751455 */     GIR_RootConstrainSelectedInstOperands,
     /*  751456 */     // GIR_Coverage, 12504,
     /*  751456 */     GIR_EraseRootFromParent_Done,
     /*  751457 */   // Label 11737: @751457
     /*  751457 */   GIM_Try, /*On fail goto*//*Label 11738*/ GIMT_Encode4(751532), // Rule ID 12507 //
     /*  751462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  751465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  751473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  751476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  751479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  751482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751508 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  751511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751530 */     GIR_RootConstrainSelectedInstOperands,
     /*  751531 */     // GIR_Coverage, 12507,
     /*  751531 */     GIR_EraseRootFromParent_Done,
     /*  751532 */   // Label 11738: @751532
     /*  751532 */   GIM_Try, /*On fail goto*//*Label 11739*/ GIMT_Encode4(751607), // Rule ID 12508 //
     /*  751537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  751540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  751548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  751551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  751554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  751557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751583 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  751586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751605 */     GIR_RootConstrainSelectedInstOperands,
     /*  751606 */     // GIR_Coverage, 12508,
     /*  751606 */     GIR_EraseRootFromParent_Done,
     /*  751607 */   // Label 11739: @751607
     /*  751607 */   GIM_Try, /*On fail goto*//*Label 11740*/ GIMT_Encode4(751682), // Rule ID 12511 //
     /*  751612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  751615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  751623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  751626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  751629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  751632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751658 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  751661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751680 */     GIR_RootConstrainSelectedInstOperands,
     /*  751681 */     // GIR_Coverage, 12511,
     /*  751681 */     GIR_EraseRootFromParent_Done,
     /*  751682 */   // Label 11740: @751682
     /*  751682 */   GIM_Try, /*On fail goto*//*Label 11741*/ GIMT_Encode4(751757), // Rule ID 12512 //
     /*  751687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  751690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  751698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  751701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  751704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  751707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751733 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  751736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751755 */     GIR_RootConstrainSelectedInstOperands,
     /*  751756 */     // GIR_Coverage, 12512,
     /*  751756 */     GIR_EraseRootFromParent_Done,
     /*  751757 */   // Label 11741: @751757
     /*  751757 */   GIM_Try, /*On fail goto*//*Label 11742*/ GIMT_Encode4(751832), // Rule ID 12515 //
     /*  751762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  751765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  751773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  751776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  751779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  751782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751808 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  751811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751830 */     GIR_RootConstrainSelectedInstOperands,
     /*  751831 */     // GIR_Coverage, 12515,
     /*  751831 */     GIR_EraseRootFromParent_Done,
     /*  751832 */   // Label 11742: @751832
     /*  751832 */   GIM_Try, /*On fail goto*//*Label 11743*/ GIMT_Encode4(751907), // Rule ID 12516 //
     /*  751837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  751840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  751848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  751851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  751854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  751857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751883 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  751886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751905 */     GIR_RootConstrainSelectedInstOperands,
     /*  751906 */     // GIR_Coverage, 12516,
     /*  751906 */     GIR_EraseRootFromParent_Done,
     /*  751907 */   // Label 11743: @751907
     /*  751907 */   GIM_Try, /*On fail goto*//*Label 11744*/ GIMT_Encode4(751982), // Rule ID 12519 //
     /*  751912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  751923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  751926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  751929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  751961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751980 */     GIR_RootConstrainSelectedInstOperands,
     /*  751981 */     // GIR_Coverage, 12519,
     /*  751981 */     GIR_EraseRootFromParent_Done,
     /*  751982 */   // Label 11744: @751982
     /*  751982 */   GIM_Try, /*On fail goto*//*Label 11745*/ GIMT_Encode4(752057), // Rule ID 12520 //
     /*  751987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  751995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  751998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  752001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  752004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  752007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752033 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  752036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752055 */     GIR_RootConstrainSelectedInstOperands,
     /*  752056 */     // GIR_Coverage, 12520,
     /*  752056 */     GIR_EraseRootFromParent_Done,
     /*  752057 */   // Label 11745: @752057
     /*  752057 */   GIM_Try, /*On fail goto*//*Label 11746*/ GIMT_Encode4(752132), // Rule ID 12523 //
     /*  752062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  752073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  752076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  752079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  752082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752108 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  752111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752130 */     GIR_RootConstrainSelectedInstOperands,
     /*  752131 */     // GIR_Coverage, 12523,
     /*  752131 */     GIR_EraseRootFromParent_Done,
     /*  752132 */   // Label 11746: @752132
     /*  752132 */   GIM_Try, /*On fail goto*//*Label 11747*/ GIMT_Encode4(752207), // Rule ID 12524 //
     /*  752137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  752148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  752151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  752154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  752157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752183 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  752186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752205 */     GIR_RootConstrainSelectedInstOperands,
     /*  752206 */     // GIR_Coverage, 12524,
     /*  752206 */     GIR_EraseRootFromParent_Done,
     /*  752207 */   // Label 11747: @752207
     /*  752207 */   GIM_Try, /*On fail goto*//*Label 11748*/ GIMT_Encode4(752282), // Rule ID 12527 //
     /*  752212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  752223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  752226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  752229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  752232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752258 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  752261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752280 */     GIR_RootConstrainSelectedInstOperands,
     /*  752281 */     // GIR_Coverage, 12527,
     /*  752281 */     GIR_EraseRootFromParent_Done,
     /*  752282 */   // Label 11748: @752282
     /*  752282 */   GIM_Try, /*On fail goto*//*Label 11749*/ GIMT_Encode4(752357), // Rule ID 12528 //
     /*  752287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  752298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  752301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  752304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  752307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11556:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  752336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752355 */     GIR_RootConstrainSelectedInstOperands,
     /*  752356 */     // GIR_Coverage, 12528,
     /*  752356 */     GIR_EraseRootFromParent_Done,
     /*  752357 */   // Label 11749: @752357
     /*  752357 */   GIM_Try, /*On fail goto*//*Label 11750*/ GIMT_Encode4(752432), // Rule ID 12531 //
     /*  752362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  752373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  752376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  752379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  752382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752408 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  752411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752430 */     GIR_RootConstrainSelectedInstOperands,
     /*  752431 */     // GIR_Coverage, 12531,
     /*  752431 */     GIR_EraseRootFromParent_Done,
     /*  752432 */   // Label 11750: @752432
     /*  752432 */   GIM_Try, /*On fail goto*//*Label 11751*/ GIMT_Encode4(752507), // Rule ID 12532 //
     /*  752437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  752448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  752451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  752454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  752457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752483 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  752486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752505 */     GIR_RootConstrainSelectedInstOperands,
     /*  752506 */     // GIR_Coverage, 12532,
     /*  752506 */     GIR_EraseRootFromParent_Done,
     /*  752507 */   // Label 11751: @752507
     /*  752507 */   GIM_Try, /*On fail goto*//*Label 11752*/ GIMT_Encode4(752582), // Rule ID 12535 //
     /*  752512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  752523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  752526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  752529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  752532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752558 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  752561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752580 */     GIR_RootConstrainSelectedInstOperands,
     /*  752581 */     // GIR_Coverage, 12535,
     /*  752581 */     GIR_EraseRootFromParent_Done,
     /*  752582 */   // Label 11752: @752582
     /*  752582 */   GIM_Try, /*On fail goto*//*Label 11753*/ GIMT_Encode4(752657), // Rule ID 12536 //
     /*  752587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  752598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  752601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  752604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  752607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752633 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  752636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752655 */     GIR_RootConstrainSelectedInstOperands,
     /*  752656 */     // GIR_Coverage, 12536,
     /*  752656 */     GIR_EraseRootFromParent_Done,
     /*  752657 */   // Label 11753: @752657
     /*  752657 */   GIM_Try, /*On fail goto*//*Label 11754*/ GIMT_Encode4(752732), // Rule ID 12539 //
     /*  752662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  752673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  752676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  752679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  752682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752708 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  752711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752730 */     GIR_RootConstrainSelectedInstOperands,
     /*  752731 */     // GIR_Coverage, 12539,
     /*  752731 */     GIR_EraseRootFromParent_Done,
     /*  752732 */   // Label 11754: @752732
     /*  752732 */   GIM_Try, /*On fail goto*//*Label 11755*/ GIMT_Encode4(752807), // Rule ID 12540 //
     /*  752737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  752748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  752751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  752754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  752757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752783 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  752786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752805 */     GIR_RootConstrainSelectedInstOperands,
     /*  752806 */     // GIR_Coverage, 12540,
     /*  752806 */     GIR_EraseRootFromParent_Done,
     /*  752807 */   // Label 11755: @752807
     /*  752807 */   GIM_Try, /*On fail goto*//*Label 11756*/ GIMT_Encode4(752882), // Rule ID 12543 //
     /*  752812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  752823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  752826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  752829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  752832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752858 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  752861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752880 */     GIR_RootConstrainSelectedInstOperands,
     /*  752881 */     // GIR_Coverage, 12543,
     /*  752881 */     GIR_EraseRootFromParent_Done,
     /*  752882 */   // Label 11756: @752882
     /*  752882 */   GIM_Try, /*On fail goto*//*Label 11757*/ GIMT_Encode4(752957), // Rule ID 12544 //
     /*  752887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  752898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  752901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  752904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  752907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752933 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  752936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752955 */     GIR_RootConstrainSelectedInstOperands,
     /*  752956 */     // GIR_Coverage, 12544,
     /*  752956 */     GIR_EraseRootFromParent_Done,
     /*  752957 */   // Label 11757: @752957
     /*  752957 */   GIM_Try, /*On fail goto*//*Label 11758*/ GIMT_Encode4(753032), // Rule ID 12547 //
     /*  752962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  752970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  752979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  752982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  753008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  753011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753030 */     GIR_RootConstrainSelectedInstOperands,
     /*  753031 */     // GIR_Coverage, 12547,
     /*  753031 */     GIR_EraseRootFromParent_Done,
     /*  753032 */   // Label 11758: @753032
     /*  753032 */   GIM_Try, /*On fail goto*//*Label 11759*/ GIMT_Encode4(753107), // Rule ID 12548 //
     /*  753037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  753048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  753051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  753054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753083 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  753083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  753086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753105 */     GIR_RootConstrainSelectedInstOperands,
     /*  753106 */     // GIR_Coverage, 12548,
     /*  753106 */     GIR_EraseRootFromParent_Done,
     /*  753107 */   // Label 11759: @753107
     /*  753107 */   GIM_Try, /*On fail goto*//*Label 11760*/ GIMT_Encode4(753182), // Rule ID 12551 //
     /*  753112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  753123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  753126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  753129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753158 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  753158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  753161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753180 */     GIR_RootConstrainSelectedInstOperands,
     /*  753181 */     // GIR_Coverage, 12551,
     /*  753181 */     GIR_EraseRootFromParent_Done,
     /*  753182 */   // Label 11760: @753182
     /*  753182 */   GIM_Try, /*On fail goto*//*Label 11761*/ GIMT_Encode4(753257), // Rule ID 12552 //
     /*  753187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  753198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  753201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  753204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753233 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  753233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  753236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753255 */     GIR_RootConstrainSelectedInstOperands,
     /*  753256 */     // GIR_Coverage, 12552,
     /*  753256 */     GIR_EraseRootFromParent_Done,
     /*  753257 */   // Label 11761: @753257
     /*  753257 */   GIM_Try, /*On fail goto*//*Label 11762*/ GIMT_Encode4(753332), // Rule ID 12555 //
     /*  753262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  753273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  753276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  753279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  753308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  753311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753330 */     GIR_RootConstrainSelectedInstOperands,
     /*  753331 */     // GIR_Coverage, 12555,
     /*  753331 */     GIR_EraseRootFromParent_Done,
     /*  753332 */   // Label 11762: @753332
     /*  753332 */   GIM_Try, /*On fail goto*//*Label 11763*/ GIMT_Encode4(753407), // Rule ID 12556 //
     /*  753337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  753348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  753351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  753354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753383 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  753383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  753386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753405 */     GIR_RootConstrainSelectedInstOperands,
     /*  753406 */     // GIR_Coverage, 12556,
     /*  753406 */     GIR_EraseRootFromParent_Done,
     /*  753407 */   // Label 11763: @753407
     /*  753407 */   GIM_Try, /*On fail goto*//*Label 11764*/ GIMT_Encode4(753482), // Rule ID 12559 //
     /*  753412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  753423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  753426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  753429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753458 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  753458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  753461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753480 */     GIR_RootConstrainSelectedInstOperands,
     /*  753481 */     // GIR_Coverage, 12559,
     /*  753481 */     GIR_EraseRootFromParent_Done,
     /*  753482 */   // Label 11764: @753482
     /*  753482 */   GIM_Try, /*On fail goto*//*Label 11765*/ GIMT_Encode4(753557), // Rule ID 12560 //
     /*  753487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  753498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  753501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  753504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753533 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  753533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  753536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753555 */     GIR_RootConstrainSelectedInstOperands,
     /*  753556 */     // GIR_Coverage, 12560,
     /*  753556 */     GIR_EraseRootFromParent_Done,
     /*  753557 */   // Label 11765: @753557
     /*  753557 */   GIM_Try, /*On fail goto*//*Label 11766*/ GIMT_Encode4(753632), // Rule ID 12563 //
     /*  753562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  753573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  753576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  753579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753608 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  753611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753630 */     GIR_RootConstrainSelectedInstOperands,
     /*  753631 */     // GIR_Coverage, 12563,
     /*  753631 */     GIR_EraseRootFromParent_Done,
     /*  753632 */   // Label 11766: @753632
     /*  753632 */   GIM_Try, /*On fail goto*//*Label 11767*/ GIMT_Encode4(753707), // Rule ID 12564 //
     /*  753637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  753648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  753651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  753654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753683 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  753686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753705 */     GIR_RootConstrainSelectedInstOperands,
     /*  753706 */     // GIR_Coverage, 12564,
     /*  753706 */     GIR_EraseRootFromParent_Done,
     /*  753707 */   // Label 11767: @753707
     /*  753707 */   GIM_Try, /*On fail goto*//*Label 11768*/ GIMT_Encode4(753782), // Rule ID 12567 //
     /*  753712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  753723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  753726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  753729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753758 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  753761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753780 */     GIR_RootConstrainSelectedInstOperands,
     /*  753781 */     // GIR_Coverage, 12567,
     /*  753781 */     GIR_EraseRootFromParent_Done,
     /*  753782 */   // Label 11768: @753782
     /*  753782 */   GIM_Try, /*On fail goto*//*Label 11769*/ GIMT_Encode4(753857), // Rule ID 12568 //
     /*  753787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  753798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  753801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  753804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753833 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  753836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753855 */     GIR_RootConstrainSelectedInstOperands,
     /*  753856 */     // GIR_Coverage, 12568,
     /*  753856 */     GIR_EraseRootFromParent_Done,
     /*  753857 */   // Label 11769: @753857
     /*  753857 */   GIM_Try, /*On fail goto*//*Label 11770*/ GIMT_Encode4(753932), // Rule ID 12571 //
     /*  753862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  753873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  753876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  753879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753908 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  753911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753930 */     GIR_RootConstrainSelectedInstOperands,
     /*  753931 */     // GIR_Coverage, 12571,
     /*  753931 */     GIR_EraseRootFromParent_Done,
     /*  753932 */   // Label 11770: @753932
     /*  753932 */   GIM_Try, /*On fail goto*//*Label 11771*/ GIMT_Encode4(754007), // Rule ID 12572 //
     /*  753937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  753945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  753948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  753951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  753954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753983 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  753986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  754002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754005 */     GIR_RootConstrainSelectedInstOperands,
     /*  754006 */     // GIR_Coverage, 12572,
     /*  754006 */     GIR_EraseRootFromParent_Done,
     /*  754007 */   // Label 11771: @754007
     /*  754007 */   GIM_Try, /*On fail goto*//*Label 11772*/ GIMT_Encode4(754082), // Rule ID 12575 //
     /*  754012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  754015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  754023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  754026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  754029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754058 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  754058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  754061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  754077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754080 */     GIR_RootConstrainSelectedInstOperands,
     /*  754081 */     // GIR_Coverage, 12575,
     /*  754081 */     GIR_EraseRootFromParent_Done,
     /*  754082 */   // Label 11772: @754082
     /*  754082 */   GIM_Try, /*On fail goto*//*Label 11773*/ GIMT_Encode4(754157), // Rule ID 12576 //
     /*  754087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  754090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  754095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  754098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  754101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  754104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754133 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  754133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  754136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  754152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754155 */     GIR_RootConstrainSelectedInstOperands,
     /*  754156 */     // GIR_Coverage, 12576,
     /*  754156 */     GIR_EraseRootFromParent_Done,
     /*  754157 */   // Label 11773: @754157
     /*  754157 */   GIM_Try, /*On fail goto*//*Label 11774*/ GIMT_Encode4(754235), // Rule ID 13905 //
     /*  754162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  754173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  754176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  754179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  754182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754208 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  754211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754233 */     GIR_RootConstrainSelectedInstOperands,
     /*  754234 */     // GIR_Coverage, 13905,
     /*  754234 */     GIR_EraseRootFromParent_Done,
     /*  754235 */   // Label 11774: @754235
     /*  754235 */   GIM_Try, /*On fail goto*//*Label 11775*/ GIMT_Encode4(754313), // Rule ID 13906 //
     /*  754240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  754251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  754254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  754257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  754260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754286 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  754289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754311 */     GIR_RootConstrainSelectedInstOperands,
     /*  754312 */     // GIR_Coverage, 13906,
     /*  754312 */     GIR_EraseRootFromParent_Done,
     /*  754313 */   // Label 11775: @754313
     /*  754313 */   GIM_Try, /*On fail goto*//*Label 11776*/ GIMT_Encode4(754391), // Rule ID 13909 //
     /*  754318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  754329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  754332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  754335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  754338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754364 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  754367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754389 */     GIR_RootConstrainSelectedInstOperands,
     /*  754390 */     // GIR_Coverage, 13909,
     /*  754390 */     GIR_EraseRootFromParent_Done,
     /*  754391 */   // Label 11776: @754391
     /*  754391 */   GIM_Try, /*On fail goto*//*Label 11777*/ GIMT_Encode4(754469), // Rule ID 13910 //
     /*  754396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  754407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  754410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  754413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  754416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754442 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  754445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754467 */     GIR_RootConstrainSelectedInstOperands,
     /*  754468 */     // GIR_Coverage, 13910,
     /*  754468 */     GIR_EraseRootFromParent_Done,
     /*  754469 */   // Label 11777: @754469
     /*  754469 */   GIM_Try, /*On fail goto*//*Label 11778*/ GIMT_Encode4(754547), // Rule ID 13913 //
     /*  754474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  754485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  754488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  754491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  754494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754520 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  754523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754545 */     GIR_RootConstrainSelectedInstOperands,
     /*  754546 */     // GIR_Coverage, 13913,
     /*  754546 */     GIR_EraseRootFromParent_Done,
     /*  754547 */   // Label 11778: @754547
     /*  754547 */   GIM_Try, /*On fail goto*//*Label 11779*/ GIMT_Encode4(754625), // Rule ID 13914 //
     /*  754552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  754563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  754566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  754569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  754572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754598 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  754601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754623 */     GIR_RootConstrainSelectedInstOperands,
     /*  754624 */     // GIR_Coverage, 13914,
     /*  754624 */     GIR_EraseRootFromParent_Done,
     /*  754625 */   // Label 11779: @754625
     /*  754625 */   GIM_Try, /*On fail goto*//*Label 11780*/ GIMT_Encode4(754703), // Rule ID 13917 //
     /*  754630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  754641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  754644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  754647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  754650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754676 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  754679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754701 */     GIR_RootConstrainSelectedInstOperands,
     /*  754702 */     // GIR_Coverage, 13917,
     /*  754702 */     GIR_EraseRootFromParent_Done,
     /*  754703 */   // Label 11780: @754703
     /*  754703 */   GIM_Try, /*On fail goto*//*Label 11781*/ GIMT_Encode4(754781), // Rule ID 13918 //
     /*  754708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  754719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  754722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  754725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  754728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754754 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  754757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754779 */     GIR_RootConstrainSelectedInstOperands,
     /*  754780 */     // GIR_Coverage, 13918,
     /*  754780 */     GIR_EraseRootFromParent_Done,
     /*  754781 */   // Label 11781: @754781
     /*  754781 */   GIM_Try, /*On fail goto*//*Label 11782*/ GIMT_Encode4(754859), // Rule ID 13921 //
     /*  754786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  754797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  754800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  754803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  754806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754832 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  754835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754857 */     GIR_RootConstrainSelectedInstOperands,
     /*  754858 */     // GIR_Coverage, 13921,
     /*  754858 */     GIR_EraseRootFromParent_Done,
     /*  754859 */   // Label 11782: @754859
     /*  754859 */   GIM_Try, /*On fail goto*//*Label 11783*/ GIMT_Encode4(754937), // Rule ID 13922 //
     /*  754864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  754875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  754878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  754881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  754884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754910 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  754913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754935 */     GIR_RootConstrainSelectedInstOperands,
     /*  754936 */     // GIR_Coverage, 13922,
     /*  754936 */     GIR_EraseRootFromParent_Done,
     /*  754937 */   // Label 11783: @754937
     /*  754937 */   GIM_Try, /*On fail goto*//*Label 11784*/ GIMT_Encode4(755015), // Rule ID 13925 //
     /*  754942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  754953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  754956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  754959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  754962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754988 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  754988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  754991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755013 */     GIR_RootConstrainSelectedInstOperands,
     /*  755014 */     // GIR_Coverage, 13925,
     /*  755014 */     GIR_EraseRootFromParent_Done,
     /*  755015 */   // Label 11784: @755015
     /*  755015 */   GIM_Try, /*On fail goto*//*Label 11785*/ GIMT_Encode4(755093), // Rule ID 13926 //
     /*  755020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  755031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  755034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  755037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  755040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755066 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  755069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755088 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755091 */     GIR_RootConstrainSelectedInstOperands,
     /*  755092 */     // GIR_Coverage, 13926,
     /*  755092 */     GIR_EraseRootFromParent_Done,
     /*  755093 */   // Label 11785: @755093
     /*  755093 */   GIM_Try, /*On fail goto*//*Label 11786*/ GIMT_Encode4(755171), // Rule ID 13929 //
     /*  755098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  755109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  755112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  755115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  755118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755144 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  755147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755166 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755169 */     GIR_RootConstrainSelectedInstOperands,
     /*  755170 */     // GIR_Coverage, 13929,
     /*  755170 */     GIR_EraseRootFromParent_Done,
     /*  755171 */   // Label 11786: @755171
     /*  755171 */   GIM_Try, /*On fail goto*//*Label 11787*/ GIMT_Encode4(755249), // Rule ID 13930 //
     /*  755176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  755187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  755190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  755193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  755196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755222 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  755222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  755225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755244 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755247 */     GIR_RootConstrainSelectedInstOperands,
     /*  755248 */     // GIR_Coverage, 13930,
     /*  755248 */     GIR_EraseRootFromParent_Done,
     /*  755249 */   // Label 11787: @755249
     /*  755249 */   GIM_Try, /*On fail goto*//*Label 11788*/ GIMT_Encode4(755327), // Rule ID 13933 //
     /*  755254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  755265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  755268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  755271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  755274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755300 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  755300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  755303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755322 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755325 */     GIR_RootConstrainSelectedInstOperands,
     /*  755326 */     // GIR_Coverage, 13933,
     /*  755326 */     GIR_EraseRootFromParent_Done,
     /*  755327 */   // Label 11788: @755327
     /*  755327 */   GIM_Try, /*On fail goto*//*Label 11789*/ GIMT_Encode4(755405), // Rule ID 13934 //
     /*  755332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  755343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  755346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  755349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  755352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  755381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755403 */     GIR_RootConstrainSelectedInstOperands,
     /*  755404 */     // GIR_Coverage, 13934,
     /*  755404 */     GIR_EraseRootFromParent_Done,
     /*  755405 */   // Label 11789: @755405
     /*  755405 */   GIM_Try, /*On fail goto*//*Label 11790*/ GIMT_Encode4(755483), // Rule ID 13937 //
     /*  755410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  755421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  755424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  755427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  755430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755456 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  755459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755481 */     GIR_RootConstrainSelectedInstOperands,
     /*  755482 */     // GIR_Coverage, 13937,
     /*  755482 */     GIR_EraseRootFromParent_Done,
     /*  755483 */   // Label 11790: @755483
     /*  755483 */   GIM_Try, /*On fail goto*//*Label 11791*/ GIMT_Encode4(755561), // Rule ID 13938 //
     /*  755488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  755499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  755502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  755505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  755508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  755537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755559 */     GIR_RootConstrainSelectedInstOperands,
     /*  755560 */     // GIR_Coverage, 13938,
     /*  755560 */     GIR_EraseRootFromParent_Done,
     /*  755561 */   // Label 11791: @755561
     /*  755561 */   GIM_Try, /*On fail goto*//*Label 11792*/ GIMT_Encode4(755639), // Rule ID 13941 //
     /*  755566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  755569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  755577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  755580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  755583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  755586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755612 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  755612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  755615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  755631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755637 */     GIR_RootConstrainSelectedInstOperands,
     /*  755638 */     // GIR_Coverage, 13941,
     /*  755638 */     GIR_EraseRootFromParent_Done,
     /*  755639 */   // Label 11792: @755639
     /*  755639 */   GIM_Try, /*On fail goto*//*Label 11793*/ GIMT_Encode4(755717), // Rule ID 13942 //
     /*  755644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  755647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  755655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  755658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  755661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  755664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755690 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  755690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  755693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  755709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755715 */     GIR_RootConstrainSelectedInstOperands,
     /*  755716 */     // GIR_Coverage, 13942,
     /*  755716 */     GIR_EraseRootFromParent_Done,
     /*  755717 */   // Label 11793: @755717
     /*  755717 */   GIM_Try, /*On fail goto*//*Label 11794*/ GIMT_Encode4(755795), // Rule ID 13945 //
     /*  755722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  755733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  755736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  755739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  755742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755768 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  755771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755793 */     GIR_RootConstrainSelectedInstOperands,
     /*  755794 */     // GIR_Coverage, 13945,
     /*  755794 */     GIR_EraseRootFromParent_Done,
     /*  755795 */   // Label 11794: @755795
     /*  755795 */   GIM_Try, /*On fail goto*//*Label 11795*/ GIMT_Encode4(755873), // Rule ID 13946 //
     /*  755800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  755811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  755814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  755817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  755820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755846 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  755846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  755849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755871 */     GIR_RootConstrainSelectedInstOperands,
     /*  755872 */     // GIR_Coverage, 13946,
     /*  755872 */     GIR_EraseRootFromParent_Done,
     /*  755873 */   // Label 11795: @755873
     /*  755873 */   GIM_Try, /*On fail goto*//*Label 11796*/ GIMT_Encode4(755951), // Rule ID 13949 //
     /*  755878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  755889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  755892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  755895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  755898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755924 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  755924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  755927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  755943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755949 */     GIR_RootConstrainSelectedInstOperands,
     /*  755950 */     // GIR_Coverage, 13949,
     /*  755950 */     GIR_EraseRootFromParent_Done,
     /*  755951 */   // Label 11796: @755951
     /*  755951 */   GIM_Try, /*On fail goto*//*Label 11797*/ GIMT_Encode4(756029), // Rule ID 13950 //
     /*  755956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  755967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  755970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  755973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  755976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756002 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  756005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756024 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756027 */     GIR_RootConstrainSelectedInstOperands,
     /*  756028 */     // GIR_Coverage, 13950,
     /*  756028 */     GIR_EraseRootFromParent_Done,
     /*  756029 */   // Label 11797: @756029
     /*  756029 */   GIM_Try, /*On fail goto*//*Label 11798*/ GIMT_Encode4(756107), // Rule ID 13953 //
     /*  756034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  756045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  756048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  756051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  756054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756080 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  756083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756105 */     GIR_RootConstrainSelectedInstOperands,
     /*  756106 */     // GIR_Coverage, 13953,
     /*  756106 */     GIR_EraseRootFromParent_Done,
     /*  756107 */   // Label 11798: @756107
     /*  756107 */   GIM_Try, /*On fail goto*//*Label 11799*/ GIMT_Encode4(756185), // Rule ID 13954 //
     /*  756112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  756123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  756126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  756129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  756132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756158 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  756161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756183 */     GIR_RootConstrainSelectedInstOperands,
     /*  756184 */     // GIR_Coverage, 13954,
     /*  756184 */     GIR_EraseRootFromParent_Done,
     /*  756185 */   // Label 11799: @756185
     /*  756185 */   GIM_Try, /*On fail goto*//*Label 11800*/ GIMT_Encode4(756263), // Rule ID 13957 //
     /*  756190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  756201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  756204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  756207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  756210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756236 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  756239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756261 */     GIR_RootConstrainSelectedInstOperands,
     /*  756262 */     // GIR_Coverage, 13957,
     /*  756262 */     GIR_EraseRootFromParent_Done,
     /*  756263 */   // Label 11800: @756263
     /*  756263 */   GIM_Try, /*On fail goto*//*Label 11801*/ GIMT_Encode4(756341), // Rule ID 13958 //
     /*  756268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  756279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  756282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  756285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  756288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756314 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  756317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756339 */     GIR_RootConstrainSelectedInstOperands,
     /*  756340 */     // GIR_Coverage, 13958,
     /*  756340 */     GIR_EraseRootFromParent_Done,
     /*  756341 */   // Label 11801: @756341
     /*  756341 */   GIM_Try, /*On fail goto*//*Label 11802*/ GIMT_Encode4(756419), // Rule ID 13961 //
     /*  756346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  756357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  756360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  756363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  756366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756392 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  756395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756417 */     GIR_RootConstrainSelectedInstOperands,
     /*  756418 */     // GIR_Coverage, 13961,
     /*  756418 */     GIR_EraseRootFromParent_Done,
     /*  756419 */   // Label 11802: @756419
     /*  756419 */   GIM_Try, /*On fail goto*//*Label 11803*/ GIMT_Encode4(756497), // Rule ID 13962 //
     /*  756424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  756435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  756438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  756441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  756444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756470 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  756473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756492 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756495 */     GIR_RootConstrainSelectedInstOperands,
     /*  756496 */     // GIR_Coverage, 13962,
     /*  756496 */     GIR_EraseRootFromParent_Done,
     /*  756497 */   // Label 11803: @756497
     /*  756497 */   GIM_Try, /*On fail goto*//*Label 11804*/ GIMT_Encode4(756575), // Rule ID 13965 //
     /*  756502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  756513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  756516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  756519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  756522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756548 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  756551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756570 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756573 */     GIR_RootConstrainSelectedInstOperands,
     /*  756574 */     // GIR_Coverage, 13965,
     /*  756574 */     GIR_EraseRootFromParent_Done,
     /*  756575 */   // Label 11804: @756575
     /*  756575 */   GIM_Try, /*On fail goto*//*Label 11805*/ GIMT_Encode4(756653), // Rule ID 13966 //
     /*  756580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  756591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  756594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  756597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  756600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756626 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  756629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756651 */     GIR_RootConstrainSelectedInstOperands,
     /*  756652 */     // GIR_Coverage, 13966,
     /*  756652 */     GIR_EraseRootFromParent_Done,
     /*  756653 */   // Label 11805: @756653
     /*  756653 */   GIM_Try, /*On fail goto*//*Label 11806*/ GIMT_Encode4(756731), // Rule ID 13969 //
     /*  756658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  756669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  756672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  756675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  756678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756704 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  756704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  756707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756729 */     GIR_RootConstrainSelectedInstOperands,
     /*  756730 */     // GIR_Coverage, 13969,
     /*  756730 */     GIR_EraseRootFromParent_Done,
     /*  756731 */   // Label 11806: @756731
     /*  756731 */   GIM_Try, /*On fail goto*//*Label 11807*/ GIMT_Encode4(756809), // Rule ID 13970 //
     /*  756736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  756747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  756750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  756753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  756756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756782 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  756782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  756785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756807 */     GIR_RootConstrainSelectedInstOperands,
     /*  756808 */     // GIR_Coverage, 13970,
     /*  756808 */     GIR_EraseRootFromParent_Done,
     /*  756809 */   // Label 11807: @756809
     /*  756809 */   GIM_Try, /*On fail goto*//*Label 11808*/ GIMT_Encode4(756887), // Rule ID 13973 //
     /*  756814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  756825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  756828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  756831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  756834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756860 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  756860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  756863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756885 */     GIR_RootConstrainSelectedInstOperands,
     /*  756886 */     // GIR_Coverage, 13973,
     /*  756886 */     GIR_EraseRootFromParent_Done,
     /*  756887 */   // Label 11808: @756887
     /*  756887 */   GIM_Try, /*On fail goto*//*Label 11809*/ GIMT_Encode4(756965), // Rule ID 13974 //
     /*  756892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  756903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  756906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  756909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  756912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756938 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  756938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  756941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756963 */     GIR_RootConstrainSelectedInstOperands,
     /*  756964 */     // GIR_Coverage, 13974,
     /*  756964 */     GIR_EraseRootFromParent_Done,
     /*  756965 */   // Label 11809: @756965
     /*  756965 */   GIM_Try, /*On fail goto*//*Label 11810*/ GIMT_Encode4(757043), // Rule ID 13977 //
     /*  756970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  756981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  756984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  756987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  756990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757016 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  757019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757041 */     GIR_RootConstrainSelectedInstOperands,
     /*  757042 */     // GIR_Coverage, 13977,
     /*  757042 */     GIR_EraseRootFromParent_Done,
     /*  757043 */   // Label 11810: @757043
     /*  757043 */   GIM_Try, /*On fail goto*//*Label 11811*/ GIMT_Encode4(757121), // Rule ID 13978 //
     /*  757048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  757059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  757062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  757065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  757068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757094 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  757094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  757097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757119 */     GIR_RootConstrainSelectedInstOperands,
     /*  757120 */     // GIR_Coverage, 13978,
     /*  757120 */     GIR_EraseRootFromParent_Done,
     /*  757121 */   // Label 11811: @757121
     /*  757121 */   GIM_Try, /*On fail goto*//*Label 11812*/ GIMT_Encode4(757199), // Rule ID 13981 //
     /*  757126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  757129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  757137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  757140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  757143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  757146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757172 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  757172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  757191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757197 */     GIR_RootConstrainSelectedInstOperands,
     /*  757198 */     // GIR_Coverage, 13981,
     /*  757198 */     GIR_EraseRootFromParent_Done,
     /*  757199 */   // Label 11812: @757199
     /*  757199 */   GIM_Try, /*On fail goto*//*Label 11813*/ GIMT_Encode4(757277), // Rule ID 13982 //
     /*  757204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  757207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  757215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  757218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  757221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  757224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757250 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  757250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  757253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  757269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757272 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757275 */     GIR_RootConstrainSelectedInstOperands,
     /*  757276 */     // GIR_Coverage, 13982,
     /*  757276 */     GIR_EraseRootFromParent_Done,
     /*  757277 */   // Label 11813: @757277
     /*  757277 */   GIM_Try, /*On fail goto*//*Label 11814*/ GIMT_Encode4(757355), // Rule ID 13985 //
     /*  757282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  757285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  757293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  757296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  757299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  757302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757328 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  757328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  757331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  757347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757353 */     GIR_RootConstrainSelectedInstOperands,
     /*  757354 */     // GIR_Coverage, 13985,
     /*  757354 */     GIR_EraseRootFromParent_Done,
     /*  757355 */   // Label 11814: @757355
     /*  757355 */   GIM_Try, /*On fail goto*//*Label 11815*/ GIMT_Encode4(757433), // Rule ID 13986 //
     /*  757360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  757363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  757371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  757374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  757377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  757380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757406 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  757406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  757409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  757425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757431 */     GIR_RootConstrainSelectedInstOperands,
     /*  757432 */     // GIR_Coverage, 13986,
     /*  757432 */     GIR_EraseRootFromParent_Done,
     /*  757433 */   // Label 11815: @757433
     /*  757433 */   GIM_Try, /*On fail goto*//*Label 11816*/ GIMT_Encode4(757511), // Rule ID 13989 //
     /*  757438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  757441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  757449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  757452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  757455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  757458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757484 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  757484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  757487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  757503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757509 */     GIR_RootConstrainSelectedInstOperands,
     /*  757510 */     // GIR_Coverage, 13989,
     /*  757510 */     GIR_EraseRootFromParent_Done,
     /*  757511 */   // Label 11816: @757511
     /*  757511 */   GIM_Try, /*On fail goto*//*Label 11817*/ GIMT_Encode4(757589), // Rule ID 13990 //
     /*  757516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  757519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  757527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  757530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  757533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  757536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757562 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  757562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  757565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  757581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757587 */     GIR_RootConstrainSelectedInstOperands,
     /*  757588 */     // GIR_Coverage, 13990,
     /*  757588 */     GIR_EraseRootFromParent_Done,
     /*  757589 */   // Label 11817: @757589
     /*  757589 */   GIM_Try, /*On fail goto*//*Label 11818*/ GIMT_Encode4(757667), // Rule ID 13993 //
     /*  757594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  757605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  757608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  757611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  757614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757640 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  757643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757665 */     GIR_RootConstrainSelectedInstOperands,
     /*  757666 */     // GIR_Coverage, 13993,
     /*  757666 */     GIR_EraseRootFromParent_Done,
     /*  757667 */   // Label 11818: @757667
     /*  757667 */   GIM_Try, /*On fail goto*//*Label 11819*/ GIMT_Encode4(757745), // Rule ID 13994 //
     /*  757672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  757683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  757686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  757689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  757692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757718 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  757721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757743 */     GIR_RootConstrainSelectedInstOperands,
     /*  757744 */     // GIR_Coverage, 13994,
     /*  757744 */     GIR_EraseRootFromParent_Done,
     /*  757745 */   // Label 11819: @757745
     /*  757745 */   GIM_Try, /*On fail goto*//*Label 11820*/ GIMT_Encode4(757823), // Rule ID 13997 //
     /*  757750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  757761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  757764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  757767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  757770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757796 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  757799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757821 */     GIR_RootConstrainSelectedInstOperands,
     /*  757822 */     // GIR_Coverage, 13997,
     /*  757822 */     GIR_EraseRootFromParent_Done,
     /*  757823 */   // Label 11820: @757823
     /*  757823 */   GIM_Try, /*On fail goto*//*Label 11821*/ GIMT_Encode4(757901), // Rule ID 13998 //
     /*  757828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  757839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  757842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  757845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  757848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757874 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  757877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757896 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757899 */     GIR_RootConstrainSelectedInstOperands,
     /*  757900 */     // GIR_Coverage, 13998,
     /*  757900 */     GIR_EraseRootFromParent_Done,
     /*  757901 */   // Label 11821: @757901
     /*  757901 */   GIM_Try, /*On fail goto*//*Label 11822*/ GIMT_Encode4(757979), // Rule ID 14001 //
     /*  757906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  757917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  757920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  757923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  757926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757952 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  757955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757977 */     GIR_RootConstrainSelectedInstOperands,
     /*  757978 */     // GIR_Coverage, 14001,
     /*  757978 */     GIR_EraseRootFromParent_Done,
     /*  757979 */   // Label 11822: @757979
     /*  757979 */   GIM_Try, /*On fail goto*//*Label 11823*/ GIMT_Encode4(758057), // Rule ID 14002 //
     /*  757984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  757992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  757995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  757998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  758001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758030 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  758033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758055 */     GIR_RootConstrainSelectedInstOperands,
     /*  758056 */     // GIR_Coverage, 14002,
     /*  758056 */     GIR_EraseRootFromParent_Done,
     /*  758057 */   // Label 11823: @758057
     /*  758057 */   GIM_Try, /*On fail goto*//*Label 11824*/ GIMT_Encode4(758135), // Rule ID 14005 //
     /*  758062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  758073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  758076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  758079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758108 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  758111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758130 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758133 */     GIR_RootConstrainSelectedInstOperands,
     /*  758134 */     // GIR_Coverage, 14005,
     /*  758134 */     GIR_EraseRootFromParent_Done,
     /*  758135 */   // Label 11824: @758135
     /*  758135 */   GIM_Try, /*On fail goto*//*Label 11825*/ GIMT_Encode4(758213), // Rule ID 14006 //
     /*  758140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  758151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  758154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  758157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758186 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  758189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758208 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758211 */     GIR_RootConstrainSelectedInstOperands,
     /*  758212 */     // GIR_Coverage, 14006,
     /*  758212 */     GIR_EraseRootFromParent_Done,
     /*  758213 */   // Label 11825: @758213
     /*  758213 */   GIM_Try, /*On fail goto*//*Label 11826*/ GIMT_Encode4(758291), // Rule ID 14009 //
     /*  758218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  758229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  758232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  758235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758264 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  758267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758289 */     GIR_RootConstrainSelectedInstOperands,
     /*  758290 */     // GIR_Coverage, 14009,
     /*  758290 */     GIR_EraseRootFromParent_Done,
     /*  758291 */   // Label 11826: @758291
     /*  758291 */   GIM_Try, /*On fail goto*//*Label 11827*/ GIMT_Encode4(758369), // Rule ID 14010 //
     /*  758296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  758307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  758310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  758313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758342 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  758345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758364 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758367 */     GIR_RootConstrainSelectedInstOperands,
     /*  758368 */     // GIR_Coverage, 14010,
     /*  758368 */     GIR_EraseRootFromParent_Done,
     /*  758369 */   // Label 11827: @758369
     /*  758369 */   GIM_Try, /*On fail goto*//*Label 11828*/ GIMT_Encode4(758447), // Rule ID 14013 //
     /*  758374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  758385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  758388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  758391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758420 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  758420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  758423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758445 */     GIR_RootConstrainSelectedInstOperands,
     /*  758446 */     // GIR_Coverage, 14013,
     /*  758446 */     GIR_EraseRootFromParent_Done,
     /*  758447 */   // Label 11828: @758447
     /*  758447 */   GIM_Try, /*On fail goto*//*Label 11829*/ GIMT_Encode4(758525), // Rule ID 14014 //
     /*  758452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  758463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  758466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  758469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758498 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  758501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758523 */     GIR_RootConstrainSelectedInstOperands,
     /*  758524 */     // GIR_Coverage, 14014,
     /*  758524 */     GIR_EraseRootFromParent_Done,
     /*  758525 */   // Label 11829: @758525
     /*  758525 */   GIM_Try, /*On fail goto*//*Label 11830*/ GIMT_Encode4(758603), // Rule ID 14017 //
     /*  758530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  758541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  758544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  758547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758576 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  758579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758601 */     GIR_RootConstrainSelectedInstOperands,
     /*  758602 */     // GIR_Coverage, 14017,
     /*  758602 */     GIR_EraseRootFromParent_Done,
     /*  758603 */   // Label 11830: @758603
     /*  758603 */   GIM_Try, /*On fail goto*//*Label 11831*/ GIMT_Encode4(758681), // Rule ID 14018 //
     /*  758608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  758619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  758622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  758625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758654 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  758657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758676 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758679 */     GIR_RootConstrainSelectedInstOperands,
     /*  758680 */     // GIR_Coverage, 14018,
     /*  758680 */     GIR_EraseRootFromParent_Done,
     /*  758681 */   // Label 11831: @758681
     /*  758681 */   GIM_Try, /*On fail goto*//*Label 11832*/ GIMT_Encode4(758759), // Rule ID 14021 //
     /*  758686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  758697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  758700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  758703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758732 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  758735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758757 */     GIR_RootConstrainSelectedInstOperands,
     /*  758758 */     // GIR_Coverage, 14021,
     /*  758758 */     GIR_EraseRootFromParent_Done,
     /*  758759 */   // Label 11832: @758759
     /*  758759 */   GIM_Try, /*On fail goto*//*Label 11833*/ GIMT_Encode4(758837), // Rule ID 14022 //
     /*  758764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  758775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  758778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  758781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758810 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  758813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758835 */     GIR_RootConstrainSelectedInstOperands,
     /*  758836 */     // GIR_Coverage, 14022,
     /*  758836 */     GIR_EraseRootFromParent_Done,
     /*  758837 */   // Label 11833: @758837
     /*  758837 */   GIM_Try, /*On fail goto*//*Label 11834*/ GIMT_Encode4(758915), // Rule ID 14025 //
     /*  758842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  758853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  758856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  758859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758888 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  758888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  758891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758913 */     GIR_RootConstrainSelectedInstOperands,
     /*  758914 */     // GIR_Coverage, 14025,
     /*  758914 */     GIR_EraseRootFromParent_Done,
     /*  758915 */   // Label 11834: @758915
     /*  758915 */   GIM_Try, /*On fail goto*//*Label 11835*/ GIMT_Encode4(758993), // Rule ID 14026 //
     /*  758920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  758928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  758931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  758934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  758937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758966 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  758969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758988 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758991 */     GIR_RootConstrainSelectedInstOperands,
     /*  758992 */     // GIR_Coverage, 14026,
     /*  758992 */     GIR_EraseRootFromParent_Done,
     /*  758993 */   // Label 11835: @758993
     /*  758993 */   GIM_Try, /*On fail goto*//*Label 11836*/ GIMT_Encode4(759071), // Rule ID 14029 //
     /*  758998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  759001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  759009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  759012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  759015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759044 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  759044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  759047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759066 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759069 */     GIR_RootConstrainSelectedInstOperands,
     /*  759070 */     // GIR_Coverage, 14029,
     /*  759070 */     GIR_EraseRootFromParent_Done,
     /*  759071 */   // Label 11836: @759071
     /*  759071 */   GIM_Try, /*On fail goto*//*Label 11837*/ GIMT_Encode4(759149), // Rule ID 14030 //
     /*  759076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  759079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  759087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  759090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  759093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759122 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  759122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  759125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759147 */     GIR_RootConstrainSelectedInstOperands,
     /*  759148 */     // GIR_Coverage, 14030,
     /*  759148 */     GIR_EraseRootFromParent_Done,
     /*  759149 */   // Label 11837: @759149
     /*  759149 */   GIM_Try, /*On fail goto*//*Label 11838*/ GIMT_Encode4(759227), // Rule ID 14033 //
     /*  759154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  759165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  759168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  759171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759200 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  759203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759225 */     GIR_RootConstrainSelectedInstOperands,
     /*  759226 */     // GIR_Coverage, 14033,
     /*  759226 */     GIR_EraseRootFromParent_Done,
     /*  759227 */   // Label 11838: @759227
     /*  759227 */   GIM_Try, /*On fail goto*//*Label 11839*/ GIMT_Encode4(759305), // Rule ID 14034 //
     /*  759232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  759243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  759246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  759249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759278 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  759278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  759281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759303 */     GIR_RootConstrainSelectedInstOperands,
     /*  759304 */     // GIR_Coverage, 14034,
     /*  759304 */     GIR_EraseRootFromParent_Done,
     /*  759305 */   // Label 11839: @759305
     /*  759305 */   GIM_Try, /*On fail goto*//*Label 11840*/ GIMT_Encode4(759383), // Rule ID 14037 //
     /*  759310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  759321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  759324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  759327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759356 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  759359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759381 */     GIR_RootConstrainSelectedInstOperands,
     /*  759382 */     // GIR_Coverage, 14037,
     /*  759382 */     GIR_EraseRootFromParent_Done,
     /*  759383 */   // Label 11840: @759383
     /*  759383 */   GIM_Try, /*On fail goto*//*Label 11841*/ GIMT_Encode4(759461), // Rule ID 14038 //
     /*  759388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  759399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  759402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  759405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759434 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  759434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  759437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759456 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759459 */     GIR_RootConstrainSelectedInstOperands,
     /*  759460 */     // GIR_Coverage, 14038,
     /*  759460 */     GIR_EraseRootFromParent_Done,
     /*  759461 */   // Label 11841: @759461
     /*  759461 */   GIM_Try, /*On fail goto*//*Label 11842*/ GIMT_Encode4(759539), // Rule ID 14041 //
     /*  759466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  759477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  759480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  759483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759512 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  759515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759534 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759537 */     GIR_RootConstrainSelectedInstOperands,
     /*  759538 */     // GIR_Coverage, 14041,
     /*  759538 */     GIR_EraseRootFromParent_Done,
     /*  759539 */   // Label 11842: @759539
     /*  759539 */   GIM_Try, /*On fail goto*//*Label 11843*/ GIMT_Encode4(759617), // Rule ID 14042 //
     /*  759544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  759555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  759558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  759561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759590 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  759590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  759593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759615 */     GIR_RootConstrainSelectedInstOperands,
     /*  759616 */     // GIR_Coverage, 14042,
     /*  759616 */     GIR_EraseRootFromParent_Done,
     /*  759617 */   // Label 11843: @759617
     /*  759617 */   GIM_Try, /*On fail goto*//*Label 11844*/ GIMT_Encode4(759695), // Rule ID 14045 //
     /*  759622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  759633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  759636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  759639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759668 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  759671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759693 */     GIR_RootConstrainSelectedInstOperands,
     /*  759694 */     // GIR_Coverage, 14045,
     /*  759694 */     GIR_EraseRootFromParent_Done,
     /*  759695 */   // Label 11844: @759695
     /*  759695 */   GIM_Try, /*On fail goto*//*Label 11845*/ GIMT_Encode4(759773), // Rule ID 14046 //
     /*  759700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  759711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  759714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  759717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759746 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  759749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759768 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759771 */     GIR_RootConstrainSelectedInstOperands,
     /*  759772 */     // GIR_Coverage, 14046,
     /*  759772 */     GIR_EraseRootFromParent_Done,
     /*  759773 */   // Label 11845: @759773
     /*  759773 */   GIM_Try, /*On fail goto*//*Label 11846*/ GIMT_Encode4(759851), // Rule ID 14049 //
     /*  759778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  759789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  759792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  759795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759824 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  759827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759849 */     GIR_RootConstrainSelectedInstOperands,
     /*  759850 */     // GIR_Coverage, 14049,
     /*  759850 */     GIR_EraseRootFromParent_Done,
     /*  759851 */   // Label 11846: @759851
     /*  759851 */   GIM_Try, /*On fail goto*//*Label 11847*/ GIMT_Encode4(759929), // Rule ID 14050 //
     /*  759856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  759867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  759870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  759873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759902 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  759905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759924 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759927 */     GIR_RootConstrainSelectedInstOperands,
     /*  759928 */     // GIR_Coverage, 14050,
     /*  759928 */     GIR_EraseRootFromParent_Done,
     /*  759929 */   // Label 11847: @759929
     /*  759929 */   GIM_Try, /*On fail goto*//*Label 11848*/ GIMT_Encode4(760007), // Rule ID 14053 //
     /*  759934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  759942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  759945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  759948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  759951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759980 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  759983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760005 */     GIR_RootConstrainSelectedInstOperands,
     /*  760006 */     // GIR_Coverage, 14053,
     /*  760006 */     GIR_EraseRootFromParent_Done,
     /*  760007 */   // Label 11848: @760007
     /*  760007 */   GIM_Try, /*On fail goto*//*Label 11849*/ GIMT_Encode4(760085), // Rule ID 14054 //
     /*  760012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  760023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  760026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  760029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760058 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  760058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  760061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760080 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760083 */     GIR_RootConstrainSelectedInstOperands,
     /*  760084 */     // GIR_Coverage, 14054,
     /*  760084 */     GIR_EraseRootFromParent_Done,
     /*  760085 */   // Label 11849: @760085
     /*  760085 */   GIM_Try, /*On fail goto*//*Label 11850*/ GIMT_Encode4(760163), // Rule ID 14057 //
     /*  760090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  760101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  760104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  760107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760136 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  760139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760161 */     GIR_RootConstrainSelectedInstOperands,
     /*  760162 */     // GIR_Coverage, 14057,
     /*  760162 */     GIR_EraseRootFromParent_Done,
     /*  760163 */   // Label 11850: @760163
     /*  760163 */   GIM_Try, /*On fail goto*//*Label 11851*/ GIMT_Encode4(760241), // Rule ID 14058 //
     /*  760168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  760179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  760182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  760185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760214 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  760214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  760217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760239 */     GIR_RootConstrainSelectedInstOperands,
     /*  760240 */     // GIR_Coverage, 14058,
     /*  760240 */     GIR_EraseRootFromParent_Done,
     /*  760241 */   // Label 11851: @760241
     /*  760241 */   GIM_Try, /*On fail goto*//*Label 11852*/ GIMT_Encode4(760319), // Rule ID 14061 //
     /*  760246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  760257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  760260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  760263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760292 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  760295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760317 */     GIR_RootConstrainSelectedInstOperands,
     /*  760318 */     // GIR_Coverage, 14061,
     /*  760318 */     GIR_EraseRootFromParent_Done,
     /*  760319 */   // Label 11852: @760319
     /*  760319 */   GIM_Try, /*On fail goto*//*Label 11853*/ GIMT_Encode4(760397), // Rule ID 14062 //
     /*  760324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  760335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  760338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  760341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760370 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  760370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  760373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760395 */     GIR_RootConstrainSelectedInstOperands,
     /*  760396 */     // GIR_Coverage, 14062,
     /*  760396 */     GIR_EraseRootFromParent_Done,
     /*  760397 */   // Label 11853: @760397
     /*  760397 */   GIM_Try, /*On fail goto*//*Label 11854*/ GIMT_Encode4(760475), // Rule ID 14065 //
     /*  760402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  760413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  760416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  760419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760448 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  760451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760470 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760473 */     GIR_RootConstrainSelectedInstOperands,
     /*  760474 */     // GIR_Coverage, 14065,
     /*  760474 */     GIR_EraseRootFromParent_Done,
     /*  760475 */   // Label 11854: @760475
     /*  760475 */   GIM_Try, /*On fail goto*//*Label 11855*/ GIMT_Encode4(760553), // Rule ID 14066 //
     /*  760480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  760491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  760494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  760497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760526 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  760526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  760529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760548 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760551 */     GIR_RootConstrainSelectedInstOperands,
     /*  760552 */     // GIR_Coverage, 14066,
     /*  760552 */     GIR_EraseRootFromParent_Done,
     /*  760553 */   // Label 11855: @760553
     /*  760553 */   GIM_Try, /*On fail goto*//*Label 11856*/ GIMT_Encode4(760631), // Rule ID 14069 //
     /*  760558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  760561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  760569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  760572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  760575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760604 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  760604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  760607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760629 */     GIR_RootConstrainSelectedInstOperands,
     /*  760630 */     // GIR_Coverage, 14069,
     /*  760630 */     GIR_EraseRootFromParent_Done,
     /*  760631 */   // Label 11856: @760631
     /*  760631 */   GIM_Try, /*On fail goto*//*Label 11857*/ GIMT_Encode4(760709), // Rule ID 14070 //
     /*  760636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  760639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  760647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  760650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  760653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760682 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  760682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  760685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760707 */     GIR_RootConstrainSelectedInstOperands,
     /*  760708 */     // GIR_Coverage, 14070,
     /*  760708 */     GIR_EraseRootFromParent_Done,
     /*  760709 */   // Label 11857: @760709
     /*  760709 */   GIM_Try, /*On fail goto*//*Label 11858*/ GIMT_Encode4(760787), // Rule ID 14073 //
     /*  760714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  760717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  760725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  760728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  760731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760760 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  760760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  760763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760785 */     GIR_RootConstrainSelectedInstOperands,
     /*  760786 */     // GIR_Coverage, 14073,
     /*  760786 */     GIR_EraseRootFromParent_Done,
     /*  760787 */   // Label 11858: @760787
     /*  760787 */   GIM_Try, /*On fail goto*//*Label 11859*/ GIMT_Encode4(760865), // Rule ID 14074 //
     /*  760792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  760795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  760803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  760806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  760809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760838 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  760838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  760841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760863 */     GIR_RootConstrainSelectedInstOperands,
     /*  760864 */     // GIR_Coverage, 14074,
     /*  760864 */     GIR_EraseRootFromParent_Done,
     /*  760865 */   // Label 11859: @760865
     /*  760865 */   GIM_Try, /*On fail goto*//*Label 11860*/ GIMT_Encode4(760943), // Rule ID 14077 //
     /*  760870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  760873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  760881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  760884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  760887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760916 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  760916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  760919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760941 */     GIR_RootConstrainSelectedInstOperands,
     /*  760942 */     // GIR_Coverage, 14077,
     /*  760942 */     GIR_EraseRootFromParent_Done,
     /*  760943 */   // Label 11860: @760943
     /*  760943 */   GIM_Try, /*On fail goto*//*Label 11861*/ GIMT_Encode4(761021), // Rule ID 14078 //
     /*  760948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  760951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  760959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  760962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  760965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760994 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  760994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  760997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761016 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761019 */     GIR_RootConstrainSelectedInstOperands,
     /*  761020 */     // GIR_Coverage, 14078,
     /*  761020 */     GIR_EraseRootFromParent_Done,
     /*  761021 */   // Label 11861: @761021
     /*  761021 */   GIM_Try, /*On fail goto*//*Label 11862*/ GIMT_Encode4(761099), // Rule ID 14169 //
     /*  761026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  761037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  761040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  761043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  761046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  761075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761097 */     GIR_RootConstrainSelectedInstOperands,
     /*  761098 */     // GIR_Coverage, 14169,
     /*  761098 */     GIR_EraseRootFromParent_Done,
     /*  761099 */   // Label 11862: @761099
     /*  761099 */   GIM_Try, /*On fail goto*//*Label 11863*/ GIMT_Encode4(761177), // Rule ID 14170 //
     /*  761104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  761115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  761118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  761121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  761124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761150 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  761153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761175 */     GIR_RootConstrainSelectedInstOperands,
     /*  761176 */     // GIR_Coverage, 14170,
     /*  761176 */     GIR_EraseRootFromParent_Done,
     /*  761177 */   // Label 11863: @761177
     /*  761177 */   GIM_Try, /*On fail goto*//*Label 11864*/ GIMT_Encode4(761255), // Rule ID 14173 //
     /*  761182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  761193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  761196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  761199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  761202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761228 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  761231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761250 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761253 */     GIR_RootConstrainSelectedInstOperands,
     /*  761254 */     // GIR_Coverage, 14173,
     /*  761254 */     GIR_EraseRootFromParent_Done,
     /*  761255 */   // Label 11864: @761255
     /*  761255 */   GIM_Try, /*On fail goto*//*Label 11865*/ GIMT_Encode4(761333), // Rule ID 14174 //
     /*  761260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  761271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  761274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  761277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  761280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761306 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  761309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761331 */     GIR_RootConstrainSelectedInstOperands,
     /*  761332 */     // GIR_Coverage, 14174,
     /*  761332 */     GIR_EraseRootFromParent_Done,
     /*  761333 */   // Label 11865: @761333
     /*  761333 */   GIM_Try, /*On fail goto*//*Label 11866*/ GIMT_Encode4(761411), // Rule ID 14177 //
     /*  761338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  761349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  761352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  761355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  761358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761384 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  761387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761409 */     GIR_RootConstrainSelectedInstOperands,
     /*  761410 */     // GIR_Coverage, 14177,
     /*  761410 */     GIR_EraseRootFromParent_Done,
     /*  761411 */   // Label 11866: @761411
     /*  761411 */   GIM_Try, /*On fail goto*//*Label 11867*/ GIMT_Encode4(761489), // Rule ID 14178 //
     /*  761416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  761427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  761430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  761433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  761436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761462 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  761465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761487 */     GIR_RootConstrainSelectedInstOperands,
     /*  761488 */     // GIR_Coverage, 14178,
     /*  761488 */     GIR_EraseRootFromParent_Done,
     /*  761489 */   // Label 11867: @761489
     /*  761489 */   GIM_Try, /*On fail goto*//*Label 11868*/ GIMT_Encode4(761567), // Rule ID 14181 //
     /*  761494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  761505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  761508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  761511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  761514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761540 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  761543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761565 */     GIR_RootConstrainSelectedInstOperands,
     /*  761566 */     // GIR_Coverage, 14181,
     /*  761566 */     GIR_EraseRootFromParent_Done,
     /*  761567 */   // Label 11868: @761567
     /*  761567 */   GIM_Try, /*On fail goto*//*Label 11869*/ GIMT_Encode4(761645), // Rule ID 14182 //
     /*  761572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  761583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  761586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  761589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  761592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761618 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  761621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761643 */     GIR_RootConstrainSelectedInstOperands,
     /*  761644 */     // GIR_Coverage, 14182,
     /*  761644 */     GIR_EraseRootFromParent_Done,
     /*  761645 */   // Label 11869: @761645
     /*  761645 */   GIM_Try, /*On fail goto*//*Label 11870*/ GIMT_Encode4(761723), // Rule ID 14185 //
     /*  761650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  761661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  761664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  761667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  761670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761696 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  761699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761721 */     GIR_RootConstrainSelectedInstOperands,
     /*  761722 */     // GIR_Coverage, 14185,
     /*  761722 */     GIR_EraseRootFromParent_Done,
     /*  761723 */   // Label 11870: @761723
     /*  761723 */   GIM_Try, /*On fail goto*//*Label 11871*/ GIMT_Encode4(761801), // Rule ID 14186 //
     /*  761728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  761739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  761742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  761745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  761748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761774 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  761777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761796 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761799 */     GIR_RootConstrainSelectedInstOperands,
     /*  761800 */     // GIR_Coverage, 14186,
     /*  761800 */     GIR_EraseRootFromParent_Done,
     /*  761801 */   // Label 11871: @761801
     /*  761801 */   GIM_Try, /*On fail goto*//*Label 11872*/ GIMT_Encode4(761879), // Rule ID 14189 //
     /*  761806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  761817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  761820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  761823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  761826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761852 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  761855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761877 */     GIR_RootConstrainSelectedInstOperands,
     /*  761878 */     // GIR_Coverage, 14189,
     /*  761878 */     GIR_EraseRootFromParent_Done,
     /*  761879 */   // Label 11872: @761879
     /*  761879 */   GIM_Try, /*On fail goto*//*Label 11873*/ GIMT_Encode4(761957), // Rule ID 14190 //
     /*  761884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  761895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  761898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  761901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  761904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761930 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  761933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761955 */     GIR_RootConstrainSelectedInstOperands,
     /*  761956 */     // GIR_Coverage, 14190,
     /*  761956 */     GIR_EraseRootFromParent_Done,
     /*  761957 */   // Label 11873: @761957
     /*  761957 */   GIM_Try, /*On fail goto*//*Label 11874*/ GIMT_Encode4(762035), // Rule ID 14193 //
     /*  761962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  761973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  761976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  761979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  761982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  762011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762033 */     GIR_RootConstrainSelectedInstOperands,
     /*  762034 */     // GIR_Coverage, 14193,
     /*  762034 */     GIR_EraseRootFromParent_Done,
     /*  762035 */   // Label 11874: @762035
     /*  762035 */   GIM_Try, /*On fail goto*//*Label 11875*/ GIMT_Encode4(762113), // Rule ID 14194 //
     /*  762040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  762051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  762054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  762057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  762060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762086 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  762089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762108 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762111 */     GIR_RootConstrainSelectedInstOperands,
     /*  762112 */     // GIR_Coverage, 14194,
     /*  762112 */     GIR_EraseRootFromParent_Done,
     /*  762113 */   // Label 11875: @762113
     /*  762113 */   GIM_Try, /*On fail goto*//*Label 11876*/ GIMT_Encode4(762191), // Rule ID 14197 //
     /*  762118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  762129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  762132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  762135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  762138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  762167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762186 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762189 */     GIR_RootConstrainSelectedInstOperands,
     /*  762190 */     // GIR_Coverage, 14197,
     /*  762190 */     GIR_EraseRootFromParent_Done,
     /*  762191 */   // Label 11876: @762191
     /*  762191 */   GIM_Try, /*On fail goto*//*Label 11877*/ GIMT_Encode4(762269), // Rule ID 14198 //
     /*  762196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  762207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  762210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  762213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  762216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762242 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  762245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762264 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762267 */     GIR_RootConstrainSelectedInstOperands,
     /*  762268 */     // GIR_Coverage, 14198,
     /*  762268 */     GIR_EraseRootFromParent_Done,
     /*  762269 */   // Label 11877: @762269
     /*  762269 */   GIM_Try, /*On fail goto*//*Label 11878*/ GIMT_Encode4(762347), // Rule ID 14201 //
     /*  762274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  762285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  762288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  762291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  762294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762320 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  762320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  762323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762345 */     GIR_RootConstrainSelectedInstOperands,
     /*  762346 */     // GIR_Coverage, 14201,
     /*  762346 */     GIR_EraseRootFromParent_Done,
     /*  762347 */   // Label 11878: @762347
     /*  762347 */   GIM_Try, /*On fail goto*//*Label 11879*/ GIMT_Encode4(762425), // Rule ID 14202 //
     /*  762352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  762363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  762366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  762369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  762372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762398 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  762398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  762401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762423 */     GIR_RootConstrainSelectedInstOperands,
     /*  762424 */     // GIR_Coverage, 14202,
     /*  762424 */     GIR_EraseRootFromParent_Done,
     /*  762425 */   // Label 11879: @762425
     /*  762425 */   GIM_Try, /*On fail goto*//*Label 11880*/ GIMT_Encode4(762503), // Rule ID 14205 //
     /*  762430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  762433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  762441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  762444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  762447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  762450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762476 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  762476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  762479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762498 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762501 */     GIR_RootConstrainSelectedInstOperands,
     /*  762502 */     // GIR_Coverage, 14205,
     /*  762502 */     GIR_EraseRootFromParent_Done,
     /*  762503 */   // Label 11880: @762503
     /*  762503 */   GIM_Try, /*On fail goto*//*Label 11881*/ GIMT_Encode4(762581), // Rule ID 14206 //
     /*  762508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  762511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  762519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  762522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  762525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  762528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762554 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  762554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  762557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762576 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762579 */     GIR_RootConstrainSelectedInstOperands,
     /*  762580 */     // GIR_Coverage, 14206,
     /*  762580 */     GIR_EraseRootFromParent_Done,
     /*  762581 */   // Label 11881: @762581
     /*  762581 */   GIM_Try, /*On fail goto*//*Label 11882*/ GIMT_Encode4(762659), // Rule ID 14209 //
     /*  762586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  762597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  762600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  762603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  762606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762632 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  762635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762657 */     GIR_RootConstrainSelectedInstOperands,
     /*  762658 */     // GIR_Coverage, 14209,
     /*  762658 */     GIR_EraseRootFromParent_Done,
     /*  762659 */   // Label 11882: @762659
     /*  762659 */   GIM_Try, /*On fail goto*//*Label 11883*/ GIMT_Encode4(762737), // Rule ID 14210 //
     /*  762664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  762675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  762678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  762681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  762684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762710 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  762713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762732 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762735 */     GIR_RootConstrainSelectedInstOperands,
     /*  762736 */     // GIR_Coverage, 14210,
     /*  762736 */     GIR_EraseRootFromParent_Done,
     /*  762737 */   // Label 11883: @762737
     /*  762737 */   GIM_Try, /*On fail goto*//*Label 11884*/ GIMT_Encode4(762815), // Rule ID 14213 //
     /*  762742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  762753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  762756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  762759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  762762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762788 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  762791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762810 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762813 */     GIR_RootConstrainSelectedInstOperands,
     /*  762814 */     // GIR_Coverage, 14213,
     /*  762814 */     GIR_EraseRootFromParent_Done,
     /*  762815 */   // Label 11884: @762815
     /*  762815 */   GIM_Try, /*On fail goto*//*Label 11885*/ GIMT_Encode4(762893), // Rule ID 14214 //
     /*  762820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  762831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  762834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  762837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  762840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762866 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  762869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762891 */     GIR_RootConstrainSelectedInstOperands,
     /*  762892 */     // GIR_Coverage, 14214,
     /*  762892 */     GIR_EraseRootFromParent_Done,
     /*  762893 */   // Label 11885: @762893
     /*  762893 */   GIM_Try, /*On fail goto*//*Label 11886*/ GIMT_Encode4(762971), // Rule ID 14217 //
     /*  762898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  762909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  762912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  762915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  762918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762944 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  762947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762966 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762969 */     GIR_RootConstrainSelectedInstOperands,
     /*  762970 */     // GIR_Coverage, 14217,
     /*  762970 */     GIR_EraseRootFromParent_Done,
     /*  762971 */   // Label 11886: @762971
     /*  762971 */   GIM_Try, /*On fail goto*//*Label 11887*/ GIMT_Encode4(763049), // Rule ID 14218 //
     /*  762976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  762987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  762990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  762993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  762996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763022 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  763025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763047 */     GIR_RootConstrainSelectedInstOperands,
     /*  763048 */     // GIR_Coverage, 14218,
     /*  763048 */     GIR_EraseRootFromParent_Done,
     /*  763049 */   // Label 11887: @763049
     /*  763049 */   GIM_Try, /*On fail goto*//*Label 11888*/ GIMT_Encode4(763127), // Rule ID 14221 //
     /*  763054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  763065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  763068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  763071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  763074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763100 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  763103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763122 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763125 */     GIR_RootConstrainSelectedInstOperands,
     /*  763126 */     // GIR_Coverage, 14221,
     /*  763126 */     GIR_EraseRootFromParent_Done,
     /*  763127 */   // Label 11888: @763127
     /*  763127 */   GIM_Try, /*On fail goto*//*Label 11889*/ GIMT_Encode4(763205), // Rule ID 14222 //
     /*  763132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  763143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  763146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  763149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  763152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763178 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  763181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763203 */     GIR_RootConstrainSelectedInstOperands,
     /*  763204 */     // GIR_Coverage, 14222,
     /*  763204 */     GIR_EraseRootFromParent_Done,
     /*  763205 */   // Label 11889: @763205
     /*  763205 */   GIM_Try, /*On fail goto*//*Label 11890*/ GIMT_Encode4(763283), // Rule ID 14225 //
     /*  763210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  763221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  763224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  763227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  763230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763256 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  763259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763278 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763281 */     GIR_RootConstrainSelectedInstOperands,
     /*  763282 */     // GIR_Coverage, 14225,
     /*  763282 */     GIR_EraseRootFromParent_Done,
     /*  763283 */   // Label 11890: @763283
     /*  763283 */   GIM_Try, /*On fail goto*//*Label 11891*/ GIMT_Encode4(763361), // Rule ID 14226 //
     /*  763288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  763299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  763302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  763305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  763308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763334 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  763337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763356 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763359 */     GIR_RootConstrainSelectedInstOperands,
     /*  763360 */     // GIR_Coverage, 14226,
     /*  763360 */     GIR_EraseRootFromParent_Done,
     /*  763361 */   // Label 11891: @763361
     /*  763361 */   GIM_Try, /*On fail goto*//*Label 11892*/ GIMT_Encode4(763439), // Rule ID 14229 //
     /*  763366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  763377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  763380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  763383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  763386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763412 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  763415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763437 */     GIR_RootConstrainSelectedInstOperands,
     /*  763438 */     // GIR_Coverage, 14229,
     /*  763438 */     GIR_EraseRootFromParent_Done,
     /*  763439 */   // Label 11892: @763439
     /*  763439 */   GIM_Try, /*On fail goto*//*Label 11893*/ GIMT_Encode4(763517), // Rule ID 14230 //
     /*  763444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  763455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  763458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  763461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  763464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763490 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  763493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763515 */     GIR_RootConstrainSelectedInstOperands,
     /*  763516 */     // GIR_Coverage, 14230,
     /*  763516 */     GIR_EraseRootFromParent_Done,
     /*  763517 */   // Label 11893: @763517
     /*  763517 */   GIM_Try, /*On fail goto*//*Label 11894*/ GIMT_Encode4(763595), // Rule ID 14233 //
     /*  763522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  763533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  763536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  763539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  763542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  763568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  763571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763593 */     GIR_RootConstrainSelectedInstOperands,
     /*  763594 */     // GIR_Coverage, 14233,
     /*  763594 */     GIR_EraseRootFromParent_Done,
     /*  763595 */   // Label 11894: @763595
     /*  763595 */   GIM_Try, /*On fail goto*//*Label 11895*/ GIMT_Encode4(763673), // Rule ID 14234 //
     /*  763600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  763611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  763614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  763617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  763620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763646 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  763646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  763649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763668 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763671 */     GIR_RootConstrainSelectedInstOperands,
     /*  763672 */     // GIR_Coverage, 14234,
     /*  763672 */     GIR_EraseRootFromParent_Done,
     /*  763673 */   // Label 11895: @763673
     /*  763673 */   GIM_Try, /*On fail goto*//*Label 11896*/ GIMT_Encode4(763751), // Rule ID 14237 //
     /*  763678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  763689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  763692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  763695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  763698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763724 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  763724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  763727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763749 */     GIR_RootConstrainSelectedInstOperands,
     /*  763750 */     // GIR_Coverage, 14237,
     /*  763750 */     GIR_EraseRootFromParent_Done,
     /*  763751 */   // Label 11896: @763751
     /*  763751 */   GIM_Try, /*On fail goto*//*Label 11897*/ GIMT_Encode4(763829), // Rule ID 14238 //
     /*  763756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  763767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  763770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  763773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  763776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763802 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  763802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  763805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763827 */     GIR_RootConstrainSelectedInstOperands,
     /*  763828 */     // GIR_Coverage, 14238,
     /*  763828 */     GIR_EraseRootFromParent_Done,
     /*  763829 */   // Label 11897: @763829
     /*  763829 */   GIM_Try, /*On fail goto*//*Label 11898*/ GIMT_Encode4(763907), // Rule ID 14241 //
     /*  763834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  763845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  763848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  763851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  763854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763880 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  763880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  763883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763905 */     GIR_RootConstrainSelectedInstOperands,
     /*  763906 */     // GIR_Coverage, 14241,
     /*  763906 */     GIR_EraseRootFromParent_Done,
     /*  763907 */   // Label 11898: @763907
     /*  763907 */   GIM_Try, /*On fail goto*//*Label 11899*/ GIMT_Encode4(763985), // Rule ID 14242 //
     /*  763912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  763923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  763926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  763929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  763932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763958 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  763958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  763961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763983 */     GIR_RootConstrainSelectedInstOperands,
     /*  763984 */     // GIR_Coverage, 14242,
     /*  763984 */     GIR_EraseRootFromParent_Done,
     /*  763985 */   // Label 11899: @763985
     /*  763985 */   GIM_Try, /*On fail goto*//*Label 11900*/ GIMT_Encode4(764063), // Rule ID 14245 //
     /*  763990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  763993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  764001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  764004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  764007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  764010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764036 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  764036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  764039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  764055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764058 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764061 */     GIR_RootConstrainSelectedInstOperands,
     /*  764062 */     // GIR_Coverage, 14245,
     /*  764062 */     GIR_EraseRootFromParent_Done,
     /*  764063 */   // Label 11900: @764063
     /*  764063 */   GIM_Try, /*On fail goto*//*Label 11901*/ GIMT_Encode4(764141), // Rule ID 14246 //
     /*  764068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  764071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  764079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  764082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  764085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  764088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764114 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  764114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  764117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  764133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764136 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764139 */     GIR_RootConstrainSelectedInstOperands,
     /*  764140 */     // GIR_Coverage, 14246,
     /*  764140 */     GIR_EraseRootFromParent_Done,
     /*  764141 */   // Label 11901: @764141
     /*  764141 */   GIM_Try, /*On fail goto*//*Label 11902*/ GIMT_Encode4(764219), // Rule ID 14249 //
     /*  764146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  764149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  764157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  764160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  764163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  764166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764192 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  764192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  764211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764217 */     GIR_RootConstrainSelectedInstOperands,
     /*  764218 */     // GIR_Coverage, 14249,
     /*  764218 */     GIR_EraseRootFromParent_Done,
     /*  764219 */   // Label 11902: @764219
     /*  764219 */   GIM_Try, /*On fail goto*//*Label 11903*/ GIMT_Encode4(764297), // Rule ID 14250 //
     /*  764224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  764227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  764235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  764238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  764241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  764244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764270 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  764270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  764273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  764289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764292 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764295 */     GIR_RootConstrainSelectedInstOperands,
     /*  764296 */     // GIR_Coverage, 14250,
     /*  764296 */     GIR_EraseRootFromParent_Done,
     /*  764297 */   // Label 11903: @764297
     /*  764297 */   GIM_Try, /*On fail goto*//*Label 11904*/ GIMT_Encode4(764375), // Rule ID 14253 //
     /*  764302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  764305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  764313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  764316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  764319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  764322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764348 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  764348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  764351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  764367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764373 */     GIR_RootConstrainSelectedInstOperands,
     /*  764374 */     // GIR_Coverage, 14253,
     /*  764374 */     GIR_EraseRootFromParent_Done,
     /*  764375 */   // Label 11904: @764375
     /*  764375 */   GIM_Try, /*On fail goto*//*Label 11905*/ GIMT_Encode4(764453), // Rule ID 14254 //
     /*  764380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  764383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  764391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  764394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  764397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  764400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764426 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  764426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  764429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  764445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764448 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764451 */     GIR_RootConstrainSelectedInstOperands,
     /*  764452 */     // GIR_Coverage, 14254,
     /*  764452 */     GIR_EraseRootFromParent_Done,
     /*  764453 */   // Label 11905: @764453
     /*  764453 */   GIM_Try, /*On fail goto*//*Label 11906*/ GIMT_Encode4(764531), // Rule ID 14257 //
     /*  764458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  764469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  764472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  764475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764504 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  764507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764529 */     GIR_RootConstrainSelectedInstOperands,
     /*  764530 */     // GIR_Coverage, 14257,
     /*  764530 */     GIR_EraseRootFromParent_Done,
     /*  764531 */   // Label 11906: @764531
     /*  764531 */   GIM_Try, /*On fail goto*//*Label 11907*/ GIMT_Encode4(764609), // Rule ID 14258 //
     /*  764536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  764547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  764550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  764553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764582 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  764585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764607 */     GIR_RootConstrainSelectedInstOperands,
     /*  764608 */     // GIR_Coverage, 14258,
     /*  764608 */     GIR_EraseRootFromParent_Done,
     /*  764609 */   // Label 11907: @764609
     /*  764609 */   GIM_Try, /*On fail goto*//*Label 11908*/ GIMT_Encode4(764687), // Rule ID 14261 //
     /*  764614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  764625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  764628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  764631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764660 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  764663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764685 */     GIR_RootConstrainSelectedInstOperands,
     /*  764686 */     // GIR_Coverage, 14261,
     /*  764686 */     GIR_EraseRootFromParent_Done,
     /*  764687 */   // Label 11908: @764687
     /*  764687 */   GIM_Try, /*On fail goto*//*Label 11909*/ GIMT_Encode4(764765), // Rule ID 14262 //
     /*  764692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  764703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  764706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  764709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764738 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  764741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764763 */     GIR_RootConstrainSelectedInstOperands,
     /*  764764 */     // GIR_Coverage, 14262,
     /*  764764 */     GIR_EraseRootFromParent_Done,
     /*  764765 */   // Label 11909: @764765
     /*  764765 */   GIM_Try, /*On fail goto*//*Label 11910*/ GIMT_Encode4(764843), // Rule ID 14265 //
     /*  764770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  764781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  764784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  764787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764816 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  764819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764841 */     GIR_RootConstrainSelectedInstOperands,
     /*  764842 */     // GIR_Coverage, 14265,
     /*  764842 */     GIR_EraseRootFromParent_Done,
     /*  764843 */   // Label 11910: @764843
     /*  764843 */   GIM_Try, /*On fail goto*//*Label 11911*/ GIMT_Encode4(764921), // Rule ID 14266 //
     /*  764848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  764859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  764862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  764865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764894 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  764897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764916 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764919 */     GIR_RootConstrainSelectedInstOperands,
     /*  764920 */     // GIR_Coverage, 14266,
     /*  764920 */     GIR_EraseRootFromParent_Done,
     /*  764921 */   // Label 11911: @764921
     /*  764921 */   GIM_Try, /*On fail goto*//*Label 11912*/ GIMT_Encode4(764999), // Rule ID 14269 //
     /*  764926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  764934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  764937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  764940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  764943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764972 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  764975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764994 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764997 */     GIR_RootConstrainSelectedInstOperands,
     /*  764998 */     // GIR_Coverage, 14269,
     /*  764998 */     GIR_EraseRootFromParent_Done,
     /*  764999 */   // Label 11912: @764999
     /*  764999 */   GIM_Try, /*On fail goto*//*Label 11913*/ GIMT_Encode4(765077), // Rule ID 14270 //
     /*  765004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  765015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  765018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  765021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765050 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  765050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  765053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765072 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765075 */     GIR_RootConstrainSelectedInstOperands,
     /*  765076 */     // GIR_Coverage, 14270,
     /*  765076 */     GIR_EraseRootFromParent_Done,
     /*  765077 */   // Label 11913: @765077
     /*  765077 */   GIM_Try, /*On fail goto*//*Label 11914*/ GIMT_Encode4(765155), // Rule ID 14273 //
     /*  765082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  765093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  765096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  765099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765128 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  765128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  765131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765153 */     GIR_RootConstrainSelectedInstOperands,
     /*  765154 */     // GIR_Coverage, 14273,
     /*  765154 */     GIR_EraseRootFromParent_Done,
     /*  765155 */   // Label 11914: @765155
     /*  765155 */   GIM_Try, /*On fail goto*//*Label 11915*/ GIMT_Encode4(765233), // Rule ID 14274 //
     /*  765160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  765171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  765174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  765177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765206 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  765206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  765209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765228 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765231 */     GIR_RootConstrainSelectedInstOperands,
     /*  765232 */     // GIR_Coverage, 14274,
     /*  765232 */     GIR_EraseRootFromParent_Done,
     /*  765233 */   // Label 11915: @765233
     /*  765233 */   GIM_Try, /*On fail goto*//*Label 11916*/ GIMT_Encode4(765311), // Rule ID 14277 //
     /*  765238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  765249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  765252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  765255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765284 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  765284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  765287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765309 */     GIR_RootConstrainSelectedInstOperands,
     /*  765310 */     // GIR_Coverage, 14277,
     /*  765310 */     GIR_EraseRootFromParent_Done,
     /*  765311 */   // Label 11916: @765311
     /*  765311 */   GIM_Try, /*On fail goto*//*Label 11917*/ GIMT_Encode4(765389), // Rule ID 14278 //
     /*  765316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  765327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  765330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  765333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765362 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  765362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  765365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765387 */     GIR_RootConstrainSelectedInstOperands,
     /*  765388 */     // GIR_Coverage, 14278,
     /*  765388 */     GIR_EraseRootFromParent_Done,
     /*  765389 */   // Label 11917: @765389
     /*  765389 */   GIM_Try, /*On fail goto*//*Label 11918*/ GIMT_Encode4(765467), // Rule ID 14281 //
     /*  765394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  765405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  765408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  765411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765440 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  765443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765465 */     GIR_RootConstrainSelectedInstOperands,
     /*  765466 */     // GIR_Coverage, 14281,
     /*  765466 */     GIR_EraseRootFromParent_Done,
     /*  765467 */   // Label 11918: @765467
     /*  765467 */   GIM_Try, /*On fail goto*//*Label 11919*/ GIMT_Encode4(765545), // Rule ID 14282 //
     /*  765472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  765483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  765486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  765489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765518 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  765521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765543 */     GIR_RootConstrainSelectedInstOperands,
     /*  765544 */     // GIR_Coverage, 14282,
     /*  765544 */     GIR_EraseRootFromParent_Done,
     /*  765545 */   // Label 11919: @765545
     /*  765545 */   GIM_Try, /*On fail goto*//*Label 11920*/ GIMT_Encode4(765623), // Rule ID 14285 //
     /*  765550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  765561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  765564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  765567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765596 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  765596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  765599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765618 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765621 */     GIR_RootConstrainSelectedInstOperands,
     /*  765622 */     // GIR_Coverage, 14285,
     /*  765622 */     GIR_EraseRootFromParent_Done,
     /*  765623 */   // Label 11920: @765623
     /*  765623 */   GIM_Try, /*On fail goto*//*Label 11921*/ GIMT_Encode4(765701), // Rule ID 14286 //
     /*  765628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  765639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  765642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  765645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765674 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  765674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  765677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765696 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765699 */     GIR_RootConstrainSelectedInstOperands,
     /*  765700 */     // GIR_Coverage, 14286,
     /*  765700 */     GIR_EraseRootFromParent_Done,
     /*  765701 */   // Label 11921: @765701
     /*  765701 */   GIM_Try, /*On fail goto*//*Label 11922*/ GIMT_Encode4(765779), // Rule ID 14289 //
     /*  765706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  765717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  765720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  765723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  765752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  765755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765774 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765777 */     GIR_RootConstrainSelectedInstOperands,
     /*  765778 */     // GIR_Coverage, 14289,
     /*  765778 */     GIR_EraseRootFromParent_Done,
     /*  765779 */   // Label 11922: @765779
     /*  765779 */   GIM_Try, /*On fail goto*//*Label 11923*/ GIMT_Encode4(765857), // Rule ID 14290 //
     /*  765784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  765795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  765798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  765801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765830 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  765830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  765833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765855 */     GIR_RootConstrainSelectedInstOperands,
     /*  765856 */     // GIR_Coverage, 14290,
     /*  765856 */     GIR_EraseRootFromParent_Done,
     /*  765857 */   // Label 11923: @765857
     /*  765857 */   GIM_Try, /*On fail goto*//*Label 11924*/ GIMT_Encode4(765935), // Rule ID 14293 //
     /*  765862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  765865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  765873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  765876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  765879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765908 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  765911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765930 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765933 */     GIR_RootConstrainSelectedInstOperands,
     /*  765934 */     // GIR_Coverage, 14293,
     /*  765934 */     GIR_EraseRootFromParent_Done,
     /*  765935 */   // Label 11924: @765935
     /*  765935 */   GIM_Try, /*On fail goto*//*Label 11925*/ GIMT_Encode4(766013), // Rule ID 14294 //
     /*  765940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  765943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  765948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  765951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  765954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  765957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765986 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  765986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  765989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766008 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766011 */     GIR_RootConstrainSelectedInstOperands,
     /*  766012 */     // GIR_Coverage, 14294,
     /*  766012 */     GIR_EraseRootFromParent_Done,
     /*  766013 */   // Label 11925: @766013
     /*  766013 */   GIM_Try, /*On fail goto*//*Label 11926*/ GIMT_Encode4(766091), // Rule ID 14297 //
     /*  766018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  766029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  766032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  766035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766064 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  766067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766089 */     GIR_RootConstrainSelectedInstOperands,
     /*  766090 */     // GIR_Coverage, 14297,
     /*  766090 */     GIR_EraseRootFromParent_Done,
     /*  766091 */   // Label 11926: @766091
     /*  766091 */   GIM_Try, /*On fail goto*//*Label 11927*/ GIMT_Encode4(766169), // Rule ID 14298 //
     /*  766096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  766107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  766110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  766113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766142 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  766142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  766145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766167 */     GIR_RootConstrainSelectedInstOperands,
     /*  766168 */     // GIR_Coverage, 14298,
     /*  766168 */     GIR_EraseRootFromParent_Done,
     /*  766169 */   // Label 11927: @766169
     /*  766169 */   GIM_Try, /*On fail goto*//*Label 11928*/ GIMT_Encode4(766247), // Rule ID 14301 //
     /*  766174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  766185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  766188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  766191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766220 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  766223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766242 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766245 */     GIR_RootConstrainSelectedInstOperands,
     /*  766246 */     // GIR_Coverage, 14301,
     /*  766246 */     GIR_EraseRootFromParent_Done,
     /*  766247 */   // Label 11928: @766247
     /*  766247 */   GIM_Try, /*On fail goto*//*Label 11929*/ GIMT_Encode4(766325), // Rule ID 14302 //
     /*  766252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  766263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  766266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  766269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766298 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  766298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  766301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766320 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766323 */     GIR_RootConstrainSelectedInstOperands,
     /*  766324 */     // GIR_Coverage, 14302,
     /*  766324 */     GIR_EraseRootFromParent_Done,
     /*  766325 */   // Label 11929: @766325
     /*  766325 */   GIM_Try, /*On fail goto*//*Label 11930*/ GIMT_Encode4(766403), // Rule ID 14305 //
     /*  766330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  766341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  766344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  766347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766376 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  766379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766398 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766401 */     GIR_RootConstrainSelectedInstOperands,
     /*  766402 */     // GIR_Coverage, 14305,
     /*  766402 */     GIR_EraseRootFromParent_Done,
     /*  766403 */   // Label 11930: @766403
     /*  766403 */   GIM_Try, /*On fail goto*//*Label 11931*/ GIMT_Encode4(766481), // Rule ID 14306 //
     /*  766408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  766419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  766422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  766425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766454 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  766454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  766457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766476 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766479 */     GIR_RootConstrainSelectedInstOperands,
     /*  766480 */     // GIR_Coverage, 14306,
     /*  766480 */     GIR_EraseRootFromParent_Done,
     /*  766481 */   // Label 11931: @766481
     /*  766481 */   GIM_Try, /*On fail goto*//*Label 11932*/ GIMT_Encode4(766559), // Rule ID 14309 //
     /*  766486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  766497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  766500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  766503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766532 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  766535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766554 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766557 */     GIR_RootConstrainSelectedInstOperands,
     /*  766558 */     // GIR_Coverage, 14309,
     /*  766558 */     GIR_EraseRootFromParent_Done,
     /*  766559 */   // Label 11932: @766559
     /*  766559 */   GIM_Try, /*On fail goto*//*Label 11933*/ GIMT_Encode4(766637), // Rule ID 14310 //
     /*  766564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  766575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  766578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  766581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766610 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  766613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766632 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766635 */     GIR_RootConstrainSelectedInstOperands,
     /*  766636 */     // GIR_Coverage, 14310,
     /*  766636 */     GIR_EraseRootFromParent_Done,
     /*  766637 */   // Label 11933: @766637
     /*  766637 */   GIM_Try, /*On fail goto*//*Label 11934*/ GIMT_Encode4(766715), // Rule ID 14313 //
     /*  766642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  766653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  766656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  766659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766688 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  766691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766713 */     GIR_RootConstrainSelectedInstOperands,
     /*  766714 */     // GIR_Coverage, 14313,
     /*  766714 */     GIR_EraseRootFromParent_Done,
     /*  766715 */   // Label 11934: @766715
     /*  766715 */   GIM_Try, /*On fail goto*//*Label 11935*/ GIMT_Encode4(766793), // Rule ID 14314 //
     /*  766720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  766731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  766734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  766737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766766 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  766769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766788 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766791 */     GIR_RootConstrainSelectedInstOperands,
     /*  766792 */     // GIR_Coverage, 14314,
     /*  766792 */     GIR_EraseRootFromParent_Done,
     /*  766793 */   // Label 11935: @766793
     /*  766793 */   GIM_Try, /*On fail goto*//*Label 11936*/ GIMT_Encode4(766871), // Rule ID 14317 //
     /*  766798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  766809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  766812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  766815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766844 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  766847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766866 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766869 */     GIR_RootConstrainSelectedInstOperands,
     /*  766870 */     // GIR_Coverage, 14317,
     /*  766870 */     GIR_EraseRootFromParent_Done,
     /*  766871 */   // Label 11936: @766871
     /*  766871 */   GIM_Try, /*On fail goto*//*Label 11937*/ GIMT_Encode4(766949), // Rule ID 14318 //
     /*  766876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  766887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  766890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  766893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766922 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  766925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766944 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766947 */     GIR_RootConstrainSelectedInstOperands,
     /*  766948 */     // GIR_Coverage, 14318,
     /*  766948 */     GIR_EraseRootFromParent_Done,
     /*  766949 */   // Label 11937: @766949
     /*  766949 */   GIM_Try, /*On fail goto*//*Label 11938*/ GIMT_Encode4(767027), // Rule ID 14321 //
     /*  766954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  766962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  766965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  766968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  766971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767000 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  767000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  767003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767025 */     GIR_RootConstrainSelectedInstOperands,
     /*  767026 */     // GIR_Coverage, 14321,
     /*  767026 */     GIR_EraseRootFromParent_Done,
     /*  767027 */   // Label 11938: @767027
     /*  767027 */   GIM_Try, /*On fail goto*//*Label 11939*/ GIMT_Encode4(767105), // Rule ID 14322 //
     /*  767032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  767043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  767046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  767049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767078 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  767078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  767081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767100 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767103 */     GIR_RootConstrainSelectedInstOperands,
     /*  767104 */     // GIR_Coverage, 14322,
     /*  767104 */     GIR_EraseRootFromParent_Done,
     /*  767105 */   // Label 11939: @767105
     /*  767105 */   GIM_Try, /*On fail goto*//*Label 11940*/ GIMT_Encode4(767183), // Rule ID 14325 //
     /*  767110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  767121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  767124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  767127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767156 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  767156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  767159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767178 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767181 */     GIR_RootConstrainSelectedInstOperands,
     /*  767182 */     // GIR_Coverage, 14325,
     /*  767182 */     GIR_EraseRootFromParent_Done,
     /*  767183 */   // Label 11940: @767183
     /*  767183 */   GIM_Try, /*On fail goto*//*Label 11941*/ GIMT_Encode4(767261), // Rule ID 14326 //
     /*  767188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  767199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  767202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  767205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767234 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  767234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  767237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767256 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767259 */     GIR_RootConstrainSelectedInstOperands,
     /*  767260 */     // GIR_Coverage, 14326,
     /*  767260 */     GIR_EraseRootFromParent_Done,
     /*  767261 */   // Label 11941: @767261
     /*  767261 */   GIM_Try, /*On fail goto*//*Label 11942*/ GIMT_Encode4(767339), // Rule ID 14329 //
     /*  767266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  767277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  767280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  767283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767312 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  767312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  767315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767334 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767337 */     GIR_RootConstrainSelectedInstOperands,
     /*  767338 */     // GIR_Coverage, 14329,
     /*  767338 */     GIR_EraseRootFromParent_Done,
     /*  767339 */   // Label 11942: @767339
     /*  767339 */   GIM_Try, /*On fail goto*//*Label 11943*/ GIMT_Encode4(767417), // Rule ID 14330 //
     /*  767344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  767355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  767358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  767361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767390 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  767390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  767393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767412 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767415 */     GIR_RootConstrainSelectedInstOperands,
     /*  767416 */     // GIR_Coverage, 14330,
     /*  767416 */     GIR_EraseRootFromParent_Done,
     /*  767417 */   // Label 11943: @767417
     /*  767417 */   GIM_Try, /*On fail goto*//*Label 11944*/ GIMT_Encode4(767495), // Rule ID 14333 //
     /*  767422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  767425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  767433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  767436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  767439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767468 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  767468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  767471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767493 */     GIR_RootConstrainSelectedInstOperands,
     /*  767494 */     // GIR_Coverage, 14333,
     /*  767494 */     GIR_EraseRootFromParent_Done,
     /*  767495 */   // Label 11944: @767495
     /*  767495 */   GIM_Try, /*On fail goto*//*Label 11945*/ GIMT_Encode4(767573), // Rule ID 14334 //
     /*  767500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  767503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  767511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  767514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  767517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767546 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  767546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  767549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767568 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767571 */     GIR_RootConstrainSelectedInstOperands,
     /*  767572 */     // GIR_Coverage, 14334,
     /*  767572 */     GIR_EraseRootFromParent_Done,
     /*  767573 */   // Label 11945: @767573
     /*  767573 */   GIM_Try, /*On fail goto*//*Label 11946*/ GIMT_Encode4(767651), // Rule ID 14337 //
     /*  767578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  767581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  767589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  767592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  767595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767624 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  767624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  767627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767649 */     GIR_RootConstrainSelectedInstOperands,
     /*  767650 */     // GIR_Coverage, 14337,
     /*  767650 */     GIR_EraseRootFromParent_Done,
     /*  767651 */   // Label 11946: @767651
     /*  767651 */   GIM_Try, /*On fail goto*//*Label 11947*/ GIMT_Encode4(767729), // Rule ID 14338 //
     /*  767656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  767659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  767667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  767670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  767673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  767702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  767705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767724 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767727 */     GIR_RootConstrainSelectedInstOperands,
     /*  767728 */     // GIR_Coverage, 14338,
     /*  767728 */     GIR_EraseRootFromParent_Done,
     /*  767729 */   // Label 11947: @767729
     /*  767729 */   GIM_Try, /*On fail goto*//*Label 11948*/ GIMT_Encode4(767807), // Rule ID 14341 //
     /*  767734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  767737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  767745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  767748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  767751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767780 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  767780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  767783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767805 */     GIR_RootConstrainSelectedInstOperands,
     /*  767806 */     // GIR_Coverage, 14341,
     /*  767806 */     GIR_EraseRootFromParent_Done,
     /*  767807 */   // Label 11948: @767807
     /*  767807 */   GIM_Try, /*On fail goto*//*Label 11949*/ GIMT_Encode4(767885), // Rule ID 14342 //
     /*  767812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  767815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  767823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  767826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  767829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767858 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  767858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  767861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767883 */     GIR_RootConstrainSelectedInstOperands,
     /*  767884 */     // GIR_Coverage, 14342,
     /*  767884 */     GIR_EraseRootFromParent_Done,
     /*  767885 */   // Label 11949: @767885
     /*  767885 */   GIM_Try, /*On fail goto*//*Label 11950*/ GIMT_Encode4(767963), // Rule ID 14433 //
     /*  767890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  767898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  767901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  767904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  767907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  767910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767936 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  767939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767958 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767961 */     GIR_RootConstrainSelectedInstOperands,
     /*  767962 */     // GIR_Coverage, 14433,
     /*  767962 */     GIR_EraseRootFromParent_Done,
     /*  767963 */   // Label 11950: @767963
     /*  767963 */   GIM_Try, /*On fail goto*//*Label 11951*/ GIMT_Encode4(768041), // Rule ID 14434 //
     /*  767968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  767976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  767979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  767982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  767985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  767988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768014 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  768017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768036 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768039 */     GIR_RootConstrainSelectedInstOperands,
     /*  768040 */     // GIR_Coverage, 14434,
     /*  768040 */     GIR_EraseRootFromParent_Done,
     /*  768041 */   // Label 11951: @768041
     /*  768041 */   GIM_Try, /*On fail goto*//*Label 11952*/ GIMT_Encode4(768119), // Rule ID 14437 //
     /*  768046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  768057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  768060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  768063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  768066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768092 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  768095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768114 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768117 */     GIR_RootConstrainSelectedInstOperands,
     /*  768118 */     // GIR_Coverage, 14437,
     /*  768118 */     GIR_EraseRootFromParent_Done,
     /*  768119 */   // Label 11952: @768119
     /*  768119 */   GIM_Try, /*On fail goto*//*Label 11953*/ GIMT_Encode4(768197), // Rule ID 14438 //
     /*  768124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  768135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  768138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  768141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  768144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768170 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  768173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768195 */     GIR_RootConstrainSelectedInstOperands,
     /*  768196 */     // GIR_Coverage, 14438,
     /*  768196 */     GIR_EraseRootFromParent_Done,
     /*  768197 */   // Label 11953: @768197
     /*  768197 */   GIM_Try, /*On fail goto*//*Label 11954*/ GIMT_Encode4(768275), // Rule ID 14441 //
     /*  768202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  768213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  768216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  768219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  768222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768248 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  768251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768270 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768273 */     GIR_RootConstrainSelectedInstOperands,
     /*  768274 */     // GIR_Coverage, 14441,
     /*  768274 */     GIR_EraseRootFromParent_Done,
     /*  768275 */   // Label 11954: @768275
     /*  768275 */   GIM_Try, /*On fail goto*//*Label 11955*/ GIMT_Encode4(768353), // Rule ID 14442 //
     /*  768280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  768291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  768294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  768297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  768300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768326 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  768329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768348 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768351 */     GIR_RootConstrainSelectedInstOperands,
     /*  768352 */     // GIR_Coverage, 14442,
     /*  768352 */     GIR_EraseRootFromParent_Done,
     /*  768353 */   // Label 11955: @768353
     /*  768353 */   GIM_Try, /*On fail goto*//*Label 11956*/ GIMT_Encode4(768431), // Rule ID 14445 //
     /*  768358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  768369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  768372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  768375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  768378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768404 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  768407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768429 */     GIR_RootConstrainSelectedInstOperands,
     /*  768430 */     // GIR_Coverage, 14445,
     /*  768430 */     GIR_EraseRootFromParent_Done,
     /*  768431 */   // Label 11956: @768431
     /*  768431 */   GIM_Try, /*On fail goto*//*Label 11957*/ GIMT_Encode4(768509), // Rule ID 14446 //
     /*  768436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  768447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  768450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  768453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  768456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768482 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  768485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768504 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768507 */     GIR_RootConstrainSelectedInstOperands,
     /*  768508 */     // GIR_Coverage, 14446,
     /*  768508 */     GIR_EraseRootFromParent_Done,
     /*  768509 */   // Label 11957: @768509
     /*  768509 */   GIM_Try, /*On fail goto*//*Label 11958*/ GIMT_Encode4(768587), // Rule ID 14449 //
     /*  768514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  768525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  768528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  768531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  768534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768560 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  768563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768582 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768585 */     GIR_RootConstrainSelectedInstOperands,
     /*  768586 */     // GIR_Coverage, 14449,
     /*  768586 */     GIR_EraseRootFromParent_Done,
     /*  768587 */   // Label 11958: @768587
     /*  768587 */   GIM_Try, /*On fail goto*//*Label 11959*/ GIMT_Encode4(768665), // Rule ID 14450 //
     /*  768592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  768603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  768606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  768609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  768612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768638 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  768641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768663 */     GIR_RootConstrainSelectedInstOperands,
     /*  768664 */     // GIR_Coverage, 14450,
     /*  768664 */     GIR_EraseRootFromParent_Done,
     /*  768665 */   // Label 11959: @768665
     /*  768665 */   GIM_Try, /*On fail goto*//*Label 11960*/ GIMT_Encode4(768743), // Rule ID 14453 //
     /*  768670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  768681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  768684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  768687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  768690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768716 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  768719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768741 */     GIR_RootConstrainSelectedInstOperands,
     /*  768742 */     // GIR_Coverage, 14453,
     /*  768742 */     GIR_EraseRootFromParent_Done,
     /*  768743 */   // Label 11960: @768743
     /*  768743 */   GIM_Try, /*On fail goto*//*Label 11961*/ GIMT_Encode4(768821), // Rule ID 14454 //
     /*  768748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  768759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  768762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  768765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  768768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768794 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  768794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  768797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768819 */     GIR_RootConstrainSelectedInstOperands,
     /*  768820 */     // GIR_Coverage, 14454,
     /*  768820 */     GIR_EraseRootFromParent_Done,
     /*  768821 */   // Label 11961: @768821
     /*  768821 */   GIM_Try, /*On fail goto*//*Label 11962*/ GIMT_Encode4(768899), // Rule ID 14457 //
     /*  768826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  768837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  768840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  768843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  768846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768872 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  768875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768894 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768897 */     GIR_RootConstrainSelectedInstOperands,
     /*  768898 */     // GIR_Coverage, 14457,
     /*  768898 */     GIR_EraseRootFromParent_Done,
     /*  768899 */   // Label 11962: @768899
     /*  768899 */   GIM_Try, /*On fail goto*//*Label 11963*/ GIMT_Encode4(768977), // Rule ID 14458 //
     /*  768904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  768915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  768918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  768921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  768924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768950 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  768953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768972 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768975 */     GIR_RootConstrainSelectedInstOperands,
     /*  768976 */     // GIR_Coverage, 14458,
     /*  768976 */     GIR_EraseRootFromParent_Done,
     /*  768977 */   // Label 11963: @768977
     /*  768977 */   GIM_Try, /*On fail goto*//*Label 11964*/ GIMT_Encode4(769055), // Rule ID 14461 //
     /*  768982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  768993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  768996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  768999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  769002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  769028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  769031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769050 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769053 */     GIR_RootConstrainSelectedInstOperands,
     /*  769054 */     // GIR_Coverage, 14461,
     /*  769054 */     GIR_EraseRootFromParent_Done,
     /*  769055 */   // Label 11964: @769055
     /*  769055 */   GIM_Try, /*On fail goto*//*Label 11965*/ GIMT_Encode4(769133), // Rule ID 14462 //
     /*  769060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  769071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  769074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  769077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  769080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769106 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  769109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769128 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769131 */     GIR_RootConstrainSelectedInstOperands,
     /*  769132 */     // GIR_Coverage, 14462,
     /*  769132 */     GIR_EraseRootFromParent_Done,
     /*  769133 */   // Label 11965: @769133
     /*  769133 */   GIM_Try, /*On fail goto*//*Label 11966*/ GIMT_Encode4(769211), // Rule ID 14465 //
     /*  769138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  769149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  769152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  769155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  769158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769184 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  769184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  769187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769209 */     GIR_RootConstrainSelectedInstOperands,
     /*  769210 */     // GIR_Coverage, 14465,
     /*  769210 */     GIR_EraseRootFromParent_Done,
     /*  769211 */   // Label 11966: @769211
     /*  769211 */   GIM_Try, /*On fail goto*//*Label 11967*/ GIMT_Encode4(769289), // Rule ID 14466 //
     /*  769216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  769227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  769230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  769233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  769236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769262 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  769262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  769265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769284 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769287 */     GIR_RootConstrainSelectedInstOperands,
     /*  769288 */     // GIR_Coverage, 14466,
     /*  769288 */     GIR_EraseRootFromParent_Done,
     /*  769289 */   // Label 11967: @769289
     /*  769289 */   GIM_Try, /*On fail goto*//*Label 11968*/ GIMT_Encode4(769367), // Rule ID 14469 //
     /*  769294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  769297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  769305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  769308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  769311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  769314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769340 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  769340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  769343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769365 */     GIR_RootConstrainSelectedInstOperands,
     /*  769366 */     // GIR_Coverage, 14469,
     /*  769366 */     GIR_EraseRootFromParent_Done,
     /*  769367 */   // Label 11968: @769367
     /*  769367 */   GIM_Try, /*On fail goto*//*Label 11969*/ GIMT_Encode4(769445), // Rule ID 14470 //
     /*  769372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  769375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  769383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  769386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  769389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  769392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769418 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  769418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  769421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769440 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769443 */     GIR_RootConstrainSelectedInstOperands,
     /*  769444 */     // GIR_Coverage, 14470,
     /*  769444 */     GIR_EraseRootFromParent_Done,
     /*  769445 */   // Label 11969: @769445
     /*  769445 */   GIM_Try, /*On fail goto*//*Label 11970*/ GIMT_Encode4(769523), // Rule ID 14473 //
     /*  769450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  769461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  769464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  769467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  769470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769496 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  769499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769521 */     GIR_RootConstrainSelectedInstOperands,
     /*  769522 */     // GIR_Coverage, 14473,
     /*  769522 */     GIR_EraseRootFromParent_Done,
     /*  769523 */   // Label 11970: @769523
     /*  769523 */   GIM_Try, /*On fail goto*//*Label 11971*/ GIMT_Encode4(769601), // Rule ID 14474 //
     /*  769528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  769539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  769542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  769545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  769548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769574 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  769577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769596 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769599 */     GIR_RootConstrainSelectedInstOperands,
     /*  769600 */     // GIR_Coverage, 14474,
     /*  769600 */     GIR_EraseRootFromParent_Done,
     /*  769601 */   // Label 11971: @769601
     /*  769601 */   GIM_Try, /*On fail goto*//*Label 11972*/ GIMT_Encode4(769679), // Rule ID 14477 //
     /*  769606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  769617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  769620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  769623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  769626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769652 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  769655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769674 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769677 */     GIR_RootConstrainSelectedInstOperands,
     /*  769678 */     // GIR_Coverage, 14477,
     /*  769678 */     GIR_EraseRootFromParent_Done,
     /*  769679 */   // Label 11972: @769679
     /*  769679 */   GIM_Try, /*On fail goto*//*Label 11973*/ GIMT_Encode4(769757), // Rule ID 14478 //
     /*  769684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  769695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  769698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  769701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  769704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769730 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  769733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769752 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769755 */     GIR_RootConstrainSelectedInstOperands,
     /*  769756 */     // GIR_Coverage, 14478,
     /*  769756 */     GIR_EraseRootFromParent_Done,
     /*  769757 */   // Label 11973: @769757
     /*  769757 */   GIM_Try, /*On fail goto*//*Label 11974*/ GIMT_Encode4(769835), // Rule ID 14481 //
     /*  769762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  769773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  769776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  769779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  769782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769808 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  769811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769833 */     GIR_RootConstrainSelectedInstOperands,
     /*  769834 */     // GIR_Coverage, 14481,
     /*  769834 */     GIR_EraseRootFromParent_Done,
     /*  769835 */   // Label 11974: @769835
     /*  769835 */   GIM_Try, /*On fail goto*//*Label 11975*/ GIMT_Encode4(769913), // Rule ID 14482 //
     /*  769840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  769851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  769854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  769857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  769860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769886 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  769889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769908 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769911 */     GIR_RootConstrainSelectedInstOperands,
     /*  769912 */     // GIR_Coverage, 14482,
     /*  769912 */     GIR_EraseRootFromParent_Done,
     /*  769913 */   // Label 11975: @769913
     /*  769913 */   GIM_Try, /*On fail goto*//*Label 11976*/ GIMT_Encode4(769991), // Rule ID 14485 //
     /*  769918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  769929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  769932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  769935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  769938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769964 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  769964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  769967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769989 */     GIR_RootConstrainSelectedInstOperands,
     /*  769990 */     // GIR_Coverage, 14485,
     /*  769990 */     GIR_EraseRootFromParent_Done,
     /*  769991 */   // Label 11976: @769991
     /*  769991 */   GIM_Try, /*On fail goto*//*Label 11977*/ GIMT_Encode4(770069), // Rule ID 14486 //
     /*  769996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  770007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  770010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  770013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  770016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770042 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  770045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770064 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770067 */     GIR_RootConstrainSelectedInstOperands,
     /*  770068 */     // GIR_Coverage, 14486,
     /*  770068 */     GIR_EraseRootFromParent_Done,
     /*  770069 */   // Label 11977: @770069
     /*  770069 */   GIM_Try, /*On fail goto*//*Label 11978*/ GIMT_Encode4(770147), // Rule ID 14489 //
     /*  770074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  770085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  770088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  770091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  770094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770120 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  770123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770142 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770145 */     GIR_RootConstrainSelectedInstOperands,
     /*  770146 */     // GIR_Coverage, 14489,
     /*  770146 */     GIR_EraseRootFromParent_Done,
     /*  770147 */   // Label 11978: @770147
     /*  770147 */   GIM_Try, /*On fail goto*//*Label 11979*/ GIMT_Encode4(770225), // Rule ID 14490 //
     /*  770152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  770163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  770166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  770169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  770172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770198 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  770201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770220 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770223 */     GIR_RootConstrainSelectedInstOperands,
     /*  770224 */     // GIR_Coverage, 14490,
     /*  770224 */     GIR_EraseRootFromParent_Done,
     /*  770225 */   // Label 11979: @770225
     /*  770225 */   GIM_Try, /*On fail goto*//*Label 11980*/ GIMT_Encode4(770303), // Rule ID 14493 //
     /*  770230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  770241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  770244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  770247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  770250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770276 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  770279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770298 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770301 */     GIR_RootConstrainSelectedInstOperands,
     /*  770302 */     // GIR_Coverage, 14493,
     /*  770302 */     GIR_EraseRootFromParent_Done,
     /*  770303 */   // Label 11980: @770303
     /*  770303 */   GIM_Try, /*On fail goto*//*Label 11981*/ GIMT_Encode4(770381), // Rule ID 14494 //
     /*  770308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  770319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  770322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  770325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  770328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770354 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  770357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770376 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770379 */     GIR_RootConstrainSelectedInstOperands,
     /*  770380 */     // GIR_Coverage, 14494,
     /*  770380 */     GIR_EraseRootFromParent_Done,
     /*  770381 */   // Label 11981: @770381
     /*  770381 */   GIM_Try, /*On fail goto*//*Label 11982*/ GIMT_Encode4(770459), // Rule ID 14497 //
     /*  770386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  770397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  770400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  770403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  770406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770432 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  770432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  770435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770454 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770457 */     GIR_RootConstrainSelectedInstOperands,
     /*  770458 */     // GIR_Coverage, 14497,
     /*  770458 */     GIR_EraseRootFromParent_Done,
     /*  770459 */   // Label 11982: @770459
     /*  770459 */   GIM_Try, /*On fail goto*//*Label 11983*/ GIMT_Encode4(770537), // Rule ID 14498 //
     /*  770464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  770475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  770478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  770481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  770484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770510 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  770510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  770513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770535 */     GIR_RootConstrainSelectedInstOperands,
     /*  770536 */     // GIR_Coverage, 14498,
     /*  770536 */     GIR_EraseRootFromParent_Done,
     /*  770537 */   // Label 11983: @770537
     /*  770537 */   GIM_Try, /*On fail goto*//*Label 11984*/ GIMT_Encode4(770615), // Rule ID 14501 //
     /*  770542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  770553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  770556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  770559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  770562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770588 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  770588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  770591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770610 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770613 */     GIR_RootConstrainSelectedInstOperands,
     /*  770614 */     // GIR_Coverage, 14501,
     /*  770614 */     GIR_EraseRootFromParent_Done,
     /*  770615 */   // Label 11984: @770615
     /*  770615 */   GIM_Try, /*On fail goto*//*Label 11985*/ GIMT_Encode4(770693), // Rule ID 14502 //
     /*  770620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  770631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  770634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  770637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  770640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770666 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  770666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  770669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770688 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770691 */     GIR_RootConstrainSelectedInstOperands,
     /*  770692 */     // GIR_Coverage, 14502,
     /*  770692 */     GIR_EraseRootFromParent_Done,
     /*  770693 */   // Label 11985: @770693
     /*  770693 */   GIM_Try, /*On fail goto*//*Label 11986*/ GIMT_Encode4(770771), // Rule ID 14505 //
     /*  770698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  770709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  770712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  770715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  770718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770744 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  770744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  770747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770766 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770769 */     GIR_RootConstrainSelectedInstOperands,
     /*  770770 */     // GIR_Coverage, 14505,
     /*  770770 */     GIR_EraseRootFromParent_Done,
     /*  770771 */   // Label 11986: @770771
     /*  770771 */   GIM_Try, /*On fail goto*//*Label 11987*/ GIMT_Encode4(770849), // Rule ID 14506 //
     /*  770776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  770787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  770790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  770793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  770796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770822 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  770822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  770825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770844 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770847 */     GIR_RootConstrainSelectedInstOperands,
     /*  770848 */     // GIR_Coverage, 14506,
     /*  770848 */     GIR_EraseRootFromParent_Done,
     /*  770849 */   // Label 11987: @770849
     /*  770849 */   GIM_Try, /*On fail goto*//*Label 11988*/ GIMT_Encode4(770927), // Rule ID 14509 //
     /*  770854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  770857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  770865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  770868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  770871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  770874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770900 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  770900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  770903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770922 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770925 */     GIR_RootConstrainSelectedInstOperands,
     /*  770926 */     // GIR_Coverage, 14509,
     /*  770926 */     GIR_EraseRootFromParent_Done,
     /*  770927 */   // Label 11988: @770927
     /*  770927 */   GIM_Try, /*On fail goto*//*Label 11989*/ GIMT_Encode4(771005), // Rule ID 14510 //
     /*  770932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  770935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  770940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  770943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  770946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  770949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  770952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770978 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  770978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  770981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771000 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771003 */     GIR_RootConstrainSelectedInstOperands,
     /*  771004 */     // GIR_Coverage, 14510,
     /*  771004 */     GIR_EraseRootFromParent_Done,
     /*  771005 */   // Label 11989: @771005
     /*  771005 */   GIM_Try, /*On fail goto*//*Label 11990*/ GIMT_Encode4(771083), // Rule ID 14513 //
     /*  771010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  771013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  771021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  771024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  771027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  771030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771056 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  771056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  771059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771078 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771081 */     GIR_RootConstrainSelectedInstOperands,
     /*  771082 */     // GIR_Coverage, 14513,
     /*  771082 */     GIR_EraseRootFromParent_Done,
     /*  771083 */   // Label 11990: @771083
     /*  771083 */   GIM_Try, /*On fail goto*//*Label 11991*/ GIMT_Encode4(771161), // Rule ID 14514 //
     /*  771088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  771091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  771099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  771102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  771105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  771108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771134 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  771134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  771137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771156 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771159 */     GIR_RootConstrainSelectedInstOperands,
     /*  771160 */     // GIR_Coverage, 14514,
     /*  771160 */     GIR_EraseRootFromParent_Done,
     /*  771161 */   // Label 11991: @771161
     /*  771161 */   GIM_Try, /*On fail goto*//*Label 11992*/ GIMT_Encode4(771239), // Rule ID 14517 //
     /*  771166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  771169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  771177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  771180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  771183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  771186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771212 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  771212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771234 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771237 */     GIR_RootConstrainSelectedInstOperands,
     /*  771238 */     // GIR_Coverage, 14517,
     /*  771238 */     GIR_EraseRootFromParent_Done,
     /*  771239 */   // Label 11992: @771239
     /*  771239 */   GIM_Try, /*On fail goto*//*Label 11993*/ GIMT_Encode4(771317), // Rule ID 14518 //
     /*  771244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  771247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  771255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  771258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  771261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  771264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771290 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  771290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  771293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771312 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771315 */     GIR_RootConstrainSelectedInstOperands,
     /*  771316 */     // GIR_Coverage, 14518,
     /*  771316 */     GIR_EraseRootFromParent_Done,
     /*  771317 */   // Label 11993: @771317
     /*  771317 */   GIM_Try, /*On fail goto*//*Label 11994*/ GIMT_Encode4(771395), // Rule ID 14521 //
     /*  771322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  771333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  771336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  771339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771368 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  771371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771393 */     GIR_RootConstrainSelectedInstOperands,
     /*  771394 */     // GIR_Coverage, 14521,
     /*  771394 */     GIR_EraseRootFromParent_Done,
     /*  771395 */   // Label 11994: @771395
     /*  771395 */   GIM_Try, /*On fail goto*//*Label 11995*/ GIMT_Encode4(771473), // Rule ID 14522 //
     /*  771400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  771411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  771414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  771417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771446 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  771449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771468 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771471 */     GIR_RootConstrainSelectedInstOperands,
     /*  771472 */     // GIR_Coverage, 14522,
     /*  771472 */     GIR_EraseRootFromParent_Done,
     /*  771473 */   // Label 11995: @771473
     /*  771473 */   GIM_Try, /*On fail goto*//*Label 11996*/ GIMT_Encode4(771551), // Rule ID 14525 //
     /*  771478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  771489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  771492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  771495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771524 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  771527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771549 */     GIR_RootConstrainSelectedInstOperands,
     /*  771550 */     // GIR_Coverage, 14525,
     /*  771550 */     GIR_EraseRootFromParent_Done,
     /*  771551 */   // Label 11996: @771551
     /*  771551 */   GIM_Try, /*On fail goto*//*Label 11997*/ GIMT_Encode4(771629), // Rule ID 14526 //
     /*  771556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  771567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  771570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  771573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771602 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  771605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771624 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771627 */     GIR_RootConstrainSelectedInstOperands,
     /*  771628 */     // GIR_Coverage, 14526,
     /*  771628 */     GIR_EraseRootFromParent_Done,
     /*  771629 */   // Label 11997: @771629
     /*  771629 */   GIM_Try, /*On fail goto*//*Label 11998*/ GIMT_Encode4(771707), // Rule ID 14529 //
     /*  771634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  771645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  771648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  771651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771680 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  771683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771705 */     GIR_RootConstrainSelectedInstOperands,
     /*  771706 */     // GIR_Coverage, 14529,
     /*  771706 */     GIR_EraseRootFromParent_Done,
     /*  771707 */   // Label 11998: @771707
     /*  771707 */   GIM_Try, /*On fail goto*//*Label 11999*/ GIMT_Encode4(771785), // Rule ID 14530 //
     /*  771712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  771723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  771726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  771729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771758 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  771761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771780 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771783 */     GIR_RootConstrainSelectedInstOperands,
     /*  771784 */     // GIR_Coverage, 14530,
     /*  771784 */     GIR_EraseRootFromParent_Done,
     /*  771785 */   // Label 11999: @771785
     /*  771785 */   GIM_Try, /*On fail goto*//*Label 12000*/ GIMT_Encode4(771863), // Rule ID 14533 //
     /*  771790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  771801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  771804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  771807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771836 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  771839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771861 */     GIR_RootConstrainSelectedInstOperands,
     /*  771862 */     // GIR_Coverage, 14533,
     /*  771862 */     GIR_EraseRootFromParent_Done,
     /*  771863 */   // Label 12000: @771863
     /*  771863 */   GIM_Try, /*On fail goto*//*Label 12001*/ GIMT_Encode4(771941), // Rule ID 14534 //
     /*  771868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  771879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  771882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  771885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771914 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  771917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771936 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771939 */     GIR_RootConstrainSelectedInstOperands,
     /*  771940 */     // GIR_Coverage, 14534,
     /*  771940 */     GIR_EraseRootFromParent_Done,
     /*  771941 */   // Label 12001: @771941
     /*  771941 */   GIM_Try, /*On fail goto*//*Label 12002*/ GIMT_Encode4(772019), // Rule ID 14537 //
     /*  771946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  771954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  771957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  771960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  771963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771992 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  771995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772014 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772017 */     GIR_RootConstrainSelectedInstOperands,
     /*  772018 */     // GIR_Coverage, 14537,
     /*  772018 */     GIR_EraseRootFromParent_Done,
     /*  772019 */   // Label 12002: @772019
     /*  772019 */   GIM_Try, /*On fail goto*//*Label 12003*/ GIMT_Encode4(772097), // Rule ID 14538 //
     /*  772024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  772035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  772038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  772041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772070 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  772070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  772073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772092 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772095 */     GIR_RootConstrainSelectedInstOperands,
     /*  772096 */     // GIR_Coverage, 14538,
     /*  772096 */     GIR_EraseRootFromParent_Done,
     /*  772097 */   // Label 12003: @772097
     /*  772097 */   GIM_Try, /*On fail goto*//*Label 12004*/ GIMT_Encode4(772175), // Rule ID 14541 //
     /*  772102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  772113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  772116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  772119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772148 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  772151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772170 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772173 */     GIR_RootConstrainSelectedInstOperands,
     /*  772174 */     // GIR_Coverage, 14541,
     /*  772174 */     GIR_EraseRootFromParent_Done,
     /*  772175 */   // Label 12004: @772175
     /*  772175 */   GIM_Try, /*On fail goto*//*Label 12005*/ GIMT_Encode4(772253), // Rule ID 14542 //
     /*  772180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  772191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  772194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  772197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772226 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  772229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772251 */     GIR_RootConstrainSelectedInstOperands,
     /*  772252 */     // GIR_Coverage, 14542,
     /*  772252 */     GIR_EraseRootFromParent_Done,
     /*  772253 */   // Label 12005: @772253
     /*  772253 */   GIM_Try, /*On fail goto*//*Label 12006*/ GIMT_Encode4(772331), // Rule ID 14545 //
     /*  772258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  772269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  772272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  772275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772304 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  772307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772329 */     GIR_RootConstrainSelectedInstOperands,
     /*  772330 */     // GIR_Coverage, 14545,
     /*  772330 */     GIR_EraseRootFromParent_Done,
     /*  772331 */   // Label 12006: @772331
     /*  772331 */   GIM_Try, /*On fail goto*//*Label 12007*/ GIMT_Encode4(772409), // Rule ID 14546 //
     /*  772336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  772347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  772350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  772353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772382 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  772382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  772385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772404 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772407 */     GIR_RootConstrainSelectedInstOperands,
     /*  772408 */     // GIR_Coverage, 14546,
     /*  772408 */     GIR_EraseRootFromParent_Done,
     /*  772409 */   // Label 12007: @772409
     /*  772409 */   GIM_Try, /*On fail goto*//*Label 12008*/ GIMT_Encode4(772487), // Rule ID 14549 //
     /*  772414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  772425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  772428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  772431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772460 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  772460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  772463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772485 */     GIR_RootConstrainSelectedInstOperands,
     /*  772486 */     // GIR_Coverage, 14549,
     /*  772486 */     GIR_EraseRootFromParent_Done,
     /*  772487 */   // Label 12008: @772487
     /*  772487 */   GIM_Try, /*On fail goto*//*Label 12009*/ GIMT_Encode4(772565), // Rule ID 14550 //
     /*  772492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  772503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  772506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  772509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772538 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  772538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  772541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772563 */     GIR_RootConstrainSelectedInstOperands,
     /*  772564 */     // GIR_Coverage, 14550,
     /*  772564 */     GIR_EraseRootFromParent_Done,
     /*  772565 */   // Label 12009: @772565
     /*  772565 */   GIM_Try, /*On fail goto*//*Label 12010*/ GIMT_Encode4(772643), // Rule ID 14553 //
     /*  772570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  772581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  772584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  772587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772616 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  772619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772641 */     GIR_RootConstrainSelectedInstOperands,
     /*  772642 */     // GIR_Coverage, 14553,
     /*  772642 */     GIR_EraseRootFromParent_Done,
     /*  772643 */   // Label 12010: @772643
     /*  772643 */   GIM_Try, /*On fail goto*//*Label 12011*/ GIMT_Encode4(772721), // Rule ID 14554 //
     /*  772648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  772659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  772662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  772665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772694 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  772697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772719 */     GIR_RootConstrainSelectedInstOperands,
     /*  772720 */     // GIR_Coverage, 14554,
     /*  772720 */     GIR_EraseRootFromParent_Done,
     /*  772721 */   // Label 12011: @772721
     /*  772721 */   GIM_Try, /*On fail goto*//*Label 12012*/ GIMT_Encode4(772799), // Rule ID 14557 //
     /*  772726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  772729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  772737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  772740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  772743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772772 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  772772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  772775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772794 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772797 */     GIR_RootConstrainSelectedInstOperands,
     /*  772798 */     // GIR_Coverage, 14557,
     /*  772798 */     GIR_EraseRootFromParent_Done,
     /*  772799 */   // Label 12012: @772799
     /*  772799 */   GIM_Try, /*On fail goto*//*Label 12013*/ GIMT_Encode4(772877), // Rule ID 14558 //
     /*  772804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  772807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  772815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  772818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  772821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772850 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  772850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  772853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772875 */     GIR_RootConstrainSelectedInstOperands,
     /*  772876 */     // GIR_Coverage, 14558,
     /*  772876 */     GIR_EraseRootFromParent_Done,
     /*  772877 */   // Label 12013: @772877
     /*  772877 */   GIM_Try, /*On fail goto*//*Label 12014*/ GIMT_Encode4(772955), // Rule ID 14561 //
     /*  772882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  772893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  772896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  772899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772928 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  772931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772953 */     GIR_RootConstrainSelectedInstOperands,
     /*  772954 */     // GIR_Coverage, 14561,
     /*  772954 */     GIR_EraseRootFromParent_Done,
     /*  772955 */   // Label 12014: @772955
     /*  772955 */   GIM_Try, /*On fail goto*//*Label 12015*/ GIMT_Encode4(773033), // Rule ID 14562 //
     /*  772960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  772968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  772971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  772974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  772977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773006 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  773009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773031 */     GIR_RootConstrainSelectedInstOperands,
     /*  773032 */     // GIR_Coverage, 14562,
     /*  773032 */     GIR_EraseRootFromParent_Done,
     /*  773033 */   // Label 12015: @773033
     /*  773033 */   GIM_Try, /*On fail goto*//*Label 12016*/ GIMT_Encode4(773111), // Rule ID 14565 //
     /*  773038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  773049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  773052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  773055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773084 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  773087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773109 */     GIR_RootConstrainSelectedInstOperands,
     /*  773110 */     // GIR_Coverage, 14565,
     /*  773110 */     GIR_EraseRootFromParent_Done,
     /*  773111 */   // Label 12016: @773111
     /*  773111 */   GIM_Try, /*On fail goto*//*Label 12017*/ GIMT_Encode4(773189), // Rule ID 14566 //
     /*  773116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  773127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  773130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  773133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773162 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  773165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773187 */     GIR_RootConstrainSelectedInstOperands,
     /*  773188 */     // GIR_Coverage, 14566,
     /*  773188 */     GIR_EraseRootFromParent_Done,
     /*  773189 */   // Label 12017: @773189
     /*  773189 */   GIM_Try, /*On fail goto*//*Label 12018*/ GIMT_Encode4(773267), // Rule ID 14569 //
     /*  773194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  773205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  773208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  773211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773240 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  773243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773262 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773265 */     GIR_RootConstrainSelectedInstOperands,
     /*  773266 */     // GIR_Coverage, 14569,
     /*  773266 */     GIR_EraseRootFromParent_Done,
     /*  773267 */   // Label 12018: @773267
     /*  773267 */   GIM_Try, /*On fail goto*//*Label 12019*/ GIMT_Encode4(773345), // Rule ID 14570 //
     /*  773272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  773283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  773286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  773289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773318 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  773321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773340 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773343 */     GIR_RootConstrainSelectedInstOperands,
     /*  773344 */     // GIR_Coverage, 14570,
     /*  773344 */     GIR_EraseRootFromParent_Done,
     /*  773345 */   // Label 12019: @773345
     /*  773345 */   GIM_Try, /*On fail goto*//*Label 12020*/ GIMT_Encode4(773423), // Rule ID 14573 //
     /*  773350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  773361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  773364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  773367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773396 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  773396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  773399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773421 */     GIR_RootConstrainSelectedInstOperands,
     /*  773422 */     // GIR_Coverage, 14573,
     /*  773422 */     GIR_EraseRootFromParent_Done,
     /*  773423 */   // Label 12020: @773423
     /*  773423 */   GIM_Try, /*On fail goto*//*Label 12021*/ GIMT_Encode4(773501), // Rule ID 14574 //
     /*  773428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  773439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  773442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  773445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773474 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  773474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  773477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773496 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773499 */     GIR_RootConstrainSelectedInstOperands,
     /*  773500 */     // GIR_Coverage, 14574,
     /*  773500 */     GIR_EraseRootFromParent_Done,
     /*  773501 */   // Label 12021: @773501
     /*  773501 */   GIM_Try, /*On fail goto*//*Label 12022*/ GIMT_Encode4(773579), // Rule ID 14577 //
     /*  773506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  773517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  773520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  773523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773552 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  773552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  773555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773577 */     GIR_RootConstrainSelectedInstOperands,
     /*  773578 */     // GIR_Coverage, 14577,
     /*  773578 */     GIR_EraseRootFromParent_Done,
     /*  773579 */   // Label 12022: @773579
     /*  773579 */   GIM_Try, /*On fail goto*//*Label 12023*/ GIMT_Encode4(773657), // Rule ID 14578 //
     /*  773584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  773595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  773598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  773601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773630 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  773630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  773633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773652 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773655 */     GIR_RootConstrainSelectedInstOperands,
     /*  773656 */     // GIR_Coverage, 14578,
     /*  773656 */     GIR_EraseRootFromParent_Done,
     /*  773657 */   // Label 12023: @773657
     /*  773657 */   GIM_Try, /*On fail goto*//*Label 12024*/ GIMT_Encode4(773735), // Rule ID 14581 //
     /*  773662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  773673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  773676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  773679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773708 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  773708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  773711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773730 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773733 */     GIR_RootConstrainSelectedInstOperands,
     /*  773734 */     // GIR_Coverage, 14581,
     /*  773734 */     GIR_EraseRootFromParent_Done,
     /*  773735 */   // Label 12024: @773735
     /*  773735 */   GIM_Try, /*On fail goto*//*Label 12025*/ GIMT_Encode4(773813), // Rule ID 14582 //
     /*  773740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  773751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  773754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  773757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773786 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  773786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  773789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773811 */     GIR_RootConstrainSelectedInstOperands,
     /*  773812 */     // GIR_Coverage, 14582,
     /*  773812 */     GIR_EraseRootFromParent_Done,
     /*  773813 */   // Label 12025: @773813
     /*  773813 */   GIM_Try, /*On fail goto*//*Label 12026*/ GIMT_Encode4(773891), // Rule ID 14585 //
     /*  773818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  773829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  773832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  773835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773864 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  773864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  773867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773886 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773889 */     GIR_RootConstrainSelectedInstOperands,
     /*  773890 */     // GIR_Coverage, 14585,
     /*  773890 */     GIR_EraseRootFromParent_Done,
     /*  773891 */   // Label 12026: @773891
     /*  773891 */   GIM_Try, /*On fail goto*//*Label 12027*/ GIMT_Encode4(773969), // Rule ID 14586 //
     /*  773896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  773907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  773910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  773913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773942 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  773945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773964 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773967 */     GIR_RootConstrainSelectedInstOperands,
     /*  773968 */     // GIR_Coverage, 14586,
     /*  773968 */     GIR_EraseRootFromParent_Done,
     /*  773969 */   // Label 12027: @773969
     /*  773969 */   GIM_Try, /*On fail goto*//*Label 12028*/ GIMT_Encode4(774047), // Rule ID 14589 //
     /*  773974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  773982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  773985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  773988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  773991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774020 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  774020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  774023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774045 */     GIR_RootConstrainSelectedInstOperands,
     /*  774046 */     // GIR_Coverage, 14589,
     /*  774046 */     GIR_EraseRootFromParent_Done,
     /*  774047 */   // Label 12028: @774047
     /*  774047 */   GIM_Try, /*On fail goto*//*Label 12029*/ GIMT_Encode4(774125), // Rule ID 14590 //
     /*  774052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  774063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  774066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  774069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774098 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  774098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  774101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774123 */     GIR_RootConstrainSelectedInstOperands,
     /*  774124 */     // GIR_Coverage, 14590,
     /*  774124 */     GIR_EraseRootFromParent_Done,
     /*  774125 */   // Label 12029: @774125
     /*  774125 */   GIM_Try, /*On fail goto*//*Label 12030*/ GIMT_Encode4(774203), // Rule ID 14593 //
     /*  774130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  774141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  774144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  774147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774176 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  774176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  774179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774198 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774201 */     GIR_RootConstrainSelectedInstOperands,
     /*  774202 */     // GIR_Coverage, 14593,
     /*  774202 */     GIR_EraseRootFromParent_Done,
     /*  774203 */   // Label 12030: @774203
     /*  774203 */   GIM_Try, /*On fail goto*//*Label 12031*/ GIMT_Encode4(774281), // Rule ID 14594 //
     /*  774208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  774219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  774222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  774225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774254 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  774254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  774257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774276 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774279 */     GIR_RootConstrainSelectedInstOperands,
     /*  774280 */     // GIR_Coverage, 14594,
     /*  774280 */     GIR_EraseRootFromParent_Done,
     /*  774281 */   // Label 12031: @774281
     /*  774281 */   GIM_Try, /*On fail goto*//*Label 12032*/ GIMT_Encode4(774359), // Rule ID 14597 //
     /*  774286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  774289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  774297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  774300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  774303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774332 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  774332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  774335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774357 */     GIR_RootConstrainSelectedInstOperands,
     /*  774358 */     // GIR_Coverage, 14597,
     /*  774358 */     GIR_EraseRootFromParent_Done,
     /*  774359 */   // Label 12032: @774359
     /*  774359 */   GIM_Try, /*On fail goto*//*Label 12033*/ GIMT_Encode4(774437), // Rule ID 14598 //
     /*  774364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  774367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  774375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  774378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  774381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774410 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  774410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  774413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774432 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774435 */     GIR_RootConstrainSelectedInstOperands,
     /*  774436 */     // GIR_Coverage, 14598,
     /*  774436 */     GIR_EraseRootFromParent_Done,
     /*  774437 */   // Label 12033: @774437
     /*  774437 */   GIM_Try, /*On fail goto*//*Label 12034*/ GIMT_Encode4(774515), // Rule ID 14601 //
     /*  774442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  774445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  774453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  774456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  774459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774488 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  774488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  774491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774510 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774513 */     GIR_RootConstrainSelectedInstOperands,
     /*  774514 */     // GIR_Coverage, 14601,
     /*  774514 */     GIR_EraseRootFromParent_Done,
     /*  774515 */   // Label 12034: @774515
     /*  774515 */   GIM_Try, /*On fail goto*//*Label 12035*/ GIMT_Encode4(774593), // Rule ID 14602 //
     /*  774520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  774523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  774531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  774534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  774537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774566 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  774566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  774569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774591 */     GIR_RootConstrainSelectedInstOperands,
     /*  774592 */     // GIR_Coverage, 14602,
     /*  774592 */     GIR_EraseRootFromParent_Done,
     /*  774593 */   // Label 12035: @774593
     /*  774593 */   GIM_Try, /*On fail goto*//*Label 12036*/ GIMT_Encode4(774671), // Rule ID 14605 //
     /*  774598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  774601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  774609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  774612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  774615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774644 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  774644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  774647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774669 */     GIR_RootConstrainSelectedInstOperands,
     /*  774670 */     // GIR_Coverage, 14605,
     /*  774670 */     GIR_EraseRootFromParent_Done,
     /*  774671 */   // Label 12036: @774671
     /*  774671 */   GIM_Try, /*On fail goto*//*Label 12037*/ GIMT_Encode4(774749), // Rule ID 14606 //
     /*  774676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  774679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  774687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  774690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  774693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774722 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  774722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  774725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774744 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774747 */     GIR_RootConstrainSelectedInstOperands,
     /*  774748 */     // GIR_Coverage, 14606,
     /*  774748 */     GIR_EraseRootFromParent_Done,
     /*  774749 */   // Label 12037: @774749
     /*  774749 */   GIM_Try, /*On fail goto*//*Label 12038*/ GIMT_Encode4(774827), // Rule ID 14609 //
     /*  774754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  774762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  774765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  774768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  774771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  774774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774800 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  774803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774822 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774825 */     GIR_RootConstrainSelectedInstOperands,
     /*  774826 */     // GIR_Coverage, 14609,
     /*  774826 */     GIR_EraseRootFromParent_Done,
     /*  774827 */   // Label 12038: @774827
     /*  774827 */   GIM_Try, /*On fail goto*//*Label 12039*/ GIMT_Encode4(774905), // Rule ID 14610 //
     /*  774832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  774840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  774843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  774846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  774849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  774852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774878 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  774881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774903 */     GIR_RootConstrainSelectedInstOperands,
     /*  774904 */     // GIR_Coverage, 14610,
     /*  774904 */     GIR_EraseRootFromParent_Done,
     /*  774905 */   // Label 12039: @774905
     /*  774905 */   GIM_Try, /*On fail goto*//*Label 12040*/ GIMT_Encode4(774983), // Rule ID 14613 //
     /*  774910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  774918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  774921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  774924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  774927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  774930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774956 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  774959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774978 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774981 */     GIR_RootConstrainSelectedInstOperands,
     /*  774982 */     // GIR_Coverage, 14613,
     /*  774982 */     GIR_EraseRootFromParent_Done,
     /*  774983 */   // Label 12040: @774983
     /*  774983 */   GIM_Try, /*On fail goto*//*Label 12041*/ GIMT_Encode4(775061), // Rule ID 14614 //
     /*  774988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  774996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  774999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  775002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  775005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  775008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775034 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  775034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  775037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775056 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775059 */     GIR_RootConstrainSelectedInstOperands,
     /*  775060 */     // GIR_Coverage, 14614,
     /*  775060 */     GIR_EraseRootFromParent_Done,
     /*  775061 */   // Label 12041: @775061
     /*  775061 */   GIM_Try, /*On fail goto*//*Label 12042*/ GIMT_Encode4(775139), // Rule ID 14617 //
     /*  775066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  775077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  775080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  775083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  775086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775112 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  775112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  775115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775134 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775137 */     GIR_RootConstrainSelectedInstOperands,
     /*  775138 */     // GIR_Coverage, 14617,
     /*  775138 */     GIR_EraseRootFromParent_Done,
     /*  775139 */   // Label 12042: @775139
     /*  775139 */   GIM_Try, /*On fail goto*//*Label 12043*/ GIMT_Encode4(775217), // Rule ID 14618 //
     /*  775144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  775155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  775158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  775161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  775164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775190 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  775190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  775193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775212 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775215 */     GIR_RootConstrainSelectedInstOperands,
     /*  775216 */     // GIR_Coverage, 14618,
     /*  775216 */     GIR_EraseRootFromParent_Done,
     /*  775217 */   // Label 12043: @775217
     /*  775217 */   GIM_Try, /*On fail goto*//*Label 12044*/ GIMT_Encode4(775295), // Rule ID 14621 //
     /*  775222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  775233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  775236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  775239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  775242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775268 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  775271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775293 */     GIR_RootConstrainSelectedInstOperands,
     /*  775294 */     // GIR_Coverage, 14621,
     /*  775294 */     GIR_EraseRootFromParent_Done,
     /*  775295 */   // Label 12044: @775295
     /*  775295 */   GIM_Try, /*On fail goto*//*Label 12045*/ GIMT_Encode4(775373), // Rule ID 14622 //
     /*  775300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  775311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  775314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  775317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  775320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  775349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775371 */     GIR_RootConstrainSelectedInstOperands,
     /*  775372 */     // GIR_Coverage, 14622,
     /*  775372 */     GIR_EraseRootFromParent_Done,
     /*  775373 */   // Label 12045: @775373
     /*  775373 */   GIM_Try, /*On fail goto*//*Label 12046*/ GIMT_Encode4(775451), // Rule ID 14625 //
     /*  775378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  775389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  775392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  775395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  775398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775424 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  775427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775449 */     GIR_RootConstrainSelectedInstOperands,
     /*  775450 */     // GIR_Coverage, 14625,
     /*  775450 */     GIR_EraseRootFromParent_Done,
     /*  775451 */   // Label 12046: @775451
     /*  775451 */   GIM_Try, /*On fail goto*//*Label 12047*/ GIMT_Encode4(775529), // Rule ID 14626 //
     /*  775456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  775467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  775470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  775473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  775476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775502 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  775505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775527 */     GIR_RootConstrainSelectedInstOperands,
     /*  775528 */     // GIR_Coverage, 14626,
     /*  775528 */     GIR_EraseRootFromParent_Done,
     /*  775529 */   // Label 12047: @775529
     /*  775529 */   GIM_Try, /*On fail goto*//*Label 12048*/ GIMT_Encode4(775607), // Rule ID 14629 //
     /*  775534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  775545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  775548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  775551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  775554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775580 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  775580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  775583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775605 */     GIR_RootConstrainSelectedInstOperands,
     /*  775606 */     // GIR_Coverage, 14629,
     /*  775606 */     GIR_EraseRootFromParent_Done,
     /*  775607 */   // Label 12048: @775607
     /*  775607 */   GIM_Try, /*On fail goto*//*Label 12049*/ GIMT_Encode4(775685), // Rule ID 14630 //
     /*  775612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  775623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  775626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  775629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  775632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  775658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  775661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775683 */     GIR_RootConstrainSelectedInstOperands,
     /*  775684 */     // GIR_Coverage, 14630,
     /*  775684 */     GIR_EraseRootFromParent_Done,
     /*  775685 */   // Label 12049: @775685
     /*  775685 */   GIM_Try, /*On fail goto*//*Label 12050*/ GIMT_Encode4(775763), // Rule ID 14633 //
     /*  775690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  775701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  775704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  775707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  775710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775736 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  775736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  775739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775758 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775761 */     GIR_RootConstrainSelectedInstOperands,
     /*  775762 */     // GIR_Coverage, 14633,
     /*  775762 */     GIR_EraseRootFromParent_Done,
     /*  775763 */   // Label 12050: @775763
     /*  775763 */   GIM_Try, /*On fail goto*//*Label 12051*/ GIMT_Encode4(775841), // Rule ID 14634 //
     /*  775768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  775779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  775782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  775785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  775788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775814 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  775814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  775817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775836 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775839 */     GIR_RootConstrainSelectedInstOperands,
     /*  775840 */     // GIR_Coverage, 14634,
     /*  775840 */     GIR_EraseRootFromParent_Done,
     /*  775841 */   // Label 12051: @775841
     /*  775841 */   GIM_Try, /*On fail goto*//*Label 12052*/ GIMT_Encode4(775919), // Rule ID 14637 //
     /*  775846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  775857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  775860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  775863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  775866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775892 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  775895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775914 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775917 */     GIR_RootConstrainSelectedInstOperands,
     /*  775918 */     // GIR_Coverage, 14637,
     /*  775918 */     GIR_EraseRootFromParent_Done,
     /*  775919 */   // Label 12052: @775919
     /*  775919 */   GIM_Try, /*On fail goto*//*Label 12053*/ GIMT_Encode4(775997), // Rule ID 14638 //
     /*  775924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  775935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  775938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  775941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  775944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775970 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  775973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775995 */     GIR_RootConstrainSelectedInstOperands,
     /*  775996 */     // GIR_Coverage, 14638,
     /*  775996 */     GIR_EraseRootFromParent_Done,
     /*  775997 */   // Label 12053: @775997
     /*  775997 */   GIM_Try, /*On fail goto*//*Label 12054*/ GIMT_Encode4(776075), // Rule ID 14641 //
     /*  776002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  776013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  776016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  776019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  776022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776048 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  776048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  776051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776073 */     GIR_RootConstrainSelectedInstOperands,
     /*  776074 */     // GIR_Coverage, 14641,
     /*  776074 */     GIR_EraseRootFromParent_Done,
     /*  776075 */   // Label 12054: @776075
     /*  776075 */   GIM_Try, /*On fail goto*//*Label 12055*/ GIMT_Encode4(776153), // Rule ID 14642 //
     /*  776080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  776091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  776094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  776097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  776100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776126 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  776126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  776129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776151 */     GIR_RootConstrainSelectedInstOperands,
     /*  776152 */     // GIR_Coverage, 14642,
     /*  776152 */     GIR_EraseRootFromParent_Done,
     /*  776153 */   // Label 12055: @776153
     /*  776153 */   GIM_Try, /*On fail goto*//*Label 12056*/ GIMT_Encode4(776231), // Rule ID 14645 //
     /*  776158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  776161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  776169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  776172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  776175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  776178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776204 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  776204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  776207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776229 */     GIR_RootConstrainSelectedInstOperands,
     /*  776230 */     // GIR_Coverage, 14645,
     /*  776230 */     GIR_EraseRootFromParent_Done,
     /*  776231 */   // Label 12056: @776231
     /*  776231 */   GIM_Try, /*On fail goto*//*Label 12057*/ GIMT_Encode4(776309), // Rule ID 14646 //
     /*  776236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  776239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  776247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  776250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  776253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  776256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776282 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  776282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  776285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776307 */     GIR_RootConstrainSelectedInstOperands,
     /*  776308 */     // GIR_Coverage, 14646,
     /*  776308 */     GIR_EraseRootFromParent_Done,
     /*  776309 */   // Label 12057: @776309
     /*  776309 */   GIM_Try, /*On fail goto*//*Label 12058*/ GIMT_Encode4(776387), // Rule ID 14649 //
     /*  776314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  776325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  776328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  776331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  776334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776360 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  776363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776385 */     GIR_RootConstrainSelectedInstOperands,
     /*  776386 */     // GIR_Coverage, 14649,
     /*  776386 */     GIR_EraseRootFromParent_Done,
     /*  776387 */   // Label 12058: @776387
     /*  776387 */   GIM_Try, /*On fail goto*//*Label 12059*/ GIMT_Encode4(776465), // Rule ID 14650 //
     /*  776392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  776403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  776406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  776409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  776412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776438 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  776441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776463 */     GIR_RootConstrainSelectedInstOperands,
     /*  776464 */     // GIR_Coverage, 14650,
     /*  776464 */     GIR_EraseRootFromParent_Done,
     /*  776465 */   // Label 12059: @776465
     /*  776465 */   GIM_Try, /*On fail goto*//*Label 12060*/ GIMT_Encode4(776543), // Rule ID 14653 //
     /*  776470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  776481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  776484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  776487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  776490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776516 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  776519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776541 */     GIR_RootConstrainSelectedInstOperands,
     /*  776542 */     // GIR_Coverage, 14653,
     /*  776542 */     GIR_EraseRootFromParent_Done,
     /*  776543 */   // Label 12060: @776543
     /*  776543 */   GIM_Try, /*On fail goto*//*Label 12061*/ GIMT_Encode4(776621), // Rule ID 14654 //
     /*  776548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  776559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  776562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  776565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  776568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776594 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  776597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776619 */     GIR_RootConstrainSelectedInstOperands,
     /*  776620 */     // GIR_Coverage, 14654,
     /*  776620 */     GIR_EraseRootFromParent_Done,
     /*  776621 */   // Label 12061: @776621
     /*  776621 */   GIM_Try, /*On fail goto*//*Label 12062*/ GIMT_Encode4(776699), // Rule ID 14657 //
     /*  776626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  776637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  776640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  776643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  776646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776672 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  776675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776697 */     GIR_RootConstrainSelectedInstOperands,
     /*  776698 */     // GIR_Coverage, 14657,
     /*  776698 */     GIR_EraseRootFromParent_Done,
     /*  776699 */   // Label 12062: @776699
     /*  776699 */   GIM_Try, /*On fail goto*//*Label 12063*/ GIMT_Encode4(776777), // Rule ID 14658 //
     /*  776704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  776715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  776718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  776721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  776724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776750 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  776753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776772 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776775 */     GIR_RootConstrainSelectedInstOperands,
     /*  776776 */     // GIR_Coverage, 14658,
     /*  776776 */     GIR_EraseRootFromParent_Done,
     /*  776777 */   // Label 12063: @776777
     /*  776777 */   GIM_Try, /*On fail goto*//*Label 12064*/ GIMT_Encode4(776855), // Rule ID 14661 //
     /*  776782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  776793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  776796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  776799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  776802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776828 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  776831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776853 */     GIR_RootConstrainSelectedInstOperands,
     /*  776854 */     // GIR_Coverage, 14661,
     /*  776854 */     GIR_EraseRootFromParent_Done,
     /*  776855 */   // Label 12064: @776855
     /*  776855 */   GIM_Try, /*On fail goto*//*Label 12065*/ GIMT_Encode4(776933), // Rule ID 14662 //
     /*  776860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  776871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  776874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  776877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  776880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776906 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  776909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776931 */     GIR_RootConstrainSelectedInstOperands,
     /*  776932 */     // GIR_Coverage, 14662,
     /*  776932 */     GIR_EraseRootFromParent_Done,
     /*  776933 */   // Label 12065: @776933
     /*  776933 */   GIM_Try, /*On fail goto*//*Label 12066*/ GIMT_Encode4(777011), // Rule ID 14665 //
     /*  776938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  776949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  776952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  776955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  776958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776984 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  776987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777009 */     GIR_RootConstrainSelectedInstOperands,
     /*  777010 */     // GIR_Coverage, 14665,
     /*  777010 */     GIR_EraseRootFromParent_Done,
     /*  777011 */   // Label 12066: @777011
     /*  777011 */   GIM_Try, /*On fail goto*//*Label 12067*/ GIMT_Encode4(777089), // Rule ID 14666 //
     /*  777016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  777027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  777030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  777033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  777036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777062 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  777065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777087 */     GIR_RootConstrainSelectedInstOperands,
     /*  777088 */     // GIR_Coverage, 14666,
     /*  777088 */     GIR_EraseRootFromParent_Done,
     /*  777089 */   // Label 12067: @777089
     /*  777089 */   GIM_Try, /*On fail goto*//*Label 12068*/ GIMT_Encode4(777167), // Rule ID 14669 //
     /*  777094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  777105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  777108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  777111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  777114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777140 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  777140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  777143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777165 */     GIR_RootConstrainSelectedInstOperands,
     /*  777166 */     // GIR_Coverage, 14669,
     /*  777166 */     GIR_EraseRootFromParent_Done,
     /*  777167 */   // Label 12068: @777167
     /*  777167 */   GIM_Try, /*On fail goto*//*Label 12069*/ GIMT_Encode4(777245), // Rule ID 14670 //
     /*  777172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  777183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  777186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  777189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  777192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777218 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  777221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777243 */     GIR_RootConstrainSelectedInstOperands,
     /*  777244 */     // GIR_Coverage, 14670,
     /*  777244 */     GIR_EraseRootFromParent_Done,
     /*  777245 */   // Label 12069: @777245
     /*  777245 */   GIM_Try, /*On fail goto*//*Label 12070*/ GIMT_Encode4(777323), // Rule ID 14673 //
     /*  777250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  777261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  777264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  777267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  777270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777296 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  777299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777321 */     GIR_RootConstrainSelectedInstOperands,
     /*  777322 */     // GIR_Coverage, 14673,
     /*  777322 */     GIR_EraseRootFromParent_Done,
     /*  777323 */   // Label 12070: @777323
     /*  777323 */   GIM_Try, /*On fail goto*//*Label 12071*/ GIMT_Encode4(777401), // Rule ID 14674 //
     /*  777328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  777339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  777342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  777345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  777348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777374 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  777377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777399 */     GIR_RootConstrainSelectedInstOperands,
     /*  777400 */     // GIR_Coverage, 14674,
     /*  777400 */     GIR_EraseRootFromParent_Done,
     /*  777401 */   // Label 12071: @777401
     /*  777401 */   GIM_Try, /*On fail goto*//*Label 12072*/ GIMT_Encode4(777479), // Rule ID 14677 //
     /*  777406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  777417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  777420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  777423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  777426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  777455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777477 */     GIR_RootConstrainSelectedInstOperands,
     /*  777478 */     // GIR_Coverage, 14677,
     /*  777478 */     GIR_EraseRootFromParent_Done,
     /*  777479 */   // Label 12072: @777479
     /*  777479 */   GIM_Try, /*On fail goto*//*Label 12073*/ GIMT_Encode4(777557), // Rule ID 14678 //
     /*  777484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  777495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  777498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  777501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  777504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777530 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  777533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777555 */     GIR_RootConstrainSelectedInstOperands,
     /*  777556 */     // GIR_Coverage, 14678,
     /*  777556 */     GIR_EraseRootFromParent_Done,
     /*  777557 */   // Label 12073: @777557
     /*  777557 */   GIM_Try, /*On fail goto*//*Label 12074*/ GIMT_Encode4(777635), // Rule ID 14681 //
     /*  777562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  777573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  777576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  777579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  777582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777608 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  777611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777633 */     GIR_RootConstrainSelectedInstOperands,
     /*  777634 */     // GIR_Coverage, 14681,
     /*  777634 */     GIR_EraseRootFromParent_Done,
     /*  777635 */   // Label 12074: @777635
     /*  777635 */   GIM_Try, /*On fail goto*//*Label 12075*/ GIMT_Encode4(777713), // Rule ID 14682 //
     /*  777640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  777651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  777654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  777657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  777660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  777689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777711 */     GIR_RootConstrainSelectedInstOperands,
     /*  777712 */     // GIR_Coverage, 14682,
     /*  777712 */     GIR_EraseRootFromParent_Done,
     /*  777713 */   // Label 12075: @777713
     /*  777713 */   GIM_Try, /*On fail goto*//*Label 12076*/ GIMT_Encode4(777791), // Rule ID 14685 //
     /*  777718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  777721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  777729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  777732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  777735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  777738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777764 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  777764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  777767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777786 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777789 */     GIR_RootConstrainSelectedInstOperands,
     /*  777790 */     // GIR_Coverage, 14685,
     /*  777790 */     GIR_EraseRootFromParent_Done,
     /*  777791 */   // Label 12076: @777791
     /*  777791 */   GIM_Try, /*On fail goto*//*Label 12077*/ GIMT_Encode4(777869), // Rule ID 14686 //
     /*  777796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  777799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  777807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  777810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  777813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  777816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777842 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  777842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  777845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777867 */     GIR_RootConstrainSelectedInstOperands,
     /*  777868 */     // GIR_Coverage, 14686,
     /*  777868 */     GIR_EraseRootFromParent_Done,
     /*  777869 */   // Label 12077: @777869
     /*  777869 */   GIM_Try, /*On fail goto*//*Label 12078*/ GIMT_Encode4(777947), // Rule ID 14689 //
     /*  777874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  777877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  777885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  777888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  777891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  777894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777920 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  777920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  777923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777945 */     GIR_RootConstrainSelectedInstOperands,
     /*  777946 */     // GIR_Coverage, 14689,
     /*  777946 */     GIR_EraseRootFromParent_Done,
     /*  777947 */   // Label 12078: @777947
     /*  777947 */   GIM_Try, /*On fail goto*//*Label 12079*/ GIMT_Encode4(778025), // Rule ID 14690 //
     /*  777952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  777955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  777960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  777963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  777966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  777969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  777972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777998 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  777998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  778001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778023 */     GIR_RootConstrainSelectedInstOperands,
     /*  778024 */     // GIR_Coverage, 14690,
     /*  778024 */     GIR_EraseRootFromParent_Done,
     /*  778025 */   // Label 12079: @778025
     /*  778025 */   GIM_Try, /*On fail goto*//*Label 12080*/ GIMT_Encode4(778103), // Rule ID 14693 //
     /*  778030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  778033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  778041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  778044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  778047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  778050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778076 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  778076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  778079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778098 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778101 */     GIR_RootConstrainSelectedInstOperands,
     /*  778102 */     // GIR_Coverage, 14693,
     /*  778102 */     GIR_EraseRootFromParent_Done,
     /*  778103 */   // Label 12080: @778103
     /*  778103 */   GIM_Try, /*On fail goto*//*Label 12081*/ GIMT_Encode4(778181), // Rule ID 14694 //
     /*  778108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  778111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  778119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  778122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  778125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  778128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778154 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  778154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  778157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778179 */     GIR_RootConstrainSelectedInstOperands,
     /*  778180 */     // GIR_Coverage, 14694,
     /*  778180 */     GIR_EraseRootFromParent_Done,
     /*  778181 */   // Label 12081: @778181
     /*  778181 */   GIM_Try, /*On fail goto*//*Label 12082*/ GIMT_Encode4(778259), // Rule ID 14697 //
     /*  778186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  778197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  778200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  778203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778232 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  778232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  778235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778254 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778257 */     GIR_RootConstrainSelectedInstOperands,
     /*  778258 */     // GIR_Coverage, 14697,
     /*  778258 */     GIR_EraseRootFromParent_Done,
     /*  778259 */   // Label 12082: @778259
     /*  778259 */   GIM_Try, /*On fail goto*//*Label 12083*/ GIMT_Encode4(778337), // Rule ID 14698 //
     /*  778264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  778275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  778278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  778281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778310 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  778313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778335 */     GIR_RootConstrainSelectedInstOperands,
     /*  778336 */     // GIR_Coverage, 14698,
     /*  778336 */     GIR_EraseRootFromParent_Done,
     /*  778337 */   // Label 12083: @778337
     /*  778337 */   GIM_Try, /*On fail goto*//*Label 12084*/ GIMT_Encode4(778415), // Rule ID 14701 //
     /*  778342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  778353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  778356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  778359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778388 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  778388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  778391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778413 */     GIR_RootConstrainSelectedInstOperands,
     /*  778414 */     // GIR_Coverage, 14701,
     /*  778414 */     GIR_EraseRootFromParent_Done,
     /*  778415 */   // Label 12084: @778415
     /*  778415 */   GIM_Try, /*On fail goto*//*Label 12085*/ GIMT_Encode4(778493), // Rule ID 14702 //
     /*  778420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  778431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  778434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  778437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778466 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  778469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778491 */     GIR_RootConstrainSelectedInstOperands,
     /*  778492 */     // GIR_Coverage, 14702,
     /*  778492 */     GIR_EraseRootFromParent_Done,
     /*  778493 */   // Label 12085: @778493
     /*  778493 */   GIM_Try, /*On fail goto*//*Label 12086*/ GIMT_Encode4(778571), // Rule ID 14705 //
     /*  778498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  778509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  778512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  778515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778544 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  778544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  778547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778566 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778569 */     GIR_RootConstrainSelectedInstOperands,
     /*  778570 */     // GIR_Coverage, 14705,
     /*  778570 */     GIR_EraseRootFromParent_Done,
     /*  778571 */   // Label 12086: @778571
     /*  778571 */   GIM_Try, /*On fail goto*//*Label 12087*/ GIMT_Encode4(778649), // Rule ID 14706 //
     /*  778576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  778587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  778590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  778593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778622 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  778625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778644 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778647 */     GIR_RootConstrainSelectedInstOperands,
     /*  778648 */     // GIR_Coverage, 14706,
     /*  778648 */     GIR_EraseRootFromParent_Done,
     /*  778649 */   // Label 12087: @778649
     /*  778649 */   GIM_Try, /*On fail goto*//*Label 12088*/ GIMT_Encode4(778727), // Rule ID 14709 //
     /*  778654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  778665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  778668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  778671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778700 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  778703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778725 */     GIR_RootConstrainSelectedInstOperands,
     /*  778726 */     // GIR_Coverage, 14709,
     /*  778726 */     GIR_EraseRootFromParent_Done,
     /*  778727 */   // Label 12088: @778727
     /*  778727 */   GIM_Try, /*On fail goto*//*Label 12089*/ GIMT_Encode4(778805), // Rule ID 14710 //
     /*  778732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  778743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  778746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  778749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778778 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  778781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778803 */     GIR_RootConstrainSelectedInstOperands,
     /*  778804 */     // GIR_Coverage, 14710,
     /*  778804 */     GIR_EraseRootFromParent_Done,
     /*  778805 */   // Label 12089: @778805
     /*  778805 */   GIM_Try, /*On fail goto*//*Label 12090*/ GIMT_Encode4(778883), // Rule ID 14713 //
     /*  778810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  778821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  778824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  778827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778856 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  778859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778881 */     GIR_RootConstrainSelectedInstOperands,
     /*  778882 */     // GIR_Coverage, 14713,
     /*  778882 */     GIR_EraseRootFromParent_Done,
     /*  778883 */   // Label 12090: @778883
     /*  778883 */   GIM_Try, /*On fail goto*//*Label 12091*/ GIMT_Encode4(778961), // Rule ID 14714 //
     /*  778888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  778899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  778902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  778905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778934 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  778937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778956 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778959 */     GIR_RootConstrainSelectedInstOperands,
     /*  778960 */     // GIR_Coverage, 14714,
     /*  778960 */     GIR_EraseRootFromParent_Done,
     /*  778961 */   // Label 12091: @778961
     /*  778961 */   GIM_Try, /*On fail goto*//*Label 12092*/ GIMT_Encode4(779039), // Rule ID 14717 //
     /*  778966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  778974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  778977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  778980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  778983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779012 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  779015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779037 */     GIR_RootConstrainSelectedInstOperands,
     /*  779038 */     // GIR_Coverage, 14717,
     /*  779038 */     GIR_EraseRootFromParent_Done,
     /*  779039 */   // Label 12092: @779039
     /*  779039 */   GIM_Try, /*On fail goto*//*Label 12093*/ GIMT_Encode4(779117), // Rule ID 14718 //
     /*  779044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  779055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  779058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  779061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779090 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  779093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779115 */     GIR_RootConstrainSelectedInstOperands,
     /*  779116 */     // GIR_Coverage, 14718,
     /*  779116 */     GIR_EraseRootFromParent_Done,
     /*  779117 */   // Label 12093: @779117
     /*  779117 */   GIM_Try, /*On fail goto*//*Label 12094*/ GIMT_Encode4(779195), // Rule ID 14721 //
     /*  779122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  779133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  779136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  779139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779168 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  779168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  779171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779193 */     GIR_RootConstrainSelectedInstOperands,
     /*  779194 */     // GIR_Coverage, 14721,
     /*  779194 */     GIR_EraseRootFromParent_Done,
     /*  779195 */   // Label 12094: @779195
     /*  779195 */   GIM_Try, /*On fail goto*//*Label 12095*/ GIMT_Encode4(779273), // Rule ID 14722 //
     /*  779200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  779211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  779214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  779217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779246 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  779246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  779249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779271 */     GIR_RootConstrainSelectedInstOperands,
     /*  779272 */     // GIR_Coverage, 14722,
     /*  779272 */     GIR_EraseRootFromParent_Done,
     /*  779273 */   // Label 12095: @779273
     /*  779273 */   GIM_Try, /*On fail goto*//*Label 12096*/ GIMT_Encode4(779351), // Rule ID 14725 //
     /*  779278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  779289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  779292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  779295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  779324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  779327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779349 */     GIR_RootConstrainSelectedInstOperands,
     /*  779350 */     // GIR_Coverage, 14725,
     /*  779350 */     GIR_EraseRootFromParent_Done,
     /*  779351 */   // Label 12096: @779351
     /*  779351 */   GIM_Try, /*On fail goto*//*Label 12097*/ GIMT_Encode4(779429), // Rule ID 14726 //
     /*  779356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  779367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  779370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  779373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779402 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  779402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  779405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779424 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779427 */     GIR_RootConstrainSelectedInstOperands,
     /*  779428 */     // GIR_Coverage, 14726,
     /*  779428 */     GIR_EraseRootFromParent_Done,
     /*  779429 */   // Label 12097: @779429
     /*  779429 */   GIM_Try, /*On fail goto*//*Label 12098*/ GIMT_Encode4(779507), // Rule ID 14729 //
     /*  779434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  779445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  779448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  779451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779480 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  779483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779505 */     GIR_RootConstrainSelectedInstOperands,
     /*  779506 */     // GIR_Coverage, 14729,
     /*  779506 */     GIR_EraseRootFromParent_Done,
     /*  779507 */   // Label 12098: @779507
     /*  779507 */   GIM_Try, /*On fail goto*//*Label 12099*/ GIMT_Encode4(779585), // Rule ID 14730 //
     /*  779512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  779523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  779526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  779529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779558 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  779561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779583 */     GIR_RootConstrainSelectedInstOperands,
     /*  779584 */     // GIR_Coverage, 14730,
     /*  779584 */     GIR_EraseRootFromParent_Done,
     /*  779585 */   // Label 12099: @779585
     /*  779585 */   GIM_Try, /*On fail goto*//*Label 12100*/ GIMT_Encode4(779663), // Rule ID 14733 //
     /*  779590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  779593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  779601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  779604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  779607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779636 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  779636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  779639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779661 */     GIR_RootConstrainSelectedInstOperands,
     /*  779662 */     // GIR_Coverage, 14733,
     /*  779662 */     GIR_EraseRootFromParent_Done,
     /*  779663 */   // Label 12100: @779663
     /*  779663 */   GIM_Try, /*On fail goto*//*Label 12101*/ GIMT_Encode4(779741), // Rule ID 14734 //
     /*  779668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  779671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  779679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  779682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  779685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779714 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  779714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  779717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779736 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779739 */     GIR_RootConstrainSelectedInstOperands,
     /*  779740 */     // GIR_Coverage, 14734,
     /*  779740 */     GIR_EraseRootFromParent_Done,
     /*  779741 */   // Label 12101: @779741
     /*  779741 */   GIM_Try, /*On fail goto*//*Label 12102*/ GIMT_Encode4(779819), // Rule ID 14737 //
     /*  779746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  779757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  779760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  779763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779792 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  779792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  779795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779817 */     GIR_RootConstrainSelectedInstOperands,
     /*  779818 */     // GIR_Coverage, 14737,
     /*  779818 */     GIR_EraseRootFromParent_Done,
     /*  779819 */   // Label 12102: @779819
     /*  779819 */   GIM_Try, /*On fail goto*//*Label 12103*/ GIMT_Encode4(779897), // Rule ID 14738 //
     /*  779824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  779835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  779838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  779841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779870 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  779870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  779873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779895 */     GIR_RootConstrainSelectedInstOperands,
     /*  779896 */     // GIR_Coverage, 14738,
     /*  779896 */     GIR_EraseRootFromParent_Done,
     /*  779897 */   // Label 12103: @779897
     /*  779897 */   GIM_Try, /*On fail goto*//*Label 12104*/ GIMT_Encode4(779975), // Rule ID 14741 //
     /*  779902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  779913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  779916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  779919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779948 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  779948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  779951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779973 */     GIR_RootConstrainSelectedInstOperands,
     /*  779974 */     // GIR_Coverage, 14741,
     /*  779974 */     GIR_EraseRootFromParent_Done,
     /*  779975 */   // Label 12104: @779975
     /*  779975 */   GIM_Try, /*On fail goto*//*Label 12105*/ GIMT_Encode4(780053), // Rule ID 14742 //
     /*  779980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  779988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  779991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  779994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  779997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780026 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  780026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  780029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780051 */     GIR_RootConstrainSelectedInstOperands,
     /*  780052 */     // GIR_Coverage, 14742,
     /*  780052 */     GIR_EraseRootFromParent_Done,
     /*  780053 */   // Label 12105: @780053
     /*  780053 */   GIM_Try, /*On fail goto*//*Label 12106*/ GIMT_Encode4(780131), // Rule ID 14745 //
     /*  780058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  780069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  780072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  780075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780104 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  780104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  780107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780129 */     GIR_RootConstrainSelectedInstOperands,
     /*  780130 */     // GIR_Coverage, 14745,
     /*  780130 */     GIR_EraseRootFromParent_Done,
     /*  780131 */   // Label 12106: @780131
     /*  780131 */   GIM_Try, /*On fail goto*//*Label 12107*/ GIMT_Encode4(780209), // Rule ID 14746 //
     /*  780136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  780147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  780150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  780153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780182 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  780182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  780185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  780201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780207 */     GIR_RootConstrainSelectedInstOperands,
     /*  780208 */     // GIR_Coverage, 14746,
     /*  780208 */     GIR_EraseRootFromParent_Done,
     /*  780209 */   // Label 12107: @780209
     /*  780209 */   GIM_Try, /*On fail goto*//*Label 12108*/ GIMT_Encode4(780287), // Rule ID 14749 //
     /*  780214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  780225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  780228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  780231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780260 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  780263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780285 */     GIR_RootConstrainSelectedInstOperands,
     /*  780286 */     // GIR_Coverage, 14749,
     /*  780286 */     GIR_EraseRootFromParent_Done,
     /*  780287 */   // Label 12108: @780287
     /*  780287 */   GIM_Try, /*On fail goto*//*Label 12109*/ GIMT_Encode4(780365), // Rule ID 14750 //
     /*  780292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  780303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  780306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  780309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780338 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  780338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  780341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780363 */     GIR_RootConstrainSelectedInstOperands,
     /*  780364 */     // GIR_Coverage, 14750,
     /*  780364 */     GIR_EraseRootFromParent_Done,
     /*  780365 */   // Label 12109: @780365
     /*  780365 */   GIM_Try, /*On fail goto*//*Label 12110*/ GIMT_Encode4(780443), // Rule ID 14753 //
     /*  780370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  780381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  780384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  780387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780416 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  780419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780441 */     GIR_RootConstrainSelectedInstOperands,
     /*  780442 */     // GIR_Coverage, 14753,
     /*  780442 */     GIR_EraseRootFromParent_Done,
     /*  780443 */   // Label 12110: @780443
     /*  780443 */   GIM_Try, /*On fail goto*//*Label 12111*/ GIMT_Encode4(780521), // Rule ID 14754 //
     /*  780448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  780459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  780462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  780465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780494 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  780494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  780497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780519 */     GIR_RootConstrainSelectedInstOperands,
     /*  780520 */     // GIR_Coverage, 14754,
     /*  780520 */     GIR_EraseRootFromParent_Done,
     /*  780521 */   // Label 12111: @780521
     /*  780521 */   GIM_Try, /*On fail goto*//*Label 12112*/ GIMT_Encode4(780599), // Rule ID 14757 //
     /*  780526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  780537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  780540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  780543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780572 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  780575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780597 */     GIR_RootConstrainSelectedInstOperands,
     /*  780598 */     // GIR_Coverage, 14757,
     /*  780598 */     GIR_EraseRootFromParent_Done,
     /*  780599 */   // Label 12112: @780599
     /*  780599 */   GIM_Try, /*On fail goto*//*Label 12113*/ GIMT_Encode4(780677), // Rule ID 14758 //
     /*  780604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  780615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  780618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  780621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780650 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  780650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  780653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780675 */     GIR_RootConstrainSelectedInstOperands,
     /*  780676 */     // GIR_Coverage, 14758,
     /*  780676 */     GIR_EraseRootFromParent_Done,
     /*  780677 */   // Label 12113: @780677
     /*  780677 */   GIM_Try, /*On fail goto*//*Label 12114*/ GIMT_Encode4(780755), // Rule ID 14761 //
     /*  780682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  780693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  780696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  780699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780728 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  780728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  780731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780753 */     GIR_RootConstrainSelectedInstOperands,
     /*  780754 */     // GIR_Coverage, 14761,
     /*  780754 */     GIR_EraseRootFromParent_Done,
     /*  780755 */   // Label 12114: @780755
     /*  780755 */   GIM_Try, /*On fail goto*//*Label 12115*/ GIMT_Encode4(780833), // Rule ID 14762 //
     /*  780760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  780771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  780774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  780777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780806 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  780806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  780809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780831 */     GIR_RootConstrainSelectedInstOperands,
     /*  780832 */     // GIR_Coverage, 14762,
     /*  780832 */     GIR_EraseRootFromParent_Done,
     /*  780833 */   // Label 12115: @780833
     /*  780833 */   GIM_Try, /*On fail goto*//*Label 12116*/ GIMT_Encode4(780911), // Rule ID 14765 //
     /*  780838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  780849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  780852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  780855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780884 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  780884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  780887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780909 */     GIR_RootConstrainSelectedInstOperands,
     /*  780910 */     // GIR_Coverage, 14765,
     /*  780910 */     GIR_EraseRootFromParent_Done,
     /*  780911 */   // Label 12116: @780911
     /*  780911 */   GIM_Try, /*On fail goto*//*Label 12117*/ GIMT_Encode4(780989), // Rule ID 14766 //
     /*  780916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  780924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  780927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  780930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  780933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780962 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  780962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  780965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780987 */     GIR_RootConstrainSelectedInstOperands,
     /*  780988 */     // GIR_Coverage, 14766,
     /*  780988 */     GIR_EraseRootFromParent_Done,
     /*  780989 */   // Label 12117: @780989
     /*  780989 */   GIM_Try, /*On fail goto*//*Label 12118*/ GIMT_Encode4(781067), // Rule ID 14769 //
     /*  780994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  781005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  781008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  781011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781040 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  781040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  781043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781065 */     GIR_RootConstrainSelectedInstOperands,
     /*  781066 */     // GIR_Coverage, 14769,
     /*  781066 */     GIR_EraseRootFromParent_Done,
     /*  781067 */   // Label 12118: @781067
     /*  781067 */   GIM_Try, /*On fail goto*//*Label 12119*/ GIMT_Encode4(781145), // Rule ID 14770 //
     /*  781072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  781083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  781086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  781089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781118 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  781118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  781121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781143 */     GIR_RootConstrainSelectedInstOperands,
     /*  781144 */     // GIR_Coverage, 14770,
     /*  781144 */     GIR_EraseRootFromParent_Done,
     /*  781145 */   // Label 12119: @781145
     /*  781145 */   GIM_Try, /*On fail goto*//*Label 12120*/ GIMT_Encode4(781223), // Rule ID 14773 //
     /*  781150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  781153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  781161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  781164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  781167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781196 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  781196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781221 */     GIR_RootConstrainSelectedInstOperands,
     /*  781222 */     // GIR_Coverage, 14773,
     /*  781222 */     GIR_EraseRootFromParent_Done,
     /*  781223 */   // Label 12120: @781223
     /*  781223 */   GIM_Try, /*On fail goto*//*Label 12121*/ GIMT_Encode4(781301), // Rule ID 14774 //
     /*  781228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  781231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  781239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  781242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  781245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781274 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  781274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  781277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781296 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781299 */     GIR_RootConstrainSelectedInstOperands,
     /*  781300 */     // GIR_Coverage, 14774,
     /*  781300 */     GIR_EraseRootFromParent_Done,
     /*  781301 */   // Label 12121: @781301
     /*  781301 */   GIM_Try, /*On fail goto*//*Label 12122*/ GIMT_Encode4(781379), // Rule ID 14777 //
     /*  781306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  781309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  781317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  781320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  781323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781352 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  781352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  781355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781377 */     GIR_RootConstrainSelectedInstOperands,
     /*  781378 */     // GIR_Coverage, 14777,
     /*  781378 */     GIR_EraseRootFromParent_Done,
     /*  781379 */   // Label 12122: @781379
     /*  781379 */   GIM_Try, /*On fail goto*//*Label 12123*/ GIMT_Encode4(781457), // Rule ID 14778 //
     /*  781384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  781387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  781395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  781398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  781401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781430 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  781430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  781433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781455 */     GIR_RootConstrainSelectedInstOperands,
     /*  781456 */     // GIR_Coverage, 14778,
     /*  781456 */     GIR_EraseRootFromParent_Done,
     /*  781457 */   // Label 12123: @781457
     /*  781457 */   GIM_Try, /*On fail goto*//*Label 12124*/ GIMT_Encode4(781535), // Rule ID 14781 //
     /*  781462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  781465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  781473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  781476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  781479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781508 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  781508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  781511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781533 */     GIR_RootConstrainSelectedInstOperands,
     /*  781534 */     // GIR_Coverage, 14781,
     /*  781534 */     GIR_EraseRootFromParent_Done,
     /*  781535 */   // Label 12124: @781535
     /*  781535 */   GIM_Try, /*On fail goto*//*Label 12125*/ GIMT_Encode4(781613), // Rule ID 14782 //
     /*  781540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  781543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  781551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  781554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  781557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781586 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  781586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  781589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781608 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781611 */     GIR_RootConstrainSelectedInstOperands,
     /*  781612 */     // GIR_Coverage, 14782,
     /*  781612 */     GIR_EraseRootFromParent_Done,
     /*  781613 */   // Label 12125: @781613
     /*  781613 */   GIM_Try, /*On fail goto*//*Label 12126*/ GIMT_Encode4(781688), // Rule ID 19023 //
     /*  781618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  781621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  781626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  781629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  781632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  781635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  781638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781664 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  781667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781686 */     GIR_RootConstrainSelectedInstOperands,
     /*  781687 */     // GIR_Coverage, 19023,
     /*  781687 */     GIR_EraseRootFromParent_Done,
     /*  781688 */   // Label 12126: @781688
     /*  781688 */   GIM_Try, /*On fail goto*//*Label 12127*/ GIMT_Encode4(781763), // Rule ID 19024 //
     /*  781693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  781696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  781701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  781704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  781707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  781710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  781713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781739 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  781742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781761 */     GIR_RootConstrainSelectedInstOperands,
     /*  781762 */     // GIR_Coverage, 19024,
     /*  781762 */     GIR_EraseRootFromParent_Done,
     /*  781763 */   // Label 12127: @781763
     /*  781763 */   GIM_Try, /*On fail goto*//*Label 12128*/ GIMT_Encode4(781838), // Rule ID 19027 //
     /*  781768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  781771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  781776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  781779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  781782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  781785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  781788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781814 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  781817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781836 */     GIR_RootConstrainSelectedInstOperands,
     /*  781837 */     // GIR_Coverage, 19027,
     /*  781837 */     GIR_EraseRootFromParent_Done,
     /*  781838 */   // Label 12128: @781838
     /*  781838 */   GIM_Try, /*On fail goto*//*Label 12129*/ GIMT_Encode4(781913), // Rule ID 19028 //
     /*  781843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  781846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  781851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  781854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  781857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  781860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  781863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781889 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  781892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781911 */     GIR_RootConstrainSelectedInstOperands,
     /*  781912 */     // GIR_Coverage, 19028,
     /*  781912 */     GIR_EraseRootFromParent_Done,
     /*  781913 */   // Label 12129: @781913
     /*  781913 */   GIM_Try, /*On fail goto*//*Label 12130*/ GIMT_Encode4(781988), // Rule ID 19031 //
     /*  781918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  781921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  781926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  781929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  781932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  781935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  781938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781964 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  781964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  781967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781986 */     GIR_RootConstrainSelectedInstOperands,
     /*  781987 */     // GIR_Coverage, 19031,
     /*  781987 */     GIR_EraseRootFromParent_Done,
     /*  781988 */   // Label 12130: @781988
     /*  781988 */   GIM_Try, /*On fail goto*//*Label 12131*/ GIMT_Encode4(782063), // Rule ID 19032 //
     /*  781993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  781996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  782001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  782004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  782007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  782010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  782013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782039 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  782039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  782042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782061 */     GIR_RootConstrainSelectedInstOperands,
     /*  782062 */     // GIR_Coverage, 19032,
     /*  782062 */     GIR_EraseRootFromParent_Done,
     /*  782063 */   // Label 12131: @782063
     /*  782063 */   GIM_Try, /*On fail goto*//*Label 12132*/ GIMT_Encode4(782138), // Rule ID 19035 //
     /*  782068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  782071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  782076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  782079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  782082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  782085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  782088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782114 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  782117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782136 */     GIR_RootConstrainSelectedInstOperands,
     /*  782137 */     // GIR_Coverage, 19035,
     /*  782137 */     GIR_EraseRootFromParent_Done,
     /*  782138 */   // Label 12132: @782138
     /*  782138 */   GIM_Try, /*On fail goto*//*Label 12133*/ GIMT_Encode4(782213), // Rule ID 19036 //
     /*  782143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  782146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  782151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  782154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  782157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  782160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  782163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782189 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  782192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782211 */     GIR_RootConstrainSelectedInstOperands,
     /*  782212 */     // GIR_Coverage, 19036,
     /*  782212 */     GIR_EraseRootFromParent_Done,
     /*  782213 */   // Label 12133: @782213
     /*  782213 */   GIM_Try, /*On fail goto*//*Label 12134*/ GIMT_Encode4(782288), // Rule ID 19039 //
     /*  782218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  782221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  782226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  782229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  782232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  782235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  782238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782264 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  782264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  782267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782286 */     GIR_RootConstrainSelectedInstOperands,
     /*  782287 */     // GIR_Coverage, 19039,
     /*  782287 */     GIR_EraseRootFromParent_Done,
     /*  782288 */   // Label 12134: @782288
     /*  782288 */   GIM_Try, /*On fail goto*//*Label 12135*/ GIMT_Encode4(782363), // Rule ID 19040 //
     /*  782293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  782296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  782301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  782304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  782307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  782310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  782313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782339 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  782339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  782342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782361 */     GIR_RootConstrainSelectedInstOperands,
     /*  782362 */     // GIR_Coverage, 19040,
     /*  782362 */     GIR_EraseRootFromParent_Done,
     /*  782363 */   // Label 12135: @782363
     /*  782363 */   GIM_Try, /*On fail goto*//*Label 12136*/ GIMT_Encode4(782438), // Rule ID 19043 //
     /*  782368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  782371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  782376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  782379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  782382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  782385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  782388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782414 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  782414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  782417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782436 */     GIR_RootConstrainSelectedInstOperands,
     /*  782437 */     // GIR_Coverage, 19043,
     /*  782437 */     GIR_EraseRootFromParent_Done,
     /*  782438 */   // Label 12136: @782438
     /*  782438 */   GIM_Try, /*On fail goto*//*Label 12137*/ GIMT_Encode4(782513), // Rule ID 19044 //
     /*  782443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  782446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  782451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  782454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  782457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  782460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  782463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782489 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  782489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  782492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782511 */     GIR_RootConstrainSelectedInstOperands,
     /*  782512 */     // GIR_Coverage, 19044,
     /*  782512 */     GIR_EraseRootFromParent_Done,
     /*  782513 */   // Label 12137: @782513
     /*  782513 */   GIM_Try, /*On fail goto*//*Label 12138*/ GIMT_Encode4(782588), // Rule ID 19047 //
     /*  782518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  782521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  782526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  782529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  782532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  782535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  782538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782564 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  782567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782586 */     GIR_RootConstrainSelectedInstOperands,
     /*  782587 */     // GIR_Coverage, 19047,
     /*  782587 */     GIR_EraseRootFromParent_Done,
     /*  782588 */   // Label 12138: @782588
     /*  782588 */   GIM_Try, /*On fail goto*//*Label 12139*/ GIMT_Encode4(782663), // Rule ID 19048 //
     /*  782593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  782596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  782601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  782604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  782607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  782610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  782613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782639 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  782642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782661 */     GIR_RootConstrainSelectedInstOperands,
     /*  782662 */     // GIR_Coverage, 19048,
     /*  782662 */     GIR_EraseRootFromParent_Done,
     /*  782663 */   // Label 12139: @782663
     /*  782663 */   GIM_Try, /*On fail goto*//*Label 12140*/ GIMT_Encode4(782738), // Rule ID 19051 //
     /*  782668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  782671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  782676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  782679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  782682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  782685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  782688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782714 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  782717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782736 */     GIR_RootConstrainSelectedInstOperands,
     /*  782737 */     // GIR_Coverage, 19051,
     /*  782737 */     GIR_EraseRootFromParent_Done,
     /*  782738 */   // Label 12140: @782738
     /*  782738 */   GIM_Try, /*On fail goto*//*Label 12141*/ GIMT_Encode4(782813), // Rule ID 19052 //
     /*  782743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  782746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  782751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  782754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  782757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  782760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  782763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782789 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  782792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782811 */     GIR_RootConstrainSelectedInstOperands,
     /*  782812 */     // GIR_Coverage, 19052,
     /*  782812 */     GIR_EraseRootFromParent_Done,
     /*  782813 */   // Label 12141: @782813
     /*  782813 */   GIM_Try, /*On fail goto*//*Label 12142*/ GIMT_Encode4(782888), // Rule ID 19055 //
     /*  782818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  782821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  782826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  782829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  782832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  782835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  782838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782864 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  782867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782886 */     GIR_RootConstrainSelectedInstOperands,
     /*  782887 */     // GIR_Coverage, 19055,
     /*  782887 */     GIR_EraseRootFromParent_Done,
     /*  782888 */   // Label 12142: @782888
     /*  782888 */   GIM_Try, /*On fail goto*//*Label 12143*/ GIMT_Encode4(782963), // Rule ID 19056 //
     /*  782893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  782896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  782901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  782904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  782907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  782910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  782913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782939 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  782942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782961 */     GIR_RootConstrainSelectedInstOperands,
     /*  782962 */     // GIR_Coverage, 19056,
     /*  782962 */     GIR_EraseRootFromParent_Done,
     /*  782963 */   // Label 12143: @782963
     /*  782963 */   GIM_Try, /*On fail goto*//*Label 12144*/ GIMT_Encode4(783038), // Rule ID 19059 //
     /*  782968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  782971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  782976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  782979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  782982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  782985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  782988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783014 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  783017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783036 */     GIR_RootConstrainSelectedInstOperands,
     /*  783037 */     // GIR_Coverage, 19059,
     /*  783037 */     GIR_EraseRootFromParent_Done,
     /*  783038 */   // Label 12144: @783038
     /*  783038 */   GIM_Try, /*On fail goto*//*Label 12145*/ GIMT_Encode4(783113), // Rule ID 19060 //
     /*  783043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  783046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  783054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  783057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  783060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  783063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783089 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  783092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783111 */     GIR_RootConstrainSelectedInstOperands,
     /*  783112 */     // GIR_Coverage, 19060,
     /*  783112 */     GIR_EraseRootFromParent_Done,
     /*  783113 */   // Label 12145: @783113
     /*  783113 */   GIM_Try, /*On fail goto*//*Label 12146*/ GIMT_Encode4(783188), // Rule ID 19063 //
     /*  783118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  783121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  783129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  783132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  783135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  783138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783164 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  783167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783186 */     GIR_RootConstrainSelectedInstOperands,
     /*  783187 */     // GIR_Coverage, 19063,
     /*  783187 */     GIR_EraseRootFromParent_Done,
     /*  783188 */   // Label 12146: @783188
     /*  783188 */   GIM_Try, /*On fail goto*//*Label 12147*/ GIMT_Encode4(783263), // Rule ID 19064 //
     /*  783193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  783196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  783204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  783207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  783210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  783213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783239 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  783242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783261 */     GIR_RootConstrainSelectedInstOperands,
     /*  783262 */     // GIR_Coverage, 19064,
     /*  783262 */     GIR_EraseRootFromParent_Done,
     /*  783263 */   // Label 12147: @783263
     /*  783263 */   GIM_Try, /*On fail goto*//*Label 12148*/ GIMT_Encode4(783338), // Rule ID 19067 //
     /*  783268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  783271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  783279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  783282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  783285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  783288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783314 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  783317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783336 */     GIR_RootConstrainSelectedInstOperands,
     /*  783337 */     // GIR_Coverage, 19067,
     /*  783337 */     GIR_EraseRootFromParent_Done,
     /*  783338 */   // Label 12148: @783338
     /*  783338 */   GIM_Try, /*On fail goto*//*Label 12149*/ GIMT_Encode4(783413), // Rule ID 19068 //
     /*  783343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  783346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  783354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  783357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  783360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  783363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783389 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  783392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783411 */     GIR_RootConstrainSelectedInstOperands,
     /*  783412 */     // GIR_Coverage, 19068,
     /*  783412 */     GIR_EraseRootFromParent_Done,
     /*  783413 */   // Label 12149: @783413
     /*  783413 */   GIM_Try, /*On fail goto*//*Label 12150*/ GIMT_Encode4(783488), // Rule ID 19071 //
     /*  783418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  783421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  783429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  783432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  783435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  783438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783464 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  783464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  783467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783486 */     GIR_RootConstrainSelectedInstOperands,
     /*  783487 */     // GIR_Coverage, 19071,
     /*  783487 */     GIR_EraseRootFromParent_Done,
     /*  783488 */   // Label 12150: @783488
     /*  783488 */   GIM_Try, /*On fail goto*//*Label 12151*/ GIMT_Encode4(783563), // Rule ID 19072 //
     /*  783493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  783496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  783504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  783507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  783510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  783513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783539 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  783542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783561 */     GIR_RootConstrainSelectedInstOperands,
     /*  783562 */     // GIR_Coverage, 19072,
     /*  783562 */     GIR_EraseRootFromParent_Done,
     /*  783563 */   // Label 12151: @783563
     /*  783563 */   GIM_Try, /*On fail goto*//*Label 12152*/ GIMT_Encode4(783638), // Rule ID 19075 //
     /*  783568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  783571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  783579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  783582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  783585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  783588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783614 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  783614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  783617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783636 */     GIR_RootConstrainSelectedInstOperands,
     /*  783637 */     // GIR_Coverage, 19075,
     /*  783637 */     GIR_EraseRootFromParent_Done,
     /*  783638 */   // Label 12152: @783638
     /*  783638 */   GIM_Try, /*On fail goto*//*Label 12153*/ GIMT_Encode4(783713), // Rule ID 19076 //
     /*  783643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  783646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  783654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  783657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  783660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  783663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783689 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  783692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783711 */     GIR_RootConstrainSelectedInstOperands,
     /*  783712 */     // GIR_Coverage, 19076,
     /*  783712 */     GIR_EraseRootFromParent_Done,
     /*  783713 */   // Label 12153: @783713
     /*  783713 */   GIM_Try, /*On fail goto*//*Label 12154*/ GIMT_Encode4(783788), // Rule ID 19079 //
     /*  783718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  783721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  783729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  783732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  783735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  783738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783764 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  783764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  783767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783786 */     GIR_RootConstrainSelectedInstOperands,
     /*  783787 */     // GIR_Coverage, 19079,
     /*  783787 */     GIR_EraseRootFromParent_Done,
     /*  783788 */   // Label 12154: @783788
     /*  783788 */   GIM_Try, /*On fail goto*//*Label 12155*/ GIMT_Encode4(783863), // Rule ID 19080 //
     /*  783793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  783796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  783804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  783807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  783810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  783813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783839 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  783842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783861 */     GIR_RootConstrainSelectedInstOperands,
     /*  783862 */     // GIR_Coverage, 19080,
     /*  783862 */     GIR_EraseRootFromParent_Done,
     /*  783863 */   // Label 12155: @783863
     /*  783863 */   GIM_Try, /*On fail goto*//*Label 12156*/ GIMT_Encode4(783938), // Rule ID 19083 //
     /*  783868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  783871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  783879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  783882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  783885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  783888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  783907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783914 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  783917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783936 */     GIR_RootConstrainSelectedInstOperands,
     /*  783937 */     // GIR_Coverage, 19083,
     /*  783937 */     GIR_EraseRootFromParent_Done,
     /*  783938 */   // Label 12156: @783938
     /*  783938 */   GIM_Try, /*On fail goto*//*Label 12157*/ GIMT_Encode4(784013), // Rule ID 19084 //
     /*  783943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  783946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  783951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  783954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  783957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  783960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  783963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  783982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783989 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  783992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784011 */     GIR_RootConstrainSelectedInstOperands,
     /*  784012 */     // GIR_Coverage, 19084,
     /*  784012 */     GIR_EraseRootFromParent_Done,
     /*  784013 */   // Label 12157: @784013
     /*  784013 */   GIM_Try, /*On fail goto*//*Label 12158*/ GIMT_Encode4(784088), // Rule ID 19087 //
     /*  784018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  784029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  784032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  784035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  784038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  784057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784064 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  784067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784086 */     GIR_RootConstrainSelectedInstOperands,
     /*  784087 */     // GIR_Coverage, 19087,
     /*  784087 */     GIR_EraseRootFromParent_Done,
     /*  784088 */   // Label 12158: @784088
     /*  784088 */   GIM_Try, /*On fail goto*//*Label 12159*/ GIMT_Encode4(784163), // Rule ID 19088 //
     /*  784093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  784096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  784104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  784107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  784110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  784113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  784132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784139 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  784142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784161 */     GIR_RootConstrainSelectedInstOperands,
     /*  784162 */     // GIR_Coverage, 19088,
     /*  784162 */     GIR_EraseRootFromParent_Done,
     /*  784163 */   // Label 12159: @784163
     /*  784163 */   GIM_Try, /*On fail goto*//*Label 12160*/ GIMT_Encode4(784238), // Rule ID 19091 //
     /*  784168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  784171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  784179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  784182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  784185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  784207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784214 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  784217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784236 */     GIR_RootConstrainSelectedInstOperands,
     /*  784237 */     // GIR_Coverage, 19091,
     /*  784237 */     GIR_EraseRootFromParent_Done,
     /*  784238 */   // Label 12160: @784238
     /*  784238 */   GIM_Try, /*On fail goto*//*Label 12161*/ GIMT_Encode4(784313), // Rule ID 19092 //
     /*  784243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  784246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  784254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  784257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  784260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  784282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784289 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  784292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784311 */     GIR_RootConstrainSelectedInstOperands,
     /*  784312 */     // GIR_Coverage, 19092,
     /*  784312 */     GIR_EraseRootFromParent_Done,
     /*  784313 */   // Label 12161: @784313
     /*  784313 */   GIM_Try, /*On fail goto*//*Label 12162*/ GIMT_Encode4(784388), // Rule ID 19095 //
     /*  784318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  784329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  784332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  784335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  784338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  784357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784364 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  784367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784386 */     GIR_RootConstrainSelectedInstOperands,
     /*  784387 */     // GIR_Coverage, 19095,
     /*  784387 */     GIR_EraseRootFromParent_Done,
     /*  784388 */   // Label 12162: @784388
     /*  784388 */   GIM_Try, /*On fail goto*//*Label 12163*/ GIMT_Encode4(784463), // Rule ID 19096 //
     /*  784393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  784396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  784404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  784407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  784410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  784413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  784432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784439 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  784442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784461 */     GIR_RootConstrainSelectedInstOperands,
     /*  784462 */     // GIR_Coverage, 19096,
     /*  784462 */     GIR_EraseRootFromParent_Done,
     /*  784463 */   // Label 12163: @784463
     /*  784463 */   GIM_Try, /*On fail goto*//*Label 12164*/ GIMT_Encode4(784538), // Rule ID 19099 //
     /*  784468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  784471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  784479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  784482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  784485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  784507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784514 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  784517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784536 */     GIR_RootConstrainSelectedInstOperands,
     /*  784537 */     // GIR_Coverage, 19099,
     /*  784537 */     GIR_EraseRootFromParent_Done,
     /*  784538 */   // Label 12164: @784538
     /*  784538 */   GIM_Try, /*On fail goto*//*Label 12165*/ GIMT_Encode4(784613), // Rule ID 19100 //
     /*  784543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  784546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  784554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  784557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  784560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  784582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784589 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  784592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784611 */     GIR_RootConstrainSelectedInstOperands,
     /*  784612 */     // GIR_Coverage, 19100,
     /*  784612 */     GIR_EraseRootFromParent_Done,
     /*  784613 */   // Label 12165: @784613
     /*  784613 */   GIM_Try, /*On fail goto*//*Label 12166*/ GIMT_Encode4(784688), // Rule ID 19103 //
     /*  784618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  784621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  784629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  784632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  784635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  784638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  784657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784664 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  784664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  784667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784686 */     GIR_RootConstrainSelectedInstOperands,
     /*  784687 */     // GIR_Coverage, 19103,
     /*  784687 */     GIR_EraseRootFromParent_Done,
     /*  784688 */   // Label 12166: @784688
     /*  784688 */   GIM_Try, /*On fail goto*//*Label 12167*/ GIMT_Encode4(784763), // Rule ID 19104 //
     /*  784693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  784696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  784704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  784707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  784710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  784713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  784732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784739 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  784739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  784742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784761 */     GIR_RootConstrainSelectedInstOperands,
     /*  784762 */     // GIR_Coverage, 19104,
     /*  784762 */     GIR_EraseRootFromParent_Done,
     /*  784763 */   // Label 12167: @784763
     /*  784763 */   GIM_Try, /*On fail goto*//*Label 12168*/ GIMT_Encode4(784838), // Rule ID 19107 //
     /*  784768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  784779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  784782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  784785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  784788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  784807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784814 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  784817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784836 */     GIR_RootConstrainSelectedInstOperands,
     /*  784837 */     // GIR_Coverage, 19107,
     /*  784837 */     GIR_EraseRootFromParent_Done,
     /*  784838 */   // Label 12168: @784838
     /*  784838 */   GIM_Try, /*On fail goto*//*Label 12169*/ GIMT_Encode4(784913), // Rule ID 19108 //
     /*  784843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  784846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  784854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  784857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  784860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  784863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  784882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784889 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  784892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784911 */     GIR_RootConstrainSelectedInstOperands,
     /*  784912 */     // GIR_Coverage, 19108,
     /*  784912 */     GIR_EraseRootFromParent_Done,
     /*  784913 */   // Label 12169: @784913
     /*  784913 */   GIM_Try, /*On fail goto*//*Label 12170*/ GIMT_Encode4(784988), // Rule ID 19111 //
     /*  784918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  784926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  784929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  784932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  784935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  784938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  784957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784964 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  784967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784986 */     GIR_RootConstrainSelectedInstOperands,
     /*  784987 */     // GIR_Coverage, 19111,
     /*  784987 */     GIR_EraseRootFromParent_Done,
     /*  784988 */   // Label 12170: @784988
     /*  784988 */   GIM_Try, /*On fail goto*//*Label 12171*/ GIMT_Encode4(785063), // Rule ID 19112 //
     /*  784993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  784996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  785004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  785007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  785010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785039 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  785042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785061 */     GIR_RootConstrainSelectedInstOperands,
     /*  785062 */     // GIR_Coverage, 19112,
     /*  785062 */     GIR_EraseRootFromParent_Done,
     /*  785063 */   // Label 12171: @785063
     /*  785063 */   GIM_Try, /*On fail goto*//*Label 12172*/ GIMT_Encode4(785138), // Rule ID 19115 //
     /*  785068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  785071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  785079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  785082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  785085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785114 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  785117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785136 */     GIR_RootConstrainSelectedInstOperands,
     /*  785137 */     // GIR_Coverage, 19115,
     /*  785137 */     GIR_EraseRootFromParent_Done,
     /*  785138 */   // Label 12172: @785138
     /*  785138 */   GIM_Try, /*On fail goto*//*Label 12173*/ GIMT_Encode4(785213), // Rule ID 19116 //
     /*  785143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  785146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  785154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  785157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  785160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  785163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  785182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785189 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  785192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785211 */     GIR_RootConstrainSelectedInstOperands,
     /*  785212 */     // GIR_Coverage, 19116,
     /*  785212 */     GIR_EraseRootFromParent_Done,
     /*  785213 */   // Label 12173: @785213
     /*  785213 */   GIM_Try, /*On fail goto*//*Label 12174*/ GIMT_Encode4(785288), // Rule ID 19119 //
     /*  785218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  785221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  785229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  785232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  785235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785264 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  785267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785286 */     GIR_RootConstrainSelectedInstOperands,
     /*  785287 */     // GIR_Coverage, 19119,
     /*  785287 */     GIR_EraseRootFromParent_Done,
     /*  785288 */   // Label 12174: @785288
     /*  785288 */   GIM_Try, /*On fail goto*//*Label 12175*/ GIMT_Encode4(785363), // Rule ID 19120 //
     /*  785293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  785296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  785304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  785307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  785310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785339 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  785342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785361 */     GIR_RootConstrainSelectedInstOperands,
     /*  785362 */     // GIR_Coverage, 19120,
     /*  785362 */     GIR_EraseRootFromParent_Done,
     /*  785363 */   // Label 12175: @785363
     /*  785363 */   GIM_Try, /*On fail goto*//*Label 12176*/ GIMT_Encode4(785438), // Rule ID 19123 //
     /*  785368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  785371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  785379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  785382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  785385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785414 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  785417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785436 */     GIR_RootConstrainSelectedInstOperands,
     /*  785437 */     // GIR_Coverage, 19123,
     /*  785437 */     GIR_EraseRootFromParent_Done,
     /*  785438 */   // Label 12176: @785438
     /*  785438 */   GIM_Try, /*On fail goto*//*Label 12177*/ GIMT_Encode4(785513), // Rule ID 19124 //
     /*  785443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  785446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  785454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  785457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  785460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785489 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  785492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785511 */     GIR_RootConstrainSelectedInstOperands,
     /*  785512 */     // GIR_Coverage, 19124,
     /*  785512 */     GIR_EraseRootFromParent_Done,
     /*  785513 */   // Label 12177: @785513
     /*  785513 */   GIM_Try, /*On fail goto*//*Label 12178*/ GIMT_Encode4(785588), // Rule ID 19127 //
     /*  785518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  785521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  785529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  785532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  785535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785564 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  785567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785586 */     GIR_RootConstrainSelectedInstOperands,
     /*  785587 */     // GIR_Coverage, 19127,
     /*  785587 */     GIR_EraseRootFromParent_Done,
     /*  785588 */   // Label 12178: @785588
     /*  785588 */   GIM_Try, /*On fail goto*//*Label 12179*/ GIMT_Encode4(785663), // Rule ID 19128 //
     /*  785593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  785596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  785604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  785607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  785610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785639 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  785642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785661 */     GIR_RootConstrainSelectedInstOperands,
     /*  785662 */     // GIR_Coverage, 19128,
     /*  785662 */     GIR_EraseRootFromParent_Done,
     /*  785663 */   // Label 12179: @785663
     /*  785663 */   GIM_Try, /*On fail goto*//*Label 12180*/ GIMT_Encode4(785738), // Rule ID 19131 //
     /*  785668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  785671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  785679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  785682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  785685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  785707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785714 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  785714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  785717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785736 */     GIR_RootConstrainSelectedInstOperands,
     /*  785737 */     // GIR_Coverage, 19131,
     /*  785737 */     GIR_EraseRootFromParent_Done,
     /*  785738 */   // Label 12180: @785738
     /*  785738 */   GIM_Try, /*On fail goto*//*Label 12181*/ GIMT_Encode4(785813), // Rule ID 19132 //
     /*  785743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  785746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  785754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  785757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  785760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  785782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785789 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  785789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  785792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785811 */     GIR_RootConstrainSelectedInstOperands,
     /*  785812 */     // GIR_Coverage, 19132,
     /*  785812 */     GIR_EraseRootFromParent_Done,
     /*  785813 */   // Label 12181: @785813
     /*  785813 */   GIM_Try, /*On fail goto*//*Label 12182*/ GIMT_Encode4(785888), // Rule ID 19135 //
     /*  785818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  785821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  785829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  785832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  785835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  785857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785864 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  785864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  785867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785886 */     GIR_RootConstrainSelectedInstOperands,
     /*  785887 */     // GIR_Coverage, 19135,
     /*  785887 */     GIR_EraseRootFromParent_Done,
     /*  785888 */   // Label 12182: @785888
     /*  785888 */   GIM_Try, /*On fail goto*//*Label 12183*/ GIMT_Encode4(785963), // Rule ID 19136 //
     /*  785893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  785896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  785904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  785907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  785910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  785932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785939 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  785939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  785942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785961 */     GIR_RootConstrainSelectedInstOperands,
     /*  785962 */     // GIR_Coverage, 19136,
     /*  785962 */     GIR_EraseRootFromParent_Done,
     /*  785963 */   // Label 12183: @785963
     /*  785963 */   GIM_Try, /*On fail goto*//*Label 12184*/ GIMT_Encode4(786038), // Rule ID 19139 //
     /*  785968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  785971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  785976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  785979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  785982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  785985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  786007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786014 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  786014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  786017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  786033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786036 */     GIR_RootConstrainSelectedInstOperands,
     /*  786037 */     // GIR_Coverage, 19139,
     /*  786037 */     GIR_EraseRootFromParent_Done,
     /*  786038 */   // Label 12184: @786038
     /*  786038 */   GIM_Try, /*On fail goto*//*Label 12185*/ GIMT_Encode4(786113), // Rule ID 19140 //
     /*  786043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  786046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  786051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  786054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  786057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  786060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  786082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786089 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11111:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  786089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  786092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  786108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786111 */     GIR_RootConstrainSelectedInstOperands,
     /*  786112 */     // GIR_Coverage, 19140,
     /*  786112 */     GIR_EraseRootFromParent_Done,
     /*  786113 */   // Label 12185: @786113
     /*  786113 */   GIM_Try, /*On fail goto*//*Label 12186*/ GIMT_Encode4(786188), // Rule ID 19143 //
     /*  786118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  786126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  786129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  786132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  786135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  786138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786164 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  786167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786186 */     GIR_RootConstrainSelectedInstOperands,
     /*  786187 */     // GIR_Coverage, 19143,
     /*  786187 */     GIR_EraseRootFromParent_Done,
     /*  786188 */   // Label 12186: @786188
     /*  786188 */   GIM_Try, /*On fail goto*//*Label 12187*/ GIMT_Encode4(786263), // Rule ID 19144 //
     /*  786193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  786201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  786204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  786207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  786210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  786213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786239 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  786242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786261 */     GIR_RootConstrainSelectedInstOperands,
     /*  786262 */     // GIR_Coverage, 19144,
     /*  786262 */     GIR_EraseRootFromParent_Done,
     /*  786263 */   // Label 12187: @786263
     /*  786263 */   GIM_Try, /*On fail goto*//*Label 12188*/ GIMT_Encode4(786338), // Rule ID 19147 //
     /*  786268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  786276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  786279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  786282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  786285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  786288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786314 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  786317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786336 */     GIR_RootConstrainSelectedInstOperands,
     /*  786337 */     // GIR_Coverage, 19147,
     /*  786337 */     GIR_EraseRootFromParent_Done,
     /*  786338 */   // Label 12188: @786338
     /*  786338 */   GIM_Try, /*On fail goto*//*Label 12189*/ GIMT_Encode4(786413), // Rule ID 19148 //
     /*  786343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  786351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  786354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  786357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  786360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  786363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786389 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  786392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786411 */     GIR_RootConstrainSelectedInstOperands,
     /*  786412 */     // GIR_Coverage, 19148,
     /*  786412 */     GIR_EraseRootFromParent_Done,
     /*  786413 */   // Label 12189: @786413
     /*  786413 */   GIM_Try, /*On fail goto*//*Label 12190*/ GIMT_Encode4(786488), // Rule ID 19151 //
     /*  786418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  786421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  786426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  786429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  786432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  786435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  786438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786464 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  786467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786486 */     GIR_RootConstrainSelectedInstOperands,
     /*  786487 */     // GIR_Coverage, 19151,
     /*  786487 */     GIR_EraseRootFromParent_Done,
     /*  786488 */   // Label 12190: @786488
     /*  786488 */   GIM_Try, /*On fail goto*//*Label 12191*/ GIMT_Encode4(786563), // Rule ID 19152 //
     /*  786493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  786496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  786501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  786504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  786507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  786510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  786513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786539 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  786542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786561 */     GIR_RootConstrainSelectedInstOperands,
     /*  786562 */     // GIR_Coverage, 19152,
     /*  786562 */     GIR_EraseRootFromParent_Done,
     /*  786563 */   // Label 12191: @786563
     /*  786563 */   GIM_Try, /*On fail goto*//*Label 12192*/ GIMT_Encode4(786638), // Rule ID 19155 //
     /*  786568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  786576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  786579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  786582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  786585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  786588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786614 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  786617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786636 */     GIR_RootConstrainSelectedInstOperands,
     /*  786637 */     // GIR_Coverage, 19155,
     /*  786637 */     GIR_EraseRootFromParent_Done,
     /*  786638 */   // Label 12192: @786638
     /*  786638 */   GIM_Try, /*On fail goto*//*Label 12193*/ GIMT_Encode4(786713), // Rule ID 19156 //
     /*  786643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  786651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  786654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  786657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  786660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  786663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786689 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  786692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786711 */     GIR_RootConstrainSelectedInstOperands,
     /*  786712 */     // GIR_Coverage, 19156,
     /*  786712 */     GIR_EraseRootFromParent_Done,
     /*  786713 */   // Label 12193: @786713
     /*  786713 */   GIM_Try, /*On fail goto*//*Label 12194*/ GIMT_Encode4(786788), // Rule ID 19159 //
     /*  786718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  786721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  786726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  786729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  786732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  786735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  786738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786764 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  786767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786786 */     GIR_RootConstrainSelectedInstOperands,
     /*  786787 */     // GIR_Coverage, 19159,
     /*  786787 */     GIR_EraseRootFromParent_Done,
     /*  786788 */   // Label 12194: @786788
     /*  786788 */   GIM_Try, /*On fail goto*//*Label 12195*/ GIMT_Encode4(786863), // Rule ID 19160 //
     /*  786793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  786796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  786801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  786804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  786807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  786810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  786813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786839 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  786842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786861 */     GIR_RootConstrainSelectedInstOperands,
     /*  786862 */     // GIR_Coverage, 19160,
     /*  786862 */     GIR_EraseRootFromParent_Done,
     /*  786863 */   // Label 12195: @786863
     /*  786863 */   GIM_Try, /*On fail goto*//*Label 12196*/ GIMT_Encode4(786938), // Rule ID 19163 //
     /*  786868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  786871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  786876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  786879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  786882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  786885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  786888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786914 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  786914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  786917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  786933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786936 */     GIR_RootConstrainSelectedInstOperands,
     /*  786937 */     // GIR_Coverage, 19163,
     /*  786937 */     GIR_EraseRootFromParent_Done,
     /*  786938 */   // Label 12196: @786938
     /*  786938 */   GIM_Try, /*On fail goto*//*Label 12197*/ GIMT_Encode4(787013), // Rule ID 19164 //
     /*  786943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  786946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  786951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  786954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  786957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  786960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  786963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786989 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  786989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  786992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787011 */     GIR_RootConstrainSelectedInstOperands,
     /*  787012 */     // GIR_Coverage, 19164,
     /*  787012 */     GIR_EraseRootFromParent_Done,
     /*  787013 */   // Label 12197: @787013
     /*  787013 */   GIM_Try, /*On fail goto*//*Label 12198*/ GIMT_Encode4(787088), // Rule ID 19167 //
     /*  787018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  787029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  787032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  787035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  787038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787064 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  787067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787086 */     GIR_RootConstrainSelectedInstOperands,
     /*  787087 */     // GIR_Coverage, 19167,
     /*  787087 */     GIR_EraseRootFromParent_Done,
     /*  787088 */   // Label 12198: @787088
     /*  787088 */   GIM_Try, /*On fail goto*//*Label 12199*/ GIMT_Encode4(787163), // Rule ID 19168 //
     /*  787093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  787104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  787107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  787110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  787113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787139 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  787142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787161 */     GIR_RootConstrainSelectedInstOperands,
     /*  787162 */     // GIR_Coverage, 19168,
     /*  787162 */     GIR_EraseRootFromParent_Done,
     /*  787163 */   // Label 12199: @787163
     /*  787163 */   GIM_Try, /*On fail goto*//*Label 12200*/ GIMT_Encode4(787238), // Rule ID 19171 //
     /*  787168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  787179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  787182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  787185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  787188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787214 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  787217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787236 */     GIR_RootConstrainSelectedInstOperands,
     /*  787237 */     // GIR_Coverage, 19171,
     /*  787237 */     GIR_EraseRootFromParent_Done,
     /*  787238 */   // Label 12200: @787238
     /*  787238 */   GIM_Try, /*On fail goto*//*Label 12201*/ GIMT_Encode4(787313), // Rule ID 19172 //
     /*  787243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  787254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  787257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  787260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  787263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787289 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  787292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787311 */     GIR_RootConstrainSelectedInstOperands,
     /*  787312 */     // GIR_Coverage, 19172,
     /*  787312 */     GIR_EraseRootFromParent_Done,
     /*  787313 */   // Label 12201: @787313
     /*  787313 */   GIM_Try, /*On fail goto*//*Label 12202*/ GIMT_Encode4(787388), // Rule ID 19175 //
     /*  787318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  787329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  787332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  787335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  787338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787364 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  787367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787386 */     GIR_RootConstrainSelectedInstOperands,
     /*  787387 */     // GIR_Coverage, 19175,
     /*  787387 */     GIR_EraseRootFromParent_Done,
     /*  787388 */   // Label 12202: @787388
     /*  787388 */   GIM_Try, /*On fail goto*//*Label 12203*/ GIMT_Encode4(787463), // Rule ID 19176 //
     /*  787393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  787404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  787407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  787410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  787413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787439 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  787442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787461 */     GIR_RootConstrainSelectedInstOperands,
     /*  787462 */     // GIR_Coverage, 19176,
     /*  787462 */     GIR_EraseRootFromParent_Done,
     /*  787463 */   // Label 12203: @787463
     /*  787463 */   GIM_Try, /*On fail goto*//*Label 12204*/ GIMT_Encode4(787538), // Rule ID 19179 //
     /*  787468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  787471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  787479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  787482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  787485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  787488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787514 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  787517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787536 */     GIR_RootConstrainSelectedInstOperands,
     /*  787537 */     // GIR_Coverage, 19179,
     /*  787537 */     GIR_EraseRootFromParent_Done,
     /*  787538 */   // Label 12204: @787538
     /*  787538 */   GIM_Try, /*On fail goto*//*Label 12205*/ GIMT_Encode4(787613), // Rule ID 19180 //
     /*  787543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  787554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  787557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  787560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  787563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787589 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  787592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787611 */     GIR_RootConstrainSelectedInstOperands,
     /*  787612 */     // GIR_Coverage, 19180,
     /*  787612 */     GIR_EraseRootFromParent_Done,
     /*  787613 */   // Label 12205: @787613
     /*  787613 */   GIM_Try, /*On fail goto*//*Label 12206*/ GIMT_Encode4(787688), // Rule ID 19183 //
     /*  787618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  787621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  787629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  787632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  787635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  787638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787664 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  787667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787686 */     GIR_RootConstrainSelectedInstOperands,
     /*  787687 */     // GIR_Coverage, 19183,
     /*  787687 */     GIR_EraseRootFromParent_Done,
     /*  787688 */   // Label 12206: @787688
     /*  787688 */   GIM_Try, /*On fail goto*//*Label 12207*/ GIMT_Encode4(787763), // Rule ID 19184 //
     /*  787693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  787704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  787707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  787710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  787713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787739 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  787742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787761 */     GIR_RootConstrainSelectedInstOperands,
     /*  787762 */     // GIR_Coverage, 19184,
     /*  787762 */     GIR_EraseRootFromParent_Done,
     /*  787763 */   // Label 12207: @787763
     /*  787763 */   GIM_Try, /*On fail goto*//*Label 12208*/ GIMT_Encode4(787838), // Rule ID 19187 //
     /*  787768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  787771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  787779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  787782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  787785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  787788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787814 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  787817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787836 */     GIR_RootConstrainSelectedInstOperands,
     /*  787837 */     // GIR_Coverage, 19187,
     /*  787837 */     GIR_EraseRootFromParent_Done,
     /*  787838 */   // Label 12208: @787838
     /*  787838 */   GIM_Try, /*On fail goto*//*Label 12209*/ GIMT_Encode4(787913), // Rule ID 19188 //
     /*  787843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  787854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  787857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  787860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  787863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787889 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  787892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787911 */     GIR_RootConstrainSelectedInstOperands,
     /*  787912 */     // GIR_Coverage, 19188,
     /*  787912 */     GIR_EraseRootFromParent_Done,
     /*  787913 */   // Label 12209: @787913
     /*  787913 */   GIM_Try, /*On fail goto*//*Label 12210*/ GIMT_Encode4(787988), // Rule ID 19191 //
     /*  787918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  787921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  787926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  787929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  787932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  787935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  787938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787964 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  787967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787986 */     GIR_RootConstrainSelectedInstOperands,
     /*  787987 */     // GIR_Coverage, 19191,
     /*  787987 */     GIR_EraseRootFromParent_Done,
     /*  787988 */   // Label 12210: @787988
     /*  787988 */   GIM_Try, /*On fail goto*//*Label 12211*/ GIMT_Encode4(788063), // Rule ID 19192 //
     /*  787993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  787996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  788004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  788007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  788010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  788013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788039 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  788039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  788042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788061 */     GIR_RootConstrainSelectedInstOperands,
     /*  788062 */     // GIR_Coverage, 19192,
     /*  788062 */     GIR_EraseRootFromParent_Done,
     /*  788063 */   // Label 12211: @788063
     /*  788063 */   GIM_Try, /*On fail goto*//*Label 12212*/ GIMT_Encode4(788138), // Rule ID 19195 //
     /*  788068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  788071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  788079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  788082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  788085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  788088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788114 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  788114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  788117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788136 */     GIR_RootConstrainSelectedInstOperands,
     /*  788137 */     // GIR_Coverage, 19195,
     /*  788137 */     GIR_EraseRootFromParent_Done,
     /*  788138 */   // Label 12212: @788138
     /*  788138 */   GIM_Try, /*On fail goto*//*Label 12213*/ GIMT_Encode4(788213), // Rule ID 19196 //
     /*  788143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  788146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  788154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  788157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  788160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  788163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788189 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  788189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  788192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788211 */     GIR_RootConstrainSelectedInstOperands,
     /*  788212 */     // GIR_Coverage, 19196,
     /*  788212 */     GIR_EraseRootFromParent_Done,
     /*  788213 */   // Label 12213: @788213
     /*  788213 */   GIM_Try, /*On fail goto*//*Label 12214*/ GIMT_Encode4(788288), // Rule ID 19199 //
     /*  788218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  788221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  788229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  788232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  788235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  788238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788264 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  788264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  788267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788286 */     GIR_RootConstrainSelectedInstOperands,
     /*  788287 */     // GIR_Coverage, 19199,
     /*  788287 */     GIR_EraseRootFromParent_Done,
     /*  788288 */   // Label 12214: @788288
     /*  788288 */   GIM_Try, /*On fail goto*//*Label 12215*/ GIMT_Encode4(788363), // Rule ID 19200 //
     /*  788293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  788296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  788304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  788307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  788310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  788313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788339 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  788339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  788342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788361 */     GIR_RootConstrainSelectedInstOperands,
     /*  788362 */     // GIR_Coverage, 19200,
     /*  788362 */     GIR_EraseRootFromParent_Done,
     /*  788363 */   // Label 12215: @788363
     /*  788363 */   GIM_Try, /*On fail goto*//*Label 12216*/ GIMT_Encode4(788438), // Rule ID 19203 //
     /*  788368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  788379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  788382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  788385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  788388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  788407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788414 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  788417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788436 */     GIR_RootConstrainSelectedInstOperands,
     /*  788437 */     // GIR_Coverage, 19203,
     /*  788437 */     GIR_EraseRootFromParent_Done,
     /*  788438 */   // Label 12216: @788438
     /*  788438 */   GIM_Try, /*On fail goto*//*Label 12217*/ GIMT_Encode4(788513), // Rule ID 19204 //
     /*  788443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  788454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  788457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  788460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  788463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  788482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788489 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  788492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788511 */     GIR_RootConstrainSelectedInstOperands,
     /*  788512 */     // GIR_Coverage, 19204,
     /*  788512 */     GIR_EraseRootFromParent_Done,
     /*  788513 */   // Label 12217: @788513
     /*  788513 */   GIM_Try, /*On fail goto*//*Label 12218*/ GIMT_Encode4(788588), // Rule ID 19207 //
     /*  788518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  788529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  788532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  788535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  788538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  788557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788564 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  788567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788586 */     GIR_RootConstrainSelectedInstOperands,
     /*  788587 */     // GIR_Coverage, 19207,
     /*  788587 */     GIR_EraseRootFromParent_Done,
     /*  788588 */   // Label 12218: @788588
     /*  788588 */   GIM_Try, /*On fail goto*//*Label 12219*/ GIMT_Encode4(788663), // Rule ID 19208 //
     /*  788593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  788604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  788607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  788610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  788613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  788632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788639 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  788642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788661 */     GIR_RootConstrainSelectedInstOperands,
     /*  788662 */     // GIR_Coverage, 19208,
     /*  788662 */     GIR_EraseRootFromParent_Done,
     /*  788663 */   // Label 12219: @788663
     /*  788663 */   GIM_Try, /*On fail goto*//*Label 12220*/ GIMT_Encode4(788738), // Rule ID 19211 //
     /*  788668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  788679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  788682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  788685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  788688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  788707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788714 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  788717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788736 */     GIR_RootConstrainSelectedInstOperands,
     /*  788737 */     // GIR_Coverage, 19211,
     /*  788737 */     GIR_EraseRootFromParent_Done,
     /*  788738 */   // Label 12220: @788738
     /*  788738 */   GIM_Try, /*On fail goto*//*Label 12221*/ GIMT_Encode4(788813), // Rule ID 19212 //
     /*  788743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  788754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  788757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  788760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  788763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  788782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788789 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  788792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788811 */     GIR_RootConstrainSelectedInstOperands,
     /*  788812 */     // GIR_Coverage, 19212,
     /*  788812 */     GIR_EraseRootFromParent_Done,
     /*  788813 */   // Label 12221: @788813
     /*  788813 */   GIM_Try, /*On fail goto*//*Label 12222*/ GIMT_Encode4(788888), // Rule ID 19215 //
     /*  788818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  788829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  788832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  788835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  788838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  788857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788864 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  788867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788886 */     GIR_RootConstrainSelectedInstOperands,
     /*  788887 */     // GIR_Coverage, 19215,
     /*  788887 */     GIR_EraseRootFromParent_Done,
     /*  788888 */   // Label 12222: @788888
     /*  788888 */   GIM_Try, /*On fail goto*//*Label 12223*/ GIMT_Encode4(788963), // Rule ID 19216 //
     /*  788893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  788904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  788907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  788910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  788913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  788932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788939 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  788942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788961 */     GIR_RootConstrainSelectedInstOperands,
     /*  788962 */     // GIR_Coverage, 19216,
     /*  788962 */     GIR_EraseRootFromParent_Done,
     /*  788963 */   // Label 12223: @788963
     /*  788963 */   GIM_Try, /*On fail goto*//*Label 12224*/ GIMT_Encode4(789038), // Rule ID 19219 //
     /*  788968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  788976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  788979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  788982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  788985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  788988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  789007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789014 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  789017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789036 */     GIR_RootConstrainSelectedInstOperands,
     /*  789037 */     // GIR_Coverage, 19219,
     /*  789037 */     GIR_EraseRootFromParent_Done,
     /*  789038 */   // Label 12224: @789038
     /*  789038 */   GIM_Try, /*On fail goto*//*Label 12225*/ GIMT_Encode4(789113), // Rule ID 19220 //
     /*  789043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  789054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  789057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  789060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  789063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  789082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789089 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  789092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789111 */     GIR_RootConstrainSelectedInstOperands,
     /*  789112 */     // GIR_Coverage, 19220,
     /*  789112 */     GIR_EraseRootFromParent_Done,
     /*  789113 */   // Label 12225: @789113
     /*  789113 */   GIM_Try, /*On fail goto*//*Label 12226*/ GIMT_Encode4(789188), // Rule ID 19223 //
     /*  789118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  789129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  789132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  789135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  789138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  789157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789164 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  789167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789186 */     GIR_RootConstrainSelectedInstOperands,
     /*  789187 */     // GIR_Coverage, 19223,
     /*  789187 */     GIR_EraseRootFromParent_Done,
     /*  789188 */   // Label 12226: @789188
     /*  789188 */   GIM_Try, /*On fail goto*//*Label 12227*/ GIMT_Encode4(789263), // Rule ID 19224 //
     /*  789193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  789204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  789207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  789210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  789213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  789232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789239 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  789242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789261 */     GIR_RootConstrainSelectedInstOperands,
     /*  789262 */     // GIR_Coverage, 19224,
     /*  789262 */     GIR_EraseRootFromParent_Done,
     /*  789263 */   // Label 12227: @789263
     /*  789263 */   GIM_Try, /*On fail goto*//*Label 12228*/ GIMT_Encode4(789338), // Rule ID 19227 //
     /*  789268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  789279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  789282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  789285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789314 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  789314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  789317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789336 */     GIR_RootConstrainSelectedInstOperands,
     /*  789337 */     // GIR_Coverage, 19227,
     /*  789337 */     GIR_EraseRootFromParent_Done,
     /*  789338 */   // Label 12228: @789338
     /*  789338 */   GIM_Try, /*On fail goto*//*Label 12229*/ GIMT_Encode4(789413), // Rule ID 19228 //
     /*  789343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  789354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  789357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  789360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789389 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  789392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789411 */     GIR_RootConstrainSelectedInstOperands,
     /*  789412 */     // GIR_Coverage, 19228,
     /*  789412 */     GIR_EraseRootFromParent_Done,
     /*  789413 */   // Label 12229: @789413
     /*  789413 */   GIM_Try, /*On fail goto*//*Label 12230*/ GIMT_Encode4(789488), // Rule ID 19231 //
     /*  789418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  789429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  789432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  789435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789464 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  789464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  789467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789486 */     GIR_RootConstrainSelectedInstOperands,
     /*  789487 */     // GIR_Coverage, 19231,
     /*  789487 */     GIR_EraseRootFromParent_Done,
     /*  789488 */   // Label 12230: @789488
     /*  789488 */   GIM_Try, /*On fail goto*//*Label 12231*/ GIMT_Encode4(789563), // Rule ID 19232 //
     /*  789493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  789504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  789507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  789510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789539 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  789542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789561 */     GIR_RootConstrainSelectedInstOperands,
     /*  789562 */     // GIR_Coverage, 19232,
     /*  789562 */     GIR_EraseRootFromParent_Done,
     /*  789563 */   // Label 12231: @789563
     /*  789563 */   GIM_Try, /*On fail goto*//*Label 12232*/ GIMT_Encode4(789638), // Rule ID 19235 //
     /*  789568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  789579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  789582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  789585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789614 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  789614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  789617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789636 */     GIR_RootConstrainSelectedInstOperands,
     /*  789637 */     // GIR_Coverage, 19235,
     /*  789637 */     GIR_EraseRootFromParent_Done,
     /*  789638 */   // Label 12232: @789638
     /*  789638 */   GIM_Try, /*On fail goto*//*Label 12233*/ GIMT_Encode4(789713), // Rule ID 19236 //
     /*  789643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  789654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  789657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  789660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789689 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  789692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789711 */     GIR_RootConstrainSelectedInstOperands,
     /*  789712 */     // GIR_Coverage, 19236,
     /*  789712 */     GIR_EraseRootFromParent_Done,
     /*  789713 */   // Label 12233: @789713
     /*  789713 */   GIM_Try, /*On fail goto*//*Label 12234*/ GIMT_Encode4(789788), // Rule ID 19239 //
     /*  789718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  789729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  789732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  789735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  789738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  789757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789764 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  789767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789786 */     GIR_RootConstrainSelectedInstOperands,
     /*  789787 */     // GIR_Coverage, 19239,
     /*  789787 */     GIR_EraseRootFromParent_Done,
     /*  789788 */   // Label 12234: @789788
     /*  789788 */   GIM_Try, /*On fail goto*//*Label 12235*/ GIMT_Encode4(789863), // Rule ID 19240 //
     /*  789793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  789804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  789807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  789810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  789813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  789832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789839 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  789842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789861 */     GIR_RootConstrainSelectedInstOperands,
     /*  789862 */     // GIR_Coverage, 19240,
     /*  789862 */     GIR_EraseRootFromParent_Done,
     /*  789863 */   // Label 12235: @789863
     /*  789863 */   GIM_Try, /*On fail goto*//*Label 12236*/ GIMT_Encode4(789938), // Rule ID 19243 //
     /*  789868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  789879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  789882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  789885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  789888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  789907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789914 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  789917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789936 */     GIR_RootConstrainSelectedInstOperands,
     /*  789937 */     // GIR_Coverage, 19243,
     /*  789937 */     GIR_EraseRootFromParent_Done,
     /*  789938 */   // Label 12236: @789938
     /*  789938 */   GIM_Try, /*On fail goto*//*Label 12237*/ GIMT_Encode4(790013), // Rule ID 19244 //
     /*  789943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  789951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  789954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  789957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  789960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  789963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  789982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789989 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  789992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790011 */     GIR_RootConstrainSelectedInstOperands,
     /*  790012 */     // GIR_Coverage, 19244,
     /*  790012 */     GIR_EraseRootFromParent_Done,
     /*  790013 */   // Label 12237: @790013
     /*  790013 */   GIM_Try, /*On fail goto*//*Label 12238*/ GIMT_Encode4(790088), // Rule ID 19247 //
     /*  790018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  790021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  790029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  790032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  790035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790064 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  790064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  790067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790086 */     GIR_RootConstrainSelectedInstOperands,
     /*  790087 */     // GIR_Coverage, 19247,
     /*  790087 */     GIR_EraseRootFromParent_Done,
     /*  790088 */   // Label 12238: @790088
     /*  790088 */   GIM_Try, /*On fail goto*//*Label 12239*/ GIMT_Encode4(790163), // Rule ID 19248 //
     /*  790093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  790096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  790104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  790107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  790110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790139 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  790139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  790142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790161 */     GIR_RootConstrainSelectedInstOperands,
     /*  790162 */     // GIR_Coverage, 19248,
     /*  790162 */     GIR_EraseRootFromParent_Done,
     /*  790163 */   // Label 12239: @790163
     /*  790163 */   GIM_Try, /*On fail goto*//*Label 12240*/ GIMT_Encode4(790238), // Rule ID 19251 //
     /*  790168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  790171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  790179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  790182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  790185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790214 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  790217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790236 */     GIR_RootConstrainSelectedInstOperands,
     /*  790237 */     // GIR_Coverage, 19251,
     /*  790237 */     GIR_EraseRootFromParent_Done,
     /*  790238 */   // Label 12240: @790238
     /*  790238 */   GIM_Try, /*On fail goto*//*Label 12241*/ GIMT_Encode4(790313), // Rule ID 19252 //
     /*  790243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  790246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  790254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  790257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  790260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790289 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  790292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790311 */     GIR_RootConstrainSelectedInstOperands,
     /*  790312 */     // GIR_Coverage, 19252,
     /*  790312 */     GIR_EraseRootFromParent_Done,
     /*  790313 */   // Label 12241: @790313
     /*  790313 */   GIM_Try, /*On fail goto*//*Label 12242*/ GIMT_Encode4(790388), // Rule ID 19255 //
     /*  790318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  790321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  790329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  790332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  790335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790364 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  790367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790386 */     GIR_RootConstrainSelectedInstOperands,
     /*  790387 */     // GIR_Coverage, 19255,
     /*  790387 */     GIR_EraseRootFromParent_Done,
     /*  790388 */   // Label 12242: @790388
     /*  790388 */   GIM_Try, /*On fail goto*//*Label 12243*/ GIMT_Encode4(790463), // Rule ID 19256 //
     /*  790393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  790396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  790404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  790407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  790410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790439 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  790442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790461 */     GIR_RootConstrainSelectedInstOperands,
     /*  790462 */     // GIR_Coverage, 19256,
     /*  790462 */     GIR_EraseRootFromParent_Done,
     /*  790463 */   // Label 12243: @790463
     /*  790463 */   GIM_Try, /*On fail goto*//*Label 12244*/ GIMT_Encode4(790538), // Rule ID 19259 //
     /*  790468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  790471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  790479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  790482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  790485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790514 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  790517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790536 */     GIR_RootConstrainSelectedInstOperands,
     /*  790537 */     // GIR_Coverage, 19259,
     /*  790537 */     GIR_EraseRootFromParent_Done,
     /*  790538 */   // Label 12244: @790538
     /*  790538 */   GIM_Try, /*On fail goto*//*Label 12245*/ GIMT_Encode4(790613), // Rule ID 19260 //
     /*  790543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  790546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  790551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  790554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  790557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  790560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790589 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  790592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790611 */     GIR_RootConstrainSelectedInstOperands,
     /*  790612 */     // GIR_Coverage, 19260,
     /*  790612 */     GIR_EraseRootFromParent_Done,
     /*  790613 */   // Label 12245: @790613
     /*  790613 */   GIM_Try, /*On fail goto*//*Label 12246*/ GIMT_Encode4(790688), // Rule ID 19263 //
     /*  790618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  790626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  790629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  790632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  790635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  790638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790664 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  790667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790686 */     GIR_RootConstrainSelectedInstOperands,
     /*  790687 */     // GIR_Coverage, 19263,
     /*  790687 */     GIR_EraseRootFromParent_Done,
     /*  790688 */   // Label 12246: @790688
     /*  790688 */   GIM_Try, /*On fail goto*//*Label 12247*/ GIMT_Encode4(790763), // Rule ID 19264 //
     /*  790693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  790701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  790704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  790707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  790710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  790713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790739 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  790742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790761 */     GIR_RootConstrainSelectedInstOperands,
     /*  790762 */     // GIR_Coverage, 19264,
     /*  790762 */     GIR_EraseRootFromParent_Done,
     /*  790763 */   // Label 12247: @790763
     /*  790763 */   GIM_Try, /*On fail goto*//*Label 12248*/ GIMT_Encode4(790838), // Rule ID 19267 //
     /*  790768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  790776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  790779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  790782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  790785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  790788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790814 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  790817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790836 */     GIR_RootConstrainSelectedInstOperands,
     /*  790837 */     // GIR_Coverage, 19267,
     /*  790837 */     GIR_EraseRootFromParent_Done,
     /*  790838 */   // Label 12248: @790838
     /*  790838 */   GIM_Try, /*On fail goto*//*Label 12249*/ GIMT_Encode4(790913), // Rule ID 19268 //
     /*  790843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  790851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  790854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  790857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  790860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  790863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790889 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  790892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790911 */     GIR_RootConstrainSelectedInstOperands,
     /*  790912 */     // GIR_Coverage, 19268,
     /*  790912 */     GIR_EraseRootFromParent_Done,
     /*  790913 */   // Label 12249: @790913
     /*  790913 */   GIM_Try, /*On fail goto*//*Label 12250*/ GIMT_Encode4(790988), // Rule ID 19271 //
     /*  790918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  790921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  790926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  790929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  790932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  790935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  790938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790964 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  790964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  790967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790986 */     GIR_RootConstrainSelectedInstOperands,
     /*  790987 */     // GIR_Coverage, 19271,
     /*  790987 */     GIR_EraseRootFromParent_Done,
     /*  790988 */   // Label 12250: @790988
     /*  790988 */   GIM_Try, /*On fail goto*//*Label 12251*/ GIMT_Encode4(791063), // Rule ID 19272 //
     /*  790993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  790996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  791001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  791004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  791007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  791010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  791013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791039 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  791042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791061 */     GIR_RootConstrainSelectedInstOperands,
     /*  791062 */     // GIR_Coverage, 19272,
     /*  791062 */     GIR_EraseRootFromParent_Done,
     /*  791063 */   // Label 12251: @791063
     /*  791063 */   GIM_Try, /*On fail goto*//*Label 12252*/ GIMT_Encode4(791138), // Rule ID 19275 //
     /*  791068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  791076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  791079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  791082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  791085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  791088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791114 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  791117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791136 */     GIR_RootConstrainSelectedInstOperands,
     /*  791137 */     // GIR_Coverage, 19275,
     /*  791137 */     GIR_EraseRootFromParent_Done,
     /*  791138 */   // Label 12252: @791138
     /*  791138 */   GIM_Try, /*On fail goto*//*Label 12253*/ GIMT_Encode4(791213), // Rule ID 19276 //
     /*  791143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  791151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  791154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  791157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  791160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  791163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791189 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  791192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791211 */     GIR_RootConstrainSelectedInstOperands,
     /*  791212 */     // GIR_Coverage, 19276,
     /*  791212 */     GIR_EraseRootFromParent_Done,
     /*  791213 */   // Label 12253: @791213
     /*  791213 */   GIM_Try, /*On fail goto*//*Label 12254*/ GIMT_Encode4(791288), // Rule ID 19279 //
     /*  791218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  791226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  791229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  791232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  791235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  791238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791264 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  791267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791286 */     GIR_RootConstrainSelectedInstOperands,
     /*  791287 */     // GIR_Coverage, 19279,
     /*  791287 */     GIR_EraseRootFromParent_Done,
     /*  791288 */   // Label 12254: @791288
     /*  791288 */   GIM_Try, /*On fail goto*//*Label 12255*/ GIMT_Encode4(791363), // Rule ID 19280 //
     /*  791293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  791301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  791304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  791307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  791310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  791313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791339 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  791342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791361 */     GIR_RootConstrainSelectedInstOperands,
     /*  791362 */     // GIR_Coverage, 19280,
     /*  791362 */     GIR_EraseRootFromParent_Done,
     /*  791363 */   // Label 12255: @791363
     /*  791363 */   GIM_Try, /*On fail goto*//*Label 12256*/ GIMT_Encode4(791438), // Rule ID 19283 //
     /*  791368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  791376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  791379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  791382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  791385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  791388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791414 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  791414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  791417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791436 */     GIR_RootConstrainSelectedInstOperands,
     /*  791437 */     // GIR_Coverage, 19283,
     /*  791437 */     GIR_EraseRootFromParent_Done,
     /*  791438 */   // Label 12256: @791438
     /*  791438 */   GIM_Try, /*On fail goto*//*Label 12257*/ GIMT_Encode4(791513), // Rule ID 19284 //
     /*  791443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  791446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  791451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  791454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  791457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  791460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  791463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791489 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  791489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  791492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791511 */     GIR_RootConstrainSelectedInstOperands,
     /*  791512 */     // GIR_Coverage, 19284,
     /*  791512 */     GIR_EraseRootFromParent_Done,
     /*  791513 */   // Label 12257: @791513
     /*  791513 */   GIM_Try, /*On fail goto*//*Label 12258*/ GIMT_Encode4(791588), // Rule ID 19287 //
     /*  791518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  791526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  791529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  791532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  791535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  791538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791564 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  791567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791586 */     GIR_RootConstrainSelectedInstOperands,
     /*  791587 */     // GIR_Coverage, 19287,
     /*  791587 */     GIR_EraseRootFromParent_Done,
     /*  791588 */   // Label 12258: @791588
     /*  791588 */   GIM_Try, /*On fail goto*//*Label 12259*/ GIMT_Encode4(791663), // Rule ID 19288 //
     /*  791593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  791601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  791604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  791607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  791610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  791613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791639 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  791642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791661 */     GIR_RootConstrainSelectedInstOperands,
     /*  791662 */     // GIR_Coverage, 19288,
     /*  791662 */     GIR_EraseRootFromParent_Done,
     /*  791663 */   // Label 12259: @791663
     /*  791663 */   GIM_Try, /*On fail goto*//*Label 12260*/ GIMT_Encode4(791738), // Rule ID 19291 //
     /*  791668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  791676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  791679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  791682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  791685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  791688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791714 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  791717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791736 */     GIR_RootConstrainSelectedInstOperands,
     /*  791737 */     // GIR_Coverage, 19291,
     /*  791737 */     GIR_EraseRootFromParent_Done,
     /*  791738 */   // Label 12260: @791738
     /*  791738 */   GIM_Try, /*On fail goto*//*Label 12261*/ GIMT_Encode4(791813), // Rule ID 19292 //
     /*  791743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  791751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  791754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  791757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  791760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  791763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791789 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  791792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791811 */     GIR_RootConstrainSelectedInstOperands,
     /*  791812 */     // GIR_Coverage, 19292,
     /*  791812 */     GIR_EraseRootFromParent_Done,
     /*  791813 */   // Label 12261: @791813
     /*  791813 */   GIM_Try, /*On fail goto*//*Label 12262*/ GIMT_Encode4(791888), // Rule ID 19295 //
     /*  791818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  791826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  791829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  791832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  791835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  791838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791864 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  791867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791886 */     GIR_RootConstrainSelectedInstOperands,
     /*  791887 */     // GIR_Coverage, 19295,
     /*  791887 */     GIR_EraseRootFromParent_Done,
     /*  791888 */   // Label 12262: @791888
     /*  791888 */   GIM_Try, /*On fail goto*//*Label 12263*/ GIMT_Encode4(791963), // Rule ID 19296 //
     /*  791893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  791901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  791904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  791907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  791910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  791913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791939 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  791942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791961 */     GIR_RootConstrainSelectedInstOperands,
     /*  791962 */     // GIR_Coverage, 19296,
     /*  791962 */     GIR_EraseRootFromParent_Done,
     /*  791963 */   // Label 12263: @791963
     /*  791963 */   GIM_Try, /*On fail goto*//*Label 12264*/ GIMT_Encode4(792038), // Rule ID 19299 //
     /*  791968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  791976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  791979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  791982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  791985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  791988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792014 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  792017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792036 */     GIR_RootConstrainSelectedInstOperands,
     /*  792037 */     // GIR_Coverage, 19299,
     /*  792037 */     GIR_EraseRootFromParent_Done,
     /*  792038 */   // Label 12264: @792038
     /*  792038 */   GIM_Try, /*On fail goto*//*Label 12265*/ GIMT_Encode4(792113), // Rule ID 19300 //
     /*  792043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  792054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  792057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  792060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  792063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792089 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  792092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792111 */     GIR_RootConstrainSelectedInstOperands,
     /*  792112 */     // GIR_Coverage, 19300,
     /*  792112 */     GIR_EraseRootFromParent_Done,
     /*  792113 */   // Label 12265: @792113
     /*  792113 */   GIM_Try, /*On fail goto*//*Label 12266*/ GIMT_Encode4(792188), // Rule ID 19303 //
     /*  792118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  792129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  792132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  792135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  792138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792164 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  792167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792186 */     GIR_RootConstrainSelectedInstOperands,
     /*  792187 */     // GIR_Coverage, 19303,
     /*  792187 */     GIR_EraseRootFromParent_Done,
     /*  792188 */   // Label 12266: @792188
     /*  792188 */   GIM_Try, /*On fail goto*//*Label 12267*/ GIMT_Encode4(792263), // Rule ID 19304 //
     /*  792193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  792204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  792207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  792210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  792213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792239 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  792242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792261 */     GIR_RootConstrainSelectedInstOperands,
     /*  792262 */     // GIR_Coverage, 19304,
     /*  792262 */     GIR_EraseRootFromParent_Done,
     /*  792263 */   // Label 12267: @792263
     /*  792263 */   GIM_Try, /*On fail goto*//*Label 12268*/ GIMT_Encode4(792338), // Rule ID 19307 //
     /*  792268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  792279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  792282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  792285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  792288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792314 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  792317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792336 */     GIR_RootConstrainSelectedInstOperands,
     /*  792337 */     // GIR_Coverage, 19307,
     /*  792337 */     GIR_EraseRootFromParent_Done,
     /*  792338 */   // Label 12268: @792338
     /*  792338 */   GIM_Try, /*On fail goto*//*Label 12269*/ GIMT_Encode4(792413), // Rule ID 19308 //
     /*  792343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  792354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  792357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  792360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  792363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792389 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  792392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792411 */     GIR_RootConstrainSelectedInstOperands,
     /*  792412 */     // GIR_Coverage, 19308,
     /*  792412 */     GIR_EraseRootFromParent_Done,
     /*  792413 */   // Label 12269: @792413
     /*  792413 */   GIM_Try, /*On fail goto*//*Label 12270*/ GIMT_Encode4(792488), // Rule ID 19311 //
     /*  792418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  792429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  792432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  792435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  792438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792464 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  792467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792486 */     GIR_RootConstrainSelectedInstOperands,
     /*  792487 */     // GIR_Coverage, 19311,
     /*  792487 */     GIR_EraseRootFromParent_Done,
     /*  792488 */   // Label 12270: @792488
     /*  792488 */   GIM_Try, /*On fail goto*//*Label 12271*/ GIMT_Encode4(792563), // Rule ID 19312 //
     /*  792493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  792504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  792507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  792510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  792513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792539 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  792542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792561 */     GIR_RootConstrainSelectedInstOperands,
     /*  792562 */     // GIR_Coverage, 19312,
     /*  792562 */     GIR_EraseRootFromParent_Done,
     /*  792563 */   // Label 12271: @792563
     /*  792563 */   GIM_Try, /*On fail goto*//*Label 12272*/ GIMT_Encode4(792638), // Rule ID 19315 //
     /*  792568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  792579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  792582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  792585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  792588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792614 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  792617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792636 */     GIR_RootConstrainSelectedInstOperands,
     /*  792637 */     // GIR_Coverage, 19315,
     /*  792637 */     GIR_EraseRootFromParent_Done,
     /*  792638 */   // Label 12272: @792638
     /*  792638 */   GIM_Try, /*On fail goto*//*Label 12273*/ GIMT_Encode4(792713), // Rule ID 19316 //
     /*  792643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  792654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  792657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  792660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  792663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792689 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  792692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792711 */     GIR_RootConstrainSelectedInstOperands,
     /*  792712 */     // GIR_Coverage, 19316,
     /*  792712 */     GIR_EraseRootFromParent_Done,
     /*  792713 */   // Label 12273: @792713
     /*  792713 */   GIM_Try, /*On fail goto*//*Label 12274*/ GIMT_Encode4(792788), // Rule ID 19319 //
     /*  792718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  792729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  792732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  792735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  792738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792764 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  792767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792786 */     GIR_RootConstrainSelectedInstOperands,
     /*  792787 */     // GIR_Coverage, 19319,
     /*  792787 */     GIR_EraseRootFromParent_Done,
     /*  792788 */   // Label 12274: @792788
     /*  792788 */   GIM_Try, /*On fail goto*//*Label 12275*/ GIMT_Encode4(792863), // Rule ID 19320 //
     /*  792793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  792804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  792807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  792810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  792813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792839 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  792842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792861 */     GIR_RootConstrainSelectedInstOperands,
     /*  792862 */     // GIR_Coverage, 19320,
     /*  792862 */     GIR_EraseRootFromParent_Done,
     /*  792863 */   // Label 12275: @792863
     /*  792863 */   GIM_Try, /*On fail goto*//*Label 12276*/ GIMT_Encode4(792938), // Rule ID 19323 //
     /*  792868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  792879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  792882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  792885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  792888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  792907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792914 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  792917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792936 */     GIR_RootConstrainSelectedInstOperands,
     /*  792937 */     // GIR_Coverage, 19323,
     /*  792937 */     GIR_EraseRootFromParent_Done,
     /*  792938 */   // Label 12276: @792938
     /*  792938 */   GIM_Try, /*On fail goto*//*Label 12277*/ GIMT_Encode4(793013), // Rule ID 19324 //
     /*  792943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  792951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  792954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  792957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  792960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  792963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  792982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792989 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  792992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793011 */     GIR_RootConstrainSelectedInstOperands,
     /*  793012 */     // GIR_Coverage, 19324,
     /*  793012 */     GIR_EraseRootFromParent_Done,
     /*  793013 */   // Label 12277: @793013
     /*  793013 */   GIM_Try, /*On fail goto*//*Label 12278*/ GIMT_Encode4(793088), // Rule ID 19327 //
     /*  793018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  793029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  793032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  793035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  793038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  793057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793064 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  793067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793086 */     GIR_RootConstrainSelectedInstOperands,
     /*  793087 */     // GIR_Coverage, 19327,
     /*  793087 */     GIR_EraseRootFromParent_Done,
     /*  793088 */   // Label 12278: @793088
     /*  793088 */   GIM_Try, /*On fail goto*//*Label 12279*/ GIMT_Encode4(793163), // Rule ID 19328 //
     /*  793093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  793104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  793107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  793110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  793113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  793132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793139 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  793142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793161 */     GIR_RootConstrainSelectedInstOperands,
     /*  793162 */     // GIR_Coverage, 19328,
     /*  793162 */     GIR_EraseRootFromParent_Done,
     /*  793163 */   // Label 12279: @793163
     /*  793163 */   GIM_Try, /*On fail goto*//*Label 12280*/ GIMT_Encode4(793238), // Rule ID 19331 //
     /*  793168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  793179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  793182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  793185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  793188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  793207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793214 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  793217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793236 */     GIR_RootConstrainSelectedInstOperands,
     /*  793237 */     // GIR_Coverage, 19331,
     /*  793237 */     GIR_EraseRootFromParent_Done,
     /*  793238 */   // Label 12280: @793238
     /*  793238 */   GIM_Try, /*On fail goto*//*Label 12281*/ GIMT_Encode4(793313), // Rule ID 19332 //
     /*  793243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  793254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  793257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  793260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  793263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  793282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793289 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  793292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793311 */     GIR_RootConstrainSelectedInstOperands,
     /*  793312 */     // GIR_Coverage, 19332,
     /*  793312 */     GIR_EraseRootFromParent_Done,
     /*  793313 */   // Label 12281: @793313
     /*  793313 */   GIM_Try, /*On fail goto*//*Label 12282*/ GIMT_Encode4(793388), // Rule ID 19335 //
     /*  793318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  793329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  793332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  793335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  793338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  793357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793364 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  793367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793386 */     GIR_RootConstrainSelectedInstOperands,
     /*  793387 */     // GIR_Coverage, 19335,
     /*  793387 */     GIR_EraseRootFromParent_Done,
     /*  793388 */   // Label 12282: @793388
     /*  793388 */   GIM_Try, /*On fail goto*//*Label 12283*/ GIMT_Encode4(793463), // Rule ID 19336 //
     /*  793393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  793404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  793407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  793410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  793413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  793432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793439 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  793442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793461 */     GIR_RootConstrainSelectedInstOperands,
     /*  793462 */     // GIR_Coverage, 19336,
     /*  793462 */     GIR_EraseRootFromParent_Done,
     /*  793463 */   // Label 12283: @793463
     /*  793463 */   GIM_Try, /*On fail goto*//*Label 12284*/ GIMT_Encode4(793538), // Rule ID 19339 //
     /*  793468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  793479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  793482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  793485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  793488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  793507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793514 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  793517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793536 */     GIR_RootConstrainSelectedInstOperands,
     /*  793537 */     // GIR_Coverage, 19339,
     /*  793537 */     GIR_EraseRootFromParent_Done,
     /*  793538 */   // Label 12284: @793538
     /*  793538 */   GIM_Try, /*On fail goto*//*Label 12285*/ GIMT_Encode4(793613), // Rule ID 19340 //
     /*  793543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  793554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  793557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  793560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  793563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  793582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793589 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  793592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793611 */     GIR_RootConstrainSelectedInstOperands,
     /*  793612 */     // GIR_Coverage, 19340,
     /*  793612 */     GIR_EraseRootFromParent_Done,
     /*  793613 */   // Label 12285: @793613
     /*  793613 */   GIM_Try, /*On fail goto*//*Label 12286*/ GIMT_Encode4(793688), // Rule ID 19343 //
     /*  793618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  793621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  793629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  793632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  793635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  793638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  793657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793664 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  793664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  793667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793686 */     GIR_RootConstrainSelectedInstOperands,
     /*  793687 */     // GIR_Coverage, 19343,
     /*  793687 */     GIR_EraseRootFromParent_Done,
     /*  793688 */   // Label 12286: @793688
     /*  793688 */   GIM_Try, /*On fail goto*//*Label 12287*/ GIMT_Encode4(793763), // Rule ID 19344 //
     /*  793693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  793696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  793704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  793707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  793710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  793713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  793732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793739 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  793739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  793742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793761 */     GIR_RootConstrainSelectedInstOperands,
     /*  793762 */     // GIR_Coverage, 19344,
     /*  793762 */     GIR_EraseRootFromParent_Done,
     /*  793763 */   // Label 12287: @793763
     /*  793763 */   GIM_Try, /*On fail goto*//*Label 12288*/ GIMT_Encode4(793838), // Rule ID 19347 //
     /*  793768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  793779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  793782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  793785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  793788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  793807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793814 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  793817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793836 */     GIR_RootConstrainSelectedInstOperands,
     /*  793837 */     // GIR_Coverage, 19347,
     /*  793837 */     GIR_EraseRootFromParent_Done,
     /*  793838 */   // Label 12288: @793838
     /*  793838 */   GIM_Try, /*On fail goto*//*Label 12289*/ GIMT_Encode4(793913), // Rule ID 19348 //
     /*  793843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  793854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  793857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  793860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  793863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  793882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793889 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  793892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793911 */     GIR_RootConstrainSelectedInstOperands,
     /*  793912 */     // GIR_Coverage, 19348,
     /*  793912 */     GIR_EraseRootFromParent_Done,
     /*  793913 */   // Label 12289: @793913
     /*  793913 */   GIM_Try, /*On fail goto*//*Label 12290*/ GIMT_Encode4(793988), // Rule ID 19351 //
     /*  793918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  793926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  793929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  793932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  793935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  793938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  793957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793964 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  793967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793986 */     GIR_RootConstrainSelectedInstOperands,
     /*  793987 */     // GIR_Coverage, 19351,
     /*  793987 */     GIR_EraseRootFromParent_Done,
     /*  793988 */   // Label 12290: @793988
     /*  793988 */   GIM_Try, /*On fail goto*//*Label 12291*/ GIMT_Encode4(794063), // Rule ID 19352 //
     /*  793993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  794004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  794007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  794010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794039 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  794042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794061 */     GIR_RootConstrainSelectedInstOperands,
     /*  794062 */     // GIR_Coverage, 19352,
     /*  794062 */     GIR_EraseRootFromParent_Done,
     /*  794063 */   // Label 12291: @794063
     /*  794063 */   GIM_Try, /*On fail goto*//*Label 12292*/ GIMT_Encode4(794138), // Rule ID 19355 //
     /*  794068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  794079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  794082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  794085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794114 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  794117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794136 */     GIR_RootConstrainSelectedInstOperands,
     /*  794137 */     // GIR_Coverage, 19355,
     /*  794137 */     GIR_EraseRootFromParent_Done,
     /*  794138 */   // Label 12292: @794138
     /*  794138 */   GIM_Try, /*On fail goto*//*Label 12293*/ GIMT_Encode4(794213), // Rule ID 19356 //
     /*  794143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  794154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  794157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  794160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794189 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  794192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794211 */     GIR_RootConstrainSelectedInstOperands,
     /*  794212 */     // GIR_Coverage, 19356,
     /*  794212 */     GIR_EraseRootFromParent_Done,
     /*  794213 */   // Label 12293: @794213
     /*  794213 */   GIM_Try, /*On fail goto*//*Label 12294*/ GIMT_Encode4(794288), // Rule ID 19359 //
     /*  794218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  794229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  794232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  794235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794264 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  794267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794286 */     GIR_RootConstrainSelectedInstOperands,
     /*  794287 */     // GIR_Coverage, 19359,
     /*  794287 */     GIR_EraseRootFromParent_Done,
     /*  794288 */   // Label 12294: @794288
     /*  794288 */   GIM_Try, /*On fail goto*//*Label 12295*/ GIMT_Encode4(794363), // Rule ID 19360 //
     /*  794293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  794304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  794307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  794310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794339 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  794342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794361 */     GIR_RootConstrainSelectedInstOperands,
     /*  794362 */     // GIR_Coverage, 19360,
     /*  794362 */     GIR_EraseRootFromParent_Done,
     /*  794363 */   // Label 12295: @794363
     /*  794363 */   GIM_Try, /*On fail goto*//*Label 12296*/ GIMT_Encode4(794438), // Rule ID 19363 //
     /*  794368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  794379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  794382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  794385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794414 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  794417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794436 */     GIR_RootConstrainSelectedInstOperands,
     /*  794437 */     // GIR_Coverage, 19363,
     /*  794437 */     GIR_EraseRootFromParent_Done,
     /*  794438 */   // Label 12296: @794438
     /*  794438 */   GIM_Try, /*On fail goto*//*Label 12297*/ GIMT_Encode4(794513), // Rule ID 19364 //
     /*  794443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  794454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  794457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  794460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794489 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  794492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794511 */     GIR_RootConstrainSelectedInstOperands,
     /*  794512 */     // GIR_Coverage, 19364,
     /*  794512 */     GIR_EraseRootFromParent_Done,
     /*  794513 */   // Label 12297: @794513
     /*  794513 */   GIM_Try, /*On fail goto*//*Label 12298*/ GIMT_Encode4(794588), // Rule ID 19367 //
     /*  794518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  794529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  794532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  794535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794564 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  794567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794586 */     GIR_RootConstrainSelectedInstOperands,
     /*  794587 */     // GIR_Coverage, 19367,
     /*  794587 */     GIR_EraseRootFromParent_Done,
     /*  794588 */   // Label 12298: @794588
     /*  794588 */   GIM_Try, /*On fail goto*//*Label 12299*/ GIMT_Encode4(794663), // Rule ID 19368 //
     /*  794593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  794604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  794607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  794610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794639 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  794642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794661 */     GIR_RootConstrainSelectedInstOperands,
     /*  794662 */     // GIR_Coverage, 19368,
     /*  794662 */     GIR_EraseRootFromParent_Done,
     /*  794663 */   // Label 12299: @794663
     /*  794663 */   GIM_Try, /*On fail goto*//*Label 12300*/ GIMT_Encode4(794738), // Rule ID 19371 //
     /*  794668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  794679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  794682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  794685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  794707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794714 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  794717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794736 */     GIR_RootConstrainSelectedInstOperands,
     /*  794737 */     // GIR_Coverage, 19371,
     /*  794737 */     GIR_EraseRootFromParent_Done,
     /*  794738 */   // Label 12300: @794738
     /*  794738 */   GIM_Try, /*On fail goto*//*Label 12301*/ GIMT_Encode4(794813), // Rule ID 19372 //
     /*  794743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  794754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  794757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  794760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  794782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794789 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  794792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794811 */     GIR_RootConstrainSelectedInstOperands,
     /*  794812 */     // GIR_Coverage, 19372,
     /*  794812 */     GIR_EraseRootFromParent_Done,
     /*  794813 */   // Label 12301: @794813
     /*  794813 */   GIM_Try, /*On fail goto*//*Label 12302*/ GIMT_Encode4(794888), // Rule ID 19375 //
     /*  794818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  794829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  794832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  794835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  794857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794864 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  794867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794886 */     GIR_RootConstrainSelectedInstOperands,
     /*  794887 */     // GIR_Coverage, 19375,
     /*  794887 */     GIR_EraseRootFromParent_Done,
     /*  794888 */   // Label 12302: @794888
     /*  794888 */   GIM_Try, /*On fail goto*//*Label 12303*/ GIMT_Encode4(794963), // Rule ID 19376 //
     /*  794893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  794904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  794907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  794910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  794932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794939 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  794942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794961 */     GIR_RootConstrainSelectedInstOperands,
     /*  794962 */     // GIR_Coverage, 19376,
     /*  794962 */     GIR_EraseRootFromParent_Done,
     /*  794963 */   // Label 12303: @794963
     /*  794963 */   GIM_Try, /*On fail goto*//*Label 12304*/ GIMT_Encode4(795038), // Rule ID 19379 //
     /*  794968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  794976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  794979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  794982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  794985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  795007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795014 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  795014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  795017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795036 */     GIR_RootConstrainSelectedInstOperands,
     /*  795037 */     // GIR_Coverage, 19379,
     /*  795037 */     GIR_EraseRootFromParent_Done,
     /*  795038 */   // Label 12304: @795038
     /*  795038 */   GIM_Try, /*On fail goto*//*Label 12305*/ GIMT_Encode4(795113), // Rule ID 19380 //
     /*  795043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  795046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  795051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  795054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  795057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  795060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  795082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795089 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  795089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  795092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795111 */     GIR_RootConstrainSelectedInstOperands,
     /*  795112 */     // GIR_Coverage, 19380,
     /*  795112 */     GIR_EraseRootFromParent_Done,
     /*  795113 */   // Label 12305: @795113
     /*  795113 */   GIM_Try, /*On fail goto*//*Label 12306*/ GIMT_Encode4(795188), // Rule ID 19383 //
     /*  795118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  795126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  795129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  795132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  795135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  795138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795164 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  795167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795186 */     GIR_RootConstrainSelectedInstOperands,
     /*  795187 */     // GIR_Coverage, 19383,
     /*  795187 */     GIR_EraseRootFromParent_Done,
     /*  795188 */   // Label 12306: @795188
     /*  795188 */   GIM_Try, /*On fail goto*//*Label 12307*/ GIMT_Encode4(795263), // Rule ID 19384 //
     /*  795193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  795201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  795204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  795207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  795210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  795213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795239 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  795242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795261 */     GIR_RootConstrainSelectedInstOperands,
     /*  795262 */     // GIR_Coverage, 19384,
     /*  795262 */     GIR_EraseRootFromParent_Done,
     /*  795263 */   // Label 12307: @795263
     /*  795263 */   GIM_Try, /*On fail goto*//*Label 12308*/ GIMT_Encode4(795338), // Rule ID 19387 //
     /*  795268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  795276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  795279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  795282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  795285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  795288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795314 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  795317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795336 */     GIR_RootConstrainSelectedInstOperands,
     /*  795337 */     // GIR_Coverage, 19387,
     /*  795337 */     GIR_EraseRootFromParent_Done,
     /*  795338 */   // Label 12308: @795338
     /*  795338 */   GIM_Try, /*On fail goto*//*Label 12309*/ GIMT_Encode4(795413), // Rule ID 19388 //
     /*  795343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  795351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  795354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  795357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  795360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  795363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795389 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  795392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795411 */     GIR_RootConstrainSelectedInstOperands,
     /*  795412 */     // GIR_Coverage, 19388,
     /*  795412 */     GIR_EraseRootFromParent_Done,
     /*  795413 */   // Label 12309: @795413
     /*  795413 */   GIM_Try, /*On fail goto*//*Label 12310*/ GIMT_Encode4(795488), // Rule ID 19391 //
     /*  795418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  795426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  795429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  795432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  795435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  795438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795464 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  795467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795486 */     GIR_RootConstrainSelectedInstOperands,
     /*  795487 */     // GIR_Coverage, 19391,
     /*  795487 */     GIR_EraseRootFromParent_Done,
     /*  795488 */   // Label 12310: @795488
     /*  795488 */   GIM_Try, /*On fail goto*//*Label 12311*/ GIMT_Encode4(795563), // Rule ID 19392 //
     /*  795493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  795501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  795504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  795507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  795510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  795513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795539 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  795542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795561 */     GIR_RootConstrainSelectedInstOperands,
     /*  795562 */     // GIR_Coverage, 19392,
     /*  795562 */     GIR_EraseRootFromParent_Done,
     /*  795563 */   // Label 12311: @795563
     /*  795563 */   GIM_Try, /*On fail goto*//*Label 12312*/ GIMT_Encode4(795638), // Rule ID 19395 //
     /*  795568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  795576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  795579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  795582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  795585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  795588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795614 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  795617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795636 */     GIR_RootConstrainSelectedInstOperands,
     /*  795637 */     // GIR_Coverage, 19395,
     /*  795637 */     GIR_EraseRootFromParent_Done,
     /*  795638 */   // Label 12312: @795638
     /*  795638 */   GIM_Try, /*On fail goto*//*Label 12313*/ GIMT_Encode4(795713), // Rule ID 19396 //
     /*  795643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  795651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  795654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  795657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  795660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  795663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795689 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  795692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795711 */     GIR_RootConstrainSelectedInstOperands,
     /*  795712 */     // GIR_Coverage, 19396,
     /*  795712 */     GIR_EraseRootFromParent_Done,
     /*  795713 */   // Label 12313: @795713
     /*  795713 */   GIM_Try, /*On fail goto*//*Label 12314*/ GIMT_Encode4(795788), // Rule ID 19399 //
     /*  795718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  795726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  795729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  795732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  795735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  795738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795764 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  795767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795786 */     GIR_RootConstrainSelectedInstOperands,
     /*  795787 */     // GIR_Coverage, 19399,
     /*  795787 */     GIR_EraseRootFromParent_Done,
     /*  795788 */   // Label 12314: @795788
     /*  795788 */   GIM_Try, /*On fail goto*//*Label 12315*/ GIMT_Encode4(795863), // Rule ID 19400 //
     /*  795793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  795801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  795804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  795807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  795810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  795813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795839 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  795842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795861 */     GIR_RootConstrainSelectedInstOperands,
     /*  795862 */     // GIR_Coverage, 19400,
     /*  795862 */     GIR_EraseRootFromParent_Done,
     /*  795863 */   // Label 12315: @795863
     /*  795863 */   GIM_Try, /*On fail goto*//*Label 12316*/ GIMT_Encode4(795938), // Rule ID 19403 //
     /*  795868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  795871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  795876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  795882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  795885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  795888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795914 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  795914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  795917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795936 */     GIR_RootConstrainSelectedInstOperands,
     /*  795937 */     // GIR_Coverage, 19403,
     /*  795937 */     GIR_EraseRootFromParent_Done,
     /*  795938 */   // Label 12316: @795938
     /*  795938 */   GIM_Try, /*On fail goto*//*Label 12317*/ GIMT_Encode4(796013), // Rule ID 19404 //
     /*  795943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  795946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  795951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  795957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  795960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  795963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795989 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  795989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  795992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796011 */     GIR_RootConstrainSelectedInstOperands,
     /*  796012 */     // GIR_Coverage, 19404,
     /*  796012 */     GIR_EraseRootFromParent_Done,
     /*  796013 */   // Label 12317: @796013
     /*  796013 */   GIM_Try, /*On fail goto*//*Label 12318*/ GIMT_Encode4(796088), // Rule ID 19407 //
     /*  796018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  796029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  796032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  796035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  796038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796064 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  796067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796086 */     GIR_RootConstrainSelectedInstOperands,
     /*  796087 */     // GIR_Coverage, 19407,
     /*  796087 */     GIR_EraseRootFromParent_Done,
     /*  796088 */   // Label 12318: @796088
     /*  796088 */   GIM_Try, /*On fail goto*//*Label 12319*/ GIMT_Encode4(796163), // Rule ID 19408 //
     /*  796093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  796104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  796107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  796110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  796113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796139 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  796142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796161 */     GIR_RootConstrainSelectedInstOperands,
     /*  796162 */     // GIR_Coverage, 19408,
     /*  796162 */     GIR_EraseRootFromParent_Done,
     /*  796163 */   // Label 12319: @796163
     /*  796163 */   GIM_Try, /*On fail goto*//*Label 12320*/ GIMT_Encode4(796238), // Rule ID 19411 //
     /*  796168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  796179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  796182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  796185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  796188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796214 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  796217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796236 */     GIR_RootConstrainSelectedInstOperands,
     /*  796237 */     // GIR_Coverage, 19411,
     /*  796237 */     GIR_EraseRootFromParent_Done,
     /*  796238 */   // Label 12320: @796238
     /*  796238 */   GIM_Try, /*On fail goto*//*Label 12321*/ GIMT_Encode4(796313), // Rule ID 19412 //
     /*  796243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  796254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  796257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  796260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  796263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796289 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  796292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796311 */     GIR_RootConstrainSelectedInstOperands,
     /*  796312 */     // GIR_Coverage, 19412,
     /*  796312 */     GIR_EraseRootFromParent_Done,
     /*  796313 */   // Label 12321: @796313
     /*  796313 */   GIM_Try, /*On fail goto*//*Label 12322*/ GIMT_Encode4(796388), // Rule ID 19415 //
     /*  796318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  796329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  796332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  796335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  796338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796364 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  796367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796386 */     GIR_RootConstrainSelectedInstOperands,
     /*  796387 */     // GIR_Coverage, 19415,
     /*  796387 */     GIR_EraseRootFromParent_Done,
     /*  796388 */   // Label 12322: @796388
     /*  796388 */   GIM_Try, /*On fail goto*//*Label 12323*/ GIMT_Encode4(796463), // Rule ID 19416 //
     /*  796393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  796404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  796407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  796410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  796413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796439 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  796442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796461 */     GIR_RootConstrainSelectedInstOperands,
     /*  796462 */     // GIR_Coverage, 19416,
     /*  796462 */     GIR_EraseRootFromParent_Done,
     /*  796463 */   // Label 12323: @796463
     /*  796463 */   GIM_Try, /*On fail goto*//*Label 12324*/ GIMT_Encode4(796538), // Rule ID 19419 //
     /*  796468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  796479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  796482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  796485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  796488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796514 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  796517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796536 */     GIR_RootConstrainSelectedInstOperands,
     /*  796537 */     // GIR_Coverage, 19419,
     /*  796537 */     GIR_EraseRootFromParent_Done,
     /*  796538 */   // Label 12324: @796538
     /*  796538 */   GIM_Try, /*On fail goto*//*Label 12325*/ GIMT_Encode4(796613), // Rule ID 19420 //
     /*  796543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  796554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  796557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  796560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  796563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796589 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  796592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796611 */     GIR_RootConstrainSelectedInstOperands,
     /*  796612 */     // GIR_Coverage, 19420,
     /*  796612 */     GIR_EraseRootFromParent_Done,
     /*  796613 */   // Label 12325: @796613
     /*  796613 */   GIM_Try, /*On fail goto*//*Label 12326*/ GIMT_Encode4(796688), // Rule ID 19423 //
     /*  796618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  796629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  796632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  796635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  796638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796664 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  796667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796686 */     GIR_RootConstrainSelectedInstOperands,
     /*  796687 */     // GIR_Coverage, 19423,
     /*  796687 */     GIR_EraseRootFromParent_Done,
     /*  796688 */   // Label 12326: @796688
     /*  796688 */   GIM_Try, /*On fail goto*//*Label 12327*/ GIMT_Encode4(796763), // Rule ID 19424 //
     /*  796693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  796704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  796707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  796710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  796713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796739 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  796742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796761 */     GIR_RootConstrainSelectedInstOperands,
     /*  796762 */     // GIR_Coverage, 19424,
     /*  796762 */     GIR_EraseRootFromParent_Done,
     /*  796763 */   // Label 12327: @796763
     /*  796763 */   GIM_Try, /*On fail goto*//*Label 12328*/ GIMT_Encode4(796838), // Rule ID 19427 //
     /*  796768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  796779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  796782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  796785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  796788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796814 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  796817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796836 */     GIR_RootConstrainSelectedInstOperands,
     /*  796837 */     // GIR_Coverage, 19427,
     /*  796837 */     GIR_EraseRootFromParent_Done,
     /*  796838 */   // Label 12328: @796838
     /*  796838 */   GIM_Try, /*On fail goto*//*Label 12329*/ GIMT_Encode4(796913), // Rule ID 19428 //
     /*  796843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  796854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  796857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  796860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  796863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796889 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  796892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796911 */     GIR_RootConstrainSelectedInstOperands,
     /*  796912 */     // GIR_Coverage, 19428,
     /*  796912 */     GIR_EraseRootFromParent_Done,
     /*  796913 */   // Label 12329: @796913
     /*  796913 */   GIM_Try, /*On fail goto*//*Label 12330*/ GIMT_Encode4(796988), // Rule ID 19431 //
     /*  796918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  796926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  796929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  796932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  796935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  796938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796964 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  796967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796986 */     GIR_RootConstrainSelectedInstOperands,
     /*  796987 */     // GIR_Coverage, 19431,
     /*  796987 */     GIR_EraseRootFromParent_Done,
     /*  796988 */   // Label 12330: @796988
     /*  796988 */   GIM_Try, /*On fail goto*//*Label 12331*/ GIMT_Encode4(797063), // Rule ID 19432 //
     /*  796993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  797004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  797007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  797010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  797013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  797032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797039 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  797039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  797042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797061 */     GIR_RootConstrainSelectedInstOperands,
     /*  797062 */     // GIR_Coverage, 19432,
     /*  797062 */     GIR_EraseRootFromParent_Done,
     /*  797063 */   // Label 12331: @797063
     /*  797063 */   GIM_Try, /*On fail goto*//*Label 12332*/ GIMT_Encode4(797138), // Rule ID 19435 //
     /*  797068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  797071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  797079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  797082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  797085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  797088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797114 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  797114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  797117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797136 */     GIR_RootConstrainSelectedInstOperands,
     /*  797137 */     // GIR_Coverage, 19435,
     /*  797137 */     GIR_EraseRootFromParent_Done,
     /*  797138 */   // Label 12332: @797138
     /*  797138 */   GIM_Try, /*On fail goto*//*Label 12333*/ GIMT_Encode4(797213), // Rule ID 19436 //
     /*  797143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  797146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  797154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  797157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  797160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  797163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  797182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797189 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  797189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  797192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797211 */     GIR_RootConstrainSelectedInstOperands,
     /*  797212 */     // GIR_Coverage, 19436,
     /*  797212 */     GIR_EraseRootFromParent_Done,
     /*  797213 */   // Label 12333: @797213
     /*  797213 */   GIM_Try, /*On fail goto*//*Label 12334*/ GIMT_Encode4(797288), // Rule ID 19439 //
     /*  797218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  797221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  797229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  797232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  797235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  797238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797264 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  797264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  797267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797286 */     GIR_RootConstrainSelectedInstOperands,
     /*  797287 */     // GIR_Coverage, 19439,
     /*  797287 */     GIR_EraseRootFromParent_Done,
     /*  797288 */   // Label 12334: @797288
     /*  797288 */   GIM_Try, /*On fail goto*//*Label 12335*/ GIMT_Encode4(797363), // Rule ID 19440 //
     /*  797293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  797296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  797304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  797307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  797310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  797313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797339 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  797339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  797342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797361 */     GIR_RootConstrainSelectedInstOperands,
     /*  797362 */     // GIR_Coverage, 19440,
     /*  797362 */     GIR_EraseRootFromParent_Done,
     /*  797363 */   // Label 12335: @797363
     /*  797363 */   GIM_Try, /*On fail goto*//*Label 12336*/ GIMT_Encode4(797438), // Rule ID 19443 //
     /*  797368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  797379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  797382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  797385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  797388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  797407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797414 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  797417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797436 */     GIR_RootConstrainSelectedInstOperands,
     /*  797437 */     // GIR_Coverage, 19443,
     /*  797437 */     GIR_EraseRootFromParent_Done,
     /*  797438 */   // Label 12336: @797438
     /*  797438 */   GIM_Try, /*On fail goto*//*Label 12337*/ GIMT_Encode4(797513), // Rule ID 19444 //
     /*  797443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  797454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  797457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  797460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  797463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  797482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797489 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  797492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797511 */     GIR_RootConstrainSelectedInstOperands,
     /*  797512 */     // GIR_Coverage, 19444,
     /*  797512 */     GIR_EraseRootFromParent_Done,
     /*  797513 */   // Label 12337: @797513
     /*  797513 */   GIM_Try, /*On fail goto*//*Label 12338*/ GIMT_Encode4(797588), // Rule ID 19447 //
     /*  797518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  797529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  797532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  797535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  797538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  797557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797564 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  797567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797586 */     GIR_RootConstrainSelectedInstOperands,
     /*  797587 */     // GIR_Coverage, 19447,
     /*  797587 */     GIR_EraseRootFromParent_Done,
     /*  797588 */   // Label 12338: @797588
     /*  797588 */   GIM_Try, /*On fail goto*//*Label 12339*/ GIMT_Encode4(797663), // Rule ID 19448 //
     /*  797593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  797604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  797607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  797610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  797613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  797632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797639 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  797642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797661 */     GIR_RootConstrainSelectedInstOperands,
     /*  797662 */     // GIR_Coverage, 19448,
     /*  797662 */     GIR_EraseRootFromParent_Done,
     /*  797663 */   // Label 12339: @797663
     /*  797663 */   GIM_Try, /*On fail goto*//*Label 12340*/ GIMT_Encode4(797738), // Rule ID 19451 //
     /*  797668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  797679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  797682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  797685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  797688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  797707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797714 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  797717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797736 */     GIR_RootConstrainSelectedInstOperands,
     /*  797737 */     // GIR_Coverage, 19451,
     /*  797737 */     GIR_EraseRootFromParent_Done,
     /*  797738 */   // Label 12340: @797738
     /*  797738 */   GIM_Try, /*On fail goto*//*Label 12341*/ GIMT_Encode4(797813), // Rule ID 19452 //
     /*  797743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  797746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  797754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  797757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  797760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  797763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  797782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797789 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  797792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797811 */     GIR_RootConstrainSelectedInstOperands,
     /*  797812 */     // GIR_Coverage, 19452,
     /*  797812 */     GIR_EraseRootFromParent_Done,
     /*  797813 */   // Label 12341: @797813
     /*  797813 */   GIM_Try, /*On fail goto*//*Label 12342*/ GIMT_Encode4(797888), // Rule ID 19455 //
     /*  797818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  797829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  797832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  797835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  797838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  797857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797864 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  797867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797886 */     GIR_RootConstrainSelectedInstOperands,
     /*  797887 */     // GIR_Coverage, 19455,
     /*  797887 */     GIR_EraseRootFromParent_Done,
     /*  797888 */   // Label 12342: @797888
     /*  797888 */   GIM_Try, /*On fail goto*//*Label 12343*/ GIMT_Encode4(797963), // Rule ID 19456 //
     /*  797893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  797904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  797907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  797910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  797913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  797932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797939 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  797942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797961 */     GIR_RootConstrainSelectedInstOperands,
     /*  797962 */     // GIR_Coverage, 19456,
     /*  797962 */     GIR_EraseRootFromParent_Done,
     /*  797963 */   // Label 12343: @797963
     /*  797963 */   GIM_Try, /*On fail goto*//*Label 12344*/ GIMT_Encode4(798038), // Rule ID 19459 //
     /*  797968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  797976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  797979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  797982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  797985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  797988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  798007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798014 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  798017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798036 */     GIR_RootConstrainSelectedInstOperands,
     /*  798037 */     // GIR_Coverage, 19459,
     /*  798037 */     GIR_EraseRootFromParent_Done,
     /*  798038 */   // Label 12344: @798038
     /*  798038 */   GIM_Try, /*On fail goto*//*Label 12345*/ GIMT_Encode4(798113), // Rule ID 19460 //
     /*  798043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  798054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  798057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  798060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  798063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  798082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798089 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  798092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798111 */     GIR_RootConstrainSelectedInstOperands,
     /*  798112 */     // GIR_Coverage, 19460,
     /*  798112 */     GIR_EraseRootFromParent_Done,
     /*  798113 */   // Label 12345: @798113
     /*  798113 */   GIM_Try, /*On fail goto*//*Label 12346*/ GIMT_Encode4(798188), // Rule ID 19463 //
     /*  798118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  798129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  798132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  798135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  798138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  798157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798164 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  798167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798186 */     GIR_RootConstrainSelectedInstOperands,
     /*  798187 */     // GIR_Coverage, 19463,
     /*  798187 */     GIR_EraseRootFromParent_Done,
     /*  798188 */   // Label 12346: @798188
     /*  798188 */   GIM_Try, /*On fail goto*//*Label 12347*/ GIMT_Encode4(798263), // Rule ID 19464 //
     /*  798193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  798204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  798207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  798210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  798213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  798232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798239 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  798242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798261 */     GIR_RootConstrainSelectedInstOperands,
     /*  798262 */     // GIR_Coverage, 19464,
     /*  798262 */     GIR_EraseRootFromParent_Done,
     /*  798263 */   // Label 12347: @798263
     /*  798263 */   GIM_Try, /*On fail goto*//*Label 12348*/ GIMT_Encode4(798338), // Rule ID 19467 //
     /*  798268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  798279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  798282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  798285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798314 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  798317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798336 */     GIR_RootConstrainSelectedInstOperands,
     /*  798337 */     // GIR_Coverage, 19467,
     /*  798337 */     GIR_EraseRootFromParent_Done,
     /*  798338 */   // Label 12348: @798338
     /*  798338 */   GIM_Try, /*On fail goto*//*Label 12349*/ GIMT_Encode4(798413), // Rule ID 19468 //
     /*  798343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  798354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  798357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  798360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798389 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  798392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798411 */     GIR_RootConstrainSelectedInstOperands,
     /*  798412 */     // GIR_Coverage, 19468,
     /*  798412 */     GIR_EraseRootFromParent_Done,
     /*  798413 */   // Label 12349: @798413
     /*  798413 */   GIM_Try, /*On fail goto*//*Label 12350*/ GIMT_Encode4(798488), // Rule ID 19471 //
     /*  798418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  798429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  798432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  798435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798464 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  798467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798486 */     GIR_RootConstrainSelectedInstOperands,
     /*  798487 */     // GIR_Coverage, 19471,
     /*  798487 */     GIR_EraseRootFromParent_Done,
     /*  798488 */   // Label 12350: @798488
     /*  798488 */   GIM_Try, /*On fail goto*//*Label 12351*/ GIMT_Encode4(798563), // Rule ID 19472 //
     /*  798493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  798504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  798507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  798510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798539 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  798542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798561 */     GIR_RootConstrainSelectedInstOperands,
     /*  798562 */     // GIR_Coverage, 19472,
     /*  798562 */     GIR_EraseRootFromParent_Done,
     /*  798563 */   // Label 12351: @798563
     /*  798563 */   GIM_Try, /*On fail goto*//*Label 12352*/ GIMT_Encode4(798638), // Rule ID 19475 //
     /*  798568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  798579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  798582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  798585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798614 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  798617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798636 */     GIR_RootConstrainSelectedInstOperands,
     /*  798637 */     // GIR_Coverage, 19475,
     /*  798637 */     GIR_EraseRootFromParent_Done,
     /*  798638 */   // Label 12352: @798638
     /*  798638 */   GIM_Try, /*On fail goto*//*Label 12353*/ GIMT_Encode4(798713), // Rule ID 19476 //
     /*  798643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  798654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  798657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  798660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798689 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  798692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798711 */     GIR_RootConstrainSelectedInstOperands,
     /*  798712 */     // GIR_Coverage, 19476,
     /*  798712 */     GIR_EraseRootFromParent_Done,
     /*  798713 */   // Label 12353: @798713
     /*  798713 */   GIM_Try, /*On fail goto*//*Label 12354*/ GIMT_Encode4(798788), // Rule ID 19479 //
     /*  798718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  798729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  798732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  798735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  798738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  798757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798764 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  798767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798786 */     GIR_RootConstrainSelectedInstOperands,
     /*  798787 */     // GIR_Coverage, 19479,
     /*  798787 */     GIR_EraseRootFromParent_Done,
     /*  798788 */   // Label 12354: @798788
     /*  798788 */   GIM_Try, /*On fail goto*//*Label 12355*/ GIMT_Encode4(798863), // Rule ID 19480 //
     /*  798793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  798804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  798807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  798810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  798813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  798832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798839 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  798842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798861 */     GIR_RootConstrainSelectedInstOperands,
     /*  798862 */     // GIR_Coverage, 19480,
     /*  798862 */     GIR_EraseRootFromParent_Done,
     /*  798863 */   // Label 12355: @798863
     /*  798863 */   GIM_Try, /*On fail goto*//*Label 12356*/ GIMT_Encode4(798938), // Rule ID 19483 //
     /*  798868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  798879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  798882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  798885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  798888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  798907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798914 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  798917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798936 */     GIR_RootConstrainSelectedInstOperands,
     /*  798937 */     // GIR_Coverage, 19483,
     /*  798937 */     GIR_EraseRootFromParent_Done,
     /*  798938 */   // Label 12356: @798938
     /*  798938 */   GIM_Try, /*On fail goto*//*Label 12357*/ GIMT_Encode4(799013), // Rule ID 19484 //
     /*  798943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  798951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  798954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  798957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  798960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  798963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  798982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798989 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  798992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799011 */     GIR_RootConstrainSelectedInstOperands,
     /*  799012 */     // GIR_Coverage, 19484,
     /*  799012 */     GIR_EraseRootFromParent_Done,
     /*  799013 */   // Label 12357: @799013
     /*  799013 */   GIM_Try, /*On fail goto*//*Label 12358*/ GIMT_Encode4(799088), // Rule ID 19487 //
     /*  799018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  799021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  799029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  799032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  799035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799064 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  799064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  799067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799086 */     GIR_RootConstrainSelectedInstOperands,
     /*  799087 */     // GIR_Coverage, 19487,
     /*  799087 */     GIR_EraseRootFromParent_Done,
     /*  799088 */   // Label 12358: @799088
     /*  799088 */   GIM_Try, /*On fail goto*//*Label 12359*/ GIMT_Encode4(799163), // Rule ID 19488 //
     /*  799093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  799096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  799104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  799107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  799110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799139 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  799139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  799142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799161 */     GIR_RootConstrainSelectedInstOperands,
     /*  799162 */     // GIR_Coverage, 19488,
     /*  799162 */     GIR_EraseRootFromParent_Done,
     /*  799163 */   // Label 12359: @799163
     /*  799163 */   GIM_Try, /*On fail goto*//*Label 12360*/ GIMT_Encode4(799238), // Rule ID 19491 //
     /*  799168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  799171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  799179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  799182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  799185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799214 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  799214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  799217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799236 */     GIR_RootConstrainSelectedInstOperands,
     /*  799237 */     // GIR_Coverage, 19491,
     /*  799237 */     GIR_EraseRootFromParent_Done,
     /*  799238 */   // Label 12360: @799238
     /*  799238 */   GIM_Try, /*On fail goto*//*Label 12361*/ GIMT_Encode4(799313), // Rule ID 19492 //
     /*  799243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  799246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  799254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  799257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  799260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799289 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  799292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799311 */     GIR_RootConstrainSelectedInstOperands,
     /*  799312 */     // GIR_Coverage, 19492,
     /*  799312 */     GIR_EraseRootFromParent_Done,
     /*  799313 */   // Label 12361: @799313
     /*  799313 */   GIM_Try, /*On fail goto*//*Label 12362*/ GIMT_Encode4(799388), // Rule ID 19495 //
     /*  799318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  799321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  799329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  799332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  799335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799364 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  799364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  799367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799386 */     GIR_RootConstrainSelectedInstOperands,
     /*  799387 */     // GIR_Coverage, 19495,
     /*  799387 */     GIR_EraseRootFromParent_Done,
     /*  799388 */   // Label 12362: @799388
     /*  799388 */   GIM_Try, /*On fail goto*//*Label 12363*/ GIMT_Encode4(799463), // Rule ID 19496 //
     /*  799393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  799396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  799404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  799407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  799410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799439 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  799442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799461 */     GIR_RootConstrainSelectedInstOperands,
     /*  799462 */     // GIR_Coverage, 19496,
     /*  799462 */     GIR_EraseRootFromParent_Done,
     /*  799463 */   // Label 12363: @799463
     /*  799463 */   GIM_Try, /*On fail goto*//*Label 12364*/ GIMT_Encode4(799538), // Rule ID 19499 //
     /*  799468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  799471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  799479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  799482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  799485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799514 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  799514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  799517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799536 */     GIR_RootConstrainSelectedInstOperands,
     /*  799537 */     // GIR_Coverage, 19499,
     /*  799537 */     GIR_EraseRootFromParent_Done,
     /*  799538 */   // Label 12364: @799538
     /*  799538 */   GIM_Try, /*On fail goto*//*Label 12365*/ GIMT_Encode4(799613), // Rule ID 19500 //
     /*  799543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  799546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  799551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  799554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  799557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  799560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799589 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  799592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799611 */     GIR_RootConstrainSelectedInstOperands,
     /*  799612 */     // GIR_Coverage, 19500,
     /*  799612 */     GIR_EraseRootFromParent_Done,
     /*  799613 */   // Label 12365: @799613
     /*  799613 */   GIM_Try, /*On fail goto*//*Label 12366*/ GIMT_Encode4(799688), // Rule ID 19503 //
     /*  799618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  799626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  799629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  799632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  799635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  799638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799664 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  799667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799686 */     GIR_RootConstrainSelectedInstOperands,
     /*  799687 */     // GIR_Coverage, 19503,
     /*  799687 */     GIR_EraseRootFromParent_Done,
     /*  799688 */   // Label 12366: @799688
     /*  799688 */   GIM_Try, /*On fail goto*//*Label 12367*/ GIMT_Encode4(799763), // Rule ID 19504 //
     /*  799693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  799701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  799704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  799707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  799710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  799713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799739 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  799742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799761 */     GIR_RootConstrainSelectedInstOperands,
     /*  799762 */     // GIR_Coverage, 19504,
     /*  799762 */     GIR_EraseRootFromParent_Done,
     /*  799763 */   // Label 12367: @799763
     /*  799763 */   GIM_Try, /*On fail goto*//*Label 12368*/ GIMT_Encode4(799838), // Rule ID 19507 //
     /*  799768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  799776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  799779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  799782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  799785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  799788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799814 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  799817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799836 */     GIR_RootConstrainSelectedInstOperands,
     /*  799837 */     // GIR_Coverage, 19507,
     /*  799837 */     GIR_EraseRootFromParent_Done,
     /*  799838 */   // Label 12368: @799838
     /*  799838 */   GIM_Try, /*On fail goto*//*Label 12369*/ GIMT_Encode4(799913), // Rule ID 19508 //
     /*  799843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  799851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  799854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  799857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  799860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  799863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799889 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  799892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799911 */     GIR_RootConstrainSelectedInstOperands,
     /*  799912 */     // GIR_Coverage, 19508,
     /*  799912 */     GIR_EraseRootFromParent_Done,
     /*  799913 */   // Label 12369: @799913
     /*  799913 */   GIM_Try, /*On fail goto*//*Label 12370*/ GIMT_Encode4(799988), // Rule ID 19511 //
     /*  799918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  799921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  799926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  799929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  799932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  799935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  799938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799964 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  799964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  799967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799986 */     GIR_RootConstrainSelectedInstOperands,
     /*  799987 */     // GIR_Coverage, 19511,
     /*  799987 */     GIR_EraseRootFromParent_Done,
     /*  799988 */   // Label 12370: @799988
     /*  799988 */   GIM_Try, /*On fail goto*//*Label 12371*/ GIMT_Encode4(800063), // Rule ID 19512 //
     /*  799993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  799996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  800001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  800004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  800007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  800010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  800013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800039 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  800042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800061 */     GIR_RootConstrainSelectedInstOperands,
     /*  800062 */     // GIR_Coverage, 19512,
     /*  800062 */     GIR_EraseRootFromParent_Done,
     /*  800063 */   // Label 12371: @800063
     /*  800063 */   GIM_Try, /*On fail goto*//*Label 12372*/ GIMT_Encode4(800138), // Rule ID 19515 //
     /*  800068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  800076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  800079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  800082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  800085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  800088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800114 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  800117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800136 */     GIR_RootConstrainSelectedInstOperands,
     /*  800137 */     // GIR_Coverage, 19515,
     /*  800137 */     GIR_EraseRootFromParent_Done,
     /*  800138 */   // Label 12372: @800138
     /*  800138 */   GIM_Try, /*On fail goto*//*Label 12373*/ GIMT_Encode4(800213), // Rule ID 19516 //
     /*  800143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  800146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  800151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  800154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  800157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  800160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  800163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800189 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  800192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800211 */     GIR_RootConstrainSelectedInstOperands,
     /*  800212 */     // GIR_Coverage, 19516,
     /*  800212 */     GIR_EraseRootFromParent_Done,
     /*  800213 */   // Label 12373: @800213
     /*  800213 */   GIM_Try, /*On fail goto*//*Label 12374*/ GIMT_Encode4(800288), // Rule ID 19519 //
     /*  800218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  800226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  800229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  800232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  800235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  800238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800264 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  800267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800286 */     GIR_RootConstrainSelectedInstOperands,
     /*  800287 */     // GIR_Coverage, 19519,
     /*  800287 */     GIR_EraseRootFromParent_Done,
     /*  800288 */   // Label 12374: @800288
     /*  800288 */   GIM_Try, /*On fail goto*//*Label 12375*/ GIMT_Encode4(800363), // Rule ID 19520 //
     /*  800293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  800301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  800304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  800307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  800310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  800313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800339 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  800342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800361 */     GIR_RootConstrainSelectedInstOperands,
     /*  800362 */     // GIR_Coverage, 19520,
     /*  800362 */     GIR_EraseRootFromParent_Done,
     /*  800363 */   // Label 12375: @800363
     /*  800363 */   GIM_Try, /*On fail goto*//*Label 12376*/ GIMT_Encode4(800438), // Rule ID 19523 //
     /*  800368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  800371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  800376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  800379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  800382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  800385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  800388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800414 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  800417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800436 */     GIR_RootConstrainSelectedInstOperands,
     /*  800437 */     // GIR_Coverage, 19523,
     /*  800437 */     GIR_EraseRootFromParent_Done,
     /*  800438 */   // Label 12376: @800438
     /*  800438 */   GIM_Try, /*On fail goto*//*Label 12377*/ GIMT_Encode4(800513), // Rule ID 19524 //
     /*  800443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  800446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  800451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  800454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  800457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  800460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  800463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800489 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  800492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800511 */     GIR_RootConstrainSelectedInstOperands,
     /*  800512 */     // GIR_Coverage, 19524,
     /*  800512 */     GIR_EraseRootFromParent_Done,
     /*  800513 */   // Label 12377: @800513
     /*  800513 */   GIM_Try, /*On fail goto*//*Label 12378*/ GIMT_Encode4(800588), // Rule ID 19527 //
     /*  800518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  800526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  800529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  800532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  800535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  800538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800564 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  800567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800586 */     GIR_RootConstrainSelectedInstOperands,
     /*  800587 */     // GIR_Coverage, 19527,
     /*  800587 */     GIR_EraseRootFromParent_Done,
     /*  800588 */   // Label 12378: @800588
     /*  800588 */   GIM_Try, /*On fail goto*//*Label 12379*/ GIMT_Encode4(800663), // Rule ID 19528 //
     /*  800593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  800596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  800601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  800604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  800607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  800610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  800613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800639 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  800642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800661 */     GIR_RootConstrainSelectedInstOperands,
     /*  800662 */     // GIR_Coverage, 19528,
     /*  800662 */     GIR_EraseRootFromParent_Done,
     /*  800663 */   // Label 12379: @800663
     /*  800663 */   GIM_Try, /*On fail goto*//*Label 12380*/ GIMT_Encode4(800738), // Rule ID 19531 //
     /*  800668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  800676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  800679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  800682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  800685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  800688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800714 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  800717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800736 */     GIR_RootConstrainSelectedInstOperands,
     /*  800737 */     // GIR_Coverage, 19531,
     /*  800737 */     GIR_EraseRootFromParent_Done,
     /*  800738 */   // Label 12380: @800738
     /*  800738 */   GIM_Try, /*On fail goto*//*Label 12381*/ GIMT_Encode4(800813), // Rule ID 19532 //
     /*  800743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  800746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  800751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  800754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  800757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  800760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  800763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800789 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  800792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800811 */     GIR_RootConstrainSelectedInstOperands,
     /*  800812 */     // GIR_Coverage, 19532,
     /*  800812 */     GIR_EraseRootFromParent_Done,
     /*  800813 */   // Label 12381: @800813
     /*  800813 */   GIM_Try, /*On fail goto*//*Label 12382*/ GIMT_Encode4(800888), // Rule ID 19535 //
     /*  800818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  800826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  800829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  800832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  800835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  800838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800864 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  800867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800886 */     GIR_RootConstrainSelectedInstOperands,
     /*  800887 */     // GIR_Coverage, 19535,
     /*  800887 */     GIR_EraseRootFromParent_Done,
     /*  800888 */   // Label 12382: @800888
     /*  800888 */   GIM_Try, /*On fail goto*//*Label 12383*/ GIMT_Encode4(800963), // Rule ID 19536 //
     /*  800893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  800896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  800901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  800904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  800907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  800910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  800913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800939 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  800942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800961 */     GIR_RootConstrainSelectedInstOperands,
     /*  800962 */     // GIR_Coverage, 19536,
     /*  800962 */     GIR_EraseRootFromParent_Done,
     /*  800963 */   // Label 12383: @800963
     /*  800963 */   GIM_Try, /*On fail goto*//*Label 12384*/ GIMT_Encode4(801038), // Rule ID 19539 //
     /*  800968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  800976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  800979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  800982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  800985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  800988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801014 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  801017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801036 */     GIR_RootConstrainSelectedInstOperands,
     /*  801037 */     // GIR_Coverage, 19539,
     /*  801037 */     GIR_EraseRootFromParent_Done,
     /*  801038 */   // Label 12384: @801038
     /*  801038 */   GIM_Try, /*On fail goto*//*Label 12385*/ GIMT_Encode4(801113), // Rule ID 19540 //
     /*  801043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  801054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  801057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  801060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  801063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801089 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  801092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801111 */     GIR_RootConstrainSelectedInstOperands,
     /*  801112 */     // GIR_Coverage, 19540,
     /*  801112 */     GIR_EraseRootFromParent_Done,
     /*  801113 */   // Label 12385: @801113
     /*  801113 */   GIM_Try, /*On fail goto*//*Label 12386*/ GIMT_Encode4(801188), // Rule ID 19543 //
     /*  801118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  801121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  801129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  801132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  801135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  801138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801164 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  801167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801186 */     GIR_RootConstrainSelectedInstOperands,
     /*  801187 */     // GIR_Coverage, 19543,
     /*  801187 */     GIR_EraseRootFromParent_Done,
     /*  801188 */   // Label 12386: @801188
     /*  801188 */   GIM_Try, /*On fail goto*//*Label 12387*/ GIMT_Encode4(801263), // Rule ID 19544 //
     /*  801193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  801204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  801207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  801210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  801213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801239 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  801242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801261 */     GIR_RootConstrainSelectedInstOperands,
     /*  801262 */     // GIR_Coverage, 19544,
     /*  801262 */     GIR_EraseRootFromParent_Done,
     /*  801263 */   // Label 12387: @801263
     /*  801263 */   GIM_Try, /*On fail goto*//*Label 12388*/ GIMT_Encode4(801338), // Rule ID 19547 //
     /*  801268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  801271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  801279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  801282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  801285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  801288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801314 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  801317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801336 */     GIR_RootConstrainSelectedInstOperands,
     /*  801337 */     // GIR_Coverage, 19547,
     /*  801337 */     GIR_EraseRootFromParent_Done,
     /*  801338 */   // Label 12388: @801338
     /*  801338 */   GIM_Try, /*On fail goto*//*Label 12389*/ GIMT_Encode4(801413), // Rule ID 19548 //
     /*  801343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  801354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  801357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  801360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  801363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801389 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  801392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801411 */     GIR_RootConstrainSelectedInstOperands,
     /*  801412 */     // GIR_Coverage, 19548,
     /*  801412 */     GIR_EraseRootFromParent_Done,
     /*  801413 */   // Label 12389: @801413
     /*  801413 */   GIM_Try, /*On fail goto*//*Label 12390*/ GIMT_Encode4(801488), // Rule ID 19551 //
     /*  801418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  801421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  801429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  801432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  801435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  801438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801464 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  801464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  801467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801486 */     GIR_RootConstrainSelectedInstOperands,
     /*  801487 */     // GIR_Coverage, 19551,
     /*  801487 */     GIR_EraseRootFromParent_Done,
     /*  801488 */   // Label 12390: @801488
     /*  801488 */   GIM_Try, /*On fail goto*//*Label 12391*/ GIMT_Encode4(801563), // Rule ID 19552 //
     /*  801493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  801496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  801504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  801507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  801510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  801513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801539 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  801539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  801542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801561 */     GIR_RootConstrainSelectedInstOperands,
     /*  801562 */     // GIR_Coverage, 19552,
     /*  801562 */     GIR_EraseRootFromParent_Done,
     /*  801563 */   // Label 12391: @801563
     /*  801563 */   GIM_Try, /*On fail goto*//*Label 12392*/ GIMT_Encode4(801638), // Rule ID 19555 //
     /*  801568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  801571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  801579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  801582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  801585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  801588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801614 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  801614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  801617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801636 */     GIR_RootConstrainSelectedInstOperands,
     /*  801637 */     // GIR_Coverage, 19555,
     /*  801637 */     GIR_EraseRootFromParent_Done,
     /*  801638 */   // Label 12392: @801638
     /*  801638 */   GIM_Try, /*On fail goto*//*Label 12393*/ GIMT_Encode4(801713), // Rule ID 19556 //
     /*  801643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  801646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  801654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  801657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  801660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  801663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801689 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  801689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  801692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801711 */     GIR_RootConstrainSelectedInstOperands,
     /*  801712 */     // GIR_Coverage, 19556,
     /*  801712 */     GIR_EraseRootFromParent_Done,
     /*  801713 */   // Label 12393: @801713
     /*  801713 */   GIM_Try, /*On fail goto*//*Label 12394*/ GIMT_Encode4(801788), // Rule ID 19559 //
     /*  801718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  801721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  801729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  801732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  801735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  801738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801764 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  801764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  801767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801786 */     GIR_RootConstrainSelectedInstOperands,
     /*  801787 */     // GIR_Coverage, 19559,
     /*  801787 */     GIR_EraseRootFromParent_Done,
     /*  801788 */   // Label 12394: @801788
     /*  801788 */   GIM_Try, /*On fail goto*//*Label 12395*/ GIMT_Encode4(801863), // Rule ID 19560 //
     /*  801793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  801796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  801804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  801807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  801810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  801813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801839 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  801839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  801842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801861 */     GIR_RootConstrainSelectedInstOperands,
     /*  801862 */     // GIR_Coverage, 19560,
     /*  801862 */     GIR_EraseRootFromParent_Done,
     /*  801863 */   // Label 12395: @801863
     /*  801863 */   GIM_Try, /*On fail goto*//*Label 12396*/ GIMT_Encode4(801938), // Rule ID 19563 //
     /*  801868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  801879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  801882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  801885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  801888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  801907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801914 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  801917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801936 */     GIR_RootConstrainSelectedInstOperands,
     /*  801937 */     // GIR_Coverage, 19563,
     /*  801937 */     GIR_EraseRootFromParent_Done,
     /*  801938 */   // Label 12396: @801938
     /*  801938 */   GIM_Try, /*On fail goto*//*Label 12397*/ GIMT_Encode4(802013), // Rule ID 19564 //
     /*  801943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  801951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  801954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  801957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  801960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  801963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  801982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801989 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  801992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802011 */     GIR_RootConstrainSelectedInstOperands,
     /*  802012 */     // GIR_Coverage, 19564,
     /*  802012 */     GIR_EraseRootFromParent_Done,
     /*  802013 */   // Label 12397: @802013
     /*  802013 */   GIM_Try, /*On fail goto*//*Label 12398*/ GIMT_Encode4(802088), // Rule ID 19567 //
     /*  802018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  802029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  802032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  802035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  802038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  802057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802064 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  802067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802086 */     GIR_RootConstrainSelectedInstOperands,
     /*  802087 */     // GIR_Coverage, 19567,
     /*  802087 */     GIR_EraseRootFromParent_Done,
     /*  802088 */   // Label 12398: @802088
     /*  802088 */   GIM_Try, /*On fail goto*//*Label 12399*/ GIMT_Encode4(802163), // Rule ID 19568 //
     /*  802093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  802104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  802107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  802110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  802113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  802132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802139 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  802142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802161 */     GIR_RootConstrainSelectedInstOperands,
     /*  802162 */     // GIR_Coverage, 19568,
     /*  802162 */     GIR_EraseRootFromParent_Done,
     /*  802163 */   // Label 12399: @802163
     /*  802163 */   GIM_Try, /*On fail goto*//*Label 12400*/ GIMT_Encode4(802238), // Rule ID 19571 //
     /*  802168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  802179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  802182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  802185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  802188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  802207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802214 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  802217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802236 */     GIR_RootConstrainSelectedInstOperands,
     /*  802237 */     // GIR_Coverage, 19571,
     /*  802237 */     GIR_EraseRootFromParent_Done,
     /*  802238 */   // Label 12400: @802238
     /*  802238 */   GIM_Try, /*On fail goto*//*Label 12401*/ GIMT_Encode4(802313), // Rule ID 19572 //
     /*  802243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  802254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  802257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  802260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  802263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  802282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802289 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  802292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802311 */     GIR_RootConstrainSelectedInstOperands,
     /*  802312 */     // GIR_Coverage, 19572,
     /*  802312 */     GIR_EraseRootFromParent_Done,
     /*  802313 */   // Label 12401: @802313
     /*  802313 */   GIM_Try, /*On fail goto*//*Label 12402*/ GIMT_Encode4(802388), // Rule ID 19575 //
     /*  802318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  802329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  802332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  802335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  802338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  802357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802364 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  802367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802386 */     GIR_RootConstrainSelectedInstOperands,
     /*  802387 */     // GIR_Coverage, 19575,
     /*  802387 */     GIR_EraseRootFromParent_Done,
     /*  802388 */   // Label 12402: @802388
     /*  802388 */   GIM_Try, /*On fail goto*//*Label 12403*/ GIMT_Encode4(802463), // Rule ID 19576 //
     /*  802393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  802404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  802407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  802410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  802413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  802432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802439 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  802442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802461 */     GIR_RootConstrainSelectedInstOperands,
     /*  802462 */     // GIR_Coverage, 19576,
     /*  802462 */     GIR_EraseRootFromParent_Done,
     /*  802463 */   // Label 12403: @802463
     /*  802463 */   GIM_Try, /*On fail goto*//*Label 12404*/ GIMT_Encode4(802538), // Rule ID 19579 //
     /*  802468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  802479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  802482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  802485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  802488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  802507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802514 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  802517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802536 */     GIR_RootConstrainSelectedInstOperands,
     /*  802537 */     // GIR_Coverage, 19579,
     /*  802537 */     GIR_EraseRootFromParent_Done,
     /*  802538 */   // Label 12404: @802538
     /*  802538 */   GIM_Try, /*On fail goto*//*Label 12405*/ GIMT_Encode4(802613), // Rule ID 19580 //
     /*  802543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  802554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  802557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  802560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  802563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  802582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802589 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  802592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802611 */     GIR_RootConstrainSelectedInstOperands,
     /*  802612 */     // GIR_Coverage, 19580,
     /*  802612 */     GIR_EraseRootFromParent_Done,
     /*  802613 */   // Label 12405: @802613
     /*  802613 */   GIM_Try, /*On fail goto*//*Label 12406*/ GIMT_Encode4(802688), // Rule ID 19583 //
     /*  802618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  802621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  802629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  802632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  802635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  802638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  802657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802664 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  802664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  802667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802686 */     GIR_RootConstrainSelectedInstOperands,
     /*  802687 */     // GIR_Coverage, 19583,
     /*  802687 */     GIR_EraseRootFromParent_Done,
     /*  802688 */   // Label 12406: @802688
     /*  802688 */   GIM_Try, /*On fail goto*//*Label 12407*/ GIMT_Encode4(802763), // Rule ID 19584 //
     /*  802693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  802696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  802704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  802707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  802710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  802713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  802732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802739 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  802739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  802742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802761 */     GIR_RootConstrainSelectedInstOperands,
     /*  802762 */     // GIR_Coverage, 19584,
     /*  802762 */     GIR_EraseRootFromParent_Done,
     /*  802763 */   // Label 12407: @802763
     /*  802763 */   GIM_Try, /*On fail goto*//*Label 12408*/ GIMT_Encode4(802838), // Rule ID 19587 //
     /*  802768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  802779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  802782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  802785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  802788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  802807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802814 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  802817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802836 */     GIR_RootConstrainSelectedInstOperands,
     /*  802837 */     // GIR_Coverage, 19587,
     /*  802837 */     GIR_EraseRootFromParent_Done,
     /*  802838 */   // Label 12408: @802838
     /*  802838 */   GIM_Try, /*On fail goto*//*Label 12409*/ GIMT_Encode4(802913), // Rule ID 19588 //
     /*  802843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  802854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  802857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  802860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  802863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  802882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802889 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  802892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802911 */     GIR_RootConstrainSelectedInstOperands,
     /*  802912 */     // GIR_Coverage, 19588,
     /*  802912 */     GIR_EraseRootFromParent_Done,
     /*  802913 */   // Label 12409: @802913
     /*  802913 */   GIM_Try, /*On fail goto*//*Label 12410*/ GIMT_Encode4(802988), // Rule ID 19591 //
     /*  802918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  802926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  802929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  802932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  802935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  802938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  802957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802964 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  802967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802986 */     GIR_RootConstrainSelectedInstOperands,
     /*  802987 */     // GIR_Coverage, 19591,
     /*  802987 */     GIR_EraseRootFromParent_Done,
     /*  802988 */   // Label 12410: @802988
     /*  802988 */   GIM_Try, /*On fail goto*//*Label 12411*/ GIMT_Encode4(803063), // Rule ID 19592 //
     /*  802993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  803004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  803007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  803010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803039 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  803042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803061 */     GIR_RootConstrainSelectedInstOperands,
     /*  803062 */     // GIR_Coverage, 19592,
     /*  803062 */     GIR_EraseRootFromParent_Done,
     /*  803063 */   // Label 12411: @803063
     /*  803063 */   GIM_Try, /*On fail goto*//*Label 12412*/ GIMT_Encode4(803138), // Rule ID 19595 //
     /*  803068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  803079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  803082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  803085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803114 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  803117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803136 */     GIR_RootConstrainSelectedInstOperands,
     /*  803137 */     // GIR_Coverage, 19595,
     /*  803137 */     GIR_EraseRootFromParent_Done,
     /*  803138 */   // Label 12412: @803138
     /*  803138 */   GIM_Try, /*On fail goto*//*Label 12413*/ GIMT_Encode4(803213), // Rule ID 19596 //
     /*  803143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  803154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  803157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  803160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803189 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  803192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803211 */     GIR_RootConstrainSelectedInstOperands,
     /*  803212 */     // GIR_Coverage, 19596,
     /*  803212 */     GIR_EraseRootFromParent_Done,
     /*  803213 */   // Label 12413: @803213
     /*  803213 */   GIM_Try, /*On fail goto*//*Label 12414*/ GIMT_Encode4(803288), // Rule ID 19599 //
     /*  803218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  803221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  803229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  803232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  803235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803264 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  803267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803286 */     GIR_RootConstrainSelectedInstOperands,
     /*  803287 */     // GIR_Coverage, 19599,
     /*  803287 */     GIR_EraseRootFromParent_Done,
     /*  803288 */   // Label 12414: @803288
     /*  803288 */   GIM_Try, /*On fail goto*//*Label 12415*/ GIMT_Encode4(803363), // Rule ID 19600 //
     /*  803293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  803296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  803304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  803307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  803310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803339 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  803342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803361 */     GIR_RootConstrainSelectedInstOperands,
     /*  803362 */     // GIR_Coverage, 19600,
     /*  803362 */     GIR_EraseRootFromParent_Done,
     /*  803363 */   // Label 12415: @803363
     /*  803363 */   GIM_Try, /*On fail goto*//*Label 12416*/ GIMT_Encode4(803438), // Rule ID 19603 //
     /*  803368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  803371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  803379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  803382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  803385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803414 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  803417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803436 */     GIR_RootConstrainSelectedInstOperands,
     /*  803437 */     // GIR_Coverage, 19603,
     /*  803437 */     GIR_EraseRootFromParent_Done,
     /*  803438 */   // Label 12416: @803438
     /*  803438 */   GIM_Try, /*On fail goto*//*Label 12417*/ GIMT_Encode4(803513), // Rule ID 19604 //
     /*  803443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  803446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  803454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  803457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  803460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803489 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  803492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803511 */     GIR_RootConstrainSelectedInstOperands,
     /*  803512 */     // GIR_Coverage, 19604,
     /*  803512 */     GIR_EraseRootFromParent_Done,
     /*  803513 */   // Label 12417: @803513
     /*  803513 */   GIM_Try, /*On fail goto*//*Label 12418*/ GIMT_Encode4(803588), // Rule ID 19607 //
     /*  803518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  803521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  803529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  803532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  803535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803564 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  803567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803586 */     GIR_RootConstrainSelectedInstOperands,
     /*  803587 */     // GIR_Coverage, 19607,
     /*  803587 */     GIR_EraseRootFromParent_Done,
     /*  803588 */   // Label 12418: @803588
     /*  803588 */   GIM_Try, /*On fail goto*//*Label 12419*/ GIMT_Encode4(803663), // Rule ID 19608 //
     /*  803593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  803596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  803604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  803607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  803610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  803632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803639 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  803642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803661 */     GIR_RootConstrainSelectedInstOperands,
     /*  803662 */     // GIR_Coverage, 19608,
     /*  803662 */     GIR_EraseRootFromParent_Done,
     /*  803663 */   // Label 12419: @803663
     /*  803663 */   GIM_Try, /*On fail goto*//*Label 12420*/ GIMT_Encode4(803738), // Rule ID 19611 //
     /*  803668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  803679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  803682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  803685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  803707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803714 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  803717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803736 */     GIR_RootConstrainSelectedInstOperands,
     /*  803737 */     // GIR_Coverage, 19611,
     /*  803737 */     GIR_EraseRootFromParent_Done,
     /*  803738 */   // Label 12420: @803738
     /*  803738 */   GIM_Try, /*On fail goto*//*Label 12421*/ GIMT_Encode4(803813), // Rule ID 19612 //
     /*  803743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  803754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  803757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  803760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  803782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803789 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  803792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803811 */     GIR_RootConstrainSelectedInstOperands,
     /*  803812 */     // GIR_Coverage, 19612,
     /*  803812 */     GIR_EraseRootFromParent_Done,
     /*  803813 */   // Label 12421: @803813
     /*  803813 */   GIM_Try, /*On fail goto*//*Label 12422*/ GIMT_Encode4(803888), // Rule ID 19615 //
     /*  803818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  803829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  803832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  803835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  803857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803864 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  803867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803886 */     GIR_RootConstrainSelectedInstOperands,
     /*  803887 */     // GIR_Coverage, 19615,
     /*  803887 */     GIR_EraseRootFromParent_Done,
     /*  803888 */   // Label 12422: @803888
     /*  803888 */   GIM_Try, /*On fail goto*//*Label 12423*/ GIMT_Encode4(803963), // Rule ID 19616 //
     /*  803893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  803904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  803907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  803910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  803932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803939 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  803942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803961 */     GIR_RootConstrainSelectedInstOperands,
     /*  803962 */     // GIR_Coverage, 19616,
     /*  803962 */     GIR_EraseRootFromParent_Done,
     /*  803963 */   // Label 12423: @803963
     /*  803963 */   GIM_Try, /*On fail goto*//*Label 12424*/ GIMT_Encode4(804038), // Rule ID 19619 //
     /*  803968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  803976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  803979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  803982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  803985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  804007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804014 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  804014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  804017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804036 */     GIR_RootConstrainSelectedInstOperands,
     /*  804037 */     // GIR_Coverage, 19619,
     /*  804037 */     GIR_EraseRootFromParent_Done,
     /*  804038 */   // Label 12424: @804038
     /*  804038 */   GIM_Try, /*On fail goto*//*Label 12425*/ GIMT_Encode4(804113), // Rule ID 19620 //
     /*  804043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  804046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  804051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  804054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  804057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  804060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  804063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  804082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804089 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  804089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  804092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804111 */     GIR_RootConstrainSelectedInstOperands,
     /*  804112 */     // GIR_Coverage, 19620,
     /*  804112 */     GIR_EraseRootFromParent_Done,
     /*  804113 */   // Label 12425: @804113
     /*  804113 */   GIM_Try, /*On fail goto*//*Label 12426*/ GIMT_Encode4(804188), // Rule ID 21837 //
     /*  804118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  804121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  804126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  804129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  804132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  804135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  804138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804164 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  804164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  804167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  804183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804186 */     GIR_RootConstrainSelectedInstOperands,
     /*  804187 */     // GIR_Coverage, 21837,
     /*  804187 */     GIR_EraseRootFromParent_Done,
     /*  804188 */   // Label 12426: @804188
     /*  804188 */   GIM_Try, /*On fail goto*//*Label 12427*/ GIMT_Encode4(804263), // Rule ID 21838 //
     /*  804193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  804196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  804201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  804204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  804207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  804210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  804213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804239 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  804239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  804242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  804258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804261 */     GIR_RootConstrainSelectedInstOperands,
     /*  804262 */     // GIR_Coverage, 21838,
     /*  804262 */     GIR_EraseRootFromParent_Done,
     /*  804263 */   // Label 12427: @804263
     /*  804263 */   GIM_Try, /*On fail goto*//*Label 12428*/ GIMT_Encode4(804338), // Rule ID 21841 //
     /*  804268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  804271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  804276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  804279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  804282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  804285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  804288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804314 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  804314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  804317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  804333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804336 */     GIR_RootConstrainSelectedInstOperands,
     /*  804337 */     // GIR_Coverage, 21841,
     /*  804337 */     GIR_EraseRootFromParent_Done,
     /*  804338 */   // Label 12428: @804338
     /*  804338 */   GIM_Try, /*On fail goto*//*Label 12429*/ GIMT_Encode4(804413), // Rule ID 21842 //
     /*  804343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  804346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  804351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  804354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  804357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  804360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  804363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804389 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  804389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  804392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  804408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804411 */     GIR_RootConstrainSelectedInstOperands,
     /*  804412 */     // GIR_Coverage, 21842,
     /*  804412 */     GIR_EraseRootFromParent_Done,
     /*  804413 */   // Label 12429: @804413
     /*  804413 */   GIM_Try, /*On fail goto*//*Label 12430*/ GIMT_Encode4(804488), // Rule ID 21845 //
     /*  804418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  804421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  804426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  804429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  804432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  804435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  804438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  804467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804486 */     GIR_RootConstrainSelectedInstOperands,
     /*  804487 */     // GIR_Coverage, 21845,
     /*  804487 */     GIR_EraseRootFromParent_Done,
     /*  804488 */   // Label 12430: @804488
     /*  804488 */   GIM_Try, /*On fail goto*//*Label 12431*/ GIMT_Encode4(804563), // Rule ID 21846 //
     /*  804493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  804496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  804501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  804504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  804507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  804510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  804513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804539 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  804542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804561 */     GIR_RootConstrainSelectedInstOperands,
     /*  804562 */     // GIR_Coverage, 21846,
     /*  804562 */     GIR_EraseRootFromParent_Done,
     /*  804563 */   // Label 12431: @804563
     /*  804563 */   GIM_Try, /*On fail goto*//*Label 12432*/ GIMT_Encode4(804638), // Rule ID 21849 //
     /*  804568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  804571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  804576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  804579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  804582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  804585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  804588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804614 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  804617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804636 */     GIR_RootConstrainSelectedInstOperands,
     /*  804637 */     // GIR_Coverage, 21849,
     /*  804637 */     GIR_EraseRootFromParent_Done,
     /*  804638 */   // Label 12432: @804638
     /*  804638 */   GIM_Try, /*On fail goto*//*Label 12433*/ GIMT_Encode4(804713), // Rule ID 21850 //
     /*  804643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  804646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  804651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  804654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  804657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  804660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  804663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804689 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  804692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804711 */     GIR_RootConstrainSelectedInstOperands,
     /*  804712 */     // GIR_Coverage, 21850,
     /*  804712 */     GIR_EraseRootFromParent_Done,
     /*  804713 */   // Label 12433: @804713
     /*  804713 */   GIM_Try, /*On fail goto*//*Label 12434*/ GIMT_Encode4(804788), // Rule ID 21853 //
     /*  804718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  804721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  804726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  804729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  804732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  804735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  804738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804764 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  804767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804786 */     GIR_RootConstrainSelectedInstOperands,
     /*  804787 */     // GIR_Coverage, 21853,
     /*  804787 */     GIR_EraseRootFromParent_Done,
     /*  804788 */   // Label 12434: @804788
     /*  804788 */   GIM_Try, /*On fail goto*//*Label 12435*/ GIMT_Encode4(804863), // Rule ID 21854 //
     /*  804793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  804796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  804801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  804804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  804807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  804810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  804813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804839 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  804842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804861 */     GIR_RootConstrainSelectedInstOperands,
     /*  804862 */     // GIR_Coverage, 21854,
     /*  804862 */     GIR_EraseRootFromParent_Done,
     /*  804863 */   // Label 12435: @804863
     /*  804863 */   GIM_Try, /*On fail goto*//*Label 12436*/ GIMT_Encode4(804938), // Rule ID 21857 //
     /*  804868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  804871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  804876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  804879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  804882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  804885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  804888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804914 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  804914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  804917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  804933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804936 */     GIR_RootConstrainSelectedInstOperands,
     /*  804937 */     // GIR_Coverage, 21857,
     /*  804937 */     GIR_EraseRootFromParent_Done,
     /*  804938 */   // Label 12436: @804938
     /*  804938 */   GIM_Try, /*On fail goto*//*Label 12437*/ GIMT_Encode4(805013), // Rule ID 21858 //
     /*  804943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  804946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  804951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  804954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  804957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  804960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  804963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804989 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  804989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  804992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805011 */     GIR_RootConstrainSelectedInstOperands,
     /*  805012 */     // GIR_Coverage, 21858,
     /*  805012 */     GIR_EraseRootFromParent_Done,
     /*  805013 */   // Label 12437: @805013
     /*  805013 */   GIM_Try, /*On fail goto*//*Label 12438*/ GIMT_Encode4(805088), // Rule ID 21861 //
     /*  805018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  805029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  805032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  805035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  805038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805064 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  805064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  805067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805086 */     GIR_RootConstrainSelectedInstOperands,
     /*  805087 */     // GIR_Coverage, 21861,
     /*  805087 */     GIR_EraseRootFromParent_Done,
     /*  805088 */   // Label 12438: @805088
     /*  805088 */   GIM_Try, /*On fail goto*//*Label 12439*/ GIMT_Encode4(805163), // Rule ID 21862 //
     /*  805093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  805104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  805107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  805110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  805113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805139 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  805139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  805142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805161 */     GIR_RootConstrainSelectedInstOperands,
     /*  805162 */     // GIR_Coverage, 21862,
     /*  805162 */     GIR_EraseRootFromParent_Done,
     /*  805163 */   // Label 12439: @805163
     /*  805163 */   GIM_Try, /*On fail goto*//*Label 12440*/ GIMT_Encode4(805238), // Rule ID 21865 //
     /*  805168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  805179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  805182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  805185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  805188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805214 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  805217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805236 */     GIR_RootConstrainSelectedInstOperands,
     /*  805237 */     // GIR_Coverage, 21865,
     /*  805237 */     GIR_EraseRootFromParent_Done,
     /*  805238 */   // Label 12440: @805238
     /*  805238 */   GIM_Try, /*On fail goto*//*Label 12441*/ GIMT_Encode4(805313), // Rule ID 21866 //
     /*  805243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  805254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  805257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  805260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  805263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805289 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  805289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  805292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805311 */     GIR_RootConstrainSelectedInstOperands,
     /*  805312 */     // GIR_Coverage, 21866,
     /*  805312 */     GIR_EraseRootFromParent_Done,
     /*  805313 */   // Label 12441: @805313
     /*  805313 */   GIM_Try, /*On fail goto*//*Label 12442*/ GIMT_Encode4(805388), // Rule ID 21869 //
     /*  805318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  805321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  805329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  805332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  805335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  805338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805364 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  805367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805386 */     GIR_RootConstrainSelectedInstOperands,
     /*  805387 */     // GIR_Coverage, 21869,
     /*  805387 */     GIR_EraseRootFromParent_Done,
     /*  805388 */   // Label 12442: @805388
     /*  805388 */   GIM_Try, /*On fail goto*//*Label 12443*/ GIMT_Encode4(805463), // Rule ID 21870 //
     /*  805393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  805396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  805404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  805407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  805410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  805413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805439 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  805442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805461 */     GIR_RootConstrainSelectedInstOperands,
     /*  805462 */     // GIR_Coverage, 21870,
     /*  805462 */     GIR_EraseRootFromParent_Done,
     /*  805463 */   // Label 12443: @805463
     /*  805463 */   GIM_Try, /*On fail goto*//*Label 12444*/ GIMT_Encode4(805538), // Rule ID 21873 //
     /*  805468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  805485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805514 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  805514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  805517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805536 */     GIR_RootConstrainSelectedInstOperands,
     /*  805537 */     // GIR_Coverage, 21873,
     /*  805537 */     GIR_EraseRootFromParent_Done,
     /*  805538 */   // Label 12444: @805538
     /*  805538 */   GIM_Try, /*On fail goto*//*Label 12445*/ GIMT_Encode4(805613), // Rule ID 21874 //
     /*  805543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  805560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805589 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  805589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  805592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805611 */     GIR_RootConstrainSelectedInstOperands,
     /*  805612 */     // GIR_Coverage, 21874,
     /*  805612 */     GIR_EraseRootFromParent_Done,
     /*  805613 */   // Label 12445: @805613
     /*  805613 */   GIM_Try, /*On fail goto*//*Label 12446*/ GIMT_Encode4(805688), // Rule ID 21877 //
     /*  805618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  805635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  805664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  805667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805686 */     GIR_RootConstrainSelectedInstOperands,
     /*  805687 */     // GIR_Coverage, 21877,
     /*  805687 */     GIR_EraseRootFromParent_Done,
     /*  805688 */   // Label 12446: @805688
     /*  805688 */   GIM_Try, /*On fail goto*//*Label 12447*/ GIMT_Encode4(805763), // Rule ID 21878 //
     /*  805693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  805710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805739 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  805739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  805742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805761 */     GIR_RootConstrainSelectedInstOperands,
     /*  805762 */     // GIR_Coverage, 21878,
     /*  805762 */     GIR_EraseRootFromParent_Done,
     /*  805763 */   // Label 12447: @805763
     /*  805763 */   GIM_Try, /*On fail goto*//*Label 12448*/ GIMT_Encode4(805838), // Rule ID 21881 //
     /*  805768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  805785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805814 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  805814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  805817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805836 */     GIR_RootConstrainSelectedInstOperands,
     /*  805837 */     // GIR_Coverage, 21881,
     /*  805837 */     GIR_EraseRootFromParent_Done,
     /*  805838 */   // Label 12448: @805838
     /*  805838 */   GIM_Try, /*On fail goto*//*Label 12449*/ GIMT_Encode4(805913), // Rule ID 21882 //
     /*  805843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  805860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805889 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  805889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  805892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805911 */     GIR_RootConstrainSelectedInstOperands,
     /*  805912 */     // GIR_Coverage, 21882,
     /*  805912 */     GIR_EraseRootFromParent_Done,
     /*  805913 */   // Label 12449: @805913
     /*  805913 */   GIM_Try, /*On fail goto*//*Label 12450*/ GIMT_Encode4(805988), // Rule ID 21885 //
     /*  805918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  805926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  805929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  805932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  805935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  805938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805964 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  805964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  805967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805986 */     GIR_RootConstrainSelectedInstOperands,
     /*  805987 */     // GIR_Coverage, 21885,
     /*  805987 */     GIR_EraseRootFromParent_Done,
     /*  805988 */   // Label 12450: @805988
     /*  805988 */   GIM_Try, /*On fail goto*//*Label 12451*/ GIMT_Encode4(806063), // Rule ID 21886 //
     /*  805993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  806010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806039 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  806042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806061 */     GIR_RootConstrainSelectedInstOperands,
     /*  806062 */     // GIR_Coverage, 21886,
     /*  806062 */     GIR_EraseRootFromParent_Done,
     /*  806063 */   // Label 12451: @806063
     /*  806063 */   GIM_Try, /*On fail goto*//*Label 12452*/ GIMT_Encode4(806138), // Rule ID 21889 //
     /*  806068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  806085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806114 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  806117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806136 */     GIR_RootConstrainSelectedInstOperands,
     /*  806137 */     // GIR_Coverage, 21889,
     /*  806137 */     GIR_EraseRootFromParent_Done,
     /*  806138 */   // Label 12452: @806138
     /*  806138 */   GIM_Try, /*On fail goto*//*Label 12453*/ GIMT_Encode4(806213), // Rule ID 21890 //
     /*  806143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  806160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806189 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  806192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806211 */     GIR_RootConstrainSelectedInstOperands,
     /*  806212 */     // GIR_Coverage, 21890,
     /*  806212 */     GIR_EraseRootFromParent_Done,
     /*  806213 */   // Label 12453: @806213
     /*  806213 */   GIM_Try, /*On fail goto*//*Label 12454*/ GIMT_Encode4(806288), // Rule ID 21893 //
     /*  806218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  806235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806264 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  806267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806286 */     GIR_RootConstrainSelectedInstOperands,
     /*  806287 */     // GIR_Coverage, 21893,
     /*  806287 */     GIR_EraseRootFromParent_Done,
     /*  806288 */   // Label 12454: @806288
     /*  806288 */   GIM_Try, /*On fail goto*//*Label 12455*/ GIMT_Encode4(806363), // Rule ID 21894 //
     /*  806293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  806310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806339 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  806342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806361 */     GIR_RootConstrainSelectedInstOperands,
     /*  806362 */     // GIR_Coverage, 21894,
     /*  806362 */     GIR_EraseRootFromParent_Done,
     /*  806363 */   // Label 12455: @806363
     /*  806363 */   GIM_Try, /*On fail goto*//*Label 12456*/ GIMT_Encode4(806438), // Rule ID 21897 //
     /*  806368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  806385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806414 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  806417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806436 */     GIR_RootConstrainSelectedInstOperands,
     /*  806437 */     // GIR_Coverage, 21897,
     /*  806437 */     GIR_EraseRootFromParent_Done,
     /*  806438 */   // Label 12456: @806438
     /*  806438 */   GIM_Try, /*On fail goto*//*Label 12457*/ GIMT_Encode4(806513), // Rule ID 21898 //
     /*  806443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  806460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806489 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  806492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806511 */     GIR_RootConstrainSelectedInstOperands,
     /*  806512 */     // GIR_Coverage, 21898,
     /*  806512 */     GIR_EraseRootFromParent_Done,
     /*  806513 */   // Label 12457: @806513
     /*  806513 */   GIM_Try, /*On fail goto*//*Label 12458*/ GIMT_Encode4(806588), // Rule ID 21901 //
     /*  806518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  806535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806564 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  806567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806586 */     GIR_RootConstrainSelectedInstOperands,
     /*  806587 */     // GIR_Coverage, 21901,
     /*  806587 */     GIR_EraseRootFromParent_Done,
     /*  806588 */   // Label 12458: @806588
     /*  806588 */   GIM_Try, /*On fail goto*//*Label 12459*/ GIMT_Encode4(806663), // Rule ID 21902 //
     /*  806593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  806610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806639 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  806642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806661 */     GIR_RootConstrainSelectedInstOperands,
     /*  806662 */     // GIR_Coverage, 21902,
     /*  806662 */     GIR_EraseRootFromParent_Done,
     /*  806663 */   // Label 12459: @806663
     /*  806663 */   GIM_Try, /*On fail goto*//*Label 12460*/ GIMT_Encode4(806738), // Rule ID 21905 //
     /*  806668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  806685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  806717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806736 */     GIR_RootConstrainSelectedInstOperands,
     /*  806737 */     // GIR_Coverage, 21905,
     /*  806737 */     GIR_EraseRootFromParent_Done,
     /*  806738 */   // Label 12460: @806738
     /*  806738 */   GIM_Try, /*On fail goto*//*Label 12461*/ GIMT_Encode4(806813), // Rule ID 21906 //
     /*  806743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  806760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806789 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  806792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806811 */     GIR_RootConstrainSelectedInstOperands,
     /*  806812 */     // GIR_Coverage, 21906,
     /*  806812 */     GIR_EraseRootFromParent_Done,
     /*  806813 */   // Label 12461: @806813
     /*  806813 */   GIM_Try, /*On fail goto*//*Label 12462*/ GIMT_Encode4(806888), // Rule ID 21909 //
     /*  806818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  806821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  806829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  806832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  806835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  806838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806864 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  806864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  806867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806886 */     GIR_RootConstrainSelectedInstOperands,
     /*  806887 */     // GIR_Coverage, 21909,
     /*  806887 */     GIR_EraseRootFromParent_Done,
     /*  806888 */   // Label 12462: @806888
     /*  806888 */   GIM_Try, /*On fail goto*//*Label 12463*/ GIMT_Encode4(806963), // Rule ID 21910 //
     /*  806893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  806896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  806904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  806907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  806910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  806913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806939 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  806939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  806942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806961 */     GIR_RootConstrainSelectedInstOperands,
     /*  806962 */     // GIR_Coverage, 21910,
     /*  806962 */     GIR_EraseRootFromParent_Done,
     /*  806963 */   // Label 12463: @806963
     /*  806963 */   GIM_Try, /*On fail goto*//*Label 12464*/ GIMT_Encode4(807038), // Rule ID 21913 //
     /*  806968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  806971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  806976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  806979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  806982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  806985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  806988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807014 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  807014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  807017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807036 */     GIR_RootConstrainSelectedInstOperands,
     /*  807037 */     // GIR_Coverage, 21913,
     /*  807037 */     GIR_EraseRootFromParent_Done,
     /*  807038 */   // Label 12464: @807038
     /*  807038 */   GIM_Try, /*On fail goto*//*Label 12465*/ GIMT_Encode4(807113), // Rule ID 21914 //
     /*  807043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  807046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  807054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  807057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  807060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  807063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807089 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  807089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  807092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807111 */     GIR_RootConstrainSelectedInstOperands,
     /*  807112 */     // GIR_Coverage, 21914,
     /*  807112 */     GIR_EraseRootFromParent_Done,
     /*  807113 */   // Label 12465: @807113
     /*  807113 */   GIM_Try, /*On fail goto*//*Label 12466*/ GIMT_Encode4(807188), // Rule ID 21917 //
     /*  807118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  807121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  807129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  807132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  807135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  807138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807164 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  807164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  807167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807186 */     GIR_RootConstrainSelectedInstOperands,
     /*  807187 */     // GIR_Coverage, 21917,
     /*  807187 */     GIR_EraseRootFromParent_Done,
     /*  807188 */   // Label 12466: @807188
     /*  807188 */   GIM_Try, /*On fail goto*//*Label 12467*/ GIMT_Encode4(807263), // Rule ID 21918 //
     /*  807193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  807196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  807201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  807204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  807207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  807210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  807213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807239 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  807239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  807242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807261 */     GIR_RootConstrainSelectedInstOperands,
     /*  807262 */     // GIR_Coverage, 21918,
     /*  807262 */     GIR_EraseRootFromParent_Done,
     /*  807263 */   // Label 12467: @807263
     /*  807263 */   GIM_Try, /*On fail goto*//*Label 12468*/ GIMT_Encode4(807338), // Rule ID 21921 //
     /*  807268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  807276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  807285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807314 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  807317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807336 */     GIR_RootConstrainSelectedInstOperands,
     /*  807337 */     // GIR_Coverage, 21921,
     /*  807337 */     GIR_EraseRootFromParent_Done,
     /*  807338 */   // Label 12468: @807338
     /*  807338 */   GIM_Try, /*On fail goto*//*Label 12469*/ GIMT_Encode4(807413), // Rule ID 21922 //
     /*  807343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  807351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  807360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807389 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  807392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807411 */     GIR_RootConstrainSelectedInstOperands,
     /*  807412 */     // GIR_Coverage, 21922,
     /*  807412 */     GIR_EraseRootFromParent_Done,
     /*  807413 */   // Label 12469: @807413
     /*  807413 */   GIM_Try, /*On fail goto*//*Label 12470*/ GIMT_Encode4(807488), // Rule ID 21925 //
     /*  807418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  807426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  807435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807464 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  807467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807486 */     GIR_RootConstrainSelectedInstOperands,
     /*  807487 */     // GIR_Coverage, 21925,
     /*  807487 */     GIR_EraseRootFromParent_Done,
     /*  807488 */   // Label 12470: @807488
     /*  807488 */   GIM_Try, /*On fail goto*//*Label 12471*/ GIMT_Encode4(807563), // Rule ID 21926 //
     /*  807493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  807501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  807510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807539 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  807542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807561 */     GIR_RootConstrainSelectedInstOperands,
     /*  807562 */     // GIR_Coverage, 21926,
     /*  807562 */     GIR_EraseRootFromParent_Done,
     /*  807563 */   // Label 12471: @807563
     /*  807563 */   GIM_Try, /*On fail goto*//*Label 12472*/ GIMT_Encode4(807638), // Rule ID 21929 //
     /*  807568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  807576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  807585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807614 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  807617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807636 */     GIR_RootConstrainSelectedInstOperands,
     /*  807637 */     // GIR_Coverage, 21929,
     /*  807637 */     GIR_EraseRootFromParent_Done,
     /*  807638 */   // Label 12472: @807638
     /*  807638 */   GIM_Try, /*On fail goto*//*Label 12473*/ GIMT_Encode4(807713), // Rule ID 21930 //
     /*  807643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  807651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  807660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807689 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  807692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807711 */     GIR_RootConstrainSelectedInstOperands,
     /*  807712 */     // GIR_Coverage, 21930,
     /*  807712 */     GIR_EraseRootFromParent_Done,
     /*  807713 */   // Label 12473: @807713
     /*  807713 */   GIM_Try, /*On fail goto*//*Label 12474*/ GIMT_Encode4(807788), // Rule ID 21933 //
     /*  807718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  807726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  807735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807764 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  807767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807786 */     GIR_RootConstrainSelectedInstOperands,
     /*  807787 */     // GIR_Coverage, 21933,
     /*  807787 */     GIR_EraseRootFromParent_Done,
     /*  807788 */   // Label 12474: @807788
     /*  807788 */   GIM_Try, /*On fail goto*//*Label 12475*/ GIMT_Encode4(807863), // Rule ID 21934 //
     /*  807793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  807801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  807810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807839 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  807842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807861 */     GIR_RootConstrainSelectedInstOperands,
     /*  807862 */     // GIR_Coverage, 21934,
     /*  807862 */     GIR_EraseRootFromParent_Done,
     /*  807863 */   // Label 12475: @807863
     /*  807863 */   GIM_Try, /*On fail goto*//*Label 12476*/ GIMT_Encode4(807938), // Rule ID 21937 //
     /*  807868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  807876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  807885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807914 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  807917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807936 */     GIR_RootConstrainSelectedInstOperands,
     /*  807937 */     // GIR_Coverage, 21937,
     /*  807937 */     GIR_EraseRootFromParent_Done,
     /*  807938 */   // Label 12476: @807938
     /*  807938 */   GIM_Try, /*On fail goto*//*Label 12477*/ GIMT_Encode4(808013), // Rule ID 21938 //
     /*  807943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  807951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  807960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807989 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  807992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808011 */     GIR_RootConstrainSelectedInstOperands,
     /*  808012 */     // GIR_Coverage, 21938,
     /*  808012 */     GIR_EraseRootFromParent_Done,
     /*  808013 */   // Label 12477: @808013
     /*  808013 */   GIM_Try, /*On fail goto*//*Label 12478*/ GIMT_Encode4(808088), // Rule ID 21941 //
     /*  808018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  808035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808064 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  808067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808086 */     GIR_RootConstrainSelectedInstOperands,
     /*  808087 */     // GIR_Coverage, 21941,
     /*  808087 */     GIR_EraseRootFromParent_Done,
     /*  808088 */   // Label 12478: @808088
     /*  808088 */   GIM_Try, /*On fail goto*//*Label 12479*/ GIMT_Encode4(808163), // Rule ID 21942 //
     /*  808093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  808110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808139 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  808142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808161 */     GIR_RootConstrainSelectedInstOperands,
     /*  808162 */     // GIR_Coverage, 21942,
     /*  808162 */     GIR_EraseRootFromParent_Done,
     /*  808163 */   // Label 12479: @808163
     /*  808163 */   GIM_Try, /*On fail goto*//*Label 12480*/ GIMT_Encode4(808238), // Rule ID 21945 //
     /*  808168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  808185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808214 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  808214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  808217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808236 */     GIR_RootConstrainSelectedInstOperands,
     /*  808237 */     // GIR_Coverage, 21945,
     /*  808237 */     GIR_EraseRootFromParent_Done,
     /*  808238 */   // Label 12480: @808238
     /*  808238 */   GIM_Try, /*On fail goto*//*Label 12481*/ GIMT_Encode4(808313), // Rule ID 21946 //
     /*  808243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  808260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808289 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  808289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  808292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808311 */     GIR_RootConstrainSelectedInstOperands,
     /*  808312 */     // GIR_Coverage, 21946,
     /*  808312 */     GIR_EraseRootFromParent_Done,
     /*  808313 */   // Label 12481: @808313
     /*  808313 */   GIM_Try, /*On fail goto*//*Label 12482*/ GIMT_Encode4(808388), // Rule ID 21949 //
     /*  808318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  808335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  808338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808364 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  808367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808386 */     GIR_RootConstrainSelectedInstOperands,
     /*  808387 */     // GIR_Coverage, 21949,
     /*  808387 */     GIR_EraseRootFromParent_Done,
     /*  808388 */   // Label 12482: @808388
     /*  808388 */   GIM_Try, /*On fail goto*//*Label 12483*/ GIMT_Encode4(808463), // Rule ID 21950 //
     /*  808393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  808410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  808413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808439 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  808442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808461 */     GIR_RootConstrainSelectedInstOperands,
     /*  808462 */     // GIR_Coverage, 21950,
     /*  808462 */     GIR_EraseRootFromParent_Done,
     /*  808463 */   // Label 12483: @808463
     /*  808463 */   GIM_Try, /*On fail goto*//*Label 12484*/ GIMT_Encode4(808538), // Rule ID 21953 //
     /*  808468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  808485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808514 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  808517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808536 */     GIR_RootConstrainSelectedInstOperands,
     /*  808537 */     // GIR_Coverage, 21953,
     /*  808537 */     GIR_EraseRootFromParent_Done,
     /*  808538 */   // Label 12484: @808538
     /*  808538 */   GIM_Try, /*On fail goto*//*Label 12485*/ GIMT_Encode4(808613), // Rule ID 21954 //
     /*  808543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  808560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808589 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  808592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808611 */     GIR_RootConstrainSelectedInstOperands,
     /*  808612 */     // GIR_Coverage, 21954,
     /*  808612 */     GIR_EraseRootFromParent_Done,
     /*  808613 */   // Label 12485: @808613
     /*  808613 */   GIM_Try, /*On fail goto*//*Label 12486*/ GIMT_Encode4(808688), // Rule ID 21957 //
     /*  808618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  808621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  808635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808664 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  808667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808686 */     GIR_RootConstrainSelectedInstOperands,
     /*  808687 */     // GIR_Coverage, 21957,
     /*  808687 */     GIR_EraseRootFromParent_Done,
     /*  808688 */   // Label 12486: @808688
     /*  808688 */   GIM_Try, /*On fail goto*//*Label 12487*/ GIMT_Encode4(808763), // Rule ID 21958 //
     /*  808693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  808696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  808710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808739 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  808742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808761 */     GIR_RootConstrainSelectedInstOperands,
     /*  808762 */     // GIR_Coverage, 21958,
     /*  808762 */     GIR_EraseRootFromParent_Done,
     /*  808763 */   // Label 12487: @808763
     /*  808763 */   GIM_Try, /*On fail goto*//*Label 12488*/ GIMT_Encode4(808838), // Rule ID 21961 //
     /*  808768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  808785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808814 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  808814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  808817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808836 */     GIR_RootConstrainSelectedInstOperands,
     /*  808837 */     // GIR_Coverage, 21961,
     /*  808837 */     GIR_EraseRootFromParent_Done,
     /*  808838 */   // Label 12488: @808838
     /*  808838 */   GIM_Try, /*On fail goto*//*Label 12489*/ GIMT_Encode4(808913), // Rule ID 21962 //
     /*  808843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  808860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808889 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  808889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  808892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808911 */     GIR_RootConstrainSelectedInstOperands,
     /*  808912 */     // GIR_Coverage, 21962,
     /*  808912 */     GIR_EraseRootFromParent_Done,
     /*  808913 */   // Label 12489: @808913
     /*  808913 */   GIM_Try, /*On fail goto*//*Label 12490*/ GIMT_Encode4(808988), // Rule ID 21965 //
     /*  808918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  808926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  808929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  808932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  808935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  808938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808964 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  808964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  808967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808986 */     GIR_RootConstrainSelectedInstOperands,
     /*  808987 */     // GIR_Coverage, 21965,
     /*  808987 */     GIR_EraseRootFromParent_Done,
     /*  808988 */   // Label 12490: @808988
     /*  808988 */   GIM_Try, /*On fail goto*//*Label 12491*/ GIMT_Encode4(809063), // Rule ID 21966 //
     /*  808993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  809010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809039 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  809042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809061 */     GIR_RootConstrainSelectedInstOperands,
     /*  809062 */     // GIR_Coverage, 21966,
     /*  809062 */     GIR_EraseRootFromParent_Done,
     /*  809063 */   // Label 12491: @809063
     /*  809063 */   GIM_Try, /*On fail goto*//*Label 12492*/ GIMT_Encode4(809138), // Rule ID 21969 //
     /*  809068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  809085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809114 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  809114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  809117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809136 */     GIR_RootConstrainSelectedInstOperands,
     /*  809137 */     // GIR_Coverage, 21969,
     /*  809137 */     GIR_EraseRootFromParent_Done,
     /*  809138 */   // Label 12492: @809138
     /*  809138 */   GIM_Try, /*On fail goto*//*Label 12493*/ GIMT_Encode4(809213), // Rule ID 21970 //
     /*  809143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  809160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809189 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  809192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809211 */     GIR_RootConstrainSelectedInstOperands,
     /*  809212 */     // GIR_Coverage, 21970,
     /*  809212 */     GIR_EraseRootFromParent_Done,
     /*  809213 */   // Label 12493: @809213
     /*  809213 */   GIM_Try, /*On fail goto*//*Label 12494*/ GIMT_Encode4(809288), // Rule ID 21973 //
     /*  809218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  809235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809264 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  809267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809286 */     GIR_RootConstrainSelectedInstOperands,
     /*  809287 */     // GIR_Coverage, 21973,
     /*  809287 */     GIR_EraseRootFromParent_Done,
     /*  809288 */   // Label 12494: @809288
     /*  809288 */   GIM_Try, /*On fail goto*//*Label 12495*/ GIMT_Encode4(809363), // Rule ID 21974 //
     /*  809293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  809310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809339 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  809342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809361 */     GIR_RootConstrainSelectedInstOperands,
     /*  809362 */     // GIR_Coverage, 21974,
     /*  809362 */     GIR_EraseRootFromParent_Done,
     /*  809363 */   // Label 12495: @809363
     /*  809363 */   GIM_Try, /*On fail goto*//*Label 12496*/ GIMT_Encode4(809438), // Rule ID 21977 //
     /*  809368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  809385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  809417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809436 */     GIR_RootConstrainSelectedInstOperands,
     /*  809437 */     // GIR_Coverage, 21977,
     /*  809437 */     GIR_EraseRootFromParent_Done,
     /*  809438 */   // Label 12496: @809438
     /*  809438 */   GIM_Try, /*On fail goto*//*Label 12497*/ GIMT_Encode4(809513), // Rule ID 21978 //
     /*  809443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  809460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809489 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  809492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809511 */     GIR_RootConstrainSelectedInstOperands,
     /*  809512 */     // GIR_Coverage, 21978,
     /*  809512 */     GIR_EraseRootFromParent_Done,
     /*  809513 */   // Label 12497: @809513
     /*  809513 */   GIM_Try, /*On fail goto*//*Label 12498*/ GIMT_Encode4(809588), // Rule ID 21981 //
     /*  809518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  809535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  809567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809586 */     GIR_RootConstrainSelectedInstOperands,
     /*  809587 */     // GIR_Coverage, 21981,
     /*  809587 */     GIR_EraseRootFromParent_Done,
     /*  809588 */   // Label 12498: @809588
     /*  809588 */   GIM_Try, /*On fail goto*//*Label 12499*/ GIMT_Encode4(809663), // Rule ID 21982 //
     /*  809593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  809610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809639 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  809642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809661 */     GIR_RootConstrainSelectedInstOperands,
     /*  809662 */     // GIR_Coverage, 21982,
     /*  809662 */     GIR_EraseRootFromParent_Done,
     /*  809663 */   // Label 12499: @809663
     /*  809663 */   GIM_Try, /*On fail goto*//*Label 12500*/ GIMT_Encode4(809738), // Rule ID 21985 //
     /*  809668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  809685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  809688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  809717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809736 */     GIR_RootConstrainSelectedInstOperands,
     /*  809737 */     // GIR_Coverage, 21985,
     /*  809737 */     GIR_EraseRootFromParent_Done,
     /*  809738 */   // Label 12500: @809738
     /*  809738 */   GIM_Try, /*On fail goto*//*Label 12501*/ GIMT_Encode4(809813), // Rule ID 21986 //
     /*  809743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  809760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  809763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809789 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  809792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809811 */     GIR_RootConstrainSelectedInstOperands,
     /*  809812 */     // GIR_Coverage, 21986,
     /*  809812 */     GIR_EraseRootFromParent_Done,
     /*  809813 */   // Label 12501: @809813
     /*  809813 */   GIM_Try, /*On fail goto*//*Label 12502*/ GIMT_Encode4(809888), // Rule ID 21989 //
     /*  809818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  809835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  809838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  809867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809886 */     GIR_RootConstrainSelectedInstOperands,
     /*  809887 */     // GIR_Coverage, 21989,
     /*  809887 */     GIR_EraseRootFromParent_Done,
     /*  809888 */   // Label 12502: @809888
     /*  809888 */   GIM_Try, /*On fail goto*//*Label 12503*/ GIMT_Encode4(809963), // Rule ID 21990 //
     /*  809893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  809910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  809913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809939 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  809942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809961 */     GIR_RootConstrainSelectedInstOperands,
     /*  809962 */     // GIR_Coverage, 21990,
     /*  809962 */     GIR_EraseRootFromParent_Done,
     /*  809963 */   // Label 12503: @809963
     /*  809963 */   GIM_Try, /*On fail goto*//*Label 12504*/ GIMT_Encode4(810038), // Rule ID 21993 //
     /*  809968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  809976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  809985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  809988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810014 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  810014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  810017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810036 */     GIR_RootConstrainSelectedInstOperands,
     /*  810037 */     // GIR_Coverage, 21993,
     /*  810037 */     GIR_EraseRootFromParent_Done,
     /*  810038 */   // Label 12504: @810038
     /*  810038 */   GIM_Try, /*On fail goto*//*Label 12505*/ GIMT_Encode4(810113), // Rule ID 21994 //
     /*  810043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  810060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810089 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  810089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  810092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810111 */     GIR_RootConstrainSelectedInstOperands,
     /*  810112 */     // GIR_Coverage, 21994,
     /*  810112 */     GIR_EraseRootFromParent_Done,
     /*  810113 */   // Label 12505: @810113
     /*  810113 */   GIM_Try, /*On fail goto*//*Label 12506*/ GIMT_Encode4(810188), // Rule ID 21997 //
     /*  810118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  810121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  810129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  810132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  810135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  810138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810164 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  810164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  810167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810186 */     GIR_RootConstrainSelectedInstOperands,
     /*  810187 */     // GIR_Coverage, 21997,
     /*  810187 */     GIR_EraseRootFromParent_Done,
     /*  810188 */   // Label 12506: @810188
     /*  810188 */   GIM_Try, /*On fail goto*//*Label 12507*/ GIMT_Encode4(810263), // Rule ID 21998 //
     /*  810193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  810196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  810204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  810207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  810210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  810213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810239 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  810239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  810242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810261 */     GIR_RootConstrainSelectedInstOperands,
     /*  810262 */     // GIR_Coverage, 21998,
     /*  810262 */     GIR_EraseRootFromParent_Done,
     /*  810263 */   // Label 12507: @810263
     /*  810263 */   GIM_Try, /*On fail goto*//*Label 12508*/ GIMT_Encode4(810338), // Rule ID 22001 //
     /*  810268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  810271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  810279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  810282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  810285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  810288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810314 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  810314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  810317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810336 */     GIR_RootConstrainSelectedInstOperands,
     /*  810337 */     // GIR_Coverage, 22001,
     /*  810337 */     GIR_EraseRootFromParent_Done,
     /*  810338 */   // Label 12508: @810338
     /*  810338 */   GIM_Try, /*On fail goto*//*Label 12509*/ GIMT_Encode4(810413), // Rule ID 22002 //
     /*  810343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  810346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  810354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  810357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  810360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  810363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810389 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  810389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  810392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810411 */     GIR_RootConstrainSelectedInstOperands,
     /*  810412 */     // GIR_Coverage, 22002,
     /*  810412 */     GIR_EraseRootFromParent_Done,
     /*  810413 */   // Label 12509: @810413
     /*  810413 */   GIM_Try, /*On fail goto*//*Label 12510*/ GIMT_Encode4(810488), // Rule ID 22005 //
     /*  810418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  810421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  810429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  810432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  810435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  810438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810464 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  810464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  810467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810486 */     GIR_RootConstrainSelectedInstOperands,
     /*  810487 */     // GIR_Coverage, 22005,
     /*  810487 */     GIR_EraseRootFromParent_Done,
     /*  810488 */   // Label 12510: @810488
     /*  810488 */   GIM_Try, /*On fail goto*//*Label 12511*/ GIMT_Encode4(810563), // Rule ID 22006 //
     /*  810493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  810496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  810501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  810504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  810507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  810510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  810513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810539 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  810539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  810542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810561 */     GIR_RootConstrainSelectedInstOperands,
     /*  810562 */     // GIR_Coverage, 22006,
     /*  810562 */     GIR_EraseRootFromParent_Done,
     /*  810563 */   // Label 12511: @810563
     /*  810563 */   GIM_Try, /*On fail goto*//*Label 12512*/ GIMT_Encode4(810638), // Rule ID 22009 //
     /*  810568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  810576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  810585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810614 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  810617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810636 */     GIR_RootConstrainSelectedInstOperands,
     /*  810637 */     // GIR_Coverage, 22009,
     /*  810637 */     GIR_EraseRootFromParent_Done,
     /*  810638 */   // Label 12512: @810638
     /*  810638 */   GIM_Try, /*On fail goto*//*Label 12513*/ GIMT_Encode4(810713), // Rule ID 22010 //
     /*  810643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  810651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  810660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810689 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  810692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810711 */     GIR_RootConstrainSelectedInstOperands,
     /*  810712 */     // GIR_Coverage, 22010,
     /*  810712 */     GIR_EraseRootFromParent_Done,
     /*  810713 */   // Label 12513: @810713
     /*  810713 */   GIM_Try, /*On fail goto*//*Label 12514*/ GIMT_Encode4(810788), // Rule ID 22013 //
     /*  810718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  810726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  810735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810764 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  810767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810786 */     GIR_RootConstrainSelectedInstOperands,
     /*  810787 */     // GIR_Coverage, 22013,
     /*  810787 */     GIR_EraseRootFromParent_Done,
     /*  810788 */   // Label 12514: @810788
     /*  810788 */   GIM_Try, /*On fail goto*//*Label 12515*/ GIMT_Encode4(810863), // Rule ID 22014 //
     /*  810793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  810801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  810810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810839 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  810842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810861 */     GIR_RootConstrainSelectedInstOperands,
     /*  810862 */     // GIR_Coverage, 22014,
     /*  810862 */     GIR_EraseRootFromParent_Done,
     /*  810863 */   // Label 12515: @810863
     /*  810863 */   GIM_Try, /*On fail goto*//*Label 12516*/ GIMT_Encode4(810938), // Rule ID 22017 //
     /*  810868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  810876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  810885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810914 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  810917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810936 */     GIR_RootConstrainSelectedInstOperands,
     /*  810937 */     // GIR_Coverage, 22017,
     /*  810937 */     GIR_EraseRootFromParent_Done,
     /*  810938 */   // Label 12516: @810938
     /*  810938 */   GIM_Try, /*On fail goto*//*Label 12517*/ GIMT_Encode4(811013), // Rule ID 22018 //
     /*  810943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  810951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  810960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810989 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  810992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811011 */     GIR_RootConstrainSelectedInstOperands,
     /*  811012 */     // GIR_Coverage, 22018,
     /*  811012 */     GIR_EraseRootFromParent_Done,
     /*  811013 */   // Label 12517: @811013
     /*  811013 */   GIM_Try, /*On fail goto*//*Label 12518*/ GIMT_Encode4(811088), // Rule ID 22021 //
     /*  811018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  811035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811064 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  811067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811086 */     GIR_RootConstrainSelectedInstOperands,
     /*  811087 */     // GIR_Coverage, 22021,
     /*  811087 */     GIR_EraseRootFromParent_Done,
     /*  811088 */   // Label 12518: @811088
     /*  811088 */   GIM_Try, /*On fail goto*//*Label 12519*/ GIMT_Encode4(811163), // Rule ID 22022 //
     /*  811093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  811110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811139 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  811142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811161 */     GIR_RootConstrainSelectedInstOperands,
     /*  811162 */     // GIR_Coverage, 22022,
     /*  811162 */     GIR_EraseRootFromParent_Done,
     /*  811163 */   // Label 12519: @811163
     /*  811163 */   GIM_Try, /*On fail goto*//*Label 12520*/ GIMT_Encode4(811238), // Rule ID 22025 //
     /*  811168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  811185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811214 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  811217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811236 */     GIR_RootConstrainSelectedInstOperands,
     /*  811237 */     // GIR_Coverage, 22025,
     /*  811237 */     GIR_EraseRootFromParent_Done,
     /*  811238 */   // Label 12520: @811238
     /*  811238 */   GIM_Try, /*On fail goto*//*Label 12521*/ GIMT_Encode4(811313), // Rule ID 22026 //
     /*  811243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  811260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811289 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  811292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811311 */     GIR_RootConstrainSelectedInstOperands,
     /*  811312 */     // GIR_Coverage, 22026,
     /*  811312 */     GIR_EraseRootFromParent_Done,
     /*  811313 */   // Label 12521: @811313
     /*  811313 */   GIM_Try, /*On fail goto*//*Label 12522*/ GIMT_Encode4(811388), // Rule ID 22029 //
     /*  811318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  811335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811364 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  811367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811386 */     GIR_RootConstrainSelectedInstOperands,
     /*  811387 */     // GIR_Coverage, 22029,
     /*  811387 */     GIR_EraseRootFromParent_Done,
     /*  811388 */   // Label 12522: @811388
     /*  811388 */   GIM_Try, /*On fail goto*//*Label 12523*/ GIMT_Encode4(811463), // Rule ID 22030 //
     /*  811393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  811410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811439 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  811442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811461 */     GIR_RootConstrainSelectedInstOperands,
     /*  811462 */     // GIR_Coverage, 22030,
     /*  811462 */     GIR_EraseRootFromParent_Done,
     /*  811463 */   // Label 12523: @811463
     /*  811463 */   GIM_Try, /*On fail goto*//*Label 12524*/ GIMT_Encode4(811538), // Rule ID 22033 //
     /*  811468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  811485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811514 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  811517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811536 */     GIR_RootConstrainSelectedInstOperands,
     /*  811537 */     // GIR_Coverage, 22033,
     /*  811537 */     GIR_EraseRootFromParent_Done,
     /*  811538 */   // Label 12524: @811538
     /*  811538 */   GIM_Try, /*On fail goto*//*Label 12525*/ GIMT_Encode4(811613), // Rule ID 22034 //
     /*  811543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  811560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811589 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  811589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  811592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811611 */     GIR_RootConstrainSelectedInstOperands,
     /*  811612 */     // GIR_Coverage, 22034,
     /*  811612 */     GIR_EraseRootFromParent_Done,
     /*  811613 */   // Label 12525: @811613
     /*  811613 */   GIM_Try, /*On fail goto*//*Label 12526*/ GIMT_Encode4(811688), // Rule ID 22037 //
     /*  811618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  811635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811664 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  811667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811686 */     GIR_RootConstrainSelectedInstOperands,
     /*  811687 */     // GIR_Coverage, 22037,
     /*  811687 */     GIR_EraseRootFromParent_Done,
     /*  811688 */   // Label 12526: @811688
     /*  811688 */   GIM_Try, /*On fail goto*//*Label 12527*/ GIMT_Encode4(811763), // Rule ID 22038 //
     /*  811693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  811710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811739 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  811742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811761 */     GIR_RootConstrainSelectedInstOperands,
     /*  811762 */     // GIR_Coverage, 22038,
     /*  811762 */     GIR_EraseRootFromParent_Done,
     /*  811763 */   // Label 12527: @811763
     /*  811763 */   GIM_Try, /*On fail goto*//*Label 12528*/ GIMT_Encode4(811838), // Rule ID 22041 //
     /*  811768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  811785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811814 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  811817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811836 */     GIR_RootConstrainSelectedInstOperands,
     /*  811837 */     // GIR_Coverage, 22041,
     /*  811837 */     GIR_EraseRootFromParent_Done,
     /*  811838 */   // Label 12528: @811838
     /*  811838 */   GIM_Try, /*On fail goto*//*Label 12529*/ GIMT_Encode4(811913), // Rule ID 22042 //
     /*  811843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  811860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811889 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  811892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811911 */     GIR_RootConstrainSelectedInstOperands,
     /*  811912 */     // GIR_Coverage, 22042,
     /*  811912 */     GIR_EraseRootFromParent_Done,
     /*  811913 */   // Label 12529: @811913
     /*  811913 */   GIM_Try, /*On fail goto*//*Label 12530*/ GIMT_Encode4(811988), // Rule ID 22045 //
     /*  811918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  811921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  811926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  811935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811964 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  811964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  811967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811986 */     GIR_RootConstrainSelectedInstOperands,
     /*  811987 */     // GIR_Coverage, 22045,
     /*  811987 */     GIR_EraseRootFromParent_Done,
     /*  811988 */   // Label 12530: @811988
     /*  811988 */   GIM_Try, /*On fail goto*//*Label 12531*/ GIMT_Encode4(812063), // Rule ID 22046 //
     /*  811993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  811996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  812010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812039 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  812039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  812042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812061 */     GIR_RootConstrainSelectedInstOperands,
     /*  812062 */     // GIR_Coverage, 22046,
     /*  812062 */     GIR_EraseRootFromParent_Done,
     /*  812063 */   // Label 12531: @812063
     /*  812063 */   GIM_Try, /*On fail goto*//*Label 12532*/ GIMT_Encode4(812138), // Rule ID 22049 //
     /*  812068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  812085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812114 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  812117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812136 */     GIR_RootConstrainSelectedInstOperands,
     /*  812137 */     // GIR_Coverage, 22049,
     /*  812137 */     GIR_EraseRootFromParent_Done,
     /*  812138 */   // Label 12532: @812138
     /*  812138 */   GIM_Try, /*On fail goto*//*Label 12533*/ GIMT_Encode4(812213), // Rule ID 22050 //
     /*  812143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  812160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812189 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  812192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812211 */     GIR_RootConstrainSelectedInstOperands,
     /*  812212 */     // GIR_Coverage, 22050,
     /*  812212 */     GIR_EraseRootFromParent_Done,
     /*  812213 */   // Label 12533: @812213
     /*  812213 */   GIM_Try, /*On fail goto*//*Label 12534*/ GIMT_Encode4(812288), // Rule ID 22053 //
     /*  812218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  812235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812264 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  812267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812286 */     GIR_RootConstrainSelectedInstOperands,
     /*  812287 */     // GIR_Coverage, 22053,
     /*  812287 */     GIR_EraseRootFromParent_Done,
     /*  812288 */   // Label 12534: @812288
     /*  812288 */   GIM_Try, /*On fail goto*//*Label 12535*/ GIMT_Encode4(812363), // Rule ID 22054 //
     /*  812293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  812310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812339 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  812342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812361 */     GIR_RootConstrainSelectedInstOperands,
     /*  812362 */     // GIR_Coverage, 22054,
     /*  812362 */     GIR_EraseRootFromParent_Done,
     /*  812363 */   // Label 12535: @812363
     /*  812363 */   GIM_Try, /*On fail goto*//*Label 12536*/ GIMT_Encode4(812438), // Rule ID 22057 //
     /*  812368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  812385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812414 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  812417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812436 */     GIR_RootConstrainSelectedInstOperands,
     /*  812437 */     // GIR_Coverage, 22057,
     /*  812437 */     GIR_EraseRootFromParent_Done,
     /*  812438 */   // Label 12536: @812438
     /*  812438 */   GIM_Try, /*On fail goto*//*Label 12537*/ GIMT_Encode4(812513), // Rule ID 22058 //
     /*  812443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  812460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812489 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  812492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812511 */     GIR_RootConstrainSelectedInstOperands,
     /*  812512 */     // GIR_Coverage, 22058,
     /*  812512 */     GIR_EraseRootFromParent_Done,
     /*  812513 */   // Label 12537: @812513
     /*  812513 */   GIM_Try, /*On fail goto*//*Label 12538*/ GIMT_Encode4(812588), // Rule ID 22061 //
     /*  812518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  812535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  812567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812586 */     GIR_RootConstrainSelectedInstOperands,
     /*  812587 */     // GIR_Coverage, 22061,
     /*  812587 */     GIR_EraseRootFromParent_Done,
     /*  812588 */   // Label 12538: @812588
     /*  812588 */   GIM_Try, /*On fail goto*//*Label 12539*/ GIMT_Encode4(812663), // Rule ID 22062 //
     /*  812593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  812610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812639 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  812642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812661 */     GIR_RootConstrainSelectedInstOperands,
     /*  812662 */     // GIR_Coverage, 22062,
     /*  812662 */     GIR_EraseRootFromParent_Done,
     /*  812663 */   // Label 12539: @812663
     /*  812663 */   GIM_Try, /*On fail goto*//*Label 12540*/ GIMT_Encode4(812738), // Rule ID 22065 //
     /*  812668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  812685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812714 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  812717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812736 */     GIR_RootConstrainSelectedInstOperands,
     /*  812737 */     // GIR_Coverage, 22065,
     /*  812737 */     GIR_EraseRootFromParent_Done,
     /*  812738 */   // Label 12540: @812738
     /*  812738 */   GIM_Try, /*On fail goto*//*Label 12541*/ GIMT_Encode4(812813), // Rule ID 22066 //
     /*  812743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  812760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812789 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  812792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812811 */     GIR_RootConstrainSelectedInstOperands,
     /*  812812 */     // GIR_Coverage, 22066,
     /*  812812 */     GIR_EraseRootFromParent_Done,
     /*  812813 */   // Label 12541: @812813
     /*  812813 */   GIM_Try, /*On fail goto*//*Label 12542*/ GIMT_Encode4(812888), // Rule ID 22069 //
     /*  812818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  812835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  812867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812886 */     GIR_RootConstrainSelectedInstOperands,
     /*  812887 */     // GIR_Coverage, 22069,
     /*  812887 */     GIR_EraseRootFromParent_Done,
     /*  812888 */   // Label 12542: @812888
     /*  812888 */   GIM_Try, /*On fail goto*//*Label 12543*/ GIMT_Encode4(812963), // Rule ID 22070 //
     /*  812893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  812910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812939 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  812942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812961 */     GIR_RootConstrainSelectedInstOperands,
     /*  812962 */     // GIR_Coverage, 22070,
     /*  812962 */     GIR_EraseRootFromParent_Done,
     /*  812963 */   // Label 12543: @812963
     /*  812963 */   GIM_Try, /*On fail goto*//*Label 12544*/ GIMT_Encode4(813038), // Rule ID 22073 //
     /*  812968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  812976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  812985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813014 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  813014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  813017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813036 */     GIR_RootConstrainSelectedInstOperands,
     /*  813037 */     // GIR_Coverage, 22073,
     /*  813037 */     GIR_EraseRootFromParent_Done,
     /*  813038 */   // Label 12544: @813038
     /*  813038 */   GIM_Try, /*On fail goto*//*Label 12545*/ GIMT_Encode4(813113), // Rule ID 22074 //
     /*  813043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  813060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813089 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  813089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  813092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813111 */     GIR_RootConstrainSelectedInstOperands,
     /*  813112 */     // GIR_Coverage, 22074,
     /*  813112 */     GIR_EraseRootFromParent_Done,
     /*  813113 */   // Label 12545: @813113
     /*  813113 */   GIM_Try, /*On fail goto*//*Label 12546*/ GIMT_Encode4(813188), // Rule ID 22077 //
     /*  813118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  813135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813164 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  813164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  813167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813186 */     GIR_RootConstrainSelectedInstOperands,
     /*  813187 */     // GIR_Coverage, 22077,
     /*  813187 */     GIR_EraseRootFromParent_Done,
     /*  813188 */   // Label 12546: @813188
     /*  813188 */   GIM_Try, /*On fail goto*//*Label 12547*/ GIMT_Encode4(813263), // Rule ID 22078 //
     /*  813193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  813210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813239 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  813239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  813242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813261 */     GIR_RootConstrainSelectedInstOperands,
     /*  813262 */     // GIR_Coverage, 22078,
     /*  813262 */     GIR_EraseRootFromParent_Done,
     /*  813263 */   // Label 12547: @813263
     /*  813263 */   GIM_Try, /*On fail goto*//*Label 12548*/ GIMT_Encode4(813338), // Rule ID 22081 //
     /*  813268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  813285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813314 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  813314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  813317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813336 */     GIR_RootConstrainSelectedInstOperands,
     /*  813337 */     // GIR_Coverage, 22081,
     /*  813337 */     GIR_EraseRootFromParent_Done,
     /*  813338 */   // Label 12548: @813338
     /*  813338 */   GIM_Try, /*On fail goto*//*Label 12549*/ GIMT_Encode4(813413), // Rule ID 22082 //
     /*  813343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  813360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813389 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  813389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  813392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813411 */     GIR_RootConstrainSelectedInstOperands,
     /*  813412 */     // GIR_Coverage, 22082,
     /*  813412 */     GIR_EraseRootFromParent_Done,
     /*  813413 */   // Label 12549: @813413
     /*  813413 */   GIM_Try, /*On fail goto*//*Label 12550*/ GIMT_Encode4(813488), // Rule ID 22085 //
     /*  813418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  813421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  813435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813464 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  813464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  813467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813486 */     GIR_RootConstrainSelectedInstOperands,
     /*  813487 */     // GIR_Coverage, 22085,
     /*  813487 */     GIR_EraseRootFromParent_Done,
     /*  813488 */   // Label 12550: @813488
     /*  813488 */   GIM_Try, /*On fail goto*//*Label 12551*/ GIMT_Encode4(813563), // Rule ID 22086 //
     /*  813493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  813496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  813510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813539 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  813539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  813542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813561 */     GIR_RootConstrainSelectedInstOperands,
     /*  813562 */     // GIR_Coverage, 22086,
     /*  813562 */     GIR_EraseRootFromParent_Done,
     /*  813563 */   // Label 12551: @813563
     /*  813563 */   GIM_Try, /*On fail goto*//*Label 12552*/ GIMT_Encode4(813638), // Rule ID 22089 //
     /*  813568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  813571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  813585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813614 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  813614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  813617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813636 */     GIR_RootConstrainSelectedInstOperands,
     /*  813637 */     // GIR_Coverage, 22089,
     /*  813637 */     GIR_EraseRootFromParent_Done,
     /*  813638 */   // Label 12552: @813638
     /*  813638 */   GIM_Try, /*On fail goto*//*Label 12553*/ GIMT_Encode4(813713), // Rule ID 22090 //
     /*  813643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  813646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  813660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813689 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  813689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  813692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813711 */     GIR_RootConstrainSelectedInstOperands,
     /*  813712 */     // GIR_Coverage, 22090,
     /*  813712 */     GIR_EraseRootFromParent_Done,
     /*  813713 */   // Label 12553: @813713
     /*  813713 */   GIM_Try, /*On fail goto*//*Label 12554*/ GIMT_Encode4(813788), // Rule ID 22093 //
     /*  813718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  813721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  813735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813764 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  813764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  813767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813786 */     GIR_RootConstrainSelectedInstOperands,
     /*  813787 */     // GIR_Coverage, 22093,
     /*  813787 */     GIR_EraseRootFromParent_Done,
     /*  813788 */   // Label 12554: @813788
     /*  813788 */   GIM_Try, /*On fail goto*//*Label 12555*/ GIMT_Encode4(813863), // Rule ID 22094 //
     /*  813793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  813796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  813801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  813810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813839 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  813839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  813842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813861 */     GIR_RootConstrainSelectedInstOperands,
     /*  813862 */     // GIR_Coverage, 22094,
     /*  813862 */     GIR_EraseRootFromParent_Done,
     /*  813863 */   // Label 12555: @813863
     /*  813863 */   GIM_Try, /*On fail goto*//*Label 12556*/ GIMT_Encode4(813938), // Rule ID 22097 //
     /*  813868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  813876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  813885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813914 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  813917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813936 */     GIR_RootConstrainSelectedInstOperands,
     /*  813937 */     // GIR_Coverage, 22097,
     /*  813937 */     GIR_EraseRootFromParent_Done,
     /*  813938 */   // Label 12556: @813938
     /*  813938 */   GIM_Try, /*On fail goto*//*Label 12557*/ GIMT_Encode4(814013), // Rule ID 22098 //
     /*  813943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  813951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  813960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813989 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  813992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814011 */     GIR_RootConstrainSelectedInstOperands,
     /*  814012 */     // GIR_Coverage, 22098,
     /*  814012 */     GIR_EraseRootFromParent_Done,
     /*  814013 */   // Label 12557: @814013
     /*  814013 */   GIM_Try, /*On fail goto*//*Label 12558*/ GIMT_Encode4(814088), // Rule ID 22101 //
     /*  814018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  814026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  814035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814064 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  814067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814086 */     GIR_RootConstrainSelectedInstOperands,
     /*  814087 */     // GIR_Coverage, 22101,
     /*  814087 */     GIR_EraseRootFromParent_Done,
     /*  814088 */   // Label 12558: @814088
     /*  814088 */   GIM_Try, /*On fail goto*//*Label 12559*/ GIMT_Encode4(814163), // Rule ID 22102 //
     /*  814093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  814101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  814110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814139 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  814142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814161 */     GIR_RootConstrainSelectedInstOperands,
     /*  814162 */     // GIR_Coverage, 22102,
     /*  814162 */     GIR_EraseRootFromParent_Done,
     /*  814163 */   // Label 12559: @814163
     /*  814163 */   GIM_Try, /*On fail goto*//*Label 12560*/ GIMT_Encode4(814238), // Rule ID 22105 //
     /*  814168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  814176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  814185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814214 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  814217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814236 */     GIR_RootConstrainSelectedInstOperands,
     /*  814237 */     // GIR_Coverage, 22105,
     /*  814237 */     GIR_EraseRootFromParent_Done,
     /*  814238 */   // Label 12560: @814238
     /*  814238 */   GIM_Try, /*On fail goto*//*Label 12561*/ GIMT_Encode4(814313), // Rule ID 22106 //
     /*  814243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  814251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  814260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814289 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  814292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814311 */     GIR_RootConstrainSelectedInstOperands,
     /*  814312 */     // GIR_Coverage, 22106,
     /*  814312 */     GIR_EraseRootFromParent_Done,
     /*  814313 */   // Label 12561: @814313
     /*  814313 */   GIM_Try, /*On fail goto*//*Label 12562*/ GIMT_Encode4(814388), // Rule ID 22109 //
     /*  814318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  814326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  814335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814364 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  814367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814386 */     GIR_RootConstrainSelectedInstOperands,
     /*  814387 */     // GIR_Coverage, 22109,
     /*  814387 */     GIR_EraseRootFromParent_Done,
     /*  814388 */   // Label 12562: @814388
     /*  814388 */   GIM_Try, /*On fail goto*//*Label 12563*/ GIMT_Encode4(814463), // Rule ID 22110 //
     /*  814393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  814401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  814410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814439 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  814442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814461 */     GIR_RootConstrainSelectedInstOperands,
     /*  814462 */     // GIR_Coverage, 22110,
     /*  814462 */     GIR_EraseRootFromParent_Done,
     /*  814463 */   // Label 12563: @814463
     /*  814463 */   GIM_Try, /*On fail goto*//*Label 12564*/ GIMT_Encode4(814538), // Rule ID 22113 //
     /*  814468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  814476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  814485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814514 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  814517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814536 */     GIR_RootConstrainSelectedInstOperands,
     /*  814537 */     // GIR_Coverage, 22113,
     /*  814537 */     GIR_EraseRootFromParent_Done,
     /*  814538 */   // Label 12564: @814538
     /*  814538 */   GIM_Try, /*On fail goto*//*Label 12565*/ GIMT_Encode4(814613), // Rule ID 22114 //
     /*  814543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  814551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  814560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814589 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  814592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814611 */     GIR_RootConstrainSelectedInstOperands,
     /*  814612 */     // GIR_Coverage, 22114,
     /*  814612 */     GIR_EraseRootFromParent_Done,
     /*  814613 */   // Label 12565: @814613
     /*  814613 */   GIM_Try, /*On fail goto*//*Label 12566*/ GIMT_Encode4(814688), // Rule ID 22117 //
     /*  814618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  814626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  814635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814664 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  814667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814686 */     GIR_RootConstrainSelectedInstOperands,
     /*  814687 */     // GIR_Coverage, 22117,
     /*  814687 */     GIR_EraseRootFromParent_Done,
     /*  814688 */   // Label 12566: @814688
     /*  814688 */   GIM_Try, /*On fail goto*//*Label 12567*/ GIMT_Encode4(814763), // Rule ID 22118 //
     /*  814693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  814701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  814710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814739 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  814739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  814742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814761 */     GIR_RootConstrainSelectedInstOperands,
     /*  814762 */     // GIR_Coverage, 22118,
     /*  814762 */     GIR_EraseRootFromParent_Done,
     /*  814763 */   // Label 12567: @814763
     /*  814763 */   GIM_Try, /*On fail goto*//*Label 12568*/ GIMT_Encode4(814838), // Rule ID 22121 //
     /*  814768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  814776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  814785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814814 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  814817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814836 */     GIR_RootConstrainSelectedInstOperands,
     /*  814837 */     // GIR_Coverage, 22121,
     /*  814837 */     GIR_EraseRootFromParent_Done,
     /*  814838 */   // Label 12568: @814838
     /*  814838 */   GIM_Try, /*On fail goto*//*Label 12569*/ GIMT_Encode4(814913), // Rule ID 22122 //
     /*  814843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  814851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  814860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814889 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  814892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814911 */     GIR_RootConstrainSelectedInstOperands,
     /*  814912 */     // GIR_Coverage, 22122,
     /*  814912 */     GIR_EraseRootFromParent_Done,
     /*  814913 */   // Label 12569: @814913
     /*  814913 */   GIM_Try, /*On fail goto*//*Label 12570*/ GIMT_Encode4(814988), // Rule ID 22125 //
     /*  814918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  814926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  814935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814964 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  814967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814986 */     GIR_RootConstrainSelectedInstOperands,
     /*  814987 */     // GIR_Coverage, 22125,
     /*  814987 */     GIR_EraseRootFromParent_Done,
     /*  814988 */   // Label 12570: @814988
     /*  814988 */   GIM_Try, /*On fail goto*//*Label 12571*/ GIMT_Encode4(815063), // Rule ID 22126 //
     /*  814993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  815010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815039 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  815039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  815042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815061 */     GIR_RootConstrainSelectedInstOperands,
     /*  815062 */     // GIR_Coverage, 22126,
     /*  815062 */     GIR_EraseRootFromParent_Done,
     /*  815063 */   // Label 12571: @815063
     /*  815063 */   GIM_Try, /*On fail goto*//*Label 12572*/ GIMT_Encode4(815138), // Rule ID 22129 //
     /*  815068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  815085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  815114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  815117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815136 */     GIR_RootConstrainSelectedInstOperands,
     /*  815137 */     // GIR_Coverage, 22129,
     /*  815137 */     GIR_EraseRootFromParent_Done,
     /*  815138 */   // Label 12572: @815138
     /*  815138 */   GIM_Try, /*On fail goto*//*Label 12573*/ GIMT_Encode4(815213), // Rule ID 22130 //
     /*  815143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  815160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815189 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  815189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  815192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815211 */     GIR_RootConstrainSelectedInstOperands,
     /*  815212 */     // GIR_Coverage, 22130,
     /*  815212 */     GIR_EraseRootFromParent_Done,
     /*  815213 */   // Label 12573: @815213
     /*  815213 */   GIM_Try, /*On fail goto*//*Label 12574*/ GIMT_Encode4(815288), // Rule ID 22133 //
     /*  815218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  815221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  815235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815264 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  815264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  815267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815286 */     GIR_RootConstrainSelectedInstOperands,
     /*  815287 */     // GIR_Coverage, 22133,
     /*  815287 */     GIR_EraseRootFromParent_Done,
     /*  815288 */   // Label 12574: @815288
     /*  815288 */   GIM_Try, /*On fail goto*//*Label 12575*/ GIMT_Encode4(815363), // Rule ID 22134 //
     /*  815293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  815296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  815310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815339 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  815339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  815342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815361 */     GIR_RootConstrainSelectedInstOperands,
     /*  815362 */     // GIR_Coverage, 22134,
     /*  815362 */     GIR_EraseRootFromParent_Done,
     /*  815363 */   // Label 12575: @815363
     /*  815363 */   GIM_Try, /*On fail goto*//*Label 12576*/ GIMT_Encode4(815438), // Rule ID 22137 //
     /*  815368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  815385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815414 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  815417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815436 */     GIR_RootConstrainSelectedInstOperands,
     /*  815437 */     // GIR_Coverage, 22137,
     /*  815437 */     GIR_EraseRootFromParent_Done,
     /*  815438 */   // Label 12576: @815438
     /*  815438 */   GIM_Try, /*On fail goto*//*Label 12577*/ GIMT_Encode4(815513), // Rule ID 22138 //
     /*  815443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  815460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815489 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  815492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815511 */     GIR_RootConstrainSelectedInstOperands,
     /*  815512 */     // GIR_Coverage, 22138,
     /*  815512 */     GIR_EraseRootFromParent_Done,
     /*  815513 */   // Label 12577: @815513
     /*  815513 */   GIM_Try, /*On fail goto*//*Label 12578*/ GIMT_Encode4(815588), // Rule ID 22141 //
     /*  815518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  815535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815564 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  815567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815586 */     GIR_RootConstrainSelectedInstOperands,
     /*  815587 */     // GIR_Coverage, 22141,
     /*  815587 */     GIR_EraseRootFromParent_Done,
     /*  815588 */   // Label 12578: @815588
     /*  815588 */   GIM_Try, /*On fail goto*//*Label 12579*/ GIMT_Encode4(815663), // Rule ID 22142 //
     /*  815593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  815610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815639 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  815642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815661 */     GIR_RootConstrainSelectedInstOperands,
     /*  815662 */     // GIR_Coverage, 22142,
     /*  815662 */     GIR_EraseRootFromParent_Done,
     /*  815663 */   // Label 12579: @815663
     /*  815663 */   GIM_Try, /*On fail goto*//*Label 12580*/ GIMT_Encode4(815738), // Rule ID 22145 //
     /*  815668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  815685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815714 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  815717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815736 */     GIR_RootConstrainSelectedInstOperands,
     /*  815737 */     // GIR_Coverage, 22145,
     /*  815737 */     GIR_EraseRootFromParent_Done,
     /*  815738 */   // Label 12580: @815738
     /*  815738 */   GIM_Try, /*On fail goto*//*Label 12581*/ GIMT_Encode4(815813), // Rule ID 22146 //
     /*  815743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  815760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815789 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  815792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815811 */     GIR_RootConstrainSelectedInstOperands,
     /*  815812 */     // GIR_Coverage, 22146,
     /*  815812 */     GIR_EraseRootFromParent_Done,
     /*  815813 */   // Label 12581: @815813
     /*  815813 */   GIM_Try, /*On fail goto*//*Label 12582*/ GIMT_Encode4(815888), // Rule ID 22149 //
     /*  815818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  815835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  815867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815886 */     GIR_RootConstrainSelectedInstOperands,
     /*  815887 */     // GIR_Coverage, 22149,
     /*  815887 */     GIR_EraseRootFromParent_Done,
     /*  815888 */   // Label 12582: @815888
     /*  815888 */   GIM_Try, /*On fail goto*//*Label 12583*/ GIMT_Encode4(815963), // Rule ID 22150 //
     /*  815893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  815910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815939 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  815939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  815942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815961 */     GIR_RootConstrainSelectedInstOperands,
     /*  815962 */     // GIR_Coverage, 22150,
     /*  815962 */     GIR_EraseRootFromParent_Done,
     /*  815963 */   // Label 12583: @815963
     /*  815963 */   GIM_Try, /*On fail goto*//*Label 12584*/ GIMT_Encode4(816038), // Rule ID 22153 //
     /*  815968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  815976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  815985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816014 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  816014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  816017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816036 */     GIR_RootConstrainSelectedInstOperands,
     /*  816037 */     // GIR_Coverage, 22153,
     /*  816037 */     GIR_EraseRootFromParent_Done,
     /*  816038 */   // Label 12584: @816038
     /*  816038 */   GIM_Try, /*On fail goto*//*Label 12585*/ GIMT_Encode4(816113), // Rule ID 22154 //
     /*  816043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  816060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816089 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  816089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  816092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816111 */     GIR_RootConstrainSelectedInstOperands,
     /*  816112 */     // GIR_Coverage, 22154,
     /*  816112 */     GIR_EraseRootFromParent_Done,
     /*  816113 */   // Label 12585: @816113
     /*  816113 */   GIM_Try, /*On fail goto*//*Label 12586*/ GIMT_Encode4(816188), // Rule ID 22157 //
     /*  816118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  816135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  816164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  816167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816186 */     GIR_RootConstrainSelectedInstOperands,
     /*  816187 */     // GIR_Coverage, 22157,
     /*  816187 */     GIR_EraseRootFromParent_Done,
     /*  816188 */   // Label 12586: @816188
     /*  816188 */   GIM_Try, /*On fail goto*//*Label 12587*/ GIMT_Encode4(816263), // Rule ID 22158 //
     /*  816193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  816210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816239 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  816239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  816242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816261 */     GIR_RootConstrainSelectedInstOperands,
     /*  816262 */     // GIR_Coverage, 22158,
     /*  816262 */     GIR_EraseRootFromParent_Done,
     /*  816263 */   // Label 12587: @816263
     /*  816263 */   GIM_Try, /*On fail goto*//*Label 12588*/ GIMT_Encode4(816338), // Rule ID 22161 //
     /*  816268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  816285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816314 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  816314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  816317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816336 */     GIR_RootConstrainSelectedInstOperands,
     /*  816337 */     // GIR_Coverage, 22161,
     /*  816337 */     GIR_EraseRootFromParent_Done,
     /*  816338 */   // Label 12588: @816338
     /*  816338 */   GIM_Try, /*On fail goto*//*Label 12589*/ GIMT_Encode4(816413), // Rule ID 22162 //
     /*  816343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  816360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816389 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  816389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  816392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816411 */     GIR_RootConstrainSelectedInstOperands,
     /*  816412 */     // GIR_Coverage, 22162,
     /*  816412 */     GIR_EraseRootFromParent_Done,
     /*  816413 */   // Label 12589: @816413
     /*  816413 */   GIM_Try, /*On fail goto*//*Label 12590*/ GIMT_Encode4(816488), // Rule ID 22165 //
     /*  816418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  816435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816464 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  816464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  816467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816486 */     GIR_RootConstrainSelectedInstOperands,
     /*  816487 */     // GIR_Coverage, 22165,
     /*  816487 */     GIR_EraseRootFromParent_Done,
     /*  816488 */   // Label 12590: @816488
     /*  816488 */   GIM_Try, /*On fail goto*//*Label 12591*/ GIMT_Encode4(816563), // Rule ID 22166 //
     /*  816493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  816510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816539 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  816539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  816542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816561 */     GIR_RootConstrainSelectedInstOperands,
     /*  816562 */     // GIR_Coverage, 22166,
     /*  816562 */     GIR_EraseRootFromParent_Done,
     /*  816563 */   // Label 12591: @816563
     /*  816563 */   GIM_Try, /*On fail goto*//*Label 12592*/ GIMT_Encode4(816638), // Rule ID 22169 //
     /*  816568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  816585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816614 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  816614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  816617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816636 */     GIR_RootConstrainSelectedInstOperands,
     /*  816637 */     // GIR_Coverage, 22169,
     /*  816637 */     GIR_EraseRootFromParent_Done,
     /*  816638 */   // Label 12592: @816638
     /*  816638 */   GIM_Try, /*On fail goto*//*Label 12593*/ GIMT_Encode4(816713), // Rule ID 22170 //
     /*  816643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  816660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816689 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  816689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  816692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816711 */     GIR_RootConstrainSelectedInstOperands,
     /*  816712 */     // GIR_Coverage, 22170,
     /*  816712 */     GIR_EraseRootFromParent_Done,
     /*  816713 */   // Label 12593: @816713
     /*  816713 */   GIM_Try, /*On fail goto*//*Label 12594*/ GIMT_Encode4(816788), // Rule ID 22173 //
     /*  816718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  816721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  816735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816764 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  816764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  816767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816786 */     GIR_RootConstrainSelectedInstOperands,
     /*  816787 */     // GIR_Coverage, 22173,
     /*  816787 */     GIR_EraseRootFromParent_Done,
     /*  816788 */   // Label 12594: @816788
     /*  816788 */   GIM_Try, /*On fail goto*//*Label 12595*/ GIMT_Encode4(816863), // Rule ID 22174 //
     /*  816793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  816796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  816810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816839 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  816839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  816842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816861 */     GIR_RootConstrainSelectedInstOperands,
     /*  816862 */     // GIR_Coverage, 22174,
     /*  816862 */     GIR_EraseRootFromParent_Done,
     /*  816863 */   // Label 12595: @816863
     /*  816863 */   GIM_Try, /*On fail goto*//*Label 12596*/ GIMT_Encode4(816938), // Rule ID 22177 //
     /*  816868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  816871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  816885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816914 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  816914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  816917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816936 */     GIR_RootConstrainSelectedInstOperands,
     /*  816937 */     // GIR_Coverage, 22177,
     /*  816937 */     GIR_EraseRootFromParent_Done,
     /*  816938 */   // Label 12596: @816938
     /*  816938 */   GIM_Try, /*On fail goto*//*Label 12597*/ GIMT_Encode4(817013), // Rule ID 22178 //
     /*  816943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  816946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  816951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  816960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816989 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  816989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  816992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  817008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817011 */     GIR_RootConstrainSelectedInstOperands,
     /*  817012 */     // GIR_Coverage, 22178,
     /*  817012 */     GIR_EraseRootFromParent_Done,
     /*  817013 */   // Label 12597: @817013
     /*  817013 */   GIM_Try, /*On fail goto*//*Label 12598*/ GIMT_Encode4(817088), // Rule ID 22181 //
     /*  817018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  817021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  817029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  817032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  817035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  817038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  817064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  817067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  817083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817086 */     GIR_RootConstrainSelectedInstOperands,
     /*  817087 */     // GIR_Coverage, 22181,
     /*  817087 */     GIR_EraseRootFromParent_Done,
     /*  817088 */   // Label 12598: @817088
     /*  817088 */   GIM_Try, /*On fail goto*//*Label 12599*/ GIMT_Encode4(817163), // Rule ID 22182 //
     /*  817093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  817096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  817101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  817104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  817107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  817110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  817113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817139 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  817139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  817142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  817158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817161 */     GIR_RootConstrainSelectedInstOperands,
     /*  817162 */     // GIR_Coverage, 22182,
     /*  817162 */     GIR_EraseRootFromParent_Done,
     /*  817163 */   // Label 12599: @817163
     /*  817163 */   GIM_Try, /*On fail goto*//*Label 12600*/ GIMT_Encode4(817238), // Rule ID 22185 //
     /*  817168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  817176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  817185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817214 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  817217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817236 */     GIR_RootConstrainSelectedInstOperands,
     /*  817237 */     // GIR_Coverage, 22185,
     /*  817237 */     GIR_EraseRootFromParent_Done,
     /*  817238 */   // Label 12600: @817238
     /*  817238 */   GIM_Try, /*On fail goto*//*Label 12601*/ GIMT_Encode4(817313), // Rule ID 22186 //
     /*  817243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  817251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  817260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817289 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  817292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817311 */     GIR_RootConstrainSelectedInstOperands,
     /*  817312 */     // GIR_Coverage, 22186,
     /*  817312 */     GIR_EraseRootFromParent_Done,
     /*  817313 */   // Label 12601: @817313
     /*  817313 */   GIM_Try, /*On fail goto*//*Label 12602*/ GIMT_Encode4(817388), // Rule ID 22189 //
     /*  817318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  817326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  817335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817364 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  817367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817386 */     GIR_RootConstrainSelectedInstOperands,
     /*  817387 */     // GIR_Coverage, 22189,
     /*  817387 */     GIR_EraseRootFromParent_Done,
     /*  817388 */   // Label 12602: @817388
     /*  817388 */   GIM_Try, /*On fail goto*//*Label 12603*/ GIMT_Encode4(817463), // Rule ID 22190 //
     /*  817393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  817401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  817410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817439 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  817442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817461 */     GIR_RootConstrainSelectedInstOperands,
     /*  817462 */     // GIR_Coverage, 22190,
     /*  817462 */     GIR_EraseRootFromParent_Done,
     /*  817463 */   // Label 12603: @817463
     /*  817463 */   GIM_Try, /*On fail goto*//*Label 12604*/ GIMT_Encode4(817538), // Rule ID 22193 //
     /*  817468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  817476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  817485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817514 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  817517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817536 */     GIR_RootConstrainSelectedInstOperands,
     /*  817537 */     // GIR_Coverage, 22193,
     /*  817537 */     GIR_EraseRootFromParent_Done,
     /*  817538 */   // Label 12604: @817538
     /*  817538 */   GIM_Try, /*On fail goto*//*Label 12605*/ GIMT_Encode4(817613), // Rule ID 22194 //
     /*  817543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  817551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  817560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817589 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  817592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817611 */     GIR_RootConstrainSelectedInstOperands,
     /*  817612 */     // GIR_Coverage, 22194,
     /*  817612 */     GIR_EraseRootFromParent_Done,
     /*  817613 */   // Label 12605: @817613
     /*  817613 */   GIM_Try, /*On fail goto*//*Label 12606*/ GIMT_Encode4(817688), // Rule ID 22197 //
     /*  817618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  817626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  817635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817664 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  817667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817686 */     GIR_RootConstrainSelectedInstOperands,
     /*  817687 */     // GIR_Coverage, 22197,
     /*  817687 */     GIR_EraseRootFromParent_Done,
     /*  817688 */   // Label 12606: @817688
     /*  817688 */   GIM_Try, /*On fail goto*//*Label 12607*/ GIMT_Encode4(817763), // Rule ID 22198 //
     /*  817693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  817701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  817710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817739 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  817742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817761 */     GIR_RootConstrainSelectedInstOperands,
     /*  817762 */     // GIR_Coverage, 22198,
     /*  817762 */     GIR_EraseRootFromParent_Done,
     /*  817763 */   // Label 12607: @817763
     /*  817763 */   GIM_Try, /*On fail goto*//*Label 12608*/ GIMT_Encode4(817838), // Rule ID 22201 //
     /*  817768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  817776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  817785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817814 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  817817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817836 */     GIR_RootConstrainSelectedInstOperands,
     /*  817837 */     // GIR_Coverage, 22201,
     /*  817837 */     GIR_EraseRootFromParent_Done,
     /*  817838 */   // Label 12608: @817838
     /*  817838 */   GIM_Try, /*On fail goto*//*Label 12609*/ GIMT_Encode4(817913), // Rule ID 22202 //
     /*  817843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  817851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  817860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817889 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  817892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817911 */     GIR_RootConstrainSelectedInstOperands,
     /*  817912 */     // GIR_Coverage, 22202,
     /*  817912 */     GIR_EraseRootFromParent_Done,
     /*  817913 */   // Label 12609: @817913
     /*  817913 */   GIM_Try, /*On fail goto*//*Label 12610*/ GIMT_Encode4(817988), // Rule ID 22205 //
     /*  817918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  817926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  817935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817964 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  817964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  817967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817986 */     GIR_RootConstrainSelectedInstOperands,
     /*  817987 */     // GIR_Coverage, 22205,
     /*  817987 */     GIR_EraseRootFromParent_Done,
     /*  817988 */   // Label 12610: @817988
     /*  817988 */   GIM_Try, /*On fail goto*//*Label 12611*/ GIMT_Encode4(818063), // Rule ID 22206 //
     /*  817993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  818010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818039 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  818039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  818042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818061 */     GIR_RootConstrainSelectedInstOperands,
     /*  818062 */     // GIR_Coverage, 22206,
     /*  818062 */     GIR_EraseRootFromParent_Done,
     /*  818063 */   // Label 12611: @818063
     /*  818063 */   GIM_Try, /*On fail goto*//*Label 12612*/ GIMT_Encode4(818138), // Rule ID 22209 //
     /*  818068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  818085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818114 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  818117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818136 */     GIR_RootConstrainSelectedInstOperands,
     /*  818137 */     // GIR_Coverage, 22209,
     /*  818137 */     GIR_EraseRootFromParent_Done,
     /*  818138 */   // Label 12612: @818138
     /*  818138 */   GIM_Try, /*On fail goto*//*Label 12613*/ GIMT_Encode4(818213), // Rule ID 22210 //
     /*  818143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  818160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818189 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  818192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818211 */     GIR_RootConstrainSelectedInstOperands,
     /*  818212 */     // GIR_Coverage, 22210,
     /*  818212 */     GIR_EraseRootFromParent_Done,
     /*  818213 */   // Label 12613: @818213
     /*  818213 */   GIM_Try, /*On fail goto*//*Label 12614*/ GIMT_Encode4(818288), // Rule ID 22213 //
     /*  818218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  818235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818264 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  818264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  818267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818286 */     GIR_RootConstrainSelectedInstOperands,
     /*  818287 */     // GIR_Coverage, 22213,
     /*  818287 */     GIR_EraseRootFromParent_Done,
     /*  818288 */   // Label 12614: @818288
     /*  818288 */   GIM_Try, /*On fail goto*//*Label 12615*/ GIMT_Encode4(818363), // Rule ID 22214 //
     /*  818293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  818310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818339 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  818339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  818342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818361 */     GIR_RootConstrainSelectedInstOperands,
     /*  818362 */     // GIR_Coverage, 22214,
     /*  818362 */     GIR_EraseRootFromParent_Done,
     /*  818363 */   // Label 12615: @818363
     /*  818363 */   GIM_Try, /*On fail goto*//*Label 12616*/ GIMT_Encode4(818438), // Rule ID 22217 //
     /*  818368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  818385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818414 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  818414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  818417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818436 */     GIR_RootConstrainSelectedInstOperands,
     /*  818437 */     // GIR_Coverage, 22217,
     /*  818437 */     GIR_EraseRootFromParent_Done,
     /*  818438 */   // Label 12616: @818438
     /*  818438 */   GIM_Try, /*On fail goto*//*Label 12617*/ GIMT_Encode4(818513), // Rule ID 22218 //
     /*  818443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  818460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818489 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  818489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  818492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818511 */     GIR_RootConstrainSelectedInstOperands,
     /*  818512 */     // GIR_Coverage, 22218,
     /*  818512 */     GIR_EraseRootFromParent_Done,
     /*  818513 */   // Label 12617: @818513
     /*  818513 */   GIM_Try, /*On fail goto*//*Label 12618*/ GIMT_Encode4(818588), // Rule ID 22221 //
     /*  818518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  818521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  818535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818564 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  818564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  818567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818586 */     GIR_RootConstrainSelectedInstOperands,
     /*  818587 */     // GIR_Coverage, 22221,
     /*  818587 */     GIR_EraseRootFromParent_Done,
     /*  818588 */   // Label 12618: @818588
     /*  818588 */   GIM_Try, /*On fail goto*//*Label 12619*/ GIMT_Encode4(818663), // Rule ID 22222 //
     /*  818593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  818596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  818610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818639 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  818639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  818642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818661 */     GIR_RootConstrainSelectedInstOperands,
     /*  818662 */     // GIR_Coverage, 22222,
     /*  818662 */     GIR_EraseRootFromParent_Done,
     /*  818663 */   // Label 12619: @818663
     /*  818663 */   GIM_Try, /*On fail goto*//*Label 12620*/ GIMT_Encode4(818738), // Rule ID 22225 //
     /*  818668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  818685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818714 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  818717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818736 */     GIR_RootConstrainSelectedInstOperands,
     /*  818737 */     // GIR_Coverage, 22225,
     /*  818737 */     GIR_EraseRootFromParent_Done,
     /*  818738 */   // Label 12620: @818738
     /*  818738 */   GIM_Try, /*On fail goto*//*Label 12621*/ GIMT_Encode4(818813), // Rule ID 22226 //
     /*  818743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  818760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818789 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  818792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818811 */     GIR_RootConstrainSelectedInstOperands,
     /*  818812 */     // GIR_Coverage, 22226,
     /*  818812 */     GIR_EraseRootFromParent_Done,
     /*  818813 */   // Label 12621: @818813
     /*  818813 */   GIM_Try, /*On fail goto*//*Label 12622*/ GIMT_Encode4(818888), // Rule ID 22229 //
     /*  818818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  818835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818864 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  818867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818886 */     GIR_RootConstrainSelectedInstOperands,
     /*  818887 */     // GIR_Coverage, 22229,
     /*  818887 */     GIR_EraseRootFromParent_Done,
     /*  818888 */   // Label 12622: @818888
     /*  818888 */   GIM_Try, /*On fail goto*//*Label 12623*/ GIMT_Encode4(818963), // Rule ID 22230 //
     /*  818893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  818910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818939 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  818942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818961 */     GIR_RootConstrainSelectedInstOperands,
     /*  818962 */     // GIR_Coverage, 22230,
     /*  818962 */     GIR_EraseRootFromParent_Done,
     /*  818963 */   // Label 12623: @818963
     /*  818963 */   GIM_Try, /*On fail goto*//*Label 12624*/ GIMT_Encode4(819038), // Rule ID 22233 //
     /*  818968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  818976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  818985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819014 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  819014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  819017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819036 */     GIR_RootConstrainSelectedInstOperands,
     /*  819037 */     // GIR_Coverage, 22233,
     /*  819037 */     GIR_EraseRootFromParent_Done,
     /*  819038 */   // Label 12624: @819038
     /*  819038 */   GIM_Try, /*On fail goto*//*Label 12625*/ GIMT_Encode4(819113), // Rule ID 22234 //
     /*  819043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  819060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819089 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  819089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  819092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819111 */     GIR_RootConstrainSelectedInstOperands,
     /*  819112 */     // GIR_Coverage, 22234,
     /*  819112 */     GIR_EraseRootFromParent_Done,
     /*  819113 */   // Label 12625: @819113
     /*  819113 */   GIM_Try, /*On fail goto*//*Label 12626*/ GIMT_Encode4(819188), // Rule ID 22237 //
     /*  819118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  819135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  819164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  819167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819186 */     GIR_RootConstrainSelectedInstOperands,
     /*  819187 */     // GIR_Coverage, 22237,
     /*  819187 */     GIR_EraseRootFromParent_Done,
     /*  819188 */   // Label 12626: @819188
     /*  819188 */   GIM_Try, /*On fail goto*//*Label 12627*/ GIMT_Encode4(819263), // Rule ID 22238 //
     /*  819193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  819210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819239 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  819239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  819242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819261 */     GIR_RootConstrainSelectedInstOperands,
     /*  819262 */     // GIR_Coverage, 22238,
     /*  819262 */     GIR_EraseRootFromParent_Done,
     /*  819263 */   // Label 12627: @819263
     /*  819263 */   GIM_Try, /*On fail goto*//*Label 12628*/ GIMT_Encode4(819338), // Rule ID 22241 //
     /*  819268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  819285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819314 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  819314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  819317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819336 */     GIR_RootConstrainSelectedInstOperands,
     /*  819337 */     // GIR_Coverage, 22241,
     /*  819337 */     GIR_EraseRootFromParent_Done,
     /*  819338 */   // Label 12628: @819338
     /*  819338 */   GIM_Try, /*On fail goto*//*Label 12629*/ GIMT_Encode4(819413), // Rule ID 22242 //
     /*  819343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  819360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819389 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  819389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  819392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819411 */     GIR_RootConstrainSelectedInstOperands,
     /*  819412 */     // GIR_Coverage, 22242,
     /*  819412 */     GIR_EraseRootFromParent_Done,
     /*  819413 */   // Label 12629: @819413
     /*  819413 */   GIM_Try, /*On fail goto*//*Label 12630*/ GIMT_Encode4(819488), // Rule ID 22245 //
     /*  819418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  819435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  819464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  819467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819486 */     GIR_RootConstrainSelectedInstOperands,
     /*  819487 */     // GIR_Coverage, 22245,
     /*  819487 */     GIR_EraseRootFromParent_Done,
     /*  819488 */   // Label 12630: @819488
     /*  819488 */   GIM_Try, /*On fail goto*//*Label 12631*/ GIMT_Encode4(819563), // Rule ID 22246 //
     /*  819493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  819510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819539 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  819539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  819542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819561 */     GIR_RootConstrainSelectedInstOperands,
     /*  819562 */     // GIR_Coverage, 22246,
     /*  819562 */     GIR_EraseRootFromParent_Done,
     /*  819563 */   // Label 12631: @819563
     /*  819563 */   GIM_Try, /*On fail goto*//*Label 12632*/ GIMT_Encode4(819638), // Rule ID 22249 //
     /*  819568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  819585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819614 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  819614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  819617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819636 */     GIR_RootConstrainSelectedInstOperands,
     /*  819637 */     // GIR_Coverage, 22249,
     /*  819637 */     GIR_EraseRootFromParent_Done,
     /*  819638 */   // Label 12632: @819638
     /*  819638 */   GIM_Try, /*On fail goto*//*Label 12633*/ GIMT_Encode4(819713), // Rule ID 22250 //
     /*  819643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  819660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819689 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  819689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  819692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819711 */     GIR_RootConstrainSelectedInstOperands,
     /*  819712 */     // GIR_Coverage, 22250,
     /*  819712 */     GIR_EraseRootFromParent_Done,
     /*  819713 */   // Label 12633: @819713
     /*  819713 */   GIM_Try, /*On fail goto*//*Label 12634*/ GIMT_Encode4(819788), // Rule ID 22253 //
     /*  819718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  819735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819764 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  819764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  819767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819786 */     GIR_RootConstrainSelectedInstOperands,
     /*  819787 */     // GIR_Coverage, 22253,
     /*  819787 */     GIR_EraseRootFromParent_Done,
     /*  819788 */   // Label 12634: @819788
     /*  819788 */   GIM_Try, /*On fail goto*//*Label 12635*/ GIMT_Encode4(819863), // Rule ID 22254 //
     /*  819793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  819810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819839 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  819839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  819842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819861 */     GIR_RootConstrainSelectedInstOperands,
     /*  819862 */     // GIR_Coverage, 22254,
     /*  819862 */     GIR_EraseRootFromParent_Done,
     /*  819863 */   // Label 12635: @819863
     /*  819863 */   GIM_Try, /*On fail goto*//*Label 12636*/ GIMT_Encode4(819938), // Rule ID 22257 //
     /*  819868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  819885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819914 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  819914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  819917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819936 */     GIR_RootConstrainSelectedInstOperands,
     /*  819937 */     // GIR_Coverage, 22257,
     /*  819937 */     GIR_EraseRootFromParent_Done,
     /*  819938 */   // Label 12636: @819938
     /*  819938 */   GIM_Try, /*On fail goto*//*Label 12637*/ GIMT_Encode4(820013), // Rule ID 22258 //
     /*  819943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  819951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  819960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819989 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  819989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  819992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820011 */     GIR_RootConstrainSelectedInstOperands,
     /*  820012 */     // GIR_Coverage, 22258,
     /*  820012 */     GIR_EraseRootFromParent_Done,
     /*  820013 */   // Label 12637: @820013
     /*  820013 */   GIM_Try, /*On fail goto*//*Label 12638*/ GIMT_Encode4(820088), // Rule ID 22261 //
     /*  820018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  820021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  820029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  820032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  820035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  820038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  820064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  820067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  820083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820086 */     GIR_RootConstrainSelectedInstOperands,
     /*  820087 */     // GIR_Coverage, 22261,
     /*  820087 */     GIR_EraseRootFromParent_Done,
     /*  820088 */   // Label 12638: @820088
     /*  820088 */   GIM_Try, /*On fail goto*//*Label 12639*/ GIMT_Encode4(820163), // Rule ID 22262 //
     /*  820093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  820096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  820104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  820107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  820110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  820113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820139 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  820139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  820142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  820158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820161 */     GIR_RootConstrainSelectedInstOperands,
     /*  820162 */     // GIR_Coverage, 22262,
     /*  820162 */     GIR_EraseRootFromParent_Done,
     /*  820163 */   // Label 12639: @820163
     /*  820163 */   GIM_Try, /*On fail goto*//*Label 12640*/ GIMT_Encode4(820238), // Rule ID 22265 //
     /*  820168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  820171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  820179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  820182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  820185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  820188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820214 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  820214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  820217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  820233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820236 */     GIR_RootConstrainSelectedInstOperands,
     /*  820237 */     // GIR_Coverage, 22265,
     /*  820237 */     GIR_EraseRootFromParent_Done,
     /*  820238 */   // Label 12640: @820238
     /*  820238 */   GIM_Try, /*On fail goto*//*Label 12641*/ GIMT_Encode4(820313), // Rule ID 22266 //
     /*  820243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  820246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  820254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  820257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  820260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  820263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820289 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  820289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  820292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  820308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820311 */     GIR_RootConstrainSelectedInstOperands,
     /*  820312 */     // GIR_Coverage, 22266,
     /*  820312 */     GIR_EraseRootFromParent_Done,
     /*  820313 */   // Label 12641: @820313
     /*  820313 */   GIM_Try, /*On fail goto*//*Label 12642*/ GIMT_Encode4(820388), // Rule ID 22269 //
     /*  820318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  820321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  820329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  820332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  820335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  820338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820364 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  820364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  820367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  820383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820386 */     GIR_RootConstrainSelectedInstOperands,
     /*  820387 */     // GIR_Coverage, 22269,
     /*  820387 */     GIR_EraseRootFromParent_Done,
     /*  820388 */   // Label 12642: @820388
     /*  820388 */   GIM_Try, /*On fail goto*//*Label 12643*/ GIMT_Encode4(820463), // Rule ID 22270 //
     /*  820393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  820396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  820401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  820404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  820407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  820410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  820413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820439 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  820439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  820442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  820458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820461 */     GIR_RootConstrainSelectedInstOperands,
     /*  820462 */     // GIR_Coverage, 22270,
     /*  820462 */     GIR_EraseRootFromParent_Done,
     /*  820463 */   // Label 12643: @820463
     /*  820463 */   GIM_Try, /*On fail goto*//*Label 12644*/ GIMT_Encode4(820538), // Rule ID 22273 //
     /*  820468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  820476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  820485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820514 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  820517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820536 */     GIR_RootConstrainSelectedInstOperands,
     /*  820537 */     // GIR_Coverage, 22273,
     /*  820537 */     GIR_EraseRootFromParent_Done,
     /*  820538 */   // Label 12644: @820538
     /*  820538 */   GIM_Try, /*On fail goto*//*Label 12645*/ GIMT_Encode4(820613), // Rule ID 22274 //
     /*  820543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  820551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  820560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820589 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  820592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820611 */     GIR_RootConstrainSelectedInstOperands,
     /*  820612 */     // GIR_Coverage, 22274,
     /*  820612 */     GIR_EraseRootFromParent_Done,
     /*  820613 */   // Label 12645: @820613
     /*  820613 */   GIM_Try, /*On fail goto*//*Label 12646*/ GIMT_Encode4(820688), // Rule ID 22277 //
     /*  820618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  820626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  820635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  820667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820686 */     GIR_RootConstrainSelectedInstOperands,
     /*  820687 */     // GIR_Coverage, 22277,
     /*  820687 */     GIR_EraseRootFromParent_Done,
     /*  820688 */   // Label 12646: @820688
     /*  820688 */   GIM_Try, /*On fail goto*//*Label 12647*/ GIMT_Encode4(820763), // Rule ID 22278 //
     /*  820693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  820701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  820710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820739 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  820742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820761 */     GIR_RootConstrainSelectedInstOperands,
     /*  820762 */     // GIR_Coverage, 22278,
     /*  820762 */     GIR_EraseRootFromParent_Done,
     /*  820763 */   // Label 12647: @820763
     /*  820763 */   GIM_Try, /*On fail goto*//*Label 12648*/ GIMT_Encode4(820838), // Rule ID 22281 //
     /*  820768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  820776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  820785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820814 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  820817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820836 */     GIR_RootConstrainSelectedInstOperands,
     /*  820837 */     // GIR_Coverage, 22281,
     /*  820837 */     GIR_EraseRootFromParent_Done,
     /*  820838 */   // Label 12648: @820838
     /*  820838 */   GIM_Try, /*On fail goto*//*Label 12649*/ GIMT_Encode4(820913), // Rule ID 22282 //
     /*  820843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  820851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  820860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820889 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  820892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820911 */     GIR_RootConstrainSelectedInstOperands,
     /*  820912 */     // GIR_Coverage, 22282,
     /*  820912 */     GIR_EraseRootFromParent_Done,
     /*  820913 */   // Label 12649: @820913
     /*  820913 */   GIM_Try, /*On fail goto*//*Label 12650*/ GIMT_Encode4(820988), // Rule ID 22285 //
     /*  820918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  820926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  820935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820964 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  820967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820986 */     GIR_RootConstrainSelectedInstOperands,
     /*  820987 */     // GIR_Coverage, 22285,
     /*  820987 */     GIR_EraseRootFromParent_Done,
     /*  820988 */   // Label 12650: @820988
     /*  820988 */   GIM_Try, /*On fail goto*//*Label 12651*/ GIMT_Encode4(821063), // Rule ID 22286 //
     /*  820993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  821010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821039 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  821039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  821042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821061 */     GIR_RootConstrainSelectedInstOperands,
     /*  821062 */     // GIR_Coverage, 22286,
     /*  821062 */     GIR_EraseRootFromParent_Done,
     /*  821063 */   // Label 12651: @821063
     /*  821063 */   GIM_Try, /*On fail goto*//*Label 12652*/ GIMT_Encode4(821138), // Rule ID 22289 //
     /*  821068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  821085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821114 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  821114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  821117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821136 */     GIR_RootConstrainSelectedInstOperands,
     /*  821137 */     // GIR_Coverage, 22289,
     /*  821137 */     GIR_EraseRootFromParent_Done,
     /*  821138 */   // Label 12652: @821138
     /*  821138 */   GIM_Try, /*On fail goto*//*Label 12653*/ GIMT_Encode4(821213), // Rule ID 22290 //
     /*  821143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  821160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821189 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  821189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  821192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821211 */     GIR_RootConstrainSelectedInstOperands,
     /*  821212 */     // GIR_Coverage, 22290,
     /*  821212 */     GIR_EraseRootFromParent_Done,
     /*  821213 */   // Label 12653: @821213
     /*  821213 */   GIM_Try, /*On fail goto*//*Label 12654*/ GIMT_Encode4(821288), // Rule ID 22293 //
     /*  821218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  821235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821264 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  821264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  821267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821286 */     GIR_RootConstrainSelectedInstOperands,
     /*  821287 */     // GIR_Coverage, 22293,
     /*  821287 */     GIR_EraseRootFromParent_Done,
     /*  821288 */   // Label 12654: @821288
     /*  821288 */   GIM_Try, /*On fail goto*//*Label 12655*/ GIMT_Encode4(821363), // Rule ID 22294 //
     /*  821293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  821310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821339 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  821339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  821342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821361 */     GIR_RootConstrainSelectedInstOperands,
     /*  821362 */     // GIR_Coverage, 22294,
     /*  821362 */     GIR_EraseRootFromParent_Done,
     /*  821363 */   // Label 12655: @821363
     /*  821363 */   GIM_Try, /*On fail goto*//*Label 12656*/ GIMT_Encode4(821438), // Rule ID 22297 //
     /*  821368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  821385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821414 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  821414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  821417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821436 */     GIR_RootConstrainSelectedInstOperands,
     /*  821437 */     // GIR_Coverage, 22297,
     /*  821437 */     GIR_EraseRootFromParent_Done,
     /*  821438 */   // Label 12656: @821438
     /*  821438 */   GIM_Try, /*On fail goto*//*Label 12657*/ GIMT_Encode4(821513), // Rule ID 22298 //
     /*  821443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  821460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821489 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  821489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  821492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821511 */     GIR_RootConstrainSelectedInstOperands,
     /*  821512 */     // GIR_Coverage, 22298,
     /*  821512 */     GIR_EraseRootFromParent_Done,
     /*  821513 */   // Label 12657: @821513
     /*  821513 */   GIM_Try, /*On fail goto*//*Label 12658*/ GIMT_Encode4(821588), // Rule ID 22301 //
     /*  821518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  821535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  821564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  821567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821586 */     GIR_RootConstrainSelectedInstOperands,
     /*  821587 */     // GIR_Coverage, 22301,
     /*  821587 */     GIR_EraseRootFromParent_Done,
     /*  821588 */   // Label 12658: @821588
     /*  821588 */   GIM_Try, /*On fail goto*//*Label 12659*/ GIMT_Encode4(821663), // Rule ID 22302 //
     /*  821593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  821610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821639 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  821639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  821642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821661 */     GIR_RootConstrainSelectedInstOperands,
     /*  821662 */     // GIR_Coverage, 22302,
     /*  821662 */     GIR_EraseRootFromParent_Done,
     /*  821663 */   // Label 12659: @821663
     /*  821663 */   GIM_Try, /*On fail goto*//*Label 12660*/ GIMT_Encode4(821738), // Rule ID 22305 //
     /*  821668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  821685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  821714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  821717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821736 */     GIR_RootConstrainSelectedInstOperands,
     /*  821737 */     // GIR_Coverage, 22305,
     /*  821737 */     GIR_EraseRootFromParent_Done,
     /*  821738 */   // Label 12660: @821738
     /*  821738 */   GIM_Try, /*On fail goto*//*Label 12661*/ GIMT_Encode4(821813), // Rule ID 22306 //
     /*  821743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  821760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821789 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  821789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  821792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821811 */     GIR_RootConstrainSelectedInstOperands,
     /*  821812 */     // GIR_Coverage, 22306,
     /*  821812 */     GIR_EraseRootFromParent_Done,
     /*  821813 */   // Label 12661: @821813
     /*  821813 */   GIM_Try, /*On fail goto*//*Label 12662*/ GIMT_Encode4(821888), // Rule ID 22309 //
     /*  821818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  821821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  821835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821864 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  821864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  821867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821886 */     GIR_RootConstrainSelectedInstOperands,
     /*  821887 */     // GIR_Coverage, 22309,
     /*  821887 */     GIR_EraseRootFromParent_Done,
     /*  821888 */   // Label 12662: @821888
     /*  821888 */   GIM_Try, /*On fail goto*//*Label 12663*/ GIMT_Encode4(821963), // Rule ID 22310 //
     /*  821893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  821896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  821910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821939 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  821939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  821942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821961 */     GIR_RootConstrainSelectedInstOperands,
     /*  821962 */     // GIR_Coverage, 22310,
     /*  821962 */     GIR_EraseRootFromParent_Done,
     /*  821963 */   // Label 12663: @821963
     /*  821963 */   GIM_Try, /*On fail goto*//*Label 12664*/ GIMT_Encode4(822038), // Rule ID 22313 //
     /*  821968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  821976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  821985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822014 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  822017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822036 */     GIR_RootConstrainSelectedInstOperands,
     /*  822037 */     // GIR_Coverage, 22313,
     /*  822037 */     GIR_EraseRootFromParent_Done,
     /*  822038 */   // Label 12664: @822038
     /*  822038 */   GIM_Try, /*On fail goto*//*Label 12665*/ GIMT_Encode4(822113), // Rule ID 22314 //
     /*  822043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  822060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822089 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  822089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  822092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822111 */     GIR_RootConstrainSelectedInstOperands,
     /*  822112 */     // GIR_Coverage, 22314,
     /*  822112 */     GIR_EraseRootFromParent_Done,
     /*  822113 */   // Label 12665: @822113
     /*  822113 */   GIM_Try, /*On fail goto*//*Label 12666*/ GIMT_Encode4(822188), // Rule ID 22317 //
     /*  822118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  822135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822164 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  822167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822186 */     GIR_RootConstrainSelectedInstOperands,
     /*  822187 */     // GIR_Coverage, 22317,
     /*  822187 */     GIR_EraseRootFromParent_Done,
     /*  822188 */   // Label 12666: @822188
     /*  822188 */   GIM_Try, /*On fail goto*//*Label 12667*/ GIMT_Encode4(822263), // Rule ID 22318 //
     /*  822193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  822210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822239 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  822239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  822242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822261 */     GIR_RootConstrainSelectedInstOperands,
     /*  822262 */     // GIR_Coverage, 22318,
     /*  822262 */     GIR_EraseRootFromParent_Done,
     /*  822263 */   // Label 12667: @822263
     /*  822263 */   GIM_Try, /*On fail goto*//*Label 12668*/ GIMT_Encode4(822338), // Rule ID 22321 //
     /*  822268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  822285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822314 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  822317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822336 */     GIR_RootConstrainSelectedInstOperands,
     /*  822337 */     // GIR_Coverage, 22321,
     /*  822337 */     GIR_EraseRootFromParent_Done,
     /*  822338 */   // Label 12668: @822338
     /*  822338 */   GIM_Try, /*On fail goto*//*Label 12669*/ GIMT_Encode4(822413), // Rule ID 22322 //
     /*  822343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  822360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822389 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  822389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  822392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822411 */     GIR_RootConstrainSelectedInstOperands,
     /*  822412 */     // GIR_Coverage, 22322,
     /*  822412 */     GIR_EraseRootFromParent_Done,
     /*  822413 */   // Label 12669: @822413
     /*  822413 */   GIM_Try, /*On fail goto*//*Label 12670*/ GIMT_Encode4(822488), // Rule ID 22325 //
     /*  822418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  822435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  822464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  822467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822486 */     GIR_RootConstrainSelectedInstOperands,
     /*  822487 */     // GIR_Coverage, 22325,
     /*  822487 */     GIR_EraseRootFromParent_Done,
     /*  822488 */   // Label 12670: @822488
     /*  822488 */   GIM_Try, /*On fail goto*//*Label 12671*/ GIMT_Encode4(822563), // Rule ID 22326 //
     /*  822493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  822510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822539 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  822542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822561 */     GIR_RootConstrainSelectedInstOperands,
     /*  822562 */     // GIR_Coverage, 22326,
     /*  822562 */     GIR_EraseRootFromParent_Done,
     /*  822563 */   // Label 12671: @822563
     /*  822563 */   GIM_Try, /*On fail goto*//*Label 12672*/ GIMT_Encode4(822638), // Rule ID 22329 //
     /*  822568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  822585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822614 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  822614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  822617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822636 */     GIR_RootConstrainSelectedInstOperands,
     /*  822637 */     // GIR_Coverage, 22329,
     /*  822637 */     GIR_EraseRootFromParent_Done,
     /*  822638 */   // Label 12672: @822638
     /*  822638 */   GIM_Try, /*On fail goto*//*Label 12673*/ GIMT_Encode4(822713), // Rule ID 22330 //
     /*  822643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  822660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822689 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  822692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822711 */     GIR_RootConstrainSelectedInstOperands,
     /*  822712 */     // GIR_Coverage, 22330,
     /*  822712 */     GIR_EraseRootFromParent_Done,
     /*  822713 */   // Label 12673: @822713
     /*  822713 */   GIM_Try, /*On fail goto*//*Label 12674*/ GIMT_Encode4(822788), // Rule ID 22333 //
     /*  822718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  822735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822764 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  822764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  822767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822786 */     GIR_RootConstrainSelectedInstOperands,
     /*  822787 */     // GIR_Coverage, 22333,
     /*  822787 */     GIR_EraseRootFromParent_Done,
     /*  822788 */   // Label 12674: @822788
     /*  822788 */   GIM_Try, /*On fail goto*//*Label 12675*/ GIMT_Encode4(822863), // Rule ID 22334 //
     /*  822793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  822810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822839 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  822842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822861 */     GIR_RootConstrainSelectedInstOperands,
     /*  822862 */     // GIR_Coverage, 22334,
     /*  822862 */     GIR_EraseRootFromParent_Done,
     /*  822863 */   // Label 12675: @822863
     /*  822863 */   GIM_Try, /*On fail goto*//*Label 12676*/ GIMT_Encode4(822938), // Rule ID 22337 //
     /*  822868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  822885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822914 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  822914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  822917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822936 */     GIR_RootConstrainSelectedInstOperands,
     /*  822937 */     // GIR_Coverage, 22337,
     /*  822937 */     GIR_EraseRootFromParent_Done,
     /*  822938 */   // Label 12676: @822938
     /*  822938 */   GIM_Try, /*On fail goto*//*Label 12677*/ GIMT_Encode4(823013), // Rule ID 22338 //
     /*  822943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  822951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  822960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822989 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  822989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  822992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823011 */     GIR_RootConstrainSelectedInstOperands,
     /*  823012 */     // GIR_Coverage, 22338,
     /*  823012 */     GIR_EraseRootFromParent_Done,
     /*  823013 */   // Label 12677: @823013
     /*  823013 */   GIM_Try, /*On fail goto*//*Label 12678*/ GIMT_Encode4(823088), // Rule ID 22341 //
     /*  823018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  823035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823064 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  823064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  823067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823086 */     GIR_RootConstrainSelectedInstOperands,
     /*  823087 */     // GIR_Coverage, 22341,
     /*  823087 */     GIR_EraseRootFromParent_Done,
     /*  823088 */   // Label 12678: @823088
     /*  823088 */   GIM_Try, /*On fail goto*//*Label 12679*/ GIMT_Encode4(823163), // Rule ID 22342 //
     /*  823093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  823110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823139 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  823139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  823142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823161 */     GIR_RootConstrainSelectedInstOperands,
     /*  823162 */     // GIR_Coverage, 22342,
     /*  823162 */     GIR_EraseRootFromParent_Done,
     /*  823163 */   // Label 12679: @823163
     /*  823163 */   GIM_Try, /*On fail goto*//*Label 12680*/ GIMT_Encode4(823238), // Rule ID 22345 //
     /*  823168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  823185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823214 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  823214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  823217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823236 */     GIR_RootConstrainSelectedInstOperands,
     /*  823237 */     // GIR_Coverage, 22345,
     /*  823237 */     GIR_EraseRootFromParent_Done,
     /*  823238 */   // Label 12680: @823238
     /*  823238 */   GIM_Try, /*On fail goto*//*Label 12681*/ GIMT_Encode4(823313), // Rule ID 22346 //
     /*  823243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  823260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823289 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  823289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  823292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823311 */     GIR_RootConstrainSelectedInstOperands,
     /*  823312 */     // GIR_Coverage, 22346,
     /*  823312 */     GIR_EraseRootFromParent_Done,
     /*  823313 */   // Label 12681: @823313
     /*  823313 */   GIM_Try, /*On fail goto*//*Label 12682*/ GIMT_Encode4(823388), // Rule ID 22349 //
     /*  823318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  823321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  823335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823364 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  823364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  823367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823386 */     GIR_RootConstrainSelectedInstOperands,
     /*  823387 */     // GIR_Coverage, 22349,
     /*  823387 */     GIR_EraseRootFromParent_Done,
     /*  823388 */   // Label 12682: @823388
     /*  823388 */   GIM_Try, /*On fail goto*//*Label 12683*/ GIMT_Encode4(823463), // Rule ID 22350 //
     /*  823393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  823396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  823410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823439 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  823439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  823442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823461 */     GIR_RootConstrainSelectedInstOperands,
     /*  823462 */     // GIR_Coverage, 22350,
     /*  823462 */     GIR_EraseRootFromParent_Done,
     /*  823463 */   // Label 12683: @823463
     /*  823463 */   GIM_Try, /*On fail goto*//*Label 12684*/ GIMT_Encode4(823538), // Rule ID 22353 //
     /*  823468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  823471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  823485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823514 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  823514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  823517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823536 */     GIR_RootConstrainSelectedInstOperands,
     /*  823537 */     // GIR_Coverage, 22353,
     /*  823537 */     GIR_EraseRootFromParent_Done,
     /*  823538 */   // Label 12684: @823538
     /*  823538 */   GIM_Try, /*On fail goto*//*Label 12685*/ GIMT_Encode4(823613), // Rule ID 22354 //
     /*  823543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  823546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  823560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823589 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  823589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  823592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823611 */     GIR_RootConstrainSelectedInstOperands,
     /*  823612 */     // GIR_Coverage, 22354,
     /*  823612 */     GIR_EraseRootFromParent_Done,
     /*  823613 */   // Label 12685: @823613
     /*  823613 */   GIM_Try, /*On fail goto*//*Label 12686*/ GIMT_Encode4(823688), // Rule ID 22357 //
     /*  823618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  823621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  823635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823664 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  823664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  823667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823686 */     GIR_RootConstrainSelectedInstOperands,
     /*  823687 */     // GIR_Coverage, 22357,
     /*  823687 */     GIR_EraseRootFromParent_Done,
     /*  823688 */   // Label 12686: @823688
     /*  823688 */   GIM_Try, /*On fail goto*//*Label 12687*/ GIMT_Encode4(823763), // Rule ID 22358 //
     /*  823693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  823696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  823701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  823710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823739 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  823739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  823742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823761 */     GIR_RootConstrainSelectedInstOperands,
     /*  823762 */     // GIR_Coverage, 22358,
     /*  823762 */     GIR_EraseRootFromParent_Done,
     /*  823763 */   // Label 12687: @823763
     /*  823763 */   GIM_Try, /*On fail goto*//*Label 12688*/ GIMT_Encode4(823838), // Rule ID 22361 //
     /*  823768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  823776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  823785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823814 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  823817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823836 */     GIR_RootConstrainSelectedInstOperands,
     /*  823837 */     // GIR_Coverage, 22361,
     /*  823837 */     GIR_EraseRootFromParent_Done,
     /*  823838 */   // Label 12688: @823838
     /*  823838 */   GIM_Try, /*On fail goto*//*Label 12689*/ GIMT_Encode4(823913), // Rule ID 22362 //
     /*  823843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  823851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  823860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823889 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  823892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823911 */     GIR_RootConstrainSelectedInstOperands,
     /*  823912 */     // GIR_Coverage, 22362,
     /*  823912 */     GIR_EraseRootFromParent_Done,
     /*  823913 */   // Label 12689: @823913
     /*  823913 */   GIM_Try, /*On fail goto*//*Label 12690*/ GIMT_Encode4(823988), // Rule ID 22365 //
     /*  823918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  823926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  823935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823964 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  823967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823986 */     GIR_RootConstrainSelectedInstOperands,
     /*  823987 */     // GIR_Coverage, 22365,
     /*  823987 */     GIR_EraseRootFromParent_Done,
     /*  823988 */   // Label 12690: @823988
     /*  823988 */   GIM_Try, /*On fail goto*//*Label 12691*/ GIMT_Encode4(824063), // Rule ID 22366 //
     /*  823993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  824001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  824010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824039 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  824039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  824042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824061 */     GIR_RootConstrainSelectedInstOperands,
     /*  824062 */     // GIR_Coverage, 22366,
     /*  824062 */     GIR_EraseRootFromParent_Done,
     /*  824063 */   // Label 12691: @824063
     /*  824063 */   GIM_Try, /*On fail goto*//*Label 12692*/ GIMT_Encode4(824138), // Rule ID 22369 //
     /*  824068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  824076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  824085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824114 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  824114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  824117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824136 */     GIR_RootConstrainSelectedInstOperands,
     /*  824137 */     // GIR_Coverage, 22369,
     /*  824137 */     GIR_EraseRootFromParent_Done,
     /*  824138 */   // Label 12692: @824138
     /*  824138 */   GIM_Try, /*On fail goto*//*Label 12693*/ GIMT_Encode4(824213), // Rule ID 22370 //
     /*  824143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  824151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  824160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824189 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  824189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  824192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824211 */     GIR_RootConstrainSelectedInstOperands,
     /*  824212 */     // GIR_Coverage, 22370,
     /*  824212 */     GIR_EraseRootFromParent_Done,
     /*  824213 */   // Label 12693: @824213
     /*  824213 */   GIM_Try, /*On fail goto*//*Label 12694*/ GIMT_Encode4(824288), // Rule ID 22373 //
     /*  824218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  824226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  824235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824264 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  824267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824286 */     GIR_RootConstrainSelectedInstOperands,
     /*  824287 */     // GIR_Coverage, 22373,
     /*  824287 */     GIR_EraseRootFromParent_Done,
     /*  824288 */   // Label 12694: @824288
     /*  824288 */   GIM_Try, /*On fail goto*//*Label 12695*/ GIMT_Encode4(824363), // Rule ID 22374 //
     /*  824293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  824301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  824310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824339 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  824342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824361 */     GIR_RootConstrainSelectedInstOperands,
     /*  824362 */     // GIR_Coverage, 22374,
     /*  824362 */     GIR_EraseRootFromParent_Done,
     /*  824363 */   // Label 12695: @824363
     /*  824363 */   GIM_Try, /*On fail goto*//*Label 12696*/ GIMT_Encode4(824438), // Rule ID 22377 //
     /*  824368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  824376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  824385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  824417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824436 */     GIR_RootConstrainSelectedInstOperands,
     /*  824437 */     // GIR_Coverage, 22377,
     /*  824437 */     GIR_EraseRootFromParent_Done,
     /*  824438 */   // Label 12696: @824438
     /*  824438 */   GIM_Try, /*On fail goto*//*Label 12697*/ GIMT_Encode4(824513), // Rule ID 22378 //
     /*  824443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  824451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  824460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824489 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  824492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824511 */     GIR_RootConstrainSelectedInstOperands,
     /*  824512 */     // GIR_Coverage, 22378,
     /*  824512 */     GIR_EraseRootFromParent_Done,
     /*  824513 */   // Label 12697: @824513
     /*  824513 */   GIM_Try, /*On fail goto*//*Label 12698*/ GIMT_Encode4(824588), // Rule ID 22381 //
     /*  824518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  824526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  824535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824564 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  824567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824586 */     GIR_RootConstrainSelectedInstOperands,
     /*  824587 */     // GIR_Coverage, 22381,
     /*  824587 */     GIR_EraseRootFromParent_Done,
     /*  824588 */   // Label 12698: @824588
     /*  824588 */   GIM_Try, /*On fail goto*//*Label 12699*/ GIMT_Encode4(824663), // Rule ID 22382 //
     /*  824593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  824601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  824610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824639 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  824642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824661 */     GIR_RootConstrainSelectedInstOperands,
     /*  824662 */     // GIR_Coverage, 22382,
     /*  824662 */     GIR_EraseRootFromParent_Done,
     /*  824663 */   // Label 12699: @824663
     /*  824663 */   GIM_Try, /*On fail goto*//*Label 12700*/ GIMT_Encode4(824738), // Rule ID 22385 //
     /*  824668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  824676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  824685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824714 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  824714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  824717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824736 */     GIR_RootConstrainSelectedInstOperands,
     /*  824737 */     // GIR_Coverage, 22385,
     /*  824737 */     GIR_EraseRootFromParent_Done,
     /*  824738 */   // Label 12700: @824738
     /*  824738 */   GIM_Try, /*On fail goto*//*Label 12701*/ GIMT_Encode4(824813), // Rule ID 22386 //
     /*  824743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  824751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  824760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824789 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  824789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  824792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824811 */     GIR_RootConstrainSelectedInstOperands,
     /*  824812 */     // GIR_Coverage, 22386,
     /*  824812 */     GIR_EraseRootFromParent_Done,
     /*  824813 */   // Label 12701: @824813
     /*  824813 */   GIM_Try, /*On fail goto*//*Label 12702*/ GIMT_Encode4(824888), // Rule ID 22389 //
     /*  824818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  824826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  824835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  824867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824886 */     GIR_RootConstrainSelectedInstOperands,
     /*  824887 */     // GIR_Coverage, 22389,
     /*  824887 */     GIR_EraseRootFromParent_Done,
     /*  824888 */   // Label 12702: @824888
     /*  824888 */   GIM_Try, /*On fail goto*//*Label 12703*/ GIMT_Encode4(824963), // Rule ID 22390 //
     /*  824893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  824901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  824910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824939 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  824942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824961 */     GIR_RootConstrainSelectedInstOperands,
     /*  824962 */     // GIR_Coverage, 22390,
     /*  824962 */     GIR_EraseRootFromParent_Done,
     /*  824963 */   // Label 12703: @824963
     /*  824963 */   GIM_Try, /*On fail goto*//*Label 12704*/ GIMT_Encode4(825038), // Rule ID 22393 //
     /*  824968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  824976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  824985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825014 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  825014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  825017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825036 */     GIR_RootConstrainSelectedInstOperands,
     /*  825037 */     // GIR_Coverage, 22393,
     /*  825037 */     GIR_EraseRootFromParent_Done,
     /*  825038 */   // Label 12704: @825038
     /*  825038 */   GIM_Try, /*On fail goto*//*Label 12705*/ GIMT_Encode4(825113), // Rule ID 22394 //
     /*  825043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  825060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825089 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  825089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  825092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825111 */     GIR_RootConstrainSelectedInstOperands,
     /*  825112 */     // GIR_Coverage, 22394,
     /*  825112 */     GIR_EraseRootFromParent_Done,
     /*  825113 */   // Label 12705: @825113
     /*  825113 */   GIM_Try, /*On fail goto*//*Label 12706*/ GIMT_Encode4(825188), // Rule ID 22397 //
     /*  825118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  825121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  825135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825164 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  825164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  825167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825186 */     GIR_RootConstrainSelectedInstOperands,
     /*  825187 */     // GIR_Coverage, 22397,
     /*  825187 */     GIR_EraseRootFromParent_Done,
     /*  825188 */   // Label 12706: @825188
     /*  825188 */   GIM_Try, /*On fail goto*//*Label 12707*/ GIMT_Encode4(825263), // Rule ID 22398 //
     /*  825193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  825196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  825210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825239 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  825239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  825242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825261 */     GIR_RootConstrainSelectedInstOperands,
     /*  825262 */     // GIR_Coverage, 22398,
     /*  825262 */     GIR_EraseRootFromParent_Done,
     /*  825263 */   // Label 12707: @825263
     /*  825263 */   GIM_Try, /*On fail goto*//*Label 12708*/ GIMT_Encode4(825338), // Rule ID 22401 //
     /*  825268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  825285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825314 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  825317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825336 */     GIR_RootConstrainSelectedInstOperands,
     /*  825337 */     // GIR_Coverage, 22401,
     /*  825337 */     GIR_EraseRootFromParent_Done,
     /*  825338 */   // Label 12708: @825338
     /*  825338 */   GIM_Try, /*On fail goto*//*Label 12709*/ GIMT_Encode4(825413), // Rule ID 22402 //
     /*  825343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  825360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825389 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  825392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825411 */     GIR_RootConstrainSelectedInstOperands,
     /*  825412 */     // GIR_Coverage, 22402,
     /*  825412 */     GIR_EraseRootFromParent_Done,
     /*  825413 */   // Label 12709: @825413
     /*  825413 */   GIM_Try, /*On fail goto*//*Label 12710*/ GIMT_Encode4(825488), // Rule ID 22405 //
     /*  825418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  825435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825464 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  825467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825486 */     GIR_RootConstrainSelectedInstOperands,
     /*  825487 */     // GIR_Coverage, 22405,
     /*  825487 */     GIR_EraseRootFromParent_Done,
     /*  825488 */   // Label 12710: @825488
     /*  825488 */   GIM_Try, /*On fail goto*//*Label 12711*/ GIMT_Encode4(825563), // Rule ID 22406 //
     /*  825493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  825510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825539 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  825542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825561 */     GIR_RootConstrainSelectedInstOperands,
     /*  825562 */     // GIR_Coverage, 22406,
     /*  825562 */     GIR_EraseRootFromParent_Done,
     /*  825563 */   // Label 12711: @825563
     /*  825563 */   GIM_Try, /*On fail goto*//*Label 12712*/ GIMT_Encode4(825638), // Rule ID 22409 //
     /*  825568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  825585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825614 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  825617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825636 */     GIR_RootConstrainSelectedInstOperands,
     /*  825637 */     // GIR_Coverage, 22409,
     /*  825637 */     GIR_EraseRootFromParent_Done,
     /*  825638 */   // Label 12712: @825638
     /*  825638 */   GIM_Try, /*On fail goto*//*Label 12713*/ GIMT_Encode4(825713), // Rule ID 22410 //
     /*  825643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  825660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825689 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  825692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825711 */     GIR_RootConstrainSelectedInstOperands,
     /*  825712 */     // GIR_Coverage, 22410,
     /*  825712 */     GIR_EraseRootFromParent_Done,
     /*  825713 */   // Label 12713: @825713
     /*  825713 */   GIM_Try, /*On fail goto*//*Label 12714*/ GIMT_Encode4(825788), // Rule ID 22413 //
     /*  825718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  825735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825764 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  825764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  825767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825786 */     GIR_RootConstrainSelectedInstOperands,
     /*  825787 */     // GIR_Coverage, 22413,
     /*  825787 */     GIR_EraseRootFromParent_Done,
     /*  825788 */   // Label 12714: @825788
     /*  825788 */   GIM_Try, /*On fail goto*//*Label 12715*/ GIMT_Encode4(825863), // Rule ID 22414 //
     /*  825793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  825810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825839 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  825839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  825842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825861 */     GIR_RootConstrainSelectedInstOperands,
     /*  825862 */     // GIR_Coverage, 22414,
     /*  825862 */     GIR_EraseRootFromParent_Done,
     /*  825863 */   // Label 12715: @825863
     /*  825863 */   GIM_Try, /*On fail goto*//*Label 12716*/ GIMT_Encode4(825938), // Rule ID 22417 //
     /*  825868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  825885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825914 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  825914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  825917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825936 */     GIR_RootConstrainSelectedInstOperands,
     /*  825937 */     // GIR_Coverage, 22417,
     /*  825937 */     GIR_EraseRootFromParent_Done,
     /*  825938 */   // Label 12716: @825938
     /*  825938 */   GIM_Try, /*On fail goto*//*Label 12717*/ GIMT_Encode4(826013), // Rule ID 22418 //
     /*  825943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  825951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  825960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825989 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  825989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  825992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826011 */     GIR_RootConstrainSelectedInstOperands,
     /*  826012 */     // GIR_Coverage, 22418,
     /*  826012 */     GIR_EraseRootFromParent_Done,
     /*  826013 */   // Label 12717: @826013
     /*  826013 */   GIM_Try, /*On fail goto*//*Label 12718*/ GIMT_Encode4(826088), // Rule ID 22421 //
     /*  826018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  826035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826064 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  826064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  826067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826086 */     GIR_RootConstrainSelectedInstOperands,
     /*  826087 */     // GIR_Coverage, 22421,
     /*  826087 */     GIR_EraseRootFromParent_Done,
     /*  826088 */   // Label 12718: @826088
     /*  826088 */   GIM_Try, /*On fail goto*//*Label 12719*/ GIMT_Encode4(826163), // Rule ID 22422 //
     /*  826093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  826110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826139 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  826139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  826142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826161 */     GIR_RootConstrainSelectedInstOperands,
     /*  826162 */     // GIR_Coverage, 22422,
     /*  826162 */     GIR_EraseRootFromParent_Done,
     /*  826163 */   // Label 12719: @826163
     /*  826163 */   GIM_Try, /*On fail goto*//*Label 12720*/ GIMT_Encode4(826238), // Rule ID 22425 //
     /*  826168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  826185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826214 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  826214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  826217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826236 */     GIR_RootConstrainSelectedInstOperands,
     /*  826237 */     // GIR_Coverage, 22425,
     /*  826237 */     GIR_EraseRootFromParent_Done,
     /*  826238 */   // Label 12720: @826238
     /*  826238 */   GIM_Try, /*On fail goto*//*Label 12721*/ GIMT_Encode4(826313), // Rule ID 22426 //
     /*  826243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  826260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826289 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  826289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  826292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826311 */     GIR_RootConstrainSelectedInstOperands,
     /*  826312 */     // GIR_Coverage, 22426,
     /*  826312 */     GIR_EraseRootFromParent_Done,
     /*  826313 */   // Label 12721: @826313
     /*  826313 */   GIM_Try, /*On fail goto*//*Label 12722*/ GIMT_Encode4(826388), // Rule ID 22429 //
     /*  826318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  826335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826364 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  826364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  826367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826386 */     GIR_RootConstrainSelectedInstOperands,
     /*  826387 */     // GIR_Coverage, 22429,
     /*  826387 */     GIR_EraseRootFromParent_Done,
     /*  826388 */   // Label 12722: @826388
     /*  826388 */   GIM_Try, /*On fail goto*//*Label 12723*/ GIMT_Encode4(826463), // Rule ID 22430 //
     /*  826393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  826410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826439 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  826439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  826442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826461 */     GIR_RootConstrainSelectedInstOperands,
     /*  826462 */     // GIR_Coverage, 22430,
     /*  826462 */     GIR_EraseRootFromParent_Done,
     /*  826463 */   // Label 12723: @826463
     /*  826463 */   GIM_Try, /*On fail goto*//*Label 12724*/ GIMT_Encode4(826538), // Rule ID 22433 //
     /*  826468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  826485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826514 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  826514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  826517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826536 */     GIR_RootConstrainSelectedInstOperands,
     /*  826537 */     // GIR_Coverage, 22433,
     /*  826537 */     GIR_EraseRootFromParent_Done,
     /*  826538 */   // Label 12724: @826538
     /*  826538 */   GIM_Try, /*On fail goto*//*Label 12725*/ GIMT_Encode4(826613), // Rule ID 22434 //
     /*  826543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  826560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826589 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  826589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  826592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826611 */     GIR_RootConstrainSelectedInstOperands,
     /*  826612 */     // GIR_Coverage, 22434,
     /*  826612 */     GIR_EraseRootFromParent_Done,
     /*  826613 */   // Label 12725: @826613
     /*  826613 */   GIM_Try, /*On fail goto*//*Label 12726*/ GIMT_Encode4(826688), // Rule ID 22437 //
     /*  826618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  826621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  826635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826664 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  826664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  826667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826686 */     GIR_RootConstrainSelectedInstOperands,
     /*  826687 */     // GIR_Coverage, 22437,
     /*  826687 */     GIR_EraseRootFromParent_Done,
     /*  826688 */   // Label 12726: @826688
     /*  826688 */   GIM_Try, /*On fail goto*//*Label 12727*/ GIMT_Encode4(826763), // Rule ID 22438 //
     /*  826693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  826696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  826710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826739 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  826739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  826742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826761 */     GIR_RootConstrainSelectedInstOperands,
     /*  826762 */     // GIR_Coverage, 22438,
     /*  826762 */     GIR_EraseRootFromParent_Done,
     /*  826763 */   // Label 12727: @826763
     /*  826763 */   GIM_Try, /*On fail goto*//*Label 12728*/ GIMT_Encode4(826838), // Rule ID 22441 //
     /*  826768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  826771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  826785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826814 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  826814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  826817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826836 */     GIR_RootConstrainSelectedInstOperands,
     /*  826837 */     // GIR_Coverage, 22441,
     /*  826837 */     GIR_EraseRootFromParent_Done,
     /*  826838 */   // Label 12728: @826838
     /*  826838 */   GIM_Try, /*On fail goto*//*Label 12729*/ GIMT_Encode4(826913), // Rule ID 22442 //
     /*  826843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  826846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  826860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826889 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  826889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  826892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826911 */     GIR_RootConstrainSelectedInstOperands,
     /*  826912 */     // GIR_Coverage, 22442,
     /*  826912 */     GIR_EraseRootFromParent_Done,
     /*  826913 */   // Label 12729: @826913
     /*  826913 */   GIM_Try, /*On fail goto*//*Label 12730*/ GIMT_Encode4(826988), // Rule ID 22445 //
     /*  826918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  826921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  826926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  826935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826964 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  826964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  826967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826986 */     GIR_RootConstrainSelectedInstOperands,
     /*  826987 */     // GIR_Coverage, 22445,
     /*  826987 */     GIR_EraseRootFromParent_Done,
     /*  826988 */   // Label 12730: @826988
     /*  826988 */   GIM_Try, /*On fail goto*//*Label 12731*/ GIMT_Encode4(827063), // Rule ID 22446 //
     /*  826993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  826996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  827001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  827004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  827007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  827010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  827013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827039 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  827039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  827042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  827058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827061 */     GIR_RootConstrainSelectedInstOperands,
     /*  827062 */     // GIR_Coverage, 22446,
     /*  827062 */     GIR_EraseRootFromParent_Done,
     /*  827063 */   // Label 12731: @827063
     /*  827063 */   GIM_Try, /*On fail goto*//*Label 12732*/ GIMT_Encode4(827138), // Rule ID 22449 //
     /*  827068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  827076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  827085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827114 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  827117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827136 */     GIR_RootConstrainSelectedInstOperands,
     /*  827137 */     // GIR_Coverage, 22449,
     /*  827137 */     GIR_EraseRootFromParent_Done,
     /*  827138 */   // Label 12732: @827138
     /*  827138 */   GIM_Try, /*On fail goto*//*Label 12733*/ GIMT_Encode4(827213), // Rule ID 22450 //
     /*  827143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  827151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  827160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827189 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  827192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827211 */     GIR_RootConstrainSelectedInstOperands,
     /*  827212 */     // GIR_Coverage, 22450,
     /*  827212 */     GIR_EraseRootFromParent_Done,
     /*  827213 */   // Label 12733: @827213
     /*  827213 */   GIM_Try, /*On fail goto*//*Label 12734*/ GIMT_Encode4(827288), // Rule ID 22453 //
     /*  827218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  827226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  827235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827264 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  827267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827286 */     GIR_RootConstrainSelectedInstOperands,
     /*  827287 */     // GIR_Coverage, 22453,
     /*  827287 */     GIR_EraseRootFromParent_Done,
     /*  827288 */   // Label 12734: @827288
     /*  827288 */   GIM_Try, /*On fail goto*//*Label 12735*/ GIMT_Encode4(827363), // Rule ID 22454 //
     /*  827293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  827301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  827310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827339 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  827342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827361 */     GIR_RootConstrainSelectedInstOperands,
     /*  827362 */     // GIR_Coverage, 22454,
     /*  827362 */     GIR_EraseRootFromParent_Done,
     /*  827363 */   // Label 12735: @827363
     /*  827363 */   GIM_Try, /*On fail goto*//*Label 12736*/ GIMT_Encode4(827438), // Rule ID 22457 //
     /*  827368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  827376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  827385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827414 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  827417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827436 */     GIR_RootConstrainSelectedInstOperands,
     /*  827437 */     // GIR_Coverage, 22457,
     /*  827437 */     GIR_EraseRootFromParent_Done,
     /*  827438 */   // Label 12736: @827438
     /*  827438 */   GIM_Try, /*On fail goto*//*Label 12737*/ GIMT_Encode4(827513), // Rule ID 22458 //
     /*  827443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  827451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  827460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827489 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  827492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827511 */     GIR_RootConstrainSelectedInstOperands,
     /*  827512 */     // GIR_Coverage, 22458,
     /*  827512 */     GIR_EraseRootFromParent_Done,
     /*  827513 */   // Label 12737: @827513
     /*  827513 */   GIM_Try, /*On fail goto*//*Label 12738*/ GIMT_Encode4(827588), // Rule ID 22461 //
     /*  827518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  827526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  827535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  827567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827586 */     GIR_RootConstrainSelectedInstOperands,
     /*  827587 */     // GIR_Coverage, 22461,
     /*  827587 */     GIR_EraseRootFromParent_Done,
     /*  827588 */   // Label 12738: @827588
     /*  827588 */   GIM_Try, /*On fail goto*//*Label 12739*/ GIMT_Encode4(827663), // Rule ID 22462 //
     /*  827593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  827601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  827610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827639 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  827642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827661 */     GIR_RootConstrainSelectedInstOperands,
     /*  827662 */     // GIR_Coverage, 22462,
     /*  827662 */     GIR_EraseRootFromParent_Done,
     /*  827663 */   // Label 12739: @827663
     /*  827663 */   GIM_Try, /*On fail goto*//*Label 12740*/ GIMT_Encode4(827738), // Rule ID 22465 //
     /*  827668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  827676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  827685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827714 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  827717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827736 */     GIR_RootConstrainSelectedInstOperands,
     /*  827737 */     // GIR_Coverage, 22465,
     /*  827737 */     GIR_EraseRootFromParent_Done,
     /*  827738 */   // Label 12740: @827738
     /*  827738 */   GIM_Try, /*On fail goto*//*Label 12741*/ GIMT_Encode4(827813), // Rule ID 22466 //
     /*  827743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  827751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  827760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827789 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  827792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827811 */     GIR_RootConstrainSelectedInstOperands,
     /*  827812 */     // GIR_Coverage, 22466,
     /*  827812 */     GIR_EraseRootFromParent_Done,
     /*  827813 */   // Label 12741: @827813
     /*  827813 */   GIM_Try, /*On fail goto*//*Label 12742*/ GIMT_Encode4(827888), // Rule ID 22469 //
     /*  827818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  827826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  827835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  827864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  827867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827886 */     GIR_RootConstrainSelectedInstOperands,
     /*  827887 */     // GIR_Coverage, 22469,
     /*  827887 */     GIR_EraseRootFromParent_Done,
     /*  827888 */   // Label 12742: @827888
     /*  827888 */   GIM_Try, /*On fail goto*//*Label 12743*/ GIMT_Encode4(827963), // Rule ID 22470 //
     /*  827893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  827901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  827910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827939 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  827939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  827942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827961 */     GIR_RootConstrainSelectedInstOperands,
     /*  827962 */     // GIR_Coverage, 22470,
     /*  827962 */     GIR_EraseRootFromParent_Done,
     /*  827963 */   // Label 12743: @827963
     /*  827963 */   GIM_Try, /*On fail goto*//*Label 12744*/ GIMT_Encode4(828038), // Rule ID 22473 //
     /*  827968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  827976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  827985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828014 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  828017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828036 */     GIR_RootConstrainSelectedInstOperands,
     /*  828037 */     // GIR_Coverage, 22473,
     /*  828037 */     GIR_EraseRootFromParent_Done,
     /*  828038 */   // Label 12744: @828038
     /*  828038 */   GIM_Try, /*On fail goto*//*Label 12745*/ GIMT_Encode4(828113), // Rule ID 22474 //
     /*  828043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  828060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828089 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  828092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828111 */     GIR_RootConstrainSelectedInstOperands,
     /*  828112 */     // GIR_Coverage, 22474,
     /*  828112 */     GIR_EraseRootFromParent_Done,
     /*  828113 */   // Label 12745: @828113
     /*  828113 */   GIM_Try, /*On fail goto*//*Label 12746*/ GIMT_Encode4(828188), // Rule ID 22477 //
     /*  828118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  828135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  828164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  828167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828186 */     GIR_RootConstrainSelectedInstOperands,
     /*  828187 */     // GIR_Coverage, 22477,
     /*  828187 */     GIR_EraseRootFromParent_Done,
     /*  828188 */   // Label 12746: @828188
     /*  828188 */   GIM_Try, /*On fail goto*//*Label 12747*/ GIMT_Encode4(828263), // Rule ID 22478 //
     /*  828193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  828210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828239 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  828239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  828242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828261 */     GIR_RootConstrainSelectedInstOperands,
     /*  828262 */     // GIR_Coverage, 22478,
     /*  828262 */     GIR_EraseRootFromParent_Done,
     /*  828263 */   // Label 12747: @828263
     /*  828263 */   GIM_Try, /*On fail goto*//*Label 12748*/ GIMT_Encode4(828338), // Rule ID 22481 //
     /*  828268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  828285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828314 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  828314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  828317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828336 */     GIR_RootConstrainSelectedInstOperands,
     /*  828337 */     // GIR_Coverage, 22481,
     /*  828337 */     GIR_EraseRootFromParent_Done,
     /*  828338 */   // Label 12748: @828338
     /*  828338 */   GIM_Try, /*On fail goto*//*Label 12749*/ GIMT_Encode4(828413), // Rule ID 22482 //
     /*  828343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  828360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828389 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  828389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  828392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828411 */     GIR_RootConstrainSelectedInstOperands,
     /*  828412 */     // GIR_Coverage, 22482,
     /*  828412 */     GIR_EraseRootFromParent_Done,
     /*  828413 */   // Label 12749: @828413
     /*  828413 */   GIM_Try, /*On fail goto*//*Label 12750*/ GIMT_Encode4(828488), // Rule ID 22485 //
     /*  828418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  828421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  828435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828464 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  828464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  828467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828486 */     GIR_RootConstrainSelectedInstOperands,
     /*  828487 */     // GIR_Coverage, 22485,
     /*  828487 */     GIR_EraseRootFromParent_Done,
     /*  828488 */   // Label 12750: @828488
     /*  828488 */   GIM_Try, /*On fail goto*//*Label 12751*/ GIMT_Encode4(828563), // Rule ID 22486 //
     /*  828493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  828496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  828510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828539 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  828539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  828542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828561 */     GIR_RootConstrainSelectedInstOperands,
     /*  828562 */     // GIR_Coverage, 22486,
     /*  828562 */     GIR_EraseRootFromParent_Done,
     /*  828563 */   // Label 12751: @828563
     /*  828563 */   GIM_Try, /*On fail goto*//*Label 12752*/ GIMT_Encode4(828638), // Rule ID 22489 //
     /*  828568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  828585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828614 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  828617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828636 */     GIR_RootConstrainSelectedInstOperands,
     /*  828637 */     // GIR_Coverage, 22489,
     /*  828637 */     GIR_EraseRootFromParent_Done,
     /*  828638 */   // Label 12752: @828638
     /*  828638 */   GIM_Try, /*On fail goto*//*Label 12753*/ GIMT_Encode4(828713), // Rule ID 22490 //
     /*  828643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  828660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828689 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  828692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828711 */     GIR_RootConstrainSelectedInstOperands,
     /*  828712 */     // GIR_Coverage, 22490,
     /*  828712 */     GIR_EraseRootFromParent_Done,
     /*  828713 */   // Label 12753: @828713
     /*  828713 */   GIM_Try, /*On fail goto*//*Label 12754*/ GIMT_Encode4(828788), // Rule ID 22493 //
     /*  828718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  828735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828764 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  828767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828786 */     GIR_RootConstrainSelectedInstOperands,
     /*  828787 */     // GIR_Coverage, 22493,
     /*  828787 */     GIR_EraseRootFromParent_Done,
     /*  828788 */   // Label 12754: @828788
     /*  828788 */   GIM_Try, /*On fail goto*//*Label 12755*/ GIMT_Encode4(828863), // Rule ID 22494 //
     /*  828793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  828810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828839 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  828842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828861 */     GIR_RootConstrainSelectedInstOperands,
     /*  828862 */     // GIR_Coverage, 22494,
     /*  828862 */     GIR_EraseRootFromParent_Done,
     /*  828863 */   // Label 12755: @828863
     /*  828863 */   GIM_Try, /*On fail goto*//*Label 12756*/ GIMT_Encode4(828938), // Rule ID 22497 //
     /*  828868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  828885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828914 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  828917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828936 */     GIR_RootConstrainSelectedInstOperands,
     /*  828937 */     // GIR_Coverage, 22497,
     /*  828937 */     GIR_EraseRootFromParent_Done,
     /*  828938 */   // Label 12756: @828938
     /*  828938 */   GIM_Try, /*On fail goto*//*Label 12757*/ GIMT_Encode4(829013), // Rule ID 22498 //
     /*  828943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  828951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  828960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828989 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  828992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829011 */     GIR_RootConstrainSelectedInstOperands,
     /*  829012 */     // GIR_Coverage, 22498,
     /*  829012 */     GIR_EraseRootFromParent_Done,
     /*  829013 */   // Label 12757: @829013
     /*  829013 */   GIM_Try, /*On fail goto*//*Label 12758*/ GIMT_Encode4(829088), // Rule ID 22501 //
     /*  829018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  829035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829064 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  829064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  829067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829086 */     GIR_RootConstrainSelectedInstOperands,
     /*  829087 */     // GIR_Coverage, 22501,
     /*  829087 */     GIR_EraseRootFromParent_Done,
     /*  829088 */   // Label 12758: @829088
     /*  829088 */   GIM_Try, /*On fail goto*//*Label 12759*/ GIMT_Encode4(829163), // Rule ID 22502 //
     /*  829093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  829110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829139 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  829139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  829142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829161 */     GIR_RootConstrainSelectedInstOperands,
     /*  829162 */     // GIR_Coverage, 22502,
     /*  829162 */     GIR_EraseRootFromParent_Done,
     /*  829163 */   // Label 12759: @829163
     /*  829163 */   GIM_Try, /*On fail goto*//*Label 12760*/ GIMT_Encode4(829238), // Rule ID 22505 //
     /*  829168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  829185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829214 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  829214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  829217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829236 */     GIR_RootConstrainSelectedInstOperands,
     /*  829237 */     // GIR_Coverage, 22505,
     /*  829237 */     GIR_EraseRootFromParent_Done,
     /*  829238 */   // Label 12760: @829238
     /*  829238 */   GIM_Try, /*On fail goto*//*Label 12761*/ GIMT_Encode4(829313), // Rule ID 22506 //
     /*  829243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  829260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829289 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  829289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  829292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829311 */     GIR_RootConstrainSelectedInstOperands,
     /*  829312 */     // GIR_Coverage, 22506,
     /*  829312 */     GIR_EraseRootFromParent_Done,
     /*  829313 */   // Label 12761: @829313
     /*  829313 */   GIM_Try, /*On fail goto*//*Label 12762*/ GIMT_Encode4(829388), // Rule ID 22509 //
     /*  829318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  829335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829364 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  829364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  829367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829386 */     GIR_RootConstrainSelectedInstOperands,
     /*  829387 */     // GIR_Coverage, 22509,
     /*  829387 */     GIR_EraseRootFromParent_Done,
     /*  829388 */   // Label 12762: @829388
     /*  829388 */   GIM_Try, /*On fail goto*//*Label 12763*/ GIMT_Encode4(829463), // Rule ID 22510 //
     /*  829393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  829410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829439 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  829439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  829442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829461 */     GIR_RootConstrainSelectedInstOperands,
     /*  829462 */     // GIR_Coverage, 22510,
     /*  829462 */     GIR_EraseRootFromParent_Done,
     /*  829463 */   // Label 12763: @829463
     /*  829463 */   GIM_Try, /*On fail goto*//*Label 12764*/ GIMT_Encode4(829538), // Rule ID 22513 //
     /*  829468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  829485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829514 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  829514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  829517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829536 */     GIR_RootConstrainSelectedInstOperands,
     /*  829537 */     // GIR_Coverage, 22513,
     /*  829537 */     GIR_EraseRootFromParent_Done,
     /*  829538 */   // Label 12764: @829538
     /*  829538 */   GIM_Try, /*On fail goto*//*Label 12765*/ GIMT_Encode4(829613), // Rule ID 22514 //
     /*  829543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  829560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829589 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  829589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  829592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829611 */     GIR_RootConstrainSelectedInstOperands,
     /*  829612 */     // GIR_Coverage, 22514,
     /*  829612 */     GIR_EraseRootFromParent_Done,
     /*  829613 */   // Label 12765: @829613
     /*  829613 */   GIM_Try, /*On fail goto*//*Label 12766*/ GIMT_Encode4(829688), // Rule ID 22517 //
     /*  829618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  829635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829664 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  829664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  829667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829686 */     GIR_RootConstrainSelectedInstOperands,
     /*  829687 */     // GIR_Coverage, 22517,
     /*  829687 */     GIR_EraseRootFromParent_Done,
     /*  829688 */   // Label 12766: @829688
     /*  829688 */   GIM_Try, /*On fail goto*//*Label 12767*/ GIMT_Encode4(829763), // Rule ID 22518 //
     /*  829693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  829710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829739 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  829739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  829742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829761 */     GIR_RootConstrainSelectedInstOperands,
     /*  829762 */     // GIR_Coverage, 22518,
     /*  829762 */     GIR_EraseRootFromParent_Done,
     /*  829763 */   // Label 12767: @829763
     /*  829763 */   GIM_Try, /*On fail goto*//*Label 12768*/ GIMT_Encode4(829838), // Rule ID 22521 //
     /*  829768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  829785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829814 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  829814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  829817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829836 */     GIR_RootConstrainSelectedInstOperands,
     /*  829837 */     // GIR_Coverage, 22521,
     /*  829837 */     GIR_EraseRootFromParent_Done,
     /*  829838 */   // Label 12768: @829838
     /*  829838 */   GIM_Try, /*On fail goto*//*Label 12769*/ GIMT_Encode4(829913), // Rule ID 22522 //
     /*  829843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  829860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829889 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  829889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  829892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829911 */     GIR_RootConstrainSelectedInstOperands,
     /*  829912 */     // GIR_Coverage, 22522,
     /*  829912 */     GIR_EraseRootFromParent_Done,
     /*  829913 */   // Label 12769: @829913
     /*  829913 */   GIM_Try, /*On fail goto*//*Label 12770*/ GIMT_Encode4(829988), // Rule ID 22525 //
     /*  829918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  829921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  829926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  829935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829964 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  829964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  829967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829986 */     GIR_RootConstrainSelectedInstOperands,
     /*  829987 */     // GIR_Coverage, 22525,
     /*  829987 */     GIR_EraseRootFromParent_Done,
     /*  829988 */   // Label 12770: @829988
     /*  829988 */   GIM_Try, /*On fail goto*//*Label 12771*/ GIMT_Encode4(830063), // Rule ID 22526 //
     /*  829993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  829996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  830010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830039 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  830039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  830042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  830058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830061 */     GIR_RootConstrainSelectedInstOperands,
     /*  830062 */     // GIR_Coverage, 22526,
     /*  830062 */     GIR_EraseRootFromParent_Done,
     /*  830063 */   // Label 12771: @830063
     /*  830063 */   GIM_Try, /*On fail goto*//*Label 12772*/ GIMT_Encode4(830138), // Rule ID 22529 //
     /*  830068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  830071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  830085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830114 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  830114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  830117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  830133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830136 */     GIR_RootConstrainSelectedInstOperands,
     /*  830137 */     // GIR_Coverage, 22529,
     /*  830137 */     GIR_EraseRootFromParent_Done,
     /*  830138 */   // Label 12772: @830138
     /*  830138 */   GIM_Try, /*On fail goto*//*Label 12773*/ GIMT_Encode4(830213), // Rule ID 22530 //
     /*  830143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  830146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  830160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830189 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  830189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  830192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  830208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830211 */     GIR_RootConstrainSelectedInstOperands,
     /*  830212 */     // GIR_Coverage, 22530,
     /*  830212 */     GIR_EraseRootFromParent_Done,
     /*  830213 */   // Label 12773: @830213
     /*  830213 */   GIM_Try, /*On fail goto*//*Label 12774*/ GIMT_Encode4(830288), // Rule ID 22533 //
     /*  830218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  830221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  830235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830264 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  830264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  830267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  830283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830286 */     GIR_RootConstrainSelectedInstOperands,
     /*  830287 */     // GIR_Coverage, 22533,
     /*  830287 */     GIR_EraseRootFromParent_Done,
     /*  830288 */   // Label 12774: @830288
     /*  830288 */   GIM_Try, /*On fail goto*//*Label 12775*/ GIMT_Encode4(830363), // Rule ID 22534 //
     /*  830293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  830296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  830301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  830310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830339 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  830339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  830342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  830358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830361 */     GIR_RootConstrainSelectedInstOperands,
     /*  830362 */     // GIR_Coverage, 22534,
     /*  830362 */     GIR_EraseRootFromParent_Done,
     /*  830363 */   // Label 12775: @830363
     /*  830363 */   GIM_Try, /*On fail goto*//*Label 12776*/ GIMT_Encode4(830438), // Rule ID 22537 //
     /*  830368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  830376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  830385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  830417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830436 */     GIR_RootConstrainSelectedInstOperands,
     /*  830437 */     // GIR_Coverage, 22537,
     /*  830437 */     GIR_EraseRootFromParent_Done,
     /*  830438 */   // Label 12776: @830438
     /*  830438 */   GIM_Try, /*On fail goto*//*Label 12777*/ GIMT_Encode4(830513), // Rule ID 22538 //
     /*  830443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  830451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  830460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830489 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  830492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830511 */     GIR_RootConstrainSelectedInstOperands,
     /*  830512 */     // GIR_Coverage, 22538,
     /*  830512 */     GIR_EraseRootFromParent_Done,
     /*  830513 */   // Label 12777: @830513
     /*  830513 */   GIM_Try, /*On fail goto*//*Label 12778*/ GIMT_Encode4(830588), // Rule ID 22541 //
     /*  830518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  830526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  830535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  830567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830586 */     GIR_RootConstrainSelectedInstOperands,
     /*  830587 */     // GIR_Coverage, 22541,
     /*  830587 */     GIR_EraseRootFromParent_Done,
     /*  830588 */   // Label 12778: @830588
     /*  830588 */   GIM_Try, /*On fail goto*//*Label 12779*/ GIMT_Encode4(830663), // Rule ID 22542 //
     /*  830593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  830601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  830610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830639 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  830642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830661 */     GIR_RootConstrainSelectedInstOperands,
     /*  830662 */     // GIR_Coverage, 22542,
     /*  830662 */     GIR_EraseRootFromParent_Done,
     /*  830663 */   // Label 12779: @830663
     /*  830663 */   GIM_Try, /*On fail goto*//*Label 12780*/ GIMT_Encode4(830738), // Rule ID 22545 //
     /*  830668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  830676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  830685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830714 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  830717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830736 */     GIR_RootConstrainSelectedInstOperands,
     /*  830737 */     // GIR_Coverage, 22545,
     /*  830737 */     GIR_EraseRootFromParent_Done,
     /*  830738 */   // Label 12780: @830738
     /*  830738 */   GIM_Try, /*On fail goto*//*Label 12781*/ GIMT_Encode4(830813), // Rule ID 22546 //
     /*  830743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  830751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  830760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830789 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  830792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830811 */     GIR_RootConstrainSelectedInstOperands,
     /*  830812 */     // GIR_Coverage, 22546,
     /*  830812 */     GIR_EraseRootFromParent_Done,
     /*  830813 */   // Label 12781: @830813
     /*  830813 */   GIM_Try, /*On fail goto*//*Label 12782*/ GIMT_Encode4(830888), // Rule ID 22549 //
     /*  830818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  830826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  830835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  830867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830886 */     GIR_RootConstrainSelectedInstOperands,
     /*  830887 */     // GIR_Coverage, 22549,
     /*  830887 */     GIR_EraseRootFromParent_Done,
     /*  830888 */   // Label 12782: @830888
     /*  830888 */   GIM_Try, /*On fail goto*//*Label 12783*/ GIMT_Encode4(830963), // Rule ID 22550 //
     /*  830893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  830901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  830910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830939 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  830942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830961 */     GIR_RootConstrainSelectedInstOperands,
     /*  830962 */     // GIR_Coverage, 22550,
     /*  830962 */     GIR_EraseRootFromParent_Done,
     /*  830963 */   // Label 12783: @830963
     /*  830963 */   GIM_Try, /*On fail goto*//*Label 12784*/ GIMT_Encode4(831038), // Rule ID 22553 //
     /*  830968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  830976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  830985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831014 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  831014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  831017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831036 */     GIR_RootConstrainSelectedInstOperands,
     /*  831037 */     // GIR_Coverage, 22553,
     /*  831037 */     GIR_EraseRootFromParent_Done,
     /*  831038 */   // Label 12784: @831038
     /*  831038 */   GIM_Try, /*On fail goto*//*Label 12785*/ GIMT_Encode4(831113), // Rule ID 22554 //
     /*  831043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  831060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831089 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  831089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  831092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831111 */     GIR_RootConstrainSelectedInstOperands,
     /*  831112 */     // GIR_Coverage, 22554,
     /*  831112 */     GIR_EraseRootFromParent_Done,
     /*  831113 */   // Label 12785: @831113
     /*  831113 */   GIM_Try, /*On fail goto*//*Label 12786*/ GIMT_Encode4(831188), // Rule ID 22557 //
     /*  831118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  831135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831164 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  831164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  831167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831186 */     GIR_RootConstrainSelectedInstOperands,
     /*  831187 */     // GIR_Coverage, 22557,
     /*  831187 */     GIR_EraseRootFromParent_Done,
     /*  831188 */   // Label 12786: @831188
     /*  831188 */   GIM_Try, /*On fail goto*//*Label 12787*/ GIMT_Encode4(831263), // Rule ID 22558 //
     /*  831193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  831210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831239 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  831239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  831242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831261 */     GIR_RootConstrainSelectedInstOperands,
     /*  831262 */     // GIR_Coverage, 22558,
     /*  831262 */     GIR_EraseRootFromParent_Done,
     /*  831263 */   // Label 12787: @831263
     /*  831263 */   GIM_Try, /*On fail goto*//*Label 12788*/ GIMT_Encode4(831338), // Rule ID 22561 //
     /*  831268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  831285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831314 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  831317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831336 */     GIR_RootConstrainSelectedInstOperands,
     /*  831337 */     // GIR_Coverage, 22561,
     /*  831337 */     GIR_EraseRootFromParent_Done,
     /*  831338 */   // Label 12788: @831338
     /*  831338 */   GIM_Try, /*On fail goto*//*Label 12789*/ GIMT_Encode4(831413), // Rule ID 22562 //
     /*  831343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  831360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831389 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  831389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  831392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831411 */     GIR_RootConstrainSelectedInstOperands,
     /*  831412 */     // GIR_Coverage, 22562,
     /*  831412 */     GIR_EraseRootFromParent_Done,
     /*  831413 */   // Label 12789: @831413
     /*  831413 */   GIM_Try, /*On fail goto*//*Label 12790*/ GIMT_Encode4(831488), // Rule ID 22565 //
     /*  831418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  831435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831464 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  831464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  831467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831486 */     GIR_RootConstrainSelectedInstOperands,
     /*  831487 */     // GIR_Coverage, 22565,
     /*  831487 */     GIR_EraseRootFromParent_Done,
     /*  831488 */   // Label 12790: @831488
     /*  831488 */   GIM_Try, /*On fail goto*//*Label 12791*/ GIMT_Encode4(831563), // Rule ID 22566 //
     /*  831493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  831510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831539 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  831539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  831542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831561 */     GIR_RootConstrainSelectedInstOperands,
     /*  831562 */     // GIR_Coverage, 22566,
     /*  831562 */     GIR_EraseRootFromParent_Done,
     /*  831563 */   // Label 12791: @831563
     /*  831563 */   GIM_Try, /*On fail goto*//*Label 12792*/ GIMT_Encode4(831638), // Rule ID 22569 //
     /*  831568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  831585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831614 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  831614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  831617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831636 */     GIR_RootConstrainSelectedInstOperands,
     /*  831637 */     // GIR_Coverage, 22569,
     /*  831637 */     GIR_EraseRootFromParent_Done,
     /*  831638 */   // Label 12792: @831638
     /*  831638 */   GIM_Try, /*On fail goto*//*Label 12793*/ GIMT_Encode4(831713), // Rule ID 22570 //
     /*  831643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  831660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831689 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  831689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  831692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831711 */     GIR_RootConstrainSelectedInstOperands,
     /*  831712 */     // GIR_Coverage, 22570,
     /*  831712 */     GIR_EraseRootFromParent_Done,
     /*  831713 */   // Label 12793: @831713
     /*  831713 */   GIM_Try, /*On fail goto*//*Label 12794*/ GIMT_Encode4(831788), // Rule ID 22573 //
     /*  831718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  831735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831764 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  831767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831786 */     GIR_RootConstrainSelectedInstOperands,
     /*  831787 */     // GIR_Coverage, 22573,
     /*  831787 */     GIR_EraseRootFromParent_Done,
     /*  831788 */   // Label 12794: @831788
     /*  831788 */   GIM_Try, /*On fail goto*//*Label 12795*/ GIMT_Encode4(831863), // Rule ID 22574 //
     /*  831793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  831810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831839 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  831839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  831842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831861 */     GIR_RootConstrainSelectedInstOperands,
     /*  831862 */     // GIR_Coverage, 22574,
     /*  831862 */     GIR_EraseRootFromParent_Done,
     /*  831863 */   // Label 12795: @831863
     /*  831863 */   GIM_Try, /*On fail goto*//*Label 12796*/ GIMT_Encode4(831938), // Rule ID 22577 //
     /*  831868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  831885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831914 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  831917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831936 */     GIR_RootConstrainSelectedInstOperands,
     /*  831937 */     // GIR_Coverage, 22577,
     /*  831937 */     GIR_EraseRootFromParent_Done,
     /*  831938 */   // Label 12796: @831938
     /*  831938 */   GIM_Try, /*On fail goto*//*Label 12797*/ GIMT_Encode4(832013), // Rule ID 22578 //
     /*  831943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  831951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  831960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831989 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  831989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  831992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832011 */     GIR_RootConstrainSelectedInstOperands,
     /*  832012 */     // GIR_Coverage, 22578,
     /*  832012 */     GIR_EraseRootFromParent_Done,
     /*  832013 */   // Label 12797: @832013
     /*  832013 */   GIM_Try, /*On fail goto*//*Label 12798*/ GIMT_Encode4(832088), // Rule ID 22581 //
     /*  832018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  832035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832064 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  832064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  832067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832086 */     GIR_RootConstrainSelectedInstOperands,
     /*  832087 */     // GIR_Coverage, 22581,
     /*  832087 */     GIR_EraseRootFromParent_Done,
     /*  832088 */   // Label 12798: @832088
     /*  832088 */   GIM_Try, /*On fail goto*//*Label 12799*/ GIMT_Encode4(832163), // Rule ID 22582 //
     /*  832093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  832110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832139 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  832139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  832142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832161 */     GIR_RootConstrainSelectedInstOperands,
     /*  832162 */     // GIR_Coverage, 22582,
     /*  832162 */     GIR_EraseRootFromParent_Done,
     /*  832163 */   // Label 12799: @832163
     /*  832163 */   GIM_Try, /*On fail goto*//*Label 12800*/ GIMT_Encode4(832238), // Rule ID 22585 //
     /*  832168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  832185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832214 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  832217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832236 */     GIR_RootConstrainSelectedInstOperands,
     /*  832237 */     // GIR_Coverage, 22585,
     /*  832237 */     GIR_EraseRootFromParent_Done,
     /*  832238 */   // Label 12800: @832238
     /*  832238 */   GIM_Try, /*On fail goto*//*Label 12801*/ GIMT_Encode4(832313), // Rule ID 22586 //
     /*  832243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  832260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832289 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  832292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832311 */     GIR_RootConstrainSelectedInstOperands,
     /*  832312 */     // GIR_Coverage, 22586,
     /*  832312 */     GIR_EraseRootFromParent_Done,
     /*  832313 */   // Label 12801: @832313
     /*  832313 */   GIM_Try, /*On fail goto*//*Label 12802*/ GIMT_Encode4(832388), // Rule ID 22589 //
     /*  832318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  832335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832364 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  832367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832386 */     GIR_RootConstrainSelectedInstOperands,
     /*  832387 */     // GIR_Coverage, 22589,
     /*  832387 */     GIR_EraseRootFromParent_Done,
     /*  832388 */   // Label 12802: @832388
     /*  832388 */   GIM_Try, /*On fail goto*//*Label 12803*/ GIMT_Encode4(832463), // Rule ID 22590 //
     /*  832393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  832410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832439 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  832442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832461 */     GIR_RootConstrainSelectedInstOperands,
     /*  832462 */     // GIR_Coverage, 22590,
     /*  832462 */     GIR_EraseRootFromParent_Done,
     /*  832463 */   // Label 12803: @832463
     /*  832463 */   GIM_Try, /*On fail goto*//*Label 12804*/ GIMT_Encode4(832538), // Rule ID 22593 //
     /*  832468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  832485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832514 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  832517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832536 */     GIR_RootConstrainSelectedInstOperands,
     /*  832537 */     // GIR_Coverage, 22593,
     /*  832537 */     GIR_EraseRootFromParent_Done,
     /*  832538 */   // Label 12804: @832538
     /*  832538 */   GIM_Try, /*On fail goto*//*Label 12805*/ GIMT_Encode4(832613), // Rule ID 22594 //
     /*  832543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  832560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832589 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  832592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832611 */     GIR_RootConstrainSelectedInstOperands,
     /*  832612 */     // GIR_Coverage, 22594,
     /*  832612 */     GIR_EraseRootFromParent_Done,
     /*  832613 */   // Label 12805: @832613
     /*  832613 */   GIM_Try, /*On fail goto*//*Label 12806*/ GIMT_Encode4(832688), // Rule ID 22597 //
     /*  832618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  832635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832664 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  832667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832686 */     GIR_RootConstrainSelectedInstOperands,
     /*  832687 */     // GIR_Coverage, 22597,
     /*  832687 */     GIR_EraseRootFromParent_Done,
     /*  832688 */   // Label 12806: @832688
     /*  832688 */   GIM_Try, /*On fail goto*//*Label 12807*/ GIMT_Encode4(832763), // Rule ID 22598 //
     /*  832693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  832710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832739 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  832742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832761 */     GIR_RootConstrainSelectedInstOperands,
     /*  832762 */     // GIR_Coverage, 22598,
     /*  832762 */     GIR_EraseRootFromParent_Done,
     /*  832763 */   // Label 12807: @832763
     /*  832763 */   GIM_Try, /*On fail goto*//*Label 12808*/ GIMT_Encode4(832838), // Rule ID 22601 //
     /*  832768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  832785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832814 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  832817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832836 */     GIR_RootConstrainSelectedInstOperands,
     /*  832837 */     // GIR_Coverage, 22601,
     /*  832837 */     GIR_EraseRootFromParent_Done,
     /*  832838 */   // Label 12808: @832838
     /*  832838 */   GIM_Try, /*On fail goto*//*Label 12809*/ GIMT_Encode4(832913), // Rule ID 22602 //
     /*  832843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  832860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832889 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  832892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832911 */     GIR_RootConstrainSelectedInstOperands,
     /*  832912 */     // GIR_Coverage, 22602,
     /*  832912 */     GIR_EraseRootFromParent_Done,
     /*  832913 */   // Label 12809: @832913
     /*  832913 */   GIM_Try, /*On fail goto*//*Label 12810*/ GIMT_Encode4(832988), // Rule ID 22605 //
     /*  832918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  832926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  832935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832964 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  832967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832986 */     GIR_RootConstrainSelectedInstOperands,
     /*  832987 */     // GIR_Coverage, 22605,
     /*  832987 */     GIR_EraseRootFromParent_Done,
     /*  832988 */   // Label 12810: @832988
     /*  832988 */   GIM_Try, /*On fail goto*//*Label 12811*/ GIMT_Encode4(833063), // Rule ID 22606 //
     /*  832993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  833001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  833010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833039 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  833039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  833042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833061 */     GIR_RootConstrainSelectedInstOperands,
     /*  833062 */     // GIR_Coverage, 22606,
     /*  833062 */     GIR_EraseRootFromParent_Done,
     /*  833063 */   // Label 12811: @833063
     /*  833063 */   GIM_Try, /*On fail goto*//*Label 12812*/ GIMT_Encode4(833138), // Rule ID 22609 //
     /*  833068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  833076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  833085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833114 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  833117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833136 */     GIR_RootConstrainSelectedInstOperands,
     /*  833137 */     // GIR_Coverage, 22609,
     /*  833137 */     GIR_EraseRootFromParent_Done,
     /*  833138 */   // Label 12812: @833138
     /*  833138 */   GIM_Try, /*On fail goto*//*Label 12813*/ GIMT_Encode4(833213), // Rule ID 22610 //
     /*  833143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  833151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  833160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833189 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  833192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833211 */     GIR_RootConstrainSelectedInstOperands,
     /*  833212 */     // GIR_Coverage, 22610,
     /*  833212 */     GIR_EraseRootFromParent_Done,
     /*  833213 */   // Label 12813: @833213
     /*  833213 */   GIM_Try, /*On fail goto*//*Label 12814*/ GIMT_Encode4(833288), // Rule ID 22613 //
     /*  833218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  833226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  833235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833264 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  833267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833286 */     GIR_RootConstrainSelectedInstOperands,
     /*  833287 */     // GIR_Coverage, 22613,
     /*  833287 */     GIR_EraseRootFromParent_Done,
     /*  833288 */   // Label 12814: @833288
     /*  833288 */   GIM_Try, /*On fail goto*//*Label 12815*/ GIMT_Encode4(833363), // Rule ID 22614 //
     /*  833293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  833301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  833310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833339 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  833342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833361 */     GIR_RootConstrainSelectedInstOperands,
     /*  833362 */     // GIR_Coverage, 22614,
     /*  833362 */     GIR_EraseRootFromParent_Done,
     /*  833363 */   // Label 12815: @833363
     /*  833363 */   GIM_Try, /*On fail goto*//*Label 12816*/ GIMT_Encode4(833438), // Rule ID 22617 //
     /*  833368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  833376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  833385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  833417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833436 */     GIR_RootConstrainSelectedInstOperands,
     /*  833437 */     // GIR_Coverage, 22617,
     /*  833437 */     GIR_EraseRootFromParent_Done,
     /*  833438 */   // Label 12816: @833438
     /*  833438 */   GIM_Try, /*On fail goto*//*Label 12817*/ GIMT_Encode4(833513), // Rule ID 22618 //
     /*  833443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  833451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  833460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833489 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  833492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833511 */     GIR_RootConstrainSelectedInstOperands,
     /*  833512 */     // GIR_Coverage, 22618,
     /*  833512 */     GIR_EraseRootFromParent_Done,
     /*  833513 */   // Label 12817: @833513
     /*  833513 */   GIM_Try, /*On fail goto*//*Label 12818*/ GIMT_Encode4(833588), // Rule ID 22621 //
     /*  833518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  833526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  833535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833564 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  833567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833586 */     GIR_RootConstrainSelectedInstOperands,
     /*  833587 */     // GIR_Coverage, 22621,
     /*  833587 */     GIR_EraseRootFromParent_Done,
     /*  833588 */   // Label 12818: @833588
     /*  833588 */   GIM_Try, /*On fail goto*//*Label 12819*/ GIMT_Encode4(833663), // Rule ID 22622 //
     /*  833593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  833601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  833610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833639 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  833642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833661 */     GIR_RootConstrainSelectedInstOperands,
     /*  833662 */     // GIR_Coverage, 22622,
     /*  833662 */     GIR_EraseRootFromParent_Done,
     /*  833663 */   // Label 12819: @833663
     /*  833663 */   GIM_Try, /*On fail goto*//*Label 12820*/ GIMT_Encode4(833738), // Rule ID 22625 //
     /*  833668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  833676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  833685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  833717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833736 */     GIR_RootConstrainSelectedInstOperands,
     /*  833737 */     // GIR_Coverage, 22625,
     /*  833737 */     GIR_EraseRootFromParent_Done,
     /*  833738 */   // Label 12820: @833738
     /*  833738 */   GIM_Try, /*On fail goto*//*Label 12821*/ GIMT_Encode4(833813), // Rule ID 22626 //
     /*  833743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  833751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  833760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833789 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  833792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833811 */     GIR_RootConstrainSelectedInstOperands,
     /*  833812 */     // GIR_Coverage, 22626,
     /*  833812 */     GIR_EraseRootFromParent_Done,
     /*  833813 */   // Label 12821: @833813
     /*  833813 */   GIM_Try, /*On fail goto*//*Label 12822*/ GIMT_Encode4(833888), // Rule ID 22629 //
     /*  833818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  833826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  833835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833864 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  833864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  833867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833886 */     GIR_RootConstrainSelectedInstOperands,
     /*  833887 */     // GIR_Coverage, 22629,
     /*  833887 */     GIR_EraseRootFromParent_Done,
     /*  833888 */   // Label 12822: @833888
     /*  833888 */   GIM_Try, /*On fail goto*//*Label 12823*/ GIMT_Encode4(833963), // Rule ID 22630 //
     /*  833893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  833901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  833910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833939 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  833939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  833942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833961 */     GIR_RootConstrainSelectedInstOperands,
     /*  833962 */     // GIR_Coverage, 22630,
     /*  833962 */     GIR_EraseRootFromParent_Done,
     /*  833963 */   // Label 12823: @833963
     /*  833963 */   GIM_Try, /*On fail goto*//*Label 12824*/ GIMT_Encode4(834038), // Rule ID 22633 //
     /*  833968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  833976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  833985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834014 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  834017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834036 */     GIR_RootConstrainSelectedInstOperands,
     /*  834037 */     // GIR_Coverage, 22633,
     /*  834037 */     GIR_EraseRootFromParent_Done,
     /*  834038 */   // Label 12824: @834038
     /*  834038 */   GIM_Try, /*On fail goto*//*Label 12825*/ GIMT_Encode4(834113), // Rule ID 22634 //
     /*  834043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  834060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834089 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  834092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834111 */     GIR_RootConstrainSelectedInstOperands,
     /*  834112 */     // GIR_Coverage, 22634,
     /*  834112 */     GIR_EraseRootFromParent_Done,
     /*  834113 */   // Label 12825: @834113
     /*  834113 */   GIM_Try, /*On fail goto*//*Label 12826*/ GIMT_Encode4(834188), // Rule ID 22637 //
     /*  834118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  834135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834164 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  834167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834186 */     GIR_RootConstrainSelectedInstOperands,
     /*  834187 */     // GIR_Coverage, 22637,
     /*  834187 */     GIR_EraseRootFromParent_Done,
     /*  834188 */   // Label 12826: @834188
     /*  834188 */   GIM_Try, /*On fail goto*//*Label 12827*/ GIMT_Encode4(834263), // Rule ID 22638 //
     /*  834193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  834210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834239 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  834242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834261 */     GIR_RootConstrainSelectedInstOperands,
     /*  834262 */     // GIR_Coverage, 22638,
     /*  834262 */     GIR_EraseRootFromParent_Done,
     /*  834263 */   // Label 12827: @834263
     /*  834263 */   GIM_Try, /*On fail goto*//*Label 12828*/ GIMT_Encode4(834338), // Rule ID 22641 //
     /*  834268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  834285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834314 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  834314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  834317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834336 */     GIR_RootConstrainSelectedInstOperands,
     /*  834337 */     // GIR_Coverage, 22641,
     /*  834337 */     GIR_EraseRootFromParent_Done,
     /*  834338 */   // Label 12828: @834338
     /*  834338 */   GIM_Try, /*On fail goto*//*Label 12829*/ GIMT_Encode4(834413), // Rule ID 22642 //
     /*  834343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  834360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834389 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  834389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  834392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834411 */     GIR_RootConstrainSelectedInstOperands,
     /*  834412 */     // GIR_Coverage, 22642,
     /*  834412 */     GIR_EraseRootFromParent_Done,
     /*  834413 */   // Label 12829: @834413
     /*  834413 */   GIM_Try, /*On fail goto*//*Label 12830*/ GIMT_Encode4(834488), // Rule ID 22645 //
     /*  834418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  834435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  834467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834486 */     GIR_RootConstrainSelectedInstOperands,
     /*  834487 */     // GIR_Coverage, 22645,
     /*  834487 */     GIR_EraseRootFromParent_Done,
     /*  834488 */   // Label 12830: @834488
     /*  834488 */   GIM_Try, /*On fail goto*//*Label 12831*/ GIMT_Encode4(834563), // Rule ID 22646 //
     /*  834493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  834510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834539 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  834542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834561 */     GIR_RootConstrainSelectedInstOperands,
     /*  834562 */     // GIR_Coverage, 22646,
     /*  834562 */     GIR_EraseRootFromParent_Done,
     /*  834563 */   // Label 12831: @834563
     /*  834563 */   GIM_Try, /*On fail goto*//*Label 12832*/ GIMT_Encode4(834638), // Rule ID 22649 //
     /*  834568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  834585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834614 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  834617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834636 */     GIR_RootConstrainSelectedInstOperands,
     /*  834637 */     // GIR_Coverage, 22649,
     /*  834637 */     GIR_EraseRootFromParent_Done,
     /*  834638 */   // Label 12832: @834638
     /*  834638 */   GIM_Try, /*On fail goto*//*Label 12833*/ GIMT_Encode4(834713), // Rule ID 22650 //
     /*  834643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  834660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834689 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  834692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834711 */     GIR_RootConstrainSelectedInstOperands,
     /*  834712 */     // GIR_Coverage, 22650,
     /*  834712 */     GIR_EraseRootFromParent_Done,
     /*  834713 */   // Label 12833: @834713
     /*  834713 */   GIM_Try, /*On fail goto*//*Label 12834*/ GIMT_Encode4(834788), // Rule ID 22653 //
     /*  834718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  834735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834764 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  834767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834786 */     GIR_RootConstrainSelectedInstOperands,
     /*  834787 */     // GIR_Coverage, 22653,
     /*  834787 */     GIR_EraseRootFromParent_Done,
     /*  834788 */   // Label 12834: @834788
     /*  834788 */   GIM_Try, /*On fail goto*//*Label 12835*/ GIMT_Encode4(834863), // Rule ID 22654 //
     /*  834793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  834810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834839 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11560:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  834842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834861 */     GIR_RootConstrainSelectedInstOperands,
     /*  834862 */     // GIR_Coverage, 22654,
     /*  834862 */     GIR_EraseRootFromParent_Done,
     /*  834863 */   // Label 12835: @834863
     /*  834863 */   GIM_Try, /*On fail goto*//*Label 12836*/ GIMT_Encode4(834938), // Rule ID 22657 //
     /*  834868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  834885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834914 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  834917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834936 */     GIR_RootConstrainSelectedInstOperands,
     /*  834937 */     // GIR_Coverage, 22657,
     /*  834937 */     GIR_EraseRootFromParent_Done,
     /*  834938 */   // Label 12836: @834938
     /*  834938 */   GIM_Try, /*On fail goto*//*Label 12837*/ GIMT_Encode4(835013), // Rule ID 22658 //
     /*  834943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  834951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  834960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834989 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  834992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835011 */     GIR_RootConstrainSelectedInstOperands,
     /*  835012 */     // GIR_Coverage, 22658,
     /*  835012 */     GIR_EraseRootFromParent_Done,
     /*  835013 */   // Label 12837: @835013
     /*  835013 */   GIM_Try, /*On fail goto*//*Label 12838*/ GIMT_Encode4(835088), // Rule ID 22661 //
     /*  835018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  835035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835064 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  835067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835086 */     GIR_RootConstrainSelectedInstOperands,
     /*  835087 */     // GIR_Coverage, 22661,
     /*  835087 */     GIR_EraseRootFromParent_Done,
     /*  835088 */   // Label 12838: @835088
     /*  835088 */   GIM_Try, /*On fail goto*//*Label 12839*/ GIMT_Encode4(835163), // Rule ID 22662 //
     /*  835093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  835110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835139 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  835142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835161 */     GIR_RootConstrainSelectedInstOperands,
     /*  835162 */     // GIR_Coverage, 22662,
     /*  835162 */     GIR_EraseRootFromParent_Done,
     /*  835163 */   // Label 12839: @835163
     /*  835163 */   GIM_Try, /*On fail goto*//*Label 12840*/ GIMT_Encode4(835238), // Rule ID 22665 //
     /*  835168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  835185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835214 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  835217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835236 */     GIR_RootConstrainSelectedInstOperands,
     /*  835237 */     // GIR_Coverage, 22665,
     /*  835237 */     GIR_EraseRootFromParent_Done,
     /*  835238 */   // Label 12840: @835238
     /*  835238 */   GIM_Try, /*On fail goto*//*Label 12841*/ GIMT_Encode4(835313), // Rule ID 22666 //
     /*  835243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  835260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835289 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  835292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835311 */     GIR_RootConstrainSelectedInstOperands,
     /*  835312 */     // GIR_Coverage, 22666,
     /*  835312 */     GIR_EraseRootFromParent_Done,
     /*  835313 */   // Label 12841: @835313
     /*  835313 */   GIM_Try, /*On fail goto*//*Label 12842*/ GIMT_Encode4(835388), // Rule ID 22669 //
     /*  835318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  835335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835364 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  835367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835386 */     GIR_RootConstrainSelectedInstOperands,
     /*  835387 */     // GIR_Coverage, 22669,
     /*  835387 */     GIR_EraseRootFromParent_Done,
     /*  835388 */   // Label 12842: @835388
     /*  835388 */   GIM_Try, /*On fail goto*//*Label 12843*/ GIMT_Encode4(835463), // Rule ID 22670 //
     /*  835393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  835410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835439 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  835442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835461 */     GIR_RootConstrainSelectedInstOperands,
     /*  835462 */     // GIR_Coverage, 22670,
     /*  835462 */     GIR_EraseRootFromParent_Done,
     /*  835463 */   // Label 12843: @835463
     /*  835463 */   GIM_Try, /*On fail goto*//*Label 12844*/ GIMT_Encode4(835538), // Rule ID 22673 //
     /*  835468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  835485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835514 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  835517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835536 */     GIR_RootConstrainSelectedInstOperands,
     /*  835537 */     // GIR_Coverage, 22673,
     /*  835537 */     GIR_EraseRootFromParent_Done,
     /*  835538 */   // Label 12844: @835538
     /*  835538 */   GIM_Try, /*On fail goto*//*Label 12845*/ GIMT_Encode4(835613), // Rule ID 22674 //
     /*  835543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  835560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835589 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  835592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835611 */     GIR_RootConstrainSelectedInstOperands,
     /*  835612 */     // GIR_Coverage, 22674,
     /*  835612 */     GIR_EraseRootFromParent_Done,
     /*  835613 */   // Label 12845: @835613
     /*  835613 */   GIM_Try, /*On fail goto*//*Label 12846*/ GIMT_Encode4(835688), // Rule ID 22677 //
     /*  835618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  835635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835664 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  835667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835686 */     GIR_RootConstrainSelectedInstOperands,
     /*  835687 */     // GIR_Coverage, 22677,
     /*  835687 */     GIR_EraseRootFromParent_Done,
     /*  835688 */   // Label 12846: @835688
     /*  835688 */   GIM_Try, /*On fail goto*//*Label 12847*/ GIMT_Encode4(835763), // Rule ID 22678 //
     /*  835693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  835701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  835710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835739 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  835742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835761 */     GIR_RootConstrainSelectedInstOperands,
     /*  835762 */     // GIR_Coverage, 22678,
     /*  835762 */     GIR_EraseRootFromParent_Done,
     /*  835763 */   // Label 12847: @835763
     /*  835763 */   GIM_Try, /*On fail goto*//*Label 12848*/ GIMT_Encode4(835838), // Rule ID 22797 //
     /*  835768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  835771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  835776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  835785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835814 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  835817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835836 */     GIR_RootConstrainSelectedInstOperands,
     /*  835837 */     // GIR_Coverage, 22797,
     /*  835837 */     GIR_EraseRootFromParent_Done,
     /*  835838 */   // Label 12848: @835838
     /*  835838 */   GIM_Try, /*On fail goto*//*Label 12849*/ GIMT_Encode4(835913), // Rule ID 22798 //
     /*  835843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  835846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  835851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  835860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835889 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  835892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835911 */     GIR_RootConstrainSelectedInstOperands,
     /*  835912 */     // GIR_Coverage, 22798,
     /*  835912 */     GIR_EraseRootFromParent_Done,
     /*  835913 */   // Label 12849: @835913
     /*  835913 */   GIM_Try, /*On fail goto*//*Label 12850*/ GIMT_Encode4(835988), // Rule ID 22801 //
     /*  835918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  835921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  835926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  835935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835964 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  835967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835986 */     GIR_RootConstrainSelectedInstOperands,
     /*  835987 */     // GIR_Coverage, 22801,
     /*  835987 */     GIR_EraseRootFromParent_Done,
     /*  835988 */   // Label 12850: @835988
     /*  835988 */   GIM_Try, /*On fail goto*//*Label 12851*/ GIMT_Encode4(836063), // Rule ID 22802 //
     /*  835993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  835996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  836001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  836010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836039 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  836042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836061 */     GIR_RootConstrainSelectedInstOperands,
     /*  836062 */     // GIR_Coverage, 22802,
     /*  836062 */     GIR_EraseRootFromParent_Done,
     /*  836063 */   // Label 12851: @836063
     /*  836063 */   GIM_Try, /*On fail goto*//*Label 12852*/ GIMT_Encode4(836138), // Rule ID 22805 //
     /*  836068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  836071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  836076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  836085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836114 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  836114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  836117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836136 */     GIR_RootConstrainSelectedInstOperands,
     /*  836137 */     // GIR_Coverage, 22805,
     /*  836137 */     GIR_EraseRootFromParent_Done,
     /*  836138 */   // Label 12852: @836138
     /*  836138 */   GIM_Try, /*On fail goto*//*Label 12853*/ GIMT_Encode4(836213), // Rule ID 22806 //
     /*  836143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  836146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  836151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  836160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836189 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  836189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  836192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836211 */     GIR_RootConstrainSelectedInstOperands,
     /*  836212 */     // GIR_Coverage, 22806,
     /*  836212 */     GIR_EraseRootFromParent_Done,
     /*  836213 */   // Label 12853: @836213
     /*  836213 */   GIM_Try, /*On fail goto*//*Label 12854*/ GIMT_Encode4(836288), // Rule ID 22809 //
     /*  836218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  836221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  836226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  836235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836264 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  836267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836286 */     GIR_RootConstrainSelectedInstOperands,
     /*  836287 */     // GIR_Coverage, 22809,
     /*  836287 */     GIR_EraseRootFromParent_Done,
     /*  836288 */   // Label 12854: @836288
     /*  836288 */   GIM_Try, /*On fail goto*//*Label 12855*/ GIMT_Encode4(836363), // Rule ID 22810 //
     /*  836293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  836296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  836301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  836310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836339 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  836342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836361 */     GIR_RootConstrainSelectedInstOperands,
     /*  836362 */     // GIR_Coverage, 22810,
     /*  836362 */     GIR_EraseRootFromParent_Done,
     /*  836363 */   // Label 12855: @836363
     /*  836363 */   GIM_Try, /*On fail goto*//*Label 12856*/ GIMT_Encode4(836438), // Rule ID 22813 //
     /*  836368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  836371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  836376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  836385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836414 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  836414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  836417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836436 */     GIR_RootConstrainSelectedInstOperands,
     /*  836437 */     // GIR_Coverage, 22813,
     /*  836437 */     GIR_EraseRootFromParent_Done,
     /*  836438 */   // Label 12856: @836438
     /*  836438 */   GIM_Try, /*On fail goto*//*Label 12857*/ GIMT_Encode4(836513), // Rule ID 22814 //
     /*  836443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  836446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  836451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  836460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836489 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  836489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  836492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836511 */     GIR_RootConstrainSelectedInstOperands,
     /*  836512 */     // GIR_Coverage, 22814,
     /*  836512 */     GIR_EraseRootFromParent_Done,
     /*  836513 */   // Label 12857: @836513
     /*  836513 */   GIM_Try, /*On fail goto*//*Label 12858*/ GIMT_Encode4(836588), // Rule ID 22817 //
     /*  836518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  836521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  836526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  836535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836564 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  836564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  836567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836586 */     GIR_RootConstrainSelectedInstOperands,
     /*  836587 */     // GIR_Coverage, 22817,
     /*  836587 */     GIR_EraseRootFromParent_Done,
     /*  836588 */   // Label 12858: @836588
     /*  836588 */   GIM_Try, /*On fail goto*//*Label 12859*/ GIMT_Encode4(836663), // Rule ID 22818 //
     /*  836593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  836596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  836601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  836610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836639 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  836639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  836642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836661 */     GIR_RootConstrainSelectedInstOperands,
     /*  836662 */     // GIR_Coverage, 22818,
     /*  836662 */     GIR_EraseRootFromParent_Done,
     /*  836663 */   // Label 12859: @836663
     /*  836663 */   GIM_Try, /*On fail goto*//*Label 12860*/ GIMT_Encode4(836738), // Rule ID 22821 //
     /*  836668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  836671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  836676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  836685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836714 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  836717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836736 */     GIR_RootConstrainSelectedInstOperands,
     /*  836737 */     // GIR_Coverage, 22821,
     /*  836737 */     GIR_EraseRootFromParent_Done,
     /*  836738 */   // Label 12860: @836738
     /*  836738 */   GIM_Try, /*On fail goto*//*Label 12861*/ GIMT_Encode4(836813), // Rule ID 22822 //
     /*  836743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  836746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  836751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  836760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836789 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  836792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836811 */     GIR_RootConstrainSelectedInstOperands,
     /*  836812 */     // GIR_Coverage, 22822,
     /*  836812 */     GIR_EraseRootFromParent_Done,
     /*  836813 */   // Label 12861: @836813
     /*  836813 */   GIM_Try, /*On fail goto*//*Label 12862*/ GIMT_Encode4(836888), // Rule ID 22825 //
     /*  836818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  836821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  836826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  836835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836864 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  836864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  836867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836886 */     GIR_RootConstrainSelectedInstOperands,
     /*  836887 */     // GIR_Coverage, 22825,
     /*  836887 */     GIR_EraseRootFromParent_Done,
     /*  836888 */   // Label 12862: @836888
     /*  836888 */   GIM_Try, /*On fail goto*//*Label 12863*/ GIMT_Encode4(836963), // Rule ID 22826 //
     /*  836893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  836896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  836901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  836910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836939 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  836939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  836942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836961 */     GIR_RootConstrainSelectedInstOperands,
     /*  836962 */     // GIR_Coverage, 22826,
     /*  836962 */     GIR_EraseRootFromParent_Done,
     /*  836963 */   // Label 12863: @836963
     /*  836963 */   GIM_Try, /*On fail goto*//*Label 12864*/ GIMT_Encode4(837038), // Rule ID 22829 //
     /*  836968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  836971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  836976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  836985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837014 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  837017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837036 */     GIR_RootConstrainSelectedInstOperands,
     /*  837037 */     // GIR_Coverage, 22829,
     /*  837037 */     GIR_EraseRootFromParent_Done,
     /*  837038 */   // Label 12864: @837038
     /*  837038 */   GIM_Try, /*On fail goto*//*Label 12865*/ GIMT_Encode4(837113), // Rule ID 22830 //
     /*  837043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  837046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  837060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837089 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  837092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837111 */     GIR_RootConstrainSelectedInstOperands,
     /*  837112 */     // GIR_Coverage, 22830,
     /*  837112 */     GIR_EraseRootFromParent_Done,
     /*  837113 */   // Label 12865: @837113
     /*  837113 */   GIM_Try, /*On fail goto*//*Label 12866*/ GIMT_Encode4(837188), // Rule ID 22833 //
     /*  837118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  837121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  837135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837164 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  837167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837186 */     GIR_RootConstrainSelectedInstOperands,
     /*  837187 */     // GIR_Coverage, 22833,
     /*  837187 */     GIR_EraseRootFromParent_Done,
     /*  837188 */   // Label 12866: @837188
     /*  837188 */   GIM_Try, /*On fail goto*//*Label 12867*/ GIMT_Encode4(837263), // Rule ID 22834 //
     /*  837193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  837196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  837210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837239 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  837242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837261 */     GIR_RootConstrainSelectedInstOperands,
     /*  837262 */     // GIR_Coverage, 22834,
     /*  837262 */     GIR_EraseRootFromParent_Done,
     /*  837263 */   // Label 12867: @837263
     /*  837263 */   GIM_Try, /*On fail goto*//*Label 12868*/ GIMT_Encode4(837338), // Rule ID 22837 //
     /*  837268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  837271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  837285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837314 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  837317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837336 */     GIR_RootConstrainSelectedInstOperands,
     /*  837337 */     // GIR_Coverage, 22837,
     /*  837337 */     GIR_EraseRootFromParent_Done,
     /*  837338 */   // Label 12868: @837338
     /*  837338 */   GIM_Try, /*On fail goto*//*Label 12869*/ GIMT_Encode4(837413), // Rule ID 22838 //
     /*  837343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  837346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  837360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837389 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  837392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837411 */     GIR_RootConstrainSelectedInstOperands,
     /*  837412 */     // GIR_Coverage, 22838,
     /*  837412 */     GIR_EraseRootFromParent_Done,
     /*  837413 */   // Label 12869: @837413
     /*  837413 */   GIM_Try, /*On fail goto*//*Label 12870*/ GIMT_Encode4(837488), // Rule ID 22841 //
     /*  837418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  837421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  837435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837464 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  837467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837486 */     GIR_RootConstrainSelectedInstOperands,
     /*  837487 */     // GIR_Coverage, 22841,
     /*  837487 */     GIR_EraseRootFromParent_Done,
     /*  837488 */   // Label 12870: @837488
     /*  837488 */   GIM_Try, /*On fail goto*//*Label 12871*/ GIMT_Encode4(837563), // Rule ID 22842 //
     /*  837493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  837496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  837510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837539 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  837542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837561 */     GIR_RootConstrainSelectedInstOperands,
     /*  837562 */     // GIR_Coverage, 22842,
     /*  837562 */     GIR_EraseRootFromParent_Done,
     /*  837563 */   // Label 12871: @837563
     /*  837563 */   GIM_Try, /*On fail goto*//*Label 12872*/ GIMT_Encode4(837638), // Rule ID 22845 //
     /*  837568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  837571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  837585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837614 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  837614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  837617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  837633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837636 */     GIR_RootConstrainSelectedInstOperands,
     /*  837637 */     // GIR_Coverage, 22845,
     /*  837637 */     GIR_EraseRootFromParent_Done,
     /*  837638 */   // Label 12872: @837638
     /*  837638 */   GIM_Try, /*On fail goto*//*Label 12873*/ GIMT_Encode4(837713), // Rule ID 22846 //
     /*  837643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  837646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  837660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837689 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  837689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  837692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  837708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837711 */     GIR_RootConstrainSelectedInstOperands,
     /*  837712 */     // GIR_Coverage, 22846,
     /*  837712 */     GIR_EraseRootFromParent_Done,
     /*  837713 */   // Label 12873: @837713
     /*  837713 */   GIM_Try, /*On fail goto*//*Label 12874*/ GIMT_Encode4(837788), // Rule ID 22849 //
     /*  837718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  837721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  837735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837764 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  837764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  837767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  837783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837786 */     GIR_RootConstrainSelectedInstOperands,
     /*  837787 */     // GIR_Coverage, 22849,
     /*  837787 */     GIR_EraseRootFromParent_Done,
     /*  837788 */   // Label 12874: @837788
     /*  837788 */   GIM_Try, /*On fail goto*//*Label 12875*/ GIMT_Encode4(837863), // Rule ID 22850 //
     /*  837793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  837796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  837810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837839 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  837839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  837842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  837858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837861 */     GIR_RootConstrainSelectedInstOperands,
     /*  837862 */     // GIR_Coverage, 22850,
     /*  837862 */     GIR_EraseRootFromParent_Done,
     /*  837863 */   // Label 12875: @837863
     /*  837863 */   GIM_Try, /*On fail goto*//*Label 12876*/ GIMT_Encode4(837938), // Rule ID 22853 //
     /*  837868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  837871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  837885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837914 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  837914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  837917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  837933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837936 */     GIR_RootConstrainSelectedInstOperands,
     /*  837937 */     // GIR_Coverage, 22853,
     /*  837937 */     GIR_EraseRootFromParent_Done,
     /*  837938 */   // Label 12876: @837938
     /*  837938 */   GIM_Try, /*On fail goto*//*Label 12877*/ GIMT_Encode4(838013), // Rule ID 22854 //
     /*  837943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  837946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  837951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  837960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837989 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  837989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  837992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838011 */     GIR_RootConstrainSelectedInstOperands,
     /*  838012 */     // GIR_Coverage, 22854,
     /*  838012 */     GIR_EraseRootFromParent_Done,
     /*  838013 */   // Label 12877: @838013
     /*  838013 */   GIM_Try, /*On fail goto*//*Label 12878*/ GIMT_Encode4(838088), // Rule ID 22857 //
     /*  838018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  838021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  838026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  838035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838064 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  838067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838086 */     GIR_RootConstrainSelectedInstOperands,
     /*  838087 */     // GIR_Coverage, 22857,
     /*  838087 */     GIR_EraseRootFromParent_Done,
     /*  838088 */   // Label 12878: @838088
     /*  838088 */   GIM_Try, /*On fail goto*//*Label 12879*/ GIMT_Encode4(838163), // Rule ID 22858 //
     /*  838093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  838096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  838101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  838110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838139 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  838142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838161 */     GIR_RootConstrainSelectedInstOperands,
     /*  838162 */     // GIR_Coverage, 22858,
     /*  838162 */     GIR_EraseRootFromParent_Done,
     /*  838163 */   // Label 12879: @838163
     /*  838163 */   GIM_Try, /*On fail goto*//*Label 12880*/ GIMT_Encode4(838238), // Rule ID 22861 //
     /*  838168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  838171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  838176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  838185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838214 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  838217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838236 */     GIR_RootConstrainSelectedInstOperands,
     /*  838237 */     // GIR_Coverage, 22861,
     /*  838237 */     GIR_EraseRootFromParent_Done,
     /*  838238 */   // Label 12880: @838238
     /*  838238 */   GIM_Try, /*On fail goto*//*Label 12881*/ GIMT_Encode4(838313), // Rule ID 22862 //
     /*  838243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  838246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  838251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  838260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838289 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  838292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838311 */     GIR_RootConstrainSelectedInstOperands,
     /*  838312 */     // GIR_Coverage, 22862,
     /*  838312 */     GIR_EraseRootFromParent_Done,
     /*  838313 */   // Label 12881: @838313
     /*  838313 */   GIM_Try, /*On fail goto*//*Label 12882*/ GIMT_Encode4(838388), // Rule ID 22865 //
     /*  838318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  838321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  838326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  838335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838364 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  838367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838386 */     GIR_RootConstrainSelectedInstOperands,
     /*  838387 */     // GIR_Coverage, 22865,
     /*  838387 */     GIR_EraseRootFromParent_Done,
     /*  838388 */   // Label 12882: @838388
     /*  838388 */   GIM_Try, /*On fail goto*//*Label 12883*/ GIMT_Encode4(838463), // Rule ID 22866 //
     /*  838393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  838396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  838401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  838410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838439 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  838442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838461 */     GIR_RootConstrainSelectedInstOperands,
     /*  838462 */     // GIR_Coverage, 22866,
     /*  838462 */     GIR_EraseRootFromParent_Done,
     /*  838463 */   // Label 12883: @838463
     /*  838463 */   GIM_Try, /*On fail goto*//*Label 12884*/ GIMT_Encode4(838538), // Rule ID 22869 //
     /*  838468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  838471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  838476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  838485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838514 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  838517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838536 */     GIR_RootConstrainSelectedInstOperands,
     /*  838537 */     // GIR_Coverage, 22869,
     /*  838537 */     GIR_EraseRootFromParent_Done,
     /*  838538 */   // Label 12884: @838538
     /*  838538 */   GIM_Try, /*On fail goto*//*Label 12885*/ GIMT_Encode4(838613), // Rule ID 22870 //
     /*  838543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  838546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  838551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  838560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838589 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  838592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838611 */     GIR_RootConstrainSelectedInstOperands,
     /*  838612 */     // GIR_Coverage, 22870,
     /*  838612 */     GIR_EraseRootFromParent_Done,
     /*  838613 */   // Label 12885: @838613
     /*  838613 */   GIM_Try, /*On fail goto*//*Label 12886*/ GIMT_Encode4(838688), // Rule ID 22873 //
     /*  838618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  838621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  838626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  838635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838664 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  838667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838686 */     GIR_RootConstrainSelectedInstOperands,
     /*  838687 */     // GIR_Coverage, 22873,
     /*  838687 */     GIR_EraseRootFromParent_Done,
     /*  838688 */   // Label 12886: @838688
     /*  838688 */   GIM_Try, /*On fail goto*//*Label 12887*/ GIMT_Encode4(838763), // Rule ID 22874 //
     /*  838693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  838696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  838701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  838710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838739 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  838742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838761 */     GIR_RootConstrainSelectedInstOperands,
     /*  838762 */     // GIR_Coverage, 22874,
     /*  838762 */     GIR_EraseRootFromParent_Done,
     /*  838763 */   // Label 12887: @838763
     /*  838763 */   GIM_Try, /*On fail goto*//*Label 12888*/ GIMT_Encode4(838838), // Rule ID 22877 //
     /*  838768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  838771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  838776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  838785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838814 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  838814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  838817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838836 */     GIR_RootConstrainSelectedInstOperands,
     /*  838837 */     // GIR_Coverage, 22877,
     /*  838837 */     GIR_EraseRootFromParent_Done,
     /*  838838 */   // Label 12888: @838838
     /*  838838 */   GIM_Try, /*On fail goto*//*Label 12889*/ GIMT_Encode4(838913), // Rule ID 22878 //
     /*  838843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  838846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  838851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  838860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838889 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  838889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  838892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838911 */     GIR_RootConstrainSelectedInstOperands,
     /*  838912 */     // GIR_Coverage, 22878,
     /*  838912 */     GIR_EraseRootFromParent_Done,
     /*  838913 */   // Label 12889: @838913
     /*  838913 */   GIM_Try, /*On fail goto*//*Label 12890*/ GIMT_Encode4(838988), // Rule ID 22881 //
     /*  838918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  838921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  838926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  838935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838964 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  838967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838986 */     GIR_RootConstrainSelectedInstOperands,
     /*  838987 */     // GIR_Coverage, 22881,
     /*  838987 */     GIR_EraseRootFromParent_Done,
     /*  838988 */   // Label 12890: @838988
     /*  838988 */   GIM_Try, /*On fail goto*//*Label 12891*/ GIMT_Encode4(839063), // Rule ID 22882 //
     /*  838993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  838996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  839010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839039 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  839042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839061 */     GIR_RootConstrainSelectedInstOperands,
     /*  839062 */     // GIR_Coverage, 22882,
     /*  839062 */     GIR_EraseRootFromParent_Done,
     /*  839063 */   // Label 12891: @839063
     /*  839063 */   GIM_Try, /*On fail goto*//*Label 12892*/ GIMT_Encode4(839138), // Rule ID 22885 //
     /*  839068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  839071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  839085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839114 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  839117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839136 */     GIR_RootConstrainSelectedInstOperands,
     /*  839137 */     // GIR_Coverage, 22885,
     /*  839137 */     GIR_EraseRootFromParent_Done,
     /*  839138 */   // Label 12892: @839138
     /*  839138 */   GIM_Try, /*On fail goto*//*Label 12893*/ GIMT_Encode4(839213), // Rule ID 22886 //
     /*  839143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  839146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  839160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839189 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  839192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839211 */     GIR_RootConstrainSelectedInstOperands,
     /*  839212 */     // GIR_Coverage, 22886,
     /*  839212 */     GIR_EraseRootFromParent_Done,
     /*  839213 */   // Label 12893: @839213
     /*  839213 */   GIM_Try, /*On fail goto*//*Label 12894*/ GIMT_Encode4(839288), // Rule ID 22889 //
     /*  839218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  839221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  839235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839264 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  839267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839286 */     GIR_RootConstrainSelectedInstOperands,
     /*  839287 */     // GIR_Coverage, 22889,
     /*  839287 */     GIR_EraseRootFromParent_Done,
     /*  839288 */   // Label 12894: @839288
     /*  839288 */   GIM_Try, /*On fail goto*//*Label 12895*/ GIMT_Encode4(839363), // Rule ID 22890 //
     /*  839293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  839296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  839310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839339 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  839342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839361 */     GIR_RootConstrainSelectedInstOperands,
     /*  839362 */     // GIR_Coverage, 22890,
     /*  839362 */     GIR_EraseRootFromParent_Done,
     /*  839363 */   // Label 12895: @839363
     /*  839363 */   GIM_Try, /*On fail goto*//*Label 12896*/ GIMT_Encode4(839438), // Rule ID 22893 //
     /*  839368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  839371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  839385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839414 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  839417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839436 */     GIR_RootConstrainSelectedInstOperands,
     /*  839437 */     // GIR_Coverage, 22893,
     /*  839437 */     GIR_EraseRootFromParent_Done,
     /*  839438 */   // Label 12896: @839438
     /*  839438 */   GIM_Try, /*On fail goto*//*Label 12897*/ GIMT_Encode4(839513), // Rule ID 22894 //
     /*  839443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  839446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  839460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839489 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  839492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839511 */     GIR_RootConstrainSelectedInstOperands,
     /*  839512 */     // GIR_Coverage, 22894,
     /*  839512 */     GIR_EraseRootFromParent_Done,
     /*  839513 */   // Label 12897: @839513
     /*  839513 */   GIM_Try, /*On fail goto*//*Label 12898*/ GIMT_Encode4(839588), // Rule ID 22897 //
     /*  839518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  839521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  839535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839564 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  839567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839586 */     GIR_RootConstrainSelectedInstOperands,
     /*  839587 */     // GIR_Coverage, 22897,
     /*  839587 */     GIR_EraseRootFromParent_Done,
     /*  839588 */   // Label 12898: @839588
     /*  839588 */   GIM_Try, /*On fail goto*//*Label 12899*/ GIMT_Encode4(839663), // Rule ID 22898 //
     /*  839593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  839596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  839610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839639 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  839642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839661 */     GIR_RootConstrainSelectedInstOperands,
     /*  839662 */     // GIR_Coverage, 22898,
     /*  839662 */     GIR_EraseRootFromParent_Done,
     /*  839663 */   // Label 12899: @839663
     /*  839663 */   GIM_Try, /*On fail goto*//*Label 12900*/ GIMT_Encode4(839738), // Rule ID 22901 //
     /*  839668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  839671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  839685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839714 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  839717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839736 */     GIR_RootConstrainSelectedInstOperands,
     /*  839737 */     // GIR_Coverage, 22901,
     /*  839737 */     GIR_EraseRootFromParent_Done,
     /*  839738 */   // Label 12900: @839738
     /*  839738 */   GIM_Try, /*On fail goto*//*Label 12901*/ GIMT_Encode4(839813), // Rule ID 22902 //
     /*  839743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  839746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  839760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839789 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  839792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839811 */     GIR_RootConstrainSelectedInstOperands,
     /*  839812 */     // GIR_Coverage, 22902,
     /*  839812 */     GIR_EraseRootFromParent_Done,
     /*  839813 */   // Label 12901: @839813
     /*  839813 */   GIM_Try, /*On fail goto*//*Label 12902*/ GIMT_Encode4(839888), // Rule ID 22905 //
     /*  839818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  839821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  839835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839864 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  839864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  839867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839886 */     GIR_RootConstrainSelectedInstOperands,
     /*  839887 */     // GIR_Coverage, 22905,
     /*  839887 */     GIR_EraseRootFromParent_Done,
     /*  839888 */   // Label 12902: @839888
     /*  839888 */   GIM_Try, /*On fail goto*//*Label 12903*/ GIMT_Encode4(839963), // Rule ID 22906 //
     /*  839893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  839896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  839910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839939 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  839939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  839942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839961 */     GIR_RootConstrainSelectedInstOperands,
     /*  839962 */     // GIR_Coverage, 22906,
     /*  839962 */     GIR_EraseRootFromParent_Done,
     /*  839963 */   // Label 12903: @839963
     /*  839963 */   GIM_Try, /*On fail goto*//*Label 12904*/ GIMT_Encode4(840038), // Rule ID 22909 //
     /*  839968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  839971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  839976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  839985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840014 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  840014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  840017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840036 */     GIR_RootConstrainSelectedInstOperands,
     /*  840037 */     // GIR_Coverage, 22909,
     /*  840037 */     GIR_EraseRootFromParent_Done,
     /*  840038 */   // Label 12904: @840038
     /*  840038 */   GIM_Try, /*On fail goto*//*Label 12905*/ GIMT_Encode4(840113), // Rule ID 22910 //
     /*  840043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  840046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  840060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840089 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  840089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  840092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840111 */     GIR_RootConstrainSelectedInstOperands,
     /*  840112 */     // GIR_Coverage, 22910,
     /*  840112 */     GIR_EraseRootFromParent_Done,
     /*  840113 */   // Label 12905: @840113
     /*  840113 */   GIM_Try, /*On fail goto*//*Label 12906*/ GIMT_Encode4(840188), // Rule ID 22913 //
     /*  840118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  840121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  840135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840164 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  840164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  840167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840186 */     GIR_RootConstrainSelectedInstOperands,
     /*  840187 */     // GIR_Coverage, 22913,
     /*  840187 */     GIR_EraseRootFromParent_Done,
     /*  840188 */   // Label 12906: @840188
     /*  840188 */   GIM_Try, /*On fail goto*//*Label 12907*/ GIMT_Encode4(840263), // Rule ID 22914 //
     /*  840193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  840196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  840201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  840210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840239 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  840239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  840242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840261 */     GIR_RootConstrainSelectedInstOperands,
     /*  840262 */     // GIR_Coverage, 22914,
     /*  840262 */     GIR_EraseRootFromParent_Done,
     /*  840263 */   // Label 12907: @840263
     /*  840263 */   GIM_Try, /*On fail goto*//*Label 12908*/ GIMT_Encode4(840338), // Rule ID 23195 //
     /*  840268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  840271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  840276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  840279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  840282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  840285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  840288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  840295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  840307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840314 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  840314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  840317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  840323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  840325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  840336 */     GIR_RootConstrainSelectedInstOperands,
     /*  840337 */     // GIR_Coverage, 23195,
     /*  840337 */     GIR_EraseRootFromParent_Done,
     /*  840338 */   // Label 12908: @840338
     /*  840338 */   GIM_Try, /*On fail goto*//*Label 12909*/ GIMT_Encode4(840413), // Rule ID 23196 //
     /*  840343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  840346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  840351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  840354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  840357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  840360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  840363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  840370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  840382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840389 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  840389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  840392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  840398 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  840400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  840411 */     GIR_RootConstrainSelectedInstOperands,
     /*  840412 */     // GIR_Coverage, 23196,
     /*  840412 */     GIR_EraseRootFromParent_Done,
     /*  840413 */   // Label 12909: @840413
     /*  840413 */   GIM_Try, /*On fail goto*//*Label 12910*/ GIMT_Encode4(840488), // Rule ID 23199 //
     /*  840418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  840421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  840426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  840429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  840432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  840435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  840438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  840445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  840457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840464 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  840464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  840467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  840473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  840475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  840486 */     GIR_RootConstrainSelectedInstOperands,
     /*  840487 */     // GIR_Coverage, 23199,
     /*  840487 */     GIR_EraseRootFromParent_Done,
     /*  840488 */   // Label 12910: @840488
     /*  840488 */   GIM_Try, /*On fail goto*//*Label 12911*/ GIMT_Encode4(840563), // Rule ID 23200 //
     /*  840493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  840496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  840501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  840504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  840507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  840510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  840513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  840520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  840532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840539 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  840539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  840542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  840548 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  840550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  840561 */     GIR_RootConstrainSelectedInstOperands,
     /*  840562 */     // GIR_Coverage, 23200,
     /*  840562 */     GIR_EraseRootFromParent_Done,
     /*  840563 */   // Label 12911: @840563
     /*  840563 */   GIM_Try, /*On fail goto*//*Label 12912*/ GIMT_Encode4(840638), // Rule ID 23203 //
     /*  840568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  840571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  840576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  840579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  840582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  840585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  840588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  840595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  840607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840614 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  840614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  840617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  840623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  840625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  840636 */     GIR_RootConstrainSelectedInstOperands,
     /*  840637 */     // GIR_Coverage, 23203,
     /*  840637 */     GIR_EraseRootFromParent_Done,
     /*  840638 */   // Label 12912: @840638
     /*  840638 */   GIM_Try, /*On fail goto*//*Label 12913*/ GIMT_Encode4(840713), // Rule ID 23204 //
     /*  840643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  840646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  840651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  840654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  840657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  840660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  840663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  840670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  840682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840689 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  840689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  840692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  840698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  840700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  840711 */     GIR_RootConstrainSelectedInstOperands,
     /*  840712 */     // GIR_Coverage, 23204,
     /*  840712 */     GIR_EraseRootFromParent_Done,
     /*  840713 */   // Label 12913: @840713
     /*  840713 */   GIM_Try, /*On fail goto*//*Label 12914*/ GIMT_Encode4(840788), // Rule ID 23207 //
     /*  840718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  840721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  840726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  840729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  840732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  840735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  840738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  840745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  840757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840764 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  840764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  840767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  840773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  840775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  840786 */     GIR_RootConstrainSelectedInstOperands,
     /*  840787 */     // GIR_Coverage, 23207,
     /*  840787 */     GIR_EraseRootFromParent_Done,
     /*  840788 */   // Label 12914: @840788
     /*  840788 */   GIM_Try, /*On fail goto*//*Label 12915*/ GIMT_Encode4(840863), // Rule ID 23208 //
     /*  840793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  840796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  840801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  840804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  840807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  840810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  840813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  840820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  840832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840839 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  840839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  840842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  840848 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  840850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  840861 */     GIR_RootConstrainSelectedInstOperands,
     /*  840862 */     // GIR_Coverage, 23208,
     /*  840862 */     GIR_EraseRootFromParent_Done,
     /*  840863 */   // Label 12915: @840863
     /*  840863 */   GIM_Try, /*On fail goto*//*Label 12916*/ GIMT_Encode4(840938), // Rule ID 23211 //
     /*  840868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  840871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  840876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  840879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  840882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  840885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  840888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  840895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  840907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840914 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  840914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  840917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  840923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  840925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  840936 */     GIR_RootConstrainSelectedInstOperands,
     /*  840937 */     // GIR_Coverage, 23211,
     /*  840937 */     GIR_EraseRootFromParent_Done,
     /*  840938 */   // Label 12916: @840938
     /*  840938 */   GIM_Try, /*On fail goto*//*Label 12917*/ GIMT_Encode4(841013), // Rule ID 23212 //
     /*  840943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  840946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  840951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  840954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  840957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  840960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  840963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  840970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  840982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840989 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  840989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  840992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  840998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841011 */     GIR_RootConstrainSelectedInstOperands,
     /*  841012 */     // GIR_Coverage, 23212,
     /*  841012 */     GIR_EraseRootFromParent_Done,
     /*  841013 */   // Label 12917: @841013
     /*  841013 */   GIM_Try, /*On fail goto*//*Label 12918*/ GIMT_Encode4(841088), // Rule ID 23215 //
     /*  841018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  841021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  841029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  841032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  841035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  841038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841064 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  841064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  841067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841086 */     GIR_RootConstrainSelectedInstOperands,
     /*  841087 */     // GIR_Coverage, 23215,
     /*  841087 */     GIR_EraseRootFromParent_Done,
     /*  841088 */   // Label 12918: @841088
     /*  841088 */   GIM_Try, /*On fail goto*//*Label 12919*/ GIMT_Encode4(841163), // Rule ID 23216 //
     /*  841093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  841096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  841101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  841104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  841107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  841110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  841113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841139 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  841139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  841142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841161 */     GIR_RootConstrainSelectedInstOperands,
     /*  841162 */     // GIR_Coverage, 23216,
     /*  841162 */     GIR_EraseRootFromParent_Done,
     /*  841163 */   // Label 12919: @841163
     /*  841163 */   GIM_Try, /*On fail goto*//*Label 12920*/ GIMT_Encode4(841238), // Rule ID 23219 //
     /*  841168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  841171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  841176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  841179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  841182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  841185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  841188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841214 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  841214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  841217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841223 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841236 */     GIR_RootConstrainSelectedInstOperands,
     /*  841237 */     // GIR_Coverage, 23219,
     /*  841237 */     GIR_EraseRootFromParent_Done,
     /*  841238 */   // Label 12920: @841238
     /*  841238 */   GIM_Try, /*On fail goto*//*Label 12921*/ GIMT_Encode4(841313), // Rule ID 23220 //
     /*  841243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  841246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  841251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  841254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  841257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  841260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  841263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841289 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  841289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  841292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841311 */     GIR_RootConstrainSelectedInstOperands,
     /*  841312 */     // GIR_Coverage, 23220,
     /*  841312 */     GIR_EraseRootFromParent_Done,
     /*  841313 */   // Label 12921: @841313
     /*  841313 */   GIM_Try, /*On fail goto*//*Label 12922*/ GIMT_Encode4(841388), // Rule ID 23223 //
     /*  841318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  841321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  841326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  841329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  841332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  841335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  841338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841364 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  841364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  841367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841386 */     GIR_RootConstrainSelectedInstOperands,
     /*  841387 */     // GIR_Coverage, 23223,
     /*  841387 */     GIR_EraseRootFromParent_Done,
     /*  841388 */   // Label 12922: @841388
     /*  841388 */   GIM_Try, /*On fail goto*//*Label 12923*/ GIMT_Encode4(841463), // Rule ID 23224 //
     /*  841393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  841396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  841401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  841404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  841407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  841410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  841413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841439 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  841439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  841442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841448 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841461 */     GIR_RootConstrainSelectedInstOperands,
     /*  841462 */     // GIR_Coverage, 23224,
     /*  841462 */     GIR_EraseRootFromParent_Done,
     /*  841463 */   // Label 12923: @841463
     /*  841463 */   GIM_Try, /*On fail goto*//*Label 12924*/ GIMT_Encode4(841538), // Rule ID 23227 //
     /*  841468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  841471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  841476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  841479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  841482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  841485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  841488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841514 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  841514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  841517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841523 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841536 */     GIR_RootConstrainSelectedInstOperands,
     /*  841537 */     // GIR_Coverage, 23227,
     /*  841537 */     GIR_EraseRootFromParent_Done,
     /*  841538 */   // Label 12924: @841538
     /*  841538 */   GIM_Try, /*On fail goto*//*Label 12925*/ GIMT_Encode4(841613), // Rule ID 23228 //
     /*  841543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  841546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  841551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  841554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  841557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  841560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  841563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841589 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  841589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  841592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841598 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841611 */     GIR_RootConstrainSelectedInstOperands,
     /*  841612 */     // GIR_Coverage, 23228,
     /*  841612 */     GIR_EraseRootFromParent_Done,
     /*  841613 */   // Label 12925: @841613
     /*  841613 */   GIM_Try, /*On fail goto*//*Label 12926*/ GIMT_Encode4(841688), // Rule ID 23231 //
     /*  841618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  841621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  841626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  841629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  841632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  841635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  841638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841664 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  841664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  841667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841686 */     GIR_RootConstrainSelectedInstOperands,
     /*  841687 */     // GIR_Coverage, 23231,
     /*  841687 */     GIR_EraseRootFromParent_Done,
     /*  841688 */   // Label 12926: @841688
     /*  841688 */   GIM_Try, /*On fail goto*//*Label 12927*/ GIMT_Encode4(841763), // Rule ID 23232 //
     /*  841693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  841696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  841701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  841704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  841707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  841710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  841713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841739 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  841739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  841742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841748 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841761 */     GIR_RootConstrainSelectedInstOperands,
     /*  841762 */     // GIR_Coverage, 23232,
     /*  841762 */     GIR_EraseRootFromParent_Done,
     /*  841763 */   // Label 12927: @841763
     /*  841763 */   GIM_Try, /*On fail goto*//*Label 12928*/ GIMT_Encode4(841838), // Rule ID 23235 //
     /*  841768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  841771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  841776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  841779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  841782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  841785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  841788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841814 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  841814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  841817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841823 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841836 */     GIR_RootConstrainSelectedInstOperands,
     /*  841837 */     // GIR_Coverage, 23235,
     /*  841837 */     GIR_EraseRootFromParent_Done,
     /*  841838 */   // Label 12928: @841838
     /*  841838 */   GIM_Try, /*On fail goto*//*Label 12929*/ GIMT_Encode4(841913), // Rule ID 23236 //
     /*  841843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  841846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  841851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  841854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  841857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  841860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  841863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841889 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  841889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  841892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841898 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841911 */     GIR_RootConstrainSelectedInstOperands,
     /*  841912 */     // GIR_Coverage, 23236,
     /*  841912 */     GIR_EraseRootFromParent_Done,
     /*  841913 */   // Label 12929: @841913
     /*  841913 */   GIM_Try, /*On fail goto*//*Label 12930*/ GIMT_Encode4(841988), // Rule ID 23239 //
     /*  841918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  841921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  841926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  841929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  841932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  841935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  841938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  841945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  841957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841964 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  841964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  841967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  841973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  841975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  841986 */     GIR_RootConstrainSelectedInstOperands,
     /*  841987 */     // GIR_Coverage, 23239,
     /*  841987 */     GIR_EraseRootFromParent_Done,
     /*  841988 */   // Label 12930: @841988
     /*  841988 */   GIM_Try, /*On fail goto*//*Label 12931*/ GIMT_Encode4(842063), // Rule ID 23240 //
     /*  841993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  841996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  842004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  842007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  842010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  842013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842039 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  842042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842048 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842061 */     GIR_RootConstrainSelectedInstOperands,
     /*  842062 */     // GIR_Coverage, 23240,
     /*  842062 */     GIR_EraseRootFromParent_Done,
     /*  842063 */   // Label 12931: @842063
     /*  842063 */   GIM_Try, /*On fail goto*//*Label 12932*/ GIMT_Encode4(842138), // Rule ID 23243 //
     /*  842068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  842079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  842082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  842085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  842088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842114 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  842117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842123 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842136 */     GIR_RootConstrainSelectedInstOperands,
     /*  842137 */     // GIR_Coverage, 23243,
     /*  842137 */     GIR_EraseRootFromParent_Done,
     /*  842138 */   // Label 12932: @842138
     /*  842138 */   GIM_Try, /*On fail goto*//*Label 12933*/ GIMT_Encode4(842213), // Rule ID 23244 //
     /*  842143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  842151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  842154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  842157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  842160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  842163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842189 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11355:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  842192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842198 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842211 */     GIR_RootConstrainSelectedInstOperands,
     /*  842212 */     // GIR_Coverage, 23244,
     /*  842212 */     GIR_EraseRootFromParent_Done,
     /*  842213 */   // Label 12933: @842213
     /*  842213 */   GIM_Try, /*On fail goto*//*Label 12934*/ GIMT_Encode4(842288), // Rule ID 23247 //
     /*  842218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  842226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  842229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  842232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  842235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  842238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842264 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  842267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842286 */     GIR_RootConstrainSelectedInstOperands,
     /*  842287 */     // GIR_Coverage, 23247,
     /*  842287 */     GIR_EraseRootFromParent_Done,
     /*  842288 */   // Label 12934: @842288
     /*  842288 */   GIM_Try, /*On fail goto*//*Label 12935*/ GIMT_Encode4(842363), // Rule ID 23248 //
     /*  842293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  842301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  842304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  842307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  842310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  842313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842339 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  842342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842348 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842361 */     GIR_RootConstrainSelectedInstOperands,
     /*  842362 */     // GIR_Coverage, 23248,
     /*  842362 */     GIR_EraseRootFromParent_Done,
     /*  842363 */   // Label 12935: @842363
     /*  842363 */   GIM_Try, /*On fail goto*//*Label 12936*/ GIMT_Encode4(842438), // Rule ID 23251 //
     /*  842368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  842376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  842379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  842382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  842385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  842388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842414 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  842417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842436 */     GIR_RootConstrainSelectedInstOperands,
     /*  842437 */     // GIR_Coverage, 23251,
     /*  842437 */     GIR_EraseRootFromParent_Done,
     /*  842438 */   // Label 12936: @842438
     /*  842438 */   GIM_Try, /*On fail goto*//*Label 12937*/ GIMT_Encode4(842513), // Rule ID 23252 //
     /*  842443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  842451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  842454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  842457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  842460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  842463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842489 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  842492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842498 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842511 */     GIR_RootConstrainSelectedInstOperands,
     /*  842512 */     // GIR_Coverage, 23252,
     /*  842512 */     GIR_EraseRootFromParent_Done,
     /*  842513 */   // Label 12937: @842513
     /*  842513 */   GIM_Try, /*On fail goto*//*Label 12938*/ GIMT_Encode4(842588), // Rule ID 23255 //
     /*  842518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  842526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  842529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  842532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  842535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  842538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842564 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  842567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842586 */     GIR_RootConstrainSelectedInstOperands,
     /*  842587 */     // GIR_Coverage, 23255,
     /*  842587 */     GIR_EraseRootFromParent_Done,
     /*  842588 */   // Label 12938: @842588
     /*  842588 */   GIM_Try, /*On fail goto*//*Label 12939*/ GIMT_Encode4(842663), // Rule ID 23256 //
     /*  842593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  842601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  842604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  842607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  842610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  842613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842639 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  842642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842648 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842661 */     GIR_RootConstrainSelectedInstOperands,
     /*  842662 */     // GIR_Coverage, 23256,
     /*  842662 */     GIR_EraseRootFromParent_Done,
     /*  842663 */   // Label 12939: @842663
     /*  842663 */   GIM_Try, /*On fail goto*//*Label 12940*/ GIMT_Encode4(842738), // Rule ID 23259 //
     /*  842668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  842676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  842679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  842682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  842685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  842688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842714 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  842717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842723 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842736 */     GIR_RootConstrainSelectedInstOperands,
     /*  842737 */     // GIR_Coverage, 23259,
     /*  842737 */     GIR_EraseRootFromParent_Done,
     /*  842738 */   // Label 12940: @842738
     /*  842738 */   GIM_Try, /*On fail goto*//*Label 12941*/ GIMT_Encode4(842813), // Rule ID 23260 //
     /*  842743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  842751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  842754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  842757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  842760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  842763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842789 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  842792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842798 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842811 */     GIR_RootConstrainSelectedInstOperands,
     /*  842812 */     // GIR_Coverage, 23260,
     /*  842812 */     GIR_EraseRootFromParent_Done,
     /*  842813 */   // Label 12941: @842813
     /*  842813 */   GIM_Try, /*On fail goto*//*Label 12942*/ GIMT_Encode4(842888), // Rule ID 23263 //
     /*  842818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  842826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  842829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  842832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  842835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  842838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842864 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  842864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  842867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842886 */     GIR_RootConstrainSelectedInstOperands,
     /*  842887 */     // GIR_Coverage, 23263,
     /*  842887 */     GIR_EraseRootFromParent_Done,
     /*  842888 */   // Label 12942: @842888
     /*  842888 */   GIM_Try, /*On fail goto*//*Label 12943*/ GIMT_Encode4(842963), // Rule ID 23264 //
     /*  842893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  842896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  842901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  842904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  842907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  842910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  842913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  842932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842939 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  842939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  842942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  842948 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  842950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  842961 */     GIR_RootConstrainSelectedInstOperands,
     /*  842962 */     // GIR_Coverage, 23264,
     /*  842962 */     GIR_EraseRootFromParent_Done,
     /*  842963 */   // Label 12943: @842963
     /*  842963 */   GIM_Try, /*On fail goto*//*Label 12944*/ GIMT_Encode4(843038), // Rule ID 23267 //
     /*  842968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  842971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  842976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  842979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  842982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  842985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  842988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  842995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843014 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  843017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843023 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843036 */     GIR_RootConstrainSelectedInstOperands,
     /*  843037 */     // GIR_Coverage, 23267,
     /*  843037 */     GIR_EraseRootFromParent_Done,
     /*  843038 */   // Label 12944: @843038
     /*  843038 */   GIM_Try, /*On fail goto*//*Label 12945*/ GIMT_Encode4(843113), // Rule ID 23268 //
     /*  843043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  843054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  843057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  843060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  843063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843089 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  843092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843111 */     GIR_RootConstrainSelectedInstOperands,
     /*  843112 */     // GIR_Coverage, 23268,
     /*  843112 */     GIR_EraseRootFromParent_Done,
     /*  843113 */   // Label 12945: @843113
     /*  843113 */   GIM_Try, /*On fail goto*//*Label 12946*/ GIMT_Encode4(843188), // Rule ID 23271 //
     /*  843118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  843121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  843129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  843132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  843135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  843138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843164 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  843164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  843167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843186 */     GIR_RootConstrainSelectedInstOperands,
     /*  843187 */     // GIR_Coverage, 23271,
     /*  843187 */     GIR_EraseRootFromParent_Done,
     /*  843188 */   // Label 12946: @843188
     /*  843188 */   GIM_Try, /*On fail goto*//*Label 12947*/ GIMT_Encode4(843263), // Rule ID 23272 //
     /*  843193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  843196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  843201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  843204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  843207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  843210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  843213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  843220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  843232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843239 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11367:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  843239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  843242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  843248 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  843250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  843261 */     GIR_RootConstrainSelectedInstOperands,
     /*  843262 */     // GIR_Coverage, 23272,
     /*  843262 */     GIR_EraseRootFromParent_Done,
     /*  843263 */   // Label 12947: @843263
     /*  843263 */   GIM_Try, /*On fail goto*//*Label 12948*/ GIMT_Encode4(843338), // Rule ID 23813 //
     /*  843268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  843276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  843279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  843282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  843285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843314 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  843314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  843317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843336 */     GIR_RootConstrainSelectedInstOperands,
     /*  843337 */     // GIR_Coverage, 23813,
     /*  843337 */     GIR_EraseRootFromParent_Done,
     /*  843338 */   // Label 12948: @843338
     /*  843338 */   GIM_Try, /*On fail goto*//*Label 12949*/ GIMT_Encode4(843413), // Rule ID 23814 //
     /*  843343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  843346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  843351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  843354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  843357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  843360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843389 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  843389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  843392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843411 */     GIR_RootConstrainSelectedInstOperands,
     /*  843412 */     // GIR_Coverage, 23814,
     /*  843412 */     GIR_EraseRootFromParent_Done,
     /*  843413 */   // Label 12949: @843413
     /*  843413 */   GIM_Try, /*On fail goto*//*Label 12950*/ GIMT_Encode4(843488), // Rule ID 23817 //
     /*  843418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  843426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  843429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  843432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  843435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843464 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  843464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  843467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843486 */     GIR_RootConstrainSelectedInstOperands,
     /*  843487 */     // GIR_Coverage, 23817,
     /*  843487 */     GIR_EraseRootFromParent_Done,
     /*  843488 */   // Label 12950: @843488
     /*  843488 */   GIM_Try, /*On fail goto*//*Label 12951*/ GIMT_Encode4(843563), // Rule ID 23818 //
     /*  843493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  843496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  843501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  843504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  843507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  843510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843539 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  843539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  843542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843561 */     GIR_RootConstrainSelectedInstOperands,
     /*  843562 */     // GIR_Coverage, 23818,
     /*  843562 */     GIR_EraseRootFromParent_Done,
     /*  843563 */   // Label 12951: @843563
     /*  843563 */   GIM_Try, /*On fail goto*//*Label 12952*/ GIMT_Encode4(843638), // Rule ID 23821 //
     /*  843568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  843576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  843579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  843582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  843585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843614 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  843614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  843617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843636 */     GIR_RootConstrainSelectedInstOperands,
     /*  843637 */     // GIR_Coverage, 23821,
     /*  843637 */     GIR_EraseRootFromParent_Done,
     /*  843638 */   // Label 12952: @843638
     /*  843638 */   GIM_Try, /*On fail goto*//*Label 12953*/ GIMT_Encode4(843713), // Rule ID 23822 //
     /*  843643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  843646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  843651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  843654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  843657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  843660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843689 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  843689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  843692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843711 */     GIR_RootConstrainSelectedInstOperands,
     /*  843712 */     // GIR_Coverage, 23822,
     /*  843712 */     GIR_EraseRootFromParent_Done,
     /*  843713 */   // Label 12953: @843713
     /*  843713 */   GIM_Try, /*On fail goto*//*Label 12954*/ GIMT_Encode4(843788), // Rule ID 23825 //
     /*  843718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  843726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  843729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  843732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  843735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843764 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  843764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  843767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843786 */     GIR_RootConstrainSelectedInstOperands,
     /*  843787 */     // GIR_Coverage, 23825,
     /*  843787 */     GIR_EraseRootFromParent_Done,
     /*  843788 */   // Label 12954: @843788
     /*  843788 */   GIM_Try, /*On fail goto*//*Label 12955*/ GIMT_Encode4(843863), // Rule ID 23826 //
     /*  843793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  843796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  843801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  843804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  843807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  843810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843839 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  843839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  843842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843861 */     GIR_RootConstrainSelectedInstOperands,
     /*  843862 */     // GIR_Coverage, 23826,
     /*  843862 */     GIR_EraseRootFromParent_Done,
     /*  843863 */   // Label 12955: @843863
     /*  843863 */   GIM_Try, /*On fail goto*//*Label 12956*/ GIMT_Encode4(843938), // Rule ID 23829 //
     /*  843868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  843876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  843879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  843882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  843885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843914 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  843914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  843917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843936 */     GIR_RootConstrainSelectedInstOperands,
     /*  843937 */     // GIR_Coverage, 23829,
     /*  843937 */     GIR_EraseRootFromParent_Done,
     /*  843938 */   // Label 12956: @843938
     /*  843938 */   GIM_Try, /*On fail goto*//*Label 12957*/ GIMT_Encode4(844013), // Rule ID 23830 //
     /*  843943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  843946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  843951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  843954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  843957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  843960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843989 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  843989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  843992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844011 */     GIR_RootConstrainSelectedInstOperands,
     /*  844012 */     // GIR_Coverage, 23830,
     /*  844012 */     GIR_EraseRootFromParent_Done,
     /*  844013 */   // Label 12957: @844013
     /*  844013 */   GIM_Try, /*On fail goto*//*Label 12958*/ GIMT_Encode4(844088), // Rule ID 23833 //
     /*  844018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  844029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  844032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  844035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844064 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  844064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  844067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844086 */     GIR_RootConstrainSelectedInstOperands,
     /*  844087 */     // GIR_Coverage, 23833,
     /*  844087 */     GIR_EraseRootFromParent_Done,
     /*  844088 */   // Label 12958: @844088
     /*  844088 */   GIM_Try, /*On fail goto*//*Label 12959*/ GIMT_Encode4(844163), // Rule ID 23834 //
     /*  844093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  844104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  844107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  844110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844139 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  844139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  844142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844161 */     GIR_RootConstrainSelectedInstOperands,
     /*  844162 */     // GIR_Coverage, 23834,
     /*  844162 */     GIR_EraseRootFromParent_Done,
     /*  844163 */   // Label 12959: @844163
     /*  844163 */   GIM_Try, /*On fail goto*//*Label 12960*/ GIMT_Encode4(844238), // Rule ID 23837 //
     /*  844168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  844179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  844182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  844185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844214 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  844214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  844217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844236 */     GIR_RootConstrainSelectedInstOperands,
     /*  844237 */     // GIR_Coverage, 23837,
     /*  844237 */     GIR_EraseRootFromParent_Done,
     /*  844238 */   // Label 12960: @844238
     /*  844238 */   GIM_Try, /*On fail goto*//*Label 12961*/ GIMT_Encode4(844313), // Rule ID 23838 //
     /*  844243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  844254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  844257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  844260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844289 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11446:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  844289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  844292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844311 */     GIR_RootConstrainSelectedInstOperands,
     /*  844312 */     // GIR_Coverage, 23838,
     /*  844312 */     GIR_EraseRootFromParent_Done,
     /*  844313 */   // Label 12961: @844313
     /*  844313 */   GIM_Try, /*On fail goto*//*Label 12962*/ GIMT_Encode4(844388), // Rule ID 23841 //
     /*  844318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  844335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844364 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  844364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  844367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844386 */     GIR_RootConstrainSelectedInstOperands,
     /*  844387 */     // GIR_Coverage, 23841,
     /*  844387 */     GIR_EraseRootFromParent_Done,
     /*  844388 */   // Label 12962: @844388
     /*  844388 */   GIM_Try, /*On fail goto*//*Label 12963*/ GIMT_Encode4(844463), // Rule ID 23842 //
     /*  844393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  844410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844439 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11446:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  844439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  844442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844461 */     GIR_RootConstrainSelectedInstOperands,
     /*  844462 */     // GIR_Coverage, 23842,
     /*  844462 */     GIR_EraseRootFromParent_Done,
     /*  844463 */   // Label 12963: @844463
     /*  844463 */   GIM_Try, /*On fail goto*//*Label 12964*/ GIMT_Encode4(844538), // Rule ID 23845 //
     /*  844468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  844479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  844482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  844485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844514 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  844514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  844517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844536 */     GIR_RootConstrainSelectedInstOperands,
     /*  844537 */     // GIR_Coverage, 23845,
     /*  844537 */     GIR_EraseRootFromParent_Done,
     /*  844538 */   // Label 12964: @844538
     /*  844538 */   GIM_Try, /*On fail goto*//*Label 12965*/ GIMT_Encode4(844613), // Rule ID 23846 //
     /*  844543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  844554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  844557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  844560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844589 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11446:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  844589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  844592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844611 */     GIR_RootConstrainSelectedInstOperands,
     /*  844612 */     // GIR_Coverage, 23846,
     /*  844612 */     GIR_EraseRootFromParent_Done,
     /*  844613 */   // Label 12965: @844613
     /*  844613 */   GIM_Try, /*On fail goto*//*Label 12966*/ GIMT_Encode4(844688), // Rule ID 23849 //
     /*  844618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  844621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  844629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  844632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  844635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844664 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  844664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  844667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  844683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844686 */     GIR_RootConstrainSelectedInstOperands,
     /*  844687 */     // GIR_Coverage, 23849,
     /*  844687 */     GIR_EraseRootFromParent_Done,
     /*  844688 */   // Label 12966: @844688
     /*  844688 */   GIM_Try, /*On fail goto*//*Label 12967*/ GIMT_Encode4(844763), // Rule ID 23850 //
     /*  844693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  844696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  844704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  844707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  844710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844739 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11446:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  844739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  844742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  844758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844761 */     GIR_RootConstrainSelectedInstOperands,
     /*  844762 */     // GIR_Coverage, 23850,
     /*  844762 */     GIR_EraseRootFromParent_Done,
     /*  844763 */   // Label 12967: @844763
     /*  844763 */   GIM_Try, /*On fail goto*//*Label 12968*/ GIMT_Encode4(844838), // Rule ID 23853 //
     /*  844768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  844779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  844782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  844785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844814 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  844814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  844817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844836 */     GIR_RootConstrainSelectedInstOperands,
     /*  844837 */     // GIR_Coverage, 23853,
     /*  844837 */     GIR_EraseRootFromParent_Done,
     /*  844838 */   // Label 12968: @844838
     /*  844838 */   GIM_Try, /*On fail goto*//*Label 12969*/ GIMT_Encode4(844913), // Rule ID 23854 //
     /*  844843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  844854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  844857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  844860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844889 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  844889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  844892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844911 */     GIR_RootConstrainSelectedInstOperands,
     /*  844912 */     // GIR_Coverage, 23854,
     /*  844912 */     GIR_EraseRootFromParent_Done,
     /*  844913 */   // Label 12969: @844913
     /*  844913 */   GIM_Try, /*On fail goto*//*Label 12970*/ GIMT_Encode4(844988), // Rule ID 23857 //
     /*  844918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  844926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  844929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  844932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  844935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844964 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  844964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  844967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844986 */     GIR_RootConstrainSelectedInstOperands,
     /*  844987 */     // GIR_Coverage, 23857,
     /*  844987 */     GIR_EraseRootFromParent_Done,
     /*  844988 */   // Label 12970: @844988
     /*  844988 */   GIM_Try, /*On fail goto*//*Label 12971*/ GIMT_Encode4(845063), // Rule ID 23858 //
     /*  844993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  845004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  845007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  845010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845039 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  845039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  845042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845061 */     GIR_RootConstrainSelectedInstOperands,
     /*  845062 */     // GIR_Coverage, 23858,
     /*  845062 */     GIR_EraseRootFromParent_Done,
     /*  845063 */   // Label 12971: @845063
     /*  845063 */   GIM_Try, /*On fail goto*//*Label 12972*/ GIMT_Encode4(845138), // Rule ID 23861 //
     /*  845068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  845079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  845082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  845085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845114 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  845114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  845117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845136 */     GIR_RootConstrainSelectedInstOperands,
     /*  845137 */     // GIR_Coverage, 23861,
     /*  845137 */     GIR_EraseRootFromParent_Done,
     /*  845138 */   // Label 12972: @845138
     /*  845138 */   GIM_Try, /*On fail goto*//*Label 12973*/ GIMT_Encode4(845213), // Rule ID 23862 //
     /*  845143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  845154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  845157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  845160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845189 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  845189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  845192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  845208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845211 */     GIR_RootConstrainSelectedInstOperands,
     /*  845212 */     // GIR_Coverage, 23862,
     /*  845212 */     GIR_EraseRootFromParent_Done,
     /*  845213 */   // Label 12973: @845213
     /*  845213 */   GIM_Try, /*On fail goto*//*Label 12974*/ GIMT_Encode4(845288), // Rule ID 23865 //
     /*  845218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  845229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  845232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  845235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845264 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  845267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845286 */     GIR_RootConstrainSelectedInstOperands,
     /*  845287 */     // GIR_Coverage, 23865,
     /*  845287 */     GIR_EraseRootFromParent_Done,
     /*  845288 */   // Label 12974: @845288
     /*  845288 */   GIM_Try, /*On fail goto*//*Label 12975*/ GIMT_Encode4(845363), // Rule ID 23866 //
     /*  845293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  845304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  845307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  845310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845339 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  845342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845361 */     GIR_RootConstrainSelectedInstOperands,
     /*  845362 */     // GIR_Coverage, 23866,
     /*  845362 */     GIR_EraseRootFromParent_Done,
     /*  845363 */   // Label 12975: @845363
     /*  845363 */   GIM_Try, /*On fail goto*//*Label 12976*/ GIMT_Encode4(845438), // Rule ID 23869 //
     /*  845368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  845379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  845382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  845385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845414 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  845417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845436 */     GIR_RootConstrainSelectedInstOperands,
     /*  845437 */     // GIR_Coverage, 23869,
     /*  845437 */     GIR_EraseRootFromParent_Done,
     /*  845438 */   // Label 12976: @845438
     /*  845438 */   GIM_Try, /*On fail goto*//*Label 12977*/ GIMT_Encode4(845513), // Rule ID 23870 //
     /*  845443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  845454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  845457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  845460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845489 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  845492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845511 */     GIR_RootConstrainSelectedInstOperands,
     /*  845512 */     // GIR_Coverage, 23870,
     /*  845512 */     GIR_EraseRootFromParent_Done,
     /*  845513 */   // Label 12977: @845513
     /*  845513 */   GIM_Try, /*On fail goto*//*Label 12978*/ GIMT_Encode4(845588), // Rule ID 23873 //
     /*  845518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  845529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  845532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  845535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845564 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  845567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845586 */     GIR_RootConstrainSelectedInstOperands,
     /*  845587 */     // GIR_Coverage, 23873,
     /*  845587 */     GIR_EraseRootFromParent_Done,
     /*  845588 */   // Label 12978: @845588
     /*  845588 */   GIM_Try, /*On fail goto*//*Label 12979*/ GIMT_Encode4(845663), // Rule ID 23874 //
     /*  845593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  845604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  845607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  845610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845639 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  845642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845661 */     GIR_RootConstrainSelectedInstOperands,
     /*  845662 */     // GIR_Coverage, 23874,
     /*  845662 */     GIR_EraseRootFromParent_Done,
     /*  845663 */   // Label 12979: @845663
     /*  845663 */   GIM_Try, /*On fail goto*//*Label 12980*/ GIMT_Encode4(845738), // Rule ID 23877 //
     /*  845668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  845679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  845682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  845685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845714 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  845717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845736 */     GIR_RootConstrainSelectedInstOperands,
     /*  845737 */     // GIR_Coverage, 23877,
     /*  845737 */     GIR_EraseRootFromParent_Done,
     /*  845738 */   // Label 12980: @845738
     /*  845738 */   GIM_Try, /*On fail goto*//*Label 12981*/ GIMT_Encode4(845813), // Rule ID 23878 //
     /*  845743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  845754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  845757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  845760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845789 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  845792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845811 */     GIR_RootConstrainSelectedInstOperands,
     /*  845812 */     // GIR_Coverage, 23878,
     /*  845812 */     GIR_EraseRootFromParent_Done,
     /*  845813 */   // Label 12981: @845813
     /*  845813 */   GIM_Try, /*On fail goto*//*Label 12982*/ GIMT_Encode4(845888), // Rule ID 23881 //
     /*  845818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  845829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  845832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  845835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845864 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  845867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845886 */     GIR_RootConstrainSelectedInstOperands,
     /*  845887 */     // GIR_Coverage, 23881,
     /*  845887 */     GIR_EraseRootFromParent_Done,
     /*  845888 */   // Label 12982: @845888
     /*  845888 */   GIM_Try, /*On fail goto*//*Label 12983*/ GIMT_Encode4(845963), // Rule ID 23882 //
     /*  845893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  845904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  845907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  845910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845939 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  845942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845961 */     GIR_RootConstrainSelectedInstOperands,
     /*  845962 */     // GIR_Coverage, 23882,
     /*  845962 */     GIR_EraseRootFromParent_Done,
     /*  845963 */   // Label 12983: @845963
     /*  845963 */   GIM_Try, /*On fail goto*//*Label 12984*/ GIMT_Encode4(846038), // Rule ID 23885 //
     /*  845968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  845976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  845979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  845982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  845985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846014 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  846014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  846017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846036 */     GIR_RootConstrainSelectedInstOperands,
     /*  846037 */     // GIR_Coverage, 23885,
     /*  846037 */     GIR_EraseRootFromParent_Done,
     /*  846038 */   // Label 12984: @846038
     /*  846038 */   GIM_Try, /*On fail goto*//*Label 12985*/ GIMT_Encode4(846113), // Rule ID 23886 //
     /*  846043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  846054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  846057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  846060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846089 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  846089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  846092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846111 */     GIR_RootConstrainSelectedInstOperands,
     /*  846112 */     // GIR_Coverage, 23886,
     /*  846112 */     GIR_EraseRootFromParent_Done,
     /*  846113 */   // Label 12985: @846113
     /*  846113 */   GIM_Try, /*On fail goto*//*Label 12986*/ GIMT_Encode4(846188), // Rule ID 23889 //
     /*  846118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  846121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  846129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  846132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  846135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846164 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  846164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846186 */     GIR_RootConstrainSelectedInstOperands,
     /*  846187 */     // GIR_Coverage, 23889,
     /*  846187 */     GIR_EraseRootFromParent_Done,
     /*  846188 */   // Label 12986: @846188
     /*  846188 */   GIM_Try, /*On fail goto*//*Label 12987*/ GIMT_Encode4(846263), // Rule ID 23890 //
     /*  846193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  846196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  846204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  846207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  846210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846239 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11446:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  846239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  846242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846261 */     GIR_RootConstrainSelectedInstOperands,
     /*  846262 */     // GIR_Coverage, 23890,
     /*  846262 */     GIR_EraseRootFromParent_Done,
     /*  846263 */   // Label 12987: @846263
     /*  846263 */   GIM_Try, /*On fail goto*//*Label 12988*/ GIMT_Encode4(846338), // Rule ID 23893 //
     /*  846268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  846271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  846279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  846282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  846285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846314 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  846314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  846317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846336 */     GIR_RootConstrainSelectedInstOperands,
     /*  846337 */     // GIR_Coverage, 23893,
     /*  846337 */     GIR_EraseRootFromParent_Done,
     /*  846338 */   // Label 12988: @846338
     /*  846338 */   GIM_Try, /*On fail goto*//*Label 12989*/ GIMT_Encode4(846413), // Rule ID 23894 //
     /*  846343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  846346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  846354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  846357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  846360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846389 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11446:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  846389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  846392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846411 */     GIR_RootConstrainSelectedInstOperands,
     /*  846412 */     // GIR_Coverage, 23894,
     /*  846412 */     GIR_EraseRootFromParent_Done,
     /*  846413 */   // Label 12989: @846413
     /*  846413 */   GIM_Try, /*On fail goto*//*Label 12990*/ GIMT_Encode4(846488), // Rule ID 23897 //
     /*  846418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  846421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  846429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  846432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  846435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846464 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  846464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  846467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846486 */     GIR_RootConstrainSelectedInstOperands,
     /*  846487 */     // GIR_Coverage, 23897,
     /*  846487 */     GIR_EraseRootFromParent_Done,
     /*  846488 */   // Label 12990: @846488
     /*  846488 */   GIM_Try, /*On fail goto*//*Label 12991*/ GIMT_Encode4(846563), // Rule ID 23898 //
     /*  846493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  846496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  846501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  846504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  846507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  846510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846539 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11446:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  846539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  846542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846561 */     GIR_RootConstrainSelectedInstOperands,
     /*  846562 */     // GIR_Coverage, 23898,
     /*  846562 */     GIR_EraseRootFromParent_Done,
     /*  846563 */   // Label 12991: @846563
     /*  846563 */   GIM_Try, /*On fail goto*//*Label 12992*/ GIMT_Encode4(846638), // Rule ID 23901 //
     /*  846568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  846576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  846579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  846582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  846585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846614 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  846614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  846617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846636 */     GIR_RootConstrainSelectedInstOperands,
     /*  846637 */     // GIR_Coverage, 23901,
     /*  846637 */     GIR_EraseRootFromParent_Done,
     /*  846638 */   // Label 12992: @846638
     /*  846638 */   GIM_Try, /*On fail goto*//*Label 12993*/ GIMT_Encode4(846713), // Rule ID 23902 //
     /*  846643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  846651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  846654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  846657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  846660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846689 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  846689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  846692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846711 */     GIR_RootConstrainSelectedInstOperands,
     /*  846712 */     // GIR_Coverage, 23902,
     /*  846712 */     GIR_EraseRootFromParent_Done,
     /*  846713 */   // Label 12993: @846713
     /*  846713 */   GIM_Try, /*On fail goto*//*Label 12994*/ GIMT_Encode4(846788), // Rule ID 23905 //
     /*  846718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  846726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  846729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  846732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  846735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846764 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  846764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  846767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846786 */     GIR_RootConstrainSelectedInstOperands,
     /*  846787 */     // GIR_Coverage, 23905,
     /*  846787 */     GIR_EraseRootFromParent_Done,
     /*  846788 */   // Label 12994: @846788
     /*  846788 */   GIM_Try, /*On fail goto*//*Label 12995*/ GIMT_Encode4(846863), // Rule ID 23906 //
     /*  846793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  846801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  846804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  846807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  846810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846839 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  846839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  846842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846861 */     GIR_RootConstrainSelectedInstOperands,
     /*  846862 */     // GIR_Coverage, 23906,
     /*  846862 */     GIR_EraseRootFromParent_Done,
     /*  846863 */   // Label 12995: @846863
     /*  846863 */   GIM_Try, /*On fail goto*//*Label 12996*/ GIMT_Encode4(846938), // Rule ID 23909 //
     /*  846868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  846876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  846879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  846882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  846885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846914 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  846914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  846917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846936 */     GIR_RootConstrainSelectedInstOperands,
     /*  846937 */     // GIR_Coverage, 23909,
     /*  846937 */     GIR_EraseRootFromParent_Done,
     /*  846938 */   // Label 12996: @846938
     /*  846938 */   GIM_Try, /*On fail goto*//*Label 12997*/ GIMT_Encode4(847013), // Rule ID 23910 //
     /*  846943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  846951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  846954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  846957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  846960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  846982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846989 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  846989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  846992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847011 */     GIR_RootConstrainSelectedInstOperands,
     /*  847012 */     // GIR_Coverage, 23910,
     /*  847012 */     GIR_EraseRootFromParent_Done,
     /*  847013 */   // Label 12997: @847013
     /*  847013 */   GIM_Try, /*On fail goto*//*Label 12998*/ GIMT_Encode4(847088), // Rule ID 23913 //
     /*  847018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  847029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  847032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  847035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847064 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  847064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  847067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847086 */     GIR_RootConstrainSelectedInstOperands,
     /*  847087 */     // GIR_Coverage, 23913,
     /*  847087 */     GIR_EraseRootFromParent_Done,
     /*  847088 */   // Label 12998: @847088
     /*  847088 */   GIM_Try, /*On fail goto*//*Label 12999*/ GIMT_Encode4(847163), // Rule ID 23914 //
     /*  847093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  847104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  847107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  847110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847139 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  847139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  847142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847161 */     GIR_RootConstrainSelectedInstOperands,
     /*  847162 */     // GIR_Coverage, 23914,
     /*  847162 */     GIR_EraseRootFromParent_Done,
     /*  847163 */   // Label 12999: @847163
     /*  847163 */   GIM_Try, /*On fail goto*//*Label 13000*/ GIMT_Encode4(847238), // Rule ID 23917 //
     /*  847168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  847179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  847182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  847185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847214 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  847214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  847217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847236 */     GIR_RootConstrainSelectedInstOperands,
     /*  847237 */     // GIR_Coverage, 23917,
     /*  847237 */     GIR_EraseRootFromParent_Done,
     /*  847238 */   // Label 13000: @847238
     /*  847238 */   GIM_Try, /*On fail goto*//*Label 13001*/ GIMT_Encode4(847313), // Rule ID 23918 //
     /*  847243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  847254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  847257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  847260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847289 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  847289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  847292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847311 */     GIR_RootConstrainSelectedInstOperands,
     /*  847312 */     // GIR_Coverage, 23918,
     /*  847312 */     GIR_EraseRootFromParent_Done,
     /*  847313 */   // Label 13001: @847313
     /*  847313 */   GIM_Try, /*On fail goto*//*Label 13002*/ GIMT_Encode4(847388), // Rule ID 23921 //
     /*  847318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  847329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  847332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  847335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847364 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  847364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  847367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847386 */     GIR_RootConstrainSelectedInstOperands,
     /*  847387 */     // GIR_Coverage, 23921,
     /*  847387 */     GIR_EraseRootFromParent_Done,
     /*  847388 */   // Label 13002: @847388
     /*  847388 */   GIM_Try, /*On fail goto*//*Label 13003*/ GIMT_Encode4(847463), // Rule ID 23922 //
     /*  847393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  847404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  847407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  847410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847439 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  847439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  847442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847461 */     GIR_RootConstrainSelectedInstOperands,
     /*  847462 */     // GIR_Coverage, 23922,
     /*  847462 */     GIR_EraseRootFromParent_Done,
     /*  847463 */   // Label 13003: @847463
     /*  847463 */   GIM_Try, /*On fail goto*//*Label 13004*/ GIMT_Encode4(847538), // Rule ID 23925 //
     /*  847468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  847479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  847482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  847485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847514 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  847514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  847517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847536 */     GIR_RootConstrainSelectedInstOperands,
     /*  847537 */     // GIR_Coverage, 23925,
     /*  847537 */     GIR_EraseRootFromParent_Done,
     /*  847538 */   // Label 13004: @847538
     /*  847538 */   GIM_Try, /*On fail goto*//*Label 13005*/ GIMT_Encode4(847613), // Rule ID 23926 //
     /*  847543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  847554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  847557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  847560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847589 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  847589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  847592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847611 */     GIR_RootConstrainSelectedInstOperands,
     /*  847612 */     // GIR_Coverage, 23926,
     /*  847612 */     GIR_EraseRootFromParent_Done,
     /*  847613 */   // Label 13005: @847613
     /*  847613 */   GIM_Try, /*On fail goto*//*Label 13006*/ GIMT_Encode4(847688), // Rule ID 23929 //
     /*  847618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  847629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  847632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  847635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847664 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  847664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  847667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847686 */     GIR_RootConstrainSelectedInstOperands,
     /*  847687 */     // GIR_Coverage, 23929,
     /*  847687 */     GIR_EraseRootFromParent_Done,
     /*  847688 */   // Label 13006: @847688
     /*  847688 */   GIM_Try, /*On fail goto*//*Label 13007*/ GIMT_Encode4(847763), // Rule ID 23930 //
     /*  847693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  847704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  847707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  847710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847739 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  847739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  847742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847761 */     GIR_RootConstrainSelectedInstOperands,
     /*  847762 */     // GIR_Coverage, 23930,
     /*  847762 */     GIR_EraseRootFromParent_Done,
     /*  847763 */   // Label 13007: @847763
     /*  847763 */   GIM_Try, /*On fail goto*//*Label 13008*/ GIMT_Encode4(847838), // Rule ID 23933 //
     /*  847768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  847779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  847782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  847785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847814 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  847814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  847817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847836 */     GIR_RootConstrainSelectedInstOperands,
     /*  847837 */     // GIR_Coverage, 23933,
     /*  847837 */     GIR_EraseRootFromParent_Done,
     /*  847838 */   // Label 13008: @847838
     /*  847838 */   GIM_Try, /*On fail goto*//*Label 13009*/ GIMT_Encode4(847913), // Rule ID 23934 //
     /*  847843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  847854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  847857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  847860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847889 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  847889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  847892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847911 */     GIR_RootConstrainSelectedInstOperands,
     /*  847912 */     // GIR_Coverage, 23934,
     /*  847912 */     GIR_EraseRootFromParent_Done,
     /*  847913 */   // Label 13009: @847913
     /*  847913 */   GIM_Try, /*On fail goto*//*Label 13010*/ GIMT_Encode4(847988), // Rule ID 23937 //
     /*  847918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  847921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  847926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  847929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  847932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  847935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  847957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847964 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  847964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  847967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847986 */     GIR_RootConstrainSelectedInstOperands,
     /*  847987 */     // GIR_Coverage, 23937,
     /*  847987 */     GIR_EraseRootFromParent_Done,
     /*  847988 */   // Label 13010: @847988
     /*  847988 */   GIM_Try, /*On fail goto*//*Label 13011*/ GIMT_Encode4(848063), // Rule ID 23938 //
     /*  847993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  847996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  848004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  848007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  848010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848039 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  848039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  848042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  848058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848061 */     GIR_RootConstrainSelectedInstOperands,
     /*  848062 */     // GIR_Coverage, 23938,
     /*  848062 */     GIR_EraseRootFromParent_Done,
     /*  848063 */   // Label 13011: @848063
     /*  848063 */   GIM_Try, /*On fail goto*//*Label 13012*/ GIMT_Encode4(848138), // Rule ID 23941 //
     /*  848068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  848079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  848082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  848085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848114 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  848114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  848117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848136 */     GIR_RootConstrainSelectedInstOperands,
     /*  848137 */     // GIR_Coverage, 23941,
     /*  848137 */     GIR_EraseRootFromParent_Done,
     /*  848138 */   // Label 13012: @848138
     /*  848138 */   GIM_Try, /*On fail goto*//*Label 13013*/ GIMT_Encode4(848213), // Rule ID 23942 //
     /*  848143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  848154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  848157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  848160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848189 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  848189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  848192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848211 */     GIR_RootConstrainSelectedInstOperands,
     /*  848212 */     // GIR_Coverage, 23942,
     /*  848212 */     GIR_EraseRootFromParent_Done,
     /*  848213 */   // Label 13013: @848213
     /*  848213 */   GIM_Try, /*On fail goto*//*Label 13014*/ GIMT_Encode4(848288), // Rule ID 23945 //
     /*  848218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  848229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  848232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  848235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848264 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  848264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  848267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848286 */     GIR_RootConstrainSelectedInstOperands,
     /*  848287 */     // GIR_Coverage, 23945,
     /*  848287 */     GIR_EraseRootFromParent_Done,
     /*  848288 */   // Label 13014: @848288
     /*  848288 */   GIM_Try, /*On fail goto*//*Label 13015*/ GIMT_Encode4(848363), // Rule ID 23946 //
     /*  848293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  848304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  848307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  848310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848339 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  848339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  848342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848361 */     GIR_RootConstrainSelectedInstOperands,
     /*  848362 */     // GIR_Coverage, 23946,
     /*  848362 */     GIR_EraseRootFromParent_Done,
     /*  848363 */   // Label 13015: @848363
     /*  848363 */   GIM_Try, /*On fail goto*//*Label 13016*/ GIMT_Encode4(848438), // Rule ID 23949 //
     /*  848368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  848379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  848382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  848385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848414 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  848414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  848417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848436 */     GIR_RootConstrainSelectedInstOperands,
     /*  848437 */     // GIR_Coverage, 23949,
     /*  848437 */     GIR_EraseRootFromParent_Done,
     /*  848438 */   // Label 13016: @848438
     /*  848438 */   GIM_Try, /*On fail goto*//*Label 13017*/ GIMT_Encode4(848513), // Rule ID 23950 //
     /*  848443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  848454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  848457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  848460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848489 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  848489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  848492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  848508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848511 */     GIR_RootConstrainSelectedInstOperands,
     /*  848512 */     // GIR_Coverage, 23950,
     /*  848512 */     GIR_EraseRootFromParent_Done,
     /*  848513 */   // Label 13017: @848513
     /*  848513 */   GIM_Try, /*On fail goto*//*Label 13018*/ GIMT_Encode4(848588), // Rule ID 23953 //
     /*  848518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  848529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  848532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  848535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848564 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  848564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  848567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848586 */     GIR_RootConstrainSelectedInstOperands,
     /*  848587 */     // GIR_Coverage, 23953,
     /*  848587 */     GIR_EraseRootFromParent_Done,
     /*  848588 */   // Label 13018: @848588
     /*  848588 */   GIM_Try, /*On fail goto*//*Label 13019*/ GIMT_Encode4(848663), // Rule ID 23954 //
     /*  848593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  848604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  848607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  848610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848639 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  848639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  848642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848661 */     GIR_RootConstrainSelectedInstOperands,
     /*  848662 */     // GIR_Coverage, 23954,
     /*  848662 */     GIR_EraseRootFromParent_Done,
     /*  848663 */   // Label 13019: @848663
     /*  848663 */   GIM_Try, /*On fail goto*//*Label 13020*/ GIMT_Encode4(848738), // Rule ID 23957 //
     /*  848668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  848679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  848682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  848685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848714 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  848714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  848717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848736 */     GIR_RootConstrainSelectedInstOperands,
     /*  848737 */     // GIR_Coverage, 23957,
     /*  848737 */     GIR_EraseRootFromParent_Done,
     /*  848738 */   // Label 13020: @848738
     /*  848738 */   GIM_Try, /*On fail goto*//*Label 13021*/ GIMT_Encode4(848813), // Rule ID 23958 //
     /*  848743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  848754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  848757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  848760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848789 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  848789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  848792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848811 */     GIR_RootConstrainSelectedInstOperands,
     /*  848812 */     // GIR_Coverage, 23958,
     /*  848812 */     GIR_EraseRootFromParent_Done,
     /*  848813 */   // Label 13021: @848813
     /*  848813 */   GIM_Try, /*On fail goto*//*Label 13022*/ GIMT_Encode4(848888), // Rule ID 23961 //
     /*  848818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  848829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  848832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  848835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848864 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  848864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  848867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848886 */     GIR_RootConstrainSelectedInstOperands,
     /*  848887 */     // GIR_Coverage, 23961,
     /*  848887 */     GIR_EraseRootFromParent_Done,
     /*  848888 */   // Label 13022: @848888
     /*  848888 */   GIM_Try, /*On fail goto*//*Label 13023*/ GIMT_Encode4(848963), // Rule ID 23962 //
     /*  848893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  848904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  848907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  848910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  848932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848939 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  848939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  848942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848961 */     GIR_RootConstrainSelectedInstOperands,
     /*  848962 */     // GIR_Coverage, 23962,
     /*  848962 */     GIR_EraseRootFromParent_Done,
     /*  848963 */   // Label 13023: @848963
     /*  848963 */   GIM_Try, /*On fail goto*//*Label 13024*/ GIMT_Encode4(849038), // Rule ID 23965 //
     /*  848968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  848976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  848979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  848982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  848985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  849014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  849017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849036 */     GIR_RootConstrainSelectedInstOperands,
     /*  849037 */     // GIR_Coverage, 23965,
     /*  849037 */     GIR_EraseRootFromParent_Done,
     /*  849038 */   // Label 13024: @849038
     /*  849038 */   GIM_Try, /*On fail goto*//*Label 13025*/ GIMT_Encode4(849113), // Rule ID 23966 //
     /*  849043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  849054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  849057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  849060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849089 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  849089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  849092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849111 */     GIR_RootConstrainSelectedInstOperands,
     /*  849112 */     // GIR_Coverage, 23966,
     /*  849112 */     GIR_EraseRootFromParent_Done,
     /*  849113 */   // Label 13025: @849113
     /*  849113 */   GIM_Try, /*On fail goto*//*Label 13026*/ GIMT_Encode4(849188), // Rule ID 23969 //
     /*  849118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  849129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  849132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  849135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849164 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  849164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  849167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849186 */     GIR_RootConstrainSelectedInstOperands,
     /*  849187 */     // GIR_Coverage, 23969,
     /*  849187 */     GIR_EraseRootFromParent_Done,
     /*  849188 */   // Label 13026: @849188
     /*  849188 */   GIM_Try, /*On fail goto*//*Label 13027*/ GIMT_Encode4(849263), // Rule ID 23970 //
     /*  849193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  849204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  849207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  849210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849239 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  849239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  849242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849261 */     GIR_RootConstrainSelectedInstOperands,
     /*  849262 */     // GIR_Coverage, 23970,
     /*  849262 */     GIR_EraseRootFromParent_Done,
     /*  849263 */   // Label 13027: @849263
     /*  849263 */   GIM_Try, /*On fail goto*//*Label 13028*/ GIMT_Encode4(849338), // Rule ID 23973 //
     /*  849268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  849279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  849282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  849285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849314 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  849314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  849317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849336 */     GIR_RootConstrainSelectedInstOperands,
     /*  849337 */     // GIR_Coverage, 23973,
     /*  849337 */     GIR_EraseRootFromParent_Done,
     /*  849338 */   // Label 13028: @849338
     /*  849338 */   GIM_Try, /*On fail goto*//*Label 13029*/ GIMT_Encode4(849413), // Rule ID 23974 //
     /*  849343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  849354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  849357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  849360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849389 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  849389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  849392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849411 */     GIR_RootConstrainSelectedInstOperands,
     /*  849412 */     // GIR_Coverage, 23974,
     /*  849412 */     GIR_EraseRootFromParent_Done,
     /*  849413 */   // Label 13029: @849413
     /*  849413 */   GIM_Try, /*On fail goto*//*Label 13030*/ GIMT_Encode4(849488), // Rule ID 23977 //
     /*  849418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  849421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  849429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  849432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  849435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849464 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  849464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  849467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849486 */     GIR_RootConstrainSelectedInstOperands,
     /*  849487 */     // GIR_Coverage, 23977,
     /*  849487 */     GIR_EraseRootFromParent_Done,
     /*  849488 */   // Label 13030: @849488
     /*  849488 */   GIM_Try, /*On fail goto*//*Label 13031*/ GIMT_Encode4(849563), // Rule ID 23978 //
     /*  849493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  849496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  849504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  849507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  849510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849539 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  849539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  849542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849561 */     GIR_RootConstrainSelectedInstOperands,
     /*  849562 */     // GIR_Coverage, 23978,
     /*  849562 */     GIR_EraseRootFromParent_Done,
     /*  849563 */   // Label 13031: @849563
     /*  849563 */   GIM_Try, /*On fail goto*//*Label 13032*/ GIMT_Encode4(849638), // Rule ID 23981 //
     /*  849568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  849571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  849579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  849582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  849585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849614 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  849614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  849617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849636 */     GIR_RootConstrainSelectedInstOperands,
     /*  849637 */     // GIR_Coverage, 23981,
     /*  849637 */     GIR_EraseRootFromParent_Done,
     /*  849638 */   // Label 13032: @849638
     /*  849638 */   GIM_Try, /*On fail goto*//*Label 13033*/ GIMT_Encode4(849713), // Rule ID 23982 //
     /*  849643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  849646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  849654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  849657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  849660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849689 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  849689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  849692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849711 */     GIR_RootConstrainSelectedInstOperands,
     /*  849712 */     // GIR_Coverage, 23982,
     /*  849712 */     GIR_EraseRootFromParent_Done,
     /*  849713 */   // Label 13033: @849713
     /*  849713 */   GIM_Try, /*On fail goto*//*Label 13034*/ GIMT_Encode4(849788), // Rule ID 23985 //
     /*  849718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  849721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  849729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  849732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  849735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849764 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  849764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  849767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849786 */     GIR_RootConstrainSelectedInstOperands,
     /*  849787 */     // GIR_Coverage, 23985,
     /*  849787 */     GIR_EraseRootFromParent_Done,
     /*  849788 */   // Label 13034: @849788
     /*  849788 */   GIM_Try, /*On fail goto*//*Label 13035*/ GIMT_Encode4(849863), // Rule ID 23986 //
     /*  849793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  849796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  849801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  849804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  849807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  849810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849839 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  849839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  849842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849861 */     GIR_RootConstrainSelectedInstOperands,
     /*  849862 */     // GIR_Coverage, 23986,
     /*  849862 */     GIR_EraseRootFromParent_Done,
     /*  849863 */   // Label 13035: @849863
     /*  849863 */   GIM_Try, /*On fail goto*//*Label 13036*/ GIMT_Encode4(849938), // Rule ID 24229 //
     /*  849868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  849871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  849876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  849879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  849882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  849885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  849888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  849907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849914 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  849914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  849917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  849933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849936 */     GIR_RootConstrainSelectedInstOperands,
     /*  849937 */     // GIR_Coverage, 24229,
     /*  849937 */     GIR_EraseRootFromParent_Done,
     /*  849938 */   // Label 13036: @849938
     /*  849938 */   GIM_Try, /*On fail goto*//*Label 13037*/ GIMT_Encode4(850013), // Rule ID 24230 //
     /*  849943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  849946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  849951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  849954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  849957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  849960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  849963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  849982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849989 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  849989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  849992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850011 */     GIR_RootConstrainSelectedInstOperands,
     /*  850012 */     // GIR_Coverage, 24230,
     /*  850012 */     GIR_EraseRootFromParent_Done,
     /*  850013 */   // Label 13037: @850013
     /*  850013 */   GIM_Try, /*On fail goto*//*Label 13038*/ GIMT_Encode4(850088), // Rule ID 24233 //
     /*  850018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  850021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  850026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  850029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  850032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  850035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  850038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  850057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850064 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  850067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850086 */     GIR_RootConstrainSelectedInstOperands,
     /*  850087 */     // GIR_Coverage, 24233,
     /*  850087 */     GIR_EraseRootFromParent_Done,
     /*  850088 */   // Label 13038: @850088
     /*  850088 */   GIM_Try, /*On fail goto*//*Label 13039*/ GIMT_Encode4(850163), // Rule ID 24234 //
     /*  850093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  850096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  850101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  850104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  850107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  850110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  850113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  850132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850139 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  850142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850161 */     GIR_RootConstrainSelectedInstOperands,
     /*  850162 */     // GIR_Coverage, 24234,
     /*  850162 */     GIR_EraseRootFromParent_Done,
     /*  850163 */   // Label 13039: @850163
     /*  850163 */   GIM_Try, /*On fail goto*//*Label 13040*/ GIMT_Encode4(850238), // Rule ID 24237 //
     /*  850168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  850171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  850176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  850179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  850182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  850185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  850207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850214 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  850217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850236 */     GIR_RootConstrainSelectedInstOperands,
     /*  850237 */     // GIR_Coverage, 24237,
     /*  850237 */     GIR_EraseRootFromParent_Done,
     /*  850238 */   // Label 13040: @850238
     /*  850238 */   GIM_Try, /*On fail goto*//*Label 13041*/ GIMT_Encode4(850313), // Rule ID 24238 //
     /*  850243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  850246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  850251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  850254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  850257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  850260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  850282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850289 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  850289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  850292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850311 */     GIR_RootConstrainSelectedInstOperands,
     /*  850312 */     // GIR_Coverage, 24238,
     /*  850312 */     GIR_EraseRootFromParent_Done,
     /*  850313 */   // Label 13041: @850313
     /*  850313 */   GIM_Try, /*On fail goto*//*Label 13042*/ GIMT_Encode4(850388), // Rule ID 24241 //
     /*  850318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  850321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  850326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  850329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  850332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  850335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  850338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  850357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850364 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  850367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850386 */     GIR_RootConstrainSelectedInstOperands,
     /*  850387 */     // GIR_Coverage, 24241,
     /*  850387 */     GIR_EraseRootFromParent_Done,
     /*  850388 */   // Label 13042: @850388
     /*  850388 */   GIM_Try, /*On fail goto*//*Label 13043*/ GIMT_Encode4(850463), // Rule ID 24242 //
     /*  850393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  850396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  850401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  850404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  850407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  850410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  850413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  850432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850439 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  850442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850461 */     GIR_RootConstrainSelectedInstOperands,
     /*  850462 */     // GIR_Coverage, 24242,
     /*  850462 */     GIR_EraseRootFromParent_Done,
     /*  850463 */   // Label 13043: @850463
     /*  850463 */   GIM_Try, /*On fail goto*//*Label 13044*/ GIMT_Encode4(850538), // Rule ID 24245 //
     /*  850468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  850471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  850476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  850479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  850482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  850485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  850507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850514 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  850517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850536 */     GIR_RootConstrainSelectedInstOperands,
     /*  850537 */     // GIR_Coverage, 24245,
     /*  850537 */     GIR_EraseRootFromParent_Done,
     /*  850538 */   // Label 13044: @850538
     /*  850538 */   GIM_Try, /*On fail goto*//*Label 13045*/ GIMT_Encode4(850613), // Rule ID 24246 //
     /*  850543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  850546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  850551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  850554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  850557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  850560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  850582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850589 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  850589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  850592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850611 */     GIR_RootConstrainSelectedInstOperands,
     /*  850612 */     // GIR_Coverage, 24246,
     /*  850612 */     GIR_EraseRootFromParent_Done,
     /*  850613 */   // Label 13045: @850613
     /*  850613 */   GIM_Try, /*On fail goto*//*Label 13046*/ GIMT_Encode4(850688), // Rule ID 24249 //
     /*  850618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  850621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  850626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  850629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  850632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  850635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  850657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850664 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  850664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  850667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  850683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850686 */     GIR_RootConstrainSelectedInstOperands,
     /*  850687 */     // GIR_Coverage, 24249,
     /*  850687 */     GIR_EraseRootFromParent_Done,
     /*  850688 */   // Label 13046: @850688
     /*  850688 */   GIM_Try, /*On fail goto*//*Label 13047*/ GIMT_Encode4(850763), // Rule ID 24250 //
     /*  850693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  850696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  850701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  850704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  850707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  850710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  850732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850739 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  850739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  850742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  850758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850761 */     GIR_RootConstrainSelectedInstOperands,
     /*  850762 */     // GIR_Coverage, 24250,
     /*  850762 */     GIR_EraseRootFromParent_Done,
     /*  850763 */   // Label 13047: @850763
     /*  850763 */   GIM_Try, /*On fail goto*//*Label 13048*/ GIMT_Encode4(850838), // Rule ID 24253 //
     /*  850768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  850771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  850776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  850779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  850782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  850785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  850788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  850807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850814 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  850817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850836 */     GIR_RootConstrainSelectedInstOperands,
     /*  850837 */     // GIR_Coverage, 24253,
     /*  850837 */     GIR_EraseRootFromParent_Done,
     /*  850838 */   // Label 13048: @850838
     /*  850838 */   GIM_Try, /*On fail goto*//*Label 13049*/ GIMT_Encode4(850913), // Rule ID 24254 //
     /*  850843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  850846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  850851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  850854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  850857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  850860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  850863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  850882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850889 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  850892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850911 */     GIR_RootConstrainSelectedInstOperands,
     /*  850912 */     // GIR_Coverage, 24254,
     /*  850912 */     GIR_EraseRootFromParent_Done,
     /*  850913 */   // Label 13049: @850913
     /*  850913 */   GIM_Try, /*On fail goto*//*Label 13050*/ GIMT_Encode4(850988), // Rule ID 24257 //
     /*  850918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  850921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  850926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  850929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  850932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  850935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  850938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  850957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850964 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  850967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850986 */     GIR_RootConstrainSelectedInstOperands,
     /*  850987 */     // GIR_Coverage, 24257,
     /*  850987 */     GIR_EraseRootFromParent_Done,
     /*  850988 */   // Label 13050: @850988
     /*  850988 */   GIM_Try, /*On fail goto*//*Label 13051*/ GIMT_Encode4(851063), // Rule ID 24258 //
     /*  850993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  850996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  851004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  851007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  851010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851039 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  851042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851061 */     GIR_RootConstrainSelectedInstOperands,
     /*  851062 */     // GIR_Coverage, 24258,
     /*  851062 */     GIR_EraseRootFromParent_Done,
     /*  851063 */   // Label 13051: @851063
     /*  851063 */   GIM_Try, /*On fail goto*//*Label 13052*/ GIMT_Encode4(851138), // Rule ID 24261 //
     /*  851068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  851071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  851079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  851082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  851085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851114 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  851117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851136 */     GIR_RootConstrainSelectedInstOperands,
     /*  851137 */     // GIR_Coverage, 24261,
     /*  851137 */     GIR_EraseRootFromParent_Done,
     /*  851138 */   // Label 13052: @851138
     /*  851138 */   GIM_Try, /*On fail goto*//*Label 13053*/ GIMT_Encode4(851213), // Rule ID 24262 //
     /*  851143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  851146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  851154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  851157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  851160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  851163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  851182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851189 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  851192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851211 */     GIR_RootConstrainSelectedInstOperands,
     /*  851212 */     // GIR_Coverage, 24262,
     /*  851212 */     GIR_EraseRootFromParent_Done,
     /*  851213 */   // Label 13053: @851213
     /*  851213 */   GIM_Try, /*On fail goto*//*Label 13054*/ GIMT_Encode4(851288), // Rule ID 24265 //
     /*  851218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  851221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  851229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  851232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  851235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851264 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  851267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851286 */     GIR_RootConstrainSelectedInstOperands,
     /*  851287 */     // GIR_Coverage, 24265,
     /*  851287 */     GIR_EraseRootFromParent_Done,
     /*  851288 */   // Label 13054: @851288
     /*  851288 */   GIM_Try, /*On fail goto*//*Label 13055*/ GIMT_Encode4(851363), // Rule ID 24266 //
     /*  851293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  851296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  851304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  851307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  851310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851339 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  851342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851361 */     GIR_RootConstrainSelectedInstOperands,
     /*  851362 */     // GIR_Coverage, 24266,
     /*  851362 */     GIR_EraseRootFromParent_Done,
     /*  851363 */   // Label 13055: @851363
     /*  851363 */   GIM_Try, /*On fail goto*//*Label 13056*/ GIMT_Encode4(851438), // Rule ID 24269 //
     /*  851368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  851371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  851379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  851382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  851385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851414 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  851417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851436 */     GIR_RootConstrainSelectedInstOperands,
     /*  851437 */     // GIR_Coverage, 24269,
     /*  851437 */     GIR_EraseRootFromParent_Done,
     /*  851438 */   // Label 13056: @851438
     /*  851438 */   GIM_Try, /*On fail goto*//*Label 13057*/ GIMT_Encode4(851513), // Rule ID 24270 //
     /*  851443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  851446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  851454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  851457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  851460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851489 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  851492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851511 */     GIR_RootConstrainSelectedInstOperands,
     /*  851512 */     // GIR_Coverage, 24270,
     /*  851512 */     GIR_EraseRootFromParent_Done,
     /*  851513 */   // Label 13057: @851513
     /*  851513 */   GIM_Try, /*On fail goto*//*Label 13058*/ GIMT_Encode4(851588), // Rule ID 24273 //
     /*  851518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  851521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  851529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  851532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  851535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851564 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  851567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851586 */     GIR_RootConstrainSelectedInstOperands,
     /*  851587 */     // GIR_Coverage, 24273,
     /*  851587 */     GIR_EraseRootFromParent_Done,
     /*  851588 */   // Label 13058: @851588
     /*  851588 */   GIM_Try, /*On fail goto*//*Label 13059*/ GIMT_Encode4(851663), // Rule ID 24274 //
     /*  851593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  851596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  851604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  851607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  851610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  851632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851639 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  851642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851661 */     GIR_RootConstrainSelectedInstOperands,
     /*  851662 */     // GIR_Coverage, 24274,
     /*  851662 */     GIR_EraseRootFromParent_Done,
     /*  851663 */   // Label 13059: @851663
     /*  851663 */   GIM_Try, /*On fail goto*//*Label 13060*/ GIMT_Encode4(851738), // Rule ID 24277 //
     /*  851668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  851671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  851679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  851682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  851685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  851707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851714 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  851714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  851717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851736 */     GIR_RootConstrainSelectedInstOperands,
     /*  851737 */     // GIR_Coverage, 24277,
     /*  851737 */     GIR_EraseRootFromParent_Done,
     /*  851738 */   // Label 13060: @851738
     /*  851738 */   GIM_Try, /*On fail goto*//*Label 13061*/ GIMT_Encode4(851813), // Rule ID 24278 //
     /*  851743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  851746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  851754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  851757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  851760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  851782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851789 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  851789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  851792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851811 */     GIR_RootConstrainSelectedInstOperands,
     /*  851812 */     // GIR_Coverage, 24278,
     /*  851812 */     GIR_EraseRootFromParent_Done,
     /*  851813 */   // Label 13061: @851813
     /*  851813 */   GIM_Try, /*On fail goto*//*Label 13062*/ GIMT_Encode4(851888), // Rule ID 24281 //
     /*  851818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  851821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  851829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  851832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  851835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  851857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851864 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  851864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  851867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851886 */     GIR_RootConstrainSelectedInstOperands,
     /*  851887 */     // GIR_Coverage, 24281,
     /*  851887 */     GIR_EraseRootFromParent_Done,
     /*  851888 */   // Label 13062: @851888
     /*  851888 */   GIM_Try, /*On fail goto*//*Label 13063*/ GIMT_Encode4(851963), // Rule ID 24282 //
     /*  851893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  851896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  851904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  851907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  851910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  851932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851939 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  851939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  851942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851961 */     GIR_RootConstrainSelectedInstOperands,
     /*  851962 */     // GIR_Coverage, 24282,
     /*  851962 */     GIR_EraseRootFromParent_Done,
     /*  851963 */   // Label 13063: @851963
     /*  851963 */   GIM_Try, /*On fail goto*//*Label 13064*/ GIMT_Encode4(852038), // Rule ID 24285 //
     /*  851968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  851971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  851976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  851979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  851982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  851985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  852007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852014 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  852014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  852017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852036 */     GIR_RootConstrainSelectedInstOperands,
     /*  852037 */     // GIR_Coverage, 24285,
     /*  852037 */     GIR_EraseRootFromParent_Done,
     /*  852038 */   // Label 13064: @852038
     /*  852038 */   GIM_Try, /*On fail goto*//*Label 13065*/ GIMT_Encode4(852113), // Rule ID 24286 //
     /*  852043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  852046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  852051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  852054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  852057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  852060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  852082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852089 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  852089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  852092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852111 */     GIR_RootConstrainSelectedInstOperands,
     /*  852112 */     // GIR_Coverage, 24286,
     /*  852112 */     GIR_EraseRootFromParent_Done,
     /*  852113 */   // Label 13065: @852113
     /*  852113 */   GIM_Try, /*On fail goto*//*Label 13066*/ GIMT_Encode4(852188), // Rule ID 24289 //
     /*  852118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  852121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  852126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  852129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  852132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  852135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852164 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  852167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852186 */     GIR_RootConstrainSelectedInstOperands,
     /*  852187 */     // GIR_Coverage, 24289,
     /*  852187 */     GIR_EraseRootFromParent_Done,
     /*  852188 */   // Label 13066: @852188
     /*  852188 */   GIM_Try, /*On fail goto*//*Label 13067*/ GIMT_Encode4(852263), // Rule ID 24290 //
     /*  852193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  852201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  852204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  852207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  852210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852239 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  852242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852261 */     GIR_RootConstrainSelectedInstOperands,
     /*  852262 */     // GIR_Coverage, 24290,
     /*  852262 */     GIR_EraseRootFromParent_Done,
     /*  852263 */   // Label 13067: @852263
     /*  852263 */   GIM_Try, /*On fail goto*//*Label 13068*/ GIMT_Encode4(852338), // Rule ID 24293 //
     /*  852268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  852271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  852276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  852279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  852282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  852285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852314 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  852317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852336 */     GIR_RootConstrainSelectedInstOperands,
     /*  852337 */     // GIR_Coverage, 24293,
     /*  852337 */     GIR_EraseRootFromParent_Done,
     /*  852338 */   // Label 13068: @852338
     /*  852338 */   GIM_Try, /*On fail goto*//*Label 13069*/ GIMT_Encode4(852413), // Rule ID 24294 //
     /*  852343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  852351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  852354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  852357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  852360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852389 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  852392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852411 */     GIR_RootConstrainSelectedInstOperands,
     /*  852412 */     // GIR_Coverage, 24294,
     /*  852412 */     GIR_EraseRootFromParent_Done,
     /*  852413 */   // Label 13069: @852413
     /*  852413 */   GIM_Try, /*On fail goto*//*Label 13070*/ GIMT_Encode4(852488), // Rule ID 24297 //
     /*  852418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  852421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  852426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  852429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  852432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  852435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852464 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  852467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852486 */     GIR_RootConstrainSelectedInstOperands,
     /*  852487 */     // GIR_Coverage, 24297,
     /*  852487 */     GIR_EraseRootFromParent_Done,
     /*  852488 */   // Label 13070: @852488
     /*  852488 */   GIM_Try, /*On fail goto*//*Label 13071*/ GIMT_Encode4(852563), // Rule ID 24298 //
     /*  852493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  852496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  852501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  852504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  852507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  852510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852539 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  852542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852561 */     GIR_RootConstrainSelectedInstOperands,
     /*  852562 */     // GIR_Coverage, 24298,
     /*  852562 */     GIR_EraseRootFromParent_Done,
     /*  852563 */   // Label 13071: @852563
     /*  852563 */   GIM_Try, /*On fail goto*//*Label 13072*/ GIMT_Encode4(852638), // Rule ID 24301 //
     /*  852568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  852571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  852576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  852579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  852582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  852585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852614 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  852617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852636 */     GIR_RootConstrainSelectedInstOperands,
     /*  852637 */     // GIR_Coverage, 24301,
     /*  852637 */     GIR_EraseRootFromParent_Done,
     /*  852638 */   // Label 13072: @852638
     /*  852638 */   GIM_Try, /*On fail goto*//*Label 13073*/ GIMT_Encode4(852713), // Rule ID 24302 //
     /*  852643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  852646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  852651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  852654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  852657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  852660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  852663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  852682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852689 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11170:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  852692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852711 */     GIR_RootConstrainSelectedInstOperands,
     /*  852712 */     // GIR_Coverage, 24302,
     /*  852712 */     GIR_EraseRootFromParent_Done,
     /*  852713 */   // Label 13073: @852713
     /*  852713 */   GIM_Try, /*On fail goto*//*Label 13074*/ GIMT_Encode4(852788), // Rule ID 24305 //
     /*  852718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  852721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  852726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  852729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  852732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  852735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852764 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  852767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852786 */     GIR_RootConstrainSelectedInstOperands,
     /*  852787 */     // GIR_Coverage, 24305,
     /*  852787 */     GIR_EraseRootFromParent_Done,
     /*  852788 */   // Label 13074: @852788
     /*  852788 */   GIM_Try, /*On fail goto*//*Label 13075*/ GIMT_Encode4(852863), // Rule ID 24306 //
     /*  852793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  852796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  852801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  852804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  852807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  852810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  852832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852839 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  852842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852861 */     GIR_RootConstrainSelectedInstOperands,
     /*  852862 */     // GIR_Coverage, 24306,
     /*  852862 */     GIR_EraseRootFromParent_Done,
     /*  852863 */   // Label 13075: @852863
     /*  852863 */   GIM_Try, /*On fail goto*//*Label 13076*/ GIMT_Encode4(852938), // Rule ID 24309 //
     /*  852868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  852871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  852876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  852879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  852882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  852885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  852907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852914 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  852914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  852917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852936 */     GIR_RootConstrainSelectedInstOperands,
     /*  852937 */     // GIR_Coverage, 24309,
     /*  852937 */     GIR_EraseRootFromParent_Done,
     /*  852938 */   // Label 13076: @852938
     /*  852938 */   GIM_Try, /*On fail goto*//*Label 13077*/ GIMT_Encode4(853013), // Rule ID 24310 //
     /*  852943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  852946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  852951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  852954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  852957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  852960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  852982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852989 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  852989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  852992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853011 */     GIR_RootConstrainSelectedInstOperands,
     /*  853012 */     // GIR_Coverage, 24310,
     /*  853012 */     GIR_EraseRootFromParent_Done,
     /*  853013 */   // Label 13077: @853013
     /*  853013 */   GIM_Try, /*On fail goto*//*Label 13078*/ GIMT_Encode4(853088), // Rule ID 24313 //
     /*  853018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  853021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  853029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  853032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  853035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853064 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  853067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853086 */     GIR_RootConstrainSelectedInstOperands,
     /*  853087 */     // GIR_Coverage, 24313,
     /*  853087 */     GIR_EraseRootFromParent_Done,
     /*  853088 */   // Label 13078: @853088
     /*  853088 */   GIM_Try, /*On fail goto*//*Label 13079*/ GIMT_Encode4(853163), // Rule ID 24314 //
     /*  853093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  853096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  853104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  853107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  853110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853139 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  853142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853161 */     GIR_RootConstrainSelectedInstOperands,
     /*  853162 */     // GIR_Coverage, 24314,
     /*  853162 */     GIR_EraseRootFromParent_Done,
     /*  853163 */   // Label 13079: @853163
     /*  853163 */   GIM_Try, /*On fail goto*//*Label 13080*/ GIMT_Encode4(853238), // Rule ID 24317 //
     /*  853168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  853171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  853179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  853182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  853185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853214 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  853217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853236 */     GIR_RootConstrainSelectedInstOperands,
     /*  853237 */     // GIR_Coverage, 24317,
     /*  853237 */     GIR_EraseRootFromParent_Done,
     /*  853238 */   // Label 13080: @853238
     /*  853238 */   GIM_Try, /*On fail goto*//*Label 13081*/ GIMT_Encode4(853313), // Rule ID 24318 //
     /*  853243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  853246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  853254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  853257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  853260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853289 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  853292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853311 */     GIR_RootConstrainSelectedInstOperands,
     /*  853312 */     // GIR_Coverage, 24318,
     /*  853312 */     GIR_EraseRootFromParent_Done,
     /*  853313 */   // Label 13081: @853313
     /*  853313 */   GIM_Try, /*On fail goto*//*Label 13082*/ GIMT_Encode4(853388), // Rule ID 24321 //
     /*  853318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  853321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  853329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  853332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  853335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853364 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  853367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853386 */     GIR_RootConstrainSelectedInstOperands,
     /*  853387 */     // GIR_Coverage, 24321,
     /*  853387 */     GIR_EraseRootFromParent_Done,
     /*  853388 */   // Label 13082: @853388
     /*  853388 */   GIM_Try, /*On fail goto*//*Label 13083*/ GIMT_Encode4(853463), // Rule ID 24322 //
     /*  853393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  853396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  853404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  853407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  853410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  853413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  853432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853439 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  853442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853461 */     GIR_RootConstrainSelectedInstOperands,
     /*  853462 */     // GIR_Coverage, 24322,
     /*  853462 */     GIR_EraseRootFromParent_Done,
     /*  853463 */   // Label 13083: @853463
     /*  853463 */   GIM_Try, /*On fail goto*//*Label 13084*/ GIMT_Encode4(853538), // Rule ID 24325 //
     /*  853468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  853471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  853479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  853482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  853485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853514 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  853514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  853517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853536 */     GIR_RootConstrainSelectedInstOperands,
     /*  853537 */     // GIR_Coverage, 24325,
     /*  853537 */     GIR_EraseRootFromParent_Done,
     /*  853538 */   // Label 13084: @853538
     /*  853538 */   GIM_Try, /*On fail goto*//*Label 13085*/ GIMT_Encode4(853613), // Rule ID 24326 //
     /*  853543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  853546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  853554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  853557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  853560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853589 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  853589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  853592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853611 */     GIR_RootConstrainSelectedInstOperands,
     /*  853612 */     // GIR_Coverage, 24326,
     /*  853612 */     GIR_EraseRootFromParent_Done,
     /*  853613 */   // Label 13085: @853613
     /*  853613 */   GIM_Try, /*On fail goto*//*Label 13086*/ GIMT_Encode4(853688), // Rule ID 24329 //
     /*  853618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  853621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  853629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  853632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  853635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853664 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  853664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  853667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853686 */     GIR_RootConstrainSelectedInstOperands,
     /*  853687 */     // GIR_Coverage, 24329,
     /*  853687 */     GIR_EraseRootFromParent_Done,
     /*  853688 */   // Label 13086: @853688
     /*  853688 */   GIM_Try, /*On fail goto*//*Label 13087*/ GIMT_Encode4(853763), // Rule ID 24330 //
     /*  853693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  853696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  853704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  853707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  853710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853739 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  853739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  853742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853761 */     GIR_RootConstrainSelectedInstOperands,
     /*  853762 */     // GIR_Coverage, 24330,
     /*  853762 */     GIR_EraseRootFromParent_Done,
     /*  853763 */   // Label 13087: @853763
     /*  853763 */   GIM_Try, /*On fail goto*//*Label 13088*/ GIMT_Encode4(853838), // Rule ID 24333 //
     /*  853768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  853771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  853779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  853782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  853785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853814 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  853814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  853817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853836 */     GIR_RootConstrainSelectedInstOperands,
     /*  853837 */     // GIR_Coverage, 24333,
     /*  853837 */     GIR_EraseRootFromParent_Done,
     /*  853838 */   // Label 13088: @853838
     /*  853838 */   GIM_Try, /*On fail goto*//*Label 13089*/ GIMT_Encode4(853913), // Rule ID 24334 //
     /*  853843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  853846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  853854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  853857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  853860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  853882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853889 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  853889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  853892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853911 */     GIR_RootConstrainSelectedInstOperands,
     /*  853912 */     // GIR_Coverage, 24334,
     /*  853912 */     GIR_EraseRootFromParent_Done,
     /*  853913 */   // Label 13089: @853913
     /*  853913 */   GIM_Try, /*On fail goto*//*Label 13090*/ GIMT_Encode4(853988), // Rule ID 24337 //
     /*  853918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  853921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  853926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  853929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  853932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  853935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  853957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853964 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  853964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  853967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853986 */     GIR_RootConstrainSelectedInstOperands,
     /*  853987 */     // GIR_Coverage, 24337,
     /*  853987 */     GIR_EraseRootFromParent_Done,
     /*  853988 */   // Label 13090: @853988
     /*  853988 */   GIM_Try, /*On fail goto*//*Label 13091*/ GIMT_Encode4(854063), // Rule ID 24338 //
     /*  853993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  853996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  854004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  854007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  854010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  854032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854039 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  854039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  854042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854061 */     GIR_RootConstrainSelectedInstOperands,
     /*  854062 */     // GIR_Coverage, 24338,
     /*  854062 */     GIR_EraseRootFromParent_Done,
     /*  854063 */   // Label 13091: @854063
     /*  854063 */   GIM_Try, /*On fail goto*//*Label 13092*/ GIMT_Encode4(854138), // Rule ID 24341 //
     /*  854068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  854071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  854079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  854082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  854085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  854107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854114 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  854114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  854117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854136 */     GIR_RootConstrainSelectedInstOperands,
     /*  854137 */     // GIR_Coverage, 24341,
     /*  854137 */     GIR_EraseRootFromParent_Done,
     /*  854138 */   // Label 13092: @854138
     /*  854138 */   GIM_Try, /*On fail goto*//*Label 13093*/ GIMT_Encode4(854213), // Rule ID 24342 //
     /*  854143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  854146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  854154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  854157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  854160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  854182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854189 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  854189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  854192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854211 */     GIR_RootConstrainSelectedInstOperands,
     /*  854212 */     // GIR_Coverage, 24342,
     /*  854212 */     GIR_EraseRootFromParent_Done,
     /*  854213 */   // Label 13093: @854213
     /*  854213 */   GIM_Try, /*On fail goto*//*Label 13094*/ GIMT_Encode4(854288), // Rule ID 24345 //
     /*  854218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  854221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  854229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  854232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  854235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  854257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854264 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  854264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  854267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854286 */     GIR_RootConstrainSelectedInstOperands,
     /*  854287 */     // GIR_Coverage, 24345,
     /*  854287 */     GIR_EraseRootFromParent_Done,
     /*  854288 */   // Label 13094: @854288
     /*  854288 */   GIM_Try, /*On fail goto*//*Label 13095*/ GIMT_Encode4(854363), // Rule ID 24346 //
     /*  854293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  854296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  854301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  854304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  854307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  854310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  854332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854339 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  854339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  854342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854361 */     GIR_RootConstrainSelectedInstOperands,
     /*  854362 */     // GIR_Coverage, 24346,
     /*  854362 */     GIR_EraseRootFromParent_Done,
     /*  854363 */   // Label 13095: @854363
     /*  854363 */   GIM_Try, /*On fail goto*//*Label 13096*/ GIMT_Encode4(854438), // Rule ID 24349 //
     /*  854368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  854376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  854379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  854382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  854385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  854388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854414 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  854414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  854417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854436 */     GIR_RootConstrainSelectedInstOperands,
     /*  854437 */     // GIR_Coverage, 24349,
     /*  854437 */     GIR_EraseRootFromParent_Done,
     /*  854438 */   // Label 13096: @854438
     /*  854438 */   GIM_Try, /*On fail goto*//*Label 13097*/ GIMT_Encode4(854513), // Rule ID 24350 //
     /*  854443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  854451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  854454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  854457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  854460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  854463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854489 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  854489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  854492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854511 */     GIR_RootConstrainSelectedInstOperands,
     /*  854512 */     // GIR_Coverage, 24350,
     /*  854512 */     GIR_EraseRootFromParent_Done,
     /*  854513 */   // Label 13097: @854513
     /*  854513 */   GIM_Try, /*On fail goto*//*Label 13098*/ GIMT_Encode4(854588), // Rule ID 24353 //
     /*  854518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  854526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  854529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  854532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  854535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  854538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854564 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  854564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  854567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854586 */     GIR_RootConstrainSelectedInstOperands,
     /*  854587 */     // GIR_Coverage, 24353,
     /*  854587 */     GIR_EraseRootFromParent_Done,
     /*  854588 */   // Label 13098: @854588
     /*  854588 */   GIM_Try, /*On fail goto*//*Label 13099*/ GIMT_Encode4(854663), // Rule ID 24354 //
     /*  854593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  854601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  854604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  854607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  854610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  854613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854639 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  854639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  854642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854661 */     GIR_RootConstrainSelectedInstOperands,
     /*  854662 */     // GIR_Coverage, 24354,
     /*  854662 */     GIR_EraseRootFromParent_Done,
     /*  854663 */   // Label 13099: @854663
     /*  854663 */   GIM_Try, /*On fail goto*//*Label 13100*/ GIMT_Encode4(854738), // Rule ID 24357 //
     /*  854668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  854676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  854679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  854682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  854685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  854688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854714 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  854714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  854717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854736 */     GIR_RootConstrainSelectedInstOperands,
     /*  854737 */     // GIR_Coverage, 24357,
     /*  854737 */     GIR_EraseRootFromParent_Done,
     /*  854738 */   // Label 13100: @854738
     /*  854738 */   GIM_Try, /*On fail goto*//*Label 13101*/ GIMT_Encode4(854813), // Rule ID 24358 //
     /*  854743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  854751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  854754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  854757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  854760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  854763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854789 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  854789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  854792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854811 */     GIR_RootConstrainSelectedInstOperands,
     /*  854812 */     // GIR_Coverage, 24358,
     /*  854812 */     GIR_EraseRootFromParent_Done,
     /*  854813 */   // Label 13101: @854813
     /*  854813 */   GIM_Try, /*On fail goto*//*Label 13102*/ GIMT_Encode4(854888), // Rule ID 24361 //
     /*  854818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  854826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  854829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  854832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  854835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  854838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854864 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  854867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854886 */     GIR_RootConstrainSelectedInstOperands,
     /*  854887 */     // GIR_Coverage, 24361,
     /*  854887 */     GIR_EraseRootFromParent_Done,
     /*  854888 */   // Label 13102: @854888
     /*  854888 */   GIM_Try, /*On fail goto*//*Label 13103*/ GIMT_Encode4(854963), // Rule ID 24362 //
     /*  854893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  854901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  854904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  854907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  854910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  854913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854939 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  854942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854961 */     GIR_RootConstrainSelectedInstOperands,
     /*  854962 */     // GIR_Coverage, 24362,
     /*  854962 */     GIR_EraseRootFromParent_Done,
     /*  854963 */   // Label 13103: @854963
     /*  854963 */   GIM_Try, /*On fail goto*//*Label 13104*/ GIMT_Encode4(855038), // Rule ID 24365 //
     /*  854968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  854976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  854979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  854982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  854985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  854988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855014 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  855014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  855017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855036 */     GIR_RootConstrainSelectedInstOperands,
     /*  855037 */     // GIR_Coverage, 24365,
     /*  855037 */     GIR_EraseRootFromParent_Done,
     /*  855038 */   // Label 13104: @855038
     /*  855038 */   GIM_Try, /*On fail goto*//*Label 13105*/ GIMT_Encode4(855113), // Rule ID 24366 //
     /*  855043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  855054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  855057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  855060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  855063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855089 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  855089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  855092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855111 */     GIR_RootConstrainSelectedInstOperands,
     /*  855112 */     // GIR_Coverage, 24366,
     /*  855112 */     GIR_EraseRootFromParent_Done,
     /*  855113 */   // Label 13105: @855113
     /*  855113 */   GIM_Try, /*On fail goto*//*Label 13106*/ GIMT_Encode4(855188), // Rule ID 24369 //
     /*  855118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  855129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  855132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  855135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  855138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855164 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  855167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855186 */     GIR_RootConstrainSelectedInstOperands,
     /*  855187 */     // GIR_Coverage, 24369,
     /*  855187 */     GIR_EraseRootFromParent_Done,
     /*  855188 */   // Label 13106: @855188
     /*  855188 */   GIM_Try, /*On fail goto*//*Label 13107*/ GIMT_Encode4(855263), // Rule ID 24370 //
     /*  855193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  855204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  855207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  855210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  855213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855239 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  855242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855261 */     GIR_RootConstrainSelectedInstOperands,
     /*  855262 */     // GIR_Coverage, 24370,
     /*  855262 */     GIR_EraseRootFromParent_Done,
     /*  855263 */   // Label 13107: @855263
     /*  855263 */   GIM_Try, /*On fail goto*//*Label 13108*/ GIMT_Encode4(855338), // Rule ID 24373 //
     /*  855268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  855279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  855282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  855285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  855288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855314 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  855314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  855317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855336 */     GIR_RootConstrainSelectedInstOperands,
     /*  855337 */     // GIR_Coverage, 24373,
     /*  855337 */     GIR_EraseRootFromParent_Done,
     /*  855338 */   // Label 13108: @855338
     /*  855338 */   GIM_Try, /*On fail goto*//*Label 13109*/ GIMT_Encode4(855413), // Rule ID 24374 //
     /*  855343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  855354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  855357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  855360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  855363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855389 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11418:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  855389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  855392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855411 */     GIR_RootConstrainSelectedInstOperands,
     /*  855412 */     // GIR_Coverage, 24374,
     /*  855412 */     GIR_EraseRootFromParent_Done,
     /*  855413 */   // Label 13109: @855413
     /*  855413 */   GIM_Try, /*On fail goto*//*Label 13110*/ GIMT_Encode4(855488), // Rule ID 24377 //
     /*  855418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  855429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  855432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  855435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  855438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  855464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  855467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855486 */     GIR_RootConstrainSelectedInstOperands,
     /*  855487 */     // GIR_Coverage, 24377,
     /*  855487 */     GIR_EraseRootFromParent_Done,
     /*  855488 */   // Label 13110: @855488
     /*  855488 */   GIM_Try, /*On fail goto*//*Label 13111*/ GIMT_Encode4(855563), // Rule ID 24378 //
     /*  855493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  855504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  855507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  855510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  855513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855539 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  855539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  855542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855561 */     GIR_RootConstrainSelectedInstOperands,
     /*  855562 */     // GIR_Coverage, 24378,
     /*  855562 */     GIR_EraseRootFromParent_Done,
     /*  855563 */   // Label 13111: @855563
     /*  855563 */   GIM_Try, /*On fail goto*//*Label 13112*/ GIMT_Encode4(855638), // Rule ID 24381 //
     /*  855568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  855579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  855582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  855585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  855588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855614 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  855617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855636 */     GIR_RootConstrainSelectedInstOperands,
     /*  855637 */     // GIR_Coverage, 24381,
     /*  855637 */     GIR_EraseRootFromParent_Done,
     /*  855638 */   // Label 13112: @855638
     /*  855638 */   GIM_Try, /*On fail goto*//*Label 13113*/ GIMT_Encode4(855713), // Rule ID 24382 //
     /*  855643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  855654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  855657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  855660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  855663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855689 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  855692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855711 */     GIR_RootConstrainSelectedInstOperands,
     /*  855712 */     // GIR_Coverage, 24382,
     /*  855712 */     GIR_EraseRootFromParent_Done,
     /*  855713 */   // Label 13113: @855713
     /*  855713 */   GIM_Try, /*On fail goto*//*Label 13114*/ GIMT_Encode4(855788), // Rule ID 24385 //
     /*  855718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  855721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  855729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  855732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  855735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  855738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855764 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  855767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855786 */     GIR_RootConstrainSelectedInstOperands,
     /*  855787 */     // GIR_Coverage, 24385,
     /*  855787 */     GIR_EraseRootFromParent_Done,
     /*  855788 */   // Label 13114: @855788
     /*  855788 */   GIM_Try, /*On fail goto*//*Label 13115*/ GIMT_Encode4(855863), // Rule ID 24386 //
     /*  855793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  855796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  855804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  855807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  855810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  855813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855839 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  855842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855861 */     GIR_RootConstrainSelectedInstOperands,
     /*  855862 */     // GIR_Coverage, 24386,
     /*  855862 */     GIR_EraseRootFromParent_Done,
     /*  855863 */   // Label 13115: @855863
     /*  855863 */   GIM_Try, /*On fail goto*//*Label 13116*/ GIMT_Encode4(855938), // Rule ID 24389 //
     /*  855868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  855879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  855882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  855885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  855888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855914 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  855914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  855917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855936 */     GIR_RootConstrainSelectedInstOperands,
     /*  855937 */     // GIR_Coverage, 24389,
     /*  855937 */     GIR_EraseRootFromParent_Done,
     /*  855938 */   // Label 13116: @855938
     /*  855938 */   GIM_Try, /*On fail goto*//*Label 13117*/ GIMT_Encode4(856013), // Rule ID 24390 //
     /*  855943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  855951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  855954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  855957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  855960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  855963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855989 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  855989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  855992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856011 */     GIR_RootConstrainSelectedInstOperands,
     /*  856012 */     // GIR_Coverage, 24390,
     /*  856012 */     GIR_EraseRootFromParent_Done,
     /*  856013 */   // Label 13117: @856013
     /*  856013 */   GIM_Try, /*On fail goto*//*Label 13118*/ GIMT_Encode4(856088), // Rule ID 24393 //
     /*  856018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  856029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  856032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  856035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  856038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856064 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  856064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  856067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856086 */     GIR_RootConstrainSelectedInstOperands,
     /*  856087 */     // GIR_Coverage, 24393,
     /*  856087 */     GIR_EraseRootFromParent_Done,
     /*  856088 */   // Label 13118: @856088
     /*  856088 */   GIM_Try, /*On fail goto*//*Label 13119*/ GIMT_Encode4(856163), // Rule ID 24394 //
     /*  856093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  856104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  856107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  856110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  856113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856139 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  856139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  856142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856161 */     GIR_RootConstrainSelectedInstOperands,
     /*  856162 */     // GIR_Coverage, 24394,
     /*  856162 */     GIR_EraseRootFromParent_Done,
     /*  856163 */   // Label 13119: @856163
     /*  856163 */   GIM_Try, /*On fail goto*//*Label 13120*/ GIMT_Encode4(856238), // Rule ID 24397 //
     /*  856168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  856179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  856182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  856185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  856188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856214 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  856214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  856217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856236 */     GIR_RootConstrainSelectedInstOperands,
     /*  856237 */     // GIR_Coverage, 24397,
     /*  856237 */     GIR_EraseRootFromParent_Done,
     /*  856238 */   // Label 13120: @856238
     /*  856238 */   GIM_Try, /*On fail goto*//*Label 13121*/ GIMT_Encode4(856313), // Rule ID 24398 //
     /*  856243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  856254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  856257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  856260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  856263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856289 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  856289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  856292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856311 */     GIR_RootConstrainSelectedInstOperands,
     /*  856312 */     // GIR_Coverage, 24398,
     /*  856312 */     GIR_EraseRootFromParent_Done,
     /*  856313 */   // Label 13121: @856313
     /*  856313 */   GIM_Try, /*On fail goto*//*Label 13122*/ GIMT_Encode4(856388), // Rule ID 24401 //
     /*  856318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  856329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  856332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  856335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  856338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856364 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  856367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856386 */     GIR_RootConstrainSelectedInstOperands,
     /*  856387 */     // GIR_Coverage, 24401,
     /*  856387 */     GIR_EraseRootFromParent_Done,
     /*  856388 */   // Label 13122: @856388
     /*  856388 */   GIM_Try, /*On fail goto*//*Label 13123*/ GIMT_Encode4(856463), // Rule ID 24402 //
     /*  856393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  856404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  856407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  856410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  856413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856439 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  856442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856461 */     GIR_RootConstrainSelectedInstOperands,
     /*  856462 */     // GIR_Coverage, 24402,
     /*  856462 */     GIR_EraseRootFromParent_Done,
     /*  856463 */   // Label 13123: @856463
     /*  856463 */   GIM_Try, /*On fail goto*//*Label 13124*/ GIMT_Encode4(856538), // Rule ID 24405 //
     /*  856468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  856479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  856482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  856485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  856488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856514 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  856517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856536 */     GIR_RootConstrainSelectedInstOperands,
     /*  856537 */     // GIR_Coverage, 24405,
     /*  856537 */     GIR_EraseRootFromParent_Done,
     /*  856538 */   // Label 13124: @856538
     /*  856538 */   GIM_Try, /*On fail goto*//*Label 13125*/ GIMT_Encode4(856613), // Rule ID 24406 //
     /*  856543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  856554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  856557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  856560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  856563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856589 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  856592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856611 */     GIR_RootConstrainSelectedInstOperands,
     /*  856612 */     // GIR_Coverage, 24406,
     /*  856612 */     GIR_EraseRootFromParent_Done,
     /*  856613 */   // Label 13125: @856613
     /*  856613 */   GIM_Try, /*On fail goto*//*Label 13126*/ GIMT_Encode4(856688), // Rule ID 24409 //
     /*  856618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  856629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  856632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  856635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  856638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856664 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  856667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856686 */     GIR_RootConstrainSelectedInstOperands,
     /*  856687 */     // GIR_Coverage, 24409,
     /*  856687 */     GIR_EraseRootFromParent_Done,
     /*  856688 */   // Label 13126: @856688
     /*  856688 */   GIM_Try, /*On fail goto*//*Label 13127*/ GIMT_Encode4(856763), // Rule ID 24410 //
     /*  856693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  856704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  856707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  856710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  856713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856739 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  856742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856761 */     GIR_RootConstrainSelectedInstOperands,
     /*  856762 */     // GIR_Coverage, 24410,
     /*  856762 */     GIR_EraseRootFromParent_Done,
     /*  856763 */   // Label 13127: @856763
     /*  856763 */   GIM_Try, /*On fail goto*//*Label 13128*/ GIMT_Encode4(856838), // Rule ID 24413 //
     /*  856768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  856779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  856782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  856785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  856788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856814 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  856814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  856817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856836 */     GIR_RootConstrainSelectedInstOperands,
     /*  856837 */     // GIR_Coverage, 24413,
     /*  856837 */     GIR_EraseRootFromParent_Done,
     /*  856838 */   // Label 13128: @856838
     /*  856838 */   GIM_Try, /*On fail goto*//*Label 13129*/ GIMT_Encode4(856913), // Rule ID 24414 //
     /*  856843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  856854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  856857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  856860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  856863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  856882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856889 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  856889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  856892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856911 */     GIR_RootConstrainSelectedInstOperands,
     /*  856912 */     // GIR_Coverage, 24414,
     /*  856912 */     GIR_EraseRootFromParent_Done,
     /*  856913 */   // Label 13129: @856913
     /*  856913 */   GIM_Try, /*On fail goto*//*Label 13130*/ GIMT_Encode4(856988), // Rule ID 24417 //
     /*  856918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  856926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  856929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  856932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  856935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  856938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856964 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  856964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  856967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856986 */     GIR_RootConstrainSelectedInstOperands,
     /*  856987 */     // GIR_Coverage, 24417,
     /*  856987 */     GIR_EraseRootFromParent_Done,
     /*  856988 */   // Label 13130: @856988
     /*  856988 */   GIM_Try, /*On fail goto*//*Label 13131*/ GIMT_Encode4(857063), // Rule ID 24418 //
     /*  856993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  857004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  857007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  857010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  857013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857039 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  857039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  857042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857061 */     GIR_RootConstrainSelectedInstOperands,
     /*  857062 */     // GIR_Coverage, 24418,
     /*  857062 */     GIR_EraseRootFromParent_Done,
     /*  857063 */   // Label 13131: @857063
     /*  857063 */   GIM_Try, /*On fail goto*//*Label 13132*/ GIMT_Encode4(857138), // Rule ID 24421 //
     /*  857068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  857079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  857082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  857085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  857088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857114 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  857114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  857117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857136 */     GIR_RootConstrainSelectedInstOperands,
     /*  857137 */     // GIR_Coverage, 24421,
     /*  857137 */     GIR_EraseRootFromParent_Done,
     /*  857138 */   // Label 13132: @857138
     /*  857138 */   GIM_Try, /*On fail goto*//*Label 13133*/ GIMT_Encode4(857213), // Rule ID 24422 //
     /*  857143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  857154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  857157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  857160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  857163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857189 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  857189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  857192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857211 */     GIR_RootConstrainSelectedInstOperands,
     /*  857212 */     // GIR_Coverage, 24422,
     /*  857212 */     GIR_EraseRootFromParent_Done,
     /*  857213 */   // Label 13133: @857213
     /*  857213 */   GIM_Try, /*On fail goto*//*Label 13134*/ GIMT_Encode4(857288), // Rule ID 24425 //
     /*  857218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  857221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  857229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  857232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  857235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  857238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857264 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  857264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  857267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857286 */     GIR_RootConstrainSelectedInstOperands,
     /*  857287 */     // GIR_Coverage, 24425,
     /*  857287 */     GIR_EraseRootFromParent_Done,
     /*  857288 */   // Label 13134: @857288
     /*  857288 */   GIM_Try, /*On fail goto*//*Label 13135*/ GIMT_Encode4(857363), // Rule ID 24426 //
     /*  857293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  857296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  857304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  857307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  857310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  857313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857339 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  857339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  857342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857361 */     GIR_RootConstrainSelectedInstOperands,
     /*  857362 */     // GIR_Coverage, 24426,
     /*  857362 */     GIR_EraseRootFromParent_Done,
     /*  857363 */   // Label 13135: @857363
     /*  857363 */   GIM_Try, /*On fail goto*//*Label 13136*/ GIMT_Encode4(857438), // Rule ID 24429 //
     /*  857368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  857371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  857379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  857382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  857385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  857388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857414 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  857414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  857417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857436 */     GIR_RootConstrainSelectedInstOperands,
     /*  857437 */     // GIR_Coverage, 24429,
     /*  857437 */     GIR_EraseRootFromParent_Done,
     /*  857438 */   // Label 13136: @857438
     /*  857438 */   GIM_Try, /*On fail goto*//*Label 13137*/ GIMT_Encode4(857513), // Rule ID 24430 //
     /*  857443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  857446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  857454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  857457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  857460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  857463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857489 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  857489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  857492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857511 */     GIR_RootConstrainSelectedInstOperands,
     /*  857512 */     // GIR_Coverage, 24430,
     /*  857512 */     GIR_EraseRootFromParent_Done,
     /*  857513 */   // Label 13137: @857513
     /*  857513 */   GIM_Try, /*On fail goto*//*Label 13138*/ GIMT_Encode4(857588), // Rule ID 24433 //
     /*  857518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  857521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  857529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  857532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  857535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  857538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857564 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  857564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  857567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857586 */     GIR_RootConstrainSelectedInstOperands,
     /*  857587 */     // GIR_Coverage, 24433,
     /*  857587 */     GIR_EraseRootFromParent_Done,
     /*  857588 */   // Label 13138: @857588
     /*  857588 */   GIM_Try, /*On fail goto*//*Label 13139*/ GIMT_Encode4(857663), // Rule ID 24434 //
     /*  857593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  857596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  857601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  857604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  857607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  857610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  857613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857639 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  857639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  857642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857661 */     GIR_RootConstrainSelectedInstOperands,
     /*  857662 */     // GIR_Coverage, 24434,
     /*  857662 */     GIR_EraseRootFromParent_Done,
     /*  857663 */   // Label 13139: @857663
     /*  857663 */   GIM_Try, /*On fail goto*//*Label 13140*/ GIMT_Encode4(857738), // Rule ID 24437 //
     /*  857668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  857676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  857679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  857682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  857685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  857688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  857707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857714 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  857714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  857717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857736 */     GIR_RootConstrainSelectedInstOperands,
     /*  857737 */     // GIR_Coverage, 24437,
     /*  857737 */     GIR_EraseRootFromParent_Done,
     /*  857738 */   // Label 13140: @857738
     /*  857738 */   GIM_Try, /*On fail goto*//*Label 13141*/ GIMT_Encode4(857813), // Rule ID 24438 //
     /*  857743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  857751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  857754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  857757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  857760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  857763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  857782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857789 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  857792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857811 */     GIR_RootConstrainSelectedInstOperands,
     /*  857812 */     // GIR_Coverage, 24438,
     /*  857812 */     GIR_EraseRootFromParent_Done,
     /*  857813 */   // Label 13141: @857813
     /*  857813 */   GIM_Try, /*On fail goto*//*Label 13142*/ GIMT_Encode4(857888), // Rule ID 24441 //
     /*  857818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  857826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  857829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  857832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  857835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  857838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  857857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857864 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  857864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  857867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857886 */     GIR_RootConstrainSelectedInstOperands,
     /*  857887 */     // GIR_Coverage, 24441,
     /*  857887 */     GIR_EraseRootFromParent_Done,
     /*  857888 */   // Label 13142: @857888
     /*  857888 */   GIM_Try, /*On fail goto*//*Label 13143*/ GIMT_Encode4(857963), // Rule ID 24442 //
     /*  857893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  857901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  857904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  857907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  857910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  857913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  857932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857939 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  857942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857961 */     GIR_RootConstrainSelectedInstOperands,
     /*  857962 */     // GIR_Coverage, 24442,
     /*  857962 */     GIR_EraseRootFromParent_Done,
     /*  857963 */   // Label 13143: @857963
     /*  857963 */   GIM_Try, /*On fail goto*//*Label 13144*/ GIMT_Encode4(858038), // Rule ID 24445 //
     /*  857968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  857976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  857979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  857982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  857985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  857988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858014 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  858014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  858017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  858033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858036 */     GIR_RootConstrainSelectedInstOperands,
     /*  858037 */     // GIR_Coverage, 24445,
     /*  858037 */     GIR_EraseRootFromParent_Done,
     /*  858038 */   // Label 13144: @858038
     /*  858038 */   GIM_Try, /*On fail goto*//*Label 13145*/ GIMT_Encode4(858113), // Rule ID 24446 //
     /*  858043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  858051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  858054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  858057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  858060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858089 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  858089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  858092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  858108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858111 */     GIR_RootConstrainSelectedInstOperands,
     /*  858112 */     // GIR_Coverage, 24446,
     /*  858112 */     GIR_EraseRootFromParent_Done,
     /*  858113 */   // Label 13145: @858113
     /*  858113 */   GIM_Try, /*On fail goto*//*Label 13146*/ GIMT_Encode4(858188), // Rule ID 24449 //
     /*  858118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  858126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  858129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  858132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  858135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  858138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858164 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  858167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858186 */     GIR_RootConstrainSelectedInstOperands,
     /*  858187 */     // GIR_Coverage, 24449,
     /*  858187 */     GIR_EraseRootFromParent_Done,
     /*  858188 */   // Label 13146: @858188
     /*  858188 */   GIM_Try, /*On fail goto*//*Label 13147*/ GIMT_Encode4(858263), // Rule ID 24450 //
     /*  858193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  858201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  858204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  858207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  858210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858239 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  858242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858261 */     GIR_RootConstrainSelectedInstOperands,
     /*  858262 */     // GIR_Coverage, 24450,
     /*  858262 */     GIR_EraseRootFromParent_Done,
     /*  858263 */   // Label 13147: @858263
     /*  858263 */   GIM_Try, /*On fail goto*//*Label 13148*/ GIMT_Encode4(858338), // Rule ID 24453 //
     /*  858268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  858276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  858279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  858282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  858285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  858288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858314 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  858317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858336 */     GIR_RootConstrainSelectedInstOperands,
     /*  858337 */     // GIR_Coverage, 24453,
     /*  858337 */     GIR_EraseRootFromParent_Done,
     /*  858338 */   // Label 13148: @858338
     /*  858338 */   GIM_Try, /*On fail goto*//*Label 13149*/ GIMT_Encode4(858413), // Rule ID 24454 //
     /*  858343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  858351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  858354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  858357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  858360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858389 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  858392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858411 */     GIR_RootConstrainSelectedInstOperands,
     /*  858412 */     // GIR_Coverage, 24454,
     /*  858412 */     GIR_EraseRootFromParent_Done,
     /*  858413 */   // Label 13149: @858413
     /*  858413 */   GIM_Try, /*On fail goto*//*Label 13150*/ GIMT_Encode4(858488), // Rule ID 24457 //
     /*  858418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  858426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  858429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  858432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  858435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  858438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858464 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  858467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858486 */     GIR_RootConstrainSelectedInstOperands,
     /*  858487 */     // GIR_Coverage, 24457,
     /*  858487 */     GIR_EraseRootFromParent_Done,
     /*  858488 */   // Label 13150: @858488
     /*  858488 */   GIM_Try, /*On fail goto*//*Label 13151*/ GIMT_Encode4(858563), // Rule ID 24458 //
     /*  858493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  858501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  858504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  858507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  858510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858539 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  858542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858561 */     GIR_RootConstrainSelectedInstOperands,
     /*  858562 */     // GIR_Coverage, 24458,
     /*  858562 */     GIR_EraseRootFromParent_Done,
     /*  858563 */   // Label 13151: @858563
     /*  858563 */   GIM_Try, /*On fail goto*//*Label 13152*/ GIMT_Encode4(858638), // Rule ID 24461 //
     /*  858568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  858576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  858579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  858582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  858585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  858588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858614 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  858614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  858617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  858633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858636 */     GIR_RootConstrainSelectedInstOperands,
     /*  858637 */     // GIR_Coverage, 24461,
     /*  858637 */     GIR_EraseRootFromParent_Done,
     /*  858638 */   // Label 13152: @858638
     /*  858638 */   GIM_Try, /*On fail goto*//*Label 13153*/ GIMT_Encode4(858713), // Rule ID 24462 //
     /*  858643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  858651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  858654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  858657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  858660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858689 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11420:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  858689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  858692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  858708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858711 */     GIR_RootConstrainSelectedInstOperands,
     /*  858712 */     // GIR_Coverage, 24462,
     /*  858712 */     GIR_EraseRootFromParent_Done,
     /*  858713 */   // Label 13153: @858713
     /*  858713 */   GIM_Try, /*On fail goto*//*Label 13154*/ GIMT_Encode4(858788), // Rule ID 24465 //
     /*  858718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  858726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  858729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  858732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  858735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  858738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858764 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  858767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858786 */     GIR_RootConstrainSelectedInstOperands,
     /*  858787 */     // GIR_Coverage, 24465,
     /*  858787 */     GIR_EraseRootFromParent_Done,
     /*  858788 */   // Label 13154: @858788
     /*  858788 */   GIM_Try, /*On fail goto*//*Label 13155*/ GIMT_Encode4(858863), // Rule ID 24466 //
     /*  858793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  858801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  858804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  858807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  858810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858839 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  858842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858861 */     GIR_RootConstrainSelectedInstOperands,
     /*  858862 */     // GIR_Coverage, 24466,
     /*  858862 */     GIR_EraseRootFromParent_Done,
     /*  858863 */   // Label 13155: @858863
     /*  858863 */   GIM_Try, /*On fail goto*//*Label 13156*/ GIMT_Encode4(858938), // Rule ID 24469 //
     /*  858868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  858876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  858879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  858882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  858885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  858888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858914 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  858917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858936 */     GIR_RootConstrainSelectedInstOperands,
     /*  858937 */     // GIR_Coverage, 24469,
     /*  858937 */     GIR_EraseRootFromParent_Done,
     /*  858938 */   // Label 13156: @858938
     /*  858938 */   GIM_Try, /*On fail goto*//*Label 13157*/ GIMT_Encode4(859013), // Rule ID 24470 //
     /*  858943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  858951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  858954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  858957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  858960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858989 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  858992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859011 */     GIR_RootConstrainSelectedInstOperands,
     /*  859012 */     // GIR_Coverage, 24470,
     /*  859012 */     GIR_EraseRootFromParent_Done,
     /*  859013 */   // Label 13157: @859013
     /*  859013 */   GIM_Try, /*On fail goto*//*Label 13158*/ GIMT_Encode4(859088), // Rule ID 24473 //
     /*  859018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  859021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  859029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  859032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  859035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  859064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  859067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859086 */     GIR_RootConstrainSelectedInstOperands,
     /*  859087 */     // GIR_Coverage, 24473,
     /*  859087 */     GIR_EraseRootFromParent_Done,
     /*  859088 */   // Label 13158: @859088
     /*  859088 */   GIM_Try, /*On fail goto*//*Label 13159*/ GIMT_Encode4(859163), // Rule ID 24474 //
     /*  859093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  859096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  859104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  859107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  859110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859139 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  859139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  859142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859161 */     GIR_RootConstrainSelectedInstOperands,
     /*  859162 */     // GIR_Coverage, 24474,
     /*  859162 */     GIR_EraseRootFromParent_Done,
     /*  859163 */   // Label 13159: @859163
     /*  859163 */   GIM_Try, /*On fail goto*//*Label 13160*/ GIMT_Encode4(859238), // Rule ID 24477 //
     /*  859168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  859179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  859182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  859185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859214 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  859214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  859217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859236 */     GIR_RootConstrainSelectedInstOperands,
     /*  859237 */     // GIR_Coverage, 24477,
     /*  859237 */     GIR_EraseRootFromParent_Done,
     /*  859238 */   // Label 13160: @859238
     /*  859238 */   GIM_Try, /*On fail goto*//*Label 13161*/ GIMT_Encode4(859313), // Rule ID 24478 //
     /*  859243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  859254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  859257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  859260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859289 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  859289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  859292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859311 */     GIR_RootConstrainSelectedInstOperands,
     /*  859312 */     // GIR_Coverage, 24478,
     /*  859312 */     GIR_EraseRootFromParent_Done,
     /*  859313 */   // Label 13161: @859313
     /*  859313 */   GIM_Try, /*On fail goto*//*Label 13162*/ GIMT_Encode4(859388), // Rule ID 24481 //
     /*  859318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  859329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  859332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  859335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859364 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  859364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  859367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859386 */     GIR_RootConstrainSelectedInstOperands,
     /*  859387 */     // GIR_Coverage, 24481,
     /*  859387 */     GIR_EraseRootFromParent_Done,
     /*  859388 */   // Label 13162: @859388
     /*  859388 */   GIM_Try, /*On fail goto*//*Label 13163*/ GIMT_Encode4(859463), // Rule ID 24482 //
     /*  859393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  859404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  859407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  859410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859439 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  859439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  859442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859461 */     GIR_RootConstrainSelectedInstOperands,
     /*  859462 */     // GIR_Coverage, 24482,
     /*  859462 */     GIR_EraseRootFromParent_Done,
     /*  859463 */   // Label 13163: @859463
     /*  859463 */   GIM_Try, /*On fail goto*//*Label 13164*/ GIMT_Encode4(859538), // Rule ID 24485 //
     /*  859468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  859479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  859482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  859485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859514 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  859514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  859517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859536 */     GIR_RootConstrainSelectedInstOperands,
     /*  859537 */     // GIR_Coverage, 24485,
     /*  859537 */     GIR_EraseRootFromParent_Done,
     /*  859538 */   // Label 13164: @859538
     /*  859538 */   GIM_Try, /*On fail goto*//*Label 13165*/ GIMT_Encode4(859613), // Rule ID 24486 //
     /*  859543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  859554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  859557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  859560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859589 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  859589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  859592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859611 */     GIR_RootConstrainSelectedInstOperands,
     /*  859612 */     // GIR_Coverage, 24486,
     /*  859612 */     GIR_EraseRootFromParent_Done,
     /*  859613 */   // Label 13165: @859613
     /*  859613 */   GIM_Try, /*On fail goto*//*Label 13166*/ GIMT_Encode4(859688), // Rule ID 24489 //
     /*  859618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  859629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  859632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  859635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859664 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  859667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859686 */     GIR_RootConstrainSelectedInstOperands,
     /*  859687 */     // GIR_Coverage, 24489,
     /*  859687 */     GIR_EraseRootFromParent_Done,
     /*  859688 */   // Label 13166: @859688
     /*  859688 */   GIM_Try, /*On fail goto*//*Label 13167*/ GIMT_Encode4(859763), // Rule ID 24490 //
     /*  859693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  859704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  859707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  859710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859739 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  859739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  859742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859761 */     GIR_RootConstrainSelectedInstOperands,
     /*  859762 */     // GIR_Coverage, 24490,
     /*  859762 */     GIR_EraseRootFromParent_Done,
     /*  859763 */   // Label 13167: @859763
     /*  859763 */   GIM_Try, /*On fail goto*//*Label 13168*/ GIMT_Encode4(859838), // Rule ID 24493 //
     /*  859768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  859779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  859782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  859785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859814 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  859817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859836 */     GIR_RootConstrainSelectedInstOperands,
     /*  859837 */     // GIR_Coverage, 24493,
     /*  859837 */     GIR_EraseRootFromParent_Done,
     /*  859838 */   // Label 13168: @859838
     /*  859838 */   GIM_Try, /*On fail goto*//*Label 13169*/ GIMT_Encode4(859913), // Rule ID 24494 //
     /*  859843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  859854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  859857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  859860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859889 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  859889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  859892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859911 */     GIR_RootConstrainSelectedInstOperands,
     /*  859912 */     // GIR_Coverage, 24494,
     /*  859912 */     GIR_EraseRootFromParent_Done,
     /*  859913 */   // Label 13169: @859913
     /*  859913 */   GIM_Try, /*On fail goto*//*Label 13170*/ GIMT_Encode4(859988), // Rule ID 24497 //
     /*  859918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  859921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  859926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  859929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  859932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  859935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859964 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  859967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859986 */     GIR_RootConstrainSelectedInstOperands,
     /*  859987 */     // GIR_Coverage, 24497,
     /*  859987 */     GIR_EraseRootFromParent_Done,
     /*  859988 */   // Label 13170: @859988
     /*  859988 */   GIM_Try, /*On fail goto*//*Label 13171*/ GIMT_Encode4(860063), // Rule ID 24498 //
     /*  859993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  859996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  860004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  860007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  860010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860039 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  860039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  860042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860061 */     GIR_RootConstrainSelectedInstOperands,
     /*  860062 */     // GIR_Coverage, 24498,
     /*  860062 */     GIR_EraseRootFromParent_Done,
     /*  860063 */   // Label 13171: @860063
     /*  860063 */   GIM_Try, /*On fail goto*//*Label 13172*/ GIMT_Encode4(860138), // Rule ID 24501 //
     /*  860068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  860079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  860082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  860085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860114 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  860114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  860117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860136 */     GIR_RootConstrainSelectedInstOperands,
     /*  860137 */     // GIR_Coverage, 24501,
     /*  860137 */     GIR_EraseRootFromParent_Done,
     /*  860138 */   // Label 13172: @860138
     /*  860138 */   GIM_Try, /*On fail goto*//*Label 13173*/ GIMT_Encode4(860213), // Rule ID 24502 //
     /*  860143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  860154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  860157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  860160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860189 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  860189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  860192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860211 */     GIR_RootConstrainSelectedInstOperands,
     /*  860212 */     // GIR_Coverage, 24502,
     /*  860212 */     GIR_EraseRootFromParent_Done,
     /*  860213 */   // Label 13173: @860213
     /*  860213 */   GIM_Try, /*On fail goto*//*Label 13174*/ GIMT_Encode4(860288), // Rule ID 24505 //
     /*  860218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  860229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  860232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  860235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860264 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  860264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  860267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860286 */     GIR_RootConstrainSelectedInstOperands,
     /*  860287 */     // GIR_Coverage, 24505,
     /*  860287 */     GIR_EraseRootFromParent_Done,
     /*  860288 */   // Label 13174: @860288
     /*  860288 */   GIM_Try, /*On fail goto*//*Label 13175*/ GIMT_Encode4(860363), // Rule ID 24506 //
     /*  860293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  860304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  860307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  860310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860339 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  860339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  860342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860361 */     GIR_RootConstrainSelectedInstOperands,
     /*  860362 */     // GIR_Coverage, 24506,
     /*  860362 */     GIR_EraseRootFromParent_Done,
     /*  860363 */   // Label 13175: @860363
     /*  860363 */   GIM_Try, /*On fail goto*//*Label 13176*/ GIMT_Encode4(860438), // Rule ID 24509 //
     /*  860368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  860379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  860382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  860385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860414 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  860414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  860417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860436 */     GIR_RootConstrainSelectedInstOperands,
     /*  860437 */     // GIR_Coverage, 24509,
     /*  860437 */     GIR_EraseRootFromParent_Done,
     /*  860438 */   // Label 13176: @860438
     /*  860438 */   GIM_Try, /*On fail goto*//*Label 13177*/ GIMT_Encode4(860513), // Rule ID 24510 //
     /*  860443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  860454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  860457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  860460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860489 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  860489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  860492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860511 */     GIR_RootConstrainSelectedInstOperands,
     /*  860512 */     // GIR_Coverage, 24510,
     /*  860512 */     GIR_EraseRootFromParent_Done,
     /*  860513 */   // Label 13177: @860513
     /*  860513 */   GIM_Try, /*On fail goto*//*Label 13178*/ GIMT_Encode4(860588), // Rule ID 24513 //
     /*  860518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  860521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  860529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  860532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  860535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860564 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  860564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  860567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860586 */     GIR_RootConstrainSelectedInstOperands,
     /*  860587 */     // GIR_Coverage, 24513,
     /*  860587 */     GIR_EraseRootFromParent_Done,
     /*  860588 */   // Label 13178: @860588
     /*  860588 */   GIM_Try, /*On fail goto*//*Label 13179*/ GIMT_Encode4(860663), // Rule ID 24514 //
     /*  860593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  860596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  860604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  860607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  860610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860639 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  860639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  860642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860661 */     GIR_RootConstrainSelectedInstOperands,
     /*  860662 */     // GIR_Coverage, 24514,
     /*  860662 */     GIR_EraseRootFromParent_Done,
     /*  860663 */   // Label 13179: @860663
     /*  860663 */   GIM_Try, /*On fail goto*//*Label 13180*/ GIMT_Encode4(860738), // Rule ID 24517 //
     /*  860668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  860671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  860679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  860682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  860685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860714 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  860714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  860717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860736 */     GIR_RootConstrainSelectedInstOperands,
     /*  860737 */     // GIR_Coverage, 24517,
     /*  860737 */     GIR_EraseRootFromParent_Done,
     /*  860738 */   // Label 13180: @860738
     /*  860738 */   GIM_Try, /*On fail goto*//*Label 13181*/ GIMT_Encode4(860813), // Rule ID 24518 //
     /*  860743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  860746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  860754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  860757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  860760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860789 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  860789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  860792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860811 */     GIR_RootConstrainSelectedInstOperands,
     /*  860812 */     // GIR_Coverage, 24518,
     /*  860812 */     GIR_EraseRootFromParent_Done,
     /*  860813 */   // Label 13181: @860813
     /*  860813 */   GIM_Try, /*On fail goto*//*Label 13182*/ GIMT_Encode4(860888), // Rule ID 24521 //
     /*  860818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  860821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  860829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  860832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  860835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860864 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  860864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  860867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860886 */     GIR_RootConstrainSelectedInstOperands,
     /*  860887 */     // GIR_Coverage, 24521,
     /*  860887 */     GIR_EraseRootFromParent_Done,
     /*  860888 */   // Label 13182: @860888
     /*  860888 */   GIM_Try, /*On fail goto*//*Label 13183*/ GIMT_Encode4(860963), // Rule ID 24522 //
     /*  860893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  860896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  860904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  860907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  860910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860939 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  860939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  860942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860961 */     GIR_RootConstrainSelectedInstOperands,
     /*  860962 */     // GIR_Coverage, 24522,
     /*  860962 */     GIR_EraseRootFromParent_Done,
     /*  860963 */   // Label 13183: @860963
     /*  860963 */   GIM_Try, /*On fail goto*//*Label 13184*/ GIMT_Encode4(861038), // Rule ID 24613 //
     /*  860968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  860976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  860979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  860982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  860985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  860988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861014 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  861014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  861017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861036 */     GIR_RootConstrainSelectedInstOperands,
     /*  861037 */     // GIR_Coverage, 24613,
     /*  861037 */     GIR_EraseRootFromParent_Done,
     /*  861038 */   // Label 13184: @861038
     /*  861038 */   GIM_Try, /*On fail goto*//*Label 13185*/ GIMT_Encode4(861113), // Rule ID 24614 //
     /*  861043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  861051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  861054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  861057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  861060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  861063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861089 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  861089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  861092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861111 */     GIR_RootConstrainSelectedInstOperands,
     /*  861112 */     // GIR_Coverage, 24614,
     /*  861112 */     GIR_EraseRootFromParent_Done,
     /*  861113 */   // Label 13185: @861113
     /*  861113 */   GIM_Try, /*On fail goto*//*Label 13186*/ GIMT_Encode4(861188), // Rule ID 24617 //
     /*  861118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  861126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  861129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  861132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  861135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  861138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861164 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  861164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  861167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861186 */     GIR_RootConstrainSelectedInstOperands,
     /*  861187 */     // GIR_Coverage, 24617,
     /*  861187 */     GIR_EraseRootFromParent_Done,
     /*  861188 */   // Label 13186: @861188
     /*  861188 */   GIM_Try, /*On fail goto*//*Label 13187*/ GIMT_Encode4(861263), // Rule ID 24618 //
     /*  861193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  861201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  861204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  861207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  861210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  861213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861239 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  861239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  861242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861261 */     GIR_RootConstrainSelectedInstOperands,
     /*  861262 */     // GIR_Coverage, 24618,
     /*  861262 */     GIR_EraseRootFromParent_Done,
     /*  861263 */   // Label 13187: @861263
     /*  861263 */   GIM_Try, /*On fail goto*//*Label 13188*/ GIMT_Encode4(861338), // Rule ID 24621 //
     /*  861268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  861276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  861279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  861282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  861285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  861288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861314 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  861314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  861317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861336 */     GIR_RootConstrainSelectedInstOperands,
     /*  861337 */     // GIR_Coverage, 24621,
     /*  861337 */     GIR_EraseRootFromParent_Done,
     /*  861338 */   // Label 13188: @861338
     /*  861338 */   GIM_Try, /*On fail goto*//*Label 13189*/ GIMT_Encode4(861413), // Rule ID 24622 //
     /*  861343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  861351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  861354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  861357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  861360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  861363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861389 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  861389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  861392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861411 */     GIR_RootConstrainSelectedInstOperands,
     /*  861412 */     // GIR_Coverage, 24622,
     /*  861412 */     GIR_EraseRootFromParent_Done,
     /*  861413 */   // Label 13189: @861413
     /*  861413 */   GIM_Try, /*On fail goto*//*Label 13190*/ GIMT_Encode4(861488), // Rule ID 24625 //
     /*  861418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  861426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  861429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  861432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  861435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  861438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861464 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  861467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861486 */     GIR_RootConstrainSelectedInstOperands,
     /*  861487 */     // GIR_Coverage, 24625,
     /*  861487 */     GIR_EraseRootFromParent_Done,
     /*  861488 */   // Label 13190: @861488
     /*  861488 */   GIM_Try, /*On fail goto*//*Label 13191*/ GIMT_Encode4(861563), // Rule ID 24626 //
     /*  861493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  861501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  861504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  861507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  861510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  861513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861539 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  861539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  861542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861561 */     GIR_RootConstrainSelectedInstOperands,
     /*  861562 */     // GIR_Coverage, 24626,
     /*  861562 */     GIR_EraseRootFromParent_Done,
     /*  861563 */   // Label 13191: @861563
     /*  861563 */   GIM_Try, /*On fail goto*//*Label 13192*/ GIMT_Encode4(861638), // Rule ID 24629 //
     /*  861568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  861576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  861579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  861582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  861585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  861588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861614 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  861617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861636 */     GIR_RootConstrainSelectedInstOperands,
     /*  861637 */     // GIR_Coverage, 24629,
     /*  861637 */     GIR_EraseRootFromParent_Done,
     /*  861638 */   // Label 13192: @861638
     /*  861638 */   GIM_Try, /*On fail goto*//*Label 13193*/ GIMT_Encode4(861713), // Rule ID 24630 //
     /*  861643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  861651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  861654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  861657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  861660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  861663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861689 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  861689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  861692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861711 */     GIR_RootConstrainSelectedInstOperands,
     /*  861712 */     // GIR_Coverage, 24630,
     /*  861712 */     GIR_EraseRootFromParent_Done,
     /*  861713 */   // Label 13193: @861713
     /*  861713 */   GIM_Try, /*On fail goto*//*Label 13194*/ GIMT_Encode4(861788), // Rule ID 24633 //
     /*  861718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  861726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  861729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  861732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  861735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  861738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861764 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  861764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  861767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861786 */     GIR_RootConstrainSelectedInstOperands,
     /*  861787 */     // GIR_Coverage, 24633,
     /*  861787 */     GIR_EraseRootFromParent_Done,
     /*  861788 */   // Label 13194: @861788
     /*  861788 */   GIM_Try, /*On fail goto*//*Label 13195*/ GIMT_Encode4(861863), // Rule ID 24634 //
     /*  861793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  861801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  861804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  861807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  861810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  861813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861839 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  861842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861861 */     GIR_RootConstrainSelectedInstOperands,
     /*  861862 */     // GIR_Coverage, 24634,
     /*  861862 */     GIR_EraseRootFromParent_Done,
     /*  861863 */   // Label 13195: @861863
     /*  861863 */   GIM_Try, /*On fail goto*//*Label 13196*/ GIMT_Encode4(861938), // Rule ID 24637 //
     /*  861868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  861876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  861879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  861882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  861885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  861888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861914 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  861914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  861917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861936 */     GIR_RootConstrainSelectedInstOperands,
     /*  861937 */     // GIR_Coverage, 24637,
     /*  861937 */     GIR_EraseRootFromParent_Done,
     /*  861938 */   // Label 13196: @861938
     /*  861938 */   GIM_Try, /*On fail goto*//*Label 13197*/ GIMT_Encode4(862013), // Rule ID 24638 //
     /*  861943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  861951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  861954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  861957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  861960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  861963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861989 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  861989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  861992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862011 */     GIR_RootConstrainSelectedInstOperands,
     /*  862012 */     // GIR_Coverage, 24638,
     /*  862012 */     GIR_EraseRootFromParent_Done,
     /*  862013 */   // Label 13197: @862013
     /*  862013 */   GIM_Try, /*On fail goto*//*Label 13198*/ GIMT_Encode4(862088), // Rule ID 24641 //
     /*  862018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  862029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  862032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  862035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  862038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862064 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  862067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862086 */     GIR_RootConstrainSelectedInstOperands,
     /*  862087 */     // GIR_Coverage, 24641,
     /*  862087 */     GIR_EraseRootFromParent_Done,
     /*  862088 */   // Label 13198: @862088
     /*  862088 */   GIM_Try, /*On fail goto*//*Label 13199*/ GIMT_Encode4(862163), // Rule ID 24642 //
     /*  862093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  862104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  862107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  862110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  862113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862139 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  862142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862161 */     GIR_RootConstrainSelectedInstOperands,
     /*  862162 */     // GIR_Coverage, 24642,
     /*  862162 */     GIR_EraseRootFromParent_Done,
     /*  862163 */   // Label 13199: @862163
     /*  862163 */   GIM_Try, /*On fail goto*//*Label 13200*/ GIMT_Encode4(862238), // Rule ID 24645 //
     /*  862168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  862179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  862182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  862185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  862188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862214 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  862214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  862217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862236 */     GIR_RootConstrainSelectedInstOperands,
     /*  862237 */     // GIR_Coverage, 24645,
     /*  862237 */     GIR_EraseRootFromParent_Done,
     /*  862238 */   // Label 13200: @862238
     /*  862238 */   GIM_Try, /*On fail goto*//*Label 13201*/ GIMT_Encode4(862313), // Rule ID 24646 //
     /*  862243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  862254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  862257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  862260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  862263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862289 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  862289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  862292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862311 */     GIR_RootConstrainSelectedInstOperands,
     /*  862312 */     // GIR_Coverage, 24646,
     /*  862312 */     GIR_EraseRootFromParent_Done,
     /*  862313 */   // Label 13201: @862313
     /*  862313 */   GIM_Try, /*On fail goto*//*Label 13202*/ GIMT_Encode4(862388), // Rule ID 24649 //
     /*  862318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  862321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  862329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  862332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  862335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  862338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862364 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  862364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  862367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862386 */     GIR_RootConstrainSelectedInstOperands,
     /*  862387 */     // GIR_Coverage, 24649,
     /*  862387 */     GIR_EraseRootFromParent_Done,
     /*  862388 */   // Label 13202: @862388
     /*  862388 */   GIM_Try, /*On fail goto*//*Label 13203*/ GIMT_Encode4(862463), // Rule ID 24650 //
     /*  862393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  862396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  862404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  862407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  862410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  862413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862439 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  862439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  862442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862461 */     GIR_RootConstrainSelectedInstOperands,
     /*  862462 */     // GIR_Coverage, 24650,
     /*  862462 */     GIR_EraseRootFromParent_Done,
     /*  862463 */   // Label 13203: @862463
     /*  862463 */   GIM_Try, /*On fail goto*//*Label 13204*/ GIMT_Encode4(862538), // Rule ID 24653 //
     /*  862468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  862479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  862482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  862485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  862488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862514 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  862514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  862517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862536 */     GIR_RootConstrainSelectedInstOperands,
     /*  862537 */     // GIR_Coverage, 24653,
     /*  862537 */     GIR_EraseRootFromParent_Done,
     /*  862538 */   // Label 13204: @862538
     /*  862538 */   GIM_Try, /*On fail goto*//*Label 13205*/ GIMT_Encode4(862613), // Rule ID 24654 //
     /*  862543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  862554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  862557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  862560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  862563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862589 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  862589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  862592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862611 */     GIR_RootConstrainSelectedInstOperands,
     /*  862612 */     // GIR_Coverage, 24654,
     /*  862612 */     GIR_EraseRootFromParent_Done,
     /*  862613 */   // Label 13205: @862613
     /*  862613 */   GIM_Try, /*On fail goto*//*Label 13206*/ GIMT_Encode4(862688), // Rule ID 24657 //
     /*  862618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  862629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  862632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  862635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  862638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862664 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  862664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  862667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862686 */     GIR_RootConstrainSelectedInstOperands,
     /*  862687 */     // GIR_Coverage, 24657,
     /*  862687 */     GIR_EraseRootFromParent_Done,
     /*  862688 */   // Label 13206: @862688
     /*  862688 */   GIM_Try, /*On fail goto*//*Label 13207*/ GIMT_Encode4(862763), // Rule ID 24658 //
     /*  862693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  862704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  862707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  862710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  862713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862739 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  862739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  862742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862761 */     GIR_RootConstrainSelectedInstOperands,
     /*  862762 */     // GIR_Coverage, 24658,
     /*  862762 */     GIR_EraseRootFromParent_Done,
     /*  862763 */   // Label 13207: @862763
     /*  862763 */   GIM_Try, /*On fail goto*//*Label 13208*/ GIMT_Encode4(862838), // Rule ID 24661 //
     /*  862768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  862779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  862782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  862785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  862788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862814 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  862817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862836 */     GIR_RootConstrainSelectedInstOperands,
     /*  862837 */     // GIR_Coverage, 24661,
     /*  862837 */     GIR_EraseRootFromParent_Done,
     /*  862838 */   // Label 13208: @862838
     /*  862838 */   GIM_Try, /*On fail goto*//*Label 13209*/ GIMT_Encode4(862913), // Rule ID 24662 //
     /*  862843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  862854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  862857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  862860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  862863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862889 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  862892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862911 */     GIR_RootConstrainSelectedInstOperands,
     /*  862912 */     // GIR_Coverage, 24662,
     /*  862912 */     GIR_EraseRootFromParent_Done,
     /*  862913 */   // Label 13209: @862913
     /*  862913 */   GIM_Try, /*On fail goto*//*Label 13210*/ GIMT_Encode4(862988), // Rule ID 24665 //
     /*  862918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  862926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  862929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  862932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  862935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  862938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862964 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  862967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862986 */     GIR_RootConstrainSelectedInstOperands,
     /*  862987 */     // GIR_Coverage, 24665,
     /*  862987 */     GIR_EraseRootFromParent_Done,
     /*  862988 */   // Label 13210: @862988
     /*  862988 */   GIM_Try, /*On fail goto*//*Label 13211*/ GIMT_Encode4(863063), // Rule ID 24666 //
     /*  862993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  863004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  863007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  863010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  863013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863039 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  863042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863061 */     GIR_RootConstrainSelectedInstOperands,
     /*  863062 */     // GIR_Coverage, 24666,
     /*  863062 */     GIR_EraseRootFromParent_Done,
     /*  863063 */   // Label 13211: @863063
     /*  863063 */   GIM_Try, /*On fail goto*//*Label 13212*/ GIMT_Encode4(863138), // Rule ID 24669 //
     /*  863068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  863079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  863082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  863085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  863088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863114 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  863117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863136 */     GIR_RootConstrainSelectedInstOperands,
     /*  863137 */     // GIR_Coverage, 24669,
     /*  863137 */     GIR_EraseRootFromParent_Done,
     /*  863138 */   // Label 13212: @863138
     /*  863138 */   GIM_Try, /*On fail goto*//*Label 13213*/ GIMT_Encode4(863213), // Rule ID 24670 //
     /*  863143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  863154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  863157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  863160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  863163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863189 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  863192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863211 */     GIR_RootConstrainSelectedInstOperands,
     /*  863212 */     // GIR_Coverage, 24670,
     /*  863212 */     GIR_EraseRootFromParent_Done,
     /*  863213 */   // Label 13213: @863213
     /*  863213 */   GIM_Try, /*On fail goto*//*Label 13214*/ GIMT_Encode4(863288), // Rule ID 24673 //
     /*  863218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  863229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  863232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  863235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  863238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863264 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  863264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  863267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863286 */     GIR_RootConstrainSelectedInstOperands,
     /*  863287 */     // GIR_Coverage, 24673,
     /*  863287 */     GIR_EraseRootFromParent_Done,
     /*  863288 */   // Label 13214: @863288
     /*  863288 */   GIM_Try, /*On fail goto*//*Label 13215*/ GIMT_Encode4(863363), // Rule ID 24674 //
     /*  863293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  863304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  863307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  863310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  863313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863339 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  863339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  863342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863361 */     GIR_RootConstrainSelectedInstOperands,
     /*  863362 */     // GIR_Coverage, 24674,
     /*  863362 */     GIR_EraseRootFromParent_Done,
     /*  863363 */   // Label 13215: @863363
     /*  863363 */   GIM_Try, /*On fail goto*//*Label 13216*/ GIMT_Encode4(863438), // Rule ID 24677 //
     /*  863368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  863379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  863382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  863385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  863388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863414 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  863414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  863417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863436 */     GIR_RootConstrainSelectedInstOperands,
     /*  863437 */     // GIR_Coverage, 24677,
     /*  863437 */     GIR_EraseRootFromParent_Done,
     /*  863438 */   // Label 13216: @863438
     /*  863438 */   GIM_Try, /*On fail goto*//*Label 13217*/ GIMT_Encode4(863513), // Rule ID 24678 //
     /*  863443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  863454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  863457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  863460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  863463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863489 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  863489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  863492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863511 */     GIR_RootConstrainSelectedInstOperands,
     /*  863512 */     // GIR_Coverage, 24678,
     /*  863512 */     GIR_EraseRootFromParent_Done,
     /*  863513 */   // Label 13217: @863513
     /*  863513 */   GIM_Try, /*On fail goto*//*Label 13218*/ GIMT_Encode4(863588), // Rule ID 24681 //
     /*  863518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  863529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  863532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  863535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  863538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863564 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  863564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  863567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863586 */     GIR_RootConstrainSelectedInstOperands,
     /*  863587 */     // GIR_Coverage, 24681,
     /*  863587 */     GIR_EraseRootFromParent_Done,
     /*  863588 */   // Label 13218: @863588
     /*  863588 */   GIM_Try, /*On fail goto*//*Label 13219*/ GIMT_Encode4(863663), // Rule ID 24682 //
     /*  863593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  863604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  863607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  863610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  863613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863639 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  863639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  863642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863661 */     GIR_RootConstrainSelectedInstOperands,
     /*  863662 */     // GIR_Coverage, 24682,
     /*  863662 */     GIR_EraseRootFromParent_Done,
     /*  863663 */   // Label 13219: @863663
     /*  863663 */   GIM_Try, /*On fail goto*//*Label 13220*/ GIMT_Encode4(863738), // Rule ID 24685 //
     /*  863668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  863671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  863679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  863682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  863685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  863688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863714 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  863714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  863717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863736 */     GIR_RootConstrainSelectedInstOperands,
     /*  863737 */     // GIR_Coverage, 24685,
     /*  863737 */     GIR_EraseRootFromParent_Done,
     /*  863738 */   // Label 13220: @863738
     /*  863738 */   GIM_Try, /*On fail goto*//*Label 13221*/ GIMT_Encode4(863813), // Rule ID 24686 //
     /*  863743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  863746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  863754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  863757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  863760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  863763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863789 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  863789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  863792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863811 */     GIR_RootConstrainSelectedInstOperands,
     /*  863812 */     // GIR_Coverage, 24686,
     /*  863812 */     GIR_EraseRootFromParent_Done,
     /*  863813 */   // Label 13221: @863813
     /*  863813 */   GIM_Try, /*On fail goto*//*Label 13222*/ GIMT_Encode4(863888), // Rule ID 24689 //
     /*  863818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  863821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  863829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  863832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  863835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  863838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863864 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  863864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  863867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863886 */     GIR_RootConstrainSelectedInstOperands,
     /*  863887 */     // GIR_Coverage, 24689,
     /*  863887 */     GIR_EraseRootFromParent_Done,
     /*  863888 */   // Label 13222: @863888
     /*  863888 */   GIM_Try, /*On fail goto*//*Label 13223*/ GIMT_Encode4(863963), // Rule ID 24690 //
     /*  863893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  863896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  863904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  863907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  863910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  863913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863939 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  863939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  863942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863961 */     GIR_RootConstrainSelectedInstOperands,
     /*  863962 */     // GIR_Coverage, 24690,
     /*  863962 */     GIR_EraseRootFromParent_Done,
     /*  863963 */   // Label 13223: @863963
     /*  863963 */   GIM_Try, /*On fail goto*//*Label 13224*/ GIMT_Encode4(864038), // Rule ID 24693 //
     /*  863968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  863971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  863979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  863982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  863985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  863988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864014 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  864014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  864017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864036 */     GIR_RootConstrainSelectedInstOperands,
     /*  864037 */     // GIR_Coverage, 24693,
     /*  864037 */     GIR_EraseRootFromParent_Done,
     /*  864038 */   // Label 13224: @864038
     /*  864038 */   GIM_Try, /*On fail goto*//*Label 13225*/ GIMT_Encode4(864113), // Rule ID 24694 //
     /*  864043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  864046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  864054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  864057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  864060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  864063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864089 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  864089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  864092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864111 */     GIR_RootConstrainSelectedInstOperands,
     /*  864112 */     // GIR_Coverage, 24694,
     /*  864112 */     GIR_EraseRootFromParent_Done,
     /*  864113 */   // Label 13225: @864113
     /*  864113 */   GIM_Try, /*On fail goto*//*Label 13226*/ GIMT_Encode4(864188), // Rule ID 24697 //
     /*  864118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  864121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  864126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  864129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  864132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  864135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  864138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864164 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  864167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864186 */     GIR_RootConstrainSelectedInstOperands,
     /*  864187 */     // GIR_Coverage, 24697,
     /*  864187 */     GIR_EraseRootFromParent_Done,
     /*  864188 */   // Label 13226: @864188
     /*  864188 */   GIM_Try, /*On fail goto*//*Label 13227*/ GIMT_Encode4(864263), // Rule ID 24698 //
     /*  864193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  864196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  864201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  864204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  864207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  864210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  864213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864239 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  864242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864261 */     GIR_RootConstrainSelectedInstOperands,
     /*  864262 */     // GIR_Coverage, 24698,
     /*  864262 */     GIR_EraseRootFromParent_Done,
     /*  864263 */   // Label 13227: @864263
     /*  864263 */   GIM_Try, /*On fail goto*//*Label 13228*/ GIMT_Encode4(864338), // Rule ID 24701 //
     /*  864268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  864271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  864276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  864279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  864282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  864285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  864288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864314 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  864317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864336 */     GIR_RootConstrainSelectedInstOperands,
     /*  864337 */     // GIR_Coverage, 24701,
     /*  864337 */     GIR_EraseRootFromParent_Done,
     /*  864338 */   // Label 13228: @864338
     /*  864338 */   GIM_Try, /*On fail goto*//*Label 13229*/ GIMT_Encode4(864413), // Rule ID 24702 //
     /*  864343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  864346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  864351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  864354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  864357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  864360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  864363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864389 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  864392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864411 */     GIR_RootConstrainSelectedInstOperands,
     /*  864412 */     // GIR_Coverage, 24702,
     /*  864412 */     GIR_EraseRootFromParent_Done,
     /*  864413 */   // Label 13229: @864413
     /*  864413 */   GIM_Try, /*On fail goto*//*Label 13230*/ GIMT_Encode4(864488), // Rule ID 24705 //
     /*  864418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  864421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  864426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  864429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  864432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  864435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  864438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864464 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  864464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  864467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864486 */     GIR_RootConstrainSelectedInstOperands,
     /*  864487 */     // GIR_Coverage, 24705,
     /*  864487 */     GIR_EraseRootFromParent_Done,
     /*  864488 */   // Label 13230: @864488
     /*  864488 */   GIM_Try, /*On fail goto*//*Label 13231*/ GIMT_Encode4(864563), // Rule ID 24706 //
     /*  864493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  864496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  864501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  864504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  864507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  864510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  864513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864539 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  864539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  864542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864561 */     GIR_RootConstrainSelectedInstOperands,
     /*  864562 */     // GIR_Coverage, 24706,
     /*  864562 */     GIR_EraseRootFromParent_Done,
     /*  864563 */   // Label 13231: @864563
     /*  864563 */   GIM_Try, /*On fail goto*//*Label 13232*/ GIMT_Encode4(864638), // Rule ID 24709 //
     /*  864568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  864571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  864576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  864579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  864582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  864585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  864588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864614 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  864617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864636 */     GIR_RootConstrainSelectedInstOperands,
     /*  864637 */     // GIR_Coverage, 24709,
     /*  864637 */     GIR_EraseRootFromParent_Done,
     /*  864638 */   // Label 13232: @864638
     /*  864638 */   GIM_Try, /*On fail goto*//*Label 13233*/ GIMT_Encode4(864713), // Rule ID 24710 //
     /*  864643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  864646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  864651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  864654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  864657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  864660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  864663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864689 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  864692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864711 */     GIR_RootConstrainSelectedInstOperands,
     /*  864712 */     // GIR_Coverage, 24710,
     /*  864712 */     GIR_EraseRootFromParent_Done,
     /*  864713 */   // Label 13233: @864713
     /*  864713 */   GIM_Try, /*On fail goto*//*Label 13234*/ GIMT_Encode4(864788), // Rule ID 24713 //
     /*  864718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  864721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  864726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  864729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  864732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  864735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  864738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864764 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  864767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864786 */     GIR_RootConstrainSelectedInstOperands,
     /*  864787 */     // GIR_Coverage, 24713,
     /*  864787 */     GIR_EraseRootFromParent_Done,
     /*  864788 */   // Label 13234: @864788
     /*  864788 */   GIM_Try, /*On fail goto*//*Label 13235*/ GIMT_Encode4(864863), // Rule ID 24714 //
     /*  864793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  864796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  864801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  864804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  864807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  864810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  864813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864839 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  864842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864861 */     GIR_RootConstrainSelectedInstOperands,
     /*  864862 */     // GIR_Coverage, 24714,
     /*  864862 */     GIR_EraseRootFromParent_Done,
     /*  864863 */   // Label 13235: @864863
     /*  864863 */   GIM_Try, /*On fail goto*//*Label 13236*/ GIMT_Encode4(864938), // Rule ID 24717 //
     /*  864868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  864871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  864876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  864879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  864882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  864885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  864888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864914 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  864917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864936 */     GIR_RootConstrainSelectedInstOperands,
     /*  864937 */     // GIR_Coverage, 24717,
     /*  864937 */     GIR_EraseRootFromParent_Done,
     /*  864938 */   // Label 13236: @864938
     /*  864938 */   GIM_Try, /*On fail goto*//*Label 13237*/ GIMT_Encode4(865013), // Rule ID 24718 //
     /*  864943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  864946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  864951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  864954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  864957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  864960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  864963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864989 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  864992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865011 */     GIR_RootConstrainSelectedInstOperands,
     /*  865012 */     // GIR_Coverage, 24718,
     /*  865012 */     GIR_EraseRootFromParent_Done,
     /*  865013 */   // Label 13237: @865013
     /*  865013 */   GIM_Try, /*On fail goto*//*Label 13238*/ GIMT_Encode4(865088), // Rule ID 24721 //
     /*  865018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  865021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  865029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  865032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  865035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  865038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865064 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  865067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865086 */     GIR_RootConstrainSelectedInstOperands,
     /*  865087 */     // GIR_Coverage, 24721,
     /*  865087 */     GIR_EraseRootFromParent_Done,
     /*  865088 */   // Label 13238: @865088
     /*  865088 */   GIM_Try, /*On fail goto*//*Label 13239*/ GIMT_Encode4(865163), // Rule ID 24722 //
     /*  865093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  865096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  865104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  865107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  865110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  865113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865139 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  865142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865161 */     GIR_RootConstrainSelectedInstOperands,
     /*  865162 */     // GIR_Coverage, 24722,
     /*  865162 */     GIR_EraseRootFromParent_Done,
     /*  865163 */   // Label 13239: @865163
     /*  865163 */   GIM_Try, /*On fail goto*//*Label 13240*/ GIMT_Encode4(865238), // Rule ID 24725 //
     /*  865168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  865171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  865179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  865182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  865185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  865188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865214 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  865217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865236 */     GIR_RootConstrainSelectedInstOperands,
     /*  865237 */     // GIR_Coverage, 24725,
     /*  865237 */     GIR_EraseRootFromParent_Done,
     /*  865238 */   // Label 13240: @865238
     /*  865238 */   GIM_Try, /*On fail goto*//*Label 13241*/ GIMT_Encode4(865313), // Rule ID 24726 //
     /*  865243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  865246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  865254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  865257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  865260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  865263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865289 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  865292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865311 */     GIR_RootConstrainSelectedInstOperands,
     /*  865312 */     // GIR_Coverage, 24726,
     /*  865312 */     GIR_EraseRootFromParent_Done,
     /*  865313 */   // Label 13241: @865313
     /*  865313 */   GIM_Try, /*On fail goto*//*Label 13242*/ GIMT_Encode4(865388), // Rule ID 24729 //
     /*  865318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  865321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  865329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  865332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  865335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  865338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865364 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  865367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865386 */     GIR_RootConstrainSelectedInstOperands,
     /*  865387 */     // GIR_Coverage, 24729,
     /*  865387 */     GIR_EraseRootFromParent_Done,
     /*  865388 */   // Label 13242: @865388
     /*  865388 */   GIM_Try, /*On fail goto*//*Label 13243*/ GIMT_Encode4(865463), // Rule ID 24730 //
     /*  865393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  865396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  865401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  865404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  865407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  865410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  865413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865439 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  865442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865461 */     GIR_RootConstrainSelectedInstOperands,
     /*  865462 */     // GIR_Coverage, 24730,
     /*  865462 */     GIR_EraseRootFromParent_Done,
     /*  865463 */   // Label 13243: @865463
     /*  865463 */   GIM_Try, /*On fail goto*//*Label 13244*/ GIMT_Encode4(865538), // Rule ID 24733 //
     /*  865468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  865471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  865479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  865482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  865485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865514 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  865517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865536 */     GIR_RootConstrainSelectedInstOperands,
     /*  865537 */     // GIR_Coverage, 24733,
     /*  865537 */     GIR_EraseRootFromParent_Done,
     /*  865538 */   // Label 13244: @865538
     /*  865538 */   GIM_Try, /*On fail goto*//*Label 13245*/ GIMT_Encode4(865613), // Rule ID 24734 //
     /*  865543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  865546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  865554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  865557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  865560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865589 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  865592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865611 */     GIR_RootConstrainSelectedInstOperands,
     /*  865612 */     // GIR_Coverage, 24734,
     /*  865612 */     GIR_EraseRootFromParent_Done,
     /*  865613 */   // Label 13245: @865613
     /*  865613 */   GIM_Try, /*On fail goto*//*Label 13246*/ GIMT_Encode4(865688), // Rule ID 24737 //
     /*  865618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  865621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  865629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  865632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  865635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865664 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  865667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865686 */     GIR_RootConstrainSelectedInstOperands,
     /*  865687 */     // GIR_Coverage, 24737,
     /*  865687 */     GIR_EraseRootFromParent_Done,
     /*  865688 */   // Label 13246: @865688
     /*  865688 */   GIM_Try, /*On fail goto*//*Label 13247*/ GIMT_Encode4(865763), // Rule ID 24738 //
     /*  865693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  865696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  865704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  865707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  865710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865739 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  865742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865761 */     GIR_RootConstrainSelectedInstOperands,
     /*  865762 */     // GIR_Coverage, 24738,
     /*  865762 */     GIR_EraseRootFromParent_Done,
     /*  865763 */   // Label 13247: @865763
     /*  865763 */   GIM_Try, /*On fail goto*//*Label 13248*/ GIMT_Encode4(865838), // Rule ID 24741 //
     /*  865768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  865771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  865779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  865782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  865785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865814 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  865817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865836 */     GIR_RootConstrainSelectedInstOperands,
     /*  865837 */     // GIR_Coverage, 24741,
     /*  865837 */     GIR_EraseRootFromParent_Done,
     /*  865838 */   // Label 13248: @865838
     /*  865838 */   GIM_Try, /*On fail goto*//*Label 13249*/ GIMT_Encode4(865913), // Rule ID 24742 //
     /*  865843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  865846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  865854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  865857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  865860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865889 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  865892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865911 */     GIR_RootConstrainSelectedInstOperands,
     /*  865912 */     // GIR_Coverage, 24742,
     /*  865912 */     GIR_EraseRootFromParent_Done,
     /*  865913 */   // Label 13249: @865913
     /*  865913 */   GIM_Try, /*On fail goto*//*Label 13250*/ GIMT_Encode4(865988), // Rule ID 24745 //
     /*  865918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  865921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  865929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  865932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  865935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865964 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  865967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865986 */     GIR_RootConstrainSelectedInstOperands,
     /*  865987 */     // GIR_Coverage, 24745,
     /*  865987 */     GIR_EraseRootFromParent_Done,
     /*  865988 */   // Label 13250: @865988
     /*  865988 */   GIM_Try, /*On fail goto*//*Label 13251*/ GIMT_Encode4(866063), // Rule ID 24746 //
     /*  865993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  865996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  866004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  866007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  866010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866039 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  866042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866061 */     GIR_RootConstrainSelectedInstOperands,
     /*  866062 */     // GIR_Coverage, 24746,
     /*  866062 */     GIR_EraseRootFromParent_Done,
     /*  866063 */   // Label 13251: @866063
     /*  866063 */   GIM_Try, /*On fail goto*//*Label 13252*/ GIMT_Encode4(866138), // Rule ID 24749 //
     /*  866068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  866071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  866079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  866082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  866085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866114 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  866117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866136 */     GIR_RootConstrainSelectedInstOperands,
     /*  866137 */     // GIR_Coverage, 24749,
     /*  866137 */     GIR_EraseRootFromParent_Done,
     /*  866138 */   // Label 13252: @866138
     /*  866138 */   GIM_Try, /*On fail goto*//*Label 13253*/ GIMT_Encode4(866213), // Rule ID 24750 //
     /*  866143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  866146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  866154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  866157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  866160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866189 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  866192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866211 */     GIR_RootConstrainSelectedInstOperands,
     /*  866212 */     // GIR_Coverage, 24750,
     /*  866212 */     GIR_EraseRootFromParent_Done,
     /*  866213 */   // Label 13253: @866213
     /*  866213 */   GIM_Try, /*On fail goto*//*Label 13254*/ GIMT_Encode4(866288), // Rule ID 24753 //
     /*  866218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  866221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  866229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  866232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  866235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866264 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  866267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866286 */     GIR_RootConstrainSelectedInstOperands,
     /*  866287 */     // GIR_Coverage, 24753,
     /*  866287 */     GIR_EraseRootFromParent_Done,
     /*  866288 */   // Label 13254: @866288
     /*  866288 */   GIM_Try, /*On fail goto*//*Label 13255*/ GIMT_Encode4(866363), // Rule ID 24754 //
     /*  866293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  866296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  866304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  866307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  866310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866339 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  866342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866361 */     GIR_RootConstrainSelectedInstOperands,
     /*  866362 */     // GIR_Coverage, 24754,
     /*  866362 */     GIR_EraseRootFromParent_Done,
     /*  866363 */   // Label 13255: @866363
     /*  866363 */   GIM_Try, /*On fail goto*//*Label 13256*/ GIMT_Encode4(866438), // Rule ID 24757 //
     /*  866368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  866371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  866379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  866382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  866385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866414 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  866417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866436 */     GIR_RootConstrainSelectedInstOperands,
     /*  866437 */     // GIR_Coverage, 24757,
     /*  866437 */     GIR_EraseRootFromParent_Done,
     /*  866438 */   // Label 13256: @866438
     /*  866438 */   GIM_Try, /*On fail goto*//*Label 13257*/ GIMT_Encode4(866513), // Rule ID 24758 //
     /*  866443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  866446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  866454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  866457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  866460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866489 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  866492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866511 */     GIR_RootConstrainSelectedInstOperands,
     /*  866512 */     // GIR_Coverage, 24758,
     /*  866512 */     GIR_EraseRootFromParent_Done,
     /*  866513 */   // Label 13257: @866513
     /*  866513 */   GIM_Try, /*On fail goto*//*Label 13258*/ GIMT_Encode4(866588), // Rule ID 24761 //
     /*  866518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  866521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  866529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  866532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  866535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866564 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  866567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866586 */     GIR_RootConstrainSelectedInstOperands,
     /*  866587 */     // GIR_Coverage, 24761,
     /*  866587 */     GIR_EraseRootFromParent_Done,
     /*  866588 */   // Label 13258: @866588
     /*  866588 */   GIM_Try, /*On fail goto*//*Label 13259*/ GIMT_Encode4(866663), // Rule ID 24762 //
     /*  866593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  866596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  866604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  866607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  866610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866639 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  866642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866661 */     GIR_RootConstrainSelectedInstOperands,
     /*  866662 */     // GIR_Coverage, 24762,
     /*  866662 */     GIR_EraseRootFromParent_Done,
     /*  866663 */   // Label 13259: @866663
     /*  866663 */   GIM_Try, /*On fail goto*//*Label 13260*/ GIMT_Encode4(866738), // Rule ID 24765 //
     /*  866668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  866671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  866679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  866682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  866685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866714 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  866717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866736 */     GIR_RootConstrainSelectedInstOperands,
     /*  866737 */     // GIR_Coverage, 24765,
     /*  866737 */     GIR_EraseRootFromParent_Done,
     /*  866738 */   // Label 13260: @866738
     /*  866738 */   GIM_Try, /*On fail goto*//*Label 13261*/ GIMT_Encode4(866813), // Rule ID 24766 //
     /*  866743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  866746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  866754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  866757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  866760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866789 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  866792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866811 */     GIR_RootConstrainSelectedInstOperands,
     /*  866812 */     // GIR_Coverage, 24766,
     /*  866812 */     GIR_EraseRootFromParent_Done,
     /*  866813 */   // Label 13261: @866813
     /*  866813 */   GIM_Try, /*On fail goto*//*Label 13262*/ GIMT_Encode4(866888), // Rule ID 24805 //
     /*  866818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  866821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  866829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  866832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  866835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  866838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866864 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  866864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  866867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866886 */     GIR_RootConstrainSelectedInstOperands,
     /*  866887 */     // GIR_Coverage, 24805,
     /*  866887 */     GIR_EraseRootFromParent_Done,
     /*  866888 */   // Label 13262: @866888
     /*  866888 */   GIM_Try, /*On fail goto*//*Label 13263*/ GIMT_Encode4(866963), // Rule ID 24806 //
     /*  866893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  866896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  866904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  866907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  866910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  866913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866939 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  866939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  866942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866961 */     GIR_RootConstrainSelectedInstOperands,
     /*  866962 */     // GIR_Coverage, 24806,
     /*  866962 */     GIR_EraseRootFromParent_Done,
     /*  866963 */   // Label 13263: @866963
     /*  866963 */   GIM_Try, /*On fail goto*//*Label 13264*/ GIMT_Encode4(867038), // Rule ID 24809 //
     /*  866968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  866971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  866976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  866979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  866982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  866985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  866988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867014 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  867014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  867017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867036 */     GIR_RootConstrainSelectedInstOperands,
     /*  867037 */     // GIR_Coverage, 24809,
     /*  867037 */     GIR_EraseRootFromParent_Done,
     /*  867038 */   // Label 13264: @867038
     /*  867038 */   GIM_Try, /*On fail goto*//*Label 13265*/ GIMT_Encode4(867113), // Rule ID 24810 //
     /*  867043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  867046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  867054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  867057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  867060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  867063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867089 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  867089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  867092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867111 */     GIR_RootConstrainSelectedInstOperands,
     /*  867112 */     // GIR_Coverage, 24810,
     /*  867112 */     GIR_EraseRootFromParent_Done,
     /*  867113 */   // Label 13265: @867113
     /*  867113 */   GIM_Try, /*On fail goto*//*Label 13266*/ GIMT_Encode4(867188), // Rule ID 24813 //
     /*  867118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  867121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  867129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  867132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  867135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  867138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867164 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  867164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  867167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867186 */     GIR_RootConstrainSelectedInstOperands,
     /*  867187 */     // GIR_Coverage, 24813,
     /*  867187 */     GIR_EraseRootFromParent_Done,
     /*  867188 */   // Label 13266: @867188
     /*  867188 */   GIM_Try, /*On fail goto*//*Label 13267*/ GIMT_Encode4(867263), // Rule ID 24814 //
     /*  867193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  867196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  867204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  867207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  867210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  867213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867239 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11418:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  867239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  867242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867261 */     GIR_RootConstrainSelectedInstOperands,
     /*  867262 */     // GIR_Coverage, 24814,
     /*  867262 */     GIR_EraseRootFromParent_Done,
     /*  867263 */   // Label 13267: @867263
     /*  867263 */   GIM_Try, /*On fail goto*//*Label 13268*/ GIMT_Encode4(867338), // Rule ID 24817 //
     /*  867268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  867271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  867279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  867282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  867285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  867288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867314 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  867314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  867317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867336 */     GIR_RootConstrainSelectedInstOperands,
     /*  867337 */     // GIR_Coverage, 24817,
     /*  867337 */     GIR_EraseRootFromParent_Done,
     /*  867338 */   // Label 13268: @867338
     /*  867338 */   GIM_Try, /*On fail goto*//*Label 13269*/ GIMT_Encode4(867413), // Rule ID 24818 //
     /*  867343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  867346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  867354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  867357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  867360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  867363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867389 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  867389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  867392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867411 */     GIR_RootConstrainSelectedInstOperands,
     /*  867412 */     // GIR_Coverage, 24818,
     /*  867412 */     GIR_EraseRootFromParent_Done,
     /*  867413 */   // Label 13269: @867413
     /*  867413 */   GIM_Try, /*On fail goto*//*Label 13270*/ GIMT_Encode4(867488), // Rule ID 24821 //
     /*  867418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  867421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  867429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  867432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  867435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  867438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867464 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  867464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  867467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867486 */     GIR_RootConstrainSelectedInstOperands,
     /*  867487 */     // GIR_Coverage, 24821,
     /*  867487 */     GIR_EraseRootFromParent_Done,
     /*  867488 */   // Label 13270: @867488
     /*  867488 */   GIM_Try, /*On fail goto*//*Label 13271*/ GIMT_Encode4(867563), // Rule ID 24822 //
     /*  867493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  867496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  867504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  867507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  867510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  867513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867539 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  867539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  867542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867561 */     GIR_RootConstrainSelectedInstOperands,
     /*  867562 */     // GIR_Coverage, 24822,
     /*  867562 */     GIR_EraseRootFromParent_Done,
     /*  867563 */   // Label 13271: @867563
     /*  867563 */   GIM_Try, /*On fail goto*//*Label 13272*/ GIMT_Encode4(867638), // Rule ID 24825 //
     /*  867568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  867571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  867579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  867582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  867585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  867588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867614 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  867614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  867617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867636 */     GIR_RootConstrainSelectedInstOperands,
     /*  867637 */     // GIR_Coverage, 24825,
     /*  867637 */     GIR_EraseRootFromParent_Done,
     /*  867638 */   // Label 13272: @867638
     /*  867638 */   GIM_Try, /*On fail goto*//*Label 13273*/ GIMT_Encode4(867713), // Rule ID 24826 //
     /*  867643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  867646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  867651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  867654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  867657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  867660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  867663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867689 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  867689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  867692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867711 */     GIR_RootConstrainSelectedInstOperands,
     /*  867712 */     // GIR_Coverage, 24826,
     /*  867712 */     GIR_EraseRootFromParent_Done,
     /*  867713 */   // Label 13273: @867713
     /*  867713 */   GIM_Try, /*On fail goto*//*Label 13274*/ GIMT_Encode4(867788), // Rule ID 24829 //
     /*  867718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  867721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  867729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  867732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  867735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867764 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  867764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  867767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867786 */     GIR_RootConstrainSelectedInstOperands,
     /*  867787 */     // GIR_Coverage, 24829,
     /*  867787 */     GIR_EraseRootFromParent_Done,
     /*  867788 */   // Label 13274: @867788
     /*  867788 */   GIM_Try, /*On fail goto*//*Label 13275*/ GIMT_Encode4(867863), // Rule ID 24830 //
     /*  867793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  867796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  867804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  867807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  867810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867839 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  867839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  867842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867861 */     GIR_RootConstrainSelectedInstOperands,
     /*  867862 */     // GIR_Coverage, 24830,
     /*  867862 */     GIR_EraseRootFromParent_Done,
     /*  867863 */   // Label 13275: @867863
     /*  867863 */   GIM_Try, /*On fail goto*//*Label 13276*/ GIMT_Encode4(867938), // Rule ID 24833 //
     /*  867868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  867871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  867879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  867882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  867885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867914 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  867914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  867917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867936 */     GIR_RootConstrainSelectedInstOperands,
     /*  867937 */     // GIR_Coverage, 24833,
     /*  867937 */     GIR_EraseRootFromParent_Done,
     /*  867938 */   // Label 13276: @867938
     /*  867938 */   GIM_Try, /*On fail goto*//*Label 13277*/ GIMT_Encode4(868013), // Rule ID 24834 //
     /*  867943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  867946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  867954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  867957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  867960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867989 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  867989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  867992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868011 */     GIR_RootConstrainSelectedInstOperands,
     /*  868012 */     // GIR_Coverage, 24834,
     /*  868012 */     GIR_EraseRootFromParent_Done,
     /*  868013 */   // Label 13277: @868013
     /*  868013 */   GIM_Try, /*On fail goto*//*Label 13278*/ GIMT_Encode4(868088), // Rule ID 24837 //
     /*  868018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  868029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  868032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  868035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868064 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  868067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868086 */     GIR_RootConstrainSelectedInstOperands,
     /*  868087 */     // GIR_Coverage, 24837,
     /*  868087 */     GIR_EraseRootFromParent_Done,
     /*  868088 */   // Label 13278: @868088
     /*  868088 */   GIM_Try, /*On fail goto*//*Label 13279*/ GIMT_Encode4(868163), // Rule ID 24838 //
     /*  868093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  868104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  868107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  868110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  868113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868139 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  868142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868161 */     GIR_RootConstrainSelectedInstOperands,
     /*  868162 */     // GIR_Coverage, 24838,
     /*  868162 */     GIR_EraseRootFromParent_Done,
     /*  868163 */   // Label 13279: @868163
     /*  868163 */   GIM_Try, /*On fail goto*//*Label 13280*/ GIMT_Encode4(868238), // Rule ID 24841 //
     /*  868168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  868179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  868182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  868185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868214 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  868217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868236 */     GIR_RootConstrainSelectedInstOperands,
     /*  868237 */     // GIR_Coverage, 24841,
     /*  868237 */     GIR_EraseRootFromParent_Done,
     /*  868238 */   // Label 13280: @868238
     /*  868238 */   GIM_Try, /*On fail goto*//*Label 13281*/ GIMT_Encode4(868313), // Rule ID 24842 //
     /*  868243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  868254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  868257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  868260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  868263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868289 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  868292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868311 */     GIR_RootConstrainSelectedInstOperands,
     /*  868312 */     // GIR_Coverage, 24842,
     /*  868312 */     GIR_EraseRootFromParent_Done,
     /*  868313 */   // Label 13281: @868313
     /*  868313 */   GIM_Try, /*On fail goto*//*Label 13282*/ GIMT_Encode4(868388), // Rule ID 24845 //
     /*  868318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  868329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  868332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  868335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868364 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  868367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868386 */     GIR_RootConstrainSelectedInstOperands,
     /*  868387 */     // GIR_Coverage, 24845,
     /*  868387 */     GIR_EraseRootFromParent_Done,
     /*  868388 */   // Label 13282: @868388
     /*  868388 */   GIM_Try, /*On fail goto*//*Label 13283*/ GIMT_Encode4(868463), // Rule ID 24846 //
     /*  868393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  868404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  868407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  868410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  868413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868439 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  868442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868461 */     GIR_RootConstrainSelectedInstOperands,
     /*  868462 */     // GIR_Coverage, 24846,
     /*  868462 */     GIR_EraseRootFromParent_Done,
     /*  868463 */   // Label 13283: @868463
     /*  868463 */   GIM_Try, /*On fail goto*//*Label 13284*/ GIMT_Encode4(868538), // Rule ID 24849 //
     /*  868468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  868471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  868479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  868482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  868485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  868488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868514 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  868517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868536 */     GIR_RootConstrainSelectedInstOperands,
     /*  868537 */     // GIR_Coverage, 24849,
     /*  868537 */     GIR_EraseRootFromParent_Done,
     /*  868538 */   // Label 13284: @868538
     /*  868538 */   GIM_Try, /*On fail goto*//*Label 13285*/ GIMT_Encode4(868613), // Rule ID 24850 //
     /*  868543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  868546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  868551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  868554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  868557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  868560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  868563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868589 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  868592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868611 */     GIR_RootConstrainSelectedInstOperands,
     /*  868612 */     // GIR_Coverage, 24850,
     /*  868612 */     GIR_EraseRootFromParent_Done,
     /*  868613 */   // Label 13285: @868613
     /*  868613 */   GIM_Try, /*On fail goto*//*Label 13286*/ GIMT_Encode4(868688), // Rule ID 24877 //
     /*  868618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  868621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  868629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  868632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  868635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  868638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868664 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  868667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868686 */     GIR_RootConstrainSelectedInstOperands,
     /*  868687 */     // GIR_Coverage, 24877,
     /*  868687 */     GIR_EraseRootFromParent_Done,
     /*  868688 */   // Label 13286: @868688
     /*  868688 */   GIM_Try, /*On fail goto*//*Label 13287*/ GIMT_Encode4(868763), // Rule ID 24878 //
     /*  868693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  868696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  868704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  868707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  868710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  868713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868739 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  868742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868761 */     GIR_RootConstrainSelectedInstOperands,
     /*  868762 */     // GIR_Coverage, 24878,
     /*  868762 */     GIR_EraseRootFromParent_Done,
     /*  868763 */   // Label 13287: @868763
     /*  868763 */   GIM_Try, /*On fail goto*//*Label 13288*/ GIMT_Encode4(868838), // Rule ID 24881 //
     /*  868768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  868771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  868779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  868782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  868785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  868788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868814 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  868817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868836 */     GIR_RootConstrainSelectedInstOperands,
     /*  868837 */     // GIR_Coverage, 24881,
     /*  868837 */     GIR_EraseRootFromParent_Done,
     /*  868838 */   // Label 13288: @868838
     /*  868838 */   GIM_Try, /*On fail goto*//*Label 13289*/ GIMT_Encode4(868913), // Rule ID 24882 //
     /*  868843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  868846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  868854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  868857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  868860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  868863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868889 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  868892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868911 */     GIR_RootConstrainSelectedInstOperands,
     /*  868912 */     // GIR_Coverage, 24882,
     /*  868912 */     GIR_EraseRootFromParent_Done,
     /*  868913 */   // Label 13289: @868913
     /*  868913 */   GIM_Try, /*On fail goto*//*Label 13290*/ GIMT_Encode4(868988), // Rule ID 24885 //
     /*  868918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  868921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  868929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  868932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  868935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  868938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868964 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  868964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  868967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868986 */     GIR_RootConstrainSelectedInstOperands,
     /*  868987 */     // GIR_Coverage, 24885,
     /*  868987 */     GIR_EraseRootFromParent_Done,
     /*  868988 */   // Label 13290: @868988
     /*  868988 */   GIM_Try, /*On fail goto*//*Label 13291*/ GIMT_Encode4(869063), // Rule ID 24886 //
     /*  868993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  868996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  869004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  869007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  869010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  869013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869039 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  869039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  869042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869061 */     GIR_RootConstrainSelectedInstOperands,
     /*  869062 */     // GIR_Coverage, 24886,
     /*  869062 */     GIR_EraseRootFromParent_Done,
     /*  869063 */   // Label 13291: @869063
     /*  869063 */   GIM_Try, /*On fail goto*//*Label 13292*/ GIMT_Encode4(869138), // Rule ID 24889 //
     /*  869068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  869071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  869079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  869082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  869085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  869088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869114 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  869117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869136 */     GIR_RootConstrainSelectedInstOperands,
     /*  869137 */     // GIR_Coverage, 24889,
     /*  869137 */     GIR_EraseRootFromParent_Done,
     /*  869138 */   // Label 13292: @869138
     /*  869138 */   GIM_Try, /*On fail goto*//*Label 13293*/ GIMT_Encode4(869213), // Rule ID 24890 //
     /*  869143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  869146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  869154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  869157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  869160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  869163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869189 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  869192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869211 */     GIR_RootConstrainSelectedInstOperands,
     /*  869212 */     // GIR_Coverage, 24890,
     /*  869212 */     GIR_EraseRootFromParent_Done,
     /*  869213 */   // Label 13293: @869213
     /*  869213 */   GIM_Try, /*On fail goto*//*Label 13294*/ GIMT_Encode4(869288), // Rule ID 24893 //
     /*  869218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  869221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  869229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  869232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  869235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  869238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869264 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  869264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  869267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869286 */     GIR_RootConstrainSelectedInstOperands,
     /*  869287 */     // GIR_Coverage, 24893,
     /*  869287 */     GIR_EraseRootFromParent_Done,
     /*  869288 */   // Label 13294: @869288
     /*  869288 */   GIM_Try, /*On fail goto*//*Label 13295*/ GIMT_Encode4(869363), // Rule ID 24894 //
     /*  869293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  869296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  869304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  869307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  869310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  869313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869339 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  869339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  869342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869361 */     GIR_RootConstrainSelectedInstOperands,
     /*  869362 */     // GIR_Coverage, 24894,
     /*  869362 */     GIR_EraseRootFromParent_Done,
     /*  869363 */   // Label 13295: @869363
     /*  869363 */   GIM_Try, /*On fail goto*//*Label 13296*/ GIMT_Encode4(869438), // Rule ID 24897 //
     /*  869368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  869371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  869379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  869382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  869385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  869388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869414 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  869414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  869417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869436 */     GIR_RootConstrainSelectedInstOperands,
     /*  869437 */     // GIR_Coverage, 24897,
     /*  869437 */     GIR_EraseRootFromParent_Done,
     /*  869438 */   // Label 13296: @869438
     /*  869438 */   GIM_Try, /*On fail goto*//*Label 13297*/ GIMT_Encode4(869513), // Rule ID 24898 //
     /*  869443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  869446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  869454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  869457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  869460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  869463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869489 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  869489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  869492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869511 */     GIR_RootConstrainSelectedInstOperands,
     /*  869512 */     // GIR_Coverage, 24898,
     /*  869512 */     GIR_EraseRootFromParent_Done,
     /*  869513 */   // Label 13297: @869513
     /*  869513 */   GIM_Try, /*On fail goto*//*Label 13298*/ GIMT_Encode4(869588), // Rule ID 24901 //
     /*  869518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  869521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  869529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  869532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  869535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  869538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869564 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  869567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869586 */     GIR_RootConstrainSelectedInstOperands,
     /*  869587 */     // GIR_Coverage, 24901,
     /*  869587 */     GIR_EraseRootFromParent_Done,
     /*  869588 */   // Label 13298: @869588
     /*  869588 */   GIM_Try, /*On fail goto*//*Label 13299*/ GIMT_Encode4(869663), // Rule ID 24902 //
     /*  869593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  869596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  869604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  869607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  869610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  869613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869639 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  869642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869661 */     GIR_RootConstrainSelectedInstOperands,
     /*  869662 */     // GIR_Coverage, 24902,
     /*  869662 */     GIR_EraseRootFromParent_Done,
     /*  869663 */   // Label 13299: @869663
     /*  869663 */   GIM_Try, /*On fail goto*//*Label 13300*/ GIMT_Encode4(869738), // Rule ID 24905 //
     /*  869668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  869671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  869679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  869682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  869685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  869688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869714 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  869717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869736 */     GIR_RootConstrainSelectedInstOperands,
     /*  869737 */     // GIR_Coverage, 24905,
     /*  869737 */     GIR_EraseRootFromParent_Done,
     /*  869738 */   // Label 13300: @869738
     /*  869738 */   GIM_Try, /*On fail goto*//*Label 13301*/ GIMT_Encode4(869813), // Rule ID 24906 //
     /*  869743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  869746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  869754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  869757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  869760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  869763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869789 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  869792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869811 */     GIR_RootConstrainSelectedInstOperands,
     /*  869812 */     // GIR_Coverage, 24906,
     /*  869812 */     GIR_EraseRootFromParent_Done,
     /*  869813 */   // Label 13301: @869813
     /*  869813 */   GIM_Try, /*On fail goto*//*Label 13302*/ GIMT_Encode4(869888), // Rule ID 24909 //
     /*  869818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  869821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  869829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  869832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  869835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  869838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869864 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  869867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869886 */     GIR_RootConstrainSelectedInstOperands,
     /*  869887 */     // GIR_Coverage, 24909,
     /*  869887 */     GIR_EraseRootFromParent_Done,
     /*  869888 */   // Label 13302: @869888
     /*  869888 */   GIM_Try, /*On fail goto*//*Label 13303*/ GIMT_Encode4(869963), // Rule ID 24910 //
     /*  869893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  869896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  869904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  869907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  869910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  869913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869939 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  869942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869961 */     GIR_RootConstrainSelectedInstOperands,
     /*  869962 */     // GIR_Coverage, 24910,
     /*  869962 */     GIR_EraseRootFromParent_Done,
     /*  869963 */   // Label 13303: @869963
     /*  869963 */   GIM_Try, /*On fail goto*//*Label 13304*/ GIMT_Encode4(870038), // Rule ID 24913 //
     /*  869968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  869971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  869979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  869982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  869985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  869988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870014 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  870017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870036 */     GIR_RootConstrainSelectedInstOperands,
     /*  870037 */     // GIR_Coverage, 24913,
     /*  870037 */     GIR_EraseRootFromParent_Done,
     /*  870038 */   // Label 13304: @870038
     /*  870038 */   GIM_Try, /*On fail goto*//*Label 13305*/ GIMT_Encode4(870113), // Rule ID 24914 //
     /*  870043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  870046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  870054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  870057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  870060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  870063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870089 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  870092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870111 */     GIR_RootConstrainSelectedInstOperands,
     /*  870112 */     // GIR_Coverage, 24914,
     /*  870112 */     GIR_EraseRootFromParent_Done,
     /*  870113 */   // Label 13305: @870113
     /*  870113 */   GIM_Try, /*On fail goto*//*Label 13306*/ GIMT_Encode4(870188), // Rule ID 24917 //
     /*  870118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  870121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  870129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  870132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  870135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  870138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870164 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  870167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870186 */     GIR_RootConstrainSelectedInstOperands,
     /*  870187 */     // GIR_Coverage, 24917,
     /*  870187 */     GIR_EraseRootFromParent_Done,
     /*  870188 */   // Label 13306: @870188
     /*  870188 */   GIM_Try, /*On fail goto*//*Label 13307*/ GIMT_Encode4(870263), // Rule ID 24918 //
     /*  870193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  870196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  870204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  870207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  870210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  870213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870239 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  870242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870261 */     GIR_RootConstrainSelectedInstOperands,
     /*  870262 */     // GIR_Coverage, 24918,
     /*  870262 */     GIR_EraseRootFromParent_Done,
     /*  870263 */   // Label 13307: @870263
     /*  870263 */   GIM_Try, /*On fail goto*//*Label 13308*/ GIMT_Encode4(870338), // Rule ID 24921 //
     /*  870268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  870271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  870279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  870282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  870285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  870288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870314 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  870317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870336 */     GIR_RootConstrainSelectedInstOperands,
     /*  870337 */     // GIR_Coverage, 24921,
     /*  870337 */     GIR_EraseRootFromParent_Done,
     /*  870338 */   // Label 13308: @870338
     /*  870338 */   GIM_Try, /*On fail goto*//*Label 13309*/ GIMT_Encode4(870413), // Rule ID 24922 //
     /*  870343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  870346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  870354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  870357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  870360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  870363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870389 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  870392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870411 */     GIR_RootConstrainSelectedInstOperands,
     /*  870412 */     // GIR_Coverage, 24922,
     /*  870412 */     GIR_EraseRootFromParent_Done,
     /*  870413 */   // Label 13309: @870413
     /*  870413 */   GIM_Try, /*On fail goto*//*Label 13310*/ GIMT_Encode4(870488), // Rule ID 24925 //
     /*  870418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  870421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  870429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  870432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  870435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870464 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  870464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  870467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870486 */     GIR_RootConstrainSelectedInstOperands,
     /*  870487 */     // GIR_Coverage, 24925,
     /*  870487 */     GIR_EraseRootFromParent_Done,
     /*  870488 */   // Label 13310: @870488
     /*  870488 */   GIM_Try, /*On fail goto*//*Label 13311*/ GIMT_Encode4(870563), // Rule ID 24926 //
     /*  870493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  870496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  870504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  870507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  870510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870539 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  870539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  870542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870561 */     GIR_RootConstrainSelectedInstOperands,
     /*  870562 */     // GIR_Coverage, 24926,
     /*  870562 */     GIR_EraseRootFromParent_Done,
     /*  870563 */   // Label 13311: @870563
     /*  870563 */   GIM_Try, /*On fail goto*//*Label 13312*/ GIMT_Encode4(870638), // Rule ID 24929 //
     /*  870568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  870571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  870579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  870582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  870585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  870588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870614 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  870614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  870617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870636 */     GIR_RootConstrainSelectedInstOperands,
     /*  870637 */     // GIR_Coverage, 24929,
     /*  870637 */     GIR_EraseRootFromParent_Done,
     /*  870638 */   // Label 13312: @870638
     /*  870638 */   GIM_Try, /*On fail goto*//*Label 13313*/ GIMT_Encode4(870713), // Rule ID 24930 //
     /*  870643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  870646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  870654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  870657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  870660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  870663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870689 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  870689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  870692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870711 */     GIR_RootConstrainSelectedInstOperands,
     /*  870712 */     // GIR_Coverage, 24930,
     /*  870712 */     GIR_EraseRootFromParent_Done,
     /*  870713 */   // Label 13313: @870713
     /*  870713 */   GIM_Try, /*On fail goto*//*Label 13314*/ GIMT_Encode4(870788), // Rule ID 24933 //
     /*  870718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  870721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  870729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  870732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  870735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  870738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870764 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  870764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  870767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870786 */     GIR_RootConstrainSelectedInstOperands,
     /*  870787 */     // GIR_Coverage, 24933,
     /*  870787 */     GIR_EraseRootFromParent_Done,
     /*  870788 */   // Label 13314: @870788
     /*  870788 */   GIM_Try, /*On fail goto*//*Label 13315*/ GIMT_Encode4(870863), // Rule ID 24934 //
     /*  870793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  870796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  870804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  870807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  870810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  870813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870839 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  870839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  870842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870861 */     GIR_RootConstrainSelectedInstOperands,
     /*  870862 */     // GIR_Coverage, 24934,
     /*  870862 */     GIR_EraseRootFromParent_Done,
     /*  870863 */   // Label 13315: @870863
     /*  870863 */   GIM_Try, /*On fail goto*//*Label 13316*/ GIMT_Encode4(870935), // Rule ID 24937 //
     /*  870868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  870871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  870876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  870879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  870882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  870885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  870888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870914 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  870914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  870917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  870933 */     GIR_RootConstrainSelectedInstOperands,
     /*  870934 */     // GIR_Coverage, 24937,
     /*  870934 */     GIR_EraseRootFromParent_Done,
     /*  870935 */   // Label 13316: @870935
     /*  870935 */   GIM_Try, /*On fail goto*//*Label 13317*/ GIMT_Encode4(871007), // Rule ID 24938 //
     /*  870940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  870943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  870948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  870951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  870954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  870957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  870960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870986 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  870986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  870989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871005 */     GIR_RootConstrainSelectedInstOperands,
     /*  871006 */     // GIR_Coverage, 24938,
     /*  871006 */     GIR_EraseRootFromParent_Done,
     /*  871007 */   // Label 13317: @871007
     /*  871007 */   GIM_Try, /*On fail goto*//*Label 13318*/ GIMT_Encode4(871079), // Rule ID 24939 //
     /*  871012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  871020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  871023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  871026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  871029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  871032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871058 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  871058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  871061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871077 */     GIR_RootConstrainSelectedInstOperands,
     /*  871078 */     // GIR_Coverage, 24939,
     /*  871078 */     GIR_EraseRootFromParent_Done,
     /*  871079 */   // Label 13318: @871079
     /*  871079 */   GIM_Try, /*On fail goto*//*Label 13319*/ GIMT_Encode4(871151), // Rule ID 24940 //
     /*  871084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  871092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  871095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  871098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  871101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  871104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871130 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  871130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  871133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871149 */     GIR_RootConstrainSelectedInstOperands,
     /*  871150 */     // GIR_Coverage, 24940,
     /*  871150 */     GIR_EraseRootFromParent_Done,
     /*  871151 */   // Label 13319: @871151
     /*  871151 */   GIM_Try, /*On fail goto*//*Label 13320*/ GIMT_Encode4(871223), // Rule ID 24941 //
     /*  871156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  871164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  871167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  871170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  871173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  871176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871202 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  871202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  871205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871221 */     GIR_RootConstrainSelectedInstOperands,
     /*  871222 */     // GIR_Coverage, 24941,
     /*  871222 */     GIR_EraseRootFromParent_Done,
     /*  871223 */   // Label 13320: @871223
     /*  871223 */   GIM_Try, /*On fail goto*//*Label 13321*/ GIMT_Encode4(871295), // Rule ID 24942 //
     /*  871228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  871236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  871239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  871242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  871245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  871248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871274 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  871274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  871277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871293 */     GIR_RootConstrainSelectedInstOperands,
     /*  871294 */     // GIR_Coverage, 24942,
     /*  871294 */     GIR_EraseRootFromParent_Done,
     /*  871295 */   // Label 13321: @871295
     /*  871295 */   GIM_Try, /*On fail goto*//*Label 13322*/ GIMT_Encode4(871367), // Rule ID 24943 //
     /*  871300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  871308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  871311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  871314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  871317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  871320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871346 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  871346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  871349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871365 */     GIR_RootConstrainSelectedInstOperands,
     /*  871366 */     // GIR_Coverage, 24943,
     /*  871366 */     GIR_EraseRootFromParent_Done,
     /*  871367 */   // Label 13322: @871367
     /*  871367 */   GIM_Try, /*On fail goto*//*Label 13323*/ GIMT_Encode4(871439), // Rule ID 24944 //
     /*  871372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  871380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  871383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  871386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  871389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  871392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871418 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  871418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  871421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871437 */     GIR_RootConstrainSelectedInstOperands,
     /*  871438 */     // GIR_Coverage, 24944,
     /*  871438 */     GIR_EraseRootFromParent_Done,
     /*  871439 */   // Label 13323: @871439
     /*  871439 */   GIM_Try, /*On fail goto*//*Label 13324*/ GIMT_Encode4(871511), // Rule ID 24945 //
     /*  871444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  871452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  871455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  871458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  871461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  871464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871490 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  871490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  871493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871509 */     GIR_RootConstrainSelectedInstOperands,
     /*  871510 */     // GIR_Coverage, 24945,
     /*  871510 */     GIR_EraseRootFromParent_Done,
     /*  871511 */   // Label 13324: @871511
     /*  871511 */   GIM_Try, /*On fail goto*//*Label 13325*/ GIMT_Encode4(871583), // Rule ID 24946 //
     /*  871516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  871524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  871527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  871530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  871533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  871536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871562 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  871562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  871565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871581 */     GIR_RootConstrainSelectedInstOperands,
     /*  871582 */     // GIR_Coverage, 24946,
     /*  871582 */     GIR_EraseRootFromParent_Done,
     /*  871583 */   // Label 13325: @871583
     /*  871583 */   GIM_Try, /*On fail goto*//*Label 13326*/ GIMT_Encode4(871655), // Rule ID 24947 //
     /*  871588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  871596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  871599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  871602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  871605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  871608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871634 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  871634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  871637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871653 */     GIR_RootConstrainSelectedInstOperands,
     /*  871654 */     // GIR_Coverage, 24947,
     /*  871654 */     GIR_EraseRootFromParent_Done,
     /*  871655 */   // Label 13326: @871655
     /*  871655 */   GIM_Try, /*On fail goto*//*Label 13327*/ GIMT_Encode4(871727), // Rule ID 24948 //
     /*  871660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  871668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  871671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  871674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  871677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  871680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871706 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  871706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  871709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871725 */     GIR_RootConstrainSelectedInstOperands,
     /*  871726 */     // GIR_Coverage, 24948,
     /*  871726 */     GIR_EraseRootFromParent_Done,
     /*  871727 */   // Label 13327: @871727
     /*  871727 */   GIM_Try, /*On fail goto*//*Label 13328*/ GIMT_Encode4(871799), // Rule ID 24949 //
     /*  871732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  871740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  871743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  871746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  871749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  871752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  871778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  871781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871797 */     GIR_RootConstrainSelectedInstOperands,
     /*  871798 */     // GIR_Coverage, 24949,
     /*  871798 */     GIR_EraseRootFromParent_Done,
     /*  871799 */   // Label 13328: @871799
     /*  871799 */   GIM_Try, /*On fail goto*//*Label 13329*/ GIMT_Encode4(871871), // Rule ID 24950 //
     /*  871804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  871812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  871815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  871818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  871821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  871824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871850 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  871850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  871853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871869 */     GIR_RootConstrainSelectedInstOperands,
     /*  871870 */     // GIR_Coverage, 24950,
     /*  871870 */     GIR_EraseRootFromParent_Done,
     /*  871871 */   // Label 13329: @871871
     /*  871871 */   GIM_Try, /*On fail goto*//*Label 13330*/ GIMT_Encode4(871943), // Rule ID 24951 //
     /*  871876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  871884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  871887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  871890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  871893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  871896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871922 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  871922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  871925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871941 */     GIR_RootConstrainSelectedInstOperands,
     /*  871942 */     // GIR_Coverage, 24951,
     /*  871942 */     GIR_EraseRootFromParent_Done,
     /*  871943 */   // Label 13330: @871943
     /*  871943 */   GIM_Try, /*On fail goto*//*Label 13331*/ GIMT_Encode4(872015), // Rule ID 24952 //
     /*  871948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  871956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  871959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  871962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  871965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  871968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871994 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  871994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  871997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872013 */     GIR_RootConstrainSelectedInstOperands,
     /*  872014 */     // GIR_Coverage, 24952,
     /*  872014 */     GIR_EraseRootFromParent_Done,
     /*  872015 */   // Label 13331: @872015
     /*  872015 */   GIM_Try, /*On fail goto*//*Label 13332*/ GIMT_Encode4(872087), // Rule ID 24953 //
     /*  872020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  872023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  872031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  872034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  872037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  872040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872066 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  872066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  872069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872085 */     GIR_RootConstrainSelectedInstOperands,
     /*  872086 */     // GIR_Coverage, 24953,
     /*  872086 */     GIR_EraseRootFromParent_Done,
     /*  872087 */   // Label 13332: @872087
     /*  872087 */   GIM_Try, /*On fail goto*//*Label 13333*/ GIMT_Encode4(872159), // Rule ID 24954 //
     /*  872092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  872095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  872103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  872106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  872109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  872112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872138 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  872138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  872141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872157 */     GIR_RootConstrainSelectedInstOperands,
     /*  872158 */     // GIR_Coverage, 24954,
     /*  872158 */     GIR_EraseRootFromParent_Done,
     /*  872159 */   // Label 13333: @872159
     /*  872159 */   GIM_Try, /*On fail goto*//*Label 13334*/ GIMT_Encode4(872231), // Rule ID 24955 //
     /*  872164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  872175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  872178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  872181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  872184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872210 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  872210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  872213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872229 */     GIR_RootConstrainSelectedInstOperands,
     /*  872230 */     // GIR_Coverage, 24955,
     /*  872230 */     GIR_EraseRootFromParent_Done,
     /*  872231 */   // Label 13334: @872231
     /*  872231 */   GIM_Try, /*On fail goto*//*Label 13335*/ GIMT_Encode4(872303), // Rule ID 24956 //
     /*  872236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  872247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  872250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  872253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  872256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872282 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  872282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  872285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872301 */     GIR_RootConstrainSelectedInstOperands,
     /*  872302 */     // GIR_Coverage, 24956,
     /*  872302 */     GIR_EraseRootFromParent_Done,
     /*  872303 */   // Label 13335: @872303
     /*  872303 */   GIM_Try, /*On fail goto*//*Label 13336*/ GIMT_Encode4(872375), // Rule ID 24957 //
     /*  872308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  872319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  872322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  872325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  872328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872354 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  872354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  872357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872373 */     GIR_RootConstrainSelectedInstOperands,
     /*  872374 */     // GIR_Coverage, 24957,
     /*  872374 */     GIR_EraseRootFromParent_Done,
     /*  872375 */   // Label 13336: @872375
     /*  872375 */   GIM_Try, /*On fail goto*//*Label 13337*/ GIMT_Encode4(872447), // Rule ID 24958 //
     /*  872380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  872391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  872394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  872397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  872400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872426 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  872426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  872429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872445 */     GIR_RootConstrainSelectedInstOperands,
     /*  872446 */     // GIR_Coverage, 24958,
     /*  872446 */     GIR_EraseRootFromParent_Done,
     /*  872447 */   // Label 13337: @872447
     /*  872447 */   GIM_Try, /*On fail goto*//*Label 13338*/ GIMT_Encode4(872519), // Rule ID 24959 //
     /*  872452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  872463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  872466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  872469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  872472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872498 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  872498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  872501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872517 */     GIR_RootConstrainSelectedInstOperands,
     /*  872518 */     // GIR_Coverage, 24959,
     /*  872518 */     GIR_EraseRootFromParent_Done,
     /*  872519 */   // Label 13338: @872519
     /*  872519 */   GIM_Try, /*On fail goto*//*Label 13339*/ GIMT_Encode4(872591), // Rule ID 24960 //
     /*  872524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  872535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  872538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  872541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  872544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872570 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  872570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  872573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872589 */     GIR_RootConstrainSelectedInstOperands,
     /*  872590 */     // GIR_Coverage, 24960,
     /*  872590 */     GIR_EraseRootFromParent_Done,
     /*  872591 */   // Label 13339: @872591
     /*  872591 */   GIM_Try, /*On fail goto*//*Label 13340*/ GIMT_Encode4(872663), // Rule ID 24961 //
     /*  872596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  872607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  872610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  872613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  872616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872642 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  872642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  872645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872661 */     GIR_RootConstrainSelectedInstOperands,
     /*  872662 */     // GIR_Coverage, 24961,
     /*  872662 */     GIR_EraseRootFromParent_Done,
     /*  872663 */   // Label 13340: @872663
     /*  872663 */   GIM_Try, /*On fail goto*//*Label 13341*/ GIMT_Encode4(872735), // Rule ID 24962 //
     /*  872668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  872679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  872682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  872685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  872688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872714 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  872714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  872717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872733 */     GIR_RootConstrainSelectedInstOperands,
     /*  872734 */     // GIR_Coverage, 24962,
     /*  872734 */     GIR_EraseRootFromParent_Done,
     /*  872735 */   // Label 13341: @872735
     /*  872735 */   GIM_Try, /*On fail goto*//*Label 13342*/ GIMT_Encode4(872807), // Rule ID 24963 //
     /*  872740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  872751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  872754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  872757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  872760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872786 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  872786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  872789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872805 */     GIR_RootConstrainSelectedInstOperands,
     /*  872806 */     // GIR_Coverage, 24963,
     /*  872806 */     GIR_EraseRootFromParent_Done,
     /*  872807 */   // Label 13342: @872807
     /*  872807 */   GIM_Try, /*On fail goto*//*Label 13343*/ GIMT_Encode4(872879), // Rule ID 24964 //
     /*  872812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  872823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  872826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  872829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  872832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872858 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  872858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  872861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872877 */     GIR_RootConstrainSelectedInstOperands,
     /*  872878 */     // GIR_Coverage, 24964,
     /*  872878 */     GIR_EraseRootFromParent_Done,
     /*  872879 */   // Label 13343: @872879
     /*  872879 */   GIM_Try, /*On fail goto*//*Label 13344*/ GIMT_Encode4(872951), // Rule ID 24965 //
     /*  872884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  872895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  872898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  872901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  872904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872930 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  872930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  872933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872949 */     GIR_RootConstrainSelectedInstOperands,
     /*  872950 */     // GIR_Coverage, 24965,
     /*  872950 */     GIR_EraseRootFromParent_Done,
     /*  872951 */   // Label 13344: @872951
     /*  872951 */   GIM_Try, /*On fail goto*//*Label 13345*/ GIMT_Encode4(873023), // Rule ID 24966 //
     /*  872956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  872964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  872967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  872970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  872973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  872976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873002 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  873002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  873005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873021 */     GIR_RootConstrainSelectedInstOperands,
     /*  873022 */     // GIR_Coverage, 24966,
     /*  873022 */     GIR_EraseRootFromParent_Done,
     /*  873023 */   // Label 13345: @873023
     /*  873023 */   GIM_Try, /*On fail goto*//*Label 13346*/ GIMT_Encode4(873095), // Rule ID 24967 //
     /*  873028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  873039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  873042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  873045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  873048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873074 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  873074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  873077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873093 */     GIR_RootConstrainSelectedInstOperands,
     /*  873094 */     // GIR_Coverage, 24967,
     /*  873094 */     GIR_EraseRootFromParent_Done,
     /*  873095 */   // Label 13346: @873095
     /*  873095 */   GIM_Try, /*On fail goto*//*Label 13347*/ GIMT_Encode4(873167), // Rule ID 24968 //
     /*  873100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  873111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  873114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  873117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  873120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873146 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  873146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  873149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873165 */     GIR_RootConstrainSelectedInstOperands,
     /*  873166 */     // GIR_Coverage, 24968,
     /*  873166 */     GIR_EraseRootFromParent_Done,
     /*  873167 */   // Label 13347: @873167
     /*  873167 */   GIM_Try, /*On fail goto*//*Label 13348*/ GIMT_Encode4(873239), // Rule ID 24969 //
     /*  873172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  873183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  873186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  873189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  873192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873218 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  873218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  873221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873237 */     GIR_RootConstrainSelectedInstOperands,
     /*  873238 */     // GIR_Coverage, 24969,
     /*  873238 */     GIR_EraseRootFromParent_Done,
     /*  873239 */   // Label 13348: @873239
     /*  873239 */   GIM_Try, /*On fail goto*//*Label 13349*/ GIMT_Encode4(873311), // Rule ID 24970 //
     /*  873244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  873255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  873258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  873261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  873264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873290 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  873290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  873293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873309 */     GIR_RootConstrainSelectedInstOperands,
     /*  873310 */     // GIR_Coverage, 24970,
     /*  873310 */     GIR_EraseRootFromParent_Done,
     /*  873311 */   // Label 13349: @873311
     /*  873311 */   GIM_Try, /*On fail goto*//*Label 13350*/ GIMT_Encode4(873383), // Rule ID 24971 //
     /*  873316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  873327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  873330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  873333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  873336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873362 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  873362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  873365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873381 */     GIR_RootConstrainSelectedInstOperands,
     /*  873382 */     // GIR_Coverage, 24971,
     /*  873382 */     GIR_EraseRootFromParent_Done,
     /*  873383 */   // Label 13350: @873383
     /*  873383 */   GIM_Try, /*On fail goto*//*Label 13351*/ GIMT_Encode4(873455), // Rule ID 24972 //
     /*  873388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  873399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  873402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  873405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  873408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873434 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  873434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  873437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873453 */     GIR_RootConstrainSelectedInstOperands,
     /*  873454 */     // GIR_Coverage, 24972,
     /*  873454 */     GIR_EraseRootFromParent_Done,
     /*  873455 */   // Label 13351: @873455
     /*  873455 */   GIM_Try, /*On fail goto*//*Label 13352*/ GIMT_Encode4(873527), // Rule ID 24973 //
     /*  873460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  873463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  873471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  873474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  873477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  873480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873506 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  873506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  873509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873525 */     GIR_RootConstrainSelectedInstOperands,
     /*  873526 */     // GIR_Coverage, 24973,
     /*  873526 */     GIR_EraseRootFromParent_Done,
     /*  873527 */   // Label 13352: @873527
     /*  873527 */   GIM_Try, /*On fail goto*//*Label 13353*/ GIMT_Encode4(873599), // Rule ID 24974 //
     /*  873532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  873535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  873543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  873546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  873549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  873552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873578 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  873578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  873581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873597 */     GIR_RootConstrainSelectedInstOperands,
     /*  873598 */     // GIR_Coverage, 24974,
     /*  873598 */     GIR_EraseRootFromParent_Done,
     /*  873599 */   // Label 13353: @873599
     /*  873599 */   GIM_Try, /*On fail goto*//*Label 13354*/ GIMT_Encode4(873671), // Rule ID 24975 //
     /*  873604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  873607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  873615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  873618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  873621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  873624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873650 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  873650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  873653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873669 */     GIR_RootConstrainSelectedInstOperands,
     /*  873670 */     // GIR_Coverage, 24975,
     /*  873670 */     GIR_EraseRootFromParent_Done,
     /*  873671 */   // Label 13354: @873671
     /*  873671 */   GIM_Try, /*On fail goto*//*Label 13355*/ GIMT_Encode4(873743), // Rule ID 24976 //
     /*  873676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  873679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  873687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  873690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  873693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  873696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873722 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  873722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  873725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873741 */     GIR_RootConstrainSelectedInstOperands,
     /*  873742 */     // GIR_Coverage, 24976,
     /*  873742 */     GIR_EraseRootFromParent_Done,
     /*  873743 */   // Label 13355: @873743
     /*  873743 */   GIM_Try, /*On fail goto*//*Label 13356*/ GIMT_Encode4(873815), // Rule ID 24977 //
     /*  873748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  873751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  873759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  873762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  873765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  873768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873794 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  873794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  873797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873813 */     GIR_RootConstrainSelectedInstOperands,
     /*  873814 */     // GIR_Coverage, 24977,
     /*  873814 */     GIR_EraseRootFromParent_Done,
     /*  873815 */   // Label 13356: @873815
     /*  873815 */   GIM_Try, /*On fail goto*//*Label 13357*/ GIMT_Encode4(873887), // Rule ID 24978 //
     /*  873820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  873823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  873831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  873834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  873837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  873840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873866 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  873866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  873869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873885 */     GIR_RootConstrainSelectedInstOperands,
     /*  873886 */     // GIR_Coverage, 24978,
     /*  873886 */     GIR_EraseRootFromParent_Done,
     /*  873887 */   // Label 13357: @873887
     /*  873887 */   GIM_Try, /*On fail goto*//*Label 13358*/ GIMT_Encode4(873959), // Rule ID 24979 //
     /*  873892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  873895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  873903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  873906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  873909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  873912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873938 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  873938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  873941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873957 */     GIR_RootConstrainSelectedInstOperands,
     /*  873958 */     // GIR_Coverage, 24979,
     /*  873958 */     GIR_EraseRootFromParent_Done,
     /*  873959 */   // Label 13358: @873959
     /*  873959 */   GIM_Try, /*On fail goto*//*Label 13359*/ GIMT_Encode4(874031), // Rule ID 24980 //
     /*  873964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  873967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  873972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  873975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  873978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  873981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  873984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874010 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  874010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  874013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874029 */     GIR_RootConstrainSelectedInstOperands,
     /*  874030 */     // GIR_Coverage, 24980,
     /*  874030 */     GIR_EraseRootFromParent_Done,
     /*  874031 */   // Label 13359: @874031
     /*  874031 */   GIM_Try, /*On fail goto*//*Label 13360*/ GIMT_Encode4(874103), // Rule ID 24981 //
     /*  874036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  874039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  874047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  874050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  874053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  874056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874082 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  874085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874101 */     GIR_RootConstrainSelectedInstOperands,
     /*  874102 */     // GIR_Coverage, 24981,
     /*  874102 */     GIR_EraseRootFromParent_Done,
     /*  874103 */   // Label 13360: @874103
     /*  874103 */   GIM_Try, /*On fail goto*//*Label 13361*/ GIMT_Encode4(874175), // Rule ID 24982 //
     /*  874108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  874111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  874119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  874122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  874125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  874128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874154 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  874154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  874157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874173 */     GIR_RootConstrainSelectedInstOperands,
     /*  874174 */     // GIR_Coverage, 24982,
     /*  874174 */     GIR_EraseRootFromParent_Done,
     /*  874175 */   // Label 13361: @874175
     /*  874175 */   GIM_Try, /*On fail goto*//*Label 13362*/ GIMT_Encode4(874247), // Rule ID 24983 //
     /*  874180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  874183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  874191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  874194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  874197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  874200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874226 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  874226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  874229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874245 */     GIR_RootConstrainSelectedInstOperands,
     /*  874246 */     // GIR_Coverage, 24983,
     /*  874246 */     GIR_EraseRootFromParent_Done,
     /*  874247 */   // Label 13362: @874247
     /*  874247 */   GIM_Try, /*On fail goto*//*Label 13363*/ GIMT_Encode4(874319), // Rule ID 24984 //
     /*  874252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  874255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  874263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  874266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  874269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  874272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874298 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  874298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  874301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874317 */     GIR_RootConstrainSelectedInstOperands,
     /*  874318 */     // GIR_Coverage, 24984,
     /*  874318 */     GIR_EraseRootFromParent_Done,
     /*  874319 */   // Label 13363: @874319
     /*  874319 */   GIM_Try, /*On fail goto*//*Label 13364*/ GIMT_Encode4(874391), // Rule ID 24985 //
     /*  874324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  874327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  874335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  874338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  874341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  874344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874370 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  874373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874389 */     GIR_RootConstrainSelectedInstOperands,
     /*  874390 */     // GIR_Coverage, 24985,
     /*  874390 */     GIR_EraseRootFromParent_Done,
     /*  874391 */   // Label 13364: @874391
     /*  874391 */   GIM_Try, /*On fail goto*//*Label 13365*/ GIMT_Encode4(874463), // Rule ID 24986 //
     /*  874396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  874399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  874407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  874410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  874413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  874416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874442 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  874442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  874445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874461 */     GIR_RootConstrainSelectedInstOperands,
     /*  874462 */     // GIR_Coverage, 24986,
     /*  874462 */     GIR_EraseRootFromParent_Done,
     /*  874463 */   // Label 13365: @874463
     /*  874463 */   GIM_Try, /*On fail goto*//*Label 13366*/ GIMT_Encode4(874535), // Rule ID 24987 //
     /*  874468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  874471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  874479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  874482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  874485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  874488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874514 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  874517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874533 */     GIR_RootConstrainSelectedInstOperands,
     /*  874534 */     // GIR_Coverage, 24987,
     /*  874534 */     GIR_EraseRootFromParent_Done,
     /*  874535 */   // Label 13366: @874535
     /*  874535 */   GIM_Try, /*On fail goto*//*Label 13367*/ GIMT_Encode4(874607), // Rule ID 24988 //
     /*  874540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  874543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  874551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  874554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  874557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  874560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874586 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  874586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  874589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874605 */     GIR_RootConstrainSelectedInstOperands,
     /*  874606 */     // GIR_Coverage, 24988,
     /*  874606 */     GIR_EraseRootFromParent_Done,
     /*  874607 */   // Label 13367: @874607
     /*  874607 */   GIM_Try, /*On fail goto*//*Label 13368*/ GIMT_Encode4(874679), // Rule ID 24989 //
     /*  874612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  874615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  874623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  874626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  874629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  874632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874658 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  874661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874677 */     GIR_RootConstrainSelectedInstOperands,
     /*  874678 */     // GIR_Coverage, 24989,
     /*  874678 */     GIR_EraseRootFromParent_Done,
     /*  874679 */   // Label 13368: @874679
     /*  874679 */   GIM_Try, /*On fail goto*//*Label 13369*/ GIMT_Encode4(874751), // Rule ID 24990 //
     /*  874684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  874687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  874695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  874698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  874701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  874704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874730 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  874730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  874733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874749 */     GIR_RootConstrainSelectedInstOperands,
     /*  874750 */     // GIR_Coverage, 24990,
     /*  874750 */     GIR_EraseRootFromParent_Done,
     /*  874751 */   // Label 13369: @874751
     /*  874751 */   GIM_Try, /*On fail goto*//*Label 13370*/ GIMT_Encode4(874823), // Rule ID 24991 //
     /*  874756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  874759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  874767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  874770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  874773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  874776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874802 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  874802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  874805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874821 */     GIR_RootConstrainSelectedInstOperands,
     /*  874822 */     // GIR_Coverage, 24991,
     /*  874822 */     GIR_EraseRootFromParent_Done,
     /*  874823 */   // Label 13370: @874823
     /*  874823 */   GIM_Try, /*On fail goto*//*Label 13371*/ GIMT_Encode4(874895), // Rule ID 24992 //
     /*  874828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  874831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  874839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  874842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  874845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  874848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874874 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  874874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  874877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874893 */     GIR_RootConstrainSelectedInstOperands,
     /*  874894 */     // GIR_Coverage, 24992,
     /*  874894 */     GIR_EraseRootFromParent_Done,
     /*  874895 */   // Label 13371: @874895
     /*  874895 */   GIM_Try, /*On fail goto*//*Label 13372*/ GIMT_Encode4(874967), // Rule ID 24993 //
     /*  874900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  874903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  874911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  874914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  874917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  874920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874946 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  874946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  874949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874965 */     GIR_RootConstrainSelectedInstOperands,
     /*  874966 */     // GIR_Coverage, 24993,
     /*  874966 */     GIR_EraseRootFromParent_Done,
     /*  874967 */   // Label 13372: @874967
     /*  874967 */   GIM_Try, /*On fail goto*//*Label 13373*/ GIMT_Encode4(875039), // Rule ID 24994 //
     /*  874972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  874975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  874980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  874983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  874986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  874989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  874992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875018 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  875018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  875021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875037 */     GIR_RootConstrainSelectedInstOperands,
     /*  875038 */     // GIR_Coverage, 24994,
     /*  875038 */     GIR_EraseRootFromParent_Done,
     /*  875039 */   // Label 13373: @875039
     /*  875039 */   GIM_Try, /*On fail goto*//*Label 13374*/ GIMT_Encode4(875111), // Rule ID 24995 //
     /*  875044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  875047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  875055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  875058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  875061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  875064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875090 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  875090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  875093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875109 */     GIR_RootConstrainSelectedInstOperands,
     /*  875110 */     // GIR_Coverage, 24995,
     /*  875110 */     GIR_EraseRootFromParent_Done,
     /*  875111 */   // Label 13374: @875111
     /*  875111 */   GIM_Try, /*On fail goto*//*Label 13375*/ GIMT_Encode4(875183), // Rule ID 24996 //
     /*  875116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  875119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  875127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  875130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  875133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  875136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875162 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  875162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  875165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875181 */     GIR_RootConstrainSelectedInstOperands,
     /*  875182 */     // GIR_Coverage, 24996,
     /*  875182 */     GIR_EraseRootFromParent_Done,
     /*  875183 */   // Label 13375: @875183
     /*  875183 */   GIM_Try, /*On fail goto*//*Label 13376*/ GIMT_Encode4(875255), // Rule ID 24997 //
     /*  875188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  875191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  875199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  875202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  875205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  875208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875234 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  875234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  875237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875253 */     GIR_RootConstrainSelectedInstOperands,
     /*  875254 */     // GIR_Coverage, 24997,
     /*  875254 */     GIR_EraseRootFromParent_Done,
     /*  875255 */   // Label 13376: @875255
     /*  875255 */   GIM_Try, /*On fail goto*//*Label 13377*/ GIMT_Encode4(875327), // Rule ID 24998 //
     /*  875260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  875263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  875271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  875274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  875277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  875280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875306 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  875306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  875309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875325 */     GIR_RootConstrainSelectedInstOperands,
     /*  875326 */     // GIR_Coverage, 24998,
     /*  875326 */     GIR_EraseRootFromParent_Done,
     /*  875327 */   // Label 13377: @875327
     /*  875327 */   GIM_Try, /*On fail goto*//*Label 13378*/ GIMT_Encode4(875399), // Rule ID 24999 //
     /*  875332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  875335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  875343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  875346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  875349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  875352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875378 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  875378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  875381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875397 */     GIR_RootConstrainSelectedInstOperands,
     /*  875398 */     // GIR_Coverage, 24999,
     /*  875398 */     GIR_EraseRootFromParent_Done,
     /*  875399 */   // Label 13378: @875399
     /*  875399 */   GIM_Try, /*On fail goto*//*Label 13379*/ GIMT_Encode4(875471), // Rule ID 25000 //
     /*  875404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  875407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  875415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  875418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  875421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  875424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875450 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  875450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  875453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875469 */     GIR_RootConstrainSelectedInstOperands,
     /*  875470 */     // GIR_Coverage, 25000,
     /*  875470 */     GIR_EraseRootFromParent_Done,
     /*  875471 */   // Label 13379: @875471
     /*  875471 */   GIM_Try, /*On fail goto*//*Label 13380*/ GIMT_Encode4(875543), // Rule ID 25001 //
     /*  875476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  875479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  875487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  875490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  875493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  875496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875522 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  875522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  875525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875541 */     GIR_RootConstrainSelectedInstOperands,
     /*  875542 */     // GIR_Coverage, 25001,
     /*  875542 */     GIR_EraseRootFromParent_Done,
     /*  875543 */   // Label 13380: @875543
     /*  875543 */   GIM_Try, /*On fail goto*//*Label 13381*/ GIMT_Encode4(875615), // Rule ID 25002 //
     /*  875548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  875551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  875559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  875562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  875565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  875568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875594 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  875594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  875597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875613 */     GIR_RootConstrainSelectedInstOperands,
     /*  875614 */     // GIR_Coverage, 25002,
     /*  875614 */     GIR_EraseRootFromParent_Done,
     /*  875615 */   // Label 13381: @875615
     /*  875615 */   GIM_Try, /*On fail goto*//*Label 13382*/ GIMT_Encode4(875687), // Rule ID 25003 //
     /*  875620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  875623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  875631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  875634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  875637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  875640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875666 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  875666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  875669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875685 */     GIR_RootConstrainSelectedInstOperands,
     /*  875686 */     // GIR_Coverage, 25003,
     /*  875686 */     GIR_EraseRootFromParent_Done,
     /*  875687 */   // Label 13382: @875687
     /*  875687 */   GIM_Try, /*On fail goto*//*Label 13383*/ GIMT_Encode4(875759), // Rule ID 25004 //
     /*  875692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  875695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  875703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  875706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  875709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  875712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875738 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  875738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  875741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875757 */     GIR_RootConstrainSelectedInstOperands,
     /*  875758 */     // GIR_Coverage, 25004,
     /*  875758 */     GIR_EraseRootFromParent_Done,
     /*  875759 */   // Label 13383: @875759
     /*  875759 */   GIM_Try, /*On fail goto*//*Label 13384*/ GIMT_Encode4(875831), // Rule ID 25005 //
     /*  875764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  875767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  875775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  875778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  875781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  875784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875810 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  875810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  875813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875829 */     GIR_RootConstrainSelectedInstOperands,
     /*  875830 */     // GIR_Coverage, 25005,
     /*  875830 */     GIR_EraseRootFromParent_Done,
     /*  875831 */   // Label 13384: @875831
     /*  875831 */   GIM_Try, /*On fail goto*//*Label 13385*/ GIMT_Encode4(875903), // Rule ID 25006 //
     /*  875836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  875839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  875847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  875850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  875853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  875856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875882 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  875882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  875885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875901 */     GIR_RootConstrainSelectedInstOperands,
     /*  875902 */     // GIR_Coverage, 25006,
     /*  875902 */     GIR_EraseRootFromParent_Done,
     /*  875903 */   // Label 13385: @875903
     /*  875903 */   GIM_Try, /*On fail goto*//*Label 13386*/ GIMT_Encode4(875975), // Rule ID 25007 //
     /*  875908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  875911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  875919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  875922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  875925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  875928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875954 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  875954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  875957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875973 */     GIR_RootConstrainSelectedInstOperands,
     /*  875974 */     // GIR_Coverage, 25007,
     /*  875974 */     GIR_EraseRootFromParent_Done,
     /*  875975 */   // Label 13386: @875975
     /*  875975 */   GIM_Try, /*On fail goto*//*Label 13387*/ GIMT_Encode4(876047), // Rule ID 25008 //
     /*  875980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  875983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  875988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  875991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  875994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  875997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  876000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876026 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  876026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  876029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876045 */     GIR_RootConstrainSelectedInstOperands,
     /*  876046 */     // GIR_Coverage, 25008,
     /*  876046 */     GIR_EraseRootFromParent_Done,
     /*  876047 */   // Label 13387: @876047
     /*  876047 */   GIM_Try, /*On fail goto*//*Label 13388*/ GIMT_Encode4(876122), // Rule ID 59975 //
     /*  876052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  876055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  876060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  876063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  876066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  876069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  876072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876098 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  876098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  876101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876120 */     GIR_RootConstrainSelectedInstOperands,
     /*  876121 */     // GIR_Coverage, 59975,
     /*  876121 */     GIR_EraseRootFromParent_Done,
     /*  876122 */   // Label 13388: @876122
     /*  876122 */   GIM_Try, /*On fail goto*//*Label 13389*/ GIMT_Encode4(876197), // Rule ID 59976 //
     /*  876127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  876130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  876135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  876138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  876141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  876144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  876147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876173 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  876173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  876176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876195 */     GIR_RootConstrainSelectedInstOperands,
     /*  876196 */     // GIR_Coverage, 59976,
     /*  876196 */     GIR_EraseRootFromParent_Done,
     /*  876197 */   // Label 13389: @876197
     /*  876197 */   GIM_Try, /*On fail goto*//*Label 13390*/ GIMT_Encode4(876272), // Rule ID 60333 //
     /*  876202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  876205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  876210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  876213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  876216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  876219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  876222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876248 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  876248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  876251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876270 */     GIR_RootConstrainSelectedInstOperands,
     /*  876271 */     // GIR_Coverage, 60333,
     /*  876271 */     GIR_EraseRootFromParent_Done,
     /*  876272 */   // Label 13390: @876272
     /*  876272 */   GIM_Try, /*On fail goto*//*Label 13391*/ GIMT_Encode4(876347), // Rule ID 60334 //
     /*  876277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  876280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  876285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  876288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  876291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  876294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  876297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876323 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  876323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  876326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876345 */     GIR_RootConstrainSelectedInstOperands,
     /*  876346 */     // GIR_Coverage, 60334,
     /*  876346 */     GIR_EraseRootFromParent_Done,
     /*  876347 */   // Label 13391: @876347
     /*  876347 */   GIM_Try, /*On fail goto*//*Label 13392*/ GIMT_Encode4(876422), // Rule ID 60337 //
     /*  876352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  876355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  876360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  876363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  876366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  876369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  876372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876398 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  876398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  876401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876420 */     GIR_RootConstrainSelectedInstOperands,
     /*  876421 */     // GIR_Coverage, 60337,
     /*  876421 */     GIR_EraseRootFromParent_Done,
     /*  876422 */   // Label 13392: @876422
     /*  876422 */   GIM_Try, /*On fail goto*//*Label 13393*/ GIMT_Encode4(876497), // Rule ID 60338 //
     /*  876427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  876430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  876435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  876438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  876441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  876444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  876447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876473 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  876473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  876476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876495 */     GIR_RootConstrainSelectedInstOperands,
     /*  876496 */     // GIR_Coverage, 60338,
     /*  876496 */     GIR_EraseRootFromParent_Done,
     /*  876497 */   // Label 13393: @876497
     /*  876497 */   GIM_Try, /*On fail goto*//*Label 13394*/ GIMT_Encode4(876572), // Rule ID 60341 //
     /*  876502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  876505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  876510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  876513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  876516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  876519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  876522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876548 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  876548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  876551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876570 */     GIR_RootConstrainSelectedInstOperands,
     /*  876571 */     // GIR_Coverage, 60341,
     /*  876571 */     GIR_EraseRootFromParent_Done,
     /*  876572 */   // Label 13394: @876572
     /*  876572 */   GIM_Try, /*On fail goto*//*Label 13395*/ GIMT_Encode4(876647), // Rule ID 60342 //
     /*  876577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  876580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  876585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  876588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  876591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  876594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  876597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876623 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  876623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  876626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876645 */     GIR_RootConstrainSelectedInstOperands,
     /*  876646 */     // GIR_Coverage, 60342,
     /*  876646 */     GIR_EraseRootFromParent_Done,
     /*  876647 */   // Label 13395: @876647
     /*  876647 */   GIM_Try, /*On fail goto*//*Label 13396*/ GIMT_Encode4(876722), // Rule ID 60345 //
     /*  876652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  876655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  876660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  876663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  876666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  876669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  876672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876698 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  876698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  876701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876720 */     GIR_RootConstrainSelectedInstOperands,
     /*  876721 */     // GIR_Coverage, 60345,
     /*  876721 */     GIR_EraseRootFromParent_Done,
     /*  876722 */   // Label 13396: @876722
     /*  876722 */   GIM_Try, /*On fail goto*//*Label 13397*/ GIMT_Encode4(876797), // Rule ID 60346 //
     /*  876727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  876730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  876735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  876738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  876741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  876744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  876747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876773 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  876773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  876776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876795 */     GIR_RootConstrainSelectedInstOperands,
     /*  876796 */     // GIR_Coverage, 60346,
     /*  876796 */     GIR_EraseRootFromParent_Done,
     /*  876797 */   // Label 13397: @876797
     /*  876797 */   GIM_Try, /*On fail goto*//*Label 13398*/ GIMT_Encode4(876872), // Rule ID 60349 //
     /*  876802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  876805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  876810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  876813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  876816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  876819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  876822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876848 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  876848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  876851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876870 */     GIR_RootConstrainSelectedInstOperands,
     /*  876871 */     // GIR_Coverage, 60349,
     /*  876871 */     GIR_EraseRootFromParent_Done,
     /*  876872 */   // Label 13398: @876872
     /*  876872 */   GIM_Try, /*On fail goto*//*Label 13399*/ GIMT_Encode4(876947), // Rule ID 60350 //
     /*  876877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  876880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  876885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  876888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  876891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  876894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  876897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876923 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  876923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  876926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876945 */     GIR_RootConstrainSelectedInstOperands,
     /*  876946 */     // GIR_Coverage, 60350,
     /*  876946 */     GIR_EraseRootFromParent_Done,
     /*  876947 */   // Label 13399: @876947
     /*  876947 */   GIM_Try, /*On fail goto*//*Label 13400*/ GIMT_Encode4(877022), // Rule ID 60353 //
     /*  876952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  876955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  876960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  876963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  876966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  876969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  876972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876998 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  876998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  877001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877020 */     GIR_RootConstrainSelectedInstOperands,
     /*  877021 */     // GIR_Coverage, 60353,
     /*  877021 */     GIR_EraseRootFromParent_Done,
     /*  877022 */   // Label 13400: @877022
     /*  877022 */   GIM_Try, /*On fail goto*//*Label 13401*/ GIMT_Encode4(877097), // Rule ID 60354 //
     /*  877027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  877030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  877038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  877041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  877044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  877047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877073 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  877073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  877076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877095 */     GIR_RootConstrainSelectedInstOperands,
     /*  877096 */     // GIR_Coverage, 60354,
     /*  877096 */     GIR_EraseRootFromParent_Done,
     /*  877097 */   // Label 13401: @877097
     /*  877097 */   GIM_Try, /*On fail goto*//*Label 13402*/ GIMT_Encode4(877172), // Rule ID 60357 //
     /*  877102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  877105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  877113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  877116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  877119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  877122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877148 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  877148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  877151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877170 */     GIR_RootConstrainSelectedInstOperands,
     /*  877171 */     // GIR_Coverage, 60357,
     /*  877171 */     GIR_EraseRootFromParent_Done,
     /*  877172 */   // Label 13402: @877172
     /*  877172 */   GIM_Try, /*On fail goto*//*Label 13403*/ GIMT_Encode4(877247), // Rule ID 60358 //
     /*  877177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  877180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  877188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  877191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  877194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  877197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877223 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  877223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  877226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877245 */     GIR_RootConstrainSelectedInstOperands,
     /*  877246 */     // GIR_Coverage, 60358,
     /*  877246 */     GIR_EraseRootFromParent_Done,
     /*  877247 */   // Label 13403: @877247
     /*  877247 */   GIM_Try, /*On fail goto*//*Label 13404*/ GIMT_Encode4(877322), // Rule ID 60361 //
     /*  877252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  877255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  877263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  877266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  877269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  877272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877298 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  877298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  877301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877320 */     GIR_RootConstrainSelectedInstOperands,
     /*  877321 */     // GIR_Coverage, 60361,
     /*  877321 */     GIR_EraseRootFromParent_Done,
     /*  877322 */   // Label 13404: @877322
     /*  877322 */   GIM_Try, /*On fail goto*//*Label 13405*/ GIMT_Encode4(877397), // Rule ID 60362 //
     /*  877327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  877330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  877338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  877341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  877344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  877347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877373 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  877373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  877376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877395 */     GIR_RootConstrainSelectedInstOperands,
     /*  877396 */     // GIR_Coverage, 60362,
     /*  877396 */     GIR_EraseRootFromParent_Done,
     /*  877397 */   // Label 13405: @877397
     /*  877397 */   GIM_Try, /*On fail goto*//*Label 13406*/ GIMT_Encode4(877472), // Rule ID 60365 //
     /*  877402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  877405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  877413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  877416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  877419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  877422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877448 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  877448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  877451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877470 */     GIR_RootConstrainSelectedInstOperands,
     /*  877471 */     // GIR_Coverage, 60365,
     /*  877471 */     GIR_EraseRootFromParent_Done,
     /*  877472 */   // Label 13406: @877472
     /*  877472 */   GIM_Try, /*On fail goto*//*Label 13407*/ GIMT_Encode4(877547), // Rule ID 60366 //
     /*  877477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  877480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  877488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  877491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  877494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  877497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877523 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  877523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  877526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877545 */     GIR_RootConstrainSelectedInstOperands,
     /*  877546 */     // GIR_Coverage, 60366,
     /*  877546 */     GIR_EraseRootFromParent_Done,
     /*  877547 */   // Label 13407: @877547
     /*  877547 */   GIM_Try, /*On fail goto*//*Label 13408*/ GIMT_Encode4(877622), // Rule ID 60369 //
     /*  877552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  877555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  877563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  877566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  877569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  877572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877598 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  877598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  877601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877620 */     GIR_RootConstrainSelectedInstOperands,
     /*  877621 */     // GIR_Coverage, 60369,
     /*  877621 */     GIR_EraseRootFromParent_Done,
     /*  877622 */   // Label 13408: @877622
     /*  877622 */   GIM_Try, /*On fail goto*//*Label 13409*/ GIMT_Encode4(877697), // Rule ID 60370 //
     /*  877627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  877630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  877638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  877641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  877644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  877647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877673 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  877673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  877676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877695 */     GIR_RootConstrainSelectedInstOperands,
     /*  877696 */     // GIR_Coverage, 60370,
     /*  877696 */     GIR_EraseRootFromParent_Done,
     /*  877697 */   // Label 13409: @877697
     /*  877697 */   GIM_Try, /*On fail goto*//*Label 13410*/ GIMT_Encode4(877772), // Rule ID 60373 //
     /*  877702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  877705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  877713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  877716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  877719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  877722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877748 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  877748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  877751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877770 */     GIR_RootConstrainSelectedInstOperands,
     /*  877771 */     // GIR_Coverage, 60373,
     /*  877771 */     GIR_EraseRootFromParent_Done,
     /*  877772 */   // Label 13410: @877772
     /*  877772 */   GIM_Try, /*On fail goto*//*Label 13411*/ GIMT_Encode4(877847), // Rule ID 60374 //
     /*  877777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  877780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  877788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  877791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  877794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  877797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877823 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  877823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  877826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877845 */     GIR_RootConstrainSelectedInstOperands,
     /*  877846 */     // GIR_Coverage, 60374,
     /*  877846 */     GIR_EraseRootFromParent_Done,
     /*  877847 */   // Label 13411: @877847
     /*  877847 */   GIM_Try, /*On fail goto*//*Label 13412*/ GIMT_Encode4(877922), // Rule ID 60377 //
     /*  877852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  877855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  877863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  877866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  877869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  877872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877898 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  877898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  877901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877920 */     GIR_RootConstrainSelectedInstOperands,
     /*  877921 */     // GIR_Coverage, 60377,
     /*  877921 */     GIR_EraseRootFromParent_Done,
     /*  877922 */   // Label 13412: @877922
     /*  877922 */   GIM_Try, /*On fail goto*//*Label 13413*/ GIMT_Encode4(877997), // Rule ID 60378 //
     /*  877927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  877930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  877935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  877938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  877941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  877944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  877947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877973 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  877973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  877976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877995 */     GIR_RootConstrainSelectedInstOperands,
     /*  877996 */     // GIR_Coverage, 60378,
     /*  877996 */     GIR_EraseRootFromParent_Done,
     /*  877997 */   // Label 13413: @877997
     /*  877997 */   GIM_Try, /*On fail goto*//*Label 13414*/ GIMT_Encode4(878072), // Rule ID 60381 //
     /*  878002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  878013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  878016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  878019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  878022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878048 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  878048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  878051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  878067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878070 */     GIR_RootConstrainSelectedInstOperands,
     /*  878071 */     // GIR_Coverage, 60381,
     /*  878071 */     GIR_EraseRootFromParent_Done,
     /*  878072 */   // Label 13414: @878072
     /*  878072 */   GIM_Try, /*On fail goto*//*Label 13415*/ GIMT_Encode4(878147), // Rule ID 60382 //
     /*  878077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  878088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  878091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  878094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  878097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878123 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  878123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  878126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  878142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878145 */     GIR_RootConstrainSelectedInstOperands,
     /*  878146 */     // GIR_Coverage, 60382,
     /*  878146 */     GIR_EraseRootFromParent_Done,
     /*  878147 */   // Label 13415: @878147
     /*  878147 */   GIM_Try, /*On fail goto*//*Label 13416*/ GIMT_Encode4(878222), // Rule ID 60385 //
     /*  878152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  878163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  878166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  878169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  878172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878198 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  878198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  878201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  878217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878220 */     GIR_RootConstrainSelectedInstOperands,
     /*  878221 */     // GIR_Coverage, 60385,
     /*  878221 */     GIR_EraseRootFromParent_Done,
     /*  878222 */   // Label 13416: @878222
     /*  878222 */   GIM_Try, /*On fail goto*//*Label 13417*/ GIMT_Encode4(878297), // Rule ID 60386 //
     /*  878227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  878238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  878241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  878244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  878247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878273 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  878273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  878276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  878292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878295 */     GIR_RootConstrainSelectedInstOperands,
     /*  878296 */     // GIR_Coverage, 60386,
     /*  878296 */     GIR_EraseRootFromParent_Done,
     /*  878297 */   // Label 13417: @878297
     /*  878297 */   GIM_Try, /*On fail goto*//*Label 13418*/ GIMT_Encode4(878372), // Rule ID 60389 //
     /*  878302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  878313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  878316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  878319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  878322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878348 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  878348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  878351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  878367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878370 */     GIR_RootConstrainSelectedInstOperands,
     /*  878371 */     // GIR_Coverage, 60389,
     /*  878371 */     GIR_EraseRootFromParent_Done,
     /*  878372 */   // Label 13418: @878372
     /*  878372 */   GIM_Try, /*On fail goto*//*Label 13419*/ GIMT_Encode4(878447), // Rule ID 60390 //
     /*  878377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  878388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  878391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  878394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  878397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878423 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  878423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  878426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  878442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878445 */     GIR_RootConstrainSelectedInstOperands,
     /*  878446 */     // GIR_Coverage, 60390,
     /*  878446 */     GIR_EraseRootFromParent_Done,
     /*  878447 */   // Label 13419: @878447
     /*  878447 */   GIM_Try, /*On fail goto*//*Label 13420*/ GIMT_Encode4(878522), // Rule ID 60393 //
     /*  878452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  878463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  878466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  878469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  878472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  878491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878498 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  878501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878520 */     GIR_RootConstrainSelectedInstOperands,
     /*  878521 */     // GIR_Coverage, 60393,
     /*  878521 */     GIR_EraseRootFromParent_Done,
     /*  878522 */   // Label 13420: @878522
     /*  878522 */   GIM_Try, /*On fail goto*//*Label 13421*/ GIMT_Encode4(878597), // Rule ID 60394 //
     /*  878527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  878538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  878541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  878544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  878547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  878566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878573 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  878576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878595 */     GIR_RootConstrainSelectedInstOperands,
     /*  878596 */     // GIR_Coverage, 60394,
     /*  878596 */     GIR_EraseRootFromParent_Done,
     /*  878597 */   // Label 13421: @878597
     /*  878597 */   GIM_Try, /*On fail goto*//*Label 13422*/ GIMT_Encode4(878672), // Rule ID 60401 //
     /*  878602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  878613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  878616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  878619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  878622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  878641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878648 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  878651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878670 */     GIR_RootConstrainSelectedInstOperands,
     /*  878671 */     // GIR_Coverage, 60401,
     /*  878671 */     GIR_EraseRootFromParent_Done,
     /*  878672 */   // Label 13422: @878672
     /*  878672 */   GIM_Try, /*On fail goto*//*Label 13423*/ GIMT_Encode4(878747), // Rule ID 60402 //
     /*  878677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  878688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  878691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  878694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  878697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  878716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878723 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  878726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878745 */     GIR_RootConstrainSelectedInstOperands,
     /*  878746 */     // GIR_Coverage, 60402,
     /*  878746 */     GIR_EraseRootFromParent_Done,
     /*  878747 */   // Label 13423: @878747
     /*  878747 */   GIM_Try, /*On fail goto*//*Label 13424*/ GIMT_Encode4(878822), // Rule ID 60409 //
     /*  878752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  878763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  878766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  878769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  878772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  878791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  878801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878820 */     GIR_RootConstrainSelectedInstOperands,
     /*  878821 */     // GIR_Coverage, 60409,
     /*  878821 */     GIR_EraseRootFromParent_Done,
     /*  878822 */   // Label 13424: @878822
     /*  878822 */   GIM_Try, /*On fail goto*//*Label 13425*/ GIMT_Encode4(878897), // Rule ID 60410 //
     /*  878827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  878838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  878841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  878844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  878847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  878866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878873 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11564:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  878876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878895 */     GIR_RootConstrainSelectedInstOperands,
     /*  878896 */     // GIR_Coverage, 60410,
     /*  878896 */     GIR_EraseRootFromParent_Done,
     /*  878897 */   // Label 13425: @878897
     /*  878897 */   GIM_Try, /*On fail goto*//*Label 13426*/ GIMT_Encode4(878972), // Rule ID 60417 //
     /*  878902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  878905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  878913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  878916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  878919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  878922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  878941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878948 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  878951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878970 */     GIR_RootConstrainSelectedInstOperands,
     /*  878971 */     // GIR_Coverage, 60417,
     /*  878971 */     GIR_EraseRootFromParent_Done,
     /*  878972 */   // Label 13426: @878972
     /*  878972 */   GIM_Try, /*On fail goto*//*Label 13427*/ GIMT_Encode4(879047), // Rule ID 60418 //
     /*  878977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  878980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  878985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  878988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  878991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  878994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  878997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879023 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  879023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  879026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879045 */     GIR_RootConstrainSelectedInstOperands,
     /*  879046 */     // GIR_Coverage, 60418,
     /*  879046 */     GIR_EraseRootFromParent_Done,
     /*  879047 */   // Label 13427: @879047
     /*  879047 */   GIM_Try, /*On fail goto*//*Label 13428*/ GIMT_Encode4(879122), // Rule ID 60425 //
     /*  879052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  879063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  879066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  879069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879098 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  879098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  879101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879120 */     GIR_RootConstrainSelectedInstOperands,
     /*  879121 */     // GIR_Coverage, 60425,
     /*  879121 */     GIR_EraseRootFromParent_Done,
     /*  879122 */   // Label 13428: @879122
     /*  879122 */   GIM_Try, /*On fail goto*//*Label 13429*/ GIMT_Encode4(879197), // Rule ID 60426 //
     /*  879127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  879138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  879141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  879144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879173 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  879173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  879176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879195 */     GIR_RootConstrainSelectedInstOperands,
     /*  879196 */     // GIR_Coverage, 60426,
     /*  879196 */     GIR_EraseRootFromParent_Done,
     /*  879197 */   // Label 13429: @879197
     /*  879197 */   GIM_Try, /*On fail goto*//*Label 13430*/ GIMT_Encode4(879272), // Rule ID 60433 //
     /*  879202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  879213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  879216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  879219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879248 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  879248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  879251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879270 */     GIR_RootConstrainSelectedInstOperands,
     /*  879271 */     // GIR_Coverage, 60433,
     /*  879271 */     GIR_EraseRootFromParent_Done,
     /*  879272 */   // Label 13430: @879272
     /*  879272 */   GIM_Try, /*On fail goto*//*Label 13431*/ GIMT_Encode4(879347), // Rule ID 60434 //
     /*  879277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  879288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  879291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  879294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879323 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  879323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  879326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879345 */     GIR_RootConstrainSelectedInstOperands,
     /*  879346 */     // GIR_Coverage, 60434,
     /*  879346 */     GIR_EraseRootFromParent_Done,
     /*  879347 */   // Label 13431: @879347
     /*  879347 */   GIM_Try, /*On fail goto*//*Label 13432*/ GIMT_Encode4(879422), // Rule ID 60441 //
     /*  879352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  879363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  879366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  879369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879398 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  879398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  879401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879420 */     GIR_RootConstrainSelectedInstOperands,
     /*  879421 */     // GIR_Coverage, 60441,
     /*  879421 */     GIR_EraseRootFromParent_Done,
     /*  879422 */   // Label 13432: @879422
     /*  879422 */   GIM_Try, /*On fail goto*//*Label 13433*/ GIMT_Encode4(879497), // Rule ID 60442 //
     /*  879427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  879438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  879441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  879444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879473 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  879473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  879476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879495 */     GIR_RootConstrainSelectedInstOperands,
     /*  879496 */     // GIR_Coverage, 60442,
     /*  879496 */     GIR_EraseRootFromParent_Done,
     /*  879497 */   // Label 13433: @879497
     /*  879497 */   GIM_Try, /*On fail goto*//*Label 13434*/ GIMT_Encode4(879572), // Rule ID 60449 //
     /*  879502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  879513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  879516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  879519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879548 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  879548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  879551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879570 */     GIR_RootConstrainSelectedInstOperands,
     /*  879571 */     // GIR_Coverage, 60449,
     /*  879571 */     GIR_EraseRootFromParent_Done,
     /*  879572 */   // Label 13434: @879572
     /*  879572 */   GIM_Try, /*On fail goto*//*Label 13435*/ GIMT_Encode4(879647), // Rule ID 60450 //
     /*  879577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  879588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  879591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  879594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879623 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11564:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  879623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  879626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879645 */     GIR_RootConstrainSelectedInstOperands,
     /*  879646 */     // GIR_Coverage, 60450,
     /*  879646 */     GIR_EraseRootFromParent_Done,
     /*  879647 */   // Label 13435: @879647
     /*  879647 */   GIM_Try, /*On fail goto*//*Label 13436*/ GIMT_Encode4(879722), // Rule ID 60457 //
     /*  879652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  879663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  879666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  879669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879698 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  879698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  879701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879720 */     GIR_RootConstrainSelectedInstOperands,
     /*  879721 */     // GIR_Coverage, 60457,
     /*  879721 */     GIR_EraseRootFromParent_Done,
     /*  879722 */   // Label 13436: @879722
     /*  879722 */   GIM_Try, /*On fail goto*//*Label 13437*/ GIMT_Encode4(879797), // Rule ID 60458 //
     /*  879727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  879738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  879741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  879744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879773 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  879773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  879776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879795 */     GIR_RootConstrainSelectedInstOperands,
     /*  879796 */     // GIR_Coverage, 60458,
     /*  879796 */     GIR_EraseRootFromParent_Done,
     /*  879797 */   // Label 13437: @879797
     /*  879797 */   GIM_Try, /*On fail goto*//*Label 13438*/ GIMT_Encode4(879872), // Rule ID 60465 //
     /*  879802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  879813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  879816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  879819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879848 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  879848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  879851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879870 */     GIR_RootConstrainSelectedInstOperands,
     /*  879871 */     // GIR_Coverage, 60465,
     /*  879871 */     GIR_EraseRootFromParent_Done,
     /*  879872 */   // Label 13438: @879872
     /*  879872 */   GIM_Try, /*On fail goto*//*Label 13439*/ GIMT_Encode4(879947), // Rule ID 60466 //
     /*  879877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  879880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  879888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  879891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  879894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879923 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  879923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  879926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879945 */     GIR_RootConstrainSelectedInstOperands,
     /*  879946 */     // GIR_Coverage, 60466,
     /*  879946 */     GIR_EraseRootFromParent_Done,
     /*  879947 */   // Label 13439: @879947
     /*  879947 */   GIM_Try, /*On fail goto*//*Label 13440*/ GIMT_Encode4(880022), // Rule ID 60473 //
     /*  879952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  879955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  879960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  879963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  879966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  879969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  879991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879998 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  879998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  880001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880020 */     GIR_RootConstrainSelectedInstOperands,
     /*  880021 */     // GIR_Coverage, 60473,
     /*  880021 */     GIR_EraseRootFromParent_Done,
     /*  880022 */   // Label 13440: @880022
     /*  880022 */   GIM_Try, /*On fail goto*//*Label 13441*/ GIMT_Encode4(880097), // Rule ID 60474 //
     /*  880027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  880038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  880041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  880044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880073 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  880073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  880076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880095 */     GIR_RootConstrainSelectedInstOperands,
     /*  880096 */     // GIR_Coverage, 60474,
     /*  880096 */     GIR_EraseRootFromParent_Done,
     /*  880097 */   // Label 13441: @880097
     /*  880097 */   GIM_Try, /*On fail goto*//*Label 13442*/ GIMT_Encode4(880172), // Rule ID 60481 //
     /*  880102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  880113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  880116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  880119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880148 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  880148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  880151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880170 */     GIR_RootConstrainSelectedInstOperands,
     /*  880171 */     // GIR_Coverage, 60481,
     /*  880171 */     GIR_EraseRootFromParent_Done,
     /*  880172 */   // Label 13442: @880172
     /*  880172 */   GIM_Try, /*On fail goto*//*Label 13443*/ GIMT_Encode4(880247), // Rule ID 60482 //
     /*  880177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  880188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  880191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  880194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880223 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11564:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  880223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  880226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880245 */     GIR_RootConstrainSelectedInstOperands,
     /*  880246 */     // GIR_Coverage, 60482,
     /*  880246 */     GIR_EraseRootFromParent_Done,
     /*  880247 */   // Label 13443: @880247
     /*  880247 */   GIM_Try, /*On fail goto*//*Label 13444*/ GIMT_Encode4(880322), // Rule ID 60489 //
     /*  880252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  880263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  880266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  880269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880298 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  880298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  880301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880320 */     GIR_RootConstrainSelectedInstOperands,
     /*  880321 */     // GIR_Coverage, 60489,
     /*  880321 */     GIR_EraseRootFromParent_Done,
     /*  880322 */   // Label 13444: @880322
     /*  880322 */   GIM_Try, /*On fail goto*//*Label 13445*/ GIMT_Encode4(880397), // Rule ID 60490 //
     /*  880327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  880338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  880341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  880344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880373 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11564:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  880373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  880376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880395 */     GIR_RootConstrainSelectedInstOperands,
     /*  880396 */     // GIR_Coverage, 60490,
     /*  880396 */     GIR_EraseRootFromParent_Done,
     /*  880397 */   // Label 13445: @880397
     /*  880397 */   GIM_Try, /*On fail goto*//*Label 13446*/ GIMT_Encode4(880472), // Rule ID 60497 //
     /*  880402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  880413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  880416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  880419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880448 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  880448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  880451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880470 */     GIR_RootConstrainSelectedInstOperands,
     /*  880471 */     // GIR_Coverage, 60497,
     /*  880471 */     GIR_EraseRootFromParent_Done,
     /*  880472 */   // Label 13446: @880472
     /*  880472 */   GIM_Try, /*On fail goto*//*Label 13447*/ GIMT_Encode4(880547), // Rule ID 60498 //
     /*  880477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  880488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  880491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  880494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880523 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11564:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  880523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  880526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880545 */     GIR_RootConstrainSelectedInstOperands,
     /*  880546 */     // GIR_Coverage, 60498,
     /*  880546 */     GIR_EraseRootFromParent_Done,
     /*  880547 */   // Label 13447: @880547
     /*  880547 */   GIM_Try, /*On fail goto*//*Label 13448*/ GIMT_Encode4(880622), // Rule ID 60505 //
     /*  880552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  880555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  880563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  880566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  880569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880598 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  880598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  880601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880620 */     GIR_RootConstrainSelectedInstOperands,
     /*  880621 */     // GIR_Coverage, 60505,
     /*  880621 */     GIR_EraseRootFromParent_Done,
     /*  880622 */   // Label 13448: @880622
     /*  880622 */   GIM_Try, /*On fail goto*//*Label 13449*/ GIMT_Encode4(880697), // Rule ID 60506 //
     /*  880627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  880630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  880635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  880638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  880641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  880644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  880666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880673 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11564:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  880673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  880676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880695 */     GIR_RootConstrainSelectedInstOperands,
     /*  880696 */     // GIR_Coverage, 60506,
     /*  880696 */     GIR_EraseRootFromParent_Done,
     /*  880697 */   // Label 13449: @880697
     /*  880697 */   GIM_Try, /*On fail goto*//*Label 13450*/ GIMT_Encode4(880772), // Rule ID 60513 //
     /*  880702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  880705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  880710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  880713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  880716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  880719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  880722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880748 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  880748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  880751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880770 */     GIR_RootConstrainSelectedInstOperands,
     /*  880771 */     // GIR_Coverage, 60513,
     /*  880771 */     GIR_EraseRootFromParent_Done,
     /*  880772 */   // Label 13450: @880772
     /*  880772 */   GIM_Try, /*On fail goto*//*Label 13451*/ GIMT_Encode4(880847), // Rule ID 60514 //
     /*  880777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  880780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  880785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  880788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  880791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  880794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  880797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880823 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  880823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  880826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880845 */     GIR_RootConstrainSelectedInstOperands,
     /*  880846 */     // GIR_Coverage, 60514,
     /*  880846 */     GIR_EraseRootFromParent_Done,
     /*  880847 */   // Label 13451: @880847
     /*  880847 */   GIM_Try, /*On fail goto*//*Label 13452*/ GIMT_Encode4(880922), // Rule ID 60517 //
     /*  880852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  880855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  880860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  880863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  880866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  880869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  880872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880898 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  880898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  880901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880920 */     GIR_RootConstrainSelectedInstOperands,
     /*  880921 */     // GIR_Coverage, 60517,
     /*  880921 */     GIR_EraseRootFromParent_Done,
     /*  880922 */   // Label 13452: @880922
     /*  880922 */   GIM_Try, /*On fail goto*//*Label 13453*/ GIMT_Encode4(880997), // Rule ID 60518 //
     /*  880927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  880930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  880935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  880938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  880941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  880944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  880947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880973 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  880973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  880976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880995 */     GIR_RootConstrainSelectedInstOperands,
     /*  880996 */     // GIR_Coverage, 60518,
     /*  880996 */     GIR_EraseRootFromParent_Done,
     /*  880997 */   // Label 13453: @880997
     /*  880997 */   GIM_Try, /*On fail goto*//*Label 13454*/ GIMT_Encode4(881072), // Rule ID 60521 //
     /*  881002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  881005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  881010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  881013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  881016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  881019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  881022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881048 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  881048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  881051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881070 */     GIR_RootConstrainSelectedInstOperands,
     /*  881071 */     // GIR_Coverage, 60521,
     /*  881071 */     GIR_EraseRootFromParent_Done,
     /*  881072 */   // Label 13454: @881072
     /*  881072 */   GIM_Try, /*On fail goto*//*Label 13455*/ GIMT_Encode4(881147), // Rule ID 60522 //
     /*  881077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  881080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  881085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  881088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  881091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  881094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  881097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881123 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  881123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  881126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881145 */     GIR_RootConstrainSelectedInstOperands,
     /*  881146 */     // GIR_Coverage, 60522,
     /*  881146 */     GIR_EraseRootFromParent_Done,
     /*  881147 */   // Label 13455: @881147
     /*  881147 */   GIM_Try, /*On fail goto*//*Label 13456*/ GIMT_Encode4(881222), // Rule ID 60525 //
     /*  881152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  881155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  881160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  881163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  881166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  881169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  881172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881198 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  881198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  881201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881220 */     GIR_RootConstrainSelectedInstOperands,
     /*  881221 */     // GIR_Coverage, 60525,
     /*  881221 */     GIR_EraseRootFromParent_Done,
     /*  881222 */   // Label 13456: @881222
     /*  881222 */   GIM_Try, /*On fail goto*//*Label 13457*/ GIMT_Encode4(881297), // Rule ID 60526 //
     /*  881227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  881230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  881235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  881238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  881241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  881244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  881247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881273 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  881273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  881276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881295 */     GIR_RootConstrainSelectedInstOperands,
     /*  881296 */     // GIR_Coverage, 60526,
     /*  881296 */     GIR_EraseRootFromParent_Done,
     /*  881297 */   // Label 13457: @881297
     /*  881297 */   GIM_Try, /*On fail goto*//*Label 13458*/ GIMT_Encode4(881372), // Rule ID 60529 //
     /*  881302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  881305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  881310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  881313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  881316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  881319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881348 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  881348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  881351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881370 */     GIR_RootConstrainSelectedInstOperands,
     /*  881371 */     // GIR_Coverage, 60529,
     /*  881371 */     GIR_EraseRootFromParent_Done,
     /*  881372 */   // Label 13458: @881372
     /*  881372 */   GIM_Try, /*On fail goto*//*Label 13459*/ GIMT_Encode4(881447), // Rule ID 60530 //
     /*  881377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  881380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  881385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  881388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  881391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  881394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881423 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  881423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  881426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881445 */     GIR_RootConstrainSelectedInstOperands,
     /*  881446 */     // GIR_Coverage, 60530,
     /*  881446 */     GIR_EraseRootFromParent_Done,
     /*  881447 */   // Label 13459: @881447
     /*  881447 */   GIM_Try, /*On fail goto*//*Label 13460*/ GIMT_Encode4(881522), // Rule ID 60533 //
     /*  881452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  881455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  881460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  881463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  881466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  881469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881498 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  881498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  881501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881520 */     GIR_RootConstrainSelectedInstOperands,
     /*  881521 */     // GIR_Coverage, 60533,
     /*  881521 */     GIR_EraseRootFromParent_Done,
     /*  881522 */   // Label 13460: @881522
     /*  881522 */   GIM_Try, /*On fail goto*//*Label 13461*/ GIMT_Encode4(881597), // Rule ID 60534 //
     /*  881527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  881530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  881535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  881538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  881541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  881544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881573 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  881573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  881576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881595 */     GIR_RootConstrainSelectedInstOperands,
     /*  881596 */     // GIR_Coverage, 60534,
     /*  881596 */     GIR_EraseRootFromParent_Done,
     /*  881597 */   // Label 13461: @881597
     /*  881597 */   GIM_Try, /*On fail goto*//*Label 13462*/ GIMT_Encode4(881672), // Rule ID 60537 //
     /*  881602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  881605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  881610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  881613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  881616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  881619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881648 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  881648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  881651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881670 */     GIR_RootConstrainSelectedInstOperands,
     /*  881671 */     // GIR_Coverage, 60537,
     /*  881671 */     GIR_EraseRootFromParent_Done,
     /*  881672 */   // Label 13462: @881672
     /*  881672 */   GIM_Try, /*On fail goto*//*Label 13463*/ GIMT_Encode4(881747), // Rule ID 60538 //
     /*  881677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  881680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  881685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  881688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  881691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  881694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881723 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  881723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  881726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881745 */     GIR_RootConstrainSelectedInstOperands,
     /*  881746 */     // GIR_Coverage, 60538,
     /*  881746 */     GIR_EraseRootFromParent_Done,
     /*  881747 */   // Label 13463: @881747
     /*  881747 */   GIM_Try, /*On fail goto*//*Label 13464*/ GIMT_Encode4(881822), // Rule ID 60541 //
     /*  881752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  881755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  881760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  881763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  881766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  881769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881798 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  881798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  881801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881820 */     GIR_RootConstrainSelectedInstOperands,
     /*  881821 */     // GIR_Coverage, 60541,
     /*  881821 */     GIR_EraseRootFromParent_Done,
     /*  881822 */   // Label 13464: @881822
     /*  881822 */   GIM_Try, /*On fail goto*//*Label 13465*/ GIMT_Encode4(881897), // Rule ID 60542 //
     /*  881827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  881830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  881835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  881838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  881841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  881844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881873 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  881873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  881876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881895 */     GIR_RootConstrainSelectedInstOperands,
     /*  881896 */     // GIR_Coverage, 60542,
     /*  881896 */     GIR_EraseRootFromParent_Done,
     /*  881897 */   // Label 13465: @881897
     /*  881897 */   GIM_Try, /*On fail goto*//*Label 13466*/ GIMT_Encode4(881972), // Rule ID 60545 //
     /*  881902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  881905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  881910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  881913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  881916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  881919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  881922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881948 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  881948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  881951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881970 */     GIR_RootConstrainSelectedInstOperands,
     /*  881971 */     // GIR_Coverage, 60545,
     /*  881971 */     GIR_EraseRootFromParent_Done,
     /*  881972 */   // Label 13466: @881972
     /*  881972 */   GIM_Try, /*On fail goto*//*Label 13467*/ GIMT_Encode4(882047), // Rule ID 60546 //
     /*  881977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  881980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  881985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  881988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  881991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  881994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  881997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882023 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  882026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882045 */     GIR_RootConstrainSelectedInstOperands,
     /*  882046 */     // GIR_Coverage, 60546,
     /*  882046 */     GIR_EraseRootFromParent_Done,
     /*  882047 */   // Label 13467: @882047
     /*  882047 */   GIM_Try, /*On fail goto*//*Label 13468*/ GIMT_Encode4(882122), // Rule ID 60549 //
     /*  882052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  882060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  882069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  882072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882098 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  882101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882120 */     GIR_RootConstrainSelectedInstOperands,
     /*  882121 */     // GIR_Coverage, 60549,
     /*  882121 */     GIR_EraseRootFromParent_Done,
     /*  882122 */   // Label 13468: @882122
     /*  882122 */   GIM_Try, /*On fail goto*//*Label 13469*/ GIMT_Encode4(882197), // Rule ID 60550 //
     /*  882127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  882135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  882144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  882147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882173 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  882176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882195 */     GIR_RootConstrainSelectedInstOperands,
     /*  882196 */     // GIR_Coverage, 60550,
     /*  882196 */     GIR_EraseRootFromParent_Done,
     /*  882197 */   // Label 13469: @882197
     /*  882197 */   GIM_Try, /*On fail goto*//*Label 13470*/ GIMT_Encode4(882272), // Rule ID 60553 //
     /*  882202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  882210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  882219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  882222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882248 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  882251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882270 */     GIR_RootConstrainSelectedInstOperands,
     /*  882271 */     // GIR_Coverage, 60553,
     /*  882271 */     GIR_EraseRootFromParent_Done,
     /*  882272 */   // Label 13470: @882272
     /*  882272 */   GIM_Try, /*On fail goto*//*Label 13471*/ GIMT_Encode4(882347), // Rule ID 60554 //
     /*  882277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  882285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  882294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  882297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882323 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  882326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882345 */     GIR_RootConstrainSelectedInstOperands,
     /*  882346 */     // GIR_Coverage, 60554,
     /*  882346 */     GIR_EraseRootFromParent_Done,
     /*  882347 */   // Label 13471: @882347
     /*  882347 */   GIM_Try, /*On fail goto*//*Label 13472*/ GIMT_Encode4(882422), // Rule ID 60557 //
     /*  882352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  882360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  882369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  882372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882398 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  882401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882420 */     GIR_RootConstrainSelectedInstOperands,
     /*  882421 */     // GIR_Coverage, 60557,
     /*  882421 */     GIR_EraseRootFromParent_Done,
     /*  882422 */   // Label 13472: @882422
     /*  882422 */   GIM_Try, /*On fail goto*//*Label 13473*/ GIMT_Encode4(882497), // Rule ID 60558 //
     /*  882427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  882435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  882444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  882447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882473 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  882476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882495 */     GIR_RootConstrainSelectedInstOperands,
     /*  882496 */     // GIR_Coverage, 60558,
     /*  882496 */     GIR_EraseRootFromParent_Done,
     /*  882497 */   // Label 13473: @882497
     /*  882497 */   GIM_Try, /*On fail goto*//*Label 13474*/ GIMT_Encode4(882572), // Rule ID 60561 //
     /*  882502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  882510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  882513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  882516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  882519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882548 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  882551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882570 */     GIR_RootConstrainSelectedInstOperands,
     /*  882571 */     // GIR_Coverage, 60561,
     /*  882571 */     GIR_EraseRootFromParent_Done,
     /*  882572 */   // Label 13474: @882572
     /*  882572 */   GIM_Try, /*On fail goto*//*Label 13475*/ GIMT_Encode4(882647), // Rule ID 60562 //
     /*  882577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  882585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  882588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  882591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  882594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882623 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  882626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882645 */     GIR_RootConstrainSelectedInstOperands,
     /*  882646 */     // GIR_Coverage, 60562,
     /*  882646 */     GIR_EraseRootFromParent_Done,
     /*  882647 */   // Label 13475: @882647
     /*  882647 */   GIM_Try, /*On fail goto*//*Label 13476*/ GIMT_Encode4(882722), // Rule ID 60565 //
     /*  882652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  882660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  882669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882698 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  882701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882720 */     GIR_RootConstrainSelectedInstOperands,
     /*  882721 */     // GIR_Coverage, 60565,
     /*  882721 */     GIR_EraseRootFromParent_Done,
     /*  882722 */   // Label 13476: @882722
     /*  882722 */   GIM_Try, /*On fail goto*//*Label 13477*/ GIMT_Encode4(882797), // Rule ID 60566 //
     /*  882727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  882735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  882744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882773 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  882776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882795 */     GIR_RootConstrainSelectedInstOperands,
     /*  882796 */     // GIR_Coverage, 60566,
     /*  882796 */     GIR_EraseRootFromParent_Done,
     /*  882797 */   // Label 13477: @882797
     /*  882797 */   GIM_Try, /*On fail goto*//*Label 13478*/ GIMT_Encode4(882872), // Rule ID 60569 //
     /*  882802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  882810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  882819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882848 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  882851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882870 */     GIR_RootConstrainSelectedInstOperands,
     /*  882871 */     // GIR_Coverage, 60569,
     /*  882871 */     GIR_EraseRootFromParent_Done,
     /*  882872 */   // Label 13478: @882872
     /*  882872 */   GIM_Try, /*On fail goto*//*Label 13479*/ GIMT_Encode4(882947), // Rule ID 60570 //
     /*  882877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  882880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  882885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  882894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882923 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  882923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  882926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882945 */     GIR_RootConstrainSelectedInstOperands,
     /*  882946 */     // GIR_Coverage, 60570,
     /*  882946 */     GIR_EraseRootFromParent_Done,
     /*  882947 */   // Label 13479: @882947
     /*  882947 */   GIM_Try, /*On fail goto*//*Label 13480*/ GIMT_Encode4(883022), // Rule ID 60573 //
     /*  882952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  882955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  882960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  882969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882998 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  882998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  883001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883020 */     GIR_RootConstrainSelectedInstOperands,
     /*  883021 */     // GIR_Coverage, 60573,
     /*  883021 */     GIR_EraseRootFromParent_Done,
     /*  883022 */   // Label 13480: @883022
     /*  883022 */   GIM_Try, /*On fail goto*//*Label 13481*/ GIMT_Encode4(883097), // Rule ID 60574 //
     /*  883027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  883030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  883035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  883038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  883041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  883044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883073 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  883076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883095 */     GIR_RootConstrainSelectedInstOperands,
     /*  883096 */     // GIR_Coverage, 60574,
     /*  883096 */     GIR_EraseRootFromParent_Done,
     /*  883097 */   // Label 13481: @883097
     /*  883097 */   GIM_Try, /*On fail goto*//*Label 13482*/ GIMT_Encode4(883172), // Rule ID 60577 //
     /*  883102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  883105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  883113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  883116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  883119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  883122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883148 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  883148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  883151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883170 */     GIR_RootConstrainSelectedInstOperands,
     /*  883171 */     // GIR_Coverage, 60577,
     /*  883171 */     GIR_EraseRootFromParent_Done,
     /*  883172 */   // Label 13482: @883172
     /*  883172 */   GIM_Try, /*On fail goto*//*Label 13483*/ GIMT_Encode4(883247), // Rule ID 60578 //
     /*  883177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  883180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  883188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  883191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  883194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  883197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883223 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  883223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  883226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883245 */     GIR_RootConstrainSelectedInstOperands,
     /*  883246 */     // GIR_Coverage, 60578,
     /*  883246 */     GIR_EraseRootFromParent_Done,
     /*  883247 */   // Label 13483: @883247
     /*  883247 */   GIM_Try, /*On fail goto*//*Label 13484*/ GIMT_Encode4(883322), // Rule ID 60581 //
     /*  883252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  883255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  883263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  883266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  883269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  883272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883298 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  883298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  883301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883320 */     GIR_RootConstrainSelectedInstOperands,
     /*  883321 */     // GIR_Coverage, 60581,
     /*  883321 */     GIR_EraseRootFromParent_Done,
     /*  883322 */   // Label 13484: @883322
     /*  883322 */   GIM_Try, /*On fail goto*//*Label 13485*/ GIMT_Encode4(883397), // Rule ID 60582 //
     /*  883327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  883330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  883338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  883341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  883344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  883347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883373 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  883373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  883376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883395 */     GIR_RootConstrainSelectedInstOperands,
     /*  883396 */     // GIR_Coverage, 60582,
     /*  883396 */     GIR_EraseRootFromParent_Done,
     /*  883397 */   // Label 13485: @883397
     /*  883397 */   GIM_Try, /*On fail goto*//*Label 13486*/ GIMT_Encode4(883472), // Rule ID 60585 //
     /*  883402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  883405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  883413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  883416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  883419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  883422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883448 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  883448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  883451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883470 */     GIR_RootConstrainSelectedInstOperands,
     /*  883471 */     // GIR_Coverage, 60585,
     /*  883471 */     GIR_EraseRootFromParent_Done,
     /*  883472 */   // Label 13486: @883472
     /*  883472 */   GIM_Try, /*On fail goto*//*Label 13487*/ GIMT_Encode4(883547), // Rule ID 60586 //
     /*  883477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  883480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  883488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  883491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  883494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  883497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883523 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  883523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  883526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883545 */     GIR_RootConstrainSelectedInstOperands,
     /*  883546 */     // GIR_Coverage, 60586,
     /*  883546 */     GIR_EraseRootFromParent_Done,
     /*  883547 */   // Label 13487: @883547
     /*  883547 */   GIM_Try, /*On fail goto*//*Label 13488*/ GIMT_Encode4(883622), // Rule ID 60589 //
     /*  883552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  883555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  883563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  883566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  883569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  883572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883598 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  883598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  883601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883620 */     GIR_RootConstrainSelectedInstOperands,
     /*  883621 */     // GIR_Coverage, 60589,
     /*  883621 */     GIR_EraseRootFromParent_Done,
     /*  883622 */   // Label 13488: @883622
     /*  883622 */   GIM_Try, /*On fail goto*//*Label 13489*/ GIMT_Encode4(883697), // Rule ID 60590 //
     /*  883627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  883630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  883638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  883641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  883644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  883647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883673 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  883673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  883676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883695 */     GIR_RootConstrainSelectedInstOperands,
     /*  883696 */     // GIR_Coverage, 60590,
     /*  883696 */     GIR_EraseRootFromParent_Done,
     /*  883697 */   // Label 13489: @883697
     /*  883697 */   GIM_Try, /*On fail goto*//*Label 13490*/ GIMT_Encode4(883772), // Rule ID 60593 //
     /*  883702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  883705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  883713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  883716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  883719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  883722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883748 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  883748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  883751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883770 */     GIR_RootConstrainSelectedInstOperands,
     /*  883771 */     // GIR_Coverage, 60593,
     /*  883771 */     GIR_EraseRootFromParent_Done,
     /*  883772 */   // Label 13490: @883772
     /*  883772 */   GIM_Try, /*On fail goto*//*Label 13491*/ GIMT_Encode4(883847), // Rule ID 60594 //
     /*  883777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  883780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  883788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  883791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  883794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  883797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883823 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  883823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  883826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883845 */     GIR_RootConstrainSelectedInstOperands,
     /*  883846 */     // GIR_Coverage, 60594,
     /*  883846 */     GIR_EraseRootFromParent_Done,
     /*  883847 */   // Label 13491: @883847
     /*  883847 */   GIM_Try, /*On fail goto*//*Label 13492*/ GIMT_Encode4(883922), // Rule ID 60597 //
     /*  883852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  883855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  883863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  883866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  883869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  883872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883898 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  883898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  883901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  883917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883920 */     GIR_RootConstrainSelectedInstOperands,
     /*  883921 */     // GIR_Coverage, 60597,
     /*  883921 */     GIR_EraseRootFromParent_Done,
     /*  883922 */   // Label 13492: @883922
     /*  883922 */   GIM_Try, /*On fail goto*//*Label 13493*/ GIMT_Encode4(883997), // Rule ID 60598 //
     /*  883927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  883930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  883938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  883941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  883944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  883947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883973 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  883973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  883976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  883992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883995 */     GIR_RootConstrainSelectedInstOperands,
     /*  883996 */     // GIR_Coverage, 60598,
     /*  883996 */     GIR_EraseRootFromParent_Done,
     /*  883997 */   // Label 13493: @883997
     /*  883997 */   GIM_Try, /*On fail goto*//*Label 13494*/ GIMT_Encode4(884072), // Rule ID 60601 //
     /*  884002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  884013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  884016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  884019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  884022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884048 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  884051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884070 */     GIR_RootConstrainSelectedInstOperands,
     /*  884071 */     // GIR_Coverage, 60601,
     /*  884071 */     GIR_EraseRootFromParent_Done,
     /*  884072 */   // Label 13494: @884072
     /*  884072 */   GIM_Try, /*On fail goto*//*Label 13495*/ GIMT_Encode4(884147), // Rule ID 60602 //
     /*  884077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  884088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  884091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  884094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  884097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884123 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  884126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884145 */     GIR_RootConstrainSelectedInstOperands,
     /*  884146 */     // GIR_Coverage, 60602,
     /*  884146 */     GIR_EraseRootFromParent_Done,
     /*  884147 */   // Label 13495: @884147
     /*  884147 */   GIM_Try, /*On fail goto*//*Label 13496*/ GIMT_Encode4(884222), // Rule ID 60605 //
     /*  884152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  884163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  884166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  884169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  884172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884198 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  884198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  884201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884220 */     GIR_RootConstrainSelectedInstOperands,
     /*  884221 */     // GIR_Coverage, 60605,
     /*  884221 */     GIR_EraseRootFromParent_Done,
     /*  884222 */   // Label 13496: @884222
     /*  884222 */   GIM_Try, /*On fail goto*//*Label 13497*/ GIMT_Encode4(884297), // Rule ID 60606 //
     /*  884227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  884238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  884241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  884244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  884247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884273 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  884273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  884276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884295 */     GIR_RootConstrainSelectedInstOperands,
     /*  884296 */     // GIR_Coverage, 60606,
     /*  884296 */     GIR_EraseRootFromParent_Done,
     /*  884297 */   // Label 13497: @884297
     /*  884297 */   GIM_Try, /*On fail goto*//*Label 13498*/ GIMT_Encode4(884372), // Rule ID 60609 //
     /*  884302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  884313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  884316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  884319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  884322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884348 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  884348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  884351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884370 */     GIR_RootConstrainSelectedInstOperands,
     /*  884371 */     // GIR_Coverage, 60609,
     /*  884371 */     GIR_EraseRootFromParent_Done,
     /*  884372 */   // Label 13498: @884372
     /*  884372 */   GIM_Try, /*On fail goto*//*Label 13499*/ GIMT_Encode4(884447), // Rule ID 60610 //
     /*  884377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  884388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  884391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  884394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  884397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884423 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  884423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  884426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884445 */     GIR_RootConstrainSelectedInstOperands,
     /*  884446 */     // GIR_Coverage, 60610,
     /*  884446 */     GIR_EraseRootFromParent_Done,
     /*  884447 */   // Label 13499: @884447
     /*  884447 */   GIM_Try, /*On fail goto*//*Label 13500*/ GIMT_Encode4(884522), // Rule ID 60613 //
     /*  884452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  884463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  884466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  884469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  884472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884498 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  884501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884520 */     GIR_RootConstrainSelectedInstOperands,
     /*  884521 */     // GIR_Coverage, 60613,
     /*  884521 */     GIR_EraseRootFromParent_Done,
     /*  884522 */   // Label 13500: @884522
     /*  884522 */   GIM_Try, /*On fail goto*//*Label 13501*/ GIMT_Encode4(884597), // Rule ID 60614 //
     /*  884527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  884538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  884541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  884544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  884547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884573 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  884576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884595 */     GIR_RootConstrainSelectedInstOperands,
     /*  884596 */     // GIR_Coverage, 60614,
     /*  884596 */     GIR_EraseRootFromParent_Done,
     /*  884597 */   // Label 13501: @884597
     /*  884597 */   GIM_Try, /*On fail goto*//*Label 13502*/ GIMT_Encode4(884672), // Rule ID 60617 //
     /*  884602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  884613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  884616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  884619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  884622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884648 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  884651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884670 */     GIR_RootConstrainSelectedInstOperands,
     /*  884671 */     // GIR_Coverage, 60617,
     /*  884671 */     GIR_EraseRootFromParent_Done,
     /*  884672 */   // Label 13502: @884672
     /*  884672 */   GIM_Try, /*On fail goto*//*Label 13503*/ GIMT_Encode4(884747), // Rule ID 60618 //
     /*  884677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  884688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  884691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  884694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  884697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884723 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  884726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884745 */     GIR_RootConstrainSelectedInstOperands,
     /*  884746 */     // GIR_Coverage, 60618,
     /*  884746 */     GIR_EraseRootFromParent_Done,
     /*  884747 */   // Label 13503: @884747
     /*  884747 */   GIM_Try, /*On fail goto*//*Label 13504*/ GIMT_Encode4(884822), // Rule ID 60621 //
     /*  884752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  884763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  884766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  884769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  884772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884798 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  884801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884820 */     GIR_RootConstrainSelectedInstOperands,
     /*  884821 */     // GIR_Coverage, 60621,
     /*  884821 */     GIR_EraseRootFromParent_Done,
     /*  884822 */   // Label 13504: @884822
     /*  884822 */   GIM_Try, /*On fail goto*//*Label 13505*/ GIMT_Encode4(884897), // Rule ID 60622 //
     /*  884827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  884838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  884841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  884844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  884847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884873 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  884873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  884876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884895 */     GIR_RootConstrainSelectedInstOperands,
     /*  884896 */     // GIR_Coverage, 60622,
     /*  884896 */     GIR_EraseRootFromParent_Done,
     /*  884897 */   // Label 13505: @884897
     /*  884897 */   GIM_Try, /*On fail goto*//*Label 13506*/ GIMT_Encode4(884972), // Rule ID 60625 //
     /*  884902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  884913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  884916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  884919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  884922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884948 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  884951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884970 */     GIR_RootConstrainSelectedInstOperands,
     /*  884971 */     // GIR_Coverage, 60625,
     /*  884971 */     GIR_EraseRootFromParent_Done,
     /*  884972 */   // Label 13506: @884972
     /*  884972 */   GIM_Try, /*On fail goto*//*Label 13507*/ GIMT_Encode4(885047), // Rule ID 60626 //
     /*  884977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  884988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  884991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  884994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  884997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885023 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  885026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885045 */     GIR_RootConstrainSelectedInstOperands,
     /*  885046 */     // GIR_Coverage, 60626,
     /*  885046 */     GIR_EraseRootFromParent_Done,
     /*  885047 */   // Label 13507: @885047
     /*  885047 */   GIM_Try, /*On fail goto*//*Label 13508*/ GIMT_Encode4(885122), // Rule ID 60629 //
     /*  885052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  885063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  885066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  885069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  885072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885098 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  885101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885120 */     GIR_RootConstrainSelectedInstOperands,
     /*  885121 */     // GIR_Coverage, 60629,
     /*  885121 */     GIR_EraseRootFromParent_Done,
     /*  885122 */   // Label 13508: @885122
     /*  885122 */   GIM_Try, /*On fail goto*//*Label 13509*/ GIMT_Encode4(885197), // Rule ID 60630 //
     /*  885127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  885138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  885141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  885144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  885147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885173 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  885176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885195 */     GIR_RootConstrainSelectedInstOperands,
     /*  885196 */     // GIR_Coverage, 60630,
     /*  885196 */     GIR_EraseRootFromParent_Done,
     /*  885197 */   // Label 13509: @885197
     /*  885197 */   GIM_Try, /*On fail goto*//*Label 13510*/ GIMT_Encode4(885272), // Rule ID 60633 //
     /*  885202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  885213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  885216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  885219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  885222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885248 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  885251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885270 */     GIR_RootConstrainSelectedInstOperands,
     /*  885271 */     // GIR_Coverage, 60633,
     /*  885271 */     GIR_EraseRootFromParent_Done,
     /*  885272 */   // Label 13510: @885272
     /*  885272 */   GIM_Try, /*On fail goto*//*Label 13511*/ GIMT_Encode4(885347), // Rule ID 60634 //
     /*  885277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  885288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  885291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  885294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  885297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885323 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  885326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885345 */     GIR_RootConstrainSelectedInstOperands,
     /*  885346 */     // GIR_Coverage, 60634,
     /*  885346 */     GIR_EraseRootFromParent_Done,
     /*  885347 */   // Label 13511: @885347
     /*  885347 */   GIM_Try, /*On fail goto*//*Label 13512*/ GIMT_Encode4(885422), // Rule ID 60637 //
     /*  885352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  885363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  885366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  885369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  885372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885398 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  885401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885420 */     GIR_RootConstrainSelectedInstOperands,
     /*  885421 */     // GIR_Coverage, 60637,
     /*  885421 */     GIR_EraseRootFromParent_Done,
     /*  885422 */   // Label 13512: @885422
     /*  885422 */   GIM_Try, /*On fail goto*//*Label 13513*/ GIMT_Encode4(885497), // Rule ID 60638 //
     /*  885427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  885438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  885441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  885444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  885447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885473 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  885476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885495 */     GIR_RootConstrainSelectedInstOperands,
     /*  885496 */     // GIR_Coverage, 60638,
     /*  885496 */     GIR_EraseRootFromParent_Done,
     /*  885497 */   // Label 13513: @885497
     /*  885497 */   GIM_Try, /*On fail goto*//*Label 13514*/ GIMT_Encode4(885572), // Rule ID 60641 //
     /*  885502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  885513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  885516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  885519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  885522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885548 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  885548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  885551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885570 */     GIR_RootConstrainSelectedInstOperands,
     /*  885571 */     // GIR_Coverage, 60641,
     /*  885571 */     GIR_EraseRootFromParent_Done,
     /*  885572 */   // Label 13514: @885572
     /*  885572 */   GIM_Try, /*On fail goto*//*Label 13515*/ GIMT_Encode4(885647), // Rule ID 60642 //
     /*  885577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  885588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  885591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  885594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  885597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885623 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  885623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  885626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885645 */     GIR_RootConstrainSelectedInstOperands,
     /*  885646 */     // GIR_Coverage, 60642,
     /*  885646 */     GIR_EraseRootFromParent_Done,
     /*  885647 */   // Label 13515: @885647
     /*  885647 */   GIM_Try, /*On fail goto*//*Label 13516*/ GIMT_Encode4(885722), // Rule ID 60645 //
     /*  885652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  885663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  885666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  885669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  885672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885698 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  885698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  885701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885720 */     GIR_RootConstrainSelectedInstOperands,
     /*  885721 */     // GIR_Coverage, 60645,
     /*  885721 */     GIR_EraseRootFromParent_Done,
     /*  885722 */   // Label 13516: @885722
     /*  885722 */   GIM_Try, /*On fail goto*//*Label 13517*/ GIMT_Encode4(885797), // Rule ID 60646 //
     /*  885727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  885738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  885741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  885744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  885747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885773 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  885773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  885776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885795 */     GIR_RootConstrainSelectedInstOperands,
     /*  885796 */     // GIR_Coverage, 60646,
     /*  885796 */     GIR_EraseRootFromParent_Done,
     /*  885797 */   // Label 13517: @885797
     /*  885797 */   GIM_Try, /*On fail goto*//*Label 13518*/ GIMT_Encode4(885872), // Rule ID 60649 //
     /*  885802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  885813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  885816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  885819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  885822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885848 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  885848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  885851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885870 */     GIR_RootConstrainSelectedInstOperands,
     /*  885871 */     // GIR_Coverage, 60649,
     /*  885871 */     GIR_EraseRootFromParent_Done,
     /*  885872 */   // Label 13518: @885872
     /*  885872 */   GIM_Try, /*On fail goto*//*Label 13519*/ GIMT_Encode4(885947), // Rule ID 60650 //
     /*  885877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  885888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  885891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  885894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  885897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885923 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  885923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  885926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885945 */     GIR_RootConstrainSelectedInstOperands,
     /*  885946 */     // GIR_Coverage, 60650,
     /*  885946 */     GIR_EraseRootFromParent_Done,
     /*  885947 */   // Label 13519: @885947
     /*  885947 */   GIM_Try, /*On fail goto*//*Label 13520*/ GIMT_Encode4(886022), // Rule ID 60653 //
     /*  885952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  885960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  885963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  885966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  885969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  885972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885998 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  885998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  886001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886020 */     GIR_RootConstrainSelectedInstOperands,
     /*  886021 */     // GIR_Coverage, 60653,
     /*  886021 */     GIR_EraseRootFromParent_Done,
     /*  886022 */   // Label 13520: @886022
     /*  886022 */   GIM_Try, /*On fail goto*//*Label 13521*/ GIMT_Encode4(886097), // Rule ID 60654 //
     /*  886027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  886038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  886041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  886044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  886047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886073 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  886073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  886076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886095 */     GIR_RootConstrainSelectedInstOperands,
     /*  886096 */     // GIR_Coverage, 60654,
     /*  886096 */     GIR_EraseRootFromParent_Done,
     /*  886097 */   // Label 13521: @886097
     /*  886097 */   GIM_Try, /*On fail goto*//*Label 13522*/ GIMT_Encode4(886172), // Rule ID 60657 //
     /*  886102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  886113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  886116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  886119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  886122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886148 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  886148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886170 */     GIR_RootConstrainSelectedInstOperands,
     /*  886171 */     // GIR_Coverage, 60657,
     /*  886171 */     GIR_EraseRootFromParent_Done,
     /*  886172 */   // Label 13522: @886172
     /*  886172 */   GIM_Try, /*On fail goto*//*Label 13523*/ GIMT_Encode4(886247), // Rule ID 60658 //
     /*  886177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  886188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  886191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  886194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  886197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886223 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  886223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  886226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886245 */     GIR_RootConstrainSelectedInstOperands,
     /*  886246 */     // GIR_Coverage, 60658,
     /*  886246 */     GIR_EraseRootFromParent_Done,
     /*  886247 */   // Label 13523: @886247
     /*  886247 */   GIM_Try, /*On fail goto*//*Label 13524*/ GIMT_Encode4(886322), // Rule ID 60661 //
     /*  886252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  886263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  886266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  886269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  886272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886298 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  886298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  886301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886320 */     GIR_RootConstrainSelectedInstOperands,
     /*  886321 */     // GIR_Coverage, 60661,
     /*  886321 */     GIR_EraseRootFromParent_Done,
     /*  886322 */   // Label 13524: @886322
     /*  886322 */   GIM_Try, /*On fail goto*//*Label 13525*/ GIMT_Encode4(886397), // Rule ID 60662 //
     /*  886327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  886338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  886341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  886344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  886347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886373 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  886373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  886376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886395 */     GIR_RootConstrainSelectedInstOperands,
     /*  886396 */     // GIR_Coverage, 60662,
     /*  886396 */     GIR_EraseRootFromParent_Done,
     /*  886397 */   // Label 13525: @886397
     /*  886397 */   GIM_Try, /*On fail goto*//*Label 13526*/ GIMT_Encode4(886472), // Rule ID 60665 //
     /*  886402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  886413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  886416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  886419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886448 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  886448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  886451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886470 */     GIR_RootConstrainSelectedInstOperands,
     /*  886471 */     // GIR_Coverage, 60665,
     /*  886471 */     GIR_EraseRootFromParent_Done,
     /*  886472 */   // Label 13526: @886472
     /*  886472 */   GIM_Try, /*On fail goto*//*Label 13527*/ GIMT_Encode4(886547), // Rule ID 60666 //
     /*  886477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  886488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  886491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  886494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886523 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  886523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  886526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886545 */     GIR_RootConstrainSelectedInstOperands,
     /*  886546 */     // GIR_Coverage, 60666,
     /*  886546 */     GIR_EraseRootFromParent_Done,
     /*  886547 */   // Label 13527: @886547
     /*  886547 */   GIM_Try, /*On fail goto*//*Label 13528*/ GIMT_Encode4(886622), // Rule ID 60669 //
     /*  886552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  886563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  886566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  886569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886598 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  886598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  886601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886620 */     GIR_RootConstrainSelectedInstOperands,
     /*  886621 */     // GIR_Coverage, 60669,
     /*  886621 */     GIR_EraseRootFromParent_Done,
     /*  886622 */   // Label 13528: @886622
     /*  886622 */   GIM_Try, /*On fail goto*//*Label 13529*/ GIMT_Encode4(886697), // Rule ID 60670 //
     /*  886627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  886638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  886641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  886644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886673 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  886673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  886676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886695 */     GIR_RootConstrainSelectedInstOperands,
     /*  886696 */     // GIR_Coverage, 60670,
     /*  886696 */     GIR_EraseRootFromParent_Done,
     /*  886697 */   // Label 13529: @886697
     /*  886697 */   GIM_Try, /*On fail goto*//*Label 13530*/ GIMT_Encode4(886772), // Rule ID 60673 //
     /*  886702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  886713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  886716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  886719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886748 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  886748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  886751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886770 */     GIR_RootConstrainSelectedInstOperands,
     /*  886771 */     // GIR_Coverage, 60673,
     /*  886771 */     GIR_EraseRootFromParent_Done,
     /*  886772 */   // Label 13530: @886772
     /*  886772 */   GIM_Try, /*On fail goto*//*Label 13531*/ GIMT_Encode4(886847), // Rule ID 60674 //
     /*  886777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  886788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  886791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  886794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886823 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  886823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  886826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886845 */     GIR_RootConstrainSelectedInstOperands,
     /*  886846 */     // GIR_Coverage, 60674,
     /*  886846 */     GIR_EraseRootFromParent_Done,
     /*  886847 */   // Label 13531: @886847
     /*  886847 */   GIM_Try, /*On fail goto*//*Label 13532*/ GIMT_Encode4(886922), // Rule ID 60677 //
     /*  886852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  886863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  886866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  886869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886898 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  886898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  886901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886920 */     GIR_RootConstrainSelectedInstOperands,
     /*  886921 */     // GIR_Coverage, 60677,
     /*  886921 */     GIR_EraseRootFromParent_Done,
     /*  886922 */   // Label 13532: @886922
     /*  886922 */   GIM_Try, /*On fail goto*//*Label 13533*/ GIMT_Encode4(886997), // Rule ID 60678 //
     /*  886927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  886935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  886938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  886941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  886944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886973 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  886973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  886976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886995 */     GIR_RootConstrainSelectedInstOperands,
     /*  886996 */     // GIR_Coverage, 60678,
     /*  886996 */     GIR_EraseRootFromParent_Done,
     /*  886997 */   // Label 13533: @886997
     /*  886997 */   GIM_Try, /*On fail goto*//*Label 13534*/ GIMT_Encode4(887072), // Rule ID 60681 //
     /*  887002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  887013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  887016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  887019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887048 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  887048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  887051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887070 */     GIR_RootConstrainSelectedInstOperands,
     /*  887071 */     // GIR_Coverage, 60681,
     /*  887071 */     GIR_EraseRootFromParent_Done,
     /*  887072 */   // Label 13534: @887072
     /*  887072 */   GIM_Try, /*On fail goto*//*Label 13535*/ GIMT_Encode4(887147), // Rule ID 60682 //
     /*  887077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  887088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  887091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  887094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887123 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  887123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  887126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887145 */     GIR_RootConstrainSelectedInstOperands,
     /*  887146 */     // GIR_Coverage, 60682,
     /*  887146 */     GIR_EraseRootFromParent_Done,
     /*  887147 */   // Label 13535: @887147
     /*  887147 */   GIM_Try, /*On fail goto*//*Label 13536*/ GIMT_Encode4(887222), // Rule ID 60685 //
     /*  887152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  887163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  887166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  887169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887198 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  887198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  887201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887220 */     GIR_RootConstrainSelectedInstOperands,
     /*  887221 */     // GIR_Coverage, 60685,
     /*  887221 */     GIR_EraseRootFromParent_Done,
     /*  887222 */   // Label 13536: @887222
     /*  887222 */   GIM_Try, /*On fail goto*//*Label 13537*/ GIMT_Encode4(887297), // Rule ID 60686 //
     /*  887227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  887238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  887241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  887244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887273 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  887273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  887276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887295 */     GIR_RootConstrainSelectedInstOperands,
     /*  887296 */     // GIR_Coverage, 60686,
     /*  887296 */     GIR_EraseRootFromParent_Done,
     /*  887297 */   // Label 13537: @887297
     /*  887297 */   GIM_Try, /*On fail goto*//*Label 13538*/ GIMT_Encode4(887372), // Rule ID 60689 //
     /*  887302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  887313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  887316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  887319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887348 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  887348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  887351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887370 */     GIR_RootConstrainSelectedInstOperands,
     /*  887371 */     // GIR_Coverage, 60689,
     /*  887371 */     GIR_EraseRootFromParent_Done,
     /*  887372 */   // Label 13538: @887372
     /*  887372 */   GIM_Try, /*On fail goto*//*Label 13539*/ GIMT_Encode4(887447), // Rule ID 60690 //
     /*  887377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  887388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  887391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  887394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887423 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  887423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  887426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887445 */     GIR_RootConstrainSelectedInstOperands,
     /*  887446 */     // GIR_Coverage, 60690,
     /*  887446 */     GIR_EraseRootFromParent_Done,
     /*  887447 */   // Label 13539: @887447
     /*  887447 */   GIM_Try, /*On fail goto*//*Label 13540*/ GIMT_Encode4(887522), // Rule ID 60693 //
     /*  887452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  887463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  887466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  887469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887498 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  887498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  887501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887520 */     GIR_RootConstrainSelectedInstOperands,
     /*  887521 */     // GIR_Coverage, 60693,
     /*  887521 */     GIR_EraseRootFromParent_Done,
     /*  887522 */   // Label 13540: @887522
     /*  887522 */   GIM_Try, /*On fail goto*//*Label 13541*/ GIMT_Encode4(887597), // Rule ID 60694 //
     /*  887527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  887538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  887541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  887544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887573 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  887573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  887576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887595 */     GIR_RootConstrainSelectedInstOperands,
     /*  887596 */     // GIR_Coverage, 60694,
     /*  887596 */     GIR_EraseRootFromParent_Done,
     /*  887597 */   // Label 13541: @887597
     /*  887597 */   GIM_Try, /*On fail goto*//*Label 13542*/ GIMT_Encode4(887672), // Rule ID 60697 //
     /*  887602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  887613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  887616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  887619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887648 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  887648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  887651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887670 */     GIR_RootConstrainSelectedInstOperands,
     /*  887671 */     // GIR_Coverage, 60697,
     /*  887671 */     GIR_EraseRootFromParent_Done,
     /*  887672 */   // Label 13542: @887672
     /*  887672 */   GIM_Try, /*On fail goto*//*Label 13543*/ GIMT_Encode4(887747), // Rule ID 60698 //
     /*  887677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  887688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  887691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  887694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887723 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  887723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  887726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887745 */     GIR_RootConstrainSelectedInstOperands,
     /*  887746 */     // GIR_Coverage, 60698,
     /*  887746 */     GIR_EraseRootFromParent_Done,
     /*  887747 */   // Label 13543: @887747
     /*  887747 */   GIM_Try, /*On fail goto*//*Label 13544*/ GIMT_Encode4(887822), // Rule ID 60701 //
     /*  887752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  887763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  887766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  887769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887798 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  887801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887820 */     GIR_RootConstrainSelectedInstOperands,
     /*  887821 */     // GIR_Coverage, 60701,
     /*  887821 */     GIR_EraseRootFromParent_Done,
     /*  887822 */   // Label 13544: @887822
     /*  887822 */   GIM_Try, /*On fail goto*//*Label 13545*/ GIMT_Encode4(887897), // Rule ID 60702 //
     /*  887827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  887838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  887841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  887844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887873 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  887876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887895 */     GIR_RootConstrainSelectedInstOperands,
     /*  887896 */     // GIR_Coverage, 60702,
     /*  887896 */     GIR_EraseRootFromParent_Done,
     /*  887897 */   // Label 13545: @887897
     /*  887897 */   GIM_Try, /*On fail goto*//*Label 13546*/ GIMT_Encode4(887972), // Rule ID 60705 //
     /*  887902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  887913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  887916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  887919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887948 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  887948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  887951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887970 */     GIR_RootConstrainSelectedInstOperands,
     /*  887971 */     // GIR_Coverage, 60705,
     /*  887971 */     GIR_EraseRootFromParent_Done,
     /*  887972 */   // Label 13546: @887972
     /*  887972 */   GIM_Try, /*On fail goto*//*Label 13547*/ GIMT_Encode4(888047), // Rule ID 60706 //
     /*  887977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  887985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  887988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  887991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  887994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888023 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  888023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  888026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888045 */     GIR_RootConstrainSelectedInstOperands,
     /*  888046 */     // GIR_Coverage, 60706,
     /*  888046 */     GIR_EraseRootFromParent_Done,
     /*  888047 */   // Label 13547: @888047
     /*  888047 */   GIM_Try, /*On fail goto*//*Label 13548*/ GIMT_Encode4(888122), // Rule ID 60709 //
     /*  888052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  888063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  888066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  888069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888098 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  888098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  888101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888120 */     GIR_RootConstrainSelectedInstOperands,
     /*  888121 */     // GIR_Coverage, 60709,
     /*  888121 */     GIR_EraseRootFromParent_Done,
     /*  888122 */   // Label 13548: @888122
     /*  888122 */   GIM_Try, /*On fail goto*//*Label 13549*/ GIMT_Encode4(888197), // Rule ID 60710 //
     /*  888127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  888138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  888141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  888144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888173 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  888173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  888176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888195 */     GIR_RootConstrainSelectedInstOperands,
     /*  888196 */     // GIR_Coverage, 60710,
     /*  888196 */     GIR_EraseRootFromParent_Done,
     /*  888197 */   // Label 13549: @888197
     /*  888197 */   GIM_Try, /*On fail goto*//*Label 13550*/ GIMT_Encode4(888272), // Rule ID 60713 //
     /*  888202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  888213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  888216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  888219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888248 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  888248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  888251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888270 */     GIR_RootConstrainSelectedInstOperands,
     /*  888271 */     // GIR_Coverage, 60713,
     /*  888271 */     GIR_EraseRootFromParent_Done,
     /*  888272 */   // Label 13550: @888272
     /*  888272 */   GIM_Try, /*On fail goto*//*Label 13551*/ GIMT_Encode4(888347), // Rule ID 60714 //
     /*  888277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  888288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  888291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  888294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888323 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  888323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  888326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888345 */     GIR_RootConstrainSelectedInstOperands,
     /*  888346 */     // GIR_Coverage, 60714,
     /*  888346 */     GIR_EraseRootFromParent_Done,
     /*  888347 */   // Label 13551: @888347
     /*  888347 */   GIM_Try, /*On fail goto*//*Label 13552*/ GIMT_Encode4(888422), // Rule ID 60717 //
     /*  888352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  888363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  888366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  888369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888398 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  888398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  888401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888420 */     GIR_RootConstrainSelectedInstOperands,
     /*  888421 */     // GIR_Coverage, 60717,
     /*  888421 */     GIR_EraseRootFromParent_Done,
     /*  888422 */   // Label 13552: @888422
     /*  888422 */   GIM_Try, /*On fail goto*//*Label 13553*/ GIMT_Encode4(888497), // Rule ID 60718 //
     /*  888427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  888438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  888441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  888444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888473 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  888473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  888476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888495 */     GIR_RootConstrainSelectedInstOperands,
     /*  888496 */     // GIR_Coverage, 60718,
     /*  888496 */     GIR_EraseRootFromParent_Done,
     /*  888497 */   // Label 13553: @888497
     /*  888497 */   GIM_Try, /*On fail goto*//*Label 13554*/ GIMT_Encode4(888572), // Rule ID 60721 //
     /*  888502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  888513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  888516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  888519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888548 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  888548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  888551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888570 */     GIR_RootConstrainSelectedInstOperands,
     /*  888571 */     // GIR_Coverage, 60721,
     /*  888571 */     GIR_EraseRootFromParent_Done,
     /*  888572 */   // Label 13554: @888572
     /*  888572 */   GIM_Try, /*On fail goto*//*Label 13555*/ GIMT_Encode4(888647), // Rule ID 60722 //
     /*  888577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  888588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  888591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  888594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888623 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  888623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  888626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888645 */     GIR_RootConstrainSelectedInstOperands,
     /*  888646 */     // GIR_Coverage, 60722,
     /*  888646 */     GIR_EraseRootFromParent_Done,
     /*  888647 */   // Label 13555: @888647
     /*  888647 */   GIM_Try, /*On fail goto*//*Label 13556*/ GIMT_Encode4(888722), // Rule ID 60725 //
     /*  888652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  888663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  888666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  888669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888698 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  888698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  888701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888720 */     GIR_RootConstrainSelectedInstOperands,
     /*  888721 */     // GIR_Coverage, 60725,
     /*  888721 */     GIR_EraseRootFromParent_Done,
     /*  888722 */   // Label 13556: @888722
     /*  888722 */   GIM_Try, /*On fail goto*//*Label 13557*/ GIMT_Encode4(888797), // Rule ID 60726 //
     /*  888727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  888738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  888741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  888744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888773 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  888773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  888776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888795 */     GIR_RootConstrainSelectedInstOperands,
     /*  888796 */     // GIR_Coverage, 60726,
     /*  888796 */     GIR_EraseRootFromParent_Done,
     /*  888797 */   // Label 13557: @888797
     /*  888797 */   GIM_Try, /*On fail goto*//*Label 13558*/ GIMT_Encode4(888872), // Rule ID 60729 //
     /*  888802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  888813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  888816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  888819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888848 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  888848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  888851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888870 */     GIR_RootConstrainSelectedInstOperands,
     /*  888871 */     // GIR_Coverage, 60729,
     /*  888871 */     GIR_EraseRootFromParent_Done,
     /*  888872 */   // Label 13558: @888872
     /*  888872 */   GIM_Try, /*On fail goto*//*Label 13559*/ GIMT_Encode4(888947), // Rule ID 60730 //
     /*  888877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  888888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  888891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  888894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888923 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  888923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  888926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  888942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888945 */     GIR_RootConstrainSelectedInstOperands,
     /*  888946 */     // GIR_Coverage, 60730,
     /*  888946 */     GIR_EraseRootFromParent_Done,
     /*  888947 */   // Label 13559: @888947
     /*  888947 */   GIM_Try, /*On fail goto*//*Label 13560*/ GIMT_Encode4(889022), // Rule ID 60733 //
     /*  888952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  888960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  888963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  888966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  888969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888998 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  888998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  889001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889020 */     GIR_RootConstrainSelectedInstOperands,
     /*  889021 */     // GIR_Coverage, 60733,
     /*  889021 */     GIR_EraseRootFromParent_Done,
     /*  889022 */   // Label 13560: @889022
     /*  889022 */   GIM_Try, /*On fail goto*//*Label 13561*/ GIMT_Encode4(889097), // Rule ID 60734 //
     /*  889027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  889038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  889041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  889044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889073 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  889073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  889076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889095 */     GIR_RootConstrainSelectedInstOperands,
     /*  889096 */     // GIR_Coverage, 60734,
     /*  889096 */     GIR_EraseRootFromParent_Done,
     /*  889097 */   // Label 13561: @889097
     /*  889097 */   GIM_Try, /*On fail goto*//*Label 13562*/ GIMT_Encode4(889172), // Rule ID 60737 //
     /*  889102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  889113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  889116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  889119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889148 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  889148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  889151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889170 */     GIR_RootConstrainSelectedInstOperands,
     /*  889171 */     // GIR_Coverage, 60737,
     /*  889171 */     GIR_EraseRootFromParent_Done,
     /*  889172 */   // Label 13562: @889172
     /*  889172 */   GIM_Try, /*On fail goto*//*Label 13563*/ GIMT_Encode4(889247), // Rule ID 60738 //
     /*  889177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  889188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  889191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  889194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889223 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  889223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  889226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889245 */     GIR_RootConstrainSelectedInstOperands,
     /*  889246 */     // GIR_Coverage, 60738,
     /*  889246 */     GIR_EraseRootFromParent_Done,
     /*  889247 */   // Label 13563: @889247
     /*  889247 */   GIM_Try, /*On fail goto*//*Label 13564*/ GIMT_Encode4(889322), // Rule ID 60741 //
     /*  889252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  889263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  889266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  889269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889298 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  889298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  889301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889320 */     GIR_RootConstrainSelectedInstOperands,
     /*  889321 */     // GIR_Coverage, 60741,
     /*  889321 */     GIR_EraseRootFromParent_Done,
     /*  889322 */   // Label 13564: @889322
     /*  889322 */   GIM_Try, /*On fail goto*//*Label 13565*/ GIMT_Encode4(889397), // Rule ID 60742 //
     /*  889327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  889338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  889341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  889344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889373 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  889373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  889376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889395 */     GIR_RootConstrainSelectedInstOperands,
     /*  889396 */     // GIR_Coverage, 60742,
     /*  889396 */     GIR_EraseRootFromParent_Done,
     /*  889397 */   // Label 13565: @889397
     /*  889397 */   GIM_Try, /*On fail goto*//*Label 13566*/ GIMT_Encode4(889472), // Rule ID 60745 //
     /*  889402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  889413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  889416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  889419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889448 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  889448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  889451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889470 */     GIR_RootConstrainSelectedInstOperands,
     /*  889471 */     // GIR_Coverage, 60745,
     /*  889471 */     GIR_EraseRootFromParent_Done,
     /*  889472 */   // Label 13566: @889472
     /*  889472 */   GIM_Try, /*On fail goto*//*Label 13567*/ GIMT_Encode4(889547), // Rule ID 60746 //
     /*  889477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  889488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  889491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  889494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889523 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  889523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  889526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889545 */     GIR_RootConstrainSelectedInstOperands,
     /*  889546 */     // GIR_Coverage, 60746,
     /*  889546 */     GIR_EraseRootFromParent_Done,
     /*  889547 */   // Label 13567: @889547
     /*  889547 */   GIM_Try, /*On fail goto*//*Label 13568*/ GIMT_Encode4(889622), // Rule ID 60749 //
     /*  889552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  889563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  889566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  889569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889598 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  889598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  889601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889620 */     GIR_RootConstrainSelectedInstOperands,
     /*  889621 */     // GIR_Coverage, 60749,
     /*  889621 */     GIR_EraseRootFromParent_Done,
     /*  889622 */   // Label 13568: @889622
     /*  889622 */   GIM_Try, /*On fail goto*//*Label 13569*/ GIMT_Encode4(889697), // Rule ID 60750 //
     /*  889627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  889638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  889641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  889644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889673 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  889673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  889676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889695 */     GIR_RootConstrainSelectedInstOperands,
     /*  889696 */     // GIR_Coverage, 60750,
     /*  889696 */     GIR_EraseRootFromParent_Done,
     /*  889697 */   // Label 13569: @889697
     /*  889697 */   GIM_Try, /*On fail goto*//*Label 13570*/ GIMT_Encode4(889772), // Rule ID 60929 //
     /*  889702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  889710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  889713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  889716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  889719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  889722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889748 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  889751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889770 */     GIR_RootConstrainSelectedInstOperands,
     /*  889771 */     // GIR_Coverage, 60929,
     /*  889771 */     GIR_EraseRootFromParent_Done,
     /*  889772 */   // Label 13570: @889772
     /*  889772 */   GIM_Try, /*On fail goto*//*Label 13571*/ GIMT_Encode4(889847), // Rule ID 60930 //
     /*  889777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  889785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  889788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  889791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  889794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  889797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889823 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  889826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889845 */     GIR_RootConstrainSelectedInstOperands,
     /*  889846 */     // GIR_Coverage, 60930,
     /*  889846 */     GIR_EraseRootFromParent_Done,
     /*  889847 */   // Label 13571: @889847
     /*  889847 */   GIM_Try, /*On fail goto*//*Label 13572*/ GIMT_Encode4(889922), // Rule ID 60933 //
     /*  889852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  889860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  889863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  889866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  889869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  889872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889898 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  889901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889920 */     GIR_RootConstrainSelectedInstOperands,
     /*  889921 */     // GIR_Coverage, 60933,
     /*  889921 */     GIR_EraseRootFromParent_Done,
     /*  889922 */   // Label 13572: @889922
     /*  889922 */   GIM_Try, /*On fail goto*//*Label 13573*/ GIMT_Encode4(889997), // Rule ID 60934 //
     /*  889927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  889935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  889938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  889941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  889944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  889947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889973 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  889976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889995 */     GIR_RootConstrainSelectedInstOperands,
     /*  889996 */     // GIR_Coverage, 60934,
     /*  889996 */     GIR_EraseRootFromParent_Done,
     /*  889997 */   // Label 13573: @889997
     /*  889997 */   GIM_Try, /*On fail goto*//*Label 13574*/ GIMT_Encode4(890072), // Rule ID 60937 //
     /*  890002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  890013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  890016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  890019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  890022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890048 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  890048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  890051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890070 */     GIR_RootConstrainSelectedInstOperands,
     /*  890071 */     // GIR_Coverage, 60937,
     /*  890071 */     GIR_EraseRootFromParent_Done,
     /*  890072 */   // Label 13574: @890072
     /*  890072 */   GIM_Try, /*On fail goto*//*Label 13575*/ GIMT_Encode4(890147), // Rule ID 60938 //
     /*  890077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  890088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  890091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  890094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  890097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890123 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  890123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  890126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890145 */     GIR_RootConstrainSelectedInstOperands,
     /*  890146 */     // GIR_Coverage, 60938,
     /*  890146 */     GIR_EraseRootFromParent_Done,
     /*  890147 */   // Label 13575: @890147
     /*  890147 */   GIM_Try, /*On fail goto*//*Label 13576*/ GIMT_Encode4(890222), // Rule ID 60941 //
     /*  890152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  890163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  890166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  890169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  890172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890198 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  890201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890220 */     GIR_RootConstrainSelectedInstOperands,
     /*  890221 */     // GIR_Coverage, 60941,
     /*  890221 */     GIR_EraseRootFromParent_Done,
     /*  890222 */   // Label 13576: @890222
     /*  890222 */   GIM_Try, /*On fail goto*//*Label 13577*/ GIMT_Encode4(890297), // Rule ID 60942 //
     /*  890227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  890238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  890241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  890244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  890247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890273 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  890276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890295 */     GIR_RootConstrainSelectedInstOperands,
     /*  890296 */     // GIR_Coverage, 60942,
     /*  890296 */     GIR_EraseRootFromParent_Done,
     /*  890297 */   // Label 13577: @890297
     /*  890297 */   GIM_Try, /*On fail goto*//*Label 13578*/ GIMT_Encode4(890372), // Rule ID 60945 //
     /*  890302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  890313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  890316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  890319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  890322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890348 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  890351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890370 */     GIR_RootConstrainSelectedInstOperands,
     /*  890371 */     // GIR_Coverage, 60945,
     /*  890371 */     GIR_EraseRootFromParent_Done,
     /*  890372 */   // Label 13578: @890372
     /*  890372 */   GIM_Try, /*On fail goto*//*Label 13579*/ GIMT_Encode4(890447), // Rule ID 60946 //
     /*  890377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  890388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  890391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  890394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  890397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890423 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  890426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890445 */     GIR_RootConstrainSelectedInstOperands,
     /*  890446 */     // GIR_Coverage, 60946,
     /*  890446 */     GIR_EraseRootFromParent_Done,
     /*  890447 */   // Label 13579: @890447
     /*  890447 */   GIM_Try, /*On fail goto*//*Label 13580*/ GIMT_Encode4(890522), // Rule ID 60949 //
     /*  890452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  890463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  890466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  890469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  890472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890498 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  890501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890520 */     GIR_RootConstrainSelectedInstOperands,
     /*  890521 */     // GIR_Coverage, 60949,
     /*  890521 */     GIR_EraseRootFromParent_Done,
     /*  890522 */   // Label 13580: @890522
     /*  890522 */   GIM_Try, /*On fail goto*//*Label 13581*/ GIMT_Encode4(890597), // Rule ID 60950 //
     /*  890527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  890538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  890541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  890544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  890547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890573 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  890576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890595 */     GIR_RootConstrainSelectedInstOperands,
     /*  890596 */     // GIR_Coverage, 60950,
     /*  890596 */     GIR_EraseRootFromParent_Done,
     /*  890597 */   // Label 13581: @890597
     /*  890597 */   GIM_Try, /*On fail goto*//*Label 13582*/ GIMT_Encode4(890672), // Rule ID 60953 //
     /*  890602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  890613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  890616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  890619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  890622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890648 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  890648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  890651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890670 */     GIR_RootConstrainSelectedInstOperands,
     /*  890671 */     // GIR_Coverage, 60953,
     /*  890671 */     GIR_EraseRootFromParent_Done,
     /*  890672 */   // Label 13582: @890672
     /*  890672 */   GIM_Try, /*On fail goto*//*Label 13583*/ GIMT_Encode4(890747), // Rule ID 60954 //
     /*  890677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  890688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  890691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  890694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  890697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890723 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  890723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  890726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890745 */     GIR_RootConstrainSelectedInstOperands,
     /*  890746 */     // GIR_Coverage, 60954,
     /*  890746 */     GIR_EraseRootFromParent_Done,
     /*  890747 */   // Label 13583: @890747
     /*  890747 */   GIM_Try, /*On fail goto*//*Label 13584*/ GIMT_Encode4(890822), // Rule ID 60957 //
     /*  890752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  890763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  890766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  890769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  890772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  890801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890820 */     GIR_RootConstrainSelectedInstOperands,
     /*  890821 */     // GIR_Coverage, 60957,
     /*  890821 */     GIR_EraseRootFromParent_Done,
     /*  890822 */   // Label 13584: @890822
     /*  890822 */   GIM_Try, /*On fail goto*//*Label 13585*/ GIMT_Encode4(890897), // Rule ID 60958 //
     /*  890827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  890838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  890841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  890844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  890847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890873 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  890876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890895 */     GIR_RootConstrainSelectedInstOperands,
     /*  890896 */     // GIR_Coverage, 60958,
     /*  890896 */     GIR_EraseRootFromParent_Done,
     /*  890897 */   // Label 13585: @890897
     /*  890897 */   GIM_Try, /*On fail goto*//*Label 13586*/ GIMT_Encode4(890972), // Rule ID 60961 //
     /*  890902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  890913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  890916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  890919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  890922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890948 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  890951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890970 */     GIR_RootConstrainSelectedInstOperands,
     /*  890971 */     // GIR_Coverage, 60961,
     /*  890971 */     GIR_EraseRootFromParent_Done,
     /*  890972 */   // Label 13586: @890972
     /*  890972 */   GIM_Try, /*On fail goto*//*Label 13587*/ GIMT_Encode4(891047), // Rule ID 60962 //
     /*  890977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  890988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  890991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  890994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  890997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891023 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  891023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  891026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891045 */     GIR_RootConstrainSelectedInstOperands,
     /*  891046 */     // GIR_Coverage, 60962,
     /*  891046 */     GIR_EraseRootFromParent_Done,
     /*  891047 */   // Label 13587: @891047
     /*  891047 */   GIM_Try, /*On fail goto*//*Label 13588*/ GIMT_Encode4(891122), // Rule ID 60965 //
     /*  891052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  891063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  891066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  891069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  891072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891098 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  891098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  891101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891120 */     GIR_RootConstrainSelectedInstOperands,
     /*  891121 */     // GIR_Coverage, 60965,
     /*  891121 */     GIR_EraseRootFromParent_Done,
     /*  891122 */   // Label 13588: @891122
     /*  891122 */   GIM_Try, /*On fail goto*//*Label 13589*/ GIMT_Encode4(891197), // Rule ID 60966 //
     /*  891127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  891138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  891141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  891144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  891147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891173 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  891173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  891176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891195 */     GIR_RootConstrainSelectedInstOperands,
     /*  891196 */     // GIR_Coverage, 60966,
     /*  891196 */     GIR_EraseRootFromParent_Done,
     /*  891197 */   // Label 13589: @891197
     /*  891197 */   GIM_Try, /*On fail goto*//*Label 13590*/ GIMT_Encode4(891272), // Rule ID 60969 //
     /*  891202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  891213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  891216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  891219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  891222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891248 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  891251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891270 */     GIR_RootConstrainSelectedInstOperands,
     /*  891271 */     // GIR_Coverage, 60969,
     /*  891271 */     GIR_EraseRootFromParent_Done,
     /*  891272 */   // Label 13590: @891272
     /*  891272 */   GIM_Try, /*On fail goto*//*Label 13591*/ GIMT_Encode4(891347), // Rule ID 60970 //
     /*  891277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  891288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  891291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  891294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  891297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891323 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  891326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891345 */     GIR_RootConstrainSelectedInstOperands,
     /*  891346 */     // GIR_Coverage, 60970,
     /*  891346 */     GIR_EraseRootFromParent_Done,
     /*  891347 */   // Label 13591: @891347
     /*  891347 */   GIM_Try, /*On fail goto*//*Label 13592*/ GIMT_Encode4(891422), // Rule ID 60973 //
     /*  891352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  891363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  891366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  891369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  891372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891398 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  891401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891420 */     GIR_RootConstrainSelectedInstOperands,
     /*  891421 */     // GIR_Coverage, 60973,
     /*  891421 */     GIR_EraseRootFromParent_Done,
     /*  891422 */   // Label 13592: @891422
     /*  891422 */   GIM_Try, /*On fail goto*//*Label 13593*/ GIMT_Encode4(891497), // Rule ID 60974 //
     /*  891427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  891438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  891441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  891444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  891447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891473 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  891476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891495 */     GIR_RootConstrainSelectedInstOperands,
     /*  891496 */     // GIR_Coverage, 60974,
     /*  891496 */     GIR_EraseRootFromParent_Done,
     /*  891497 */   // Label 13593: @891497
     /*  891497 */   GIM_Try, /*On fail goto*//*Label 13594*/ GIMT_Encode4(891572), // Rule ID 60977 //
     /*  891502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  891513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  891516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  891519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  891522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891548 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  891551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891570 */     GIR_RootConstrainSelectedInstOperands,
     /*  891571 */     // GIR_Coverage, 60977,
     /*  891571 */     GIR_EraseRootFromParent_Done,
     /*  891572 */   // Label 13594: @891572
     /*  891572 */   GIM_Try, /*On fail goto*//*Label 13595*/ GIMT_Encode4(891647), // Rule ID 60978 //
     /*  891577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  891588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  891591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  891594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  891597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891623 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  891626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891645 */     GIR_RootConstrainSelectedInstOperands,
     /*  891646 */     // GIR_Coverage, 60978,
     /*  891646 */     GIR_EraseRootFromParent_Done,
     /*  891647 */   // Label 13595: @891647
     /*  891647 */   GIM_Try, /*On fail goto*//*Label 13596*/ GIMT_Encode4(891722), // Rule ID 60981 //
     /*  891652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  891663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  891666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  891669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  891672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891698 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  891701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891720 */     GIR_RootConstrainSelectedInstOperands,
     /*  891721 */     // GIR_Coverage, 60981,
     /*  891721 */     GIR_EraseRootFromParent_Done,
     /*  891722 */   // Label 13596: @891722
     /*  891722 */   GIM_Try, /*On fail goto*//*Label 13597*/ GIMT_Encode4(891797), // Rule ID 60982 //
     /*  891727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  891738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  891741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  891744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  891747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891773 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  891773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  891776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891795 */     GIR_RootConstrainSelectedInstOperands,
     /*  891796 */     // GIR_Coverage, 60982,
     /*  891796 */     GIR_EraseRootFromParent_Done,
     /*  891797 */   // Label 13597: @891797
     /*  891797 */   GIM_Try, /*On fail goto*//*Label 13598*/ GIMT_Encode4(891872), // Rule ID 60985 //
     /*  891802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  891813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  891816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  891819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  891822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891848 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  891851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891870 */     GIR_RootConstrainSelectedInstOperands,
     /*  891871 */     // GIR_Coverage, 60985,
     /*  891871 */     GIR_EraseRootFromParent_Done,
     /*  891872 */   // Label 13598: @891872
     /*  891872 */   GIM_Try, /*On fail goto*//*Label 13599*/ GIMT_Encode4(891947), // Rule ID 60986 //
     /*  891877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  891888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  891891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  891894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  891897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891923 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  891923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  891926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891945 */     GIR_RootConstrainSelectedInstOperands,
     /*  891946 */     // GIR_Coverage, 60986,
     /*  891946 */     GIR_EraseRootFromParent_Done,
     /*  891947 */   // Label 13599: @891947
     /*  891947 */   GIM_Try, /*On fail goto*//*Label 13600*/ GIMT_Encode4(892022), // Rule ID 60989 //
     /*  891952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  891963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  891966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  891969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  891972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891998 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  892001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892020 */     GIR_RootConstrainSelectedInstOperands,
     /*  892021 */     // GIR_Coverage, 60989,
     /*  892021 */     GIR_EraseRootFromParent_Done,
     /*  892022 */   // Label 13600: @892022
     /*  892022 */   GIM_Try, /*On fail goto*//*Label 13601*/ GIMT_Encode4(892097), // Rule ID 60990 //
     /*  892027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  892038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  892041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  892044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  892047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892073 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  892073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  892076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892095 */     GIR_RootConstrainSelectedInstOperands,
     /*  892096 */     // GIR_Coverage, 60990,
     /*  892096 */     GIR_EraseRootFromParent_Done,
     /*  892097 */   // Label 13601: @892097
     /*  892097 */   GIM_Try, /*On fail goto*//*Label 13602*/ GIMT_Encode4(892172), // Rule ID 60993 //
     /*  892102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  892113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  892116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  892119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  892122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892148 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  892148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  892151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892170 */     GIR_RootConstrainSelectedInstOperands,
     /*  892171 */     // GIR_Coverage, 60993,
     /*  892171 */     GIR_EraseRootFromParent_Done,
     /*  892172 */   // Label 13602: @892172
     /*  892172 */   GIM_Try, /*On fail goto*//*Label 13603*/ GIMT_Encode4(892247), // Rule ID 60994 //
     /*  892177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  892188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  892191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  892194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  892197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892223 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  892223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  892226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892245 */     GIR_RootConstrainSelectedInstOperands,
     /*  892246 */     // GIR_Coverage, 60994,
     /*  892246 */     GIR_EraseRootFromParent_Done,
     /*  892247 */   // Label 13603: @892247
     /*  892247 */   GIM_Try, /*On fail goto*//*Label 13604*/ GIMT_Encode4(892322), // Rule ID 60997 //
     /*  892252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  892263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  892266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  892269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  892272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892298 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  892298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  892301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892320 */     GIR_RootConstrainSelectedInstOperands,
     /*  892321 */     // GIR_Coverage, 60997,
     /*  892321 */     GIR_EraseRootFromParent_Done,
     /*  892322 */   // Label 13604: @892322
     /*  892322 */   GIM_Try, /*On fail goto*//*Label 13605*/ GIMT_Encode4(892397), // Rule ID 60998 //
     /*  892327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  892338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  892341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  892344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  892347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892373 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  892373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  892376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892395 */     GIR_RootConstrainSelectedInstOperands,
     /*  892396 */     // GIR_Coverage, 60998,
     /*  892396 */     GIR_EraseRootFromParent_Done,
     /*  892397 */   // Label 13605: @892397
     /*  892397 */   GIM_Try, /*On fail goto*//*Label 13606*/ GIMT_Encode4(892472), // Rule ID 61001 //
     /*  892402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  892413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  892416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  892419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  892422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892448 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  892448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  892451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892470 */     GIR_RootConstrainSelectedInstOperands,
     /*  892471 */     // GIR_Coverage, 61001,
     /*  892471 */     GIR_EraseRootFromParent_Done,
     /*  892472 */   // Label 13606: @892472
     /*  892472 */   GIM_Try, /*On fail goto*//*Label 13607*/ GIMT_Encode4(892547), // Rule ID 61002 //
     /*  892477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  892488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  892491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  892494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  892497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892523 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  892523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  892526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892545 */     GIR_RootConstrainSelectedInstOperands,
     /*  892546 */     // GIR_Coverage, 61002,
     /*  892546 */     GIR_EraseRootFromParent_Done,
     /*  892547 */   // Label 13607: @892547
     /*  892547 */   GIM_Try, /*On fail goto*//*Label 13608*/ GIMT_Encode4(892622), // Rule ID 61005 //
     /*  892552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  892563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  892566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  892569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  892572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892598 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  892598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  892601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892620 */     GIR_RootConstrainSelectedInstOperands,
     /*  892621 */     // GIR_Coverage, 61005,
     /*  892621 */     GIR_EraseRootFromParent_Done,
     /*  892622 */   // Label 13608: @892622
     /*  892622 */   GIM_Try, /*On fail goto*//*Label 13609*/ GIMT_Encode4(892697), // Rule ID 61006 //
     /*  892627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  892638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  892641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  892644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  892647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892673 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  892673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  892676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892695 */     GIR_RootConstrainSelectedInstOperands,
     /*  892696 */     // GIR_Coverage, 61006,
     /*  892696 */     GIR_EraseRootFromParent_Done,
     /*  892697 */   // Label 13609: @892697
     /*  892697 */   GIM_Try, /*On fail goto*//*Label 13610*/ GIMT_Encode4(892772), // Rule ID 61009 //
     /*  892702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  892713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  892716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  892719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  892722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892748 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  892748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  892751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892770 */     GIR_RootConstrainSelectedInstOperands,
     /*  892771 */     // GIR_Coverage, 61009,
     /*  892771 */     GIR_EraseRootFromParent_Done,
     /*  892772 */   // Label 13610: @892772
     /*  892772 */   GIM_Try, /*On fail goto*//*Label 13611*/ GIMT_Encode4(892847), // Rule ID 61010 //
     /*  892777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  892788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  892791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  892794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  892797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892823 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  892823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  892826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892845 */     GIR_RootConstrainSelectedInstOperands,
     /*  892846 */     // GIR_Coverage, 61010,
     /*  892846 */     GIR_EraseRootFromParent_Done,
     /*  892847 */   // Label 13611: @892847
     /*  892847 */   GIM_Try, /*On fail goto*//*Label 13612*/ GIMT_Encode4(892922), // Rule ID 61013 //
     /*  892852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  892863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  892866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  892869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  892872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892898 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  892898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  892901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892920 */     GIR_RootConstrainSelectedInstOperands,
     /*  892921 */     // GIR_Coverage, 61013,
     /*  892921 */     GIR_EraseRootFromParent_Done,
     /*  892922 */   // Label 13612: @892922
     /*  892922 */   GIM_Try, /*On fail goto*//*Label 13613*/ GIMT_Encode4(892997), // Rule ID 61014 //
     /*  892927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  892935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  892938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  892941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  892944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  892947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892973 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  892973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  892976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892995 */     GIR_RootConstrainSelectedInstOperands,
     /*  892996 */     // GIR_Coverage, 61014,
     /*  892996 */     GIR_EraseRootFromParent_Done,
     /*  892997 */   // Label 13613: @892997
     /*  892997 */   GIM_Try, /*On fail goto*//*Label 13614*/ GIMT_Encode4(893072), // Rule ID 61017 //
     /*  893002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  893013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  893016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  893019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893048 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  893051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893070 */     GIR_RootConstrainSelectedInstOperands,
     /*  893071 */     // GIR_Coverage, 61017,
     /*  893071 */     GIR_EraseRootFromParent_Done,
     /*  893072 */   // Label 13614: @893072
     /*  893072 */   GIM_Try, /*On fail goto*//*Label 13615*/ GIMT_Encode4(893147), // Rule ID 61018 //
     /*  893077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  893088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  893091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  893094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893123 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  893126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893145 */     GIR_RootConstrainSelectedInstOperands,
     /*  893146 */     // GIR_Coverage, 61018,
     /*  893146 */     GIR_EraseRootFromParent_Done,
     /*  893147 */   // Label 13615: @893147
     /*  893147 */   GIM_Try, /*On fail goto*//*Label 13616*/ GIMT_Encode4(893222), // Rule ID 61021 //
     /*  893152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  893163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  893166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  893169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893198 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  893201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893220 */     GIR_RootConstrainSelectedInstOperands,
     /*  893221 */     // GIR_Coverage, 61021,
     /*  893221 */     GIR_EraseRootFromParent_Done,
     /*  893222 */   // Label 13616: @893222
     /*  893222 */   GIM_Try, /*On fail goto*//*Label 13617*/ GIMT_Encode4(893297), // Rule ID 61022 //
     /*  893227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  893238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  893241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  893244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893273 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  893276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893295 */     GIR_RootConstrainSelectedInstOperands,
     /*  893296 */     // GIR_Coverage, 61022,
     /*  893296 */     GIR_EraseRootFromParent_Done,
     /*  893297 */   // Label 13617: @893297
     /*  893297 */   GIM_Try, /*On fail goto*//*Label 13618*/ GIMT_Encode4(893372), // Rule ID 61025 //
     /*  893302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  893313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  893316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  893319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893348 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  893351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893370 */     GIR_RootConstrainSelectedInstOperands,
     /*  893371 */     // GIR_Coverage, 61025,
     /*  893371 */     GIR_EraseRootFromParent_Done,
     /*  893372 */   // Label 13618: @893372
     /*  893372 */   GIM_Try, /*On fail goto*//*Label 13619*/ GIMT_Encode4(893447), // Rule ID 61026 //
     /*  893377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  893388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  893391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  893394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893423 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  893426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893445 */     GIR_RootConstrainSelectedInstOperands,
     /*  893446 */     // GIR_Coverage, 61026,
     /*  893446 */     GIR_EraseRootFromParent_Done,
     /*  893447 */   // Label 13619: @893447
     /*  893447 */   GIM_Try, /*On fail goto*//*Label 13620*/ GIMT_Encode4(893522), // Rule ID 61029 //
     /*  893452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  893463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  893466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  893469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893498 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  893501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893520 */     GIR_RootConstrainSelectedInstOperands,
     /*  893521 */     // GIR_Coverage, 61029,
     /*  893521 */     GIR_EraseRootFromParent_Done,
     /*  893522 */   // Label 13620: @893522
     /*  893522 */   GIM_Try, /*On fail goto*//*Label 13621*/ GIMT_Encode4(893597), // Rule ID 61030 //
     /*  893527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  893538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  893541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  893544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893573 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  893576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893595 */     GIR_RootConstrainSelectedInstOperands,
     /*  893596 */     // GIR_Coverage, 61030,
     /*  893596 */     GIR_EraseRootFromParent_Done,
     /*  893597 */   // Label 13621: @893597
     /*  893597 */   GIM_Try, /*On fail goto*//*Label 13622*/ GIMT_Encode4(893672), // Rule ID 61033 //
     /*  893602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  893613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  893616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  893619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893648 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  893651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893670 */     GIR_RootConstrainSelectedInstOperands,
     /*  893671 */     // GIR_Coverage, 61033,
     /*  893671 */     GIR_EraseRootFromParent_Done,
     /*  893672 */   // Label 13622: @893672
     /*  893672 */   GIM_Try, /*On fail goto*//*Label 13623*/ GIMT_Encode4(893747), // Rule ID 61034 //
     /*  893677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  893688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  893691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  893694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893723 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  893726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893745 */     GIR_RootConstrainSelectedInstOperands,
     /*  893746 */     // GIR_Coverage, 61034,
     /*  893746 */     GIR_EraseRootFromParent_Done,
     /*  893747 */   // Label 13623: @893747
     /*  893747 */   GIM_Try, /*On fail goto*//*Label 13624*/ GIMT_Encode4(893822), // Rule ID 61037 //
     /*  893752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  893763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  893766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  893769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893798 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  893798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  893801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893820 */     GIR_RootConstrainSelectedInstOperands,
     /*  893821 */     // GIR_Coverage, 61037,
     /*  893821 */     GIR_EraseRootFromParent_Done,
     /*  893822 */   // Label 13624: @893822
     /*  893822 */   GIM_Try, /*On fail goto*//*Label 13625*/ GIMT_Encode4(893897), // Rule ID 61038 //
     /*  893827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  893838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  893841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  893844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893873 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  893873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  893876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893895 */     GIR_RootConstrainSelectedInstOperands,
     /*  893896 */     // GIR_Coverage, 61038,
     /*  893896 */     GIR_EraseRootFromParent_Done,
     /*  893897 */   // Label 13625: @893897
     /*  893897 */   GIM_Try, /*On fail goto*//*Label 13626*/ GIMT_Encode4(893972), // Rule ID 61041 //
     /*  893902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  893913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  893916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  893919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893948 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  893951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893970 */     GIR_RootConstrainSelectedInstOperands,
     /*  893971 */     // GIR_Coverage, 61041,
     /*  893971 */     GIR_EraseRootFromParent_Done,
     /*  893972 */   // Label 13626: @893972
     /*  893972 */   GIM_Try, /*On fail goto*//*Label 13627*/ GIMT_Encode4(894047), // Rule ID 61042 //
     /*  893977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  893985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  893988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  893991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  893994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894023 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  894026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894045 */     GIR_RootConstrainSelectedInstOperands,
     /*  894046 */     // GIR_Coverage, 61042,
     /*  894046 */     GIR_EraseRootFromParent_Done,
     /*  894047 */   // Label 13627: @894047
     /*  894047 */   GIM_Try, /*On fail goto*//*Label 13628*/ GIMT_Encode4(894122), // Rule ID 61045 //
     /*  894052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  894063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  894066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  894069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894098 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  894098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  894101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894120 */     GIR_RootConstrainSelectedInstOperands,
     /*  894121 */     // GIR_Coverage, 61045,
     /*  894121 */     GIR_EraseRootFromParent_Done,
     /*  894122 */   // Label 13628: @894122
     /*  894122 */   GIM_Try, /*On fail goto*//*Label 13629*/ GIMT_Encode4(894197), // Rule ID 61046 //
     /*  894127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  894138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  894141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  894144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894173 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  894173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  894176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894195 */     GIR_RootConstrainSelectedInstOperands,
     /*  894196 */     // GIR_Coverage, 61046,
     /*  894196 */     GIR_EraseRootFromParent_Done,
     /*  894197 */   // Label 13629: @894197
     /*  894197 */   GIM_Try, /*On fail goto*//*Label 13630*/ GIMT_Encode4(894272), // Rule ID 61049 //
     /*  894202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  894213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  894216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  894219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894248 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  894248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  894251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894270 */     GIR_RootConstrainSelectedInstOperands,
     /*  894271 */     // GIR_Coverage, 61049,
     /*  894271 */     GIR_EraseRootFromParent_Done,
     /*  894272 */   // Label 13630: @894272
     /*  894272 */   GIM_Try, /*On fail goto*//*Label 13631*/ GIMT_Encode4(894347), // Rule ID 61050 //
     /*  894277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  894288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  894291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  894294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894323 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  894323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  894326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894345 */     GIR_RootConstrainSelectedInstOperands,
     /*  894346 */     // GIR_Coverage, 61050,
     /*  894346 */     GIR_EraseRootFromParent_Done,
     /*  894347 */   // Label 13631: @894347
     /*  894347 */   GIM_Try, /*On fail goto*//*Label 13632*/ GIMT_Encode4(894422), // Rule ID 61053 //
     /*  894352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  894363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  894366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  894369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894398 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  894398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  894401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894420 */     GIR_RootConstrainSelectedInstOperands,
     /*  894421 */     // GIR_Coverage, 61053,
     /*  894421 */     GIR_EraseRootFromParent_Done,
     /*  894422 */   // Label 13632: @894422
     /*  894422 */   GIM_Try, /*On fail goto*//*Label 13633*/ GIMT_Encode4(894497), // Rule ID 61054 //
     /*  894427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  894438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  894441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  894444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894473 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  894473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  894476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894495 */     GIR_RootConstrainSelectedInstOperands,
     /*  894496 */     // GIR_Coverage, 61054,
     /*  894496 */     GIR_EraseRootFromParent_Done,
     /*  894497 */   // Label 13633: @894497
     /*  894497 */   GIM_Try, /*On fail goto*//*Label 13634*/ GIMT_Encode4(894572), // Rule ID 61057 //
     /*  894502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  894513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  894516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  894519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894548 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  894551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894570 */     GIR_RootConstrainSelectedInstOperands,
     /*  894571 */     // GIR_Coverage, 61057,
     /*  894571 */     GIR_EraseRootFromParent_Done,
     /*  894572 */   // Label 13634: @894572
     /*  894572 */   GIM_Try, /*On fail goto*//*Label 13635*/ GIMT_Encode4(894647), // Rule ID 61058 //
     /*  894577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  894588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  894591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  894594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894623 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  894626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894645 */     GIR_RootConstrainSelectedInstOperands,
     /*  894646 */     // GIR_Coverage, 61058,
     /*  894646 */     GIR_EraseRootFromParent_Done,
     /*  894647 */   // Label 13635: @894647
     /*  894647 */   GIM_Try, /*On fail goto*//*Label 13636*/ GIMT_Encode4(894722), // Rule ID 61061 //
     /*  894652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  894663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  894666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  894669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894698 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  894701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894720 */     GIR_RootConstrainSelectedInstOperands,
     /*  894721 */     // GIR_Coverage, 61061,
     /*  894721 */     GIR_EraseRootFromParent_Done,
     /*  894722 */   // Label 13636: @894722
     /*  894722 */   GIM_Try, /*On fail goto*//*Label 13637*/ GIMT_Encode4(894797), // Rule ID 61062 //
     /*  894727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  894738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  894741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  894744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894773 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  894776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894795 */     GIR_RootConstrainSelectedInstOperands,
     /*  894796 */     // GIR_Coverage, 61062,
     /*  894796 */     GIR_EraseRootFromParent_Done,
     /*  894797 */   // Label 13637: @894797
     /*  894797 */   GIM_Try, /*On fail goto*//*Label 13638*/ GIMT_Encode4(894872), // Rule ID 61065 //
     /*  894802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  894813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  894816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  894819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894848 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  894851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894870 */     GIR_RootConstrainSelectedInstOperands,
     /*  894871 */     // GIR_Coverage, 61065,
     /*  894871 */     GIR_EraseRootFromParent_Done,
     /*  894872 */   // Label 13638: @894872
     /*  894872 */   GIM_Try, /*On fail goto*//*Label 13639*/ GIMT_Encode4(894947), // Rule ID 61066 //
     /*  894877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  894888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  894891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  894894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894923 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  894926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894945 */     GIR_RootConstrainSelectedInstOperands,
     /*  894946 */     // GIR_Coverage, 61066,
     /*  894946 */     GIR_EraseRootFromParent_Done,
     /*  894947 */   // Label 13639: @894947
     /*  894947 */   GIM_Try, /*On fail goto*//*Label 13640*/ GIMT_Encode4(895022), // Rule ID 61069 //
     /*  894952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  894960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  894963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  894966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  894969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894998 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  894998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  895001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895020 */     GIR_RootConstrainSelectedInstOperands,
     /*  895021 */     // GIR_Coverage, 61069,
     /*  895021 */     GIR_EraseRootFromParent_Done,
     /*  895022 */   // Label 13640: @895022
     /*  895022 */   GIM_Try, /*On fail goto*//*Label 13641*/ GIMT_Encode4(895097), // Rule ID 61070 //
     /*  895027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  895038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  895041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  895044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895073 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  895073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  895076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895095 */     GIR_RootConstrainSelectedInstOperands,
     /*  895096 */     // GIR_Coverage, 61070,
     /*  895096 */     GIR_EraseRootFromParent_Done,
     /*  895097 */   // Label 13641: @895097
     /*  895097 */   GIM_Try, /*On fail goto*//*Label 13642*/ GIMT_Encode4(895172), // Rule ID 61073 //
     /*  895102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  895113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  895116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  895119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895148 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  895148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  895151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895170 */     GIR_RootConstrainSelectedInstOperands,
     /*  895171 */     // GIR_Coverage, 61073,
     /*  895171 */     GIR_EraseRootFromParent_Done,
     /*  895172 */   // Label 13642: @895172
     /*  895172 */   GIM_Try, /*On fail goto*//*Label 13643*/ GIMT_Encode4(895247), // Rule ID 61074 //
     /*  895177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  895188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  895191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  895194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895223 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  895223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  895226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895245 */     GIR_RootConstrainSelectedInstOperands,
     /*  895246 */     // GIR_Coverage, 61074,
     /*  895246 */     GIR_EraseRootFromParent_Done,
     /*  895247 */   // Label 13643: @895247
     /*  895247 */   GIM_Try, /*On fail goto*//*Label 13644*/ GIMT_Encode4(895322), // Rule ID 61077 //
     /*  895252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  895263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  895266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  895269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895298 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  895298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  895301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895320 */     GIR_RootConstrainSelectedInstOperands,
     /*  895321 */     // GIR_Coverage, 61077,
     /*  895321 */     GIR_EraseRootFromParent_Done,
     /*  895322 */   // Label 13644: @895322
     /*  895322 */   GIM_Try, /*On fail goto*//*Label 13645*/ GIMT_Encode4(895397), // Rule ID 61078 //
     /*  895327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  895338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  895341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  895344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895373 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  895373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  895376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895395 */     GIR_RootConstrainSelectedInstOperands,
     /*  895396 */     // GIR_Coverage, 61078,
     /*  895396 */     GIR_EraseRootFromParent_Done,
     /*  895397 */   // Label 13645: @895397
     /*  895397 */   GIM_Try, /*On fail goto*//*Label 13646*/ GIMT_Encode4(895472), // Rule ID 61081 //
     /*  895402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  895413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  895416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  895419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895448 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  895448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  895451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895470 */     GIR_RootConstrainSelectedInstOperands,
     /*  895471 */     // GIR_Coverage, 61081,
     /*  895471 */     GIR_EraseRootFromParent_Done,
     /*  895472 */   // Label 13646: @895472
     /*  895472 */   GIM_Try, /*On fail goto*//*Label 13647*/ GIMT_Encode4(895547), // Rule ID 61082 //
     /*  895477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  895488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  895491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  895494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895523 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  895523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  895526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895545 */     GIR_RootConstrainSelectedInstOperands,
     /*  895546 */     // GIR_Coverage, 61082,
     /*  895546 */     GIR_EraseRootFromParent_Done,
     /*  895547 */   // Label 13647: @895547
     /*  895547 */   GIM_Try, /*On fail goto*//*Label 13648*/ GIMT_Encode4(895622), // Rule ID 61085 //
     /*  895552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  895563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  895566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  895569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895598 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  895598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  895601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895620 */     GIR_RootConstrainSelectedInstOperands,
     /*  895621 */     // GIR_Coverage, 61085,
     /*  895621 */     GIR_EraseRootFromParent_Done,
     /*  895622 */   // Label 13648: @895622
     /*  895622 */   GIM_Try, /*On fail goto*//*Label 13649*/ GIMT_Encode4(895697), // Rule ID 61086 //
     /*  895627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  895638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  895641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  895644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895673 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  895673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  895676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895695 */     GIR_RootConstrainSelectedInstOperands,
     /*  895696 */     // GIR_Coverage, 61086,
     /*  895696 */     GIR_EraseRootFromParent_Done,
     /*  895697 */   // Label 13649: @895697
     /*  895697 */   GIM_Try, /*On fail goto*//*Label 13650*/ GIMT_Encode4(895772), // Rule ID 61089 //
     /*  895702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  895713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  895716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  895719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895748 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  895748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  895751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895770 */     GIR_RootConstrainSelectedInstOperands,
     /*  895771 */     // GIR_Coverage, 61089,
     /*  895771 */     GIR_EraseRootFromParent_Done,
     /*  895772 */   // Label 13650: @895772
     /*  895772 */   GIM_Try, /*On fail goto*//*Label 13651*/ GIMT_Encode4(895847), // Rule ID 61090 //
     /*  895777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  895788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  895791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  895794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895823 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  895823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  895826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895845 */     GIR_RootConstrainSelectedInstOperands,
     /*  895846 */     // GIR_Coverage, 61090,
     /*  895846 */     GIR_EraseRootFromParent_Done,
     /*  895847 */   // Label 13651: @895847
     /*  895847 */   GIM_Try, /*On fail goto*//*Label 13652*/ GIMT_Encode4(895922), // Rule ID 61093 //
     /*  895852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  895863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  895866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  895869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895898 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  895898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  895901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895920 */     GIR_RootConstrainSelectedInstOperands,
     /*  895921 */     // GIR_Coverage, 61093,
     /*  895921 */     GIR_EraseRootFromParent_Done,
     /*  895922 */   // Label 13652: @895922
     /*  895922 */   GIM_Try, /*On fail goto*//*Label 13653*/ GIMT_Encode4(895997), // Rule ID 61094 //
     /*  895927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  895935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  895938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  895941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  895944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895973 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  895973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  895976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895995 */     GIR_RootConstrainSelectedInstOperands,
     /*  895996 */     // GIR_Coverage, 61094,
     /*  895996 */     GIR_EraseRootFromParent_Done,
     /*  895997 */   // Label 13653: @895997
     /*  895997 */   GIM_Try, /*On fail goto*//*Label 13654*/ GIMT_Encode4(896072), // Rule ID 61097 //
     /*  896002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  896013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  896016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  896019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896048 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  896048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  896067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896070 */     GIR_RootConstrainSelectedInstOperands,
     /*  896071 */     // GIR_Coverage, 61097,
     /*  896071 */     GIR_EraseRootFromParent_Done,
     /*  896072 */   // Label 13654: @896072
     /*  896072 */   GIM_Try, /*On fail goto*//*Label 13655*/ GIMT_Encode4(896147), // Rule ID 61098 //
     /*  896077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  896088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  896091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  896094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896123 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  896123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  896126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  896142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896145 */     GIR_RootConstrainSelectedInstOperands,
     /*  896146 */     // GIR_Coverage, 61098,
     /*  896146 */     GIR_EraseRootFromParent_Done,
     /*  896147 */   // Label 13655: @896147
     /*  896147 */   GIM_Try, /*On fail goto*//*Label 13656*/ GIMT_Encode4(896222), // Rule ID 61101 //
     /*  896152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  896163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  896166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  896169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896198 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  896198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  896201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  896217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896220 */     GIR_RootConstrainSelectedInstOperands,
     /*  896221 */     // GIR_Coverage, 61101,
     /*  896221 */     GIR_EraseRootFromParent_Done,
     /*  896222 */   // Label 13656: @896222
     /*  896222 */   GIM_Try, /*On fail goto*//*Label 13657*/ GIMT_Encode4(896297), // Rule ID 61102 //
     /*  896227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  896238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  896241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  896244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896273 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  896273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  896276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  896292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896295 */     GIR_RootConstrainSelectedInstOperands,
     /*  896296 */     // GIR_Coverage, 61102,
     /*  896296 */     GIR_EraseRootFromParent_Done,
     /*  896297 */   // Label 13657: @896297
     /*  896297 */   GIM_Try, /*On fail goto*//*Label 13658*/ GIMT_Encode4(896372), // Rule ID 61189 //
     /*  896302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  896313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  896316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  896319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  896322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896348 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  896351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896370 */     GIR_RootConstrainSelectedInstOperands,
     /*  896371 */     // GIR_Coverage, 61189,
     /*  896371 */     GIR_EraseRootFromParent_Done,
     /*  896372 */   // Label 13658: @896372
     /*  896372 */   GIM_Try, /*On fail goto*//*Label 13659*/ GIMT_Encode4(896447), // Rule ID 61190 //
     /*  896377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  896388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  896391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  896394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  896397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896423 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  896426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896445 */     GIR_RootConstrainSelectedInstOperands,
     /*  896446 */     // GIR_Coverage, 61190,
     /*  896446 */     GIR_EraseRootFromParent_Done,
     /*  896447 */   // Label 13659: @896447
     /*  896447 */   GIM_Try, /*On fail goto*//*Label 13660*/ GIMT_Encode4(896522), // Rule ID 61193 //
     /*  896452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  896463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  896466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  896469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  896472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896498 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  896501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896520 */     GIR_RootConstrainSelectedInstOperands,
     /*  896521 */     // GIR_Coverage, 61193,
     /*  896521 */     GIR_EraseRootFromParent_Done,
     /*  896522 */   // Label 13660: @896522
     /*  896522 */   GIM_Try, /*On fail goto*//*Label 13661*/ GIMT_Encode4(896597), // Rule ID 61194 //
     /*  896527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  896538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  896541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  896544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  896547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896573 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  896576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896595 */     GIR_RootConstrainSelectedInstOperands,
     /*  896596 */     // GIR_Coverage, 61194,
     /*  896596 */     GIR_EraseRootFromParent_Done,
     /*  896597 */   // Label 13661: @896597
     /*  896597 */   GIM_Try, /*On fail goto*//*Label 13662*/ GIMT_Encode4(896672), // Rule ID 61197 //
     /*  896602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  896613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  896616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  896619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  896622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896648 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  896651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896670 */     GIR_RootConstrainSelectedInstOperands,
     /*  896671 */     // GIR_Coverage, 61197,
     /*  896671 */     GIR_EraseRootFromParent_Done,
     /*  896672 */   // Label 13662: @896672
     /*  896672 */   GIM_Try, /*On fail goto*//*Label 13663*/ GIMT_Encode4(896747), // Rule ID 61198 //
     /*  896677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  896688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  896691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  896694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  896697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896723 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  896726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896745 */     GIR_RootConstrainSelectedInstOperands,
     /*  896746 */     // GIR_Coverage, 61198,
     /*  896746 */     GIR_EraseRootFromParent_Done,
     /*  896747 */   // Label 13663: @896747
     /*  896747 */   GIM_Try, /*On fail goto*//*Label 13664*/ GIMT_Encode4(896822), // Rule ID 61201 //
     /*  896752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  896763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  896766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  896769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  896772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896798 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  896801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896820 */     GIR_RootConstrainSelectedInstOperands,
     /*  896821 */     // GIR_Coverage, 61201,
     /*  896821 */     GIR_EraseRootFromParent_Done,
     /*  896822 */   // Label 13664: @896822
     /*  896822 */   GIM_Try, /*On fail goto*//*Label 13665*/ GIMT_Encode4(896897), // Rule ID 61202 //
     /*  896827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  896838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  896841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  896844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  896847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896873 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  896876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896895 */     GIR_RootConstrainSelectedInstOperands,
     /*  896896 */     // GIR_Coverage, 61202,
     /*  896896 */     GIR_EraseRootFromParent_Done,
     /*  896897 */   // Label 13665: @896897
     /*  896897 */   GIM_Try, /*On fail goto*//*Label 13666*/ GIMT_Encode4(896972), // Rule ID 61205 //
     /*  896902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  896913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  896916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  896919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  896922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896948 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  896951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896970 */     GIR_RootConstrainSelectedInstOperands,
     /*  896971 */     // GIR_Coverage, 61205,
     /*  896971 */     GIR_EraseRootFromParent_Done,
     /*  896972 */   // Label 13666: @896972
     /*  896972 */   GIM_Try, /*On fail goto*//*Label 13667*/ GIMT_Encode4(897047), // Rule ID 61206 //
     /*  896977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  896988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  896991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  896994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  896997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897023 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  897023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  897026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897045 */     GIR_RootConstrainSelectedInstOperands,
     /*  897046 */     // GIR_Coverage, 61206,
     /*  897046 */     GIR_EraseRootFromParent_Done,
     /*  897047 */   // Label 13667: @897047
     /*  897047 */   GIM_Try, /*On fail goto*//*Label 13668*/ GIMT_Encode4(897122), // Rule ID 61209 //
     /*  897052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  897063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  897066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  897069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  897072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897098 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  897098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  897101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897120 */     GIR_RootConstrainSelectedInstOperands,
     /*  897121 */     // GIR_Coverage, 61209,
     /*  897121 */     GIR_EraseRootFromParent_Done,
     /*  897122 */   // Label 13668: @897122
     /*  897122 */   GIM_Try, /*On fail goto*//*Label 13669*/ GIMT_Encode4(897197), // Rule ID 61210 //
     /*  897127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  897138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  897141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  897144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  897147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897173 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  897173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  897176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897195 */     GIR_RootConstrainSelectedInstOperands,
     /*  897196 */     // GIR_Coverage, 61210,
     /*  897196 */     GIR_EraseRootFromParent_Done,
     /*  897197 */   // Label 13669: @897197
     /*  897197 */   GIM_Try, /*On fail goto*//*Label 13670*/ GIMT_Encode4(897272), // Rule ID 61213 //
     /*  897202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  897213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  897216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  897219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  897222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897248 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  897251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897270 */     GIR_RootConstrainSelectedInstOperands,
     /*  897271 */     // GIR_Coverage, 61213,
     /*  897271 */     GIR_EraseRootFromParent_Done,
     /*  897272 */   // Label 13670: @897272
     /*  897272 */   GIM_Try, /*On fail goto*//*Label 13671*/ GIMT_Encode4(897347), // Rule ID 61214 //
     /*  897277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  897288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  897291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  897294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  897297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897323 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  897323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  897326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897345 */     GIR_RootConstrainSelectedInstOperands,
     /*  897346 */     // GIR_Coverage, 61214,
     /*  897346 */     GIR_EraseRootFromParent_Done,
     /*  897347 */   // Label 13671: @897347
     /*  897347 */   GIM_Try, /*On fail goto*//*Label 13672*/ GIMT_Encode4(897422), // Rule ID 61217 //
     /*  897352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  897363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  897366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  897369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  897372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897398 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  897398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  897401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897420 */     GIR_RootConstrainSelectedInstOperands,
     /*  897421 */     // GIR_Coverage, 61217,
     /*  897421 */     GIR_EraseRootFromParent_Done,
     /*  897422 */   // Label 13672: @897422
     /*  897422 */   GIM_Try, /*On fail goto*//*Label 13673*/ GIMT_Encode4(897497), // Rule ID 61218 //
     /*  897427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  897438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  897441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  897444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  897447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897473 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  897473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  897476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897495 */     GIR_RootConstrainSelectedInstOperands,
     /*  897496 */     // GIR_Coverage, 61218,
     /*  897496 */     GIR_EraseRootFromParent_Done,
     /*  897497 */   // Label 13673: @897497
     /*  897497 */   GIM_Try, /*On fail goto*//*Label 13674*/ GIMT_Encode4(897572), // Rule ID 61221 //
     /*  897502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  897513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  897516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  897519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  897522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897548 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  897548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  897551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897570 */     GIR_RootConstrainSelectedInstOperands,
     /*  897571 */     // GIR_Coverage, 61221,
     /*  897571 */     GIR_EraseRootFromParent_Done,
     /*  897572 */   // Label 13674: @897572
     /*  897572 */   GIM_Try, /*On fail goto*//*Label 13675*/ GIMT_Encode4(897647), // Rule ID 61222 //
     /*  897577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  897588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  897591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  897594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  897597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897623 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  897623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  897626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897645 */     GIR_RootConstrainSelectedInstOperands,
     /*  897646 */     // GIR_Coverage, 61222,
     /*  897646 */     GIR_EraseRootFromParent_Done,
     /*  897647 */   // Label 13675: @897647
     /*  897647 */   GIM_Try, /*On fail goto*//*Label 13676*/ GIMT_Encode4(897722), // Rule ID 61225 //
     /*  897652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  897663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  897666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  897669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  897672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897698 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  897698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  897701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897720 */     GIR_RootConstrainSelectedInstOperands,
     /*  897721 */     // GIR_Coverage, 61225,
     /*  897721 */     GIR_EraseRootFromParent_Done,
     /*  897722 */   // Label 13676: @897722
     /*  897722 */   GIM_Try, /*On fail goto*//*Label 13677*/ GIMT_Encode4(897797), // Rule ID 61226 //
     /*  897727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  897738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  897741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  897744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  897747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897773 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  897773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  897776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897795 */     GIR_RootConstrainSelectedInstOperands,
     /*  897796 */     // GIR_Coverage, 61226,
     /*  897796 */     GIR_EraseRootFromParent_Done,
     /*  897797 */   // Label 13677: @897797
     /*  897797 */   GIM_Try, /*On fail goto*//*Label 13678*/ GIMT_Encode4(897872), // Rule ID 61229 //
     /*  897802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  897813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  897816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  897819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  897822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897848 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  897851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897870 */     GIR_RootConstrainSelectedInstOperands,
     /*  897871 */     // GIR_Coverage, 61229,
     /*  897871 */     GIR_EraseRootFromParent_Done,
     /*  897872 */   // Label 13678: @897872
     /*  897872 */   GIM_Try, /*On fail goto*//*Label 13679*/ GIMT_Encode4(897947), // Rule ID 61230 //
     /*  897877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  897888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  897891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  897894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  897897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897923 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  897923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  897926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897945 */     GIR_RootConstrainSelectedInstOperands,
     /*  897946 */     // GIR_Coverage, 61230,
     /*  897946 */     GIR_EraseRootFromParent_Done,
     /*  897947 */   // Label 13679: @897947
     /*  897947 */   GIM_Try, /*On fail goto*//*Label 13680*/ GIMT_Encode4(898022), // Rule ID 61233 //
     /*  897952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  897963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  897966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  897969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  897972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897998 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  898001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898020 */     GIR_RootConstrainSelectedInstOperands,
     /*  898021 */     // GIR_Coverage, 61233,
     /*  898021 */     GIR_EraseRootFromParent_Done,
     /*  898022 */   // Label 13680: @898022
     /*  898022 */   GIM_Try, /*On fail goto*//*Label 13681*/ GIMT_Encode4(898097), // Rule ID 61234 //
     /*  898027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  898038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  898041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  898044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  898047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898073 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  898073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  898076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898095 */     GIR_RootConstrainSelectedInstOperands,
     /*  898096 */     // GIR_Coverage, 61234,
     /*  898096 */     GIR_EraseRootFromParent_Done,
     /*  898097 */   // Label 13681: @898097
     /*  898097 */   GIM_Try, /*On fail goto*//*Label 13682*/ GIMT_Encode4(898172), // Rule ID 61237 //
     /*  898102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  898113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  898116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  898119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  898122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898148 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  898148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  898151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898170 */     GIR_RootConstrainSelectedInstOperands,
     /*  898171 */     // GIR_Coverage, 61237,
     /*  898171 */     GIR_EraseRootFromParent_Done,
     /*  898172 */   // Label 13682: @898172
     /*  898172 */   GIM_Try, /*On fail goto*//*Label 13683*/ GIMT_Encode4(898247), // Rule ID 61238 //
     /*  898177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  898188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  898191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  898194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  898197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898223 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  898223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  898226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898245 */     GIR_RootConstrainSelectedInstOperands,
     /*  898246 */     // GIR_Coverage, 61238,
     /*  898246 */     GIR_EraseRootFromParent_Done,
     /*  898247 */   // Label 13683: @898247
     /*  898247 */   GIM_Try, /*On fail goto*//*Label 13684*/ GIMT_Encode4(898322), // Rule ID 61241 //
     /*  898252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  898263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  898266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  898269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  898272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898298 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  898298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  898301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898320 */     GIR_RootConstrainSelectedInstOperands,
     /*  898321 */     // GIR_Coverage, 61241,
     /*  898321 */     GIR_EraseRootFromParent_Done,
     /*  898322 */   // Label 13684: @898322
     /*  898322 */   GIM_Try, /*On fail goto*//*Label 13685*/ GIMT_Encode4(898397), // Rule ID 61242 //
     /*  898327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  898338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  898341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  898344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  898347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898373 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  898376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898395 */     GIR_RootConstrainSelectedInstOperands,
     /*  898396 */     // GIR_Coverage, 61242,
     /*  898396 */     GIR_EraseRootFromParent_Done,
     /*  898397 */   // Label 13685: @898397
     /*  898397 */   GIM_Try, /*On fail goto*//*Label 13686*/ GIMT_Encode4(898472), // Rule ID 61245 //
     /*  898402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  898413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  898416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  898419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  898422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898448 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  898448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  898451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898470 */     GIR_RootConstrainSelectedInstOperands,
     /*  898471 */     // GIR_Coverage, 61245,
     /*  898471 */     GIR_EraseRootFromParent_Done,
     /*  898472 */   // Label 13686: @898472
     /*  898472 */   GIM_Try, /*On fail goto*//*Label 13687*/ GIMT_Encode4(898547), // Rule ID 61246 //
     /*  898477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  898488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  898491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  898494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  898497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898523 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  898526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898545 */     GIR_RootConstrainSelectedInstOperands,
     /*  898546 */     // GIR_Coverage, 61246,
     /*  898546 */     GIR_EraseRootFromParent_Done,
     /*  898547 */   // Label 13687: @898547
     /*  898547 */   GIM_Try, /*On fail goto*//*Label 13688*/ GIMT_Encode4(898622), // Rule ID 61249 //
     /*  898552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  898563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  898566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  898569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  898572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898598 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  898598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  898601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898620 */     GIR_RootConstrainSelectedInstOperands,
     /*  898621 */     // GIR_Coverage, 61249,
     /*  898621 */     GIR_EraseRootFromParent_Done,
     /*  898622 */   // Label 13688: @898622
     /*  898622 */   GIM_Try, /*On fail goto*//*Label 13689*/ GIMT_Encode4(898697), // Rule ID 61250 //
     /*  898627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  898638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  898641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  898644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  898647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898673 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  898676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898695 */     GIR_RootConstrainSelectedInstOperands,
     /*  898696 */     // GIR_Coverage, 61250,
     /*  898696 */     GIR_EraseRootFromParent_Done,
     /*  898697 */   // Label 13689: @898697
     /*  898697 */   GIM_Try, /*On fail goto*//*Label 13690*/ GIMT_Encode4(898772), // Rule ID 61253 //
     /*  898702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  898713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  898716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  898719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  898722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898748 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  898751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898770 */     GIR_RootConstrainSelectedInstOperands,
     /*  898771 */     // GIR_Coverage, 61253,
     /*  898771 */     GIR_EraseRootFromParent_Done,
     /*  898772 */   // Label 13690: @898772
     /*  898772 */   GIM_Try, /*On fail goto*//*Label 13691*/ GIMT_Encode4(898847), // Rule ID 61254 //
     /*  898777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  898788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  898791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  898794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  898797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898823 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  898826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898845 */     GIR_RootConstrainSelectedInstOperands,
     /*  898846 */     // GIR_Coverage, 61254,
     /*  898846 */     GIR_EraseRootFromParent_Done,
     /*  898847 */   // Label 13691: @898847
     /*  898847 */   GIM_Try, /*On fail goto*//*Label 13692*/ GIMT_Encode4(898922), // Rule ID 61257 //
     /*  898852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  898863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  898866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  898869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  898872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898898 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  898901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898920 */     GIR_RootConstrainSelectedInstOperands,
     /*  898921 */     // GIR_Coverage, 61257,
     /*  898921 */     GIR_EraseRootFromParent_Done,
     /*  898922 */   // Label 13692: @898922
     /*  898922 */   GIM_Try, /*On fail goto*//*Label 13693*/ GIMT_Encode4(898997), // Rule ID 61258 //
     /*  898927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  898938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  898941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  898944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  898947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898973 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  898976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898995 */     GIR_RootConstrainSelectedInstOperands,
     /*  898996 */     // GIR_Coverage, 61258,
     /*  898996 */     GIR_EraseRootFromParent_Done,
     /*  898997 */   // Label 13693: @898997
     /*  898997 */   GIM_Try, /*On fail goto*//*Label 13694*/ GIMT_Encode4(899072), // Rule ID 61261 //
     /*  899002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  899013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  899016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  899019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  899022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899048 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  899048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  899051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899070 */     GIR_RootConstrainSelectedInstOperands,
     /*  899071 */     // GIR_Coverage, 61261,
     /*  899071 */     GIR_EraseRootFromParent_Done,
     /*  899072 */   // Label 13694: @899072
     /*  899072 */   GIM_Try, /*On fail goto*//*Label 13695*/ GIMT_Encode4(899147), // Rule ID 61262 //
     /*  899077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  899088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  899091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  899094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  899097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899123 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  899123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  899126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899145 */     GIR_RootConstrainSelectedInstOperands,
     /*  899146 */     // GIR_Coverage, 61262,
     /*  899146 */     GIR_EraseRootFromParent_Done,
     /*  899147 */   // Label 13695: @899147
     /*  899147 */   GIM_Try, /*On fail goto*//*Label 13696*/ GIMT_Encode4(899222), // Rule ID 61265 //
     /*  899152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  899163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  899166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  899169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  899172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899198 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  899198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  899201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899220 */     GIR_RootConstrainSelectedInstOperands,
     /*  899221 */     // GIR_Coverage, 61265,
     /*  899221 */     GIR_EraseRootFromParent_Done,
     /*  899222 */   // Label 13696: @899222
     /*  899222 */   GIM_Try, /*On fail goto*//*Label 13697*/ GIMT_Encode4(899297), // Rule ID 61266 //
     /*  899227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  899238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  899241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  899244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  899247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899273 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  899273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  899276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899295 */     GIR_RootConstrainSelectedInstOperands,
     /*  899296 */     // GIR_Coverage, 61266,
     /*  899296 */     GIR_EraseRootFromParent_Done,
     /*  899297 */   // Label 13697: @899297
     /*  899297 */   GIM_Try, /*On fail goto*//*Label 13698*/ GIMT_Encode4(899372), // Rule ID 61269 //
     /*  899302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  899313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  899316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  899319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  899322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899348 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  899348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  899351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899370 */     GIR_RootConstrainSelectedInstOperands,
     /*  899371 */     // GIR_Coverage, 61269,
     /*  899371 */     GIR_EraseRootFromParent_Done,
     /*  899372 */   // Label 13698: @899372
     /*  899372 */   GIM_Try, /*On fail goto*//*Label 13699*/ GIMT_Encode4(899447), // Rule ID 61270 //
     /*  899377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  899388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  899391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  899394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  899397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899423 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  899423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  899426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899445 */     GIR_RootConstrainSelectedInstOperands,
     /*  899446 */     // GIR_Coverage, 61270,
     /*  899446 */     GIR_EraseRootFromParent_Done,
     /*  899447 */   // Label 13699: @899447
     /*  899447 */   GIM_Try, /*On fail goto*//*Label 13700*/ GIMT_Encode4(899522), // Rule ID 61273 //
     /*  899452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  899463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  899466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  899469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  899472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899498 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  899498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  899501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899520 */     GIR_RootConstrainSelectedInstOperands,
     /*  899521 */     // GIR_Coverage, 61273,
     /*  899521 */     GIR_EraseRootFromParent_Done,
     /*  899522 */   // Label 13700: @899522
     /*  899522 */   GIM_Try, /*On fail goto*//*Label 13701*/ GIMT_Encode4(899597), // Rule ID 61274 //
     /*  899527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  899538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  899541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  899544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  899547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899573 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  899573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  899576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899595 */     GIR_RootConstrainSelectedInstOperands,
     /*  899596 */     // GIR_Coverage, 61274,
     /*  899596 */     GIR_EraseRootFromParent_Done,
     /*  899597 */   // Label 13701: @899597
     /*  899597 */   GIM_Try, /*On fail goto*//*Label 13702*/ GIMT_Encode4(899672), // Rule ID 61277 //
     /*  899602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  899613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  899616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  899619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899648 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  899651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899670 */     GIR_RootConstrainSelectedInstOperands,
     /*  899671 */     // GIR_Coverage, 61277,
     /*  899671 */     GIR_EraseRootFromParent_Done,
     /*  899672 */   // Label 13702: @899672
     /*  899672 */   GIM_Try, /*On fail goto*//*Label 13703*/ GIMT_Encode4(899747), // Rule ID 61278 //
     /*  899677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  899688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  899691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  899694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899723 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  899726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899745 */     GIR_RootConstrainSelectedInstOperands,
     /*  899746 */     // GIR_Coverage, 61278,
     /*  899746 */     GIR_EraseRootFromParent_Done,
     /*  899747 */   // Label 13703: @899747
     /*  899747 */   GIM_Try, /*On fail goto*//*Label 13704*/ GIMT_Encode4(899822), // Rule ID 61281 //
     /*  899752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  899763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  899766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  899769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899798 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  899801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899820 */     GIR_RootConstrainSelectedInstOperands,
     /*  899821 */     // GIR_Coverage, 61281,
     /*  899821 */     GIR_EraseRootFromParent_Done,
     /*  899822 */   // Label 13704: @899822
     /*  899822 */   GIM_Try, /*On fail goto*//*Label 13705*/ GIMT_Encode4(899897), // Rule ID 61282 //
     /*  899827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  899838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  899841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  899844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899873 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  899876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899895 */     GIR_RootConstrainSelectedInstOperands,
     /*  899896 */     // GIR_Coverage, 61282,
     /*  899896 */     GIR_EraseRootFromParent_Done,
     /*  899897 */   // Label 13705: @899897
     /*  899897 */   GIM_Try, /*On fail goto*//*Label 13706*/ GIMT_Encode4(899972), // Rule ID 61285 //
     /*  899902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  899913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  899916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  899919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899948 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  899951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899970 */     GIR_RootConstrainSelectedInstOperands,
     /*  899971 */     // GIR_Coverage, 61285,
     /*  899971 */     GIR_EraseRootFromParent_Done,
     /*  899972 */   // Label 13706: @899972
     /*  899972 */   GIM_Try, /*On fail goto*//*Label 13707*/ GIMT_Encode4(900047), // Rule ID 61286 //
     /*  899977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  899985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  899988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  899991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  899994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900023 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  900023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  900026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900045 */     GIR_RootConstrainSelectedInstOperands,
     /*  900046 */     // GIR_Coverage, 61286,
     /*  900046 */     GIR_EraseRootFromParent_Done,
     /*  900047 */   // Label 13707: @900047
     /*  900047 */   GIM_Try, /*On fail goto*//*Label 13708*/ GIMT_Encode4(900122), // Rule ID 61289 //
     /*  900052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  900063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  900066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  900069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900098 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  900098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  900101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900120 */     GIR_RootConstrainSelectedInstOperands,
     /*  900121 */     // GIR_Coverage, 61289,
     /*  900121 */     GIR_EraseRootFromParent_Done,
     /*  900122 */   // Label 13708: @900122
     /*  900122 */   GIM_Try, /*On fail goto*//*Label 13709*/ GIMT_Encode4(900197), // Rule ID 61290 //
     /*  900127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  900138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  900141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  900144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900173 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  900173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  900176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900195 */     GIR_RootConstrainSelectedInstOperands,
     /*  900196 */     // GIR_Coverage, 61290,
     /*  900196 */     GIR_EraseRootFromParent_Done,
     /*  900197 */   // Label 13709: @900197
     /*  900197 */   GIM_Try, /*On fail goto*//*Label 13710*/ GIMT_Encode4(900272), // Rule ID 61293 //
     /*  900202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  900213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  900216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  900219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900248 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  900248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  900251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900270 */     GIR_RootConstrainSelectedInstOperands,
     /*  900271 */     // GIR_Coverage, 61293,
     /*  900271 */     GIR_EraseRootFromParent_Done,
     /*  900272 */   // Label 13710: @900272
     /*  900272 */   GIM_Try, /*On fail goto*//*Label 13711*/ GIMT_Encode4(900347), // Rule ID 61294 //
     /*  900277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  900288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  900291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  900294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900323 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  900323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  900326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900345 */     GIR_RootConstrainSelectedInstOperands,
     /*  900346 */     // GIR_Coverage, 61294,
     /*  900346 */     GIR_EraseRootFromParent_Done,
     /*  900347 */   // Label 13711: @900347
     /*  900347 */   GIM_Try, /*On fail goto*//*Label 13712*/ GIMT_Encode4(900422), // Rule ID 61297 //
     /*  900352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  900363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  900366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  900369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900398 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  900398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  900401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900420 */     GIR_RootConstrainSelectedInstOperands,
     /*  900421 */     // GIR_Coverage, 61297,
     /*  900421 */     GIR_EraseRootFromParent_Done,
     /*  900422 */   // Label 13712: @900422
     /*  900422 */   GIM_Try, /*On fail goto*//*Label 13713*/ GIMT_Encode4(900497), // Rule ID 61298 //
     /*  900427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  900438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  900441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  900444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900473 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  900476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900495 */     GIR_RootConstrainSelectedInstOperands,
     /*  900496 */     // GIR_Coverage, 61298,
     /*  900496 */     GIR_EraseRootFromParent_Done,
     /*  900497 */   // Label 13713: @900497
     /*  900497 */   GIM_Try, /*On fail goto*//*Label 13714*/ GIMT_Encode4(900572), // Rule ID 61301 //
     /*  900502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  900513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  900516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  900519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900548 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  900548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  900551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900570 */     GIR_RootConstrainSelectedInstOperands,
     /*  900571 */     // GIR_Coverage, 61301,
     /*  900571 */     GIR_EraseRootFromParent_Done,
     /*  900572 */   // Label 13714: @900572
     /*  900572 */   GIM_Try, /*On fail goto*//*Label 13715*/ GIMT_Encode4(900647), // Rule ID 61302 //
     /*  900577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  900588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  900591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  900594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900623 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  900623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  900626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900645 */     GIR_RootConstrainSelectedInstOperands,
     /*  900646 */     // GIR_Coverage, 61302,
     /*  900646 */     GIR_EraseRootFromParent_Done,
     /*  900647 */   // Label 13715: @900647
     /*  900647 */   GIM_Try, /*On fail goto*//*Label 13716*/ GIMT_Encode4(900722), // Rule ID 61305 //
     /*  900652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  900663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  900666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  900669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900698 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  900698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  900701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900720 */     GIR_RootConstrainSelectedInstOperands,
     /*  900721 */     // GIR_Coverage, 61305,
     /*  900721 */     GIR_EraseRootFromParent_Done,
     /*  900722 */   // Label 13716: @900722
     /*  900722 */   GIM_Try, /*On fail goto*//*Label 13717*/ GIMT_Encode4(900797), // Rule ID 61306 //
     /*  900727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  900738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  900741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  900744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900773 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  900773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  900776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900795 */     GIR_RootConstrainSelectedInstOperands,
     /*  900796 */     // GIR_Coverage, 61306,
     /*  900796 */     GIR_EraseRootFromParent_Done,
     /*  900797 */   // Label 13717: @900797
     /*  900797 */   GIM_Try, /*On fail goto*//*Label 13718*/ GIMT_Encode4(900872), // Rule ID 61309 //
     /*  900802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  900813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  900816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  900819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  900848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  900851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900870 */     GIR_RootConstrainSelectedInstOperands,
     /*  900871 */     // GIR_Coverage, 61309,
     /*  900871 */     GIR_EraseRootFromParent_Done,
     /*  900872 */   // Label 13718: @900872
     /*  900872 */   GIM_Try, /*On fail goto*//*Label 13719*/ GIMT_Encode4(900947), // Rule ID 61310 //
     /*  900877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  900888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  900891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  900894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900923 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  900926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900945 */     GIR_RootConstrainSelectedInstOperands,
     /*  900946 */     // GIR_Coverage, 61310,
     /*  900946 */     GIR_EraseRootFromParent_Done,
     /*  900947 */   // Label 13719: @900947
     /*  900947 */   GIM_Try, /*On fail goto*//*Label 13720*/ GIMT_Encode4(901022), // Rule ID 61313 //
     /*  900952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  900960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  900963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  900966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  900969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900998 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  900998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  901001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901020 */     GIR_RootConstrainSelectedInstOperands,
     /*  901021 */     // GIR_Coverage, 61313,
     /*  901021 */     GIR_EraseRootFromParent_Done,
     /*  901022 */   // Label 13720: @901022
     /*  901022 */   GIM_Try, /*On fail goto*//*Label 13721*/ GIMT_Encode4(901097), // Rule ID 61314 //
     /*  901027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  901038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  901041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  901044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901073 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  901073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  901076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  901092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901095 */     GIR_RootConstrainSelectedInstOperands,
     /*  901096 */     // GIR_Coverage, 61314,
     /*  901096 */     GIR_EraseRootFromParent_Done,
     /*  901097 */   // Label 13721: @901097
     /*  901097 */   GIM_Try, /*On fail goto*//*Label 13722*/ GIMT_Encode4(901172), // Rule ID 61317 //
     /*  901102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  901113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  901116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  901119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901148 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  901148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  901151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901170 */     GIR_RootConstrainSelectedInstOperands,
     /*  901171 */     // GIR_Coverage, 61317,
     /*  901171 */     GIR_EraseRootFromParent_Done,
     /*  901172 */   // Label 13722: @901172
     /*  901172 */   GIM_Try, /*On fail goto*//*Label 13723*/ GIMT_Encode4(901247), // Rule ID 61318 //
     /*  901177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  901188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  901191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  901194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901223 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  901223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  901226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901245 */     GIR_RootConstrainSelectedInstOperands,
     /*  901246 */     // GIR_Coverage, 61318,
     /*  901246 */     GIR_EraseRootFromParent_Done,
     /*  901247 */   // Label 13723: @901247
     /*  901247 */   GIM_Try, /*On fail goto*//*Label 13724*/ GIMT_Encode4(901322), // Rule ID 61321 //
     /*  901252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  901263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  901266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  901269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901298 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  901298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  901301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901320 */     GIR_RootConstrainSelectedInstOperands,
     /*  901321 */     // GIR_Coverage, 61321,
     /*  901321 */     GIR_EraseRootFromParent_Done,
     /*  901322 */   // Label 13724: @901322
     /*  901322 */   GIM_Try, /*On fail goto*//*Label 13725*/ GIMT_Encode4(901397), // Rule ID 61322 //
     /*  901327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  901338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  901341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  901344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901373 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  901373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  901376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901395 */     GIR_RootConstrainSelectedInstOperands,
     /*  901396 */     // GIR_Coverage, 61322,
     /*  901396 */     GIR_EraseRootFromParent_Done,
     /*  901397 */   // Label 13725: @901397
     /*  901397 */   GIM_Try, /*On fail goto*//*Label 13726*/ GIMT_Encode4(901472), // Rule ID 61325 //
     /*  901402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  901413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  901416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  901419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901448 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  901448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  901451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901470 */     GIR_RootConstrainSelectedInstOperands,
     /*  901471 */     // GIR_Coverage, 61325,
     /*  901471 */     GIR_EraseRootFromParent_Done,
     /*  901472 */   // Label 13726: @901472
     /*  901472 */   GIM_Try, /*On fail goto*//*Label 13727*/ GIMT_Encode4(901547), // Rule ID 61326 //
     /*  901477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  901488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  901491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  901494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901523 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  901523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  901526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901545 */     GIR_RootConstrainSelectedInstOperands,
     /*  901546 */     // GIR_Coverage, 61326,
     /*  901546 */     GIR_EraseRootFromParent_Done,
     /*  901547 */   // Label 13727: @901547
     /*  901547 */   GIM_Try, /*On fail goto*//*Label 13728*/ GIMT_Encode4(901622), // Rule ID 61329 //
     /*  901552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  901563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  901566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  901569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901598 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  901598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  901601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901620 */     GIR_RootConstrainSelectedInstOperands,
     /*  901621 */     // GIR_Coverage, 61329,
     /*  901621 */     GIR_EraseRootFromParent_Done,
     /*  901622 */   // Label 13728: @901622
     /*  901622 */   GIM_Try, /*On fail goto*//*Label 13729*/ GIMT_Encode4(901697), // Rule ID 61330 //
     /*  901627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  901638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  901641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  901644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901673 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  901676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901695 */     GIR_RootConstrainSelectedInstOperands,
     /*  901696 */     // GIR_Coverage, 61330,
     /*  901696 */     GIR_EraseRootFromParent_Done,
     /*  901697 */   // Label 13729: @901697
     /*  901697 */   GIM_Try, /*On fail goto*//*Label 13730*/ GIMT_Encode4(901772), // Rule ID 61333 //
     /*  901702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  901713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  901716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  901719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901748 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  901748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  901751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901770 */     GIR_RootConstrainSelectedInstOperands,
     /*  901771 */     // GIR_Coverage, 61333,
     /*  901771 */     GIR_EraseRootFromParent_Done,
     /*  901772 */   // Label 13730: @901772
     /*  901772 */   GIM_Try, /*On fail goto*//*Label 13731*/ GIMT_Encode4(901847), // Rule ID 61334 //
     /*  901777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  901788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  901791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  901794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901823 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  901826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901845 */     GIR_RootConstrainSelectedInstOperands,
     /*  901846 */     // GIR_Coverage, 61334,
     /*  901846 */     GIR_EraseRootFromParent_Done,
     /*  901847 */   // Label 13731: @901847
     /*  901847 */   GIM_Try, /*On fail goto*//*Label 13732*/ GIMT_Encode4(901922), // Rule ID 61337 //
     /*  901852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  901863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  901866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  901869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901898 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  901898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  901901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901920 */     GIR_RootConstrainSelectedInstOperands,
     /*  901921 */     // GIR_Coverage, 61337,
     /*  901921 */     GIR_EraseRootFromParent_Done,
     /*  901922 */   // Label 13732: @901922
     /*  901922 */   GIM_Try, /*On fail goto*//*Label 13733*/ GIMT_Encode4(901997), // Rule ID 61338 //
     /*  901927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  901935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  901938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  901941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  901944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901973 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  901976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901995 */     GIR_RootConstrainSelectedInstOperands,
     /*  901996 */     // GIR_Coverage, 61338,
     /*  901996 */     GIR_EraseRootFromParent_Done,
     /*  901997 */   // Label 13733: @901997
     /*  901997 */   GIM_Try, /*On fail goto*//*Label 13734*/ GIMT_Encode4(902072), // Rule ID 61341 //
     /*  902002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  902013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  902016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  902019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902048 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  902048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  902051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902070 */     GIR_RootConstrainSelectedInstOperands,
     /*  902071 */     // GIR_Coverage, 61341,
     /*  902071 */     GIR_EraseRootFromParent_Done,
     /*  902072 */   // Label 13734: @902072
     /*  902072 */   GIM_Try, /*On fail goto*//*Label 13735*/ GIMT_Encode4(902147), // Rule ID 61342 //
     /*  902077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  902088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  902091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  902094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902123 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  902123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  902126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902145 */     GIR_RootConstrainSelectedInstOperands,
     /*  902146 */     // GIR_Coverage, 61342,
     /*  902146 */     GIR_EraseRootFromParent_Done,
     /*  902147 */   // Label 13735: @902147
     /*  902147 */   GIM_Try, /*On fail goto*//*Label 13736*/ GIMT_Encode4(902222), // Rule ID 61345 //
     /*  902152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  902163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  902166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  902169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902198 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  902198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  902201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902220 */     GIR_RootConstrainSelectedInstOperands,
     /*  902221 */     // GIR_Coverage, 61345,
     /*  902221 */     GIR_EraseRootFromParent_Done,
     /*  902222 */   // Label 13736: @902222
     /*  902222 */   GIM_Try, /*On fail goto*//*Label 13737*/ GIMT_Encode4(902297), // Rule ID 61346 //
     /*  902227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  902238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  902241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  902244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902273 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  902273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  902276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902295 */     GIR_RootConstrainSelectedInstOperands,
     /*  902296 */     // GIR_Coverage, 61346,
     /*  902296 */     GIR_EraseRootFromParent_Done,
     /*  902297 */   // Label 13737: @902297
     /*  902297 */   GIM_Try, /*On fail goto*//*Label 13738*/ GIMT_Encode4(902372), // Rule ID 61349 //
     /*  902302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  902313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  902316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  902319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902348 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  902348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  902351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902370 */     GIR_RootConstrainSelectedInstOperands,
     /*  902371 */     // GIR_Coverage, 61349,
     /*  902371 */     GIR_EraseRootFromParent_Done,
     /*  902372 */   // Label 13738: @902372
     /*  902372 */   GIM_Try, /*On fail goto*//*Label 13739*/ GIMT_Encode4(902447), // Rule ID 61350 //
     /*  902377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  902388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  902391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  902394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902423 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  902423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  902426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902445 */     GIR_RootConstrainSelectedInstOperands,
     /*  902446 */     // GIR_Coverage, 61350,
     /*  902446 */     GIR_EraseRootFromParent_Done,
     /*  902447 */   // Label 13739: @902447
     /*  902447 */   GIM_Try, /*On fail goto*//*Label 13740*/ GIMT_Encode4(902522), // Rule ID 61353 //
     /*  902452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  902463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  902466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  902469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902498 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  902498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  902501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902520 */     GIR_RootConstrainSelectedInstOperands,
     /*  902521 */     // GIR_Coverage, 61353,
     /*  902521 */     GIR_EraseRootFromParent_Done,
     /*  902522 */   // Label 13740: @902522
     /*  902522 */   GIM_Try, /*On fail goto*//*Label 13741*/ GIMT_Encode4(902597), // Rule ID 61354 //
     /*  902527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  902538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  902541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  902544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902573 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  902573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  902576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902595 */     GIR_RootConstrainSelectedInstOperands,
     /*  902596 */     // GIR_Coverage, 61354,
     /*  902596 */     GIR_EraseRootFromParent_Done,
     /*  902597 */   // Label 13741: @902597
     /*  902597 */   GIM_Try, /*On fail goto*//*Label 13742*/ GIMT_Encode4(902672), // Rule ID 61357 //
     /*  902602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  902613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  902616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  902619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902648 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  902648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  902651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902670 */     GIR_RootConstrainSelectedInstOperands,
     /*  902671 */     // GIR_Coverage, 61357,
     /*  902671 */     GIR_EraseRootFromParent_Done,
     /*  902672 */   // Label 13742: @902672
     /*  902672 */   GIM_Try, /*On fail goto*//*Label 13743*/ GIMT_Encode4(902747), // Rule ID 61358 //
     /*  902677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  902688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  902691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  902694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902723 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  902723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  902726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902745 */     GIR_RootConstrainSelectedInstOperands,
     /*  902746 */     // GIR_Coverage, 61358,
     /*  902746 */     GIR_EraseRootFromParent_Done,
     /*  902747 */   // Label 13743: @902747
     /*  902747 */   GIM_Try, /*On fail goto*//*Label 13744*/ GIMT_Encode4(902822), // Rule ID 61361 //
     /*  902752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  902763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  902766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  902769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902798 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  902798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  902801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902820 */     GIR_RootConstrainSelectedInstOperands,
     /*  902821 */     // GIR_Coverage, 61361,
     /*  902821 */     GIR_EraseRootFromParent_Done,
     /*  902822 */   // Label 13744: @902822
     /*  902822 */   GIM_Try, /*On fail goto*//*Label 13745*/ GIMT_Encode4(902897), // Rule ID 61362 //
     /*  902827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  902838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  902841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  902844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902873 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  902873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  902876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902895 */     GIR_RootConstrainSelectedInstOperands,
     /*  902896 */     // GIR_Coverage, 61362,
     /*  902896 */     GIR_EraseRootFromParent_Done,
     /*  902897 */   // Label 13745: @902897
     /*  902897 */   GIM_Try, /*On fail goto*//*Label 13746*/ GIMT_Encode4(902972), // Rule ID 61805 //
     /*  902902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  902905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  902910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  902913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  902916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  902919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  902922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902948 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  902948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  902951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902970 */     GIR_RootConstrainSelectedInstOperands,
     /*  902971 */     // GIR_Coverage, 61805,
     /*  902971 */     GIR_EraseRootFromParent_Done,
     /*  902972 */   // Label 13746: @902972
     /*  902972 */   GIM_Try, /*On fail goto*//*Label 13747*/ GIMT_Encode4(903047), // Rule ID 61806 //
     /*  902977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  902980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  902985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  902988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  902991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  902994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  902997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903023 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  903023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  903026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903045 */     GIR_RootConstrainSelectedInstOperands,
     /*  903046 */     // GIR_Coverage, 61806,
     /*  903046 */     GIR_EraseRootFromParent_Done,
     /*  903047 */   // Label 13747: @903047
     /*  903047 */   GIM_Try, /*On fail goto*//*Label 13748*/ GIMT_Encode4(903122), // Rule ID 61807 //
     /*  903052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  903055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  903060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  903063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  903066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  903069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  903072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903098 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  903101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903120 */     GIR_RootConstrainSelectedInstOperands,
     /*  903121 */     // GIR_Coverage, 61807,
     /*  903121 */     GIR_EraseRootFromParent_Done,
     /*  903122 */   // Label 13748: @903122
     /*  903122 */   GIM_Try, /*On fail goto*//*Label 13749*/ GIMT_Encode4(903197), // Rule ID 61808 //
     /*  903127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  903130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  903135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  903138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  903141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  903144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  903147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903173 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  903173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  903176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903195 */     GIR_RootConstrainSelectedInstOperands,
     /*  903196 */     // GIR_Coverage, 61808,
     /*  903196 */     GIR_EraseRootFromParent_Done,
     /*  903197 */   // Label 13749: @903197
     /*  903197 */   GIM_Try, /*On fail goto*//*Label 13750*/ GIMT_Encode4(903272), // Rule ID 61809 //
     /*  903202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  903205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  903210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  903213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  903216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  903219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  903222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903248 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  903251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903270 */     GIR_RootConstrainSelectedInstOperands,
     /*  903271 */     // GIR_Coverage, 61809,
     /*  903271 */     GIR_EraseRootFromParent_Done,
     /*  903272 */   // Label 13750: @903272
     /*  903272 */   GIM_Try, /*On fail goto*//*Label 13751*/ GIMT_Encode4(903347), // Rule ID 61810 //
     /*  903277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  903280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  903285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  903288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  903291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  903294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  903297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903323 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  903323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  903326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903345 */     GIR_RootConstrainSelectedInstOperands,
     /*  903346 */     // GIR_Coverage, 61810,
     /*  903346 */     GIR_EraseRootFromParent_Done,
     /*  903347 */   // Label 13751: @903347
     /*  903347 */   GIM_Try, /*On fail goto*//*Label 13752*/ GIMT_Encode4(903422), // Rule ID 61811 //
     /*  903352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  903355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  903360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  903363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  903366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  903369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  903372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903398 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  903401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903420 */     GIR_RootConstrainSelectedInstOperands,
     /*  903421 */     // GIR_Coverage, 61811,
     /*  903421 */     GIR_EraseRootFromParent_Done,
     /*  903422 */   // Label 13752: @903422
     /*  903422 */   GIM_Try, /*On fail goto*//*Label 13753*/ GIMT_Encode4(903497), // Rule ID 61812 //
     /*  903427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  903430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  903435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  903438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  903441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  903444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  903447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903473 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  903473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  903476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903495 */     GIR_RootConstrainSelectedInstOperands,
     /*  903496 */     // GIR_Coverage, 61812,
     /*  903496 */     GIR_EraseRootFromParent_Done,
     /*  903497 */   // Label 13753: @903497
     /*  903497 */   GIM_Try, /*On fail goto*//*Label 13754*/ GIMT_Encode4(903561), // Rule ID 63920 //
     /*  903502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  903505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuN),
     /*  903510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  903513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  903516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  903519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903538 */     // MIs[0] imm5
     /*  903538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903541 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  903546 */     // (intrinsic_wo_chain:{ *:[i32] } 10907:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  903546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACUN),
     /*  903549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  903551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  903553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  903555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903557 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  903559 */     GIR_RootConstrainSelectedInstOperands,
     /*  903560 */     // GIR_Coverage, 63920,
     /*  903560 */     GIR_EraseRootFromParent_Done,
     /*  903561 */   // Label 13754: @903561
     /*  903561 */   GIM_Try, /*On fail goto*//*Label 13755*/ GIMT_Encode4(903625), // Rule ID 63921 //
     /*  903566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  903569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuN),
     /*  903574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  903577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  903580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  903583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903602 */     // MIs[0] imm5
     /*  903602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903605 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  903610 */     // (intrinsic_wo_chain:{ *:[i32] } 10903:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  903610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHUN),
     /*  903613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  903615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  903617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  903619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903621 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  903623 */     GIR_RootConstrainSelectedInstOperands,
     /*  903624 */     // GIR_Coverage, 63921,
     /*  903624 */     GIR_EraseRootFromParent_Done,
     /*  903625 */   // Label 13755: @903625
     /*  903625 */   GIM_Try, /*On fail goto*//*Label 13756*/ GIMT_Encode4(903689), // Rule ID 63922 //
     /*  903630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  903633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsN),
     /*  903638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  903641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  903644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  903647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903666 */     // MIs[0] imm5
     /*  903666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903669 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  903674 */     // (intrinsic_wo_chain:{ *:[i32] } 10905:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  903674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSN),
     /*  903677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  903679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  903681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  903683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903685 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  903687 */     GIR_RootConstrainSelectedInstOperands,
     /*  903688 */     // GIR_Coverage, 63922,
     /*  903688 */     GIR_EraseRootFromParent_Done,
     /*  903689 */   // Label 13756: @903689
     /*  903689 */   GIM_Try, /*On fail goto*//*Label 13757*/ GIMT_Encode4(903753), // Rule ID 63923 //
     /*  903694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  903697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsN),
     /*  903702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  903705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  903708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  903711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903730 */     // MIs[0] imm5
     /*  903730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903733 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  903738 */     // (intrinsic_wo_chain:{ *:[i32] } 10901:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  903738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSN),
     /*  903741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  903743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  903745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  903747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903749 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  903751 */     GIR_RootConstrainSelectedInstOperands,
     /*  903752 */     // GIR_Coverage, 63923,
     /*  903752 */     GIR_EraseRootFromParent_Done,
     /*  903753 */   // Label 13757: @903753
     /*  903753 */   GIM_Try, /*On fail goto*//*Label 13758*/ GIMT_Encode4(903817), // Rule ID 63924 //
     /*  903758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  903761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuRN),
     /*  903766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  903769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  903772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  903775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903794 */     // MIs[0] imm5
     /*  903794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903797 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  903802 */     // (intrinsic_wo_chain:{ *:[i32] } 10908:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  903802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACURN),
     /*  903805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  903807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  903809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  903811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903813 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  903815 */     GIR_RootConstrainSelectedInstOperands,
     /*  903816 */     // GIR_Coverage, 63924,
     /*  903816 */     GIR_EraseRootFromParent_Done,
     /*  903817 */   // Label 13758: @903817
     /*  903817 */   GIM_Try, /*On fail goto*//*Label 13759*/ GIMT_Encode4(903881), // Rule ID 63925 //
     /*  903822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  903825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuRN),
     /*  903830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  903833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  903836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  903839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903858 */     // MIs[0] imm5
     /*  903858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903861 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  903866 */     // (intrinsic_wo_chain:{ *:[i32] } 10904:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  903866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHURN),
     /*  903869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  903871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  903873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  903875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903877 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  903879 */     GIR_RootConstrainSelectedInstOperands,
     /*  903880 */     // GIR_Coverage, 63925,
     /*  903880 */     GIR_EraseRootFromParent_Done,
     /*  903881 */   // Label 13759: @903881
     /*  903881 */   GIM_Try, /*On fail goto*//*Label 13760*/ GIMT_Encode4(903945), // Rule ID 63926 //
     /*  903886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  903889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsRN),
     /*  903894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  903897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  903900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  903903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903922 */     // MIs[0] imm5
     /*  903922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903925 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  903930 */     // (intrinsic_wo_chain:{ *:[i32] } 10906:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  903930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSRN),
     /*  903933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  903935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  903937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  903939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  903941 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  903943 */     GIR_RootConstrainSelectedInstOperands,
     /*  903944 */     // GIR_Coverage, 63926,
     /*  903944 */     GIR_EraseRootFromParent_Done,
     /*  903945 */   // Label 13760: @903945
     /*  903945 */   GIM_Try, /*On fail goto*//*Label 13761*/ GIMT_Encode4(904009), // Rule ID 63927 //
     /*  903950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  903953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsRN),
     /*  903958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  903961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  903964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  903967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  903986 */     // MIs[0] imm5
     /*  903986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903989 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  903994 */     // (intrinsic_wo_chain:{ *:[i32] } 10902:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  903994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSRN),
     /*  903997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  903999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  904001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  904003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  904005 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  904007 */     GIR_RootConstrainSelectedInstOperands,
     /*  904008 */     // GIR_Coverage, 63927,
     /*  904008 */     GIR_EraseRootFromParent_Done,
     /*  904009 */   // Label 13761: @904009
     /*  904009 */   GIM_Reject,
     /*  904010 */ // Label 6915: @904010
     /*  904010 */ GIM_Try, /*On fail goto*//*Label 13762*/ GIMT_Encode4(1393483),
     /*  904015 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /*  904018 */   GIM_Try, /*On fail goto*//*Label 13763*/ GIMT_Encode4(904101), // Rule ID 62259 //
     /*  904023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  904026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  904031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  904034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  904037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  904040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  904043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904047 */     // MIs[0] op1
     /*  904047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904063 */     // MIs[0] op4
     /*  904063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904066 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904078 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  904078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  904081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904083 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904085 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904087 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904089 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  904099 */     GIR_RootConstrainSelectedInstOperands,
     /*  904100 */     // GIR_Coverage, 62259,
     /*  904100 */     GIR_EraseRootFromParent_Done,
     /*  904101 */   // Label 13763: @904101
     /*  904101 */   GIM_Try, /*On fail goto*//*Label 13764*/ GIMT_Encode4(904184), // Rule ID 62260 //
     /*  904106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  904109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  904114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  904117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  904120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  904123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  904126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904130 */     // MIs[0] op1
     /*  904130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904133 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904146 */     // MIs[0] op4
     /*  904146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904149 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904161 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  904161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  904164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904166 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904168 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904170 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904172 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  904182 */     GIR_RootConstrainSelectedInstOperands,
     /*  904183 */     // GIR_Coverage, 62260,
     /*  904183 */     GIR_EraseRootFromParent_Done,
     /*  904184 */   // Label 13764: @904184
     /*  904184 */   GIM_Try, /*On fail goto*//*Label 13765*/ GIMT_Encode4(904267), // Rule ID 62303 //
     /*  904189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  904192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  904197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  904200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  904203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  904206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  904209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904213 */     // MIs[0] op1
     /*  904213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904216 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904229 */     // MIs[0] op4
     /*  904229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904232 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904244 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  904244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  904247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904249 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904251 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904253 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904255 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  904265 */     GIR_RootConstrainSelectedInstOperands,
     /*  904266 */     // GIR_Coverage, 62303,
     /*  904266 */     GIR_EraseRootFromParent_Done,
     /*  904267 */   // Label 13765: @904267
     /*  904267 */   GIM_Try, /*On fail goto*//*Label 13766*/ GIMT_Encode4(904350), // Rule ID 62304 //
     /*  904272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  904275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  904280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  904283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  904286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  904289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  904292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904296 */     // MIs[0] op1
     /*  904296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904299 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904312 */     // MIs[0] op4
     /*  904312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904315 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904327 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  904327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  904330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904332 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904334 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904336 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904338 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  904348 */     GIR_RootConstrainSelectedInstOperands,
     /*  904349 */     // GIR_Coverage, 62304,
     /*  904349 */     GIR_EraseRootFromParent_Done,
     /*  904350 */   // Label 13766: @904350
     /*  904350 */   GIM_Try, /*On fail goto*//*Label 13767*/ GIMT_Encode4(904433), // Rule ID 62347 //
     /*  904355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  904358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  904363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  904366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  904369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  904372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  904375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904379 */     // MIs[0] op1
     /*  904379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904395 */     // MIs[0] op4
     /*  904395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904398 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904410 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  904410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  904413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904415 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904417 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904419 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904421 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  904431 */     GIR_RootConstrainSelectedInstOperands,
     /*  904432 */     // GIR_Coverage, 62347,
     /*  904432 */     GIR_EraseRootFromParent_Done,
     /*  904433 */   // Label 13767: @904433
     /*  904433 */   GIM_Try, /*On fail goto*//*Label 13768*/ GIMT_Encode4(904516), // Rule ID 62348 //
     /*  904438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  904441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  904446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  904449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  904452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  904455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  904458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904462 */     // MIs[0] op1
     /*  904462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904465 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904478 */     // MIs[0] op4
     /*  904478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904481 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904493 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  904493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  904496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904498 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904500 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904502 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904504 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  904514 */     GIR_RootConstrainSelectedInstOperands,
     /*  904515 */     // GIR_Coverage, 62348,
     /*  904515 */     GIR_EraseRootFromParent_Done,
     /*  904516 */   // Label 13768: @904516
     /*  904516 */   GIM_Try, /*On fail goto*//*Label 13769*/ GIMT_Encode4(904599), // Rule ID 62391 //
     /*  904521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  904524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  904529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  904532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  904535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  904538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  904541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904545 */     // MIs[0] op1
     /*  904545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904548 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904561 */     // MIs[0] op4
     /*  904561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904564 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904576 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  904576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  904579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904581 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904583 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904585 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904587 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904597 */     GIR_RootConstrainSelectedInstOperands,
     /*  904598 */     // GIR_Coverage, 62391,
     /*  904598 */     GIR_EraseRootFromParent_Done,
     /*  904599 */   // Label 13769: @904599
     /*  904599 */   GIM_Try, /*On fail goto*//*Label 13770*/ GIMT_Encode4(904682), // Rule ID 62392 //
     /*  904604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  904607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  904612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  904615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  904618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  904621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  904624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904628 */     // MIs[0] op1
     /*  904628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904631 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904644 */     // MIs[0] op4
     /*  904644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904647 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904659 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  904659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  904662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904664 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904666 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904668 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904670 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904680 */     GIR_RootConstrainSelectedInstOperands,
     /*  904681 */     // GIR_Coverage, 62392,
     /*  904681 */     GIR_EraseRootFromParent_Done,
     /*  904682 */   // Label 13770: @904682
     /*  904682 */   GIM_Try, /*On fail goto*//*Label 13771*/ GIMT_Encode4(904765), // Rule ID 62447 //
     /*  904687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  904690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  904695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  904698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  904701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  904704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  904707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904711 */     // MIs[0] op1
     /*  904711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904727 */     // MIs[0] op4
     /*  904727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904730 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904742 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  904742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  904745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904747 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904749 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904751 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904753 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904763 */     GIR_RootConstrainSelectedInstOperands,
     /*  904764 */     // GIR_Coverage, 62447,
     /*  904764 */     GIR_EraseRootFromParent_Done,
     /*  904765 */   // Label 13771: @904765
     /*  904765 */   GIM_Try, /*On fail goto*//*Label 13772*/ GIMT_Encode4(904848), // Rule ID 62448 //
     /*  904770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  904773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  904778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  904781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  904784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  904787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  904790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904794 */     // MIs[0] op1
     /*  904794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904797 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904810 */     // MIs[0] op4
     /*  904810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904813 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904825 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  904825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  904828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904830 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904832 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904834 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904836 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904846 */     GIR_RootConstrainSelectedInstOperands,
     /*  904847 */     // GIR_Coverage, 62448,
     /*  904847 */     GIR_EraseRootFromParent_Done,
     /*  904848 */   // Label 13772: @904848
     /*  904848 */   GIM_Try, /*On fail goto*//*Label 13773*/ GIMT_Encode4(904931), // Rule ID 62503 //
     /*  904853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  904856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  904861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  904864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  904867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  904870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  904873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904877 */     // MIs[0] op1
     /*  904877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904880 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904893 */     // MIs[0] op4
     /*  904893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904896 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904908 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  904908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  904911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904913 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904915 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904917 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904919 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904929 */     GIR_RootConstrainSelectedInstOperands,
     /*  904930 */     // GIR_Coverage, 62503,
     /*  904930 */     GIR_EraseRootFromParent_Done,
     /*  904931 */   // Label 13773: @904931
     /*  904931 */   GIM_Try, /*On fail goto*//*Label 13774*/ GIMT_Encode4(905014), // Rule ID 62504 //
     /*  904936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  904939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  904944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  904947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  904950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  904953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  904956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904960 */     // MIs[0] op1
     /*  904960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904963 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904976 */     // MIs[0] op4
     /*  904976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904979 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904991 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  904991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  904994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904996 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904998 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905000 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905002 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905012 */     GIR_RootConstrainSelectedInstOperands,
     /*  905013 */     // GIR_Coverage, 62504,
     /*  905013 */     GIR_EraseRootFromParent_Done,
     /*  905014 */   // Label 13774: @905014
     /*  905014 */   GIM_Try, /*On fail goto*//*Label 13775*/ GIMT_Encode4(905097), // Rule ID 62559 //
     /*  905019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  905030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  905033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  905036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905043 */     // MIs[0] op1
     /*  905043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905046 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905059 */     // MIs[0] op4
     /*  905059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905062 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905074 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  905074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  905077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905079 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905081 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905083 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905085 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905095 */     GIR_RootConstrainSelectedInstOperands,
     /*  905096 */     // GIR_Coverage, 62559,
     /*  905096 */     GIR_EraseRootFromParent_Done,
     /*  905097 */   // Label 13775: @905097
     /*  905097 */   GIM_Try, /*On fail goto*//*Label 13776*/ GIMT_Encode4(905180), // Rule ID 62560 //
     /*  905102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  905113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  905116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  905119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905126 */     // MIs[0] op1
     /*  905126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905129 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905142 */     // MIs[0] op4
     /*  905142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905145 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905157 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  905157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  905160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905162 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905164 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905166 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905168 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905178 */     GIR_RootConstrainSelectedInstOperands,
     /*  905179 */     // GIR_Coverage, 62560,
     /*  905179 */     GIR_EraseRootFromParent_Done,
     /*  905180 */   // Label 13776: @905180
     /*  905180 */   GIM_Try, /*On fail goto*//*Label 13777*/ GIMT_Encode4(905263), // Rule ID 62603 //
     /*  905185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  905196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  905199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  905202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905209 */     // MIs[0] op1
     /*  905209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905212 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905225 */     // MIs[0] op4
     /*  905225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905228 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905240 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  905240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  905243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905245 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905247 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905249 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905251 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905261 */     GIR_RootConstrainSelectedInstOperands,
     /*  905262 */     // GIR_Coverage, 62603,
     /*  905262 */     GIR_EraseRootFromParent_Done,
     /*  905263 */   // Label 13777: @905263
     /*  905263 */   GIM_Try, /*On fail goto*//*Label 13778*/ GIMT_Encode4(905346), // Rule ID 62604 //
     /*  905268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  905279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  905282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  905285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905292 */     // MIs[0] op1
     /*  905292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905295 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905308 */     // MIs[0] op4
     /*  905308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905311 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905323 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  905323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  905326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905328 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905330 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905332 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905334 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905344 */     GIR_RootConstrainSelectedInstOperands,
     /*  905345 */     // GIR_Coverage, 62604,
     /*  905345 */     GIR_EraseRootFromParent_Done,
     /*  905346 */   // Label 13778: @905346
     /*  905346 */   GIM_Try, /*On fail goto*//*Label 13779*/ GIMT_Encode4(905429), // Rule ID 62659 //
     /*  905351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  905362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  905365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  905368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905375 */     // MIs[0] op1
     /*  905375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905378 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905391 */     // MIs[0] op4
     /*  905391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905394 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905406 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  905406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  905409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905411 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905413 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905415 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905417 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905427 */     GIR_RootConstrainSelectedInstOperands,
     /*  905428 */     // GIR_Coverage, 62659,
     /*  905428 */     GIR_EraseRootFromParent_Done,
     /*  905429 */   // Label 13779: @905429
     /*  905429 */   GIM_Try, /*On fail goto*//*Label 13780*/ GIMT_Encode4(905512), // Rule ID 62660 //
     /*  905434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  905445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  905448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  905451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905458 */     // MIs[0] op1
     /*  905458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905461 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905474 */     // MIs[0] op4
     /*  905474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905477 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905489 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  905489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  905492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905494 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905496 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905498 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905500 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905510 */     GIR_RootConstrainSelectedInstOperands,
     /*  905511 */     // GIR_Coverage, 62660,
     /*  905511 */     GIR_EraseRootFromParent_Done,
     /*  905512 */   // Label 13780: @905512
     /*  905512 */   GIM_Try, /*On fail goto*//*Label 13781*/ GIMT_Encode4(905595), // Rule ID 62715 //
     /*  905517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  905528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  905531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  905534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905541 */     // MIs[0] op1
     /*  905541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905544 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905557 */     // MIs[0] op4
     /*  905557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905560 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905572 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  905572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  905575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905577 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905579 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905581 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905583 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905593 */     GIR_RootConstrainSelectedInstOperands,
     /*  905594 */     // GIR_Coverage, 62715,
     /*  905594 */     GIR_EraseRootFromParent_Done,
     /*  905595 */   // Label 13781: @905595
     /*  905595 */   GIM_Try, /*On fail goto*//*Label 13782*/ GIMT_Encode4(905678), // Rule ID 62716 //
     /*  905600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  905611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  905614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  905617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905624 */     // MIs[0] op1
     /*  905624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905627 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905640 */     // MIs[0] op4
     /*  905640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905643 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905655 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  905655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  905658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905660 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905662 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905664 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905666 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905676 */     GIR_RootConstrainSelectedInstOperands,
     /*  905677 */     // GIR_Coverage, 62716,
     /*  905677 */     GIR_EraseRootFromParent_Done,
     /*  905678 */   // Label 13782: @905678
     /*  905678 */   GIM_Try, /*On fail goto*//*Label 13783*/ GIMT_Encode4(905761), // Rule ID 62771 //
     /*  905683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  905694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  905697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  905700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905707 */     // MIs[0] op1
     /*  905707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905710 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905723 */     // MIs[0] op4
     /*  905723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905726 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905738 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  905738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  905741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905743 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905745 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905747 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905749 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905759 */     GIR_RootConstrainSelectedInstOperands,
     /*  905760 */     // GIR_Coverage, 62771,
     /*  905760 */     GIR_EraseRootFromParent_Done,
     /*  905761 */   // Label 13783: @905761
     /*  905761 */   GIM_Try, /*On fail goto*//*Label 13784*/ GIMT_Encode4(905844), // Rule ID 62772 //
     /*  905766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  905777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  905780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  905783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905790 */     // MIs[0] op1
     /*  905790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905793 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905806 */     // MIs[0] op4
     /*  905806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905809 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905821 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  905821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  905824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905826 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905828 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905830 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905832 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905842 */     GIR_RootConstrainSelectedInstOperands,
     /*  905843 */     // GIR_Coverage, 62772,
     /*  905843 */     GIR_EraseRootFromParent_Done,
     /*  905844 */   // Label 13784: @905844
     /*  905844 */   GIM_Try, /*On fail goto*//*Label 13785*/ GIMT_Encode4(905927), // Rule ID 62815 //
     /*  905849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  905860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  905863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  905866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905873 */     // MIs[0] op1
     /*  905873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905876 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905889 */     // MIs[0] op4
     /*  905889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905892 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905904 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  905904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  905907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905909 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905911 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905913 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905915 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905925 */     GIR_RootConstrainSelectedInstOperands,
     /*  905926 */     // GIR_Coverage, 62815,
     /*  905926 */     GIR_EraseRootFromParent_Done,
     /*  905927 */   // Label 13785: @905927
     /*  905927 */   GIM_Try, /*On fail goto*//*Label 13786*/ GIMT_Encode4(906010), // Rule ID 62816 //
     /*  905932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  905940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  905943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  905946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  905949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905956 */     // MIs[0] op1
     /*  905956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905972 */     // MIs[0] op4
     /*  905972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905975 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905987 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  905987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  905990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905992 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905994 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905996 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905998 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906008 */     GIR_RootConstrainSelectedInstOperands,
     /*  906009 */     // GIR_Coverage, 62816,
     /*  906009 */     GIR_EraseRootFromParent_Done,
     /*  906010 */   // Label 13786: @906010
     /*  906010 */   GIM_Try, /*On fail goto*//*Label 13787*/ GIMT_Encode4(906093), // Rule ID 62859 //
     /*  906015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  906026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  906029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  906032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906039 */     // MIs[0] op1
     /*  906039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906042 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906055 */     // MIs[0] op4
     /*  906055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906058 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906070 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  906070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  906073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906075 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906077 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906079 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906081 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906091 */     GIR_RootConstrainSelectedInstOperands,
     /*  906092 */     // GIR_Coverage, 62859,
     /*  906092 */     GIR_EraseRootFromParent_Done,
     /*  906093 */   // Label 13787: @906093
     /*  906093 */   GIM_Try, /*On fail goto*//*Label 13788*/ GIMT_Encode4(906176), // Rule ID 62860 //
     /*  906098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  906109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  906112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  906115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906122 */     // MIs[0] op1
     /*  906122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906125 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906138 */     // MIs[0] op4
     /*  906138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906141 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906153 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  906153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  906156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906158 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906160 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906162 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906164 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906174 */     GIR_RootConstrainSelectedInstOperands,
     /*  906175 */     // GIR_Coverage, 62860,
     /*  906175 */     GIR_EraseRootFromParent_Done,
     /*  906176 */   // Label 13788: @906176
     /*  906176 */   GIM_Try, /*On fail goto*//*Label 13789*/ GIMT_Encode4(906259), // Rule ID 62903 //
     /*  906181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  906192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  906195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  906198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906205 */     // MIs[0] op1
     /*  906205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906208 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906221 */     // MIs[0] op4
     /*  906221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906224 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906236 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  906236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  906239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906241 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906243 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906245 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906247 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906257 */     GIR_RootConstrainSelectedInstOperands,
     /*  906258 */     // GIR_Coverage, 62903,
     /*  906258 */     GIR_EraseRootFromParent_Done,
     /*  906259 */   // Label 13789: @906259
     /*  906259 */   GIM_Try, /*On fail goto*//*Label 13790*/ GIMT_Encode4(906342), // Rule ID 62904 //
     /*  906264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  906275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  906278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  906281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906288 */     // MIs[0] op1
     /*  906288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906291 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906304 */     // MIs[0] op4
     /*  906304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906307 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906319 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  906319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  906322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906324 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906326 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906328 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906330 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906340 */     GIR_RootConstrainSelectedInstOperands,
     /*  906341 */     // GIR_Coverage, 62904,
     /*  906341 */     GIR_EraseRootFromParent_Done,
     /*  906342 */   // Label 13790: @906342
     /*  906342 */   GIM_Try, /*On fail goto*//*Label 13791*/ GIMT_Encode4(906425), // Rule ID 62959 //
     /*  906347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  906358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  906361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  906364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906371 */     // MIs[0] op1
     /*  906371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906374 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906387 */     // MIs[0] op4
     /*  906387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906390 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906402 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  906402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  906405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906407 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906409 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906411 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906413 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906423 */     GIR_RootConstrainSelectedInstOperands,
     /*  906424 */     // GIR_Coverage, 62959,
     /*  906424 */     GIR_EraseRootFromParent_Done,
     /*  906425 */   // Label 13791: @906425
     /*  906425 */   GIM_Try, /*On fail goto*//*Label 13792*/ GIMT_Encode4(906508), // Rule ID 62960 //
     /*  906430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  906441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  906444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  906447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906454 */     // MIs[0] op1
     /*  906454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906457 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906470 */     // MIs[0] op4
     /*  906470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906473 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906485 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  906485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  906488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906490 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906492 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906494 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906496 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906506 */     GIR_RootConstrainSelectedInstOperands,
     /*  906507 */     // GIR_Coverage, 62960,
     /*  906507 */     GIR_EraseRootFromParent_Done,
     /*  906508 */   // Label 13792: @906508
     /*  906508 */   GIM_Try, /*On fail goto*//*Label 13793*/ GIMT_Encode4(906591), // Rule ID 63015 //
     /*  906513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  906524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  906527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  906530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906537 */     // MIs[0] op1
     /*  906537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906540 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906553 */     // MIs[0] op4
     /*  906553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906556 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906568 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  906568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  906571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906573 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906575 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906577 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906579 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906589 */     GIR_RootConstrainSelectedInstOperands,
     /*  906590 */     // GIR_Coverage, 63015,
     /*  906590 */     GIR_EraseRootFromParent_Done,
     /*  906591 */   // Label 13793: @906591
     /*  906591 */   GIM_Try, /*On fail goto*//*Label 13794*/ GIMT_Encode4(906674), // Rule ID 63016 //
     /*  906596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  906607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  906610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  906613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906620 */     // MIs[0] op1
     /*  906620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906623 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906636 */     // MIs[0] op4
     /*  906636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906639 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906651 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  906651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  906654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906656 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906658 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906660 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906662 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906672 */     GIR_RootConstrainSelectedInstOperands,
     /*  906673 */     // GIR_Coverage, 63016,
     /*  906673 */     GIR_EraseRootFromParent_Done,
     /*  906674 */   // Label 13794: @906674
     /*  906674 */   GIM_Try, /*On fail goto*//*Label 13795*/ GIMT_Encode4(906757), // Rule ID 63071 //
     /*  906679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  906690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  906693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  906696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906703 */     // MIs[0] op1
     /*  906703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906706 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906719 */     // MIs[0] op4
     /*  906719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906722 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  906734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  906737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906739 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906741 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906743 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906745 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906755 */     GIR_RootConstrainSelectedInstOperands,
     /*  906756 */     // GIR_Coverage, 63071,
     /*  906756 */     GIR_EraseRootFromParent_Done,
     /*  906757 */   // Label 13795: @906757
     /*  906757 */   GIM_Try, /*On fail goto*//*Label 13796*/ GIMT_Encode4(906840), // Rule ID 63072 //
     /*  906762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  906773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  906776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  906779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906786 */     // MIs[0] op1
     /*  906786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906789 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906802 */     // MIs[0] op4
     /*  906802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906805 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906817 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  906817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  906820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906822 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906824 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906826 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906828 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906838 */     GIR_RootConstrainSelectedInstOperands,
     /*  906839 */     // GIR_Coverage, 63072,
     /*  906839 */     GIR_EraseRootFromParent_Done,
     /*  906840 */   // Label 13796: @906840
     /*  906840 */   GIM_Try, /*On fail goto*//*Label 13797*/ GIMT_Encode4(906923), // Rule ID 63127 //
     /*  906845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  906848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  906856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  906859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  906862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906869 */     // MIs[0] op1
     /*  906869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906885 */     // MIs[0] op4
     /*  906885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906888 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906900 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  906900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  906903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906905 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906907 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906909 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906911 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906921 */     GIR_RootConstrainSelectedInstOperands,
     /*  906922 */     // GIR_Coverage, 63127,
     /*  906922 */     GIR_EraseRootFromParent_Done,
     /*  906923 */   // Label 13797: @906923
     /*  906923 */   GIM_Try, /*On fail goto*//*Label 13798*/ GIMT_Encode4(907006), // Rule ID 63128 //
     /*  906928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  906931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  906936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  906939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  906942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  906945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906952 */     // MIs[0] op1
     /*  906952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  906955 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  906960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906968 */     // MIs[0] op4
     /*  906968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  906971 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  906976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906983 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  906983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  906986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906988 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  906990 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  906992 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  906994 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  906996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907004 */     GIR_RootConstrainSelectedInstOperands,
     /*  907005 */     // GIR_Coverage, 63128,
     /*  907005 */     GIR_EraseRootFromParent_Done,
     /*  907006 */   // Label 13798: @907006
     /*  907006 */   GIM_Try, /*On fail goto*//*Label 13799*/ GIMT_Encode4(907089), // Rule ID 63183 //
     /*  907011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  907022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  907025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  907028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907035 */     // MIs[0] op1
     /*  907035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907038 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907051 */     // MIs[0] op4
     /*  907051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907054 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907066 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  907066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  907069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907071 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907073 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907075 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907077 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907087 */     GIR_RootConstrainSelectedInstOperands,
     /*  907088 */     // GIR_Coverage, 63183,
     /*  907088 */     GIR_EraseRootFromParent_Done,
     /*  907089 */   // Label 13799: @907089
     /*  907089 */   GIM_Try, /*On fail goto*//*Label 13800*/ GIMT_Encode4(907172), // Rule ID 63184 //
     /*  907094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  907105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  907108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  907111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907118 */     // MIs[0] op1
     /*  907118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907121 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907134 */     // MIs[0] op4
     /*  907134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907137 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907149 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  907149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  907152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907154 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907156 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907158 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907160 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907170 */     GIR_RootConstrainSelectedInstOperands,
     /*  907171 */     // GIR_Coverage, 63184,
     /*  907171 */     GIR_EraseRootFromParent_Done,
     /*  907172 */   // Label 13800: @907172
     /*  907172 */   GIM_Try, /*On fail goto*//*Label 13801*/ GIMT_Encode4(907255), // Rule ID 63239 //
     /*  907177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  907188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  907191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  907194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907201 */     // MIs[0] op1
     /*  907201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907204 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907217 */     // MIs[0] op4
     /*  907217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907220 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907232 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  907232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  907235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907237 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907239 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907241 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907243 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907253 */     GIR_RootConstrainSelectedInstOperands,
     /*  907254 */     // GIR_Coverage, 63239,
     /*  907254 */     GIR_EraseRootFromParent_Done,
     /*  907255 */   // Label 13801: @907255
     /*  907255 */   GIM_Try, /*On fail goto*//*Label 13802*/ GIMT_Encode4(907338), // Rule ID 63240 //
     /*  907260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  907271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  907274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  907277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907284 */     // MIs[0] op1
     /*  907284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907287 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907300 */     // MIs[0] op4
     /*  907300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907303 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907315 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  907315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  907318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907320 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907322 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907324 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907326 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907336 */     GIR_RootConstrainSelectedInstOperands,
     /*  907337 */     // GIR_Coverage, 63240,
     /*  907337 */     GIR_EraseRootFromParent_Done,
     /*  907338 */   // Label 13802: @907338
     /*  907338 */   GIM_Try, /*On fail goto*//*Label 13803*/ GIMT_Encode4(907421), // Rule ID 63295 //
     /*  907343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  907354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  907357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  907360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907367 */     // MIs[0] op1
     /*  907367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907383 */     // MIs[0] op4
     /*  907383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907386 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907398 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  907398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  907401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907403 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907405 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907407 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907409 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907419 */     GIR_RootConstrainSelectedInstOperands,
     /*  907420 */     // GIR_Coverage, 63295,
     /*  907420 */     GIR_EraseRootFromParent_Done,
     /*  907421 */   // Label 13803: @907421
     /*  907421 */   GIM_Try, /*On fail goto*//*Label 13804*/ GIMT_Encode4(907504), // Rule ID 63296 //
     /*  907426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  907437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  907440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  907443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907450 */     // MIs[0] op1
     /*  907450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907453 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907466 */     // MIs[0] op4
     /*  907466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907469 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907481 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  907481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  907484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907486 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907488 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907490 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907492 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907502 */     GIR_RootConstrainSelectedInstOperands,
     /*  907503 */     // GIR_Coverage, 63296,
     /*  907503 */     GIR_EraseRootFromParent_Done,
     /*  907504 */   // Label 13804: @907504
     /*  907504 */   GIM_Try, /*On fail goto*//*Label 13805*/ GIMT_Encode4(907587), // Rule ID 63351 //
     /*  907509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  907520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  907523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  907526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907533 */     // MIs[0] op1
     /*  907533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907549 */     // MIs[0] op4
     /*  907549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907552 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907564 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10970:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  907564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  907567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907569 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907571 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907573 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907575 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907585 */     GIR_RootConstrainSelectedInstOperands,
     /*  907586 */     // GIR_Coverage, 63351,
     /*  907586 */     GIR_EraseRootFromParent_Done,
     /*  907587 */   // Label 13805: @907587
     /*  907587 */   GIM_Try, /*On fail goto*//*Label 13806*/ GIMT_Encode4(907670), // Rule ID 63352 //
     /*  907592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  907600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  907603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  907606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  907609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907616 */     // MIs[0] op1
     /*  907616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907619 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907632 */     // MIs[0] op4
     /*  907632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907635 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907647 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10970:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  907647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  907650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907652 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907654 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907656 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907658 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907668 */     GIR_RootConstrainSelectedInstOperands,
     /*  907669 */     // GIR_Coverage, 63352,
     /*  907669 */     GIR_EraseRootFromParent_Done,
     /*  907670 */   // Label 13806: @907670
     /*  907670 */   GIM_Try, /*On fail goto*//*Label 13807*/ GIMT_Encode4(907753), // Rule ID 63381 //
     /*  907675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  907683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  907686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  907689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  907692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907699 */     // MIs[0] op1
     /*  907699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907702 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907715 */     // MIs[0] op4
     /*  907715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907718 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907730 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10972:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  907730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  907733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907735 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907737 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907739 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907741 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907751 */     GIR_RootConstrainSelectedInstOperands,
     /*  907752 */     // GIR_Coverage, 63381,
     /*  907752 */     GIR_EraseRootFromParent_Done,
     /*  907753 */   // Label 13807: @907753
     /*  907753 */   GIM_Try, /*On fail goto*//*Label 13808*/ GIMT_Encode4(907836), // Rule ID 63382 //
     /*  907758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  907766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  907769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  907772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  907775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907782 */     // MIs[0] op1
     /*  907782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907785 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907798 */     // MIs[0] op4
     /*  907798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907801 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907813 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10972:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  907813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  907816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907818 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907820 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907822 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907824 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907834 */     GIR_RootConstrainSelectedInstOperands,
     /*  907835 */     // GIR_Coverage, 63382,
     /*  907835 */     GIR_EraseRootFromParent_Done,
     /*  907836 */   // Label 13808: @907836
     /*  907836 */   GIM_Try, /*On fail goto*//*Label 13809*/ GIMT_Encode4(907919), // Rule ID 63399 //
     /*  907841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  907844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  907849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  907852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  907855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  907858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907865 */     // MIs[0] op1
     /*  907865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907868 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907881 */     // MIs[0] op4
     /*  907881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907884 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907896 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10972:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  907896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  907899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907901 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907903 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907905 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907907 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907917 */     GIR_RootConstrainSelectedInstOperands,
     /*  907918 */     // GIR_Coverage, 63399,
     /*  907918 */     GIR_EraseRootFromParent_Done,
     /*  907919 */   // Label 13809: @907919
     /*  907919 */   GIM_Try, /*On fail goto*//*Label 13810*/ GIMT_Encode4(908002), // Rule ID 63400 //
     /*  907924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  907927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  907932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  907935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  907938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  907941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907948 */     // MIs[0] op1
     /*  907948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  907951 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  907956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907964 */     // MIs[0] op4
     /*  907964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  907967 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  907972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907979 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10972:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  907979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  907982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907984 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  907986 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  907988 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  907990 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  907992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908000 */     GIR_RootConstrainSelectedInstOperands,
     /*  908001 */     // GIR_Coverage, 63400,
     /*  908001 */     GIR_EraseRootFromParent_Done,
     /*  908002 */   // Label 13810: @908002
     /*  908002 */   GIM_Try, /*On fail goto*//*Label 13811*/ GIMT_Encode4(908085), // Rule ID 63417 //
     /*  908007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  908015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  908018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  908021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  908024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908031 */     // MIs[0] op1
     /*  908031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908034 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908047 */     // MIs[0] op4
     /*  908047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908062 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10972:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  908062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  908065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908067 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908069 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908071 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908073 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908083 */     GIR_RootConstrainSelectedInstOperands,
     /*  908084 */     // GIR_Coverage, 63417,
     /*  908084 */     GIR_EraseRootFromParent_Done,
     /*  908085 */   // Label 13811: @908085
     /*  908085 */   GIM_Try, /*On fail goto*//*Label 13812*/ GIMT_Encode4(908168), // Rule ID 63418 //
     /*  908090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  908098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  908101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  908104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  908107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908114 */     // MIs[0] op1
     /*  908114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908117 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908130 */     // MIs[0] op4
     /*  908130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908133 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908145 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10972:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  908145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  908148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908150 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908152 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908154 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908156 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908166 */     GIR_RootConstrainSelectedInstOperands,
     /*  908167 */     // GIR_Coverage, 63418,
     /*  908167 */     GIR_EraseRootFromParent_Done,
     /*  908168 */   // Label 13812: @908168
     /*  908168 */   GIM_Try, /*On fail goto*//*Label 13813*/ GIMT_Encode4(908251), // Rule ID 63435 //
     /*  908173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  908181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  908184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  908187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  908190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908197 */     // MIs[0] op1
     /*  908197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908200 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908213 */     // MIs[0] op4
     /*  908213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908216 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908228 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10972:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  908228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  908231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908233 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908235 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908237 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908239 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908249 */     GIR_RootConstrainSelectedInstOperands,
     /*  908250 */     // GIR_Coverage, 63435,
     /*  908250 */     GIR_EraseRootFromParent_Done,
     /*  908251 */   // Label 13813: @908251
     /*  908251 */   GIM_Try, /*On fail goto*//*Label 13814*/ GIMT_Encode4(908334), // Rule ID 63436 //
     /*  908256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  908264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  908267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  908270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  908273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908280 */     // MIs[0] op1
     /*  908280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908283 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908296 */     // MIs[0] op4
     /*  908296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908299 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908311 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10972:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  908311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  908314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908316 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908318 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908320 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908322 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908332 */     GIR_RootConstrainSelectedInstOperands,
     /*  908333 */     // GIR_Coverage, 63436,
     /*  908333 */     GIR_EraseRootFromParent_Done,
     /*  908334 */   // Label 13814: @908334
     /*  908334 */   GIM_Try, /*On fail goto*//*Label 13815*/ GIMT_Encode4(908417), // Rule ID 63453 //
     /*  908339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  908347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  908350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  908353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  908356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908363 */     // MIs[0] op1
     /*  908363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908366 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908379 */     // MIs[0] op4
     /*  908379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908394 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10972:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  908394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  908397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908399 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908401 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908403 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908405 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908415 */     GIR_RootConstrainSelectedInstOperands,
     /*  908416 */     // GIR_Coverage, 63453,
     /*  908416 */     GIR_EraseRootFromParent_Done,
     /*  908417 */   // Label 13815: @908417
     /*  908417 */   GIM_Try, /*On fail goto*//*Label 13816*/ GIMT_Encode4(908500), // Rule ID 63454 //
     /*  908422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  908430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  908433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  908436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  908439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908446 */     // MIs[0] op1
     /*  908446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908449 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908462 */     // MIs[0] op4
     /*  908462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908465 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908477 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10972:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  908477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  908480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908482 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908484 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908486 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908488 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908498 */     GIR_RootConstrainSelectedInstOperands,
     /*  908499 */     // GIR_Coverage, 63454,
     /*  908499 */     GIR_EraseRootFromParent_Done,
     /*  908500 */   // Label 13816: @908500
     /*  908500 */   GIM_Try, /*On fail goto*//*Label 13817*/ GIMT_Encode4(908583), // Rule ID 63471 //
     /*  908505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  908513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  908516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  908519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  908522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908529 */     // MIs[0] op1
     /*  908529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908532 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908545 */     // MIs[0] op4
     /*  908545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908548 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908560 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10972:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  908560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  908563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908565 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908567 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908569 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908571 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908581 */     GIR_RootConstrainSelectedInstOperands,
     /*  908582 */     // GIR_Coverage, 63471,
     /*  908582 */     GIR_EraseRootFromParent_Done,
     /*  908583 */   // Label 13817: @908583
     /*  908583 */   GIM_Try, /*On fail goto*//*Label 13818*/ GIMT_Encode4(908666), // Rule ID 63472 //
     /*  908588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  908596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  908599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  908602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  908605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908612 */     // MIs[0] op1
     /*  908612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908615 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908628 */     // MIs[0] op4
     /*  908628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908631 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908643 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10972:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  908643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  908646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908648 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908650 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908652 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908654 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908664 */     GIR_RootConstrainSelectedInstOperands,
     /*  908665 */     // GIR_Coverage, 63472,
     /*  908665 */     GIR_EraseRootFromParent_Done,
     /*  908666 */   // Label 13818: @908666
     /*  908666 */   GIM_Try, /*On fail goto*//*Label 13819*/ GIMT_Encode4(908749), // Rule ID 63489 //
     /*  908671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  908679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  908682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  908685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  908688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908695 */     // MIs[0] op1
     /*  908695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908698 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908711 */     // MIs[0] op4
     /*  908711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908726 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10972:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  908726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  908729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908731 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908733 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908735 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908737 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908747 */     GIR_RootConstrainSelectedInstOperands,
     /*  908748 */     // GIR_Coverage, 63489,
     /*  908748 */     GIR_EraseRootFromParent_Done,
     /*  908749 */   // Label 13819: @908749
     /*  908749 */   GIM_Try, /*On fail goto*//*Label 13820*/ GIMT_Encode4(908832), // Rule ID 63490 //
     /*  908754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  908762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  908765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  908768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  908771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908778 */     // MIs[0] op1
     /*  908778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908781 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908794 */     // MIs[0] op4
     /*  908794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908797 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908809 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10972:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  908809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  908812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908814 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908816 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908818 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908820 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908830 */     GIR_RootConstrainSelectedInstOperands,
     /*  908831 */     // GIR_Coverage, 63490,
     /*  908831 */     GIR_EraseRootFromParent_Done,
     /*  908832 */   // Label 13820: @908832
     /*  908832 */   GIM_Try, /*On fail goto*//*Label 13821*/ GIMT_Encode4(908915), // Rule ID 63513 //
     /*  908837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  908840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  908845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  908848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  908851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  908854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908861 */     // MIs[0] op1
     /*  908861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908877 */     // MIs[0] op4
     /*  908877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908880 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10972:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  908892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  908895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908897 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908899 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908901 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908903 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908913 */     GIR_RootConstrainSelectedInstOperands,
     /*  908914 */     // GIR_Coverage, 63513,
     /*  908914 */     GIR_EraseRootFromParent_Done,
     /*  908915 */   // Label 13821: @908915
     /*  908915 */   GIM_Try, /*On fail goto*//*Label 13822*/ GIMT_Encode4(908998), // Rule ID 63514 //
     /*  908920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  908923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  908928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  908931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  908934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  908937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908944 */     // MIs[0] op1
     /*  908944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  908947 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  908952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908960 */     // MIs[0] op4
     /*  908960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  908963 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  908968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908975 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10972:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  908975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  908978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908980 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  908982 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  908984 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  908986 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  908988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908996 */     GIR_RootConstrainSelectedInstOperands,
     /*  908997 */     // GIR_Coverage, 63514,
     /*  908997 */     GIR_EraseRootFromParent_Done,
     /*  908998 */   // Label 13822: @908998
     /*  908998 */   GIM_Try, /*On fail goto*//*Label 13823*/ GIMT_Encode4(909081), // Rule ID 63537 //
     /*  909003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  909014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  909017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  909020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909027 */     // MIs[0] op1
     /*  909027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909030 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909043 */     // MIs[0] op4
     /*  909043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909046 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909058 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10972:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  909058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  909061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909063 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909065 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909067 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909069 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  909079 */     GIR_RootConstrainSelectedInstOperands,
     /*  909080 */     // GIR_Coverage, 63537,
     /*  909080 */     GIR_EraseRootFromParent_Done,
     /*  909081 */   // Label 13823: @909081
     /*  909081 */   GIM_Try, /*On fail goto*//*Label 13824*/ GIMT_Encode4(909164), // Rule ID 63538 //
     /*  909086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  909097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  909100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  909103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909110 */     // MIs[0] op1
     /*  909110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909113 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909126 */     // MIs[0] op4
     /*  909126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909129 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909141 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10972:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  909141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  909144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909146 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909148 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909150 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909152 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  909162 */     GIR_RootConstrainSelectedInstOperands,
     /*  909163 */     // GIR_Coverage, 63538,
     /*  909163 */     GIR_EraseRootFromParent_Done,
     /*  909164 */   // Label 13824: @909164
     /*  909164 */   GIM_Try, /*On fail goto*//*Label 13825*/ GIMT_Encode4(909247), // Rule ID 63561 //
     /*  909169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  909180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  909183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  909186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909193 */     // MIs[0] op1
     /*  909193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909196 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909209 */     // MIs[0] op4
     /*  909209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909212 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10972:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  909224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  909227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909229 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909231 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909233 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909235 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  909245 */     GIR_RootConstrainSelectedInstOperands,
     /*  909246 */     // GIR_Coverage, 63561,
     /*  909246 */     GIR_EraseRootFromParent_Done,
     /*  909247 */   // Label 13825: @909247
     /*  909247 */   GIM_Try, /*On fail goto*//*Label 13826*/ GIMT_Encode4(909330), // Rule ID 63562 //
     /*  909252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  909263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  909266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  909269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909276 */     // MIs[0] op1
     /*  909276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909279 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909292 */     // MIs[0] op4
     /*  909292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909295 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909307 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10972:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  909307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  909310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909312 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909314 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909316 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909318 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  909328 */     GIR_RootConstrainSelectedInstOperands,
     /*  909329 */     // GIR_Coverage, 63562,
     /*  909329 */     GIR_EraseRootFromParent_Done,
     /*  909330 */   // Label 13826: @909330
     /*  909330 */   GIM_Try, /*On fail goto*//*Label 13827*/ GIMT_Encode4(909413), // Rule ID 63585 //
     /*  909335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  909346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  909349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  909352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909359 */     // MIs[0] op1
     /*  909359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909362 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909375 */     // MIs[0] op4
     /*  909375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909378 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909390 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10972:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  909390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  909393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909395 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909397 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909399 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909401 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  909411 */     GIR_RootConstrainSelectedInstOperands,
     /*  909412 */     // GIR_Coverage, 63585,
     /*  909412 */     GIR_EraseRootFromParent_Done,
     /*  909413 */   // Label 13827: @909413
     /*  909413 */   GIM_Try, /*On fail goto*//*Label 13828*/ GIMT_Encode4(909496), // Rule ID 63586 //
     /*  909418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  909429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  909432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  909435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909442 */     // MIs[0] op1
     /*  909442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909445 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909458 */     // MIs[0] op4
     /*  909458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909461 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909473 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10972:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  909473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  909476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909478 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909480 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909482 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909484 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  909494 */     GIR_RootConstrainSelectedInstOperands,
     /*  909495 */     // GIR_Coverage, 63586,
     /*  909495 */     GIR_EraseRootFromParent_Done,
     /*  909496 */   // Label 13828: @909496
     /*  909496 */   GIM_Try, /*On fail goto*//*Label 13829*/ GIMT_Encode4(909579), // Rule ID 63609 //
     /*  909501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  909512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  909515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  909518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909525 */     // MIs[0] op1
     /*  909525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909541 */     // MIs[0] op4
     /*  909541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909544 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909556 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10972:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  909556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  909559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909561 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909563 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909565 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909567 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909577 */     GIR_RootConstrainSelectedInstOperands,
     /*  909578 */     // GIR_Coverage, 63609,
     /*  909578 */     GIR_EraseRootFromParent_Done,
     /*  909579 */   // Label 13829: @909579
     /*  909579 */   GIM_Try, /*On fail goto*//*Label 13830*/ GIMT_Encode4(909662), // Rule ID 63610 //
     /*  909584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  909595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  909598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  909601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909608 */     // MIs[0] op1
     /*  909608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909611 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909624 */     // MIs[0] op4
     /*  909624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909627 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909639 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10972:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  909639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  909642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909644 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909646 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909648 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909650 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909660 */     GIR_RootConstrainSelectedInstOperands,
     /*  909661 */     // GIR_Coverage, 63610,
     /*  909661 */     GIR_EraseRootFromParent_Done,
     /*  909662 */   // Label 13830: @909662
     /*  909662 */   GIM_Try, /*On fail goto*//*Label 13831*/ GIMT_Encode4(909745), // Rule ID 63633 //
     /*  909667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  909678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  909681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  909684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909691 */     // MIs[0] op1
     /*  909691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909694 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909707 */     // MIs[0] op4
     /*  909707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909710 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10972:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  909722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  909725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909727 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909729 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909731 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909733 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909743 */     GIR_RootConstrainSelectedInstOperands,
     /*  909744 */     // GIR_Coverage, 63633,
     /*  909744 */     GIR_EraseRootFromParent_Done,
     /*  909745 */   // Label 13831: @909745
     /*  909745 */   GIM_Try, /*On fail goto*//*Label 13832*/ GIMT_Encode4(909828), // Rule ID 63634 //
     /*  909750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  909761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  909764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  909767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909774 */     // MIs[0] op1
     /*  909774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909777 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909790 */     // MIs[0] op4
     /*  909790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909793 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909805 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10972:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  909805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  909808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909810 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909812 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909814 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909816 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909826 */     GIR_RootConstrainSelectedInstOperands,
     /*  909827 */     // GIR_Coverage, 63634,
     /*  909827 */     GIR_EraseRootFromParent_Done,
     /*  909828 */   // Label 13832: @909828
     /*  909828 */   GIM_Try, /*On fail goto*//*Label 13833*/ GIMT_Encode4(909911), // Rule ID 63657 //
     /*  909833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  909836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  909844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  909847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  909850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909857 */     // MIs[0] op1
     /*  909857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909860 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909873 */     // MIs[0] op4
     /*  909873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909876 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909888 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10972:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  909888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  909891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909893 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909895 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909897 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909899 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909909 */     GIR_RootConstrainSelectedInstOperands,
     /*  909910 */     // GIR_Coverage, 63657,
     /*  909910 */     GIR_EraseRootFromParent_Done,
     /*  909911 */   // Label 13833: @909911
     /*  909911 */   GIM_Try, /*On fail goto*//*Label 13834*/ GIMT_Encode4(909994), // Rule ID 63658 //
     /*  909916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  909919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  909924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  909927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  909930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  909933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909940 */     // MIs[0] op1
     /*  909940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  909943 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  909948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909956 */     // MIs[0] op4
     /*  909956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  909959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  909964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10972:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  909971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  909974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909976 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  909978 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  909980 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  909982 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  909984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909992 */     GIR_RootConstrainSelectedInstOperands,
     /*  909993 */     // GIR_Coverage, 63658,
     /*  909993 */     GIR_EraseRootFromParent_Done,
     /*  909994 */   // Label 13834: @909994
     /*  909994 */   GIM_Try, /*On fail goto*//*Label 13835*/ GIMT_Encode4(910077), // Rule ID 63681 //
     /*  909999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  910010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  910013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  910016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910023 */     // MIs[0] op1
     /*  910023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910026 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910039 */     // MIs[0] op4
     /*  910039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910042 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910054 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10972:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  910054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  910057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910059 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910061 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910063 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910065 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910075 */     GIR_RootConstrainSelectedInstOperands,
     /*  910076 */     // GIR_Coverage, 63681,
     /*  910076 */     GIR_EraseRootFromParent_Done,
     /*  910077 */   // Label 13835: @910077
     /*  910077 */   GIM_Try, /*On fail goto*//*Label 13836*/ GIMT_Encode4(910160), // Rule ID 63682 //
     /*  910082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  910090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  910093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  910096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  910099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910106 */     // MIs[0] op1
     /*  910106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910109 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910122 */     // MIs[0] op4
     /*  910122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910125 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910137 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10972:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  910137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  910140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910142 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910144 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910146 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910148 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910158 */     GIR_RootConstrainSelectedInstOperands,
     /*  910159 */     // GIR_Coverage, 63682,
     /*  910159 */     GIR_EraseRootFromParent_Done,
     /*  910160 */   // Label 13836: @910160
     /*  910160 */   GIM_Try, /*On fail goto*//*Label 13837*/ GIMT_Encode4(910238), // Rule ID 59971 //
     /*  910165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  910168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  910173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  910176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  910179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  910182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  910185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910197 */     // MIs[0] rs2
     /*  910197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  910200 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  910205 */     // MIs[0] policy
     /*  910205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910215 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  910215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  910218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  910220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910236 */     GIR_RootConstrainSelectedInstOperands,
     /*  910237 */     // GIR_Coverage, 59971,
     /*  910237 */     GIR_EraseRootFromParent_Done,
     /*  910238 */   // Label 13837: @910238
     /*  910238 */   GIM_Try, /*On fail goto*//*Label 13838*/ GIMT_Encode4(910316), // Rule ID 59972 //
     /*  910243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  910246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  910251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  910254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  910257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  910260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  910263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910275 */     // MIs[0] rs2
     /*  910275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  910278 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  910283 */     // MIs[0] policy
     /*  910283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910293 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  910293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  910296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  910298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910314 */     GIR_RootConstrainSelectedInstOperands,
     /*  910315 */     // GIR_Coverage, 59972,
     /*  910315 */     GIR_EraseRootFromParent_Done,
     /*  910316 */   // Label 13838: @910316
     /*  910316 */   GIM_Try, /*On fail goto*//*Label 13839*/ GIMT_Encode4(910394), // Rule ID 61627 //
     /*  910321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  910324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  910329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  910332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  910335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  910338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  910341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910353 */     // MIs[0] rs2
     /*  910353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  910356 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  910361 */     // MIs[0] policy
     /*  910361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  910371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  910374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  910376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910392 */     GIR_RootConstrainSelectedInstOperands,
     /*  910393 */     // GIR_Coverage, 61627,
     /*  910393 */     GIR_EraseRootFromParent_Done,
     /*  910394 */   // Label 13839: @910394
     /*  910394 */   GIM_Try, /*On fail goto*//*Label 13840*/ GIMT_Encode4(910472), // Rule ID 61628 //
     /*  910399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  910402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  910407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  910410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  910413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  910416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  910419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910431 */     // MIs[0] rs2
     /*  910431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  910434 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  910439 */     // MIs[0] policy
     /*  910439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910449 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  910449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  910452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  910454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910470 */     GIR_RootConstrainSelectedInstOperands,
     /*  910471 */     // GIR_Coverage, 61628,
     /*  910471 */     GIR_EraseRootFromParent_Done,
     /*  910472 */   // Label 13840: @910472
     /*  910472 */   GIM_Try, /*On fail goto*//*Label 13841*/ GIMT_Encode4(910550), // Rule ID 61629 //
     /*  910477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  910480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  910485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  910488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  910491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  910494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  910497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910509 */     // MIs[0] rs2
     /*  910509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  910512 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  910517 */     // MIs[0] policy
     /*  910517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910527 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  910527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  910530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  910532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910548 */     GIR_RootConstrainSelectedInstOperands,
     /*  910549 */     // GIR_Coverage, 61629,
     /*  910549 */     GIR_EraseRootFromParent_Done,
     /*  910550 */   // Label 13841: @910550
     /*  910550 */   GIM_Try, /*On fail goto*//*Label 13842*/ GIMT_Encode4(910628), // Rule ID 61630 //
     /*  910555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  910558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  910563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  910566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  910569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  910572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  910575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910587 */     // MIs[0] rs2
     /*  910587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  910590 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  910595 */     // MIs[0] policy
     /*  910595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910605 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  910605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  910608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  910610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910626 */     GIR_RootConstrainSelectedInstOperands,
     /*  910627 */     // GIR_Coverage, 61630,
     /*  910627 */     GIR_EraseRootFromParent_Done,
     /*  910628 */   // Label 13842: @910628
     /*  910628 */   GIM_Try, /*On fail goto*//*Label 13843*/ GIMT_Encode4(910706), // Rule ID 61631 //
     /*  910633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  910636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  910641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  910644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  910647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  910650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  910653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910665 */     // MIs[0] rs2
     /*  910665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  910668 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  910673 */     // MIs[0] policy
     /*  910673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910683 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  910683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  910686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  910688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910704 */     GIR_RootConstrainSelectedInstOperands,
     /*  910705 */     // GIR_Coverage, 61631,
     /*  910705 */     GIR_EraseRootFromParent_Done,
     /*  910706 */   // Label 13843: @910706
     /*  910706 */   GIM_Try, /*On fail goto*//*Label 13844*/ GIMT_Encode4(910784), // Rule ID 61632 //
     /*  910711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  910714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  910719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  910722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  910725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  910728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  910731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910743 */     // MIs[0] rs2
     /*  910743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  910746 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  910751 */     // MIs[0] policy
     /*  910751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910761 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  910761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  910764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  910766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910782 */     GIR_RootConstrainSelectedInstOperands,
     /*  910783 */     // GIR_Coverage, 61632,
     /*  910783 */     GIR_EraseRootFromParent_Done,
     /*  910784 */   // Label 13844: @910784
     /*  910784 */   GIM_Try, /*On fail goto*//*Label 13845*/ GIMT_Encode4(910862), // Rule ID 61633 //
     /*  910789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  910792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  910797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  910800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  910803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  910806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  910809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910821 */     // MIs[0] rs2
     /*  910821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  910824 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  910829 */     // MIs[0] policy
     /*  910829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910839 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  910839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  910842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  910844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910860 */     GIR_RootConstrainSelectedInstOperands,
     /*  910861 */     // GIR_Coverage, 61633,
     /*  910861 */     GIR_EraseRootFromParent_Done,
     /*  910862 */   // Label 13845: @910862
     /*  910862 */   GIM_Try, /*On fail goto*//*Label 13846*/ GIMT_Encode4(910940), // Rule ID 61634 //
     /*  910867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  910870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  910875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  910878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  910881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  910884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  910887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910899 */     // MIs[0] rs2
     /*  910899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  910902 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  910907 */     // MIs[0] policy
     /*  910907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910917 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  910917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  910920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  910922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910938 */     GIR_RootConstrainSelectedInstOperands,
     /*  910939 */     // GIR_Coverage, 61634,
     /*  910939 */     GIR_EraseRootFromParent_Done,
     /*  910940 */   // Label 13846: @910940
     /*  910940 */   GIM_Try, /*On fail goto*//*Label 13847*/ GIMT_Encode4(911018), // Rule ID 61795 //
     /*  910945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  910948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  910953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  910956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  910959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  910962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  910965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910977 */     // MIs[0] rs2
     /*  910977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  910980 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  910985 */     // MIs[0] policy
     /*  910985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910995 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  910995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  910998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911016 */     GIR_RootConstrainSelectedInstOperands,
     /*  911017 */     // GIR_Coverage, 61795,
     /*  911017 */     GIR_EraseRootFromParent_Done,
     /*  911018 */   // Label 13847: @911018
     /*  911018 */   GIM_Try, /*On fail goto*//*Label 13848*/ GIMT_Encode4(911096), // Rule ID 61796 //
     /*  911023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  911026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  911031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  911034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  911037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  911040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911055 */     // MIs[0] rs2
     /*  911055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911058 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911063 */     // MIs[0] policy
     /*  911063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911073 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  911076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911094 */     GIR_RootConstrainSelectedInstOperands,
     /*  911095 */     // GIR_Coverage, 61796,
     /*  911095 */     GIR_EraseRootFromParent_Done,
     /*  911096 */   // Label 13848: @911096
     /*  911096 */   GIM_Try, /*On fail goto*//*Label 13849*/ GIMT_Encode4(911174), // Rule ID 61797 //
     /*  911101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  911104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  911109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  911112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  911115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  911118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911133 */     // MIs[0] rs2
     /*  911133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911136 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911141 */     // MIs[0] policy
     /*  911141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911151 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  911154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911172 */     GIR_RootConstrainSelectedInstOperands,
     /*  911173 */     // GIR_Coverage, 61797,
     /*  911173 */     GIR_EraseRootFromParent_Done,
     /*  911174 */   // Label 13849: @911174
     /*  911174 */   GIM_Try, /*On fail goto*//*Label 13850*/ GIMT_Encode4(911252), // Rule ID 61798 //
     /*  911179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  911182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  911187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  911190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  911193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  911196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911211 */     // MIs[0] rs2
     /*  911211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911214 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911219 */     // MIs[0] policy
     /*  911219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911229 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  911232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911250 */     GIR_RootConstrainSelectedInstOperands,
     /*  911251 */     // GIR_Coverage, 61798,
     /*  911251 */     GIR_EraseRootFromParent_Done,
     /*  911252 */   // Label 13850: @911252
     /*  911252 */   GIM_Try, /*On fail goto*//*Label 13851*/ GIMT_Encode4(911330), // Rule ID 61799 //
     /*  911257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  911260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  911265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  911268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  911271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  911274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911289 */     // MIs[0] rs2
     /*  911289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911292 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911297 */     // MIs[0] policy
     /*  911297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911307 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  911310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911328 */     GIR_RootConstrainSelectedInstOperands,
     /*  911329 */     // GIR_Coverage, 61799,
     /*  911329 */     GIR_EraseRootFromParent_Done,
     /*  911330 */   // Label 13851: @911330
     /*  911330 */   GIM_Try, /*On fail goto*//*Label 13852*/ GIMT_Encode4(911408), // Rule ID 61800 //
     /*  911335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  911338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  911343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  911346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  911349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  911352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911367 */     // MIs[0] rs2
     /*  911367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911370 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911375 */     // MIs[0] policy
     /*  911375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911385 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  911388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911406 */     GIR_RootConstrainSelectedInstOperands,
     /*  911407 */     // GIR_Coverage, 61800,
     /*  911407 */     GIR_EraseRootFromParent_Done,
     /*  911408 */   // Label 13852: @911408
     /*  911408 */   GIM_Try, /*On fail goto*//*Label 13853*/ GIMT_Encode4(911486), // Rule ID 61801 //
     /*  911413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  911416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  911421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  911424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  911427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  911430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911445 */     // MIs[0] rs2
     /*  911445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911448 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911453 */     // MIs[0] policy
     /*  911453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911463 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  911466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911484 */     GIR_RootConstrainSelectedInstOperands,
     /*  911485 */     // GIR_Coverage, 61801,
     /*  911485 */     GIR_EraseRootFromParent_Done,
     /*  911486 */   // Label 13853: @911486
     /*  911486 */   GIM_Try, /*On fail goto*//*Label 13854*/ GIMT_Encode4(911564), // Rule ID 61802 //
     /*  911491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  911494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  911499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  911502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  911505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  911508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911523 */     // MIs[0] rs2
     /*  911523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911526 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911531 */     // MIs[0] policy
     /*  911531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911541 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  911544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911562 */     GIR_RootConstrainSelectedInstOperands,
     /*  911563 */     // GIR_Coverage, 61802,
     /*  911563 */     GIR_EraseRootFromParent_Done,
     /*  911564 */   // Label 13854: @911564
     /*  911564 */   GIM_Try, /*On fail goto*//*Label 13855*/ GIMT_Encode4(911642), // Rule ID 61803 //
     /*  911569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  911572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  911577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  911580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  911583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  911586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911601 */     // MIs[0] rs2
     /*  911601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911604 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911609 */     // MIs[0] policy
     /*  911609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911619 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  911622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911640 */     GIR_RootConstrainSelectedInstOperands,
     /*  911641 */     // GIR_Coverage, 61803,
     /*  911641 */     GIR_EraseRootFromParent_Done,
     /*  911642 */   // Label 13855: @911642
     /*  911642 */   GIM_Try, /*On fail goto*//*Label 13856*/ GIMT_Encode4(911720), // Rule ID 61804 //
     /*  911647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  911650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  911655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  911658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  911661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  911664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911679 */     // MIs[0] rs2
     /*  911679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  911682 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  911687 */     // MIs[0] policy
     /*  911687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911697 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  911700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  911702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911718 */     GIR_RootConstrainSelectedInstOperands,
     /*  911719 */     // GIR_Coverage, 61804,
     /*  911719 */     GIR_EraseRootFromParent_Done,
     /*  911720 */   // Label 13856: @911720
     /*  911720 */   GIM_Try, /*On fail goto*//*Label 13857*/ GIMT_Encode4(911808), // Rule ID 23549 //
     /*  911725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  911728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  911733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  911736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  911739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  911742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  911745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  911764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  911768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  911772 */     // MIs[1] Operand 1
     /*  911772 */     // No operand predicates
     /*  911772 */     // MIs[0] policy
     /*  911772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  911777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911784 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  911787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  911796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911806 */     GIR_RootConstrainSelectedInstOperands,
     /*  911807 */     // GIR_Coverage, 23549,
     /*  911807 */     GIR_EraseRootFromParent_Done,
     /*  911808 */   // Label 13857: @911808
     /*  911808 */   GIM_Try, /*On fail goto*//*Label 13858*/ GIMT_Encode4(911896), // Rule ID 23550 //
     /*  911813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  911816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  911821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  911824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  911827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  911830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  911833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  911852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  911856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  911860 */     // MIs[1] Operand 1
     /*  911860 */     // No operand predicates
     /*  911860 */     // MIs[0] policy
     /*  911860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  911865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911872 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  911875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  911884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911894 */     GIR_RootConstrainSelectedInstOperands,
     /*  911895 */     // GIR_Coverage, 23550,
     /*  911895 */     GIR_EraseRootFromParent_Done,
     /*  911896 */   // Label 13858: @911896
     /*  911896 */   GIM_Try, /*On fail goto*//*Label 13859*/ GIMT_Encode4(911984), // Rule ID 23553 //
     /*  911901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  911904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  911909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  911912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  911915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  911918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  911921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  911940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  911944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  911948 */     // MIs[1] Operand 1
     /*  911948 */     // No operand predicates
     /*  911948 */     // MIs[0] policy
     /*  911948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  911953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911960 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  911963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  911972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911982 */     GIR_RootConstrainSelectedInstOperands,
     /*  911983 */     // GIR_Coverage, 23553,
     /*  911983 */     GIR_EraseRootFromParent_Done,
     /*  911984 */   // Label 13859: @911984
     /*  911984 */   GIM_Try, /*On fail goto*//*Label 13860*/ GIMT_Encode4(912072), // Rule ID 23554 //
     /*  911989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  911992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  911997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  912000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  912003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  912006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  912009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912036 */     // MIs[1] Operand 1
     /*  912036 */     // No operand predicates
     /*  912036 */     // MIs[0] policy
     /*  912036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912048 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  912051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912070 */     GIR_RootConstrainSelectedInstOperands,
     /*  912071 */     // GIR_Coverage, 23554,
     /*  912071 */     GIR_EraseRootFromParent_Done,
     /*  912072 */   // Label 13860: @912072
     /*  912072 */   GIM_Try, /*On fail goto*//*Label 13861*/ GIMT_Encode4(912160), // Rule ID 23557 //
     /*  912077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  912080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  912085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  912088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  912091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  912094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  912097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912124 */     // MIs[1] Operand 1
     /*  912124 */     // No operand predicates
     /*  912124 */     // MIs[0] policy
     /*  912124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912136 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  912139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912158 */     GIR_RootConstrainSelectedInstOperands,
     /*  912159 */     // GIR_Coverage, 23557,
     /*  912159 */     GIR_EraseRootFromParent_Done,
     /*  912160 */   // Label 13861: @912160
     /*  912160 */   GIM_Try, /*On fail goto*//*Label 13862*/ GIMT_Encode4(912248), // Rule ID 23558 //
     /*  912165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  912168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  912173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  912176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  912179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  912182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  912185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912212 */     // MIs[1] Operand 1
     /*  912212 */     // No operand predicates
     /*  912212 */     // MIs[0] policy
     /*  912212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912224 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  912227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912246 */     GIR_RootConstrainSelectedInstOperands,
     /*  912247 */     // GIR_Coverage, 23558,
     /*  912247 */     GIR_EraseRootFromParent_Done,
     /*  912248 */   // Label 13862: @912248
     /*  912248 */   GIM_Try, /*On fail goto*//*Label 13863*/ GIMT_Encode4(912336), // Rule ID 23561 //
     /*  912253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  912256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  912261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  912264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  912267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  912270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  912273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912300 */     // MIs[1] Operand 1
     /*  912300 */     // No operand predicates
     /*  912300 */     // MIs[0] policy
     /*  912300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912312 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  912315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912334 */     GIR_RootConstrainSelectedInstOperands,
     /*  912335 */     // GIR_Coverage, 23561,
     /*  912335 */     GIR_EraseRootFromParent_Done,
     /*  912336 */   // Label 13863: @912336
     /*  912336 */   GIM_Try, /*On fail goto*//*Label 13864*/ GIMT_Encode4(912424), // Rule ID 23562 //
     /*  912341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  912344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  912349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  912352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  912355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  912358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  912361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912388 */     // MIs[1] Operand 1
     /*  912388 */     // No operand predicates
     /*  912388 */     // MIs[0] policy
     /*  912388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912400 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  912403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912422 */     GIR_RootConstrainSelectedInstOperands,
     /*  912423 */     // GIR_Coverage, 23562,
     /*  912423 */     GIR_EraseRootFromParent_Done,
     /*  912424 */   // Label 13864: @912424
     /*  912424 */   GIM_Try, /*On fail goto*//*Label 13865*/ GIMT_Encode4(912512), // Rule ID 23565 //
     /*  912429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  912432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  912437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  912440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  912443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  912446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  912449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912476 */     // MIs[1] Operand 1
     /*  912476 */     // No operand predicates
     /*  912476 */     // MIs[0] policy
     /*  912476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912488 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  912491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912510 */     GIR_RootConstrainSelectedInstOperands,
     /*  912511 */     // GIR_Coverage, 23565,
     /*  912511 */     GIR_EraseRootFromParent_Done,
     /*  912512 */   // Label 13865: @912512
     /*  912512 */   GIM_Try, /*On fail goto*//*Label 13866*/ GIMT_Encode4(912600), // Rule ID 23566 //
     /*  912517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  912520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  912525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  912528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  912531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  912534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  912537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912564 */     // MIs[1] Operand 1
     /*  912564 */     // No operand predicates
     /*  912564 */     // MIs[0] policy
     /*  912564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912576 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  912579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912598 */     GIR_RootConstrainSelectedInstOperands,
     /*  912599 */     // GIR_Coverage, 23566,
     /*  912599 */     GIR_EraseRootFromParent_Done,
     /*  912600 */   // Label 13866: @912600
     /*  912600 */   GIM_Try, /*On fail goto*//*Label 13867*/ GIMT_Encode4(912688), // Rule ID 23569 //
     /*  912605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  912608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  912613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  912616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  912619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  912622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  912625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912652 */     // MIs[1] Operand 1
     /*  912652 */     // No operand predicates
     /*  912652 */     // MIs[0] policy
     /*  912652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912664 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  912667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912686 */     GIR_RootConstrainSelectedInstOperands,
     /*  912687 */     // GIR_Coverage, 23569,
     /*  912687 */     GIR_EraseRootFromParent_Done,
     /*  912688 */   // Label 13867: @912688
     /*  912688 */   GIM_Try, /*On fail goto*//*Label 13868*/ GIMT_Encode4(912776), // Rule ID 23570 //
     /*  912693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  912696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  912701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  912704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  912707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  912710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  912713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912740 */     // MIs[1] Operand 1
     /*  912740 */     // No operand predicates
     /*  912740 */     // MIs[0] policy
     /*  912740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912752 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  912755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912774 */     GIR_RootConstrainSelectedInstOperands,
     /*  912775 */     // GIR_Coverage, 23570,
     /*  912775 */     GIR_EraseRootFromParent_Done,
     /*  912776 */   // Label 13868: @912776
     /*  912776 */   GIM_Try, /*On fail goto*//*Label 13869*/ GIMT_Encode4(912864), // Rule ID 23573 //
     /*  912781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  912784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  912789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  912792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  912795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  912798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  912801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912828 */     // MIs[1] Operand 1
     /*  912828 */     // No operand predicates
     /*  912828 */     // MIs[0] policy
     /*  912828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912840 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  912843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912862 */     GIR_RootConstrainSelectedInstOperands,
     /*  912863 */     // GIR_Coverage, 23573,
     /*  912863 */     GIR_EraseRootFromParent_Done,
     /*  912864 */   // Label 13869: @912864
     /*  912864 */   GIM_Try, /*On fail goto*//*Label 13870*/ GIMT_Encode4(912952), // Rule ID 23574 //
     /*  912869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  912872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  912877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  912880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  912883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  912886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  912889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912916 */     // MIs[1] Operand 1
     /*  912916 */     // No operand predicates
     /*  912916 */     // MIs[0] policy
     /*  912916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912928 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  912931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912950 */     GIR_RootConstrainSelectedInstOperands,
     /*  912951 */     // GIR_Coverage, 23574,
     /*  912951 */     GIR_EraseRootFromParent_Done,
     /*  912952 */   // Label 13870: @912952
     /*  912952 */   GIM_Try, /*On fail goto*//*Label 13871*/ GIMT_Encode4(913040), // Rule ID 23577 //
     /*  912957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  912960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  912965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  912968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  912971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  912974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  912977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913004 */     // MIs[1] Operand 1
     /*  913004 */     // No operand predicates
     /*  913004 */     // MIs[0] policy
     /*  913004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  913019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913038 */     GIR_RootConstrainSelectedInstOperands,
     /*  913039 */     // GIR_Coverage, 23577,
     /*  913039 */     GIR_EraseRootFromParent_Done,
     /*  913040 */   // Label 13871: @913040
     /*  913040 */   GIM_Try, /*On fail goto*//*Label 13872*/ GIMT_Encode4(913128), // Rule ID 23578 //
     /*  913045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  913056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  913059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  913062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913092 */     // MIs[1] Operand 1
     /*  913092 */     // No operand predicates
     /*  913092 */     // MIs[0] policy
     /*  913092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913104 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  913107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913126 */     GIR_RootConstrainSelectedInstOperands,
     /*  913127 */     // GIR_Coverage, 23578,
     /*  913127 */     GIR_EraseRootFromParent_Done,
     /*  913128 */   // Label 13872: @913128
     /*  913128 */   GIM_Try, /*On fail goto*//*Label 13873*/ GIMT_Encode4(913216), // Rule ID 23581 //
     /*  913133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  913144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  913147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  913150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913180 */     // MIs[1] Operand 1
     /*  913180 */     // No operand predicates
     /*  913180 */     // MIs[0] policy
     /*  913180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913192 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  913195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913214 */     GIR_RootConstrainSelectedInstOperands,
     /*  913215 */     // GIR_Coverage, 23581,
     /*  913215 */     GIR_EraseRootFromParent_Done,
     /*  913216 */   // Label 13873: @913216
     /*  913216 */   GIM_Try, /*On fail goto*//*Label 13874*/ GIMT_Encode4(913304), // Rule ID 23582 //
     /*  913221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  913232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  913235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  913238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913268 */     // MIs[1] Operand 1
     /*  913268 */     // No operand predicates
     /*  913268 */     // MIs[0] policy
     /*  913268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913280 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  913283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913302 */     GIR_RootConstrainSelectedInstOperands,
     /*  913303 */     // GIR_Coverage, 23582,
     /*  913303 */     GIR_EraseRootFromParent_Done,
     /*  913304 */   // Label 13874: @913304
     /*  913304 */   GIM_Try, /*On fail goto*//*Label 13875*/ GIMT_Encode4(913392), // Rule ID 23585 //
     /*  913309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  913312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  913320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  913323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  913326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913356 */     // MIs[1] Operand 1
     /*  913356 */     // No operand predicates
     /*  913356 */     // MIs[0] policy
     /*  913356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913368 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  913371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  913388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913390 */     GIR_RootConstrainSelectedInstOperands,
     /*  913391 */     // GIR_Coverage, 23585,
     /*  913391 */     GIR_EraseRootFromParent_Done,
     /*  913392 */   // Label 13875: @913392
     /*  913392 */   GIM_Try, /*On fail goto*//*Label 13876*/ GIMT_Encode4(913480), // Rule ID 23586 //
     /*  913397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  913400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  913408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  913411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  913414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913444 */     // MIs[1] Operand 1
     /*  913444 */     // No operand predicates
     /*  913444 */     // MIs[0] policy
     /*  913444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913456 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  913459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  913476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913478 */     GIR_RootConstrainSelectedInstOperands,
     /*  913479 */     // GIR_Coverage, 23586,
     /*  913479 */     GIR_EraseRootFromParent_Done,
     /*  913480 */   // Label 13876: @913480
     /*  913480 */   GIM_Try, /*On fail goto*//*Label 13877*/ GIMT_Encode4(913568), // Rule ID 23589 //
     /*  913485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  913496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  913499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  913502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913532 */     // MIs[1] Operand 1
     /*  913532 */     // No operand predicates
     /*  913532 */     // MIs[0] policy
     /*  913532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913544 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  913547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913566 */     GIR_RootConstrainSelectedInstOperands,
     /*  913567 */     // GIR_Coverage, 23589,
     /*  913567 */     GIR_EraseRootFromParent_Done,
     /*  913568 */   // Label 13877: @913568
     /*  913568 */   GIM_Try, /*On fail goto*//*Label 13878*/ GIMT_Encode4(913656), // Rule ID 23590 //
     /*  913573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  913584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  913587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  913590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913620 */     // MIs[1] Operand 1
     /*  913620 */     // No operand predicates
     /*  913620 */     // MIs[0] policy
     /*  913620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913632 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  913635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913654 */     GIR_RootConstrainSelectedInstOperands,
     /*  913655 */     // GIR_Coverage, 23590,
     /*  913655 */     GIR_EraseRootFromParent_Done,
     /*  913656 */   // Label 13878: @913656
     /*  913656 */   GIM_Try, /*On fail goto*//*Label 13879*/ GIMT_Encode4(913744), // Rule ID 23593 //
     /*  913661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  913672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  913675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  913678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913708 */     // MIs[1] Operand 1
     /*  913708 */     // No operand predicates
     /*  913708 */     // MIs[0] policy
     /*  913708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913720 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  913723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913742 */     GIR_RootConstrainSelectedInstOperands,
     /*  913743 */     // GIR_Coverage, 23593,
     /*  913743 */     GIR_EraseRootFromParent_Done,
     /*  913744 */   // Label 13879: @913744
     /*  913744 */   GIM_Try, /*On fail goto*//*Label 13880*/ GIMT_Encode4(913832), // Rule ID 23594 //
     /*  913749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  913760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  913763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  913766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913796 */     // MIs[1] Operand 1
     /*  913796 */     // No operand predicates
     /*  913796 */     // MIs[0] policy
     /*  913796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913808 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  913811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913830 */     GIR_RootConstrainSelectedInstOperands,
     /*  913831 */     // GIR_Coverage, 23594,
     /*  913831 */     GIR_EraseRootFromParent_Done,
     /*  913832 */   // Label 13880: @913832
     /*  913832 */   GIM_Try, /*On fail goto*//*Label 13881*/ GIMT_Encode4(913920), // Rule ID 23597 //
     /*  913837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  913848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  913851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  913854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913884 */     // MIs[1] Operand 1
     /*  913884 */     // No operand predicates
     /*  913884 */     // MIs[0] policy
     /*  913884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913896 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  913899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913918 */     GIR_RootConstrainSelectedInstOperands,
     /*  913919 */     // GIR_Coverage, 23597,
     /*  913919 */     GIR_EraseRootFromParent_Done,
     /*  913920 */   // Label 13881: @913920
     /*  913920 */   GIM_Try, /*On fail goto*//*Label 13882*/ GIMT_Encode4(914008), // Rule ID 23598 //
     /*  913925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  913933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  913936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  913939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  913942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913972 */     // MIs[1] Operand 1
     /*  913972 */     // No operand predicates
     /*  913972 */     // MIs[0] policy
     /*  913972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913984 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  913987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914006 */     GIR_RootConstrainSelectedInstOperands,
     /*  914007 */     // GIR_Coverage, 23598,
     /*  914007 */     GIR_EraseRootFromParent_Done,
     /*  914008 */   // Label 13882: @914008
     /*  914008 */   GIM_Try, /*On fail goto*//*Label 13883*/ GIMT_Encode4(914096), // Rule ID 23601 //
     /*  914013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  914024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  914027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  914030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914060 */     // MIs[1] Operand 1
     /*  914060 */     // No operand predicates
     /*  914060 */     // MIs[0] policy
     /*  914060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914072 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  914075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914094 */     GIR_RootConstrainSelectedInstOperands,
     /*  914095 */     // GIR_Coverage, 23601,
     /*  914095 */     GIR_EraseRootFromParent_Done,
     /*  914096 */   // Label 13883: @914096
     /*  914096 */   GIM_Try, /*On fail goto*//*Label 13884*/ GIMT_Encode4(914184), // Rule ID 23602 //
     /*  914101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  914112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  914115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  914118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914148 */     // MIs[1] Operand 1
     /*  914148 */     // No operand predicates
     /*  914148 */     // MIs[0] policy
     /*  914148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914160 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  914163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914182 */     GIR_RootConstrainSelectedInstOperands,
     /*  914183 */     // GIR_Coverage, 23602,
     /*  914183 */     GIR_EraseRootFromParent_Done,
     /*  914184 */   // Label 13884: @914184
     /*  914184 */   GIM_Try, /*On fail goto*//*Label 13885*/ GIMT_Encode4(914272), // Rule ID 23605 //
     /*  914189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  914200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  914203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  914206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914236 */     // MIs[1] Operand 1
     /*  914236 */     // No operand predicates
     /*  914236 */     // MIs[0] policy
     /*  914236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914248 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  914251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914270 */     GIR_RootConstrainSelectedInstOperands,
     /*  914271 */     // GIR_Coverage, 23605,
     /*  914271 */     GIR_EraseRootFromParent_Done,
     /*  914272 */   // Label 13885: @914272
     /*  914272 */   GIM_Try, /*On fail goto*//*Label 13886*/ GIMT_Encode4(914360), // Rule ID 23606 //
     /*  914277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  914288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  914291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  914294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914324 */     // MIs[1] Operand 1
     /*  914324 */     // No operand predicates
     /*  914324 */     // MIs[0] policy
     /*  914324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914336 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  914339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914358 */     GIR_RootConstrainSelectedInstOperands,
     /*  914359 */     // GIR_Coverage, 23606,
     /*  914359 */     GIR_EraseRootFromParent_Done,
     /*  914360 */   // Label 13886: @914360
     /*  914360 */   GIM_Try, /*On fail goto*//*Label 13887*/ GIMT_Encode4(914448), // Rule ID 23609 //
     /*  914365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  914376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  914379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  914382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914412 */     // MIs[1] Operand 1
     /*  914412 */     // No operand predicates
     /*  914412 */     // MIs[0] policy
     /*  914412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914424 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  914427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914446 */     GIR_RootConstrainSelectedInstOperands,
     /*  914447 */     // GIR_Coverage, 23609,
     /*  914447 */     GIR_EraseRootFromParent_Done,
     /*  914448 */   // Label 13887: @914448
     /*  914448 */   GIM_Try, /*On fail goto*//*Label 13888*/ GIMT_Encode4(914536), // Rule ID 23610 //
     /*  914453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  914464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  914467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  914470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914500 */     // MIs[1] Operand 1
     /*  914500 */     // No operand predicates
     /*  914500 */     // MIs[0] policy
     /*  914500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914512 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  914515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914534 */     GIR_RootConstrainSelectedInstOperands,
     /*  914535 */     // GIR_Coverage, 23610,
     /*  914535 */     GIR_EraseRootFromParent_Done,
     /*  914536 */   // Label 13888: @914536
     /*  914536 */   GIM_Try, /*On fail goto*//*Label 13889*/ GIMT_Encode4(914624), // Rule ID 23613 //
     /*  914541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  914552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  914555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  914558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914588 */     // MIs[1] Operand 1
     /*  914588 */     // No operand predicates
     /*  914588 */     // MIs[0] policy
     /*  914588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914600 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  914603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914622 */     GIR_RootConstrainSelectedInstOperands,
     /*  914623 */     // GIR_Coverage, 23613,
     /*  914623 */     GIR_EraseRootFromParent_Done,
     /*  914624 */   // Label 13889: @914624
     /*  914624 */   GIM_Try, /*On fail goto*//*Label 13890*/ GIMT_Encode4(914712), // Rule ID 23614 //
     /*  914629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  914640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  914643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  914646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914676 */     // MIs[1] Operand 1
     /*  914676 */     // No operand predicates
     /*  914676 */     // MIs[0] policy
     /*  914676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914688 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  914691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914710 */     GIR_RootConstrainSelectedInstOperands,
     /*  914711 */     // GIR_Coverage, 23614,
     /*  914711 */     GIR_EraseRootFromParent_Done,
     /*  914712 */   // Label 13890: @914712
     /*  914712 */   GIM_Try, /*On fail goto*//*Label 13891*/ GIMT_Encode4(914800), // Rule ID 23617 //
     /*  914717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  914728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  914731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  914734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914764 */     // MIs[1] Operand 1
     /*  914764 */     // No operand predicates
     /*  914764 */     // MIs[0] policy
     /*  914764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914776 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  914779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914798 */     GIR_RootConstrainSelectedInstOperands,
     /*  914799 */     // GIR_Coverage, 23617,
     /*  914799 */     GIR_EraseRootFromParent_Done,
     /*  914800 */   // Label 13891: @914800
     /*  914800 */   GIM_Try, /*On fail goto*//*Label 13892*/ GIMT_Encode4(914888), // Rule ID 23618 //
     /*  914805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  914816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  914819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  914822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914852 */     // MIs[1] Operand 1
     /*  914852 */     // No operand predicates
     /*  914852 */     // MIs[0] policy
     /*  914852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914864 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  914867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914886 */     GIR_RootConstrainSelectedInstOperands,
     /*  914887 */     // GIR_Coverage, 23618,
     /*  914887 */     GIR_EraseRootFromParent_Done,
     /*  914888 */   // Label 13892: @914888
     /*  914888 */   GIM_Try, /*On fail goto*//*Label 13893*/ GIMT_Encode4(914976), // Rule ID 23621 //
     /*  914893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  914904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  914907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  914910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914940 */     // MIs[1] Operand 1
     /*  914940 */     // No operand predicates
     /*  914940 */     // MIs[0] policy
     /*  914940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914952 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  914955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914974 */     GIR_RootConstrainSelectedInstOperands,
     /*  914975 */     // GIR_Coverage, 23621,
     /*  914975 */     GIR_EraseRootFromParent_Done,
     /*  914976 */   // Label 13893: @914976
     /*  914976 */   GIM_Try, /*On fail goto*//*Label 13894*/ GIMT_Encode4(915064), // Rule ID 23622 //
     /*  914981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  914992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  914995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  914998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915028 */     // MIs[1] Operand 1
     /*  915028 */     // No operand predicates
     /*  915028 */     // MIs[0] policy
     /*  915028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915040 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  915043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915062 */     GIR_RootConstrainSelectedInstOperands,
     /*  915063 */     // GIR_Coverage, 23622,
     /*  915063 */     GIR_EraseRootFromParent_Done,
     /*  915064 */   // Label 13894: @915064
     /*  915064 */   GIM_Try, /*On fail goto*//*Label 13895*/ GIMT_Encode4(915152), // Rule ID 23625 //
     /*  915069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  915072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  915080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  915083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  915086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915116 */     // MIs[1] Operand 1
     /*  915116 */     // No operand predicates
     /*  915116 */     // MIs[0] policy
     /*  915116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915128 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915150 */     GIR_RootConstrainSelectedInstOperands,
     /*  915151 */     // GIR_Coverage, 23625,
     /*  915151 */     GIR_EraseRootFromParent_Done,
     /*  915152 */   // Label 13895: @915152
     /*  915152 */   GIM_Try, /*On fail goto*//*Label 13896*/ GIMT_Encode4(915240), // Rule ID 23626 //
     /*  915157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  915160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  915168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  915171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  915174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915204 */     // MIs[1] Operand 1
     /*  915204 */     // No operand predicates
     /*  915204 */     // MIs[0] policy
     /*  915204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915216 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915238 */     GIR_RootConstrainSelectedInstOperands,
     /*  915239 */     // GIR_Coverage, 23626,
     /*  915239 */     GIR_EraseRootFromParent_Done,
     /*  915240 */   // Label 13896: @915240
     /*  915240 */   GIM_Try, /*On fail goto*//*Label 13897*/ GIMT_Encode4(915328), // Rule ID 23629 //
     /*  915245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  915248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  915256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  915259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  915262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915292 */     // MIs[1] Operand 1
     /*  915292 */     // No operand predicates
     /*  915292 */     // MIs[0] policy
     /*  915292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915304 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  915307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915326 */     GIR_RootConstrainSelectedInstOperands,
     /*  915327 */     // GIR_Coverage, 23629,
     /*  915327 */     GIR_EraseRootFromParent_Done,
     /*  915328 */   // Label 13897: @915328
     /*  915328 */   GIM_Try, /*On fail goto*//*Label 13898*/ GIMT_Encode4(915416), // Rule ID 23630 //
     /*  915333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  915336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  915344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  915347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  915350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915380 */     // MIs[1] Operand 1
     /*  915380 */     // No operand predicates
     /*  915380 */     // MIs[0] policy
     /*  915380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915392 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  915395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915414 */     GIR_RootConstrainSelectedInstOperands,
     /*  915415 */     // GIR_Coverage, 23630,
     /*  915415 */     GIR_EraseRootFromParent_Done,
     /*  915416 */   // Label 13898: @915416
     /*  915416 */   GIM_Try, /*On fail goto*//*Label 13899*/ GIMT_Encode4(915504), // Rule ID 23633 //
     /*  915421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  915424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  915432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  915435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  915438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915468 */     // MIs[1] Operand 1
     /*  915468 */     // No operand predicates
     /*  915468 */     // MIs[0] policy
     /*  915468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915480 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  915483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915502 */     GIR_RootConstrainSelectedInstOperands,
     /*  915503 */     // GIR_Coverage, 23633,
     /*  915503 */     GIR_EraseRootFromParent_Done,
     /*  915504 */   // Label 13899: @915504
     /*  915504 */   GIM_Try, /*On fail goto*//*Label 13900*/ GIMT_Encode4(915592), // Rule ID 23634 //
     /*  915509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  915512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  915520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  915523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  915526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915556 */     // MIs[1] Operand 1
     /*  915556 */     // No operand predicates
     /*  915556 */     // MIs[0] policy
     /*  915556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915568 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  915571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915590 */     GIR_RootConstrainSelectedInstOperands,
     /*  915591 */     // GIR_Coverage, 23634,
     /*  915591 */     GIR_EraseRootFromParent_Done,
     /*  915592 */   // Label 13900: @915592
     /*  915592 */   GIM_Try, /*On fail goto*//*Label 13901*/ GIMT_Encode4(915680), // Rule ID 23725 //
     /*  915597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  915605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  915608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  915611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  915614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915644 */     // MIs[1] Operand 1
     /*  915644 */     // No operand predicates
     /*  915644 */     // MIs[0] policy
     /*  915644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915656 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  915659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915678 */     GIR_RootConstrainSelectedInstOperands,
     /*  915679 */     // GIR_Coverage, 23725,
     /*  915679 */     GIR_EraseRootFromParent_Done,
     /*  915680 */   // Label 13901: @915680
     /*  915680 */   GIM_Try, /*On fail goto*//*Label 13902*/ GIMT_Encode4(915768), // Rule ID 23726 //
     /*  915685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  915693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  915696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  915699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  915702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915732 */     // MIs[1] Operand 1
     /*  915732 */     // No operand predicates
     /*  915732 */     // MIs[0] policy
     /*  915732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915744 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  915747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915766 */     GIR_RootConstrainSelectedInstOperands,
     /*  915767 */     // GIR_Coverage, 23726,
     /*  915767 */     GIR_EraseRootFromParent_Done,
     /*  915768 */   // Label 13902: @915768
     /*  915768 */   GIM_Try, /*On fail goto*//*Label 13903*/ GIMT_Encode4(915856), // Rule ID 23729 //
     /*  915773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  915781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  915784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  915787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  915790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915820 */     // MIs[1] Operand 1
     /*  915820 */     // No operand predicates
     /*  915820 */     // MIs[0] policy
     /*  915820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915832 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  915835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915854 */     GIR_RootConstrainSelectedInstOperands,
     /*  915855 */     // GIR_Coverage, 23729,
     /*  915855 */     GIR_EraseRootFromParent_Done,
     /*  915856 */   // Label 13903: @915856
     /*  915856 */   GIM_Try, /*On fail goto*//*Label 13904*/ GIMT_Encode4(915944), // Rule ID 23730 //
     /*  915861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  915869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  915872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  915875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  915878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915908 */     // MIs[1] Operand 1
     /*  915908 */     // No operand predicates
     /*  915908 */     // MIs[0] policy
     /*  915908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915920 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  915923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915942 */     GIR_RootConstrainSelectedInstOperands,
     /*  915943 */     // GIR_Coverage, 23730,
     /*  915943 */     GIR_EraseRootFromParent_Done,
     /*  915944 */   // Label 13904: @915944
     /*  915944 */   GIM_Try, /*On fail goto*//*Label 13905*/ GIMT_Encode4(916032), // Rule ID 23733 //
     /*  915949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  915957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  915960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  915963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  915966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915996 */     // MIs[1] Operand 1
     /*  915996 */     // No operand predicates
     /*  915996 */     // MIs[0] policy
     /*  915996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916008 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  916011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  916028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916030 */     GIR_RootConstrainSelectedInstOperands,
     /*  916031 */     // GIR_Coverage, 23733,
     /*  916031 */     GIR_EraseRootFromParent_Done,
     /*  916032 */   // Label 13905: @916032
     /*  916032 */   GIM_Try, /*On fail goto*//*Label 13906*/ GIMT_Encode4(916120), // Rule ID 23734 //
     /*  916037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  916045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  916048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  916051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  916054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916084 */     // MIs[1] Operand 1
     /*  916084 */     // No operand predicates
     /*  916084 */     // MIs[0] policy
     /*  916084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916096 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  916099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  916116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916118 */     GIR_RootConstrainSelectedInstOperands,
     /*  916119 */     // GIR_Coverage, 23734,
     /*  916119 */     GIR_EraseRootFromParent_Done,
     /*  916120 */   // Label 13906: @916120
     /*  916120 */   GIM_Try, /*On fail goto*//*Label 13907*/ GIMT_Encode4(916208), // Rule ID 23737 //
     /*  916125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  916133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  916136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  916139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  916142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916172 */     // MIs[1] Operand 1
     /*  916172 */     // No operand predicates
     /*  916172 */     // MIs[0] policy
     /*  916172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916184 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  916187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916206 */     GIR_RootConstrainSelectedInstOperands,
     /*  916207 */     // GIR_Coverage, 23737,
     /*  916207 */     GIR_EraseRootFromParent_Done,
     /*  916208 */   // Label 13907: @916208
     /*  916208 */   GIM_Try, /*On fail goto*//*Label 13908*/ GIMT_Encode4(916296), // Rule ID 23738 //
     /*  916213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  916221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  916224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  916227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  916230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916260 */     // MIs[1] Operand 1
     /*  916260 */     // No operand predicates
     /*  916260 */     // MIs[0] policy
     /*  916260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916272 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  916275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916294 */     GIR_RootConstrainSelectedInstOperands,
     /*  916295 */     // GIR_Coverage, 23738,
     /*  916295 */     GIR_EraseRootFromParent_Done,
     /*  916296 */   // Label 13908: @916296
     /*  916296 */   GIM_Try, /*On fail goto*//*Label 13909*/ GIMT_Encode4(916384), // Rule ID 23741 //
     /*  916301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  916309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  916312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  916315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  916318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916348 */     // MIs[1] Operand 1
     /*  916348 */     // No operand predicates
     /*  916348 */     // MIs[0] policy
     /*  916348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916360 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  916363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916382 */     GIR_RootConstrainSelectedInstOperands,
     /*  916383 */     // GIR_Coverage, 23741,
     /*  916383 */     GIR_EraseRootFromParent_Done,
     /*  916384 */   // Label 13909: @916384
     /*  916384 */   GIM_Try, /*On fail goto*//*Label 13910*/ GIMT_Encode4(916472), // Rule ID 23742 //
     /*  916389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  916397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  916400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  916403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  916406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916436 */     // MIs[1] Operand 1
     /*  916436 */     // No operand predicates
     /*  916436 */     // MIs[0] policy
     /*  916436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916448 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  916451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916470 */     GIR_RootConstrainSelectedInstOperands,
     /*  916471 */     // GIR_Coverage, 23742,
     /*  916471 */     GIR_EraseRootFromParent_Done,
     /*  916472 */   // Label 13910: @916472
     /*  916472 */   GIM_Try, /*On fail goto*//*Label 13911*/ GIMT_Encode4(916560), // Rule ID 23745 //
     /*  916477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  916485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  916488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  916491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  916494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916524 */     // MIs[1] Operand 1
     /*  916524 */     // No operand predicates
     /*  916524 */     // MIs[0] policy
     /*  916524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916536 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  916539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916558 */     GIR_RootConstrainSelectedInstOperands,
     /*  916559 */     // GIR_Coverage, 23745,
     /*  916559 */     GIR_EraseRootFromParent_Done,
     /*  916560 */   // Label 13911: @916560
     /*  916560 */   GIM_Try, /*On fail goto*//*Label 13912*/ GIMT_Encode4(916648), // Rule ID 23746 //
     /*  916565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  916573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  916576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  916579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  916582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916612 */     // MIs[1] Operand 1
     /*  916612 */     // No operand predicates
     /*  916612 */     // MIs[0] policy
     /*  916612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916624 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  916627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916646 */     GIR_RootConstrainSelectedInstOperands,
     /*  916647 */     // GIR_Coverage, 23746,
     /*  916647 */     GIR_EraseRootFromParent_Done,
     /*  916648 */   // Label 13912: @916648
     /*  916648 */   GIM_Try, /*On fail goto*//*Label 13913*/ GIMT_Encode4(916736), // Rule ID 23749 //
     /*  916653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  916661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  916664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  916667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  916670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916700 */     // MIs[1] Operand 1
     /*  916700 */     // No operand predicates
     /*  916700 */     // MIs[0] policy
     /*  916700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916712 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  916715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  916732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916734 */     GIR_RootConstrainSelectedInstOperands,
     /*  916735 */     // GIR_Coverage, 23749,
     /*  916735 */     GIR_EraseRootFromParent_Done,
     /*  916736 */   // Label 13913: @916736
     /*  916736 */   GIM_Try, /*On fail goto*//*Label 13914*/ GIMT_Encode4(916824), // Rule ID 23750 //
     /*  916741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  916749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  916752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  916755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  916758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916788 */     // MIs[1] Operand 1
     /*  916788 */     // No operand predicates
     /*  916788 */     // MIs[0] policy
     /*  916788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916800 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  916803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  916820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916822 */     GIR_RootConstrainSelectedInstOperands,
     /*  916823 */     // GIR_Coverage, 23750,
     /*  916823 */     GIR_EraseRootFromParent_Done,
     /*  916824 */   // Label 13914: @916824
     /*  916824 */   GIM_Try, /*On fail goto*//*Label 13915*/ GIMT_Encode4(916912), // Rule ID 23753 //
     /*  916829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  916837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  916840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  916843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  916846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916876 */     // MIs[1] Operand 1
     /*  916876 */     // No operand predicates
     /*  916876 */     // MIs[0] policy
     /*  916876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916888 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  916891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916910 */     GIR_RootConstrainSelectedInstOperands,
     /*  916911 */     // GIR_Coverage, 23753,
     /*  916911 */     GIR_EraseRootFromParent_Done,
     /*  916912 */   // Label 13915: @916912
     /*  916912 */   GIM_Try, /*On fail goto*//*Label 13916*/ GIMT_Encode4(917000), // Rule ID 23754 //
     /*  916917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  916925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  916928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  916931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  916934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916964 */     // MIs[1] Operand 1
     /*  916964 */     // No operand predicates
     /*  916964 */     // MIs[0] policy
     /*  916964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916976 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  916979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916998 */     GIR_RootConstrainSelectedInstOperands,
     /*  916999 */     // GIR_Coverage, 23754,
     /*  916999 */     GIR_EraseRootFromParent_Done,
     /*  917000 */   // Label 13916: @917000
     /*  917000 */   GIM_Try, /*On fail goto*//*Label 13917*/ GIMT_Encode4(917088), // Rule ID 23757 //
     /*  917005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  917016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  917019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  917022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917052 */     // MIs[1] Operand 1
     /*  917052 */     // No operand predicates
     /*  917052 */     // MIs[0] policy
     /*  917052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917064 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  917067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917086 */     GIR_RootConstrainSelectedInstOperands,
     /*  917087 */     // GIR_Coverage, 23757,
     /*  917087 */     GIR_EraseRootFromParent_Done,
     /*  917088 */   // Label 13917: @917088
     /*  917088 */   GIM_Try, /*On fail goto*//*Label 13918*/ GIMT_Encode4(917176), // Rule ID 23758 //
     /*  917093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  917104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  917107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  917110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917140 */     // MIs[1] Operand 1
     /*  917140 */     // No operand predicates
     /*  917140 */     // MIs[0] policy
     /*  917140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917152 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  917155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917174 */     GIR_RootConstrainSelectedInstOperands,
     /*  917175 */     // GIR_Coverage, 23758,
     /*  917175 */     GIR_EraseRootFromParent_Done,
     /*  917176 */   // Label 13918: @917176
     /*  917176 */   GIM_Try, /*On fail goto*//*Label 13919*/ GIMT_Encode4(917264), // Rule ID 23761 //
     /*  917181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  917184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  917192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  917195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  917198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917228 */     // MIs[1] Operand 1
     /*  917228 */     // No operand predicates
     /*  917228 */     // MIs[0] policy
     /*  917228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917240 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  917243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917262 */     GIR_RootConstrainSelectedInstOperands,
     /*  917263 */     // GIR_Coverage, 23761,
     /*  917263 */     GIR_EraseRootFromParent_Done,
     /*  917264 */   // Label 13919: @917264
     /*  917264 */   GIM_Try, /*On fail goto*//*Label 13920*/ GIMT_Encode4(917352), // Rule ID 23762 //
     /*  917269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  917272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  917280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  917283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  917286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917316 */     // MIs[1] Operand 1
     /*  917316 */     // No operand predicates
     /*  917316 */     // MIs[0] policy
     /*  917316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  917331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917350 */     GIR_RootConstrainSelectedInstOperands,
     /*  917351 */     // GIR_Coverage, 23762,
     /*  917351 */     GIR_EraseRootFromParent_Done,
     /*  917352 */   // Label 13920: @917352
     /*  917352 */   GIM_Try, /*On fail goto*//*Label 13921*/ GIMT_Encode4(917440), // Rule ID 23765 //
     /*  917357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  917368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  917371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  917374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917404 */     // MIs[1] Operand 1
     /*  917404 */     // No operand predicates
     /*  917404 */     // MIs[0] policy
     /*  917404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917416 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  917419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917438 */     GIR_RootConstrainSelectedInstOperands,
     /*  917439 */     // GIR_Coverage, 23765,
     /*  917439 */     GIR_EraseRootFromParent_Done,
     /*  917440 */   // Label 13921: @917440
     /*  917440 */   GIM_Try, /*On fail goto*//*Label 13922*/ GIMT_Encode4(917528), // Rule ID 23766 //
     /*  917445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  917456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  917459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  917462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917492 */     // MIs[1] Operand 1
     /*  917492 */     // No operand predicates
     /*  917492 */     // MIs[0] policy
     /*  917492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917504 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  917507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917526 */     GIR_RootConstrainSelectedInstOperands,
     /*  917527 */     // GIR_Coverage, 23766,
     /*  917527 */     GIR_EraseRootFromParent_Done,
     /*  917528 */   // Label 13922: @917528
     /*  917528 */   GIM_Try, /*On fail goto*//*Label 13923*/ GIMT_Encode4(917616), // Rule ID 23769 //
     /*  917533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  917544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  917547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  917550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917580 */     // MIs[1] Operand 1
     /*  917580 */     // No operand predicates
     /*  917580 */     // MIs[0] policy
     /*  917580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917592 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  917595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917614 */     GIR_RootConstrainSelectedInstOperands,
     /*  917615 */     // GIR_Coverage, 23769,
     /*  917615 */     GIR_EraseRootFromParent_Done,
     /*  917616 */   // Label 13923: @917616
     /*  917616 */   GIM_Try, /*On fail goto*//*Label 13924*/ GIMT_Encode4(917704), // Rule ID 23770 //
     /*  917621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  917632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  917635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  917638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917668 */     // MIs[1] Operand 1
     /*  917668 */     // No operand predicates
     /*  917668 */     // MIs[0] policy
     /*  917668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917680 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  917683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917702 */     GIR_RootConstrainSelectedInstOperands,
     /*  917703 */     // GIR_Coverage, 23770,
     /*  917703 */     GIR_EraseRootFromParent_Done,
     /*  917704 */   // Label 13924: @917704
     /*  917704 */   GIM_Try, /*On fail goto*//*Label 13925*/ GIMT_Encode4(917792), // Rule ID 23773 //
     /*  917709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  917720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  917723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  917726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917756 */     // MIs[1] Operand 1
     /*  917756 */     // No operand predicates
     /*  917756 */     // MIs[0] policy
     /*  917756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917768 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  917771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917790 */     GIR_RootConstrainSelectedInstOperands,
     /*  917791 */     // GIR_Coverage, 23773,
     /*  917791 */     GIR_EraseRootFromParent_Done,
     /*  917792 */   // Label 13925: @917792
     /*  917792 */   GIM_Try, /*On fail goto*//*Label 13926*/ GIMT_Encode4(917880), // Rule ID 23774 //
     /*  917797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  917808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  917811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  917814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917844 */     // MIs[1] Operand 1
     /*  917844 */     // No operand predicates
     /*  917844 */     // MIs[0] policy
     /*  917844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917856 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  917859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  917876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917878 */     GIR_RootConstrainSelectedInstOperands,
     /*  917879 */     // GIR_Coverage, 23774,
     /*  917879 */     GIR_EraseRootFromParent_Done,
     /*  917880 */   // Label 13926: @917880
     /*  917880 */   GIM_Try, /*On fail goto*//*Label 13927*/ GIMT_Encode4(917968), // Rule ID 23777 //
     /*  917885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  917896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  917899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  917902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917932 */     // MIs[1] Operand 1
     /*  917932 */     // No operand predicates
     /*  917932 */     // MIs[0] policy
     /*  917932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917944 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  917947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  917964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917966 */     GIR_RootConstrainSelectedInstOperands,
     /*  917967 */     // GIR_Coverage, 23777,
     /*  917967 */     GIR_EraseRootFromParent_Done,
     /*  917968 */   // Label 13927: @917968
     /*  917968 */   GIM_Try, /*On fail goto*//*Label 13928*/ GIMT_Encode4(918056), // Rule ID 23778 //
     /*  917973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  917984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  917987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  917990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918020 */     // MIs[1] Operand 1
     /*  918020 */     // No operand predicates
     /*  918020 */     // MIs[0] policy
     /*  918020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918032 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  918035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918054 */     GIR_RootConstrainSelectedInstOperands,
     /*  918055 */     // GIR_Coverage, 23778,
     /*  918055 */     GIR_EraseRootFromParent_Done,
     /*  918056 */   // Label 13928: @918056
     /*  918056 */   GIM_Try, /*On fail goto*//*Label 13929*/ GIMT_Encode4(918144), // Rule ID 23781 //
     /*  918061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  918072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  918075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  918078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918108 */     // MIs[1] Operand 1
     /*  918108 */     // No operand predicates
     /*  918108 */     // MIs[0] policy
     /*  918108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918120 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  918123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918142 */     GIR_RootConstrainSelectedInstOperands,
     /*  918143 */     // GIR_Coverage, 23781,
     /*  918143 */     GIR_EraseRootFromParent_Done,
     /*  918144 */   // Label 13929: @918144
     /*  918144 */   GIM_Try, /*On fail goto*//*Label 13930*/ GIMT_Encode4(918232), // Rule ID 23782 //
     /*  918149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  918160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  918163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  918166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918196 */     // MIs[1] Operand 1
     /*  918196 */     // No operand predicates
     /*  918196 */     // MIs[0] policy
     /*  918196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918208 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  918211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918230 */     GIR_RootConstrainSelectedInstOperands,
     /*  918231 */     // GIR_Coverage, 23782,
     /*  918231 */     GIR_EraseRootFromParent_Done,
     /*  918232 */   // Label 13930: @918232
     /*  918232 */   GIM_Try, /*On fail goto*//*Label 13931*/ GIMT_Encode4(918320), // Rule ID 23785 //
     /*  918237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  918248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  918251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  918254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918284 */     // MIs[1] Operand 1
     /*  918284 */     // No operand predicates
     /*  918284 */     // MIs[0] policy
     /*  918284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918296 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  918299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918318 */     GIR_RootConstrainSelectedInstOperands,
     /*  918319 */     // GIR_Coverage, 23785,
     /*  918319 */     GIR_EraseRootFromParent_Done,
     /*  918320 */   // Label 13931: @918320
     /*  918320 */   GIM_Try, /*On fail goto*//*Label 13932*/ GIMT_Encode4(918408), // Rule ID 23786 //
     /*  918325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  918336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  918339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  918342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918372 */     // MIs[1] Operand 1
     /*  918372 */     // No operand predicates
     /*  918372 */     // MIs[0] policy
     /*  918372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918384 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  918387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918406 */     GIR_RootConstrainSelectedInstOperands,
     /*  918407 */     // GIR_Coverage, 23786,
     /*  918407 */     GIR_EraseRootFromParent_Done,
     /*  918408 */   // Label 13932: @918408
     /*  918408 */   GIM_Try, /*On fail goto*//*Label 13933*/ GIMT_Encode4(918496), // Rule ID 23789 //
     /*  918413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  918424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  918427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  918430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918460 */     // MIs[1] Operand 1
     /*  918460 */     // No operand predicates
     /*  918460 */     // MIs[0] policy
     /*  918460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918472 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  918475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918494 */     GIR_RootConstrainSelectedInstOperands,
     /*  918495 */     // GIR_Coverage, 23789,
     /*  918495 */     GIR_EraseRootFromParent_Done,
     /*  918496 */   // Label 13933: @918496
     /*  918496 */   GIM_Try, /*On fail goto*//*Label 13934*/ GIMT_Encode4(918584), // Rule ID 23790 //
     /*  918501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  918512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  918515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  918518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918548 */     // MIs[1] Operand 1
     /*  918548 */     // No operand predicates
     /*  918548 */     // MIs[0] policy
     /*  918548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918560 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  918563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918582 */     GIR_RootConstrainSelectedInstOperands,
     /*  918583 */     // GIR_Coverage, 23790,
     /*  918583 */     GIR_EraseRootFromParent_Done,
     /*  918584 */   // Label 13934: @918584
     /*  918584 */   GIM_Try, /*On fail goto*//*Label 13935*/ GIMT_Encode4(918672), // Rule ID 23793 //
     /*  918589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  918600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  918603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  918606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918636 */     // MIs[1] Operand 1
     /*  918636 */     // No operand predicates
     /*  918636 */     // MIs[0] policy
     /*  918636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918648 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  918651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918670 */     GIR_RootConstrainSelectedInstOperands,
     /*  918671 */     // GIR_Coverage, 23793,
     /*  918671 */     GIR_EraseRootFromParent_Done,
     /*  918672 */   // Label 13935: @918672
     /*  918672 */   GIM_Try, /*On fail goto*//*Label 13936*/ GIMT_Encode4(918760), // Rule ID 23794 //
     /*  918677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  918688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  918691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  918694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918724 */     // MIs[1] Operand 1
     /*  918724 */     // No operand predicates
     /*  918724 */     // MIs[0] policy
     /*  918724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918736 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  918739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918758 */     GIR_RootConstrainSelectedInstOperands,
     /*  918759 */     // GIR_Coverage, 23794,
     /*  918759 */     GIR_EraseRootFromParent_Done,
     /*  918760 */   // Label 13936: @918760
     /*  918760 */   GIM_Try, /*On fail goto*//*Label 13937*/ GIMT_Encode4(918848), // Rule ID 23797 //
     /*  918765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  918776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  918779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  918782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918812 */     // MIs[1] Operand 1
     /*  918812 */     // No operand predicates
     /*  918812 */     // MIs[0] policy
     /*  918812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918824 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  918827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918846 */     GIR_RootConstrainSelectedInstOperands,
     /*  918847 */     // GIR_Coverage, 23797,
     /*  918847 */     GIR_EraseRootFromParent_Done,
     /*  918848 */   // Label 13937: @918848
     /*  918848 */   GIM_Try, /*On fail goto*//*Label 13938*/ GIMT_Encode4(918936), // Rule ID 23798 //
     /*  918853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  918864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  918867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  918870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918900 */     // MIs[1] Operand 1
     /*  918900 */     // No operand predicates
     /*  918900 */     // MIs[0] policy
     /*  918900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918912 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  918915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918934 */     GIR_RootConstrainSelectedInstOperands,
     /*  918935 */     // GIR_Coverage, 23798,
     /*  918935 */     GIR_EraseRootFromParent_Done,
     /*  918936 */   // Label 13938: @918936
     /*  918936 */   GIM_Try, /*On fail goto*//*Label 13939*/ GIMT_Encode4(919024), // Rule ID 23801 //
     /*  918941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  918944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  918952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  918955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  918958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918988 */     // MIs[1] Operand 1
     /*  918988 */     // No operand predicates
     /*  918988 */     // MIs[0] policy
     /*  918988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919000 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919022 */     GIR_RootConstrainSelectedInstOperands,
     /*  919023 */     // GIR_Coverage, 23801,
     /*  919023 */     GIR_EraseRootFromParent_Done,
     /*  919024 */   // Label 13939: @919024
     /*  919024 */   GIM_Try, /*On fail goto*//*Label 13940*/ GIMT_Encode4(919112), // Rule ID 23802 //
     /*  919029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  919032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  919040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  919043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  919046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919076 */     // MIs[1] Operand 1
     /*  919076 */     // No operand predicates
     /*  919076 */     // MIs[0] policy
     /*  919076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919088 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919110 */     GIR_RootConstrainSelectedInstOperands,
     /*  919111 */     // GIR_Coverage, 23802,
     /*  919111 */     GIR_EraseRootFromParent_Done,
     /*  919112 */   // Label 13940: @919112
     /*  919112 */   GIM_Try, /*On fail goto*//*Label 13941*/ GIMT_Encode4(919200), // Rule ID 23805 //
     /*  919117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  919120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  919128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  919131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  919134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919164 */     // MIs[1] Operand 1
     /*  919164 */     // No operand predicates
     /*  919164 */     // MIs[0] policy
     /*  919164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919176 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919198 */     GIR_RootConstrainSelectedInstOperands,
     /*  919199 */     // GIR_Coverage, 23805,
     /*  919199 */     GIR_EraseRootFromParent_Done,
     /*  919200 */   // Label 13941: @919200
     /*  919200 */   GIM_Try, /*On fail goto*//*Label 13942*/ GIMT_Encode4(919288), // Rule ID 23806 //
     /*  919205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  919208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  919216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  919219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  919222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919252 */     // MIs[1] Operand 1
     /*  919252 */     // No operand predicates
     /*  919252 */     // MIs[0] policy
     /*  919252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919264 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919286 */     GIR_RootConstrainSelectedInstOperands,
     /*  919287 */     // GIR_Coverage, 23806,
     /*  919287 */     GIR_EraseRootFromParent_Done,
     /*  919288 */   // Label 13942: @919288
     /*  919288 */   GIM_Try, /*On fail goto*//*Label 13943*/ GIMT_Encode4(919376), // Rule ID 23809 //
     /*  919293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  919296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  919304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  919307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  919310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919340 */     // MIs[1] Operand 1
     /*  919340 */     // No operand predicates
     /*  919340 */     // MIs[0] policy
     /*  919340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919352 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  919355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919374 */     GIR_RootConstrainSelectedInstOperands,
     /*  919375 */     // GIR_Coverage, 23809,
     /*  919375 */     GIR_EraseRootFromParent_Done,
     /*  919376 */   // Label 13943: @919376
     /*  919376 */   GIM_Try, /*On fail goto*//*Label 13944*/ GIMT_Encode4(919464), // Rule ID 23810 //
     /*  919381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  919384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  919392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  919395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  919398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919428 */     // MIs[1] Operand 1
     /*  919428 */     // No operand predicates
     /*  919428 */     // MIs[0] policy
     /*  919428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919440 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  919443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919462 */     GIR_RootConstrainSelectedInstOperands,
     /*  919463 */     // GIR_Coverage, 23810,
     /*  919463 */     GIR_EraseRootFromParent_Done,
     /*  919464 */   // Label 13944: @919464
     /*  919464 */   GIM_Try, /*On fail goto*//*Label 13945*/ GIMT_Encode4(919552), // Rule ID 24049 //
     /*  919469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  919472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  919480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  919483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  919486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919516 */     // MIs[1] Operand 1
     /*  919516 */     // No operand predicates
     /*  919516 */     // MIs[0] policy
     /*  919516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919528 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  919531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919550 */     GIR_RootConstrainSelectedInstOperands,
     /*  919551 */     // GIR_Coverage, 24049,
     /*  919551 */     GIR_EraseRootFromParent_Done,
     /*  919552 */   // Label 13945: @919552
     /*  919552 */   GIM_Try, /*On fail goto*//*Label 13946*/ GIMT_Encode4(919640), // Rule ID 24050 //
     /*  919557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  919560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  919568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  919571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  919574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919604 */     // MIs[1] Operand 1
     /*  919604 */     // No operand predicates
     /*  919604 */     // MIs[0] policy
     /*  919604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919616 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  919619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919638 */     GIR_RootConstrainSelectedInstOperands,
     /*  919639 */     // GIR_Coverage, 24050,
     /*  919639 */     GIR_EraseRootFromParent_Done,
     /*  919640 */   // Label 13946: @919640
     /*  919640 */   GIM_Try, /*On fail goto*//*Label 13947*/ GIMT_Encode4(919728), // Rule ID 24053 //
     /*  919645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  919648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  919656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  919659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  919662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919692 */     // MIs[1] Operand 1
     /*  919692 */     // No operand predicates
     /*  919692 */     // MIs[0] policy
     /*  919692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919704 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  919707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919726 */     GIR_RootConstrainSelectedInstOperands,
     /*  919727 */     // GIR_Coverage, 24053,
     /*  919727 */     GIR_EraseRootFromParent_Done,
     /*  919728 */   // Label 13947: @919728
     /*  919728 */   GIM_Try, /*On fail goto*//*Label 13948*/ GIMT_Encode4(919816), // Rule ID 24054 //
     /*  919733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  919736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  919744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  919747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  919750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919780 */     // MIs[1] Operand 1
     /*  919780 */     // No operand predicates
     /*  919780 */     // MIs[0] policy
     /*  919780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919792 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  919795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919814 */     GIR_RootConstrainSelectedInstOperands,
     /*  919815 */     // GIR_Coverage, 24054,
     /*  919815 */     GIR_EraseRootFromParent_Done,
     /*  919816 */   // Label 13948: @919816
     /*  919816 */   GIM_Try, /*On fail goto*//*Label 13949*/ GIMT_Encode4(919904), // Rule ID 24057 //
     /*  919821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  919824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  919832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  919835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  919838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919868 */     // MIs[1] Operand 1
     /*  919868 */     // No operand predicates
     /*  919868 */     // MIs[0] policy
     /*  919868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919880 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  919883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919902 */     GIR_RootConstrainSelectedInstOperands,
     /*  919903 */     // GIR_Coverage, 24057,
     /*  919903 */     GIR_EraseRootFromParent_Done,
     /*  919904 */   // Label 13949: @919904
     /*  919904 */   GIM_Try, /*On fail goto*//*Label 13950*/ GIMT_Encode4(919992), // Rule ID 24058 //
     /*  919909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  919912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  919920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  919923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  919926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919956 */     // MIs[1] Operand 1
     /*  919956 */     // No operand predicates
     /*  919956 */     // MIs[0] policy
     /*  919956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919968 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  919971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919990 */     GIR_RootConstrainSelectedInstOperands,
     /*  919991 */     // GIR_Coverage, 24058,
     /*  919991 */     GIR_EraseRootFromParent_Done,
     /*  919992 */   // Label 13950: @919992
     /*  919992 */   GIM_Try, /*On fail goto*//*Label 13951*/ GIMT_Encode4(920080), // Rule ID 24061 //
     /*  919997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  920000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  920008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  920011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  920014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920044 */     // MIs[1] Operand 1
     /*  920044 */     // No operand predicates
     /*  920044 */     // MIs[0] policy
     /*  920044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920056 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  920059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920078 */     GIR_RootConstrainSelectedInstOperands,
     /*  920079 */     // GIR_Coverage, 24061,
     /*  920079 */     GIR_EraseRootFromParent_Done,
     /*  920080 */   // Label 13951: @920080
     /*  920080 */   GIM_Try, /*On fail goto*//*Label 13952*/ GIMT_Encode4(920168), // Rule ID 24062 //
     /*  920085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  920088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  920096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  920099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  920102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920132 */     // MIs[1] Operand 1
     /*  920132 */     // No operand predicates
     /*  920132 */     // MIs[0] policy
     /*  920132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920144 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  920147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920166 */     GIR_RootConstrainSelectedInstOperands,
     /*  920167 */     // GIR_Coverage, 24062,
     /*  920167 */     GIR_EraseRootFromParent_Done,
     /*  920168 */   // Label 13952: @920168
     /*  920168 */   GIM_Try, /*On fail goto*//*Label 13953*/ GIMT_Encode4(920256), // Rule ID 24065 //
     /*  920173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  920176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  920184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  920187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  920190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920220 */     // MIs[1] Operand 1
     /*  920220 */     // No operand predicates
     /*  920220 */     // MIs[0] policy
     /*  920220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920232 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  920235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920254 */     GIR_RootConstrainSelectedInstOperands,
     /*  920255 */     // GIR_Coverage, 24065,
     /*  920255 */     GIR_EraseRootFromParent_Done,
     /*  920256 */   // Label 13953: @920256
     /*  920256 */   GIM_Try, /*On fail goto*//*Label 13954*/ GIMT_Encode4(920344), // Rule ID 24066 //
     /*  920261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  920264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  920272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  920275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  920278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920308 */     // MIs[1] Operand 1
     /*  920308 */     // No operand predicates
     /*  920308 */     // MIs[0] policy
     /*  920308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920320 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  920323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920342 */     GIR_RootConstrainSelectedInstOperands,
     /*  920343 */     // GIR_Coverage, 24066,
     /*  920343 */     GIR_EraseRootFromParent_Done,
     /*  920344 */   // Label 13954: @920344
     /*  920344 */   GIM_Try, /*On fail goto*//*Label 13955*/ GIMT_Encode4(920432), // Rule ID 24069 //
     /*  920349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  920352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  920360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  920363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  920366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920396 */     // MIs[1] Operand 1
     /*  920396 */     // No operand predicates
     /*  920396 */     // MIs[0] policy
     /*  920396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920408 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  920411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920430 */     GIR_RootConstrainSelectedInstOperands,
     /*  920431 */     // GIR_Coverage, 24069,
     /*  920431 */     GIR_EraseRootFromParent_Done,
     /*  920432 */   // Label 13955: @920432
     /*  920432 */   GIM_Try, /*On fail goto*//*Label 13956*/ GIMT_Encode4(920520), // Rule ID 24070 //
     /*  920437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  920440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  920448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  920451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  920454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920484 */     // MIs[1] Operand 1
     /*  920484 */     // No operand predicates
     /*  920484 */     // MIs[0] policy
     /*  920484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920496 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  920499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920518 */     GIR_RootConstrainSelectedInstOperands,
     /*  920519 */     // GIR_Coverage, 24070,
     /*  920519 */     GIR_EraseRootFromParent_Done,
     /*  920520 */   // Label 13956: @920520
     /*  920520 */   GIM_Try, /*On fail goto*//*Label 13957*/ GIMT_Encode4(920608), // Rule ID 24073 //
     /*  920525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  920528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  920536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  920539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  920542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920572 */     // MIs[1] Operand 1
     /*  920572 */     // No operand predicates
     /*  920572 */     // MIs[0] policy
     /*  920572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920584 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  920587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920606 */     GIR_RootConstrainSelectedInstOperands,
     /*  920607 */     // GIR_Coverage, 24073,
     /*  920607 */     GIR_EraseRootFromParent_Done,
     /*  920608 */   // Label 13957: @920608
     /*  920608 */   GIM_Try, /*On fail goto*//*Label 13958*/ GIMT_Encode4(920696), // Rule ID 24074 //
     /*  920613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  920616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  920624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  920627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  920630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920660 */     // MIs[1] Operand 1
     /*  920660 */     // No operand predicates
     /*  920660 */     // MIs[0] policy
     /*  920660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920672 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  920675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920694 */     GIR_RootConstrainSelectedInstOperands,
     /*  920695 */     // GIR_Coverage, 24074,
     /*  920695 */     GIR_EraseRootFromParent_Done,
     /*  920696 */   // Label 13958: @920696
     /*  920696 */   GIM_Try, /*On fail goto*//*Label 13959*/ GIMT_Encode4(920784), // Rule ID 24077 //
     /*  920701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  920704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  920712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  920715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  920718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920748 */     // MIs[1] Operand 1
     /*  920748 */     // No operand predicates
     /*  920748 */     // MIs[0] policy
     /*  920748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920760 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  920763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920782 */     GIR_RootConstrainSelectedInstOperands,
     /*  920783 */     // GIR_Coverage, 24077,
     /*  920783 */     GIR_EraseRootFromParent_Done,
     /*  920784 */   // Label 13959: @920784
     /*  920784 */   GIM_Try, /*On fail goto*//*Label 13960*/ GIMT_Encode4(920872), // Rule ID 24078 //
     /*  920789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  920792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  920800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  920803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  920806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920836 */     // MIs[1] Operand 1
     /*  920836 */     // No operand predicates
     /*  920836 */     // MIs[0] policy
     /*  920836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920848 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  920851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920870 */     GIR_RootConstrainSelectedInstOperands,
     /*  920871 */     // GIR_Coverage, 24078,
     /*  920871 */     GIR_EraseRootFromParent_Done,
     /*  920872 */   // Label 13960: @920872
     /*  920872 */   GIM_Try, /*On fail goto*//*Label 13961*/ GIMT_Encode4(920960), // Rule ID 24081 //
     /*  920877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  920880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  920888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  920891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  920894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920924 */     // MIs[1] Operand 1
     /*  920924 */     // No operand predicates
     /*  920924 */     // MIs[0] policy
     /*  920924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920936 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  920939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920958 */     GIR_RootConstrainSelectedInstOperands,
     /*  920959 */     // GIR_Coverage, 24081,
     /*  920959 */     GIR_EraseRootFromParent_Done,
     /*  920960 */   // Label 13961: @920960
     /*  920960 */   GIM_Try, /*On fail goto*//*Label 13962*/ GIMT_Encode4(921048), // Rule ID 24082 //
     /*  920965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  920968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  920976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  920979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  920982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921012 */     // MIs[1] Operand 1
     /*  921012 */     // No operand predicates
     /*  921012 */     // MIs[0] policy
     /*  921012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921024 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  921027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921046 */     GIR_RootConstrainSelectedInstOperands,
     /*  921047 */     // GIR_Coverage, 24082,
     /*  921047 */     GIR_EraseRootFromParent_Done,
     /*  921048 */   // Label 13962: @921048
     /*  921048 */   GIM_Try, /*On fail goto*//*Label 13963*/ GIMT_Encode4(921136), // Rule ID 24085 //
     /*  921053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  921056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  921064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  921067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  921070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921100 */     // MIs[1] Operand 1
     /*  921100 */     // No operand predicates
     /*  921100 */     // MIs[0] policy
     /*  921100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921112 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  921115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921134 */     GIR_RootConstrainSelectedInstOperands,
     /*  921135 */     // GIR_Coverage, 24085,
     /*  921135 */     GIR_EraseRootFromParent_Done,
     /*  921136 */   // Label 13963: @921136
     /*  921136 */   GIM_Try, /*On fail goto*//*Label 13964*/ GIMT_Encode4(921224), // Rule ID 24086 //
     /*  921141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  921144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  921152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  921155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  921158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921188 */     // MIs[1] Operand 1
     /*  921188 */     // No operand predicates
     /*  921188 */     // MIs[0] policy
     /*  921188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921200 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  921203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921222 */     GIR_RootConstrainSelectedInstOperands,
     /*  921223 */     // GIR_Coverage, 24086,
     /*  921223 */     GIR_EraseRootFromParent_Done,
     /*  921224 */   // Label 13964: @921224
     /*  921224 */   GIM_Try, /*On fail goto*//*Label 13965*/ GIMT_Encode4(921312), // Rule ID 24089 //
     /*  921229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  921232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  921240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  921243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  921246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921276 */     // MIs[1] Operand 1
     /*  921276 */     // No operand predicates
     /*  921276 */     // MIs[0] policy
     /*  921276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921288 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  921291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921310 */     GIR_RootConstrainSelectedInstOperands,
     /*  921311 */     // GIR_Coverage, 24089,
     /*  921311 */     GIR_EraseRootFromParent_Done,
     /*  921312 */   // Label 13965: @921312
     /*  921312 */   GIM_Try, /*On fail goto*//*Label 13966*/ GIMT_Encode4(921400), // Rule ID 24090 //
     /*  921317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  921320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  921328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  921331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  921334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921364 */     // MIs[1] Operand 1
     /*  921364 */     // No operand predicates
     /*  921364 */     // MIs[0] policy
     /*  921364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921376 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  921379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921398 */     GIR_RootConstrainSelectedInstOperands,
     /*  921399 */     // GIR_Coverage, 24090,
     /*  921399 */     GIR_EraseRootFromParent_Done,
     /*  921400 */   // Label 13966: @921400
     /*  921400 */   GIM_Try, /*On fail goto*//*Label 13967*/ GIMT_Encode4(921488), // Rule ID 24093 //
     /*  921405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  921408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  921416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  921419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  921422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921452 */     // MIs[1] Operand 1
     /*  921452 */     // No operand predicates
     /*  921452 */     // MIs[0] policy
     /*  921452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921464 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  921467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921486 */     GIR_RootConstrainSelectedInstOperands,
     /*  921487 */     // GIR_Coverage, 24093,
     /*  921487 */     GIR_EraseRootFromParent_Done,
     /*  921488 */   // Label 13967: @921488
     /*  921488 */   GIM_Try, /*On fail goto*//*Label 13968*/ GIMT_Encode4(921576), // Rule ID 24094 //
     /*  921493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  921496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  921504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  921507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  921510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921540 */     // MIs[1] Operand 1
     /*  921540 */     // No operand predicates
     /*  921540 */     // MIs[0] policy
     /*  921540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921552 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  921555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921574 */     GIR_RootConstrainSelectedInstOperands,
     /*  921575 */     // GIR_Coverage, 24094,
     /*  921575 */     GIR_EraseRootFromParent_Done,
     /*  921576 */   // Label 13968: @921576
     /*  921576 */   GIM_Try, /*On fail goto*//*Label 13969*/ GIMT_Encode4(921664), // Rule ID 24097 //
     /*  921581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  921584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  921592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  921595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  921598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921628 */     // MIs[1] Operand 1
     /*  921628 */     // No operand predicates
     /*  921628 */     // MIs[0] policy
     /*  921628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921640 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  921643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921662 */     GIR_RootConstrainSelectedInstOperands,
     /*  921663 */     // GIR_Coverage, 24097,
     /*  921663 */     GIR_EraseRootFromParent_Done,
     /*  921664 */   // Label 13969: @921664
     /*  921664 */   GIM_Try, /*On fail goto*//*Label 13970*/ GIMT_Encode4(921752), // Rule ID 24098 //
     /*  921669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  921672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  921680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  921683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  921686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921716 */     // MIs[1] Operand 1
     /*  921716 */     // No operand predicates
     /*  921716 */     // MIs[0] policy
     /*  921716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921728 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  921731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921750 */     GIR_RootConstrainSelectedInstOperands,
     /*  921751 */     // GIR_Coverage, 24098,
     /*  921751 */     GIR_EraseRootFromParent_Done,
     /*  921752 */   // Label 13970: @921752
     /*  921752 */   GIM_Try, /*On fail goto*//*Label 13971*/ GIMT_Encode4(921840), // Rule ID 24101 //
     /*  921757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  921760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  921768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  921771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  921774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921804 */     // MIs[1] Operand 1
     /*  921804 */     // No operand predicates
     /*  921804 */     // MIs[0] policy
     /*  921804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921816 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  921819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921838 */     GIR_RootConstrainSelectedInstOperands,
     /*  921839 */     // GIR_Coverage, 24101,
     /*  921839 */     GIR_EraseRootFromParent_Done,
     /*  921840 */   // Label 13971: @921840
     /*  921840 */   GIM_Try, /*On fail goto*//*Label 13972*/ GIMT_Encode4(921928), // Rule ID 24102 //
     /*  921845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  921848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  921856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  921859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  921862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921892 */     // MIs[1] Operand 1
     /*  921892 */     // No operand predicates
     /*  921892 */     // MIs[0] policy
     /*  921892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921904 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  921907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921926 */     GIR_RootConstrainSelectedInstOperands,
     /*  921927 */     // GIR_Coverage, 24102,
     /*  921927 */     GIR_EraseRootFromParent_Done,
     /*  921928 */   // Label 13972: @921928
     /*  921928 */   GIM_Try, /*On fail goto*//*Label 13973*/ GIMT_Encode4(922016), // Rule ID 24105 //
     /*  921933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  921936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  921944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  921947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  921950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921980 */     // MIs[1] Operand 1
     /*  921980 */     // No operand predicates
     /*  921980 */     // MIs[0] policy
     /*  921980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921992 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  921995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922014 */     GIR_RootConstrainSelectedInstOperands,
     /*  922015 */     // GIR_Coverage, 24105,
     /*  922015 */     GIR_EraseRootFromParent_Done,
     /*  922016 */   // Label 13973: @922016
     /*  922016 */   GIM_Try, /*On fail goto*//*Label 13974*/ GIMT_Encode4(922104), // Rule ID 24106 //
     /*  922021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  922024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  922029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  922032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  922035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  922038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922068 */     // MIs[1] Operand 1
     /*  922068 */     // No operand predicates
     /*  922068 */     // MIs[0] policy
     /*  922068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922080 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  922083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922102 */     GIR_RootConstrainSelectedInstOperands,
     /*  922103 */     // GIR_Coverage, 24106,
     /*  922103 */     GIR_EraseRootFromParent_Done,
     /*  922104 */   // Label 13974: @922104
     /*  922104 */   GIM_Try, /*On fail goto*//*Label 13975*/ GIMT_Encode4(922192), // Rule ID 24169 //
     /*  922109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  922112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  922120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  922123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  922126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922156 */     // MIs[1] Operand 1
     /*  922156 */     // No operand predicates
     /*  922156 */     // MIs[0] policy
     /*  922156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922168 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  922171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922190 */     GIR_RootConstrainSelectedInstOperands,
     /*  922191 */     // GIR_Coverage, 24169,
     /*  922191 */     GIR_EraseRootFromParent_Done,
     /*  922192 */   // Label 13975: @922192
     /*  922192 */   GIM_Try, /*On fail goto*//*Label 13976*/ GIMT_Encode4(922280), // Rule ID 24170 //
     /*  922197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  922200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  922208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  922211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  922214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922244 */     // MIs[1] Operand 1
     /*  922244 */     // No operand predicates
     /*  922244 */     // MIs[0] policy
     /*  922244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922256 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  922259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922278 */     GIR_RootConstrainSelectedInstOperands,
     /*  922279 */     // GIR_Coverage, 24170,
     /*  922279 */     GIR_EraseRootFromParent_Done,
     /*  922280 */   // Label 13976: @922280
     /*  922280 */   GIM_Try, /*On fail goto*//*Label 13977*/ GIMT_Encode4(922368), // Rule ID 24173 //
     /*  922285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  922288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  922296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  922299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  922302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922332 */     // MIs[1] Operand 1
     /*  922332 */     // No operand predicates
     /*  922332 */     // MIs[0] policy
     /*  922332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922344 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  922347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922366 */     GIR_RootConstrainSelectedInstOperands,
     /*  922367 */     // GIR_Coverage, 24173,
     /*  922367 */     GIR_EraseRootFromParent_Done,
     /*  922368 */   // Label 13977: @922368
     /*  922368 */   GIM_Try, /*On fail goto*//*Label 13978*/ GIMT_Encode4(922456), // Rule ID 24174 //
     /*  922373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  922376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  922384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  922387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  922390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922420 */     // MIs[1] Operand 1
     /*  922420 */     // No operand predicates
     /*  922420 */     // MIs[0] policy
     /*  922420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922432 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  922435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922454 */     GIR_RootConstrainSelectedInstOperands,
     /*  922455 */     // GIR_Coverage, 24174,
     /*  922455 */     GIR_EraseRootFromParent_Done,
     /*  922456 */   // Label 13978: @922456
     /*  922456 */   GIM_Try, /*On fail goto*//*Label 13979*/ GIMT_Encode4(922544), // Rule ID 24177 //
     /*  922461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  922464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  922472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  922475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  922478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922508 */     // MIs[1] Operand 1
     /*  922508 */     // No operand predicates
     /*  922508 */     // MIs[0] policy
     /*  922508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922520 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  922523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922542 */     GIR_RootConstrainSelectedInstOperands,
     /*  922543 */     // GIR_Coverage, 24177,
     /*  922543 */     GIR_EraseRootFromParent_Done,
     /*  922544 */   // Label 13979: @922544
     /*  922544 */   GIM_Try, /*On fail goto*//*Label 13980*/ GIMT_Encode4(922632), // Rule ID 24178 //
     /*  922549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  922552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  922560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  922563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  922566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922596 */     // MIs[1] Operand 1
     /*  922596 */     // No operand predicates
     /*  922596 */     // MIs[0] policy
     /*  922596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922608 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  922611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922630 */     GIR_RootConstrainSelectedInstOperands,
     /*  922631 */     // GIR_Coverage, 24178,
     /*  922631 */     GIR_EraseRootFromParent_Done,
     /*  922632 */   // Label 13980: @922632
     /*  922632 */   GIM_Try, /*On fail goto*//*Label 13981*/ GIMT_Encode4(922720), // Rule ID 24181 //
     /*  922637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  922640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  922648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  922651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  922654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922684 */     // MIs[1] Operand 1
     /*  922684 */     // No operand predicates
     /*  922684 */     // MIs[0] policy
     /*  922684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922696 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  922699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922718 */     GIR_RootConstrainSelectedInstOperands,
     /*  922719 */     // GIR_Coverage, 24181,
     /*  922719 */     GIR_EraseRootFromParent_Done,
     /*  922720 */   // Label 13981: @922720
     /*  922720 */   GIM_Try, /*On fail goto*//*Label 13982*/ GIMT_Encode4(922808), // Rule ID 24182 //
     /*  922725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  922728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  922736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  922739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  922742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922772 */     // MIs[1] Operand 1
     /*  922772 */     // No operand predicates
     /*  922772 */     // MIs[0] policy
     /*  922772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922784 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  922787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922806 */     GIR_RootConstrainSelectedInstOperands,
     /*  922807 */     // GIR_Coverage, 24182,
     /*  922807 */     GIR_EraseRootFromParent_Done,
     /*  922808 */   // Label 13982: @922808
     /*  922808 */   GIM_Try, /*On fail goto*//*Label 13983*/ GIMT_Encode4(922896), // Rule ID 24185 //
     /*  922813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  922816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  922824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  922827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  922830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922860 */     // MIs[1] Operand 1
     /*  922860 */     // No operand predicates
     /*  922860 */     // MIs[0] policy
     /*  922860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922872 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  922875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922894 */     GIR_RootConstrainSelectedInstOperands,
     /*  922895 */     // GIR_Coverage, 24185,
     /*  922895 */     GIR_EraseRootFromParent_Done,
     /*  922896 */   // Label 13983: @922896
     /*  922896 */   GIM_Try, /*On fail goto*//*Label 13984*/ GIMT_Encode4(922984), // Rule ID 24186 //
     /*  922901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  922904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  922912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  922915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  922918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922948 */     // MIs[1] Operand 1
     /*  922948 */     // No operand predicates
     /*  922948 */     // MIs[0] policy
     /*  922948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922960 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  922963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922982 */     GIR_RootConstrainSelectedInstOperands,
     /*  922983 */     // GIR_Coverage, 24186,
     /*  922983 */     GIR_EraseRootFromParent_Done,
     /*  922984 */   // Label 13984: @922984
     /*  922984 */   GIM_Try, /*On fail goto*//*Label 13985*/ GIMT_Encode4(923072), // Rule ID 24189 //
     /*  922989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  922992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  923000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  923003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  923006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923036 */     // MIs[1] Operand 1
     /*  923036 */     // No operand predicates
     /*  923036 */     // MIs[0] policy
     /*  923036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923048 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  923051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923070 */     GIR_RootConstrainSelectedInstOperands,
     /*  923071 */     // GIR_Coverage, 24189,
     /*  923071 */     GIR_EraseRootFromParent_Done,
     /*  923072 */   // Label 13985: @923072
     /*  923072 */   GIM_Try, /*On fail goto*//*Label 13986*/ GIMT_Encode4(923160), // Rule ID 24190 //
     /*  923077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  923080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  923088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  923091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  923094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923124 */     // MIs[1] Operand 1
     /*  923124 */     // No operand predicates
     /*  923124 */     // MIs[0] policy
     /*  923124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923136 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  923139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923158 */     GIR_RootConstrainSelectedInstOperands,
     /*  923159 */     // GIR_Coverage, 24190,
     /*  923159 */     GIR_EraseRootFromParent_Done,
     /*  923160 */   // Label 13986: @923160
     /*  923160 */   GIM_Try, /*On fail goto*//*Label 13987*/ GIMT_Encode4(923248), // Rule ID 24193 //
     /*  923165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  923168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  923176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  923179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  923182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923212 */     // MIs[1] Operand 1
     /*  923212 */     // No operand predicates
     /*  923212 */     // MIs[0] policy
     /*  923212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923224 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  923227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923246 */     GIR_RootConstrainSelectedInstOperands,
     /*  923247 */     // GIR_Coverage, 24193,
     /*  923247 */     GIR_EraseRootFromParent_Done,
     /*  923248 */   // Label 13987: @923248
     /*  923248 */   GIM_Try, /*On fail goto*//*Label 13988*/ GIMT_Encode4(923336), // Rule ID 24194 //
     /*  923253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  923256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  923264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  923267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  923270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923300 */     // MIs[1] Operand 1
     /*  923300 */     // No operand predicates
     /*  923300 */     // MIs[0] policy
     /*  923300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923312 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  923315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923334 */     GIR_RootConstrainSelectedInstOperands,
     /*  923335 */     // GIR_Coverage, 24194,
     /*  923335 */     GIR_EraseRootFromParent_Done,
     /*  923336 */   // Label 13988: @923336
     /*  923336 */   GIM_Try, /*On fail goto*//*Label 13989*/ GIMT_Encode4(923424), // Rule ID 24197 //
     /*  923341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  923344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  923352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  923355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  923358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923388 */     // MIs[1] Operand 1
     /*  923388 */     // No operand predicates
     /*  923388 */     // MIs[0] policy
     /*  923388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923400 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  923403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923422 */     GIR_RootConstrainSelectedInstOperands,
     /*  923423 */     // GIR_Coverage, 24197,
     /*  923423 */     GIR_EraseRootFromParent_Done,
     /*  923424 */   // Label 13989: @923424
     /*  923424 */   GIM_Try, /*On fail goto*//*Label 13990*/ GIMT_Encode4(923512), // Rule ID 24198 //
     /*  923429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  923432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  923440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  923443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  923446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923476 */     // MIs[1] Operand 1
     /*  923476 */     // No operand predicates
     /*  923476 */     // MIs[0] policy
     /*  923476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923488 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  923491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923510 */     GIR_RootConstrainSelectedInstOperands,
     /*  923511 */     // GIR_Coverage, 24198,
     /*  923511 */     GIR_EraseRootFromParent_Done,
     /*  923512 */   // Label 13990: @923512
     /*  923512 */   GIM_Try, /*On fail goto*//*Label 13991*/ GIMT_Encode4(923600), // Rule ID 24201 //
     /*  923517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  923520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  923528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  923531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  923534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923564 */     // MIs[1] Operand 1
     /*  923564 */     // No operand predicates
     /*  923564 */     // MIs[0] policy
     /*  923564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923576 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  923579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923598 */     GIR_RootConstrainSelectedInstOperands,
     /*  923599 */     // GIR_Coverage, 24201,
     /*  923599 */     GIR_EraseRootFromParent_Done,
     /*  923600 */   // Label 13991: @923600
     /*  923600 */   GIM_Try, /*On fail goto*//*Label 13992*/ GIMT_Encode4(923688), // Rule ID 24202 //
     /*  923605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  923608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  923616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  923619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  923622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923652 */     // MIs[1] Operand 1
     /*  923652 */     // No operand predicates
     /*  923652 */     // MIs[0] policy
     /*  923652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923664 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  923667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923686 */     GIR_RootConstrainSelectedInstOperands,
     /*  923687 */     // GIR_Coverage, 24202,
     /*  923687 */     GIR_EraseRootFromParent_Done,
     /*  923688 */   // Label 13992: @923688
     /*  923688 */   GIM_Try, /*On fail goto*//*Label 13993*/ GIMT_Encode4(923776), // Rule ID 24205 //
     /*  923693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  923696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  923704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  923707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  923710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923740 */     // MIs[1] Operand 1
     /*  923740 */     // No operand predicates
     /*  923740 */     // MIs[0] policy
     /*  923740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923752 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  923755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923774 */     GIR_RootConstrainSelectedInstOperands,
     /*  923775 */     // GIR_Coverage, 24205,
     /*  923775 */     GIR_EraseRootFromParent_Done,
     /*  923776 */   // Label 13993: @923776
     /*  923776 */   GIM_Try, /*On fail goto*//*Label 13994*/ GIMT_Encode4(923864), // Rule ID 24206 //
     /*  923781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  923784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  923792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  923795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  923798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923828 */     // MIs[1] Operand 1
     /*  923828 */     // No operand predicates
     /*  923828 */     // MIs[0] policy
     /*  923828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923840 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  923843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923862 */     GIR_RootConstrainSelectedInstOperands,
     /*  923863 */     // GIR_Coverage, 24206,
     /*  923863 */     GIR_EraseRootFromParent_Done,
     /*  923864 */   // Label 13994: @923864
     /*  923864 */   GIM_Try, /*On fail goto*//*Label 13995*/ GIMT_Encode4(923952), // Rule ID 24209 //
     /*  923869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  923872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  923880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  923883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  923886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923916 */     // MIs[1] Operand 1
     /*  923916 */     // No operand predicates
     /*  923916 */     // MIs[0] policy
     /*  923916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923928 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  923931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923950 */     GIR_RootConstrainSelectedInstOperands,
     /*  923951 */     // GIR_Coverage, 24209,
     /*  923951 */     GIR_EraseRootFromParent_Done,
     /*  923952 */   // Label 13995: @923952
     /*  923952 */   GIM_Try, /*On fail goto*//*Label 13996*/ GIMT_Encode4(924040), // Rule ID 24210 //
     /*  923957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  923960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  923968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  923971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  923974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924004 */     // MIs[1] Operand 1
     /*  924004 */     // No operand predicates
     /*  924004 */     // MIs[0] policy
     /*  924004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924016 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  924019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924038 */     GIR_RootConstrainSelectedInstOperands,
     /*  924039 */     // GIR_Coverage, 24210,
     /*  924039 */     GIR_EraseRootFromParent_Done,
     /*  924040 */   // Label 13996: @924040
     /*  924040 */   GIM_Try, /*On fail goto*//*Label 13997*/ GIMT_Encode4(924128), // Rule ID 24213 //
     /*  924045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  924048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  924056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  924059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  924062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924092 */     // MIs[1] Operand 1
     /*  924092 */     // No operand predicates
     /*  924092 */     // MIs[0] policy
     /*  924092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924104 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924126 */     GIR_RootConstrainSelectedInstOperands,
     /*  924127 */     // GIR_Coverage, 24213,
     /*  924127 */     GIR_EraseRootFromParent_Done,
     /*  924128 */   // Label 13997: @924128
     /*  924128 */   GIM_Try, /*On fail goto*//*Label 13998*/ GIMT_Encode4(924216), // Rule ID 24214 //
     /*  924133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  924136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  924144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  924147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  924150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924180 */     // MIs[1] Operand 1
     /*  924180 */     // No operand predicates
     /*  924180 */     // MIs[0] policy
     /*  924180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924192 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924214 */     GIR_RootConstrainSelectedInstOperands,
     /*  924215 */     // GIR_Coverage, 24214,
     /*  924215 */     GIR_EraseRootFromParent_Done,
     /*  924216 */   // Label 13998: @924216
     /*  924216 */   GIM_Try, /*On fail goto*//*Label 13999*/ GIMT_Encode4(924304), // Rule ID 24217 //
     /*  924221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  924224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  924232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  924235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  924238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924268 */     // MIs[1] Operand 1
     /*  924268 */     // No operand predicates
     /*  924268 */     // MIs[0] policy
     /*  924268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924280 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924302 */     GIR_RootConstrainSelectedInstOperands,
     /*  924303 */     // GIR_Coverage, 24217,
     /*  924303 */     GIR_EraseRootFromParent_Done,
     /*  924304 */   // Label 13999: @924304
     /*  924304 */   GIM_Try, /*On fail goto*//*Label 14000*/ GIMT_Encode4(924392), // Rule ID 24218 //
     /*  924309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  924312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  924320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  924323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  924326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924356 */     // MIs[1] Operand 1
     /*  924356 */     // No operand predicates
     /*  924356 */     // MIs[0] policy
     /*  924356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924368 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924390 */     GIR_RootConstrainSelectedInstOperands,
     /*  924391 */     // GIR_Coverage, 24218,
     /*  924391 */     GIR_EraseRootFromParent_Done,
     /*  924392 */   // Label 14000: @924392
     /*  924392 */   GIM_Try, /*On fail goto*//*Label 14001*/ GIMT_Encode4(924480), // Rule ID 24221 //
     /*  924397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  924400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  924408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  924411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  924414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924444 */     // MIs[1] Operand 1
     /*  924444 */     // No operand predicates
     /*  924444 */     // MIs[0] policy
     /*  924444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924456 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  924459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924478 */     GIR_RootConstrainSelectedInstOperands,
     /*  924479 */     // GIR_Coverage, 24221,
     /*  924479 */     GIR_EraseRootFromParent_Done,
     /*  924480 */   // Label 14001: @924480
     /*  924480 */   GIM_Try, /*On fail goto*//*Label 14002*/ GIMT_Encode4(924568), // Rule ID 24222 //
     /*  924485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  924488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  924496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  924499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  924502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924532 */     // MIs[1] Operand 1
     /*  924532 */     // No operand predicates
     /*  924532 */     // MIs[0] policy
     /*  924532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924544 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  924547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924566 */     GIR_RootConstrainSelectedInstOperands,
     /*  924567 */     // GIR_Coverage, 24222,
     /*  924567 */     GIR_EraseRootFromParent_Done,
     /*  924568 */   // Label 14002: @924568
     /*  924568 */   GIM_Try, /*On fail goto*//*Label 14003*/ GIMT_Encode4(924656), // Rule ID 24225 //
     /*  924573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  924576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  924584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  924587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  924590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924620 */     // MIs[1] Operand 1
     /*  924620 */     // No operand predicates
     /*  924620 */     // MIs[0] policy
     /*  924620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924632 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924654 */     GIR_RootConstrainSelectedInstOperands,
     /*  924655 */     // GIR_Coverage, 24225,
     /*  924655 */     GIR_EraseRootFromParent_Done,
     /*  924656 */   // Label 14003: @924656
     /*  924656 */   GIM_Try, /*On fail goto*//*Label 14004*/ GIMT_Encode4(924744), // Rule ID 24226 //
     /*  924661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  924664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  924672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  924675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  924678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924708 */     // MIs[1] Operand 1
     /*  924708 */     // No operand predicates
     /*  924708 */     // MIs[0] policy
     /*  924708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924720 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924742 */     GIR_RootConstrainSelectedInstOperands,
     /*  924743 */     // GIR_Coverage, 24226,
     /*  924743 */     GIR_EraseRootFromParent_Done,
     /*  924744 */   // Label 14004: @924744
     /*  924744 */   GIM_Try, /*On fail goto*//*Label 14005*/ GIMT_Encode4(924835), // Rule ID 15837 //
     /*  924749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  924757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  924760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  924763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  924766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  924772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924796 */     // MIs[1] Operand 1
     /*  924796 */     // No operand predicates
     /*  924796 */     // MIs[0] round
     /*  924796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  924799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924808 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  924808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  924811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  924815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924820 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  924822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  924833 */     GIR_RootConstrainSelectedInstOperands,
     /*  924834 */     // GIR_Coverage, 15837,
     /*  924834 */     GIR_EraseRootFromParent_Done,
     /*  924835 */   // Label 14005: @924835
     /*  924835 */   GIM_Try, /*On fail goto*//*Label 14006*/ GIMT_Encode4(924926), // Rule ID 15838 //
     /*  924840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  924848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  924851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  924854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  924857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  924863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924887 */     // MIs[1] Operand 1
     /*  924887 */     // No operand predicates
     /*  924887 */     // MIs[0] round
     /*  924887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  924890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924899 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  924899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  924902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  924906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924911 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  924913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  924924 */     GIR_RootConstrainSelectedInstOperands,
     /*  924925 */     // GIR_Coverage, 15838,
     /*  924925 */     GIR_EraseRootFromParent_Done,
     /*  924926 */   // Label 14006: @924926
     /*  924926 */   GIM_Try, /*On fail goto*//*Label 14007*/ GIMT_Encode4(925017), // Rule ID 15841 //
     /*  924931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  924939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  924942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  924945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  924948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  924954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924978 */     // MIs[1] Operand 1
     /*  924978 */     // No operand predicates
     /*  924978 */     // MIs[0] round
     /*  924978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  924981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924990 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  924990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  924993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  924997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  925012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925015 */     GIR_RootConstrainSelectedInstOperands,
     /*  925016 */     // GIR_Coverage, 15841,
     /*  925016 */     GIR_EraseRootFromParent_Done,
     /*  925017 */   // Label 14007: @925017
     /*  925017 */   GIM_Try, /*On fail goto*//*Label 14008*/ GIMT_Encode4(925108), // Rule ID 15842 //
     /*  925022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  925030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  925033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  925036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  925039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  925045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925069 */     // MIs[1] Operand 1
     /*  925069 */     // No operand predicates
     /*  925069 */     // MIs[0] round
     /*  925069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925081 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  925081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  925084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  925103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925106 */     GIR_RootConstrainSelectedInstOperands,
     /*  925107 */     // GIR_Coverage, 15842,
     /*  925107 */     GIR_EraseRootFromParent_Done,
     /*  925108 */   // Label 14008: @925108
     /*  925108 */   GIM_Try, /*On fail goto*//*Label 14009*/ GIMT_Encode4(925199), // Rule ID 15845 //
     /*  925113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  925121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  925124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  925127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  925130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  925136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925160 */     // MIs[1] Operand 1
     /*  925160 */     // No operand predicates
     /*  925160 */     // MIs[0] round
     /*  925160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925172 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  925172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  925175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925184 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  925194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925197 */     GIR_RootConstrainSelectedInstOperands,
     /*  925198 */     // GIR_Coverage, 15845,
     /*  925198 */     GIR_EraseRootFromParent_Done,
     /*  925199 */   // Label 14009: @925199
     /*  925199 */   GIM_Try, /*On fail goto*//*Label 14010*/ GIMT_Encode4(925290), // Rule ID 15846 //
     /*  925204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  925212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  925215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  925218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  925221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  925227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925251 */     // MIs[1] Operand 1
     /*  925251 */     // No operand predicates
     /*  925251 */     // MIs[0] round
     /*  925251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925263 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  925263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  925266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  925285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925288 */     GIR_RootConstrainSelectedInstOperands,
     /*  925289 */     // GIR_Coverage, 15846,
     /*  925289 */     GIR_EraseRootFromParent_Done,
     /*  925290 */   // Label 14010: @925290
     /*  925290 */   GIM_Try, /*On fail goto*//*Label 14011*/ GIMT_Encode4(925381), // Rule ID 15849 //
     /*  925295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  925303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  925306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  925309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  925312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  925318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925342 */     // MIs[1] Operand 1
     /*  925342 */     // No operand predicates
     /*  925342 */     // MIs[0] round
     /*  925342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925354 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  925354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  925357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925366 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925379 */     GIR_RootConstrainSelectedInstOperands,
     /*  925380 */     // GIR_Coverage, 15849,
     /*  925380 */     GIR_EraseRootFromParent_Done,
     /*  925381 */   // Label 14011: @925381
     /*  925381 */   GIM_Try, /*On fail goto*//*Label 14012*/ GIMT_Encode4(925472), // Rule ID 15850 //
     /*  925386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  925394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  925397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  925400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  925403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  925409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925433 */     // MIs[1] Operand 1
     /*  925433 */     // No operand predicates
     /*  925433 */     // MIs[0] round
     /*  925433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925445 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  925445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  925448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925457 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925470 */     GIR_RootConstrainSelectedInstOperands,
     /*  925471 */     // GIR_Coverage, 15850,
     /*  925471 */     GIR_EraseRootFromParent_Done,
     /*  925472 */   // Label 14012: @925472
     /*  925472 */   GIM_Try, /*On fail goto*//*Label 14013*/ GIMT_Encode4(925563), // Rule ID 15853 //
     /*  925477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  925485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  925488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  925491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  925494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  925500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925524 */     // MIs[1] Operand 1
     /*  925524 */     // No operand predicates
     /*  925524 */     // MIs[0] round
     /*  925524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925536 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  925536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  925539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925561 */     GIR_RootConstrainSelectedInstOperands,
     /*  925562 */     // GIR_Coverage, 15853,
     /*  925562 */     GIR_EraseRootFromParent_Done,
     /*  925563 */   // Label 14013: @925563
     /*  925563 */   GIM_Try, /*On fail goto*//*Label 14014*/ GIMT_Encode4(925654), // Rule ID 15854 //
     /*  925568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  925576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  925579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  925582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  925585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  925591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925615 */     // MIs[1] Operand 1
     /*  925615 */     // No operand predicates
     /*  925615 */     // MIs[0] round
     /*  925615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925627 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  925627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  925630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925652 */     GIR_RootConstrainSelectedInstOperands,
     /*  925653 */     // GIR_Coverage, 15854,
     /*  925653 */     GIR_EraseRootFromParent_Done,
     /*  925654 */   // Label 14014: @925654
     /*  925654 */   GIM_Try, /*On fail goto*//*Label 14015*/ GIMT_Encode4(925745), // Rule ID 15857 //
     /*  925659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  925667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  925670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  925673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  925676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  925682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925706 */     // MIs[1] Operand 1
     /*  925706 */     // No operand predicates
     /*  925706 */     // MIs[0] round
     /*  925706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925718 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  925718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  925721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925730 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925743 */     GIR_RootConstrainSelectedInstOperands,
     /*  925744 */     // GIR_Coverage, 15857,
     /*  925744 */     GIR_EraseRootFromParent_Done,
     /*  925745 */   // Label 14015: @925745
     /*  925745 */   GIM_Try, /*On fail goto*//*Label 14016*/ GIMT_Encode4(925836), // Rule ID 15858 //
     /*  925750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  925758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  925761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  925764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  925767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  925773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925797 */     // MIs[1] Operand 1
     /*  925797 */     // No operand predicates
     /*  925797 */     // MIs[0] round
     /*  925797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925809 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  925809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  925812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925834 */     GIR_RootConstrainSelectedInstOperands,
     /*  925835 */     // GIR_Coverage, 15858,
     /*  925835 */     GIR_EraseRootFromParent_Done,
     /*  925836 */   // Label 14016: @925836
     /*  925836 */   GIM_Try, /*On fail goto*//*Label 14017*/ GIMT_Encode4(925927), // Rule ID 15861 //
     /*  925841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  925849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  925852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  925855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  925858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  925864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925888 */     // MIs[1] Operand 1
     /*  925888 */     // No operand predicates
     /*  925888 */     // MIs[0] round
     /*  925888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925900 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  925900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  925903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925912 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  925922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925925 */     GIR_RootConstrainSelectedInstOperands,
     /*  925926 */     // GIR_Coverage, 15861,
     /*  925926 */     GIR_EraseRootFromParent_Done,
     /*  925927 */   // Label 14017: @925927
     /*  925927 */   GIM_Try, /*On fail goto*//*Label 14018*/ GIMT_Encode4(926018), // Rule ID 15862 //
     /*  925932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  925940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  925943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  925946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  925949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  925955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925979 */     // MIs[1] Operand 1
     /*  925979 */     // No operand predicates
     /*  925979 */     // MIs[0] round
     /*  925979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925991 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  925991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  925994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926016 */     GIR_RootConstrainSelectedInstOperands,
     /*  926017 */     // GIR_Coverage, 15862,
     /*  926017 */     GIR_EraseRootFromParent_Done,
     /*  926018 */   // Label 14018: @926018
     /*  926018 */   GIM_Try, /*On fail goto*//*Label 14019*/ GIMT_Encode4(926109), // Rule ID 15865 //
     /*  926023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  926034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  926037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  926040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926070 */     // MIs[1] Operand 1
     /*  926070 */     // No operand predicates
     /*  926070 */     // MIs[0] round
     /*  926070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926082 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  926082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  926085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926107 */     GIR_RootConstrainSelectedInstOperands,
     /*  926108 */     // GIR_Coverage, 15865,
     /*  926108 */     GIR_EraseRootFromParent_Done,
     /*  926109 */   // Label 14019: @926109
     /*  926109 */   GIM_Try, /*On fail goto*//*Label 14020*/ GIMT_Encode4(926200), // Rule ID 15866 //
     /*  926114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  926125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  926128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  926131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926161 */     // MIs[1] Operand 1
     /*  926161 */     // No operand predicates
     /*  926161 */     // MIs[0] round
     /*  926161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926173 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  926173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  926176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926198 */     GIR_RootConstrainSelectedInstOperands,
     /*  926199 */     // GIR_Coverage, 15866,
     /*  926199 */     GIR_EraseRootFromParent_Done,
     /*  926200 */   // Label 14020: @926200
     /*  926200 */   GIM_Try, /*On fail goto*//*Label 14021*/ GIMT_Encode4(926291), // Rule ID 15869 //
     /*  926205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  926216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  926219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  926222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926252 */     // MIs[1] Operand 1
     /*  926252 */     // No operand predicates
     /*  926252 */     // MIs[0] round
     /*  926252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926264 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  926264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  926267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926276 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926289 */     GIR_RootConstrainSelectedInstOperands,
     /*  926290 */     // GIR_Coverage, 15869,
     /*  926290 */     GIR_EraseRootFromParent_Done,
     /*  926291 */   // Label 14021: @926291
     /*  926291 */   GIM_Try, /*On fail goto*//*Label 14022*/ GIMT_Encode4(926382), // Rule ID 15870 //
     /*  926296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  926307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  926310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  926313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926343 */     // MIs[1] Operand 1
     /*  926343 */     // No operand predicates
     /*  926343 */     // MIs[0] round
     /*  926343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926355 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  926355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  926358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926380 */     GIR_RootConstrainSelectedInstOperands,
     /*  926381 */     // GIR_Coverage, 15870,
     /*  926381 */     GIR_EraseRootFromParent_Done,
     /*  926382 */   // Label 14022: @926382
     /*  926382 */   GIM_Try, /*On fail goto*//*Label 14023*/ GIMT_Encode4(926473), // Rule ID 15873 //
     /*  926387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  926390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  926398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  926401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  926404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926434 */     // MIs[1] Operand 1
     /*  926434 */     // No operand predicates
     /*  926434 */     // MIs[0] round
     /*  926434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926446 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  926446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  926449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926471 */     GIR_RootConstrainSelectedInstOperands,
     /*  926472 */     // GIR_Coverage, 15873,
     /*  926472 */     GIR_EraseRootFromParent_Done,
     /*  926473 */   // Label 14023: @926473
     /*  926473 */   GIM_Try, /*On fail goto*//*Label 14024*/ GIMT_Encode4(926564), // Rule ID 15874 //
     /*  926478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  926481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  926489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  926492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  926495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926525 */     // MIs[1] Operand 1
     /*  926525 */     // No operand predicates
     /*  926525 */     // MIs[0] round
     /*  926525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926537 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  926537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  926540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926562 */     GIR_RootConstrainSelectedInstOperands,
     /*  926563 */     // GIR_Coverage, 15874,
     /*  926563 */     GIR_EraseRootFromParent_Done,
     /*  926564 */   // Label 14024: @926564
     /*  926564 */   GIM_Try, /*On fail goto*//*Label 14025*/ GIMT_Encode4(926655), // Rule ID 15877 //
     /*  926569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  926580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  926583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  926586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926616 */     // MIs[1] Operand 1
     /*  926616 */     // No operand predicates
     /*  926616 */     // MIs[0] round
     /*  926616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926628 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  926628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  926631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926653 */     GIR_RootConstrainSelectedInstOperands,
     /*  926654 */     // GIR_Coverage, 15877,
     /*  926654 */     GIR_EraseRootFromParent_Done,
     /*  926655 */   // Label 14025: @926655
     /*  926655 */   GIM_Try, /*On fail goto*//*Label 14026*/ GIMT_Encode4(926746), // Rule ID 15878 //
     /*  926660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  926671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  926674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  926677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926707 */     // MIs[1] Operand 1
     /*  926707 */     // No operand predicates
     /*  926707 */     // MIs[0] round
     /*  926707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926719 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  926719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  926722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926744 */     GIR_RootConstrainSelectedInstOperands,
     /*  926745 */     // GIR_Coverage, 15878,
     /*  926745 */     GIR_EraseRootFromParent_Done,
     /*  926746 */   // Label 14026: @926746
     /*  926746 */   GIM_Try, /*On fail goto*//*Label 14027*/ GIMT_Encode4(926837), // Rule ID 15881 //
     /*  926751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  926762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  926765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  926768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926798 */     // MIs[1] Operand 1
     /*  926798 */     // No operand predicates
     /*  926798 */     // MIs[0] round
     /*  926798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926810 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  926810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  926813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926822 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926835 */     GIR_RootConstrainSelectedInstOperands,
     /*  926836 */     // GIR_Coverage, 15881,
     /*  926836 */     GIR_EraseRootFromParent_Done,
     /*  926837 */   // Label 14027: @926837
     /*  926837 */   GIM_Try, /*On fail goto*//*Label 14028*/ GIMT_Encode4(926928), // Rule ID 15882 //
     /*  926842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  926853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  926856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  926859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926889 */     // MIs[1] Operand 1
     /*  926889 */     // No operand predicates
     /*  926889 */     // MIs[0] round
     /*  926889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926901 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  926901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  926904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926913 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926926 */     GIR_RootConstrainSelectedInstOperands,
     /*  926927 */     // GIR_Coverage, 15882,
     /*  926927 */     GIR_EraseRootFromParent_Done,
     /*  926928 */   // Label 14028: @926928
     /*  926928 */   GIM_Try, /*On fail goto*//*Label 14029*/ GIMT_Encode4(927019), // Rule ID 15885 //
     /*  926933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  926941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  926944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  926947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  926950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926980 */     // MIs[1] Operand 1
     /*  926980 */     // No operand predicates
     /*  926980 */     // MIs[0] round
     /*  926980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926992 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  926992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  926995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927017 */     GIR_RootConstrainSelectedInstOperands,
     /*  927018 */     // GIR_Coverage, 15885,
     /*  927018 */     GIR_EraseRootFromParent_Done,
     /*  927019 */   // Label 14029: @927019
     /*  927019 */   GIM_Try, /*On fail goto*//*Label 14030*/ GIMT_Encode4(927110), // Rule ID 15886 //
     /*  927024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  927035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  927038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  927041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927071 */     // MIs[1] Operand 1
     /*  927071 */     // No operand predicates
     /*  927071 */     // MIs[0] round
     /*  927071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927083 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  927083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  927086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927108 */     GIR_RootConstrainSelectedInstOperands,
     /*  927109 */     // GIR_Coverage, 15886,
     /*  927109 */     GIR_EraseRootFromParent_Done,
     /*  927110 */   // Label 14030: @927110
     /*  927110 */   GIM_Try, /*On fail goto*//*Label 14031*/ GIMT_Encode4(927201), // Rule ID 15889 //
     /*  927115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  927126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  927129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  927132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927162 */     // MIs[1] Operand 1
     /*  927162 */     // No operand predicates
     /*  927162 */     // MIs[0] round
     /*  927162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927174 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  927174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  927177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927186 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927199 */     GIR_RootConstrainSelectedInstOperands,
     /*  927200 */     // GIR_Coverage, 15889,
     /*  927200 */     GIR_EraseRootFromParent_Done,
     /*  927201 */   // Label 14031: @927201
     /*  927201 */   GIM_Try, /*On fail goto*//*Label 14032*/ GIMT_Encode4(927292), // Rule ID 15890 //
     /*  927206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  927217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  927220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  927223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927253 */     // MIs[1] Operand 1
     /*  927253 */     // No operand predicates
     /*  927253 */     // MIs[0] round
     /*  927253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927265 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  927265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  927268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927290 */     GIR_RootConstrainSelectedInstOperands,
     /*  927291 */     // GIR_Coverage, 15890,
     /*  927291 */     GIR_EraseRootFromParent_Done,
     /*  927292 */   // Label 14032: @927292
     /*  927292 */   GIM_Try, /*On fail goto*//*Label 14033*/ GIMT_Encode4(927383), // Rule ID 15893 //
     /*  927297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  927308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  927311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  927314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927344 */     // MIs[1] Operand 1
     /*  927344 */     // No operand predicates
     /*  927344 */     // MIs[0] round
     /*  927344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927356 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  927356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  927359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927368 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927381 */     GIR_RootConstrainSelectedInstOperands,
     /*  927382 */     // GIR_Coverage, 15893,
     /*  927382 */     GIR_EraseRootFromParent_Done,
     /*  927383 */   // Label 14033: @927383
     /*  927383 */   GIM_Try, /*On fail goto*//*Label 14034*/ GIMT_Encode4(927474), // Rule ID 15894 //
     /*  927388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  927399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  927402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  927405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927435 */     // MIs[1] Operand 1
     /*  927435 */     // No operand predicates
     /*  927435 */     // MIs[0] round
     /*  927435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927447 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  927447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  927450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927472 */     GIR_RootConstrainSelectedInstOperands,
     /*  927473 */     // GIR_Coverage, 15894,
     /*  927473 */     GIR_EraseRootFromParent_Done,
     /*  927474 */   // Label 14034: @927474
     /*  927474 */   GIM_Try, /*On fail goto*//*Label 14035*/ GIMT_Encode4(927565), // Rule ID 15897 //
     /*  927479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  927490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  927493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  927496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927526 */     // MIs[1] Operand 1
     /*  927526 */     // No operand predicates
     /*  927526 */     // MIs[0] round
     /*  927526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927538 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  927538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  927541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927550 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927563 */     GIR_RootConstrainSelectedInstOperands,
     /*  927564 */     // GIR_Coverage, 15897,
     /*  927564 */     GIR_EraseRootFromParent_Done,
     /*  927565 */   // Label 14035: @927565
     /*  927565 */   GIM_Try, /*On fail goto*//*Label 14036*/ GIMT_Encode4(927656), // Rule ID 15898 //
     /*  927570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  927581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  927584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  927587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927617 */     // MIs[1] Operand 1
     /*  927617 */     // No operand predicates
     /*  927617 */     // MIs[0] round
     /*  927617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927629 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  927629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  927632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927654 */     GIR_RootConstrainSelectedInstOperands,
     /*  927655 */     // GIR_Coverage, 15898,
     /*  927655 */     GIR_EraseRootFromParent_Done,
     /*  927656 */   // Label 14036: @927656
     /*  927656 */   GIM_Try, /*On fail goto*//*Label 14037*/ GIMT_Encode4(927747), // Rule ID 15901 //
     /*  927661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  927672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  927675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  927678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927708 */     // MIs[1] Operand 1
     /*  927708 */     // No operand predicates
     /*  927708 */     // MIs[0] round
     /*  927708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927720 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  927720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  927723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927732 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927745 */     GIR_RootConstrainSelectedInstOperands,
     /*  927746 */     // GIR_Coverage, 15901,
     /*  927746 */     GIR_EraseRootFromParent_Done,
     /*  927747 */   // Label 14037: @927747
     /*  927747 */   GIM_Try, /*On fail goto*//*Label 14038*/ GIMT_Encode4(927838), // Rule ID 15902 //
     /*  927752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  927763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  927766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  927769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927799 */     // MIs[1] Operand 1
     /*  927799 */     // No operand predicates
     /*  927799 */     // MIs[0] round
     /*  927799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927811 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  927811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  927814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927836 */     GIR_RootConstrainSelectedInstOperands,
     /*  927837 */     // GIR_Coverage, 15902,
     /*  927837 */     GIR_EraseRootFromParent_Done,
     /*  927838 */   // Label 14038: @927838
     /*  927838 */   GIM_Try, /*On fail goto*//*Label 14039*/ GIMT_Encode4(927929), // Rule ID 15905 //
     /*  927843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  927854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  927857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  927860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927890 */     // MIs[1] Operand 1
     /*  927890 */     // No operand predicates
     /*  927890 */     // MIs[0] round
     /*  927890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927902 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  927902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  927905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927914 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927927 */     GIR_RootConstrainSelectedInstOperands,
     /*  927928 */     // GIR_Coverage, 15905,
     /*  927928 */     GIR_EraseRootFromParent_Done,
     /*  927929 */   // Label 14039: @927929
     /*  927929 */   GIM_Try, /*On fail goto*//*Label 14040*/ GIMT_Encode4(928020), // Rule ID 15906 //
     /*  927934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  927942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  927945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  927948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  927951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927981 */     // MIs[1] Operand 1
     /*  927981 */     // No operand predicates
     /*  927981 */     // MIs[0] round
     /*  927981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927993 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  927993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  927996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928018 */     GIR_RootConstrainSelectedInstOperands,
     /*  928019 */     // GIR_Coverage, 15906,
     /*  928019 */     GIR_EraseRootFromParent_Done,
     /*  928020 */   // Label 14040: @928020
     /*  928020 */   GIM_Try, /*On fail goto*//*Label 14041*/ GIMT_Encode4(928111), // Rule ID 15909 //
     /*  928025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  928036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  928039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  928042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928072 */     // MIs[1] Operand 1
     /*  928072 */     // No operand predicates
     /*  928072 */     // MIs[0] round
     /*  928072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928084 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  928084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  928087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928109 */     GIR_RootConstrainSelectedInstOperands,
     /*  928110 */     // GIR_Coverage, 15909,
     /*  928110 */     GIR_EraseRootFromParent_Done,
     /*  928111 */   // Label 14041: @928111
     /*  928111 */   GIM_Try, /*On fail goto*//*Label 14042*/ GIMT_Encode4(928202), // Rule ID 15910 //
     /*  928116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  928127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  928130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  928133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928163 */     // MIs[1] Operand 1
     /*  928163 */     // No operand predicates
     /*  928163 */     // MIs[0] round
     /*  928163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928175 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  928175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  928178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928200 */     GIR_RootConstrainSelectedInstOperands,
     /*  928201 */     // GIR_Coverage, 15910,
     /*  928201 */     GIR_EraseRootFromParent_Done,
     /*  928202 */   // Label 14042: @928202
     /*  928202 */   GIM_Try, /*On fail goto*//*Label 14043*/ GIMT_Encode4(928293), // Rule ID 15913 //
     /*  928207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  928210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  928218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  928221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  928224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928254 */     // MIs[1] Operand 1
     /*  928254 */     // No operand predicates
     /*  928254 */     // MIs[0] round
     /*  928254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928266 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  928266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  928269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928291 */     GIR_RootConstrainSelectedInstOperands,
     /*  928292 */     // GIR_Coverage, 15913,
     /*  928292 */     GIR_EraseRootFromParent_Done,
     /*  928293 */   // Label 14043: @928293
     /*  928293 */   GIM_Try, /*On fail goto*//*Label 14044*/ GIMT_Encode4(928384), // Rule ID 15914 //
     /*  928298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  928301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  928309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  928312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  928315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928345 */     // MIs[1] Operand 1
     /*  928345 */     // No operand predicates
     /*  928345 */     // MIs[0] round
     /*  928345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928357 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  928357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  928360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928382 */     GIR_RootConstrainSelectedInstOperands,
     /*  928383 */     // GIR_Coverage, 15914,
     /*  928383 */     GIR_EraseRootFromParent_Done,
     /*  928384 */   // Label 14044: @928384
     /*  928384 */   GIM_Try, /*On fail goto*//*Label 14045*/ GIMT_Encode4(928475), // Rule ID 15917 //
     /*  928389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  928392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  928400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  928403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  928406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928436 */     // MIs[1] Operand 1
     /*  928436 */     // No operand predicates
     /*  928436 */     // MIs[0] round
     /*  928436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928448 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  928448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  928451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928460 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928473 */     GIR_RootConstrainSelectedInstOperands,
     /*  928474 */     // GIR_Coverage, 15917,
     /*  928474 */     GIR_EraseRootFromParent_Done,
     /*  928475 */   // Label 14045: @928475
     /*  928475 */   GIM_Try, /*On fail goto*//*Label 14046*/ GIMT_Encode4(928566), // Rule ID 15918 //
     /*  928480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  928483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  928491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  928494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  928497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928527 */     // MIs[1] Operand 1
     /*  928527 */     // No operand predicates
     /*  928527 */     // MIs[0] round
     /*  928527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928539 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  928539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  928542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928564 */     GIR_RootConstrainSelectedInstOperands,
     /*  928565 */     // GIR_Coverage, 15918,
     /*  928565 */     GIR_EraseRootFromParent_Done,
     /*  928566 */   // Label 14046: @928566
     /*  928566 */   GIM_Try, /*On fail goto*//*Label 14047*/ GIMT_Encode4(928657), // Rule ID 15921 //
     /*  928571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  928574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  928582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  928585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  928588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928618 */     // MIs[1] Operand 1
     /*  928618 */     // No operand predicates
     /*  928618 */     // MIs[0] round
     /*  928618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928630 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  928630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  928633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928655 */     GIR_RootConstrainSelectedInstOperands,
     /*  928656 */     // GIR_Coverage, 15921,
     /*  928656 */     GIR_EraseRootFromParent_Done,
     /*  928657 */   // Label 14047: @928657
     /*  928657 */   GIM_Try, /*On fail goto*//*Label 14048*/ GIMT_Encode4(928748), // Rule ID 15922 //
     /*  928662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  928665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  928670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  928673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  928676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  928679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928709 */     // MIs[1] Operand 1
     /*  928709 */     // No operand predicates
     /*  928709 */     // MIs[0] round
     /*  928709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  928721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  928724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928746 */     GIR_RootConstrainSelectedInstOperands,
     /*  928747 */     // GIR_Coverage, 15922,
     /*  928747 */     GIR_EraseRootFromParent_Done,
     /*  928748 */   // Label 14048: @928748
     /*  928748 */   GIM_Try, /*On fail goto*//*Label 14049*/ GIMT_Encode4(928839), // Rule ID 16101 //
     /*  928753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  928761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  928764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  928767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  928770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928800 */     // MIs[1] Operand 1
     /*  928800 */     // No operand predicates
     /*  928800 */     // MIs[0] round
     /*  928800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928812 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  928812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  928815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928824 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928837 */     GIR_RootConstrainSelectedInstOperands,
     /*  928838 */     // GIR_Coverage, 16101,
     /*  928838 */     GIR_EraseRootFromParent_Done,
     /*  928839 */   // Label 14049: @928839
     /*  928839 */   GIM_Try, /*On fail goto*//*Label 14050*/ GIMT_Encode4(928930), // Rule ID 16102 //
     /*  928844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  928852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  928855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  928858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  928861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928891 */     // MIs[1] Operand 1
     /*  928891 */     // No operand predicates
     /*  928891 */     // MIs[0] round
     /*  928891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928903 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  928903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  928906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928928 */     GIR_RootConstrainSelectedInstOperands,
     /*  928929 */     // GIR_Coverage, 16102,
     /*  928929 */     GIR_EraseRootFromParent_Done,
     /*  928930 */   // Label 14050: @928930
     /*  928930 */   GIM_Try, /*On fail goto*//*Label 14051*/ GIMT_Encode4(929021), // Rule ID 16105 //
     /*  928935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  928943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  928946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  928949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  928952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928982 */     // MIs[1] Operand 1
     /*  928982 */     // No operand predicates
     /*  928982 */     // MIs[0] round
     /*  928982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928994 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  928994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  928997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929006 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  929016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929019 */     GIR_RootConstrainSelectedInstOperands,
     /*  929020 */     // GIR_Coverage, 16105,
     /*  929020 */     GIR_EraseRootFromParent_Done,
     /*  929021 */   // Label 14051: @929021
     /*  929021 */   GIM_Try, /*On fail goto*//*Label 14052*/ GIMT_Encode4(929112), // Rule ID 16106 //
     /*  929026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  929034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  929037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  929040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  929043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929073 */     // MIs[1] Operand 1
     /*  929073 */     // No operand predicates
     /*  929073 */     // MIs[0] round
     /*  929073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929085 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  929085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  929088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  929107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929110 */     GIR_RootConstrainSelectedInstOperands,
     /*  929111 */     // GIR_Coverage, 16106,
     /*  929111 */     GIR_EraseRootFromParent_Done,
     /*  929112 */   // Label 14052: @929112
     /*  929112 */   GIM_Try, /*On fail goto*//*Label 14053*/ GIMT_Encode4(929203), // Rule ID 16109 //
     /*  929117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  929125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  929128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  929131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  929134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929164 */     // MIs[1] Operand 1
     /*  929164 */     // No operand predicates
     /*  929164 */     // MIs[0] round
     /*  929164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929176 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  929176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  929179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  929198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929201 */     GIR_RootConstrainSelectedInstOperands,
     /*  929202 */     // GIR_Coverage, 16109,
     /*  929202 */     GIR_EraseRootFromParent_Done,
     /*  929203 */   // Label 14053: @929203
     /*  929203 */   GIM_Try, /*On fail goto*//*Label 14054*/ GIMT_Encode4(929294), // Rule ID 16110 //
     /*  929208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  929216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  929219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  929222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  929225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929255 */     // MIs[1] Operand 1
     /*  929255 */     // No operand predicates
     /*  929255 */     // MIs[0] round
     /*  929255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929267 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  929267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  929270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  929289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929292 */     GIR_RootConstrainSelectedInstOperands,
     /*  929293 */     // GIR_Coverage, 16110,
     /*  929293 */     GIR_EraseRootFromParent_Done,
     /*  929294 */   // Label 14054: @929294
     /*  929294 */   GIM_Try, /*On fail goto*//*Label 14055*/ GIMT_Encode4(929385), // Rule ID 16113 //
     /*  929299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  929307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  929310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  929313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  929316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929346 */     // MIs[1] Operand 1
     /*  929346 */     // No operand predicates
     /*  929346 */     // MIs[0] round
     /*  929346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929358 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  929358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  929361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929370 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929383 */     GIR_RootConstrainSelectedInstOperands,
     /*  929384 */     // GIR_Coverage, 16113,
     /*  929384 */     GIR_EraseRootFromParent_Done,
     /*  929385 */   // Label 14055: @929385
     /*  929385 */   GIM_Try, /*On fail goto*//*Label 14056*/ GIMT_Encode4(929476), // Rule ID 16114 //
     /*  929390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  929398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  929401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  929404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  929407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929437 */     // MIs[1] Operand 1
     /*  929437 */     // No operand predicates
     /*  929437 */     // MIs[0] round
     /*  929437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929449 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  929449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  929452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929474 */     GIR_RootConstrainSelectedInstOperands,
     /*  929475 */     // GIR_Coverage, 16114,
     /*  929475 */     GIR_EraseRootFromParent_Done,
     /*  929476 */   // Label 14056: @929476
     /*  929476 */   GIM_Try, /*On fail goto*//*Label 14057*/ GIMT_Encode4(929567), // Rule ID 16117 //
     /*  929481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  929489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  929492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  929495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  929498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929528 */     // MIs[1] Operand 1
     /*  929528 */     // No operand predicates
     /*  929528 */     // MIs[0] round
     /*  929528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929540 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  929540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  929543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929552 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929565 */     GIR_RootConstrainSelectedInstOperands,
     /*  929566 */     // GIR_Coverage, 16117,
     /*  929566 */     GIR_EraseRootFromParent_Done,
     /*  929567 */   // Label 14057: @929567
     /*  929567 */   GIM_Try, /*On fail goto*//*Label 14058*/ GIMT_Encode4(929658), // Rule ID 16118 //
     /*  929572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  929580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  929583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  929586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  929589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929619 */     // MIs[1] Operand 1
     /*  929619 */     // No operand predicates
     /*  929619 */     // MIs[0] round
     /*  929619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929631 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  929631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  929634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929656 */     GIR_RootConstrainSelectedInstOperands,
     /*  929657 */     // GIR_Coverage, 16118,
     /*  929657 */     GIR_EraseRootFromParent_Done,
     /*  929658 */   // Label 14058: @929658
     /*  929658 */   GIM_Try, /*On fail goto*//*Label 14059*/ GIMT_Encode4(929749), // Rule ID 16121 //
     /*  929663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  929671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  929674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  929677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  929680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929710 */     // MIs[1] Operand 1
     /*  929710 */     // No operand predicates
     /*  929710 */     // MIs[0] round
     /*  929710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929722 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  929722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  929725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929747 */     GIR_RootConstrainSelectedInstOperands,
     /*  929748 */     // GIR_Coverage, 16121,
     /*  929748 */     GIR_EraseRootFromParent_Done,
     /*  929749 */   // Label 14059: @929749
     /*  929749 */   GIM_Try, /*On fail goto*//*Label 14060*/ GIMT_Encode4(929840), // Rule ID 16122 //
     /*  929754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  929762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  929765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  929768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  929771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929801 */     // MIs[1] Operand 1
     /*  929801 */     // No operand predicates
     /*  929801 */     // MIs[0] round
     /*  929801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929813 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  929813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  929816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929825 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929838 */     GIR_RootConstrainSelectedInstOperands,
     /*  929839 */     // GIR_Coverage, 16122,
     /*  929839 */     GIR_EraseRootFromParent_Done,
     /*  929840 */   // Label 14060: @929840
     /*  929840 */   GIM_Try, /*On fail goto*//*Label 14061*/ GIMT_Encode4(929931), // Rule ID 16125 //
     /*  929845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  929853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  929856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  929859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  929862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929892 */     // MIs[1] Operand 1
     /*  929892 */     // No operand predicates
     /*  929892 */     // MIs[0] round
     /*  929892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929904 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  929904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  929907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  929926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929929 */     GIR_RootConstrainSelectedInstOperands,
     /*  929930 */     // GIR_Coverage, 16125,
     /*  929930 */     GIR_EraseRootFromParent_Done,
     /*  929931 */   // Label 14061: @929931
     /*  929931 */   GIM_Try, /*On fail goto*//*Label 14062*/ GIMT_Encode4(930022), // Rule ID 16126 //
     /*  929936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  929944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  929947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  929950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  929953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929983 */     // MIs[1] Operand 1
     /*  929983 */     // No operand predicates
     /*  929983 */     // MIs[0] round
     /*  929983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929995 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  929995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  929998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930004 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930020 */     GIR_RootConstrainSelectedInstOperands,
     /*  930021 */     // GIR_Coverage, 16126,
     /*  930021 */     GIR_EraseRootFromParent_Done,
     /*  930022 */   // Label 14062: @930022
     /*  930022 */   GIM_Try, /*On fail goto*//*Label 14063*/ GIMT_Encode4(930113), // Rule ID 16129 //
     /*  930027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  930038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  930041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  930044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930074 */     // MIs[1] Operand 1
     /*  930074 */     // No operand predicates
     /*  930074 */     // MIs[0] round
     /*  930074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930086 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  930086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  930089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  930108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930111 */     GIR_RootConstrainSelectedInstOperands,
     /*  930112 */     // GIR_Coverage, 16129,
     /*  930112 */     GIR_EraseRootFromParent_Done,
     /*  930113 */   // Label 14063: @930113
     /*  930113 */   GIM_Try, /*On fail goto*//*Label 14064*/ GIMT_Encode4(930204), // Rule ID 16130 //
     /*  930118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  930129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  930132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  930135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930165 */     // MIs[1] Operand 1
     /*  930165 */     // No operand predicates
     /*  930165 */     // MIs[0] round
     /*  930165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930177 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  930177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  930180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  930199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930202 */     GIR_RootConstrainSelectedInstOperands,
     /*  930203 */     // GIR_Coverage, 16130,
     /*  930203 */     GIR_EraseRootFromParent_Done,
     /*  930204 */   // Label 14064: @930204
     /*  930204 */   GIM_Try, /*On fail goto*//*Label 14065*/ GIMT_Encode4(930295), // Rule ID 16133 //
     /*  930209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  930220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  930223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  930226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930256 */     // MIs[1] Operand 1
     /*  930256 */     // No operand predicates
     /*  930256 */     // MIs[0] round
     /*  930256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930268 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  930268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  930271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930293 */     GIR_RootConstrainSelectedInstOperands,
     /*  930294 */     // GIR_Coverage, 16133,
     /*  930294 */     GIR_EraseRootFromParent_Done,
     /*  930295 */   // Label 14065: @930295
     /*  930295 */   GIM_Try, /*On fail goto*//*Label 14066*/ GIMT_Encode4(930386), // Rule ID 16134 //
     /*  930300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  930311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  930314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  930317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930347 */     // MIs[1] Operand 1
     /*  930347 */     // No operand predicates
     /*  930347 */     // MIs[0] round
     /*  930347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930359 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  930359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  930362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930384 */     GIR_RootConstrainSelectedInstOperands,
     /*  930385 */     // GIR_Coverage, 16134,
     /*  930385 */     GIR_EraseRootFromParent_Done,
     /*  930386 */   // Label 14066: @930386
     /*  930386 */   GIM_Try, /*On fail goto*//*Label 14067*/ GIMT_Encode4(930477), // Rule ID 16137 //
     /*  930391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  930394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  930402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  930405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  930408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930438 */     // MIs[1] Operand 1
     /*  930438 */     // No operand predicates
     /*  930438 */     // MIs[0] round
     /*  930438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930450 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  930450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  930453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930462 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930475 */     GIR_RootConstrainSelectedInstOperands,
     /*  930476 */     // GIR_Coverage, 16137,
     /*  930476 */     GIR_EraseRootFromParent_Done,
     /*  930477 */   // Label 14067: @930477
     /*  930477 */   GIM_Try, /*On fail goto*//*Label 14068*/ GIMT_Encode4(930568), // Rule ID 16138 //
     /*  930482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  930485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  930493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  930496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  930499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930529 */     // MIs[1] Operand 1
     /*  930529 */     // No operand predicates
     /*  930529 */     // MIs[0] round
     /*  930529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930541 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  930541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  930544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930553 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930566 */     GIR_RootConstrainSelectedInstOperands,
     /*  930567 */     // GIR_Coverage, 16138,
     /*  930567 */     GIR_EraseRootFromParent_Done,
     /*  930568 */   // Label 14068: @930568
     /*  930568 */   GIM_Try, /*On fail goto*//*Label 14069*/ GIMT_Encode4(930659), // Rule ID 16141 //
     /*  930573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  930584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  930587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  930590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930620 */     // MIs[1] Operand 1
     /*  930620 */     // No operand predicates
     /*  930620 */     // MIs[0] round
     /*  930620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930632 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  930635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930657 */     GIR_RootConstrainSelectedInstOperands,
     /*  930658 */     // GIR_Coverage, 16141,
     /*  930658 */     GIR_EraseRootFromParent_Done,
     /*  930659 */   // Label 14069: @930659
     /*  930659 */   GIM_Try, /*On fail goto*//*Label 14070*/ GIMT_Encode4(930750), // Rule ID 16142 //
     /*  930664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  930675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  930678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  930681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930711 */     // MIs[1] Operand 1
     /*  930711 */     // No operand predicates
     /*  930711 */     // MIs[0] round
     /*  930711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930723 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  930723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  930726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930748 */     GIR_RootConstrainSelectedInstOperands,
     /*  930749 */     // GIR_Coverage, 16142,
     /*  930749 */     GIR_EraseRootFromParent_Done,
     /*  930750 */   // Label 14070: @930750
     /*  930750 */   GIM_Try, /*On fail goto*//*Label 14071*/ GIMT_Encode4(930841), // Rule ID 16145 //
     /*  930755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  930766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  930769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  930772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930802 */     // MIs[1] Operand 1
     /*  930802 */     // No operand predicates
     /*  930802 */     // MIs[0] round
     /*  930802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930814 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  930817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930826 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930839 */     GIR_RootConstrainSelectedInstOperands,
     /*  930840 */     // GIR_Coverage, 16145,
     /*  930840 */     GIR_EraseRootFromParent_Done,
     /*  930841 */   // Label 14071: @930841
     /*  930841 */   GIM_Try, /*On fail goto*//*Label 14072*/ GIMT_Encode4(930932), // Rule ID 16146 //
     /*  930846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  930857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  930860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  930863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930893 */     // MIs[1] Operand 1
     /*  930893 */     // No operand predicates
     /*  930893 */     // MIs[0] round
     /*  930893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930905 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  930905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  930908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930930 */     GIR_RootConstrainSelectedInstOperands,
     /*  930931 */     // GIR_Coverage, 16146,
     /*  930931 */     GIR_EraseRootFromParent_Done,
     /*  930932 */   // Label 14072: @930932
     /*  930932 */   GIM_Try, /*On fail goto*//*Label 14073*/ GIMT_Encode4(931023), // Rule ID 16149 //
     /*  930937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  930945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  930948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  930951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  930954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930984 */     // MIs[1] Operand 1
     /*  930984 */     // No operand predicates
     /*  930984 */     // MIs[0] round
     /*  930984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930996 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  930999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931008 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931021 */     GIR_RootConstrainSelectedInstOperands,
     /*  931022 */     // GIR_Coverage, 16149,
     /*  931022 */     GIR_EraseRootFromParent_Done,
     /*  931023 */   // Label 14073: @931023
     /*  931023 */   GIM_Try, /*On fail goto*//*Label 14074*/ GIMT_Encode4(931114), // Rule ID 16150 //
     /*  931028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  931039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  931042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  931045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931075 */     // MIs[1] Operand 1
     /*  931075 */     // No operand predicates
     /*  931075 */     // MIs[0] round
     /*  931075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931087 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  931090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931112 */     GIR_RootConstrainSelectedInstOperands,
     /*  931113 */     // GIR_Coverage, 16150,
     /*  931113 */     GIR_EraseRootFromParent_Done,
     /*  931114 */   // Label 14074: @931114
     /*  931114 */   GIM_Try, /*On fail goto*//*Label 14075*/ GIMT_Encode4(931205), // Rule ID 16153 //
     /*  931119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  931130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  931133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  931136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931166 */     // MIs[1] Operand 1
     /*  931166 */     // No operand predicates
     /*  931166 */     // MIs[0] round
     /*  931166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931178 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  931178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  931181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931190 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931203 */     GIR_RootConstrainSelectedInstOperands,
     /*  931204 */     // GIR_Coverage, 16153,
     /*  931204 */     GIR_EraseRootFromParent_Done,
     /*  931205 */   // Label 14075: @931205
     /*  931205 */   GIM_Try, /*On fail goto*//*Label 14076*/ GIMT_Encode4(931296), // Rule ID 16154 //
     /*  931210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  931221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  931224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  931227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931257 */     // MIs[1] Operand 1
     /*  931257 */     // No operand predicates
     /*  931257 */     // MIs[0] round
     /*  931257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931269 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  931269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  931272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931281 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931294 */     GIR_RootConstrainSelectedInstOperands,
     /*  931295 */     // GIR_Coverage, 16154,
     /*  931295 */     GIR_EraseRootFromParent_Done,
     /*  931296 */   // Label 14076: @931296
     /*  931296 */   GIM_Try, /*On fail goto*//*Label 14077*/ GIMT_Encode4(931387), // Rule ID 16157 //
     /*  931301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  931312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  931315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  931318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931348 */     // MIs[1] Operand 1
     /*  931348 */     // No operand predicates
     /*  931348 */     // MIs[0] round
     /*  931348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931360 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  931360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  931363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931372 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931385 */     GIR_RootConstrainSelectedInstOperands,
     /*  931386 */     // GIR_Coverage, 16157,
     /*  931386 */     GIR_EraseRootFromParent_Done,
     /*  931387 */   // Label 14077: @931387
     /*  931387 */   GIM_Try, /*On fail goto*//*Label 14078*/ GIMT_Encode4(931478), // Rule ID 16158 //
     /*  931392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  931403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  931406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  931409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931439 */     // MIs[1] Operand 1
     /*  931439 */     // No operand predicates
     /*  931439 */     // MIs[0] round
     /*  931439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931451 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  931451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  931454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931476 */     GIR_RootConstrainSelectedInstOperands,
     /*  931477 */     // GIR_Coverage, 16158,
     /*  931477 */     GIR_EraseRootFromParent_Done,
     /*  931478 */   // Label 14078: @931478
     /*  931478 */   GIM_Try, /*On fail goto*//*Label 14079*/ GIMT_Encode4(931569), // Rule ID 16161 //
     /*  931483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  931494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  931497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  931500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931530 */     // MIs[1] Operand 1
     /*  931530 */     // No operand predicates
     /*  931530 */     // MIs[0] round
     /*  931530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931542 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  931542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  931545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931554 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931567 */     GIR_RootConstrainSelectedInstOperands,
     /*  931568 */     // GIR_Coverage, 16161,
     /*  931568 */     GIR_EraseRootFromParent_Done,
     /*  931569 */   // Label 14079: @931569
     /*  931569 */   GIM_Try, /*On fail goto*//*Label 14080*/ GIMT_Encode4(931660), // Rule ID 16162 //
     /*  931574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  931585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  931588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  931591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931621 */     // MIs[1] Operand 1
     /*  931621 */     // No operand predicates
     /*  931621 */     // MIs[0] round
     /*  931621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931633 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  931633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  931636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931658 */     GIR_RootConstrainSelectedInstOperands,
     /*  931659 */     // GIR_Coverage, 16162,
     /*  931659 */     GIR_EraseRootFromParent_Done,
     /*  931660 */   // Label 14080: @931660
     /*  931660 */   GIM_Try, /*On fail goto*//*Label 14081*/ GIMT_Encode4(931751), // Rule ID 16165 //
     /*  931665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  931676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  931679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  931682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931712 */     // MIs[1] Operand 1
     /*  931712 */     // No operand predicates
     /*  931712 */     // MIs[0] round
     /*  931712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  931724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  931727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931749 */     GIR_RootConstrainSelectedInstOperands,
     /*  931750 */     // GIR_Coverage, 16165,
     /*  931750 */     GIR_EraseRootFromParent_Done,
     /*  931751 */   // Label 14081: @931751
     /*  931751 */   GIM_Try, /*On fail goto*//*Label 14082*/ GIMT_Encode4(931842), // Rule ID 16166 //
     /*  931756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  931767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  931770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  931773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931803 */     // MIs[1] Operand 1
     /*  931803 */     // No operand predicates
     /*  931803 */     // MIs[0] round
     /*  931803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931815 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  931815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  931818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931840 */     GIR_RootConstrainSelectedInstOperands,
     /*  931841 */     // GIR_Coverage, 16166,
     /*  931841 */     GIR_EraseRootFromParent_Done,
     /*  931842 */   // Label 14082: @931842
     /*  931842 */   GIM_Try, /*On fail goto*//*Label 14083*/ GIMT_Encode4(931933), // Rule ID 16169 //
     /*  931847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  931858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  931861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  931864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931894 */     // MIs[1] Operand 1
     /*  931894 */     // No operand predicates
     /*  931894 */     // MIs[0] round
     /*  931894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931906 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  931906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  931909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931931 */     GIR_RootConstrainSelectedInstOperands,
     /*  931932 */     // GIR_Coverage, 16169,
     /*  931932 */     GIR_EraseRootFromParent_Done,
     /*  931933 */   // Label 14083: @931933
     /*  931933 */   GIM_Try, /*On fail goto*//*Label 14084*/ GIMT_Encode4(932024), // Rule ID 16170 //
     /*  931938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  931946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  931949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  931952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  931955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931985 */     // MIs[1] Operand 1
     /*  931985 */     // No operand predicates
     /*  931985 */     // MIs[0] round
     /*  931985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931997 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  931997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  932000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932022 */     GIR_RootConstrainSelectedInstOperands,
     /*  932023 */     // GIR_Coverage, 16170,
     /*  932023 */     GIR_EraseRootFromParent_Done,
     /*  932024 */   // Label 14084: @932024
     /*  932024 */   GIM_Try, /*On fail goto*//*Label 14085*/ GIMT_Encode4(932115), // Rule ID 16173 //
     /*  932029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  932040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  932043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  932046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932076 */     // MIs[1] Operand 1
     /*  932076 */     // No operand predicates
     /*  932076 */     // MIs[0] round
     /*  932076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932088 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  932088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  932091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932100 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932113 */     GIR_RootConstrainSelectedInstOperands,
     /*  932114 */     // GIR_Coverage, 16173,
     /*  932114 */     GIR_EraseRootFromParent_Done,
     /*  932115 */   // Label 14085: @932115
     /*  932115 */   GIM_Try, /*On fail goto*//*Label 14086*/ GIMT_Encode4(932206), // Rule ID 16174 //
     /*  932120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  932131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  932134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  932137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932167 */     // MIs[1] Operand 1
     /*  932167 */     // No operand predicates
     /*  932167 */     // MIs[0] round
     /*  932167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932179 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  932179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  932182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932204 */     GIR_RootConstrainSelectedInstOperands,
     /*  932205 */     // GIR_Coverage, 16174,
     /*  932205 */     GIR_EraseRootFromParent_Done,
     /*  932206 */   // Label 14086: @932206
     /*  932206 */   GIM_Try, /*On fail goto*//*Label 14087*/ GIMT_Encode4(932297), // Rule ID 16177 //
     /*  932211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  932214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  932222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  932225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  932228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932258 */     // MIs[1] Operand 1
     /*  932258 */     // No operand predicates
     /*  932258 */     // MIs[0] round
     /*  932258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932270 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  932270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  932273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932295 */     GIR_RootConstrainSelectedInstOperands,
     /*  932296 */     // GIR_Coverage, 16177,
     /*  932296 */     GIR_EraseRootFromParent_Done,
     /*  932297 */   // Label 14087: @932297
     /*  932297 */   GIM_Try, /*On fail goto*//*Label 14088*/ GIMT_Encode4(932388), // Rule ID 16178 //
     /*  932302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  932305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  932313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  932316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  932319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932349 */     // MIs[1] Operand 1
     /*  932349 */     // No operand predicates
     /*  932349 */     // MIs[0] round
     /*  932349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  932361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  932364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932386 */     GIR_RootConstrainSelectedInstOperands,
     /*  932387 */     // GIR_Coverage, 16178,
     /*  932387 */     GIR_EraseRootFromParent_Done,
     /*  932388 */   // Label 14088: @932388
     /*  932388 */   GIM_Try, /*On fail goto*//*Label 14089*/ GIMT_Encode4(932479), // Rule ID 16181 //
     /*  932393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  932396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  932404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  932407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  932410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932440 */     // MIs[1] Operand 1
     /*  932440 */     // No operand predicates
     /*  932440 */     // MIs[0] round
     /*  932440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932452 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  932452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  932455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932464 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932477 */     GIR_RootConstrainSelectedInstOperands,
     /*  932478 */     // GIR_Coverage, 16181,
     /*  932478 */     GIR_EraseRootFromParent_Done,
     /*  932479 */   // Label 14089: @932479
     /*  932479 */   GIM_Try, /*On fail goto*//*Label 14090*/ GIMT_Encode4(932570), // Rule ID 16182 //
     /*  932484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  932487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  932495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  932498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  932501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932531 */     // MIs[1] Operand 1
     /*  932531 */     // No operand predicates
     /*  932531 */     // MIs[0] round
     /*  932531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932543 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  932543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  932546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932568 */     GIR_RootConstrainSelectedInstOperands,
     /*  932569 */     // GIR_Coverage, 16182,
     /*  932569 */     GIR_EraseRootFromParent_Done,
     /*  932570 */   // Label 14090: @932570
     /*  932570 */   GIM_Try, /*On fail goto*//*Label 14091*/ GIMT_Encode4(932661), // Rule ID 16185 //
     /*  932575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  932578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  932586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  932589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  932592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932622 */     // MIs[1] Operand 1
     /*  932622 */     // No operand predicates
     /*  932622 */     // MIs[0] round
     /*  932622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932634 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  932634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  932637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932646 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932659 */     GIR_RootConstrainSelectedInstOperands,
     /*  932660 */     // GIR_Coverage, 16185,
     /*  932660 */     GIR_EraseRootFromParent_Done,
     /*  932661 */   // Label 14091: @932661
     /*  932661 */   GIM_Try, /*On fail goto*//*Label 14092*/ GIMT_Encode4(932752), // Rule ID 16186 //
     /*  932666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  932669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  932674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  932677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  932680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  932683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932713 */     // MIs[1] Operand 1
     /*  932713 */     // No operand predicates
     /*  932713 */     // MIs[0] round
     /*  932713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932725 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  932725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  932728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932750 */     GIR_RootConstrainSelectedInstOperands,
     /*  932751 */     // GIR_Coverage, 16186,
     /*  932751 */     GIR_EraseRootFromParent_Done,
     /*  932752 */   // Label 14092: @932752
     /*  932752 */   GIM_Try, /*On fail goto*//*Label 14093*/ GIMT_Encode4(932846), // Rule ID 16309 //
     /*  932757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  932765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  932768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  932771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  932774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932804 */     // MIs[1] Operand 1
     /*  932804 */     // No operand predicates
     /*  932804 */     // MIs[0] round
     /*  932804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932816 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  932819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932841 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  932844 */     GIR_RootConstrainSelectedInstOperands,
     /*  932845 */     // GIR_Coverage, 16309,
     /*  932845 */     GIR_EraseRootFromParent_Done,
     /*  932846 */   // Label 14093: @932846
     /*  932846 */   GIM_Try, /*On fail goto*//*Label 14094*/ GIMT_Encode4(932940), // Rule ID 16310 //
     /*  932851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  932859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  932862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  932865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  932868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932898 */     // MIs[1] Operand 1
     /*  932898 */     // No operand predicates
     /*  932898 */     // MIs[0] round
     /*  932898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932910 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  932910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  932913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  932938 */     GIR_RootConstrainSelectedInstOperands,
     /*  932939 */     // GIR_Coverage, 16310,
     /*  932939 */     GIR_EraseRootFromParent_Done,
     /*  932940 */   // Label 14094: @932940
     /*  932940 */   GIM_Try, /*On fail goto*//*Label 14095*/ GIMT_Encode4(933034), // Rule ID 16313 //
     /*  932945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  932953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  932956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  932959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  932962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932992 */     // MIs[1] Operand 1
     /*  932992 */     // No operand predicates
     /*  932992 */     // MIs[0] round
     /*  932992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933004 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  933004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  933007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  933032 */     GIR_RootConstrainSelectedInstOperands,
     /*  933033 */     // GIR_Coverage, 16313,
     /*  933033 */     GIR_EraseRootFromParent_Done,
     /*  933034 */   // Label 14095: @933034
     /*  933034 */   GIM_Try, /*On fail goto*//*Label 14096*/ GIMT_Encode4(933128), // Rule ID 16314 //
     /*  933039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  933047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  933050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  933053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  933056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933086 */     // MIs[1] Operand 1
     /*  933086 */     // No operand predicates
     /*  933086 */     // MIs[0] round
     /*  933086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933098 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  933098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  933101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933110 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  933126 */     GIR_RootConstrainSelectedInstOperands,
     /*  933127 */     // GIR_Coverage, 16314,
     /*  933127 */     GIR_EraseRootFromParent_Done,
     /*  933128 */   // Label 14096: @933128
     /*  933128 */   GIM_Try, /*On fail goto*//*Label 14097*/ GIMT_Encode4(933222), // Rule ID 16317 //
     /*  933133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  933141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  933144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  933147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  933150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933180 */     // MIs[1] Operand 1
     /*  933180 */     // No operand predicates
     /*  933180 */     // MIs[0] round
     /*  933180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933192 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  933192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  933195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933217 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  933220 */     GIR_RootConstrainSelectedInstOperands,
     /*  933221 */     // GIR_Coverage, 16317,
     /*  933221 */     GIR_EraseRootFromParent_Done,
     /*  933222 */   // Label 14097: @933222
     /*  933222 */   GIM_Try, /*On fail goto*//*Label 14098*/ GIMT_Encode4(933316), // Rule ID 16318 //
     /*  933227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  933235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  933238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  933241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  933244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933274 */     // MIs[1] Operand 1
     /*  933274 */     // No operand predicates
     /*  933274 */     // MIs[0] round
     /*  933274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933286 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  933286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  933289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  933314 */     GIR_RootConstrainSelectedInstOperands,
     /*  933315 */     // GIR_Coverage, 16318,
     /*  933315 */     GIR_EraseRootFromParent_Done,
     /*  933316 */   // Label 14098: @933316
     /*  933316 */   GIM_Try, /*On fail goto*//*Label 14099*/ GIMT_Encode4(933410), // Rule ID 16321 //
     /*  933321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  933329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  933332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  933335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  933338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933368 */     // MIs[1] Operand 1
     /*  933368 */     // No operand predicates
     /*  933368 */     // MIs[0] round
     /*  933368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933380 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  933380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  933383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933392 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  933408 */     GIR_RootConstrainSelectedInstOperands,
     /*  933409 */     // GIR_Coverage, 16321,
     /*  933409 */     GIR_EraseRootFromParent_Done,
     /*  933410 */   // Label 14099: @933410
     /*  933410 */   GIM_Try, /*On fail goto*//*Label 14100*/ GIMT_Encode4(933504), // Rule ID 16322 //
     /*  933415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  933423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  933426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  933429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  933432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933462 */     // MIs[1] Operand 1
     /*  933462 */     // No operand predicates
     /*  933462 */     // MIs[0] round
     /*  933462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933474 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  933474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  933477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933486 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  933502 */     GIR_RootConstrainSelectedInstOperands,
     /*  933503 */     // GIR_Coverage, 16322,
     /*  933503 */     GIR_EraseRootFromParent_Done,
     /*  933504 */   // Label 14100: @933504
     /*  933504 */   GIM_Try, /*On fail goto*//*Label 14101*/ GIMT_Encode4(933598), // Rule ID 16325 //
     /*  933509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  933517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  933520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  933523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  933526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933556 */     // MIs[1] Operand 1
     /*  933556 */     // No operand predicates
     /*  933556 */     // MIs[0] round
     /*  933556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933568 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  933568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  933571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933580 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933593 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  933596 */     GIR_RootConstrainSelectedInstOperands,
     /*  933597 */     // GIR_Coverage, 16325,
     /*  933597 */     GIR_EraseRootFromParent_Done,
     /*  933598 */   // Label 14101: @933598
     /*  933598 */   GIM_Try, /*On fail goto*//*Label 14102*/ GIMT_Encode4(933692), // Rule ID 16326 //
     /*  933603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  933611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  933614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  933617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  933620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933650 */     // MIs[1] Operand 1
     /*  933650 */     // No operand predicates
     /*  933650 */     // MIs[0] round
     /*  933650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933662 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  933662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  933665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933674 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  933690 */     GIR_RootConstrainSelectedInstOperands,
     /*  933691 */     // GIR_Coverage, 16326,
     /*  933691 */     GIR_EraseRootFromParent_Done,
     /*  933692 */   // Label 14102: @933692
     /*  933692 */   GIM_Try, /*On fail goto*//*Label 14103*/ GIMT_Encode4(933786), // Rule ID 16329 //
     /*  933697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  933705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  933708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  933711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  933714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933744 */     // MIs[1] Operand 1
     /*  933744 */     // No operand predicates
     /*  933744 */     // MIs[0] round
     /*  933744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933756 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  933756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  933759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933768 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  933784 */     GIR_RootConstrainSelectedInstOperands,
     /*  933785 */     // GIR_Coverage, 16329,
     /*  933785 */     GIR_EraseRootFromParent_Done,
     /*  933786 */   // Label 14103: @933786
     /*  933786 */   GIM_Try, /*On fail goto*//*Label 14104*/ GIMT_Encode4(933880), // Rule ID 16330 //
     /*  933791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  933799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  933802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  933805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  933808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933838 */     // MIs[1] Operand 1
     /*  933838 */     // No operand predicates
     /*  933838 */     // MIs[0] round
     /*  933838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933850 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  933850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  933853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933862 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933875 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  933878 */     GIR_RootConstrainSelectedInstOperands,
     /*  933879 */     // GIR_Coverage, 16330,
     /*  933879 */     GIR_EraseRootFromParent_Done,
     /*  933880 */   // Label 14104: @933880
     /*  933880 */   GIM_Try, /*On fail goto*//*Label 14105*/ GIMT_Encode4(933974), // Rule ID 16333 //
     /*  933885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  933893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  933896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  933899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  933902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933932 */     // MIs[1] Operand 1
     /*  933932 */     // No operand predicates
     /*  933932 */     // MIs[0] round
     /*  933932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933944 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  933944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  933947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933956 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933969 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  933972 */     GIR_RootConstrainSelectedInstOperands,
     /*  933973 */     // GIR_Coverage, 16333,
     /*  933973 */     GIR_EraseRootFromParent_Done,
     /*  933974 */   // Label 14105: @933974
     /*  933974 */   GIM_Try, /*On fail goto*//*Label 14106*/ GIMT_Encode4(934068), // Rule ID 16334 //
     /*  933979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  933987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  933990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  933993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  933996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934026 */     // MIs[1] Operand 1
     /*  934026 */     // No operand predicates
     /*  934026 */     // MIs[0] round
     /*  934026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934038 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  934038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  934041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934050 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934066 */     GIR_RootConstrainSelectedInstOperands,
     /*  934067 */     // GIR_Coverage, 16334,
     /*  934067 */     GIR_EraseRootFromParent_Done,
     /*  934068 */   // Label 14106: @934068
     /*  934068 */   GIM_Try, /*On fail goto*//*Label 14107*/ GIMT_Encode4(934162), // Rule ID 16337 //
     /*  934073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  934084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  934087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  934090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934120 */     // MIs[1] Operand 1
     /*  934120 */     // No operand predicates
     /*  934120 */     // MIs[0] round
     /*  934120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934132 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  934132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  934135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934144 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934157 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934160 */     GIR_RootConstrainSelectedInstOperands,
     /*  934161 */     // GIR_Coverage, 16337,
     /*  934161 */     GIR_EraseRootFromParent_Done,
     /*  934162 */   // Label 14107: @934162
     /*  934162 */   GIM_Try, /*On fail goto*//*Label 14108*/ GIMT_Encode4(934256), // Rule ID 16338 //
     /*  934167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  934178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  934181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  934184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934214 */     // MIs[1] Operand 1
     /*  934214 */     // No operand predicates
     /*  934214 */     // MIs[0] round
     /*  934214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934226 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  934226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  934229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934254 */     GIR_RootConstrainSelectedInstOperands,
     /*  934255 */     // GIR_Coverage, 16338,
     /*  934255 */     GIR_EraseRootFromParent_Done,
     /*  934256 */   // Label 14108: @934256
     /*  934256 */   GIM_Try, /*On fail goto*//*Label 14109*/ GIMT_Encode4(934350), // Rule ID 16341 //
     /*  934261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  934272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  934275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  934278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934308 */     // MIs[1] Operand 1
     /*  934308 */     // No operand predicates
     /*  934308 */     // MIs[0] round
     /*  934308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934320 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  934320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  934323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934332 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934345 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934348 */     GIR_RootConstrainSelectedInstOperands,
     /*  934349 */     // GIR_Coverage, 16341,
     /*  934349 */     GIR_EraseRootFromParent_Done,
     /*  934350 */   // Label 14109: @934350
     /*  934350 */   GIM_Try, /*On fail goto*//*Label 14110*/ GIMT_Encode4(934444), // Rule ID 16342 //
     /*  934355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  934366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  934369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  934372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934402 */     // MIs[1] Operand 1
     /*  934402 */     // No operand predicates
     /*  934402 */     // MIs[0] round
     /*  934402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  934414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  934417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934426 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934442 */     GIR_RootConstrainSelectedInstOperands,
     /*  934443 */     // GIR_Coverage, 16342,
     /*  934443 */     GIR_EraseRootFromParent_Done,
     /*  934444 */   // Label 14110: @934444
     /*  934444 */   GIM_Try, /*On fail goto*//*Label 14111*/ GIMT_Encode4(934538), // Rule ID 16345 //
     /*  934449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  934460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  934463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  934466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934496 */     // MIs[1] Operand 1
     /*  934496 */     // No operand predicates
     /*  934496 */     // MIs[0] round
     /*  934496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934508 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  934508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  934511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934533 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934536 */     GIR_RootConstrainSelectedInstOperands,
     /*  934537 */     // GIR_Coverage, 16345,
     /*  934537 */     GIR_EraseRootFromParent_Done,
     /*  934538 */   // Label 14111: @934538
     /*  934538 */   GIM_Try, /*On fail goto*//*Label 14112*/ GIMT_Encode4(934632), // Rule ID 16346 //
     /*  934543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  934554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  934557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  934560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934590 */     // MIs[1] Operand 1
     /*  934590 */     // No operand predicates
     /*  934590 */     // MIs[0] round
     /*  934590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934602 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  934602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  934605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934627 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934630 */     GIR_RootConstrainSelectedInstOperands,
     /*  934631 */     // GIR_Coverage, 16346,
     /*  934631 */     GIR_EraseRootFromParent_Done,
     /*  934632 */   // Label 14112: @934632
     /*  934632 */   GIM_Try, /*On fail goto*//*Label 14113*/ GIMT_Encode4(934726), // Rule ID 16349 //
     /*  934637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  934648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  934651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  934654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934684 */     // MIs[1] Operand 1
     /*  934684 */     // No operand predicates
     /*  934684 */     // MIs[0] round
     /*  934684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  934696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  934699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934724 */     GIR_RootConstrainSelectedInstOperands,
     /*  934725 */     // GIR_Coverage, 16349,
     /*  934725 */     GIR_EraseRootFromParent_Done,
     /*  934726 */   // Label 14113: @934726
     /*  934726 */   GIM_Try, /*On fail goto*//*Label 14114*/ GIMT_Encode4(934820), // Rule ID 16350 //
     /*  934731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  934742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  934745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  934748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934778 */     // MIs[1] Operand 1
     /*  934778 */     // No operand predicates
     /*  934778 */     // MIs[0] round
     /*  934778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934790 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  934790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  934793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934818 */     GIR_RootConstrainSelectedInstOperands,
     /*  934819 */     // GIR_Coverage, 16350,
     /*  934819 */     GIR_EraseRootFromParent_Done,
     /*  934820 */   // Label 14114: @934820
     /*  934820 */   GIM_Try, /*On fail goto*//*Label 14115*/ GIMT_Encode4(934914), // Rule ID 16353 //
     /*  934825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  934828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  934836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  934839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  934842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934872 */     // MIs[1] Operand 1
     /*  934872 */     // No operand predicates
     /*  934872 */     // MIs[0] round
     /*  934872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934884 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  934884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  934887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  934912 */     GIR_RootConstrainSelectedInstOperands,
     /*  934913 */     // GIR_Coverage, 16353,
     /*  934913 */     GIR_EraseRootFromParent_Done,
     /*  934914 */   // Label 14115: @934914
     /*  934914 */   GIM_Try, /*On fail goto*//*Label 14116*/ GIMT_Encode4(935008), // Rule ID 16354 //
     /*  934919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  934922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  934927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  934930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  934933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  934936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934966 */     // MIs[1] Operand 1
     /*  934966 */     // No operand predicates
     /*  934966 */     // MIs[0] round
     /*  934966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934978 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  934978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  934981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934990 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935003 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935006 */     GIR_RootConstrainSelectedInstOperands,
     /*  935007 */     // GIR_Coverage, 16354,
     /*  935007 */     GIR_EraseRootFromParent_Done,
     /*  935008 */   // Label 14116: @935008
     /*  935008 */   GIM_Try, /*On fail goto*//*Label 14117*/ GIMT_Encode4(935102), // Rule ID 16357 //
     /*  935013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  935016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  935024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  935027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  935030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935060 */     // MIs[1] Operand 1
     /*  935060 */     // No operand predicates
     /*  935060 */     // MIs[0] round
     /*  935060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935072 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  935072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  935075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935097 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935100 */     GIR_RootConstrainSelectedInstOperands,
     /*  935101 */     // GIR_Coverage, 16357,
     /*  935101 */     GIR_EraseRootFromParent_Done,
     /*  935102 */   // Label 14117: @935102
     /*  935102 */   GIM_Try, /*On fail goto*//*Label 14118*/ GIMT_Encode4(935196), // Rule ID 16358 //
     /*  935107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  935110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  935118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  935121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  935124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935154 */     // MIs[1] Operand 1
     /*  935154 */     // No operand predicates
     /*  935154 */     // MIs[0] round
     /*  935154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935166 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  935166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  935169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935191 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935194 */     GIR_RootConstrainSelectedInstOperands,
     /*  935195 */     // GIR_Coverage, 16358,
     /*  935195 */     GIR_EraseRootFromParent_Done,
     /*  935196 */   // Label 14118: @935196
     /*  935196 */   GIM_Try, /*On fail goto*//*Label 14119*/ GIMT_Encode4(935290), // Rule ID 16361 //
     /*  935201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  935204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  935212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  935215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  935218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935248 */     // MIs[1] Operand 1
     /*  935248 */     // No operand predicates
     /*  935248 */     // MIs[0] round
     /*  935248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935260 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  935260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  935263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935272 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935288 */     GIR_RootConstrainSelectedInstOperands,
     /*  935289 */     // GIR_Coverage, 16361,
     /*  935289 */     GIR_EraseRootFromParent_Done,
     /*  935290 */   // Label 14119: @935290
     /*  935290 */   GIM_Try, /*On fail goto*//*Label 14120*/ GIMT_Encode4(935384), // Rule ID 16362 //
     /*  935295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  935298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  935306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  935309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  935312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935342 */     // MIs[1] Operand 1
     /*  935342 */     // No operand predicates
     /*  935342 */     // MIs[0] round
     /*  935342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935354 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  935354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  935357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935366 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935379 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935382 */     GIR_RootConstrainSelectedInstOperands,
     /*  935383 */     // GIR_Coverage, 16362,
     /*  935383 */     GIR_EraseRootFromParent_Done,
     /*  935384 */   // Label 14120: @935384
     /*  935384 */   GIM_Try, /*On fail goto*//*Label 14121*/ GIMT_Encode4(935478), // Rule ID 16365 //
     /*  935389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  935392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  935400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  935403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  935406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935436 */     // MIs[1] Operand 1
     /*  935436 */     // No operand predicates
     /*  935436 */     // MIs[0] round
     /*  935436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935448 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  935448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  935451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935460 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935476 */     GIR_RootConstrainSelectedInstOperands,
     /*  935477 */     // GIR_Coverage, 16365,
     /*  935477 */     GIR_EraseRootFromParent_Done,
     /*  935478 */   // Label 14121: @935478
     /*  935478 */   GIM_Try, /*On fail goto*//*Label 14122*/ GIMT_Encode4(935572), // Rule ID 16366 //
     /*  935483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  935486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  935491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  935494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  935497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  935500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935530 */     // MIs[1] Operand 1
     /*  935530 */     // No operand predicates
     /*  935530 */     // MIs[0] round
     /*  935530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935542 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  935542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  935545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935554 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935570 */     GIR_RootConstrainSelectedInstOperands,
     /*  935571 */     // GIR_Coverage, 16366,
     /*  935571 */     GIR_EraseRootFromParent_Done,
     /*  935572 */   // Label 14122: @935572
     /*  935572 */   GIM_Try, /*On fail goto*//*Label 14123*/ GIMT_Encode4(935666), // Rule ID 16489 //
     /*  935577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  935585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  935588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  935591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  935594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935624 */     // MIs[1] Operand 1
     /*  935624 */     // No operand predicates
     /*  935624 */     // MIs[0] round
     /*  935624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935636 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  935636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  935639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935648 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935661 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935664 */     GIR_RootConstrainSelectedInstOperands,
     /*  935665 */     // GIR_Coverage, 16489,
     /*  935665 */     GIR_EraseRootFromParent_Done,
     /*  935666 */   // Label 14123: @935666
     /*  935666 */   GIM_Try, /*On fail goto*//*Label 14124*/ GIMT_Encode4(935760), // Rule ID 16490 //
     /*  935671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  935679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  935682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  935685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  935688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935718 */     // MIs[1] Operand 1
     /*  935718 */     // No operand predicates
     /*  935718 */     // MIs[0] round
     /*  935718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935730 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  935733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935742 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935755 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935758 */     GIR_RootConstrainSelectedInstOperands,
     /*  935759 */     // GIR_Coverage, 16490,
     /*  935759 */     GIR_EraseRootFromParent_Done,
     /*  935760 */   // Label 14124: @935760
     /*  935760 */   GIM_Try, /*On fail goto*//*Label 14125*/ GIMT_Encode4(935854), // Rule ID 16493 //
     /*  935765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  935773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  935776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  935779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  935782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935812 */     // MIs[1] Operand 1
     /*  935812 */     // No operand predicates
     /*  935812 */     // MIs[0] round
     /*  935812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935824 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  935824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  935827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935836 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935849 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935852 */     GIR_RootConstrainSelectedInstOperands,
     /*  935853 */     // GIR_Coverage, 16493,
     /*  935853 */     GIR_EraseRootFromParent_Done,
     /*  935854 */   // Label 14125: @935854
     /*  935854 */   GIM_Try, /*On fail goto*//*Label 14126*/ GIMT_Encode4(935948), // Rule ID 16494 //
     /*  935859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  935867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  935870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  935873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  935876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935906 */     // MIs[1] Operand 1
     /*  935906 */     // No operand predicates
     /*  935906 */     // MIs[0] round
     /*  935906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935918 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  935921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935930 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935943 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  935946 */     GIR_RootConstrainSelectedInstOperands,
     /*  935947 */     // GIR_Coverage, 16494,
     /*  935947 */     GIR_EraseRootFromParent_Done,
     /*  935948 */   // Label 14126: @935948
     /*  935948 */   GIM_Try, /*On fail goto*//*Label 14127*/ GIMT_Encode4(936042), // Rule ID 16497 //
     /*  935953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  935961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  935964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  935967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  935970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936000 */     // MIs[1] Operand 1
     /*  936000 */     // No operand predicates
     /*  936000 */     // MIs[0] round
     /*  936000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936012 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  936012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  936015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936024 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936037 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936040 */     GIR_RootConstrainSelectedInstOperands,
     /*  936041 */     // GIR_Coverage, 16497,
     /*  936041 */     GIR_EraseRootFromParent_Done,
     /*  936042 */   // Label 14127: @936042
     /*  936042 */   GIM_Try, /*On fail goto*//*Label 14128*/ GIMT_Encode4(936136), // Rule ID 16498 //
     /*  936047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  936055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  936058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  936061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  936064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936094 */     // MIs[1] Operand 1
     /*  936094 */     // No operand predicates
     /*  936094 */     // MIs[0] round
     /*  936094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936106 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  936106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  936109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936131 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936134 */     GIR_RootConstrainSelectedInstOperands,
     /*  936135 */     // GIR_Coverage, 16498,
     /*  936135 */     GIR_EraseRootFromParent_Done,
     /*  936136 */   // Label 14128: @936136
     /*  936136 */   GIM_Try, /*On fail goto*//*Label 14129*/ GIMT_Encode4(936230), // Rule ID 16501 //
     /*  936141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  936149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  936152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  936155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  936158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936188 */     // MIs[1] Operand 1
     /*  936188 */     // No operand predicates
     /*  936188 */     // MIs[0] round
     /*  936188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936200 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  936200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  936203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936212 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936228 */     GIR_RootConstrainSelectedInstOperands,
     /*  936229 */     // GIR_Coverage, 16501,
     /*  936229 */     GIR_EraseRootFromParent_Done,
     /*  936230 */   // Label 14129: @936230
     /*  936230 */   GIM_Try, /*On fail goto*//*Label 14130*/ GIMT_Encode4(936324), // Rule ID 16502 //
     /*  936235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  936243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  936246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  936249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  936252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936282 */     // MIs[1] Operand 1
     /*  936282 */     // No operand predicates
     /*  936282 */     // MIs[0] round
     /*  936282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936294 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  936294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  936297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936306 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936319 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936322 */     GIR_RootConstrainSelectedInstOperands,
     /*  936323 */     // GIR_Coverage, 16502,
     /*  936323 */     GIR_EraseRootFromParent_Done,
     /*  936324 */   // Label 14130: @936324
     /*  936324 */   GIM_Try, /*On fail goto*//*Label 14131*/ GIMT_Encode4(936418), // Rule ID 16505 //
     /*  936329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  936337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  936340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  936343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  936346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936376 */     // MIs[1] Operand 1
     /*  936376 */     // No operand predicates
     /*  936376 */     // MIs[0] round
     /*  936376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936388 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  936388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  936391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936416 */     GIR_RootConstrainSelectedInstOperands,
     /*  936417 */     // GIR_Coverage, 16505,
     /*  936417 */     GIR_EraseRootFromParent_Done,
     /*  936418 */   // Label 14131: @936418
     /*  936418 */   GIM_Try, /*On fail goto*//*Label 14132*/ GIMT_Encode4(936512), // Rule ID 16506 //
     /*  936423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  936431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  936434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  936437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  936440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936470 */     // MIs[1] Operand 1
     /*  936470 */     // No operand predicates
     /*  936470 */     // MIs[0] round
     /*  936470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936482 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  936482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  936485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936510 */     GIR_RootConstrainSelectedInstOperands,
     /*  936511 */     // GIR_Coverage, 16506,
     /*  936511 */     GIR_EraseRootFromParent_Done,
     /*  936512 */   // Label 14132: @936512
     /*  936512 */   GIM_Try, /*On fail goto*//*Label 14133*/ GIMT_Encode4(936606), // Rule ID 16509 //
     /*  936517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  936525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  936528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  936531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  936534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936564 */     // MIs[1] Operand 1
     /*  936564 */     // No operand predicates
     /*  936564 */     // MIs[0] round
     /*  936564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936576 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  936576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  936579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936601 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936604 */     GIR_RootConstrainSelectedInstOperands,
     /*  936605 */     // GIR_Coverage, 16509,
     /*  936605 */     GIR_EraseRootFromParent_Done,
     /*  936606 */   // Label 14133: @936606
     /*  936606 */   GIM_Try, /*On fail goto*//*Label 14134*/ GIMT_Encode4(936700), // Rule ID 16510 //
     /*  936611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  936619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  936622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  936625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  936628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936658 */     // MIs[1] Operand 1
     /*  936658 */     // No operand predicates
     /*  936658 */     // MIs[0] round
     /*  936658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936670 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  936670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  936673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936698 */     GIR_RootConstrainSelectedInstOperands,
     /*  936699 */     // GIR_Coverage, 16510,
     /*  936699 */     GIR_EraseRootFromParent_Done,
     /*  936700 */   // Label 14134: @936700
     /*  936700 */   GIM_Try, /*On fail goto*//*Label 14135*/ GIMT_Encode4(936794), // Rule ID 16513 //
     /*  936705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  936713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  936716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  936719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  936722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936752 */     // MIs[1] Operand 1
     /*  936752 */     // No operand predicates
     /*  936752 */     // MIs[0] round
     /*  936752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936764 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  936764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  936767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936789 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936792 */     GIR_RootConstrainSelectedInstOperands,
     /*  936793 */     // GIR_Coverage, 16513,
     /*  936793 */     GIR_EraseRootFromParent_Done,
     /*  936794 */   // Label 14135: @936794
     /*  936794 */   GIM_Try, /*On fail goto*//*Label 14136*/ GIMT_Encode4(936888), // Rule ID 16514 //
     /*  936799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  936807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  936810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  936813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  936816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936846 */     // MIs[1] Operand 1
     /*  936846 */     // No operand predicates
     /*  936846 */     // MIs[0] round
     /*  936846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936858 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  936858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  936861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936870 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936883 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936886 */     GIR_RootConstrainSelectedInstOperands,
     /*  936887 */     // GIR_Coverage, 16514,
     /*  936887 */     GIR_EraseRootFromParent_Done,
     /*  936888 */   // Label 14136: @936888
     /*  936888 */   GIM_Try, /*On fail goto*//*Label 14137*/ GIMT_Encode4(936982), // Rule ID 16517 //
     /*  936893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  936901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  936904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  936907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  936910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936940 */     // MIs[1] Operand 1
     /*  936940 */     // No operand predicates
     /*  936940 */     // MIs[0] round
     /*  936940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936952 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  936952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  936955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936977 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  936980 */     GIR_RootConstrainSelectedInstOperands,
     /*  936981 */     // GIR_Coverage, 16517,
     /*  936981 */     GIR_EraseRootFromParent_Done,
     /*  936982 */   // Label 14137: @936982
     /*  936982 */   GIM_Try, /*On fail goto*//*Label 14138*/ GIMT_Encode4(937076), // Rule ID 16518 //
     /*  936987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  936995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  936998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  937001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  937004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937034 */     // MIs[1] Operand 1
     /*  937034 */     // No operand predicates
     /*  937034 */     // MIs[0] round
     /*  937034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937046 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  937046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  937049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937071 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937074 */     GIR_RootConstrainSelectedInstOperands,
     /*  937075 */     // GIR_Coverage, 16518,
     /*  937075 */     GIR_EraseRootFromParent_Done,
     /*  937076 */   // Label 14138: @937076
     /*  937076 */   GIM_Try, /*On fail goto*//*Label 14139*/ GIMT_Encode4(937170), // Rule ID 16521 //
     /*  937081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  937092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  937095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  937098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937128 */     // MIs[1] Operand 1
     /*  937128 */     // No operand predicates
     /*  937128 */     // MIs[0] round
     /*  937128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937140 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  937140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  937143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937152 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937168 */     GIR_RootConstrainSelectedInstOperands,
     /*  937169 */     // GIR_Coverage, 16521,
     /*  937169 */     GIR_EraseRootFromParent_Done,
     /*  937170 */   // Label 14139: @937170
     /*  937170 */   GIM_Try, /*On fail goto*//*Label 14140*/ GIMT_Encode4(937264), // Rule ID 16522 //
     /*  937175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  937186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  937189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  937192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937222 */     // MIs[1] Operand 1
     /*  937222 */     // No operand predicates
     /*  937222 */     // MIs[0] round
     /*  937222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937234 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  937234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  937237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937246 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937262 */     GIR_RootConstrainSelectedInstOperands,
     /*  937263 */     // GIR_Coverage, 16522,
     /*  937263 */     GIR_EraseRootFromParent_Done,
     /*  937264 */   // Label 14140: @937264
     /*  937264 */   GIM_Try, /*On fail goto*//*Label 14141*/ GIMT_Encode4(937358), // Rule ID 16525 //
     /*  937269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  937280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  937283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  937286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937316 */     // MIs[1] Operand 1
     /*  937316 */     // No operand predicates
     /*  937316 */     // MIs[0] round
     /*  937316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937328 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  937328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  937331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937340 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937353 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937356 */     GIR_RootConstrainSelectedInstOperands,
     /*  937357 */     // GIR_Coverage, 16525,
     /*  937357 */     GIR_EraseRootFromParent_Done,
     /*  937358 */   // Label 14141: @937358
     /*  937358 */   GIM_Try, /*On fail goto*//*Label 14142*/ GIMT_Encode4(937452), // Rule ID 16526 //
     /*  937363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  937374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  937377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  937380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937410 */     // MIs[1] Operand 1
     /*  937410 */     // No operand predicates
     /*  937410 */     // MIs[0] round
     /*  937410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937422 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  937422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  937425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937434 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937450 */     GIR_RootConstrainSelectedInstOperands,
     /*  937451 */     // GIR_Coverage, 16526,
     /*  937451 */     GIR_EraseRootFromParent_Done,
     /*  937452 */   // Label 14142: @937452
     /*  937452 */   GIM_Try, /*On fail goto*//*Label 14143*/ GIMT_Encode4(937546), // Rule ID 16529 //
     /*  937457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  937468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  937471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  937474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937504 */     // MIs[1] Operand 1
     /*  937504 */     // No operand predicates
     /*  937504 */     // MIs[0] round
     /*  937504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937516 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  937516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  937519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937528 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937544 */     GIR_RootConstrainSelectedInstOperands,
     /*  937545 */     // GIR_Coverage, 16529,
     /*  937545 */     GIR_EraseRootFromParent_Done,
     /*  937546 */   // Label 14143: @937546
     /*  937546 */   GIM_Try, /*On fail goto*//*Label 14144*/ GIMT_Encode4(937640), // Rule ID 16530 //
     /*  937551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  937562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  937565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  937568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937598 */     // MIs[1] Operand 1
     /*  937598 */     // No operand predicates
     /*  937598 */     // MIs[0] round
     /*  937598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937610 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  937610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  937613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937622 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937638 */     GIR_RootConstrainSelectedInstOperands,
     /*  937639 */     // GIR_Coverage, 16530,
     /*  937639 */     GIR_EraseRootFromParent_Done,
     /*  937640 */   // Label 14144: @937640
     /*  937640 */   GIM_Try, /*On fail goto*//*Label 14145*/ GIMT_Encode4(937734), // Rule ID 16533 //
     /*  937645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  937648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  937656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  937659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  937662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937692 */     // MIs[1] Operand 1
     /*  937692 */     // No operand predicates
     /*  937692 */     // MIs[0] round
     /*  937692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937704 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  937704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  937707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937729 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937732 */     GIR_RootConstrainSelectedInstOperands,
     /*  937733 */     // GIR_Coverage, 16533,
     /*  937733 */     GIR_EraseRootFromParent_Done,
     /*  937734 */   // Label 14145: @937734
     /*  937734 */   GIM_Try, /*On fail goto*//*Label 14146*/ GIMT_Encode4(937828), // Rule ID 16534 //
     /*  937739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  937742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  937750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  937753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  937756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937786 */     // MIs[1] Operand 1
     /*  937786 */     // No operand predicates
     /*  937786 */     // MIs[0] round
     /*  937786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937798 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  937798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  937801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937810 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937823 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937826 */     GIR_RootConstrainSelectedInstOperands,
     /*  937827 */     // GIR_Coverage, 16534,
     /*  937827 */     GIR_EraseRootFromParent_Done,
     /*  937828 */   // Label 14146: @937828
     /*  937828 */   GIM_Try, /*On fail goto*//*Label 14147*/ GIMT_Encode4(937922), // Rule ID 16537 //
     /*  937833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  937836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  937844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  937847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  937850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937880 */     // MIs[1] Operand 1
     /*  937880 */     // No operand predicates
     /*  937880 */     // MIs[0] round
     /*  937880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  937892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  937895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937904 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937917 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  937920 */     GIR_RootConstrainSelectedInstOperands,
     /*  937921 */     // GIR_Coverage, 16537,
     /*  937921 */     GIR_EraseRootFromParent_Done,
     /*  937922 */   // Label 14147: @937922
     /*  937922 */   GIM_Try, /*On fail goto*//*Label 14148*/ GIMT_Encode4(938016), // Rule ID 16538 //
     /*  937927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  937930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  937935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  937938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  937941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  937944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937974 */     // MIs[1] Operand 1
     /*  937974 */     // No operand predicates
     /*  937974 */     // MIs[0] round
     /*  937974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937986 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  937986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  937989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938011 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938014 */     GIR_RootConstrainSelectedInstOperands,
     /*  938015 */     // GIR_Coverage, 16538,
     /*  938015 */     GIR_EraseRootFromParent_Done,
     /*  938016 */   // Label 14148: @938016
     /*  938016 */   GIM_Try, /*On fail goto*//*Label 14149*/ GIMT_Encode4(938110), // Rule ID 16541 //
     /*  938021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  938024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  938032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  938035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  938038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938068 */     // MIs[1] Operand 1
     /*  938068 */     // No operand predicates
     /*  938068 */     // MIs[0] round
     /*  938068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938080 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  938080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  938083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938092 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938108 */     GIR_RootConstrainSelectedInstOperands,
     /*  938109 */     // GIR_Coverage, 16541,
     /*  938109 */     GIR_EraseRootFromParent_Done,
     /*  938110 */   // Label 14149: @938110
     /*  938110 */   GIM_Try, /*On fail goto*//*Label 14150*/ GIMT_Encode4(938204), // Rule ID 16542 //
     /*  938115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  938118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  938126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  938129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  938132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938162 */     // MIs[1] Operand 1
     /*  938162 */     // No operand predicates
     /*  938162 */     // MIs[0] round
     /*  938162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938174 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  938174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  938177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938186 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938199 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938202 */     GIR_RootConstrainSelectedInstOperands,
     /*  938203 */     // GIR_Coverage, 16542,
     /*  938203 */     GIR_EraseRootFromParent_Done,
     /*  938204 */   // Label 14150: @938204
     /*  938204 */   GIM_Try, /*On fail goto*//*Label 14151*/ GIMT_Encode4(938298), // Rule ID 16545 //
     /*  938209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  938212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  938220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  938223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  938226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938256 */     // MIs[1] Operand 1
     /*  938256 */     // No operand predicates
     /*  938256 */     // MIs[0] round
     /*  938256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938268 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  938268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  938271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938296 */     GIR_RootConstrainSelectedInstOperands,
     /*  938297 */     // GIR_Coverage, 16545,
     /*  938297 */     GIR_EraseRootFromParent_Done,
     /*  938298 */   // Label 14151: @938298
     /*  938298 */   GIM_Try, /*On fail goto*//*Label 14152*/ GIMT_Encode4(938392), // Rule ID 16546 //
     /*  938303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  938306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  938311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  938314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  938317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  938320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938350 */     // MIs[1] Operand 1
     /*  938350 */     // No operand predicates
     /*  938350 */     // MIs[0] round
     /*  938350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938362 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  938362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  938365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938387 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  938390 */     GIR_RootConstrainSelectedInstOperands,
     /*  938391 */     // GIR_Coverage, 16546,
     /*  938391 */     GIR_EraseRootFromParent_Done,
     /*  938392 */   // Label 14152: @938392
     /*  938392 */   GIM_Try, /*On fail goto*//*Label 14153*/ GIMT_Encode4(938476), // Rule ID 2621 //
     /*  938397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  938400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  938405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  938408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  938411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  938414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  938417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  938428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  938432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938440 */     // MIs[0] round
     /*  938440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938452 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  938452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  938455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  938474 */     GIR_RootConstrainSelectedInstOperands,
     /*  938475 */     // GIR_Coverage, 2621,
     /*  938475 */     GIR_EraseRootFromParent_Done,
     /*  938476 */   // Label 14153: @938476
     /*  938476 */   GIM_Try, /*On fail goto*//*Label 14154*/ GIMT_Encode4(938560), // Rule ID 2622 //
     /*  938481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  938484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  938489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  938492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  938495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  938498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  938501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  938512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  938516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938524 */     // MIs[0] round
     /*  938524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938536 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  938536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  938539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  938558 */     GIR_RootConstrainSelectedInstOperands,
     /*  938559 */     // GIR_Coverage, 2622,
     /*  938559 */     GIR_EraseRootFromParent_Done,
     /*  938560 */   // Label 14154: @938560
     /*  938560 */   GIM_Try, /*On fail goto*//*Label 14155*/ GIMT_Encode4(938644), // Rule ID 16993 //
     /*  938565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  938568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  938573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  938576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  938579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  938582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  938585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  938596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  938600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938608 */     // MIs[0] round
     /*  938608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938620 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  938620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  938623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  938642 */     GIR_RootConstrainSelectedInstOperands,
     /*  938643 */     // GIR_Coverage, 16993,
     /*  938643 */     GIR_EraseRootFromParent_Done,
     /*  938644 */   // Label 14155: @938644
     /*  938644 */   GIM_Try, /*On fail goto*//*Label 14156*/ GIMT_Encode4(938728), // Rule ID 16994 //
     /*  938649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  938652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  938657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  938660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  938663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  938666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  938669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  938680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  938684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938692 */     // MIs[0] round
     /*  938692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938704 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  938704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  938707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  938726 */     GIR_RootConstrainSelectedInstOperands,
     /*  938727 */     // GIR_Coverage, 16994,
     /*  938727 */     GIR_EraseRootFromParent_Done,
     /*  938728 */   // Label 14156: @938728
     /*  938728 */   GIM_Try, /*On fail goto*//*Label 14157*/ GIMT_Encode4(938812), // Rule ID 17003 //
     /*  938733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  938736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  938741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  938744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  938747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  938750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  938753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  938764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  938768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938776 */     // MIs[0] round
     /*  938776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938788 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  938788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  938791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  938810 */     GIR_RootConstrainSelectedInstOperands,
     /*  938811 */     // GIR_Coverage, 17003,
     /*  938811 */     GIR_EraseRootFromParent_Done,
     /*  938812 */   // Label 14157: @938812
     /*  938812 */   GIM_Try, /*On fail goto*//*Label 14158*/ GIMT_Encode4(938896), // Rule ID 17004 //
     /*  938817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  938820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  938825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  938828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  938831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  938834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  938837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  938848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  938852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938860 */     // MIs[0] round
     /*  938860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938872 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  938872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  938875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938881 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  938894 */     GIR_RootConstrainSelectedInstOperands,
     /*  938895 */     // GIR_Coverage, 17004,
     /*  938895 */     GIR_EraseRootFromParent_Done,
     /*  938896 */   // Label 14158: @938896
     /*  938896 */   GIM_Try, /*On fail goto*//*Label 14159*/ GIMT_Encode4(938980), // Rule ID 17013 //
     /*  938901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  938904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  938909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  938912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  938915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  938918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  938921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  938932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  938936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938944 */     // MIs[0] round
     /*  938944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938956 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  938956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  938959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  938978 */     GIR_RootConstrainSelectedInstOperands,
     /*  938979 */     // GIR_Coverage, 17013,
     /*  938979 */     GIR_EraseRootFromParent_Done,
     /*  938980 */   // Label 14159: @938980
     /*  938980 */   GIM_Try, /*On fail goto*//*Label 14160*/ GIMT_Encode4(939064), // Rule ID 17014 //
     /*  938985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  938988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  938993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  938996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  938999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  939002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  939005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939028 */     // MIs[0] round
     /*  939028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939040 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  939040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  939043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939062 */     GIR_RootConstrainSelectedInstOperands,
     /*  939063 */     // GIR_Coverage, 17014,
     /*  939063 */     GIR_EraseRootFromParent_Done,
     /*  939064 */   // Label 14160: @939064
     /*  939064 */   GIM_Try, /*On fail goto*//*Label 14161*/ GIMT_Encode4(939148), // Rule ID 17023 //
     /*  939069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  939072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  939080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  939083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  939086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  939089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939112 */     // MIs[0] round
     /*  939112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939124 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  939124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  939127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939146 */     GIR_RootConstrainSelectedInstOperands,
     /*  939147 */     // GIR_Coverage, 17023,
     /*  939147 */     GIR_EraseRootFromParent_Done,
     /*  939148 */   // Label 14161: @939148
     /*  939148 */   GIM_Try, /*On fail goto*//*Label 14162*/ GIMT_Encode4(939232), // Rule ID 17024 //
     /*  939153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  939156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  939164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  939167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  939170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  939173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939196 */     // MIs[0] round
     /*  939196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939208 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  939208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  939211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939217 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939230 */     GIR_RootConstrainSelectedInstOperands,
     /*  939231 */     // GIR_Coverage, 17024,
     /*  939231 */     GIR_EraseRootFromParent_Done,
     /*  939232 */   // Label 14162: @939232
     /*  939232 */   GIM_Try, /*On fail goto*//*Label 14163*/ GIMT_Encode4(939316), // Rule ID 17033 //
     /*  939237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  939240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  939248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  939251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  939254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  939257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939280 */     // MIs[0] round
     /*  939280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939292 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  939292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  939295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939314 */     GIR_RootConstrainSelectedInstOperands,
     /*  939315 */     // GIR_Coverage, 17033,
     /*  939315 */     GIR_EraseRootFromParent_Done,
     /*  939316 */   // Label 14163: @939316
     /*  939316 */   GIM_Try, /*On fail goto*//*Label 14164*/ GIMT_Encode4(939400), // Rule ID 17034 //
     /*  939321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  939324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  939332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  939335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  939338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  939341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939364 */     // MIs[0] round
     /*  939364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939376 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  939376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  939379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939398 */     GIR_RootConstrainSelectedInstOperands,
     /*  939399 */     // GIR_Coverage, 17034,
     /*  939399 */     GIR_EraseRootFromParent_Done,
     /*  939400 */   // Label 14164: @939400
     /*  939400 */   GIM_Try, /*On fail goto*//*Label 14165*/ GIMT_Encode4(939484), // Rule ID 17043 //
     /*  939405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  939408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  939416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  939419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  939422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  939425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939448 */     // MIs[0] round
     /*  939448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939460 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  939460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  939463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939482 */     GIR_RootConstrainSelectedInstOperands,
     /*  939483 */     // GIR_Coverage, 17043,
     /*  939483 */     GIR_EraseRootFromParent_Done,
     /*  939484 */   // Label 14165: @939484
     /*  939484 */   GIM_Try, /*On fail goto*//*Label 14166*/ GIMT_Encode4(939568), // Rule ID 17044 //
     /*  939489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  939492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  939500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  939503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  939506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  939509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939532 */     // MIs[0] round
     /*  939532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939544 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  939544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  939547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939553 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939566 */     GIR_RootConstrainSelectedInstOperands,
     /*  939567 */     // GIR_Coverage, 17044,
     /*  939567 */     GIR_EraseRootFromParent_Done,
     /*  939568 */   // Label 14166: @939568
     /*  939568 */   GIM_Try, /*On fail goto*//*Label 14167*/ GIMT_Encode4(939652), // Rule ID 17053 //
     /*  939573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  939576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  939584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  939587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  939590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  939593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939616 */     // MIs[0] round
     /*  939616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939628 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  939628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  939631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939650 */     GIR_RootConstrainSelectedInstOperands,
     /*  939651 */     // GIR_Coverage, 17053,
     /*  939651 */     GIR_EraseRootFromParent_Done,
     /*  939652 */   // Label 14167: @939652
     /*  939652 */   GIM_Try, /*On fail goto*//*Label 14168*/ GIMT_Encode4(939736), // Rule ID 17054 //
     /*  939657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  939660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  939668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  939671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  939674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  939677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939700 */     // MIs[0] round
     /*  939700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939712 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  939712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  939715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939734 */     GIR_RootConstrainSelectedInstOperands,
     /*  939735 */     // GIR_Coverage, 17054,
     /*  939735 */     GIR_EraseRootFromParent_Done,
     /*  939736 */   // Label 14168: @939736
     /*  939736 */   GIM_Try, /*On fail goto*//*Label 14169*/ GIMT_Encode4(939820), // Rule ID 17063 //
     /*  939741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  939744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  939752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  939755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  939758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  939761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939784 */     // MIs[0] round
     /*  939784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939796 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  939796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  939799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939818 */     GIR_RootConstrainSelectedInstOperands,
     /*  939819 */     // GIR_Coverage, 17063,
     /*  939819 */     GIR_EraseRootFromParent_Done,
     /*  939820 */   // Label 14169: @939820
     /*  939820 */   GIM_Try, /*On fail goto*//*Label 14170*/ GIMT_Encode4(939904), // Rule ID 17064 //
     /*  939825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  939828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  939833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  939836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  939839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  939842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  939845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939868 */     // MIs[0] round
     /*  939868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939880 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  939880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  939883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939902 */     GIR_RootConstrainSelectedInstOperands,
     /*  939903 */     // GIR_Coverage, 17064,
     /*  939903 */     GIR_EraseRootFromParent_Done,
     /*  939904 */   // Label 14170: @939904
     /*  939904 */   GIM_Try, /*On fail goto*//*Label 14171*/ GIMT_Encode4(939988), // Rule ID 17109 //
     /*  939909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  939912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  939917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  939920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  939923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  939926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  939929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  939940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  939944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939952 */     // MIs[0] round
     /*  939952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939964 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  939964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  939967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  939986 */     GIR_RootConstrainSelectedInstOperands,
     /*  939987 */     // GIR_Coverage, 17109,
     /*  939987 */     GIR_EraseRootFromParent_Done,
     /*  939988 */   // Label 14171: @939988
     /*  939988 */   GIM_Try, /*On fail goto*//*Label 14172*/ GIMT_Encode4(940072), // Rule ID 17110 //
     /*  939993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  939996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  940001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  940004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  940007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  940010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  940013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940036 */     // MIs[0] round
     /*  940036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940048 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  940051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940070 */     GIR_RootConstrainSelectedInstOperands,
     /*  940071 */     // GIR_Coverage, 17110,
     /*  940071 */     GIR_EraseRootFromParent_Done,
     /*  940072 */   // Label 14172: @940072
     /*  940072 */   GIM_Try, /*On fail goto*//*Label 14173*/ GIMT_Encode4(940156), // Rule ID 17119 //
     /*  940077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  940085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  940088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  940091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  940094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  940097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940120 */     // MIs[0] round
     /*  940120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940132 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  940135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940154 */     GIR_RootConstrainSelectedInstOperands,
     /*  940155 */     // GIR_Coverage, 17119,
     /*  940155 */     GIR_EraseRootFromParent_Done,
     /*  940156 */   // Label 14173: @940156
     /*  940156 */   GIM_Try, /*On fail goto*//*Label 14174*/ GIMT_Encode4(940240), // Rule ID 17120 //
     /*  940161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  940169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  940172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  940175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  940178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  940181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940204 */     // MIs[0] round
     /*  940204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940216 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  940219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940225 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940238 */     GIR_RootConstrainSelectedInstOperands,
     /*  940239 */     // GIR_Coverage, 17120,
     /*  940239 */     GIR_EraseRootFromParent_Done,
     /*  940240 */   // Label 14174: @940240
     /*  940240 */   GIM_Try, /*On fail goto*//*Label 14175*/ GIMT_Encode4(940324), // Rule ID 17129 //
     /*  940245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  940253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  940256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  940259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  940262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  940265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940288 */     // MIs[0] round
     /*  940288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940300 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  940303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940322 */     GIR_RootConstrainSelectedInstOperands,
     /*  940323 */     // GIR_Coverage, 17129,
     /*  940323 */     GIR_EraseRootFromParent_Done,
     /*  940324 */   // Label 14175: @940324
     /*  940324 */   GIM_Try, /*On fail goto*//*Label 14176*/ GIMT_Encode4(940408), // Rule ID 17130 //
     /*  940329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  940337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  940340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  940343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  940346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  940349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940372 */     // MIs[0] round
     /*  940372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940384 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  940387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940406 */     GIR_RootConstrainSelectedInstOperands,
     /*  940407 */     // GIR_Coverage, 17130,
     /*  940407 */     GIR_EraseRootFromParent_Done,
     /*  940408 */   // Label 14176: @940408
     /*  940408 */   GIM_Try, /*On fail goto*//*Label 14177*/ GIMT_Encode4(940492), // Rule ID 17139 //
     /*  940413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  940421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  940424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  940427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  940430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  940433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940456 */     // MIs[0] round
     /*  940456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940468 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  940471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940490 */     GIR_RootConstrainSelectedInstOperands,
     /*  940491 */     // GIR_Coverage, 17139,
     /*  940491 */     GIR_EraseRootFromParent_Done,
     /*  940492 */   // Label 14177: @940492
     /*  940492 */   GIM_Try, /*On fail goto*//*Label 14178*/ GIMT_Encode4(940576), // Rule ID 17140 //
     /*  940497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  940505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  940508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  940511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  940514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  940517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940540 */     // MIs[0] round
     /*  940540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940552 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  940555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940574 */     GIR_RootConstrainSelectedInstOperands,
     /*  940575 */     // GIR_Coverage, 17140,
     /*  940575 */     GIR_EraseRootFromParent_Done,
     /*  940576 */   // Label 14178: @940576
     /*  940576 */   GIM_Try, /*On fail goto*//*Label 14179*/ GIMT_Encode4(940660), // Rule ID 17149 //
     /*  940581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  940584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  940589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  940592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  940595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  940598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  940601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940624 */     // MIs[0] round
     /*  940624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940636 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  940636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  940639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940658 */     GIR_RootConstrainSelectedInstOperands,
     /*  940659 */     // GIR_Coverage, 17149,
     /*  940659 */     GIR_EraseRootFromParent_Done,
     /*  940660 */   // Label 14179: @940660
     /*  940660 */   GIM_Try, /*On fail goto*//*Label 14180*/ GIMT_Encode4(940744), // Rule ID 17150 //
     /*  940665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  940668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  940673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  940676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  940679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  940682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  940685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940708 */     // MIs[0] round
     /*  940708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940720 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  940720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  940723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940729 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940742 */     GIR_RootConstrainSelectedInstOperands,
     /*  940743 */     // GIR_Coverage, 17150,
     /*  940743 */     GIR_EraseRootFromParent_Done,
     /*  940744 */   // Label 14180: @940744
     /*  940744 */   GIM_Try, /*On fail goto*//*Label 14181*/ GIMT_Encode4(940828), // Rule ID 17159 //
     /*  940749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  940752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  940757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  940760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  940763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  940769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940792 */     // MIs[0] round
     /*  940792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940804 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  940804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  940807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940826 */     GIR_RootConstrainSelectedInstOperands,
     /*  940827 */     // GIR_Coverage, 17159,
     /*  940827 */     GIR_EraseRootFromParent_Done,
     /*  940828 */   // Label 14181: @940828
     /*  940828 */   GIM_Try, /*On fail goto*//*Label 14182*/ GIMT_Encode4(940912), // Rule ID 17160 //
     /*  940833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  940836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  940841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  940844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  940847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  940853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940876 */     // MIs[0] round
     /*  940876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940888 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  940888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  940891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940897 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940910 */     GIR_RootConstrainSelectedInstOperands,
     /*  940911 */     // GIR_Coverage, 17160,
     /*  940911 */     GIR_EraseRootFromParent_Done,
     /*  940912 */   // Label 14182: @940912
     /*  940912 */   GIM_Try, /*On fail goto*//*Label 14183*/ GIMT_Encode4(940996), // Rule ID 17169 //
     /*  940917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  940920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  940925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  940928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  940931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  940934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  940937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  940948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  940952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940960 */     // MIs[0] round
     /*  940960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940972 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  940972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  940975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  940994 */     GIR_RootConstrainSelectedInstOperands,
     /*  940995 */     // GIR_Coverage, 17169,
     /*  940995 */     GIR_EraseRootFromParent_Done,
     /*  940996 */   // Label 14183: @940996
     /*  940996 */   GIM_Try, /*On fail goto*//*Label 14184*/ GIMT_Encode4(941080), // Rule ID 17170 //
     /*  941001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  941004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  941012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  941015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  941018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  941021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941044 */     // MIs[0] round
     /*  941044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941056 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  941056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  941059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941078 */     GIR_RootConstrainSelectedInstOperands,
     /*  941079 */     // GIR_Coverage, 17170,
     /*  941079 */     GIR_EraseRootFromParent_Done,
     /*  941080 */   // Label 14184: @941080
     /*  941080 */   GIM_Try, /*On fail goto*//*Label 14185*/ GIMT_Encode4(941164), // Rule ID 17179 //
     /*  941085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  941088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  941096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  941099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  941102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  941105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941128 */     // MIs[0] round
     /*  941128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941140 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  941140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  941143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941162 */     GIR_RootConstrainSelectedInstOperands,
     /*  941163 */     // GIR_Coverage, 17179,
     /*  941163 */     GIR_EraseRootFromParent_Done,
     /*  941164 */   // Label 14185: @941164
     /*  941164 */   GIM_Try, /*On fail goto*//*Label 14186*/ GIMT_Encode4(941248), // Rule ID 17180 //
     /*  941169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  941172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  941180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  941183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  941186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  941189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941212 */     // MIs[0] round
     /*  941212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941224 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  941224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  941227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941246 */     GIR_RootConstrainSelectedInstOperands,
     /*  941247 */     // GIR_Coverage, 17180,
     /*  941247 */     GIR_EraseRootFromParent_Done,
     /*  941248 */   // Label 14186: @941248
     /*  941248 */   GIM_Try, /*On fail goto*//*Label 14187*/ GIMT_Encode4(941332), // Rule ID 17189 //
     /*  941253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  941256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  941264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  941267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  941270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  941273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941296 */     // MIs[0] round
     /*  941296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941308 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  941308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  941311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941330 */     GIR_RootConstrainSelectedInstOperands,
     /*  941331 */     // GIR_Coverage, 17189,
     /*  941331 */     GIR_EraseRootFromParent_Done,
     /*  941332 */   // Label 14187: @941332
     /*  941332 */   GIM_Try, /*On fail goto*//*Label 14188*/ GIMT_Encode4(941416), // Rule ID 17190 //
     /*  941337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  941340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  941345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  941348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  941351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  941354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  941357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  941368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  941372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941380 */     // MIs[0] round
     /*  941380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941392 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  941392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  941395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  941414 */     GIR_RootConstrainSelectedInstOperands,
     /*  941415 */     // GIR_Coverage, 17190,
     /*  941415 */     GIR_EraseRootFromParent_Done,
     /*  941416 */   // Label 14188: @941416
     /*  941416 */   GIM_Try, /*On fail goto*//*Label 14189*/ GIMT_Encode4(941498), // Rule ID 62235 //
     /*  941421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  941424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  941429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  941432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  941435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  941438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  941441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941448 */     // MIs[0] op1
     /*  941448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941451 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941475 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  941475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  941478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941480 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  941482 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  941484 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  941486 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  941488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941496 */     GIR_RootConstrainSelectedInstOperands,
     /*  941497 */     // GIR_Coverage, 62235,
     /*  941497 */     GIR_EraseRootFromParent_Done,
     /*  941498 */   // Label 14189: @941498
     /*  941498 */   GIM_Try, /*On fail goto*//*Label 14190*/ GIMT_Encode4(941580), // Rule ID 62236 //
     /*  941503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  941506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  941511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  941514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  941517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  941520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  941523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941530 */     // MIs[0] op1
     /*  941530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941533 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941557 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  941557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  941560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941562 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  941564 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  941566 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  941568 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  941570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941578 */     GIR_RootConstrainSelectedInstOperands,
     /*  941579 */     // GIR_Coverage, 62236,
     /*  941579 */     GIR_EraseRootFromParent_Done,
     /*  941580 */   // Label 14190: @941580
     /*  941580 */   GIM_Try, /*On fail goto*//*Label 14191*/ GIMT_Encode4(941662), // Rule ID 62265 //
     /*  941585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  941588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  941593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  941596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  941599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  941602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  941605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941612 */     // MIs[0] op1
     /*  941612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941615 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941639 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  941639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  941642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941644 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  941646 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  941648 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  941650 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  941652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941660 */     GIR_RootConstrainSelectedInstOperands,
     /*  941661 */     // GIR_Coverage, 62265,
     /*  941661 */     GIR_EraseRootFromParent_Done,
     /*  941662 */   // Label 14191: @941662
     /*  941662 */   GIM_Try, /*On fail goto*//*Label 14192*/ GIMT_Encode4(941744), // Rule ID 62266 //
     /*  941667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  941670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  941675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  941678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  941681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  941684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  941687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941694 */     // MIs[0] op1
     /*  941694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941697 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941721 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  941721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  941724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941726 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  941728 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  941730 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  941732 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  941734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941742 */     GIR_RootConstrainSelectedInstOperands,
     /*  941743 */     // GIR_Coverage, 62266,
     /*  941743 */     GIR_EraseRootFromParent_Done,
     /*  941744 */   // Label 14192: @941744
     /*  941744 */   GIM_Try, /*On fail goto*//*Label 14193*/ GIMT_Encode4(941826), // Rule ID 62297 //
     /*  941749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  941752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  941757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  941760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  941763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  941766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  941769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941776 */     // MIs[0] op1
     /*  941776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941779 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941803 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  941803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  941806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941808 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  941810 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  941812 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  941814 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  941816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941824 */     GIR_RootConstrainSelectedInstOperands,
     /*  941825 */     // GIR_Coverage, 62297,
     /*  941825 */     GIR_EraseRootFromParent_Done,
     /*  941826 */   // Label 14193: @941826
     /*  941826 */   GIM_Try, /*On fail goto*//*Label 14194*/ GIMT_Encode4(941908), // Rule ID 62298 //
     /*  941831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  941834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  941839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  941842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  941845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  941848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  941851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941858 */     // MIs[0] op1
     /*  941858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941861 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941885 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  941885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  941888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941890 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  941892 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  941894 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  941896 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  941898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941906 */     GIR_RootConstrainSelectedInstOperands,
     /*  941907 */     // GIR_Coverage, 62298,
     /*  941907 */     GIR_EraseRootFromParent_Done,
     /*  941908 */   // Label 14194: @941908
     /*  941908 */   GIM_Try, /*On fail goto*//*Label 14195*/ GIMT_Encode4(941990), // Rule ID 62309 //
     /*  941913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  941916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  941921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  941924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  941927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  941930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  941933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941940 */     // MIs[0] op1
     /*  941940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941943 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941967 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  941967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  941970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941972 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  941974 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  941976 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  941978 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  941980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941988 */     GIR_RootConstrainSelectedInstOperands,
     /*  941989 */     // GIR_Coverage, 62309,
     /*  941989 */     GIR_EraseRootFromParent_Done,
     /*  941990 */   // Label 14195: @941990
     /*  941990 */   GIM_Try, /*On fail goto*//*Label 14196*/ GIMT_Encode4(942072), // Rule ID 62310 //
     /*  941995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  941998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  942003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  942006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  942009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  942012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  942015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942022 */     // MIs[0] op1
     /*  942022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942025 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942049 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  942049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  942052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942054 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942056 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942058 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942060 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942070 */     GIR_RootConstrainSelectedInstOperands,
     /*  942071 */     // GIR_Coverage, 62310,
     /*  942071 */     GIR_EraseRootFromParent_Done,
     /*  942072 */   // Label 14196: @942072
     /*  942072 */   GIM_Try, /*On fail goto*//*Label 14197*/ GIMT_Encode4(942154), // Rule ID 62341 //
     /*  942077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  942080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  942085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  942088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  942091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  942094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942104 */     // MIs[0] op1
     /*  942104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942107 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942131 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  942131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  942134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942136 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942138 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942140 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942142 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942152 */     GIR_RootConstrainSelectedInstOperands,
     /*  942153 */     // GIR_Coverage, 62341,
     /*  942153 */     GIR_EraseRootFromParent_Done,
     /*  942154 */   // Label 14197: @942154
     /*  942154 */   GIM_Try, /*On fail goto*//*Label 14198*/ GIMT_Encode4(942236), // Rule ID 62342 //
     /*  942159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  942162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  942167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  942170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  942173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  942176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942186 */     // MIs[0] op1
     /*  942186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942189 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942213 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  942213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  942216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942218 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942220 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942222 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942224 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942234 */     GIR_RootConstrainSelectedInstOperands,
     /*  942235 */     // GIR_Coverage, 62342,
     /*  942235 */     GIR_EraseRootFromParent_Done,
     /*  942236 */   // Label 14198: @942236
     /*  942236 */   GIM_Try, /*On fail goto*//*Label 14199*/ GIMT_Encode4(942318), // Rule ID 62353 //
     /*  942241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  942244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  942249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  942252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  942255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  942258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  942261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942268 */     // MIs[0] op1
     /*  942268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942271 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942295 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  942295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  942298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942300 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942302 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942304 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942306 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942316 */     GIR_RootConstrainSelectedInstOperands,
     /*  942317 */     // GIR_Coverage, 62353,
     /*  942317 */     GIR_EraseRootFromParent_Done,
     /*  942318 */   // Label 14199: @942318
     /*  942318 */   GIM_Try, /*On fail goto*//*Label 14200*/ GIMT_Encode4(942400), // Rule ID 62354 //
     /*  942323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  942326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  942331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  942334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  942337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  942340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  942343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942350 */     // MIs[0] op1
     /*  942350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942353 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942377 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  942377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  942380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942382 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942384 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942386 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942388 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942398 */     GIR_RootConstrainSelectedInstOperands,
     /*  942399 */     // GIR_Coverage, 62354,
     /*  942399 */     GIR_EraseRootFromParent_Done,
     /*  942400 */   // Label 14200: @942400
     /*  942400 */   GIM_Try, /*On fail goto*//*Label 14201*/ GIMT_Encode4(942482), // Rule ID 62385 //
     /*  942405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  942408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  942413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  942416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  942419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  942422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942432 */     // MIs[0] op1
     /*  942432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942435 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942459 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  942459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  942462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942464 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942466 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942468 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942470 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942480 */     GIR_RootConstrainSelectedInstOperands,
     /*  942481 */     // GIR_Coverage, 62385,
     /*  942481 */     GIR_EraseRootFromParent_Done,
     /*  942482 */   // Label 14201: @942482
     /*  942482 */   GIM_Try, /*On fail goto*//*Label 14202*/ GIMT_Encode4(942564), // Rule ID 62386 //
     /*  942487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  942490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  942495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  942498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  942501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  942504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942514 */     // MIs[0] op1
     /*  942514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942517 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942541 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  942541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  942544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942546 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942548 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942550 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942552 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942562 */     GIR_RootConstrainSelectedInstOperands,
     /*  942563 */     // GIR_Coverage, 62386,
     /*  942563 */     GIR_EraseRootFromParent_Done,
     /*  942564 */   // Label 14202: @942564
     /*  942564 */   GIM_Try, /*On fail goto*//*Label 14203*/ GIMT_Encode4(942646), // Rule ID 62397 //
     /*  942569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  942572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  942577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  942580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  942583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  942586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  942589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942596 */     // MIs[0] op1
     /*  942596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942599 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942623 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  942623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  942626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942628 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942630 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942632 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942634 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942644 */     GIR_RootConstrainSelectedInstOperands,
     /*  942645 */     // GIR_Coverage, 62397,
     /*  942645 */     GIR_EraseRootFromParent_Done,
     /*  942646 */   // Label 14203: @942646
     /*  942646 */   GIM_Try, /*On fail goto*//*Label 14204*/ GIMT_Encode4(942728), // Rule ID 62398 //
     /*  942651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  942654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  942659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  942662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  942665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  942668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  942671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942678 */     // MIs[0] op1
     /*  942678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942681 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942705 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  942705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  942708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942710 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942712 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942714 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942716 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942726 */     GIR_RootConstrainSelectedInstOperands,
     /*  942727 */     // GIR_Coverage, 62398,
     /*  942727 */     GIR_EraseRootFromParent_Done,
     /*  942728 */   // Label 14204: @942728
     /*  942728 */   GIM_Try, /*On fail goto*//*Label 14205*/ GIMT_Encode4(942810), // Rule ID 62409 //
     /*  942733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  942736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  942741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  942744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  942747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  942750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  942753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942760 */     // MIs[0] op1
     /*  942760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942763 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  942768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  942780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942787 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10962:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  942787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  942790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942792 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942794 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942796 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942798 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942808 */     GIR_RootConstrainSelectedInstOperands,
     /*  942809 */     // GIR_Coverage, 62409,
     /*  942809 */     GIR_EraseRootFromParent_Done,
     /*  942810 */   // Label 14205: @942810
     /*  942810 */   GIM_Try, /*On fail goto*//*Label 14206*/ GIMT_Encode4(942892), // Rule ID 62410 //
     /*  942815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  942818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  942823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  942826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  942829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  942832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  942835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942842 */     // MIs[0] op1
     /*  942842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942845 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  942850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  942862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942869 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10962:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  942869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  942872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942874 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942876 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942878 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942880 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942890 */     GIR_RootConstrainSelectedInstOperands,
     /*  942891 */     // GIR_Coverage, 62410,
     /*  942891 */     GIR_EraseRootFromParent_Done,
     /*  942892 */   // Label 14206: @942892
     /*  942892 */   GIM_Try, /*On fail goto*//*Label 14207*/ GIMT_Encode4(942974), // Rule ID 62441 //
     /*  942897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  942900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  942905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  942908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  942911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  942914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942924 */     // MIs[0] op1
     /*  942924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942927 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942951 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  942951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  942954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942956 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942958 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942960 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942962 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942972 */     GIR_RootConstrainSelectedInstOperands,
     /*  942973 */     // GIR_Coverage, 62441,
     /*  942973 */     GIR_EraseRootFromParent_Done,
     /*  942974 */   // Label 14207: @942974
     /*  942974 */   GIM_Try, /*On fail goto*//*Label 14208*/ GIMT_Encode4(943056), // Rule ID 62442 //
     /*  942979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  942982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  942987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  942990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  942993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  942996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943006 */     // MIs[0] op1
     /*  943006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943009 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943033 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  943033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  943036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943038 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943040 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943042 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943044 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943054 */     GIR_RootConstrainSelectedInstOperands,
     /*  943055 */     // GIR_Coverage, 62442,
     /*  943055 */     GIR_EraseRootFromParent_Done,
     /*  943056 */   // Label 14208: @943056
     /*  943056 */   GIM_Try, /*On fail goto*//*Label 14209*/ GIMT_Encode4(943138), // Rule ID 62453 //
     /*  943061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  943072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  943075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  943078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  943081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943088 */     // MIs[0] op1
     /*  943088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943115 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  943115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  943118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943120 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943122 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943124 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943126 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943136 */     GIR_RootConstrainSelectedInstOperands,
     /*  943137 */     // GIR_Coverage, 62453,
     /*  943137 */     GIR_EraseRootFromParent_Done,
     /*  943138 */   // Label 14209: @943138
     /*  943138 */   GIM_Try, /*On fail goto*//*Label 14210*/ GIMT_Encode4(943220), // Rule ID 62454 //
     /*  943143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  943154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  943157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  943160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  943163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943170 */     // MIs[0] op1
     /*  943170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943173 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943197 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  943197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  943200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943202 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943204 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943206 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943208 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943218 */     GIR_RootConstrainSelectedInstOperands,
     /*  943219 */     // GIR_Coverage, 62454,
     /*  943219 */     GIR_EraseRootFromParent_Done,
     /*  943220 */   // Label 14210: @943220
     /*  943220 */   GIM_Try, /*On fail goto*//*Label 14211*/ GIMT_Encode4(943302), // Rule ID 62465 //
     /*  943225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  943233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  943236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  943239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  943242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  943245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943252 */     // MIs[0] op1
     /*  943252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943255 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  943260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  943272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943279 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10962:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  943279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  943282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943284 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943286 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943288 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943290 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943300 */     GIR_RootConstrainSelectedInstOperands,
     /*  943301 */     // GIR_Coverage, 62465,
     /*  943301 */     GIR_EraseRootFromParent_Done,
     /*  943302 */   // Label 14211: @943302
     /*  943302 */   GIM_Try, /*On fail goto*//*Label 14212*/ GIMT_Encode4(943384), // Rule ID 62466 //
     /*  943307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  943315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  943318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  943321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  943324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  943327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943334 */     // MIs[0] op1
     /*  943334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943337 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  943342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  943354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943361 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10962:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  943361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  943364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943366 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943368 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943370 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943372 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943382 */     GIR_RootConstrainSelectedInstOperands,
     /*  943383 */     // GIR_Coverage, 62466,
     /*  943383 */     GIR_EraseRootFromParent_Done,
     /*  943384 */   // Label 14212: @943384
     /*  943384 */   GIM_Try, /*On fail goto*//*Label 14213*/ GIMT_Encode4(943466), // Rule ID 62497 //
     /*  943389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  943400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  943403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  943406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943416 */     // MIs[0] op1
     /*  943416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943419 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943443 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  943443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  943446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943448 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943450 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943452 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943454 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943464 */     GIR_RootConstrainSelectedInstOperands,
     /*  943465 */     // GIR_Coverage, 62497,
     /*  943465 */     GIR_EraseRootFromParent_Done,
     /*  943466 */   // Label 14213: @943466
     /*  943466 */   GIM_Try, /*On fail goto*//*Label 14214*/ GIMT_Encode4(943548), // Rule ID 62498 //
     /*  943471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  943482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  943485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  943488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943498 */     // MIs[0] op1
     /*  943498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943501 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943525 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  943525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  943528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943530 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943532 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943534 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943536 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943546 */     GIR_RootConstrainSelectedInstOperands,
     /*  943547 */     // GIR_Coverage, 62498,
     /*  943547 */     GIR_EraseRootFromParent_Done,
     /*  943548 */   // Label 14214: @943548
     /*  943548 */   GIM_Try, /*On fail goto*//*Label 14215*/ GIMT_Encode4(943630), // Rule ID 62509 //
     /*  943553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  943564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  943567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  943570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  943573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943580 */     // MIs[0] op1
     /*  943580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943607 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  943607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  943610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943612 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943614 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943616 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943618 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943628 */     GIR_RootConstrainSelectedInstOperands,
     /*  943629 */     // GIR_Coverage, 62509,
     /*  943629 */     GIR_EraseRootFromParent_Done,
     /*  943630 */   // Label 14215: @943630
     /*  943630 */   GIM_Try, /*On fail goto*//*Label 14216*/ GIMT_Encode4(943712), // Rule ID 62510 //
     /*  943635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  943646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  943649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  943652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  943655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943662 */     // MIs[0] op1
     /*  943662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943665 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943689 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  943689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  943692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943694 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943696 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943698 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943700 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943710 */     GIR_RootConstrainSelectedInstOperands,
     /*  943711 */     // GIR_Coverage, 62510,
     /*  943711 */     GIR_EraseRootFromParent_Done,
     /*  943712 */   // Label 14216: @943712
     /*  943712 */   GIM_Try, /*On fail goto*//*Label 14217*/ GIMT_Encode4(943794), // Rule ID 62521 //
     /*  943717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  943725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  943728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  943731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  943734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943744 */     // MIs[0] op1
     /*  943744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  943752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  943764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943771 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10962:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  943771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  943774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943776 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943778 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943780 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943782 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943792 */     GIR_RootConstrainSelectedInstOperands,
     /*  943793 */     // GIR_Coverage, 62521,
     /*  943793 */     GIR_EraseRootFromParent_Done,
     /*  943794 */   // Label 14217: @943794
     /*  943794 */   GIM_Try, /*On fail goto*//*Label 14218*/ GIMT_Encode4(943876), // Rule ID 62522 //
     /*  943799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  943807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  943810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  943813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  943816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943826 */     // MIs[0] op1
     /*  943826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943829 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  943834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  943846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943853 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10962:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  943853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  943856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943858 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943860 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943862 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943864 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943874 */     GIR_RootConstrainSelectedInstOperands,
     /*  943875 */     // GIR_Coverage, 62522,
     /*  943875 */     GIR_EraseRootFromParent_Done,
     /*  943876 */   // Label 14218: @943876
     /*  943876 */   GIM_Try, /*On fail goto*//*Label 14219*/ GIMT_Encode4(943958), // Rule ID 62553 //
     /*  943881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  943892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  943895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  943898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943908 */     // MIs[0] op1
     /*  943908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943911 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943935 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  943935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  943938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943940 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943942 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943944 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943946 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943956 */     GIR_RootConstrainSelectedInstOperands,
     /*  943957 */     // GIR_Coverage, 62553,
     /*  943957 */     GIR_EraseRootFromParent_Done,
     /*  943958 */   // Label 14219: @943958
     /*  943958 */   GIM_Try, /*On fail goto*//*Label 14220*/ GIMT_Encode4(944040), // Rule ID 62554 //
     /*  943963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  943974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  943977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  943980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943990 */     // MIs[0] op1
     /*  943990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943993 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944017 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  944017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  944020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944022 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944024 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944026 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944028 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944038 */     GIR_RootConstrainSelectedInstOperands,
     /*  944039 */     // GIR_Coverage, 62554,
     /*  944039 */     GIR_EraseRootFromParent_Done,
     /*  944040 */   // Label 14220: @944040
     /*  944040 */   GIM_Try, /*On fail goto*//*Label 14221*/ GIMT_Encode4(944122), // Rule ID 62565 //
     /*  944045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  944056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  944059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  944062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  944065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944072 */     // MIs[0] op1
     /*  944072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944075 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944099 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  944099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  944102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944104 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944106 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944108 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944110 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944120 */     GIR_RootConstrainSelectedInstOperands,
     /*  944121 */     // GIR_Coverage, 62565,
     /*  944121 */     GIR_EraseRootFromParent_Done,
     /*  944122 */   // Label 14221: @944122
     /*  944122 */   GIM_Try, /*On fail goto*//*Label 14222*/ GIMT_Encode4(944204), // Rule ID 62566 //
     /*  944127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  944138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  944141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  944144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  944147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944154 */     // MIs[0] op1
     /*  944154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944157 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944181 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  944181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  944184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944186 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944188 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944190 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944192 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944202 */     GIR_RootConstrainSelectedInstOperands,
     /*  944203 */     // GIR_Coverage, 62566,
     /*  944203 */     GIR_EraseRootFromParent_Done,
     /*  944204 */   // Label 14222: @944204
     /*  944204 */   GIM_Try, /*On fail goto*//*Label 14223*/ GIMT_Encode4(944286), // Rule ID 62597 //
     /*  944209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  944220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  944223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  944226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944236 */     // MIs[0] op1
     /*  944236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944239 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944263 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  944266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944268 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944270 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944272 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944274 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944284 */     GIR_RootConstrainSelectedInstOperands,
     /*  944285 */     // GIR_Coverage, 62597,
     /*  944285 */     GIR_EraseRootFromParent_Done,
     /*  944286 */   // Label 14223: @944286
     /*  944286 */   GIM_Try, /*On fail goto*//*Label 14224*/ GIMT_Encode4(944368), // Rule ID 62598 //
     /*  944291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  944302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  944305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  944308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944318 */     // MIs[0] op1
     /*  944318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944321 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944345 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  944348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944350 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944352 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944354 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944356 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944366 */     GIR_RootConstrainSelectedInstOperands,
     /*  944367 */     // GIR_Coverage, 62598,
     /*  944367 */     GIR_EraseRootFromParent_Done,
     /*  944368 */   // Label 14224: @944368
     /*  944368 */   GIM_Try, /*On fail goto*//*Label 14225*/ GIMT_Encode4(944450), // Rule ID 62609 //
     /*  944373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  944384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  944387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  944390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  944393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944400 */     // MIs[0] op1
     /*  944400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944403 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  944430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944432 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944434 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944436 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944438 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944448 */     GIR_RootConstrainSelectedInstOperands,
     /*  944449 */     // GIR_Coverage, 62609,
     /*  944449 */     GIR_EraseRootFromParent_Done,
     /*  944450 */   // Label 14225: @944450
     /*  944450 */   GIM_Try, /*On fail goto*//*Label 14226*/ GIMT_Encode4(944532), // Rule ID 62610 //
     /*  944455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  944466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  944469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  944472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  944475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944482 */     // MIs[0] op1
     /*  944482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944485 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944509 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  944512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944514 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944516 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944518 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944520 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944530 */     GIR_RootConstrainSelectedInstOperands,
     /*  944531 */     // GIR_Coverage, 62610,
     /*  944531 */     GIR_EraseRootFromParent_Done,
     /*  944532 */   // Label 14226: @944532
     /*  944532 */   GIM_Try, /*On fail goto*//*Label 14227*/ GIMT_Encode4(944614), // Rule ID 62621 //
     /*  944537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  944548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  944551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  944554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  944557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944564 */     // MIs[0] op1
     /*  944564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944567 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  944584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944591 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10962:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  944591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  944594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944596 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944598 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944600 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944602 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944612 */     GIR_RootConstrainSelectedInstOperands,
     /*  944613 */     // GIR_Coverage, 62621,
     /*  944613 */     GIR_EraseRootFromParent_Done,
     /*  944614 */   // Label 14227: @944614
     /*  944614 */   GIM_Try, /*On fail goto*//*Label 14228*/ GIMT_Encode4(944696), // Rule ID 62622 //
     /*  944619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  944630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  944633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  944636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  944639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944646 */     // MIs[0] op1
     /*  944646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944649 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  944666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944673 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10962:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  944673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  944676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944678 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944680 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944682 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944684 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944694 */     GIR_RootConstrainSelectedInstOperands,
     /*  944695 */     // GIR_Coverage, 62622,
     /*  944695 */     GIR_EraseRootFromParent_Done,
     /*  944696 */   // Label 14228: @944696
     /*  944696 */   GIM_Try, /*On fail goto*//*Label 14229*/ GIMT_Encode4(944778), // Rule ID 62653 //
     /*  944701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  944712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  944715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  944718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944728 */     // MIs[0] op1
     /*  944728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944731 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944755 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  944755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  944758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944760 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944762 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944764 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944766 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944776 */     GIR_RootConstrainSelectedInstOperands,
     /*  944777 */     // GIR_Coverage, 62653,
     /*  944777 */     GIR_EraseRootFromParent_Done,
     /*  944778 */   // Label 14229: @944778
     /*  944778 */   GIM_Try, /*On fail goto*//*Label 14230*/ GIMT_Encode4(944860), // Rule ID 62654 //
     /*  944783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  944794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  944797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  944800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944810 */     // MIs[0] op1
     /*  944810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944813 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944837 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  944837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  944840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944842 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944844 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944846 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944848 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944858 */     GIR_RootConstrainSelectedInstOperands,
     /*  944859 */     // GIR_Coverage, 62654,
     /*  944859 */     GIR_EraseRootFromParent_Done,
     /*  944860 */   // Label 14230: @944860
     /*  944860 */   GIM_Try, /*On fail goto*//*Label 14231*/ GIMT_Encode4(944942), // Rule ID 62665 //
     /*  944865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  944876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  944879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  944882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  944885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944892 */     // MIs[0] op1
     /*  944892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944895 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944919 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  944919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  944922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944924 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944926 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944928 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944930 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944940 */     GIR_RootConstrainSelectedInstOperands,
     /*  944941 */     // GIR_Coverage, 62665,
     /*  944941 */     GIR_EraseRootFromParent_Done,
     /*  944942 */   // Label 14231: @944942
     /*  944942 */   GIM_Try, /*On fail goto*//*Label 14232*/ GIMT_Encode4(945024), // Rule ID 62666 //
     /*  944947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  944958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  944961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  944964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  944967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944974 */     // MIs[0] op1
     /*  944974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944977 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945001 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  945001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  945004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945006 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945008 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945010 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945012 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945022 */     GIR_RootConstrainSelectedInstOperands,
     /*  945023 */     // GIR_Coverage, 62666,
     /*  945023 */     GIR_EraseRootFromParent_Done,
     /*  945024 */   // Label 14232: @945024
     /*  945024 */   GIM_Try, /*On fail goto*//*Label 14233*/ GIMT_Encode4(945106), // Rule ID 62677 //
     /*  945029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  945040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  945043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  945046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945056 */     // MIs[0] op1
     /*  945056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945059 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  945076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945083 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10962:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  945083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  945086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945088 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945090 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945092 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945094 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945104 */     GIR_RootConstrainSelectedInstOperands,
     /*  945105 */     // GIR_Coverage, 62677,
     /*  945105 */     GIR_EraseRootFromParent_Done,
     /*  945106 */   // Label 14233: @945106
     /*  945106 */   GIM_Try, /*On fail goto*//*Label 14234*/ GIMT_Encode4(945188), // Rule ID 62678 //
     /*  945111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  945122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  945125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  945128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945138 */     // MIs[0] op1
     /*  945138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945141 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  945158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945165 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10962:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  945165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  945168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945170 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945172 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945174 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945176 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945186 */     GIR_RootConstrainSelectedInstOperands,
     /*  945187 */     // GIR_Coverage, 62678,
     /*  945187 */     GIR_EraseRootFromParent_Done,
     /*  945188 */   // Label 14234: @945188
     /*  945188 */   GIM_Try, /*On fail goto*//*Label 14235*/ GIMT_Encode4(945270), // Rule ID 62709 //
     /*  945193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  945204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  945207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  945210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945220 */     // MIs[0] op1
     /*  945220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945223 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945247 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  945247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945252 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945254 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945256 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945258 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945268 */     GIR_RootConstrainSelectedInstOperands,
     /*  945269 */     // GIR_Coverage, 62709,
     /*  945269 */     GIR_EraseRootFromParent_Done,
     /*  945270 */   // Label 14235: @945270
     /*  945270 */   GIM_Try, /*On fail goto*//*Label 14236*/ GIMT_Encode4(945352), // Rule ID 62710 //
     /*  945275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  945286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  945289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  945292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945302 */     // MIs[0] op1
     /*  945302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945305 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945329 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  945329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  945332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945334 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945336 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945338 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945340 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945350 */     GIR_RootConstrainSelectedInstOperands,
     /*  945351 */     // GIR_Coverage, 62710,
     /*  945351 */     GIR_EraseRootFromParent_Done,
     /*  945352 */   // Label 14236: @945352
     /*  945352 */   GIM_Try, /*On fail goto*//*Label 14237*/ GIMT_Encode4(945434), // Rule ID 62721 //
     /*  945357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  945368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  945371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  945374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  945377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945384 */     // MIs[0] op1
     /*  945384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945387 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945411 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  945411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  945414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945416 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945418 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945420 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945422 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945432 */     GIR_RootConstrainSelectedInstOperands,
     /*  945433 */     // GIR_Coverage, 62721,
     /*  945433 */     GIR_EraseRootFromParent_Done,
     /*  945434 */   // Label 14237: @945434
     /*  945434 */   GIM_Try, /*On fail goto*//*Label 14238*/ GIMT_Encode4(945516), // Rule ID 62722 //
     /*  945439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  945450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  945453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  945456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  945459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945466 */     // MIs[0] op1
     /*  945466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945469 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945493 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  945493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  945496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945498 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945500 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945502 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945504 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945514 */     GIR_RootConstrainSelectedInstOperands,
     /*  945515 */     // GIR_Coverage, 62722,
     /*  945515 */     GIR_EraseRootFromParent_Done,
     /*  945516 */   // Label 14238: @945516
     /*  945516 */   GIM_Try, /*On fail goto*//*Label 14239*/ GIMT_Encode4(945598), // Rule ID 62733 //
     /*  945521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  945532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  945535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  945538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945548 */     // MIs[0] op1
     /*  945548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945551 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  945568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945575 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10962:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  945575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  945578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945580 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945582 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945584 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945586 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945596 */     GIR_RootConstrainSelectedInstOperands,
     /*  945597 */     // GIR_Coverage, 62733,
     /*  945597 */     GIR_EraseRootFromParent_Done,
     /*  945598 */   // Label 14239: @945598
     /*  945598 */   GIM_Try, /*On fail goto*//*Label 14240*/ GIMT_Encode4(945680), // Rule ID 62734 //
     /*  945603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  945614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  945617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  945620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945630 */     // MIs[0] op1
     /*  945630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945633 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  945650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945657 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10962:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  945657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  945660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945662 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945664 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945666 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945668 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945678 */     GIR_RootConstrainSelectedInstOperands,
     /*  945679 */     // GIR_Coverage, 62734,
     /*  945679 */     GIR_EraseRootFromParent_Done,
     /*  945680 */   // Label 14240: @945680
     /*  945680 */   GIM_Try, /*On fail goto*//*Label 14241*/ GIMT_Encode4(945762), // Rule ID 62765 //
     /*  945685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  945696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  945699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  945702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945712 */     // MIs[0] op1
     /*  945712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945715 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945739 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  945739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  945742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945744 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945746 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945748 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945750 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945760 */     GIR_RootConstrainSelectedInstOperands,
     /*  945761 */     // GIR_Coverage, 62765,
     /*  945761 */     GIR_EraseRootFromParent_Done,
     /*  945762 */   // Label 14241: @945762
     /*  945762 */   GIM_Try, /*On fail goto*//*Label 14242*/ GIMT_Encode4(945844), // Rule ID 62766 //
     /*  945767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  945778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  945781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  945784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945794 */     // MIs[0] op1
     /*  945794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945797 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945821 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  945821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  945824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945826 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945828 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945830 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945832 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945842 */     GIR_RootConstrainSelectedInstOperands,
     /*  945843 */     // GIR_Coverage, 62766,
     /*  945843 */     GIR_EraseRootFromParent_Done,
     /*  945844 */   // Label 14242: @945844
     /*  945844 */   GIM_Try, /*On fail goto*//*Label 14243*/ GIMT_Encode4(945926), // Rule ID 62777 //
     /*  945849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  945860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  945863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  945866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  945869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945876 */     // MIs[0] op1
     /*  945876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945879 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945903 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  945903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  945906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945908 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945910 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945912 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945914 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945924 */     GIR_RootConstrainSelectedInstOperands,
     /*  945925 */     // GIR_Coverage, 62777,
     /*  945925 */     GIR_EraseRootFromParent_Done,
     /*  945926 */   // Label 14243: @945926
     /*  945926 */   GIM_Try, /*On fail goto*//*Label 14244*/ GIMT_Encode4(946008), // Rule ID 62778 //
     /*  945931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  945942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  945945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  945948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  945951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945958 */     // MIs[0] op1
     /*  945958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945961 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945985 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  945985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  945988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945990 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945992 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945994 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945996 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946006 */     GIR_RootConstrainSelectedInstOperands,
     /*  946007 */     // GIR_Coverage, 62778,
     /*  946007 */     GIR_EraseRootFromParent_Done,
     /*  946008 */   // Label 14244: @946008
     /*  946008 */   GIM_Try, /*On fail goto*//*Label 14245*/ GIMT_Encode4(946090), // Rule ID 62809 //
     /*  946013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  946024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  946027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  946030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946040 */     // MIs[0] op1
     /*  946040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946043 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946067 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  946067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  946070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946072 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946074 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946076 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946078 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946088 */     GIR_RootConstrainSelectedInstOperands,
     /*  946089 */     // GIR_Coverage, 62809,
     /*  946089 */     GIR_EraseRootFromParent_Done,
     /*  946090 */   // Label 14245: @946090
     /*  946090 */   GIM_Try, /*On fail goto*//*Label 14246*/ GIMT_Encode4(946172), // Rule ID 62810 //
     /*  946095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  946106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  946109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  946112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946122 */     // MIs[0] op1
     /*  946122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946125 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946149 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  946149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  946152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946154 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946156 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946158 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946160 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946170 */     GIR_RootConstrainSelectedInstOperands,
     /*  946171 */     // GIR_Coverage, 62810,
     /*  946171 */     GIR_EraseRootFromParent_Done,
     /*  946172 */   // Label 14246: @946172
     /*  946172 */   GIM_Try, /*On fail goto*//*Label 14247*/ GIMT_Encode4(946254), // Rule ID 62821 //
     /*  946177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  946188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  946191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  946194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  946197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946204 */     // MIs[0] op1
     /*  946204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946207 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946231 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  946231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  946234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946236 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946238 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946240 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946242 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946252 */     GIR_RootConstrainSelectedInstOperands,
     /*  946253 */     // GIR_Coverage, 62821,
     /*  946253 */     GIR_EraseRootFromParent_Done,
     /*  946254 */   // Label 14247: @946254
     /*  946254 */   GIM_Try, /*On fail goto*//*Label 14248*/ GIMT_Encode4(946336), // Rule ID 62822 //
     /*  946259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  946270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  946273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  946276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  946279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946286 */     // MIs[0] op1
     /*  946286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946289 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946313 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  946313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  946316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946318 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946320 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946322 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946324 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946334 */     GIR_RootConstrainSelectedInstOperands,
     /*  946335 */     // GIR_Coverage, 62822,
     /*  946335 */     GIR_EraseRootFromParent_Done,
     /*  946336 */   // Label 14248: @946336
     /*  946336 */   GIM_Try, /*On fail goto*//*Label 14249*/ GIMT_Encode4(946418), // Rule ID 62853 //
     /*  946341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  946352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  946355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  946358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946368 */     // MIs[0] op1
     /*  946368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946371 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946395 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  946395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  946398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946400 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946402 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946404 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946406 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946416 */     GIR_RootConstrainSelectedInstOperands,
     /*  946417 */     // GIR_Coverage, 62853,
     /*  946417 */     GIR_EraseRootFromParent_Done,
     /*  946418 */   // Label 14249: @946418
     /*  946418 */   GIM_Try, /*On fail goto*//*Label 14250*/ GIMT_Encode4(946500), // Rule ID 62854 //
     /*  946423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  946434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  946437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  946440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946450 */     // MIs[0] op1
     /*  946450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946453 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946477 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  946477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  946480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946482 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946484 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946486 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946488 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946498 */     GIR_RootConstrainSelectedInstOperands,
     /*  946499 */     // GIR_Coverage, 62854,
     /*  946499 */     GIR_EraseRootFromParent_Done,
     /*  946500 */   // Label 14250: @946500
     /*  946500 */   GIM_Try, /*On fail goto*//*Label 14251*/ GIMT_Encode4(946582), // Rule ID 62865 //
     /*  946505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  946516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  946519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  946522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  946525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946532 */     // MIs[0] op1
     /*  946532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946535 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946559 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  946559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  946562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946564 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946566 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946568 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946570 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946580 */     GIR_RootConstrainSelectedInstOperands,
     /*  946581 */     // GIR_Coverage, 62865,
     /*  946581 */     GIR_EraseRootFromParent_Done,
     /*  946582 */   // Label 14251: @946582
     /*  946582 */   GIM_Try, /*On fail goto*//*Label 14252*/ GIMT_Encode4(946664), // Rule ID 62866 //
     /*  946587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  946598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  946601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  946604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  946607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946614 */     // MIs[0] op1
     /*  946614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946617 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946641 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  946641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  946644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946646 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946648 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946650 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946652 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946662 */     GIR_RootConstrainSelectedInstOperands,
     /*  946663 */     // GIR_Coverage, 62866,
     /*  946663 */     GIR_EraseRootFromParent_Done,
     /*  946664 */   // Label 14252: @946664
     /*  946664 */   GIM_Try, /*On fail goto*//*Label 14253*/ GIMT_Encode4(946746), // Rule ID 62897 //
     /*  946669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  946680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  946683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  946686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946696 */     // MIs[0] op1
     /*  946696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946699 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946723 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  946723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  946726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946728 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946730 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946732 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946734 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946744 */     GIR_RootConstrainSelectedInstOperands,
     /*  946745 */     // GIR_Coverage, 62897,
     /*  946745 */     GIR_EraseRootFromParent_Done,
     /*  946746 */   // Label 14253: @946746
     /*  946746 */   GIM_Try, /*On fail goto*//*Label 14254*/ GIMT_Encode4(946828), // Rule ID 62898 //
     /*  946751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  946759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  946762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  946765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  946768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946778 */     // MIs[0] op1
     /*  946778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946781 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946805 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  946805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  946808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946810 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946812 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946814 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946816 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946826 */     GIR_RootConstrainSelectedInstOperands,
     /*  946827 */     // GIR_Coverage, 62898,
     /*  946827 */     GIR_EraseRootFromParent_Done,
     /*  946828 */   // Label 14254: @946828
     /*  946828 */   GIM_Try, /*On fail goto*//*Label 14255*/ GIMT_Encode4(946910), // Rule ID 62909 //
     /*  946833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  946844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  946847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  946850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  946853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946860 */     // MIs[0] op1
     /*  946860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946863 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946887 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  946887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  946890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946892 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946894 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946896 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946898 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946908 */     GIR_RootConstrainSelectedInstOperands,
     /*  946909 */     // GIR_Coverage, 62909,
     /*  946909 */     GIR_EraseRootFromParent_Done,
     /*  946910 */   // Label 14255: @946910
     /*  946910 */   GIM_Try, /*On fail goto*//*Label 14256*/ GIMT_Encode4(946992), // Rule ID 62910 //
     /*  946915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  946926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  946929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  946932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  946935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946942 */     // MIs[0] op1
     /*  946942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946945 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946969 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  946969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  946972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946974 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946976 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946978 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946980 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946990 */     GIR_RootConstrainSelectedInstOperands,
     /*  946991 */     // GIR_Coverage, 62910,
     /*  946991 */     GIR_EraseRootFromParent_Done,
     /*  946992 */   // Label 14256: @946992
     /*  946992 */   GIM_Try, /*On fail goto*//*Label 14257*/ GIMT_Encode4(947074), // Rule ID 62921 //
     /*  946997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  947005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  947008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  947011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  947014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  947017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947024 */     // MIs[0] op1
     /*  947024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947027 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  947032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  947044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947051 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10962:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  947051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  947054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947056 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947058 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947060 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947062 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947072 */     GIR_RootConstrainSelectedInstOperands,
     /*  947073 */     // GIR_Coverage, 62921,
     /*  947073 */     GIR_EraseRootFromParent_Done,
     /*  947074 */   // Label 14257: @947074
     /*  947074 */   GIM_Try, /*On fail goto*//*Label 14258*/ GIMT_Encode4(947156), // Rule ID 62922 //
     /*  947079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  947087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  947090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  947093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  947096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  947099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947106 */     // MIs[0] op1
     /*  947106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947109 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  947114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  947126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947133 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10962:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  947133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  947136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947138 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947140 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947142 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947144 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947154 */     GIR_RootConstrainSelectedInstOperands,
     /*  947155 */     // GIR_Coverage, 62922,
     /*  947155 */     GIR_EraseRootFromParent_Done,
     /*  947156 */   // Label 14258: @947156
     /*  947156 */   GIM_Try, /*On fail goto*//*Label 14259*/ GIMT_Encode4(947238), // Rule ID 62953 //
     /*  947161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  947172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  947175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  947178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947188 */     // MIs[0] op1
     /*  947188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947191 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947215 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  947215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  947218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947220 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947222 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947224 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947226 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947236 */     GIR_RootConstrainSelectedInstOperands,
     /*  947237 */     // GIR_Coverage, 62953,
     /*  947237 */     GIR_EraseRootFromParent_Done,
     /*  947238 */   // Label 14259: @947238
     /*  947238 */   GIM_Try, /*On fail goto*//*Label 14260*/ GIMT_Encode4(947320), // Rule ID 62954 //
     /*  947243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  947254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  947257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  947260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947270 */     // MIs[0] op1
     /*  947270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947273 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947297 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  947297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  947300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947302 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947304 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947306 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947308 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947318 */     GIR_RootConstrainSelectedInstOperands,
     /*  947319 */     // GIR_Coverage, 62954,
     /*  947319 */     GIR_EraseRootFromParent_Done,
     /*  947320 */   // Label 14260: @947320
     /*  947320 */   GIM_Try, /*On fail goto*//*Label 14261*/ GIMT_Encode4(947402), // Rule ID 62965 //
     /*  947325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  947336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  947339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  947342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  947345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947352 */     // MIs[0] op1
     /*  947352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947355 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947379 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  947379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  947382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947384 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947386 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947388 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947390 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947400 */     GIR_RootConstrainSelectedInstOperands,
     /*  947401 */     // GIR_Coverage, 62965,
     /*  947401 */     GIR_EraseRootFromParent_Done,
     /*  947402 */   // Label 14261: @947402
     /*  947402 */   GIM_Try, /*On fail goto*//*Label 14262*/ GIMT_Encode4(947484), // Rule ID 62966 //
     /*  947407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  947418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  947421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  947424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  947427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947434 */     // MIs[0] op1
     /*  947434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947437 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947461 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  947461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  947464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947466 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947468 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947470 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947472 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947482 */     GIR_RootConstrainSelectedInstOperands,
     /*  947483 */     // GIR_Coverage, 62966,
     /*  947483 */     GIR_EraseRootFromParent_Done,
     /*  947484 */   // Label 14262: @947484
     /*  947484 */   GIM_Try, /*On fail goto*//*Label 14263*/ GIMT_Encode4(947566), // Rule ID 62977 //
     /*  947489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  947497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  947500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  947503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  947506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  947509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947516 */     // MIs[0] op1
     /*  947516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947519 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  947524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  947536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947543 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10962:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  947543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  947546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947548 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947550 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947552 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947554 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947564 */     GIR_RootConstrainSelectedInstOperands,
     /*  947565 */     // GIR_Coverage, 62977,
     /*  947565 */     GIR_EraseRootFromParent_Done,
     /*  947566 */   // Label 14263: @947566
     /*  947566 */   GIM_Try, /*On fail goto*//*Label 14264*/ GIMT_Encode4(947648), // Rule ID 62978 //
     /*  947571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  947579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  947582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  947585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  947588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  947591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947598 */     // MIs[0] op1
     /*  947598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947601 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  947606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  947618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947625 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10962:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  947625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  947628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947630 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947632 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947634 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947636 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947646 */     GIR_RootConstrainSelectedInstOperands,
     /*  947647 */     // GIR_Coverage, 62978,
     /*  947647 */     GIR_EraseRootFromParent_Done,
     /*  947648 */   // Label 14264: @947648
     /*  947648 */   GIM_Try, /*On fail goto*//*Label 14265*/ GIMT_Encode4(947730), // Rule ID 63009 //
     /*  947653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  947664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  947667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  947670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947680 */     // MIs[0] op1
     /*  947680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947683 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947707 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  947707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  947710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947712 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947714 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947716 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947718 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947728 */     GIR_RootConstrainSelectedInstOperands,
     /*  947729 */     // GIR_Coverage, 63009,
     /*  947729 */     GIR_EraseRootFromParent_Done,
     /*  947730 */   // Label 14265: @947730
     /*  947730 */   GIM_Try, /*On fail goto*//*Label 14266*/ GIMT_Encode4(947812), // Rule ID 63010 //
     /*  947735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  947746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  947749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  947752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947762 */     // MIs[0] op1
     /*  947762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947765 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947789 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  947789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  947792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947794 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947796 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947798 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947800 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947810 */     GIR_RootConstrainSelectedInstOperands,
     /*  947811 */     // GIR_Coverage, 63010,
     /*  947811 */     GIR_EraseRootFromParent_Done,
     /*  947812 */   // Label 14266: @947812
     /*  947812 */   GIM_Try, /*On fail goto*//*Label 14267*/ GIMT_Encode4(947894), // Rule ID 63021 //
     /*  947817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  947828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  947831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  947834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  947837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947844 */     // MIs[0] op1
     /*  947844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947847 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947871 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  947871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  947874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947876 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947878 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947880 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947882 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947892 */     GIR_RootConstrainSelectedInstOperands,
     /*  947893 */     // GIR_Coverage, 63021,
     /*  947893 */     GIR_EraseRootFromParent_Done,
     /*  947894 */   // Label 14267: @947894
     /*  947894 */   GIM_Try, /*On fail goto*//*Label 14268*/ GIMT_Encode4(947976), // Rule ID 63022 //
     /*  947899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  947907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  947910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  947913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  947916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  947919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947926 */     // MIs[0] op1
     /*  947926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947929 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947953 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  947953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  947956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947958 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947960 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947962 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947964 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947974 */     GIR_RootConstrainSelectedInstOperands,
     /*  947975 */     // GIR_Coverage, 63022,
     /*  947975 */     GIR_EraseRootFromParent_Done,
     /*  947976 */   // Label 14268: @947976
     /*  947976 */   GIM_Try, /*On fail goto*//*Label 14269*/ GIMT_Encode4(948058), // Rule ID 63033 //
     /*  947981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  947989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  947992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  947995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  947998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948008 */     // MIs[0] op1
     /*  948008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948011 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948035 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10962:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  948038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948040 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948042 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948044 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948046 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948056 */     GIR_RootConstrainSelectedInstOperands,
     /*  948057 */     // GIR_Coverage, 63033,
     /*  948057 */     GIR_EraseRootFromParent_Done,
     /*  948058 */   // Label 14269: @948058
     /*  948058 */   GIM_Try, /*On fail goto*//*Label 14270*/ GIMT_Encode4(948140), // Rule ID 63034 //
     /*  948063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  948074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  948077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  948080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948090 */     // MIs[0] op1
     /*  948090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948093 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948117 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10962:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  948120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948122 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948124 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948126 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948128 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948138 */     GIR_RootConstrainSelectedInstOperands,
     /*  948139 */     // GIR_Coverage, 63034,
     /*  948139 */     GIR_EraseRootFromParent_Done,
     /*  948140 */   // Label 14270: @948140
     /*  948140 */   GIM_Try, /*On fail goto*//*Label 14271*/ GIMT_Encode4(948222), // Rule ID 63065 //
     /*  948145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  948156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  948159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  948162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948172 */     // MIs[0] op1
     /*  948172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948175 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948199 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  948199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  948202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948204 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948206 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948208 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948210 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  948220 */     GIR_RootConstrainSelectedInstOperands,
     /*  948221 */     // GIR_Coverage, 63065,
     /*  948221 */     GIR_EraseRootFromParent_Done,
     /*  948222 */   // Label 14271: @948222
     /*  948222 */   GIM_Try, /*On fail goto*//*Label 14272*/ GIMT_Encode4(948304), // Rule ID 63066 //
     /*  948227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  948238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  948241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  948244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948254 */     // MIs[0] op1
     /*  948254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948257 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948281 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  948281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  948284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948286 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948288 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948290 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948292 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  948302 */     GIR_RootConstrainSelectedInstOperands,
     /*  948303 */     // GIR_Coverage, 63066,
     /*  948303 */     GIR_EraseRootFromParent_Done,
     /*  948304 */   // Label 14272: @948304
     /*  948304 */   GIM_Try, /*On fail goto*//*Label 14273*/ GIMT_Encode4(948386), // Rule ID 63077 //
     /*  948309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  948320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  948323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  948326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  948329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948336 */     // MIs[0] op1
     /*  948336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948339 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948363 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  948363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  948366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948368 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948370 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948372 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948374 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  948384 */     GIR_RootConstrainSelectedInstOperands,
     /*  948385 */     // GIR_Coverage, 63077,
     /*  948385 */     GIR_EraseRootFromParent_Done,
     /*  948386 */   // Label 14273: @948386
     /*  948386 */   GIM_Try, /*On fail goto*//*Label 14274*/ GIMT_Encode4(948468), // Rule ID 63078 //
     /*  948391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  948402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  948405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  948408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  948411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948418 */     // MIs[0] op1
     /*  948418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948421 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948445 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  948445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  948448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948450 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948452 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948454 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948456 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  948466 */     GIR_RootConstrainSelectedInstOperands,
     /*  948467 */     // GIR_Coverage, 63078,
     /*  948467 */     GIR_EraseRootFromParent_Done,
     /*  948468 */   // Label 14274: @948468
     /*  948468 */   GIM_Try, /*On fail goto*//*Label 14275*/ GIMT_Encode4(948550), // Rule ID 63089 //
     /*  948473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  948484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  948487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  948490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948500 */     // MIs[0] op1
     /*  948500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948503 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  948520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948527 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10962:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  948527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  948530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948532 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948534 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948536 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948538 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  948548 */     GIR_RootConstrainSelectedInstOperands,
     /*  948549 */     // GIR_Coverage, 63089,
     /*  948549 */     GIR_EraseRootFromParent_Done,
     /*  948550 */   // Label 14275: @948550
     /*  948550 */   GIM_Try, /*On fail goto*//*Label 14276*/ GIMT_Encode4(948632), // Rule ID 63090 //
     /*  948555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  948566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  948569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  948572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948582 */     // MIs[0] op1
     /*  948582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948585 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  948598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  948602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948609 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10962:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  948609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  948612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948614 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948616 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948618 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948620 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  948630 */     GIR_RootConstrainSelectedInstOperands,
     /*  948631 */     // GIR_Coverage, 63090,
     /*  948631 */     GIR_EraseRootFromParent_Done,
     /*  948632 */   // Label 14276: @948632
     /*  948632 */   GIM_Try, /*On fail goto*//*Label 14277*/ GIMT_Encode4(948714), // Rule ID 63121 //
     /*  948637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  948648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  948651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  948654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948664 */     // MIs[0] op1
     /*  948664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948667 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948691 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  948691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  948694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948696 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948698 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948700 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948702 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  948712 */     GIR_RootConstrainSelectedInstOperands,
     /*  948713 */     // GIR_Coverage, 63121,
     /*  948713 */     GIR_EraseRootFromParent_Done,
     /*  948714 */   // Label 14277: @948714
     /*  948714 */   GIM_Try, /*On fail goto*//*Label 14278*/ GIMT_Encode4(948796), // Rule ID 63122 //
     /*  948719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  948730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  948733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  948736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948746 */     // MIs[0] op1
     /*  948746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948749 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948773 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  948773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  948776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948778 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948780 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948782 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948784 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  948794 */     GIR_RootConstrainSelectedInstOperands,
     /*  948795 */     // GIR_Coverage, 63122,
     /*  948795 */     GIR_EraseRootFromParent_Done,
     /*  948796 */   // Label 14278: @948796
     /*  948796 */   GIM_Try, /*On fail goto*//*Label 14279*/ GIMT_Encode4(948878), // Rule ID 63133 //
     /*  948801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  948812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  948815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  948818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  948821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948828 */     // MIs[0] op1
     /*  948828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948831 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948855 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  948855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  948858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948860 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948862 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948864 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948866 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  948876 */     GIR_RootConstrainSelectedInstOperands,
     /*  948877 */     // GIR_Coverage, 63133,
     /*  948877 */     GIR_EraseRootFromParent_Done,
     /*  948878 */   // Label 14279: @948878
     /*  948878 */   GIM_Try, /*On fail goto*//*Label 14280*/ GIMT_Encode4(948960), // Rule ID 63134 //
     /*  948883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  948894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  948897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  948900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  948903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948910 */     // MIs[0] op1
     /*  948910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948913 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948937 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  948937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  948940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948942 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948944 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948946 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948948 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  948958 */     GIR_RootConstrainSelectedInstOperands,
     /*  948959 */     // GIR_Coverage, 63134,
     /*  948959 */     GIR_EraseRootFromParent_Done,
     /*  948960 */   // Label 14280: @948960
     /*  948960 */   GIM_Try, /*On fail goto*//*Label 14281*/ GIMT_Encode4(949042), // Rule ID 63145 //
     /*  948965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  948973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  948976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  948979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  948982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948992 */     // MIs[0] op1
     /*  948992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948995 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  949012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949019 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10962:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  949022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949024 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949026 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949028 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949030 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949040 */     GIR_RootConstrainSelectedInstOperands,
     /*  949041 */     // GIR_Coverage, 63145,
     /*  949041 */     GIR_EraseRootFromParent_Done,
     /*  949042 */   // Label 14281: @949042
     /*  949042 */   GIM_Try, /*On fail goto*//*Label 14282*/ GIMT_Encode4(949124), // Rule ID 63146 //
     /*  949047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  949058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  949061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  949064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949074 */     // MIs[0] op1
     /*  949074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949077 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  949094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949101 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10962:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  949104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949106 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949108 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949110 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949112 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949122 */     GIR_RootConstrainSelectedInstOperands,
     /*  949123 */     // GIR_Coverage, 63146,
     /*  949123 */     GIR_EraseRootFromParent_Done,
     /*  949124 */   // Label 14282: @949124
     /*  949124 */   GIM_Try, /*On fail goto*//*Label 14283*/ GIMT_Encode4(949206), // Rule ID 63177 //
     /*  949129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  949140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  949143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  949146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949156 */     // MIs[0] op1
     /*  949156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949159 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949183 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  949186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949188 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949190 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949192 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949194 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949204 */     GIR_RootConstrainSelectedInstOperands,
     /*  949205 */     // GIR_Coverage, 63177,
     /*  949205 */     GIR_EraseRootFromParent_Done,
     /*  949206 */   // Label 14283: @949206
     /*  949206 */   GIM_Try, /*On fail goto*//*Label 14284*/ GIMT_Encode4(949288), // Rule ID 63178 //
     /*  949211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  949222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  949225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  949228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949238 */     // MIs[0] op1
     /*  949238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949241 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949265 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  949268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949270 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949272 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949274 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949276 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949286 */     GIR_RootConstrainSelectedInstOperands,
     /*  949287 */     // GIR_Coverage, 63178,
     /*  949287 */     GIR_EraseRootFromParent_Done,
     /*  949288 */   // Label 14284: @949288
     /*  949288 */   GIM_Try, /*On fail goto*//*Label 14285*/ GIMT_Encode4(949370), // Rule ID 63189 //
     /*  949293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  949304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  949307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  949310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  949313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949320 */     // MIs[0] op1
     /*  949320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949323 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949347 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  949350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949352 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949354 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949356 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949358 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949368 */     GIR_RootConstrainSelectedInstOperands,
     /*  949369 */     // GIR_Coverage, 63189,
     /*  949369 */     GIR_EraseRootFromParent_Done,
     /*  949370 */   // Label 14285: @949370
     /*  949370 */   GIM_Try, /*On fail goto*//*Label 14286*/ GIMT_Encode4(949452), // Rule ID 63190 //
     /*  949375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  949386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  949389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  949392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  949395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949402 */     // MIs[0] op1
     /*  949402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949405 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949429 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  949432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949434 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949436 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949438 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949440 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949450 */     GIR_RootConstrainSelectedInstOperands,
     /*  949451 */     // GIR_Coverage, 63190,
     /*  949451 */     GIR_EraseRootFromParent_Done,
     /*  949452 */   // Label 14286: @949452
     /*  949452 */   GIM_Try, /*On fail goto*//*Label 14287*/ GIMT_Encode4(949534), // Rule ID 63201 //
     /*  949457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  949468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  949471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  949474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949484 */     // MIs[0] op1
     /*  949484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949487 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  949504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949511 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10962:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  949514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949516 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949518 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949520 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949522 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949532 */     GIR_RootConstrainSelectedInstOperands,
     /*  949533 */     // GIR_Coverage, 63201,
     /*  949533 */     GIR_EraseRootFromParent_Done,
     /*  949534 */   // Label 14287: @949534
     /*  949534 */   GIM_Try, /*On fail goto*//*Label 14288*/ GIMT_Encode4(949616), // Rule ID 63202 //
     /*  949539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  949550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  949553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  949556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949566 */     // MIs[0] op1
     /*  949566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949569 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  949586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949593 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10962:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  949596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949598 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949600 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949602 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949604 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949614 */     GIR_RootConstrainSelectedInstOperands,
     /*  949615 */     // GIR_Coverage, 63202,
     /*  949615 */     GIR_EraseRootFromParent_Done,
     /*  949616 */   // Label 14288: @949616
     /*  949616 */   GIM_Try, /*On fail goto*//*Label 14289*/ GIMT_Encode4(949698), // Rule ID 63233 //
     /*  949621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  949632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  949635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  949638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949648 */     // MIs[0] op1
     /*  949648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949651 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949675 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  949675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  949678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949680 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949682 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949684 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949686 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  949696 */     GIR_RootConstrainSelectedInstOperands,
     /*  949697 */     // GIR_Coverage, 63233,
     /*  949697 */     GIR_EraseRootFromParent_Done,
     /*  949698 */   // Label 14289: @949698
     /*  949698 */   GIM_Try, /*On fail goto*//*Label 14290*/ GIMT_Encode4(949780), // Rule ID 63234 //
     /*  949703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  949714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  949717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  949720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949730 */     // MIs[0] op1
     /*  949730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949733 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949757 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  949757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  949760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949762 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949764 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949766 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949768 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  949778 */     GIR_RootConstrainSelectedInstOperands,
     /*  949779 */     // GIR_Coverage, 63234,
     /*  949779 */     GIR_EraseRootFromParent_Done,
     /*  949780 */   // Label 14290: @949780
     /*  949780 */   GIM_Try, /*On fail goto*//*Label 14291*/ GIMT_Encode4(949862), // Rule ID 63245 //
     /*  949785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  949796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  949799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  949802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  949805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949812 */     // MIs[0] op1
     /*  949812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949815 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949839 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  949839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  949842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949844 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949846 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949848 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949850 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  949860 */     GIR_RootConstrainSelectedInstOperands,
     /*  949861 */     // GIR_Coverage, 63245,
     /*  949861 */     GIR_EraseRootFromParent_Done,
     /*  949862 */   // Label 14291: @949862
     /*  949862 */   GIM_Try, /*On fail goto*//*Label 14292*/ GIMT_Encode4(949944), // Rule ID 63246 //
     /*  949867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  949878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  949881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  949884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  949887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949894 */     // MIs[0] op1
     /*  949894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949897 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949921 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  949921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  949924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949926 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949928 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949930 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949932 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  949942 */     GIR_RootConstrainSelectedInstOperands,
     /*  949943 */     // GIR_Coverage, 63246,
     /*  949943 */     GIR_EraseRootFromParent_Done,
     /*  949944 */   // Label 14292: @949944
     /*  949944 */   GIM_Try, /*On fail goto*//*Label 14293*/ GIMT_Encode4(950026), // Rule ID 63257 //
     /*  949949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  949960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  949963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  949966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949976 */     // MIs[0] op1
     /*  949976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949979 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  949996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950003 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10962:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  950003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  950006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950008 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950010 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950012 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950014 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950024 */     GIR_RootConstrainSelectedInstOperands,
     /*  950025 */     // GIR_Coverage, 63257,
     /*  950025 */     GIR_EraseRootFromParent_Done,
     /*  950026 */   // Label 14293: @950026
     /*  950026 */   GIM_Try, /*On fail goto*//*Label 14294*/ GIMT_Encode4(950108), // Rule ID 63258 //
     /*  950031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  950042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  950045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  950048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950058 */     // MIs[0] op1
     /*  950058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950061 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  950078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950085 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10962:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  950085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  950088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950090 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950092 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950094 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950096 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950106 */     GIR_RootConstrainSelectedInstOperands,
     /*  950107 */     // GIR_Coverage, 63258,
     /*  950107 */     GIR_EraseRootFromParent_Done,
     /*  950108 */   // Label 14294: @950108
     /*  950108 */   GIM_Try, /*On fail goto*//*Label 14295*/ GIMT_Encode4(950190), // Rule ID 63289 //
     /*  950113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  950124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  950127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  950130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950140 */     // MIs[0] op1
     /*  950140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950143 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950167 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  950167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  950170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950172 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950174 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950176 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950178 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950188 */     GIR_RootConstrainSelectedInstOperands,
     /*  950189 */     // GIR_Coverage, 63289,
     /*  950189 */     GIR_EraseRootFromParent_Done,
     /*  950190 */   // Label 14295: @950190
     /*  950190 */   GIM_Try, /*On fail goto*//*Label 14296*/ GIMT_Encode4(950272), // Rule ID 63290 //
     /*  950195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  950206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  950209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  950212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950222 */     // MIs[0] op1
     /*  950222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950225 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950249 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  950249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  950252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950254 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950256 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950258 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950260 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950270 */     GIR_RootConstrainSelectedInstOperands,
     /*  950271 */     // GIR_Coverage, 63290,
     /*  950271 */     GIR_EraseRootFromParent_Done,
     /*  950272 */   // Label 14296: @950272
     /*  950272 */   GIM_Try, /*On fail goto*//*Label 14297*/ GIMT_Encode4(950354), // Rule ID 63301 //
     /*  950277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  950288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  950291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  950294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  950297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950304 */     // MIs[0] op1
     /*  950304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950307 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950331 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  950331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  950334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950336 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950338 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950340 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950342 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950352 */     GIR_RootConstrainSelectedInstOperands,
     /*  950353 */     // GIR_Coverage, 63301,
     /*  950353 */     GIR_EraseRootFromParent_Done,
     /*  950354 */   // Label 14297: @950354
     /*  950354 */   GIM_Try, /*On fail goto*//*Label 14298*/ GIMT_Encode4(950436), // Rule ID 63302 //
     /*  950359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  950370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  950373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  950376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  950379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950386 */     // MIs[0] op1
     /*  950386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950389 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950413 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  950413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  950416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950418 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950420 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950422 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950424 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950434 */     GIR_RootConstrainSelectedInstOperands,
     /*  950435 */     // GIR_Coverage, 63302,
     /*  950435 */     GIR_EraseRootFromParent_Done,
     /*  950436 */   // Label 14298: @950436
     /*  950436 */   GIM_Try, /*On fail goto*//*Label 14299*/ GIMT_Encode4(950518), // Rule ID 63313 //
     /*  950441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  950452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  950455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  950458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950468 */     // MIs[0] op1
     /*  950468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950471 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  950488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950495 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10962:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  950495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  950498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950500 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950502 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950504 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950506 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950516 */     GIR_RootConstrainSelectedInstOperands,
     /*  950517 */     // GIR_Coverage, 63313,
     /*  950517 */     GIR_EraseRootFromParent_Done,
     /*  950518 */   // Label 14299: @950518
     /*  950518 */   GIM_Try, /*On fail goto*//*Label 14300*/ GIMT_Encode4(950600), // Rule ID 63314 //
     /*  950523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  950534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  950537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  950540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950550 */     // MIs[0] op1
     /*  950550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950553 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  950570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950577 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10962:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  950577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  950580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950582 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950584 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950586 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950588 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950598 */     GIR_RootConstrainSelectedInstOperands,
     /*  950599 */     // GIR_Coverage, 63314,
     /*  950599 */     GIR_EraseRootFromParent_Done,
     /*  950600 */   // Label 14300: @950600
     /*  950600 */   GIM_Try, /*On fail goto*//*Label 14301*/ GIMT_Encode4(950682), // Rule ID 63345 //
     /*  950605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  950616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  950619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  950622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950632 */     // MIs[0] op1
     /*  950632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950635 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950659 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  950659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  950662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950664 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950666 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950668 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950670 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950680 */     GIR_RootConstrainSelectedInstOperands,
     /*  950681 */     // GIR_Coverage, 63345,
     /*  950681 */     GIR_EraseRootFromParent_Done,
     /*  950682 */   // Label 14301: @950682
     /*  950682 */   GIM_Try, /*On fail goto*//*Label 14302*/ GIMT_Encode4(950764), // Rule ID 63346 //
     /*  950687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  950698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  950701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  950704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950714 */     // MIs[0] op1
     /*  950714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950717 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950741 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10984:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  950741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  950744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950746 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950748 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950750 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950752 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950762 */     GIR_RootConstrainSelectedInstOperands,
     /*  950763 */     // GIR_Coverage, 63346,
     /*  950763 */     GIR_EraseRootFromParent_Done,
     /*  950764 */   // Label 14302: @950764
     /*  950764 */   GIM_Try, /*On fail goto*//*Label 14303*/ GIMT_Encode4(950846), // Rule ID 63357 //
     /*  950769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  950780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  950783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  950786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  950789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950796 */     // MIs[0] op1
     /*  950796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950799 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950823 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10976:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  950823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  950826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950828 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950830 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950832 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950834 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950844 */     GIR_RootConstrainSelectedInstOperands,
     /*  950845 */     // GIR_Coverage, 63357,
     /*  950845 */     GIR_EraseRootFromParent_Done,
     /*  950846 */   // Label 14303: @950846
     /*  950846 */   GIM_Try, /*On fail goto*//*Label 14304*/ GIMT_Encode4(950928), // Rule ID 63358 //
     /*  950851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  950862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  950865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  950868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  950871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950878 */     // MIs[0] op1
     /*  950878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950881 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950905 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10976:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  950905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  950908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950910 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950912 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950914 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950916 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950926 */     GIR_RootConstrainSelectedInstOperands,
     /*  950927 */     // GIR_Coverage, 63358,
     /*  950927 */     GIR_EraseRootFromParent_Done,
     /*  950928 */   // Label 14304: @950928
     /*  950928 */   GIM_Try, /*On fail goto*//*Label 14305*/ GIMT_Encode4(951010), // Rule ID 63369 //
     /*  950933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  950944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  950947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  950950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950960 */     // MIs[0] op1
     /*  950960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950963 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  950980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950987 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10962:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  950987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  950990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950992 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950994 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950996 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950998 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951008 */     GIR_RootConstrainSelectedInstOperands,
     /*  951009 */     // GIR_Coverage, 63369,
     /*  951009 */     GIR_EraseRootFromParent_Done,
     /*  951010 */   // Label 14305: @951010
     /*  951010 */   GIM_Try, /*On fail goto*//*Label 14306*/ GIMT_Encode4(951092), // Rule ID 63370 //
     /*  951015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  951026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  951029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  951032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951042 */     // MIs[0] op1
     /*  951042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951045 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  951062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951069 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10962:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  951072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951074 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951076 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951078 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951080 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951090 */     GIR_RootConstrainSelectedInstOperands,
     /*  951091 */     // GIR_Coverage, 63370,
     /*  951091 */     GIR_EraseRootFromParent_Done,
     /*  951092 */   // Label 14306: @951092
     /*  951092 */   GIM_Try, /*On fail goto*//*Label 14307*/ GIMT_Encode4(951174), // Rule ID 63375 //
     /*  951097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  951105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  951108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  951111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  951114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951124 */     // MIs[0] op1
     /*  951124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951127 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951151 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  951151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  951154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951156 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951158 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951160 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951162 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951172 */     GIR_RootConstrainSelectedInstOperands,
     /*  951173 */     // GIR_Coverage, 63375,
     /*  951173 */     GIR_EraseRootFromParent_Done,
     /*  951174 */   // Label 14307: @951174
     /*  951174 */   GIM_Try, /*On fail goto*//*Label 14308*/ GIMT_Encode4(951256), // Rule ID 63376 //
     /*  951179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  951187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  951190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  951193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  951196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951206 */     // MIs[0] op1
     /*  951206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951209 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951233 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  951233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  951236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951238 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951240 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951242 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951244 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951254 */     GIR_RootConstrainSelectedInstOperands,
     /*  951255 */     // GIR_Coverage, 63376,
     /*  951255 */     GIR_EraseRootFromParent_Done,
     /*  951256 */   // Label 14308: @951256
     /*  951256 */   GIM_Try, /*On fail goto*//*Label 14309*/ GIMT_Encode4(951338), // Rule ID 63387 //
     /*  951261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  951269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  951272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  951275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  951278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  951281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951288 */     // MIs[0] op1
     /*  951288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951291 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951315 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  951315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  951318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951320 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951322 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951324 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951326 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951336 */     GIR_RootConstrainSelectedInstOperands,
     /*  951337 */     // GIR_Coverage, 63387,
     /*  951337 */     GIR_EraseRootFromParent_Done,
     /*  951338 */   // Label 14309: @951338
     /*  951338 */   GIM_Try, /*On fail goto*//*Label 14310*/ GIMT_Encode4(951420), // Rule ID 63388 //
     /*  951343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  951351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  951354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  951357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  951360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  951363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951370 */     // MIs[0] op1
     /*  951370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951373 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951397 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  951397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  951400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951402 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951404 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951406 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951408 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951418 */     GIR_RootConstrainSelectedInstOperands,
     /*  951419 */     // GIR_Coverage, 63388,
     /*  951419 */     GIR_EraseRootFromParent_Done,
     /*  951420 */   // Label 14310: @951420
     /*  951420 */   GIM_Try, /*On fail goto*//*Label 14311*/ GIMT_Encode4(951502), // Rule ID 63393 //
     /*  951425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  951433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  951436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  951439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  951442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951452 */     // MIs[0] op1
     /*  951452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951455 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951479 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  951479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  951482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951484 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951486 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951488 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951490 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951500 */     GIR_RootConstrainSelectedInstOperands,
     /*  951501 */     // GIR_Coverage, 63393,
     /*  951501 */     GIR_EraseRootFromParent_Done,
     /*  951502 */   // Label 14311: @951502
     /*  951502 */   GIM_Try, /*On fail goto*//*Label 14312*/ GIMT_Encode4(951584), // Rule ID 63394 //
     /*  951507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  951515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  951518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  951521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  951524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951534 */     // MIs[0] op1
     /*  951534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951537 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951561 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  951561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  951564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951566 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951568 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951570 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951572 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951582 */     GIR_RootConstrainSelectedInstOperands,
     /*  951583 */     // GIR_Coverage, 63394,
     /*  951583 */     GIR_EraseRootFromParent_Done,
     /*  951584 */   // Label 14312: @951584
     /*  951584 */   GIM_Try, /*On fail goto*//*Label 14313*/ GIMT_Encode4(951666), // Rule ID 63405 //
     /*  951589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  951597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  951600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  951603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  951606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  951609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951616 */     // MIs[0] op1
     /*  951616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951619 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951643 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  951643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  951646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951648 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951650 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951652 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951654 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951664 */     GIR_RootConstrainSelectedInstOperands,
     /*  951665 */     // GIR_Coverage, 63405,
     /*  951665 */     GIR_EraseRootFromParent_Done,
     /*  951666 */   // Label 14313: @951666
     /*  951666 */   GIM_Try, /*On fail goto*//*Label 14314*/ GIMT_Encode4(951748), // Rule ID 63406 //
     /*  951671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  951679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  951682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  951685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  951688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  951691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951698 */     // MIs[0] op1
     /*  951698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951701 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951725 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  951725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  951728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951730 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951732 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951734 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951736 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951746 */     GIR_RootConstrainSelectedInstOperands,
     /*  951747 */     // GIR_Coverage, 63406,
     /*  951747 */     GIR_EraseRootFromParent_Done,
     /*  951748 */   // Label 14314: @951748
     /*  951748 */   GIM_Try, /*On fail goto*//*Label 14315*/ GIMT_Encode4(951830), // Rule ID 63411 //
     /*  951753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  951761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  951764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  951767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  951770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951780 */     // MIs[0] op1
     /*  951780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951783 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951807 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  951807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  951810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951812 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951814 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951816 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951818 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951828 */     GIR_RootConstrainSelectedInstOperands,
     /*  951829 */     // GIR_Coverage, 63411,
     /*  951829 */     GIR_EraseRootFromParent_Done,
     /*  951830 */   // Label 14315: @951830
     /*  951830 */   GIM_Try, /*On fail goto*//*Label 14316*/ GIMT_Encode4(951912), // Rule ID 63412 //
     /*  951835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  951843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  951846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  951849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  951852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951862 */     // MIs[0] op1
     /*  951862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951865 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951889 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  951889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  951892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951894 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951896 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951898 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951900 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951910 */     GIR_RootConstrainSelectedInstOperands,
     /*  951911 */     // GIR_Coverage, 63412,
     /*  951911 */     GIR_EraseRootFromParent_Done,
     /*  951912 */   // Label 14316: @951912
     /*  951912 */   GIM_Try, /*On fail goto*//*Label 14317*/ GIMT_Encode4(951994), // Rule ID 63423 //
     /*  951917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  951925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  951928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  951931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  951934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  951937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951944 */     // MIs[0] op1
     /*  951944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951947 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951971 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  951971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  951974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951976 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951978 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951980 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951982 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951992 */     GIR_RootConstrainSelectedInstOperands,
     /*  951993 */     // GIR_Coverage, 63423,
     /*  951993 */     GIR_EraseRootFromParent_Done,
     /*  951994 */   // Label 14317: @951994
     /*  951994 */   GIM_Try, /*On fail goto*//*Label 14318*/ GIMT_Encode4(952076), // Rule ID 63424 //
     /*  951999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  952010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  952013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  952016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  952019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952026 */     // MIs[0] op1
     /*  952026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952029 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952053 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  952056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952058 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952060 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952062 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952064 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952074 */     GIR_RootConstrainSelectedInstOperands,
     /*  952075 */     // GIR_Coverage, 63424,
     /*  952075 */     GIR_EraseRootFromParent_Done,
     /*  952076 */   // Label 14318: @952076
     /*  952076 */   GIM_Try, /*On fail goto*//*Label 14319*/ GIMT_Encode4(952158), // Rule ID 63429 //
     /*  952081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  952092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  952095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  952098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952108 */     // MIs[0] op1
     /*  952108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952111 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952135 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  952138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952140 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952142 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952144 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952146 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952156 */     GIR_RootConstrainSelectedInstOperands,
     /*  952157 */     // GIR_Coverage, 63429,
     /*  952157 */     GIR_EraseRootFromParent_Done,
     /*  952158 */   // Label 14319: @952158
     /*  952158 */   GIM_Try, /*On fail goto*//*Label 14320*/ GIMT_Encode4(952240), // Rule ID 63430 //
     /*  952163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  952174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  952177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  952180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952190 */     // MIs[0] op1
     /*  952190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952193 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952217 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  952220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952222 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952224 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952226 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952228 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952238 */     GIR_RootConstrainSelectedInstOperands,
     /*  952239 */     // GIR_Coverage, 63430,
     /*  952239 */     GIR_EraseRootFromParent_Done,
     /*  952240 */   // Label 14320: @952240
     /*  952240 */   GIM_Try, /*On fail goto*//*Label 14321*/ GIMT_Encode4(952322), // Rule ID 63441 //
     /*  952245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  952256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  952259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  952262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  952265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952272 */     // MIs[0] op1
     /*  952272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952275 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952299 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  952302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952304 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952306 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952308 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952310 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952320 */     GIR_RootConstrainSelectedInstOperands,
     /*  952321 */     // GIR_Coverage, 63441,
     /*  952321 */     GIR_EraseRootFromParent_Done,
     /*  952322 */   // Label 14321: @952322
     /*  952322 */   GIM_Try, /*On fail goto*//*Label 14322*/ GIMT_Encode4(952404), // Rule ID 63442 //
     /*  952327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  952338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  952341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  952344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  952347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952354 */     // MIs[0] op1
     /*  952354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952357 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952381 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  952384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952386 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952388 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952390 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952392 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952402 */     GIR_RootConstrainSelectedInstOperands,
     /*  952403 */     // GIR_Coverage, 63442,
     /*  952403 */     GIR_EraseRootFromParent_Done,
     /*  952404 */   // Label 14322: @952404
     /*  952404 */   GIM_Try, /*On fail goto*//*Label 14323*/ GIMT_Encode4(952486), // Rule ID 63447 //
     /*  952409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  952420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  952423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  952426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952436 */     // MIs[0] op1
     /*  952436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952439 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952463 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  952466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952468 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952470 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952472 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952474 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952484 */     GIR_RootConstrainSelectedInstOperands,
     /*  952485 */     // GIR_Coverage, 63447,
     /*  952485 */     GIR_EraseRootFromParent_Done,
     /*  952486 */   // Label 14323: @952486
     /*  952486 */   GIM_Try, /*On fail goto*//*Label 14324*/ GIMT_Encode4(952568), // Rule ID 63448 //
     /*  952491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  952502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  952505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  952508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952518 */     // MIs[0] op1
     /*  952518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952521 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952545 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  952548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952550 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952552 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952554 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952556 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952566 */     GIR_RootConstrainSelectedInstOperands,
     /*  952567 */     // GIR_Coverage, 63448,
     /*  952567 */     GIR_EraseRootFromParent_Done,
     /*  952568 */   // Label 14324: @952568
     /*  952568 */   GIM_Try, /*On fail goto*//*Label 14325*/ GIMT_Encode4(952650), // Rule ID 63459 //
     /*  952573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  952584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  952587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  952590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  952593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952600 */     // MIs[0] op1
     /*  952600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952603 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952627 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  952630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952632 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952634 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952636 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952638 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952648 */     GIR_RootConstrainSelectedInstOperands,
     /*  952649 */     // GIR_Coverage, 63459,
     /*  952649 */     GIR_EraseRootFromParent_Done,
     /*  952650 */   // Label 14325: @952650
     /*  952650 */   GIM_Try, /*On fail goto*//*Label 14326*/ GIMT_Encode4(952732), // Rule ID 63460 //
     /*  952655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  952666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  952669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  952672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  952675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952682 */     // MIs[0] op1
     /*  952682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952685 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952709 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  952712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952714 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952716 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952718 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952720 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952730 */     GIR_RootConstrainSelectedInstOperands,
     /*  952731 */     // GIR_Coverage, 63460,
     /*  952731 */     GIR_EraseRootFromParent_Done,
     /*  952732 */   // Label 14326: @952732
     /*  952732 */   GIM_Try, /*On fail goto*//*Label 14327*/ GIMT_Encode4(952814), // Rule ID 63465 //
     /*  952737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  952748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  952751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  952754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952764 */     // MIs[0] op1
     /*  952764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952767 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952791 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  952794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952796 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952798 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952800 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952802 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952812 */     GIR_RootConstrainSelectedInstOperands,
     /*  952813 */     // GIR_Coverage, 63465,
     /*  952813 */     GIR_EraseRootFromParent_Done,
     /*  952814 */   // Label 14327: @952814
     /*  952814 */   GIM_Try, /*On fail goto*//*Label 14328*/ GIMT_Encode4(952896), // Rule ID 63466 //
     /*  952819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  952830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  952833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  952836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952846 */     // MIs[0] op1
     /*  952846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952849 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952873 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  952876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952878 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952880 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952882 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952884 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952894 */     GIR_RootConstrainSelectedInstOperands,
     /*  952895 */     // GIR_Coverage, 63466,
     /*  952895 */     GIR_EraseRootFromParent_Done,
     /*  952896 */   // Label 14328: @952896
     /*  952896 */   GIM_Try, /*On fail goto*//*Label 14329*/ GIMT_Encode4(952978), // Rule ID 63477 //
     /*  952901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  952912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  952915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  952918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  952921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952928 */     // MIs[0] op1
     /*  952928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952931 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952955 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  952958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952960 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952962 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952964 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952966 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952976 */     GIR_RootConstrainSelectedInstOperands,
     /*  952977 */     // GIR_Coverage, 63477,
     /*  952977 */     GIR_EraseRootFromParent_Done,
     /*  952978 */   // Label 14329: @952978
     /*  952978 */   GIM_Try, /*On fail goto*//*Label 14330*/ GIMT_Encode4(953060), // Rule ID 63478 //
     /*  952983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  952994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  952997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  953000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  953003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953010 */     // MIs[0] op1
     /*  953010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953013 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953037 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  953040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953042 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953044 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953046 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953048 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953058 */     GIR_RootConstrainSelectedInstOperands,
     /*  953059 */     // GIR_Coverage, 63478,
     /*  953059 */     GIR_EraseRootFromParent_Done,
     /*  953060 */   // Label 14330: @953060
     /*  953060 */   GIM_Try, /*On fail goto*//*Label 14331*/ GIMT_Encode4(953142), // Rule ID 63483 //
     /*  953065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  953076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  953079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  953082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953092 */     // MIs[0] op1
     /*  953092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953095 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953119 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  953122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953124 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953126 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953128 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953130 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953140 */     GIR_RootConstrainSelectedInstOperands,
     /*  953141 */     // GIR_Coverage, 63483,
     /*  953141 */     GIR_EraseRootFromParent_Done,
     /*  953142 */   // Label 14331: @953142
     /*  953142 */   GIM_Try, /*On fail goto*//*Label 14332*/ GIMT_Encode4(953224), // Rule ID 63484 //
     /*  953147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  953158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  953161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  953164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953174 */     // MIs[0] op1
     /*  953174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953177 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953201 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  953204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953206 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953208 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953210 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953212 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953222 */     GIR_RootConstrainSelectedInstOperands,
     /*  953223 */     // GIR_Coverage, 63484,
     /*  953223 */     GIR_EraseRootFromParent_Done,
     /*  953224 */   // Label 14332: @953224
     /*  953224 */   GIM_Try, /*On fail goto*//*Label 14333*/ GIMT_Encode4(953306), // Rule ID 63495 //
     /*  953229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  953240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  953243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  953246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  953249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953256 */     // MIs[0] op1
     /*  953256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953259 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953283 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  953286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953288 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953290 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953292 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953294 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953304 */     GIR_RootConstrainSelectedInstOperands,
     /*  953305 */     // GIR_Coverage, 63495,
     /*  953305 */     GIR_EraseRootFromParent_Done,
     /*  953306 */   // Label 14333: @953306
     /*  953306 */   GIM_Try, /*On fail goto*//*Label 14334*/ GIMT_Encode4(953388), // Rule ID 63496 //
     /*  953311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  953322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  953325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  953328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  953331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953338 */     // MIs[0] op1
     /*  953338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953341 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953365 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  953368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953370 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953372 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953374 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953376 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953386 */     GIR_RootConstrainSelectedInstOperands,
     /*  953387 */     // GIR_Coverage, 63496,
     /*  953387 */     GIR_EraseRootFromParent_Done,
     /*  953388 */   // Label 14334: @953388
     /*  953388 */   GIM_Try, /*On fail goto*//*Label 14335*/ GIMT_Encode4(953470), // Rule ID 63501 //
     /*  953393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  953401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  953404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  953407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  953410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  953413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953420 */     // MIs[0] op1
     /*  953420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953423 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  953428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  953440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953447 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10964:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  953450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953452 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953454 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953456 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953458 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953468 */     GIR_RootConstrainSelectedInstOperands,
     /*  953469 */     // GIR_Coverage, 63501,
     /*  953469 */     GIR_EraseRootFromParent_Done,
     /*  953470 */   // Label 14335: @953470
     /*  953470 */   GIM_Try, /*On fail goto*//*Label 14336*/ GIMT_Encode4(953552), // Rule ID 63502 //
     /*  953475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  953483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  953486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  953489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  953492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  953495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953502 */     // MIs[0] op1
     /*  953502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953505 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  953510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  953522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953529 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10964:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  953532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953534 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953536 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953538 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953540 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953550 */     GIR_RootConstrainSelectedInstOperands,
     /*  953551 */     // GIR_Coverage, 63502,
     /*  953551 */     GIR_EraseRootFromParent_Done,
     /*  953552 */   // Label 14336: @953552
     /*  953552 */   GIM_Try, /*On fail goto*//*Label 14337*/ GIMT_Encode4(953634), // Rule ID 63507 //
     /*  953557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  953568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  953571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  953574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953584 */     // MIs[0] op1
     /*  953584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953611 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  953614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953616 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953618 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953620 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953622 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953632 */     GIR_RootConstrainSelectedInstOperands,
     /*  953633 */     // GIR_Coverage, 63507,
     /*  953633 */     GIR_EraseRootFromParent_Done,
     /*  953634 */   // Label 14337: @953634
     /*  953634 */   GIM_Try, /*On fail goto*//*Label 14338*/ GIMT_Encode4(953716), // Rule ID 63508 //
     /*  953639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  953647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  953650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  953653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  953656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953666 */     // MIs[0] op1
     /*  953666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953669 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953693 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  953696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953698 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953700 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953702 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953704 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953714 */     GIR_RootConstrainSelectedInstOperands,
     /*  953715 */     // GIR_Coverage, 63508,
     /*  953715 */     GIR_EraseRootFromParent_Done,
     /*  953716 */   // Label 14338: @953716
     /*  953716 */   GIM_Try, /*On fail goto*//*Label 14339*/ GIMT_Encode4(953798), // Rule ID 63519 //
     /*  953721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  953732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  953735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  953738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  953741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953748 */     // MIs[0] op1
     /*  953748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953751 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953775 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  953778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953780 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953782 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953784 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953786 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953796 */     GIR_RootConstrainSelectedInstOperands,
     /*  953797 */     // GIR_Coverage, 63519,
     /*  953797 */     GIR_EraseRootFromParent_Done,
     /*  953798 */   // Label 14339: @953798
     /*  953798 */   GIM_Try, /*On fail goto*//*Label 14340*/ GIMT_Encode4(953880), // Rule ID 63520 //
     /*  953803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  953811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  953814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  953817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  953820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  953823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953830 */     // MIs[0] op1
     /*  953830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953833 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953857 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  953860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953862 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953864 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953866 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953868 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953878 */     GIR_RootConstrainSelectedInstOperands,
     /*  953879 */     // GIR_Coverage, 63520,
     /*  953879 */     GIR_EraseRootFromParent_Done,
     /*  953880 */   // Label 14340: @953880
     /*  953880 */   GIM_Try, /*On fail goto*//*Label 14341*/ GIMT_Encode4(953962), // Rule ID 63525 //
     /*  953885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  953893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  953896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  953899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  953902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  953905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953912 */     // MIs[0] op1
     /*  953912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953915 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  953920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  953932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953939 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10964:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  953942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953944 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953946 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953948 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953950 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953960 */     GIR_RootConstrainSelectedInstOperands,
     /*  953961 */     // GIR_Coverage, 63525,
     /*  953961 */     GIR_EraseRootFromParent_Done,
     /*  953962 */   // Label 14341: @953962
     /*  953962 */   GIM_Try, /*On fail goto*//*Label 14342*/ GIMT_Encode4(954044), // Rule ID 63526 //
     /*  953967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  953975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  953978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  953981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  953984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  953987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953994 */     // MIs[0] op1
     /*  953994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953997 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  954014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954021 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10964:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  954024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954026 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954028 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954030 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954032 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954042 */     GIR_RootConstrainSelectedInstOperands,
     /*  954043 */     // GIR_Coverage, 63526,
     /*  954043 */     GIR_EraseRootFromParent_Done,
     /*  954044 */   // Label 14342: @954044
     /*  954044 */   GIM_Try, /*On fail goto*//*Label 14343*/ GIMT_Encode4(954126), // Rule ID 63531 //
     /*  954049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  954066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954076 */     // MIs[0] op1
     /*  954076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954079 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954103 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  954106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954108 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954110 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954112 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954114 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954124 */     GIR_RootConstrainSelectedInstOperands,
     /*  954125 */     // GIR_Coverage, 63531,
     /*  954125 */     GIR_EraseRootFromParent_Done,
     /*  954126 */   // Label 14343: @954126
     /*  954126 */   GIM_Try, /*On fail goto*//*Label 14344*/ GIMT_Encode4(954208), // Rule ID 63532 //
     /*  954131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  954148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954158 */     // MIs[0] op1
     /*  954158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954161 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954185 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  954188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954190 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954192 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954194 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954196 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954206 */     GIR_RootConstrainSelectedInstOperands,
     /*  954207 */     // GIR_Coverage, 63532,
     /*  954207 */     GIR_EraseRootFromParent_Done,
     /*  954208 */   // Label 14344: @954208
     /*  954208 */   GIM_Try, /*On fail goto*//*Label 14345*/ GIMT_Encode4(954290), // Rule ID 63543 //
     /*  954213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  954230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  954233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954240 */     // MIs[0] op1
     /*  954240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954243 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  954270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954272 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954274 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954276 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954278 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954288 */     GIR_RootConstrainSelectedInstOperands,
     /*  954289 */     // GIR_Coverage, 63543,
     /*  954289 */     GIR_EraseRootFromParent_Done,
     /*  954290 */   // Label 14345: @954290
     /*  954290 */   GIM_Try, /*On fail goto*//*Label 14346*/ GIMT_Encode4(954372), // Rule ID 63544 //
     /*  954295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  954312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  954315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954322 */     // MIs[0] op1
     /*  954322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954325 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954349 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  954352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954354 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954356 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954358 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954360 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954370 */     GIR_RootConstrainSelectedInstOperands,
     /*  954371 */     // GIR_Coverage, 63544,
     /*  954371 */     GIR_EraseRootFromParent_Done,
     /*  954372 */   // Label 14346: @954372
     /*  954372 */   GIM_Try, /*On fail goto*//*Label 14347*/ GIMT_Encode4(954454), // Rule ID 63549 //
     /*  954377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  954385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  954394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  954397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954404 */     // MIs[0] op1
     /*  954404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954407 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  954424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954431 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10964:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  954434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954436 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954438 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954440 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954442 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954452 */     GIR_RootConstrainSelectedInstOperands,
     /*  954453 */     // GIR_Coverage, 63549,
     /*  954453 */     GIR_EraseRootFromParent_Done,
     /*  954454 */   // Label 14347: @954454
     /*  954454 */   GIM_Try, /*On fail goto*//*Label 14348*/ GIMT_Encode4(954536), // Rule ID 63550 //
     /*  954459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  954467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  954476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  954479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954486 */     // MIs[0] op1
     /*  954486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954489 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  954506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954513 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10964:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  954516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954518 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954520 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954522 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954524 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954534 */     GIR_RootConstrainSelectedInstOperands,
     /*  954535 */     // GIR_Coverage, 63550,
     /*  954535 */     GIR_EraseRootFromParent_Done,
     /*  954536 */   // Label 14348: @954536
     /*  954536 */   GIM_Try, /*On fail goto*//*Label 14349*/ GIMT_Encode4(954618), // Rule ID 63555 //
     /*  954541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  954555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  954558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954568 */     // MIs[0] op1
     /*  954568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954571 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954595 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  954598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954600 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954602 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954604 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954606 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954616 */     GIR_RootConstrainSelectedInstOperands,
     /*  954617 */     // GIR_Coverage, 63555,
     /*  954617 */     GIR_EraseRootFromParent_Done,
     /*  954618 */   // Label 14349: @954618
     /*  954618 */   GIM_Try, /*On fail goto*//*Label 14350*/ GIMT_Encode4(954700), // Rule ID 63556 //
     /*  954623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  954631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  954637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  954640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954650 */     // MIs[0] op1
     /*  954650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954653 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954677 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  954680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954682 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954684 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954686 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954688 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954698 */     GIR_RootConstrainSelectedInstOperands,
     /*  954699 */     // GIR_Coverage, 63556,
     /*  954699 */     GIR_EraseRootFromParent_Done,
     /*  954700 */   // Label 14350: @954700
     /*  954700 */   GIM_Try, /*On fail goto*//*Label 14351*/ GIMT_Encode4(954782), // Rule ID 63567 //
     /*  954705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  954719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  954722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  954725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954732 */     // MIs[0] op1
     /*  954732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954735 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954759 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  954762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954764 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954766 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954768 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954770 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954780 */     GIR_RootConstrainSelectedInstOperands,
     /*  954781 */     // GIR_Coverage, 63567,
     /*  954781 */     GIR_EraseRootFromParent_Done,
     /*  954782 */   // Label 14351: @954782
     /*  954782 */   GIM_Try, /*On fail goto*//*Label 14352*/ GIMT_Encode4(954864), // Rule ID 63568 //
     /*  954787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  954795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  954801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  954804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  954807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954814 */     // MIs[0] op1
     /*  954814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954817 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954841 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  954844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954846 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954848 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954850 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954852 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954862 */     GIR_RootConstrainSelectedInstOperands,
     /*  954863 */     // GIR_Coverage, 63568,
     /*  954863 */     GIR_EraseRootFromParent_Done,
     /*  954864 */   // Label 14352: @954864
     /*  954864 */   GIM_Try, /*On fail goto*//*Label 14353*/ GIMT_Encode4(954946), // Rule ID 63573 //
     /*  954869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  954877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  954883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  954886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  954889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954896 */     // MIs[0] op1
     /*  954896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954899 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  954916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954923 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10964:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  954926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954928 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954930 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954932 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954934 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954944 */     GIR_RootConstrainSelectedInstOperands,
     /*  954945 */     // GIR_Coverage, 63573,
     /*  954945 */     GIR_EraseRootFromParent_Done,
     /*  954946 */   // Label 14353: @954946
     /*  954946 */   GIM_Try, /*On fail goto*//*Label 14354*/ GIMT_Encode4(955028), // Rule ID 63574 //
     /*  954951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  954959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  954965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  954968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  954971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954978 */     // MIs[0] op1
     /*  954978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954981 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  954998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955005 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10964:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  955008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955010 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955012 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955014 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955016 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955026 */     GIR_RootConstrainSelectedInstOperands,
     /*  955027 */     // GIR_Coverage, 63574,
     /*  955027 */     GIR_EraseRootFromParent_Done,
     /*  955028 */   // Label 14354: @955028
     /*  955028 */   GIM_Try, /*On fail goto*//*Label 14355*/ GIMT_Encode4(955110), // Rule ID 63579 //
     /*  955033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  955050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955060 */     // MIs[0] op1
     /*  955060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955063 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955087 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  955090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955092 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955094 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955096 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955098 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955108 */     GIR_RootConstrainSelectedInstOperands,
     /*  955109 */     // GIR_Coverage, 63579,
     /*  955109 */     GIR_EraseRootFromParent_Done,
     /*  955110 */   // Label 14355: @955110
     /*  955110 */   GIM_Try, /*On fail goto*//*Label 14356*/ GIMT_Encode4(955192), // Rule ID 63580 //
     /*  955115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  955132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955142 */     // MIs[0] op1
     /*  955142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955145 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955169 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  955172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955174 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955176 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955178 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955180 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955190 */     GIR_RootConstrainSelectedInstOperands,
     /*  955191 */     // GIR_Coverage, 63580,
     /*  955191 */     GIR_EraseRootFromParent_Done,
     /*  955192 */   // Label 14356: @955192
     /*  955192 */   GIM_Try, /*On fail goto*//*Label 14357*/ GIMT_Encode4(955274), // Rule ID 63591 //
     /*  955197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  955214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  955217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955224 */     // MIs[0] op1
     /*  955224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955227 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955251 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  955254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955256 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955258 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955260 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955262 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955272 */     GIR_RootConstrainSelectedInstOperands,
     /*  955273 */     // GIR_Coverage, 63591,
     /*  955273 */     GIR_EraseRootFromParent_Done,
     /*  955274 */   // Label 14357: @955274
     /*  955274 */   GIM_Try, /*On fail goto*//*Label 14358*/ GIMT_Encode4(955356), // Rule ID 63592 //
     /*  955279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  955296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  955299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955306 */     // MIs[0] op1
     /*  955306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955309 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955333 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  955336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955338 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955340 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955342 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955344 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955354 */     GIR_RootConstrainSelectedInstOperands,
     /*  955355 */     // GIR_Coverage, 63592,
     /*  955355 */     GIR_EraseRootFromParent_Done,
     /*  955356 */   // Label 14358: @955356
     /*  955356 */   GIM_Try, /*On fail goto*//*Label 14359*/ GIMT_Encode4(955438), // Rule ID 63597 //
     /*  955361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  955378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955388 */     // MIs[0] op1
     /*  955388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955391 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955415 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10964:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  955418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955420 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955422 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955424 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955426 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955436 */     GIR_RootConstrainSelectedInstOperands,
     /*  955437 */     // GIR_Coverage, 63597,
     /*  955437 */     GIR_EraseRootFromParent_Done,
     /*  955438 */   // Label 14359: @955438
     /*  955438 */   GIM_Try, /*On fail goto*//*Label 14360*/ GIMT_Encode4(955520), // Rule ID 63598 //
     /*  955443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  955460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  955463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955470 */     // MIs[0] op1
     /*  955470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955473 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  955490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955497 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10964:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  955500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955502 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955504 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955506 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955508 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955518 */     GIR_RootConstrainSelectedInstOperands,
     /*  955519 */     // GIR_Coverage, 63598,
     /*  955519 */     GIR_EraseRootFromParent_Done,
     /*  955520 */   // Label 14360: @955520
     /*  955520 */   GIM_Try, /*On fail goto*//*Label 14361*/ GIMT_Encode4(955602), // Rule ID 63603 //
     /*  955525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  955536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  955539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  955542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955552 */     // MIs[0] op1
     /*  955552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955555 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955579 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  955579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  955582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955584 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955586 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955588 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955590 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955600 */     GIR_RootConstrainSelectedInstOperands,
     /*  955601 */     // GIR_Coverage, 63603,
     /*  955601 */     GIR_EraseRootFromParent_Done,
     /*  955602 */   // Label 14361: @955602
     /*  955602 */   GIM_Try, /*On fail goto*//*Label 14362*/ GIMT_Encode4(955684), // Rule ID 63604 //
     /*  955607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  955615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  955618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  955621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  955624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955634 */     // MIs[0] op1
     /*  955634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955637 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955661 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  955661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  955664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955666 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955668 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955670 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955672 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955682 */     GIR_RootConstrainSelectedInstOperands,
     /*  955683 */     // GIR_Coverage, 63604,
     /*  955683 */     GIR_EraseRootFromParent_Done,
     /*  955684 */   // Label 14362: @955684
     /*  955684 */   GIM_Try, /*On fail goto*//*Label 14363*/ GIMT_Encode4(955766), // Rule ID 63615 //
     /*  955689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  955700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  955703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  955706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  955709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955716 */     // MIs[0] op1
     /*  955716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955719 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955743 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  955743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  955746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955748 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955750 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955752 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955754 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955764 */     GIR_RootConstrainSelectedInstOperands,
     /*  955765 */     // GIR_Coverage, 63615,
     /*  955765 */     GIR_EraseRootFromParent_Done,
     /*  955766 */   // Label 14363: @955766
     /*  955766 */   GIM_Try, /*On fail goto*//*Label 14364*/ GIMT_Encode4(955848), // Rule ID 63616 //
     /*  955771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  955779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  955782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  955785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  955788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  955791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955798 */     // MIs[0] op1
     /*  955798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955801 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955825 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  955825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  955828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955830 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955832 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955834 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955836 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955846 */     GIR_RootConstrainSelectedInstOperands,
     /*  955847 */     // GIR_Coverage, 63616,
     /*  955847 */     GIR_EraseRootFromParent_Done,
     /*  955848 */   // Label 14364: @955848
     /*  955848 */   GIM_Try, /*On fail goto*//*Label 14365*/ GIMT_Encode4(955930), // Rule ID 63621 //
     /*  955853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  955864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  955867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  955870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955880 */     // MIs[0] op1
     /*  955880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955883 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  955900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955907 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10964:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  955907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  955910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955912 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955914 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955916 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955918 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955928 */     GIR_RootConstrainSelectedInstOperands,
     /*  955929 */     // GIR_Coverage, 63621,
     /*  955929 */     GIR_EraseRootFromParent_Done,
     /*  955930 */   // Label 14365: @955930
     /*  955930 */   GIM_Try, /*On fail goto*//*Label 14366*/ GIMT_Encode4(956012), // Rule ID 63622 //
     /*  955935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  955943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  955946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  955949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  955952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955962 */     // MIs[0] op1
     /*  955962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955965 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  955982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955989 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10964:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  955989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  955992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955994 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955996 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955998 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956000 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956010 */     GIR_RootConstrainSelectedInstOperands,
     /*  956011 */     // GIR_Coverage, 63622,
     /*  956011 */     GIR_EraseRootFromParent_Done,
     /*  956012 */   // Label 14366: @956012
     /*  956012 */   GIM_Try, /*On fail goto*//*Label 14367*/ GIMT_Encode4(956094), // Rule ID 63627 //
     /*  956017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  956028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  956031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  956034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956044 */     // MIs[0] op1
     /*  956044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956047 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956071 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  956071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  956074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956076 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956078 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956080 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956082 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956092 */     GIR_RootConstrainSelectedInstOperands,
     /*  956093 */     // GIR_Coverage, 63627,
     /*  956093 */     GIR_EraseRootFromParent_Done,
     /*  956094 */   // Label 14367: @956094
     /*  956094 */   GIM_Try, /*On fail goto*//*Label 14368*/ GIMT_Encode4(956176), // Rule ID 63628 //
     /*  956099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  956110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  956113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  956116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956126 */     // MIs[0] op1
     /*  956126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956129 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956153 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  956153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  956156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956158 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956160 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956162 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956164 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956174 */     GIR_RootConstrainSelectedInstOperands,
     /*  956175 */     // GIR_Coverage, 63628,
     /*  956175 */     GIR_EraseRootFromParent_Done,
     /*  956176 */   // Label 14368: @956176
     /*  956176 */   GIM_Try, /*On fail goto*//*Label 14369*/ GIMT_Encode4(956258), // Rule ID 63639 //
     /*  956181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  956192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  956195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  956198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  956201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956208 */     // MIs[0] op1
     /*  956208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956211 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956235 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  956235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  956238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956240 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956242 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956244 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956246 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956256 */     GIR_RootConstrainSelectedInstOperands,
     /*  956257 */     // GIR_Coverage, 63639,
     /*  956257 */     GIR_EraseRootFromParent_Done,
     /*  956258 */   // Label 14369: @956258
     /*  956258 */   GIM_Try, /*On fail goto*//*Label 14370*/ GIMT_Encode4(956340), // Rule ID 63640 //
     /*  956263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  956274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  956277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  956280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  956283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956290 */     // MIs[0] op1
     /*  956290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956293 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956317 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  956317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  956320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956322 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956324 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956326 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956328 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956338 */     GIR_RootConstrainSelectedInstOperands,
     /*  956339 */     // GIR_Coverage, 63640,
     /*  956339 */     GIR_EraseRootFromParent_Done,
     /*  956340 */   // Label 14370: @956340
     /*  956340 */   GIM_Try, /*On fail goto*//*Label 14371*/ GIMT_Encode4(956422), // Rule ID 63645 //
     /*  956345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  956356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  956359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  956362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956372 */     // MIs[0] op1
     /*  956372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956375 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  956392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956399 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10964:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  956399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  956402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956404 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956406 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956408 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956410 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956420 */     GIR_RootConstrainSelectedInstOperands,
     /*  956421 */     // GIR_Coverage, 63645,
     /*  956421 */     GIR_EraseRootFromParent_Done,
     /*  956422 */   // Label 14371: @956422
     /*  956422 */   GIM_Try, /*On fail goto*//*Label 14372*/ GIMT_Encode4(956504), // Rule ID 63646 //
     /*  956427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  956438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  956441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  956444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956454 */     // MIs[0] op1
     /*  956454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956457 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  956474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956481 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10964:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  956481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  956484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956486 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956488 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956490 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956492 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956502 */     GIR_RootConstrainSelectedInstOperands,
     /*  956503 */     // GIR_Coverage, 63646,
     /*  956503 */     GIR_EraseRootFromParent_Done,
     /*  956504 */   // Label 14372: @956504
     /*  956504 */   GIM_Try, /*On fail goto*//*Label 14373*/ GIMT_Encode4(956586), // Rule ID 63651 //
     /*  956509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  956526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956536 */     // MIs[0] op1
     /*  956536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956539 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956563 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  956563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  956566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956568 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956570 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956572 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956574 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956584 */     GIR_RootConstrainSelectedInstOperands,
     /*  956585 */     // GIR_Coverage, 63651,
     /*  956585 */     GIR_EraseRootFromParent_Done,
     /*  956586 */   // Label 14373: @956586
     /*  956586 */   GIM_Try, /*On fail goto*//*Label 14374*/ GIMT_Encode4(956668), // Rule ID 63652 //
     /*  956591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  956599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  956608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956618 */     // MIs[0] op1
     /*  956618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956621 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956645 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  956645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  956648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956650 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956652 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956654 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956656 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956666 */     GIR_RootConstrainSelectedInstOperands,
     /*  956667 */     // GIR_Coverage, 63652,
     /*  956667 */     GIR_EraseRootFromParent_Done,
     /*  956668 */   // Label 14374: @956668
     /*  956668 */   GIM_Try, /*On fail goto*//*Label 14375*/ GIMT_Encode4(956750), // Rule ID 63663 //
     /*  956673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  956690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  956693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956700 */     // MIs[0] op1
     /*  956700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956703 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956727 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  956727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  956730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956732 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956734 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956736 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956738 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956748 */     GIR_RootConstrainSelectedInstOperands,
     /*  956749 */     // GIR_Coverage, 63663,
     /*  956749 */     GIR_EraseRootFromParent_Done,
     /*  956750 */   // Label 14375: @956750
     /*  956750 */   GIM_Try, /*On fail goto*//*Label 14376*/ GIMT_Encode4(956832), // Rule ID 63664 //
     /*  956755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  956763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  956772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  956775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956782 */     // MIs[0] op1
     /*  956782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956785 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956809 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  956809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  956812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956814 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956816 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956818 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956820 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956830 */     GIR_RootConstrainSelectedInstOperands,
     /*  956831 */     // GIR_Coverage, 63664,
     /*  956831 */     GIR_EraseRootFromParent_Done,
     /*  956832 */   // Label 14376: @956832
     /*  956832 */   GIM_Try, /*On fail goto*//*Label 14377*/ GIMT_Encode4(956914), // Rule ID 63669 //
     /*  956837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  956854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956864 */     // MIs[0] op1
     /*  956864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956867 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  956884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956891 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10964:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  956891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  956894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956896 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956898 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956900 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956902 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956912 */     GIR_RootConstrainSelectedInstOperands,
     /*  956913 */     // GIR_Coverage, 63669,
     /*  956913 */     GIR_EraseRootFromParent_Done,
     /*  956914 */   // Label 14377: @956914
     /*  956914 */   GIM_Try, /*On fail goto*//*Label 14378*/ GIMT_Encode4(956996), // Rule ID 63670 //
     /*  956919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  956927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  956936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956946 */     // MIs[0] op1
     /*  956946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956949 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  956966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956973 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10964:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  956973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  956976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956978 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956980 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956982 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956984 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956994 */     GIR_RootConstrainSelectedInstOperands,
     /*  956995 */     // GIR_Coverage, 63670,
     /*  956995 */     GIR_EraseRootFromParent_Done,
     /*  956996 */   // Label 14378: @956996
     /*  956996 */   GIM_Try, /*On fail goto*//*Label 14379*/ GIMT_Encode4(957078), // Rule ID 63675 //
     /*  957001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  957012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  957015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  957018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957028 */     // MIs[0] op1
     /*  957028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957031 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957055 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  957058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957060 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957062 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957064 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957066 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957076 */     GIR_RootConstrainSelectedInstOperands,
     /*  957077 */     // GIR_Coverage, 63675,
     /*  957077 */     GIR_EraseRootFromParent_Done,
     /*  957078 */   // Label 14379: @957078
     /*  957078 */   GIM_Try, /*On fail goto*//*Label 14380*/ GIMT_Encode4(957160), // Rule ID 63676 //
     /*  957083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  957094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  957097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  957100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957110 */     // MIs[0] op1
     /*  957110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957113 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957137 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10986:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  957140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957142 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957144 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957146 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957148 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957158 */     GIR_RootConstrainSelectedInstOperands,
     /*  957159 */     // GIR_Coverage, 63676,
     /*  957159 */     GIR_EraseRootFromParent_Done,
     /*  957160 */   // Label 14380: @957160
     /*  957160 */   GIM_Try, /*On fail goto*//*Label 14381*/ GIMT_Encode4(957242), // Rule ID 63687 //
     /*  957165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  957176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  957179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  957182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  957185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957192 */     // MIs[0] op1
     /*  957192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957195 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957219 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10978:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  957222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957224 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957226 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957228 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957230 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957240 */     GIR_RootConstrainSelectedInstOperands,
     /*  957241 */     // GIR_Coverage, 63687,
     /*  957241 */     GIR_EraseRootFromParent_Done,
     /*  957242 */   // Label 14381: @957242
     /*  957242 */   GIM_Try, /*On fail goto*//*Label 14382*/ GIMT_Encode4(957324), // Rule ID 63688 //
     /*  957247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  957258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  957261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  957264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  957267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957274 */     // MIs[0] op1
     /*  957274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957277 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957301 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10978:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  957304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957306 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957308 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957310 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957312 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957322 */     GIR_RootConstrainSelectedInstOperands,
     /*  957323 */     // GIR_Coverage, 63688,
     /*  957323 */     GIR_EraseRootFromParent_Done,
     /*  957324 */   // Label 14382: @957324
     /*  957324 */   GIM_Try, /*On fail goto*//*Label 14383*/ GIMT_Encode4(957406), // Rule ID 63693 //
     /*  957329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  957340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  957343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  957346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957356 */     // MIs[0] op1
     /*  957356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957359 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  957376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957383 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10964:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  957383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  957386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957388 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957390 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957392 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957394 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957404 */     GIR_RootConstrainSelectedInstOperands,
     /*  957405 */     // GIR_Coverage, 63693,
     /*  957405 */     GIR_EraseRootFromParent_Done,
     /*  957406 */   // Label 14383: @957406
     /*  957406 */   GIM_Try, /*On fail goto*//*Label 14384*/ GIMT_Encode4(957488), // Rule ID 63694 //
     /*  957411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  957419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  957422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  957425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  957428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957438 */     // MIs[0] op1
     /*  957438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957441 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  957458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957465 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10964:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  957465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  957468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957470 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957472 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957474 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957476 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957486 */     GIR_RootConstrainSelectedInstOperands,
     /*  957487 */     // GIR_Coverage, 63694,
     /*  957487 */     GIR_EraseRootFromParent_Done,
     /*  957488 */   // Label 14384: @957488
     /*  957488 */   GIM_Try, /*On fail goto*//*Label 14385*/ GIMT_Encode4(957580), // Rule ID 5055 //
     /*  957493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  957496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  957501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  957504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  957507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  957510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  957513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  957516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  957523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  957535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  957539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  957543 */     // MIs[1] Operand 1
     /*  957543 */     // No operand predicates
     /*  957543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  957549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957556 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  957556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  957559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  957568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  957570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957578 */     GIR_RootConstrainSelectedInstOperands,
     /*  957579 */     // GIR_Coverage, 5055,
     /*  957579 */     GIR_EraseRootFromParent_Done,
     /*  957580 */   // Label 14385: @957580
     /*  957580 */   GIM_Try, /*On fail goto*//*Label 14386*/ GIMT_Encode4(957672), // Rule ID 5056 //
     /*  957585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  957588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  957593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  957596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  957599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  957602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  957605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  957608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  957615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  957627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  957631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  957635 */     // MIs[1] Operand 1
     /*  957635 */     // No operand predicates
     /*  957635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  957641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957648 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  957648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  957651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  957660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  957662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957670 */     GIR_RootConstrainSelectedInstOperands,
     /*  957671 */     // GIR_Coverage, 5056,
     /*  957671 */     GIR_EraseRootFromParent_Done,
     /*  957672 */   // Label 14386: @957672
     /*  957672 */   GIM_Try, /*On fail goto*//*Label 14387*/ GIMT_Encode4(957764), // Rule ID 5057 //
     /*  957677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  957680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  957685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  957688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  957691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  957694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  957697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  957700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  957707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  957719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  957723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  957727 */     // MIs[1] Operand 1
     /*  957727 */     // No operand predicates
     /*  957727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  957733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957740 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  957740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  957743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  957752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  957754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957762 */     GIR_RootConstrainSelectedInstOperands,
     /*  957763 */     // GIR_Coverage, 5057,
     /*  957763 */     GIR_EraseRootFromParent_Done,
     /*  957764 */   // Label 14387: @957764
     /*  957764 */   GIM_Try, /*On fail goto*//*Label 14388*/ GIMT_Encode4(957856), // Rule ID 5058 //
     /*  957769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  957772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  957777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  957780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  957783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  957786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  957789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  957792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  957799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  957811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  957815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  957819 */     // MIs[1] Operand 1
     /*  957819 */     // No operand predicates
     /*  957819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  957825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957832 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  957832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  957835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  957844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  957846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957854 */     GIR_RootConstrainSelectedInstOperands,
     /*  957855 */     // GIR_Coverage, 5058,
     /*  957855 */     GIR_EraseRootFromParent_Done,
     /*  957856 */   // Label 14388: @957856
     /*  957856 */   GIM_Try, /*On fail goto*//*Label 14389*/ GIMT_Encode4(957948), // Rule ID 5059 //
     /*  957861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  957864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  957869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  957872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  957875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  957878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  957881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  957884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  957891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  957903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  957907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  957911 */     // MIs[1] Operand 1
     /*  957911 */     // No operand predicates
     /*  957911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  957917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957924 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  957924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  957927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  957936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  957938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957946 */     GIR_RootConstrainSelectedInstOperands,
     /*  957947 */     // GIR_Coverage, 5059,
     /*  957947 */     GIR_EraseRootFromParent_Done,
     /*  957948 */   // Label 14389: @957948
     /*  957948 */   GIM_Try, /*On fail goto*//*Label 14390*/ GIMT_Encode4(958040), // Rule ID 5060 //
     /*  957953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  957956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  957961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  957964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  957967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  957970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  957973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  957976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  957983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  957995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  957999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958003 */     // MIs[1] Operand 1
     /*  958003 */     // No operand predicates
     /*  958003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958016 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  958019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958038 */     GIR_RootConstrainSelectedInstOperands,
     /*  958039 */     // GIR_Coverage, 5060,
     /*  958039 */     GIR_EraseRootFromParent_Done,
     /*  958040 */   // Label 14390: @958040
     /*  958040 */   GIM_Try, /*On fail goto*//*Label 14391*/ GIMT_Encode4(958132), // Rule ID 5061 //
     /*  958045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  958053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  958056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  958059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  958062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  958065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  958068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  958075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958095 */     // MIs[1] Operand 1
     /*  958095 */     // No operand predicates
     /*  958095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958108 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  958108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  958111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  958130 */     GIR_RootConstrainSelectedInstOperands,
     /*  958131 */     // GIR_Coverage, 5061,
     /*  958131 */     GIR_EraseRootFromParent_Done,
     /*  958132 */   // Label 14391: @958132
     /*  958132 */   GIM_Try, /*On fail goto*//*Label 14392*/ GIMT_Encode4(958224), // Rule ID 5062 //
     /*  958137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  958140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  958145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  958148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  958151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  958154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  958157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  958160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  958167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958187 */     // MIs[1] Operand 1
     /*  958187 */     // No operand predicates
     /*  958187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958200 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  958200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  958203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  958222 */     GIR_RootConstrainSelectedInstOperands,
     /*  958223 */     // GIR_Coverage, 5062,
     /*  958223 */     GIR_EraseRootFromParent_Done,
     /*  958224 */   // Label 14392: @958224
     /*  958224 */   GIM_Try, /*On fail goto*//*Label 14393*/ GIMT_Encode4(958316), // Rule ID 5063 //
     /*  958229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  958237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  958240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  958243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  958246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  958249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  958252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  958259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958279 */     // MIs[1] Operand 1
     /*  958279 */     // No operand predicates
     /*  958279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958292 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  958292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  958295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  958314 */     GIR_RootConstrainSelectedInstOperands,
     /*  958315 */     // GIR_Coverage, 5063,
     /*  958315 */     GIR_EraseRootFromParent_Done,
     /*  958316 */   // Label 14393: @958316
     /*  958316 */   GIM_Try, /*On fail goto*//*Label 14394*/ GIMT_Encode4(958408), // Rule ID 5064 //
     /*  958321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  958324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  958329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  958332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  958335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  958338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  958341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  958344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  958351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958371 */     // MIs[1] Operand 1
     /*  958371 */     // No operand predicates
     /*  958371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958384 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  958384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  958387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  958406 */     GIR_RootConstrainSelectedInstOperands,
     /*  958407 */     // GIR_Coverage, 5064,
     /*  958407 */     GIR_EraseRootFromParent_Done,
     /*  958408 */   // Label 14394: @958408
     /*  958408 */   GIM_Try, /*On fail goto*//*Label 14395*/ GIMT_Encode4(958500), // Rule ID 5065 //
     /*  958413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  958421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  958424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  958427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  958430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  958433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  958436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  958443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958463 */     // MIs[1] Operand 1
     /*  958463 */     // No operand predicates
     /*  958463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958476 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  958476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  958479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958498 */     GIR_RootConstrainSelectedInstOperands,
     /*  958499 */     // GIR_Coverage, 5065,
     /*  958499 */     GIR_EraseRootFromParent_Done,
     /*  958500 */   // Label 14395: @958500
     /*  958500 */   GIM_Try, /*On fail goto*//*Label 14396*/ GIMT_Encode4(958592), // Rule ID 5066 //
     /*  958505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  958508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  958513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  958516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  958519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  958522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  958525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  958528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  958535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958555 */     // MIs[1] Operand 1
     /*  958555 */     // No operand predicates
     /*  958555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958568 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  958568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  958571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958590 */     GIR_RootConstrainSelectedInstOperands,
     /*  958591 */     // GIR_Coverage, 5066,
     /*  958591 */     GIR_EraseRootFromParent_Done,
     /*  958592 */   // Label 14396: @958592
     /*  958592 */   GIM_Try, /*On fail goto*//*Label 14397*/ GIMT_Encode4(958684), // Rule ID 5067 //
     /*  958597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  958605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  958608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  958611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  958614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  958617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  958620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  958627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958647 */     // MIs[1] Operand 1
     /*  958647 */     // No operand predicates
     /*  958647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958660 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  958663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958682 */     GIR_RootConstrainSelectedInstOperands,
     /*  958683 */     // GIR_Coverage, 5067,
     /*  958683 */     GIR_EraseRootFromParent_Done,
     /*  958684 */   // Label 14397: @958684
     /*  958684 */   GIM_Try, /*On fail goto*//*Label 14398*/ GIMT_Encode4(958776), // Rule ID 5068 //
     /*  958689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  958692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  958697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  958700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  958703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  958706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  958709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  958712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  958719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958739 */     // MIs[1] Operand 1
     /*  958739 */     // No operand predicates
     /*  958739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958752 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  958755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958774 */     GIR_RootConstrainSelectedInstOperands,
     /*  958775 */     // GIR_Coverage, 5068,
     /*  958775 */     GIR_EraseRootFromParent_Done,
     /*  958776 */   // Label 14398: @958776
     /*  958776 */   GIM_Try, /*On fail goto*//*Label 14399*/ GIMT_Encode4(958868), // Rule ID 5069 //
     /*  958781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  958789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  958792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  958795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  958798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  958801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  958804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  958811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958831 */     // MIs[1] Operand 1
     /*  958831 */     // No operand predicates
     /*  958831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  958844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  958847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  958866 */     GIR_RootConstrainSelectedInstOperands,
     /*  958867 */     // GIR_Coverage, 5069,
     /*  958867 */     GIR_EraseRootFromParent_Done,
     /*  958868 */   // Label 14399: @958868
     /*  958868 */   GIM_Try, /*On fail goto*//*Label 14400*/ GIMT_Encode4(958960), // Rule ID 5070 //
     /*  958873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  958876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  958881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  958884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  958887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  958890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  958893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  958896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  958903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958923 */     // MIs[1] Operand 1
     /*  958923 */     // No operand predicates
     /*  958923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958936 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  958936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  958939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  958958 */     GIR_RootConstrainSelectedInstOperands,
     /*  958959 */     // GIR_Coverage, 5070,
     /*  958959 */     GIR_EraseRootFromParent_Done,
     /*  958960 */   // Label 14400: @958960
     /*  958960 */   GIM_Try, /*On fail goto*//*Label 14401*/ GIMT_Encode4(959052), // Rule ID 5071 //
     /*  958965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  958973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  958976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  958979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  958982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  958985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  958988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  958995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959015 */     // MIs[1] Operand 1
     /*  959015 */     // No operand predicates
     /*  959015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  959028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  959031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959050 */     GIR_RootConstrainSelectedInstOperands,
     /*  959051 */     // GIR_Coverage, 5071,
     /*  959051 */     GIR_EraseRootFromParent_Done,
     /*  959052 */   // Label 14401: @959052
     /*  959052 */   GIM_Try, /*On fail goto*//*Label 14402*/ GIMT_Encode4(959144), // Rule ID 5072 //
     /*  959057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  959068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  959071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  959074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  959080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959107 */     // MIs[1] Operand 1
     /*  959107 */     // No operand predicates
     /*  959107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959120 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  959120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  959123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959142 */     GIR_RootConstrainSelectedInstOperands,
     /*  959143 */     // GIR_Coverage, 5072,
     /*  959143 */     GIR_EraseRootFromParent_Done,
     /*  959144 */   // Label 14402: @959144
     /*  959144 */   GIM_Try, /*On fail goto*//*Label 14403*/ GIMT_Encode4(959236), // Rule ID 5073 //
     /*  959149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  959152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  959160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  959163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  959166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959199 */     // MIs[1] Operand 1
     /*  959199 */     // No operand predicates
     /*  959199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959212 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  959212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  959215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  959234 */     GIR_RootConstrainSelectedInstOperands,
     /*  959235 */     // GIR_Coverage, 5073,
     /*  959235 */     GIR_EraseRootFromParent_Done,
     /*  959236 */   // Label 14403: @959236
     /*  959236 */   GIM_Try, /*On fail goto*//*Label 14404*/ GIMT_Encode4(959328), // Rule ID 5074 //
     /*  959241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  959244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  959252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  959255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  959258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  959264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  959271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959291 */     // MIs[1] Operand 1
     /*  959291 */     // No operand predicates
     /*  959291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959304 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  959304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  959307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  959326 */     GIR_RootConstrainSelectedInstOperands,
     /*  959327 */     // GIR_Coverage, 5074,
     /*  959327 */     GIR_EraseRootFromParent_Done,
     /*  959328 */   // Label 14404: @959328
     /*  959328 */   GIM_Try, /*On fail goto*//*Label 14405*/ GIMT_Encode4(959420), // Rule ID 5075 //
     /*  959333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  959344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  959347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  959350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  959356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  959363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959383 */     // MIs[1] Operand 1
     /*  959383 */     // No operand predicates
     /*  959383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959396 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  959396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  959399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959418 */     GIR_RootConstrainSelectedInstOperands,
     /*  959419 */     // GIR_Coverage, 5075,
     /*  959419 */     GIR_EraseRootFromParent_Done,
     /*  959420 */   // Label 14405: @959420
     /*  959420 */   GIM_Try, /*On fail goto*//*Label 14406*/ GIMT_Encode4(959512), // Rule ID 5076 //
     /*  959425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  959436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  959439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  959442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  959448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  959455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959475 */     // MIs[1] Operand 1
     /*  959475 */     // No operand predicates
     /*  959475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959488 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  959491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959510 */     GIR_RootConstrainSelectedInstOperands,
     /*  959511 */     // GIR_Coverage, 5076,
     /*  959511 */     GIR_EraseRootFromParent_Done,
     /*  959512 */   // Label 14406: @959512
     /*  959512 */   GIM_Try, /*On fail goto*//*Label 14407*/ GIMT_Encode4(959604), // Rule ID 5077 //
     /*  959517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  959528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  959531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  959534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  959540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  959547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959567 */     // MIs[1] Operand 1
     /*  959567 */     // No operand predicates
     /*  959567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959580 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  959580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  959583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959602 */     GIR_RootConstrainSelectedInstOperands,
     /*  959603 */     // GIR_Coverage, 5077,
     /*  959603 */     GIR_EraseRootFromParent_Done,
     /*  959604 */   // Label 14407: @959604
     /*  959604 */   GIM_Try, /*On fail goto*//*Label 14408*/ GIMT_Encode4(959696), // Rule ID 5078 //
     /*  959609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  959620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  959623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  959626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  959632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  959639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959659 */     // MIs[1] Operand 1
     /*  959659 */     // No operand predicates
     /*  959659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959672 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  959675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959694 */     GIR_RootConstrainSelectedInstOperands,
     /*  959695 */     // GIR_Coverage, 5078,
     /*  959695 */     GIR_EraseRootFromParent_Done,
     /*  959696 */   // Label 14408: @959696
     /*  959696 */   GIM_Try, /*On fail goto*//*Label 14409*/ GIMT_Encode4(959788), // Rule ID 5079 //
     /*  959701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  959712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  959715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  959718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  959724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  959731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959751 */     // MIs[1] Operand 1
     /*  959751 */     // No operand predicates
     /*  959751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959764 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  959764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  959767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959786 */     GIR_RootConstrainSelectedInstOperands,
     /*  959787 */     // GIR_Coverage, 5079,
     /*  959787 */     GIR_EraseRootFromParent_Done,
     /*  959788 */   // Label 14409: @959788
     /*  959788 */   GIM_Try, /*On fail goto*//*Label 14410*/ GIMT_Encode4(959880), // Rule ID 5080 //
     /*  959793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  959804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  959807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  959810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  959816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  959823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959843 */     // MIs[1] Operand 1
     /*  959843 */     // No operand predicates
     /*  959843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959856 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  959859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959878 */     GIR_RootConstrainSelectedInstOperands,
     /*  959879 */     // GIR_Coverage, 5080,
     /*  959879 */     GIR_EraseRootFromParent_Done,
     /*  959880 */   // Label 14410: @959880
     /*  959880 */   GIM_Try, /*On fail goto*//*Label 14411*/ GIMT_Encode4(959972), // Rule ID 5081 //
     /*  959885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  959896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  959899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  959902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  959908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  959915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959935 */     // MIs[1] Operand 1
     /*  959935 */     // No operand predicates
     /*  959935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959948 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  959951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959970 */     GIR_RootConstrainSelectedInstOperands,
     /*  959971 */     // GIR_Coverage, 5081,
     /*  959971 */     GIR_EraseRootFromParent_Done,
     /*  959972 */   // Label 14411: @959972
     /*  959972 */   GIM_Try, /*On fail goto*//*Label 14412*/ GIMT_Encode4(960064), // Rule ID 5082 //
     /*  959977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  959985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  959988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  959991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  959994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  960000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  960007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960027 */     // MIs[1] Operand 1
     /*  960027 */     // No operand predicates
     /*  960027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960040 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  960043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960062 */     GIR_RootConstrainSelectedInstOperands,
     /*  960063 */     // GIR_Coverage, 5082,
     /*  960063 */     GIR_EraseRootFromParent_Done,
     /*  960064 */   // Label 14412: @960064
     /*  960064 */   GIM_Try, /*On fail goto*//*Label 14413*/ GIMT_Encode4(960156), // Rule ID 5083 //
     /*  960069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  960080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  960083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  960086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  960092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  960099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960119 */     // MIs[1] Operand 1
     /*  960119 */     // No operand predicates
     /*  960119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960132 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  960135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960154 */     GIR_RootConstrainSelectedInstOperands,
     /*  960155 */     // GIR_Coverage, 5083,
     /*  960155 */     GIR_EraseRootFromParent_Done,
     /*  960156 */   // Label 14413: @960156
     /*  960156 */   GIM_Try, /*On fail goto*//*Label 14414*/ GIMT_Encode4(960248), // Rule ID 5084 //
     /*  960161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  960172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  960175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  960178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  960184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  960191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960211 */     // MIs[1] Operand 1
     /*  960211 */     // No operand predicates
     /*  960211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960224 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  960227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960246 */     GIR_RootConstrainSelectedInstOperands,
     /*  960247 */     // GIR_Coverage, 5084,
     /*  960247 */     GIR_EraseRootFromParent_Done,
     /*  960248 */   // Label 14414: @960248
     /*  960248 */   GIM_Try, /*On fail goto*//*Label 14415*/ GIMT_Encode4(960340), // Rule ID 5085 //
     /*  960253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  960264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  960267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  960270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  960276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  960283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960303 */     // MIs[1] Operand 1
     /*  960303 */     // No operand predicates
     /*  960303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960316 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  960319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960338 */     GIR_RootConstrainSelectedInstOperands,
     /*  960339 */     // GIR_Coverage, 5085,
     /*  960339 */     GIR_EraseRootFromParent_Done,
     /*  960340 */   // Label 14415: @960340
     /*  960340 */   GIM_Try, /*On fail goto*//*Label 14416*/ GIMT_Encode4(960432), // Rule ID 5086 //
     /*  960345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  960356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  960359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  960362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  960368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  960375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960395 */     // MIs[1] Operand 1
     /*  960395 */     // No operand predicates
     /*  960395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960408 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  960411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960430 */     GIR_RootConstrainSelectedInstOperands,
     /*  960431 */     // GIR_Coverage, 5086,
     /*  960431 */     GIR_EraseRootFromParent_Done,
     /*  960432 */   // Label 14416: @960432
     /*  960432 */   GIM_Try, /*On fail goto*//*Label 14417*/ GIMT_Encode4(960524), // Rule ID 5087 //
     /*  960437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  960451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  960460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  960467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960487 */     // MIs[1] Operand 1
     /*  960487 */     // No operand predicates
     /*  960487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960500 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  960500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  960503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960522 */     GIR_RootConstrainSelectedInstOperands,
     /*  960523 */     // GIR_Coverage, 5087,
     /*  960523 */     GIR_EraseRootFromParent_Done,
     /*  960524 */   // Label 14417: @960524
     /*  960524 */   GIM_Try, /*On fail goto*//*Label 14418*/ GIMT_Encode4(960616), // Rule ID 5088 //
     /*  960529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  960543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  960552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  960559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960579 */     // MIs[1] Operand 1
     /*  960579 */     // No operand predicates
     /*  960579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960592 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  960592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  960595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960614 */     GIR_RootConstrainSelectedInstOperands,
     /*  960615 */     // GIR_Coverage, 5088,
     /*  960615 */     GIR_EraseRootFromParent_Done,
     /*  960616 */   // Label 14418: @960616
     /*  960616 */   GIM_Try, /*On fail goto*//*Label 14419*/ GIMT_Encode4(960708), // Rule ID 5089 //
     /*  960621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  960632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  960635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  960638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  960644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  960651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960671 */     // MIs[1] Operand 1
     /*  960671 */     // No operand predicates
     /*  960671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960684 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  960684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  960687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960706 */     GIR_RootConstrainSelectedInstOperands,
     /*  960707 */     // GIR_Coverage, 5089,
     /*  960707 */     GIR_EraseRootFromParent_Done,
     /*  960708 */   // Label 14419: @960708
     /*  960708 */   GIM_Try, /*On fail goto*//*Label 14420*/ GIMT_Encode4(960800), // Rule ID 5090 //
     /*  960713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  960724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  960727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  960730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  960736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  960743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960763 */     // MIs[1] Operand 1
     /*  960763 */     // No operand predicates
     /*  960763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960776 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  960776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  960779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960798 */     GIR_RootConstrainSelectedInstOperands,
     /*  960799 */     // GIR_Coverage, 5090,
     /*  960799 */     GIR_EraseRootFromParent_Done,
     /*  960800 */   // Label 14420: @960800
     /*  960800 */   GIM_Try, /*On fail goto*//*Label 14421*/ GIMT_Encode4(960892), // Rule ID 5091 //
     /*  960805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  960816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  960819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  960822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  960828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  960835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960855 */     // MIs[1] Operand 1
     /*  960855 */     // No operand predicates
     /*  960855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960868 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  960868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  960871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960890 */     GIR_RootConstrainSelectedInstOperands,
     /*  960891 */     // GIR_Coverage, 5091,
     /*  960891 */     GIR_EraseRootFromParent_Done,
     /*  960892 */   // Label 14421: @960892
     /*  960892 */   GIM_Try, /*On fail goto*//*Label 14422*/ GIMT_Encode4(960984), // Rule ID 5092 //
     /*  960897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  960908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  960911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  960914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  960920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  960927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960947 */     // MIs[1] Operand 1
     /*  960947 */     // No operand predicates
     /*  960947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960960 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  960960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  960963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960982 */     GIR_RootConstrainSelectedInstOperands,
     /*  960983 */     // GIR_Coverage, 5092,
     /*  960983 */     GIR_EraseRootFromParent_Done,
     /*  960984 */   // Label 14422: @960984
     /*  960984 */   GIM_Try, /*On fail goto*//*Label 14423*/ GIMT_Encode4(961076), // Rule ID 5093 //
     /*  960989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  960992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  960997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  961000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  961003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  961006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  961012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961039 */     // MIs[1] Operand 1
     /*  961039 */     // No operand predicates
     /*  961039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961052 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  961052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  961074 */     GIR_RootConstrainSelectedInstOperands,
     /*  961075 */     // GIR_Coverage, 5093,
     /*  961075 */     GIR_EraseRootFromParent_Done,
     /*  961076 */   // Label 14423: @961076
     /*  961076 */   GIM_Try, /*On fail goto*//*Label 14424*/ GIMT_Encode4(961168), // Rule ID 5094 //
     /*  961081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  961084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  961092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  961095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  961098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  961104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  961111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961131 */     // MIs[1] Operand 1
     /*  961131 */     // No operand predicates
     /*  961131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  961144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  961147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  961166 */     GIR_RootConstrainSelectedInstOperands,
     /*  961167 */     // GIR_Coverage, 5094,
     /*  961167 */     GIR_EraseRootFromParent_Done,
     /*  961168 */   // Label 14424: @961168
     /*  961168 */   GIM_Try, /*On fail goto*//*Label 14425*/ GIMT_Encode4(961260), // Rule ID 5095 //
     /*  961173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  961176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  961184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  961187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  961190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  961196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961223 */     // MIs[1] Operand 1
     /*  961223 */     // No operand predicates
     /*  961223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961236 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  961236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  961239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  961258 */     GIR_RootConstrainSelectedInstOperands,
     /*  961259 */     // GIR_Coverage, 5095,
     /*  961259 */     GIR_EraseRootFromParent_Done,
     /*  961260 */   // Label 14425: @961260
     /*  961260 */   GIM_Try, /*On fail goto*//*Label 14426*/ GIMT_Encode4(961352), // Rule ID 5096 //
     /*  961265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  961268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  961276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  961279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  961282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  961288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  961295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961315 */     // MIs[1] Operand 1
     /*  961315 */     // No operand predicates
     /*  961315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961328 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  961328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  961331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  961350 */     GIR_RootConstrainSelectedInstOperands,
     /*  961351 */     // GIR_Coverage, 5096,
     /*  961351 */     GIR_EraseRootFromParent_Done,
     /*  961352 */   // Label 14426: @961352
     /*  961352 */   GIM_Try, /*On fail goto*//*Label 14427*/ GIMT_Encode4(961444), // Rule ID 5097 //
     /*  961357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  961360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  961368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  961371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  961374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  961380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  961387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961407 */     // MIs[1] Operand 1
     /*  961407 */     // No operand predicates
     /*  961407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961420 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  961420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  961423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  961442 */     GIR_RootConstrainSelectedInstOperands,
     /*  961443 */     // GIR_Coverage, 5097,
     /*  961443 */     GIR_EraseRootFromParent_Done,
     /*  961444 */   // Label 14427: @961444
     /*  961444 */   GIM_Try, /*On fail goto*//*Label 14428*/ GIMT_Encode4(961536), // Rule ID 5098 //
     /*  961449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  961452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  961457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  961460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  961463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  961466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  961472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  961479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961499 */     // MIs[1] Operand 1
     /*  961499 */     // No operand predicates
     /*  961499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961512 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  961512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  961515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  961534 */     GIR_RootConstrainSelectedInstOperands,
     /*  961535 */     // GIR_Coverage, 5098,
     /*  961535 */     GIR_EraseRootFromParent_Done,
     /*  961536 */   // Label 14428: @961536
     /*  961536 */   GIM_Try, /*On fail goto*//*Label 14429*/ GIMT_Encode4(961631), // Rule ID 7829 //
     /*  961541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  961549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  961552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  961555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  961558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  961564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961591 */     // MIs[1] Operand 1
     /*  961591 */     // No operand predicates
     /*  961591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961604 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  961604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  961607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  961629 */     GIR_RootConstrainSelectedInstOperands,
     /*  961630 */     // GIR_Coverage, 7829,
     /*  961630 */     GIR_EraseRootFromParent_Done,
     /*  961631 */   // Label 14429: @961631
     /*  961631 */   GIM_Try, /*On fail goto*//*Label 14430*/ GIMT_Encode4(961726), // Rule ID 7830 //
     /*  961636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  961644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  961647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  961650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  961653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  961659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961686 */     // MIs[1] Operand 1
     /*  961686 */     // No operand predicates
     /*  961686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961699 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  961699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  961702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  961724 */     GIR_RootConstrainSelectedInstOperands,
     /*  961725 */     // GIR_Coverage, 7830,
     /*  961725 */     GIR_EraseRootFromParent_Done,
     /*  961726 */   // Label 14430: @961726
     /*  961726 */   GIM_Try, /*On fail goto*//*Label 14431*/ GIMT_Encode4(961821), // Rule ID 7833 //
     /*  961731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  961739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  961742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  961745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  961748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  961754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961781 */     // MIs[1] Operand 1
     /*  961781 */     // No operand predicates
     /*  961781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961794 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  961794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  961797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  961819 */     GIR_RootConstrainSelectedInstOperands,
     /*  961820 */     // GIR_Coverage, 7833,
     /*  961820 */     GIR_EraseRootFromParent_Done,
     /*  961821 */   // Label 14431: @961821
     /*  961821 */   GIM_Try, /*On fail goto*//*Label 14432*/ GIMT_Encode4(961916), // Rule ID 7834 //
     /*  961826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  961834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  961837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  961840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  961843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  961849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961876 */     // MIs[1] Operand 1
     /*  961876 */     // No operand predicates
     /*  961876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961889 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  961889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  961892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  961914 */     GIR_RootConstrainSelectedInstOperands,
     /*  961915 */     // GIR_Coverage, 7834,
     /*  961915 */     GIR_EraseRootFromParent_Done,
     /*  961916 */   // Label 14432: @961916
     /*  961916 */   GIM_Try, /*On fail goto*//*Label 14433*/ GIMT_Encode4(962011), // Rule ID 7837 //
     /*  961921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  961929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  961932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  961935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  961938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  961944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961971 */     // MIs[1] Operand 1
     /*  961971 */     // No operand predicates
     /*  961971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961984 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  961984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  961987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  962006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962009 */     GIR_RootConstrainSelectedInstOperands,
     /*  962010 */     // GIR_Coverage, 7837,
     /*  962010 */     GIR_EraseRootFromParent_Done,
     /*  962011 */   // Label 14433: @962011
     /*  962011 */   GIM_Try, /*On fail goto*//*Label 14434*/ GIMT_Encode4(962106), // Rule ID 7838 //
     /*  962016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  962024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  962027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  962030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  962033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  962039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962066 */     // MIs[1] Operand 1
     /*  962066 */     // No operand predicates
     /*  962066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962079 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  962079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  962082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  962101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962104 */     GIR_RootConstrainSelectedInstOperands,
     /*  962105 */     // GIR_Coverage, 7838,
     /*  962105 */     GIR_EraseRootFromParent_Done,
     /*  962106 */   // Label 14434: @962106
     /*  962106 */   GIM_Try, /*On fail goto*//*Label 14435*/ GIMT_Encode4(962201), // Rule ID 7841 //
     /*  962111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  962119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  962122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  962125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  962128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  962134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962161 */     // MIs[1] Operand 1
     /*  962161 */     // No operand predicates
     /*  962161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962174 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  962174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  962177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962199 */     GIR_RootConstrainSelectedInstOperands,
     /*  962200 */     // GIR_Coverage, 7841,
     /*  962200 */     GIR_EraseRootFromParent_Done,
     /*  962201 */   // Label 14435: @962201
     /*  962201 */   GIM_Try, /*On fail goto*//*Label 14436*/ GIMT_Encode4(962296), // Rule ID 7842 //
     /*  962206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  962214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  962217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  962220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  962223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  962229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962256 */     // MIs[1] Operand 1
     /*  962256 */     // No operand predicates
     /*  962256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962269 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  962269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  962272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962294 */     GIR_RootConstrainSelectedInstOperands,
     /*  962295 */     // GIR_Coverage, 7842,
     /*  962295 */     GIR_EraseRootFromParent_Done,
     /*  962296 */   // Label 14436: @962296
     /*  962296 */   GIM_Try, /*On fail goto*//*Label 14437*/ GIMT_Encode4(962391), // Rule ID 7845 //
     /*  962301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  962309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  962312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  962315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  962318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  962324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962351 */     // MIs[1] Operand 1
     /*  962351 */     // No operand predicates
     /*  962351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962364 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  962364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  962367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962389 */     GIR_RootConstrainSelectedInstOperands,
     /*  962390 */     // GIR_Coverage, 7845,
     /*  962390 */     GIR_EraseRootFromParent_Done,
     /*  962391 */   // Label 14437: @962391
     /*  962391 */   GIM_Try, /*On fail goto*//*Label 14438*/ GIMT_Encode4(962486), // Rule ID 7846 //
     /*  962396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  962404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  962407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  962410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  962413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  962419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962446 */     // MIs[1] Operand 1
     /*  962446 */     // No operand predicates
     /*  962446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962459 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  962459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  962462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962484 */     GIR_RootConstrainSelectedInstOperands,
     /*  962485 */     // GIR_Coverage, 7846,
     /*  962485 */     GIR_EraseRootFromParent_Done,
     /*  962486 */   // Label 14438: @962486
     /*  962486 */   GIM_Try, /*On fail goto*//*Label 14439*/ GIMT_Encode4(962581), // Rule ID 7849 //
     /*  962491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  962499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  962502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  962505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  962508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  962514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962541 */     // MIs[1] Operand 1
     /*  962541 */     // No operand predicates
     /*  962541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962554 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  962554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  962557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962579 */     GIR_RootConstrainSelectedInstOperands,
     /*  962580 */     // GIR_Coverage, 7849,
     /*  962580 */     GIR_EraseRootFromParent_Done,
     /*  962581 */   // Label 14439: @962581
     /*  962581 */   GIM_Try, /*On fail goto*//*Label 14440*/ GIMT_Encode4(962676), // Rule ID 7850 //
     /*  962586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  962594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  962597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  962600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  962603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  962609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962636 */     // MIs[1] Operand 1
     /*  962636 */     // No operand predicates
     /*  962636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962649 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  962649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  962652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962674 */     GIR_RootConstrainSelectedInstOperands,
     /*  962675 */     // GIR_Coverage, 7850,
     /*  962675 */     GIR_EraseRootFromParent_Done,
     /*  962676 */   // Label 14440: @962676
     /*  962676 */   GIM_Try, /*On fail goto*//*Label 14441*/ GIMT_Encode4(962771), // Rule ID 7853 //
     /*  962681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  962689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  962692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  962695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  962698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  962704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962731 */     // MIs[1] Operand 1
     /*  962731 */     // No operand predicates
     /*  962731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962744 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  962744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  962747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  962766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962769 */     GIR_RootConstrainSelectedInstOperands,
     /*  962770 */     // GIR_Coverage, 7853,
     /*  962770 */     GIR_EraseRootFromParent_Done,
     /*  962771 */   // Label 14441: @962771
     /*  962771 */   GIM_Try, /*On fail goto*//*Label 14442*/ GIMT_Encode4(962866), // Rule ID 7854 //
     /*  962776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  962784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  962787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  962790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  962793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  962799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962826 */     // MIs[1] Operand 1
     /*  962826 */     // No operand predicates
     /*  962826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962839 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  962839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  962842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  962861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962864 */     GIR_RootConstrainSelectedInstOperands,
     /*  962865 */     // GIR_Coverage, 7854,
     /*  962865 */     GIR_EraseRootFromParent_Done,
     /*  962866 */   // Label 14442: @962866
     /*  962866 */   GIM_Try, /*On fail goto*//*Label 14443*/ GIMT_Encode4(962961), // Rule ID 7857 //
     /*  962871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  962879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  962882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  962885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  962888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  962894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962921 */     // MIs[1] Operand 1
     /*  962921 */     // No operand predicates
     /*  962921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962934 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  962934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  962937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962959 */     GIR_RootConstrainSelectedInstOperands,
     /*  962960 */     // GIR_Coverage, 7857,
     /*  962960 */     GIR_EraseRootFromParent_Done,
     /*  962961 */   // Label 14443: @962961
     /*  962961 */   GIM_Try, /*On fail goto*//*Label 14444*/ GIMT_Encode4(963056), // Rule ID 7858 //
     /*  962966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  962974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  962977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  962980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  962983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  962989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963016 */     // MIs[1] Operand 1
     /*  963016 */     // No operand predicates
     /*  963016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963029 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  963029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  963032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963054 */     GIR_RootConstrainSelectedInstOperands,
     /*  963055 */     // GIR_Coverage, 7858,
     /*  963055 */     GIR_EraseRootFromParent_Done,
     /*  963056 */   // Label 14444: @963056
     /*  963056 */   GIM_Try, /*On fail goto*//*Label 14445*/ GIMT_Encode4(963151), // Rule ID 7861 //
     /*  963061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  963072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  963075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  963078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963111 */     // MIs[1] Operand 1
     /*  963111 */     // No operand predicates
     /*  963111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963124 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  963124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  963127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963149 */     GIR_RootConstrainSelectedInstOperands,
     /*  963150 */     // GIR_Coverage, 7861,
     /*  963150 */     GIR_EraseRootFromParent_Done,
     /*  963151 */   // Label 14445: @963151
     /*  963151 */   GIM_Try, /*On fail goto*//*Label 14446*/ GIMT_Encode4(963246), // Rule ID 7862 //
     /*  963156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  963167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  963170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  963173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  963179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963206 */     // MIs[1] Operand 1
     /*  963206 */     // No operand predicates
     /*  963206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963219 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  963219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  963222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963244 */     GIR_RootConstrainSelectedInstOperands,
     /*  963245 */     // GIR_Coverage, 7862,
     /*  963245 */     GIR_EraseRootFromParent_Done,
     /*  963246 */   // Label 14446: @963246
     /*  963246 */   GIM_Try, /*On fail goto*//*Label 14447*/ GIMT_Encode4(963341), // Rule ID 7865 //
     /*  963251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  963254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  963268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963301 */     // MIs[1] Operand 1
     /*  963301 */     // No operand predicates
     /*  963301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963314 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  963314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  963317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  963336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963339 */     GIR_RootConstrainSelectedInstOperands,
     /*  963340 */     // GIR_Coverage, 7865,
     /*  963340 */     GIR_EraseRootFromParent_Done,
     /*  963341 */   // Label 14447: @963341
     /*  963341 */   GIM_Try, /*On fail goto*//*Label 14448*/ GIMT_Encode4(963436), // Rule ID 7866 //
     /*  963346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  963349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  963357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  963360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  963363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963396 */     // MIs[1] Operand 1
     /*  963396 */     // No operand predicates
     /*  963396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963409 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  963409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  963412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  963431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963434 */     GIR_RootConstrainSelectedInstOperands,
     /*  963435 */     // GIR_Coverage, 7866,
     /*  963435 */     GIR_EraseRootFromParent_Done,
     /*  963436 */   // Label 14448: @963436
     /*  963436 */   GIM_Try, /*On fail goto*//*Label 14449*/ GIMT_Encode4(963531), // Rule ID 7869 //
     /*  963441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  963452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  963455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  963458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  963464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963491 */     // MIs[1] Operand 1
     /*  963491 */     // No operand predicates
     /*  963491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963504 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  963504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  963507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963529 */     GIR_RootConstrainSelectedInstOperands,
     /*  963530 */     // GIR_Coverage, 7869,
     /*  963530 */     GIR_EraseRootFromParent_Done,
     /*  963531 */   // Label 14449: @963531
     /*  963531 */   GIM_Try, /*On fail goto*//*Label 14450*/ GIMT_Encode4(963626), // Rule ID 7870 //
     /*  963536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  963547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  963550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  963553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  963559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963586 */     // MIs[1] Operand 1
     /*  963586 */     // No operand predicates
     /*  963586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963599 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  963599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  963602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963624 */     GIR_RootConstrainSelectedInstOperands,
     /*  963625 */     // GIR_Coverage, 7870,
     /*  963625 */     GIR_EraseRootFromParent_Done,
     /*  963626 */   // Label 14450: @963626
     /*  963626 */   GIM_Try, /*On fail goto*//*Label 14451*/ GIMT_Encode4(963721), // Rule ID 7873 //
     /*  963631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  963642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  963645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  963648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  963654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963681 */     // MIs[1] Operand 1
     /*  963681 */     // No operand predicates
     /*  963681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963694 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  963694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  963697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963719 */     GIR_RootConstrainSelectedInstOperands,
     /*  963720 */     // GIR_Coverage, 7873,
     /*  963720 */     GIR_EraseRootFromParent_Done,
     /*  963721 */   // Label 14451: @963721
     /*  963721 */   GIM_Try, /*On fail goto*//*Label 14452*/ GIMT_Encode4(963816), // Rule ID 7874 //
     /*  963726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  963737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  963740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  963743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  963749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963776 */     // MIs[1] Operand 1
     /*  963776 */     // No operand predicates
     /*  963776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963789 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  963789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  963792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963814 */     GIR_RootConstrainSelectedInstOperands,
     /*  963815 */     // GIR_Coverage, 7874,
     /*  963815 */     GIR_EraseRootFromParent_Done,
     /*  963816 */   // Label 14452: @963816
     /*  963816 */   GIM_Try, /*On fail goto*//*Label 14453*/ GIMT_Encode4(963911), // Rule ID 7877 //
     /*  963821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  963832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  963835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  963838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  963844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963871 */     // MIs[1] Operand 1
     /*  963871 */     // No operand predicates
     /*  963871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963884 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  963884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  963887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963909 */     GIR_RootConstrainSelectedInstOperands,
     /*  963910 */     // GIR_Coverage, 7877,
     /*  963910 */     GIR_EraseRootFromParent_Done,
     /*  963911 */   // Label 14453: @963911
     /*  963911 */   GIM_Try, /*On fail goto*//*Label 14454*/ GIMT_Encode4(964006), // Rule ID 7878 //
     /*  963916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  963924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  963927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  963930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  963933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  963939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963966 */     // MIs[1] Operand 1
     /*  963966 */     // No operand predicates
     /*  963966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963979 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  963979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  963982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964004 */     GIR_RootConstrainSelectedInstOperands,
     /*  964005 */     // GIR_Coverage, 7878,
     /*  964005 */     GIR_EraseRootFromParent_Done,
     /*  964006 */   // Label 14454: @964006
     /*  964006 */   GIM_Try, /*On fail goto*//*Label 14455*/ GIMT_Encode4(964101), // Rule ID 7881 //
     /*  964011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  964022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  964025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  964028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  964034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964061 */     // MIs[1] Operand 1
     /*  964061 */     // No operand predicates
     /*  964061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964074 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  964074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  964077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964099 */     GIR_RootConstrainSelectedInstOperands,
     /*  964100 */     // GIR_Coverage, 7881,
     /*  964100 */     GIR_EraseRootFromParent_Done,
     /*  964101 */   // Label 14455: @964101
     /*  964101 */   GIM_Try, /*On fail goto*//*Label 14456*/ GIMT_Encode4(964196), // Rule ID 7882 //
     /*  964106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  964117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  964120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  964123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  964129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964156 */     // MIs[1] Operand 1
     /*  964156 */     // No operand predicates
     /*  964156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964169 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  964169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  964172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964194 */     GIR_RootConstrainSelectedInstOperands,
     /*  964195 */     // GIR_Coverage, 7882,
     /*  964195 */     GIR_EraseRootFromParent_Done,
     /*  964196 */   // Label 14456: @964196
     /*  964196 */   GIM_Try, /*On fail goto*//*Label 14457*/ GIMT_Encode4(964291), // Rule ID 7885 //
     /*  964201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  964212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  964215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  964218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  964224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964251 */     // MIs[1] Operand 1
     /*  964251 */     // No operand predicates
     /*  964251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964264 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  964264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  964267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964289 */     GIR_RootConstrainSelectedInstOperands,
     /*  964290 */     // GIR_Coverage, 7885,
     /*  964290 */     GIR_EraseRootFromParent_Done,
     /*  964291 */   // Label 14457: @964291
     /*  964291 */   GIM_Try, /*On fail goto*//*Label 14458*/ GIMT_Encode4(964386), // Rule ID 7886 //
     /*  964296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  964307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  964310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  964313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  964319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964346 */     // MIs[1] Operand 1
     /*  964346 */     // No operand predicates
     /*  964346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964359 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  964359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  964362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964384 */     GIR_RootConstrainSelectedInstOperands,
     /*  964385 */     // GIR_Coverage, 7886,
     /*  964385 */     GIR_EraseRootFromParent_Done,
     /*  964386 */   // Label 14458: @964386
     /*  964386 */   GIM_Try, /*On fail goto*//*Label 14459*/ GIMT_Encode4(964481), // Rule ID 7889 //
     /*  964391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  964402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  964405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  964408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  964414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  964429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964441 */     // MIs[1] Operand 1
     /*  964441 */     // No operand predicates
     /*  964441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964454 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  964454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  964457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964479 */     GIR_RootConstrainSelectedInstOperands,
     /*  964480 */     // GIR_Coverage, 7889,
     /*  964480 */     GIR_EraseRootFromParent_Done,
     /*  964481 */   // Label 14459: @964481
     /*  964481 */   GIM_Try, /*On fail goto*//*Label 14460*/ GIMT_Encode4(964576), // Rule ID 7890 //
     /*  964486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  964497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  964500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  964503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  964509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  964524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964536 */     // MIs[1] Operand 1
     /*  964536 */     // No operand predicates
     /*  964536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964549 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  964549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  964552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964574 */     GIR_RootConstrainSelectedInstOperands,
     /*  964575 */     // GIR_Coverage, 7890,
     /*  964575 */     GIR_EraseRootFromParent_Done,
     /*  964576 */   // Label 14460: @964576
     /*  964576 */   GIM_Try, /*On fail goto*//*Label 14461*/ GIMT_Encode4(964671), // Rule ID 7893 //
     /*  964581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  964592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  964595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  964598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964631 */     // MIs[1] Operand 1
     /*  964631 */     // No operand predicates
     /*  964631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964644 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  964644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  964647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964669 */     GIR_RootConstrainSelectedInstOperands,
     /*  964670 */     // GIR_Coverage, 7893,
     /*  964670 */     GIR_EraseRootFromParent_Done,
     /*  964671 */   // Label 14461: @964671
     /*  964671 */   GIM_Try, /*On fail goto*//*Label 14462*/ GIMT_Encode4(964766), // Rule ID 7894 //
     /*  964676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  964687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  964690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  964693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964726 */     // MIs[1] Operand 1
     /*  964726 */     // No operand predicates
     /*  964726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964739 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  964739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  964742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964764 */     GIR_RootConstrainSelectedInstOperands,
     /*  964765 */     // GIR_Coverage, 7894,
     /*  964765 */     GIR_EraseRootFromParent_Done,
     /*  964766 */   // Label 14462: @964766
     /*  964766 */   GIM_Try, /*On fail goto*//*Label 14463*/ GIMT_Encode4(964861), // Rule ID 7897 //
     /*  964771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  964782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  964785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  964788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  964794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964821 */     // MIs[1] Operand 1
     /*  964821 */     // No operand predicates
     /*  964821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964834 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  964834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  964837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964859 */     GIR_RootConstrainSelectedInstOperands,
     /*  964860 */     // GIR_Coverage, 7897,
     /*  964860 */     GIR_EraseRootFromParent_Done,
     /*  964861 */   // Label 14463: @964861
     /*  964861 */   GIM_Try, /*On fail goto*//*Label 14464*/ GIMT_Encode4(964956), // Rule ID 7898 //
     /*  964866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  964877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  964880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  964883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  964889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964916 */     // MIs[1] Operand 1
     /*  964916 */     // No operand predicates
     /*  964916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964929 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  964929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  964932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964954 */     GIR_RootConstrainSelectedInstOperands,
     /*  964955 */     // GIR_Coverage, 7898,
     /*  964955 */     GIR_EraseRootFromParent_Done,
     /*  964956 */   // Label 14464: @964956
     /*  964956 */   GIM_Try, /*On fail goto*//*Label 14465*/ GIMT_Encode4(965051), // Rule ID 7901 //
     /*  964961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  964969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  964972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  964975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  964978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  964984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  964999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965011 */     // MIs[1] Operand 1
     /*  965011 */     // No operand predicates
     /*  965011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965024 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  965024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  965027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  965046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965049 */     GIR_RootConstrainSelectedInstOperands,
     /*  965050 */     // GIR_Coverage, 7901,
     /*  965050 */     GIR_EraseRootFromParent_Done,
     /*  965051 */   // Label 14465: @965051
     /*  965051 */   GIM_Try, /*On fail goto*//*Label 14466*/ GIMT_Encode4(965146), // Rule ID 7902 //
     /*  965056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  965067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  965070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  965073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965106 */     // MIs[1] Operand 1
     /*  965106 */     // No operand predicates
     /*  965106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965119 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  965119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  965122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  965141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965144 */     GIR_RootConstrainSelectedInstOperands,
     /*  965145 */     // GIR_Coverage, 7902,
     /*  965145 */     GIR_EraseRootFromParent_Done,
     /*  965146 */   // Label 14466: @965146
     /*  965146 */   GIM_Try, /*On fail goto*//*Label 14467*/ GIMT_Encode4(965241), // Rule ID 7905 //
     /*  965151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  965154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  965162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  965165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  965168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  965174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965201 */     // MIs[1] Operand 1
     /*  965201 */     // No operand predicates
     /*  965201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965214 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  965214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  965236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965239 */     GIR_RootConstrainSelectedInstOperands,
     /*  965240 */     // GIR_Coverage, 7905,
     /*  965240 */     GIR_EraseRootFromParent_Done,
     /*  965241 */   // Label 14467: @965241
     /*  965241 */   GIM_Try, /*On fail goto*//*Label 14468*/ GIMT_Encode4(965336), // Rule ID 7906 //
     /*  965246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  965249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  965257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  965260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  965263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  965269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965296 */     // MIs[1] Operand 1
     /*  965296 */     // No operand predicates
     /*  965296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965309 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  965309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  965312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  965331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965334 */     GIR_RootConstrainSelectedInstOperands,
     /*  965335 */     // GIR_Coverage, 7906,
     /*  965335 */     GIR_EraseRootFromParent_Done,
     /*  965336 */   // Label 14468: @965336
     /*  965336 */   GIM_Try, /*On fail goto*//*Label 14469*/ GIMT_Encode4(965431), // Rule ID 7909 //
     /*  965341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  965344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  965352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  965355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  965358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  965364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965391 */     // MIs[1] Operand 1
     /*  965391 */     // No operand predicates
     /*  965391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965404 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  965404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  965407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  965426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965429 */     GIR_RootConstrainSelectedInstOperands,
     /*  965430 */     // GIR_Coverage, 7909,
     /*  965430 */     GIR_EraseRootFromParent_Done,
     /*  965431 */   // Label 14469: @965431
     /*  965431 */   GIM_Try, /*On fail goto*//*Label 14470*/ GIMT_Encode4(965526), // Rule ID 7910 //
     /*  965436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  965439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  965447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  965450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  965453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  965459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965486 */     // MIs[1] Operand 1
     /*  965486 */     // No operand predicates
     /*  965486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965499 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  965499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  965502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  965521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965524 */     GIR_RootConstrainSelectedInstOperands,
     /*  965525 */     // GIR_Coverage, 7910,
     /*  965525 */     GIR_EraseRootFromParent_Done,
     /*  965526 */   // Label 14470: @965526
     /*  965526 */   GIM_Try, /*On fail goto*//*Label 14471*/ GIMT_Encode4(965621), // Rule ID 7913 //
     /*  965531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  965534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  965542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  965545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  965548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965581 */     // MIs[1] Operand 1
     /*  965581 */     // No operand predicates
     /*  965581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965594 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  965594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  965597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  965616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965619 */     GIR_RootConstrainSelectedInstOperands,
     /*  965620 */     // GIR_Coverage, 7913,
     /*  965620 */     GIR_EraseRootFromParent_Done,
     /*  965621 */   // Label 14471: @965621
     /*  965621 */   GIM_Try, /*On fail goto*//*Label 14472*/ GIMT_Encode4(965716), // Rule ID 7914 //
     /*  965626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  965629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  965634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  965637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  965640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  965643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965676 */     // MIs[1] Operand 1
     /*  965676 */     // No operand predicates
     /*  965676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965689 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  965689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  965692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  965711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965714 */     GIR_RootConstrainSelectedInstOperands,
     /*  965715 */     // GIR_Coverage, 7914,
     /*  965715 */     GIR_EraseRootFromParent_Done,
     /*  965716 */   // Label 14472: @965716
     /*  965716 */   GIM_Try, /*On fail goto*//*Label 14473*/ GIMT_Encode4(965811), // Rule ID 8093 //
     /*  965721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  965729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  965732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  965735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  965738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  965744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965771 */     // MIs[1] Operand 1
     /*  965771 */     // No operand predicates
     /*  965771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965784 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  965784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  965787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965809 */     GIR_RootConstrainSelectedInstOperands,
     /*  965810 */     // GIR_Coverage, 8093,
     /*  965810 */     GIR_EraseRootFromParent_Done,
     /*  965811 */   // Label 14473: @965811
     /*  965811 */   GIM_Try, /*On fail goto*//*Label 14474*/ GIMT_Encode4(965906), // Rule ID 8094 //
     /*  965816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  965824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  965827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  965830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  965833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  965839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965866 */     // MIs[1] Operand 1
     /*  965866 */     // No operand predicates
     /*  965866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965879 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  965879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  965882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965904 */     GIR_RootConstrainSelectedInstOperands,
     /*  965905 */     // GIR_Coverage, 8094,
     /*  965905 */     GIR_EraseRootFromParent_Done,
     /*  965906 */   // Label 14474: @965906
     /*  965906 */   GIM_Try, /*On fail goto*//*Label 14475*/ GIMT_Encode4(966001), // Rule ID 8097 //
     /*  965911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  965919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  965922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  965925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  965928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  965934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965961 */     // MIs[1] Operand 1
     /*  965961 */     // No operand predicates
     /*  965961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965974 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  965974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  965977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965999 */     GIR_RootConstrainSelectedInstOperands,
     /*  966000 */     // GIR_Coverage, 8097,
     /*  966000 */     GIR_EraseRootFromParent_Done,
     /*  966001 */   // Label 14475: @966001
     /*  966001 */   GIM_Try, /*On fail goto*//*Label 14476*/ GIMT_Encode4(966096), // Rule ID 8098 //
     /*  966006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  966014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  966017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  966020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  966023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  966029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966056 */     // MIs[1] Operand 1
     /*  966056 */     // No operand predicates
     /*  966056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966069 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  966069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  966072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  966091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966094 */     GIR_RootConstrainSelectedInstOperands,
     /*  966095 */     // GIR_Coverage, 8098,
     /*  966095 */     GIR_EraseRootFromParent_Done,
     /*  966096 */   // Label 14476: @966096
     /*  966096 */   GIM_Try, /*On fail goto*//*Label 14477*/ GIMT_Encode4(966191), // Rule ID 8101 //
     /*  966101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  966109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  966112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  966115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  966118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966151 */     // MIs[1] Operand 1
     /*  966151 */     // No operand predicates
     /*  966151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966164 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  966164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  966167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  966186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966189 */     GIR_RootConstrainSelectedInstOperands,
     /*  966190 */     // GIR_Coverage, 8101,
     /*  966190 */     GIR_EraseRootFromParent_Done,
     /*  966191 */   // Label 14477: @966191
     /*  966191 */   GIM_Try, /*On fail goto*//*Label 14478*/ GIMT_Encode4(966286), // Rule ID 8102 //
     /*  966196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  966204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  966207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  966210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  966213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966246 */     // MIs[1] Operand 1
     /*  966246 */     // No operand predicates
     /*  966246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966259 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  966259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  966262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  966281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966284 */     GIR_RootConstrainSelectedInstOperands,
     /*  966285 */     // GIR_Coverage, 8102,
     /*  966285 */     GIR_EraseRootFromParent_Done,
     /*  966286 */   // Label 14478: @966286
     /*  966286 */   GIM_Try, /*On fail goto*//*Label 14479*/ GIMT_Encode4(966381), // Rule ID 8105 //
     /*  966291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  966299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  966302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  966305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  966308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  966314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966341 */     // MIs[1] Operand 1
     /*  966341 */     // No operand predicates
     /*  966341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966354 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  966354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  966357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966379 */     GIR_RootConstrainSelectedInstOperands,
     /*  966380 */     // GIR_Coverage, 8105,
     /*  966380 */     GIR_EraseRootFromParent_Done,
     /*  966381 */   // Label 14479: @966381
     /*  966381 */   GIM_Try, /*On fail goto*//*Label 14480*/ GIMT_Encode4(966476), // Rule ID 8106 //
     /*  966386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  966394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  966397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  966400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  966403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  966409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966436 */     // MIs[1] Operand 1
     /*  966436 */     // No operand predicates
     /*  966436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966449 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  966449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  966452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966474 */     GIR_RootConstrainSelectedInstOperands,
     /*  966475 */     // GIR_Coverage, 8106,
     /*  966475 */     GIR_EraseRootFromParent_Done,
     /*  966476 */   // Label 14480: @966476
     /*  966476 */   GIM_Try, /*On fail goto*//*Label 14481*/ GIMT_Encode4(966571), // Rule ID 8109 //
     /*  966481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  966489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  966492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  966495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  966498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  966504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966531 */     // MIs[1] Operand 1
     /*  966531 */     // No operand predicates
     /*  966531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966544 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  966544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  966547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966569 */     GIR_RootConstrainSelectedInstOperands,
     /*  966570 */     // GIR_Coverage, 8109,
     /*  966570 */     GIR_EraseRootFromParent_Done,
     /*  966571 */   // Label 14481: @966571
     /*  966571 */   GIM_Try, /*On fail goto*//*Label 14482*/ GIMT_Encode4(966666), // Rule ID 8110 //
     /*  966576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  966584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  966587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  966590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  966593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  966599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966626 */     // MIs[1] Operand 1
     /*  966626 */     // No operand predicates
     /*  966626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966639 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  966639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  966642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966664 */     GIR_RootConstrainSelectedInstOperands,
     /*  966665 */     // GIR_Coverage, 8110,
     /*  966665 */     GIR_EraseRootFromParent_Done,
     /*  966666 */   // Label 14482: @966666
     /*  966666 */   GIM_Try, /*On fail goto*//*Label 14483*/ GIMT_Encode4(966761), // Rule ID 8113 //
     /*  966671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  966679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  966682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  966685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  966688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  966694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966721 */     // MIs[1] Operand 1
     /*  966721 */     // No operand predicates
     /*  966721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966734 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  966734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  966737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966759 */     GIR_RootConstrainSelectedInstOperands,
     /*  966760 */     // GIR_Coverage, 8113,
     /*  966760 */     GIR_EraseRootFromParent_Done,
     /*  966761 */   // Label 14483: @966761
     /*  966761 */   GIM_Try, /*On fail goto*//*Label 14484*/ GIMT_Encode4(966856), // Rule ID 8114 //
     /*  966766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  966774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  966777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  966780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  966783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  966789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966816 */     // MIs[1] Operand 1
     /*  966816 */     // No operand predicates
     /*  966816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966829 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  966829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  966832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966854 */     GIR_RootConstrainSelectedInstOperands,
     /*  966855 */     // GIR_Coverage, 8114,
     /*  966855 */     GIR_EraseRootFromParent_Done,
     /*  966856 */   // Label 14484: @966856
     /*  966856 */   GIM_Try, /*On fail goto*//*Label 14485*/ GIMT_Encode4(966951), // Rule ID 8117 //
     /*  966861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  966869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  966872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  966875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  966878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966911 */     // MIs[1] Operand 1
     /*  966911 */     // No operand predicates
     /*  966911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966924 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  966924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  966927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  966946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966949 */     GIR_RootConstrainSelectedInstOperands,
     /*  966950 */     // GIR_Coverage, 8117,
     /*  966950 */     GIR_EraseRootFromParent_Done,
     /*  966951 */   // Label 14485: @966951
     /*  966951 */   GIM_Try, /*On fail goto*//*Label 14486*/ GIMT_Encode4(967046), // Rule ID 8118 //
     /*  966956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  966964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  966967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  966970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  966973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967006 */     // MIs[1] Operand 1
     /*  967006 */     // No operand predicates
     /*  967006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967019 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  967022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967044 */     GIR_RootConstrainSelectedInstOperands,
     /*  967045 */     // GIR_Coverage, 8118,
     /*  967045 */     GIR_EraseRootFromParent_Done,
     /*  967046 */   // Label 14486: @967046
     /*  967046 */   GIM_Try, /*On fail goto*//*Label 14487*/ GIMT_Encode4(967141), // Rule ID 8121 //
     /*  967051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  967062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  967065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  967068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967101 */     // MIs[1] Operand 1
     /*  967101 */     // No operand predicates
     /*  967101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967114 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  967114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  967117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967139 */     GIR_RootConstrainSelectedInstOperands,
     /*  967140 */     // GIR_Coverage, 8121,
     /*  967140 */     GIR_EraseRootFromParent_Done,
     /*  967141 */   // Label 14487: @967141
     /*  967141 */   GIM_Try, /*On fail goto*//*Label 14488*/ GIMT_Encode4(967236), // Rule ID 8122 //
     /*  967146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  967157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  967160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  967163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967196 */     // MIs[1] Operand 1
     /*  967196 */     // No operand predicates
     /*  967196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967209 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  967209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  967212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967234 */     GIR_RootConstrainSelectedInstOperands,
     /*  967235 */     // GIR_Coverage, 8122,
     /*  967235 */     GIR_EraseRootFromParent_Done,
     /*  967236 */   // Label 14488: @967236
     /*  967236 */   GIM_Try, /*On fail goto*//*Label 14489*/ GIMT_Encode4(967331), // Rule ID 8125 //
     /*  967241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  967258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967291 */     // MIs[1] Operand 1
     /*  967291 */     // No operand predicates
     /*  967291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967304 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  967304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  967307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967329 */     GIR_RootConstrainSelectedInstOperands,
     /*  967330 */     // GIR_Coverage, 8125,
     /*  967330 */     GIR_EraseRootFromParent_Done,
     /*  967331 */   // Label 14489: @967331
     /*  967331 */   GIM_Try, /*On fail goto*//*Label 14490*/ GIMT_Encode4(967426), // Rule ID 8126 //
     /*  967336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  967347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  967350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  967353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967386 */     // MIs[1] Operand 1
     /*  967386 */     // No operand predicates
     /*  967386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967399 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  967399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  967402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967424 */     GIR_RootConstrainSelectedInstOperands,
     /*  967425 */     // GIR_Coverage, 8126,
     /*  967425 */     GIR_EraseRootFromParent_Done,
     /*  967426 */   // Label 14490: @967426
     /*  967426 */   GIM_Try, /*On fail goto*//*Label 14491*/ GIMT_Encode4(967521), // Rule ID 8129 //
     /*  967431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  967434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  967448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967481 */     // MIs[1] Operand 1
     /*  967481 */     // No operand predicates
     /*  967481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967494 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  967494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  967497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967519 */     GIR_RootConstrainSelectedInstOperands,
     /*  967520 */     // GIR_Coverage, 8129,
     /*  967520 */     GIR_EraseRootFromParent_Done,
     /*  967521 */   // Label 14491: @967521
     /*  967521 */   GIM_Try, /*On fail goto*//*Label 14492*/ GIMT_Encode4(967616), // Rule ID 8130 //
     /*  967526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  967529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  967543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967576 */     // MIs[1] Operand 1
     /*  967576 */     // No operand predicates
     /*  967576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967589 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  967589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  967592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967614 */     GIR_RootConstrainSelectedInstOperands,
     /*  967615 */     // GIR_Coverage, 8130,
     /*  967615 */     GIR_EraseRootFromParent_Done,
     /*  967616 */   // Label 14492: @967616
     /*  967616 */   GIM_Try, /*On fail goto*//*Label 14493*/ GIMT_Encode4(967711), // Rule ID 8133 //
     /*  967621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  967632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  967635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  967638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  967644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967671 */     // MIs[1] Operand 1
     /*  967671 */     // No operand predicates
     /*  967671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967684 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  967687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967709 */     GIR_RootConstrainSelectedInstOperands,
     /*  967710 */     // GIR_Coverage, 8133,
     /*  967710 */     GIR_EraseRootFromParent_Done,
     /*  967711 */   // Label 14493: @967711
     /*  967711 */   GIM_Try, /*On fail goto*//*Label 14494*/ GIMT_Encode4(967806), // Rule ID 8134 //
     /*  967716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  967727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  967730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  967733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  967739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967766 */     // MIs[1] Operand 1
     /*  967766 */     // No operand predicates
     /*  967766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967779 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  967782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967804 */     GIR_RootConstrainSelectedInstOperands,
     /*  967805 */     // GIR_Coverage, 8134,
     /*  967805 */     GIR_EraseRootFromParent_Done,
     /*  967806 */   // Label 14494: @967806
     /*  967806 */   GIM_Try, /*On fail goto*//*Label 14495*/ GIMT_Encode4(967901), // Rule ID 8137 //
     /*  967811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  967822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  967825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  967828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  967834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967861 */     // MIs[1] Operand 1
     /*  967861 */     // No operand predicates
     /*  967861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967874 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  967877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967899 */     GIR_RootConstrainSelectedInstOperands,
     /*  967900 */     // GIR_Coverage, 8137,
     /*  967900 */     GIR_EraseRootFromParent_Done,
     /*  967901 */   // Label 14495: @967901
     /*  967901 */   GIM_Try, /*On fail goto*//*Label 14496*/ GIMT_Encode4(967996), // Rule ID 8138 //
     /*  967906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  967914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  967917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  967920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  967923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  967929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967956 */     // MIs[1] Operand 1
     /*  967956 */     // No operand predicates
     /*  967956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967969 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  967972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967994 */     GIR_RootConstrainSelectedInstOperands,
     /*  967995 */     // GIR_Coverage, 8138,
     /*  967995 */     GIR_EraseRootFromParent_Done,
     /*  967996 */   // Label 14496: @967996
     /*  967996 */   GIM_Try, /*On fail goto*//*Label 14497*/ GIMT_Encode4(968091), // Rule ID 8141 //
     /*  968001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  968012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  968015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  968018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  968024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  968039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968051 */     // MIs[1] Operand 1
     /*  968051 */     // No operand predicates
     /*  968051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968064 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  968064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  968067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968089 */     GIR_RootConstrainSelectedInstOperands,
     /*  968090 */     // GIR_Coverage, 8141,
     /*  968090 */     GIR_EraseRootFromParent_Done,
     /*  968091 */   // Label 14497: @968091
     /*  968091 */   GIM_Try, /*On fail goto*//*Label 14498*/ GIMT_Encode4(968186), // Rule ID 8142 //
     /*  968096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  968107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  968110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  968113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  968119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  968134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968146 */     // MIs[1] Operand 1
     /*  968146 */     // No operand predicates
     /*  968146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968159 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  968159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  968162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968184 */     GIR_RootConstrainSelectedInstOperands,
     /*  968185 */     // GIR_Coverage, 8142,
     /*  968185 */     GIR_EraseRootFromParent_Done,
     /*  968186 */   // Label 14498: @968186
     /*  968186 */   GIM_Try, /*On fail goto*//*Label 14499*/ GIMT_Encode4(968281), // Rule ID 8145 //
     /*  968191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  968202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  968205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  968208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  968214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968241 */     // MIs[1] Operand 1
     /*  968241 */     // No operand predicates
     /*  968241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968254 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  968254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  968257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968279 */     GIR_RootConstrainSelectedInstOperands,
     /*  968280 */     // GIR_Coverage, 8145,
     /*  968280 */     GIR_EraseRootFromParent_Done,
     /*  968281 */   // Label 14499: @968281
     /*  968281 */   GIM_Try, /*On fail goto*//*Label 14500*/ GIMT_Encode4(968376), // Rule ID 8146 //
     /*  968286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  968297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  968300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  968303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  968309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968336 */     // MIs[1] Operand 1
     /*  968336 */     // No operand predicates
     /*  968336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968349 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  968352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968374 */     GIR_RootConstrainSelectedInstOperands,
     /*  968375 */     // GIR_Coverage, 8146,
     /*  968375 */     GIR_EraseRootFromParent_Done,
     /*  968376 */   // Label 14500: @968376
     /*  968376 */   GIM_Try, /*On fail goto*//*Label 14501*/ GIMT_Encode4(968471), // Rule ID 8149 //
     /*  968381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  968392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  968395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  968398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  968404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  968419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968431 */     // MIs[1] Operand 1
     /*  968431 */     // No operand predicates
     /*  968431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968444 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  968444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  968447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968469 */     GIR_RootConstrainSelectedInstOperands,
     /*  968470 */     // GIR_Coverage, 8149,
     /*  968470 */     GIR_EraseRootFromParent_Done,
     /*  968471 */   // Label 14501: @968471
     /*  968471 */   GIM_Try, /*On fail goto*//*Label 14502*/ GIMT_Encode4(968566), // Rule ID 8150 //
     /*  968476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  968487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  968490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  968493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  968499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  968514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968526 */     // MIs[1] Operand 1
     /*  968526 */     // No operand predicates
     /*  968526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968539 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  968542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968564 */     GIR_RootConstrainSelectedInstOperands,
     /*  968565 */     // GIR_Coverage, 8150,
     /*  968565 */     GIR_EraseRootFromParent_Done,
     /*  968566 */   // Label 14502: @968566
     /*  968566 */   GIM_Try, /*On fail goto*//*Label 14503*/ GIMT_Encode4(968661), // Rule ID 8153 //
     /*  968571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  968582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  968585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  968588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  968594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  968609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968621 */     // MIs[1] Operand 1
     /*  968621 */     // No operand predicates
     /*  968621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968634 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  968634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  968637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968659 */     GIR_RootConstrainSelectedInstOperands,
     /*  968660 */     // GIR_Coverage, 8153,
     /*  968660 */     GIR_EraseRootFromParent_Done,
     /*  968661 */   // Label 14503: @968661
     /*  968661 */   GIM_Try, /*On fail goto*//*Label 14504*/ GIMT_Encode4(968756), // Rule ID 8154 //
     /*  968666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  968677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  968680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  968683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  968689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  968704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968716 */     // MIs[1] Operand 1
     /*  968716 */     // No operand predicates
     /*  968716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968729 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  968732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968754 */     GIR_RootConstrainSelectedInstOperands,
     /*  968755 */     // GIR_Coverage, 8154,
     /*  968755 */     GIR_EraseRootFromParent_Done,
     /*  968756 */   // Label 14504: @968756
     /*  968756 */   GIM_Try, /*On fail goto*//*Label 14505*/ GIMT_Encode4(968851), // Rule ID 8157 //
     /*  968761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  968778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968811 */     // MIs[1] Operand 1
     /*  968811 */     // No operand predicates
     /*  968811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968824 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  968824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  968827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968849 */     GIR_RootConstrainSelectedInstOperands,
     /*  968850 */     // GIR_Coverage, 8157,
     /*  968850 */     GIR_EraseRootFromParent_Done,
     /*  968851 */   // Label 14505: @968851
     /*  968851 */   GIM_Try, /*On fail goto*//*Label 14506*/ GIMT_Encode4(968946), // Rule ID 8158 //
     /*  968856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  968873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968906 */     // MIs[1] Operand 1
     /*  968906 */     // No operand predicates
     /*  968906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968919 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  968919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  968922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968944 */     GIR_RootConstrainSelectedInstOperands,
     /*  968945 */     // GIR_Coverage, 8158,
     /*  968945 */     GIR_EraseRootFromParent_Done,
     /*  968946 */   // Label 14506: @968946
     /*  968946 */   GIM_Try, /*On fail goto*//*Label 14507*/ GIMT_Encode4(969041), // Rule ID 8161 //
     /*  968951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  968959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  968962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  968965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  968968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  968974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  968989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969001 */     // MIs[1] Operand 1
     /*  969001 */     // No operand predicates
     /*  969001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969014 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  969014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  969017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969039 */     GIR_RootConstrainSelectedInstOperands,
     /*  969040 */     // GIR_Coverage, 8161,
     /*  969040 */     GIR_EraseRootFromParent_Done,
     /*  969041 */   // Label 14507: @969041
     /*  969041 */   GIM_Try, /*On fail goto*//*Label 14508*/ GIMT_Encode4(969136), // Rule ID 8162 //
     /*  969046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  969057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  969060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  969063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  969069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969096 */     // MIs[1] Operand 1
     /*  969096 */     // No operand predicates
     /*  969096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969109 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  969109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  969112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969134 */     GIR_RootConstrainSelectedInstOperands,
     /*  969135 */     // GIR_Coverage, 8162,
     /*  969135 */     GIR_EraseRootFromParent_Done,
     /*  969136 */   // Label 14508: @969136
     /*  969136 */   GIM_Try, /*On fail goto*//*Label 14509*/ GIMT_Encode4(969231), // Rule ID 8165 //
     /*  969141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  969152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  969155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  969158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  969164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969191 */     // MIs[1] Operand 1
     /*  969191 */     // No operand predicates
     /*  969191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969204 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  969204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  969207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969229 */     GIR_RootConstrainSelectedInstOperands,
     /*  969230 */     // GIR_Coverage, 8165,
     /*  969230 */     GIR_EraseRootFromParent_Done,
     /*  969231 */   // Label 14509: @969231
     /*  969231 */   GIM_Try, /*On fail goto*//*Label 14510*/ GIMT_Encode4(969326), // Rule ID 8166 //
     /*  969236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  969247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  969250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  969253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  969259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969286 */     // MIs[1] Operand 1
     /*  969286 */     // No operand predicates
     /*  969286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969299 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  969299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  969302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969324 */     GIR_RootConstrainSelectedInstOperands,
     /*  969325 */     // GIR_Coverage, 8166,
     /*  969325 */     GIR_EraseRootFromParent_Done,
     /*  969326 */   // Label 14510: @969326
     /*  969326 */   GIM_Try, /*On fail goto*//*Label 14511*/ GIMT_Encode4(969421), // Rule ID 8169 //
     /*  969331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  969334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  969342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  969345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  969348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  969354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969381 */     // MIs[1] Operand 1
     /*  969381 */     // No operand predicates
     /*  969381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969394 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  969394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  969397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969419 */     GIR_RootConstrainSelectedInstOperands,
     /*  969420 */     // GIR_Coverage, 8169,
     /*  969420 */     GIR_EraseRootFromParent_Done,
     /*  969421 */   // Label 14511: @969421
     /*  969421 */   GIM_Try, /*On fail goto*//*Label 14512*/ GIMT_Encode4(969516), // Rule ID 8170 //
     /*  969426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  969429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  969437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  969440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  969443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  969449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969476 */     // MIs[1] Operand 1
     /*  969476 */     // No operand predicates
     /*  969476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969489 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  969489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  969492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969514 */     GIR_RootConstrainSelectedInstOperands,
     /*  969515 */     // GIR_Coverage, 8170,
     /*  969515 */     GIR_EraseRootFromParent_Done,
     /*  969516 */   // Label 14512: @969516
     /*  969516 */   GIM_Try, /*On fail goto*//*Label 14513*/ GIMT_Encode4(969611), // Rule ID 8173 //
     /*  969521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  969524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  969532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  969535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  969538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  969544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969571 */     // MIs[1] Operand 1
     /*  969571 */     // No operand predicates
     /*  969571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969584 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  969584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  969587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969609 */     GIR_RootConstrainSelectedInstOperands,
     /*  969610 */     // GIR_Coverage, 8173,
     /*  969610 */     GIR_EraseRootFromParent_Done,
     /*  969611 */   // Label 14513: @969611
     /*  969611 */   GIM_Try, /*On fail goto*//*Label 14514*/ GIMT_Encode4(969706), // Rule ID 8174 //
     /*  969616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  969619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  969627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  969630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  969633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  969639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969666 */     // MIs[1] Operand 1
     /*  969666 */     // No operand predicates
     /*  969666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969679 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  969679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  969682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969704 */     GIR_RootConstrainSelectedInstOperands,
     /*  969705 */     // GIR_Coverage, 8174,
     /*  969705 */     GIR_EraseRootFromParent_Done,
     /*  969706 */   // Label 14514: @969706
     /*  969706 */   GIM_Try, /*On fail goto*//*Label 14515*/ GIMT_Encode4(969801), // Rule ID 8177 //
     /*  969711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  969714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  969722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  969725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  969728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  969734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969761 */     // MIs[1] Operand 1
     /*  969761 */     // No operand predicates
     /*  969761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969774 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  969774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  969777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969799 */     GIR_RootConstrainSelectedInstOperands,
     /*  969800 */     // GIR_Coverage, 8177,
     /*  969800 */     GIR_EraseRootFromParent_Done,
     /*  969801 */   // Label 14515: @969801
     /*  969801 */   GIM_Try, /*On fail goto*//*Label 14516*/ GIMT_Encode4(969896), // Rule ID 8178 //
     /*  969806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  969809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  969814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  969817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  969820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  969823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  969829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969856 */     // MIs[1] Operand 1
     /*  969856 */     // No operand predicates
     /*  969856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969869 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  969869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  969872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969894 */     GIR_RootConstrainSelectedInstOperands,
     /*  969895 */     // GIR_Coverage, 8178,
     /*  969895 */     GIR_EraseRootFromParent_Done,
     /*  969896 */   // Label 14516: @969896
     /*  969896 */   GIM_Try, /*On fail goto*//*Label 14517*/ GIMT_Encode4(969991), // Rule ID 8709 //
     /*  969901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  969909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  969912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  969915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  969918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  969924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969951 */     // MIs[1] Operand 1
     /*  969951 */     // No operand predicates
     /*  969951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969964 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  969967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969989 */     GIR_RootConstrainSelectedInstOperands,
     /*  969990 */     // GIR_Coverage, 8709,
     /*  969990 */     GIR_EraseRootFromParent_Done,
     /*  969991 */   // Label 14517: @969991
     /*  969991 */   GIM_Try, /*On fail goto*//*Label 14518*/ GIMT_Encode4(970086), // Rule ID 8710 //
     /*  969996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  970004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  970007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  970010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  970013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  970019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970046 */     // MIs[1] Operand 1
     /*  970046 */     // No operand predicates
     /*  970046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970059 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  970059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  970062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970084 */     GIR_RootConstrainSelectedInstOperands,
     /*  970085 */     // GIR_Coverage, 8710,
     /*  970085 */     GIR_EraseRootFromParent_Done,
     /*  970086 */   // Label 14518: @970086
     /*  970086 */   GIM_Try, /*On fail goto*//*Label 14519*/ GIMT_Encode4(970181), // Rule ID 8713 //
     /*  970091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  970099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  970102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  970105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  970108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  970114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970141 */     // MIs[1] Operand 1
     /*  970141 */     // No operand predicates
     /*  970141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970154 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  970154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  970157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970179 */     GIR_RootConstrainSelectedInstOperands,
     /*  970180 */     // GIR_Coverage, 8713,
     /*  970180 */     GIR_EraseRootFromParent_Done,
     /*  970181 */   // Label 14519: @970181
     /*  970181 */   GIM_Try, /*On fail goto*//*Label 14520*/ GIMT_Encode4(970276), // Rule ID 8714 //
     /*  970186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  970194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  970197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  970200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  970203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  970209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970236 */     // MIs[1] Operand 1
     /*  970236 */     // No operand predicates
     /*  970236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970249 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  970249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  970252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970274 */     GIR_RootConstrainSelectedInstOperands,
     /*  970275 */     // GIR_Coverage, 8714,
     /*  970275 */     GIR_EraseRootFromParent_Done,
     /*  970276 */   // Label 14520: @970276
     /*  970276 */   GIM_Try, /*On fail goto*//*Label 14521*/ GIMT_Encode4(970371), // Rule ID 8717 //
     /*  970281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  970289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  970292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  970295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  970298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  970304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970331 */     // MIs[1] Operand 1
     /*  970331 */     // No operand predicates
     /*  970331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970344 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  970344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  970347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970369 */     GIR_RootConstrainSelectedInstOperands,
     /*  970370 */     // GIR_Coverage, 8717,
     /*  970370 */     GIR_EraseRootFromParent_Done,
     /*  970371 */   // Label 14521: @970371
     /*  970371 */   GIM_Try, /*On fail goto*//*Label 14522*/ GIMT_Encode4(970466), // Rule ID 8718 //
     /*  970376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  970384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  970387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  970390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  970393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  970399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970426 */     // MIs[1] Operand 1
     /*  970426 */     // No operand predicates
     /*  970426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970439 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  970439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  970442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970464 */     GIR_RootConstrainSelectedInstOperands,
     /*  970465 */     // GIR_Coverage, 8718,
     /*  970465 */     GIR_EraseRootFromParent_Done,
     /*  970466 */   // Label 14522: @970466
     /*  970466 */   GIM_Try, /*On fail goto*//*Label 14523*/ GIMT_Encode4(970561), // Rule ID 8721 //
     /*  970471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  970479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  970482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  970485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  970488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  970494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970521 */     // MIs[1] Operand 1
     /*  970521 */     // No operand predicates
     /*  970521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970534 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  970537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970559 */     GIR_RootConstrainSelectedInstOperands,
     /*  970560 */     // GIR_Coverage, 8721,
     /*  970560 */     GIR_EraseRootFromParent_Done,
     /*  970561 */   // Label 14523: @970561
     /*  970561 */   GIM_Try, /*On fail goto*//*Label 14524*/ GIMT_Encode4(970656), // Rule ID 8722 //
     /*  970566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  970574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  970577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  970580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  970583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  970589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970616 */     // MIs[1] Operand 1
     /*  970616 */     // No operand predicates
     /*  970616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970629 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  970629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  970632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970654 */     GIR_RootConstrainSelectedInstOperands,
     /*  970655 */     // GIR_Coverage, 8722,
     /*  970655 */     GIR_EraseRootFromParent_Done,
     /*  970656 */   // Label 14524: @970656
     /*  970656 */   GIM_Try, /*On fail goto*//*Label 14525*/ GIMT_Encode4(970751), // Rule ID 8725 //
     /*  970661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  970669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  970672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  970675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  970678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  970684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970711 */     // MIs[1] Operand 1
     /*  970711 */     // No operand predicates
     /*  970711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970724 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  970727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970749 */     GIR_RootConstrainSelectedInstOperands,
     /*  970750 */     // GIR_Coverage, 8725,
     /*  970750 */     GIR_EraseRootFromParent_Done,
     /*  970751 */   // Label 14525: @970751
     /*  970751 */   GIM_Try, /*On fail goto*//*Label 14526*/ GIMT_Encode4(970846), // Rule ID 8726 //
     /*  970756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  970764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  970767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  970770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  970773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  970779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970806 */     // MIs[1] Operand 1
     /*  970806 */     // No operand predicates
     /*  970806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970819 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  970819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  970822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970844 */     GIR_RootConstrainSelectedInstOperands,
     /*  970845 */     // GIR_Coverage, 8726,
     /*  970845 */     GIR_EraseRootFromParent_Done,
     /*  970846 */   // Label 14526: @970846
     /*  970846 */   GIM_Try, /*On fail goto*//*Label 14527*/ GIMT_Encode4(970941), // Rule ID 8729 //
     /*  970851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  970859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  970862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  970865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  970868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  970874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970901 */     // MIs[1] Operand 1
     /*  970901 */     // No operand predicates
     /*  970901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970914 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  970917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970939 */     GIR_RootConstrainSelectedInstOperands,
     /*  970940 */     // GIR_Coverage, 8729,
     /*  970940 */     GIR_EraseRootFromParent_Done,
     /*  970941 */   // Label 14527: @970941
     /*  970941 */   GIM_Try, /*On fail goto*//*Label 14528*/ GIMT_Encode4(971036), // Rule ID 8730 //
     /*  970946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  970954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  970957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  970960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  970963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  970969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970996 */     // MIs[1] Operand 1
     /*  970996 */     // No operand predicates
     /*  970996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971009 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  971009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  971012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971034 */     GIR_RootConstrainSelectedInstOperands,
     /*  971035 */     // GIR_Coverage, 8730,
     /*  971035 */     GIR_EraseRootFromParent_Done,
     /*  971036 */   // Label 14528: @971036
     /*  971036 */   GIM_Try, /*On fail goto*//*Label 14529*/ GIMT_Encode4(971131), // Rule ID 8733 //
     /*  971041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  971052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  971055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  971058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  971064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971091 */     // MIs[1] Operand 1
     /*  971091 */     // No operand predicates
     /*  971091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971104 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  971107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971129 */     GIR_RootConstrainSelectedInstOperands,
     /*  971130 */     // GIR_Coverage, 8733,
     /*  971130 */     GIR_EraseRootFromParent_Done,
     /*  971131 */   // Label 14529: @971131
     /*  971131 */   GIM_Try, /*On fail goto*//*Label 14530*/ GIMT_Encode4(971226), // Rule ID 8734 //
     /*  971136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  971147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  971150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  971153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  971159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971186 */     // MIs[1] Operand 1
     /*  971186 */     // No operand predicates
     /*  971186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971199 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  971199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  971202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971224 */     GIR_RootConstrainSelectedInstOperands,
     /*  971225 */     // GIR_Coverage, 8734,
     /*  971225 */     GIR_EraseRootFromParent_Done,
     /*  971226 */   // Label 14530: @971226
     /*  971226 */   GIM_Try, /*On fail goto*//*Label 14531*/ GIMT_Encode4(971321), // Rule ID 8737 //
     /*  971231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  971248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971281 */     // MIs[1] Operand 1
     /*  971281 */     // No operand predicates
     /*  971281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971294 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  971294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  971297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971319 */     GIR_RootConstrainSelectedInstOperands,
     /*  971320 */     // GIR_Coverage, 8737,
     /*  971320 */     GIR_EraseRootFromParent_Done,
     /*  971321 */   // Label 14531: @971321
     /*  971321 */   GIM_Try, /*On fail goto*//*Label 14532*/ GIMT_Encode4(971416), // Rule ID 8738 //
     /*  971326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  971343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971376 */     // MIs[1] Operand 1
     /*  971376 */     // No operand predicates
     /*  971376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971389 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  971389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  971392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971414 */     GIR_RootConstrainSelectedInstOperands,
     /*  971415 */     // GIR_Coverage, 8738,
     /*  971415 */     GIR_EraseRootFromParent_Done,
     /*  971416 */   // Label 14532: @971416
     /*  971416 */   GIM_Try, /*On fail goto*//*Label 14533*/ GIMT_Encode4(971511), // Rule ID 8741 //
     /*  971421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  971438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971471 */     // MIs[1] Operand 1
     /*  971471 */     // No operand predicates
     /*  971471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971484 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  971484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  971487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971509 */     GIR_RootConstrainSelectedInstOperands,
     /*  971510 */     // GIR_Coverage, 8741,
     /*  971510 */     GIR_EraseRootFromParent_Done,
     /*  971511 */   // Label 14533: @971511
     /*  971511 */   GIM_Try, /*On fail goto*//*Label 14534*/ GIMT_Encode4(971606), // Rule ID 8742 //
     /*  971516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  971533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971566 */     // MIs[1] Operand 1
     /*  971566 */     // No operand predicates
     /*  971566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971579 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  971579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  971582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971604 */     GIR_RootConstrainSelectedInstOperands,
     /*  971605 */     // GIR_Coverage, 8742,
     /*  971605 */     GIR_EraseRootFromParent_Done,
     /*  971606 */   // Label 14534: @971606
     /*  971606 */   GIM_Try, /*On fail goto*//*Label 14535*/ GIMT_Encode4(971701), // Rule ID 8745 //
     /*  971611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  971614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  971628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971661 */     // MIs[1] Operand 1
     /*  971661 */     // No operand predicates
     /*  971661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971674 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  971674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  971677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971699 */     GIR_RootConstrainSelectedInstOperands,
     /*  971700 */     // GIR_Coverage, 8745,
     /*  971700 */     GIR_EraseRootFromParent_Done,
     /*  971701 */   // Label 14535: @971701
     /*  971701 */   GIM_Try, /*On fail goto*//*Label 14536*/ GIMT_Encode4(971796), // Rule ID 8746 //
     /*  971706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  971709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  971723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971756 */     // MIs[1] Operand 1
     /*  971756 */     // No operand predicates
     /*  971756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971769 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  971772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971794 */     GIR_RootConstrainSelectedInstOperands,
     /*  971795 */     // GIR_Coverage, 8746,
     /*  971795 */     GIR_EraseRootFromParent_Done,
     /*  971796 */   // Label 14536: @971796
     /*  971796 */   GIM_Try, /*On fail goto*//*Label 14537*/ GIMT_Encode4(971891), // Rule ID 8749 //
     /*  971801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  971812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  971815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  971818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  971824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971851 */     // MIs[1] Operand 1
     /*  971851 */     // No operand predicates
     /*  971851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971864 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  971867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971889 */     GIR_RootConstrainSelectedInstOperands,
     /*  971890 */     // GIR_Coverage, 8749,
     /*  971890 */     GIR_EraseRootFromParent_Done,
     /*  971891 */   // Label 14537: @971891
     /*  971891 */   GIM_Try, /*On fail goto*//*Label 14538*/ GIMT_Encode4(971986), // Rule ID 8750 //
     /*  971896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  971907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  971910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  971913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  971919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971946 */     // MIs[1] Operand 1
     /*  971946 */     // No operand predicates
     /*  971946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971959 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  971959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  971962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971984 */     GIR_RootConstrainSelectedInstOperands,
     /*  971985 */     // GIR_Coverage, 8750,
     /*  971985 */     GIR_EraseRootFromParent_Done,
     /*  971986 */   // Label 14538: @971986
     /*  971986 */   GIM_Try, /*On fail goto*//*Label 14539*/ GIMT_Encode4(972081), // Rule ID 8753 //
     /*  971991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  971999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  972002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  972005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  972008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  972014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  972029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972041 */     // MIs[1] Operand 1
     /*  972041 */     // No operand predicates
     /*  972041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972054 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  972054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  972057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972079 */     GIR_RootConstrainSelectedInstOperands,
     /*  972080 */     // GIR_Coverage, 8753,
     /*  972080 */     GIR_EraseRootFromParent_Done,
     /*  972081 */   // Label 14539: @972081
     /*  972081 */   GIM_Try, /*On fail goto*//*Label 14540*/ GIMT_Encode4(972176), // Rule ID 8754 //
     /*  972086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  972097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  972100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  972103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  972109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  972124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972136 */     // MIs[1] Operand 1
     /*  972136 */     // No operand predicates
     /*  972136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972149 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  972149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  972152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972174 */     GIR_RootConstrainSelectedInstOperands,
     /*  972175 */     // GIR_Coverage, 8754,
     /*  972175 */     GIR_EraseRootFromParent_Done,
     /*  972176 */   // Label 14540: @972176
     /*  972176 */   GIM_Try, /*On fail goto*//*Label 14541*/ GIMT_Encode4(972271), // Rule ID 8757 //
     /*  972181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  972192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  972195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  972198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  972204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972231 */     // MIs[1] Operand 1
     /*  972231 */     // No operand predicates
     /*  972231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972244 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  972244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  972247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972269 */     GIR_RootConstrainSelectedInstOperands,
     /*  972270 */     // GIR_Coverage, 8757,
     /*  972270 */     GIR_EraseRootFromParent_Done,
     /*  972271 */   // Label 14541: @972271
     /*  972271 */   GIM_Try, /*On fail goto*//*Label 14542*/ GIMT_Encode4(972366), // Rule ID 8758 //
     /*  972276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  972287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  972290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  972293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  972299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972326 */     // MIs[1] Operand 1
     /*  972326 */     // No operand predicates
     /*  972326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972339 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  972339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  972342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972364 */     GIR_RootConstrainSelectedInstOperands,
     /*  972365 */     // GIR_Coverage, 8758,
     /*  972365 */     GIR_EraseRootFromParent_Done,
     /*  972366 */   // Label 14542: @972366
     /*  972366 */   GIM_Try, /*On fail goto*//*Label 14543*/ GIMT_Encode4(972461), // Rule ID 8761 //
     /*  972371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  972388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  972409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972421 */     // MIs[1] Operand 1
     /*  972421 */     // No operand predicates
     /*  972421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972434 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  972437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972459 */     GIR_RootConstrainSelectedInstOperands,
     /*  972460 */     // GIR_Coverage, 8761,
     /*  972460 */     GIR_EraseRootFromParent_Done,
     /*  972461 */   // Label 14543: @972461
     /*  972461 */   GIM_Try, /*On fail goto*//*Label 14544*/ GIMT_Encode4(972556), // Rule ID 8762 //
     /*  972466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  972483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  972504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972516 */     // MIs[1] Operand 1
     /*  972516 */     // No operand predicates
     /*  972516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972529 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  972532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972554 */     GIR_RootConstrainSelectedInstOperands,
     /*  972555 */     // GIR_Coverage, 8762,
     /*  972555 */     GIR_EraseRootFromParent_Done,
     /*  972556 */   // Label 14544: @972556
     /*  972556 */   GIM_Try, /*On fail goto*//*Label 14545*/ GIMT_Encode4(972651), // Rule ID 8765 //
     /*  972561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  972572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  972575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  972578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  972584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  972599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972611 */     // MIs[1] Operand 1
     /*  972611 */     // No operand predicates
     /*  972611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972624 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  972627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972649 */     GIR_RootConstrainSelectedInstOperands,
     /*  972650 */     // GIR_Coverage, 8765,
     /*  972650 */     GIR_EraseRootFromParent_Done,
     /*  972651 */   // Label 14545: @972651
     /*  972651 */   GIM_Try, /*On fail goto*//*Label 14546*/ GIMT_Encode4(972746), // Rule ID 8766 //
     /*  972656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  972667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  972670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  972673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  972679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  972694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972706 */     // MIs[1] Operand 1
     /*  972706 */     // No operand predicates
     /*  972706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972719 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  972722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972744 */     GIR_RootConstrainSelectedInstOperands,
     /*  972745 */     // GIR_Coverage, 8766,
     /*  972745 */     GIR_EraseRootFromParent_Done,
     /*  972746 */   // Label 14546: @972746
     /*  972746 */   GIM_Try, /*On fail goto*//*Label 14547*/ GIMT_Encode4(972841), // Rule ID 8769 //
     /*  972751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  972762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  972765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  972768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  972774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972801 */     // MIs[1] Operand 1
     /*  972801 */     // No operand predicates
     /*  972801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972814 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  972817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972839 */     GIR_RootConstrainSelectedInstOperands,
     /*  972840 */     // GIR_Coverage, 8769,
     /*  972840 */     GIR_EraseRootFromParent_Done,
     /*  972841 */   // Label 14547: @972841
     /*  972841 */   GIM_Try, /*On fail goto*//*Label 14548*/ GIMT_Encode4(972936), // Rule ID 8770 //
     /*  972846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  972857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  972860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  972863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  972869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972896 */     // MIs[1] Operand 1
     /*  972896 */     // No operand predicates
     /*  972896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972909 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  972912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972934 */     GIR_RootConstrainSelectedInstOperands,
     /*  972935 */     // GIR_Coverage, 8770,
     /*  972935 */     GIR_EraseRootFromParent_Done,
     /*  972936 */   // Label 14548: @972936
     /*  972936 */   GIM_Try, /*On fail goto*//*Label 14549*/ GIMT_Encode4(973031), // Rule ID 8773 //
     /*  972941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  972949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  972958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  972979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972991 */     // MIs[1] Operand 1
     /*  972991 */     // No operand predicates
     /*  972991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973004 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  973004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  973007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973029 */     GIR_RootConstrainSelectedInstOperands,
     /*  973030 */     // GIR_Coverage, 8773,
     /*  973030 */     GIR_EraseRootFromParent_Done,
     /*  973031 */   // Label 14549: @973031
     /*  973031 */   GIM_Try, /*On fail goto*//*Label 14550*/ GIMT_Encode4(973126), // Rule ID 8774 //
     /*  973036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  973047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  973050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  973053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  973059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973086 */     // MIs[1] Operand 1
     /*  973086 */     // No operand predicates
     /*  973086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973099 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  973099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  973102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973124 */     GIR_RootConstrainSelectedInstOperands,
     /*  973125 */     // GIR_Coverage, 8774,
     /*  973125 */     GIR_EraseRootFromParent_Done,
     /*  973126 */   // Label 14550: @973126
     /*  973126 */   GIM_Try, /*On fail goto*//*Label 14551*/ GIMT_Encode4(973221), // Rule ID 8777 //
     /*  973131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  973142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  973145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  973148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  973154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973181 */     // MIs[1] Operand 1
     /*  973181 */     // No operand predicates
     /*  973181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973194 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  973194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  973197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973219 */     GIR_RootConstrainSelectedInstOperands,
     /*  973220 */     // GIR_Coverage, 8777,
     /*  973220 */     GIR_EraseRootFromParent_Done,
     /*  973221 */   // Label 14551: @973221
     /*  973221 */   GIM_Try, /*On fail goto*//*Label 14552*/ GIMT_Encode4(973316), // Rule ID 8778 //
     /*  973226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  973237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  973240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  973243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  973249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973276 */     // MIs[1] Operand 1
     /*  973276 */     // No operand predicates
     /*  973276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973289 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  973289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  973292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973314 */     GIR_RootConstrainSelectedInstOperands,
     /*  973315 */     // GIR_Coverage, 8778,
     /*  973315 */     GIR_EraseRootFromParent_Done,
     /*  973316 */   // Label 14552: @973316
     /*  973316 */   GIM_Try, /*On fail goto*//*Label 14553*/ GIMT_Encode4(973411), // Rule ID 8781 //
     /*  973321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  973332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  973335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  973338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  973344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  973359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973371 */     // MIs[1] Operand 1
     /*  973371 */     // No operand predicates
     /*  973371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973384 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  973384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  973387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973409 */     GIR_RootConstrainSelectedInstOperands,
     /*  973410 */     // GIR_Coverage, 8781,
     /*  973410 */     GIR_EraseRootFromParent_Done,
     /*  973411 */   // Label 14553: @973411
     /*  973411 */   GIM_Try, /*On fail goto*//*Label 14554*/ GIMT_Encode4(973506), // Rule ID 8782 //
     /*  973416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  973427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  973430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  973433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  973439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  973454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973466 */     // MIs[1] Operand 1
     /*  973466 */     // No operand predicates
     /*  973466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973479 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  973479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  973482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973504 */     GIR_RootConstrainSelectedInstOperands,
     /*  973505 */     // GIR_Coverage, 8782,
     /*  973505 */     GIR_EraseRootFromParent_Done,
     /*  973506 */   // Label 14554: @973506
     /*  973506 */   GIM_Try, /*On fail goto*//*Label 14555*/ GIMT_Encode4(973601), // Rule ID 8785 //
     /*  973511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  973514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  973522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  973525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  973528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973561 */     // MIs[1] Operand 1
     /*  973561 */     // No operand predicates
     /*  973561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973574 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  973574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  973577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973599 */     GIR_RootConstrainSelectedInstOperands,
     /*  973600 */     // GIR_Coverage, 8785,
     /*  973600 */     GIR_EraseRootFromParent_Done,
     /*  973601 */   // Label 14555: @973601
     /*  973601 */   GIM_Try, /*On fail goto*//*Label 14556*/ GIMT_Encode4(973696), // Rule ID 8786 //
     /*  973606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  973609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  973617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  973620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  973623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973656 */     // MIs[1] Operand 1
     /*  973656 */     // No operand predicates
     /*  973656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973669 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  973669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  973672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973694 */     GIR_RootConstrainSelectedInstOperands,
     /*  973695 */     // GIR_Coverage, 8786,
     /*  973695 */     GIR_EraseRootFromParent_Done,
     /*  973696 */   // Label 14556: @973696
     /*  973696 */   GIM_Try, /*On fail goto*//*Label 14557*/ GIMT_Encode4(973791), // Rule ID 8789 //
     /*  973701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  973704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  973712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  973715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  973718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  973724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973751 */     // MIs[1] Operand 1
     /*  973751 */     // No operand predicates
     /*  973751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973764 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  973764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  973767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973789 */     GIR_RootConstrainSelectedInstOperands,
     /*  973790 */     // GIR_Coverage, 8789,
     /*  973790 */     GIR_EraseRootFromParent_Done,
     /*  973791 */   // Label 14557: @973791
     /*  973791 */   GIM_Try, /*On fail goto*//*Label 14558*/ GIMT_Encode4(973886), // Rule ID 8790 //
     /*  973796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  973799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  973807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  973810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  973813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  973819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973846 */     // MIs[1] Operand 1
     /*  973846 */     // No operand predicates
     /*  973846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973859 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  973859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  973862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973884 */     GIR_RootConstrainSelectedInstOperands,
     /*  973885 */     // GIR_Coverage, 8790,
     /*  973885 */     GIR_EraseRootFromParent_Done,
     /*  973886 */   // Label 14558: @973886
     /*  973886 */   GIM_Try, /*On fail goto*//*Label 14559*/ GIMT_Encode4(973981), // Rule ID 8793 //
     /*  973891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  973894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  973902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  973905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  973908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  973914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  973929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973941 */     // MIs[1] Operand 1
     /*  973941 */     // No operand predicates
     /*  973941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973954 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  973954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  973957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973979 */     GIR_RootConstrainSelectedInstOperands,
     /*  973980 */     // GIR_Coverage, 8793,
     /*  973980 */     GIR_EraseRootFromParent_Done,
     /*  973981 */   // Label 14559: @973981
     /*  973981 */   GIM_Try, /*On fail goto*//*Label 14560*/ GIMT_Encode4(974076), // Rule ID 8794 //
     /*  973986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  973989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  973994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  973997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  974003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974036 */     // MIs[1] Operand 1
     /*  974036 */     // No operand predicates
     /*  974036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974049 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  974049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  974052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  974071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974074 */     GIR_RootConstrainSelectedInstOperands,
     /*  974075 */     // GIR_Coverage, 8794,
     /*  974075 */     GIR_EraseRootFromParent_Done,
     /*  974076 */   // Label 14560: @974076
     /*  974076 */   GIM_Try, /*On fail goto*//*Label 14561*/ GIMT_Encode4(974171), // Rule ID 8973 //
     /*  974081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  974089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  974092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  974095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  974098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  974104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974131 */     // MIs[1] Operand 1
     /*  974131 */     // No operand predicates
     /*  974131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974144 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  974144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  974147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974169 */     GIR_RootConstrainSelectedInstOperands,
     /*  974170 */     // GIR_Coverage, 8973,
     /*  974170 */     GIR_EraseRootFromParent_Done,
     /*  974171 */   // Label 14561: @974171
     /*  974171 */   GIM_Try, /*On fail goto*//*Label 14562*/ GIMT_Encode4(974266), // Rule ID 8974 //
     /*  974176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  974184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  974187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  974190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  974193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  974199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974226 */     // MIs[1] Operand 1
     /*  974226 */     // No operand predicates
     /*  974226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974239 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  974239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  974242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974264 */     GIR_RootConstrainSelectedInstOperands,
     /*  974265 */     // GIR_Coverage, 8974,
     /*  974265 */     GIR_EraseRootFromParent_Done,
     /*  974266 */   // Label 14562: @974266
     /*  974266 */   GIM_Try, /*On fail goto*//*Label 14563*/ GIMT_Encode4(974361), // Rule ID 8977 //
     /*  974271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  974279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  974282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  974285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  974288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  974294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974321 */     // MIs[1] Operand 1
     /*  974321 */     // No operand predicates
     /*  974321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974334 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  974334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  974337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974359 */     GIR_RootConstrainSelectedInstOperands,
     /*  974360 */     // GIR_Coverage, 8977,
     /*  974360 */     GIR_EraseRootFromParent_Done,
     /*  974361 */   // Label 14563: @974361
     /*  974361 */   GIM_Try, /*On fail goto*//*Label 14564*/ GIMT_Encode4(974456), // Rule ID 8978 //
     /*  974366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  974374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  974377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  974380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  974383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  974389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974416 */     // MIs[1] Operand 1
     /*  974416 */     // No operand predicates
     /*  974416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974429 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  974429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  974432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974454 */     GIR_RootConstrainSelectedInstOperands,
     /*  974455 */     // GIR_Coverage, 8978,
     /*  974455 */     GIR_EraseRootFromParent_Done,
     /*  974456 */   // Label 14564: @974456
     /*  974456 */   GIM_Try, /*On fail goto*//*Label 14565*/ GIMT_Encode4(974551), // Rule ID 8981 //
     /*  974461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  974469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  974478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  974484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974511 */     // MIs[1] Operand 1
     /*  974511 */     // No operand predicates
     /*  974511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974524 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  974524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  974527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974549 */     GIR_RootConstrainSelectedInstOperands,
     /*  974550 */     // GIR_Coverage, 8981,
     /*  974550 */     GIR_EraseRootFromParent_Done,
     /*  974551 */   // Label 14565: @974551
     /*  974551 */   GIM_Try, /*On fail goto*//*Label 14566*/ GIMT_Encode4(974646), // Rule ID 8982 //
     /*  974556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  974564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  974573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  974579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974606 */     // MIs[1] Operand 1
     /*  974606 */     // No operand predicates
     /*  974606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974619 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  974619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  974622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974644 */     GIR_RootConstrainSelectedInstOperands,
     /*  974645 */     // GIR_Coverage, 8982,
     /*  974645 */     GIR_EraseRootFromParent_Done,
     /*  974646 */   // Label 14566: @974646
     /*  974646 */   GIM_Try, /*On fail goto*//*Label 14567*/ GIMT_Encode4(974741), // Rule ID 8985 //
     /*  974651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  974659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  974662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  974665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  974668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  974674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974701 */     // MIs[1] Operand 1
     /*  974701 */     // No operand predicates
     /*  974701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974714 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  974717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974739 */     GIR_RootConstrainSelectedInstOperands,
     /*  974740 */     // GIR_Coverage, 8985,
     /*  974740 */     GIR_EraseRootFromParent_Done,
     /*  974741 */   // Label 14567: @974741
     /*  974741 */   GIM_Try, /*On fail goto*//*Label 14568*/ GIMT_Encode4(974836), // Rule ID 8986 //
     /*  974746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  974754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  974757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  974760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  974763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  974769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974796 */     // MIs[1] Operand 1
     /*  974796 */     // No operand predicates
     /*  974796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974809 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  974812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974834 */     GIR_RootConstrainSelectedInstOperands,
     /*  974835 */     // GIR_Coverage, 8986,
     /*  974835 */     GIR_EraseRootFromParent_Done,
     /*  974836 */   // Label 14568: @974836
     /*  974836 */   GIM_Try, /*On fail goto*//*Label 14569*/ GIMT_Encode4(974931), // Rule ID 8989 //
     /*  974841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  974849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  974852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  974855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  974858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  974864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974891 */     // MIs[1] Operand 1
     /*  974891 */     // No operand predicates
     /*  974891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974904 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  974907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974929 */     GIR_RootConstrainSelectedInstOperands,
     /*  974930 */     // GIR_Coverage, 8989,
     /*  974930 */     GIR_EraseRootFromParent_Done,
     /*  974931 */   // Label 14569: @974931
     /*  974931 */   GIM_Try, /*On fail goto*//*Label 14570*/ GIMT_Encode4(975026), // Rule ID 8990 //
     /*  974936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  974944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  974947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  974950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  974953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  974959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974986 */     // MIs[1] Operand 1
     /*  974986 */     // No operand predicates
     /*  974986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974999 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  975002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975024 */     GIR_RootConstrainSelectedInstOperands,
     /*  975025 */     // GIR_Coverage, 8990,
     /*  975025 */     GIR_EraseRootFromParent_Done,
     /*  975026 */   // Label 14570: @975026
     /*  975026 */   GIM_Try, /*On fail goto*//*Label 14571*/ GIMT_Encode4(975121), // Rule ID 8993 //
     /*  975031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  975048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975081 */     // MIs[1] Operand 1
     /*  975081 */     // No operand predicates
     /*  975081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975094 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  975094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  975097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975119 */     GIR_RootConstrainSelectedInstOperands,
     /*  975120 */     // GIR_Coverage, 8993,
     /*  975120 */     GIR_EraseRootFromParent_Done,
     /*  975121 */   // Label 14571: @975121
     /*  975121 */   GIM_Try, /*On fail goto*//*Label 14572*/ GIMT_Encode4(975216), // Rule ID 8994 //
     /*  975126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  975143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975176 */     // MIs[1] Operand 1
     /*  975176 */     // No operand predicates
     /*  975176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975189 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  975189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  975192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975214 */     GIR_RootConstrainSelectedInstOperands,
     /*  975215 */     // GIR_Coverage, 8994,
     /*  975215 */     GIR_EraseRootFromParent_Done,
     /*  975216 */   // Label 14572: @975216
     /*  975216 */   GIM_Try, /*On fail goto*//*Label 14573*/ GIMT_Encode4(975311), // Rule ID 8997 //
     /*  975221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  975232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  975235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  975238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  975244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975271 */     // MIs[1] Operand 1
     /*  975271 */     // No operand predicates
     /*  975271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975284 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  975284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  975287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975309 */     GIR_RootConstrainSelectedInstOperands,
     /*  975310 */     // GIR_Coverage, 8997,
     /*  975310 */     GIR_EraseRootFromParent_Done,
     /*  975311 */   // Label 14573: @975311
     /*  975311 */   GIM_Try, /*On fail goto*//*Label 14574*/ GIMT_Encode4(975406), // Rule ID 8998 //
     /*  975316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  975327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  975330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  975333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  975339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975366 */     // MIs[1] Operand 1
     /*  975366 */     // No operand predicates
     /*  975366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975379 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  975379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  975382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975404 */     GIR_RootConstrainSelectedInstOperands,
     /*  975405 */     // GIR_Coverage, 8998,
     /*  975405 */     GIR_EraseRootFromParent_Done,
     /*  975406 */   // Label 14574: @975406
     /*  975406 */   GIM_Try, /*On fail goto*//*Label 14575*/ GIMT_Encode4(975501), // Rule ID 9001 //
     /*  975411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  975428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975461 */     // MIs[1] Operand 1
     /*  975461 */     // No operand predicates
     /*  975461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975474 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  975474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  975477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975499 */     GIR_RootConstrainSelectedInstOperands,
     /*  975500 */     // GIR_Coverage, 9001,
     /*  975500 */     GIR_EraseRootFromParent_Done,
     /*  975501 */   // Label 14575: @975501
     /*  975501 */   GIM_Try, /*On fail goto*//*Label 14576*/ GIMT_Encode4(975596), // Rule ID 9002 //
     /*  975506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  975523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975556 */     // MIs[1] Operand 1
     /*  975556 */     // No operand predicates
     /*  975556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975569 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  975569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  975572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975594 */     GIR_RootConstrainSelectedInstOperands,
     /*  975595 */     // GIR_Coverage, 9002,
     /*  975595 */     GIR_EraseRootFromParent_Done,
     /*  975596 */   // Label 14576: @975596
     /*  975596 */   GIM_Try, /*On fail goto*//*Label 14577*/ GIMT_Encode4(975691), // Rule ID 9005 //
     /*  975601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  975618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975651 */     // MIs[1] Operand 1
     /*  975651 */     // No operand predicates
     /*  975651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975664 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  975664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  975667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975689 */     GIR_RootConstrainSelectedInstOperands,
     /*  975690 */     // GIR_Coverage, 9005,
     /*  975690 */     GIR_EraseRootFromParent_Done,
     /*  975691 */   // Label 14577: @975691
     /*  975691 */   GIM_Try, /*On fail goto*//*Label 14578*/ GIMT_Encode4(975786), // Rule ID 9006 //
     /*  975696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  975713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975746 */     // MIs[1] Operand 1
     /*  975746 */     // No operand predicates
     /*  975746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975759 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  975759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  975762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975784 */     GIR_RootConstrainSelectedInstOperands,
     /*  975785 */     // GIR_Coverage, 9006,
     /*  975785 */     GIR_EraseRootFromParent_Done,
     /*  975786 */   // Label 14578: @975786
     /*  975786 */   GIM_Try, /*On fail goto*//*Label 14579*/ GIMT_Encode4(975881), // Rule ID 9009 //
     /*  975791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  975808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975841 */     // MIs[1] Operand 1
     /*  975841 */     // No operand predicates
     /*  975841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975854 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  975854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  975857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975879 */     GIR_RootConstrainSelectedInstOperands,
     /*  975880 */     // GIR_Coverage, 9009,
     /*  975880 */     GIR_EraseRootFromParent_Done,
     /*  975881 */   // Label 14579: @975881
     /*  975881 */   GIM_Try, /*On fail goto*//*Label 14580*/ GIMT_Encode4(975976), // Rule ID 9010 //
     /*  975886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  975889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  975903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975936 */     // MIs[1] Operand 1
     /*  975936 */     // No operand predicates
     /*  975936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975949 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  975952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975974 */     GIR_RootConstrainSelectedInstOperands,
     /*  975975 */     // GIR_Coverage, 9010,
     /*  975975 */     GIR_EraseRootFromParent_Done,
     /*  975976 */   // Label 14580: @975976
     /*  975976 */   GIM_Try, /*On fail goto*//*Label 14581*/ GIMT_Encode4(976071), // Rule ID 9013 //
     /*  975981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  975989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  975992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  975995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  975998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  976004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  976019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976031 */     // MIs[1] Operand 1
     /*  976031 */     // No operand predicates
     /*  976031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976044 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  976044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  976047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976069 */     GIR_RootConstrainSelectedInstOperands,
     /*  976070 */     // GIR_Coverage, 9013,
     /*  976070 */     GIR_EraseRootFromParent_Done,
     /*  976071 */   // Label 14581: @976071
     /*  976071 */   GIM_Try, /*On fail goto*//*Label 14582*/ GIMT_Encode4(976166), // Rule ID 9014 //
     /*  976076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  976087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  976090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  976093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  976099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  976114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976126 */     // MIs[1] Operand 1
     /*  976126 */     // No operand predicates
     /*  976126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976139 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  976142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976164 */     GIR_RootConstrainSelectedInstOperands,
     /*  976165 */     // GIR_Coverage, 9014,
     /*  976165 */     GIR_EraseRootFromParent_Done,
     /*  976166 */   // Label 14582: @976166
     /*  976166 */   GIM_Try, /*On fail goto*//*Label 14583*/ GIMT_Encode4(976261), // Rule ID 9017 //
     /*  976171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  976182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  976185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  976188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  976194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976221 */     // MIs[1] Operand 1
     /*  976221 */     // No operand predicates
     /*  976221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976234 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  976234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  976237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976259 */     GIR_RootConstrainSelectedInstOperands,
     /*  976260 */     // GIR_Coverage, 9017,
     /*  976260 */     GIR_EraseRootFromParent_Done,
     /*  976261 */   // Label 14583: @976261
     /*  976261 */   GIM_Try, /*On fail goto*//*Label 14584*/ GIMT_Encode4(976356), // Rule ID 9018 //
     /*  976266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  976277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  976280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  976283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  976289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976316 */     // MIs[1] Operand 1
     /*  976316 */     // No operand predicates
     /*  976316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976329 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  976332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976354 */     GIR_RootConstrainSelectedInstOperands,
     /*  976355 */     // GIR_Coverage, 9018,
     /*  976355 */     GIR_EraseRootFromParent_Done,
     /*  976356 */   // Label 14584: @976356
     /*  976356 */   GIM_Try, /*On fail goto*//*Label 14585*/ GIMT_Encode4(976451), // Rule ID 9021 //
     /*  976361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  976372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  976375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  976378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  976384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  976399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976411 */     // MIs[1] Operand 1
     /*  976411 */     // No operand predicates
     /*  976411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976424 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  976424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  976427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976449 */     GIR_RootConstrainSelectedInstOperands,
     /*  976450 */     // GIR_Coverage, 9021,
     /*  976450 */     GIR_EraseRootFromParent_Done,
     /*  976451 */   // Label 14585: @976451
     /*  976451 */   GIM_Try, /*On fail goto*//*Label 14586*/ GIMT_Encode4(976546), // Rule ID 9022 //
     /*  976456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  976467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  976470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  976473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  976479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  976494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976506 */     // MIs[1] Operand 1
     /*  976506 */     // No operand predicates
     /*  976506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976519 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  976522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976544 */     GIR_RootConstrainSelectedInstOperands,
     /*  976545 */     // GIR_Coverage, 9022,
     /*  976545 */     GIR_EraseRootFromParent_Done,
     /*  976546 */   // Label 14586: @976546
     /*  976546 */   GIM_Try, /*On fail goto*//*Label 14587*/ GIMT_Encode4(976641), // Rule ID 9025 //
     /*  976551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  976568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  976589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976601 */     // MIs[1] Operand 1
     /*  976601 */     // No operand predicates
     /*  976601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976614 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  976614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  976617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976639 */     GIR_RootConstrainSelectedInstOperands,
     /*  976640 */     // GIR_Coverage, 9025,
     /*  976640 */     GIR_EraseRootFromParent_Done,
     /*  976641 */   // Label 14587: @976641
     /*  976641 */   GIM_Try, /*On fail goto*//*Label 14588*/ GIMT_Encode4(976736), // Rule ID 9026 //
     /*  976646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  976663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  976684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976696 */     // MIs[1] Operand 1
     /*  976696 */     // No operand predicates
     /*  976696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976709 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  976709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  976712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976734 */     GIR_RootConstrainSelectedInstOperands,
     /*  976735 */     // GIR_Coverage, 9026,
     /*  976735 */     GIR_EraseRootFromParent_Done,
     /*  976736 */   // Label 14588: @976736
     /*  976736 */   GIM_Try, /*On fail goto*//*Label 14589*/ GIMT_Encode4(976831), // Rule ID 9029 //
     /*  976741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  976752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  976755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  976758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  976764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976791 */     // MIs[1] Operand 1
     /*  976791 */     // No operand predicates
     /*  976791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976804 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  976804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  976807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976829 */     GIR_RootConstrainSelectedInstOperands,
     /*  976830 */     // GIR_Coverage, 9029,
     /*  976830 */     GIR_EraseRootFromParent_Done,
     /*  976831 */   // Label 14589: @976831
     /*  976831 */   GIM_Try, /*On fail goto*//*Label 14590*/ GIMT_Encode4(976926), // Rule ID 9030 //
     /*  976836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  976847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  976850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  976853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  976859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976886 */     // MIs[1] Operand 1
     /*  976886 */     // No operand predicates
     /*  976886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976899 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  976899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  976902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976924 */     GIR_RootConstrainSelectedInstOperands,
     /*  976925 */     // GIR_Coverage, 9030,
     /*  976925 */     GIR_EraseRootFromParent_Done,
     /*  976926 */   // Label 14590: @976926
     /*  976926 */   GIM_Try, /*On fail goto*//*Label 14591*/ GIMT_Encode4(977021), // Rule ID 9033 //
     /*  976931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  976939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  976942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  976945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  976948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  976954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  976969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976981 */     // MIs[1] Operand 1
     /*  976981 */     // No operand predicates
     /*  976981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976994 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  976994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  976997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977019 */     GIR_RootConstrainSelectedInstOperands,
     /*  977020 */     // GIR_Coverage, 9033,
     /*  977020 */     GIR_EraseRootFromParent_Done,
     /*  977021 */   // Label 14591: @977021
     /*  977021 */   GIM_Try, /*On fail goto*//*Label 14592*/ GIMT_Encode4(977116), // Rule ID 9034 //
     /*  977026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  977037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  977040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  977043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  977049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  977064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977076 */     // MIs[1] Operand 1
     /*  977076 */     // No operand predicates
     /*  977076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977089 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  977089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  977092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977114 */     GIR_RootConstrainSelectedInstOperands,
     /*  977115 */     // GIR_Coverage, 9034,
     /*  977115 */     GIR_EraseRootFromParent_Done,
     /*  977116 */   // Label 14592: @977116
     /*  977116 */   GIM_Try, /*On fail goto*//*Label 14593*/ GIMT_Encode4(977211), // Rule ID 9037 //
     /*  977121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  977132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  977135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  977138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  977144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977171 */     // MIs[1] Operand 1
     /*  977171 */     // No operand predicates
     /*  977171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977184 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  977184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  977187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977209 */     GIR_RootConstrainSelectedInstOperands,
     /*  977210 */     // GIR_Coverage, 9037,
     /*  977210 */     GIR_EraseRootFromParent_Done,
     /*  977211 */   // Label 14593: @977211
     /*  977211 */   GIM_Try, /*On fail goto*//*Label 14594*/ GIMT_Encode4(977306), // Rule ID 9038 //
     /*  977216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  977227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  977230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  977233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  977239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977266 */     // MIs[1] Operand 1
     /*  977266 */     // No operand predicates
     /*  977266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977279 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  977279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  977282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977304 */     GIR_RootConstrainSelectedInstOperands,
     /*  977305 */     // GIR_Coverage, 9038,
     /*  977305 */     GIR_EraseRootFromParent_Done,
     /*  977306 */   // Label 14594: @977306
     /*  977306 */   GIM_Try, /*On fail goto*//*Label 14595*/ GIMT_Encode4(977401), // Rule ID 9041 //
     /*  977311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  977322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  977325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  977328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  977334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977361 */     // MIs[1] Operand 1
     /*  977361 */     // No operand predicates
     /*  977361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977374 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  977374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  977377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977399 */     GIR_RootConstrainSelectedInstOperands,
     /*  977400 */     // GIR_Coverage, 9041,
     /*  977400 */     GIR_EraseRootFromParent_Done,
     /*  977401 */   // Label 14595: @977401
     /*  977401 */   GIM_Try, /*On fail goto*//*Label 14596*/ GIMT_Encode4(977496), // Rule ID 9042 //
     /*  977406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  977417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  977420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  977423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  977429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977456 */     // MIs[1] Operand 1
     /*  977456 */     // No operand predicates
     /*  977456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977469 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  977469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  977472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977494 */     GIR_RootConstrainSelectedInstOperands,
     /*  977495 */     // GIR_Coverage, 9042,
     /*  977495 */     GIR_EraseRootFromParent_Done,
     /*  977496 */   // Label 14596: @977496
     /*  977496 */   GIM_Try, /*On fail goto*//*Label 14597*/ GIMT_Encode4(977591), // Rule ID 9045 //
     /*  977501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  977512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  977515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  977518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  977524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  977539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977551 */     // MIs[1] Operand 1
     /*  977551 */     // No operand predicates
     /*  977551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977564 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  977564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  977567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977589 */     GIR_RootConstrainSelectedInstOperands,
     /*  977590 */     // GIR_Coverage, 9045,
     /*  977590 */     GIR_EraseRootFromParent_Done,
     /*  977591 */   // Label 14597: @977591
     /*  977591 */   GIM_Try, /*On fail goto*//*Label 14598*/ GIMT_Encode4(977686), // Rule ID 9046 //
     /*  977596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  977607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  977610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  977613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  977619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  977634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977646 */     // MIs[1] Operand 1
     /*  977646 */     // No operand predicates
     /*  977646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977659 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  977659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  977662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977684 */     GIR_RootConstrainSelectedInstOperands,
     /*  977685 */     // GIR_Coverage, 9046,
     /*  977685 */     GIR_EraseRootFromParent_Done,
     /*  977686 */   // Label 14598: @977686
     /*  977686 */   GIM_Try, /*On fail goto*//*Label 14599*/ GIMT_Encode4(977781), // Rule ID 9049 //
     /*  977691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  977694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  977708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  977714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977741 */     // MIs[1] Operand 1
     /*  977741 */     // No operand predicates
     /*  977741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977754 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  977754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  977757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977779 */     GIR_RootConstrainSelectedInstOperands,
     /*  977780 */     // GIR_Coverage, 9049,
     /*  977780 */     GIR_EraseRootFromParent_Done,
     /*  977781 */   // Label 14599: @977781
     /*  977781 */   GIM_Try, /*On fail goto*//*Label 14600*/ GIMT_Encode4(977876), // Rule ID 9050 //
     /*  977786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  977789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  977803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  977809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977836 */     // MIs[1] Operand 1
     /*  977836 */     // No operand predicates
     /*  977836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977849 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  977849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  977852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977874 */     GIR_RootConstrainSelectedInstOperands,
     /*  977875 */     // GIR_Coverage, 9050,
     /*  977875 */     GIR_EraseRootFromParent_Done,
     /*  977876 */   // Label 14600: @977876
     /*  977876 */   GIM_Try, /*On fail goto*//*Label 14601*/ GIMT_Encode4(977971), // Rule ID 9053 //
     /*  977881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  977884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  977892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  977895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  977898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  977904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977931 */     // MIs[1] Operand 1
     /*  977931 */     // No operand predicates
     /*  977931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977944 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  977944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  977947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977969 */     GIR_RootConstrainSelectedInstOperands,
     /*  977970 */     // GIR_Coverage, 9053,
     /*  977970 */     GIR_EraseRootFromParent_Done,
     /*  977971 */   // Label 14601: @977971
     /*  977971 */   GIM_Try, /*On fail goto*//*Label 14602*/ GIMT_Encode4(978066), // Rule ID 9054 //
     /*  977976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  977979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  977984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  977987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  977990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  977993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  977999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978026 */     // MIs[1] Operand 1
     /*  978026 */     // No operand predicates
     /*  978026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978039 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  978039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  978042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  978061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978064 */     GIR_RootConstrainSelectedInstOperands,
     /*  978065 */     // GIR_Coverage, 9054,
     /*  978065 */     GIR_EraseRootFromParent_Done,
     /*  978066 */   // Label 14602: @978066
     /*  978066 */   GIM_Try, /*On fail goto*//*Label 14603*/ GIMT_Encode4(978161), // Rule ID 9057 //
     /*  978071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  978074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  978088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978121 */     // MIs[1] Operand 1
     /*  978121 */     // No operand predicates
     /*  978121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978134 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  978134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  978156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978159 */     GIR_RootConstrainSelectedInstOperands,
     /*  978160 */     // GIR_Coverage, 9057,
     /*  978160 */     GIR_EraseRootFromParent_Done,
     /*  978161 */   // Label 14603: @978161
     /*  978161 */   GIM_Try, /*On fail goto*//*Label 14604*/ GIMT_Encode4(978256), // Rule ID 9058 //
     /*  978166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  978169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  978174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  978183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978216 */     // MIs[1] Operand 1
     /*  978216 */     // No operand predicates
     /*  978216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978229 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  978229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  978232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  978251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978254 */     GIR_RootConstrainSelectedInstOperands,
     /*  978255 */     // GIR_Coverage, 9058,
     /*  978255 */     GIR_EraseRootFromParent_Done,
     /*  978256 */   // Label 14604: @978256
     /*  978256 */   GIM_Try, /*On fail goto*//*Label 14605*/ GIMT_Encode4(978351), // Rule ID 9149 //
     /*  978261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  978269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  978272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  978275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  978278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  978284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978311 */     // MIs[1] Operand 1
     /*  978311 */     // No operand predicates
     /*  978311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978324 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  978324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  978327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978349 */     GIR_RootConstrainSelectedInstOperands,
     /*  978350 */     // GIR_Coverage, 9149,
     /*  978350 */     GIR_EraseRootFromParent_Done,
     /*  978351 */   // Label 14605: @978351
     /*  978351 */   GIM_Try, /*On fail goto*//*Label 14606*/ GIMT_Encode4(978446), // Rule ID 9150 //
     /*  978356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  978364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  978367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  978370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  978373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  978379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978406 */     // MIs[1] Operand 1
     /*  978406 */     // No operand predicates
     /*  978406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978419 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  978419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  978422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978444 */     GIR_RootConstrainSelectedInstOperands,
     /*  978445 */     // GIR_Coverage, 9150,
     /*  978445 */     GIR_EraseRootFromParent_Done,
     /*  978446 */   // Label 14606: @978446
     /*  978446 */   GIM_Try, /*On fail goto*//*Label 14607*/ GIMT_Encode4(978541), // Rule ID 9153 //
     /*  978451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  978459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  978462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  978465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  978468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  978474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978501 */     // MIs[1] Operand 1
     /*  978501 */     // No operand predicates
     /*  978501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978514 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  978514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  978517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978539 */     GIR_RootConstrainSelectedInstOperands,
     /*  978540 */     // GIR_Coverage, 9153,
     /*  978540 */     GIR_EraseRootFromParent_Done,
     /*  978541 */   // Label 14607: @978541
     /*  978541 */   GIM_Try, /*On fail goto*//*Label 14608*/ GIMT_Encode4(978636), // Rule ID 9154 //
     /*  978546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  978554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  978557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  978560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  978563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  978569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978596 */     // MIs[1] Operand 1
     /*  978596 */     // No operand predicates
     /*  978596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978609 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  978609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  978612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978634 */     GIR_RootConstrainSelectedInstOperands,
     /*  978635 */     // GIR_Coverage, 9154,
     /*  978635 */     GIR_EraseRootFromParent_Done,
     /*  978636 */   // Label 14608: @978636
     /*  978636 */   GIM_Try, /*On fail goto*//*Label 14609*/ GIMT_Encode4(978731), // Rule ID 9157 //
     /*  978641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  978649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  978652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  978655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  978658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  978664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978691 */     // MIs[1] Operand 1
     /*  978691 */     // No operand predicates
     /*  978691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978704 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  978704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  978707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978729 */     GIR_RootConstrainSelectedInstOperands,
     /*  978730 */     // GIR_Coverage, 9157,
     /*  978730 */     GIR_EraseRootFromParent_Done,
     /*  978731 */   // Label 14609: @978731
     /*  978731 */   GIM_Try, /*On fail goto*//*Label 14610*/ GIMT_Encode4(978826), // Rule ID 9158 //
     /*  978736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  978744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  978747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  978750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  978753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  978759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978786 */     // MIs[1] Operand 1
     /*  978786 */     // No operand predicates
     /*  978786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978799 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  978799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  978802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978824 */     GIR_RootConstrainSelectedInstOperands,
     /*  978825 */     // GIR_Coverage, 9158,
     /*  978825 */     GIR_EraseRootFromParent_Done,
     /*  978826 */   // Label 14610: @978826
     /*  978826 */   GIM_Try, /*On fail goto*//*Label 14611*/ GIMT_Encode4(978921), // Rule ID 9161 //
     /*  978831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  978839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  978842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  978845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  978848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  978854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978881 */     // MIs[1] Operand 1
     /*  978881 */     // No operand predicates
     /*  978881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978894 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  978897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978919 */     GIR_RootConstrainSelectedInstOperands,
     /*  978920 */     // GIR_Coverage, 9161,
     /*  978920 */     GIR_EraseRootFromParent_Done,
     /*  978921 */   // Label 14611: @978921
     /*  978921 */   GIM_Try, /*On fail goto*//*Label 14612*/ GIMT_Encode4(979016), // Rule ID 9162 //
     /*  978926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  978934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  978937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  978940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  978943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  978949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978976 */     // MIs[1] Operand 1
     /*  978976 */     // No operand predicates
     /*  978976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978989 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  978992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  979011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979014 */     GIR_RootConstrainSelectedInstOperands,
     /*  979015 */     // GIR_Coverage, 9162,
     /*  979015 */     GIR_EraseRootFromParent_Done,
     /*  979016 */   // Label 14612: @979016
     /*  979016 */   GIM_Try, /*On fail goto*//*Label 14613*/ GIMT_Encode4(979111), // Rule ID 9165 //
     /*  979021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  979038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979071 */     // MIs[1] Operand 1
     /*  979071 */     // No operand predicates
     /*  979071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979084 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  979084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  979087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  979106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979109 */     GIR_RootConstrainSelectedInstOperands,
     /*  979110 */     // GIR_Coverage, 9165,
     /*  979110 */     GIR_EraseRootFromParent_Done,
     /*  979111 */   // Label 14613: @979111
     /*  979111 */   GIM_Try, /*On fail goto*//*Label 14614*/ GIMT_Encode4(979206), // Rule ID 9166 //
     /*  979116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  979133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979166 */     // MIs[1] Operand 1
     /*  979166 */     // No operand predicates
     /*  979166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979179 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  979179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  979182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  979201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979204 */     GIR_RootConstrainSelectedInstOperands,
     /*  979205 */     // GIR_Coverage, 9166,
     /*  979205 */     GIR_EraseRootFromParent_Done,
     /*  979206 */   // Label 14614: @979206
     /*  979206 */   GIM_Try, /*On fail goto*//*Label 14615*/ GIMT_Encode4(979301), // Rule ID 9169 //
     /*  979211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  979222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  979225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  979228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  979234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979261 */     // MIs[1] Operand 1
     /*  979261 */     // No operand predicates
     /*  979261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979274 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  979274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  979277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979299 */     GIR_RootConstrainSelectedInstOperands,
     /*  979300 */     // GIR_Coverage, 9169,
     /*  979300 */     GIR_EraseRootFromParent_Done,
     /*  979301 */   // Label 14615: @979301
     /*  979301 */   GIM_Try, /*On fail goto*//*Label 14616*/ GIMT_Encode4(979396), // Rule ID 9170 //
     /*  979306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  979317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  979320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  979323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  979329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979356 */     // MIs[1] Operand 1
     /*  979356 */     // No operand predicates
     /*  979356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979369 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  979369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  979372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979394 */     GIR_RootConstrainSelectedInstOperands,
     /*  979395 */     // GIR_Coverage, 9170,
     /*  979395 */     GIR_EraseRootFromParent_Done,
     /*  979396 */   // Label 14616: @979396
     /*  979396 */   GIM_Try, /*On fail goto*//*Label 14617*/ GIMT_Encode4(979491), // Rule ID 9173 //
     /*  979401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  979418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979451 */     // MIs[1] Operand 1
     /*  979451 */     // No operand predicates
     /*  979451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979464 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  979464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  979467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979489 */     GIR_RootConstrainSelectedInstOperands,
     /*  979490 */     // GIR_Coverage, 9173,
     /*  979490 */     GIR_EraseRootFromParent_Done,
     /*  979491 */   // Label 14617: @979491
     /*  979491 */   GIM_Try, /*On fail goto*//*Label 14618*/ GIMT_Encode4(979586), // Rule ID 9174 //
     /*  979496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  979513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979546 */     // MIs[1] Operand 1
     /*  979546 */     // No operand predicates
     /*  979546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979559 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  979559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  979562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979584 */     GIR_RootConstrainSelectedInstOperands,
     /*  979585 */     // GIR_Coverage, 9174,
     /*  979585 */     GIR_EraseRootFromParent_Done,
     /*  979586 */   // Label 14618: @979586
     /*  979586 */   GIM_Try, /*On fail goto*//*Label 14619*/ GIMT_Encode4(979681), // Rule ID 9177 //
     /*  979591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  979608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979641 */     // MIs[1] Operand 1
     /*  979641 */     // No operand predicates
     /*  979641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979654 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  979654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  979657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  979676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979679 */     GIR_RootConstrainSelectedInstOperands,
     /*  979680 */     // GIR_Coverage, 9177,
     /*  979680 */     GIR_EraseRootFromParent_Done,
     /*  979681 */   // Label 14619: @979681
     /*  979681 */   GIM_Try, /*On fail goto*//*Label 14620*/ GIMT_Encode4(979776), // Rule ID 9178 //
     /*  979686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  979703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979736 */     // MIs[1] Operand 1
     /*  979736 */     // No operand predicates
     /*  979736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979749 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  979749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  979752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  979771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979774 */     GIR_RootConstrainSelectedInstOperands,
     /*  979775 */     // GIR_Coverage, 9178,
     /*  979775 */     GIR_EraseRootFromParent_Done,
     /*  979776 */   // Label 14620: @979776
     /*  979776 */   GIM_Try, /*On fail goto*//*Label 14621*/ GIMT_Encode4(979871), // Rule ID 9181 //
     /*  979781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  979798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979831 */     // MIs[1] Operand 1
     /*  979831 */     // No operand predicates
     /*  979831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979844 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  979844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  979847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979869 */     GIR_RootConstrainSelectedInstOperands,
     /*  979870 */     // GIR_Coverage, 9181,
     /*  979870 */     GIR_EraseRootFromParent_Done,
     /*  979871 */   // Label 14621: @979871
     /*  979871 */   GIM_Try, /*On fail goto*//*Label 14622*/ GIMT_Encode4(979966), // Rule ID 9182 //
     /*  979876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  979893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979926 */     // MIs[1] Operand 1
     /*  979926 */     // No operand predicates
     /*  979926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979939 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  979939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  979942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979964 */     GIR_RootConstrainSelectedInstOperands,
     /*  979965 */     // GIR_Coverage, 9182,
     /*  979965 */     GIR_EraseRootFromParent_Done,
     /*  979966 */   // Label 14622: @979966
     /*  979966 */   GIM_Try, /*On fail goto*//*Label 14623*/ GIMT_Encode4(980061), // Rule ID 9185 //
     /*  979971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  979979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  979982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  979985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  979988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  979994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980021 */     // MIs[1] Operand 1
     /*  980021 */     // No operand predicates
     /*  980021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980034 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  980034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  980037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  980056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980059 */     GIR_RootConstrainSelectedInstOperands,
     /*  980060 */     // GIR_Coverage, 9185,
     /*  980060 */     GIR_EraseRootFromParent_Done,
     /*  980061 */   // Label 14623: @980061
     /*  980061 */   GIM_Try, /*On fail goto*//*Label 14624*/ GIMT_Encode4(980156), // Rule ID 9186 //
     /*  980066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  980069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  980083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980116 */     // MIs[1] Operand 1
     /*  980116 */     // No operand predicates
     /*  980116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980129 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  980129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  980132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  980151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980154 */     GIR_RootConstrainSelectedInstOperands,
     /*  980155 */     // GIR_Coverage, 9186,
     /*  980155 */     GIR_EraseRootFromParent_Done,
     /*  980156 */   // Label 14624: @980156
     /*  980156 */   GIM_Try, /*On fail goto*//*Label 14625*/ GIMT_Encode4(980251), // Rule ID 9189 //
     /*  980161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  980172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  980175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  980178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  980184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  980199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980211 */     // MIs[1] Operand 1
     /*  980211 */     // No operand predicates
     /*  980211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980224 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  980227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980249 */     GIR_RootConstrainSelectedInstOperands,
     /*  980250 */     // GIR_Coverage, 9189,
     /*  980250 */     GIR_EraseRootFromParent_Done,
     /*  980251 */   // Label 14625: @980251
     /*  980251 */   GIM_Try, /*On fail goto*//*Label 14626*/ GIMT_Encode4(980346), // Rule ID 9190 //
     /*  980256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  980267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  980270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  980273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  980279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  980294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980306 */     // MIs[1] Operand 1
     /*  980306 */     // No operand predicates
     /*  980306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980319 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  980322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980344 */     GIR_RootConstrainSelectedInstOperands,
     /*  980345 */     // GIR_Coverage, 9190,
     /*  980345 */     GIR_EraseRootFromParent_Done,
     /*  980346 */   // Label 14626: @980346
     /*  980346 */   GIM_Try, /*On fail goto*//*Label 14627*/ GIMT_Encode4(980441), // Rule ID 9193 //
     /*  980351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  980362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  980365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  980368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  980374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  980389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980401 */     // MIs[1] Operand 1
     /*  980401 */     // No operand predicates
     /*  980401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980414 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  980417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980439 */     GIR_RootConstrainSelectedInstOperands,
     /*  980440 */     // GIR_Coverage, 9193,
     /*  980440 */     GIR_EraseRootFromParent_Done,
     /*  980441 */   // Label 14627: @980441
     /*  980441 */   GIM_Try, /*On fail goto*//*Label 14628*/ GIMT_Encode4(980536), // Rule ID 9194 //
     /*  980446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  980457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  980460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  980463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  980469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  980484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980496 */     // MIs[1] Operand 1
     /*  980496 */     // No operand predicates
     /*  980496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980509 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  980512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980534 */     GIR_RootConstrainSelectedInstOperands,
     /*  980535 */     // GIR_Coverage, 9194,
     /*  980535 */     GIR_EraseRootFromParent_Done,
     /*  980536 */   // Label 14628: @980536
     /*  980536 */   GIM_Try, /*On fail goto*//*Label 14629*/ GIMT_Encode4(980631), // Rule ID 9197 //
     /*  980541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  980552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  980555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  980558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  980564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  980579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980591 */     // MIs[1] Operand 1
     /*  980591 */     // No operand predicates
     /*  980591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980604 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  980607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980629 */     GIR_RootConstrainSelectedInstOperands,
     /*  980630 */     // GIR_Coverage, 9197,
     /*  980630 */     GIR_EraseRootFromParent_Done,
     /*  980631 */   // Label 14629: @980631
     /*  980631 */   GIM_Try, /*On fail goto*//*Label 14630*/ GIMT_Encode4(980726), // Rule ID 9198 //
     /*  980636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  980647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  980650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  980653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  980659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  980674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980686 */     // MIs[1] Operand 1
     /*  980686 */     // No operand predicates
     /*  980686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980699 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  980702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980724 */     GIR_RootConstrainSelectedInstOperands,
     /*  980725 */     // GIR_Coverage, 9198,
     /*  980725 */     GIR_EraseRootFromParent_Done,
     /*  980726 */   // Label 14630: @980726
     /*  980726 */   GIM_Try, /*On fail goto*//*Label 14631*/ GIMT_Encode4(980821), // Rule ID 9201 //
     /*  980731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  980742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  980745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  980748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  980754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  980769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980781 */     // MIs[1] Operand 1
     /*  980781 */     // No operand predicates
     /*  980781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980794 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  980794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  980797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980819 */     GIR_RootConstrainSelectedInstOperands,
     /*  980820 */     // GIR_Coverage, 9201,
     /*  980820 */     GIR_EraseRootFromParent_Done,
     /*  980821 */   // Label 14631: @980821
     /*  980821 */   GIM_Try, /*On fail goto*//*Label 14632*/ GIMT_Encode4(980916), // Rule ID 9202 //
     /*  980826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  980837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  980840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  980843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  980849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  980864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980876 */     // MIs[1] Operand 1
     /*  980876 */     // No operand predicates
     /*  980876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980889 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  980889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  980892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980914 */     GIR_RootConstrainSelectedInstOperands,
     /*  980915 */     // GIR_Coverage, 9202,
     /*  980915 */     GIR_EraseRootFromParent_Done,
     /*  980916 */   // Label 14632: @980916
     /*  980916 */   GIM_Try, /*On fail goto*//*Label 14633*/ GIMT_Encode4(981011), // Rule ID 9205 //
     /*  980921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  980929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  980932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  980935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  980938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  980944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  980959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980971 */     // MIs[1] Operand 1
     /*  980971 */     // No operand predicates
     /*  980971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980984 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  980984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  980987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981009 */     GIR_RootConstrainSelectedInstOperands,
     /*  981010 */     // GIR_Coverage, 9205,
     /*  981010 */     GIR_EraseRootFromParent_Done,
     /*  981011 */   // Label 14633: @981011
     /*  981011 */   GIM_Try, /*On fail goto*//*Label 14634*/ GIMT_Encode4(981106), // Rule ID 9206 //
     /*  981016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  981027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  981030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  981033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  981039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981066 */     // MIs[1] Operand 1
     /*  981066 */     // No operand predicates
     /*  981066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981079 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  981079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  981082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981104 */     GIR_RootConstrainSelectedInstOperands,
     /*  981105 */     // GIR_Coverage, 9206,
     /*  981105 */     GIR_EraseRootFromParent_Done,
     /*  981106 */   // Label 14634: @981106
     /*  981106 */   GIM_Try, /*On fail goto*//*Label 14635*/ GIMT_Encode4(981201), // Rule ID 9209 //
     /*  981111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  981122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  981125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  981128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  981134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981161 */     // MIs[1] Operand 1
     /*  981161 */     // No operand predicates
     /*  981161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981174 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  981174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  981177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981199 */     GIR_RootConstrainSelectedInstOperands,
     /*  981200 */     // GIR_Coverage, 9209,
     /*  981200 */     GIR_EraseRootFromParent_Done,
     /*  981201 */   // Label 14635: @981201
     /*  981201 */   GIM_Try, /*On fail goto*//*Label 14636*/ GIMT_Encode4(981296), // Rule ID 9210 //
     /*  981206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  981217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  981220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  981223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  981229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981256 */     // MIs[1] Operand 1
     /*  981256 */     // No operand predicates
     /*  981256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981269 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  981269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  981272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981294 */     GIR_RootConstrainSelectedInstOperands,
     /*  981295 */     // GIR_Coverage, 9210,
     /*  981295 */     GIR_EraseRootFromParent_Done,
     /*  981296 */   // Label 14636: @981296
     /*  981296 */   GIM_Try, /*On fail goto*//*Label 14637*/ GIMT_Encode4(981391), // Rule ID 9213 //
     /*  981301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  981312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  981315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  981318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  981324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981351 */     // MIs[1] Operand 1
     /*  981351 */     // No operand predicates
     /*  981351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981364 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  981364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  981367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981389 */     GIR_RootConstrainSelectedInstOperands,
     /*  981390 */     // GIR_Coverage, 9213,
     /*  981390 */     GIR_EraseRootFromParent_Done,
     /*  981391 */   // Label 14637: @981391
     /*  981391 */   GIM_Try, /*On fail goto*//*Label 14638*/ GIMT_Encode4(981486), // Rule ID 9214 //
     /*  981396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  981407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  981410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  981413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  981419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981446 */     // MIs[1] Operand 1
     /*  981446 */     // No operand predicates
     /*  981446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981459 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  981459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  981462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981484 */     GIR_RootConstrainSelectedInstOperands,
     /*  981485 */     // GIR_Coverage, 9214,
     /*  981485 */     GIR_EraseRootFromParent_Done,
     /*  981486 */   // Label 14638: @981486
     /*  981486 */   GIM_Try, /*On fail goto*//*Label 14639*/ GIMT_Encode4(981581), // Rule ID 9217 //
     /*  981491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  981502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  981505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  981508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  981514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981541 */     // MIs[1] Operand 1
     /*  981541 */     // No operand predicates
     /*  981541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981554 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  981554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  981557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981579 */     GIR_RootConstrainSelectedInstOperands,
     /*  981580 */     // GIR_Coverage, 9217,
     /*  981580 */     GIR_EraseRootFromParent_Done,
     /*  981581 */   // Label 14639: @981581
     /*  981581 */   GIM_Try, /*On fail goto*//*Label 14640*/ GIMT_Encode4(981676), // Rule ID 9218 //
     /*  981586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  981597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  981600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  981603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  981609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981636 */     // MIs[1] Operand 1
     /*  981636 */     // No operand predicates
     /*  981636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981649 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  981649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  981652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981674 */     GIR_RootConstrainSelectedInstOperands,
     /*  981675 */     // GIR_Coverage, 9218,
     /*  981675 */     GIR_EraseRootFromParent_Done,
     /*  981676 */   // Label 14640: @981676
     /*  981676 */   GIM_Try, /*On fail goto*//*Label 14641*/ GIMT_Encode4(981771), // Rule ID 9221 //
     /*  981681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  981692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  981695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  981698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  981704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981731 */     // MIs[1] Operand 1
     /*  981731 */     // No operand predicates
     /*  981731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981744 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  981744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  981747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981769 */     GIR_RootConstrainSelectedInstOperands,
     /*  981770 */     // GIR_Coverage, 9221,
     /*  981770 */     GIR_EraseRootFromParent_Done,
     /*  981771 */   // Label 14641: @981771
     /*  981771 */   GIM_Try, /*On fail goto*//*Label 14642*/ GIMT_Encode4(981866), // Rule ID 9222 //
     /*  981776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  981787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  981790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  981793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  981799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981826 */     // MIs[1] Operand 1
     /*  981826 */     // No operand predicates
     /*  981826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981839 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  981839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  981842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981864 */     GIR_RootConstrainSelectedInstOperands,
     /*  981865 */     // GIR_Coverage, 9222,
     /*  981865 */     GIR_EraseRootFromParent_Done,
     /*  981866 */   // Label 14642: @981866
     /*  981866 */   GIM_Try, /*On fail goto*//*Label 14643*/ GIMT_Encode4(981961), // Rule ID 9225 //
     /*  981871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  981874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  981882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  981885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  981888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  981894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981921 */     // MIs[1] Operand 1
     /*  981921 */     // No operand predicates
     /*  981921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981934 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  981934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  981937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981959 */     GIR_RootConstrainSelectedInstOperands,
     /*  981960 */     // GIR_Coverage, 9225,
     /*  981960 */     GIR_EraseRootFromParent_Done,
     /*  981961 */   // Label 14643: @981961
     /*  981961 */   GIM_Try, /*On fail goto*//*Label 14644*/ GIMT_Encode4(982056), // Rule ID 9226 //
     /*  981966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  981969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  981974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  981977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  981980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  981983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  981989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982016 */     // MIs[1] Operand 1
     /*  982016 */     // No operand predicates
     /*  982016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982029 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  982029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  982032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  982051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982054 */     GIR_RootConstrainSelectedInstOperands,
     /*  982055 */     // GIR_Coverage, 9226,
     /*  982055 */     GIR_EraseRootFromParent_Done,
     /*  982056 */   // Label 14644: @982056
     /*  982056 */   GIM_Try, /*On fail goto*//*Label 14645*/ GIMT_Encode4(982151), // Rule ID 9229 //
     /*  982061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  982064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  982072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  982075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  982078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  982084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982111 */     // MIs[1] Operand 1
     /*  982111 */     // No operand predicates
     /*  982111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982124 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  982124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  982146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982149 */     GIR_RootConstrainSelectedInstOperands,
     /*  982150 */     // GIR_Coverage, 9229,
     /*  982150 */     GIR_EraseRootFromParent_Done,
     /*  982151 */   // Label 14645: @982151
     /*  982151 */   GIM_Try, /*On fail goto*//*Label 14646*/ GIMT_Encode4(982246), // Rule ID 9230 //
     /*  982156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  982159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  982167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  982170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  982173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  982179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982206 */     // MIs[1] Operand 1
     /*  982206 */     // No operand predicates
     /*  982206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982219 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  982219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  982222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  982241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982244 */     GIR_RootConstrainSelectedInstOperands,
     /*  982245 */     // GIR_Coverage, 9230,
     /*  982245 */     GIR_EraseRootFromParent_Done,
     /*  982246 */   // Label 14646: @982246
     /*  982246 */   GIM_Try, /*On fail goto*//*Label 14647*/ GIMT_Encode4(982341), // Rule ID 9233 //
     /*  982251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  982254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  982262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  982265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  982268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  982274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982301 */     // MIs[1] Operand 1
     /*  982301 */     // No operand predicates
     /*  982301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982314 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  982314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  982317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  982336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982339 */     GIR_RootConstrainSelectedInstOperands,
     /*  982340 */     // GIR_Coverage, 9233,
     /*  982340 */     GIR_EraseRootFromParent_Done,
     /*  982341 */   // Label 14647: @982341
     /*  982341 */   GIM_Try, /*On fail goto*//*Label 14648*/ GIMT_Encode4(982436), // Rule ID 9234 //
     /*  982346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  982349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  982354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  982357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  982360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  982363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  982369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982396 */     // MIs[1] Operand 1
     /*  982396 */     // No operand predicates
     /*  982396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982409 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  982409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  982412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  982431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982434 */     GIR_RootConstrainSelectedInstOperands,
     /*  982435 */     // GIR_Coverage, 9234,
     /*  982435 */     GIR_EraseRootFromParent_Done,
     /*  982436 */   // Label 14648: @982436
     /*  982436 */   GIM_Try, /*On fail goto*//*Label 14649*/ GIMT_Encode4(982531), // Rule ID 9325 //
     /*  982441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  982449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  982452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  982455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  982458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  982464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982491 */     // MIs[1] Operand 1
     /*  982491 */     // No operand predicates
     /*  982491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982504 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  982504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  982507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982529 */     GIR_RootConstrainSelectedInstOperands,
     /*  982530 */     // GIR_Coverage, 9325,
     /*  982530 */     GIR_EraseRootFromParent_Done,
     /*  982531 */   // Label 14649: @982531
     /*  982531 */   GIM_Try, /*On fail goto*//*Label 14650*/ GIMT_Encode4(982626), // Rule ID 9326 //
     /*  982536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  982544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  982547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  982550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  982553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  982559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982586 */     // MIs[1] Operand 1
     /*  982586 */     // No operand predicates
     /*  982586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982599 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  982599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  982602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982624 */     GIR_RootConstrainSelectedInstOperands,
     /*  982625 */     // GIR_Coverage, 9326,
     /*  982625 */     GIR_EraseRootFromParent_Done,
     /*  982626 */   // Label 14650: @982626
     /*  982626 */   GIM_Try, /*On fail goto*//*Label 14651*/ GIMT_Encode4(982721), // Rule ID 9329 //
     /*  982631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  982639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  982642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  982645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  982648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  982654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982681 */     // MIs[1] Operand 1
     /*  982681 */     // No operand predicates
     /*  982681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982694 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  982694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  982697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982719 */     GIR_RootConstrainSelectedInstOperands,
     /*  982720 */     // GIR_Coverage, 9329,
     /*  982720 */     GIR_EraseRootFromParent_Done,
     /*  982721 */   // Label 14651: @982721
     /*  982721 */   GIM_Try, /*On fail goto*//*Label 14652*/ GIMT_Encode4(982816), // Rule ID 9330 //
     /*  982726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  982734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  982737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  982740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  982743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  982749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982776 */     // MIs[1] Operand 1
     /*  982776 */     // No operand predicates
     /*  982776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982789 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  982789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  982792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982814 */     GIR_RootConstrainSelectedInstOperands,
     /*  982815 */     // GIR_Coverage, 9330,
     /*  982815 */     GIR_EraseRootFromParent_Done,
     /*  982816 */   // Label 14652: @982816
     /*  982816 */   GIM_Try, /*On fail goto*//*Label 14653*/ GIMT_Encode4(982911), // Rule ID 9333 //
     /*  982821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  982829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  982832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  982835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  982838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  982844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982871 */     // MIs[1] Operand 1
     /*  982871 */     // No operand predicates
     /*  982871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982884 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  982884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  982887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982909 */     GIR_RootConstrainSelectedInstOperands,
     /*  982910 */     // GIR_Coverage, 9333,
     /*  982910 */     GIR_EraseRootFromParent_Done,
     /*  982911 */   // Label 14653: @982911
     /*  982911 */   GIM_Try, /*On fail goto*//*Label 14654*/ GIMT_Encode4(983006), // Rule ID 9334 //
     /*  982916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  982924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  982927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  982930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  982933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  982939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982966 */     // MIs[1] Operand 1
     /*  982966 */     // No operand predicates
     /*  982966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982979 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  982979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  982982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983004 */     GIR_RootConstrainSelectedInstOperands,
     /*  983005 */     // GIR_Coverage, 9334,
     /*  983005 */     GIR_EraseRootFromParent_Done,
     /*  983006 */   // Label 14654: @983006
     /*  983006 */   GIM_Try, /*On fail goto*//*Label 14655*/ GIMT_Encode4(983101), // Rule ID 9337 //
     /*  983011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  983019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  983022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  983025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  983028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  983034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983061 */     // MIs[1] Operand 1
     /*  983061 */     // No operand predicates
     /*  983061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983074 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  983074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  983077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983099 */     GIR_RootConstrainSelectedInstOperands,
     /*  983100 */     // GIR_Coverage, 9337,
     /*  983100 */     GIR_EraseRootFromParent_Done,
     /*  983101 */   // Label 14655: @983101
     /*  983101 */   GIM_Try, /*On fail goto*//*Label 14656*/ GIMT_Encode4(983196), // Rule ID 9338 //
     /*  983106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  983114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  983117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  983120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  983123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  983129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983156 */     // MIs[1] Operand 1
     /*  983156 */     // No operand predicates
     /*  983156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983169 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  983169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  983172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983194 */     GIR_RootConstrainSelectedInstOperands,
     /*  983195 */     // GIR_Coverage, 9338,
     /*  983195 */     GIR_EraseRootFromParent_Done,
     /*  983196 */   // Label 14656: @983196
     /*  983196 */   GIM_Try, /*On fail goto*//*Label 14657*/ GIMT_Encode4(983291), // Rule ID 9341 //
     /*  983201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  983209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  983212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  983215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  983218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983251 */     // MIs[1] Operand 1
     /*  983251 */     // No operand predicates
     /*  983251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983264 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  983264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  983267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983289 */     GIR_RootConstrainSelectedInstOperands,
     /*  983290 */     // GIR_Coverage, 9341,
     /*  983290 */     GIR_EraseRootFromParent_Done,
     /*  983291 */   // Label 14657: @983291
     /*  983291 */   GIM_Try, /*On fail goto*//*Label 14658*/ GIMT_Encode4(983386), // Rule ID 9342 //
     /*  983296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  983304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  983307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  983310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  983313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983346 */     // MIs[1] Operand 1
     /*  983346 */     // No operand predicates
     /*  983346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983359 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  983359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  983362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983384 */     GIR_RootConstrainSelectedInstOperands,
     /*  983385 */     // GIR_Coverage, 9342,
     /*  983385 */     GIR_EraseRootFromParent_Done,
     /*  983386 */   // Label 14658: @983386
     /*  983386 */   GIM_Try, /*On fail goto*//*Label 14659*/ GIMT_Encode4(983481), // Rule ID 9345 //
     /*  983391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  983399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  983402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  983405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  983408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  983414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983441 */     // MIs[1] Operand 1
     /*  983441 */     // No operand predicates
     /*  983441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983454 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  983454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  983457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983479 */     GIR_RootConstrainSelectedInstOperands,
     /*  983480 */     // GIR_Coverage, 9345,
     /*  983480 */     GIR_EraseRootFromParent_Done,
     /*  983481 */   // Label 14659: @983481
     /*  983481 */   GIM_Try, /*On fail goto*//*Label 14660*/ GIMT_Encode4(983576), // Rule ID 9346 //
     /*  983486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  983494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  983497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  983500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  983503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  983509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983536 */     // MIs[1] Operand 1
     /*  983536 */     // No operand predicates
     /*  983536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983549 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  983549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  983552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983574 */     GIR_RootConstrainSelectedInstOperands,
     /*  983575 */     // GIR_Coverage, 9346,
     /*  983575 */     GIR_EraseRootFromParent_Done,
     /*  983576 */   // Label 14660: @983576
     /*  983576 */   GIM_Try, /*On fail goto*//*Label 14661*/ GIMT_Encode4(983671), // Rule ID 9349 //
     /*  983581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  983589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  983598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983631 */     // MIs[1] Operand 1
     /*  983631 */     // No operand predicates
     /*  983631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983644 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  983644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  983647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983669 */     GIR_RootConstrainSelectedInstOperands,
     /*  983670 */     // GIR_Coverage, 9349,
     /*  983670 */     GIR_EraseRootFromParent_Done,
     /*  983671 */   // Label 14661: @983671
     /*  983671 */   GIM_Try, /*On fail goto*//*Label 14662*/ GIMT_Encode4(983766), // Rule ID 9350 //
     /*  983676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  983684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  983693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983726 */     // MIs[1] Operand 1
     /*  983726 */     // No operand predicates
     /*  983726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983739 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  983739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  983742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983764 */     GIR_RootConstrainSelectedInstOperands,
     /*  983765 */     // GIR_Coverage, 9350,
     /*  983765 */     GIR_EraseRootFromParent_Done,
     /*  983766 */   // Label 14662: @983766
     /*  983766 */   GIM_Try, /*On fail goto*//*Label 14663*/ GIMT_Encode4(983861), // Rule ID 9353 //
     /*  983771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  983779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  983788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983821 */     // MIs[1] Operand 1
     /*  983821 */     // No operand predicates
     /*  983821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983834 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  983834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  983837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983859 */     GIR_RootConstrainSelectedInstOperands,
     /*  983860 */     // GIR_Coverage, 9353,
     /*  983860 */     GIR_EraseRootFromParent_Done,
     /*  983861 */   // Label 14663: @983861
     /*  983861 */   GIM_Try, /*On fail goto*//*Label 14664*/ GIMT_Encode4(983956), // Rule ID 9354 //
     /*  983866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  983874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  983883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983916 */     // MIs[1] Operand 1
     /*  983916 */     // No operand predicates
     /*  983916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983929 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  983929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  983932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983954 */     GIR_RootConstrainSelectedInstOperands,
     /*  983955 */     // GIR_Coverage, 9354,
     /*  983955 */     GIR_EraseRootFromParent_Done,
     /*  983956 */   // Label 14664: @983956
     /*  983956 */   GIM_Try, /*On fail goto*//*Label 14665*/ GIMT_Encode4(984051), // Rule ID 9357 //
     /*  983961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  983969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  983972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  983975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  983978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984011 */     // MIs[1] Operand 1
     /*  984011 */     // No operand predicates
     /*  984011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984024 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  984024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  984027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  984046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984049 */     GIR_RootConstrainSelectedInstOperands,
     /*  984050 */     // GIR_Coverage, 9357,
     /*  984050 */     GIR_EraseRootFromParent_Done,
     /*  984051 */   // Label 14665: @984051
     /*  984051 */   GIM_Try, /*On fail goto*//*Label 14666*/ GIMT_Encode4(984146), // Rule ID 9358 //
     /*  984056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  984073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984106 */     // MIs[1] Operand 1
     /*  984106 */     // No operand predicates
     /*  984106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984119 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  984119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  984122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  984141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984144 */     GIR_RootConstrainSelectedInstOperands,
     /*  984145 */     // GIR_Coverage, 9358,
     /*  984145 */     GIR_EraseRootFromParent_Done,
     /*  984146 */   // Label 14666: @984146
     /*  984146 */   GIM_Try, /*On fail goto*//*Label 14667*/ GIMT_Encode4(984241), // Rule ID 9361 //
     /*  984151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  984154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  984168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984201 */     // MIs[1] Operand 1
     /*  984201 */     // No operand predicates
     /*  984201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984214 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  984214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  984217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984239 */     GIR_RootConstrainSelectedInstOperands,
     /*  984240 */     // GIR_Coverage, 9361,
     /*  984240 */     GIR_EraseRootFromParent_Done,
     /*  984241 */   // Label 14667: @984241
     /*  984241 */   GIM_Try, /*On fail goto*//*Label 14668*/ GIMT_Encode4(984336), // Rule ID 9362 //
     /*  984246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  984249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  984263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984296 */     // MIs[1] Operand 1
     /*  984296 */     // No operand predicates
     /*  984296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984309 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  984309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  984312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984334 */     GIR_RootConstrainSelectedInstOperands,
     /*  984335 */     // GIR_Coverage, 9362,
     /*  984335 */     GIR_EraseRootFromParent_Done,
     /*  984336 */   // Label 14668: @984336
     /*  984336 */   GIM_Try, /*On fail goto*//*Label 14669*/ GIMT_Encode4(984431), // Rule ID 9365 //
     /*  984341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  984352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  984355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  984358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  984364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984391 */     // MIs[1] Operand 1
     /*  984391 */     // No operand predicates
     /*  984391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984404 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  984407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984429 */     GIR_RootConstrainSelectedInstOperands,
     /*  984430 */     // GIR_Coverage, 9365,
     /*  984430 */     GIR_EraseRootFromParent_Done,
     /*  984431 */   // Label 14669: @984431
     /*  984431 */   GIM_Try, /*On fail goto*//*Label 14670*/ GIMT_Encode4(984526), // Rule ID 9366 //
     /*  984436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  984447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  984450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  984453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  984459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984486 */     // MIs[1] Operand 1
     /*  984486 */     // No operand predicates
     /*  984486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984499 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  984502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984524 */     GIR_RootConstrainSelectedInstOperands,
     /*  984525 */     // GIR_Coverage, 9366,
     /*  984525 */     GIR_EraseRootFromParent_Done,
     /*  984526 */   // Label 14670: @984526
     /*  984526 */   GIM_Try, /*On fail goto*//*Label 14671*/ GIMT_Encode4(984621), // Rule ID 9369 //
     /*  984531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  984542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  984545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  984548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  984554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984581 */     // MIs[1] Operand 1
     /*  984581 */     // No operand predicates
     /*  984581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984594 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  984597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984619 */     GIR_RootConstrainSelectedInstOperands,
     /*  984620 */     // GIR_Coverage, 9369,
     /*  984620 */     GIR_EraseRootFromParent_Done,
     /*  984621 */   // Label 14671: @984621
     /*  984621 */   GIM_Try, /*On fail goto*//*Label 14672*/ GIMT_Encode4(984716), // Rule ID 9370 //
     /*  984626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  984637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  984640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  984643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  984649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984676 */     // MIs[1] Operand 1
     /*  984676 */     // No operand predicates
     /*  984676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984689 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  984692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984714 */     GIR_RootConstrainSelectedInstOperands,
     /*  984715 */     // GIR_Coverage, 9370,
     /*  984715 */     GIR_EraseRootFromParent_Done,
     /*  984716 */   // Label 14672: @984716
     /*  984716 */   GIM_Try, /*On fail goto*//*Label 14673*/ GIMT_Encode4(984811), // Rule ID 9373 //
     /*  984721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  984732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  984735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  984738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  984744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984771 */     // MIs[1] Operand 1
     /*  984771 */     // No operand predicates
     /*  984771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984784 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  984787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984809 */     GIR_RootConstrainSelectedInstOperands,
     /*  984810 */     // GIR_Coverage, 9373,
     /*  984810 */     GIR_EraseRootFromParent_Done,
     /*  984811 */   // Label 14673: @984811
     /*  984811 */   GIM_Try, /*On fail goto*//*Label 14674*/ GIMT_Encode4(984906), // Rule ID 9374 //
     /*  984816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  984827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  984830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  984833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  984839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984866 */     // MIs[1] Operand 1
     /*  984866 */     // No operand predicates
     /*  984866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984879 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  984882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984904 */     GIR_RootConstrainSelectedInstOperands,
     /*  984905 */     // GIR_Coverage, 9374,
     /*  984905 */     GIR_EraseRootFromParent_Done,
     /*  984906 */   // Label 14674: @984906
     /*  984906 */   GIM_Try, /*On fail goto*//*Label 14675*/ GIMT_Encode4(985001), // Rule ID 9377 //
     /*  984911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  984919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  984922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  984925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  984928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  984934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984961 */     // MIs[1] Operand 1
     /*  984961 */     // No operand predicates
     /*  984961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984974 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  984974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  984977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984999 */     GIR_RootConstrainSelectedInstOperands,
     /*  985000 */     // GIR_Coverage, 9377,
     /*  985000 */     GIR_EraseRootFromParent_Done,
     /*  985001 */   // Label 14675: @985001
     /*  985001 */   GIM_Try, /*On fail goto*//*Label 14676*/ GIMT_Encode4(985096), // Rule ID 9378 //
     /*  985006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  985017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  985020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  985023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  985029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985056 */     // MIs[1] Operand 1
     /*  985056 */     // No operand predicates
     /*  985056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985069 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  985069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  985072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985094 */     GIR_RootConstrainSelectedInstOperands,
     /*  985095 */     // GIR_Coverage, 9378,
     /*  985095 */     GIR_EraseRootFromParent_Done,
     /*  985096 */   // Label 14676: @985096
     /*  985096 */   GIM_Try, /*On fail goto*//*Label 14677*/ GIMT_Encode4(985191), // Rule ID 9381 //
     /*  985101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  985112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  985115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  985118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  985124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985151 */     // MIs[1] Operand 1
     /*  985151 */     // No operand predicates
     /*  985151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985164 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  985164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  985167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985189 */     GIR_RootConstrainSelectedInstOperands,
     /*  985190 */     // GIR_Coverage, 9381,
     /*  985190 */     GIR_EraseRootFromParent_Done,
     /*  985191 */   // Label 14677: @985191
     /*  985191 */   GIM_Try, /*On fail goto*//*Label 14678*/ GIMT_Encode4(985286), // Rule ID 9382 //
     /*  985196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  985207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  985210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  985213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  985219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985246 */     // MIs[1] Operand 1
     /*  985246 */     // No operand predicates
     /*  985246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985259 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  985259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  985262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985284 */     GIR_RootConstrainSelectedInstOperands,
     /*  985285 */     // GIR_Coverage, 9382,
     /*  985285 */     GIR_EraseRootFromParent_Done,
     /*  985286 */   // Label 14678: @985286
     /*  985286 */   GIM_Try, /*On fail goto*//*Label 14679*/ GIMT_Encode4(985381), // Rule ID 9385 //
     /*  985291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  985302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  985305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  985308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  985314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985341 */     // MIs[1] Operand 1
     /*  985341 */     // No operand predicates
     /*  985341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985354 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  985354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  985357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985379 */     GIR_RootConstrainSelectedInstOperands,
     /*  985380 */     // GIR_Coverage, 9385,
     /*  985380 */     GIR_EraseRootFromParent_Done,
     /*  985381 */   // Label 14679: @985381
     /*  985381 */   GIM_Try, /*On fail goto*//*Label 14680*/ GIMT_Encode4(985476), // Rule ID 9386 //
     /*  985386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  985397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  985400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  985403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  985409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985436 */     // MIs[1] Operand 1
     /*  985436 */     // No operand predicates
     /*  985436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985449 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  985449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  985452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985474 */     GIR_RootConstrainSelectedInstOperands,
     /*  985475 */     // GIR_Coverage, 9386,
     /*  985475 */     GIR_EraseRootFromParent_Done,
     /*  985476 */   // Label 14680: @985476
     /*  985476 */   GIM_Try, /*On fail goto*//*Label 14681*/ GIMT_Encode4(985571), // Rule ID 9389 //
     /*  985481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  985492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  985495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  985498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  985504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985531 */     // MIs[1] Operand 1
     /*  985531 */     // No operand predicates
     /*  985531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985544 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  985544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  985547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985569 */     GIR_RootConstrainSelectedInstOperands,
     /*  985570 */     // GIR_Coverage, 9389,
     /*  985570 */     GIR_EraseRootFromParent_Done,
     /*  985571 */   // Label 14681: @985571
     /*  985571 */   GIM_Try, /*On fail goto*//*Label 14682*/ GIMT_Encode4(985666), // Rule ID 9390 //
     /*  985576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  985587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  985590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  985593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  985599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985626 */     // MIs[1] Operand 1
     /*  985626 */     // No operand predicates
     /*  985626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985639 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  985639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  985642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985664 */     GIR_RootConstrainSelectedInstOperands,
     /*  985665 */     // GIR_Coverage, 9390,
     /*  985665 */     GIR_EraseRootFromParent_Done,
     /*  985666 */   // Label 14682: @985666
     /*  985666 */   GIM_Try, /*On fail goto*//*Label 14683*/ GIMT_Encode4(985761), // Rule ID 9393 //
     /*  985671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  985682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  985685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  985688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  985694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985721 */     // MIs[1] Operand 1
     /*  985721 */     // No operand predicates
     /*  985721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985734 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  985734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  985737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985759 */     GIR_RootConstrainSelectedInstOperands,
     /*  985760 */     // GIR_Coverage, 9393,
     /*  985760 */     GIR_EraseRootFromParent_Done,
     /*  985761 */   // Label 14683: @985761
     /*  985761 */   GIM_Try, /*On fail goto*//*Label 14684*/ GIMT_Encode4(985856), // Rule ID 9394 //
     /*  985766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  985777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  985780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  985783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  985789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985816 */     // MIs[1] Operand 1
     /*  985816 */     // No operand predicates
     /*  985816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985829 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  985829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  985832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985854 */     GIR_RootConstrainSelectedInstOperands,
     /*  985855 */     // GIR_Coverage, 9394,
     /*  985855 */     GIR_EraseRootFromParent_Done,
     /*  985856 */   // Label 14684: @985856
     /*  985856 */   GIM_Try, /*On fail goto*//*Label 14685*/ GIMT_Encode4(985951), // Rule ID 9397 //
     /*  985861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  985872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  985875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  985878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  985884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985911 */     // MIs[1] Operand 1
     /*  985911 */     // No operand predicates
     /*  985911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985924 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  985924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  985927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985949 */     GIR_RootConstrainSelectedInstOperands,
     /*  985950 */     // GIR_Coverage, 9397,
     /*  985950 */     GIR_EraseRootFromParent_Done,
     /*  985951 */   // Label 14685: @985951
     /*  985951 */   GIM_Try, /*On fail goto*//*Label 14686*/ GIMT_Encode4(986046), // Rule ID 9398 //
     /*  985956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  985964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  985967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  985970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  985973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  985979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986006 */     // MIs[1] Operand 1
     /*  986006 */     // No operand predicates
     /*  986006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986019 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  986019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  986022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986044 */     GIR_RootConstrainSelectedInstOperands,
     /*  986045 */     // GIR_Coverage, 9398,
     /*  986045 */     GIR_EraseRootFromParent_Done,
     /*  986046 */   // Label 14686: @986046
     /*  986046 */   GIM_Try, /*On fail goto*//*Label 14687*/ GIMT_Encode4(986141), // Rule ID 9401 //
     /*  986051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  986054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  986062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  986065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  986068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  986074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986101 */     // MIs[1] Operand 1
     /*  986101 */     // No operand predicates
     /*  986101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986114 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  986114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  986136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986139 */     GIR_RootConstrainSelectedInstOperands,
     /*  986140 */     // GIR_Coverage, 9401,
     /*  986140 */     GIR_EraseRootFromParent_Done,
     /*  986141 */   // Label 14687: @986141
     /*  986141 */   GIM_Try, /*On fail goto*//*Label 14688*/ GIMT_Encode4(986236), // Rule ID 9402 //
     /*  986146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  986149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  986157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  986160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  986163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  986169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986196 */     // MIs[1] Operand 1
     /*  986196 */     // No operand predicates
     /*  986196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986209 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  986209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  986212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  986231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986234 */     GIR_RootConstrainSelectedInstOperands,
     /*  986235 */     // GIR_Coverage, 9402,
     /*  986235 */     GIR_EraseRootFromParent_Done,
     /*  986236 */   // Label 14688: @986236
     /*  986236 */   GIM_Try, /*On fail goto*//*Label 14689*/ GIMT_Encode4(986331), // Rule ID 9405 //
     /*  986241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  986244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  986252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  986255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  986258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  986264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986291 */     // MIs[1] Operand 1
     /*  986291 */     // No operand predicates
     /*  986291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986304 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  986304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  986307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  986326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986329 */     GIR_RootConstrainSelectedInstOperands,
     /*  986330 */     // GIR_Coverage, 9405,
     /*  986330 */     GIR_EraseRootFromParent_Done,
     /*  986331 */   // Label 14689: @986331
     /*  986331 */   GIM_Try, /*On fail goto*//*Label 14690*/ GIMT_Encode4(986426), // Rule ID 9406 //
     /*  986336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  986339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  986347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  986350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  986353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  986359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986386 */     // MIs[1] Operand 1
     /*  986386 */     // No operand predicates
     /*  986386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986399 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  986399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  986402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  986421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986424 */     GIR_RootConstrainSelectedInstOperands,
     /*  986425 */     // GIR_Coverage, 9406,
     /*  986425 */     GIR_EraseRootFromParent_Done,
     /*  986426 */   // Label 14690: @986426
     /*  986426 */   GIM_Try, /*On fail goto*//*Label 14691*/ GIMT_Encode4(986521), // Rule ID 9409 //
     /*  986431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  986434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  986442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  986445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  986448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  986454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986481 */     // MIs[1] Operand 1
     /*  986481 */     // No operand predicates
     /*  986481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986494 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  986494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  986497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  986516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986519 */     GIR_RootConstrainSelectedInstOperands,
     /*  986520 */     // GIR_Coverage, 9409,
     /*  986520 */     GIR_EraseRootFromParent_Done,
     /*  986521 */   // Label 14691: @986521
     /*  986521 */   GIM_Try, /*On fail goto*//*Label 14692*/ GIMT_Encode4(986616), // Rule ID 9410 //
     /*  986526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  986529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  986534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  986537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  986540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  986543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  986549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986576 */     // MIs[1] Operand 1
     /*  986576 */     // No operand predicates
     /*  986576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986589 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  986589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  986592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  986611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986614 */     GIR_RootConstrainSelectedInstOperands,
     /*  986615 */     // GIR_Coverage, 9410,
     /*  986615 */     GIR_EraseRootFromParent_Done,
     /*  986616 */   // Label 14692: @986616
     /*  986616 */   GIM_Try, /*On fail goto*//*Label 14693*/ GIMT_Encode4(986708), // Rule ID 13787 //
     /*  986621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  986629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  986632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  986635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  986638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  986644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  986651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986671 */     // MIs[1] Operand 1
     /*  986671 */     // No operand predicates
     /*  986671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986684 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  986684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  986687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986706 */     GIR_RootConstrainSelectedInstOperands,
     /*  986707 */     // GIR_Coverage, 13787,
     /*  986707 */     GIR_EraseRootFromParent_Done,
     /*  986708 */   // Label 14693: @986708
     /*  986708 */   GIM_Try, /*On fail goto*//*Label 14694*/ GIMT_Encode4(986800), // Rule ID 13788 //
     /*  986713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  986721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  986724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  986727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  986730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  986736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  986743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986763 */     // MIs[1] Operand 1
     /*  986763 */     // No operand predicates
     /*  986763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986776 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  986776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  986779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986798 */     GIR_RootConstrainSelectedInstOperands,
     /*  986799 */     // GIR_Coverage, 13788,
     /*  986799 */     GIR_EraseRootFromParent_Done,
     /*  986800 */   // Label 14694: @986800
     /*  986800 */   GIM_Try, /*On fail goto*//*Label 14695*/ GIMT_Encode4(986892), // Rule ID 13789 //
     /*  986805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  986813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  986816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  986819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  986822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  986828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  986835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986855 */     // MIs[1] Operand 1
     /*  986855 */     // No operand predicates
     /*  986855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986868 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  986868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  986871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986890 */     GIR_RootConstrainSelectedInstOperands,
     /*  986891 */     // GIR_Coverage, 13789,
     /*  986891 */     GIR_EraseRootFromParent_Done,
     /*  986892 */   // Label 14695: @986892
     /*  986892 */   GIM_Try, /*On fail goto*//*Label 14696*/ GIMT_Encode4(986984), // Rule ID 13790 //
     /*  986897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  986905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  986908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  986911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  986914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  986920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  986927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986947 */     // MIs[1] Operand 1
     /*  986947 */     // No operand predicates
     /*  986947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986960 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  986960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  986963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986982 */     GIR_RootConstrainSelectedInstOperands,
     /*  986983 */     // GIR_Coverage, 13790,
     /*  986983 */     GIR_EraseRootFromParent_Done,
     /*  986984 */   // Label 14696: @986984
     /*  986984 */   GIM_Try, /*On fail goto*//*Label 14697*/ GIMT_Encode4(987076), // Rule ID 13791 //
     /*  986989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  986997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  987000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  987003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  987006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  987019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987039 */     // MIs[1] Operand 1
     /*  987039 */     // No operand predicates
     /*  987039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987052 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  987052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  987055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  987074 */     GIR_RootConstrainSelectedInstOperands,
     /*  987075 */     // GIR_Coverage, 13791,
     /*  987075 */     GIR_EraseRootFromParent_Done,
     /*  987076 */   // Label 14697: @987076
     /*  987076 */   GIM_Try, /*On fail goto*//*Label 14698*/ GIMT_Encode4(987168), // Rule ID 13792 //
     /*  987081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  987089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  987092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  987095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  987098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  987111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987131 */     // MIs[1] Operand 1
     /*  987131 */     // No operand predicates
     /*  987131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987144 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  987144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  987147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  987166 */     GIR_RootConstrainSelectedInstOperands,
     /*  987167 */     // GIR_Coverage, 13792,
     /*  987167 */     GIR_EraseRootFromParent_Done,
     /*  987168 */   // Label 14698: @987168
     /*  987168 */   GIM_Try, /*On fail goto*//*Label 14699*/ GIMT_Encode4(987260), // Rule ID 13793 //
     /*  987173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  987181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  987184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  987187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  987190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  987196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  987203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987223 */     // MIs[1] Operand 1
     /*  987223 */     // No operand predicates
     /*  987223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987236 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  987236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  987239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987258 */     GIR_RootConstrainSelectedInstOperands,
     /*  987259 */     // GIR_Coverage, 13793,
     /*  987259 */     GIR_EraseRootFromParent_Done,
     /*  987260 */   // Label 14699: @987260
     /*  987260 */   GIM_Try, /*On fail goto*//*Label 14700*/ GIMT_Encode4(987352), // Rule ID 13794 //
     /*  987265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  987273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  987276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  987279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  987282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  987288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  987295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987315 */     // MIs[1] Operand 1
     /*  987315 */     // No operand predicates
     /*  987315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987328 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  987328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  987331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987350 */     GIR_RootConstrainSelectedInstOperands,
     /*  987351 */     // GIR_Coverage, 13794,
     /*  987351 */     GIR_EraseRootFromParent_Done,
     /*  987352 */   // Label 14700: @987352
     /*  987352 */   GIM_Try, /*On fail goto*//*Label 14701*/ GIMT_Encode4(987444), // Rule ID 13795 //
     /*  987357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  987365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  987368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  987371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  987374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  987380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  987387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987407 */     // MIs[1] Operand 1
     /*  987407 */     // No operand predicates
     /*  987407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987420 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  987420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  987423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987442 */     GIR_RootConstrainSelectedInstOperands,
     /*  987443 */     // GIR_Coverage, 13795,
     /*  987443 */     GIR_EraseRootFromParent_Done,
     /*  987444 */   // Label 14701: @987444
     /*  987444 */   GIM_Try, /*On fail goto*//*Label 14702*/ GIMT_Encode4(987536), // Rule ID 13796 //
     /*  987449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  987457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  987460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  987463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  987466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  987472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  987479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987499 */     // MIs[1] Operand 1
     /*  987499 */     // No operand predicates
     /*  987499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987512 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  987512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  987515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987534 */     GIR_RootConstrainSelectedInstOperands,
     /*  987535 */     // GIR_Coverage, 13796,
     /*  987535 */     GIR_EraseRootFromParent_Done,
     /*  987536 */   // Label 14702: @987536
     /*  987536 */   GIM_Try, /*On fail goto*//*Label 14703*/ GIMT_Encode4(987628), // Rule ID 13797 //
     /*  987541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  987549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  987552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  987555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  987558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  987564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  987571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987591 */     // MIs[1] Operand 1
     /*  987591 */     // No operand predicates
     /*  987591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987604 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  987604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  987607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987626 */     GIR_RootConstrainSelectedInstOperands,
     /*  987627 */     // GIR_Coverage, 13797,
     /*  987627 */     GIR_EraseRootFromParent_Done,
     /*  987628 */   // Label 14703: @987628
     /*  987628 */   GIM_Try, /*On fail goto*//*Label 14704*/ GIMT_Encode4(987720), // Rule ID 13798 //
     /*  987633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  987641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  987644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  987647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  987650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  987656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  987663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987683 */     // MIs[1] Operand 1
     /*  987683 */     // No operand predicates
     /*  987683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987696 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  987696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  987699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987718 */     GIR_RootConstrainSelectedInstOperands,
     /*  987719 */     // GIR_Coverage, 13798,
     /*  987719 */     GIR_EraseRootFromParent_Done,
     /*  987720 */   // Label 14704: @987720
     /*  987720 */   GIM_Try, /*On fail goto*//*Label 14705*/ GIMT_Encode4(987812), // Rule ID 13799 //
     /*  987725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  987733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  987736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  987739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  987742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  987755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987775 */     // MIs[1] Operand 1
     /*  987775 */     // No operand predicates
     /*  987775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987788 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  987788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  987791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  987810 */     GIR_RootConstrainSelectedInstOperands,
     /*  987811 */     // GIR_Coverage, 13799,
     /*  987811 */     GIR_EraseRootFromParent_Done,
     /*  987812 */   // Label 14705: @987812
     /*  987812 */   GIM_Try, /*On fail goto*//*Label 14706*/ GIMT_Encode4(987904), // Rule ID 13800 //
     /*  987817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  987825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  987828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  987831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  987834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  987847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987867 */     // MIs[1] Operand 1
     /*  987867 */     // No operand predicates
     /*  987867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987880 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  987880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  987883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  987902 */     GIR_RootConstrainSelectedInstOperands,
     /*  987903 */     // GIR_Coverage, 13800,
     /*  987903 */     GIR_EraseRootFromParent_Done,
     /*  987904 */   // Label 14706: @987904
     /*  987904 */   GIM_Try, /*On fail goto*//*Label 14707*/ GIMT_Encode4(987996), // Rule ID 13801 //
     /*  987909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  987917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  987920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  987923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  987926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  987939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987959 */     // MIs[1] Operand 1
     /*  987959 */     // No operand predicates
     /*  987959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987972 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  987972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  987975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987994 */     GIR_RootConstrainSelectedInstOperands,
     /*  987995 */     // GIR_Coverage, 13801,
     /*  987995 */     GIR_EraseRootFromParent_Done,
     /*  987996 */   // Label 14707: @987996
     /*  987996 */   GIM_Try, /*On fail goto*//*Label 14708*/ GIMT_Encode4(988088), // Rule ID 13802 //
     /*  988001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  988012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  988015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  988018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  988024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988051 */     // MIs[1] Operand 1
     /*  988051 */     // No operand predicates
     /*  988051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988064 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  988064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  988067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988086 */     GIR_RootConstrainSelectedInstOperands,
     /*  988087 */     // GIR_Coverage, 13802,
     /*  988087 */     GIR_EraseRootFromParent_Done,
     /*  988088 */   // Label 14708: @988088
     /*  988088 */   GIM_Try, /*On fail goto*//*Label 14709*/ GIMT_Encode4(988180), // Rule ID 13803 //
     /*  988093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  988104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  988107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  988110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988143 */     // MIs[1] Operand 1
     /*  988143 */     // No operand predicates
     /*  988143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988156 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  988156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  988159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988178 */     GIR_RootConstrainSelectedInstOperands,
     /*  988179 */     // GIR_Coverage, 13803,
     /*  988179 */     GIR_EraseRootFromParent_Done,
     /*  988180 */   // Label 14709: @988180
     /*  988180 */   GIM_Try, /*On fail goto*//*Label 14710*/ GIMT_Encode4(988272), // Rule ID 13804 //
     /*  988185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  988196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  988199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  988202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988235 */     // MIs[1] Operand 1
     /*  988235 */     // No operand predicates
     /*  988235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988248 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  988248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  988251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988270 */     GIR_RootConstrainSelectedInstOperands,
     /*  988271 */     // GIR_Coverage, 13804,
     /*  988271 */     GIR_EraseRootFromParent_Done,
     /*  988272 */   // Label 14710: @988272
     /*  988272 */   GIM_Try, /*On fail goto*//*Label 14711*/ GIMT_Encode4(988364), // Rule ID 13805 //
     /*  988277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  988280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  988288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  988291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  988294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988327 */     // MIs[1] Operand 1
     /*  988327 */     // No operand predicates
     /*  988327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988340 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  988340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  988343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988362 */     GIR_RootConstrainSelectedInstOperands,
     /*  988363 */     // GIR_Coverage, 13805,
     /*  988363 */     GIR_EraseRootFromParent_Done,
     /*  988364 */   // Label 14711: @988364
     /*  988364 */   GIM_Try, /*On fail goto*//*Label 14712*/ GIMT_Encode4(988456), // Rule ID 13806 //
     /*  988369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  988372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  988380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  988383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  988386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988419 */     // MIs[1] Operand 1
     /*  988419 */     // No operand predicates
     /*  988419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988432 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  988432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  988435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988454 */     GIR_RootConstrainSelectedInstOperands,
     /*  988455 */     // GIR_Coverage, 13806,
     /*  988455 */     GIR_EraseRootFromParent_Done,
     /*  988456 */   // Label 14712: @988456
     /*  988456 */   GIM_Try, /*On fail goto*//*Label 14713*/ GIMT_Encode4(988548), // Rule ID 13807 //
     /*  988461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  988472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  988475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  988478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  988484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  988491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988511 */     // MIs[1] Operand 1
     /*  988511 */     // No operand predicates
     /*  988511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988524 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  988524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  988527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988546 */     GIR_RootConstrainSelectedInstOperands,
     /*  988547 */     // GIR_Coverage, 13807,
     /*  988547 */     GIR_EraseRootFromParent_Done,
     /*  988548 */   // Label 14713: @988548
     /*  988548 */   GIM_Try, /*On fail goto*//*Label 14714*/ GIMT_Encode4(988640), // Rule ID 13808 //
     /*  988553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  988564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  988567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  988570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  988576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  988583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988603 */     // MIs[1] Operand 1
     /*  988603 */     // No operand predicates
     /*  988603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988616 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  988616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  988619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988638 */     GIR_RootConstrainSelectedInstOperands,
     /*  988639 */     // GIR_Coverage, 13808,
     /*  988639 */     GIR_EraseRootFromParent_Done,
     /*  988640 */   // Label 14714: @988640
     /*  988640 */   GIM_Try, /*On fail goto*//*Label 14715*/ GIMT_Encode4(988732), // Rule ID 13809 //
     /*  988645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  988656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  988659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  988662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  988668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  988675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988695 */     // MIs[1] Operand 1
     /*  988695 */     // No operand predicates
     /*  988695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988708 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  988708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  988711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988730 */     GIR_RootConstrainSelectedInstOperands,
     /*  988731 */     // GIR_Coverage, 13809,
     /*  988731 */     GIR_EraseRootFromParent_Done,
     /*  988732 */   // Label 14715: @988732
     /*  988732 */   GIM_Try, /*On fail goto*//*Label 14716*/ GIMT_Encode4(988824), // Rule ID 13810 //
     /*  988737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  988748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  988751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  988754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  988760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  988767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988787 */     // MIs[1] Operand 1
     /*  988787 */     // No operand predicates
     /*  988787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988800 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  988800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  988803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988822 */     GIR_RootConstrainSelectedInstOperands,
     /*  988823 */     // GIR_Coverage, 13810,
     /*  988823 */     GIR_EraseRootFromParent_Done,
     /*  988824 */   // Label 14716: @988824
     /*  988824 */   GIM_Try, /*On fail goto*//*Label 14717*/ GIMT_Encode4(988916), // Rule ID 13811 //
     /*  988829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  988840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  988843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  988846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  988852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  988859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988879 */     // MIs[1] Operand 1
     /*  988879 */     // No operand predicates
     /*  988879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988892 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  988892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  988895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988914 */     GIR_RootConstrainSelectedInstOperands,
     /*  988915 */     // GIR_Coverage, 13811,
     /*  988915 */     GIR_EraseRootFromParent_Done,
     /*  988916 */   // Label 14717: @988916
     /*  988916 */   GIM_Try, /*On fail goto*//*Label 14718*/ GIMT_Encode4(989008), // Rule ID 13812 //
     /*  988921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  988929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  988932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  988935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  988938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  988944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  988951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988971 */     // MIs[1] Operand 1
     /*  988971 */     // No operand predicates
     /*  988971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988984 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  988984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  988987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989006 */     GIR_RootConstrainSelectedInstOperands,
     /*  989007 */     // GIR_Coverage, 13812,
     /*  989007 */     GIR_EraseRootFromParent_Done,
     /*  989008 */   // Label 14718: @989008
     /*  989008 */   GIM_Try, /*On fail goto*//*Label 14719*/ GIMT_Encode4(989100), // Rule ID 13813 //
     /*  989013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  989024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  989027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  989030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  989036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  989043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989063 */     // MIs[1] Operand 1
     /*  989063 */     // No operand predicates
     /*  989063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989076 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  989076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  989079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989098 */     GIR_RootConstrainSelectedInstOperands,
     /*  989099 */     // GIR_Coverage, 13813,
     /*  989099 */     GIR_EraseRootFromParent_Done,
     /*  989100 */   // Label 14719: @989100
     /*  989100 */   GIM_Try, /*On fail goto*//*Label 14720*/ GIMT_Encode4(989192), // Rule ID 13814 //
     /*  989105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  989116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  989119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  989122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  989128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  989135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989155 */     // MIs[1] Operand 1
     /*  989155 */     // No operand predicates
     /*  989155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989168 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  989168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  989171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989190 */     GIR_RootConstrainSelectedInstOperands,
     /*  989191 */     // GIR_Coverage, 13814,
     /*  989191 */     GIR_EraseRootFromParent_Done,
     /*  989192 */   // Label 14720: @989192
     /*  989192 */   GIM_Try, /*On fail goto*//*Label 14721*/ GIMT_Encode4(989284), // Rule ID 13815 //
     /*  989197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  989208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  989211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  989214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  989220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  989227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989247 */     // MIs[1] Operand 1
     /*  989247 */     // No operand predicates
     /*  989247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989260 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  989260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  989263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989282 */     GIR_RootConstrainSelectedInstOperands,
     /*  989283 */     // GIR_Coverage, 13815,
     /*  989283 */     GIR_EraseRootFromParent_Done,
     /*  989284 */   // Label 14721: @989284
     /*  989284 */   GIM_Try, /*On fail goto*//*Label 14722*/ GIMT_Encode4(989376), // Rule ID 13816 //
     /*  989289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  989300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  989303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  989306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  989312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  989319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989339 */     // MIs[1] Operand 1
     /*  989339 */     // No operand predicates
     /*  989339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989352 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  989352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  989355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989374 */     GIR_RootConstrainSelectedInstOperands,
     /*  989375 */     // GIR_Coverage, 13816,
     /*  989375 */     GIR_EraseRootFromParent_Done,
     /*  989376 */   // Label 14722: @989376
     /*  989376 */   GIM_Try, /*On fail goto*//*Label 14723*/ GIMT_Encode4(989468), // Rule ID 13817 //
     /*  989381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  989392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  989395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  989398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  989404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  989411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  989415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  989419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989431 */     // MIs[1] Operand 1
     /*  989431 */     // No operand predicates
     /*  989431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989444 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  989444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  989447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989466 */     GIR_RootConstrainSelectedInstOperands,
     /*  989467 */     // GIR_Coverage, 13817,
     /*  989467 */     GIR_EraseRootFromParent_Done,
     /*  989468 */   // Label 14723: @989468
     /*  989468 */   GIM_Try, /*On fail goto*//*Label 14724*/ GIMT_Encode4(989560), // Rule ID 13818 //
     /*  989473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  989484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  989487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  989490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  989496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  989503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  989507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  989511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989523 */     // MIs[1] Operand 1
     /*  989523 */     // No operand predicates
     /*  989523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989536 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  989536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  989539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989558 */     GIR_RootConstrainSelectedInstOperands,
     /*  989559 */     // GIR_Coverage, 13818,
     /*  989559 */     GIR_EraseRootFromParent_Done,
     /*  989560 */   // Label 14724: @989560
     /*  989560 */   GIM_Try, /*On fail goto*//*Label 14725*/ GIMT_Encode4(989652), // Rule ID 13819 //
     /*  989565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  989576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  989579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  989582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  989588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  989595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989615 */     // MIs[1] Operand 1
     /*  989615 */     // No operand predicates
     /*  989615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989628 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  989628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  989631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989650 */     GIR_RootConstrainSelectedInstOperands,
     /*  989651 */     // GIR_Coverage, 13819,
     /*  989651 */     GIR_EraseRootFromParent_Done,
     /*  989652 */   // Label 14725: @989652
     /*  989652 */   GIM_Try, /*On fail goto*//*Label 14726*/ GIMT_Encode4(989744), // Rule ID 13820 //
     /*  989657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  989668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  989671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  989674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  989680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  989687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989707 */     // MIs[1] Operand 1
     /*  989707 */     // No operand predicates
     /*  989707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989720 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  989720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  989723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989742 */     GIR_RootConstrainSelectedInstOperands,
     /*  989743 */     // GIR_Coverage, 13820,
     /*  989743 */     GIR_EraseRootFromParent_Done,
     /*  989744 */   // Label 14726: @989744
     /*  989744 */   GIM_Try, /*On fail goto*//*Label 14727*/ GIMT_Encode4(989836), // Rule ID 13821 //
     /*  989749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  989760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  989763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  989766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  989772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  989779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989799 */     // MIs[1] Operand 1
     /*  989799 */     // No operand predicates
     /*  989799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989812 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  989812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  989815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989834 */     GIR_RootConstrainSelectedInstOperands,
     /*  989835 */     // GIR_Coverage, 13821,
     /*  989835 */     GIR_EraseRootFromParent_Done,
     /*  989836 */   // Label 14727: @989836
     /*  989836 */   GIM_Try, /*On fail goto*//*Label 14728*/ GIMT_Encode4(989928), // Rule ID 13822 //
     /*  989841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  989852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  989855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  989858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  989864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  989871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989891 */     // MIs[1] Operand 1
     /*  989891 */     // No operand predicates
     /*  989891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989904 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  989904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  989907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989926 */     GIR_RootConstrainSelectedInstOperands,
     /*  989927 */     // GIR_Coverage, 13822,
     /*  989927 */     GIR_EraseRootFromParent_Done,
     /*  989928 */   // Label 14728: @989928
     /*  989928 */   GIM_Try, /*On fail goto*//*Label 14729*/ GIMT_Encode4(990020), // Rule ID 13823 //
     /*  989933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  989941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  989944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  989947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  989950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  989956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  989963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  989967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  989971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989983 */     // MIs[1] Operand 1
     /*  989983 */     // No operand predicates
     /*  989983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989996 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  989996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  989999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990018 */     GIR_RootConstrainSelectedInstOperands,
     /*  990019 */     // GIR_Coverage, 13823,
     /*  990019 */     GIR_EraseRootFromParent_Done,
     /*  990020 */   // Label 14729: @990020
     /*  990020 */   GIM_Try, /*On fail goto*//*Label 14730*/ GIMT_Encode4(990112), // Rule ID 13824 //
     /*  990025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  990036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  990039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  990042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  990055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990075 */     // MIs[1] Operand 1
     /*  990075 */     // No operand predicates
     /*  990075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990088 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  990088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  990091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990110 */     GIR_RootConstrainSelectedInstOperands,
     /*  990111 */     // GIR_Coverage, 13824,
     /*  990111 */     GIR_EraseRootFromParent_Done,
     /*  990112 */   // Label 14730: @990112
     /*  990112 */   GIM_Try, /*On fail goto*//*Label 14731*/ GIMT_Encode4(990204), // Rule ID 13825 //
     /*  990117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  990120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  990128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  990131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  990134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  990140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990167 */     // MIs[1] Operand 1
     /*  990167 */     // No operand predicates
     /*  990167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990180 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  990180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990202 */     GIR_RootConstrainSelectedInstOperands,
     /*  990203 */     // GIR_Coverage, 13825,
     /*  990203 */     GIR_EraseRootFromParent_Done,
     /*  990204 */   // Label 14731: @990204
     /*  990204 */   GIM_Try, /*On fail goto*//*Label 14732*/ GIMT_Encode4(990296), // Rule ID 13826 //
     /*  990209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  990212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  990220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  990223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  990226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  990232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990259 */     // MIs[1] Operand 1
     /*  990259 */     // No operand predicates
     /*  990259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990272 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  990272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  990275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990294 */     GIR_RootConstrainSelectedInstOperands,
     /*  990295 */     // GIR_Coverage, 13826,
     /*  990295 */     GIR_EraseRootFromParent_Done,
     /*  990296 */   // Label 14732: @990296
     /*  990296 */   GIM_Try, /*On fail goto*//*Label 14733*/ GIMT_Encode4(990388), // Rule ID 13827 //
     /*  990301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  990304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  990312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  990315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  990318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  990324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990351 */     // MIs[1] Operand 1
     /*  990351 */     // No operand predicates
     /*  990351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990364 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  990364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  990367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990386 */     GIR_RootConstrainSelectedInstOperands,
     /*  990387 */     // GIR_Coverage, 13827,
     /*  990387 */     GIR_EraseRootFromParent_Done,
     /*  990388 */   // Label 14733: @990388
     /*  990388 */   GIM_Try, /*On fail goto*//*Label 14734*/ GIMT_Encode4(990480), // Rule ID 13828 //
     /*  990393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  990396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  990404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  990407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  990410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  990416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990443 */     // MIs[1] Operand 1
     /*  990443 */     // No operand predicates
     /*  990443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990456 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  990456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  990459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990478 */     GIR_RootConstrainSelectedInstOperands,
     /*  990479 */     // GIR_Coverage, 13828,
     /*  990479 */     GIR_EraseRootFromParent_Done,
     /*  990480 */   // Label 14734: @990480
     /*  990480 */   GIM_Try, /*On fail goto*//*Label 14735*/ GIMT_Encode4(990572), // Rule ID 13829 //
     /*  990485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  990488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  990496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  990499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  990502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  990508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  990515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990535 */     // MIs[1] Operand 1
     /*  990535 */     // No operand predicates
     /*  990535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990548 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  990548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  990551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990570 */     GIR_RootConstrainSelectedInstOperands,
     /*  990571 */     // GIR_Coverage, 13829,
     /*  990571 */     GIR_EraseRootFromParent_Done,
     /*  990572 */   // Label 14735: @990572
     /*  990572 */   GIM_Try, /*On fail goto*//*Label 14736*/ GIMT_Encode4(990664), // Rule ID 13830 //
     /*  990577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  990580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  990585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  990588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  990591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  990594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  990600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  990607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990627 */     // MIs[1] Operand 1
     /*  990627 */     // No operand predicates
     /*  990627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990640 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  990640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  990643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990662 */     GIR_RootConstrainSelectedInstOperands,
     /*  990663 */     // GIR_Coverage, 13830,
     /*  990663 */     GIR_EraseRootFromParent_Done,
     /*  990664 */   // Label 14736: @990664
     /*  990664 */   GIM_Try, /*On fail goto*//*Label 14737*/ GIMT_Encode4(990740), // Rule ID 2625 //
     /*  990669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  990672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  990677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  990680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  990683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  990686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990697 */     // MIs[0] passthru
     /*  990697 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  990702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990706 */     // MIs[0] round
     /*  990706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  990709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990716 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  990716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  990719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  990725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  990727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  990738 */     GIR_RootConstrainSelectedInstOperands,
     /*  990739 */     // GIR_Coverage, 2625,
     /*  990739 */     GIR_EraseRootFromParent_Done,
     /*  990740 */   // Label 14737: @990740
     /*  990740 */   GIM_Try, /*On fail goto*//*Label 14738*/ GIMT_Encode4(990816), // Rule ID 2626 //
     /*  990745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  990748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  990753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  990756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  990759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  990762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990773 */     // MIs[0] passthru
     /*  990773 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  990778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990782 */     // MIs[0] round
     /*  990782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  990785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990792 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  990792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  990795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  990801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  990803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  990814 */     GIR_RootConstrainSelectedInstOperands,
     /*  990815 */     // GIR_Coverage, 2626,
     /*  990815 */     GIR_EraseRootFromParent_Done,
     /*  990816 */   // Label 14738: @990816
     /*  990816 */   GIM_Try, /*On fail goto*//*Label 14739*/ GIMT_Encode4(990892), // Rule ID 16997 //
     /*  990821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  990824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  990829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  990832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  990835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  990838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990849 */     // MIs[0] passthru
     /*  990849 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  990854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990858 */     // MIs[0] round
     /*  990858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  990861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990868 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  990868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  990871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  990877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  990879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  990890 */     GIR_RootConstrainSelectedInstOperands,
     /*  990891 */     // GIR_Coverage, 16997,
     /*  990891 */     GIR_EraseRootFromParent_Done,
     /*  990892 */   // Label 14739: @990892
     /*  990892 */   GIM_Try, /*On fail goto*//*Label 14740*/ GIMT_Encode4(990968), // Rule ID 16998 //
     /*  990897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  990900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  990905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  990908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  990911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  990914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990925 */     // MIs[0] passthru
     /*  990925 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  990930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990934 */     // MIs[0] round
     /*  990934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  990937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990944 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  990944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  990947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  990953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  990955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  990966 */     GIR_RootConstrainSelectedInstOperands,
     /*  990967 */     // GIR_Coverage, 16998,
     /*  990967 */     GIR_EraseRootFromParent_Done,
     /*  990968 */   // Label 14740: @990968
     /*  990968 */   GIM_Try, /*On fail goto*//*Label 14741*/ GIMT_Encode4(991044), // Rule ID 17007 //
     /*  990973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  990976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  990981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  990984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  990987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  990990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991001 */     // MIs[0] passthru
     /*  991001 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  991006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991010 */     // MIs[0] round
     /*  991010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  991013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991020 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  991020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  991023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  991029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  991031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  991042 */     GIR_RootConstrainSelectedInstOperands,
     /*  991043 */     // GIR_Coverage, 17007,
     /*  991043 */     GIR_EraseRootFromParent_Done,
     /*  991044 */   // Label 14741: @991044
     /*  991044 */   GIM_Try, /*On fail goto*//*Label 14742*/ GIMT_Encode4(991120), // Rule ID 17008 //
     /*  991049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  991052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  991057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  991060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  991063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  991066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991077 */     // MIs[0] passthru
     /*  991077 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  991082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991086 */     // MIs[0] round
     /*  991086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  991089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991096 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  991096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  991099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  991105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  991107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  991118 */     GIR_RootConstrainSelectedInstOperands,
     /*  991119 */     // GIR_Coverage, 17008,
     /*  991119 */     GIR_EraseRootFromParent_Done,
     /*  991120 */   // Label 14742: @991120
     /*  991120 */   GIM_Try, /*On fail goto*//*Label 14743*/ GIMT_Encode4(991196), // Rule ID 17017 //
     /*  991125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  991128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  991133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  991136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  991139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  991142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991153 */     // MIs[0] passthru
     /*  991153 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  991158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991162 */     // MIs[0] round
     /*  991162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  991165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991172 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  991172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  991175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  991181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  991183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  991194 */     GIR_RootConstrainSelectedInstOperands,
     /*  991195 */     // GIR_Coverage, 17017,
     /*  991195 */     GIR_EraseRootFromParent_Done,
     /*  991196 */   // Label 14743: @991196
     /*  991196 */   GIM_Try, /*On fail goto*//*Label 14744*/ GIMT_Encode4(991272), // Rule ID 17018 //
     /*  991201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  991204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  991209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  991212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  991215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  991218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991229 */     // MIs[0] passthru
     /*  991229 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  991234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991238 */     // MIs[0] round
     /*  991238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  991241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991248 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  991248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  991251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  991257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  991259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  991270 */     GIR_RootConstrainSelectedInstOperands,
     /*  991271 */     // GIR_Coverage, 17018,
     /*  991271 */     GIR_EraseRootFromParent_Done,
     /*  991272 */   // Label 14744: @991272
     /*  991272 */   GIM_Try, /*On fail goto*//*Label 14745*/ GIMT_Encode4(991348), // Rule ID 17027 //
     /*  991277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  991280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  991285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  991288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  991291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  991294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991305 */     // MIs[0] passthru
     /*  991305 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  991310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991314 */     // MIs[0] round
     /*  991314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  991317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991324 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  991324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  991327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  991333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  991335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  991346 */     GIR_RootConstrainSelectedInstOperands,
     /*  991347 */     // GIR_Coverage, 17027,
     /*  991347 */     GIR_EraseRootFromParent_Done,
     /*  991348 */   // Label 14745: @991348
     /*  991348 */   GIM_Try, /*On fail goto*//*Label 14746*/ GIMT_Encode4(991424), // Rule ID 17028 //
     /*  991353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  991356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  991361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  991364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  991367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  991370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991381 */     // MIs[0] passthru
     /*  991381 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  991386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991390 */     // MIs[0] round
     /*  991390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  991393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991400 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  991400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  991403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  991409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  991411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  991422 */     GIR_RootConstrainSelectedInstOperands,
     /*  991423 */     // GIR_Coverage, 17028,
     /*  991423 */     GIR_EraseRootFromParent_Done,
     /*  991424 */   // Label 14746: @991424
     /*  991424 */   GIM_Try, /*On fail goto*//*Label 14747*/ GIMT_Encode4(991500), // Rule ID 17037 //
     /*  991429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  991432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  991437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  991440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  991443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  991446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991457 */     // MIs[0] passthru
     /*  991457 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  991462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991466 */     // MIs[0] round
     /*  991466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  991469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991476 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  991476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  991479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  991485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  991487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  991498 */     GIR_RootConstrainSelectedInstOperands,
     /*  991499 */     // GIR_Coverage, 17037,
     /*  991499 */     GIR_EraseRootFromParent_Done,
     /*  991500 */   // Label 14747: @991500
     /*  991500 */   GIM_Try, /*On fail goto*//*Label 14748*/ GIMT_Encode4(991576), // Rule ID 17038 //
     /*  991505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  991508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  991513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  991516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  991519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  991522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991533 */     // MIs[0] passthru
     /*  991533 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  991538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991542 */     // MIs[0] round
     /*  991542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  991545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991552 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  991552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  991555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  991561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  991563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  991574 */     GIR_RootConstrainSelectedInstOperands,
     /*  991575 */     // GIR_Coverage, 17038,
     /*  991575 */     GIR_EraseRootFromParent_Done,
     /*  991576 */   // Label 14748: @991576
     /*  991576 */   GIM_Try, /*On fail goto*//*Label 14749*/ GIMT_Encode4(991652), // Rule ID 17047 //
     /*  991581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  991584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  991589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  991592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  991595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  991598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991609 */     // MIs[0] passthru
     /*  991609 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  991614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991618 */     // MIs[0] round
     /*  991618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  991621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991628 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  991628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  991631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  991637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  991639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  991650 */     GIR_RootConstrainSelectedInstOperands,
     /*  991651 */     // GIR_Coverage, 17047,
     /*  991651 */     GIR_EraseRootFromParent_Done,
     /*  991652 */   // Label 14749: @991652
     /*  991652 */   GIM_Try, /*On fail goto*//*Label 14750*/ GIMT_Encode4(991728), // Rule ID 17048 //
     /*  991657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  991660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  991665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  991668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  991671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  991674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991685 */     // MIs[0] passthru
     /*  991685 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  991690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991694 */     // MIs[0] round
     /*  991694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  991697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991704 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  991704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  991707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  991713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  991715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  991726 */     GIR_RootConstrainSelectedInstOperands,
     /*  991727 */     // GIR_Coverage, 17048,
     /*  991727 */     GIR_EraseRootFromParent_Done,
     /*  991728 */   // Label 14750: @991728
     /*  991728 */   GIM_Try, /*On fail goto*//*Label 14751*/ GIMT_Encode4(991804), // Rule ID 17057 //
     /*  991733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  991736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  991741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  991744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  991747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  991750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991761 */     // MIs[0] passthru
     /*  991761 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  991766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991770 */     // MIs[0] round
     /*  991770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  991773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991780 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  991780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  991783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  991789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  991791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  991802 */     GIR_RootConstrainSelectedInstOperands,
     /*  991803 */     // GIR_Coverage, 17057,
     /*  991803 */     GIR_EraseRootFromParent_Done,
     /*  991804 */   // Label 14751: @991804
     /*  991804 */   GIM_Try, /*On fail goto*//*Label 14752*/ GIMT_Encode4(991880), // Rule ID 17058 //
     /*  991809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  991812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  991817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  991820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  991823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  991826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991837 */     // MIs[0] passthru
     /*  991837 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  991842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991846 */     // MIs[0] round
     /*  991846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  991849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991856 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  991856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  991859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  991865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  991867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  991878 */     GIR_RootConstrainSelectedInstOperands,
     /*  991879 */     // GIR_Coverage, 17058,
     /*  991879 */     GIR_EraseRootFromParent_Done,
     /*  991880 */   // Label 14752: @991880
     /*  991880 */   GIM_Try, /*On fail goto*//*Label 14753*/ GIMT_Encode4(991956), // Rule ID 17067 //
     /*  991885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  991888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  991893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  991896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  991899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  991902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991913 */     // MIs[0] passthru
     /*  991913 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  991918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991922 */     // MIs[0] round
     /*  991922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  991925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991932 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  991932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  991935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  991941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  991943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  991954 */     GIR_RootConstrainSelectedInstOperands,
     /*  991955 */     // GIR_Coverage, 17067,
     /*  991955 */     GIR_EraseRootFromParent_Done,
     /*  991956 */   // Label 14753: @991956
     /*  991956 */   GIM_Try, /*On fail goto*//*Label 14754*/ GIMT_Encode4(992032), // Rule ID 17068 //
     /*  991961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  991964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  991969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  991972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  991975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  991978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991989 */     // MIs[0] passthru
     /*  991989 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  991994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991998 */     // MIs[0] round
     /*  991998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992008 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  992008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  992011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992030 */     GIR_RootConstrainSelectedInstOperands,
     /*  992031 */     // GIR_Coverage, 17068,
     /*  992031 */     GIR_EraseRootFromParent_Done,
     /*  992032 */   // Label 14754: @992032
     /*  992032 */   GIM_Try, /*On fail goto*//*Label 14755*/ GIMT_Encode4(992108), // Rule ID 17113 //
     /*  992037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  992045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  992048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  992051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  992054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992065 */     // MIs[0] passthru
     /*  992065 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992074 */     // MIs[0] round
     /*  992074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992084 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  992087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992106 */     GIR_RootConstrainSelectedInstOperands,
     /*  992107 */     // GIR_Coverage, 17113,
     /*  992107 */     GIR_EraseRootFromParent_Done,
     /*  992108 */   // Label 14755: @992108
     /*  992108 */   GIM_Try, /*On fail goto*//*Label 14756*/ GIMT_Encode4(992184), // Rule ID 17114 //
     /*  992113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  992121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  992124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  992127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  992130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992141 */     // MIs[0] passthru
     /*  992141 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992150 */     // MIs[0] round
     /*  992150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992160 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  992163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992182 */     GIR_RootConstrainSelectedInstOperands,
     /*  992183 */     // GIR_Coverage, 17114,
     /*  992183 */     GIR_EraseRootFromParent_Done,
     /*  992184 */   // Label 14756: @992184
     /*  992184 */   GIM_Try, /*On fail goto*//*Label 14757*/ GIMT_Encode4(992260), // Rule ID 17123 //
     /*  992189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  992197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  992200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  992203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  992206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992217 */     // MIs[0] passthru
     /*  992217 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992226 */     // MIs[0] round
     /*  992226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992236 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  992239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992258 */     GIR_RootConstrainSelectedInstOperands,
     /*  992259 */     // GIR_Coverage, 17123,
     /*  992259 */     GIR_EraseRootFromParent_Done,
     /*  992260 */   // Label 14757: @992260
     /*  992260 */   GIM_Try, /*On fail goto*//*Label 14758*/ GIMT_Encode4(992336), // Rule ID 17124 //
     /*  992265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  992273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  992276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  992279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  992282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992293 */     // MIs[0] passthru
     /*  992293 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992302 */     // MIs[0] round
     /*  992302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992312 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  992315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992334 */     GIR_RootConstrainSelectedInstOperands,
     /*  992335 */     // GIR_Coverage, 17124,
     /*  992335 */     GIR_EraseRootFromParent_Done,
     /*  992336 */   // Label 14758: @992336
     /*  992336 */   GIM_Try, /*On fail goto*//*Label 14759*/ GIMT_Encode4(992412), // Rule ID 17133 //
     /*  992341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  992349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  992352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  992355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  992358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992369 */     // MIs[0] passthru
     /*  992369 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992378 */     // MIs[0] round
     /*  992378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992388 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  992391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992410 */     GIR_RootConstrainSelectedInstOperands,
     /*  992411 */     // GIR_Coverage, 17133,
     /*  992411 */     GIR_EraseRootFromParent_Done,
     /*  992412 */   // Label 14759: @992412
     /*  992412 */   GIM_Try, /*On fail goto*//*Label 14760*/ GIMT_Encode4(992488), // Rule ID 17134 //
     /*  992417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  992425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  992428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  992431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  992434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992445 */     // MIs[0] passthru
     /*  992445 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992454 */     // MIs[0] round
     /*  992454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992464 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  992467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992486 */     GIR_RootConstrainSelectedInstOperands,
     /*  992487 */     // GIR_Coverage, 17134,
     /*  992487 */     GIR_EraseRootFromParent_Done,
     /*  992488 */   // Label 14760: @992488
     /*  992488 */   GIM_Try, /*On fail goto*//*Label 14761*/ GIMT_Encode4(992564), // Rule ID 17143 //
     /*  992493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  992501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  992504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  992507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  992510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992521 */     // MIs[0] passthru
     /*  992521 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992530 */     // MIs[0] round
     /*  992530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992540 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  992543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992562 */     GIR_RootConstrainSelectedInstOperands,
     /*  992563 */     // GIR_Coverage, 17143,
     /*  992563 */     GIR_EraseRootFromParent_Done,
     /*  992564 */   // Label 14761: @992564
     /*  992564 */   GIM_Try, /*On fail goto*//*Label 14762*/ GIMT_Encode4(992640), // Rule ID 17144 //
     /*  992569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  992577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  992580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  992583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  992586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992597 */     // MIs[0] passthru
     /*  992597 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992606 */     // MIs[0] round
     /*  992606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992616 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  992619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992638 */     GIR_RootConstrainSelectedInstOperands,
     /*  992639 */     // GIR_Coverage, 17144,
     /*  992639 */     GIR_EraseRootFromParent_Done,
     /*  992640 */   // Label 14762: @992640
     /*  992640 */   GIM_Try, /*On fail goto*//*Label 14763*/ GIMT_Encode4(992716), // Rule ID 17153 //
     /*  992645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  992648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  992653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  992656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  992659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  992662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992673 */     // MIs[0] passthru
     /*  992673 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992682 */     // MIs[0] round
     /*  992682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992692 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  992692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  992695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992714 */     GIR_RootConstrainSelectedInstOperands,
     /*  992715 */     // GIR_Coverage, 17153,
     /*  992715 */     GIR_EraseRootFromParent_Done,
     /*  992716 */   // Label 14763: @992716
     /*  992716 */   GIM_Try, /*On fail goto*//*Label 14764*/ GIMT_Encode4(992792), // Rule ID 17154 //
     /*  992721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  992724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  992729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  992732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  992735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  992738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992749 */     // MIs[0] passthru
     /*  992749 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992758 */     // MIs[0] round
     /*  992758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992768 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  992768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  992771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  992787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992790 */     GIR_RootConstrainSelectedInstOperands,
     /*  992791 */     // GIR_Coverage, 17154,
     /*  992791 */     GIR_EraseRootFromParent_Done,
     /*  992792 */   // Label 14764: @992792
     /*  992792 */   GIM_Try, /*On fail goto*//*Label 14765*/ GIMT_Encode4(992868), // Rule ID 17163 //
     /*  992797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  992800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  992805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  992808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  992811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  992814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992825 */     // MIs[0] passthru
     /*  992825 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992834 */     // MIs[0] round
     /*  992834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992844 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  992844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  992847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992866 */     GIR_RootConstrainSelectedInstOperands,
     /*  992867 */     // GIR_Coverage, 17163,
     /*  992867 */     GIR_EraseRootFromParent_Done,
     /*  992868 */   // Label 14765: @992868
     /*  992868 */   GIM_Try, /*On fail goto*//*Label 14766*/ GIMT_Encode4(992944), // Rule ID 17164 //
     /*  992873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  992876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  992881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  992884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  992887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  992890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992901 */     // MIs[0] passthru
     /*  992901 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992910 */     // MIs[0] round
     /*  992910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992920 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  992920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  992923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  992929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  992931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  992942 */     GIR_RootConstrainSelectedInstOperands,
     /*  992943 */     // GIR_Coverage, 17164,
     /*  992943 */     GIR_EraseRootFromParent_Done,
     /*  992944 */   // Label 14766: @992944
     /*  992944 */   GIM_Try, /*On fail goto*//*Label 14767*/ GIMT_Encode4(993020), // Rule ID 17173 //
     /*  992949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  992952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  992957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  992960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  992963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  992966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992977 */     // MIs[0] passthru
     /*  992977 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  992982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992986 */     // MIs[0] round
     /*  992986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  992989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992996 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  992996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  992999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993018 */     GIR_RootConstrainSelectedInstOperands,
     /*  993019 */     // GIR_Coverage, 17173,
     /*  993019 */     GIR_EraseRootFromParent_Done,
     /*  993020 */   // Label 14767: @993020
     /*  993020 */   GIM_Try, /*On fail goto*//*Label 14768*/ GIMT_Encode4(993096), // Rule ID 17174 //
     /*  993025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  993028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  993036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  993039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  993042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993053 */     // MIs[0] passthru
     /*  993053 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993062 */     // MIs[0] round
     /*  993062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993072 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  993072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  993075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993094 */     GIR_RootConstrainSelectedInstOperands,
     /*  993095 */     // GIR_Coverage, 17174,
     /*  993095 */     GIR_EraseRootFromParent_Done,
     /*  993096 */   // Label 14768: @993096
     /*  993096 */   GIM_Try, /*On fail goto*//*Label 14769*/ GIMT_Encode4(993172), // Rule ID 17183 //
     /*  993101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  993104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  993112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  993115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  993118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993129 */     // MIs[0] passthru
     /*  993129 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993138 */     // MIs[0] round
     /*  993138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993148 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  993148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  993151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993170 */     GIR_RootConstrainSelectedInstOperands,
     /*  993171 */     // GIR_Coverage, 17183,
     /*  993171 */     GIR_EraseRootFromParent_Done,
     /*  993172 */   // Label 14769: @993172
     /*  993172 */   GIM_Try, /*On fail goto*//*Label 14770*/ GIMT_Encode4(993248), // Rule ID 17184 //
     /*  993177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  993180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  993188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  993191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  993194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993205 */     // MIs[0] passthru
     /*  993205 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993214 */     // MIs[0] round
     /*  993214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993224 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  993224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  993227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993246 */     GIR_RootConstrainSelectedInstOperands,
     /*  993247 */     // GIR_Coverage, 17184,
     /*  993247 */     GIR_EraseRootFromParent_Done,
     /*  993248 */   // Label 14770: @993248
     /*  993248 */   GIM_Try, /*On fail goto*//*Label 14771*/ GIMT_Encode4(993324), // Rule ID 17193 //
     /*  993253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  993256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  993264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  993267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  993270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993281 */     // MIs[0] passthru
     /*  993281 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993290 */     // MIs[0] round
     /*  993290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993300 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  993300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  993303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993322 */     GIR_RootConstrainSelectedInstOperands,
     /*  993323 */     // GIR_Coverage, 17193,
     /*  993323 */     GIR_EraseRootFromParent_Done,
     /*  993324 */   // Label 14771: @993324
     /*  993324 */   GIM_Try, /*On fail goto*//*Label 14772*/ GIMT_Encode4(993400), // Rule ID 17194 //
     /*  993329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  993332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  993337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  993340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  993343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  993346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993357 */     // MIs[0] passthru
     /*  993357 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  993362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993366 */     // MIs[0] round
     /*  993366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  993369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993376 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  993376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  993379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  993385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  993387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  993395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  993398 */     GIR_RootConstrainSelectedInstOperands,
     /*  993399 */     // GIR_Coverage, 17194,
     /*  993399 */     GIR_EraseRootFromParent_Done,
     /*  993400 */   // Label 14772: @993400
     /*  993400 */   GIM_Try, /*On fail goto*//*Label 14773*/ GIMT_Encode4(993477), // Rule ID 2555 //
     /*  993405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  993413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  993416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  993419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  993422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  993425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993444 */     // MIs[0] policy
     /*  993444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993454 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  993457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993463 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  993473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993475 */     GIR_RootConstrainSelectedInstOperands,
     /*  993476 */     // GIR_Coverage, 2555,
     /*  993476 */     GIR_EraseRootFromParent_Done,
     /*  993477 */   // Label 14773: @993477
     /*  993477 */   GIM_Try, /*On fail goto*//*Label 14774*/ GIMT_Encode4(993554), // Rule ID 2556 //
     /*  993482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  993490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  993493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  993496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  993499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  993502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993521 */     // MIs[0] policy
     /*  993521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993531 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  993534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993540 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  993550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993552 */     GIR_RootConstrainSelectedInstOperands,
     /*  993553 */     // GIR_Coverage, 2556,
     /*  993553 */     GIR_EraseRootFromParent_Done,
     /*  993554 */   // Label 14774: @993554
     /*  993554 */   GIM_Try, /*On fail goto*//*Label 14775*/ GIMT_Encode4(993631), // Rule ID 2559 //
     /*  993559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  993567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  993570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  993573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  993576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  993579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993598 */     // MIs[0] policy
     /*  993598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993608 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  993611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993629 */     GIR_RootConstrainSelectedInstOperands,
     /*  993630 */     // GIR_Coverage, 2559,
     /*  993630 */     GIR_EraseRootFromParent_Done,
     /*  993631 */   // Label 14775: @993631
     /*  993631 */   GIM_Try, /*On fail goto*//*Label 14776*/ GIMT_Encode4(993708), // Rule ID 2560 //
     /*  993636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  993644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  993647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  993650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  993653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  993656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993675 */     // MIs[0] policy
     /*  993675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993685 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  993688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993706 */     GIR_RootConstrainSelectedInstOperands,
     /*  993707 */     // GIR_Coverage, 2560,
     /*  993707 */     GIR_EraseRootFromParent_Done,
     /*  993708 */   // Label 14776: @993708
     /*  993708 */   GIM_Try, /*On fail goto*//*Label 14777*/ GIMT_Encode4(993785), // Rule ID 2563 //
     /*  993713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  993716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  993721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  993724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  993727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  993730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  993733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993752 */     // MIs[0] policy
     /*  993752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993762 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  993765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993783 */     GIR_RootConstrainSelectedInstOperands,
     /*  993784 */     // GIR_Coverage, 2563,
     /*  993784 */     GIR_EraseRootFromParent_Done,
     /*  993785 */   // Label 14777: @993785
     /*  993785 */   GIM_Try, /*On fail goto*//*Label 14778*/ GIMT_Encode4(993862), // Rule ID 2564 //
     /*  993790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  993793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  993798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  993801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  993804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  993807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  993810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993829 */     // MIs[0] policy
     /*  993829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993839 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  993842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993848 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993860 */     GIR_RootConstrainSelectedInstOperands,
     /*  993861 */     // GIR_Coverage, 2564,
     /*  993861 */     GIR_EraseRootFromParent_Done,
     /*  993862 */   // Label 14778: @993862
     /*  993862 */   GIM_Try, /*On fail goto*//*Label 14779*/ GIMT_Encode4(993939), // Rule ID 2599 //
     /*  993867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  993870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  993875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  993878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  993881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  993884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  993887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993906 */     // MIs[0] policy
     /*  993906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993916 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  993919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993937 */     GIR_RootConstrainSelectedInstOperands,
     /*  993938 */     // GIR_Coverage, 2599,
     /*  993938 */     GIR_EraseRootFromParent_Done,
     /*  993939 */   // Label 14779: @993939
     /*  993939 */   GIM_Try, /*On fail goto*//*Label 14780*/ GIMT_Encode4(994016), // Rule ID 2600 //
     /*  993944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  993947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  993952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  993955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  993958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  993961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  993964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993983 */     // MIs[0] policy
     /*  993983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993993 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  993996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994014 */     GIR_RootConstrainSelectedInstOperands,
     /*  994015 */     // GIR_Coverage, 2600,
     /*  994015 */     GIR_EraseRootFromParent_Done,
     /*  994016 */   // Label 14780: @994016
     /*  994016 */   GIM_Try, /*On fail goto*//*Label 14781*/ GIMT_Encode4(994093), // Rule ID 2631 //
     /*  994021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  994029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  994032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  994035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  994038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  994041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994060 */     // MIs[0] policy
     /*  994060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994070 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  994073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  994077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994091 */     GIR_RootConstrainSelectedInstOperands,
     /*  994092 */     // GIR_Coverage, 2631,
     /*  994092 */     GIR_EraseRootFromParent_Done,
     /*  994093 */   // Label 14781: @994093
     /*  994093 */   GIM_Try, /*On fail goto*//*Label 14782*/ GIMT_Encode4(994170), // Rule ID 2632 //
     /*  994098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  994106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  994109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  994112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  994115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  994118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994137 */     // MIs[0] policy
     /*  994137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994147 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  994150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  994154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  994158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994168 */     GIR_RootConstrainSelectedInstOperands,
     /*  994169 */     // GIR_Coverage, 2632,
     /*  994169 */     GIR_EraseRootFromParent_Done,
     /*  994170 */   // Label 14782: @994170
     /*  994170 */   GIM_Try, /*On fail goto*//*Label 14783*/ GIMT_Encode4(994247), // Rule ID 4751 //
     /*  994175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  994183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  994186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  994189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  994192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  994195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994214 */     // MIs[0] policy
     /*  994214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994224 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  994227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994245 */     GIR_RootConstrainSelectedInstOperands,
     /*  994246 */     // GIR_Coverage, 4751,
     /*  994246 */     GIR_EraseRootFromParent_Done,
     /*  994247 */   // Label 14783: @994247
     /*  994247 */   GIM_Try, /*On fail goto*//*Label 14784*/ GIMT_Encode4(994324), // Rule ID 4752 //
     /*  994252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  994260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  994263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  994266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  994269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  994272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994291 */     // MIs[0] policy
     /*  994291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994301 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  994304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994310 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994322 */     GIR_RootConstrainSelectedInstOperands,
     /*  994323 */     // GIR_Coverage, 4752,
     /*  994323 */     GIR_EraseRootFromParent_Done,
     /*  994324 */   // Label 14784: @994324
     /*  994324 */   GIM_Try, /*On fail goto*//*Label 14785*/ GIMT_Encode4(994401), // Rule ID 4755 //
     /*  994329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  994337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  994340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  994343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  994346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  994349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994368 */     // MIs[0] policy
     /*  994368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  994381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994399 */     GIR_RootConstrainSelectedInstOperands,
     /*  994400 */     // GIR_Coverage, 4755,
     /*  994400 */     GIR_EraseRootFromParent_Done,
     /*  994401 */   // Label 14785: @994401
     /*  994401 */   GIM_Try, /*On fail goto*//*Label 14786*/ GIMT_Encode4(994478), // Rule ID 4756 //
     /*  994406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  994414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  994417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  994420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  994423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  994426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994445 */     // MIs[0] policy
     /*  994445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994455 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11577:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  994458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994464 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994476 */     GIR_RootConstrainSelectedInstOperands,
     /*  994477 */     // GIR_Coverage, 4756,
     /*  994477 */     GIR_EraseRootFromParent_Done,
     /*  994478 */   // Label 14786: @994478
     /*  994478 */   GIM_Try, /*On fail goto*//*Label 14787*/ GIMT_Encode4(994555), // Rule ID 4759 //
     /*  994483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  994491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  994494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  994497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  994500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  994503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  994510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994522 */     // MIs[0] policy
     /*  994522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994532 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  994535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994553 */     GIR_RootConstrainSelectedInstOperands,
     /*  994554 */     // GIR_Coverage, 4759,
     /*  994554 */     GIR_EraseRootFromParent_Done,
     /*  994555 */   // Label 14787: @994555
     /*  994555 */   GIM_Try, /*On fail goto*//*Label 14788*/ GIMT_Encode4(994632), // Rule ID 4760 //
     /*  994560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  994568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  994571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  994574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  994577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  994580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  994587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994599 */     // MIs[0] policy
     /*  994599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994609 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  994612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994618 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994630 */     GIR_RootConstrainSelectedInstOperands,
     /*  994631 */     // GIR_Coverage, 4760,
     /*  994631 */     GIR_EraseRootFromParent_Done,
     /*  994632 */   // Label 14788: @994632
     /*  994632 */   GIM_Try, /*On fail goto*//*Label 14789*/ GIMT_Encode4(994709), // Rule ID 4763 //
     /*  994637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  994645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  994648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  994651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  994654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  994657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  994664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994676 */     // MIs[0] policy
     /*  994676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994686 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  994689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994707 */     GIR_RootConstrainSelectedInstOperands,
     /*  994708 */     // GIR_Coverage, 4763,
     /*  994708 */     GIR_EraseRootFromParent_Done,
     /*  994709 */   // Label 14789: @994709
     /*  994709 */   GIM_Try, /*On fail goto*//*Label 14790*/ GIMT_Encode4(994786), // Rule ID 4764 //
     /*  994714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  994722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  994725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  994728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  994731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  994734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  994741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994753 */     // MIs[0] policy
     /*  994753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994763 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  994766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994772 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994784 */     GIR_RootConstrainSelectedInstOperands,
     /*  994785 */     // GIR_Coverage, 4764,
     /*  994785 */     GIR_EraseRootFromParent_Done,
     /*  994786 */   // Label 14790: @994786
     /*  994786 */   GIM_Try, /*On fail goto*//*Label 14791*/ GIMT_Encode4(994863), // Rule ID 4767 //
     /*  994791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  994799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  994802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  994805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  994808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  994811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  994818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994830 */     // MIs[0] policy
     /*  994830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994840 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  994843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994861 */     GIR_RootConstrainSelectedInstOperands,
     /*  994862 */     // GIR_Coverage, 4767,
     /*  994862 */     GIR_EraseRootFromParent_Done,
     /*  994863 */   // Label 14791: @994863
     /*  994863 */   GIM_Try, /*On fail goto*//*Label 14792*/ GIMT_Encode4(994940), // Rule ID 4768 //
     /*  994868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  994876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  994879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  994882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  994885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  994888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  994895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994907 */     // MIs[0] policy
     /*  994907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994917 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  994920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994926 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994938 */     GIR_RootConstrainSelectedInstOperands,
     /*  994939 */     // GIR_Coverage, 4768,
     /*  994939 */     GIR_EraseRootFromParent_Done,
     /*  994940 */   // Label 14792: @994940
     /*  994940 */   GIM_Try, /*On fail goto*//*Label 14793*/ GIMT_Encode4(995017), // Rule ID 4771 //
     /*  994945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  994953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  994956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  994959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  994962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994984 */     // MIs[0] policy
     /*  994984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994994 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  994997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995003 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995015 */     GIR_RootConstrainSelectedInstOperands,
     /*  995016 */     // GIR_Coverage, 4771,
     /*  995016 */     GIR_EraseRootFromParent_Done,
     /*  995017 */   // Label 14793: @995017
     /*  995017 */   GIM_Try, /*On fail goto*//*Label 14794*/ GIMT_Encode4(995094), // Rule ID 4772 //
     /*  995022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  995033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  995036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  995039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995061 */     // MIs[0] policy
     /*  995061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995071 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  995074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995080 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995092 */     GIR_RootConstrainSelectedInstOperands,
     /*  995093 */     // GIR_Coverage, 4772,
     /*  995093 */     GIR_EraseRootFromParent_Done,
     /*  995094 */   // Label 14794: @995094
     /*  995094 */   GIM_Try, /*On fail goto*//*Label 14795*/ GIMT_Encode4(995171), // Rule ID 4775 //
     /*  995099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  995110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  995113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  995116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995138 */     // MIs[0] policy
     /*  995138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995148 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  995151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995169 */     GIR_RootConstrainSelectedInstOperands,
     /*  995170 */     // GIR_Coverage, 4775,
     /*  995170 */     GIR_EraseRootFromParent_Done,
     /*  995171 */   // Label 14795: @995171
     /*  995171 */   GIM_Try, /*On fail goto*//*Label 14796*/ GIMT_Encode4(995248), // Rule ID 4776 //
     /*  995176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  995187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  995190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  995193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995215 */     // MIs[0] policy
     /*  995215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995225 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  995228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995234 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995246 */     GIR_RootConstrainSelectedInstOperands,
     /*  995247 */     // GIR_Coverage, 4776,
     /*  995247 */     GIR_EraseRootFromParent_Done,
     /*  995248 */   // Label 14796: @995248
     /*  995248 */   GIM_Try, /*On fail goto*//*Label 14797*/ GIMT_Encode4(995325), // Rule ID 4779 //
     /*  995253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  995264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  995267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  995270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  995273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995292 */     // MIs[0] policy
     /*  995292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995302 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  995305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995311 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995323 */     GIR_RootConstrainSelectedInstOperands,
     /*  995324 */     // GIR_Coverage, 4779,
     /*  995324 */     GIR_EraseRootFromParent_Done,
     /*  995325 */   // Label 14797: @995325
     /*  995325 */   GIM_Try, /*On fail goto*//*Label 14798*/ GIMT_Encode4(995402), // Rule ID 4780 //
     /*  995330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  995341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  995344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  995347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  995350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995369 */     // MIs[0] policy
     /*  995369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995379 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  995382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995388 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995398 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995400 */     GIR_RootConstrainSelectedInstOperands,
     /*  995401 */     // GIR_Coverage, 4780,
     /*  995401 */     GIR_EraseRootFromParent_Done,
     /*  995402 */   // Label 14798: @995402
     /*  995402 */   GIM_Try, /*On fail goto*//*Label 14799*/ GIMT_Encode4(995479), // Rule ID 4783 //
     /*  995407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  995418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  995421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  995424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  995427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995446 */     // MIs[0] policy
     /*  995446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995456 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  995459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995477 */     GIR_RootConstrainSelectedInstOperands,
     /*  995478 */     // GIR_Coverage, 4783,
     /*  995478 */     GIR_EraseRootFromParent_Done,
     /*  995479 */   // Label 14799: @995479
     /*  995479 */   GIM_Try, /*On fail goto*//*Label 14800*/ GIMT_Encode4(995556), // Rule ID 4784 //
     /*  995484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  995495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  995498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  995501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  995504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995523 */     // MIs[0] policy
     /*  995523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995533 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  995536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995554 */     GIR_RootConstrainSelectedInstOperands,
     /*  995555 */     // GIR_Coverage, 4784,
     /*  995555 */     GIR_EraseRootFromParent_Done,
     /*  995556 */   // Label 14800: @995556
     /*  995556 */   GIM_Try, /*On fail goto*//*Label 14801*/ GIMT_Encode4(995633), // Rule ID 4787 //
     /*  995561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  995572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  995575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  995578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  995581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  995588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995600 */     // MIs[0] policy
     /*  995600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995610 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  995613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995631 */     GIR_RootConstrainSelectedInstOperands,
     /*  995632 */     // GIR_Coverage, 4787,
     /*  995632 */     GIR_EraseRootFromParent_Done,
     /*  995633 */   // Label 14801: @995633
     /*  995633 */   GIM_Try, /*On fail goto*//*Label 14802*/ GIMT_Encode4(995710), // Rule ID 4788 //
     /*  995638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  995649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  995652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  995655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  995658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  995665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995677 */     // MIs[0] policy
     /*  995677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995687 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  995690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995696 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995708 */     GIR_RootConstrainSelectedInstOperands,
     /*  995709 */     // GIR_Coverage, 4788,
     /*  995709 */     GIR_EraseRootFromParent_Done,
     /*  995710 */   // Label 14802: @995710
     /*  995710 */   GIM_Try, /*On fail goto*//*Label 14803*/ GIMT_Encode4(995787), // Rule ID 4791 //
     /*  995715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  995718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  995726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  995729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  995732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995754 */     // MIs[0] policy
     /*  995754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995764 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  995767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  995783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995785 */     GIR_RootConstrainSelectedInstOperands,
     /*  995786 */     // GIR_Coverage, 4791,
     /*  995786 */     GIR_EraseRootFromParent_Done,
     /*  995787 */   // Label 14803: @995787
     /*  995787 */   GIM_Try, /*On fail goto*//*Label 14804*/ GIMT_Encode4(995864), // Rule ID 4792 //
     /*  995792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  995795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  995803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  995806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  995809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995831 */     // MIs[0] policy
     /*  995831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995841 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  995844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995850 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  995860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995862 */     GIR_RootConstrainSelectedInstOperands,
     /*  995863 */     // GIR_Coverage, 4792,
     /*  995863 */     GIR_EraseRootFromParent_Done,
     /*  995864 */   // Label 14804: @995864
     /*  995864 */   GIM_Try, /*On fail goto*//*Label 14805*/ GIMT_Encode4(995941), // Rule ID 4795 //
     /*  995869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  995872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  995880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  995883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  995886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995908 */     // MIs[0] policy
     /*  995908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995918 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  995921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995927 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  995937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995939 */     GIR_RootConstrainSelectedInstOperands,
     /*  995940 */     // GIR_Coverage, 4795,
     /*  995940 */     GIR_EraseRootFromParent_Done,
     /*  995941 */   // Label 14805: @995941
     /*  995941 */   GIM_Try, /*On fail goto*//*Label 14806*/ GIMT_Encode4(996018), // Rule ID 4796 //
     /*  995946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  995949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  995954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  995957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  995960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  995963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995985 */     // MIs[0] policy
     /*  995985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995995 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  995998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996016 */     GIR_RootConstrainSelectedInstOperands,
     /*  996017 */     // GIR_Coverage, 4796,
     /*  996017 */     GIR_EraseRootFromParent_Done,
     /*  996018 */   // Label 14806: @996018
     /*  996018 */   GIM_Try, /*On fail goto*//*Label 14807*/ GIMT_Encode4(996095), // Rule ID 4799 //
     /*  996023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  996026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  996034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  996037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  996040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996062 */     // MIs[0] policy
     /*  996062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996072 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  996075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996093 */     GIR_RootConstrainSelectedInstOperands,
     /*  996094 */     // GIR_Coverage, 4799,
     /*  996094 */     GIR_EraseRootFromParent_Done,
     /*  996095 */   // Label 14807: @996095
     /*  996095 */   GIM_Try, /*On fail goto*//*Label 14808*/ GIMT_Encode4(996172), // Rule ID 4800 //
     /*  996100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  996103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  996111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  996114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  996117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996139 */     // MIs[0] policy
     /*  996139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996149 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  996152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996158 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996170 */     GIR_RootConstrainSelectedInstOperands,
     /*  996171 */     // GIR_Coverage, 4800,
     /*  996171 */     GIR_EraseRootFromParent_Done,
     /*  996172 */   // Label 14808: @996172
     /*  996172 */   GIM_Try, /*On fail goto*//*Label 14809*/ GIMT_Encode4(996249), // Rule ID 4803 //
     /*  996177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  996180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  996188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  996191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  996194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996216 */     // MIs[0] policy
     /*  996216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996226 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  996229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996247 */     GIR_RootConstrainSelectedInstOperands,
     /*  996248 */     // GIR_Coverage, 4803,
     /*  996248 */     GIR_EraseRootFromParent_Done,
     /*  996249 */   // Label 14809: @996249
     /*  996249 */   GIM_Try, /*On fail goto*//*Label 14810*/ GIMT_Encode4(996326), // Rule ID 4804 //
     /*  996254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  996257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  996265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  996268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  996271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996293 */     // MIs[0] policy
     /*  996293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996303 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  996306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996312 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996324 */     GIR_RootConstrainSelectedInstOperands,
     /*  996325 */     // GIR_Coverage, 4804,
     /*  996325 */     GIR_EraseRootFromParent_Done,
     /*  996326 */   // Label 14810: @996326
     /*  996326 */   GIM_Try, /*On fail goto*//*Label 14811*/ GIMT_Encode4(996403), // Rule ID 4807 //
     /*  996331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  996342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  996345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  996348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996370 */     // MIs[0] policy
     /*  996370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996380 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /*  996383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996401 */     GIR_RootConstrainSelectedInstOperands,
     /*  996402 */     // GIR_Coverage, 4807,
     /*  996402 */     GIR_EraseRootFromParent_Done,
     /*  996403 */   // Label 14811: @996403
     /*  996403 */   GIM_Try, /*On fail goto*//*Label 14812*/ GIMT_Encode4(996480), // Rule ID 4808 //
     /*  996408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  996419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  996422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  996425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996447 */     // MIs[0] policy
     /*  996447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996457 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /*  996460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996466 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996478 */     GIR_RootConstrainSelectedInstOperands,
     /*  996479 */     // GIR_Coverage, 4808,
     /*  996479 */     GIR_EraseRootFromParent_Done,
     /*  996480 */   // Label 14812: @996480
     /*  996480 */   GIM_Try, /*On fail goto*//*Label 14813*/ GIMT_Encode4(996557), // Rule ID 4811 //
     /*  996485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  996496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  996499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  996502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  996505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996524 */     // MIs[0] policy
     /*  996524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  996537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996543 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996555 */     GIR_RootConstrainSelectedInstOperands,
     /*  996556 */     // GIR_Coverage, 4811,
     /*  996556 */     GIR_EraseRootFromParent_Done,
     /*  996557 */   // Label 14813: @996557
     /*  996557 */   GIM_Try, /*On fail goto*//*Label 14814*/ GIMT_Encode4(996634), // Rule ID 4812 //
     /*  996562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  996573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  996576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  996579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  996582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996601 */     // MIs[0] policy
     /*  996601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996611 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11577:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  996614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996620 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996630 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996632 */     GIR_RootConstrainSelectedInstOperands,
     /*  996633 */     // GIR_Coverage, 4812,
     /*  996633 */     GIR_EraseRootFromParent_Done,
     /*  996634 */   // Label 14814: @996634
     /*  996634 */   GIM_Try, /*On fail goto*//*Label 14815*/ GIMT_Encode4(996711), // Rule ID 4815 //
     /*  996639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  996650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  996653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  996656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996678 */     // MIs[0] policy
     /*  996678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996688 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  996691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996709 */     GIR_RootConstrainSelectedInstOperands,
     /*  996710 */     // GIR_Coverage, 4815,
     /*  996710 */     GIR_EraseRootFromParent_Done,
     /*  996711 */   // Label 14815: @996711
     /*  996711 */   GIM_Try, /*On fail goto*//*Label 14816*/ GIMT_Encode4(996788), // Rule ID 4816 //
     /*  996716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  996727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  996730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  996733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996755 */     // MIs[0] policy
     /*  996755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996765 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  996768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996786 */     GIR_RootConstrainSelectedInstOperands,
     /*  996787 */     // GIR_Coverage, 4816,
     /*  996787 */     GIR_EraseRootFromParent_Done,
     /*  996788 */   // Label 14816: @996788
     /*  996788 */   GIM_Try, /*On fail goto*//*Label 14817*/ GIMT_Encode4(996865), // Rule ID 4819 //
     /*  996793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  996804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  996807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  996810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996832 */     // MIs[0] policy
     /*  996832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996842 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  996845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996863 */     GIR_RootConstrainSelectedInstOperands,
     /*  996864 */     // GIR_Coverage, 4819,
     /*  996864 */     GIR_EraseRootFromParent_Done,
     /*  996865 */   // Label 14817: @996865
     /*  996865 */   GIM_Try, /*On fail goto*//*Label 14818*/ GIMT_Encode4(996942), // Rule ID 4820 //
     /*  996870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  996881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  996884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  996887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996909 */     // MIs[0] policy
     /*  996909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996919 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  996922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996928 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996940 */     GIR_RootConstrainSelectedInstOperands,
     /*  996941 */     // GIR_Coverage, 4820,
     /*  996941 */     GIR_EraseRootFromParent_Done,
     /*  996942 */   // Label 14818: @996942
     /*  996942 */   GIM_Try, /*On fail goto*//*Label 14819*/ GIMT_Encode4(997019), // Rule ID 4823 //
     /*  996947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  996955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  996958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  996961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  996964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  996967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996986 */     // MIs[0] policy
     /*  996986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996996 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  996999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997017 */     GIR_RootConstrainSelectedInstOperands,
     /*  997018 */     // GIR_Coverage, 4823,
     /*  997018 */     GIR_EraseRootFromParent_Done,
     /*  997019 */   // Label 14819: @997019
     /*  997019 */   GIM_Try, /*On fail goto*//*Label 14820*/ GIMT_Encode4(997096), // Rule ID 4824 //
     /*  997024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  997035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  997038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  997041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  997044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997063 */     // MIs[0] policy
     /*  997063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997073 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  997076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997094 */     GIR_RootConstrainSelectedInstOperands,
     /*  997095 */     // GIR_Coverage, 4824,
     /*  997095 */     GIR_EraseRootFromParent_Done,
     /*  997096 */   // Label 14820: @997096
     /*  997096 */   GIM_Try, /*On fail goto*//*Label 14821*/ GIMT_Encode4(997173), // Rule ID 4827 //
     /*  997101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  997112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  997115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  997118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997140 */     // MIs[0] policy
     /*  997140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997150 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  997153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997159 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997171 */     GIR_RootConstrainSelectedInstOperands,
     /*  997172 */     // GIR_Coverage, 4827,
     /*  997172 */     GIR_EraseRootFromParent_Done,
     /*  997173 */   // Label 14821: @997173
     /*  997173 */   GIM_Try, /*On fail goto*//*Label 14822*/ GIMT_Encode4(997250), // Rule ID 4828 //
     /*  997178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  997189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  997192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  997195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997217 */     // MIs[0] policy
     /*  997217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  997230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997248 */     GIR_RootConstrainSelectedInstOperands,
     /*  997249 */     // GIR_Coverage, 4828,
     /*  997249 */     GIR_EraseRootFromParent_Done,
     /*  997250 */   // Label 14822: @997250
     /*  997250 */   GIM_Try, /*On fail goto*//*Label 14823*/ GIMT_Encode4(997327), // Rule ID 4831 //
     /*  997255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  997272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997294 */     // MIs[0] policy
     /*  997294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997304 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  997307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997325 */     GIR_RootConstrainSelectedInstOperands,
     /*  997326 */     // GIR_Coverage, 4831,
     /*  997326 */     GIR_EraseRootFromParent_Done,
     /*  997327 */   // Label 14823: @997327
     /*  997327 */   GIM_Try, /*On fail goto*//*Label 14824*/ GIMT_Encode4(997404), // Rule ID 4832 //
     /*  997332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  997349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997371 */     // MIs[0] policy
     /*  997371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997381 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  997384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997390 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997402 */     GIR_RootConstrainSelectedInstOperands,
     /*  997403 */     // GIR_Coverage, 4832,
     /*  997403 */     GIR_EraseRootFromParent_Done,
     /*  997404 */   // Label 14824: @997404
     /*  997404 */   GIM_Try, /*On fail goto*//*Label 14825*/ GIMT_Encode4(997481), // Rule ID 4835 //
     /*  997409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  997426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997448 */     // MIs[0] policy
     /*  997448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997458 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  997461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997479 */     GIR_RootConstrainSelectedInstOperands,
     /*  997480 */     // GIR_Coverage, 4835,
     /*  997480 */     GIR_EraseRootFromParent_Done,
     /*  997481 */   // Label 14825: @997481
     /*  997481 */   GIM_Try, /*On fail goto*//*Label 14826*/ GIMT_Encode4(997558), // Rule ID 4836 //
     /*  997486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  997503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997525 */     // MIs[0] policy
     /*  997525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997535 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  997538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997544 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997556 */     GIR_RootConstrainSelectedInstOperands,
     /*  997557 */     // GIR_Coverage, 4836,
     /*  997557 */     GIR_EraseRootFromParent_Done,
     /*  997558 */   // Label 14826: @997558
     /*  997558 */   GIM_Try, /*On fail goto*//*Label 14827*/ GIMT_Encode4(997635), // Rule ID 4839 //
     /*  997563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  997580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997602 */     // MIs[0] policy
     /*  997602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997612 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  997615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997633 */     GIR_RootConstrainSelectedInstOperands,
     /*  997634 */     // GIR_Coverage, 4839,
     /*  997634 */     GIR_EraseRootFromParent_Done,
     /*  997635 */   // Label 14827: @997635
     /*  997635 */   GIM_Try, /*On fail goto*//*Label 14828*/ GIMT_Encode4(997712), // Rule ID 4840 //
     /*  997640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  997657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997679 */     // MIs[0] policy
     /*  997679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997689 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  997692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997710 */     GIR_RootConstrainSelectedInstOperands,
     /*  997711 */     // GIR_Coverage, 4840,
     /*  997711 */     GIR_EraseRootFromParent_Done,
     /*  997712 */   // Label 14828: @997712
     /*  997712 */   GIM_Try, /*On fail goto*//*Label 14829*/ GIMT_Encode4(997789), // Rule ID 4843 //
     /*  997717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  997728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  997731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  997734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997756 */     // MIs[0] policy
     /*  997756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997766 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /*  997769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997775 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997787 */     GIR_RootConstrainSelectedInstOperands,
     /*  997788 */     // GIR_Coverage, 4843,
     /*  997788 */     GIR_EraseRootFromParent_Done,
     /*  997789 */   // Label 14829: @997789
     /*  997789 */   GIM_Try, /*On fail goto*//*Label 14830*/ GIMT_Encode4(997866), // Rule ID 4844 //
     /*  997794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  997805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  997808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  997811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997833 */     // MIs[0] policy
     /*  997833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997843 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11577:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /*  997846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997864 */     GIR_RootConstrainSelectedInstOperands,
     /*  997865 */     // GIR_Coverage, 4844,
     /*  997865 */     GIR_EraseRootFromParent_Done,
     /*  997866 */   // Label 14830: @997866
     /*  997866 */   GIM_Try, /*On fail goto*//*Label 14831*/ GIMT_Encode4(997943), // Rule ID 4847 //
     /*  997871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  997888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997910 */     // MIs[0] policy
     /*  997910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997920 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /*  997923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997941 */     GIR_RootConstrainSelectedInstOperands,
     /*  997942 */     // GIR_Coverage, 4847,
     /*  997942 */     GIR_EraseRootFromParent_Done,
     /*  997943 */   // Label 14831: @997943
     /*  997943 */   GIM_Try, /*On fail goto*//*Label 14832*/ GIMT_Encode4(998020), // Rule ID 4848 //
     /*  997948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  997956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  997965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997987 */     // MIs[0] policy
     /*  997987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997997 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11577:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /*  998000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998018 */     GIR_RootConstrainSelectedInstOperands,
     /*  998019 */     // GIR_Coverage, 4848,
     /*  998019 */     GIR_EraseRootFromParent_Done,
     /*  998020 */   // Label 14832: @998020
     /*  998020 */   GIM_Try, /*On fail goto*//*Label 14833*/ GIMT_Encode4(998097), // Rule ID 4851 //
     /*  998025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  998036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  998039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  998042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  998045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998064 */     // MIs[0] policy
     /*  998064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998074 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /*  998077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998095 */     GIR_RootConstrainSelectedInstOperands,
     /*  998096 */     // GIR_Coverage, 4851,
     /*  998096 */     GIR_EraseRootFromParent_Done,
     /*  998097 */   // Label 14833: @998097
     /*  998097 */   GIM_Try, /*On fail goto*//*Label 14834*/ GIMT_Encode4(998174), // Rule ID 4852 //
     /*  998102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  998105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  998113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  998116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  998119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  998122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998141 */     // MIs[0] policy
     /*  998141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998151 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11577:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /*  998154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998160 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998172 */     GIR_RootConstrainSelectedInstOperands,
     /*  998173 */     // GIR_Coverage, 4852,
     /*  998173 */     GIR_EraseRootFromParent_Done,
     /*  998174 */   // Label 14834: @998174
     /*  998174 */   GIM_Try, /*On fail goto*//*Label 14835*/ GIMT_Encode4(998251), // Rule ID 4855 //
     /*  998179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  998182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  998190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  998193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  998196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  998206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998218 */     // MIs[0] policy
     /*  998218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998228 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /*  998231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998249 */     GIR_RootConstrainSelectedInstOperands,
     /*  998250 */     // GIR_Coverage, 4855,
     /*  998250 */     GIR_EraseRootFromParent_Done,
     /*  998251 */   // Label 14835: @998251
     /*  998251 */   GIM_Try, /*On fail goto*//*Label 14836*/ GIMT_Encode4(998328), // Rule ID 4856 //
     /*  998256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  998259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  998264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  998267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  998270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  998273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  998283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998295 */     // MIs[0] policy
     /*  998295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998305 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11577:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /*  998308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998326 */     GIR_RootConstrainSelectedInstOperands,
     /*  998327 */     // GIR_Coverage, 4856,
     /*  998327 */     GIR_EraseRootFromParent_Done,
     /*  998328 */   // Label 14836: @998328
     /*  998328 */   GIM_Try, /*On fail goto*//*Label 14837*/ GIMT_Encode4(998405), // Rule ID 4859 //
     /*  998333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  998341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  998344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  998347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  998350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998372 */     // MIs[0] policy
     /*  998372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998382 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /*  998385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998391 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998403 */     GIR_RootConstrainSelectedInstOperands,
     /*  998404 */     // GIR_Coverage, 4859,
     /*  998404 */     GIR_EraseRootFromParent_Done,
     /*  998405 */   // Label 14837: @998405
     /*  998405 */   GIM_Try, /*On fail goto*//*Label 14838*/ GIMT_Encode4(998482), // Rule ID 4860 //
     /*  998410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  998418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  998421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  998424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  998427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998449 */     // MIs[0] policy
     /*  998449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998459 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /*  998462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998468 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998480 */     GIR_RootConstrainSelectedInstOperands,
     /*  998481 */     // GIR_Coverage, 4860,
     /*  998481 */     GIR_EraseRootFromParent_Done,
     /*  998482 */   // Label 14838: @998482
     /*  998482 */   GIM_Try, /*On fail goto*//*Label 14839*/ GIMT_Encode4(998559), // Rule ID 4863 //
     /*  998487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  998495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  998498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  998501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  998504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998526 */     // MIs[0] policy
     /*  998526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998536 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  998539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998557 */     GIR_RootConstrainSelectedInstOperands,
     /*  998558 */     // GIR_Coverage, 4863,
     /*  998558 */     GIR_EraseRootFromParent_Done,
     /*  998559 */   // Label 14839: @998559
     /*  998559 */   GIM_Try, /*On fail goto*//*Label 14840*/ GIMT_Encode4(998636), // Rule ID 4864 //
     /*  998564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  998572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  998575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  998578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  998581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  998584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998603 */     // MIs[0] policy
     /*  998603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998613 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  998616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998622 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998634 */     GIR_RootConstrainSelectedInstOperands,
     /*  998635 */     // GIR_Coverage, 4864,
     /*  998635 */     GIR_EraseRootFromParent_Done,
     /*  998636 */   // Label 14840: @998636
     /*  998636 */   GIM_Try, /*On fail goto*//*Label 14841*/ GIMT_Encode4(998713), // Rule ID 4867 //
     /*  998641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  998649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  998652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  998655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  998658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  998661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998680 */     // MIs[0] policy
     /*  998680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998690 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  998693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998711 */     GIR_RootConstrainSelectedInstOperands,
     /*  998712 */     // GIR_Coverage, 4867,
     /*  998712 */     GIR_EraseRootFromParent_Done,
     /*  998713 */   // Label 14841: @998713
     /*  998713 */   GIM_Try, /*On fail goto*//*Label 14842*/ GIMT_Encode4(998790), // Rule ID 4868 //
     /*  998718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  998726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  998729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  998732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  998735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  998738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998757 */     // MIs[0] policy
     /*  998757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998767 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  998770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998776 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998788 */     GIR_RootConstrainSelectedInstOperands,
     /*  998789 */     // GIR_Coverage, 4868,
     /*  998789 */     GIR_EraseRootFromParent_Done,
     /*  998790 */   // Label 14842: @998790
     /*  998790 */   GIM_Try, /*On fail goto*//*Label 14843*/ GIMT_Encode4(998867), // Rule ID 4871 //
     /*  998795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  998803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  998806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  998809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  998812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998834 */     // MIs[0] policy
     /*  998834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998844 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  998847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998865 */     GIR_RootConstrainSelectedInstOperands,
     /*  998866 */     // GIR_Coverage, 4871,
     /*  998866 */     GIR_EraseRootFromParent_Done,
     /*  998867 */   // Label 14843: @998867
     /*  998867 */   GIM_Try, /*On fail goto*//*Label 14844*/ GIMT_Encode4(998944), // Rule ID 4872 //
     /*  998872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  998880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  998883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  998886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  998889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998911 */     // MIs[0] policy
     /*  998911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998921 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  998924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998930 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  998932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998942 */     GIR_RootConstrainSelectedInstOperands,
     /*  998943 */     // GIR_Coverage, 4872,
     /*  998943 */     GIR_EraseRootFromParent_Done,
     /*  998944 */   // Label 14844: @998944
     /*  998944 */   GIM_Try, /*On fail goto*//*Label 14845*/ GIMT_Encode4(999021), // Rule ID 4875 //
     /*  998949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  998957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  998960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  998963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  998966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  998969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998988 */     // MIs[0] policy
     /*  998988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998998 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  999001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999007 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999019 */     GIR_RootConstrainSelectedInstOperands,
     /*  999020 */     // GIR_Coverage, 4875,
     /*  999020 */     GIR_EraseRootFromParent_Done,
     /*  999021 */   // Label 14845: @999021
     /*  999021 */   GIM_Try, /*On fail goto*//*Label 14846*/ GIMT_Encode4(999098), // Rule ID 4876 //
     /*  999026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  999037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  999040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  999043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  999046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999065 */     // MIs[0] policy
     /*  999065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999075 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  999078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999096 */     GIR_RootConstrainSelectedInstOperands,
     /*  999097 */     // GIR_Coverage, 4876,
     /*  999097 */     GIR_EraseRootFromParent_Done,
     /*  999098 */   // Label 14846: @999098
     /*  999098 */   GIM_Try, /*On fail goto*//*Label 14847*/ GIMT_Encode4(999175), // Rule ID 4879 //
     /*  999103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  999114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  999117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  999120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  999123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999142 */     // MIs[0] policy
     /*  999142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999152 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  999155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999173 */     GIR_RootConstrainSelectedInstOperands,
     /*  999174 */     // GIR_Coverage, 4879,
     /*  999174 */     GIR_EraseRootFromParent_Done,
     /*  999175 */   // Label 14847: @999175
     /*  999175 */   GIM_Try, /*On fail goto*//*Label 14848*/ GIMT_Encode4(999252), // Rule ID 4880 //
     /*  999180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  999191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  999194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  999197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  999200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999219 */     // MIs[0] policy
     /*  999219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999229 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  999232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999238 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999250 */     GIR_RootConstrainSelectedInstOperands,
     /*  999251 */     // GIR_Coverage, 4880,
     /*  999251 */     GIR_EraseRootFromParent_Done,
     /*  999252 */   // Label 14848: @999252
     /*  999252 */   GIM_Try, /*On fail goto*//*Label 14849*/ GIMT_Encode4(999329), // Rule ID 4883 //
     /*  999257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  999268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  999271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  999274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999296 */     // MIs[0] policy
     /*  999296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999306 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  999309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999315 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999327 */     GIR_RootConstrainSelectedInstOperands,
     /*  999328 */     // GIR_Coverage, 4883,
     /*  999328 */     GIR_EraseRootFromParent_Done,
     /*  999329 */   // Label 14849: @999329
     /*  999329 */   GIM_Try, /*On fail goto*//*Label 14850*/ GIMT_Encode4(999406), // Rule ID 4884 //
     /*  999334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  999345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  999348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  999351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999373 */     // MIs[0] policy
     /*  999373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999383 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  999386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999392 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999404 */     GIR_RootConstrainSelectedInstOperands,
     /*  999405 */     // GIR_Coverage, 4884,
     /*  999405 */     GIR_EraseRootFromParent_Done,
     /*  999406 */   // Label 14850: @999406
     /*  999406 */   GIM_Try, /*On fail goto*//*Label 14851*/ GIMT_Encode4(999483), // Rule ID 4887 //
     /*  999411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  999422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  999425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  999428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999450 */     // MIs[0] policy
     /*  999450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999460 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  999463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999481 */     GIR_RootConstrainSelectedInstOperands,
     /*  999482 */     // GIR_Coverage, 4887,
     /*  999482 */     GIR_EraseRootFromParent_Done,
     /*  999483 */   // Label 14851: @999483
     /*  999483 */   GIM_Try, /*On fail goto*//*Label 14852*/ GIMT_Encode4(999560), // Rule ID 4888 //
     /*  999488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  999499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  999502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  999505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999527 */     // MIs[0] policy
     /*  999527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999537 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  999540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999558 */     GIR_RootConstrainSelectedInstOperands,
     /*  999559 */     // GIR_Coverage, 4888,
     /*  999559 */     GIR_EraseRootFromParent_Done,
     /*  999560 */   // Label 14852: @999560
     /*  999560 */   GIM_Try, /*On fail goto*//*Label 14853*/ GIMT_Encode4(999637), // Rule ID 4891 //
     /*  999565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  999576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  999579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  999582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  999592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999604 */     // MIs[0] policy
     /*  999604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999614 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  999617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999635 */     GIR_RootConstrainSelectedInstOperands,
     /*  999636 */     // GIR_Coverage, 4891,
     /*  999636 */     GIR_EraseRootFromParent_Done,
     /*  999637 */   // Label 14853: @999637
     /*  999637 */   GIM_Try, /*On fail goto*//*Label 14854*/ GIMT_Encode4(999714), // Rule ID 4892 //
     /*  999642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  999653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  999656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  999659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  999669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999681 */     // MIs[0] policy
     /*  999681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999691 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  999694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999700 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999712 */     GIR_RootConstrainSelectedInstOperands,
     /*  999713 */     // GIR_Coverage, 4892,
     /*  999713 */     GIR_EraseRootFromParent_Done,
     /*  999714 */   // Label 14854: @999714
     /*  999714 */   GIM_Try, /*On fail goto*//*Label 14855*/ GIMT_Encode4(999791), // Rule ID 4895 //
     /*  999719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  999730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  999733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  999736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999758 */     // MIs[0] policy
     /*  999758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999768 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  999771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999789 */     GIR_RootConstrainSelectedInstOperands,
     /*  999790 */     // GIR_Coverage, 4895,
     /*  999790 */     GIR_EraseRootFromParent_Done,
     /*  999791 */   // Label 14855: @999791
     /*  999791 */   GIM_Try, /*On fail goto*//*Label 14856*/ GIMT_Encode4(999868), // Rule ID 4896 //
     /*  999796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  999807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  999810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  999813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999835 */     // MIs[0] policy
     /*  999835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999845 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  999848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999854 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999866 */     GIR_RootConstrainSelectedInstOperands,
     /*  999867 */     // GIR_Coverage, 4896,
     /*  999867 */     GIR_EraseRootFromParent_Done,
     /*  999868 */   // Label 14856: @999868
     /*  999868 */   GIM_Try, /*On fail goto*//*Label 14857*/ GIMT_Encode4(999945), // Rule ID 4899 //
     /*  999873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  999884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  999887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  999890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  999893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999912 */     // MIs[0] policy
     /*  999912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999922 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  999925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999943 */     GIR_RootConstrainSelectedInstOperands,
     /*  999944 */     // GIR_Coverage, 4899,
     /*  999944 */     GIR_EraseRootFromParent_Done,
     /*  999945 */   // Label 14857: @999945
     /*  999945 */   GIM_Try, /*On fail goto*//*Label 14858*/ GIMT_Encode4(1000022), // Rule ID 4900 //
     /*  999950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  999958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  999961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  999964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  999967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  999970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999989 */     // MIs[0] policy
     /*  999989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999999 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1000002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000008 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000021 */     // GIR_Coverage, 4900,
     /* 1000021 */     GIR_EraseRootFromParent_Done,
     /* 1000022 */   // Label 14858: @1000022
     /* 1000022 */   GIM_Try, /*On fail goto*//*Label 14859*/ GIMT_Encode4(1000099), // Rule ID 4903 //
     /* 1000027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1000030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1000038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1000041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1000044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000066 */     // MIs[0] policy
     /* 1000066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000076 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1000079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000098 */     // GIR_Coverage, 4903,
     /* 1000098 */     GIR_EraseRootFromParent_Done,
     /* 1000099 */   // Label 14859: @1000099
     /* 1000099 */   GIM_Try, /*On fail goto*//*Label 14860*/ GIMT_Encode4(1000176), // Rule ID 4904 //
     /* 1000104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1000107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1000115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1000118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1000121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000143 */     // MIs[0] policy
     /* 1000143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000153 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1000156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000162 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000175 */     // GIR_Coverage, 4904,
     /* 1000175 */     GIR_EraseRootFromParent_Done,
     /* 1000176 */   // Label 14860: @1000176
     /* 1000176 */   GIM_Try, /*On fail goto*//*Label 14861*/ GIMT_Encode4(1000253), // Rule ID 4907 //
     /* 1000181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1000184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1000192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1000195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1000198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000220 */     // MIs[0] policy
     /* 1000220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000230 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1000233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000239 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000252 */     // GIR_Coverage, 4907,
     /* 1000252 */     GIR_EraseRootFromParent_Done,
     /* 1000253 */   // Label 14861: @1000253
     /* 1000253 */   GIM_Try, /*On fail goto*//*Label 14862*/ GIMT_Encode4(1000330), // Rule ID 4908 //
     /* 1000258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1000261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1000269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1000272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1000275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000297 */     // MIs[0] policy
     /* 1000297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000307 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1000310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000316 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000329 */     // GIR_Coverage, 4908,
     /* 1000329 */     GIR_EraseRootFromParent_Done,
     /* 1000330 */   // Label 14862: @1000330
     /* 1000330 */   GIM_Try, /*On fail goto*//*Label 14863*/ GIMT_Encode4(1000407), // Rule ID 4911 //
     /* 1000335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1000338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1000346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1000349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1000352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000374 */     // MIs[0] policy
     /* 1000374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000384 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1000387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000406 */     // GIR_Coverage, 4911,
     /* 1000406 */     GIR_EraseRootFromParent_Done,
     /* 1000407 */   // Label 14863: @1000407
     /* 1000407 */   GIM_Try, /*On fail goto*//*Label 14864*/ GIMT_Encode4(1000484), // Rule ID 4912 //
     /* 1000412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1000415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1000423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1000426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1000429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000451 */     // MIs[0] policy
     /* 1000451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000461 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1000464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000470 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000483 */     // GIR_Coverage, 4912,
     /* 1000483 */     GIR_EraseRootFromParent_Done,
     /* 1000484 */   // Label 14864: @1000484
     /* 1000484 */   GIM_Try, /*On fail goto*//*Label 14865*/ GIMT_Encode4(1000561), // Rule ID 4915 //
     /* 1000489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1000492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1000500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1000503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1000506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000528 */     // MIs[0] policy
     /* 1000528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000538 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1000541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000560 */     // GIR_Coverage, 4915,
     /* 1000560 */     GIR_EraseRootFromParent_Done,
     /* 1000561 */   // Label 14865: @1000561
     /* 1000561 */   GIM_Try, /*On fail goto*//*Label 14866*/ GIMT_Encode4(1000638), // Rule ID 4916 //
     /* 1000566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1000569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1000577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1000580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1000583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000605 */     // MIs[0] policy
     /* 1000605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000615 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1000618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000637 */     // GIR_Coverage, 4916,
     /* 1000637 */     GIR_EraseRootFromParent_Done,
     /* 1000638 */   // Label 14866: @1000638
     /* 1000638 */   GIM_Try, /*On fail goto*//*Label 14867*/ GIMT_Encode4(1000715), // Rule ID 4919 //
     /* 1000643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1000654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1000657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1000660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000682 */     // MIs[0] policy
     /* 1000682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000692 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /* 1000695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000714 */     // GIR_Coverage, 4919,
     /* 1000714 */     GIR_EraseRootFromParent_Done,
     /* 1000715 */   // Label 14867: @1000715
     /* 1000715 */   GIM_Try, /*On fail goto*//*Label 14868*/ GIMT_Encode4(1000792), // Rule ID 4920 //
     /* 1000720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1000731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1000734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1000737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000759 */     // MIs[0] policy
     /* 1000759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000769 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /* 1000772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000778 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000791 */     // GIR_Coverage, 4920,
     /* 1000791 */     GIR_EraseRootFromParent_Done,
     /* 1000792 */   // Label 14868: @1000792
     /* 1000792 */   GIM_Try, /*On fail goto*//*Label 14869*/ GIMT_Encode4(1000869), // Rule ID 4923 //
     /* 1000797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1000808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1000811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1000814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000836 */     // MIs[0] policy
     /* 1000836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000846 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1000849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000855 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000868 */     // GIR_Coverage, 4923,
     /* 1000868 */     GIR_EraseRootFromParent_Done,
     /* 1000869 */   // Label 14869: @1000869
     /* 1000869 */   GIM_Try, /*On fail goto*//*Label 14870*/ GIMT_Encode4(1000946), // Rule ID 4924 //
     /* 1000874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1000885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1000888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1000891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000913 */     // MIs[0] policy
     /* 1000913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000923 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1000926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000932 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000945 */     // GIR_Coverage, 4924,
     /* 1000945 */     GIR_EraseRootFromParent_Done,
     /* 1000946 */   // Label 14870: @1000946
     /* 1000946 */   GIM_Try, /*On fail goto*//*Label 14871*/ GIMT_Encode4(1001023), // Rule ID 4927 //
     /* 1000951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1000959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1000962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1000965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1000968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000990 */     // MIs[0] policy
     /* 1000990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001000 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1001003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001022 */     // GIR_Coverage, 4927,
     /* 1001022 */     GIR_EraseRootFromParent_Done,
     /* 1001023 */   // Label 14871: @1001023
     /* 1001023 */   GIM_Try, /*On fail goto*//*Label 14872*/ GIMT_Encode4(1001100), // Rule ID 4928 //
     /* 1001028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1001039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1001042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1001045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001067 */     // MIs[0] policy
     /* 1001067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001077 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1001080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001099 */     // GIR_Coverage, 4928,
     /* 1001099 */     GIR_EraseRootFromParent_Done,
     /* 1001100 */   // Label 14872: @1001100
     /* 1001100 */   GIM_Try, /*On fail goto*//*Label 14873*/ GIMT_Encode4(1001177), // Rule ID 4931 //
     /* 1001105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1001116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1001119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1001122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001144 */     // MIs[0] policy
     /* 1001144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001154 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1001157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001163 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001176 */     // GIR_Coverage, 4931,
     /* 1001176 */     GIR_EraseRootFromParent_Done,
     /* 1001177 */   // Label 14873: @1001177
     /* 1001177 */   GIM_Try, /*On fail goto*//*Label 14874*/ GIMT_Encode4(1001254), // Rule ID 4932 //
     /* 1001182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1001193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1001196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1001199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001221 */     // MIs[0] policy
     /* 1001221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001231 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1001234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001240 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001253 */     // GIR_Coverage, 4932,
     /* 1001253 */     GIR_EraseRootFromParent_Done,
     /* 1001254 */   // Label 14874: @1001254
     /* 1001254 */   GIM_Try, /*On fail goto*//*Label 14875*/ GIMT_Encode4(1001331), // Rule ID 4935 //
     /* 1001259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1001270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1001273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1001276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1001279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001298 */     // MIs[0] policy
     /* 1001298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001308 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1001311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001330 */     // GIR_Coverage, 4935,
     /* 1001330 */     GIR_EraseRootFromParent_Done,
     /* 1001331 */   // Label 14875: @1001331
     /* 1001331 */   GIM_Try, /*On fail goto*//*Label 14876*/ GIMT_Encode4(1001408), // Rule ID 4936 //
     /* 1001336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1001347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1001350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1001353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1001356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001375 */     // MIs[0] policy
     /* 1001375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001385 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1001388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001394 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001407 */     // GIR_Coverage, 4936,
     /* 1001407 */     GIR_EraseRootFromParent_Done,
     /* 1001408 */   // Label 14876: @1001408
     /* 1001408 */   GIM_Try, /*On fail goto*//*Label 14877*/ GIMT_Encode4(1001485), // Rule ID 4939 //
     /* 1001413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1001424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1001427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1001430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001452 */     // MIs[0] policy
     /* 1001452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001462 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1001465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001471 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001484 */     // GIR_Coverage, 4939,
     /* 1001484 */     GIR_EraseRootFromParent_Done,
     /* 1001485 */   // Label 14877: @1001485
     /* 1001485 */   GIM_Try, /*On fail goto*//*Label 14878*/ GIMT_Encode4(1001562), // Rule ID 4940 //
     /* 1001490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1001501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1001504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1001507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001529 */     // MIs[0] policy
     /* 1001529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001539 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1001542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001548 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001561 */     // GIR_Coverage, 4940,
     /* 1001561 */     GIR_EraseRootFromParent_Done,
     /* 1001562 */   // Label 14878: @1001562
     /* 1001562 */   GIM_Try, /*On fail goto*//*Label 14879*/ GIMT_Encode4(1001639), // Rule ID 4943 //
     /* 1001567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1001578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1001581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1001584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001606 */     // MIs[0] policy
     /* 1001606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001616 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1001619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001638 */     // GIR_Coverage, 4943,
     /* 1001638 */     GIR_EraseRootFromParent_Done,
     /* 1001639 */   // Label 14879: @1001639
     /* 1001639 */   GIM_Try, /*On fail goto*//*Label 14880*/ GIMT_Encode4(1001716), // Rule ID 4944 //
     /* 1001644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1001655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1001658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1001661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001683 */     // MIs[0] policy
     /* 1001683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001693 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1001696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001715 */     // GIR_Coverage, 4944,
     /* 1001715 */     GIR_EraseRootFromParent_Done,
     /* 1001716 */   // Label 14880: @1001716
     /* 1001716 */   GIM_Try, /*On fail goto*//*Label 14881*/ GIMT_Encode4(1001793), // Rule ID 4947 //
     /* 1001721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1001732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1001735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1001738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001760 */     // MIs[0] policy
     /* 1001760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001770 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1001773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001792 */     // GIR_Coverage, 4947,
     /* 1001792 */     GIR_EraseRootFromParent_Done,
     /* 1001793 */   // Label 14881: @1001793
     /* 1001793 */   GIM_Try, /*On fail goto*//*Label 14882*/ GIMT_Encode4(1001870), // Rule ID 4948 //
     /* 1001798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1001809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1001812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1001815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001837 */     // MIs[0] policy
     /* 1001837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001847 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1001850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001856 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001869 */     // GIR_Coverage, 4948,
     /* 1001869 */     GIR_EraseRootFromParent_Done,
     /* 1001870 */   // Label 14882: @1001870
     /* 1001870 */   GIM_Try, /*On fail goto*//*Label 14883*/ GIMT_Encode4(1001947), // Rule ID 4951 //
     /* 1001875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1001878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1001886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1001889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1001892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001914 */     // MIs[0] policy
     /* 1001914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001924 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1001927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001946 */     // GIR_Coverage, 4951,
     /* 1001946 */     GIR_EraseRootFromParent_Done,
     /* 1001947 */   // Label 14883: @1001947
     /* 1001947 */   GIM_Try, /*On fail goto*//*Label 14884*/ GIMT_Encode4(1002024), // Rule ID 4952 //
     /* 1001952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1001955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1001960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1001963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1001966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1001969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001991 */     // MIs[0] policy
     /* 1001991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002001 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1002004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002010 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002023 */     // GIR_Coverage, 4952,
     /* 1002023 */     GIR_EraseRootFromParent_Done,
     /* 1002024 */   // Label 14884: @1002024
     /* 1002024 */   GIM_Try, /*On fail goto*//*Label 14885*/ GIMT_Encode4(1002101), // Rule ID 4955 //
     /* 1002029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1002040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1002043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1002046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002068 */     // MIs[0] policy
     /* 1002068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /* 1002081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002100 */     // GIR_Coverage, 4955,
     /* 1002100 */     GIR_EraseRootFromParent_Done,
     /* 1002101 */   // Label 14885: @1002101
     /* 1002101 */   GIM_Try, /*On fail goto*//*Label 14886*/ GIMT_Encode4(1002178), // Rule ID 4956 //
     /* 1002106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1002117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1002120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1002123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002145 */     // MIs[0] policy
     /* 1002145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002155 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /* 1002158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002177 */     // GIR_Coverage, 4956,
     /* 1002177 */     GIR_EraseRootFromParent_Done,
     /* 1002178 */   // Label 14886: @1002178
     /* 1002178 */   GIM_Try, /*On fail goto*//*Label 14887*/ GIMT_Encode4(1002255), // Rule ID 4959 //
     /* 1002183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1002194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1002197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1002200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002222 */     // MIs[0] policy
     /* 1002222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002232 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /* 1002235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002254 */     // GIR_Coverage, 4959,
     /* 1002254 */     GIR_EraseRootFromParent_Done,
     /* 1002255 */   // Label 14887: @1002255
     /* 1002255 */   GIM_Try, /*On fail goto*//*Label 14888*/ GIMT_Encode4(1002332), // Rule ID 4960 //
     /* 1002260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1002271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1002274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1002277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002299 */     // MIs[0] policy
     /* 1002299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002309 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /* 1002312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002318 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002331 */     // GIR_Coverage, 4960,
     /* 1002331 */     GIR_EraseRootFromParent_Done,
     /* 1002332 */   // Label 14888: @1002332
     /* 1002332 */   GIM_Try, /*On fail goto*//*Label 14889*/ GIMT_Encode4(1002409), // Rule ID 4963 //
     /* 1002337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1002348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1002351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1002354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002376 */     // MIs[0] policy
     /* 1002376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002386 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /* 1002389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002395 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002408 */     // GIR_Coverage, 4963,
     /* 1002408 */     GIR_EraseRootFromParent_Done,
     /* 1002409 */   // Label 14889: @1002409
     /* 1002409 */   GIM_Try, /*On fail goto*//*Label 14890*/ GIMT_Encode4(1002486), // Rule ID 4964 //
     /* 1002414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1002425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1002428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1002431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002453 */     // MIs[0] policy
     /* 1002453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002463 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /* 1002466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002472 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002485 */     // GIR_Coverage, 4964,
     /* 1002485 */     GIR_EraseRootFromParent_Done,
     /* 1002486 */   // Label 14890: @1002486
     /* 1002486 */   GIM_Try, /*On fail goto*//*Label 14891*/ GIMT_Encode4(1002563), // Rule ID 4967 //
     /* 1002491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1002502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1002505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1002508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002530 */     // MIs[0] policy
     /* 1002530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002540 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /* 1002543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002562 */     // GIR_Coverage, 4967,
     /* 1002562 */     GIR_EraseRootFromParent_Done,
     /* 1002563 */   // Label 14891: @1002563
     /* 1002563 */   GIM_Try, /*On fail goto*//*Label 14892*/ GIMT_Encode4(1002640), // Rule ID 4968 //
     /* 1002568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1002576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1002579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1002582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1002585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002607 */     // MIs[0] policy
     /* 1002607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002617 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /* 1002620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002626 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002639 */     // GIR_Coverage, 4968,
     /* 1002639 */     GIR_EraseRootFromParent_Done,
     /* 1002640 */   // Label 14892: @1002640
     /* 1002640 */   GIM_Try, /*On fail goto*//*Label 14893*/ GIMT_Encode4(1002717), // Rule ID 12579 //
     /* 1002645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1002653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1002656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1002659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1002662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1002665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002684 */     // MIs[0] policy
     /* 1002684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002694 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1002697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1002713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002716 */     // GIR_Coverage, 12579,
     /* 1002716 */     GIR_EraseRootFromParent_Done,
     /* 1002717 */   // Label 14893: @1002717
     /* 1002717 */   GIM_Try, /*On fail goto*//*Label 14894*/ GIMT_Encode4(1002794), // Rule ID 12580 //
     /* 1002722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1002730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1002733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1002736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1002739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1002742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002761 */     // MIs[0] policy
     /* 1002761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002771 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1002774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1002790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002793 */     // GIR_Coverage, 12580,
     /* 1002793 */     GIR_EraseRootFromParent_Done,
     /* 1002794 */   // Label 14894: @1002794
     /* 1002794 */   GIM_Try, /*On fail goto*//*Label 14895*/ GIMT_Encode4(1002871), // Rule ID 12583 //
     /* 1002799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1002807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1002810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1002813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1002816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1002819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002838 */     // MIs[0] policy
     /* 1002838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002848 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1002851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1002867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002870 */     // GIR_Coverage, 12583,
     /* 1002870 */     GIR_EraseRootFromParent_Done,
     /* 1002871 */   // Label 14895: @1002871
     /* 1002871 */   GIM_Try, /*On fail goto*//*Label 14896*/ GIMT_Encode4(1002948), // Rule ID 12584 //
     /* 1002876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1002884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1002887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1002890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1002893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1002896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002915 */     // MIs[0] policy
     /* 1002915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002925 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1002928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1002944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002947 */     // GIR_Coverage, 12584,
     /* 1002947 */     GIR_EraseRootFromParent_Done,
     /* 1002948 */   // Label 14896: @1002948
     /* 1002948 */   GIM_Try, /*On fail goto*//*Label 14897*/ GIMT_Encode4(1003025), // Rule ID 12587 //
     /* 1002953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1002961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1002964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1002967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1002970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1002973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002992 */     // MIs[0] policy
     /* 1002992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003002 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1003005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1003021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003024 */     // GIR_Coverage, 12587,
     /* 1003024 */     GIR_EraseRootFromParent_Done,
     /* 1003025 */   // Label 14897: @1003025
     /* 1003025 */   GIM_Try, /*On fail goto*//*Label 14898*/ GIMT_Encode4(1003102), // Rule ID 12588 //
     /* 1003030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1003041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1003044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1003047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1003050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003069 */     // MIs[0] policy
     /* 1003069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003079 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1003082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1003098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003101 */     // GIR_Coverage, 12588,
     /* 1003101 */     GIR_EraseRootFromParent_Done,
     /* 1003102 */   // Label 14898: @1003102
     /* 1003102 */   GIM_Try, /*On fail goto*//*Label 14899*/ GIMT_Encode4(1003179), // Rule ID 12591 //
     /* 1003107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1003118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1003121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1003124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1003127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003146 */     // MIs[0] policy
     /* 1003146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003156 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1003159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1003175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003178 */     // GIR_Coverage, 12591,
     /* 1003178 */     GIR_EraseRootFromParent_Done,
     /* 1003179 */   // Label 14899: @1003179
     /* 1003179 */   GIM_Try, /*On fail goto*//*Label 14900*/ GIMT_Encode4(1003256), // Rule ID 12592 //
     /* 1003184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1003195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1003198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1003201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1003204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003223 */     // MIs[0] policy
     /* 1003223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003233 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1003236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1003252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003255 */     // GIR_Coverage, 12592,
     /* 1003255 */     GIR_EraseRootFromParent_Done,
     /* 1003256 */   // Label 14900: @1003256
     /* 1003256 */   GIM_Try, /*On fail goto*//*Label 14901*/ GIMT_Encode4(1003333), // Rule ID 12595 //
     /* 1003261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1003272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1003275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1003278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1003281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003300 */     // MIs[0] policy
     /* 1003300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003310 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1003313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003332 */     // GIR_Coverage, 12595,
     /* 1003332 */     GIR_EraseRootFromParent_Done,
     /* 1003333 */   // Label 14901: @1003333
     /* 1003333 */   GIM_Try, /*On fail goto*//*Label 14902*/ GIMT_Encode4(1003410), // Rule ID 12596 //
     /* 1003338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1003349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1003352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1003355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1003358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003377 */     // MIs[0] policy
     /* 1003377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003387 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1003390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003409 */     // GIR_Coverage, 12596,
     /* 1003409 */     GIR_EraseRootFromParent_Done,
     /* 1003410 */   // Label 14902: @1003410
     /* 1003410 */   GIM_Try, /*On fail goto*//*Label 14903*/ GIMT_Encode4(1003487), // Rule ID 12599 //
     /* 1003415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1003426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1003429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1003432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1003435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003454 */     // MIs[0] policy
     /* 1003454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003464 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1003467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1003483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003486 */     // GIR_Coverage, 12599,
     /* 1003486 */     GIR_EraseRootFromParent_Done,
     /* 1003487 */   // Label 14903: @1003487
     /* 1003487 */   GIM_Try, /*On fail goto*//*Label 14904*/ GIMT_Encode4(1003564), // Rule ID 12600 //
     /* 1003492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1003503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1003506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1003509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1003512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003531 */     // MIs[0] policy
     /* 1003531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003541 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1003544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1003560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003563 */     // GIR_Coverage, 12600,
     /* 1003563 */     GIR_EraseRootFromParent_Done,
     /* 1003564 */   // Label 14904: @1003564
     /* 1003564 */   GIM_Try, /*On fail goto*//*Label 14905*/ GIMT_Encode4(1003641), // Rule ID 12603 //
     /* 1003569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1003580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1003583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1003586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1003589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003608 */     // MIs[0] policy
     /* 1003608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003618 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1003621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1003637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003640 */     // GIR_Coverage, 12603,
     /* 1003640 */     GIR_EraseRootFromParent_Done,
     /* 1003641 */   // Label 14905: @1003641
     /* 1003641 */   GIM_Try, /*On fail goto*//*Label 14906*/ GIMT_Encode4(1003718), // Rule ID 12604 //
     /* 1003646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1003657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1003660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1003663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1003666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003685 */     // MIs[0] policy
     /* 1003685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003695 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1003698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1003714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003717 */     // GIR_Coverage, 12604,
     /* 1003717 */     GIR_EraseRootFromParent_Done,
     /* 1003718 */   // Label 14906: @1003718
     /* 1003718 */   GIM_Try, /*On fail goto*//*Label 14907*/ GIMT_Encode4(1003795), // Rule ID 12607 //
     /* 1003723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1003734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1003737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1003740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1003743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003762 */     // MIs[0] policy
     /* 1003762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1003775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003794 */     // GIR_Coverage, 12607,
     /* 1003794 */     GIR_EraseRootFromParent_Done,
     /* 1003795 */   // Label 14907: @1003795
     /* 1003795 */   GIM_Try, /*On fail goto*//*Label 14908*/ GIMT_Encode4(1003872), // Rule ID 12608 //
     /* 1003800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1003811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1003814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1003817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1003820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003839 */     // MIs[0] policy
     /* 1003839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003849 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1003852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003871 */     // GIR_Coverage, 12608,
     /* 1003871 */     GIR_EraseRootFromParent_Done,
     /* 1003872 */   // Label 14908: @1003872
     /* 1003872 */   GIM_Try, /*On fail goto*//*Label 14909*/ GIMT_Encode4(1003949), // Rule ID 12611 //
     /* 1003877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1003880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1003894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1003897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003916 */     // MIs[0] policy
     /* 1003916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003926 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1003929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003948 */     // GIR_Coverage, 12611,
     /* 1003948 */     GIR_EraseRootFromParent_Done,
     /* 1003949 */   // Label 14909: @1003949
     /* 1003949 */   GIM_Try, /*On fail goto*//*Label 14910*/ GIMT_Encode4(1004026), // Rule ID 12612 //
     /* 1003954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1003957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1003971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1003974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003993 */     // MIs[0] policy
     /* 1003993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004003 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1004006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004025 */     // GIR_Coverage, 12612,
     /* 1004025 */     GIR_EraseRootFromParent_Done,
     /* 1004026 */   // Label 14910: @1004026
     /* 1004026 */   GIM_Try, /*On fail goto*//*Label 14911*/ GIMT_Encode4(1004103), // Rule ID 12615 //
     /* 1004031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1004042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1004045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1004048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1004051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004070 */     // MIs[0] policy
     /* 1004070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004080 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1004083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004102 */     // GIR_Coverage, 12615,
     /* 1004102 */     GIR_EraseRootFromParent_Done,
     /* 1004103 */   // Label 14911: @1004103
     /* 1004103 */   GIM_Try, /*On fail goto*//*Label 14912*/ GIMT_Encode4(1004180), // Rule ID 12616 //
     /* 1004108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1004119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1004122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1004125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1004128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004147 */     // MIs[0] policy
     /* 1004147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004157 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1004160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004179 */     // GIR_Coverage, 12616,
     /* 1004179 */     GIR_EraseRootFromParent_Done,
     /* 1004180 */   // Label 14912: @1004180
     /* 1004180 */   GIM_Try, /*On fail goto*//*Label 14913*/ GIMT_Encode4(1004257), // Rule ID 12619 //
     /* 1004185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1004196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1004199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1004202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1004205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004224 */     // MIs[0] policy
     /* 1004224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004234 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1004237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004256 */     // GIR_Coverage, 12619,
     /* 1004256 */     GIR_EraseRootFromParent_Done,
     /* 1004257 */   // Label 14913: @1004257
     /* 1004257 */   GIM_Try, /*On fail goto*//*Label 14914*/ GIMT_Encode4(1004334), // Rule ID 12620 //
     /* 1004262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1004273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1004276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1004279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1004282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004301 */     // MIs[0] policy
     /* 1004301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004311 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1004314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004333 */     // GIR_Coverage, 12620,
     /* 1004333 */     GIR_EraseRootFromParent_Done,
     /* 1004334 */   // Label 14914: @1004334
     /* 1004334 */   GIM_Try, /*On fail goto*//*Label 14915*/ GIMT_Encode4(1004411), // Rule ID 12623 //
     /* 1004339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1004350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1004353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1004356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1004359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004378 */     // MIs[0] policy
     /* 1004378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004388 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1004391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004410 */     // GIR_Coverage, 12623,
     /* 1004410 */     GIR_EraseRootFromParent_Done,
     /* 1004411 */   // Label 14915: @1004411
     /* 1004411 */   GIM_Try, /*On fail goto*//*Label 14916*/ GIMT_Encode4(1004488), // Rule ID 12624 //
     /* 1004416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1004427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1004430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1004433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1004436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004455 */     // MIs[0] policy
     /* 1004455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004465 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1004468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004487 */     // GIR_Coverage, 12624,
     /* 1004487 */     GIR_EraseRootFromParent_Done,
     /* 1004488 */   // Label 14916: @1004488
     /* 1004488 */   GIM_Try, /*On fail goto*//*Label 14917*/ GIMT_Encode4(1004565), // Rule ID 12627 //
     /* 1004493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1004504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1004507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1004510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1004513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004532 */     // MIs[0] policy
     /* 1004532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004542 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1004545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004564 */     // GIR_Coverage, 12627,
     /* 1004564 */     GIR_EraseRootFromParent_Done,
     /* 1004565 */   // Label 14917: @1004565
     /* 1004565 */   GIM_Try, /*On fail goto*//*Label 14918*/ GIMT_Encode4(1004642), // Rule ID 12628 //
     /* 1004570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1004581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1004584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1004587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1004590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004609 */     // MIs[0] policy
     /* 1004609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004619 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1004622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004641 */     // GIR_Coverage, 12628,
     /* 1004641 */     GIR_EraseRootFromParent_Done,
     /* 1004642 */   // Label 14918: @1004642
     /* 1004642 */   GIM_Try, /*On fail goto*//*Label 14919*/ GIMT_Encode4(1004719), // Rule ID 12631 //
     /* 1004647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1004658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1004661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1004664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1004667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004686 */     // MIs[0] policy
     /* 1004686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1004699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004718 */     // GIR_Coverage, 12631,
     /* 1004718 */     GIR_EraseRootFromParent_Done,
     /* 1004719 */   // Label 14919: @1004719
     /* 1004719 */   GIM_Try, /*On fail goto*//*Label 14920*/ GIMT_Encode4(1004796), // Rule ID 12632 //
     /* 1004724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1004735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1004738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1004741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1004744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004763 */     // MIs[0] policy
     /* 1004763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004773 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1004776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004795 */     // GIR_Coverage, 12632,
     /* 1004795 */     GIR_EraseRootFromParent_Done,
     /* 1004796 */   // Label 14920: @1004796
     /* 1004796 */   GIM_Try, /*On fail goto*//*Label 14921*/ GIMT_Encode4(1004873), // Rule ID 12635 //
     /* 1004801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1004812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1004815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1004818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1004821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004840 */     // MIs[0] policy
     /* 1004840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004850 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1004853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004872 */     // GIR_Coverage, 12635,
     /* 1004872 */     GIR_EraseRootFromParent_Done,
     /* 1004873 */   // Label 14921: @1004873
     /* 1004873 */   GIM_Try, /*On fail goto*//*Label 14922*/ GIMT_Encode4(1004950), // Rule ID 12636 //
     /* 1004878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1004889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1004892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1004895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1004898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004917 */     // MIs[0] policy
     /* 1004917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004927 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1004930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004949 */     // GIR_Coverage, 12636,
     /* 1004949 */     GIR_EraseRootFromParent_Done,
     /* 1004950 */   // Label 14922: @1004950
     /* 1004950 */   GIM_Try, /*On fail goto*//*Label 14923*/ GIMT_Encode4(1005027), // Rule ID 12639 //
     /* 1004955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1004966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1004969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1004972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1004975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004994 */     // MIs[0] policy
     /* 1004994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005004 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1005007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005026 */     // GIR_Coverage, 12639,
     /* 1005026 */     GIR_EraseRootFromParent_Done,
     /* 1005027 */   // Label 14923: @1005027
     /* 1005027 */   GIM_Try, /*On fail goto*//*Label 14924*/ GIMT_Encode4(1005104), // Rule ID 12640 //
     /* 1005032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1005043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1005046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1005049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1005052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005071 */     // MIs[0] policy
     /* 1005071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005081 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1005084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005103 */     // GIR_Coverage, 12640,
     /* 1005103 */     GIR_EraseRootFromParent_Done,
     /* 1005104 */   // Label 14924: @1005104
     /* 1005104 */   GIM_Try, /*On fail goto*//*Label 14925*/ GIMT_Encode4(1005181), // Rule ID 12643 //
     /* 1005109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1005120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1005123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1005126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1005129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005148 */     // MIs[0] policy
     /* 1005148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005158 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1005161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005180 */     // GIR_Coverage, 12643,
     /* 1005180 */     GIR_EraseRootFromParent_Done,
     /* 1005181 */   // Label 14925: @1005181
     /* 1005181 */   GIM_Try, /*On fail goto*//*Label 14926*/ GIMT_Encode4(1005258), // Rule ID 12644 //
     /* 1005186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1005197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1005200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1005203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1005206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005225 */     // MIs[0] policy
     /* 1005225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005235 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1005238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005257 */     // GIR_Coverage, 12644,
     /* 1005257 */     GIR_EraseRootFromParent_Done,
     /* 1005258 */   // Label 14926: @1005258
     /* 1005258 */   GIM_Try, /*On fail goto*//*Label 14927*/ GIMT_Encode4(1005335), // Rule ID 12647 //
     /* 1005263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1005274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1005277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1005280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1005283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005302 */     // MIs[0] policy
     /* 1005302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005312 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1005315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005334 */     // GIR_Coverage, 12647,
     /* 1005334 */     GIR_EraseRootFromParent_Done,
     /* 1005335 */   // Label 14927: @1005335
     /* 1005335 */   GIM_Try, /*On fail goto*//*Label 14928*/ GIMT_Encode4(1005412), // Rule ID 12648 //
     /* 1005340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1005351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1005354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1005357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1005360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005379 */     // MIs[0] policy
     /* 1005379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005389 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1005392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005411 */     // GIR_Coverage, 12648,
     /* 1005411 */     GIR_EraseRootFromParent_Done,
     /* 1005412 */   // Label 14928: @1005412
     /* 1005412 */   GIM_Try, /*On fail goto*//*Label 14929*/ GIMT_Encode4(1005489), // Rule ID 12651 //
     /* 1005417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1005420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1005428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1005431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1005434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1005437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005456 */     // MIs[0] policy
     /* 1005456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005466 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1005469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1005485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005488 */     // GIR_Coverage, 12651,
     /* 1005488 */     GIR_EraseRootFromParent_Done,
     /* 1005489 */   // Label 14929: @1005489
     /* 1005489 */   GIM_Try, /*On fail goto*//*Label 14930*/ GIMT_Encode4(1005566), // Rule ID 12652 //
     /* 1005494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1005497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1005505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1005508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1005511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1005514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005533 */     // MIs[0] policy
     /* 1005533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005543 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1005546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1005562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005565 */     // GIR_Coverage, 12652,
     /* 1005565 */     GIR_EraseRootFromParent_Done,
     /* 1005566 */   // Label 14930: @1005566
     /* 1005566 */   GIM_Try, /*On fail goto*//*Label 14931*/ GIMT_Encode4(1005643), // Rule ID 12655 //
     /* 1005571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1005574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1005582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1005585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1005588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1005591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005610 */     // MIs[0] policy
     /* 1005610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005620 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1005623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1005639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005642 */     // GIR_Coverage, 12655,
     /* 1005642 */     GIR_EraseRootFromParent_Done,
     /* 1005643 */   // Label 14931: @1005643
     /* 1005643 */   GIM_Try, /*On fail goto*//*Label 14932*/ GIMT_Encode4(1005720), // Rule ID 12656 //
     /* 1005648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1005651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1005659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1005662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1005665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1005668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005687 */     // MIs[0] policy
     /* 1005687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005697 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1005700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1005716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005719 */     // GIR_Coverage, 12656,
     /* 1005719 */     GIR_EraseRootFromParent_Done,
     /* 1005720 */   // Label 14932: @1005720
     /* 1005720 */   GIM_Try, /*On fail goto*//*Label 14933*/ GIMT_Encode4(1005797), // Rule ID 12659 //
     /* 1005725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1005728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1005736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1005739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1005742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1005745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005764 */     // MIs[0] policy
     /* 1005764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005774 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1005777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1005793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005796 */     // GIR_Coverage, 12659,
     /* 1005796 */     GIR_EraseRootFromParent_Done,
     /* 1005797 */   // Label 14933: @1005797
     /* 1005797 */   GIM_Try, /*On fail goto*//*Label 14934*/ GIMT_Encode4(1005874), // Rule ID 12660 //
     /* 1005802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1005805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1005813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1005816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1005819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1005822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005841 */     // MIs[0] policy
     /* 1005841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005851 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1005854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1005870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005873 */     // GIR_Coverage, 12660,
     /* 1005873 */     GIR_EraseRootFromParent_Done,
     /* 1005874 */   // Label 14934: @1005874
     /* 1005874 */   GIM_Try, /*On fail goto*//*Label 14935*/ GIMT_Encode4(1005951), // Rule ID 12663 //
     /* 1005879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1005890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1005893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1005896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1005899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1005914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005918 */     // MIs[0] policy
     /* 1005918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005928 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1005931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005950 */     // GIR_Coverage, 12663,
     /* 1005950 */     GIR_EraseRootFromParent_Done,
     /* 1005951 */   // Label 14935: @1005951
     /* 1005951 */   GIM_Try, /*On fail goto*//*Label 14936*/ GIMT_Encode4(1006028), // Rule ID 12664 //
     /* 1005956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1005964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1005967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1005970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1005973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1005976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1005991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005995 */     // MIs[0] policy
     /* 1005995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006005 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1006008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006027 */     // GIR_Coverage, 12664,
     /* 1006027 */     GIR_EraseRootFromParent_Done,
     /* 1006028 */   // Label 14936: @1006028
     /* 1006028 */   GIM_Try, /*On fail goto*//*Label 14937*/ GIMT_Encode4(1006105), // Rule ID 12667 //
     /* 1006033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1006044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1006047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1006050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1006053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006072 */     // MIs[0] policy
     /* 1006072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006082 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1006085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006104 */     // GIR_Coverage, 12667,
     /* 1006104 */     GIR_EraseRootFromParent_Done,
     /* 1006105 */   // Label 14937: @1006105
     /* 1006105 */   GIM_Try, /*On fail goto*//*Label 14938*/ GIMT_Encode4(1006182), // Rule ID 12668 //
     /* 1006110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1006121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1006124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1006127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1006130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006149 */     // MIs[0] policy
     /* 1006149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006159 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1006162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006181 */     // GIR_Coverage, 12668,
     /* 1006181 */     GIR_EraseRootFromParent_Done,
     /* 1006182 */   // Label 14938: @1006182
     /* 1006182 */   GIM_Try, /*On fail goto*//*Label 14939*/ GIMT_Encode4(1006259), // Rule ID 12671 //
     /* 1006187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1006198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1006201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1006204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1006207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006226 */     // MIs[0] policy
     /* 1006226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006236 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1006239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006258 */     // GIR_Coverage, 12671,
     /* 1006258 */     GIR_EraseRootFromParent_Done,
     /* 1006259 */   // Label 14939: @1006259
     /* 1006259 */   GIM_Try, /*On fail goto*//*Label 14940*/ GIMT_Encode4(1006336), // Rule ID 12672 //
     /* 1006264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1006275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1006278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1006281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1006284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006303 */     // MIs[0] policy
     /* 1006303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006313 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1006316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006335 */     // GIR_Coverage, 12672,
     /* 1006335 */     GIR_EraseRootFromParent_Done,
     /* 1006336 */   // Label 14940: @1006336
     /* 1006336 */   GIM_Try, /*On fail goto*//*Label 14941*/ GIMT_Encode4(1006413), // Rule ID 12675 //
     /* 1006341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1006352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1006355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1006358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1006361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006380 */     // MIs[0] policy
     /* 1006380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006390 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1006393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006412 */     // GIR_Coverage, 12675,
     /* 1006412 */     GIR_EraseRootFromParent_Done,
     /* 1006413 */   // Label 14941: @1006413
     /* 1006413 */   GIM_Try, /*On fail goto*//*Label 14942*/ GIMT_Encode4(1006490), // Rule ID 12676 //
     /* 1006418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1006429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1006432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1006435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1006438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006457 */     // MIs[0] policy
     /* 1006457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006467 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1006470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006489 */     // GIR_Coverage, 12676,
     /* 1006489 */     GIR_EraseRootFromParent_Done,
     /* 1006490 */   // Label 14942: @1006490
     /* 1006490 */   GIM_Try, /*On fail goto*//*Label 14943*/ GIMT_Encode4(1006567), // Rule ID 12679 //
     /* 1006495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1006506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1006509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1006512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1006515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006534 */     // MIs[0] policy
     /* 1006534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006544 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1006547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006566 */     // GIR_Coverage, 12679,
     /* 1006566 */     GIR_EraseRootFromParent_Done,
     /* 1006567 */   // Label 14943: @1006567
     /* 1006567 */   GIM_Try, /*On fail goto*//*Label 14944*/ GIMT_Encode4(1006644), // Rule ID 12680 //
     /* 1006572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1006583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1006586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1006589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1006592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006611 */     // MIs[0] policy
     /* 1006611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006621 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1006624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006643 */     // GIR_Coverage, 12680,
     /* 1006643 */     GIR_EraseRootFromParent_Done,
     /* 1006644 */   // Label 14944: @1006644
     /* 1006644 */   GIM_Try, /*On fail goto*//*Label 14945*/ GIMT_Encode4(1006721), // Rule ID 12683 //
     /* 1006649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1006660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1006663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1006666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1006669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006688 */     // MIs[0] policy
     /* 1006688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006698 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1006701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006720 */     // GIR_Coverage, 12683,
     /* 1006720 */     GIR_EraseRootFromParent_Done,
     /* 1006721 */   // Label 14945: @1006721
     /* 1006721 */   GIM_Try, /*On fail goto*//*Label 14946*/ GIMT_Encode4(1006798), // Rule ID 12684 //
     /* 1006726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1006737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1006740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1006743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1006746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006765 */     // MIs[0] policy
     /* 1006765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006775 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1006778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006797 */     // GIR_Coverage, 12684,
     /* 1006797 */     GIR_EraseRootFromParent_Done,
     /* 1006798 */   // Label 14946: @1006798
     /* 1006798 */   GIM_Try, /*On fail goto*//*Label 14947*/ GIMT_Encode4(1006875), // Rule ID 12687 //
     /* 1006803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1006814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1006817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1006820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1006823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006842 */     // MIs[0] policy
     /* 1006842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006852 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1006855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006874 */     // GIR_Coverage, 12687,
     /* 1006874 */     GIR_EraseRootFromParent_Done,
     /* 1006875 */   // Label 14947: @1006875
     /* 1006875 */   GIM_Try, /*On fail goto*//*Label 14948*/ GIMT_Encode4(1006952), // Rule ID 12688 //
     /* 1006880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1006891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1006894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1006897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1006900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006919 */     // MIs[0] policy
     /* 1006919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006929 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1006932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006951 */     // GIR_Coverage, 12688,
     /* 1006951 */     GIR_EraseRootFromParent_Done,
     /* 1006952 */   // Label 14948: @1006952
     /* 1006952 */   GIM_Try, /*On fail goto*//*Label 14949*/ GIMT_Encode4(1007029), // Rule ID 12691 //
     /* 1006957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1006965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1006968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1006971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1006974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1006977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006996 */     // MIs[0] policy
     /* 1006996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007006 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1007009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007028 */     // GIR_Coverage, 12691,
     /* 1007028 */     GIR_EraseRootFromParent_Done,
     /* 1007029 */   // Label 14949: @1007029
     /* 1007029 */   GIM_Try, /*On fail goto*//*Label 14950*/ GIMT_Encode4(1007106), // Rule ID 12692 //
     /* 1007034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1007045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1007048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1007054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007073 */     // MIs[0] policy
     /* 1007073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1007086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007105 */     // GIR_Coverage, 12692,
     /* 1007105 */     GIR_EraseRootFromParent_Done,
     /* 1007106 */   // Label 14950: @1007106
     /* 1007106 */   GIM_Try, /*On fail goto*//*Label 14951*/ GIMT_Encode4(1007183), // Rule ID 12695 //
     /* 1007111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1007122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1007125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1007131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007150 */     // MIs[0] policy
     /* 1007150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007160 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1007163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007182 */     // GIR_Coverage, 12695,
     /* 1007182 */     GIR_EraseRootFromParent_Done,
     /* 1007183 */   // Label 14951: @1007183
     /* 1007183 */   GIM_Try, /*On fail goto*//*Label 14952*/ GIMT_Encode4(1007260), // Rule ID 12696 //
     /* 1007188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1007199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1007202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1007208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007227 */     // MIs[0] policy
     /* 1007227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007237 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1007240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007259 */     // GIR_Coverage, 12696,
     /* 1007259 */     GIR_EraseRootFromParent_Done,
     /* 1007260 */   // Label 14952: @1007260
     /* 1007260 */   GIM_Try, /*On fail goto*//*Label 14953*/ GIMT_Encode4(1007337), // Rule ID 12699 //
     /* 1007265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1007268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1007276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1007279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1007285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007304 */     // MIs[0] policy
     /* 1007304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007314 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1007317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007336 */     // GIR_Coverage, 12699,
     /* 1007336 */     GIR_EraseRootFromParent_Done,
     /* 1007337 */   // Label 14953: @1007337
     /* 1007337 */   GIM_Try, /*On fail goto*//*Label 14954*/ GIMT_Encode4(1007414), // Rule ID 12700 //
     /* 1007342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1007345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1007353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1007356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1007362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007381 */     // MIs[0] policy
     /* 1007381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007391 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1007394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007413 */     // GIR_Coverage, 12700,
     /* 1007413 */     GIR_EraseRootFromParent_Done,
     /* 1007414 */   // Label 14954: @1007414
     /* 1007414 */   GIM_Try, /*On fail goto*//*Label 14955*/ GIMT_Encode4(1007491), // Rule ID 12703 //
     /* 1007419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1007430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1007433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1007439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007458 */     // MIs[0] policy
     /* 1007458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007468 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1007471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007490 */     // GIR_Coverage, 12703,
     /* 1007490 */     GIR_EraseRootFromParent_Done,
     /* 1007491 */   // Label 14955: @1007491
     /* 1007491 */   GIM_Try, /*On fail goto*//*Label 14956*/ GIMT_Encode4(1007568), // Rule ID 12704 //
     /* 1007496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1007507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1007510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1007516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007535 */     // MIs[0] policy
     /* 1007535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007545 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1007548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007567 */     // GIR_Coverage, 12704,
     /* 1007567 */     GIR_EraseRootFromParent_Done,
     /* 1007568 */   // Label 14956: @1007568
     /* 1007568 */   GIM_Try, /*On fail goto*//*Label 14957*/ GIMT_Encode4(1007645), // Rule ID 12707 //
     /* 1007573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1007584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1007587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1007593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007612 */     // MIs[0] policy
     /* 1007612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007622 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1007625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007644 */     // GIR_Coverage, 12707,
     /* 1007644 */     GIR_EraseRootFromParent_Done,
     /* 1007645 */   // Label 14957: @1007645
     /* 1007645 */   GIM_Try, /*On fail goto*//*Label 14958*/ GIMT_Encode4(1007722), // Rule ID 12708 //
     /* 1007650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1007661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1007664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1007670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007689 */     // MIs[0] policy
     /* 1007689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007699 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1007702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007721 */     // GIR_Coverage, 12708,
     /* 1007721 */     GIR_EraseRootFromParent_Done,
     /* 1007722 */   // Label 14958: @1007722
     /* 1007722 */   GIM_Try, /*On fail goto*//*Label 14959*/ GIMT_Encode4(1007799), // Rule ID 12711 //
     /* 1007727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1007738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1007741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1007747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007766 */     // MIs[0] policy
     /* 1007766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007776 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1007779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007798 */     // GIR_Coverage, 12711,
     /* 1007798 */     GIR_EraseRootFromParent_Done,
     /* 1007799 */   // Label 14959: @1007799
     /* 1007799 */   GIM_Try, /*On fail goto*//*Label 14960*/ GIMT_Encode4(1007876), // Rule ID 12712 //
     /* 1007804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1007815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1007818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1007824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007843 */     // MIs[0] policy
     /* 1007843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007853 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1007856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1007872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007875 */     // GIR_Coverage, 12712,
     /* 1007875 */     GIR_EraseRootFromParent_Done,
     /* 1007876 */   // Label 14960: @1007876
     /* 1007876 */   GIM_Try, /*On fail goto*//*Label 14961*/ GIMT_Encode4(1007953), // Rule ID 12715 //
     /* 1007881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1007892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1007895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1007901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007920 */     // MIs[0] policy
     /* 1007920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007930 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1007933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007952 */     // GIR_Coverage, 12715,
     /* 1007952 */     GIR_EraseRootFromParent_Done,
     /* 1007953 */   // Label 14961: @1007953
     /* 1007953 */   GIM_Try, /*On fail goto*//*Label 14962*/ GIMT_Encode4(1008030), // Rule ID 12716 //
     /* 1007958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1007966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1007969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1007972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1007975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1007978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007997 */     // MIs[0] policy
     /* 1007997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008007 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1008010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008029 */     // GIR_Coverage, 12716,
     /* 1008029 */     GIR_EraseRootFromParent_Done,
     /* 1008030 */   // Label 14962: @1008030
     /* 1008030 */   GIM_Try, /*On fail goto*//*Label 14963*/ GIMT_Encode4(1008107), // Rule ID 12719 //
     /* 1008035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1008046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1008049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1008055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008074 */     // MIs[0] policy
     /* 1008074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008084 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1008087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008106 */     // GIR_Coverage, 12719,
     /* 1008106 */     GIR_EraseRootFromParent_Done,
     /* 1008107 */   // Label 14963: @1008107
     /* 1008107 */   GIM_Try, /*On fail goto*//*Label 14964*/ GIMT_Encode4(1008184), // Rule ID 12720 //
     /* 1008112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1008123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1008126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1008132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008151 */     // MIs[0] policy
     /* 1008151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008161 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1008164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008183 */     // GIR_Coverage, 12720,
     /* 1008183 */     GIR_EraseRootFromParent_Done,
     /* 1008184 */   // Label 14964: @1008184
     /* 1008184 */   GIM_Try, /*On fail goto*//*Label 14965*/ GIMT_Encode4(1008261), // Rule ID 12723 //
     /* 1008189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1008200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1008203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1008209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008228 */     // MIs[0] policy
     /* 1008228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008238 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1008241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008260 */     // GIR_Coverage, 12723,
     /* 1008260 */     GIR_EraseRootFromParent_Done,
     /* 1008261 */   // Label 14965: @1008261
     /* 1008261 */   GIM_Try, /*On fail goto*//*Label 14966*/ GIMT_Encode4(1008338), // Rule ID 12724 //
     /* 1008266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1008277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1008280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1008286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008305 */     // MIs[0] policy
     /* 1008305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008315 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1008318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008337 */     // GIR_Coverage, 12724,
     /* 1008337 */     GIR_EraseRootFromParent_Done,
     /* 1008338 */   // Label 14966: @1008338
     /* 1008338 */   GIM_Try, /*On fail goto*//*Label 14967*/ GIMT_Encode4(1008415), // Rule ID 12727 //
     /* 1008343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1008354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1008357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1008363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008382 */     // MIs[0] policy
     /* 1008382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008392 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1008395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008414 */     // GIR_Coverage, 12727,
     /* 1008414 */     GIR_EraseRootFromParent_Done,
     /* 1008415 */   // Label 14967: @1008415
     /* 1008415 */   GIM_Try, /*On fail goto*//*Label 14968*/ GIMT_Encode4(1008492), // Rule ID 12728 //
     /* 1008420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1008431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1008434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1008440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008459 */     // MIs[0] policy
     /* 1008459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008469 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1008472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008491 */     // GIR_Coverage, 12728,
     /* 1008491 */     GIR_EraseRootFromParent_Done,
     /* 1008492 */   // Label 14968: @1008492
     /* 1008492 */   GIM_Try, /*On fail goto*//*Label 14969*/ GIMT_Encode4(1008569), // Rule ID 12731 //
     /* 1008497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1008508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1008511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1008517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008536 */     // MIs[0] policy
     /* 1008536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008546 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1008549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008568 */     // GIR_Coverage, 12731,
     /* 1008568 */     GIR_EraseRootFromParent_Done,
     /* 1008569 */   // Label 14969: @1008569
     /* 1008569 */   GIM_Try, /*On fail goto*//*Label 14970*/ GIMT_Encode4(1008646), // Rule ID 12732 //
     /* 1008574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1008585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1008588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1008594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008613 */     // MIs[0] policy
     /* 1008613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008623 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1008626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008645 */     // GIR_Coverage, 12732,
     /* 1008645 */     GIR_EraseRootFromParent_Done,
     /* 1008646 */   // Label 14970: @1008646
     /* 1008646 */   GIM_Try, /*On fail goto*//*Label 14971*/ GIMT_Encode4(1008723), // Rule ID 12735 //
     /* 1008651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1008662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1008665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1008671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008690 */     // MIs[0] policy
     /* 1008690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008700 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1008703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008722 */     // GIR_Coverage, 12735,
     /* 1008722 */     GIR_EraseRootFromParent_Done,
     /* 1008723 */   // Label 14971: @1008723
     /* 1008723 */   GIM_Try, /*On fail goto*//*Label 14972*/ GIMT_Encode4(1008800), // Rule ID 12736 //
     /* 1008728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1008739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1008742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1008748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008767 */     // MIs[0] policy
     /* 1008767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008777 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1008780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008799 */     // GIR_Coverage, 12736,
     /* 1008799 */     GIR_EraseRootFromParent_Done,
     /* 1008800 */   // Label 14972: @1008800
     /* 1008800 */   GIM_Try, /*On fail goto*//*Label 14973*/ GIMT_Encode4(1008877), // Rule ID 12739 //
     /* 1008805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1008808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1008816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1008819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1008825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008844 */     // MIs[0] policy
     /* 1008844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008854 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1008857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008876 */     // GIR_Coverage, 12739,
     /* 1008876 */     GIR_EraseRootFromParent_Done,
     /* 1008877 */   // Label 14973: @1008877
     /* 1008877 */   GIM_Try, /*On fail goto*//*Label 14974*/ GIMT_Encode4(1008954), // Rule ID 12740 //
     /* 1008882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1008885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1008893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1008896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1008902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008921 */     // MIs[0] policy
     /* 1008921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008931 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1008934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008953 */     // GIR_Coverage, 12740,
     /* 1008953 */     GIR_EraseRootFromParent_Done,
     /* 1008954 */   // Label 14974: @1008954
     /* 1008954 */   GIM_Try, /*On fail goto*//*Label 14975*/ GIMT_Encode4(1009031), // Rule ID 12743 //
     /* 1008959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1008962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1008967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1008970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1008973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1008979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008998 */     // MIs[0] policy
     /* 1008998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009008 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009030 */     // GIR_Coverage, 12743,
     /* 1009030 */     GIR_EraseRootFromParent_Done,
     /* 1009031 */   // Label 14975: @1009031
     /* 1009031 */   GIM_Try, /*On fail goto*//*Label 14976*/ GIMT_Encode4(1009108), // Rule ID 12744 //
     /* 1009036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1009039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1009047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1009050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1009056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009075 */     // MIs[0] policy
     /* 1009075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009085 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1009088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009107 */     // GIR_Coverage, 12744,
     /* 1009107 */     GIR_EraseRootFromParent_Done,
     /* 1009108 */   // Label 14976: @1009108
     /* 1009108 */   GIM_Try, /*On fail goto*//*Label 14977*/ GIMT_Encode4(1009185), // Rule ID 12747 //
     /* 1009113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1009116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1009124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1009127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1009133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009152 */     // MIs[0] policy
     /* 1009152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009162 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009184 */     // GIR_Coverage, 12747,
     /* 1009184 */     GIR_EraseRootFromParent_Done,
     /* 1009185 */   // Label 14977: @1009185
     /* 1009185 */   GIM_Try, /*On fail goto*//*Label 14978*/ GIMT_Encode4(1009262), // Rule ID 12748 //
     /* 1009190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1009193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1009201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1009204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1009210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009229 */     // MIs[0] policy
     /* 1009229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009239 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1009242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009261 */     // GIR_Coverage, 12748,
     /* 1009261 */     GIR_EraseRootFromParent_Done,
     /* 1009262 */   // Label 14978: @1009262
     /* 1009262 */   GIM_Try, /*On fail goto*//*Label 14979*/ GIMT_Encode4(1009339), // Rule ID 12751 //
     /* 1009267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1009278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1009281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1009284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1009287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009306 */     // MIs[0] policy
     /* 1009306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009316 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1009319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009338 */     // GIR_Coverage, 12751,
     /* 1009338 */     GIR_EraseRootFromParent_Done,
     /* 1009339 */   // Label 14979: @1009339
     /* 1009339 */   GIM_Try, /*On fail goto*//*Label 14980*/ GIMT_Encode4(1009416), // Rule ID 12752 //
     /* 1009344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1009355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1009358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1009361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1009364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009383 */     // MIs[0] policy
     /* 1009383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009393 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1009396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009415 */     // GIR_Coverage, 12752,
     /* 1009415 */     GIR_EraseRootFromParent_Done,
     /* 1009416 */   // Label 14980: @1009416
     /* 1009416 */   GIM_Try, /*On fail goto*//*Label 14981*/ GIMT_Encode4(1009493), // Rule ID 12755 //
     /* 1009421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1009432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1009435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1009438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1009441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009460 */     // MIs[0] policy
     /* 1009460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009470 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1009473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009492 */     // GIR_Coverage, 12755,
     /* 1009492 */     GIR_EraseRootFromParent_Done,
     /* 1009493 */   // Label 14981: @1009493
     /* 1009493 */   GIM_Try, /*On fail goto*//*Label 14982*/ GIMT_Encode4(1009570), // Rule ID 12756 //
     /* 1009498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1009509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1009512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1009515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1009518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009537 */     // MIs[0] policy
     /* 1009537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009547 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1009550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009569 */     // GIR_Coverage, 12756,
     /* 1009569 */     GIR_EraseRootFromParent_Done,
     /* 1009570 */   // Label 14982: @1009570
     /* 1009570 */   GIM_Try, /*On fail goto*//*Label 14983*/ GIMT_Encode4(1009647), // Rule ID 12759 //
     /* 1009575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1009586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1009589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1009592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1009595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009614 */     // MIs[0] policy
     /* 1009614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009624 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1009627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009646 */     // GIR_Coverage, 12759,
     /* 1009646 */     GIR_EraseRootFromParent_Done,
     /* 1009647 */   // Label 14983: @1009647
     /* 1009647 */   GIM_Try, /*On fail goto*//*Label 14984*/ GIMT_Encode4(1009724), // Rule ID 12760 //
     /* 1009652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1009663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1009666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1009669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1009672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009691 */     // MIs[0] policy
     /* 1009691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009701 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1009704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009723 */     // GIR_Coverage, 12760,
     /* 1009723 */     GIR_EraseRootFromParent_Done,
     /* 1009724 */   // Label 14984: @1009724
     /* 1009724 */   GIM_Try, /*On fail goto*//*Label 14985*/ GIMT_Encode4(1009801), // Rule ID 12763 //
     /* 1009729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1009740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1009743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1009746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1009749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009768 */     // MIs[0] policy
     /* 1009768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009778 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1009781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009800 */     // GIR_Coverage, 12763,
     /* 1009800 */     GIR_EraseRootFromParent_Done,
     /* 1009801 */   // Label 14985: @1009801
     /* 1009801 */   GIM_Try, /*On fail goto*//*Label 14986*/ GIMT_Encode4(1009878), // Rule ID 12764 //
     /* 1009806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1009817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1009820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1009823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1009826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009845 */     // MIs[0] policy
     /* 1009845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009855 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1009858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009877 */     // GIR_Coverage, 12764,
     /* 1009877 */     GIR_EraseRootFromParent_Done,
     /* 1009878 */   // Label 14986: @1009878
     /* 1009878 */   GIM_Try, /*On fail goto*//*Label 14987*/ GIMT_Encode4(1009955), // Rule ID 12767 //
     /* 1009883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1009894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1009897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1009900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1009903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009922 */     // MIs[0] policy
     /* 1009922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009932 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1009935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009954 */     // GIR_Coverage, 12767,
     /* 1009954 */     GIR_EraseRootFromParent_Done,
     /* 1009955 */   // Label 14987: @1009955
     /* 1009955 */   GIM_Try, /*On fail goto*//*Label 14988*/ GIMT_Encode4(1010032), // Rule ID 12768 //
     /* 1009960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1009971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1009974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1009977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1009980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009999 */     // MIs[0] policy
     /* 1009999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010009 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1010012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010031 */     // GIR_Coverage, 12768,
     /* 1010031 */     GIR_EraseRootFromParent_Done,
     /* 1010032 */   // Label 14988: @1010032
     /* 1010032 */   GIM_Try, /*On fail goto*//*Label 14989*/ GIMT_Encode4(1010109), // Rule ID 12771 //
     /* 1010037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1010048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1010051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1010054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1010057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010076 */     // MIs[0] policy
     /* 1010076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010086 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1010089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010108 */     // GIR_Coverage, 12771,
     /* 1010108 */     GIR_EraseRootFromParent_Done,
     /* 1010109 */   // Label 14989: @1010109
     /* 1010109 */   GIM_Try, /*On fail goto*//*Label 14990*/ GIMT_Encode4(1010186), // Rule ID 12772 //
     /* 1010114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1010125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1010128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1010131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1010134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010153 */     // MIs[0] policy
     /* 1010153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010163 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1010166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010185 */     // GIR_Coverage, 12772,
     /* 1010185 */     GIR_EraseRootFromParent_Done,
     /* 1010186 */   // Label 14990: @1010186
     /* 1010186 */   GIM_Try, /*On fail goto*//*Label 14991*/ GIMT_Encode4(1010263), // Rule ID 12775 //
     /* 1010191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1010202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1010205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1010208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1010211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010230 */     // MIs[0] policy
     /* 1010230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010240 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1010243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010262 */     // GIR_Coverage, 12775,
     /* 1010262 */     GIR_EraseRootFromParent_Done,
     /* 1010263 */   // Label 14991: @1010263
     /* 1010263 */   GIM_Try, /*On fail goto*//*Label 14992*/ GIMT_Encode4(1010340), // Rule ID 12776 //
     /* 1010268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1010279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1010282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1010285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1010288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010307 */     // MIs[0] policy
     /* 1010307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010317 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1010320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010339 */     // GIR_Coverage, 12776,
     /* 1010339 */     GIR_EraseRootFromParent_Done,
     /* 1010340 */   // Label 14992: @1010340
     /* 1010340 */   GIM_Try, /*On fail goto*//*Label 14993*/ GIMT_Encode4(1010417), // Rule ID 12779 //
     /* 1010345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1010356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1010359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1010362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1010365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010384 */     // MIs[0] policy
     /* 1010384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010394 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1010397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010416 */     // GIR_Coverage, 12779,
     /* 1010416 */     GIR_EraseRootFromParent_Done,
     /* 1010417 */   // Label 14993: @1010417
     /* 1010417 */   GIM_Try, /*On fail goto*//*Label 14994*/ GIMT_Encode4(1010494), // Rule ID 12780 //
     /* 1010422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1010433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1010436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1010439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1010442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010461 */     // MIs[0] policy
     /* 1010461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010471 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1010474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010493 */     // GIR_Coverage, 12780,
     /* 1010493 */     GIR_EraseRootFromParent_Done,
     /* 1010494 */   // Label 14994: @1010494
     /* 1010494 */   GIM_Try, /*On fail goto*//*Label 14995*/ GIMT_Encode4(1010571), // Rule ID 12783 //
     /* 1010499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1010510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1010513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1010516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1010519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010538 */     // MIs[0] policy
     /* 1010538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010548 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1010551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010570 */     // GIR_Coverage, 12783,
     /* 1010570 */     GIR_EraseRootFromParent_Done,
     /* 1010571 */   // Label 14995: @1010571
     /* 1010571 */   GIM_Try, /*On fail goto*//*Label 14996*/ GIMT_Encode4(1010648), // Rule ID 12784 //
     /* 1010576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1010587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1010590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1010593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1010596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010615 */     // MIs[0] policy
     /* 1010615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010625 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1010628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010647 */     // GIR_Coverage, 12784,
     /* 1010647 */     GIR_EraseRootFromParent_Done,
     /* 1010648 */   // Label 14996: @1010648
     /* 1010648 */   GIM_Try, /*On fail goto*//*Label 14997*/ GIMT_Encode4(1010725), // Rule ID 12787 //
     /* 1010653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1010656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1010664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1010667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1010670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1010673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010692 */     // MIs[0] policy
     /* 1010692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010702 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1010705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010724 */     // GIR_Coverage, 12787,
     /* 1010724 */     GIR_EraseRootFromParent_Done,
     /* 1010725 */   // Label 14997: @1010725
     /* 1010725 */   GIM_Try, /*On fail goto*//*Label 14998*/ GIMT_Encode4(1010802), // Rule ID 12788 //
     /* 1010730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1010733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1010741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1010744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1010747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1010750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010769 */     // MIs[0] policy
     /* 1010769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010779 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1010782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010801 */     // GIR_Coverage, 12788,
     /* 1010801 */     GIR_EraseRootFromParent_Done,
     /* 1010802 */   // Label 14998: @1010802
     /* 1010802 */   GIM_Try, /*On fail goto*//*Label 14999*/ GIMT_Encode4(1010879), // Rule ID 12791 //
     /* 1010807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1010818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1010821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1010824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1010827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010846 */     // MIs[0] policy
     /* 1010846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010856 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1010859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010878 */     // GIR_Coverage, 12791,
     /* 1010878 */     GIR_EraseRootFromParent_Done,
     /* 1010879 */   // Label 14999: @1010879
     /* 1010879 */   GIM_Try, /*On fail goto*//*Label 15000*/ GIMT_Encode4(1010956), // Rule ID 12792 //
     /* 1010884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1010895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1010898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1010901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1010904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010923 */     // MIs[0] policy
     /* 1010923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010933 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1010936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010955 */     // GIR_Coverage, 12792,
     /* 1010955 */     GIR_EraseRootFromParent_Done,
     /* 1010956 */   // Label 15000: @1010956
     /* 1010956 */   GIM_Try, /*On fail goto*//*Label 15001*/ GIMT_Encode4(1011033), // Rule ID 12795 //
     /* 1010961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1010972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1010975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1010978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1010981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011000 */     // MIs[0] policy
     /* 1011000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011010 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1011013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011032 */     // GIR_Coverage, 12795,
     /* 1011032 */     GIR_EraseRootFromParent_Done,
     /* 1011033 */   // Label 15001: @1011033
     /* 1011033 */   GIM_Try, /*On fail goto*//*Label 15002*/ GIMT_Encode4(1011110), // Rule ID 12796 //
     /* 1011038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1011049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1011052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1011055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1011058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011077 */     // MIs[0] policy
     /* 1011077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011087 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1011090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011109 */     // GIR_Coverage, 12796,
     /* 1011109 */     GIR_EraseRootFromParent_Done,
     /* 1011110 */   // Label 15002: @1011110
     /* 1011110 */   GIM_Try, /*On fail goto*//*Label 15003*/ GIMT_Encode4(1011187), // Rule ID 12799 //
     /* 1011115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1011126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1011129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1011132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1011135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011154 */     // MIs[0] policy
     /* 1011154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011164 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1011167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011186 */     // GIR_Coverage, 12799,
     /* 1011186 */     GIR_EraseRootFromParent_Done,
     /* 1011187 */   // Label 15003: @1011187
     /* 1011187 */   GIM_Try, /*On fail goto*//*Label 15004*/ GIMT_Encode4(1011264), // Rule ID 12800 //
     /* 1011192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1011203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1011206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1011209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1011212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011231 */     // MIs[0] policy
     /* 1011231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011241 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1011244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011263 */     // GIR_Coverage, 12800,
     /* 1011263 */     GIR_EraseRootFromParent_Done,
     /* 1011264 */   // Label 15004: @1011264
     /* 1011264 */   GIM_Try, /*On fail goto*//*Label 15005*/ GIMT_Encode4(1011341), // Rule ID 12803 //
     /* 1011269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1011280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1011283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1011286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1011289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011308 */     // MIs[0] policy
     /* 1011308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011318 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1011321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011340 */     // GIR_Coverage, 12803,
     /* 1011340 */     GIR_EraseRootFromParent_Done,
     /* 1011341 */   // Label 15005: @1011341
     /* 1011341 */   GIM_Try, /*On fail goto*//*Label 15006*/ GIMT_Encode4(1011418), // Rule ID 12804 //
     /* 1011346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1011357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1011360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1011363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1011366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011385 */     // MIs[0] policy
     /* 1011385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011395 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1011398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011417 */     // GIR_Coverage, 12804,
     /* 1011417 */     GIR_EraseRootFromParent_Done,
     /* 1011418 */   // Label 15006: @1011418
     /* 1011418 */   GIM_Try, /*On fail goto*//*Label 15007*/ GIMT_Encode4(1011495), // Rule ID 12807 //
     /* 1011423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1011434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1011437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1011440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1011443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011462 */     // MIs[0] policy
     /* 1011462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011472 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1011475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011494 */     // GIR_Coverage, 12807,
     /* 1011494 */     GIR_EraseRootFromParent_Done,
     /* 1011495 */   // Label 15007: @1011495
     /* 1011495 */   GIM_Try, /*On fail goto*//*Label 15008*/ GIMT_Encode4(1011572), // Rule ID 12808 //
     /* 1011500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1011511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1011514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1011517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1011520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011539 */     // MIs[0] policy
     /* 1011539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011549 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1011552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011571 */     // GIR_Coverage, 12808,
     /* 1011571 */     GIR_EraseRootFromParent_Done,
     /* 1011572 */   // Label 15008: @1011572
     /* 1011572 */   GIM_Try, /*On fail goto*//*Label 15009*/ GIMT_Encode4(1011649), // Rule ID 12811 //
     /* 1011577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1011588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1011591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1011594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1011597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011616 */     // MIs[0] policy
     /* 1011616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011626 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1011629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011648 */     // GIR_Coverage, 12811,
     /* 1011648 */     GIR_EraseRootFromParent_Done,
     /* 1011649 */   // Label 15009: @1011649
     /* 1011649 */   GIM_Try, /*On fail goto*//*Label 15010*/ GIMT_Encode4(1011726), // Rule ID 12812 //
     /* 1011654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1011665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1011668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1011671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1011674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011693 */     // MIs[0] policy
     /* 1011693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011703 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1011706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011725 */     // GIR_Coverage, 12812,
     /* 1011725 */     GIR_EraseRootFromParent_Done,
     /* 1011726 */   // Label 15010: @1011726
     /* 1011726 */   GIM_Try, /*On fail goto*//*Label 15011*/ GIMT_Encode4(1011803), // Rule ID 12815 //
     /* 1011731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1011742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1011745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1011748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1011751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011770 */     // MIs[0] policy
     /* 1011770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011780 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1011783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011802 */     // GIR_Coverage, 12815,
     /* 1011802 */     GIR_EraseRootFromParent_Done,
     /* 1011803 */   // Label 15011: @1011803
     /* 1011803 */   GIM_Try, /*On fail goto*//*Label 15012*/ GIMT_Encode4(1011880), // Rule ID 12816 //
     /* 1011808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1011819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1011822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1011825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1011828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011847 */     // MIs[0] policy
     /* 1011847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011857 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1011860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011879 */     // GIR_Coverage, 12816,
     /* 1011879 */     GIR_EraseRootFromParent_Done,
     /* 1011880 */   // Label 15012: @1011880
     /* 1011880 */   GIM_Try, /*On fail goto*//*Label 15013*/ GIMT_Encode4(1011957), // Rule ID 12819 //
     /* 1011885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1011896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1011899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1011902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1011905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011924 */     // MIs[0] policy
     /* 1011924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011934 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1011937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011956 */     // GIR_Coverage, 12819,
     /* 1011956 */     GIR_EraseRootFromParent_Done,
     /* 1011957 */   // Label 15013: @1011957
     /* 1011957 */   GIM_Try, /*On fail goto*//*Label 15014*/ GIMT_Encode4(1012034), // Rule ID 12820 //
     /* 1011962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1011973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1011976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1011979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1011982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012001 */     // MIs[0] policy
     /* 1012001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012011 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1012014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012033 */     // GIR_Coverage, 12820,
     /* 1012033 */     GIR_EraseRootFromParent_Done,
     /* 1012034 */   // Label 15014: @1012034
     /* 1012034 */   GIM_Try, /*On fail goto*//*Label 15015*/ GIMT_Encode4(1012111), // Rule ID 12823 //
     /* 1012039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1012050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1012053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1012056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1012059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012078 */     // MIs[0] policy
     /* 1012078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012088 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1012091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012110 */     // GIR_Coverage, 12823,
     /* 1012110 */     GIR_EraseRootFromParent_Done,
     /* 1012111 */   // Label 15015: @1012111
     /* 1012111 */   GIM_Try, /*On fail goto*//*Label 15016*/ GIMT_Encode4(1012188), // Rule ID 12824 //
     /* 1012116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1012127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1012130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1012133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1012136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012155 */     // MIs[0] policy
     /* 1012155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012165 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1012168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012187 */     // GIR_Coverage, 12824,
     /* 1012187 */     GIR_EraseRootFromParent_Done,
     /* 1012188 */   // Label 15016: @1012188
     /* 1012188 */   GIM_Try, /*On fail goto*//*Label 15017*/ GIMT_Encode4(1012265), // Rule ID 12827 //
     /* 1012193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1012196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1012204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1012207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1012210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1012213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012232 */     // MIs[0] policy
     /* 1012232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012242 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1012245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1012261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012264 */     // GIR_Coverage, 12827,
     /* 1012264 */     GIR_EraseRootFromParent_Done,
     /* 1012265 */   // Label 15017: @1012265
     /* 1012265 */   GIM_Try, /*On fail goto*//*Label 15018*/ GIMT_Encode4(1012342), // Rule ID 12828 //
     /* 1012270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1012273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1012281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1012284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1012287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1012290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012309 */     // MIs[0] policy
     /* 1012309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012319 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1012322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1012338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012341 */     // GIR_Coverage, 12828,
     /* 1012341 */     GIR_EraseRootFromParent_Done,
     /* 1012342 */   // Label 15018: @1012342
     /* 1012342 */   GIM_Try, /*On fail goto*//*Label 15019*/ GIMT_Encode4(1012419), // Rule ID 12831 //
     /* 1012347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1012350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1012358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1012361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1012364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1012367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012386 */     // MIs[0] policy
     /* 1012386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012396 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1012399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1012415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012418 */     // GIR_Coverage, 12831,
     /* 1012418 */     GIR_EraseRootFromParent_Done,
     /* 1012419 */   // Label 15019: @1012419
     /* 1012419 */   GIM_Try, /*On fail goto*//*Label 15020*/ GIMT_Encode4(1012496), // Rule ID 12832 //
     /* 1012424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1012427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1012435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1012438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1012441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1012444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012463 */     // MIs[0] policy
     /* 1012463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012473 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1012476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1012492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012495 */     // GIR_Coverage, 12832,
     /* 1012495 */     GIR_EraseRootFromParent_Done,
     /* 1012496 */   // Label 15020: @1012496
     /* 1012496 */   GIM_Try, /*On fail goto*//*Label 15021*/ GIMT_Encode4(1012573), // Rule ID 12835 //
     /* 1012501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1012504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1012512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1012515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1012518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1012521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012540 */     // MIs[0] policy
     /* 1012540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012550 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1012553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1012569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012572 */     // GIR_Coverage, 12835,
     /* 1012572 */     GIR_EraseRootFromParent_Done,
     /* 1012573 */   // Label 15021: @1012573
     /* 1012573 */   GIM_Try, /*On fail goto*//*Label 15022*/ GIMT_Encode4(1012650), // Rule ID 12836 //
     /* 1012578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1012581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1012589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1012592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1012595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1012598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012617 */     // MIs[0] policy
     /* 1012617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012627 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1012630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1012646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012649 */     // GIR_Coverage, 12836,
     /* 1012649 */     GIR_EraseRootFromParent_Done,
     /* 1012650 */   // Label 15022: @1012650
     /* 1012650 */   GIM_Try, /*On fail goto*//*Label 15023*/ GIMT_Encode4(1012727), // Rule ID 12839 //
     /* 1012655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1012666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1012669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1012675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012694 */     // MIs[0] policy
     /* 1012694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012704 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1012707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012726 */     // GIR_Coverage, 12839,
     /* 1012726 */     GIR_EraseRootFromParent_Done,
     /* 1012727 */   // Label 15023: @1012727
     /* 1012727 */   GIM_Try, /*On fail goto*//*Label 15024*/ GIMT_Encode4(1012804), // Rule ID 12840 //
     /* 1012732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1012743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1012746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1012749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1012752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012771 */     // MIs[0] policy
     /* 1012771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012781 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1012784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012803 */     // GIR_Coverage, 12840,
     /* 1012803 */     GIR_EraseRootFromParent_Done,
     /* 1012804 */   // Label 15024: @1012804
     /* 1012804 */   GIM_Try, /*On fail goto*//*Label 15025*/ GIMT_Encode4(1012881), // Rule ID 12843 //
     /* 1012809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1012820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1012823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1012829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012848 */     // MIs[0] policy
     /* 1012848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012858 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1012861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012880 */     // GIR_Coverage, 12843,
     /* 1012880 */     GIR_EraseRootFromParent_Done,
     /* 1012881 */   // Label 15025: @1012881
     /* 1012881 */   GIM_Try, /*On fail goto*//*Label 15026*/ GIMT_Encode4(1012958), // Rule ID 12844 //
     /* 1012886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1012897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1012900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1012903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1012906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012925 */     // MIs[0] policy
     /* 1012925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012935 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1012938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012957 */     // GIR_Coverage, 12844,
     /* 1012957 */     GIR_EraseRootFromParent_Done,
     /* 1012958 */   // Label 15026: @1012958
     /* 1012958 */   GIM_Try, /*On fail goto*//*Label 15027*/ GIMT_Encode4(1013035), // Rule ID 12847 //
     /* 1012963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1012971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1012974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1012977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1012983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013002 */     // MIs[0] policy
     /* 1013002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013012 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1013015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013034 */     // GIR_Coverage, 12847,
     /* 1013034 */     GIR_EraseRootFromParent_Done,
     /* 1013035 */   // Label 15027: @1013035
     /* 1013035 */   GIM_Try, /*On fail goto*//*Label 15028*/ GIMT_Encode4(1013112), // Rule ID 12848 //
     /* 1013040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1013051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1013054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1013060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013079 */     // MIs[0] policy
     /* 1013079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013089 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1013092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013111 */     // GIR_Coverage, 12848,
     /* 1013111 */     GIR_EraseRootFromParent_Done,
     /* 1013112 */   // Label 15028: @1013112
     /* 1013112 */   GIM_Try, /*On fail goto*//*Label 15029*/ GIMT_Encode4(1013189), // Rule ID 12851 //
     /* 1013117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1013128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1013131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1013137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013156 */     // MIs[0] policy
     /* 1013156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013166 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1013169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013188 */     // GIR_Coverage, 12851,
     /* 1013188 */     GIR_EraseRootFromParent_Done,
     /* 1013189 */   // Label 15029: @1013189
     /* 1013189 */   GIM_Try, /*On fail goto*//*Label 15030*/ GIMT_Encode4(1013266), // Rule ID 12852 //
     /* 1013194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1013205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1013208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1013214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013233 */     // MIs[0] policy
     /* 1013233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013243 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1013246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013265 */     // GIR_Coverage, 12852,
     /* 1013265 */     GIR_EraseRootFromParent_Done,
     /* 1013266 */   // Label 15030: @1013266
     /* 1013266 */   GIM_Try, /*On fail goto*//*Label 15031*/ GIMT_Encode4(1013343), // Rule ID 12855 //
     /* 1013271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1013282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1013285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1013291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013310 */     // MIs[0] policy
     /* 1013310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013320 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1013323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013342 */     // GIR_Coverage, 12855,
     /* 1013342 */     GIR_EraseRootFromParent_Done,
     /* 1013343 */   // Label 15031: @1013343
     /* 1013343 */   GIM_Try, /*On fail goto*//*Label 15032*/ GIMT_Encode4(1013420), // Rule ID 12856 //
     /* 1013348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1013359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1013362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1013368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013387 */     // MIs[0] policy
     /* 1013387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013397 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1013400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013419 */     // GIR_Coverage, 12856,
     /* 1013419 */     GIR_EraseRootFromParent_Done,
     /* 1013420 */   // Label 15032: @1013420
     /* 1013420 */   GIM_Try, /*On fail goto*//*Label 15033*/ GIMT_Encode4(1013497), // Rule ID 12859 //
     /* 1013425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1013436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1013439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1013445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013464 */     // MIs[0] policy
     /* 1013464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013474 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1013477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013496 */     // GIR_Coverage, 12859,
     /* 1013496 */     GIR_EraseRootFromParent_Done,
     /* 1013497 */   // Label 15033: @1013497
     /* 1013497 */   GIM_Try, /*On fail goto*//*Label 15034*/ GIMT_Encode4(1013574), // Rule ID 12860 //
     /* 1013502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1013513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1013516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1013522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013541 */     // MIs[0] policy
     /* 1013541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013551 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1013554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013573 */     // GIR_Coverage, 12860,
     /* 1013573 */     GIR_EraseRootFromParent_Done,
     /* 1013574 */   // Label 15034: @1013574
     /* 1013574 */   GIM_Try, /*On fail goto*//*Label 15035*/ GIMT_Encode4(1013651), // Rule ID 12863 //
     /* 1013579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1013590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1013593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1013599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013618 */     // MIs[0] policy
     /* 1013618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013628 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1013631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013650 */     // GIR_Coverage, 12863,
     /* 1013650 */     GIR_EraseRootFromParent_Done,
     /* 1013651 */   // Label 15035: @1013651
     /* 1013651 */   GIM_Try, /*On fail goto*//*Label 15036*/ GIMT_Encode4(1013728), // Rule ID 12864 //
     /* 1013656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1013667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1013670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1013676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013695 */     // MIs[0] policy
     /* 1013695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013705 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1013708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013727 */     // GIR_Coverage, 12864,
     /* 1013727 */     GIR_EraseRootFromParent_Done,
     /* 1013728 */   // Label 15036: @1013728
     /* 1013728 */   GIM_Try, /*On fail goto*//*Label 15037*/ GIMT_Encode4(1013805), // Rule ID 12867 //
     /* 1013733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1013744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1013747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1013753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013772 */     // MIs[0] policy
     /* 1013772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013782 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1013785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013804 */     // GIR_Coverage, 12867,
     /* 1013804 */     GIR_EraseRootFromParent_Done,
     /* 1013805 */   // Label 15037: @1013805
     /* 1013805 */   GIM_Try, /*On fail goto*//*Label 15038*/ GIMT_Encode4(1013882), // Rule ID 12868 //
     /* 1013810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1013821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1013824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1013830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013849 */     // MIs[0] policy
     /* 1013849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013859 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1013862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013881 */     // GIR_Coverage, 12868,
     /* 1013881 */     GIR_EraseRootFromParent_Done,
     /* 1013882 */   // Label 15038: @1013882
     /* 1013882 */   GIM_Try, /*On fail goto*//*Label 15039*/ GIMT_Encode4(1013959), // Rule ID 12871 //
     /* 1013887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1013898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1013901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1013907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013926 */     // MIs[0] policy
     /* 1013926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1013939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013958 */     // GIR_Coverage, 12871,
     /* 1013958 */     GIR_EraseRootFromParent_Done,
     /* 1013959 */   // Label 15039: @1013959
     /* 1013959 */   GIM_Try, /*On fail goto*//*Label 15040*/ GIMT_Encode4(1014036), // Rule ID 12872 //
     /* 1013964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1013972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1013975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1013978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1013984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014003 */     // MIs[0] policy
     /* 1014003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014013 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1014016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014035 */     // GIR_Coverage, 12872,
     /* 1014035 */     GIR_EraseRootFromParent_Done,
     /* 1014036 */   // Label 15040: @1014036
     /* 1014036 */   GIM_Try, /*On fail goto*//*Label 15041*/ GIMT_Encode4(1014113), // Rule ID 12875 //
     /* 1014041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1014044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1014052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1014055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1014061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014080 */     // MIs[0] policy
     /* 1014080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014090 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1014093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014112 */     // GIR_Coverage, 12875,
     /* 1014112 */     GIR_EraseRootFromParent_Done,
     /* 1014113 */   // Label 15041: @1014113
     /* 1014113 */   GIM_Try, /*On fail goto*//*Label 15042*/ GIMT_Encode4(1014190), // Rule ID 12876 //
     /* 1014118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1014121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1014129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1014132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1014138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014157 */     // MIs[0] policy
     /* 1014157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014167 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1014170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014189 */     // GIR_Coverage, 12876,
     /* 1014189 */     GIR_EraseRootFromParent_Done,
     /* 1014190 */   // Label 15042: @1014190
     /* 1014190 */   GIM_Try, /*On fail goto*//*Label 15043*/ GIMT_Encode4(1014267), // Rule ID 12879 //
     /* 1014195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1014206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1014209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1014215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014234 */     // MIs[0] policy
     /* 1014234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014244 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1014247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014266 */     // GIR_Coverage, 12879,
     /* 1014266 */     GIR_EraseRootFromParent_Done,
     /* 1014267 */   // Label 15043: @1014267
     /* 1014267 */   GIM_Try, /*On fail goto*//*Label 15044*/ GIMT_Encode4(1014344), // Rule ID 12880 //
     /* 1014272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1014283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1014286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1014292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014311 */     // MIs[0] policy
     /* 1014311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014321 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1014324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014343 */     // GIR_Coverage, 12880,
     /* 1014343 */     GIR_EraseRootFromParent_Done,
     /* 1014344 */   // Label 15044: @1014344
     /* 1014344 */   GIM_Try, /*On fail goto*//*Label 15045*/ GIMT_Encode4(1014421), // Rule ID 12883 //
     /* 1014349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1014360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1014363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1014369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014388 */     // MIs[0] policy
     /* 1014388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014398 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1014401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014420 */     // GIR_Coverage, 12883,
     /* 1014420 */     GIR_EraseRootFromParent_Done,
     /* 1014421 */   // Label 15045: @1014421
     /* 1014421 */   GIM_Try, /*On fail goto*//*Label 15046*/ GIMT_Encode4(1014498), // Rule ID 12884 //
     /* 1014426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1014437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1014440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1014446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014465 */     // MIs[0] policy
     /* 1014465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014475 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1014478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014497 */     // GIR_Coverage, 12884,
     /* 1014497 */     GIR_EraseRootFromParent_Done,
     /* 1014498 */   // Label 15046: @1014498
     /* 1014498 */   GIM_Try, /*On fail goto*//*Label 15047*/ GIMT_Encode4(1014575), // Rule ID 12887 //
     /* 1014503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1014514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1014517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1014523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014542 */     // MIs[0] policy
     /* 1014542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014552 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1014555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014574 */     // GIR_Coverage, 12887,
     /* 1014574 */     GIR_EraseRootFromParent_Done,
     /* 1014575 */   // Label 15047: @1014575
     /* 1014575 */   GIM_Try, /*On fail goto*//*Label 15048*/ GIMT_Encode4(1014652), // Rule ID 12888 //
     /* 1014580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1014591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1014594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1014600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014619 */     // MIs[0] policy
     /* 1014619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014629 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1014632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014651 */     // GIR_Coverage, 12888,
     /* 1014651 */     GIR_EraseRootFromParent_Done,
     /* 1014652 */   // Label 15048: @1014652
     /* 1014652 */   GIM_Try, /*On fail goto*//*Label 15049*/ GIMT_Encode4(1014729), // Rule ID 12891 //
     /* 1014657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1014668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1014671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1014677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014696 */     // MIs[0] policy
     /* 1014696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014706 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1014709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014728 */     // GIR_Coverage, 12891,
     /* 1014728 */     GIR_EraseRootFromParent_Done,
     /* 1014729 */   // Label 15049: @1014729
     /* 1014729 */   GIM_Try, /*On fail goto*//*Label 15050*/ GIMT_Encode4(1014806), // Rule ID 12892 //
     /* 1014734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1014745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1014748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1014754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014773 */     // MIs[0] policy
     /* 1014773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014783 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1014786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014805 */     // GIR_Coverage, 12892,
     /* 1014805 */     GIR_EraseRootFromParent_Done,
     /* 1014806 */   // Label 15050: @1014806
     /* 1014806 */   GIM_Try, /*On fail goto*//*Label 15051*/ GIMT_Encode4(1014883), // Rule ID 12895 //
     /* 1014811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1014822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1014825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1014831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014850 */     // MIs[0] policy
     /* 1014850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014860 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1014863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014882 */     // GIR_Coverage, 12895,
     /* 1014882 */     GIR_EraseRootFromParent_Done,
     /* 1014883 */   // Label 15051: @1014883
     /* 1014883 */   GIM_Try, /*On fail goto*//*Label 15052*/ GIMT_Encode4(1014960), // Rule ID 12896 //
     /* 1014888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1014899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1014902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1014908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014927 */     // MIs[0] policy
     /* 1014927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014937 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1014940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014959 */     // GIR_Coverage, 12896,
     /* 1014959 */     GIR_EraseRootFromParent_Done,
     /* 1014960 */   // Label 15052: @1014960
     /* 1014960 */   GIM_Try, /*On fail goto*//*Label 15053*/ GIMT_Encode4(1015037), // Rule ID 12899 //
     /* 1014965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1014973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1014976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1014979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1014985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015004 */     // MIs[0] policy
     /* 1015004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015014 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1015017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015036 */     // GIR_Coverage, 12899,
     /* 1015036 */     GIR_EraseRootFromParent_Done,
     /* 1015037 */   // Label 15053: @1015037
     /* 1015037 */   GIM_Try, /*On fail goto*//*Label 15054*/ GIMT_Encode4(1015114), // Rule ID 12900 //
     /* 1015042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1015053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1015056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1015062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015081 */     // MIs[0] policy
     /* 1015081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015091 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1015094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015113 */     // GIR_Coverage, 12900,
     /* 1015113 */     GIR_EraseRootFromParent_Done,
     /* 1015114 */   // Label 15054: @1015114
     /* 1015114 */   GIM_Try, /*On fail goto*//*Label 15055*/ GIMT_Encode4(1015191), // Rule ID 12903 //
     /* 1015119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1015130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1015133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1015139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015158 */     // MIs[0] policy
     /* 1015158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015168 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1015171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015190 */     // GIR_Coverage, 12903,
     /* 1015190 */     GIR_EraseRootFromParent_Done,
     /* 1015191 */   // Label 15055: @1015191
     /* 1015191 */   GIM_Try, /*On fail goto*//*Label 15056*/ GIMT_Encode4(1015268), // Rule ID 12904 //
     /* 1015196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1015207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1015210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1015216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015235 */     // MIs[0] policy
     /* 1015235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015245 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1015248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015267 */     // GIR_Coverage, 12904,
     /* 1015267 */     GIR_EraseRootFromParent_Done,
     /* 1015268 */   // Label 15056: @1015268
     /* 1015268 */   GIM_Try, /*On fail goto*//*Label 15057*/ GIMT_Encode4(1015345), // Rule ID 12907 //
     /* 1015273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1015284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1015287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1015293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015312 */     // MIs[0] policy
     /* 1015312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1015325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015344 */     // GIR_Coverage, 12907,
     /* 1015344 */     GIR_EraseRootFromParent_Done,
     /* 1015345 */   // Label 15057: @1015345
     /* 1015345 */   GIM_Try, /*On fail goto*//*Label 15058*/ GIMT_Encode4(1015422), // Rule ID 12908 //
     /* 1015350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1015361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1015364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1015370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015389 */     // MIs[0] policy
     /* 1015389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015399 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1015402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015421 */     // GIR_Coverage, 12908,
     /* 1015421 */     GIR_EraseRootFromParent_Done,
     /* 1015422 */   // Label 15058: @1015422
     /* 1015422 */   GIM_Try, /*On fail goto*//*Label 15059*/ GIMT_Encode4(1015499), // Rule ID 12911 //
     /* 1015427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1015438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1015441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1015447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015466 */     // MIs[0] policy
     /* 1015466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015476 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1015479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015498 */     // GIR_Coverage, 12911,
     /* 1015498 */     GIR_EraseRootFromParent_Done,
     /* 1015499 */   // Label 15059: @1015499
     /* 1015499 */   GIM_Try, /*On fail goto*//*Label 15060*/ GIMT_Encode4(1015576), // Rule ID 12912 //
     /* 1015504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1015515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1015518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1015524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015543 */     // MIs[0] policy
     /* 1015543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015553 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1015556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015575 */     // GIR_Coverage, 12912,
     /* 1015575 */     GIR_EraseRootFromParent_Done,
     /* 1015576 */   // Label 15060: @1015576
     /* 1015576 */   GIM_Try, /*On fail goto*//*Label 15061*/ GIMT_Encode4(1015653), // Rule ID 12915 //
     /* 1015581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1015584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1015592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1015595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1015601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015620 */     // MIs[0] policy
     /* 1015620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015630 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1015633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015652 */     // GIR_Coverage, 12915,
     /* 1015652 */     GIR_EraseRootFromParent_Done,
     /* 1015653 */   // Label 15061: @1015653
     /* 1015653 */   GIM_Try, /*On fail goto*//*Label 15062*/ GIMT_Encode4(1015730), // Rule ID 12916 //
     /* 1015658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1015661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1015669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1015672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1015678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015697 */     // MIs[0] policy
     /* 1015697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015707 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11388:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1015710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015729 */     // GIR_Coverage, 12916,
     /* 1015729 */     GIR_EraseRootFromParent_Done,
     /* 1015730 */   // Label 15062: @1015730
     /* 1015730 */   GIM_Try, /*On fail goto*//*Label 15063*/ GIMT_Encode4(1015807), // Rule ID 12919 //
     /* 1015735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1015738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1015746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1015749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1015755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015774 */     // MIs[0] policy
     /* 1015774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015784 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1015787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015806 */     // GIR_Coverage, 12919,
     /* 1015806 */     GIR_EraseRootFromParent_Done,
     /* 1015807 */   // Label 15063: @1015807
     /* 1015807 */   GIM_Try, /*On fail goto*//*Label 15064*/ GIMT_Encode4(1015884), // Rule ID 12920 //
     /* 1015812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1015815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1015823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1015826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1015832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015851 */     // MIs[0] policy
     /* 1015851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015861 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11388:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1015864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015883 */     // GIR_Coverage, 12920,
     /* 1015883 */     GIR_EraseRootFromParent_Done,
     /* 1015884 */   // Label 15064: @1015884
     /* 1015884 */   GIM_Try, /*On fail goto*//*Label 15065*/ GIMT_Encode4(1015961), // Rule ID 12923 //
     /* 1015889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1015892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1015900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1015903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1015909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015928 */     // MIs[0] policy
     /* 1015928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015938 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1015941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015960 */     // GIR_Coverage, 12923,
     /* 1015960 */     GIR_EraseRootFromParent_Done,
     /* 1015961 */   // Label 15065: @1015961
     /* 1015961 */   GIM_Try, /*On fail goto*//*Label 15066*/ GIMT_Encode4(1016038), // Rule ID 12924 //
     /* 1015966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1015969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1015977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1015980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1015986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016005 */     // MIs[0] policy
     /* 1016005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016015 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11388:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1016018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016037 */     // GIR_Coverage, 12924,
     /* 1016037 */     GIR_EraseRootFromParent_Done,
     /* 1016038 */   // Label 15066: @1016038
     /* 1016038 */   GIM_Try, /*On fail goto*//*Label 15067*/ GIMT_Encode4(1016115), // Rule ID 12927 //
     /* 1016043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1016054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1016057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1016060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1016063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016082 */     // MIs[0] policy
     /* 1016082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016092 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1016095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016114 */     // GIR_Coverage, 12927,
     /* 1016114 */     GIR_EraseRootFromParent_Done,
     /* 1016115 */   // Label 15067: @1016115
     /* 1016115 */   GIM_Try, /*On fail goto*//*Label 15068*/ GIMT_Encode4(1016192), // Rule ID 12928 //
     /* 1016120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1016131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1016134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1016137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1016140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016159 */     // MIs[0] policy
     /* 1016159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016169 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1016172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016191 */     // GIR_Coverage, 12928,
     /* 1016191 */     GIR_EraseRootFromParent_Done,
     /* 1016192 */   // Label 15068: @1016192
     /* 1016192 */   GIM_Try, /*On fail goto*//*Label 15069*/ GIMT_Encode4(1016269), // Rule ID 12931 //
     /* 1016197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1016208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1016211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1016214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1016217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016236 */     // MIs[0] policy
     /* 1016236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016246 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1016249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016268 */     // GIR_Coverage, 12931,
     /* 1016268 */     GIR_EraseRootFromParent_Done,
     /* 1016269 */   // Label 15069: @1016269
     /* 1016269 */   GIM_Try, /*On fail goto*//*Label 15070*/ GIMT_Encode4(1016346), // Rule ID 12932 //
     /* 1016274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1016285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1016288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1016291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1016294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016313 */     // MIs[0] policy
     /* 1016313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016323 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1016326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016345 */     // GIR_Coverage, 12932,
     /* 1016345 */     GIR_EraseRootFromParent_Done,
     /* 1016346 */   // Label 15070: @1016346
     /* 1016346 */   GIM_Try, /*On fail goto*//*Label 15071*/ GIMT_Encode4(1016423), // Rule ID 12935 //
     /* 1016351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1016362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1016365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1016368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1016371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016390 */     // MIs[0] policy
     /* 1016390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016400 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1016403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016422 */     // GIR_Coverage, 12935,
     /* 1016422 */     GIR_EraseRootFromParent_Done,
     /* 1016423 */   // Label 15071: @1016423
     /* 1016423 */   GIM_Try, /*On fail goto*//*Label 15072*/ GIMT_Encode4(1016500), // Rule ID 12936 //
     /* 1016428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1016439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1016442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1016445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1016448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016467 */     // MIs[0] policy
     /* 1016467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016477 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1016480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016499 */     // GIR_Coverage, 12936,
     /* 1016499 */     GIR_EraseRootFromParent_Done,
     /* 1016500 */   // Label 15072: @1016500
     /* 1016500 */   GIM_Try, /*On fail goto*//*Label 15073*/ GIMT_Encode4(1016577), // Rule ID 12939 //
     /* 1016505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1016516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1016519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1016522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1016525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016544 */     // MIs[0] policy
     /* 1016544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016554 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1016557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016576 */     // GIR_Coverage, 12939,
     /* 1016576 */     GIR_EraseRootFromParent_Done,
     /* 1016577 */   // Label 15073: @1016577
     /* 1016577 */   GIM_Try, /*On fail goto*//*Label 15074*/ GIMT_Encode4(1016654), // Rule ID 12940 //
     /* 1016582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1016593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1016596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1016599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1016602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016621 */     // MIs[0] policy
     /* 1016621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016631 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1016634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016653 */     // GIR_Coverage, 12940,
     /* 1016653 */     GIR_EraseRootFromParent_Done,
     /* 1016654 */   // Label 15074: @1016654
     /* 1016654 */   GIM_Try, /*On fail goto*//*Label 15075*/ GIMT_Encode4(1016731), // Rule ID 12943 //
     /* 1016659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1016670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1016673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1016676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1016679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016698 */     // MIs[0] policy
     /* 1016698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016708 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1016711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016730 */     // GIR_Coverage, 12943,
     /* 1016730 */     GIR_EraseRootFromParent_Done,
     /* 1016731 */   // Label 15075: @1016731
     /* 1016731 */   GIM_Try, /*On fail goto*//*Label 15076*/ GIMT_Encode4(1016808), // Rule ID 12944 //
     /* 1016736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1016747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1016750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1016753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1016756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016775 */     // MIs[0] policy
     /* 1016775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016785 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1016788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016807 */     // GIR_Coverage, 12944,
     /* 1016807 */     GIR_EraseRootFromParent_Done,
     /* 1016808 */   // Label 15076: @1016808
     /* 1016808 */   GIM_Try, /*On fail goto*//*Label 15077*/ GIMT_Encode4(1016885), // Rule ID 12947 //
     /* 1016813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1016824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1016827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1016830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1016833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016852 */     // MIs[0] policy
     /* 1016852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016862 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1016865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016884 */     // GIR_Coverage, 12947,
     /* 1016884 */     GIR_EraseRootFromParent_Done,
     /* 1016885 */   // Label 15077: @1016885
     /* 1016885 */   GIM_Try, /*On fail goto*//*Label 15078*/ GIMT_Encode4(1016962), // Rule ID 12948 //
     /* 1016890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1016901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1016904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1016907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1016910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016929 */     // MIs[0] policy
     /* 1016929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016939 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1016942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016961 */     // GIR_Coverage, 12948,
     /* 1016961 */     GIR_EraseRootFromParent_Done,
     /* 1016962 */   // Label 15078: @1016962
     /* 1016962 */   GIM_Try, /*On fail goto*//*Label 15079*/ GIMT_Encode4(1017039), // Rule ID 12951 //
     /* 1016967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1016978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1016981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1016984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1016987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017006 */     // MIs[0] policy
     /* 1017006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017016 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11305:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1017019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017038 */     // GIR_Coverage, 12951,
     /* 1017038 */     GIR_EraseRootFromParent_Done,
     /* 1017039 */   // Label 15079: @1017039
     /* 1017039 */   GIM_Try, /*On fail goto*//*Label 15080*/ GIMT_Encode4(1017116), // Rule ID 12952 //
     /* 1017044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1017055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1017058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1017061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1017064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017083 */     // MIs[0] policy
     /* 1017083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017093 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11305:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1017096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017115 */     // GIR_Coverage, 12952,
     /* 1017115 */     GIR_EraseRootFromParent_Done,
     /* 1017116 */   // Label 15080: @1017116
     /* 1017116 */   GIM_Try, /*On fail goto*//*Label 15081*/ GIMT_Encode4(1017193), // Rule ID 12955 //
     /* 1017121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1017132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1017135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1017138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1017141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017160 */     // MIs[0] policy
     /* 1017160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017170 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1017173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017192 */     // GIR_Coverage, 12955,
     /* 1017192 */     GIR_EraseRootFromParent_Done,
     /* 1017193 */   // Label 15081: @1017193
     /* 1017193 */   GIM_Try, /*On fail goto*//*Label 15082*/ GIMT_Encode4(1017270), // Rule ID 12956 //
     /* 1017198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1017209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1017212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1017215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1017218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017237 */     // MIs[0] policy
     /* 1017237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017247 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1017250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017269 */     // GIR_Coverage, 12956,
     /* 1017269 */     GIR_EraseRootFromParent_Done,
     /* 1017270 */   // Label 15082: @1017270
     /* 1017270 */   GIM_Try, /*On fail goto*//*Label 15083*/ GIMT_Encode4(1017347), // Rule ID 12959 //
     /* 1017275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1017286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1017289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1017292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1017295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017314 */     // MIs[0] policy
     /* 1017314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017324 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1017327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017346 */     // GIR_Coverage, 12959,
     /* 1017346 */     GIR_EraseRootFromParent_Done,
     /* 1017347 */   // Label 15083: @1017347
     /* 1017347 */   GIM_Try, /*On fail goto*//*Label 15084*/ GIMT_Encode4(1017424), // Rule ID 12960 //
     /* 1017352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1017363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1017366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1017369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1017372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017391 */     // MIs[0] policy
     /* 1017391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017401 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1017404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017423 */     // GIR_Coverage, 12960,
     /* 1017423 */     GIR_EraseRootFromParent_Done,
     /* 1017424 */   // Label 15084: @1017424
     /* 1017424 */   GIM_Try, /*On fail goto*//*Label 15085*/ GIMT_Encode4(1017501), // Rule ID 12963 //
     /* 1017429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1017432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1017440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1017443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1017446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1017449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017468 */     // MIs[0] policy
     /* 1017468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017478 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1017481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017500 */     // GIR_Coverage, 12963,
     /* 1017500 */     GIR_EraseRootFromParent_Done,
     /* 1017501 */   // Label 15085: @1017501
     /* 1017501 */   GIM_Try, /*On fail goto*//*Label 15086*/ GIMT_Encode4(1017578), // Rule ID 12964 //
     /* 1017506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1017509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1017517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1017520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1017523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1017526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017545 */     // MIs[0] policy
     /* 1017545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017555 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1017558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017577 */     // GIR_Coverage, 12964,
     /* 1017577 */     GIR_EraseRootFromParent_Done,
     /* 1017578 */   // Label 15086: @1017578
     /* 1017578 */   GIM_Try, /*On fail goto*//*Label 15087*/ GIMT_Encode4(1017655), // Rule ID 12967 //
     /* 1017583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1017594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1017597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1017600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1017603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017622 */     // MIs[0] policy
     /* 1017622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017632 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1017635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017654 */     // GIR_Coverage, 12967,
     /* 1017654 */     GIR_EraseRootFromParent_Done,
     /* 1017655 */   // Label 15087: @1017655
     /* 1017655 */   GIM_Try, /*On fail goto*//*Label 15088*/ GIMT_Encode4(1017732), // Rule ID 12968 //
     /* 1017660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1017671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1017674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1017677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1017680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017699 */     // MIs[0] policy
     /* 1017699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017709 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1017712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017731 */     // GIR_Coverage, 12968,
     /* 1017731 */     GIR_EraseRootFromParent_Done,
     /* 1017732 */   // Label 15088: @1017732
     /* 1017732 */   GIM_Try, /*On fail goto*//*Label 15089*/ GIMT_Encode4(1017809), // Rule ID 12971 //
     /* 1017737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1017748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1017751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1017754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1017757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017776 */     // MIs[0] policy
     /* 1017776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017786 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1017789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017808 */     // GIR_Coverage, 12971,
     /* 1017808 */     GIR_EraseRootFromParent_Done,
     /* 1017809 */   // Label 15089: @1017809
     /* 1017809 */   GIM_Try, /*On fail goto*//*Label 15090*/ GIMT_Encode4(1017886), // Rule ID 12972 //
     /* 1017814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1017825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1017828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1017831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1017834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017853 */     // MIs[0] policy
     /* 1017853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017863 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1017866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017885 */     // GIR_Coverage, 12972,
     /* 1017885 */     GIR_EraseRootFromParent_Done,
     /* 1017886 */   // Label 15090: @1017886
     /* 1017886 */   GIM_Try, /*On fail goto*//*Label 15091*/ GIMT_Encode4(1017963), // Rule ID 12975 //
     /* 1017891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1017902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1017905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1017908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1017911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017930 */     // MIs[0] policy
     /* 1017930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017940 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1017943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017962 */     // GIR_Coverage, 12975,
     /* 1017962 */     GIR_EraseRootFromParent_Done,
     /* 1017963 */   // Label 15091: @1017963
     /* 1017963 */   GIM_Try, /*On fail goto*//*Label 15092*/ GIMT_Encode4(1018040), // Rule ID 12976 //
     /* 1017968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1017979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1017982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1017985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1017988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018007 */     // MIs[0] policy
     /* 1018007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018017 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1018020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018039 */     // GIR_Coverage, 12976,
     /* 1018039 */     GIR_EraseRootFromParent_Done,
     /* 1018040 */   // Label 15092: @1018040
     /* 1018040 */   GIM_Try, /*On fail goto*//*Label 15093*/ GIMT_Encode4(1018117), // Rule ID 12979 //
     /* 1018045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1018056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1018059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1018062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1018065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018084 */     // MIs[0] policy
     /* 1018084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018094 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1018097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018116 */     // GIR_Coverage, 12979,
     /* 1018116 */     GIR_EraseRootFromParent_Done,
     /* 1018117 */   // Label 15093: @1018117
     /* 1018117 */   GIM_Try, /*On fail goto*//*Label 15094*/ GIMT_Encode4(1018194), // Rule ID 12980 //
     /* 1018122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1018133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1018136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1018139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1018142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018161 */     // MIs[0] policy
     /* 1018161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018171 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1018174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018193 */     // GIR_Coverage, 12980,
     /* 1018193 */     GIR_EraseRootFromParent_Done,
     /* 1018194 */   // Label 15094: @1018194
     /* 1018194 */   GIM_Try, /*On fail goto*//*Label 15095*/ GIMT_Encode4(1018271), // Rule ID 12983 //
     /* 1018199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1018210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1018213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1018216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1018219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018238 */     // MIs[0] policy
     /* 1018238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018248 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1018251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018270 */     // GIR_Coverage, 12983,
     /* 1018270 */     GIR_EraseRootFromParent_Done,
     /* 1018271 */   // Label 15095: @1018271
     /* 1018271 */   GIM_Try, /*On fail goto*//*Label 15096*/ GIMT_Encode4(1018348), // Rule ID 12984 //
     /* 1018276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1018287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1018290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1018293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1018296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018315 */     // MIs[0] policy
     /* 1018315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018325 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1018328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018347 */     // GIR_Coverage, 12984,
     /* 1018347 */     GIR_EraseRootFromParent_Done,
     /* 1018348 */   // Label 15096: @1018348
     /* 1018348 */   GIM_Try, /*On fail goto*//*Label 15097*/ GIMT_Encode4(1018425), // Rule ID 12987 //
     /* 1018353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1018364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1018367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1018370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1018373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018392 */     // MIs[0] policy
     /* 1018392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018402 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1018405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018424 */     // GIR_Coverage, 12987,
     /* 1018424 */     GIR_EraseRootFromParent_Done,
     /* 1018425 */   // Label 15097: @1018425
     /* 1018425 */   GIM_Try, /*On fail goto*//*Label 15098*/ GIMT_Encode4(1018502), // Rule ID 12988 //
     /* 1018430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1018441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1018444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1018447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1018450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018469 */     // MIs[0] policy
     /* 1018469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018479 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1018482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018501 */     // GIR_Coverage, 12988,
     /* 1018501 */     GIR_EraseRootFromParent_Done,
     /* 1018502 */   // Label 15098: @1018502
     /* 1018502 */   GIM_Try, /*On fail goto*//*Label 15099*/ GIMT_Encode4(1018579), // Rule ID 12991 //
     /* 1018507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1018518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1018521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1018524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1018527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018546 */     // MIs[0] policy
     /* 1018546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1018559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018578 */     // GIR_Coverage, 12991,
     /* 1018578 */     GIR_EraseRootFromParent_Done,
     /* 1018579 */   // Label 15099: @1018579
     /* 1018579 */   GIM_Try, /*On fail goto*//*Label 15100*/ GIMT_Encode4(1018656), // Rule ID 12992 //
     /* 1018584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1018595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1018598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1018601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1018604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018623 */     // MIs[0] policy
     /* 1018623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018633 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1018636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018655 */     // GIR_Coverage, 12992,
     /* 1018655 */     GIR_EraseRootFromParent_Done,
     /* 1018656 */   // Label 15100: @1018656
     /* 1018656 */   GIM_Try, /*On fail goto*//*Label 15101*/ GIMT_Encode4(1018733), // Rule ID 12995 //
     /* 1018661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1018672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1018675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1018678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1018681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018700 */     // MIs[0] policy
     /* 1018700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018710 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1018713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018732 */     // GIR_Coverage, 12995,
     /* 1018732 */     GIR_EraseRootFromParent_Done,
     /* 1018733 */   // Label 15101: @1018733
     /* 1018733 */   GIM_Try, /*On fail goto*//*Label 15102*/ GIMT_Encode4(1018810), // Rule ID 12996 //
     /* 1018738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1018749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1018752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1018755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1018758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018777 */     // MIs[0] policy
     /* 1018777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018787 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1018790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018809 */     // GIR_Coverage, 12996,
     /* 1018809 */     GIR_EraseRootFromParent_Done,
     /* 1018810 */   // Label 15102: @1018810
     /* 1018810 */   GIM_Try, /*On fail goto*//*Label 15103*/ GIMT_Encode4(1018887), // Rule ID 12999 //
     /* 1018815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1018826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1018829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1018832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1018835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018854 */     // MIs[0] policy
     /* 1018854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018864 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1018867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018886 */     // GIR_Coverage, 12999,
     /* 1018886 */     GIR_EraseRootFromParent_Done,
     /* 1018887 */   // Label 15103: @1018887
     /* 1018887 */   GIM_Try, /*On fail goto*//*Label 15104*/ GIMT_Encode4(1018964), // Rule ID 13000 //
     /* 1018892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1018903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1018906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1018909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1018912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018931 */     // MIs[0] policy
     /* 1018931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018941 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1018944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018963 */     // GIR_Coverage, 13000,
     /* 1018963 */     GIR_EraseRootFromParent_Done,
     /* 1018964 */   // Label 15104: @1018964
     /* 1018964 */   GIM_Try, /*On fail goto*//*Label 15105*/ GIMT_Encode4(1019041), // Rule ID 13003 //
     /* 1018969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1018972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1018980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1018983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1018986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1018989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019008 */     // MIs[0] policy
     /* 1019008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019018 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1019021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019040 */     // GIR_Coverage, 13003,
     /* 1019040 */     GIR_EraseRootFromParent_Done,
     /* 1019041 */   // Label 15105: @1019041
     /* 1019041 */   GIM_Try, /*On fail goto*//*Label 15106*/ GIMT_Encode4(1019118), // Rule ID 13004 //
     /* 1019046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1019049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1019057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1019060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1019063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1019066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019085 */     // MIs[0] policy
     /* 1019085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019095 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1019098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019117 */     // GIR_Coverage, 13004,
     /* 1019117 */     GIR_EraseRootFromParent_Done,
     /* 1019118 */   // Label 15106: @1019118
     /* 1019118 */   GIM_Try, /*On fail goto*//*Label 15107*/ GIMT_Encode4(1019195), // Rule ID 13007 //
     /* 1019123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1019126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1019134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1019137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1019140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1019143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019162 */     // MIs[0] policy
     /* 1019162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019172 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019194 */     // GIR_Coverage, 13007,
     /* 1019194 */     GIR_EraseRootFromParent_Done,
     /* 1019195 */   // Label 15107: @1019195
     /* 1019195 */   GIM_Try, /*On fail goto*//*Label 15108*/ GIMT_Encode4(1019272), // Rule ID 13008 //
     /* 1019200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1019203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1019211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1019214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1019217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1019220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019239 */     // MIs[0] policy
     /* 1019239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019249 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1019252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019271 */     // GIR_Coverage, 13008,
     /* 1019271 */     GIR_EraseRootFromParent_Done,
     /* 1019272 */   // Label 15108: @1019272
     /* 1019272 */   GIM_Try, /*On fail goto*//*Label 15109*/ GIMT_Encode4(1019349), // Rule ID 13011 //
     /* 1019277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1019280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1019288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1019291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1019294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1019297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019316 */     // MIs[0] policy
     /* 1019316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019326 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1019329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019348 */     // GIR_Coverage, 13011,
     /* 1019348 */     GIR_EraseRootFromParent_Done,
     /* 1019349 */   // Label 15109: @1019349
     /* 1019349 */   GIM_Try, /*On fail goto*//*Label 15110*/ GIMT_Encode4(1019426), // Rule ID 13012 //
     /* 1019354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1019357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1019365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1019368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1019371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1019374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019393 */     // MIs[0] policy
     /* 1019393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019403 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1019406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019425 */     // GIR_Coverage, 13012,
     /* 1019425 */     GIR_EraseRootFromParent_Done,
     /* 1019426 */   // Label 15110: @1019426
     /* 1019426 */   GIM_Try, /*On fail goto*//*Label 15111*/ GIMT_Encode4(1019503), // Rule ID 13015 //
     /* 1019431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1019442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1019445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1019451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019470 */     // MIs[0] policy
     /* 1019470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019480 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1019483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019502 */     // GIR_Coverage, 13015,
     /* 1019502 */     GIR_EraseRootFromParent_Done,
     /* 1019503 */   // Label 15111: @1019503
     /* 1019503 */   GIM_Try, /*On fail goto*//*Label 15112*/ GIMT_Encode4(1019580), // Rule ID 13016 //
     /* 1019508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1019519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1019522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1019528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019547 */     // MIs[0] policy
     /* 1019547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019557 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1019560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019579 */     // GIR_Coverage, 13016,
     /* 1019579 */     GIR_EraseRootFromParent_Done,
     /* 1019580 */   // Label 15112: @1019580
     /* 1019580 */   GIM_Try, /*On fail goto*//*Label 15113*/ GIMT_Encode4(1019657), // Rule ID 13019 //
     /* 1019585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1019596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1019599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1019605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019624 */     // MIs[0] policy
     /* 1019624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019634 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1019637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019656 */     // GIR_Coverage, 13019,
     /* 1019656 */     GIR_EraseRootFromParent_Done,
     /* 1019657 */   // Label 15113: @1019657
     /* 1019657 */   GIM_Try, /*On fail goto*//*Label 15114*/ GIMT_Encode4(1019734), // Rule ID 13020 //
     /* 1019662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1019673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1019676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1019682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019701 */     // MIs[0] policy
     /* 1019701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019711 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1019714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019733 */     // GIR_Coverage, 13020,
     /* 1019733 */     GIR_EraseRootFromParent_Done,
     /* 1019734 */   // Label 15114: @1019734
     /* 1019734 */   GIM_Try, /*On fail goto*//*Label 15115*/ GIMT_Encode4(1019811), // Rule ID 13023 //
     /* 1019739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1019750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1019753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1019759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019778 */     // MIs[0] policy
     /* 1019778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019788 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1019791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019810 */     // GIR_Coverage, 13023,
     /* 1019810 */     GIR_EraseRootFromParent_Done,
     /* 1019811 */   // Label 15115: @1019811
     /* 1019811 */   GIM_Try, /*On fail goto*//*Label 15116*/ GIMT_Encode4(1019888), // Rule ID 13024 //
     /* 1019816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1019827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1019830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1019836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019855 */     // MIs[0] policy
     /* 1019855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019865 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1019868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019887 */     // GIR_Coverage, 13024,
     /* 1019887 */     GIR_EraseRootFromParent_Done,
     /* 1019888 */   // Label 15116: @1019888
     /* 1019888 */   GIM_Try, /*On fail goto*//*Label 15117*/ GIMT_Encode4(1019965), // Rule ID 13027 //
     /* 1019893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1019904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1019907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1019913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019932 */     // MIs[0] policy
     /* 1019932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019942 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1019945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019964 */     // GIR_Coverage, 13027,
     /* 1019964 */     GIR_EraseRootFromParent_Done,
     /* 1019965 */   // Label 15117: @1019965
     /* 1019965 */   GIM_Try, /*On fail goto*//*Label 15118*/ GIMT_Encode4(1020042), // Rule ID 13028 //
     /* 1019970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1019978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1019981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1019984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1019990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020009 */     // MIs[0] policy
     /* 1020009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020019 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1020022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020041 */     // GIR_Coverage, 13028,
     /* 1020041 */     GIR_EraseRootFromParent_Done,
     /* 1020042 */   // Label 15118: @1020042
     /* 1020042 */   GIM_Try, /*On fail goto*//*Label 15119*/ GIMT_Encode4(1020119), // Rule ID 13031 //
     /* 1020047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1020058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1020061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1020067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020086 */     // MIs[0] policy
     /* 1020086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1020099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020118 */     // GIR_Coverage, 13031,
     /* 1020118 */     GIR_EraseRootFromParent_Done,
     /* 1020119 */   // Label 15119: @1020119
     /* 1020119 */   GIM_Try, /*On fail goto*//*Label 15120*/ GIMT_Encode4(1020196), // Rule ID 13032 //
     /* 1020124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1020135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1020138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1020144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020163 */     // MIs[0] policy
     /* 1020163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020173 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1020176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020195 */     // GIR_Coverage, 13032,
     /* 1020195 */     GIR_EraseRootFromParent_Done,
     /* 1020196 */   // Label 15120: @1020196
     /* 1020196 */   GIM_Try, /*On fail goto*//*Label 15121*/ GIMT_Encode4(1020273), // Rule ID 13035 //
     /* 1020201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1020212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1020215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1020221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020240 */     // MIs[0] policy
     /* 1020240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020250 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1020253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020272 */     // GIR_Coverage, 13035,
     /* 1020272 */     GIR_EraseRootFromParent_Done,
     /* 1020273 */   // Label 15121: @1020273
     /* 1020273 */   GIM_Try, /*On fail goto*//*Label 15122*/ GIMT_Encode4(1020350), // Rule ID 13036 //
     /* 1020278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1020289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1020292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1020298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020317 */     // MIs[0] policy
     /* 1020317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020327 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1020330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020349 */     // GIR_Coverage, 13036,
     /* 1020349 */     GIR_EraseRootFromParent_Done,
     /* 1020350 */   // Label 15122: @1020350
     /* 1020350 */   GIM_Try, /*On fail goto*//*Label 15123*/ GIMT_Encode4(1020427), // Rule ID 13039 //
     /* 1020355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1020366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1020369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1020375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020394 */     // MIs[0] policy
     /* 1020394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020404 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11305:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1020407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020426 */     // GIR_Coverage, 13039,
     /* 1020426 */     GIR_EraseRootFromParent_Done,
     /* 1020427 */   // Label 15123: @1020427
     /* 1020427 */   GIM_Try, /*On fail goto*//*Label 15124*/ GIMT_Encode4(1020504), // Rule ID 13040 //
     /* 1020432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1020443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1020446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1020452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020471 */     // MIs[0] policy
     /* 1020471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020481 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11305:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1020484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020503 */     // GIR_Coverage, 13040,
     /* 1020503 */     GIR_EraseRootFromParent_Done,
     /* 1020504 */   // Label 15124: @1020504
     /* 1020504 */   GIM_Try, /*On fail goto*//*Label 15125*/ GIMT_Encode4(1020581), // Rule ID 13043 //
     /* 1020509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1020520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1020523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1020529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020548 */     // MIs[0] policy
     /* 1020548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1020561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020580 */     // GIR_Coverage, 13043,
     /* 1020580 */     GIR_EraseRootFromParent_Done,
     /* 1020581 */   // Label 15125: @1020581
     /* 1020581 */   GIM_Try, /*On fail goto*//*Label 15126*/ GIMT_Encode4(1020658), // Rule ID 13044 //
     /* 1020586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1020597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1020600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1020606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020625 */     // MIs[0] policy
     /* 1020625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020635 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1020638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020657 */     // GIR_Coverage, 13044,
     /* 1020657 */     GIR_EraseRootFromParent_Done,
     /* 1020658 */   // Label 15126: @1020658
     /* 1020658 */   GIM_Try, /*On fail goto*//*Label 15127*/ GIMT_Encode4(1020735), // Rule ID 13047 //
     /* 1020663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1020674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1020677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1020683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020702 */     // MIs[0] policy
     /* 1020702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020712 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1020715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020734 */     // GIR_Coverage, 13047,
     /* 1020734 */     GIR_EraseRootFromParent_Done,
     /* 1020735 */   // Label 15127: @1020735
     /* 1020735 */   GIM_Try, /*On fail goto*//*Label 15128*/ GIMT_Encode4(1020812), // Rule ID 13048 //
     /* 1020740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1020751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1020754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1020760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020779 */     // MIs[0] policy
     /* 1020779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020789 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1020792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020811 */     // GIR_Coverage, 13048,
     /* 1020811 */     GIR_EraseRootFromParent_Done,
     /* 1020812 */   // Label 15128: @1020812
     /* 1020812 */   GIM_Try, /*On fail goto*//*Label 15129*/ GIMT_Encode4(1020889), // Rule ID 13051 //
     /* 1020817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1020820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1020828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1020831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1020837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020856 */     // MIs[0] policy
     /* 1020856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020866 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1020869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020888 */     // GIR_Coverage, 13051,
     /* 1020888 */     GIR_EraseRootFromParent_Done,
     /* 1020889 */   // Label 15129: @1020889
     /* 1020889 */   GIM_Try, /*On fail goto*//*Label 15130*/ GIMT_Encode4(1020966), // Rule ID 13052 //
     /* 1020894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1020897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1020905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1020908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1020914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020933 */     // MIs[0] policy
     /* 1020933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020943 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1020946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020965 */     // GIR_Coverage, 13052,
     /* 1020965 */     GIR_EraseRootFromParent_Done,
     /* 1020966 */   // Label 15130: @1020966
     /* 1020966 */   GIM_Try, /*On fail goto*//*Label 15131*/ GIMT_Encode4(1021043), // Rule ID 13055 //
     /* 1020971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1020979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1020982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1020985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1020991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021010 */     // MIs[0] policy
     /* 1021010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021020 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1021023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021042 */     // GIR_Coverage, 13055,
     /* 1021042 */     GIR_EraseRootFromParent_Done,
     /* 1021043 */   // Label 15131: @1021043
     /* 1021043 */   GIM_Try, /*On fail goto*//*Label 15132*/ GIMT_Encode4(1021120), // Rule ID 13056 //
     /* 1021048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1021059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1021062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1021068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021087 */     // MIs[0] policy
     /* 1021087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021097 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1021100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021119 */     // GIR_Coverage, 13056,
     /* 1021119 */     GIR_EraseRootFromParent_Done,
     /* 1021120 */   // Label 15132: @1021120
     /* 1021120 */   GIM_Try, /*On fail goto*//*Label 15133*/ GIMT_Encode4(1021197), // Rule ID 13059 //
     /* 1021125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1021136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1021139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1021145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021164 */     // MIs[0] policy
     /* 1021164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021174 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1021177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021196 */     // GIR_Coverage, 13059,
     /* 1021196 */     GIR_EraseRootFromParent_Done,
     /* 1021197 */   // Label 15133: @1021197
     /* 1021197 */   GIM_Try, /*On fail goto*//*Label 15134*/ GIMT_Encode4(1021274), // Rule ID 13060 //
     /* 1021202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1021213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1021216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1021222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021241 */     // MIs[0] policy
     /* 1021241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021251 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1021254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021273 */     // GIR_Coverage, 13060,
     /* 1021273 */     GIR_EraseRootFromParent_Done,
     /* 1021274 */   // Label 15134: @1021274
     /* 1021274 */   GIM_Try, /*On fail goto*//*Label 15135*/ GIMT_Encode4(1021351), // Rule ID 13063 //
     /* 1021279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1021290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1021293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1021299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021318 */     // MIs[0] policy
     /* 1021318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021328 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1021331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021350 */     // GIR_Coverage, 13063,
     /* 1021350 */     GIR_EraseRootFromParent_Done,
     /* 1021351 */   // Label 15135: @1021351
     /* 1021351 */   GIM_Try, /*On fail goto*//*Label 15136*/ GIMT_Encode4(1021428), // Rule ID 13064 //
     /* 1021356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1021367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1021370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1021376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021395 */     // MIs[0] policy
     /* 1021395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021405 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1021408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021427 */     // GIR_Coverage, 13064,
     /* 1021427 */     GIR_EraseRootFromParent_Done,
     /* 1021428 */   // Label 15136: @1021428
     /* 1021428 */   GIM_Try, /*On fail goto*//*Label 15137*/ GIMT_Encode4(1021505), // Rule ID 13067 //
     /* 1021433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1021444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1021447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1021453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021472 */     // MIs[0] policy
     /* 1021472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021482 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1021485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021504 */     // GIR_Coverage, 13067,
     /* 1021504 */     GIR_EraseRootFromParent_Done,
     /* 1021505 */   // Label 15137: @1021505
     /* 1021505 */   GIM_Try, /*On fail goto*//*Label 15138*/ GIMT_Encode4(1021582), // Rule ID 13068 //
     /* 1021510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1021521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1021524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1021530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021549 */     // MIs[0] policy
     /* 1021549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021559 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1021562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021581 */     // GIR_Coverage, 13068,
     /* 1021581 */     GIR_EraseRootFromParent_Done,
     /* 1021582 */   // Label 15138: @1021582
     /* 1021582 */   GIM_Try, /*On fail goto*//*Label 15139*/ GIMT_Encode4(1021659), // Rule ID 13071 //
     /* 1021587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1021598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1021601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1021607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021626 */     // MIs[0] policy
     /* 1021626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021636 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1021639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021658 */     // GIR_Coverage, 13071,
     /* 1021658 */     GIR_EraseRootFromParent_Done,
     /* 1021659 */   // Label 15139: @1021659
     /* 1021659 */   GIM_Try, /*On fail goto*//*Label 15140*/ GIMT_Encode4(1021736), // Rule ID 13072 //
     /* 1021664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1021675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1021678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1021684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021703 */     // MIs[0] policy
     /* 1021703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021713 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1021716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021735 */     // GIR_Coverage, 13072,
     /* 1021735 */     GIR_EraseRootFromParent_Done,
     /* 1021736 */   // Label 15140: @1021736
     /* 1021736 */   GIM_Try, /*On fail goto*//*Label 15141*/ GIMT_Encode4(1021813), // Rule ID 13075 //
     /* 1021741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1021752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1021755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1021761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021780 */     // MIs[0] policy
     /* 1021780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021790 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1021793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021812 */     // GIR_Coverage, 13075,
     /* 1021812 */     GIR_EraseRootFromParent_Done,
     /* 1021813 */   // Label 15141: @1021813
     /* 1021813 */   GIM_Try, /*On fail goto*//*Label 15142*/ GIMT_Encode4(1021890), // Rule ID 13076 //
     /* 1021818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1021829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1021832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1021838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021857 */     // MIs[0] policy
     /* 1021857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021867 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1021870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021889 */     // GIR_Coverage, 13076,
     /* 1021889 */     GIR_EraseRootFromParent_Done,
     /* 1021890 */   // Label 15142: @1021890
     /* 1021890 */   GIM_Try, /*On fail goto*//*Label 15143*/ GIMT_Encode4(1021967), // Rule ID 13079 //
     /* 1021895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1021906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1021909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1021915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021934 */     // MIs[0] policy
     /* 1021934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021944 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1021947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021966 */     // GIR_Coverage, 13079,
     /* 1021966 */     GIR_EraseRootFromParent_Done,
     /* 1021967 */   // Label 15143: @1021967
     /* 1021967 */   GIM_Try, /*On fail goto*//*Label 15144*/ GIMT_Encode4(1022044), // Rule ID 13080 //
     /* 1021972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1021980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1021983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1021986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1021992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022011 */     // MIs[0] policy
     /* 1022011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022021 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1022024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022043 */     // GIR_Coverage, 13080,
     /* 1022043 */     GIR_EraseRootFromParent_Done,
     /* 1022044 */   // Label 15144: @1022044
     /* 1022044 */   GIM_Try, /*On fail goto*//*Label 15145*/ GIMT_Encode4(1022121), // Rule ID 13083 //
     /* 1022049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1022060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1022063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1022069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022088 */     // MIs[0] policy
     /* 1022088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022098 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1022101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022120 */     // GIR_Coverage, 13083,
     /* 1022120 */     GIR_EraseRootFromParent_Done,
     /* 1022121 */   // Label 15145: @1022121
     /* 1022121 */   GIM_Try, /*On fail goto*//*Label 15146*/ GIMT_Encode4(1022198), // Rule ID 13084 //
     /* 1022126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1022137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1022140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1022146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022165 */     // MIs[0] policy
     /* 1022165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022175 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1022178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022197 */     // GIR_Coverage, 13084,
     /* 1022197 */     GIR_EraseRootFromParent_Done,
     /* 1022198 */   // Label 15146: @1022198
     /* 1022198 */   GIM_Try, /*On fail goto*//*Label 15147*/ GIMT_Encode4(1022275), // Rule ID 13087 //
     /* 1022203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1022214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1022217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1022223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022242 */     // MIs[0] policy
     /* 1022242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022252 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1022255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022274 */     // GIR_Coverage, 13087,
     /* 1022274 */     GIR_EraseRootFromParent_Done,
     /* 1022275 */   // Label 15147: @1022275
     /* 1022275 */   GIM_Try, /*On fail goto*//*Label 15148*/ GIMT_Encode4(1022352), // Rule ID 13088 //
     /* 1022280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1022291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1022294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1022300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022319 */     // MIs[0] policy
     /* 1022319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022329 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1022332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022351 */     // GIR_Coverage, 13088,
     /* 1022351 */     GIR_EraseRootFromParent_Done,
     /* 1022352 */   // Label 15148: @1022352
     /* 1022352 */   GIM_Try, /*On fail goto*//*Label 15149*/ GIMT_Encode4(1022429), // Rule ID 13091 //
     /* 1022357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1022360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1022368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1022371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1022377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022396 */     // MIs[0] policy
     /* 1022396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022406 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1022409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022428 */     // GIR_Coverage, 13091,
     /* 1022428 */     GIR_EraseRootFromParent_Done,
     /* 1022429 */   // Label 15149: @1022429
     /* 1022429 */   GIM_Try, /*On fail goto*//*Label 15150*/ GIMT_Encode4(1022506), // Rule ID 13092 //
     /* 1022434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1022437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1022445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1022448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1022454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022473 */     // MIs[0] policy
     /* 1022473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022483 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1022486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022505 */     // GIR_Coverage, 13092,
     /* 1022505 */     GIR_EraseRootFromParent_Done,
     /* 1022506 */   // Label 15150: @1022506
     /* 1022506 */   GIM_Try, /*On fail goto*//*Label 15151*/ GIMT_Encode4(1022583), // Rule ID 13095 //
     /* 1022511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1022514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1022522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1022525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1022531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022550 */     // MIs[0] policy
     /* 1022550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022560 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1022563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022582 */     // GIR_Coverage, 13095,
     /* 1022582 */     GIR_EraseRootFromParent_Done,
     /* 1022583 */   // Label 15151: @1022583
     /* 1022583 */   GIM_Try, /*On fail goto*//*Label 15152*/ GIMT_Encode4(1022660), // Rule ID 13096 //
     /* 1022588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1022591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1022599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1022602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1022608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022627 */     // MIs[0] policy
     /* 1022627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022637 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1022640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022659 */     // GIR_Coverage, 13096,
     /* 1022659 */     GIR_EraseRootFromParent_Done,
     /* 1022660 */   // Label 15152: @1022660
     /* 1022660 */   GIM_Try, /*On fail goto*//*Label 15153*/ GIMT_Encode4(1022737), // Rule ID 13099 //
     /* 1022665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1022668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1022676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1022679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1022685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022704 */     // MIs[0] policy
     /* 1022704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022714 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1022717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022736 */     // GIR_Coverage, 13099,
     /* 1022736 */     GIR_EraseRootFromParent_Done,
     /* 1022737 */   // Label 15153: @1022737
     /* 1022737 */   GIM_Try, /*On fail goto*//*Label 15154*/ GIMT_Encode4(1022814), // Rule ID 13100 //
     /* 1022742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1022745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1022753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1022756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1022762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022781 */     // MIs[0] policy
     /* 1022781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022791 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1022794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022813 */     // GIR_Coverage, 13100,
     /* 1022813 */     GIR_EraseRootFromParent_Done,
     /* 1022814 */   // Label 15154: @1022814
     /* 1022814 */   GIM_Try, /*On fail goto*//*Label 15155*/ GIMT_Encode4(1022891), // Rule ID 13103 //
     /* 1022819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1022827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1022830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1022833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1022836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1022839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022858 */     // MIs[0] policy
     /* 1022858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022868 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1022871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022890 */     // GIR_Coverage, 13103,
     /* 1022890 */     GIR_EraseRootFromParent_Done,
     /* 1022891 */   // Label 15155: @1022891
     /* 1022891 */   GIM_Try, /*On fail goto*//*Label 15156*/ GIMT_Encode4(1022968), // Rule ID 13104 //
     /* 1022896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1022904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1022907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1022910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1022913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1022916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022935 */     // MIs[0] policy
     /* 1022935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022945 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1022948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022967 */     // GIR_Coverage, 13104,
     /* 1022967 */     GIR_EraseRootFromParent_Done,
     /* 1022968 */   // Label 15156: @1022968
     /* 1022968 */   GIM_Try, /*On fail goto*//*Label 15157*/ GIMT_Encode4(1023045), // Rule ID 13107 //
     /* 1022973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1022981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1022984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1022987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1022990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1022993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023012 */     // MIs[0] policy
     /* 1023012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023022 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1023025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023044 */     // GIR_Coverage, 13107,
     /* 1023044 */     GIR_EraseRootFromParent_Done,
     /* 1023045 */   // Label 15157: @1023045
     /* 1023045 */   GIM_Try, /*On fail goto*//*Label 15158*/ GIMT_Encode4(1023122), // Rule ID 13108 //
     /* 1023050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1023061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1023064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1023067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1023070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023089 */     // MIs[0] policy
     /* 1023089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023099 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1023102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023121 */     // GIR_Coverage, 13108,
     /* 1023121 */     GIR_EraseRootFromParent_Done,
     /* 1023122 */   // Label 15158: @1023122
     /* 1023122 */   GIM_Try, /*On fail goto*//*Label 15159*/ GIMT_Encode4(1023199), // Rule ID 13111 //
     /* 1023127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1023138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1023141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1023144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1023147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023166 */     // MIs[0] policy
     /* 1023166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023176 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1023179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023198 */     // GIR_Coverage, 13111,
     /* 1023198 */     GIR_EraseRootFromParent_Done,
     /* 1023199 */   // Label 15159: @1023199
     /* 1023199 */   GIM_Try, /*On fail goto*//*Label 15160*/ GIMT_Encode4(1023276), // Rule ID 13112 //
     /* 1023204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1023215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1023218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1023221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1023224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023243 */     // MIs[0] policy
     /* 1023243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023253 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1023256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023275 */     // GIR_Coverage, 13112,
     /* 1023275 */     GIR_EraseRootFromParent_Done,
     /* 1023276 */   // Label 15160: @1023276
     /* 1023276 */   GIM_Try, /*On fail goto*//*Label 15161*/ GIMT_Encode4(1023353), // Rule ID 13115 //
     /* 1023281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1023292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1023295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1023298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1023301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023320 */     // MIs[0] policy
     /* 1023320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023330 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1023333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023352 */     // GIR_Coverage, 13115,
     /* 1023352 */     GIR_EraseRootFromParent_Done,
     /* 1023353 */   // Label 15161: @1023353
     /* 1023353 */   GIM_Try, /*On fail goto*//*Label 15162*/ GIMT_Encode4(1023430), // Rule ID 13116 //
     /* 1023358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1023369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1023372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1023375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1023378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023397 */     // MIs[0] policy
     /* 1023397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023407 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1023410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023429 */     // GIR_Coverage, 13116,
     /* 1023429 */     GIR_EraseRootFromParent_Done,
     /* 1023430 */   // Label 15162: @1023430
     /* 1023430 */   GIM_Try, /*On fail goto*//*Label 15163*/ GIMT_Encode4(1023507), // Rule ID 13119 //
     /* 1023435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1023446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1023449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1023452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1023455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023474 */     // MIs[0] policy
     /* 1023474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023484 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1023487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023506 */     // GIR_Coverage, 13119,
     /* 1023506 */     GIR_EraseRootFromParent_Done,
     /* 1023507 */   // Label 15163: @1023507
     /* 1023507 */   GIM_Try, /*On fail goto*//*Label 15164*/ GIMT_Encode4(1023584), // Rule ID 13120 //
     /* 1023512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1023523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1023526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1023529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1023532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023551 */     // MIs[0] policy
     /* 1023551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023561 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1023564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023583 */     // GIR_Coverage, 13120,
     /* 1023583 */     GIR_EraseRootFromParent_Done,
     /* 1023584 */   // Label 15164: @1023584
     /* 1023584 */   GIM_Try, /*On fail goto*//*Label 15165*/ GIMT_Encode4(1023661), // Rule ID 13123 //
     /* 1023589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1023600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1023603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1023606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1023609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023628 */     // MIs[0] policy
     /* 1023628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023638 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1023641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023660 */     // GIR_Coverage, 13123,
     /* 1023660 */     GIR_EraseRootFromParent_Done,
     /* 1023661 */   // Label 15165: @1023661
     /* 1023661 */   GIM_Try, /*On fail goto*//*Label 15166*/ GIMT_Encode4(1023738), // Rule ID 13124 //
     /* 1023666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1023677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1023680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1023683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1023686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023705 */     // MIs[0] policy
     /* 1023705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023715 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1023718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023737 */     // GIR_Coverage, 13124,
     /* 1023737 */     GIR_EraseRootFromParent_Done,
     /* 1023738 */   // Label 15166: @1023738
     /* 1023738 */   GIM_Try, /*On fail goto*//*Label 15167*/ GIMT_Encode4(1023815), // Rule ID 13127 //
     /* 1023743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1023754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1023757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1023760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1023763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023782 */     // MIs[0] policy
     /* 1023782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023792 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1023795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023814 */     // GIR_Coverage, 13127,
     /* 1023814 */     GIR_EraseRootFromParent_Done,
     /* 1023815 */   // Label 15167: @1023815
     /* 1023815 */   GIM_Try, /*On fail goto*//*Label 15168*/ GIMT_Encode4(1023892), // Rule ID 13128 //
     /* 1023820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1023831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1023834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1023837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1023840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023859 */     // MIs[0] policy
     /* 1023859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023869 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1023872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023891 */     // GIR_Coverage, 13128,
     /* 1023891 */     GIR_EraseRootFromParent_Done,
     /* 1023892 */   // Label 15168: @1023892
     /* 1023892 */   GIM_Try, /*On fail goto*//*Label 15169*/ GIMT_Encode4(1023969), // Rule ID 13131 //
     /* 1023897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1023908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1023911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1023914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1023917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023936 */     // MIs[0] policy
     /* 1023936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023946 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1023949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023968 */     // GIR_Coverage, 13131,
     /* 1023968 */     GIR_EraseRootFromParent_Done,
     /* 1023969 */   // Label 15169: @1023969
     /* 1023969 */   GIM_Try, /*On fail goto*//*Label 15170*/ GIMT_Encode4(1024046), // Rule ID 13132 //
     /* 1023974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1023985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1023988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1023991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1023994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024013 */     // MIs[0] policy
     /* 1024013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024023 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1024026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024045 */     // GIR_Coverage, 13132,
     /* 1024045 */     GIR_EraseRootFromParent_Done,
     /* 1024046 */   // Label 15170: @1024046
     /* 1024046 */   GIM_Try, /*On fail goto*//*Label 15171*/ GIMT_Encode4(1024123), // Rule ID 13135 //
     /* 1024051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1024062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1024065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1024068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1024071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024090 */     // MIs[0] policy
     /* 1024090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024100 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1024103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024122 */     // GIR_Coverage, 13135,
     /* 1024122 */     GIR_EraseRootFromParent_Done,
     /* 1024123 */   // Label 15171: @1024123
     /* 1024123 */   GIM_Try, /*On fail goto*//*Label 15172*/ GIMT_Encode4(1024200), // Rule ID 13136 //
     /* 1024128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1024139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1024142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1024145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1024148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024167 */     // MIs[0] policy
     /* 1024167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024177 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1024180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024199 */     // GIR_Coverage, 13136,
     /* 1024199 */     GIR_EraseRootFromParent_Done,
     /* 1024200 */   // Label 15172: @1024200
     /* 1024200 */   GIM_Try, /*On fail goto*//*Label 15173*/ GIMT_Encode4(1024277), // Rule ID 13139 //
     /* 1024205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1024208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1024216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1024219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1024222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1024225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024244 */     // MIs[0] policy
     /* 1024244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024254 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1024257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024276 */     // GIR_Coverage, 13139,
     /* 1024276 */     GIR_EraseRootFromParent_Done,
     /* 1024277 */   // Label 15173: @1024277
     /* 1024277 */   GIM_Try, /*On fail goto*//*Label 15174*/ GIMT_Encode4(1024354), // Rule ID 13140 //
     /* 1024282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1024285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1024293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1024296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1024299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1024302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024321 */     // MIs[0] policy
     /* 1024321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024331 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1024334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024353 */     // GIR_Coverage, 13140,
     /* 1024353 */     GIR_EraseRootFromParent_Done,
     /* 1024354 */   // Label 15174: @1024354
     /* 1024354 */   GIM_Try, /*On fail goto*//*Label 15175*/ GIMT_Encode4(1024431), // Rule ID 13143 //
     /* 1024359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1024370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1024373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1024376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1024379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024398 */     // MIs[0] policy
     /* 1024398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024408 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1024411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024430 */     // GIR_Coverage, 13143,
     /* 1024430 */     GIR_EraseRootFromParent_Done,
     /* 1024431 */   // Label 15175: @1024431
     /* 1024431 */   GIM_Try, /*On fail goto*//*Label 15176*/ GIMT_Encode4(1024508), // Rule ID 13144 //
     /* 1024436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1024447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1024450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1024453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1024456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024475 */     // MIs[0] policy
     /* 1024475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024485 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1024488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024507 */     // GIR_Coverage, 13144,
     /* 1024507 */     GIR_EraseRootFromParent_Done,
     /* 1024508 */   // Label 15176: @1024508
     /* 1024508 */   GIM_Try, /*On fail goto*//*Label 15177*/ GIMT_Encode4(1024585), // Rule ID 13147 //
     /* 1024513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1024524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1024527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1024530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1024533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024552 */     // MIs[0] policy
     /* 1024552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024562 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1024565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024584 */     // GIR_Coverage, 13147,
     /* 1024584 */     GIR_EraseRootFromParent_Done,
     /* 1024585 */   // Label 15177: @1024585
     /* 1024585 */   GIM_Try, /*On fail goto*//*Label 15178*/ GIMT_Encode4(1024662), // Rule ID 13148 //
     /* 1024590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1024601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1024604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1024607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1024610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024629 */     // MIs[0] policy
     /* 1024629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024639 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1024642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024661 */     // GIR_Coverage, 13148,
     /* 1024661 */     GIR_EraseRootFromParent_Done,
     /* 1024662 */   // Label 15178: @1024662
     /* 1024662 */   GIM_Try, /*On fail goto*//*Label 15179*/ GIMT_Encode4(1024739), // Rule ID 13151 //
     /* 1024667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1024678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1024681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1024684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1024687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024706 */     // MIs[0] policy
     /* 1024706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024716 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1024719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024738 */     // GIR_Coverage, 13151,
     /* 1024738 */     GIR_EraseRootFromParent_Done,
     /* 1024739 */   // Label 15179: @1024739
     /* 1024739 */   GIM_Try, /*On fail goto*//*Label 15180*/ GIMT_Encode4(1024816), // Rule ID 13152 //
     /* 1024744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1024755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1024758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1024761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1024764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024783 */     // MIs[0] policy
     /* 1024783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024793 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1024796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024815 */     // GIR_Coverage, 13152,
     /* 1024815 */     GIR_EraseRootFromParent_Done,
     /* 1024816 */   // Label 15180: @1024816
     /* 1024816 */   GIM_Try, /*On fail goto*//*Label 15181*/ GIMT_Encode4(1024893), // Rule ID 13155 //
     /* 1024821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1024832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1024835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1024838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1024841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024860 */     // MIs[0] policy
     /* 1024860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024870 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1024873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024892 */     // GIR_Coverage, 13155,
     /* 1024892 */     GIR_EraseRootFromParent_Done,
     /* 1024893 */   // Label 15181: @1024893
     /* 1024893 */   GIM_Try, /*On fail goto*//*Label 15182*/ GIMT_Encode4(1024970), // Rule ID 13156 //
     /* 1024898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1024909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1024912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1024915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1024918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024937 */     // MIs[0] policy
     /* 1024937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1024950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024969 */     // GIR_Coverage, 13156,
     /* 1024969 */     GIR_EraseRootFromParent_Done,
     /* 1024970 */   // Label 15182: @1024970
     /* 1024970 */   GIM_Try, /*On fail goto*//*Label 15183*/ GIMT_Encode4(1025047), // Rule ID 13159 //
     /* 1024975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1024986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1024989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1024992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1024995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025014 */     // MIs[0] policy
     /* 1025014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025024 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1025027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025046 */     // GIR_Coverage, 13159,
     /* 1025046 */     GIR_EraseRootFromParent_Done,
     /* 1025047 */   // Label 15183: @1025047
     /* 1025047 */   GIM_Try, /*On fail goto*//*Label 15184*/ GIMT_Encode4(1025124), // Rule ID 13160 //
     /* 1025052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1025063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1025066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1025069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1025072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025091 */     // MIs[0] policy
     /* 1025091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025101 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1025104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025123 */     // GIR_Coverage, 13160,
     /* 1025123 */     GIR_EraseRootFromParent_Done,
     /* 1025124 */   // Label 15184: @1025124
     /* 1025124 */   GIM_Try, /*On fail goto*//*Label 15185*/ GIMT_Encode4(1025201), // Rule ID 13163 //
     /* 1025129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1025140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1025143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1025146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1025149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025168 */     // MIs[0] policy
     /* 1025168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025178 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1025181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025200 */     // GIR_Coverage, 13163,
     /* 1025200 */     GIR_EraseRootFromParent_Done,
     /* 1025201 */   // Label 15185: @1025201
     /* 1025201 */   GIM_Try, /*On fail goto*//*Label 15186*/ GIMT_Encode4(1025278), // Rule ID 13164 //
     /* 1025206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1025217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1025220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1025223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1025226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025245 */     // MIs[0] policy
     /* 1025245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025255 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1025258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025277 */     // GIR_Coverage, 13164,
     /* 1025277 */     GIR_EraseRootFromParent_Done,
     /* 1025278 */   // Label 15186: @1025278
     /* 1025278 */   GIM_Try, /*On fail goto*//*Label 15187*/ GIMT_Encode4(1025355), // Rule ID 13167 //
     /* 1025283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1025294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1025297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1025300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1025303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025322 */     // MIs[0] policy
     /* 1025322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025332 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1025335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025354 */     // GIR_Coverage, 13167,
     /* 1025354 */     GIR_EraseRootFromParent_Done,
     /* 1025355 */   // Label 15187: @1025355
     /* 1025355 */   GIM_Try, /*On fail goto*//*Label 15188*/ GIMT_Encode4(1025432), // Rule ID 13168 //
     /* 1025360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1025371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1025374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1025377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1025380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025399 */     // MIs[0] policy
     /* 1025399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025409 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1025412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025431 */     // GIR_Coverage, 13168,
     /* 1025431 */     GIR_EraseRootFromParent_Done,
     /* 1025432 */   // Label 15188: @1025432
     /* 1025432 */   GIM_Try, /*On fail goto*//*Label 15189*/ GIMT_Encode4(1025509), // Rule ID 13171 //
     /* 1025437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1025448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1025451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1025454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1025457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025476 */     // MIs[0] policy
     /* 1025476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1025489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025508 */     // GIR_Coverage, 13171,
     /* 1025508 */     GIR_EraseRootFromParent_Done,
     /* 1025509 */   // Label 15189: @1025509
     /* 1025509 */   GIM_Try, /*On fail goto*//*Label 15190*/ GIMT_Encode4(1025586), // Rule ID 13172 //
     /* 1025514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1025525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1025528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1025531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1025534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025553 */     // MIs[0] policy
     /* 1025553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025563 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1025566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025585 */     // GIR_Coverage, 13172,
     /* 1025585 */     GIR_EraseRootFromParent_Done,
     /* 1025586 */   // Label 15190: @1025586
     /* 1025586 */   GIM_Try, /*On fail goto*//*Label 15191*/ GIMT_Encode4(1025663), // Rule ID 13175 //
     /* 1025591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1025602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1025605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1025608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1025611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025630 */     // MIs[0] policy
     /* 1025630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025640 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1025643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025662 */     // GIR_Coverage, 13175,
     /* 1025662 */     GIR_EraseRootFromParent_Done,
     /* 1025663 */   // Label 15191: @1025663
     /* 1025663 */   GIM_Try, /*On fail goto*//*Label 15192*/ GIMT_Encode4(1025740), // Rule ID 13176 //
     /* 1025668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1025679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1025682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1025685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1025688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025707 */     // MIs[0] policy
     /* 1025707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025717 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1025720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025739 */     // GIR_Coverage, 13176,
     /* 1025739 */     GIR_EraseRootFromParent_Done,
     /* 1025740 */   // Label 15192: @1025740
     /* 1025740 */   GIM_Try, /*On fail goto*//*Label 15193*/ GIMT_Encode4(1025817), // Rule ID 13179 //
     /* 1025745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1025748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1025756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1025759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1025762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1025765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025784 */     // MIs[0] policy
     /* 1025784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025794 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1025797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025816 */     // GIR_Coverage, 13179,
     /* 1025816 */     GIR_EraseRootFromParent_Done,
     /* 1025817 */   // Label 15193: @1025817
     /* 1025817 */   GIM_Try, /*On fail goto*//*Label 15194*/ GIMT_Encode4(1025894), // Rule ID 13180 //
     /* 1025822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1025825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1025833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1025836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1025839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1025842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025861 */     // MIs[0] policy
     /* 1025861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025871 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1025874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025893 */     // GIR_Coverage, 13180,
     /* 1025893 */     GIR_EraseRootFromParent_Done,
     /* 1025894 */   // Label 15194: @1025894
     /* 1025894 */   GIM_Try, /*On fail goto*//*Label 15195*/ GIMT_Encode4(1025971), // Rule ID 13183 //
     /* 1025899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1025902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1025910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1025913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1025916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1025919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025938 */     // MIs[0] policy
     /* 1025938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025948 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1025951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025970 */     // GIR_Coverage, 13183,
     /* 1025970 */     GIR_EraseRootFromParent_Done,
     /* 1025971 */   // Label 15195: @1025971
     /* 1025971 */   GIM_Try, /*On fail goto*//*Label 15196*/ GIMT_Encode4(1026048), // Rule ID 13184 //
     /* 1025976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1025979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1025984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1025987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1025990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1025993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1025996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026015 */     // MIs[0] policy
     /* 1026015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026025 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1026028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1026044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026047 */     // GIR_Coverage, 13184,
     /* 1026047 */     GIR_EraseRootFromParent_Done,
     /* 1026048 */   // Label 15196: @1026048
     /* 1026048 */   GIM_Try, /*On fail goto*//*Label 15197*/ GIMT_Encode4(1026125), // Rule ID 13187 //
     /* 1026053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1026056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1026064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1026067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1026070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1026073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026092 */     // MIs[0] policy
     /* 1026092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026102 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1026105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1026121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026124 */     // GIR_Coverage, 13187,
     /* 1026124 */     GIR_EraseRootFromParent_Done,
     /* 1026125 */   // Label 15197: @1026125
     /* 1026125 */   GIM_Try, /*On fail goto*//*Label 15198*/ GIMT_Encode4(1026202), // Rule ID 13188 //
     /* 1026130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1026133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1026141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1026144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1026147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1026150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026169 */     // MIs[0] policy
     /* 1026169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026179 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1026182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1026198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026201 */     // GIR_Coverage, 13188,
     /* 1026201 */     GIR_EraseRootFromParent_Done,
     /* 1026202 */   // Label 15198: @1026202
     /* 1026202 */   GIM_Try, /*On fail goto*//*Label 15199*/ GIMT_Encode4(1026279), // Rule ID 13191 //
     /* 1026207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1026218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1026221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1026227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026246 */     // MIs[0] policy
     /* 1026246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026256 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1026259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026278 */     // GIR_Coverage, 13191,
     /* 1026278 */     GIR_EraseRootFromParent_Done,
     /* 1026279 */   // Label 15199: @1026279
     /* 1026279 */   GIM_Try, /*On fail goto*//*Label 15200*/ GIMT_Encode4(1026356), // Rule ID 13192 //
     /* 1026284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1026295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1026298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1026304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026323 */     // MIs[0] policy
     /* 1026323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026333 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1026336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026355 */     // GIR_Coverage, 13192,
     /* 1026355 */     GIR_EraseRootFromParent_Done,
     /* 1026356 */   // Label 15200: @1026356
     /* 1026356 */   GIM_Try, /*On fail goto*//*Label 15201*/ GIMT_Encode4(1026433), // Rule ID 13195 //
     /* 1026361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1026372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1026375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1026381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026400 */     // MIs[0] policy
     /* 1026400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026410 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1026413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026432 */     // GIR_Coverage, 13195,
     /* 1026432 */     GIR_EraseRootFromParent_Done,
     /* 1026433 */   // Label 15201: @1026433
     /* 1026433 */   GIM_Try, /*On fail goto*//*Label 15202*/ GIMT_Encode4(1026510), // Rule ID 13196 //
     /* 1026438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1026449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1026452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1026458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026477 */     // MIs[0] policy
     /* 1026477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026487 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1026490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026509 */     // GIR_Coverage, 13196,
     /* 1026509 */     GIR_EraseRootFromParent_Done,
     /* 1026510 */   // Label 15202: @1026510
     /* 1026510 */   GIM_Try, /*On fail goto*//*Label 15203*/ GIMT_Encode4(1026587), // Rule ID 13199 //
     /* 1026515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1026526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1026529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1026535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026554 */     // MIs[0] policy
     /* 1026554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026564 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1026567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026586 */     // GIR_Coverage, 13199,
     /* 1026586 */     GIR_EraseRootFromParent_Done,
     /* 1026587 */   // Label 15203: @1026587
     /* 1026587 */   GIM_Try, /*On fail goto*//*Label 15204*/ GIMT_Encode4(1026664), // Rule ID 13200 //
     /* 1026592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1026603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1026606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1026612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026631 */     // MIs[0] policy
     /* 1026631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026641 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1026644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026663 */     // GIR_Coverage, 13200,
     /* 1026663 */     GIR_EraseRootFromParent_Done,
     /* 1026664 */   // Label 15204: @1026664
     /* 1026664 */   GIM_Try, /*On fail goto*//*Label 15205*/ GIMT_Encode4(1026741), // Rule ID 13203 //
     /* 1026669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1026680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1026683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1026689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026708 */     // MIs[0] policy
     /* 1026708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026718 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1026721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026740 */     // GIR_Coverage, 13203,
     /* 1026740 */     GIR_EraseRootFromParent_Done,
     /* 1026741 */   // Label 15205: @1026741
     /* 1026741 */   GIM_Try, /*On fail goto*//*Label 15206*/ GIMT_Encode4(1026818), // Rule ID 13204 //
     /* 1026746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1026757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1026760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1026766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026785 */     // MIs[0] policy
     /* 1026785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026795 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1026798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026817 */     // GIR_Coverage, 13204,
     /* 1026817 */     GIR_EraseRootFromParent_Done,
     /* 1026818 */   // Label 15206: @1026818
     /* 1026818 */   GIM_Try, /*On fail goto*//*Label 15207*/ GIMT_Encode4(1026895), // Rule ID 13207 //
     /* 1026823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1026834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1026837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1026843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026862 */     // MIs[0] policy
     /* 1026862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026872 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1026875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026894 */     // GIR_Coverage, 13207,
     /* 1026894 */     GIR_EraseRootFromParent_Done,
     /* 1026895 */   // Label 15207: @1026895
     /* 1026895 */   GIM_Try, /*On fail goto*//*Label 15208*/ GIMT_Encode4(1026972), // Rule ID 13208 //
     /* 1026900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1026911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1026914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1026920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026939 */     // MIs[0] policy
     /* 1026939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026949 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1026952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026971 */     // GIR_Coverage, 13208,
     /* 1026971 */     GIR_EraseRootFromParent_Done,
     /* 1026972 */   // Label 15208: @1026972
     /* 1026972 */   GIM_Try, /*On fail goto*//*Label 15209*/ GIMT_Encode4(1027049), // Rule ID 13211 //
     /* 1026977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1026985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1026988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1026991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1026997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027016 */     // MIs[0] policy
     /* 1027016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027026 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1027029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027048 */     // GIR_Coverage, 13211,
     /* 1027048 */     GIR_EraseRootFromParent_Done,
     /* 1027049 */   // Label 15209: @1027049
     /* 1027049 */   GIM_Try, /*On fail goto*//*Label 15210*/ GIMT_Encode4(1027126), // Rule ID 13212 //
     /* 1027054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1027065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1027068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1027074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027093 */     // MIs[0] policy
     /* 1027093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027103 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1027106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027125 */     // GIR_Coverage, 13212,
     /* 1027125 */     GIR_EraseRootFromParent_Done,
     /* 1027126 */   // Label 15210: @1027126
     /* 1027126 */   GIM_Try, /*On fail goto*//*Label 15211*/ GIMT_Encode4(1027203), // Rule ID 13215 //
     /* 1027131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1027142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1027145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1027151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027170 */     // MIs[0] policy
     /* 1027170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027180 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1027183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027202 */     // GIR_Coverage, 13215,
     /* 1027202 */     GIR_EraseRootFromParent_Done,
     /* 1027203 */   // Label 15211: @1027203
     /* 1027203 */   GIM_Try, /*On fail goto*//*Label 15212*/ GIMT_Encode4(1027280), // Rule ID 13216 //
     /* 1027208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1027219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1027222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1027228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027247 */     // MIs[0] policy
     /* 1027247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027257 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1027260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027279 */     // GIR_Coverage, 13216,
     /* 1027279 */     GIR_EraseRootFromParent_Done,
     /* 1027280 */   // Label 15212: @1027280
     /* 1027280 */   GIM_Try, /*On fail goto*//*Label 15213*/ GIMT_Encode4(1027357), // Rule ID 13219 //
     /* 1027285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1027296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1027299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1027305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027324 */     // MIs[0] policy
     /* 1027324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027334 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1027337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027356 */     // GIR_Coverage, 13219,
     /* 1027356 */     GIR_EraseRootFromParent_Done,
     /* 1027357 */   // Label 15213: @1027357
     /* 1027357 */   GIM_Try, /*On fail goto*//*Label 15214*/ GIMT_Encode4(1027434), // Rule ID 13220 //
     /* 1027362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1027373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1027376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1027382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027401 */     // MIs[0] policy
     /* 1027401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027411 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1027414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027433 */     // GIR_Coverage, 13220,
     /* 1027433 */     GIR_EraseRootFromParent_Done,
     /* 1027434 */   // Label 15214: @1027434
     /* 1027434 */   GIM_Try, /*On fail goto*//*Label 15215*/ GIMT_Encode4(1027511), // Rule ID 13223 //
     /* 1027439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1027450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1027453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1027459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027478 */     // MIs[0] policy
     /* 1027478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027488 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1027491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027510 */     // GIR_Coverage, 13223,
     /* 1027510 */     GIR_EraseRootFromParent_Done,
     /* 1027511 */   // Label 15215: @1027511
     /* 1027511 */   GIM_Try, /*On fail goto*//*Label 15216*/ GIMT_Encode4(1027588), // Rule ID 13224 //
     /* 1027516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1027527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1027530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1027536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027555 */     // MIs[0] policy
     /* 1027555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027565 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1027568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027587 */     // GIR_Coverage, 13224,
     /* 1027587 */     GIR_EraseRootFromParent_Done,
     /* 1027588 */   // Label 15216: @1027588
     /* 1027588 */   GIM_Try, /*On fail goto*//*Label 15217*/ GIMT_Encode4(1027665), // Rule ID 13227 //
     /* 1027593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1027596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1027604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1027607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1027613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027632 */     // MIs[0] policy
     /* 1027632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027642 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1027645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027664 */     // GIR_Coverage, 13227,
     /* 1027664 */     GIR_EraseRootFromParent_Done,
     /* 1027665 */   // Label 15217: @1027665
     /* 1027665 */   GIM_Try, /*On fail goto*//*Label 15218*/ GIMT_Encode4(1027742), // Rule ID 13228 //
     /* 1027670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1027673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1027681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1027684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1027690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027709 */     // MIs[0] policy
     /* 1027709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027719 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1027722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027741 */     // GIR_Coverage, 13228,
     /* 1027741 */     GIR_EraseRootFromParent_Done,
     /* 1027742 */   // Label 15218: @1027742
     /* 1027742 */   GIM_Try, /*On fail goto*//*Label 15219*/ GIMT_Encode4(1027819), // Rule ID 13231 //
     /* 1027747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1027758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1027761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1027767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027786 */     // MIs[0] policy
     /* 1027786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027796 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1027799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027818 */     // GIR_Coverage, 13231,
     /* 1027818 */     GIR_EraseRootFromParent_Done,
     /* 1027819 */   // Label 15219: @1027819
     /* 1027819 */   GIM_Try, /*On fail goto*//*Label 15220*/ GIMT_Encode4(1027896), // Rule ID 13232 //
     /* 1027824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1027835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1027838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1027844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027863 */     // MIs[0] policy
     /* 1027863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027873 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1027876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027895 */     // GIR_Coverage, 13232,
     /* 1027895 */     GIR_EraseRootFromParent_Done,
     /* 1027896 */   // Label 15220: @1027896
     /* 1027896 */   GIM_Try, /*On fail goto*//*Label 15221*/ GIMT_Encode4(1027973), // Rule ID 13235 //
     /* 1027901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1027912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1027915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1027921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027940 */     // MIs[0] policy
     /* 1027940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027950 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1027953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027972 */     // GIR_Coverage, 13235,
     /* 1027972 */     GIR_EraseRootFromParent_Done,
     /* 1027973 */   // Label 15221: @1027973
     /* 1027973 */   GIM_Try, /*On fail goto*//*Label 15222*/ GIMT_Encode4(1028050), // Rule ID 13236 //
     /* 1027978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1027986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1027989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1027992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1027998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028017 */     // MIs[0] policy
     /* 1028017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028027 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1028030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028049 */     // GIR_Coverage, 13236,
     /* 1028049 */     GIR_EraseRootFromParent_Done,
     /* 1028050 */   // Label 15222: @1028050
     /* 1028050 */   GIM_Try, /*On fail goto*//*Label 15223*/ GIMT_Encode4(1028127), // Rule ID 13239 //
     /* 1028055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1028066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1028069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1028075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028094 */     // MIs[0] policy
     /* 1028094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028104 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1028107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028126 */     // GIR_Coverage, 13239,
     /* 1028126 */     GIR_EraseRootFromParent_Done,
     /* 1028127 */   // Label 15223: @1028127
     /* 1028127 */   GIM_Try, /*On fail goto*//*Label 15224*/ GIMT_Encode4(1028204), // Rule ID 13240 //
     /* 1028132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1028143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1028146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1028152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028171 */     // MIs[0] policy
     /* 1028171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028181 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1028184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028203 */     // GIR_Coverage, 13240,
     /* 1028203 */     GIR_EraseRootFromParent_Done,
     /* 1028204 */   // Label 15224: @1028204
     /* 1028204 */   GIM_Try, /*On fail goto*//*Label 15225*/ GIMT_Encode4(1028281), // Rule ID 13243 //
     /* 1028209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1028220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1028223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1028229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028248 */     // MIs[0] policy
     /* 1028248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028258 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1028261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028280 */     // GIR_Coverage, 13243,
     /* 1028280 */     GIR_EraseRootFromParent_Done,
     /* 1028281 */   // Label 15225: @1028281
     /* 1028281 */   GIM_Try, /*On fail goto*//*Label 15226*/ GIMT_Encode4(1028358), // Rule ID 13244 //
     /* 1028286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1028297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1028300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1028306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028325 */     // MIs[0] policy
     /* 1028325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028335 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1028338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028357 */     // GIR_Coverage, 13244,
     /* 1028357 */     GIR_EraseRootFromParent_Done,
     /* 1028358 */   // Label 15226: @1028358
     /* 1028358 */   GIM_Try, /*On fail goto*//*Label 15227*/ GIMT_Encode4(1028435), // Rule ID 13247 //
     /* 1028363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1028374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1028377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1028383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028402 */     // MIs[0] policy
     /* 1028402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028412 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1028415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028434 */     // GIR_Coverage, 13247,
     /* 1028434 */     GIR_EraseRootFromParent_Done,
     /* 1028435 */   // Label 15227: @1028435
     /* 1028435 */   GIM_Try, /*On fail goto*//*Label 15228*/ GIMT_Encode4(1028512), // Rule ID 13248 //
     /* 1028440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1028451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1028454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1028460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028479 */     // MIs[0] policy
     /* 1028479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028489 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1028492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028511 */     // GIR_Coverage, 13248,
     /* 1028511 */     GIR_EraseRootFromParent_Done,
     /* 1028512 */   // Label 15228: @1028512
     /* 1028512 */   GIM_Try, /*On fail goto*//*Label 15229*/ GIMT_Encode4(1028589), // Rule ID 13251 //
     /* 1028517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1028528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1028531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1028537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028556 */     // MIs[0] policy
     /* 1028556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028566 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1028569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028588 */     // GIR_Coverage, 13251,
     /* 1028588 */     GIR_EraseRootFromParent_Done,
     /* 1028589 */   // Label 15229: @1028589
     /* 1028589 */   GIM_Try, /*On fail goto*//*Label 15230*/ GIMT_Encode4(1028666), // Rule ID 13252 //
     /* 1028594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1028605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1028608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1028614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028633 */     // MIs[0] policy
     /* 1028633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028643 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1028646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028665 */     // GIR_Coverage, 13252,
     /* 1028665 */     GIR_EraseRootFromParent_Done,
     /* 1028666 */   // Label 15230: @1028666
     /* 1028666 */   GIM_Try, /*On fail goto*//*Label 15231*/ GIMT_Encode4(1028743), // Rule ID 13255 //
     /* 1028671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1028682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1028685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1028691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028710 */     // MIs[0] policy
     /* 1028710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028720 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1028723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028742 */     // GIR_Coverage, 13255,
     /* 1028742 */     GIR_EraseRootFromParent_Done,
     /* 1028743 */   // Label 15231: @1028743
     /* 1028743 */   GIM_Try, /*On fail goto*//*Label 15232*/ GIMT_Encode4(1028820), // Rule ID 13256 //
     /* 1028748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1028759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1028762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1028768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028787 */     // MIs[0] policy
     /* 1028787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028797 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1028800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028819 */     // GIR_Coverage, 13256,
     /* 1028819 */     GIR_EraseRootFromParent_Done,
     /* 1028820 */   // Label 15232: @1028820
     /* 1028820 */   GIM_Try, /*On fail goto*//*Label 15233*/ GIMT_Encode4(1028897), // Rule ID 13259 //
     /* 1028825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1028836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1028839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1028845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028864 */     // MIs[0] policy
     /* 1028864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028874 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1028877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028896 */     // GIR_Coverage, 13259,
     /* 1028896 */     GIR_EraseRootFromParent_Done,
     /* 1028897 */   // Label 15233: @1028897
     /* 1028897 */   GIM_Try, /*On fail goto*//*Label 15234*/ GIMT_Encode4(1028974), // Rule ID 13260 //
     /* 1028902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1028913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1028916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1028922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028941 */     // MIs[0] policy
     /* 1028941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028951 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1028954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028973 */     // GIR_Coverage, 13260,
     /* 1028973 */     GIR_EraseRootFromParent_Done,
     /* 1028974 */   // Label 15234: @1028974
     /* 1028974 */   GIM_Try, /*On fail goto*//*Label 15235*/ GIMT_Encode4(1029051), // Rule ID 13263 //
     /* 1028979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1028987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1028990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1028993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1028999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029018 */     // MIs[0] policy
     /* 1029018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029028 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1029031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029050 */     // GIR_Coverage, 13263,
     /* 1029050 */     GIR_EraseRootFromParent_Done,
     /* 1029051 */   // Label 15235: @1029051
     /* 1029051 */   GIM_Try, /*On fail goto*//*Label 15236*/ GIMT_Encode4(1029128), // Rule ID 13264 //
     /* 1029056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1029067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1029070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1029076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029095 */     // MIs[0] policy
     /* 1029095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029105 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1029108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029127 */     // GIR_Coverage, 13264,
     /* 1029127 */     GIR_EraseRootFromParent_Done,
     /* 1029128 */   // Label 15236: @1029128
     /* 1029128 */   GIM_Try, /*On fail goto*//*Label 15237*/ GIMT_Encode4(1029205), // Rule ID 13267 //
     /* 1029133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1029136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1029144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1029147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1029153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029172 */     // MIs[0] policy
     /* 1029172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029182 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1029201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029204 */     // GIR_Coverage, 13267,
     /* 1029204 */     GIR_EraseRootFromParent_Done,
     /* 1029205 */   // Label 15237: @1029205
     /* 1029205 */   GIM_Try, /*On fail goto*//*Label 15238*/ GIMT_Encode4(1029282), // Rule ID 13268 //
     /* 1029210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1029213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1029221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1029224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1029230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029249 */     // MIs[0] policy
     /* 1029249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029259 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11386:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1029262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1029278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029281 */     // GIR_Coverage, 13268,
     /* 1029281 */     GIR_EraseRootFromParent_Done,
     /* 1029282 */   // Label 15238: @1029282
     /* 1029282 */   GIM_Try, /*On fail goto*//*Label 15239*/ GIMT_Encode4(1029359), // Rule ID 13271 //
     /* 1029287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1029290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1029298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1029301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1029307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029326 */     // MIs[0] policy
     /* 1029326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029336 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1029339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1029355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029358 */     // GIR_Coverage, 13271,
     /* 1029358 */     GIR_EraseRootFromParent_Done,
     /* 1029359 */   // Label 15239: @1029359
     /* 1029359 */   GIM_Try, /*On fail goto*//*Label 15240*/ GIMT_Encode4(1029436), // Rule ID 13272 //
     /* 1029364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1029367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1029375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1029378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1029384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029403 */     // MIs[0] policy
     /* 1029403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029413 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11386:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1029416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1029432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029435 */     // GIR_Coverage, 13272,
     /* 1029435 */     GIR_EraseRootFromParent_Done,
     /* 1029436 */   // Label 15240: @1029436
     /* 1029436 */   GIM_Try, /*On fail goto*//*Label 15241*/ GIMT_Encode4(1029513), // Rule ID 13275 //
     /* 1029441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1029444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1029452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1029455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1029461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029480 */     // MIs[0] policy
     /* 1029480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029490 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1029493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1029509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029512 */     // GIR_Coverage, 13275,
     /* 1029512 */     GIR_EraseRootFromParent_Done,
     /* 1029513 */   // Label 15241: @1029513
     /* 1029513 */   GIM_Try, /*On fail goto*//*Label 15242*/ GIMT_Encode4(1029590), // Rule ID 13276 //
     /* 1029518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1029521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1029529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1029532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1029538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029557 */     // MIs[0] policy
     /* 1029557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029567 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11386:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1029570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1029586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029589 */     // GIR_Coverage, 13276,
     /* 1029589 */     GIR_EraseRootFromParent_Done,
     /* 1029590 */   // Label 15242: @1029590
     /* 1029590 */   GIM_Try, /*On fail goto*//*Label 15243*/ GIMT_Encode4(1029667), // Rule ID 13279 //
     /* 1029595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1029603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1029606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1029609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1029612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1029615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029634 */     // MIs[0] policy
     /* 1029634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029644 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1029647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029666 */     // GIR_Coverage, 13279,
     /* 1029666 */     GIR_EraseRootFromParent_Done,
     /* 1029667 */   // Label 15243: @1029667
     /* 1029667 */   GIM_Try, /*On fail goto*//*Label 15244*/ GIMT_Encode4(1029744), // Rule ID 13280 //
     /* 1029672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1029680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1029683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1029686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1029689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1029692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029711 */     // MIs[0] policy
     /* 1029711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029721 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1029724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029743 */     // GIR_Coverage, 13280,
     /* 1029743 */     GIR_EraseRootFromParent_Done,
     /* 1029744 */   // Label 15244: @1029744
     /* 1029744 */   GIM_Try, /*On fail goto*//*Label 15245*/ GIMT_Encode4(1029821), // Rule ID 13283 //
     /* 1029749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1029757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1029760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1029763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1029766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1029769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029788 */     // MIs[0] policy
     /* 1029788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029798 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1029801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029820 */     // GIR_Coverage, 13283,
     /* 1029820 */     GIR_EraseRootFromParent_Done,
     /* 1029821 */   // Label 15245: @1029821
     /* 1029821 */   GIM_Try, /*On fail goto*//*Label 15246*/ GIMT_Encode4(1029898), // Rule ID 13284 //
     /* 1029826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1029834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1029837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1029840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1029843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1029846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029865 */     // MIs[0] policy
     /* 1029865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029875 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1029878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029897 */     // GIR_Coverage, 13284,
     /* 1029897 */     GIR_EraseRootFromParent_Done,
     /* 1029898 */   // Label 15246: @1029898
     /* 1029898 */   GIM_Try, /*On fail goto*//*Label 15247*/ GIMT_Encode4(1029975), // Rule ID 13287 //
     /* 1029903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1029911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1029914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1029917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1029920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1029923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029942 */     // MIs[0] policy
     /* 1029942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1029955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029974 */     // GIR_Coverage, 13287,
     /* 1029974 */     GIR_EraseRootFromParent_Done,
     /* 1029975 */   // Label 15247: @1029975
     /* 1029975 */   GIM_Try, /*On fail goto*//*Label 15248*/ GIMT_Encode4(1030052), // Rule ID 13288 //
     /* 1029980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1029988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1029991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1029994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1029997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1030000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030019 */     // MIs[0] policy
     /* 1030019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030029 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1030032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030051 */     // GIR_Coverage, 13288,
     /* 1030051 */     GIR_EraseRootFromParent_Done,
     /* 1030052 */   // Label 15248: @1030052
     /* 1030052 */   GIM_Try, /*On fail goto*//*Label 15249*/ GIMT_Encode4(1030129), // Rule ID 13291 //
     /* 1030057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1030065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1030068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1030071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1030074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1030077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030096 */     // MIs[0] policy
     /* 1030096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030106 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1030109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030128 */     // GIR_Coverage, 13291,
     /* 1030128 */     GIR_EraseRootFromParent_Done,
     /* 1030129 */   // Label 15249: @1030129
     /* 1030129 */   GIM_Try, /*On fail goto*//*Label 15250*/ GIMT_Encode4(1030206), // Rule ID 13292 //
     /* 1030134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1030142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1030145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1030148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1030151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1030154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030173 */     // MIs[0] policy
     /* 1030173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030183 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1030186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030205 */     // GIR_Coverage, 13292,
     /* 1030205 */     GIR_EraseRootFromParent_Done,
     /* 1030206 */   // Label 15250: @1030206
     /* 1030206 */   GIM_Try, /*On fail goto*//*Label 15251*/ GIMT_Encode4(1030283), // Rule ID 13295 //
     /* 1030211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1030219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1030222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1030225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1030228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1030231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030250 */     // MIs[0] policy
     /* 1030250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030260 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1030263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030282 */     // GIR_Coverage, 13295,
     /* 1030282 */     GIR_EraseRootFromParent_Done,
     /* 1030283 */   // Label 15251: @1030283
     /* 1030283 */   GIM_Try, /*On fail goto*//*Label 15252*/ GIMT_Encode4(1030360), // Rule ID 13296 //
     /* 1030288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1030296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1030299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1030302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1030305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1030308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030327 */     // MIs[0] policy
     /* 1030327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030337 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1030340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030359 */     // GIR_Coverage, 13296,
     /* 1030359 */     GIR_EraseRootFromParent_Done,
     /* 1030360 */   // Label 15252: @1030360
     /* 1030360 */   GIM_Try, /*On fail goto*//*Label 15253*/ GIMT_Encode4(1030437), // Rule ID 13299 //
     /* 1030365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1030373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1030376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1030379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1030382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1030385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030404 */     // MIs[0] policy
     /* 1030404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030414 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1030417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030436 */     // GIR_Coverage, 13299,
     /* 1030436 */     GIR_EraseRootFromParent_Done,
     /* 1030437 */   // Label 15253: @1030437
     /* 1030437 */   GIM_Try, /*On fail goto*//*Label 15254*/ GIMT_Encode4(1030514), // Rule ID 13300 //
     /* 1030442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1030450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1030453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1030456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1030459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1030462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030481 */     // MIs[0] policy
     /* 1030481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030491 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1030494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030513 */     // GIR_Coverage, 13300,
     /* 1030513 */     GIR_EraseRootFromParent_Done,
     /* 1030514 */   // Label 15254: @1030514
     /* 1030514 */   GIM_Try, /*On fail goto*//*Label 15255*/ GIMT_Encode4(1030591), // Rule ID 13303 //
     /* 1030519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1030527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1030530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1030533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1030536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1030539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030558 */     // MIs[0] policy
     /* 1030558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030568 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1030571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030590 */     // GIR_Coverage, 13303,
     /* 1030590 */     GIR_EraseRootFromParent_Done,
     /* 1030591 */   // Label 15255: @1030591
     /* 1030591 */   GIM_Try, /*On fail goto*//*Label 15256*/ GIMT_Encode4(1030668), // Rule ID 13304 //
     /* 1030596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1030604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1030607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1030610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1030613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1030616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030635 */     // MIs[0] policy
     /* 1030635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030645 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1030648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030667 */     // GIR_Coverage, 13304,
     /* 1030667 */     GIR_EraseRootFromParent_Done,
     /* 1030668 */   // Label 15256: @1030668
     /* 1030668 */   GIM_Try, /*On fail goto*//*Label 15257*/ GIMT_Encode4(1030745), // Rule ID 13307 //
     /* 1030673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1030681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1030684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1030687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1030690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1030693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030712 */     // MIs[0] policy
     /* 1030712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030722 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1030725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030744 */     // GIR_Coverage, 13307,
     /* 1030744 */     GIR_EraseRootFromParent_Done,
     /* 1030745 */   // Label 15257: @1030745
     /* 1030745 */   GIM_Try, /*On fail goto*//*Label 15258*/ GIMT_Encode4(1030822), // Rule ID 13308 //
     /* 1030750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1030758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1030761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1030764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1030767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1030770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030789 */     // MIs[0] policy
     /* 1030789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030799 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1030802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030821 */     // GIR_Coverage, 13308,
     /* 1030821 */     GIR_EraseRootFromParent_Done,
     /* 1030822 */   // Label 15258: @1030822
     /* 1030822 */   GIM_Try, /*On fail goto*//*Label 15259*/ GIMT_Encode4(1030899), // Rule ID 13311 //
     /* 1030827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1030835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1030838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1030841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1030844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1030847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030866 */     // MIs[0] policy
     /* 1030866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030876 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1030879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030898 */     // GIR_Coverage, 13311,
     /* 1030898 */     GIR_EraseRootFromParent_Done,
     /* 1030899 */   // Label 15259: @1030899
     /* 1030899 */   GIM_Try, /*On fail goto*//*Label 15260*/ GIMT_Encode4(1030976), // Rule ID 13312 //
     /* 1030904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1030912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1030915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1030918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1030921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1030924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030943 */     // MIs[0] policy
     /* 1030943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030953 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1030956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030975 */     // GIR_Coverage, 13312,
     /* 1030975 */     GIR_EraseRootFromParent_Done,
     /* 1030976 */   // Label 15260: @1030976
     /* 1030976 */   GIM_Try, /*On fail goto*//*Label 15261*/ GIMT_Encode4(1031053), // Rule ID 13315 //
     /* 1030981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1030989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1030992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1030995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1030998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1031001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031020 */     // MIs[0] policy
     /* 1031020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031030 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1031033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031052 */     // GIR_Coverage, 13315,
     /* 1031052 */     GIR_EraseRootFromParent_Done,
     /* 1031053 */   // Label 15261: @1031053
     /* 1031053 */   GIM_Try, /*On fail goto*//*Label 15262*/ GIMT_Encode4(1031130), // Rule ID 13316 //
     /* 1031058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1031069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1031072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1031075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1031078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031097 */     // MIs[0] policy
     /* 1031097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031107 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1031110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031129 */     // GIR_Coverage, 13316,
     /* 1031129 */     GIR_EraseRootFromParent_Done,
     /* 1031130 */   // Label 15262: @1031130
     /* 1031130 */   GIM_Try, /*On fail goto*//*Label 15263*/ GIMT_Encode4(1031207), // Rule ID 13319 //
     /* 1031135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1031146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1031149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1031152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1031155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031174 */     // MIs[0] policy
     /* 1031174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031184 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1031187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031206 */     // GIR_Coverage, 13319,
     /* 1031206 */     GIR_EraseRootFromParent_Done,
     /* 1031207 */   // Label 15263: @1031207
     /* 1031207 */   GIM_Try, /*On fail goto*//*Label 15264*/ GIMT_Encode4(1031284), // Rule ID 13320 //
     /* 1031212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1031223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1031226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1031229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1031232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031251 */     // MIs[0] policy
     /* 1031251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031261 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1031264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031283 */     // GIR_Coverage, 13320,
     /* 1031283 */     GIR_EraseRootFromParent_Done,
     /* 1031284 */   // Label 15264: @1031284
     /* 1031284 */   GIM_Try, /*On fail goto*//*Label 15265*/ GIMT_Encode4(1031361), // Rule ID 13323 //
     /* 1031289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1031292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1031300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1031303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1031306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1031309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031328 */     // MIs[0] policy
     /* 1031328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031338 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1031341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031360 */     // GIR_Coverage, 13323,
     /* 1031360 */     GIR_EraseRootFromParent_Done,
     /* 1031361 */   // Label 15265: @1031361
     /* 1031361 */   GIM_Try, /*On fail goto*//*Label 15266*/ GIMT_Encode4(1031438), // Rule ID 13324 //
     /* 1031366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1031369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1031377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1031380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1031383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1031386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031405 */     // MIs[0] policy
     /* 1031405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031415 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1031418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031437 */     // GIR_Coverage, 13324,
     /* 1031437 */     GIR_EraseRootFromParent_Done,
     /* 1031438 */   // Label 15266: @1031438
     /* 1031438 */   GIM_Try, /*On fail goto*//*Label 15267*/ GIMT_Encode4(1031515), // Rule ID 13327 //
     /* 1031443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1031446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1031454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1031457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1031460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1031463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031482 */     // MIs[0] policy
     /* 1031482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031492 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1031495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031514 */     // GIR_Coverage, 13327,
     /* 1031514 */     GIR_EraseRootFromParent_Done,
     /* 1031515 */   // Label 15267: @1031515
     /* 1031515 */   GIM_Try, /*On fail goto*//*Label 15268*/ GIMT_Encode4(1031592), // Rule ID 13328 //
     /* 1031520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1031523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1031531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1031534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1031537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1031540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031559 */     // MIs[0] policy
     /* 1031559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031569 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1031572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031591 */     // GIR_Coverage, 13328,
     /* 1031591 */     GIR_EraseRootFromParent_Done,
     /* 1031592 */   // Label 15268: @1031592
     /* 1031592 */   GIM_Try, /*On fail goto*//*Label 15269*/ GIMT_Encode4(1031669), // Rule ID 13331 //
     /* 1031597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1031600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1031608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1031611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1031614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1031617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031636 */     // MIs[0] policy
     /* 1031636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031646 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1031649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031668 */     // GIR_Coverage, 13331,
     /* 1031668 */     GIR_EraseRootFromParent_Done,
     /* 1031669 */   // Label 15269: @1031669
     /* 1031669 */   GIM_Try, /*On fail goto*//*Label 15270*/ GIMT_Encode4(1031746), // Rule ID 13332 //
     /* 1031674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1031677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1031685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1031688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1031691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1031694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031713 */     // MIs[0] policy
     /* 1031713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031723 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1031726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031745 */     // GIR_Coverage, 13332,
     /* 1031745 */     GIR_EraseRootFromParent_Done,
     /* 1031746 */   // Label 15270: @1031746
     /* 1031746 */   GIM_Try, /*On fail goto*//*Label 15271*/ GIMT_Encode4(1031823), // Rule ID 13335 //
     /* 1031751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1031754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1031762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1031765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1031768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1031771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031790 */     // MIs[0] policy
     /* 1031790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031800 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1031803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031822 */     // GIR_Coverage, 13335,
     /* 1031822 */     GIR_EraseRootFromParent_Done,
     /* 1031823 */   // Label 15271: @1031823
     /* 1031823 */   GIM_Try, /*On fail goto*//*Label 15272*/ GIMT_Encode4(1031900), // Rule ID 13336 //
     /* 1031828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1031831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1031839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1031842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1031845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1031848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031867 */     // MIs[0] policy
     /* 1031867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031877 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1031880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031899 */     // GIR_Coverage, 13336,
     /* 1031899 */     GIR_EraseRootFromParent_Done,
     /* 1031900 */   // Label 15272: @1031900
     /* 1031900 */   GIM_Try, /*On fail goto*//*Label 15273*/ GIMT_Encode4(1031977), // Rule ID 13339 //
     /* 1031905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1031916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1031919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1031922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1031925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031944 */     // MIs[0] policy
     /* 1031944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031954 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1031957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031976 */     // GIR_Coverage, 13339,
     /* 1031976 */     GIR_EraseRootFromParent_Done,
     /* 1031977 */   // Label 15273: @1031977
     /* 1031977 */   GIM_Try, /*On fail goto*//*Label 15274*/ GIMT_Encode4(1032054), // Rule ID 13340 //
     /* 1031982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1031990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1031993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1031996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1031999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1032002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032021 */     // MIs[0] policy
     /* 1032021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032031 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1032034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032053 */     // GIR_Coverage, 13340,
     /* 1032053 */     GIR_EraseRootFromParent_Done,
     /* 1032054 */   // Label 15274: @1032054
     /* 1032054 */   GIM_Try, /*On fail goto*//*Label 15275*/ GIMT_Encode4(1032131), // Rule ID 13343 //
     /* 1032059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1032070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1032073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1032079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032098 */     // MIs[0] policy
     /* 1032098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032108 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1032111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032130 */     // GIR_Coverage, 13343,
     /* 1032130 */     GIR_EraseRootFromParent_Done,
     /* 1032131 */   // Label 15275: @1032131
     /* 1032131 */   GIM_Try, /*On fail goto*//*Label 15276*/ GIMT_Encode4(1032208), // Rule ID 13344 //
     /* 1032136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1032147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1032150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1032156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032175 */     // MIs[0] policy
     /* 1032175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032185 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1032188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032207 */     // GIR_Coverage, 13344,
     /* 1032207 */     GIR_EraseRootFromParent_Done,
     /* 1032208 */   // Label 15276: @1032208
     /* 1032208 */   GIM_Try, /*On fail goto*//*Label 15277*/ GIMT_Encode4(1032285), // Rule ID 13347 //
     /* 1032213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1032224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1032227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1032233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032252 */     // MIs[0] policy
     /* 1032252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032262 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1032265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032284 */     // GIR_Coverage, 13347,
     /* 1032284 */     GIR_EraseRootFromParent_Done,
     /* 1032285 */   // Label 15277: @1032285
     /* 1032285 */   GIM_Try, /*On fail goto*//*Label 15278*/ GIMT_Encode4(1032362), // Rule ID 13348 //
     /* 1032290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1032301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1032304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1032310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032329 */     // MIs[0] policy
     /* 1032329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032339 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1032342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032361 */     // GIR_Coverage, 13348,
     /* 1032361 */     GIR_EraseRootFromParent_Done,
     /* 1032362 */   // Label 15278: @1032362
     /* 1032362 */   GIM_Try, /*On fail goto*//*Label 15279*/ GIMT_Encode4(1032439), // Rule ID 13351 //
     /* 1032367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1032378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1032381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1032387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032406 */     // MIs[0] policy
     /* 1032406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032416 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1032419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032438 */     // GIR_Coverage, 13351,
     /* 1032438 */     GIR_EraseRootFromParent_Done,
     /* 1032439 */   // Label 15279: @1032439
     /* 1032439 */   GIM_Try, /*On fail goto*//*Label 15280*/ GIMT_Encode4(1032516), // Rule ID 13352 //
     /* 1032444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1032455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1032458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1032464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032483 */     // MIs[0] policy
     /* 1032483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032493 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1032496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032515 */     // GIR_Coverage, 13352,
     /* 1032515 */     GIR_EraseRootFromParent_Done,
     /* 1032516 */   // Label 15280: @1032516
     /* 1032516 */   GIM_Try, /*On fail goto*//*Label 15281*/ GIMT_Encode4(1032593), // Rule ID 13355 //
     /* 1032521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1032532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1032535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1032541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032560 */     // MIs[0] policy
     /* 1032560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032570 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1032573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032592 */     // GIR_Coverage, 13355,
     /* 1032592 */     GIR_EraseRootFromParent_Done,
     /* 1032593 */   // Label 15281: @1032593
     /* 1032593 */   GIM_Try, /*On fail goto*//*Label 15282*/ GIMT_Encode4(1032670), // Rule ID 13356 //
     /* 1032598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1032609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1032612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1032618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032637 */     // MIs[0] policy
     /* 1032637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032647 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1032650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032669 */     // GIR_Coverage, 13356,
     /* 1032669 */     GIR_EraseRootFromParent_Done,
     /* 1032670 */   // Label 15282: @1032670
     /* 1032670 */   GIM_Try, /*On fail goto*//*Label 15283*/ GIMT_Encode4(1032747), // Rule ID 13359 //
     /* 1032675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1032686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1032689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1032695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032714 */     // MIs[0] policy
     /* 1032714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032724 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1032727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032746 */     // GIR_Coverage, 13359,
     /* 1032746 */     GIR_EraseRootFromParent_Done,
     /* 1032747 */   // Label 15283: @1032747
     /* 1032747 */   GIM_Try, /*On fail goto*//*Label 15284*/ GIMT_Encode4(1032824), // Rule ID 13360 //
     /* 1032752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1032763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1032766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1032772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032791 */     // MIs[0] policy
     /* 1032791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032801 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1032804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032823 */     // GIR_Coverage, 13360,
     /* 1032823 */     GIR_EraseRootFromParent_Done,
     /* 1032824 */   // Label 15284: @1032824
     /* 1032824 */   GIM_Try, /*On fail goto*//*Label 15285*/ GIMT_Encode4(1032901), // Rule ID 13363 //
     /* 1032829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1032840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1032843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1032849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032868 */     // MIs[0] policy
     /* 1032868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032878 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1032881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032900 */     // GIR_Coverage, 13363,
     /* 1032900 */     GIR_EraseRootFromParent_Done,
     /* 1032901 */   // Label 15285: @1032901
     /* 1032901 */   GIM_Try, /*On fail goto*//*Label 15286*/ GIMT_Encode4(1032978), // Rule ID 13364 //
     /* 1032906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1032917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1032920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1032926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032945 */     // MIs[0] policy
     /* 1032945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032955 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1032958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032977 */     // GIR_Coverage, 13364,
     /* 1032977 */     GIR_EraseRootFromParent_Done,
     /* 1032978 */   // Label 15286: @1032978
     /* 1032978 */   GIM_Try, /*On fail goto*//*Label 15287*/ GIMT_Encode4(1033055), // Rule ID 13367 //
     /* 1032983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1032991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1032994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1032997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1033003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033022 */     // MIs[0] policy
     /* 1033022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033032 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1033035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033054 */     // GIR_Coverage, 13367,
     /* 1033054 */     GIR_EraseRootFromParent_Done,
     /* 1033055 */   // Label 15287: @1033055
     /* 1033055 */   GIM_Try, /*On fail goto*//*Label 15288*/ GIMT_Encode4(1033132), // Rule ID 13368 //
     /* 1033060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1033071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1033074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1033080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033099 */     // MIs[0] policy
     /* 1033099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033109 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1033112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033131 */     // GIR_Coverage, 13368,
     /* 1033131 */     GIR_EraseRootFromParent_Done,
     /* 1033132 */   // Label 15288: @1033132
     /* 1033132 */   GIM_Try, /*On fail goto*//*Label 15289*/ GIMT_Encode4(1033209), // Rule ID 13371 //
     /* 1033137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1033148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1033151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1033157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033176 */     // MIs[0] policy
     /* 1033176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033186 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1033189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033208 */     // GIR_Coverage, 13371,
     /* 1033208 */     GIR_EraseRootFromParent_Done,
     /* 1033209 */   // Label 15289: @1033209
     /* 1033209 */   GIM_Try, /*On fail goto*//*Label 15290*/ GIMT_Encode4(1033286), // Rule ID 13372 //
     /* 1033214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1033225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1033228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1033234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033253 */     // MIs[0] policy
     /* 1033253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033263 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1033266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033285 */     // GIR_Coverage, 13372,
     /* 1033285 */     GIR_EraseRootFromParent_Done,
     /* 1033286 */   // Label 15290: @1033286
     /* 1033286 */   GIM_Try, /*On fail goto*//*Label 15291*/ GIMT_Encode4(1033363), // Rule ID 13375 //
     /* 1033291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1033302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1033305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1033311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033330 */     // MIs[0] policy
     /* 1033330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033340 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1033343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033362 */     // GIR_Coverage, 13375,
     /* 1033362 */     GIR_EraseRootFromParent_Done,
     /* 1033363 */   // Label 15291: @1033363
     /* 1033363 */   GIM_Try, /*On fail goto*//*Label 15292*/ GIMT_Encode4(1033440), // Rule ID 13376 //
     /* 1033368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1033379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1033382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1033388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033407 */     // MIs[0] policy
     /* 1033407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033417 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1033420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033439 */     // GIR_Coverage, 13376,
     /* 1033439 */     GIR_EraseRootFromParent_Done,
     /* 1033440 */   // Label 15292: @1033440
     /* 1033440 */   GIM_Try, /*On fail goto*//*Label 15293*/ GIMT_Encode4(1033517), // Rule ID 13379 //
     /* 1033445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1033456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1033459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1033465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033484 */     // MIs[0] policy
     /* 1033484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033494 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1033497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033516 */     // GIR_Coverage, 13379,
     /* 1033516 */     GIR_EraseRootFromParent_Done,
     /* 1033517 */   // Label 15293: @1033517
     /* 1033517 */   GIM_Try, /*On fail goto*//*Label 15294*/ GIMT_Encode4(1033594), // Rule ID 13380 //
     /* 1033522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1033533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1033536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1033542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033561 */     // MIs[0] policy
     /* 1033561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1033574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033593 */     // GIR_Coverage, 13380,
     /* 1033593 */     GIR_EraseRootFromParent_Done,
     /* 1033594 */   // Label 15294: @1033594
     /* 1033594 */   GIM_Try, /*On fail goto*//*Label 15295*/ GIMT_Encode4(1033671), // Rule ID 13383 //
     /* 1033599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1033602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1033610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1033613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1033619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033638 */     // MIs[0] policy
     /* 1033638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033648 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1033651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033670 */     // GIR_Coverage, 13383,
     /* 1033670 */     GIR_EraseRootFromParent_Done,
     /* 1033671 */   // Label 15295: @1033671
     /* 1033671 */   GIM_Try, /*On fail goto*//*Label 15296*/ GIMT_Encode4(1033748), // Rule ID 13384 //
     /* 1033676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1033679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1033687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1033690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1033696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033715 */     // MIs[0] policy
     /* 1033715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033725 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1033728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033747 */     // GIR_Coverage, 13384,
     /* 1033747 */     GIR_EraseRootFromParent_Done,
     /* 1033748 */   // Label 15296: @1033748
     /* 1033748 */   GIM_Try, /*On fail goto*//*Label 15297*/ GIMT_Encode4(1033825), // Rule ID 13387 //
     /* 1033753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1033756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1033764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1033767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1033773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033792 */     // MIs[0] policy
     /* 1033792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033802 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1033805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033824 */     // GIR_Coverage, 13387,
     /* 1033824 */     GIR_EraseRootFromParent_Done,
     /* 1033825 */   // Label 15297: @1033825
     /* 1033825 */   GIM_Try, /*On fail goto*//*Label 15298*/ GIMT_Encode4(1033902), // Rule ID 13388 //
     /* 1033830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1033833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1033841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1033844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1033850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033869 */     // MIs[0] policy
     /* 1033869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033879 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1033882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033901 */     // GIR_Coverage, 13388,
     /* 1033901 */     GIR_EraseRootFromParent_Done,
     /* 1033902 */   // Label 15298: @1033902
     /* 1033902 */   GIM_Try, /*On fail goto*//*Label 15299*/ GIMT_Encode4(1033979), // Rule ID 13391 //
     /* 1033907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1033910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1033918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1033921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1033927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033946 */     // MIs[0] policy
     /* 1033946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033956 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1033959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033978 */     // GIR_Coverage, 13391,
     /* 1033978 */     GIR_EraseRootFromParent_Done,
     /* 1033979 */   // Label 15299: @1033979
     /* 1033979 */   GIM_Try, /*On fail goto*//*Label 15300*/ GIMT_Encode4(1034056), // Rule ID 13392 //
     /* 1033984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1033987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1033992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1033995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1033998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1034004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034023 */     // MIs[0] policy
     /* 1034023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034033 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1034036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034055 */     // GIR_Coverage, 13392,
     /* 1034055 */     GIR_EraseRootFromParent_Done,
     /* 1034056 */   // Label 15300: @1034056
     /* 1034056 */   GIM_Try, /*On fail goto*//*Label 15301*/ GIMT_Encode4(1034133), // Rule ID 13395 //
     /* 1034061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1034064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1034072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1034075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1034081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034100 */     // MIs[0] policy
     /* 1034100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034110 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1034113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034132 */     // GIR_Coverage, 13395,
     /* 1034132 */     GIR_EraseRootFromParent_Done,
     /* 1034133 */   // Label 15301: @1034133
     /* 1034133 */   GIM_Try, /*On fail goto*//*Label 15302*/ GIMT_Encode4(1034210), // Rule ID 13396 //
     /* 1034138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1034141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1034146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1034149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1034152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1034158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034177 */     // MIs[0] policy
     /* 1034177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034187 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1034190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034209 */     // GIR_Coverage, 13396,
     /* 1034209 */     GIR_EraseRootFromParent_Done,
     /* 1034210 */   // Label 15302: @1034210
     /* 1034210 */   GIM_Try, /*On fail goto*//*Label 15303*/ GIMT_Encode4(1034287), // Rule ID 13399 //
     /* 1034215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1034223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1034226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1034229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1034232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1034235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034254 */     // MIs[0] policy
     /* 1034254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034264 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1034267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034286 */     // GIR_Coverage, 13399,
     /* 1034286 */     GIR_EraseRootFromParent_Done,
     /* 1034287 */   // Label 15303: @1034287
     /* 1034287 */   GIM_Try, /*On fail goto*//*Label 15304*/ GIMT_Encode4(1034364), // Rule ID 13400 //
     /* 1034292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1034300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1034303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1034306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1034309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1034312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034331 */     // MIs[0] policy
     /* 1034331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034341 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1034344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034363 */     // GIR_Coverage, 13400,
     /* 1034363 */     GIR_EraseRootFromParent_Done,
     /* 1034364 */   // Label 15304: @1034364
     /* 1034364 */   GIM_Try, /*On fail goto*//*Label 15305*/ GIMT_Encode4(1034441), // Rule ID 13403 //
     /* 1034369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1034377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1034380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1034383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1034386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1034389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034408 */     // MIs[0] policy
     /* 1034408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034418 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1034421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034440 */     // GIR_Coverage, 13403,
     /* 1034440 */     GIR_EraseRootFromParent_Done,
     /* 1034441 */   // Label 15305: @1034441
     /* 1034441 */   GIM_Try, /*On fail goto*//*Label 15306*/ GIMT_Encode4(1034518), // Rule ID 13404 //
     /* 1034446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1034454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1034457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1034460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1034463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1034466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034485 */     // MIs[0] policy
     /* 1034485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034495 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1034498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034517 */     // GIR_Coverage, 13404,
     /* 1034517 */     GIR_EraseRootFromParent_Done,
     /* 1034518 */   // Label 15306: @1034518
     /* 1034518 */   GIM_Try, /*On fail goto*//*Label 15307*/ GIMT_Encode4(1034595), // Rule ID 13407 //
     /* 1034523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1034531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1034534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1034537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1034540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1034543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034562 */     // MIs[0] policy
     /* 1034562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034572 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1034575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034594 */     // GIR_Coverage, 13407,
     /* 1034594 */     GIR_EraseRootFromParent_Done,
     /* 1034595 */   // Label 15307: @1034595
     /* 1034595 */   GIM_Try, /*On fail goto*//*Label 15308*/ GIMT_Encode4(1034672), // Rule ID 13408 //
     /* 1034600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1034608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1034611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1034614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1034617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1034620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034639 */     // MIs[0] policy
     /* 1034639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034649 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1034652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034671 */     // GIR_Coverage, 13408,
     /* 1034671 */     GIR_EraseRootFromParent_Done,
     /* 1034672 */   // Label 15308: @1034672
     /* 1034672 */   GIM_Try, /*On fail goto*//*Label 15309*/ GIMT_Encode4(1034749), // Rule ID 13411 //
     /* 1034677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1034685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1034688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1034691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1034694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1034697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034716 */     // MIs[0] policy
     /* 1034716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034726 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1034729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034748 */     // GIR_Coverage, 13411,
     /* 1034748 */     GIR_EraseRootFromParent_Done,
     /* 1034749 */   // Label 15309: @1034749
     /* 1034749 */   GIM_Try, /*On fail goto*//*Label 15310*/ GIMT_Encode4(1034826), // Rule ID 13412 //
     /* 1034754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1034762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1034765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1034768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1034771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1034774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034793 */     // MIs[0] policy
     /* 1034793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034803 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1034806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034825 */     // GIR_Coverage, 13412,
     /* 1034825 */     GIR_EraseRootFromParent_Done,
     /* 1034826 */   // Label 15310: @1034826
     /* 1034826 */   GIM_Try, /*On fail goto*//*Label 15311*/ GIMT_Encode4(1034903), // Rule ID 13415 //
     /* 1034831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1034839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1034842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1034845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1034848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1034851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034870 */     // MIs[0] policy
     /* 1034870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034880 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1034883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034902 */     // GIR_Coverage, 13415,
     /* 1034902 */     GIR_EraseRootFromParent_Done,
     /* 1034903 */   // Label 15311: @1034903
     /* 1034903 */   GIM_Try, /*On fail goto*//*Label 15312*/ GIMT_Encode4(1034980), // Rule ID 13416 //
     /* 1034908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1034916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1034919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1034922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1034925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1034928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034947 */     // MIs[0] policy
     /* 1034947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034957 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1034960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034979 */     // GIR_Coverage, 13416,
     /* 1034979 */     GIR_EraseRootFromParent_Done,
     /* 1034980 */   // Label 15312: @1034980
     /* 1034980 */   GIM_Try, /*On fail goto*//*Label 15313*/ GIMT_Encode4(1035057), // Rule ID 13419 //
     /* 1034985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1034993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1034996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1034999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1035002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1035005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035024 */     // MIs[0] policy
     /* 1035024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035034 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1035037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035056 */     // GIR_Coverage, 13419,
     /* 1035056 */     GIR_EraseRootFromParent_Done,
     /* 1035057 */   // Label 15313: @1035057
     /* 1035057 */   GIM_Try, /*On fail goto*//*Label 15314*/ GIMT_Encode4(1035134), // Rule ID 13420 //
     /* 1035062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1035073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1035076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1035079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1035082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035101 */     // MIs[0] policy
     /* 1035101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035111 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1035114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035133 */     // GIR_Coverage, 13420,
     /* 1035133 */     GIR_EraseRootFromParent_Done,
     /* 1035134 */   // Label 15314: @1035134
     /* 1035134 */   GIM_Try, /*On fail goto*//*Label 15315*/ GIMT_Encode4(1035211), // Rule ID 13423 //
     /* 1035139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1035150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1035153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1035156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1035159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035178 */     // MIs[0] policy
     /* 1035178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035188 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1035191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035210 */     // GIR_Coverage, 13423,
     /* 1035210 */     GIR_EraseRootFromParent_Done,
     /* 1035211 */   // Label 15315: @1035211
     /* 1035211 */   GIM_Try, /*On fail goto*//*Label 15316*/ GIMT_Encode4(1035288), // Rule ID 13424 //
     /* 1035216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1035227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1035230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1035233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1035236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035255 */     // MIs[0] policy
     /* 1035255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035265 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1035268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035287 */     // GIR_Coverage, 13424,
     /* 1035287 */     GIR_EraseRootFromParent_Done,
     /* 1035288 */   // Label 15316: @1035288
     /* 1035288 */   GIM_Try, /*On fail goto*//*Label 15317*/ GIMT_Encode4(1035365), // Rule ID 13427 //
     /* 1035293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1035304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1035307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1035310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1035313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035332 */     // MIs[0] policy
     /* 1035332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035342 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1035345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035364 */     // GIR_Coverage, 13427,
     /* 1035364 */     GIR_EraseRootFromParent_Done,
     /* 1035365 */   // Label 15317: @1035365
     /* 1035365 */   GIM_Try, /*On fail goto*//*Label 15318*/ GIMT_Encode4(1035442), // Rule ID 13428 //
     /* 1035370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1035381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1035384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1035387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1035390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035409 */     // MIs[0] policy
     /* 1035409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035419 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1035422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035441 */     // GIR_Coverage, 13428,
     /* 1035441 */     GIR_EraseRootFromParent_Done,
     /* 1035442 */   // Label 15318: @1035442
     /* 1035442 */   GIM_Try, /*On fail goto*//*Label 15319*/ GIMT_Encode4(1035519), // Rule ID 13431 //
     /* 1035447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1035458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1035461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1035464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1035467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035486 */     // MIs[0] policy
     /* 1035486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1035499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035518 */     // GIR_Coverage, 13431,
     /* 1035518 */     GIR_EraseRootFromParent_Done,
     /* 1035519 */   // Label 15319: @1035519
     /* 1035519 */   GIM_Try, /*On fail goto*//*Label 15320*/ GIMT_Encode4(1035596), // Rule ID 13432 //
     /* 1035524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1035535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1035538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1035541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1035544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035563 */     // MIs[0] policy
     /* 1035563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035573 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1035576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035595 */     // GIR_Coverage, 13432,
     /* 1035595 */     GIR_EraseRootFromParent_Done,
     /* 1035596 */   // Label 15320: @1035596
     /* 1035596 */   GIM_Try, /*On fail goto*//*Label 15321*/ GIMT_Encode4(1035673), // Rule ID 13435 //
     /* 1035601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1035612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1035615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1035618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1035621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035640 */     // MIs[0] policy
     /* 1035640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035650 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1035653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035672 */     // GIR_Coverage, 13435,
     /* 1035672 */     GIR_EraseRootFromParent_Done,
     /* 1035673 */   // Label 15321: @1035673
     /* 1035673 */   GIM_Try, /*On fail goto*//*Label 15322*/ GIMT_Encode4(1035750), // Rule ID 13436 //
     /* 1035678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1035689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1035692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1035695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1035698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035717 */     // MIs[0] policy
     /* 1035717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035727 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1035730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035749 */     // GIR_Coverage, 13436,
     /* 1035749 */     GIR_EraseRootFromParent_Done,
     /* 1035750 */   // Label 15322: @1035750
     /* 1035750 */   GIM_Try, /*On fail goto*//*Label 15323*/ GIMT_Encode4(1035827), // Rule ID 13439 //
     /* 1035755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1035766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1035769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1035772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1035775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035794 */     // MIs[0] policy
     /* 1035794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035804 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1035807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035826 */     // GIR_Coverage, 13439,
     /* 1035826 */     GIR_EraseRootFromParent_Done,
     /* 1035827 */   // Label 15323: @1035827
     /* 1035827 */   GIM_Try, /*On fail goto*//*Label 15324*/ GIMT_Encode4(1035904), // Rule ID 13440 //
     /* 1035832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1035843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1035846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1035849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1035852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035871 */     // MIs[0] policy
     /* 1035871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035881 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1035884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035903 */     // GIR_Coverage, 13440,
     /* 1035903 */     GIR_EraseRootFromParent_Done,
     /* 1035904 */   // Label 15324: @1035904
     /* 1035904 */   GIM_Try, /*On fail goto*//*Label 15325*/ GIMT_Encode4(1035981), // Rule ID 13443 //
     /* 1035909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1035912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1035920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1035923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1035926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1035929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035948 */     // MIs[0] policy
     /* 1035948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1035961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035980 */     // GIR_Coverage, 13443,
     /* 1035980 */     GIR_EraseRootFromParent_Done,
     /* 1035981 */   // Label 15325: @1035981
     /* 1035981 */   GIM_Try, /*On fail goto*//*Label 15326*/ GIMT_Encode4(1036058), // Rule ID 13444 //
     /* 1035986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1035989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1035994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1035997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1036000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1036003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1036006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036025 */     // MIs[0] policy
     /* 1036025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036035 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1036038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036057 */     // GIR_Coverage, 13444,
     /* 1036057 */     GIR_EraseRootFromParent_Done,
     /* 1036058 */   // Label 15326: @1036058
     /* 1036058 */   GIM_Try, /*On fail goto*//*Label 15327*/ GIMT_Encode4(1036135), // Rule ID 13447 //
     /* 1036063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1036066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1036074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1036077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1036080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1036083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036102 */     // MIs[0] policy
     /* 1036102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036112 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1036115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036134 */     // GIR_Coverage, 13447,
     /* 1036134 */     GIR_EraseRootFromParent_Done,
     /* 1036135 */   // Label 15327: @1036135
     /* 1036135 */   GIM_Try, /*On fail goto*//*Label 15328*/ GIMT_Encode4(1036212), // Rule ID 13448 //
     /* 1036140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1036143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1036151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1036154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1036157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1036160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036179 */     // MIs[0] policy
     /* 1036179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036189 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1036192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036211 */     // GIR_Coverage, 13448,
     /* 1036211 */     GIR_EraseRootFromParent_Done,
     /* 1036212 */   // Label 15328: @1036212
     /* 1036212 */   GIM_Try, /*On fail goto*//*Label 15329*/ GIMT_Encode4(1036289), // Rule ID 13451 //
     /* 1036217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1036220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1036228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1036231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1036234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1036237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036256 */     // MIs[0] policy
     /* 1036256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036266 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1036269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036288 */     // GIR_Coverage, 13451,
     /* 1036288 */     GIR_EraseRootFromParent_Done,
     /* 1036289 */   // Label 15329: @1036289
     /* 1036289 */   GIM_Try, /*On fail goto*//*Label 15330*/ GIMT_Encode4(1036366), // Rule ID 13452 //
     /* 1036294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1036297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1036305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1036308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1036311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1036314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036333 */     // MIs[0] policy
     /* 1036333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036343 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1036346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036365 */     // GIR_Coverage, 13452,
     /* 1036365 */     GIR_EraseRootFromParent_Done,
     /* 1036366 */   // Label 15330: @1036366
     /* 1036366 */   GIM_Try, /*On fail goto*//*Label 15331*/ GIMT_Encode4(1036443), // Rule ID 13455 //
     /* 1036371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1036374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1036382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1036385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1036388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1036391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036410 */     // MIs[0] policy
     /* 1036410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036420 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1036423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036442 */     // GIR_Coverage, 13455,
     /* 1036442 */     GIR_EraseRootFromParent_Done,
     /* 1036443 */   // Label 15331: @1036443
     /* 1036443 */   GIM_Try, /*On fail goto*//*Label 15332*/ GIMT_Encode4(1036520), // Rule ID 13456 //
     /* 1036448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1036451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1036459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1036462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1036465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1036468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036487 */     // MIs[0] policy
     /* 1036487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036497 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1036500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036519 */     // GIR_Coverage, 13456,
     /* 1036519 */     GIR_EraseRootFromParent_Done,
     /* 1036520 */   // Label 15332: @1036520
     /* 1036520 */   GIM_Try, /*On fail goto*//*Label 15333*/ GIMT_Encode4(1036597), // Rule ID 13459 //
     /* 1036525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1036536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1036539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1036542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1036545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036564 */     // MIs[0] policy
     /* 1036564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036574 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1036577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036596 */     // GIR_Coverage, 13459,
     /* 1036596 */     GIR_EraseRootFromParent_Done,
     /* 1036597 */   // Label 15333: @1036597
     /* 1036597 */   GIM_Try, /*On fail goto*//*Label 15334*/ GIMT_Encode4(1036674), // Rule ID 13460 //
     /* 1036602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1036613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1036616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1036619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1036622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036641 */     // MIs[0] policy
     /* 1036641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036651 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1036654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036673 */     // GIR_Coverage, 13460,
     /* 1036673 */     GIR_EraseRootFromParent_Done,
     /* 1036674 */   // Label 15334: @1036674
     /* 1036674 */   GIM_Try, /*On fail goto*//*Label 15335*/ GIMT_Encode4(1036751), // Rule ID 13463 //
     /* 1036679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1036690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1036693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1036696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1036699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036718 */     // MIs[0] policy
     /* 1036718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036728 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1036731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036750 */     // GIR_Coverage, 13463,
     /* 1036750 */     GIR_EraseRootFromParent_Done,
     /* 1036751 */   // Label 15335: @1036751
     /* 1036751 */   GIM_Try, /*On fail goto*//*Label 15336*/ GIMT_Encode4(1036828), // Rule ID 13464 //
     /* 1036756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1036767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1036770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1036773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1036776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036795 */     // MIs[0] policy
     /* 1036795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036805 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1036808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036827 */     // GIR_Coverage, 13464,
     /* 1036827 */     GIR_EraseRootFromParent_Done,
     /* 1036828 */   // Label 15336: @1036828
     /* 1036828 */   GIM_Try, /*On fail goto*//*Label 15337*/ GIMT_Encode4(1036905), // Rule ID 13467 //
     /* 1036833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1036844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1036847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1036850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1036853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036872 */     // MIs[0] policy
     /* 1036872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036882 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1036885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036904 */     // GIR_Coverage, 13467,
     /* 1036904 */     GIR_EraseRootFromParent_Done,
     /* 1036905 */   // Label 15337: @1036905
     /* 1036905 */   GIM_Try, /*On fail goto*//*Label 15338*/ GIMT_Encode4(1036982), // Rule ID 13468 //
     /* 1036910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1036921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1036924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1036927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1036930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036949 */     // MIs[0] policy
     /* 1036949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036959 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1036962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036981 */     // GIR_Coverage, 13468,
     /* 1036981 */     GIR_EraseRootFromParent_Done,
     /* 1036982 */   // Label 15338: @1036982
     /* 1036982 */   GIM_Try, /*On fail goto*//*Label 15339*/ GIMT_Encode4(1037059), // Rule ID 13471 //
     /* 1036987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1036995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1036998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1037001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1037007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037026 */     // MIs[0] policy
     /* 1037026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037036 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1037039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037058 */     // GIR_Coverage, 13471,
     /* 1037058 */     GIR_EraseRootFromParent_Done,
     /* 1037059 */   // Label 15339: @1037059
     /* 1037059 */   GIM_Try, /*On fail goto*//*Label 15340*/ GIMT_Encode4(1037136), // Rule ID 13472 //
     /* 1037064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1037075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1037078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1037081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1037084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037103 */     // MIs[0] policy
     /* 1037103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037113 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1037116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037135 */     // GIR_Coverage, 13472,
     /* 1037135 */     GIR_EraseRootFromParent_Done,
     /* 1037136 */   // Label 15340: @1037136
     /* 1037136 */   GIM_Try, /*On fail goto*//*Label 15341*/ GIMT_Encode4(1037213), // Rule ID 13475 //
     /* 1037141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1037152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1037155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1037161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037180 */     // MIs[0] policy
     /* 1037180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037190 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1037193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037212 */     // GIR_Coverage, 13475,
     /* 1037212 */     GIR_EraseRootFromParent_Done,
     /* 1037213 */   // Label 15341: @1037213
     /* 1037213 */   GIM_Try, /*On fail goto*//*Label 15342*/ GIMT_Encode4(1037290), // Rule ID 13476 //
     /* 1037218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1037229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1037232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1037235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1037238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037257 */     // MIs[0] policy
     /* 1037257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037267 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1037270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037289 */     // GIR_Coverage, 13476,
     /* 1037289 */     GIR_EraseRootFromParent_Done,
     /* 1037290 */   // Label 15342: @1037290
     /* 1037290 */   GIM_Try, /*On fail goto*//*Label 15343*/ GIMT_Encode4(1037367), // Rule ID 13479 //
     /* 1037295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1037306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1037309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1037315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037334 */     // MIs[0] policy
     /* 1037334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037344 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1037347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037366 */     // GIR_Coverage, 13479,
     /* 1037366 */     GIR_EraseRootFromParent_Done,
     /* 1037367 */   // Label 15343: @1037367
     /* 1037367 */   GIM_Try, /*On fail goto*//*Label 15344*/ GIMT_Encode4(1037444), // Rule ID 13480 //
     /* 1037372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1037383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1037386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1037389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1037392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037411 */     // MIs[0] policy
     /* 1037411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037421 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1037424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037443 */     // GIR_Coverage, 13480,
     /* 1037443 */     GIR_EraseRootFromParent_Done,
     /* 1037444 */   // Label 15344: @1037444
     /* 1037444 */   GIM_Try, /*On fail goto*//*Label 15345*/ GIMT_Encode4(1037521), // Rule ID 13483 //
     /* 1037449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1037460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1037463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1037469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037488 */     // MIs[0] policy
     /* 1037488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037498 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1037501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037520 */     // GIR_Coverage, 13483,
     /* 1037520 */     GIR_EraseRootFromParent_Done,
     /* 1037521 */   // Label 15345: @1037521
     /* 1037521 */   GIM_Try, /*On fail goto*//*Label 15346*/ GIMT_Encode4(1037598), // Rule ID 13484 //
     /* 1037526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1037537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1037540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1037543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1037546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037565 */     // MIs[0] policy
     /* 1037565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037575 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1037578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037597 */     // GIR_Coverage, 13484,
     /* 1037597 */     GIR_EraseRootFromParent_Done,
     /* 1037598 */   // Label 15346: @1037598
     /* 1037598 */   GIM_Try, /*On fail goto*//*Label 15347*/ GIMT_Encode4(1037675), // Rule ID 13487 //
     /* 1037603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1037614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1037617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1037623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037642 */     // MIs[0] policy
     /* 1037642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037652 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1037655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037674 */     // GIR_Coverage, 13487,
     /* 1037674 */     GIR_EraseRootFromParent_Done,
     /* 1037675 */   // Label 15347: @1037675
     /* 1037675 */   GIM_Try, /*On fail goto*//*Label 15348*/ GIMT_Encode4(1037752), // Rule ID 13488 //
     /* 1037680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1037691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1037694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1037697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1037700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037719 */     // MIs[0] policy
     /* 1037719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037729 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1037732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037751 */     // GIR_Coverage, 13488,
     /* 1037751 */     GIR_EraseRootFromParent_Done,
     /* 1037752 */   // Label 15348: @1037752
     /* 1037752 */   GIM_Try, /*On fail goto*//*Label 15349*/ GIMT_Encode4(1037829), // Rule ID 13491 //
     /* 1037757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1037768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1037771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1037777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037796 */     // MIs[0] policy
     /* 1037796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037806 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1037809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037828 */     // GIR_Coverage, 13491,
     /* 1037828 */     GIR_EraseRootFromParent_Done,
     /* 1037829 */   // Label 15349: @1037829
     /* 1037829 */   GIM_Try, /*On fail goto*//*Label 15350*/ GIMT_Encode4(1037906), // Rule ID 13492 //
     /* 1037834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1037845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1037848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1037851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1037854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037873 */     // MIs[0] policy
     /* 1037873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037883 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1037886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037905 */     // GIR_Coverage, 13492,
     /* 1037905 */     GIR_EraseRootFromParent_Done,
     /* 1037906 */   // Label 15350: @1037906
     /* 1037906 */   GIM_Try, /*On fail goto*//*Label 15351*/ GIMT_Encode4(1037983), // Rule ID 13495 //
     /* 1037911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1037922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1037925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1037931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037950 */     // MIs[0] policy
     /* 1037950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037960 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1037963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037982 */     // GIR_Coverage, 13495,
     /* 1037982 */     GIR_EraseRootFromParent_Done,
     /* 1037983 */   // Label 15351: @1037983
     /* 1037983 */   GIM_Try, /*On fail goto*//*Label 15352*/ GIMT_Encode4(1038060), // Rule ID 13496 //
     /* 1037988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1037996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1037999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1038002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1038008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038027 */     // MIs[0] policy
     /* 1038027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038037 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1038040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038059 */     // GIR_Coverage, 13496,
     /* 1038059 */     GIR_EraseRootFromParent_Done,
     /* 1038060 */   // Label 15352: @1038060
     /* 1038060 */   GIM_Try, /*On fail goto*//*Label 15353*/ GIMT_Encode4(1038137), // Rule ID 13499 //
     /* 1038065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1038076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1038079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1038085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038104 */     // MIs[0] policy
     /* 1038104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038114 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1038117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038136 */     // GIR_Coverage, 13499,
     /* 1038136 */     GIR_EraseRootFromParent_Done,
     /* 1038137 */   // Label 15353: @1038137
     /* 1038137 */   GIM_Try, /*On fail goto*//*Label 15354*/ GIMT_Encode4(1038214), // Rule ID 13500 //
     /* 1038142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1038153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1038156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1038162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038181 */     // MIs[0] policy
     /* 1038181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038191 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1038194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038213 */     // GIR_Coverage, 13500,
     /* 1038213 */     GIR_EraseRootFromParent_Done,
     /* 1038214 */   // Label 15354: @1038214
     /* 1038214 */   GIM_Try, /*On fail goto*//*Label 15355*/ GIMT_Encode4(1038291), // Rule ID 13503 //
     /* 1038219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1038222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1038230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1038233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1038239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038258 */     // MIs[0] policy
     /* 1038258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1038271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038290 */     // GIR_Coverage, 13503,
     /* 1038290 */     GIR_EraseRootFromParent_Done,
     /* 1038291 */   // Label 15355: @1038291
     /* 1038291 */   GIM_Try, /*On fail goto*//*Label 15356*/ GIMT_Encode4(1038368), // Rule ID 13504 //
     /* 1038296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1038299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1038307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1038310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1038316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038335 */     // MIs[0] policy
     /* 1038335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038345 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1038348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038367 */     // GIR_Coverage, 13504,
     /* 1038367 */     GIR_EraseRootFromParent_Done,
     /* 1038368 */   // Label 15356: @1038368
     /* 1038368 */   GIM_Try, /*On fail goto*//*Label 15357*/ GIMT_Encode4(1038445), // Rule ID 13507 //
     /* 1038373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1038376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1038384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1038387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1038393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038412 */     // MIs[0] policy
     /* 1038412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038422 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1038425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038444 */     // GIR_Coverage, 13507,
     /* 1038444 */     GIR_EraseRootFromParent_Done,
     /* 1038445 */   // Label 15357: @1038445
     /* 1038445 */   GIM_Try, /*On fail goto*//*Label 15358*/ GIMT_Encode4(1038522), // Rule ID 13508 //
     /* 1038450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1038453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1038461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1038464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1038470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038489 */     // MIs[0] policy
     /* 1038489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038499 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1038502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038521 */     // GIR_Coverage, 13508,
     /* 1038521 */     GIR_EraseRootFromParent_Done,
     /* 1038522 */   // Label 15358: @1038522
     /* 1038522 */   GIM_Try, /*On fail goto*//*Label 15359*/ GIMT_Encode4(1038599), // Rule ID 13511 //
     /* 1038527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1038530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1038538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1038541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1038547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038566 */     // MIs[0] policy
     /* 1038566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038576 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1038579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038598 */     // GIR_Coverage, 13511,
     /* 1038598 */     GIR_EraseRootFromParent_Done,
     /* 1038599 */   // Label 15359: @1038599
     /* 1038599 */   GIM_Try, /*On fail goto*//*Label 15360*/ GIMT_Encode4(1038676), // Rule ID 13512 //
     /* 1038604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1038607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1038615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1038618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1038624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038643 */     // MIs[0] policy
     /* 1038643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038653 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1038656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038675 */     // GIR_Coverage, 13512,
     /* 1038675 */     GIR_EraseRootFromParent_Done,
     /* 1038676 */   // Label 15360: @1038676
     /* 1038676 */   GIM_Try, /*On fail goto*//*Label 15361*/ GIMT_Encode4(1038753), // Rule ID 13515 //
     /* 1038681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1038684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1038692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1038695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1038701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038720 */     // MIs[0] policy
     /* 1038720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038730 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1038733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038752 */     // GIR_Coverage, 13515,
     /* 1038752 */     GIR_EraseRootFromParent_Done,
     /* 1038753 */   // Label 15361: @1038753
     /* 1038753 */   GIM_Try, /*On fail goto*//*Label 15362*/ GIMT_Encode4(1038830), // Rule ID 13516 //
     /* 1038758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1038761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1038766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1038769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1038772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1038778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038797 */     // MIs[0] policy
     /* 1038797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038807 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1038810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038829 */     // GIR_Coverage, 13516,
     /* 1038829 */     GIR_EraseRootFromParent_Done,
     /* 1038830 */   // Label 15362: @1038830
     /* 1038830 */   GIM_Try, /*On fail goto*//*Label 15363*/ GIMT_Encode4(1038907), // Rule ID 13519 //
     /* 1038835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1038843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1038846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1038849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1038852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1038855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038874 */     // MIs[0] policy
     /* 1038874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038884 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1038887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038906 */     // GIR_Coverage, 13519,
     /* 1038906 */     GIR_EraseRootFromParent_Done,
     /* 1038907 */   // Label 15363: @1038907
     /* 1038907 */   GIM_Try, /*On fail goto*//*Label 15364*/ GIMT_Encode4(1038984), // Rule ID 13520 //
     /* 1038912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1038920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1038923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1038926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1038929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1038932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038951 */     // MIs[0] policy
     /* 1038951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038961 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1038964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038983 */     // GIR_Coverage, 13520,
     /* 1038983 */     GIR_EraseRootFromParent_Done,
     /* 1038984 */   // Label 15364: @1038984
     /* 1038984 */   GIM_Try, /*On fail goto*//*Label 15365*/ GIMT_Encode4(1039061), // Rule ID 13523 //
     /* 1038989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1038997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1039000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1039003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1039006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1039009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039028 */     // MIs[0] policy
     /* 1039028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039038 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1039041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039060 */     // GIR_Coverage, 13523,
     /* 1039060 */     GIR_EraseRootFromParent_Done,
     /* 1039061 */   // Label 15365: @1039061
     /* 1039061 */   GIM_Try, /*On fail goto*//*Label 15366*/ GIMT_Encode4(1039138), // Rule ID 13524 //
     /* 1039066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1039074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1039077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1039080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1039083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1039086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039105 */     // MIs[0] policy
     /* 1039105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039115 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1039118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039137 */     // GIR_Coverage, 13524,
     /* 1039137 */     GIR_EraseRootFromParent_Done,
     /* 1039138 */   // Label 15366: @1039138
     /* 1039138 */   GIM_Try, /*On fail goto*//*Label 15367*/ GIMT_Encode4(1039215), // Rule ID 13527 //
     /* 1039143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1039151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1039154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1039157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1039160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1039163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039182 */     // MIs[0] policy
     /* 1039182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1039195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039214 */     // GIR_Coverage, 13527,
     /* 1039214 */     GIR_EraseRootFromParent_Done,
     /* 1039215 */   // Label 15367: @1039215
     /* 1039215 */   GIM_Try, /*On fail goto*//*Label 15368*/ GIMT_Encode4(1039292), // Rule ID 13528 //
     /* 1039220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1039228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1039231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1039234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1039237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1039240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039259 */     // MIs[0] policy
     /* 1039259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039269 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1039272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039291 */     // GIR_Coverage, 13528,
     /* 1039291 */     GIR_EraseRootFromParent_Done,
     /* 1039292 */   // Label 15368: @1039292
     /* 1039292 */   GIM_Try, /*On fail goto*//*Label 15369*/ GIMT_Encode4(1039369), // Rule ID 13531 //
     /* 1039297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1039305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1039308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1039311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1039314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1039317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039336 */     // MIs[0] policy
     /* 1039336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039346 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1039349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039368 */     // GIR_Coverage, 13531,
     /* 1039368 */     GIR_EraseRootFromParent_Done,
     /* 1039369 */   // Label 15369: @1039369
     /* 1039369 */   GIM_Try, /*On fail goto*//*Label 15370*/ GIMT_Encode4(1039446), // Rule ID 13532 //
     /* 1039374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1039382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1039385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1039388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1039391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1039394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039413 */     // MIs[0] policy
     /* 1039413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039423 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1039426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039445 */     // GIR_Coverage, 13532,
     /* 1039445 */     GIR_EraseRootFromParent_Done,
     /* 1039446 */   // Label 15370: @1039446
     /* 1039446 */   GIM_Try, /*On fail goto*//*Label 15371*/ GIMT_Encode4(1039523), // Rule ID 13535 //
     /* 1039451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1039459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1039462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1039465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1039468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1039471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039490 */     // MIs[0] policy
     /* 1039490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039500 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1039503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039522 */     // GIR_Coverage, 13535,
     /* 1039522 */     GIR_EraseRootFromParent_Done,
     /* 1039523 */   // Label 15371: @1039523
     /* 1039523 */   GIM_Try, /*On fail goto*//*Label 15372*/ GIMT_Encode4(1039600), // Rule ID 13536 //
     /* 1039528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1039536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1039539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1039542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1039545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1039548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039567 */     // MIs[0] policy
     /* 1039567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039577 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1039580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039599 */     // GIR_Coverage, 13536,
     /* 1039599 */     GIR_EraseRootFromParent_Done,
     /* 1039600 */   // Label 15372: @1039600
     /* 1039600 */   GIM_Try, /*On fail goto*//*Label 15373*/ GIMT_Encode4(1039677), // Rule ID 13539 //
     /* 1039605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1039613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1039616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1039619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1039622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1039625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039644 */     // MIs[0] policy
     /* 1039644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039654 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1039657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039676 */     // GIR_Coverage, 13539,
     /* 1039676 */     GIR_EraseRootFromParent_Done,
     /* 1039677 */   // Label 15373: @1039677
     /* 1039677 */   GIM_Try, /*On fail goto*//*Label 15374*/ GIMT_Encode4(1039754), // Rule ID 13540 //
     /* 1039682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1039690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1039693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1039696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1039699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1039702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039721 */     // MIs[0] policy
     /* 1039721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039731 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1039734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039753 */     // GIR_Coverage, 13540,
     /* 1039753 */     GIR_EraseRootFromParent_Done,
     /* 1039754 */   // Label 15374: @1039754
     /* 1039754 */   GIM_Try, /*On fail goto*//*Label 15375*/ GIMT_Encode4(1039831), // Rule ID 13543 //
     /* 1039759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1039767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1039770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1039773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1039776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1039779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039798 */     // MIs[0] policy
     /* 1039798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039808 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1039811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039830 */     // GIR_Coverage, 13543,
     /* 1039830 */     GIR_EraseRootFromParent_Done,
     /* 1039831 */   // Label 15375: @1039831
     /* 1039831 */   GIM_Try, /*On fail goto*//*Label 15376*/ GIMT_Encode4(1039908), // Rule ID 13544 //
     /* 1039836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1039844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1039847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1039850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1039853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1039856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039875 */     // MIs[0] policy
     /* 1039875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039885 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1039888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039907 */     // GIR_Coverage, 13544,
     /* 1039907 */     GIR_EraseRootFromParent_Done,
     /* 1039908 */   // Label 15376: @1039908
     /* 1039908 */   GIM_Try, /*On fail goto*//*Label 15377*/ GIMT_Encode4(1039985), // Rule ID 13547 //
     /* 1039913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1039921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1039924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1039927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1039930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1039933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039952 */     // MIs[0] policy
     /* 1039952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039962 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1039965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039984 */     // GIR_Coverage, 13547,
     /* 1039984 */     GIR_EraseRootFromParent_Done,
     /* 1039985 */   // Label 15377: @1039985
     /* 1039985 */   GIM_Try, /*On fail goto*//*Label 15378*/ GIMT_Encode4(1040062), // Rule ID 13548 //
     /* 1039990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1039998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1040001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1040004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1040007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1040010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040029 */     // MIs[0] policy
     /* 1040029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040039 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1040042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040061 */     // GIR_Coverage, 13548,
     /* 1040061 */     GIR_EraseRootFromParent_Done,
     /* 1040062 */   // Label 15378: @1040062
     /* 1040062 */   GIM_Try, /*On fail goto*//*Label 15379*/ GIMT_Encode4(1040139), // Rule ID 13551 //
     /* 1040067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1040078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1040081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1040084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1040087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040106 */     // MIs[0] policy
     /* 1040106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040116 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1040119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040138 */     // GIR_Coverage, 13551,
     /* 1040138 */     GIR_EraseRootFromParent_Done,
     /* 1040139 */   // Label 15379: @1040139
     /* 1040139 */   GIM_Try, /*On fail goto*//*Label 15380*/ GIMT_Encode4(1040216), // Rule ID 13552 //
     /* 1040144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1040155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1040158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1040161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1040164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040183 */     // MIs[0] policy
     /* 1040183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040193 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1040196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040215 */     // GIR_Coverage, 13552,
     /* 1040215 */     GIR_EraseRootFromParent_Done,
     /* 1040216 */   // Label 15380: @1040216
     /* 1040216 */   GIM_Try, /*On fail goto*//*Label 15381*/ GIMT_Encode4(1040293), // Rule ID 13555 //
     /* 1040221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1040232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1040235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1040238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1040241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040260 */     // MIs[0] policy
     /* 1040260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040270 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1040273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040292 */     // GIR_Coverage, 13555,
     /* 1040292 */     GIR_EraseRootFromParent_Done,
     /* 1040293 */   // Label 15381: @1040293
     /* 1040293 */   GIM_Try, /*On fail goto*//*Label 15382*/ GIMT_Encode4(1040370), // Rule ID 13556 //
     /* 1040298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1040309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1040312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1040315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1040318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040337 */     // MIs[0] policy
     /* 1040337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040347 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1040350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040369 */     // GIR_Coverage, 13556,
     /* 1040369 */     GIR_EraseRootFromParent_Done,
     /* 1040370 */   // Label 15382: @1040370
     /* 1040370 */   GIM_Try, /*On fail goto*//*Label 15383*/ GIMT_Encode4(1040447), // Rule ID 13559 //
     /* 1040375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1040386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1040389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1040392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1040395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040414 */     // MIs[0] policy
     /* 1040414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040424 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1040427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040446 */     // GIR_Coverage, 13559,
     /* 1040446 */     GIR_EraseRootFromParent_Done,
     /* 1040447 */   // Label 15383: @1040447
     /* 1040447 */   GIM_Try, /*On fail goto*//*Label 15384*/ GIMT_Encode4(1040524), // Rule ID 13560 //
     /* 1040452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1040463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1040466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1040469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1040472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040491 */     // MIs[0] policy
     /* 1040491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040501 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1040504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040523 */     // GIR_Coverage, 13560,
     /* 1040523 */     GIR_EraseRootFromParent_Done,
     /* 1040524 */   // Label 15384: @1040524
     /* 1040524 */   GIM_Try, /*On fail goto*//*Label 15385*/ GIMT_Encode4(1040601), // Rule ID 13563 //
     /* 1040529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1040540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1040543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1040546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1040549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040568 */     // MIs[0] policy
     /* 1040568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040578 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1040581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040600 */     // GIR_Coverage, 13563,
     /* 1040600 */     GIR_EraseRootFromParent_Done,
     /* 1040601 */   // Label 15385: @1040601
     /* 1040601 */   GIM_Try, /*On fail goto*//*Label 15386*/ GIMT_Encode4(1040678), // Rule ID 13564 //
     /* 1040606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1040617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1040620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1040623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1040626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040645 */     // MIs[0] policy
     /* 1040645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040655 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1040658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040677 */     // GIR_Coverage, 13564,
     /* 1040677 */     GIR_EraseRootFromParent_Done,
     /* 1040678 */   // Label 15386: @1040678
     /* 1040678 */   GIM_Try, /*On fail goto*//*Label 15387*/ GIMT_Encode4(1040755), // Rule ID 13567 //
     /* 1040683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1040694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1040697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1040700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1040703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040722 */     // MIs[0] policy
     /* 1040722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040732 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1040735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040754 */     // GIR_Coverage, 13567,
     /* 1040754 */     GIR_EraseRootFromParent_Done,
     /* 1040755 */   // Label 15387: @1040755
     /* 1040755 */   GIM_Try, /*On fail goto*//*Label 15388*/ GIMT_Encode4(1040832), // Rule ID 13568 //
     /* 1040760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1040771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1040774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1040777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1040780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040799 */     // MIs[0] policy
     /* 1040799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040809 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1040812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040831 */     // GIR_Coverage, 13568,
     /* 1040831 */     GIR_EraseRootFromParent_Done,
     /* 1040832 */   // Label 15388: @1040832
     /* 1040832 */   GIM_Try, /*On fail goto*//*Label 15389*/ GIMT_Encode4(1040909), // Rule ID 13571 //
     /* 1040837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1040848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1040851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1040854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1040857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040876 */     // MIs[0] policy
     /* 1040876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040886 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1040889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040908 */     // GIR_Coverage, 13571,
     /* 1040908 */     GIR_EraseRootFromParent_Done,
     /* 1040909 */   // Label 15389: @1040909
     /* 1040909 */   GIM_Try, /*On fail goto*//*Label 15390*/ GIMT_Encode4(1040986), // Rule ID 13572 //
     /* 1040914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1040925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1040928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1040931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1040934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040953 */     // MIs[0] policy
     /* 1040953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040963 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1040966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040985 */     // GIR_Coverage, 13572,
     /* 1040985 */     GIR_EraseRootFromParent_Done,
     /* 1040986 */   // Label 15390: @1040986
     /* 1040986 */   GIM_Try, /*On fail goto*//*Label 15391*/ GIMT_Encode4(1041063), // Rule ID 13575 //
     /* 1040991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1040999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1041002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1041005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1041008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1041011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041030 */     // MIs[0] policy
     /* 1041030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041040 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1041043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041062 */     // GIR_Coverage, 13575,
     /* 1041062 */     GIR_EraseRootFromParent_Done,
     /* 1041063 */   // Label 15391: @1041063
     /* 1041063 */   GIM_Try, /*On fail goto*//*Label 15392*/ GIMT_Encode4(1041140), // Rule ID 13576 //
     /* 1041068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1041071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1041079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1041082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1041085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1041088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041107 */     // MIs[0] policy
     /* 1041107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041117 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1041120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041139 */     // GIR_Coverage, 13576,
     /* 1041139 */     GIR_EraseRootFromParent_Done,
     /* 1041140 */   // Label 15392: @1041140
     /* 1041140 */   GIM_Try, /*On fail goto*//*Label 15393*/ GIMT_Encode4(1041217), // Rule ID 13579 //
     /* 1041145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1041156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1041159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1041162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1041165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041184 */     // MIs[0] policy
     /* 1041184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041194 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1041197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041216 */     // GIR_Coverage, 13579,
     /* 1041216 */     GIR_EraseRootFromParent_Done,
     /* 1041217 */   // Label 15393: @1041217
     /* 1041217 */   GIM_Try, /*On fail goto*//*Label 15394*/ GIMT_Encode4(1041294), // Rule ID 13580 //
     /* 1041222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1041233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1041236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1041239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1041242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041261 */     // MIs[0] policy
     /* 1041261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041271 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1041274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041293 */     // GIR_Coverage, 13580,
     /* 1041293 */     GIR_EraseRootFromParent_Done,
     /* 1041294 */   // Label 15394: @1041294
     /* 1041294 */   GIM_Try, /*On fail goto*//*Label 15395*/ GIMT_Encode4(1041371), // Rule ID 13583 //
     /* 1041299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1041310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1041313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1041316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1041319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041338 */     // MIs[0] policy
     /* 1041338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041348 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1041351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041370 */     // GIR_Coverage, 13583,
     /* 1041370 */     GIR_EraseRootFromParent_Done,
     /* 1041371 */   // Label 15395: @1041371
     /* 1041371 */   GIM_Try, /*On fail goto*//*Label 15396*/ GIMT_Encode4(1041448), // Rule ID 13584 //
     /* 1041376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1041387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1041390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1041393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1041396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041415 */     // MIs[0] policy
     /* 1041415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041425 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1041428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041447 */     // GIR_Coverage, 13584,
     /* 1041447 */     GIR_EraseRootFromParent_Done,
     /* 1041448 */   // Label 15396: @1041448
     /* 1041448 */   GIM_Try, /*On fail goto*//*Label 15397*/ GIMT_Encode4(1041525), // Rule ID 13587 //
     /* 1041453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1041464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1041467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1041470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1041473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041492 */     // MIs[0] policy
     /* 1041492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041502 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1041505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041524 */     // GIR_Coverage, 13587,
     /* 1041524 */     GIR_EraseRootFromParent_Done,
     /* 1041525 */   // Label 15397: @1041525
     /* 1041525 */   GIM_Try, /*On fail goto*//*Label 15398*/ GIMT_Encode4(1041602), // Rule ID 13588 //
     /* 1041530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1041541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1041544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1041547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1041550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041569 */     // MIs[0] policy
     /* 1041569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041579 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1041582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041601 */     // GIR_Coverage, 13588,
     /* 1041601 */     GIR_EraseRootFromParent_Done,
     /* 1041602 */   // Label 15398: @1041602
     /* 1041602 */   GIM_Try, /*On fail goto*//*Label 15399*/ GIMT_Encode4(1041679), // Rule ID 13591 //
     /* 1041607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1041618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1041621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1041624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1041627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041646 */     // MIs[0] policy
     /* 1041646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041656 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1041659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041678 */     // GIR_Coverage, 13591,
     /* 1041678 */     GIR_EraseRootFromParent_Done,
     /* 1041679 */   // Label 15399: @1041679
     /* 1041679 */   GIM_Try, /*On fail goto*//*Label 15400*/ GIMT_Encode4(1041756), // Rule ID 13592 //
     /* 1041684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1041695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1041698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1041701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1041704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041723 */     // MIs[0] policy
     /* 1041723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041733 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1041736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041755 */     // GIR_Coverage, 13592,
     /* 1041755 */     GIR_EraseRootFromParent_Done,
     /* 1041756 */   // Label 15400: @1041756
     /* 1041756 */   GIM_Try, /*On fail goto*//*Label 15401*/ GIMT_Encode4(1041833), // Rule ID 13595 //
     /* 1041761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1041772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1041775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1041778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1041781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041800 */     // MIs[0] policy
     /* 1041800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041810 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1041813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041832 */     // GIR_Coverage, 13595,
     /* 1041832 */     GIR_EraseRootFromParent_Done,
     /* 1041833 */   // Label 15401: @1041833
     /* 1041833 */   GIM_Try, /*On fail goto*//*Label 15402*/ GIMT_Encode4(1041910), // Rule ID 13596 //
     /* 1041838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1041849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1041852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1041855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1041858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041877 */     // MIs[0] policy
     /* 1041877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041887 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1041890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041909 */     // GIR_Coverage, 13596,
     /* 1041909 */     GIR_EraseRootFromParent_Done,
     /* 1041910 */   // Label 15402: @1041910
     /* 1041910 */   GIM_Try, /*On fail goto*//*Label 15403*/ GIMT_Encode4(1041987), // Rule ID 13599 //
     /* 1041915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1041923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1041926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1041929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1041932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1041935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041954 */     // MIs[0] policy
     /* 1041954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041964 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1041967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041986 */     // GIR_Coverage, 13599,
     /* 1041986 */     GIR_EraseRootFromParent_Done,
     /* 1041987 */   // Label 15403: @1041987
     /* 1041987 */   GIM_Try, /*On fail goto*//*Label 15404*/ GIMT_Encode4(1042064), // Rule ID 13600 //
     /* 1041992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1042003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1042006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1042012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042031 */     // MIs[0] policy
     /* 1042031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042041 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1042044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1042060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042063 */     // GIR_Coverage, 13600,
     /* 1042063 */     GIR_EraseRootFromParent_Done,
     /* 1042064 */   // Label 15404: @1042064
     /* 1042064 */   GIM_Try, /*On fail goto*//*Label 15405*/ GIMT_Encode4(1042141), // Rule ID 13603 //
     /* 1042069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1042080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1042083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1042089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042108 */     // MIs[0] policy
     /* 1042108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042118 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1042121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042140 */     // GIR_Coverage, 13603,
     /* 1042140 */     GIR_EraseRootFromParent_Done,
     /* 1042141 */   // Label 15405: @1042141
     /* 1042141 */   GIM_Try, /*On fail goto*//*Label 15406*/ GIMT_Encode4(1042218), // Rule ID 13604 //
     /* 1042146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1042157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1042160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1042166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042185 */     // MIs[0] policy
     /* 1042185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042195 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1042198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042217 */     // GIR_Coverage, 13604,
     /* 1042217 */     GIR_EraseRootFromParent_Done,
     /* 1042218 */   // Label 15406: @1042218
     /* 1042218 */   GIM_Try, /*On fail goto*//*Label 15407*/ GIMT_Encode4(1042295), // Rule ID 13607 //
     /* 1042223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1042234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1042237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1042243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042262 */     // MIs[0] policy
     /* 1042262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1042275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042294 */     // GIR_Coverage, 13607,
     /* 1042294 */     GIR_EraseRootFromParent_Done,
     /* 1042295 */   // Label 15407: @1042295
     /* 1042295 */   GIM_Try, /*On fail goto*//*Label 15408*/ GIMT_Encode4(1042372), // Rule ID 13608 //
     /* 1042300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1042311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1042314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1042320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042339 */     // MIs[0] policy
     /* 1042339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042349 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1042352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042371 */     // GIR_Coverage, 13608,
     /* 1042371 */     GIR_EraseRootFromParent_Done,
     /* 1042372 */   // Label 15408: @1042372
     /* 1042372 */   GIM_Try, /*On fail goto*//*Label 15409*/ GIMT_Encode4(1042449), // Rule ID 13611 //
     /* 1042377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1042388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1042391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1042397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042416 */     // MIs[0] policy
     /* 1042416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042426 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1042429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042448 */     // GIR_Coverage, 13611,
     /* 1042448 */     GIR_EraseRootFromParent_Done,
     /* 1042449 */   // Label 15409: @1042449
     /* 1042449 */   GIM_Try, /*On fail goto*//*Label 15410*/ GIMT_Encode4(1042526), // Rule ID 13612 //
     /* 1042454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1042465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1042468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1042474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042493 */     // MIs[0] policy
     /* 1042493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042503 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1042506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042525 */     // GIR_Coverage, 13612,
     /* 1042525 */     GIR_EraseRootFromParent_Done,
     /* 1042526 */   // Label 15410: @1042526
     /* 1042526 */   GIM_Try, /*On fail goto*//*Label 15411*/ GIMT_Encode4(1042603), // Rule ID 13615 //
     /* 1042531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1042542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1042545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1042551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042570 */     // MIs[0] policy
     /* 1042570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042580 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1042583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042602 */     // GIR_Coverage, 13615,
     /* 1042602 */     GIR_EraseRootFromParent_Done,
     /* 1042603 */   // Label 15411: @1042603
     /* 1042603 */   GIM_Try, /*On fail goto*//*Label 15412*/ GIMT_Encode4(1042680), // Rule ID 13616 //
     /* 1042608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1042619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1042622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1042628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042647 */     // MIs[0] policy
     /* 1042647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042657 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1042660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042679 */     // GIR_Coverage, 13616,
     /* 1042679 */     GIR_EraseRootFromParent_Done,
     /* 1042680 */   // Label 15412: @1042680
     /* 1042680 */   GIM_Try, /*On fail goto*//*Label 15413*/ GIMT_Encode4(1042757), // Rule ID 13619 //
     /* 1042685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1042696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1042699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1042705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042724 */     // MIs[0] policy
     /* 1042724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042734 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1042737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042756 */     // GIR_Coverage, 13619,
     /* 1042756 */     GIR_EraseRootFromParent_Done,
     /* 1042757 */   // Label 15413: @1042757
     /* 1042757 */   GIM_Try, /*On fail goto*//*Label 15414*/ GIMT_Encode4(1042834), // Rule ID 13620 //
     /* 1042762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1042773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1042776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1042782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042801 */     // MIs[0] policy
     /* 1042801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042811 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1042814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042833 */     // GIR_Coverage, 13620,
     /* 1042833 */     GIR_EraseRootFromParent_Done,
     /* 1042834 */   // Label 15414: @1042834
     /* 1042834 */   GIM_Try, /*On fail goto*//*Label 15415*/ GIMT_Encode4(1042911), // Rule ID 13623 //
     /* 1042839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1042850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1042853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1042856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1042859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042878 */     // MIs[0] policy
     /* 1042878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042888 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1042891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042910 */     // GIR_Coverage, 13623,
     /* 1042910 */     GIR_EraseRootFromParent_Done,
     /* 1042911 */   // Label 15415: @1042911
     /* 1042911 */   GIM_Try, /*On fail goto*//*Label 15416*/ GIMT_Encode4(1042988), // Rule ID 13624 //
     /* 1042916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1042924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1042927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1042930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1042933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1042936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1042951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042955 */     // MIs[0] policy
     /* 1042955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042965 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1042968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042987 */     // GIR_Coverage, 13624,
     /* 1042987 */     GIR_EraseRootFromParent_Done,
     /* 1042988 */   // Label 15416: @1042988
     /* 1042988 */   GIM_Try, /*On fail goto*//*Label 15417*/ GIMT_Encode4(1043065), // Rule ID 13627 //
     /* 1042993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1043004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1043007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1043013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043032 */     // MIs[0] policy
     /* 1043032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043042 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1043045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043064 */     // GIR_Coverage, 13627,
     /* 1043064 */     GIR_EraseRootFromParent_Done,
     /* 1043065 */   // Label 15417: @1043065
     /* 1043065 */   GIM_Try, /*On fail goto*//*Label 15418*/ GIMT_Encode4(1043142), // Rule ID 13628 //
     /* 1043070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1043073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1043081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1043084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1043090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043109 */     // MIs[0] policy
     /* 1043109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043119 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1043122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043141 */     // GIR_Coverage, 13628,
     /* 1043141 */     GIR_EraseRootFromParent_Done,
     /* 1043142 */   // Label 15418: @1043142
     /* 1043142 */   GIM_Try, /*On fail goto*//*Label 15419*/ GIMT_Encode4(1043219), // Rule ID 13631 //
     /* 1043147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1043150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1043158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1043161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1043167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043186 */     // MIs[0] policy
     /* 1043186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1043199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043218 */     // GIR_Coverage, 13631,
     /* 1043218 */     GIR_EraseRootFromParent_Done,
     /* 1043219 */   // Label 15419: @1043219
     /* 1043219 */   GIM_Try, /*On fail goto*//*Label 15420*/ GIMT_Encode4(1043296), // Rule ID 13632 //
     /* 1043224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1043227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1043235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1043238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1043244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043263 */     // MIs[0] policy
     /* 1043263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043273 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1043276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043295 */     // GIR_Coverage, 13632,
     /* 1043295 */     GIR_EraseRootFromParent_Done,
     /* 1043296 */   // Label 15420: @1043296
     /* 1043296 */   GIM_Try, /*On fail goto*//*Label 15421*/ GIMT_Encode4(1043373), // Rule ID 13635 //
     /* 1043301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1043304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1043312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1043315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1043321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043340 */     // MIs[0] policy
     /* 1043340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043350 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1043353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043372 */     // GIR_Coverage, 13635,
     /* 1043372 */     GIR_EraseRootFromParent_Done,
     /* 1043373 */   // Label 15421: @1043373
     /* 1043373 */   GIM_Try, /*On fail goto*//*Label 15422*/ GIMT_Encode4(1043450), // Rule ID 13636 //
     /* 1043378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1043381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1043386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1043389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1043392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1043398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043417 */     // MIs[0] policy
     /* 1043417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043427 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1043430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043449 */     // GIR_Coverage, 13636,
     /* 1043449 */     GIR_EraseRootFromParent_Done,
     /* 1043450 */   // Label 15422: @1043450
     /* 1043450 */   GIM_Try, /*On fail goto*//*Label 15423*/ GIMT_Encode4(1043527), // Rule ID 13639 //
     /* 1043455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1043463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1043466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1043469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1043475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043494 */     // MIs[0] policy
     /* 1043494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043504 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1043507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043526 */     // GIR_Coverage, 13639,
     /* 1043526 */     GIR_EraseRootFromParent_Done,
     /* 1043527 */   // Label 15423: @1043527
     /* 1043527 */   GIM_Try, /*On fail goto*//*Label 15424*/ GIMT_Encode4(1043604), // Rule ID 13640 //
     /* 1043532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1043540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1043543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1043546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1043552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043571 */     // MIs[0] policy
     /* 1043571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043581 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1043584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043603 */     // GIR_Coverage, 13640,
     /* 1043603 */     GIR_EraseRootFromParent_Done,
     /* 1043604 */   // Label 15424: @1043604
     /* 1043604 */   GIM_Try, /*On fail goto*//*Label 15425*/ GIMT_Encode4(1043681), // Rule ID 13643 //
     /* 1043609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1043617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1043620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1043623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1043629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043648 */     // MIs[0] policy
     /* 1043648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043658 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1043661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043680 */     // GIR_Coverage, 13643,
     /* 1043680 */     GIR_EraseRootFromParent_Done,
     /* 1043681 */   // Label 15425: @1043681
     /* 1043681 */   GIM_Try, /*On fail goto*//*Label 15426*/ GIMT_Encode4(1043758), // Rule ID 13644 //
     /* 1043686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1043694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1043697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1043700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1043706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043725 */     // MIs[0] policy
     /* 1043725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043735 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1043738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043757 */     // GIR_Coverage, 13644,
     /* 1043757 */     GIR_EraseRootFromParent_Done,
     /* 1043758 */   // Label 15426: @1043758
     /* 1043758 */   GIM_Try, /*On fail goto*//*Label 15427*/ GIMT_Encode4(1043835), // Rule ID 13647 //
     /* 1043763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1043771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1043774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1043777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1043783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043802 */     // MIs[0] policy
     /* 1043802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043812 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1043815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043834 */     // GIR_Coverage, 13647,
     /* 1043834 */     GIR_EraseRootFromParent_Done,
     /* 1043835 */   // Label 15427: @1043835
     /* 1043835 */   GIM_Try, /*On fail goto*//*Label 15428*/ GIMT_Encode4(1043912), // Rule ID 13648 //
     /* 1043840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1043848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1043851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1043854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1043860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043879 */     // MIs[0] policy
     /* 1043879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043889 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1043892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043911 */     // GIR_Coverage, 13648,
     /* 1043911 */     GIR_EraseRootFromParent_Done,
     /* 1043912 */   // Label 15428: @1043912
     /* 1043912 */   GIM_Try, /*On fail goto*//*Label 15429*/ GIMT_Encode4(1043989), // Rule ID 13651 //
     /* 1043917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1043925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1043928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1043931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1043937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043956 */     // MIs[0] policy
     /* 1043956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043966 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1043969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043988 */     // GIR_Coverage, 13651,
     /* 1043988 */     GIR_EraseRootFromParent_Done,
     /* 1043989 */   // Label 15429: @1043989
     /* 1043989 */   GIM_Try, /*On fail goto*//*Label 15430*/ GIMT_Encode4(1044066), // Rule ID 13652 //
     /* 1043994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1044005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1044008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1044014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044033 */     // MIs[0] policy
     /* 1044033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044043 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1044046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044065 */     // GIR_Coverage, 13652,
     /* 1044065 */     GIR_EraseRootFromParent_Done,
     /* 1044066 */   // Label 15430: @1044066
     /* 1044066 */   GIM_Try, /*On fail goto*//*Label 15431*/ GIMT_Encode4(1044143), // Rule ID 13655 //
     /* 1044071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1044082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1044085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1044091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044110 */     // MIs[0] policy
     /* 1044110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044120 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1044123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044142 */     // GIR_Coverage, 13655,
     /* 1044142 */     GIR_EraseRootFromParent_Done,
     /* 1044143 */   // Label 15431: @1044143
     /* 1044143 */   GIM_Try, /*On fail goto*//*Label 15432*/ GIMT_Encode4(1044220), // Rule ID 13656 //
     /* 1044148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1044159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1044162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1044168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044187 */     // MIs[0] policy
     /* 1044187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044197 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1044200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044219 */     // GIR_Coverage, 13656,
     /* 1044219 */     GIR_EraseRootFromParent_Done,
     /* 1044220 */   // Label 15432: @1044220
     /* 1044220 */   GIM_Try, /*On fail goto*//*Label 15433*/ GIMT_Encode4(1044297), // Rule ID 13659 //
     /* 1044225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1044236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1044239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1044245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044264 */     // MIs[0] policy
     /* 1044264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044274 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1044277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044296 */     // GIR_Coverage, 13659,
     /* 1044296 */     GIR_EraseRootFromParent_Done,
     /* 1044297 */   // Label 15433: @1044297
     /* 1044297 */   GIM_Try, /*On fail goto*//*Label 15434*/ GIMT_Encode4(1044374), // Rule ID 13660 //
     /* 1044302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1044313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1044316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1044322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044341 */     // MIs[0] policy
     /* 1044341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044351 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1044354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1044370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044373 */     // GIR_Coverage, 13660,
     /* 1044373 */     GIR_EraseRootFromParent_Done,
     /* 1044374 */   // Label 15434: @1044374
     /* 1044374 */   GIM_Try, /*On fail goto*//*Label 15435*/ GIMT_Encode4(1044451), // Rule ID 13663 //
     /* 1044379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1044390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1044393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1044399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044418 */     // MIs[0] policy
     /* 1044418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044428 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1044431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044450 */     // GIR_Coverage, 13663,
     /* 1044450 */     GIR_EraseRootFromParent_Done,
     /* 1044451 */   // Label 15435: @1044451
     /* 1044451 */   GIM_Try, /*On fail goto*//*Label 15436*/ GIMT_Encode4(1044528), // Rule ID 13664 //
     /* 1044456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1044467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1044470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1044476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044495 */     // MIs[0] policy
     /* 1044495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044505 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1044508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044527 */     // GIR_Coverage, 13664,
     /* 1044527 */     GIR_EraseRootFromParent_Done,
     /* 1044528 */   // Label 15436: @1044528
     /* 1044528 */   GIM_Try, /*On fail goto*//*Label 15437*/ GIMT_Encode4(1044605), // Rule ID 13667 //
     /* 1044533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1044544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1044547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1044553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044572 */     // MIs[0] policy
     /* 1044572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044582 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1044585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044604 */     // GIR_Coverage, 13667,
     /* 1044604 */     GIR_EraseRootFromParent_Done,
     /* 1044605 */   // Label 15437: @1044605
     /* 1044605 */   GIM_Try, /*On fail goto*//*Label 15438*/ GIMT_Encode4(1044682), // Rule ID 13668 //
     /* 1044610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1044621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1044624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1044630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044649 */     // MIs[0] policy
     /* 1044649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044659 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1044662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044681 */     // GIR_Coverage, 13668,
     /* 1044681 */     GIR_EraseRootFromParent_Done,
     /* 1044682 */   // Label 15438: @1044682
     /* 1044682 */   GIM_Try, /*On fail goto*//*Label 15439*/ GIMT_Encode4(1044759), // Rule ID 13671 //
     /* 1044687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1044698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1044701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1044707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044726 */     // MIs[0] policy
     /* 1044726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044736 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1044739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044758 */     // GIR_Coverage, 13671,
     /* 1044758 */     GIR_EraseRootFromParent_Done,
     /* 1044759 */   // Label 15439: @1044759
     /* 1044759 */   GIM_Try, /*On fail goto*//*Label 15440*/ GIMT_Encode4(1044836), // Rule ID 13672 //
     /* 1044764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1044775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1044778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1044784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044803 */     // MIs[0] policy
     /* 1044803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044813 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1044816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044835 */     // GIR_Coverage, 13672,
     /* 1044835 */     GIR_EraseRootFromParent_Done,
     /* 1044836 */   // Label 15440: @1044836
     /* 1044836 */   GIM_Try, /*On fail goto*//*Label 15441*/ GIMT_Encode4(1044913), // Rule ID 13675 //
     /* 1044841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1044852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1044855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1044861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044880 */     // MIs[0] policy
     /* 1044880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044890 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1044893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044912 */     // GIR_Coverage, 13675,
     /* 1044912 */     GIR_EraseRootFromParent_Done,
     /* 1044913 */   // Label 15441: @1044913
     /* 1044913 */   GIM_Try, /*On fail goto*//*Label 15442*/ GIMT_Encode4(1044990), // Rule ID 13676 //
     /* 1044918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1044926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1044929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1044932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1044938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044957 */     // MIs[0] policy
     /* 1044957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044967 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1044970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044989 */     // GIR_Coverage, 13676,
     /* 1044989 */     GIR_EraseRootFromParent_Done,
     /* 1044990 */   // Label 15442: @1044990
     /* 1044990 */   GIM_Try, /*On fail goto*//*Label 15443*/ GIMT_Encode4(1045067), // Rule ID 13679 //
     /* 1044995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1045006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1045009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1045015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045034 */     // MIs[0] policy
     /* 1045034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045044 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1045047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045066 */     // GIR_Coverage, 13679,
     /* 1045066 */     GIR_EraseRootFromParent_Done,
     /* 1045067 */   // Label 15443: @1045067
     /* 1045067 */   GIM_Try, /*On fail goto*//*Label 15444*/ GIMT_Encode4(1045144), // Rule ID 13680 //
     /* 1045072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1045083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1045086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1045092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045111 */     // MIs[0] policy
     /* 1045111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045121 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1045124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045143 */     // GIR_Coverage, 13680,
     /* 1045143 */     GIR_EraseRootFromParent_Done,
     /* 1045144 */   // Label 15444: @1045144
     /* 1045144 */   GIM_Try, /*On fail goto*//*Label 15445*/ GIMT_Encode4(1045221), // Rule ID 13683 //
     /* 1045149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1045152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1045160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1045163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1045169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045188 */     // MIs[0] policy
     /* 1045188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045198 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1045201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045220 */     // GIR_Coverage, 13683,
     /* 1045220 */     GIR_EraseRootFromParent_Done,
     /* 1045221 */   // Label 15445: @1045221
     /* 1045221 */   GIM_Try, /*On fail goto*//*Label 15446*/ GIMT_Encode4(1045298), // Rule ID 13684 //
     /* 1045226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1045229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1045237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1045240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1045246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045265 */     // MIs[0] policy
     /* 1045265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045275 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1045278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045297 */     // GIR_Coverage, 13684,
     /* 1045297 */     GIR_EraseRootFromParent_Done,
     /* 1045298 */   // Label 15446: @1045298
     /* 1045298 */   GIM_Try, /*On fail goto*//*Label 15447*/ GIMT_Encode4(1045375), // Rule ID 13687 //
     /* 1045303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1045306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1045314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1045317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1045323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045342 */     // MIs[0] policy
     /* 1045342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045352 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1045355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045374 */     // GIR_Coverage, 13687,
     /* 1045374 */     GIR_EraseRootFromParent_Done,
     /* 1045375 */   // Label 15447: @1045375
     /* 1045375 */   GIM_Try, /*On fail goto*//*Label 15448*/ GIMT_Encode4(1045452), // Rule ID 13688 //
     /* 1045380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1045383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1045391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1045394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1045400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045419 */     // MIs[0] policy
     /* 1045419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045429 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1045432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045451 */     // GIR_Coverage, 13688,
     /* 1045451 */     GIR_EraseRootFromParent_Done,
     /* 1045452 */   // Label 15448: @1045452
     /* 1045452 */   GIM_Try, /*On fail goto*//*Label 15449*/ GIMT_Encode4(1045529), // Rule ID 13691 //
     /* 1045457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1045460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1045468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1045471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1045477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045496 */     // MIs[0] policy
     /* 1045496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045506 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1045509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045528 */     // GIR_Coverage, 13691,
     /* 1045528 */     GIR_EraseRootFromParent_Done,
     /* 1045529 */   // Label 15449: @1045529
     /* 1045529 */   GIM_Try, /*On fail goto*//*Label 15450*/ GIMT_Encode4(1045606), // Rule ID 13692 //
     /* 1045534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1045537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1045545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1045548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1045554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045573 */     // MIs[0] policy
     /* 1045573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045583 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1045586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045605 */     // GIR_Coverage, 13692,
     /* 1045605 */     GIR_EraseRootFromParent_Done,
     /* 1045606 */   // Label 15450: @1045606
     /* 1045606 */   GIM_Try, /*On fail goto*//*Label 15451*/ GIMT_Encode4(1045683), // Rule ID 13695 //
     /* 1045611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1045614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1045622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1045625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1045631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045650 */     // MIs[0] policy
     /* 1045650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045660 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1045663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045682 */     // GIR_Coverage, 13695,
     /* 1045682 */     GIR_EraseRootFromParent_Done,
     /* 1045683 */   // Label 15451: @1045683
     /* 1045683 */   GIM_Try, /*On fail goto*//*Label 15452*/ GIMT_Encode4(1045760), // Rule ID 13696 //
     /* 1045688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1045691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1045696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1045699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1045702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1045708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045727 */     // MIs[0] policy
     /* 1045727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045737 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1045740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045759 */     // GIR_Coverage, 13696,
     /* 1045759 */     GIR_EraseRootFromParent_Done,
     /* 1045760 */   // Label 15452: @1045760
     /* 1045760 */   GIM_Try, /*On fail goto*//*Label 15453*/ GIMT_Encode4(1045837), // Rule ID 18909 //
     /* 1045765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1045768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1045773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1045776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1045779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1045782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1045785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1045792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1045804 */     // MIs[0] policy
     /* 1045804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045814 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1045817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1045823 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1045825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045836 */     // GIR_Coverage, 18909,
     /* 1045836 */     GIR_EraseRootFromParent_Done,
     /* 1045837 */   // Label 15453: @1045837
     /* 1045837 */   GIM_Try, /*On fail goto*//*Label 15454*/ GIMT_Encode4(1045914), // Rule ID 18910 //
     /* 1045842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1045845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1045850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1045853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1045856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1045859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1045862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1045869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1045881 */     // MIs[0] policy
     /* 1045881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045891 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1045894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1045900 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1045902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045913 */     // GIR_Coverage, 18910,
     /* 1045913 */     GIR_EraseRootFromParent_Done,
     /* 1045914 */   // Label 15454: @1045914
     /* 1045914 */   GIM_Try, /*On fail goto*//*Label 15455*/ GIMT_Encode4(1045991), // Rule ID 18913 //
     /* 1045919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1045922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1045927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1045930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1045933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1045936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1045939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1045946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1045958 */     // MIs[0] policy
     /* 1045958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045968 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1045971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1045977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1045979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045990 */     // GIR_Coverage, 18913,
     /* 1045990 */     GIR_EraseRootFromParent_Done,
     /* 1045991 */   // Label 15455: @1045991
     /* 1045991 */   GIM_Try, /*On fail goto*//*Label 15456*/ GIMT_Encode4(1046068), // Rule ID 18914 //
     /* 1045996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1045999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1046004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1046007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1046010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1046013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1046016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1046023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046035 */     // MIs[0] policy
     /* 1046035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046045 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1046048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046054 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046067 */     // GIR_Coverage, 18914,
     /* 1046067 */     GIR_EraseRootFromParent_Done,
     /* 1046068 */   // Label 15456: @1046068
     /* 1046068 */   GIM_Try, /*On fail goto*//*Label 15457*/ GIMT_Encode4(1046145), // Rule ID 18917 //
     /* 1046073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1046076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1046081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1046084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1046087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1046090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1046093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1046100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046112 */     // MIs[0] policy
     /* 1046112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046122 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1046125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046131 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046144 */     // GIR_Coverage, 18917,
     /* 1046144 */     GIR_EraseRootFromParent_Done,
     /* 1046145 */   // Label 15457: @1046145
     /* 1046145 */   GIM_Try, /*On fail goto*//*Label 15458*/ GIMT_Encode4(1046222), // Rule ID 18918 //
     /* 1046150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1046153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1046158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1046161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1046164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1046167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1046170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1046177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046189 */     // MIs[0] policy
     /* 1046189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046199 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1046202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046208 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046221 */     // GIR_Coverage, 18918,
     /* 1046221 */     GIR_EraseRootFromParent_Done,
     /* 1046222 */   // Label 15458: @1046222
     /* 1046222 */   GIM_Try, /*On fail goto*//*Label 15459*/ GIMT_Encode4(1046299), // Rule ID 18921 //
     /* 1046227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1046230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1046235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1046238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1046241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1046244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1046247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1046254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046266 */     // MIs[0] policy
     /* 1046266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046276 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1046279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046298 */     // GIR_Coverage, 18921,
     /* 1046298 */     GIR_EraseRootFromParent_Done,
     /* 1046299 */   // Label 15459: @1046299
     /* 1046299 */   GIM_Try, /*On fail goto*//*Label 15460*/ GIMT_Encode4(1046376), // Rule ID 18922 //
     /* 1046304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1046307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1046312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1046315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1046318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1046321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1046324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1046331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046343 */     // MIs[0] policy
     /* 1046343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046353 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1046356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046362 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046375 */     // GIR_Coverage, 18922,
     /* 1046375 */     GIR_EraseRootFromParent_Done,
     /* 1046376 */   // Label 15460: @1046376
     /* 1046376 */   GIM_Try, /*On fail goto*//*Label 15461*/ GIMT_Encode4(1046453), // Rule ID 18925 //
     /* 1046381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1046384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1046389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1046392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1046395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1046398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1046401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1046408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046420 */     // MIs[0] policy
     /* 1046420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046430 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1046433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046439 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1046449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046452 */     // GIR_Coverage, 18925,
     /* 1046452 */     GIR_EraseRootFromParent_Done,
     /* 1046453 */   // Label 15461: @1046453
     /* 1046453 */   GIM_Try, /*On fail goto*//*Label 15462*/ GIMT_Encode4(1046530), // Rule ID 18926 //
     /* 1046458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1046461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1046466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1046469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1046472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1046475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1046478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1046485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046497 */     // MIs[0] policy
     /* 1046497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046507 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1046510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046516 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1046526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046529 */     // GIR_Coverage, 18926,
     /* 1046529 */     GIR_EraseRootFromParent_Done,
     /* 1046530 */   // Label 15462: @1046530
     /* 1046530 */   GIM_Try, /*On fail goto*//*Label 15463*/ GIMT_Encode4(1046607), // Rule ID 18929 //
     /* 1046535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1046538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1046543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1046546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1046549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1046552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1046555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1046562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046574 */     // MIs[0] policy
     /* 1046574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046584 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1046587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046606 */     // GIR_Coverage, 18929,
     /* 1046606 */     GIR_EraseRootFromParent_Done,
     /* 1046607 */   // Label 15463: @1046607
     /* 1046607 */   GIM_Try, /*On fail goto*//*Label 15464*/ GIMT_Encode4(1046684), // Rule ID 18930 //
     /* 1046612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1046615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1046620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1046623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1046626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1046629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1046632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1046639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046651 */     // MIs[0] policy
     /* 1046651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046661 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1046664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046670 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046683 */     // GIR_Coverage, 18930,
     /* 1046683 */     GIR_EraseRootFromParent_Done,
     /* 1046684 */   // Label 15464: @1046684
     /* 1046684 */   GIM_Try, /*On fail goto*//*Label 15465*/ GIMT_Encode4(1046761), // Rule ID 18933 //
     /* 1046689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1046692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1046697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1046700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1046703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1046706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1046709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1046716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046728 */     // MIs[0] policy
     /* 1046728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046738 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1046741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046760 */     // GIR_Coverage, 18933,
     /* 1046760 */     GIR_EraseRootFromParent_Done,
     /* 1046761 */   // Label 15465: @1046761
     /* 1046761 */   GIM_Try, /*On fail goto*//*Label 15466*/ GIMT_Encode4(1046838), // Rule ID 18934 //
     /* 1046766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1046769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1046774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1046777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1046780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1046783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1046786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1046793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046805 */     // MIs[0] policy
     /* 1046805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046815 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1046818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046824 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046837 */     // GIR_Coverage, 18934,
     /* 1046837 */     GIR_EraseRootFromParent_Done,
     /* 1046838 */   // Label 15466: @1046838
     /* 1046838 */   GIM_Try, /*On fail goto*//*Label 15467*/ GIMT_Encode4(1046915), // Rule ID 18937 //
     /* 1046843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1046846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1046851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1046854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1046857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1046860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1046863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1046870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046882 */     // MIs[0] policy
     /* 1046882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046892 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1046895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046914 */     // GIR_Coverage, 18937,
     /* 1046914 */     GIR_EraseRootFromParent_Done,
     /* 1046915 */   // Label 15467: @1046915
     /* 1046915 */   GIM_Try, /*On fail goto*//*Label 15468*/ GIMT_Encode4(1046992), // Rule ID 18938 //
     /* 1046920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1046923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1046928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1046931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1046934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1046937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1046940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1046947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046959 */     // MIs[0] policy
     /* 1046959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046969 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1046972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046978 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046991 */     // GIR_Coverage, 18938,
     /* 1046991 */     GIR_EraseRootFromParent_Done,
     /* 1046992 */   // Label 15468: @1046992
     /* 1046992 */   GIM_Try, /*On fail goto*//*Label 15469*/ GIMT_Encode4(1047069), // Rule ID 18941 //
     /* 1046997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1047000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1047008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1047011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1047014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1047017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1047024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047036 */     // MIs[0] policy
     /* 1047036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047046 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1047049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047055 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047068 */     // GIR_Coverage, 18941,
     /* 1047068 */     GIR_EraseRootFromParent_Done,
     /* 1047069 */   // Label 15469: @1047069
     /* 1047069 */   GIM_Try, /*On fail goto*//*Label 15470*/ GIMT_Encode4(1047146), // Rule ID 18942 //
     /* 1047074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1047077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1047085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1047088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1047091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1047094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1047101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047113 */     // MIs[0] policy
     /* 1047113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047123 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1047126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047132 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047145 */     // GIR_Coverage, 18942,
     /* 1047145 */     GIR_EraseRootFromParent_Done,
     /* 1047146 */   // Label 15470: @1047146
     /* 1047146 */   GIM_Try, /*On fail goto*//*Label 15471*/ GIMT_Encode4(1047223), // Rule ID 18945 //
     /* 1047151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1047154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1047162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1047165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1047168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1047171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1047178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047190 */     // MIs[0] policy
     /* 1047190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047200 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1047203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047209 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047222 */     // GIR_Coverage, 18945,
     /* 1047222 */     GIR_EraseRootFromParent_Done,
     /* 1047223 */   // Label 15471: @1047223
     /* 1047223 */   GIM_Try, /*On fail goto*//*Label 15472*/ GIMT_Encode4(1047300), // Rule ID 18946 //
     /* 1047228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1047231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1047239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1047242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1047245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1047248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1047255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047267 */     // MIs[0] policy
     /* 1047267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047277 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1047280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047286 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047299 */     // GIR_Coverage, 18946,
     /* 1047299 */     GIR_EraseRootFromParent_Done,
     /* 1047300 */   // Label 15472: @1047300
     /* 1047300 */   GIM_Try, /*On fail goto*//*Label 15473*/ GIMT_Encode4(1047377), // Rule ID 18949 //
     /* 1047305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1047308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1047316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1047319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1047322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1047325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1047332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047344 */     // MIs[0] policy
     /* 1047344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047354 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1047357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047376 */     // GIR_Coverage, 18949,
     /* 1047376 */     GIR_EraseRootFromParent_Done,
     /* 1047377 */   // Label 15473: @1047377
     /* 1047377 */   GIM_Try, /*On fail goto*//*Label 15474*/ GIMT_Encode4(1047454), // Rule ID 18950 //
     /* 1047382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1047385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1047393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1047396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1047399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1047402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1047409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047421 */     // MIs[0] policy
     /* 1047421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047431 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1047434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047440 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047453 */     // GIR_Coverage, 18950,
     /* 1047453 */     GIR_EraseRootFromParent_Done,
     /* 1047454 */   // Label 15474: @1047454
     /* 1047454 */   GIM_Try, /*On fail goto*//*Label 15475*/ GIMT_Encode4(1047531), // Rule ID 18953 //
     /* 1047459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1047462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1047470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1047473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1047476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1047486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047498 */     // MIs[0] policy
     /* 1047498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047508 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1047511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1047527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047530 */     // GIR_Coverage, 18953,
     /* 1047530 */     GIR_EraseRootFromParent_Done,
     /* 1047531 */   // Label 15475: @1047531
     /* 1047531 */   GIM_Try, /*On fail goto*//*Label 15476*/ GIMT_Encode4(1047608), // Rule ID 18954 //
     /* 1047536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1047539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1047547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1047550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1047553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1047563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047575 */     // MIs[0] policy
     /* 1047575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047585 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1047588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047594 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1047604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047607 */     // GIR_Coverage, 18954,
     /* 1047607 */     GIR_EraseRootFromParent_Done,
     /* 1047608 */   // Label 15476: @1047608
     /* 1047608 */   GIM_Try, /*On fail goto*//*Label 15477*/ GIMT_Encode4(1047685), // Rule ID 18957 //
     /* 1047613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1047616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1047624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1047627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1047630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1047633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1047640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047652 */     // MIs[0] policy
     /* 1047652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047662 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1047665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047671 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1047681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047684 */     // GIR_Coverage, 18957,
     /* 1047684 */     GIR_EraseRootFromParent_Done,
     /* 1047685 */   // Label 15477: @1047685
     /* 1047685 */   GIM_Try, /*On fail goto*//*Label 15478*/ GIMT_Encode4(1047762), // Rule ID 18958 //
     /* 1047690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1047693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1047701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1047704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1047707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1047710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1047717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047729 */     // MIs[0] policy
     /* 1047729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047739 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1047742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047748 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1047758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047761 */     // GIR_Coverage, 18958,
     /* 1047761 */     GIR_EraseRootFromParent_Done,
     /* 1047762 */   // Label 15478: @1047762
     /* 1047762 */   GIM_Try, /*On fail goto*//*Label 15479*/ GIMT_Encode4(1047839), // Rule ID 18961 //
     /* 1047767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1047770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1047778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1047781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1047784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1047787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1047794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047806 */     // MIs[0] policy
     /* 1047806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047816 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1047819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1047835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047838 */     // GIR_Coverage, 18961,
     /* 1047838 */     GIR_EraseRootFromParent_Done,
     /* 1047839 */   // Label 15479: @1047839
     /* 1047839 */   GIM_Try, /*On fail goto*//*Label 15480*/ GIMT_Encode4(1047916), // Rule ID 18962 //
     /* 1047844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1047847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1047852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1047855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1047858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1047861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1047864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1047871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047883 */     // MIs[0] policy
     /* 1047883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047893 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1047896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047902 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1047912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047915 */     // GIR_Coverage, 18962,
     /* 1047915 */     GIR_EraseRootFromParent_Done,
     /* 1047916 */   // Label 15480: @1047916
     /* 1047916 */   GIM_Try, /*On fail goto*//*Label 15481*/ GIMT_Encode4(1047993), // Rule ID 20345 //
     /* 1047921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1047924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1047929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1047932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1047935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1047938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047960 */     // MIs[0] policy
     /* 1047960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047970 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1047973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047979 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047992 */     // GIR_Coverage, 20345,
     /* 1047992 */     GIR_EraseRootFromParent_Done,
     /* 1047993 */   // Label 15481: @1047993
     /* 1047993 */   GIM_Try, /*On fail goto*//*Label 15482*/ GIMT_Encode4(1048070), // Rule ID 20346 //
     /* 1047998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1048001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1048006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1048009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1048012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1048015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1048018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048037 */     // MIs[0] policy
     /* 1048037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048047 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1048050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048056 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048069 */     // GIR_Coverage, 20346,
     /* 1048069 */     GIR_EraseRootFromParent_Done,
     /* 1048070 */   // Label 15482: @1048070
     /* 1048070 */   GIM_Try, /*On fail goto*//*Label 15483*/ GIMT_Encode4(1048147), // Rule ID 20349 //
     /* 1048075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1048078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1048083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1048086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1048089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1048092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1048095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048114 */     // MIs[0] policy
     /* 1048114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048124 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1048127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048143 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048146 */     // GIR_Coverage, 20349,
     /* 1048146 */     GIR_EraseRootFromParent_Done,
     /* 1048147 */   // Label 15483: @1048147
     /* 1048147 */   GIM_Try, /*On fail goto*//*Label 15484*/ GIMT_Encode4(1048224), // Rule ID 20350 //
     /* 1048152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1048155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1048160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1048163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1048166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1048169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1048172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048191 */     // MIs[0] policy
     /* 1048191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048201 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1048204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048210 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048223 */     // GIR_Coverage, 20350,
     /* 1048223 */     GIR_EraseRootFromParent_Done,
     /* 1048224 */   // Label 15484: @1048224
     /* 1048224 */   GIM_Try, /*On fail goto*//*Label 15485*/ GIMT_Encode4(1048301), // Rule ID 20353 //
     /* 1048229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1048232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1048237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1048240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1048243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1048246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1048249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048268 */     // MIs[0] policy
     /* 1048268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048278 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1048281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048300 */     // GIR_Coverage, 20353,
     /* 1048300 */     GIR_EraseRootFromParent_Done,
     /* 1048301 */   // Label 15485: @1048301
     /* 1048301 */   GIM_Try, /*On fail goto*//*Label 15486*/ GIMT_Encode4(1048378), // Rule ID 20354 //
     /* 1048306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1048309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1048314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1048317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1048320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1048323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1048326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048345 */     // MIs[0] policy
     /* 1048345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048355 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1048358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048377 */     // GIR_Coverage, 20354,
     /* 1048377 */     GIR_EraseRootFromParent_Done,
     /* 1048378 */   // Label 15486: @1048378
     /* 1048378 */   GIM_Try, /*On fail goto*//*Label 15487*/ GIMT_Encode4(1048455), // Rule ID 20357 //
     /* 1048383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1048386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1048391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1048394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1048397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1048400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1048403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048422 */     // MIs[0] policy
     /* 1048422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048432 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1048435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048454 */     // GIR_Coverage, 20357,
     /* 1048454 */     GIR_EraseRootFromParent_Done,
     /* 1048455 */   // Label 15487: @1048455
     /* 1048455 */   GIM_Try, /*On fail goto*//*Label 15488*/ GIMT_Encode4(1048532), // Rule ID 20358 //
     /* 1048460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1048463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1048468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1048471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1048474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1048477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1048480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048499 */     // MIs[0] policy
     /* 1048499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048509 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1048512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048518 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048531 */     // GIR_Coverage, 20358,
     /* 1048531 */     GIR_EraseRootFromParent_Done,
     /* 1048532 */   // Label 15488: @1048532
     /* 1048532 */   GIM_Try, /*On fail goto*//*Label 15489*/ GIMT_Encode4(1048609), // Rule ID 20361 //
     /* 1048537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1048540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1048545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1048548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1048551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1048554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1048557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048576 */     // MIs[0] policy
     /* 1048576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048586 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1048589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048608 */     // GIR_Coverage, 20361,
     /* 1048608 */     GIR_EraseRootFromParent_Done,
     /* 1048609 */   // Label 15489: @1048609
     /* 1048609 */   GIM_Try, /*On fail goto*//*Label 15490*/ GIMT_Encode4(1048686), // Rule ID 20362 //
     /* 1048614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1048617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1048622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1048625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1048628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1048631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1048634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048653 */     // MIs[0] policy
     /* 1048653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048663 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1048666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048685 */     // GIR_Coverage, 20362,
     /* 1048685 */     GIR_EraseRootFromParent_Done,
     /* 1048686 */   // Label 15490: @1048686
     /* 1048686 */   GIM_Try, /*On fail goto*//*Label 15491*/ GIMT_Encode4(1048763), // Rule ID 20365 //
     /* 1048691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1048694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1048699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1048702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1048705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1048708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1048711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048730 */     // MIs[0] policy
     /* 1048730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048740 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1048743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048762 */     // GIR_Coverage, 20365,
     /* 1048762 */     GIR_EraseRootFromParent_Done,
     /* 1048763 */   // Label 15491: @1048763
     /* 1048763 */   GIM_Try, /*On fail goto*//*Label 15492*/ GIMT_Encode4(1048840), // Rule ID 20366 //
     /* 1048768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1048771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1048776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1048779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1048782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1048785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1048788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048807 */     // MIs[0] policy
     /* 1048807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048817 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1048820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048826 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048839 */     // GIR_Coverage, 20366,
     /* 1048839 */     GIR_EraseRootFromParent_Done,
     /* 1048840 */   // Label 15492: @1048840
     /* 1048840 */   GIM_Try, /*On fail goto*//*Label 15493*/ GIMT_Encode4(1048917), // Rule ID 20369 //
     /* 1048845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1048848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1048853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1048856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1048859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1048862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1048865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048884 */     // MIs[0] policy
     /* 1048884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048894 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1048897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048903 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048916 */     // GIR_Coverage, 20369,
     /* 1048916 */     GIR_EraseRootFromParent_Done,
     /* 1048917 */   // Label 15493: @1048917
     /* 1048917 */   GIM_Try, /*On fail goto*//*Label 15494*/ GIMT_Encode4(1048994), // Rule ID 20370 //
     /* 1048922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1048925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1048930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1048933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1048936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1048939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1048942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048961 */     // MIs[0] policy
     /* 1048961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048971 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1048974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048980 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048993 */     // GIR_Coverage, 20370,
     /* 1048993 */     GIR_EraseRootFromParent_Done,
     /* 1048994 */   // Label 15494: @1048994
     /* 1048994 */   GIM_Try, /*On fail goto*//*Label 15495*/ GIMT_Encode4(1049071), // Rule ID 20373 //
     /* 1048999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1049002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1049010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1049013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1049016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1049019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049038 */     // MIs[0] policy
     /* 1049038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049048 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1049051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049070 */     // GIR_Coverage, 20373,
     /* 1049070 */     GIR_EraseRootFromParent_Done,
     /* 1049071 */   // Label 15495: @1049071
     /* 1049071 */   GIM_Try, /*On fail goto*//*Label 15496*/ GIMT_Encode4(1049148), // Rule ID 20374 //
     /* 1049076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1049079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1049087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1049090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1049093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1049096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049115 */     // MIs[0] policy
     /* 1049115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049125 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1049128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049134 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049147 */     // GIR_Coverage, 20374,
     /* 1049147 */     GIR_EraseRootFromParent_Done,
     /* 1049148 */   // Label 15496: @1049148
     /* 1049148 */   GIM_Try, /*On fail goto*//*Label 15497*/ GIMT_Encode4(1049225), // Rule ID 20377 //
     /* 1049153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1049156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1049164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1049167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1049170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1049180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049192 */     // MIs[0] policy
     /* 1049192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1049205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049211 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049224 */     // GIR_Coverage, 20377,
     /* 1049224 */     GIR_EraseRootFromParent_Done,
     /* 1049225 */   // Label 15497: @1049225
     /* 1049225 */   GIM_Try, /*On fail goto*//*Label 15498*/ GIMT_Encode4(1049302), // Rule ID 20378 //
     /* 1049230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1049233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1049241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1049244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1049247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1049257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049269 */     // MIs[0] policy
     /* 1049269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049279 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1049282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049288 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049301 */     // GIR_Coverage, 20378,
     /* 1049301 */     GIR_EraseRootFromParent_Done,
     /* 1049302 */   // Label 15498: @1049302
     /* 1049302 */   GIM_Try, /*On fail goto*//*Label 15499*/ GIMT_Encode4(1049379), // Rule ID 20381 //
     /* 1049307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1049310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1049318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1049321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1049324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1049327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1049334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049346 */     // MIs[0] policy
     /* 1049346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049356 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1049359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049378 */     // GIR_Coverage, 20381,
     /* 1049378 */     GIR_EraseRootFromParent_Done,
     /* 1049379 */   // Label 15499: @1049379
     /* 1049379 */   GIM_Try, /*On fail goto*//*Label 15500*/ GIMT_Encode4(1049456), // Rule ID 20382 //
     /* 1049384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1049387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1049395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1049398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1049401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1049404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1049411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049423 */     // MIs[0] policy
     /* 1049423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049433 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1049436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049442 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049455 */     // GIR_Coverage, 20382,
     /* 1049455 */     GIR_EraseRootFromParent_Done,
     /* 1049456 */   // Label 15500: @1049456
     /* 1049456 */   GIM_Try, /*On fail goto*//*Label 15501*/ GIMT_Encode4(1049533), // Rule ID 20385 //
     /* 1049461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1049464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1049472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1049475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1049478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1049481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049500 */     // MIs[0] policy
     /* 1049500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049510 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1049513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049519 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049532 */     // GIR_Coverage, 20385,
     /* 1049532 */     GIR_EraseRootFromParent_Done,
     /* 1049533 */   // Label 15501: @1049533
     /* 1049533 */   GIM_Try, /*On fail goto*//*Label 15502*/ GIMT_Encode4(1049610), // Rule ID 20386 //
     /* 1049538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1049541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1049549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1049552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1049555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1049558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049577 */     // MIs[0] policy
     /* 1049577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049587 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1049590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049596 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049609 */     // GIR_Coverage, 20386,
     /* 1049609 */     GIR_EraseRootFromParent_Done,
     /* 1049610 */   // Label 15502: @1049610
     /* 1049610 */   GIM_Try, /*On fail goto*//*Label 15503*/ GIMT_Encode4(1049687), // Rule ID 20389 //
     /* 1049615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1049618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1049626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1049629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1049632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1049642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049654 */     // MIs[0] policy
     /* 1049654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049664 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1049667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049686 */     // GIR_Coverage, 20389,
     /* 1049686 */     GIR_EraseRootFromParent_Done,
     /* 1049687 */   // Label 15503: @1049687
     /* 1049687 */   GIM_Try, /*On fail goto*//*Label 15504*/ GIMT_Encode4(1049764), // Rule ID 20390 //
     /* 1049692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1049695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1049703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1049706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1049709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1049719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049731 */     // MIs[0] policy
     /* 1049731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049741 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1049744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049750 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049763 */     // GIR_Coverage, 20390,
     /* 1049763 */     GIR_EraseRootFromParent_Done,
     /* 1049764 */   // Label 15504: @1049764
     /* 1049764 */   GIM_Try, /*On fail goto*//*Label 15505*/ GIMT_Encode4(1049841), // Rule ID 20393 //
     /* 1049769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1049772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1049780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1049783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1049786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1049796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049808 */     // MIs[0] policy
     /* 1049808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049818 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1049821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049827 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049840 */     // GIR_Coverage, 20393,
     /* 1049840 */     GIR_EraseRootFromParent_Done,
     /* 1049841 */   // Label 15505: @1049841
     /* 1049841 */   GIM_Try, /*On fail goto*//*Label 15506*/ GIMT_Encode4(1049918), // Rule ID 20394 //
     /* 1049846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1049849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1049857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1049860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1049863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1049873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049885 */     // MIs[0] policy
     /* 1049885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049895 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1049898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049904 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049917 */     // GIR_Coverage, 20394,
     /* 1049917 */     GIR_EraseRootFromParent_Done,
     /* 1049918 */   // Label 15506: @1049918
     /* 1049918 */   GIM_Try, /*On fail goto*//*Label 15507*/ GIMT_Encode4(1049995), // Rule ID 20397 //
     /* 1049923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1049926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1049931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1049934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1049937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1049940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1049943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049962 */     // MIs[0] policy
     /* 1049962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049972 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1049975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049994 */     // GIR_Coverage, 20397,
     /* 1049994 */     GIR_EraseRootFromParent_Done,
     /* 1049995 */   // Label 15507: @1049995
     /* 1049995 */   GIM_Try, /*On fail goto*//*Label 15508*/ GIMT_Encode4(1050072), // Rule ID 20398 //
     /* 1050000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1050003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1050008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1050011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1050014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1050017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1050020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1050027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050039 */     // MIs[0] policy
     /* 1050039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050049 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1050052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050058 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050071 */     // GIR_Coverage, 20398,
     /* 1050071 */     GIR_EraseRootFromParent_Done,
     /* 1050072 */   // Label 15508: @1050072
     /* 1050072 */   GIM_Try, /*On fail goto*//*Label 15509*/ GIMT_Encode4(1050149), // Rule ID 20723 //
     /* 1050077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1050085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1050088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1050091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1050094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1050097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050116 */     // MIs[0] policy
     /* 1050116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050126 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1050129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050135 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050148 */     // GIR_Coverage, 20723,
     /* 1050148 */     GIR_EraseRootFromParent_Done,
     /* 1050149 */   // Label 15509: @1050149
     /* 1050149 */   GIM_Try, /*On fail goto*//*Label 15510*/ GIMT_Encode4(1050226), // Rule ID 20724 //
     /* 1050154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1050162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1050165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1050168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1050171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1050174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050193 */     // MIs[0] policy
     /* 1050193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050203 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1050206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050225 */     // GIR_Coverage, 20724,
     /* 1050225 */     GIR_EraseRootFromParent_Done,
     /* 1050226 */   // Label 15510: @1050226
     /* 1050226 */   GIM_Try, /*On fail goto*//*Label 15511*/ GIMT_Encode4(1050303), // Rule ID 20727 //
     /* 1050231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1050239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1050242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1050245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1050248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1050251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050270 */     // MIs[0] policy
     /* 1050270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050280 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1050283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050302 */     // GIR_Coverage, 20727,
     /* 1050302 */     GIR_EraseRootFromParent_Done,
     /* 1050303 */   // Label 15511: @1050303
     /* 1050303 */   GIM_Try, /*On fail goto*//*Label 15512*/ GIMT_Encode4(1050380), // Rule ID 20728 //
     /* 1050308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1050316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1050319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1050322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1050325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1050328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050347 */     // MIs[0] policy
     /* 1050347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050357 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1050360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050366 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050379 */     // GIR_Coverage, 20728,
     /* 1050379 */     GIR_EraseRootFromParent_Done,
     /* 1050380 */   // Label 15512: @1050380
     /* 1050380 */   GIM_Try, /*On fail goto*//*Label 15513*/ GIMT_Encode4(1050457), // Rule ID 20731 //
     /* 1050385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1050388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1050393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1050396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1050399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1050402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1050405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050424 */     // MIs[0] policy
     /* 1050424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050434 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1050437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050456 */     // GIR_Coverage, 20731,
     /* 1050456 */     GIR_EraseRootFromParent_Done,
     /* 1050457 */   // Label 15513: @1050457
     /* 1050457 */   GIM_Try, /*On fail goto*//*Label 15514*/ GIMT_Encode4(1050534), // Rule ID 20732 //
     /* 1050462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1050465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1050470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1050473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1050476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1050479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1050482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050501 */     // MIs[0] policy
     /* 1050501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050511 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1050514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050520 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050533 */     // GIR_Coverage, 20732,
     /* 1050533 */     GIR_EraseRootFromParent_Done,
     /* 1050534 */   // Label 15514: @1050534
     /* 1050534 */   GIM_Try, /*On fail goto*//*Label 15515*/ GIMT_Encode4(1050611), // Rule ID 20735 //
     /* 1050539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1050547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1050550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1050553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1050556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1050559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050578 */     // MIs[0] policy
     /* 1050578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050588 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1050591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050610 */     // GIR_Coverage, 20735,
     /* 1050610 */     GIR_EraseRootFromParent_Done,
     /* 1050611 */   // Label 15515: @1050611
     /* 1050611 */   GIM_Try, /*On fail goto*//*Label 15516*/ GIMT_Encode4(1050688), // Rule ID 20736 //
     /* 1050616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1050624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1050627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1050630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1050633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1050636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050655 */     // MIs[0] policy
     /* 1050655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050665 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1050668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050674 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050687 */     // GIR_Coverage, 20736,
     /* 1050687 */     GIR_EraseRootFromParent_Done,
     /* 1050688 */   // Label 15516: @1050688
     /* 1050688 */   GIM_Try, /*On fail goto*//*Label 15517*/ GIMT_Encode4(1050765), // Rule ID 20739 //
     /* 1050693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1050696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1050701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1050704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1050707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1050710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1050713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050732 */     // MIs[0] policy
     /* 1050732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050742 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1050745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050751 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050764 */     // GIR_Coverage, 20739,
     /* 1050764 */     GIR_EraseRootFromParent_Done,
     /* 1050765 */   // Label 15517: @1050765
     /* 1050765 */   GIM_Try, /*On fail goto*//*Label 15518*/ GIMT_Encode4(1050842), // Rule ID 20740 //
     /* 1050770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1050773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1050778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1050781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1050784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1050787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1050790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050809 */     // MIs[0] policy
     /* 1050809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050819 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1050822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050828 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050841 */     // GIR_Coverage, 20740,
     /* 1050841 */     GIR_EraseRootFromParent_Done,
     /* 1050842 */   // Label 15518: @1050842
     /* 1050842 */   GIM_Try, /*On fail goto*//*Label 15519*/ GIMT_Encode4(1050919), // Rule ID 20743 //
     /* 1050847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1050850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1050855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1050858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1050861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1050864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1050867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050886 */     // MIs[0] policy
     /* 1050886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1050899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050918 */     // GIR_Coverage, 20743,
     /* 1050918 */     GIR_EraseRootFromParent_Done,
     /* 1050919 */   // Label 15519: @1050919
     /* 1050919 */   GIM_Try, /*On fail goto*//*Label 15520*/ GIMT_Encode4(1050996), // Rule ID 20744 //
     /* 1050924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1050927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1050932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1050935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1050938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1050941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1050944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050963 */     // MIs[0] policy
     /* 1050963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050973 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1050976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050982 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1050992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050995 */     // GIR_Coverage, 20744,
     /* 1050995 */     GIR_EraseRootFromParent_Done,
     /* 1050996 */   // Label 15520: @1050996
     /* 1050996 */   GIM_Try, /*On fail goto*//*Label 15521*/ GIMT_Encode4(1051073), // Rule ID 20747 //
     /* 1051001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1051012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1051015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1051018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1051028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051040 */     // MIs[0] policy
     /* 1051040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051050 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1051053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051072 */     // GIR_Coverage, 20747,
     /* 1051072 */     GIR_EraseRootFromParent_Done,
     /* 1051073 */   // Label 15521: @1051073
     /* 1051073 */   GIM_Try, /*On fail goto*//*Label 15522*/ GIMT_Encode4(1051150), // Rule ID 20748 //
     /* 1051078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1051089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1051092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1051095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1051105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051117 */     // MIs[0] policy
     /* 1051117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051127 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1051130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051136 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051149 */     // GIR_Coverage, 20748,
     /* 1051149 */     GIR_EraseRootFromParent_Done,
     /* 1051150 */   // Label 15522: @1051150
     /* 1051150 */   GIM_Try, /*On fail goto*//*Label 15523*/ GIMT_Encode4(1051227), // Rule ID 20751 //
     /* 1051155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1051166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1051169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1051172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1051175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051194 */     // MIs[0] policy
     /* 1051194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051204 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1051207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051226 */     // GIR_Coverage, 20751,
     /* 1051226 */     GIR_EraseRootFromParent_Done,
     /* 1051227 */   // Label 15523: @1051227
     /* 1051227 */   GIM_Try, /*On fail goto*//*Label 15524*/ GIMT_Encode4(1051304), // Rule ID 20752 //
     /* 1051232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1051243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1051246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1051249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1051252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051271 */     // MIs[0] policy
     /* 1051271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051281 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1051284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051290 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051303 */     // GIR_Coverage, 20752,
     /* 1051303 */     GIR_EraseRootFromParent_Done,
     /* 1051304 */   // Label 15524: @1051304
     /* 1051304 */   GIM_Try, /*On fail goto*//*Label 15525*/ GIMT_Encode4(1051381), // Rule ID 20755 //
     /* 1051309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1051320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1051323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1051326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1051329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051348 */     // MIs[0] policy
     /* 1051348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051358 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1051361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051380 */     // GIR_Coverage, 20755,
     /* 1051380 */     GIR_EraseRootFromParent_Done,
     /* 1051381 */   // Label 15525: @1051381
     /* 1051381 */   GIM_Try, /*On fail goto*//*Label 15526*/ GIMT_Encode4(1051458), // Rule ID 20756 //
     /* 1051386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1051397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1051400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1051403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1051406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051425 */     // MIs[0] policy
     /* 1051425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051435 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1051438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051457 */     // GIR_Coverage, 20756,
     /* 1051457 */     GIR_EraseRootFromParent_Done,
     /* 1051458 */   // Label 15526: @1051458
     /* 1051458 */   GIM_Try, /*On fail goto*//*Label 15527*/ GIMT_Encode4(1051535), // Rule ID 20759 //
     /* 1051463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1051466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1051474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1051477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1051480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1051490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051502 */     // MIs[0] policy
     /* 1051502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051512 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1051515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051534 */     // GIR_Coverage, 20759,
     /* 1051534 */     GIR_EraseRootFromParent_Done,
     /* 1051535 */   // Label 15527: @1051535
     /* 1051535 */   GIM_Try, /*On fail goto*//*Label 15528*/ GIMT_Encode4(1051612), // Rule ID 20760 //
     /* 1051540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1051543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1051551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1051554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1051557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1051567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051579 */     // MIs[0] policy
     /* 1051579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051589 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1051592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051598 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051611 */     // GIR_Coverage, 20760,
     /* 1051611 */     GIR_EraseRootFromParent_Done,
     /* 1051612 */   // Label 15528: @1051612
     /* 1051612 */   GIM_Try, /*On fail goto*//*Label 15529*/ GIMT_Encode4(1051689), // Rule ID 20763 //
     /* 1051617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1051620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1051628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1051631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1051634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051656 */     // MIs[0] policy
     /* 1051656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051666 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1051669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051675 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051688 */     // GIR_Coverage, 20763,
     /* 1051688 */     GIR_EraseRootFromParent_Done,
     /* 1051689 */   // Label 15529: @1051689
     /* 1051689 */   GIM_Try, /*On fail goto*//*Label 15530*/ GIMT_Encode4(1051766), // Rule ID 20764 //
     /* 1051694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1051697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1051705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1051708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1051711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051733 */     // MIs[0] policy
     /* 1051733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051743 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1051746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051752 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051765 */     // GIR_Coverage, 20764,
     /* 1051765 */     GIR_EraseRootFromParent_Done,
     /* 1051766 */   // Label 15530: @1051766
     /* 1051766 */   GIM_Try, /*On fail goto*//*Label 15531*/ GIMT_Encode4(1051843), // Rule ID 20767 //
     /* 1051771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1051774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1051782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1051785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1051788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1051791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051810 */     // MIs[0] policy
     /* 1051810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051820 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1051823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051842 */     // GIR_Coverage, 20767,
     /* 1051842 */     GIR_EraseRootFromParent_Done,
     /* 1051843 */   // Label 15531: @1051843
     /* 1051843 */   GIM_Try, /*On fail goto*//*Label 15532*/ GIMT_Encode4(1051920), // Rule ID 20768 //
     /* 1051848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1051851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1051859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1051862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1051865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1051868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051887 */     // MIs[0] policy
     /* 1051887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051897 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1051900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051906 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051919 */     // GIR_Coverage, 20768,
     /* 1051919 */     GIR_EraseRootFromParent_Done,
     /* 1051920 */   // Label 15532: @1051920
     /* 1051920 */   GIM_Try, /*On fail goto*//*Label 15533*/ GIMT_Encode4(1051997), // Rule ID 20771 //
     /* 1051925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1051928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1051933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1051936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1051939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1051942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1051952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051964 */     // MIs[0] policy
     /* 1051964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051974 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1051977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051983 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1051993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051996 */     // GIR_Coverage, 20771,
     /* 1051996 */     GIR_EraseRootFromParent_Done,
     /* 1051997 */   // Label 15533: @1051997
     /* 1051997 */   GIM_Try, /*On fail goto*//*Label 15534*/ GIMT_Encode4(1052074), // Rule ID 20772 //
     /* 1052002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1052005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1052013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1052016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1052019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052041 */     // MIs[0] policy
     /* 1052041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052051 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1052054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052060 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052070 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052073 */     // GIR_Coverage, 20772,
     /* 1052073 */     GIR_EraseRootFromParent_Done,
     /* 1052074 */   // Label 15534: @1052074
     /* 1052074 */   GIM_Try, /*On fail goto*//*Label 15535*/ GIMT_Encode4(1052151), // Rule ID 20775 //
     /* 1052079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1052082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1052090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1052093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1052096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052118 */     // MIs[0] policy
     /* 1052118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052128 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1052131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052150 */     // GIR_Coverage, 20775,
     /* 1052150 */     GIR_EraseRootFromParent_Done,
     /* 1052151 */   // Label 15535: @1052151
     /* 1052151 */   GIM_Try, /*On fail goto*//*Label 15536*/ GIMT_Encode4(1052228), // Rule ID 20776 //
     /* 1052156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1052159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1052167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1052170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1052173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052195 */     // MIs[0] policy
     /* 1052195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052205 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1052208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052214 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052227 */     // GIR_Coverage, 20776,
     /* 1052227 */     GIR_EraseRootFromParent_Done,
     /* 1052228 */   // Label 15536: @1052228
     /* 1052228 */   GIM_Try, /*On fail goto*//*Label 15537*/ GIMT_Encode4(1052305), // Rule ID 20779 //
     /* 1052233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1052236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1052244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1052247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1052250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1052260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052272 */     // MIs[0] policy
     /* 1052272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052282 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1052285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052304 */     // GIR_Coverage, 20779,
     /* 1052304 */     GIR_EraseRootFromParent_Done,
     /* 1052305 */   // Label 15537: @1052305
     /* 1052305 */   GIM_Try, /*On fail goto*//*Label 15538*/ GIMT_Encode4(1052382), // Rule ID 20780 //
     /* 1052310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1052313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1052318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1052321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1052324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1052327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1052337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052349 */     // MIs[0] policy
     /* 1052349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052359 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1052362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052368 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052381 */     // GIR_Coverage, 20780,
     /* 1052381 */     GIR_EraseRootFromParent_Done,
     /* 1052382 */   // Label 15538: @1052382
     /* 1052382 */   GIM_Try, /*On fail goto*//*Label 15539*/ GIMT_Encode4(1052459), // Rule ID 20783 //
     /* 1052387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1052395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1052398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1052401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1052404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052426 */     // MIs[0] policy
     /* 1052426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052436 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1052439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052458 */     // GIR_Coverage, 20783,
     /* 1052458 */     GIR_EraseRootFromParent_Done,
     /* 1052459 */   // Label 15539: @1052459
     /* 1052459 */   GIM_Try, /*On fail goto*//*Label 15540*/ GIMT_Encode4(1052536), // Rule ID 20784 //
     /* 1052464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1052472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1052475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1052478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1052481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052503 */     // MIs[0] policy
     /* 1052503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052513 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1052516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052535 */     // GIR_Coverage, 20784,
     /* 1052535 */     GIR_EraseRootFromParent_Done,
     /* 1052536 */   // Label 15540: @1052536
     /* 1052536 */   GIM_Try, /*On fail goto*//*Label 15541*/ GIMT_Encode4(1052613), // Rule ID 20787 //
     /* 1052541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1052549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1052552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1052555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1052558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052580 */     // MIs[0] policy
     /* 1052580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052590 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1052593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052612 */     // GIR_Coverage, 20787,
     /* 1052612 */     GIR_EraseRootFromParent_Done,
     /* 1052613 */   // Label 15541: @1052613
     /* 1052613 */   GIM_Try, /*On fail goto*//*Label 15542*/ GIMT_Encode4(1052690), // Rule ID 20788 //
     /* 1052618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1052626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1052629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1052632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1052635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052657 */     // MIs[0] policy
     /* 1052657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052667 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1052670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052676 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052689 */     // GIR_Coverage, 20788,
     /* 1052689 */     GIR_EraseRootFromParent_Done,
     /* 1052690 */   // Label 15542: @1052690
     /* 1052690 */   GIM_Try, /*On fail goto*//*Label 15543*/ GIMT_Encode4(1052767), // Rule ID 20791 //
     /* 1052695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1052698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1052703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1052706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1052709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1052712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052734 */     // MIs[0] policy
     /* 1052734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052744 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1052747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052766 */     // GIR_Coverage, 20791,
     /* 1052766 */     GIR_EraseRootFromParent_Done,
     /* 1052767 */   // Label 15543: @1052767
     /* 1052767 */   GIM_Try, /*On fail goto*//*Label 15544*/ GIMT_Encode4(1052844), // Rule ID 20792 //
     /* 1052772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1052775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1052780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1052783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1052786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1052789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052811 */     // MIs[0] policy
     /* 1052811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052821 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1052824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052830 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052843 */     // GIR_Coverage, 20792,
     /* 1052843 */     GIR_EraseRootFromParent_Done,
     /* 1052844 */   // Label 15544: @1052844
     /* 1052844 */   GIM_Try, /*On fail goto*//*Label 15545*/ GIMT_Encode4(1052921), // Rule ID 20795 //
     /* 1052849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1052857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1052860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1052863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1052866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052888 */     // MIs[0] policy
     /* 1052888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052898 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1052901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052920 */     // GIR_Coverage, 20795,
     /* 1052920 */     GIR_EraseRootFromParent_Done,
     /* 1052921 */   // Label 15545: @1052921
     /* 1052921 */   GIM_Try, /*On fail goto*//*Label 15546*/ GIMT_Encode4(1052998), // Rule ID 20796 //
     /* 1052926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1052934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1052937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1052940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1052943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052965 */     // MIs[0] policy
     /* 1052965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052975 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1052978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052984 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052997 */     // GIR_Coverage, 20796,
     /* 1052997 */     GIR_EraseRootFromParent_Done,
     /* 1052998 */   // Label 15546: @1052998
     /* 1052998 */   GIM_Try, /*On fail goto*//*Label 15547*/ GIMT_Encode4(1053075), // Rule ID 20799 //
     /* 1053003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1053006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1053014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1053017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1053020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053042 */     // MIs[0] policy
     /* 1053042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1053055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053074 */     // GIR_Coverage, 20799,
     /* 1053074 */     GIR_EraseRootFromParent_Done,
     /* 1053075 */   // Label 15547: @1053075
     /* 1053075 */   GIM_Try, /*On fail goto*//*Label 15548*/ GIMT_Encode4(1053152), // Rule ID 20800 //
     /* 1053080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1053083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1053091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1053094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1053097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053119 */     // MIs[0] policy
     /* 1053119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053129 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1053132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053138 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053151 */     // GIR_Coverage, 20800,
     /* 1053151 */     GIR_EraseRootFromParent_Done,
     /* 1053152 */   // Label 15548: @1053152
     /* 1053152 */   GIM_Try, /*On fail goto*//*Label 15549*/ GIMT_Encode4(1053229), // Rule ID 20803 //
     /* 1053157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1053160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1053168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1053171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1053174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1053177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053196 */     // MIs[0] policy
     /* 1053196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053206 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1053209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053215 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053228 */     // GIR_Coverage, 20803,
     /* 1053228 */     GIR_EraseRootFromParent_Done,
     /* 1053229 */   // Label 15549: @1053229
     /* 1053229 */   GIM_Try, /*On fail goto*//*Label 15550*/ GIMT_Encode4(1053306), // Rule ID 20804 //
     /* 1053234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1053237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1053245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1053248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1053251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1053254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053273 */     // MIs[0] policy
     /* 1053273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053283 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1053286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053292 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053305 */     // GIR_Coverage, 20804,
     /* 1053305 */     GIR_EraseRootFromParent_Done,
     /* 1053306 */   // Label 15550: @1053306
     /* 1053306 */   GIM_Try, /*On fail goto*//*Label 15551*/ GIMT_Encode4(1053383), // Rule ID 20807 //
     /* 1053311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1053314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1053322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1053325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1053328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053350 */     // MIs[0] policy
     /* 1053350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053360 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1053363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053382 */     // GIR_Coverage, 20807,
     /* 1053382 */     GIR_EraseRootFromParent_Done,
     /* 1053383 */   // Label 15551: @1053383
     /* 1053383 */   GIM_Try, /*On fail goto*//*Label 15552*/ GIMT_Encode4(1053460), // Rule ID 20808 //
     /* 1053388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1053391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1053399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1053402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1053405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053427 */     // MIs[0] policy
     /* 1053427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053437 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1053440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053446 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053459 */     // GIR_Coverage, 20808,
     /* 1053459 */     GIR_EraseRootFromParent_Done,
     /* 1053460 */   // Label 15552: @1053460
     /* 1053460 */   GIM_Try, /*On fail goto*//*Label 15553*/ GIMT_Encode4(1053537), // Rule ID 20811 //
     /* 1053465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1053468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1053476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1053479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1053482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053504 */     // MIs[0] policy
     /* 1053504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053514 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1053517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053523 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053536 */     // GIR_Coverage, 20811,
     /* 1053536 */     GIR_EraseRootFromParent_Done,
     /* 1053537 */   // Label 15553: @1053537
     /* 1053537 */   GIM_Try, /*On fail goto*//*Label 15554*/ GIMT_Encode4(1053614), // Rule ID 20812 //
     /* 1053542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1053545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1053553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1053556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1053559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053581 */     // MIs[0] policy
     /* 1053581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053591 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1053594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053600 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053613 */     // GIR_Coverage, 20812,
     /* 1053613 */     GIR_EraseRootFromParent_Done,
     /* 1053614 */   // Label 15554: @1053614
     /* 1053614 */   GIM_Try, /*On fail goto*//*Label 15555*/ GIMT_Encode4(1053691), // Rule ID 20815 //
     /* 1053619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1053622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1053630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1053633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1053636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1053639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053658 */     // MIs[0] policy
     /* 1053658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053668 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1053671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053690 */     // GIR_Coverage, 20815,
     /* 1053690 */     GIR_EraseRootFromParent_Done,
     /* 1053691 */   // Label 15555: @1053691
     /* 1053691 */   GIM_Try, /*On fail goto*//*Label 15556*/ GIMT_Encode4(1053768), // Rule ID 20816 //
     /* 1053696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1053699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1053707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1053710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1053713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1053716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053735 */     // MIs[0] policy
     /* 1053735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053745 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1053748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053754 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053767 */     // GIR_Coverage, 20816,
     /* 1053767 */     GIR_EraseRootFromParent_Done,
     /* 1053768 */   // Label 15556: @1053768
     /* 1053768 */   GIM_Try, /*On fail goto*//*Label 15557*/ GIMT_Encode4(1053845), // Rule ID 20819 //
     /* 1053773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1053776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1053784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1053787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1053790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053812 */     // MIs[0] policy
     /* 1053812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053822 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1053825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053831 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053844 */     // GIR_Coverage, 20819,
     /* 1053844 */     GIR_EraseRootFromParent_Done,
     /* 1053845 */   // Label 15557: @1053845
     /* 1053845 */   GIM_Try, /*On fail goto*//*Label 15558*/ GIMT_Encode4(1053922), // Rule ID 20820 //
     /* 1053850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1053853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1053861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1053864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1053867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053889 */     // MIs[0] policy
     /* 1053889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053899 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1053902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053908 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053921 */     // GIR_Coverage, 20820,
     /* 1053921 */     GIR_EraseRootFromParent_Done,
     /* 1053922 */   // Label 15558: @1053922
     /* 1053922 */   GIM_Try, /*On fail goto*//*Label 15559*/ GIMT_Encode4(1053999), // Rule ID 20823 //
     /* 1053927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1053930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1053935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1053938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1053941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1053944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053966 */     // MIs[0] policy
     /* 1053966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053976 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1053979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053998 */     // GIR_Coverage, 20823,
     /* 1053998 */     GIR_EraseRootFromParent_Done,
     /* 1053999 */   // Label 15559: @1053999
     /* 1053999 */   GIM_Try, /*On fail goto*//*Label 15560*/ GIMT_Encode4(1054076), // Rule ID 20824 //
     /* 1054004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1054007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1054015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1054018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1054021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054043 */     // MIs[0] policy
     /* 1054043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054053 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1054056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054075 */     // GIR_Coverage, 20824,
     /* 1054075 */     GIR_EraseRootFromParent_Done,
     /* 1054076 */   // Label 15560: @1054076
     /* 1054076 */   GIM_Try, /*On fail goto*//*Label 15561*/ GIMT_Encode4(1054153), // Rule ID 20827 //
     /* 1054081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1054084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1054092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1054095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1054098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1054101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1054108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054120 */     // MIs[0] policy
     /* 1054120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054130 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1054133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054152 */     // GIR_Coverage, 20827,
     /* 1054152 */     GIR_EraseRootFromParent_Done,
     /* 1054153 */   // Label 15561: @1054153
     /* 1054153 */   GIM_Try, /*On fail goto*//*Label 15562*/ GIMT_Encode4(1054230), // Rule ID 20828 //
     /* 1054158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1054161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1054169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1054172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1054175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1054178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1054185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054197 */     // MIs[0] policy
     /* 1054197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054207 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1054210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054216 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054229 */     // GIR_Coverage, 20828,
     /* 1054229 */     GIR_EraseRootFromParent_Done,
     /* 1054230 */   // Label 15562: @1054230
     /* 1054230 */   GIM_Try, /*On fail goto*//*Label 15563*/ GIMT_Encode4(1054307), // Rule ID 20831 //
     /* 1054235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1054238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1054246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1054249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1054252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054274 */     // MIs[0] policy
     /* 1054274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054284 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1054287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054306 */     // GIR_Coverage, 20831,
     /* 1054306 */     GIR_EraseRootFromParent_Done,
     /* 1054307 */   // Label 15563: @1054307
     /* 1054307 */   GIM_Try, /*On fail goto*//*Label 15564*/ GIMT_Encode4(1054384), // Rule ID 20832 //
     /* 1054312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1054315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1054323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1054326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1054329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054351 */     // MIs[0] policy
     /* 1054351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1054364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054370 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054383 */     // GIR_Coverage, 20832,
     /* 1054383 */     GIR_EraseRootFromParent_Done,
     /* 1054384 */   // Label 15564: @1054384
     /* 1054384 */   GIM_Try, /*On fail goto*//*Label 15565*/ GIMT_Encode4(1054461), // Rule ID 20835 //
     /* 1054389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1054392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1054400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1054403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1054406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054428 */     // MIs[0] policy
     /* 1054428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054438 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1054441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054447 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054460 */     // GIR_Coverage, 20835,
     /* 1054460 */     GIR_EraseRootFromParent_Done,
     /* 1054461 */   // Label 15565: @1054461
     /* 1054461 */   GIM_Try, /*On fail goto*//*Label 15566*/ GIMT_Encode4(1054538), // Rule ID 20836 //
     /* 1054466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1054469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1054477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1054480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1054483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054505 */     // MIs[0] policy
     /* 1054505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054515 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1054518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054524 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054537 */     // GIR_Coverage, 20836,
     /* 1054537 */     GIR_EraseRootFromParent_Done,
     /* 1054538 */   // Label 15566: @1054538
     /* 1054538 */   GIM_Try, /*On fail goto*//*Label 15567*/ GIMT_Encode4(1054615), // Rule ID 20839 //
     /* 1054543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1054546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1054554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1054557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1054560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1054570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054582 */     // MIs[0] policy
     /* 1054582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054592 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1054595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054614 */     // GIR_Coverage, 20839,
     /* 1054614 */     GIR_EraseRootFromParent_Done,
     /* 1054615 */   // Label 15567: @1054615
     /* 1054615 */   GIM_Try, /*On fail goto*//*Label 15568*/ GIMT_Encode4(1054692), // Rule ID 20840 //
     /* 1054620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1054623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1054628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1054631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1054634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1054637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1054647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054659 */     // MIs[0] policy
     /* 1054659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054669 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1054672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054678 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054691 */     // GIR_Coverage, 20840,
     /* 1054691 */     GIR_EraseRootFromParent_Done,
     /* 1054692 */   // Label 15568: @1054692
     /* 1054692 */   GIM_Try, /*On fail goto*//*Label 15569*/ GIMT_Encode4(1054769), // Rule ID 21107 //
     /* 1054697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1054705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1054708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1054711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1054714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054736 */     // MIs[0] policy
     /* 1054736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054746 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1054749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054768 */     // GIR_Coverage, 21107,
     /* 1054768 */     GIR_EraseRootFromParent_Done,
     /* 1054769 */   // Label 15569: @1054769
     /* 1054769 */   GIM_Try, /*On fail goto*//*Label 15570*/ GIMT_Encode4(1054846), // Rule ID 21108 //
     /* 1054774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1054782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1054785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1054788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1054791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054813 */     // MIs[0] policy
     /* 1054813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054823 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1054826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054832 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054845 */     // GIR_Coverage, 21108,
     /* 1054845 */     GIR_EraseRootFromParent_Done,
     /* 1054846 */   // Label 15570: @1054846
     /* 1054846 */   GIM_Try, /*On fail goto*//*Label 15571*/ GIMT_Encode4(1054923), // Rule ID 21111 //
     /* 1054851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1054859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1054862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1054865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1054868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054890 */     // MIs[0] policy
     /* 1054890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1054903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054922 */     // GIR_Coverage, 21111,
     /* 1054922 */     GIR_EraseRootFromParent_Done,
     /* 1054923 */   // Label 15571: @1054923
     /* 1054923 */   GIM_Try, /*On fail goto*//*Label 15572*/ GIMT_Encode4(1055000), // Rule ID 21112 //
     /* 1054928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1054936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1054939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1054942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1054945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054967 */     // MIs[0] policy
     /* 1054967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054977 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1054980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054999 */     // GIR_Coverage, 21112,
     /* 1054999 */     GIR_EraseRootFromParent_Done,
     /* 1055000 */   // Label 15572: @1055000
     /* 1055000 */   GIM_Try, /*On fail goto*//*Label 15573*/ GIMT_Encode4(1055077), // Rule ID 21115 //
     /* 1055005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1055013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1055016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1055019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1055022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055044 */     // MIs[0] policy
     /* 1055044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055054 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1055057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055063 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055076 */     // GIR_Coverage, 21115,
     /* 1055076 */     GIR_EraseRootFromParent_Done,
     /* 1055077 */   // Label 15573: @1055077
     /* 1055077 */   GIM_Try, /*On fail goto*//*Label 15574*/ GIMT_Encode4(1055154), // Rule ID 21116 //
     /* 1055082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1055090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1055093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1055096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1055099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055121 */     // MIs[0] policy
     /* 1055121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055131 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1055134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055140 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055153 */     // GIR_Coverage, 21116,
     /* 1055153 */     GIR_EraseRootFromParent_Done,
     /* 1055154 */   // Label 15574: @1055154
     /* 1055154 */   GIM_Try, /*On fail goto*//*Label 15575*/ GIMT_Encode4(1055231), // Rule ID 21119 //
     /* 1055159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1055167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1055170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1055173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1055176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055198 */     // MIs[0] policy
     /* 1055198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055208 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1055211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055230 */     // GIR_Coverage, 21119,
     /* 1055230 */     GIR_EraseRootFromParent_Done,
     /* 1055231 */   // Label 15575: @1055231
     /* 1055231 */   GIM_Try, /*On fail goto*//*Label 15576*/ GIMT_Encode4(1055308), // Rule ID 21120 //
     /* 1055236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1055244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1055247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1055250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1055253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055275 */     // MIs[0] policy
     /* 1055275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055285 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1055288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055294 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055307 */     // GIR_Coverage, 21120,
     /* 1055307 */     GIR_EraseRootFromParent_Done,
     /* 1055308 */   // Label 15576: @1055308
     /* 1055308 */   GIM_Try, /*On fail goto*//*Label 15577*/ GIMT_Encode4(1055385), // Rule ID 21123 //
     /* 1055313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1055321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1055324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1055327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1055330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055352 */     // MIs[0] policy
     /* 1055352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055362 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1055365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055371 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055384 */     // GIR_Coverage, 21123,
     /* 1055384 */     GIR_EraseRootFromParent_Done,
     /* 1055385 */   // Label 15577: @1055385
     /* 1055385 */   GIM_Try, /*On fail goto*//*Label 15578*/ GIMT_Encode4(1055462), // Rule ID 21124 //
     /* 1055390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1055398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1055401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1055404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1055407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055429 */     // MIs[0] policy
     /* 1055429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055439 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1055442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055448 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055461 */     // GIR_Coverage, 21124,
     /* 1055461 */     GIR_EraseRootFromParent_Done,
     /* 1055462 */   // Label 15578: @1055462
     /* 1055462 */   GIM_Try, /*On fail goto*//*Label 15579*/ GIMT_Encode4(1055539), // Rule ID 21127 //
     /* 1055467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1055470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1055475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1055478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1055481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1055484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1055487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055506 */     // MIs[0] policy
     /* 1055506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055516 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1055519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055538 */     // GIR_Coverage, 21127,
     /* 1055538 */     GIR_EraseRootFromParent_Done,
     /* 1055539 */   // Label 15579: @1055539
     /* 1055539 */   GIM_Try, /*On fail goto*//*Label 15580*/ GIMT_Encode4(1055616), // Rule ID 21128 //
     /* 1055544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1055547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1055552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1055555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1055558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1055561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1055564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055583 */     // MIs[0] policy
     /* 1055583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055593 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1055596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055602 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055615 */     // GIR_Coverage, 21128,
     /* 1055615 */     GIR_EraseRootFromParent_Done,
     /* 1055616 */   // Label 15580: @1055616
     /* 1055616 */   GIM_Try, /*On fail goto*//*Label 15581*/ GIMT_Encode4(1055693), // Rule ID 21131 //
     /* 1055621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1055624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1055629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1055632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1055635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1055638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1055641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055660 */     // MIs[0] policy
     /* 1055660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055670 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1055673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055679 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055689 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055692 */     // GIR_Coverage, 21131,
     /* 1055692 */     GIR_EraseRootFromParent_Done,
     /* 1055693 */   // Label 15581: @1055693
     /* 1055693 */   GIM_Try, /*On fail goto*//*Label 15582*/ GIMT_Encode4(1055770), // Rule ID 21132 //
     /* 1055698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1055701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1055706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1055709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1055712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1055715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1055718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055737 */     // MIs[0] policy
     /* 1055737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055747 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1055750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055756 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055766 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055769 */     // GIR_Coverage, 21132,
     /* 1055769 */     GIR_EraseRootFromParent_Done,
     /* 1055770 */   // Label 15582: @1055770
     /* 1055770 */   GIM_Try, /*On fail goto*//*Label 15583*/ GIMT_Encode4(1055847), // Rule ID 21135 //
     /* 1055775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1055778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1055783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1055786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1055789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1055792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055814 */     // MIs[0] policy
     /* 1055814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055824 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1055827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055846 */     // GIR_Coverage, 21135,
     /* 1055846 */     GIR_EraseRootFromParent_Done,
     /* 1055847 */   // Label 15583: @1055847
     /* 1055847 */   GIM_Try, /*On fail goto*//*Label 15584*/ GIMT_Encode4(1055924), // Rule ID 21136 //
     /* 1055852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1055855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1055860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1055863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1055866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1055869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055891 */     // MIs[0] policy
     /* 1055891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055901 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1055904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055910 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055923 */     // GIR_Coverage, 21136,
     /* 1055923 */     GIR_EraseRootFromParent_Done,
     /* 1055924 */   // Label 15584: @1055924
     /* 1055924 */   GIM_Try, /*On fail goto*//*Label 15585*/ GIMT_Encode4(1056001), // Rule ID 21139 //
     /* 1055929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1055932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1055937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1055940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1055943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1055946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055968 */     // MIs[0] policy
     /* 1055968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055978 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1055981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055987 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056000 */     // GIR_Coverage, 21139,
     /* 1056000 */     GIR_EraseRootFromParent_Done,
     /* 1056001 */   // Label 15585: @1056001
     /* 1056001 */   GIM_Try, /*On fail goto*//*Label 15586*/ GIMT_Encode4(1056078), // Rule ID 21140 //
     /* 1056006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1056009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1056014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1056017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1056020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1056023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056045 */     // MIs[0] policy
     /* 1056045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056055 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1056058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056064 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056077 */     // GIR_Coverage, 21140,
     /* 1056077 */     GIR_EraseRootFromParent_Done,
     /* 1056078 */   // Label 15586: @1056078
     /* 1056078 */   GIM_Try, /*On fail goto*//*Label 15587*/ GIMT_Encode4(1056155), // Rule ID 21143 //
     /* 1056083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1056091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1056094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1056097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1056100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056122 */     // MIs[0] policy
     /* 1056122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056132 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1056135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056154 */     // GIR_Coverage, 21143,
     /* 1056154 */     GIR_EraseRootFromParent_Done,
     /* 1056155 */   // Label 15587: @1056155
     /* 1056155 */   GIM_Try, /*On fail goto*//*Label 15588*/ GIMT_Encode4(1056232), // Rule ID 21144 //
     /* 1056160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1056168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1056171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1056174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1056177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056199 */     // MIs[0] policy
     /* 1056199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056209 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1056212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056231 */     // GIR_Coverage, 21144,
     /* 1056231 */     GIR_EraseRootFromParent_Done,
     /* 1056232 */   // Label 15588: @1056232
     /* 1056232 */   GIM_Try, /*On fail goto*//*Label 15589*/ GIMT_Encode4(1056309), // Rule ID 21147 //
     /* 1056237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1056245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1056248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1056251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1056254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056276 */     // MIs[0] policy
     /* 1056276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056286 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1056289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056295 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056308 */     // GIR_Coverage, 21147,
     /* 1056308 */     GIR_EraseRootFromParent_Done,
     /* 1056309 */   // Label 15589: @1056309
     /* 1056309 */   GIM_Try, /*On fail goto*//*Label 15590*/ GIMT_Encode4(1056386), // Rule ID 21148 //
     /* 1056314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1056322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1056325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1056328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1056331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056353 */     // MIs[0] policy
     /* 1056353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056363 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1056366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056372 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056385 */     // GIR_Coverage, 21148,
     /* 1056385 */     GIR_EraseRootFromParent_Done,
     /* 1056386 */   // Label 15590: @1056386
     /* 1056386 */   GIM_Try, /*On fail goto*//*Label 15591*/ GIMT_Encode4(1056463), // Rule ID 21151 //
     /* 1056391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1056399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1056402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1056405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1056408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056430 */     // MIs[0] policy
     /* 1056430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056440 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1056443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056462 */     // GIR_Coverage, 21151,
     /* 1056462 */     GIR_EraseRootFromParent_Done,
     /* 1056463 */   // Label 15591: @1056463
     /* 1056463 */   GIM_Try, /*On fail goto*//*Label 15592*/ GIMT_Encode4(1056540), // Rule ID 21152 //
     /* 1056468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1056476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1056479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1056482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1056485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056507 */     // MIs[0] policy
     /* 1056507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056517 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1056520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056526 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056539 */     // GIR_Coverage, 21152,
     /* 1056539 */     GIR_EraseRootFromParent_Done,
     /* 1056540 */   // Label 15592: @1056540
     /* 1056540 */   GIM_Try, /*On fail goto*//*Label 15593*/ GIMT_Encode4(1056617), // Rule ID 21155 //
     /* 1056545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1056553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1056556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1056559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1056562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056584 */     // MIs[0] policy
     /* 1056584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056594 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1056597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056603 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056616 */     // GIR_Coverage, 21155,
     /* 1056616 */     GIR_EraseRootFromParent_Done,
     /* 1056617 */   // Label 15593: @1056617
     /* 1056617 */   GIM_Try, /*On fail goto*//*Label 15594*/ GIMT_Encode4(1056694), // Rule ID 21156 //
     /* 1056622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1056630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1056633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1056636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1056639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056661 */     // MIs[0] policy
     /* 1056661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056671 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1056674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056680 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056693 */     // GIR_Coverage, 21156,
     /* 1056693 */     GIR_EraseRootFromParent_Done,
     /* 1056694 */   // Label 15594: @1056694
     /* 1056694 */   GIM_Try, /*On fail goto*//*Label 15595*/ GIMT_Encode4(1056771), // Rule ID 21159 //
     /* 1056699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1056707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1056710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1056713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1056716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1056719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056738 */     // MIs[0] policy
     /* 1056738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056748 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1056751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056770 */     // GIR_Coverage, 21159,
     /* 1056770 */     GIR_EraseRootFromParent_Done,
     /* 1056771 */   // Label 15595: @1056771
     /* 1056771 */   GIM_Try, /*On fail goto*//*Label 15596*/ GIMT_Encode4(1056848), // Rule ID 21160 //
     /* 1056776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1056784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1056787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1056790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1056793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1056796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056815 */     // MIs[0] policy
     /* 1056815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056825 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1056828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056834 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056847 */     // GIR_Coverage, 21160,
     /* 1056847 */     GIR_EraseRootFromParent_Done,
     /* 1056848 */   // Label 15596: @1056848
     /* 1056848 */   GIM_Try, /*On fail goto*//*Label 15597*/ GIMT_Encode4(1056925), // Rule ID 21163 //
     /* 1056853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1056856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1056861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1056864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1056867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1056870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056892 */     // MIs[0] policy
     /* 1056892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056902 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1056905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056924 */     // GIR_Coverage, 21163,
     /* 1056924 */     GIR_EraseRootFromParent_Done,
     /* 1056925 */   // Label 15597: @1056925
     /* 1056925 */   GIM_Try, /*On fail goto*//*Label 15598*/ GIMT_Encode4(1057002), // Rule ID 21164 //
     /* 1056930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1056933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1056938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1056941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1056944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1056947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056969 */     // MIs[0] policy
     /* 1056969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056979 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1056982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056988 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057001 */     // GIR_Coverage, 21164,
     /* 1057001 */     GIR_EraseRootFromParent_Done,
     /* 1057002 */   // Label 15598: @1057002
     /* 1057002 */   GIM_Try, /*On fail goto*//*Label 15599*/ GIMT_Encode4(1057079), // Rule ID 21167 //
     /* 1057007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1057010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1057018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1057021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1057024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057046 */     // MIs[0] policy
     /* 1057046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057056 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1057059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057078 */     // GIR_Coverage, 21167,
     /* 1057078 */     GIR_EraseRootFromParent_Done,
     /* 1057079 */   // Label 15599: @1057079
     /* 1057079 */   GIM_Try, /*On fail goto*//*Label 15600*/ GIMT_Encode4(1057156), // Rule ID 21168 //
     /* 1057084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1057087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1057095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1057098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1057101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057123 */     // MIs[0] policy
     /* 1057123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057133 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1057136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057155 */     // GIR_Coverage, 21168,
     /* 1057155 */     GIR_EraseRootFromParent_Done,
     /* 1057156 */   // Label 15600: @1057156
     /* 1057156 */   GIM_Try, /*On fail goto*//*Label 15601*/ GIMT_Encode4(1057233), // Rule ID 21171 //
     /* 1057161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1057164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1057172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1057175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1057178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057200 */     // MIs[0] policy
     /* 1057200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057210 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1057213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057232 */     // GIR_Coverage, 21171,
     /* 1057232 */     GIR_EraseRootFromParent_Done,
     /* 1057233 */   // Label 15601: @1057233
     /* 1057233 */   GIM_Try, /*On fail goto*//*Label 15602*/ GIMT_Encode4(1057310), // Rule ID 21172 //
     /* 1057238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1057241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1057249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1057252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1057255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057277 */     // MIs[0] policy
     /* 1057277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057287 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1057290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057296 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057309 */     // GIR_Coverage, 21172,
     /* 1057309 */     GIR_EraseRootFromParent_Done,
     /* 1057310 */   // Label 15602: @1057310
     /* 1057310 */   GIM_Try, /*On fail goto*//*Label 15603*/ GIMT_Encode4(1057387), // Rule ID 21175 //
     /* 1057315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1057318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1057326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1057329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1057332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057354 */     // MIs[0] policy
     /* 1057354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057364 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1057367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057386 */     // GIR_Coverage, 21175,
     /* 1057386 */     GIR_EraseRootFromParent_Done,
     /* 1057387 */   // Label 15603: @1057387
     /* 1057387 */   GIM_Try, /*On fail goto*//*Label 15604*/ GIMT_Encode4(1057464), // Rule ID 21176 //
     /* 1057392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1057395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1057400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1057403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1057406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1057409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057431 */     // MIs[0] policy
     /* 1057431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057441 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1057444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057463 */     // GIR_Coverage, 21176,
     /* 1057463 */     GIR_EraseRootFromParent_Done,
     /* 1057464 */   // Label 15604: @1057464
     /* 1057464 */   GIM_Try, /*On fail goto*//*Label 15605*/ GIMT_Encode4(1057541), // Rule ID 21179 //
     /* 1057469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1057477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1057480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1057483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1057486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057508 */     // MIs[0] policy
     /* 1057508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057518 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1057521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1057537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057540 */     // GIR_Coverage, 21179,
     /* 1057540 */     GIR_EraseRootFromParent_Done,
     /* 1057541 */   // Label 15605: @1057541
     /* 1057541 */   GIM_Try, /*On fail goto*//*Label 15606*/ GIMT_Encode4(1057618), // Rule ID 21180 //
     /* 1057546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1057554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1057557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1057560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1057563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057585 */     // MIs[0] policy
     /* 1057585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057595 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1057598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057604 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1057614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057617 */     // GIR_Coverage, 21180,
     /* 1057617 */     GIR_EraseRootFromParent_Done,
     /* 1057618 */   // Label 15606: @1057618
     /* 1057618 */   GIM_Try, /*On fail goto*//*Label 15607*/ GIMT_Encode4(1057695), // Rule ID 21183 //
     /* 1057623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1057631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1057634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1057637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1057640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057662 */     // MIs[0] policy
     /* 1057662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057672 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1057675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1057691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057694 */     // GIR_Coverage, 21183,
     /* 1057694 */     GIR_EraseRootFromParent_Done,
     /* 1057695 */   // Label 15607: @1057695
     /* 1057695 */   GIM_Try, /*On fail goto*//*Label 15608*/ GIMT_Encode4(1057772), // Rule ID 21184 //
     /* 1057700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1057708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1057711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1057714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1057717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057739 */     // MIs[0] policy
     /* 1057739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057749 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1057752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057758 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1057768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057771 */     // GIR_Coverage, 21184,
     /* 1057771 */     GIR_EraseRootFromParent_Done,
     /* 1057772 */   // Label 15608: @1057772
     /* 1057772 */   GIM_Try, /*On fail goto*//*Label 15609*/ GIMT_Encode4(1057849), // Rule ID 21187 //
     /* 1057777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1057785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1057788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1057791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1057794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057816 */     // MIs[0] policy
     /* 1057816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057826 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1057829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057835 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1057845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057848 */     // GIR_Coverage, 21187,
     /* 1057848 */     GIR_EraseRootFromParent_Done,
     /* 1057849 */   // Label 15609: @1057849
     /* 1057849 */   GIM_Try, /*On fail goto*//*Label 15610*/ GIMT_Encode4(1057926), // Rule ID 21188 //
     /* 1057854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1057862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1057865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1057868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1057871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057893 */     // MIs[0] policy
     /* 1057893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057903 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1057906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057912 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1057922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057925 */     // GIR_Coverage, 21188,
     /* 1057925 */     GIR_EraseRootFromParent_Done,
     /* 1057926 */   // Label 15610: @1057926
     /* 1057926 */   GIM_Try, /*On fail goto*//*Label 15611*/ GIMT_Encode4(1058003), // Rule ID 21191 //
     /* 1057931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1057939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1057942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1057945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1057948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057970 */     // MIs[0] policy
     /* 1057970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057980 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1057983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1057999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058002 */     // GIR_Coverage, 21191,
     /* 1058002 */     GIR_EraseRootFromParent_Done,
     /* 1058003 */   // Label 15611: @1058003
     /* 1058003 */   GIM_Try, /*On fail goto*//*Label 15612*/ GIMT_Encode4(1058080), // Rule ID 21192 //
     /* 1058008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1058019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1058022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1058025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058047 */     // MIs[0] policy
     /* 1058047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058057 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1058060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058066 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058079 */     // GIR_Coverage, 21192,
     /* 1058079 */     GIR_EraseRootFromParent_Done,
     /* 1058080 */   // Label 15612: @1058080
     /* 1058080 */   GIM_Try, /*On fail goto*//*Label 15613*/ GIMT_Encode4(1058157), // Rule ID 21195 //
     /* 1058085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1058096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1058099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1058102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1058105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058124 */     // MIs[0] policy
     /* 1058124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058134 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1058137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058143 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058156 */     // GIR_Coverage, 21195,
     /* 1058156 */     GIR_EraseRootFromParent_Done,
     /* 1058157 */   // Label 15613: @1058157
     /* 1058157 */   GIM_Try, /*On fail goto*//*Label 15614*/ GIMT_Encode4(1058234), // Rule ID 21196 //
     /* 1058162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1058173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1058176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1058179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1058182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058201 */     // MIs[0] policy
     /* 1058201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058211 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1058214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058233 */     // GIR_Coverage, 21196,
     /* 1058233 */     GIR_EraseRootFromParent_Done,
     /* 1058234 */   // Label 15614: @1058234
     /* 1058234 */   GIM_Try, /*On fail goto*//*Label 15615*/ GIMT_Encode4(1058311), // Rule ID 21199 //
     /* 1058239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1058250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1058253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1058256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1058259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058278 */     // MIs[0] policy
     /* 1058278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058288 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1058291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058310 */     // GIR_Coverage, 21199,
     /* 1058310 */     GIR_EraseRootFromParent_Done,
     /* 1058311 */   // Label 15615: @1058311
     /* 1058311 */   GIM_Try, /*On fail goto*//*Label 15616*/ GIMT_Encode4(1058388), // Rule ID 21200 //
     /* 1058316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1058327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1058330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1058333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1058336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058355 */     // MIs[0] policy
     /* 1058355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058365 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1058368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058374 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058387 */     // GIR_Coverage, 21200,
     /* 1058387 */     GIR_EraseRootFromParent_Done,
     /* 1058388 */   // Label 15616: @1058388
     /* 1058388 */   GIM_Try, /*On fail goto*//*Label 15617*/ GIMT_Encode4(1058465), // Rule ID 21203 //
     /* 1058393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1058396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1058404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1058407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1058410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058432 */     // MIs[0] policy
     /* 1058432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058442 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1058445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058464 */     // GIR_Coverage, 21203,
     /* 1058464 */     GIR_EraseRootFromParent_Done,
     /* 1058465 */   // Label 15617: @1058465
     /* 1058465 */   GIM_Try, /*On fail goto*//*Label 15618*/ GIMT_Encode4(1058542), // Rule ID 21204 //
     /* 1058470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1058473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1058481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1058484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1058487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058509 */     // MIs[0] policy
     /* 1058509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058519 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1058522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058541 */     // GIR_Coverage, 21204,
     /* 1058541 */     GIR_EraseRootFromParent_Done,
     /* 1058542 */   // Label 15618: @1058542
     /* 1058542 */   GIM_Try, /*On fail goto*//*Label 15619*/ GIMT_Encode4(1058619), // Rule ID 21207 //
     /* 1058547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1058550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1058558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1058561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1058564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058586 */     // MIs[0] policy
     /* 1058586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058596 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1058599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058618 */     // GIR_Coverage, 21207,
     /* 1058618 */     GIR_EraseRootFromParent_Done,
     /* 1058619 */   // Label 15619: @1058619
     /* 1058619 */   GIM_Try, /*On fail goto*//*Label 15620*/ GIMT_Encode4(1058696), // Rule ID 21208 //
     /* 1058624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1058627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1058635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1058638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1058641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058663 */     // MIs[0] policy
     /* 1058663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058673 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1058676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058682 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058695 */     // GIR_Coverage, 21208,
     /* 1058695 */     GIR_EraseRootFromParent_Done,
     /* 1058696 */   // Label 15620: @1058696
     /* 1058696 */   GIM_Try, /*On fail goto*//*Label 15621*/ GIMT_Encode4(1058773), // Rule ID 21211 //
     /* 1058701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1058704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1058712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1058715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1058718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058740 */     // MIs[0] policy
     /* 1058740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058750 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1058753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058772 */     // GIR_Coverage, 21211,
     /* 1058772 */     GIR_EraseRootFromParent_Done,
     /* 1058773 */   // Label 15621: @1058773
     /* 1058773 */   GIM_Try, /*On fail goto*//*Label 15622*/ GIMT_Encode4(1058850), // Rule ID 21212 //
     /* 1058778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1058781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1058789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1058792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1058795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058817 */     // MIs[0] policy
     /* 1058817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058827 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1058830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058849 */     // GIR_Coverage, 21212,
     /* 1058849 */     GIR_EraseRootFromParent_Done,
     /* 1058850 */   // Label 15622: @1058850
     /* 1058850 */   GIM_Try, /*On fail goto*//*Label 15623*/ GIMT_Encode4(1058927), // Rule ID 21215 //
     /* 1058855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1058858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1058866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1058869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1058872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058894 */     // MIs[0] policy
     /* 1058894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058904 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1058907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058926 */     // GIR_Coverage, 21215,
     /* 1058926 */     GIR_EraseRootFromParent_Done,
     /* 1058927 */   // Label 15623: @1058927
     /* 1058927 */   GIM_Try, /*On fail goto*//*Label 15624*/ GIMT_Encode4(1059004), // Rule ID 21216 //
     /* 1058932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1058935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1058940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1058943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1058946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1058949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058971 */     // MIs[0] policy
     /* 1058971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058981 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1058984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059003 */     // GIR_Coverage, 21216,
     /* 1059003 */     GIR_EraseRootFromParent_Done,
     /* 1059004 */   // Label 15624: @1059004
     /* 1059004 */   GIM_Try, /*On fail goto*//*Label 15625*/ GIMT_Encode4(1059081), // Rule ID 21219 //
     /* 1059009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1059012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1059020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1059023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1059026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059048 */     // MIs[0] policy
     /* 1059048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059058 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1059061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059080 */     // GIR_Coverage, 21219,
     /* 1059080 */     GIR_EraseRootFromParent_Done,
     /* 1059081 */   // Label 15625: @1059081
     /* 1059081 */   GIM_Try, /*On fail goto*//*Label 15626*/ GIMT_Encode4(1059158), // Rule ID 21220 //
     /* 1059086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1059089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1059097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1059100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1059103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059125 */     // MIs[0] policy
     /* 1059125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059135 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1059138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059144 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059157 */     // GIR_Coverage, 21220,
     /* 1059157 */     GIR_EraseRootFromParent_Done,
     /* 1059158 */   // Label 15626: @1059158
     /* 1059158 */   GIM_Try, /*On fail goto*//*Label 15627*/ GIMT_Encode4(1059235), // Rule ID 21223 //
     /* 1059163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1059166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1059174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1059177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1059180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059202 */     // MIs[0] policy
     /* 1059202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059212 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1059215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059234 */     // GIR_Coverage, 21223,
     /* 1059234 */     GIR_EraseRootFromParent_Done,
     /* 1059235 */   // Label 15627: @1059235
     /* 1059235 */   GIM_Try, /*On fail goto*//*Label 15628*/ GIMT_Encode4(1059312), // Rule ID 21224 //
     /* 1059240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1059243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1059251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1059254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1059257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059279 */     // MIs[0] policy
     /* 1059279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059289 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1059292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059311 */     // GIR_Coverage, 21224,
     /* 1059311 */     GIR_EraseRootFromParent_Done,
     /* 1059312 */   // Label 15628: @1059312
     /* 1059312 */   GIM_Try, /*On fail goto*//*Label 15629*/ GIMT_Encode4(1059389), // Rule ID 21227 //
     /* 1059317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1059320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1059328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1059331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1059334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059356 */     // MIs[0] policy
     /* 1059356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059366 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1059369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059375 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059388 */     // GIR_Coverage, 21227,
     /* 1059388 */     GIR_EraseRootFromParent_Done,
     /* 1059389 */   // Label 15629: @1059389
     /* 1059389 */   GIM_Try, /*On fail goto*//*Label 15630*/ GIMT_Encode4(1059466), // Rule ID 21228 //
     /* 1059394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1059397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1059405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1059408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1059411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059433 */     // MIs[0] policy
     /* 1059433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059443 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1059446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059452 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059465 */     // GIR_Coverage, 21228,
     /* 1059465 */     GIR_EraseRootFromParent_Done,
     /* 1059466 */   // Label 15630: @1059466
     /* 1059466 */   GIM_Try, /*On fail goto*//*Label 15631*/ GIMT_Encode4(1059543), // Rule ID 21231 //
     /* 1059471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1059474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1059482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1059485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1059488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059510 */     // MIs[0] policy
     /* 1059510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059520 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1059523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059542 */     // GIR_Coverage, 21231,
     /* 1059542 */     GIR_EraseRootFromParent_Done,
     /* 1059543 */   // Label 15631: @1059543
     /* 1059543 */   GIM_Try, /*On fail goto*//*Label 15632*/ GIMT_Encode4(1059620), // Rule ID 21232 //
     /* 1059548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1059551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1059559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1059562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1059565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059587 */     // MIs[0] policy
     /* 1059587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059597 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1059600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059606 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059619 */     // GIR_Coverage, 21232,
     /* 1059619 */     GIR_EraseRootFromParent_Done,
     /* 1059620 */   // Label 15632: @1059620
     /* 1059620 */   GIM_Try, /*On fail goto*//*Label 15633*/ GIMT_Encode4(1059697), // Rule ID 21235 //
     /* 1059625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1059628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1059636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1059639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1059642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059664 */     // MIs[0] policy
     /* 1059664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059674 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1059677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059696 */     // GIR_Coverage, 21235,
     /* 1059696 */     GIR_EraseRootFromParent_Done,
     /* 1059697 */   // Label 15633: @1059697
     /* 1059697 */   GIM_Try, /*On fail goto*//*Label 15634*/ GIMT_Encode4(1059774), // Rule ID 21236 //
     /* 1059702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1059705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1059710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1059713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1059716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1059719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1059729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059741 */     // MIs[0] policy
     /* 1059741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059751 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1059754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059760 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059773 */     // GIR_Coverage, 21236,
     /* 1059773 */     GIR_EraseRootFromParent_Done,
     /* 1059774 */   // Label 15634: @1059774
     /* 1059774 */   GIM_Try, /*On fail goto*//*Label 15635*/ GIMT_Encode4(1059851), // Rule ID 21239 //
     /* 1059779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1059787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1059790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1059793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1059796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059818 */     // MIs[0] policy
     /* 1059818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059828 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1059831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059850 */     // GIR_Coverage, 21239,
     /* 1059850 */     GIR_EraseRootFromParent_Done,
     /* 1059851 */   // Label 15635: @1059851
     /* 1059851 */   GIM_Try, /*On fail goto*//*Label 15636*/ GIMT_Encode4(1059928), // Rule ID 21240 //
     /* 1059856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1059864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1059867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1059870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1059873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059895 */     // MIs[0] policy
     /* 1059895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059905 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1059908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059927 */     // GIR_Coverage, 21240,
     /* 1059927 */     GIR_EraseRootFromParent_Done,
     /* 1059928 */   // Label 15636: @1059928
     /* 1059928 */   GIM_Try, /*On fail goto*//*Label 15637*/ GIMT_Encode4(1060005), // Rule ID 21243 //
     /* 1059933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1059941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1059944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1059947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1059950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059972 */     // MIs[0] policy
     /* 1059972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059982 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1059985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059991 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060004 */     // GIR_Coverage, 21243,
     /* 1060004 */     GIR_EraseRootFromParent_Done,
     /* 1060005 */   // Label 15637: @1060005
     /* 1060005 */   GIM_Try, /*On fail goto*//*Label 15638*/ GIMT_Encode4(1060082), // Rule ID 21244 //
     /* 1060010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1060013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1060018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1060021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1060024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1060027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060049 */     // MIs[0] policy
     /* 1060049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060059 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1060062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060081 */     // GIR_Coverage, 21244,
     /* 1060081 */     GIR_EraseRootFromParent_Done,
     /* 1060082 */   // Label 15638: @1060082
     /* 1060082 */   GIM_Try, /*On fail goto*//*Label 15639*/ GIMT_Encode4(1060159), // Rule ID 21247 //
     /* 1060087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1060090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1060095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1060098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1060101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1060104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060126 */     // MIs[0] policy
     /* 1060126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060136 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1060139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060158 */     // GIR_Coverage, 21247,
     /* 1060158 */     GIR_EraseRootFromParent_Done,
     /* 1060159 */   // Label 15639: @1060159
     /* 1060159 */   GIM_Try, /*On fail goto*//*Label 15640*/ GIMT_Encode4(1060236), // Rule ID 21248 //
     /* 1060164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1060167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1060172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1060175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1060178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1060181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060203 */     // MIs[0] policy
     /* 1060203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060213 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1060216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060235 */     // GIR_Coverage, 21248,
     /* 1060235 */     GIR_EraseRootFromParent_Done,
     /* 1060236 */   // Label 15640: @1060236
     /* 1060236 */   GIM_Try, /*On fail goto*//*Label 15641*/ GIMT_Encode4(1060313), // Rule ID 21251 //
     /* 1060241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1060244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1060249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1060252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1060255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1060258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060280 */     // MIs[0] policy
     /* 1060280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060290 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1060293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060312 */     // GIR_Coverage, 21251,
     /* 1060312 */     GIR_EraseRootFromParent_Done,
     /* 1060313 */   // Label 15641: @1060313
     /* 1060313 */   GIM_Try, /*On fail goto*//*Label 15642*/ GIMT_Encode4(1060390), // Rule ID 21252 //
     /* 1060318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1060321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1060326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1060329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1060332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1060335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060357 */     // MIs[0] policy
     /* 1060357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060367 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1060370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060376 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060389 */     // GIR_Coverage, 21252,
     /* 1060389 */     GIR_EraseRootFromParent_Done,
     /* 1060390 */   // Label 15642: @1060390
     /* 1060390 */   GIM_Try, /*On fail goto*//*Label 15643*/ GIMT_Encode4(1060467), // Rule ID 21255 //
     /* 1060395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1060398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1060403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1060406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1060409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1060412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1060415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060434 */     // MIs[0] policy
     /* 1060434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060444 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1060447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060466 */     // GIR_Coverage, 21255,
     /* 1060466 */     GIR_EraseRootFromParent_Done,
     /* 1060467 */   // Label 15643: @1060467
     /* 1060467 */   GIM_Try, /*On fail goto*//*Label 15644*/ GIMT_Encode4(1060544), // Rule ID 21256 //
     /* 1060472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1060475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1060480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1060483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1060486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1060489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1060492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060511 */     // MIs[0] policy
     /* 1060511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060521 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1060524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060530 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060543 */     // GIR_Coverage, 21256,
     /* 1060543 */     GIR_EraseRootFromParent_Done,
     /* 1060544 */   // Label 15644: @1060544
     /* 1060544 */   GIM_Try, /*On fail goto*//*Label 15645*/ GIMT_Encode4(1060621), // Rule ID 21259 //
     /* 1060549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1060552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1060557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1060560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1060563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1060566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1060569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060588 */     // MIs[0] policy
     /* 1060588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060598 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1060601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060607 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060620 */     // GIR_Coverage, 21259,
     /* 1060620 */     GIR_EraseRootFromParent_Done,
     /* 1060621 */   // Label 15645: @1060621
     /* 1060621 */   GIM_Try, /*On fail goto*//*Label 15646*/ GIMT_Encode4(1060698), // Rule ID 21260 //
     /* 1060626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1060629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1060634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1060637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1060640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1060643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1060646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060665 */     // MIs[0] policy
     /* 1060665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060675 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1060678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060684 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060697 */     // GIR_Coverage, 21260,
     /* 1060697 */     GIR_EraseRootFromParent_Done,
     /* 1060698 */   // Label 15646: @1060698
     /* 1060698 */   GIM_Try, /*On fail goto*//*Label 15647*/ GIMT_Encode4(1060775), // Rule ID 21263 //
     /* 1060703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1060711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1060714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1060717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1060720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060742 */     // MIs[0] policy
     /* 1060742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060752 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1060755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060774 */     // GIR_Coverage, 21263,
     /* 1060774 */     GIR_EraseRootFromParent_Done,
     /* 1060775 */   // Label 15647: @1060775
     /* 1060775 */   GIM_Try, /*On fail goto*//*Label 15648*/ GIMT_Encode4(1060852), // Rule ID 21264 //
     /* 1060780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1060788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1060791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1060794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1060797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060819 */     // MIs[0] policy
     /* 1060819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060829 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1060832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060838 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060851 */     // GIR_Coverage, 21264,
     /* 1060851 */     GIR_EraseRootFromParent_Done,
     /* 1060852 */   // Label 15648: @1060852
     /* 1060852 */   GIM_Try, /*On fail goto*//*Label 15649*/ GIMT_Encode4(1060929), // Rule ID 21267 //
     /* 1060857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1060865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1060868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1060871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1060874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060896 */     // MIs[0] policy
     /* 1060896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060906 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1060909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060928 */     // GIR_Coverage, 21267,
     /* 1060928 */     GIR_EraseRootFromParent_Done,
     /* 1060929 */   // Label 15649: @1060929
     /* 1060929 */   GIM_Try, /*On fail goto*//*Label 15650*/ GIMT_Encode4(1061006), // Rule ID 21268 //
     /* 1060934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1060942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1060945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1060948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1060951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060973 */     // MIs[0] policy
     /* 1060973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060983 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1060986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060992 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061005 */     // GIR_Coverage, 21268,
     /* 1061005 */     GIR_EraseRootFromParent_Done,
     /* 1061006 */   // Label 15650: @1061006
     /* 1061006 */   GIM_Try, /*On fail goto*//*Label 15651*/ GIMT_Encode4(1061083), // Rule ID 21271 //
     /* 1061011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1061014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1061022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1061025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1061028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061050 */     // MIs[0] policy
     /* 1061050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061060 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1061063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061082 */     // GIR_Coverage, 21271,
     /* 1061082 */     GIR_EraseRootFromParent_Done,
     /* 1061083 */   // Label 15651: @1061083
     /* 1061083 */   GIM_Try, /*On fail goto*//*Label 15652*/ GIMT_Encode4(1061160), // Rule ID 21272 //
     /* 1061088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1061091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1061099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1061102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1061105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061127 */     // MIs[0] policy
     /* 1061127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061137 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1061140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061146 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061159 */     // GIR_Coverage, 21272,
     /* 1061159 */     GIR_EraseRootFromParent_Done,
     /* 1061160 */   // Label 15652: @1061160
     /* 1061160 */   GIM_Try, /*On fail goto*//*Label 15653*/ GIMT_Encode4(1061237), // Rule ID 21275 //
     /* 1061165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1061168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1061176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1061179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1061182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061204 */     // MIs[0] policy
     /* 1061204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061214 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1061217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061223 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061236 */     // GIR_Coverage, 21275,
     /* 1061236 */     GIR_EraseRootFromParent_Done,
     /* 1061237 */   // Label 15653: @1061237
     /* 1061237 */   GIM_Try, /*On fail goto*//*Label 15654*/ GIMT_Encode4(1061314), // Rule ID 21276 //
     /* 1061242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1061245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1061253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1061256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1061259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061281 */     // MIs[0] policy
     /* 1061281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061291 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1061294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061313 */     // GIR_Coverage, 21276,
     /* 1061313 */     GIR_EraseRootFromParent_Done,
     /* 1061314 */   // Label 15654: @1061314
     /* 1061314 */   GIM_Try, /*On fail goto*//*Label 15655*/ GIMT_Encode4(1061391), // Rule ID 21279 //
     /* 1061319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1061322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1061330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1061333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1061336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1061339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061358 */     // MIs[0] policy
     /* 1061358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061368 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1061371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061390 */     // GIR_Coverage, 21279,
     /* 1061390 */     GIR_EraseRootFromParent_Done,
     /* 1061391 */   // Label 15655: @1061391
     /* 1061391 */   GIM_Try, /*On fail goto*//*Label 15656*/ GIMT_Encode4(1061468), // Rule ID 21280 //
     /* 1061396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1061399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1061407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1061410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1061413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1061416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061435 */     // MIs[0] policy
     /* 1061435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061445 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1061448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061454 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061467 */     // GIR_Coverage, 21280,
     /* 1061467 */     GIR_EraseRootFromParent_Done,
     /* 1061468 */   // Label 15656: @1061468
     /* 1061468 */   GIM_Try, /*On fail goto*//*Label 15657*/ GIMT_Encode4(1061545), // Rule ID 21283 //
     /* 1061473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1061476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1061484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1061487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1061490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061512 */     // MIs[0] policy
     /* 1061512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061522 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1061525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061544 */     // GIR_Coverage, 21283,
     /* 1061544 */     GIR_EraseRootFromParent_Done,
     /* 1061545 */   // Label 15657: @1061545
     /* 1061545 */   GIM_Try, /*On fail goto*//*Label 15658*/ GIMT_Encode4(1061622), // Rule ID 21284 //
     /* 1061550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1061553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1061561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1061564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1061567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061589 */     // MIs[0] policy
     /* 1061589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061599 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1061602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061608 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061621 */     // GIR_Coverage, 21284,
     /* 1061621 */     GIR_EraseRootFromParent_Done,
     /* 1061622 */   // Label 15658: @1061622
     /* 1061622 */   GIM_Try, /*On fail goto*//*Label 15659*/ GIMT_Encode4(1061699), // Rule ID 21287 //
     /* 1061627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1061630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1061638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1061641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1061644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061666 */     // MIs[0] policy
     /* 1061666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061676 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1061679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061698 */     // GIR_Coverage, 21287,
     /* 1061698 */     GIR_EraseRootFromParent_Done,
     /* 1061699 */   // Label 15659: @1061699
     /* 1061699 */   GIM_Try, /*On fail goto*//*Label 15660*/ GIMT_Encode4(1061776), // Rule ID 21288 //
     /* 1061704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1061707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1061715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1061718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1061721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061743 */     // MIs[0] policy
     /* 1061743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061753 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1061756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061762 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061775 */     // GIR_Coverage, 21288,
     /* 1061775 */     GIR_EraseRootFromParent_Done,
     /* 1061776 */   // Label 15660: @1061776
     /* 1061776 */   GIM_Try, /*On fail goto*//*Label 15661*/ GIMT_Encode4(1061853), // Rule ID 21291 //
     /* 1061781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1061784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1061792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1061795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1061798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061820 */     // MIs[0] policy
     /* 1061820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061830 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1061833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061839 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061852 */     // GIR_Coverage, 21291,
     /* 1061852 */     GIR_EraseRootFromParent_Done,
     /* 1061853 */   // Label 15661: @1061853
     /* 1061853 */   GIM_Try, /*On fail goto*//*Label 15662*/ GIMT_Encode4(1061930), // Rule ID 21292 //
     /* 1061858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1061861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1061869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1061872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1061875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061897 */     // MIs[0] policy
     /* 1061897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061907 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1061910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061916 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061929 */     // GIR_Coverage, 21292,
     /* 1061929 */     GIR_EraseRootFromParent_Done,
     /* 1061930 */   // Label 15662: @1061930
     /* 1061930 */   GIM_Try, /*On fail goto*//*Label 15663*/ GIMT_Encode4(1062007), // Rule ID 21295 //
     /* 1061935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1061938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1061943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1061946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1061949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1061952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061974 */     // MIs[0] policy
     /* 1061974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061984 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1061987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062006 */     // GIR_Coverage, 21295,
     /* 1062006 */     GIR_EraseRootFromParent_Done,
     /* 1062007 */   // Label 15663: @1062007
     /* 1062007 */   GIM_Try, /*On fail goto*//*Label 15664*/ GIMT_Encode4(1062084), // Rule ID 21296 //
     /* 1062012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1062015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1062020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1062023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1062026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1062029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062051 */     // MIs[0] policy
     /* 1062051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062061 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1062064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062070 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062083 */     // GIR_Coverage, 21296,
     /* 1062083 */     GIR_EraseRootFromParent_Done,
     /* 1062084 */   // Label 15664: @1062084
     /* 1062084 */   GIM_Try, /*On fail goto*//*Label 15665*/ GIMT_Encode4(1062161), // Rule ID 21299 //
     /* 1062089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1062092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1062097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1062100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1062103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1062106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062128 */     // MIs[0] policy
     /* 1062128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062138 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1062141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062147 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062160 */     // GIR_Coverage, 21299,
     /* 1062160 */     GIR_EraseRootFromParent_Done,
     /* 1062161 */   // Label 15665: @1062161
     /* 1062161 */   GIM_Try, /*On fail goto*//*Label 15666*/ GIMT_Encode4(1062238), // Rule ID 21300 //
     /* 1062166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1062169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1062174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1062177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1062180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1062183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062205 */     // MIs[0] policy
     /* 1062205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062215 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1062218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062224 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062237 */     // GIR_Coverage, 21300,
     /* 1062237 */     GIR_EraseRootFromParent_Done,
     /* 1062238 */   // Label 15666: @1062238
     /* 1062238 */   GIM_Try, /*On fail goto*//*Label 15667*/ GIMT_Encode4(1062315), // Rule ID 21303 //
     /* 1062243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1062246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1062251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1062254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1062257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1062260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062282 */     // MIs[0] policy
     /* 1062282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062292 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1062295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062314 */     // GIR_Coverage, 21303,
     /* 1062314 */     GIR_EraseRootFromParent_Done,
     /* 1062315 */   // Label 15667: @1062315
     /* 1062315 */   GIM_Try, /*On fail goto*//*Label 15668*/ GIMT_Encode4(1062392), // Rule ID 21304 //
     /* 1062320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1062323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1062328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1062331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1062334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1062337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062359 */     // MIs[0] policy
     /* 1062359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062369 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1062372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062391 */     // GIR_Coverage, 21304,
     /* 1062391 */     GIR_EraseRootFromParent_Done,
     /* 1062392 */   // Label 15668: @1062392
     /* 1062392 */   GIM_Try, /*On fail goto*//*Label 15669*/ GIMT_Encode4(1062469), // Rule ID 21307 //
     /* 1062397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1062400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1062405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1062408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1062411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1062414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062436 */     // MIs[0] policy
     /* 1062436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062446 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1062449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062455 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062468 */     // GIR_Coverage, 21307,
     /* 1062468 */     GIR_EraseRootFromParent_Done,
     /* 1062469 */   // Label 15669: @1062469
     /* 1062469 */   GIM_Try, /*On fail goto*//*Label 15670*/ GIMT_Encode4(1062546), // Rule ID 21308 //
     /* 1062474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1062477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1062482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1062485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1062488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1062491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062513 */     // MIs[0] policy
     /* 1062513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062523 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1062526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062545 */     // GIR_Coverage, 21308,
     /* 1062545 */     GIR_EraseRootFromParent_Done,
     /* 1062546 */   // Label 15670: @1062546
     /* 1062546 */   GIM_Try, /*On fail goto*//*Label 15671*/ GIMT_Encode4(1062623), // Rule ID 21311 //
     /* 1062551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1062554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1062559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1062562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1062565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1062568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062590 */     // MIs[0] policy
     /* 1062590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062600 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1062603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062622 */     // GIR_Coverage, 21311,
     /* 1062622 */     GIR_EraseRootFromParent_Done,
     /* 1062623 */   // Label 15671: @1062623
     /* 1062623 */   GIM_Try, /*On fail goto*//*Label 15672*/ GIMT_Encode4(1062700), // Rule ID 21312 //
     /* 1062628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1062631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1062636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1062639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1062642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1062645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062667 */     // MIs[0] policy
     /* 1062667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062677 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1062680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062699 */     // GIR_Coverage, 21312,
     /* 1062699 */     GIR_EraseRootFromParent_Done,
     /* 1062700 */   // Label 15672: @1062700
     /* 1062700 */   GIM_Try, /*On fail goto*//*Label 15673*/ GIMT_Encode4(1062777), // Rule ID 21315 //
     /* 1062705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1062708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1062713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1062716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1062719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1062722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062744 */     // MIs[0] policy
     /* 1062744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062754 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1062757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062776 */     // GIR_Coverage, 21315,
     /* 1062776 */     GIR_EraseRootFromParent_Done,
     /* 1062777 */   // Label 15673: @1062777
     /* 1062777 */   GIM_Try, /*On fail goto*//*Label 15674*/ GIMT_Encode4(1062854), // Rule ID 21316 //
     /* 1062782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1062785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1062790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1062793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1062796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1062799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062821 */     // MIs[0] policy
     /* 1062821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062831 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1062834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062853 */     // GIR_Coverage, 21316,
     /* 1062853 */     GIR_EraseRootFromParent_Done,
     /* 1062854 */   // Label 15674: @1062854
     /* 1062854 */   GIM_Try, /*On fail goto*//*Label 15675*/ GIMT_Encode4(1062931), // Rule ID 21319 //
     /* 1062859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1062862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1062867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1062870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1062873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1062876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062898 */     // MIs[0] policy
     /* 1062898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062908 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1062911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062930 */     // GIR_Coverage, 21319,
     /* 1062930 */     GIR_EraseRootFromParent_Done,
     /* 1062931 */   // Label 15675: @1062931
     /* 1062931 */   GIM_Try, /*On fail goto*//*Label 15676*/ GIMT_Encode4(1063008), // Rule ID 21320 //
     /* 1062936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1062939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1062944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1062947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1062950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1062953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062975 */     // MIs[0] policy
     /* 1062975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062985 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1062988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062994 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063007 */     // GIR_Coverage, 21320,
     /* 1063007 */     GIR_EraseRootFromParent_Done,
     /* 1063008 */   // Label 15676: @1063008
     /* 1063008 */   GIM_Try, /*On fail goto*//*Label 15677*/ GIMT_Encode4(1063085), // Rule ID 21323 //
     /* 1063013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1063016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1063024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1063027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1063030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063052 */     // MIs[0] policy
     /* 1063052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063062 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1063065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063071 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063084 */     // GIR_Coverage, 21323,
     /* 1063084 */     GIR_EraseRootFromParent_Done,
     /* 1063085 */   // Label 15677: @1063085
     /* 1063085 */   GIM_Try, /*On fail goto*//*Label 15678*/ GIMT_Encode4(1063162), // Rule ID 21324 //
     /* 1063090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1063093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1063101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1063104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1063107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063129 */     // MIs[0] policy
     /* 1063129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063139 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1063142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063161 */     // GIR_Coverage, 21324,
     /* 1063161 */     GIR_EraseRootFromParent_Done,
     /* 1063162 */   // Label 15678: @1063162
     /* 1063162 */   GIM_Try, /*On fail goto*//*Label 15679*/ GIMT_Encode4(1063239), // Rule ID 21327 //
     /* 1063167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1063170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1063178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1063181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1063184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063206 */     // MIs[0] policy
     /* 1063206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063216 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1063219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063238 */     // GIR_Coverage, 21327,
     /* 1063238 */     GIR_EraseRootFromParent_Done,
     /* 1063239 */   // Label 15679: @1063239
     /* 1063239 */   GIM_Try, /*On fail goto*//*Label 15680*/ GIMT_Encode4(1063316), // Rule ID 21328 //
     /* 1063244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1063247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1063255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1063258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1063261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063283 */     // MIs[0] policy
     /* 1063283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063293 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1063296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063302 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063315 */     // GIR_Coverage, 21328,
     /* 1063315 */     GIR_EraseRootFromParent_Done,
     /* 1063316 */   // Label 15680: @1063316
     /* 1063316 */   GIM_Try, /*On fail goto*//*Label 15681*/ GIMT_Encode4(1063393), // Rule ID 21331 //
     /* 1063321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1063324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1063332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1063335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063360 */     // MIs[0] policy
     /* 1063360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063370 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1063373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063379 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063392 */     // GIR_Coverage, 21331,
     /* 1063392 */     GIR_EraseRootFromParent_Done,
     /* 1063393 */   // Label 15681: @1063393
     /* 1063393 */   GIM_Try, /*On fail goto*//*Label 15682*/ GIMT_Encode4(1063470), // Rule ID 21332 //
     /* 1063398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1063401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1063406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1063409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1063412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063437 */     // MIs[0] policy
     /* 1063437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063447 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1063450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063456 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063469 */     // GIR_Coverage, 21332,
     /* 1063469 */     GIR_EraseRootFromParent_Done,
     /* 1063470 */   // Label 15682: @1063470
     /* 1063470 */   GIM_Try, /*On fail goto*//*Label 15683*/ GIMT_Encode4(1063547), // Rule ID 21575 //
     /* 1063475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1063478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1063483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1063486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1063489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1063492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063514 */     // MIs[0] policy
     /* 1063514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063524 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1063527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063546 */     // GIR_Coverage, 21575,
     /* 1063546 */     GIR_EraseRootFromParent_Done,
     /* 1063547 */   // Label 15683: @1063547
     /* 1063547 */   GIM_Try, /*On fail goto*//*Label 15684*/ GIMT_Encode4(1063624), // Rule ID 21576 //
     /* 1063552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1063555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1063560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1063563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1063566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1063569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063591 */     // MIs[0] policy
     /* 1063591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063601 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1063604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063610 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063623 */     // GIR_Coverage, 21576,
     /* 1063623 */     GIR_EraseRootFromParent_Done,
     /* 1063624 */   // Label 15684: @1063624
     /* 1063624 */   GIM_Try, /*On fail goto*//*Label 15685*/ GIMT_Encode4(1063701), // Rule ID 21579 //
     /* 1063629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1063632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1063637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1063640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1063643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1063646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063668 */     // MIs[0] policy
     /* 1063668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063678 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1063681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063687 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063700 */     // GIR_Coverage, 21579,
     /* 1063700 */     GIR_EraseRootFromParent_Done,
     /* 1063701 */   // Label 15685: @1063701
     /* 1063701 */   GIM_Try, /*On fail goto*//*Label 15686*/ GIMT_Encode4(1063778), // Rule ID 21580 //
     /* 1063706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1063709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1063714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1063717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1063720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1063723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063745 */     // MIs[0] policy
     /* 1063745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063755 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1063758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063764 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063777 */     // GIR_Coverage, 21580,
     /* 1063777 */     GIR_EraseRootFromParent_Done,
     /* 1063778 */   // Label 15686: @1063778
     /* 1063778 */   GIM_Try, /*On fail goto*//*Label 15687*/ GIMT_Encode4(1063855), // Rule ID 21583 //
     /* 1063783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1063786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1063791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1063794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1063797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1063800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063822 */     // MIs[0] policy
     /* 1063822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063832 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1063835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063854 */     // GIR_Coverage, 21583,
     /* 1063854 */     GIR_EraseRootFromParent_Done,
     /* 1063855 */   // Label 15687: @1063855
     /* 1063855 */   GIM_Try, /*On fail goto*//*Label 15688*/ GIMT_Encode4(1063932), // Rule ID 21584 //
     /* 1063860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1063863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1063868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1063871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1063874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1063877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063899 */     // MIs[0] policy
     /* 1063899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063909 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1063912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063931 */     // GIR_Coverage, 21584,
     /* 1063931 */     GIR_EraseRootFromParent_Done,
     /* 1063932 */   // Label 15688: @1063932
     /* 1063932 */   GIM_Try, /*On fail goto*//*Label 15689*/ GIMT_Encode4(1064009), // Rule ID 21587 //
     /* 1063937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1063940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1063945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1063948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1063951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1063954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063976 */     // MIs[0] policy
     /* 1063976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063986 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1063989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063995 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064008 */     // GIR_Coverage, 21587,
     /* 1064008 */     GIR_EraseRootFromParent_Done,
     /* 1064009 */   // Label 15689: @1064009
     /* 1064009 */   GIM_Try, /*On fail goto*//*Label 15690*/ GIMT_Encode4(1064086), // Rule ID 21588 //
     /* 1064014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1064017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1064025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1064028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1064031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064053 */     // MIs[0] policy
     /* 1064053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064063 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1064066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064072 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064085 */     // GIR_Coverage, 21588,
     /* 1064085 */     GIR_EraseRootFromParent_Done,
     /* 1064086 */   // Label 15690: @1064086
     /* 1064086 */   GIM_Try, /*On fail goto*//*Label 15691*/ GIMT_Encode4(1064163), // Rule ID 21591 //
     /* 1064091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1064094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1064102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1064105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1064108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1064111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064130 */     // MIs[0] policy
     /* 1064130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064140 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1064143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064162 */     // GIR_Coverage, 21591,
     /* 1064162 */     GIR_EraseRootFromParent_Done,
     /* 1064163 */   // Label 15691: @1064163
     /* 1064163 */   GIM_Try, /*On fail goto*//*Label 15692*/ GIMT_Encode4(1064240), // Rule ID 21592 //
     /* 1064168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1064171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1064179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1064182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1064185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1064188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064207 */     // MIs[0] policy
     /* 1064207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064217 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1064220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064226 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064239 */     // GIR_Coverage, 21592,
     /* 1064239 */     GIR_EraseRootFromParent_Done,
     /* 1064240 */   // Label 15692: @1064240
     /* 1064240 */   GIM_Try, /*On fail goto*//*Label 15693*/ GIMT_Encode4(1064317), // Rule ID 21595 //
     /* 1064245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1064248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1064256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1064259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1064262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1064265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064284 */     // MIs[0] policy
     /* 1064284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064294 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1064297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064303 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064316 */     // GIR_Coverage, 21595,
     /* 1064316 */     GIR_EraseRootFromParent_Done,
     /* 1064317 */   // Label 15693: @1064317
     /* 1064317 */   GIM_Try, /*On fail goto*//*Label 15694*/ GIMT_Encode4(1064394), // Rule ID 21596 //
     /* 1064322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1064325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1064333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1064336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1064339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1064342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064361 */     // MIs[0] policy
     /* 1064361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064371 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1064374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064393 */     // GIR_Coverage, 21596,
     /* 1064393 */     GIR_EraseRootFromParent_Done,
     /* 1064394 */   // Label 15694: @1064394
     /* 1064394 */   GIM_Try, /*On fail goto*//*Label 15695*/ GIMT_Encode4(1064471), // Rule ID 21599 //
     /* 1064399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1064402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1064410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1064413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1064416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064438 */     // MIs[0] policy
     /* 1064438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064448 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1064451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064470 */     // GIR_Coverage, 21599,
     /* 1064470 */     GIR_EraseRootFromParent_Done,
     /* 1064471 */   // Label 15695: @1064471
     /* 1064471 */   GIM_Try, /*On fail goto*//*Label 15696*/ GIMT_Encode4(1064548), // Rule ID 21600 //
     /* 1064476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1064479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1064487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1064490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1064493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064515 */     // MIs[0] policy
     /* 1064515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064525 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1064528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064534 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064547 */     // GIR_Coverage, 21600,
     /* 1064547 */     GIR_EraseRootFromParent_Done,
     /* 1064548 */   // Label 15696: @1064548
     /* 1064548 */   GIM_Try, /*On fail goto*//*Label 15697*/ GIMT_Encode4(1064625), // Rule ID 21603 //
     /* 1064553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1064556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1064564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1064567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1064570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064592 */     // MIs[0] policy
     /* 1064592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064602 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1064605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064624 */     // GIR_Coverage, 21603,
     /* 1064624 */     GIR_EraseRootFromParent_Done,
     /* 1064625 */   // Label 15697: @1064625
     /* 1064625 */   GIM_Try, /*On fail goto*//*Label 15698*/ GIMT_Encode4(1064702), // Rule ID 21604 //
     /* 1064630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1064633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1064641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1064644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1064647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064669 */     // MIs[0] policy
     /* 1064669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064679 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1064682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064688 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064701 */     // GIR_Coverage, 21604,
     /* 1064701 */     GIR_EraseRootFromParent_Done,
     /* 1064702 */   // Label 15698: @1064702
     /* 1064702 */   GIM_Try, /*On fail goto*//*Label 15699*/ GIMT_Encode4(1064779), // Rule ID 21607 //
     /* 1064707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1064710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1064718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1064721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1064724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064746 */     // MIs[0] policy
     /* 1064746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064756 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1064759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064778 */     // GIR_Coverage, 21607,
     /* 1064778 */     GIR_EraseRootFromParent_Done,
     /* 1064779 */   // Label 15699: @1064779
     /* 1064779 */   GIM_Try, /*On fail goto*//*Label 15700*/ GIMT_Encode4(1064856), // Rule ID 21608 //
     /* 1064784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1064787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1064795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1064798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1064801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064823 */     // MIs[0] policy
     /* 1064823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064833 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1064836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064855 */     // GIR_Coverage, 21608,
     /* 1064855 */     GIR_EraseRootFromParent_Done,
     /* 1064856 */   // Label 15700: @1064856
     /* 1064856 */   GIM_Try, /*On fail goto*//*Label 15701*/ GIMT_Encode4(1064933), // Rule ID 21611 //
     /* 1064861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1064864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1064872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1064875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1064878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064900 */     // MIs[0] policy
     /* 1064900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064910 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1064913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064932 */     // GIR_Coverage, 21611,
     /* 1064932 */     GIR_EraseRootFromParent_Done,
     /* 1064933 */   // Label 15701: @1064933
     /* 1064933 */   GIM_Try, /*On fail goto*//*Label 15702*/ GIMT_Encode4(1065010), // Rule ID 21612 //
     /* 1064938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1064941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1064946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1064949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1064952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1064955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064977 */     // MIs[0] policy
     /* 1064977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064987 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1064990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065009 */     // GIR_Coverage, 21612,
     /* 1065009 */     GIR_EraseRootFromParent_Done,
     /* 1065010 */   // Label 15702: @1065010
     /* 1065010 */   GIM_Try, /*On fail goto*//*Label 15703*/ GIMT_Encode4(1065087), // Rule ID 21615 //
     /* 1065015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1065018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1065026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1065029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1065032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1065035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065054 */     // MIs[0] policy
     /* 1065054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065064 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1065067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065086 */     // GIR_Coverage, 21615,
     /* 1065086 */     GIR_EraseRootFromParent_Done,
     /* 1065087 */   // Label 15703: @1065087
     /* 1065087 */   GIM_Try, /*On fail goto*//*Label 15704*/ GIMT_Encode4(1065164), // Rule ID 21616 //
     /* 1065092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1065095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1065103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1065106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1065109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1065112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065131 */     // MIs[0] policy
     /* 1065131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065141 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1065144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065150 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065163 */     // GIR_Coverage, 21616,
     /* 1065163 */     GIR_EraseRootFromParent_Done,
     /* 1065164 */   // Label 15704: @1065164
     /* 1065164 */   GIM_Try, /*On fail goto*//*Label 15705*/ GIMT_Encode4(1065241), // Rule ID 21619 //
     /* 1065169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1065172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1065180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1065183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1065186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065208 */     // MIs[0] policy
     /* 1065208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065218 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1065221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065240 */     // GIR_Coverage, 21619,
     /* 1065240 */     GIR_EraseRootFromParent_Done,
     /* 1065241 */   // Label 15705: @1065241
     /* 1065241 */   GIM_Try, /*On fail goto*//*Label 15706*/ GIMT_Encode4(1065318), // Rule ID 21620 //
     /* 1065246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1065249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1065257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1065260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1065263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065285 */     // MIs[0] policy
     /* 1065285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065295 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1065298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065304 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065317 */     // GIR_Coverage, 21620,
     /* 1065317 */     GIR_EraseRootFromParent_Done,
     /* 1065318 */   // Label 15706: @1065318
     /* 1065318 */   GIM_Try, /*On fail goto*//*Label 15707*/ GIMT_Encode4(1065395), // Rule ID 21623 //
     /* 1065323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1065326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1065334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1065337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1065340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065362 */     // MIs[0] policy
     /* 1065362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1065375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065394 */     // GIR_Coverage, 21623,
     /* 1065394 */     GIR_EraseRootFromParent_Done,
     /* 1065395 */   // Label 15707: @1065395
     /* 1065395 */   GIM_Try, /*On fail goto*//*Label 15708*/ GIMT_Encode4(1065472), // Rule ID 21624 //
     /* 1065400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1065403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1065411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1065414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1065417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065439 */     // MIs[0] policy
     /* 1065439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065449 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1065452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065458 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065471 */     // GIR_Coverage, 21624,
     /* 1065471 */     GIR_EraseRootFromParent_Done,
     /* 1065472 */   // Label 15708: @1065472
     /* 1065472 */   GIM_Try, /*On fail goto*//*Label 15709*/ GIMT_Encode4(1065549), // Rule ID 21627 //
     /* 1065477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1065480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1065488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1065491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1065494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065516 */     // MIs[0] policy
     /* 1065516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065526 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1065529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065535 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065548 */     // GIR_Coverage, 21627,
     /* 1065548 */     GIR_EraseRootFromParent_Done,
     /* 1065549 */   // Label 15709: @1065549
     /* 1065549 */   GIM_Try, /*On fail goto*//*Label 15710*/ GIMT_Encode4(1065626), // Rule ID 21628 //
     /* 1065554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1065557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1065565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1065568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1065571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065593 */     // MIs[0] policy
     /* 1065593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065603 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1065606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065625 */     // GIR_Coverage, 21628,
     /* 1065625 */     GIR_EraseRootFromParent_Done,
     /* 1065626 */   // Label 15710: @1065626
     /* 1065626 */   GIM_Try, /*On fail goto*//*Label 15711*/ GIMT_Encode4(1065703), // Rule ID 21631 //
     /* 1065631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1065634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1065642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1065645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1065648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065670 */     // MIs[0] policy
     /* 1065670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065680 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1065683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065702 */     // GIR_Coverage, 21631,
     /* 1065702 */     GIR_EraseRootFromParent_Done,
     /* 1065703 */   // Label 15711: @1065703
     /* 1065703 */   GIM_Try, /*On fail goto*//*Label 15712*/ GIMT_Encode4(1065780), // Rule ID 21632 //
     /* 1065708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1065711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1065716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1065719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1065722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1065725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065747 */     // MIs[0] policy
     /* 1065747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065757 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1065760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065766 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065779 */     // GIR_Coverage, 21632,
     /* 1065779 */     GIR_EraseRootFromParent_Done,
     /* 1065780 */   // Label 15712: @1065780
     /* 1065780 */   GIM_Try, /*On fail goto*//*Label 15713*/ GIMT_Encode4(1065857), // Rule ID 21635 //
     /* 1065785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1065793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1065796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1065799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1065802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065824 */     // MIs[0] policy
     /* 1065824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065834 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1065837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065856 */     // GIR_Coverage, 21635,
     /* 1065856 */     GIR_EraseRootFromParent_Done,
     /* 1065857 */   // Label 15713: @1065857
     /* 1065857 */   GIM_Try, /*On fail goto*//*Label 15714*/ GIMT_Encode4(1065934), // Rule ID 21636 //
     /* 1065862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1065865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1065870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1065873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1065876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1065879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065901 */     // MIs[0] policy
     /* 1065901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065911 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1065914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065920 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065933 */     // GIR_Coverage, 21636,
     /* 1065933 */     GIR_EraseRootFromParent_Done,
     /* 1065934 */   // Label 15714: @1065934
     /* 1065934 */   GIM_Try, /*On fail goto*//*Label 15715*/ GIMT_Encode4(1066011), // Rule ID 21639 //
     /* 1065939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1065942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1065947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1065950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1065953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1065956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065978 */     // MIs[0] policy
     /* 1065978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065988 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1065991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066010 */     // GIR_Coverage, 21639,
     /* 1066010 */     GIR_EraseRootFromParent_Done,
     /* 1066011 */   // Label 15715: @1066011
     /* 1066011 */   GIM_Try, /*On fail goto*//*Label 15716*/ GIMT_Encode4(1066088), // Rule ID 21640 //
     /* 1066016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1066024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1066027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1066030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1066033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066055 */     // MIs[0] policy
     /* 1066055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066065 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1066068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066074 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066087 */     // GIR_Coverage, 21640,
     /* 1066087 */     GIR_EraseRootFromParent_Done,
     /* 1066088 */   // Label 15716: @1066088
     /* 1066088 */   GIM_Try, /*On fail goto*//*Label 15717*/ GIMT_Encode4(1066165), // Rule ID 21643 //
     /* 1066093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1066101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1066104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1066107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1066110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066132 */     // MIs[0] policy
     /* 1066132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066142 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1066145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066151 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066164 */     // GIR_Coverage, 21643,
     /* 1066164 */     GIR_EraseRootFromParent_Done,
     /* 1066165 */   // Label 15717: @1066165
     /* 1066165 */   GIM_Try, /*On fail goto*//*Label 15718*/ GIMT_Encode4(1066242), // Rule ID 21644 //
     /* 1066170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1066178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1066181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1066184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1066187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066209 */     // MIs[0] policy
     /* 1066209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066219 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1066222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066241 */     // GIR_Coverage, 21644,
     /* 1066241 */     GIR_EraseRootFromParent_Done,
     /* 1066242 */   // Label 15718: @1066242
     /* 1066242 */   GIM_Try, /*On fail goto*//*Label 15719*/ GIMT_Encode4(1066319), // Rule ID 21647 //
     /* 1066247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1066255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1066258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1066261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1066264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066286 */     // MIs[0] policy
     /* 1066286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1066299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066318 */     // GIR_Coverage, 21647,
     /* 1066318 */     GIR_EraseRootFromParent_Done,
     /* 1066319 */   // Label 15719: @1066319
     /* 1066319 */   GIM_Try, /*On fail goto*//*Label 15720*/ GIMT_Encode4(1066396), // Rule ID 21648 //
     /* 1066324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1066332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1066335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1066338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1066341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066363 */     // MIs[0] policy
     /* 1066363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066373 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1066376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066395 */     // GIR_Coverage, 21648,
     /* 1066395 */     GIR_EraseRootFromParent_Done,
     /* 1066396 */   // Label 15720: @1066396
     /* 1066396 */   GIM_Try, /*On fail goto*//*Label 15721*/ GIMT_Encode4(1066473), // Rule ID 21651 //
     /* 1066401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1066409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1066412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1066415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1066418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066440 */     // MIs[0] policy
     /* 1066440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066450 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1066453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066459 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066472 */     // GIR_Coverage, 21651,
     /* 1066472 */     GIR_EraseRootFromParent_Done,
     /* 1066473 */   // Label 15721: @1066473
     /* 1066473 */   GIM_Try, /*On fail goto*//*Label 15722*/ GIMT_Encode4(1066550), // Rule ID 21652 //
     /* 1066478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1066486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1066489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1066492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1066495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066517 */     // MIs[0] policy
     /* 1066517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066527 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1066530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066536 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066549 */     // GIR_Coverage, 21652,
     /* 1066549 */     GIR_EraseRootFromParent_Done,
     /* 1066550 */   // Label 15722: @1066550
     /* 1066550 */   GIM_Try, /*On fail goto*//*Label 15723*/ GIMT_Encode4(1066627), // Rule ID 21655 //
     /* 1066555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1066563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1066566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1066569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1066572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1066575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066594 */     // MIs[0] policy
     /* 1066594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066604 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1066607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066626 */     // GIR_Coverage, 21655,
     /* 1066626 */     GIR_EraseRootFromParent_Done,
     /* 1066627 */   // Label 15723: @1066627
     /* 1066627 */   GIM_Try, /*On fail goto*//*Label 15724*/ GIMT_Encode4(1066704), // Rule ID 21656 //
     /* 1066632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1066640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1066643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1066646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1066649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1066652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066671 */     // MIs[0] policy
     /* 1066671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066681 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1066684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066690 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066703 */     // GIR_Coverage, 21656,
     /* 1066703 */     GIR_EraseRootFromParent_Done,
     /* 1066704 */   // Label 15724: @1066704
     /* 1066704 */   GIM_Try, /*On fail goto*//*Label 15725*/ GIMT_Encode4(1066781), // Rule ID 21659 //
     /* 1066709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1066717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1066720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1066723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1066726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066748 */     // MIs[0] policy
     /* 1066748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066758 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1066761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066767 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066780 */     // GIR_Coverage, 21659,
     /* 1066780 */     GIR_EraseRootFromParent_Done,
     /* 1066781 */   // Label 15725: @1066781
     /* 1066781 */   GIM_Try, /*On fail goto*//*Label 15726*/ GIMT_Encode4(1066858), // Rule ID 21660 //
     /* 1066786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1066794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1066797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1066800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1066803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066825 */     // MIs[0] policy
     /* 1066825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066835 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1066838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066844 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066857 */     // GIR_Coverage, 21660,
     /* 1066857 */     GIR_EraseRootFromParent_Done,
     /* 1066858 */   // Label 15726: @1066858
     /* 1066858 */   GIM_Try, /*On fail goto*//*Label 15727*/ GIMT_Encode4(1066935), // Rule ID 21663 //
     /* 1066863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1066866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1066871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1066874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1066877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1066880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066902 */     // MIs[0] policy
     /* 1066902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066912 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1066915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066934 */     // GIR_Coverage, 21663,
     /* 1066934 */     GIR_EraseRootFromParent_Done,
     /* 1066935 */   // Label 15727: @1066935
     /* 1066935 */   GIM_Try, /*On fail goto*//*Label 15728*/ GIMT_Encode4(1067012), // Rule ID 21664 //
     /* 1066940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1066943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1066948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1066951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1066954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1066957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066979 */     // MIs[0] policy
     /* 1066979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066989 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1066992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067011 */     // GIR_Coverage, 21664,
     /* 1067011 */     GIR_EraseRootFromParent_Done,
     /* 1067012 */   // Label 15728: @1067012
     /* 1067012 */   GIM_Try, /*On fail goto*//*Label 15729*/ GIMT_Encode4(1067089), // Rule ID 21667 //
     /* 1067017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1067020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1067028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1067031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1067034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067056 */     // MIs[0] policy
     /* 1067056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067066 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1067069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067075 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067088 */     // GIR_Coverage, 21667,
     /* 1067088 */     GIR_EraseRootFromParent_Done,
     /* 1067089 */   // Label 15729: @1067089
     /* 1067089 */   GIM_Try, /*On fail goto*//*Label 15730*/ GIMT_Encode4(1067166), // Rule ID 21668 //
     /* 1067094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1067097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1067105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1067108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1067111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067133 */     // MIs[0] policy
     /* 1067133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067143 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1067146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067152 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067165 */     // GIR_Coverage, 21668,
     /* 1067165 */     GIR_EraseRootFromParent_Done,
     /* 1067166 */   // Label 15730: @1067166
     /* 1067166 */   GIM_Try, /*On fail goto*//*Label 15731*/ GIMT_Encode4(1067243), // Rule ID 21671 //
     /* 1067171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1067174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1067182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1067185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1067188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067210 */     // MIs[0] policy
     /* 1067210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067220 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1067223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067239 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067242 */     // GIR_Coverage, 21671,
     /* 1067242 */     GIR_EraseRootFromParent_Done,
     /* 1067243 */   // Label 15731: @1067243
     /* 1067243 */   GIM_Try, /*On fail goto*//*Label 15732*/ GIMT_Encode4(1067320), // Rule ID 21672 //
     /* 1067248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1067251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1067259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1067262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1067265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067287 */     // MIs[0] policy
     /* 1067287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067297 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1067300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067306 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067319 */     // GIR_Coverage, 21672,
     /* 1067319 */     GIR_EraseRootFromParent_Done,
     /* 1067320 */   // Label 15732: @1067320
     /* 1067320 */   GIM_Try, /*On fail goto*//*Label 15733*/ GIMT_Encode4(1067397), // Rule ID 21675 //
     /* 1067325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1067328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1067336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1067339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1067342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1067345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067364 */     // MIs[0] policy
     /* 1067364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067374 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1067377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067383 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067396 */     // GIR_Coverage, 21675,
     /* 1067396 */     GIR_EraseRootFromParent_Done,
     /* 1067397 */   // Label 15733: @1067397
     /* 1067397 */   GIM_Try, /*On fail goto*//*Label 15734*/ GIMT_Encode4(1067474), // Rule ID 21676 //
     /* 1067402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1067405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1067413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1067416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1067419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1067422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067441 */     // MIs[0] policy
     /* 1067441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067451 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1067454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067460 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067473 */     // GIR_Coverage, 21676,
     /* 1067473 */     GIR_EraseRootFromParent_Done,
     /* 1067474 */   // Label 15734: @1067474
     /* 1067474 */   GIM_Try, /*On fail goto*//*Label 15735*/ GIMT_Encode4(1067551), // Rule ID 21679 //
     /* 1067479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1067490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1067493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1067496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067518 */     // MIs[0] policy
     /* 1067518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067528 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1067531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067550 */     // GIR_Coverage, 21679,
     /* 1067550 */     GIR_EraseRootFromParent_Done,
     /* 1067551 */   // Label 15735: @1067551
     /* 1067551 */   GIM_Try, /*On fail goto*//*Label 15736*/ GIMT_Encode4(1067628), // Rule ID 21680 //
     /* 1067556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1067559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1067567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1067570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1067573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067595 */     // MIs[0] policy
     /* 1067595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067605 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1067608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067614 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067627 */     // GIR_Coverage, 21680,
     /* 1067627 */     GIR_EraseRootFromParent_Done,
     /* 1067628 */   // Label 15736: @1067628
     /* 1067628 */   GIM_Try, /*On fail goto*//*Label 15737*/ GIMT_Encode4(1067705), // Rule ID 21683 //
     /* 1067633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1067644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1067647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1067650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067672 */     // MIs[0] policy
     /* 1067672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067682 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1067685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067704 */     // GIR_Coverage, 21683,
     /* 1067704 */     GIR_EraseRootFromParent_Done,
     /* 1067705 */   // Label 15737: @1067705
     /* 1067705 */   GIM_Try, /*On fail goto*//*Label 15738*/ GIMT_Encode4(1067782), // Rule ID 21684 //
     /* 1067710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1067713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1067721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1067724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1067727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067749 */     // MIs[0] policy
     /* 1067749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067759 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1067762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067768 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067781 */     // GIR_Coverage, 21684,
     /* 1067781 */     GIR_EraseRootFromParent_Done,
     /* 1067782 */   // Label 15738: @1067782
     /* 1067782 */   GIM_Try, /*On fail goto*//*Label 15739*/ GIMT_Encode4(1067859), // Rule ID 21687 //
     /* 1067787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1067798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1067801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1067804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067826 */     // MIs[0] policy
     /* 1067826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067836 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1067839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067858 */     // GIR_Coverage, 21687,
     /* 1067858 */     GIR_EraseRootFromParent_Done,
     /* 1067859 */   // Label 15739: @1067859
     /* 1067859 */   GIM_Try, /*On fail goto*//*Label 15740*/ GIMT_Encode4(1067936), // Rule ID 21688 //
     /* 1067864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1067867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1067875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1067878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1067881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067903 */     // MIs[0] policy
     /* 1067903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067913 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1067916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067922 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067935 */     // GIR_Coverage, 21688,
     /* 1067935 */     GIR_EraseRootFromParent_Done,
     /* 1067936 */   // Label 15740: @1067936
     /* 1067936 */   GIM_Try, /*On fail goto*//*Label 15741*/ GIMT_Encode4(1068013), // Rule ID 21691 //
     /* 1067941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1067949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1067952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1067955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1067958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067980 */     // MIs[0] policy
     /* 1067980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067990 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1067993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067999 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068012 */     // GIR_Coverage, 21691,
     /* 1068012 */     GIR_EraseRootFromParent_Done,
     /* 1068013 */   // Label 15741: @1068013
     /* 1068013 */   GIM_Try, /*On fail goto*//*Label 15742*/ GIMT_Encode4(1068090), // Rule ID 21692 //
     /* 1068018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1068021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1068026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1068029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1068032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1068035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068057 */     // MIs[0] policy
     /* 1068057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068067 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1068070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068076 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068086 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068089 */     // GIR_Coverage, 21692,
     /* 1068089 */     GIR_EraseRootFromParent_Done,
     /* 1068090 */   // Label 15742: @1068090
     /* 1068090 */   GIM_Try, /*On fail goto*//*Label 15743*/ GIMT_Encode4(1068167), // Rule ID 21803 //
     /* 1068095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1068098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1068103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1068106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1068109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1068112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068134 */     // MIs[0] policy
     /* 1068134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068144 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1068147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068166 */     // GIR_Coverage, 21803,
     /* 1068166 */     GIR_EraseRootFromParent_Done,
     /* 1068167 */   // Label 15743: @1068167
     /* 1068167 */   GIM_Try, /*On fail goto*//*Label 15744*/ GIMT_Encode4(1068244), // Rule ID 21804 //
     /* 1068172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1068175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1068180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1068183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1068186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1068189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068211 */     // MIs[0] policy
     /* 1068211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068221 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1068224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068230 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068243 */     // GIR_Coverage, 21804,
     /* 1068243 */     GIR_EraseRootFromParent_Done,
     /* 1068244 */   // Label 15744: @1068244
     /* 1068244 */   GIM_Try, /*On fail goto*//*Label 15745*/ GIMT_Encode4(1068321), // Rule ID 21807 //
     /* 1068249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1068252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1068257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1068260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1068263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1068266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068288 */     // MIs[0] policy
     /* 1068288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068298 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1068301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068307 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068320 */     // GIR_Coverage, 21807,
     /* 1068320 */     GIR_EraseRootFromParent_Done,
     /* 1068321 */   // Label 15745: @1068321
     /* 1068321 */   GIM_Try, /*On fail goto*//*Label 15746*/ GIMT_Encode4(1068398), // Rule ID 21808 //
     /* 1068326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1068329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1068334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1068337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1068340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1068343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068365 */     // MIs[0] policy
     /* 1068365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068375 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1068378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068384 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068397 */     // GIR_Coverage, 21808,
     /* 1068397 */     GIR_EraseRootFromParent_Done,
     /* 1068398 */   // Label 15746: @1068398
     /* 1068398 */   GIM_Try, /*On fail goto*//*Label 15747*/ GIMT_Encode4(1068475), // Rule ID 21811 //
     /* 1068403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1068406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1068411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1068414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1068417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1068420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068442 */     // MIs[0] policy
     /* 1068442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068452 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1068455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068471 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068474 */     // GIR_Coverage, 21811,
     /* 1068474 */     GIR_EraseRootFromParent_Done,
     /* 1068475 */   // Label 15747: @1068475
     /* 1068475 */   GIM_Try, /*On fail goto*//*Label 15748*/ GIMT_Encode4(1068552), // Rule ID 21812 //
     /* 1068480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1068483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1068488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1068491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1068494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1068497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068519 */     // MIs[0] policy
     /* 1068519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068529 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1068532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068538 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068551 */     // GIR_Coverage, 21812,
     /* 1068551 */     GIR_EraseRootFromParent_Done,
     /* 1068552 */   // Label 15748: @1068552
     /* 1068552 */   GIM_Try, /*On fail goto*//*Label 15749*/ GIMT_Encode4(1068629), // Rule ID 21815 //
     /* 1068557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1068560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1068565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1068568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1068571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1068574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068596 */     // MIs[0] policy
     /* 1068596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068606 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1068609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068615 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068628 */     // GIR_Coverage, 21815,
     /* 1068628 */     GIR_EraseRootFromParent_Done,
     /* 1068629 */   // Label 15749: @1068629
     /* 1068629 */   GIM_Try, /*On fail goto*//*Label 15750*/ GIMT_Encode4(1068706), // Rule ID 21816 //
     /* 1068634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1068637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1068642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1068645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1068648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1068651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068673 */     // MIs[0] policy
     /* 1068673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068683 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1068686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068692 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068705 */     // GIR_Coverage, 21816,
     /* 1068705 */     GIR_EraseRootFromParent_Done,
     /* 1068706 */   // Label 15750: @1068706
     /* 1068706 */   GIM_Try, /*On fail goto*//*Label 15751*/ GIMT_Encode4(1068783), // Rule ID 21819 //
     /* 1068711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1068714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1068719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1068722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1068725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1068728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1068731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068750 */     // MIs[0] policy
     /* 1068750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068760 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1068763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068782 */     // GIR_Coverage, 21819,
     /* 1068782 */     GIR_EraseRootFromParent_Done,
     /* 1068783 */   // Label 15751: @1068783
     /* 1068783 */   GIM_Try, /*On fail goto*//*Label 15752*/ GIMT_Encode4(1068860), // Rule ID 21820 //
     /* 1068788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1068791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1068796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1068799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1068802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1068805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1068808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068827 */     // MIs[0] policy
     /* 1068827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068837 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1068840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068846 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068859 */     // GIR_Coverage, 21820,
     /* 1068859 */     GIR_EraseRootFromParent_Done,
     /* 1068860 */   // Label 15752: @1068860
     /* 1068860 */   GIM_Try, /*On fail goto*//*Label 15753*/ GIMT_Encode4(1068937), // Rule ID 21823 //
     /* 1068865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1068868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1068873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1068876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1068879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1068882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068904 */     // MIs[0] policy
     /* 1068904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068914 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1068917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068936 */     // GIR_Coverage, 21823,
     /* 1068936 */     GIR_EraseRootFromParent_Done,
     /* 1068937 */   // Label 15753: @1068937
     /* 1068937 */   GIM_Try, /*On fail goto*//*Label 15754*/ GIMT_Encode4(1069014), // Rule ID 21824 //
     /* 1068942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1068945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1068950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1068953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1068956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1068959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068981 */     // MIs[0] policy
     /* 1068981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068991 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1068994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069000 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069013 */     // GIR_Coverage, 21824,
     /* 1069013 */     GIR_EraseRootFromParent_Done,
     /* 1069014 */   // Label 15754: @1069014
     /* 1069014 */   GIM_Try, /*On fail goto*//*Label 15755*/ GIMT_Encode4(1069091), // Rule ID 21827 //
     /* 1069019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1069022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1069030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1069033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1069036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069058 */     // MIs[0] policy
     /* 1069058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069068 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1069071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069090 */     // GIR_Coverage, 21827,
     /* 1069090 */     GIR_EraseRootFromParent_Done,
     /* 1069091 */   // Label 15755: @1069091
     /* 1069091 */   GIM_Try, /*On fail goto*//*Label 15756*/ GIMT_Encode4(1069168), // Rule ID 21828 //
     /* 1069096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1069099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1069107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1069110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1069113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069135 */     // MIs[0] policy
     /* 1069135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069145 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1069148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069154 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069167 */     // GIR_Coverage, 21828,
     /* 1069167 */     GIR_EraseRootFromParent_Done,
     /* 1069168 */   // Label 15756: @1069168
     /* 1069168 */   GIM_Try, /*On fail goto*//*Label 15757*/ GIMT_Encode4(1069245), // Rule ID 21831 //
     /* 1069173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1069176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1069184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1069187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1069190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069212 */     // MIs[0] policy
     /* 1069212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069222 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1069225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069231 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069244 */     // GIR_Coverage, 21831,
     /* 1069244 */     GIR_EraseRootFromParent_Done,
     /* 1069245 */   // Label 15757: @1069245
     /* 1069245 */   GIM_Try, /*On fail goto*//*Label 15758*/ GIMT_Encode4(1069322), // Rule ID 21832 //
     /* 1069250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1069253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1069261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1069264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1069267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069289 */     // MIs[0] policy
     /* 1069289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069299 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1069302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069308 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069321 */     // GIR_Coverage, 21832,
     /* 1069321 */     GIR_EraseRootFromParent_Done,
     /* 1069322 */   // Label 15758: @1069322
     /* 1069322 */   GIM_Try, /*On fail goto*//*Label 15759*/ GIMT_Encode4(1069399), // Rule ID 21835 //
     /* 1069327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1069330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1069338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1069341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1069344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069366 */     // MIs[0] policy
     /* 1069366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069376 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1069379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069395 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069398 */     // GIR_Coverage, 21835,
     /* 1069398 */     GIR_EraseRootFromParent_Done,
     /* 1069399 */   // Label 15759: @1069399
     /* 1069399 */   GIM_Try, /*On fail goto*//*Label 15760*/ GIMT_Encode4(1069476), // Rule ID 21836 //
     /* 1069404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1069407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1069412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1069415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1069418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1069421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069443 */     // MIs[0] policy
     /* 1069443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069453 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1069456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069462 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069475 */     // GIR_Coverage, 21836,
     /* 1069475 */     GIR_EraseRootFromParent_Done,
     /* 1069476 */   // Label 15760: @1069476
     /* 1069476 */   GIM_Try, /*On fail goto*//*Label 15761*/ GIMT_Encode4(1069553), // Rule ID 23275 //
     /* 1069481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1069489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1069492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1069495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1069498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069520 */     // MIs[0] policy
     /* 1069520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069530 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1069533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069539 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069552 */     // GIR_Coverage, 23275,
     /* 1069552 */     GIR_EraseRootFromParent_Done,
     /* 1069553 */   // Label 15761: @1069553
     /* 1069553 */   GIM_Try, /*On fail goto*//*Label 15762*/ GIMT_Encode4(1069630), // Rule ID 23276 //
     /* 1069558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1069566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1069569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1069572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1069575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069597 */     // MIs[0] policy
     /* 1069597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069607 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1069610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069616 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069629 */     // GIR_Coverage, 23276,
     /* 1069629 */     GIR_EraseRootFromParent_Done,
     /* 1069630 */   // Label 15762: @1069630
     /* 1069630 */   GIM_Try, /*On fail goto*//*Label 15763*/ GIMT_Encode4(1069707), // Rule ID 23279 //
     /* 1069635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1069643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1069646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1069649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1069652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069674 */     // MIs[0] policy
     /* 1069674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069684 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11223:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1069687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069706 */     // GIR_Coverage, 23279,
     /* 1069706 */     GIR_EraseRootFromParent_Done,
     /* 1069707 */   // Label 15763: @1069707
     /* 1069707 */   GIM_Try, /*On fail goto*//*Label 15764*/ GIMT_Encode4(1069784), // Rule ID 23280 //
     /* 1069712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1069720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1069723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1069726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1069729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069751 */     // MIs[0] policy
     /* 1069751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069761 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11223:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1069764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069770 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069783 */     // GIR_Coverage, 23280,
     /* 1069783 */     GIR_EraseRootFromParent_Done,
     /* 1069784 */   // Label 15764: @1069784
     /* 1069784 */   GIM_Try, /*On fail goto*//*Label 15765*/ GIMT_Encode4(1069861), // Rule ID 23283 //
     /* 1069789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1069797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1069800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1069803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1069806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069828 */     // MIs[0] policy
     /* 1069828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069838 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1069841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069847 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069860 */     // GIR_Coverage, 23283,
     /* 1069860 */     GIR_EraseRootFromParent_Done,
     /* 1069861 */   // Label 15765: @1069861
     /* 1069861 */   GIM_Try, /*On fail goto*//*Label 15766*/ GIMT_Encode4(1069938), // Rule ID 23284 //
     /* 1069866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1069874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1069877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1069880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1069883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069905 */     // MIs[0] policy
     /* 1069905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069915 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1069918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069924 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069937 */     // GIR_Coverage, 23284,
     /* 1069937 */     GIR_EraseRootFromParent_Done,
     /* 1069938 */   // Label 15766: @1069938
     /* 1069938 */   GIM_Try, /*On fail goto*//*Label 15767*/ GIMT_Encode4(1070015), // Rule ID 23287 //
     /* 1069943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1069951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1069954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1069957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1069960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069982 */     // MIs[0] policy
     /* 1069982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069992 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1069995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070014 */     // GIR_Coverage, 23287,
     /* 1070014 */     GIR_EraseRootFromParent_Done,
     /* 1070015 */   // Label 15767: @1070015
     /* 1070015 */   GIM_Try, /*On fail goto*//*Label 15768*/ GIMT_Encode4(1070092), // Rule ID 23288 //
     /* 1070020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1070031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1070034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1070037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070059 */     // MIs[0] policy
     /* 1070059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070069 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1070072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070078 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070091 */     // GIR_Coverage, 23288,
     /* 1070091 */     GIR_EraseRootFromParent_Done,
     /* 1070092 */   // Label 15768: @1070092
     /* 1070092 */   GIM_Try, /*On fail goto*//*Label 15769*/ GIMT_Encode4(1070169), // Rule ID 23291 //
     /* 1070097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1070108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1070111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1070114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070136 */     // MIs[0] policy
     /* 1070136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1070149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070168 */     // GIR_Coverage, 23291,
     /* 1070168 */     GIR_EraseRootFromParent_Done,
     /* 1070169 */   // Label 15769: @1070169
     /* 1070169 */   GIM_Try, /*On fail goto*//*Label 15770*/ GIMT_Encode4(1070246), // Rule ID 23292 //
     /* 1070174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1070185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1070188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1070191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070213 */     // MIs[0] policy
     /* 1070213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070223 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1070226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070232 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070245 */     // GIR_Coverage, 23292,
     /* 1070245 */     GIR_EraseRootFromParent_Done,
     /* 1070246 */   // Label 15770: @1070246
     /* 1070246 */   GIM_Try, /*On fail goto*//*Label 15771*/ GIMT_Encode4(1070323), // Rule ID 23295 //
     /* 1070251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1070262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1070265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1070268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070290 */     // MIs[0] policy
     /* 1070290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070300 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11223:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1070303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070322 */     // GIR_Coverage, 23295,
     /* 1070322 */     GIR_EraseRootFromParent_Done,
     /* 1070323 */   // Label 15771: @1070323
     /* 1070323 */   GIM_Try, /*On fail goto*//*Label 15772*/ GIMT_Encode4(1070400), // Rule ID 23296 //
     /* 1070328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1070339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1070342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1070345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070367 */     // MIs[0] policy
     /* 1070367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070377 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11223:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1070380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070399 */     // GIR_Coverage, 23296,
     /* 1070399 */     GIR_EraseRootFromParent_Done,
     /* 1070400 */   // Label 15772: @1070400
     /* 1070400 */   GIM_Try, /*On fail goto*//*Label 15773*/ GIMT_Encode4(1070477), // Rule ID 23299 //
     /* 1070405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1070416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1070419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1070422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070444 */     // MIs[0] policy
     /* 1070444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070454 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1070457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070463 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070476 */     // GIR_Coverage, 23299,
     /* 1070476 */     GIR_EraseRootFromParent_Done,
     /* 1070477 */   // Label 15773: @1070477
     /* 1070477 */   GIM_Try, /*On fail goto*//*Label 15774*/ GIMT_Encode4(1070554), // Rule ID 23300 //
     /* 1070482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1070493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1070496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1070499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070521 */     // MIs[0] policy
     /* 1070521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070531 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1070534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070540 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070553 */     // GIR_Coverage, 23300,
     /* 1070553 */     GIR_EraseRootFromParent_Done,
     /* 1070554 */   // Label 15774: @1070554
     /* 1070554 */   GIM_Try, /*On fail goto*//*Label 15775*/ GIMT_Encode4(1070631), // Rule ID 23303 //
     /* 1070559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1070570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1070573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1070576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070598 */     // MIs[0] policy
     /* 1070598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1070611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070630 */     // GIR_Coverage, 23303,
     /* 1070630 */     GIR_EraseRootFromParent_Done,
     /* 1070631 */   // Label 15775: @1070631
     /* 1070631 */   GIM_Try, /*On fail goto*//*Label 15776*/ GIMT_Encode4(1070708), // Rule ID 23304 //
     /* 1070636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1070647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1070650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1070653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070675 */     // MIs[0] policy
     /* 1070675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070685 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1070688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070707 */     // GIR_Coverage, 23304,
     /* 1070707 */     GIR_EraseRootFromParent_Done,
     /* 1070708 */   // Label 15776: @1070708
     /* 1070708 */   GIM_Try, /*On fail goto*//*Label 15777*/ GIMT_Encode4(1070785), // Rule ID 23307 //
     /* 1070713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1070716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1070724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1070727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1070730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070752 */     // MIs[0] policy
     /* 1070752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070762 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1070765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1070781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070784 */     // GIR_Coverage, 23307,
     /* 1070784 */     GIR_EraseRootFromParent_Done,
     /* 1070785 */   // Label 15777: @1070785
     /* 1070785 */   GIM_Try, /*On fail goto*//*Label 15778*/ GIMT_Encode4(1070862), // Rule ID 23308 //
     /* 1070790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1070793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1070801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1070804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1070807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070829 */     // MIs[0] policy
     /* 1070829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070839 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1070842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070848 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1070858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070861 */     // GIR_Coverage, 23308,
     /* 1070861 */     GIR_EraseRootFromParent_Done,
     /* 1070862 */   // Label 15778: @1070862
     /* 1070862 */   GIM_Try, /*On fail goto*//*Label 15779*/ GIMT_Encode4(1070939), // Rule ID 23311 //
     /* 1070867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1070878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1070881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1070884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1070887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070906 */     // MIs[0] policy
     /* 1070906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070916 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1070919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070938 */     // GIR_Coverage, 23311,
     /* 1070938 */     GIR_EraseRootFromParent_Done,
     /* 1070939 */   // Label 15779: @1070939
     /* 1070939 */   GIM_Try, /*On fail goto*//*Label 15780*/ GIMT_Encode4(1071016), // Rule ID 23312 //
     /* 1070944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1070952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1070955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1070958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1070961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1070964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070983 */     // MIs[0] policy
     /* 1070983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070993 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1070996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071015 */     // GIR_Coverage, 23312,
     /* 1071015 */     GIR_EraseRootFromParent_Done,
     /* 1071016 */   // Label 15780: @1071016
     /* 1071016 */   GIM_Try, /*On fail goto*//*Label 15781*/ GIMT_Encode4(1071093), // Rule ID 23315 //
     /* 1071021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1071032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1071035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1071038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1071041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1071048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071060 */     // MIs[0] policy
     /* 1071060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071070 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1071073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071079 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071092 */     // GIR_Coverage, 23315,
     /* 1071092 */     GIR_EraseRootFromParent_Done,
     /* 1071093 */   // Label 15781: @1071093
     /* 1071093 */   GIM_Try, /*On fail goto*//*Label 15782*/ GIMT_Encode4(1071170), // Rule ID 23316 //
     /* 1071098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1071109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1071112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1071115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1071118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1071125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071137 */     // MIs[0] policy
     /* 1071137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071147 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1071150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071156 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071169 */     // GIR_Coverage, 23316,
     /* 1071169 */     GIR_EraseRootFromParent_Done,
     /* 1071170 */   // Label 15782: @1071170
     /* 1071170 */   GIM_Try, /*On fail goto*//*Label 15783*/ GIMT_Encode4(1071247), // Rule ID 23319 //
     /* 1071175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1071186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1071189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1071192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1071195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1071202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071214 */     // MIs[0] policy
     /* 1071214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071224 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1071227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071246 */     // GIR_Coverage, 23319,
     /* 1071246 */     GIR_EraseRootFromParent_Done,
     /* 1071247 */   // Label 15783: @1071247
     /* 1071247 */   GIM_Try, /*On fail goto*//*Label 15784*/ GIMT_Encode4(1071324), // Rule ID 23320 //
     /* 1071252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1071263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1071266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1071269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1071272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1071279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071291 */     // MIs[0] policy
     /* 1071291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071301 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1071304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071310 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071323 */     // GIR_Coverage, 23320,
     /* 1071323 */     GIR_EraseRootFromParent_Done,
     /* 1071324 */   // Label 15784: @1071324
     /* 1071324 */   GIM_Try, /*On fail goto*//*Label 15785*/ GIMT_Encode4(1071401), // Rule ID 23323 //
     /* 1071329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1071340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1071343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1071346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1071356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071368 */     // MIs[0] policy
     /* 1071368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071378 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1071381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071400 */     // GIR_Coverage, 23323,
     /* 1071400 */     GIR_EraseRootFromParent_Done,
     /* 1071401 */   // Label 15785: @1071401
     /* 1071401 */   GIM_Try, /*On fail goto*//*Label 15786*/ GIMT_Encode4(1071478), // Rule ID 23324 //
     /* 1071406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1071417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1071420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1071423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1071433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071445 */     // MIs[0] policy
     /* 1071445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071455 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1071458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071464 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071477 */     // GIR_Coverage, 23324,
     /* 1071477 */     GIR_EraseRootFromParent_Done,
     /* 1071478 */   // Label 15786: @1071478
     /* 1071478 */   GIM_Try, /*On fail goto*//*Label 15787*/ GIMT_Encode4(1071555), // Rule ID 23327 //
     /* 1071483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1071494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1071497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1071500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1071503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1071510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071522 */     // MIs[0] policy
     /* 1071522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071532 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1071535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071554 */     // GIR_Coverage, 23327,
     /* 1071554 */     GIR_EraseRootFromParent_Done,
     /* 1071555 */   // Label 15787: @1071555
     /* 1071555 */   GIM_Try, /*On fail goto*//*Label 15788*/ GIMT_Encode4(1071632), // Rule ID 23328 //
     /* 1071560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1071571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1071574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1071577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1071580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1071587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071599 */     // MIs[0] policy
     /* 1071599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071609 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1071612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071618 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071631 */     // GIR_Coverage, 23328,
     /* 1071631 */     GIR_EraseRootFromParent_Done,
     /* 1071632 */   // Label 15788: @1071632
     /* 1071632 */   GIM_Try, /*On fail goto*//*Label 15789*/ GIMT_Encode4(1071709), // Rule ID 23331 //
     /* 1071637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1071648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1071651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1071654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1071657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1071664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071676 */     // MIs[0] policy
     /* 1071676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071686 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1071689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071708 */     // GIR_Coverage, 23331,
     /* 1071708 */     GIR_EraseRootFromParent_Done,
     /* 1071709 */   // Label 15789: @1071709
     /* 1071709 */   GIM_Try, /*On fail goto*//*Label 15790*/ GIMT_Encode4(1071786), // Rule ID 23332 //
     /* 1071714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1071725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1071728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1071731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1071734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1071741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071753 */     // MIs[0] policy
     /* 1071753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071763 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1071766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071772 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071785 */     // GIR_Coverage, 23332,
     /* 1071785 */     GIR_EraseRootFromParent_Done,
     /* 1071786 */   // Label 15790: @1071786
     /* 1071786 */   GIM_Try, /*On fail goto*//*Label 15791*/ GIMT_Encode4(1071863), // Rule ID 23335 //
     /* 1071791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1071802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1071805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1071808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1071818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071830 */     // MIs[0] policy
     /* 1071830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071840 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1071843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071862 */     // GIR_Coverage, 23335,
     /* 1071862 */     GIR_EraseRootFromParent_Done,
     /* 1071863 */   // Label 15791: @1071863
     /* 1071863 */   GIM_Try, /*On fail goto*//*Label 15792*/ GIMT_Encode4(1071940), // Rule ID 23336 //
     /* 1071868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1071879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1071882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1071885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1071895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071907 */     // MIs[0] policy
     /* 1071907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071917 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1071920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071926 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071939 */     // GIR_Coverage, 23336,
     /* 1071939 */     GIR_EraseRootFromParent_Done,
     /* 1071940 */   // Label 15792: @1071940
     /* 1071940 */   GIM_Try, /*On fail goto*//*Label 15793*/ GIMT_Encode4(1072017), // Rule ID 23339 //
     /* 1071945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1071953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1071956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1071959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1071962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1071972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071984 */     // MIs[0] policy
     /* 1071984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071994 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1071997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072003 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072016 */     // GIR_Coverage, 23339,
     /* 1072016 */     GIR_EraseRootFromParent_Done,
     /* 1072017 */   // Label 15793: @1072017
     /* 1072017 */   GIM_Try, /*On fail goto*//*Label 15794*/ GIMT_Encode4(1072094), // Rule ID 23340 //
     /* 1072022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1072033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1072036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1072039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072061 */     // MIs[0] policy
     /* 1072061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072071 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1072074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072080 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072093 */     // GIR_Coverage, 23340,
     /* 1072093 */     GIR_EraseRootFromParent_Done,
     /* 1072094 */   // Label 15794: @1072094
     /* 1072094 */   GIM_Try, /*On fail goto*//*Label 15795*/ GIMT_Encode4(1072171), // Rule ID 23343 //
     /* 1072099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1072110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1072113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1072116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1072126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072138 */     // MIs[0] policy
     /* 1072138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072148 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1072151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072170 */     // GIR_Coverage, 23343,
     /* 1072170 */     GIR_EraseRootFromParent_Done,
     /* 1072171 */   // Label 15795: @1072171
     /* 1072171 */   GIM_Try, /*On fail goto*//*Label 15796*/ GIMT_Encode4(1072248), // Rule ID 23344 //
     /* 1072176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1072187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1072190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1072193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1072203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072215 */     // MIs[0] policy
     /* 1072215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072225 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1072228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072234 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072247 */     // GIR_Coverage, 23344,
     /* 1072247 */     GIR_EraseRootFromParent_Done,
     /* 1072248 */   // Label 15796: @1072248
     /* 1072248 */   GIM_Try, /*On fail goto*//*Label 15797*/ GIMT_Encode4(1072325), // Rule ID 23347 //
     /* 1072253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1072256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1072264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1072267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1072270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1072273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072292 */     // MIs[0] policy
     /* 1072292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072302 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1072305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072311 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072324 */     // GIR_Coverage, 23347,
     /* 1072324 */     GIR_EraseRootFromParent_Done,
     /* 1072325 */   // Label 15797: @1072325
     /* 1072325 */   GIM_Try, /*On fail goto*//*Label 15798*/ GIMT_Encode4(1072402), // Rule ID 23348 //
     /* 1072330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1072333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1072341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1072344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1072347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1072350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072369 */     // MIs[0] policy
     /* 1072369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072379 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1072382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072388 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072398 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072401 */     // GIR_Coverage, 23348,
     /* 1072401 */     GIR_EraseRootFromParent_Done,
     /* 1072402 */   // Label 15798: @1072402
     /* 1072402 */   GIM_Try, /*On fail goto*//*Label 15799*/ GIMT_Encode4(1072479), // Rule ID 23351 //
     /* 1072407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1072410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1072418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1072421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1072424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1072427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072446 */     // MIs[0] policy
     /* 1072446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072456 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1072459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072478 */     // GIR_Coverage, 23351,
     /* 1072478 */     GIR_EraseRootFromParent_Done,
     /* 1072479 */   // Label 15799: @1072479
     /* 1072479 */   GIM_Try, /*On fail goto*//*Label 15800*/ GIMT_Encode4(1072556), // Rule ID 23352 //
     /* 1072484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1072487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1072495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1072498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1072501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1072504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072523 */     // MIs[0] policy
     /* 1072523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072533 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1072536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072555 */     // GIR_Coverage, 23352,
     /* 1072555 */     GIR_EraseRootFromParent_Done,
     /* 1072556 */   // Label 15800: @1072556
     /* 1072556 */   GIM_Try, /*On fail goto*//*Label 15801*/ GIMT_Encode4(1072633), // Rule ID 23355 //
     /* 1072561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1072564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1072572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1072575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1072578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1072588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072600 */     // MIs[0] policy
     /* 1072600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072610 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1072613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072632 */     // GIR_Coverage, 23355,
     /* 1072632 */     GIR_EraseRootFromParent_Done,
     /* 1072633 */   // Label 15801: @1072633
     /* 1072633 */   GIM_Try, /*On fail goto*//*Label 15802*/ GIMT_Encode4(1072710), // Rule ID 23356 //
     /* 1072638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1072641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1072646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1072649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1072652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1072655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1072665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072677 */     // MIs[0] policy
     /* 1072677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072687 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11223:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1072690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072696 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072709 */     // GIR_Coverage, 23356,
     /* 1072709 */     GIR_EraseRootFromParent_Done,
     /* 1072710 */   // Label 15802: @1072710
     /* 1072710 */   GIM_Try, /*On fail goto*//*Label 15803*/ GIMT_Encode4(1072787), // Rule ID 23461 //
     /* 1072715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1072723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1072726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1072729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1072732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1072735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072754 */     // MIs[0] policy
     /* 1072754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072764 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1072767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1072771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072786 */     // GIR_Coverage, 23461,
     /* 1072786 */     GIR_EraseRootFromParent_Done,
     /* 1072787 */   // Label 15803: @1072787
     /* 1072787 */   GIM_Try, /*On fail goto*//*Label 15804*/ GIMT_Encode4(1072864), // Rule ID 23462 //
     /* 1072792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1072800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1072803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1072806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1072809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1072812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072831 */     // MIs[0] policy
     /* 1072831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072841 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1072844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1072848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072863 */     // GIR_Coverage, 23462,
     /* 1072863 */     GIR_EraseRootFromParent_Done,
     /* 1072864 */   // Label 15804: @1072864
     /* 1072864 */   GIM_Try, /*On fail goto*//*Label 15805*/ GIMT_Encode4(1072941), // Rule ID 23465 //
     /* 1072869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1072877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1072880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1072883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1072886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1072889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072908 */     // MIs[0] policy
     /* 1072908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072918 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1072921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1072925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072940 */     // GIR_Coverage, 23465,
     /* 1072940 */     GIR_EraseRootFromParent_Done,
     /* 1072941 */   // Label 15805: @1072941
     /* 1072941 */   GIM_Try, /*On fail goto*//*Label 15806*/ GIMT_Encode4(1073018), // Rule ID 23466 //
     /* 1072946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1072954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1072957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1072960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1072963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1072966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072985 */     // MIs[0] policy
     /* 1072985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072995 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1072998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073017 */     // GIR_Coverage, 23466,
     /* 1073017 */     GIR_EraseRootFromParent_Done,
     /* 1073018 */   // Label 15806: @1073018
     /* 1073018 */   GIM_Try, /*On fail goto*//*Label 15807*/ GIMT_Encode4(1073095), // Rule ID 23469 //
     /* 1073023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1073031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1073034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1073037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1073040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073062 */     // MIs[0] policy
     /* 1073062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073072 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1073075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073094 */     // GIR_Coverage, 23469,
     /* 1073094 */     GIR_EraseRootFromParent_Done,
     /* 1073095 */   // Label 15807: @1073095
     /* 1073095 */   GIM_Try, /*On fail goto*//*Label 15808*/ GIMT_Encode4(1073172), // Rule ID 23470 //
     /* 1073100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1073108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1073111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1073114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1073117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1073120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073139 */     // MIs[0] policy
     /* 1073139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073149 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1073152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073171 */     // GIR_Coverage, 23470,
     /* 1073171 */     GIR_EraseRootFromParent_Done,
     /* 1073172 */   // Label 15808: @1073172
     /* 1073172 */   GIM_Try, /*On fail goto*//*Label 15809*/ GIMT_Encode4(1073249), // Rule ID 23473 //
     /* 1073177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1073185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1073188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1073191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1073194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073216 */     // MIs[0] policy
     /* 1073216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073226 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1073229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073248 */     // GIR_Coverage, 23473,
     /* 1073248 */     GIR_EraseRootFromParent_Done,
     /* 1073249 */   // Label 15809: @1073249
     /* 1073249 */   GIM_Try, /*On fail goto*//*Label 15810*/ GIMT_Encode4(1073326), // Rule ID 23474 //
     /* 1073254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1073262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1073265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1073268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1073271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1073274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073293 */     // MIs[0] policy
     /* 1073293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073303 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1073306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073325 */     // GIR_Coverage, 23474,
     /* 1073325 */     GIR_EraseRootFromParent_Done,
     /* 1073326 */   // Label 15810: @1073326
     /* 1073326 */   GIM_Try, /*On fail goto*//*Label 15811*/ GIMT_Encode4(1073403), // Rule ID 23477 //
     /* 1073331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1073339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1073342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1073345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1073348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073370 */     // MIs[0] policy
     /* 1073370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073380 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1073383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073402 */     // GIR_Coverage, 23477,
     /* 1073402 */     GIR_EraseRootFromParent_Done,
     /* 1073403 */   // Label 15811: @1073403
     /* 1073403 */   GIM_Try, /*On fail goto*//*Label 15812*/ GIMT_Encode4(1073480), // Rule ID 23478 //
     /* 1073408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1073416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1073419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1073422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1073425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1073428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073447 */     // MIs[0] policy
     /* 1073447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073457 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1073460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073479 */     // GIR_Coverage, 23478,
     /* 1073479 */     GIR_EraseRootFromParent_Done,
     /* 1073480 */   // Label 15812: @1073480
     /* 1073480 */   GIM_Try, /*On fail goto*//*Label 15813*/ GIMT_Encode4(1073557), // Rule ID 23481 //
     /* 1073485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1073493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1073496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1073499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1073502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073524 */     // MIs[0] policy
     /* 1073524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1073537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073556 */     // GIR_Coverage, 23481,
     /* 1073556 */     GIR_EraseRootFromParent_Done,
     /* 1073557 */   // Label 15813: @1073557
     /* 1073557 */   GIM_Try, /*On fail goto*//*Label 15814*/ GIMT_Encode4(1073634), // Rule ID 23482 //
     /* 1073562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1073570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1073573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1073576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1073579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1073582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073601 */     // MIs[0] policy
     /* 1073601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073611 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1073614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073630 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073633 */     // GIR_Coverage, 23482,
     /* 1073633 */     GIR_EraseRootFromParent_Done,
     /* 1073634 */   // Label 15814: @1073634
     /* 1073634 */   GIM_Try, /*On fail goto*//*Label 15815*/ GIMT_Encode4(1073711), // Rule ID 23485 //
     /* 1073639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1073647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1073650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1073653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1073656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073678 */     // MIs[0] policy
     /* 1073678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073688 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1073691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073710 */     // GIR_Coverage, 23485,
     /* 1073710 */     GIR_EraseRootFromParent_Done,
     /* 1073711 */   // Label 15815: @1073711
     /* 1073711 */   GIM_Try, /*On fail goto*//*Label 15816*/ GIMT_Encode4(1073788), // Rule ID 23486 //
     /* 1073716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1073724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1073727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1073730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1073733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1073736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073755 */     // MIs[0] policy
     /* 1073755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073765 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1073768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073787 */     // GIR_Coverage, 23486,
     /* 1073787 */     GIR_EraseRootFromParent_Done,
     /* 1073788 */   // Label 15816: @1073788
     /* 1073788 */   GIM_Try, /*On fail goto*//*Label 15817*/ GIMT_Encode4(1073865), // Rule ID 23489 //
     /* 1073793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1073801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1073804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1073807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1073810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073832 */     // MIs[0] policy
     /* 1073832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1073845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073864 */     // GIR_Coverage, 23489,
     /* 1073864 */     GIR_EraseRootFromParent_Done,
     /* 1073865 */   // Label 15817: @1073865
     /* 1073865 */   GIM_Try, /*On fail goto*//*Label 15818*/ GIMT_Encode4(1073942), // Rule ID 23490 //
     /* 1073870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1073878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1073881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1073884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1073887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1073890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073909 */     // MIs[0] policy
     /* 1073909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073919 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1073922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073941 */     // GIR_Coverage, 23490,
     /* 1073941 */     GIR_EraseRootFromParent_Done,
     /* 1073942 */   // Label 15818: @1073942
     /* 1073942 */   GIM_Try, /*On fail goto*//*Label 15819*/ GIMT_Encode4(1074019), // Rule ID 23493 //
     /* 1073947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1073955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1073958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1073961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1073964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073986 */     // MIs[0] policy
     /* 1073986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1073999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074018 */     // GIR_Coverage, 23493,
     /* 1074018 */     GIR_EraseRootFromParent_Done,
     /* 1074019 */   // Label 15819: @1074019
     /* 1074019 */   GIM_Try, /*On fail goto*//*Label 15820*/ GIMT_Encode4(1074096), // Rule ID 23494 //
     /* 1074024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1074035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1074038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1074041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074063 */     // MIs[0] policy
     /* 1074063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074073 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1074076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074095 */     // GIR_Coverage, 23494,
     /* 1074095 */     GIR_EraseRootFromParent_Done,
     /* 1074096 */   // Label 15820: @1074096
     /* 1074096 */   GIM_Try, /*On fail goto*//*Label 15821*/ GIMT_Encode4(1074173), // Rule ID 23497 //
     /* 1074101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1074104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1074112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1074115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1074118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074140 */     // MIs[0] policy
     /* 1074140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074150 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1074153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074172 */     // GIR_Coverage, 23497,
     /* 1074172 */     GIR_EraseRootFromParent_Done,
     /* 1074173 */   // Label 15821: @1074173
     /* 1074173 */   GIM_Try, /*On fail goto*//*Label 15822*/ GIMT_Encode4(1074250), // Rule ID 23498 //
     /* 1074178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1074181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1074189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1074192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1074195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074217 */     // MIs[0] policy
     /* 1074217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1074230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074249 */     // GIR_Coverage, 23498,
     /* 1074249 */     GIR_EraseRootFromParent_Done,
     /* 1074250 */   // Label 15822: @1074250
     /* 1074250 */   GIM_Try, /*On fail goto*//*Label 15823*/ GIMT_Encode4(1074327), // Rule ID 23501 //
     /* 1074255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1074266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1074269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1074272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074294 */     // MIs[0] policy
     /* 1074294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074304 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1074307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074326 */     // GIR_Coverage, 23501,
     /* 1074326 */     GIR_EraseRootFromParent_Done,
     /* 1074327 */   // Label 15823: @1074327
     /* 1074327 */   GIM_Try, /*On fail goto*//*Label 15824*/ GIMT_Encode4(1074404), // Rule ID 23502 //
     /* 1074332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1074343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1074346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1074349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074371 */     // MIs[0] policy
     /* 1074371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074381 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1074384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074403 */     // GIR_Coverage, 23502,
     /* 1074403 */     GIR_EraseRootFromParent_Done,
     /* 1074404 */   // Label 15824: @1074404
     /* 1074404 */   GIM_Try, /*On fail goto*//*Label 15825*/ GIMT_Encode4(1074481), // Rule ID 23505 //
     /* 1074409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1074420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1074423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1074426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074448 */     // MIs[0] policy
     /* 1074448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074458 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1074461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074480 */     // GIR_Coverage, 23505,
     /* 1074480 */     GIR_EraseRootFromParent_Done,
     /* 1074481 */   // Label 15825: @1074481
     /* 1074481 */   GIM_Try, /*On fail goto*//*Label 15826*/ GIMT_Encode4(1074558), // Rule ID 23506 //
     /* 1074486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1074497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1074500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1074503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074525 */     // MIs[0] policy
     /* 1074525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074535 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1074538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074557 */     // GIR_Coverage, 23506,
     /* 1074557 */     GIR_EraseRootFromParent_Done,
     /* 1074558 */   // Label 15826: @1074558
     /* 1074558 */   GIM_Try, /*On fail goto*//*Label 15827*/ GIMT_Encode4(1074635), // Rule ID 23509 //
     /* 1074563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1074574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1074577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1074580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074602 */     // MIs[0] policy
     /* 1074602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074612 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1074615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074634 */     // GIR_Coverage, 23509,
     /* 1074634 */     GIR_EraseRootFromParent_Done,
     /* 1074635 */   // Label 15827: @1074635
     /* 1074635 */   GIM_Try, /*On fail goto*//*Label 15828*/ GIMT_Encode4(1074712), // Rule ID 23510 //
     /* 1074640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1074651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1074654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1074657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074679 */     // MIs[0] policy
     /* 1074679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074689 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1074692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074711 */     // GIR_Coverage, 23510,
     /* 1074711 */     GIR_EraseRootFromParent_Done,
     /* 1074712 */   // Label 15828: @1074712
     /* 1074712 */   GIM_Try, /*On fail goto*//*Label 15829*/ GIMT_Encode4(1074789), // Rule ID 23513 //
     /* 1074717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1074728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1074731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1074734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074756 */     // MIs[0] policy
     /* 1074756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074766 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1074769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074788 */     // GIR_Coverage, 23513,
     /* 1074788 */     GIR_EraseRootFromParent_Done,
     /* 1074789 */   // Label 15829: @1074789
     /* 1074789 */   GIM_Try, /*On fail goto*//*Label 15830*/ GIMT_Encode4(1074866), // Rule ID 23514 //
     /* 1074794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1074805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1074808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1074811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074833 */     // MIs[0] policy
     /* 1074833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074843 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1074846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074865 */     // GIR_Coverage, 23514,
     /* 1074865 */     GIR_EraseRootFromParent_Done,
     /* 1074866 */   // Label 15830: @1074866
     /* 1074866 */   GIM_Try, /*On fail goto*//*Label 15831*/ GIMT_Encode4(1074943), // Rule ID 23517 //
     /* 1074871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1074882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1074885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1074888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074910 */     // MIs[0] policy
     /* 1074910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074920 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1074923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074942 */     // GIR_Coverage, 23517,
     /* 1074942 */     GIR_EraseRootFromParent_Done,
     /* 1074943 */   // Label 15831: @1074943
     /* 1074943 */   GIM_Try, /*On fail goto*//*Label 15832*/ GIMT_Encode4(1075020), // Rule ID 23518 //
     /* 1074948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1074959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1074962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1074965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074987 */     // MIs[0] policy
     /* 1074987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074997 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1075000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075019 */     // GIR_Coverage, 23518,
     /* 1075019 */     GIR_EraseRootFromParent_Done,
     /* 1075020 */   // Label 15832: @1075020
     /* 1075020 */   GIM_Try, /*On fail goto*//*Label 15833*/ GIMT_Encode4(1075097), // Rule ID 23521 //
     /* 1075025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1075036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1075039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1075042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075064 */     // MIs[0] policy
     /* 1075064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075074 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1075077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075096 */     // GIR_Coverage, 23521,
     /* 1075096 */     GIR_EraseRootFromParent_Done,
     /* 1075097 */   // Label 15833: @1075097
     /* 1075097 */   GIM_Try, /*On fail goto*//*Label 15834*/ GIMT_Encode4(1075174), // Rule ID 23522 //
     /* 1075102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1075113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1075116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1075119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075141 */     // MIs[0] policy
     /* 1075141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075151 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1075154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075173 */     // GIR_Coverage, 23522,
     /* 1075173 */     GIR_EraseRootFromParent_Done,
     /* 1075174 */   // Label 15834: @1075174
     /* 1075174 */   GIM_Try, /*On fail goto*//*Label 15835*/ GIMT_Encode4(1075251), // Rule ID 23525 //
     /* 1075179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1075190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1075193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1075196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075218 */     // MIs[0] policy
     /* 1075218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075228 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1075231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075250 */     // GIR_Coverage, 23525,
     /* 1075250 */     GIR_EraseRootFromParent_Done,
     /* 1075251 */   // Label 15835: @1075251
     /* 1075251 */   GIM_Try, /*On fail goto*//*Label 15836*/ GIMT_Encode4(1075328), // Rule ID 23526 //
     /* 1075256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1075267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1075270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1075273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075295 */     // MIs[0] policy
     /* 1075295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075305 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1075308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075327 */     // GIR_Coverage, 23526,
     /* 1075327 */     GIR_EraseRootFromParent_Done,
     /* 1075328 */   // Label 15836: @1075328
     /* 1075328 */   GIM_Try, /*On fail goto*//*Label 15837*/ GIMT_Encode4(1075405), // Rule ID 23529 //
     /* 1075333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1075344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1075347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1075350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075372 */     // MIs[0] policy
     /* 1075372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075382 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1075385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075404 */     // GIR_Coverage, 23529,
     /* 1075404 */     GIR_EraseRootFromParent_Done,
     /* 1075405 */   // Label 15837: @1075405
     /* 1075405 */   GIM_Try, /*On fail goto*//*Label 15838*/ GIMT_Encode4(1075482), // Rule ID 23530 //
     /* 1075410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1075421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1075424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1075427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075449 */     // MIs[0] policy
     /* 1075449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075459 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1075462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075481 */     // GIR_Coverage, 23530,
     /* 1075481 */     GIR_EraseRootFromParent_Done,
     /* 1075482 */   // Label 15838: @1075482
     /* 1075482 */   GIM_Try, /*On fail goto*//*Label 15839*/ GIMT_Encode4(1075559), // Rule ID 23533 //
     /* 1075487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1075498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1075501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1075504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075526 */     // MIs[0] policy
     /* 1075526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075536 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1075539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075558 */     // GIR_Coverage, 23533,
     /* 1075558 */     GIR_EraseRootFromParent_Done,
     /* 1075559 */   // Label 15839: @1075559
     /* 1075559 */   GIM_Try, /*On fail goto*//*Label 15840*/ GIMT_Encode4(1075636), // Rule ID 23534 //
     /* 1075564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1075575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1075578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1075581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075603 */     // MIs[0] policy
     /* 1075603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075613 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1075616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075635 */     // GIR_Coverage, 23534,
     /* 1075635 */     GIR_EraseRootFromParent_Done,
     /* 1075636 */   // Label 15840: @1075636
     /* 1075636 */   GIM_Try, /*On fail goto*//*Label 15841*/ GIMT_Encode4(1075713), // Rule ID 23537 //
     /* 1075641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1075644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1075652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1075655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1075658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075680 */     // MIs[0] policy
     /* 1075680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075690 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1075693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075712 */     // GIR_Coverage, 23537,
     /* 1075712 */     GIR_EraseRootFromParent_Done,
     /* 1075713 */   // Label 15841: @1075713
     /* 1075713 */   GIM_Try, /*On fail goto*//*Label 15842*/ GIMT_Encode4(1075790), // Rule ID 23538 //
     /* 1075718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1075721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1075729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1075732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1075735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075757 */     // MIs[0] policy
     /* 1075757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075767 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1075770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075789 */     // GIR_Coverage, 23538,
     /* 1075789 */     GIR_EraseRootFromParent_Done,
     /* 1075790 */   // Label 15842: @1075790
     /* 1075790 */   GIM_Try, /*On fail goto*//*Label 15843*/ GIMT_Encode4(1075867), // Rule ID 23541 //
     /* 1075795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1075798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1075806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1075809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1075812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075834 */     // MIs[0] policy
     /* 1075834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075844 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1075847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075866 */     // GIR_Coverage, 23541,
     /* 1075866 */     GIR_EraseRootFromParent_Done,
     /* 1075867 */   // Label 15843: @1075867
     /* 1075867 */   GIM_Try, /*On fail goto*//*Label 15844*/ GIMT_Encode4(1075944), // Rule ID 23542 //
     /* 1075872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1075875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1075883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1075886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1075889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075911 */     // MIs[0] policy
     /* 1075911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075921 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1075924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075943 */     // GIR_Coverage, 23542,
     /* 1075943 */     GIR_EraseRootFromParent_Done,
     /* 1075944 */   // Label 15844: @1075944
     /* 1075944 */   GIM_Try, /*On fail goto*//*Label 15845*/ GIMT_Encode4(1076021), // Rule ID 23545 //
     /* 1075949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1075952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1075960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1075963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1075966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075988 */     // MIs[0] policy
     /* 1075988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075998 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1076017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076020 */     // GIR_Coverage, 23545,
     /* 1076020 */     GIR_EraseRootFromParent_Done,
     /* 1076021 */   // Label 15845: @1076021
     /* 1076021 */   GIM_Try, /*On fail goto*//*Label 15846*/ GIMT_Encode4(1076098), // Rule ID 23546 //
     /* 1076026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1076029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1076037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1076040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1076043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076065 */     // MIs[0] policy
     /* 1076065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076075 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1076094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076097 */     // GIR_Coverage, 23546,
     /* 1076097 */     GIR_EraseRootFromParent_Done,
     /* 1076098 */   // Label 15846: @1076098
     /* 1076098 */   GIM_Try, /*On fail goto*//*Label 15847*/ GIMT_Encode4(1076175), // Rule ID 23637 //
     /* 1076103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1076111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1076114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1076117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1076120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076142 */     // MIs[0] policy
     /* 1076142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076152 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1076155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076174 */     // GIR_Coverage, 23637,
     /* 1076174 */     GIR_EraseRootFromParent_Done,
     /* 1076175 */   // Label 15847: @1076175
     /* 1076175 */   GIM_Try, /*On fail goto*//*Label 15848*/ GIMT_Encode4(1076252), // Rule ID 23638 //
     /* 1076180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1076188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1076191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1076194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1076197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076219 */     // MIs[0] policy
     /* 1076219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076229 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1076232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076251 */     // GIR_Coverage, 23638,
     /* 1076251 */     GIR_EraseRootFromParent_Done,
     /* 1076252 */   // Label 15848: @1076252
     /* 1076252 */   GIM_Try, /*On fail goto*//*Label 15849*/ GIMT_Encode4(1076329), // Rule ID 23641 //
     /* 1076257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1076265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1076268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1076271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1076274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076296 */     // MIs[0] policy
     /* 1076296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076306 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1076309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076328 */     // GIR_Coverage, 23641,
     /* 1076328 */     GIR_EraseRootFromParent_Done,
     /* 1076329 */   // Label 15849: @1076329
     /* 1076329 */   GIM_Try, /*On fail goto*//*Label 15850*/ GIMT_Encode4(1076406), // Rule ID 23642 //
     /* 1076334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1076342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1076345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1076348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1076351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076373 */     // MIs[0] policy
     /* 1076373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076383 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1076386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076405 */     // GIR_Coverage, 23642,
     /* 1076405 */     GIR_EraseRootFromParent_Done,
     /* 1076406 */   // Label 15850: @1076406
     /* 1076406 */   GIM_Try, /*On fail goto*//*Label 15851*/ GIMT_Encode4(1076483), // Rule ID 23645 //
     /* 1076411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1076419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1076422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1076425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1076428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076450 */     // MIs[0] policy
     /* 1076450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076460 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1076463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076482 */     // GIR_Coverage, 23645,
     /* 1076482 */     GIR_EraseRootFromParent_Done,
     /* 1076483 */   // Label 15851: @1076483
     /* 1076483 */   GIM_Try, /*On fail goto*//*Label 15852*/ GIMT_Encode4(1076560), // Rule ID 23646 //
     /* 1076488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1076496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1076499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1076502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1076505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076527 */     // MIs[0] policy
     /* 1076527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076537 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1076540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076559 */     // GIR_Coverage, 23646,
     /* 1076559 */     GIR_EraseRootFromParent_Done,
     /* 1076560 */   // Label 15852: @1076560
     /* 1076560 */   GIM_Try, /*On fail goto*//*Label 15853*/ GIMT_Encode4(1076637), // Rule ID 23649 //
     /* 1076565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1076573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1076576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1076579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1076582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076604 */     // MIs[0] policy
     /* 1076604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076614 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1076617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076636 */     // GIR_Coverage, 23649,
     /* 1076636 */     GIR_EraseRootFromParent_Done,
     /* 1076637 */   // Label 15853: @1076637
     /* 1076637 */   GIM_Try, /*On fail goto*//*Label 15854*/ GIMT_Encode4(1076714), // Rule ID 23650 //
     /* 1076642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1076650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1076653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1076656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1076659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076681 */     // MIs[0] policy
     /* 1076681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076691 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1076694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076713 */     // GIR_Coverage, 23650,
     /* 1076713 */     GIR_EraseRootFromParent_Done,
     /* 1076714 */   // Label 15854: @1076714
     /* 1076714 */   GIM_Try, /*On fail goto*//*Label 15855*/ GIMT_Encode4(1076791), // Rule ID 23653 //
     /* 1076719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1076727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1076730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1076733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1076736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076758 */     // MIs[0] policy
     /* 1076758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076768 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1076771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076790 */     // GIR_Coverage, 23653,
     /* 1076790 */     GIR_EraseRootFromParent_Done,
     /* 1076791 */   // Label 15855: @1076791
     /* 1076791 */   GIM_Try, /*On fail goto*//*Label 15856*/ GIMT_Encode4(1076868), // Rule ID 23654 //
     /* 1076796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1076804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1076807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1076810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1076813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076835 */     // MIs[0] policy
     /* 1076835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076845 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1076848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076867 */     // GIR_Coverage, 23654,
     /* 1076867 */     GIR_EraseRootFromParent_Done,
     /* 1076868 */   // Label 15856: @1076868
     /* 1076868 */   GIM_Try, /*On fail goto*//*Label 15857*/ GIMT_Encode4(1076945), // Rule ID 23657 //
     /* 1076873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1076881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1076884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1076887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1076890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076912 */     // MIs[0] policy
     /* 1076912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076922 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1076925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076944 */     // GIR_Coverage, 23657,
     /* 1076944 */     GIR_EraseRootFromParent_Done,
     /* 1076945 */   // Label 15857: @1076945
     /* 1076945 */   GIM_Try, /*On fail goto*//*Label 15858*/ GIMT_Encode4(1077022), // Rule ID 23658 //
     /* 1076950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1076958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1076961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1076964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1076967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076989 */     // MIs[0] policy
     /* 1076989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076999 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1077002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077021 */     // GIR_Coverage, 23658,
     /* 1077021 */     GIR_EraseRootFromParent_Done,
     /* 1077022 */   // Label 15858: @1077022
     /* 1077022 */   GIM_Try, /*On fail goto*//*Label 15859*/ GIMT_Encode4(1077099), // Rule ID 23661 //
     /* 1077027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1077038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1077041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1077044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077066 */     // MIs[0] policy
     /* 1077066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077076 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1077079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077098 */     // GIR_Coverage, 23661,
     /* 1077098 */     GIR_EraseRootFromParent_Done,
     /* 1077099 */   // Label 15859: @1077099
     /* 1077099 */   GIM_Try, /*On fail goto*//*Label 15860*/ GIMT_Encode4(1077176), // Rule ID 23662 //
     /* 1077104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1077115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1077118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1077121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077143 */     // MIs[0] policy
     /* 1077143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077153 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1077156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077175 */     // GIR_Coverage, 23662,
     /* 1077175 */     GIR_EraseRootFromParent_Done,
     /* 1077176 */   // Label 15860: @1077176
     /* 1077176 */   GIM_Try, /*On fail goto*//*Label 15861*/ GIMT_Encode4(1077253), // Rule ID 23665 //
     /* 1077181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1077192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1077195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1077198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077220 */     // MIs[0] policy
     /* 1077220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077230 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1077233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077252 */     // GIR_Coverage, 23665,
     /* 1077252 */     GIR_EraseRootFromParent_Done,
     /* 1077253 */   // Label 15861: @1077253
     /* 1077253 */   GIM_Try, /*On fail goto*//*Label 15862*/ GIMT_Encode4(1077330), // Rule ID 23666 //
     /* 1077258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1077269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1077272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1077275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077297 */     // MIs[0] policy
     /* 1077297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077307 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1077310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077329 */     // GIR_Coverage, 23666,
     /* 1077329 */     GIR_EraseRootFromParent_Done,
     /* 1077330 */   // Label 15862: @1077330
     /* 1077330 */   GIM_Try, /*On fail goto*//*Label 15863*/ GIMT_Encode4(1077407), // Rule ID 23669 //
     /* 1077335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1077346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1077349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1077352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077374 */     // MIs[0] policy
     /* 1077374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077384 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1077387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077406 */     // GIR_Coverage, 23669,
     /* 1077406 */     GIR_EraseRootFromParent_Done,
     /* 1077407 */   // Label 15863: @1077407
     /* 1077407 */   GIM_Try, /*On fail goto*//*Label 15864*/ GIMT_Encode4(1077484), // Rule ID 23670 //
     /* 1077412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1077423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1077426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1077429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077451 */     // MIs[0] policy
     /* 1077451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077461 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1077464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077483 */     // GIR_Coverage, 23670,
     /* 1077483 */     GIR_EraseRootFromParent_Done,
     /* 1077484 */   // Label 15864: @1077484
     /* 1077484 */   GIM_Try, /*On fail goto*//*Label 15865*/ GIMT_Encode4(1077561), // Rule ID 23673 //
     /* 1077489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1077492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1077500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1077503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1077506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077528 */     // MIs[0] policy
     /* 1077528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077538 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1077541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077560 */     // GIR_Coverage, 23673,
     /* 1077560 */     GIR_EraseRootFromParent_Done,
     /* 1077561 */   // Label 15865: @1077561
     /* 1077561 */   GIM_Try, /*On fail goto*//*Label 15866*/ GIMT_Encode4(1077638), // Rule ID 23674 //
     /* 1077566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1077569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1077577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1077580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1077583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077605 */     // MIs[0] policy
     /* 1077605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077615 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1077618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077637 */     // GIR_Coverage, 23674,
     /* 1077637 */     GIR_EraseRootFromParent_Done,
     /* 1077638 */   // Label 15866: @1077638
     /* 1077638 */   GIM_Try, /*On fail goto*//*Label 15867*/ GIMT_Encode4(1077715), // Rule ID 23677 //
     /* 1077643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1077654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1077657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1077660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077682 */     // MIs[0] policy
     /* 1077682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077692 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1077695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077714 */     // GIR_Coverage, 23677,
     /* 1077714 */     GIR_EraseRootFromParent_Done,
     /* 1077715 */   // Label 15867: @1077715
     /* 1077715 */   GIM_Try, /*On fail goto*//*Label 15868*/ GIMT_Encode4(1077792), // Rule ID 23678 //
     /* 1077720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1077731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1077734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1077737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077759 */     // MIs[0] policy
     /* 1077759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077769 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1077772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077791 */     // GIR_Coverage, 23678,
     /* 1077791 */     GIR_EraseRootFromParent_Done,
     /* 1077792 */   // Label 15868: @1077792
     /* 1077792 */   GIM_Try, /*On fail goto*//*Label 15869*/ GIMT_Encode4(1077869), // Rule ID 23681 //
     /* 1077797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1077808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1077811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1077814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077836 */     // MIs[0] policy
     /* 1077836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077846 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1077849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077868 */     // GIR_Coverage, 23681,
     /* 1077868 */     GIR_EraseRootFromParent_Done,
     /* 1077869 */   // Label 15869: @1077869
     /* 1077869 */   GIM_Try, /*On fail goto*//*Label 15870*/ GIMT_Encode4(1077946), // Rule ID 23682 //
     /* 1077874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1077885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1077888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1077891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077913 */     // MIs[0] policy
     /* 1077913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077923 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1077926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077945 */     // GIR_Coverage, 23682,
     /* 1077945 */     GIR_EraseRootFromParent_Done,
     /* 1077946 */   // Label 15870: @1077946
     /* 1077946 */   GIM_Try, /*On fail goto*//*Label 15871*/ GIMT_Encode4(1078023), // Rule ID 23685 //
     /* 1077951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1077962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1077965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1077968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077990 */     // MIs[0] policy
     /* 1077990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078000 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1078003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078022 */     // GIR_Coverage, 23685,
     /* 1078022 */     GIR_EraseRootFromParent_Done,
     /* 1078023 */   // Label 15871: @1078023
     /* 1078023 */   GIM_Try, /*On fail goto*//*Label 15872*/ GIMT_Encode4(1078100), // Rule ID 23686 //
     /* 1078028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1078039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1078042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1078045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078067 */     // MIs[0] policy
     /* 1078067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078077 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1078080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1078096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078099 */     // GIR_Coverage, 23686,
     /* 1078099 */     GIR_EraseRootFromParent_Done,
     /* 1078100 */   // Label 15872: @1078100
     /* 1078100 */   GIM_Try, /*On fail goto*//*Label 15873*/ GIMT_Encode4(1078177), // Rule ID 23689 //
     /* 1078105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1078116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1078119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1078122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078144 */     // MIs[0] policy
     /* 1078144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078154 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1078157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078176 */     // GIR_Coverage, 23689,
     /* 1078176 */     GIR_EraseRootFromParent_Done,
     /* 1078177 */   // Label 15873: @1078177
     /* 1078177 */   GIM_Try, /*On fail goto*//*Label 15874*/ GIMT_Encode4(1078254), // Rule ID 23690 //
     /* 1078182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1078193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1078196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1078199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078221 */     // MIs[0] policy
     /* 1078221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078231 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1078234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078253 */     // GIR_Coverage, 23690,
     /* 1078253 */     GIR_EraseRootFromParent_Done,
     /* 1078254 */   // Label 15874: @1078254
     /* 1078254 */   GIM_Try, /*On fail goto*//*Label 15875*/ GIMT_Encode4(1078331), // Rule ID 23693 //
     /* 1078259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1078270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1078273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1078276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078298 */     // MIs[0] policy
     /* 1078298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078308 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1078311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078330 */     // GIR_Coverage, 23693,
     /* 1078330 */     GIR_EraseRootFromParent_Done,
     /* 1078331 */   // Label 15875: @1078331
     /* 1078331 */   GIM_Try, /*On fail goto*//*Label 15876*/ GIMT_Encode4(1078408), // Rule ID 23694 //
     /* 1078336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1078347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1078350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1078353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078375 */     // MIs[0] policy
     /* 1078375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078385 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1078388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078407 */     // GIR_Coverage, 23694,
     /* 1078407 */     GIR_EraseRootFromParent_Done,
     /* 1078408 */   // Label 15876: @1078408
     /* 1078408 */   GIM_Try, /*On fail goto*//*Label 15877*/ GIMT_Encode4(1078485), // Rule ID 23697 //
     /* 1078413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1078424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1078427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1078430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078452 */     // MIs[0] policy
     /* 1078452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078462 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1078465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078484 */     // GIR_Coverage, 23697,
     /* 1078484 */     GIR_EraseRootFromParent_Done,
     /* 1078485 */   // Label 15877: @1078485
     /* 1078485 */   GIM_Try, /*On fail goto*//*Label 15878*/ GIMT_Encode4(1078562), // Rule ID 23698 //
     /* 1078490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1078501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1078504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1078507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078529 */     // MIs[0] policy
     /* 1078529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078539 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1078542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078561 */     // GIR_Coverage, 23698,
     /* 1078561 */     GIR_EraseRootFromParent_Done,
     /* 1078562 */   // Label 15878: @1078562
     /* 1078562 */   GIM_Try, /*On fail goto*//*Label 15879*/ GIMT_Encode4(1078639), // Rule ID 23701 //
     /* 1078567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1078578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1078581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1078584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078606 */     // MIs[0] policy
     /* 1078606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078616 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1078619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078638 */     // GIR_Coverage, 23701,
     /* 1078638 */     GIR_EraseRootFromParent_Done,
     /* 1078639 */   // Label 15879: @1078639
     /* 1078639 */   GIM_Try, /*On fail goto*//*Label 15880*/ GIMT_Encode4(1078716), // Rule ID 23702 //
     /* 1078644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1078655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1078658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1078661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078683 */     // MIs[0] policy
     /* 1078683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078693 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1078696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078715 */     // GIR_Coverage, 23702,
     /* 1078715 */     GIR_EraseRootFromParent_Done,
     /* 1078716 */   // Label 15880: @1078716
     /* 1078716 */   GIM_Try, /*On fail goto*//*Label 15881*/ GIMT_Encode4(1078793), // Rule ID 23705 //
     /* 1078721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1078732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1078735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1078738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078760 */     // MIs[0] policy
     /* 1078760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078770 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1078773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078792 */     // GIR_Coverage, 23705,
     /* 1078792 */     GIR_EraseRootFromParent_Done,
     /* 1078793 */   // Label 15881: @1078793
     /* 1078793 */   GIM_Try, /*On fail goto*//*Label 15882*/ GIMT_Encode4(1078870), // Rule ID 23706 //
     /* 1078798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1078809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1078812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1078815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078837 */     // MIs[0] policy
     /* 1078837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078847 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1078850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078869 */     // GIR_Coverage, 23706,
     /* 1078869 */     GIR_EraseRootFromParent_Done,
     /* 1078870 */   // Label 15882: @1078870
     /* 1078870 */   GIM_Try, /*On fail goto*//*Label 15883*/ GIMT_Encode4(1078947), // Rule ID 23709 //
     /* 1078875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1078886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1078889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1078892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078914 */     // MIs[0] policy
     /* 1078914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078924 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1078927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078946 */     // GIR_Coverage, 23709,
     /* 1078946 */     GIR_EraseRootFromParent_Done,
     /* 1078947 */   // Label 15883: @1078947
     /* 1078947 */   GIM_Try, /*On fail goto*//*Label 15884*/ GIMT_Encode4(1079024), // Rule ID 23710 //
     /* 1078952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1078963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1078966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1078969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078991 */     // MIs[0] policy
     /* 1078991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079001 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1079004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079023 */     // GIR_Coverage, 23710,
     /* 1079023 */     GIR_EraseRootFromParent_Done,
     /* 1079024 */   // Label 15884: @1079024
     /* 1079024 */   GIM_Try, /*On fail goto*//*Label 15885*/ GIMT_Encode4(1079101), // Rule ID 23713 //
     /* 1079029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1079032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1079040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1079043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1079046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079068 */     // MIs[0] policy
     /* 1079068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079078 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079100 */     // GIR_Coverage, 23713,
     /* 1079100 */     GIR_EraseRootFromParent_Done,
     /* 1079101 */   // Label 15885: @1079101
     /* 1079101 */   GIM_Try, /*On fail goto*//*Label 15886*/ GIMT_Encode4(1079178), // Rule ID 23714 //
     /* 1079106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1079109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1079117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1079120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1079123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079145 */     // MIs[0] policy
     /* 1079145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079155 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079177 */     // GIR_Coverage, 23714,
     /* 1079177 */     GIR_EraseRootFromParent_Done,
     /* 1079178 */   // Label 15886: @1079178
     /* 1079178 */   GIM_Try, /*On fail goto*//*Label 15887*/ GIMT_Encode4(1079255), // Rule ID 23717 //
     /* 1079183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1079186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1079194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1079197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1079200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079222 */     // MIs[0] policy
     /* 1079222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079232 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1079235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079254 */     // GIR_Coverage, 23717,
     /* 1079254 */     GIR_EraseRootFromParent_Done,
     /* 1079255 */   // Label 15887: @1079255
     /* 1079255 */   GIM_Try, /*On fail goto*//*Label 15888*/ GIMT_Encode4(1079332), // Rule ID 23718 //
     /* 1079260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1079263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1079271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1079274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1079277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079299 */     // MIs[0] policy
     /* 1079299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079309 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1079312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079331 */     // GIR_Coverage, 23718,
     /* 1079331 */     GIR_EraseRootFromParent_Done,
     /* 1079332 */   // Label 15888: @1079332
     /* 1079332 */   GIM_Try, /*On fail goto*//*Label 15889*/ GIMT_Encode4(1079409), // Rule ID 23721 //
     /* 1079337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1079340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1079348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1079351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1079354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079376 */     // MIs[0] policy
     /* 1079376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079386 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1079389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079408 */     // GIR_Coverage, 23721,
     /* 1079408 */     GIR_EraseRootFromParent_Done,
     /* 1079409 */   // Label 15889: @1079409
     /* 1079409 */   GIM_Try, /*On fail goto*//*Label 15890*/ GIMT_Encode4(1079486), // Rule ID 23722 //
     /* 1079414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1079417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1079425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1079428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1079431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079453 */     // MIs[0] policy
     /* 1079453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079463 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1079466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079485 */     // GIR_Coverage, 23722,
     /* 1079485 */     GIR_EraseRootFromParent_Done,
     /* 1079486 */   // Label 15890: @1079486
     /* 1079486 */   GIM_Try, /*On fail goto*//*Label 15891*/ GIMT_Encode4(1079563), // Rule ID 23989 //
     /* 1079491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1079494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1079502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1079505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1079508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079530 */     // MIs[0] policy
     /* 1079530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079540 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1079543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079562 */     // GIR_Coverage, 23989,
     /* 1079562 */     GIR_EraseRootFromParent_Done,
     /* 1079563 */   // Label 15891: @1079563
     /* 1079563 */   GIM_Try, /*On fail goto*//*Label 15892*/ GIMT_Encode4(1079640), // Rule ID 23990 //
     /* 1079568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1079571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1079579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1079582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1079585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079607 */     // MIs[0] policy
     /* 1079607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079617 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1079620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079639 */     // GIR_Coverage, 23990,
     /* 1079639 */     GIR_EraseRootFromParent_Done,
     /* 1079640 */   // Label 15892: @1079640
     /* 1079640 */   GIM_Try, /*On fail goto*//*Label 15893*/ GIMT_Encode4(1079717), // Rule ID 23993 //
     /* 1079645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1079648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1079656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1079659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1079662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079684 */     // MIs[0] policy
     /* 1079684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079694 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1079697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079716 */     // GIR_Coverage, 23993,
     /* 1079716 */     GIR_EraseRootFromParent_Done,
     /* 1079717 */   // Label 15893: @1079717
     /* 1079717 */   GIM_Try, /*On fail goto*//*Label 15894*/ GIMT_Encode4(1079794), // Rule ID 23994 //
     /* 1079722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1079725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1079733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1079736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1079739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079761 */     // MIs[0] policy
     /* 1079761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079771 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1079774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079793 */     // GIR_Coverage, 23994,
     /* 1079793 */     GIR_EraseRootFromParent_Done,
     /* 1079794 */   // Label 15894: @1079794
     /* 1079794 */   GIM_Try, /*On fail goto*//*Label 15895*/ GIMT_Encode4(1079871), // Rule ID 23997 //
     /* 1079799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1079802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1079810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1079813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1079816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079838 */     // MIs[0] policy
     /* 1079838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079848 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1079851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079870 */     // GIR_Coverage, 23997,
     /* 1079870 */     GIR_EraseRootFromParent_Done,
     /* 1079871 */   // Label 15895: @1079871
     /* 1079871 */   GIM_Try, /*On fail goto*//*Label 15896*/ GIMT_Encode4(1079948), // Rule ID 23998 //
     /* 1079876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1079879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1079887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1079890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1079893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079915 */     // MIs[0] policy
     /* 1079915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079925 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1079928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079947 */     // GIR_Coverage, 23998,
     /* 1079947 */     GIR_EraseRootFromParent_Done,
     /* 1079948 */   // Label 15896: @1079948
     /* 1079948 */   GIM_Try, /*On fail goto*//*Label 15897*/ GIMT_Encode4(1080025), // Rule ID 24001 //
     /* 1079953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1079956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1079964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1079967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1079970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079992 */     // MIs[0] policy
     /* 1079992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080002 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1080005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080024 */     // GIR_Coverage, 24001,
     /* 1080024 */     GIR_EraseRootFromParent_Done,
     /* 1080025 */   // Label 15897: @1080025
     /* 1080025 */   GIM_Try, /*On fail goto*//*Label 15898*/ GIMT_Encode4(1080102), // Rule ID 24002 //
     /* 1080030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1080033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1080041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1080044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1080047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080069 */     // MIs[0] policy
     /* 1080069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080079 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1080082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080101 */     // GIR_Coverage, 24002,
     /* 1080101 */     GIR_EraseRootFromParent_Done,
     /* 1080102 */   // Label 15898: @1080102
     /* 1080102 */   GIM_Try, /*On fail goto*//*Label 15899*/ GIMT_Encode4(1080179), // Rule ID 24005 //
     /* 1080107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1080110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1080118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1080121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1080124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080146 */     // MIs[0] policy
     /* 1080146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080156 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1080159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080178 */     // GIR_Coverage, 24005,
     /* 1080178 */     GIR_EraseRootFromParent_Done,
     /* 1080179 */   // Label 15899: @1080179
     /* 1080179 */   GIM_Try, /*On fail goto*//*Label 15900*/ GIMT_Encode4(1080256), // Rule ID 24006 //
     /* 1080184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1080187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1080195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1080198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1080201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080223 */     // MIs[0] policy
     /* 1080223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080233 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1080236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080255 */     // GIR_Coverage, 24006,
     /* 1080255 */     GIR_EraseRootFromParent_Done,
     /* 1080256 */   // Label 15900: @1080256
     /* 1080256 */   GIM_Try, /*On fail goto*//*Label 15901*/ GIMT_Encode4(1080333), // Rule ID 24009 //
     /* 1080261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1080264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1080272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1080275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1080278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080300 */     // MIs[0] policy
     /* 1080300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080310 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1080313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080332 */     // GIR_Coverage, 24009,
     /* 1080332 */     GIR_EraseRootFromParent_Done,
     /* 1080333 */   // Label 15901: @1080333
     /* 1080333 */   GIM_Try, /*On fail goto*//*Label 15902*/ GIMT_Encode4(1080410), // Rule ID 24010 //
     /* 1080338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1080341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1080349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1080352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1080355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080377 */     // MIs[0] policy
     /* 1080377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080387 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1080390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080409 */     // GIR_Coverage, 24010,
     /* 1080409 */     GIR_EraseRootFromParent_Done,
     /* 1080410 */   // Label 15902: @1080410
     /* 1080410 */   GIM_Try, /*On fail goto*//*Label 15903*/ GIMT_Encode4(1080487), // Rule ID 24013 //
     /* 1080415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1080418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1080426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1080429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1080432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080454 */     // MIs[0] policy
     /* 1080454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080464 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1080467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080486 */     // GIR_Coverage, 24013,
     /* 1080486 */     GIR_EraseRootFromParent_Done,
     /* 1080487 */   // Label 15903: @1080487
     /* 1080487 */   GIM_Try, /*On fail goto*//*Label 15904*/ GIMT_Encode4(1080564), // Rule ID 24014 //
     /* 1080492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1080495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1080503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1080506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1080509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080531 */     // MIs[0] policy
     /* 1080531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080541 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1080544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080563 */     // GIR_Coverage, 24014,
     /* 1080563 */     GIR_EraseRootFromParent_Done,
     /* 1080564 */   // Label 15904: @1080564
     /* 1080564 */   GIM_Try, /*On fail goto*//*Label 15905*/ GIMT_Encode4(1080641), // Rule ID 24017 //
     /* 1080569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1080572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1080580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1080583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1080586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080608 */     // MIs[0] policy
     /* 1080608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080618 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1080621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080640 */     // GIR_Coverage, 24017,
     /* 1080640 */     GIR_EraseRootFromParent_Done,
     /* 1080641 */   // Label 15905: @1080641
     /* 1080641 */   GIM_Try, /*On fail goto*//*Label 15906*/ GIMT_Encode4(1080718), // Rule ID 24018 //
     /* 1080646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1080649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1080657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1080660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1080663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080685 */     // MIs[0] policy
     /* 1080685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080695 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1080698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080717 */     // GIR_Coverage, 24018,
     /* 1080717 */     GIR_EraseRootFromParent_Done,
     /* 1080718 */   // Label 15906: @1080718
     /* 1080718 */   GIM_Try, /*On fail goto*//*Label 15907*/ GIMT_Encode4(1080795), // Rule ID 24021 //
     /* 1080723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1080726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1080734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1080737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1080740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080762 */     // MIs[0] policy
     /* 1080762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080772 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1080775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080794 */     // GIR_Coverage, 24021,
     /* 1080794 */     GIR_EraseRootFromParent_Done,
     /* 1080795 */   // Label 15907: @1080795
     /* 1080795 */   GIM_Try, /*On fail goto*//*Label 15908*/ GIMT_Encode4(1080872), // Rule ID 24022 //
     /* 1080800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1080803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1080811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1080814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1080817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1080835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080839 */     // MIs[0] policy
     /* 1080839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080849 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1080852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080871 */     // GIR_Coverage, 24022,
     /* 1080871 */     GIR_EraseRootFromParent_Done,
     /* 1080872 */   // Label 15908: @1080872
     /* 1080872 */   GIM_Try, /*On fail goto*//*Label 15909*/ GIMT_Encode4(1080949), // Rule ID 24025 //
     /* 1080877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1080880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1080888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1080891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1080894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080916 */     // MIs[0] policy
     /* 1080916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080926 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1080929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080948 */     // GIR_Coverage, 24025,
     /* 1080948 */     GIR_EraseRootFromParent_Done,
     /* 1080949 */   // Label 15909: @1080949
     /* 1080949 */   GIM_Try, /*On fail goto*//*Label 15910*/ GIMT_Encode4(1081026), // Rule ID 24026 //
     /* 1080954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1080957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1080965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1080968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1080971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080993 */     // MIs[0] policy
     /* 1080993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081003 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1081006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081025 */     // GIR_Coverage, 24026,
     /* 1081025 */     GIR_EraseRootFromParent_Done,
     /* 1081026 */   // Label 15910: @1081026
     /* 1081026 */   GIM_Try, /*On fail goto*//*Label 15911*/ GIMT_Encode4(1081103), // Rule ID 24029 //
     /* 1081031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1081034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1081042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1081045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1081048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081070 */     // MIs[0] policy
     /* 1081070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081080 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081102 */     // GIR_Coverage, 24029,
     /* 1081102 */     GIR_EraseRootFromParent_Done,
     /* 1081103 */   // Label 15911: @1081103
     /* 1081103 */   GIM_Try, /*On fail goto*//*Label 15912*/ GIMT_Encode4(1081180), // Rule ID 24030 //
     /* 1081108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1081111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1081119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1081122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1081125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081147 */     // MIs[0] policy
     /* 1081147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081157 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081179 */     // GIR_Coverage, 24030,
     /* 1081179 */     GIR_EraseRootFromParent_Done,
     /* 1081180 */   // Label 15912: @1081180
     /* 1081180 */   GIM_Try, /*On fail goto*//*Label 15913*/ GIMT_Encode4(1081257), // Rule ID 24033 //
     /* 1081185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1081188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1081196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1081199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1081202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081224 */     // MIs[0] policy
     /* 1081224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081234 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1081237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081256 */     // GIR_Coverage, 24033,
     /* 1081256 */     GIR_EraseRootFromParent_Done,
     /* 1081257 */   // Label 15913: @1081257
     /* 1081257 */   GIM_Try, /*On fail goto*//*Label 15914*/ GIMT_Encode4(1081334), // Rule ID 24034 //
     /* 1081262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1081265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1081273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1081276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1081279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081301 */     // MIs[0] policy
     /* 1081301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081311 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1081314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081333 */     // GIR_Coverage, 24034,
     /* 1081333 */     GIR_EraseRootFromParent_Done,
     /* 1081334 */   // Label 15914: @1081334
     /* 1081334 */   GIM_Try, /*On fail goto*//*Label 15915*/ GIMT_Encode4(1081411), // Rule ID 24037 //
     /* 1081339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1081342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1081350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1081353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1081356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081378 */     // MIs[0] policy
     /* 1081378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081388 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1081391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081410 */     // GIR_Coverage, 24037,
     /* 1081410 */     GIR_EraseRootFromParent_Done,
     /* 1081411 */   // Label 15915: @1081411
     /* 1081411 */   GIM_Try, /*On fail goto*//*Label 15916*/ GIMT_Encode4(1081488), // Rule ID 24038 //
     /* 1081416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1081419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1081427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1081430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1081433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081455 */     // MIs[0] policy
     /* 1081455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081465 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11450:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1081468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081487 */     // GIR_Coverage, 24038,
     /* 1081487 */     GIR_EraseRootFromParent_Done,
     /* 1081488 */   // Label 15916: @1081488
     /* 1081488 */   GIM_Try, /*On fail goto*//*Label 15917*/ GIMT_Encode4(1081565), // Rule ID 24041 //
     /* 1081493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1081496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1081504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1081507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1081510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081532 */     // MIs[0] policy
     /* 1081532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081542 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081564 */     // GIR_Coverage, 24041,
     /* 1081564 */     GIR_EraseRootFromParent_Done,
     /* 1081565 */   // Label 15917: @1081565
     /* 1081565 */   GIM_Try, /*On fail goto*//*Label 15918*/ GIMT_Encode4(1081642), // Rule ID 24042 //
     /* 1081570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1081573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1081581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1081584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1081587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081609 */     // MIs[0] policy
     /* 1081609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081619 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11450:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081641 */     // GIR_Coverage, 24042,
     /* 1081641 */     GIR_EraseRootFromParent_Done,
     /* 1081642 */   // Label 15918: @1081642
     /* 1081642 */   GIM_Try, /*On fail goto*//*Label 15919*/ GIMT_Encode4(1081719), // Rule ID 24045 //
     /* 1081647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1081650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1081658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1081661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1081664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081686 */     // MIs[0] policy
     /* 1081686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081696 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1081699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081718 */     // GIR_Coverage, 24045,
     /* 1081718 */     GIR_EraseRootFromParent_Done,
     /* 1081719 */   // Label 15919: @1081719
     /* 1081719 */   GIM_Try, /*On fail goto*//*Label 15920*/ GIMT_Encode4(1081796), // Rule ID 24046 //
     /* 1081724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1081727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1081735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1081738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1081741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081763 */     // MIs[0] policy
     /* 1081763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081773 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11450:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1081776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081795 */     // GIR_Coverage, 24046,
     /* 1081795 */     GIR_EraseRootFromParent_Done,
     /* 1081796 */   // Label 15920: @1081796
     /* 1081796 */   GIM_Try, /*On fail goto*//*Label 15921*/ GIMT_Encode4(1081873), // Rule ID 24109 //
     /* 1081801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1081804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1081809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1081812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1081815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1081818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081840 */     // MIs[0] policy
     /* 1081840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081850 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1081853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081872 */     // GIR_Coverage, 24109,
     /* 1081872 */     GIR_EraseRootFromParent_Done,
     /* 1081873 */   // Label 15921: @1081873
     /* 1081873 */   GIM_Try, /*On fail goto*//*Label 15922*/ GIMT_Encode4(1081950), // Rule ID 24110 //
     /* 1081878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1081881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1081886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1081889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1081892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1081895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081917 */     // MIs[0] policy
     /* 1081917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081927 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1081930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081949 */     // GIR_Coverage, 24110,
     /* 1081949 */     GIR_EraseRootFromParent_Done,
     /* 1081950 */   // Label 15922: @1081950
     /* 1081950 */   GIM_Try, /*On fail goto*//*Label 15923*/ GIMT_Encode4(1082027), // Rule ID 24113 //
     /* 1081955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1081958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1081963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1081966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1081969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1081972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081994 */     // MIs[0] policy
     /* 1081994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082004 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1082007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082026 */     // GIR_Coverage, 24113,
     /* 1082026 */     GIR_EraseRootFromParent_Done,
     /* 1082027 */   // Label 15923: @1082027
     /* 1082027 */   GIM_Try, /*On fail goto*//*Label 15924*/ GIMT_Encode4(1082104), // Rule ID 24114 //
     /* 1082032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1082035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1082043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1082046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1082049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082071 */     // MIs[0] policy
     /* 1082071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082081 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1082084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082103 */     // GIR_Coverage, 24114,
     /* 1082103 */     GIR_EraseRootFromParent_Done,
     /* 1082104 */   // Label 15924: @1082104
     /* 1082104 */   GIM_Try, /*On fail goto*//*Label 15925*/ GIMT_Encode4(1082181), // Rule ID 24117 //
     /* 1082109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1082112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1082120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1082123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1082126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082148 */     // MIs[0] policy
     /* 1082148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082158 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1082161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082180 */     // GIR_Coverage, 24117,
     /* 1082180 */     GIR_EraseRootFromParent_Done,
     /* 1082181 */   // Label 15925: @1082181
     /* 1082181 */   GIM_Try, /*On fail goto*//*Label 15926*/ GIMT_Encode4(1082258), // Rule ID 24118 //
     /* 1082186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1082189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1082197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1082200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1082203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082225 */     // MIs[0] policy
     /* 1082225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082235 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1082238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082257 */     // GIR_Coverage, 24118,
     /* 1082257 */     GIR_EraseRootFromParent_Done,
     /* 1082258 */   // Label 15926: @1082258
     /* 1082258 */   GIM_Try, /*On fail goto*//*Label 15927*/ GIMT_Encode4(1082335), // Rule ID 24121 //
     /* 1082263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1082266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1082274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1082277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1082280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082302 */     // MIs[0] policy
     /* 1082302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082312 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1082315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082334 */     // GIR_Coverage, 24121,
     /* 1082334 */     GIR_EraseRootFromParent_Done,
     /* 1082335 */   // Label 15927: @1082335
     /* 1082335 */   GIM_Try, /*On fail goto*//*Label 15928*/ GIMT_Encode4(1082412), // Rule ID 24122 //
     /* 1082340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1082343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1082351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1082354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1082357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082379 */     // MIs[0] policy
     /* 1082379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082389 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1082392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082411 */     // GIR_Coverage, 24122,
     /* 1082411 */     GIR_EraseRootFromParent_Done,
     /* 1082412 */   // Label 15928: @1082412
     /* 1082412 */   GIM_Try, /*On fail goto*//*Label 15929*/ GIMT_Encode4(1082489), // Rule ID 24125 //
     /* 1082417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1082420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1082428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1082431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1082434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082456 */     // MIs[0] policy
     /* 1082456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082466 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1082469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082488 */     // GIR_Coverage, 24125,
     /* 1082488 */     GIR_EraseRootFromParent_Done,
     /* 1082489 */   // Label 15929: @1082489
     /* 1082489 */   GIM_Try, /*On fail goto*//*Label 15930*/ GIMT_Encode4(1082566), // Rule ID 24126 //
     /* 1082494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1082497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1082505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1082508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1082511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082533 */     // MIs[0] policy
     /* 1082533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082543 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1082546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082565 */     // GIR_Coverage, 24126,
     /* 1082565 */     GIR_EraseRootFromParent_Done,
     /* 1082566 */   // Label 15930: @1082566
     /* 1082566 */   GIM_Try, /*On fail goto*//*Label 15931*/ GIMT_Encode4(1082643), // Rule ID 24129 //
     /* 1082571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1082574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1082582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1082585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1082588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082610 */     // MIs[0] policy
     /* 1082610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082620 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1082623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082642 */     // GIR_Coverage, 24129,
     /* 1082642 */     GIR_EraseRootFromParent_Done,
     /* 1082643 */   // Label 15931: @1082643
     /* 1082643 */   GIM_Try, /*On fail goto*//*Label 15932*/ GIMT_Encode4(1082720), // Rule ID 24130 //
     /* 1082648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1082651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1082659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1082662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1082665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082687 */     // MIs[0] policy
     /* 1082687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082697 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1082700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082719 */     // GIR_Coverage, 24130,
     /* 1082719 */     GIR_EraseRootFromParent_Done,
     /* 1082720 */   // Label 15932: @1082720
     /* 1082720 */   GIM_Try, /*On fail goto*//*Label 15933*/ GIMT_Encode4(1082797), // Rule ID 24133 //
     /* 1082725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1082728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1082736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1082739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1082742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082764 */     // MIs[0] policy
     /* 1082764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082774 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1082777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082796 */     // GIR_Coverage, 24133,
     /* 1082796 */     GIR_EraseRootFromParent_Done,
     /* 1082797 */   // Label 15933: @1082797
     /* 1082797 */   GIM_Try, /*On fail goto*//*Label 15934*/ GIMT_Encode4(1082874), // Rule ID 24134 //
     /* 1082802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1082805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1082813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1082816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1082819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082841 */     // MIs[0] policy
     /* 1082841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082851 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1082854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082873 */     // GIR_Coverage, 24134,
     /* 1082873 */     GIR_EraseRootFromParent_Done,
     /* 1082874 */   // Label 15934: @1082874
     /* 1082874 */   GIM_Try, /*On fail goto*//*Label 15935*/ GIMT_Encode4(1082951), // Rule ID 24137 //
     /* 1082879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1082882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1082890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1082893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1082896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082918 */     // MIs[0] policy
     /* 1082918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082928 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1082931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082950 */     // GIR_Coverage, 24137,
     /* 1082950 */     GIR_EraseRootFromParent_Done,
     /* 1082951 */   // Label 15935: @1082951
     /* 1082951 */   GIM_Try, /*On fail goto*//*Label 15936*/ GIMT_Encode4(1083028), // Rule ID 24138 //
     /* 1082956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1082959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1082967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1082970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1082973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082995 */     // MIs[0] policy
     /* 1082995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083005 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1083008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083027 */     // GIR_Coverage, 24138,
     /* 1083027 */     GIR_EraseRootFromParent_Done,
     /* 1083028 */   // Label 15936: @1083028
     /* 1083028 */   GIM_Try, /*On fail goto*//*Label 15937*/ GIMT_Encode4(1083105), // Rule ID 24141 //
     /* 1083033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1083036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1083044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1083047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1083050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083072 */     // MIs[0] policy
     /* 1083072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083082 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1083085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083104 */     // GIR_Coverage, 24141,
     /* 1083104 */     GIR_EraseRootFromParent_Done,
     /* 1083105 */   // Label 15937: @1083105
     /* 1083105 */   GIM_Try, /*On fail goto*//*Label 15938*/ GIMT_Encode4(1083182), // Rule ID 24142 //
     /* 1083110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1083113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1083121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1083124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1083127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083149 */     // MIs[0] policy
     /* 1083149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083159 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1083162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083181 */     // GIR_Coverage, 24142,
     /* 1083181 */     GIR_EraseRootFromParent_Done,
     /* 1083182 */   // Label 15938: @1083182
     /* 1083182 */   GIM_Try, /*On fail goto*//*Label 15939*/ GIMT_Encode4(1083259), // Rule ID 24145 //
     /* 1083187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1083190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1083198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1083201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1083204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083226 */     // MIs[0] policy
     /* 1083226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083236 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1083239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083258 */     // GIR_Coverage, 24145,
     /* 1083258 */     GIR_EraseRootFromParent_Done,
     /* 1083259 */   // Label 15939: @1083259
     /* 1083259 */   GIM_Try, /*On fail goto*//*Label 15940*/ GIMT_Encode4(1083336), // Rule ID 24146 //
     /* 1083264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1083267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1083275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1083278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1083281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083303 */     // MIs[0] policy
     /* 1083303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083313 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1083316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083335 */     // GIR_Coverage, 24146,
     /* 1083335 */     GIR_EraseRootFromParent_Done,
     /* 1083336 */   // Label 15940: @1083336
     /* 1083336 */   GIM_Try, /*On fail goto*//*Label 15941*/ GIMT_Encode4(1083413), // Rule ID 24149 //
     /* 1083341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1083344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1083352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1083355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1083358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083380 */     // MIs[0] policy
     /* 1083380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083390 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1083393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083412 */     // GIR_Coverage, 24149,
     /* 1083412 */     GIR_EraseRootFromParent_Done,
     /* 1083413 */   // Label 15941: @1083413
     /* 1083413 */   GIM_Try, /*On fail goto*//*Label 15942*/ GIMT_Encode4(1083490), // Rule ID 24150 //
     /* 1083418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1083421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1083429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1083432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1083435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083457 */     // MIs[0] policy
     /* 1083457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083467 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1083470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083489 */     // GIR_Coverage, 24150,
     /* 1083489 */     GIR_EraseRootFromParent_Done,
     /* 1083490 */   // Label 15942: @1083490
     /* 1083490 */   GIM_Try, /*On fail goto*//*Label 15943*/ GIMT_Encode4(1083567), // Rule ID 24153 //
     /* 1083495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1083498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1083506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1083509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1083512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083534 */     // MIs[0] policy
     /* 1083534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083544 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1083547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083566 */     // GIR_Coverage, 24153,
     /* 1083566 */     GIR_EraseRootFromParent_Done,
     /* 1083567 */   // Label 15943: @1083567
     /* 1083567 */   GIM_Try, /*On fail goto*//*Label 15944*/ GIMT_Encode4(1083644), // Rule ID 24154 //
     /* 1083572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1083575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1083583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1083586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1083589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083611 */     // MIs[0] policy
     /* 1083611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083621 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1083624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083643 */     // GIR_Coverage, 24154,
     /* 1083643 */     GIR_EraseRootFromParent_Done,
     /* 1083644 */   // Label 15944: @1083644
     /* 1083644 */   GIM_Try, /*On fail goto*//*Label 15945*/ GIMT_Encode4(1083721), // Rule ID 24157 //
     /* 1083649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1083652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1083660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1083663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1083666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083688 */     // MIs[0] policy
     /* 1083688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083698 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1083701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083720 */     // GIR_Coverage, 24157,
     /* 1083720 */     GIR_EraseRootFromParent_Done,
     /* 1083721 */   // Label 15945: @1083721
     /* 1083721 */   GIM_Try, /*On fail goto*//*Label 15946*/ GIMT_Encode4(1083798), // Rule ID 24158 //
     /* 1083726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1083729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1083737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1083740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1083743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1083761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083765 */     // MIs[0] policy
     /* 1083765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083775 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11448:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1083778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083797 */     // GIR_Coverage, 24158,
     /* 1083797 */     GIR_EraseRootFromParent_Done,
     /* 1083798 */   // Label 15946: @1083798
     /* 1083798 */   GIM_Try, /*On fail goto*//*Label 15947*/ GIMT_Encode4(1083875), // Rule ID 24161 //
     /* 1083803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1083806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1083814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1083817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1083820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083842 */     // MIs[0] policy
     /* 1083842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083852 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1083855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083874 */     // GIR_Coverage, 24161,
     /* 1083874 */     GIR_EraseRootFromParent_Done,
     /* 1083875 */   // Label 15947: @1083875
     /* 1083875 */   GIM_Try, /*On fail goto*//*Label 15948*/ GIMT_Encode4(1083952), // Rule ID 24162 //
     /* 1083880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1083883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1083891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1083894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1083897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1083915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083919 */     // MIs[0] policy
     /* 1083919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083929 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11448:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1083932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1083948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083951 */     // GIR_Coverage, 24162,
     /* 1083951 */     GIR_EraseRootFromParent_Done,
     /* 1083952 */   // Label 15948: @1083952
     /* 1083952 */   GIM_Try, /*On fail goto*//*Label 15949*/ GIMT_Encode4(1084029), // Rule ID 24165 //
     /* 1083957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1083960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1083968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1083971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1083974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1083992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083996 */     // MIs[0] policy
     /* 1083996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084006 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1084025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084028 */     // GIR_Coverage, 24165,
     /* 1084028 */     GIR_EraseRootFromParent_Done,
     /* 1084029 */   // Label 15949: @1084029
     /* 1084029 */   GIM_Try, /*On fail goto*//*Label 15950*/ GIMT_Encode4(1084106), // Rule ID 24166 //
     /* 1084034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1084037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1084045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1084048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1084051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084073 */     // MIs[0] policy
     /* 1084073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084083 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11448:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1084102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084105 */     // GIR_Coverage, 24166,
     /* 1084105 */     GIR_EraseRootFromParent_Done,
     /* 1084106 */   // Label 15950: @1084106
     /* 1084106 */   GIM_Try, /*On fail goto*//*Label 15951*/ GIMT_Encode4(1084183), // Rule ID 59969 //
     /* 1084111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1084114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1084119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1084122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1084125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1084128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1084131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084150 */     // MIs[0] policy
     /* 1084150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084160 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1084163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1084165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084182 */     // GIR_Coverage, 59969,
     /* 1084182 */     GIR_EraseRootFromParent_Done,
     /* 1084183 */   // Label 15951: @1084183
     /* 1084183 */   GIM_Try, /*On fail goto*//*Label 15952*/ GIMT_Encode4(1084260), // Rule ID 59970 //
     /* 1084188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1084191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1084196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1084199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1084202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1084205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1084208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084227 */     // MIs[0] policy
     /* 1084227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084237 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1084240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1084242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084259 */     // GIR_Coverage, 59970,
     /* 1084259 */     GIR_EraseRootFromParent_Done,
     /* 1084260 */   // Label 15952: @1084260
     /* 1084260 */   GIM_Try, /*On fail goto*//*Label 15953*/ GIMT_Encode4(1084337), // Rule ID 59983 //
     /* 1084265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1084268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1084273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1084276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1084279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1084282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1084285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1084292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084304 */     // MIs[0] policy
     /* 1084304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084314 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1084317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084336 */     // GIR_Coverage, 59983,
     /* 1084336 */     GIR_EraseRootFromParent_Done,
     /* 1084337 */   // Label 15953: @1084337
     /* 1084337 */   GIM_Try, /*On fail goto*//*Label 15954*/ GIMT_Encode4(1084414), // Rule ID 59984 //
     /* 1084342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1084345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1084350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1084353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1084356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1084359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1084362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1084369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084381 */     // MIs[0] policy
     /* 1084381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084391 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1084394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084400 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084413 */     // GIR_Coverage, 59984,
     /* 1084413 */     GIR_EraseRootFromParent_Done,
     /* 1084414 */   // Label 15954: @1084414
     /* 1084414 */   GIM_Try, /*On fail goto*//*Label 15955*/ GIMT_Encode4(1084491), // Rule ID 59987 //
     /* 1084419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1084422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1084427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1084430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1084433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1084436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1084439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1084446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084458 */     // MIs[0] policy
     /* 1084458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084468 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1084471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084490 */     // GIR_Coverage, 59987,
     /* 1084490 */     GIR_EraseRootFromParent_Done,
     /* 1084491 */   // Label 15955: @1084491
     /* 1084491 */   GIM_Try, /*On fail goto*//*Label 15956*/ GIMT_Encode4(1084568), // Rule ID 59988 //
     /* 1084496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1084499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1084504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1084507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1084510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1084513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1084516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1084523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084535 */     // MIs[0] policy
     /* 1084535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084545 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1084548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084554 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084567 */     // GIR_Coverage, 59988,
     /* 1084567 */     GIR_EraseRootFromParent_Done,
     /* 1084568 */   // Label 15956: @1084568
     /* 1084568 */   GIM_Try, /*On fail goto*//*Label 15957*/ GIMT_Encode4(1084645), // Rule ID 59991 //
     /* 1084573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1084576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1084581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1084584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1084587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1084590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1084593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1084600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084612 */     // MIs[0] policy
     /* 1084612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084622 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11064:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1084625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084644 */     // GIR_Coverage, 59991,
     /* 1084644 */     GIR_EraseRootFromParent_Done,
     /* 1084645 */   // Label 15957: @1084645
     /* 1084645 */   GIM_Try, /*On fail goto*//*Label 15958*/ GIMT_Encode4(1084722), // Rule ID 59992 //
     /* 1084650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1084653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1084658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1084661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1084664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1084667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1084670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1084677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084689 */     // MIs[0] policy
     /* 1084689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084699 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11064:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1084702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084708 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084721 */     // GIR_Coverage, 59992,
     /* 1084721 */     GIR_EraseRootFromParent_Done,
     /* 1084722 */   // Label 15958: @1084722
     /* 1084722 */   GIM_Try, /*On fail goto*//*Label 15959*/ GIMT_Encode4(1084799), // Rule ID 59995 //
     /* 1084727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1084730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1084735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1084738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1084741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1084744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1084747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1084754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084766 */     // MIs[0] policy
     /* 1084766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084776 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1084779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084798 */     // GIR_Coverage, 59995,
     /* 1084798 */     GIR_EraseRootFromParent_Done,
     /* 1084799 */   // Label 15959: @1084799
     /* 1084799 */   GIM_Try, /*On fail goto*//*Label 15960*/ GIMT_Encode4(1084876), // Rule ID 59996 //
     /* 1084804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1084807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1084812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1084815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1084818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1084821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1084824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1084831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084843 */     // MIs[0] policy
     /* 1084843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084853 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1084856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084862 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084875 */     // GIR_Coverage, 59996,
     /* 1084875 */     GIR_EraseRootFromParent_Done,
     /* 1084876 */   // Label 15960: @1084876
     /* 1084876 */   GIM_Try, /*On fail goto*//*Label 15961*/ GIMT_Encode4(1084953), // Rule ID 59999 //
     /* 1084881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1084884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1084889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1084892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1084895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1084898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1084901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1084908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084920 */     // MIs[0] policy
     /* 1084920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084930 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1084933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084952 */     // GIR_Coverage, 59999,
     /* 1084952 */     GIR_EraseRootFromParent_Done,
     /* 1084953 */   // Label 15961: @1084953
     /* 1084953 */   GIM_Try, /*On fail goto*//*Label 15962*/ GIMT_Encode4(1085030), // Rule ID 60000 //
     /* 1084958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1084961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1084966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1084969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1084972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1084975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1084978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1084985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084997 */     // MIs[0] policy
     /* 1084997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085007 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1085010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085016 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085029 */     // GIR_Coverage, 60000,
     /* 1085029 */     GIR_EraseRootFromParent_Done,
     /* 1085030 */   // Label 15962: @1085030
     /* 1085030 */   GIM_Try, /*On fail goto*//*Label 15963*/ GIMT_Encode4(1085107), // Rule ID 60003 //
     /* 1085035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1085046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1085049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1085052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1085055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085074 */     // MIs[0] policy
     /* 1085074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085084 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1085087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085106 */     // GIR_Coverage, 60003,
     /* 1085106 */     GIR_EraseRootFromParent_Done,
     /* 1085107 */   // Label 15963: @1085107
     /* 1085107 */   GIM_Try, /*On fail goto*//*Label 15964*/ GIMT_Encode4(1085184), // Rule ID 60004 //
     /* 1085112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1085123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1085126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1085129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1085132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085151 */     // MIs[0] policy
     /* 1085151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085161 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1085164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085183 */     // GIR_Coverage, 60004,
     /* 1085183 */     GIR_EraseRootFromParent_Done,
     /* 1085184 */   // Label 15964: @1085184
     /* 1085184 */   GIM_Try, /*On fail goto*//*Label 15965*/ GIMT_Encode4(1085261), // Rule ID 60007 //
     /* 1085189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1085200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1085203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1085206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1085209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085228 */     // MIs[0] policy
     /* 1085228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085238 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11064:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1085241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1085257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085260 */     // GIR_Coverage, 60007,
     /* 1085260 */     GIR_EraseRootFromParent_Done,
     /* 1085261 */   // Label 15965: @1085261
     /* 1085261 */   GIM_Try, /*On fail goto*//*Label 15966*/ GIMT_Encode4(1085338), // Rule ID 60008 //
     /* 1085266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1085277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1085280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1085283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1085286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085305 */     // MIs[0] policy
     /* 1085305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085315 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11064:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1085318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1085334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085337 */     // GIR_Coverage, 60008,
     /* 1085337 */     GIR_EraseRootFromParent_Done,
     /* 1085338 */   // Label 15966: @1085338
     /* 1085338 */   GIM_Try, /*On fail goto*//*Label 15967*/ GIMT_Encode4(1085415), // Rule ID 60011 //
     /* 1085343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1085354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1085357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1085360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1085363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085382 */     // MIs[0] policy
     /* 1085382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085392 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11064:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1085395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085414 */     // GIR_Coverage, 60011,
     /* 1085414 */     GIR_EraseRootFromParent_Done,
     /* 1085415 */   // Label 15967: @1085415
     /* 1085415 */   GIM_Try, /*On fail goto*//*Label 15968*/ GIMT_Encode4(1085492), // Rule ID 60012 //
     /* 1085420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1085431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1085434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1085437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1085440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085459 */     // MIs[0] policy
     /* 1085459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085469 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11064:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1085472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085478 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085491 */     // GIR_Coverage, 60012,
     /* 1085491 */     GIR_EraseRootFromParent_Done,
     /* 1085492 */   // Label 15968: @1085492
     /* 1085492 */   GIM_Try, /*On fail goto*//*Label 15969*/ GIMT_Encode4(1085569), // Rule ID 60015 //
     /* 1085497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1085508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1085511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1085514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1085517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085536 */     // MIs[0] policy
     /* 1085536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085546 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1085549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085568 */     // GIR_Coverage, 60015,
     /* 1085568 */     GIR_EraseRootFromParent_Done,
     /* 1085569 */   // Label 15969: @1085569
     /* 1085569 */   GIM_Try, /*On fail goto*//*Label 15970*/ GIMT_Encode4(1085646), // Rule ID 60016 //
     /* 1085574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1085585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1085588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1085591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1085594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085613 */     // MIs[0] policy
     /* 1085613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085623 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1085626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085632 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085645 */     // GIR_Coverage, 60016,
     /* 1085645 */     GIR_EraseRootFromParent_Done,
     /* 1085646 */   // Label 15970: @1085646
     /* 1085646 */   GIM_Try, /*On fail goto*//*Label 15971*/ GIMT_Encode4(1085723), // Rule ID 60019 //
     /* 1085651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1085662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1085665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1085668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1085671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085690 */     // MIs[0] policy
     /* 1085690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085700 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1085703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085722 */     // GIR_Coverage, 60019,
     /* 1085722 */     GIR_EraseRootFromParent_Done,
     /* 1085723 */   // Label 15971: @1085723
     /* 1085723 */   GIM_Try, /*On fail goto*//*Label 15972*/ GIMT_Encode4(1085800), // Rule ID 60020 //
     /* 1085728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1085739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1085742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1085745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1085748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1085755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085767 */     // MIs[0] policy
     /* 1085767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085777 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1085780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085799 */     // GIR_Coverage, 60020,
     /* 1085799 */     GIR_EraseRootFromParent_Done,
     /* 1085800 */   // Label 15972: @1085800
     /* 1085800 */   GIM_Try, /*On fail goto*//*Label 15973*/ GIMT_Encode4(1085877), // Rule ID 60023 //
     /* 1085805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1085816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1085819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1085822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1085825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1085832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085844 */     // MIs[0] policy
     /* 1085844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085854 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1085857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085863 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1085873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085876 */     // GIR_Coverage, 60023,
     /* 1085876 */     GIR_EraseRootFromParent_Done,
     /* 1085877 */   // Label 15973: @1085877
     /* 1085877 */   GIM_Try, /*On fail goto*//*Label 15974*/ GIMT_Encode4(1085954), // Rule ID 60024 //
     /* 1085882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1085893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1085896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1085899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1085902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1085909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085921 */     // MIs[0] policy
     /* 1085921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085931 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1085934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085940 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1085950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085953 */     // GIR_Coverage, 60024,
     /* 1085953 */     GIR_EraseRootFromParent_Done,
     /* 1085954 */   // Label 15974: @1085954
     /* 1085954 */   GIM_Try, /*On fail goto*//*Label 15975*/ GIMT_Encode4(1086031), // Rule ID 60027 //
     /* 1085959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1085967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1085970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1085973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1085976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1085979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1085986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085998 */     // MIs[0] policy
     /* 1085998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086008 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1086011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086030 */     // GIR_Coverage, 60027,
     /* 1086030 */     GIR_EraseRootFromParent_Done,
     /* 1086031 */   // Label 15975: @1086031
     /* 1086031 */   GIM_Try, /*On fail goto*//*Label 15976*/ GIMT_Encode4(1086108), // Rule ID 60028 //
     /* 1086036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1086047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1086050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1086053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1086056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1086063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086075 */     // MIs[0] policy
     /* 1086075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086085 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1086088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086094 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086107 */     // GIR_Coverage, 60028,
     /* 1086107 */     GIR_EraseRootFromParent_Done,
     /* 1086108 */   // Label 15976: @1086108
     /* 1086108 */   GIM_Try, /*On fail goto*//*Label 15977*/ GIMT_Encode4(1086185), // Rule ID 60031 //
     /* 1086113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1086124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1086127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1086130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1086133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1086140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086152 */     // MIs[0] policy
     /* 1086152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086162 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1086165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086171 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086184 */     // GIR_Coverage, 60031,
     /* 1086184 */     GIR_EraseRootFromParent_Done,
     /* 1086185 */   // Label 15977: @1086185
     /* 1086185 */   GIM_Try, /*On fail goto*//*Label 15978*/ GIMT_Encode4(1086262), // Rule ID 60032 //
     /* 1086190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1086201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1086204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1086207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1086210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1086217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086229 */     // MIs[0] policy
     /* 1086229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086239 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1086242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086248 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086261 */     // GIR_Coverage, 60032,
     /* 1086261 */     GIR_EraseRootFromParent_Done,
     /* 1086262 */   // Label 15978: @1086262
     /* 1086262 */   GIM_Try, /*On fail goto*//*Label 15979*/ GIMT_Encode4(1086339), // Rule ID 60035 //
     /* 1086267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1086278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1086281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1086284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1086287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1086294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086306 */     // MIs[0] policy
     /* 1086306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086316 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1086319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086338 */     // GIR_Coverage, 60035,
     /* 1086338 */     GIR_EraseRootFromParent_Done,
     /* 1086339 */   // Label 15979: @1086339
     /* 1086339 */   GIM_Try, /*On fail goto*//*Label 15980*/ GIMT_Encode4(1086416), // Rule ID 60036 //
     /* 1086344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1086355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1086358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1086361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1086364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1086371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086383 */     // MIs[0] policy
     /* 1086383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086393 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1086396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086402 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086415 */     // GIR_Coverage, 60036,
     /* 1086415 */     GIR_EraseRootFromParent_Done,
     /* 1086416 */   // Label 15980: @1086416
     /* 1086416 */   GIM_Try, /*On fail goto*//*Label 15981*/ GIMT_Encode4(1086493), // Rule ID 60039 //
     /* 1086421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1086432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1086435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1086438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1086441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1086448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086460 */     // MIs[0] policy
     /* 1086460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086470 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1086473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086492 */     // GIR_Coverage, 60039,
     /* 1086492 */     GIR_EraseRootFromParent_Done,
     /* 1086493 */   // Label 15981: @1086493
     /* 1086493 */   GIM_Try, /*On fail goto*//*Label 15982*/ GIMT_Encode4(1086570), // Rule ID 60040 //
     /* 1086498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1086509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1086512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1086515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1086518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1086525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086537 */     // MIs[0] policy
     /* 1086537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086547 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1086550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086569 */     // GIR_Coverage, 60040,
     /* 1086569 */     GIR_EraseRootFromParent_Done,
     /* 1086570 */   // Label 15982: @1086570
     /* 1086570 */   GIM_Try, /*On fail goto*//*Label 15983*/ GIMT_Encode4(1086647), // Rule ID 60043 //
     /* 1086575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1086586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1086589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1086592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1086595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1086602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086614 */     // MIs[0] policy
     /* 1086614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086624 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1086627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086646 */     // GIR_Coverage, 60043,
     /* 1086646 */     GIR_EraseRootFromParent_Done,
     /* 1086647 */   // Label 15983: @1086647
     /* 1086647 */   GIM_Try, /*On fail goto*//*Label 15984*/ GIMT_Encode4(1086724), // Rule ID 60044 //
     /* 1086652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1086663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1086666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1086669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1086672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1086679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086691 */     // MIs[0] policy
     /* 1086691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086701 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1086704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086723 */     // GIR_Coverage, 60044,
     /* 1086723 */     GIR_EraseRootFromParent_Done,
     /* 1086724 */   // Label 15984: @1086724
     /* 1086724 */   GIM_Try, /*On fail goto*//*Label 15985*/ GIMT_Encode4(1086801), // Rule ID 60047 //
     /* 1086729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1086740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1086743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1086746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1086749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1086756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086768 */     // MIs[0] policy
     /* 1086768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086778 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1086781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086800 */     // GIR_Coverage, 60047,
     /* 1086800 */     GIR_EraseRootFromParent_Done,
     /* 1086801 */   // Label 15985: @1086801
     /* 1086801 */   GIM_Try, /*On fail goto*//*Label 15986*/ GIMT_Encode4(1086878), // Rule ID 60048 //
     /* 1086806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1086817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1086820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1086823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1086826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1086833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086845 */     // MIs[0] policy
     /* 1086845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086855 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1086858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086864 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086877 */     // GIR_Coverage, 60048,
     /* 1086877 */     GIR_EraseRootFromParent_Done,
     /* 1086878 */   // Label 15986: @1086878
     /* 1086878 */   GIM_Try, /*On fail goto*//*Label 15987*/ GIMT_Encode4(1086955), // Rule ID 60051 //
     /* 1086883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1086894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1086897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1086900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1086903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1086910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086922 */     // MIs[0] policy
     /* 1086922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086932 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1086935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086954 */     // GIR_Coverage, 60051,
     /* 1086954 */     GIR_EraseRootFromParent_Done,
     /* 1086955 */   // Label 15987: @1086955
     /* 1086955 */   GIM_Try, /*On fail goto*//*Label 15988*/ GIMT_Encode4(1087032), // Rule ID 60052 //
     /* 1086960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1086968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1086971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1086974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1086977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1086980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1086987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086999 */     // MIs[0] policy
     /* 1086999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087009 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1087012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087031 */     // GIR_Coverage, 60052,
     /* 1087031 */     GIR_EraseRootFromParent_Done,
     /* 1087032 */   // Label 15988: @1087032
     /* 1087032 */   GIM_Try, /*On fail goto*//*Label 15989*/ GIMT_Encode4(1087109), // Rule ID 60055 //
     /* 1087037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1087048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1087051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1087054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1087057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1087064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087076 */     // MIs[0] policy
     /* 1087076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087086 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1087089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087095 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087108 */     // GIR_Coverage, 60055,
     /* 1087108 */     GIR_EraseRootFromParent_Done,
     /* 1087109 */   // Label 15989: @1087109
     /* 1087109 */   GIM_Try, /*On fail goto*//*Label 15990*/ GIMT_Encode4(1087186), // Rule ID 60056 //
     /* 1087114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1087125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1087128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1087131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1087134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1087141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087153 */     // MIs[0] policy
     /* 1087153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087163 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1087166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087172 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087185 */     // GIR_Coverage, 60056,
     /* 1087185 */     GIR_EraseRootFromParent_Done,
     /* 1087186 */   // Label 15990: @1087186
     /* 1087186 */   GIM_Try, /*On fail goto*//*Label 15991*/ GIMT_Encode4(1087263), // Rule ID 60059 //
     /* 1087191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1087202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1087205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1087208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1087211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087230 */     // MIs[0] policy
     /* 1087230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087240 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1087243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087262 */     // GIR_Coverage, 60059,
     /* 1087262 */     GIR_EraseRootFromParent_Done,
     /* 1087263 */   // Label 15991: @1087263
     /* 1087263 */   GIM_Try, /*On fail goto*//*Label 15992*/ GIMT_Encode4(1087340), // Rule ID 60060 //
     /* 1087268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1087279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1087282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1087285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1087288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087307 */     // MIs[0] policy
     /* 1087307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087317 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1087320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087326 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087339 */     // GIR_Coverage, 60060,
     /* 1087339 */     GIR_EraseRootFromParent_Done,
     /* 1087340 */   // Label 15992: @1087340
     /* 1087340 */   GIM_Try, /*On fail goto*//*Label 15993*/ GIMT_Encode4(1087417), // Rule ID 60063 //
     /* 1087345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1087356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1087359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1087362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1087365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1087372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087384 */     // MIs[0] policy
     /* 1087384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087394 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1087397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087416 */     // GIR_Coverage, 60063,
     /* 1087416 */     GIR_EraseRootFromParent_Done,
     /* 1087417 */   // Label 15993: @1087417
     /* 1087417 */   GIM_Try, /*On fail goto*//*Label 15994*/ GIMT_Encode4(1087494), // Rule ID 60064 //
     /* 1087422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1087433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1087436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1087439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1087442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1087449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087461 */     // MIs[0] policy
     /* 1087461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087471 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1087474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087480 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087493 */     // GIR_Coverage, 60064,
     /* 1087493 */     GIR_EraseRootFromParent_Done,
     /* 1087494 */   // Label 15994: @1087494
     /* 1087494 */   GIM_Try, /*On fail goto*//*Label 15995*/ GIMT_Encode4(1087571), // Rule ID 60067 //
     /* 1087499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1087510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1087513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1087516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1087519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1087526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087538 */     // MIs[0] policy
     /* 1087538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087548 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1087551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087570 */     // GIR_Coverage, 60067,
     /* 1087570 */     GIR_EraseRootFromParent_Done,
     /* 1087571 */   // Label 15995: @1087571
     /* 1087571 */   GIM_Try, /*On fail goto*//*Label 15996*/ GIMT_Encode4(1087648), // Rule ID 60068 //
     /* 1087576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1087584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1087587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1087590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1087593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1087596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1087603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087615 */     // MIs[0] policy
     /* 1087615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087625 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1087628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087634 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087647 */     // GIR_Coverage, 60068,
     /* 1087647 */     GIR_EraseRootFromParent_Done,
     /* 1087648 */   // Label 15996: @1087648
     /* 1087648 */   GIM_Try, /*On fail goto*//*Label 15997*/ GIMT_Encode4(1087725), // Rule ID 60071 //
     /* 1087653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1087661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1087664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1087667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1087670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1087673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087692 */     // MIs[0] policy
     /* 1087692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087702 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1087705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087724 */     // GIR_Coverage, 60071,
     /* 1087724 */     GIR_EraseRootFromParent_Done,
     /* 1087725 */   // Label 15997: @1087725
     /* 1087725 */   GIM_Try, /*On fail goto*//*Label 15998*/ GIMT_Encode4(1087802), // Rule ID 60072 //
     /* 1087730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1087738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1087741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1087744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1087747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1087750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087769 */     // MIs[0] policy
     /* 1087769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087779 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1087782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087801 */     // GIR_Coverage, 60072,
     /* 1087801 */     GIR_EraseRootFromParent_Done,
     /* 1087802 */   // Label 15998: @1087802
     /* 1087802 */   GIM_Try, /*On fail goto*//*Label 15999*/ GIMT_Encode4(1087879), // Rule ID 60075 //
     /* 1087807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1087815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1087818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1087821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1087824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1087827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087846 */     // MIs[0] policy
     /* 1087846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087856 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1087859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087878 */     // GIR_Coverage, 60075,
     /* 1087878 */     GIR_EraseRootFromParent_Done,
     /* 1087879 */   // Label 15999: @1087879
     /* 1087879 */   GIM_Try, /*On fail goto*//*Label 16000*/ GIMT_Encode4(1087956), // Rule ID 60076 //
     /* 1087884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1087892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1087895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1087898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1087901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1087904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087923 */     // MIs[0] policy
     /* 1087923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087933 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1087936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087955 */     // GIR_Coverage, 60076,
     /* 1087955 */     GIR_EraseRootFromParent_Done,
     /* 1087956 */   // Label 16000: @1087956
     /* 1087956 */   GIM_Try, /*On fail goto*//*Label 16001*/ GIMT_Encode4(1088033), // Rule ID 60079 //
     /* 1087961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1087969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1087972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1087975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1087978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1087981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088000 */     // MIs[0] policy
     /* 1088000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088010 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11072:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1088013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1088029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088032 */     // GIR_Coverage, 60079,
     /* 1088032 */     GIR_EraseRootFromParent_Done,
     /* 1088033 */   // Label 16001: @1088033
     /* 1088033 */   GIM_Try, /*On fail goto*//*Label 16002*/ GIMT_Encode4(1088110), // Rule ID 60080 //
     /* 1088038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1088046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1088049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1088052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1088055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1088058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1088065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088077 */     // MIs[0] policy
     /* 1088077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088087 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11072:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1088090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088096 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1088106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088109 */     // GIR_Coverage, 60080,
     /* 1088109 */     GIR_EraseRootFromParent_Done,
     /* 1088110 */   // Label 16002: @1088110
     /* 1088110 */   GIM_Try, /*On fail goto*//*Label 16003*/ GIMT_Encode4(1088187), // Rule ID 60083 //
     /* 1088115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1088123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1088126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1088129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1088132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1088135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1088142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088154 */     // MIs[0] policy
     /* 1088154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088164 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1088167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088186 */     // GIR_Coverage, 60083,
     /* 1088186 */     GIR_EraseRootFromParent_Done,
     /* 1088187 */   // Label 16003: @1088187
     /* 1088187 */   GIM_Try, /*On fail goto*//*Label 16004*/ GIMT_Encode4(1088264), // Rule ID 60084 //
     /* 1088192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1088200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1088203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1088206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1088209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1088212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1088219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088231 */     // MIs[0] policy
     /* 1088231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088241 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1088244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088250 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088263 */     // GIR_Coverage, 60084,
     /* 1088263 */     GIR_EraseRootFromParent_Done,
     /* 1088264 */   // Label 16004: @1088264
     /* 1088264 */   GIM_Try, /*On fail goto*//*Label 16005*/ GIMT_Encode4(1088341), // Rule ID 60087 //
     /* 1088269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1088277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1088280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1088283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1088286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1088289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1088296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088308 */     // MIs[0] policy
     /* 1088308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088318 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1088321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088327 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088340 */     // GIR_Coverage, 60087,
     /* 1088340 */     GIR_EraseRootFromParent_Done,
     /* 1088341 */   // Label 16005: @1088341
     /* 1088341 */   GIM_Try, /*On fail goto*//*Label 16006*/ GIMT_Encode4(1088418), // Rule ID 60088 //
     /* 1088346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1088354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1088357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1088360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1088363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1088366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1088373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088385 */     // MIs[0] policy
     /* 1088385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088395 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1088398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088404 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088417 */     // GIR_Coverage, 60088,
     /* 1088417 */     GIR_EraseRootFromParent_Done,
     /* 1088418 */   // Label 16006: @1088418
     /* 1088418 */   GIM_Try, /*On fail goto*//*Label 16007*/ GIMT_Encode4(1088495), // Rule ID 60091 //
     /* 1088423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1088431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1088434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1088437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1088440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1088443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1088450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088462 */     // MIs[0] policy
     /* 1088462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088472 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1088475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088494 */     // GIR_Coverage, 60091,
     /* 1088494 */     GIR_EraseRootFromParent_Done,
     /* 1088495 */   // Label 16007: @1088495
     /* 1088495 */   GIM_Try, /*On fail goto*//*Label 16008*/ GIMT_Encode4(1088572), // Rule ID 60092 //
     /* 1088500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1088508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1088511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1088514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1088517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1088520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1088527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088539 */     // MIs[0] policy
     /* 1088539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088549 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1088552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088558 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088571 */     // GIR_Coverage, 60092,
     /* 1088571 */     GIR_EraseRootFromParent_Done,
     /* 1088572 */   // Label 16008: @1088572
     /* 1088572 */   GIM_Try, /*On fail goto*//*Label 16009*/ GIMT_Encode4(1088649), // Rule ID 60095 //
     /* 1088577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1088585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1088588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1088591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1088594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1088597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1088604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088616 */     // MIs[0] policy
     /* 1088616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088626 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11072:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1088629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088635 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1088645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088648 */     // GIR_Coverage, 60095,
     /* 1088648 */     GIR_EraseRootFromParent_Done,
     /* 1088649 */   // Label 16009: @1088649
     /* 1088649 */   GIM_Try, /*On fail goto*//*Label 16010*/ GIMT_Encode4(1088726), // Rule ID 60096 //
     /* 1088654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1088662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1088665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1088668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1088671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1088674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1088681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088693 */     // MIs[0] policy
     /* 1088693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088703 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11072:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1088706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088712 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1088722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088725 */     // GIR_Coverage, 60096,
     /* 1088725 */     GIR_EraseRootFromParent_Done,
     /* 1088726 */   // Label 16010: @1088726
     /* 1088726 */   GIM_Try, /*On fail goto*//*Label 16011*/ GIMT_Encode4(1088803), // Rule ID 60099 //
     /* 1088731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1088739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1088742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1088745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1088748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1088751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1088758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088770 */     // MIs[0] policy
     /* 1088770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088780 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11072:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1088783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088802 */     // GIR_Coverage, 60099,
     /* 1088802 */     GIR_EraseRootFromParent_Done,
     /* 1088803 */   // Label 16011: @1088803
     /* 1088803 */   GIM_Try, /*On fail goto*//*Label 16012*/ GIMT_Encode4(1088880), // Rule ID 60100 //
     /* 1088808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1088816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1088819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1088822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1088825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1088828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1088835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088847 */     // MIs[0] policy
     /* 1088847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088857 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11072:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1088860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088866 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088879 */     // GIR_Coverage, 60100,
     /* 1088879 */     GIR_EraseRootFromParent_Done,
     /* 1088880 */   // Label 16012: @1088880
     /* 1088880 */   GIM_Try, /*On fail goto*//*Label 16013*/ GIMT_Encode4(1088957), // Rule ID 60103 //
     /* 1088885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1088893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1088896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1088899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1088902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1088905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1088912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088924 */     // MIs[0] policy
     /* 1088924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088934 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1088937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088943 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088956 */     // GIR_Coverage, 60103,
     /* 1088956 */     GIR_EraseRootFromParent_Done,
     /* 1088957 */   // Label 16013: @1088957
     /* 1088957 */   GIM_Try, /*On fail goto*//*Label 16014*/ GIMT_Encode4(1089034), // Rule ID 60104 //
     /* 1088962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1088970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1088973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1088976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1088979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1088982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1088989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089001 */     // MIs[0] policy
     /* 1089001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089011 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1089014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089020 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089033 */     // GIR_Coverage, 60104,
     /* 1089033 */     GIR_EraseRootFromParent_Done,
     /* 1089034 */   // Label 16014: @1089034
     /* 1089034 */   GIM_Try, /*On fail goto*//*Label 16015*/ GIMT_Encode4(1089111), // Rule ID 60107 //
     /* 1089039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1089050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1089053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1089056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089078 */     // MIs[0] policy
     /* 1089078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089088 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1089091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089110 */     // GIR_Coverage, 60107,
     /* 1089110 */     GIR_EraseRootFromParent_Done,
     /* 1089111 */   // Label 16015: @1089111
     /* 1089111 */   GIM_Try, /*On fail goto*//*Label 16016*/ GIMT_Encode4(1089188), // Rule ID 60108 //
     /* 1089116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1089127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1089130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1089133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089155 */     // MIs[0] policy
     /* 1089155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089165 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1089168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089174 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089187 */     // GIR_Coverage, 60108,
     /* 1089187 */     GIR_EraseRootFromParent_Done,
     /* 1089188 */   // Label 16016: @1089188
     /* 1089188 */   GIM_Try, /*On fail goto*//*Label 16017*/ GIMT_Encode4(1089265), // Rule ID 60111 //
     /* 1089193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1089204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1089207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1089210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1089213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1089220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089232 */     // MIs[0] policy
     /* 1089232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089242 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1089245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089264 */     // GIR_Coverage, 60111,
     /* 1089264 */     GIR_EraseRootFromParent_Done,
     /* 1089265 */   // Label 16017: @1089265
     /* 1089265 */   GIM_Try, /*On fail goto*//*Label 16018*/ GIMT_Encode4(1089342), // Rule ID 60112 //
     /* 1089270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1089281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1089284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1089287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1089290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1089297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089309 */     // MIs[0] policy
     /* 1089309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089319 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1089322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089328 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089341 */     // GIR_Coverage, 60112,
     /* 1089341 */     GIR_EraseRootFromParent_Done,
     /* 1089342 */   // Label 16018: @1089342
     /* 1089342 */   GIM_Try, /*On fail goto*//*Label 16019*/ GIMT_Encode4(1089419), // Rule ID 60115 //
     /* 1089347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1089358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1089361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1089364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1089367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1089374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089386 */     // MIs[0] policy
     /* 1089386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089396 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1089399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089418 */     // GIR_Coverage, 60115,
     /* 1089418 */     GIR_EraseRootFromParent_Done,
     /* 1089419 */   // Label 16019: @1089419
     /* 1089419 */   GIM_Try, /*On fail goto*//*Label 16020*/ GIMT_Encode4(1089496), // Rule ID 60116 //
     /* 1089424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1089435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1089438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1089441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1089444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1089451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089463 */     // MIs[0] policy
     /* 1089463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089473 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1089476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089482 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089495 */     // GIR_Coverage, 60116,
     /* 1089495 */     GIR_EraseRootFromParent_Done,
     /* 1089496 */   // Label 16020: @1089496
     /* 1089496 */   GIM_Try, /*On fail goto*//*Label 16021*/ GIMT_Encode4(1089573), // Rule ID 60119 //
     /* 1089501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1089512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1089515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1089518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1089521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1089528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089540 */     // MIs[0] policy
     /* 1089540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089550 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1089553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089559 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089572 */     // GIR_Coverage, 60119,
     /* 1089572 */     GIR_EraseRootFromParent_Done,
     /* 1089573 */   // Label 16021: @1089573
     /* 1089573 */   GIM_Try, /*On fail goto*//*Label 16022*/ GIMT_Encode4(1089650), // Rule ID 60120 //
     /* 1089578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1089589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1089592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1089595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1089598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1089605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089617 */     // MIs[0] policy
     /* 1089617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089627 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1089630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089636 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089649 */     // GIR_Coverage, 60120,
     /* 1089649 */     GIR_EraseRootFromParent_Done,
     /* 1089650 */   // Label 16022: @1089650
     /* 1089650 */   GIM_Try, /*On fail goto*//*Label 16023*/ GIMT_Encode4(1089727), // Rule ID 60123 //
     /* 1089655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1089666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1089669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1089672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1089675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1089682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089694 */     // MIs[0] policy
     /* 1089694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089704 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1089707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089726 */     // GIR_Coverage, 60123,
     /* 1089726 */     GIR_EraseRootFromParent_Done,
     /* 1089727 */   // Label 16023: @1089727
     /* 1089727 */   GIM_Try, /*On fail goto*//*Label 16024*/ GIMT_Encode4(1089804), // Rule ID 60124 //
     /* 1089732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1089743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1089746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1089749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1089752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1089759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089771 */     // MIs[0] policy
     /* 1089771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089781 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1089784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089790 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089803 */     // GIR_Coverage, 60124,
     /* 1089803 */     GIR_EraseRootFromParent_Done,
     /* 1089804 */   // Label 16024: @1089804
     /* 1089804 */   GIM_Try, /*On fail goto*//*Label 16025*/ GIMT_Encode4(1089881), // Rule ID 60127 //
     /* 1089809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1089820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1089823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1089826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1089829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1089836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089848 */     // MIs[0] policy
     /* 1089848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089858 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1089861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089880 */     // GIR_Coverage, 60127,
     /* 1089880 */     GIR_EraseRootFromParent_Done,
     /* 1089881 */   // Label 16025: @1089881
     /* 1089881 */   GIM_Try, /*On fail goto*//*Label 16026*/ GIMT_Encode4(1089958), // Rule ID 60128 //
     /* 1089886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1089897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1089900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1089903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1089906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1089913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089925 */     // MIs[0] policy
     /* 1089925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089935 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1089938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089944 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089957 */     // GIR_Coverage, 60128,
     /* 1089957 */     GIR_EraseRootFromParent_Done,
     /* 1089958 */   // Label 16026: @1089958
     /* 1089958 */   GIM_Try, /*On fail goto*//*Label 16027*/ GIMT_Encode4(1090035), // Rule ID 60131 //
     /* 1089963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1089971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1089974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1089977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1089980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1089983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1089990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090002 */     // MIs[0] policy
     /* 1090002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090012 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1090015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090034 */     // GIR_Coverage, 60131,
     /* 1090034 */     GIR_EraseRootFromParent_Done,
     /* 1090035 */   // Label 16027: @1090035
     /* 1090035 */   GIM_Try, /*On fail goto*//*Label 16028*/ GIMT_Encode4(1090112), // Rule ID 60132 //
     /* 1090040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1090051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1090054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1090057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1090060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1090067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090079 */     // MIs[0] policy
     /* 1090079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090089 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1090092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090111 */     // GIR_Coverage, 60132,
     /* 1090111 */     GIR_EraseRootFromParent_Done,
     /* 1090112 */   // Label 16028: @1090112
     /* 1090112 */   GIM_Try, /*On fail goto*//*Label 16029*/ GIMT_Encode4(1090189), // Rule ID 60135 //
     /* 1090117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1090128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1090131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1090134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1090144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090156 */     // MIs[0] policy
     /* 1090156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090166 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1090169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090175 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090188 */     // GIR_Coverage, 60135,
     /* 1090188 */     GIR_EraseRootFromParent_Done,
     /* 1090189 */   // Label 16029: @1090189
     /* 1090189 */   GIM_Try, /*On fail goto*//*Label 16030*/ GIMT_Encode4(1090266), // Rule ID 60136 //
     /* 1090194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1090205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1090208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1090211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1090221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090233 */     // MIs[0] policy
     /* 1090233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090243 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1090246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090252 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090265 */     // GIR_Coverage, 60136,
     /* 1090265 */     GIR_EraseRootFromParent_Done,
     /* 1090266 */   // Label 16030: @1090266
     /* 1090266 */   GIM_Try, /*On fail goto*//*Label 16031*/ GIMT_Encode4(1090343), // Rule ID 60139 //
     /* 1090271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1090282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1090285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1090288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1090291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1090298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090310 */     // MIs[0] policy
     /* 1090310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090320 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1090323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090342 */     // GIR_Coverage, 60139,
     /* 1090342 */     GIR_EraseRootFromParent_Done,
     /* 1090343 */   // Label 16031: @1090343
     /* 1090343 */   GIM_Try, /*On fail goto*//*Label 16032*/ GIMT_Encode4(1090420), // Rule ID 60140 //
     /* 1090348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1090359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1090362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1090365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1090368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1090375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090387 */     // MIs[0] policy
     /* 1090387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090397 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1090400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090406 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090419 */     // GIR_Coverage, 60140,
     /* 1090419 */     GIR_EraseRootFromParent_Done,
     /* 1090420 */   // Label 16032: @1090420
     /* 1090420 */   GIM_Try, /*On fail goto*//*Label 16033*/ GIMT_Encode4(1090497), // Rule ID 60143 //
     /* 1090425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1090436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1090439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1090442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1090445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1090452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090464 */     // MIs[0] policy
     /* 1090464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090474 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1090477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090496 */     // GIR_Coverage, 60143,
     /* 1090496 */     GIR_EraseRootFromParent_Done,
     /* 1090497 */   // Label 16033: @1090497
     /* 1090497 */   GIM_Try, /*On fail goto*//*Label 16034*/ GIMT_Encode4(1090574), // Rule ID 60144 //
     /* 1090502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1090513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1090516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1090519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1090522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1090529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090541 */     // MIs[0] policy
     /* 1090541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090551 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1090554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090560 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090573 */     // GIR_Coverage, 60144,
     /* 1090573 */     GIR_EraseRootFromParent_Done,
     /* 1090574 */   // Label 16034: @1090574
     /* 1090574 */   GIM_Try, /*On fail goto*//*Label 16035*/ GIMT_Encode4(1090651), // Rule ID 60147 //
     /* 1090579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1090590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1090593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1090596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1090606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090618 */     // MIs[0] policy
     /* 1090618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090628 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1090631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090650 */     // GIR_Coverage, 60147,
     /* 1090650 */     GIR_EraseRootFromParent_Done,
     /* 1090651 */   // Label 16035: @1090651
     /* 1090651 */   GIM_Try, /*On fail goto*//*Label 16036*/ GIMT_Encode4(1090728), // Rule ID 60148 //
     /* 1090656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1090667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1090670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1090673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1090683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090695 */     // MIs[0] policy
     /* 1090695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090705 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1090708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090727 */     // GIR_Coverage, 60148,
     /* 1090727 */     GIR_EraseRootFromParent_Done,
     /* 1090728 */   // Label 16036: @1090728
     /* 1090728 */   GIM_Try, /*On fail goto*//*Label 16037*/ GIMT_Encode4(1090805), // Rule ID 60151 //
     /* 1090733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1090744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1090747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1090750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1090760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090772 */     // MIs[0] policy
     /* 1090772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090782 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1090785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090804 */     // GIR_Coverage, 60151,
     /* 1090804 */     GIR_EraseRootFromParent_Done,
     /* 1090805 */   // Label 16037: @1090805
     /* 1090805 */   GIM_Try, /*On fail goto*//*Label 16038*/ GIMT_Encode4(1090882), // Rule ID 60152 //
     /* 1090810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1090821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1090824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1090827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1090837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090849 */     // MIs[0] policy
     /* 1090849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090859 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1090862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090881 */     // GIR_Coverage, 60152,
     /* 1090881 */     GIR_EraseRootFromParent_Done,
     /* 1090882 */   // Label 16038: @1090882
     /* 1090882 */   GIM_Try, /*On fail goto*//*Label 16039*/ GIMT_Encode4(1090959), // Rule ID 60155 //
     /* 1090887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1090898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1090901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1090904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1090907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1090914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090926 */     // MIs[0] policy
     /* 1090926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090936 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1090939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090958 */     // GIR_Coverage, 60155,
     /* 1090958 */     GIR_EraseRootFromParent_Done,
     /* 1090959 */   // Label 16039: @1090959
     /* 1090959 */   GIM_Try, /*On fail goto*//*Label 16040*/ GIMT_Encode4(1091036), // Rule ID 60156 //
     /* 1090964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1090972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1090975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1090978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1090981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1090984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1090991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091003 */     // MIs[0] policy
     /* 1091003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091013 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1091016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091022 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1091032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091035 */     // GIR_Coverage, 60156,
     /* 1091035 */     GIR_EraseRootFromParent_Done,
     /* 1091036 */   // Label 16040: @1091036
     /* 1091036 */   GIM_Try, /*On fail goto*//*Label 16041*/ GIMT_Encode4(1091113), // Rule ID 60159 //
     /* 1091041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1091049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1091052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1091055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1091058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091080 */     // MIs[0] policy
     /* 1091080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091090 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1091093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091099 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091112 */     // GIR_Coverage, 60159,
     /* 1091112 */     GIR_EraseRootFromParent_Done,
     /* 1091113 */   // Label 16041: @1091113
     /* 1091113 */   GIM_Try, /*On fail goto*//*Label 16042*/ GIMT_Encode4(1091190), // Rule ID 60160 //
     /* 1091118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1091126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1091129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1091132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1091135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091157 */     // MIs[0] policy
     /* 1091157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091167 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1091170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091176 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091189 */     // GIR_Coverage, 60160,
     /* 1091189 */     GIR_EraseRootFromParent_Done,
     /* 1091190 */   // Label 16042: @1091190
     /* 1091190 */   GIM_Try, /*On fail goto*//*Label 16043*/ GIMT_Encode4(1091267), // Rule ID 60163 //
     /* 1091195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1091203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1091206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1091209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1091212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1091215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091234 */     // MIs[0] policy
     /* 1091234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091244 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1091247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091266 */     // GIR_Coverage, 60163,
     /* 1091266 */     GIR_EraseRootFromParent_Done,
     /* 1091267 */   // Label 16043: @1091267
     /* 1091267 */   GIM_Try, /*On fail goto*//*Label 16044*/ GIMT_Encode4(1091344), // Rule ID 60164 //
     /* 1091272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1091280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1091283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1091286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1091289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1091292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091311 */     // MIs[0] policy
     /* 1091311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091321 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1091324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091343 */     // GIR_Coverage, 60164,
     /* 1091343 */     GIR_EraseRootFromParent_Done,
     /* 1091344 */   // Label 16044: @1091344
     /* 1091344 */   GIM_Try, /*On fail goto*//*Label 16045*/ GIMT_Encode4(1091421), // Rule ID 60167 //
     /* 1091349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1091357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1091360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1091363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1091366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091388 */     // MIs[0] policy
     /* 1091388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091398 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1091401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091420 */     // GIR_Coverage, 60167,
     /* 1091420 */     GIR_EraseRootFromParent_Done,
     /* 1091421 */   // Label 16045: @1091421
     /* 1091421 */   GIM_Try, /*On fail goto*//*Label 16046*/ GIMT_Encode4(1091498), // Rule ID 60168 //
     /* 1091426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1091434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1091437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1091440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1091443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091465 */     // MIs[0] policy
     /* 1091465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091475 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1091478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091484 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091497 */     // GIR_Coverage, 60168,
     /* 1091497 */     GIR_EraseRootFromParent_Done,
     /* 1091498 */   // Label 16046: @1091498
     /* 1091498 */   GIM_Try, /*On fail goto*//*Label 16047*/ GIMT_Encode4(1091575), // Rule ID 60171 //
     /* 1091503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1091511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1091514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1091517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1091520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091542 */     // MIs[0] policy
     /* 1091542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091552 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1091555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091574 */     // GIR_Coverage, 60171,
     /* 1091574 */     GIR_EraseRootFromParent_Done,
     /* 1091575 */   // Label 16047: @1091575
     /* 1091575 */   GIM_Try, /*On fail goto*//*Label 16048*/ GIMT_Encode4(1091652), // Rule ID 60172 //
     /* 1091580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1091588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1091591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1091594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1091597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091619 */     // MIs[0] policy
     /* 1091619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091629 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1091632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091638 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091651 */     // GIR_Coverage, 60172,
     /* 1091651 */     GIR_EraseRootFromParent_Done,
     /* 1091652 */   // Label 16048: @1091652
     /* 1091652 */   GIM_Try, /*On fail goto*//*Label 16049*/ GIMT_Encode4(1091729), // Rule ID 60175 //
     /* 1091657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1091665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1091668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1091671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1091674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1091677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091696 */     // MIs[0] policy
     /* 1091696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091706 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1091709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091715 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091728 */     // GIR_Coverage, 60175,
     /* 1091728 */     GIR_EraseRootFromParent_Done,
     /* 1091729 */   // Label 16049: @1091729
     /* 1091729 */   GIM_Try, /*On fail goto*//*Label 16050*/ GIMT_Encode4(1091806), // Rule ID 60176 //
     /* 1091734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1091742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1091745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1091748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1091751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1091754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091773 */     // MIs[0] policy
     /* 1091773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091783 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1091786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091792 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091805 */     // GIR_Coverage, 60176,
     /* 1091805 */     GIR_EraseRootFromParent_Done,
     /* 1091806 */   // Label 16050: @1091806
     /* 1091806 */   GIM_Try, /*On fail goto*//*Label 16051*/ GIMT_Encode4(1091883), // Rule ID 60179 //
     /* 1091811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1091819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1091822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1091825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1091828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091850 */     // MIs[0] policy
     /* 1091850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091860 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1091863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091882 */     // GIR_Coverage, 60179,
     /* 1091882 */     GIR_EraseRootFromParent_Done,
     /* 1091883 */   // Label 16051: @1091883
     /* 1091883 */   GIM_Try, /*On fail goto*//*Label 16052*/ GIMT_Encode4(1091960), // Rule ID 60180 //
     /* 1091888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1091896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1091899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1091902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1091905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091927 */     // MIs[0] policy
     /* 1091927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091937 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1091940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091946 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091959 */     // GIR_Coverage, 60180,
     /* 1091959 */     GIR_EraseRootFromParent_Done,
     /* 1091960 */   // Label 16052: @1091960
     /* 1091960 */   GIM_Try, /*On fail goto*//*Label 16053*/ GIMT_Encode4(1092037), // Rule ID 60183 //
     /* 1091965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1091973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1091976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1091979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1091982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092004 */     // MIs[0] policy
     /* 1092004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092014 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1092017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092023 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092036 */     // GIR_Coverage, 60183,
     /* 1092036 */     GIR_EraseRootFromParent_Done,
     /* 1092037 */   // Label 16053: @1092037
     /* 1092037 */   GIM_Try, /*On fail goto*//*Label 16054*/ GIMT_Encode4(1092114), // Rule ID 60184 //
     /* 1092042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1092053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1092056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1092059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092081 */     // MIs[0] policy
     /* 1092081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092091 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1092094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092100 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092113 */     // GIR_Coverage, 60184,
     /* 1092113 */     GIR_EraseRootFromParent_Done,
     /* 1092114 */   // Label 16054: @1092114
     /* 1092114 */   GIM_Try, /*On fail goto*//*Label 16055*/ GIMT_Encode4(1092191), // Rule ID 60187 //
     /* 1092119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1092130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1092133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1092136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092158 */     // MIs[0] policy
     /* 1092158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1092171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092190 */     // GIR_Coverage, 60187,
     /* 1092190 */     GIR_EraseRootFromParent_Done,
     /* 1092191 */   // Label 16055: @1092191
     /* 1092191 */   GIM_Try, /*On fail goto*//*Label 16056*/ GIMT_Encode4(1092268), // Rule ID 60188 //
     /* 1092196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1092207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1092210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1092213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092235 */     // MIs[0] policy
     /* 1092235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092245 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1092248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092254 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092267 */     // GIR_Coverage, 60188,
     /* 1092267 */     GIR_EraseRootFromParent_Done,
     /* 1092268 */   // Label 16056: @1092268
     /* 1092268 */   GIM_Try, /*On fail goto*//*Label 16057*/ GIMT_Encode4(1092345), // Rule ID 60191 //
     /* 1092273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1092284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1092287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1092290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092312 */     // MIs[0] policy
     /* 1092312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092322 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1092325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092331 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092344 */     // GIR_Coverage, 60191,
     /* 1092344 */     GIR_EraseRootFromParent_Done,
     /* 1092345 */   // Label 16057: @1092345
     /* 1092345 */   GIM_Try, /*On fail goto*//*Label 16058*/ GIMT_Encode4(1092422), // Rule ID 60192 //
     /* 1092350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1092361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1092364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1092367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092389 */     // MIs[0] policy
     /* 1092389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092399 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1092402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092408 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092421 */     // GIR_Coverage, 60192,
     /* 1092421 */     GIR_EraseRootFromParent_Done,
     /* 1092422 */   // Label 16058: @1092422
     /* 1092422 */   GIM_Try, /*On fail goto*//*Label 16059*/ GIMT_Encode4(1092499), // Rule ID 60195 //
     /* 1092427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1092438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1092441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1092444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1092447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092466 */     // MIs[0] policy
     /* 1092466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092476 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1092479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092498 */     // GIR_Coverage, 60195,
     /* 1092498 */     GIR_EraseRootFromParent_Done,
     /* 1092499 */   // Label 16059: @1092499
     /* 1092499 */   GIM_Try, /*On fail goto*//*Label 16060*/ GIMT_Encode4(1092576), // Rule ID 60196 //
     /* 1092504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1092515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1092518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1092521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1092524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092543 */     // MIs[0] policy
     /* 1092543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092553 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1092556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092562 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092575 */     // GIR_Coverage, 60196,
     /* 1092575 */     GIR_EraseRootFromParent_Done,
     /* 1092576 */   // Label 16060: @1092576
     /* 1092576 */   GIM_Try, /*On fail goto*//*Label 16061*/ GIMT_Encode4(1092653), // Rule ID 60199 //
     /* 1092581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1092592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1092595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1092598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092620 */     // MIs[0] policy
     /* 1092620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092630 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1092633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092639 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092652 */     // GIR_Coverage, 60199,
     /* 1092652 */     GIR_EraseRootFromParent_Done,
     /* 1092653 */   // Label 16061: @1092653
     /* 1092653 */   GIM_Try, /*On fail goto*//*Label 16062*/ GIMT_Encode4(1092730), // Rule ID 60200 //
     /* 1092658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1092669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1092672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1092675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092697 */     // MIs[0] policy
     /* 1092697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092707 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1092710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092716 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092729 */     // GIR_Coverage, 60200,
     /* 1092729 */     GIR_EraseRootFromParent_Done,
     /* 1092730 */   // Label 16062: @1092730
     /* 1092730 */   GIM_Try, /*On fail goto*//*Label 16063*/ GIMT_Encode4(1092807), // Rule ID 60203 //
     /* 1092735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1092746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1092749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1092752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1092755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092774 */     // MIs[0] policy
     /* 1092774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092784 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1092787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092806 */     // GIR_Coverage, 60203,
     /* 1092806 */     GIR_EraseRootFromParent_Done,
     /* 1092807 */   // Label 16063: @1092807
     /* 1092807 */   GIM_Try, /*On fail goto*//*Label 16064*/ GIMT_Encode4(1092884), // Rule ID 60204 //
     /* 1092812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1092823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1092826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1092829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1092832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092851 */     // MIs[0] policy
     /* 1092851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092861 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1092864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092870 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092883 */     // GIR_Coverage, 60204,
     /* 1092883 */     GIR_EraseRootFromParent_Done,
     /* 1092884 */   // Label 16064: @1092884
     /* 1092884 */   GIM_Try, /*On fail goto*//*Label 16065*/ GIMT_Encode4(1092961), // Rule ID 60207 //
     /* 1092889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1092900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1092903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1092906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1092909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092928 */     // MIs[0] policy
     /* 1092928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092938 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1092941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092947 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092960 */     // GIR_Coverage, 60207,
     /* 1092960 */     GIR_EraseRootFromParent_Done,
     /* 1092961 */   // Label 16065: @1092961
     /* 1092961 */   GIM_Try, /*On fail goto*//*Label 16066*/ GIMT_Encode4(1093038), // Rule ID 60208 //
     /* 1092966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1092974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1092977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1092980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1092983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1092986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093005 */     // MIs[0] policy
     /* 1093005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093015 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1093018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093024 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093037 */     // GIR_Coverage, 60208,
     /* 1093037 */     GIR_EraseRootFromParent_Done,
     /* 1093038 */   // Label 16066: @1093038
     /* 1093038 */   GIM_Try, /*On fail goto*//*Label 16067*/ GIMT_Encode4(1093115), // Rule ID 60211 //
     /* 1093043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1093054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1093057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1093060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1093070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093082 */     // MIs[0] policy
     /* 1093082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093092 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1093095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093114 */     // GIR_Coverage, 60211,
     /* 1093114 */     GIR_EraseRootFromParent_Done,
     /* 1093115 */   // Label 16067: @1093115
     /* 1093115 */   GIM_Try, /*On fail goto*//*Label 16068*/ GIMT_Encode4(1093192), // Rule ID 60212 //
     /* 1093120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1093131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1093134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1093137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1093147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093159 */     // MIs[0] policy
     /* 1093159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093169 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1093172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093178 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093191 */     // GIR_Coverage, 60212,
     /* 1093191 */     GIR_EraseRootFromParent_Done,
     /* 1093192 */   // Label 16068: @1093192
     /* 1093192 */   GIM_Try, /*On fail goto*//*Label 16069*/ GIMT_Encode4(1093269), // Rule ID 60215 //
     /* 1093197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1093208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1093211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1093214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1093217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1093224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093236 */     // MIs[0] policy
     /* 1093236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093246 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1093249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093255 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093268 */     // GIR_Coverage, 60215,
     /* 1093268 */     GIR_EraseRootFromParent_Done,
     /* 1093269 */   // Label 16069: @1093269
     /* 1093269 */   GIM_Try, /*On fail goto*//*Label 16070*/ GIMT_Encode4(1093346), // Rule ID 60216 //
     /* 1093274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1093285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1093288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1093291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1093294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1093301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093313 */     // MIs[0] policy
     /* 1093313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093323 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1093326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093332 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093345 */     // GIR_Coverage, 60216,
     /* 1093345 */     GIR_EraseRootFromParent_Done,
     /* 1093346 */   // Label 16070: @1093346
     /* 1093346 */   GIM_Try, /*On fail goto*//*Label 16071*/ GIMT_Encode4(1093423), // Rule ID 60219 //
     /* 1093351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1093362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1093365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1093368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1093371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1093378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093390 */     // MIs[0] policy
     /* 1093390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093400 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1093403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093422 */     // GIR_Coverage, 60219,
     /* 1093422 */     GIR_EraseRootFromParent_Done,
     /* 1093423 */   // Label 16071: @1093423
     /* 1093423 */   GIM_Try, /*On fail goto*//*Label 16072*/ GIMT_Encode4(1093500), // Rule ID 60220 //
     /* 1093428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1093439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1093442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1093445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1093448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1093455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093467 */     // MIs[0] policy
     /* 1093467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093477 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1093480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093486 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093499 */     // GIR_Coverage, 60220,
     /* 1093499 */     GIR_EraseRootFromParent_Done,
     /* 1093500 */   // Label 16072: @1093500
     /* 1093500 */   GIM_Try, /*On fail goto*//*Label 16073*/ GIMT_Encode4(1093577), // Rule ID 60223 //
     /* 1093505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1093516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1093519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1093522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1093532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093544 */     // MIs[0] policy
     /* 1093544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093554 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1093557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093563 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093576 */     // GIR_Coverage, 60223,
     /* 1093576 */     GIR_EraseRootFromParent_Done,
     /* 1093577 */   // Label 16073: @1093577
     /* 1093577 */   GIM_Try, /*On fail goto*//*Label 16074*/ GIMT_Encode4(1093654), // Rule ID 60224 //
     /* 1093582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1093593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1093596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1093599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1093609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093621 */     // MIs[0] policy
     /* 1093621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093631 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1093634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093640 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093653 */     // GIR_Coverage, 60224,
     /* 1093653 */     GIR_EraseRootFromParent_Done,
     /* 1093654 */   // Label 16074: @1093654
     /* 1093654 */   GIM_Try, /*On fail goto*//*Label 16075*/ GIMT_Encode4(1093731), // Rule ID 60227 //
     /* 1093659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1093670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1093673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1093676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1093686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093698 */     // MIs[0] policy
     /* 1093698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093708 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1093711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093730 */     // GIR_Coverage, 60227,
     /* 1093730 */     GIR_EraseRootFromParent_Done,
     /* 1093731 */   // Label 16075: @1093731
     /* 1093731 */   GIM_Try, /*On fail goto*//*Label 16076*/ GIMT_Encode4(1093808), // Rule ID 60228 //
     /* 1093736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1093747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1093750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1093753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1093763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093775 */     // MIs[0] policy
     /* 1093775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093785 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1093788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093794 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093807 */     // GIR_Coverage, 60228,
     /* 1093807 */     GIR_EraseRootFromParent_Done,
     /* 1093808 */   // Label 16076: @1093808
     /* 1093808 */   GIM_Try, /*On fail goto*//*Label 16077*/ GIMT_Encode4(1093885), // Rule ID 60231 //
     /* 1093813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1093824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1093827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1093830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1093833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1093840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093852 */     // MIs[0] policy
     /* 1093852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093862 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1093865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093871 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093884 */     // GIR_Coverage, 60231,
     /* 1093884 */     GIR_EraseRootFromParent_Done,
     /* 1093885 */   // Label 16077: @1093885
     /* 1093885 */   GIM_Try, /*On fail goto*//*Label 16078*/ GIMT_Encode4(1093962), // Rule ID 60232 //
     /* 1093890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1093901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1093904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1093907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1093910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1093917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093929 */     // MIs[0] policy
     /* 1093929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093939 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1093942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093948 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093961 */     // GIR_Coverage, 60232,
     /* 1093961 */     GIR_EraseRootFromParent_Done,
     /* 1093962 */   // Label 16078: @1093962
     /* 1093962 */   GIM_Try, /*On fail goto*//*Label 16079*/ GIMT_Encode4(1094039), // Rule ID 60235 //
     /* 1093967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1093975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1093978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1093981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1093984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1093994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094006 */     // MIs[0] policy
     /* 1094006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094016 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1094019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094038 */     // GIR_Coverage, 60235,
     /* 1094038 */     GIR_EraseRootFromParent_Done,
     /* 1094039 */   // Label 16079: @1094039
     /* 1094039 */   GIM_Try, /*On fail goto*//*Label 16080*/ GIMT_Encode4(1094116), // Rule ID 60236 //
     /* 1094044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1094055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1094058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1094061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094083 */     // MIs[0] policy
     /* 1094083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094093 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1094096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094102 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094115 */     // GIR_Coverage, 60236,
     /* 1094115 */     GIR_EraseRootFromParent_Done,
     /* 1094116 */   // Label 16080: @1094116
     /* 1094116 */   GIM_Try, /*On fail goto*//*Label 16081*/ GIMT_Encode4(1094193), // Rule ID 60239 //
     /* 1094121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1094132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1094135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1094138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1094141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094160 */     // MIs[0] policy
     /* 1094160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094170 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094192 */     // GIR_Coverage, 60239,
     /* 1094192 */     GIR_EraseRootFromParent_Done,
     /* 1094193 */   // Label 16081: @1094193
     /* 1094193 */   GIM_Try, /*On fail goto*//*Label 16082*/ GIMT_Encode4(1094270), // Rule ID 60240 //
     /* 1094198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1094209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1094212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1094215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1094218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094237 */     // MIs[0] policy
     /* 1094237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094247 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1094250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094256 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094269 */     // GIR_Coverage, 60240,
     /* 1094269 */     GIR_EraseRootFromParent_Done,
     /* 1094270 */   // Label 16082: @1094270
     /* 1094270 */   GIM_Try, /*On fail goto*//*Label 16083*/ GIMT_Encode4(1094347), // Rule ID 60243 //
     /* 1094275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1094286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1094289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1094292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1094302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094314 */     // MIs[0] policy
     /* 1094314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094324 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1094327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094346 */     // GIR_Coverage, 60243,
     /* 1094346 */     GIR_EraseRootFromParent_Done,
     /* 1094347 */   // Label 16083: @1094347
     /* 1094347 */   GIM_Try, /*On fail goto*//*Label 16084*/ GIMT_Encode4(1094424), // Rule ID 60244 //
     /* 1094352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1094360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1094363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1094366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1094369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1094379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094391 */     // MIs[0] policy
     /* 1094391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094401 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1094404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094410 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094423 */     // GIR_Coverage, 60244,
     /* 1094423 */     GIR_EraseRootFromParent_Done,
     /* 1094424 */   // Label 16084: @1094424
     /* 1094424 */   GIM_Try, /*On fail goto*//*Label 16085*/ GIMT_Encode4(1094501), // Rule ID 60247 //
     /* 1094429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1094437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1094440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1094443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1094446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094468 */     // MIs[0] policy
     /* 1094468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094478 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1094481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094487 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094500 */     // GIR_Coverage, 60247,
     /* 1094500 */     GIR_EraseRootFromParent_Done,
     /* 1094501 */   // Label 16085: @1094501
     /* 1094501 */   GIM_Try, /*On fail goto*//*Label 16086*/ GIMT_Encode4(1094578), // Rule ID 60248 //
     /* 1094506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1094514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1094517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1094520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1094523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094545 */     // MIs[0] policy
     /* 1094545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094555 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1094558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094564 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094577 */     // GIR_Coverage, 60248,
     /* 1094577 */     GIR_EraseRootFromParent_Done,
     /* 1094578 */   // Label 16086: @1094578
     /* 1094578 */   GIM_Try, /*On fail goto*//*Label 16087*/ GIMT_Encode4(1094655), // Rule ID 60251 //
     /* 1094583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1094591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1094594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1094597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1094600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094622 */     // MIs[0] policy
     /* 1094622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094632 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1094635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094654 */     // GIR_Coverage, 60251,
     /* 1094654 */     GIR_EraseRootFromParent_Done,
     /* 1094655 */   // Label 16087: @1094655
     /* 1094655 */   GIM_Try, /*On fail goto*//*Label 16088*/ GIMT_Encode4(1094732), // Rule ID 60252 //
     /* 1094660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1094668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1094671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1094674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1094677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094699 */     // MIs[0] policy
     /* 1094699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094709 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1094712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094718 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094731 */     // GIR_Coverage, 60252,
     /* 1094731 */     GIR_EraseRootFromParent_Done,
     /* 1094732 */   // Label 16088: @1094732
     /* 1094732 */   GIM_Try, /*On fail goto*//*Label 16089*/ GIMT_Encode4(1094809), // Rule ID 60255 //
     /* 1094737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1094745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1094748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1094751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1094754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1094757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094776 */     // MIs[0] policy
     /* 1094776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094786 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1094789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094795 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094808 */     // GIR_Coverage, 60255,
     /* 1094808 */     GIR_EraseRootFromParent_Done,
     /* 1094809 */   // Label 16089: @1094809
     /* 1094809 */   GIM_Try, /*On fail goto*//*Label 16090*/ GIMT_Encode4(1094886), // Rule ID 60256 //
     /* 1094814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1094822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1094825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1094828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1094831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1094834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094853 */     // MIs[0] policy
     /* 1094853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094863 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1094866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094872 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094885 */     // GIR_Coverage, 60256,
     /* 1094885 */     GIR_EraseRootFromParent_Done,
     /* 1094886 */   // Label 16090: @1094886
     /* 1094886 */   GIM_Try, /*On fail goto*//*Label 16091*/ GIMT_Encode4(1094963), // Rule ID 60259 //
     /* 1094891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1094899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1094902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1094905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1094908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094930 */     // MIs[0] policy
     /* 1094930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094940 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1094943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094962 */     // GIR_Coverage, 60259,
     /* 1094962 */     GIR_EraseRootFromParent_Done,
     /* 1094963 */   // Label 16091: @1094963
     /* 1094963 */   GIM_Try, /*On fail goto*//*Label 16092*/ GIMT_Encode4(1095040), // Rule ID 60260 //
     /* 1094968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1094976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1094979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1094982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1094985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095007 */     // MIs[0] policy
     /* 1095007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095017 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1095020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095026 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095039 */     // GIR_Coverage, 60260,
     /* 1095039 */     GIR_EraseRootFromParent_Done,
     /* 1095040 */   // Label 16092: @1095040
     /* 1095040 */   GIM_Try, /*On fail goto*//*Label 16093*/ GIMT_Encode4(1095117), // Rule ID 60263 //
     /* 1095045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1095056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1095059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1095062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1095065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095084 */     // MIs[0] policy
     /* 1095084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095094 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1095097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095103 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095116 */     // GIR_Coverage, 60263,
     /* 1095116 */     GIR_EraseRootFromParent_Done,
     /* 1095117 */   // Label 16093: @1095117
     /* 1095117 */   GIM_Try, /*On fail goto*//*Label 16094*/ GIMT_Encode4(1095194), // Rule ID 60264 //
     /* 1095122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1095133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1095136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1095139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1095142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095161 */     // MIs[0] policy
     /* 1095161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1095174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095180 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095193 */     // GIR_Coverage, 60264,
     /* 1095193 */     GIR_EraseRootFromParent_Done,
     /* 1095194 */   // Label 16094: @1095194
     /* 1095194 */   GIM_Try, /*On fail goto*//*Label 16095*/ GIMT_Encode4(1095271), // Rule ID 60267 //
     /* 1095199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1095210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1095213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1095216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1095219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095238 */     // MIs[0] policy
     /* 1095238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095248 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1095251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095270 */     // GIR_Coverage, 60267,
     /* 1095270 */     GIR_EraseRootFromParent_Done,
     /* 1095271 */   // Label 16095: @1095271
     /* 1095271 */   GIM_Try, /*On fail goto*//*Label 16096*/ GIMT_Encode4(1095348), // Rule ID 60268 //
     /* 1095276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1095287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1095290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1095293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1095296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095315 */     // MIs[0] policy
     /* 1095315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095325 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1095328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095334 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095347 */     // GIR_Coverage, 60268,
     /* 1095347 */     GIR_EraseRootFromParent_Done,
     /* 1095348 */   // Label 16096: @1095348
     /* 1095348 */   GIM_Try, /*On fail goto*//*Label 16097*/ GIMT_Encode4(1095425), // Rule ID 60271 //
     /* 1095353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1095364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1095367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1095370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095392 */     // MIs[0] policy
     /* 1095392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095402 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1095405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095424 */     // GIR_Coverage, 60271,
     /* 1095424 */     GIR_EraseRootFromParent_Done,
     /* 1095425 */   // Label 16097: @1095425
     /* 1095425 */   GIM_Try, /*On fail goto*//*Label 16098*/ GIMT_Encode4(1095502), // Rule ID 60272 //
     /* 1095430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1095441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1095444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1095447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095469 */     // MIs[0] policy
     /* 1095469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095479 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1095482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095488 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095501 */     // GIR_Coverage, 60272,
     /* 1095501 */     GIR_EraseRootFromParent_Done,
     /* 1095502 */   // Label 16098: @1095502
     /* 1095502 */   GIM_Try, /*On fail goto*//*Label 16099*/ GIMT_Encode4(1095579), // Rule ID 60275 //
     /* 1095507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1095518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1095521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1095524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095546 */     // MIs[0] policy
     /* 1095546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095556 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1095559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095578 */     // GIR_Coverage, 60275,
     /* 1095578 */     GIR_EraseRootFromParent_Done,
     /* 1095579 */   // Label 16099: @1095579
     /* 1095579 */   GIM_Try, /*On fail goto*//*Label 16100*/ GIMT_Encode4(1095656), // Rule ID 60276 //
     /* 1095584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1095595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1095598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1095601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095623 */     // MIs[0] policy
     /* 1095623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1095636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095642 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095655 */     // GIR_Coverage, 60276,
     /* 1095655 */     GIR_EraseRootFromParent_Done,
     /* 1095656 */   // Label 16100: @1095656
     /* 1095656 */   GIM_Try, /*On fail goto*//*Label 16101*/ GIMT_Encode4(1095733), // Rule ID 60279 //
     /* 1095661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1095672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1095675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1095678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1095681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095700 */     // MIs[0] policy
     /* 1095700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095710 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1095713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095719 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095732 */     // GIR_Coverage, 60279,
     /* 1095732 */     GIR_EraseRootFromParent_Done,
     /* 1095733 */   // Label 16101: @1095733
     /* 1095733 */   GIM_Try, /*On fail goto*//*Label 16102*/ GIMT_Encode4(1095810), // Rule ID 60280 //
     /* 1095738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1095749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1095752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1095755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1095758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095777 */     // MIs[0] policy
     /* 1095777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095787 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1095790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095796 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095809 */     // GIR_Coverage, 60280,
     /* 1095809 */     GIR_EraseRootFromParent_Done,
     /* 1095810 */   // Label 16102: @1095810
     /* 1095810 */   GIM_Try, /*On fail goto*//*Label 16103*/ GIMT_Encode4(1095887), // Rule ID 60283 //
     /* 1095815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1095826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1095829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1095832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1095835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095854 */     // MIs[0] policy
     /* 1095854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095864 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1095867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095886 */     // GIR_Coverage, 60283,
     /* 1095886 */     GIR_EraseRootFromParent_Done,
     /* 1095887 */   // Label 16103: @1095887
     /* 1095887 */   GIM_Try, /*On fail goto*//*Label 16104*/ GIMT_Encode4(1095964), // Rule ID 60284 //
     /* 1095892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1095903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1095906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1095909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1095912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095931 */     // MIs[0] policy
     /* 1095931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095941 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1095944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095950 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095963 */     // GIR_Coverage, 60284,
     /* 1095963 */     GIR_EraseRootFromParent_Done,
     /* 1095964 */   // Label 16104: @1095964
     /* 1095964 */   GIM_Try, /*On fail goto*//*Label 16105*/ GIMT_Encode4(1096041), // Rule ID 60287 //
     /* 1095969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1095977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1095980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1095983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1095986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096008 */     // MIs[0] policy
     /* 1096008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096018 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1096021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096027 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096040 */     // GIR_Coverage, 60287,
     /* 1096040 */     GIR_EraseRootFromParent_Done,
     /* 1096041 */   // Label 16105: @1096041
     /* 1096041 */   GIM_Try, /*On fail goto*//*Label 16106*/ GIMT_Encode4(1096118), // Rule ID 60288 //
     /* 1096046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1096057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1096060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1096063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1096066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096085 */     // MIs[0] policy
     /* 1096085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096095 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1096098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096104 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096117 */     // GIR_Coverage, 60288,
     /* 1096117 */     GIR_EraseRootFromParent_Done,
     /* 1096118 */   // Label 16106: @1096118
     /* 1096118 */   GIM_Try, /*On fail goto*//*Label 16107*/ GIMT_Encode4(1096195), // Rule ID 60291 //
     /* 1096123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1096134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1096137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1096140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1096143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096162 */     // MIs[0] policy
     /* 1096162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096172 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1096175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096194 */     // GIR_Coverage, 60291,
     /* 1096194 */     GIR_EraseRootFromParent_Done,
     /* 1096195 */   // Label 16107: @1096195
     /* 1096195 */   GIM_Try, /*On fail goto*//*Label 16108*/ GIMT_Encode4(1096272), // Rule ID 60292 //
     /* 1096200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1096211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1096214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1096217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1096220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096239 */     // MIs[0] policy
     /* 1096239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096249 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1096252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096258 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096271 */     // GIR_Coverage, 60292,
     /* 1096271 */     GIR_EraseRootFromParent_Done,
     /* 1096272 */   // Label 16108: @1096272
     /* 1096272 */   GIM_Try, /*On fail goto*//*Label 16109*/ GIMT_Encode4(1096349), // Rule ID 60295 //
     /* 1096277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1096288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1096291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1096294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1096297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096316 */     // MIs[0] policy
     /* 1096316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096326 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1096329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096335 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096348 */     // GIR_Coverage, 60295,
     /* 1096348 */     GIR_EraseRootFromParent_Done,
     /* 1096349 */   // Label 16109: @1096349
     /* 1096349 */   GIM_Try, /*On fail goto*//*Label 16110*/ GIMT_Encode4(1096426), // Rule ID 60296 //
     /* 1096354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1096365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1096368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1096371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1096374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096393 */     // MIs[0] policy
     /* 1096393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096403 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1096406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096412 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096425 */     // GIR_Coverage, 60296,
     /* 1096425 */     GIR_EraseRootFromParent_Done,
     /* 1096426 */   // Label 16110: @1096426
     /* 1096426 */   GIM_Try, /*On fail goto*//*Label 16111*/ GIMT_Encode4(1096503), // Rule ID 60299 //
     /* 1096431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1096442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1096445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1096448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096470 */     // MIs[0] policy
     /* 1096470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096480 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1096483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096502 */     // GIR_Coverage, 60299,
     /* 1096502 */     GIR_EraseRootFromParent_Done,
     /* 1096503 */   // Label 16111: @1096503
     /* 1096503 */   GIM_Try, /*On fail goto*//*Label 16112*/ GIMT_Encode4(1096580), // Rule ID 60300 //
     /* 1096508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1096519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1096522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1096525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096547 */     // MIs[0] policy
     /* 1096547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096557 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1096560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096566 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096579 */     // GIR_Coverage, 60300,
     /* 1096579 */     GIR_EraseRootFromParent_Done,
     /* 1096580 */   // Label 16112: @1096580
     /* 1096580 */   GIM_Try, /*On fail goto*//*Label 16113*/ GIMT_Encode4(1096657), // Rule ID 60303 //
     /* 1096585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1096596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1096599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1096602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1096605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096624 */     // MIs[0] policy
     /* 1096624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096634 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1096637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096643 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096656 */     // GIR_Coverage, 60303,
     /* 1096656 */     GIR_EraseRootFromParent_Done,
     /* 1096657 */   // Label 16113: @1096657
     /* 1096657 */   GIM_Try, /*On fail goto*//*Label 16114*/ GIMT_Encode4(1096734), // Rule ID 60304 //
     /* 1096662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1096673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1096676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1096679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1096682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096701 */     // MIs[0] policy
     /* 1096701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096711 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1096714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096720 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096733 */     // GIR_Coverage, 60304,
     /* 1096733 */     GIR_EraseRootFromParent_Done,
     /* 1096734 */   // Label 16114: @1096734
     /* 1096734 */   GIM_Try, /*On fail goto*//*Label 16115*/ GIMT_Encode4(1096811), // Rule ID 60307 //
     /* 1096739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1096750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1096753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1096756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1096759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096778 */     // MIs[0] policy
     /* 1096778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096788 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1096791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096810 */     // GIR_Coverage, 60307,
     /* 1096810 */     GIR_EraseRootFromParent_Done,
     /* 1096811 */   // Label 16115: @1096811
     /* 1096811 */   GIM_Try, /*On fail goto*//*Label 16116*/ GIMT_Encode4(1096888), // Rule ID 60308 //
     /* 1096816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1096827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1096830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1096833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1096836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096855 */     // MIs[0] policy
     /* 1096855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096865 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1096868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096874 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096887 */     // GIR_Coverage, 60308,
     /* 1096887 */     GIR_EraseRootFromParent_Done,
     /* 1096888 */   // Label 16116: @1096888
     /* 1096888 */   GIM_Try, /*On fail goto*//*Label 16117*/ GIMT_Encode4(1096965), // Rule ID 60311 //
     /* 1096893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1096904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1096907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1096910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096932 */     // MIs[0] policy
     /* 1096932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096942 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1096945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096951 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096964 */     // GIR_Coverage, 60311,
     /* 1096964 */     GIR_EraseRootFromParent_Done,
     /* 1096965 */   // Label 16117: @1096965
     /* 1096965 */   GIM_Try, /*On fail goto*//*Label 16118*/ GIMT_Encode4(1097042), // Rule ID 60312 //
     /* 1096970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1096978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1096981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1096984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1096987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097009 */     // MIs[0] policy
     /* 1097009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097019 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1097022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097028 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097041 */     // GIR_Coverage, 60312,
     /* 1097041 */     GIR_EraseRootFromParent_Done,
     /* 1097042 */   // Label 16118: @1097042
     /* 1097042 */   GIM_Try, /*On fail goto*//*Label 16119*/ GIMT_Encode4(1097119), // Rule ID 60315 //
     /* 1097047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1097058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1097061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1097064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1097074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097086 */     // MIs[0] policy
     /* 1097086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097096 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1097099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097118 */     // GIR_Coverage, 60315,
     /* 1097118 */     GIR_EraseRootFromParent_Done,
     /* 1097119 */   // Label 16119: @1097119
     /* 1097119 */   GIM_Try, /*On fail goto*//*Label 16120*/ GIMT_Encode4(1097196), // Rule ID 60316 //
     /* 1097124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1097135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1097138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1097141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1097151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097163 */     // MIs[0] policy
     /* 1097163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097173 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1097176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097182 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097195 */     // GIR_Coverage, 60316,
     /* 1097195 */     GIR_EraseRootFromParent_Done,
     /* 1097196 */   // Label 16120: @1097196
     /* 1097196 */   GIM_Try, /*On fail goto*//*Label 16121*/ GIMT_Encode4(1097273), // Rule ID 60319 //
     /* 1097201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1097212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1097215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1097218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1097221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1097228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097240 */     // MIs[0] policy
     /* 1097240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097250 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1097253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097259 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097272 */     // GIR_Coverage, 60319,
     /* 1097272 */     GIR_EraseRootFromParent_Done,
     /* 1097273 */   // Label 16121: @1097273
     /* 1097273 */   GIM_Try, /*On fail goto*//*Label 16122*/ GIMT_Encode4(1097350), // Rule ID 60320 //
     /* 1097278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1097289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1097292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1097295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1097298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1097305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097317 */     // MIs[0] policy
     /* 1097317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097327 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1097330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097349 */     // GIR_Coverage, 60320,
     /* 1097349 */     GIR_EraseRootFromParent_Done,
     /* 1097350 */   // Label 16122: @1097350
     /* 1097350 */   GIM_Try, /*On fail goto*//*Label 16123*/ GIMT_Encode4(1097427), // Rule ID 60323 //
     /* 1097355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1097366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1097369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1097372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1097382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097394 */     // MIs[0] policy
     /* 1097394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097404 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1097407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097426 */     // GIR_Coverage, 60323,
     /* 1097426 */     GIR_EraseRootFromParent_Done,
     /* 1097427 */   // Label 16123: @1097427
     /* 1097427 */   GIM_Try, /*On fail goto*//*Label 16124*/ GIMT_Encode4(1097504), // Rule ID 60324 //
     /* 1097432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1097443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1097446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1097449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1097459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097471 */     // MIs[0] policy
     /* 1097471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097481 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1097484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097490 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097503 */     // GIR_Coverage, 60324,
     /* 1097503 */     GIR_EraseRootFromParent_Done,
     /* 1097504 */   // Label 16124: @1097504
     /* 1097504 */   GIM_Try, /*On fail goto*//*Label 16125*/ GIMT_Encode4(1097581), // Rule ID 60327 //
     /* 1097509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1097520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1097523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1097526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1097536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097548 */     // MIs[0] policy
     /* 1097548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097558 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1097561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097567 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097580 */     // GIR_Coverage, 60327,
     /* 1097580 */     GIR_EraseRootFromParent_Done,
     /* 1097581 */   // Label 16125: @1097581
     /* 1097581 */   GIM_Try, /*On fail goto*//*Label 16126*/ GIMT_Encode4(1097658), // Rule ID 60328 //
     /* 1097586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1097597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1097600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1097603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1097613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097625 */     // MIs[0] policy
     /* 1097625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097635 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1097638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097644 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097657 */     // GIR_Coverage, 60328,
     /* 1097657 */     GIR_EraseRootFromParent_Done,
     /* 1097658 */   // Label 16126: @1097658
     /* 1097658 */   GIM_Try, /*On fail goto*//*Label 16127*/ GIMT_Encode4(1097735), // Rule ID 60331 //
     /* 1097663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1097674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1097677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1097680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1097690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097702 */     // MIs[0] policy
     /* 1097702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097712 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1097715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097734 */     // GIR_Coverage, 60331,
     /* 1097734 */     GIR_EraseRootFromParent_Done,
     /* 1097735 */   // Label 16127: @1097735
     /* 1097735 */   GIM_Try, /*On fail goto*//*Label 16128*/ GIMT_Encode4(1097812), // Rule ID 60332 //
     /* 1097740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1097748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1097751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1097754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1097757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1097767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097779 */     // MIs[0] policy
     /* 1097779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097789 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1097792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097798 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097811 */     // GIR_Coverage, 60332,
     /* 1097811 */     GIR_EraseRootFromParent_Done,
     /* 1097812 */   // Label 16128: @1097812
     /* 1097812 */   GIM_Try, /*On fail goto*//*Label 16129*/ GIMT_Encode4(1097889), // Rule ID 60755 //
     /* 1097817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1097820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1097825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1097828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1097831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1097834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097856 */     // MIs[0] policy
     /* 1097856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097866 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1097869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097875 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097888 */     // GIR_Coverage, 60755,
     /* 1097888 */     GIR_EraseRootFromParent_Done,
     /* 1097889 */   // Label 16129: @1097889
     /* 1097889 */   GIM_Try, /*On fail goto*//*Label 16130*/ GIMT_Encode4(1097966), // Rule ID 60756 //
     /* 1097894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1097897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1097902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1097905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1097908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1097911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097933 */     // MIs[0] policy
     /* 1097933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097943 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1097946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097952 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097965 */     // GIR_Coverage, 60756,
     /* 1097965 */     GIR_EraseRootFromParent_Done,
     /* 1097966 */   // Label 16130: @1097966
     /* 1097966 */   GIM_Try, /*On fail goto*//*Label 16131*/ GIMT_Encode4(1098043), // Rule ID 60759 //
     /* 1097971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1097974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1097979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1097982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1097985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1097988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098010 */     // MIs[0] policy
     /* 1098010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098020 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1098023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098042 */     // GIR_Coverage, 60759,
     /* 1098042 */     GIR_EraseRootFromParent_Done,
     /* 1098043 */   // Label 16131: @1098043
     /* 1098043 */   GIM_Try, /*On fail goto*//*Label 16132*/ GIMT_Encode4(1098120), // Rule ID 60760 //
     /* 1098048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1098051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1098056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1098059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1098062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1098065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1098068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098087 */     // MIs[0] policy
     /* 1098087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098097 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1098100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098106 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098119 */     // GIR_Coverage, 60760,
     /* 1098119 */     GIR_EraseRootFromParent_Done,
     /* 1098120 */   // Label 16132: @1098120
     /* 1098120 */   GIM_Try, /*On fail goto*//*Label 16133*/ GIMT_Encode4(1098197), // Rule ID 60763 //
     /* 1098125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1098128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1098133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1098136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1098139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1098142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098164 */     // MIs[0] policy
     /* 1098164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098174 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1098177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098183 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098196 */     // GIR_Coverage, 60763,
     /* 1098196 */     GIR_EraseRootFromParent_Done,
     /* 1098197 */   // Label 16133: @1098197
     /* 1098197 */   GIM_Try, /*On fail goto*//*Label 16134*/ GIMT_Encode4(1098274), // Rule ID 60764 //
     /* 1098202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1098205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1098210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1098213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1098216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1098219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098241 */     // MIs[0] policy
     /* 1098241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098251 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1098254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098260 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098273 */     // GIR_Coverage, 60764,
     /* 1098273 */     GIR_EraseRootFromParent_Done,
     /* 1098274 */   // Label 16134: @1098274
     /* 1098274 */   GIM_Try, /*On fail goto*//*Label 16135*/ GIMT_Encode4(1098351), // Rule ID 60767 //
     /* 1098279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1098282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1098287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1098290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1098293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1098296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1098299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098318 */     // MIs[0] policy
     /* 1098318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098328 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1098331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098350 */     // GIR_Coverage, 60767,
     /* 1098350 */     GIR_EraseRootFromParent_Done,
     /* 1098351 */   // Label 16135: @1098351
     /* 1098351 */   GIM_Try, /*On fail goto*//*Label 16136*/ GIMT_Encode4(1098428), // Rule ID 60768 //
     /* 1098356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1098359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1098364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1098367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1098370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1098373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1098376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098395 */     // MIs[0] policy
     /* 1098395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098405 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1098408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098414 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098427 */     // GIR_Coverage, 60768,
     /* 1098427 */     GIR_EraseRootFromParent_Done,
     /* 1098428 */   // Label 16136: @1098428
     /* 1098428 */   GIM_Try, /*On fail goto*//*Label 16137*/ GIMT_Encode4(1098505), // Rule ID 60771 //
     /* 1098433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1098436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1098441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1098444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1098447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1098450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1098453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098472 */     // MIs[0] policy
     /* 1098472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098482 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1098485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098491 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098504 */     // GIR_Coverage, 60771,
     /* 1098504 */     GIR_EraseRootFromParent_Done,
     /* 1098505 */   // Label 16137: @1098505
     /* 1098505 */   GIM_Try, /*On fail goto*//*Label 16138*/ GIMT_Encode4(1098582), // Rule ID 60772 //
     /* 1098510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1098513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1098518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1098521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1098524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1098527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1098530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098549 */     // MIs[0] policy
     /* 1098549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098559 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1098562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098568 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098581 */     // GIR_Coverage, 60772,
     /* 1098581 */     GIR_EraseRootFromParent_Done,
     /* 1098582 */   // Label 16138: @1098582
     /* 1098582 */   GIM_Try, /*On fail goto*//*Label 16139*/ GIMT_Encode4(1098659), // Rule ID 60775 //
     /* 1098587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1098590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1098595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1098598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1098601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1098604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1098607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098626 */     // MIs[0] policy
     /* 1098626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098636 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1098639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098658 */     // GIR_Coverage, 60775,
     /* 1098658 */     GIR_EraseRootFromParent_Done,
     /* 1098659 */   // Label 16139: @1098659
     /* 1098659 */   GIM_Try, /*On fail goto*//*Label 16140*/ GIMT_Encode4(1098736), // Rule ID 60776 //
     /* 1098664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1098667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1098672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1098675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1098678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1098681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1098684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098703 */     // MIs[0] policy
     /* 1098703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098713 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1098716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098722 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098735 */     // GIR_Coverage, 60776,
     /* 1098735 */     GIR_EraseRootFromParent_Done,
     /* 1098736 */   // Label 16140: @1098736
     /* 1098736 */   GIM_Try, /*On fail goto*//*Label 16141*/ GIMT_Encode4(1098813), // Rule ID 60779 //
     /* 1098741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1098744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1098749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1098752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1098755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1098758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098780 */     // MIs[0] policy
     /* 1098780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098790 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1098793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098799 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098812 */     // GIR_Coverage, 60779,
     /* 1098812 */     GIR_EraseRootFromParent_Done,
     /* 1098813 */   // Label 16141: @1098813
     /* 1098813 */   GIM_Try, /*On fail goto*//*Label 16142*/ GIMT_Encode4(1098890), // Rule ID 60780 //
     /* 1098818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1098821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1098826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1098829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1098832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1098835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098857 */     // MIs[0] policy
     /* 1098857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098867 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1098870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098889 */     // GIR_Coverage, 60780,
     /* 1098889 */     GIR_EraseRootFromParent_Done,
     /* 1098890 */   // Label 16142: @1098890
     /* 1098890 */   GIM_Try, /*On fail goto*//*Label 16143*/ GIMT_Encode4(1098967), // Rule ID 60783 //
     /* 1098895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1098898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1098903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1098906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1098909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1098912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098934 */     // MIs[0] policy
     /* 1098934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098944 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1098947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098966 */     // GIR_Coverage, 60783,
     /* 1098966 */     GIR_EraseRootFromParent_Done,
     /* 1098967 */   // Label 16143: @1098967
     /* 1098967 */   GIM_Try, /*On fail goto*//*Label 16144*/ GIMT_Encode4(1099044), // Rule ID 60784 //
     /* 1098972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1098975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1098980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1098983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1098986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1098989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099011 */     // MIs[0] policy
     /* 1099011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099021 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1099024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099030 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099043 */     // GIR_Coverage, 60784,
     /* 1099043 */     GIR_EraseRootFromParent_Done,
     /* 1099044 */   // Label 16144: @1099044
     /* 1099044 */   GIM_Try, /*On fail goto*//*Label 16145*/ GIMT_Encode4(1099121), // Rule ID 60787 //
     /* 1099049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1099060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1099063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1099066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099088 */     // MIs[0] policy
     /* 1099088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099098 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1099101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099120 */     // GIR_Coverage, 60787,
     /* 1099120 */     GIR_EraseRootFromParent_Done,
     /* 1099121 */   // Label 16145: @1099121
     /* 1099121 */   GIM_Try, /*On fail goto*//*Label 16146*/ GIMT_Encode4(1099198), // Rule ID 60788 //
     /* 1099126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1099137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1099140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1099143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099165 */     // MIs[0] policy
     /* 1099165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099175 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1099178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099184 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099197 */     // GIR_Coverage, 60788,
     /* 1099197 */     GIR_EraseRootFromParent_Done,
     /* 1099198 */   // Label 16146: @1099198
     /* 1099198 */   GIM_Try, /*On fail goto*//*Label 16147*/ GIMT_Encode4(1099275), // Rule ID 60791 //
     /* 1099203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1099214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1099217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1099220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099242 */     // MIs[0] policy
     /* 1099242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1099255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099274 */     // GIR_Coverage, 60791,
     /* 1099274 */     GIR_EraseRootFromParent_Done,
     /* 1099275 */   // Label 16147: @1099275
     /* 1099275 */   GIM_Try, /*On fail goto*//*Label 16148*/ GIMT_Encode4(1099352), // Rule ID 60792 //
     /* 1099280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1099291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1099294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1099297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1099300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1099307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099319 */     // MIs[0] policy
     /* 1099319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099329 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1099332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099338 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099351 */     // GIR_Coverage, 60792,
     /* 1099351 */     GIR_EraseRootFromParent_Done,
     /* 1099352 */   // Label 16148: @1099352
     /* 1099352 */   GIM_Try, /*On fail goto*//*Label 16149*/ GIMT_Encode4(1099429), // Rule ID 60795 //
     /* 1099357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1099368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1099371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1099374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1099377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099396 */     // MIs[0] policy
     /* 1099396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099406 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1099409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099415 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099428 */     // GIR_Coverage, 60795,
     /* 1099428 */     GIR_EraseRootFromParent_Done,
     /* 1099429 */   // Label 16149: @1099429
     /* 1099429 */   GIM_Try, /*On fail goto*//*Label 16150*/ GIMT_Encode4(1099506), // Rule ID 60796 //
     /* 1099434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1099445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1099448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1099451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1099454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099473 */     // MIs[0] policy
     /* 1099473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099483 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1099486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099505 */     // GIR_Coverage, 60796,
     /* 1099505 */     GIR_EraseRootFromParent_Done,
     /* 1099506 */   // Label 16150: @1099506
     /* 1099506 */   GIM_Try, /*On fail goto*//*Label 16151*/ GIMT_Encode4(1099583), // Rule ID 60799 //
     /* 1099511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1099522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1099525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1099528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1099531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099550 */     // MIs[0] policy
     /* 1099550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099560 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1099563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099582 */     // GIR_Coverage, 60799,
     /* 1099582 */     GIR_EraseRootFromParent_Done,
     /* 1099583 */   // Label 16151: @1099583
     /* 1099583 */   GIM_Try, /*On fail goto*//*Label 16152*/ GIMT_Encode4(1099660), // Rule ID 60800 //
     /* 1099588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1099599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1099602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1099605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1099608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099627 */     // MIs[0] policy
     /* 1099627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099637 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1099640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099646 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099659 */     // GIR_Coverage, 60800,
     /* 1099659 */     GIR_EraseRootFromParent_Done,
     /* 1099660 */   // Label 16152: @1099660
     /* 1099660 */   GIM_Try, /*On fail goto*//*Label 16153*/ GIMT_Encode4(1099737), // Rule ID 60803 //
     /* 1099665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1099676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1099679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1099682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1099685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099704 */     // MIs[0] policy
     /* 1099704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099714 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1099717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099723 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099736 */     // GIR_Coverage, 60803,
     /* 1099736 */     GIR_EraseRootFromParent_Done,
     /* 1099737 */   // Label 16153: @1099737
     /* 1099737 */   GIM_Try, /*On fail goto*//*Label 16154*/ GIMT_Encode4(1099814), // Rule ID 60804 //
     /* 1099742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1099753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1099756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1099759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1099762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099781 */     // MIs[0] policy
     /* 1099781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099791 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1099794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099800 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099813 */     // GIR_Coverage, 60804,
     /* 1099813 */     GIR_EraseRootFromParent_Done,
     /* 1099814 */   // Label 16154: @1099814
     /* 1099814 */   GIM_Try, /*On fail goto*//*Label 16155*/ GIMT_Encode4(1099891), // Rule ID 60807 //
     /* 1099819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1099830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1099833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1099836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099858 */     // MIs[0] policy
     /* 1099858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099868 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1099871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099890 */     // GIR_Coverage, 60807,
     /* 1099890 */     GIR_EraseRootFromParent_Done,
     /* 1099891 */   // Label 16155: @1099891
     /* 1099891 */   GIM_Try, /*On fail goto*//*Label 16156*/ GIMT_Encode4(1099968), // Rule ID 60808 //
     /* 1099896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1099907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1099910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1099913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099935 */     // MIs[0] policy
     /* 1099935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099945 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1099948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099954 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099967 */     // GIR_Coverage, 60808,
     /* 1099967 */     GIR_EraseRootFromParent_Done,
     /* 1099968 */   // Label 16156: @1099968
     /* 1099968 */   GIM_Try, /*On fail goto*//*Label 16157*/ GIMT_Encode4(1100045), // Rule ID 60811 //
     /* 1099973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1099981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1099984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1099987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1099990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1099993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1100000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100012 */     // MIs[0] policy
     /* 1100012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100022 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1100025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100031 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100044 */     // GIR_Coverage, 60811,
     /* 1100044 */     GIR_EraseRootFromParent_Done,
     /* 1100045 */   // Label 16157: @1100045
     /* 1100045 */   GIM_Try, /*On fail goto*//*Label 16158*/ GIMT_Encode4(1100122), // Rule ID 60812 //
     /* 1100050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1100061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1100064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1100067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1100070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1100077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100089 */     // MIs[0] policy
     /* 1100089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100099 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1100102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100108 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100121 */     // GIR_Coverage, 60812,
     /* 1100121 */     GIR_EraseRootFromParent_Done,
     /* 1100122 */   // Label 16158: @1100122
     /* 1100122 */   GIM_Try, /*On fail goto*//*Label 16159*/ GIMT_Encode4(1100199), // Rule ID 60815 //
     /* 1100127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1100138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1100141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1100144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1100147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1100154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100166 */     // MIs[0] policy
     /* 1100166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100176 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1100179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100198 */     // GIR_Coverage, 60815,
     /* 1100198 */     GIR_EraseRootFromParent_Done,
     /* 1100199 */   // Label 16159: @1100199
     /* 1100199 */   GIM_Try, /*On fail goto*//*Label 16160*/ GIMT_Encode4(1100276), // Rule ID 60816 //
     /* 1100204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1100215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1100218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1100221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1100224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1100231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100243 */     // MIs[0] policy
     /* 1100243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100253 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1100256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1100272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100275 */     // GIR_Coverage, 60816,
     /* 1100275 */     GIR_EraseRootFromParent_Done,
     /* 1100276 */   // Label 16160: @1100276
     /* 1100276 */   GIM_Try, /*On fail goto*//*Label 16161*/ GIMT_Encode4(1100353), // Rule ID 60819 //
     /* 1100281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1100292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1100295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1100298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1100308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100320 */     // MIs[0] policy
     /* 1100320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100330 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1100333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100352 */     // GIR_Coverage, 60819,
     /* 1100352 */     GIR_EraseRootFromParent_Done,
     /* 1100353 */   // Label 16161: @1100353
     /* 1100353 */   GIM_Try, /*On fail goto*//*Label 16162*/ GIMT_Encode4(1100430), // Rule ID 60820 //
     /* 1100358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1100369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1100372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1100375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1100385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100397 */     // MIs[0] policy
     /* 1100397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100407 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1100410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100416 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100429 */     // GIR_Coverage, 60820,
     /* 1100429 */     GIR_EraseRootFromParent_Done,
     /* 1100430 */   // Label 16162: @1100430
     /* 1100430 */   GIM_Try, /*On fail goto*//*Label 16163*/ GIMT_Encode4(1100507), // Rule ID 60823 //
     /* 1100435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1100446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1100449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1100452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1100455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1100462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100474 */     // MIs[0] policy
     /* 1100474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100484 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1100487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100506 */     // GIR_Coverage, 60823,
     /* 1100506 */     GIR_EraseRootFromParent_Done,
     /* 1100507 */   // Label 16163: @1100507
     /* 1100507 */   GIM_Try, /*On fail goto*//*Label 16164*/ GIMT_Encode4(1100584), // Rule ID 60824 //
     /* 1100512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1100523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1100526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1100529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1100532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1100539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100551 */     // MIs[0] policy
     /* 1100551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100561 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1100564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100570 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100583 */     // GIR_Coverage, 60824,
     /* 1100583 */     GIR_EraseRootFromParent_Done,
     /* 1100584 */   // Label 16164: @1100584
     /* 1100584 */   GIM_Try, /*On fail goto*//*Label 16165*/ GIMT_Encode4(1100661), // Rule ID 60827 //
     /* 1100589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1100600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1100603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1100606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1100609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1100616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100628 */     // MIs[0] policy
     /* 1100628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100638 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1100641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100647 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100660 */     // GIR_Coverage, 60827,
     /* 1100660 */     GIR_EraseRootFromParent_Done,
     /* 1100661 */   // Label 16165: @1100661
     /* 1100661 */   GIM_Try, /*On fail goto*//*Label 16166*/ GIMT_Encode4(1100738), // Rule ID 60828 //
     /* 1100666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1100677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1100680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1100683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1100686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1100693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100705 */     // MIs[0] policy
     /* 1100705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100715 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1100718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100724 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100737 */     // GIR_Coverage, 60828,
     /* 1100737 */     GIR_EraseRootFromParent_Done,
     /* 1100738 */   // Label 16166: @1100738
     /* 1100738 */   GIM_Try, /*On fail goto*//*Label 16167*/ GIMT_Encode4(1100815), // Rule ID 60831 //
     /* 1100743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1100754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1100757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1100760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1100770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100782 */     // MIs[0] policy
     /* 1100782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100792 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1100795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100814 */     // GIR_Coverage, 60831,
     /* 1100814 */     GIR_EraseRootFromParent_Done,
     /* 1100815 */   // Label 16167: @1100815
     /* 1100815 */   GIM_Try, /*On fail goto*//*Label 16168*/ GIMT_Encode4(1100892), // Rule ID 60832 //
     /* 1100820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1100831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1100834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1100837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1100847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100859 */     // MIs[0] policy
     /* 1100859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100869 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1100872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100878 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100891 */     // GIR_Coverage, 60832,
     /* 1100891 */     GIR_EraseRootFromParent_Done,
     /* 1100892 */   // Label 16168: @1100892
     /* 1100892 */   GIM_Try, /*On fail goto*//*Label 16169*/ GIMT_Encode4(1100969), // Rule ID 60835 //
     /* 1100897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1100900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1100908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1100911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1100914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1100924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100936 */     // MIs[0] policy
     /* 1100936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100946 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1100949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100955 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100968 */     // GIR_Coverage, 60835,
     /* 1100968 */     GIR_EraseRootFromParent_Done,
     /* 1100969 */   // Label 16169: @1100969
     /* 1100969 */   GIM_Try, /*On fail goto*//*Label 16170*/ GIMT_Encode4(1101046), // Rule ID 60836 //
     /* 1100974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1100977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1100982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1100985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1100988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1100991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1101001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101013 */     // MIs[0] policy
     /* 1101013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101023 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1101026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101032 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1101042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101045 */     // GIR_Coverage, 60836,
     /* 1101045 */     GIR_EraseRootFromParent_Done,
     /* 1101046 */   // Label 16170: @1101046
     /* 1101046 */   GIM_Try, /*On fail goto*//*Label 16171*/ GIMT_Encode4(1101123), // Rule ID 60839 //
     /* 1101051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1101062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1101065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1101068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101090 */     // MIs[0] policy
     /* 1101090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101100 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1101103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1101119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101122 */     // GIR_Coverage, 60839,
     /* 1101122 */     GIR_EraseRootFromParent_Done,
     /* 1101123 */   // Label 16171: @1101123
     /* 1101123 */   GIM_Try, /*On fail goto*//*Label 16172*/ GIMT_Encode4(1101200), // Rule ID 60840 //
     /* 1101128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1101136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1101139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1101142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1101145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1101155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101167 */     // MIs[0] policy
     /* 1101167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101177 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1101180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101186 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1101196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101199 */     // GIR_Coverage, 60840,
     /* 1101199 */     GIR_EraseRootFromParent_Done,
     /* 1101200 */   // Label 16172: @1101200
     /* 1101200 */   GIM_Try, /*On fail goto*//*Label 16173*/ GIMT_Encode4(1101277), // Rule ID 60843 //
     /* 1101205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1101213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1101216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1101219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1101222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1101225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101244 */     // MIs[0] policy
     /* 1101244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101254 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1101257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101263 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101276 */     // GIR_Coverage, 60843,
     /* 1101276 */     GIR_EraseRootFromParent_Done,
     /* 1101277 */   // Label 16173: @1101277
     /* 1101277 */   GIM_Try, /*On fail goto*//*Label 16174*/ GIMT_Encode4(1101354), // Rule ID 60844 //
     /* 1101282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1101290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1101293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1101296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1101299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1101302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101321 */     // MIs[0] policy
     /* 1101321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101331 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1101334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101340 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101353 */     // GIR_Coverage, 60844,
     /* 1101353 */     GIR_EraseRootFromParent_Done,
     /* 1101354 */   // Label 16174: @1101354
     /* 1101354 */   GIM_Try, /*On fail goto*//*Label 16175*/ GIMT_Encode4(1101431), // Rule ID 60847 //
     /* 1101359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1101367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1101370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1101373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1101376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1101379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101398 */     // MIs[0] policy
     /* 1101398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101408 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1101411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101430 */     // GIR_Coverage, 60847,
     /* 1101430 */     GIR_EraseRootFromParent_Done,
     /* 1101431 */   // Label 16175: @1101431
     /* 1101431 */   GIM_Try, /*On fail goto*//*Label 16176*/ GIMT_Encode4(1101508), // Rule ID 60848 //
     /* 1101436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1101444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1101447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1101450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1101453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1101456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101475 */     // MIs[0] policy
     /* 1101475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101485 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1101488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101494 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101507 */     // GIR_Coverage, 60848,
     /* 1101507 */     GIR_EraseRootFromParent_Done,
     /* 1101508 */   // Label 16176: @1101508
     /* 1101508 */   GIM_Try, /*On fail goto*//*Label 16177*/ GIMT_Encode4(1101585), // Rule ID 60851 //
     /* 1101513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1101521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1101524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1101527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1101530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1101533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101552 */     // MIs[0] policy
     /* 1101552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101562 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1101565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101571 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101584 */     // GIR_Coverage, 60851,
     /* 1101584 */     GIR_EraseRootFromParent_Done,
     /* 1101585 */   // Label 16177: @1101585
     /* 1101585 */   GIM_Try, /*On fail goto*//*Label 16178*/ GIMT_Encode4(1101662), // Rule ID 60852 //
     /* 1101590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1101598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1101601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1101604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1101607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1101610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101629 */     // MIs[0] policy
     /* 1101629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101639 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1101642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101648 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101661 */     // GIR_Coverage, 60852,
     /* 1101661 */     GIR_EraseRootFromParent_Done,
     /* 1101662 */   // Label 16178: @1101662
     /* 1101662 */   GIM_Try, /*On fail goto*//*Label 16179*/ GIMT_Encode4(1101739), // Rule ID 60855 //
     /* 1101667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1101675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1101678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1101681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1101684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1101687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101706 */     // MIs[0] policy
     /* 1101706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101716 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1101719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101738 */     // GIR_Coverage, 60855,
     /* 1101738 */     GIR_EraseRootFromParent_Done,
     /* 1101739 */   // Label 16179: @1101739
     /* 1101739 */   GIM_Try, /*On fail goto*//*Label 16180*/ GIMT_Encode4(1101816), // Rule ID 60856 //
     /* 1101744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1101752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1101755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1101758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1101761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1101764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101783 */     // MIs[0] policy
     /* 1101783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101793 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1101796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101802 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101815 */     // GIR_Coverage, 60856,
     /* 1101815 */     GIR_EraseRootFromParent_Done,
     /* 1101816 */   // Label 16180: @1101816
     /* 1101816 */   GIM_Try, /*On fail goto*//*Label 16181*/ GIMT_Encode4(1101893), // Rule ID 60859 //
     /* 1101821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1101829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1101832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1101835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1101838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1101841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101860 */     // MIs[0] policy
     /* 1101860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101870 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1101873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101879 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101892 */     // GIR_Coverage, 60859,
     /* 1101892 */     GIR_EraseRootFromParent_Done,
     /* 1101893 */   // Label 16181: @1101893
     /* 1101893 */   GIM_Try, /*On fail goto*//*Label 16182*/ GIMT_Encode4(1101970), // Rule ID 60860 //
     /* 1101898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1101901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1101906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1101909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1101912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1101915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1101918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101937 */     // MIs[0] policy
     /* 1101937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101947 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1101950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101956 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101969 */     // GIR_Coverage, 60860,
     /* 1101969 */     GIR_EraseRootFromParent_Done,
     /* 1101970 */   // Label 16182: @1101970
     /* 1101970 */   GIM_Try, /*On fail goto*//*Label 16183*/ GIMT_Encode4(1102047), // Rule ID 60863 //
     /* 1101975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1101978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1101983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1101986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1101989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1101992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1101995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102014 */     // MIs[0] policy
     /* 1102014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102024 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1102027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102046 */     // GIR_Coverage, 60863,
     /* 1102046 */     GIR_EraseRootFromParent_Done,
     /* 1102047 */   // Label 16183: @1102047
     /* 1102047 */   GIM_Try, /*On fail goto*//*Label 16184*/ GIMT_Encode4(1102124), // Rule ID 60864 //
     /* 1102052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1102063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1102066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1102069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1102072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102091 */     // MIs[0] policy
     /* 1102091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102101 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1102104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102110 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102123 */     // GIR_Coverage, 60864,
     /* 1102123 */     GIR_EraseRootFromParent_Done,
     /* 1102124 */   // Label 16184: @1102124
     /* 1102124 */   GIM_Try, /*On fail goto*//*Label 16185*/ GIMT_Encode4(1102201), // Rule ID 60867 //
     /* 1102129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1102140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1102143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1102146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102168 */     // MIs[0] policy
     /* 1102168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102178 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1102181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102200 */     // GIR_Coverage, 60867,
     /* 1102200 */     GIR_EraseRootFromParent_Done,
     /* 1102201 */   // Label 16185: @1102201
     /* 1102201 */   GIM_Try, /*On fail goto*//*Label 16186*/ GIMT_Encode4(1102278), // Rule ID 60868 //
     /* 1102206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1102217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1102220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1102223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102245 */     // MIs[0] policy
     /* 1102245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102255 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1102258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102264 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102277 */     // GIR_Coverage, 60868,
     /* 1102277 */     GIR_EraseRootFromParent_Done,
     /* 1102278 */   // Label 16186: @1102278
     /* 1102278 */   GIM_Try, /*On fail goto*//*Label 16187*/ GIMT_Encode4(1102355), // Rule ID 60871 //
     /* 1102283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1102294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1102297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1102300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102322 */     // MIs[0] policy
     /* 1102322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102332 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1102335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102354 */     // GIR_Coverage, 60871,
     /* 1102354 */     GIR_EraseRootFromParent_Done,
     /* 1102355 */   // Label 16187: @1102355
     /* 1102355 */   GIM_Try, /*On fail goto*//*Label 16188*/ GIMT_Encode4(1102432), // Rule ID 60872 //
     /* 1102360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1102371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1102374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1102377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102399 */     // MIs[0] policy
     /* 1102399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102409 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1102412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102418 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102431 */     // GIR_Coverage, 60872,
     /* 1102431 */     GIR_EraseRootFromParent_Done,
     /* 1102432 */   // Label 16188: @1102432
     /* 1102432 */   GIM_Try, /*On fail goto*//*Label 16189*/ GIMT_Encode4(1102509), // Rule ID 60875 //
     /* 1102437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1102448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1102451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1102454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1102457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102476 */     // MIs[0] policy
     /* 1102476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102486 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1102489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102495 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102508 */     // GIR_Coverage, 60875,
     /* 1102508 */     GIR_EraseRootFromParent_Done,
     /* 1102509 */   // Label 16189: @1102509
     /* 1102509 */   GIM_Try, /*On fail goto*//*Label 16190*/ GIMT_Encode4(1102586), // Rule ID 60876 //
     /* 1102514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1102525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1102528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1102531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1102534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102553 */     // MIs[0] policy
     /* 1102553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102563 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1102566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102572 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102585 */     // GIR_Coverage, 60876,
     /* 1102585 */     GIR_EraseRootFromParent_Done,
     /* 1102586 */   // Label 16190: @1102586
     /* 1102586 */   GIM_Try, /*On fail goto*//*Label 16191*/ GIMT_Encode4(1102663), // Rule ID 60879 //
     /* 1102591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1102602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1102605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1102608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1102611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102630 */     // MIs[0] policy
     /* 1102630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102640 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1102643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102662 */     // GIR_Coverage, 60879,
     /* 1102662 */     GIR_EraseRootFromParent_Done,
     /* 1102663 */   // Label 16191: @1102663
     /* 1102663 */   GIM_Try, /*On fail goto*//*Label 16192*/ GIMT_Encode4(1102740), // Rule ID 60880 //
     /* 1102668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1102679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1102682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1102685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1102688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102707 */     // MIs[0] policy
     /* 1102707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102717 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1102720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102726 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102739 */     // GIR_Coverage, 60880,
     /* 1102739 */     GIR_EraseRootFromParent_Done,
     /* 1102740 */   // Label 16192: @1102740
     /* 1102740 */   GIM_Try, /*On fail goto*//*Label 16193*/ GIMT_Encode4(1102817), // Rule ID 60883 //
     /* 1102745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1102756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1102759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1102762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1102765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102784 */     // MIs[0] policy
     /* 1102784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102794 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1102797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102803 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102816 */     // GIR_Coverage, 60883,
     /* 1102816 */     GIR_EraseRootFromParent_Done,
     /* 1102817 */   // Label 16193: @1102817
     /* 1102817 */   GIM_Try, /*On fail goto*//*Label 16194*/ GIMT_Encode4(1102894), // Rule ID 60884 //
     /* 1102822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1102833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1102836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1102839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1102842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102861 */     // MIs[0] policy
     /* 1102861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102871 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1102874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102880 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102893 */     // GIR_Coverage, 60884,
     /* 1102893 */     GIR_EraseRootFromParent_Done,
     /* 1102894 */   // Label 16194: @1102894
     /* 1102894 */   GIM_Try, /*On fail goto*//*Label 16195*/ GIMT_Encode4(1102971), // Rule ID 60887 //
     /* 1102899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1102902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1102910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1102913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1102916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1102919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102938 */     // MIs[0] policy
     /* 1102938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102948 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1102951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102970 */     // GIR_Coverage, 60887,
     /* 1102970 */     GIR_EraseRootFromParent_Done,
     /* 1102971 */   // Label 16195: @1102971
     /* 1102971 */   GIM_Try, /*On fail goto*//*Label 16196*/ GIMT_Encode4(1103048), // Rule ID 60888 //
     /* 1102976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1102979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1102984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1102987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1102990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1102993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1102996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1103003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103015 */     // MIs[0] policy
     /* 1103015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103025 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1103028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103047 */     // GIR_Coverage, 60888,
     /* 1103047 */     GIR_EraseRootFromParent_Done,
     /* 1103048 */   // Label 16196: @1103048
     /* 1103048 */   GIM_Try, /*On fail goto*//*Label 16197*/ GIMT_Encode4(1103125), // Rule ID 60891 //
     /* 1103053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1103064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1103067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1103070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1103073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1103080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103092 */     // MIs[0] policy
     /* 1103092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103102 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1103105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103124 */     // GIR_Coverage, 60891,
     /* 1103124 */     GIR_EraseRootFromParent_Done,
     /* 1103125 */   // Label 16197: @1103125
     /* 1103125 */   GIM_Try, /*On fail goto*//*Label 16198*/ GIMT_Encode4(1103202), // Rule ID 60892 //
     /* 1103130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1103141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1103144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1103147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1103150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1103157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103169 */     // MIs[0] policy
     /* 1103169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103179 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1103182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103188 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1103198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103201 */     // GIR_Coverage, 60892,
     /* 1103201 */     GIR_EraseRootFromParent_Done,
     /* 1103202 */   // Label 16198: @1103202
     /* 1103202 */   GIM_Try, /*On fail goto*//*Label 16199*/ GIMT_Encode4(1103279), // Rule ID 60895 //
     /* 1103207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1103218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1103221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1103224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1103234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103246 */     // MIs[0] policy
     /* 1103246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103256 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1103259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103278 */     // GIR_Coverage, 60895,
     /* 1103278 */     GIR_EraseRootFromParent_Done,
     /* 1103279 */   // Label 16199: @1103279
     /* 1103279 */   GIM_Try, /*On fail goto*//*Label 16200*/ GIMT_Encode4(1103356), // Rule ID 60896 //
     /* 1103284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1103295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1103298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1103301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1103311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103323 */     // MIs[0] policy
     /* 1103323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103333 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1103336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103342 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103355 */     // GIR_Coverage, 60896,
     /* 1103355 */     GIR_EraseRootFromParent_Done,
     /* 1103356 */   // Label 16200: @1103356
     /* 1103356 */   GIM_Try, /*On fail goto*//*Label 16201*/ GIMT_Encode4(1103433), // Rule ID 60899 //
     /* 1103361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1103372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1103375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1103378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1103381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1103388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103400 */     // MIs[0] policy
     /* 1103400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103410 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1103413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103432 */     // GIR_Coverage, 60899,
     /* 1103432 */     GIR_EraseRootFromParent_Done,
     /* 1103433 */   // Label 16201: @1103433
     /* 1103433 */   GIM_Try, /*On fail goto*//*Label 16202*/ GIMT_Encode4(1103510), // Rule ID 60900 //
     /* 1103438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1103449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1103452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1103455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1103458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1103465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103477 */     // MIs[0] policy
     /* 1103477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103487 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1103490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103496 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103509 */     // GIR_Coverage, 60900,
     /* 1103509 */     GIR_EraseRootFromParent_Done,
     /* 1103510 */   // Label 16202: @1103510
     /* 1103510 */   GIM_Try, /*On fail goto*//*Label 16203*/ GIMT_Encode4(1103587), // Rule ID 60903 //
     /* 1103515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1103526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1103529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1103532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1103535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1103542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103554 */     // MIs[0] policy
     /* 1103554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103564 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1103567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103586 */     // GIR_Coverage, 60903,
     /* 1103586 */     GIR_EraseRootFromParent_Done,
     /* 1103587 */   // Label 16203: @1103587
     /* 1103587 */   GIM_Try, /*On fail goto*//*Label 16204*/ GIMT_Encode4(1103664), // Rule ID 60904 //
     /* 1103592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1103603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1103606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1103609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1103612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1103619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103631 */     // MIs[0] policy
     /* 1103631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103641 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1103644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103650 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103663 */     // GIR_Coverage, 60904,
     /* 1103663 */     GIR_EraseRootFromParent_Done,
     /* 1103664 */   // Label 16204: @1103664
     /* 1103664 */   GIM_Try, /*On fail goto*//*Label 16205*/ GIMT_Encode4(1103741), // Rule ID 60907 //
     /* 1103669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1103680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1103683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1103686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1103696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103708 */     // MIs[0] policy
     /* 1103708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103718 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1103721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103727 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103740 */     // GIR_Coverage, 60907,
     /* 1103740 */     GIR_EraseRootFromParent_Done,
     /* 1103741 */   // Label 16205: @1103741
     /* 1103741 */   GIM_Try, /*On fail goto*//*Label 16206*/ GIMT_Encode4(1103818), // Rule ID 60908 //
     /* 1103746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1103757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1103760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1103763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1103773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103785 */     // MIs[0] policy
     /* 1103785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103795 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1103798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103804 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103817 */     // GIR_Coverage, 60908,
     /* 1103817 */     GIR_EraseRootFromParent_Done,
     /* 1103818 */   // Label 16206: @1103818
     /* 1103818 */   GIM_Try, /*On fail goto*//*Label 16207*/ GIMT_Encode4(1103895), // Rule ID 60911 //
     /* 1103823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1103834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1103837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1103840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1103850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103862 */     // MIs[0] policy
     /* 1103862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103872 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1103875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103894 */     // GIR_Coverage, 60911,
     /* 1103894 */     GIR_EraseRootFromParent_Done,
     /* 1103895 */   // Label 16207: @1103895
     /* 1103895 */   GIM_Try, /*On fail goto*//*Label 16208*/ GIMT_Encode4(1103972), // Rule ID 60912 //
     /* 1103900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1103903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1103911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1103914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1103917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1103927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103939 */     // MIs[0] policy
     /* 1103939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103949 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1103952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103958 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103971 */     // GIR_Coverage, 60912,
     /* 1103971 */     GIR_EraseRootFromParent_Done,
     /* 1103972 */   // Label 16208: @1103972
     /* 1103972 */   GIM_Try, /*On fail goto*//*Label 16209*/ GIMT_Encode4(1104049), // Rule ID 60915 //
     /* 1103977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1103980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1103985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1103988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1103991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1103994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1103997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1104004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104016 */     // MIs[0] policy
     /* 1104016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104026 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1104029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104048 */     // GIR_Coverage, 60915,
     /* 1104048 */     GIR_EraseRootFromParent_Done,
     /* 1104049 */   // Label 16209: @1104049
     /* 1104049 */   GIM_Try, /*On fail goto*//*Label 16210*/ GIMT_Encode4(1104126), // Rule ID 60916 //
     /* 1104054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1104065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1104068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1104071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1104074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1104081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104093 */     // MIs[0] policy
     /* 1104093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104103 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1104106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104112 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104125 */     // GIR_Coverage, 60916,
     /* 1104125 */     GIR_EraseRootFromParent_Done,
     /* 1104126 */   // Label 16210: @1104126
     /* 1104126 */   GIM_Try, /*On fail goto*//*Label 16211*/ GIMT_Encode4(1104203), // Rule ID 60919 //
     /* 1104131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1104142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1104145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1104148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104170 */     // MIs[0] policy
     /* 1104170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104180 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104202 */     // GIR_Coverage, 60919,
     /* 1104202 */     GIR_EraseRootFromParent_Done,
     /* 1104203 */   // Label 16211: @1104203
     /* 1104203 */   GIM_Try, /*On fail goto*//*Label 16212*/ GIMT_Encode4(1104280), // Rule ID 60920 //
     /* 1104208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1104219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1104222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1104225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1104235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104247 */     // MIs[0] policy
     /* 1104247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104257 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1104260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104266 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104279 */     // GIR_Coverage, 60920,
     /* 1104279 */     GIR_EraseRootFromParent_Done,
     /* 1104280 */   // Label 16212: @1104280
     /* 1104280 */   GIM_Try, /*On fail goto*//*Label 16213*/ GIMT_Encode4(1104357), // Rule ID 60923 //
     /* 1104285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1104296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1104299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1104302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1104305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1104312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104324 */     // MIs[0] policy
     /* 1104324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104334 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1104337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104343 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104356 */     // GIR_Coverage, 60923,
     /* 1104356 */     GIR_EraseRootFromParent_Done,
     /* 1104357 */   // Label 16213: @1104357
     /* 1104357 */   GIM_Try, /*On fail goto*//*Label 16214*/ GIMT_Encode4(1104434), // Rule ID 60924 //
     /* 1104362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1104373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1104376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1104379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1104382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1104389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104401 */     // MIs[0] policy
     /* 1104401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104411 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1104414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104420 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104433 */     // GIR_Coverage, 60924,
     /* 1104433 */     GIR_EraseRootFromParent_Done,
     /* 1104434 */   // Label 16214: @1104434
     /* 1104434 */   GIM_Try, /*On fail goto*//*Label 16215*/ GIMT_Encode4(1104511), // Rule ID 60927 //
     /* 1104439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1104450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1104453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1104456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1104459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1104466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104478 */     // MIs[0] policy
     /* 1104478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104488 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1104491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104510 */     // GIR_Coverage, 60927,
     /* 1104510 */     GIR_EraseRootFromParent_Done,
     /* 1104511 */   // Label 16215: @1104511
     /* 1104511 */   GIM_Try, /*On fail goto*//*Label 16216*/ GIMT_Encode4(1104588), // Rule ID 60928 //
     /* 1104516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1104524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1104527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1104530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1104533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1104536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1104543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104555 */     // MIs[0] policy
     /* 1104555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104565 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1104568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104587 */     // GIR_Coverage, 60928,
     /* 1104587 */     GIR_EraseRootFromParent_Done,
     /* 1104588 */   // Label 16216: @1104588
     /* 1104588 */   GIM_Try, /*On fail goto*//*Label 16217*/ GIMT_Encode4(1104665), // Rule ID 61453 //
     /* 1104593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1104596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1104601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1104604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1104607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1104610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1104613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104632 */     // MIs[0] policy
     /* 1104632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1104645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1104647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1104649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104664 */     // GIR_Coverage, 61453,
     /* 1104664 */     GIR_EraseRootFromParent_Done,
     /* 1104665 */   // Label 16217: @1104665
     /* 1104665 */   GIM_Try, /*On fail goto*//*Label 16218*/ GIMT_Encode4(1104742), // Rule ID 61454 //
     /* 1104670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1104673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1104678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1104681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1104684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1104687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1104690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104709 */     // MIs[0] policy
     /* 1104709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104719 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1104722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1104724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1104726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104741 */     // GIR_Coverage, 61454,
     /* 1104741 */     GIR_EraseRootFromParent_Done,
     /* 1104742 */   // Label 16218: @1104742
     /* 1104742 */   GIM_Try, /*On fail goto*//*Label 16219*/ GIMT_Encode4(1104819), // Rule ID 61455 //
     /* 1104747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1104750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1104755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1104758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1104761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1104764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1104767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104786 */     // MIs[0] policy
     /* 1104786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1104799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1104801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1104803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104818 */     // GIR_Coverage, 61455,
     /* 1104818 */     GIR_EraseRootFromParent_Done,
     /* 1104819 */   // Label 16219: @1104819
     /* 1104819 */   GIM_Try, /*On fail goto*//*Label 16220*/ GIMT_Encode4(1104896), // Rule ID 61456 //
     /* 1104824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1104827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1104832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1104835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1104838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1104841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1104844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104863 */     // MIs[0] policy
     /* 1104863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104873 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1104876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1104878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1104880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104895 */     // GIR_Coverage, 61456,
     /* 1104895 */     GIR_EraseRootFromParent_Done,
     /* 1104896 */   // Label 16220: @1104896
     /* 1104896 */   GIM_Try, /*On fail goto*//*Label 16221*/ GIMT_Encode4(1104973), // Rule ID 61457 //
     /* 1104901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1104904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1104909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1104912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1104915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1104918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1104921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104940 */     // MIs[0] policy
     /* 1104940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104950 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1104953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1104955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1104957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104972 */     // GIR_Coverage, 61457,
     /* 1104972 */     GIR_EraseRootFromParent_Done,
     /* 1104973 */   // Label 16221: @1104973
     /* 1104973 */   GIM_Try, /*On fail goto*//*Label 16222*/ GIMT_Encode4(1105050), // Rule ID 61458 //
     /* 1104978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1104981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1104986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1104989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1104992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1104995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1104998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105017 */     // MIs[0] policy
     /* 1105017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105027 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1105030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105049 */     // GIR_Coverage, 61458,
     /* 1105049 */     GIR_EraseRootFromParent_Done,
     /* 1105050 */   // Label 16222: @1105050
     /* 1105050 */   GIM_Try, /*On fail goto*//*Label 16223*/ GIMT_Encode4(1105127), // Rule ID 61459 //
     /* 1105055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1105058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1105063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1105066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1105069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1105072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1105075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105094 */     // MIs[0] policy
     /* 1105094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105104 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1105107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105126 */     // GIR_Coverage, 61459,
     /* 1105126 */     GIR_EraseRootFromParent_Done,
     /* 1105127 */   // Label 16223: @1105127
     /* 1105127 */   GIM_Try, /*On fail goto*//*Label 16224*/ GIMT_Encode4(1105204), // Rule ID 61460 //
     /* 1105132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1105135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1105140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1105143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1105146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1105149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1105152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105171 */     // MIs[0] policy
     /* 1105171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105181 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1105184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105203 */     // GIR_Coverage, 61460,
     /* 1105203 */     GIR_EraseRootFromParent_Done,
     /* 1105204 */   // Label 16224: @1105204
     /* 1105204 */   GIM_Try, /*On fail goto*//*Label 16225*/ GIMT_Encode4(1105281), // Rule ID 61663 //
     /* 1105209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1105212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1105217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1105220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1105223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1105226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1105229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105248 */     // MIs[0] policy
     /* 1105248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105258 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1105261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105280 */     // GIR_Coverage, 61663,
     /* 1105280 */     GIR_EraseRootFromParent_Done,
     /* 1105281 */   // Label 16225: @1105281
     /* 1105281 */   GIM_Try, /*On fail goto*//*Label 16226*/ GIMT_Encode4(1105358), // Rule ID 61664 //
     /* 1105286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1105289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1105294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1105297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1105300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1105303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1105306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105325 */     // MIs[0] policy
     /* 1105325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105335 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1105338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105357 */     // GIR_Coverage, 61664,
     /* 1105357 */     GIR_EraseRootFromParent_Done,
     /* 1105358 */   // Label 16226: @1105358
     /* 1105358 */   GIM_Try, /*On fail goto*//*Label 16227*/ GIMT_Encode4(1105435), // Rule ID 61665 //
     /* 1105363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1105366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1105371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1105374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1105377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1105380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1105383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105402 */     // MIs[0] policy
     /* 1105402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105412 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1105415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105434 */     // GIR_Coverage, 61665,
     /* 1105434 */     GIR_EraseRootFromParent_Done,
     /* 1105435 */   // Label 16227: @1105435
     /* 1105435 */   GIM_Try, /*On fail goto*//*Label 16228*/ GIMT_Encode4(1105512), // Rule ID 61666 //
     /* 1105440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1105443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1105448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1105451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1105454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1105457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1105460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105479 */     // MIs[0] policy
     /* 1105479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105489 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1105492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105511 */     // GIR_Coverage, 61666,
     /* 1105511 */     GIR_EraseRootFromParent_Done,
     /* 1105512 */   // Label 16228: @1105512
     /* 1105512 */   GIM_Try, /*On fail goto*//*Label 16229*/ GIMT_Encode4(1105589), // Rule ID 61667 //
     /* 1105517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1105520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1105525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1105528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1105531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1105534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1105537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105556 */     // MIs[0] policy
     /* 1105556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105566 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1105569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105588 */     // GIR_Coverage, 61667,
     /* 1105588 */     GIR_EraseRootFromParent_Done,
     /* 1105589 */   // Label 16229: @1105589
     /* 1105589 */   GIM_Try, /*On fail goto*//*Label 16230*/ GIMT_Encode4(1105666), // Rule ID 61668 //
     /* 1105594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1105597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1105602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1105605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1105608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1105611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1105614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105633 */     // MIs[0] policy
     /* 1105633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105643 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1105646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105665 */     // GIR_Coverage, 61668,
     /* 1105665 */     GIR_EraseRootFromParent_Done,
     /* 1105666 */   // Label 16230: @1105666
     /* 1105666 */   GIM_Try, /*On fail goto*//*Label 16231*/ GIMT_Encode4(1105743), // Rule ID 61669 //
     /* 1105671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1105674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1105679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1105682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1105685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1105688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1105691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105710 */     // MIs[0] policy
     /* 1105710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105720 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1105723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105742 */     // GIR_Coverage, 61669,
     /* 1105742 */     GIR_EraseRootFromParent_Done,
     /* 1105743 */   // Label 16231: @1105743
     /* 1105743 */   GIM_Try, /*On fail goto*//*Label 16232*/ GIMT_Encode4(1105820), // Rule ID 61670 //
     /* 1105748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1105751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1105756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1105759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1105762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1105765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1105768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105787 */     // MIs[0] policy
     /* 1105787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105797 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1105800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105819 */     // GIR_Coverage, 61670,
     /* 1105819 */     GIR_EraseRootFromParent_Done,
     /* 1105820 */   // Label 16232: @1105820
     /* 1105820 */   GIM_Try, /*On fail goto*//*Label 16233*/ GIMT_Encode4(1105897), // Rule ID 61671 //
     /* 1105825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1105828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1105833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1105836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1105839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1105842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1105845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105864 */     // MIs[0] policy
     /* 1105864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105874 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1105877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105896 */     // GIR_Coverage, 61671,
     /* 1105896 */     GIR_EraseRootFromParent_Done,
     /* 1105897 */   // Label 16233: @1105897
     /* 1105897 */   GIM_Try, /*On fail goto*//*Label 16234*/ GIMT_Encode4(1105974), // Rule ID 61672 //
     /* 1105902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1105905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1105910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1105913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1105916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1105919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1105922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105941 */     // MIs[0] policy
     /* 1105941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105951 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1105954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105973 */     // GIR_Coverage, 61672,
     /* 1105973 */     GIR_EraseRootFromParent_Done,
     /* 1105974 */   // Label 16234: @1105974
     /* 1105974 */   GIM_Try, /*On fail goto*//*Label 16235*/ GIMT_Encode4(1106051), // Rule ID 61673 //
     /* 1105979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1105982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1105987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1105990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1105993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1105996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1105999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106018 */     // MIs[0] policy
     /* 1106018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106028 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1106031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106050 */     // GIR_Coverage, 61673,
     /* 1106050 */     GIR_EraseRootFromParent_Done,
     /* 1106051 */   // Label 16235: @1106051
     /* 1106051 */   GIM_Try, /*On fail goto*//*Label 16236*/ GIMT_Encode4(1106128), // Rule ID 61674 //
     /* 1106056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1106059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1106064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1106067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1106070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1106073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1106076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106095 */     // MIs[0] policy
     /* 1106095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106105 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1106108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106127 */     // GIR_Coverage, 61674,
     /* 1106127 */     GIR_EraseRootFromParent_Done,
     /* 1106128 */   // Label 16236: @1106128
     /* 1106128 */   GIM_Try, /*On fail goto*//*Label 16237*/ GIMT_Encode4(1106205), // Rule ID 61675 //
     /* 1106133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1106136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1106141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1106144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1106147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1106150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1106153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106172 */     // MIs[0] policy
     /* 1106172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106182 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1106185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106204 */     // GIR_Coverage, 61675,
     /* 1106204 */     GIR_EraseRootFromParent_Done,
     /* 1106205 */   // Label 16237: @1106205
     /* 1106205 */   GIM_Try, /*On fail goto*//*Label 16238*/ GIMT_Encode4(1106282), // Rule ID 61676 //
     /* 1106210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1106213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1106218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1106221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1106224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1106227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1106230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106249 */     // MIs[0] policy
     /* 1106249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106259 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1106262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106281 */     // GIR_Coverage, 61676,
     /* 1106281 */     GIR_EraseRootFromParent_Done,
     /* 1106282 */   // Label 16238: @1106282
     /* 1106282 */   GIM_Try, /*On fail goto*//*Label 16239*/ GIMT_Encode4(1106359), // Rule ID 61677 //
     /* 1106287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1106290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1106295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1106307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106326 */     // MIs[0] policy
     /* 1106326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106336 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1106339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106358 */     // GIR_Coverage, 61677,
     /* 1106358 */     GIR_EraseRootFromParent_Done,
     /* 1106359 */   // Label 16239: @1106359
     /* 1106359 */   GIM_Try, /*On fail goto*//*Label 16240*/ GIMT_Encode4(1106436), // Rule ID 61678 //
     /* 1106364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1106367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1106372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1106384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106403 */     // MIs[0] policy
     /* 1106403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106413 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1106416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106435 */     // GIR_Coverage, 61678,
     /* 1106435 */     GIR_EraseRootFromParent_Done,
     /* 1106436 */   // Label 16240: @1106436
     /* 1106436 */   GIM_Try, /*On fail goto*//*Label 16241*/ GIMT_Encode4(1106513), // Rule ID 61679 //
     /* 1106441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1106444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1106449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1106461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106480 */     // MIs[0] policy
     /* 1106480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106490 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1106493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106512 */     // GIR_Coverage, 61679,
     /* 1106512 */     GIR_EraseRootFromParent_Done,
     /* 1106513 */   // Label 16241: @1106513
     /* 1106513 */   GIM_Try, /*On fail goto*//*Label 16242*/ GIMT_Encode4(1106590), // Rule ID 61680 //
     /* 1106518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1106521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1106526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1106538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106557 */     // MIs[0] policy
     /* 1106557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106567 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1106570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106589 */     // GIR_Coverage, 61680,
     /* 1106589 */     GIR_EraseRootFromParent_Done,
     /* 1106590 */   // Label 16242: @1106590
     /* 1106590 */   GIM_Try, /*On fail goto*//*Label 16243*/ GIMT_Encode4(1106667), // Rule ID 61681 //
     /* 1106595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1106598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1106603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1106606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1106609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1106615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106634 */     // MIs[0] policy
     /* 1106634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106644 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1106647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106666 */     // GIR_Coverage, 61681,
     /* 1106666 */     GIR_EraseRootFromParent_Done,
     /* 1106667 */   // Label 16243: @1106667
     /* 1106667 */   GIM_Try, /*On fail goto*//*Label 16244*/ GIMT_Encode4(1106744), // Rule ID 61682 //
     /* 1106672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1106675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1106680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1106683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1106686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1106692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106711 */     // MIs[0] policy
     /* 1106711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106721 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1106724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106743 */     // GIR_Coverage, 61682,
     /* 1106743 */     GIR_EraseRootFromParent_Done,
     /* 1106744 */   // Label 16244: @1106744
     /* 1106744 */   GIM_Try, /*On fail goto*//*Label 16245*/ GIMT_Encode4(1106821), // Rule ID 61683 //
     /* 1106749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1106752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1106757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1106760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1106763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1106766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1106769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106788 */     // MIs[0] policy
     /* 1106788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106798 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1106801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106820 */     // GIR_Coverage, 61683,
     /* 1106820 */     GIR_EraseRootFromParent_Done,
     /* 1106821 */   // Label 16245: @1106821
     /* 1106821 */   GIM_Try, /*On fail goto*//*Label 16246*/ GIMT_Encode4(1106898), // Rule ID 61684 //
     /* 1106826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1106829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1106834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1106837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1106840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1106843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1106846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106865 */     // MIs[0] policy
     /* 1106865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106875 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1106878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106897 */     // GIR_Coverage, 61684,
     /* 1106897 */     GIR_EraseRootFromParent_Done,
     /* 1106898 */   // Label 16246: @1106898
     /* 1106898 */   GIM_Try, /*On fail goto*//*Label 16247*/ GIMT_Encode4(1106975), // Rule ID 61685 //
     /* 1106903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1106906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1106911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1106914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1106917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1106920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1106923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106942 */     // MIs[0] policy
     /* 1106942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106952 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1106955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106974 */     // GIR_Coverage, 61685,
     /* 1106974 */     GIR_EraseRootFromParent_Done,
     /* 1106975 */   // Label 16247: @1106975
     /* 1106975 */   GIM_Try, /*On fail goto*//*Label 16248*/ GIMT_Encode4(1107052), // Rule ID 61686 //
     /* 1106980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1106983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1106988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1106991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1106994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1106997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1107000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107019 */     // MIs[0] policy
     /* 1107019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107029 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1107032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107051 */     // GIR_Coverage, 61686,
     /* 1107051 */     GIR_EraseRootFromParent_Done,
     /* 1107052 */   // Label 16248: @1107052
     /* 1107052 */   GIM_Try, /*On fail goto*//*Label 16249*/ GIMT_Encode4(1107129), // Rule ID 61687 //
     /* 1107057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1107065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1107074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1107077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107096 */     // MIs[0] policy
     /* 1107096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107106 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1107109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107128 */     // GIR_Coverage, 61687,
     /* 1107128 */     GIR_EraseRootFromParent_Done,
     /* 1107129 */   // Label 16249: @1107129
     /* 1107129 */   GIM_Try, /*On fail goto*//*Label 16250*/ GIMT_Encode4(1107206), // Rule ID 61688 //
     /* 1107134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1107142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1107151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1107154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107173 */     // MIs[0] policy
     /* 1107173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107183 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1107186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107205 */     // GIR_Coverage, 61688,
     /* 1107205 */     GIR_EraseRootFromParent_Done,
     /* 1107206 */   // Label 16250: @1107206
     /* 1107206 */   GIM_Try, /*On fail goto*//*Label 16251*/ GIMT_Encode4(1107283), // Rule ID 61689 //
     /* 1107211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1107219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1107222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1107225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1107228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1107231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107250 */     // MIs[0] policy
     /* 1107250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107260 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1107263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107282 */     // GIR_Coverage, 61689,
     /* 1107282 */     GIR_EraseRootFromParent_Done,
     /* 1107283 */   // Label 16251: @1107283
     /* 1107283 */   GIM_Try, /*On fail goto*//*Label 16252*/ GIMT_Encode4(1107360), // Rule ID 61690 //
     /* 1107288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1107296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1107299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1107302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1107305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1107308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107327 */     // MIs[0] policy
     /* 1107327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107337 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1107340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107359 */     // GIR_Coverage, 61690,
     /* 1107359 */     GIR_EraseRootFromParent_Done,
     /* 1107360 */   // Label 16252: @1107360
     /* 1107360 */   GIM_Try, /*On fail goto*//*Label 16253*/ GIMT_Encode4(1107437), // Rule ID 61691 //
     /* 1107365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1107368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1107373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1107385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107404 */     // MIs[0] policy
     /* 1107404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107414 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1107417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107436 */     // GIR_Coverage, 61691,
     /* 1107436 */     GIR_EraseRootFromParent_Done,
     /* 1107437 */   // Label 16253: @1107437
     /* 1107437 */   GIM_Try, /*On fail goto*//*Label 16254*/ GIMT_Encode4(1107514), // Rule ID 61692 //
     /* 1107442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1107445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1107450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1107462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107481 */     // MIs[0] policy
     /* 1107481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107491 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1107494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107513 */     // GIR_Coverage, 61692,
     /* 1107513 */     GIR_EraseRootFromParent_Done,
     /* 1107514 */   // Label 16254: @1107514
     /* 1107514 */   GIM_Try, /*On fail goto*//*Label 16255*/ GIMT_Encode4(1107591), // Rule ID 61693 //
     /* 1107519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1107522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1107539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107558 */     // MIs[0] policy
     /* 1107558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107568 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1107571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107590 */     // GIR_Coverage, 61693,
     /* 1107590 */     GIR_EraseRootFromParent_Done,
     /* 1107591 */   // Label 16255: @1107591
     /* 1107591 */   GIM_Try, /*On fail goto*//*Label 16256*/ GIMT_Encode4(1107668), // Rule ID 61694 //
     /* 1107596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1107599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1107616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107635 */     // MIs[0] policy
     /* 1107635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107645 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1107648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107667 */     // GIR_Coverage, 61694,
     /* 1107667 */     GIR_EraseRootFromParent_Done,
     /* 1107668 */   // Label 16256: @1107668
     /* 1107668 */   GIM_Try, /*On fail goto*//*Label 16257*/ GIMT_Encode4(1107745), // Rule ID 61695 //
     /* 1107673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1107676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1107690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1107693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107712 */     // MIs[0] policy
     /* 1107712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107722 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1107725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107744 */     // GIR_Coverage, 61695,
     /* 1107744 */     GIR_EraseRootFromParent_Done,
     /* 1107745 */   // Label 16257: @1107745
     /* 1107745 */   GIM_Try, /*On fail goto*//*Label 16258*/ GIMT_Encode4(1107822), // Rule ID 61696 //
     /* 1107750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1107753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1107767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1107770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107789 */     // MIs[0] policy
     /* 1107789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107799 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1107802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107821 */     // GIR_Coverage, 61696,
     /* 1107821 */     GIR_EraseRootFromParent_Done,
     /* 1107822 */   // Label 16258: @1107822
     /* 1107822 */   GIM_Try, /*On fail goto*//*Label 16259*/ GIMT_Encode4(1107899), // Rule ID 61697 //
     /* 1107827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1107830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1107838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1107841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1107844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1107847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107866 */     // MIs[0] policy
     /* 1107866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107876 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1107879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1107895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107898 */     // GIR_Coverage, 61697,
     /* 1107898 */     GIR_EraseRootFromParent_Done,
     /* 1107899 */   // Label 16259: @1107899
     /* 1107899 */   GIM_Try, /*On fail goto*//*Label 16260*/ GIMT_Encode4(1107976), // Rule ID 61698 //
     /* 1107904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1107907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1107915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1107918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1107921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1107924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107943 */     // MIs[0] policy
     /* 1107943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107953 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1107956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1107958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1107972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107975 */     // GIR_Coverage, 61698,
     /* 1107975 */     GIR_EraseRootFromParent_Done,
     /* 1107976 */   // Label 16260: @1107976
     /* 1107976 */   GIM_Try, /*On fail goto*//*Label 16261*/ GIMT_Encode4(1108053), // Rule ID 61699 //
     /* 1107981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1107984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1107989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1107998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1108001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108020 */     // MIs[0] policy
     /* 1108020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108030 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1108033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108052 */     // GIR_Coverage, 61699,
     /* 1108052 */     GIR_EraseRootFromParent_Done,
     /* 1108053 */   // Label 16261: @1108053
     /* 1108053 */   GIM_Try, /*On fail goto*//*Label 16262*/ GIMT_Encode4(1108130), // Rule ID 61700 //
     /* 1108058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1108061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1108069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1108072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1108075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1108078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108097 */     // MIs[0] policy
     /* 1108097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108107 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1108110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108129 */     // GIR_Coverage, 61700,
     /* 1108129 */     GIR_EraseRootFromParent_Done,
     /* 1108130 */   // Label 16262: @1108130
     /* 1108130 */   GIM_Try, /*On fail goto*//*Label 16263*/ GIMT_Encode4(1108207), // Rule ID 61701 //
     /* 1108135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1108138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1108155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108174 */     // MIs[0] policy
     /* 1108174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108184 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1108187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108206 */     // GIR_Coverage, 61701,
     /* 1108206 */     GIR_EraseRootFromParent_Done,
     /* 1108207 */   // Label 16263: @1108207
     /* 1108207 */   GIM_Try, /*On fail goto*//*Label 16264*/ GIMT_Encode4(1108284), // Rule ID 61702 //
     /* 1108212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1108215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1108232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108251 */     // MIs[0] policy
     /* 1108251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108261 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1108264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108283 */     // GIR_Coverage, 61702,
     /* 1108283 */     GIR_EraseRootFromParent_Done,
     /* 1108284 */   // Label 16264: @1108284
     /* 1108284 */   GIM_Try, /*On fail goto*//*Label 16265*/ GIMT_Encode4(1108361), // Rule ID 61703 //
     /* 1108289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1108292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1108300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1108303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1108306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1108309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108328 */     // MIs[0] policy
     /* 1108328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108338 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1108341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108360 */     // GIR_Coverage, 61703,
     /* 1108360 */     GIR_EraseRootFromParent_Done,
     /* 1108361 */   // Label 16265: @1108361
     /* 1108361 */   GIM_Try, /*On fail goto*//*Label 16266*/ GIMT_Encode4(1108438), // Rule ID 61704 //
     /* 1108366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1108369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1108377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1108380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1108383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1108386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108405 */     // MIs[0] policy
     /* 1108405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108415 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1108418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108437 */     // GIR_Coverage, 61704,
     /* 1108437 */     GIR_EraseRootFromParent_Done,
     /* 1108438 */   // Label 16266: @1108438
     /* 1108438 */   GIM_Try, /*On fail goto*//*Label 16267*/ GIMT_Encode4(1108515), // Rule ID 61705 //
     /* 1108443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1108446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1108454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1108457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1108460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1108463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108482 */     // MIs[0] policy
     /* 1108482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108492 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1108495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1108511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108514 */     // GIR_Coverage, 61705,
     /* 1108514 */     GIR_EraseRootFromParent_Done,
     /* 1108515 */   // Label 16267: @1108515
     /* 1108515 */   GIM_Try, /*On fail goto*//*Label 16268*/ GIMT_Encode4(1108592), // Rule ID 61706 //
     /* 1108520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1108523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1108531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1108534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1108537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1108540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108559 */     // MIs[0] policy
     /* 1108559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108569 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1108572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1108588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108591 */     // GIR_Coverage, 61706,
     /* 1108591 */     GIR_EraseRootFromParent_Done,
     /* 1108592 */   // Label 16268: @1108592
     /* 1108592 */   GIM_Try, /*On fail goto*//*Label 16269*/ GIMT_Encode4(1108669), // Rule ID 61707 //
     /* 1108597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1108600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1108608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1108611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1108614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1108617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108636 */     // MIs[0] policy
     /* 1108636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108646 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1108649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1108665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108668 */     // GIR_Coverage, 61707,
     /* 1108668 */     GIR_EraseRootFromParent_Done,
     /* 1108669 */   // Label 16269: @1108669
     /* 1108669 */   GIM_Try, /*On fail goto*//*Label 16270*/ GIMT_Encode4(1108746), // Rule ID 61708 //
     /* 1108674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1108677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1108685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1108688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1108691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1108694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108713 */     // MIs[0] policy
     /* 1108713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108723 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1108726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1108742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108745 */     // GIR_Coverage, 61708,
     /* 1108745 */     GIR_EraseRootFromParent_Done,
     /* 1108746 */   // Label 16270: @1108746
     /* 1108746 */   GIM_Try, /*On fail goto*//*Label 16271*/ GIMT_Encode4(1108823), // Rule ID 61709 //
     /* 1108751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1108754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1108762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1108765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1108768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1108771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108790 */     // MIs[0] policy
     /* 1108790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108800 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1108803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1108819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108822 */     // GIR_Coverage, 61709,
     /* 1108822 */     GIR_EraseRootFromParent_Done,
     /* 1108823 */   // Label 16271: @1108823
     /* 1108823 */   GIM_Try, /*On fail goto*//*Label 16272*/ GIMT_Encode4(1108900), // Rule ID 61710 //
     /* 1108828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1108831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1108836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1108839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1108842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1108845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1108848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108867 */     // MIs[0] policy
     /* 1108867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108877 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1108880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1108896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108899 */     // GIR_Coverage, 61710,
     /* 1108899 */     GIR_EraseRootFromParent_Done,
     /* 1108900 */   // Label 16272: @1108900
     /* 1108900 */   GIM_Try, /*On fail goto*//*Label 16273*/ GIMT_Encode4(1108977), // Rule ID 61711 //
     /* 1108905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1108908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1108922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1108925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108944 */     // MIs[0] policy
     /* 1108944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108954 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1108957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1108959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108976 */     // GIR_Coverage, 61711,
     /* 1108976 */     GIR_EraseRootFromParent_Done,
     /* 1108977 */   // Label 16273: @1108977
     /* 1108977 */   GIM_Try, /*On fail goto*//*Label 16274*/ GIMT_Encode4(1109054), // Rule ID 61712 //
     /* 1108982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1108985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1108990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1108999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1109002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109021 */     // MIs[0] policy
     /* 1109021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109031 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1109034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109053 */     // GIR_Coverage, 61712,
     /* 1109053 */     GIR_EraseRootFromParent_Done,
     /* 1109054 */   // Label 16274: @1109054
     /* 1109054 */   GIM_Try, /*On fail goto*//*Label 16275*/ GIMT_Encode4(1109131), // Rule ID 61713 //
     /* 1109059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1109067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1109070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1109073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1109076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1109079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109098 */     // MIs[0] policy
     /* 1109098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1109111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109130 */     // GIR_Coverage, 61713,
     /* 1109130 */     GIR_EraseRootFromParent_Done,
     /* 1109131 */   // Label 16275: @1109131
     /* 1109131 */   GIM_Try, /*On fail goto*//*Label 16276*/ GIMT_Encode4(1109208), // Rule ID 61714 //
     /* 1109136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1109144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1109147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1109150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1109153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1109156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109175 */     // MIs[0] policy
     /* 1109175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109185 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1109188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109207 */     // GIR_Coverage, 61714,
     /* 1109207 */     GIR_EraseRootFromParent_Done,
     /* 1109208 */   // Label 16276: @1109208
     /* 1109208 */   GIM_Try, /*On fail goto*//*Label 16277*/ GIMT_Encode4(1109285), // Rule ID 61715 //
     /* 1109213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1109221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1109224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1109227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1109230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1109233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109252 */     // MIs[0] policy
     /* 1109252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109262 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1109265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109284 */     // GIR_Coverage, 61715,
     /* 1109284 */     GIR_EraseRootFromParent_Done,
     /* 1109285 */   // Label 16277: @1109285
     /* 1109285 */   GIM_Try, /*On fail goto*//*Label 16278*/ GIMT_Encode4(1109362), // Rule ID 61716 //
     /* 1109290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1109298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1109301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1109304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1109307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1109310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109329 */     // MIs[0] policy
     /* 1109329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109339 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1109342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109361 */     // GIR_Coverage, 61716,
     /* 1109361 */     GIR_EraseRootFromParent_Done,
     /* 1109362 */   // Label 16278: @1109362
     /* 1109362 */   GIM_Try, /*On fail goto*//*Label 16279*/ GIMT_Encode4(1109439), // Rule ID 61717 //
     /* 1109367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1109375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1109384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1109387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109406 */     // MIs[0] policy
     /* 1109406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109416 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1109419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109438 */     // GIR_Coverage, 61717,
     /* 1109438 */     GIR_EraseRootFromParent_Done,
     /* 1109439 */   // Label 16279: @1109439
     /* 1109439 */   GIM_Try, /*On fail goto*//*Label 16280*/ GIMT_Encode4(1109516), // Rule ID 61718 //
     /* 1109444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1109452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1109461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1109464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109483 */     // MIs[0] policy
     /* 1109483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109493 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1109496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109515 */     // GIR_Coverage, 61718,
     /* 1109515 */     GIR_EraseRootFromParent_Done,
     /* 1109516 */   // Label 16280: @1109516
     /* 1109516 */   GIM_Try, /*On fail goto*//*Label 16281*/ GIMT_Encode4(1109593), // Rule ID 61719 //
     /* 1109521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1109529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1109538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1109541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109560 */     // MIs[0] policy
     /* 1109560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109570 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1109573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109592 */     // GIR_Coverage, 61719,
     /* 1109592 */     GIR_EraseRootFromParent_Done,
     /* 1109593 */   // Label 16281: @1109593
     /* 1109593 */   GIM_Try, /*On fail goto*//*Label 16282*/ GIMT_Encode4(1109670), // Rule ID 61720 //
     /* 1109598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1109606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1109615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1109618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109637 */     // MIs[0] policy
     /* 1109637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109647 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1109650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109669 */     // GIR_Coverage, 61720,
     /* 1109669 */     GIR_EraseRootFromParent_Done,
     /* 1109670 */   // Label 16282: @1109670
     /* 1109670 */   GIM_Try, /*On fail goto*//*Label 16283*/ GIMT_Encode4(1109747), // Rule ID 61721 //
     /* 1109675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1109683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1109692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1109695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109714 */     // MIs[0] policy
     /* 1109714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109724 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1109727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109746 */     // GIR_Coverage, 61721,
     /* 1109746 */     GIR_EraseRootFromParent_Done,
     /* 1109747 */   // Label 16283: @1109747
     /* 1109747 */   GIM_Try, /*On fail goto*//*Label 16284*/ GIMT_Encode4(1109824), // Rule ID 61722 //
     /* 1109752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1109760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1109769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1109772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109791 */     // MIs[0] policy
     /* 1109791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109801 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1109804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109823 */     // GIR_Coverage, 61722,
     /* 1109823 */     GIR_EraseRootFromParent_Done,
     /* 1109824 */   // Label 16284: @1109824
     /* 1109824 */   GIM_Try, /*On fail goto*//*Label 16285*/ GIMT_Encode4(1109901), // Rule ID 61723 //
     /* 1109829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1109837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1109840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1109843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1109846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1109849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109868 */     // MIs[0] policy
     /* 1109868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109878 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1109881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109900 */     // GIR_Coverage, 61723,
     /* 1109900 */     GIR_EraseRootFromParent_Done,
     /* 1109901 */   // Label 16285: @1109901
     /* 1109901 */   GIM_Try, /*On fail goto*//*Label 16286*/ GIMT_Encode4(1109978), // Rule ID 61724 //
     /* 1109906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1109909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1109914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1109917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1109920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1109923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1109926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109945 */     // MIs[0] policy
     /* 1109945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109955 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11442:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1109958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1109960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109977 */     // GIR_Coverage, 61724,
     /* 1109977 */     GIR_EraseRootFromParent_Done,
     /* 1109978 */   // Label 16286: @1109978
     /* 1109978 */   GIM_Try, /*On fail goto*//*Label 16287*/ GIMT_Encode4(1110055), // Rule ID 61725 //
     /* 1109983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1109986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1109991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1109994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1109997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1110000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1110003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110022 */     // MIs[0] policy
     /* 1110022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110032 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1110035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110054 */     // GIR_Coverage, 61725,
     /* 1110054 */     GIR_EraseRootFromParent_Done,
     /* 1110055 */   // Label 16287: @1110055
     /* 1110055 */   GIM_Try, /*On fail goto*//*Label 16288*/ GIMT_Encode4(1110132), // Rule ID 61726 //
     /* 1110060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1110071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1110074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1110077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1110080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110099 */     // MIs[0] policy
     /* 1110099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110109 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11442:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1110112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110131 */     // GIR_Coverage, 61726,
     /* 1110131 */     GIR_EraseRootFromParent_Done,
     /* 1110132 */   // Label 16288: @1110132
     /* 1110132 */   GIM_Try, /*On fail goto*//*Label 16289*/ GIMT_Encode4(1110209), // Rule ID 61727 //
     /* 1110137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1110148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1110151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1110154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1110157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110176 */     // MIs[0] policy
     /* 1110176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110186 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1110189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110208 */     // GIR_Coverage, 61727,
     /* 1110208 */     GIR_EraseRootFromParent_Done,
     /* 1110209 */   // Label 16289: @1110209
     /* 1110209 */   GIM_Try, /*On fail goto*//*Label 16290*/ GIMT_Encode4(1110286), // Rule ID 61728 //
     /* 1110214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1110222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1110225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1110228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1110231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1110234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110253 */     // MIs[0] policy
     /* 1110253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110263 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11442:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1110266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110285 */     // GIR_Coverage, 61728,
     /* 1110285 */     GIR_EraseRootFromParent_Done,
     /* 1110286 */   // Label 16290: @1110286
     /* 1110286 */   GIM_Try, /*On fail goto*//*Label 16291*/ GIMT_Encode4(1110363), // Rule ID 61729 //
     /* 1110291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1110299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1110302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1110305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1110308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1110311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110330 */     // MIs[0] policy
     /* 1110330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110340 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1110343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110362 */     // GIR_Coverage, 61729,
     /* 1110362 */     GIR_EraseRootFromParent_Done,
     /* 1110363 */   // Label 16291: @1110363
     /* 1110363 */   GIM_Try, /*On fail goto*//*Label 16292*/ GIMT_Encode4(1110440), // Rule ID 61730 //
     /* 1110368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1110376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1110379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1110382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1110385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1110388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110407 */     // MIs[0] policy
     /* 1110407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110417 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1110420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110439 */     // GIR_Coverage, 61730,
     /* 1110439 */     GIR_EraseRootFromParent_Done,
     /* 1110440 */   // Label 16292: @1110440
     /* 1110440 */   GIM_Try, /*On fail goto*//*Label 16293*/ GIMT_Encode4(1110517), // Rule ID 61731 //
     /* 1110445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1110453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1110462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1110465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110484 */     // MIs[0] policy
     /* 1110484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110494 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1110497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110516 */     // GIR_Coverage, 61731,
     /* 1110516 */     GIR_EraseRootFromParent_Done,
     /* 1110517 */   // Label 16293: @1110517
     /* 1110517 */   GIM_Try, /*On fail goto*//*Label 16294*/ GIMT_Encode4(1110594), // Rule ID 61732 //
     /* 1110522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1110530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1110539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1110542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110561 */     // MIs[0] policy
     /* 1110561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110571 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1110574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110593 */     // GIR_Coverage, 61732,
     /* 1110593 */     GIR_EraseRootFromParent_Done,
     /* 1110594 */   // Label 16294: @1110594
     /* 1110594 */   GIM_Try, /*On fail goto*//*Label 16295*/ GIMT_Encode4(1110671), // Rule ID 61733 //
     /* 1110599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1110607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1110610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1110613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1110616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1110619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110638 */     // MIs[0] policy
     /* 1110638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110648 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1110651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110670 */     // GIR_Coverage, 61733,
     /* 1110670 */     GIR_EraseRootFromParent_Done,
     /* 1110671 */   // Label 16295: @1110671
     /* 1110671 */   GIM_Try, /*On fail goto*//*Label 16296*/ GIMT_Encode4(1110748), // Rule ID 61734 //
     /* 1110676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1110684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1110687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1110690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1110693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1110696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110715 */     // MIs[0] policy
     /* 1110715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110725 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1110728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110747 */     // GIR_Coverage, 61734,
     /* 1110747 */     GIR_EraseRootFromParent_Done,
     /* 1110748 */   // Label 16296: @1110748
     /* 1110748 */   GIM_Try, /*On fail goto*//*Label 16297*/ GIMT_Encode4(1110825), // Rule ID 61735 //
     /* 1110753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1110761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1110764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1110767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1110770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1110773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110792 */     // MIs[0] policy
     /* 1110792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110802 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1110805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110824 */     // GIR_Coverage, 61735,
     /* 1110824 */     GIR_EraseRootFromParent_Done,
     /* 1110825 */   // Label 16297: @1110825
     /* 1110825 */   GIM_Try, /*On fail goto*//*Label 16298*/ GIMT_Encode4(1110902), // Rule ID 61736 //
     /* 1110830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1110838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1110841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1110844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1110847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1110850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110869 */     // MIs[0] policy
     /* 1110869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110879 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1110882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110901 */     // GIR_Coverage, 61736,
     /* 1110901 */     GIR_EraseRootFromParent_Done,
     /* 1110902 */   // Label 16298: @1110902
     /* 1110902 */   GIM_Try, /*On fail goto*//*Label 16299*/ GIMT_Encode4(1110979), // Rule ID 61737 //
     /* 1110907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1110910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1110915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1110918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1110921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1110924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1110927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110946 */     // MIs[0] policy
     /* 1110946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110956 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1110959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1110961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110978 */     // GIR_Coverage, 61737,
     /* 1110978 */     GIR_EraseRootFromParent_Done,
     /* 1110979 */   // Label 16299: @1110979
     /* 1110979 */   GIM_Try, /*On fail goto*//*Label 16300*/ GIMT_Encode4(1111056), // Rule ID 61738 //
     /* 1110984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1110987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1110992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1110995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1110998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1111001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1111004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111023 */     // MIs[0] policy
     /* 1111023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111033 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1111036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111055 */     // GIR_Coverage, 61738,
     /* 1111055 */     GIR_EraseRootFromParent_Done,
     /* 1111056 */   // Label 16300: @1111056
     /* 1111056 */   GIM_Try, /*On fail goto*//*Label 16301*/ GIMT_Encode4(1111133), // Rule ID 61739 //
     /* 1111061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1111078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1111081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111100 */     // MIs[0] policy
     /* 1111100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111110 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1111113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111132 */     // GIR_Coverage, 61739,
     /* 1111132 */     GIR_EraseRootFromParent_Done,
     /* 1111133 */   // Label 16301: @1111133
     /* 1111133 */   GIM_Try, /*On fail goto*//*Label 16302*/ GIMT_Encode4(1111210), // Rule ID 61740 //
     /* 1111138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1111155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1111158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111177 */     // MIs[0] policy
     /* 1111177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111187 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1111190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111209 */     // GIR_Coverage, 61740,
     /* 1111209 */     GIR_EraseRootFromParent_Done,
     /* 1111210 */   // Label 16302: @1111210
     /* 1111210 */   GIM_Try, /*On fail goto*//*Label 16303*/ GIMT_Encode4(1111287), // Rule ID 61741 //
     /* 1111215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1111226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1111229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1111232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1111235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111254 */     // MIs[0] policy
     /* 1111254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111264 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1111267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111286 */     // GIR_Coverage, 61741,
     /* 1111286 */     GIR_EraseRootFromParent_Done,
     /* 1111287 */   // Label 16303: @1111287
     /* 1111287 */   GIM_Try, /*On fail goto*//*Label 16304*/ GIMT_Encode4(1111364), // Rule ID 61742 //
     /* 1111292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1111303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1111306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1111309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1111312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111331 */     // MIs[0] policy
     /* 1111331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111341 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11443:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1111344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111363 */     // GIR_Coverage, 61742,
     /* 1111363 */     GIR_EraseRootFromParent_Done,
     /* 1111364 */   // Label 16304: @1111364
     /* 1111364 */   GIM_Try, /*On fail goto*//*Label 16305*/ GIMT_Encode4(1111441), // Rule ID 61743 //
     /* 1111369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1111380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1111383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1111386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1111389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111408 */     // MIs[0] policy
     /* 1111408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111418 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1111421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111440 */     // GIR_Coverage, 61743,
     /* 1111440 */     GIR_EraseRootFromParent_Done,
     /* 1111441 */   // Label 16305: @1111441
     /* 1111441 */   GIM_Try, /*On fail goto*//*Label 16306*/ GIMT_Encode4(1111518), // Rule ID 61744 //
     /* 1111446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1111457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1111460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1111463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1111466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111485 */     // MIs[0] policy
     /* 1111485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111495 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11443:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1111498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111517 */     // GIR_Coverage, 61744,
     /* 1111517 */     GIR_EraseRootFromParent_Done,
     /* 1111518 */   // Label 16306: @1111518
     /* 1111518 */   GIM_Try, /*On fail goto*//*Label 16307*/ GIMT_Encode4(1111595), // Rule ID 61745 //
     /* 1111523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1111526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1111534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1111537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1111540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1111543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111562 */     // MIs[0] policy
     /* 1111562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111572 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1111575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111594 */     // GIR_Coverage, 61745,
     /* 1111594 */     GIR_EraseRootFromParent_Done,
     /* 1111595 */   // Label 16307: @1111595
     /* 1111595 */   GIM_Try, /*On fail goto*//*Label 16308*/ GIMT_Encode4(1111672), // Rule ID 61746 //
     /* 1111600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1111603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1111608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1111611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1111614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1111617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1111620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111639 */     // MIs[0] policy
     /* 1111639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111649 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11443:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1111652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111671 */     // GIR_Coverage, 61746,
     /* 1111671 */     GIR_EraseRootFromParent_Done,
     /* 1111672 */   // Label 16308: @1111672
     /* 1111672 */   GIM_Try, /*On fail goto*//*Label 16309*/ GIMT_Encode4(1111749), // Rule ID 62006 //
     /* 1111677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1111680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1111685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1111694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1111697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111716 */     // MIs[0] policy
     /* 1111716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111726 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11026:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1111729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111748 */     // GIR_Coverage, 62006,
     /* 1111748 */     GIR_EraseRootFromParent_Done,
     /* 1111749 */   // Label 16309: @1111749
     /* 1111749 */   GIM_Try, /*On fail goto*//*Label 16310*/ GIMT_Encode4(1111826), // Rule ID 62007 //
     /* 1111754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1111757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1111762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1111771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1111774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111793 */     // MIs[0] policy
     /* 1111793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111803 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11026:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1111806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111825 */     // GIR_Coverage, 62007,
     /* 1111825 */     GIR_EraseRootFromParent_Done,
     /* 1111826 */   // Label 16310: @1111826
     /* 1111826 */   GIM_Try, /*On fail goto*//*Label 16311*/ GIMT_Encode4(1111903), // Rule ID 62010 //
     /* 1111831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1111834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1111839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1111848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1111851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111870 */     // MIs[0] policy
     /* 1111870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11026:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1111883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111902 */     // GIR_Coverage, 62010,
     /* 1111902 */     GIR_EraseRootFromParent_Done,
     /* 1111903 */   // Label 16311: @1111903
     /* 1111903 */   GIM_Try, /*On fail goto*//*Label 16312*/ GIMT_Encode4(1111980), // Rule ID 62011 //
     /* 1111908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1111911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1111916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1111925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1111928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111947 */     // MIs[0] policy
     /* 1111947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111957 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11026:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1111960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111979 */     // GIR_Coverage, 62011,
     /* 1111979 */     GIR_EraseRootFromParent_Done,
     /* 1111980 */   // Label 16312: @1111980
     /* 1111980 */   GIM_Try, /*On fail goto*//*Label 16313*/ GIMT_Encode4(1112057), // Rule ID 62014 //
     /* 1111985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1111988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1111993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1112002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1112005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112024 */     // MIs[0] policy
     /* 1112024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112034 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11026:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1112037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112056 */     // GIR_Coverage, 62014,
     /* 1112056 */     GIR_EraseRootFromParent_Done,
     /* 1112057 */   // Label 16313: @1112057
     /* 1112057 */   GIM_Try, /*On fail goto*//*Label 16314*/ GIMT_Encode4(1112134), // Rule ID 62015 //
     /* 1112062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1112065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1112070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1112079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1112082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112101 */     // MIs[0] policy
     /* 1112101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112111 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11026:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1112114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112133 */     // GIR_Coverage, 62015,
     /* 1112133 */     GIR_EraseRootFromParent_Done,
     /* 1112134 */   // Label 16314: @1112134
     /* 1112134 */   GIM_Try, /*On fail goto*//*Label 16315*/ GIMT_Encode4(1112211), // Rule ID 62018 //
     /* 1112139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1112142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1112147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1112156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1112159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112178 */     // MIs[0] policy
     /* 1112178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112188 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11026:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1112191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112210 */     // GIR_Coverage, 62018,
     /* 1112210 */     GIR_EraseRootFromParent_Done,
     /* 1112211 */   // Label 16315: @1112211
     /* 1112211 */   GIM_Try, /*On fail goto*//*Label 16316*/ GIMT_Encode4(1112288), // Rule ID 62019 //
     /* 1112216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1112219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1112224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1112233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1112236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112255 */     // MIs[0] policy
     /* 1112255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112265 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11026:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1112268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112287 */     // GIR_Coverage, 62019,
     /* 1112287 */     GIR_EraseRootFromParent_Done,
     /* 1112288 */   // Label 16316: @1112288
     /* 1112288 */   GIM_Try, /*On fail goto*//*Label 16317*/ GIMT_Encode4(1112365), // Rule ID 62022 //
     /* 1112293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1112296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1112301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1112310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1112313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112332 */     // MIs[0] policy
     /* 1112332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112342 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11026:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1112345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112364 */     // GIR_Coverage, 62022,
     /* 1112364 */     GIR_EraseRootFromParent_Done,
     /* 1112365 */   // Label 16317: @1112365
     /* 1112365 */   GIM_Try, /*On fail goto*//*Label 16318*/ GIMT_Encode4(1112442), // Rule ID 62023 //
     /* 1112370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1112373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1112378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1112387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1112390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112409 */     // MIs[0] policy
     /* 1112409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112419 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11026:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1112422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112441 */     // GIR_Coverage, 62023,
     /* 1112441 */     GIR_EraseRootFromParent_Done,
     /* 1112442 */   // Label 16318: @1112442
     /* 1112442 */   GIM_Try, /*On fail goto*//*Label 16319*/ GIMT_Encode4(1112519), // Rule ID 62026 //
     /* 1112447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1112450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1112455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1112458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1112461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1112464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1112467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112486 */     // MIs[0] policy
     /* 1112486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112496 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11026:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1112499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112518 */     // GIR_Coverage, 62026,
     /* 1112518 */     GIR_EraseRootFromParent_Done,
     /* 1112519 */   // Label 16319: @1112519
     /* 1112519 */   GIM_Try, /*On fail goto*//*Label 16320*/ GIMT_Encode4(1112596), // Rule ID 62027 //
     /* 1112524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1112527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1112532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1112535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1112538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1112541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1112544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112563 */     // MIs[0] policy
     /* 1112563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112573 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11026:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1112576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112595 */     // GIR_Coverage, 62027,
     /* 1112595 */     GIR_EraseRootFromParent_Done,
     /* 1112596 */   // Label 16320: @1112596
     /* 1112596 */   GIM_Try, /*On fail goto*//*Label 16321*/ GIMT_Encode4(1112673), // Rule ID 62030 //
     /* 1112601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1112604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1112609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1112618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1112621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112640 */     // MIs[0] policy
     /* 1112640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112650 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11026:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1112653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112672 */     // GIR_Coverage, 62030,
     /* 1112672 */     GIR_EraseRootFromParent_Done,
     /* 1112673 */   // Label 16321: @1112673
     /* 1112673 */   GIM_Try, /*On fail goto*//*Label 16322*/ GIMT_Encode4(1112750), // Rule ID 62031 //
     /* 1112678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1112681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1112686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1112695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1112698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112717 */     // MIs[0] policy
     /* 1112717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112727 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11026:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1112730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112749 */     // GIR_Coverage, 62031,
     /* 1112749 */     GIR_EraseRootFromParent_Done,
     /* 1112750 */   // Label 16322: @1112750
     /* 1112750 */   GIM_Try, /*On fail goto*//*Label 16323*/ GIMT_Encode4(1112827), // Rule ID 62034 //
     /* 1112755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1112758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1112763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1112772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1112775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112794 */     // MIs[0] policy
     /* 1112794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112804 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11026:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1112807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112826 */     // GIR_Coverage, 62034,
     /* 1112826 */     GIR_EraseRootFromParent_Done,
     /* 1112827 */   // Label 16323: @1112827
     /* 1112827 */   GIM_Try, /*On fail goto*//*Label 16324*/ GIMT_Encode4(1112904), // Rule ID 62035 //
     /* 1112832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1112835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1112840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1112849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1112852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112871 */     // MIs[0] policy
     /* 1112871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112881 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11026:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1112884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112903 */     // GIR_Coverage, 62035,
     /* 1112903 */     GIR_EraseRootFromParent_Done,
     /* 1112904 */   // Label 16324: @1112904
     /* 1112904 */   GIM_Try, /*On fail goto*//*Label 16325*/ GIMT_Encode4(1112981), // Rule ID 62038 //
     /* 1112909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1112912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1112917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1112926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1112929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112948 */     // MIs[0] policy
     /* 1112948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112958 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11026:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1112961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112980 */     // GIR_Coverage, 62038,
     /* 1112980 */     GIR_EraseRootFromParent_Done,
     /* 1112981 */   // Label 16325: @1112981
     /* 1112981 */   GIM_Try, /*On fail goto*//*Label 16326*/ GIMT_Encode4(1113058), // Rule ID 62039 //
     /* 1112986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1112989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1112994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1113003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1113006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113025 */     // MIs[0] policy
     /* 1113025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113035 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11026:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1113038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113057 */     // GIR_Coverage, 62039,
     /* 1113057 */     GIR_EraseRootFromParent_Done,
     /* 1113058 */   // Label 16326: @1113058
     /* 1113058 */   GIM_Try, /*On fail goto*//*Label 16327*/ GIMT_Encode4(1113135), // Rule ID 62042 //
     /* 1113063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1113080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1113083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113102 */     // MIs[0] policy
     /* 1113102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113112 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11026:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1113115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113134 */     // GIR_Coverage, 62042,
     /* 1113134 */     GIR_EraseRootFromParent_Done,
     /* 1113135 */   // Label 16327: @1113135
     /* 1113135 */   GIM_Try, /*On fail goto*//*Label 16328*/ GIMT_Encode4(1113212), // Rule ID 62043 //
     /* 1113140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1113148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1113157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1113160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113179 */     // MIs[0] policy
     /* 1113179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113189 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11026:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1113192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113211 */     // GIR_Coverage, 62043,
     /* 1113211 */     GIR_EraseRootFromParent_Done,
     /* 1113212 */   // Label 16328: @1113212
     /* 1113212 */   GIM_Try, /*On fail goto*//*Label 16329*/ GIMT_Encode4(1113289), // Rule ID 62046 //
     /* 1113217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1113225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1113234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1113237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113256 */     // MIs[0] policy
     /* 1113256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113266 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1113269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113288 */     // GIR_Coverage, 62046,
     /* 1113288 */     GIR_EraseRootFromParent_Done,
     /* 1113289 */   // Label 16329: @1113289
     /* 1113289 */   GIM_Try, /*On fail goto*//*Label 16330*/ GIMT_Encode4(1113366), // Rule ID 62047 //
     /* 1113294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1113302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1113311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1113314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113333 */     // MIs[0] policy
     /* 1113333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113343 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1113346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113365 */     // GIR_Coverage, 62047,
     /* 1113365 */     GIR_EraseRootFromParent_Done,
     /* 1113366 */   // Label 16330: @1113366
     /* 1113366 */   GIM_Try, /*On fail goto*//*Label 16331*/ GIMT_Encode4(1113443), // Rule ID 62050 //
     /* 1113371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1113379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1113391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113410 */     // MIs[0] policy
     /* 1113410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1113423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113442 */     // GIR_Coverage, 62050,
     /* 1113442 */     GIR_EraseRootFromParent_Done,
     /* 1113443 */   // Label 16331: @1113443
     /* 1113443 */   GIM_Try, /*On fail goto*//*Label 16332*/ GIMT_Encode4(1113520), // Rule ID 62051 //
     /* 1113448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1113456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1113468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113487 */     // MIs[0] policy
     /* 1113487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113497 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1113500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113519 */     // GIR_Coverage, 62051,
     /* 1113519 */     GIR_EraseRootFromParent_Done,
     /* 1113520 */   // Label 16332: @1113520
     /* 1113520 */   GIM_Try, /*On fail goto*//*Label 16333*/ GIMT_Encode4(1113597), // Rule ID 62054 //
     /* 1113525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1113533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1113542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1113545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113564 */     // MIs[0] policy
     /* 1113564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113574 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11030:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1113577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113596 */     // GIR_Coverage, 62054,
     /* 1113596 */     GIR_EraseRootFromParent_Done,
     /* 1113597 */   // Label 16333: @1113597
     /* 1113597 */   GIM_Try, /*On fail goto*//*Label 16334*/ GIMT_Encode4(1113674), // Rule ID 62055 //
     /* 1113602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1113610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1113619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1113622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113641 */     // MIs[0] policy
     /* 1113641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113651 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11030:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1113654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113673 */     // GIR_Coverage, 62055,
     /* 1113673 */     GIR_EraseRootFromParent_Done,
     /* 1113674 */   // Label 16334: @1113674
     /* 1113674 */   GIM_Try, /*On fail goto*//*Label 16335*/ GIMT_Encode4(1113751), // Rule ID 62058 //
     /* 1113679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1113687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1113696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1113699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113718 */     // MIs[0] policy
     /* 1113718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11030:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1113731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113750 */     // GIR_Coverage, 62058,
     /* 1113750 */     GIR_EraseRootFromParent_Done,
     /* 1113751 */   // Label 16335: @1113751
     /* 1113751 */   GIM_Try, /*On fail goto*//*Label 16336*/ GIMT_Encode4(1113828), // Rule ID 62059 //
     /* 1113756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1113764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1113773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1113776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113795 */     // MIs[0] policy
     /* 1113795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113805 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11030:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1113808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113827 */     // GIR_Coverage, 62059,
     /* 1113827 */     GIR_EraseRootFromParent_Done,
     /* 1113828 */   // Label 16336: @1113828
     /* 1113828 */   GIM_Try, /*On fail goto*//*Label 16337*/ GIMT_Encode4(1113905), // Rule ID 62062 //
     /* 1113833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1113841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1113850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1113853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113872 */     // MIs[0] policy
     /* 1113872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113882 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11030:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1113885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113904 */     // GIR_Coverage, 62062,
     /* 1113904 */     GIR_EraseRootFromParent_Done,
     /* 1113905 */   // Label 16337: @1113905
     /* 1113905 */   GIM_Try, /*On fail goto*//*Label 16338*/ GIMT_Encode4(1113982), // Rule ID 62063 //
     /* 1113910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1113913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1113918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1113927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1113930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113949 */     // MIs[0] policy
     /* 1113949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113959 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11030:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1113962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113981 */     // GIR_Coverage, 62063,
     /* 1113981 */     GIR_EraseRootFromParent_Done,
     /* 1113982 */   // Label 16338: @1113982
     /* 1113982 */   GIM_Try, /*On fail goto*//*Label 16339*/ GIMT_Encode4(1114059), // Rule ID 62066 //
     /* 1113987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1113990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1113995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114026 */     // MIs[0] policy
     /* 1114026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114036 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1114039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114058 */     // GIR_Coverage, 62066,
     /* 1114058 */     GIR_EraseRootFromParent_Done,
     /* 1114059 */   // Label 16339: @1114059
     /* 1114059 */   GIM_Try, /*On fail goto*//*Label 16340*/ GIMT_Encode4(1114136), // Rule ID 62067 //
     /* 1114064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114103 */     // MIs[0] policy
     /* 1114103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114113 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1114116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114135 */     // GIR_Coverage, 62067,
     /* 1114135 */     GIR_EraseRootFromParent_Done,
     /* 1114136 */   // Label 16340: @1114136
     /* 1114136 */   GIM_Try, /*On fail goto*//*Label 16341*/ GIMT_Encode4(1114213), // Rule ID 62070 //
     /* 1114141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1114161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114180 */     // MIs[0] policy
     /* 1114180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114190 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1114193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114212 */     // GIR_Coverage, 62070,
     /* 1114212 */     GIR_EraseRootFromParent_Done,
     /* 1114213 */   // Label 16341: @1114213
     /* 1114213 */   GIM_Try, /*On fail goto*//*Label 16342*/ GIMT_Encode4(1114290), // Rule ID 62071 //
     /* 1114218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1114238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114257 */     // MIs[0] policy
     /* 1114257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114267 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1114270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114289 */     // GIR_Coverage, 62071,
     /* 1114289 */     GIR_EraseRootFromParent_Done,
     /* 1114290 */   // Label 16342: @1114290
     /* 1114290 */   GIM_Try, /*On fail goto*//*Label 16343*/ GIMT_Encode4(1114367), // Rule ID 62074 //
     /* 1114295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1114315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114334 */     // MIs[0] policy
     /* 1114334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114344 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11030:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1114347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114366 */     // GIR_Coverage, 62074,
     /* 1114366 */     GIR_EraseRootFromParent_Done,
     /* 1114367 */   // Label 16343: @1114367
     /* 1114367 */   GIM_Try, /*On fail goto*//*Label 16344*/ GIMT_Encode4(1114444), // Rule ID 62075 //
     /* 1114372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1114392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114411 */     // MIs[0] policy
     /* 1114411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114421 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11030:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1114424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114443 */     // GIR_Coverage, 62075,
     /* 1114443 */     GIR_EraseRootFromParent_Done,
     /* 1114444 */   // Label 16344: @1114444
     /* 1114444 */   GIM_Try, /*On fail goto*//*Label 16345*/ GIMT_Encode4(1114521), // Rule ID 62078 //
     /* 1114449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1114469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114488 */     // MIs[0] policy
     /* 1114488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114498 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11030:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1114501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114520 */     // GIR_Coverage, 62078,
     /* 1114520 */     GIR_EraseRootFromParent_Done,
     /* 1114521 */   // Label 16345: @1114521
     /* 1114521 */   GIM_Try, /*On fail goto*//*Label 16346*/ GIMT_Encode4(1114598), // Rule ID 62079 //
     /* 1114526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1114546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114565 */     // MIs[0] policy
     /* 1114565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114575 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11030:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1114578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114597 */     // GIR_Coverage, 62079,
     /* 1114597 */     GIR_EraseRootFromParent_Done,
     /* 1114598 */   // Label 16346: @1114598
     /* 1114598 */   GIM_Try, /*On fail goto*//*Label 16347*/ GIMT_Encode4(1114675), // Rule ID 62082 //
     /* 1114603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1114620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1114623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114642 */     // MIs[0] policy
     /* 1114642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114652 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11030:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1114655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114674 */     // GIR_Coverage, 62082,
     /* 1114674 */     GIR_EraseRootFromParent_Done,
     /* 1114675 */   // Label 16347: @1114675
     /* 1114675 */   GIM_Try, /*On fail goto*//*Label 16348*/ GIMT_Encode4(1114752), // Rule ID 62083 //
     /* 1114680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1114688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1114697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1114700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114719 */     // MIs[0] policy
     /* 1114719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114729 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11030:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1114732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114751 */     // GIR_Coverage, 62083,
     /* 1114751 */     GIR_EraseRootFromParent_Done,
     /* 1114752 */   // Label 16348: @1114752
     /* 1114752 */   GIM_Try, /*On fail goto*//*Label 16349*/ GIMT_Encode4(1114829), // Rule ID 62086 //
     /* 1114757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1114765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1114774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114796 */     // MIs[0] policy
     /* 1114796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114806 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1114809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114828 */     // GIR_Coverage, 62086,
     /* 1114828 */     GIR_EraseRootFromParent_Done,
     /* 1114829 */   // Label 16349: @1114829
     /* 1114829 */   GIM_Try, /*On fail goto*//*Label 16350*/ GIMT_Encode4(1114906), // Rule ID 62087 //
     /* 1114834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1114842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1114851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114873 */     // MIs[0] policy
     /* 1114873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114883 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1114886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114905 */     // GIR_Coverage, 62087,
     /* 1114905 */     GIR_EraseRootFromParent_Done,
     /* 1114906 */   // Label 16350: @1114906
     /* 1114906 */   GIM_Try, /*On fail goto*//*Label 16351*/ GIMT_Encode4(1114983), // Rule ID 62090 //
     /* 1114911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1114914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1114919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1114931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114950 */     // MIs[0] policy
     /* 1114950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114960 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1114963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114982 */     // GIR_Coverage, 62090,
     /* 1114982 */     GIR_EraseRootFromParent_Done,
     /* 1114983 */   // Label 16351: @1114983
     /* 1114983 */   GIM_Try, /*On fail goto*//*Label 16352*/ GIMT_Encode4(1115060), // Rule ID 62091 //
     /* 1114988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1114991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1114996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115027 */     // MIs[0] policy
     /* 1115027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115037 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1115040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115059 */     // GIR_Coverage, 62091,
     /* 1115059 */     GIR_EraseRootFromParent_Done,
     /* 1115060 */   // Label 16352: @1115060
     /* 1115060 */   GIM_Try, /*On fail goto*//*Label 16353*/ GIMT_Encode4(1115137), // Rule ID 62094 //
     /* 1115065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1115073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1115082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115104 */     // MIs[0] policy
     /* 1115104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115114 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11028:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1115117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115136 */     // GIR_Coverage, 62094,
     /* 1115136 */     GIR_EraseRootFromParent_Done,
     /* 1115137 */   // Label 16353: @1115137
     /* 1115137 */   GIM_Try, /*On fail goto*//*Label 16354*/ GIMT_Encode4(1115214), // Rule ID 62095 //
     /* 1115142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1115150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1115159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115181 */     // MIs[0] policy
     /* 1115181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115191 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11028:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1115194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115213 */     // GIR_Coverage, 62095,
     /* 1115213 */     GIR_EraseRootFromParent_Done,
     /* 1115214 */   // Label 16354: @1115214
     /* 1115214 */   GIM_Try, /*On fail goto*//*Label 16355*/ GIMT_Encode4(1115291), // Rule ID 62098 //
     /* 1115219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1115227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1115236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1115239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115258 */     // MIs[0] policy
     /* 1115258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115268 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11028:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1115271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115290 */     // GIR_Coverage, 62098,
     /* 1115290 */     GIR_EraseRootFromParent_Done,
     /* 1115291 */   // Label 16355: @1115291
     /* 1115291 */   GIM_Try, /*On fail goto*//*Label 16356*/ GIMT_Encode4(1115368), // Rule ID 62099 //
     /* 1115296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1115304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1115313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1115316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115335 */     // MIs[0] policy
     /* 1115335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115345 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11028:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1115348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115367 */     // GIR_Coverage, 62099,
     /* 1115367 */     GIR_EraseRootFromParent_Done,
     /* 1115368 */   // Label 16356: @1115368
     /* 1115368 */   GIM_Try, /*On fail goto*//*Label 16357*/ GIMT_Encode4(1115445), // Rule ID 62102 //
     /* 1115373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1115381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1115390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1115393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115412 */     // MIs[0] policy
     /* 1115412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115422 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11028:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1115425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115444 */     // GIR_Coverage, 62102,
     /* 1115444 */     GIR_EraseRootFromParent_Done,
     /* 1115445 */   // Label 16357: @1115445
     /* 1115445 */   GIM_Try, /*On fail goto*//*Label 16358*/ GIMT_Encode4(1115522), // Rule ID 62103 //
     /* 1115450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1115458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1115467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1115470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115489 */     // MIs[0] policy
     /* 1115489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115499 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11028:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1115502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115521 */     // GIR_Coverage, 62103,
     /* 1115521 */     GIR_EraseRootFromParent_Done,
     /* 1115522 */   // Label 16358: @1115522
     /* 1115522 */   GIM_Try, /*On fail goto*//*Label 16359*/ GIMT_Encode4(1115599), // Rule ID 62106 //
     /* 1115527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1115535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1115538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1115541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1115547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115566 */     // MIs[0] policy
     /* 1115566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115576 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1115579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115598 */     // GIR_Coverage, 62106,
     /* 1115598 */     GIR_EraseRootFromParent_Done,
     /* 1115599 */   // Label 16359: @1115599
     /* 1115599 */   GIM_Try, /*On fail goto*//*Label 16360*/ GIMT_Encode4(1115676), // Rule ID 62107 //
     /* 1115604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1115612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1115615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1115618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1115624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115643 */     // MIs[0] policy
     /* 1115643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115653 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1115656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115675 */     // GIR_Coverage, 62107,
     /* 1115675 */     GIR_EraseRootFromParent_Done,
     /* 1115676 */   // Label 16360: @1115676
     /* 1115676 */   GIM_Try, /*On fail goto*//*Label 16361*/ GIMT_Encode4(1115753), // Rule ID 62110 //
     /* 1115681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1115689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115720 */     // MIs[0] policy
     /* 1115720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115730 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1115733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115752 */     // GIR_Coverage, 62110,
     /* 1115752 */     GIR_EraseRootFromParent_Done,
     /* 1115753 */   // Label 16361: @1115753
     /* 1115753 */   GIM_Try, /*On fail goto*//*Label 16362*/ GIMT_Encode4(1115830), // Rule ID 62111 //
     /* 1115758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1115766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115797 */     // MIs[0] policy
     /* 1115797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115807 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1115810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115829 */     // GIR_Coverage, 62111,
     /* 1115829 */     GIR_EraseRootFromParent_Done,
     /* 1115830 */   // Label 16362: @1115830
     /* 1115830 */   GIM_Try, /*On fail goto*//*Label 16363*/ GIMT_Encode4(1115907), // Rule ID 62114 //
     /* 1115835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1115843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1115852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115874 */     // MIs[0] policy
     /* 1115874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115884 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11028:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1115887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115906 */     // GIR_Coverage, 62114,
     /* 1115906 */     GIR_EraseRootFromParent_Done,
     /* 1115907 */   // Label 16363: @1115907
     /* 1115907 */   GIM_Try, /*On fail goto*//*Label 16364*/ GIMT_Encode4(1115984), // Rule ID 62115 //
     /* 1115912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1115915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1115920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1115929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1115947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115951 */     // MIs[0] policy
     /* 1115951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115961 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11028:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1115964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115983 */     // GIR_Coverage, 62115,
     /* 1115983 */     GIR_EraseRootFromParent_Done,
     /* 1115984 */   // Label 16364: @1115984
     /* 1115984 */   GIM_Try, /*On fail goto*//*Label 16365*/ GIMT_Encode4(1116061), // Rule ID 62118 //
     /* 1115989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1115992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1115997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116028 */     // MIs[0] policy
     /* 1116028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116038 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11028:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1116041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116060 */     // GIR_Coverage, 62118,
     /* 1116060 */     GIR_EraseRootFromParent_Done,
     /* 1116061 */   // Label 16365: @1116061
     /* 1116061 */   GIM_Try, /*On fail goto*//*Label 16366*/ GIMT_Encode4(1116138), // Rule ID 62119 //
     /* 1116066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116105 */     // MIs[0] policy
     /* 1116105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116115 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11028:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1116118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116137 */     // GIR_Coverage, 62119,
     /* 1116137 */     GIR_EraseRootFromParent_Done,
     /* 1116138 */   // Label 16366: @1116138
     /* 1116138 */   GIM_Try, /*On fail goto*//*Label 16367*/ GIMT_Encode4(1116215), // Rule ID 62122 //
     /* 1116143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1116163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116182 */     // MIs[0] policy
     /* 1116182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116192 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11028:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1116195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116214 */     // GIR_Coverage, 62122,
     /* 1116214 */     GIR_EraseRootFromParent_Done,
     /* 1116215 */   // Label 16367: @1116215
     /* 1116215 */   GIM_Try, /*On fail goto*//*Label 16368*/ GIMT_Encode4(1116292), // Rule ID 62123 //
     /* 1116220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1116228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1116240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116259 */     // MIs[0] policy
     /* 1116259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116269 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11028:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1116272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116291 */     // GIR_Coverage, 62123,
     /* 1116291 */     GIR_EraseRootFromParent_Done,
     /* 1116292 */   // Label 16368: @1116292
     /* 1116292 */   GIM_Try, /*On fail goto*//*Label 16369*/ GIMT_Encode4(1116369), // Rule ID 62126 //
     /* 1116297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1116305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1116317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116336 */     // MIs[0] policy
     /* 1116336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1116349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116368 */     // GIR_Coverage, 62126,
     /* 1116368 */     GIR_EraseRootFromParent_Done,
     /* 1116369 */   // Label 16369: @1116369
     /* 1116369 */   GIM_Try, /*On fail goto*//*Label 16370*/ GIMT_Encode4(1116446), // Rule ID 62127 //
     /* 1116374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1116382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1116394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116413 */     // MIs[0] policy
     /* 1116413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116423 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1116426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116445 */     // GIR_Coverage, 62127,
     /* 1116445 */     GIR_EraseRootFromParent_Done,
     /* 1116446 */   // Label 16370: @1116446
     /* 1116446 */   GIM_Try, /*On fail goto*//*Label 16371*/ GIMT_Encode4(1116523), // Rule ID 62130 //
     /* 1116451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1116459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1116471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116490 */     // MIs[0] policy
     /* 1116490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116500 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1116503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116522 */     // GIR_Coverage, 62130,
     /* 1116522 */     GIR_EraseRootFromParent_Done,
     /* 1116523 */   // Label 16371: @1116523
     /* 1116523 */   GIM_Try, /*On fail goto*//*Label 16372*/ GIMT_Encode4(1116600), // Rule ID 62131 //
     /* 1116528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1116536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1116548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116567 */     // MIs[0] policy
     /* 1116567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1116580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116599 */     // GIR_Coverage, 62131,
     /* 1116599 */     GIR_EraseRootFromParent_Done,
     /* 1116600 */   // Label 16372: @1116600
     /* 1116600 */   GIM_Try, /*On fail goto*//*Label 16373*/ GIMT_Encode4(1116677), // Rule ID 62134 //
     /* 1116605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1116613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1116625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116644 */     // MIs[0] policy
     /* 1116644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116654 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1116657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116676 */     // GIR_Coverage, 62134,
     /* 1116676 */     GIR_EraseRootFromParent_Done,
     /* 1116677 */   // Label 16373: @1116677
     /* 1116677 */   GIM_Try, /*On fail goto*//*Label 16374*/ GIMT_Encode4(1116754), // Rule ID 62135 //
     /* 1116682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1116690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1116702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116721 */     // MIs[0] policy
     /* 1116721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116731 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1116734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116753 */     // GIR_Coverage, 62135,
     /* 1116753 */     GIR_EraseRootFromParent_Done,
     /* 1116754 */   // Label 16374: @1116754
     /* 1116754 */   GIM_Try, /*On fail goto*//*Label 16375*/ GIMT_Encode4(1116831), // Rule ID 62138 //
     /* 1116759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1116767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116798 */     // MIs[0] policy
     /* 1116798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116808 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1116811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116830 */     // GIR_Coverage, 62138,
     /* 1116830 */     GIR_EraseRootFromParent_Done,
     /* 1116831 */   // Label 16375: @1116831
     /* 1116831 */   GIM_Try, /*On fail goto*//*Label 16376*/ GIMT_Encode4(1116908), // Rule ID 62139 //
     /* 1116836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1116844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1116853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116875 */     // MIs[0] policy
     /* 1116875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116885 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1116888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116907 */     // GIR_Coverage, 62139,
     /* 1116907 */     GIR_EraseRootFromParent_Done,
     /* 1116908 */   // Label 16376: @1116908
     /* 1116908 */   GIM_Try, /*On fail goto*//*Label 16377*/ GIMT_Encode4(1116985), // Rule ID 62142 //
     /* 1116913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1116916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1116921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1116930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1116933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1116948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116952 */     // MIs[0] policy
     /* 1116952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116962 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1116965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116984 */     // GIR_Coverage, 62142,
     /* 1116984 */     GIR_EraseRootFromParent_Done,
     /* 1116985 */   // Label 16377: @1116985
     /* 1116985 */   GIM_Try, /*On fail goto*//*Label 16378*/ GIMT_Encode4(1117062), // Rule ID 62143 //
     /* 1116990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1116993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1116998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1117007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1117010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1117025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117029 */     // MIs[0] policy
     /* 1117029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117039 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1117042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117061 */     // GIR_Coverage, 62143,
     /* 1117061 */     GIR_EraseRootFromParent_Done,
     /* 1117062 */   // Label 16378: @1117062
     /* 1117062 */   GIM_Try, /*On fail goto*//*Label 16379*/ GIMT_Encode4(1117139), // Rule ID 62237 //
     /* 1117067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1117070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1117075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117106 */     // MIs[0] policy
     /* 1117106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117116 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11004:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1117119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117138 */     // GIR_Coverage, 62237,
     /* 1117138 */     GIR_EraseRootFromParent_Done,
     /* 1117139 */   // Label 16379: @1117139
     /* 1117139 */   GIM_Try, /*On fail goto*//*Label 16380*/ GIMT_Encode4(1117216), // Rule ID 62238 //
     /* 1117144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1117147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1117152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117183 */     // MIs[0] policy
     /* 1117183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117193 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11004:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1117196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117215 */     // GIR_Coverage, 62238,
     /* 1117215 */     GIR_EraseRootFromParent_Done,
     /* 1117216 */   // Label 16380: @1117216
     /* 1117216 */   GIM_Try, /*On fail goto*//*Label 16381*/ GIMT_Encode4(1117293), // Rule ID 63695 //
     /* 1117221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1117224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1117229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117260 */     // MIs[0] policy
     /* 1117260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117270 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11004:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1117273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117292 */     // GIR_Coverage, 63695,
     /* 1117292 */     GIR_EraseRootFromParent_Done,
     /* 1117293 */   // Label 16381: @1117293
     /* 1117293 */   GIM_Try, /*On fail goto*//*Label 16382*/ GIMT_Encode4(1117370), // Rule ID 63696 //
     /* 1117298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1117301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1117306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117337 */     // MIs[0] policy
     /* 1117337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117347 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11004:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1117350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117369 */     // GIR_Coverage, 63696,
     /* 1117369 */     GIR_EraseRootFromParent_Done,
     /* 1117370 */   // Label 16382: @1117370
     /* 1117370 */   GIM_Try, /*On fail goto*//*Label 16383*/ GIMT_Encode4(1117447), // Rule ID 63697 //
     /* 1117375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1117378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1117383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1117386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1117389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1117395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117414 */     // MIs[0] policy
     /* 1117414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117424 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11004:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1117427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117446 */     // GIR_Coverage, 63697,
     /* 1117446 */     GIR_EraseRootFromParent_Done,
     /* 1117447 */   // Label 16383: @1117447
     /* 1117447 */   GIM_Try, /*On fail goto*//*Label 16384*/ GIMT_Encode4(1117524), // Rule ID 63698 //
     /* 1117452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1117455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1117460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1117463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1117466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1117472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117491 */     // MIs[0] policy
     /* 1117491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117501 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11004:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1117504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117523 */     // GIR_Coverage, 63698,
     /* 1117523 */     GIR_EraseRootFromParent_Done,
     /* 1117524 */   // Label 16384: @1117524
     /* 1117524 */   GIM_Try, /*On fail goto*//*Label 16385*/ GIMT_Encode4(1117601), // Rule ID 63699 //
     /* 1117529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1117532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1117537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1117549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117568 */     // MIs[0] policy
     /* 1117568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117578 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11004:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1117581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117600 */     // GIR_Coverage, 63699,
     /* 1117600 */     GIR_EraseRootFromParent_Done,
     /* 1117601 */   // Label 16385: @1117601
     /* 1117601 */   GIM_Try, /*On fail goto*//*Label 16386*/ GIMT_Encode4(1117678), // Rule ID 63700 //
     /* 1117606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1117609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1117614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1117626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117645 */     // MIs[0] policy
     /* 1117645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117655 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11004:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1117658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117677 */     // GIR_Coverage, 63700,
     /* 1117677 */     GIR_EraseRootFromParent_Done,
     /* 1117678 */   // Label 16386: @1117678
     /* 1117678 */   GIM_Try, /*On fail goto*//*Label 16387*/ GIMT_Encode4(1117755), // Rule ID 63701 //
     /* 1117683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1117686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1117691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117722 */     // MIs[0] policy
     /* 1117722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117732 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11000:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1117735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117754 */     // GIR_Coverage, 63701,
     /* 1117754 */     GIR_EraseRootFromParent_Done,
     /* 1117755 */   // Label 16387: @1117755
     /* 1117755 */   GIM_Try, /*On fail goto*//*Label 16388*/ GIMT_Encode4(1117832), // Rule ID 63702 //
     /* 1117760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1117763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1117768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1117780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117799 */     // MIs[0] policy
     /* 1117799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117809 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11000:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1117812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117831 */     // GIR_Coverage, 63702,
     /* 1117831 */     GIR_EraseRootFromParent_Done,
     /* 1117832 */   // Label 16388: @1117832
     /* 1117832 */   GIM_Try, /*On fail goto*//*Label 16389*/ GIMT_Encode4(1117909), // Rule ID 63703 //
     /* 1117837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1117840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1117845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117876 */     // MIs[0] policy
     /* 1117876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117886 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11000:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1117889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117908 */     // GIR_Coverage, 63703,
     /* 1117908 */     GIR_EraseRootFromParent_Done,
     /* 1117909 */   // Label 16389: @1117909
     /* 1117909 */   GIM_Try, /*On fail goto*//*Label 16390*/ GIMT_Encode4(1117986), // Rule ID 63704 //
     /* 1117914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1117917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1117922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117953 */     // MIs[0] policy
     /* 1117953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117963 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11000:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1117966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117985 */     // GIR_Coverage, 63704,
     /* 1117985 */     GIR_EraseRootFromParent_Done,
     /* 1117986 */   // Label 16390: @1117986
     /* 1117986 */   GIM_Try, /*On fail goto*//*Label 16391*/ GIMT_Encode4(1118063), // Rule ID 63705 //
     /* 1117991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1117994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1117999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118030 */     // MIs[0] policy
     /* 1118030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118040 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11000:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1118043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118062 */     // GIR_Coverage, 63705,
     /* 1118062 */     GIR_EraseRootFromParent_Done,
     /* 1118063 */   // Label 16391: @1118063
     /* 1118063 */   GIM_Try, /*On fail goto*//*Label 16392*/ GIMT_Encode4(1118140), // Rule ID 63706 //
     /* 1118068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1118076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118107 */     // MIs[0] policy
     /* 1118107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118117 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11000:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1118120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118139 */     // GIR_Coverage, 63706,
     /* 1118139 */     GIR_EraseRootFromParent_Done,
     /* 1118140 */   // Label 16392: @1118140
     /* 1118140 */   GIM_Try, /*On fail goto*//*Label 16393*/ GIMT_Encode4(1118217), // Rule ID 63707 //
     /* 1118145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1118153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118184 */     // MIs[0] policy
     /* 1118184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118194 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11000:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1118197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118216 */     // GIR_Coverage, 63707,
     /* 1118216 */     GIR_EraseRootFromParent_Done,
     /* 1118217 */   // Label 16393: @1118217
     /* 1118217 */   GIM_Try, /*On fail goto*//*Label 16394*/ GIMT_Encode4(1118294), // Rule ID 63708 //
     /* 1118222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1118230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118261 */     // MIs[0] policy
     /* 1118261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11000:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1118274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118293 */     // GIR_Coverage, 63708,
     /* 1118293 */     GIR_EraseRootFromParent_Done,
     /* 1118294 */   // Label 16394: @1118294
     /* 1118294 */   GIM_Try, /*On fail goto*//*Label 16395*/ GIMT_Encode4(1118371), // Rule ID 63709 //
     /* 1118299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1118307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118338 */     // MIs[0] policy
     /* 1118338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118348 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11006:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1118351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118370 */     // GIR_Coverage, 63709,
     /* 1118370 */     GIR_EraseRootFromParent_Done,
     /* 1118371 */   // Label 16395: @1118371
     /* 1118371 */   GIM_Try, /*On fail goto*//*Label 16396*/ GIMT_Encode4(1118448), // Rule ID 63710 //
     /* 1118376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1118384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118415 */     // MIs[0] policy
     /* 1118415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118425 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11006:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1118428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118447 */     // GIR_Coverage, 63710,
     /* 1118447 */     GIR_EraseRootFromParent_Done,
     /* 1118448 */   // Label 16396: @1118448
     /* 1118448 */   GIM_Try, /*On fail goto*//*Label 16397*/ GIMT_Encode4(1118525), // Rule ID 63711 //
     /* 1118453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1118461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118492 */     // MIs[0] policy
     /* 1118492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118502 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11006:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1118505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118524 */     // GIR_Coverage, 63711,
     /* 1118524 */     GIR_EraseRootFromParent_Done,
     /* 1118525 */   // Label 16397: @1118525
     /* 1118525 */   GIM_Try, /*On fail goto*//*Label 16398*/ GIMT_Encode4(1118602), // Rule ID 63712 //
     /* 1118530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1118538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118569 */     // MIs[0] policy
     /* 1118569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118579 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11006:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1118582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118601 */     // GIR_Coverage, 63712,
     /* 1118601 */     GIR_EraseRootFromParent_Done,
     /* 1118602 */   // Label 16398: @1118602
     /* 1118602 */   GIM_Try, /*On fail goto*//*Label 16399*/ GIMT_Encode4(1118679), // Rule ID 63713 //
     /* 1118607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1118615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118646 */     // MIs[0] policy
     /* 1118646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118656 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11006:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1118659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118678 */     // GIR_Coverage, 63713,
     /* 1118678 */     GIR_EraseRootFromParent_Done,
     /* 1118679 */   // Label 16399: @1118679
     /* 1118679 */   GIM_Try, /*On fail goto*//*Label 16400*/ GIMT_Encode4(1118756), // Rule ID 63714 //
     /* 1118684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1118692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118723 */     // MIs[0] policy
     /* 1118723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118733 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11006:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1118736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118755 */     // GIR_Coverage, 63714,
     /* 1118755 */     GIR_EraseRootFromParent_Done,
     /* 1118756 */   // Label 16400: @1118756
     /* 1118756 */   GIM_Try, /*On fail goto*//*Label 16401*/ GIMT_Encode4(1118833), // Rule ID 63715 //
     /* 1118761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1118769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118800 */     // MIs[0] policy
     /* 1118800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118810 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11006:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1118813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118832 */     // GIR_Coverage, 63715,
     /* 1118832 */     GIR_EraseRootFromParent_Done,
     /* 1118833 */   // Label 16401: @1118833
     /* 1118833 */   GIM_Try, /*On fail goto*//*Label 16402*/ GIMT_Encode4(1118910), // Rule ID 63716 //
     /* 1118838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1118846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118877 */     // MIs[0] policy
     /* 1118877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118887 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11006:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1118890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118909 */     // GIR_Coverage, 63716,
     /* 1118909 */     GIR_EraseRootFromParent_Done,
     /* 1118910 */   // Label 16402: @1118910
     /* 1118910 */   GIM_Try, /*On fail goto*//*Label 16403*/ GIMT_Encode4(1118987), // Rule ID 63717 //
     /* 1118915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1118918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1118923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118954 */     // MIs[0] policy
     /* 1118954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118964 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11002:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1118967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118986 */     // GIR_Coverage, 63717,
     /* 1118986 */     GIR_EraseRootFromParent_Done,
     /* 1118987 */   // Label 16403: @1118987
     /* 1118987 */   GIM_Try, /*On fail goto*//*Label 16404*/ GIMT_Encode4(1119064), // Rule ID 63718 //
     /* 1118992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1118995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1119000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119031 */     // MIs[0] policy
     /* 1119031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119041 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11002:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1119044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119063 */     // GIR_Coverage, 63718,
     /* 1119063 */     GIR_EraseRootFromParent_Done,
     /* 1119064 */   // Label 16404: @1119064
     /* 1119064 */   GIM_Try, /*On fail goto*//*Label 16405*/ GIMT_Encode4(1119141), // Rule ID 63719 //
     /* 1119069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1119077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119108 */     // MIs[0] policy
     /* 1119108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119118 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11002:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1119121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119140 */     // GIR_Coverage, 63719,
     /* 1119140 */     GIR_EraseRootFromParent_Done,
     /* 1119141 */   // Label 16405: @1119141
     /* 1119141 */   GIM_Try, /*On fail goto*//*Label 16406*/ GIMT_Encode4(1119218), // Rule ID 63720 //
     /* 1119146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1119154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119185 */     // MIs[0] policy
     /* 1119185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119195 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11002:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1119198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119217 */     // GIR_Coverage, 63720,
     /* 1119217 */     GIR_EraseRootFromParent_Done,
     /* 1119218 */   // Label 16406: @1119218
     /* 1119218 */   GIM_Try, /*On fail goto*//*Label 16407*/ GIMT_Encode4(1119295), // Rule ID 63721 //
     /* 1119223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1119231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119262 */     // MIs[0] policy
     /* 1119262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119272 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11002:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1119275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119294 */     // GIR_Coverage, 63721,
     /* 1119294 */     GIR_EraseRootFromParent_Done,
     /* 1119295 */   // Label 16407: @1119295
     /* 1119295 */   GIM_Try, /*On fail goto*//*Label 16408*/ GIMT_Encode4(1119372), // Rule ID 63722 //
     /* 1119300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1119308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119339 */     // MIs[0] policy
     /* 1119339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119349 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11002:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1119352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119371 */     // GIR_Coverage, 63722,
     /* 1119371 */     GIR_EraseRootFromParent_Done,
     /* 1119372 */   // Label 16408: @1119372
     /* 1119372 */   GIM_Try, /*On fail goto*//*Label 16409*/ GIMT_Encode4(1119449), // Rule ID 63723 //
     /* 1119377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1119380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1119385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119416 */     // MIs[0] policy
     /* 1119416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119426 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11002:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1119429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119448 */     // GIR_Coverage, 63723,
     /* 1119448 */     GIR_EraseRootFromParent_Done,
     /* 1119449 */   // Label 16409: @1119449
     /* 1119449 */   GIM_Try, /*On fail goto*//*Label 16410*/ GIMT_Encode4(1119526), // Rule ID 63724 //
     /* 1119454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1119457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1119462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119493 */     // MIs[0] policy
     /* 1119493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119503 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11002:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1119506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119525 */     // GIR_Coverage, 63724,
     /* 1119525 */     GIR_EraseRootFromParent_Done,
     /* 1119526 */   // Label 16410: @1119526
     /* 1119526 */   GIM_Try, /*On fail goto*//*Label 16411*/ GIMT_Encode4(1119603), // Rule ID 63725 //
     /* 1119531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1119534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1119539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1119551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119570 */     // MIs[0] policy
     /* 1119570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119580 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11005:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1119583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119602 */     // GIR_Coverage, 63725,
     /* 1119602 */     GIR_EraseRootFromParent_Done,
     /* 1119603 */   // Label 16411: @1119603
     /* 1119603 */   GIM_Try, /*On fail goto*//*Label 16412*/ GIMT_Encode4(1119680), // Rule ID 63726 //
     /* 1119608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1119611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1119616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1119628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119647 */     // MIs[0] policy
     /* 1119647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119657 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11005:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1119660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119679 */     // GIR_Coverage, 63726,
     /* 1119679 */     GIR_EraseRootFromParent_Done,
     /* 1119680 */   // Label 16412: @1119680
     /* 1119680 */   GIM_Try, /*On fail goto*//*Label 16413*/ GIMT_Encode4(1119757), // Rule ID 63727 //
     /* 1119685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1119688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1119693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119724 */     // MIs[0] policy
     /* 1119724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11005:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1119737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119756 */     // GIR_Coverage, 63727,
     /* 1119756 */     GIR_EraseRootFromParent_Done,
     /* 1119757 */   // Label 16413: @1119757
     /* 1119757 */   GIM_Try, /*On fail goto*//*Label 16414*/ GIMT_Encode4(1119834), // Rule ID 63728 //
     /* 1119762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1119765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1119770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119801 */     // MIs[0] policy
     /* 1119801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119811 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11005:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1119814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119833 */     // GIR_Coverage, 63728,
     /* 1119833 */     GIR_EraseRootFromParent_Done,
     /* 1119834 */   // Label 16414: @1119834
     /* 1119834 */   GIM_Try, /*On fail goto*//*Label 16415*/ GIMT_Encode4(1119911), // Rule ID 63729 //
     /* 1119839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1119842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1119847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119878 */     // MIs[0] policy
     /* 1119878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119888 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11005:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1119891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119910 */     // GIR_Coverage, 63729,
     /* 1119910 */     GIR_EraseRootFromParent_Done,
     /* 1119911 */   // Label 16415: @1119911
     /* 1119911 */   GIM_Try, /*On fail goto*//*Label 16416*/ GIMT_Encode4(1119988), // Rule ID 63730 //
     /* 1119916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1119919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1119924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119955 */     // MIs[0] policy
     /* 1119955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119965 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11005:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1119968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119987 */     // GIR_Coverage, 63730,
     /* 1119987 */     GIR_EraseRootFromParent_Done,
     /* 1119988 */   // Label 16416: @1119988
     /* 1119988 */   GIM_Try, /*On fail goto*//*Label 16417*/ GIMT_Encode4(1120065), // Rule ID 63731 //
     /* 1119993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1119996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1120001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120032 */     // MIs[0] policy
     /* 1120032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120042 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11005:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1120045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120064 */     // GIR_Coverage, 63731,
     /* 1120064 */     GIR_EraseRootFromParent_Done,
     /* 1120065 */   // Label 16417: @1120065
     /* 1120065 */   GIM_Try, /*On fail goto*//*Label 16418*/ GIMT_Encode4(1120142), // Rule ID 63732 //
     /* 1120070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1120073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1120078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120109 */     // MIs[0] policy
     /* 1120109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120119 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11005:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1120122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120141 */     // GIR_Coverage, 63732,
     /* 1120141 */     GIR_EraseRootFromParent_Done,
     /* 1120142 */   // Label 16418: @1120142
     /* 1120142 */   GIM_Try, /*On fail goto*//*Label 16419*/ GIMT_Encode4(1120219), // Rule ID 63733 //
     /* 1120147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1120150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1120155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1120167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120186 */     // MIs[0] policy
     /* 1120186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120196 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11001:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1120199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120218 */     // GIR_Coverage, 63733,
     /* 1120218 */     GIR_EraseRootFromParent_Done,
     /* 1120219 */   // Label 16419: @1120219
     /* 1120219 */   GIM_Try, /*On fail goto*//*Label 16420*/ GIMT_Encode4(1120296), // Rule ID 63734 //
     /* 1120224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1120227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1120232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1120244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120263 */     // MIs[0] policy
     /* 1120263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120273 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11001:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1120276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120295 */     // GIR_Coverage, 63734,
     /* 1120295 */     GIR_EraseRootFromParent_Done,
     /* 1120296 */   // Label 16420: @1120296
     /* 1120296 */   GIM_Try, /*On fail goto*//*Label 16421*/ GIMT_Encode4(1120373), // Rule ID 63735 //
     /* 1120301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1120304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1120309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120340 */     // MIs[0] policy
     /* 1120340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120350 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11001:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1120353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120372 */     // GIR_Coverage, 63735,
     /* 1120372 */     GIR_EraseRootFromParent_Done,
     /* 1120373 */   // Label 16421: @1120373
     /* 1120373 */   GIM_Try, /*On fail goto*//*Label 16422*/ GIMT_Encode4(1120450), // Rule ID 63736 //
     /* 1120378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1120381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1120386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120417 */     // MIs[0] policy
     /* 1120417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120427 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11001:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1120430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120449 */     // GIR_Coverage, 63736,
     /* 1120449 */     GIR_EraseRootFromParent_Done,
     /* 1120450 */   // Label 16422: @1120450
     /* 1120450 */   GIM_Try, /*On fail goto*//*Label 16423*/ GIMT_Encode4(1120527), // Rule ID 63737 //
     /* 1120455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1120458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1120463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120494 */     // MIs[0] policy
     /* 1120494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120504 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11001:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1120507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120526 */     // GIR_Coverage, 63737,
     /* 1120526 */     GIR_EraseRootFromParent_Done,
     /* 1120527 */   // Label 16423: @1120527
     /* 1120527 */   GIM_Try, /*On fail goto*//*Label 16424*/ GIMT_Encode4(1120604), // Rule ID 63738 //
     /* 1120532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1120535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1120540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120571 */     // MIs[0] policy
     /* 1120571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120581 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11001:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1120584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120603 */     // GIR_Coverage, 63738,
     /* 1120603 */     GIR_EraseRootFromParent_Done,
     /* 1120604 */   // Label 16424: @1120604
     /* 1120604 */   GIM_Try, /*On fail goto*//*Label 16425*/ GIMT_Encode4(1120681), // Rule ID 63739 //
     /* 1120609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1120612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1120617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120648 */     // MIs[0] policy
     /* 1120648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120658 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11001:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1120661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120680 */     // GIR_Coverage, 63739,
     /* 1120680 */     GIR_EraseRootFromParent_Done,
     /* 1120681 */   // Label 16425: @1120681
     /* 1120681 */   GIM_Try, /*On fail goto*//*Label 16426*/ GIMT_Encode4(1120758), // Rule ID 63740 //
     /* 1120686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1120689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1120694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120725 */     // MIs[0] policy
     /* 1120725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120735 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11001:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1120738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120757 */     // GIR_Coverage, 63740,
     /* 1120757 */     GIR_EraseRootFromParent_Done,
     /* 1120758 */   // Label 16426: @1120758
     /* 1120758 */   GIM_Try, /*On fail goto*//*Label 16427*/ GIMT_Encode4(1120835), // Rule ID 63741 //
     /* 1120763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1120766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1120771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1120783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120802 */     // MIs[0] policy
     /* 1120802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11007:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1120815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120834 */     // GIR_Coverage, 63741,
     /* 1120834 */     GIR_EraseRootFromParent_Done,
     /* 1120835 */   // Label 16427: @1120835
     /* 1120835 */   GIM_Try, /*On fail goto*//*Label 16428*/ GIMT_Encode4(1120912), // Rule ID 63742 //
     /* 1120840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1120843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1120848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1120860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120879 */     // MIs[0] policy
     /* 1120879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120889 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11007:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1120892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120911 */     // GIR_Coverage, 63742,
     /* 1120911 */     GIR_EraseRootFromParent_Done,
     /* 1120912 */   // Label 16428: @1120912
     /* 1120912 */   GIM_Try, /*On fail goto*//*Label 16429*/ GIMT_Encode4(1120989), // Rule ID 63743 //
     /* 1120917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1120920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1120925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1120934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120956 */     // MIs[0] policy
     /* 1120956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120966 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11007:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1120969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1120985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120988 */     // GIR_Coverage, 63743,
     /* 1120988 */     GIR_EraseRootFromParent_Done,
     /* 1120989 */   // Label 16429: @1120989
     /* 1120989 */   GIM_Try, /*On fail goto*//*Label 16430*/ GIMT_Encode4(1121066), // Rule ID 63744 //
     /* 1120994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1120997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1121002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121033 */     // MIs[0] policy
     /* 1121033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11007:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1121046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121065 */     // GIR_Coverage, 63744,
     /* 1121065 */     GIR_EraseRootFromParent_Done,
     /* 1121066 */   // Label 16430: @1121066
     /* 1121066 */   GIM_Try, /*On fail goto*//*Label 16431*/ GIMT_Encode4(1121143), // Rule ID 63745 //
     /* 1121071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1121079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121110 */     // MIs[0] policy
     /* 1121110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121120 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11007:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1121123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121142 */     // GIR_Coverage, 63745,
     /* 1121142 */     GIR_EraseRootFromParent_Done,
     /* 1121143 */   // Label 16431: @1121143
     /* 1121143 */   GIM_Try, /*On fail goto*//*Label 16432*/ GIMT_Encode4(1121220), // Rule ID 63746 //
     /* 1121148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1121156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121187 */     // MIs[0] policy
     /* 1121187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121197 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11007:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1121200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121219 */     // GIR_Coverage, 63746,
     /* 1121219 */     GIR_EraseRootFromParent_Done,
     /* 1121220 */   // Label 16432: @1121220
     /* 1121220 */   GIM_Try, /*On fail goto*//*Label 16433*/ GIMT_Encode4(1121297), // Rule ID 63747 //
     /* 1121225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1121233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121264 */     // MIs[0] policy
     /* 1121264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121274 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11007:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1121277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121296 */     // GIR_Coverage, 63747,
     /* 1121296 */     GIR_EraseRootFromParent_Done,
     /* 1121297 */   // Label 16433: @1121297
     /* 1121297 */   GIM_Try, /*On fail goto*//*Label 16434*/ GIMT_Encode4(1121374), // Rule ID 63748 //
     /* 1121302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1121310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121341 */     // MIs[0] policy
     /* 1121341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121351 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11007:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1121354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121373 */     // GIR_Coverage, 63748,
     /* 1121373 */     GIR_EraseRootFromParent_Done,
     /* 1121374 */   // Label 16434: @1121374
     /* 1121374 */   GIM_Try, /*On fail goto*//*Label 16435*/ GIMT_Encode4(1121451), // Rule ID 63749 //
     /* 1121379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1121387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121418 */     // MIs[0] policy
     /* 1121418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121428 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11003:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1121431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121450 */     // GIR_Coverage, 63749,
     /* 1121450 */     GIR_EraseRootFromParent_Done,
     /* 1121451 */   // Label 16435: @1121451
     /* 1121451 */   GIM_Try, /*On fail goto*//*Label 16436*/ GIMT_Encode4(1121528), // Rule ID 63750 //
     /* 1121456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1121464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121495 */     // MIs[0] policy
     /* 1121495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121505 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11003:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1121508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121527 */     // GIR_Coverage, 63750,
     /* 1121527 */     GIR_EraseRootFromParent_Done,
     /* 1121528 */   // Label 16436: @1121528
     /* 1121528 */   GIM_Try, /*On fail goto*//*Label 16437*/ GIMT_Encode4(1121605), // Rule ID 63751 //
     /* 1121533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1121541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121572 */     // MIs[0] policy
     /* 1121572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121582 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11003:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1121585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121604 */     // GIR_Coverage, 63751,
     /* 1121604 */     GIR_EraseRootFromParent_Done,
     /* 1121605 */   // Label 16437: @1121605
     /* 1121605 */   GIM_Try, /*On fail goto*//*Label 16438*/ GIMT_Encode4(1121682), // Rule ID 63752 //
     /* 1121610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1121618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121649 */     // MIs[0] policy
     /* 1121649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121659 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11003:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1121662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121681 */     // GIR_Coverage, 63752,
     /* 1121681 */     GIR_EraseRootFromParent_Done,
     /* 1121682 */   // Label 16438: @1121682
     /* 1121682 */   GIM_Try, /*On fail goto*//*Label 16439*/ GIMT_Encode4(1121759), // Rule ID 63753 //
     /* 1121687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1121695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121726 */     // MIs[0] policy
     /* 1121726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121736 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11003:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1121739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121758 */     // GIR_Coverage, 63753,
     /* 1121758 */     GIR_EraseRootFromParent_Done,
     /* 1121759 */   // Label 16439: @1121759
     /* 1121759 */   GIM_Try, /*On fail goto*//*Label 16440*/ GIMT_Encode4(1121836), // Rule ID 63754 //
     /* 1121764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1121772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121803 */     // MIs[0] policy
     /* 1121803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121813 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11003:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1121816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121835 */     // GIR_Coverage, 63754,
     /* 1121835 */     GIR_EraseRootFromParent_Done,
     /* 1121836 */   // Label 16440: @1121836
     /* 1121836 */   GIM_Try, /*On fail goto*//*Label 16441*/ GIMT_Encode4(1121913), // Rule ID 63755 //
     /* 1121841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1121844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1121849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121880 */     // MIs[0] policy
     /* 1121880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121890 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11003:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1121893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121912 */     // GIR_Coverage, 63755,
     /* 1121912 */     GIR_EraseRootFromParent_Done,
     /* 1121913 */   // Label 16441: @1121913
     /* 1121913 */   GIM_Try, /*On fail goto*//*Label 16442*/ GIMT_Encode4(1121990), // Rule ID 63756 //
     /* 1121918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1121921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1121926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121957 */     // MIs[0] policy
     /* 1121957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121967 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11003:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1121970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121989 */     // GIR_Coverage, 63756,
     /* 1121989 */     GIR_EraseRootFromParent_Done,
     /* 1121990 */   // Label 16442: @1121990
     /* 1121990 */   GIM_Try, /*On fail goto*//*Label 16443*/ GIMT_Encode4(1122070), // Rule ID 2583 //
     /* 1121995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1121998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1122006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1122009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1122012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1122015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122034 */     // MIs[0] round
     /* 1122034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122044 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1122047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122069 */     // GIR_Coverage, 2583,
     /* 1122069 */     GIR_EraseRootFromParent_Done,
     /* 1122070 */   // Label 16443: @1122070
     /* 1122070 */   GIM_Try, /*On fail goto*//*Label 16444*/ GIMT_Encode4(1122150), // Rule ID 2584 //
     /* 1122075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1122078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1122086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1122089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1122092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1122095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122114 */     // MIs[0] round
     /* 1122114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122124 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1122127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122149 */     // GIR_Coverage, 2584,
     /* 1122149 */     GIR_EraseRootFromParent_Done,
     /* 1122150 */   // Label 16444: @1122150
     /* 1122150 */   GIM_Try, /*On fail goto*//*Label 16445*/ GIMT_Encode4(1122230), // Rule ID 2623 //
     /* 1122155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1122158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1122163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1122166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1122169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1122172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1122175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122194 */     // MIs[0] round
     /* 1122194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122204 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1122207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122229 */     // GIR_Coverage, 2623,
     /* 1122229 */     GIR_EraseRootFromParent_Done,
     /* 1122230 */   // Label 16445: @1122230
     /* 1122230 */   GIM_Try, /*On fail goto*//*Label 16446*/ GIMT_Encode4(1122310), // Rule ID 2624 //
     /* 1122235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1122238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1122243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1122246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1122249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1122252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1122255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122274 */     // MIs[0] round
     /* 1122274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122284 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1122287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122309 */     // GIR_Coverage, 2624,
     /* 1122309 */     GIR_EraseRootFromParent_Done,
     /* 1122310 */   // Label 16446: @1122310
     /* 1122310 */   GIM_Try, /*On fail goto*//*Label 16447*/ GIMT_Encode4(1122390), // Rule ID 2643 //
     /* 1122315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1122318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1122323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1122326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1122329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1122332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1122335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122354 */     // MIs[0] round
     /* 1122354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122364 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1122367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122389 */     // GIR_Coverage, 2643,
     /* 1122389 */     GIR_EraseRootFromParent_Done,
     /* 1122390 */   // Label 16447: @1122390
     /* 1122390 */   GIM_Try, /*On fail goto*//*Label 16448*/ GIMT_Encode4(1122470), // Rule ID 2644 //
     /* 1122395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1122398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1122403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1122406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1122409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1122412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1122415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122434 */     // MIs[0] round
     /* 1122434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122444 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1122447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122469 */     // GIR_Coverage, 2644,
     /* 1122469 */     GIR_EraseRootFromParent_Done,
     /* 1122470 */   // Label 16448: @1122470
     /* 1122470 */   GIM_Try, /*On fail goto*//*Label 16449*/ GIMT_Encode4(1122550), // Rule ID 14785 //
     /* 1122475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1122478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1122486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1122489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1122492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1122495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122514 */     // MIs[0] round
     /* 1122514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122524 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1122527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122549 */     // GIR_Coverage, 14785,
     /* 1122549 */     GIR_EraseRootFromParent_Done,
     /* 1122550 */   // Label 16449: @1122550
     /* 1122550 */   GIM_Try, /*On fail goto*//*Label 16450*/ GIMT_Encode4(1122630), // Rule ID 14786 //
     /* 1122555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1122558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1122566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1122569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1122572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1122575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122594 */     // MIs[0] round
     /* 1122594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122604 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1122607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122629 */     // GIR_Coverage, 14786,
     /* 1122629 */     GIR_EraseRootFromParent_Done,
     /* 1122630 */   // Label 16450: @1122630
     /* 1122630 */   GIM_Try, /*On fail goto*//*Label 16451*/ GIMT_Encode4(1122710), // Rule ID 14789 //
     /* 1122635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1122638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1122646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1122649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1122652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122674 */     // MIs[0] round
     /* 1122674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122684 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1122687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122709 */     // GIR_Coverage, 14789,
     /* 1122709 */     GIR_EraseRootFromParent_Done,
     /* 1122710 */   // Label 16451: @1122710
     /* 1122710 */   GIM_Try, /*On fail goto*//*Label 16452*/ GIMT_Encode4(1122790), // Rule ID 14790 //
     /* 1122715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1122718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1122726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1122729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1122732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122754 */     // MIs[0] round
     /* 1122754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122764 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1122767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122789 */     // GIR_Coverage, 14790,
     /* 1122789 */     GIR_EraseRootFromParent_Done,
     /* 1122790 */   // Label 16452: @1122790
     /* 1122790 */   GIM_Try, /*On fail goto*//*Label 16453*/ GIMT_Encode4(1122870), // Rule ID 14793 //
     /* 1122795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1122798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1122806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1122809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1122812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1122815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122834 */     // MIs[0] round
     /* 1122834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122844 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1122847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122869 */     // GIR_Coverage, 14793,
     /* 1122869 */     GIR_EraseRootFromParent_Done,
     /* 1122870 */   // Label 16453: @1122870
     /* 1122870 */   GIM_Try, /*On fail goto*//*Label 16454*/ GIMT_Encode4(1122950), // Rule ID 14794 //
     /* 1122875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1122878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1122886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1122889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1122892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1122895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122914 */     // MIs[0] round
     /* 1122914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122924 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1122927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122949 */     // GIR_Coverage, 14794,
     /* 1122949 */     GIR_EraseRootFromParent_Done,
     /* 1122950 */   // Label 16454: @1122950
     /* 1122950 */   GIM_Try, /*On fail goto*//*Label 16455*/ GIMT_Encode4(1123030), // Rule ID 14797 //
     /* 1122955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1122958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1122966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1122969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1122972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1122975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122994 */     // MIs[0] round
     /* 1122994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123004 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1123007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123029 */     // GIR_Coverage, 14797,
     /* 1123029 */     GIR_EraseRootFromParent_Done,
     /* 1123030 */   // Label 16455: @1123030
     /* 1123030 */   GIM_Try, /*On fail goto*//*Label 16456*/ GIMT_Encode4(1123110), // Rule ID 14798 //
     /* 1123035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1123046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1123049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1123052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1123055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123074 */     // MIs[0] round
     /* 1123074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123084 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1123087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123109 */     // GIR_Coverage, 14798,
     /* 1123109 */     GIR_EraseRootFromParent_Done,
     /* 1123110 */   // Label 16456: @1123110
     /* 1123110 */   GIM_Try, /*On fail goto*//*Label 16457*/ GIMT_Encode4(1123190), // Rule ID 14801 //
     /* 1123115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1123126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1123129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1123132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1123135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123154 */     // MIs[0] round
     /* 1123154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123164 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1123167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123189 */     // GIR_Coverage, 14801,
     /* 1123189 */     GIR_EraseRootFromParent_Done,
     /* 1123190 */   // Label 16457: @1123190
     /* 1123190 */   GIM_Try, /*On fail goto*//*Label 16458*/ GIMT_Encode4(1123270), // Rule ID 14802 //
     /* 1123195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1123206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1123209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1123212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1123215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123234 */     // MIs[0] round
     /* 1123234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123244 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1123247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123269 */     // GIR_Coverage, 14802,
     /* 1123269 */     GIR_EraseRootFromParent_Done,
     /* 1123270 */   // Label 16458: @1123270
     /* 1123270 */   GIM_Try, /*On fail goto*//*Label 16459*/ GIMT_Encode4(1123350), // Rule ID 14805 //
     /* 1123275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1123286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1123289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1123295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123314 */     // MIs[0] round
     /* 1123314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123324 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1123327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123349 */     // GIR_Coverage, 14805,
     /* 1123349 */     GIR_EraseRootFromParent_Done,
     /* 1123350 */   // Label 16459: @1123350
     /* 1123350 */   GIM_Try, /*On fail goto*//*Label 16460*/ GIMT_Encode4(1123430), // Rule ID 14806 //
     /* 1123355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1123366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1123369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1123375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123394 */     // MIs[0] round
     /* 1123394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123404 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1123407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123429 */     // GIR_Coverage, 14806,
     /* 1123429 */     GIR_EraseRootFromParent_Done,
     /* 1123430 */   // Label 16460: @1123430
     /* 1123430 */   GIM_Try, /*On fail goto*//*Label 16461*/ GIMT_Encode4(1123510), // Rule ID 14809 //
     /* 1123435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1123446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1123449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1123452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1123455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123474 */     // MIs[0] round
     /* 1123474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123484 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1123487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123509 */     // GIR_Coverage, 14809,
     /* 1123509 */     GIR_EraseRootFromParent_Done,
     /* 1123510 */   // Label 16461: @1123510
     /* 1123510 */   GIM_Try, /*On fail goto*//*Label 16462*/ GIMT_Encode4(1123590), // Rule ID 14810 //
     /* 1123515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1123526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1123529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1123532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1123535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123554 */     // MIs[0] round
     /* 1123554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1123567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123589 */     // GIR_Coverage, 14810,
     /* 1123589 */     GIR_EraseRootFromParent_Done,
     /* 1123590 */   // Label 16462: @1123590
     /* 1123590 */   GIM_Try, /*On fail goto*//*Label 16463*/ GIMT_Encode4(1123670), // Rule ID 14813 //
     /* 1123595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1123606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1123609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1123612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1123615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123634 */     // MIs[0] round
     /* 1123634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123644 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1123647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123669 */     // GIR_Coverage, 14813,
     /* 1123669 */     GIR_EraseRootFromParent_Done,
     /* 1123670 */   // Label 16463: @1123670
     /* 1123670 */   GIM_Try, /*On fail goto*//*Label 16464*/ GIMT_Encode4(1123750), // Rule ID 14814 //
     /* 1123675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1123686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1123689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1123692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1123695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123714 */     // MIs[0] round
     /* 1123714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1123727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123749 */     // GIR_Coverage, 14814,
     /* 1123749 */     GIR_EraseRootFromParent_Done,
     /* 1123750 */   // Label 16464: @1123750
     /* 1123750 */   GIM_Try, /*On fail goto*//*Label 16465*/ GIMT_Encode4(1123830), // Rule ID 14817 //
     /* 1123755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1123758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1123766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1123769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1123772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1123775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123794 */     // MIs[0] round
     /* 1123794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123804 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1123807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1123825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123829 */     // GIR_Coverage, 14817,
     /* 1123829 */     GIR_EraseRootFromParent_Done,
     /* 1123830 */   // Label 16465: @1123830
     /* 1123830 */   GIM_Try, /*On fail goto*//*Label 16466*/ GIMT_Encode4(1123910), // Rule ID 14818 //
     /* 1123835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1123838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1123846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1123849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1123852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1123855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123874 */     // MIs[0] round
     /* 1123874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123884 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1123887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1123905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123909 */     // GIR_Coverage, 14818,
     /* 1123909 */     GIR_EraseRootFromParent_Done,
     /* 1123910 */   // Label 16466: @1123910
     /* 1123910 */   GIM_Try, /*On fail goto*//*Label 16467*/ GIMT_Encode4(1123990), // Rule ID 14821 //
     /* 1123915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1123926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1123929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1123932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123954 */     // MIs[0] round
     /* 1123954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123964 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1123967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123989 */     // GIR_Coverage, 14821,
     /* 1123989 */     GIR_EraseRootFromParent_Done,
     /* 1123990 */   // Label 16467: @1123990
     /* 1123990 */   GIM_Try, /*On fail goto*//*Label 16468*/ GIMT_Encode4(1124070), // Rule ID 14822 //
     /* 1123995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1124006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1124009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1124012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1124015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124034 */     // MIs[0] round
     /* 1124034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124044 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1124047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124069 */     // GIR_Coverage, 14822,
     /* 1124069 */     GIR_EraseRootFromParent_Done,
     /* 1124070 */   // Label 16468: @1124070
     /* 1124070 */   GIM_Try, /*On fail goto*//*Label 16469*/ GIMT_Encode4(1124150), // Rule ID 14825 //
     /* 1124075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1124086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1124089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1124092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1124095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124114 */     // MIs[0] round
     /* 1124114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124124 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1124127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124149 */     // GIR_Coverage, 14825,
     /* 1124149 */     GIR_EraseRootFromParent_Done,
     /* 1124150 */   // Label 16469: @1124150
     /* 1124150 */   GIM_Try, /*On fail goto*//*Label 16470*/ GIMT_Encode4(1124230), // Rule ID 14826 //
     /* 1124155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1124166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1124169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1124172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1124175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124194 */     // MIs[0] round
     /* 1124194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124204 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1124207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124229 */     // GIR_Coverage, 14826,
     /* 1124229 */     GIR_EraseRootFromParent_Done,
     /* 1124230 */   // Label 16470: @1124230
     /* 1124230 */   GIM_Try, /*On fail goto*//*Label 16471*/ GIMT_Encode4(1124310), // Rule ID 14829 //
     /* 1124235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1124246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1124249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1124252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1124255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124274 */     // MIs[0] round
     /* 1124274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124284 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1124287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124309 */     // GIR_Coverage, 14829,
     /* 1124309 */     GIR_EraseRootFromParent_Done,
     /* 1124310 */   // Label 16471: @1124310
     /* 1124310 */   GIM_Try, /*On fail goto*//*Label 16472*/ GIMT_Encode4(1124390), // Rule ID 14830 //
     /* 1124315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1124326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1124329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1124332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1124335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124354 */     // MIs[0] round
     /* 1124354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124364 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1124367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124389 */     // GIR_Coverage, 14830,
     /* 1124389 */     GIR_EraseRootFromParent_Done,
     /* 1124390 */   // Label 16472: @1124390
     /* 1124390 */   GIM_Try, /*On fail goto*//*Label 16473*/ GIMT_Encode4(1124470), // Rule ID 14833 //
     /* 1124395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1124406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1124409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1124412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1124415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124434 */     // MIs[0] round
     /* 1124434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1124447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124469 */     // GIR_Coverage, 14833,
     /* 1124469 */     GIR_EraseRootFromParent_Done,
     /* 1124470 */   // Label 16473: @1124470
     /* 1124470 */   GIM_Try, /*On fail goto*//*Label 16474*/ GIMT_Encode4(1124550), // Rule ID 14834 //
     /* 1124475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1124486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1124489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1124492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1124495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124514 */     // MIs[0] round
     /* 1124514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1124527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124549 */     // GIR_Coverage, 14834,
     /* 1124549 */     GIR_EraseRootFromParent_Done,
     /* 1124550 */   // Label 16474: @1124550
     /* 1124550 */   GIM_Try, /*On fail goto*//*Label 16475*/ GIMT_Encode4(1124630), // Rule ID 14837 //
     /* 1124555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1124566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1124569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1124572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1124575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124594 */     // MIs[0] round
     /* 1124594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124604 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1124607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124629 */     // GIR_Coverage, 14837,
     /* 1124629 */     GIR_EraseRootFromParent_Done,
     /* 1124630 */   // Label 16475: @1124630
     /* 1124630 */   GIM_Try, /*On fail goto*//*Label 16476*/ GIMT_Encode4(1124710), // Rule ID 14838 //
     /* 1124635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1124646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1124649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1124652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1124655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124674 */     // MIs[0] round
     /* 1124674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124684 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1124687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124709 */     // GIR_Coverage, 14838,
     /* 1124709 */     GIR_EraseRootFromParent_Done,
     /* 1124710 */   // Label 16476: @1124710
     /* 1124710 */   GIM_Try, /*On fail goto*//*Label 16477*/ GIMT_Encode4(1124790), // Rule ID 14841 //
     /* 1124715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1124726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1124729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1124732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1124735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124754 */     // MIs[0] round
     /* 1124754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124764 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1124767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124789 */     // GIR_Coverage, 14841,
     /* 1124789 */     GIR_EraseRootFromParent_Done,
     /* 1124790 */   // Label 16477: @1124790
     /* 1124790 */   GIM_Try, /*On fail goto*//*Label 16478*/ GIMT_Encode4(1124870), // Rule ID 14842 //
     /* 1124795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1124806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1124809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1124812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1124815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124834 */     // MIs[0] round
     /* 1124834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124844 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1124847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124869 */     // GIR_Coverage, 14842,
     /* 1124869 */     GIR_EraseRootFromParent_Done,
     /* 1124870 */   // Label 16478: @1124870
     /* 1124870 */   GIM_Try, /*On fail goto*//*Label 16479*/ GIMT_Encode4(1124950), // Rule ID 14845 //
     /* 1124875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1124886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1124889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1124892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1124895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124914 */     // MIs[0] round
     /* 1124914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124924 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1124927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124949 */     // GIR_Coverage, 14845,
     /* 1124949 */     GIR_EraseRootFromParent_Done,
     /* 1124950 */   // Label 16479: @1124950
     /* 1124950 */   GIM_Try, /*On fail goto*//*Label 16480*/ GIMT_Encode4(1125030), // Rule ID 14846 //
     /* 1124955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1124966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1124969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1124972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1124975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124994 */     // MIs[0] round
     /* 1124994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125004 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1125007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125029 */     // GIR_Coverage, 14846,
     /* 1125029 */     GIR_EraseRootFromParent_Done,
     /* 1125030 */   // Label 16480: @1125030
     /* 1125030 */   GIM_Try, /*On fail goto*//*Label 16481*/ GIMT_Encode4(1125110), // Rule ID 14849 //
     /* 1125035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1125046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1125049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1125052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1125055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125074 */     // MIs[0] round
     /* 1125074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125084 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1125087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125109 */     // GIR_Coverage, 14849,
     /* 1125109 */     GIR_EraseRootFromParent_Done,
     /* 1125110 */   // Label 16481: @1125110
     /* 1125110 */   GIM_Try, /*On fail goto*//*Label 16482*/ GIMT_Encode4(1125190), // Rule ID 14850 //
     /* 1125115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1125126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1125129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1125132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1125135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125154 */     // MIs[0] round
     /* 1125154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125164 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1125167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125189 */     // GIR_Coverage, 14850,
     /* 1125189 */     GIR_EraseRootFromParent_Done,
     /* 1125190 */   // Label 16482: @1125190
     /* 1125190 */   GIM_Try, /*On fail goto*//*Label 16483*/ GIMT_Encode4(1125270), // Rule ID 14853 //
     /* 1125195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1125206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1125209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1125212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1125215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125234 */     // MIs[0] round
     /* 1125234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125244 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1125247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125269 */     // GIR_Coverage, 14853,
     /* 1125269 */     GIR_EraseRootFromParent_Done,
     /* 1125270 */   // Label 16483: @1125270
     /* 1125270 */   GIM_Try, /*On fail goto*//*Label 16484*/ GIMT_Encode4(1125350), // Rule ID 14854 //
     /* 1125275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1125286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1125289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1125292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1125295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125314 */     // MIs[0] round
     /* 1125314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1125327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125349 */     // GIR_Coverage, 14854,
     /* 1125349 */     GIR_EraseRootFromParent_Done,
     /* 1125350 */   // Label 16484: @1125350
     /* 1125350 */   GIM_Try, /*On fail goto*//*Label 16485*/ GIMT_Encode4(1125430), // Rule ID 14857 //
     /* 1125355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1125358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1125366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1125369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1125372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1125375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125394 */     // MIs[0] round
     /* 1125394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125404 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1125407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125429 */     // GIR_Coverage, 14857,
     /* 1125429 */     GIR_EraseRootFromParent_Done,
     /* 1125430 */   // Label 16485: @1125430
     /* 1125430 */   GIM_Try, /*On fail goto*//*Label 16486*/ GIMT_Encode4(1125510), // Rule ID 14858 //
     /* 1125435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1125438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1125446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1125449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1125452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1125455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125474 */     // MIs[0] round
     /* 1125474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125484 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1125487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125509 */     // GIR_Coverage, 14858,
     /* 1125509 */     GIR_EraseRootFromParent_Done,
     /* 1125510 */   // Label 16486: @1125510
     /* 1125510 */   GIM_Try, /*On fail goto*//*Label 16487*/ GIMT_Encode4(1125590), // Rule ID 14861 //
     /* 1125515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1125518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1125526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1125529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1125532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1125535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125554 */     // MIs[0] round
     /* 1125554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125564 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1125567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125589 */     // GIR_Coverage, 14861,
     /* 1125589 */     GIR_EraseRootFromParent_Done,
     /* 1125590 */   // Label 16487: @1125590
     /* 1125590 */   GIM_Try, /*On fail goto*//*Label 16488*/ GIMT_Encode4(1125670), // Rule ID 14862 //
     /* 1125595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1125598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1125606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1125609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1125612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1125615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125634 */     // MIs[0] round
     /* 1125634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125644 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1125647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125669 */     // GIR_Coverage, 14862,
     /* 1125669 */     GIR_EraseRootFromParent_Done,
     /* 1125670 */   // Label 16488: @1125670
     /* 1125670 */   GIM_Try, /*On fail goto*//*Label 16489*/ GIMT_Encode4(1125750), // Rule ID 14865 //
     /* 1125675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1125678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1125686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1125689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1125692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1125695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125714 */     // MIs[0] round
     /* 1125714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125724 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1125727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125749 */     // GIR_Coverage, 14865,
     /* 1125749 */     GIR_EraseRootFromParent_Done,
     /* 1125750 */   // Label 16489: @1125750
     /* 1125750 */   GIM_Try, /*On fail goto*//*Label 16490*/ GIMT_Encode4(1125830), // Rule ID 14866 //
     /* 1125755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1125758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1125766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1125769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1125772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1125775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125794 */     // MIs[0] round
     /* 1125794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125804 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1125807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125829 */     // GIR_Coverage, 14866,
     /* 1125829 */     GIR_EraseRootFromParent_Done,
     /* 1125830 */   // Label 16490: @1125830
     /* 1125830 */   GIM_Try, /*On fail goto*//*Label 16491*/ GIMT_Encode4(1125910), // Rule ID 14869 //
     /* 1125835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1125846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1125849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1125852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1125855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1125874 */     // MIs[0] round
     /* 1125874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125884 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1125887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125909 */     // GIR_Coverage, 14869,
     /* 1125909 */     GIR_EraseRootFromParent_Done,
     /* 1125910 */   // Label 16491: @1125910
     /* 1125910 */   GIM_Try, /*On fail goto*//*Label 16492*/ GIMT_Encode4(1125990), // Rule ID 14870 //
     /* 1125915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1125923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1125926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1125929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1125932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1125935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1125954 */     // MIs[0] round
     /* 1125954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125964 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1125967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125989 */     // GIR_Coverage, 14870,
     /* 1125989 */     GIR_EraseRootFromParent_Done,
     /* 1125990 */   // Label 16492: @1125990
     /* 1125990 */   GIM_Try, /*On fail goto*//*Label 16493*/ GIMT_Encode4(1126070), // Rule ID 14873 //
     /* 1125995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1126006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1126009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1126012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1126015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1126034 */     // MIs[0] round
     /* 1126034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126044 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1126047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126069 */     // GIR_Coverage, 14873,
     /* 1126069 */     GIR_EraseRootFromParent_Done,
     /* 1126070 */   // Label 16493: @1126070
     /* 1126070 */   GIM_Try, /*On fail goto*//*Label 16494*/ GIMT_Encode4(1126150), // Rule ID 14874 //
     /* 1126075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1126086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1126089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1126092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1126095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1126114 */     // MIs[0] round
     /* 1126114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126124 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1126127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126149 */     // GIR_Coverage, 14874,
     /* 1126149 */     GIR_EraseRootFromParent_Done,
     /* 1126150 */   // Label 16494: @1126150
     /* 1126150 */   GIM_Try, /*On fail goto*//*Label 16495*/ GIMT_Encode4(1126230), // Rule ID 14877 //
     /* 1126155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1126166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1126169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1126172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1126175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1126194 */     // MIs[0] round
     /* 1126194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126204 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1126207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126229 */     // GIR_Coverage, 14877,
     /* 1126229 */     GIR_EraseRootFromParent_Done,
     /* 1126230 */   // Label 16495: @1126230
     /* 1126230 */   GIM_Try, /*On fail goto*//*Label 16496*/ GIMT_Encode4(1126310), // Rule ID 14878 //
     /* 1126235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1126246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1126249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1126252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1126255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1126274 */     // MIs[0] round
     /* 1126274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126284 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1126287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126309 */     // GIR_Coverage, 14878,
     /* 1126309 */     GIR_EraseRootFromParent_Done,
     /* 1126310 */   // Label 16496: @1126310
     /* 1126310 */   GIM_Try, /*On fail goto*//*Label 16497*/ GIMT_Encode4(1126390), // Rule ID 14881 //
     /* 1126315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1126326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1126329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1126332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1126335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1126354 */     // MIs[0] round
     /* 1126354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126364 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1126367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126389 */     // GIR_Coverage, 14881,
     /* 1126389 */     GIR_EraseRootFromParent_Done,
     /* 1126390 */   // Label 16497: @1126390
     /* 1126390 */   GIM_Try, /*On fail goto*//*Label 16498*/ GIMT_Encode4(1126470), // Rule ID 14882 //
     /* 1126395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1126406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1126409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1126412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1126415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1126434 */     // MIs[0] round
     /* 1126434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126444 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1126447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126469 */     // GIR_Coverage, 14882,
     /* 1126469 */     GIR_EraseRootFromParent_Done,
     /* 1126470 */   // Label 16498: @1126470
     /* 1126470 */   GIM_Try, /*On fail goto*//*Label 16499*/ GIMT_Encode4(1126550), // Rule ID 14885 //
     /* 1126475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1126486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1126489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1126492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1126495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1126514 */     // MIs[0] round
     /* 1126514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126524 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1126527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126549 */     // GIR_Coverage, 14885,
     /* 1126549 */     GIR_EraseRootFromParent_Done,
     /* 1126550 */   // Label 16499: @1126550
     /* 1126550 */   GIM_Try, /*On fail goto*//*Label 16500*/ GIMT_Encode4(1126630), // Rule ID 14886 //
     /* 1126555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1126566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1126569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1126572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1126575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1126594 */     // MIs[0] round
     /* 1126594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126604 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1126607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126629 */     // GIR_Coverage, 14886,
     /* 1126629 */     GIR_EraseRootFromParent_Done,
     /* 1126630 */   // Label 16500: @1126630
     /* 1126630 */   GIM_Try, /*On fail goto*//*Label 16501*/ GIMT_Encode4(1126710), // Rule ID 14889 //
     /* 1126635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1126646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1126649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1126652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1126655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1126674 */     // MIs[0] round
     /* 1126674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126684 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1126687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126709 */     // GIR_Coverage, 14889,
     /* 1126709 */     GIR_EraseRootFromParent_Done,
     /* 1126710 */   // Label 16501: @1126710
     /* 1126710 */   GIM_Try, /*On fail goto*//*Label 16502*/ GIMT_Encode4(1126790), // Rule ID 14890 //
     /* 1126715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1126726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1126729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1126732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1126735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1126754 */     // MIs[0] round
     /* 1126754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126764 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1126767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126789 */     // GIR_Coverage, 14890,
     /* 1126789 */     GIR_EraseRootFromParent_Done,
     /* 1126790 */   // Label 16502: @1126790
     /* 1126790 */   GIM_Try, /*On fail goto*//*Label 16503*/ GIMT_Encode4(1126870), // Rule ID 14893 //
     /* 1126795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1126806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1126809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1126815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1126834 */     // MIs[0] round
     /* 1126834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126844 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1126847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126869 */     // GIR_Coverage, 14893,
     /* 1126869 */     GIR_EraseRootFromParent_Done,
     /* 1126870 */   // Label 16503: @1126870
     /* 1126870 */   GIM_Try, /*On fail goto*//*Label 16504*/ GIMT_Encode4(1126950), // Rule ID 14894 //
     /* 1126875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1126886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1126889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1126895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1126914 */     // MIs[0] round
     /* 1126914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126924 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1126927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126949 */     // GIR_Coverage, 14894,
     /* 1126949 */     GIR_EraseRootFromParent_Done,
     /* 1126950 */   // Label 16504: @1126950
     /* 1126950 */   GIM_Try, /*On fail goto*//*Label 16505*/ GIMT_Encode4(1127030), // Rule ID 14897 //
     /* 1126955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1126963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1126966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1126969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1126972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1126975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1126994 */     // MIs[0] round
     /* 1126994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127004 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1127007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127029 */     // GIR_Coverage, 14897,
     /* 1127029 */     GIR_EraseRootFromParent_Done,
     /* 1127030 */   // Label 16505: @1127030
     /* 1127030 */   GIM_Try, /*On fail goto*//*Label 16506*/ GIMT_Encode4(1127110), // Rule ID 14898 //
     /* 1127035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1127046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1127049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1127052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127074 */     // MIs[0] round
     /* 1127074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1127087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127109 */     // GIR_Coverage, 14898,
     /* 1127109 */     GIR_EraseRootFromParent_Done,
     /* 1127110 */   // Label 16506: @1127110
     /* 1127110 */   GIM_Try, /*On fail goto*//*Label 16507*/ GIMT_Encode4(1127190), // Rule ID 14901 //
     /* 1127115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1127126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1127129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1127132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127154 */     // MIs[0] round
     /* 1127154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127164 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1127167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127189 */     // GIR_Coverage, 14901,
     /* 1127189 */     GIR_EraseRootFromParent_Done,
     /* 1127190 */   // Label 16507: @1127190
     /* 1127190 */   GIM_Try, /*On fail goto*//*Label 16508*/ GIMT_Encode4(1127270), // Rule ID 14902 //
     /* 1127195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1127206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1127209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1127212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127234 */     // MIs[0] round
     /* 1127234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127244 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1127247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127269 */     // GIR_Coverage, 14902,
     /* 1127269 */     GIR_EraseRootFromParent_Done,
     /* 1127270 */   // Label 16508: @1127270
     /* 1127270 */   GIM_Try, /*On fail goto*//*Label 16509*/ GIMT_Encode4(1127350), // Rule ID 14905 //
     /* 1127275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1127278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1127286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1127289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1127292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127314 */     // MIs[0] round
     /* 1127314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127324 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1127327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127349 */     // GIR_Coverage, 14905,
     /* 1127349 */     GIR_EraseRootFromParent_Done,
     /* 1127350 */   // Label 16509: @1127350
     /* 1127350 */   GIM_Try, /*On fail goto*//*Label 16510*/ GIMT_Encode4(1127430), // Rule ID 14906 //
     /* 1127355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1127358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1127366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1127369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1127372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127394 */     // MIs[0] round
     /* 1127394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127404 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1127407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127429 */     // GIR_Coverage, 14906,
     /* 1127429 */     GIR_EraseRootFromParent_Done,
     /* 1127430 */   // Label 16510: @1127430
     /* 1127430 */   GIM_Try, /*On fail goto*//*Label 16511*/ GIMT_Encode4(1127510), // Rule ID 14909 //
     /* 1127435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1127446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1127449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1127452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127474 */     // MIs[0] round
     /* 1127474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127484 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1127487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127509 */     // GIR_Coverage, 14909,
     /* 1127509 */     GIR_EraseRootFromParent_Done,
     /* 1127510 */   // Label 16511: @1127510
     /* 1127510 */   GIM_Try, /*On fail goto*//*Label 16512*/ GIMT_Encode4(1127590), // Rule ID 14910 //
     /* 1127515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1127526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1127529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1127532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127554 */     // MIs[0] round
     /* 1127554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127564 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1127567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127589 */     // GIR_Coverage, 14910,
     /* 1127589 */     GIR_EraseRootFromParent_Done,
     /* 1127590 */   // Label 16512: @1127590
     /* 1127590 */   GIM_Try, /*On fail goto*//*Label 16513*/ GIMT_Encode4(1127670), // Rule ID 14913 //
     /* 1127595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1127606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1127609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1127612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127634 */     // MIs[0] round
     /* 1127634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127644 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1127647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127669 */     // GIR_Coverage, 14913,
     /* 1127669 */     GIR_EraseRootFromParent_Done,
     /* 1127670 */   // Label 16513: @1127670
     /* 1127670 */   GIM_Try, /*On fail goto*//*Label 16514*/ GIMT_Encode4(1127750), // Rule ID 14914 //
     /* 1127675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1127686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1127689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1127692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127714 */     // MIs[0] round
     /* 1127714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127724 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1127727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127749 */     // GIR_Coverage, 14914,
     /* 1127749 */     GIR_EraseRootFromParent_Done,
     /* 1127750 */   // Label 16514: @1127750
     /* 1127750 */   GIM_Try, /*On fail goto*//*Label 16515*/ GIMT_Encode4(1127830), // Rule ID 14917 //
     /* 1127755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1127766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1127769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1127772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127794 */     // MIs[0] round
     /* 1127794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127804 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1127807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127829 */     // GIR_Coverage, 14917,
     /* 1127829 */     GIR_EraseRootFromParent_Done,
     /* 1127830 */   // Label 16515: @1127830
     /* 1127830 */   GIM_Try, /*On fail goto*//*Label 16516*/ GIMT_Encode4(1127910), // Rule ID 14918 //
     /* 1127835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1127846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1127849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1127852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1127855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127874 */     // MIs[0] round
     /* 1127874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127884 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1127887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127909 */     // GIR_Coverage, 14918,
     /* 1127909 */     GIR_EraseRootFromParent_Done,
     /* 1127910 */   // Label 16516: @1127910
     /* 1127910 */   GIM_Try, /*On fail goto*//*Label 16517*/ GIMT_Encode4(1127990), // Rule ID 14921 //
     /* 1127915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1127923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1127926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1127929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1127932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1127935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1127954 */     // MIs[0] round
     /* 1127954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127964 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1127967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127989 */     // GIR_Coverage, 14921,
     /* 1127989 */     GIR_EraseRootFromParent_Done,
     /* 1127990 */   // Label 16517: @1127990
     /* 1127990 */   GIM_Try, /*On fail goto*//*Label 16518*/ GIMT_Encode4(1128070), // Rule ID 14922 //
     /* 1127995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1128006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1128009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1128012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128034 */     // MIs[0] round
     /* 1128034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128044 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1128047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128069 */     // GIR_Coverage, 14922,
     /* 1128069 */     GIR_EraseRootFromParent_Done,
     /* 1128070 */   // Label 16518: @1128070
     /* 1128070 */   GIM_Try, /*On fail goto*//*Label 16519*/ GIMT_Encode4(1128150), // Rule ID 14925 //
     /* 1128075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1128086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1128089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1128092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128114 */     // MIs[0] round
     /* 1128114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128124 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1128127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128149 */     // GIR_Coverage, 14925,
     /* 1128149 */     GIR_EraseRootFromParent_Done,
     /* 1128150 */   // Label 16519: @1128150
     /* 1128150 */   GIM_Try, /*On fail goto*//*Label 16520*/ GIMT_Encode4(1128230), // Rule ID 14926 //
     /* 1128155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1128166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1128169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1128172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128194 */     // MIs[0] round
     /* 1128194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128204 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1128207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128229 */     // GIR_Coverage, 14926,
     /* 1128229 */     GIR_EraseRootFromParent_Done,
     /* 1128230 */   // Label 16520: @1128230
     /* 1128230 */   GIM_Try, /*On fail goto*//*Label 16521*/ GIMT_Encode4(1128310), // Rule ID 14929 //
     /* 1128235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1128246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1128249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1128252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128274 */     // MIs[0] round
     /* 1128274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128284 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1128287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128309 */     // GIR_Coverage, 14929,
     /* 1128309 */     GIR_EraseRootFromParent_Done,
     /* 1128310 */   // Label 16521: @1128310
     /* 1128310 */   GIM_Try, /*On fail goto*//*Label 16522*/ GIMT_Encode4(1128390), // Rule ID 14930 //
     /* 1128315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1128326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1128329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1128332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128354 */     // MIs[0] round
     /* 1128354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128364 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1128367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128389 */     // GIR_Coverage, 14930,
     /* 1128389 */     GIR_EraseRootFromParent_Done,
     /* 1128390 */   // Label 16522: @1128390
     /* 1128390 */   GIM_Try, /*On fail goto*//*Label 16523*/ GIMT_Encode4(1128470), // Rule ID 14933 //
     /* 1128395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1128406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1128409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1128412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128434 */     // MIs[0] round
     /* 1128434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128444 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1128447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128469 */     // GIR_Coverage, 14933,
     /* 1128469 */     GIR_EraseRootFromParent_Done,
     /* 1128470 */   // Label 16523: @1128470
     /* 1128470 */   GIM_Try, /*On fail goto*//*Label 16524*/ GIMT_Encode4(1128550), // Rule ID 14934 //
     /* 1128475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1128486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1128489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1128492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128514 */     // MIs[0] round
     /* 1128514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128524 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1128527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128549 */     // GIR_Coverage, 14934,
     /* 1128549 */     GIR_EraseRootFromParent_Done,
     /* 1128550 */   // Label 16524: @1128550
     /* 1128550 */   GIM_Try, /*On fail goto*//*Label 16525*/ GIMT_Encode4(1128630), // Rule ID 14937 //
     /* 1128555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1128566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1128569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1128572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128594 */     // MIs[0] round
     /* 1128594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128604 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1128607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128629 */     // GIR_Coverage, 14937,
     /* 1128629 */     GIR_EraseRootFromParent_Done,
     /* 1128630 */   // Label 16525: @1128630
     /* 1128630 */   GIM_Try, /*On fail goto*//*Label 16526*/ GIMT_Encode4(1128710), // Rule ID 14938 //
     /* 1128635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1128646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1128649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1128652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128674 */     // MIs[0] round
     /* 1128674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128684 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1128687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128709 */     // GIR_Coverage, 14938,
     /* 1128709 */     GIR_EraseRootFromParent_Done,
     /* 1128710 */   // Label 16526: @1128710
     /* 1128710 */   GIM_Try, /*On fail goto*//*Label 16527*/ GIMT_Encode4(1128790), // Rule ID 14941 //
     /* 1128715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1128726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1128729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1128732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128754 */     // MIs[0] round
     /* 1128754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128764 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1128767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128789 */     // GIR_Coverage, 14941,
     /* 1128789 */     GIR_EraseRootFromParent_Done,
     /* 1128790 */   // Label 16527: @1128790
     /* 1128790 */   GIM_Try, /*On fail goto*//*Label 16528*/ GIMT_Encode4(1128870), // Rule ID 14942 //
     /* 1128795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1128806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1128809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1128812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128834 */     // MIs[0] round
     /* 1128834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128844 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1128847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128869 */     // GIR_Coverage, 14942,
     /* 1128869 */     GIR_EraseRootFromParent_Done,
     /* 1128870 */   // Label 16528: @1128870
     /* 1128870 */   GIM_Try, /*On fail goto*//*Label 16529*/ GIMT_Encode4(1128950), // Rule ID 14945 //
     /* 1128875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1128878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1128886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1128889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1128892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128914 */     // MIs[0] round
     /* 1128914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128924 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1128927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1128945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128949 */     // GIR_Coverage, 14945,
     /* 1128949 */     GIR_EraseRootFromParent_Done,
     /* 1128950 */   // Label 16529: @1128950
     /* 1128950 */   GIM_Try, /*On fail goto*//*Label 16530*/ GIMT_Encode4(1129030), // Rule ID 14946 //
     /* 1128955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1128958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1128963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1128966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1128969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1128972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128994 */     // MIs[0] round
     /* 1128994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129004 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1129007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129029 */     // GIR_Coverage, 14946,
     /* 1129029 */     GIR_EraseRootFromParent_Done,
     /* 1129030 */   // Label 16530: @1129030
     /* 1129030 */   GIM_Try, /*On fail goto*//*Label 16531*/ GIMT_Encode4(1129110), // Rule ID 14949 //
     /* 1129035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1129038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1129046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1129049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1129052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129074 */     // MIs[0] round
     /* 1129074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129084 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1129087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129109 */     // GIR_Coverage, 14949,
     /* 1129109 */     GIR_EraseRootFromParent_Done,
     /* 1129110 */   // Label 16531: @1129110
     /* 1129110 */   GIM_Try, /*On fail goto*//*Label 16532*/ GIMT_Encode4(1129190), // Rule ID 14950 //
     /* 1129115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1129118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1129126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1129129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1129132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129154 */     // MIs[0] round
     /* 1129154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129164 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1129167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129189 */     // GIR_Coverage, 14950,
     /* 1129189 */     GIR_EraseRootFromParent_Done,
     /* 1129190 */   // Label 16532: @1129190
     /* 1129190 */   GIM_Try, /*On fail goto*//*Label 16533*/ GIMT_Encode4(1129270), // Rule ID 14953 //
     /* 1129195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1129198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1129206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1129209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1129212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129234 */     // MIs[0] round
     /* 1129234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129244 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1129247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129269 */     // GIR_Coverage, 14953,
     /* 1129269 */     GIR_EraseRootFromParent_Done,
     /* 1129270 */   // Label 16533: @1129270
     /* 1129270 */   GIM_Try, /*On fail goto*//*Label 16534*/ GIMT_Encode4(1129350), // Rule ID 14954 //
     /* 1129275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1129278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1129283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1129286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1129289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1129292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129314 */     // MIs[0] round
     /* 1129314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129324 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1129327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129349 */     // GIR_Coverage, 14954,
     /* 1129349 */     GIR_EraseRootFromParent_Done,
     /* 1129350 */   // Label 16534: @1129350
     /* 1129350 */   GIM_Try, /*On fail goto*//*Label 16535*/ GIMT_Encode4(1129430), // Rule ID 14957 //
     /* 1129355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1129366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1129369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1129372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1129375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129394 */     // MIs[0] round
     /* 1129394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129404 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1129407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129429 */     // GIR_Coverage, 14957,
     /* 1129429 */     GIR_EraseRootFromParent_Done,
     /* 1129430 */   // Label 16535: @1129430
     /* 1129430 */   GIM_Try, /*On fail goto*//*Label 16536*/ GIMT_Encode4(1129510), // Rule ID 14958 //
     /* 1129435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1129446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1129449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1129452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1129455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129474 */     // MIs[0] round
     /* 1129474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129484 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1129487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129509 */     // GIR_Coverage, 14958,
     /* 1129509 */     GIR_EraseRootFromParent_Done,
     /* 1129510 */   // Label 16536: @1129510
     /* 1129510 */   GIM_Try, /*On fail goto*//*Label 16537*/ GIMT_Encode4(1129590), // Rule ID 14961 //
     /* 1129515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1129526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1129529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1129532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1129535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129554 */     // MIs[0] round
     /* 1129554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129564 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1129567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129589 */     // GIR_Coverage, 14961,
     /* 1129589 */     GIR_EraseRootFromParent_Done,
     /* 1129590 */   // Label 16537: @1129590
     /* 1129590 */   GIM_Try, /*On fail goto*//*Label 16538*/ GIMT_Encode4(1129670), // Rule ID 14962 //
     /* 1129595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1129606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1129609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1129612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1129615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129634 */     // MIs[0] round
     /* 1129634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129644 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1129647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129669 */     // GIR_Coverage, 14962,
     /* 1129669 */     GIR_EraseRootFromParent_Done,
     /* 1129670 */   // Label 16538: @1129670
     /* 1129670 */   GIM_Try, /*On fail goto*//*Label 16539*/ GIMT_Encode4(1129750), // Rule ID 14965 //
     /* 1129675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1129686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1129689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1129692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1129695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129714 */     // MIs[0] round
     /* 1129714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129724 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1129727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129749 */     // GIR_Coverage, 14965,
     /* 1129749 */     GIR_EraseRootFromParent_Done,
     /* 1129750 */   // Label 16539: @1129750
     /* 1129750 */   GIM_Try, /*On fail goto*//*Label 16540*/ GIMT_Encode4(1129830), // Rule ID 14966 //
     /* 1129755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1129766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1129769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1129772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1129775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129794 */     // MIs[0] round
     /* 1129794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129804 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1129807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129829 */     // GIR_Coverage, 14966,
     /* 1129829 */     GIR_EraseRootFromParent_Done,
     /* 1129830 */   // Label 16540: @1129830
     /* 1129830 */   GIM_Try, /*On fail goto*//*Label 16541*/ GIMT_Encode4(1129910), // Rule ID 14969 //
     /* 1129835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1129846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1129849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1129852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1129855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129874 */     // MIs[0] round
     /* 1129874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129884 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1129887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129909 */     // GIR_Coverage, 14969,
     /* 1129909 */     GIR_EraseRootFromParent_Done,
     /* 1129910 */   // Label 16541: @1129910
     /* 1129910 */   GIM_Try, /*On fail goto*//*Label 16542*/ GIMT_Encode4(1129990), // Rule ID 14970 //
     /* 1129915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1129926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1129929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1129932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1129935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129954 */     // MIs[0] round
     /* 1129954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129964 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1129967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129989 */     // GIR_Coverage, 14970,
     /* 1129989 */     GIR_EraseRootFromParent_Done,
     /* 1129990 */   // Label 16542: @1129990
     /* 1129990 */   GIM_Try, /*On fail goto*//*Label 16543*/ GIMT_Encode4(1130070), // Rule ID 14973 //
     /* 1129995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1130006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1130009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1130012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1130015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130034 */     // MIs[0] round
     /* 1130034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130044 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1130047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130069 */     // GIR_Coverage, 14973,
     /* 1130069 */     GIR_EraseRootFromParent_Done,
     /* 1130070 */   // Label 16543: @1130070
     /* 1130070 */   GIM_Try, /*On fail goto*//*Label 16544*/ GIMT_Encode4(1130150), // Rule ID 14974 //
     /* 1130075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1130086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1130089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1130092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1130095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130114 */     // MIs[0] round
     /* 1130114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130124 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1130127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130149 */     // GIR_Coverage, 14974,
     /* 1130149 */     GIR_EraseRootFromParent_Done,
     /* 1130150 */   // Label 16544: @1130150
     /* 1130150 */   GIM_Try, /*On fail goto*//*Label 16545*/ GIMT_Encode4(1130230), // Rule ID 14977 //
     /* 1130155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1130166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1130169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1130172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1130175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130194 */     // MIs[0] round
     /* 1130194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130204 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1130207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130229 */     // GIR_Coverage, 14977,
     /* 1130229 */     GIR_EraseRootFromParent_Done,
     /* 1130230 */   // Label 16545: @1130230
     /* 1130230 */   GIM_Try, /*On fail goto*//*Label 16546*/ GIMT_Encode4(1130310), // Rule ID 14978 //
     /* 1130235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1130246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1130249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1130252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1130255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130274 */     // MIs[0] round
     /* 1130274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130284 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1130287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130309 */     // GIR_Coverage, 14978,
     /* 1130309 */     GIR_EraseRootFromParent_Done,
     /* 1130310 */   // Label 16546: @1130310
     /* 1130310 */   GIM_Try, /*On fail goto*//*Label 16547*/ GIMT_Encode4(1130390), // Rule ID 14981 //
     /* 1130315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1130326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1130329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1130332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1130335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130354 */     // MIs[0] round
     /* 1130354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130364 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1130367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130389 */     // GIR_Coverage, 14981,
     /* 1130389 */     GIR_EraseRootFromParent_Done,
     /* 1130390 */   // Label 16547: @1130390
     /* 1130390 */   GIM_Try, /*On fail goto*//*Label 16548*/ GIMT_Encode4(1130470), // Rule ID 14982 //
     /* 1130395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1130406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1130409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1130412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1130415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130434 */     // MIs[0] round
     /* 1130434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130444 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1130447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130469 */     // GIR_Coverage, 14982,
     /* 1130469 */     GIR_EraseRootFromParent_Done,
     /* 1130470 */   // Label 16548: @1130470
     /* 1130470 */   GIM_Try, /*On fail goto*//*Label 16549*/ GIMT_Encode4(1130550), // Rule ID 14985 //
     /* 1130475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1130486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1130489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1130492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1130495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130514 */     // MIs[0] round
     /* 1130514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130524 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1130527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130549 */     // GIR_Coverage, 14985,
     /* 1130549 */     GIR_EraseRootFromParent_Done,
     /* 1130550 */   // Label 16549: @1130550
     /* 1130550 */   GIM_Try, /*On fail goto*//*Label 16550*/ GIMT_Encode4(1130630), // Rule ID 14986 //
     /* 1130555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1130566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1130569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1130572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1130575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130594 */     // MIs[0] round
     /* 1130594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130604 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1130607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130629 */     // GIR_Coverage, 14986,
     /* 1130629 */     GIR_EraseRootFromParent_Done,
     /* 1130630 */   // Label 16550: @1130630
     /* 1130630 */   GIM_Try, /*On fail goto*//*Label 16551*/ GIMT_Encode4(1130710), // Rule ID 14989 //
     /* 1130635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1130646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1130649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1130652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1130655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130674 */     // MIs[0] round
     /* 1130674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130684 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1130687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130709 */     // GIR_Coverage, 14989,
     /* 1130709 */     GIR_EraseRootFromParent_Done,
     /* 1130710 */   // Label 16551: @1130710
     /* 1130710 */   GIM_Try, /*On fail goto*//*Label 16552*/ GIMT_Encode4(1130790), // Rule ID 14990 //
     /* 1130715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1130726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1130729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1130732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1130735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130754 */     // MIs[0] round
     /* 1130754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130764 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1130767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130789 */     // GIR_Coverage, 14990,
     /* 1130789 */     GIR_EraseRootFromParent_Done,
     /* 1130790 */   // Label 16552: @1130790
     /* 1130790 */   GIM_Try, /*On fail goto*//*Label 16553*/ GIMT_Encode4(1130870), // Rule ID 14993 //
     /* 1130795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1130798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1130806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1130809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1130812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1130815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130834 */     // MIs[0] round
     /* 1130834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130844 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1130847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130869 */     // GIR_Coverage, 14993,
     /* 1130869 */     GIR_EraseRootFromParent_Done,
     /* 1130870 */   // Label 16553: @1130870
     /* 1130870 */   GIM_Try, /*On fail goto*//*Label 16554*/ GIMT_Encode4(1130950), // Rule ID 14994 //
     /* 1130875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1130878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1130886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1130889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1130892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1130895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130914 */     // MIs[0] round
     /* 1130914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130924 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1130927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130949 */     // GIR_Coverage, 14994,
     /* 1130949 */     GIR_EraseRootFromParent_Done,
     /* 1130950 */   // Label 16554: @1130950
     /* 1130950 */   GIM_Try, /*On fail goto*//*Label 16555*/ GIMT_Encode4(1131030), // Rule ID 14997 //
     /* 1130955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1130966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1130969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1130972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1130975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130994 */     // MIs[0] round
     /* 1130994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131004 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1131007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131029 */     // GIR_Coverage, 14997,
     /* 1131029 */     GIR_EraseRootFromParent_Done,
     /* 1131030 */   // Label 16555: @1131030
     /* 1131030 */   GIM_Try, /*On fail goto*//*Label 16556*/ GIMT_Encode4(1131110), // Rule ID 14998 //
     /* 1131035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1131046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1131049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1131052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1131055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131074 */     // MIs[0] round
     /* 1131074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131084 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1131087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131109 */     // GIR_Coverage, 14998,
     /* 1131109 */     GIR_EraseRootFromParent_Done,
     /* 1131110 */   // Label 16556: @1131110
     /* 1131110 */   GIM_Try, /*On fail goto*//*Label 16557*/ GIMT_Encode4(1131190), // Rule ID 15001 //
     /* 1131115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1131126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1131129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1131132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1131135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131154 */     // MIs[0] round
     /* 1131154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131164 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1131167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131189 */     // GIR_Coverage, 15001,
     /* 1131189 */     GIR_EraseRootFromParent_Done,
     /* 1131190 */   // Label 16557: @1131190
     /* 1131190 */   GIM_Try, /*On fail goto*//*Label 16558*/ GIMT_Encode4(1131270), // Rule ID 15002 //
     /* 1131195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1131206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1131209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1131212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1131215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131234 */     // MIs[0] round
     /* 1131234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131244 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1131247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131269 */     // GIR_Coverage, 15002,
     /* 1131269 */     GIR_EraseRootFromParent_Done,
     /* 1131270 */   // Label 16558: @1131270
     /* 1131270 */   GIM_Try, /*On fail goto*//*Label 16559*/ GIMT_Encode4(1131350), // Rule ID 15005 //
     /* 1131275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1131286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1131289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1131292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1131295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131314 */     // MIs[0] round
     /* 1131314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131324 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1131327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131349 */     // GIR_Coverage, 15005,
     /* 1131349 */     GIR_EraseRootFromParent_Done,
     /* 1131350 */   // Label 16559: @1131350
     /* 1131350 */   GIM_Try, /*On fail goto*//*Label 16560*/ GIMT_Encode4(1131430), // Rule ID 15006 //
     /* 1131355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1131366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1131369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1131372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1131375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131394 */     // MIs[0] round
     /* 1131394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131404 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1131407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131429 */     // GIR_Coverage, 15006,
     /* 1131429 */     GIR_EraseRootFromParent_Done,
     /* 1131430 */   // Label 16560: @1131430
     /* 1131430 */   GIM_Try, /*On fail goto*//*Label 16561*/ GIMT_Encode4(1131510), // Rule ID 15009 //
     /* 1131435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1131446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1131449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1131452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1131455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131474 */     // MIs[0] round
     /* 1131474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131484 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1131487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131509 */     // GIR_Coverage, 15009,
     /* 1131509 */     GIR_EraseRootFromParent_Done,
     /* 1131510 */   // Label 16561: @1131510
     /* 1131510 */   GIM_Try, /*On fail goto*//*Label 16562*/ GIMT_Encode4(1131590), // Rule ID 15010 //
     /* 1131515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1131526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1131529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1131532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1131535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131554 */     // MIs[0] round
     /* 1131554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131564 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1131567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131589 */     // GIR_Coverage, 15010,
     /* 1131589 */     GIR_EraseRootFromParent_Done,
     /* 1131590 */   // Label 16562: @1131590
     /* 1131590 */   GIM_Try, /*On fail goto*//*Label 16563*/ GIMT_Encode4(1131670), // Rule ID 15013 //
     /* 1131595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1131606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1131609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1131612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1131615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131634 */     // MIs[0] round
     /* 1131634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131644 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1131647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131669 */     // GIR_Coverage, 15013,
     /* 1131669 */     GIR_EraseRootFromParent_Done,
     /* 1131670 */   // Label 16563: @1131670
     /* 1131670 */   GIM_Try, /*On fail goto*//*Label 16564*/ GIMT_Encode4(1131750), // Rule ID 15014 //
     /* 1131675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1131686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1131689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1131692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1131695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131714 */     // MIs[0] round
     /* 1131714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131724 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1131727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131749 */     // GIR_Coverage, 15014,
     /* 1131749 */     GIR_EraseRootFromParent_Done,
     /* 1131750 */   // Label 16564: @1131750
     /* 1131750 */   GIM_Try, /*On fail goto*//*Label 16565*/ GIMT_Encode4(1131830), // Rule ID 15017 //
     /* 1131755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1131766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1131769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1131772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1131775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131794 */     // MIs[0] round
     /* 1131794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131804 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1131807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131829 */     // GIR_Coverage, 15017,
     /* 1131829 */     GIR_EraseRootFromParent_Done,
     /* 1131830 */   // Label 16565: @1131830
     /* 1131830 */   GIM_Try, /*On fail goto*//*Label 16566*/ GIMT_Encode4(1131910), // Rule ID 15018 //
     /* 1131835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1131846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1131849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1131852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1131855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131874 */     // MIs[0] round
     /* 1131874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131884 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1131887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131909 */     // GIR_Coverage, 15018,
     /* 1131909 */     GIR_EraseRootFromParent_Done,
     /* 1131910 */   // Label 16566: @1131910
     /* 1131910 */   GIM_Try, /*On fail goto*//*Label 16567*/ GIMT_Encode4(1131990), // Rule ID 15021 //
     /* 1131915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1131926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1131929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1131932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1131935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131954 */     // MIs[0] round
     /* 1131954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131964 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1131967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131989 */     // GIR_Coverage, 15021,
     /* 1131989 */     GIR_EraseRootFromParent_Done,
     /* 1131990 */   // Label 16567: @1131990
     /* 1131990 */   GIM_Try, /*On fail goto*//*Label 16568*/ GIMT_Encode4(1132070), // Rule ID 15022 //
     /* 1131995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1132006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1132009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1132012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1132015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132034 */     // MIs[0] round
     /* 1132034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1132047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132069 */     // GIR_Coverage, 15022,
     /* 1132069 */     GIR_EraseRootFromParent_Done,
     /* 1132070 */   // Label 16568: @1132070
     /* 1132070 */   GIM_Try, /*On fail goto*//*Label 16569*/ GIMT_Encode4(1132150), // Rule ID 15025 //
     /* 1132075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1132086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1132089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1132092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1132095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132114 */     // MIs[0] round
     /* 1132114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132124 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1132127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132149 */     // GIR_Coverage, 15025,
     /* 1132149 */     GIR_EraseRootFromParent_Done,
     /* 1132150 */   // Label 16569: @1132150
     /* 1132150 */   GIM_Try, /*On fail goto*//*Label 16570*/ GIMT_Encode4(1132230), // Rule ID 15026 //
     /* 1132155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1132166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1132169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1132172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1132175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132194 */     // MIs[0] round
     /* 1132194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132204 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1132207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132229 */     // GIR_Coverage, 15026,
     /* 1132229 */     GIR_EraseRootFromParent_Done,
     /* 1132230 */   // Label 16570: @1132230
     /* 1132230 */   GIM_Try, /*On fail goto*//*Label 16571*/ GIMT_Encode4(1132310), // Rule ID 15029 //
     /* 1132235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1132246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1132249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1132252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1132255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132274 */     // MIs[0] round
     /* 1132274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132284 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1132287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132309 */     // GIR_Coverage, 15029,
     /* 1132309 */     GIR_EraseRootFromParent_Done,
     /* 1132310 */   // Label 16571: @1132310
     /* 1132310 */   GIM_Try, /*On fail goto*//*Label 16572*/ GIMT_Encode4(1132390), // Rule ID 15030 //
     /* 1132315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1132326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1132329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1132332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1132335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132354 */     // MIs[0] round
     /* 1132354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132364 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1132367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132389 */     // GIR_Coverage, 15030,
     /* 1132389 */     GIR_EraseRootFromParent_Done,
     /* 1132390 */   // Label 16572: @1132390
     /* 1132390 */   GIM_Try, /*On fail goto*//*Label 16573*/ GIMT_Encode4(1132470), // Rule ID 15033 //
     /* 1132395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1132398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1132406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1132409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1132412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1132415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132434 */     // MIs[0] round
     /* 1132434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132444 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1132447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132469 */     // GIR_Coverage, 15033,
     /* 1132469 */     GIR_EraseRootFromParent_Done,
     /* 1132470 */   // Label 16573: @1132470
     /* 1132470 */   GIM_Try, /*On fail goto*//*Label 16574*/ GIMT_Encode4(1132550), // Rule ID 15034 //
     /* 1132475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1132478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1132486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1132489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1132492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1132495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132514 */     // MIs[0] round
     /* 1132514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132524 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1132527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132549 */     // GIR_Coverage, 15034,
     /* 1132549 */     GIR_EraseRootFromParent_Done,
     /* 1132550 */   // Label 16574: @1132550
     /* 1132550 */   GIM_Try, /*On fail goto*//*Label 16575*/ GIMT_Encode4(1132630), // Rule ID 15037 //
     /* 1132555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1132558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1132566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1132569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1132572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1132575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132594 */     // MIs[0] round
     /* 1132594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132604 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1132607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132629 */     // GIR_Coverage, 15037,
     /* 1132629 */     GIR_EraseRootFromParent_Done,
     /* 1132630 */   // Label 16575: @1132630
     /* 1132630 */   GIM_Try, /*On fail goto*//*Label 16576*/ GIMT_Encode4(1132710), // Rule ID 15038 //
     /* 1132635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1132638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1132646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1132649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1132652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1132655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132674 */     // MIs[0] round
     /* 1132674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132684 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1132687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132709 */     // GIR_Coverage, 15038,
     /* 1132709 */     GIR_EraseRootFromParent_Done,
     /* 1132710 */   // Label 16576: @1132710
     /* 1132710 */   GIM_Try, /*On fail goto*//*Label 16577*/ GIMT_Encode4(1132790), // Rule ID 15041 //
     /* 1132715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1132718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1132726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1132729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1132732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1132735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132754 */     // MIs[0] round
     /* 1132754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132764 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1132767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132789 */     // GIR_Coverage, 15041,
     /* 1132789 */     GIR_EraseRootFromParent_Done,
     /* 1132790 */   // Label 16577: @1132790
     /* 1132790 */   GIM_Try, /*On fail goto*//*Label 16578*/ GIMT_Encode4(1132870), // Rule ID 15042 //
     /* 1132795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1132798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1132806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1132809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1132812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1132815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132834 */     // MIs[0] round
     /* 1132834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132844 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1132847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132869 */     // GIR_Coverage, 15042,
     /* 1132869 */     GIR_EraseRootFromParent_Done,
     /* 1132870 */   // Label 16578: @1132870
     /* 1132870 */   GIM_Try, /*On fail goto*//*Label 16579*/ GIMT_Encode4(1132950), // Rule ID 15045 //
     /* 1132875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1132886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1132889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1132892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1132895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132914 */     // MIs[0] round
     /* 1132914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132924 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1132927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132949 */     // GIR_Coverage, 15045,
     /* 1132949 */     GIR_EraseRootFromParent_Done,
     /* 1132950 */   // Label 16579: @1132950
     /* 1132950 */   GIM_Try, /*On fail goto*//*Label 16580*/ GIMT_Encode4(1133030), // Rule ID 15046 //
     /* 1132955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1132963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1132966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1132969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1132972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1132975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1132994 */     // MIs[0] round
     /* 1132994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133004 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1133007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133029 */     // GIR_Coverage, 15046,
     /* 1133029 */     GIR_EraseRootFromParent_Done,
     /* 1133030 */   // Label 16580: @1133030
     /* 1133030 */   GIM_Try, /*On fail goto*//*Label 16581*/ GIMT_Encode4(1133110), // Rule ID 15049 //
     /* 1133035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1133046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1133049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1133052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133074 */     // MIs[0] round
     /* 1133074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133084 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1133087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133109 */     // GIR_Coverage, 15049,
     /* 1133109 */     GIR_EraseRootFromParent_Done,
     /* 1133110 */   // Label 16581: @1133110
     /* 1133110 */   GIM_Try, /*On fail goto*//*Label 16582*/ GIMT_Encode4(1133190), // Rule ID 15050 //
     /* 1133115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1133126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1133129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1133132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133154 */     // MIs[0] round
     /* 1133154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133164 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1133167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133189 */     // GIR_Coverage, 15050,
     /* 1133189 */     GIR_EraseRootFromParent_Done,
     /* 1133190 */   // Label 16582: @1133190
     /* 1133190 */   GIM_Try, /*On fail goto*//*Label 16583*/ GIMT_Encode4(1133270), // Rule ID 15053 //
     /* 1133195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1133206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1133209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1133212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133234 */     // MIs[0] round
     /* 1133234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133244 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1133247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133269 */     // GIR_Coverage, 15053,
     /* 1133269 */     GIR_EraseRootFromParent_Done,
     /* 1133270 */   // Label 16583: @1133270
     /* 1133270 */   GIM_Try, /*On fail goto*//*Label 16584*/ GIMT_Encode4(1133350), // Rule ID 15054 //
     /* 1133275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1133286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1133289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1133292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133314 */     // MIs[0] round
     /* 1133314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133324 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1133327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133349 */     // GIR_Coverage, 15054,
     /* 1133349 */     GIR_EraseRootFromParent_Done,
     /* 1133350 */   // Label 16584: @1133350
     /* 1133350 */   GIM_Try, /*On fail goto*//*Label 16585*/ GIMT_Encode4(1133430), // Rule ID 15057 //
     /* 1133355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1133366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1133369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1133372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133394 */     // MIs[0] round
     /* 1133394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133404 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1133407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133429 */     // GIR_Coverage, 15057,
     /* 1133429 */     GIR_EraseRootFromParent_Done,
     /* 1133430 */   // Label 16585: @1133430
     /* 1133430 */   GIM_Try, /*On fail goto*//*Label 16586*/ GIMT_Encode4(1133510), // Rule ID 15058 //
     /* 1133435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1133446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1133449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1133452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133474 */     // MIs[0] round
     /* 1133474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133484 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1133487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133509 */     // GIR_Coverage, 15058,
     /* 1133509 */     GIR_EraseRootFromParent_Done,
     /* 1133510 */   // Label 16586: @1133510
     /* 1133510 */   GIM_Try, /*On fail goto*//*Label 16587*/ GIMT_Encode4(1133590), // Rule ID 15061 //
     /* 1133515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1133526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1133529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1133532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133554 */     // MIs[0] round
     /* 1133554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133564 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1133567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133589 */     // GIR_Coverage, 15061,
     /* 1133589 */     GIR_EraseRootFromParent_Done,
     /* 1133590 */   // Label 16587: @1133590
     /* 1133590 */   GIM_Try, /*On fail goto*//*Label 16588*/ GIMT_Encode4(1133670), // Rule ID 15062 //
     /* 1133595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1133606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1133609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1133612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133634 */     // MIs[0] round
     /* 1133634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133644 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1133647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133669 */     // GIR_Coverage, 15062,
     /* 1133669 */     GIR_EraseRootFromParent_Done,
     /* 1133670 */   // Label 16588: @1133670
     /* 1133670 */   GIM_Try, /*On fail goto*//*Label 16589*/ GIMT_Encode4(1133750), // Rule ID 15065 //
     /* 1133675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1133686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1133689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1133692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133714 */     // MIs[0] round
     /* 1133714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133724 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1133727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133749 */     // GIR_Coverage, 15065,
     /* 1133749 */     GIR_EraseRootFromParent_Done,
     /* 1133750 */   // Label 16589: @1133750
     /* 1133750 */   GIM_Try, /*On fail goto*//*Label 16590*/ GIMT_Encode4(1133830), // Rule ID 15066 //
     /* 1133755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1133766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1133769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1133772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133794 */     // MIs[0] round
     /* 1133794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133804 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1133807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133829 */     // GIR_Coverage, 15066,
     /* 1133829 */     GIR_EraseRootFromParent_Done,
     /* 1133830 */   // Label 16590: @1133830
     /* 1133830 */   GIM_Try, /*On fail goto*//*Label 16591*/ GIMT_Encode4(1133910), // Rule ID 15069 //
     /* 1133835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1133846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1133849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1133852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1133855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133874 */     // MIs[0] round
     /* 1133874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133884 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1133887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133909 */     // GIR_Coverage, 15069,
     /* 1133909 */     GIR_EraseRootFromParent_Done,
     /* 1133910 */   // Label 16591: @1133910
     /* 1133910 */   GIM_Try, /*On fail goto*//*Label 16592*/ GIMT_Encode4(1133990), // Rule ID 15070 //
     /* 1133915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1133923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1133926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1133929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1133932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1133935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1133954 */     // MIs[0] round
     /* 1133954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133964 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1133967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133989 */     // GIR_Coverage, 15070,
     /* 1133989 */     GIR_EraseRootFromParent_Done,
     /* 1133990 */   // Label 16592: @1133990
     /* 1133990 */   GIM_Try, /*On fail goto*//*Label 16593*/ GIMT_Encode4(1134070), // Rule ID 15073 //
     /* 1133995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1134006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1134009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1134012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134034 */     // MIs[0] round
     /* 1134034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134044 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1134047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134069 */     // GIR_Coverage, 15073,
     /* 1134069 */     GIR_EraseRootFromParent_Done,
     /* 1134070 */   // Label 16593: @1134070
     /* 1134070 */   GIM_Try, /*On fail goto*//*Label 16594*/ GIMT_Encode4(1134150), // Rule ID 15074 //
     /* 1134075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1134086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1134089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1134092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134114 */     // MIs[0] round
     /* 1134114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134124 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1134127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134149 */     // GIR_Coverage, 15074,
     /* 1134149 */     GIR_EraseRootFromParent_Done,
     /* 1134150 */   // Label 16594: @1134150
     /* 1134150 */   GIM_Try, /*On fail goto*//*Label 16595*/ GIMT_Encode4(1134230), // Rule ID 15077 //
     /* 1134155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1134166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1134169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1134172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134194 */     // MIs[0] round
     /* 1134194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134204 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1134207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134229 */     // GIR_Coverage, 15077,
     /* 1134229 */     GIR_EraseRootFromParent_Done,
     /* 1134230 */   // Label 16595: @1134230
     /* 1134230 */   GIM_Try, /*On fail goto*//*Label 16596*/ GIMT_Encode4(1134310), // Rule ID 15078 //
     /* 1134235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1134246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1134249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1134252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134274 */     // MIs[0] round
     /* 1134274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134284 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1134287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134309 */     // GIR_Coverage, 15078,
     /* 1134309 */     GIR_EraseRootFromParent_Done,
     /* 1134310 */   // Label 16596: @1134310
     /* 1134310 */   GIM_Try, /*On fail goto*//*Label 16597*/ GIMT_Encode4(1134390), // Rule ID 15081 //
     /* 1134315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1134318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1134326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1134329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1134332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134354 */     // MIs[0] round
     /* 1134354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134364 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1134367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134389 */     // GIR_Coverage, 15081,
     /* 1134389 */     GIR_EraseRootFromParent_Done,
     /* 1134390 */   // Label 16597: @1134390
     /* 1134390 */   GIM_Try, /*On fail goto*//*Label 16598*/ GIMT_Encode4(1134470), // Rule ID 15082 //
     /* 1134395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1134398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1134406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1134409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1134412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134434 */     // MIs[0] round
     /* 1134434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134444 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1134447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134469 */     // GIR_Coverage, 15082,
     /* 1134469 */     GIR_EraseRootFromParent_Done,
     /* 1134470 */   // Label 16598: @1134470
     /* 1134470 */   GIM_Try, /*On fail goto*//*Label 16599*/ GIMT_Encode4(1134550), // Rule ID 15085 //
     /* 1134475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1134486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1134489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1134492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134514 */     // MIs[0] round
     /* 1134514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134524 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1134527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134549 */     // GIR_Coverage, 15085,
     /* 1134549 */     GIR_EraseRootFromParent_Done,
     /* 1134550 */   // Label 16599: @1134550
     /* 1134550 */   GIM_Try, /*On fail goto*//*Label 16600*/ GIMT_Encode4(1134630), // Rule ID 15086 //
     /* 1134555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1134566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1134569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1134572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134594 */     // MIs[0] round
     /* 1134594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134604 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1134607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134629 */     // GIR_Coverage, 15086,
     /* 1134629 */     GIR_EraseRootFromParent_Done,
     /* 1134630 */   // Label 16600: @1134630
     /* 1134630 */   GIM_Try, /*On fail goto*//*Label 16601*/ GIMT_Encode4(1134710), // Rule ID 15089 //
     /* 1134635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1134646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1134649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1134652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134674 */     // MIs[0] round
     /* 1134674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134684 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1134687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134709 */     // GIR_Coverage, 15089,
     /* 1134709 */     GIR_EraseRootFromParent_Done,
     /* 1134710 */   // Label 16601: @1134710
     /* 1134710 */   GIM_Try, /*On fail goto*//*Label 16602*/ GIMT_Encode4(1134790), // Rule ID 15090 //
     /* 1134715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1134726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1134729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1134732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134754 */     // MIs[0] round
     /* 1134754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134764 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1134767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134789 */     // GIR_Coverage, 15090,
     /* 1134789 */     GIR_EraseRootFromParent_Done,
     /* 1134790 */   // Label 16602: @1134790
     /* 1134790 */   GIM_Try, /*On fail goto*//*Label 16603*/ GIMT_Encode4(1134870), // Rule ID 15093 //
     /* 1134795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1134806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1134809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1134812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134834 */     // MIs[0] round
     /* 1134834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134844 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1134847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134869 */     // GIR_Coverage, 15093,
     /* 1134869 */     GIR_EraseRootFromParent_Done,
     /* 1134870 */   // Label 16603: @1134870
     /* 1134870 */   GIM_Try, /*On fail goto*//*Label 16604*/ GIMT_Encode4(1134950), // Rule ID 15094 //
     /* 1134875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1134886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1134889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1134892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134914 */     // MIs[0] round
     /* 1134914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134924 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1134927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134949 */     // GIR_Coverage, 15094,
     /* 1134949 */     GIR_EraseRootFromParent_Done,
     /* 1134950 */   // Label 16604: @1134950
     /* 1134950 */   GIM_Try, /*On fail goto*//*Label 16605*/ GIMT_Encode4(1135030), // Rule ID 15097 //
     /* 1134955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1134963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1134966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1134969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1134972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1134975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1134994 */     // MIs[0] round
     /* 1134994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135004 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1135007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135029 */     // GIR_Coverage, 15097,
     /* 1135029 */     GIR_EraseRootFromParent_Done,
     /* 1135030 */   // Label 16605: @1135030
     /* 1135030 */   GIM_Try, /*On fail goto*//*Label 16606*/ GIMT_Encode4(1135110), // Rule ID 15098 //
     /* 1135035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1135046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1135049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1135052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135074 */     // MIs[0] round
     /* 1135074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135084 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1135087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135109 */     // GIR_Coverage, 15098,
     /* 1135109 */     GIR_EraseRootFromParent_Done,
     /* 1135110 */   // Label 16606: @1135110
     /* 1135110 */   GIM_Try, /*On fail goto*//*Label 16607*/ GIMT_Encode4(1135190), // Rule ID 15101 //
     /* 1135115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1135126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1135129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1135132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135154 */     // MIs[0] round
     /* 1135154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135164 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1135167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135189 */     // GIR_Coverage, 15101,
     /* 1135189 */     GIR_EraseRootFromParent_Done,
     /* 1135190 */   // Label 16607: @1135190
     /* 1135190 */   GIM_Try, /*On fail goto*//*Label 16608*/ GIMT_Encode4(1135270), // Rule ID 15102 //
     /* 1135195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1135206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1135209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1135212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135234 */     // MIs[0] round
     /* 1135234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135244 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1135247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135269 */     // GIR_Coverage, 15102,
     /* 1135269 */     GIR_EraseRootFromParent_Done,
     /* 1135270 */   // Label 16608: @1135270
     /* 1135270 */   GIM_Try, /*On fail goto*//*Label 16609*/ GIMT_Encode4(1135350), // Rule ID 15105 //
     /* 1135275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1135286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1135289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1135292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135314 */     // MIs[0] round
     /* 1135314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135324 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1135327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135349 */     // GIR_Coverage, 15105,
     /* 1135349 */     GIR_EraseRootFromParent_Done,
     /* 1135350 */   // Label 16609: @1135350
     /* 1135350 */   GIM_Try, /*On fail goto*//*Label 16610*/ GIMT_Encode4(1135430), // Rule ID 15106 //
     /* 1135355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1135366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1135369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1135372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135394 */     // MIs[0] round
     /* 1135394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135404 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1135407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135429 */     // GIR_Coverage, 15106,
     /* 1135429 */     GIR_EraseRootFromParent_Done,
     /* 1135430 */   // Label 16610: @1135430
     /* 1135430 */   GIM_Try, /*On fail goto*//*Label 16611*/ GIMT_Encode4(1135510), // Rule ID 15109 //
     /* 1135435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1135446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1135449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1135452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135474 */     // MIs[0] round
     /* 1135474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135484 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1135487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135509 */     // GIR_Coverage, 15109,
     /* 1135509 */     GIR_EraseRootFromParent_Done,
     /* 1135510 */   // Label 16611: @1135510
     /* 1135510 */   GIM_Try, /*On fail goto*//*Label 16612*/ GIMT_Encode4(1135590), // Rule ID 15110 //
     /* 1135515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1135526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1135529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1135532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135554 */     // MIs[0] round
     /* 1135554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135564 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1135567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135589 */     // GIR_Coverage, 15110,
     /* 1135589 */     GIR_EraseRootFromParent_Done,
     /* 1135590 */   // Label 16612: @1135590
     /* 1135590 */   GIM_Try, /*On fail goto*//*Label 16613*/ GIMT_Encode4(1135670), // Rule ID 15113 //
     /* 1135595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1135606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1135609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1135612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135634 */     // MIs[0] round
     /* 1135634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135644 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1135647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135669 */     // GIR_Coverage, 15113,
     /* 1135669 */     GIR_EraseRootFromParent_Done,
     /* 1135670 */   // Label 16613: @1135670
     /* 1135670 */   GIM_Try, /*On fail goto*//*Label 16614*/ GIMT_Encode4(1135750), // Rule ID 15114 //
     /* 1135675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1135686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1135689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1135692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135714 */     // MIs[0] round
     /* 1135714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135724 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1135727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135749 */     // GIR_Coverage, 15114,
     /* 1135749 */     GIR_EraseRootFromParent_Done,
     /* 1135750 */   // Label 16614: @1135750
     /* 1135750 */   GIM_Try, /*On fail goto*//*Label 16615*/ GIMT_Encode4(1135830), // Rule ID 15117 //
     /* 1135755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1135766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1135769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1135772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135794 */     // MIs[0] round
     /* 1135794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135804 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1135807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135829 */     // GIR_Coverage, 15117,
     /* 1135829 */     GIR_EraseRootFromParent_Done,
     /* 1135830 */   // Label 16615: @1135830
     /* 1135830 */   GIM_Try, /*On fail goto*//*Label 16616*/ GIMT_Encode4(1135910), // Rule ID 15118 //
     /* 1135835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1135846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1135849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1135852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135874 */     // MIs[0] round
     /* 1135874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135884 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1135887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135909 */     // GIR_Coverage, 15118,
     /* 1135909 */     GIR_EraseRootFromParent_Done,
     /* 1135910 */   // Label 16616: @1135910
     /* 1135910 */   GIM_Try, /*On fail goto*//*Label 16617*/ GIMT_Encode4(1135990), // Rule ID 15121 //
     /* 1135915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1135918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1135923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1135926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1135929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1135932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135954 */     // MIs[0] round
     /* 1135954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135964 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1135967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135989 */     // GIR_Coverage, 15121,
     /* 1135989 */     GIR_EraseRootFromParent_Done,
     /* 1135990 */   // Label 16617: @1135990
     /* 1135990 */   GIM_Try, /*On fail goto*//*Label 16618*/ GIMT_Encode4(1136070), // Rule ID 15122 //
     /* 1135995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1135998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1136006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1136009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1136012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136034 */     // MIs[0] round
     /* 1136034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136044 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1136047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136069 */     // GIR_Coverage, 15122,
     /* 1136069 */     GIR_EraseRootFromParent_Done,
     /* 1136070 */   // Label 16618: @1136070
     /* 1136070 */   GIM_Try, /*On fail goto*//*Label 16619*/ GIMT_Encode4(1136150), // Rule ID 15125 //
     /* 1136075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1136078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1136086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1136089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1136092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136114 */     // MIs[0] round
     /* 1136114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136124 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1136127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136149 */     // GIR_Coverage, 15125,
     /* 1136149 */     GIR_EraseRootFromParent_Done,
     /* 1136150 */   // Label 16619: @1136150
     /* 1136150 */   GIM_Try, /*On fail goto*//*Label 16620*/ GIMT_Encode4(1136230), // Rule ID 15126 //
     /* 1136155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1136158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1136166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1136169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1136172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136194 */     // MIs[0] round
     /* 1136194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136204 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1136207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136229 */     // GIR_Coverage, 15126,
     /* 1136229 */     GIR_EraseRootFromParent_Done,
     /* 1136230 */   // Label 16620: @1136230
     /* 1136230 */   GIM_Try, /*On fail goto*//*Label 16621*/ GIMT_Encode4(1136310), // Rule ID 15129 //
     /* 1136235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1136238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1136246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1136249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1136252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136274 */     // MIs[0] round
     /* 1136274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136284 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1136287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136309 */     // GIR_Coverage, 15129,
     /* 1136309 */     GIR_EraseRootFromParent_Done,
     /* 1136310 */   // Label 16621: @1136310
     /* 1136310 */   GIM_Try, /*On fail goto*//*Label 16622*/ GIMT_Encode4(1136390), // Rule ID 15130 //
     /* 1136315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1136318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1136323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1136326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1136329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1136332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136354 */     // MIs[0] round
     /* 1136354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136364 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1136367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136389 */     // GIR_Coverage, 15130,
     /* 1136389 */     GIR_EraseRootFromParent_Done,
     /* 1136390 */   // Label 16622: @1136390
     /* 1136390 */   GIM_Try, /*On fail goto*//*Label 16623*/ GIMT_Encode4(1136470), // Rule ID 15133 //
     /* 1136395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1136406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1136409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1136412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1136415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136434 */     // MIs[0] round
     /* 1136434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136444 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1136447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136469 */     // GIR_Coverage, 15133,
     /* 1136469 */     GIR_EraseRootFromParent_Done,
     /* 1136470 */   // Label 16623: @1136470
     /* 1136470 */   GIM_Try, /*On fail goto*//*Label 16624*/ GIMT_Encode4(1136550), // Rule ID 15134 //
     /* 1136475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1136486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1136489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1136492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1136495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136514 */     // MIs[0] round
     /* 1136514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136524 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1136527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136549 */     // GIR_Coverage, 15134,
     /* 1136549 */     GIR_EraseRootFromParent_Done,
     /* 1136550 */   // Label 16624: @1136550
     /* 1136550 */   GIM_Try, /*On fail goto*//*Label 16625*/ GIMT_Encode4(1136630), // Rule ID 15137 //
     /* 1136555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1136566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1136569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1136572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1136575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136594 */     // MIs[0] round
     /* 1136594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136604 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1136607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136629 */     // GIR_Coverage, 15137,
     /* 1136629 */     GIR_EraseRootFromParent_Done,
     /* 1136630 */   // Label 16625: @1136630
     /* 1136630 */   GIM_Try, /*On fail goto*//*Label 16626*/ GIMT_Encode4(1136710), // Rule ID 15138 //
     /* 1136635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1136646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1136649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1136652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1136655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136674 */     // MIs[0] round
     /* 1136674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136684 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1136687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136709 */     // GIR_Coverage, 15138,
     /* 1136709 */     GIR_EraseRootFromParent_Done,
     /* 1136710 */   // Label 16626: @1136710
     /* 1136710 */   GIM_Try, /*On fail goto*//*Label 16627*/ GIMT_Encode4(1136790), // Rule ID 15141 //
     /* 1136715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1136726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1136729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1136732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1136735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136754 */     // MIs[0] round
     /* 1136754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136764 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1136767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136789 */     // GIR_Coverage, 15141,
     /* 1136789 */     GIR_EraseRootFromParent_Done,
     /* 1136790 */   // Label 16627: @1136790
     /* 1136790 */   GIM_Try, /*On fail goto*//*Label 16628*/ GIMT_Encode4(1136870), // Rule ID 15142 //
     /* 1136795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1136806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1136809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1136812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1136815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136834 */     // MIs[0] round
     /* 1136834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136844 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1136847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136869 */     // GIR_Coverage, 15142,
     /* 1136869 */     GIR_EraseRootFromParent_Done,
     /* 1136870 */   // Label 16628: @1136870
     /* 1136870 */   GIM_Try, /*On fail goto*//*Label 16629*/ GIMT_Encode4(1136950), // Rule ID 15145 //
     /* 1136875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1136886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1136889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1136892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1136895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136914 */     // MIs[0] round
     /* 1136914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136924 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1136927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136949 */     // GIR_Coverage, 15145,
     /* 1136949 */     GIR_EraseRootFromParent_Done,
     /* 1136950 */   // Label 16629: @1136950
     /* 1136950 */   GIM_Try, /*On fail goto*//*Label 16630*/ GIMT_Encode4(1137030), // Rule ID 15146 //
     /* 1136955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1136966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1136969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1136972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1136975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136994 */     // MIs[0] round
     /* 1136994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137004 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1137007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137029 */     // GIR_Coverage, 15146,
     /* 1137029 */     GIR_EraseRootFromParent_Done,
     /* 1137030 */   // Label 16630: @1137030
     /* 1137030 */   GIM_Try, /*On fail goto*//*Label 16631*/ GIMT_Encode4(1137110), // Rule ID 15149 //
     /* 1137035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1137046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1137049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1137052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1137055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137074 */     // MIs[0] round
     /* 1137074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137084 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1137087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137109 */     // GIR_Coverage, 15149,
     /* 1137109 */     GIR_EraseRootFromParent_Done,
     /* 1137110 */   // Label 16631: @1137110
     /* 1137110 */   GIM_Try, /*On fail goto*//*Label 16632*/ GIMT_Encode4(1137190), // Rule ID 15150 //
     /* 1137115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1137126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1137129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1137132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1137135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137154 */     // MIs[0] round
     /* 1137154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137164 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1137167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137189 */     // GIR_Coverage, 15150,
     /* 1137189 */     GIR_EraseRootFromParent_Done,
     /* 1137190 */   // Label 16632: @1137190
     /* 1137190 */   GIM_Try, /*On fail goto*//*Label 16633*/ GIMT_Encode4(1137270), // Rule ID 15153 //
     /* 1137195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1137206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1137209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1137212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1137215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137234 */     // MIs[0] round
     /* 1137234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137244 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1137247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137269 */     // GIR_Coverage, 15153,
     /* 1137269 */     GIR_EraseRootFromParent_Done,
     /* 1137270 */   // Label 16633: @1137270
     /* 1137270 */   GIM_Try, /*On fail goto*//*Label 16634*/ GIMT_Encode4(1137350), // Rule ID 15154 //
     /* 1137275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1137286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1137289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1137292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1137295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137314 */     // MIs[0] round
     /* 1137314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137324 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1137327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137349 */     // GIR_Coverage, 15154,
     /* 1137349 */     GIR_EraseRootFromParent_Done,
     /* 1137350 */   // Label 16634: @1137350
     /* 1137350 */   GIM_Try, /*On fail goto*//*Label 16635*/ GIMT_Encode4(1137430), // Rule ID 15157 //
     /* 1137355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1137366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1137369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1137372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1137375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137394 */     // MIs[0] round
     /* 1137394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137404 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1137407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137429 */     // GIR_Coverage, 15157,
     /* 1137429 */     GIR_EraseRootFromParent_Done,
     /* 1137430 */   // Label 16635: @1137430
     /* 1137430 */   GIM_Try, /*On fail goto*//*Label 16636*/ GIMT_Encode4(1137510), // Rule ID 15158 //
     /* 1137435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1137446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1137449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1137452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1137455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137474 */     // MIs[0] round
     /* 1137474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137484 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1137487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137509 */     // GIR_Coverage, 15158,
     /* 1137509 */     GIR_EraseRootFromParent_Done,
     /* 1137510 */   // Label 16636: @1137510
     /* 1137510 */   GIM_Try, /*On fail goto*//*Label 16637*/ GIMT_Encode4(1137590), // Rule ID 15161 //
     /* 1137515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1137526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1137529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1137532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1137535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137554 */     // MIs[0] round
     /* 1137554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1137567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137589 */     // GIR_Coverage, 15161,
     /* 1137589 */     GIR_EraseRootFromParent_Done,
     /* 1137590 */   // Label 16637: @1137590
     /* 1137590 */   GIM_Try, /*On fail goto*//*Label 16638*/ GIMT_Encode4(1137670), // Rule ID 15162 //
     /* 1137595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1137606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1137609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1137612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1137615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137634 */     // MIs[0] round
     /* 1137634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137644 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1137647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137669 */     // GIR_Coverage, 15162,
     /* 1137669 */     GIR_EraseRootFromParent_Done,
     /* 1137670 */   // Label 16638: @1137670
     /* 1137670 */   GIM_Try, /*On fail goto*//*Label 16639*/ GIMT_Encode4(1137750), // Rule ID 15165 //
     /* 1137675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1137686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1137689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1137692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1137695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137714 */     // MIs[0] round
     /* 1137714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1137727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137749 */     // GIR_Coverage, 15165,
     /* 1137749 */     GIR_EraseRootFromParent_Done,
     /* 1137750 */   // Label 16639: @1137750
     /* 1137750 */   GIM_Try, /*On fail goto*//*Label 16640*/ GIMT_Encode4(1137830), // Rule ID 15166 //
     /* 1137755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1137766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1137769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1137772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1137775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137794 */     // MIs[0] round
     /* 1137794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137804 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1137807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137829 */     // GIR_Coverage, 15166,
     /* 1137829 */     GIR_EraseRootFromParent_Done,
     /* 1137830 */   // Label 16640: @1137830
     /* 1137830 */   GIM_Try, /*On fail goto*//*Label 16641*/ GIMT_Encode4(1137910), // Rule ID 15169 //
     /* 1137835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1137838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1137846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1137849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1137852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1137855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137874 */     // MIs[0] round
     /* 1137874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137884 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1137887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137909 */     // GIR_Coverage, 15169,
     /* 1137909 */     GIR_EraseRootFromParent_Done,
     /* 1137910 */   // Label 16641: @1137910
     /* 1137910 */   GIM_Try, /*On fail goto*//*Label 16642*/ GIMT_Encode4(1137990), // Rule ID 15170 //
     /* 1137915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1137918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1137926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1137929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1137932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1137935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137954 */     // MIs[0] round
     /* 1137954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137964 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1137967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137989 */     // GIR_Coverage, 15170,
     /* 1137989 */     GIR_EraseRootFromParent_Done,
     /* 1137990 */   // Label 16642: @1137990
     /* 1137990 */   GIM_Try, /*On fail goto*//*Label 16643*/ GIMT_Encode4(1138070), // Rule ID 15173 //
     /* 1137995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1138006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1138009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1138012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1138015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138034 */     // MIs[0] round
     /* 1138034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138044 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1138047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138069 */     // GIR_Coverage, 15173,
     /* 1138069 */     GIR_EraseRootFromParent_Done,
     /* 1138070 */   // Label 16643: @1138070
     /* 1138070 */   GIM_Try, /*On fail goto*//*Label 16644*/ GIMT_Encode4(1138150), // Rule ID 15174 //
     /* 1138075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1138086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1138089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1138092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1138095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138114 */     // MIs[0] round
     /* 1138114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138124 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1138127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138149 */     // GIR_Coverage, 15174,
     /* 1138149 */     GIR_EraseRootFromParent_Done,
     /* 1138150 */   // Label 16644: @1138150
     /* 1138150 */   GIM_Try, /*On fail goto*//*Label 16645*/ GIMT_Encode4(1138230), // Rule ID 15177 //
     /* 1138155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1138166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1138169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1138172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1138175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138194 */     // MIs[0] round
     /* 1138194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138204 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1138207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138229 */     // GIR_Coverage, 15177,
     /* 1138229 */     GIR_EraseRootFromParent_Done,
     /* 1138230 */   // Label 16645: @1138230
     /* 1138230 */   GIM_Try, /*On fail goto*//*Label 16646*/ GIMT_Encode4(1138310), // Rule ID 15178 //
     /* 1138235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1138246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1138249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1138252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1138255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138274 */     // MIs[0] round
     /* 1138274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138284 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1138287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138309 */     // GIR_Coverage, 15178,
     /* 1138309 */     GIR_EraseRootFromParent_Done,
     /* 1138310 */   // Label 16646: @1138310
     /* 1138310 */   GIM_Try, /*On fail goto*//*Label 16647*/ GIMT_Encode4(1138390), // Rule ID 15181 //
     /* 1138315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1138326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1138329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1138332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1138335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138354 */     // MIs[0] round
     /* 1138354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138364 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1138367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138389 */     // GIR_Coverage, 15181,
     /* 1138389 */     GIR_EraseRootFromParent_Done,
     /* 1138390 */   // Label 16647: @1138390
     /* 1138390 */   GIM_Try, /*On fail goto*//*Label 16648*/ GIMT_Encode4(1138470), // Rule ID 15182 //
     /* 1138395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1138406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1138409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1138412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1138415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138434 */     // MIs[0] round
     /* 1138434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138444 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1138447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138469 */     // GIR_Coverage, 15182,
     /* 1138469 */     GIR_EraseRootFromParent_Done,
     /* 1138470 */   // Label 16648: @1138470
     /* 1138470 */   GIM_Try, /*On fail goto*//*Label 16649*/ GIMT_Encode4(1138550), // Rule ID 15185 //
     /* 1138475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1138486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1138489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1138492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1138495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138514 */     // MIs[0] round
     /* 1138514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1138527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138549 */     // GIR_Coverage, 15185,
     /* 1138549 */     GIR_EraseRootFromParent_Done,
     /* 1138550 */   // Label 16649: @1138550
     /* 1138550 */   GIM_Try, /*On fail goto*//*Label 16650*/ GIMT_Encode4(1138630), // Rule ID 15186 //
     /* 1138555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1138566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1138569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1138572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1138575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138594 */     // MIs[0] round
     /* 1138594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138604 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1138607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138629 */     // GIR_Coverage, 15186,
     /* 1138629 */     GIR_EraseRootFromParent_Done,
     /* 1138630 */   // Label 16650: @1138630
     /* 1138630 */   GIM_Try, /*On fail goto*//*Label 16651*/ GIMT_Encode4(1138710), // Rule ID 15189 //
     /* 1138635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1138646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1138649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1138652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1138655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138674 */     // MIs[0] round
     /* 1138674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138684 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1138687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138709 */     // GIR_Coverage, 15189,
     /* 1138709 */     GIR_EraseRootFromParent_Done,
     /* 1138710 */   // Label 16651: @1138710
     /* 1138710 */   GIM_Try, /*On fail goto*//*Label 16652*/ GIMT_Encode4(1138790), // Rule ID 15190 //
     /* 1138715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1138726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1138729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1138732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1138735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138754 */     // MIs[0] round
     /* 1138754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138764 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1138767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138789 */     // GIR_Coverage, 15190,
     /* 1138789 */     GIR_EraseRootFromParent_Done,
     /* 1138790 */   // Label 16652: @1138790
     /* 1138790 */   GIM_Try, /*On fail goto*//*Label 16653*/ GIMT_Encode4(1138870), // Rule ID 15193 //
     /* 1138795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1138806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1138809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1138812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1138815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138834 */     // MIs[0] round
     /* 1138834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138844 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1138847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138869 */     // GIR_Coverage, 15193,
     /* 1138869 */     GIR_EraseRootFromParent_Done,
     /* 1138870 */   // Label 16653: @1138870
     /* 1138870 */   GIM_Try, /*On fail goto*//*Label 16654*/ GIMT_Encode4(1138950), // Rule ID 15194 //
     /* 1138875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1138886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1138889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1138892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1138895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138914 */     // MIs[0] round
     /* 1138914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138924 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1138927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138949 */     // GIR_Coverage, 15194,
     /* 1138949 */     GIR_EraseRootFromParent_Done,
     /* 1138950 */   // Label 16654: @1138950
     /* 1138950 */   GIM_Try, /*On fail goto*//*Label 16655*/ GIMT_Encode4(1139030), // Rule ID 15197 //
     /* 1138955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1138966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1138969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1138972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1138975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138994 */     // MIs[0] round
     /* 1138994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139004 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1139007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139029 */     // GIR_Coverage, 15197,
     /* 1139029 */     GIR_EraseRootFromParent_Done,
     /* 1139030 */   // Label 16655: @1139030
     /* 1139030 */   GIM_Try, /*On fail goto*//*Label 16656*/ GIMT_Encode4(1139110), // Rule ID 15198 //
     /* 1139035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1139046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1139049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1139052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1139055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139074 */     // MIs[0] round
     /* 1139074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139084 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1139087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139109 */     // GIR_Coverage, 15198,
     /* 1139109 */     GIR_EraseRootFromParent_Done,
     /* 1139110 */   // Label 16656: @1139110
     /* 1139110 */   GIM_Try, /*On fail goto*//*Label 16657*/ GIMT_Encode4(1139190), // Rule ID 15201 //
     /* 1139115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1139126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1139129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1139132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1139135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139154 */     // MIs[0] round
     /* 1139154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139164 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1139167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139189 */     // GIR_Coverage, 15201,
     /* 1139189 */     GIR_EraseRootFromParent_Done,
     /* 1139190 */   // Label 16657: @1139190
     /* 1139190 */   GIM_Try, /*On fail goto*//*Label 16658*/ GIMT_Encode4(1139270), // Rule ID 15202 //
     /* 1139195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1139206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1139209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1139212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1139215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139234 */     // MIs[0] round
     /* 1139234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139244 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1139247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139269 */     // GIR_Coverage, 15202,
     /* 1139269 */     GIR_EraseRootFromParent_Done,
     /* 1139270 */   // Label 16658: @1139270
     /* 1139270 */   GIM_Try, /*On fail goto*//*Label 16659*/ GIMT_Encode4(1139350), // Rule ID 15205 //
     /* 1139275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1139286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1139289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1139292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1139295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139314 */     // MIs[0] round
     /* 1139314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1139327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139349 */     // GIR_Coverage, 15205,
     /* 1139349 */     GIR_EraseRootFromParent_Done,
     /* 1139350 */   // Label 16659: @1139350
     /* 1139350 */   GIM_Try, /*On fail goto*//*Label 16660*/ GIMT_Encode4(1139430), // Rule ID 15206 //
     /* 1139355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1139366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1139369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1139372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1139375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139394 */     // MIs[0] round
     /* 1139394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139404 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1139407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139429 */     // GIR_Coverage, 15206,
     /* 1139429 */     GIR_EraseRootFromParent_Done,
     /* 1139430 */   // Label 16660: @1139430
     /* 1139430 */   GIM_Try, /*On fail goto*//*Label 16661*/ GIMT_Encode4(1139510), // Rule ID 15209 //
     /* 1139435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1139438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1139446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1139449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1139452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1139455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139474 */     // MIs[0] round
     /* 1139474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139484 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1139487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139509 */     // GIR_Coverage, 15209,
     /* 1139509 */     GIR_EraseRootFromParent_Done,
     /* 1139510 */   // Label 16661: @1139510
     /* 1139510 */   GIM_Try, /*On fail goto*//*Label 16662*/ GIMT_Encode4(1139590), // Rule ID 15210 //
     /* 1139515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1139518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1139526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1139529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1139532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1139535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139554 */     // MIs[0] round
     /* 1139554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139564 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1139567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139589 */     // GIR_Coverage, 15210,
     /* 1139589 */     GIR_EraseRootFromParent_Done,
     /* 1139590 */   // Label 16662: @1139590
     /* 1139590 */   GIM_Try, /*On fail goto*//*Label 16663*/ GIMT_Encode4(1139670), // Rule ID 15213 //
     /* 1139595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1139598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1139606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1139609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1139612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1139615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139634 */     // MIs[0] round
     /* 1139634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139644 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1139647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139669 */     // GIR_Coverage, 15213,
     /* 1139669 */     GIR_EraseRootFromParent_Done,
     /* 1139670 */   // Label 16663: @1139670
     /* 1139670 */   GIM_Try, /*On fail goto*//*Label 16664*/ GIMT_Encode4(1139750), // Rule ID 15214 //
     /* 1139675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1139678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1139686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1139689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1139692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1139695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139714 */     // MIs[0] round
     /* 1139714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139724 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1139727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139749 */     // GIR_Coverage, 15214,
     /* 1139749 */     GIR_EraseRootFromParent_Done,
     /* 1139750 */   // Label 16664: @1139750
     /* 1139750 */   GIM_Try, /*On fail goto*//*Label 16665*/ GIMT_Encode4(1139830), // Rule ID 15217 //
     /* 1139755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1139758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1139766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1139769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1139772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1139775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139794 */     // MIs[0] round
     /* 1139794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139804 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1139807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139829 */     // GIR_Coverage, 15217,
     /* 1139829 */     GIR_EraseRootFromParent_Done,
     /* 1139830 */   // Label 16665: @1139830
     /* 1139830 */   GIM_Try, /*On fail goto*//*Label 16666*/ GIMT_Encode4(1139910), // Rule ID 15218 //
     /* 1139835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1139838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1139846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1139849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1139852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1139855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139874 */     // MIs[0] round
     /* 1139874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139884 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1139887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139909 */     // GIR_Coverage, 15218,
     /* 1139909 */     GIR_EraseRootFromParent_Done,
     /* 1139910 */   // Label 16666: @1139910
     /* 1139910 */   GIM_Try, /*On fail goto*//*Label 16667*/ GIMT_Encode4(1139990), // Rule ID 15221 //
     /* 1139915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1139923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1139926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1139929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1139932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139954 */     // MIs[0] round
     /* 1139954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139964 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1139967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139989 */     // GIR_Coverage, 15221,
     /* 1139989 */     GIR_EraseRootFromParent_Done,
     /* 1139990 */   // Label 16667: @1139990
     /* 1139990 */   GIM_Try, /*On fail goto*//*Label 16668*/ GIMT_Encode4(1140070), // Rule ID 15222 //
     /* 1139995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1140006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1140009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1140012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140034 */     // MIs[0] round
     /* 1140034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140044 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1140047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140069 */     // GIR_Coverage, 15222,
     /* 1140069 */     GIR_EraseRootFromParent_Done,
     /* 1140070 */   // Label 16668: @1140070
     /* 1140070 */   GIM_Try, /*On fail goto*//*Label 16669*/ GIMT_Encode4(1140150), // Rule ID 15225 //
     /* 1140075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1140086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1140089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1140092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140114 */     // MIs[0] round
     /* 1140114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140124 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1140127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140149 */     // GIR_Coverage, 15225,
     /* 1140149 */     GIR_EraseRootFromParent_Done,
     /* 1140150 */   // Label 16669: @1140150
     /* 1140150 */   GIM_Try, /*On fail goto*//*Label 16670*/ GIMT_Encode4(1140230), // Rule ID 15226 //
     /* 1140155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1140166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1140169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1140172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140194 */     // MIs[0] round
     /* 1140194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140204 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1140207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140229 */     // GIR_Coverage, 15226,
     /* 1140229 */     GIR_EraseRootFromParent_Done,
     /* 1140230 */   // Label 16670: @1140230
     /* 1140230 */   GIM_Try, /*On fail goto*//*Label 16671*/ GIMT_Encode4(1140310), // Rule ID 15229 //
     /* 1140235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1140246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1140249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1140252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140274 */     // MIs[0] round
     /* 1140274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140284 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1140287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140309 */     // GIR_Coverage, 15229,
     /* 1140309 */     GIR_EraseRootFromParent_Done,
     /* 1140310 */   // Label 16671: @1140310
     /* 1140310 */   GIM_Try, /*On fail goto*//*Label 16672*/ GIMT_Encode4(1140390), // Rule ID 15230 //
     /* 1140315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1140326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1140329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1140332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140354 */     // MIs[0] round
     /* 1140354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140364 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1140367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140389 */     // GIR_Coverage, 15230,
     /* 1140389 */     GIR_EraseRootFromParent_Done,
     /* 1140390 */   // Label 16672: @1140390
     /* 1140390 */   GIM_Try, /*On fail goto*//*Label 16673*/ GIMT_Encode4(1140470), // Rule ID 15233 //
     /* 1140395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1140406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1140409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1140412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140434 */     // MIs[0] round
     /* 1140434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140444 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1140447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140469 */     // GIR_Coverage, 15233,
     /* 1140469 */     GIR_EraseRootFromParent_Done,
     /* 1140470 */   // Label 16673: @1140470
     /* 1140470 */   GIM_Try, /*On fail goto*//*Label 16674*/ GIMT_Encode4(1140550), // Rule ID 15234 //
     /* 1140475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1140486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1140489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1140492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140514 */     // MIs[0] round
     /* 1140514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140524 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1140527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140549 */     // GIR_Coverage, 15234,
     /* 1140549 */     GIR_EraseRootFromParent_Done,
     /* 1140550 */   // Label 16674: @1140550
     /* 1140550 */   GIM_Try, /*On fail goto*//*Label 16675*/ GIMT_Encode4(1140630), // Rule ID 15237 //
     /* 1140555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1140566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1140569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1140572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140594 */     // MIs[0] round
     /* 1140594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140604 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1140607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140629 */     // GIR_Coverage, 15237,
     /* 1140629 */     GIR_EraseRootFromParent_Done,
     /* 1140630 */   // Label 16675: @1140630
     /* 1140630 */   GIM_Try, /*On fail goto*//*Label 16676*/ GIMT_Encode4(1140710), // Rule ID 15238 //
     /* 1140635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1140646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1140649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1140652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140674 */     // MIs[0] round
     /* 1140674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140684 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1140687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140709 */     // GIR_Coverage, 15238,
     /* 1140709 */     GIR_EraseRootFromParent_Done,
     /* 1140710 */   // Label 16676: @1140710
     /* 1140710 */   GIM_Try, /*On fail goto*//*Label 16677*/ GIMT_Encode4(1140790), // Rule ID 15241 //
     /* 1140715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1140726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1140729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1140732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140754 */     // MIs[0] round
     /* 1140754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140764 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1140767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140789 */     // GIR_Coverage, 15241,
     /* 1140789 */     GIR_EraseRootFromParent_Done,
     /* 1140790 */   // Label 16677: @1140790
     /* 1140790 */   GIM_Try, /*On fail goto*//*Label 16678*/ GIMT_Encode4(1140870), // Rule ID 15242 //
     /* 1140795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1140806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1140809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1140812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140834 */     // MIs[0] round
     /* 1140834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140844 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1140847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140869 */     // GIR_Coverage, 15242,
     /* 1140869 */     GIR_EraseRootFromParent_Done,
     /* 1140870 */   // Label 16678: @1140870
     /* 1140870 */   GIM_Try, /*On fail goto*//*Label 16679*/ GIMT_Encode4(1140950), // Rule ID 15245 //
     /* 1140875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1140886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1140889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1140892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140914 */     // MIs[0] round
     /* 1140914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140924 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1140927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140949 */     // GIR_Coverage, 15245,
     /* 1140949 */     GIR_EraseRootFromParent_Done,
     /* 1140950 */   // Label 16679: @1140950
     /* 1140950 */   GIM_Try, /*On fail goto*//*Label 16680*/ GIMT_Encode4(1141030), // Rule ID 15246 //
     /* 1140955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1140963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1140966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1140969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1140972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1140994 */     // MIs[0] round
     /* 1140994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141004 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1141007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141029 */     // GIR_Coverage, 15246,
     /* 1141029 */     GIR_EraseRootFromParent_Done,
     /* 1141030 */   // Label 16680: @1141030
     /* 1141030 */   GIM_Try, /*On fail goto*//*Label 16681*/ GIMT_Encode4(1141110), // Rule ID 15249 //
     /* 1141035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1141046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1141049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1141052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141074 */     // MIs[0] round
     /* 1141074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1141087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141109 */     // GIR_Coverage, 15249,
     /* 1141109 */     GIR_EraseRootFromParent_Done,
     /* 1141110 */   // Label 16681: @1141110
     /* 1141110 */   GIM_Try, /*On fail goto*//*Label 16682*/ GIMT_Encode4(1141190), // Rule ID 15250 //
     /* 1141115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1141126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1141129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1141132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141154 */     // MIs[0] round
     /* 1141154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1141167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141189 */     // GIR_Coverage, 15250,
     /* 1141189 */     GIR_EraseRootFromParent_Done,
     /* 1141190 */   // Label 16682: @1141190
     /* 1141190 */   GIM_Try, /*On fail goto*//*Label 16683*/ GIMT_Encode4(1141270), // Rule ID 15253 //
     /* 1141195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1141206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1141209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1141212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141234 */     // MIs[0] round
     /* 1141234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141244 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1141247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141269 */     // GIR_Coverage, 15253,
     /* 1141269 */     GIR_EraseRootFromParent_Done,
     /* 1141270 */   // Label 16683: @1141270
     /* 1141270 */   GIM_Try, /*On fail goto*//*Label 16684*/ GIMT_Encode4(1141350), // Rule ID 15254 //
     /* 1141275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1141286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1141289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1141292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141314 */     // MIs[0] round
     /* 1141314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141324 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1141327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141349 */     // GIR_Coverage, 15254,
     /* 1141349 */     GIR_EraseRootFromParent_Done,
     /* 1141350 */   // Label 16684: @1141350
     /* 1141350 */   GIM_Try, /*On fail goto*//*Label 16685*/ GIMT_Encode4(1141430), // Rule ID 15257 //
     /* 1141355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1141358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1141366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1141369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1141372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141394 */     // MIs[0] round
     /* 1141394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141404 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1141407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141429 */     // GIR_Coverage, 15257,
     /* 1141429 */     GIR_EraseRootFromParent_Done,
     /* 1141430 */   // Label 16685: @1141430
     /* 1141430 */   GIM_Try, /*On fail goto*//*Label 16686*/ GIMT_Encode4(1141510), // Rule ID 15258 //
     /* 1141435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1141438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1141446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1141449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1141452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141474 */     // MIs[0] round
     /* 1141474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141484 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1141487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141509 */     // GIR_Coverage, 15258,
     /* 1141509 */     GIR_EraseRootFromParent_Done,
     /* 1141510 */   // Label 16686: @1141510
     /* 1141510 */   GIM_Try, /*On fail goto*//*Label 16687*/ GIMT_Encode4(1141590), // Rule ID 15261 //
     /* 1141515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1141526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1141529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1141532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141554 */     // MIs[0] round
     /* 1141554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141564 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1141567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141589 */     // GIR_Coverage, 15261,
     /* 1141589 */     GIR_EraseRootFromParent_Done,
     /* 1141590 */   // Label 16687: @1141590
     /* 1141590 */   GIM_Try, /*On fail goto*//*Label 16688*/ GIMT_Encode4(1141670), // Rule ID 15262 //
     /* 1141595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1141606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1141609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1141612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141634 */     // MIs[0] round
     /* 1141634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141644 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1141647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141669 */     // GIR_Coverage, 15262,
     /* 1141669 */     GIR_EraseRootFromParent_Done,
     /* 1141670 */   // Label 16688: @1141670
     /* 1141670 */   GIM_Try, /*On fail goto*//*Label 16689*/ GIMT_Encode4(1141750), // Rule ID 15265 //
     /* 1141675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1141686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1141689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1141692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141714 */     // MIs[0] round
     /* 1141714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141724 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1141727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141749 */     // GIR_Coverage, 15265,
     /* 1141749 */     GIR_EraseRootFromParent_Done,
     /* 1141750 */   // Label 16689: @1141750
     /* 1141750 */   GIM_Try, /*On fail goto*//*Label 16690*/ GIMT_Encode4(1141830), // Rule ID 15266 //
     /* 1141755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1141766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1141769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1141772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141794 */     // MIs[0] round
     /* 1141794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141804 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1141807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141829 */     // GIR_Coverage, 15266,
     /* 1141829 */     GIR_EraseRootFromParent_Done,
     /* 1141830 */   // Label 16690: @1141830
     /* 1141830 */   GIM_Try, /*On fail goto*//*Label 16691*/ GIMT_Encode4(1141910), // Rule ID 15269 //
     /* 1141835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1141846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1141849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1141852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1141855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141874 */     // MIs[0] round
     /* 1141874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141884 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1141887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141909 */     // GIR_Coverage, 15269,
     /* 1141909 */     GIR_EraseRootFromParent_Done,
     /* 1141910 */   // Label 16691: @1141910
     /* 1141910 */   GIM_Try, /*On fail goto*//*Label 16692*/ GIMT_Encode4(1141990), // Rule ID 15270 //
     /* 1141915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1141923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1141926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1141929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1141932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1141954 */     // MIs[0] round
     /* 1141954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141964 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1141967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141989 */     // GIR_Coverage, 15270,
     /* 1141989 */     GIR_EraseRootFromParent_Done,
     /* 1141990 */   // Label 16692: @1141990
     /* 1141990 */   GIM_Try, /*On fail goto*//*Label 16693*/ GIMT_Encode4(1142070), // Rule ID 15273 //
     /* 1141995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1142006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1142009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1142012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142034 */     // MIs[0] round
     /* 1142034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142044 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1142047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142069 */     // GIR_Coverage, 15273,
     /* 1142069 */     GIR_EraseRootFromParent_Done,
     /* 1142070 */   // Label 16693: @1142070
     /* 1142070 */   GIM_Try, /*On fail goto*//*Label 16694*/ GIMT_Encode4(1142150), // Rule ID 15274 //
     /* 1142075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1142086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1142089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1142092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142114 */     // MIs[0] round
     /* 1142114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142124 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1142127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142149 */     // GIR_Coverage, 15274,
     /* 1142149 */     GIR_EraseRootFromParent_Done,
     /* 1142150 */   // Label 16694: @1142150
     /* 1142150 */   GIM_Try, /*On fail goto*//*Label 16695*/ GIMT_Encode4(1142230), // Rule ID 15277 //
     /* 1142155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1142166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1142169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1142172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142194 */     // MIs[0] round
     /* 1142194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142204 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1142207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142229 */     // GIR_Coverage, 15277,
     /* 1142229 */     GIR_EraseRootFromParent_Done,
     /* 1142230 */   // Label 16695: @1142230
     /* 1142230 */   GIM_Try, /*On fail goto*//*Label 16696*/ GIMT_Encode4(1142310), // Rule ID 15278 //
     /* 1142235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1142246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1142249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1142252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142274 */     // MIs[0] round
     /* 1142274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142284 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1142287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142309 */     // GIR_Coverage, 15278,
     /* 1142309 */     GIR_EraseRootFromParent_Done,
     /* 1142310 */   // Label 16696: @1142310
     /* 1142310 */   GIM_Try, /*On fail goto*//*Label 16697*/ GIMT_Encode4(1142390), // Rule ID 15281 //
     /* 1142315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1142326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1142329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1142332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142354 */     // MIs[0] round
     /* 1142354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142364 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1142367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142389 */     // GIR_Coverage, 15281,
     /* 1142389 */     GIR_EraseRootFromParent_Done,
     /* 1142390 */   // Label 16697: @1142390
     /* 1142390 */   GIM_Try, /*On fail goto*//*Label 16698*/ GIMT_Encode4(1142470), // Rule ID 15282 //
     /* 1142395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1142406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1142409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1142412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142434 */     // MIs[0] round
     /* 1142434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142444 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1142447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142469 */     // GIR_Coverage, 15282,
     /* 1142469 */     GIR_EraseRootFromParent_Done,
     /* 1142470 */   // Label 16698: @1142470
     /* 1142470 */   GIM_Try, /*On fail goto*//*Label 16699*/ GIMT_Encode4(1142550), // Rule ID 15285 //
     /* 1142475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1142486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1142489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1142492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142514 */     // MIs[0] round
     /* 1142514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142524 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1142527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142549 */     // GIR_Coverage, 15285,
     /* 1142549 */     GIR_EraseRootFromParent_Done,
     /* 1142550 */   // Label 16699: @1142550
     /* 1142550 */   GIM_Try, /*On fail goto*//*Label 16700*/ GIMT_Encode4(1142630), // Rule ID 15286 //
     /* 1142555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1142566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1142569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1142572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142594 */     // MIs[0] round
     /* 1142594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142604 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1142607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142629 */     // GIR_Coverage, 15286,
     /* 1142629 */     GIR_EraseRootFromParent_Done,
     /* 1142630 */   // Label 16700: @1142630
     /* 1142630 */   GIM_Try, /*On fail goto*//*Label 16701*/ GIMT_Encode4(1142710), // Rule ID 15289 //
     /* 1142635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1142646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1142649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1142652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142674 */     // MIs[0] round
     /* 1142674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142684 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1142687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142709 */     // GIR_Coverage, 15289,
     /* 1142709 */     GIR_EraseRootFromParent_Done,
     /* 1142710 */   // Label 16701: @1142710
     /* 1142710 */   GIM_Try, /*On fail goto*//*Label 16702*/ GIMT_Encode4(1142790), // Rule ID 15290 //
     /* 1142715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1142726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1142729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1142732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142754 */     // MIs[0] round
     /* 1142754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142764 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1142767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142789 */     // GIR_Coverage, 15290,
     /* 1142789 */     GIR_EraseRootFromParent_Done,
     /* 1142790 */   // Label 16702: @1142790
     /* 1142790 */   GIM_Try, /*On fail goto*//*Label 16703*/ GIMT_Encode4(1142870), // Rule ID 15293 //
     /* 1142795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1142806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1142809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1142812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142834 */     // MIs[0] round
     /* 1142834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142844 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1142847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142869 */     // GIR_Coverage, 15293,
     /* 1142869 */     GIR_EraseRootFromParent_Done,
     /* 1142870 */   // Label 16703: @1142870
     /* 1142870 */   GIM_Try, /*On fail goto*//*Label 16704*/ GIMT_Encode4(1142950), // Rule ID 15294 //
     /* 1142875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1142886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1142889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1142892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142914 */     // MIs[0] round
     /* 1142914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142924 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1142927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142949 */     // GIR_Coverage, 15294,
     /* 1142949 */     GIR_EraseRootFromParent_Done,
     /* 1142950 */   // Label 16704: @1142950
     /* 1142950 */   GIM_Try, /*On fail goto*//*Label 16705*/ GIMT_Encode4(1143030), // Rule ID 15297 //
     /* 1142955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1142958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1142963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1142966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1142969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1142972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142994 */     // MIs[0] round
     /* 1142994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143004 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1143007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143029 */     // GIR_Coverage, 15297,
     /* 1143029 */     GIR_EraseRootFromParent_Done,
     /* 1143030 */   // Label 16705: @1143030
     /* 1143030 */   GIM_Try, /*On fail goto*//*Label 16706*/ GIMT_Encode4(1143110), // Rule ID 15298 //
     /* 1143035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1143038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1143046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1143049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1143052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143074 */     // MIs[0] round
     /* 1143074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143084 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1143087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143109 */     // GIR_Coverage, 15298,
     /* 1143109 */     GIR_EraseRootFromParent_Done,
     /* 1143110 */   // Label 16706: @1143110
     /* 1143110 */   GIM_Try, /*On fail goto*//*Label 16707*/ GIMT_Encode4(1143190), // Rule ID 15301 //
     /* 1143115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1143118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1143126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1143129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1143132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143154 */     // MIs[0] round
     /* 1143154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143164 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1143167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143189 */     // GIR_Coverage, 15301,
     /* 1143189 */     GIR_EraseRootFromParent_Done,
     /* 1143190 */   // Label 16707: @1143190
     /* 1143190 */   GIM_Try, /*On fail goto*//*Label 16708*/ GIMT_Encode4(1143270), // Rule ID 15302 //
     /* 1143195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1143198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1143206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1143209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1143212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143234 */     // MIs[0] round
     /* 1143234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143244 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1143247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143269 */     // GIR_Coverage, 15302,
     /* 1143269 */     GIR_EraseRootFromParent_Done,
     /* 1143270 */   // Label 16708: @1143270
     /* 1143270 */   GIM_Try, /*On fail goto*//*Label 16709*/ GIMT_Encode4(1143350), // Rule ID 15305 //
     /* 1143275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1143278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1143286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1143289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1143292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143314 */     // MIs[0] round
     /* 1143314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143324 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1143327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143349 */     // GIR_Coverage, 15305,
     /* 1143349 */     GIR_EraseRootFromParent_Done,
     /* 1143350 */   // Label 16709: @1143350
     /* 1143350 */   GIM_Try, /*On fail goto*//*Label 16710*/ GIMT_Encode4(1143430), // Rule ID 15306 //
     /* 1143355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1143358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1143363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1143366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1143369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1143372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143394 */     // MIs[0] round
     /* 1143394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143404 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1143407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143429 */     // GIR_Coverage, 15306,
     /* 1143429 */     GIR_EraseRootFromParent_Done,
     /* 1143430 */   // Label 16710: @1143430
     /* 1143430 */   GIM_Try, /*On fail goto*//*Label 16711*/ GIMT_Encode4(1143510), // Rule ID 15309 //
     /* 1143435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1143443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1143446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1143449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1143452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1143455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143474 */     // MIs[0] round
     /* 1143474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143484 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1143487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143509 */     // GIR_Coverage, 15309,
     /* 1143509 */     GIR_EraseRootFromParent_Done,
     /* 1143510 */   // Label 16711: @1143510
     /* 1143510 */   GIM_Try, /*On fail goto*//*Label 16712*/ GIMT_Encode4(1143590), // Rule ID 15310 //
     /* 1143515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1143523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1143526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1143529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1143532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1143535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143554 */     // MIs[0] round
     /* 1143554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143564 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1143567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143589 */     // GIR_Coverage, 15310,
     /* 1143589 */     GIR_EraseRootFromParent_Done,
     /* 1143590 */   // Label 16712: @1143590
     /* 1143590 */   GIM_Try, /*On fail goto*//*Label 16713*/ GIMT_Encode4(1143670), // Rule ID 15313 //
     /* 1143595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1143603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1143606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1143609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1143612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1143615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143634 */     // MIs[0] round
     /* 1143634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143644 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1143647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143669 */     // GIR_Coverage, 15313,
     /* 1143669 */     GIR_EraseRootFromParent_Done,
     /* 1143670 */   // Label 16713: @1143670
     /* 1143670 */   GIM_Try, /*On fail goto*//*Label 16714*/ GIMT_Encode4(1143750), // Rule ID 15314 //
     /* 1143675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1143683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1143686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1143689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1143692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1143695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143714 */     // MIs[0] round
     /* 1143714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143724 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1143727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143749 */     // GIR_Coverage, 15314,
     /* 1143749 */     GIR_EraseRootFromParent_Done,
     /* 1143750 */   // Label 16714: @1143750
     /* 1143750 */   GIM_Try, /*On fail goto*//*Label 16715*/ GIMT_Encode4(1143830), // Rule ID 15317 //
     /* 1143755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1143763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1143766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1143769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1143772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1143775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143794 */     // MIs[0] round
     /* 1143794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143804 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1143807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143829 */     // GIR_Coverage, 15317,
     /* 1143829 */     GIR_EraseRootFromParent_Done,
     /* 1143830 */   // Label 16715: @1143830
     /* 1143830 */   GIM_Try, /*On fail goto*//*Label 16716*/ GIMT_Encode4(1143910), // Rule ID 15318 //
     /* 1143835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1143843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1143846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1143849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1143852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1143855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143874 */     // MIs[0] round
     /* 1143874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143884 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1143887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143909 */     // GIR_Coverage, 15318,
     /* 1143909 */     GIR_EraseRootFromParent_Done,
     /* 1143910 */   // Label 16716: @1143910
     /* 1143910 */   GIM_Try, /*On fail goto*//*Label 16717*/ GIMT_Encode4(1143990), // Rule ID 15321 //
     /* 1143915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1143923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1143926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1143929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1143932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1143935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143954 */     // MIs[0] round
     /* 1143954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143964 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1143967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143989 */     // GIR_Coverage, 15321,
     /* 1143989 */     GIR_EraseRootFromParent_Done,
     /* 1143990 */   // Label 16717: @1143990
     /* 1143990 */   GIM_Try, /*On fail goto*//*Label 16718*/ GIMT_Encode4(1144070), // Rule ID 15322 //
     /* 1143995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1144006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1144009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1144012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1144015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144034 */     // MIs[0] round
     /* 1144034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144044 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1144047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144069 */     // GIR_Coverage, 15322,
     /* 1144069 */     GIR_EraseRootFromParent_Done,
     /* 1144070 */   // Label 16718: @1144070
     /* 1144070 */   GIM_Try, /*On fail goto*//*Label 16719*/ GIMT_Encode4(1144150), // Rule ID 15325 //
     /* 1144075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1144086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1144089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1144092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1144095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144114 */     // MIs[0] round
     /* 1144114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144124 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1144127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144149 */     // GIR_Coverage, 15325,
     /* 1144149 */     GIR_EraseRootFromParent_Done,
     /* 1144150 */   // Label 16719: @1144150
     /* 1144150 */   GIM_Try, /*On fail goto*//*Label 16720*/ GIMT_Encode4(1144230), // Rule ID 15326 //
     /* 1144155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1144166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1144169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1144172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1144175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144194 */     // MIs[0] round
     /* 1144194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144204 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1144207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144229 */     // GIR_Coverage, 15326,
     /* 1144229 */     GIR_EraseRootFromParent_Done,
     /* 1144230 */   // Label 16720: @1144230
     /* 1144230 */   GIM_Try, /*On fail goto*//*Label 16721*/ GIMT_Encode4(1144310), // Rule ID 15329 //
     /* 1144235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1144246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1144249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1144252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1144255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144274 */     // MIs[0] round
     /* 1144274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144284 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1144287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144309 */     // GIR_Coverage, 15329,
     /* 1144309 */     GIR_EraseRootFromParent_Done,
     /* 1144310 */   // Label 16721: @1144310
     /* 1144310 */   GIM_Try, /*On fail goto*//*Label 16722*/ GIMT_Encode4(1144390), // Rule ID 15330 //
     /* 1144315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1144326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1144329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1144332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1144335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144354 */     // MIs[0] round
     /* 1144354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144364 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1144367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144389 */     // GIR_Coverage, 15330,
     /* 1144389 */     GIR_EraseRootFromParent_Done,
     /* 1144390 */   // Label 16722: @1144390
     /* 1144390 */   GIM_Try, /*On fail goto*//*Label 16723*/ GIMT_Encode4(1144470), // Rule ID 15333 //
     /* 1144395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1144406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1144409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1144412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1144415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144434 */     // MIs[0] round
     /* 1144434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144444 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1144447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144469 */     // GIR_Coverage, 15333,
     /* 1144469 */     GIR_EraseRootFromParent_Done,
     /* 1144470 */   // Label 16723: @1144470
     /* 1144470 */   GIM_Try, /*On fail goto*//*Label 16724*/ GIMT_Encode4(1144550), // Rule ID 15334 //
     /* 1144475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1144486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1144489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1144492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1144495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144514 */     // MIs[0] round
     /* 1144514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144524 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1144527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144549 */     // GIR_Coverage, 15334,
     /* 1144549 */     GIR_EraseRootFromParent_Done,
     /* 1144550 */   // Label 16724: @1144550
     /* 1144550 */   GIM_Try, /*On fail goto*//*Label 16725*/ GIMT_Encode4(1144630), // Rule ID 15337 //
     /* 1144555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1144566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1144569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1144572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1144575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144594 */     // MIs[0] round
     /* 1144594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144604 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1144607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144629 */     // GIR_Coverage, 15337,
     /* 1144629 */     GIR_EraseRootFromParent_Done,
     /* 1144630 */   // Label 16725: @1144630
     /* 1144630 */   GIM_Try, /*On fail goto*//*Label 16726*/ GIMT_Encode4(1144710), // Rule ID 15338 //
     /* 1144635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1144646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1144649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1144652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1144655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144674 */     // MIs[0] round
     /* 1144674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144684 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1144687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144709 */     // GIR_Coverage, 15338,
     /* 1144709 */     GIR_EraseRootFromParent_Done,
     /* 1144710 */   // Label 16726: @1144710
     /* 1144710 */   GIM_Try, /*On fail goto*//*Label 16727*/ GIMT_Encode4(1144790), // Rule ID 15341 //
     /* 1144715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1144726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1144729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1144732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1144735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144754 */     // MIs[0] round
     /* 1144754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144764 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1144767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144789 */     // GIR_Coverage, 15341,
     /* 1144789 */     GIR_EraseRootFromParent_Done,
     /* 1144790 */   // Label 16727: @1144790
     /* 1144790 */   GIM_Try, /*On fail goto*//*Label 16728*/ GIMT_Encode4(1144870), // Rule ID 15342 //
     /* 1144795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1144806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1144809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1144812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1144815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144834 */     // MIs[0] round
     /* 1144834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144844 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1144847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144869 */     // GIR_Coverage, 15342,
     /* 1144869 */     GIR_EraseRootFromParent_Done,
     /* 1144870 */   // Label 16728: @1144870
     /* 1144870 */   GIM_Try, /*On fail goto*//*Label 16729*/ GIMT_Encode4(1144950), // Rule ID 15345 //
     /* 1144875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1144878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1144886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1144889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1144892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1144895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144914 */     // MIs[0] round
     /* 1144914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144924 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1144927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144949 */     // GIR_Coverage, 15345,
     /* 1144949 */     GIR_EraseRootFromParent_Done,
     /* 1144950 */   // Label 16729: @1144950
     /* 1144950 */   GIM_Try, /*On fail goto*//*Label 16730*/ GIMT_Encode4(1145030), // Rule ID 15346 //
     /* 1144955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1144958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1144966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1144969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1144972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1144975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144994 */     // MIs[0] round
     /* 1144994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145004 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1145007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145029 */     // GIR_Coverage, 15346,
     /* 1145029 */     GIR_EraseRootFromParent_Done,
     /* 1145030 */   // Label 16730: @1145030
     /* 1145030 */   GIM_Try, /*On fail goto*//*Label 16731*/ GIMT_Encode4(1145110), // Rule ID 15349 //
     /* 1145035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1145046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1145049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1145052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1145055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145074 */     // MIs[0] round
     /* 1145074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145084 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1145087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145109 */     // GIR_Coverage, 15349,
     /* 1145109 */     GIR_EraseRootFromParent_Done,
     /* 1145110 */   // Label 16731: @1145110
     /* 1145110 */   GIM_Try, /*On fail goto*//*Label 16732*/ GIMT_Encode4(1145190), // Rule ID 15350 //
     /* 1145115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1145126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1145129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1145132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1145135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145154 */     // MIs[0] round
     /* 1145154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145164 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1145167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145189 */     // GIR_Coverage, 15350,
     /* 1145189 */     GIR_EraseRootFromParent_Done,
     /* 1145190 */   // Label 16732: @1145190
     /* 1145190 */   GIM_Try, /*On fail goto*//*Label 16733*/ GIMT_Encode4(1145270), // Rule ID 15353 //
     /* 1145195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1145206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1145209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1145212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1145215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145234 */     // MIs[0] round
     /* 1145234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145244 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1145247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145269 */     // GIR_Coverage, 15353,
     /* 1145269 */     GIR_EraseRootFromParent_Done,
     /* 1145270 */   // Label 16733: @1145270
     /* 1145270 */   GIM_Try, /*On fail goto*//*Label 16734*/ GIMT_Encode4(1145350), // Rule ID 15354 //
     /* 1145275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1145286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1145289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1145292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1145295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145314 */     // MIs[0] round
     /* 1145314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145324 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1145327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145349 */     // GIR_Coverage, 15354,
     /* 1145349 */     GIR_EraseRootFromParent_Done,
     /* 1145350 */   // Label 16734: @1145350
     /* 1145350 */   GIM_Try, /*On fail goto*//*Label 16735*/ GIMT_Encode4(1145430), // Rule ID 15357 //
     /* 1145355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1145366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1145369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1145372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1145375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145394 */     // MIs[0] round
     /* 1145394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145404 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1145407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145429 */     // GIR_Coverage, 15357,
     /* 1145429 */     GIR_EraseRootFromParent_Done,
     /* 1145430 */   // Label 16735: @1145430
     /* 1145430 */   GIM_Try, /*On fail goto*//*Label 16736*/ GIMT_Encode4(1145510), // Rule ID 15358 //
     /* 1145435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1145446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1145449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1145452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1145455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145474 */     // MIs[0] round
     /* 1145474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145484 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1145487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145509 */     // GIR_Coverage, 15358,
     /* 1145509 */     GIR_EraseRootFromParent_Done,
     /* 1145510 */   // Label 16736: @1145510
     /* 1145510 */   GIM_Try, /*On fail goto*//*Label 16737*/ GIMT_Encode4(1145590), // Rule ID 15361 //
     /* 1145515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1145526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1145529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1145532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1145535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145554 */     // MIs[0] round
     /* 1145554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145564 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1145567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145589 */     // GIR_Coverage, 15361,
     /* 1145589 */     GIR_EraseRootFromParent_Done,
     /* 1145590 */   // Label 16737: @1145590
     /* 1145590 */   GIM_Try, /*On fail goto*//*Label 16738*/ GIMT_Encode4(1145670), // Rule ID 15362 //
     /* 1145595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1145606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1145609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1145612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1145615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145634 */     // MIs[0] round
     /* 1145634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145644 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1145647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145669 */     // GIR_Coverage, 15362,
     /* 1145669 */     GIR_EraseRootFromParent_Done,
     /* 1145670 */   // Label 16738: @1145670
     /* 1145670 */   GIM_Try, /*On fail goto*//*Label 16739*/ GIMT_Encode4(1145750), // Rule ID 15365 //
     /* 1145675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1145686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1145689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1145692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1145695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145714 */     // MIs[0] round
     /* 1145714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145724 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1145727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145749 */     // GIR_Coverage, 15365,
     /* 1145749 */     GIR_EraseRootFromParent_Done,
     /* 1145750 */   // Label 16739: @1145750
     /* 1145750 */   GIM_Try, /*On fail goto*//*Label 16740*/ GIMT_Encode4(1145830), // Rule ID 15366 //
     /* 1145755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1145766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1145769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1145772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1145775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145794 */     // MIs[0] round
     /* 1145794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145804 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1145807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145829 */     // GIR_Coverage, 15366,
     /* 1145829 */     GIR_EraseRootFromParent_Done,
     /* 1145830 */   // Label 16740: @1145830
     /* 1145830 */   GIM_Try, /*On fail goto*//*Label 16741*/ GIMT_Encode4(1145910), // Rule ID 15369 //
     /* 1145835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1145846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1145849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1145852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1145855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145874 */     // MIs[0] round
     /* 1145874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145884 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1145887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145909 */     // GIR_Coverage, 15369,
     /* 1145909 */     GIR_EraseRootFromParent_Done,
     /* 1145910 */   // Label 16741: @1145910
     /* 1145910 */   GIM_Try, /*On fail goto*//*Label 16742*/ GIMT_Encode4(1145990), // Rule ID 15370 //
     /* 1145915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1145926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1145929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1145932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1145935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145954 */     // MIs[0] round
     /* 1145954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145964 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1145967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145989 */     // GIR_Coverage, 15370,
     /* 1145989 */     GIR_EraseRootFromParent_Done,
     /* 1145990 */   // Label 16742: @1145990
     /* 1145990 */   GIM_Try, /*On fail goto*//*Label 16743*/ GIMT_Encode4(1146070), // Rule ID 15373 //
     /* 1145995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1146006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1146009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1146012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1146015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146034 */     // MIs[0] round
     /* 1146034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1146047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146069 */     // GIR_Coverage, 15373,
     /* 1146069 */     GIR_EraseRootFromParent_Done,
     /* 1146070 */   // Label 16743: @1146070
     /* 1146070 */   GIM_Try, /*On fail goto*//*Label 16744*/ GIMT_Encode4(1146150), // Rule ID 15374 //
     /* 1146075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1146086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1146089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1146092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1146095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146114 */     // MIs[0] round
     /* 1146114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1146127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146149 */     // GIR_Coverage, 15374,
     /* 1146149 */     GIR_EraseRootFromParent_Done,
     /* 1146150 */   // Label 16744: @1146150
     /* 1146150 */   GIM_Try, /*On fail goto*//*Label 16745*/ GIMT_Encode4(1146230), // Rule ID 15377 //
     /* 1146155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1146166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1146169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1146172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1146175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146194 */     // MIs[0] round
     /* 1146194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146204 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1146207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146229 */     // GIR_Coverage, 15377,
     /* 1146229 */     GIR_EraseRootFromParent_Done,
     /* 1146230 */   // Label 16745: @1146230
     /* 1146230 */   GIM_Try, /*On fail goto*//*Label 16746*/ GIMT_Encode4(1146310), // Rule ID 15378 //
     /* 1146235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1146246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1146249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1146252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1146255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146274 */     // MIs[0] round
     /* 1146274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146284 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1146287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146309 */     // GIR_Coverage, 15378,
     /* 1146309 */     GIR_EraseRootFromParent_Done,
     /* 1146310 */   // Label 16746: @1146310
     /* 1146310 */   GIM_Try, /*On fail goto*//*Label 16747*/ GIMT_Encode4(1146390), // Rule ID 15381 //
     /* 1146315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1146326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1146329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1146332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1146335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146354 */     // MIs[0] round
     /* 1146354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146364 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1146367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146389 */     // GIR_Coverage, 15381,
     /* 1146389 */     GIR_EraseRootFromParent_Done,
     /* 1146390 */   // Label 16747: @1146390
     /* 1146390 */   GIM_Try, /*On fail goto*//*Label 16748*/ GIMT_Encode4(1146470), // Rule ID 15382 //
     /* 1146395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1146406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1146409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1146412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1146415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146434 */     // MIs[0] round
     /* 1146434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146444 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1146447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146469 */     // GIR_Coverage, 15382,
     /* 1146469 */     GIR_EraseRootFromParent_Done,
     /* 1146470 */   // Label 16748: @1146470
     /* 1146470 */   GIM_Try, /*On fail goto*//*Label 16749*/ GIMT_Encode4(1146550), // Rule ID 15385 //
     /* 1146475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1146478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1146486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1146489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1146492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1146495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146514 */     // MIs[0] round
     /* 1146514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146524 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1146527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146549 */     // GIR_Coverage, 15385,
     /* 1146549 */     GIR_EraseRootFromParent_Done,
     /* 1146550 */   // Label 16749: @1146550
     /* 1146550 */   GIM_Try, /*On fail goto*//*Label 16750*/ GIMT_Encode4(1146630), // Rule ID 15386 //
     /* 1146555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1146558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1146566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1146569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1146572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1146575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146594 */     // MIs[0] round
     /* 1146594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146604 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1146607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146629 */     // GIR_Coverage, 15386,
     /* 1146629 */     GIR_EraseRootFromParent_Done,
     /* 1146630 */   // Label 16750: @1146630
     /* 1146630 */   GIM_Try, /*On fail goto*//*Label 16751*/ GIMT_Encode4(1146710), // Rule ID 15389 //
     /* 1146635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1146638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1146646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1146649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1146652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1146655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146674 */     // MIs[0] round
     /* 1146674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146684 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1146687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146709 */     // GIR_Coverage, 15389,
     /* 1146709 */     GIR_EraseRootFromParent_Done,
     /* 1146710 */   // Label 16751: @1146710
     /* 1146710 */   GIM_Try, /*On fail goto*//*Label 16752*/ GIMT_Encode4(1146790), // Rule ID 15390 //
     /* 1146715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1146718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1146726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1146729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1146732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1146735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146754 */     // MIs[0] round
     /* 1146754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146764 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1146767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146789 */     // GIR_Coverage, 15390,
     /* 1146789 */     GIR_EraseRootFromParent_Done,
     /* 1146790 */   // Label 16752: @1146790
     /* 1146790 */   GIM_Try, /*On fail goto*//*Label 16753*/ GIMT_Encode4(1146870), // Rule ID 15393 //
     /* 1146795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1146798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1146806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1146809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1146812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1146815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146834 */     // MIs[0] round
     /* 1146834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146844 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1146847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146869 */     // GIR_Coverage, 15393,
     /* 1146869 */     GIR_EraseRootFromParent_Done,
     /* 1146870 */   // Label 16753: @1146870
     /* 1146870 */   GIM_Try, /*On fail goto*//*Label 16754*/ GIMT_Encode4(1146950), // Rule ID 15394 //
     /* 1146875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1146878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1146886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1146889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1146892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1146895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146914 */     // MIs[0] round
     /* 1146914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146924 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1146927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146949 */     // GIR_Coverage, 15394,
     /* 1146949 */     GIR_EraseRootFromParent_Done,
     /* 1146950 */   // Label 16754: @1146950
     /* 1146950 */   GIM_Try, /*On fail goto*//*Label 16755*/ GIMT_Encode4(1147030), // Rule ID 15397 //
     /* 1146955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1146963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1146966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1146969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1146972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146994 */     // MIs[0] round
     /* 1146994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147004 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1147007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147029 */     // GIR_Coverage, 15397,
     /* 1147029 */     GIR_EraseRootFromParent_Done,
     /* 1147030 */   // Label 16755: @1147030
     /* 1147030 */   GIM_Try, /*On fail goto*//*Label 16756*/ GIMT_Encode4(1147110), // Rule ID 15398 //
     /* 1147035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1147046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1147049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1147052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147074 */     // MIs[0] round
     /* 1147074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147084 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1147087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147109 */     // GIR_Coverage, 15398,
     /* 1147109 */     GIR_EraseRootFromParent_Done,
     /* 1147110 */   // Label 16756: @1147110
     /* 1147110 */   GIM_Try, /*On fail goto*//*Label 16757*/ GIMT_Encode4(1147190), // Rule ID 15401 //
     /* 1147115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1147126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1147129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1147132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147154 */     // MIs[0] round
     /* 1147154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147164 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1147167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147189 */     // GIR_Coverage, 15401,
     /* 1147189 */     GIR_EraseRootFromParent_Done,
     /* 1147190 */   // Label 16757: @1147190
     /* 1147190 */   GIM_Try, /*On fail goto*//*Label 16758*/ GIMT_Encode4(1147270), // Rule ID 15402 //
     /* 1147195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1147206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1147209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1147212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147234 */     // MIs[0] round
     /* 1147234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147244 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1147247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147269 */     // GIR_Coverage, 15402,
     /* 1147269 */     GIR_EraseRootFromParent_Done,
     /* 1147270 */   // Label 16758: @1147270
     /* 1147270 */   GIM_Try, /*On fail goto*//*Label 16759*/ GIMT_Encode4(1147350), // Rule ID 15405 //
     /* 1147275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1147286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1147289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1147292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147314 */     // MIs[0] round
     /* 1147314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147324 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1147327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147349 */     // GIR_Coverage, 15405,
     /* 1147349 */     GIR_EraseRootFromParent_Done,
     /* 1147350 */   // Label 16759: @1147350
     /* 1147350 */   GIM_Try, /*On fail goto*//*Label 16760*/ GIMT_Encode4(1147430), // Rule ID 15406 //
     /* 1147355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1147366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1147369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1147372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147394 */     // MIs[0] round
     /* 1147394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147404 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1147407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147429 */     // GIR_Coverage, 15406,
     /* 1147429 */     GIR_EraseRootFromParent_Done,
     /* 1147430 */   // Label 16760: @1147430
     /* 1147430 */   GIM_Try, /*On fail goto*//*Label 16761*/ GIMT_Encode4(1147510), // Rule ID 15409 //
     /* 1147435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1147446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1147449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1147452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147474 */     // MIs[0] round
     /* 1147474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147484 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1147487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147509 */     // GIR_Coverage, 15409,
     /* 1147509 */     GIR_EraseRootFromParent_Done,
     /* 1147510 */   // Label 16761: @1147510
     /* 1147510 */   GIM_Try, /*On fail goto*//*Label 16762*/ GIMT_Encode4(1147590), // Rule ID 15410 //
     /* 1147515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1147526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1147529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1147532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147554 */     // MIs[0] round
     /* 1147554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147564 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1147567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147589 */     // GIR_Coverage, 15410,
     /* 1147589 */     GIR_EraseRootFromParent_Done,
     /* 1147590 */   // Label 16762: @1147590
     /* 1147590 */   GIM_Try, /*On fail goto*//*Label 16763*/ GIMT_Encode4(1147670), // Rule ID 15413 //
     /* 1147595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1147606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1147609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1147612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147634 */     // MIs[0] round
     /* 1147634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147644 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1147647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147669 */     // GIR_Coverage, 15413,
     /* 1147669 */     GIR_EraseRootFromParent_Done,
     /* 1147670 */   // Label 16763: @1147670
     /* 1147670 */   GIM_Try, /*On fail goto*//*Label 16764*/ GIMT_Encode4(1147750), // Rule ID 15414 //
     /* 1147675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1147686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1147689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1147692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147714 */     // MIs[0] round
     /* 1147714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147724 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1147727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147749 */     // GIR_Coverage, 15414,
     /* 1147749 */     GIR_EraseRootFromParent_Done,
     /* 1147750 */   // Label 16764: @1147750
     /* 1147750 */   GIM_Try, /*On fail goto*//*Label 16765*/ GIMT_Encode4(1147830), // Rule ID 15417 //
     /* 1147755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1147766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1147769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1147772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147794 */     // MIs[0] round
     /* 1147794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147804 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1147807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147829 */     // GIR_Coverage, 15417,
     /* 1147829 */     GIR_EraseRootFromParent_Done,
     /* 1147830 */   // Label 16765: @1147830
     /* 1147830 */   GIM_Try, /*On fail goto*//*Label 16766*/ GIMT_Encode4(1147910), // Rule ID 15418 //
     /* 1147835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1147846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1147849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1147852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147874 */     // MIs[0] round
     /* 1147874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147884 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1147887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147909 */     // GIR_Coverage, 15418,
     /* 1147909 */     GIR_EraseRootFromParent_Done,
     /* 1147910 */   // Label 16766: @1147910
     /* 1147910 */   GIM_Try, /*On fail goto*//*Label 16767*/ GIMT_Encode4(1147990), // Rule ID 15421 //
     /* 1147915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1147923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1147926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1147929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1147932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1147954 */     // MIs[0] round
     /* 1147954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147964 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1147967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147989 */     // GIR_Coverage, 15421,
     /* 1147989 */     GIR_EraseRootFromParent_Done,
     /* 1147990 */   // Label 16767: @1147990
     /* 1147990 */   GIM_Try, /*On fail goto*//*Label 16768*/ GIMT_Encode4(1148070), // Rule ID 15422 //
     /* 1147995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1148006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1148009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1148012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148034 */     // MIs[0] round
     /* 1148034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148044 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1148047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148069 */     // GIR_Coverage, 15422,
     /* 1148069 */     GIR_EraseRootFromParent_Done,
     /* 1148070 */   // Label 16768: @1148070
     /* 1148070 */   GIM_Try, /*On fail goto*//*Label 16769*/ GIMT_Encode4(1148150), // Rule ID 15425 //
     /* 1148075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1148086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1148089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1148092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148114 */     // MIs[0] round
     /* 1148114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148124 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1148127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148149 */     // GIR_Coverage, 15425,
     /* 1148149 */     GIR_EraseRootFromParent_Done,
     /* 1148150 */   // Label 16769: @1148150
     /* 1148150 */   GIM_Try, /*On fail goto*//*Label 16770*/ GIMT_Encode4(1148230), // Rule ID 15426 //
     /* 1148155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1148166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1148169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1148172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148194 */     // MIs[0] round
     /* 1148194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148204 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1148207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148229 */     // GIR_Coverage, 15426,
     /* 1148229 */     GIR_EraseRootFromParent_Done,
     /* 1148230 */   // Label 16770: @1148230
     /* 1148230 */   GIM_Try, /*On fail goto*//*Label 16771*/ GIMT_Encode4(1148310), // Rule ID 15429 //
     /* 1148235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1148246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1148249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1148252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148274 */     // MIs[0] round
     /* 1148274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148284 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1148287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148309 */     // GIR_Coverage, 15429,
     /* 1148309 */     GIR_EraseRootFromParent_Done,
     /* 1148310 */   // Label 16771: @1148310
     /* 1148310 */   GIM_Try, /*On fail goto*//*Label 16772*/ GIMT_Encode4(1148390), // Rule ID 15430 //
     /* 1148315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1148326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1148329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1148332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148354 */     // MIs[0] round
     /* 1148354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148364 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1148367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148389 */     // GIR_Coverage, 15430,
     /* 1148389 */     GIR_EraseRootFromParent_Done,
     /* 1148390 */   // Label 16772: @1148390
     /* 1148390 */   GIM_Try, /*On fail goto*//*Label 16773*/ GIMT_Encode4(1148470), // Rule ID 15433 //
     /* 1148395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1148398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1148406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1148409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1148412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148434 */     // MIs[0] round
     /* 1148434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148444 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1148447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148469 */     // GIR_Coverage, 15433,
     /* 1148469 */     GIR_EraseRootFromParent_Done,
     /* 1148470 */   // Label 16773: @1148470
     /* 1148470 */   GIM_Try, /*On fail goto*//*Label 16774*/ GIMT_Encode4(1148550), // Rule ID 15434 //
     /* 1148475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1148478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1148486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1148489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1148492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148514 */     // MIs[0] round
     /* 1148514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148524 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1148527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148549 */     // GIR_Coverage, 15434,
     /* 1148549 */     GIR_EraseRootFromParent_Done,
     /* 1148550 */   // Label 16774: @1148550
     /* 1148550 */   GIM_Try, /*On fail goto*//*Label 16775*/ GIMT_Encode4(1148630), // Rule ID 15437 //
     /* 1148555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1148566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1148569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1148572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148594 */     // MIs[0] round
     /* 1148594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148604 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1148607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148629 */     // GIR_Coverage, 15437,
     /* 1148629 */     GIR_EraseRootFromParent_Done,
     /* 1148630 */   // Label 16775: @1148630
     /* 1148630 */   GIM_Try, /*On fail goto*//*Label 16776*/ GIMT_Encode4(1148710), // Rule ID 15438 //
     /* 1148635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1148646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1148649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1148652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148674 */     // MIs[0] round
     /* 1148674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148684 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1148687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148709 */     // GIR_Coverage, 15438,
     /* 1148709 */     GIR_EraseRootFromParent_Done,
     /* 1148710 */   // Label 16776: @1148710
     /* 1148710 */   GIM_Try, /*On fail goto*//*Label 16777*/ GIMT_Encode4(1148790), // Rule ID 15441 //
     /* 1148715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1148726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1148729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1148732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148754 */     // MIs[0] round
     /* 1148754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148764 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1148767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148789 */     // GIR_Coverage, 15441,
     /* 1148789 */     GIR_EraseRootFromParent_Done,
     /* 1148790 */   // Label 16777: @1148790
     /* 1148790 */   GIM_Try, /*On fail goto*//*Label 16778*/ GIMT_Encode4(1148870), // Rule ID 15442 //
     /* 1148795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1148806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1148809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1148812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148834 */     // MIs[0] round
     /* 1148834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148844 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1148847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148869 */     // GIR_Coverage, 15442,
     /* 1148869 */     GIR_EraseRootFromParent_Done,
     /* 1148870 */   // Label 16778: @1148870
     /* 1148870 */   GIM_Try, /*On fail goto*//*Label 16779*/ GIMT_Encode4(1148950), // Rule ID 15445 //
     /* 1148875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1148886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1148889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1148892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148914 */     // MIs[0] round
     /* 1148914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148924 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1148927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148949 */     // GIR_Coverage, 15445,
     /* 1148949 */     GIR_EraseRootFromParent_Done,
     /* 1148950 */   // Label 16779: @1148950
     /* 1148950 */   GIM_Try, /*On fail goto*//*Label 16780*/ GIMT_Encode4(1149030), // Rule ID 15446 //
     /* 1148955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1148963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1148966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1148969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1148972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148994 */     // MIs[0] round
     /* 1148994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149004 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1149007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149029 */     // GIR_Coverage, 15446,
     /* 1149029 */     GIR_EraseRootFromParent_Done,
     /* 1149030 */   // Label 16780: @1149030
     /* 1149030 */   GIM_Try, /*On fail goto*//*Label 16781*/ GIMT_Encode4(1149110), // Rule ID 15449 //
     /* 1149035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1149046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1149049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1149052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149074 */     // MIs[0] round
     /* 1149074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149084 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1149087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149109 */     // GIR_Coverage, 15449,
     /* 1149109 */     GIR_EraseRootFromParent_Done,
     /* 1149110 */   // Label 16781: @1149110
     /* 1149110 */   GIM_Try, /*On fail goto*//*Label 16782*/ GIMT_Encode4(1149190), // Rule ID 15450 //
     /* 1149115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1149126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1149129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1149132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149154 */     // MIs[0] round
     /* 1149154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149164 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1149167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149189 */     // GIR_Coverage, 15450,
     /* 1149189 */     GIR_EraseRootFromParent_Done,
     /* 1149190 */   // Label 16782: @1149190
     /* 1149190 */   GIM_Try, /*On fail goto*//*Label 16783*/ GIMT_Encode4(1149270), // Rule ID 15453 //
     /* 1149195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1149206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1149209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1149212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149234 */     // MIs[0] round
     /* 1149234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149244 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1149247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149269 */     // GIR_Coverage, 15453,
     /* 1149269 */     GIR_EraseRootFromParent_Done,
     /* 1149270 */   // Label 16783: @1149270
     /* 1149270 */   GIM_Try, /*On fail goto*//*Label 16784*/ GIMT_Encode4(1149350), // Rule ID 15454 //
     /* 1149275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1149286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1149289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1149292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149314 */     // MIs[0] round
     /* 1149314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149324 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1149327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149349 */     // GIR_Coverage, 15454,
     /* 1149349 */     GIR_EraseRootFromParent_Done,
     /* 1149350 */   // Label 16784: @1149350
     /* 1149350 */   GIM_Try, /*On fail goto*//*Label 16785*/ GIMT_Encode4(1149430), // Rule ID 15457 //
     /* 1149355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1149366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1149369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1149372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149394 */     // MIs[0] round
     /* 1149394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149404 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1149407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149429 */     // GIR_Coverage, 15457,
     /* 1149429 */     GIR_EraseRootFromParent_Done,
     /* 1149430 */   // Label 16785: @1149430
     /* 1149430 */   GIM_Try, /*On fail goto*//*Label 16786*/ GIMT_Encode4(1149510), // Rule ID 15458 //
     /* 1149435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1149446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1149449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1149452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149474 */     // MIs[0] round
     /* 1149474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149484 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1149487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149509 */     // GIR_Coverage, 15458,
     /* 1149509 */     GIR_EraseRootFromParent_Done,
     /* 1149510 */   // Label 16786: @1149510
     /* 1149510 */   GIM_Try, /*On fail goto*//*Label 16787*/ GIMT_Encode4(1149590), // Rule ID 15461 //
     /* 1149515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1149526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1149529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1149532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149554 */     // MIs[0] round
     /* 1149554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149564 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1149567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149589 */     // GIR_Coverage, 15461,
     /* 1149589 */     GIR_EraseRootFromParent_Done,
     /* 1149590 */   // Label 16787: @1149590
     /* 1149590 */   GIM_Try, /*On fail goto*//*Label 16788*/ GIMT_Encode4(1149670), // Rule ID 15462 //
     /* 1149595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1149606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1149609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1149612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149634 */     // MIs[0] round
     /* 1149634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149644 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1149647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149669 */     // GIR_Coverage, 15462,
     /* 1149669 */     GIR_EraseRootFromParent_Done,
     /* 1149670 */   // Label 16788: @1149670
     /* 1149670 */   GIM_Try, /*On fail goto*//*Label 16789*/ GIMT_Encode4(1149750), // Rule ID 15465 //
     /* 1149675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1149686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1149689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1149692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149714 */     // MIs[0] round
     /* 1149714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149724 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1149727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149749 */     // GIR_Coverage, 15465,
     /* 1149749 */     GIR_EraseRootFromParent_Done,
     /* 1149750 */   // Label 16789: @1149750
     /* 1149750 */   GIM_Try, /*On fail goto*//*Label 16790*/ GIMT_Encode4(1149830), // Rule ID 15466 //
     /* 1149755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1149766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1149769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1149772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149794 */     // MIs[0] round
     /* 1149794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149804 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1149807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149829 */     // GIR_Coverage, 15466,
     /* 1149829 */     GIR_EraseRootFromParent_Done,
     /* 1149830 */   // Label 16790: @1149830
     /* 1149830 */   GIM_Try, /*On fail goto*//*Label 16791*/ GIMT_Encode4(1149910), // Rule ID 15469 //
     /* 1149835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1149846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1149849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1149852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149874 */     // MIs[0] round
     /* 1149874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149884 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1149887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149909 */     // GIR_Coverage, 15469,
     /* 1149909 */     GIR_EraseRootFromParent_Done,
     /* 1149910 */   // Label 16791: @1149910
     /* 1149910 */   GIM_Try, /*On fail goto*//*Label 16792*/ GIMT_Encode4(1149990), // Rule ID 15470 //
     /* 1149915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1149923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1149926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1149929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1149932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149954 */     // MIs[0] round
     /* 1149954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149964 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1149967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149989 */     // GIR_Coverage, 15470,
     /* 1149989 */     GIR_EraseRootFromParent_Done,
     /* 1149990 */   // Label 16792: @1149990
     /* 1149990 */   GIM_Try, /*On fail goto*//*Label 16793*/ GIMT_Encode4(1150070), // Rule ID 15473 //
     /* 1149995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1149998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1150006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1150009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1150012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150034 */     // MIs[0] round
     /* 1150034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150044 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1150047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1150065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150069 */     // GIR_Coverage, 15473,
     /* 1150069 */     GIR_EraseRootFromParent_Done,
     /* 1150070 */   // Label 16793: @1150070
     /* 1150070 */   GIM_Try, /*On fail goto*//*Label 16794*/ GIMT_Encode4(1150150), // Rule ID 15474 //
     /* 1150075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1150078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1150086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1150089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1150092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150114 */     // MIs[0] round
     /* 1150114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150124 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1150127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1150145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150149 */     // GIR_Coverage, 15474,
     /* 1150149 */     GIR_EraseRootFromParent_Done,
     /* 1150150 */   // Label 16794: @1150150
     /* 1150150 */   GIM_Try, /*On fail goto*//*Label 16795*/ GIMT_Encode4(1150230), // Rule ID 15477 //
     /* 1150155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1150158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1150166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1150169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1150172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150194 */     // MIs[0] round
     /* 1150194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150204 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1150225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150229 */     // GIR_Coverage, 15477,
     /* 1150229 */     GIR_EraseRootFromParent_Done,
     /* 1150230 */   // Label 16795: @1150230
     /* 1150230 */   GIM_Try, /*On fail goto*//*Label 16796*/ GIMT_Encode4(1150310), // Rule ID 15478 //
     /* 1150235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1150238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1150246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1150249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1150252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150274 */     // MIs[0] round
     /* 1150274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150284 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1150287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1150305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150309 */     // GIR_Coverage, 15478,
     /* 1150309 */     GIR_EraseRootFromParent_Done,
     /* 1150310 */   // Label 16796: @1150310
     /* 1150310 */   GIM_Try, /*On fail goto*//*Label 16797*/ GIMT_Encode4(1150390), // Rule ID 15481 //
     /* 1150315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1150318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1150326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1150329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1150332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150354 */     // MIs[0] round
     /* 1150354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150364 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1150367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1150385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150389 */     // GIR_Coverage, 15481,
     /* 1150389 */     GIR_EraseRootFromParent_Done,
     /* 1150390 */   // Label 16797: @1150390
     /* 1150390 */   GIM_Try, /*On fail goto*//*Label 16798*/ GIMT_Encode4(1150470), // Rule ID 15482 //
     /* 1150395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1150398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1150403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1150406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1150409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1150412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150434 */     // MIs[0] round
     /* 1150434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150444 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1150447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1150465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150469 */     // GIR_Coverage, 15482,
     /* 1150469 */     GIR_EraseRootFromParent_Done,
     /* 1150470 */   // Label 16798: @1150470
     /* 1150470 */   GIM_Try, /*On fail goto*//*Label 16799*/ GIMT_Encode4(1150553), // Rule ID 15485 //
     /* 1150475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1150483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1150486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1150489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1150492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1150495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150514 */     // MIs[0] round
     /* 1150514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150524 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1150527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150548 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1150551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150552 */     // GIR_Coverage, 15485,
     /* 1150552 */     GIR_EraseRootFromParent_Done,
     /* 1150553 */   // Label 16799: @1150553
     /* 1150553 */   GIM_Try, /*On fail goto*//*Label 16800*/ GIMT_Encode4(1150636), // Rule ID 15486 //
     /* 1150558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1150566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1150569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1150572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1150575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1150578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150597 */     // MIs[0] round
     /* 1150597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150607 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1150610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1150634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150635 */     // GIR_Coverage, 15486,
     /* 1150635 */     GIR_EraseRootFromParent_Done,
     /* 1150636 */   // Label 16800: @1150636
     /* 1150636 */   GIM_Try, /*On fail goto*//*Label 16801*/ GIMT_Encode4(1150719), // Rule ID 15489 //
     /* 1150641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1150649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1150652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1150655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1150658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1150661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150680 */     // MIs[0] round
     /* 1150680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150690 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1150693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1150717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150718 */     // GIR_Coverage, 15489,
     /* 1150718 */     GIR_EraseRootFromParent_Done,
     /* 1150719 */   // Label 16801: @1150719
     /* 1150719 */   GIM_Try, /*On fail goto*//*Label 16802*/ GIMT_Encode4(1150802), // Rule ID 15490 //
     /* 1150724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1150732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1150735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1150738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1150741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1150744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150763 */     // MIs[0] round
     /* 1150763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150773 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1150776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150784 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1150800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150801 */     // GIR_Coverage, 15490,
     /* 1150801 */     GIR_EraseRootFromParent_Done,
     /* 1150802 */   // Label 16802: @1150802
     /* 1150802 */   GIM_Try, /*On fail goto*//*Label 16803*/ GIMT_Encode4(1150885), // Rule ID 15493 //
     /* 1150807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1150815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1150818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1150821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1150824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1150827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150846 */     // MIs[0] round
     /* 1150846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150856 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1150859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1150883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150884 */     // GIR_Coverage, 15493,
     /* 1150884 */     GIR_EraseRootFromParent_Done,
     /* 1150885 */   // Label 16803: @1150885
     /* 1150885 */   GIM_Try, /*On fail goto*//*Label 16804*/ GIMT_Encode4(1150968), // Rule ID 15494 //
     /* 1150890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1150898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1150901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1150904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1150907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1150910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150929 */     // MIs[0] round
     /* 1150929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150939 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1150942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150950 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1150966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150967 */     // GIR_Coverage, 15494,
     /* 1150967 */     GIR_EraseRootFromParent_Done,
     /* 1150968 */   // Label 16804: @1150968
     /* 1150968 */   GIM_Try, /*On fail goto*//*Label 16805*/ GIMT_Encode4(1151051), // Rule ID 15497 //
     /* 1150973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1150981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1150984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1150987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1150990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1150993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151012 */     // MIs[0] round
     /* 1151012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151022 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1151025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151050 */     // GIR_Coverage, 15497,
     /* 1151050 */     GIR_EraseRootFromParent_Done,
     /* 1151051 */   // Label 16805: @1151051
     /* 1151051 */   GIM_Try, /*On fail goto*//*Label 16806*/ GIMT_Encode4(1151134), // Rule ID 15498 //
     /* 1151056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1151067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1151070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1151073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1151076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151095 */     // MIs[0] round
     /* 1151095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151105 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1151108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151133 */     // GIR_Coverage, 15498,
     /* 1151133 */     GIR_EraseRootFromParent_Done,
     /* 1151134 */   // Label 16806: @1151134
     /* 1151134 */   GIM_Try, /*On fail goto*//*Label 16807*/ GIMT_Encode4(1151217), // Rule ID 15501 //
     /* 1151139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1151150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1151153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1151156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1151159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151178 */     // MIs[0] round
     /* 1151178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151188 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1151191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151212 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151216 */     // GIR_Coverage, 15501,
     /* 1151216 */     GIR_EraseRootFromParent_Done,
     /* 1151217 */   // Label 16807: @1151217
     /* 1151217 */   GIM_Try, /*On fail goto*//*Label 16808*/ GIMT_Encode4(1151300), // Rule ID 15502 //
     /* 1151222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1151233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1151236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1151239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1151242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151261 */     // MIs[0] round
     /* 1151261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151271 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1151274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151299 */     // GIR_Coverage, 15502,
     /* 1151299 */     GIR_EraseRootFromParent_Done,
     /* 1151300 */   // Label 16808: @1151300
     /* 1151300 */   GIM_Try, /*On fail goto*//*Label 16809*/ GIMT_Encode4(1151383), // Rule ID 15505 //
     /* 1151305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1151316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1151319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1151322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1151325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151344 */     // MIs[0] round
     /* 1151344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151354 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1151357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151382 */     // GIR_Coverage, 15505,
     /* 1151382 */     GIR_EraseRootFromParent_Done,
     /* 1151383 */   // Label 16809: @1151383
     /* 1151383 */   GIM_Try, /*On fail goto*//*Label 16810*/ GIMT_Encode4(1151466), // Rule ID 15506 //
     /* 1151388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1151399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1151402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1151405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1151408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151427 */     // MIs[0] round
     /* 1151427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151437 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1151440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151448 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151461 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151465 */     // GIR_Coverage, 15506,
     /* 1151465 */     GIR_EraseRootFromParent_Done,
     /* 1151466 */   // Label 16810: @1151466
     /* 1151466 */   GIM_Try, /*On fail goto*//*Label 16811*/ GIMT_Encode4(1151549), // Rule ID 15509 //
     /* 1151471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1151482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1151485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1151488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1151491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151510 */     // MIs[0] round
     /* 1151510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151520 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1151523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151548 */     // GIR_Coverage, 15509,
     /* 1151548 */     GIR_EraseRootFromParent_Done,
     /* 1151549 */   // Label 16811: @1151549
     /* 1151549 */   GIM_Try, /*On fail goto*//*Label 16812*/ GIMT_Encode4(1151632), // Rule ID 15510 //
     /* 1151554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1151565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1151568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1151571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1151574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151593 */     // MIs[0] round
     /* 1151593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151603 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1151606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151627 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151631 */     // GIR_Coverage, 15510,
     /* 1151631 */     GIR_EraseRootFromParent_Done,
     /* 1151632 */   // Label 16812: @1151632
     /* 1151632 */   GIM_Try, /*On fail goto*//*Label 16813*/ GIMT_Encode4(1151715), // Rule ID 15513 //
     /* 1151637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1151648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1151651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1151654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1151657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151676 */     // MIs[0] round
     /* 1151676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151686 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1151689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151714 */     // GIR_Coverage, 15513,
     /* 1151714 */     GIR_EraseRootFromParent_Done,
     /* 1151715 */   // Label 16813: @1151715
     /* 1151715 */   GIM_Try, /*On fail goto*//*Label 16814*/ GIMT_Encode4(1151798), // Rule ID 15514 //
     /* 1151720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1151731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1151734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1151737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1151740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151759 */     // MIs[0] round
     /* 1151759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151769 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1151772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151780 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151797 */     // GIR_Coverage, 15514,
     /* 1151797 */     GIR_EraseRootFromParent_Done,
     /* 1151798 */   // Label 16814: @1151798
     /* 1151798 */   GIM_Try, /*On fail goto*//*Label 16815*/ GIMT_Encode4(1151881), // Rule ID 15517 //
     /* 1151803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1151814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1151817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1151820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1151823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151842 */     // MIs[0] round
     /* 1151842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1151855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151880 */     // GIR_Coverage, 15517,
     /* 1151880 */     GIR_EraseRootFromParent_Done,
     /* 1151881 */   // Label 16815: @1151881
     /* 1151881 */   GIM_Try, /*On fail goto*//*Label 16816*/ GIMT_Encode4(1151964), // Rule ID 15518 //
     /* 1151886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1151897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1151900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1151903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1151906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151925 */     // MIs[0] round
     /* 1151925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151935 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1151938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151946 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151963 */     // GIR_Coverage, 15518,
     /* 1151963 */     GIR_EraseRootFromParent_Done,
     /* 1151964 */   // Label 16816: @1151964
     /* 1151964 */   GIM_Try, /*On fail goto*//*Label 16817*/ GIMT_Encode4(1152047), // Rule ID 15521 //
     /* 1151969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1151980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1151983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1151986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1151989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152008 */     // MIs[0] round
     /* 1152008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152018 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1152021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152046 */     // GIR_Coverage, 15521,
     /* 1152046 */     GIR_EraseRootFromParent_Done,
     /* 1152047 */   // Label 16817: @1152047
     /* 1152047 */   GIM_Try, /*On fail goto*//*Label 16818*/ GIMT_Encode4(1152130), // Rule ID 15522 //
     /* 1152052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1152063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1152066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1152069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1152072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152091 */     // MIs[0] round
     /* 1152091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152101 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1152104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152112 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152129 */     // GIR_Coverage, 15522,
     /* 1152129 */     GIR_EraseRootFromParent_Done,
     /* 1152130 */   // Label 16818: @1152130
     /* 1152130 */   GIM_Try, /*On fail goto*//*Label 16819*/ GIMT_Encode4(1152213), // Rule ID 15525 //
     /* 1152135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1152146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1152149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1152152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1152155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152174 */     // MIs[0] round
     /* 1152174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152184 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1152187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152208 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152212 */     // GIR_Coverage, 15525,
     /* 1152212 */     GIR_EraseRootFromParent_Done,
     /* 1152213 */   // Label 16819: @1152213
     /* 1152213 */   GIM_Try, /*On fail goto*//*Label 16820*/ GIMT_Encode4(1152296), // Rule ID 15526 //
     /* 1152218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1152229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1152232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1152235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1152238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152257 */     // MIs[0] round
     /* 1152257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152267 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1152270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152295 */     // GIR_Coverage, 15526,
     /* 1152295 */     GIR_EraseRootFromParent_Done,
     /* 1152296 */   // Label 16820: @1152296
     /* 1152296 */   GIM_Try, /*On fail goto*//*Label 16821*/ GIMT_Encode4(1152379), // Rule ID 15529 //
     /* 1152301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1152312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1152315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1152318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1152321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152340 */     // MIs[0] round
     /* 1152340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152350 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1152353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152378 */     // GIR_Coverage, 15529,
     /* 1152378 */     GIR_EraseRootFromParent_Done,
     /* 1152379 */   // Label 16821: @1152379
     /* 1152379 */   GIM_Try, /*On fail goto*//*Label 16822*/ GIMT_Encode4(1152462), // Rule ID 15530 //
     /* 1152384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1152395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1152398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1152401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1152404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152423 */     // MIs[0] round
     /* 1152423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152433 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1152436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152461 */     // GIR_Coverage, 15530,
     /* 1152461 */     GIR_EraseRootFromParent_Done,
     /* 1152462 */   // Label 16822: @1152462
     /* 1152462 */   GIM_Try, /*On fail goto*//*Label 16823*/ GIMT_Encode4(1152545), // Rule ID 15533 //
     /* 1152467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1152478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1152481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1152484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1152487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152506 */     // MIs[0] round
     /* 1152506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152516 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1152519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152544 */     // GIR_Coverage, 15533,
     /* 1152544 */     GIR_EraseRootFromParent_Done,
     /* 1152545 */   // Label 16823: @1152545
     /* 1152545 */   GIM_Try, /*On fail goto*//*Label 16824*/ GIMT_Encode4(1152628), // Rule ID 15534 //
     /* 1152550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1152561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1152564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1152567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1152570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152589 */     // MIs[0] round
     /* 1152589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152599 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1152602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152610 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152627 */     // GIR_Coverage, 15534,
     /* 1152627 */     GIR_EraseRootFromParent_Done,
     /* 1152628 */   // Label 16824: @1152628
     /* 1152628 */   GIM_Try, /*On fail goto*//*Label 16825*/ GIMT_Encode4(1152711), // Rule ID 15537 //
     /* 1152633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1152644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1152647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1152650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1152653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152672 */     // MIs[0] round
     /* 1152672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152682 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1152685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152710 */     // GIR_Coverage, 15537,
     /* 1152710 */     GIR_EraseRootFromParent_Done,
     /* 1152711 */   // Label 16825: @1152711
     /* 1152711 */   GIM_Try, /*On fail goto*//*Label 16826*/ GIMT_Encode4(1152794), // Rule ID 15538 //
     /* 1152716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1152727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1152730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1152733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1152736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152755 */     // MIs[0] round
     /* 1152755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152765 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1152768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152789 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152793 */     // GIR_Coverage, 15538,
     /* 1152793 */     GIR_EraseRootFromParent_Done,
     /* 1152794 */   // Label 16826: @1152794
     /* 1152794 */   GIM_Try, /*On fail goto*//*Label 16827*/ GIMT_Encode4(1152877), // Rule ID 15541 //
     /* 1152799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1152810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1152813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1152816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1152819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152838 */     // MIs[0] round
     /* 1152838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152848 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1152851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152876 */     // GIR_Coverage, 15541,
     /* 1152876 */     GIR_EraseRootFromParent_Done,
     /* 1152877 */   // Label 16827: @1152877
     /* 1152877 */   GIM_Try, /*On fail goto*//*Label 16828*/ GIMT_Encode4(1152960), // Rule ID 15542 //
     /* 1152882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1152893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1152896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1152899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1152902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152921 */     // MIs[0] round
     /* 1152921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152931 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1152934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152942 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152959 */     // GIR_Coverage, 15542,
     /* 1152959 */     GIR_EraseRootFromParent_Done,
     /* 1152960 */   // Label 16828: @1152960
     /* 1152960 */   GIM_Try, /*On fail goto*//*Label 16829*/ GIMT_Encode4(1153043), // Rule ID 15545 //
     /* 1152965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1152976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1152979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1152982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1152985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153004 */     // MIs[0] round
     /* 1153004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1153017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153042 */     // GIR_Coverage, 15545,
     /* 1153042 */     GIR_EraseRootFromParent_Done,
     /* 1153043 */   // Label 16829: @1153043
     /* 1153043 */   GIM_Try, /*On fail goto*//*Label 16830*/ GIMT_Encode4(1153126), // Rule ID 15546 //
     /* 1153048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1153059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1153062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1153065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1153068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153087 */     // MIs[0] round
     /* 1153087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153097 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1153100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153125 */     // GIR_Coverage, 15546,
     /* 1153125 */     GIR_EraseRootFromParent_Done,
     /* 1153126 */   // Label 16830: @1153126
     /* 1153126 */   GIM_Try, /*On fail goto*//*Label 16831*/ GIMT_Encode4(1153209), // Rule ID 15549 //
     /* 1153131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1153142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1153145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1153148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1153151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153170 */     // MIs[0] round
     /* 1153170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153180 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1153183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153208 */     // GIR_Coverage, 15549,
     /* 1153208 */     GIR_EraseRootFromParent_Done,
     /* 1153209 */   // Label 16831: @1153209
     /* 1153209 */   GIM_Try, /*On fail goto*//*Label 16832*/ GIMT_Encode4(1153292), // Rule ID 15550 //
     /* 1153214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1153225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1153228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1153231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1153234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153253 */     // MIs[0] round
     /* 1153253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153263 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1153266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153274 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153287 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153291 */     // GIR_Coverage, 15550,
     /* 1153291 */     GIR_EraseRootFromParent_Done,
     /* 1153292 */   // Label 16832: @1153292
     /* 1153292 */   GIM_Try, /*On fail goto*//*Label 16833*/ GIMT_Encode4(1153375), // Rule ID 15553 //
     /* 1153297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1153308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1153311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1153314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1153317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153336 */     // MIs[0] round
     /* 1153336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153346 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1153349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153374 */     // GIR_Coverage, 15553,
     /* 1153374 */     GIR_EraseRootFromParent_Done,
     /* 1153375 */   // Label 16833: @1153375
     /* 1153375 */   GIM_Try, /*On fail goto*//*Label 16834*/ GIMT_Encode4(1153458), // Rule ID 15554 //
     /* 1153380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1153391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1153394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1153397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1153400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153419 */     // MIs[0] round
     /* 1153419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153429 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1153432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153457 */     // GIR_Coverage, 15554,
     /* 1153457 */     GIR_EraseRootFromParent_Done,
     /* 1153458 */   // Label 16834: @1153458
     /* 1153458 */   GIM_Try, /*On fail goto*//*Label 16835*/ GIMT_Encode4(1153541), // Rule ID 15557 //
     /* 1153463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1153474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1153477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1153480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153502 */     // MIs[0] round
     /* 1153502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153512 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1153515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153540 */     // GIR_Coverage, 15557,
     /* 1153540 */     GIR_EraseRootFromParent_Done,
     /* 1153541 */   // Label 16835: @1153541
     /* 1153541 */   GIM_Try, /*On fail goto*//*Label 16836*/ GIMT_Encode4(1153624), // Rule ID 15558 //
     /* 1153546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1153557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1153560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1153563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153585 */     // MIs[0] round
     /* 1153585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153595 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1153598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153606 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153623 */     // GIR_Coverage, 15558,
     /* 1153623 */     GIR_EraseRootFromParent_Done,
     /* 1153624 */   // Label 16836: @1153624
     /* 1153624 */   GIM_Try, /*On fail goto*//*Label 16837*/ GIMT_Encode4(1153707), // Rule ID 15561 //
     /* 1153629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1153640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1153643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1153646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153668 */     // MIs[0] round
     /* 1153668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153678 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1153681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153706 */     // GIR_Coverage, 15561,
     /* 1153706 */     GIR_EraseRootFromParent_Done,
     /* 1153707 */   // Label 16837: @1153707
     /* 1153707 */   GIM_Try, /*On fail goto*//*Label 16838*/ GIMT_Encode4(1153790), // Rule ID 15562 //
     /* 1153712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1153723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1153726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1153729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153751 */     // MIs[0] round
     /* 1153751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153761 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1153764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153772 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153789 */     // GIR_Coverage, 15562,
     /* 1153789 */     GIR_EraseRootFromParent_Done,
     /* 1153790 */   // Label 16838: @1153790
     /* 1153790 */   GIM_Try, /*On fail goto*//*Label 16839*/ GIMT_Encode4(1153873), // Rule ID 15565 //
     /* 1153795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1153806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1153809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1153812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153834 */     // MIs[0] round
     /* 1153834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153844 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1153847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153872 */     // GIR_Coverage, 15565,
     /* 1153872 */     GIR_EraseRootFromParent_Done,
     /* 1153873 */   // Label 16839: @1153873
     /* 1153873 */   GIM_Try, /*On fail goto*//*Label 16840*/ GIMT_Encode4(1153956), // Rule ID 15566 //
     /* 1153878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1153889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1153892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1153895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153917 */     // MIs[0] round
     /* 1153917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153927 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1153930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153955 */     // GIR_Coverage, 15566,
     /* 1153955 */     GIR_EraseRootFromParent_Done,
     /* 1153956 */   // Label 16840: @1153956
     /* 1153956 */   GIM_Try, /*On fail goto*//*Label 16841*/ GIMT_Encode4(1154039), // Rule ID 15569 //
     /* 1153961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1153969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1153972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1153975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1153978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154000 */     // MIs[0] round
     /* 1154000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154010 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1154013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154038 */     // GIR_Coverage, 15569,
     /* 1154038 */     GIR_EraseRootFromParent_Done,
     /* 1154039 */   // Label 16841: @1154039
     /* 1154039 */   GIM_Try, /*On fail goto*//*Label 16842*/ GIMT_Encode4(1154122), // Rule ID 15570 //
     /* 1154044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1154055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1154058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1154061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154083 */     // MIs[0] round
     /* 1154083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154093 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1154096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154104 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154121 */     // GIR_Coverage, 15570,
     /* 1154121 */     GIR_EraseRootFromParent_Done,
     /* 1154122 */   // Label 16842: @1154122
     /* 1154122 */   GIM_Try, /*On fail goto*//*Label 16843*/ GIMT_Encode4(1154205), // Rule ID 15573 //
     /* 1154127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1154138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1154141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1154144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154166 */     // MIs[0] round
     /* 1154166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154176 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1154179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154204 */     // GIR_Coverage, 15573,
     /* 1154204 */     GIR_EraseRootFromParent_Done,
     /* 1154205 */   // Label 16843: @1154205
     /* 1154205 */   GIM_Try, /*On fail goto*//*Label 16844*/ GIMT_Encode4(1154288), // Rule ID 15574 //
     /* 1154210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1154221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1154224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1154227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154249 */     // MIs[0] round
     /* 1154249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154259 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1154262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154270 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154287 */     // GIR_Coverage, 15574,
     /* 1154287 */     GIR_EraseRootFromParent_Done,
     /* 1154288 */   // Label 16844: @1154288
     /* 1154288 */   GIM_Try, /*On fail goto*//*Label 16845*/ GIMT_Encode4(1154371), // Rule ID 15577 //
     /* 1154293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1154304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1154307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1154310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154332 */     // MIs[0] round
     /* 1154332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154342 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1154345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154370 */     // GIR_Coverage, 15577,
     /* 1154370 */     GIR_EraseRootFromParent_Done,
     /* 1154371 */   // Label 16845: @1154371
     /* 1154371 */   GIM_Try, /*On fail goto*//*Label 16846*/ GIMT_Encode4(1154454), // Rule ID 15578 //
     /* 1154376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1154387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1154390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1154393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154415 */     // MIs[0] round
     /* 1154415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154425 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1154428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154436 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154453 */     // GIR_Coverage, 15578,
     /* 1154453 */     GIR_EraseRootFromParent_Done,
     /* 1154454 */   // Label 16846: @1154454
     /* 1154454 */   GIM_Try, /*On fail goto*//*Label 16847*/ GIMT_Encode4(1154537), // Rule ID 15581 //
     /* 1154459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1154470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1154473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1154476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154498 */     // MIs[0] round
     /* 1154498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1154511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154536 */     // GIR_Coverage, 15581,
     /* 1154536 */     GIR_EraseRootFromParent_Done,
     /* 1154537 */   // Label 16847: @1154537
     /* 1154537 */   GIM_Try, /*On fail goto*//*Label 16848*/ GIMT_Encode4(1154620), // Rule ID 15582 //
     /* 1154542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1154553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1154556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1154559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154581 */     // MIs[0] round
     /* 1154581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154591 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1154594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154619 */     // GIR_Coverage, 15582,
     /* 1154619 */     GIR_EraseRootFromParent_Done,
     /* 1154620 */   // Label 16848: @1154620
     /* 1154620 */   GIM_Try, /*On fail goto*//*Label 16849*/ GIMT_Encode4(1154703), // Rule ID 15585 //
     /* 1154625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1154636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1154639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1154642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154664 */     // MIs[0] round
     /* 1154664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154674 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1154677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154702 */     // GIR_Coverage, 15585,
     /* 1154702 */     GIR_EraseRootFromParent_Done,
     /* 1154703 */   // Label 16849: @1154703
     /* 1154703 */   GIM_Try, /*On fail goto*//*Label 16850*/ GIMT_Encode4(1154786), // Rule ID 15586 //
     /* 1154708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1154719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1154722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1154725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154747 */     // MIs[0] round
     /* 1154747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154757 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1154760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154768 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154785 */     // GIR_Coverage, 15586,
     /* 1154785 */     GIR_EraseRootFromParent_Done,
     /* 1154786 */   // Label 16850: @1154786
     /* 1154786 */   GIM_Try, /*On fail goto*//*Label 16851*/ GIMT_Encode4(1154869), // Rule ID 15589 //
     /* 1154791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1154802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1154805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1154808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154830 */     // MIs[0] round
     /* 1154830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154840 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1154843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154868 */     // GIR_Coverage, 15589,
     /* 1154868 */     GIR_EraseRootFromParent_Done,
     /* 1154869 */   // Label 16851: @1154869
     /* 1154869 */   GIM_Try, /*On fail goto*//*Label 16852*/ GIMT_Encode4(1154952), // Rule ID 15590 //
     /* 1154874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1154885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1154888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1154891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1154894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154913 */     // MIs[0] round
     /* 1154913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154923 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1154926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1154950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154951 */     // GIR_Coverage, 15590,
     /* 1154951 */     GIR_EraseRootFromParent_Done,
     /* 1154952 */   // Label 16852: @1154952
     /* 1154952 */   GIM_Try, /*On fail goto*//*Label 16853*/ GIMT_Encode4(1155035), // Rule ID 15593 //
     /* 1154957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1154965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1154968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1154971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1154974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1154977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154996 */     // MIs[0] round
     /* 1154996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155006 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1155009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155034 */     // GIR_Coverage, 15593,
     /* 1155034 */     GIR_EraseRootFromParent_Done,
     /* 1155035 */   // Label 16853: @1155035
     /* 1155035 */   GIM_Try, /*On fail goto*//*Label 16854*/ GIMT_Encode4(1155118), // Rule ID 15594 //
     /* 1155040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1155051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1155054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1155057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155079 */     // MIs[0] round
     /* 1155079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155089 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1155092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155100 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155113 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155117 */     // GIR_Coverage, 15594,
     /* 1155117 */     GIR_EraseRootFromParent_Done,
     /* 1155118 */   // Label 16854: @1155118
     /* 1155118 */   GIM_Try, /*On fail goto*//*Label 16855*/ GIMT_Encode4(1155201), // Rule ID 15597 //
     /* 1155123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1155134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1155137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1155140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155162 */     // MIs[0] round
     /* 1155162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155172 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1155175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155200 */     // GIR_Coverage, 15597,
     /* 1155200 */     GIR_EraseRootFromParent_Done,
     /* 1155201 */   // Label 16855: @1155201
     /* 1155201 */   GIM_Try, /*On fail goto*//*Label 16856*/ GIMT_Encode4(1155284), // Rule ID 15598 //
     /* 1155206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1155217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1155220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1155223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155245 */     // MIs[0] round
     /* 1155245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155255 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1155258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155266 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155283 */     // GIR_Coverage, 15598,
     /* 1155283 */     GIR_EraseRootFromParent_Done,
     /* 1155284 */   // Label 16856: @1155284
     /* 1155284 */   GIM_Try, /*On fail goto*//*Label 16857*/ GIMT_Encode4(1155367), // Rule ID 15601 //
     /* 1155289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1155300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1155303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1155306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155328 */     // MIs[0] round
     /* 1155328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155338 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1155341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155366 */     // GIR_Coverage, 15601,
     /* 1155366 */     GIR_EraseRootFromParent_Done,
     /* 1155367 */   // Label 16857: @1155367
     /* 1155367 */   GIM_Try, /*On fail goto*//*Label 16858*/ GIMT_Encode4(1155450), // Rule ID 15602 //
     /* 1155372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1155383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1155386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1155389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155411 */     // MIs[0] round
     /* 1155411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155421 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1155424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155432 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155445 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155449 */     // GIR_Coverage, 15602,
     /* 1155449 */     GIR_EraseRootFromParent_Done,
     /* 1155450 */   // Label 16858: @1155450
     /* 1155450 */   GIM_Try, /*On fail goto*//*Label 16859*/ GIMT_Encode4(1155533), // Rule ID 15605 //
     /* 1155455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1155466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1155469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1155472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155494 */     // MIs[0] round
     /* 1155494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155504 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1155507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155532 */     // GIR_Coverage, 15605,
     /* 1155532 */     GIR_EraseRootFromParent_Done,
     /* 1155533 */   // Label 16859: @1155533
     /* 1155533 */   GIM_Try, /*On fail goto*//*Label 16860*/ GIMT_Encode4(1155616), // Rule ID 15606 //
     /* 1155538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1155549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1155552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1155555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155577 */     // MIs[0] round
     /* 1155577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155587 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1155590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155615 */     // GIR_Coverage, 15606,
     /* 1155615 */     GIR_EraseRootFromParent_Done,
     /* 1155616 */   // Label 16860: @1155616
     /* 1155616 */   GIM_Try, /*On fail goto*//*Label 16861*/ GIMT_Encode4(1155699), // Rule ID 15609 //
     /* 1155621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1155632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1155635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1155638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155660 */     // MIs[0] round
     /* 1155660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155670 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1155673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155698 */     // GIR_Coverage, 15609,
     /* 1155698 */     GIR_EraseRootFromParent_Done,
     /* 1155699 */   // Label 16861: @1155699
     /* 1155699 */   GIM_Try, /*On fail goto*//*Label 16862*/ GIMT_Encode4(1155782), // Rule ID 15610 //
     /* 1155704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1155715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1155718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1155721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155743 */     // MIs[0] round
     /* 1155743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155753 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1155756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155781 */     // GIR_Coverage, 15610,
     /* 1155781 */     GIR_EraseRootFromParent_Done,
     /* 1155782 */   // Label 16862: @1155782
     /* 1155782 */   GIM_Try, /*On fail goto*//*Label 16863*/ GIMT_Encode4(1155865), // Rule ID 15613 //
     /* 1155787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1155798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1155801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1155804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155826 */     // MIs[0] round
     /* 1155826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155836 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1155839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155864 */     // GIR_Coverage, 15613,
     /* 1155864 */     GIR_EraseRootFromParent_Done,
     /* 1155865 */   // Label 16863: @1155865
     /* 1155865 */   GIM_Try, /*On fail goto*//*Label 16864*/ GIMT_Encode4(1155948), // Rule ID 15614 //
     /* 1155870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1155881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1155884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1155887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1155890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155909 */     // MIs[0] round
     /* 1155909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155919 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1155922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155930 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155943 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1155946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155947 */     // GIR_Coverage, 15614,
     /* 1155947 */     GIR_EraseRootFromParent_Done,
     /* 1155948 */   // Label 16864: @1155948
     /* 1155948 */   GIM_Try, /*On fail goto*//*Label 16865*/ GIMT_Encode4(1156031), // Rule ID 15617 //
     /* 1155953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1155961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1155964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1155967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1155970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1155973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1155992 */     // MIs[0] round
     /* 1155992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1156005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156030 */     // GIR_Coverage, 15617,
     /* 1156030 */     GIR_EraseRootFromParent_Done,
     /* 1156031 */   // Label 16865: @1156031
     /* 1156031 */   GIM_Try, /*On fail goto*//*Label 16866*/ GIMT_Encode4(1156114), // Rule ID 15618 //
     /* 1156036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1156047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1156050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1156053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156075 */     // MIs[0] round
     /* 1156075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156085 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1156088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156113 */     // GIR_Coverage, 15618,
     /* 1156113 */     GIR_EraseRootFromParent_Done,
     /* 1156114 */   // Label 16866: @1156114
     /* 1156114 */   GIM_Try, /*On fail goto*//*Label 16867*/ GIMT_Encode4(1156197), // Rule ID 15621 //
     /* 1156119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1156130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1156133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1156136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156158 */     // MIs[0] round
     /* 1156158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156168 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1156171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156196 */     // GIR_Coverage, 15621,
     /* 1156196 */     GIR_EraseRootFromParent_Done,
     /* 1156197 */   // Label 16867: @1156197
     /* 1156197 */   GIM_Try, /*On fail goto*//*Label 16868*/ GIMT_Encode4(1156280), // Rule ID 15622 //
     /* 1156202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1156213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1156216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1156219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156241 */     // MIs[0] round
     /* 1156241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156251 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1156254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156262 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156279 */     // GIR_Coverage, 15622,
     /* 1156279 */     GIR_EraseRootFromParent_Done,
     /* 1156280 */   // Label 16868: @1156280
     /* 1156280 */   GIM_Try, /*On fail goto*//*Label 16869*/ GIMT_Encode4(1156363), // Rule ID 15625 //
     /* 1156285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1156296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1156299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1156302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156324 */     // MIs[0] round
     /* 1156324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156334 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1156337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156362 */     // GIR_Coverage, 15625,
     /* 1156362 */     GIR_EraseRootFromParent_Done,
     /* 1156363 */   // Label 16869: @1156363
     /* 1156363 */   GIM_Try, /*On fail goto*//*Label 16870*/ GIMT_Encode4(1156446), // Rule ID 15626 //
     /* 1156368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1156379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1156382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1156385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156407 */     // MIs[0] round
     /* 1156407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156417 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1156420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156445 */     // GIR_Coverage, 15626,
     /* 1156445 */     GIR_EraseRootFromParent_Done,
     /* 1156446 */   // Label 16870: @1156446
     /* 1156446 */   GIM_Try, /*On fail goto*//*Label 16871*/ GIMT_Encode4(1156529), // Rule ID 15629 //
     /* 1156451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1156454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1156462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1156465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1156468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1156471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156490 */     // MIs[0] round
     /* 1156490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156500 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1156503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156528 */     // GIR_Coverage, 15629,
     /* 1156528 */     GIR_EraseRootFromParent_Done,
     /* 1156529 */   // Label 16871: @1156529
     /* 1156529 */   GIM_Try, /*On fail goto*//*Label 16872*/ GIMT_Encode4(1156612), // Rule ID 15630 //
     /* 1156534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1156537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1156545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1156548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1156551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1156554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156573 */     // MIs[0] round
     /* 1156573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156583 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1156586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156594 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156611 */     // GIR_Coverage, 15630,
     /* 1156611 */     GIR_EraseRootFromParent_Done,
     /* 1156612 */   // Label 16872: @1156612
     /* 1156612 */   GIM_Try, /*On fail goto*//*Label 16873*/ GIMT_Encode4(1156695), // Rule ID 15633 //
     /* 1156617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1156620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1156628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1156631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1156634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1156637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156656 */     // MIs[0] round
     /* 1156656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156666 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1156669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156694 */     // GIR_Coverage, 15633,
     /* 1156694 */     GIR_EraseRootFromParent_Done,
     /* 1156695 */   // Label 16873: @1156695
     /* 1156695 */   GIM_Try, /*On fail goto*//*Label 16874*/ GIMT_Encode4(1156778), // Rule ID 15634 //
     /* 1156700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1156703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1156711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1156714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1156717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1156720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156739 */     // MIs[0] round
     /* 1156739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156749 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1156752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156777 */     // GIR_Coverage, 15634,
     /* 1156777 */     GIR_EraseRootFromParent_Done,
     /* 1156778 */   // Label 16874: @1156778
     /* 1156778 */   GIM_Try, /*On fail goto*//*Label 16875*/ GIMT_Encode4(1156861), // Rule ID 15637 //
     /* 1156783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1156786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1156794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1156797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1156800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1156803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156822 */     // MIs[0] round
     /* 1156822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156832 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1156835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156860 */     // GIR_Coverage, 15637,
     /* 1156860 */     GIR_EraseRootFromParent_Done,
     /* 1156861 */   // Label 16875: @1156861
     /* 1156861 */   GIM_Try, /*On fail goto*//*Label 16876*/ GIMT_Encode4(1156944), // Rule ID 15638 //
     /* 1156866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1156869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1156877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1156880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1156883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1156886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156905 */     // MIs[0] round
     /* 1156905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156915 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1156918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156926 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1156942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156943 */     // GIR_Coverage, 15638,
     /* 1156943 */     GIR_EraseRootFromParent_Done,
     /* 1156944 */   // Label 16876: @1156944
     /* 1156944 */   GIM_Try, /*On fail goto*//*Label 16877*/ GIMT_Encode4(1157027), // Rule ID 15641 //
     /* 1156949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1156952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1156957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1156960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1156963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1156966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1156969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156988 */     // MIs[0] round
     /* 1156988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156998 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1157001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157026 */     // GIR_Coverage, 15641,
     /* 1157026 */     GIR_EraseRootFromParent_Done,
     /* 1157027 */   // Label 16877: @1157027
     /* 1157027 */   GIM_Try, /*On fail goto*//*Label 16878*/ GIMT_Encode4(1157110), // Rule ID 15642 //
     /* 1157032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1157035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1157043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1157046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1157049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1157052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157071 */     // MIs[0] round
     /* 1157071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157081 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1157084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157092 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157109 */     // GIR_Coverage, 15642,
     /* 1157109 */     GIR_EraseRootFromParent_Done,
     /* 1157110 */   // Label 16878: @1157110
     /* 1157110 */   GIM_Try, /*On fail goto*//*Label 16879*/ GIMT_Encode4(1157193), // Rule ID 15645 //
     /* 1157115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1157118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1157126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1157129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1157132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157154 */     // MIs[0] round
     /* 1157154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157164 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1157167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157192 */     // GIR_Coverage, 15645,
     /* 1157192 */     GIR_EraseRootFromParent_Done,
     /* 1157193 */   // Label 16879: @1157193
     /* 1157193 */   GIM_Try, /*On fail goto*//*Label 16880*/ GIMT_Encode4(1157276), // Rule ID 15646 //
     /* 1157198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1157201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1157209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1157212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1157215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157237 */     // MIs[0] round
     /* 1157237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157247 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1157250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157275 */     // GIR_Coverage, 15646,
     /* 1157275 */     GIR_EraseRootFromParent_Done,
     /* 1157276 */   // Label 16880: @1157276
     /* 1157276 */   GIM_Try, /*On fail goto*//*Label 16881*/ GIMT_Encode4(1157359), // Rule ID 15649 //
     /* 1157281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1157284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1157292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1157295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1157298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157320 */     // MIs[0] round
     /* 1157320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157330 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1157333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157358 */     // GIR_Coverage, 15649,
     /* 1157358 */     GIR_EraseRootFromParent_Done,
     /* 1157359 */   // Label 16881: @1157359
     /* 1157359 */   GIM_Try, /*On fail goto*//*Label 16882*/ GIMT_Encode4(1157442), // Rule ID 15650 //
     /* 1157364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1157367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1157375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1157378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1157381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157403 */     // MIs[0] round
     /* 1157403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157413 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11460:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1157416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157424 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157437 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157441 */     // GIR_Coverage, 15650,
     /* 1157441 */     GIR_EraseRootFromParent_Done,
     /* 1157442 */   // Label 16882: @1157442
     /* 1157442 */   GIM_Try, /*On fail goto*//*Label 16883*/ GIMT_Encode4(1157525), // Rule ID 15653 //
     /* 1157447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1157450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1157458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1157461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1157464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157486 */     // MIs[0] round
     /* 1157486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157496 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1157499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157524 */     // GIR_Coverage, 15653,
     /* 1157524 */     GIR_EraseRootFromParent_Done,
     /* 1157525 */   // Label 16883: @1157525
     /* 1157525 */   GIM_Try, /*On fail goto*//*Label 16884*/ GIMT_Encode4(1157608), // Rule ID 15654 //
     /* 1157530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1157533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1157541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1157544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1157547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157569 */     // MIs[0] round
     /* 1157569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157579 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11460:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1157582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157590 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157607 */     // GIR_Coverage, 15654,
     /* 1157607 */     GIR_EraseRootFromParent_Done,
     /* 1157608 */   // Label 16884: @1157608
     /* 1157608 */   GIM_Try, /*On fail goto*//*Label 16885*/ GIMT_Encode4(1157691), // Rule ID 15657 //
     /* 1157613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1157616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1157624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1157627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1157630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157652 */     // MIs[0] round
     /* 1157652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157662 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1157665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157690 */     // GIR_Coverage, 15657,
     /* 1157690 */     GIR_EraseRootFromParent_Done,
     /* 1157691 */   // Label 16885: @1157691
     /* 1157691 */   GIM_Try, /*On fail goto*//*Label 16886*/ GIMT_Encode4(1157774), // Rule ID 15658 //
     /* 1157696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1157699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1157704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1157707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1157710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1157713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157735 */     // MIs[0] round
     /* 1157735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157745 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11460:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1157748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157756 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1157772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157773 */     // GIR_Coverage, 15658,
     /* 1157773 */     GIR_EraseRootFromParent_Done,
     /* 1157774 */   // Label 16886: @1157774
     /* 1157774 */   GIM_Try, /*On fail goto*//*Label 16887*/ GIMT_Encode4(1157854), // Rule ID 15661 //
     /* 1157779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1157787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1157790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1157793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1157796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1157799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157818 */     // MIs[0] round
     /* 1157818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157828 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1157831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157853 */     // GIR_Coverage, 15661,
     /* 1157853 */     GIR_EraseRootFromParent_Done,
     /* 1157854 */   // Label 16887: @1157854
     /* 1157854 */   GIM_Try, /*On fail goto*//*Label 16888*/ GIMT_Encode4(1157934), // Rule ID 15662 //
     /* 1157859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1157867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1157870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1157873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1157876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1157879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157898 */     // MIs[0] round
     /* 1157898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157908 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1157911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157933 */     // GIR_Coverage, 15662,
     /* 1157933 */     GIR_EraseRootFromParent_Done,
     /* 1157934 */   // Label 16888: @1157934
     /* 1157934 */   GIM_Try, /*On fail goto*//*Label 16889*/ GIMT_Encode4(1158014), // Rule ID 15665 //
     /* 1157939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1157947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1157950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1157953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1157956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1157959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157978 */     // MIs[0] round
     /* 1157978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157988 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1157991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158013 */     // GIR_Coverage, 15665,
     /* 1158013 */     GIR_EraseRootFromParent_Done,
     /* 1158014 */   // Label 16889: @1158014
     /* 1158014 */   GIM_Try, /*On fail goto*//*Label 16890*/ GIMT_Encode4(1158094), // Rule ID 15666 //
     /* 1158019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1158030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1158033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1158036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1158039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158058 */     // MIs[0] round
     /* 1158058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158068 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1158071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158093 */     // GIR_Coverage, 15666,
     /* 1158093 */     GIR_EraseRootFromParent_Done,
     /* 1158094 */   // Label 16890: @1158094
     /* 1158094 */   GIM_Try, /*On fail goto*//*Label 16891*/ GIMT_Encode4(1158174), // Rule ID 15669 //
     /* 1158099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1158110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1158113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1158116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1158119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158138 */     // MIs[0] round
     /* 1158138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158148 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1158151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158173 */     // GIR_Coverage, 15669,
     /* 1158173 */     GIR_EraseRootFromParent_Done,
     /* 1158174 */   // Label 16891: @1158174
     /* 1158174 */   GIM_Try, /*On fail goto*//*Label 16892*/ GIMT_Encode4(1158254), // Rule ID 15670 //
     /* 1158179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1158190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1158193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1158196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1158199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158218 */     // MIs[0] round
     /* 1158218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158228 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1158231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158253 */     // GIR_Coverage, 15670,
     /* 1158253 */     GIR_EraseRootFromParent_Done,
     /* 1158254 */   // Label 16892: @1158254
     /* 1158254 */   GIM_Try, /*On fail goto*//*Label 16893*/ GIMT_Encode4(1158334), // Rule ID 15673 //
     /* 1158259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1158270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1158273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1158276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1158279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158298 */     // MIs[0] round
     /* 1158298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158308 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1158311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158333 */     // GIR_Coverage, 15673,
     /* 1158333 */     GIR_EraseRootFromParent_Done,
     /* 1158334 */   // Label 16893: @1158334
     /* 1158334 */   GIM_Try, /*On fail goto*//*Label 16894*/ GIMT_Encode4(1158414), // Rule ID 15674 //
     /* 1158339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1158350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1158353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1158356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1158359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158378 */     // MIs[0] round
     /* 1158378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158388 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1158391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158413 */     // GIR_Coverage, 15674,
     /* 1158413 */     GIR_EraseRootFromParent_Done,
     /* 1158414 */   // Label 16894: @1158414
     /* 1158414 */   GIM_Try, /*On fail goto*//*Label 16895*/ GIMT_Encode4(1158494), // Rule ID 15677 //
     /* 1158419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1158430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1158433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1158436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1158439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158458 */     // MIs[0] round
     /* 1158458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158468 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1158471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158493 */     // GIR_Coverage, 15677,
     /* 1158493 */     GIR_EraseRootFromParent_Done,
     /* 1158494 */   // Label 16895: @1158494
     /* 1158494 */   GIM_Try, /*On fail goto*//*Label 16896*/ GIMT_Encode4(1158574), // Rule ID 15678 //
     /* 1158499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1158510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1158513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1158516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1158519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158538 */     // MIs[0] round
     /* 1158538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158548 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1158551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158573 */     // GIR_Coverage, 15678,
     /* 1158573 */     GIR_EraseRootFromParent_Done,
     /* 1158574 */   // Label 16896: @1158574
     /* 1158574 */   GIM_Try, /*On fail goto*//*Label 16897*/ GIMT_Encode4(1158654), // Rule ID 15681 //
     /* 1158579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1158590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1158593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1158596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1158599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158618 */     // MIs[0] round
     /* 1158618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158628 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1158631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1158649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158653 */     // GIR_Coverage, 15681,
     /* 1158653 */     GIR_EraseRootFromParent_Done,
     /* 1158654 */   // Label 16897: @1158654
     /* 1158654 */   GIM_Try, /*On fail goto*//*Label 16898*/ GIMT_Encode4(1158734), // Rule ID 15682 //
     /* 1158659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1158670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1158673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1158676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1158679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158698 */     // MIs[0] round
     /* 1158698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158708 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1158711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1158729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158733 */     // GIR_Coverage, 15682,
     /* 1158733 */     GIR_EraseRootFromParent_Done,
     /* 1158734 */   // Label 16898: @1158734
     /* 1158734 */   GIM_Try, /*On fail goto*//*Label 16899*/ GIMT_Encode4(1158814), // Rule ID 15685 //
     /* 1158739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1158750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1158753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1158756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1158759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158778 */     // MIs[0] round
     /* 1158778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158788 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1158791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158813 */     // GIR_Coverage, 15685,
     /* 1158813 */     GIR_EraseRootFromParent_Done,
     /* 1158814 */   // Label 16899: @1158814
     /* 1158814 */   GIM_Try, /*On fail goto*//*Label 16900*/ GIMT_Encode4(1158894), // Rule ID 15686 //
     /* 1158819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1158830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1158833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1158836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1158839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158858 */     // MIs[0] round
     /* 1158858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158868 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1158871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158893 */     // GIR_Coverage, 15686,
     /* 1158893 */     GIR_EraseRootFromParent_Done,
     /* 1158894 */   // Label 16900: @1158894
     /* 1158894 */   GIM_Try, /*On fail goto*//*Label 16901*/ GIMT_Encode4(1158974), // Rule ID 15689 //
     /* 1158899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1158910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1158913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1158916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1158919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158938 */     // MIs[0] round
     /* 1158938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1158951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158973 */     // GIR_Coverage, 15689,
     /* 1158973 */     GIR_EraseRootFromParent_Done,
     /* 1158974 */   // Label 16901: @1158974
     /* 1158974 */   GIM_Try, /*On fail goto*//*Label 16902*/ GIMT_Encode4(1159054), // Rule ID 15690 //
     /* 1158979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1158990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1158993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1158996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1158999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159018 */     // MIs[0] round
     /* 1159018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1159031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159053 */     // GIR_Coverage, 15690,
     /* 1159053 */     GIR_EraseRootFromParent_Done,
     /* 1159054 */   // Label 16902: @1159054
     /* 1159054 */   GIM_Try, /*On fail goto*//*Label 16903*/ GIMT_Encode4(1159134), // Rule ID 15693 //
     /* 1159059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1159070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1159073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1159076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1159079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159098 */     // MIs[0] round
     /* 1159098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1159111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159133 */     // GIR_Coverage, 15693,
     /* 1159133 */     GIR_EraseRootFromParent_Done,
     /* 1159134 */   // Label 16903: @1159134
     /* 1159134 */   GIM_Try, /*On fail goto*//*Label 16904*/ GIMT_Encode4(1159214), // Rule ID 15694 //
     /* 1159139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1159150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1159153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1159156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1159159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159178 */     // MIs[0] round
     /* 1159178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159188 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1159191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159213 */     // GIR_Coverage, 15694,
     /* 1159213 */     GIR_EraseRootFromParent_Done,
     /* 1159214 */   // Label 16904: @1159214
     /* 1159214 */   GIM_Try, /*On fail goto*//*Label 16905*/ GIMT_Encode4(1159294), // Rule ID 15697 //
     /* 1159219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1159222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1159230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1159233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1159236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1159239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159258 */     // MIs[0] round
     /* 1159258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1159271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1159289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159293 */     // GIR_Coverage, 15697,
     /* 1159293 */     GIR_EraseRootFromParent_Done,
     /* 1159294 */   // Label 16905: @1159294
     /* 1159294 */   GIM_Try, /*On fail goto*//*Label 16906*/ GIMT_Encode4(1159374), // Rule ID 15698 //
     /* 1159299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1159302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1159310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1159313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1159316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1159319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159338 */     // MIs[0] round
     /* 1159338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159348 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1159351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1159369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159373 */     // GIR_Coverage, 15698,
     /* 1159373 */     GIR_EraseRootFromParent_Done,
     /* 1159374 */   // Label 16906: @1159374
     /* 1159374 */   GIM_Try, /*On fail goto*//*Label 16907*/ GIMT_Encode4(1159454), // Rule ID 15701 //
     /* 1159379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1159390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1159393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1159396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1159399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159418 */     // MIs[0] round
     /* 1159418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159428 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1159431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159453 */     // GIR_Coverage, 15701,
     /* 1159453 */     GIR_EraseRootFromParent_Done,
     /* 1159454 */   // Label 16907: @1159454
     /* 1159454 */   GIM_Try, /*On fail goto*//*Label 16908*/ GIMT_Encode4(1159534), // Rule ID 15702 //
     /* 1159459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1159470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1159473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1159476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1159479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159498 */     // MIs[0] round
     /* 1159498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159508 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1159511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159533 */     // GIR_Coverage, 15702,
     /* 1159533 */     GIR_EraseRootFromParent_Done,
     /* 1159534 */   // Label 16908: @1159534
     /* 1159534 */   GIM_Try, /*On fail goto*//*Label 16909*/ GIMT_Encode4(1159614), // Rule ID 15705 //
     /* 1159539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1159550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1159553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1159556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1159559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159578 */     // MIs[0] round
     /* 1159578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159588 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1159591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159613 */     // GIR_Coverage, 15705,
     /* 1159613 */     GIR_EraseRootFromParent_Done,
     /* 1159614 */   // Label 16909: @1159614
     /* 1159614 */   GIM_Try, /*On fail goto*//*Label 16910*/ GIMT_Encode4(1159694), // Rule ID 15706 //
     /* 1159619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1159630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1159633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1159636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1159639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159658 */     // MIs[0] round
     /* 1159658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159668 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1159671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159693 */     // GIR_Coverage, 15706,
     /* 1159693 */     GIR_EraseRootFromParent_Done,
     /* 1159694 */   // Label 16910: @1159694
     /* 1159694 */   GIM_Try, /*On fail goto*//*Label 16911*/ GIMT_Encode4(1159774), // Rule ID 15709 //
     /* 1159699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1159710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1159713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1159716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1159719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159738 */     // MIs[0] round
     /* 1159738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159748 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1159751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159773 */     // GIR_Coverage, 15709,
     /* 1159773 */     GIR_EraseRootFromParent_Done,
     /* 1159774 */   // Label 16911: @1159774
     /* 1159774 */   GIM_Try, /*On fail goto*//*Label 16912*/ GIMT_Encode4(1159854), // Rule ID 15710 //
     /* 1159779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1159790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1159793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1159796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1159799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159818 */     // MIs[0] round
     /* 1159818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159828 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1159831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159853 */     // GIR_Coverage, 15710,
     /* 1159853 */     GIR_EraseRootFromParent_Done,
     /* 1159854 */   // Label 16912: @1159854
     /* 1159854 */   GIM_Try, /*On fail goto*//*Label 16913*/ GIMT_Encode4(1159934), // Rule ID 15713 //
     /* 1159859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1159870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1159873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1159876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1159879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159898 */     // MIs[0] round
     /* 1159898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159908 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1159911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159933 */     // GIR_Coverage, 15713,
     /* 1159933 */     GIR_EraseRootFromParent_Done,
     /* 1159934 */   // Label 16913: @1159934
     /* 1159934 */   GIM_Try, /*On fail goto*//*Label 16914*/ GIMT_Encode4(1160014), // Rule ID 15714 //
     /* 1159939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1159950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1159953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1159956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1159959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159978 */     // MIs[0] round
     /* 1159978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159988 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1159991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160013 */     // GIR_Coverage, 15714,
     /* 1160013 */     GIR_EraseRootFromParent_Done,
     /* 1160014 */   // Label 16914: @1160014
     /* 1160014 */   GIM_Try, /*On fail goto*//*Label 16915*/ GIMT_Encode4(1160094), // Rule ID 15717 //
     /* 1160019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1160030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1160033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1160036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1160039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160058 */     // MIs[0] round
     /* 1160058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160068 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1160071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160093 */     // GIR_Coverage, 15717,
     /* 1160093 */     GIR_EraseRootFromParent_Done,
     /* 1160094 */   // Label 16915: @1160094
     /* 1160094 */   GIM_Try, /*On fail goto*//*Label 16916*/ GIMT_Encode4(1160174), // Rule ID 15718 //
     /* 1160099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1160110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1160113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1160116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1160119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160138 */     // MIs[0] round
     /* 1160138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160148 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1160151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160173 */     // GIR_Coverage, 15718,
     /* 1160173 */     GIR_EraseRootFromParent_Done,
     /* 1160174 */   // Label 16916: @1160174
     /* 1160174 */   GIM_Try, /*On fail goto*//*Label 16917*/ GIMT_Encode4(1160254), // Rule ID 15721 //
     /* 1160179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1160190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1160193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1160196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1160199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160218 */     // MIs[0] round
     /* 1160218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160228 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1160231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160253 */     // GIR_Coverage, 15721,
     /* 1160253 */     GIR_EraseRootFromParent_Done,
     /* 1160254 */   // Label 16917: @1160254
     /* 1160254 */   GIM_Try, /*On fail goto*//*Label 16918*/ GIMT_Encode4(1160334), // Rule ID 15722 //
     /* 1160259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1160270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1160273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1160276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1160279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160298 */     // MIs[0] round
     /* 1160298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160308 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1160311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160333 */     // GIR_Coverage, 15722,
     /* 1160333 */     GIR_EraseRootFromParent_Done,
     /* 1160334 */   // Label 16918: @1160334
     /* 1160334 */   GIM_Try, /*On fail goto*//*Label 16919*/ GIMT_Encode4(1160414), // Rule ID 15725 //
     /* 1160339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1160350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1160353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1160356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1160359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160378 */     // MIs[0] round
     /* 1160378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160388 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1160391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160413 */     // GIR_Coverage, 15725,
     /* 1160413 */     GIR_EraseRootFromParent_Done,
     /* 1160414 */   // Label 16919: @1160414
     /* 1160414 */   GIM_Try, /*On fail goto*//*Label 16920*/ GIMT_Encode4(1160494), // Rule ID 15726 //
     /* 1160419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1160430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1160433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1160436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1160439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160458 */     // MIs[0] round
     /* 1160458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160468 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1160471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160493 */     // GIR_Coverage, 15726,
     /* 1160493 */     GIR_EraseRootFromParent_Done,
     /* 1160494 */   // Label 16920: @1160494
     /* 1160494 */   GIM_Try, /*On fail goto*//*Label 16921*/ GIMT_Encode4(1160574), // Rule ID 15729 //
     /* 1160499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1160510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1160513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1160516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1160519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160538 */     // MIs[0] round
     /* 1160538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160548 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1160551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160573 */     // GIR_Coverage, 15729,
     /* 1160573 */     GIR_EraseRootFromParent_Done,
     /* 1160574 */   // Label 16921: @1160574
     /* 1160574 */   GIM_Try, /*On fail goto*//*Label 16922*/ GIMT_Encode4(1160654), // Rule ID 15730 //
     /* 1160579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1160590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1160593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1160596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1160599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160618 */     // MIs[0] round
     /* 1160618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160628 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1160631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160653 */     // GIR_Coverage, 15730,
     /* 1160653 */     GIR_EraseRootFromParent_Done,
     /* 1160654 */   // Label 16922: @1160654
     /* 1160654 */   GIM_Try, /*On fail goto*//*Label 16923*/ GIMT_Encode4(1160734), // Rule ID 15733 //
     /* 1160659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1160670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1160673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1160676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1160679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160698 */     // MIs[0] round
     /* 1160698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160708 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1160711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160733 */     // GIR_Coverage, 15733,
     /* 1160733 */     GIR_EraseRootFromParent_Done,
     /* 1160734 */   // Label 16923: @1160734
     /* 1160734 */   GIM_Try, /*On fail goto*//*Label 16924*/ GIMT_Encode4(1160814), // Rule ID 15734 //
     /* 1160739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1160750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1160753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1160756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1160759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160778 */     // MIs[0] round
     /* 1160778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160788 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1160791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160813 */     // GIR_Coverage, 15734,
     /* 1160813 */     GIR_EraseRootFromParent_Done,
     /* 1160814 */   // Label 16924: @1160814
     /* 1160814 */   GIM_Try, /*On fail goto*//*Label 16925*/ GIMT_Encode4(1160894), // Rule ID 15737 //
     /* 1160819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1160822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1160830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1160833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1160836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1160839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160858 */     // MIs[0] round
     /* 1160858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160868 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1160871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1160889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160893 */     // GIR_Coverage, 15737,
     /* 1160893 */     GIR_EraseRootFromParent_Done,
     /* 1160894 */   // Label 16925: @1160894
     /* 1160894 */   GIM_Try, /*On fail goto*//*Label 16926*/ GIMT_Encode4(1160974), // Rule ID 15738 //
     /* 1160899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1160902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1160910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1160913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1160916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1160919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160938 */     // MIs[0] round
     /* 1160938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160948 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1160951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1160969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160973 */     // GIR_Coverage, 15738,
     /* 1160973 */     GIR_EraseRootFromParent_Done,
     /* 1160974 */   // Label 16926: @1160974
     /* 1160974 */   GIM_Try, /*On fail goto*//*Label 16927*/ GIMT_Encode4(1161054), // Rule ID 15741 //
     /* 1160979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1160982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1160990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1160993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1160996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1160999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161018 */     // MIs[0] round
     /* 1161018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161028 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1161031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1161049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161053 */     // GIR_Coverage, 15741,
     /* 1161053 */     GIR_EraseRootFromParent_Done,
     /* 1161054 */   // Label 16927: @1161054
     /* 1161054 */   GIM_Try, /*On fail goto*//*Label 16928*/ GIMT_Encode4(1161134), // Rule ID 15742 //
     /* 1161059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1161062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1161070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1161073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1161076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1161079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161098 */     // MIs[0] round
     /* 1161098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161108 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1161111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1161129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161133 */     // GIR_Coverage, 15742,
     /* 1161133 */     GIR_EraseRootFromParent_Done,
     /* 1161134 */   // Label 16928: @1161134
     /* 1161134 */   GIM_Try, /*On fail goto*//*Label 16929*/ GIMT_Encode4(1161214), // Rule ID 15745 //
     /* 1161139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1161142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1161150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1161153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1161156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1161159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161178 */     // MIs[0] round
     /* 1161178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161188 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1161191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1161209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161213 */     // GIR_Coverage, 15745,
     /* 1161213 */     GIR_EraseRootFromParent_Done,
     /* 1161214 */   // Label 16929: @1161214
     /* 1161214 */   GIM_Try, /*On fail goto*//*Label 16930*/ GIMT_Encode4(1161294), // Rule ID 15746 //
     /* 1161219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1161222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1161230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1161233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1161236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1161239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161258 */     // MIs[0] round
     /* 1161258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161268 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1161271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1161289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161293 */     // GIR_Coverage, 15746,
     /* 1161293 */     GIR_EraseRootFromParent_Done,
     /* 1161294 */   // Label 16930: @1161294
     /* 1161294 */   GIM_Try, /*On fail goto*//*Label 16931*/ GIMT_Encode4(1161374), // Rule ID 15749 //
     /* 1161299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1161310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1161313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1161316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161338 */     // MIs[0] round
     /* 1161338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161348 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1161351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161373 */     // GIR_Coverage, 15749,
     /* 1161373 */     GIR_EraseRootFromParent_Done,
     /* 1161374 */   // Label 16931: @1161374
     /* 1161374 */   GIM_Try, /*On fail goto*//*Label 16932*/ GIMT_Encode4(1161454), // Rule ID 15750 //
     /* 1161379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1161390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1161393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1161396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161418 */     // MIs[0] round
     /* 1161418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161428 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1161431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161453 */     // GIR_Coverage, 15750,
     /* 1161453 */     GIR_EraseRootFromParent_Done,
     /* 1161454 */   // Label 16932: @1161454
     /* 1161454 */   GIM_Try, /*On fail goto*//*Label 16933*/ GIMT_Encode4(1161534), // Rule ID 15753 //
     /* 1161459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1161470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1161473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1161476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161498 */     // MIs[0] round
     /* 1161498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161508 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1161511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161533 */     // GIR_Coverage, 15753,
     /* 1161533 */     GIR_EraseRootFromParent_Done,
     /* 1161534 */   // Label 16933: @1161534
     /* 1161534 */   GIM_Try, /*On fail goto*//*Label 16934*/ GIMT_Encode4(1161614), // Rule ID 15754 //
     /* 1161539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1161550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1161553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1161556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161578 */     // MIs[0] round
     /* 1161578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161588 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1161591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161613 */     // GIR_Coverage, 15754,
     /* 1161613 */     GIR_EraseRootFromParent_Done,
     /* 1161614 */   // Label 16934: @1161614
     /* 1161614 */   GIM_Try, /*On fail goto*//*Label 16935*/ GIMT_Encode4(1161694), // Rule ID 15757 //
     /* 1161619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1161630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1161633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1161636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161658 */     // MIs[0] round
     /* 1161658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161668 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1161671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161693 */     // GIR_Coverage, 15757,
     /* 1161693 */     GIR_EraseRootFromParent_Done,
     /* 1161694 */   // Label 16935: @1161694
     /* 1161694 */   GIM_Try, /*On fail goto*//*Label 16936*/ GIMT_Encode4(1161774), // Rule ID 15758 //
     /* 1161699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1161710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1161713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1161716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161738 */     // MIs[0] round
     /* 1161738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161748 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1161751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161773 */     // GIR_Coverage, 15758,
     /* 1161773 */     GIR_EraseRootFromParent_Done,
     /* 1161774 */   // Label 16936: @1161774
     /* 1161774 */   GIM_Try, /*On fail goto*//*Label 16937*/ GIMT_Encode4(1161854), // Rule ID 15761 //
     /* 1161779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1161790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1161793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1161796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161818 */     // MIs[0] round
     /* 1161818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161828 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1161831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161853 */     // GIR_Coverage, 15761,
     /* 1161853 */     GIR_EraseRootFromParent_Done,
     /* 1161854 */   // Label 16937: @1161854
     /* 1161854 */   GIM_Try, /*On fail goto*//*Label 16938*/ GIMT_Encode4(1161934), // Rule ID 15762 //
     /* 1161859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1161870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1161873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1161876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161898 */     // MIs[0] round
     /* 1161898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161908 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1161911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161933 */     // GIR_Coverage, 15762,
     /* 1161933 */     GIR_EraseRootFromParent_Done,
     /* 1161934 */   // Label 16938: @1161934
     /* 1161934 */   GIM_Try, /*On fail goto*//*Label 16939*/ GIMT_Encode4(1162014), // Rule ID 15765 //
     /* 1161939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1161947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1161950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1161953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1161956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1161959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161978 */     // MIs[0] round
     /* 1161978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161988 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1161991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162013 */     // GIR_Coverage, 15765,
     /* 1162013 */     GIR_EraseRootFromParent_Done,
     /* 1162014 */   // Label 16939: @1162014
     /* 1162014 */   GIM_Try, /*On fail goto*//*Label 16940*/ GIMT_Encode4(1162094), // Rule ID 15766 //
     /* 1162019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1162030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1162033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1162036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162058 */     // MIs[0] round
     /* 1162058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162068 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1162071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162093 */     // GIR_Coverage, 15766,
     /* 1162093 */     GIR_EraseRootFromParent_Done,
     /* 1162094 */   // Label 16940: @1162094
     /* 1162094 */   GIM_Try, /*On fail goto*//*Label 16941*/ GIMT_Encode4(1162174), // Rule ID 15769 //
     /* 1162099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1162110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1162113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1162116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162138 */     // MIs[0] round
     /* 1162138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162148 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1162151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162173 */     // GIR_Coverage, 15769,
     /* 1162173 */     GIR_EraseRootFromParent_Done,
     /* 1162174 */   // Label 16941: @1162174
     /* 1162174 */   GIM_Try, /*On fail goto*//*Label 16942*/ GIMT_Encode4(1162254), // Rule ID 15770 //
     /* 1162179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1162190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1162193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1162196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162218 */     // MIs[0] round
     /* 1162218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162228 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1162231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162253 */     // GIR_Coverage, 15770,
     /* 1162253 */     GIR_EraseRootFromParent_Done,
     /* 1162254 */   // Label 16942: @1162254
     /* 1162254 */   GIM_Try, /*On fail goto*//*Label 16943*/ GIMT_Encode4(1162334), // Rule ID 15773 //
     /* 1162259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1162270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1162273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1162276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162298 */     // MIs[0] round
     /* 1162298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162308 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1162311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162333 */     // GIR_Coverage, 15773,
     /* 1162333 */     GIR_EraseRootFromParent_Done,
     /* 1162334 */   // Label 16943: @1162334
     /* 1162334 */   GIM_Try, /*On fail goto*//*Label 16944*/ GIMT_Encode4(1162414), // Rule ID 15774 //
     /* 1162339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1162350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1162353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1162356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162378 */     // MIs[0] round
     /* 1162378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162388 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1162391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162413 */     // GIR_Coverage, 15774,
     /* 1162413 */     GIR_EraseRootFromParent_Done,
     /* 1162414 */   // Label 16944: @1162414
     /* 1162414 */   GIM_Try, /*On fail goto*//*Label 16945*/ GIMT_Encode4(1162494), // Rule ID 15777 //
     /* 1162419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1162430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1162433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1162436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162458 */     // MIs[0] round
     /* 1162458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162468 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1162471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162493 */     // GIR_Coverage, 15777,
     /* 1162493 */     GIR_EraseRootFromParent_Done,
     /* 1162494 */   // Label 16945: @1162494
     /* 1162494 */   GIM_Try, /*On fail goto*//*Label 16946*/ GIMT_Encode4(1162574), // Rule ID 15778 //
     /* 1162499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1162510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1162513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1162516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162538 */     // MIs[0] round
     /* 1162538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162548 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1162551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162573 */     // GIR_Coverage, 15778,
     /* 1162573 */     GIR_EraseRootFromParent_Done,
     /* 1162574 */   // Label 16946: @1162574
     /* 1162574 */   GIM_Try, /*On fail goto*//*Label 16947*/ GIMT_Encode4(1162654), // Rule ID 15781 //
     /* 1162579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1162590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1162593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1162596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162618 */     // MIs[0] round
     /* 1162618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1162631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162653 */     // GIR_Coverage, 15781,
     /* 1162653 */     GIR_EraseRootFromParent_Done,
     /* 1162654 */   // Label 16947: @1162654
     /* 1162654 */   GIM_Try, /*On fail goto*//*Label 16948*/ GIMT_Encode4(1162734), // Rule ID 15782 //
     /* 1162659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1162670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1162673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1162676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162698 */     // MIs[0] round
     /* 1162698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1162711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162733 */     // GIR_Coverage, 15782,
     /* 1162733 */     GIR_EraseRootFromParent_Done,
     /* 1162734 */   // Label 16948: @1162734
     /* 1162734 */   GIM_Try, /*On fail goto*//*Label 16949*/ GIMT_Encode4(1162814), // Rule ID 15785 //
     /* 1162739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1162742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1162750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1162753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1162756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162778 */     // MIs[0] round
     /* 1162778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162788 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1162791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162813 */     // GIR_Coverage, 15785,
     /* 1162813 */     GIR_EraseRootFromParent_Done,
     /* 1162814 */   // Label 16949: @1162814
     /* 1162814 */   GIM_Try, /*On fail goto*//*Label 16950*/ GIMT_Encode4(1162894), // Rule ID 15786 //
     /* 1162819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1162822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1162830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1162833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1162836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162858 */     // MIs[0] round
     /* 1162858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162868 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1162871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1162889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162893 */     // GIR_Coverage, 15786,
     /* 1162893 */     GIR_EraseRootFromParent_Done,
     /* 1162894 */   // Label 16950: @1162894
     /* 1162894 */   GIM_Try, /*On fail goto*//*Label 16951*/ GIMT_Encode4(1162974), // Rule ID 15789 //
     /* 1162899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1162910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1162913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1162916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1162919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1162938 */     // MIs[0] round
     /* 1162938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162948 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1162951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162973 */     // GIR_Coverage, 15789,
     /* 1162973 */     GIR_EraseRootFromParent_Done,
     /* 1162974 */   // Label 16951: @1162974
     /* 1162974 */   GIM_Try, /*On fail goto*//*Label 16952*/ GIMT_Encode4(1163054), // Rule ID 15790 //
     /* 1162979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1162987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1162990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1162993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1162996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163018 */     // MIs[0] round
     /* 1163018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163028 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1163031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163053 */     // GIR_Coverage, 15790,
     /* 1163053 */     GIR_EraseRootFromParent_Done,
     /* 1163054 */   // Label 16952: @1163054
     /* 1163054 */   GIM_Try, /*On fail goto*//*Label 16953*/ GIMT_Encode4(1163134), // Rule ID 15793 //
     /* 1163059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1163070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1163073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1163076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163098 */     // MIs[0] round
     /* 1163098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163108 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1163111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163133 */     // GIR_Coverage, 15793,
     /* 1163133 */     GIR_EraseRootFromParent_Done,
     /* 1163134 */   // Label 16953: @1163134
     /* 1163134 */   GIM_Try, /*On fail goto*//*Label 16954*/ GIMT_Encode4(1163214), // Rule ID 15794 //
     /* 1163139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1163150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1163153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1163156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163178 */     // MIs[0] round
     /* 1163178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163188 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1163191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163213 */     // GIR_Coverage, 15794,
     /* 1163213 */     GIR_EraseRootFromParent_Done,
     /* 1163214 */   // Label 16954: @1163214
     /* 1163214 */   GIM_Try, /*On fail goto*//*Label 16955*/ GIMT_Encode4(1163294), // Rule ID 15797 //
     /* 1163219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1163230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1163233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1163236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163258 */     // MIs[0] round
     /* 1163258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163268 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1163271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163293 */     // GIR_Coverage, 15797,
     /* 1163293 */     GIR_EraseRootFromParent_Done,
     /* 1163294 */   // Label 16955: @1163294
     /* 1163294 */   GIM_Try, /*On fail goto*//*Label 16956*/ GIMT_Encode4(1163374), // Rule ID 15798 //
     /* 1163299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1163310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1163313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1163316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163338 */     // MIs[0] round
     /* 1163338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163348 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1163351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163373 */     // GIR_Coverage, 15798,
     /* 1163373 */     GIR_EraseRootFromParent_Done,
     /* 1163374 */   // Label 16956: @1163374
     /* 1163374 */   GIM_Try, /*On fail goto*//*Label 16957*/ GIMT_Encode4(1163454), // Rule ID 15801 //
     /* 1163379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1163390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1163393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1163396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163418 */     // MIs[0] round
     /* 1163418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163428 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1163431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163453 */     // GIR_Coverage, 15801,
     /* 1163453 */     GIR_EraseRootFromParent_Done,
     /* 1163454 */   // Label 16957: @1163454
     /* 1163454 */   GIM_Try, /*On fail goto*//*Label 16958*/ GIMT_Encode4(1163534), // Rule ID 15802 //
     /* 1163459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1163470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1163473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1163476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163498 */     // MIs[0] round
     /* 1163498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163508 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1163511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163533 */     // GIR_Coverage, 15802,
     /* 1163533 */     GIR_EraseRootFromParent_Done,
     /* 1163534 */   // Label 16958: @1163534
     /* 1163534 */   GIM_Try, /*On fail goto*//*Label 16959*/ GIMT_Encode4(1163614), // Rule ID 15805 //
     /* 1163539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1163550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1163553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1163556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163578 */     // MIs[0] round
     /* 1163578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163588 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1163591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163613 */     // GIR_Coverage, 15805,
     /* 1163613 */     GIR_EraseRootFromParent_Done,
     /* 1163614 */   // Label 16959: @1163614
     /* 1163614 */   GIM_Try, /*On fail goto*//*Label 16960*/ GIMT_Encode4(1163694), // Rule ID 15806 //
     /* 1163619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1163630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1163633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1163636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163658 */     // MIs[0] round
     /* 1163658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163668 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1163671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163693 */     // GIR_Coverage, 15806,
     /* 1163693 */     GIR_EraseRootFromParent_Done,
     /* 1163694 */   // Label 16960: @1163694
     /* 1163694 */   GIM_Try, /*On fail goto*//*Label 16961*/ GIMT_Encode4(1163774), // Rule ID 15809 //
     /* 1163699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1163710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1163713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1163716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163738 */     // MIs[0] round
     /* 1163738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163748 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1163751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163773 */     // GIR_Coverage, 15809,
     /* 1163773 */     GIR_EraseRootFromParent_Done,
     /* 1163774 */   // Label 16961: @1163774
     /* 1163774 */   GIM_Try, /*On fail goto*//*Label 16962*/ GIMT_Encode4(1163854), // Rule ID 15810 //
     /* 1163779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1163790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1163793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1163796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163818 */     // MIs[0] round
     /* 1163818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163828 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1163831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163853 */     // GIR_Coverage, 15810,
     /* 1163853 */     GIR_EraseRootFromParent_Done,
     /* 1163854 */   // Label 16962: @1163854
     /* 1163854 */   GIM_Try, /*On fail goto*//*Label 16963*/ GIMT_Encode4(1163934), // Rule ID 15813 //
     /* 1163859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1163870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1163873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1163876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163898 */     // MIs[0] round
     /* 1163898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163908 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1163911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163933 */     // GIR_Coverage, 15813,
     /* 1163933 */     GIR_EraseRootFromParent_Done,
     /* 1163934 */   // Label 16963: @1163934
     /* 1163934 */   GIM_Try, /*On fail goto*//*Label 16964*/ GIMT_Encode4(1164014), // Rule ID 15814 //
     /* 1163939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1163947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1163950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1163953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1163956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163978 */     // MIs[0] round
     /* 1163978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163988 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1163991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164013 */     // GIR_Coverage, 15814,
     /* 1164013 */     GIR_EraseRootFromParent_Done,
     /* 1164014 */   // Label 16964: @1164014
     /* 1164014 */   GIM_Try, /*On fail goto*//*Label 16965*/ GIMT_Encode4(1164094), // Rule ID 15817 //
     /* 1164019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1164030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1164033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1164036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164058 */     // MIs[0] round
     /* 1164058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164068 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1164071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164093 */     // GIR_Coverage, 15817,
     /* 1164093 */     GIR_EraseRootFromParent_Done,
     /* 1164094 */   // Label 16965: @1164094
     /* 1164094 */   GIM_Try, /*On fail goto*//*Label 16966*/ GIMT_Encode4(1164174), // Rule ID 15818 //
     /* 1164099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1164110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1164113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1164116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164138 */     // MIs[0] round
     /* 1164138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164148 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1164151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164173 */     // GIR_Coverage, 15818,
     /* 1164173 */     GIR_EraseRootFromParent_Done,
     /* 1164174 */   // Label 16966: @1164174
     /* 1164174 */   GIM_Try, /*On fail goto*//*Label 16967*/ GIMT_Encode4(1164254), // Rule ID 15821 //
     /* 1164179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1164190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1164193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1164196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164218 */     // MIs[0] round
     /* 1164218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164228 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1164231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164253 */     // GIR_Coverage, 15821,
     /* 1164253 */     GIR_EraseRootFromParent_Done,
     /* 1164254 */   // Label 16967: @1164254
     /* 1164254 */   GIM_Try, /*On fail goto*//*Label 16968*/ GIMT_Encode4(1164334), // Rule ID 15822 //
     /* 1164259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1164270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1164273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1164276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164298 */     // MIs[0] round
     /* 1164298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164308 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1164311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164333 */     // GIR_Coverage, 15822,
     /* 1164333 */     GIR_EraseRootFromParent_Done,
     /* 1164334 */   // Label 16968: @1164334
     /* 1164334 */   GIM_Try, /*On fail goto*//*Label 16969*/ GIMT_Encode4(1164414), // Rule ID 15825 //
     /* 1164339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1164342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1164350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1164353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1164356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164378 */     // MIs[0] round
     /* 1164378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164388 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1164391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1164409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164413 */     // GIR_Coverage, 15825,
     /* 1164413 */     GIR_EraseRootFromParent_Done,
     /* 1164414 */   // Label 16969: @1164414
     /* 1164414 */   GIM_Try, /*On fail goto*//*Label 16970*/ GIMT_Encode4(1164494), // Rule ID 15826 //
     /* 1164419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1164422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1164430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1164433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1164436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164458 */     // MIs[0] round
     /* 1164458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164468 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11500:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1164471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1164489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164493 */     // GIR_Coverage, 15826,
     /* 1164493 */     GIR_EraseRootFromParent_Done,
     /* 1164494 */   // Label 16970: @1164494
     /* 1164494 */   GIM_Try, /*On fail goto*//*Label 16971*/ GIMT_Encode4(1164574), // Rule ID 15829 //
     /* 1164499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1164502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1164510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1164513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1164516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164538 */     // MIs[0] round
     /* 1164538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164548 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1164551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1164569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164573 */     // GIR_Coverage, 15829,
     /* 1164573 */     GIR_EraseRootFromParent_Done,
     /* 1164574 */   // Label 16971: @1164574
     /* 1164574 */   GIM_Try, /*On fail goto*//*Label 16972*/ GIMT_Encode4(1164654), // Rule ID 15830 //
     /* 1164579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1164582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1164590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1164593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1164596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1164614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164618 */     // MIs[0] round
     /* 1164618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164628 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11500:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1164631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1164649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164653 */     // GIR_Coverage, 15830,
     /* 1164653 */     GIR_EraseRootFromParent_Done,
     /* 1164654 */   // Label 16972: @1164654
     /* 1164654 */   GIM_Try, /*On fail goto*//*Label 16973*/ GIMT_Encode4(1164734), // Rule ID 15833 //
     /* 1164659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1164662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1164670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1164673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1164676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164698 */     // MIs[0] round
     /* 1164698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164708 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1164711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1164729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164733 */     // GIR_Coverage, 15833,
     /* 1164733 */     GIR_EraseRootFromParent_Done,
     /* 1164734 */   // Label 16973: @1164734
     /* 1164734 */   GIM_Try, /*On fail goto*//*Label 16974*/ GIMT_Encode4(1164814), // Rule ID 15834 //
     /* 1164739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1164742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1164747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1164750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1164753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1164756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164778 */     // MIs[0] round
     /* 1164778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164788 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11500:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1164791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1164809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164813 */     // GIR_Coverage, 15834,
     /* 1164813 */     GIR_EraseRootFromParent_Done,
     /* 1164814 */   // Label 16974: @1164814
     /* 1164814 */   GIM_Try, /*On fail goto*//*Label 16975*/ GIMT_Encode4(1164894), // Rule ID 15925 //
     /* 1164819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1164827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1164830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1164833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1164836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1164839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164858 */     // MIs[0] round
     /* 1164858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164868 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1164871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164893 */     // GIR_Coverage, 15925,
     /* 1164893 */     GIR_EraseRootFromParent_Done,
     /* 1164894 */   // Label 16975: @1164894
     /* 1164894 */   GIM_Try, /*On fail goto*//*Label 16976*/ GIMT_Encode4(1164974), // Rule ID 15926 //
     /* 1164899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1164907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1164910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1164913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1164916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1164919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164938 */     // MIs[0] round
     /* 1164938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164948 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1164951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164973 */     // GIR_Coverage, 15926,
     /* 1164973 */     GIR_EraseRootFromParent_Done,
     /* 1164974 */   // Label 16976: @1164974
     /* 1164974 */   GIM_Try, /*On fail goto*//*Label 16977*/ GIMT_Encode4(1165054), // Rule ID 15929 //
     /* 1164979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1164987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1164990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1164993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1164996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1164999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165018 */     // MIs[0] round
     /* 1165018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165028 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1165031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165053 */     // GIR_Coverage, 15929,
     /* 1165053 */     GIR_EraseRootFromParent_Done,
     /* 1165054 */   // Label 16977: @1165054
     /* 1165054 */   GIM_Try, /*On fail goto*//*Label 16978*/ GIMT_Encode4(1165134), // Rule ID 15930 //
     /* 1165059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1165070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1165073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1165076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1165079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165098 */     // MIs[0] round
     /* 1165098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165108 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1165111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165133 */     // GIR_Coverage, 15930,
     /* 1165133 */     GIR_EraseRootFromParent_Done,
     /* 1165134 */   // Label 16978: @1165134
     /* 1165134 */   GIM_Try, /*On fail goto*//*Label 16979*/ GIMT_Encode4(1165214), // Rule ID 15933 //
     /* 1165139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1165150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1165153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1165156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1165159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165178 */     // MIs[0] round
     /* 1165178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165188 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1165191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165213 */     // GIR_Coverage, 15933,
     /* 1165213 */     GIR_EraseRootFromParent_Done,
     /* 1165214 */   // Label 16979: @1165214
     /* 1165214 */   GIM_Try, /*On fail goto*//*Label 16980*/ GIMT_Encode4(1165294), // Rule ID 15934 //
     /* 1165219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1165230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1165233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1165236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1165239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165258 */     // MIs[0] round
     /* 1165258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165268 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1165271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165293 */     // GIR_Coverage, 15934,
     /* 1165293 */     GIR_EraseRootFromParent_Done,
     /* 1165294 */   // Label 16980: @1165294
     /* 1165294 */   GIM_Try, /*On fail goto*//*Label 16981*/ GIMT_Encode4(1165374), // Rule ID 15937 //
     /* 1165299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1165310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1165313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1165316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1165319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165338 */     // MIs[0] round
     /* 1165338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165348 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1165351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165373 */     // GIR_Coverage, 15937,
     /* 1165373 */     GIR_EraseRootFromParent_Done,
     /* 1165374 */   // Label 16981: @1165374
     /* 1165374 */   GIM_Try, /*On fail goto*//*Label 16982*/ GIMT_Encode4(1165454), // Rule ID 15938 //
     /* 1165379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1165390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1165393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1165396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1165399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165418 */     // MIs[0] round
     /* 1165418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165428 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1165431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165453 */     // GIR_Coverage, 15938,
     /* 1165453 */     GIR_EraseRootFromParent_Done,
     /* 1165454 */   // Label 16982: @1165454
     /* 1165454 */   GIM_Try, /*On fail goto*//*Label 16983*/ GIMT_Encode4(1165534), // Rule ID 15941 //
     /* 1165459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1165470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1165473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1165476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1165479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165498 */     // MIs[0] round
     /* 1165498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165508 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1165511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165533 */     // GIR_Coverage, 15941,
     /* 1165533 */     GIR_EraseRootFromParent_Done,
     /* 1165534 */   // Label 16983: @1165534
     /* 1165534 */   GIM_Try, /*On fail goto*//*Label 16984*/ GIMT_Encode4(1165614), // Rule ID 15942 //
     /* 1165539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1165550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1165553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1165556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1165559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165578 */     // MIs[0] round
     /* 1165578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165588 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1165591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165613 */     // GIR_Coverage, 15942,
     /* 1165613 */     GIR_EraseRootFromParent_Done,
     /* 1165614 */   // Label 16984: @1165614
     /* 1165614 */   GIM_Try, /*On fail goto*//*Label 16985*/ GIMT_Encode4(1165694), // Rule ID 15945 //
     /* 1165619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1165630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1165633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1165636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1165639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165658 */     // MIs[0] round
     /* 1165658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165668 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1165671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165693 */     // GIR_Coverage, 15945,
     /* 1165693 */     GIR_EraseRootFromParent_Done,
     /* 1165694 */   // Label 16985: @1165694
     /* 1165694 */   GIM_Try, /*On fail goto*//*Label 16986*/ GIMT_Encode4(1165774), // Rule ID 15946 //
     /* 1165699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1165710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1165713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1165716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1165719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165738 */     // MIs[0] round
     /* 1165738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165748 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1165751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165773 */     // GIR_Coverage, 15946,
     /* 1165773 */     GIR_EraseRootFromParent_Done,
     /* 1165774 */   // Label 16986: @1165774
     /* 1165774 */   GIM_Try, /*On fail goto*//*Label 16987*/ GIMT_Encode4(1165854), // Rule ID 15949 //
     /* 1165779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1165790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1165793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1165796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1165799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165818 */     // MIs[0] round
     /* 1165818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1165831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165853 */     // GIR_Coverage, 15949,
     /* 1165853 */     GIR_EraseRootFromParent_Done,
     /* 1165854 */   // Label 16987: @1165854
     /* 1165854 */   GIM_Try, /*On fail goto*//*Label 16988*/ GIMT_Encode4(1165934), // Rule ID 15950 //
     /* 1165859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1165870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1165873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1165876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1165879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165898 */     // MIs[0] round
     /* 1165898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1165911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165933 */     // GIR_Coverage, 15950,
     /* 1165933 */     GIR_EraseRootFromParent_Done,
     /* 1165934 */   // Label 16988: @1165934
     /* 1165934 */   GIM_Try, /*On fail goto*//*Label 16989*/ GIMT_Encode4(1166014), // Rule ID 15953 //
     /* 1165939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1165950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1165953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1165956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1165959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165978 */     // MIs[0] round
     /* 1165978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165988 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1165991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166013 */     // GIR_Coverage, 15953,
     /* 1166013 */     GIR_EraseRootFromParent_Done,
     /* 1166014 */   // Label 16989: @1166014
     /* 1166014 */   GIM_Try, /*On fail goto*//*Label 16990*/ GIMT_Encode4(1166094), // Rule ID 15954 //
     /* 1166019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1166030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1166033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1166036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1166039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166058 */     // MIs[0] round
     /* 1166058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166068 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1166071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166093 */     // GIR_Coverage, 15954,
     /* 1166093 */     GIR_EraseRootFromParent_Done,
     /* 1166094 */   // Label 16990: @1166094
     /* 1166094 */   GIM_Try, /*On fail goto*//*Label 16991*/ GIMT_Encode4(1166174), // Rule ID 15957 //
     /* 1166099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1166110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1166113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1166116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1166119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166138 */     // MIs[0] round
     /* 1166138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166148 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1166151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166173 */     // GIR_Coverage, 15957,
     /* 1166173 */     GIR_EraseRootFromParent_Done,
     /* 1166174 */   // Label 16991: @1166174
     /* 1166174 */   GIM_Try, /*On fail goto*//*Label 16992*/ GIMT_Encode4(1166254), // Rule ID 15958 //
     /* 1166179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1166190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1166193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1166196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1166199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166218 */     // MIs[0] round
     /* 1166218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1166231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166253 */     // GIR_Coverage, 15958,
     /* 1166253 */     GIR_EraseRootFromParent_Done,
     /* 1166254 */   // Label 16992: @1166254
     /* 1166254 */   GIM_Try, /*On fail goto*//*Label 16993*/ GIMT_Encode4(1166334), // Rule ID 15961 //
     /* 1166259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1166262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1166270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1166273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1166276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1166279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166298 */     // MIs[0] round
     /* 1166298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166308 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1166311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166333 */     // GIR_Coverage, 15961,
     /* 1166333 */     GIR_EraseRootFromParent_Done,
     /* 1166334 */   // Label 16993: @1166334
     /* 1166334 */   GIM_Try, /*On fail goto*//*Label 16994*/ GIMT_Encode4(1166414), // Rule ID 15962 //
     /* 1166339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1166342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1166350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1166353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1166356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1166359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1166378 */     // MIs[0] round
     /* 1166378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166388 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1166391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166413 */     // GIR_Coverage, 15962,
     /* 1166413 */     GIR_EraseRootFromParent_Done,
     /* 1166414 */   // Label 16994: @1166414
     /* 1166414 */   GIM_Try, /*On fail goto*//*Label 16995*/ GIMT_Encode4(1166494), // Rule ID 15965 //
     /* 1166419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1166430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1166433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1166436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1166439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166458 */     // MIs[0] round
     /* 1166458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166468 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1166471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166493 */     // GIR_Coverage, 15965,
     /* 1166493 */     GIR_EraseRootFromParent_Done,
     /* 1166494 */   // Label 16995: @1166494
     /* 1166494 */   GIM_Try, /*On fail goto*//*Label 16996*/ GIMT_Encode4(1166574), // Rule ID 15966 //
     /* 1166499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1166510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1166513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1166516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1166519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166538 */     // MIs[0] round
     /* 1166538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166548 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1166551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166573 */     // GIR_Coverage, 15966,
     /* 1166573 */     GIR_EraseRootFromParent_Done,
     /* 1166574 */   // Label 16996: @1166574
     /* 1166574 */   GIM_Try, /*On fail goto*//*Label 16997*/ GIMT_Encode4(1166654), // Rule ID 15969 //
     /* 1166579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1166590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1166593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1166596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1166599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166618 */     // MIs[0] round
     /* 1166618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166628 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1166631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166653 */     // GIR_Coverage, 15969,
     /* 1166653 */     GIR_EraseRootFromParent_Done,
     /* 1166654 */   // Label 16997: @1166654
     /* 1166654 */   GIM_Try, /*On fail goto*//*Label 16998*/ GIMT_Encode4(1166734), // Rule ID 15970 //
     /* 1166659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1166670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1166673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1166676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1166679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166698 */     // MIs[0] round
     /* 1166698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166708 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1166711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166733 */     // GIR_Coverage, 15970,
     /* 1166733 */     GIR_EraseRootFromParent_Done,
     /* 1166734 */   // Label 16998: @1166734
     /* 1166734 */   GIM_Try, /*On fail goto*//*Label 16999*/ GIMT_Encode4(1166814), // Rule ID 15973 //
     /* 1166739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1166750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1166753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1166756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1166759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166778 */     // MIs[0] round
     /* 1166778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166788 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1166791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166813 */     // GIR_Coverage, 15973,
     /* 1166813 */     GIR_EraseRootFromParent_Done,
     /* 1166814 */   // Label 16999: @1166814
     /* 1166814 */   GIM_Try, /*On fail goto*//*Label 17000*/ GIMT_Encode4(1166894), // Rule ID 15974 //
     /* 1166819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1166830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1166833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1166836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1166839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166858 */     // MIs[0] round
     /* 1166858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166868 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1166871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166893 */     // GIR_Coverage, 15974,
     /* 1166893 */     GIR_EraseRootFromParent_Done,
     /* 1166894 */   // Label 17000: @1166894
     /* 1166894 */   GIM_Try, /*On fail goto*//*Label 17001*/ GIMT_Encode4(1166974), // Rule ID 15977 //
     /* 1166899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1166910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1166913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1166916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1166919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166938 */     // MIs[0] round
     /* 1166938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166948 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1166951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166973 */     // GIR_Coverage, 15977,
     /* 1166973 */     GIR_EraseRootFromParent_Done,
     /* 1166974 */   // Label 17001: @1166974
     /* 1166974 */   GIM_Try, /*On fail goto*//*Label 17002*/ GIMT_Encode4(1167054), // Rule ID 15978 //
     /* 1166979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1166990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1166993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1166996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1166999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167018 */     // MIs[0] round
     /* 1167018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167028 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1167031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167053 */     // GIR_Coverage, 15978,
     /* 1167053 */     GIR_EraseRootFromParent_Done,
     /* 1167054 */   // Label 17002: @1167054
     /* 1167054 */   GIM_Try, /*On fail goto*//*Label 17003*/ GIMT_Encode4(1167134), // Rule ID 15981 //
     /* 1167059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1167070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1167073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1167076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1167079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167098 */     // MIs[0] round
     /* 1167098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167108 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1167111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167133 */     // GIR_Coverage, 15981,
     /* 1167133 */     GIR_EraseRootFromParent_Done,
     /* 1167134 */   // Label 17003: @1167134
     /* 1167134 */   GIM_Try, /*On fail goto*//*Label 17004*/ GIMT_Encode4(1167214), // Rule ID 15982 //
     /* 1167139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1167150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1167153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1167156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1167159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167178 */     // MIs[0] round
     /* 1167178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167188 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1167191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167213 */     // GIR_Coverage, 15982,
     /* 1167213 */     GIR_EraseRootFromParent_Done,
     /* 1167214 */   // Label 17004: @1167214
     /* 1167214 */   GIM_Try, /*On fail goto*//*Label 17005*/ GIMT_Encode4(1167294), // Rule ID 15985 //
     /* 1167219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1167230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1167233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1167236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1167239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167258 */     // MIs[0] round
     /* 1167258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167268 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1167271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167293 */     // GIR_Coverage, 15985,
     /* 1167293 */     GIR_EraseRootFromParent_Done,
     /* 1167294 */   // Label 17005: @1167294
     /* 1167294 */   GIM_Try, /*On fail goto*//*Label 17006*/ GIMT_Encode4(1167374), // Rule ID 15986 //
     /* 1167299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1167310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1167313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1167316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1167319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167338 */     // MIs[0] round
     /* 1167338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167348 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1167351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167373 */     // GIR_Coverage, 15986,
     /* 1167373 */     GIR_EraseRootFromParent_Done,
     /* 1167374 */   // Label 17006: @1167374
     /* 1167374 */   GIM_Try, /*On fail goto*//*Label 17007*/ GIMT_Encode4(1167454), // Rule ID 15989 //
     /* 1167379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1167390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1167393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1167396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1167399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167418 */     // MIs[0] round
     /* 1167418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167428 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1167431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167453 */     // GIR_Coverage, 15989,
     /* 1167453 */     GIR_EraseRootFromParent_Done,
     /* 1167454 */   // Label 17007: @1167454
     /* 1167454 */   GIM_Try, /*On fail goto*//*Label 17008*/ GIMT_Encode4(1167534), // Rule ID 15990 //
     /* 1167459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1167470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1167473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1167476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1167479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167498 */     // MIs[0] round
     /* 1167498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167508 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1167511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167533 */     // GIR_Coverage, 15990,
     /* 1167533 */     GIR_EraseRootFromParent_Done,
     /* 1167534 */   // Label 17008: @1167534
     /* 1167534 */   GIM_Try, /*On fail goto*//*Label 17009*/ GIMT_Encode4(1167614), // Rule ID 15993 //
     /* 1167539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1167550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1167553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1167556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1167559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167578 */     // MIs[0] round
     /* 1167578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167588 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1167591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167613 */     // GIR_Coverage, 15993,
     /* 1167613 */     GIR_EraseRootFromParent_Done,
     /* 1167614 */   // Label 17009: @1167614
     /* 1167614 */   GIM_Try, /*On fail goto*//*Label 17010*/ GIMT_Encode4(1167694), // Rule ID 15994 //
     /* 1167619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1167630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1167633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1167636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1167639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167658 */     // MIs[0] round
     /* 1167658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167668 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1167671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167693 */     // GIR_Coverage, 15994,
     /* 1167693 */     GIR_EraseRootFromParent_Done,
     /* 1167694 */   // Label 17010: @1167694
     /* 1167694 */   GIM_Try, /*On fail goto*//*Label 17011*/ GIMT_Encode4(1167774), // Rule ID 15997 //
     /* 1167699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1167710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1167713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1167716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1167719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167738 */     // MIs[0] round
     /* 1167738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167748 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1167751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167773 */     // GIR_Coverage, 15997,
     /* 1167773 */     GIR_EraseRootFromParent_Done,
     /* 1167774 */   // Label 17011: @1167774
     /* 1167774 */   GIM_Try, /*On fail goto*//*Label 17012*/ GIMT_Encode4(1167854), // Rule ID 15998 //
     /* 1167779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1167790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1167793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1167796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1167799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167818 */     // MIs[0] round
     /* 1167818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167828 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1167831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167853 */     // GIR_Coverage, 15998,
     /* 1167853 */     GIR_EraseRootFromParent_Done,
     /* 1167854 */   // Label 17012: @1167854
     /* 1167854 */   GIM_Try, /*On fail goto*//*Label 17013*/ GIMT_Encode4(1167934), // Rule ID 16001 //
     /* 1167859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1167862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1167870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1167873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1167876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1167879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167898 */     // MIs[0] round
     /* 1167898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167908 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1167911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167933 */     // GIR_Coverage, 16001,
     /* 1167933 */     GIR_EraseRootFromParent_Done,
     /* 1167934 */   // Label 17013: @1167934
     /* 1167934 */   GIM_Try, /*On fail goto*//*Label 17014*/ GIMT_Encode4(1168014), // Rule ID 16002 //
     /* 1167939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1167942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1167950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1167953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1167956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1167959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167978 */     // MIs[0] round
     /* 1167978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167988 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1167991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1168009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168013 */     // GIR_Coverage, 16002,
     /* 1168013 */     GIR_EraseRootFromParent_Done,
     /* 1168014 */   // Label 17014: @1168014
     /* 1168014 */   GIM_Try, /*On fail goto*//*Label 17015*/ GIMT_Encode4(1168094), // Rule ID 16005 //
     /* 1168019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1168022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1168030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1168033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1168036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1168039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168058 */     // MIs[0] round
     /* 1168058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168068 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1168071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1168089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168093 */     // GIR_Coverage, 16005,
     /* 1168093 */     GIR_EraseRootFromParent_Done,
     /* 1168094 */   // Label 17015: @1168094
     /* 1168094 */   GIM_Try, /*On fail goto*//*Label 17016*/ GIMT_Encode4(1168174), // Rule ID 16006 //
     /* 1168099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1168102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1168110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1168113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1168116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1168119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168138 */     // MIs[0] round
     /* 1168138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168148 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1168151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1168169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168173 */     // GIR_Coverage, 16006,
     /* 1168173 */     GIR_EraseRootFromParent_Done,
     /* 1168174 */   // Label 17016: @1168174
     /* 1168174 */   GIM_Try, /*On fail goto*//*Label 17017*/ GIMT_Encode4(1168254), // Rule ID 16009 //
     /* 1168179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1168182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1168190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1168193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1168196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1168199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168218 */     // MIs[0] round
     /* 1168218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168228 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1168231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1168249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168253 */     // GIR_Coverage, 16009,
     /* 1168253 */     GIR_EraseRootFromParent_Done,
     /* 1168254 */   // Label 17017: @1168254
     /* 1168254 */   GIM_Try, /*On fail goto*//*Label 17018*/ GIMT_Encode4(1168334), // Rule ID 16010 //
     /* 1168259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1168262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1168270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1168273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1168276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1168279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168298 */     // MIs[0] round
     /* 1168298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168308 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1168311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1168329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168333 */     // GIR_Coverage, 16010,
     /* 1168333 */     GIR_EraseRootFromParent_Done,
     /* 1168334 */   // Label 17018: @1168334
     /* 1168334 */   GIM_Try, /*On fail goto*//*Label 17019*/ GIMT_Encode4(1168414), // Rule ID 16013 //
     /* 1168339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1168350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1168353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1168356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168378 */     // MIs[0] round
     /* 1168378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168388 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1168391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168413 */     // GIR_Coverage, 16013,
     /* 1168413 */     GIR_EraseRootFromParent_Done,
     /* 1168414 */   // Label 17019: @1168414
     /* 1168414 */   GIM_Try, /*On fail goto*//*Label 17020*/ GIMT_Encode4(1168494), // Rule ID 16014 //
     /* 1168419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1168430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1168433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1168436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168458 */     // MIs[0] round
     /* 1168458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168468 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1168471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168493 */     // GIR_Coverage, 16014,
     /* 1168493 */     GIR_EraseRootFromParent_Done,
     /* 1168494 */   // Label 17020: @1168494
     /* 1168494 */   GIM_Try, /*On fail goto*//*Label 17021*/ GIMT_Encode4(1168574), // Rule ID 16017 //
     /* 1168499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1168510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1168513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1168516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168538 */     // MIs[0] round
     /* 1168538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168548 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1168551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168573 */     // GIR_Coverage, 16017,
     /* 1168573 */     GIR_EraseRootFromParent_Done,
     /* 1168574 */   // Label 17021: @1168574
     /* 1168574 */   GIM_Try, /*On fail goto*//*Label 17022*/ GIMT_Encode4(1168654), // Rule ID 16018 //
     /* 1168579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1168590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1168593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1168596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168618 */     // MIs[0] round
     /* 1168618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168628 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1168631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168653 */     // GIR_Coverage, 16018,
     /* 1168653 */     GIR_EraseRootFromParent_Done,
     /* 1168654 */   // Label 17022: @1168654
     /* 1168654 */   GIM_Try, /*On fail goto*//*Label 17023*/ GIMT_Encode4(1168734), // Rule ID 16021 //
     /* 1168659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1168670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1168673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1168676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168698 */     // MIs[0] round
     /* 1168698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168708 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1168711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168733 */     // GIR_Coverage, 16021,
     /* 1168733 */     GIR_EraseRootFromParent_Done,
     /* 1168734 */   // Label 17023: @1168734
     /* 1168734 */   GIM_Try, /*On fail goto*//*Label 17024*/ GIMT_Encode4(1168814), // Rule ID 16022 //
     /* 1168739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1168750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1168753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1168756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168778 */     // MIs[0] round
     /* 1168778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168788 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1168791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168813 */     // GIR_Coverage, 16022,
     /* 1168813 */     GIR_EraseRootFromParent_Done,
     /* 1168814 */   // Label 17024: @1168814
     /* 1168814 */   GIM_Try, /*On fail goto*//*Label 17025*/ GIMT_Encode4(1168894), // Rule ID 16025 //
     /* 1168819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1168830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1168833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1168836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168858 */     // MIs[0] round
     /* 1168858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168868 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1168871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168893 */     // GIR_Coverage, 16025,
     /* 1168893 */     GIR_EraseRootFromParent_Done,
     /* 1168894 */   // Label 17025: @1168894
     /* 1168894 */   GIM_Try, /*On fail goto*//*Label 17026*/ GIMT_Encode4(1168974), // Rule ID 16026 //
     /* 1168899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1168910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1168913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1168916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168938 */     // MIs[0] round
     /* 1168938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168948 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1168951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168973 */     // GIR_Coverage, 16026,
     /* 1168973 */     GIR_EraseRootFromParent_Done,
     /* 1168974 */   // Label 17026: @1168974
     /* 1168974 */   GIM_Try, /*On fail goto*//*Label 17027*/ GIMT_Encode4(1169054), // Rule ID 16029 //
     /* 1168979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1168987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1168990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1168993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1168996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169018 */     // MIs[0] round
     /* 1169018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169028 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1169031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169053 */     // GIR_Coverage, 16029,
     /* 1169053 */     GIR_EraseRootFromParent_Done,
     /* 1169054 */   // Label 17027: @1169054
     /* 1169054 */   GIM_Try, /*On fail goto*//*Label 17028*/ GIMT_Encode4(1169134), // Rule ID 16030 //
     /* 1169059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1169070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1169073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1169076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169098 */     // MIs[0] round
     /* 1169098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169108 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1169111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169133 */     // GIR_Coverage, 16030,
     /* 1169133 */     GIR_EraseRootFromParent_Done,
     /* 1169134 */   // Label 17028: @1169134
     /* 1169134 */   GIM_Try, /*On fail goto*//*Label 17029*/ GIMT_Encode4(1169214), // Rule ID 16033 //
     /* 1169139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1169150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1169153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1169156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169178 */     // MIs[0] round
     /* 1169178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169188 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1169191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169213 */     // GIR_Coverage, 16033,
     /* 1169213 */     GIR_EraseRootFromParent_Done,
     /* 1169214 */   // Label 17029: @1169214
     /* 1169214 */   GIM_Try, /*On fail goto*//*Label 17030*/ GIMT_Encode4(1169294), // Rule ID 16034 //
     /* 1169219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1169230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1169233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1169236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169258 */     // MIs[0] round
     /* 1169258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169268 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1169271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169293 */     // GIR_Coverage, 16034,
     /* 1169293 */     GIR_EraseRootFromParent_Done,
     /* 1169294 */   // Label 17030: @1169294
     /* 1169294 */   GIM_Try, /*On fail goto*//*Label 17031*/ GIMT_Encode4(1169374), // Rule ID 16037 //
     /* 1169299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1169310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1169313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1169316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169338 */     // MIs[0] round
     /* 1169338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169348 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1169351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169373 */     // GIR_Coverage, 16037,
     /* 1169373 */     GIR_EraseRootFromParent_Done,
     /* 1169374 */   // Label 17031: @1169374
     /* 1169374 */   GIM_Try, /*On fail goto*//*Label 17032*/ GIMT_Encode4(1169454), // Rule ID 16038 //
     /* 1169379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1169390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1169393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1169396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169418 */     // MIs[0] round
     /* 1169418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1169431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169453 */     // GIR_Coverage, 16038,
     /* 1169453 */     GIR_EraseRootFromParent_Done,
     /* 1169454 */   // Label 17032: @1169454
     /* 1169454 */   GIM_Try, /*On fail goto*//*Label 17033*/ GIMT_Encode4(1169534), // Rule ID 16041 //
     /* 1169459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1169470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1169473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1169476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169498 */     // MIs[0] round
     /* 1169498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169508 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1169511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169533 */     // GIR_Coverage, 16041,
     /* 1169533 */     GIR_EraseRootFromParent_Done,
     /* 1169534 */   // Label 17033: @1169534
     /* 1169534 */   GIM_Try, /*On fail goto*//*Label 17034*/ GIMT_Encode4(1169614), // Rule ID 16042 //
     /* 1169539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1169550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1169553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1169556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169578 */     // MIs[0] round
     /* 1169578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169588 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1169591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169613 */     // GIR_Coverage, 16042,
     /* 1169613 */     GIR_EraseRootFromParent_Done,
     /* 1169614 */   // Label 17034: @1169614
     /* 1169614 */   GIM_Try, /*On fail goto*//*Label 17035*/ GIMT_Encode4(1169694), // Rule ID 16045 //
     /* 1169619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1169630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1169633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1169636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169658 */     // MIs[0] round
     /* 1169658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169668 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1169671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169693 */     // GIR_Coverage, 16045,
     /* 1169693 */     GIR_EraseRootFromParent_Done,
     /* 1169694 */   // Label 17035: @1169694
     /* 1169694 */   GIM_Try, /*On fail goto*//*Label 17036*/ GIMT_Encode4(1169774), // Rule ID 16046 //
     /* 1169699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1169710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1169713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1169716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169738 */     // MIs[0] round
     /* 1169738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1169751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169773 */     // GIR_Coverage, 16046,
     /* 1169773 */     GIR_EraseRootFromParent_Done,
     /* 1169774 */   // Label 17036: @1169774
     /* 1169774 */   GIM_Try, /*On fail goto*//*Label 17037*/ GIMT_Encode4(1169854), // Rule ID 16049 //
     /* 1169779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1169782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1169790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1169793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1169796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169818 */     // MIs[0] round
     /* 1169818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169828 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1169831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169853 */     // GIR_Coverage, 16049,
     /* 1169853 */     GIR_EraseRootFromParent_Done,
     /* 1169854 */   // Label 17037: @1169854
     /* 1169854 */   GIM_Try, /*On fail goto*//*Label 17038*/ GIMT_Encode4(1169934), // Rule ID 16050 //
     /* 1169859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1169862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1169870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1169873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1169876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169898 */     // MIs[0] round
     /* 1169898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169908 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1169911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169933 */     // GIR_Coverage, 16050,
     /* 1169933 */     GIR_EraseRootFromParent_Done,
     /* 1169934 */   // Label 17038: @1169934
     /* 1169934 */   GIM_Try, /*On fail goto*//*Label 17039*/ GIMT_Encode4(1170014), // Rule ID 16053 //
     /* 1169939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1169947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1169950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1169953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1169956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169978 */     // MIs[0] round
     /* 1169978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169988 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1169991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170013 */     // GIR_Coverage, 16053,
     /* 1170013 */     GIR_EraseRootFromParent_Done,
     /* 1170014 */   // Label 17039: @1170014
     /* 1170014 */   GIM_Try, /*On fail goto*//*Label 17040*/ GIMT_Encode4(1170094), // Rule ID 16054 //
     /* 1170019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1170030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1170033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1170036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170058 */     // MIs[0] round
     /* 1170058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170068 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1170071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170093 */     // GIR_Coverage, 16054,
     /* 1170093 */     GIR_EraseRootFromParent_Done,
     /* 1170094 */   // Label 17040: @1170094
     /* 1170094 */   GIM_Try, /*On fail goto*//*Label 17041*/ GIMT_Encode4(1170174), // Rule ID 16057 //
     /* 1170099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1170110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1170113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1170116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170138 */     // MIs[0] round
     /* 1170138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170148 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1170151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170173 */     // GIR_Coverage, 16057,
     /* 1170173 */     GIR_EraseRootFromParent_Done,
     /* 1170174 */   // Label 17041: @1170174
     /* 1170174 */   GIM_Try, /*On fail goto*//*Label 17042*/ GIMT_Encode4(1170254), // Rule ID 16058 //
     /* 1170179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1170190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1170193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1170196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170218 */     // MIs[0] round
     /* 1170218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170228 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1170231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170253 */     // GIR_Coverage, 16058,
     /* 1170253 */     GIR_EraseRootFromParent_Done,
     /* 1170254 */   // Label 17042: @1170254
     /* 1170254 */   GIM_Try, /*On fail goto*//*Label 17043*/ GIMT_Encode4(1170334), // Rule ID 16061 //
     /* 1170259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1170270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1170273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1170276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170298 */     // MIs[0] round
     /* 1170298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170308 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1170311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170333 */     // GIR_Coverage, 16061,
     /* 1170333 */     GIR_EraseRootFromParent_Done,
     /* 1170334 */   // Label 17043: @1170334
     /* 1170334 */   GIM_Try, /*On fail goto*//*Label 17044*/ GIMT_Encode4(1170414), // Rule ID 16062 //
     /* 1170339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1170350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1170353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1170356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170378 */     // MIs[0] round
     /* 1170378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170388 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1170391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170413 */     // GIR_Coverage, 16062,
     /* 1170413 */     GIR_EraseRootFromParent_Done,
     /* 1170414 */   // Label 17044: @1170414
     /* 1170414 */   GIM_Try, /*On fail goto*//*Label 17045*/ GIMT_Encode4(1170494), // Rule ID 16065 //
     /* 1170419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1170430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1170433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1170436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170458 */     // MIs[0] round
     /* 1170458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170468 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1170471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170493 */     // GIR_Coverage, 16065,
     /* 1170493 */     GIR_EraseRootFromParent_Done,
     /* 1170494 */   // Label 17045: @1170494
     /* 1170494 */   GIM_Try, /*On fail goto*//*Label 17046*/ GIMT_Encode4(1170574), // Rule ID 16066 //
     /* 1170499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1170510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1170513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1170516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170538 */     // MIs[0] round
     /* 1170538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170548 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1170551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170573 */     // GIR_Coverage, 16066,
     /* 1170573 */     GIR_EraseRootFromParent_Done,
     /* 1170574 */   // Label 17046: @1170574
     /* 1170574 */   GIM_Try, /*On fail goto*//*Label 17047*/ GIMT_Encode4(1170654), // Rule ID 16069 //
     /* 1170579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1170590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1170593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1170596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170618 */     // MIs[0] round
     /* 1170618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170628 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1170631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170653 */     // GIR_Coverage, 16069,
     /* 1170653 */     GIR_EraseRootFromParent_Done,
     /* 1170654 */   // Label 17047: @1170654
     /* 1170654 */   GIM_Try, /*On fail goto*//*Label 17048*/ GIMT_Encode4(1170734), // Rule ID 16070 //
     /* 1170659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1170670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1170673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1170676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170698 */     // MIs[0] round
     /* 1170698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170708 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1170711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170733 */     // GIR_Coverage, 16070,
     /* 1170733 */     GIR_EraseRootFromParent_Done,
     /* 1170734 */   // Label 17048: @1170734
     /* 1170734 */   GIM_Try, /*On fail goto*//*Label 17049*/ GIMT_Encode4(1170814), // Rule ID 16073 //
     /* 1170739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1170750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1170753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1170756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170778 */     // MIs[0] round
     /* 1170778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170788 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1170791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170813 */     // GIR_Coverage, 16073,
     /* 1170813 */     GIR_EraseRootFromParent_Done,
     /* 1170814 */   // Label 17049: @1170814
     /* 1170814 */   GIM_Try, /*On fail goto*//*Label 17050*/ GIMT_Encode4(1170894), // Rule ID 16074 //
     /* 1170819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1170830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1170833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1170836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170858 */     // MIs[0] round
     /* 1170858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170868 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1170871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170893 */     // GIR_Coverage, 16074,
     /* 1170893 */     GIR_EraseRootFromParent_Done,
     /* 1170894 */   // Label 17050: @1170894
     /* 1170894 */   GIM_Try, /*On fail goto*//*Label 17051*/ GIMT_Encode4(1170974), // Rule ID 16077 //
     /* 1170899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1170910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1170913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1170916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170938 */     // MIs[0] round
     /* 1170938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170948 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1170951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170973 */     // GIR_Coverage, 16077,
     /* 1170973 */     GIR_EraseRootFromParent_Done,
     /* 1170974 */   // Label 17051: @1170974
     /* 1170974 */   GIM_Try, /*On fail goto*//*Label 17052*/ GIMT_Encode4(1171054), // Rule ID 16078 //
     /* 1170979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1170987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1170990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1170993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1170996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171018 */     // MIs[0] round
     /* 1171018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171028 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1171031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171053 */     // GIR_Coverage, 16078,
     /* 1171053 */     GIR_EraseRootFromParent_Done,
     /* 1171054 */   // Label 17052: @1171054
     /* 1171054 */   GIM_Try, /*On fail goto*//*Label 17053*/ GIMT_Encode4(1171134), // Rule ID 16081 //
     /* 1171059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1171070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1171073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1171076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171098 */     // MIs[0] round
     /* 1171098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171108 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1171111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171133 */     // GIR_Coverage, 16081,
     /* 1171133 */     GIR_EraseRootFromParent_Done,
     /* 1171134 */   // Label 17053: @1171134
     /* 1171134 */   GIM_Try, /*On fail goto*//*Label 17054*/ GIMT_Encode4(1171214), // Rule ID 16082 //
     /* 1171139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1171150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1171153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1171156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171178 */     // MIs[0] round
     /* 1171178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171188 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1171191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171213 */     // GIR_Coverage, 16082,
     /* 1171213 */     GIR_EraseRootFromParent_Done,
     /* 1171214 */   // Label 17054: @1171214
     /* 1171214 */   GIM_Try, /*On fail goto*//*Label 17055*/ GIMT_Encode4(1171294), // Rule ID 16085 //
     /* 1171219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1171230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1171233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1171236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171258 */     // MIs[0] round
     /* 1171258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171268 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1171271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171293 */     // GIR_Coverage, 16085,
     /* 1171293 */     GIR_EraseRootFromParent_Done,
     /* 1171294 */   // Label 17055: @1171294
     /* 1171294 */   GIM_Try, /*On fail goto*//*Label 17056*/ GIMT_Encode4(1171374), // Rule ID 16086 //
     /* 1171299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1171310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1171313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1171316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171338 */     // MIs[0] round
     /* 1171338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171348 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1171351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171373 */     // GIR_Coverage, 16086,
     /* 1171373 */     GIR_EraseRootFromParent_Done,
     /* 1171374 */   // Label 17056: @1171374
     /* 1171374 */   GIM_Try, /*On fail goto*//*Label 17057*/ GIMT_Encode4(1171454), // Rule ID 16089 //
     /* 1171379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1171382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1171390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1171393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1171396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171418 */     // MIs[0] round
     /* 1171418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171428 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1171431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171453 */     // GIR_Coverage, 16089,
     /* 1171453 */     GIR_EraseRootFromParent_Done,
     /* 1171454 */   // Label 17057: @1171454
     /* 1171454 */   GIM_Try, /*On fail goto*//*Label 17058*/ GIMT_Encode4(1171534), // Rule ID 16090 //
     /* 1171459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1171462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1171470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1171473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1171476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171498 */     // MIs[0] round
     /* 1171498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171508 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1171511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171533 */     // GIR_Coverage, 16090,
     /* 1171533 */     GIR_EraseRootFromParent_Done,
     /* 1171534 */   // Label 17058: @1171534
     /* 1171534 */   GIM_Try, /*On fail goto*//*Label 17059*/ GIMT_Encode4(1171614), // Rule ID 16093 //
     /* 1171539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1171542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1171550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1171553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1171556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171578 */     // MIs[0] round
     /* 1171578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171588 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1171591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171613 */     // GIR_Coverage, 16093,
     /* 1171613 */     GIR_EraseRootFromParent_Done,
     /* 1171614 */   // Label 17059: @1171614
     /* 1171614 */   GIM_Try, /*On fail goto*//*Label 17060*/ GIMT_Encode4(1171694), // Rule ID 16094 //
     /* 1171619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1171622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1171630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1171633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1171636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171658 */     // MIs[0] round
     /* 1171658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171668 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1171671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171693 */     // GIR_Coverage, 16094,
     /* 1171693 */     GIR_EraseRootFromParent_Done,
     /* 1171694 */   // Label 17060: @1171694
     /* 1171694 */   GIM_Try, /*On fail goto*//*Label 17061*/ GIMT_Encode4(1171774), // Rule ID 16097 //
     /* 1171699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1171702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1171710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1171713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1171716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171738 */     // MIs[0] round
     /* 1171738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171748 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1171751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171773 */     // GIR_Coverage, 16097,
     /* 1171773 */     GIR_EraseRootFromParent_Done,
     /* 1171774 */   // Label 17061: @1171774
     /* 1171774 */   GIM_Try, /*On fail goto*//*Label 17062*/ GIMT_Encode4(1171854), // Rule ID 16098 //
     /* 1171779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1171782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1171787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1171790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1171793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1171796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171818 */     // MIs[0] round
     /* 1171818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171828 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1171831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171853 */     // GIR_Coverage, 16098,
     /* 1171853 */     GIR_EraseRootFromParent_Done,
     /* 1171854 */   // Label 17062: @1171854
     /* 1171854 */   GIM_Try, /*On fail goto*//*Label 17063*/ GIMT_Encode4(1171937), // Rule ID 16189 //
     /* 1171859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1171867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1171870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1171873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1171876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1171879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171898 */     // MIs[0] round
     /* 1171898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171908 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1171911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1171935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171936 */     // GIR_Coverage, 16189,
     /* 1171936 */     GIR_EraseRootFromParent_Done,
     /* 1171937 */   // Label 17063: @1171937
     /* 1171937 */   GIM_Try, /*On fail goto*//*Label 17064*/ GIMT_Encode4(1172020), // Rule ID 16190 //
     /* 1171942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1171950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1171953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1171956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1171959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1171962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171981 */     // MIs[0] round
     /* 1171981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171991 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1171994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172019 */     // GIR_Coverage, 16190,
     /* 1172019 */     GIR_EraseRootFromParent_Done,
     /* 1172020 */   // Label 17064: @1172020
     /* 1172020 */   GIM_Try, /*On fail goto*//*Label 17065*/ GIMT_Encode4(1172103), // Rule ID 16193 //
     /* 1172025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1172033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1172036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1172039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1172042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1172045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172064 */     // MIs[0] round
     /* 1172064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172074 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1172077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172098 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172102 */     // GIR_Coverage, 16193,
     /* 1172102 */     GIR_EraseRootFromParent_Done,
     /* 1172103 */   // Label 17065: @1172103
     /* 1172103 */   GIM_Try, /*On fail goto*//*Label 17066*/ GIMT_Encode4(1172186), // Rule ID 16194 //
     /* 1172108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1172116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1172119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1172122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1172125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1172128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172147 */     // MIs[0] round
     /* 1172147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172157 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1172160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172168 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172181 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172185 */     // GIR_Coverage, 16194,
     /* 1172185 */     GIR_EraseRootFromParent_Done,
     /* 1172186 */   // Label 17066: @1172186
     /* 1172186 */   GIM_Try, /*On fail goto*//*Label 17067*/ GIMT_Encode4(1172269), // Rule ID 16197 //
     /* 1172191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1172199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1172202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1172205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1172208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1172211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172230 */     // MIs[0] round
     /* 1172230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172240 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1172243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172264 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172268 */     // GIR_Coverage, 16197,
     /* 1172268 */     GIR_EraseRootFromParent_Done,
     /* 1172269 */   // Label 17067: @1172269
     /* 1172269 */   GIM_Try, /*On fail goto*//*Label 17068*/ GIMT_Encode4(1172352), // Rule ID 16198 //
     /* 1172274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1172282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1172285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1172288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1172291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1172294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172313 */     // MIs[0] round
     /* 1172313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172323 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1172326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172351 */     // GIR_Coverage, 16198,
     /* 1172351 */     GIR_EraseRootFromParent_Done,
     /* 1172352 */   // Label 17068: @1172352
     /* 1172352 */   GIM_Try, /*On fail goto*//*Label 17069*/ GIMT_Encode4(1172435), // Rule ID 16201 //
     /* 1172357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1172365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1172368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1172371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1172374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1172377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172396 */     // MIs[0] round
     /* 1172396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172406 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1172409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172434 */     // GIR_Coverage, 16201,
     /* 1172434 */     GIR_EraseRootFromParent_Done,
     /* 1172435 */   // Label 17069: @1172435
     /* 1172435 */   GIM_Try, /*On fail goto*//*Label 17070*/ GIMT_Encode4(1172518), // Rule ID 16202 //
     /* 1172440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1172448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1172451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1172454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1172457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1172460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172479 */     // MIs[0] round
     /* 1172479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172489 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1172492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172500 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172513 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172517 */     // GIR_Coverage, 16202,
     /* 1172517 */     GIR_EraseRootFromParent_Done,
     /* 1172518 */   // Label 17070: @1172518
     /* 1172518 */   GIM_Try, /*On fail goto*//*Label 17071*/ GIMT_Encode4(1172601), // Rule ID 16205 //
     /* 1172523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1172531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1172534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1172537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1172540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1172543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172562 */     // MIs[0] round
     /* 1172562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172572 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1172575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172596 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172600 */     // GIR_Coverage, 16205,
     /* 1172600 */     GIR_EraseRootFromParent_Done,
     /* 1172601 */   // Label 17071: @1172601
     /* 1172601 */   GIM_Try, /*On fail goto*//*Label 17072*/ GIMT_Encode4(1172684), // Rule ID 16206 //
     /* 1172606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1172614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1172617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1172620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1172623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1172626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172645 */     // MIs[0] round
     /* 1172645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172655 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1172658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172666 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172679 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172683 */     // GIR_Coverage, 16206,
     /* 1172683 */     GIR_EraseRootFromParent_Done,
     /* 1172684 */   // Label 17072: @1172684
     /* 1172684 */   GIM_Try, /*On fail goto*//*Label 17073*/ GIMT_Encode4(1172767), // Rule ID 16209 //
     /* 1172689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1172697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1172700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1172703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1172706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1172709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172728 */     // MIs[0] round
     /* 1172728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172738 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1172741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172762 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172766 */     // GIR_Coverage, 16209,
     /* 1172766 */     GIR_EraseRootFromParent_Done,
     /* 1172767 */   // Label 17073: @1172767
     /* 1172767 */   GIM_Try, /*On fail goto*//*Label 17074*/ GIMT_Encode4(1172850), // Rule ID 16210 //
     /* 1172772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1172780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1172783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1172786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1172789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1172792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172811 */     // MIs[0] round
     /* 1172811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172821 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1172824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172832 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172849 */     // GIR_Coverage, 16210,
     /* 1172849 */     GIR_EraseRootFromParent_Done,
     /* 1172850 */   // Label 17074: @1172850
     /* 1172850 */   GIM_Try, /*On fail goto*//*Label 17075*/ GIMT_Encode4(1172933), // Rule ID 16213 //
     /* 1172855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1172863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1172866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1172869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1172872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1172875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172894 */     // MIs[0] round
     /* 1172894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172904 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1172907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172932 */     // GIR_Coverage, 16213,
     /* 1172932 */     GIR_EraseRootFromParent_Done,
     /* 1172933 */   // Label 17075: @1172933
     /* 1172933 */   GIM_Try, /*On fail goto*//*Label 17076*/ GIMT_Encode4(1173016), // Rule ID 16214 //
     /* 1172938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1172946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1172949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1172952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1172955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1172958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172977 */     // MIs[0] round
     /* 1172977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172987 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1172990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173011 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173015 */     // GIR_Coverage, 16214,
     /* 1173015 */     GIR_EraseRootFromParent_Done,
     /* 1173016 */   // Label 17076: @1173016
     /* 1173016 */   GIM_Try, /*On fail goto*//*Label 17077*/ GIMT_Encode4(1173099), // Rule ID 16217 //
     /* 1173021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1173032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1173035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1173038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1173041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173060 */     // MIs[0] round
     /* 1173060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173070 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1173073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173098 */     // GIR_Coverage, 16217,
     /* 1173098 */     GIR_EraseRootFromParent_Done,
     /* 1173099 */   // Label 17077: @1173099
     /* 1173099 */   GIM_Try, /*On fail goto*//*Label 17078*/ GIMT_Encode4(1173182), // Rule ID 16218 //
     /* 1173104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1173115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1173118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1173121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1173124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173143 */     // MIs[0] round
     /* 1173143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173153 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1173156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173177 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173181 */     // GIR_Coverage, 16218,
     /* 1173181 */     GIR_EraseRootFromParent_Done,
     /* 1173182 */   // Label 17078: @1173182
     /* 1173182 */   GIM_Try, /*On fail goto*//*Label 17079*/ GIMT_Encode4(1173265), // Rule ID 16221 //
     /* 1173187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1173198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1173201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1173204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1173207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173226 */     // MIs[0] round
     /* 1173226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173236 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1173239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173264 */     // GIR_Coverage, 16221,
     /* 1173264 */     GIR_EraseRootFromParent_Done,
     /* 1173265 */   // Label 17079: @1173265
     /* 1173265 */   GIM_Try, /*On fail goto*//*Label 17080*/ GIMT_Encode4(1173348), // Rule ID 16222 //
     /* 1173270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1173281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1173284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1173287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1173290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173309 */     // MIs[0] round
     /* 1173309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173319 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1173322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173330 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173343 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173347 */     // GIR_Coverage, 16222,
     /* 1173347 */     GIR_EraseRootFromParent_Done,
     /* 1173348 */   // Label 17080: @1173348
     /* 1173348 */   GIM_Try, /*On fail goto*//*Label 17081*/ GIMT_Encode4(1173431), // Rule ID 16225 //
     /* 1173353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1173364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1173367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1173370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1173373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173392 */     // MIs[0] round
     /* 1173392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173402 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1173405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173413 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173430 */     // GIR_Coverage, 16225,
     /* 1173430 */     GIR_EraseRootFromParent_Done,
     /* 1173431 */   // Label 17081: @1173431
     /* 1173431 */   GIM_Try, /*On fail goto*//*Label 17082*/ GIMT_Encode4(1173514), // Rule ID 16226 //
     /* 1173436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1173447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1173450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1173453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1173456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173475 */     // MIs[0] round
     /* 1173475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173485 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1173488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173513 */     // GIR_Coverage, 16226,
     /* 1173513 */     GIR_EraseRootFromParent_Done,
     /* 1173514 */   // Label 17082: @1173514
     /* 1173514 */   GIM_Try, /*On fail goto*//*Label 17083*/ GIMT_Encode4(1173597), // Rule ID 16229 //
     /* 1173519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1173530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1173533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1173536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1173539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173558 */     // MIs[0] round
     /* 1173558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173568 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1173571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173596 */     // GIR_Coverage, 16229,
     /* 1173596 */     GIR_EraseRootFromParent_Done,
     /* 1173597 */   // Label 17083: @1173597
     /* 1173597 */   GIM_Try, /*On fail goto*//*Label 17084*/ GIMT_Encode4(1173680), // Rule ID 16230 //
     /* 1173602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1173613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1173616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1173619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1173622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173641 */     // MIs[0] round
     /* 1173641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173651 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1173654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173662 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173679 */     // GIR_Coverage, 16230,
     /* 1173679 */     GIR_EraseRootFromParent_Done,
     /* 1173680 */   // Label 17084: @1173680
     /* 1173680 */   GIM_Try, /*On fail goto*//*Label 17085*/ GIMT_Encode4(1173763), // Rule ID 16233 //
     /* 1173685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1173688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1173696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1173699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1173702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1173705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173724 */     // MIs[0] round
     /* 1173724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173734 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1173737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173745 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173758 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173762 */     // GIR_Coverage, 16233,
     /* 1173762 */     GIR_EraseRootFromParent_Done,
     /* 1173763 */   // Label 17085: @1173763
     /* 1173763 */   GIM_Try, /*On fail goto*//*Label 17086*/ GIMT_Encode4(1173846), // Rule ID 16234 //
     /* 1173768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1173771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1173779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1173782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1173785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1173788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173807 */     // MIs[0] round
     /* 1173807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173817 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1173820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173841 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173845 */     // GIR_Coverage, 16234,
     /* 1173845 */     GIR_EraseRootFromParent_Done,
     /* 1173846 */   // Label 17086: @1173846
     /* 1173846 */   GIM_Try, /*On fail goto*//*Label 17087*/ GIMT_Encode4(1173929), // Rule ID 16237 //
     /* 1173851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1173854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1173862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1173865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1173868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1173871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173890 */     // MIs[0] round
     /* 1173890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1173903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173911 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173924 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173928 */     // GIR_Coverage, 16237,
     /* 1173928 */     GIR_EraseRootFromParent_Done,
     /* 1173929 */   // Label 17087: @1173929
     /* 1173929 */   GIM_Try, /*On fail goto*//*Label 17088*/ GIMT_Encode4(1174012), // Rule ID 16238 //
     /* 1173934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1173937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1173942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1173945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1173948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1173951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1173954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173973 */     // MIs[0] round
     /* 1173973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173983 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1173986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173994 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174011 */     // GIR_Coverage, 16238,
     /* 1174011 */     GIR_EraseRootFromParent_Done,
     /* 1174012 */   // Label 17088: @1174012
     /* 1174012 */   GIM_Try, /*On fail goto*//*Label 17089*/ GIMT_Encode4(1174095), // Rule ID 16241 //
     /* 1174017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1174020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1174028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1174031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1174034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1174037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174056 */     // MIs[0] round
     /* 1174056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174066 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1174069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174094 */     // GIR_Coverage, 16241,
     /* 1174094 */     GIR_EraseRootFromParent_Done,
     /* 1174095 */   // Label 17089: @1174095
     /* 1174095 */   GIM_Try, /*On fail goto*//*Label 17090*/ GIMT_Encode4(1174178), // Rule ID 16242 //
     /* 1174100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1174103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1174111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1174114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1174117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1174120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174139 */     // MIs[0] round
     /* 1174139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174149 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1174152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174173 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174177 */     // GIR_Coverage, 16242,
     /* 1174177 */     GIR_EraseRootFromParent_Done,
     /* 1174178 */   // Label 17090: @1174178
     /* 1174178 */   GIM_Try, /*On fail goto*//*Label 17091*/ GIMT_Encode4(1174261), // Rule ID 16245 //
     /* 1174183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1174186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1174194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1174197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1174200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1174203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174222 */     // MIs[0] round
     /* 1174222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174232 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1174235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174256 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174260 */     // GIR_Coverage, 16245,
     /* 1174260 */     GIR_EraseRootFromParent_Done,
     /* 1174261 */   // Label 17091: @1174261
     /* 1174261 */   GIM_Try, /*On fail goto*//*Label 17092*/ GIMT_Encode4(1174344), // Rule ID 16246 //
     /* 1174266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1174269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1174277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1174280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1174283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1174286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174305 */     // MIs[0] round
     /* 1174305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174315 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1174318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174326 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174343 */     // GIR_Coverage, 16246,
     /* 1174343 */     GIR_EraseRootFromParent_Done,
     /* 1174344 */   // Label 17092: @1174344
     /* 1174344 */   GIM_Try, /*On fail goto*//*Label 17093*/ GIMT_Encode4(1174427), // Rule ID 16249 //
     /* 1174349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1174360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1174363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1174366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174388 */     // MIs[0] round
     /* 1174388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174398 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1174401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174426 */     // GIR_Coverage, 16249,
     /* 1174426 */     GIR_EraseRootFromParent_Done,
     /* 1174427 */   // Label 17093: @1174427
     /* 1174427 */   GIM_Try, /*On fail goto*//*Label 17094*/ GIMT_Encode4(1174510), // Rule ID 16250 //
     /* 1174432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1174443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1174446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1174449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174471 */     // MIs[0] round
     /* 1174471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174481 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1174484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174492 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174509 */     // GIR_Coverage, 16250,
     /* 1174509 */     GIR_EraseRootFromParent_Done,
     /* 1174510 */   // Label 17094: @1174510
     /* 1174510 */   GIM_Try, /*On fail goto*//*Label 17095*/ GIMT_Encode4(1174593), // Rule ID 16253 //
     /* 1174515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1174526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1174529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1174532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174554 */     // MIs[0] round
     /* 1174554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174564 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1174567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174592 */     // GIR_Coverage, 16253,
     /* 1174592 */     GIR_EraseRootFromParent_Done,
     /* 1174593 */   // Label 17095: @1174593
     /* 1174593 */   GIM_Try, /*On fail goto*//*Label 17096*/ GIMT_Encode4(1174676), // Rule ID 16254 //
     /* 1174598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1174609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1174612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1174615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174637 */     // MIs[0] round
     /* 1174637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174647 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1174650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174675 */     // GIR_Coverage, 16254,
     /* 1174675 */     GIR_EraseRootFromParent_Done,
     /* 1174676 */   // Label 17096: @1174676
     /* 1174676 */   GIM_Try, /*On fail goto*//*Label 17097*/ GIMT_Encode4(1174759), // Rule ID 16257 //
     /* 1174681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1174692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1174695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1174698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174720 */     // MIs[0] round
     /* 1174720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174730 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1174733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174758 */     // GIR_Coverage, 16257,
     /* 1174758 */     GIR_EraseRootFromParent_Done,
     /* 1174759 */   // Label 17097: @1174759
     /* 1174759 */   GIM_Try, /*On fail goto*//*Label 17098*/ GIMT_Encode4(1174842), // Rule ID 16258 //
     /* 1174764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1174775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1174778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1174781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174803 */     // MIs[0] round
     /* 1174803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174813 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1174816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174824 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174841 */     // GIR_Coverage, 16258,
     /* 1174841 */     GIR_EraseRootFromParent_Done,
     /* 1174842 */   // Label 17098: @1174842
     /* 1174842 */   GIM_Try, /*On fail goto*//*Label 17099*/ GIMT_Encode4(1174925), // Rule ID 16261 //
     /* 1174847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1174858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1174861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1174864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174886 */     // MIs[0] round
     /* 1174886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174896 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1174899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174924 */     // GIR_Coverage, 16261,
     /* 1174924 */     GIR_EraseRootFromParent_Done,
     /* 1174925 */   // Label 17099: @1174925
     /* 1174925 */   GIM_Try, /*On fail goto*//*Label 17100*/ GIMT_Encode4(1175008), // Rule ID 16262 //
     /* 1174930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1174938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1174941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1174944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1174947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174969 */     // MIs[0] round
     /* 1174969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174979 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1174982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174990 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175003 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175007 */     // GIR_Coverage, 16262,
     /* 1175007 */     GIR_EraseRootFromParent_Done,
     /* 1175008 */   // Label 17100: @1175008
     /* 1175008 */   GIM_Try, /*On fail goto*//*Label 17101*/ GIMT_Encode4(1175091), // Rule ID 16265 //
     /* 1175013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1175024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1175027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1175030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175052 */     // MIs[0] round
     /* 1175052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175062 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1175065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175073 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175090 */     // GIR_Coverage, 16265,
     /* 1175090 */     GIR_EraseRootFromParent_Done,
     /* 1175091 */   // Label 17101: @1175091
     /* 1175091 */   GIM_Try, /*On fail goto*//*Label 17102*/ GIMT_Encode4(1175174), // Rule ID 16266 //
     /* 1175096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1175107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1175110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1175113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175135 */     // MIs[0] round
     /* 1175135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175145 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1175148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175156 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175173 */     // GIR_Coverage, 16266,
     /* 1175173 */     GIR_EraseRootFromParent_Done,
     /* 1175174 */   // Label 17102: @1175174
     /* 1175174 */   GIM_Try, /*On fail goto*//*Label 17103*/ GIMT_Encode4(1175257), // Rule ID 16269 //
     /* 1175179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1175190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1175193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1175196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175218 */     // MIs[0] round
     /* 1175218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175228 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1175231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175256 */     // GIR_Coverage, 16269,
     /* 1175256 */     GIR_EraseRootFromParent_Done,
     /* 1175257 */   // Label 17103: @1175257
     /* 1175257 */   GIM_Try, /*On fail goto*//*Label 17104*/ GIMT_Encode4(1175340), // Rule ID 16270 //
     /* 1175262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1175273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1175276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1175279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175301 */     // MIs[0] round
     /* 1175301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175311 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1175314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175335 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175339 */     // GIR_Coverage, 16270,
     /* 1175339 */     GIR_EraseRootFromParent_Done,
     /* 1175340 */   // Label 17104: @1175340
     /* 1175340 */   GIM_Try, /*On fail goto*//*Label 17105*/ GIMT_Encode4(1175423), // Rule ID 16273 //
     /* 1175345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1175356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1175359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1175362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175384 */     // MIs[0] round
     /* 1175384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175394 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1175397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175422 */     // GIR_Coverage, 16273,
     /* 1175422 */     GIR_EraseRootFromParent_Done,
     /* 1175423 */   // Label 17105: @1175423
     /* 1175423 */   GIM_Try, /*On fail goto*//*Label 17106*/ GIMT_Encode4(1175506), // Rule ID 16274 //
     /* 1175428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1175439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1175442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1175445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175467 */     // MIs[0] round
     /* 1175467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175477 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1175480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175488 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175505 */     // GIR_Coverage, 16274,
     /* 1175505 */     GIR_EraseRootFromParent_Done,
     /* 1175506 */   // Label 17106: @1175506
     /* 1175506 */   GIM_Try, /*On fail goto*//*Label 17107*/ GIMT_Encode4(1175589), // Rule ID 16277 //
     /* 1175511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1175522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1175525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1175528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175550 */     // MIs[0] round
     /* 1175550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175560 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1175563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175588 */     // GIR_Coverage, 16277,
     /* 1175588 */     GIR_EraseRootFromParent_Done,
     /* 1175589 */   // Label 17107: @1175589
     /* 1175589 */   GIM_Try, /*On fail goto*//*Label 17108*/ GIMT_Encode4(1175672), // Rule ID 16278 //
     /* 1175594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1175605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1175608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1175611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175633 */     // MIs[0] round
     /* 1175633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175643 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1175646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175671 */     // GIR_Coverage, 16278,
     /* 1175671 */     GIR_EraseRootFromParent_Done,
     /* 1175672 */   // Label 17108: @1175672
     /* 1175672 */   GIM_Try, /*On fail goto*//*Label 17109*/ GIMT_Encode4(1175755), // Rule ID 16281 //
     /* 1175677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1175688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1175691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1175694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175716 */     // MIs[0] round
     /* 1175716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175726 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1175729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175754 */     // GIR_Coverage, 16281,
     /* 1175754 */     GIR_EraseRootFromParent_Done,
     /* 1175755 */   // Label 17109: @1175755
     /* 1175755 */   GIM_Try, /*On fail goto*//*Label 17110*/ GIMT_Encode4(1175838), // Rule ID 16282 //
     /* 1175760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1175771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1175774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1175777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175799 */     // MIs[0] round
     /* 1175799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175809 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1175812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175820 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175833 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175837 */     // GIR_Coverage, 16282,
     /* 1175837 */     GIR_EraseRootFromParent_Done,
     /* 1175838 */   // Label 17110: @1175838
     /* 1175838 */   GIM_Try, /*On fail goto*//*Label 17111*/ GIMT_Encode4(1175921), // Rule ID 16285 //
     /* 1175843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1175854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1175857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1175860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175882 */     // MIs[0] round
     /* 1175882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175892 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1175895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175916 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175920 */     // GIR_Coverage, 16285,
     /* 1175920 */     GIR_EraseRootFromParent_Done,
     /* 1175921 */   // Label 17111: @1175921
     /* 1175921 */   GIM_Try, /*On fail goto*//*Label 17112*/ GIMT_Encode4(1176004), // Rule ID 16286 //
     /* 1175926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1175934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1175937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1175940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1175943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175965 */     // MIs[0] round
     /* 1175965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175975 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1175978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175986 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176003 */     // GIR_Coverage, 16286,
     /* 1176003 */     GIR_EraseRootFromParent_Done,
     /* 1176004 */   // Label 17112: @1176004
     /* 1176004 */   GIM_Try, /*On fail goto*//*Label 17113*/ GIMT_Encode4(1176087), // Rule ID 16289 //
     /* 1176009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1176020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1176023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1176026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176048 */     // MIs[0] round
     /* 1176048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176058 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1176061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176086 */     // GIR_Coverage, 16289,
     /* 1176086 */     GIR_EraseRootFromParent_Done,
     /* 1176087 */   // Label 17113: @1176087
     /* 1176087 */   GIM_Try, /*On fail goto*//*Label 17114*/ GIMT_Encode4(1176170), // Rule ID 16290 //
     /* 1176092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1176103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1176106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1176109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176131 */     // MIs[0] round
     /* 1176131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176141 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1176144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176152 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176169 */     // GIR_Coverage, 16290,
     /* 1176169 */     GIR_EraseRootFromParent_Done,
     /* 1176170 */   // Label 17114: @1176170
     /* 1176170 */   GIM_Try, /*On fail goto*//*Label 17115*/ GIMT_Encode4(1176253), // Rule ID 16293 //
     /* 1176175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1176178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1176186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1176189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1176192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176214 */     // MIs[0] round
     /* 1176214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1176227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176252 */     // GIR_Coverage, 16293,
     /* 1176252 */     GIR_EraseRootFromParent_Done,
     /* 1176253 */   // Label 17115: @1176253
     /* 1176253 */   GIM_Try, /*On fail goto*//*Label 17116*/ GIMT_Encode4(1176336), // Rule ID 16294 //
     /* 1176258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1176261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1176269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1176272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1176275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176297 */     // MIs[0] round
     /* 1176297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176307 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1176310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176335 */     // GIR_Coverage, 16294,
     /* 1176335 */     GIR_EraseRootFromParent_Done,
     /* 1176336 */   // Label 17116: @1176336
     /* 1176336 */   GIM_Try, /*On fail goto*//*Label 17117*/ GIMT_Encode4(1176419), // Rule ID 16297 //
     /* 1176341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1176344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1176352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1176355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1176358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176380 */     // MIs[0] round
     /* 1176380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176390 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1176393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176418 */     // GIR_Coverage, 16297,
     /* 1176418 */     GIR_EraseRootFromParent_Done,
     /* 1176419 */   // Label 17117: @1176419
     /* 1176419 */   GIM_Try, /*On fail goto*//*Label 17118*/ GIMT_Encode4(1176502), // Rule ID 16298 //
     /* 1176424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1176427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1176435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1176438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1176441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176463 */     // MIs[0] round
     /* 1176463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176473 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1176476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176501 */     // GIR_Coverage, 16298,
     /* 1176501 */     GIR_EraseRootFromParent_Done,
     /* 1176502 */   // Label 17118: @1176502
     /* 1176502 */   GIM_Try, /*On fail goto*//*Label 17119*/ GIMT_Encode4(1176585), // Rule ID 16301 //
     /* 1176507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1176510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1176518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1176521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1176524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176546 */     // MIs[0] round
     /* 1176546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1176559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176584 */     // GIR_Coverage, 16301,
     /* 1176584 */     GIR_EraseRootFromParent_Done,
     /* 1176585 */   // Label 17119: @1176585
     /* 1176585 */   GIM_Try, /*On fail goto*//*Label 17120*/ GIMT_Encode4(1176668), // Rule ID 16302 //
     /* 1176590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1176593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1176601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1176604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1176607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176629 */     // MIs[0] round
     /* 1176629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176639 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11384:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1176642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176650 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176667 */     // GIR_Coverage, 16302,
     /* 1176667 */     GIR_EraseRootFromParent_Done,
     /* 1176668 */   // Label 17120: @1176668
     /* 1176668 */   GIM_Try, /*On fail goto*//*Label 17121*/ GIMT_Encode4(1176751), // Rule ID 16305 //
     /* 1176673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1176676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1176684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1176687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1176690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176712 */     // MIs[0] round
     /* 1176712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176722 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1176725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176750 */     // GIR_Coverage, 16305,
     /* 1176750 */     GIR_EraseRootFromParent_Done,
     /* 1176751 */   // Label 17121: @1176751
     /* 1176751 */   GIM_Try, /*On fail goto*//*Label 17122*/ GIMT_Encode4(1176834), // Rule ID 16306 //
     /* 1176756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1176759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1176764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1176767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1176770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1176773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176795 */     // MIs[0] round
     /* 1176795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176805 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11384:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1176808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176833 */     // GIR_Coverage, 16306,
     /* 1176833 */     GIR_EraseRootFromParent_Done,
     /* 1176834 */   // Label 17122: @1176834
     /* 1176834 */   GIM_Try, /*On fail goto*//*Label 17123*/ GIMT_Encode4(1176917), // Rule ID 16369 //
     /* 1176839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1176847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1176850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1176853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1176856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1176859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176878 */     // MIs[0] round
     /* 1176878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176888 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1176891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176916 */     // GIR_Coverage, 16369,
     /* 1176916 */     GIR_EraseRootFromParent_Done,
     /* 1176917 */   // Label 17123: @1176917
     /* 1176917 */   GIM_Try, /*On fail goto*//*Label 17124*/ GIMT_Encode4(1177000), // Rule ID 16370 //
     /* 1176922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1176930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1176933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1176936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1176939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1176942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176961 */     // MIs[0] round
     /* 1176961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176971 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1176974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176982 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176999 */     // GIR_Coverage, 16370,
     /* 1176999 */     GIR_EraseRootFromParent_Done,
     /* 1177000 */   // Label 17124: @1177000
     /* 1177000 */   GIM_Try, /*On fail goto*//*Label 17125*/ GIMT_Encode4(1177083), // Rule ID 16373 //
     /* 1177005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1177013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1177016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1177019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1177022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1177025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177044 */     // MIs[0] round
     /* 1177044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177054 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1177057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177078 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177082 */     // GIR_Coverage, 16373,
     /* 1177082 */     GIR_EraseRootFromParent_Done,
     /* 1177083 */   // Label 17125: @1177083
     /* 1177083 */   GIM_Try, /*On fail goto*//*Label 17126*/ GIMT_Encode4(1177166), // Rule ID 16374 //
     /* 1177088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1177096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1177099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1177102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1177105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1177108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177127 */     // MIs[0] round
     /* 1177127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177137 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1177140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177161 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177165 */     // GIR_Coverage, 16374,
     /* 1177165 */     GIR_EraseRootFromParent_Done,
     /* 1177166 */   // Label 17126: @1177166
     /* 1177166 */   GIM_Try, /*On fail goto*//*Label 17127*/ GIMT_Encode4(1177249), // Rule ID 16377 //
     /* 1177171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1177179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1177182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1177185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1177188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1177191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177210 */     // MIs[0] round
     /* 1177210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177220 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1177223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177231 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177244 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177248 */     // GIR_Coverage, 16377,
     /* 1177248 */     GIR_EraseRootFromParent_Done,
     /* 1177249 */   // Label 17127: @1177249
     /* 1177249 */   GIM_Try, /*On fail goto*//*Label 17128*/ GIMT_Encode4(1177332), // Rule ID 16378 //
     /* 1177254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1177262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1177265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1177268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1177271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1177274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177293 */     // MIs[0] round
     /* 1177293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177303 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1177306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177314 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177331 */     // GIR_Coverage, 16378,
     /* 1177331 */     GIR_EraseRootFromParent_Done,
     /* 1177332 */   // Label 17128: @1177332
     /* 1177332 */   GIM_Try, /*On fail goto*//*Label 17129*/ GIMT_Encode4(1177415), // Rule ID 16381 //
     /* 1177337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1177345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1177348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1177351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1177354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1177357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177376 */     // MIs[0] round
     /* 1177376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177386 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1177389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177414 */     // GIR_Coverage, 16381,
     /* 1177414 */     GIR_EraseRootFromParent_Done,
     /* 1177415 */   // Label 17129: @1177415
     /* 1177415 */   GIM_Try, /*On fail goto*//*Label 17130*/ GIMT_Encode4(1177498), // Rule ID 16382 //
     /* 1177420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1177428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1177431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1177434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1177437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1177440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177459 */     // MIs[0] round
     /* 1177459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177469 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1177472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177497 */     // GIR_Coverage, 16382,
     /* 1177497 */     GIR_EraseRootFromParent_Done,
     /* 1177498 */   // Label 17130: @1177498
     /* 1177498 */   GIM_Try, /*On fail goto*//*Label 17131*/ GIMT_Encode4(1177581), // Rule ID 16385 //
     /* 1177503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1177511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1177514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1177517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1177520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1177523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177542 */     // MIs[0] round
     /* 1177542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177552 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1177555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177576 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177580 */     // GIR_Coverage, 16385,
     /* 1177580 */     GIR_EraseRootFromParent_Done,
     /* 1177581 */   // Label 17131: @1177581
     /* 1177581 */   GIM_Try, /*On fail goto*//*Label 17132*/ GIMT_Encode4(1177664), // Rule ID 16386 //
     /* 1177586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1177594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1177597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1177600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1177603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1177606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177625 */     // MIs[0] round
     /* 1177625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177635 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1177638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177646 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177663 */     // GIR_Coverage, 16386,
     /* 1177663 */     GIR_EraseRootFromParent_Done,
     /* 1177664 */   // Label 17132: @1177664
     /* 1177664 */   GIM_Try, /*On fail goto*//*Label 17133*/ GIMT_Encode4(1177747), // Rule ID 16389 //
     /* 1177669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1177677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1177680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1177683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1177686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1177689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177708 */     // MIs[0] round
     /* 1177708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177718 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1177721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177729 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177746 */     // GIR_Coverage, 16389,
     /* 1177746 */     GIR_EraseRootFromParent_Done,
     /* 1177747 */   // Label 17133: @1177747
     /* 1177747 */   GIM_Try, /*On fail goto*//*Label 17134*/ GIMT_Encode4(1177830), // Rule ID 16390 //
     /* 1177752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1177760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1177763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1177766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1177769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1177772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177791 */     // MIs[0] round
     /* 1177791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177801 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1177804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177812 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177825 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177829 */     // GIR_Coverage, 16390,
     /* 1177829 */     GIR_EraseRootFromParent_Done,
     /* 1177830 */   // Label 17134: @1177830
     /* 1177830 */   GIM_Try, /*On fail goto*//*Label 17135*/ GIMT_Encode4(1177913), // Rule ID 16393 //
     /* 1177835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1177843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1177846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1177849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1177852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1177855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177874 */     // MIs[0] round
     /* 1177874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177884 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1177887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177908 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177912 */     // GIR_Coverage, 16393,
     /* 1177912 */     GIR_EraseRootFromParent_Done,
     /* 1177913 */   // Label 17135: @1177913
     /* 1177913 */   GIM_Try, /*On fail goto*//*Label 17136*/ GIMT_Encode4(1177996), // Rule ID 16394 //
     /* 1177918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1177926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1177929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1177932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1177935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1177938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177957 */     // MIs[0] round
     /* 1177957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177967 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1177970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177995 */     // GIR_Coverage, 16394,
     /* 1177995 */     GIR_EraseRootFromParent_Done,
     /* 1177996 */   // Label 17136: @1177996
     /* 1177996 */   GIM_Try, /*On fail goto*//*Label 17137*/ GIMT_Encode4(1178079), // Rule ID 16397 //
     /* 1178001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1178012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1178015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1178018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1178021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178040 */     // MIs[0] round
     /* 1178040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178050 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1178053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178078 */     // GIR_Coverage, 16397,
     /* 1178078 */     GIR_EraseRootFromParent_Done,
     /* 1178079 */   // Label 17137: @1178079
     /* 1178079 */   GIM_Try, /*On fail goto*//*Label 17138*/ GIMT_Encode4(1178162), // Rule ID 16398 //
     /* 1178084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1178095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1178098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1178101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1178104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178123 */     // MIs[0] round
     /* 1178123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178133 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1178136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178144 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178157 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178161 */     // GIR_Coverage, 16398,
     /* 1178161 */     GIR_EraseRootFromParent_Done,
     /* 1178162 */   // Label 17138: @1178162
     /* 1178162 */   GIM_Try, /*On fail goto*//*Label 17139*/ GIMT_Encode4(1178245), // Rule ID 16401 //
     /* 1178167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1178178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1178181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1178184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1178187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178206 */     // MIs[0] round
     /* 1178206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1178219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178244 */     // GIR_Coverage, 16401,
     /* 1178244 */     GIR_EraseRootFromParent_Done,
     /* 1178245 */   // Label 17139: @1178245
     /* 1178245 */   GIM_Try, /*On fail goto*//*Label 17140*/ GIMT_Encode4(1178328), // Rule ID 16402 //
     /* 1178250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1178261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1178264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1178267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1178270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178289 */     // MIs[0] round
     /* 1178289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178299 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1178302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178310 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178323 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178327 */     // GIR_Coverage, 16402,
     /* 1178327 */     GIR_EraseRootFromParent_Done,
     /* 1178328 */   // Label 17140: @1178328
     /* 1178328 */   GIM_Try, /*On fail goto*//*Label 17141*/ GIMT_Encode4(1178411), // Rule ID 16405 //
     /* 1178333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1178344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1178347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1178350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1178353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178372 */     // MIs[0] round
     /* 1178372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178382 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1178385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178410 */     // GIR_Coverage, 16405,
     /* 1178410 */     GIR_EraseRootFromParent_Done,
     /* 1178411 */   // Label 17141: @1178411
     /* 1178411 */   GIM_Try, /*On fail goto*//*Label 17142*/ GIMT_Encode4(1178494), // Rule ID 16406 //
     /* 1178416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1178427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1178430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1178433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1178436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178455 */     // MIs[0] round
     /* 1178455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178465 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1178468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178476 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178493 */     // GIR_Coverage, 16406,
     /* 1178493 */     GIR_EraseRootFromParent_Done,
     /* 1178494 */   // Label 17142: @1178494
     /* 1178494 */   GIM_Try, /*On fail goto*//*Label 17143*/ GIMT_Encode4(1178577), // Rule ID 16409 //
     /* 1178499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1178510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1178513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1178516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1178519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178538 */     // MIs[0] round
     /* 1178538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178548 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1178551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178576 */     // GIR_Coverage, 16409,
     /* 1178576 */     GIR_EraseRootFromParent_Done,
     /* 1178577 */   // Label 17143: @1178577
     /* 1178577 */   GIM_Try, /*On fail goto*//*Label 17144*/ GIMT_Encode4(1178660), // Rule ID 16410 //
     /* 1178582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1178593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1178596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1178599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1178602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178621 */     // MIs[0] round
     /* 1178621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178631 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1178634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178655 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178659 */     // GIR_Coverage, 16410,
     /* 1178659 */     GIR_EraseRootFromParent_Done,
     /* 1178660 */   // Label 17144: @1178660
     /* 1178660 */   GIM_Try, /*On fail goto*//*Label 17145*/ GIMT_Encode4(1178743), // Rule ID 16413 //
     /* 1178665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1178668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1178676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1178679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1178682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1178685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178704 */     // MIs[0] round
     /* 1178704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1178717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178742 */     // GIR_Coverage, 16413,
     /* 1178742 */     GIR_EraseRootFromParent_Done,
     /* 1178743 */   // Label 17145: @1178743
     /* 1178743 */   GIM_Try, /*On fail goto*//*Label 17146*/ GIMT_Encode4(1178826), // Rule ID 16414 //
     /* 1178748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1178751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1178759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1178762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1178765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1178768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178787 */     // MIs[0] round
     /* 1178787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178797 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1178800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178808 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178825 */     // GIR_Coverage, 16414,
     /* 1178825 */     GIR_EraseRootFromParent_Done,
     /* 1178826 */   // Label 17146: @1178826
     /* 1178826 */   GIM_Try, /*On fail goto*//*Label 17147*/ GIMT_Encode4(1178909), // Rule ID 16417 //
     /* 1178831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1178834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1178842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1178845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1178848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1178851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178870 */     // MIs[0] round
     /* 1178870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1178883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178908 */     // GIR_Coverage, 16417,
     /* 1178908 */     GIR_EraseRootFromParent_Done,
     /* 1178909 */   // Label 17147: @1178909
     /* 1178909 */   GIM_Try, /*On fail goto*//*Label 17148*/ GIMT_Encode4(1178992), // Rule ID 16418 //
     /* 1178914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1178917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1178922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1178925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1178928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1178931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1178934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178953 */     // MIs[0] round
     /* 1178953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178963 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1178966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178987 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1178990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178991 */     // GIR_Coverage, 16418,
     /* 1178991 */     GIR_EraseRootFromParent_Done,
     /* 1178992 */   // Label 17148: @1178992
     /* 1178992 */   GIM_Try, /*On fail goto*//*Label 17149*/ GIMT_Encode4(1179075), // Rule ID 16421 //
     /* 1178997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1179000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1179008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1179011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1179014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1179017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179036 */     // MIs[0] round
     /* 1179036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179046 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1179049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179074 */     // GIR_Coverage, 16421,
     /* 1179074 */     GIR_EraseRootFromParent_Done,
     /* 1179075 */   // Label 17149: @1179075
     /* 1179075 */   GIM_Try, /*On fail goto*//*Label 17150*/ GIMT_Encode4(1179158), // Rule ID 16422 //
     /* 1179080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1179083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1179091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1179094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1179097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1179100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179119 */     // MIs[0] round
     /* 1179119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179129 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1179132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179140 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179157 */     // GIR_Coverage, 16422,
     /* 1179157 */     GIR_EraseRootFromParent_Done,
     /* 1179158 */   // Label 17150: @1179158
     /* 1179158 */   GIM_Try, /*On fail goto*//*Label 17151*/ GIMT_Encode4(1179241), // Rule ID 16425 //
     /* 1179163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1179166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1179174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1179177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1179180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1179183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179202 */     // MIs[0] round
     /* 1179202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179212 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1179215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179240 */     // GIR_Coverage, 16425,
     /* 1179240 */     GIR_EraseRootFromParent_Done,
     /* 1179241 */   // Label 17151: @1179241
     /* 1179241 */   GIM_Try, /*On fail goto*//*Label 17152*/ GIMT_Encode4(1179324), // Rule ID 16426 //
     /* 1179246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1179249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1179257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1179260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1179263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1179266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179285 */     // MIs[0] round
     /* 1179285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179295 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1179298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179306 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179319 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179323 */     // GIR_Coverage, 16426,
     /* 1179323 */     GIR_EraseRootFromParent_Done,
     /* 1179324 */   // Label 17152: @1179324
     /* 1179324 */   GIM_Try, /*On fail goto*//*Label 17153*/ GIMT_Encode4(1179407), // Rule ID 16429 //
     /* 1179329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1179340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1179343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1179346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179368 */     // MIs[0] round
     /* 1179368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179378 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1179381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179406 */     // GIR_Coverage, 16429,
     /* 1179406 */     GIR_EraseRootFromParent_Done,
     /* 1179407 */   // Label 17153: @1179407
     /* 1179407 */   GIM_Try, /*On fail goto*//*Label 17154*/ GIMT_Encode4(1179490), // Rule ID 16430 //
     /* 1179412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1179423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1179426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1179429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179451 */     // MIs[0] round
     /* 1179451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179461 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1179464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179472 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179489 */     // GIR_Coverage, 16430,
     /* 1179489 */     GIR_EraseRootFromParent_Done,
     /* 1179490 */   // Label 17154: @1179490
     /* 1179490 */   GIM_Try, /*On fail goto*//*Label 17155*/ GIMT_Encode4(1179573), // Rule ID 16433 //
     /* 1179495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1179506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1179509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1179512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179534 */     // MIs[0] round
     /* 1179534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179544 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1179547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179568 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179572 */     // GIR_Coverage, 16433,
     /* 1179572 */     GIR_EraseRootFromParent_Done,
     /* 1179573 */   // Label 17155: @1179573
     /* 1179573 */   GIM_Try, /*On fail goto*//*Label 17156*/ GIMT_Encode4(1179656), // Rule ID 16434 //
     /* 1179578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1179589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1179592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1179595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179617 */     // MIs[0] round
     /* 1179617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179627 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1179630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179655 */     // GIR_Coverage, 16434,
     /* 1179655 */     GIR_EraseRootFromParent_Done,
     /* 1179656 */   // Label 17156: @1179656
     /* 1179656 */   GIM_Try, /*On fail goto*//*Label 17157*/ GIMT_Encode4(1179739), // Rule ID 16437 //
     /* 1179661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1179672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1179675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1179678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179700 */     // MIs[0] round
     /* 1179700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179710 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1179713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179738 */     // GIR_Coverage, 16437,
     /* 1179738 */     GIR_EraseRootFromParent_Done,
     /* 1179739 */   // Label 17157: @1179739
     /* 1179739 */   GIM_Try, /*On fail goto*//*Label 17158*/ GIMT_Encode4(1179822), // Rule ID 16438 //
     /* 1179744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1179755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1179758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1179761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179783 */     // MIs[0] round
     /* 1179783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179793 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1179796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179821 */     // GIR_Coverage, 16438,
     /* 1179821 */     GIR_EraseRootFromParent_Done,
     /* 1179822 */   // Label 17158: @1179822
     /* 1179822 */   GIM_Try, /*On fail goto*//*Label 17159*/ GIMT_Encode4(1179905), // Rule ID 16441 //
     /* 1179827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1179838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1179841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1179844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179866 */     // MIs[0] round
     /* 1179866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179876 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1179879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179904 */     // GIR_Coverage, 16441,
     /* 1179904 */     GIR_EraseRootFromParent_Done,
     /* 1179905 */   // Label 17159: @1179905
     /* 1179905 */   GIM_Try, /*On fail goto*//*Label 17160*/ GIMT_Encode4(1179988), // Rule ID 16442 //
     /* 1179910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1179918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1179921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1179924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1179927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179949 */     // MIs[0] round
     /* 1179949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179959 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1179962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179970 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179983 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1179986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179987 */     // GIR_Coverage, 16442,
     /* 1179987 */     GIR_EraseRootFromParent_Done,
     /* 1179988 */   // Label 17160: @1179988
     /* 1179988 */   GIM_Try, /*On fail goto*//*Label 17161*/ GIMT_Encode4(1180071), // Rule ID 16445 //
     /* 1179993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1180004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1180007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1180010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180032 */     // MIs[0] round
     /* 1180032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180042 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1180045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180066 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180070 */     // GIR_Coverage, 16445,
     /* 1180070 */     GIR_EraseRootFromParent_Done,
     /* 1180071 */   // Label 17161: @1180071
     /* 1180071 */   GIM_Try, /*On fail goto*//*Label 17162*/ GIMT_Encode4(1180154), // Rule ID 16446 //
     /* 1180076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1180087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1180090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1180093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180115 */     // MIs[0] round
     /* 1180115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180125 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1180128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180149 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180153 */     // GIR_Coverage, 16446,
     /* 1180153 */     GIR_EraseRootFromParent_Done,
     /* 1180154 */   // Label 17162: @1180154
     /* 1180154 */   GIM_Try, /*On fail goto*//*Label 17163*/ GIMT_Encode4(1180237), // Rule ID 16449 //
     /* 1180159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1180170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1180173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1180176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180198 */     // MIs[0] round
     /* 1180198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180208 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1180211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180236 */     // GIR_Coverage, 16449,
     /* 1180236 */     GIR_EraseRootFromParent_Done,
     /* 1180237 */   // Label 17163: @1180237
     /* 1180237 */   GIM_Try, /*On fail goto*//*Label 17164*/ GIMT_Encode4(1180320), // Rule ID 16450 //
     /* 1180242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1180253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1180256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1180259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180281 */     // MIs[0] round
     /* 1180281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180291 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1180294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180302 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180319 */     // GIR_Coverage, 16450,
     /* 1180319 */     GIR_EraseRootFromParent_Done,
     /* 1180320 */   // Label 17164: @1180320
     /* 1180320 */   GIM_Try, /*On fail goto*//*Label 17165*/ GIMT_Encode4(1180403), // Rule ID 16453 //
     /* 1180325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1180336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1180339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1180342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180364 */     // MIs[0] round
     /* 1180364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180374 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1180377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180398 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180402 */     // GIR_Coverage, 16453,
     /* 1180402 */     GIR_EraseRootFromParent_Done,
     /* 1180403 */   // Label 17165: @1180403
     /* 1180403 */   GIM_Try, /*On fail goto*//*Label 17166*/ GIMT_Encode4(1180486), // Rule ID 16454 //
     /* 1180408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1180419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1180422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1180425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180447 */     // MIs[0] round
     /* 1180447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180457 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1180460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180485 */     // GIR_Coverage, 16454,
     /* 1180485 */     GIR_EraseRootFromParent_Done,
     /* 1180486 */   // Label 17166: @1180486
     /* 1180486 */   GIM_Try, /*On fail goto*//*Label 17167*/ GIMT_Encode4(1180569), // Rule ID 16457 //
     /* 1180491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1180502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1180505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1180508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180530 */     // MIs[0] round
     /* 1180530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180540 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1180543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180568 */     // GIR_Coverage, 16457,
     /* 1180568 */     GIR_EraseRootFromParent_Done,
     /* 1180569 */   // Label 17167: @1180569
     /* 1180569 */   GIM_Try, /*On fail goto*//*Label 17168*/ GIMT_Encode4(1180652), // Rule ID 16458 //
     /* 1180574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1180585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1180588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1180591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180613 */     // MIs[0] round
     /* 1180613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180623 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1180626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180634 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180651 */     // GIR_Coverage, 16458,
     /* 1180651 */     GIR_EraseRootFromParent_Done,
     /* 1180652 */   // Label 17168: @1180652
     /* 1180652 */   GIM_Try, /*On fail goto*//*Label 17169*/ GIMT_Encode4(1180735), // Rule ID 16461 //
     /* 1180657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1180668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1180671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1180674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180696 */     // MIs[0] round
     /* 1180696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180706 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1180709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180730 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180734 */     // GIR_Coverage, 16461,
     /* 1180734 */     GIR_EraseRootFromParent_Done,
     /* 1180735 */   // Label 17169: @1180735
     /* 1180735 */   GIM_Try, /*On fail goto*//*Label 17170*/ GIMT_Encode4(1180818), // Rule ID 16462 //
     /* 1180740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1180751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1180754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1180757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180779 */     // MIs[0] round
     /* 1180779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180789 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1180792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180817 */     // GIR_Coverage, 16462,
     /* 1180817 */     GIR_EraseRootFromParent_Done,
     /* 1180818 */   // Label 17170: @1180818
     /* 1180818 */   GIM_Try, /*On fail goto*//*Label 17171*/ GIMT_Encode4(1180901), // Rule ID 16465 //
     /* 1180823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1180834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1180837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1180840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180862 */     // MIs[0] round
     /* 1180862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180872 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1180875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180896 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180900 */     // GIR_Coverage, 16465,
     /* 1180900 */     GIR_EraseRootFromParent_Done,
     /* 1180901 */   // Label 17171: @1180901
     /* 1180901 */   GIM_Try, /*On fail goto*//*Label 17172*/ GIMT_Encode4(1180984), // Rule ID 16466 //
     /* 1180906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1180917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1180920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1180923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180945 */     // MIs[0] round
     /* 1180945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180955 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1180958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180966 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1180982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180983 */     // GIR_Coverage, 16466,
     /* 1180983 */     GIR_EraseRootFromParent_Done,
     /* 1180984 */   // Label 17172: @1180984
     /* 1180984 */   GIM_Try, /*On fail goto*//*Label 17173*/ GIMT_Encode4(1181067), // Rule ID 16469 //
     /* 1180989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1180997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1181000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1181003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1181006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181028 */     // MIs[0] round
     /* 1181028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181038 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1181041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181066 */     // GIR_Coverage, 16469,
     /* 1181066 */     GIR_EraseRootFromParent_Done,
     /* 1181067 */   // Label 17173: @1181067
     /* 1181067 */   GIM_Try, /*On fail goto*//*Label 17174*/ GIMT_Encode4(1181150), // Rule ID 16470 //
     /* 1181072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1181083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1181086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1181089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181111 */     // MIs[0] round
     /* 1181111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181121 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1181124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181132 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181145 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181149 */     // GIR_Coverage, 16470,
     /* 1181149 */     GIR_EraseRootFromParent_Done,
     /* 1181150 */   // Label 17174: @1181150
     /* 1181150 */   GIM_Try, /*On fail goto*//*Label 17175*/ GIMT_Encode4(1181233), // Rule ID 16473 //
     /* 1181155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1181158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1181166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1181169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1181172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181194 */     // MIs[0] round
     /* 1181194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181204 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1181207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181228 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181232 */     // GIR_Coverage, 16473,
     /* 1181232 */     GIR_EraseRootFromParent_Done,
     /* 1181233 */   // Label 17175: @1181233
     /* 1181233 */   GIM_Try, /*On fail goto*//*Label 17176*/ GIMT_Encode4(1181316), // Rule ID 16474 //
     /* 1181238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1181241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1181249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1181252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1181255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181277 */     // MIs[0] round
     /* 1181277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181287 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1181290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181315 */     // GIR_Coverage, 16474,
     /* 1181315 */     GIR_EraseRootFromParent_Done,
     /* 1181316 */   // Label 17176: @1181316
     /* 1181316 */   GIM_Try, /*On fail goto*//*Label 17177*/ GIMT_Encode4(1181399), // Rule ID 16477 //
     /* 1181321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1181324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1181332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1181335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1181338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181360 */     // MIs[0] round
     /* 1181360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181370 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1181373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181398 */     // GIR_Coverage, 16477,
     /* 1181398 */     GIR_EraseRootFromParent_Done,
     /* 1181399 */   // Label 17177: @1181399
     /* 1181399 */   GIM_Try, /*On fail goto*//*Label 17178*/ GIMT_Encode4(1181482), // Rule ID 16478 //
     /* 1181404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1181407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1181415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1181418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1181421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181443 */     // MIs[0] round
     /* 1181443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181453 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1181456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181464 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181477 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181481 */     // GIR_Coverage, 16478,
     /* 1181481 */     GIR_EraseRootFromParent_Done,
     /* 1181482 */   // Label 17178: @1181482
     /* 1181482 */   GIM_Try, /*On fail goto*//*Label 17179*/ GIMT_Encode4(1181565), // Rule ID 16481 //
     /* 1181487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1181490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1181498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1181501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1181504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181526 */     // MIs[0] round
     /* 1181526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1181539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181564 */     // GIR_Coverage, 16481,
     /* 1181564 */     GIR_EraseRootFromParent_Done,
     /* 1181565 */   // Label 17179: @1181565
     /* 1181565 */   GIM_Try, /*On fail goto*//*Label 17180*/ GIMT_Encode4(1181648), // Rule ID 16482 //
     /* 1181570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1181573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1181581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1181584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1181587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181609 */     // MIs[0] round
     /* 1181609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181619 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11382:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1181622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181630 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181643 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181647 */     // GIR_Coverage, 16482,
     /* 1181647 */     GIR_EraseRootFromParent_Done,
     /* 1181648 */   // Label 17180: @1181648
     /* 1181648 */   GIM_Try, /*On fail goto*//*Label 17181*/ GIMT_Encode4(1181731), // Rule ID 16485 //
     /* 1181653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1181656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1181664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1181667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1181670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181692 */     // MIs[0] round
     /* 1181692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181702 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1181705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181730 */     // GIR_Coverage, 16485,
     /* 1181730 */     GIR_EraseRootFromParent_Done,
     /* 1181731 */   // Label 17181: @1181731
     /* 1181731 */   GIM_Try, /*On fail goto*//*Label 17182*/ GIMT_Encode4(1181814), // Rule ID 16486 //
     /* 1181736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1181739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1181744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1181747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1181750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1181753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181775 */     // MIs[0] round
     /* 1181775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181785 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11382:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1181788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181796 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1181812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181813 */     // GIR_Coverage, 16486,
     /* 1181813 */     GIR_EraseRootFromParent_Done,
     /* 1181814 */   // Label 17182: @1181814
     /* 1181814 */   GIM_Try, /*On fail goto*//*Label 17183*/ GIMT_Encode4(1181894), // Rule ID 16549 //
     /* 1181819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1181822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1181827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1181830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1181833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1181836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1181839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181858 */     // MIs[0] round
     /* 1181858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181868 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1181871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181893 */     // GIR_Coverage, 16549,
     /* 1181893 */     GIR_EraseRootFromParent_Done,
     /* 1181894 */   // Label 17183: @1181894
     /* 1181894 */   GIM_Try, /*On fail goto*//*Label 17184*/ GIMT_Encode4(1181974), // Rule ID 16550 //
     /* 1181899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1181902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1181907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1181910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1181913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1181916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1181919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181938 */     // MIs[0] round
     /* 1181938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181948 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1181951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181973 */     // GIR_Coverage, 16550,
     /* 1181973 */     GIR_EraseRootFromParent_Done,
     /* 1181974 */   // Label 17184: @1181974
     /* 1181974 */   GIM_Try, /*On fail goto*//*Label 17185*/ GIMT_Encode4(1182054), // Rule ID 16553 //
     /* 1181979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1181982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1181987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1181990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1181993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1181996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1181999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182018 */     // MIs[0] round
     /* 1182018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182028 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1182031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182053 */     // GIR_Coverage, 16553,
     /* 1182053 */     GIR_EraseRootFromParent_Done,
     /* 1182054 */   // Label 17185: @1182054
     /* 1182054 */   GIM_Try, /*On fail goto*//*Label 17186*/ GIMT_Encode4(1182134), // Rule ID 16554 //
     /* 1182059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1182062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1182067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1182070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1182073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1182076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1182079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182098 */     // MIs[0] round
     /* 1182098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182108 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1182111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182133 */     // GIR_Coverage, 16554,
     /* 1182133 */     GIR_EraseRootFromParent_Done,
     /* 1182134 */   // Label 17186: @1182134
     /* 1182134 */   GIM_Try, /*On fail goto*//*Label 17187*/ GIMT_Encode4(1182214), // Rule ID 16557 //
     /* 1182139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1182142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1182147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1182150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1182153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1182156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1182159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182178 */     // MIs[0] round
     /* 1182178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182188 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1182191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182213 */     // GIR_Coverage, 16557,
     /* 1182213 */     GIR_EraseRootFromParent_Done,
     /* 1182214 */   // Label 17187: @1182214
     /* 1182214 */   GIM_Try, /*On fail goto*//*Label 17188*/ GIMT_Encode4(1182294), // Rule ID 16558 //
     /* 1182219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1182222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1182227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1182230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1182233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1182236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1182239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182258 */     // MIs[0] round
     /* 1182258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182268 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1182271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182293 */     // GIR_Coverage, 16558,
     /* 1182293 */     GIR_EraseRootFromParent_Done,
     /* 1182294 */   // Label 17188: @1182294
     /* 1182294 */   GIM_Try, /*On fail goto*//*Label 17189*/ GIMT_Encode4(1182374), // Rule ID 16561 //
     /* 1182299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1182302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1182307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1182310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1182313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1182316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1182319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182338 */     // MIs[0] round
     /* 1182338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182348 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1182351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182373 */     // GIR_Coverage, 16561,
     /* 1182373 */     GIR_EraseRootFromParent_Done,
     /* 1182374 */   // Label 17189: @1182374
     /* 1182374 */   GIM_Try, /*On fail goto*//*Label 17190*/ GIMT_Encode4(1182454), // Rule ID 16562 //
     /* 1182379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1182382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1182387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1182390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1182393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1182396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1182399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182418 */     // MIs[0] round
     /* 1182418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182428 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1182431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182453 */     // GIR_Coverage, 16562,
     /* 1182453 */     GIR_EraseRootFromParent_Done,
     /* 1182454 */   // Label 17190: @1182454
     /* 1182454 */   GIM_Try, /*On fail goto*//*Label 17191*/ GIMT_Encode4(1182534), // Rule ID 16565 //
     /* 1182459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1182462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1182467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1182470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1182473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1182476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1182479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182498 */     // MIs[0] round
     /* 1182498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182508 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1182511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182533 */     // GIR_Coverage, 16565,
     /* 1182533 */     GIR_EraseRootFromParent_Done,
     /* 1182534 */   // Label 17191: @1182534
     /* 1182534 */   GIM_Try, /*On fail goto*//*Label 17192*/ GIMT_Encode4(1182614), // Rule ID 16566 //
     /* 1182539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1182542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1182547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1182550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1182553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1182556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1182559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182578 */     // MIs[0] round
     /* 1182578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182588 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1182591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182613 */     // GIR_Coverage, 16566,
     /* 1182613 */     GIR_EraseRootFromParent_Done,
     /* 1182614 */   // Label 17192: @1182614
     /* 1182614 */   GIM_Try, /*On fail goto*//*Label 17193*/ GIMT_Encode4(1182694), // Rule ID 16569 //
     /* 1182619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1182622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1182627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1182630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1182633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1182636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1182639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182658 */     // MIs[0] round
     /* 1182658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182668 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1182671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1182689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182693 */     // GIR_Coverage, 16569,
     /* 1182693 */     GIR_EraseRootFromParent_Done,
     /* 1182694 */   // Label 17193: @1182694
     /* 1182694 */   GIM_Try, /*On fail goto*//*Label 17194*/ GIMT_Encode4(1182774), // Rule ID 16570 //
     /* 1182699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1182702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1182707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1182710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1182713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1182716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1182719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182738 */     // MIs[0] round
     /* 1182738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182748 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1182751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1182769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182773 */     // GIR_Coverage, 16570,
     /* 1182773 */     GIR_EraseRootFromParent_Done,
     /* 1182774 */   // Label 17194: @1182774
     /* 1182774 */   GIM_Try, /*On fail goto*//*Label 17195*/ GIMT_Encode4(1182854), // Rule ID 16573 //
     /* 1182779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1182782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1182787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1182790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1182793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1182796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1182799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182818 */     // MIs[0] round
     /* 1182818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182828 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1182831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182853 */     // GIR_Coverage, 16573,
     /* 1182853 */     GIR_EraseRootFromParent_Done,
     /* 1182854 */   // Label 17195: @1182854
     /* 1182854 */   GIM_Try, /*On fail goto*//*Label 17196*/ GIMT_Encode4(1182934), // Rule ID 16574 //
     /* 1182859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1182862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1182867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1182870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1182873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1182876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1182879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182898 */     // MIs[0] round
     /* 1182898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182908 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1182911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182933 */     // GIR_Coverage, 16574,
     /* 1182933 */     GIR_EraseRootFromParent_Done,
     /* 1182934 */   // Label 17196: @1182934
     /* 1182934 */   GIM_Try, /*On fail goto*//*Label 17197*/ GIMT_Encode4(1183014), // Rule ID 16577 //
     /* 1182939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1182942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1182947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1182950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1182953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1182956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1182959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182978 */     // MIs[0] round
     /* 1182978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182988 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1182991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183013 */     // GIR_Coverage, 16577,
     /* 1183013 */     GIR_EraseRootFromParent_Done,
     /* 1183014 */   // Label 17197: @1183014
     /* 1183014 */   GIM_Try, /*On fail goto*//*Label 17198*/ GIMT_Encode4(1183094), // Rule ID 16578 //
     /* 1183019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1183022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1183030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1183033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1183036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1183039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183058 */     // MIs[0] round
     /* 1183058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183068 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1183071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183093 */     // GIR_Coverage, 16578,
     /* 1183093 */     GIR_EraseRootFromParent_Done,
     /* 1183094 */   // Label 17198: @1183094
     /* 1183094 */   GIM_Try, /*On fail goto*//*Label 17199*/ GIMT_Encode4(1183174), // Rule ID 16581 //
     /* 1183099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1183102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1183110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1183113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1183116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1183119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183138 */     // MIs[0] round
     /* 1183138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183148 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1183151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183173 */     // GIR_Coverage, 16581,
     /* 1183173 */     GIR_EraseRootFromParent_Done,
     /* 1183174 */   // Label 17199: @1183174
     /* 1183174 */   GIM_Try, /*On fail goto*//*Label 17200*/ GIMT_Encode4(1183254), // Rule ID 16582 //
     /* 1183179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1183182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1183190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1183193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1183196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1183199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183218 */     // MIs[0] round
     /* 1183218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183228 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1183231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183253 */     // GIR_Coverage, 16582,
     /* 1183253 */     GIR_EraseRootFromParent_Done,
     /* 1183254 */   // Label 17200: @1183254
     /* 1183254 */   GIM_Try, /*On fail goto*//*Label 17201*/ GIMT_Encode4(1183334), // Rule ID 16585 //
     /* 1183259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1183262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1183270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1183273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1183276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1183279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183298 */     // MIs[0] round
     /* 1183298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183308 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1183311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183333 */     // GIR_Coverage, 16585,
     /* 1183333 */     GIR_EraseRootFromParent_Done,
     /* 1183334 */   // Label 17201: @1183334
     /* 1183334 */   GIM_Try, /*On fail goto*//*Label 17202*/ GIMT_Encode4(1183414), // Rule ID 16586 //
     /* 1183339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1183342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1183350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1183353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1183356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1183359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183378 */     // MIs[0] round
     /* 1183378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183388 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1183391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183413 */     // GIR_Coverage, 16586,
     /* 1183413 */     GIR_EraseRootFromParent_Done,
     /* 1183414 */   // Label 17202: @1183414
     /* 1183414 */   GIM_Try, /*On fail goto*//*Label 17203*/ GIMT_Encode4(1183494), // Rule ID 16589 //
     /* 1183419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1183422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1183430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1183433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1183436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1183439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183458 */     // MIs[0] round
     /* 1183458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183468 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1183471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183493 */     // GIR_Coverage, 16589,
     /* 1183493 */     GIR_EraseRootFromParent_Done,
     /* 1183494 */   // Label 17203: @1183494
     /* 1183494 */   GIM_Try, /*On fail goto*//*Label 17204*/ GIMT_Encode4(1183574), // Rule ID 16590 //
     /* 1183499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1183502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1183510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1183513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1183516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1183519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183538 */     // MIs[0] round
     /* 1183538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183548 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1183551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183573 */     // GIR_Coverage, 16590,
     /* 1183573 */     GIR_EraseRootFromParent_Done,
     /* 1183574 */   // Label 17204: @1183574
     /* 1183574 */   GIM_Try, /*On fail goto*//*Label 17205*/ GIMT_Encode4(1183654), // Rule ID 16593 //
     /* 1183579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1183582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1183590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1183593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1183596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1183599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183618 */     // MIs[0] round
     /* 1183618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183628 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1183631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183653 */     // GIR_Coverage, 16593,
     /* 1183653 */     GIR_EraseRootFromParent_Done,
     /* 1183654 */   // Label 17205: @1183654
     /* 1183654 */   GIM_Try, /*On fail goto*//*Label 17206*/ GIMT_Encode4(1183734), // Rule ID 16594 //
     /* 1183659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1183662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1183670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1183673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1183676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1183679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183698 */     // MIs[0] round
     /* 1183698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183708 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1183711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183733 */     // GIR_Coverage, 16594,
     /* 1183733 */     GIR_EraseRootFromParent_Done,
     /* 1183734 */   // Label 17206: @1183734
     /* 1183734 */   GIM_Try, /*On fail goto*//*Label 17207*/ GIMT_Encode4(1183814), // Rule ID 16597 //
     /* 1183739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1183742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1183750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1183753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1183756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1183759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183778 */     // MIs[0] round
     /* 1183778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183788 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1183791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1183809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183813 */     // GIR_Coverage, 16597,
     /* 1183813 */     GIR_EraseRootFromParent_Done,
     /* 1183814 */   // Label 17207: @1183814
     /* 1183814 */   GIM_Try, /*On fail goto*//*Label 17208*/ GIMT_Encode4(1183894), // Rule ID 16598 //
     /* 1183819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1183822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1183830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1183833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1183836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1183839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183858 */     // MIs[0] round
     /* 1183858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183868 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1183871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1183889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183893 */     // GIR_Coverage, 16598,
     /* 1183893 */     GIR_EraseRootFromParent_Done,
     /* 1183894 */   // Label 17208: @1183894
     /* 1183894 */   GIM_Try, /*On fail goto*//*Label 17209*/ GIMT_Encode4(1183974), // Rule ID 16601 //
     /* 1183899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1183902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1183910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1183913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1183916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1183919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183938 */     // MIs[0] round
     /* 1183938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183948 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1183951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1183969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183973 */     // GIR_Coverage, 16601,
     /* 1183973 */     GIR_EraseRootFromParent_Done,
     /* 1183974 */   // Label 17209: @1183974
     /* 1183974 */   GIM_Try, /*On fail goto*//*Label 17210*/ GIMT_Encode4(1184054), // Rule ID 16602 //
     /* 1183979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1183982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1183987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1183990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1183993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1183996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1183999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184018 */     // MIs[0] round
     /* 1184018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184028 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1184031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1184049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184053 */     // GIR_Coverage, 16602,
     /* 1184053 */     GIR_EraseRootFromParent_Done,
     /* 1184054 */   // Label 17210: @1184054
     /* 1184054 */   GIM_Try, /*On fail goto*//*Label 17211*/ GIMT_Encode4(1184134), // Rule ID 16605 //
     /* 1184059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1184062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1184070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1184073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1184076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1184079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184098 */     // MIs[0] round
     /* 1184098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184108 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1184111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1184129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184133 */     // GIR_Coverage, 16605,
     /* 1184133 */     GIR_EraseRootFromParent_Done,
     /* 1184134 */   // Label 17211: @1184134
     /* 1184134 */   GIM_Try, /*On fail goto*//*Label 17212*/ GIMT_Encode4(1184214), // Rule ID 16606 //
     /* 1184139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1184142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1184150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1184153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1184156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1184159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184178 */     // MIs[0] round
     /* 1184178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184188 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1184191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1184209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184213 */     // GIR_Coverage, 16606,
     /* 1184213 */     GIR_EraseRootFromParent_Done,
     /* 1184214 */   // Label 17212: @1184214
     /* 1184214 */   GIM_Try, /*On fail goto*//*Label 17213*/ GIMT_Encode4(1184294), // Rule ID 16609 //
     /* 1184219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1184222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1184230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1184233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1184236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1184239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1184258 */     // MIs[0] round
     /* 1184258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184268 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1184271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184293 */     // GIR_Coverage, 16609,
     /* 1184293 */     GIR_EraseRootFromParent_Done,
     /* 1184294 */   // Label 17213: @1184294
     /* 1184294 */   GIM_Try, /*On fail goto*//*Label 17214*/ GIMT_Encode4(1184374), // Rule ID 16610 //
     /* 1184299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1184310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1184313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1184316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1184319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1184338 */     // MIs[0] round
     /* 1184338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184348 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1184351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184373 */     // GIR_Coverage, 16610,
     /* 1184373 */     GIR_EraseRootFromParent_Done,
     /* 1184374 */   // Label 17214: @1184374
     /* 1184374 */   GIM_Try, /*On fail goto*//*Label 17215*/ GIMT_Encode4(1184454), // Rule ID 16613 //
     /* 1184379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1184382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1184390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1184393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1184396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1184399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1184418 */     // MIs[0] round
     /* 1184418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184428 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1184431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184453 */     // GIR_Coverage, 16613,
     /* 1184453 */     GIR_EraseRootFromParent_Done,
     /* 1184454 */   // Label 17215: @1184454
     /* 1184454 */   GIM_Try, /*On fail goto*//*Label 17216*/ GIMT_Encode4(1184534), // Rule ID 16614 //
     /* 1184459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1184470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1184473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1184476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1184479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1184498 */     // MIs[0] round
     /* 1184498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184508 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1184511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184533 */     // GIR_Coverage, 16614,
     /* 1184533 */     GIR_EraseRootFromParent_Done,
     /* 1184534 */   // Label 17216: @1184534
     /* 1184534 */   GIM_Try, /*On fail goto*//*Label 17217*/ GIMT_Encode4(1184614), // Rule ID 16617 //
     /* 1184539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1184542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1184550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1184553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1184556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1184559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1184578 */     // MIs[0] round
     /* 1184578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184588 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1184591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184613 */     // GIR_Coverage, 16617,
     /* 1184613 */     GIR_EraseRootFromParent_Done,
     /* 1184614 */   // Label 17217: @1184614
     /* 1184614 */   GIM_Try, /*On fail goto*//*Label 17218*/ GIMT_Encode4(1184694), // Rule ID 16618 //
     /* 1184619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1184622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1184630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1184633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1184636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1184639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1184658 */     // MIs[0] round
     /* 1184658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184668 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1184671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184693 */     // GIR_Coverage, 16618,
     /* 1184693 */     GIR_EraseRootFromParent_Done,
     /* 1184694 */   // Label 17218: @1184694
     /* 1184694 */   GIM_Try, /*On fail goto*//*Label 17219*/ GIMT_Encode4(1184774), // Rule ID 16621 //
     /* 1184699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1184702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1184710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1184713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1184716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1184719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1184738 */     // MIs[0] round
     /* 1184738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184748 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1184751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184773 */     // GIR_Coverage, 16621,
     /* 1184773 */     GIR_EraseRootFromParent_Done,
     /* 1184774 */   // Label 17219: @1184774
     /* 1184774 */   GIM_Try, /*On fail goto*//*Label 17220*/ GIMT_Encode4(1184854), // Rule ID 16622 //
     /* 1184779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1184790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1184793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1184796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1184799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1184818 */     // MIs[0] round
     /* 1184818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184828 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1184831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184853 */     // GIR_Coverage, 16622,
     /* 1184853 */     GIR_EraseRootFromParent_Done,
     /* 1184854 */   // Label 17220: @1184854
     /* 1184854 */   GIM_Try, /*On fail goto*//*Label 17221*/ GIMT_Encode4(1184934), // Rule ID 16625 //
     /* 1184859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1184862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1184870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1184873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1184876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1184879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1184898 */     // MIs[0] round
     /* 1184898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184908 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1184911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184933 */     // GIR_Coverage, 16625,
     /* 1184933 */     GIR_EraseRootFromParent_Done,
     /* 1184934 */   // Label 17221: @1184934
     /* 1184934 */   GIM_Try, /*On fail goto*//*Label 17222*/ GIMT_Encode4(1185014), // Rule ID 16626 //
     /* 1184939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1184942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1184947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1184950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1184953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1184956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1184959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1184978 */     // MIs[0] round
     /* 1184978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184988 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1184991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185013 */     // GIR_Coverage, 16626,
     /* 1185013 */     GIR_EraseRootFromParent_Done,
     /* 1185014 */   // Label 17222: @1185014
     /* 1185014 */   GIM_Try, /*On fail goto*//*Label 17223*/ GIMT_Encode4(1185094), // Rule ID 16629 //
     /* 1185019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1185022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1185030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1185033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1185036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1185058 */     // MIs[0] round
     /* 1185058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185068 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1185071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185093 */     // GIR_Coverage, 16629,
     /* 1185093 */     GIR_EraseRootFromParent_Done,
     /* 1185094 */   // Label 17223: @1185094
     /* 1185094 */   GIM_Try, /*On fail goto*//*Label 17224*/ GIMT_Encode4(1185174), // Rule ID 16630 //
     /* 1185099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1185102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1185110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1185113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1185116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1185138 */     // MIs[0] round
     /* 1185138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185148 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1185151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185173 */     // GIR_Coverage, 16630,
     /* 1185173 */     GIR_EraseRootFromParent_Done,
     /* 1185174 */   // Label 17224: @1185174
     /* 1185174 */   GIM_Try, /*On fail goto*//*Label 17225*/ GIMT_Encode4(1185254), // Rule ID 16633 //
     /* 1185179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1185182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1185190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1185193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1185196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185218 */     // MIs[0] round
     /* 1185218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185228 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1185231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185253 */     // GIR_Coverage, 16633,
     /* 1185253 */     GIR_EraseRootFromParent_Done,
     /* 1185254 */   // Label 17225: @1185254
     /* 1185254 */   GIM_Try, /*On fail goto*//*Label 17226*/ GIMT_Encode4(1185334), // Rule ID 16634 //
     /* 1185259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1185262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1185270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1185273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1185276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185298 */     // MIs[0] round
     /* 1185298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185308 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1185311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185333 */     // GIR_Coverage, 16634,
     /* 1185333 */     GIR_EraseRootFromParent_Done,
     /* 1185334 */   // Label 17226: @1185334
     /* 1185334 */   GIM_Try, /*On fail goto*//*Label 17227*/ GIMT_Encode4(1185414), // Rule ID 16637 //
     /* 1185339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1185342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1185350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1185353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1185356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185378 */     // MIs[0] round
     /* 1185378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185388 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1185391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185413 */     // GIR_Coverage, 16637,
     /* 1185413 */     GIR_EraseRootFromParent_Done,
     /* 1185414 */   // Label 17227: @1185414
     /* 1185414 */   GIM_Try, /*On fail goto*//*Label 17228*/ GIMT_Encode4(1185494), // Rule ID 16638 //
     /* 1185419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1185422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1185430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1185433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1185436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185458 */     // MIs[0] round
     /* 1185458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185468 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1185471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185493 */     // GIR_Coverage, 16638,
     /* 1185493 */     GIR_EraseRootFromParent_Done,
     /* 1185494 */   // Label 17228: @1185494
     /* 1185494 */   GIM_Try, /*On fail goto*//*Label 17229*/ GIMT_Encode4(1185574), // Rule ID 16641 //
     /* 1185499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1185502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1185510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1185513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1185516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185538 */     // MIs[0] round
     /* 1185538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185548 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1185551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185573 */     // GIR_Coverage, 16641,
     /* 1185573 */     GIR_EraseRootFromParent_Done,
     /* 1185574 */   // Label 17229: @1185574
     /* 1185574 */   GIM_Try, /*On fail goto*//*Label 17230*/ GIMT_Encode4(1185654), // Rule ID 16642 //
     /* 1185579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1185582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1185590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1185593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1185596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185618 */     // MIs[0] round
     /* 1185618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185628 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1185631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185653 */     // GIR_Coverage, 16642,
     /* 1185653 */     GIR_EraseRootFromParent_Done,
     /* 1185654 */   // Label 17230: @1185654
     /* 1185654 */   GIM_Try, /*On fail goto*//*Label 17231*/ GIMT_Encode4(1185734), // Rule ID 16645 //
     /* 1185659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1185662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1185670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1185673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1185676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1185698 */     // MIs[0] round
     /* 1185698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185708 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1185711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185733 */     // GIR_Coverage, 16645,
     /* 1185733 */     GIR_EraseRootFromParent_Done,
     /* 1185734 */   // Label 17231: @1185734
     /* 1185734 */   GIM_Try, /*On fail goto*//*Label 17232*/ GIMT_Encode4(1185814), // Rule ID 16646 //
     /* 1185739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1185742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1185750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1185753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1185756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1185778 */     // MIs[0] round
     /* 1185778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185788 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1185791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185813 */     // GIR_Coverage, 16646,
     /* 1185813 */     GIR_EraseRootFromParent_Done,
     /* 1185814 */   // Label 17232: @1185814
     /* 1185814 */   GIM_Try, /*On fail goto*//*Label 17233*/ GIMT_Encode4(1185894), // Rule ID 16649 //
     /* 1185819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1185822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1185830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1185833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1185836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1185858 */     // MIs[0] round
     /* 1185858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185868 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1185871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185893 */     // GIR_Coverage, 16649,
     /* 1185893 */     GIR_EraseRootFromParent_Done,
     /* 1185894 */   // Label 17233: @1185894
     /* 1185894 */   GIM_Try, /*On fail goto*//*Label 17234*/ GIMT_Encode4(1185974), // Rule ID 16650 //
     /* 1185899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1185902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1185910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1185913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1185916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1185938 */     // MIs[0] round
     /* 1185938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185948 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1185951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185973 */     // GIR_Coverage, 16650,
     /* 1185973 */     GIR_EraseRootFromParent_Done,
     /* 1185974 */   // Label 17234: @1185974
     /* 1185974 */   GIM_Try, /*On fail goto*//*Label 17235*/ GIMT_Encode4(1186054), // Rule ID 16653 //
     /* 1185979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1185982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1185987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1185990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1185993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1185996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186018 */     // MIs[0] round
     /* 1186018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186028 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1186031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186053 */     // GIR_Coverage, 16653,
     /* 1186053 */     GIR_EraseRootFromParent_Done,
     /* 1186054 */   // Label 17235: @1186054
     /* 1186054 */   GIM_Try, /*On fail goto*//*Label 17236*/ GIMT_Encode4(1186134), // Rule ID 16654 //
     /* 1186059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1186062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1186070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1186073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1186076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186098 */     // MIs[0] round
     /* 1186098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186108 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1186111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186133 */     // GIR_Coverage, 16654,
     /* 1186133 */     GIR_EraseRootFromParent_Done,
     /* 1186134 */   // Label 17236: @1186134
     /* 1186134 */   GIM_Try, /*On fail goto*//*Label 17237*/ GIMT_Encode4(1186214), // Rule ID 16657 //
     /* 1186139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1186142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1186150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1186153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1186156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186178 */     // MIs[0] round
     /* 1186178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186188 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1186191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186213 */     // GIR_Coverage, 16657,
     /* 1186213 */     GIR_EraseRootFromParent_Done,
     /* 1186214 */   // Label 17237: @1186214
     /* 1186214 */   GIM_Try, /*On fail goto*//*Label 17238*/ GIMT_Encode4(1186294), // Rule ID 16658 //
     /* 1186219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1186222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1186230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1186233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1186236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186258 */     // MIs[0] round
     /* 1186258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186268 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1186271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186293 */     // GIR_Coverage, 16658,
     /* 1186293 */     GIR_EraseRootFromParent_Done,
     /* 1186294 */   // Label 17238: @1186294
     /* 1186294 */   GIM_Try, /*On fail goto*//*Label 17239*/ GIMT_Encode4(1186374), // Rule ID 16661 //
     /* 1186299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1186302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1186310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1186313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1186316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186338 */     // MIs[0] round
     /* 1186338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186348 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1186351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186373 */     // GIR_Coverage, 16661,
     /* 1186373 */     GIR_EraseRootFromParent_Done,
     /* 1186374 */   // Label 17239: @1186374
     /* 1186374 */   GIM_Try, /*On fail goto*//*Label 17240*/ GIMT_Encode4(1186454), // Rule ID 16662 //
     /* 1186379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1186382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1186390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1186393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1186396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186418 */     // MIs[0] round
     /* 1186418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186428 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1186431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186453 */     // GIR_Coverage, 16662,
     /* 1186453 */     GIR_EraseRootFromParent_Done,
     /* 1186454 */   // Label 17240: @1186454
     /* 1186454 */   GIM_Try, /*On fail goto*//*Label 17241*/ GIMT_Encode4(1186534), // Rule ID 16665 //
     /* 1186459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1186462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1186470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1186473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1186476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186498 */     // MIs[0] round
     /* 1186498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186508 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1186511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186533 */     // GIR_Coverage, 16665,
     /* 1186533 */     GIR_EraseRootFromParent_Done,
     /* 1186534 */   // Label 17241: @1186534
     /* 1186534 */   GIM_Try, /*On fail goto*//*Label 17242*/ GIMT_Encode4(1186614), // Rule ID 16666 //
     /* 1186539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1186542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1186547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1186550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1186553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1186556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186578 */     // MIs[0] round
     /* 1186578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186588 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1186591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186613 */     // GIR_Coverage, 16666,
     /* 1186613 */     GIR_EraseRootFromParent_Done,
     /* 1186614 */   // Label 17242: @1186614
     /* 1186614 */   GIM_Try, /*On fail goto*//*Label 17243*/ GIMT_Encode4(1186694), // Rule ID 16669 //
     /* 1186619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1186622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1186627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1186630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1186633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1186636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1186639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186658 */     // MIs[0] round
     /* 1186658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186668 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1186671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186693 */     // GIR_Coverage, 16669,
     /* 1186693 */     GIR_EraseRootFromParent_Done,
     /* 1186694 */   // Label 17243: @1186694
     /* 1186694 */   GIM_Try, /*On fail goto*//*Label 17244*/ GIMT_Encode4(1186774), // Rule ID 16670 //
     /* 1186699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1186702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1186707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1186710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1186713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1186716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1186719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186738 */     // MIs[0] round
     /* 1186738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186748 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1186751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186773 */     // GIR_Coverage, 16670,
     /* 1186773 */     GIR_EraseRootFromParent_Done,
     /* 1186774 */   // Label 17244: @1186774
     /* 1186774 */   GIM_Try, /*On fail goto*//*Label 17245*/ GIMT_Encode4(1186854), // Rule ID 16673 //
     /* 1186779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1186782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1186787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1186790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1186793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1186796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1186799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186818 */     // MIs[0] round
     /* 1186818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186828 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1186831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186853 */     // GIR_Coverage, 16673,
     /* 1186853 */     GIR_EraseRootFromParent_Done,
     /* 1186854 */   // Label 17245: @1186854
     /* 1186854 */   GIM_Try, /*On fail goto*//*Label 17246*/ GIMT_Encode4(1186934), // Rule ID 16674 //
     /* 1186859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1186862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1186867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1186870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1186873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1186876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1186879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186898 */     // MIs[0] round
     /* 1186898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186908 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1186911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186933 */     // GIR_Coverage, 16674,
     /* 1186933 */     GIR_EraseRootFromParent_Done,
     /* 1186934 */   // Label 17246: @1186934
     /* 1186934 */   GIM_Try, /*On fail goto*//*Label 17247*/ GIMT_Encode4(1187014), // Rule ID 16677 //
     /* 1186939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1186942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1186947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1186950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1186953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1186956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1186959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186978 */     // MIs[0] round
     /* 1186978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186988 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1186991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187013 */     // GIR_Coverage, 16677,
     /* 1187013 */     GIR_EraseRootFromParent_Done,
     /* 1187014 */   // Label 17247: @1187014
     /* 1187014 */   GIM_Try, /*On fail goto*//*Label 17248*/ GIMT_Encode4(1187094), // Rule ID 16678 //
     /* 1187019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1187022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1187027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1187030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1187033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1187036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1187039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187058 */     // MIs[0] round
     /* 1187058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187068 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1187071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187093 */     // GIR_Coverage, 16678,
     /* 1187093 */     GIR_EraseRootFromParent_Done,
     /* 1187094 */   // Label 17248: @1187094
     /* 1187094 */   GIM_Try, /*On fail goto*//*Label 17249*/ GIMT_Encode4(1187174), // Rule ID 16681 //
     /* 1187099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1187102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1187107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1187110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1187113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1187116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1187119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187138 */     // MIs[0] round
     /* 1187138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187148 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1187151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187173 */     // GIR_Coverage, 16681,
     /* 1187173 */     GIR_EraseRootFromParent_Done,
     /* 1187174 */   // Label 17249: @1187174
     /* 1187174 */   GIM_Try, /*On fail goto*//*Label 17250*/ GIMT_Encode4(1187254), // Rule ID 16682 //
     /* 1187179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1187182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1187187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1187190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1187193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1187196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1187199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187218 */     // MIs[0] round
     /* 1187218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187228 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1187231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187253 */     // GIR_Coverage, 16682,
     /* 1187253 */     GIR_EraseRootFromParent_Done,
     /* 1187254 */   // Label 17250: @1187254
     /* 1187254 */   GIM_Try, /*On fail goto*//*Label 17251*/ GIMT_Encode4(1187334), // Rule ID 16685 //
     /* 1187259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1187262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1187267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1187270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1187273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1187276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1187279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187298 */     // MIs[0] round
     /* 1187298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187308 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1187311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187333 */     // GIR_Coverage, 16685,
     /* 1187333 */     GIR_EraseRootFromParent_Done,
     /* 1187334 */   // Label 17251: @1187334
     /* 1187334 */   GIM_Try, /*On fail goto*//*Label 17252*/ GIMT_Encode4(1187414), // Rule ID 16686 //
     /* 1187339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1187342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1187347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1187350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1187353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1187356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1187359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187378 */     // MIs[0] round
     /* 1187378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187388 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1187391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187413 */     // GIR_Coverage, 16686,
     /* 1187413 */     GIR_EraseRootFromParent_Done,
     /* 1187414 */   // Label 17252: @1187414
     /* 1187414 */   GIM_Try, /*On fail goto*//*Label 17253*/ GIMT_Encode4(1187494), // Rule ID 16689 //
     /* 1187419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1187422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1187427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1187430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1187433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1187436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1187439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187458 */     // MIs[0] round
     /* 1187458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187468 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1187471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187493 */     // GIR_Coverage, 16689,
     /* 1187493 */     GIR_EraseRootFromParent_Done,
     /* 1187494 */   // Label 17253: @1187494
     /* 1187494 */   GIM_Try, /*On fail goto*//*Label 17254*/ GIMT_Encode4(1187574), // Rule ID 16690 //
     /* 1187499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1187502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1187507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1187510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1187513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1187516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1187519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187538 */     // MIs[0] round
     /* 1187538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187548 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1187551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187573 */     // GIR_Coverage, 16690,
     /* 1187573 */     GIR_EraseRootFromParent_Done,
     /* 1187574 */   // Label 17254: @1187574
     /* 1187574 */   GIM_Try, /*On fail goto*//*Label 17255*/ GIMT_Encode4(1187654), // Rule ID 16693 //
     /* 1187579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1187582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1187587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1187590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1187593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1187596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1187599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187618 */     // MIs[0] round
     /* 1187618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187628 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1187631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187653 */     // GIR_Coverage, 16693,
     /* 1187653 */     GIR_EraseRootFromParent_Done,
     /* 1187654 */   // Label 17255: @1187654
     /* 1187654 */   GIM_Try, /*On fail goto*//*Label 17256*/ GIMT_Encode4(1187734), // Rule ID 16694 //
     /* 1187659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1187662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1187667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1187670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1187673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1187676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1187679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187698 */     // MIs[0] round
     /* 1187698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187708 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1187711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187733 */     // GIR_Coverage, 16694,
     /* 1187733 */     GIR_EraseRootFromParent_Done,
     /* 1187734 */   // Label 17256: @1187734
     /* 1187734 */   GIM_Try, /*On fail goto*//*Label 17257*/ GIMT_Encode4(1187814), // Rule ID 16697 //
     /* 1187739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1187742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1187747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1187750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1187753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1187756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1187759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187778 */     // MIs[0] round
     /* 1187778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187788 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1187791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187813 */     // GIR_Coverage, 16697,
     /* 1187813 */     GIR_EraseRootFromParent_Done,
     /* 1187814 */   // Label 17257: @1187814
     /* 1187814 */   GIM_Try, /*On fail goto*//*Label 17258*/ GIMT_Encode4(1187894), // Rule ID 16698 //
     /* 1187819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1187822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1187827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1187830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1187833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1187836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1187839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187858 */     // MIs[0] round
     /* 1187858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187868 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1187871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187893 */     // GIR_Coverage, 16698,
     /* 1187893 */     GIR_EraseRootFromParent_Done,
     /* 1187894 */   // Label 17258: @1187894
     /* 1187894 */   GIM_Try, /*On fail goto*//*Label 17259*/ GIMT_Encode4(1187974), // Rule ID 16701 //
     /* 1187899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1187902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1187907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1187910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1187913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1187916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1187919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187938 */     // MIs[0] round
     /* 1187938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187948 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1187951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187973 */     // GIR_Coverage, 16701,
     /* 1187973 */     GIR_EraseRootFromParent_Done,
     /* 1187974 */   // Label 17259: @1187974
     /* 1187974 */   GIM_Try, /*On fail goto*//*Label 17260*/ GIMT_Encode4(1188054), // Rule ID 16702 //
     /* 1187979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1187982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1187987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1187990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1187993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1187996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1187999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188018 */     // MIs[0] round
     /* 1188018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188028 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1188031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188053 */     // GIR_Coverage, 16702,
     /* 1188053 */     GIR_EraseRootFromParent_Done,
     /* 1188054 */   // Label 17260: @1188054
     /* 1188054 */   GIM_Try, /*On fail goto*//*Label 17261*/ GIMT_Encode4(1188134), // Rule ID 16705 //
     /* 1188059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1188062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1188070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1188073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1188076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1188079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188098 */     // MIs[0] round
     /* 1188098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188108 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1188111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188133 */     // GIR_Coverage, 16705,
     /* 1188133 */     GIR_EraseRootFromParent_Done,
     /* 1188134 */   // Label 17261: @1188134
     /* 1188134 */   GIM_Try, /*On fail goto*//*Label 17262*/ GIMT_Encode4(1188214), // Rule ID 16706 //
     /* 1188139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1188150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1188153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1188156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1188159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188178 */     // MIs[0] round
     /* 1188178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188188 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1188191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188213 */     // GIR_Coverage, 16706,
     /* 1188213 */     GIR_EraseRootFromParent_Done,
     /* 1188214 */   // Label 17262: @1188214
     /* 1188214 */   GIM_Try, /*On fail goto*//*Label 17263*/ GIMT_Encode4(1188294), // Rule ID 16709 //
     /* 1188219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1188222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1188230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1188233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1188236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1188239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188258 */     // MIs[0] round
     /* 1188258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188268 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1188271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188293 */     // GIR_Coverage, 16709,
     /* 1188293 */     GIR_EraseRootFromParent_Done,
     /* 1188294 */   // Label 17263: @1188294
     /* 1188294 */   GIM_Try, /*On fail goto*//*Label 17264*/ GIMT_Encode4(1188374), // Rule ID 16710 //
     /* 1188299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1188310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1188313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1188316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1188319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188338 */     // MIs[0] round
     /* 1188338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188348 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1188351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188373 */     // GIR_Coverage, 16710,
     /* 1188373 */     GIR_EraseRootFromParent_Done,
     /* 1188374 */   // Label 17264: @1188374
     /* 1188374 */   GIM_Try, /*On fail goto*//*Label 17265*/ GIMT_Encode4(1188454), // Rule ID 16713 //
     /* 1188379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1188382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1188390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1188393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1188396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1188399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188418 */     // MIs[0] round
     /* 1188418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188428 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1188431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188453 */     // GIR_Coverage, 16713,
     /* 1188453 */     GIR_EraseRootFromParent_Done,
     /* 1188454 */   // Label 17265: @1188454
     /* 1188454 */   GIM_Try, /*On fail goto*//*Label 17266*/ GIMT_Encode4(1188534), // Rule ID 16714 //
     /* 1188459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1188470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1188473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1188476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1188479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188498 */     // MIs[0] round
     /* 1188498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188508 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1188511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188533 */     // GIR_Coverage, 16714,
     /* 1188533 */     GIR_EraseRootFromParent_Done,
     /* 1188534 */   // Label 17266: @1188534
     /* 1188534 */   GIM_Try, /*On fail goto*//*Label 17267*/ GIMT_Encode4(1188614), // Rule ID 16717 //
     /* 1188539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1188542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1188550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1188553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1188556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1188559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188578 */     // MIs[0] round
     /* 1188578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188588 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1188591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188613 */     // GIR_Coverage, 16717,
     /* 1188613 */     GIR_EraseRootFromParent_Done,
     /* 1188614 */   // Label 17267: @1188614
     /* 1188614 */   GIM_Try, /*On fail goto*//*Label 17268*/ GIMT_Encode4(1188694), // Rule ID 16718 //
     /* 1188619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1188622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1188630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1188633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1188636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1188639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188658 */     // MIs[0] round
     /* 1188658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188668 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1188671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188693 */     // GIR_Coverage, 16718,
     /* 1188693 */     GIR_EraseRootFromParent_Done,
     /* 1188694 */   // Label 17268: @1188694
     /* 1188694 */   GIM_Try, /*On fail goto*//*Label 17269*/ GIMT_Encode4(1188774), // Rule ID 16721 //
     /* 1188699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1188702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1188710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1188713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1188716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1188719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188738 */     // MIs[0] round
     /* 1188738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188748 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1188751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188773 */     // GIR_Coverage, 16721,
     /* 1188773 */     GIR_EraseRootFromParent_Done,
     /* 1188774 */   // Label 17269: @1188774
     /* 1188774 */   GIM_Try, /*On fail goto*//*Label 17270*/ GIMT_Encode4(1188854), // Rule ID 16722 //
     /* 1188779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1188782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1188790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1188793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1188796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1188799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188818 */     // MIs[0] round
     /* 1188818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188828 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1188831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188853 */     // GIR_Coverage, 16722,
     /* 1188853 */     GIR_EraseRootFromParent_Done,
     /* 1188854 */   // Label 17270: @1188854
     /* 1188854 */   GIM_Try, /*On fail goto*//*Label 17271*/ GIMT_Encode4(1188934), // Rule ID 16725 //
     /* 1188859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1188862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1188870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1188873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1188876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1188879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188898 */     // MIs[0] round
     /* 1188898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188908 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1188911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188933 */     // GIR_Coverage, 16725,
     /* 1188933 */     GIR_EraseRootFromParent_Done,
     /* 1188934 */   // Label 17271: @1188934
     /* 1188934 */   GIM_Try, /*On fail goto*//*Label 17272*/ GIMT_Encode4(1189014), // Rule ID 16726 //
     /* 1188939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1188942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1188947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1188950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1188953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1188956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1188959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188978 */     // MIs[0] round
     /* 1188978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188988 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1188991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189013 */     // GIR_Coverage, 16726,
     /* 1189013 */     GIR_EraseRootFromParent_Done,
     /* 1189014 */   // Label 17272: @1189014
     /* 1189014 */   GIM_Try, /*On fail goto*//*Label 17273*/ GIMT_Encode4(1189094), // Rule ID 16729 //
     /* 1189019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1189022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1189030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1189033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1189036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1189039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1189058 */     // MIs[0] round
     /* 1189058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189068 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1189071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189093 */     // GIR_Coverage, 16729,
     /* 1189093 */     GIR_EraseRootFromParent_Done,
     /* 1189094 */   // Label 17273: @1189094
     /* 1189094 */   GIM_Try, /*On fail goto*//*Label 17274*/ GIMT_Encode4(1189174), // Rule ID 16730 //
     /* 1189099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1189102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1189110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1189113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1189116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1189119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1189138 */     // MIs[0] round
     /* 1189138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189148 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1189151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189173 */     // GIR_Coverage, 16730,
     /* 1189173 */     GIR_EraseRootFromParent_Done,
     /* 1189174 */   // Label 17274: @1189174
     /* 1189174 */   GIM_Try, /*On fail goto*//*Label 17275*/ GIMT_Encode4(1189254), // Rule ID 16733 //
     /* 1189179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1189182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1189190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1189193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1189196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1189199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1189218 */     // MIs[0] round
     /* 1189218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189228 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1189231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189253 */     // GIR_Coverage, 16733,
     /* 1189253 */     GIR_EraseRootFromParent_Done,
     /* 1189254 */   // Label 17275: @1189254
     /* 1189254 */   GIM_Try, /*On fail goto*//*Label 17276*/ GIMT_Encode4(1189334), // Rule ID 16734 //
     /* 1189259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1189262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1189270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1189273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1189276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1189279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1189298 */     // MIs[0] round
     /* 1189298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189308 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1189311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189333 */     // GIR_Coverage, 16734,
     /* 1189333 */     GIR_EraseRootFromParent_Done,
     /* 1189334 */   // Label 17276: @1189334
     /* 1189334 */   GIM_Try, /*On fail goto*//*Label 17277*/ GIMT_Encode4(1189414), // Rule ID 16737 //
     /* 1189339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1189350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1189353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1189356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1189359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1189378 */     // MIs[0] round
     /* 1189378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189388 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1189391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189413 */     // GIR_Coverage, 16737,
     /* 1189413 */     GIR_EraseRootFromParent_Done,
     /* 1189414 */   // Label 17277: @1189414
     /* 1189414 */   GIM_Try, /*On fail goto*//*Label 17278*/ GIMT_Encode4(1189494), // Rule ID 16738 //
     /* 1189419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1189430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1189433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1189436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1189439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1189458 */     // MIs[0] round
     /* 1189458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189468 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1189471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189493 */     // GIR_Coverage, 16738,
     /* 1189493 */     GIR_EraseRootFromParent_Done,
     /* 1189494 */   // Label 17278: @1189494
     /* 1189494 */   GIM_Try, /*On fail goto*//*Label 17279*/ GIMT_Encode4(1189574), // Rule ID 16741 //
     /* 1189499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1189502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1189510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1189513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1189516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1189519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1189538 */     // MIs[0] round
     /* 1189538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189548 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1189551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189573 */     // GIR_Coverage, 16741,
     /* 1189573 */     GIR_EraseRootFromParent_Done,
     /* 1189574 */   // Label 17279: @1189574
     /* 1189574 */   GIM_Try, /*On fail goto*//*Label 17280*/ GIMT_Encode4(1189654), // Rule ID 16742 //
     /* 1189579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1189582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1189590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1189593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1189596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1189599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1189618 */     // MIs[0] round
     /* 1189618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189628 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1189631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189653 */     // GIR_Coverage, 16742,
     /* 1189653 */     GIR_EraseRootFromParent_Done,
     /* 1189654 */   // Label 17280: @1189654
     /* 1189654 */   GIM_Try, /*On fail goto*//*Label 17281*/ GIMT_Encode4(1189734), // Rule ID 16745 //
     /* 1189659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1189662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1189670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1189673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1189676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1189679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1189698 */     // MIs[0] round
     /* 1189698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189708 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1189711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189733 */     // GIR_Coverage, 16745,
     /* 1189733 */     GIR_EraseRootFromParent_Done,
     /* 1189734 */   // Label 17281: @1189734
     /* 1189734 */   GIM_Try, /*On fail goto*//*Label 17282*/ GIMT_Encode4(1189814), // Rule ID 16746 //
     /* 1189739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1189742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1189750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1189753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1189756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1189759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1189778 */     // MIs[0] round
     /* 1189778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189788 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1189791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189813 */     // GIR_Coverage, 16746,
     /* 1189813 */     GIR_EraseRootFromParent_Done,
     /* 1189814 */   // Label 17282: @1189814
     /* 1189814 */   GIM_Try, /*On fail goto*//*Label 17283*/ GIMT_Encode4(1189894), // Rule ID 16749 //
     /* 1189819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1189822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1189830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1189833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1189836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1189839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1189858 */     // MIs[0] round
     /* 1189858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189868 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1189871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189893 */     // GIR_Coverage, 16749,
     /* 1189893 */     GIR_EraseRootFromParent_Done,
     /* 1189894 */   // Label 17283: @1189894
     /* 1189894 */   GIM_Try, /*On fail goto*//*Label 17284*/ GIMT_Encode4(1189974), // Rule ID 16750 //
     /* 1189899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1189902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1189910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1189913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1189916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1189919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1189938 */     // MIs[0] round
     /* 1189938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189948 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1189951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189973 */     // GIR_Coverage, 16750,
     /* 1189973 */     GIR_EraseRootFromParent_Done,
     /* 1189974 */   // Label 17284: @1189974
     /* 1189974 */   GIM_Try, /*On fail goto*//*Label 17285*/ GIMT_Encode4(1190054), // Rule ID 16753 //
     /* 1189979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1189982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1189987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1189990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1189993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1189996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1189999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190018 */     // MIs[0] round
     /* 1190018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190028 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1190031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190053 */     // GIR_Coverage, 16753,
     /* 1190053 */     GIR_EraseRootFromParent_Done,
     /* 1190054 */   // Label 17285: @1190054
     /* 1190054 */   GIM_Try, /*On fail goto*//*Label 17286*/ GIMT_Encode4(1190134), // Rule ID 16754 //
     /* 1190059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1190070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1190073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1190076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190098 */     // MIs[0] round
     /* 1190098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190108 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1190111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190133 */     // GIR_Coverage, 16754,
     /* 1190133 */     GIR_EraseRootFromParent_Done,
     /* 1190134 */   // Label 17286: @1190134
     /* 1190134 */   GIM_Try, /*On fail goto*//*Label 17287*/ GIMT_Encode4(1190214), // Rule ID 16757 //
     /* 1190139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1190150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1190153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1190156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190178 */     // MIs[0] round
     /* 1190178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190188 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1190191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190213 */     // GIR_Coverage, 16757,
     /* 1190213 */     GIR_EraseRootFromParent_Done,
     /* 1190214 */   // Label 17287: @1190214
     /* 1190214 */   GIM_Try, /*On fail goto*//*Label 17288*/ GIMT_Encode4(1190294), // Rule ID 16758 //
     /* 1190219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1190230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1190233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1190236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190258 */     // MIs[0] round
     /* 1190258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190268 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1190271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190293 */     // GIR_Coverage, 16758,
     /* 1190293 */     GIR_EraseRootFromParent_Done,
     /* 1190294 */   // Label 17288: @1190294
     /* 1190294 */   GIM_Try, /*On fail goto*//*Label 17289*/ GIMT_Encode4(1190374), // Rule ID 16761 //
     /* 1190299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1190302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1190310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1190313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1190316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190338 */     // MIs[0] round
     /* 1190338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190348 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1190351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190373 */     // GIR_Coverage, 16761,
     /* 1190373 */     GIR_EraseRootFromParent_Done,
     /* 1190374 */   // Label 17289: @1190374
     /* 1190374 */   GIM_Try, /*On fail goto*//*Label 17290*/ GIMT_Encode4(1190454), // Rule ID 16762 //
     /* 1190379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1190382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1190390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1190393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1190396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190418 */     // MIs[0] round
     /* 1190418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190428 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1190431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190453 */     // GIR_Coverage, 16762,
     /* 1190453 */     GIR_EraseRootFromParent_Done,
     /* 1190454 */   // Label 17290: @1190454
     /* 1190454 */   GIM_Try, /*On fail goto*//*Label 17291*/ GIMT_Encode4(1190534), // Rule ID 16765 //
     /* 1190459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1190462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1190470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1190473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1190476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190498 */     // MIs[0] round
     /* 1190498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190508 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1190511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190533 */     // GIR_Coverage, 16765,
     /* 1190533 */     GIR_EraseRootFromParent_Done,
     /* 1190534 */   // Label 17291: @1190534
     /* 1190534 */   GIM_Try, /*On fail goto*//*Label 17292*/ GIMT_Encode4(1190614), // Rule ID 16766 //
     /* 1190539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1190542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1190550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1190553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1190556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190578 */     // MIs[0] round
     /* 1190578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190588 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1190591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190613 */     // GIR_Coverage, 16766,
     /* 1190613 */     GIR_EraseRootFromParent_Done,
     /* 1190614 */   // Label 17292: @1190614
     /* 1190614 */   GIM_Try, /*On fail goto*//*Label 17293*/ GIMT_Encode4(1190694), // Rule ID 16769 //
     /* 1190619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1190622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1190630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1190633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1190636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190658 */     // MIs[0] round
     /* 1190658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190668 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1190671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190693 */     // GIR_Coverage, 16769,
     /* 1190693 */     GIR_EraseRootFromParent_Done,
     /* 1190694 */   // Label 17293: @1190694
     /* 1190694 */   GIM_Try, /*On fail goto*//*Label 17294*/ GIMT_Encode4(1190774), // Rule ID 16770 //
     /* 1190699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1190702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1190710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1190713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1190716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190738 */     // MIs[0] round
     /* 1190738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190748 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1190751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190773 */     // GIR_Coverage, 16770,
     /* 1190773 */     GIR_EraseRootFromParent_Done,
     /* 1190774 */   // Label 17294: @1190774
     /* 1190774 */   GIM_Try, /*On fail goto*//*Label 17295*/ GIMT_Encode4(1190854), // Rule ID 16773 //
     /* 1190779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1190782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1190790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1190793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1190796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190818 */     // MIs[0] round
     /* 1190818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190828 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1190831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190853 */     // GIR_Coverage, 16773,
     /* 1190853 */     GIR_EraseRootFromParent_Done,
     /* 1190854 */   // Label 17295: @1190854
     /* 1190854 */   GIM_Try, /*On fail goto*//*Label 17296*/ GIMT_Encode4(1190934), // Rule ID 16774 //
     /* 1190859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1190862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1190870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1190873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1190876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1190898 */     // MIs[0] round
     /* 1190898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190908 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1190911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190933 */     // GIR_Coverage, 16774,
     /* 1190933 */     GIR_EraseRootFromParent_Done,
     /* 1190934 */   // Label 17296: @1190934
     /* 1190934 */   GIM_Try, /*On fail goto*//*Label 17297*/ GIMT_Encode4(1191014), // Rule ID 16777 //
     /* 1190939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1190942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1190947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1190950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1190953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1190956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1190959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1190978 */     // MIs[0] round
     /* 1190978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190988 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1190991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1191009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191013 */     // GIR_Coverage, 16777,
     /* 1191013 */     GIR_EraseRootFromParent_Done,
     /* 1191014 */   // Label 17297: @1191014
     /* 1191014 */   GIM_Try, /*On fail goto*//*Label 17298*/ GIMT_Encode4(1191094), // Rule ID 16778 //
     /* 1191019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1191022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1191030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1191033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1191036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1191058 */     // MIs[0] round
     /* 1191058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191068 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1191071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1191089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191093 */     // GIR_Coverage, 16778,
     /* 1191093 */     GIR_EraseRootFromParent_Done,
     /* 1191094 */   // Label 17298: @1191094
     /* 1191094 */   GIM_Try, /*On fail goto*//*Label 17299*/ GIMT_Encode4(1191174), // Rule ID 16781 //
     /* 1191099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1191102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1191110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1191113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1191116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1191138 */     // MIs[0] round
     /* 1191138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191148 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1191151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1191169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191173 */     // GIR_Coverage, 16781,
     /* 1191173 */     GIR_EraseRootFromParent_Done,
     /* 1191174 */   // Label 17299: @1191174
     /* 1191174 */   GIM_Try, /*On fail goto*//*Label 17300*/ GIMT_Encode4(1191254), // Rule ID 16782 //
     /* 1191179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1191182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1191190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1191193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1191196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1191218 */     // MIs[0] round
     /* 1191218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191228 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1191231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1191249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191253 */     // GIR_Coverage, 16782,
     /* 1191253 */     GIR_EraseRootFromParent_Done,
     /* 1191254 */   // Label 17300: @1191254
     /* 1191254 */   GIM_Try, /*On fail goto*//*Label 17301*/ GIMT_Encode4(1191334), // Rule ID 16785 //
     /* 1191259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1191262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1191270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1191273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1191276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1191298 */     // MIs[0] round
     /* 1191298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191308 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1191311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1191329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191333 */     // GIR_Coverage, 16785,
     /* 1191333 */     GIR_EraseRootFromParent_Done,
     /* 1191334 */   // Label 17301: @1191334
     /* 1191334 */   GIM_Try, /*On fail goto*//*Label 17302*/ GIMT_Encode4(1191414), // Rule ID 16786 //
     /* 1191339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1191342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1191347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1191350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1191353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1191356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1191378 */     // MIs[0] round
     /* 1191378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191388 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1191391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1191409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191413 */     // GIR_Coverage, 16786,
     /* 1191413 */     GIR_EraseRootFromParent_Done,
     /* 1191414 */   // Label 17302: @1191414
     /* 1191414 */   GIM_Try, /*On fail goto*//*Label 17303*/ GIMT_Encode4(1191494), // Rule ID 16789 //
     /* 1191419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1191427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1191430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1191433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1191436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191458 */     // MIs[0] round
     /* 1191458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191468 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1191471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191493 */     // GIR_Coverage, 16789,
     /* 1191493 */     GIR_EraseRootFromParent_Done,
     /* 1191494 */   // Label 17303: @1191494
     /* 1191494 */   GIM_Try, /*On fail goto*//*Label 17304*/ GIMT_Encode4(1191574), // Rule ID 16790 //
     /* 1191499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1191507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1191510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1191513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1191516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191538 */     // MIs[0] round
     /* 1191538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191548 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1191551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191573 */     // GIR_Coverage, 16790,
     /* 1191573 */     GIR_EraseRootFromParent_Done,
     /* 1191574 */   // Label 17304: @1191574
     /* 1191574 */   GIM_Try, /*On fail goto*//*Label 17305*/ GIMT_Encode4(1191654), // Rule ID 16793 //
     /* 1191579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1191587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1191590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1191593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1191596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191618 */     // MIs[0] round
     /* 1191618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191628 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1191631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191653 */     // GIR_Coverage, 16793,
     /* 1191653 */     GIR_EraseRootFromParent_Done,
     /* 1191654 */   // Label 17305: @1191654
     /* 1191654 */   GIM_Try, /*On fail goto*//*Label 17306*/ GIMT_Encode4(1191734), // Rule ID 16794 //
     /* 1191659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1191667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1191670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1191673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1191676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191698 */     // MIs[0] round
     /* 1191698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191708 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1191711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191733 */     // GIR_Coverage, 16794,
     /* 1191733 */     GIR_EraseRootFromParent_Done,
     /* 1191734 */   // Label 17306: @1191734
     /* 1191734 */   GIM_Try, /*On fail goto*//*Label 17307*/ GIMT_Encode4(1191814), // Rule ID 16797 //
     /* 1191739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1191742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1191747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1191750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1191753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1191756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191778 */     // MIs[0] round
     /* 1191778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191788 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1191791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191813 */     // GIR_Coverage, 16797,
     /* 1191813 */     GIR_EraseRootFromParent_Done,
     /* 1191814 */   // Label 17307: @1191814
     /* 1191814 */   GIM_Try, /*On fail goto*//*Label 17308*/ GIMT_Encode4(1191894), // Rule ID 16798 //
     /* 1191819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1191822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1191827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1191830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1191833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1191836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191858 */     // MIs[0] round
     /* 1191858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191868 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1191871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191893 */     // GIR_Coverage, 16798,
     /* 1191893 */     GIR_EraseRootFromParent_Done,
     /* 1191894 */   // Label 17308: @1191894
     /* 1191894 */   GIM_Try, /*On fail goto*//*Label 17309*/ GIMT_Encode4(1191974), // Rule ID 16801 //
     /* 1191899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1191902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1191907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1191910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1191913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1191916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191938 */     // MIs[0] round
     /* 1191938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191948 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1191951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191973 */     // GIR_Coverage, 16801,
     /* 1191973 */     GIR_EraseRootFromParent_Done,
     /* 1191974 */   // Label 17309: @1191974
     /* 1191974 */   GIM_Try, /*On fail goto*//*Label 17310*/ GIMT_Encode4(1192054), // Rule ID 16802 //
     /* 1191979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1191982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1191987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1191990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1191993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1191996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1192018 */     // MIs[0] round
     /* 1192018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192028 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1192031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192053 */     // GIR_Coverage, 16802,
     /* 1192053 */     GIR_EraseRootFromParent_Done,
     /* 1192054 */   // Label 17310: @1192054
     /* 1192054 */   GIM_Try, /*On fail goto*//*Label 17311*/ GIMT_Encode4(1192134), // Rule ID 16805 //
     /* 1192059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1192062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1192070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1192073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1192076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192098 */     // MIs[0] round
     /* 1192098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192108 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1192111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192133 */     // GIR_Coverage, 16805,
     /* 1192133 */     GIR_EraseRootFromParent_Done,
     /* 1192134 */   // Label 17311: @1192134
     /* 1192134 */   GIM_Try, /*On fail goto*//*Label 17312*/ GIMT_Encode4(1192214), // Rule ID 16806 //
     /* 1192139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1192142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1192150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1192153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1192156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192178 */     // MIs[0] round
     /* 1192178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192188 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1192191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192213 */     // GIR_Coverage, 16806,
     /* 1192213 */     GIR_EraseRootFromParent_Done,
     /* 1192214 */   // Label 17312: @1192214
     /* 1192214 */   GIM_Try, /*On fail goto*//*Label 17313*/ GIMT_Encode4(1192294), // Rule ID 16809 //
     /* 1192219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1192222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1192230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1192233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1192236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192258 */     // MIs[0] round
     /* 1192258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192268 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1192271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192293 */     // GIR_Coverage, 16809,
     /* 1192293 */     GIR_EraseRootFromParent_Done,
     /* 1192294 */   // Label 17313: @1192294
     /* 1192294 */   GIM_Try, /*On fail goto*//*Label 17314*/ GIMT_Encode4(1192374), // Rule ID 16810 //
     /* 1192299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1192302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1192310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1192313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1192316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1192338 */     // MIs[0] round
     /* 1192338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192348 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1192351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192373 */     // GIR_Coverage, 16810,
     /* 1192373 */     GIR_EraseRootFromParent_Done,
     /* 1192374 */   // Label 17314: @1192374
     /* 1192374 */   GIM_Try, /*On fail goto*//*Label 17315*/ GIMT_Encode4(1192454), // Rule ID 16813 //
     /* 1192379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1192382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1192390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1192393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1192396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1192399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1192418 */     // MIs[0] round
     /* 1192418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192428 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1192431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192453 */     // GIR_Coverage, 16813,
     /* 1192453 */     GIR_EraseRootFromParent_Done,
     /* 1192454 */   // Label 17315: @1192454
     /* 1192454 */   GIM_Try, /*On fail goto*//*Label 17316*/ GIMT_Encode4(1192534), // Rule ID 16814 //
     /* 1192459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1192462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1192470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1192473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1192476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1192479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1192498 */     // MIs[0] round
     /* 1192498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192508 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1192511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192533 */     // GIR_Coverage, 16814,
     /* 1192533 */     GIR_EraseRootFromParent_Done,
     /* 1192534 */   // Label 17316: @1192534
     /* 1192534 */   GIM_Try, /*On fail goto*//*Label 17317*/ GIMT_Encode4(1192614), // Rule ID 16817 //
     /* 1192539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1192542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1192550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1192553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1192556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1192559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1192578 */     // MIs[0] round
     /* 1192578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192588 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1192591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192613 */     // GIR_Coverage, 16817,
     /* 1192613 */     GIR_EraseRootFromParent_Done,
     /* 1192614 */   // Label 17317: @1192614
     /* 1192614 */   GIM_Try, /*On fail goto*//*Label 17318*/ GIMT_Encode4(1192694), // Rule ID 16818 //
     /* 1192619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1192622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1192630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1192633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1192636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1192639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1192658 */     // MIs[0] round
     /* 1192658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192668 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1192671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192693 */     // GIR_Coverage, 16818,
     /* 1192693 */     GIR_EraseRootFromParent_Done,
     /* 1192694 */   // Label 17318: @1192694
     /* 1192694 */   GIM_Try, /*On fail goto*//*Label 17319*/ GIMT_Encode4(1192774), // Rule ID 16821 //
     /* 1192699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1192702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1192710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1192713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1192716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1192719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1192738 */     // MIs[0] round
     /* 1192738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192748 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1192751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192773 */     // GIR_Coverage, 16821,
     /* 1192773 */     GIR_EraseRootFromParent_Done,
     /* 1192774 */   // Label 17319: @1192774
     /* 1192774 */   GIM_Try, /*On fail goto*//*Label 17320*/ GIMT_Encode4(1192854), // Rule ID 16822 //
     /* 1192779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1192782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1192790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1192793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1192796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1192799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1192818 */     // MIs[0] round
     /* 1192818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192828 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1192831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192853 */     // GIR_Coverage, 16822,
     /* 1192853 */     GIR_EraseRootFromParent_Done,
     /* 1192854 */   // Label 17320: @1192854
     /* 1192854 */   GIM_Try, /*On fail goto*//*Label 17321*/ GIMT_Encode4(1192934), // Rule ID 16825 //
     /* 1192859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1192862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1192870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1192873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1192876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192898 */     // MIs[0] round
     /* 1192898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192908 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1192911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192933 */     // GIR_Coverage, 16825,
     /* 1192933 */     GIR_EraseRootFromParent_Done,
     /* 1192934 */   // Label 17321: @1192934
     /* 1192934 */   GIM_Try, /*On fail goto*//*Label 17322*/ GIMT_Encode4(1193014), // Rule ID 16826 //
     /* 1192939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1192942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1192947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1192950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1192953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1192956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1192978 */     // MIs[0] round
     /* 1192978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192988 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1192991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193013 */     // GIR_Coverage, 16826,
     /* 1193013 */     GIR_EraseRootFromParent_Done,
     /* 1193014 */   // Label 17322: @1193014
     /* 1193014 */   GIM_Try, /*On fail goto*//*Label 17323*/ GIMT_Encode4(1193094), // Rule ID 16829 //
     /* 1193019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1193022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1193030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1193033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1193036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1193058 */     // MIs[0] round
     /* 1193058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193068 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1193071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193093 */     // GIR_Coverage, 16829,
     /* 1193093 */     GIR_EraseRootFromParent_Done,
     /* 1193094 */   // Label 17323: @1193094
     /* 1193094 */   GIM_Try, /*On fail goto*//*Label 17324*/ GIMT_Encode4(1193174), // Rule ID 16830 //
     /* 1193099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1193102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1193110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1193113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1193116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1193138 */     // MIs[0] round
     /* 1193138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193148 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1193151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193173 */     // GIR_Coverage, 16830,
     /* 1193173 */     GIR_EraseRootFromParent_Done,
     /* 1193174 */   // Label 17324: @1193174
     /* 1193174 */   GIM_Try, /*On fail goto*//*Label 17325*/ GIMT_Encode4(1193254), // Rule ID 16833 //
     /* 1193179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1193182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1193190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1193193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1193196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1193218 */     // MIs[0] round
     /* 1193218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193228 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1193231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193253 */     // GIR_Coverage, 16833,
     /* 1193253 */     GIR_EraseRootFromParent_Done,
     /* 1193254 */   // Label 17325: @1193254
     /* 1193254 */   GIM_Try, /*On fail goto*//*Label 17326*/ GIMT_Encode4(1193334), // Rule ID 16834 //
     /* 1193259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1193262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1193270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1193273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1193276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1193298 */     // MIs[0] round
     /* 1193298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193308 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1193311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193333 */     // GIR_Coverage, 16834,
     /* 1193333 */     GIR_EraseRootFromParent_Done,
     /* 1193334 */   // Label 17326: @1193334
     /* 1193334 */   GIM_Try, /*On fail goto*//*Label 17327*/ GIMT_Encode4(1193414), // Rule ID 16837 //
     /* 1193339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1193342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1193350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1193353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1193356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1193378 */     // MIs[0] round
     /* 1193378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193388 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1193391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193413 */     // GIR_Coverage, 16837,
     /* 1193413 */     GIR_EraseRootFromParent_Done,
     /* 1193414 */   // Label 17327: @1193414
     /* 1193414 */   GIM_Try, /*On fail goto*//*Label 17328*/ GIMT_Encode4(1193494), // Rule ID 16838 //
     /* 1193419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1193422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1193430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1193433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1193436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1193458 */     // MIs[0] round
     /* 1193458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193468 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1193471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193493 */     // GIR_Coverage, 16838,
     /* 1193493 */     GIR_EraseRootFromParent_Done,
     /* 1193494 */   // Label 17328: @1193494
     /* 1193494 */   GIM_Try, /*On fail goto*//*Label 17329*/ GIMT_Encode4(1193574), // Rule ID 16841 //
     /* 1193499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1193502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1193510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1193513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1193516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1193538 */     // MIs[0] round
     /* 1193538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193548 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1193551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193573 */     // GIR_Coverage, 16841,
     /* 1193573 */     GIR_EraseRootFromParent_Done,
     /* 1193574 */   // Label 17329: @1193574
     /* 1193574 */   GIM_Try, /*On fail goto*//*Label 17330*/ GIMT_Encode4(1193654), // Rule ID 16842 //
     /* 1193579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1193582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1193590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1193593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1193596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1193618 */     // MIs[0] round
     /* 1193618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193628 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1193631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193653 */     // GIR_Coverage, 16842,
     /* 1193653 */     GIR_EraseRootFromParent_Done,
     /* 1193654 */   // Label 17330: @1193654
     /* 1193654 */   GIM_Try, /*On fail goto*//*Label 17331*/ GIMT_Encode4(1193734), // Rule ID 16845 //
     /* 1193659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1193662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1193670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1193673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1193676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1193698 */     // MIs[0] round
     /* 1193698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193708 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1193711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193733 */     // GIR_Coverage, 16845,
     /* 1193733 */     GIR_EraseRootFromParent_Done,
     /* 1193734 */   // Label 17331: @1193734
     /* 1193734 */   GIM_Try, /*On fail goto*//*Label 17332*/ GIMT_Encode4(1193814), // Rule ID 16846 //
     /* 1193739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1193742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1193747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1193750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1193753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1193756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1193778 */     // MIs[0] round
     /* 1193778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193788 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1193791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193813 */     // GIR_Coverage, 16846,
     /* 1193813 */     GIR_EraseRootFromParent_Done,
     /* 1193814 */   // Label 17332: @1193814
     /* 1193814 */   GIM_Try, /*On fail goto*//*Label 17333*/ GIMT_Encode4(1193894), // Rule ID 16849 //
     /* 1193819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1193822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1193827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1193830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1193833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1193836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1193839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193858 */     // MIs[0] round
     /* 1193858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193868 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1193871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193893 */     // GIR_Coverage, 16849,
     /* 1193893 */     GIR_EraseRootFromParent_Done,
     /* 1193894 */   // Label 17333: @1193894
     /* 1193894 */   GIM_Try, /*On fail goto*//*Label 17334*/ GIMT_Encode4(1193974), // Rule ID 16850 //
     /* 1193899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1193902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1193907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1193910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1193913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1193916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1193919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193938 */     // MIs[0] round
     /* 1193938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193948 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1193951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193973 */     // GIR_Coverage, 16850,
     /* 1193973 */     GIR_EraseRootFromParent_Done,
     /* 1193974 */   // Label 17334: @1193974
     /* 1193974 */   GIM_Try, /*On fail goto*//*Label 17335*/ GIMT_Encode4(1194054), // Rule ID 16853 //
     /* 1193979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1193982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1193987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1193990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1193993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1193996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1193999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194018 */     // MIs[0] round
     /* 1194018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194028 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1194031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194053 */     // GIR_Coverage, 16853,
     /* 1194053 */     GIR_EraseRootFromParent_Done,
     /* 1194054 */   // Label 17335: @1194054
     /* 1194054 */   GIM_Try, /*On fail goto*//*Label 17336*/ GIMT_Encode4(1194134), // Rule ID 16854 //
     /* 1194059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1194062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1194067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1194070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1194073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1194076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1194079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194098 */     // MIs[0] round
     /* 1194098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194108 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1194111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194133 */     // GIR_Coverage, 16854,
     /* 1194133 */     GIR_EraseRootFromParent_Done,
     /* 1194134 */   // Label 17336: @1194134
     /* 1194134 */   GIM_Try, /*On fail goto*//*Label 17337*/ GIMT_Encode4(1194214), // Rule ID 16857 //
     /* 1194139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1194142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1194147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1194150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1194153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1194156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1194159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194178 */     // MIs[0] round
     /* 1194178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194188 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1194191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194213 */     // GIR_Coverage, 16857,
     /* 1194213 */     GIR_EraseRootFromParent_Done,
     /* 1194214 */   // Label 17337: @1194214
     /* 1194214 */   GIM_Try, /*On fail goto*//*Label 17338*/ GIMT_Encode4(1194294), // Rule ID 16858 //
     /* 1194219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1194222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1194227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1194230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1194233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1194236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1194239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194258 */     // MIs[0] round
     /* 1194258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194268 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1194271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194293 */     // GIR_Coverage, 16858,
     /* 1194293 */     GIR_EraseRootFromParent_Done,
     /* 1194294 */   // Label 17338: @1194294
     /* 1194294 */   GIM_Try, /*On fail goto*//*Label 17339*/ GIMT_Encode4(1194374), // Rule ID 16861 //
     /* 1194299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1194302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1194307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1194310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1194313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1194316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1194319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194338 */     // MIs[0] round
     /* 1194338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194348 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1194351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194373 */     // GIR_Coverage, 16861,
     /* 1194373 */     GIR_EraseRootFromParent_Done,
     /* 1194374 */   // Label 17339: @1194374
     /* 1194374 */   GIM_Try, /*On fail goto*//*Label 17340*/ GIMT_Encode4(1194454), // Rule ID 16862 //
     /* 1194379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1194382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1194387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1194390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1194393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1194396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1194399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194418 */     // MIs[0] round
     /* 1194418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194428 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1194431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194453 */     // GIR_Coverage, 16862,
     /* 1194453 */     GIR_EraseRootFromParent_Done,
     /* 1194454 */   // Label 17340: @1194454
     /* 1194454 */   GIM_Try, /*On fail goto*//*Label 17341*/ GIMT_Encode4(1194534), // Rule ID 16865 //
     /* 1194459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1194462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1194467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1194476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1194479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194498 */     // MIs[0] round
     /* 1194498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194508 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1194511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194533 */     // GIR_Coverage, 16865,
     /* 1194533 */     GIR_EraseRootFromParent_Done,
     /* 1194534 */   // Label 17341: @1194534
     /* 1194534 */   GIM_Try, /*On fail goto*//*Label 17342*/ GIMT_Encode4(1194614), // Rule ID 16866 //
     /* 1194539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1194542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1194547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1194556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1194559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194578 */     // MIs[0] round
     /* 1194578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194588 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1194591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194613 */     // GIR_Coverage, 16866,
     /* 1194613 */     GIR_EraseRootFromParent_Done,
     /* 1194614 */   // Label 17342: @1194614
     /* 1194614 */   GIM_Try, /*On fail goto*//*Label 17343*/ GIMT_Encode4(1194694), // Rule ID 16869 //
     /* 1194619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1194622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1194627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1194630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1194633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1194636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1194639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194658 */     // MIs[0] round
     /* 1194658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194668 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1194671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194693 */     // GIR_Coverage, 16869,
     /* 1194693 */     GIR_EraseRootFromParent_Done,
     /* 1194694 */   // Label 17343: @1194694
     /* 1194694 */   GIM_Try, /*On fail goto*//*Label 17344*/ GIMT_Encode4(1194774), // Rule ID 16870 //
     /* 1194699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1194702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1194707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1194710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1194713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1194716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1194719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194738 */     // MIs[0] round
     /* 1194738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194748 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1194751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194773 */     // GIR_Coverage, 16870,
     /* 1194773 */     GIR_EraseRootFromParent_Done,
     /* 1194774 */   // Label 17344: @1194774
     /* 1194774 */   GIM_Try, /*On fail goto*//*Label 17345*/ GIMT_Encode4(1194854), // Rule ID 16873 //
     /* 1194779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1194782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1194787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1194790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1194793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1194796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1194799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194818 */     // MIs[0] round
     /* 1194818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194828 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1194831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194853 */     // GIR_Coverage, 16873,
     /* 1194853 */     GIR_EraseRootFromParent_Done,
     /* 1194854 */   // Label 17345: @1194854
     /* 1194854 */   GIM_Try, /*On fail goto*//*Label 17346*/ GIMT_Encode4(1194934), // Rule ID 16874 //
     /* 1194859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1194862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1194867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1194870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1194873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1194876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1194879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194898 */     // MIs[0] round
     /* 1194898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194908 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1194911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194933 */     // GIR_Coverage, 16874,
     /* 1194933 */     GIR_EraseRootFromParent_Done,
     /* 1194934 */   // Label 17346: @1194934
     /* 1194934 */   GIM_Try, /*On fail goto*//*Label 17347*/ GIMT_Encode4(1195014), // Rule ID 16877 //
     /* 1194939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1194942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1194947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1194950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1194953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1194956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1194959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194978 */     // MIs[0] round
     /* 1194978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194988 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1194991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195013 */     // GIR_Coverage, 16877,
     /* 1195013 */     GIR_EraseRootFromParent_Done,
     /* 1195014 */   // Label 17347: @1195014
     /* 1195014 */   GIM_Try, /*On fail goto*//*Label 17348*/ GIMT_Encode4(1195094), // Rule ID 16878 //
     /* 1195019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1195022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1195030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1195033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1195036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1195039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195058 */     // MIs[0] round
     /* 1195058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195068 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1195071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195093 */     // GIR_Coverage, 16878,
     /* 1195093 */     GIR_EraseRootFromParent_Done,
     /* 1195094 */   // Label 17348: @1195094
     /* 1195094 */   GIM_Try, /*On fail goto*//*Label 17349*/ GIMT_Encode4(1195174), // Rule ID 16881 //
     /* 1195099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1195102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1195110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1195113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1195116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1195119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195138 */     // MIs[0] round
     /* 1195138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195148 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1195151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195173 */     // GIR_Coverage, 16881,
     /* 1195173 */     GIR_EraseRootFromParent_Done,
     /* 1195174 */   // Label 17349: @1195174
     /* 1195174 */   GIM_Try, /*On fail goto*//*Label 17350*/ GIMT_Encode4(1195254), // Rule ID 16882 //
     /* 1195179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1195182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1195190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1195193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1195196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1195199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195218 */     // MIs[0] round
     /* 1195218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195228 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1195231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195253 */     // GIR_Coverage, 16882,
     /* 1195253 */     GIR_EraseRootFromParent_Done,
     /* 1195254 */   // Label 17350: @1195254
     /* 1195254 */   GIM_Try, /*On fail goto*//*Label 17351*/ GIMT_Encode4(1195334), // Rule ID 16885 //
     /* 1195259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1195270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1195273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1195276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195298 */     // MIs[0] round
     /* 1195298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195308 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1195311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195333 */     // GIR_Coverage, 16885,
     /* 1195333 */     GIR_EraseRootFromParent_Done,
     /* 1195334 */   // Label 17351: @1195334
     /* 1195334 */   GIM_Try, /*On fail goto*//*Label 17352*/ GIMT_Encode4(1195414), // Rule ID 16886 //
     /* 1195339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1195350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1195353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1195356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195378 */     // MIs[0] round
     /* 1195378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195388 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1195391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195413 */     // GIR_Coverage, 16886,
     /* 1195413 */     GIR_EraseRootFromParent_Done,
     /* 1195414 */   // Label 17352: @1195414
     /* 1195414 */   GIM_Try, /*On fail goto*//*Label 17353*/ GIMT_Encode4(1195494), // Rule ID 16889 //
     /* 1195419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1195430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1195433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1195436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195458 */     // MIs[0] round
     /* 1195458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195468 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1195471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195493 */     // GIR_Coverage, 16889,
     /* 1195493 */     GIR_EraseRootFromParent_Done,
     /* 1195494 */   // Label 17353: @1195494
     /* 1195494 */   GIM_Try, /*On fail goto*//*Label 17354*/ GIMT_Encode4(1195574), // Rule ID 16890 //
     /* 1195499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1195510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1195513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1195516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195538 */     // MIs[0] round
     /* 1195538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195548 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1195551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195573 */     // GIR_Coverage, 16890,
     /* 1195573 */     GIR_EraseRootFromParent_Done,
     /* 1195574 */   // Label 17354: @1195574
     /* 1195574 */   GIM_Try, /*On fail goto*//*Label 17355*/ GIMT_Encode4(1195654), // Rule ID 16893 //
     /* 1195579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1195590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1195593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1195596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195618 */     // MIs[0] round
     /* 1195618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195628 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1195631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195653 */     // GIR_Coverage, 16893,
     /* 1195653 */     GIR_EraseRootFromParent_Done,
     /* 1195654 */   // Label 17355: @1195654
     /* 1195654 */   GIM_Try, /*On fail goto*//*Label 17356*/ GIMT_Encode4(1195734), // Rule ID 16894 //
     /* 1195659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1195670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1195673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1195676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195698 */     // MIs[0] round
     /* 1195698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195708 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1195711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195733 */     // GIR_Coverage, 16894,
     /* 1195733 */     GIR_EraseRootFromParent_Done,
     /* 1195734 */   // Label 17356: @1195734
     /* 1195734 */   GIM_Try, /*On fail goto*//*Label 17357*/ GIMT_Encode4(1195814), // Rule ID 16897 //
     /* 1195739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1195750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1195753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1195756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195778 */     // MIs[0] round
     /* 1195778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195788 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1195791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195813 */     // GIR_Coverage, 16897,
     /* 1195813 */     GIR_EraseRootFromParent_Done,
     /* 1195814 */   // Label 17357: @1195814
     /* 1195814 */   GIM_Try, /*On fail goto*//*Label 17358*/ GIMT_Encode4(1195894), // Rule ID 16898 //
     /* 1195819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1195830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1195833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1195836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195858 */     // MIs[0] round
     /* 1195858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195868 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1195871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195893 */     // GIR_Coverage, 16898,
     /* 1195893 */     GIR_EraseRootFromParent_Done,
     /* 1195894 */   // Label 17358: @1195894
     /* 1195894 */   GIM_Try, /*On fail goto*//*Label 17359*/ GIMT_Encode4(1195974), // Rule ID 16901 //
     /* 1195899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1195910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1195913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1195916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195938 */     // MIs[0] round
     /* 1195938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195948 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1195951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195973 */     // GIR_Coverage, 16901,
     /* 1195973 */     GIR_EraseRootFromParent_Done,
     /* 1195974 */   // Label 17359: @1195974
     /* 1195974 */   GIM_Try, /*On fail goto*//*Label 17360*/ GIMT_Encode4(1196054), // Rule ID 16902 //
     /* 1195979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1195987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1195990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1195993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1195996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196018 */     // MIs[0] round
     /* 1196018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196028 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1196031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196053 */     // GIR_Coverage, 16902,
     /* 1196053 */     GIR_EraseRootFromParent_Done,
     /* 1196054 */   // Label 17360: @1196054
     /* 1196054 */   GIM_Try, /*On fail goto*//*Label 17361*/ GIMT_Encode4(1196134), // Rule ID 16905 //
     /* 1196059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1196062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1196070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1196073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1196076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196098 */     // MIs[0] round
     /* 1196098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196108 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1196111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196133 */     // GIR_Coverage, 16905,
     /* 1196133 */     GIR_EraseRootFromParent_Done,
     /* 1196134 */   // Label 17361: @1196134
     /* 1196134 */   GIM_Try, /*On fail goto*//*Label 17362*/ GIMT_Encode4(1196214), // Rule ID 16906 //
     /* 1196139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1196142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1196150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1196153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1196156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196178 */     // MIs[0] round
     /* 1196178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196188 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1196191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196213 */     // GIR_Coverage, 16906,
     /* 1196213 */     GIR_EraseRootFromParent_Done,
     /* 1196214 */   // Label 17362: @1196214
     /* 1196214 */   GIM_Try, /*On fail goto*//*Label 17363*/ GIMT_Encode4(1196294), // Rule ID 16909 //
     /* 1196219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1196222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1196230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1196233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1196236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196258 */     // MIs[0] round
     /* 1196258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196268 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1196271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196293 */     // GIR_Coverage, 16909,
     /* 1196293 */     GIR_EraseRootFromParent_Done,
     /* 1196294 */   // Label 17363: @1196294
     /* 1196294 */   GIM_Try, /*On fail goto*//*Label 17364*/ GIMT_Encode4(1196374), // Rule ID 16910 //
     /* 1196299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1196302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1196310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1196313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1196316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196338 */     // MIs[0] round
     /* 1196338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196348 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1196351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196373 */     // GIR_Coverage, 16910,
     /* 1196373 */     GIR_EraseRootFromParent_Done,
     /* 1196374 */   // Label 17364: @1196374
     /* 1196374 */   GIM_Try, /*On fail goto*//*Label 17365*/ GIMT_Encode4(1196454), // Rule ID 16913 //
     /* 1196379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1196382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1196390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1196393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196418 */     // MIs[0] round
     /* 1196418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196428 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1196431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196453 */     // GIR_Coverage, 16913,
     /* 1196453 */     GIR_EraseRootFromParent_Done,
     /* 1196454 */   // Label 17365: @1196454
     /* 1196454 */   GIM_Try, /*On fail goto*//*Label 17366*/ GIMT_Encode4(1196534), // Rule ID 16914 //
     /* 1196459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1196462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1196470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1196473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196498 */     // MIs[0] round
     /* 1196498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196508 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1196511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196533 */     // GIR_Coverage, 16914,
     /* 1196533 */     GIR_EraseRootFromParent_Done,
     /* 1196534 */   // Label 17366: @1196534
     /* 1196534 */   GIM_Try, /*On fail goto*//*Label 17367*/ GIMT_Encode4(1196614), // Rule ID 16917 //
     /* 1196539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1196542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1196550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1196553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196578 */     // MIs[0] round
     /* 1196578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196588 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1196591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196613 */     // GIR_Coverage, 16917,
     /* 1196613 */     GIR_EraseRootFromParent_Done,
     /* 1196614 */   // Label 17367: @1196614
     /* 1196614 */   GIM_Try, /*On fail goto*//*Label 17368*/ GIMT_Encode4(1196694), // Rule ID 16918 //
     /* 1196619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1196622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1196627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1196630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1196633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196658 */     // MIs[0] round
     /* 1196658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196668 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1196671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196693 */     // GIR_Coverage, 16918,
     /* 1196693 */     GIR_EraseRootFromParent_Done,
     /* 1196694 */   // Label 17368: @1196694
     /* 1196694 */   GIM_Try, /*On fail goto*//*Label 17369*/ GIMT_Encode4(1196774), // Rule ID 16921 //
     /* 1196699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1196702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1196707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1196710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1196713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1196716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1196719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196738 */     // MIs[0] round
     /* 1196738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196748 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1196751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196773 */     // GIR_Coverage, 16921,
     /* 1196773 */     GIR_EraseRootFromParent_Done,
     /* 1196774 */   // Label 17369: @1196774
     /* 1196774 */   GIM_Try, /*On fail goto*//*Label 17370*/ GIMT_Encode4(1196854), // Rule ID 16922 //
     /* 1196779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1196782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1196787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1196790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1196793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1196796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1196799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196818 */     // MIs[0] round
     /* 1196818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196828 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1196831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196853 */     // GIR_Coverage, 16922,
     /* 1196853 */     GIR_EraseRootFromParent_Done,
     /* 1196854 */   // Label 17370: @1196854
     /* 1196854 */   GIM_Try, /*On fail goto*//*Label 17371*/ GIMT_Encode4(1196934), // Rule ID 16925 //
     /* 1196859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1196862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1196867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1196870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1196873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1196876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1196879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196898 */     // MIs[0] round
     /* 1196898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196908 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1196911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196933 */     // GIR_Coverage, 16925,
     /* 1196933 */     GIR_EraseRootFromParent_Done,
     /* 1196934 */   // Label 17371: @1196934
     /* 1196934 */   GIM_Try, /*On fail goto*//*Label 17372*/ GIMT_Encode4(1197014), // Rule ID 16926 //
     /* 1196939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1196942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1196947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1196950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1196953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1196956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1196959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196978 */     // MIs[0] round
     /* 1196978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196988 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1196991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197013 */     // GIR_Coverage, 16926,
     /* 1197013 */     GIR_EraseRootFromParent_Done,
     /* 1197014 */   // Label 17372: @1197014
     /* 1197014 */   GIM_Try, /*On fail goto*//*Label 17373*/ GIMT_Encode4(1197094), // Rule ID 16929 //
     /* 1197019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1197022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1197027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1197030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1197033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1197036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1197039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197058 */     // MIs[0] round
     /* 1197058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197068 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1197071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197093 */     // GIR_Coverage, 16929,
     /* 1197093 */     GIR_EraseRootFromParent_Done,
     /* 1197094 */   // Label 17373: @1197094
     /* 1197094 */   GIM_Try, /*On fail goto*//*Label 17374*/ GIMT_Encode4(1197174), // Rule ID 16930 //
     /* 1197099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1197102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1197107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1197110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1197113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1197116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1197119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197138 */     // MIs[0] round
     /* 1197138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197148 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1197151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197173 */     // GIR_Coverage, 16930,
     /* 1197173 */     GIR_EraseRootFromParent_Done,
     /* 1197174 */   // Label 17374: @1197174
     /* 1197174 */   GIM_Try, /*On fail goto*//*Label 17375*/ GIMT_Encode4(1197254), // Rule ID 16933 //
     /* 1197179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1197182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1197187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1197190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1197193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1197196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1197199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197218 */     // MIs[0] round
     /* 1197218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197228 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1197231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197253 */     // GIR_Coverage, 16933,
     /* 1197253 */     GIR_EraseRootFromParent_Done,
     /* 1197254 */   // Label 17375: @1197254
     /* 1197254 */   GIM_Try, /*On fail goto*//*Label 17376*/ GIMT_Encode4(1197334), // Rule ID 16934 //
     /* 1197259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1197262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1197267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1197270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1197273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1197276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1197279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197298 */     // MIs[0] round
     /* 1197298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197308 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1197311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197333 */     // GIR_Coverage, 16934,
     /* 1197333 */     GIR_EraseRootFromParent_Done,
     /* 1197334 */   // Label 17376: @1197334
     /* 1197334 */   GIM_Try, /*On fail goto*//*Label 17377*/ GIMT_Encode4(1197414), // Rule ID 16937 //
     /* 1197339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1197342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1197347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1197350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1197353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1197356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1197359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197378 */     // MIs[0] round
     /* 1197378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197388 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1197391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197413 */     // GIR_Coverage, 16937,
     /* 1197413 */     GIR_EraseRootFromParent_Done,
     /* 1197414 */   // Label 17377: @1197414
     /* 1197414 */   GIM_Try, /*On fail goto*//*Label 17378*/ GIMT_Encode4(1197494), // Rule ID 16938 //
     /* 1197419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1197422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1197427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1197430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1197433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1197436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1197439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197458 */     // MIs[0] round
     /* 1197458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197468 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1197471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197493 */     // GIR_Coverage, 16938,
     /* 1197493 */     GIR_EraseRootFromParent_Done,
     /* 1197494 */   // Label 17378: @1197494
     /* 1197494 */   GIM_Try, /*On fail goto*//*Label 17379*/ GIMT_Encode4(1197574), // Rule ID 16941 //
     /* 1197499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1197502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1197507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1197510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1197513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1197516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1197519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197538 */     // MIs[0] round
     /* 1197538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197548 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1197551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197573 */     // GIR_Coverage, 16941,
     /* 1197573 */     GIR_EraseRootFromParent_Done,
     /* 1197574 */   // Label 17379: @1197574
     /* 1197574 */   GIM_Try, /*On fail goto*//*Label 17380*/ GIMT_Encode4(1197654), // Rule ID 16942 //
     /* 1197579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1197582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1197587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1197590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1197593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1197596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1197599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197618 */     // MIs[0] round
     /* 1197618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197628 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1197631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197653 */     // GIR_Coverage, 16942,
     /* 1197653 */     GIR_EraseRootFromParent_Done,
     /* 1197654 */   // Label 17380: @1197654
     /* 1197654 */   GIM_Try, /*On fail goto*//*Label 17381*/ GIMT_Encode4(1197734), // Rule ID 16945 //
     /* 1197659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1197662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1197667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1197670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1197673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1197676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1197679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197698 */     // MIs[0] round
     /* 1197698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197708 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1197711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197733 */     // GIR_Coverage, 16945,
     /* 1197733 */     GIR_EraseRootFromParent_Done,
     /* 1197734 */   // Label 17381: @1197734
     /* 1197734 */   GIM_Try, /*On fail goto*//*Label 17382*/ GIMT_Encode4(1197814), // Rule ID 16946 //
     /* 1197739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1197742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1197747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1197750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1197753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1197756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1197759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197778 */     // MIs[0] round
     /* 1197778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197788 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1197791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197813 */     // GIR_Coverage, 16946,
     /* 1197813 */     GIR_EraseRootFromParent_Done,
     /* 1197814 */   // Label 17382: @1197814
     /* 1197814 */   GIM_Try, /*On fail goto*//*Label 17383*/ GIMT_Encode4(1197894), // Rule ID 16949 //
     /* 1197819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1197822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1197827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1197830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1197833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1197836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1197839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197858 */     // MIs[0] round
     /* 1197858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197868 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1197871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197893 */     // GIR_Coverage, 16949,
     /* 1197893 */     GIR_EraseRootFromParent_Done,
     /* 1197894 */   // Label 17383: @1197894
     /* 1197894 */   GIM_Try, /*On fail goto*//*Label 17384*/ GIMT_Encode4(1197974), // Rule ID 16950 //
     /* 1197899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1197902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1197907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1197910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1197913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1197916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1197919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197938 */     // MIs[0] round
     /* 1197938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197948 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1197951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197973 */     // GIR_Coverage, 16950,
     /* 1197973 */     GIR_EraseRootFromParent_Done,
     /* 1197974 */   // Label 17384: @1197974
     /* 1197974 */   GIM_Try, /*On fail goto*//*Label 17385*/ GIMT_Encode4(1198054), // Rule ID 16953 //
     /* 1197979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1197982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1197987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1197990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1197993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1197996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1197999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198018 */     // MIs[0] round
     /* 1198018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198028 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1198031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198053 */     // GIR_Coverage, 16953,
     /* 1198053 */     GIR_EraseRootFromParent_Done,
     /* 1198054 */   // Label 17385: @1198054
     /* 1198054 */   GIM_Try, /*On fail goto*//*Label 17386*/ GIMT_Encode4(1198134), // Rule ID 16954 //
     /* 1198059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1198062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1198070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1198073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1198076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1198079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198098 */     // MIs[0] round
     /* 1198098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198108 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1198111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198133 */     // GIR_Coverage, 16954,
     /* 1198133 */     GIR_EraseRootFromParent_Done,
     /* 1198134 */   // Label 17386: @1198134
     /* 1198134 */   GIM_Try, /*On fail goto*//*Label 17387*/ GIMT_Encode4(1198214), // Rule ID 16957 //
     /* 1198139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1198150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1198153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1198156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198178 */     // MIs[0] round
     /* 1198178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198188 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1198191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198213 */     // GIR_Coverage, 16957,
     /* 1198213 */     GIR_EraseRootFromParent_Done,
     /* 1198214 */   // Label 17387: @1198214
     /* 1198214 */   GIM_Try, /*On fail goto*//*Label 17388*/ GIMT_Encode4(1198294), // Rule ID 16958 //
     /* 1198219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1198230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1198233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1198236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198258 */     // MIs[0] round
     /* 1198258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198268 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1198271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198293 */     // GIR_Coverage, 16958,
     /* 1198293 */     GIR_EraseRootFromParent_Done,
     /* 1198294 */   // Label 17388: @1198294
     /* 1198294 */   GIM_Try, /*On fail goto*//*Label 17389*/ GIMT_Encode4(1198374), // Rule ID 16961 //
     /* 1198299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1198310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1198313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1198316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198338 */     // MIs[0] round
     /* 1198338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198348 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1198351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198373 */     // GIR_Coverage, 16961,
     /* 1198373 */     GIR_EraseRootFromParent_Done,
     /* 1198374 */   // Label 17389: @1198374
     /* 1198374 */   GIM_Try, /*On fail goto*//*Label 17390*/ GIMT_Encode4(1198454), // Rule ID 16962 //
     /* 1198379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1198390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1198393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1198396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198418 */     // MIs[0] round
     /* 1198418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198428 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1198431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198453 */     // GIR_Coverage, 16962,
     /* 1198453 */     GIR_EraseRootFromParent_Done,
     /* 1198454 */   // Label 17390: @1198454
     /* 1198454 */   GIM_Try, /*On fail goto*//*Label 17391*/ GIMT_Encode4(1198534), // Rule ID 16965 //
     /* 1198459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1198470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1198473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1198476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198498 */     // MIs[0] round
     /* 1198498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198508 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1198511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198533 */     // GIR_Coverage, 16965,
     /* 1198533 */     GIR_EraseRootFromParent_Done,
     /* 1198534 */   // Label 17391: @1198534
     /* 1198534 */   GIM_Try, /*On fail goto*//*Label 17392*/ GIMT_Encode4(1198614), // Rule ID 16966 //
     /* 1198539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1198550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1198553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1198556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198578 */     // MIs[0] round
     /* 1198578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198588 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1198591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198613 */     // GIR_Coverage, 16966,
     /* 1198613 */     GIR_EraseRootFromParent_Done,
     /* 1198614 */   // Label 17392: @1198614
     /* 1198614 */   GIM_Try, /*On fail goto*//*Label 17393*/ GIMT_Encode4(1198694), // Rule ID 16969 //
     /* 1198619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1198630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1198633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1198636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198658 */     // MIs[0] round
     /* 1198658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198668 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1198671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198693 */     // GIR_Coverage, 16969,
     /* 1198693 */     GIR_EraseRootFromParent_Done,
     /* 1198694 */   // Label 17393: @1198694
     /* 1198694 */   GIM_Try, /*On fail goto*//*Label 17394*/ GIMT_Encode4(1198774), // Rule ID 16970 //
     /* 1198699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1198710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1198713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1198716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198738 */     // MIs[0] round
     /* 1198738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198748 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1198751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198773 */     // GIR_Coverage, 16970,
     /* 1198773 */     GIR_EraseRootFromParent_Done,
     /* 1198774 */   // Label 17394: @1198774
     /* 1198774 */   GIM_Try, /*On fail goto*//*Label 17395*/ GIMT_Encode4(1198854), // Rule ID 16973 //
     /* 1198779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1198790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1198793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1198796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198818 */     // MIs[0] round
     /* 1198818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198828 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1198831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198853 */     // GIR_Coverage, 16973,
     /* 1198853 */     GIR_EraseRootFromParent_Done,
     /* 1198854 */   // Label 17395: @1198854
     /* 1198854 */   GIM_Try, /*On fail goto*//*Label 17396*/ GIMT_Encode4(1198934), // Rule ID 16974 //
     /* 1198859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1198870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1198873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1198876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1198879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1198898 */     // MIs[0] round
     /* 1198898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198908 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1198911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198933 */     // GIR_Coverage, 16974,
     /* 1198933 */     GIR_EraseRootFromParent_Done,
     /* 1198934 */   // Label 17396: @1198934
     /* 1198934 */   GIM_Try, /*On fail goto*//*Label 17397*/ GIMT_Encode4(1199014), // Rule ID 16977 //
     /* 1198939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1198942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1198947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1198950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1198953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1198956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1198959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1198978 */     // MIs[0] round
     /* 1198978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198988 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1198991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199013 */     // GIR_Coverage, 16977,
     /* 1199013 */     GIR_EraseRootFromParent_Done,
     /* 1199014 */   // Label 17397: @1199014
     /* 1199014 */   GIM_Try, /*On fail goto*//*Label 17398*/ GIMT_Encode4(1199094), // Rule ID 16978 //
     /* 1199019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1199022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1199030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1199033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1199036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199058 */     // MIs[0] round
     /* 1199058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199068 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1199071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199093 */     // GIR_Coverage, 16978,
     /* 1199093 */     GIR_EraseRootFromParent_Done,
     /* 1199094 */   // Label 17398: @1199094
     /* 1199094 */   GIM_Try, /*On fail goto*//*Label 17399*/ GIMT_Encode4(1199174), // Rule ID 16981 //
     /* 1199099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1199102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1199110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1199113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1199116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199138 */     // MIs[0] round
     /* 1199138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199148 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1199151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199173 */     // GIR_Coverage, 16981,
     /* 1199173 */     GIR_EraseRootFromParent_Done,
     /* 1199174 */   // Label 17399: @1199174
     /* 1199174 */   GIM_Try, /*On fail goto*//*Label 17400*/ GIMT_Encode4(1199254), // Rule ID 16982 //
     /* 1199179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1199182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1199190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1199193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1199196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199218 */     // MIs[0] round
     /* 1199218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199228 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1199231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199253 */     // GIR_Coverage, 16982,
     /* 1199253 */     GIR_EraseRootFromParent_Done,
     /* 1199254 */   // Label 17400: @1199254
     /* 1199254 */   GIM_Try, /*On fail goto*//*Label 17401*/ GIMT_Encode4(1199334), // Rule ID 16985 //
     /* 1199259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1199262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1199270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1199273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1199276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199298 */     // MIs[0] round
     /* 1199298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199308 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1199311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199333 */     // GIR_Coverage, 16985,
     /* 1199333 */     GIR_EraseRootFromParent_Done,
     /* 1199334 */   // Label 17401: @1199334
     /* 1199334 */   GIM_Try, /*On fail goto*//*Label 17402*/ GIMT_Encode4(1199414), // Rule ID 16986 //
     /* 1199339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1199342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1199350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1199353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1199356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199378 */     // MIs[0] round
     /* 1199378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199388 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1199391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199413 */     // GIR_Coverage, 16986,
     /* 1199413 */     GIR_EraseRootFromParent_Done,
     /* 1199414 */   // Label 17402: @1199414
     /* 1199414 */   GIM_Try, /*On fail goto*//*Label 17403*/ GIMT_Encode4(1199494), // Rule ID 16989 //
     /* 1199419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1199422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1199430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1199433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1199436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199458 */     // MIs[0] round
     /* 1199458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199468 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1199471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199493 */     // GIR_Coverage, 16989,
     /* 1199493 */     GIR_EraseRootFromParent_Done,
     /* 1199494 */   // Label 17403: @1199494
     /* 1199494 */   GIM_Try, /*On fail goto*//*Label 17404*/ GIMT_Encode4(1199574), // Rule ID 16990 //
     /* 1199499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1199502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1199507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1199510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1199513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1199516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199538 */     // MIs[0] round
     /* 1199538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199548 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1199551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199573 */     // GIR_Coverage, 16990,
     /* 1199573 */     GIR_EraseRootFromParent_Done,
     /* 1199574 */   // Label 17404: @1199574
     /* 1199574 */   GIM_Try, /*On fail goto*//*Label 17405*/ GIMT_Encode4(1199654), // Rule ID 16995 //
     /* 1199579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1199587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1199590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1199593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1199596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1199599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199618 */     // MIs[0] round
     /* 1199618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199628 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1199631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199653 */     // GIR_Coverage, 16995,
     /* 1199653 */     GIR_EraseRootFromParent_Done,
     /* 1199654 */   // Label 17405: @1199654
     /* 1199654 */   GIM_Try, /*On fail goto*//*Label 17406*/ GIMT_Encode4(1199734), // Rule ID 16996 //
     /* 1199659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1199667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1199670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1199673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1199676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1199679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199698 */     // MIs[0] round
     /* 1199698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199708 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1199711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199733 */     // GIR_Coverage, 16996,
     /* 1199733 */     GIR_EraseRootFromParent_Done,
     /* 1199734 */   // Label 17406: @1199734
     /* 1199734 */   GIM_Try, /*On fail goto*//*Label 17407*/ GIMT_Encode4(1199814), // Rule ID 17005 //
     /* 1199739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1199747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1199750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1199753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1199756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1199759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199778 */     // MIs[0] round
     /* 1199778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199788 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1199791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199813 */     // GIR_Coverage, 17005,
     /* 1199813 */     GIR_EraseRootFromParent_Done,
     /* 1199814 */   // Label 17407: @1199814
     /* 1199814 */   GIM_Try, /*On fail goto*//*Label 17408*/ GIMT_Encode4(1199894), // Rule ID 17006 //
     /* 1199819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1199827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1199830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1199833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1199836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1199839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199858 */     // MIs[0] round
     /* 1199858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199868 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1199871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199893 */     // GIR_Coverage, 17006,
     /* 1199893 */     GIR_EraseRootFromParent_Done,
     /* 1199894 */   // Label 17408: @1199894
     /* 1199894 */   GIM_Try, /*On fail goto*//*Label 17409*/ GIMT_Encode4(1199974), // Rule ID 17015 //
     /* 1199899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1199907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1199910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1199913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1199916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1199919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199938 */     // MIs[0] round
     /* 1199938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199948 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1199951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199973 */     // GIR_Coverage, 17015,
     /* 1199973 */     GIR_EraseRootFromParent_Done,
     /* 1199974 */   // Label 17409: @1199974
     /* 1199974 */   GIM_Try, /*On fail goto*//*Label 17410*/ GIMT_Encode4(1200054), // Rule ID 17016 //
     /* 1199979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1199987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1199990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1199993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1199996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1199999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200018 */     // MIs[0] round
     /* 1200018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200028 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1200031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200053 */     // GIR_Coverage, 17016,
     /* 1200053 */     GIR_EraseRootFromParent_Done,
     /* 1200054 */   // Label 17410: @1200054
     /* 1200054 */   GIM_Try, /*On fail goto*//*Label 17411*/ GIMT_Encode4(1200134), // Rule ID 17025 //
     /* 1200059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1200067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1200070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1200073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1200076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1200079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200098 */     // MIs[0] round
     /* 1200098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200108 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1200111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200133 */     // GIR_Coverage, 17025,
     /* 1200133 */     GIR_EraseRootFromParent_Done,
     /* 1200134 */   // Label 17411: @1200134
     /* 1200134 */   GIM_Try, /*On fail goto*//*Label 17412*/ GIMT_Encode4(1200214), // Rule ID 17026 //
     /* 1200139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1200147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1200150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1200153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1200156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1200159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200178 */     // MIs[0] round
     /* 1200178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200188 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1200191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200213 */     // GIR_Coverage, 17026,
     /* 1200213 */     GIR_EraseRootFromParent_Done,
     /* 1200214 */   // Label 17412: @1200214
     /* 1200214 */   GIM_Try, /*On fail goto*//*Label 17413*/ GIMT_Encode4(1200294), // Rule ID 17035 //
     /* 1200219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1200227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1200230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1200233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1200236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1200239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200258 */     // MIs[0] round
     /* 1200258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200268 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1200271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200293 */     // GIR_Coverage, 17035,
     /* 1200293 */     GIR_EraseRootFromParent_Done,
     /* 1200294 */   // Label 17413: @1200294
     /* 1200294 */   GIM_Try, /*On fail goto*//*Label 17414*/ GIMT_Encode4(1200374), // Rule ID 17036 //
     /* 1200299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1200307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1200310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1200313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1200316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1200319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200338 */     // MIs[0] round
     /* 1200338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200348 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1200351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200373 */     // GIR_Coverage, 17036,
     /* 1200373 */     GIR_EraseRootFromParent_Done,
     /* 1200374 */   // Label 17414: @1200374
     /* 1200374 */   GIM_Try, /*On fail goto*//*Label 17415*/ GIMT_Encode4(1200454), // Rule ID 17045 //
     /* 1200379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1200387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1200390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1200393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1200396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1200399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200418 */     // MIs[0] round
     /* 1200418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200428 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1200431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200453 */     // GIR_Coverage, 17045,
     /* 1200453 */     GIR_EraseRootFromParent_Done,
     /* 1200454 */   // Label 17415: @1200454
     /* 1200454 */   GIM_Try, /*On fail goto*//*Label 17416*/ GIMT_Encode4(1200534), // Rule ID 17046 //
     /* 1200459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1200467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1200470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1200473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1200476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1200479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200498 */     // MIs[0] round
     /* 1200498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200508 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1200511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200533 */     // GIR_Coverage, 17046,
     /* 1200533 */     GIR_EraseRootFromParent_Done,
     /* 1200534 */   // Label 17416: @1200534
     /* 1200534 */   GIM_Try, /*On fail goto*//*Label 17417*/ GIMT_Encode4(1200614), // Rule ID 17055 //
     /* 1200539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1200547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1200550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1200553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1200556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1200559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200578 */     // MIs[0] round
     /* 1200578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200588 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1200591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200613 */     // GIR_Coverage, 17055,
     /* 1200613 */     GIR_EraseRootFromParent_Done,
     /* 1200614 */   // Label 17417: @1200614
     /* 1200614 */   GIM_Try, /*On fail goto*//*Label 17418*/ GIMT_Encode4(1200694), // Rule ID 17056 //
     /* 1200619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1200627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1200630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1200633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1200636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1200639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200658 */     // MIs[0] round
     /* 1200658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200668 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1200671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200693 */     // GIR_Coverage, 17056,
     /* 1200693 */     GIR_EraseRootFromParent_Done,
     /* 1200694 */   // Label 17418: @1200694
     /* 1200694 */   GIM_Try, /*On fail goto*//*Label 17419*/ GIMT_Encode4(1200774), // Rule ID 17065 //
     /* 1200699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1200707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1200710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1200713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1200716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1200719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200738 */     // MIs[0] round
     /* 1200738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200748 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1200751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200773 */     // GIR_Coverage, 17065,
     /* 1200773 */     GIR_EraseRootFromParent_Done,
     /* 1200774 */   // Label 17419: @1200774
     /* 1200774 */   GIM_Try, /*On fail goto*//*Label 17420*/ GIMT_Encode4(1200854), // Rule ID 17066 //
     /* 1200779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1200787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1200790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1200793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1200796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1200799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200818 */     // MIs[0] round
     /* 1200818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200828 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1200831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200853 */     // GIR_Coverage, 17066,
     /* 1200853 */     GIR_EraseRootFromParent_Done,
     /* 1200854 */   // Label 17420: @1200854
     /* 1200854 */   GIM_Try, /*On fail goto*//*Label 17421*/ GIMT_Encode4(1200934), // Rule ID 17073 //
     /* 1200859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1200862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1200867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1200870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1200873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1200876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200898 */     // MIs[0] round
     /* 1200898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200908 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1200911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200933 */     // GIR_Coverage, 17073,
     /* 1200933 */     GIR_EraseRootFromParent_Done,
     /* 1200934 */   // Label 17421: @1200934
     /* 1200934 */   GIM_Try, /*On fail goto*//*Label 17422*/ GIMT_Encode4(1201014), // Rule ID 17074 //
     /* 1200939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1200942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1200947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1200950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1200953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1200956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200978 */     // MIs[0] round
     /* 1200978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200988 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1200991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201013 */     // GIR_Coverage, 17074,
     /* 1201013 */     GIR_EraseRootFromParent_Done,
     /* 1201014 */   // Label 17422: @1201014
     /* 1201014 */   GIM_Try, /*On fail goto*//*Label 17423*/ GIMT_Encode4(1201094), // Rule ID 17077 //
     /* 1201019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1201030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1201033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1201036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201058 */     // MIs[0] round
     /* 1201058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201068 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1201071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201093 */     // GIR_Coverage, 17077,
     /* 1201093 */     GIR_EraseRootFromParent_Done,
     /* 1201094 */   // Label 17423: @1201094
     /* 1201094 */   GIM_Try, /*On fail goto*//*Label 17424*/ GIMT_Encode4(1201174), // Rule ID 17078 //
     /* 1201099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1201110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1201113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1201116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201138 */     // MIs[0] round
     /* 1201138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201148 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1201151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201173 */     // GIR_Coverage, 17078,
     /* 1201173 */     GIR_EraseRootFromParent_Done,
     /* 1201174 */   // Label 17424: @1201174
     /* 1201174 */   GIM_Try, /*On fail goto*//*Label 17425*/ GIMT_Encode4(1201254), // Rule ID 17081 //
     /* 1201179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1201190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1201193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1201196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201218 */     // MIs[0] round
     /* 1201218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201228 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1201231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201253 */     // GIR_Coverage, 17081,
     /* 1201253 */     GIR_EraseRootFromParent_Done,
     /* 1201254 */   // Label 17425: @1201254
     /* 1201254 */   GIM_Try, /*On fail goto*//*Label 17426*/ GIMT_Encode4(1201334), // Rule ID 17082 //
     /* 1201259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1201270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1201273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1201276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201298 */     // MIs[0] round
     /* 1201298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201308 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1201311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201333 */     // GIR_Coverage, 17082,
     /* 1201333 */     GIR_EraseRootFromParent_Done,
     /* 1201334 */   // Label 17426: @1201334
     /* 1201334 */   GIM_Try, /*On fail goto*//*Label 17427*/ GIMT_Encode4(1201414), // Rule ID 17085 //
     /* 1201339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1201350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1201353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201378 */     // MIs[0] round
     /* 1201378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201388 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1201391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201413 */     // GIR_Coverage, 17085,
     /* 1201413 */     GIR_EraseRootFromParent_Done,
     /* 1201414 */   // Label 17427: @1201414
     /* 1201414 */   GIM_Try, /*On fail goto*//*Label 17428*/ GIMT_Encode4(1201494), // Rule ID 17086 //
     /* 1201419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1201430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1201433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201458 */     // MIs[0] round
     /* 1201458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201468 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1201471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201493 */     // GIR_Coverage, 17086,
     /* 1201493 */     GIR_EraseRootFromParent_Done,
     /* 1201494 */   // Label 17428: @1201494
     /* 1201494 */   GIM_Try, /*On fail goto*//*Label 17429*/ GIMT_Encode4(1201574), // Rule ID 17089 //
     /* 1201499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1201502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1201510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1201513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1201516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201538 */     // MIs[0] round
     /* 1201538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201548 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1201551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201573 */     // GIR_Coverage, 17089,
     /* 1201573 */     GIR_EraseRootFromParent_Done,
     /* 1201574 */   // Label 17429: @1201574
     /* 1201574 */   GIM_Try, /*On fail goto*//*Label 17430*/ GIMT_Encode4(1201654), // Rule ID 17090 //
     /* 1201579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1201582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1201590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1201593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1201596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201618 */     // MIs[0] round
     /* 1201618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201628 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1201631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201653 */     // GIR_Coverage, 17090,
     /* 1201653 */     GIR_EraseRootFromParent_Done,
     /* 1201654 */   // Label 17430: @1201654
     /* 1201654 */   GIM_Try, /*On fail goto*//*Label 17431*/ GIMT_Encode4(1201734), // Rule ID 17093 //
     /* 1201659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1201670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1201673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1201676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1201679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1201698 */     // MIs[0] round
     /* 1201698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201708 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1201711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201733 */     // GIR_Coverage, 17093,
     /* 1201733 */     GIR_EraseRootFromParent_Done,
     /* 1201734 */   // Label 17431: @1201734
     /* 1201734 */   GIM_Try, /*On fail goto*//*Label 17432*/ GIMT_Encode4(1201814), // Rule ID 17094 //
     /* 1201739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1201750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1201753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1201756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1201759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1201778 */     // MIs[0] round
     /* 1201778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201788 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1201791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201813 */     // GIR_Coverage, 17094,
     /* 1201813 */     GIR_EraseRootFromParent_Done,
     /* 1201814 */   // Label 17432: @1201814
     /* 1201814 */   GIM_Try, /*On fail goto*//*Label 17433*/ GIMT_Encode4(1201894), // Rule ID 17097 //
     /* 1201819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1201830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1201833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1201836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1201839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1201858 */     // MIs[0] round
     /* 1201858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201868 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1201871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201893 */     // GIR_Coverage, 17097,
     /* 1201893 */     GIR_EraseRootFromParent_Done,
     /* 1201894 */   // Label 17433: @1201894
     /* 1201894 */   GIM_Try, /*On fail goto*//*Label 17434*/ GIMT_Encode4(1201974), // Rule ID 17098 //
     /* 1201899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1201902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1201910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1201913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1201916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1201919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1201938 */     // MIs[0] round
     /* 1201938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201948 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1201951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201973 */     // GIR_Coverage, 17098,
     /* 1201973 */     GIR_EraseRootFromParent_Done,
     /* 1201974 */   // Label 17434: @1201974
     /* 1201974 */   GIM_Try, /*On fail goto*//*Label 17435*/ GIMT_Encode4(1202054), // Rule ID 17101 //
     /* 1201979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1201982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1201987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1201990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1201993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1201996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1201999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202018 */     // MIs[0] round
     /* 1202018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202028 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1202031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202053 */     // GIR_Coverage, 17101,
     /* 1202053 */     GIR_EraseRootFromParent_Done,
     /* 1202054 */   // Label 17435: @1202054
     /* 1202054 */   GIM_Try, /*On fail goto*//*Label 17436*/ GIMT_Encode4(1202134), // Rule ID 17102 //
     /* 1202059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1202070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1202073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1202076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202098 */     // MIs[0] round
     /* 1202098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202108 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1202111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202133 */     // GIR_Coverage, 17102,
     /* 1202133 */     GIR_EraseRootFromParent_Done,
     /* 1202134 */   // Label 17436: @1202134
     /* 1202134 */   GIM_Try, /*On fail goto*//*Label 17437*/ GIMT_Encode4(1202214), // Rule ID 17105 //
     /* 1202139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1202142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1202150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1202153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1202156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202178 */     // MIs[0] round
     /* 1202178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202188 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1202191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202213 */     // GIR_Coverage, 17105,
     /* 1202213 */     GIR_EraseRootFromParent_Done,
     /* 1202214 */   // Label 17437: @1202214
     /* 1202214 */   GIM_Try, /*On fail goto*//*Label 17438*/ GIMT_Encode4(1202294), // Rule ID 17106 //
     /* 1202219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1202222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1202227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1202230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1202233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1202236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202258 */     // MIs[0] round
     /* 1202258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202268 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1202271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202293 */     // GIR_Coverage, 17106,
     /* 1202293 */     GIR_EraseRootFromParent_Done,
     /* 1202294 */   // Label 17438: @1202294
     /* 1202294 */   GIM_Try, /*On fail goto*//*Label 17439*/ GIMT_Encode4(1202374), // Rule ID 17111 //
     /* 1202299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1202307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1202310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1202313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1202316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1202319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202338 */     // MIs[0] round
     /* 1202338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202348 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1202351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202373 */     // GIR_Coverage, 17111,
     /* 1202373 */     GIR_EraseRootFromParent_Done,
     /* 1202374 */   // Label 17439: @1202374
     /* 1202374 */   GIM_Try, /*On fail goto*//*Label 17440*/ GIMT_Encode4(1202454), // Rule ID 17112 //
     /* 1202379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1202387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1202390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1202393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1202396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1202399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202418 */     // MIs[0] round
     /* 1202418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202428 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1202431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202453 */     // GIR_Coverage, 17112,
     /* 1202453 */     GIR_EraseRootFromParent_Done,
     /* 1202454 */   // Label 17440: @1202454
     /* 1202454 */   GIM_Try, /*On fail goto*//*Label 17441*/ GIMT_Encode4(1202534), // Rule ID 17121 //
     /* 1202459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1202467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1202470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1202473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1202479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202498 */     // MIs[0] round
     /* 1202498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202508 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1202511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202533 */     // GIR_Coverage, 17121,
     /* 1202533 */     GIR_EraseRootFromParent_Done,
     /* 1202534 */   // Label 17441: @1202534
     /* 1202534 */   GIM_Try, /*On fail goto*//*Label 17442*/ GIMT_Encode4(1202614), // Rule ID 17122 //
     /* 1202539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1202547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1202550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1202553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1202559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202578 */     // MIs[0] round
     /* 1202578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202588 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1202591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202613 */     // GIR_Coverage, 17122,
     /* 1202613 */     GIR_EraseRootFromParent_Done,
     /* 1202614 */   // Label 17442: @1202614
     /* 1202614 */   GIM_Try, /*On fail goto*//*Label 17443*/ GIMT_Encode4(1202694), // Rule ID 17131 //
     /* 1202619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1202627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1202630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1202633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1202636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1202639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202658 */     // MIs[0] round
     /* 1202658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202668 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1202671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202693 */     // GIR_Coverage, 17131,
     /* 1202693 */     GIR_EraseRootFromParent_Done,
     /* 1202694 */   // Label 17443: @1202694
     /* 1202694 */   GIM_Try, /*On fail goto*//*Label 17444*/ GIMT_Encode4(1202774), // Rule ID 17132 //
     /* 1202699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1202707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1202710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1202713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1202716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1202719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202738 */     // MIs[0] round
     /* 1202738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202748 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1202751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202773 */     // GIR_Coverage, 17132,
     /* 1202773 */     GIR_EraseRootFromParent_Done,
     /* 1202774 */   // Label 17444: @1202774
     /* 1202774 */   GIM_Try, /*On fail goto*//*Label 17445*/ GIMT_Encode4(1202854), // Rule ID 17141 //
     /* 1202779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1202787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1202790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1202793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1202796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1202799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202818 */     // MIs[0] round
     /* 1202818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202828 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1202831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202853 */     // GIR_Coverage, 17141,
     /* 1202853 */     GIR_EraseRootFromParent_Done,
     /* 1202854 */   // Label 17445: @1202854
     /* 1202854 */   GIM_Try, /*On fail goto*//*Label 17446*/ GIMT_Encode4(1202934), // Rule ID 17142 //
     /* 1202859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1202862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1202867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1202870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1202873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1202876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1202879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202898 */     // MIs[0] round
     /* 1202898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202908 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1202911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202933 */     // GIR_Coverage, 17142,
     /* 1202933 */     GIR_EraseRootFromParent_Done,
     /* 1202934 */   // Label 17446: @1202934
     /* 1202934 */   GIM_Try, /*On fail goto*//*Label 17447*/ GIMT_Encode4(1203014), // Rule ID 17151 //
     /* 1202939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1202942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1202947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1202950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1202953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1202956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1202959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202978 */     // MIs[0] round
     /* 1202978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202988 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1202991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203013 */     // GIR_Coverage, 17151,
     /* 1203013 */     GIR_EraseRootFromParent_Done,
     /* 1203014 */   // Label 17447: @1203014
     /* 1203014 */   GIM_Try, /*On fail goto*//*Label 17448*/ GIMT_Encode4(1203094), // Rule ID 17152 //
     /* 1203019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1203030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1203033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1203036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1203039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203058 */     // MIs[0] round
     /* 1203058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203068 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1203071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203093 */     // GIR_Coverage, 17152,
     /* 1203093 */     GIR_EraseRootFromParent_Done,
     /* 1203094 */   // Label 17448: @1203094
     /* 1203094 */   GIM_Try, /*On fail goto*//*Label 17449*/ GIMT_Encode4(1203174), // Rule ID 17161 //
     /* 1203099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1203110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1203113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1203116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1203119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203138 */     // MIs[0] round
     /* 1203138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203148 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1203151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203173 */     // GIR_Coverage, 17161,
     /* 1203173 */     GIR_EraseRootFromParent_Done,
     /* 1203174 */   // Label 17449: @1203174
     /* 1203174 */   GIM_Try, /*On fail goto*//*Label 17450*/ GIMT_Encode4(1203254), // Rule ID 17162 //
     /* 1203179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1203190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1203193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1203196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1203199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203218 */     // MIs[0] round
     /* 1203218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203228 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1203231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203253 */     // GIR_Coverage, 17162,
     /* 1203253 */     GIR_EraseRootFromParent_Done,
     /* 1203254 */   // Label 17450: @1203254
     /* 1203254 */   GIM_Try, /*On fail goto*//*Label 17451*/ GIMT_Encode4(1203334), // Rule ID 17171 //
     /* 1203259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1203270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1203273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1203276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1203279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203298 */     // MIs[0] round
     /* 1203298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203308 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1203311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203333 */     // GIR_Coverage, 17171,
     /* 1203333 */     GIR_EraseRootFromParent_Done,
     /* 1203334 */   // Label 17451: @1203334
     /* 1203334 */   GIM_Try, /*On fail goto*//*Label 17452*/ GIMT_Encode4(1203414), // Rule ID 17172 //
     /* 1203339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1203350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1203353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1203356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1203359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203378 */     // MIs[0] round
     /* 1203378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203388 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1203391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203413 */     // GIR_Coverage, 17172,
     /* 1203413 */     GIR_EraseRootFromParent_Done,
     /* 1203414 */   // Label 17452: @1203414
     /* 1203414 */   GIM_Try, /*On fail goto*//*Label 17453*/ GIMT_Encode4(1203494), // Rule ID 17181 //
     /* 1203419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1203430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1203433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1203436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1203439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203458 */     // MIs[0] round
     /* 1203458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203468 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1203471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203493 */     // GIR_Coverage, 17181,
     /* 1203493 */     GIR_EraseRootFromParent_Done,
     /* 1203494 */   // Label 17453: @1203494
     /* 1203494 */   GIM_Try, /*On fail goto*//*Label 17454*/ GIMT_Encode4(1203574), // Rule ID 17182 //
     /* 1203499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1203510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1203513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1203516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1203519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203538 */     // MIs[0] round
     /* 1203538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203548 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1203551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203573 */     // GIR_Coverage, 17182,
     /* 1203573 */     GIR_EraseRootFromParent_Done,
     /* 1203574 */   // Label 17454: @1203574
     /* 1203574 */   GIM_Try, /*On fail goto*//*Label 17455*/ GIMT_Encode4(1203654), // Rule ID 17191 //
     /* 1203579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1203582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1203590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1203593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1203596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1203599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203618 */     // MIs[0] round
     /* 1203618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203628 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1203631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203653 */     // GIR_Coverage, 17191,
     /* 1203653 */     GIR_EraseRootFromParent_Done,
     /* 1203654 */   // Label 17455: @1203654
     /* 1203654 */   GIM_Try, /*On fail goto*//*Label 17456*/ GIMT_Encode4(1203734), // Rule ID 17192 //
     /* 1203659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1203662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1203670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1203673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1203676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1203679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203698 */     // MIs[0] round
     /* 1203698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203708 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1203711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203733 */     // GIR_Coverage, 17192,
     /* 1203733 */     GIR_EraseRootFromParent_Done,
     /* 1203734 */   // Label 17456: @1203734
     /* 1203734 */   GIM_Try, /*On fail goto*//*Label 17457*/ GIMT_Encode4(1203814), // Rule ID 17199 //
     /* 1203739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1203750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1203753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1203756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203778 */     // MIs[0] round
     /* 1203778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203788 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1203791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203813 */     // GIR_Coverage, 17199,
     /* 1203813 */     GIR_EraseRootFromParent_Done,
     /* 1203814 */   // Label 17457: @1203814
     /* 1203814 */   GIM_Try, /*On fail goto*//*Label 17458*/ GIMT_Encode4(1203894), // Rule ID 17200 //
     /* 1203819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1203830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1203833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1203836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203858 */     // MIs[0] round
     /* 1203858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203868 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1203871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203893 */     // GIR_Coverage, 17200,
     /* 1203893 */     GIR_EraseRootFromParent_Done,
     /* 1203894 */   // Label 17458: @1203894
     /* 1203894 */   GIM_Try, /*On fail goto*//*Label 17459*/ GIMT_Encode4(1203974), // Rule ID 17203 //
     /* 1203899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1203902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1203910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1203913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1203916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203938 */     // MIs[0] round
     /* 1203938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203948 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1203951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203973 */     // GIR_Coverage, 17203,
     /* 1203973 */     GIR_EraseRootFromParent_Done,
     /* 1203974 */   // Label 17459: @1203974
     /* 1203974 */   GIM_Try, /*On fail goto*//*Label 17460*/ GIMT_Encode4(1204054), // Rule ID 17204 //
     /* 1203979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1203982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1203987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1203990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1203993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1203996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204018 */     // MIs[0] round
     /* 1204018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204028 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1204031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204053 */     // GIR_Coverage, 17204,
     /* 1204053 */     GIR_EraseRootFromParent_Done,
     /* 1204054 */   // Label 17460: @1204054
     /* 1204054 */   GIM_Try, /*On fail goto*//*Label 17461*/ GIMT_Encode4(1204134), // Rule ID 17207 //
     /* 1204059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1204070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1204073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1204076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204098 */     // MIs[0] round
     /* 1204098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204108 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1204111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204133 */     // GIR_Coverage, 17207,
     /* 1204133 */     GIR_EraseRootFromParent_Done,
     /* 1204134 */   // Label 17461: @1204134
     /* 1204134 */   GIM_Try, /*On fail goto*//*Label 17462*/ GIMT_Encode4(1204214), // Rule ID 17208 //
     /* 1204139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1204150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1204153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1204156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204178 */     // MIs[0] round
     /* 1204178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204188 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1204191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204213 */     // GIR_Coverage, 17208,
     /* 1204213 */     GIR_EraseRootFromParent_Done,
     /* 1204214 */   // Label 17462: @1204214
     /* 1204214 */   GIM_Try, /*On fail goto*//*Label 17463*/ GIMT_Encode4(1204294), // Rule ID 17211 //
     /* 1204219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1204230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1204233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1204236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204258 */     // MIs[0] round
     /* 1204258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204268 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1204271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204293 */     // GIR_Coverage, 17211,
     /* 1204293 */     GIR_EraseRootFromParent_Done,
     /* 1204294 */   // Label 17463: @1204294
     /* 1204294 */   GIM_Try, /*On fail goto*//*Label 17464*/ GIMT_Encode4(1204374), // Rule ID 17212 //
     /* 1204299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1204310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1204313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1204316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204338 */     // MIs[0] round
     /* 1204338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204348 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1204351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204373 */     // GIR_Coverage, 17212,
     /* 1204373 */     GIR_EraseRootFromParent_Done,
     /* 1204374 */   // Label 17464: @1204374
     /* 1204374 */   GIM_Try, /*On fail goto*//*Label 17465*/ GIMT_Encode4(1204454), // Rule ID 17215 //
     /* 1204379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1204390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1204393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1204396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204418 */     // MIs[0] round
     /* 1204418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204428 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1204431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204453 */     // GIR_Coverage, 17215,
     /* 1204453 */     GIR_EraseRootFromParent_Done,
     /* 1204454 */   // Label 17465: @1204454
     /* 1204454 */   GIM_Try, /*On fail goto*//*Label 17466*/ GIMT_Encode4(1204534), // Rule ID 17216 //
     /* 1204459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1204470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1204473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1204476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204498 */     // MIs[0] round
     /* 1204498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204508 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1204511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204533 */     // GIR_Coverage, 17216,
     /* 1204533 */     GIR_EraseRootFromParent_Done,
     /* 1204534 */   // Label 17466: @1204534
     /* 1204534 */   GIM_Try, /*On fail goto*//*Label 17467*/ GIMT_Encode4(1204614), // Rule ID 17219 //
     /* 1204539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1204550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1204553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1204556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1204578 */     // MIs[0] round
     /* 1204578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204588 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1204591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204613 */     // GIR_Coverage, 17219,
     /* 1204613 */     GIR_EraseRootFromParent_Done,
     /* 1204614 */   // Label 17467: @1204614
     /* 1204614 */   GIM_Try, /*On fail goto*//*Label 17468*/ GIMT_Encode4(1204694), // Rule ID 17220 //
     /* 1204619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1204630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1204633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1204636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1204658 */     // MIs[0] round
     /* 1204658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204668 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1204671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204693 */     // GIR_Coverage, 17220,
     /* 1204693 */     GIR_EraseRootFromParent_Done,
     /* 1204694 */   // Label 17468: @1204694
     /* 1204694 */   GIM_Try, /*On fail goto*//*Label 17469*/ GIMT_Encode4(1204774), // Rule ID 17223 //
     /* 1204699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1204710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1204713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1204716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1204738 */     // MIs[0] round
     /* 1204738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204748 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1204751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204773 */     // GIR_Coverage, 17223,
     /* 1204773 */     GIR_EraseRootFromParent_Done,
     /* 1204774 */   // Label 17469: @1204774
     /* 1204774 */   GIM_Try, /*On fail goto*//*Label 17470*/ GIMT_Encode4(1204854), // Rule ID 17224 //
     /* 1204779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1204790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1204793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1204796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1204818 */     // MIs[0] round
     /* 1204818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204828 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1204831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204853 */     // GIR_Coverage, 17224,
     /* 1204853 */     GIR_EraseRootFromParent_Done,
     /* 1204854 */   // Label 17470: @1204854
     /* 1204854 */   GIM_Try, /*On fail goto*//*Label 17471*/ GIMT_Encode4(1204934), // Rule ID 17227 //
     /* 1204859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1204862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1204870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1204873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1204876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1204898 */     // MIs[0] round
     /* 1204898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204908 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1204911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204933 */     // GIR_Coverage, 17227,
     /* 1204933 */     GIR_EraseRootFromParent_Done,
     /* 1204934 */   // Label 17471: @1204934
     /* 1204934 */   GIM_Try, /*On fail goto*//*Label 17472*/ GIMT_Encode4(1205014), // Rule ID 17228 //
     /* 1204939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1204942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1204947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1204950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1204953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1204956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1204978 */     // MIs[0] round
     /* 1204978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204988 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1204991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205013 */     // GIR_Coverage, 17228,
     /* 1205013 */     GIR_EraseRootFromParent_Done,
     /* 1205014 */   // Label 17472: @1205014
     /* 1205014 */   GIM_Try, /*On fail goto*//*Label 17473*/ GIMT_Encode4(1205094), // Rule ID 17231 //
     /* 1205019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1205030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1205033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1205036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205058 */     // MIs[0] round
     /* 1205058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205068 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1205071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205093 */     // GIR_Coverage, 17231,
     /* 1205093 */     GIR_EraseRootFromParent_Done,
     /* 1205094 */   // Label 17473: @1205094
     /* 1205094 */   GIM_Try, /*On fail goto*//*Label 17474*/ GIMT_Encode4(1205174), // Rule ID 17232 //
     /* 1205099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1205107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1205110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1205113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1205116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1205138 */     // MIs[0] round
     /* 1205138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205148 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1205151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205173 */     // GIR_Coverage, 17232,
     /* 1205173 */     GIR_EraseRootFromParent_Done,
     /* 1205174 */   // Label 17474: @1205174
     /* 1205174 */   GIM_Try, /*On fail goto*//*Label 17475*/ GIMT_Encode4(1205254), // Rule ID 17235 //
     /* 1205179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1205182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1205187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1205190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1205193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1205196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1205199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205218 */     // MIs[0] round
     /* 1205218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205228 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1205231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205253 */     // GIR_Coverage, 17235,
     /* 1205253 */     GIR_EraseRootFromParent_Done,
     /* 1205254 */   // Label 17475: @1205254
     /* 1205254 */   GIM_Try, /*On fail goto*//*Label 17476*/ GIMT_Encode4(1205334), // Rule ID 17236 //
     /* 1205259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1205262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1205267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1205270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1205273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1205276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1205279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205298 */     // MIs[0] round
     /* 1205298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205308 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1205311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205333 */     // GIR_Coverage, 17236,
     /* 1205333 */     GIR_EraseRootFromParent_Done,
     /* 1205334 */   // Label 17476: @1205334
     /* 1205334 */   GIM_Try, /*On fail goto*//*Label 17477*/ GIMT_Encode4(1205414), // Rule ID 17239 //
     /* 1205339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1205342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1205347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1205350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1205353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1205356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1205359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205378 */     // MIs[0] round
     /* 1205378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205388 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1205391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205413 */     // GIR_Coverage, 17239,
     /* 1205413 */     GIR_EraseRootFromParent_Done,
     /* 1205414 */   // Label 17477: @1205414
     /* 1205414 */   GIM_Try, /*On fail goto*//*Label 17478*/ GIMT_Encode4(1205494), // Rule ID 17240 //
     /* 1205419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1205422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1205427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1205430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1205433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1205436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1205439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205458 */     // MIs[0] round
     /* 1205458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205468 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1205471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205493 */     // GIR_Coverage, 17240,
     /* 1205493 */     GIR_EraseRootFromParent_Done,
     /* 1205494 */   // Label 17478: @1205494
     /* 1205494 */   GIM_Try, /*On fail goto*//*Label 17479*/ GIMT_Encode4(1205574), // Rule ID 17243 //
     /* 1205499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1205502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1205507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1205510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1205513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1205516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1205519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205538 */     // MIs[0] round
     /* 1205538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205548 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1205551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205573 */     // GIR_Coverage, 17243,
     /* 1205573 */     GIR_EraseRootFromParent_Done,
     /* 1205574 */   // Label 17479: @1205574
     /* 1205574 */   GIM_Try, /*On fail goto*//*Label 17480*/ GIMT_Encode4(1205654), // Rule ID 17244 //
     /* 1205579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1205582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1205587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1205590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1205593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1205596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1205599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205618 */     // MIs[0] round
     /* 1205618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205628 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1205631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205653 */     // GIR_Coverage, 17244,
     /* 1205653 */     GIR_EraseRootFromParent_Done,
     /* 1205654 */   // Label 17480: @1205654
     /* 1205654 */   GIM_Try, /*On fail goto*//*Label 17481*/ GIMT_Encode4(1205734), // Rule ID 17247 //
     /* 1205659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1205662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1205667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1205670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1205673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1205676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1205679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205698 */     // MIs[0] round
     /* 1205698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205708 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1205711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205733 */     // GIR_Coverage, 17247,
     /* 1205733 */     GIR_EraseRootFromParent_Done,
     /* 1205734 */   // Label 17481: @1205734
     /* 1205734 */   GIM_Try, /*On fail goto*//*Label 17482*/ GIMT_Encode4(1205814), // Rule ID 17248 //
     /* 1205739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1205742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1205747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1205750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1205753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1205756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1205759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205778 */     // MIs[0] round
     /* 1205778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205788 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1205791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205813 */     // GIR_Coverage, 17248,
     /* 1205813 */     GIR_EraseRootFromParent_Done,
     /* 1205814 */   // Label 17482: @1205814
     /* 1205814 */   GIM_Try, /*On fail goto*//*Label 17483*/ GIMT_Encode4(1205894), // Rule ID 17251 //
     /* 1205819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1205822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1205827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1205830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1205833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1205839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205858 */     // MIs[0] round
     /* 1205858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205868 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1205871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205893 */     // GIR_Coverage, 17251,
     /* 1205893 */     GIR_EraseRootFromParent_Done,
     /* 1205894 */   // Label 17483: @1205894
     /* 1205894 */   GIM_Try, /*On fail goto*//*Label 17484*/ GIMT_Encode4(1205974), // Rule ID 17252 //
     /* 1205899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1205902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1205907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1205910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1205913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1205919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205938 */     // MIs[0] round
     /* 1205938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205948 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1205951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205973 */     // GIR_Coverage, 17252,
     /* 1205973 */     GIR_EraseRootFromParent_Done,
     /* 1205974 */   // Label 17484: @1205974
     /* 1205974 */   GIM_Try, /*On fail goto*//*Label 17485*/ GIMT_Encode4(1206054), // Rule ID 17255 //
     /* 1205979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1205982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1205987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1205990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1205993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1205996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1205999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206018 */     // MIs[0] round
     /* 1206018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206028 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1206031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1206049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206053 */     // GIR_Coverage, 17255,
     /* 1206053 */     GIR_EraseRootFromParent_Done,
     /* 1206054 */   // Label 17485: @1206054
     /* 1206054 */   GIM_Try, /*On fail goto*//*Label 17486*/ GIMT_Encode4(1206134), // Rule ID 17256 //
     /* 1206059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1206062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1206070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1206073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1206076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1206079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206098 */     // MIs[0] round
     /* 1206098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206108 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1206111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1206129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206133 */     // GIR_Coverage, 17256,
     /* 1206133 */     GIR_EraseRootFromParent_Done,
     /* 1206134 */   // Label 17486: @1206134
     /* 1206134 */   GIM_Try, /*On fail goto*//*Label 17487*/ GIMT_Encode4(1206214), // Rule ID 17259 //
     /* 1206139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1206142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1206150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1206153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1206156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1206159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206178 */     // MIs[0] round
     /* 1206178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206188 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1206191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206213 */     // GIR_Coverage, 17259,
     /* 1206213 */     GIR_EraseRootFromParent_Done,
     /* 1206214 */   // Label 17487: @1206214
     /* 1206214 */   GIM_Try, /*On fail goto*//*Label 17488*/ GIMT_Encode4(1206294), // Rule ID 17260 //
     /* 1206219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1206222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1206230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1206233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1206236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1206239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206258 */     // MIs[0] round
     /* 1206258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206268 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1206271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206293 */     // GIR_Coverage, 17260,
     /* 1206293 */     GIR_EraseRootFromParent_Done,
     /* 1206294 */   // Label 17488: @1206294
     /* 1206294 */   GIM_Try, /*On fail goto*//*Label 17489*/ GIMT_Encode4(1206374), // Rule ID 17263 //
     /* 1206299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1206302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1206310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1206313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1206316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1206319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206338 */     // MIs[0] round
     /* 1206338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206348 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1206351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206373 */     // GIR_Coverage, 17263,
     /* 1206373 */     GIR_EraseRootFromParent_Done,
     /* 1206374 */   // Label 17489: @1206374
     /* 1206374 */   GIM_Try, /*On fail goto*//*Label 17490*/ GIMT_Encode4(1206454), // Rule ID 17264 //
     /* 1206379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1206382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1206390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1206393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1206396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1206399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206418 */     // MIs[0] round
     /* 1206418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206428 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1206431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206453 */     // GIR_Coverage, 17264,
     /* 1206453 */     GIR_EraseRootFromParent_Done,
     /* 1206454 */   // Label 17490: @1206454
     /* 1206454 */   GIM_Try, /*On fail goto*//*Label 17491*/ GIMT_Encode4(1206534), // Rule ID 17267 //
     /* 1206459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1206462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1206470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1206473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1206476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1206479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206498 */     // MIs[0] round
     /* 1206498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206508 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1206511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206533 */     // GIR_Coverage, 17267,
     /* 1206533 */     GIR_EraseRootFromParent_Done,
     /* 1206534 */   // Label 17491: @1206534
     /* 1206534 */   GIM_Try, /*On fail goto*//*Label 17492*/ GIMT_Encode4(1206614), // Rule ID 17268 //
     /* 1206539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1206542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1206550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1206553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1206556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1206559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206578 */     // MIs[0] round
     /* 1206578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206588 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1206591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206613 */     // GIR_Coverage, 17268,
     /* 1206613 */     GIR_EraseRootFromParent_Done,
     /* 1206614 */   // Label 17492: @1206614
     /* 1206614 */   GIM_Try, /*On fail goto*//*Label 17493*/ GIMT_Encode4(1206694), // Rule ID 17271 //
     /* 1206619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1206622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1206630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1206633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1206636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1206639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206658 */     // MIs[0] round
     /* 1206658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206668 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1206671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206693 */     // GIR_Coverage, 17271,
     /* 1206693 */     GIR_EraseRootFromParent_Done,
     /* 1206694 */   // Label 17493: @1206694
     /* 1206694 */   GIM_Try, /*On fail goto*//*Label 17494*/ GIMT_Encode4(1206774), // Rule ID 17272 //
     /* 1206699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1206702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1206710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1206713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1206716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1206719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206738 */     // MIs[0] round
     /* 1206738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206748 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1206751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206773 */     // GIR_Coverage, 17272,
     /* 1206773 */     GIR_EraseRootFromParent_Done,
     /* 1206774 */   // Label 17494: @1206774
     /* 1206774 */   GIM_Try, /*On fail goto*//*Label 17495*/ GIMT_Encode4(1206854), // Rule ID 17275 //
     /* 1206779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1206782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1206790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1206793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1206796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1206799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206818 */     // MIs[0] round
     /* 1206818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206828 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1206831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206853 */     // GIR_Coverage, 17275,
     /* 1206853 */     GIR_EraseRootFromParent_Done,
     /* 1206854 */   // Label 17495: @1206854
     /* 1206854 */   GIM_Try, /*On fail goto*//*Label 17496*/ GIMT_Encode4(1206934), // Rule ID 17276 //
     /* 1206859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1206862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1206870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1206873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1206876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1206879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206898 */     // MIs[0] round
     /* 1206898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206908 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1206911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206933 */     // GIR_Coverage, 17276,
     /* 1206933 */     GIR_EraseRootFromParent_Done,
     /* 1206934 */   // Label 17496: @1206934
     /* 1206934 */   GIM_Try, /*On fail goto*//*Label 17497*/ GIMT_Encode4(1207014), // Rule ID 17279 //
     /* 1206939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1206942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1206947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1206950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1206953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1206956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1206959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206978 */     // MIs[0] round
     /* 1206978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206988 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1206991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207013 */     // GIR_Coverage, 17279,
     /* 1207013 */     GIR_EraseRootFromParent_Done,
     /* 1207014 */   // Label 17497: @1207014
     /* 1207014 */   GIM_Try, /*On fail goto*//*Label 17498*/ GIMT_Encode4(1207094), // Rule ID 17280 //
     /* 1207019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1207022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1207030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1207033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1207036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1207039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207058 */     // MIs[0] round
     /* 1207058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207068 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1207071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207093 */     // GIR_Coverage, 17280,
     /* 1207093 */     GIR_EraseRootFromParent_Done,
     /* 1207094 */   // Label 17498: @1207094
     /* 1207094 */   GIM_Try, /*On fail goto*//*Label 17499*/ GIMT_Encode4(1207174), // Rule ID 17283 //
     /* 1207099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1207102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1207110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1207113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1207116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1207119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207138 */     // MIs[0] round
     /* 1207138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207148 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1207151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207173 */     // GIR_Coverage, 17283,
     /* 1207173 */     GIR_EraseRootFromParent_Done,
     /* 1207174 */   // Label 17499: @1207174
     /* 1207174 */   GIM_Try, /*On fail goto*//*Label 17500*/ GIMT_Encode4(1207254), // Rule ID 17284 //
     /* 1207179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1207182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1207190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1207193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1207196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1207199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207218 */     // MIs[0] round
     /* 1207218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207228 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1207231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207253 */     // GIR_Coverage, 17284,
     /* 1207253 */     GIR_EraseRootFromParent_Done,
     /* 1207254 */   // Label 17500: @1207254
     /* 1207254 */   GIM_Try, /*On fail goto*//*Label 17501*/ GIMT_Encode4(1207334), // Rule ID 17287 //
     /* 1207259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1207262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1207270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1207273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1207276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1207279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207298 */     // MIs[0] round
     /* 1207298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207308 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1207311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207333 */     // GIR_Coverage, 17287,
     /* 1207333 */     GIR_EraseRootFromParent_Done,
     /* 1207334 */   // Label 17501: @1207334
     /* 1207334 */   GIM_Try, /*On fail goto*//*Label 17502*/ GIMT_Encode4(1207414), // Rule ID 17288 //
     /* 1207339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1207342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1207350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1207353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1207356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1207359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207378 */     // MIs[0] round
     /* 1207378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207388 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1207391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207413 */     // GIR_Coverage, 17288,
     /* 1207413 */     GIR_EraseRootFromParent_Done,
     /* 1207414 */   // Label 17502: @1207414
     /* 1207414 */   GIM_Try, /*On fail goto*//*Label 17503*/ GIMT_Encode4(1207494), // Rule ID 17291 //
     /* 1207419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1207422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1207430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1207433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1207436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1207439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207458 */     // MIs[0] round
     /* 1207458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207468 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1207471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207493 */     // GIR_Coverage, 17291,
     /* 1207493 */     GIR_EraseRootFromParent_Done,
     /* 1207494 */   // Label 17503: @1207494
     /* 1207494 */   GIM_Try, /*On fail goto*//*Label 17504*/ GIMT_Encode4(1207574), // Rule ID 17292 //
     /* 1207499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1207502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1207510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1207513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1207516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1207519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207538 */     // MIs[0] round
     /* 1207538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207548 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1207551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207573 */     // GIR_Coverage, 17292,
     /* 1207573 */     GIR_EraseRootFromParent_Done,
     /* 1207574 */   // Label 17504: @1207574
     /* 1207574 */   GIM_Try, /*On fail goto*//*Label 17505*/ GIMT_Encode4(1207654), // Rule ID 17295 //
     /* 1207579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1207582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1207590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1207593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1207596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207618 */     // MIs[0] round
     /* 1207618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207628 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1207631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207653 */     // GIR_Coverage, 17295,
     /* 1207653 */     GIR_EraseRootFromParent_Done,
     /* 1207654 */   // Label 17505: @1207654
     /* 1207654 */   GIM_Try, /*On fail goto*//*Label 17506*/ GIMT_Encode4(1207734), // Rule ID 17296 //
     /* 1207659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1207662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1207670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1207673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1207676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207698 */     // MIs[0] round
     /* 1207698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207708 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1207711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207733 */     // GIR_Coverage, 17296,
     /* 1207733 */     GIR_EraseRootFromParent_Done,
     /* 1207734 */   // Label 17506: @1207734
     /* 1207734 */   GIM_Try, /*On fail goto*//*Label 17507*/ GIMT_Encode4(1207814), // Rule ID 17299 //
     /* 1207739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1207742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1207750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1207753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1207756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207778 */     // MIs[0] round
     /* 1207778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207788 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1207791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207813 */     // GIR_Coverage, 17299,
     /* 1207813 */     GIR_EraseRootFromParent_Done,
     /* 1207814 */   // Label 17507: @1207814
     /* 1207814 */   GIM_Try, /*On fail goto*//*Label 17508*/ GIMT_Encode4(1207894), // Rule ID 17300 //
     /* 1207819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1207822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1207830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1207833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1207836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207858 */     // MIs[0] round
     /* 1207858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207868 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1207871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207893 */     // GIR_Coverage, 17300,
     /* 1207893 */     GIR_EraseRootFromParent_Done,
     /* 1207894 */   // Label 17508: @1207894
     /* 1207894 */   GIM_Try, /*On fail goto*//*Label 17509*/ GIMT_Encode4(1207974), // Rule ID 17303 //
     /* 1207899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1207902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1207910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1207913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1207916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1207919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1207938 */     // MIs[0] round
     /* 1207938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207948 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1207951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207973 */     // GIR_Coverage, 17303,
     /* 1207973 */     GIR_EraseRootFromParent_Done,
     /* 1207974 */   // Label 17509: @1207974
     /* 1207974 */   GIM_Try, /*On fail goto*//*Label 17510*/ GIMT_Encode4(1208054), // Rule ID 17304 //
     /* 1207979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1207982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1207987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1207990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1207993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1207996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1207999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208018 */     // MIs[0] round
     /* 1208018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208028 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1208031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208053 */     // GIR_Coverage, 17304,
     /* 1208053 */     GIR_EraseRootFromParent_Done,
     /* 1208054 */   // Label 17510: @1208054
     /* 1208054 */   GIM_Try, /*On fail goto*//*Label 17511*/ GIMT_Encode4(1208134), // Rule ID 17307 //
     /* 1208059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1208062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1208070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1208073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1208076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208098 */     // MIs[0] round
     /* 1208098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208108 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1208111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208133 */     // GIR_Coverage, 17307,
     /* 1208133 */     GIR_EraseRootFromParent_Done,
     /* 1208134 */   // Label 17511: @1208134
     /* 1208134 */   GIM_Try, /*On fail goto*//*Label 17512*/ GIMT_Encode4(1208214), // Rule ID 17308 //
     /* 1208139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1208142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1208150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1208153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1208156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208178 */     // MIs[0] round
     /* 1208178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208188 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1208191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208213 */     // GIR_Coverage, 17308,
     /* 1208213 */     GIR_EraseRootFromParent_Done,
     /* 1208214 */   // Label 17512: @1208214
     /* 1208214 */   GIM_Try, /*On fail goto*//*Label 17513*/ GIMT_Encode4(1208294), // Rule ID 17311 //
     /* 1208219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1208222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1208230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1208233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1208236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1208239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208258 */     // MIs[0] round
     /* 1208258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208268 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1208271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208293 */     // GIR_Coverage, 17311,
     /* 1208293 */     GIR_EraseRootFromParent_Done,
     /* 1208294 */   // Label 17513: @1208294
     /* 1208294 */   GIM_Try, /*On fail goto*//*Label 17514*/ GIMT_Encode4(1208374), // Rule ID 17312 //
     /* 1208299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1208302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1208310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1208313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1208316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1208319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208338 */     // MIs[0] round
     /* 1208338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208348 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1208351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208373 */     // GIR_Coverage, 17312,
     /* 1208373 */     GIR_EraseRootFromParent_Done,
     /* 1208374 */   // Label 17514: @1208374
     /* 1208374 */   GIM_Try, /*On fail goto*//*Label 17515*/ GIMT_Encode4(1208454), // Rule ID 17315 //
     /* 1208379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1208382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1208390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1208393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1208396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1208399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1208418 */     // MIs[0] round
     /* 1208418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208428 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1208431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208453 */     // GIR_Coverage, 17315,
     /* 1208453 */     GIR_EraseRootFromParent_Done,
     /* 1208454 */   // Label 17515: @1208454
     /* 1208454 */   GIM_Try, /*On fail goto*//*Label 17516*/ GIMT_Encode4(1208534), // Rule ID 17316 //
     /* 1208459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1208462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1208470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1208473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1208476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1208479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1208498 */     // MIs[0] round
     /* 1208498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208508 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1208511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208533 */     // GIR_Coverage, 17316,
     /* 1208533 */     GIR_EraseRootFromParent_Done,
     /* 1208534 */   // Label 17516: @1208534
     /* 1208534 */   GIM_Try, /*On fail goto*//*Label 17517*/ GIMT_Encode4(1208614), // Rule ID 17319 //
     /* 1208539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1208542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1208550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1208553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1208556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208578 */     // MIs[0] round
     /* 1208578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208588 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1208591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208613 */     // GIR_Coverage, 17319,
     /* 1208613 */     GIR_EraseRootFromParent_Done,
     /* 1208614 */   // Label 17517: @1208614
     /* 1208614 */   GIM_Try, /*On fail goto*//*Label 17518*/ GIMT_Encode4(1208694), // Rule ID 17320 //
     /* 1208619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1208622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1208630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1208633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1208636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208658 */     // MIs[0] round
     /* 1208658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208668 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1208671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208693 */     // GIR_Coverage, 17320,
     /* 1208693 */     GIR_EraseRootFromParent_Done,
     /* 1208694 */   // Label 17518: @1208694
     /* 1208694 */   GIM_Try, /*On fail goto*//*Label 17519*/ GIMT_Encode4(1208774), // Rule ID 17323 //
     /* 1208699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1208702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1208710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1208713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1208716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208738 */     // MIs[0] round
     /* 1208738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208748 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1208751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208773 */     // GIR_Coverage, 17323,
     /* 1208773 */     GIR_EraseRootFromParent_Done,
     /* 1208774 */   // Label 17519: @1208774
     /* 1208774 */   GIM_Try, /*On fail goto*//*Label 17520*/ GIMT_Encode4(1208854), // Rule ID 17324 //
     /* 1208779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1208782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1208790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1208793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1208796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208818 */     // MIs[0] round
     /* 1208818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208828 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1208831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208853 */     // GIR_Coverage, 17324,
     /* 1208853 */     GIR_EraseRootFromParent_Done,
     /* 1208854 */   // Label 17520: @1208854
     /* 1208854 */   GIM_Try, /*On fail goto*//*Label 17521*/ GIMT_Encode4(1208934), // Rule ID 17327 //
     /* 1208859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1208862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1208870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1208873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1208876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208898 */     // MIs[0] round
     /* 1208898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208908 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1208911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208933 */     // GIR_Coverage, 17327,
     /* 1208933 */     GIR_EraseRootFromParent_Done,
     /* 1208934 */   // Label 17521: @1208934
     /* 1208934 */   GIM_Try, /*On fail goto*//*Label 17522*/ GIMT_Encode4(1209014), // Rule ID 17328 //
     /* 1208939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1208942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1208947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1208950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1208953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1208956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208978 */     // MIs[0] round
     /* 1208978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208988 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1208991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209013 */     // GIR_Coverage, 17328,
     /* 1209013 */     GIR_EraseRootFromParent_Done,
     /* 1209014 */   // Label 17522: @1209014
     /* 1209014 */   GIM_Try, /*On fail goto*//*Label 17523*/ GIMT_Encode4(1209094), // Rule ID 17331 //
     /* 1209019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1209022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1209030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1209033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1209036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209058 */     // MIs[0] round
     /* 1209058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209068 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1209071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209093 */     // GIR_Coverage, 17331,
     /* 1209093 */     GIR_EraseRootFromParent_Done,
     /* 1209094 */   // Label 17523: @1209094
     /* 1209094 */   GIM_Try, /*On fail goto*//*Label 17524*/ GIMT_Encode4(1209174), // Rule ID 17332 //
     /* 1209099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1209102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1209110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1209113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1209116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209138 */     // MIs[0] round
     /* 1209138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209148 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1209151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209173 */     // GIR_Coverage, 17332,
     /* 1209173 */     GIR_EraseRootFromParent_Done,
     /* 1209174 */   // Label 17524: @1209174
     /* 1209174 */   GIM_Try, /*On fail goto*//*Label 17525*/ GIMT_Encode4(1209254), // Rule ID 17335 //
     /* 1209179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1209182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1209190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1209193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1209196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209218 */     // MIs[0] round
     /* 1209218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209228 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1209231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209253 */     // GIR_Coverage, 17335,
     /* 1209253 */     GIR_EraseRootFromParent_Done,
     /* 1209254 */   // Label 17525: @1209254
     /* 1209254 */   GIM_Try, /*On fail goto*//*Label 17526*/ GIMT_Encode4(1209334), // Rule ID 17336 //
     /* 1209259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1209262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1209270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1209273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1209276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209298 */     // MIs[0] round
     /* 1209298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209308 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1209311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209333 */     // GIR_Coverage, 17336,
     /* 1209333 */     GIR_EraseRootFromParent_Done,
     /* 1209334 */   // Label 17526: @1209334
     /* 1209334 */   GIM_Try, /*On fail goto*//*Label 17527*/ GIMT_Encode4(1209414), // Rule ID 17339 //
     /* 1209339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1209342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1209350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1209353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1209356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209378 */     // MIs[0] round
     /* 1209378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209388 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1209391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209413 */     // GIR_Coverage, 17339,
     /* 1209413 */     GIR_EraseRootFromParent_Done,
     /* 1209414 */   // Label 17527: @1209414
     /* 1209414 */   GIM_Try, /*On fail goto*//*Label 17528*/ GIMT_Encode4(1209494), // Rule ID 17340 //
     /* 1209419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1209422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1209430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1209433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1209436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209458 */     // MIs[0] round
     /* 1209458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209468 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1209471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209493 */     // GIR_Coverage, 17340,
     /* 1209493 */     GIR_EraseRootFromParent_Done,
     /* 1209494 */   // Label 17528: @1209494
     /* 1209494 */   GIM_Try, /*On fail goto*//*Label 17529*/ GIMT_Encode4(1209574), // Rule ID 17343 //
     /* 1209499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1209502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1209510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1209513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1209516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1209519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1209538 */     // MIs[0] round
     /* 1209538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209548 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1209551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209573 */     // GIR_Coverage, 17343,
     /* 1209573 */     GIR_EraseRootFromParent_Done,
     /* 1209574 */   // Label 17529: @1209574
     /* 1209574 */   GIM_Try, /*On fail goto*//*Label 17530*/ GIMT_Encode4(1209654), // Rule ID 17344 //
     /* 1209579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1209582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1209590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1209593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1209596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1209599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1209618 */     // MIs[0] round
     /* 1209618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209628 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1209631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209653 */     // GIR_Coverage, 17344,
     /* 1209653 */     GIR_EraseRootFromParent_Done,
     /* 1209654 */   // Label 17530: @1209654
     /* 1209654 */   GIM_Try, /*On fail goto*//*Label 17531*/ GIMT_Encode4(1209734), // Rule ID 17347 //
     /* 1209659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1209662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1209670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1209673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1209676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1209679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1209698 */     // MIs[0] round
     /* 1209698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209708 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1209711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209733 */     // GIR_Coverage, 17347,
     /* 1209733 */     GIR_EraseRootFromParent_Done,
     /* 1209734 */   // Label 17531: @1209734
     /* 1209734 */   GIM_Try, /*On fail goto*//*Label 17532*/ GIMT_Encode4(1209814), // Rule ID 17348 //
     /* 1209739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1209742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1209750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1209753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1209756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1209759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1209778 */     // MIs[0] round
     /* 1209778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209788 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1209791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209813 */     // GIR_Coverage, 17348,
     /* 1209813 */     GIR_EraseRootFromParent_Done,
     /* 1209814 */   // Label 17532: @1209814
     /* 1209814 */   GIM_Try, /*On fail goto*//*Label 17533*/ GIMT_Encode4(1209894), // Rule ID 17351 //
     /* 1209819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1209822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1209830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1209833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1209836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1209839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1209858 */     // MIs[0] round
     /* 1209858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209868 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1209871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209893 */     // GIR_Coverage, 17351,
     /* 1209893 */     GIR_EraseRootFromParent_Done,
     /* 1209894 */   // Label 17533: @1209894
     /* 1209894 */   GIM_Try, /*On fail goto*//*Label 17534*/ GIMT_Encode4(1209974), // Rule ID 17352 //
     /* 1209899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1209902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1209907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1209910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1209913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1209916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1209919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1209938 */     // MIs[0] round
     /* 1209938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209948 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1209951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209973 */     // GIR_Coverage, 17352,
     /* 1209973 */     GIR_EraseRootFromParent_Done,
     /* 1209974 */   // Label 17534: @1209974
     /* 1209974 */   GIM_Try, /*On fail goto*//*Label 17535*/ GIMT_Encode4(1210054), // Rule ID 17355 //
     /* 1209979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1209982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1209987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1209990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1209993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1209996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1209999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210018 */     // MIs[0] round
     /* 1210018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210028 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1210031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210053 */     // GIR_Coverage, 17355,
     /* 1210053 */     GIR_EraseRootFromParent_Done,
     /* 1210054 */   // Label 17535: @1210054
     /* 1210054 */   GIM_Try, /*On fail goto*//*Label 17536*/ GIMT_Encode4(1210134), // Rule ID 17356 //
     /* 1210059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1210062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1210067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1210070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1210073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1210076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1210079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210098 */     // MIs[0] round
     /* 1210098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210108 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1210111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210133 */     // GIR_Coverage, 17356,
     /* 1210133 */     GIR_EraseRootFromParent_Done,
     /* 1210134 */   // Label 17536: @1210134
     /* 1210134 */   GIM_Try, /*On fail goto*//*Label 17537*/ GIMT_Encode4(1210214), // Rule ID 17359 //
     /* 1210139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1210142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1210147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1210150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1210153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1210156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1210159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210178 */     // MIs[0] round
     /* 1210178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210188 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1210191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210213 */     // GIR_Coverage, 17359,
     /* 1210213 */     GIR_EraseRootFromParent_Done,
     /* 1210214 */   // Label 17537: @1210214
     /* 1210214 */   GIM_Try, /*On fail goto*//*Label 17538*/ GIMT_Encode4(1210294), // Rule ID 17360 //
     /* 1210219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1210222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1210227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1210230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1210233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1210236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1210239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210258 */     // MIs[0] round
     /* 1210258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210268 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1210271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210293 */     // GIR_Coverage, 17360,
     /* 1210293 */     GIR_EraseRootFromParent_Done,
     /* 1210294 */   // Label 17538: @1210294
     /* 1210294 */   GIM_Try, /*On fail goto*//*Label 17539*/ GIMT_Encode4(1210374), // Rule ID 17363 //
     /* 1210299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1210302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1210307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1210310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1210313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1210316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1210319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210338 */     // MIs[0] round
     /* 1210338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210348 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1210351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210373 */     // GIR_Coverage, 17363,
     /* 1210373 */     GIR_EraseRootFromParent_Done,
     /* 1210374 */   // Label 17539: @1210374
     /* 1210374 */   GIM_Try, /*On fail goto*//*Label 17540*/ GIMT_Encode4(1210454), // Rule ID 17364 //
     /* 1210379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1210382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1210387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1210390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1210393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1210396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1210399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210418 */     // MIs[0] round
     /* 1210418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210428 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1210431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210453 */     // GIR_Coverage, 17364,
     /* 1210453 */     GIR_EraseRootFromParent_Done,
     /* 1210454 */   // Label 17540: @1210454
     /* 1210454 */   GIM_Try, /*On fail goto*//*Label 17541*/ GIMT_Encode4(1210534), // Rule ID 17367 //
     /* 1210459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1210462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1210467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1210470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1210473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1210476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1210479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210498 */     // MIs[0] round
     /* 1210498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210508 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1210511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210533 */     // GIR_Coverage, 17367,
     /* 1210533 */     GIR_EraseRootFromParent_Done,
     /* 1210534 */   // Label 17541: @1210534
     /* 1210534 */   GIM_Try, /*On fail goto*//*Label 17542*/ GIMT_Encode4(1210614), // Rule ID 17368 //
     /* 1210539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1210542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1210547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1210550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1210553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1210556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1210559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210578 */     // MIs[0] round
     /* 1210578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210588 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1210591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210613 */     // GIR_Coverage, 17368,
     /* 1210613 */     GIR_EraseRootFromParent_Done,
     /* 1210614 */   // Label 17542: @1210614
     /* 1210614 */   GIM_Try, /*On fail goto*//*Label 17543*/ GIMT_Encode4(1210694), // Rule ID 17371 //
     /* 1210619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1210622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1210627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1210630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1210633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1210636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1210639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210658 */     // MIs[0] round
     /* 1210658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210668 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1210671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210693 */     // GIR_Coverage, 17371,
     /* 1210693 */     GIR_EraseRootFromParent_Done,
     /* 1210694 */   // Label 17543: @1210694
     /* 1210694 */   GIM_Try, /*On fail goto*//*Label 17544*/ GIMT_Encode4(1210774), // Rule ID 17372 //
     /* 1210699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1210702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1210707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1210710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1210713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1210716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1210719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210738 */     // MIs[0] round
     /* 1210738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210748 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1210751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210773 */     // GIR_Coverage, 17372,
     /* 1210773 */     GIR_EraseRootFromParent_Done,
     /* 1210774 */   // Label 17544: @1210774
     /* 1210774 */   GIM_Try, /*On fail goto*//*Label 17545*/ GIMT_Encode4(1210854), // Rule ID 17375 //
     /* 1210779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1210782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1210787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1210790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1210793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1210796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1210799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210818 */     // MIs[0] round
     /* 1210818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210828 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1210831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210853 */     // GIR_Coverage, 17375,
     /* 1210853 */     GIR_EraseRootFromParent_Done,
     /* 1210854 */   // Label 17545: @1210854
     /* 1210854 */   GIM_Try, /*On fail goto*//*Label 17546*/ GIMT_Encode4(1210934), // Rule ID 17376 //
     /* 1210859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1210862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1210867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1210870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1210873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1210876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1210879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210898 */     // MIs[0] round
     /* 1210898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210908 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1210911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210933 */     // GIR_Coverage, 17376,
     /* 1210933 */     GIR_EraseRootFromParent_Done,
     /* 1210934 */   // Label 17546: @1210934
     /* 1210934 */   GIM_Try, /*On fail goto*//*Label 17547*/ GIMT_Encode4(1211014), // Rule ID 17379 //
     /* 1210939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1210942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1210947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1210950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1210953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1210956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1210959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210978 */     // MIs[0] round
     /* 1210978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210988 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1210991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211013 */     // GIR_Coverage, 17379,
     /* 1211013 */     GIR_EraseRootFromParent_Done,
     /* 1211014 */   // Label 17547: @1211014
     /* 1211014 */   GIM_Try, /*On fail goto*//*Label 17548*/ GIMT_Encode4(1211094), // Rule ID 17380 //
     /* 1211019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1211030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1211033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1211036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1211039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211058 */     // MIs[0] round
     /* 1211058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211068 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1211071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211093 */     // GIR_Coverage, 17380,
     /* 1211093 */     GIR_EraseRootFromParent_Done,
     /* 1211094 */   // Label 17548: @1211094
     /* 1211094 */   GIM_Try, /*On fail goto*//*Label 17549*/ GIMT_Encode4(1211174), // Rule ID 17383 //
     /* 1211099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1211110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1211113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1211116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1211119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211138 */     // MIs[0] round
     /* 1211138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211148 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1211151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211173 */     // GIR_Coverage, 17383,
     /* 1211173 */     GIR_EraseRootFromParent_Done,
     /* 1211174 */   // Label 17549: @1211174
     /* 1211174 */   GIM_Try, /*On fail goto*//*Label 17550*/ GIMT_Encode4(1211254), // Rule ID 17384 //
     /* 1211179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1211190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1211193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1211196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1211199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211218 */     // MIs[0] round
     /* 1211218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211228 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1211231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211253 */     // GIR_Coverage, 17384,
     /* 1211253 */     GIR_EraseRootFromParent_Done,
     /* 1211254 */   // Label 17550: @1211254
     /* 1211254 */   GIM_Try, /*On fail goto*//*Label 17551*/ GIMT_Encode4(1211334), // Rule ID 17387 //
     /* 1211259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1211270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1211273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1211276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1211279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211298 */     // MIs[0] round
     /* 1211298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211308 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1211311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211333 */     // GIR_Coverage, 17387,
     /* 1211333 */     GIR_EraseRootFromParent_Done,
     /* 1211334 */   // Label 17551: @1211334
     /* 1211334 */   GIM_Try, /*On fail goto*//*Label 17552*/ GIMT_Encode4(1211414), // Rule ID 17388 //
     /* 1211339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1211350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1211353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1211356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1211359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211378 */     // MIs[0] round
     /* 1211378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211388 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1211391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211413 */     // GIR_Coverage, 17388,
     /* 1211413 */     GIR_EraseRootFromParent_Done,
     /* 1211414 */   // Label 17552: @1211414
     /* 1211414 */   GIM_Try, /*On fail goto*//*Label 17553*/ GIMT_Encode4(1211494), // Rule ID 17391 //
     /* 1211419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1211422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1211430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1211433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1211436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1211439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211458 */     // MIs[0] round
     /* 1211458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211468 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1211471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211493 */     // GIR_Coverage, 17391,
     /* 1211493 */     GIR_EraseRootFromParent_Done,
     /* 1211494 */   // Label 17553: @1211494
     /* 1211494 */   GIM_Try, /*On fail goto*//*Label 17554*/ GIMT_Encode4(1211574), // Rule ID 17392 //
     /* 1211499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1211502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1211510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1211513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1211516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1211519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211538 */     // MIs[0] round
     /* 1211538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211548 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1211551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211573 */     // GIR_Coverage, 17392,
     /* 1211573 */     GIR_EraseRootFromParent_Done,
     /* 1211574 */   // Label 17554: @1211574
     /* 1211574 */   GIM_Try, /*On fail goto*//*Label 17555*/ GIMT_Encode4(1211654), // Rule ID 17395 //
     /* 1211579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1211582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1211590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1211593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1211596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1211599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211618 */     // MIs[0] round
     /* 1211618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211628 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1211631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211653 */     // GIR_Coverage, 17395,
     /* 1211653 */     GIR_EraseRootFromParent_Done,
     /* 1211654 */   // Label 17555: @1211654
     /* 1211654 */   GIM_Try, /*On fail goto*//*Label 17556*/ GIMT_Encode4(1211734), // Rule ID 17396 //
     /* 1211659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1211662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1211670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1211673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1211676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1211679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211698 */     // MIs[0] round
     /* 1211698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211708 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1211711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211733 */     // GIR_Coverage, 17396,
     /* 1211733 */     GIR_EraseRootFromParent_Done,
     /* 1211734 */   // Label 17556: @1211734
     /* 1211734 */   GIM_Try, /*On fail goto*//*Label 17557*/ GIMT_Encode4(1211814), // Rule ID 17399 //
     /* 1211739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1211742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1211750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1211753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1211756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1211759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211778 */     // MIs[0] round
     /* 1211778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211788 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1211791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211813 */     // GIR_Coverage, 17399,
     /* 1211813 */     GIR_EraseRootFromParent_Done,
     /* 1211814 */   // Label 17557: @1211814
     /* 1211814 */   GIM_Try, /*On fail goto*//*Label 17558*/ GIMT_Encode4(1211894), // Rule ID 17400 //
     /* 1211819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1211822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1211830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1211833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1211836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1211839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211858 */     // MIs[0] round
     /* 1211858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211868 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1211871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211893 */     // GIR_Coverage, 17400,
     /* 1211893 */     GIR_EraseRootFromParent_Done,
     /* 1211894 */   // Label 17558: @1211894
     /* 1211894 */   GIM_Try, /*On fail goto*//*Label 17559*/ GIMT_Encode4(1211974), // Rule ID 17403 //
     /* 1211899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1211902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1211910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1211913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1211916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1211919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211938 */     // MIs[0] round
     /* 1211938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211948 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1211951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211973 */     // GIR_Coverage, 17403,
     /* 1211973 */     GIR_EraseRootFromParent_Done,
     /* 1211974 */   // Label 17559: @1211974
     /* 1211974 */   GIM_Try, /*On fail goto*//*Label 17560*/ GIMT_Encode4(1212054), // Rule ID 17404 //
     /* 1211979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1211982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1211987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1211990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1211993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1211996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1211999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212018 */     // MIs[0] round
     /* 1212018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212028 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1212031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212053 */     // GIR_Coverage, 17404,
     /* 1212053 */     GIR_EraseRootFromParent_Done,
     /* 1212054 */   // Label 17560: @1212054
     /* 1212054 */   GIM_Try, /*On fail goto*//*Label 17561*/ GIMT_Encode4(1212134), // Rule ID 17407 //
     /* 1212059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1212062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1212070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1212073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1212076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1212079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212098 */     // MIs[0] round
     /* 1212098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212108 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1212111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212133 */     // GIR_Coverage, 17407,
     /* 1212133 */     GIR_EraseRootFromParent_Done,
     /* 1212134 */   // Label 17561: @1212134
     /* 1212134 */   GIM_Try, /*On fail goto*//*Label 17562*/ GIMT_Encode4(1212214), // Rule ID 17408 //
     /* 1212139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1212142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1212150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1212153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1212156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1212159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212178 */     // MIs[0] round
     /* 1212178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212188 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1212191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212213 */     // GIR_Coverage, 17408,
     /* 1212213 */     GIR_EraseRootFromParent_Done,
     /* 1212214 */   // Label 17562: @1212214
     /* 1212214 */   GIM_Try, /*On fail goto*//*Label 17563*/ GIMT_Encode4(1212294), // Rule ID 17411 //
     /* 1212219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1212222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1212230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1212233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1212236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1212239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212258 */     // MIs[0] round
     /* 1212258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212268 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1212271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212293 */     // GIR_Coverage, 17411,
     /* 1212293 */     GIR_EraseRootFromParent_Done,
     /* 1212294 */   // Label 17563: @1212294
     /* 1212294 */   GIM_Try, /*On fail goto*//*Label 17564*/ GIMT_Encode4(1212374), // Rule ID 17412 //
     /* 1212299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1212302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1212310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1212313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1212316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1212319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212338 */     // MIs[0] round
     /* 1212338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212348 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1212351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212373 */     // GIR_Coverage, 17412,
     /* 1212373 */     GIR_EraseRootFromParent_Done,
     /* 1212374 */   // Label 17564: @1212374
     /* 1212374 */   GIM_Try, /*On fail goto*//*Label 17565*/ GIMT_Encode4(1212454), // Rule ID 17415 //
     /* 1212379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1212390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1212393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1212396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1212399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1212418 */     // MIs[0] round
     /* 1212418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212428 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1212431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212453 */     // GIR_Coverage, 17415,
     /* 1212453 */     GIR_EraseRootFromParent_Done,
     /* 1212454 */   // Label 17565: @1212454
     /* 1212454 */   GIM_Try, /*On fail goto*//*Label 17566*/ GIMT_Encode4(1212534), // Rule ID 17416 //
     /* 1212459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1212470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1212473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1212476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1212479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1212498 */     // MIs[0] round
     /* 1212498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212508 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1212511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212533 */     // GIR_Coverage, 17416,
     /* 1212533 */     GIR_EraseRootFromParent_Done,
     /* 1212534 */   // Label 17566: @1212534
     /* 1212534 */   GIM_Try, /*On fail goto*//*Label 17567*/ GIMT_Encode4(1212614), // Rule ID 17419 //
     /* 1212539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1212550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1212553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1212556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1212559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1212578 */     // MIs[0] round
     /* 1212578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212588 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1212591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212613 */     // GIR_Coverage, 17419,
     /* 1212613 */     GIR_EraseRootFromParent_Done,
     /* 1212614 */   // Label 17567: @1212614
     /* 1212614 */   GIM_Try, /*On fail goto*//*Label 17568*/ GIMT_Encode4(1212694), // Rule ID 17420 //
     /* 1212619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1212630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1212633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1212636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1212639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1212658 */     // MIs[0] round
     /* 1212658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212668 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1212671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212693 */     // GIR_Coverage, 17420,
     /* 1212693 */     GIR_EraseRootFromParent_Done,
     /* 1212694 */   // Label 17568: @1212694
     /* 1212694 */   GIM_Try, /*On fail goto*//*Label 17569*/ GIMT_Encode4(1212774), // Rule ID 17423 //
     /* 1212699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1212702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1212710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1212713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1212716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1212719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1212738 */     // MIs[0] round
     /* 1212738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212748 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1212751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212773 */     // GIR_Coverage, 17423,
     /* 1212773 */     GIR_EraseRootFromParent_Done,
     /* 1212774 */   // Label 17569: @1212774
     /* 1212774 */   GIM_Try, /*On fail goto*//*Label 17570*/ GIMT_Encode4(1212854), // Rule ID 17424 //
     /* 1212779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1212782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1212790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1212793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1212796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1212799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1212818 */     // MIs[0] round
     /* 1212818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212828 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1212831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212853 */     // GIR_Coverage, 17424,
     /* 1212853 */     GIR_EraseRootFromParent_Done,
     /* 1212854 */   // Label 17570: @1212854
     /* 1212854 */   GIM_Try, /*On fail goto*//*Label 17571*/ GIMT_Encode4(1212934), // Rule ID 17427 //
     /* 1212859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1212862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1212870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1212873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1212876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1212879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1212898 */     // MIs[0] round
     /* 1212898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212908 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1212911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212933 */     // GIR_Coverage, 17427,
     /* 1212933 */     GIR_EraseRootFromParent_Done,
     /* 1212934 */   // Label 17571: @1212934
     /* 1212934 */   GIM_Try, /*On fail goto*//*Label 17572*/ GIMT_Encode4(1213014), // Rule ID 17428 //
     /* 1212939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1212942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1212947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1212950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1212953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1212956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1212959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1212978 */     // MIs[0] round
     /* 1212978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212988 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1212991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213013 */     // GIR_Coverage, 17428,
     /* 1213013 */     GIR_EraseRootFromParent_Done,
     /* 1213014 */   // Label 17572: @1213014
     /* 1213014 */   GIM_Try, /*On fail goto*//*Label 17573*/ GIMT_Encode4(1213094), // Rule ID 17431 //
     /* 1213019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1213022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1213030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1213033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1213036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1213039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1213058 */     // MIs[0] round
     /* 1213058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213068 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1213071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213093 */     // GIR_Coverage, 17431,
     /* 1213093 */     GIR_EraseRootFromParent_Done,
     /* 1213094 */   // Label 17573: @1213094
     /* 1213094 */   GIM_Try, /*On fail goto*//*Label 17574*/ GIMT_Encode4(1213174), // Rule ID 17432 //
     /* 1213099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1213102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1213110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1213113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1213116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1213119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1213138 */     // MIs[0] round
     /* 1213138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213148 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1213151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213173 */     // GIR_Coverage, 17432,
     /* 1213173 */     GIR_EraseRootFromParent_Done,
     /* 1213174 */   // Label 17574: @1213174
     /* 1213174 */   GIM_Try, /*On fail goto*//*Label 17575*/ GIMT_Encode4(1213254), // Rule ID 17435 //
     /* 1213179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1213182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1213190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1213193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1213196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1213199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1213218 */     // MIs[0] round
     /* 1213218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213228 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1213231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213253 */     // GIR_Coverage, 17435,
     /* 1213253 */     GIR_EraseRootFromParent_Done,
     /* 1213254 */   // Label 17575: @1213254
     /* 1213254 */   GIM_Try, /*On fail goto*//*Label 17576*/ GIMT_Encode4(1213334), // Rule ID 17436 //
     /* 1213259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1213262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1213270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1213273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1213276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1213279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1213298 */     // MIs[0] round
     /* 1213298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213308 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1213311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1213329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213333 */     // GIR_Coverage, 17436,
     /* 1213333 */     GIR_EraseRootFromParent_Done,
     /* 1213334 */   // Label 17576: @1213334
     /* 1213334 */   GIM_Try, /*On fail goto*//*Label 17577*/ GIMT_Encode4(1213414), // Rule ID 17439 //
     /* 1213339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1213342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1213350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1213353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1213356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213378 */     // MIs[0] round
     /* 1213378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213388 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1213391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213413 */     // GIR_Coverage, 17439,
     /* 1213413 */     GIR_EraseRootFromParent_Done,
     /* 1213414 */   // Label 17577: @1213414
     /* 1213414 */   GIM_Try, /*On fail goto*//*Label 17578*/ GIMT_Encode4(1213494), // Rule ID 17440 //
     /* 1213419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1213422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1213430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1213433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1213436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213458 */     // MIs[0] round
     /* 1213458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213468 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1213471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213493 */     // GIR_Coverage, 17440,
     /* 1213493 */     GIR_EraseRootFromParent_Done,
     /* 1213494 */   // Label 17578: @1213494
     /* 1213494 */   GIM_Try, /*On fail goto*//*Label 17579*/ GIMT_Encode4(1213574), // Rule ID 17443 //
     /* 1213499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1213502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1213510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1213513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1213516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213538 */     // MIs[0] round
     /* 1213538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213548 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1213551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213573 */     // GIR_Coverage, 17443,
     /* 1213573 */     GIR_EraseRootFromParent_Done,
     /* 1213574 */   // Label 17579: @1213574
     /* 1213574 */   GIM_Try, /*On fail goto*//*Label 17580*/ GIMT_Encode4(1213654), // Rule ID 17444 //
     /* 1213579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1213582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1213590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1213593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1213596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213618 */     // MIs[0] round
     /* 1213618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213628 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1213631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213653 */     // GIR_Coverage, 17444,
     /* 1213653 */     GIR_EraseRootFromParent_Done,
     /* 1213654 */   // Label 17580: @1213654
     /* 1213654 */   GIM_Try, /*On fail goto*//*Label 17581*/ GIMT_Encode4(1213734), // Rule ID 17447 //
     /* 1213659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1213662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1213670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1213673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1213676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213698 */     // MIs[0] round
     /* 1213698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213708 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1213711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213733 */     // GIR_Coverage, 17447,
     /* 1213733 */     GIR_EraseRootFromParent_Done,
     /* 1213734 */   // Label 17581: @1213734
     /* 1213734 */   GIM_Try, /*On fail goto*//*Label 17582*/ GIMT_Encode4(1213814), // Rule ID 17448 //
     /* 1213739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1213742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1213750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1213753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1213756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213778 */     // MIs[0] round
     /* 1213778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213788 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1213791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213813 */     // GIR_Coverage, 17448,
     /* 1213813 */     GIR_EraseRootFromParent_Done,
     /* 1213814 */   // Label 17582: @1213814
     /* 1213814 */   GIM_Try, /*On fail goto*//*Label 17583*/ GIMT_Encode4(1213894), // Rule ID 17451 //
     /* 1213819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1213822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1213830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1213833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1213836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1213839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1213858 */     // MIs[0] round
     /* 1213858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213868 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1213871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213893 */     // GIR_Coverage, 17451,
     /* 1213893 */     GIR_EraseRootFromParent_Done,
     /* 1213894 */   // Label 17583: @1213894
     /* 1213894 */   GIM_Try, /*On fail goto*//*Label 17584*/ GIMT_Encode4(1213974), // Rule ID 17452 //
     /* 1213899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1213902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1213910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1213913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1213916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1213919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1213938 */     // MIs[0] round
     /* 1213938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213948 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1213951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213973 */     // GIR_Coverage, 17452,
     /* 1213973 */     GIR_EraseRootFromParent_Done,
     /* 1213974 */   // Label 17584: @1213974
     /* 1213974 */   GIM_Try, /*On fail goto*//*Label 17585*/ GIMT_Encode4(1214054), // Rule ID 17455 //
     /* 1213979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1213982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1213987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1213990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1213993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1213996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1213999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214018 */     // MIs[0] round
     /* 1214018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214028 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1214031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214053 */     // GIR_Coverage, 17455,
     /* 1214053 */     GIR_EraseRootFromParent_Done,
     /* 1214054 */   // Label 17585: @1214054
     /* 1214054 */   GIM_Try, /*On fail goto*//*Label 17586*/ GIMT_Encode4(1214134), // Rule ID 17456 //
     /* 1214059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1214062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1214070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1214073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1214076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214098 */     // MIs[0] round
     /* 1214098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214108 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1214111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214133 */     // GIR_Coverage, 17456,
     /* 1214133 */     GIR_EraseRootFromParent_Done,
     /* 1214134 */   // Label 17586: @1214134
     /* 1214134 */   GIM_Try, /*On fail goto*//*Label 17587*/ GIMT_Encode4(1214214), // Rule ID 17459 //
     /* 1214139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1214142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1214150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1214153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1214156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214178 */     // MIs[0] round
     /* 1214178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214188 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1214191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214213 */     // GIR_Coverage, 17459,
     /* 1214213 */     GIR_EraseRootFromParent_Done,
     /* 1214214 */   // Label 17587: @1214214
     /* 1214214 */   GIM_Try, /*On fail goto*//*Label 17588*/ GIMT_Encode4(1214294), // Rule ID 17460 //
     /* 1214219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1214222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1214230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1214233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1214236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214258 */     // MIs[0] round
     /* 1214258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214268 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1214271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214293 */     // GIR_Coverage, 17460,
     /* 1214293 */     GIR_EraseRootFromParent_Done,
     /* 1214294 */   // Label 17588: @1214294
     /* 1214294 */   GIM_Try, /*On fail goto*//*Label 17589*/ GIMT_Encode4(1214374), // Rule ID 17463 //
     /* 1214299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1214302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1214310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1214313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1214316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214338 */     // MIs[0] round
     /* 1214338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214348 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1214351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214373 */     // GIR_Coverage, 17463,
     /* 1214373 */     GIR_EraseRootFromParent_Done,
     /* 1214374 */   // Label 17589: @1214374
     /* 1214374 */   GIM_Try, /*On fail goto*//*Label 17590*/ GIMT_Encode4(1214454), // Rule ID 17464 //
     /* 1214379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1214382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1214390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1214393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1214396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214418 */     // MIs[0] round
     /* 1214418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214428 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1214431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214453 */     // GIR_Coverage, 17464,
     /* 1214453 */     GIR_EraseRootFromParent_Done,
     /* 1214454 */   // Label 17590: @1214454
     /* 1214454 */   GIM_Try, /*On fail goto*//*Label 17591*/ GIMT_Encode4(1214534), // Rule ID 17467 //
     /* 1214459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1214462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1214470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1214473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1214476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214498 */     // MIs[0] round
     /* 1214498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214508 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1214511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214533 */     // GIR_Coverage, 17467,
     /* 1214533 */     GIR_EraseRootFromParent_Done,
     /* 1214534 */   // Label 17591: @1214534
     /* 1214534 */   GIM_Try, /*On fail goto*//*Label 17592*/ GIMT_Encode4(1214614), // Rule ID 17468 //
     /* 1214539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1214542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1214550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1214553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1214556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214578 */     // MIs[0] round
     /* 1214578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214588 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1214591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214613 */     // GIR_Coverage, 17468,
     /* 1214613 */     GIR_EraseRootFromParent_Done,
     /* 1214614 */   // Label 17592: @1214614
     /* 1214614 */   GIM_Try, /*On fail goto*//*Label 17593*/ GIMT_Encode4(1214694), // Rule ID 17471 //
     /* 1214619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1214622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1214630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1214633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1214636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214658 */     // MIs[0] round
     /* 1214658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214668 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1214671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214693 */     // GIR_Coverage, 17471,
     /* 1214693 */     GIR_EraseRootFromParent_Done,
     /* 1214694 */   // Label 17593: @1214694
     /* 1214694 */   GIM_Try, /*On fail goto*//*Label 17594*/ GIMT_Encode4(1214774), // Rule ID 17472 //
     /* 1214699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1214702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1214707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1214710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1214713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1214716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1214738 */     // MIs[0] round
     /* 1214738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214748 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11100:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1214751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214773 */     // GIR_Coverage, 17472,
     /* 1214773 */     GIR_EraseRootFromParent_Done,
     /* 1214774 */   // Label 17594: @1214774
     /* 1214774 */   GIM_Try, /*On fail goto*//*Label 17595*/ GIMT_Encode4(1214854), // Rule ID 17475 //
     /* 1214779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1214787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1214790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1214793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1214796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214818 */     // MIs[0] round
     /* 1214818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214828 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1214831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214853 */     // GIR_Coverage, 17475,
     /* 1214853 */     GIR_EraseRootFromParent_Done,
     /* 1214854 */   // Label 17595: @1214854
     /* 1214854 */   GIM_Try, /*On fail goto*//*Label 17596*/ GIMT_Encode4(1214934), // Rule ID 17476 //
     /* 1214859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1214862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1214867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1214870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1214873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1214876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214898 */     // MIs[0] round
     /* 1214898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214908 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1214911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214933 */     // GIR_Coverage, 17476,
     /* 1214933 */     GIR_EraseRootFromParent_Done,
     /* 1214934 */   // Label 17596: @1214934
     /* 1214934 */   GIM_Try, /*On fail goto*//*Label 17597*/ GIMT_Encode4(1215014), // Rule ID 17479 //
     /* 1214939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1214942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1214947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1214950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1214953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1214956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214978 */     // MIs[0] round
     /* 1214978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214988 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1214991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215013 */     // GIR_Coverage, 17479,
     /* 1215013 */     GIR_EraseRootFromParent_Done,
     /* 1215014 */   // Label 17597: @1215014
     /* 1215014 */   GIM_Try, /*On fail goto*//*Label 17598*/ GIMT_Encode4(1215094), // Rule ID 17480 //
     /* 1215019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1215022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1215027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1215030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1215033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1215036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215058 */     // MIs[0] round
     /* 1215058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215068 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1215071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215093 */     // GIR_Coverage, 17480,
     /* 1215093 */     GIR_EraseRootFromParent_Done,
     /* 1215094 */   // Label 17598: @1215094
     /* 1215094 */   GIM_Try, /*On fail goto*//*Label 17599*/ GIMT_Encode4(1215174), // Rule ID 17483 //
     /* 1215099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1215107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1215110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1215113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1215116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215138 */     // MIs[0] round
     /* 1215138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215148 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1215151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215173 */     // GIR_Coverage, 17483,
     /* 1215173 */     GIR_EraseRootFromParent_Done,
     /* 1215174 */   // Label 17599: @1215174
     /* 1215174 */   GIM_Try, /*On fail goto*//*Label 17600*/ GIMT_Encode4(1215254), // Rule ID 17484 //
     /* 1215179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1215187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1215190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1215193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1215196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215218 */     // MIs[0] round
     /* 1215218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215228 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1215231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215253 */     // GIR_Coverage, 17484,
     /* 1215253 */     GIR_EraseRootFromParent_Done,
     /* 1215254 */   // Label 17600: @1215254
     /* 1215254 */   GIM_Try, /*On fail goto*//*Label 17601*/ GIMT_Encode4(1215334), // Rule ID 17487 //
     /* 1215259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1215262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1215267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1215270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1215273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1215276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215298 */     // MIs[0] round
     /* 1215298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215308 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1215311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215333 */     // GIR_Coverage, 17487,
     /* 1215333 */     GIR_EraseRootFromParent_Done,
     /* 1215334 */   // Label 17601: @1215334
     /* 1215334 */   GIM_Try, /*On fail goto*//*Label 17602*/ GIMT_Encode4(1215414), // Rule ID 17488 //
     /* 1215339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1215342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1215347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1215350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1215353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1215356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215378 */     // MIs[0] round
     /* 1215378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215388 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1215391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215413 */     // GIR_Coverage, 17488,
     /* 1215413 */     GIR_EraseRootFromParent_Done,
     /* 1215414 */   // Label 17602: @1215414
     /* 1215414 */   GIM_Try, /*On fail goto*//*Label 17603*/ GIMT_Encode4(1215494), // Rule ID 17491 //
     /* 1215419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1215427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1215430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1215433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1215436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215458 */     // MIs[0] round
     /* 1215458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215468 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1215471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215493 */     // GIR_Coverage, 17491,
     /* 1215493 */     GIR_EraseRootFromParent_Done,
     /* 1215494 */   // Label 17603: @1215494
     /* 1215494 */   GIM_Try, /*On fail goto*//*Label 17604*/ GIMT_Encode4(1215574), // Rule ID 17492 //
     /* 1215499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1215507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1215510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1215513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1215516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215538 */     // MIs[0] round
     /* 1215538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215548 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1215551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215573 */     // GIR_Coverage, 17492,
     /* 1215573 */     GIR_EraseRootFromParent_Done,
     /* 1215574 */   // Label 17604: @1215574
     /* 1215574 */   GIM_Try, /*On fail goto*//*Label 17605*/ GIMT_Encode4(1215654), // Rule ID 17495 //
     /* 1215579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1215582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1215587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1215590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1215593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1215596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215618 */     // MIs[0] round
     /* 1215618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215628 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1215631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215653 */     // GIR_Coverage, 17495,
     /* 1215653 */     GIR_EraseRootFromParent_Done,
     /* 1215654 */   // Label 17605: @1215654
     /* 1215654 */   GIM_Try, /*On fail goto*//*Label 17606*/ GIMT_Encode4(1215734), // Rule ID 17496 //
     /* 1215659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1215662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1215667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1215670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1215673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1215676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1215679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1215698 */     // MIs[0] round
     /* 1215698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215708 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1215711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1215729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215733 */     // GIR_Coverage, 17496,
     /* 1215733 */     GIR_EraseRootFromParent_Done,
     /* 1215734 */   // Label 17606: @1215734
     /* 1215734 */   GIM_Try, /*On fail goto*//*Label 17607*/ GIMT_Encode4(1215814), // Rule ID 17499 //
     /* 1215739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1215742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1215747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1215750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1215753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1215756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215778 */     // MIs[0] round
     /* 1215778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215788 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1215791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215813 */     // GIR_Coverage, 17499,
     /* 1215813 */     GIR_EraseRootFromParent_Done,
     /* 1215814 */   // Label 17607: @1215814
     /* 1215814 */   GIM_Try, /*On fail goto*//*Label 17608*/ GIMT_Encode4(1215894), // Rule ID 17500 //
     /* 1215819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1215822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1215827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1215830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1215833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1215836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215858 */     // MIs[0] round
     /* 1215858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215868 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1215871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215893 */     // GIR_Coverage, 17500,
     /* 1215893 */     GIR_EraseRootFromParent_Done,
     /* 1215894 */   // Label 17608: @1215894
     /* 1215894 */   GIM_Try, /*On fail goto*//*Label 17609*/ GIMT_Encode4(1215974), // Rule ID 17503 //
     /* 1215899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1215902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1215907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1215910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1215913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1215916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215938 */     // MIs[0] round
     /* 1215938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215948 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1215951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215973 */     // GIR_Coverage, 17503,
     /* 1215973 */     GIR_EraseRootFromParent_Done,
     /* 1215974 */   // Label 17609: @1215974
     /* 1215974 */   GIM_Try, /*On fail goto*//*Label 17610*/ GIMT_Encode4(1216054), // Rule ID 17504 //
     /* 1215979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1215982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1215987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1215990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1215993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1215996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216018 */     // MIs[0] round
     /* 1216018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216028 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1216031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216053 */     // GIR_Coverage, 17504,
     /* 1216053 */     GIR_EraseRootFromParent_Done,
     /* 1216054 */   // Label 17610: @1216054
     /* 1216054 */   GIM_Try, /*On fail goto*//*Label 17611*/ GIMT_Encode4(1216134), // Rule ID 17507 //
     /* 1216059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1216070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1216073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1216076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216098 */     // MIs[0] round
     /* 1216098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216108 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1216111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216133 */     // GIR_Coverage, 17507,
     /* 1216133 */     GIR_EraseRootFromParent_Done,
     /* 1216134 */   // Label 17611: @1216134
     /* 1216134 */   GIM_Try, /*On fail goto*//*Label 17612*/ GIMT_Encode4(1216214), // Rule ID 17508 //
     /* 1216139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1216150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1216153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1216156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1216159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1216178 */     // MIs[0] round
     /* 1216178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216188 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1216191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216213 */     // GIR_Coverage, 17508,
     /* 1216213 */     GIR_EraseRootFromParent_Done,
     /* 1216214 */   // Label 17612: @1216214
     /* 1216214 */   GIM_Try, /*On fail goto*//*Label 17613*/ GIMT_Encode4(1216294), // Rule ID 17511 //
     /* 1216219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1216222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1216230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1216233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1216236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1216239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1216258 */     // MIs[0] round
     /* 1216258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216268 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1216271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216293 */     // GIR_Coverage, 17511,
     /* 1216293 */     GIR_EraseRootFromParent_Done,
     /* 1216294 */   // Label 17613: @1216294
     /* 1216294 */   GIM_Try, /*On fail goto*//*Label 17614*/ GIMT_Encode4(1216374), // Rule ID 17512 //
     /* 1216299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1216302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1216310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1216313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1216316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1216319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1216338 */     // MIs[0] round
     /* 1216338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216348 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1216351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216373 */     // GIR_Coverage, 17512,
     /* 1216373 */     GIR_EraseRootFromParent_Done,
     /* 1216374 */   // Label 17614: @1216374
     /* 1216374 */   GIM_Try, /*On fail goto*//*Label 17615*/ GIMT_Encode4(1216454), // Rule ID 17515 //
     /* 1216379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1216382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1216390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1216393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1216396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1216399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1216418 */     // MIs[0] round
     /* 1216418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216428 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1216431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216453 */     // GIR_Coverage, 17515,
     /* 1216453 */     GIR_EraseRootFromParent_Done,
     /* 1216454 */   // Label 17615: @1216454
     /* 1216454 */   GIM_Try, /*On fail goto*//*Label 17616*/ GIMT_Encode4(1216534), // Rule ID 17516 //
     /* 1216459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1216462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1216470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1216473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1216476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1216479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1216498 */     // MIs[0] round
     /* 1216498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216508 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1216511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216533 */     // GIR_Coverage, 17516,
     /* 1216533 */     GIR_EraseRootFromParent_Done,
     /* 1216534 */   // Label 17616: @1216534
     /* 1216534 */   GIM_Try, /*On fail goto*//*Label 17617*/ GIMT_Encode4(1216614), // Rule ID 17519 //
     /* 1216539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1216542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1216550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1216553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1216556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1216559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1216578 */     // MIs[0] round
     /* 1216578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216588 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1216591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216613 */     // GIR_Coverage, 17519,
     /* 1216613 */     GIR_EraseRootFromParent_Done,
     /* 1216614 */   // Label 17617: @1216614
     /* 1216614 */   GIM_Try, /*On fail goto*//*Label 17618*/ GIMT_Encode4(1216694), // Rule ID 17520 //
     /* 1216619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1216622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1216630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1216633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1216636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1216639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1216658 */     // MIs[0] round
     /* 1216658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216668 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1216671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216693 */     // GIR_Coverage, 17520,
     /* 1216693 */     GIR_EraseRootFromParent_Done,
     /* 1216694 */   // Label 17618: @1216694
     /* 1216694 */   GIM_Try, /*On fail goto*//*Label 17619*/ GIMT_Encode4(1216774), // Rule ID 17523 //
     /* 1216699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1216702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1216710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1216713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1216716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216738 */     // MIs[0] round
     /* 1216738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216748 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1216751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216773 */     // GIR_Coverage, 17523,
     /* 1216773 */     GIR_EraseRootFromParent_Done,
     /* 1216774 */   // Label 17619: @1216774
     /* 1216774 */   GIM_Try, /*On fail goto*//*Label 17620*/ GIMT_Encode4(1216854), // Rule ID 17524 //
     /* 1216779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1216782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1216790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1216793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1216796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216818 */     // MIs[0] round
     /* 1216818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216828 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1216831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216853 */     // GIR_Coverage, 17524,
     /* 1216853 */     GIR_EraseRootFromParent_Done,
     /* 1216854 */   // Label 17620: @1216854
     /* 1216854 */   GIM_Try, /*On fail goto*//*Label 17621*/ GIMT_Encode4(1216934), // Rule ID 17527 //
     /* 1216859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1216862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1216870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1216873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1216876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216898 */     // MIs[0] round
     /* 1216898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216908 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1216911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216933 */     // GIR_Coverage, 17527,
     /* 1216933 */     GIR_EraseRootFromParent_Done,
     /* 1216934 */   // Label 17621: @1216934
     /* 1216934 */   GIM_Try, /*On fail goto*//*Label 17622*/ GIMT_Encode4(1217014), // Rule ID 17528 //
     /* 1216939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1216942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1216947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1216950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1216953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1216956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1216959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1216978 */     // MIs[0] round
     /* 1216978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216988 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1216991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217013 */     // GIR_Coverage, 17528,
     /* 1217013 */     GIR_EraseRootFromParent_Done,
     /* 1217014 */   // Label 17622: @1217014
     /* 1217014 */   GIM_Try, /*On fail goto*//*Label 17623*/ GIMT_Encode4(1217094), // Rule ID 17531 //
     /* 1217019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1217022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1217030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1217033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1217036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1217039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1217058 */     // MIs[0] round
     /* 1217058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217068 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1217071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217093 */     // GIR_Coverage, 17531,
     /* 1217093 */     GIR_EraseRootFromParent_Done,
     /* 1217094 */   // Label 17623: @1217094
     /* 1217094 */   GIM_Try, /*On fail goto*//*Label 17624*/ GIMT_Encode4(1217174), // Rule ID 17532 //
     /* 1217099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1217102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1217107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1217110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1217113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1217116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1217119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1217138 */     // MIs[0] round
     /* 1217138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217148 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1217151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217173 */     // GIR_Coverage, 17532,
     /* 1217173 */     GIR_EraseRootFromParent_Done,
     /* 1217174 */   // Label 17624: @1217174
     /* 1217174 */   GIM_Try, /*On fail goto*//*Label 17625*/ GIMT_Encode4(1217254), // Rule ID 17535 //
     /* 1217179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1217182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1217187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1217190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1217193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1217196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1217199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217218 */     // MIs[0] round
     /* 1217218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217228 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1217231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217253 */     // GIR_Coverage, 17535,
     /* 1217253 */     GIR_EraseRootFromParent_Done,
     /* 1217254 */   // Label 17625: @1217254
     /* 1217254 */   GIM_Try, /*On fail goto*//*Label 17626*/ GIMT_Encode4(1217334), // Rule ID 17536 //
     /* 1217259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1217262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1217267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1217270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1217273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1217276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1217279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217298 */     // MIs[0] round
     /* 1217298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217308 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1217311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217333 */     // GIR_Coverage, 17536,
     /* 1217333 */     GIR_EraseRootFromParent_Done,
     /* 1217334 */   // Label 17626: @1217334
     /* 1217334 */   GIM_Try, /*On fail goto*//*Label 17627*/ GIMT_Encode4(1217414), // Rule ID 17539 //
     /* 1217339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1217342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1217347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1217350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1217353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1217356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1217359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217378 */     // MIs[0] round
     /* 1217378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217388 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1217391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217413 */     // GIR_Coverage, 17539,
     /* 1217413 */     GIR_EraseRootFromParent_Done,
     /* 1217414 */   // Label 17627: @1217414
     /* 1217414 */   GIM_Try, /*On fail goto*//*Label 17628*/ GIMT_Encode4(1217494), // Rule ID 17540 //
     /* 1217419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1217422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1217427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1217430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1217433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1217436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1217439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217458 */     // MIs[0] round
     /* 1217458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217468 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1217471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217493 */     // GIR_Coverage, 17540,
     /* 1217493 */     GIR_EraseRootFromParent_Done,
     /* 1217494 */   // Label 17628: @1217494
     /* 1217494 */   GIM_Try, /*On fail goto*//*Label 17629*/ GIMT_Encode4(1217574), // Rule ID 17543 //
     /* 1217499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1217502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1217507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1217510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1217513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1217516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1217519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217538 */     // MIs[0] round
     /* 1217538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217548 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1217551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217573 */     // GIR_Coverage, 17543,
     /* 1217573 */     GIR_EraseRootFromParent_Done,
     /* 1217574 */   // Label 17629: @1217574
     /* 1217574 */   GIM_Try, /*On fail goto*//*Label 17630*/ GIMT_Encode4(1217654), // Rule ID 17544 //
     /* 1217579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1217582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1217587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1217590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1217593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1217596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1217599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217618 */     // MIs[0] round
     /* 1217618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217628 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1217631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217653 */     // GIR_Coverage, 17544,
     /* 1217653 */     GIR_EraseRootFromParent_Done,
     /* 1217654 */   // Label 17630: @1217654
     /* 1217654 */   GIM_Try, /*On fail goto*//*Label 17631*/ GIMT_Encode4(1217734), // Rule ID 17547 //
     /* 1217659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1217662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1217667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1217670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1217673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1217676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1217679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217698 */     // MIs[0] round
     /* 1217698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217708 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1217711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217733 */     // GIR_Coverage, 17547,
     /* 1217733 */     GIR_EraseRootFromParent_Done,
     /* 1217734 */   // Label 17631: @1217734
     /* 1217734 */   GIM_Try, /*On fail goto*//*Label 17632*/ GIMT_Encode4(1217814), // Rule ID 17548 //
     /* 1217739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1217742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1217747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1217750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1217753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1217756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1217759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217778 */     // MIs[0] round
     /* 1217778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217788 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1217791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217813 */     // GIR_Coverage, 17548,
     /* 1217813 */     GIR_EraseRootFromParent_Done,
     /* 1217814 */   // Label 17632: @1217814
     /* 1217814 */   GIM_Try, /*On fail goto*//*Label 17633*/ GIMT_Encode4(1217894), // Rule ID 17551 //
     /* 1217819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1217822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1217827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1217830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1217833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1217836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1217839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217858 */     // MIs[0] round
     /* 1217858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217868 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1217871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217893 */     // GIR_Coverage, 17551,
     /* 1217893 */     GIR_EraseRootFromParent_Done,
     /* 1217894 */   // Label 17633: @1217894
     /* 1217894 */   GIM_Try, /*On fail goto*//*Label 17634*/ GIMT_Encode4(1217974), // Rule ID 17552 //
     /* 1217899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1217902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1217907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1217910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1217913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1217916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1217919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217938 */     // MIs[0] round
     /* 1217938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217948 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1217951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217973 */     // GIR_Coverage, 17552,
     /* 1217973 */     GIR_EraseRootFromParent_Done,
     /* 1217974 */   // Label 17634: @1217974
     /* 1217974 */   GIM_Try, /*On fail goto*//*Label 17635*/ GIMT_Encode4(1218054), // Rule ID 17555 //
     /* 1217979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1217982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1217987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1217990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1217993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1217996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1217999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218018 */     // MIs[0] round
     /* 1218018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218028 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1218031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218053 */     // GIR_Coverage, 17555,
     /* 1218053 */     GIR_EraseRootFromParent_Done,
     /* 1218054 */   // Label 17635: @1218054
     /* 1218054 */   GIM_Try, /*On fail goto*//*Label 17636*/ GIMT_Encode4(1218134), // Rule ID 17556 //
     /* 1218059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1218062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1218070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1218073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1218076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1218079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218098 */     // MIs[0] round
     /* 1218098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218108 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1218111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218133 */     // GIR_Coverage, 17556,
     /* 1218133 */     GIR_EraseRootFromParent_Done,
     /* 1218134 */   // Label 17636: @1218134
     /* 1218134 */   GIM_Try, /*On fail goto*//*Label 17637*/ GIMT_Encode4(1218214), // Rule ID 17559 //
     /* 1218139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1218142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1218150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1218153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1218156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1218159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218178 */     // MIs[0] round
     /* 1218178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218188 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1218191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218213 */     // GIR_Coverage, 17559,
     /* 1218213 */     GIR_EraseRootFromParent_Done,
     /* 1218214 */   // Label 17637: @1218214
     /* 1218214 */   GIM_Try, /*On fail goto*//*Label 17638*/ GIMT_Encode4(1218294), // Rule ID 17560 //
     /* 1218219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1218222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1218230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1218233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1218236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1218239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218258 */     // MIs[0] round
     /* 1218258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218268 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1218271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218293 */     // GIR_Coverage, 17560,
     /* 1218293 */     GIR_EraseRootFromParent_Done,
     /* 1218294 */   // Label 17638: @1218294
     /* 1218294 */   GIM_Try, /*On fail goto*//*Label 17639*/ GIMT_Encode4(1218374), // Rule ID 17563 //
     /* 1218299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1218302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1218310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1218313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1218316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1218319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218338 */     // MIs[0] round
     /* 1218338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218348 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1218351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218373 */     // GIR_Coverage, 17563,
     /* 1218373 */     GIR_EraseRootFromParent_Done,
     /* 1218374 */   // Label 17639: @1218374
     /* 1218374 */   GIM_Try, /*On fail goto*//*Label 17640*/ GIMT_Encode4(1218454), // Rule ID 17564 //
     /* 1218379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1218382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1218390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1218393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1218396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1218399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218418 */     // MIs[0] round
     /* 1218418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218428 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1218431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218453 */     // GIR_Coverage, 17564,
     /* 1218453 */     GIR_EraseRootFromParent_Done,
     /* 1218454 */   // Label 17640: @1218454
     /* 1218454 */   GIM_Try, /*On fail goto*//*Label 17641*/ GIMT_Encode4(1218534), // Rule ID 17567 //
     /* 1218459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1218462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1218476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1218479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218498 */     // MIs[0] round
     /* 1218498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218508 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1218511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218533 */     // GIR_Coverage, 17567,
     /* 1218533 */     GIR_EraseRootFromParent_Done,
     /* 1218534 */   // Label 17641: @1218534
     /* 1218534 */   GIM_Try, /*On fail goto*//*Label 17642*/ GIMT_Encode4(1218614), // Rule ID 17568 //
     /* 1218539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1218542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1218556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1218559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218578 */     // MIs[0] round
     /* 1218578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218588 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1218591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218613 */     // GIR_Coverage, 17568,
     /* 1218613 */     GIR_EraseRootFromParent_Done,
     /* 1218614 */   // Label 17642: @1218614
     /* 1218614 */   GIM_Try, /*On fail goto*//*Label 17643*/ GIMT_Encode4(1218694), // Rule ID 17571 //
     /* 1218619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1218622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1218630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1218633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1218636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218658 */     // MIs[0] round
     /* 1218658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218668 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1218671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218693 */     // GIR_Coverage, 17571,
     /* 1218693 */     GIR_EraseRootFromParent_Done,
     /* 1218694 */   // Label 17643: @1218694
     /* 1218694 */   GIM_Try, /*On fail goto*//*Label 17644*/ GIMT_Encode4(1218774), // Rule ID 17572 //
     /* 1218699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1218702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1218710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1218713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1218716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218738 */     // MIs[0] round
     /* 1218738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218748 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1218751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218773 */     // GIR_Coverage, 17572,
     /* 1218773 */     GIR_EraseRootFromParent_Done,
     /* 1218774 */   // Label 17644: @1218774
     /* 1218774 */   GIM_Try, /*On fail goto*//*Label 17645*/ GIMT_Encode4(1218854), // Rule ID 17575 //
     /* 1218779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1218782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1218790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1218793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1218796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218818 */     // MIs[0] round
     /* 1218818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218828 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1218831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218853 */     // GIR_Coverage, 17575,
     /* 1218853 */     GIR_EraseRootFromParent_Done,
     /* 1218854 */   // Label 17645: @1218854
     /* 1218854 */   GIM_Try, /*On fail goto*//*Label 17646*/ GIMT_Encode4(1218934), // Rule ID 17576 //
     /* 1218859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1218862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1218870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1218873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1218876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218898 */     // MIs[0] round
     /* 1218898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218908 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1218911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218933 */     // GIR_Coverage, 17576,
     /* 1218933 */     GIR_EraseRootFromParent_Done,
     /* 1218934 */   // Label 17646: @1218934
     /* 1218934 */   GIM_Try, /*On fail goto*//*Label 17647*/ GIMT_Encode4(1219014), // Rule ID 17579 //
     /* 1218939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1218942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1218947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1218950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1218953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1218956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218978 */     // MIs[0] round
     /* 1218978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218988 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1218991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219013 */     // GIR_Coverage, 17579,
     /* 1219013 */     GIR_EraseRootFromParent_Done,
     /* 1219014 */   // Label 17647: @1219014
     /* 1219014 */   GIM_Try, /*On fail goto*//*Label 17648*/ GIMT_Encode4(1219094), // Rule ID 17580 //
     /* 1219019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1219022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1219030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1219033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1219036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219058 */     // MIs[0] round
     /* 1219058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219068 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1219071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219093 */     // GIR_Coverage, 17580,
     /* 1219093 */     GIR_EraseRootFromParent_Done,
     /* 1219094 */   // Label 17648: @1219094
     /* 1219094 */   GIM_Try, /*On fail goto*//*Label 17649*/ GIMT_Encode4(1219174), // Rule ID 17583 //
     /* 1219099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1219102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1219110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1219113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1219116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219138 */     // MIs[0] round
     /* 1219138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219148 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1219151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219173 */     // GIR_Coverage, 17583,
     /* 1219173 */     GIR_EraseRootFromParent_Done,
     /* 1219174 */   // Label 17649: @1219174
     /* 1219174 */   GIM_Try, /*On fail goto*//*Label 17650*/ GIMT_Encode4(1219254), // Rule ID 17584 //
     /* 1219179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1219182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1219190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1219193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1219196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219218 */     // MIs[0] round
     /* 1219218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219228 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1219231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219253 */     // GIR_Coverage, 17584,
     /* 1219253 */     GIR_EraseRootFromParent_Done,
     /* 1219254 */   // Label 17650: @1219254
     /* 1219254 */   GIM_Try, /*On fail goto*//*Label 17651*/ GIMT_Encode4(1219334), // Rule ID 17587 //
     /* 1219259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1219262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1219270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1219273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1219276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219298 */     // MIs[0] round
     /* 1219298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219308 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1219311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219333 */     // GIR_Coverage, 17587,
     /* 1219333 */     GIR_EraseRootFromParent_Done,
     /* 1219334 */   // Label 17651: @1219334
     /* 1219334 */   GIM_Try, /*On fail goto*//*Label 17652*/ GIMT_Encode4(1219414), // Rule ID 17588 //
     /* 1219339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1219342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1219350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1219353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1219356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219378 */     // MIs[0] round
     /* 1219378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219388 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1219391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219413 */     // GIR_Coverage, 17588,
     /* 1219413 */     GIR_EraseRootFromParent_Done,
     /* 1219414 */   // Label 17652: @1219414
     /* 1219414 */   GIM_Try, /*On fail goto*//*Label 17653*/ GIMT_Encode4(1219494), // Rule ID 17591 //
     /* 1219419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1219422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1219436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219458 */     // MIs[0] round
     /* 1219458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219468 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1219471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219493 */     // GIR_Coverage, 17591,
     /* 1219493 */     GIR_EraseRootFromParent_Done,
     /* 1219494 */   // Label 17653: @1219494
     /* 1219494 */   GIM_Try, /*On fail goto*//*Label 17654*/ GIMT_Encode4(1219574), // Rule ID 17592 //
     /* 1219499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1219502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1219516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219538 */     // MIs[0] round
     /* 1219538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219548 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1219551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219573 */     // GIR_Coverage, 17592,
     /* 1219573 */     GIR_EraseRootFromParent_Done,
     /* 1219574 */   // Label 17654: @1219574
     /* 1219574 */   GIM_Try, /*On fail goto*//*Label 17655*/ GIMT_Encode4(1219654), // Rule ID 17595 //
     /* 1219579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1219582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1219590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1219593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1219596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219618 */     // MIs[0] round
     /* 1219618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219628 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1219631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219653 */     // GIR_Coverage, 17595,
     /* 1219653 */     GIR_EraseRootFromParent_Done,
     /* 1219654 */   // Label 17655: @1219654
     /* 1219654 */   GIM_Try, /*On fail goto*//*Label 17656*/ GIMT_Encode4(1219734), // Rule ID 17596 //
     /* 1219659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1219662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1219670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1219673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1219676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219698 */     // MIs[0] round
     /* 1219698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219708 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11204:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1219711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219733 */     // GIR_Coverage, 17596,
     /* 1219733 */     GIR_EraseRootFromParent_Done,
     /* 1219734 */   // Label 17656: @1219734
     /* 1219734 */   GIM_Try, /*On fail goto*//*Label 17657*/ GIMT_Encode4(1219814), // Rule ID 17599 //
     /* 1219739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1219742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1219750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1219753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1219756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219778 */     // MIs[0] round
     /* 1219778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219788 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1219791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219813 */     // GIR_Coverage, 17599,
     /* 1219813 */     GIR_EraseRootFromParent_Done,
     /* 1219814 */   // Label 17657: @1219814
     /* 1219814 */   GIM_Try, /*On fail goto*//*Label 17658*/ GIMT_Encode4(1219894), // Rule ID 17600 //
     /* 1219819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1219822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1219830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1219833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1219836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219858 */     // MIs[0] round
     /* 1219858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219868 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11204:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1219871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219893 */     // GIR_Coverage, 17600,
     /* 1219893 */     GIR_EraseRootFromParent_Done,
     /* 1219894 */   // Label 17658: @1219894
     /* 1219894 */   GIM_Try, /*On fail goto*//*Label 17659*/ GIMT_Encode4(1219974), // Rule ID 17603 //
     /* 1219899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1219902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1219910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1219913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1219916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219938 */     // MIs[0] round
     /* 1219938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219948 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1219951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219973 */     // GIR_Coverage, 17603,
     /* 1219973 */     GIR_EraseRootFromParent_Done,
     /* 1219974 */   // Label 17659: @1219974
     /* 1219974 */   GIM_Try, /*On fail goto*//*Label 17660*/ GIMT_Encode4(1220054), // Rule ID 17604 //
     /* 1219979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1219982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1219987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1219990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1219993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1219996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220018 */     // MIs[0] round
     /* 1220018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220028 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11204:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1220031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220053 */     // GIR_Coverage, 17604,
     /* 1220053 */     GIR_EraseRootFromParent_Done,
     /* 1220054 */   // Label 17660: @1220054
     /* 1220054 */   GIM_Try, /*On fail goto*//*Label 17661*/ GIMT_Encode4(1220134), // Rule ID 22681 //
     /* 1220059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1220062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1220067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1220070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1220073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1220076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1220079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220098 */     // MIs[0] round
     /* 1220098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220108 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1220111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220133 */     // GIR_Coverage, 22681,
     /* 1220133 */     GIR_EraseRootFromParent_Done,
     /* 1220134 */   // Label 17661: @1220134
     /* 1220134 */   GIM_Try, /*On fail goto*//*Label 17662*/ GIMT_Encode4(1220214), // Rule ID 22682 //
     /* 1220139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1220142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1220147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1220150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1220153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1220156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1220159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220178 */     // MIs[0] round
     /* 1220178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220188 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1220191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220213 */     // GIR_Coverage, 22682,
     /* 1220213 */     GIR_EraseRootFromParent_Done,
     /* 1220214 */   // Label 17662: @1220214
     /* 1220214 */   GIM_Try, /*On fail goto*//*Label 17663*/ GIMT_Encode4(1220294), // Rule ID 22685 //
     /* 1220219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1220222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1220227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1220236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1220239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220258 */     // MIs[0] round
     /* 1220258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220268 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1220271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220293 */     // GIR_Coverage, 22685,
     /* 1220293 */     GIR_EraseRootFromParent_Done,
     /* 1220294 */   // Label 17663: @1220294
     /* 1220294 */   GIM_Try, /*On fail goto*//*Label 17664*/ GIMT_Encode4(1220374), // Rule ID 22686 //
     /* 1220299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1220302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1220307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1220316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1220319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220338 */     // MIs[0] round
     /* 1220338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220348 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1220351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220373 */     // GIR_Coverage, 22686,
     /* 1220373 */     GIR_EraseRootFromParent_Done,
     /* 1220374 */   // Label 17664: @1220374
     /* 1220374 */   GIM_Try, /*On fail goto*//*Label 17665*/ GIMT_Encode4(1220454), // Rule ID 22689 //
     /* 1220379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1220382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1220387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1220390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1220393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1220396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1220399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220418 */     // MIs[0] round
     /* 1220418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220428 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1220431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220453 */     // GIR_Coverage, 22689,
     /* 1220453 */     GIR_EraseRootFromParent_Done,
     /* 1220454 */   // Label 17665: @1220454
     /* 1220454 */   GIM_Try, /*On fail goto*//*Label 17666*/ GIMT_Encode4(1220534), // Rule ID 22690 //
     /* 1220459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1220462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1220467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1220470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1220473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1220476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1220479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220498 */     // MIs[0] round
     /* 1220498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220508 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1220511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220533 */     // GIR_Coverage, 22690,
     /* 1220533 */     GIR_EraseRootFromParent_Done,
     /* 1220534 */   // Label 17666: @1220534
     /* 1220534 */   GIM_Try, /*On fail goto*//*Label 17667*/ GIMT_Encode4(1220614), // Rule ID 22693 //
     /* 1220539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1220542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1220547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1220556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1220559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220578 */     // MIs[0] round
     /* 1220578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220588 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1220591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220613 */     // GIR_Coverage, 22693,
     /* 1220613 */     GIR_EraseRootFromParent_Done,
     /* 1220614 */   // Label 17667: @1220614
     /* 1220614 */   GIM_Try, /*On fail goto*//*Label 17668*/ GIMT_Encode4(1220694), // Rule ID 22694 //
     /* 1220619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1220622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1220627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1220636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1220639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220658 */     // MIs[0] round
     /* 1220658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220668 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1220671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220693 */     // GIR_Coverage, 22694,
     /* 1220693 */     GIR_EraseRootFromParent_Done,
     /* 1220694 */   // Label 17668: @1220694
     /* 1220694 */   GIM_Try, /*On fail goto*//*Label 17669*/ GIMT_Encode4(1220774), // Rule ID 22697 //
     /* 1220699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1220702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1220707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1220710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1220713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1220716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1220719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220738 */     // MIs[0] round
     /* 1220738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220748 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1220751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220773 */     // GIR_Coverage, 22697,
     /* 1220773 */     GIR_EraseRootFromParent_Done,
     /* 1220774 */   // Label 17669: @1220774
     /* 1220774 */   GIM_Try, /*On fail goto*//*Label 17670*/ GIMT_Encode4(1220854), // Rule ID 22698 //
     /* 1220779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1220782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1220787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1220790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1220793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1220796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1220799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220818 */     // MIs[0] round
     /* 1220818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220828 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1220831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220853 */     // GIR_Coverage, 22698,
     /* 1220853 */     GIR_EraseRootFromParent_Done,
     /* 1220854 */   // Label 17670: @1220854
     /* 1220854 */   GIM_Try, /*On fail goto*//*Label 17671*/ GIMT_Encode4(1220934), // Rule ID 22701 //
     /* 1220859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1220862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1220867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1220870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1220873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1220876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1220879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220898 */     // MIs[0] round
     /* 1220898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220908 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1220911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220933 */     // GIR_Coverage, 22701,
     /* 1220933 */     GIR_EraseRootFromParent_Done,
     /* 1220934 */   // Label 17671: @1220934
     /* 1220934 */   GIM_Try, /*On fail goto*//*Label 17672*/ GIMT_Encode4(1221014), // Rule ID 22702 //
     /* 1220939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1220942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1220947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1220950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1220953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1220956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1220959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220978 */     // MIs[0] round
     /* 1220978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220988 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1220991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221013 */     // GIR_Coverage, 22702,
     /* 1221013 */     GIR_EraseRootFromParent_Done,
     /* 1221014 */   // Label 17672: @1221014
     /* 1221014 */   GIM_Try, /*On fail goto*//*Label 17673*/ GIMT_Encode4(1221094), // Rule ID 22705 //
     /* 1221019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1221036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1221039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221058 */     // MIs[0] round
     /* 1221058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221068 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1221071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221093 */     // GIR_Coverage, 22705,
     /* 1221093 */     GIR_EraseRootFromParent_Done,
     /* 1221094 */   // Label 17673: @1221094
     /* 1221094 */   GIM_Try, /*On fail goto*//*Label 17674*/ GIMT_Encode4(1221174), // Rule ID 22706 //
     /* 1221099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1221116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1221119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221138 */     // MIs[0] round
     /* 1221138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221148 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1221151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221173 */     // GIR_Coverage, 22706,
     /* 1221173 */     GIR_EraseRootFromParent_Done,
     /* 1221174 */   // Label 17674: @1221174
     /* 1221174 */   GIM_Try, /*On fail goto*//*Label 17675*/ GIMT_Encode4(1221254), // Rule ID 22709 //
     /* 1221179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1221196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1221199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221218 */     // MIs[0] round
     /* 1221218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221228 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1221231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221253 */     // GIR_Coverage, 22709,
     /* 1221253 */     GIR_EraseRootFromParent_Done,
     /* 1221254 */   // Label 17675: @1221254
     /* 1221254 */   GIM_Try, /*On fail goto*//*Label 17676*/ GIMT_Encode4(1221334), // Rule ID 22710 //
     /* 1221259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1221276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1221279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221298 */     // MIs[0] round
     /* 1221298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221308 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1221311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221333 */     // GIR_Coverage, 22710,
     /* 1221333 */     GIR_EraseRootFromParent_Done,
     /* 1221334 */   // Label 17676: @1221334
     /* 1221334 */   GIM_Try, /*On fail goto*//*Label 17677*/ GIMT_Encode4(1221414), // Rule ID 22713 //
     /* 1221339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1221342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1221356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221378 */     // MIs[0] round
     /* 1221378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221388 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1221391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221413 */     // GIR_Coverage, 22713,
     /* 1221413 */     GIR_EraseRootFromParent_Done,
     /* 1221414 */   // Label 17677: @1221414
     /* 1221414 */   GIM_Try, /*On fail goto*//*Label 17678*/ GIMT_Encode4(1221494), // Rule ID 22714 //
     /* 1221419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1221422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1221436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221458 */     // MIs[0] round
     /* 1221458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221468 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1221471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221493 */     // GIR_Coverage, 22714,
     /* 1221493 */     GIR_EraseRootFromParent_Done,
     /* 1221494 */   // Label 17678: @1221494
     /* 1221494 */   GIM_Try, /*On fail goto*//*Label 17679*/ GIMT_Encode4(1221574), // Rule ID 22717 //
     /* 1221499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1221502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1221516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221538 */     // MIs[0] round
     /* 1221538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221548 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1221551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221573 */     // GIR_Coverage, 22717,
     /* 1221573 */     GIR_EraseRootFromParent_Done,
     /* 1221574 */   // Label 17679: @1221574
     /* 1221574 */   GIM_Try, /*On fail goto*//*Label 17680*/ GIMT_Encode4(1221654), // Rule ID 22718 //
     /* 1221579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1221582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1221596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221618 */     // MIs[0] round
     /* 1221618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221628 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1221631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221653 */     // GIR_Coverage, 22718,
     /* 1221653 */     GIR_EraseRootFromParent_Done,
     /* 1221654 */   // Label 17680: @1221654
     /* 1221654 */   GIM_Try, /*On fail goto*//*Label 17681*/ GIMT_Encode4(1221734), // Rule ID 22721 //
     /* 1221659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1221662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1221676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221698 */     // MIs[0] round
     /* 1221698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221708 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1221711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221733 */     // GIR_Coverage, 22721,
     /* 1221733 */     GIR_EraseRootFromParent_Done,
     /* 1221734 */   // Label 17681: @1221734
     /* 1221734 */   GIM_Try, /*On fail goto*//*Label 17682*/ GIMT_Encode4(1221814), // Rule ID 22722 //
     /* 1221739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1221742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1221756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221778 */     // MIs[0] round
     /* 1221778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221788 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1221791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221813 */     // GIR_Coverage, 22722,
     /* 1221813 */     GIR_EraseRootFromParent_Done,
     /* 1221814 */   // Label 17682: @1221814
     /* 1221814 */   GIM_Try, /*On fail goto*//*Label 17683*/ GIMT_Encode4(1221894), // Rule ID 22725 //
     /* 1221819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1221822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1221836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1221839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221858 */     // MIs[0] round
     /* 1221858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221868 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1221871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1221889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221893 */     // GIR_Coverage, 22725,
     /* 1221893 */     GIR_EraseRootFromParent_Done,
     /* 1221894 */   // Label 17683: @1221894
     /* 1221894 */   GIM_Try, /*On fail goto*//*Label 17684*/ GIMT_Encode4(1221974), // Rule ID 22726 //
     /* 1221899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1221902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1221916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1221919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221938 */     // MIs[0] round
     /* 1221938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221948 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1221951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1221969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221973 */     // GIR_Coverage, 22726,
     /* 1221973 */     GIR_EraseRootFromParent_Done,
     /* 1221974 */   // Label 17684: @1221974
     /* 1221974 */   GIM_Try, /*On fail goto*//*Label 17685*/ GIMT_Encode4(1222054), // Rule ID 22729 //
     /* 1221979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1221982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1221987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1221996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1221999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222018 */     // MIs[0] round
     /* 1222018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222028 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1222031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222053 */     // GIR_Coverage, 22729,
     /* 1222053 */     GIR_EraseRootFromParent_Done,
     /* 1222054 */   // Label 17685: @1222054
     /* 1222054 */   GIM_Try, /*On fail goto*//*Label 17686*/ GIMT_Encode4(1222134), // Rule ID 22730 //
     /* 1222059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1222062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1222070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1222073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1222076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1222079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222098 */     // MIs[0] round
     /* 1222098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222108 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1222111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222133 */     // GIR_Coverage, 22730,
     /* 1222133 */     GIR_EraseRootFromParent_Done,
     /* 1222134 */   // Label 17686: @1222134
     /* 1222134 */   GIM_Try, /*On fail goto*//*Label 17687*/ GIMT_Encode4(1222214), // Rule ID 22733 //
     /* 1222139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1222142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1222150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1222153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1222156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1222159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222178 */     // MIs[0] round
     /* 1222178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222188 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1222191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222213 */     // GIR_Coverage, 22733,
     /* 1222213 */     GIR_EraseRootFromParent_Done,
     /* 1222214 */   // Label 17687: @1222214
     /* 1222214 */   GIM_Try, /*On fail goto*//*Label 17688*/ GIMT_Encode4(1222294), // Rule ID 22734 //
     /* 1222219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1222222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1222227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1222230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1222233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1222236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1222239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222258 */     // MIs[0] round
     /* 1222258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222268 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1222271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222293 */     // GIR_Coverage, 22734,
     /* 1222293 */     GIR_EraseRootFromParent_Done,
     /* 1222294 */   // Label 17688: @1222294
     /* 1222294 */   GIM_Try, /*On fail goto*//*Label 17689*/ GIMT_Encode4(1222374), // Rule ID 22737 //
     /* 1222299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1222307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1222316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222338 */     // MIs[0] round
     /* 1222338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222348 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1222351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222373 */     // GIR_Coverage, 22737,
     /* 1222373 */     GIR_EraseRootFromParent_Done,
     /* 1222374 */   // Label 17689: @1222374
     /* 1222374 */   GIM_Try, /*On fail goto*//*Label 17690*/ GIMT_Encode4(1222454), // Rule ID 22738 //
     /* 1222379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1222387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1222396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222418 */     // MIs[0] round
     /* 1222418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222428 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1222431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222453 */     // GIR_Coverage, 22738,
     /* 1222453 */     GIR_EraseRootFromParent_Done,
     /* 1222454 */   // Label 17690: @1222454
     /* 1222454 */   GIM_Try, /*On fail goto*//*Label 17691*/ GIMT_Encode4(1222534), // Rule ID 22741 //
     /* 1222459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1222467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1222476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222498 */     // MIs[0] round
     /* 1222498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222508 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1222511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222533 */     // GIR_Coverage, 22741,
     /* 1222533 */     GIR_EraseRootFromParent_Done,
     /* 1222534 */   // Label 17691: @1222534
     /* 1222534 */   GIM_Try, /*On fail goto*//*Label 17692*/ GIMT_Encode4(1222614), // Rule ID 22742 //
     /* 1222539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1222547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1222556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222578 */     // MIs[0] round
     /* 1222578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222588 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1222591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222613 */     // GIR_Coverage, 22742,
     /* 1222613 */     GIR_EraseRootFromParent_Done,
     /* 1222614 */   // Label 17692: @1222614
     /* 1222614 */   GIM_Try, /*On fail goto*//*Label 17693*/ GIMT_Encode4(1222694), // Rule ID 22745 //
     /* 1222619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1222627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1222636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222658 */     // MIs[0] round
     /* 1222658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222668 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1222671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222693 */     // GIR_Coverage, 22745,
     /* 1222693 */     GIR_EraseRootFromParent_Done,
     /* 1222694 */   // Label 17693: @1222694
     /* 1222694 */   GIM_Try, /*On fail goto*//*Label 17694*/ GIMT_Encode4(1222774), // Rule ID 22746 //
     /* 1222699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1222707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1222716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222738 */     // MIs[0] round
     /* 1222738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222748 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1222751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222773 */     // GIR_Coverage, 22746,
     /* 1222773 */     GIR_EraseRootFromParent_Done,
     /* 1222774 */   // Label 17694: @1222774
     /* 1222774 */   GIM_Try, /*On fail goto*//*Label 17695*/ GIMT_Encode4(1222854), // Rule ID 22749 //
     /* 1222779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1222787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1222796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222818 */     // MIs[0] round
     /* 1222818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222828 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1222831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222853 */     // GIR_Coverage, 22749,
     /* 1222853 */     GIR_EraseRootFromParent_Done,
     /* 1222854 */   // Label 17695: @1222854
     /* 1222854 */   GIM_Try, /*On fail goto*//*Label 17696*/ GIMT_Encode4(1222934), // Rule ID 22750 //
     /* 1222859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1222867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1222870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1222873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1222876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1222879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222898 */     // MIs[0] round
     /* 1222898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222908 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1222911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222933 */     // GIR_Coverage, 22750,
     /* 1222933 */     GIR_EraseRootFromParent_Done,
     /* 1222934 */   // Label 17696: @1222934
     /* 1222934 */   GIM_Try, /*On fail goto*//*Label 17697*/ GIMT_Encode4(1223014), // Rule ID 22753 //
     /* 1222939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1222947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1222956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222978 */     // MIs[0] round
     /* 1222978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222988 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1222991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223013 */     // GIR_Coverage, 22753,
     /* 1223013 */     GIR_EraseRootFromParent_Done,
     /* 1223014 */   // Label 17697: @1223014
     /* 1223014 */   GIM_Try, /*On fail goto*//*Label 17698*/ GIMT_Encode4(1223094), // Rule ID 22754 //
     /* 1223019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1223022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1223036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223058 */     // MIs[0] round
     /* 1223058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223068 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1223071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223093 */     // GIR_Coverage, 22754,
     /* 1223093 */     GIR_EraseRootFromParent_Done,
     /* 1223094 */   // Label 17698: @1223094
     /* 1223094 */   GIM_Try, /*On fail goto*//*Label 17699*/ GIMT_Encode4(1223174), // Rule ID 22757 //
     /* 1223099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1223102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1223116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223138 */     // MIs[0] round
     /* 1223138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223148 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1223151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223173 */     // GIR_Coverage, 22757,
     /* 1223173 */     GIR_EraseRootFromParent_Done,
     /* 1223174 */   // Label 17699: @1223174
     /* 1223174 */   GIM_Try, /*On fail goto*//*Label 17700*/ GIMT_Encode4(1223254), // Rule ID 22758 //
     /* 1223179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1223182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1223196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223218 */     // MIs[0] round
     /* 1223218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223228 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1223231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223253 */     // GIR_Coverage, 22758,
     /* 1223253 */     GIR_EraseRootFromParent_Done,
     /* 1223254 */   // Label 17700: @1223254
     /* 1223254 */   GIM_Try, /*On fail goto*//*Label 17701*/ GIMT_Encode4(1223334), // Rule ID 22761 //
     /* 1223259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1223262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1223270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1223273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1223276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223298 */     // MIs[0] round
     /* 1223298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223308 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1223311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223333 */     // GIR_Coverage, 22761,
     /* 1223333 */     GIR_EraseRootFromParent_Done,
     /* 1223334 */   // Label 17701: @1223334
     /* 1223334 */   GIM_Try, /*On fail goto*//*Label 17702*/ GIMT_Encode4(1223414), // Rule ID 22762 //
     /* 1223339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1223342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1223350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1223353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1223356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223378 */     // MIs[0] round
     /* 1223378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223388 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1223391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223413 */     // GIR_Coverage, 22762,
     /* 1223413 */     GIR_EraseRootFromParent_Done,
     /* 1223414 */   // Label 17702: @1223414
     /* 1223414 */   GIM_Try, /*On fail goto*//*Label 17703*/ GIMT_Encode4(1223494), // Rule ID 22765 //
     /* 1223419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1223422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1223430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1223433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1223436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223458 */     // MIs[0] round
     /* 1223458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223468 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1223471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223493 */     // GIR_Coverage, 22765,
     /* 1223493 */     GIR_EraseRootFromParent_Done,
     /* 1223494 */   // Label 17703: @1223494
     /* 1223494 */   GIM_Try, /*On fail goto*//*Label 17704*/ GIMT_Encode4(1223574), // Rule ID 22766 //
     /* 1223499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1223502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1223510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1223513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1223516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223538 */     // MIs[0] round
     /* 1223538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223548 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1223551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223573 */     // GIR_Coverage, 22766,
     /* 1223573 */     GIR_EraseRootFromParent_Done,
     /* 1223574 */   // Label 17704: @1223574
     /* 1223574 */   GIM_Try, /*On fail goto*//*Label 17705*/ GIMT_Encode4(1223654), // Rule ID 22769 //
     /* 1223579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1223582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1223590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1223593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1223596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223618 */     // MIs[0] round
     /* 1223618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223628 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1223631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223653 */     // GIR_Coverage, 22769,
     /* 1223653 */     GIR_EraseRootFromParent_Done,
     /* 1223654 */   // Label 17705: @1223654
     /* 1223654 */   GIM_Try, /*On fail goto*//*Label 17706*/ GIMT_Encode4(1223734), // Rule ID 22770 //
     /* 1223659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1223662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1223670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1223673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1223676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1223679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223698 */     // MIs[0] round
     /* 1223698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223708 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1223711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223733 */     // GIR_Coverage, 22770,
     /* 1223733 */     GIR_EraseRootFromParent_Done,
     /* 1223734 */   // Label 17706: @1223734
     /* 1223734 */   GIM_Try, /*On fail goto*//*Label 17707*/ GIMT_Encode4(1223814), // Rule ID 22773 //
     /* 1223739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1223742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1223756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223778 */     // MIs[0] round
     /* 1223778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223788 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1223791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223813 */     // GIR_Coverage, 22773,
     /* 1223813 */     GIR_EraseRootFromParent_Done,
     /* 1223814 */   // Label 17707: @1223814
     /* 1223814 */   GIM_Try, /*On fail goto*//*Label 17708*/ GIMT_Encode4(1223894), // Rule ID 22774 //
     /* 1223819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1223822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1223836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223858 */     // MIs[0] round
     /* 1223858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223868 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1223871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223893 */     // GIR_Coverage, 22774,
     /* 1223893 */     GIR_EraseRootFromParent_Done,
     /* 1223894 */   // Label 17708: @1223894
     /* 1223894 */   GIM_Try, /*On fail goto*//*Label 17709*/ GIMT_Encode4(1223974), // Rule ID 22777 //
     /* 1223899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1223902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1223916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223938 */     // MIs[0] round
     /* 1223938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223948 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1223951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223973 */     // GIR_Coverage, 22777,
     /* 1223973 */     GIR_EraseRootFromParent_Done,
     /* 1223974 */   // Label 17709: @1223974
     /* 1223974 */   GIM_Try, /*On fail goto*//*Label 17710*/ GIMT_Encode4(1224054), // Rule ID 22778 //
     /* 1223979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1223982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1223987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1223996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1223999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224018 */     // MIs[0] round
     /* 1224018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224028 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1224031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224053 */     // GIR_Coverage, 22778,
     /* 1224053 */     GIR_EraseRootFromParent_Done,
     /* 1224054 */   // Label 17710: @1224054
     /* 1224054 */   GIM_Try, /*On fail goto*//*Label 17711*/ GIMT_Encode4(1224134), // Rule ID 22781 //
     /* 1224059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1224062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1224076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224098 */     // MIs[0] round
     /* 1224098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224108 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1224111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224133 */     // GIR_Coverage, 22781,
     /* 1224133 */     GIR_EraseRootFromParent_Done,
     /* 1224134 */   // Label 17711: @1224134
     /* 1224134 */   GIM_Try, /*On fail goto*//*Label 17712*/ GIMT_Encode4(1224214), // Rule ID 22782 //
     /* 1224139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1224142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1224156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224178 */     // MIs[0] round
     /* 1224178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224188 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1224191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224213 */     // GIR_Coverage, 22782,
     /* 1224213 */     GIR_EraseRootFromParent_Done,
     /* 1224214 */   // Label 17712: @1224214
     /* 1224214 */   GIM_Try, /*On fail goto*//*Label 17713*/ GIMT_Encode4(1224294), // Rule ID 22785 //
     /* 1224219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1224222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1224230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1224233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1224236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1224239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224258 */     // MIs[0] round
     /* 1224258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224268 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1224271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224293 */     // GIR_Coverage, 22785,
     /* 1224293 */     GIR_EraseRootFromParent_Done,
     /* 1224294 */   // Label 17713: @1224294
     /* 1224294 */   GIM_Try, /*On fail goto*//*Label 17714*/ GIMT_Encode4(1224374), // Rule ID 22786 //
     /* 1224299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1224302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1224310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1224313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1224316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1224319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224338 */     // MIs[0] round
     /* 1224338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224348 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1224351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224373 */     // GIR_Coverage, 22786,
     /* 1224373 */     GIR_EraseRootFromParent_Done,
     /* 1224374 */   // Label 17714: @1224374
     /* 1224374 */   GIM_Try, /*On fail goto*//*Label 17715*/ GIMT_Encode4(1224454), // Rule ID 22789 //
     /* 1224379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1224382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1224390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1224393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1224396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1224399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224418 */     // MIs[0] round
     /* 1224418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224428 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1224431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224453 */     // GIR_Coverage, 22789,
     /* 1224453 */     GIR_EraseRootFromParent_Done,
     /* 1224454 */   // Label 17715: @1224454
     /* 1224454 */   GIM_Try, /*On fail goto*//*Label 17716*/ GIMT_Encode4(1224534), // Rule ID 22790 //
     /* 1224459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1224462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1224470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1224473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1224476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1224479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224498 */     // MIs[0] round
     /* 1224498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224508 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1224511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224533 */     // GIR_Coverage, 22790,
     /* 1224533 */     GIR_EraseRootFromParent_Done,
     /* 1224534 */   // Label 17716: @1224534
     /* 1224534 */   GIM_Try, /*On fail goto*//*Label 17717*/ GIMT_Encode4(1224614), // Rule ID 22793 //
     /* 1224539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1224542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1224550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1224553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1224556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1224559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224578 */     // MIs[0] round
     /* 1224578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224588 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1224591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224613 */     // GIR_Coverage, 22793,
     /* 1224613 */     GIR_EraseRootFromParent_Done,
     /* 1224614 */   // Label 17717: @1224614
     /* 1224614 */   GIM_Try, /*On fail goto*//*Label 17718*/ GIMT_Encode4(1224694), // Rule ID 22794 //
     /* 1224619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1224622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1224627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1224630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1224633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1224636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1224639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224658 */     // MIs[0] round
     /* 1224658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224668 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1224671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224693 */     // GIR_Coverage, 22794,
     /* 1224693 */     GIR_EraseRootFromParent_Done,
     /* 1224694 */   // Label 17718: @1224694
     /* 1224694 */   GIM_Try, /*On fail goto*//*Label 17719*/ GIMT_Encode4(1224774), // Rule ID 22917 //
     /* 1224699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1224702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1224707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1224716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224738 */     // MIs[0] round
     /* 1224738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224748 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1224751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224773 */     // GIR_Coverage, 22917,
     /* 1224773 */     GIR_EraseRootFromParent_Done,
     /* 1224774 */   // Label 17719: @1224774
     /* 1224774 */   GIM_Try, /*On fail goto*//*Label 17720*/ GIMT_Encode4(1224854), // Rule ID 22918 //
     /* 1224779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1224787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1224796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224818 */     // MIs[0] round
     /* 1224818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224828 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1224831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224853 */     // GIR_Coverage, 22918,
     /* 1224853 */     GIR_EraseRootFromParent_Done,
     /* 1224854 */   // Label 17720: @1224854
     /* 1224854 */   GIM_Try, /*On fail goto*//*Label 17721*/ GIMT_Encode4(1224934), // Rule ID 22921 //
     /* 1224859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1224862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1224867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1224876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224898 */     // MIs[0] round
     /* 1224898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224908 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1224911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224933 */     // GIR_Coverage, 22921,
     /* 1224933 */     GIR_EraseRootFromParent_Done,
     /* 1224934 */   // Label 17721: @1224934
     /* 1224934 */   GIM_Try, /*On fail goto*//*Label 17722*/ GIMT_Encode4(1225014), // Rule ID 22922 //
     /* 1224939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1224947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1224950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1224953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1224956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1224959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224978 */     // MIs[0] round
     /* 1224978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224988 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1224991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1224995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225013 */     // GIR_Coverage, 22922,
     /* 1225013 */     GIR_EraseRootFromParent_Done,
     /* 1225014 */   // Label 17722: @1225014
     /* 1225014 */   GIM_Try, /*On fail goto*//*Label 17723*/ GIMT_Encode4(1225094), // Rule ID 22925 //
     /* 1225019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1225022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1225027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1225036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225058 */     // MIs[0] round
     /* 1225058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225068 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1225071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225093 */     // GIR_Coverage, 22925,
     /* 1225093 */     GIR_EraseRootFromParent_Done,
     /* 1225094 */   // Label 17723: @1225094
     /* 1225094 */   GIM_Try, /*On fail goto*//*Label 17724*/ GIMT_Encode4(1225174), // Rule ID 22926 //
     /* 1225099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1225102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1225107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1225116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225138 */     // MIs[0] round
     /* 1225138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225148 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1225151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225173 */     // GIR_Coverage, 22926,
     /* 1225173 */     GIR_EraseRootFromParent_Done,
     /* 1225174 */   // Label 17724: @1225174
     /* 1225174 */   GIM_Try, /*On fail goto*//*Label 17725*/ GIMT_Encode4(1225254), // Rule ID 22929 //
     /* 1225179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1225182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1225187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1225196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225218 */     // MIs[0] round
     /* 1225218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225228 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1225231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225253 */     // GIR_Coverage, 22929,
     /* 1225253 */     GIR_EraseRootFromParent_Done,
     /* 1225254 */   // Label 17725: @1225254
     /* 1225254 */   GIM_Try, /*On fail goto*//*Label 17726*/ GIMT_Encode4(1225334), // Rule ID 22930 //
     /* 1225259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1225262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1225267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1225276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225298 */     // MIs[0] round
     /* 1225298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225308 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1225311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225333 */     // GIR_Coverage, 22930,
     /* 1225333 */     GIR_EraseRootFromParent_Done,
     /* 1225334 */   // Label 17726: @1225334
     /* 1225334 */   GIM_Try, /*On fail goto*//*Label 17727*/ GIMT_Encode4(1225414), // Rule ID 22933 //
     /* 1225339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1225342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1225347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1225356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225378 */     // MIs[0] round
     /* 1225378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225388 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1225391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225413 */     // GIR_Coverage, 22933,
     /* 1225413 */     GIR_EraseRootFromParent_Done,
     /* 1225414 */   // Label 17727: @1225414
     /* 1225414 */   GIM_Try, /*On fail goto*//*Label 17728*/ GIMT_Encode4(1225494), // Rule ID 22934 //
     /* 1225419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1225422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1225427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1225436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225458 */     // MIs[0] round
     /* 1225458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225468 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1225471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225493 */     // GIR_Coverage, 22934,
     /* 1225493 */     GIR_EraseRootFromParent_Done,
     /* 1225494 */   // Label 17728: @1225494
     /* 1225494 */   GIM_Try, /*On fail goto*//*Label 17729*/ GIMT_Encode4(1225574), // Rule ID 22937 //
     /* 1225499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1225502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1225507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1225516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225538 */     // MIs[0] round
     /* 1225538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225548 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1225551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225573 */     // GIR_Coverage, 22937,
     /* 1225573 */     GIR_EraseRootFromParent_Done,
     /* 1225574 */   // Label 17729: @1225574
     /* 1225574 */   GIM_Try, /*On fail goto*//*Label 17730*/ GIMT_Encode4(1225654), // Rule ID 22938 //
     /* 1225579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1225582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1225587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1225596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225618 */     // MIs[0] round
     /* 1225618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225628 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1225631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225653 */     // GIR_Coverage, 22938,
     /* 1225653 */     GIR_EraseRootFromParent_Done,
     /* 1225654 */   // Label 17730: @1225654
     /* 1225654 */   GIM_Try, /*On fail goto*//*Label 17731*/ GIMT_Encode4(1225734), // Rule ID 22941 //
     /* 1225659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1225662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1225667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1225676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225698 */     // MIs[0] round
     /* 1225698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225708 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1225711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225733 */     // GIR_Coverage, 22941,
     /* 1225733 */     GIR_EraseRootFromParent_Done,
     /* 1225734 */   // Label 17731: @1225734
     /* 1225734 */   GIM_Try, /*On fail goto*//*Label 17732*/ GIMT_Encode4(1225814), // Rule ID 22942 //
     /* 1225739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1225742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1225747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1225756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225778 */     // MIs[0] round
     /* 1225778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225788 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1225791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225813 */     // GIR_Coverage, 22942,
     /* 1225813 */     GIR_EraseRootFromParent_Done,
     /* 1225814 */   // Label 17732: @1225814
     /* 1225814 */   GIM_Try, /*On fail goto*//*Label 17733*/ GIMT_Encode4(1225894), // Rule ID 22945 //
     /* 1225819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1225822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1225827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1225836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225858 */     // MIs[0] round
     /* 1225858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225868 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1225871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225893 */     // GIR_Coverage, 22945,
     /* 1225893 */     GIR_EraseRootFromParent_Done,
     /* 1225894 */   // Label 17733: @1225894
     /* 1225894 */   GIM_Try, /*On fail goto*//*Label 17734*/ GIMT_Encode4(1225974), // Rule ID 22946 //
     /* 1225899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1225902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1225907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1225910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1225913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1225916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225938 */     // MIs[0] round
     /* 1225938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225948 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1225951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225973 */     // GIR_Coverage, 22946,
     /* 1225973 */     GIR_EraseRootFromParent_Done,
     /* 1225974 */   // Label 17734: @1225974
     /* 1225974 */   GIM_Try, /*On fail goto*//*Label 17735*/ GIMT_Encode4(1226054), // Rule ID 22949 //
     /* 1225979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1225982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1225987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1225990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1225993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1225996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226018 */     // MIs[0] round
     /* 1226018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226028 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1226031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226053 */     // GIR_Coverage, 22949,
     /* 1226053 */     GIR_EraseRootFromParent_Done,
     /* 1226054 */   // Label 17735: @1226054
     /* 1226054 */   GIM_Try, /*On fail goto*//*Label 17736*/ GIMT_Encode4(1226134), // Rule ID 22950 //
     /* 1226059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1226076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226098 */     // MIs[0] round
     /* 1226098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226108 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1226111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226133 */     // GIR_Coverage, 22950,
     /* 1226133 */     GIR_EraseRootFromParent_Done,
     /* 1226134 */   // Label 17736: @1226134
     /* 1226134 */   GIM_Try, /*On fail goto*//*Label 17737*/ GIMT_Encode4(1226214), // Rule ID 22953 //
     /* 1226139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1226156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226178 */     // MIs[0] round
     /* 1226178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226188 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1226191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226213 */     // GIR_Coverage, 22953,
     /* 1226213 */     GIR_EraseRootFromParent_Done,
     /* 1226214 */   // Label 17737: @1226214
     /* 1226214 */   GIM_Try, /*On fail goto*//*Label 17738*/ GIMT_Encode4(1226294), // Rule ID 22954 //
     /* 1226219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1226236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226258 */     // MIs[0] round
     /* 1226258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226268 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1226271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226293 */     // GIR_Coverage, 22954,
     /* 1226293 */     GIR_EraseRootFromParent_Done,
     /* 1226294 */   // Label 17738: @1226294
     /* 1226294 */   GIM_Try, /*On fail goto*//*Label 17739*/ GIMT_Encode4(1226374), // Rule ID 22957 //
     /* 1226299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1226316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226338 */     // MIs[0] round
     /* 1226338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226348 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1226351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226373 */     // GIR_Coverage, 22957,
     /* 1226373 */     GIR_EraseRootFromParent_Done,
     /* 1226374 */   // Label 17739: @1226374
     /* 1226374 */   GIM_Try, /*On fail goto*//*Label 17740*/ GIMT_Encode4(1226454), // Rule ID 22958 //
     /* 1226379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1226387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1226396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226418 */     // MIs[0] round
     /* 1226418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226428 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1226431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226453 */     // GIR_Coverage, 22958,
     /* 1226453 */     GIR_EraseRootFromParent_Done,
     /* 1226454 */   // Label 17740: @1226454
     /* 1226454 */   GIM_Try, /*On fail goto*//*Label 17741*/ GIMT_Encode4(1226534), // Rule ID 22961 //
     /* 1226459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1226467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1226476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226498 */     // MIs[0] round
     /* 1226498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226508 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1226511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226533 */     // GIR_Coverage, 22961,
     /* 1226533 */     GIR_EraseRootFromParent_Done,
     /* 1226534 */   // Label 17741: @1226534
     /* 1226534 */   GIM_Try, /*On fail goto*//*Label 17742*/ GIMT_Encode4(1226614), // Rule ID 22962 //
     /* 1226539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1226547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1226556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226578 */     // MIs[0] round
     /* 1226578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226588 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1226591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226613 */     // GIR_Coverage, 22962,
     /* 1226613 */     GIR_EraseRootFromParent_Done,
     /* 1226614 */   // Label 17742: @1226614
     /* 1226614 */   GIM_Try, /*On fail goto*//*Label 17743*/ GIMT_Encode4(1226694), // Rule ID 22965 //
     /* 1226619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1226627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1226636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226658 */     // MIs[0] round
     /* 1226658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226668 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1226671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226693 */     // GIR_Coverage, 22965,
     /* 1226693 */     GIR_EraseRootFromParent_Done,
     /* 1226694 */   // Label 17743: @1226694
     /* 1226694 */   GIM_Try, /*On fail goto*//*Label 17744*/ GIMT_Encode4(1226774), // Rule ID 22966 //
     /* 1226699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1226707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1226716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226738 */     // MIs[0] round
     /* 1226738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226748 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1226751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226773 */     // GIR_Coverage, 22966,
     /* 1226773 */     GIR_EraseRootFromParent_Done,
     /* 1226774 */   // Label 17744: @1226774
     /* 1226774 */   GIM_Try, /*On fail goto*//*Label 17745*/ GIMT_Encode4(1226854), // Rule ID 22969 //
     /* 1226779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1226787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1226796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226818 */     // MIs[0] round
     /* 1226818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226828 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1226831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226853 */     // GIR_Coverage, 22969,
     /* 1226853 */     GIR_EraseRootFromParent_Done,
     /* 1226854 */   // Label 17745: @1226854
     /* 1226854 */   GIM_Try, /*On fail goto*//*Label 17746*/ GIMT_Encode4(1226934), // Rule ID 22970 //
     /* 1226859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1226867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1226876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1226879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226898 */     // MIs[0] round
     /* 1226898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226908 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1226911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226933 */     // GIR_Coverage, 22970,
     /* 1226933 */     GIR_EraseRootFromParent_Done,
     /* 1226934 */   // Label 17746: @1226934
     /* 1226934 */   GIM_Try, /*On fail goto*//*Label 17747*/ GIMT_Encode4(1227014), // Rule ID 22973 //
     /* 1226939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1226947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1226956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226978 */     // MIs[0] round
     /* 1226978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226988 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1226991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1226995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227013 */     // GIR_Coverage, 22973,
     /* 1227013 */     GIR_EraseRootFromParent_Done,
     /* 1227014 */   // Label 17747: @1227014
     /* 1227014 */   GIM_Try, /*On fail goto*//*Label 17748*/ GIMT_Encode4(1227094), // Rule ID 22974 //
     /* 1227019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1227036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227058 */     // MIs[0] round
     /* 1227058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227068 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1227071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227093 */     // GIR_Coverage, 22974,
     /* 1227093 */     GIR_EraseRootFromParent_Done,
     /* 1227094 */   // Label 17748: @1227094
     /* 1227094 */   GIM_Try, /*On fail goto*//*Label 17749*/ GIMT_Encode4(1227174), // Rule ID 22977 //
     /* 1227099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1227116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227138 */     // MIs[0] round
     /* 1227138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227148 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1227151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227173 */     // GIR_Coverage, 22977,
     /* 1227173 */     GIR_EraseRootFromParent_Done,
     /* 1227174 */   // Label 17749: @1227174
     /* 1227174 */   GIM_Try, /*On fail goto*//*Label 17750*/ GIMT_Encode4(1227254), // Rule ID 22978 //
     /* 1227179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1227196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227218 */     // MIs[0] round
     /* 1227218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227228 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1227231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227253 */     // GIR_Coverage, 22978,
     /* 1227253 */     GIR_EraseRootFromParent_Done,
     /* 1227254 */   // Label 17750: @1227254
     /* 1227254 */   GIM_Try, /*On fail goto*//*Label 17751*/ GIMT_Encode4(1227334), // Rule ID 22981 //
     /* 1227259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1227276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227298 */     // MIs[0] round
     /* 1227298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227308 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1227311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227333 */     // GIR_Coverage, 22981,
     /* 1227333 */     GIR_EraseRootFromParent_Done,
     /* 1227334 */   // Label 17751: @1227334
     /* 1227334 */   GIM_Try, /*On fail goto*//*Label 17752*/ GIMT_Encode4(1227414), // Rule ID 22982 //
     /* 1227339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1227356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227378 */     // MIs[0] round
     /* 1227378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227388 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1227391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227413 */     // GIR_Coverage, 22982,
     /* 1227413 */     GIR_EraseRootFromParent_Done,
     /* 1227414 */   // Label 17752: @1227414
     /* 1227414 */   GIM_Try, /*On fail goto*//*Label 17753*/ GIMT_Encode4(1227494), // Rule ID 22985 //
     /* 1227419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1227436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227458 */     // MIs[0] round
     /* 1227458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227468 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1227471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227493 */     // GIR_Coverage, 22985,
     /* 1227493 */     GIR_EraseRootFromParent_Done,
     /* 1227494 */   // Label 17753: @1227494
     /* 1227494 */   GIM_Try, /*On fail goto*//*Label 17754*/ GIMT_Encode4(1227574), // Rule ID 22986 //
     /* 1227499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1227516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227538 */     // MIs[0] round
     /* 1227538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227548 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1227551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227573 */     // GIR_Coverage, 22986,
     /* 1227573 */     GIR_EraseRootFromParent_Done,
     /* 1227574 */   // Label 17754: @1227574
     /* 1227574 */   GIM_Try, /*On fail goto*//*Label 17755*/ GIMT_Encode4(1227654), // Rule ID 22989 //
     /* 1227579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1227582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1227596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227618 */     // MIs[0] round
     /* 1227618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227628 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1227631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227653 */     // GIR_Coverage, 22989,
     /* 1227653 */     GIR_EraseRootFromParent_Done,
     /* 1227654 */   // Label 17755: @1227654
     /* 1227654 */   GIM_Try, /*On fail goto*//*Label 17756*/ GIMT_Encode4(1227734), // Rule ID 22990 //
     /* 1227659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1227662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1227676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227698 */     // MIs[0] round
     /* 1227698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227708 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1227711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227733 */     // GIR_Coverage, 22990,
     /* 1227733 */     GIR_EraseRootFromParent_Done,
     /* 1227734 */   // Label 17756: @1227734
     /* 1227734 */   GIM_Try, /*On fail goto*//*Label 17757*/ GIMT_Encode4(1227814), // Rule ID 22993 //
     /* 1227739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1227756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227778 */     // MIs[0] round
     /* 1227778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227788 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1227791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227813 */     // GIR_Coverage, 22993,
     /* 1227813 */     GIR_EraseRootFromParent_Done,
     /* 1227814 */   // Label 17757: @1227814
     /* 1227814 */   GIM_Try, /*On fail goto*//*Label 17758*/ GIMT_Encode4(1227894), // Rule ID 22994 //
     /* 1227819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1227836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227858 */     // MIs[0] round
     /* 1227858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227868 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1227871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227893 */     // GIR_Coverage, 22994,
     /* 1227893 */     GIR_EraseRootFromParent_Done,
     /* 1227894 */   // Label 17758: @1227894
     /* 1227894 */   GIM_Try, /*On fail goto*//*Label 17759*/ GIMT_Encode4(1227974), // Rule ID 22997 //
     /* 1227899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1227916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227938 */     // MIs[0] round
     /* 1227938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227948 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1227951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1227955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227973 */     // GIR_Coverage, 22997,
     /* 1227973 */     GIR_EraseRootFromParent_Done,
     /* 1227974 */   // Label 17759: @1227974
     /* 1227974 */   GIM_Try, /*On fail goto*//*Label 17760*/ GIMT_Encode4(1228054), // Rule ID 22998 //
     /* 1227979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1227987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1227996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228018 */     // MIs[0] round
     /* 1228018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228028 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1228031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228053 */     // GIR_Coverage, 22998,
     /* 1228053 */     GIR_EraseRootFromParent_Done,
     /* 1228054 */   // Label 17760: @1228054
     /* 1228054 */   GIM_Try, /*On fail goto*//*Label 17761*/ GIMT_Encode4(1228134), // Rule ID 23001 //
     /* 1228059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1228062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1228076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228098 */     // MIs[0] round
     /* 1228098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228108 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1228111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228133 */     // GIR_Coverage, 23001,
     /* 1228133 */     GIR_EraseRootFromParent_Done,
     /* 1228134 */   // Label 17761: @1228134
     /* 1228134 */   GIM_Try, /*On fail goto*//*Label 17762*/ GIMT_Encode4(1228214), // Rule ID 23002 //
     /* 1228139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1228142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1228147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1228156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1228159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228178 */     // MIs[0] round
     /* 1228178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228188 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1228191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1228195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228213 */     // GIR_Coverage, 23002,
     /* 1228213 */     GIR_EraseRootFromParent_Done,
     /* 1228214 */   // Label 17762: @1228214
     /* 1228214 */   GIM_Try, /*On fail goto*//*Label 17763*/ GIMT_Encode4(1228294), // Rule ID 63757 //
     /* 1228219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1228222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1228227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1228230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1228233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1228236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1228239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1228258 */     // MIs[0] round
     /* 1228258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228268 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10997:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1228271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1228289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228293 */     // GIR_Coverage, 63757,
     /* 1228293 */     GIR_EraseRootFromParent_Done,
     /* 1228294 */   // Label 17763: @1228294
     /* 1228294 */   GIM_Try, /*On fail goto*//*Label 17764*/ GIMT_Encode4(1228374), // Rule ID 63758 //
     /* 1228299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1228302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1228307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1228310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1228313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1228316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1228319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1228338 */     // MIs[0] round
     /* 1228338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228348 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10997:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1228351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1228369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228373 */     // GIR_Coverage, 63758,
     /* 1228373 */     GIR_EraseRootFromParent_Done,
     /* 1228374 */   // Label 17764: @1228374
     /* 1228374 */   GIM_Try, /*On fail goto*//*Label 17765*/ GIMT_Encode4(1228454), // Rule ID 63761 //
     /* 1228379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1228382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1228387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1228390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1228393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1228396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1228399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1228418 */     // MIs[0] round
     /* 1228418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228428 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10997:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1228431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1228449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228453 */     // GIR_Coverage, 63761,
     /* 1228453 */     GIR_EraseRootFromParent_Done,
     /* 1228454 */   // Label 17765: @1228454
     /* 1228454 */   GIM_Try, /*On fail goto*//*Label 17766*/ GIMT_Encode4(1228534), // Rule ID 63762 //
     /* 1228459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1228462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1228467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1228470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1228473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1228476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1228479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1228498 */     // MIs[0] round
     /* 1228498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228508 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10997:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1228511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1228529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228533 */     // GIR_Coverage, 63762,
     /* 1228533 */     GIR_EraseRootFromParent_Done,
     /* 1228534 */   // Label 17766: @1228534
     /* 1228534 */   GIM_Try, /*On fail goto*//*Label 17767*/ GIMT_Encode4(1228614), // Rule ID 63765 //
     /* 1228539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1228542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1228547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1228550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1228553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1228556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1228559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1228578 */     // MIs[0] round
     /* 1228578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228588 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10997:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1228591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1228609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228613 */     // GIR_Coverage, 63765,
     /* 1228613 */     GIR_EraseRootFromParent_Done,
     /* 1228614 */   // Label 17767: @1228614
     /* 1228614 */   GIM_Try, /*On fail goto*//*Label 17768*/ GIMT_Encode4(1228694), // Rule ID 63766 //
     /* 1228619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1228622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1228627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1228630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1228633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1228636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1228639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1228658 */     // MIs[0] round
     /* 1228658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228668 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10997:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1228671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1228689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228693 */     // GIR_Coverage, 63766,
     /* 1228693 */     GIR_EraseRootFromParent_Done,
     /* 1228694 */   // Label 17768: @1228694
     /* 1228694 */   GIM_Try, /*On fail goto*//*Label 17769*/ GIMT_Encode4(1228774), // Rule ID 63769 //
     /* 1228699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1228702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1228707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1228710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1228713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1228716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1228719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1228738 */     // MIs[0] round
     /* 1228738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228748 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10997:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1228751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1228769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228773 */     // GIR_Coverage, 63769,
     /* 1228773 */     GIR_EraseRootFromParent_Done,
     /* 1228774 */   // Label 17769: @1228774
     /* 1228774 */   GIM_Try, /*On fail goto*//*Label 17770*/ GIMT_Encode4(1228854), // Rule ID 63770 //
     /* 1228779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1228782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1228787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1228790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1228793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1228796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1228799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1228818 */     // MIs[0] round
     /* 1228818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10997:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1228831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1228849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228853 */     // GIR_Coverage, 63770,
     /* 1228853 */     GIR_EraseRootFromParent_Done,
     /* 1228854 */   // Label 17770: @1228854
     /* 1228854 */   GIM_Try, /*On fail goto*//*Label 17771*/ GIMT_Encode4(1228934), // Rule ID 63773 //
     /* 1228859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1228862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1228867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1228870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1228873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1228876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1228879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1228898 */     // MIs[0] round
     /* 1228898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228908 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10997:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1228911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1228929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228933 */     // GIR_Coverage, 63773,
     /* 1228933 */     GIR_EraseRootFromParent_Done,
     /* 1228934 */   // Label 17771: @1228934
     /* 1228934 */   GIM_Try, /*On fail goto*//*Label 17772*/ GIMT_Encode4(1229014), // Rule ID 63774 //
     /* 1228939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1228942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1228947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1228950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1228953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1228956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1228959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1228978 */     // MIs[0] round
     /* 1228978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228988 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10997:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1228991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229013 */     // GIR_Coverage, 63774,
     /* 1229013 */     GIR_EraseRootFromParent_Done,
     /* 1229014 */   // Label 17772: @1229014
     /* 1229014 */   GIM_Try, /*On fail goto*//*Label 17773*/ GIMT_Encode4(1229094), // Rule ID 63777 //
     /* 1229019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1229022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1229027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1229030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1229033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1229036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229058 */     // MIs[0] round
     /* 1229058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229068 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10995:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1229071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229093 */     // GIR_Coverage, 63777,
     /* 1229093 */     GIR_EraseRootFromParent_Done,
     /* 1229094 */   // Label 17773: @1229094
     /* 1229094 */   GIM_Try, /*On fail goto*//*Label 17774*/ GIMT_Encode4(1229174), // Rule ID 63778 //
     /* 1229099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1229102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1229107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1229110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1229113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1229116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229138 */     // MIs[0] round
     /* 1229138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229148 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10995:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1229151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229173 */     // GIR_Coverage, 63778,
     /* 1229173 */     GIR_EraseRootFromParent_Done,
     /* 1229174 */   // Label 17774: @1229174
     /* 1229174 */   GIM_Try, /*On fail goto*//*Label 17775*/ GIMT_Encode4(1229254), // Rule ID 63781 //
     /* 1229179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1229182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1229187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1229190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1229193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1229196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229218 */     // MIs[0] round
     /* 1229218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229228 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10995:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1229231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229253 */     // GIR_Coverage, 63781,
     /* 1229253 */     GIR_EraseRootFromParent_Done,
     /* 1229254 */   // Label 17775: @1229254
     /* 1229254 */   GIM_Try, /*On fail goto*//*Label 17776*/ GIMT_Encode4(1229334), // Rule ID 63782 //
     /* 1229259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1229262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1229267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1229270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1229273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1229276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229298 */     // MIs[0] round
     /* 1229298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229308 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10995:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1229311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229333 */     // GIR_Coverage, 63782,
     /* 1229333 */     GIR_EraseRootFromParent_Done,
     /* 1229334 */   // Label 17776: @1229334
     /* 1229334 */   GIM_Try, /*On fail goto*//*Label 17777*/ GIMT_Encode4(1229414), // Rule ID 63785 //
     /* 1229339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1229342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1229347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1229350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1229353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1229356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229378 */     // MIs[0] round
     /* 1229378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229388 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10995:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1229391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229413 */     // GIR_Coverage, 63785,
     /* 1229413 */     GIR_EraseRootFromParent_Done,
     /* 1229414 */   // Label 17777: @1229414
     /* 1229414 */   GIM_Try, /*On fail goto*//*Label 17778*/ GIMT_Encode4(1229494), // Rule ID 63786 //
     /* 1229419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1229422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1229427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1229430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1229433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1229436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229458 */     // MIs[0] round
     /* 1229458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229468 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10995:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1229471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229493 */     // GIR_Coverage, 63786,
     /* 1229493 */     GIR_EraseRootFromParent_Done,
     /* 1229494 */   // Label 17778: @1229494
     /* 1229494 */   GIM_Try, /*On fail goto*//*Label 17779*/ GIMT_Encode4(1229574), // Rule ID 63789 //
     /* 1229499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1229502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1229507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1229510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1229513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229538 */     // MIs[0] round
     /* 1229538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229548 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10995:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1229551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229573 */     // GIR_Coverage, 63789,
     /* 1229573 */     GIR_EraseRootFromParent_Done,
     /* 1229574 */   // Label 17779: @1229574
     /* 1229574 */   GIM_Try, /*On fail goto*//*Label 17780*/ GIMT_Encode4(1229654), // Rule ID 63790 //
     /* 1229579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1229582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1229587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1229590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1229593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229618 */     // MIs[0] round
     /* 1229618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229628 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10995:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1229631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229653 */     // GIR_Coverage, 63790,
     /* 1229653 */     GIR_EraseRootFromParent_Done,
     /* 1229654 */   // Label 17780: @1229654
     /* 1229654 */   GIM_Try, /*On fail goto*//*Label 17781*/ GIMT_Encode4(1229734), // Rule ID 63793 //
     /* 1229659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1229662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1229667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1229670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1229673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1229676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229698 */     // MIs[0] round
     /* 1229698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229708 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10995:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1229711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229733 */     // GIR_Coverage, 63793,
     /* 1229733 */     GIR_EraseRootFromParent_Done,
     /* 1229734 */   // Label 17781: @1229734
     /* 1229734 */   GIM_Try, /*On fail goto*//*Label 17782*/ GIMT_Encode4(1229814), // Rule ID 63794 //
     /* 1229739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1229742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1229747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1229750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1229753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1229756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1229778 */     // MIs[0] round
     /* 1229778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229788 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10995:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1229791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229813 */     // GIR_Coverage, 63794,
     /* 1229813 */     GIR_EraseRootFromParent_Done,
     /* 1229814 */   // Label 17782: @1229814
     /* 1229814 */   GIM_Try, /*On fail goto*//*Label 17783*/ GIMT_Encode4(1229898), // Rule ID 2577 //
     /* 1229819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1229822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1229827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1229830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1229833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1229836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1229839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1229842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229872 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1229872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1229875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1229896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229897 */     // GIR_Coverage, 2577,
     /* 1229897 */     GIR_EraseRootFromParent_Done,
     /* 1229898 */   // Label 17783: @1229898
     /* 1229898 */   GIM_Try, /*On fail goto*//*Label 17784*/ GIMT_Encode4(1229982), // Rule ID 2578 //
     /* 1229903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1229906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1229911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1229914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1229917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1229920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1229923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1229926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229956 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1229956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1229959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1229980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229981 */     // GIR_Coverage, 2578,
     /* 1229981 */     GIR_EraseRootFromParent_Done,
     /* 1229982 */   // Label 17784: @1229982
     /* 1229982 */   GIM_Try, /*On fail goto*//*Label 17785*/ GIMT_Encode4(1230066), // Rule ID 2589 //
     /* 1229987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1229990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1229995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1229998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1230001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1230004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1230007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1230010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230040 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1230040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1230043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1230049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1230051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1230064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230065 */     // GIR_Coverage, 2589,
     /* 1230065 */     GIR_EraseRootFromParent_Done,
     /* 1230066 */   // Label 17785: @1230066
     /* 1230066 */   GIM_Try, /*On fail goto*//*Label 17786*/ GIMT_Encode4(1230150), // Rule ID 2590 //
     /* 1230071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1230074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1230079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1230082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1230085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1230088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1230091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1230094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230124 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1230124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1230127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1230133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1230135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1230148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230149 */     // GIR_Coverage, 2590,
     /* 1230149 */     GIR_EraseRootFromParent_Done,
     /* 1230150 */   // Label 17786: @1230150
     /* 1230150 */   GIM_Try, /*On fail goto*//*Label 17787*/ GIMT_Encode4(1230231), // Rule ID 2591 //
     /* 1230155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1230158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1230166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1230169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1230172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1230175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1230178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230208 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1230208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1230211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230230 */     // GIR_Coverage, 2591,
     /* 1230230 */     GIR_EraseRootFromParent_Done,
     /* 1230231 */   // Label 17787: @1230231
     /* 1230231 */   GIM_Try, /*On fail goto*//*Label 17788*/ GIMT_Encode4(1230312), // Rule ID 2592 //
     /* 1230236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1230239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1230247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1230250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1230253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1230256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1230259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230289 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1230289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1230292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230311 */     // GIR_Coverage, 2592,
     /* 1230311 */     GIR_EraseRootFromParent_Done,
     /* 1230312 */   // Label 17788: @1230312
     /* 1230312 */   GIM_Try, /*On fail goto*//*Label 17789*/ GIMT_Encode4(1230396), // Rule ID 2641 //
     /* 1230317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1230320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1230325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1230328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1230331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1230334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1230337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1230340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230370 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1230373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230395 */     // GIR_Coverage, 2641,
     /* 1230395 */     GIR_EraseRootFromParent_Done,
     /* 1230396 */   // Label 17789: @1230396
     /* 1230396 */   GIM_Try, /*On fail goto*//*Label 17790*/ GIMT_Encode4(1230480), // Rule ID 2642 //
     /* 1230401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1230404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1230409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1230412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1230415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1230418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1230421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1230424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230454 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1230457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230479 */     // GIR_Coverage, 2642,
     /* 1230479 */     GIR_EraseRootFromParent_Done,
     /* 1230480 */   // Label 17790: @1230480
     /* 1230480 */   GIM_Try, /*On fail goto*//*Label 17791*/ GIMT_Encode4(1230561), // Rule ID 4969 //
     /* 1230485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1230488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1230496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1230499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1230502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1230505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1230508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230538 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1230538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1230541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230560 */     // GIR_Coverage, 4969,
     /* 1230560 */     GIR_EraseRootFromParent_Done,
     /* 1230561 */   // Label 17791: @1230561
     /* 1230561 */   GIM_Try, /*On fail goto*//*Label 17792*/ GIMT_Encode4(1230642), // Rule ID 4970 //
     /* 1230566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1230569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1230577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1230580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1230583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1230586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1230589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230619 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1230619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1230622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230641 */     // GIR_Coverage, 4970,
     /* 1230641 */     GIR_EraseRootFromParent_Done,
     /* 1230642 */   // Label 17792: @1230642
     /* 1230642 */   GIM_Try, /*On fail goto*//*Label 17793*/ GIMT_Encode4(1230723), // Rule ID 4971 //
     /* 1230647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1230650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1230658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1230661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1230664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1230667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1230670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230700 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1230700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1230703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230722 */     // GIR_Coverage, 4971,
     /* 1230722 */     GIR_EraseRootFromParent_Done,
     /* 1230723 */   // Label 17793: @1230723
     /* 1230723 */   GIM_Try, /*On fail goto*//*Label 17794*/ GIMT_Encode4(1230804), // Rule ID 4972 //
     /* 1230728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1230731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1230739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1230742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1230745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1230748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1230751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230781 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1230781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1230784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230803 */     // GIR_Coverage, 4972,
     /* 1230803 */     GIR_EraseRootFromParent_Done,
     /* 1230804 */   // Label 17794: @1230804
     /* 1230804 */   GIM_Try, /*On fail goto*//*Label 17795*/ GIMT_Encode4(1230885), // Rule ID 4973 //
     /* 1230809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1230812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1230820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1230823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1230826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1230829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1230832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230862 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1230862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1230865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230884 */     // GIR_Coverage, 4973,
     /* 1230884 */     GIR_EraseRootFromParent_Done,
     /* 1230885 */   // Label 17795: @1230885
     /* 1230885 */   GIM_Try, /*On fail goto*//*Label 17796*/ GIMT_Encode4(1230966), // Rule ID 4974 //
     /* 1230890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1230893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1230901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1230904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1230907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1230910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1230913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230943 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1230943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1230946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230965 */     // GIR_Coverage, 4974,
     /* 1230965 */     GIR_EraseRootFromParent_Done,
     /* 1230966 */   // Label 17796: @1230966
     /* 1230966 */   GIM_Try, /*On fail goto*//*Label 17797*/ GIMT_Encode4(1231047), // Rule ID 4975 //
     /* 1230971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1230974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1230982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1230985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1230988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1230991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1230994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231024 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1231024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1231027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231046 */     // GIR_Coverage, 4975,
     /* 1231046 */     GIR_EraseRootFromParent_Done,
     /* 1231047 */   // Label 17797: @1231047
     /* 1231047 */   GIM_Try, /*On fail goto*//*Label 17798*/ GIMT_Encode4(1231128), // Rule ID 4976 //
     /* 1231052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1231063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1231066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1231069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1231072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1231075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231105 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1231105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1231108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231127 */     // GIR_Coverage, 4976,
     /* 1231127 */     GIR_EraseRootFromParent_Done,
     /* 1231128 */   // Label 17798: @1231128
     /* 1231128 */   GIM_Try, /*On fail goto*//*Label 17799*/ GIMT_Encode4(1231209), // Rule ID 4977 //
     /* 1231133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1231144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1231147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1231150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1231153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231186 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1231186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1231189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231208 */     // GIR_Coverage, 4977,
     /* 1231208 */     GIR_EraseRootFromParent_Done,
     /* 1231209 */   // Label 17799: @1231209
     /* 1231209 */   GIM_Try, /*On fail goto*//*Label 17800*/ GIMT_Encode4(1231290), // Rule ID 4978 //
     /* 1231214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1231225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1231228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1231231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1231234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231267 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1231267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1231270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231289 */     // GIR_Coverage, 4978,
     /* 1231289 */     GIR_EraseRootFromParent_Done,
     /* 1231290 */   // Label 17800: @1231290
     /* 1231290 */   GIM_Try, /*On fail goto*//*Label 17801*/ GIMT_Encode4(1231371), // Rule ID 4979 //
     /* 1231295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1231306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1231309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1231312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1231315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1231318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231348 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1231348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1231351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231370 */     // GIR_Coverage, 4979,
     /* 1231370 */     GIR_EraseRootFromParent_Done,
     /* 1231371 */   // Label 17801: @1231371
     /* 1231371 */   GIM_Try, /*On fail goto*//*Label 17802*/ GIMT_Encode4(1231452), // Rule ID 4980 //
     /* 1231376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1231387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1231390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1231393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1231396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1231399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231429 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1231429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1231432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231451 */     // GIR_Coverage, 4980,
     /* 1231451 */     GIR_EraseRootFromParent_Done,
     /* 1231452 */   // Label 17802: @1231452
     /* 1231452 */   GIM_Try, /*On fail goto*//*Label 17803*/ GIMT_Encode4(1231533), // Rule ID 4981 //
     /* 1231457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1231468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1231471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1231474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1231477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1231480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231510 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1231510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1231513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231532 */     // GIR_Coverage, 4981,
     /* 1231532 */     GIR_EraseRootFromParent_Done,
     /* 1231533 */   // Label 17803: @1231533
     /* 1231533 */   GIM_Try, /*On fail goto*//*Label 17804*/ GIMT_Encode4(1231614), // Rule ID 4982 //
     /* 1231538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1231549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1231552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1231555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1231558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1231561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231591 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1231591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1231594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231613 */     // GIR_Coverage, 4982,
     /* 1231613 */     GIR_EraseRootFromParent_Done,
     /* 1231614 */   // Label 17804: @1231614
     /* 1231614 */   GIM_Try, /*On fail goto*//*Label 17805*/ GIMT_Encode4(1231695), // Rule ID 4983 //
     /* 1231619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1231636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1231642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1231672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1231675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231694 */     // GIR_Coverage, 4983,
     /* 1231694 */     GIR_EraseRootFromParent_Done,
     /* 1231695 */   // Label 17805: @1231695
     /* 1231695 */   GIM_Try, /*On fail goto*//*Label 17806*/ GIMT_Encode4(1231776), // Rule ID 4984 //
     /* 1231700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1231717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1231723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231753 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1231753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1231756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231775 */     // GIR_Coverage, 4984,
     /* 1231775 */     GIR_EraseRootFromParent_Done,
     /* 1231776 */   // Label 17806: @1231776
     /* 1231776 */   GIM_Try, /*On fail goto*//*Label 17807*/ GIMT_Encode4(1231857), // Rule ID 4985 //
     /* 1231781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1231784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1231798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231834 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1231834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1231837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1231855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231856 */     // GIR_Coverage, 4985,
     /* 1231856 */     GIR_EraseRootFromParent_Done,
     /* 1231857 */   // Label 17807: @1231857
     /* 1231857 */   GIM_Try, /*On fail goto*//*Label 17808*/ GIMT_Encode4(1231938), // Rule ID 4986 //
     /* 1231862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1231865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1231879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1231885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1231892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231915 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1231915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1231918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1231936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231937 */     // GIR_Coverage, 4986,
     /* 1231937 */     GIR_EraseRootFromParent_Done,
     /* 1231938 */   // Label 17808: @1231938
     /* 1231938 */   GIM_Try, /*On fail goto*//*Label 17809*/ GIMT_Encode4(1232019), // Rule ID 4987 //
     /* 1231943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1231954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1231957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1231960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1231963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1231966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1231973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231996 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1231996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1231999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232018 */     // GIR_Coverage, 4987,
     /* 1232018 */     GIR_EraseRootFromParent_Done,
     /* 1232019 */   // Label 17809: @1232019
     /* 1232019 */   GIM_Try, /*On fail goto*//*Label 17810*/ GIMT_Encode4(1232100), // Rule ID 4988 //
     /* 1232024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1232035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1232038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1232041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1232044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1232047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1232054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232077 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1232077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1232080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232099 */     // GIR_Coverage, 4988,
     /* 1232099 */     GIR_EraseRootFromParent_Done,
     /* 1232100 */   // Label 17810: @1232100
     /* 1232100 */   GIM_Try, /*On fail goto*//*Label 17811*/ GIMT_Encode4(1232181), // Rule ID 4989 //
     /* 1232105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1232116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1232119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1232122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1232125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1232128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1232135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232158 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1232158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1232161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232180 */     // GIR_Coverage, 4989,
     /* 1232180 */     GIR_EraseRootFromParent_Done,
     /* 1232181 */   // Label 17811: @1232181
     /* 1232181 */   GIM_Try, /*On fail goto*//*Label 17812*/ GIMT_Encode4(1232262), // Rule ID 4990 //
     /* 1232186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1232197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1232200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1232203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1232206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1232209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1232216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232239 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1232239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1232242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232261 */     // GIR_Coverage, 4990,
     /* 1232261 */     GIR_EraseRootFromParent_Done,
     /* 1232262 */   // Label 17812: @1232262
     /* 1232262 */   GIM_Try, /*On fail goto*//*Label 17813*/ GIMT_Encode4(1232343), // Rule ID 4991 //
     /* 1232267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1232278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1232281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1232284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1232287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1232290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1232297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232320 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1232320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1232323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232342 */     // GIR_Coverage, 4991,
     /* 1232342 */     GIR_EraseRootFromParent_Done,
     /* 1232343 */   // Label 17813: @1232343
     /* 1232343 */   GIM_Try, /*On fail goto*//*Label 17814*/ GIMT_Encode4(1232424), // Rule ID 4992 //
     /* 1232348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1232359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1232362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1232365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1232368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1232371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1232378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232401 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1232401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1232404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232423 */     // GIR_Coverage, 4992,
     /* 1232423 */     GIR_EraseRootFromParent_Done,
     /* 1232424 */   // Label 17814: @1232424
     /* 1232424 */   GIM_Try, /*On fail goto*//*Label 17815*/ GIMT_Encode4(1232505), // Rule ID 4993 //
     /* 1232429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1232440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1232443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1232446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1232449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1232452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1232459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232482 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1232482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1232485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232504 */     // GIR_Coverage, 4993,
     /* 1232504 */     GIR_EraseRootFromParent_Done,
     /* 1232505 */   // Label 17815: @1232505
     /* 1232505 */   GIM_Try, /*On fail goto*//*Label 17816*/ GIMT_Encode4(1232586), // Rule ID 4994 //
     /* 1232510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1232521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1232524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1232527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1232530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1232533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1232540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232563 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1232563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1232566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232585 */     // GIR_Coverage, 4994,
     /* 1232585 */     GIR_EraseRootFromParent_Done,
     /* 1232586 */   // Label 17816: @1232586
     /* 1232586 */   GIM_Try, /*On fail goto*//*Label 17817*/ GIMT_Encode4(1232667), // Rule ID 4995 //
     /* 1232591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1232602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1232605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1232608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1232611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1232614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1232621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232644 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1232644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1232647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232666 */     // GIR_Coverage, 4995,
     /* 1232666 */     GIR_EraseRootFromParent_Done,
     /* 1232667 */   // Label 17817: @1232667
     /* 1232667 */   GIM_Try, /*On fail goto*//*Label 17818*/ GIMT_Encode4(1232748), // Rule ID 4996 //
     /* 1232672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1232683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1232686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1232689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1232692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1232695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1232702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232725 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1232725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1232728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232747 */     // GIR_Coverage, 4996,
     /* 1232747 */     GIR_EraseRootFromParent_Done,
     /* 1232748 */   // Label 17818: @1232748
     /* 1232748 */   GIM_Try, /*On fail goto*//*Label 17819*/ GIMT_Encode4(1232829), // Rule ID 4997 //
     /* 1232753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1232764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1232767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1232770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1232773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1232776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1232783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232806 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1232806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1232809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232828 */     // GIR_Coverage, 4997,
     /* 1232828 */     GIR_EraseRootFromParent_Done,
     /* 1232829 */   // Label 17819: @1232829
     /* 1232829 */   GIM_Try, /*On fail goto*//*Label 17820*/ GIMT_Encode4(1232910), // Rule ID 4998 //
     /* 1232834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1232845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1232848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1232851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1232854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1232857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1232864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232887 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1232887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1232890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232909 */     // GIR_Coverage, 4998,
     /* 1232909 */     GIR_EraseRootFromParent_Done,
     /* 1232910 */   // Label 17820: @1232910
     /* 1232910 */   GIM_Try, /*On fail goto*//*Label 17821*/ GIMT_Encode4(1232991), // Rule ID 4999 //
     /* 1232915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1232926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1232929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1232932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1232935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1232938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1232945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232968 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1232968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1232971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232990 */     // GIR_Coverage, 4999,
     /* 1232990 */     GIR_EraseRootFromParent_Done,
     /* 1232991 */   // Label 17821: @1232991
     /* 1232991 */   GIM_Try, /*On fail goto*//*Label 17822*/ GIMT_Encode4(1233072), // Rule ID 5000 //
     /* 1232996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1233007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1233010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1233013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1233016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1233019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1233026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233049 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1233049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1233052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233071 */     // GIR_Coverage, 5000,
     /* 1233071 */     GIR_EraseRootFromParent_Done,
     /* 1233072 */   // Label 17822: @1233072
     /* 1233072 */   GIM_Try, /*On fail goto*//*Label 17823*/ GIMT_Encode4(1233153), // Rule ID 5001 //
     /* 1233077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1233088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1233091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1233094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1233097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1233100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1233107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233130 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1233130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1233133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233152 */     // GIR_Coverage, 5001,
     /* 1233152 */     GIR_EraseRootFromParent_Done,
     /* 1233153 */   // Label 17823: @1233153
     /* 1233153 */   GIM_Try, /*On fail goto*//*Label 17824*/ GIMT_Encode4(1233234), // Rule ID 5002 //
     /* 1233158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1233169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1233172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1233175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1233178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1233181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1233188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233211 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1233211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1233214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233233 */     // GIR_Coverage, 5002,
     /* 1233233 */     GIR_EraseRootFromParent_Done,
     /* 1233234 */   // Label 17824: @1233234
     /* 1233234 */   GIM_Try, /*On fail goto*//*Label 17825*/ GIMT_Encode4(1233315), // Rule ID 5003 //
     /* 1233239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1233250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1233253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1233256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1233259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1233262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1233269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233292 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1233292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1233295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233314 */     // GIR_Coverage, 5003,
     /* 1233314 */     GIR_EraseRootFromParent_Done,
     /* 1233315 */   // Label 17825: @1233315
     /* 1233315 */   GIM_Try, /*On fail goto*//*Label 17826*/ GIMT_Encode4(1233396), // Rule ID 5004 //
     /* 1233320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1233331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1233334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1233337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1233340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1233343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1233350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233373 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1233373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1233376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233395 */     // GIR_Coverage, 5004,
     /* 1233395 */     GIR_EraseRootFromParent_Done,
     /* 1233396 */   // Label 17826: @1233396
     /* 1233396 */   GIM_Try, /*On fail goto*//*Label 17827*/ GIMT_Encode4(1233477), // Rule ID 5005 //
     /* 1233401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1233404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1233412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1233415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1233418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1233421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1233424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1233431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233454 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1233454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1233457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1233475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233476 */     // GIR_Coverage, 5005,
     /* 1233476 */     GIR_EraseRootFromParent_Done,
     /* 1233477 */   // Label 17827: @1233477
     /* 1233477 */   GIM_Try, /*On fail goto*//*Label 17828*/ GIMT_Encode4(1233558), // Rule ID 5006 //
     /* 1233482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1233485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1233493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1233496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1233499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1233502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1233505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1233512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233535 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1233535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1233538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1233556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233557 */     // GIR_Coverage, 5006,
     /* 1233557 */     GIR_EraseRootFromParent_Done,
     /* 1233558 */   // Label 17828: @1233558
     /* 1233558 */   GIM_Try, /*On fail goto*//*Label 17829*/ GIMT_Encode4(1233639), // Rule ID 5007 //
     /* 1233563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1233566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1233574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1233577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1233580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1233583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1233586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1233593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233616 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1233616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1233619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1233637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233638 */     // GIR_Coverage, 5007,
     /* 1233638 */     GIR_EraseRootFromParent_Done,
     /* 1233639 */   // Label 17829: @1233639
     /* 1233639 */   GIM_Try, /*On fail goto*//*Label 17830*/ GIMT_Encode4(1233720), // Rule ID 5008 //
     /* 1233644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1233647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1233655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1233658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1233661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1233664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1233667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1233674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1233686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233697 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1233697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1233700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1233718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233719 */     // GIR_Coverage, 5008,
     /* 1233719 */     GIR_EraseRootFromParent_Done,
     /* 1233720 */   // Label 17830: @1233720
     /* 1233720 */   GIM_Try, /*On fail goto*//*Label 17831*/ GIMT_Encode4(1233801), // Rule ID 5009 //
     /* 1233725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1233728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1233736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1233739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1233742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1233745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1233748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1233755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233778 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1233778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1233781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1233799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233800 */     // GIR_Coverage, 5009,
     /* 1233800 */     GIR_EraseRootFromParent_Done,
     /* 1233801 */   // Label 17831: @1233801
     /* 1233801 */   GIM_Try, /*On fail goto*//*Label 17832*/ GIMT_Encode4(1233882), // Rule ID 5010 //
     /* 1233806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1233809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1233817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1233820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1233823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1233826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1233829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1233836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1233848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233859 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1233859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1233862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1233880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233881 */     // GIR_Coverage, 5010,
     /* 1233881 */     GIR_EraseRootFromParent_Done,
     /* 1233882 */   // Label 17832: @1233882
     /* 1233882 */   GIM_Try, /*On fail goto*//*Label 17833*/ GIMT_Encode4(1233963), // Rule ID 5011 //
     /* 1233887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1233898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1233901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1233904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1233907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1233910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1233929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233940 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1233940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1233943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233962 */     // GIR_Coverage, 5011,
     /* 1233962 */     GIR_EraseRootFromParent_Done,
     /* 1233963 */   // Label 17833: @1233963
     /* 1233963 */   GIM_Try, /*On fail goto*//*Label 17834*/ GIMT_Encode4(1234044), // Rule ID 5012 //
     /* 1233968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1233976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1233979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1233982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1233985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1233988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1233991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234021 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1234021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1234024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234043 */     // GIR_Coverage, 5012,
     /* 1234043 */     GIR_EraseRootFromParent_Done,
     /* 1234044 */   // Label 17834: @1234044
     /* 1234044 */   GIM_Try, /*On fail goto*//*Label 17835*/ GIMT_Encode4(1234125), // Rule ID 5013 //
     /* 1234049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1234060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1234063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1234066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1234069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1234072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1234079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234102 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1234102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1234105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234124 */     // GIR_Coverage, 5013,
     /* 1234124 */     GIR_EraseRootFromParent_Done,
     /* 1234125 */   // Label 17835: @1234125
     /* 1234125 */   GIM_Try, /*On fail goto*//*Label 17836*/ GIMT_Encode4(1234206), // Rule ID 5014 //
     /* 1234130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1234141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1234144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1234147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1234153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1234160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234183 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1234183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1234186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234205 */     // GIR_Coverage, 5014,
     /* 1234205 */     GIR_EraseRootFromParent_Done,
     /* 1234206 */   // Label 17836: @1234206
     /* 1234206 */   GIM_Try, /*On fail goto*//*Label 17837*/ GIMT_Encode4(1234287), // Rule ID 5015 //
     /* 1234211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1234222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1234225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1234228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1234231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1234234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1234241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234264 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1234264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1234267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234286 */     // GIR_Coverage, 5015,
     /* 1234286 */     GIR_EraseRootFromParent_Done,
     /* 1234287 */   // Label 17837: @1234287
     /* 1234287 */   GIM_Try, /*On fail goto*//*Label 17838*/ GIMT_Encode4(1234368), // Rule ID 5016 //
     /* 1234292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1234303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1234306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1234309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1234315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1234322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234345 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1234345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1234348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234367 */     // GIR_Coverage, 5016,
     /* 1234367 */     GIR_EraseRootFromParent_Done,
     /* 1234368 */   // Label 17838: @1234368
     /* 1234368 */   GIM_Try, /*On fail goto*//*Label 17839*/ GIMT_Encode4(1234449), // Rule ID 5017 //
     /* 1234373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1234384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1234387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1234390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1234393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1234396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1234403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234426 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1234426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1234429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234448 */     // GIR_Coverage, 5017,
     /* 1234448 */     GIR_EraseRootFromParent_Done,
     /* 1234449 */   // Label 17839: @1234449
     /* 1234449 */   GIM_Try, /*On fail goto*//*Label 17840*/ GIMT_Encode4(1234530), // Rule ID 5018 //
     /* 1234454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1234465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1234468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1234471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1234477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1234484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234507 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1234507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1234510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234529 */     // GIR_Coverage, 5018,
     /* 1234529 */     GIR_EraseRootFromParent_Done,
     /* 1234530 */   // Label 17840: @1234530
     /* 1234530 */   GIM_Try, /*On fail goto*//*Label 17841*/ GIMT_Encode4(1234611), // Rule ID 5019 //
     /* 1234535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1234546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1234549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1234552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1234555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1234558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1234565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234588 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1234588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1234591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234610 */     // GIR_Coverage, 5019,
     /* 1234610 */     GIR_EraseRootFromParent_Done,
     /* 1234611 */   // Label 17841: @1234611
     /* 1234611 */   GIM_Try, /*On fail goto*//*Label 17842*/ GIMT_Encode4(1234692), // Rule ID 5020 //
     /* 1234616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1234627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1234630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1234633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1234639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1234646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234669 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1234669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1234672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234691 */     // GIR_Coverage, 5020,
     /* 1234691 */     GIR_EraseRootFromParent_Done,
     /* 1234692 */   // Label 17842: @1234692
     /* 1234692 */   GIM_Try, /*On fail goto*//*Label 17843*/ GIMT_Encode4(1234773), // Rule ID 5021 //
     /* 1234697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1234708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1234711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1234714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1234717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1234720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1234727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234750 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1234750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1234753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234772 */     // GIR_Coverage, 5021,
     /* 1234772 */     GIR_EraseRootFromParent_Done,
     /* 1234773 */   // Label 17843: @1234773
     /* 1234773 */   GIM_Try, /*On fail goto*//*Label 17844*/ GIMT_Encode4(1234854), // Rule ID 5022 //
     /* 1234778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1234789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1234792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1234795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1234801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1234808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234831 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1234831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1234834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234853 */     // GIR_Coverage, 5022,
     /* 1234853 */     GIR_EraseRootFromParent_Done,
     /* 1234854 */   // Label 17844: @1234854
     /* 1234854 */   GIM_Try, /*On fail goto*//*Label 17845*/ GIMT_Encode4(1234935), // Rule ID 5023 //
     /* 1234859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1234870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1234873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1234876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1234879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1234889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234912 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1234912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1234915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234934 */     // GIR_Coverage, 5023,
     /* 1234934 */     GIR_EraseRootFromParent_Done,
     /* 1234935 */   // Label 17845: @1234935
     /* 1234935 */   GIM_Try, /*On fail goto*//*Label 17846*/ GIMT_Encode4(1235016), // Rule ID 5024 //
     /* 1234940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1234948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1234951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1234954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1234957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1234970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234993 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1234993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1234996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235015 */     // GIR_Coverage, 5024,
     /* 1235015 */     GIR_EraseRootFromParent_Done,
     /* 1235016 */   // Label 17846: @1235016
     /* 1235016 */   GIM_Try, /*On fail goto*//*Label 17847*/ GIMT_Encode4(1235097), // Rule ID 5025 //
     /* 1235021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1235032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1235035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1235038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235074 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1235074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1235077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235096 */     // GIR_Coverage, 5025,
     /* 1235096 */     GIR_EraseRootFromParent_Done,
     /* 1235097 */   // Label 17847: @1235097
     /* 1235097 */   GIM_Try, /*On fail goto*//*Label 17848*/ GIMT_Encode4(1235178), // Rule ID 5026 //
     /* 1235102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1235113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1235116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1235119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235155 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1235155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1235158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235177 */     // GIR_Coverage, 5026,
     /* 1235177 */     GIR_EraseRootFromParent_Done,
     /* 1235178 */   // Label 17848: @1235178
     /* 1235178 */   GIM_Try, /*On fail goto*//*Label 17849*/ GIMT_Encode4(1235259), // Rule ID 5027 //
     /* 1235183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1235194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1235197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1235200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1235236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1235239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235258 */     // GIR_Coverage, 5027,
     /* 1235258 */     GIR_EraseRootFromParent_Done,
     /* 1235259 */   // Label 17849: @1235259
     /* 1235259 */   GIM_Try, /*On fail goto*//*Label 17850*/ GIMT_Encode4(1235340), // Rule ID 5028 //
     /* 1235264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1235275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1235278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1235281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235317 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1235317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1235320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235339 */     // GIR_Coverage, 5028,
     /* 1235339 */     GIR_EraseRootFromParent_Done,
     /* 1235340 */   // Label 17850: @1235340
     /* 1235340 */   GIM_Try, /*On fail goto*//*Label 17851*/ GIMT_Encode4(1235421), // Rule ID 5029 //
     /* 1235345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1235348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1235356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1235359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1235362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235398 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1235398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1235401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235420 */     // GIR_Coverage, 5029,
     /* 1235420 */     GIR_EraseRootFromParent_Done,
     /* 1235421 */   // Label 17851: @1235421
     /* 1235421 */   GIM_Try, /*On fail goto*//*Label 17852*/ GIMT_Encode4(1235502), // Rule ID 5030 //
     /* 1235426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1235429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1235437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1235440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1235443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1235449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1235456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235479 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1235479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1235482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235501 */     // GIR_Coverage, 5030,
     /* 1235501 */     GIR_EraseRootFromParent_Done,
     /* 1235502 */   // Label 17852: @1235502
     /* 1235502 */   GIM_Try, /*On fail goto*//*Label 17853*/ GIMT_Encode4(1235583), // Rule ID 5031 //
     /* 1235507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1235518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1235521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1235524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1235530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1235537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235560 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1235560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1235563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235582 */     // GIR_Coverage, 5031,
     /* 1235582 */     GIR_EraseRootFromParent_Done,
     /* 1235583 */   // Label 17853: @1235583
     /* 1235583 */   GIM_Try, /*On fail goto*//*Label 17854*/ GIMT_Encode4(1235664), // Rule ID 5032 //
     /* 1235588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1235599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1235602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1235605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1235611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1235618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235641 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1235641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1235644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235663 */     // GIR_Coverage, 5032,
     /* 1235663 */     GIR_EraseRootFromParent_Done,
     /* 1235664 */   // Label 17854: @1235664
     /* 1235664 */   GIM_Try, /*On fail goto*//*Label 17855*/ GIMT_Encode4(1235745), // Rule ID 5033 //
     /* 1235669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1235680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1235683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1235686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1235692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1235699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235722 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1235722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1235725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235744 */     // GIR_Coverage, 5033,
     /* 1235744 */     GIR_EraseRootFromParent_Done,
     /* 1235745 */   // Label 17855: @1235745
     /* 1235745 */   GIM_Try, /*On fail goto*//*Label 17856*/ GIMT_Encode4(1235826), // Rule ID 5034 //
     /* 1235750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1235761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1235764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1235767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1235773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1235780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235803 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1235803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1235806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235825 */     // GIR_Coverage, 5034,
     /* 1235825 */     GIR_EraseRootFromParent_Done,
     /* 1235826 */   // Label 17856: @1235826
     /* 1235826 */   GIM_Try, /*On fail goto*//*Label 17857*/ GIMT_Encode4(1235907), // Rule ID 5035 //
     /* 1235831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1235842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1235845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1235848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1235854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1235861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235884 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1235884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1235887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235906 */     // GIR_Coverage, 5035,
     /* 1235906 */     GIR_EraseRootFromParent_Done,
     /* 1235907 */   // Label 17857: @1235907
     /* 1235907 */   GIM_Try, /*On fail goto*//*Label 17858*/ GIMT_Encode4(1235988), // Rule ID 5036 //
     /* 1235912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1235920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1235923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1235926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1235929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1235935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1235942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235965 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1235965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1235968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1235986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235987 */     // GIR_Coverage, 5036,
     /* 1235987 */     GIR_EraseRootFromParent_Done,
     /* 1235988 */   // Label 17858: @1235988
     /* 1235988 */   GIM_Try, /*On fail goto*//*Label 17859*/ GIMT_Encode4(1236069), // Rule ID 5037 //
     /* 1235993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1236004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1236007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1236010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1236016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1236023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236046 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1236046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1236049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236068 */     // GIR_Coverage, 5037,
     /* 1236068 */     GIR_EraseRootFromParent_Done,
     /* 1236069 */   // Label 17859: @1236069
     /* 1236069 */   GIM_Try, /*On fail goto*//*Label 17860*/ GIMT_Encode4(1236150), // Rule ID 5038 //
     /* 1236074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1236085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1236088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1236091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1236097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1236104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236127 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1236127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1236130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236149 */     // GIR_Coverage, 5038,
     /* 1236149 */     GIR_EraseRootFromParent_Done,
     /* 1236150 */   // Label 17860: @1236150
     /* 1236150 */   GIM_Try, /*On fail goto*//*Label 17861*/ GIMT_Encode4(1236231), // Rule ID 5039 //
     /* 1236155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1236166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1236169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1236172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1236178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1236185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236208 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1236208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1236211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236230 */     // GIR_Coverage, 5039,
     /* 1236230 */     GIR_EraseRootFromParent_Done,
     /* 1236231 */   // Label 17861: @1236231
     /* 1236231 */   GIM_Try, /*On fail goto*//*Label 17862*/ GIMT_Encode4(1236312), // Rule ID 5040 //
     /* 1236236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1236247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1236250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1236253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1236259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1236266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236289 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1236289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1236292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236311 */     // GIR_Coverage, 5040,
     /* 1236311 */     GIR_EraseRootFromParent_Done,
     /* 1236312 */   // Label 17862: @1236312
     /* 1236312 */   GIM_Try, /*On fail goto*//*Label 17863*/ GIMT_Encode4(1236393), // Rule ID 5041 //
     /* 1236317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1236328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1236331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1236334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1236340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1236347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236370 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1236370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1236373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236392 */     // GIR_Coverage, 5041,
     /* 1236392 */     GIR_EraseRootFromParent_Done,
     /* 1236393 */   // Label 17863: @1236393
     /* 1236393 */   GIM_Try, /*On fail goto*//*Label 17864*/ GIMT_Encode4(1236474), // Rule ID 5042 //
     /* 1236398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1236409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1236412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1236415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1236421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1236428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236451 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1236451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1236454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236473 */     // GIR_Coverage, 5042,
     /* 1236473 */     GIR_EraseRootFromParent_Done,
     /* 1236474 */   // Label 17864: @1236474
     /* 1236474 */   GIM_Try, /*On fail goto*//*Label 17865*/ GIMT_Encode4(1236555), // Rule ID 5043 //
     /* 1236479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1236490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1236493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1236496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1236509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236532 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1236532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1236535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236554 */     // GIR_Coverage, 5043,
     /* 1236554 */     GIR_EraseRootFromParent_Done,
     /* 1236555 */   // Label 17865: @1236555
     /* 1236555 */   GIM_Try, /*On fail goto*//*Label 17866*/ GIMT_Encode4(1236636), // Rule ID 5044 //
     /* 1236560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1236571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1236574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1236577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1236590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236613 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1236613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1236616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236635 */     // GIR_Coverage, 5044,
     /* 1236635 */     GIR_EraseRootFromParent_Done,
     /* 1236636 */   // Label 17866: @1236636
     /* 1236636 */   GIM_Try, /*On fail goto*//*Label 17867*/ GIMT_Encode4(1236717), // Rule ID 5045 //
     /* 1236641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1236652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1236655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1236658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1236664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1236671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236694 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1236694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1236697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236716 */     // GIR_Coverage, 5045,
     /* 1236716 */     GIR_EraseRootFromParent_Done,
     /* 1236717 */   // Label 17867: @1236717
     /* 1236717 */   GIM_Try, /*On fail goto*//*Label 17868*/ GIMT_Encode4(1236798), // Rule ID 5046 //
     /* 1236722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1236733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1236736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1236739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1236745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1236752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236775 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1236775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1236778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236797 */     // GIR_Coverage, 5046,
     /* 1236797 */     GIR_EraseRootFromParent_Done,
     /* 1236798 */   // Label 17868: @1236798
     /* 1236798 */   GIM_Try, /*On fail goto*//*Label 17869*/ GIMT_Encode4(1236879), // Rule ID 5047 //
     /* 1236803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1236814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1236817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1236820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1236826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1236833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236856 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1236856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1236859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236878 */     // GIR_Coverage, 5047,
     /* 1236878 */     GIR_EraseRootFromParent_Done,
     /* 1236879 */   // Label 17869: @1236879
     /* 1236879 */   GIM_Try, /*On fail goto*//*Label 17870*/ GIMT_Encode4(1236960), // Rule ID 5048 //
     /* 1236884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1236895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1236898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1236901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1236907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1236914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236937 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1236937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1236940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236959 */     // GIR_Coverage, 5048,
     /* 1236959 */     GIR_EraseRootFromParent_Done,
     /* 1236960 */   // Label 17870: @1236960
     /* 1236960 */   GIM_Try, /*On fail goto*//*Label 17871*/ GIMT_Encode4(1237041), // Rule ID 5049 //
     /* 1236965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1236968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1236973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1236976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1236979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1236982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1236995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237018 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1237018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1237021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1237039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237040 */     // GIR_Coverage, 5049,
     /* 1237040 */     GIR_EraseRootFromParent_Done,
     /* 1237041 */   // Label 17871: @1237041
     /* 1237041 */   GIM_Try, /*On fail goto*//*Label 17872*/ GIMT_Encode4(1237122), // Rule ID 5050 //
     /* 1237046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1237049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1237057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1237060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1237063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1237069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237099 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1237099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1237102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1237120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237121 */     // GIR_Coverage, 5050,
     /* 1237121 */     GIR_EraseRootFromParent_Done,
     /* 1237122 */   // Label 17872: @1237122
     /* 1237122 */   GIM_Try, /*On fail goto*//*Label 17873*/ GIMT_Encode4(1237203), // Rule ID 5051 //
     /* 1237127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1237130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1237138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1237141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1237144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1237150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237180 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1237180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1237183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1237201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237202 */     // GIR_Coverage, 5051,
     /* 1237202 */     GIR_EraseRootFromParent_Done,
     /* 1237203 */   // Label 17873: @1237203
     /* 1237203 */   GIM_Try, /*On fail goto*//*Label 17874*/ GIMT_Encode4(1237284), // Rule ID 5052 //
     /* 1237208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1237211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1237219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1237222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1237225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1237231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1237238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1237246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237261 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1237261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1237264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1237282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237283 */     // GIR_Coverage, 5052,
     /* 1237283 */     GIR_EraseRootFromParent_Done,
     /* 1237284 */   // Label 17874: @1237284
     /* 1237284 */   GIM_Try, /*On fail goto*//*Label 17875*/ GIMT_Encode4(1237365), // Rule ID 5053 //
     /* 1237289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1237292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1237300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1237303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1237306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1237319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237342 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1237342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1237345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1237363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237364 */     // GIR_Coverage, 5053,
     /* 1237364 */     GIR_EraseRootFromParent_Done,
     /* 1237365 */   // Label 17875: @1237365
     /* 1237365 */   GIM_Try, /*On fail goto*//*Label 17876*/ GIMT_Encode4(1237446), // Rule ID 5054 //
     /* 1237370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1237373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1237378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1237381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1237384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1237387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1237400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237423 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1237423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1237426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1237444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237445 */     // GIR_Coverage, 5054,
     /* 1237445 */     GIR_EraseRootFromParent_Done,
     /* 1237446 */   // Label 17876: @1237446
     /* 1237446 */   GIM_Try, /*On fail goto*//*Label 17877*/ GIMT_Encode4(1237527), // Rule ID 5359 //
     /* 1237451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1237459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1237462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1237465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1237468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1237471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237504 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1237504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1237507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237526 */     // GIR_Coverage, 5359,
     /* 1237526 */     GIR_EraseRootFromParent_Done,
     /* 1237527 */   // Label 17877: @1237527
     /* 1237527 */   GIM_Try, /*On fail goto*//*Label 17878*/ GIMT_Encode4(1237608), // Rule ID 5360 //
     /* 1237532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1237540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1237543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1237546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1237549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1237552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237585 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1237585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1237588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237607 */     // GIR_Coverage, 5360,
     /* 1237607 */     GIR_EraseRootFromParent_Done,
     /* 1237608 */   // Label 17878: @1237608
     /* 1237608 */   GIM_Try, /*On fail goto*//*Label 17879*/ GIMT_Encode4(1237689), // Rule ID 5361 //
     /* 1237613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1237621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1237624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1237627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1237630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1237633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1237636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237666 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1237666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1237669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237688 */     // GIR_Coverage, 5361,
     /* 1237688 */     GIR_EraseRootFromParent_Done,
     /* 1237689 */   // Label 17879: @1237689
     /* 1237689 */   GIM_Try, /*On fail goto*//*Label 17880*/ GIMT_Encode4(1237770), // Rule ID 5362 //
     /* 1237694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1237702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1237705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1237708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1237711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1237714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1237717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237747 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1237747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1237750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237769 */     // GIR_Coverage, 5362,
     /* 1237769 */     GIR_EraseRootFromParent_Done,
     /* 1237770 */   // Label 17880: @1237770
     /* 1237770 */   GIM_Try, /*On fail goto*//*Label 17881*/ GIMT_Encode4(1237851), // Rule ID 5363 //
     /* 1237775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1237783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1237786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1237789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1237792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1237795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1237798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237828 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1237828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1237831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237850 */     // GIR_Coverage, 5363,
     /* 1237850 */     GIR_EraseRootFromParent_Done,
     /* 1237851 */   // Label 17881: @1237851
     /* 1237851 */   GIM_Try, /*On fail goto*//*Label 17882*/ GIMT_Encode4(1237932), // Rule ID 5364 //
     /* 1237856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1237864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1237867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1237870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1237873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1237876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1237879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237909 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1237909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1237912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237931 */     // GIR_Coverage, 5364,
     /* 1237931 */     GIR_EraseRootFromParent_Done,
     /* 1237932 */   // Label 17882: @1237932
     /* 1237932 */   GIM_Try, /*On fail goto*//*Label 17883*/ GIMT_Encode4(1238013), // Rule ID 5365 //
     /* 1237937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1237945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1237948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1237951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1237954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1237957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237990 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1237993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238012 */     // GIR_Coverage, 5365,
     /* 1238012 */     GIR_EraseRootFromParent_Done,
     /* 1238013 */   // Label 17883: @1238013
     /* 1238013 */   GIM_Try, /*On fail goto*//*Label 17884*/ GIMT_Encode4(1238094), // Rule ID 5366 //
     /* 1238018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1238029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1238032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1238035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1238038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238071 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1238071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1238074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238093 */     // GIR_Coverage, 5366,
     /* 1238093 */     GIR_EraseRootFromParent_Done,
     /* 1238094 */   // Label 17884: @1238094
     /* 1238094 */   GIM_Try, /*On fail goto*//*Label 17885*/ GIMT_Encode4(1238175), // Rule ID 5367 //
     /* 1238099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1238110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1238113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1238116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1238119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238152 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1238152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1238155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238174 */     // GIR_Coverage, 5367,
     /* 1238174 */     GIR_EraseRootFromParent_Done,
     /* 1238175 */   // Label 17885: @1238175
     /* 1238175 */   GIM_Try, /*On fail goto*//*Label 17886*/ GIMT_Encode4(1238256), // Rule ID 5368 //
     /* 1238180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1238191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1238194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1238197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1238200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238233 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1238233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1238236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238255 */     // GIR_Coverage, 5368,
     /* 1238255 */     GIR_EraseRootFromParent_Done,
     /* 1238256 */   // Label 17886: @1238256
     /* 1238256 */   GIM_Try, /*On fail goto*//*Label 17887*/ GIMT_Encode4(1238337), // Rule ID 5369 //
     /* 1238261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1238272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1238275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1238278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1238281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238314 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1238314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1238317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238336 */     // GIR_Coverage, 5369,
     /* 1238336 */     GIR_EraseRootFromParent_Done,
     /* 1238337 */   // Label 17887: @1238337
     /* 1238337 */   GIM_Try, /*On fail goto*//*Label 17888*/ GIMT_Encode4(1238418), // Rule ID 5370 //
     /* 1238342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1238353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1238356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1238359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1238362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238395 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1238395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1238398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238417 */     // GIR_Coverage, 5370,
     /* 1238417 */     GIR_EraseRootFromParent_Done,
     /* 1238418 */   // Label 17888: @1238418
     /* 1238418 */   GIM_Try, /*On fail goto*//*Label 17889*/ GIMT_Encode4(1238499), // Rule ID 5371 //
     /* 1238423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1238434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1238437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1238440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1238443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238476 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1238476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1238479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238498 */     // GIR_Coverage, 5371,
     /* 1238498 */     GIR_EraseRootFromParent_Done,
     /* 1238499 */   // Label 17889: @1238499
     /* 1238499 */   GIM_Try, /*On fail goto*//*Label 17890*/ GIMT_Encode4(1238580), // Rule ID 5372 //
     /* 1238504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1238515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1238518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1238521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1238524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238557 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1238557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1238560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238579 */     // GIR_Coverage, 5372,
     /* 1238579 */     GIR_EraseRootFromParent_Done,
     /* 1238580 */   // Label 17890: @1238580
     /* 1238580 */   GIM_Try, /*On fail goto*//*Label 17891*/ GIMT_Encode4(1238661), // Rule ID 5373 //
     /* 1238585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1238596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1238599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1238602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1238605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238638 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1238638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1238641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238660 */     // GIR_Coverage, 5373,
     /* 1238660 */     GIR_EraseRootFromParent_Done,
     /* 1238661 */   // Label 17891: @1238661
     /* 1238661 */   GIM_Try, /*On fail goto*//*Label 17892*/ GIMT_Encode4(1238742), // Rule ID 5374 //
     /* 1238666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1238677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1238680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1238683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1238686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238719 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1238719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1238722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238741 */     // GIR_Coverage, 5374,
     /* 1238741 */     GIR_EraseRootFromParent_Done,
     /* 1238742 */   // Label 17892: @1238742
     /* 1238742 */   GIM_Try, /*On fail goto*//*Label 17893*/ GIMT_Encode4(1238823), // Rule ID 5375 //
     /* 1238747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1238758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1238761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1238764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1238767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238800 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1238800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1238803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238822 */     // GIR_Coverage, 5375,
     /* 1238822 */     GIR_EraseRootFromParent_Done,
     /* 1238823 */   // Label 17893: @1238823
     /* 1238823 */   GIM_Try, /*On fail goto*//*Label 17894*/ GIMT_Encode4(1238904), // Rule ID 5376 //
     /* 1238828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1238839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1238842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1238845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1238848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238881 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1238881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1238884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238903 */     // GIR_Coverage, 5376,
     /* 1238903 */     GIR_EraseRootFromParent_Done,
     /* 1238904 */   // Label 17894: @1238904
     /* 1238904 */   GIM_Try, /*On fail goto*//*Label 17895*/ GIMT_Encode4(1238985), // Rule ID 5377 //
     /* 1238909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1238912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1238920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1238923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1238926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1238929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1238939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238962 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1238962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1238965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238984 */     // GIR_Coverage, 5377,
     /* 1238984 */     GIR_EraseRootFromParent_Done,
     /* 1238985 */   // Label 17895: @1238985
     /* 1238985 */   GIM_Try, /*On fail goto*//*Label 17896*/ GIMT_Encode4(1239066), // Rule ID 5378 //
     /* 1238990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1238993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1239001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1239004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1239007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1239010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1239013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1239020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239043 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1239043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1239046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239065 */     // GIR_Coverage, 5378,
     /* 1239065 */     GIR_EraseRootFromParent_Done,
     /* 1239066 */   // Label 17896: @1239066
     /* 1239066 */   GIM_Try, /*On fail goto*//*Label 17897*/ GIMT_Encode4(1239147), // Rule ID 5379 //
     /* 1239071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1239082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1239085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1239088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1239091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1239094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1239101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239124 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1239127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239146 */     // GIR_Coverage, 5379,
     /* 1239146 */     GIR_EraseRootFromParent_Done,
     /* 1239147 */   // Label 17897: @1239147
     /* 1239147 */   GIM_Try, /*On fail goto*//*Label 17898*/ GIMT_Encode4(1239228), // Rule ID 5380 //
     /* 1239152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1239163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1239166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1239169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1239172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1239175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1239182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239205 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1239208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239227 */     // GIR_Coverage, 5380,
     /* 1239227 */     GIR_EraseRootFromParent_Done,
     /* 1239228 */   // Label 17898: @1239228
     /* 1239228 */   GIM_Try, /*On fail goto*//*Label 17899*/ GIMT_Encode4(1239309), // Rule ID 5381 //
     /* 1239233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1239244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1239247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1239250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1239253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1239256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1239263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239286 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1239289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239308 */     // GIR_Coverage, 5381,
     /* 1239308 */     GIR_EraseRootFromParent_Done,
     /* 1239309 */   // Label 17899: @1239309
     /* 1239309 */   GIM_Try, /*On fail goto*//*Label 17900*/ GIMT_Encode4(1239390), // Rule ID 5382 //
     /* 1239314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1239325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1239328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1239331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1239334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1239337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1239344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239367 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1239370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239389 */     // GIR_Coverage, 5382,
     /* 1239389 */     GIR_EraseRootFromParent_Done,
     /* 1239390 */   // Label 17900: @1239390
     /* 1239390 */   GIM_Try, /*On fail goto*//*Label 17901*/ GIMT_Encode4(1239471), // Rule ID 5383 //
     /* 1239395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1239406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1239409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1239412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1239415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1239418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1239425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239448 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1239451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239470 */     // GIR_Coverage, 5383,
     /* 1239470 */     GIR_EraseRootFromParent_Done,
     /* 1239471 */   // Label 17901: @1239471
     /* 1239471 */   GIM_Try, /*On fail goto*//*Label 17902*/ GIMT_Encode4(1239552), // Rule ID 5384 //
     /* 1239476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1239487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1239490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1239493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1239496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1239499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1239506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239529 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1239532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239551 */     // GIR_Coverage, 5384,
     /* 1239551 */     GIR_EraseRootFromParent_Done,
     /* 1239552 */   // Label 17902: @1239552
     /* 1239552 */   GIM_Try, /*On fail goto*//*Label 17903*/ GIMT_Encode4(1239633), // Rule ID 5385 //
     /* 1239557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1239568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1239571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1239574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1239577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1239587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239610 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1239613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239632 */     // GIR_Coverage, 5385,
     /* 1239632 */     GIR_EraseRootFromParent_Done,
     /* 1239633 */   // Label 17903: @1239633
     /* 1239633 */   GIM_Try, /*On fail goto*//*Label 17904*/ GIMT_Encode4(1239714), // Rule ID 5386 //
     /* 1239638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1239649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1239652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1239655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1239658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1239668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239691 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1239694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239713 */     // GIR_Coverage, 5386,
     /* 1239713 */     GIR_EraseRootFromParent_Done,
     /* 1239714 */   // Label 17904: @1239714
     /* 1239714 */   GIM_Try, /*On fail goto*//*Label 17905*/ GIMT_Encode4(1239795), // Rule ID 5387 //
     /* 1239719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1239730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1239733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1239736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1239739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1239742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1239749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239772 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1239775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239794 */     // GIR_Coverage, 5387,
     /* 1239794 */     GIR_EraseRootFromParent_Done,
     /* 1239795 */   // Label 17905: @1239795
     /* 1239795 */   GIM_Try, /*On fail goto*//*Label 17906*/ GIMT_Encode4(1239876), // Rule ID 5388 //
     /* 1239800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1239811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1239814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1239817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1239820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1239823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1239830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239853 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1239856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239875 */     // GIR_Coverage, 5388,
     /* 1239875 */     GIR_EraseRootFromParent_Done,
     /* 1239876 */   // Label 17906: @1239876
     /* 1239876 */   GIM_Try, /*On fail goto*//*Label 17907*/ GIMT_Encode4(1239957), // Rule ID 5389 //
     /* 1239881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1239892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1239895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1239898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1239901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1239904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1239911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239934 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1239937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239956 */     // GIR_Coverage, 5389,
     /* 1239956 */     GIR_EraseRootFromParent_Done,
     /* 1239957 */   // Label 17907: @1239957
     /* 1239957 */   GIM_Try, /*On fail goto*//*Label 17908*/ GIMT_Encode4(1240038), // Rule ID 5390 //
     /* 1239962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1239973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1239976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1239979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1239982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1239985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1239992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240015 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1240015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1240018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240037 */     // GIR_Coverage, 5390,
     /* 1240037 */     GIR_EraseRootFromParent_Done,
     /* 1240038 */   // Label 17908: @1240038
     /* 1240038 */   GIM_Try, /*On fail goto*//*Label 17909*/ GIMT_Encode4(1240119), // Rule ID 5391 //
     /* 1240043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1240054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1240057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1240060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1240063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240096 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1240096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1240099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240118 */     // GIR_Coverage, 5391,
     /* 1240118 */     GIR_EraseRootFromParent_Done,
     /* 1240119 */   // Label 17909: @1240119
     /* 1240119 */   GIM_Try, /*On fail goto*//*Label 17910*/ GIMT_Encode4(1240200), // Rule ID 5392 //
     /* 1240124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1240135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1240138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1240141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1240144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240177 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1240177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1240180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240199 */     // GIR_Coverage, 5392,
     /* 1240199 */     GIR_EraseRootFromParent_Done,
     /* 1240200 */   // Label 17910: @1240200
     /* 1240200 */   GIM_Try, /*On fail goto*//*Label 17911*/ GIMT_Encode4(1240281), // Rule ID 5393 //
     /* 1240205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1240216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1240219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1240222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1240225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240258 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1240258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1240261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240280 */     // GIR_Coverage, 5393,
     /* 1240280 */     GIR_EraseRootFromParent_Done,
     /* 1240281 */   // Label 17911: @1240281
     /* 1240281 */   GIM_Try, /*On fail goto*//*Label 17912*/ GIMT_Encode4(1240362), // Rule ID 5394 //
     /* 1240286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1240297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1240300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1240303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1240306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240339 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1240339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1240342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240361 */     // GIR_Coverage, 5394,
     /* 1240361 */     GIR_EraseRootFromParent_Done,
     /* 1240362 */   // Label 17912: @1240362
     /* 1240362 */   GIM_Try, /*On fail goto*//*Label 17913*/ GIMT_Encode4(1240443), // Rule ID 5395 //
     /* 1240367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1240378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1240381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1240384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1240387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1240397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240420 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1240420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1240423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240442 */     // GIR_Coverage, 5395,
     /* 1240442 */     GIR_EraseRootFromParent_Done,
     /* 1240443 */   // Label 17913: @1240443
     /* 1240443 */   GIM_Try, /*On fail goto*//*Label 17914*/ GIMT_Encode4(1240524), // Rule ID 5396 //
     /* 1240448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1240459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1240462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1240465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1240468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1240478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240501 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1240501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1240504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240523 */     // GIR_Coverage, 5396,
     /* 1240523 */     GIR_EraseRootFromParent_Done,
     /* 1240524 */   // Label 17914: @1240524
     /* 1240524 */   GIM_Try, /*On fail goto*//*Label 17915*/ GIMT_Encode4(1240605), // Rule ID 5397 //
     /* 1240529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1240532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1240540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1240543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1240546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1240549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240582 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1240582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1240585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240604 */     // GIR_Coverage, 5397,
     /* 1240604 */     GIR_EraseRootFromParent_Done,
     /* 1240605 */   // Label 17915: @1240605
     /* 1240605 */   GIM_Try, /*On fail goto*//*Label 17916*/ GIMT_Encode4(1240686), // Rule ID 5398 //
     /* 1240610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1240613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1240621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1240624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1240627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1240630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1240640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240663 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1240663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1240666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240685 */     // GIR_Coverage, 5398,
     /* 1240685 */     GIR_EraseRootFromParent_Done,
     /* 1240686 */   // Label 17916: @1240686
     /* 1240686 */   GIM_Try, /*On fail goto*//*Label 17917*/ GIMT_Encode4(1240767), // Rule ID 5399 //
     /* 1240691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1240694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1240702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1240705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1240708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1240711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240744 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1240744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1240747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240766 */     // GIR_Coverage, 5399,
     /* 1240766 */     GIR_EraseRootFromParent_Done,
     /* 1240767 */   // Label 17917: @1240767
     /* 1240767 */   GIM_Try, /*On fail goto*//*Label 17918*/ GIMT_Encode4(1240848), // Rule ID 5400 //
     /* 1240772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1240775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1240783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1240786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1240789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1240792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1240802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240825 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1240825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1240828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240847 */     // GIR_Coverage, 5400,
     /* 1240847 */     GIR_EraseRootFromParent_Done,
     /* 1240848 */   // Label 17918: @1240848
     /* 1240848 */   GIM_Try, /*On fail goto*//*Label 17919*/ GIMT_Encode4(1240929), // Rule ID 5401 //
     /* 1240853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1240856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1240864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1240867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1240870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1240873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1240883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240906 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1240906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1240909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240928 */     // GIR_Coverage, 5401,
     /* 1240928 */     GIR_EraseRootFromParent_Done,
     /* 1240929 */   // Label 17919: @1240929
     /* 1240929 */   GIM_Try, /*On fail goto*//*Label 17920*/ GIMT_Encode4(1241010), // Rule ID 5402 //
     /* 1240934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1240937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1240942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1240945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1240948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1240951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1240954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1240964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240987 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1240987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1240990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241009 */     // GIR_Coverage, 5402,
     /* 1241009 */     GIR_EraseRootFromParent_Done,
     /* 1241010 */   // Label 17920: @1241010
     /* 1241010 */   GIM_Try, /*On fail goto*//*Label 17921*/ GIMT_Encode4(1241091), // Rule ID 5403 //
     /* 1241015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1241026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1241029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1241032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1241038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1241045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241068 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1241068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1241071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241090 */     // GIR_Coverage, 5403,
     /* 1241090 */     GIR_EraseRootFromParent_Done,
     /* 1241091 */   // Label 17921: @1241091
     /* 1241091 */   GIM_Try, /*On fail goto*//*Label 17922*/ GIMT_Encode4(1241172), // Rule ID 5404 //
     /* 1241096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1241107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1241110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1241113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1241119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1241126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241149 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1241149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1241152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241171 */     // GIR_Coverage, 5404,
     /* 1241171 */     GIR_EraseRootFromParent_Done,
     /* 1241172 */   // Label 17922: @1241172
     /* 1241172 */   GIM_Try, /*On fail goto*//*Label 17923*/ GIMT_Encode4(1241253), // Rule ID 5405 //
     /* 1241177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1241188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1241191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1241194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1241207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241230 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1241230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1241233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241252 */     // GIR_Coverage, 5405,
     /* 1241252 */     GIR_EraseRootFromParent_Done,
     /* 1241253 */   // Label 17923: @1241253
     /* 1241253 */   GIM_Try, /*On fail goto*//*Label 17924*/ GIMT_Encode4(1241334), // Rule ID 5406 //
     /* 1241258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1241269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1241272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1241275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1241288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241311 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1241311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1241314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241333 */     // GIR_Coverage, 5406,
     /* 1241333 */     GIR_EraseRootFromParent_Done,
     /* 1241334 */   // Label 17924: @1241334
     /* 1241334 */   GIM_Try, /*On fail goto*//*Label 17925*/ GIMT_Encode4(1241415), // Rule ID 5407 //
     /* 1241339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1241350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1241353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1241356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1241369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241392 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1241392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1241395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241414 */     // GIR_Coverage, 5407,
     /* 1241414 */     GIR_EraseRootFromParent_Done,
     /* 1241415 */   // Label 17925: @1241415
     /* 1241415 */   GIM_Try, /*On fail goto*//*Label 17926*/ GIMT_Encode4(1241496), // Rule ID 5408 //
     /* 1241420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1241431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1241434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1241437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1241450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241473 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1241473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1241476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241495 */     // GIR_Coverage, 5408,
     /* 1241495 */     GIR_EraseRootFromParent_Done,
     /* 1241496 */   // Label 17926: @1241496
     /* 1241496 */   GIM_Try, /*On fail goto*//*Label 17927*/ GIMT_Encode4(1241577), // Rule ID 5409 //
     /* 1241501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1241512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1241515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1241518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1241524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1241531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241554 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1241554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1241557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241576 */     // GIR_Coverage, 5409,
     /* 1241576 */     GIR_EraseRootFromParent_Done,
     /* 1241577 */   // Label 17927: @1241577
     /* 1241577 */   GIM_Try, /*On fail goto*//*Label 17928*/ GIMT_Encode4(1241658), // Rule ID 5410 //
     /* 1241582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1241593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1241596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1241599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1241605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1241612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241635 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1241635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1241638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241657 */     // GIR_Coverage, 5410,
     /* 1241657 */     GIR_EraseRootFromParent_Done,
     /* 1241658 */   // Label 17928: @1241658
     /* 1241658 */   GIM_Try, /*On fail goto*//*Label 17929*/ GIMT_Encode4(1241739), // Rule ID 5411 //
     /* 1241663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1241674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1241677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1241680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1241693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241716 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1241716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1241719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241738 */     // GIR_Coverage, 5411,
     /* 1241738 */     GIR_EraseRootFromParent_Done,
     /* 1241739 */   // Label 17929: @1241739
     /* 1241739 */   GIM_Try, /*On fail goto*//*Label 17930*/ GIMT_Encode4(1241820), // Rule ID 5412 //
     /* 1241744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1241755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1241758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1241761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1241774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241797 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1241797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1241800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241819 */     // GIR_Coverage, 5412,
     /* 1241819 */     GIR_EraseRootFromParent_Done,
     /* 1241820 */   // Label 17930: @1241820
     /* 1241820 */   GIM_Try, /*On fail goto*//*Label 17931*/ GIMT_Encode4(1241901), // Rule ID 5413 //
     /* 1241825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1241836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1241839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1241842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1241845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1241848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1241855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241878 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1241881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241900 */     // GIR_Coverage, 5413,
     /* 1241900 */     GIR_EraseRootFromParent_Done,
     /* 1241901 */   // Label 17931: @1241901
     /* 1241901 */   GIM_Try, /*On fail goto*//*Label 17932*/ GIMT_Encode4(1241982), // Rule ID 5414 //
     /* 1241906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1241917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1241920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1241923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1241929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1241936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241959 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1241959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1241962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241981 */     // GIR_Coverage, 5414,
     /* 1241981 */     GIR_EraseRootFromParent_Done,
     /* 1241982 */   // Label 17932: @1241982
     /* 1241982 */   GIM_Try, /*On fail goto*//*Label 17933*/ GIMT_Encode4(1242063), // Rule ID 5415 //
     /* 1241987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1241995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1241998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1242001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1242004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242040 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1242043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242062 */     // GIR_Coverage, 5415,
     /* 1242062 */     GIR_EraseRootFromParent_Done,
     /* 1242063 */   // Label 17933: @1242063
     /* 1242063 */   GIM_Try, /*On fail goto*//*Label 17934*/ GIMT_Encode4(1242144), // Rule ID 5416 //
     /* 1242068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1242079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1242082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1242085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242121 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1242124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242143 */     // GIR_Coverage, 5416,
     /* 1242143 */     GIR_EraseRootFromParent_Done,
     /* 1242144 */   // Label 17934: @1242144
     /* 1242144 */   GIM_Try, /*On fail goto*//*Label 17935*/ GIMT_Encode4(1242225), // Rule ID 5417 //
     /* 1242149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1242160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1242163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1242166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242202 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1242202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1242205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242224 */     // GIR_Coverage, 5417,
     /* 1242224 */     GIR_EraseRootFromParent_Done,
     /* 1242225 */   // Label 17935: @1242225
     /* 1242225 */   GIM_Try, /*On fail goto*//*Label 17936*/ GIMT_Encode4(1242306), // Rule ID 5418 //
     /* 1242230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1242241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1242244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1242247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242283 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1242283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1242286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242305 */     // GIR_Coverage, 5418,
     /* 1242305 */     GIR_EraseRootFromParent_Done,
     /* 1242306 */   // Label 17936: @1242306
     /* 1242306 */   GIM_Try, /*On fail goto*//*Label 17937*/ GIMT_Encode4(1242387), // Rule ID 5419 //
     /* 1242311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1242322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1242325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1242328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242364 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1242364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1242367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242386 */     // GIR_Coverage, 5419,
     /* 1242386 */     GIR_EraseRootFromParent_Done,
     /* 1242387 */   // Label 17937: @1242387
     /* 1242387 */   GIM_Try, /*On fail goto*//*Label 17938*/ GIMT_Encode4(1242468), // Rule ID 5420 //
     /* 1242392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1242403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1242406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1242409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242445 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1242445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1242448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242467 */     // GIR_Coverage, 5420,
     /* 1242467 */     GIR_EraseRootFromParent_Done,
     /* 1242468 */   // Label 17938: @1242468
     /* 1242468 */   GIM_Try, /*On fail goto*//*Label 17939*/ GIMT_Encode4(1242549), // Rule ID 5421 //
     /* 1242473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1242476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1242484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1242487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1242490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242526 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1242526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1242529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242548 */     // GIR_Coverage, 5421,
     /* 1242548 */     GIR_EraseRootFromParent_Done,
     /* 1242549 */   // Label 17939: @1242549
     /* 1242549 */   GIM_Try, /*On fail goto*//*Label 17940*/ GIMT_Encode4(1242630), // Rule ID 5422 //
     /* 1242554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1242557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1242565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1242568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1242571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242607 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1242607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1242610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242629 */     // GIR_Coverage, 5422,
     /* 1242629 */     GIR_EraseRootFromParent_Done,
     /* 1242630 */   // Label 17940: @1242630
     /* 1242630 */   GIM_Try, /*On fail goto*//*Label 17941*/ GIMT_Encode4(1242711), // Rule ID 5423 //
     /* 1242635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1242646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1242649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1242652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1242658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1242665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242688 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1242691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242710 */     // GIR_Coverage, 5423,
     /* 1242710 */     GIR_EraseRootFromParent_Done,
     /* 1242711 */   // Label 17941: @1242711
     /* 1242711 */   GIM_Try, /*On fail goto*//*Label 17942*/ GIMT_Encode4(1242792), // Rule ID 5424 //
     /* 1242716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1242727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1242730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1242733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1242739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1242746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242769 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1242772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242791 */     // GIR_Coverage, 5424,
     /* 1242791 */     GIR_EraseRootFromParent_Done,
     /* 1242792 */   // Label 17942: @1242792
     /* 1242792 */   GIM_Try, /*On fail goto*//*Label 17943*/ GIMT_Encode4(1242873), // Rule ID 5425 //
     /* 1242797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1242808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1242811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1242814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1242820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1242827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242850 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1242853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242872 */     // GIR_Coverage, 5425,
     /* 1242872 */     GIR_EraseRootFromParent_Done,
     /* 1242873 */   // Label 17943: @1242873
     /* 1242873 */   GIM_Try, /*On fail goto*//*Label 17944*/ GIMT_Encode4(1242954), // Rule ID 5426 //
     /* 1242878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1242889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1242892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1242895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1242901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1242908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1242920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242931 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1242934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242953 */     // GIR_Coverage, 5426,
     /* 1242953 */     GIR_EraseRootFromParent_Done,
     /* 1242954 */   // Label 17944: @1242954
     /* 1242954 */   GIM_Try, /*On fail goto*//*Label 17945*/ GIMT_Encode4(1243035), // Rule ID 5427 //
     /* 1242959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1242967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1242970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1242973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1242976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1242979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1242982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1242989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243012 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1243015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243034 */     // GIR_Coverage, 5427,
     /* 1243034 */     GIR_EraseRootFromParent_Done,
     /* 1243035 */   // Label 17945: @1243035
     /* 1243035 */   GIM_Try, /*On fail goto*//*Label 17946*/ GIMT_Encode4(1243116), // Rule ID 5428 //
     /* 1243040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1243051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1243054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1243057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1243063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1243070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243093 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1243096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243115 */     // GIR_Coverage, 5428,
     /* 1243115 */     GIR_EraseRootFromParent_Done,
     /* 1243116 */   // Label 17946: @1243116
     /* 1243116 */   GIM_Try, /*On fail goto*//*Label 17947*/ GIMT_Encode4(1243197), // Rule ID 5429 //
     /* 1243121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1243132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1243135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1243138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1243151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243174 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1243177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243196 */     // GIR_Coverage, 5429,
     /* 1243196 */     GIR_EraseRootFromParent_Done,
     /* 1243197 */   // Label 17947: @1243197
     /* 1243197 */   GIM_Try, /*On fail goto*//*Label 17948*/ GIMT_Encode4(1243278), // Rule ID 5430 //
     /* 1243202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1243213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1243216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1243219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1243232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243255 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1243258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243277 */     // GIR_Coverage, 5430,
     /* 1243277 */     GIR_EraseRootFromParent_Done,
     /* 1243278 */   // Label 17948: @1243278
     /* 1243278 */   GIM_Try, /*On fail goto*//*Label 17949*/ GIMT_Encode4(1243359), // Rule ID 5431 //
     /* 1243283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1243294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1243297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1243300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1243306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1243313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243336 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1243339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243358 */     // GIR_Coverage, 5431,
     /* 1243358 */     GIR_EraseRootFromParent_Done,
     /* 1243359 */   // Label 17949: @1243359
     /* 1243359 */   GIM_Try, /*On fail goto*//*Label 17950*/ GIMT_Encode4(1243440), // Rule ID 5432 //
     /* 1243364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1243375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1243378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1243381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1243387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1243394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243417 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1243420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243439 */     // GIR_Coverage, 5432,
     /* 1243439 */     GIR_EraseRootFromParent_Done,
     /* 1243440 */   // Label 17950: @1243440
     /* 1243440 */   GIM_Try, /*On fail goto*//*Label 17951*/ GIMT_Encode4(1243521), // Rule ID 5433 //
     /* 1243445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1243456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1243459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1243462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1243468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1243475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243498 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1243501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243520 */     // GIR_Coverage, 5433,
     /* 1243520 */     GIR_EraseRootFromParent_Done,
     /* 1243521 */   // Label 17951: @1243521
     /* 1243521 */   GIM_Try, /*On fail goto*//*Label 17952*/ GIMT_Encode4(1243602), // Rule ID 5434 //
     /* 1243526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1243537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1243540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1243543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1243549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1243556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243579 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1243582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243601 */     // GIR_Coverage, 5434,
     /* 1243601 */     GIR_EraseRootFromParent_Done,
     /* 1243602 */   // Label 17952: @1243602
     /* 1243602 */   GIM_Try, /*On fail goto*//*Label 17953*/ GIMT_Encode4(1243683), // Rule ID 5435 //
     /* 1243607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1243618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1243621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1243624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1243637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243660 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1243660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1243663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243682 */     // GIR_Coverage, 5435,
     /* 1243682 */     GIR_EraseRootFromParent_Done,
     /* 1243683 */   // Label 17953: @1243683
     /* 1243683 */   GIM_Try, /*On fail goto*//*Label 17954*/ GIMT_Encode4(1243764), // Rule ID 5436 //
     /* 1243688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1243699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1243702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1243705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1243718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243741 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1243741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1243744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243763 */     // GIR_Coverage, 5436,
     /* 1243763 */     GIR_EraseRootFromParent_Done,
     /* 1243764 */   // Label 17954: @1243764
     /* 1243764 */   GIM_Try, /*On fail goto*//*Label 17955*/ GIMT_Encode4(1243845), // Rule ID 5437 //
     /* 1243769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1243780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1243783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1243786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1243799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243822 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1243822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1243825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243844 */     // GIR_Coverage, 5437,
     /* 1243844 */     GIR_EraseRootFromParent_Done,
     /* 1243845 */   // Label 17955: @1243845
     /* 1243845 */   GIM_Try, /*On fail goto*//*Label 17956*/ GIMT_Encode4(1243926), // Rule ID 5438 //
     /* 1243850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1243861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1243864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1243867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1243880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243903 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1243903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1243906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243925 */     // GIR_Coverage, 5438,
     /* 1243925 */     GIR_EraseRootFromParent_Done,
     /* 1243926 */   // Label 17956: @1243926
     /* 1243926 */   GIM_Try, /*On fail goto*//*Label 17957*/ GIMT_Encode4(1244007), // Rule ID 5439 //
     /* 1243931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1243939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1243942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1243945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1243948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1243954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1243961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243984 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1243984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1243987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244006 */     // GIR_Coverage, 5439,
     /* 1244006 */     GIR_EraseRootFromParent_Done,
     /* 1244007 */   // Label 17957: @1244007
     /* 1244007 */   GIM_Try, /*On fail goto*//*Label 17958*/ GIMT_Encode4(1244088), // Rule ID 5440 //
     /* 1244012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1244023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1244026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1244029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244065 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1244065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1244068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244087 */     // GIR_Coverage, 5440,
     /* 1244087 */     GIR_EraseRootFromParent_Done,
     /* 1244088 */   // Label 17958: @1244088
     /* 1244088 */   GIM_Try, /*On fail goto*//*Label 17959*/ GIMT_Encode4(1244169), // Rule ID 5441 //
     /* 1244093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1244096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1244104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1244107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1244110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1244146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1244149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244168 */     // GIR_Coverage, 5441,
     /* 1244168 */     GIR_EraseRootFromParent_Done,
     /* 1244169 */   // Label 17959: @1244169
     /* 1244169 */   GIM_Try, /*On fail goto*//*Label 17960*/ GIMT_Encode4(1244250), // Rule ID 5442 //
     /* 1244174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1244177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1244185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1244188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1244191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244227 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1244227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1244230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244249 */     // GIR_Coverage, 5442,
     /* 1244249 */     GIR_EraseRootFromParent_Done,
     /* 1244250 */   // Label 17960: @1244250
     /* 1244250 */   GIM_Try, /*On fail goto*//*Label 17961*/ GIMT_Encode4(1244331), // Rule ID 5443 //
     /* 1244255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1244258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1244266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1244269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1244272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244308 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1244308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1244311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244330 */     // GIR_Coverage, 5443,
     /* 1244330 */     GIR_EraseRootFromParent_Done,
     /* 1244331 */   // Label 17961: @1244331
     /* 1244331 */   GIM_Try, /*On fail goto*//*Label 17962*/ GIMT_Encode4(1244412), // Rule ID 5444 //
     /* 1244336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1244339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1244347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1244350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1244353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244389 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1244389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1244392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244411 */     // GIR_Coverage, 5444,
     /* 1244411 */     GIR_EraseRootFromParent_Done,
     /* 1244412 */   // Label 17962: @1244412
     /* 1244412 */   GIM_Try, /*On fail goto*//*Label 17963*/ GIMT_Encode4(1244493), // Rule ID 5445 //
     /* 1244417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1244420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1244428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1244431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1244434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244470 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1244470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1244473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244492 */     // GIR_Coverage, 5445,
     /* 1244492 */     GIR_EraseRootFromParent_Done,
     /* 1244493 */   // Label 17963: @1244493
     /* 1244493 */   GIM_Try, /*On fail goto*//*Label 17964*/ GIMT_Encode4(1244574), // Rule ID 5446 //
     /* 1244498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1244501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1244506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1244509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1244512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1244515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244551 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1244551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1244554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244573 */     // GIR_Coverage, 5446,
     /* 1244573 */     GIR_EraseRootFromParent_Done,
     /* 1244574 */   // Label 17964: @1244574
     /* 1244574 */   GIM_Try, /*On fail goto*//*Label 17965*/ GIMT_Encode4(1244658), // Rule ID 7657 //
     /* 1244579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1244587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1244590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1244593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1244596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1244599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244632 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1244632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1244635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1244656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244657 */     // GIR_Coverage, 7657,
     /* 1244657 */     GIR_EraseRootFromParent_Done,
     /* 1244658 */   // Label 17965: @1244658
     /* 1244658 */   GIM_Try, /*On fail goto*//*Label 17966*/ GIMT_Encode4(1244742), // Rule ID 7658 //
     /* 1244663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1244671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1244674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1244677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1244680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1244683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244716 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1244716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1244719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1244740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244741 */     // GIR_Coverage, 7658,
     /* 1244741 */     GIR_EraseRootFromParent_Done,
     /* 1244742 */   // Label 17966: @1244742
     /* 1244742 */   GIM_Try, /*On fail goto*//*Label 17967*/ GIMT_Encode4(1244826), // Rule ID 7661 //
     /* 1244747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1244755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1244758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1244761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1244764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1244767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244800 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1244800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1244803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1244824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244825 */     // GIR_Coverage, 7661,
     /* 1244825 */     GIR_EraseRootFromParent_Done,
     /* 1244826 */   // Label 17967: @1244826
     /* 1244826 */   GIM_Try, /*On fail goto*//*Label 17968*/ GIMT_Encode4(1244910), // Rule ID 7662 //
     /* 1244831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1244839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1244842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1244845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1244848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1244851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244884 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1244884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1244887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1244908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244909 */     // GIR_Coverage, 7662,
     /* 1244909 */     GIR_EraseRootFromParent_Done,
     /* 1244910 */   // Label 17968: @1244910
     /* 1244910 */   GIM_Try, /*On fail goto*//*Label 17969*/ GIMT_Encode4(1244994), // Rule ID 7665 //
     /* 1244915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1244923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1244926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1244929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1244932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1244935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1244938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244968 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1244968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1244971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1244992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244993 */     // GIR_Coverage, 7665,
     /* 1244993 */     GIR_EraseRootFromParent_Done,
     /* 1244994 */   // Label 17969: @1244994
     /* 1244994 */   GIM_Try, /*On fail goto*//*Label 17970*/ GIMT_Encode4(1245078), // Rule ID 7666 //
     /* 1244999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1245010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1245013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1245016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1245019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1245022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245052 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1245052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1245055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245077 */     // GIR_Coverage, 7666,
     /* 1245077 */     GIR_EraseRootFromParent_Done,
     /* 1245078 */   // Label 17970: @1245078
     /* 1245078 */   GIM_Try, /*On fail goto*//*Label 17971*/ GIMT_Encode4(1245162), // Rule ID 7669 //
     /* 1245083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1245094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1245097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1245100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1245103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245136 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1245136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1245139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245161 */     // GIR_Coverage, 7669,
     /* 1245161 */     GIR_EraseRootFromParent_Done,
     /* 1245162 */   // Label 17971: @1245162
     /* 1245162 */   GIM_Try, /*On fail goto*//*Label 17972*/ GIMT_Encode4(1245246), // Rule ID 7670 //
     /* 1245167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1245178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1245181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1245184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1245187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245220 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1245220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1245223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245245 */     // GIR_Coverage, 7670,
     /* 1245245 */     GIR_EraseRootFromParent_Done,
     /* 1245246 */   // Label 17972: @1245246
     /* 1245246 */   GIM_Try, /*On fail goto*//*Label 17973*/ GIMT_Encode4(1245330), // Rule ID 7673 //
     /* 1245251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1245262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1245265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1245268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1245271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1245274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245304 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1245304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1245307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245329 */     // GIR_Coverage, 7673,
     /* 1245329 */     GIR_EraseRootFromParent_Done,
     /* 1245330 */   // Label 17973: @1245330
     /* 1245330 */   GIM_Try, /*On fail goto*//*Label 17974*/ GIMT_Encode4(1245414), // Rule ID 7674 //
     /* 1245335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1245346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1245349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1245352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1245355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1245358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245388 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1245388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1245391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245413 */     // GIR_Coverage, 7674,
     /* 1245413 */     GIR_EraseRootFromParent_Done,
     /* 1245414 */   // Label 17974: @1245414
     /* 1245414 */   GIM_Try, /*On fail goto*//*Label 17975*/ GIMT_Encode4(1245498), // Rule ID 7677 //
     /* 1245419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1245430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1245433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1245436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1245439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245472 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1245472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1245475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245497 */     // GIR_Coverage, 7677,
     /* 1245497 */     GIR_EraseRootFromParent_Done,
     /* 1245498 */   // Label 17975: @1245498
     /* 1245498 */   GIM_Try, /*On fail goto*//*Label 17976*/ GIMT_Encode4(1245582), // Rule ID 7678 //
     /* 1245503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1245514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1245517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1245520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1245523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245556 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1245556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1245559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245581 */     // GIR_Coverage, 7678,
     /* 1245581 */     GIR_EraseRootFromParent_Done,
     /* 1245582 */   // Label 17976: @1245582
     /* 1245582 */   GIM_Try, /*On fail goto*//*Label 17977*/ GIMT_Encode4(1245666), // Rule ID 7681 //
     /* 1245587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1245598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1245601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1245604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1245607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245640 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1245640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1245643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245665 */     // GIR_Coverage, 7681,
     /* 1245665 */     GIR_EraseRootFromParent_Done,
     /* 1245666 */   // Label 17977: @1245666
     /* 1245666 */   GIM_Try, /*On fail goto*//*Label 17978*/ GIMT_Encode4(1245750), // Rule ID 7682 //
     /* 1245671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1245682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1245685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1245688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1245691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245724 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1245724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1245727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245749 */     // GIR_Coverage, 7682,
     /* 1245749 */     GIR_EraseRootFromParent_Done,
     /* 1245750 */   // Label 17978: @1245750
     /* 1245750 */   GIM_Try, /*On fail goto*//*Label 17979*/ GIMT_Encode4(1245834), // Rule ID 7685 //
     /* 1245755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1245766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1245769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1245772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1245775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245808 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1245808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1245811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245833 */     // GIR_Coverage, 7685,
     /* 1245833 */     GIR_EraseRootFromParent_Done,
     /* 1245834 */   // Label 17979: @1245834
     /* 1245834 */   GIM_Try, /*On fail goto*//*Label 17980*/ GIMT_Encode4(1245918), // Rule ID 7686 //
     /* 1245839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1245850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1245853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1245856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1245859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245892 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1245892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1245895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245917 */     // GIR_Coverage, 7686,
     /* 1245917 */     GIR_EraseRootFromParent_Done,
     /* 1245918 */   // Label 17980: @1245918
     /* 1245918 */   GIM_Try, /*On fail goto*//*Label 17981*/ GIMT_Encode4(1246002), // Rule ID 7689 //
     /* 1245923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1245926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1245934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1245937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1245940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1245943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1245946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245976 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1245976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1245979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246001 */     // GIR_Coverage, 7689,
     /* 1246001 */     GIR_EraseRootFromParent_Done,
     /* 1246002 */   // Label 17981: @1246002
     /* 1246002 */   GIM_Try, /*On fail goto*//*Label 17982*/ GIMT_Encode4(1246086), // Rule ID 7690 //
     /* 1246007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1246010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1246024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1246027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246060 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1246063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246085 */     // GIR_Coverage, 7690,
     /* 1246085 */     GIR_EraseRootFromParent_Done,
     /* 1246086 */   // Label 17982: @1246086
     /* 1246086 */   GIM_Try, /*On fail goto*//*Label 17983*/ GIMT_Encode4(1246170), // Rule ID 7693 //
     /* 1246091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1246102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1246105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1246108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1246111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1246114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246144 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1246147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246169 */     // GIR_Coverage, 7693,
     /* 1246169 */     GIR_EraseRootFromParent_Done,
     /* 1246170 */   // Label 17983: @1246170
     /* 1246170 */   GIM_Try, /*On fail goto*//*Label 17984*/ GIMT_Encode4(1246254), // Rule ID 7694 //
     /* 1246175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1246186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1246189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1246192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1246195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1246198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246228 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1246231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246253 */     // GIR_Coverage, 7694,
     /* 1246253 */     GIR_EraseRootFromParent_Done,
     /* 1246254 */   // Label 17984: @1246254
     /* 1246254 */   GIM_Try, /*On fail goto*//*Label 17985*/ GIMT_Encode4(1246338), // Rule ID 7697 //
     /* 1246259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1246270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1246273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1246276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1246279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1246282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246312 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1246315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246337 */     // GIR_Coverage, 7697,
     /* 1246337 */     GIR_EraseRootFromParent_Done,
     /* 1246338 */   // Label 17985: @1246338
     /* 1246338 */   GIM_Try, /*On fail goto*//*Label 17986*/ GIMT_Encode4(1246422), // Rule ID 7698 //
     /* 1246343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1246354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1246357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1246360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1246363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1246366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246396 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1246399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246421 */     // GIR_Coverage, 7698,
     /* 1246421 */     GIR_EraseRootFromParent_Done,
     /* 1246422 */   // Label 17986: @1246422
     /* 1246422 */   GIM_Try, /*On fail goto*//*Label 17987*/ GIMT_Encode4(1246506), // Rule ID 7701 //
     /* 1246427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1246438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1246441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1246444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1246447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1246450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246480 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1246483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246505 */     // GIR_Coverage, 7701,
     /* 1246505 */     GIR_EraseRootFromParent_Done,
     /* 1246506 */   // Label 17987: @1246506
     /* 1246506 */   GIM_Try, /*On fail goto*//*Label 17988*/ GIMT_Encode4(1246590), // Rule ID 7702 //
     /* 1246511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1246522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1246525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1246528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1246531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1246534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246564 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1246567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246589 */     // GIR_Coverage, 7702,
     /* 1246589 */     GIR_EraseRootFromParent_Done,
     /* 1246590 */   // Label 17988: @1246590
     /* 1246590 */   GIM_Try, /*On fail goto*//*Label 17989*/ GIMT_Encode4(1246674), // Rule ID 7705 //
     /* 1246595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1246606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1246609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1246612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1246615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1246651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246673 */     // GIR_Coverage, 7705,
     /* 1246673 */     GIR_EraseRootFromParent_Done,
     /* 1246674 */   // Label 17989: @1246674
     /* 1246674 */   GIM_Try, /*On fail goto*//*Label 17990*/ GIMT_Encode4(1246758), // Rule ID 7706 //
     /* 1246679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1246690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1246693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1246696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1246699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246732 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1246735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246757 */     // GIR_Coverage, 7706,
     /* 1246757 */     GIR_EraseRootFromParent_Done,
     /* 1246758 */   // Label 17990: @1246758
     /* 1246758 */   GIM_Try, /*On fail goto*//*Label 17991*/ GIMT_Encode4(1246842), // Rule ID 7709 //
     /* 1246763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1246774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1246777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1246780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1246783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1246786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246816 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1246819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246841 */     // GIR_Coverage, 7709,
     /* 1246841 */     GIR_EraseRootFromParent_Done,
     /* 1246842 */   // Label 17991: @1246842
     /* 1246842 */   GIM_Try, /*On fail goto*//*Label 17992*/ GIMT_Encode4(1246926), // Rule ID 7710 //
     /* 1246847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1246858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1246861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1246864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1246867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1246870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246900 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1246903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246925 */     // GIR_Coverage, 7710,
     /* 1246925 */     GIR_EraseRootFromParent_Done,
     /* 1246926 */   // Label 17992: @1246926
     /* 1246926 */   GIM_Try, /*On fail goto*//*Label 17993*/ GIMT_Encode4(1247010), // Rule ID 7713 //
     /* 1246931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1246942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1246945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1246948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1246951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1246954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246984 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1246987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247009 */     // GIR_Coverage, 7713,
     /* 1247009 */     GIR_EraseRootFromParent_Done,
     /* 1247010 */   // Label 17993: @1247010
     /* 1247010 */   GIM_Try, /*On fail goto*//*Label 17994*/ GIMT_Encode4(1247094), // Rule ID 7714 //
     /* 1247015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1247026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1247029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1247032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1247035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1247038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247068 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1247071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247093 */     // GIR_Coverage, 7714,
     /* 1247093 */     GIR_EraseRootFromParent_Done,
     /* 1247094 */   // Label 17994: @1247094
     /* 1247094 */   GIM_Try, /*On fail goto*//*Label 17995*/ GIMT_Encode4(1247178), // Rule ID 7717 //
     /* 1247099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1247110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1247113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1247116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1247119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1247122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247152 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1247155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247177 */     // GIR_Coverage, 7717,
     /* 1247177 */     GIR_EraseRootFromParent_Done,
     /* 1247178 */   // Label 17995: @1247178
     /* 1247178 */   GIM_Try, /*On fail goto*//*Label 17996*/ GIMT_Encode4(1247262), // Rule ID 7718 //
     /* 1247183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1247194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1247197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1247200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1247203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1247206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247236 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1247239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247261 */     // GIR_Coverage, 7718,
     /* 1247261 */     GIR_EraseRootFromParent_Done,
     /* 1247262 */   // Label 17996: @1247262
     /* 1247262 */   GIM_Try, /*On fail goto*//*Label 17997*/ GIMT_Encode4(1247346), // Rule ID 7721 //
     /* 1247267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1247278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1247281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1247284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1247287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247320 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1247323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247345 */     // GIR_Coverage, 7721,
     /* 1247345 */     GIR_EraseRootFromParent_Done,
     /* 1247346 */   // Label 17997: @1247346
     /* 1247346 */   GIM_Try, /*On fail goto*//*Label 17998*/ GIMT_Encode4(1247430), // Rule ID 7722 //
     /* 1247351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1247362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1247365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1247368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1247371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247404 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1247407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247429 */     // GIR_Coverage, 7722,
     /* 1247429 */     GIR_EraseRootFromParent_Done,
     /* 1247430 */   // Label 17998: @1247430
     /* 1247430 */   GIM_Try, /*On fail goto*//*Label 17999*/ GIMT_Encode4(1247514), // Rule ID 7725 //
     /* 1247435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1247446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1247449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1247452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1247455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247488 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1247491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247513 */     // GIR_Coverage, 7725,
     /* 1247513 */     GIR_EraseRootFromParent_Done,
     /* 1247514 */   // Label 17999: @1247514
     /* 1247514 */   GIM_Try, /*On fail goto*//*Label 18000*/ GIMT_Encode4(1247598), // Rule ID 7726 //
     /* 1247519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1247530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1247533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1247536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1247539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247572 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1247575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247597 */     // GIR_Coverage, 7726,
     /* 1247597 */     GIR_EraseRootFromParent_Done,
     /* 1247598 */   // Label 18000: @1247598
     /* 1247598 */   GIM_Try, /*On fail goto*//*Label 18001*/ GIMT_Encode4(1247682), // Rule ID 7729 //
     /* 1247603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1247606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1247614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1247617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1247620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1247623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247656 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1247659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247681 */     // GIR_Coverage, 7729,
     /* 1247681 */     GIR_EraseRootFromParent_Done,
     /* 1247682 */   // Label 18001: @1247682
     /* 1247682 */   GIM_Try, /*On fail goto*//*Label 18002*/ GIMT_Encode4(1247766), // Rule ID 7730 //
     /* 1247687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1247690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1247698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1247701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1247704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1247707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247740 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1247743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247765 */     // GIR_Coverage, 7730,
     /* 1247765 */     GIR_EraseRootFromParent_Done,
     /* 1247766 */   // Label 18002: @1247766
     /* 1247766 */   GIM_Try, /*On fail goto*//*Label 18003*/ GIMT_Encode4(1247850), // Rule ID 7733 //
     /* 1247771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1247774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1247782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1247785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1247788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1247791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1247794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247824 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1247827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247849 */     // GIR_Coverage, 7733,
     /* 1247849 */     GIR_EraseRootFromParent_Done,
     /* 1247850 */   // Label 18003: @1247850
     /* 1247850 */   GIM_Try, /*On fail goto*//*Label 18004*/ GIMT_Encode4(1247934), // Rule ID 7734 //
     /* 1247855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1247858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1247866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1247869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1247872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1247875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1247878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247908 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1247911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247933 */     // GIR_Coverage, 7734,
     /* 1247933 */     GIR_EraseRootFromParent_Done,
     /* 1247934 */   // Label 18004: @1247934
     /* 1247934 */   GIM_Try, /*On fail goto*//*Label 18005*/ GIMT_Encode4(1248018), // Rule ID 7737 //
     /* 1247939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1247942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1247950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1247953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1247956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1247959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247992 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1247995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248017 */     // GIR_Coverage, 7737,
     /* 1248017 */     GIR_EraseRootFromParent_Done,
     /* 1248018 */   // Label 18005: @1248018
     /* 1248018 */   GIM_Try, /*On fail goto*//*Label 18006*/ GIMT_Encode4(1248102), // Rule ID 7738 //
     /* 1248023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1248026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1248034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1248037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1248040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1248043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248076 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1248079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248101 */     // GIR_Coverage, 7738,
     /* 1248101 */     GIR_EraseRootFromParent_Done,
     /* 1248102 */   // Label 18006: @1248102
     /* 1248102 */   GIM_Try, /*On fail goto*//*Label 18007*/ GIMT_Encode4(1248186), // Rule ID 7741 //
     /* 1248107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1248118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1248121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1248124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1248127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1248130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248160 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1248163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248185 */     // GIR_Coverage, 7741,
     /* 1248185 */     GIR_EraseRootFromParent_Done,
     /* 1248186 */   // Label 18007: @1248186
     /* 1248186 */   GIM_Try, /*On fail goto*//*Label 18008*/ GIMT_Encode4(1248270), // Rule ID 7742 //
     /* 1248191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1248202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1248205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1248208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1248211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1248214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248244 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1248247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248269 */     // GIR_Coverage, 7742,
     /* 1248269 */     GIR_EraseRootFromParent_Done,
     /* 1248270 */   // Label 18008: @1248270
     /* 1248270 */   GIM_Try, /*On fail goto*//*Label 18009*/ GIMT_Encode4(1248354), // Rule ID 7745 //
     /* 1248275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1248286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1248289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1248292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1248295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1248298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248328 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1248331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248353 */     // GIR_Coverage, 7745,
     /* 1248353 */     GIR_EraseRootFromParent_Done,
     /* 1248354 */   // Label 18009: @1248354
     /* 1248354 */   GIM_Try, /*On fail goto*//*Label 18010*/ GIMT_Encode4(1248438), // Rule ID 7746 //
     /* 1248359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1248370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1248373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1248376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1248379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1248382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248412 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1248415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248437 */     // GIR_Coverage, 7746,
     /* 1248437 */     GIR_EraseRootFromParent_Done,
     /* 1248438 */   // Label 18010: @1248438
     /* 1248438 */   GIM_Try, /*On fail goto*//*Label 18011*/ GIMT_Encode4(1248522), // Rule ID 7749 //
     /* 1248443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1248454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1248457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1248460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1248463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248496 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1248499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248521 */     // GIR_Coverage, 7749,
     /* 1248521 */     GIR_EraseRootFromParent_Done,
     /* 1248522 */   // Label 18011: @1248522
     /* 1248522 */   GIM_Try, /*On fail goto*//*Label 18012*/ GIMT_Encode4(1248606), // Rule ID 7750 //
     /* 1248527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1248538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1248541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1248544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1248547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248580 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1248583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248605 */     // GIR_Coverage, 7750,
     /* 1248605 */     GIR_EraseRootFromParent_Done,
     /* 1248606 */   // Label 18012: @1248606
     /* 1248606 */   GIM_Try, /*On fail goto*//*Label 18013*/ GIMT_Encode4(1248690), // Rule ID 7753 //
     /* 1248611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1248622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1248625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1248628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1248631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1248634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248664 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1248667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248689 */     // GIR_Coverage, 7753,
     /* 1248689 */     GIR_EraseRootFromParent_Done,
     /* 1248690 */   // Label 18013: @1248690
     /* 1248690 */   GIM_Try, /*On fail goto*//*Label 18014*/ GIMT_Encode4(1248774), // Rule ID 7754 //
     /* 1248695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1248706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1248709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1248712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1248715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1248718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248748 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1248751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248773 */     // GIR_Coverage, 7754,
     /* 1248773 */     GIR_EraseRootFromParent_Done,
     /* 1248774 */   // Label 18014: @1248774
     /* 1248774 */   GIM_Try, /*On fail goto*//*Label 18015*/ GIMT_Encode4(1248858), // Rule ID 7757 //
     /* 1248779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1248790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1248793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1248796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1248799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1248802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1248835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248857 */     // GIR_Coverage, 7757,
     /* 1248857 */     GIR_EraseRootFromParent_Done,
     /* 1248858 */   // Label 18015: @1248858
     /* 1248858 */   GIM_Try, /*On fail goto*//*Label 18016*/ GIMT_Encode4(1248942), // Rule ID 7758 //
     /* 1248863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1248874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1248877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1248880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1248883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1248886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248916 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1248919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248941 */     // GIR_Coverage, 7758,
     /* 1248941 */     GIR_EraseRootFromParent_Done,
     /* 1248942 */   // Label 18016: @1248942
     /* 1248942 */   GIM_Try, /*On fail goto*//*Label 18017*/ GIMT_Encode4(1249026), // Rule ID 7761 //
     /* 1248947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1248955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1248958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1248961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1248964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1248967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1248970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249000 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1249003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249025 */     // GIR_Coverage, 7761,
     /* 1249025 */     GIR_EraseRootFromParent_Done,
     /* 1249026 */   // Label 18017: @1249026
     /* 1249026 */   GIM_Try, /*On fail goto*//*Label 18018*/ GIMT_Encode4(1249110), // Rule ID 7762 //
     /* 1249031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1249048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249084 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1249087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249109 */     // GIR_Coverage, 7762,
     /* 1249109 */     GIR_EraseRootFromParent_Done,
     /* 1249110 */   // Label 18018: @1249110
     /* 1249110 */   GIM_Try, /*On fail goto*//*Label 18019*/ GIMT_Encode4(1249194), // Rule ID 7765 //
     /* 1249115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1249126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1249129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1249132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249168 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1249171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249193 */     // GIR_Coverage, 7765,
     /* 1249193 */     GIR_EraseRootFromParent_Done,
     /* 1249194 */   // Label 18019: @1249194
     /* 1249194 */   GIM_Try, /*On fail goto*//*Label 18020*/ GIMT_Encode4(1249278), // Rule ID 7766 //
     /* 1249199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1249210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1249213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1249216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249252 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1249255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249277 */     // GIR_Coverage, 7766,
     /* 1249277 */     GIR_EraseRootFromParent_Done,
     /* 1249278 */   // Label 18020: @1249278
     /* 1249278 */   GIM_Try, /*On fail goto*//*Label 18021*/ GIMT_Encode4(1249362), // Rule ID 7769 //
     /* 1249283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1249294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1249297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1249300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249336 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1249339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249361 */     // GIR_Coverage, 7769,
     /* 1249361 */     GIR_EraseRootFromParent_Done,
     /* 1249362 */   // Label 18021: @1249362
     /* 1249362 */   GIM_Try, /*On fail goto*//*Label 18022*/ GIMT_Encode4(1249446), // Rule ID 7770 //
     /* 1249367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1249378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1249381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1249384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249420 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1249423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249445 */     // GIR_Coverage, 7770,
     /* 1249445 */     GIR_EraseRootFromParent_Done,
     /* 1249446 */   // Label 18022: @1249446
     /* 1249446 */   GIM_Try, /*On fail goto*//*Label 18023*/ GIMT_Encode4(1249530), // Rule ID 7773 //
     /* 1249451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1249468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249504 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1249507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249529 */     // GIR_Coverage, 7773,
     /* 1249529 */     GIR_EraseRootFromParent_Done,
     /* 1249530 */   // Label 18023: @1249530
     /* 1249530 */   GIM_Try, /*On fail goto*//*Label 18024*/ GIMT_Encode4(1249614), // Rule ID 7774 //
     /* 1249535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1249552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249588 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1249591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249613 */     // GIR_Coverage, 7774,
     /* 1249613 */     GIR_EraseRootFromParent_Done,
     /* 1249614 */   // Label 18024: @1249614
     /* 1249614 */   GIM_Try, /*On fail goto*//*Label 18025*/ GIMT_Encode4(1249698), // Rule ID 7777 //
     /* 1249619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1249622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1249636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249672 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1249675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249697 */     // GIR_Coverage, 7777,
     /* 1249697 */     GIR_EraseRootFromParent_Done,
     /* 1249698 */   // Label 18025: @1249698
     /* 1249698 */   GIM_Try, /*On fail goto*//*Label 18026*/ GIMT_Encode4(1249782), // Rule ID 7778 //
     /* 1249703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1249720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249756 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1249759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249781 */     // GIR_Coverage, 7778,
     /* 1249781 */     GIR_EraseRootFromParent_Done,
     /* 1249782 */   // Label 18026: @1249782
     /* 1249782 */   GIM_Try, /*On fail goto*//*Label 18027*/ GIMT_Encode4(1249866), // Rule ID 7781 //
     /* 1249787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1249798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1249801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1249804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1249810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249840 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1249843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249865 */     // GIR_Coverage, 7781,
     /* 1249865 */     GIR_EraseRootFromParent_Done,
     /* 1249866 */   // Label 18027: @1249866
     /* 1249866 */   GIM_Try, /*On fail goto*//*Label 18028*/ GIMT_Encode4(1249950), // Rule ID 7782 //
     /* 1249871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1249882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1249885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1249888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1249894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249924 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1249927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249949 */     // GIR_Coverage, 7782,
     /* 1249949 */     GIR_EraseRootFromParent_Done,
     /* 1249950 */   // Label 18028: @1249950
     /* 1249950 */   GIM_Try, /*On fail goto*//*Label 18029*/ GIMT_Encode4(1250034), // Rule ID 7785 //
     /* 1249955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1249963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1249966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1249969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1249972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1249978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250008 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1250011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250033 */     // GIR_Coverage, 7785,
     /* 1250033 */     GIR_EraseRootFromParent_Done,
     /* 1250034 */   // Label 18029: @1250034
     /* 1250034 */   GIM_Try, /*On fail goto*//*Label 18030*/ GIMT_Encode4(1250118), // Rule ID 7786 //
     /* 1250039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1250050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1250053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1250056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1250062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250092 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1250095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250117 */     // GIR_Coverage, 7786,
     /* 1250117 */     GIR_EraseRootFromParent_Done,
     /* 1250118 */   // Label 18030: @1250118
     /* 1250118 */   GIM_Try, /*On fail goto*//*Label 18031*/ GIMT_Encode4(1250202), // Rule ID 7789 //
     /* 1250123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1250134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1250137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1250140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1250146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250176 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1250179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250201 */     // GIR_Coverage, 7789,
     /* 1250201 */     GIR_EraseRootFromParent_Done,
     /* 1250202 */   // Label 18031: @1250202
     /* 1250202 */   GIM_Try, /*On fail goto*//*Label 18032*/ GIMT_Encode4(1250286), // Rule ID 7790 //
     /* 1250207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1250218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1250221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1250224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1250230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250260 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1250263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250285 */     // GIR_Coverage, 7790,
     /* 1250285 */     GIR_EraseRootFromParent_Done,
     /* 1250286 */   // Label 18032: @1250286
     /* 1250286 */   GIM_Try, /*On fail goto*//*Label 18033*/ GIMT_Encode4(1250370), // Rule ID 7793 //
     /* 1250291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1250308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250344 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1250347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250369 */     // GIR_Coverage, 7793,
     /* 1250369 */     GIR_EraseRootFromParent_Done,
     /* 1250370 */   // Label 18033: @1250370
     /* 1250370 */   GIM_Try, /*On fail goto*//*Label 18034*/ GIMT_Encode4(1250454), // Rule ID 7794 //
     /* 1250375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1250392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250428 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1250431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250453 */     // GIR_Coverage, 7794,
     /* 1250453 */     GIR_EraseRootFromParent_Done,
     /* 1250454 */   // Label 18034: @1250454
     /* 1250454 */   GIM_Try, /*On fail goto*//*Label 18035*/ GIMT_Encode4(1250538), // Rule ID 7797 //
     /* 1250459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1250470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1250473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1250476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1250482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250512 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1250515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250537 */     // GIR_Coverage, 7797,
     /* 1250537 */     GIR_EraseRootFromParent_Done,
     /* 1250538 */   // Label 18035: @1250538
     /* 1250538 */   GIM_Try, /*On fail goto*//*Label 18036*/ GIMT_Encode4(1250622), // Rule ID 7798 //
     /* 1250543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1250554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1250557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1250560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1250566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250596 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1250599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250621 */     // GIR_Coverage, 7798,
     /* 1250621 */     GIR_EraseRootFromParent_Done,
     /* 1250622 */   // Label 18036: @1250622
     /* 1250622 */   GIM_Try, /*On fail goto*//*Label 18037*/ GIMT_Encode4(1250706), // Rule ID 7801 //
     /* 1250627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1250638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1250641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1250644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1250650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250680 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1250683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250705 */     // GIR_Coverage, 7801,
     /* 1250705 */     GIR_EraseRootFromParent_Done,
     /* 1250706 */   // Label 18037: @1250706
     /* 1250706 */   GIM_Try, /*On fail goto*//*Label 18038*/ GIMT_Encode4(1250790), // Rule ID 7802 //
     /* 1250711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1250722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1250725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1250728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1250734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250764 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1250767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250789 */     // GIR_Coverage, 7802,
     /* 1250789 */     GIR_EraseRootFromParent_Done,
     /* 1250790 */   // Label 18038: @1250790
     /* 1250790 */   GIM_Try, /*On fail goto*//*Label 18039*/ GIMT_Encode4(1250874), // Rule ID 7805 //
     /* 1250795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1250812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250848 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1250851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250873 */     // GIR_Coverage, 7805,
     /* 1250873 */     GIR_EraseRootFromParent_Done,
     /* 1250874 */   // Label 18039: @1250874
     /* 1250874 */   GIM_Try, /*On fail goto*//*Label 18040*/ GIMT_Encode4(1250958), // Rule ID 7806 //
     /* 1250879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1250896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250932 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1250935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250957 */     // GIR_Coverage, 7806,
     /* 1250957 */     GIR_EraseRootFromParent_Done,
     /* 1250958 */   // Label 18040: @1250958
     /* 1250958 */   GIM_Try, /*On fail goto*//*Label 18041*/ GIMT_Encode4(1251042), // Rule ID 7809 //
     /* 1250963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1250971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1250980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251016 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1251019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251041 */     // GIR_Coverage, 7809,
     /* 1251041 */     GIR_EraseRootFromParent_Done,
     /* 1251042 */   // Label 18041: @1251042
     /* 1251042 */   GIM_Try, /*On fail goto*//*Label 18042*/ GIMT_Encode4(1251126), // Rule ID 7810 //
     /* 1251047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1251058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1251061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1251064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251100 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1251103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251125 */     // GIR_Coverage, 7810,
     /* 1251125 */     GIR_EraseRootFromParent_Done,
     /* 1251126 */   // Label 18042: @1251126
     /* 1251126 */   GIM_Try, /*On fail goto*//*Label 18043*/ GIMT_Encode4(1251210), // Rule ID 7813 //
     /* 1251131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1251142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1251145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1251148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251184 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1251187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251209 */     // GIR_Coverage, 7813,
     /* 1251209 */     GIR_EraseRootFromParent_Done,
     /* 1251210 */   // Label 18043: @1251210
     /* 1251210 */   GIM_Try, /*On fail goto*//*Label 18044*/ GIMT_Encode4(1251294), // Rule ID 7814 //
     /* 1251215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1251226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1251229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1251232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251268 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1251271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251293 */     // GIR_Coverage, 7814,
     /* 1251293 */     GIR_EraseRootFromParent_Done,
     /* 1251294 */   // Label 18044: @1251294
     /* 1251294 */   GIM_Try, /*On fail goto*//*Label 18045*/ GIMT_Encode4(1251378), // Rule ID 7817 //
     /* 1251299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1251302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1251310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1251313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1251316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1251322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251352 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1251355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251377 */     // GIR_Coverage, 7817,
     /* 1251377 */     GIR_EraseRootFromParent_Done,
     /* 1251378 */   // Label 18045: @1251378
     /* 1251378 */   GIM_Try, /*On fail goto*//*Label 18046*/ GIMT_Encode4(1251462), // Rule ID 7818 //
     /* 1251383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1251386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1251394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1251397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1251400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1251406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251436 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1251439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251461 */     // GIR_Coverage, 7818,
     /* 1251461 */     GIR_EraseRootFromParent_Done,
     /* 1251462 */   // Label 18046: @1251462
     /* 1251462 */   GIM_Try, /*On fail goto*//*Label 18047*/ GIMT_Encode4(1251546), // Rule ID 7821 //
     /* 1251467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1251470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1251478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1251481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1251484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1251490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251520 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1251523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251545 */     // GIR_Coverage, 7821,
     /* 1251545 */     GIR_EraseRootFromParent_Done,
     /* 1251546 */   // Label 18047: @1251546
     /* 1251546 */   GIM_Try, /*On fail goto*//*Label 18048*/ GIMT_Encode4(1251630), // Rule ID 7822 //
     /* 1251551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1251554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1251562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1251565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1251568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1251574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251604 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1251607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251629 */     // GIR_Coverage, 7822,
     /* 1251629 */     GIR_EraseRootFromParent_Done,
     /* 1251630 */   // Label 18048: @1251630
     /* 1251630 */   GIM_Try, /*On fail goto*//*Label 18049*/ GIMT_Encode4(1251714), // Rule ID 7825 //
     /* 1251635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1251638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1251646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1251649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1251652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251688 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1251691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251713 */     // GIR_Coverage, 7825,
     /* 1251713 */     GIR_EraseRootFromParent_Done,
     /* 1251714 */   // Label 18049: @1251714
     /* 1251714 */   GIM_Try, /*On fail goto*//*Label 18050*/ GIMT_Encode4(1251798), // Rule ID 7826 //
     /* 1251719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1251722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1251727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1251730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1251733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1251736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251772 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1251775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251797 */     // GIR_Coverage, 7826,
     /* 1251797 */     GIR_EraseRootFromParent_Done,
     /* 1251798 */   // Label 18050: @1251798
     /* 1251798 */   GIM_Try, /*On fail goto*//*Label 18051*/ GIMT_Encode4(1251882), // Rule ID 7917 //
     /* 1251803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1251811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1251814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1251817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1251820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1251823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251856 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1251859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251881 */     // GIR_Coverage, 7917,
     /* 1251881 */     GIR_EraseRootFromParent_Done,
     /* 1251882 */   // Label 18051: @1251882
     /* 1251882 */   GIM_Try, /*On fail goto*//*Label 18052*/ GIMT_Encode4(1251966), // Rule ID 7918 //
     /* 1251887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1251895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1251898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1251901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1251904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1251907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251940 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1251943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251965 */     // GIR_Coverage, 7918,
     /* 1251965 */     GIR_EraseRootFromParent_Done,
     /* 1251966 */   // Label 18052: @1251966
     /* 1251966 */   GIM_Try, /*On fail goto*//*Label 18053*/ GIMT_Encode4(1252050), // Rule ID 7921 //
     /* 1251971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1251979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1251982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1251985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1251988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1251991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1251994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252024 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1252027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252049 */     // GIR_Coverage, 7921,
     /* 1252049 */     GIR_EraseRootFromParent_Done,
     /* 1252050 */   // Label 18053: @1252050
     /* 1252050 */   GIM_Try, /*On fail goto*//*Label 18054*/ GIMT_Encode4(1252134), // Rule ID 7922 //
     /* 1252055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1252066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1252069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1252072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1252075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252108 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1252111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252133 */     // GIR_Coverage, 7922,
     /* 1252133 */     GIR_EraseRootFromParent_Done,
     /* 1252134 */   // Label 18054: @1252134
     /* 1252134 */   GIM_Try, /*On fail goto*//*Label 18055*/ GIMT_Encode4(1252218), // Rule ID 7925 //
     /* 1252139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1252156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1252159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252192 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1252195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252217 */     // GIR_Coverage, 7925,
     /* 1252217 */     GIR_EraseRootFromParent_Done,
     /* 1252218 */   // Label 18055: @1252218
     /* 1252218 */   GIM_Try, /*On fail goto*//*Label 18056*/ GIMT_Encode4(1252302), // Rule ID 7926 //
     /* 1252223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1252240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1252243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252276 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1252279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252301 */     // GIR_Coverage, 7926,
     /* 1252301 */     GIR_EraseRootFromParent_Done,
     /* 1252302 */   // Label 18056: @1252302
     /* 1252302 */   GIM_Try, /*On fail goto*//*Label 18057*/ GIMT_Encode4(1252386), // Rule ID 7929 //
     /* 1252307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1252318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1252321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1252324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1252327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1252330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252360 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1252363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252385 */     // GIR_Coverage, 7929,
     /* 1252385 */     GIR_EraseRootFromParent_Done,
     /* 1252386 */   // Label 18057: @1252386
     /* 1252386 */   GIM_Try, /*On fail goto*//*Label 18058*/ GIMT_Encode4(1252470), // Rule ID 7930 //
     /* 1252391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1252402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1252405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1252408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1252411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1252414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252444 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1252447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252469 */     // GIR_Coverage, 7930,
     /* 1252469 */     GIR_EraseRootFromParent_Done,
     /* 1252470 */   // Label 18058: @1252470
     /* 1252470 */   GIM_Try, /*On fail goto*//*Label 18059*/ GIMT_Encode4(1252554), // Rule ID 7933 //
     /* 1252475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1252486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1252489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1252492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1252495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252528 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1252531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252553 */     // GIR_Coverage, 7933,
     /* 1252553 */     GIR_EraseRootFromParent_Done,
     /* 1252554 */   // Label 18059: @1252554
     /* 1252554 */   GIM_Try, /*On fail goto*//*Label 18060*/ GIMT_Encode4(1252638), // Rule ID 7934 //
     /* 1252559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1252570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1252573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1252576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1252579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252612 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1252615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252637 */     // GIR_Coverage, 7934,
     /* 1252637 */     GIR_EraseRootFromParent_Done,
     /* 1252638 */   // Label 18060: @1252638
     /* 1252638 */   GIM_Try, /*On fail goto*//*Label 18061*/ GIMT_Encode4(1252722), // Rule ID 7937 //
     /* 1252643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1252654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1252657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1252660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1252663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1252666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252696 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1252699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252721 */     // GIR_Coverage, 7937,
     /* 1252721 */     GIR_EraseRootFromParent_Done,
     /* 1252722 */   // Label 18061: @1252722
     /* 1252722 */   GIM_Try, /*On fail goto*//*Label 18062*/ GIMT_Encode4(1252806), // Rule ID 7938 //
     /* 1252727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1252738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1252741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1252744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1252747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1252750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252780 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1252783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252805 */     // GIR_Coverage, 7938,
     /* 1252805 */     GIR_EraseRootFromParent_Done,
     /* 1252806 */   // Label 18062: @1252806
     /* 1252806 */   GIM_Try, /*On fail goto*//*Label 18063*/ GIMT_Encode4(1252890), // Rule ID 7941 //
     /* 1252811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1252828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1252831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252864 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1252867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252889 */     // GIR_Coverage, 7941,
     /* 1252889 */     GIR_EraseRootFromParent_Done,
     /* 1252890 */   // Label 18063: @1252890
     /* 1252890 */   GIM_Try, /*On fail goto*//*Label 18064*/ GIMT_Encode4(1252974), // Rule ID 7942 //
     /* 1252895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1252912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1252915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252948 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1252951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252973 */     // GIR_Coverage, 7942,
     /* 1252973 */     GIR_EraseRootFromParent_Done,
     /* 1252974 */   // Label 18064: @1252974
     /* 1252974 */   GIM_Try, /*On fail goto*//*Label 18065*/ GIMT_Encode4(1253058), // Rule ID 7945 //
     /* 1252979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1252996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1252999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253032 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1253035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253057 */     // GIR_Coverage, 7945,
     /* 1253057 */     GIR_EraseRootFromParent_Done,
     /* 1253058 */   // Label 18065: @1253058
     /* 1253058 */   GIM_Try, /*On fail goto*//*Label 18066*/ GIMT_Encode4(1253142), // Rule ID 7946 //
     /* 1253063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1253080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1253083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253116 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1253119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253141 */     // GIR_Coverage, 7946,
     /* 1253141 */     GIR_EraseRootFromParent_Done,
     /* 1253142 */   // Label 18066: @1253142
     /* 1253142 */   GIM_Try, /*On fail goto*//*Label 18067*/ GIMT_Encode4(1253226), // Rule ID 7949 //
     /* 1253147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1253164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1253167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253200 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1253203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253225 */     // GIR_Coverage, 7949,
     /* 1253225 */     GIR_EraseRootFromParent_Done,
     /* 1253226 */   // Label 18067: @1253226
     /* 1253226 */   GIM_Try, /*On fail goto*//*Label 18068*/ GIMT_Encode4(1253310), // Rule ID 7950 //
     /* 1253231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1253248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1253251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253284 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1253287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253309 */     // GIR_Coverage, 7950,
     /* 1253309 */     GIR_EraseRootFromParent_Done,
     /* 1253310 */   // Label 18068: @1253310
     /* 1253310 */   GIM_Try, /*On fail goto*//*Label 18069*/ GIMT_Encode4(1253394), // Rule ID 7953 //
     /* 1253315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1253318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1253332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1253335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253368 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1253371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253393 */     // GIR_Coverage, 7953,
     /* 1253393 */     GIR_EraseRootFromParent_Done,
     /* 1253394 */   // Label 18069: @1253394
     /* 1253394 */   GIM_Try, /*On fail goto*//*Label 18070*/ GIMT_Encode4(1253478), // Rule ID 7954 //
     /* 1253399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1253402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1253416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1253419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253452 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1253455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253477 */     // GIR_Coverage, 7954,
     /* 1253477 */     GIR_EraseRootFromParent_Done,
     /* 1253478 */   // Label 18070: @1253478
     /* 1253478 */   GIM_Try, /*On fail goto*//*Label 18071*/ GIMT_Encode4(1253562), // Rule ID 7957 //
     /* 1253483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1253494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1253497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1253500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1253503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1253506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253536 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1253539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253561 */     // GIR_Coverage, 7957,
     /* 1253561 */     GIR_EraseRootFromParent_Done,
     /* 1253562 */   // Label 18071: @1253562
     /* 1253562 */   GIM_Try, /*On fail goto*//*Label 18072*/ GIMT_Encode4(1253646), // Rule ID 7958 //
     /* 1253567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1253578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1253581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1253584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1253587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1253590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253620 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1253623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253645 */     // GIR_Coverage, 7958,
     /* 1253645 */     GIR_EraseRootFromParent_Done,
     /* 1253646 */   // Label 18072: @1253646
     /* 1253646 */   GIM_Try, /*On fail goto*//*Label 18073*/ GIMT_Encode4(1253730), // Rule ID 7961 //
     /* 1253651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1253662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1253665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1253668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1253671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1253674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253704 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1253707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253729 */     // GIR_Coverage, 7961,
     /* 1253729 */     GIR_EraseRootFromParent_Done,
     /* 1253730 */   // Label 18073: @1253730
     /* 1253730 */   GIM_Try, /*On fail goto*//*Label 18074*/ GIMT_Encode4(1253814), // Rule ID 7962 //
     /* 1253735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1253746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1253749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1253752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1253755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1253758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253788 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1253791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253813 */     // GIR_Coverage, 7962,
     /* 1253813 */     GIR_EraseRootFromParent_Done,
     /* 1253814 */   // Label 18074: @1253814
     /* 1253814 */   GIM_Try, /*On fail goto*//*Label 18075*/ GIMT_Encode4(1253898), // Rule ID 7965 //
     /* 1253819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1253830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1253833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1253836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1253839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1253842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253872 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1253875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253897 */     // GIR_Coverage, 7965,
     /* 1253897 */     GIR_EraseRootFromParent_Done,
     /* 1253898 */   // Label 18075: @1253898
     /* 1253898 */   GIM_Try, /*On fail goto*//*Label 18076*/ GIMT_Encode4(1253982), // Rule ID 7966 //
     /* 1253903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1253914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1253917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1253920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1253923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1253926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253956 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1253959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253981 */     // GIR_Coverage, 7966,
     /* 1253981 */     GIR_EraseRootFromParent_Done,
     /* 1253982 */   // Label 18076: @1253982
     /* 1253982 */   GIM_Try, /*On fail goto*//*Label 18077*/ GIMT_Encode4(1254066), // Rule ID 7969 //
     /* 1253987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1254001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1254004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1254007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254040 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1254043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254065 */     // GIR_Coverage, 7969,
     /* 1254065 */     GIR_EraseRootFromParent_Done,
     /* 1254066 */   // Label 18077: @1254066
     /* 1254066 */   GIM_Try, /*On fail goto*//*Label 18078*/ GIMT_Encode4(1254150), // Rule ID 7970 //
     /* 1254071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1254082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1254085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1254088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1254091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254124 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1254127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254149 */     // GIR_Coverage, 7970,
     /* 1254149 */     GIR_EraseRootFromParent_Done,
     /* 1254150 */   // Label 18078: @1254150
     /* 1254150 */   GIM_Try, /*On fail goto*//*Label 18079*/ GIMT_Encode4(1254234), // Rule ID 7973 //
     /* 1254155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1254166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1254169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1254172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1254175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1254178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254208 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1254211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254233 */     // GIR_Coverage, 7973,
     /* 1254233 */     GIR_EraseRootFromParent_Done,
     /* 1254234 */   // Label 18079: @1254234
     /* 1254234 */   GIM_Try, /*On fail goto*//*Label 18080*/ GIMT_Encode4(1254318), // Rule ID 7974 //
     /* 1254239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1254250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1254253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1254256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1254259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1254262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254292 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1254295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254317 */     // GIR_Coverage, 7974,
     /* 1254317 */     GIR_EraseRootFromParent_Done,
     /* 1254318 */   // Label 18080: @1254318
     /* 1254318 */   GIM_Try, /*On fail goto*//*Label 18081*/ GIMT_Encode4(1254402), // Rule ID 7977 //
     /* 1254323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1254334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1254337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1254340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1254343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1254346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254376 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1254379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254401 */     // GIR_Coverage, 7977,
     /* 1254401 */     GIR_EraseRootFromParent_Done,
     /* 1254402 */   // Label 18081: @1254402
     /* 1254402 */   GIM_Try, /*On fail goto*//*Label 18082*/ GIMT_Encode4(1254486), // Rule ID 7978 //
     /* 1254407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1254418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1254421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1254424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1254427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1254430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254460 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1254463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254485 */     // GIR_Coverage, 7978,
     /* 1254485 */     GIR_EraseRootFromParent_Done,
     /* 1254486 */   // Label 18082: @1254486
     /* 1254486 */   GIM_Try, /*On fail goto*//*Label 18083*/ GIMT_Encode4(1254570), // Rule ID 7981 //
     /* 1254491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1254502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1254505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1254508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1254511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254544 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1254547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254569 */     // GIR_Coverage, 7981,
     /* 1254569 */     GIR_EraseRootFromParent_Done,
     /* 1254570 */   // Label 18083: @1254570
     /* 1254570 */   GIM_Try, /*On fail goto*//*Label 18084*/ GIMT_Encode4(1254654), // Rule ID 7982 //
     /* 1254575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1254586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1254589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1254592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1254595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254628 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1254631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254653 */     // GIR_Coverage, 7982,
     /* 1254653 */     GIR_EraseRootFromParent_Done,
     /* 1254654 */   // Label 18084: @1254654
     /* 1254654 */   GIM_Try, /*On fail goto*//*Label 18085*/ GIMT_Encode4(1254738), // Rule ID 7985 //
     /* 1254659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1254670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1254673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1254676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1254679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254712 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1254715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254737 */     // GIR_Coverage, 7985,
     /* 1254737 */     GIR_EraseRootFromParent_Done,
     /* 1254738 */   // Label 18085: @1254738
     /* 1254738 */   GIM_Try, /*On fail goto*//*Label 18086*/ GIMT_Encode4(1254822), // Rule ID 7986 //
     /* 1254743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1254754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1254757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1254760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1254763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254796 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1254799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254821 */     // GIR_Coverage, 7986,
     /* 1254821 */     GIR_EraseRootFromParent_Done,
     /* 1254822 */   // Label 18086: @1254822
     /* 1254822 */   GIM_Try, /*On fail goto*//*Label 18087*/ GIMT_Encode4(1254906), // Rule ID 7989 //
     /* 1254827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1254838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1254841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1254844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1254847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1254850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254880 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1254883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254905 */     // GIR_Coverage, 7989,
     /* 1254905 */     GIR_EraseRootFromParent_Done,
     /* 1254906 */   // Label 18087: @1254906
     /* 1254906 */   GIM_Try, /*On fail goto*//*Label 18088*/ GIMT_Encode4(1254990), // Rule ID 7990 //
     /* 1254911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1254922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1254925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1254928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1254931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1254934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254964 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1254967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254989 */     // GIR_Coverage, 7990,
     /* 1254989 */     GIR_EraseRootFromParent_Done,
     /* 1254990 */   // Label 18088: @1254990
     /* 1254990 */   GIM_Try, /*On fail goto*//*Label 18089*/ GIMT_Encode4(1255074), // Rule ID 7993 //
     /* 1254995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1254998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1255006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1255009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1255012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1255015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1255018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255048 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1255051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255073 */     // GIR_Coverage, 7993,
     /* 1255073 */     GIR_EraseRootFromParent_Done,
     /* 1255074 */   // Label 18089: @1255074
     /* 1255074 */   GIM_Try, /*On fail goto*//*Label 18090*/ GIMT_Encode4(1255158), // Rule ID 7994 //
     /* 1255079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1255082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1255090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1255093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1255096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1255099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1255102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255132 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1255135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255157 */     // GIR_Coverage, 7994,
     /* 1255157 */     GIR_EraseRootFromParent_Done,
     /* 1255158 */   // Label 18090: @1255158
     /* 1255158 */   GIM_Try, /*On fail goto*//*Label 18091*/ GIMT_Encode4(1255242), // Rule ID 7997 //
     /* 1255163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1255166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1255180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1255183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255216 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1255219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255241 */     // GIR_Coverage, 7997,
     /* 1255241 */     GIR_EraseRootFromParent_Done,
     /* 1255242 */   // Label 18091: @1255242
     /* 1255242 */   GIM_Try, /*On fail goto*//*Label 18092*/ GIMT_Encode4(1255326), // Rule ID 7998 //
     /* 1255247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1255250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1255264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1255267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255300 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1255303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255325 */     // GIR_Coverage, 7998,
     /* 1255325 */     GIR_EraseRootFromParent_Done,
     /* 1255326 */   // Label 18092: @1255326
     /* 1255326 */   GIM_Try, /*On fail goto*//*Label 18093*/ GIMT_Encode4(1255410), // Rule ID 8001 //
     /* 1255331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1255334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1255348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1255351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255384 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1255387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255409 */     // GIR_Coverage, 8001,
     /* 1255409 */     GIR_EraseRootFromParent_Done,
     /* 1255410 */   // Label 18093: @1255410
     /* 1255410 */   GIM_Try, /*On fail goto*//*Label 18094*/ GIMT_Encode4(1255494), // Rule ID 8002 //
     /* 1255415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1255418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1255432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1255435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255468 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1255471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255493 */     // GIR_Coverage, 8002,
     /* 1255493 */     GIR_EraseRootFromParent_Done,
     /* 1255494 */   // Label 18094: @1255494
     /* 1255494 */   GIM_Try, /*On fail goto*//*Label 18095*/ GIMT_Encode4(1255578), // Rule ID 8005 //
     /* 1255499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1255510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1255513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1255516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1255519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1255522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255552 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1255555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255577 */     // GIR_Coverage, 8005,
     /* 1255577 */     GIR_EraseRootFromParent_Done,
     /* 1255578 */   // Label 18095: @1255578
     /* 1255578 */   GIM_Try, /*On fail goto*//*Label 18096*/ GIMT_Encode4(1255662), // Rule ID 8006 //
     /* 1255583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1255594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1255597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1255600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1255603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1255606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255636 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1255639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255661 */     // GIR_Coverage, 8006,
     /* 1255661 */     GIR_EraseRootFromParent_Done,
     /* 1255662 */   // Label 18096: @1255662
     /* 1255662 */   GIM_Try, /*On fail goto*//*Label 18097*/ GIMT_Encode4(1255746), // Rule ID 8009 //
     /* 1255667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1255678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1255681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1255684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1255687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1255690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255720 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1255723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255745 */     // GIR_Coverage, 8009,
     /* 1255745 */     GIR_EraseRootFromParent_Done,
     /* 1255746 */   // Label 18097: @1255746
     /* 1255746 */   GIM_Try, /*On fail goto*//*Label 18098*/ GIMT_Encode4(1255830), // Rule ID 8010 //
     /* 1255751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1255762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1255765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1255768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1255771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1255774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255804 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1255807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255829 */     // GIR_Coverage, 8010,
     /* 1255829 */     GIR_EraseRootFromParent_Done,
     /* 1255830 */   // Label 18098: @1255830
     /* 1255830 */   GIM_Try, /*On fail goto*//*Label 18099*/ GIMT_Encode4(1255914), // Rule ID 8013 //
     /* 1255835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1255852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1255855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255888 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1255891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255913 */     // GIR_Coverage, 8013,
     /* 1255913 */     GIR_EraseRootFromParent_Done,
     /* 1255914 */   // Label 18099: @1255914
     /* 1255914 */   GIM_Try, /*On fail goto*//*Label 18100*/ GIMT_Encode4(1255998), // Rule ID 8014 //
     /* 1255919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1255927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1255936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1255939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255972 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1255975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255997 */     // GIR_Coverage, 8014,
     /* 1255997 */     GIR_EraseRootFromParent_Done,
     /* 1255998 */   // Label 18100: @1255998
     /* 1255998 */   GIM_Try, /*On fail goto*//*Label 18101*/ GIMT_Encode4(1256082), // Rule ID 8017 //
     /* 1256003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1256014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1256017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1256020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256056 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1256059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256081 */     // GIR_Coverage, 8017,
     /* 1256081 */     GIR_EraseRootFromParent_Done,
     /* 1256082 */   // Label 18101: @1256082
     /* 1256082 */   GIM_Try, /*On fail goto*//*Label 18102*/ GIMT_Encode4(1256166), // Rule ID 8018 //
     /* 1256087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1256098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1256101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1256104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256140 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1256143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256165 */     // GIR_Coverage, 8018,
     /* 1256165 */     GIR_EraseRootFromParent_Done,
     /* 1256166 */   // Label 18102: @1256166
     /* 1256166 */   GIM_Try, /*On fail goto*//*Label 18103*/ GIMT_Encode4(1256250), // Rule ID 8021 //
     /* 1256171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1256188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256224 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1256227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256249 */     // GIR_Coverage, 8021,
     /* 1256249 */     GIR_EraseRootFromParent_Done,
     /* 1256250 */   // Label 18103: @1256250
     /* 1256250 */   GIM_Try, /*On fail goto*//*Label 18104*/ GIMT_Encode4(1256334), // Rule ID 8022 //
     /* 1256255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1256272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256308 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1256311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256333 */     // GIR_Coverage, 8022,
     /* 1256333 */     GIR_EraseRootFromParent_Done,
     /* 1256334 */   // Label 18104: @1256334
     /* 1256334 */   GIM_Try, /*On fail goto*//*Label 18105*/ GIMT_Encode4(1256418), // Rule ID 8025 //
     /* 1256339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1256350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1256353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1256356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256392 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1256395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256417 */     // GIR_Coverage, 8025,
     /* 1256417 */     GIR_EraseRootFromParent_Done,
     /* 1256418 */   // Label 18105: @1256418
     /* 1256418 */   GIM_Try, /*On fail goto*//*Label 18106*/ GIMT_Encode4(1256502), // Rule ID 8026 //
     /* 1256423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1256434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1256437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1256440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256476 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1256479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256501 */     // GIR_Coverage, 8026,
     /* 1256501 */     GIR_EraseRootFromParent_Done,
     /* 1256502 */   // Label 18106: @1256502
     /* 1256502 */   GIM_Try, /*On fail goto*//*Label 18107*/ GIMT_Encode4(1256586), // Rule ID 8029 //
     /* 1256507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1256524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256560 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1256563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256585 */     // GIR_Coverage, 8029,
     /* 1256585 */     GIR_EraseRootFromParent_Done,
     /* 1256586 */   // Label 18107: @1256586
     /* 1256586 */   GIM_Try, /*On fail goto*//*Label 18108*/ GIMT_Encode4(1256670), // Rule ID 8030 //
     /* 1256591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1256608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256644 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1256647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256669 */     // GIR_Coverage, 8030,
     /* 1256669 */     GIR_EraseRootFromParent_Done,
     /* 1256670 */   // Label 18108: @1256670
     /* 1256670 */   GIM_Try, /*On fail goto*//*Label 18109*/ GIMT_Encode4(1256754), // Rule ID 8033 //
     /* 1256675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1256692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256728 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1256731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256753 */     // GIR_Coverage, 8033,
     /* 1256753 */     GIR_EraseRootFromParent_Done,
     /* 1256754 */   // Label 18109: @1256754
     /* 1256754 */   GIM_Try, /*On fail goto*//*Label 18110*/ GIMT_Encode4(1256838), // Rule ID 8034 //
     /* 1256759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1256770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1256773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1256776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256812 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1256815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256837 */     // GIR_Coverage, 8034,
     /* 1256837 */     GIR_EraseRootFromParent_Done,
     /* 1256838 */   // Label 18110: @1256838
     /* 1256838 */   GIM_Try, /*On fail goto*//*Label 18111*/ GIMT_Encode4(1256922), // Rule ID 8037 //
     /* 1256843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1256860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256896 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1256899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256921 */     // GIR_Coverage, 8037,
     /* 1256921 */     GIR_EraseRootFromParent_Done,
     /* 1256922 */   // Label 18111: @1256922
     /* 1256922 */   GIM_Try, /*On fail goto*//*Label 18112*/ GIMT_Encode4(1257006), // Rule ID 8038 //
     /* 1256927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1256935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1256938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1256941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1256944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256980 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1256983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257005 */     // GIR_Coverage, 8038,
     /* 1257005 */     GIR_EraseRootFromParent_Done,
     /* 1257006 */   // Label 18112: @1257006
     /* 1257006 */   GIM_Try, /*On fail goto*//*Label 18113*/ GIMT_Encode4(1257090), // Rule ID 8041 //
     /* 1257011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1257014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1257028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257064 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1257067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257089 */     // GIR_Coverage, 8041,
     /* 1257089 */     GIR_EraseRootFromParent_Done,
     /* 1257090 */   // Label 18113: @1257090
     /* 1257090 */   GIM_Try, /*On fail goto*//*Label 18114*/ GIMT_Encode4(1257174), // Rule ID 8042 //
     /* 1257095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1257098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1257112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257148 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1257151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257173 */     // GIR_Coverage, 8042,
     /* 1257173 */     GIR_EraseRootFromParent_Done,
     /* 1257174 */   // Label 18114: @1257174
     /* 1257174 */   GIM_Try, /*On fail goto*//*Label 18115*/ GIMT_Encode4(1257258), // Rule ID 8045 //
     /* 1257179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1257190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1257193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1257196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1257202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257232 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1257235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257257 */     // GIR_Coverage, 8045,
     /* 1257257 */     GIR_EraseRootFromParent_Done,
     /* 1257258 */   // Label 18115: @1257258
     /* 1257258 */   GIM_Try, /*On fail goto*//*Label 18116*/ GIMT_Encode4(1257342), // Rule ID 8046 //
     /* 1257263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1257274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1257277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1257280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1257286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257316 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1257319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257341 */     // GIR_Coverage, 8046,
     /* 1257341 */     GIR_EraseRootFromParent_Done,
     /* 1257342 */   // Label 18116: @1257342
     /* 1257342 */   GIM_Try, /*On fail goto*//*Label 18117*/ GIMT_Encode4(1257426), // Rule ID 8049 //
     /* 1257347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1257358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1257361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1257364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1257370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257400 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1257403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257425 */     // GIR_Coverage, 8049,
     /* 1257425 */     GIR_EraseRootFromParent_Done,
     /* 1257426 */   // Label 18117: @1257426
     /* 1257426 */   GIM_Try, /*On fail goto*//*Label 18118*/ GIMT_Encode4(1257510), // Rule ID 8050 //
     /* 1257431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1257442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1257445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1257448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1257454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257484 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1257487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257509 */     // GIR_Coverage, 8050,
     /* 1257509 */     GIR_EraseRootFromParent_Done,
     /* 1257510 */   // Label 18118: @1257510
     /* 1257510 */   GIM_Try, /*On fail goto*//*Label 18119*/ GIMT_Encode4(1257594), // Rule ID 8053 //
     /* 1257515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1257526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1257529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1257532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1257538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257568 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1257571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257593 */     // GIR_Coverage, 8053,
     /* 1257593 */     GIR_EraseRootFromParent_Done,
     /* 1257594 */   // Label 18119: @1257594
     /* 1257594 */   GIM_Try, /*On fail goto*//*Label 18120*/ GIMT_Encode4(1257678), // Rule ID 8054 //
     /* 1257599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1257610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1257613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1257616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1257622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257652 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1257655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257677 */     // GIR_Coverage, 8054,
     /* 1257677 */     GIR_EraseRootFromParent_Done,
     /* 1257678 */   // Label 18120: @1257678
     /* 1257678 */   GIM_Try, /*On fail goto*//*Label 18121*/ GIMT_Encode4(1257762), // Rule ID 8057 //
     /* 1257683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1257694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1257697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1257700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257736 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1257739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257761 */     // GIR_Coverage, 8057,
     /* 1257761 */     GIR_EraseRootFromParent_Done,
     /* 1257762 */   // Label 18121: @1257762
     /* 1257762 */   GIM_Try, /*On fail goto*//*Label 18122*/ GIMT_Encode4(1257846), // Rule ID 8058 //
     /* 1257767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1257778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1257781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1257784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257820 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1257823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257845 */     // GIR_Coverage, 8058,
     /* 1257845 */     GIR_EraseRootFromParent_Done,
     /* 1257846 */   // Label 18122: @1257846
     /* 1257846 */   GIM_Try, /*On fail goto*//*Label 18123*/ GIMT_Encode4(1257930), // Rule ID 8061 //
     /* 1257851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1257862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1257865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1257868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1257871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1257874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257904 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1257907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257929 */     // GIR_Coverage, 8061,
     /* 1257929 */     GIR_EraseRootFromParent_Done,
     /* 1257930 */   // Label 18123: @1257930
     /* 1257930 */   GIM_Try, /*On fail goto*//*Label 18124*/ GIMT_Encode4(1258014), // Rule ID 8062 //
     /* 1257935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1257943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1257946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1257949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1257952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1257958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257988 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1257991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258013 */     // GIR_Coverage, 8062,
     /* 1258013 */     GIR_EraseRootFromParent_Done,
     /* 1258014 */   // Label 18124: @1258014
     /* 1258014 */   GIM_Try, /*On fail goto*//*Label 18125*/ GIMT_Encode4(1258098), // Rule ID 8065 //
     /* 1258019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1258030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1258033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1258036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1258042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258072 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1258075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258097 */     // GIR_Coverage, 8065,
     /* 1258097 */     GIR_EraseRootFromParent_Done,
     /* 1258098 */   // Label 18125: @1258098
     /* 1258098 */   GIM_Try, /*On fail goto*//*Label 18126*/ GIMT_Encode4(1258182), // Rule ID 8066 //
     /* 1258103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1258114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1258117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1258120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1258126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258156 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1258159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258181 */     // GIR_Coverage, 8066,
     /* 1258181 */     GIR_EraseRootFromParent_Done,
     /* 1258182 */   // Label 18126: @1258182
     /* 1258182 */   GIM_Try, /*On fail goto*//*Label 18127*/ GIMT_Encode4(1258266), // Rule ID 8069 //
     /* 1258187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1258198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1258201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1258204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258240 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1258243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258265 */     // GIR_Coverage, 8069,
     /* 1258265 */     GIR_EraseRootFromParent_Done,
     /* 1258266 */   // Label 18127: @1258266
     /* 1258266 */   GIM_Try, /*On fail goto*//*Label 18128*/ GIMT_Encode4(1258350), // Rule ID 8070 //
     /* 1258271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1258282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1258285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1258288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258324 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1258327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258349 */     // GIR_Coverage, 8070,
     /* 1258349 */     GIR_EraseRootFromParent_Done,
     /* 1258350 */   // Label 18128: @1258350
     /* 1258350 */   GIM_Try, /*On fail goto*//*Label 18129*/ GIMT_Encode4(1258434), // Rule ID 8073 //
     /* 1258355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1258372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258408 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1258411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258433 */     // GIR_Coverage, 8073,
     /* 1258433 */     GIR_EraseRootFromParent_Done,
     /* 1258434 */   // Label 18129: @1258434
     /* 1258434 */   GIM_Try, /*On fail goto*//*Label 18130*/ GIMT_Encode4(1258518), // Rule ID 8074 //
     /* 1258439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1258456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258492 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1258495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258517 */     // GIR_Coverage, 8074,
     /* 1258517 */     GIR_EraseRootFromParent_Done,
     /* 1258518 */   // Label 18130: @1258518
     /* 1258518 */   GIM_Try, /*On fail goto*//*Label 18131*/ GIMT_Encode4(1258602), // Rule ID 8077 //
     /* 1258523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1258534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1258537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1258540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258576 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1258579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258601 */     // GIR_Coverage, 8077,
     /* 1258601 */     GIR_EraseRootFromParent_Done,
     /* 1258602 */   // Label 18131: @1258602
     /* 1258602 */   GIM_Try, /*On fail goto*//*Label 18132*/ GIMT_Encode4(1258686), // Rule ID 8078 //
     /* 1258607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1258618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1258621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1258624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258660 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1258663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258685 */     // GIR_Coverage, 8078,
     /* 1258685 */     GIR_EraseRootFromParent_Done,
     /* 1258686 */   // Label 18132: @1258686
     /* 1258686 */   GIM_Try, /*On fail goto*//*Label 18133*/ GIMT_Encode4(1258770), // Rule ID 8081 //
     /* 1258691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1258694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1258702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1258705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1258708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258744 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1258747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258769 */     // GIR_Coverage, 8081,
     /* 1258769 */     GIR_EraseRootFromParent_Done,
     /* 1258770 */   // Label 18133: @1258770
     /* 1258770 */   GIM_Try, /*On fail goto*//*Label 18134*/ GIMT_Encode4(1258854), // Rule ID 8082 //
     /* 1258775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1258778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1258786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1258789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1258792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258828 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1258831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258853 */     // GIR_Coverage, 8082,
     /* 1258853 */     GIR_EraseRootFromParent_Done,
     /* 1258854 */   // Label 18134: @1258854
     /* 1258854 */   GIM_Try, /*On fail goto*//*Label 18135*/ GIMT_Encode4(1258938), // Rule ID 8085 //
     /* 1258859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1258862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1258870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1258873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1258876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258912 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1258915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258937 */     // GIR_Coverage, 8085,
     /* 1258937 */     GIR_EraseRootFromParent_Done,
     /* 1258938 */   // Label 18135: @1258938
     /* 1258938 */   GIM_Try, /*On fail goto*//*Label 18136*/ GIMT_Encode4(1259022), // Rule ID 8086 //
     /* 1258943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1258946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1258951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1258954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1258957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1258960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258996 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1258999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259021 */     // GIR_Coverage, 8086,
     /* 1259021 */     GIR_EraseRootFromParent_Done,
     /* 1259022 */   // Label 18136: @1259022
     /* 1259022 */   GIM_Try, /*On fail goto*//*Label 18137*/ GIMT_Encode4(1259106), // Rule ID 8089 //
     /* 1259027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1259030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1259044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259080 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1259083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259105 */     // GIR_Coverage, 8089,
     /* 1259105 */     GIR_EraseRootFromParent_Done,
     /* 1259106 */   // Label 18137: @1259106
     /* 1259106 */   GIM_Try, /*On fail goto*//*Label 18138*/ GIMT_Encode4(1259190), // Rule ID 8090 //
     /* 1259111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1259114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1259119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1259128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259164 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1259167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259189 */     // GIR_Coverage, 8090,
     /* 1259189 */     GIR_EraseRootFromParent_Done,
     /* 1259190 */   // Label 18138: @1259190
     /* 1259190 */   GIM_Try, /*On fail goto*//*Label 18139*/ GIMT_Encode4(1259274), // Rule ID 8181 //
     /* 1259195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1259206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1259209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1259212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1259215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1259218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259248 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1259251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259273 */     // GIR_Coverage, 8181,
     /* 1259273 */     GIR_EraseRootFromParent_Done,
     /* 1259274 */   // Label 18139: @1259274
     /* 1259274 */   GIM_Try, /*On fail goto*//*Label 18140*/ GIMT_Encode4(1259358), // Rule ID 8182 //
     /* 1259279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1259290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1259293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1259296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1259299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1259302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259332 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1259335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259357 */     // GIR_Coverage, 8182,
     /* 1259357 */     GIR_EraseRootFromParent_Done,
     /* 1259358 */   // Label 18140: @1259358
     /* 1259358 */   GIM_Try, /*On fail goto*//*Label 18141*/ GIMT_Encode4(1259442), // Rule ID 8185 //
     /* 1259363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1259374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1259377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1259380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1259383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259416 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1259419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259441 */     // GIR_Coverage, 8185,
     /* 1259441 */     GIR_EraseRootFromParent_Done,
     /* 1259442 */   // Label 18141: @1259442
     /* 1259442 */   GIM_Try, /*On fail goto*//*Label 18142*/ GIMT_Encode4(1259526), // Rule ID 8186 //
     /* 1259447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1259458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1259461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1259464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1259467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259500 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1259503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259525 */     // GIR_Coverage, 8186,
     /* 1259525 */     GIR_EraseRootFromParent_Done,
     /* 1259526 */   // Label 18142: @1259526
     /* 1259526 */   GIM_Try, /*On fail goto*//*Label 18143*/ GIMT_Encode4(1259610), // Rule ID 8189 //
     /* 1259531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1259548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1259551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259584 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1259587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259609 */     // GIR_Coverage, 8189,
     /* 1259609 */     GIR_EraseRootFromParent_Done,
     /* 1259610 */   // Label 18143: @1259610
     /* 1259610 */   GIM_Try, /*On fail goto*//*Label 18144*/ GIMT_Encode4(1259694), // Rule ID 8190 //
     /* 1259615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1259632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1259635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259668 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1259671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259693 */     // GIR_Coverage, 8190,
     /* 1259693 */     GIR_EraseRootFromParent_Done,
     /* 1259694 */   // Label 18144: @1259694
     /* 1259694 */   GIM_Try, /*On fail goto*//*Label 18145*/ GIMT_Encode4(1259778), // Rule ID 8193 //
     /* 1259699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1259710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1259713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1259716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1259719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1259722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259752 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1259755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259777 */     // GIR_Coverage, 8193,
     /* 1259777 */     GIR_EraseRootFromParent_Done,
     /* 1259778 */   // Label 18145: @1259778
     /* 1259778 */   GIM_Try, /*On fail goto*//*Label 18146*/ GIMT_Encode4(1259862), // Rule ID 8194 //
     /* 1259783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1259794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1259797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1259800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1259803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1259806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259836 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1259839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259861 */     // GIR_Coverage, 8194,
     /* 1259861 */     GIR_EraseRootFromParent_Done,
     /* 1259862 */   // Label 18146: @1259862
     /* 1259862 */   GIM_Try, /*On fail goto*//*Label 18147*/ GIMT_Encode4(1259946), // Rule ID 8197 //
     /* 1259867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1259878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1259881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1259884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1259887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259920 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1259923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259945 */     // GIR_Coverage, 8197,
     /* 1259945 */     GIR_EraseRootFromParent_Done,
     /* 1259946 */   // Label 18147: @1259946
     /* 1259946 */   GIM_Try, /*On fail goto*//*Label 18148*/ GIMT_Encode4(1260030), // Rule ID 8198 //
     /* 1259951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1259962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1259965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1259968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1259971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260004 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1260007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260029 */     // GIR_Coverage, 8198,
     /* 1260029 */     GIR_EraseRootFromParent_Done,
     /* 1260030 */   // Label 18148: @1260030
     /* 1260030 */   GIM_Try, /*On fail goto*//*Label 18149*/ GIMT_Encode4(1260114), // Rule ID 8201 //
     /* 1260035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1260052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1260055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260088 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1260091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260113 */     // GIR_Coverage, 8201,
     /* 1260113 */     GIR_EraseRootFromParent_Done,
     /* 1260114 */   // Label 18149: @1260114
     /* 1260114 */   GIM_Try, /*On fail goto*//*Label 18150*/ GIMT_Encode4(1260198), // Rule ID 8202 //
     /* 1260119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1260136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1260139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260172 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1260175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260197 */     // GIR_Coverage, 8202,
     /* 1260197 */     GIR_EraseRootFromParent_Done,
     /* 1260198 */   // Label 18150: @1260198
     /* 1260198 */   GIM_Try, /*On fail goto*//*Label 18151*/ GIMT_Encode4(1260282), // Rule ID 8205 //
     /* 1260203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1260220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1260223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260256 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1260259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260281 */     // GIR_Coverage, 8205,
     /* 1260281 */     GIR_EraseRootFromParent_Done,
     /* 1260282 */   // Label 18151: @1260282
     /* 1260282 */   GIM_Try, /*On fail goto*//*Label 18152*/ GIMT_Encode4(1260366), // Rule ID 8206 //
     /* 1260287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1260304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1260307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260340 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1260343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260365 */     // GIR_Coverage, 8206,
     /* 1260365 */     GIR_EraseRootFromParent_Done,
     /* 1260366 */   // Label 18152: @1260366
     /* 1260366 */   GIM_Try, /*On fail goto*//*Label 18153*/ GIMT_Encode4(1260450), // Rule ID 8209 //
     /* 1260371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1260388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1260391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260424 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1260427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260449 */     // GIR_Coverage, 8209,
     /* 1260449 */     GIR_EraseRootFromParent_Done,
     /* 1260450 */   // Label 18153: @1260450
     /* 1260450 */   GIM_Try, /*On fail goto*//*Label 18154*/ GIMT_Encode4(1260534), // Rule ID 8210 //
     /* 1260455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1260472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1260475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260508 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1260511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260533 */     // GIR_Coverage, 8210,
     /* 1260533 */     GIR_EraseRootFromParent_Done,
     /* 1260534 */   // Label 18154: @1260534
     /* 1260534 */   GIM_Try, /*On fail goto*//*Label 18155*/ GIMT_Encode4(1260618), // Rule ID 8213 //
     /* 1260539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1260556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1260559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260592 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1260595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260617 */     // GIR_Coverage, 8213,
     /* 1260617 */     GIR_EraseRootFromParent_Done,
     /* 1260618 */   // Label 18155: @1260618
     /* 1260618 */   GIM_Try, /*On fail goto*//*Label 18156*/ GIMT_Encode4(1260702), // Rule ID 8214 //
     /* 1260623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1260640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1260643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260676 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1260679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260701 */     // GIR_Coverage, 8214,
     /* 1260701 */     GIR_EraseRootFromParent_Done,
     /* 1260702 */   // Label 18156: @1260702
     /* 1260702 */   GIM_Try, /*On fail goto*//*Label 18157*/ GIMT_Encode4(1260786), // Rule ID 8217 //
     /* 1260707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1260710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1260724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1260727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260760 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1260763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260785 */     // GIR_Coverage, 8217,
     /* 1260785 */     GIR_EraseRootFromParent_Done,
     /* 1260786 */   // Label 18157: @1260786
     /* 1260786 */   GIM_Try, /*On fail goto*//*Label 18158*/ GIMT_Encode4(1260870), // Rule ID 8218 //
     /* 1260791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1260794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1260808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1260811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260844 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1260847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260869 */     // GIR_Coverage, 8218,
     /* 1260869 */     GIR_EraseRootFromParent_Done,
     /* 1260870 */   // Label 18158: @1260870
     /* 1260870 */   GIM_Try, /*On fail goto*//*Label 18159*/ GIMT_Encode4(1260954), // Rule ID 8221 //
     /* 1260875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1260886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1260889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1260892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1260895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1260898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260928 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1260931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260953 */     // GIR_Coverage, 8221,
     /* 1260953 */     GIR_EraseRootFromParent_Done,
     /* 1260954 */   // Label 18159: @1260954
     /* 1260954 */   GIM_Try, /*On fail goto*//*Label 18160*/ GIMT_Encode4(1261038), // Rule ID 8222 //
     /* 1260959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1260970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1260973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1260976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1260979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1260982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261012 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1261015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261037 */     // GIR_Coverage, 8222,
     /* 1261037 */     GIR_EraseRootFromParent_Done,
     /* 1261038 */   // Label 18160: @1261038
     /* 1261038 */   GIM_Try, /*On fail goto*//*Label 18161*/ GIMT_Encode4(1261122), // Rule ID 8225 //
     /* 1261043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1261054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1261057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1261060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1261063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1261066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261096 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1261099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261121 */     // GIR_Coverage, 8225,
     /* 1261121 */     GIR_EraseRootFromParent_Done,
     /* 1261122 */   // Label 18161: @1261122
     /* 1261122 */   GIM_Try, /*On fail goto*//*Label 18162*/ GIMT_Encode4(1261206), // Rule ID 8226 //
     /* 1261127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1261138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1261141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1261144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1261147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1261150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261180 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1261183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261205 */     // GIR_Coverage, 8226,
     /* 1261205 */     GIR_EraseRootFromParent_Done,
     /* 1261206 */   // Label 18162: @1261206
     /* 1261206 */   GIM_Try, /*On fail goto*//*Label 18163*/ GIMT_Encode4(1261290), // Rule ID 8229 //
     /* 1261211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1261222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1261225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1261228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1261231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1261234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261264 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1261267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261289 */     // GIR_Coverage, 8229,
     /* 1261289 */     GIR_EraseRootFromParent_Done,
     /* 1261290 */   // Label 18163: @1261290
     /* 1261290 */   GIM_Try, /*On fail goto*//*Label 18164*/ GIMT_Encode4(1261374), // Rule ID 8230 //
     /* 1261295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1261306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1261309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1261312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1261315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1261318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261348 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1261351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261373 */     // GIR_Coverage, 8230,
     /* 1261373 */     GIR_EraseRootFromParent_Done,
     /* 1261374 */   // Label 18164: @1261374
     /* 1261374 */   GIM_Try, /*On fail goto*//*Label 18165*/ GIMT_Encode4(1261458), // Rule ID 8233 //
     /* 1261379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1261396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1261399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261432 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1261435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261457 */     // GIR_Coverage, 8233,
     /* 1261457 */     GIR_EraseRootFromParent_Done,
     /* 1261458 */   // Label 18165: @1261458
     /* 1261458 */   GIM_Try, /*On fail goto*//*Label 18166*/ GIMT_Encode4(1261542), // Rule ID 8234 //
     /* 1261463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1261480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1261483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261516 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1261519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261541 */     // GIR_Coverage, 8234,
     /* 1261541 */     GIR_EraseRootFromParent_Done,
     /* 1261542 */   // Label 18166: @1261542
     /* 1261542 */   GIM_Try, /*On fail goto*//*Label 18167*/ GIMT_Encode4(1261626), // Rule ID 8237 //
     /* 1261547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1261558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1261561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1261564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1261567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1261570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261600 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1261603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261625 */     // GIR_Coverage, 8237,
     /* 1261625 */     GIR_EraseRootFromParent_Done,
     /* 1261626 */   // Label 18167: @1261626
     /* 1261626 */   GIM_Try, /*On fail goto*//*Label 18168*/ GIMT_Encode4(1261710), // Rule ID 8238 //
     /* 1261631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1261642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1261645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1261648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1261651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1261654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261684 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1261687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261709 */     // GIR_Coverage, 8238,
     /* 1261709 */     GIR_EraseRootFromParent_Done,
     /* 1261710 */   // Label 18168: @1261710
     /* 1261710 */   GIM_Try, /*On fail goto*//*Label 18169*/ GIMT_Encode4(1261794), // Rule ID 8241 //
     /* 1261715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1261726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1261729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1261732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1261735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1261738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261768 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1261771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261793 */     // GIR_Coverage, 8241,
     /* 1261793 */     GIR_EraseRootFromParent_Done,
     /* 1261794 */   // Label 18169: @1261794
     /* 1261794 */   GIM_Try, /*On fail goto*//*Label 18170*/ GIMT_Encode4(1261878), // Rule ID 8242 //
     /* 1261799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1261810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1261813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1261816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1261819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1261822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261852 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1261855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261877 */     // GIR_Coverage, 8242,
     /* 1261877 */     GIR_EraseRootFromParent_Done,
     /* 1261878 */   // Label 18170: @1261878
     /* 1261878 */   GIM_Try, /*On fail goto*//*Label 18171*/ GIMT_Encode4(1261962), // Rule ID 8245 //
     /* 1261883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1261900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1261903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261936 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1261939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261961 */     // GIR_Coverage, 8245,
     /* 1261961 */     GIR_EraseRootFromParent_Done,
     /* 1261962 */   // Label 18171: @1261962
     /* 1261962 */   GIM_Try, /*On fail goto*//*Label 18172*/ GIMT_Encode4(1262046), // Rule ID 8246 //
     /* 1261967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1261984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1261987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262020 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1262023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262045 */     // GIR_Coverage, 8246,
     /* 1262045 */     GIR_EraseRootFromParent_Done,
     /* 1262046 */   // Label 18172: @1262046
     /* 1262046 */   GIM_Try, /*On fail goto*//*Label 18173*/ GIMT_Encode4(1262130), // Rule ID 8249 //
     /* 1262051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1262062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1262065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1262068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1262071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262104 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1262107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262129 */     // GIR_Coverage, 8249,
     /* 1262129 */     GIR_EraseRootFromParent_Done,
     /* 1262130 */   // Label 18173: @1262130
     /* 1262130 */   GIM_Try, /*On fail goto*//*Label 18174*/ GIMT_Encode4(1262214), // Rule ID 8250 //
     /* 1262135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1262146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1262149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1262152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1262155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262188 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1262191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262213 */     // GIR_Coverage, 8250,
     /* 1262213 */     GIR_EraseRootFromParent_Done,
     /* 1262214 */   // Label 18174: @1262214
     /* 1262214 */   GIM_Try, /*On fail goto*//*Label 18175*/ GIMT_Encode4(1262298), // Rule ID 8253 //
     /* 1262219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1262236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1262239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262272 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1262275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262297 */     // GIR_Coverage, 8253,
     /* 1262297 */     GIR_EraseRootFromParent_Done,
     /* 1262298 */   // Label 18175: @1262298
     /* 1262298 */   GIM_Try, /*On fail goto*//*Label 18176*/ GIMT_Encode4(1262382), // Rule ID 8254 //
     /* 1262303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1262320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1262323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262356 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1262359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262381 */     // GIR_Coverage, 8254,
     /* 1262381 */     GIR_EraseRootFromParent_Done,
     /* 1262382 */   // Label 18176: @1262382
     /* 1262382 */   GIM_Try, /*On fail goto*//*Label 18177*/ GIMT_Encode4(1262466), // Rule ID 8257 //
     /* 1262387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1262390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1262398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1262401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1262404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1262407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1262410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262440 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1262443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262465 */     // GIR_Coverage, 8257,
     /* 1262465 */     GIR_EraseRootFromParent_Done,
     /* 1262466 */   // Label 18177: @1262466
     /* 1262466 */   GIM_Try, /*On fail goto*//*Label 18178*/ GIMT_Encode4(1262550), // Rule ID 8258 //
     /* 1262471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1262474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1262482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1262485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1262488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1262491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1262494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262524 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1262527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262549 */     // GIR_Coverage, 8258,
     /* 1262549 */     GIR_EraseRootFromParent_Done,
     /* 1262550 */   // Label 18178: @1262550
     /* 1262550 */   GIM_Try, /*On fail goto*//*Label 18179*/ GIMT_Encode4(1262634), // Rule ID 8261 //
     /* 1262555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1262558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1262566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1262569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1262572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1262575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1262578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262608 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1262611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262633 */     // GIR_Coverage, 8261,
     /* 1262633 */     GIR_EraseRootFromParent_Done,
     /* 1262634 */   // Label 18179: @1262634
     /* 1262634 */   GIM_Try, /*On fail goto*//*Label 18180*/ GIMT_Encode4(1262718), // Rule ID 8262 //
     /* 1262639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1262642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1262650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1262653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1262656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1262659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1262662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262692 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1262695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262717 */     // GIR_Coverage, 8262,
     /* 1262717 */     GIR_EraseRootFromParent_Done,
     /* 1262718 */   // Label 18180: @1262718
     /* 1262718 */   GIM_Try, /*On fail goto*//*Label 18181*/ GIMT_Encode4(1262802), // Rule ID 8265 //
     /* 1262723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1262726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1262734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1262737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1262740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1262743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262776 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1262779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262801 */     // GIR_Coverage, 8265,
     /* 1262801 */     GIR_EraseRootFromParent_Done,
     /* 1262802 */   // Label 18181: @1262802
     /* 1262802 */   GIM_Try, /*On fail goto*//*Label 18182*/ GIMT_Encode4(1262886), // Rule ID 8266 //
     /* 1262807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1262810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1262818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1262821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1262824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1262827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262860 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1262863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262885 */     // GIR_Coverage, 8266,
     /* 1262885 */     GIR_EraseRootFromParent_Done,
     /* 1262886 */   // Label 18182: @1262886
     /* 1262886 */   GIM_Try, /*On fail goto*//*Label 18183*/ GIMT_Encode4(1262970), // Rule ID 8269 //
     /* 1262891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1262902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1262905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1262908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1262911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262944 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1262947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262969 */     // GIR_Coverage, 8269,
     /* 1262969 */     GIR_EraseRootFromParent_Done,
     /* 1262970 */   // Label 18183: @1262970
     /* 1262970 */   GIM_Try, /*On fail goto*//*Label 18184*/ GIMT_Encode4(1263054), // Rule ID 8270 //
     /* 1262975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1262983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1262986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1262989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1262992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1262995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1263031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263053 */     // GIR_Coverage, 8270,
     /* 1263053 */     GIR_EraseRootFromParent_Done,
     /* 1263054 */   // Label 18184: @1263054
     /* 1263054 */   GIM_Try, /*On fail goto*//*Label 18185*/ GIMT_Encode4(1263138), // Rule ID 8273 //
     /* 1263059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1263070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1263073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1263076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263112 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1263115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263137 */     // GIR_Coverage, 8273,
     /* 1263137 */     GIR_EraseRootFromParent_Done,
     /* 1263138 */   // Label 18185: @1263138
     /* 1263138 */   GIM_Try, /*On fail goto*//*Label 18186*/ GIMT_Encode4(1263222), // Rule ID 8274 //
     /* 1263143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1263154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1263157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1263160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263196 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1263199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263221 */     // GIR_Coverage, 8274,
     /* 1263221 */     GIR_EraseRootFromParent_Done,
     /* 1263222 */   // Label 18186: @1263222
     /* 1263222 */   GIM_Try, /*On fail goto*//*Label 18187*/ GIMT_Encode4(1263306), // Rule ID 8277 //
     /* 1263227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1263244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263280 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1263283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263305 */     // GIR_Coverage, 8277,
     /* 1263305 */     GIR_EraseRootFromParent_Done,
     /* 1263306 */   // Label 18187: @1263306
     /* 1263306 */   GIM_Try, /*On fail goto*//*Label 18188*/ GIMT_Encode4(1263390), // Rule ID 8278 //
     /* 1263311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1263328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263364 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1263367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263389 */     // GIR_Coverage, 8278,
     /* 1263389 */     GIR_EraseRootFromParent_Done,
     /* 1263390 */   // Label 18188: @1263390
     /* 1263390 */   GIM_Try, /*On fail goto*//*Label 18189*/ GIMT_Encode4(1263474), // Rule ID 8281 //
     /* 1263395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1263406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1263409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1263412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1263418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263448 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1263451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263473 */     // GIR_Coverage, 8281,
     /* 1263473 */     GIR_EraseRootFromParent_Done,
     /* 1263474 */   // Label 18189: @1263474
     /* 1263474 */   GIM_Try, /*On fail goto*//*Label 18190*/ GIMT_Encode4(1263558), // Rule ID 8282 //
     /* 1263479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1263490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1263493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1263496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1263502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263532 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1263535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263557 */     // GIR_Coverage, 8282,
     /* 1263557 */     GIR_EraseRootFromParent_Done,
     /* 1263558 */   // Label 18190: @1263558
     /* 1263558 */   GIM_Try, /*On fail goto*//*Label 18191*/ GIMT_Encode4(1263642), // Rule ID 8285 //
     /* 1263563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1263574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1263577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1263580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263616 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1263619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263641 */     // GIR_Coverage, 8285,
     /* 1263641 */     GIR_EraseRootFromParent_Done,
     /* 1263642 */   // Label 18191: @1263642
     /* 1263642 */   GIM_Try, /*On fail goto*//*Label 18192*/ GIMT_Encode4(1263726), // Rule ID 8286 //
     /* 1263647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1263658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1263661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1263664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263700 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1263703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263725 */     // GIR_Coverage, 8286,
     /* 1263725 */     GIR_EraseRootFromParent_Done,
     /* 1263726 */   // Label 18192: @1263726
     /* 1263726 */   GIM_Try, /*On fail goto*//*Label 18193*/ GIMT_Encode4(1263810), // Rule ID 8289 //
     /* 1263731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1263742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1263745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1263748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1263754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263784 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1263787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263809 */     // GIR_Coverage, 8289,
     /* 1263809 */     GIR_EraseRootFromParent_Done,
     /* 1263810 */   // Label 18193: @1263810
     /* 1263810 */   GIM_Try, /*On fail goto*//*Label 18194*/ GIMT_Encode4(1263894), // Rule ID 8290 //
     /* 1263815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1263826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1263829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1263832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1263838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263868 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1263871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263893 */     // GIR_Coverage, 8290,
     /* 1263893 */     GIR_EraseRootFromParent_Done,
     /* 1263894 */   // Label 18194: @1263894
     /* 1263894 */   GIM_Try, /*On fail goto*//*Label 18195*/ GIMT_Encode4(1263978), // Rule ID 8293 //
     /* 1263899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1263916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263952 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1263955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263977 */     // GIR_Coverage, 8293,
     /* 1263977 */     GIR_EraseRootFromParent_Done,
     /* 1263978 */   // Label 18195: @1263978
     /* 1263978 */   GIM_Try, /*On fail goto*//*Label 18196*/ GIMT_Encode4(1264062), // Rule ID 8294 //
     /* 1263983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1263991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1264000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264036 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1264039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264061 */     // GIR_Coverage, 8294,
     /* 1264061 */     GIR_EraseRootFromParent_Done,
     /* 1264062 */   // Label 18196: @1264062
     /* 1264062 */   GIM_Try, /*On fail goto*//*Label 18197*/ GIMT_Encode4(1264146), // Rule ID 8297 //
     /* 1264067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1264084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264120 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1264123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264145 */     // GIR_Coverage, 8297,
     /* 1264145 */     GIR_EraseRootFromParent_Done,
     /* 1264146 */   // Label 18197: @1264146
     /* 1264146 */   GIM_Try, /*On fail goto*//*Label 18198*/ GIMT_Encode4(1264230), // Rule ID 8298 //
     /* 1264151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1264168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264204 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1264207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264229 */     // GIR_Coverage, 8298,
     /* 1264229 */     GIR_EraseRootFromParent_Done,
     /* 1264230 */   // Label 18198: @1264230
     /* 1264230 */   GIM_Try, /*On fail goto*//*Label 18199*/ GIMT_Encode4(1264314), // Rule ID 8301 //
     /* 1264235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1264252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264288 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1264291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264313 */     // GIR_Coverage, 8301,
     /* 1264313 */     GIR_EraseRootFromParent_Done,
     /* 1264314 */   // Label 18199: @1264314
     /* 1264314 */   GIM_Try, /*On fail goto*//*Label 18200*/ GIMT_Encode4(1264398), // Rule ID 8302 //
     /* 1264319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1264336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264372 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1264375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264397 */     // GIR_Coverage, 8302,
     /* 1264397 */     GIR_EraseRootFromParent_Done,
     /* 1264398 */   // Label 18200: @1264398
     /* 1264398 */   GIM_Try, /*On fail goto*//*Label 18201*/ GIMT_Encode4(1264482), // Rule ID 8305 //
     /* 1264403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1264406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1264420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264456 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1264459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264481 */     // GIR_Coverage, 8305,
     /* 1264481 */     GIR_EraseRootFromParent_Done,
     /* 1264482 */   // Label 18201: @1264482
     /* 1264482 */   GIM_Try, /*On fail goto*//*Label 18202*/ GIMT_Encode4(1264566), // Rule ID 8306 //
     /* 1264487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1264490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1264504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264540 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1264543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264565 */     // GIR_Coverage, 8306,
     /* 1264565 */     GIR_EraseRootFromParent_Done,
     /* 1264566 */   // Label 18202: @1264566
     /* 1264566 */   GIM_Try, /*On fail goto*//*Label 18203*/ GIMT_Encode4(1264650), // Rule ID 8309 //
     /* 1264571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1264582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1264585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1264588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1264594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264624 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1264627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264649 */     // GIR_Coverage, 8309,
     /* 1264649 */     GIR_EraseRootFromParent_Done,
     /* 1264650 */   // Label 18203: @1264650
     /* 1264650 */   GIM_Try, /*On fail goto*//*Label 18204*/ GIMT_Encode4(1264734), // Rule ID 8310 //
     /* 1264655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1264666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1264669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1264672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1264678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264708 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1264711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264733 */     // GIR_Coverage, 8310,
     /* 1264733 */     GIR_EraseRootFromParent_Done,
     /* 1264734 */   // Label 18204: @1264734
     /* 1264734 */   GIM_Try, /*On fail goto*//*Label 18205*/ GIMT_Encode4(1264818), // Rule ID 8313 //
     /* 1264739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1264750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1264753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1264756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1264762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264792 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1264795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264817 */     // GIR_Coverage, 8313,
     /* 1264817 */     GIR_EraseRootFromParent_Done,
     /* 1264818 */   // Label 18205: @1264818
     /* 1264818 */   GIM_Try, /*On fail goto*//*Label 18206*/ GIMT_Encode4(1264902), // Rule ID 8314 //
     /* 1264823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1264834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1264837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1264840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1264846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264876 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1264879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264901 */     // GIR_Coverage, 8314,
     /* 1264901 */     GIR_EraseRootFromParent_Done,
     /* 1264902 */   // Label 18206: @1264902
     /* 1264902 */   GIM_Try, /*On fail goto*//*Label 18207*/ GIMT_Encode4(1264986), // Rule ID 8317 //
     /* 1264907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1264918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1264921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1264924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1264930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264960 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1264963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264985 */     // GIR_Coverage, 8317,
     /* 1264985 */     GIR_EraseRootFromParent_Done,
     /* 1264986 */   // Label 18207: @1264986
     /* 1264986 */   GIM_Try, /*On fail goto*//*Label 18208*/ GIMT_Encode4(1265070), // Rule ID 8318 //
     /* 1264991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1264999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1265002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1265005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1265008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1265014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265044 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1265047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265069 */     // GIR_Coverage, 8318,
     /* 1265069 */     GIR_EraseRootFromParent_Done,
     /* 1265070 */   // Label 18208: @1265070
     /* 1265070 */   GIM_Try, /*On fail goto*//*Label 18209*/ GIMT_Encode4(1265154), // Rule ID 8321 //
     /* 1265075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1265086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1265089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1265092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1265131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265153 */     // GIR_Coverage, 8321,
     /* 1265153 */     GIR_EraseRootFromParent_Done,
     /* 1265154 */   // Label 18209: @1265154
     /* 1265154 */   GIM_Try, /*On fail goto*//*Label 18210*/ GIMT_Encode4(1265238), // Rule ID 8322 //
     /* 1265159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1265170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1265173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1265176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265212 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1265215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265237 */     // GIR_Coverage, 8322,
     /* 1265237 */     GIR_EraseRootFromParent_Done,
     /* 1265238 */   // Label 18210: @1265238
     /* 1265238 */   GIM_Try, /*On fail goto*//*Label 18211*/ GIMT_Encode4(1265322), // Rule ID 8325 //
     /* 1265243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1265254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1265257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1265260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1265266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265296 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1265299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265321 */     // GIR_Coverage, 8325,
     /* 1265321 */     GIR_EraseRootFromParent_Done,
     /* 1265322 */   // Label 18211: @1265322
     /* 1265322 */   GIM_Try, /*On fail goto*//*Label 18212*/ GIMT_Encode4(1265406), // Rule ID 8326 //
     /* 1265327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1265338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1265341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1265344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1265350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265380 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1265383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265405 */     // GIR_Coverage, 8326,
     /* 1265405 */     GIR_EraseRootFromParent_Done,
     /* 1265406 */   // Label 18212: @1265406
     /* 1265406 */   GIM_Try, /*On fail goto*//*Label 18213*/ GIMT_Encode4(1265490), // Rule ID 8329 //
     /* 1265411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1265422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1265425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1265428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1265434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265464 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1265467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265489 */     // GIR_Coverage, 8329,
     /* 1265489 */     GIR_EraseRootFromParent_Done,
     /* 1265490 */   // Label 18213: @1265490
     /* 1265490 */   GIM_Try, /*On fail goto*//*Label 18214*/ GIMT_Encode4(1265574), // Rule ID 8330 //
     /* 1265495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1265506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1265509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1265512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1265518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265548 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1265551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265573 */     // GIR_Coverage, 8330,
     /* 1265573 */     GIR_EraseRootFromParent_Done,
     /* 1265574 */   // Label 18214: @1265574
     /* 1265574 */   GIM_Try, /*On fail goto*//*Label 18215*/ GIMT_Encode4(1265658), // Rule ID 8333 //
     /* 1265579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1265590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1265593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1265596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265632 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1265635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265657 */     // GIR_Coverage, 8333,
     /* 1265657 */     GIR_EraseRootFromParent_Done,
     /* 1265658 */   // Label 18215: @1265658
     /* 1265658 */   GIM_Try, /*On fail goto*//*Label 18216*/ GIMT_Encode4(1265742), // Rule ID 8334 //
     /* 1265663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1265674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1265677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1265680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265716 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1265719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265741 */     // GIR_Coverage, 8334,
     /* 1265741 */     GIR_EraseRootFromParent_Done,
     /* 1265742 */   // Label 18216: @1265742
     /* 1265742 */   GIM_Try, /*On fail goto*//*Label 18217*/ GIMT_Encode4(1265826), // Rule ID 8337 //
     /* 1265747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1265758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1265761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1265764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265800 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1265803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265825 */     // GIR_Coverage, 8337,
     /* 1265825 */     GIR_EraseRootFromParent_Done,
     /* 1265826 */   // Label 18217: @1265826
     /* 1265826 */   GIM_Try, /*On fail goto*//*Label 18218*/ GIMT_Encode4(1265910), // Rule ID 8338 //
     /* 1265831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1265842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1265845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1265848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265884 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1265887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265909 */     // GIR_Coverage, 8338,
     /* 1265909 */     GIR_EraseRootFromParent_Done,
     /* 1265910 */   // Label 18218: @1265910
     /* 1265910 */   GIM_Try, /*On fail goto*//*Label 18219*/ GIMT_Encode4(1265994), // Rule ID 8341 //
     /* 1265915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1265923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1265926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1265929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1265932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1265938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265968 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1265971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265993 */     // GIR_Coverage, 8341,
     /* 1265993 */     GIR_EraseRootFromParent_Done,
     /* 1265994 */   // Label 18219: @1265994
     /* 1265994 */   GIM_Try, /*On fail goto*//*Label 18220*/ GIMT_Encode4(1266078), // Rule ID 8342 //
     /* 1265999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1266016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266052 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1266055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266077 */     // GIR_Coverage, 8342,
     /* 1266077 */     GIR_EraseRootFromParent_Done,
     /* 1266078 */   // Label 18220: @1266078
     /* 1266078 */   GIM_Try, /*On fail goto*//*Label 18221*/ GIMT_Encode4(1266162), // Rule ID 8345 //
     /* 1266083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1266086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1266094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1266097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1266100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1266106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266136 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1266139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266161 */     // GIR_Coverage, 8345,
     /* 1266161 */     GIR_EraseRootFromParent_Done,
     /* 1266162 */   // Label 18221: @1266162
     /* 1266162 */   GIM_Try, /*On fail goto*//*Label 18222*/ GIMT_Encode4(1266246), // Rule ID 8346 //
     /* 1266167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1266170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1266178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1266181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1266184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1266190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266220 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1266223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266245 */     // GIR_Coverage, 8346,
     /* 1266245 */     GIR_EraseRootFromParent_Done,
     /* 1266246 */   // Label 18222: @1266246
     /* 1266246 */   GIM_Try, /*On fail goto*//*Label 18223*/ GIMT_Encode4(1266330), // Rule ID 8349 //
     /* 1266251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1266254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1266262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1266265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1266268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266304 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1266307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266329 */     // GIR_Coverage, 8349,
     /* 1266329 */     GIR_EraseRootFromParent_Done,
     /* 1266330 */   // Label 18223: @1266330
     /* 1266330 */   GIM_Try, /*On fail goto*//*Label 18224*/ GIMT_Encode4(1266414), // Rule ID 8350 //
     /* 1266335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1266338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1266346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1266349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1266352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266388 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1266391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266413 */     // GIR_Coverage, 8350,
     /* 1266413 */     GIR_EraseRootFromParent_Done,
     /* 1266414 */   // Label 18224: @1266414
     /* 1266414 */   GIM_Try, /*On fail goto*//*Label 18225*/ GIMT_Encode4(1266498), // Rule ID 8353 //
     /* 1266419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1266422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1266436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266472 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1266475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266497 */     // GIR_Coverage, 8353,
     /* 1266497 */     GIR_EraseRootFromParent_Done,
     /* 1266498 */   // Label 18225: @1266498
     /* 1266498 */   GIM_Try, /*On fail goto*//*Label 18226*/ GIMT_Encode4(1266582), // Rule ID 8354 //
     /* 1266503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1266506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1266511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1266520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266556 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1266559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266581 */     // GIR_Coverage, 8354,
     /* 1266581 */     GIR_EraseRootFromParent_Done,
     /* 1266582 */   // Label 18226: @1266582
     /* 1266582 */   GIM_Try, /*On fail goto*//*Label 18227*/ GIMT_Encode4(1266666), // Rule ID 8357 //
     /* 1266587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1266595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1266598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1266601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1266604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1266607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1266610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266640 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1266643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266665 */     // GIR_Coverage, 8357,
     /* 1266665 */     GIR_EraseRootFromParent_Done,
     /* 1266666 */   // Label 18227: @1266666
     /* 1266666 */   GIM_Try, /*On fail goto*//*Label 18228*/ GIMT_Encode4(1266750), // Rule ID 8358 //
     /* 1266671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1266679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1266682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1266685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1266688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1266691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1266694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266724 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1266727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266749 */     // GIR_Coverage, 8358,
     /* 1266749 */     GIR_EraseRootFromParent_Done,
     /* 1266750 */   // Label 18228: @1266750
     /* 1266750 */   GIM_Try, /*On fail goto*//*Label 18229*/ GIMT_Encode4(1266834), // Rule ID 8361 //
     /* 1266755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1266763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1266766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1266769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1266772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1266775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1266778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266808 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1266811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266833 */     // GIR_Coverage, 8361,
     /* 1266833 */     GIR_EraseRootFromParent_Done,
     /* 1266834 */   // Label 18229: @1266834
     /* 1266834 */   GIM_Try, /*On fail goto*//*Label 18230*/ GIMT_Encode4(1266918), // Rule ID 8362 //
     /* 1266839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1266847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1266850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1266853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1266856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1266859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1266862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266892 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1266895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266917 */     // GIR_Coverage, 8362,
     /* 1266917 */     GIR_EraseRootFromParent_Done,
     /* 1266918 */   // Label 18230: @1266918
     /* 1266918 */   GIM_Try, /*On fail goto*//*Label 18231*/ GIMT_Encode4(1267002), // Rule ID 8365 //
     /* 1266923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1266931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1266934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1266937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1266940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1266943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266976 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1266979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267001 */     // GIR_Coverage, 8365,
     /* 1267001 */     GIR_EraseRootFromParent_Done,
     /* 1267002 */   // Label 18231: @1267002
     /* 1267002 */   GIM_Try, /*On fail goto*//*Label 18232*/ GIMT_Encode4(1267086), // Rule ID 8366 //
     /* 1267007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1267024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1267027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267060 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1267063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267085 */     // GIR_Coverage, 8366,
     /* 1267085 */     GIR_EraseRootFromParent_Done,
     /* 1267086 */   // Label 18232: @1267086
     /* 1267086 */   GIM_Try, /*On fail goto*//*Label 18233*/ GIMT_Encode4(1267170), // Rule ID 8369 //
     /* 1267091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1267108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1267111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267144 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1267147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267169 */     // GIR_Coverage, 8369,
     /* 1267169 */     GIR_EraseRootFromParent_Done,
     /* 1267170 */   // Label 18233: @1267170
     /* 1267170 */   GIM_Try, /*On fail goto*//*Label 18234*/ GIMT_Encode4(1267254), // Rule ID 8370 //
     /* 1267175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1267192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1267195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267228 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1267231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267253 */     // GIR_Coverage, 8370,
     /* 1267253 */     GIR_EraseRootFromParent_Done,
     /* 1267254 */   // Label 18234: @1267254
     /* 1267254 */   GIM_Try, /*On fail goto*//*Label 18235*/ GIMT_Encode4(1267338), // Rule ID 8373 //
     /* 1267259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1267276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1267279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267312 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1267315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267337 */     // GIR_Coverage, 8373,
     /* 1267337 */     GIR_EraseRootFromParent_Done,
     /* 1267338 */   // Label 18235: @1267338
     /* 1267338 */   GIM_Try, /*On fail goto*//*Label 18236*/ GIMT_Encode4(1267422), // Rule ID 8374 //
     /* 1267343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1267360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1267363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267396 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1267399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267421 */     // GIR_Coverage, 8374,
     /* 1267421 */     GIR_EraseRootFromParent_Done,
     /* 1267422 */   // Label 18236: @1267422
     /* 1267422 */   GIM_Try, /*On fail goto*//*Label 18237*/ GIMT_Encode4(1267506), // Rule ID 8377 //
     /* 1267427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1267444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1267447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267480 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1267483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267505 */     // GIR_Coverage, 8377,
     /* 1267505 */     GIR_EraseRootFromParent_Done,
     /* 1267506 */   // Label 18237: @1267506
     /* 1267506 */   GIM_Try, /*On fail goto*//*Label 18238*/ GIMT_Encode4(1267590), // Rule ID 8378 //
     /* 1267511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1267528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1267531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267564 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1267567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267589 */     // GIR_Coverage, 8378,
     /* 1267589 */     GIR_EraseRootFromParent_Done,
     /* 1267590 */   // Label 18238: @1267590
     /* 1267590 */   GIM_Try, /*On fail goto*//*Label 18239*/ GIMT_Encode4(1267674), // Rule ID 8381 //
     /* 1267595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1267612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1267615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1267651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267673 */     // GIR_Coverage, 8381,
     /* 1267673 */     GIR_EraseRootFromParent_Done,
     /* 1267674 */   // Label 18239: @1267674
     /* 1267674 */   GIM_Try, /*On fail goto*//*Label 18240*/ GIMT_Encode4(1267758), // Rule ID 8382 //
     /* 1267679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1267696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1267699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267732 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1267735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267757 */     // GIR_Coverage, 8382,
     /* 1267757 */     GIR_EraseRootFromParent_Done,
     /* 1267758 */   // Label 18240: @1267758
     /* 1267758 */   GIM_Try, /*On fail goto*//*Label 18241*/ GIMT_Encode4(1267842), // Rule ID 8385 //
     /* 1267763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1267780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1267783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267816 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1267819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267841 */     // GIR_Coverage, 8385,
     /* 1267841 */     GIR_EraseRootFromParent_Done,
     /* 1267842 */   // Label 18241: @1267842
     /* 1267842 */   GIM_Try, /*On fail goto*//*Label 18242*/ GIMT_Encode4(1267926), // Rule ID 8386 //
     /* 1267847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1267864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1267867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267900 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1267903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267925 */     // GIR_Coverage, 8386,
     /* 1267925 */     GIR_EraseRootFromParent_Done,
     /* 1267926 */   // Label 18242: @1267926
     /* 1267926 */   GIM_Try, /*On fail goto*//*Label 18243*/ GIMT_Encode4(1268010), // Rule ID 8389 //
     /* 1267931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1267948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1267951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267984 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1267987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268009 */     // GIR_Coverage, 8389,
     /* 1268009 */     GIR_EraseRootFromParent_Done,
     /* 1268010 */   // Label 18243: @1268010
     /* 1268010 */   GIM_Try, /*On fail goto*//*Label 18244*/ GIMT_Encode4(1268094), // Rule ID 8390 //
     /* 1268015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1268032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1268035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268068 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1268071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268093 */     // GIR_Coverage, 8390,
     /* 1268093 */     GIR_EraseRootFromParent_Done,
     /* 1268094 */   // Label 18244: @1268094
     /* 1268094 */   GIM_Try, /*On fail goto*//*Label 18245*/ GIMT_Encode4(1268178), // Rule ID 8393 //
     /* 1268099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1268102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1268116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1268119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268152 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1268155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268177 */     // GIR_Coverage, 8393,
     /* 1268177 */     GIR_EraseRootFromParent_Done,
     /* 1268178 */   // Label 18245: @1268178
     /* 1268178 */   GIM_Try, /*On fail goto*//*Label 18246*/ GIMT_Encode4(1268262), // Rule ID 8394 //
     /* 1268183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1268186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1268200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1268203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268236 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1268239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268261 */     // GIR_Coverage, 8394,
     /* 1268261 */     GIR_EraseRootFromParent_Done,
     /* 1268262 */   // Label 18246: @1268262
     /* 1268262 */   GIM_Try, /*On fail goto*//*Label 18247*/ GIMT_Encode4(1268346), // Rule ID 8397 //
     /* 1268267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1268278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1268281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1268284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1268287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1268290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268320 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1268323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268345 */     // GIR_Coverage, 8397,
     /* 1268345 */     GIR_EraseRootFromParent_Done,
     /* 1268346 */   // Label 18247: @1268346
     /* 1268346 */   GIM_Try, /*On fail goto*//*Label 18248*/ GIMT_Encode4(1268430), // Rule ID 8398 //
     /* 1268351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1268362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1268365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1268368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1268371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1268374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268404 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1268407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268429 */     // GIR_Coverage, 8398,
     /* 1268429 */     GIR_EraseRootFromParent_Done,
     /* 1268430 */   // Label 18248: @1268430
     /* 1268430 */   GIM_Try, /*On fail goto*//*Label 18249*/ GIMT_Encode4(1268514), // Rule ID 8401 //
     /* 1268435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1268446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1268449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1268452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1268455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1268458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268488 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1268491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268513 */     // GIR_Coverage, 8401,
     /* 1268513 */     GIR_EraseRootFromParent_Done,
     /* 1268514 */   // Label 18249: @1268514
     /* 1268514 */   GIM_Try, /*On fail goto*//*Label 18250*/ GIMT_Encode4(1268598), // Rule ID 8402 //
     /* 1268519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1268530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1268533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1268536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1268539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1268542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268572 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1268575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268597 */     // GIR_Coverage, 8402,
     /* 1268597 */     GIR_EraseRootFromParent_Done,
     /* 1268598 */   // Label 18250: @1268598
     /* 1268598 */   GIM_Try, /*On fail goto*//*Label 18251*/ GIMT_Encode4(1268682), // Rule ID 8405 //
     /* 1268603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1268614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1268617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1268620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1268623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1268626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268656 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1268659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268681 */     // GIR_Coverage, 8405,
     /* 1268681 */     GIR_EraseRootFromParent_Done,
     /* 1268682 */   // Label 18251: @1268682
     /* 1268682 */   GIM_Try, /*On fail goto*//*Label 18252*/ GIMT_Encode4(1268766), // Rule ID 8406 //
     /* 1268687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1268698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1268701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1268704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1268707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1268710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268740 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1268743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268765 */     // GIR_Coverage, 8406,
     /* 1268765 */     GIR_EraseRootFromParent_Done,
     /* 1268766 */   // Label 18252: @1268766
     /* 1268766 */   GIM_Try, /*On fail goto*//*Label 18253*/ GIMT_Encode4(1268850), // Rule ID 8409 //
     /* 1268771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1268788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1268791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268824 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1268827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268849 */     // GIR_Coverage, 8409,
     /* 1268849 */     GIR_EraseRootFromParent_Done,
     /* 1268850 */   // Label 18253: @1268850
     /* 1268850 */   GIM_Try, /*On fail goto*//*Label 18254*/ GIMT_Encode4(1268934), // Rule ID 8410 //
     /* 1268855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1268872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1268875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268908 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1268911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268933 */     // GIR_Coverage, 8410,
     /* 1268933 */     GIR_EraseRootFromParent_Done,
     /* 1268934 */   // Label 18254: @1268934
     /* 1268934 */   GIM_Try, /*On fail goto*//*Label 18255*/ GIMT_Encode4(1269018), // Rule ID 8413 //
     /* 1268939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1268950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1268953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1268956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1268959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1268962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268992 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1268995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269017 */     // GIR_Coverage, 8413,
     /* 1269017 */     GIR_EraseRootFromParent_Done,
     /* 1269018 */   // Label 18255: @1269018
     /* 1269018 */   GIM_Try, /*On fail goto*//*Label 18256*/ GIMT_Encode4(1269102), // Rule ID 8414 //
     /* 1269023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1269040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1269043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269076 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1269079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269101 */     // GIR_Coverage, 8414,
     /* 1269101 */     GIR_EraseRootFromParent_Done,
     /* 1269102 */   // Label 18256: @1269102
     /* 1269102 */   GIM_Try, /*On fail goto*//*Label 18257*/ GIMT_Encode4(1269186), // Rule ID 8417 //
     /* 1269107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1269118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1269121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1269124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1269127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1269130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269160 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1269163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269185 */     // GIR_Coverage, 8417,
     /* 1269185 */     GIR_EraseRootFromParent_Done,
     /* 1269186 */   // Label 18257: @1269186
     /* 1269186 */   GIM_Try, /*On fail goto*//*Label 18258*/ GIMT_Encode4(1269270), // Rule ID 8418 //
     /* 1269191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1269202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1269205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1269208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1269211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1269214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269244 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1269247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269269 */     // GIR_Coverage, 8418,
     /* 1269269 */     GIR_EraseRootFromParent_Done,
     /* 1269270 */   // Label 18258: @1269270
     /* 1269270 */   GIM_Try, /*On fail goto*//*Label 18259*/ GIMT_Encode4(1269354), // Rule ID 8421 //
     /* 1269275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1269292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1269295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269328 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1269331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269353 */     // GIR_Coverage, 8421,
     /* 1269353 */     GIR_EraseRootFromParent_Done,
     /* 1269354 */   // Label 18259: @1269354
     /* 1269354 */   GIM_Try, /*On fail goto*//*Label 18260*/ GIMT_Encode4(1269438), // Rule ID 8422 //
     /* 1269359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1269376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1269379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269412 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1269415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269437 */     // GIR_Coverage, 8422,
     /* 1269437 */     GIR_EraseRootFromParent_Done,
     /* 1269438 */   // Label 18260: @1269438
     /* 1269438 */   GIM_Try, /*On fail goto*//*Label 18261*/ GIMT_Encode4(1269522), // Rule ID 8425 //
     /* 1269443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1269460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1269463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269496 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1269499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269521 */     // GIR_Coverage, 8425,
     /* 1269521 */     GIR_EraseRootFromParent_Done,
     /* 1269522 */   // Label 18261: @1269522
     /* 1269522 */   GIM_Try, /*On fail goto*//*Label 18262*/ GIMT_Encode4(1269606), // Rule ID 8426 //
     /* 1269527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1269544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1269547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269580 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1269583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269605 */     // GIR_Coverage, 8426,
     /* 1269605 */     GIR_EraseRootFromParent_Done,
     /* 1269606 */   // Label 18262: @1269606
     /* 1269606 */   GIM_Try, /*On fail goto*//*Label 18263*/ GIMT_Encode4(1269690), // Rule ID 8429 //
     /* 1269611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1269628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1269631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269664 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1269667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269689 */     // GIR_Coverage, 8429,
     /* 1269689 */     GIR_EraseRootFromParent_Done,
     /* 1269690 */   // Label 18263: @1269690
     /* 1269690 */   GIM_Try, /*On fail goto*//*Label 18264*/ GIMT_Encode4(1269774), // Rule ID 8430 //
     /* 1269695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1269712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1269715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269748 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1269751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269773 */     // GIR_Coverage, 8430,
     /* 1269773 */     GIR_EraseRootFromParent_Done,
     /* 1269774 */   // Label 18264: @1269774
     /* 1269774 */   GIM_Try, /*On fail goto*//*Label 18265*/ GIMT_Encode4(1269858), // Rule ID 8433 //
     /* 1269779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1269782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1269796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1269799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1269835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269857 */     // GIR_Coverage, 8433,
     /* 1269857 */     GIR_EraseRootFromParent_Done,
     /* 1269858 */   // Label 18265: @1269858
     /* 1269858 */   GIM_Try, /*On fail goto*//*Label 18266*/ GIMT_Encode4(1269942), // Rule ID 8434 //
     /* 1269863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1269866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1269880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1269883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269916 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1269919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269941 */     // GIR_Coverage, 8434,
     /* 1269941 */     GIR_EraseRootFromParent_Done,
     /* 1269942 */   // Label 18266: @1269942
     /* 1269942 */   GIM_Try, /*On fail goto*//*Label 18267*/ GIMT_Encode4(1270026), // Rule ID 8437 //
     /* 1269947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1269950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1269964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1269967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270000 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1270003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270025 */     // GIR_Coverage, 8437,
     /* 1270025 */     GIR_EraseRootFromParent_Done,
     /* 1270026 */   // Label 18267: @1270026
     /* 1270026 */   GIM_Try, /*On fail goto*//*Label 18268*/ GIMT_Encode4(1270110), // Rule ID 8438 //
     /* 1270031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1270034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1270048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1270051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270084 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1270087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270109 */     // GIR_Coverage, 8438,
     /* 1270109 */     GIR_EraseRootFromParent_Done,
     /* 1270110 */   // Label 18268: @1270110
     /* 1270110 */   GIM_Try, /*On fail goto*//*Label 18269*/ GIMT_Encode4(1270194), // Rule ID 8441 //
     /* 1270115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1270118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1270132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1270135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270168 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1270171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270193 */     // GIR_Coverage, 8441,
     /* 1270193 */     GIR_EraseRootFromParent_Done,
     /* 1270194 */   // Label 18269: @1270194
     /* 1270194 */   GIM_Try, /*On fail goto*//*Label 18270*/ GIMT_Encode4(1270278), // Rule ID 8442 //
     /* 1270199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1270202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1270216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1270219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270252 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1270255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270277 */     // GIR_Coverage, 8442,
     /* 1270277 */     GIR_EraseRootFromParent_Done,
     /* 1270278 */   // Label 18270: @1270278
     /* 1270278 */   GIM_Try, /*On fail goto*//*Label 18271*/ GIMT_Encode4(1270362), // Rule ID 8445 //
     /* 1270283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1270294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1270297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1270300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1270303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1270306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270336 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1270339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270361 */     // GIR_Coverage, 8445,
     /* 1270361 */     GIR_EraseRootFromParent_Done,
     /* 1270362 */   // Label 18271: @1270362
     /* 1270362 */   GIM_Try, /*On fail goto*//*Label 18272*/ GIMT_Encode4(1270446), // Rule ID 8446 //
     /* 1270367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1270378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1270381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1270384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1270390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270420 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1270423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270445 */     // GIR_Coverage, 8446,
     /* 1270445 */     GIR_EraseRootFromParent_Done,
     /* 1270446 */   // Label 18272: @1270446
     /* 1270446 */   GIM_Try, /*On fail goto*//*Label 18273*/ GIMT_Encode4(1270530), // Rule ID 8449 //
     /* 1270451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1270462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1270465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1270468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1270471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270504 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1270507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270529 */     // GIR_Coverage, 8449,
     /* 1270529 */     GIR_EraseRootFromParent_Done,
     /* 1270530 */   // Label 18273: @1270530
     /* 1270530 */   GIM_Try, /*On fail goto*//*Label 18274*/ GIMT_Encode4(1270614), // Rule ID 8450 //
     /* 1270535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1270546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1270549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1270552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270588 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1270591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270613 */     // GIR_Coverage, 8450,
     /* 1270613 */     GIR_EraseRootFromParent_Done,
     /* 1270614 */   // Label 18274: @1270614
     /* 1270614 */   GIM_Try, /*On fail goto*//*Label 18275*/ GIMT_Encode4(1270698), // Rule ID 8453 //
     /* 1270619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1270636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1270639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270672 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1270675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270697 */     // GIR_Coverage, 8453,
     /* 1270697 */     GIR_EraseRootFromParent_Done,
     /* 1270698 */   // Label 18275: @1270698
     /* 1270698 */   GIM_Try, /*On fail goto*//*Label 18276*/ GIMT_Encode4(1270782), // Rule ID 8454 //
     /* 1270703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1270720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270756 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1270759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270781 */     // GIR_Coverage, 8454,
     /* 1270781 */     GIR_EraseRootFromParent_Done,
     /* 1270782 */   // Label 18276: @1270782
     /* 1270782 */   GIM_Try, /*On fail goto*//*Label 18277*/ GIMT_Encode4(1270866), // Rule ID 8457 //
     /* 1270787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1270798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1270801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1270804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1270807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1270810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270840 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1270843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270865 */     // GIR_Coverage, 8457,
     /* 1270865 */     GIR_EraseRootFromParent_Done,
     /* 1270866 */   // Label 18277: @1270866
     /* 1270866 */   GIM_Try, /*On fail goto*//*Label 18278*/ GIMT_Encode4(1270950), // Rule ID 8458 //
     /* 1270871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1270882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1270885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1270888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1270894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270924 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1270927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270949 */     // GIR_Coverage, 8458,
     /* 1270949 */     GIR_EraseRootFromParent_Done,
     /* 1270950 */   // Label 18278: @1270950
     /* 1270950 */   GIM_Try, /*On fail goto*//*Label 18279*/ GIMT_Encode4(1271034), // Rule ID 8461 //
     /* 1270955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1270963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1270966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1270969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1270972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1270975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1271011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271033 */     // GIR_Coverage, 8461,
     /* 1271033 */     GIR_EraseRootFromParent_Done,
     /* 1271034 */   // Label 18279: @1271034
     /* 1271034 */   GIM_Try, /*On fail goto*//*Label 18280*/ GIMT_Encode4(1271118), // Rule ID 8462 //
     /* 1271039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1271056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271092 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1271095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271117 */     // GIR_Coverage, 8462,
     /* 1271117 */     GIR_EraseRootFromParent_Done,
     /* 1271118 */   // Label 18280: @1271118
     /* 1271118 */   GIM_Try, /*On fail goto*//*Label 18281*/ GIMT_Encode4(1271202), // Rule ID 8465 //
     /* 1271123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1271140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271176 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1271179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271201 */     // GIR_Coverage, 8465,
     /* 1271201 */     GIR_EraseRootFromParent_Done,
     /* 1271202 */   // Label 18281: @1271202
     /* 1271202 */   GIM_Try, /*On fail goto*//*Label 18282*/ GIMT_Encode4(1271286), // Rule ID 8466 //
     /* 1271207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1271224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1271263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271285 */     // GIR_Coverage, 8466,
     /* 1271285 */     GIR_EraseRootFromParent_Done,
     /* 1271286 */   // Label 18282: @1271286
     /* 1271286 */   GIM_Try, /*On fail goto*//*Label 18283*/ GIMT_Encode4(1271370), // Rule ID 8469 //
     /* 1271291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1271308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271344 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1271347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271369 */     // GIR_Coverage, 8469,
     /* 1271369 */     GIR_EraseRootFromParent_Done,
     /* 1271370 */   // Label 18283: @1271370
     /* 1271370 */   GIM_Try, /*On fail goto*//*Label 18284*/ GIMT_Encode4(1271454), // Rule ID 8470 //
     /* 1271375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1271392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271428 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1271431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271453 */     // GIR_Coverage, 8470,
     /* 1271453 */     GIR_EraseRootFromParent_Done,
     /* 1271454 */   // Label 18284: @1271454
     /* 1271454 */   GIM_Try, /*On fail goto*//*Label 18285*/ GIMT_Encode4(1271538), // Rule ID 8473 //
     /* 1271459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1271476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271512 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1271515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271537 */     // GIR_Coverage, 8473,
     /* 1271537 */     GIR_EraseRootFromParent_Done,
     /* 1271538 */   // Label 18285: @1271538
     /* 1271538 */   GIM_Try, /*On fail goto*//*Label 18286*/ GIMT_Encode4(1271622), // Rule ID 8474 //
     /* 1271543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1271560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271596 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1271599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271621 */     // GIR_Coverage, 8474,
     /* 1271621 */     GIR_EraseRootFromParent_Done,
     /* 1271622 */   // Label 18286: @1271622
     /* 1271622 */   GIM_Try, /*On fail goto*//*Label 18287*/ GIMT_Encode4(1271706), // Rule ID 8477 //
     /* 1271627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1271644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271680 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1271683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271705 */     // GIR_Coverage, 8477,
     /* 1271705 */     GIR_EraseRootFromParent_Done,
     /* 1271706 */   // Label 18287: @1271706
     /* 1271706 */   GIM_Try, /*On fail goto*//*Label 18288*/ GIMT_Encode4(1271790), // Rule ID 8478 //
     /* 1271711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1271728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271764 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1271767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271789 */     // GIR_Coverage, 8478,
     /* 1271789 */     GIR_EraseRootFromParent_Done,
     /* 1271790 */   // Label 18288: @1271790
     /* 1271790 */   GIM_Try, /*On fail goto*//*Label 18289*/ GIMT_Encode4(1271874), // Rule ID 8481 //
     /* 1271795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1271798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1271812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271848 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1271851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271873 */     // GIR_Coverage, 8481,
     /* 1271873 */     GIR_EraseRootFromParent_Done,
     /* 1271874 */   // Label 18289: @1271874
     /* 1271874 */   GIM_Try, /*On fail goto*//*Label 18290*/ GIMT_Encode4(1271958), // Rule ID 8482 //
     /* 1271879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1271896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271932 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1271935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271957 */     // GIR_Coverage, 8482,
     /* 1271957 */     GIR_EraseRootFromParent_Done,
     /* 1271958 */   // Label 18290: @1271958
     /* 1271958 */   GIM_Try, /*On fail goto*//*Label 18291*/ GIMT_Encode4(1272042), // Rule ID 8485 //
     /* 1271963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1271971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1271974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1271977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1271980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1271986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1272001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272016 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1272019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272041 */     // GIR_Coverage, 8485,
     /* 1272041 */     GIR_EraseRootFromParent_Done,
     /* 1272042 */   // Label 18291: @1272042
     /* 1272042 */   GIM_Try, /*On fail goto*//*Label 18292*/ GIMT_Encode4(1272126), // Rule ID 8486 //
     /* 1272047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1272058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1272061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1272064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1272070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1272085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272100 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1272103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272125 */     // GIR_Coverage, 8486,
     /* 1272125 */     GIR_EraseRootFromParent_Done,
     /* 1272126 */   // Label 18292: @1272126
     /* 1272126 */   GIM_Try, /*On fail goto*//*Label 18293*/ GIMT_Encode4(1272210), // Rule ID 8489 //
     /* 1272131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1272142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1272145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1272148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1272154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272184 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1272187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272209 */     // GIR_Coverage, 8489,
     /* 1272209 */     GIR_EraseRootFromParent_Done,
     /* 1272210 */   // Label 18293: @1272210
     /* 1272210 */   GIM_Try, /*On fail goto*//*Label 18294*/ GIMT_Encode4(1272294), // Rule ID 8490 //
     /* 1272215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1272226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1272229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1272232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1272238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272268 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1272271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272293 */     // GIR_Coverage, 8490,
     /* 1272293 */     GIR_EraseRootFromParent_Done,
     /* 1272294 */   // Label 18294: @1272294
     /* 1272294 */   GIM_Try, /*On fail goto*//*Label 18295*/ GIMT_Encode4(1272378), // Rule ID 8493 //
     /* 1272299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1272310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1272313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1272316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1272322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272352 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1272355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272377 */     // GIR_Coverage, 8493,
     /* 1272377 */     GIR_EraseRootFromParent_Done,
     /* 1272378 */   // Label 18295: @1272378
     /* 1272378 */   GIM_Try, /*On fail goto*//*Label 18296*/ GIMT_Encode4(1272462), // Rule ID 8494 //
     /* 1272383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1272394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1272397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1272400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1272406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272436 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1272439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272461 */     // GIR_Coverage, 8494,
     /* 1272461 */     GIR_EraseRootFromParent_Done,
     /* 1272462 */   // Label 18296: @1272462
     /* 1272462 */   GIM_Try, /*On fail goto*//*Label 18297*/ GIMT_Encode4(1272546), // Rule ID 8497 //
     /* 1272467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1272484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1272505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272520 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1272523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272545 */     // GIR_Coverage, 8497,
     /* 1272545 */     GIR_EraseRootFromParent_Done,
     /* 1272546 */   // Label 18297: @1272546
     /* 1272546 */   GIM_Try, /*On fail goto*//*Label 18298*/ GIMT_Encode4(1272630), // Rule ID 8498 //
     /* 1272551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1272568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1272589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272604 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1272607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272629 */     // GIR_Coverage, 8498,
     /* 1272629 */     GIR_EraseRootFromParent_Done,
     /* 1272630 */   // Label 18298: @1272630
     /* 1272630 */   GIM_Try, /*On fail goto*//*Label 18299*/ GIMT_Encode4(1272714), // Rule ID 8501 //
     /* 1272635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1272646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1272649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1272652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1272658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272688 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1272691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272713 */     // GIR_Coverage, 8501,
     /* 1272713 */     GIR_EraseRootFromParent_Done,
     /* 1272714 */   // Label 18299: @1272714
     /* 1272714 */   GIM_Try, /*On fail goto*//*Label 18300*/ GIMT_Encode4(1272798), // Rule ID 8502 //
     /* 1272719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1272730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1272733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1272736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1272742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272772 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1272775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272797 */     // GIR_Coverage, 8502,
     /* 1272797 */     GIR_EraseRootFromParent_Done,
     /* 1272798 */   // Label 18300: @1272798
     /* 1272798 */   GIM_Try, /*On fail goto*//*Label 18301*/ GIMT_Encode4(1272882), // Rule ID 8505 //
     /* 1272803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1272814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1272817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1272820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1272826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272856 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1272859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272881 */     // GIR_Coverage, 8505,
     /* 1272881 */     GIR_EraseRootFromParent_Done,
     /* 1272882 */   // Label 18301: @1272882
     /* 1272882 */   GIM_Try, /*On fail goto*//*Label 18302*/ GIMT_Encode4(1272966), // Rule ID 8506 //
     /* 1272887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1272898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1272901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1272904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1272910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1272929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272940 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1272943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272965 */     // GIR_Coverage, 8506,
     /* 1272965 */     GIR_EraseRootFromParent_Done,
     /* 1272966 */   // Label 18302: @1272966
     /* 1272966 */   GIM_Try, /*On fail goto*//*Label 18303*/ GIMT_Encode4(1273050), // Rule ID 8509 //
     /* 1272971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1272979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1272988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273024 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1273027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273049 */     // GIR_Coverage, 8509,
     /* 1273049 */     GIR_EraseRootFromParent_Done,
     /* 1273050 */   // Label 18303: @1273050
     /* 1273050 */   GIM_Try, /*On fail goto*//*Label 18304*/ GIMT_Encode4(1273134), // Rule ID 8510 //
     /* 1273055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1273066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1273069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1273072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1273078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273108 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1273111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273133 */     // GIR_Coverage, 8510,
     /* 1273133 */     GIR_EraseRootFromParent_Done,
     /* 1273134 */   // Label 18304: @1273134
     /* 1273134 */   GIM_Try, /*On fail goto*//*Label 18305*/ GIMT_Encode4(1273218), // Rule ID 8513 //
     /* 1273139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1273150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1273153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1273156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273192 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1273195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273217 */     // GIR_Coverage, 8513,
     /* 1273217 */     GIR_EraseRootFromParent_Done,
     /* 1273218 */   // Label 18305: @1273218
     /* 1273218 */   GIM_Try, /*On fail goto*//*Label 18306*/ GIMT_Encode4(1273302), // Rule ID 8514 //
     /* 1273223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1273234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1273237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1273240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273276 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1273279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273301 */     // GIR_Coverage, 8514,
     /* 1273301 */     GIR_EraseRootFromParent_Done,
     /* 1273302 */   // Label 18306: @1273302
     /* 1273302 */   GIM_Try, /*On fail goto*//*Label 18307*/ GIMT_Encode4(1273386), // Rule ID 8517 //
     /* 1273307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1273324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273360 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1273363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273385 */     // GIR_Coverage, 8517,
     /* 1273385 */     GIR_EraseRootFromParent_Done,
     /* 1273386 */   // Label 18307: @1273386
     /* 1273386 */   GIM_Try, /*On fail goto*//*Label 18308*/ GIMT_Encode4(1273470), // Rule ID 8518 //
     /* 1273391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1273408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273444 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1273447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273469 */     // GIR_Coverage, 8518,
     /* 1273469 */     GIR_EraseRootFromParent_Done,
     /* 1273470 */   // Label 18308: @1273470
     /* 1273470 */   GIM_Try, /*On fail goto*//*Label 18309*/ GIMT_Encode4(1273554), // Rule ID 8521 //
     /* 1273475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1273478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1273492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273528 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1273531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1273549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273553 */     // GIR_Coverage, 8521,
     /* 1273553 */     GIR_EraseRootFromParent_Done,
     /* 1273554 */   // Label 18309: @1273554
     /* 1273554 */   GIM_Try, /*On fail goto*//*Label 18310*/ GIMT_Encode4(1273638), // Rule ID 8522 //
     /* 1273559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1273562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1273576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273612 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1273615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1273633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273637 */     // GIR_Coverage, 8522,
     /* 1273637 */     GIR_EraseRootFromParent_Done,
     /* 1273638 */   // Label 18310: @1273638
     /* 1273638 */   GIM_Try, /*On fail goto*//*Label 18311*/ GIMT_Encode4(1273722), // Rule ID 8525 //
     /* 1273643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1273646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1273654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1273657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1273660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1273666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273696 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1273699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1273717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273721 */     // GIR_Coverage, 8525,
     /* 1273721 */     GIR_EraseRootFromParent_Done,
     /* 1273722 */   // Label 18311: @1273722
     /* 1273722 */   GIM_Try, /*On fail goto*//*Label 18312*/ GIMT_Encode4(1273806), // Rule ID 8526 //
     /* 1273727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1273730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1273738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1273741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1273744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1273750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273780 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1273783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1273801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273805 */     // GIR_Coverage, 8526,
     /* 1273805 */     GIR_EraseRootFromParent_Done,
     /* 1273806 */   // Label 18312: @1273806
     /* 1273806 */   GIM_Try, /*On fail goto*//*Label 18313*/ GIMT_Encode4(1273890), // Rule ID 8529 //
     /* 1273811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1273814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1273822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1273825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1273828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273864 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1273867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1273885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273889 */     // GIR_Coverage, 8529,
     /* 1273889 */     GIR_EraseRootFromParent_Done,
     /* 1273890 */   // Label 18313: @1273890
     /* 1273890 */   GIM_Try, /*On fail goto*//*Label 18314*/ GIMT_Encode4(1273974), // Rule ID 8530 //
     /* 1273895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1273898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1273903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1273906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1273909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1273912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273948 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1273951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1273969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273973 */     // GIR_Coverage, 8530,
     /* 1273973 */     GIR_EraseRootFromParent_Done,
     /* 1273974 */   // Label 18314: @1273974
     /* 1273974 */   GIM_Try, /*On fail goto*//*Label 18315*/ GIMT_Encode4(1274058), // Rule ID 8533 //
     /* 1273979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1273987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1273996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1273999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1274002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274032 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1274035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274057 */     // GIR_Coverage, 8533,
     /* 1274057 */     GIR_EraseRootFromParent_Done,
     /* 1274058 */   // Label 18315: @1274058
     /* 1274058 */   GIM_Try, /*On fail goto*//*Label 18316*/ GIMT_Encode4(1274142), // Rule ID 8534 //
     /* 1274063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1274074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1274077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1274080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1274083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1274086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274116 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1274119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274141 */     // GIR_Coverage, 8534,
     /* 1274141 */     GIR_EraseRootFromParent_Done,
     /* 1274142 */   // Label 18316: @1274142
     /* 1274142 */   GIM_Try, /*On fail goto*//*Label 18317*/ GIMT_Encode4(1274226), // Rule ID 8537 //
     /* 1274147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1274158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1274161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1274164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1274167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1274170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274200 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1274203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274225 */     // GIR_Coverage, 8537,
     /* 1274225 */     GIR_EraseRootFromParent_Done,
     /* 1274226 */   // Label 18317: @1274226
     /* 1274226 */   GIM_Try, /*On fail goto*//*Label 18318*/ GIMT_Encode4(1274310), // Rule ID 8538 //
     /* 1274231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1274242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1274245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1274248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1274251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1274254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274284 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1274287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274309 */     // GIR_Coverage, 8538,
     /* 1274309 */     GIR_EraseRootFromParent_Done,
     /* 1274310 */   // Label 18318: @1274310
     /* 1274310 */   GIM_Try, /*On fail goto*//*Label 18319*/ GIMT_Encode4(1274394), // Rule ID 8541 //
     /* 1274315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1274332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1274335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274368 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1274371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274393 */     // GIR_Coverage, 8541,
     /* 1274393 */     GIR_EraseRootFromParent_Done,
     /* 1274394 */   // Label 18319: @1274394
     /* 1274394 */   GIM_Try, /*On fail goto*//*Label 18320*/ GIMT_Encode4(1274478), // Rule ID 8542 //
     /* 1274399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1274416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1274419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274452 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1274455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274477 */     // GIR_Coverage, 8542,
     /* 1274477 */     GIR_EraseRootFromParent_Done,
     /* 1274478 */   // Label 18320: @1274478
     /* 1274478 */   GIM_Try, /*On fail goto*//*Label 18321*/ GIMT_Encode4(1274562), // Rule ID 8545 //
     /* 1274483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1274494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1274497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1274500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1274503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1274506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274536 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1274539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274561 */     // GIR_Coverage, 8545,
     /* 1274561 */     GIR_EraseRootFromParent_Done,
     /* 1274562 */   // Label 18321: @1274562
     /* 1274562 */   GIM_Try, /*On fail goto*//*Label 18322*/ GIMT_Encode4(1274646), // Rule ID 8546 //
     /* 1274567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1274578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1274581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1274584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1274587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1274590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274620 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1274623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274645 */     // GIR_Coverage, 8546,
     /* 1274645 */     GIR_EraseRootFromParent_Done,
     /* 1274646 */   // Label 18322: @1274646
     /* 1274646 */   GIM_Try, /*On fail goto*//*Label 18323*/ GIMT_Encode4(1274730), // Rule ID 8549 //
     /* 1274651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1274662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1274665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1274668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1274671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1274674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274704 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1274707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274729 */     // GIR_Coverage, 8549,
     /* 1274729 */     GIR_EraseRootFromParent_Done,
     /* 1274730 */   // Label 18323: @1274730
     /* 1274730 */   GIM_Try, /*On fail goto*//*Label 18324*/ GIMT_Encode4(1274814), // Rule ID 8550 //
     /* 1274735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1274746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1274749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1274752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1274755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1274758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274788 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1274791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274813 */     // GIR_Coverage, 8550,
     /* 1274813 */     GIR_EraseRootFromParent_Done,
     /* 1274814 */   // Label 18324: @1274814
     /* 1274814 */   GIM_Try, /*On fail goto*//*Label 18325*/ GIMT_Encode4(1274898), // Rule ID 8553 //
     /* 1274819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1274830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1274833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1274836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1274839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1274842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274872 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1274875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274897 */     // GIR_Coverage, 8553,
     /* 1274897 */     GIR_EraseRootFromParent_Done,
     /* 1274898 */   // Label 18325: @1274898
     /* 1274898 */   GIM_Try, /*On fail goto*//*Label 18326*/ GIMT_Encode4(1274982), // Rule ID 8554 //
     /* 1274903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1274914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1274917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1274920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1274923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1274926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274956 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1274959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274981 */     // GIR_Coverage, 8554,
     /* 1274981 */     GIR_EraseRootFromParent_Done,
     /* 1274982 */   // Label 18326: @1274982
     /* 1274982 */   GIM_Try, /*On fail goto*//*Label 18327*/ GIMT_Encode4(1275066), // Rule ID 8557 //
     /* 1274987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1275004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1275007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275040 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1275043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275065 */     // GIR_Coverage, 8557,
     /* 1275065 */     GIR_EraseRootFromParent_Done,
     /* 1275066 */   // Label 18327: @1275066
     /* 1275066 */   GIM_Try, /*On fail goto*//*Label 18328*/ GIMT_Encode4(1275150), // Rule ID 8558 //
     /* 1275071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1275088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1275091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275124 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1275127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275149 */     // GIR_Coverage, 8558,
     /* 1275149 */     GIR_EraseRootFromParent_Done,
     /* 1275150 */   // Label 18328: @1275150
     /* 1275150 */   GIM_Try, /*On fail goto*//*Label 18329*/ GIMT_Encode4(1275234), // Rule ID 8561 //
     /* 1275155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1275172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1275175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275208 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1275211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275233 */     // GIR_Coverage, 8561,
     /* 1275233 */     GIR_EraseRootFromParent_Done,
     /* 1275234 */   // Label 18329: @1275234
     /* 1275234 */   GIM_Try, /*On fail goto*//*Label 18330*/ GIMT_Encode4(1275318), // Rule ID 8562 //
     /* 1275239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1275256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1275259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275292 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1275295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275317 */     // GIR_Coverage, 8562,
     /* 1275317 */     GIR_EraseRootFromParent_Done,
     /* 1275318 */   // Label 18330: @1275318
     /* 1275318 */   GIM_Try, /*On fail goto*//*Label 18331*/ GIMT_Encode4(1275402), // Rule ID 8565 //
     /* 1275323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1275340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1275343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275376 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1275379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275401 */     // GIR_Coverage, 8565,
     /* 1275401 */     GIR_EraseRootFromParent_Done,
     /* 1275402 */   // Label 18331: @1275402
     /* 1275402 */   GIM_Try, /*On fail goto*//*Label 18332*/ GIMT_Encode4(1275486), // Rule ID 8566 //
     /* 1275407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1275424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1275427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275460 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1275463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275485 */     // GIR_Coverage, 8566,
     /* 1275485 */     GIR_EraseRootFromParent_Done,
     /* 1275486 */   // Label 18332: @1275486
     /* 1275486 */   GIM_Try, /*On fail goto*//*Label 18333*/ GIMT_Encode4(1275570), // Rule ID 8569 //
     /* 1275491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1275494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1275508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1275511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275544 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1275547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275569 */     // GIR_Coverage, 8569,
     /* 1275569 */     GIR_EraseRootFromParent_Done,
     /* 1275570 */   // Label 18333: @1275570
     /* 1275570 */   GIM_Try, /*On fail goto*//*Label 18334*/ GIMT_Encode4(1275654), // Rule ID 8570 //
     /* 1275575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1275578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1275592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1275595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275628 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1275631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275653 */     // GIR_Coverage, 8570,
     /* 1275653 */     GIR_EraseRootFromParent_Done,
     /* 1275654 */   // Label 18334: @1275654
     /* 1275654 */   GIM_Try, /*On fail goto*//*Label 18335*/ GIMT_Encode4(1275738), // Rule ID 8573 //
     /* 1275659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1275670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1275673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1275676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1275679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1275682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275712 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1275715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275737 */     // GIR_Coverage, 8573,
     /* 1275737 */     GIR_EraseRootFromParent_Done,
     /* 1275738 */   // Label 18335: @1275738
     /* 1275738 */   GIM_Try, /*On fail goto*//*Label 18336*/ GIMT_Encode4(1275822), // Rule ID 8574 //
     /* 1275743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1275754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1275757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1275760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1275763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1275766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275796 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1275799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275821 */     // GIR_Coverage, 8574,
     /* 1275821 */     GIR_EraseRootFromParent_Done,
     /* 1275822 */   // Label 18336: @1275822
     /* 1275822 */   GIM_Try, /*On fail goto*//*Label 18337*/ GIMT_Encode4(1275906), // Rule ID 8577 //
     /* 1275827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1275838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1275841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1275844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1275847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1275850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275880 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1275883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275905 */     // GIR_Coverage, 8577,
     /* 1275905 */     GIR_EraseRootFromParent_Done,
     /* 1275906 */   // Label 18337: @1275906
     /* 1275906 */   GIM_Try, /*On fail goto*//*Label 18338*/ GIMT_Encode4(1275990), // Rule ID 8578 //
     /* 1275911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1275922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1275925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1275928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1275931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1275934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275964 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1275967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275989 */     // GIR_Coverage, 8578,
     /* 1275989 */     GIR_EraseRootFromParent_Done,
     /* 1275990 */   // Label 18338: @1275990
     /* 1275990 */   GIM_Try, /*On fail goto*//*Label 18339*/ GIMT_Encode4(1276074), // Rule ID 8581 //
     /* 1275995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1276006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1276009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1276012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1276015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1276018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276048 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1276051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276073 */     // GIR_Coverage, 8581,
     /* 1276073 */     GIR_EraseRootFromParent_Done,
     /* 1276074 */   // Label 18339: @1276074
     /* 1276074 */   GIM_Try, /*On fail goto*//*Label 18340*/ GIMT_Encode4(1276158), // Rule ID 8582 //
     /* 1276079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1276090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1276093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1276096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1276099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1276102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276132 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1276135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276157 */     // GIR_Coverage, 8582,
     /* 1276157 */     GIR_EraseRootFromParent_Done,
     /* 1276158 */   // Label 18340: @1276158
     /* 1276158 */   GIM_Try, /*On fail goto*//*Label 18341*/ GIMT_Encode4(1276242), // Rule ID 8585 //
     /* 1276163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1276174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1276177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1276180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1276183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276216 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1276219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276241 */     // GIR_Coverage, 8585,
     /* 1276241 */     GIR_EraseRootFromParent_Done,
     /* 1276242 */   // Label 18341: @1276242
     /* 1276242 */   GIM_Try, /*On fail goto*//*Label 18342*/ GIMT_Encode4(1276326), // Rule ID 8586 //
     /* 1276247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1276258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1276261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1276264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1276267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276300 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1276303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276325 */     // GIR_Coverage, 8586,
     /* 1276325 */     GIR_EraseRootFromParent_Done,
     /* 1276326 */   // Label 18342: @1276326
     /* 1276326 */   GIM_Try, /*On fail goto*//*Label 18343*/ GIMT_Encode4(1276410), // Rule ID 8589 //
     /* 1276331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1276342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1276345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1276348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1276351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1276354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276384 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1276387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276409 */     // GIR_Coverage, 8589,
     /* 1276409 */     GIR_EraseRootFromParent_Done,
     /* 1276410 */   // Label 18343: @1276410
     /* 1276410 */   GIM_Try, /*On fail goto*//*Label 18344*/ GIMT_Encode4(1276494), // Rule ID 8590 //
     /* 1276415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1276426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1276429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1276432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1276435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1276438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276468 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1276471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276493 */     // GIR_Coverage, 8590,
     /* 1276493 */     GIR_EraseRootFromParent_Done,
     /* 1276494 */   // Label 18344: @1276494
     /* 1276494 */   GIM_Try, /*On fail goto*//*Label 18345*/ GIMT_Encode4(1276578), // Rule ID 8593 //
     /* 1276499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1276510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1276513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1276516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1276519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1276522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276552 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1276555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276577 */     // GIR_Coverage, 8593,
     /* 1276577 */     GIR_EraseRootFromParent_Done,
     /* 1276578 */   // Label 18345: @1276578
     /* 1276578 */   GIM_Try, /*On fail goto*//*Label 18346*/ GIMT_Encode4(1276662), // Rule ID 8594 //
     /* 1276583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1276594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1276597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1276600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1276603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1276606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276636 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1276639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276661 */     // GIR_Coverage, 8594,
     /* 1276661 */     GIR_EraseRootFromParent_Done,
     /* 1276662 */   // Label 18346: @1276662
     /* 1276662 */   GIM_Try, /*On fail goto*//*Label 18347*/ GIMT_Encode4(1276746), // Rule ID 8597 //
     /* 1276667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1276684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1276687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276720 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1276723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276745 */     // GIR_Coverage, 8597,
     /* 1276745 */     GIR_EraseRootFromParent_Done,
     /* 1276746 */   // Label 18347: @1276746
     /* 1276746 */   GIM_Try, /*On fail goto*//*Label 18348*/ GIMT_Encode4(1276830), // Rule ID 8598 //
     /* 1276751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1276768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1276771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276804 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1276807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276829 */     // GIR_Coverage, 8598,
     /* 1276829 */     GIR_EraseRootFromParent_Done,
     /* 1276830 */   // Label 18348: @1276830
     /* 1276830 */   GIM_Try, /*On fail goto*//*Label 18349*/ GIMT_Encode4(1276914), // Rule ID 8601 //
     /* 1276835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1276846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1276849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1276852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1276855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1276891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276913 */     // GIR_Coverage, 8601,
     /* 1276913 */     GIR_EraseRootFromParent_Done,
     /* 1276914 */   // Label 18349: @1276914
     /* 1276914 */   GIM_Try, /*On fail goto*//*Label 18350*/ GIMT_Encode4(1276998), // Rule ID 8602 //
     /* 1276919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1276930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1276933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1276936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1276939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276972 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1276975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276997 */     // GIR_Coverage, 8602,
     /* 1276997 */     GIR_EraseRootFromParent_Done,
     /* 1276998 */   // Label 18350: @1276998
     /* 1276998 */   GIM_Try, /*On fail goto*//*Label 18351*/ GIMT_Encode4(1277082), // Rule ID 8605 //
     /* 1277003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1277020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1277023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277056 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1277059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277081 */     // GIR_Coverage, 8605,
     /* 1277081 */     GIR_EraseRootFromParent_Done,
     /* 1277082 */   // Label 18351: @1277082
     /* 1277082 */   GIM_Try, /*On fail goto*//*Label 18352*/ GIMT_Encode4(1277166), // Rule ID 8606 //
     /* 1277087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1277104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1277107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277140 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1277143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277165 */     // GIR_Coverage, 8606,
     /* 1277165 */     GIR_EraseRootFromParent_Done,
     /* 1277166 */   // Label 18352: @1277166
     /* 1277166 */   GIM_Try, /*On fail goto*//*Label 18353*/ GIMT_Encode4(1277250), // Rule ID 8609 //
     /* 1277171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1277174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1277182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1277185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1277188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1277191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1277194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277224 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1277227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1277245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277249 */     // GIR_Coverage, 8609,
     /* 1277249 */     GIR_EraseRootFromParent_Done,
     /* 1277250 */   // Label 18353: @1277250
     /* 1277250 */   GIM_Try, /*On fail goto*//*Label 18354*/ GIMT_Encode4(1277334), // Rule ID 8610 //
     /* 1277255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1277258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1277266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1277269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1277272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1277275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1277278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277308 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1277311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1277329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277333 */     // GIR_Coverage, 8610,
     /* 1277333 */     GIR_EraseRootFromParent_Done,
     /* 1277334 */   // Label 18354: @1277334
     /* 1277334 */   GIM_Try, /*On fail goto*//*Label 18355*/ GIMT_Encode4(1277418), // Rule ID 8613 //
     /* 1277339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1277342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1277350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1277353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1277356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1277359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277392 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1277395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1277413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277417 */     // GIR_Coverage, 8613,
     /* 1277417 */     GIR_EraseRootFromParent_Done,
     /* 1277418 */   // Label 18355: @1277418
     /* 1277418 */   GIM_Try, /*On fail goto*//*Label 18356*/ GIMT_Encode4(1277502), // Rule ID 8614 //
     /* 1277423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1277426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1277434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1277437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1277440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1277443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277476 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1277479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1277497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277501 */     // GIR_Coverage, 8614,
     /* 1277501 */     GIR_EraseRootFromParent_Done,
     /* 1277502 */   // Label 18356: @1277502
     /* 1277502 */   GIM_Try, /*On fail goto*//*Label 18357*/ GIMT_Encode4(1277586), // Rule ID 8617 //
     /* 1277507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1277510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1277524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1277527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277560 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1277563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1277581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277585 */     // GIR_Coverage, 8617,
     /* 1277585 */     GIR_EraseRootFromParent_Done,
     /* 1277586 */   // Label 18357: @1277586
     /* 1277586 */   GIM_Try, /*On fail goto*//*Label 18358*/ GIMT_Encode4(1277670), // Rule ID 8618 //
     /* 1277591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1277594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1277608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1277611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277644 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1277647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1277665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277669 */     // GIR_Coverage, 8618,
     /* 1277669 */     GIR_EraseRootFromParent_Done,
     /* 1277670 */   // Label 18358: @1277670
     /* 1277670 */   GIM_Try, /*On fail goto*//*Label 18359*/ GIMT_Encode4(1277754), // Rule ID 8621 //
     /* 1277675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1277686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1277689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1277692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1277695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1277698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277728 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1277731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277753 */     // GIR_Coverage, 8621,
     /* 1277753 */     GIR_EraseRootFromParent_Done,
     /* 1277754 */   // Label 18359: @1277754
     /* 1277754 */   GIM_Try, /*On fail goto*//*Label 18360*/ GIMT_Encode4(1277838), // Rule ID 8622 //
     /* 1277759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1277770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1277773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1277776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1277779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1277782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277812 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1277815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277837 */     // GIR_Coverage, 8622,
     /* 1277837 */     GIR_EraseRootFromParent_Done,
     /* 1277838 */   // Label 18360: @1277838
     /* 1277838 */   GIM_Try, /*On fail goto*//*Label 18361*/ GIMT_Encode4(1277922), // Rule ID 8625 //
     /* 1277843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1277854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1277857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1277860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1277863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1277866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277896 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1277899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277921 */     // GIR_Coverage, 8625,
     /* 1277921 */     GIR_EraseRootFromParent_Done,
     /* 1277922 */   // Label 18361: @1277922
     /* 1277922 */   GIM_Try, /*On fail goto*//*Label 18362*/ GIMT_Encode4(1278006), // Rule ID 8626 //
     /* 1277927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1277935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1277938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1277941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1277944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1277947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1277950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277980 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1277983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278005 */     // GIR_Coverage, 8626,
     /* 1278005 */     GIR_EraseRootFromParent_Done,
     /* 1278006 */   // Label 18362: @1278006
     /* 1278006 */   GIM_Try, /*On fail goto*//*Label 18363*/ GIMT_Encode4(1278090), // Rule ID 8629 //
     /* 1278011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1278028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278064 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1278067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278089 */     // GIR_Coverage, 8629,
     /* 1278089 */     GIR_EraseRootFromParent_Done,
     /* 1278090 */   // Label 18363: @1278090
     /* 1278090 */   GIM_Try, /*On fail goto*//*Label 18364*/ GIMT_Encode4(1278174), // Rule ID 8630 //
     /* 1278095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1278112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278148 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1278151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278173 */     // GIR_Coverage, 8630,
     /* 1278173 */     GIR_EraseRootFromParent_Done,
     /* 1278174 */   // Label 18364: @1278174
     /* 1278174 */   GIM_Try, /*On fail goto*//*Label 18365*/ GIMT_Encode4(1278258), // Rule ID 8633 //
     /* 1278179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1278190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1278193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1278196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1278202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278232 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1278235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278257 */     // GIR_Coverage, 8633,
     /* 1278257 */     GIR_EraseRootFromParent_Done,
     /* 1278258 */   // Label 18365: @1278258
     /* 1278258 */   GIM_Try, /*On fail goto*//*Label 18366*/ GIMT_Encode4(1278342), // Rule ID 8634 //
     /* 1278263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1278274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1278277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1278280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1278286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278316 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1278319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278341 */     // GIR_Coverage, 8634,
     /* 1278341 */     GIR_EraseRootFromParent_Done,
     /* 1278342 */   // Label 18366: @1278342
     /* 1278342 */   GIM_Try, /*On fail goto*//*Label 18367*/ GIMT_Encode4(1278426), // Rule ID 8637 //
     /* 1278347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1278364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278400 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1278403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278425 */     // GIR_Coverage, 8637,
     /* 1278425 */     GIR_EraseRootFromParent_Done,
     /* 1278426 */   // Label 18367: @1278426
     /* 1278426 */   GIM_Try, /*On fail goto*//*Label 18368*/ GIMT_Encode4(1278510), // Rule ID 8638 //
     /* 1278431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1278448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278484 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1278487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278509 */     // GIR_Coverage, 8638,
     /* 1278509 */     GIR_EraseRootFromParent_Done,
     /* 1278510 */   // Label 18368: @1278510
     /* 1278510 */   GIM_Try, /*On fail goto*//*Label 18369*/ GIMT_Encode4(1278594), // Rule ID 8641 //
     /* 1278515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1278526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1278529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1278532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1278538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278568 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1278571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278593 */     // GIR_Coverage, 8641,
     /* 1278593 */     GIR_EraseRootFromParent_Done,
     /* 1278594 */   // Label 18369: @1278594
     /* 1278594 */   GIM_Try, /*On fail goto*//*Label 18370*/ GIMT_Encode4(1278678), // Rule ID 8642 //
     /* 1278599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1278610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1278613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1278616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1278622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278652 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1278655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278677 */     // GIR_Coverage, 8642,
     /* 1278677 */     GIR_EraseRootFromParent_Done,
     /* 1278678 */   // Label 18370: @1278678
     /* 1278678 */   GIM_Try, /*On fail goto*//*Label 18371*/ GIMT_Encode4(1278762), // Rule ID 8645 //
     /* 1278683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1278700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278736 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1278739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278761 */     // GIR_Coverage, 8645,
     /* 1278761 */     GIR_EraseRootFromParent_Done,
     /* 1278762 */   // Label 18371: @1278762
     /* 1278762 */   GIM_Try, /*On fail goto*//*Label 18372*/ GIMT_Encode4(1278846), // Rule ID 8646 //
     /* 1278767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1278784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278820 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1278823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278845 */     // GIR_Coverage, 8646,
     /* 1278845 */     GIR_EraseRootFromParent_Done,
     /* 1278846 */   // Label 18372: @1278846
     /* 1278846 */   GIM_Try, /*On fail goto*//*Label 18373*/ GIMT_Encode4(1278930), // Rule ID 8649 //
     /* 1278851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1278868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278904 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1278907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278929 */     // GIR_Coverage, 8649,
     /* 1278929 */     GIR_EraseRootFromParent_Done,
     /* 1278930 */   // Label 18373: @1278930
     /* 1278930 */   GIM_Try, /*On fail goto*//*Label 18374*/ GIMT_Encode4(1279014), // Rule ID 8650 //
     /* 1278935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1278943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1278952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278988 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1278991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279013 */     // GIR_Coverage, 8650,
     /* 1279013 */     GIR_EraseRootFromParent_Done,
     /* 1279014 */   // Label 18374: @1279014
     /* 1279014 */   GIM_Try, /*On fail goto*//*Label 18375*/ GIMT_Encode4(1279098), // Rule ID 8653 //
     /* 1279019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1279036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279072 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1279075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279097 */     // GIR_Coverage, 8653,
     /* 1279097 */     GIR_EraseRootFromParent_Done,
     /* 1279098 */   // Label 18375: @1279098
     /* 1279098 */   GIM_Try, /*On fail goto*//*Label 18376*/ GIMT_Encode4(1279182), // Rule ID 8654 //
     /* 1279103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1279120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279156 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1279159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279181 */     // GIR_Coverage, 8654,
     /* 1279181 */     GIR_EraseRootFromParent_Done,
     /* 1279182 */   // Label 18376: @1279182
     /* 1279182 */   GIM_Try, /*On fail goto*//*Label 18377*/ GIMT_Encode4(1279266), // Rule ID 8657 //
     /* 1279187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1279190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1279204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279240 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1279243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279265 */     // GIR_Coverage, 8657,
     /* 1279265 */     GIR_EraseRootFromParent_Done,
     /* 1279266 */   // Label 18377: @1279266
     /* 1279266 */   GIM_Try, /*On fail goto*//*Label 18378*/ GIMT_Encode4(1279350), // Rule ID 8658 //
     /* 1279271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1279274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1279288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279324 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1279327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279349 */     // GIR_Coverage, 8658,
     /* 1279349 */     GIR_EraseRootFromParent_Done,
     /* 1279350 */   // Label 18378: @1279350
     /* 1279350 */   GIM_Try, /*On fail goto*//*Label 18379*/ GIMT_Encode4(1279434), // Rule ID 8661 //
     /* 1279355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1279366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1279369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1279372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1279378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1279393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279408 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1279411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279433 */     // GIR_Coverage, 8661,
     /* 1279433 */     GIR_EraseRootFromParent_Done,
     /* 1279434 */   // Label 18379: @1279434
     /* 1279434 */   GIM_Try, /*On fail goto*//*Label 18380*/ GIMT_Encode4(1279518), // Rule ID 8662 //
     /* 1279439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1279450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1279453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1279456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1279462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1279477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279492 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1279495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279517 */     // GIR_Coverage, 8662,
     /* 1279517 */     GIR_EraseRootFromParent_Done,
     /* 1279518 */   // Label 18380: @1279518
     /* 1279518 */   GIM_Try, /*On fail goto*//*Label 18381*/ GIMT_Encode4(1279602), // Rule ID 8665 //
     /* 1279523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1279534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1279537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1279540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1279546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279576 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1279579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279601 */     // GIR_Coverage, 8665,
     /* 1279601 */     GIR_EraseRootFromParent_Done,
     /* 1279602 */   // Label 18381: @1279602
     /* 1279602 */   GIM_Try, /*On fail goto*//*Label 18382*/ GIMT_Encode4(1279686), // Rule ID 8666 //
     /* 1279607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1279618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1279621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1279624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1279630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279660 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1279663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279685 */     // GIR_Coverage, 8666,
     /* 1279685 */     GIR_EraseRootFromParent_Done,
     /* 1279686 */   // Label 18382: @1279686
     /* 1279686 */   GIM_Try, /*On fail goto*//*Label 18383*/ GIMT_Encode4(1279770), // Rule ID 8669 //
     /* 1279691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1279702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1279705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1279708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1279714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279744 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1279747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279769 */     // GIR_Coverage, 8669,
     /* 1279769 */     GIR_EraseRootFromParent_Done,
     /* 1279770 */   // Label 18383: @1279770
     /* 1279770 */   GIM_Try, /*On fail goto*//*Label 18384*/ GIMT_Encode4(1279854), // Rule ID 8670 //
     /* 1279775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1279786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1279789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1279792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1279798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279828 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1279831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279853 */     // GIR_Coverage, 8670,
     /* 1279853 */     GIR_EraseRootFromParent_Done,
     /* 1279854 */   // Label 18384: @1279854
     /* 1279854 */   GIM_Try, /*On fail goto*//*Label 18385*/ GIMT_Encode4(1279938), // Rule ID 8673 //
     /* 1279859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1279870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1279873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1279876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1279879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1279897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279912 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1279915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279937 */     // GIR_Coverage, 8673,
     /* 1279937 */     GIR_EraseRootFromParent_Done,
     /* 1279938 */   // Label 18385: @1279938
     /* 1279938 */   GIM_Try, /*On fail goto*//*Label 18386*/ GIMT_Encode4(1280022), // Rule ID 8674 //
     /* 1279943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1279951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1279954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1279957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1279960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1279981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279996 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1279999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280021 */     // GIR_Coverage, 8674,
     /* 1280021 */     GIR_EraseRootFromParent_Done,
     /* 1280022 */   // Label 18386: @1280022
     /* 1280022 */   GIM_Try, /*On fail goto*//*Label 18387*/ GIMT_Encode4(1280106), // Rule ID 8677 //
     /* 1280027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1280038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1280041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1280044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280080 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1280083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280105 */     // GIR_Coverage, 8677,
     /* 1280105 */     GIR_EraseRootFromParent_Done,
     /* 1280106 */   // Label 18387: @1280106
     /* 1280106 */   GIM_Try, /*On fail goto*//*Label 18388*/ GIMT_Encode4(1280190), // Rule ID 8678 //
     /* 1280111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1280122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1280125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1280128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280164 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1280167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280189 */     // GIR_Coverage, 8678,
     /* 1280189 */     GIR_EraseRootFromParent_Done,
     /* 1280190 */   // Label 18388: @1280190
     /* 1280190 */   GIM_Try, /*On fail goto*//*Label 18389*/ GIMT_Encode4(1280274), // Rule ID 8681 //
     /* 1280195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1280206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1280209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1280212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1280218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280248 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1280251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280273 */     // GIR_Coverage, 8681,
     /* 1280273 */     GIR_EraseRootFromParent_Done,
     /* 1280274 */   // Label 18389: @1280274
     /* 1280274 */   GIM_Try, /*On fail goto*//*Label 18390*/ GIMT_Encode4(1280358), // Rule ID 8682 //
     /* 1280279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1280290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1280293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1280296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1280302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280332 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1280335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280357 */     // GIR_Coverage, 8682,
     /* 1280357 */     GIR_EraseRootFromParent_Done,
     /* 1280358 */   // Label 18390: @1280358
     /* 1280358 */   GIM_Try, /*On fail goto*//*Label 18391*/ GIMT_Encode4(1280442), // Rule ID 8685 //
     /* 1280363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1280380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280416 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1280419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280441 */     // GIR_Coverage, 8685,
     /* 1280441 */     GIR_EraseRootFromParent_Done,
     /* 1280442 */   // Label 18391: @1280442
     /* 1280442 */   GIM_Try, /*On fail goto*//*Label 18392*/ GIMT_Encode4(1280526), // Rule ID 8686 //
     /* 1280447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1280464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280500 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1280503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280525 */     // GIR_Coverage, 8686,
     /* 1280525 */     GIR_EraseRootFromParent_Done,
     /* 1280526 */   // Label 18392: @1280526
     /* 1280526 */   GIM_Try, /*On fail goto*//*Label 18393*/ GIMT_Encode4(1280610), // Rule ID 8689 //
     /* 1280531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1280548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280584 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1280587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280609 */     // GIR_Coverage, 8689,
     /* 1280609 */     GIR_EraseRootFromParent_Done,
     /* 1280610 */   // Label 18393: @1280610
     /* 1280610 */   GIM_Try, /*On fail goto*//*Label 18394*/ GIMT_Encode4(1280694), // Rule ID 8690 //
     /* 1280615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1280632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280668 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1280671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280693 */     // GIR_Coverage, 8690,
     /* 1280693 */     GIR_EraseRootFromParent_Done,
     /* 1280694 */   // Label 18394: @1280694
     /* 1280694 */   GIM_Try, /*On fail goto*//*Label 18395*/ GIMT_Encode4(1280778), // Rule ID 8693 //
     /* 1280699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1280710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1280713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1280716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280752 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1280755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280777 */     // GIR_Coverage, 8693,
     /* 1280777 */     GIR_EraseRootFromParent_Done,
     /* 1280778 */   // Label 18395: @1280778
     /* 1280778 */   GIM_Try, /*On fail goto*//*Label 18396*/ GIMT_Encode4(1280862), // Rule ID 8694 //
     /* 1280783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1280794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1280797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1280800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280836 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1280839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280861 */     // GIR_Coverage, 8694,
     /* 1280861 */     GIR_EraseRootFromParent_Done,
     /* 1280862 */   // Label 18396: @1280862
     /* 1280862 */   GIM_Try, /*On fail goto*//*Label 18397*/ GIMT_Encode4(1280946), // Rule ID 8697 //
     /* 1280867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1280870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1280884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280920 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1280923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280945 */     // GIR_Coverage, 8697,
     /* 1280945 */     GIR_EraseRootFromParent_Done,
     /* 1280946 */   // Label 18397: @1280946
     /* 1280946 */   GIM_Try, /*On fail goto*//*Label 18398*/ GIMT_Encode4(1281030), // Rule ID 8698 //
     /* 1280951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1280954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1280959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1280968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281004 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1281007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281029 */     // GIR_Coverage, 8698,
     /* 1281029 */     GIR_EraseRootFromParent_Done,
     /* 1281030 */   // Label 18398: @1281030
     /* 1281030 */   GIM_Try, /*On fail goto*//*Label 18399*/ GIMT_Encode4(1281114), // Rule ID 8701 //
     /* 1281035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1281038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1281052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281088 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1281091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281113 */     // GIR_Coverage, 8701,
     /* 1281113 */     GIR_EraseRootFromParent_Done,
     /* 1281114 */   // Label 18399: @1281114
     /* 1281114 */   GIM_Try, /*On fail goto*//*Label 18400*/ GIMT_Encode4(1281198), // Rule ID 8702 //
     /* 1281119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1281122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1281136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281172 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1281175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281197 */     // GIR_Coverage, 8702,
     /* 1281197 */     GIR_EraseRootFromParent_Done,
     /* 1281198 */   // Label 18400: @1281198
     /* 1281198 */   GIM_Try, /*On fail goto*//*Label 18401*/ GIMT_Encode4(1281282), // Rule ID 8705 //
     /* 1281203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1281206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1281220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281256 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1281259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281281 */     // GIR_Coverage, 8705,
     /* 1281281 */     GIR_EraseRootFromParent_Done,
     /* 1281282 */   // Label 18401: @1281282
     /* 1281282 */   GIM_Try, /*On fail goto*//*Label 18402*/ GIMT_Encode4(1281366), // Rule ID 8706 //
     /* 1281287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1281290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1281295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1281304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281340 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1281343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281365 */     // GIR_Coverage, 8706,
     /* 1281365 */     GIR_EraseRootFromParent_Done,
     /* 1281366 */   // Label 18402: @1281366
     /* 1281366 */   GIM_Try, /*On fail goto*//*Label 18403*/ GIMT_Encode4(1281450), // Rule ID 8797 //
     /* 1281371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1281382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1281385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1281388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1281391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1281394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281424 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1281427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281449 */     // GIR_Coverage, 8797,
     /* 1281449 */     GIR_EraseRootFromParent_Done,
     /* 1281450 */   // Label 18403: @1281450
     /* 1281450 */   GIM_Try, /*On fail goto*//*Label 18404*/ GIMT_Encode4(1281534), // Rule ID 8798 //
     /* 1281455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1281466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1281469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1281472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1281475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1281478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281508 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1281511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281533 */     // GIR_Coverage, 8798,
     /* 1281533 */     GIR_EraseRootFromParent_Done,
     /* 1281534 */   // Label 18404: @1281534
     /* 1281534 */   GIM_Try, /*On fail goto*//*Label 18405*/ GIMT_Encode4(1281618), // Rule ID 8801 //
     /* 1281539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1281550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1281553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1281556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1281559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1281562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281592 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1281595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281617 */     // GIR_Coverage, 8801,
     /* 1281617 */     GIR_EraseRootFromParent_Done,
     /* 1281618 */   // Label 18405: @1281618
     /* 1281618 */   GIM_Try, /*On fail goto*//*Label 18406*/ GIMT_Encode4(1281702), // Rule ID 8802 //
     /* 1281623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1281634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1281637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1281640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1281643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1281646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281676 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1281679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281701 */     // GIR_Coverage, 8802,
     /* 1281701 */     GIR_EraseRootFromParent_Done,
     /* 1281702 */   // Label 18406: @1281702
     /* 1281702 */   GIM_Try, /*On fail goto*//*Label 18407*/ GIMT_Encode4(1281786), // Rule ID 8805 //
     /* 1281707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1281724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1281727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281760 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1281763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281785 */     // GIR_Coverage, 8805,
     /* 1281785 */     GIR_EraseRootFromParent_Done,
     /* 1281786 */   // Label 18407: @1281786
     /* 1281786 */   GIM_Try, /*On fail goto*//*Label 18408*/ GIMT_Encode4(1281870), // Rule ID 8806 //
     /* 1281791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1281808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1281811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281844 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1281847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281869 */     // GIR_Coverage, 8806,
     /* 1281869 */     GIR_EraseRootFromParent_Done,
     /* 1281870 */   // Label 18408: @1281870
     /* 1281870 */   GIM_Try, /*On fail goto*//*Label 18409*/ GIMT_Encode4(1281954), // Rule ID 8809 //
     /* 1281875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1281886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1281889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1281892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1281895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1281898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281928 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1281931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281953 */     // GIR_Coverage, 8809,
     /* 1281953 */     GIR_EraseRootFromParent_Done,
     /* 1281954 */   // Label 18409: @1281954
     /* 1281954 */   GIM_Try, /*On fail goto*//*Label 18410*/ GIMT_Encode4(1282038), // Rule ID 8810 //
     /* 1281959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1281970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1281973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1281976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1281979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1281982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282012 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1282015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282037 */     // GIR_Coverage, 8810,
     /* 1282037 */     GIR_EraseRootFromParent_Done,
     /* 1282038 */   // Label 18410: @1282038
     /* 1282038 */   GIM_Try, /*On fail goto*//*Label 18411*/ GIMT_Encode4(1282122), // Rule ID 8813 //
     /* 1282043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1282060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1282063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282096 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1282099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282121 */     // GIR_Coverage, 8813,
     /* 1282121 */     GIR_EraseRootFromParent_Done,
     /* 1282122 */   // Label 18411: @1282122
     /* 1282122 */   GIM_Try, /*On fail goto*//*Label 18412*/ GIMT_Encode4(1282206), // Rule ID 8814 //
     /* 1282127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1282144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1282147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282180 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1282183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282205 */     // GIR_Coverage, 8814,
     /* 1282205 */     GIR_EraseRootFromParent_Done,
     /* 1282206 */   // Label 18412: @1282206
     /* 1282206 */   GIM_Try, /*On fail goto*//*Label 18413*/ GIMT_Encode4(1282290), // Rule ID 8817 //
     /* 1282211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1282228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1282231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282264 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1282267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282289 */     // GIR_Coverage, 8817,
     /* 1282289 */     GIR_EraseRootFromParent_Done,
     /* 1282290 */   // Label 18413: @1282290
     /* 1282290 */   GIM_Try, /*On fail goto*//*Label 18414*/ GIMT_Encode4(1282374), // Rule ID 8818 //
     /* 1282295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1282312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1282315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282348 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1282351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282373 */     // GIR_Coverage, 8818,
     /* 1282373 */     GIR_EraseRootFromParent_Done,
     /* 1282374 */   // Label 18414: @1282374
     /* 1282374 */   GIM_Try, /*On fail goto*//*Label 18415*/ GIMT_Encode4(1282458), // Rule ID 8821 //
     /* 1282379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1282396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1282399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282432 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1282435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282457 */     // GIR_Coverage, 8821,
     /* 1282457 */     GIR_EraseRootFromParent_Done,
     /* 1282458 */   // Label 18415: @1282458
     /* 1282458 */   GIM_Try, /*On fail goto*//*Label 18416*/ GIMT_Encode4(1282542), // Rule ID 8822 //
     /* 1282463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1282480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1282483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282516 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1282519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282541 */     // GIR_Coverage, 8822,
     /* 1282541 */     GIR_EraseRootFromParent_Done,
     /* 1282542 */   // Label 18416: @1282542
     /* 1282542 */   GIM_Try, /*On fail goto*//*Label 18417*/ GIMT_Encode4(1282626), // Rule ID 8825 //
     /* 1282547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1282564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1282567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282600 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1282603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282625 */     // GIR_Coverage, 8825,
     /* 1282625 */     GIR_EraseRootFromParent_Done,
     /* 1282626 */   // Label 18417: @1282626
     /* 1282626 */   GIM_Try, /*On fail goto*//*Label 18418*/ GIMT_Encode4(1282710), // Rule ID 8826 //
     /* 1282631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1282648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1282651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282684 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1282687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282709 */     // GIR_Coverage, 8826,
     /* 1282709 */     GIR_EraseRootFromParent_Done,
     /* 1282710 */   // Label 18418: @1282710
     /* 1282710 */   GIM_Try, /*On fail goto*//*Label 18419*/ GIMT_Encode4(1282794), // Rule ID 8829 //
     /* 1282715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1282732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1282735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282768 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1282771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282793 */     // GIR_Coverage, 8829,
     /* 1282793 */     GIR_EraseRootFromParent_Done,
     /* 1282794 */   // Label 18419: @1282794
     /* 1282794 */   GIM_Try, /*On fail goto*//*Label 18420*/ GIMT_Encode4(1282878), // Rule ID 8830 //
     /* 1282799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1282816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1282819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282852 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1282855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282877 */     // GIR_Coverage, 8830,
     /* 1282877 */     GIR_EraseRootFromParent_Done,
     /* 1282878 */   // Label 18420: @1282878
     /* 1282878 */   GIM_Try, /*On fail goto*//*Label 18421*/ GIMT_Encode4(1282962), // Rule ID 8833 //
     /* 1282883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1282900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1282903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282936 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1282939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282961 */     // GIR_Coverage, 8833,
     /* 1282961 */     GIR_EraseRootFromParent_Done,
     /* 1282962 */   // Label 18421: @1282962
     /* 1282962 */   GIM_Try, /*On fail goto*//*Label 18422*/ GIMT_Encode4(1283046), // Rule ID 8834 //
     /* 1282967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1282970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1282984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1282987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283020 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1283023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1283041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283045 */     // GIR_Coverage, 8834,
     /* 1283045 */     GIR_EraseRootFromParent_Done,
     /* 1283046 */   // Label 18422: @1283046
     /* 1283046 */   GIM_Try, /*On fail goto*//*Label 18423*/ GIMT_Encode4(1283130), // Rule ID 8837 //
     /* 1283051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1283062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1283065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1283068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1283071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1283074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283104 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1283107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283129 */     // GIR_Coverage, 8837,
     /* 1283129 */     GIR_EraseRootFromParent_Done,
     /* 1283130 */   // Label 18423: @1283130
     /* 1283130 */   GIM_Try, /*On fail goto*//*Label 18424*/ GIMT_Encode4(1283214), // Rule ID 8838 //
     /* 1283135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1283146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1283149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1283152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1283155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1283158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283188 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1283191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283213 */     // GIR_Coverage, 8838,
     /* 1283213 */     GIR_EraseRootFromParent_Done,
     /* 1283214 */   // Label 18424: @1283214
     /* 1283214 */   GIM_Try, /*On fail goto*//*Label 18425*/ GIMT_Encode4(1283298), // Rule ID 8841 //
     /* 1283219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1283230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1283233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1283236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1283239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1283242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283272 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1283275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283297 */     // GIR_Coverage, 8841,
     /* 1283297 */     GIR_EraseRootFromParent_Done,
     /* 1283298 */   // Label 18425: @1283298
     /* 1283298 */   GIM_Try, /*On fail goto*//*Label 18426*/ GIMT_Encode4(1283382), // Rule ID 8842 //
     /* 1283303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1283314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1283317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1283320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1283323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1283326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283356 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1283359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283381 */     // GIR_Coverage, 8842,
     /* 1283381 */     GIR_EraseRootFromParent_Done,
     /* 1283382 */   // Label 18426: @1283382
     /* 1283382 */   GIM_Try, /*On fail goto*//*Label 18427*/ GIMT_Encode4(1283466), // Rule ID 8845 //
     /* 1283387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1283398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1283401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1283404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1283407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1283410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1283425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1283429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283440 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1283443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283465 */     // GIR_Coverage, 8845,
     /* 1283465 */     GIR_EraseRootFromParent_Done,
     /* 1283466 */   // Label 18427: @1283466
     /* 1283466 */   GIM_Try, /*On fail goto*//*Label 18428*/ GIMT_Encode4(1283550), // Rule ID 8846 //
     /* 1283471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1283482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1283485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1283488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1283491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1283494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1283509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1283513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283524 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1283527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283549 */     // GIR_Coverage, 8846,
     /* 1283549 */     GIR_EraseRootFromParent_Done,
     /* 1283550 */   // Label 18428: @1283550
     /* 1283550 */   GIM_Try, /*On fail goto*//*Label 18429*/ GIMT_Encode4(1283634), // Rule ID 8849 //
     /* 1283555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1283572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1283575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1283611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283633 */     // GIR_Coverage, 8849,
     /* 1283633 */     GIR_EraseRootFromParent_Done,
     /* 1283634 */   // Label 18429: @1283634
     /* 1283634 */   GIM_Try, /*On fail goto*//*Label 18430*/ GIMT_Encode4(1283718), // Rule ID 8850 //
     /* 1283639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1283656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1283659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283692 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1283695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283717 */     // GIR_Coverage, 8850,
     /* 1283717 */     GIR_EraseRootFromParent_Done,
     /* 1283718 */   // Label 18430: @1283718
     /* 1283718 */   GIM_Try, /*On fail goto*//*Label 18431*/ GIMT_Encode4(1283802), // Rule ID 8853 //
     /* 1283723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1283734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1283737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1283740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1283743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1283746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283776 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1283779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283801 */     // GIR_Coverage, 8853,
     /* 1283801 */     GIR_EraseRootFromParent_Done,
     /* 1283802 */   // Label 18431: @1283802
     /* 1283802 */   GIM_Try, /*On fail goto*//*Label 18432*/ GIMT_Encode4(1283886), // Rule ID 8854 //
     /* 1283807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1283818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1283821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1283824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1283827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1283830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283860 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1283863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283885 */     // GIR_Coverage, 8854,
     /* 1283885 */     GIR_EraseRootFromParent_Done,
     /* 1283886 */   // Label 18432: @1283886
     /* 1283886 */   GIM_Try, /*On fail goto*//*Label 18433*/ GIMT_Encode4(1283970), // Rule ID 8857 //
     /* 1283891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1283902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1283905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1283908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1283911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1283914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1283929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1283933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283944 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1283947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283969 */     // GIR_Coverage, 8857,
     /* 1283969 */     GIR_EraseRootFromParent_Done,
     /* 1283970 */   // Label 18433: @1283970
     /* 1283970 */   GIM_Try, /*On fail goto*//*Label 18434*/ GIMT_Encode4(1284054), // Rule ID 8858 //
     /* 1283975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1283986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1283989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1283992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1283995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1283998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284028 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1284031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284053 */     // GIR_Coverage, 8858,
     /* 1284053 */     GIR_EraseRootFromParent_Done,
     /* 1284054 */   // Label 18434: @1284054
     /* 1284054 */   GIM_Try, /*On fail goto*//*Label 18435*/ GIMT_Encode4(1284138), // Rule ID 8861 //
     /* 1284059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1284070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1284073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1284076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1284079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1284082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284112 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1284115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284137 */     // GIR_Coverage, 8861,
     /* 1284137 */     GIR_EraseRootFromParent_Done,
     /* 1284138 */   // Label 18435: @1284138
     /* 1284138 */   GIM_Try, /*On fail goto*//*Label 18436*/ GIMT_Encode4(1284222), // Rule ID 8862 //
     /* 1284143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1284154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1284157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1284160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1284163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1284166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284196 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1284199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284221 */     // GIR_Coverage, 8862,
     /* 1284221 */     GIR_EraseRootFromParent_Done,
     /* 1284222 */   // Label 18436: @1284222
     /* 1284222 */   GIM_Try, /*On fail goto*//*Label 18437*/ GIMT_Encode4(1284306), // Rule ID 8865 //
     /* 1284227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1284244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1284247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284280 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1284283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284305 */     // GIR_Coverage, 8865,
     /* 1284305 */     GIR_EraseRootFromParent_Done,
     /* 1284306 */   // Label 18437: @1284306
     /* 1284306 */   GIM_Try, /*On fail goto*//*Label 18438*/ GIMT_Encode4(1284390), // Rule ID 8866 //
     /* 1284311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1284328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1284331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284364 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1284367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284389 */     // GIR_Coverage, 8866,
     /* 1284389 */     GIR_EraseRootFromParent_Done,
     /* 1284390 */   // Label 18438: @1284390
     /* 1284390 */   GIM_Try, /*On fail goto*//*Label 18439*/ GIMT_Encode4(1284474), // Rule ID 8869 //
     /* 1284395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1284412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1284415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284448 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1284451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284473 */     // GIR_Coverage, 8869,
     /* 1284473 */     GIR_EraseRootFromParent_Done,
     /* 1284474 */   // Label 18439: @1284474
     /* 1284474 */   GIM_Try, /*On fail goto*//*Label 18440*/ GIMT_Encode4(1284558), // Rule ID 8870 //
     /* 1284479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1284496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1284499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284532 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1284535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284557 */     // GIR_Coverage, 8870,
     /* 1284557 */     GIR_EraseRootFromParent_Done,
     /* 1284558 */   // Label 18440: @1284558
     /* 1284558 */   GIM_Try, /*On fail goto*//*Label 18441*/ GIMT_Encode4(1284642), // Rule ID 8873 //
     /* 1284563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1284566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1284574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1284580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1284583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284616 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1284619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284641 */     // GIR_Coverage, 8873,
     /* 1284641 */     GIR_EraseRootFromParent_Done,
     /* 1284642 */   // Label 18441: @1284642
     /* 1284642 */   GIM_Try, /*On fail goto*//*Label 18442*/ GIMT_Encode4(1284726), // Rule ID 8874 //
     /* 1284647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1284650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1284658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1284664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1284667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284700 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1284703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284725 */     // GIR_Coverage, 8874,
     /* 1284725 */     GIR_EraseRootFromParent_Done,
     /* 1284726 */   // Label 18442: @1284726
     /* 1284726 */   GIM_Try, /*On fail goto*//*Label 18443*/ GIMT_Encode4(1284810), // Rule ID 8877 //
     /* 1284731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1284734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1284742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1284745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1284748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1284751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1284754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284784 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1284787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284809 */     // GIR_Coverage, 8877,
     /* 1284809 */     GIR_EraseRootFromParent_Done,
     /* 1284810 */   // Label 18443: @1284810
     /* 1284810 */   GIM_Try, /*On fail goto*//*Label 18444*/ GIMT_Encode4(1284894), // Rule ID 8878 //
     /* 1284815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1284818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1284826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1284829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1284832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1284835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1284838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284868 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1284871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284893 */     // GIR_Coverage, 8878,
     /* 1284893 */     GIR_EraseRootFromParent_Done,
     /* 1284894 */   // Label 18444: @1284894
     /* 1284894 */   GIM_Try, /*On fail goto*//*Label 18445*/ GIMT_Encode4(1284978), // Rule ID 8881 //
     /* 1284899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1284902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1284916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1284919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284952 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1284955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284977 */     // GIR_Coverage, 8881,
     /* 1284977 */     GIR_EraseRootFromParent_Done,
     /* 1284978 */   // Label 18445: @1284978
     /* 1284978 */   GIM_Try, /*On fail goto*//*Label 18446*/ GIMT_Encode4(1285062), // Rule ID 8882 //
     /* 1284983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1284986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1284991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1285000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1285003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285036 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1285039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285061 */     // GIR_Coverage, 8882,
     /* 1285061 */     GIR_EraseRootFromParent_Done,
     /* 1285062 */   // Label 18446: @1285062
     /* 1285062 */   GIM_Try, /*On fail goto*//*Label 18447*/ GIMT_Encode4(1285146), // Rule ID 8885 //
     /* 1285067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1285078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1285081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1285084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1285090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285120 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1285123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285145 */     // GIR_Coverage, 8885,
     /* 1285145 */     GIR_EraseRootFromParent_Done,
     /* 1285146 */   // Label 18447: @1285146
     /* 1285146 */   GIM_Try, /*On fail goto*//*Label 18448*/ GIMT_Encode4(1285230), // Rule ID 8886 //
     /* 1285151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1285162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1285165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1285168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1285174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285204 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1285207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285229 */     // GIR_Coverage, 8886,
     /* 1285229 */     GIR_EraseRootFromParent_Done,
     /* 1285230 */   // Label 18448: @1285230
     /* 1285230 */   GIM_Try, /*On fail goto*//*Label 18449*/ GIMT_Encode4(1285314), // Rule ID 8889 //
     /* 1285235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1285252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285288 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1285291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285313 */     // GIR_Coverage, 8889,
     /* 1285313 */     GIR_EraseRootFromParent_Done,
     /* 1285314 */   // Label 18449: @1285314
     /* 1285314 */   GIM_Try, /*On fail goto*//*Label 18450*/ GIMT_Encode4(1285398), // Rule ID 8890 //
     /* 1285319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1285336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285372 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1285375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285397 */     // GIR_Coverage, 8890,
     /* 1285397 */     GIR_EraseRootFromParent_Done,
     /* 1285398 */   // Label 18450: @1285398
     /* 1285398 */   GIM_Try, /*On fail goto*//*Label 18451*/ GIMT_Encode4(1285482), // Rule ID 8893 //
     /* 1285403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1285420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285456 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1285459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285481 */     // GIR_Coverage, 8893,
     /* 1285481 */     GIR_EraseRootFromParent_Done,
     /* 1285482 */   // Label 18451: @1285482
     /* 1285482 */   GIM_Try, /*On fail goto*//*Label 18452*/ GIMT_Encode4(1285566), // Rule ID 8894 //
     /* 1285487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1285504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285540 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1285543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285565 */     // GIR_Coverage, 8894,
     /* 1285565 */     GIR_EraseRootFromParent_Done,
     /* 1285566 */   // Label 18452: @1285566
     /* 1285566 */   GIM_Try, /*On fail goto*//*Label 18453*/ GIMT_Encode4(1285650), // Rule ID 8897 //
     /* 1285571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1285582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1285585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1285588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1285594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285624 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1285627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285649 */     // GIR_Coverage, 8897,
     /* 1285649 */     GIR_EraseRootFromParent_Done,
     /* 1285650 */   // Label 18453: @1285650
     /* 1285650 */   GIM_Try, /*On fail goto*//*Label 18454*/ GIMT_Encode4(1285734), // Rule ID 8898 //
     /* 1285655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1285666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1285669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1285672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1285678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285708 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1285711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285733 */     // GIR_Coverage, 8898,
     /* 1285733 */     GIR_EraseRootFromParent_Done,
     /* 1285734 */   // Label 18454: @1285734
     /* 1285734 */   GIM_Try, /*On fail goto*//*Label 18455*/ GIMT_Encode4(1285818), // Rule ID 8901 //
     /* 1285739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1285756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285792 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1285795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285817 */     // GIR_Coverage, 8901,
     /* 1285817 */     GIR_EraseRootFromParent_Done,
     /* 1285818 */   // Label 18455: @1285818
     /* 1285818 */   GIM_Try, /*On fail goto*//*Label 18456*/ GIMT_Encode4(1285902), // Rule ID 8902 //
     /* 1285823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1285840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285876 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1285879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285901 */     // GIR_Coverage, 8902,
     /* 1285901 */     GIR_EraseRootFromParent_Done,
     /* 1285902 */   // Label 18456: @1285902
     /* 1285902 */   GIM_Try, /*On fail goto*//*Label 18457*/ GIMT_Encode4(1285986), // Rule ID 8905 //
     /* 1285907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1285918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1285921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1285924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1285930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285960 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1285963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285985 */     // GIR_Coverage, 8905,
     /* 1285985 */     GIR_EraseRootFromParent_Done,
     /* 1285986 */   // Label 18457: @1285986
     /* 1285986 */   GIM_Try, /*On fail goto*//*Label 18458*/ GIMT_Encode4(1286070), // Rule ID 8906 //
     /* 1285991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1285999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1286008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286044 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1286047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286069 */     // GIR_Coverage, 8906,
     /* 1286069 */     GIR_EraseRootFromParent_Done,
     /* 1286070 */   // Label 18458: @1286070
     /* 1286070 */   GIM_Try, /*On fail goto*//*Label 18459*/ GIMT_Encode4(1286154), // Rule ID 8909 //
     /* 1286075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1286092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1286131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286153 */     // GIR_Coverage, 8909,
     /* 1286153 */     GIR_EraseRootFromParent_Done,
     /* 1286154 */   // Label 18459: @1286154
     /* 1286154 */   GIM_Try, /*On fail goto*//*Label 18460*/ GIMT_Encode4(1286238), // Rule ID 8910 //
     /* 1286159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1286176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286212 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1286215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286237 */     // GIR_Coverage, 8910,
     /* 1286237 */     GIR_EraseRootFromParent_Done,
     /* 1286238 */   // Label 18460: @1286238
     /* 1286238 */   GIM_Try, /*On fail goto*//*Label 18461*/ GIMT_Encode4(1286322), // Rule ID 8913 //
     /* 1286243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1286260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286296 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1286299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286321 */     // GIR_Coverage, 8913,
     /* 1286321 */     GIR_EraseRootFromParent_Done,
     /* 1286322 */   // Label 18461: @1286322
     /* 1286322 */   GIM_Try, /*On fail goto*//*Label 18462*/ GIMT_Encode4(1286406), // Rule ID 8914 //
     /* 1286327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1286344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286380 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1286383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286405 */     // GIR_Coverage, 8914,
     /* 1286405 */     GIR_EraseRootFromParent_Done,
     /* 1286406 */   // Label 18462: @1286406
     /* 1286406 */   GIM_Try, /*On fail goto*//*Label 18463*/ GIMT_Encode4(1286490), // Rule ID 8917 //
     /* 1286411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1286428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286464 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1286467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286489 */     // GIR_Coverage, 8917,
     /* 1286489 */     GIR_EraseRootFromParent_Done,
     /* 1286490 */   // Label 18463: @1286490
     /* 1286490 */   GIM_Try, /*On fail goto*//*Label 18464*/ GIMT_Encode4(1286574), // Rule ID 8918 //
     /* 1286495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1286512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286548 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1286551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286573 */     // GIR_Coverage, 8918,
     /* 1286573 */     GIR_EraseRootFromParent_Done,
     /* 1286574 */   // Label 18464: @1286574
     /* 1286574 */   GIM_Try, /*On fail goto*//*Label 18465*/ GIMT_Encode4(1286658), // Rule ID 8921 //
     /* 1286579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1286582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1286596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286632 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1286635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286657 */     // GIR_Coverage, 8921,
     /* 1286657 */     GIR_EraseRootFromParent_Done,
     /* 1286658 */   // Label 18465: @1286658
     /* 1286658 */   GIM_Try, /*On fail goto*//*Label 18466*/ GIMT_Encode4(1286742), // Rule ID 8922 //
     /* 1286663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1286666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1286680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286716 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1286719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286741 */     // GIR_Coverage, 8922,
     /* 1286741 */     GIR_EraseRootFromParent_Done,
     /* 1286742 */   // Label 18466: @1286742
     /* 1286742 */   GIM_Try, /*On fail goto*//*Label 18467*/ GIMT_Encode4(1286826), // Rule ID 8925 //
     /* 1286747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1286758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1286761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1286764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1286770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286800 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1286803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286825 */     // GIR_Coverage, 8925,
     /* 1286825 */     GIR_EraseRootFromParent_Done,
     /* 1286826 */   // Label 18467: @1286826
     /* 1286826 */   GIM_Try, /*On fail goto*//*Label 18468*/ GIMT_Encode4(1286910), // Rule ID 8926 //
     /* 1286831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1286842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1286845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1286848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1286854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286884 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1286887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286909 */     // GIR_Coverage, 8926,
     /* 1286909 */     GIR_EraseRootFromParent_Done,
     /* 1286910 */   // Label 18468: @1286910
     /* 1286910 */   GIM_Try, /*On fail goto*//*Label 18469*/ GIMT_Encode4(1286994), // Rule ID 8929 //
     /* 1286915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1286923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1286926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1286929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1286932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1286938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286968 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1286971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286993 */     // GIR_Coverage, 8929,
     /* 1286993 */     GIR_EraseRootFromParent_Done,
     /* 1286994 */   // Label 18469: @1286994
     /* 1286994 */   GIM_Try, /*On fail goto*//*Label 18470*/ GIMT_Encode4(1287078), // Rule ID 8930 //
     /* 1286999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1287010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1287013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1287016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1287022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1287037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287052 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1287055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287077 */     // GIR_Coverage, 8930,
     /* 1287077 */     GIR_EraseRootFromParent_Done,
     /* 1287078 */   // Label 18470: @1287078
     /* 1287078 */   GIM_Try, /*On fail goto*//*Label 18471*/ GIMT_Encode4(1287162), // Rule ID 8933 //
     /* 1287083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1287094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1287097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1287100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1287106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287136 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1287139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287161 */     // GIR_Coverage, 8933,
     /* 1287161 */     GIR_EraseRootFromParent_Done,
     /* 1287162 */   // Label 18471: @1287162
     /* 1287162 */   GIM_Try, /*On fail goto*//*Label 18472*/ GIMT_Encode4(1287246), // Rule ID 8934 //
     /* 1287167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1287178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1287181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1287184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1287190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287220 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1287223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287245 */     // GIR_Coverage, 8934,
     /* 1287245 */     GIR_EraseRootFromParent_Done,
     /* 1287246 */   // Label 18472: @1287246
     /* 1287246 */   GIM_Try, /*On fail goto*//*Label 18473*/ GIMT_Encode4(1287330), // Rule ID 8937 //
     /* 1287251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1287268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287304 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1287307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287329 */     // GIR_Coverage, 8937,
     /* 1287329 */     GIR_EraseRootFromParent_Done,
     /* 1287330 */   // Label 18473: @1287330
     /* 1287330 */   GIM_Try, /*On fail goto*//*Label 18474*/ GIMT_Encode4(1287414), // Rule ID 8938 //
     /* 1287335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1287352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287388 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1287391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287413 */     // GIR_Coverage, 8938,
     /* 1287413 */     GIR_EraseRootFromParent_Done,
     /* 1287414 */   // Label 18474: @1287414
     /* 1287414 */   GIM_Try, /*On fail goto*//*Label 18475*/ GIMT_Encode4(1287498), // Rule ID 8941 //
     /* 1287419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1287430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1287433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1287436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1287442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1287457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287472 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1287475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287497 */     // GIR_Coverage, 8941,
     /* 1287497 */     GIR_EraseRootFromParent_Done,
     /* 1287498 */   // Label 18475: @1287498
     /* 1287498 */   GIM_Try, /*On fail goto*//*Label 18476*/ GIMT_Encode4(1287582), // Rule ID 8942 //
     /* 1287503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1287514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1287517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1287520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1287526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1287541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287556 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1287559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287581 */     // GIR_Coverage, 8942,
     /* 1287581 */     GIR_EraseRootFromParent_Done,
     /* 1287582 */   // Label 18476: @1287582
     /* 1287582 */   GIM_Try, /*On fail goto*//*Label 18477*/ GIMT_Encode4(1287666), // Rule ID 8945 //
     /* 1287587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1287598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1287601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1287604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1287610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287640 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1287643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287665 */     // GIR_Coverage, 8945,
     /* 1287665 */     GIR_EraseRootFromParent_Done,
     /* 1287666 */   // Label 18477: @1287666
     /* 1287666 */   GIM_Try, /*On fail goto*//*Label 18478*/ GIMT_Encode4(1287750), // Rule ID 8946 //
     /* 1287671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1287682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1287685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1287688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1287694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287724 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1287727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287749 */     // GIR_Coverage, 8946,
     /* 1287749 */     GIR_EraseRootFromParent_Done,
     /* 1287750 */   // Label 18478: @1287750
     /* 1287750 */   GIM_Try, /*On fail goto*//*Label 18479*/ GIMT_Encode4(1287834), // Rule ID 8949 //
     /* 1287755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1287772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1287811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287833 */     // GIR_Coverage, 8949,
     /* 1287833 */     GIR_EraseRootFromParent_Done,
     /* 1287834 */   // Label 18479: @1287834
     /* 1287834 */   GIM_Try, /*On fail goto*//*Label 18480*/ GIMT_Encode4(1287918), // Rule ID 8950 //
     /* 1287839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1287856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287892 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1287895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287917 */     // GIR_Coverage, 8950,
     /* 1287917 */     GIR_EraseRootFromParent_Done,
     /* 1287918 */   // Label 18480: @1287918
     /* 1287918 */   GIM_Try, /*On fail goto*//*Label 18481*/ GIMT_Encode4(1288002), // Rule ID 8953 //
     /* 1287923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1287931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1287940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1287961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287976 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1287979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288001 */     // GIR_Coverage, 8953,
     /* 1288001 */     GIR_EraseRootFromParent_Done,
     /* 1288002 */   // Label 18481: @1288002
     /* 1288002 */   GIM_Try, /*On fail goto*//*Label 18482*/ GIMT_Encode4(1288086), // Rule ID 8954 //
     /* 1288007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1288024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288060 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1288063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288085 */     // GIR_Coverage, 8954,
     /* 1288085 */     GIR_EraseRootFromParent_Done,
     /* 1288086 */   // Label 18482: @1288086
     /* 1288086 */   GIM_Try, /*On fail goto*//*Label 18483*/ GIMT_Encode4(1288170), // Rule ID 8957 //
     /* 1288091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1288108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288144 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1288147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288169 */     // GIR_Coverage, 8957,
     /* 1288169 */     GIR_EraseRootFromParent_Done,
     /* 1288170 */   // Label 18483: @1288170
     /* 1288170 */   GIM_Try, /*On fail goto*//*Label 18484*/ GIMT_Encode4(1288254), // Rule ID 8958 //
     /* 1288175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1288192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288228 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1288231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288253 */     // GIR_Coverage, 8958,
     /* 1288253 */     GIR_EraseRootFromParent_Done,
     /* 1288254 */   // Label 18484: @1288254
     /* 1288254 */   GIM_Try, /*On fail goto*//*Label 18485*/ GIMT_Encode4(1288338), // Rule ID 8961 //
     /* 1288259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1288262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1288270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1288273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1288276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1288282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288312 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1288315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1288333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288337 */     // GIR_Coverage, 8961,
     /* 1288337 */     GIR_EraseRootFromParent_Done,
     /* 1288338 */   // Label 18485: @1288338
     /* 1288338 */   GIM_Try, /*On fail goto*//*Label 18486*/ GIMT_Encode4(1288422), // Rule ID 8962 //
     /* 1288343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1288346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1288354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1288357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1288360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1288366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288396 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1288399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1288417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288421 */     // GIR_Coverage, 8962,
     /* 1288421 */     GIR_EraseRootFromParent_Done,
     /* 1288422 */   // Label 18486: @1288422
     /* 1288422 */   GIM_Try, /*On fail goto*//*Label 18487*/ GIMT_Encode4(1288506), // Rule ID 8965 //
     /* 1288427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1288430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1288438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1288441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1288444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1288450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288480 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1288483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1288501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288505 */     // GIR_Coverage, 8965,
     /* 1288505 */     GIR_EraseRootFromParent_Done,
     /* 1288506 */   // Label 18487: @1288506
     /* 1288506 */   GIM_Try, /*On fail goto*//*Label 18488*/ GIMT_Encode4(1288590), // Rule ID 8966 //
     /* 1288511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1288514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1288522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1288525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1288528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1288534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288564 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1288567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1288585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288589 */     // GIR_Coverage, 8966,
     /* 1288589 */     GIR_EraseRootFromParent_Done,
     /* 1288590 */   // Label 18488: @1288590
     /* 1288590 */   GIM_Try, /*On fail goto*//*Label 18489*/ GIMT_Encode4(1288674), // Rule ID 8969 //
     /* 1288595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1288598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1288612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288648 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1288651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1288669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288673 */     // GIR_Coverage, 8969,
     /* 1288673 */     GIR_EraseRootFromParent_Done,
     /* 1288674 */   // Label 18489: @1288674
     /* 1288674 */   GIM_Try, /*On fail goto*//*Label 18490*/ GIMT_Encode4(1288758), // Rule ID 8970 //
     /* 1288679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1288682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1288687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1288696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288732 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1288735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1288753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288757 */     // GIR_Coverage, 8970,
     /* 1288757 */     GIR_EraseRootFromParent_Done,
     /* 1288758 */   // Label 18490: @1288758
     /* 1288758 */   GIM_Try, /*On fail goto*//*Label 18491*/ GIMT_Encode4(1288842), // Rule ID 9061 //
     /* 1288763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1288771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1288780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288816 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1288819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288841 */     // GIR_Coverage, 9061,
     /* 1288841 */     GIR_EraseRootFromParent_Done,
     /* 1288842 */   // Label 18491: @1288842
     /* 1288842 */   GIM_Try, /*On fail goto*//*Label 18492*/ GIMT_Encode4(1288926), // Rule ID 9062 //
     /* 1288847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1288855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1288864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288900 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1288903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288925 */     // GIR_Coverage, 9062,
     /* 1288925 */     GIR_EraseRootFromParent_Done,
     /* 1288926 */   // Label 18492: @1288926
     /* 1288926 */   GIM_Try, /*On fail goto*//*Label 18493*/ GIMT_Encode4(1289010), // Rule ID 9065 //
     /* 1288931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1288939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1288942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1288945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1288948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1288954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288984 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1288987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289009 */     // GIR_Coverage, 9065,
     /* 1289009 */     GIR_EraseRootFromParent_Done,
     /* 1289010 */   // Label 18493: @1289010
     /* 1289010 */   GIM_Try, /*On fail goto*//*Label 18494*/ GIMT_Encode4(1289094), // Rule ID 9066 //
     /* 1289015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1289023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1289032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289068 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1289071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289093 */     // GIR_Coverage, 9066,
     /* 1289093 */     GIR_EraseRootFromParent_Done,
     /* 1289094 */   // Label 18494: @1289094
     /* 1289094 */   GIM_Try, /*On fail goto*//*Label 18495*/ GIMT_Encode4(1289178), // Rule ID 9069 //
     /* 1289099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1289107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1289116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289152 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1289155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289177 */     // GIR_Coverage, 9069,
     /* 1289177 */     GIR_EraseRootFromParent_Done,
     /* 1289178 */   // Label 18495: @1289178
     /* 1289178 */   GIM_Try, /*On fail goto*//*Label 18496*/ GIMT_Encode4(1289262), // Rule ID 9070 //
     /* 1289183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1289191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1289200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289236 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1289239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289261 */     // GIR_Coverage, 9070,
     /* 1289261 */     GIR_EraseRootFromParent_Done,
     /* 1289262 */   // Label 18496: @1289262
     /* 1289262 */   GIM_Try, /*On fail goto*//*Label 18497*/ GIMT_Encode4(1289346), // Rule ID 9073 //
     /* 1289267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1289275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1289278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1289281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1289284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1289290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289320 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1289323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289345 */     // GIR_Coverage, 9073,
     /* 1289345 */     GIR_EraseRootFromParent_Done,
     /* 1289346 */   // Label 18497: @1289346
     /* 1289346 */   GIM_Try, /*On fail goto*//*Label 18498*/ GIMT_Encode4(1289430), // Rule ID 9074 //
     /* 1289351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1289359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1289362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1289365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1289368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1289374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289404 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1289407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289429 */     // GIR_Coverage, 9074,
     /* 1289429 */     GIR_EraseRootFromParent_Done,
     /* 1289430 */   // Label 18498: @1289430
     /* 1289430 */   GIM_Try, /*On fail goto*//*Label 18499*/ GIMT_Encode4(1289514), // Rule ID 9077 //
     /* 1289435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1289443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1289452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289488 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1289491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289513 */     // GIR_Coverage, 9077,
     /* 1289513 */     GIR_EraseRootFromParent_Done,
     /* 1289514 */   // Label 18499: @1289514
     /* 1289514 */   GIM_Try, /*On fail goto*//*Label 18500*/ GIMT_Encode4(1289598), // Rule ID 9078 //
     /* 1289519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1289527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1289536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1289575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289597 */     // GIR_Coverage, 9078,
     /* 1289597 */     GIR_EraseRootFromParent_Done,
     /* 1289598 */   // Label 18500: @1289598
     /* 1289598 */   GIM_Try, /*On fail goto*//*Label 18501*/ GIMT_Encode4(1289682), // Rule ID 9081 //
     /* 1289603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1289611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1289614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1289617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1289620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1289626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1289659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289681 */     // GIR_Coverage, 9081,
     /* 1289681 */     GIR_EraseRootFromParent_Done,
     /* 1289682 */   // Label 18501: @1289682
     /* 1289682 */   GIM_Try, /*On fail goto*//*Label 18502*/ GIMT_Encode4(1289766), // Rule ID 9082 //
     /* 1289687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1289695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1289698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1289701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1289704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1289710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289740 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1289743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289765 */     // GIR_Coverage, 9082,
     /* 1289765 */     GIR_EraseRootFromParent_Done,
     /* 1289766 */   // Label 18502: @1289766
     /* 1289766 */   GIM_Try, /*On fail goto*//*Label 18503*/ GIMT_Encode4(1289850), // Rule ID 9085 //
     /* 1289771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1289779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1289788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289824 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1289827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289849 */     // GIR_Coverage, 9085,
     /* 1289849 */     GIR_EraseRootFromParent_Done,
     /* 1289850 */   // Label 18503: @1289850
     /* 1289850 */   GIM_Try, /*On fail goto*//*Label 18504*/ GIMT_Encode4(1289934), // Rule ID 9086 //
     /* 1289855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1289863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1289872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289908 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1289911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289933 */     // GIR_Coverage, 9086,
     /* 1289933 */     GIR_EraseRootFromParent_Done,
     /* 1289934 */   // Label 18504: @1289934
     /* 1289934 */   GIM_Try, /*On fail goto*//*Label 18505*/ GIMT_Encode4(1290018), // Rule ID 9089 //
     /* 1289939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1289947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1289956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289992 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1289995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290017 */     // GIR_Coverage, 9089,
     /* 1290017 */     GIR_EraseRootFromParent_Done,
     /* 1290018 */   // Label 18505: @1290018
     /* 1290018 */   GIM_Try, /*On fail goto*//*Label 18506*/ GIMT_Encode4(1290102), // Rule ID 9090 //
     /* 1290023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1290040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290076 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1290079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290101 */     // GIR_Coverage, 9090,
     /* 1290101 */     GIR_EraseRootFromParent_Done,
     /* 1290102 */   // Label 18506: @1290102
     /* 1290102 */   GIM_Try, /*On fail goto*//*Label 18507*/ GIMT_Encode4(1290186), // Rule ID 9093 //
     /* 1290107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1290124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290160 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1290163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290185 */     // GIR_Coverage, 9093,
     /* 1290185 */     GIR_EraseRootFromParent_Done,
     /* 1290186 */   // Label 18507: @1290186
     /* 1290186 */   GIM_Try, /*On fail goto*//*Label 18508*/ GIMT_Encode4(1290270), // Rule ID 9094 //
     /* 1290191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1290208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290244 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1290247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290269 */     // GIR_Coverage, 9094,
     /* 1290269 */     GIR_EraseRootFromParent_Done,
     /* 1290270 */   // Label 18508: @1290270
     /* 1290270 */   GIM_Try, /*On fail goto*//*Label 18509*/ GIMT_Encode4(1290354), // Rule ID 9097 //
     /* 1290275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1290278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1290292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290328 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1290331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290353 */     // GIR_Coverage, 9097,
     /* 1290353 */     GIR_EraseRootFromParent_Done,
     /* 1290354 */   // Label 18509: @1290354
     /* 1290354 */   GIM_Try, /*On fail goto*//*Label 18510*/ GIMT_Encode4(1290438), // Rule ID 9098 //
     /* 1290359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1290362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1290376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290412 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1290415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290437 */     // GIR_Coverage, 9098,
     /* 1290437 */     GIR_EraseRootFromParent_Done,
     /* 1290438 */   // Label 18510: @1290438
     /* 1290438 */   GIM_Try, /*On fail goto*//*Label 18511*/ GIMT_Encode4(1290522), // Rule ID 9101 //
     /* 1290443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1290454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1290457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1290460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1290466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1290481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290496 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1290499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290521 */     // GIR_Coverage, 9101,
     /* 1290521 */     GIR_EraseRootFromParent_Done,
     /* 1290522 */   // Label 18511: @1290522
     /* 1290522 */   GIM_Try, /*On fail goto*//*Label 18512*/ GIMT_Encode4(1290606), // Rule ID 9102 //
     /* 1290527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1290538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1290541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1290544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1290550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1290565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290580 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1290583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290605 */     // GIR_Coverage, 9102,
     /* 1290605 */     GIR_EraseRootFromParent_Done,
     /* 1290606 */   // Label 18512: @1290606
     /* 1290606 */   GIM_Try, /*On fail goto*//*Label 18513*/ GIMT_Encode4(1290690), // Rule ID 9105 //
     /* 1290611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1290622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1290625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1290628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1290634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290664 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1290667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290689 */     // GIR_Coverage, 9105,
     /* 1290689 */     GIR_EraseRootFromParent_Done,
     /* 1290690 */   // Label 18513: @1290690
     /* 1290690 */   GIM_Try, /*On fail goto*//*Label 18514*/ GIMT_Encode4(1290774), // Rule ID 9106 //
     /* 1290695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1290706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1290709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1290712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1290718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290748 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1290751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290773 */     // GIR_Coverage, 9106,
     /* 1290773 */     GIR_EraseRootFromParent_Done,
     /* 1290774 */   // Label 18514: @1290774
     /* 1290774 */   GIM_Try, /*On fail goto*//*Label 18515*/ GIMT_Encode4(1290858), // Rule ID 9109 //
     /* 1290779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1290790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1290793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1290796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1290802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290832 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1290835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290857 */     // GIR_Coverage, 9109,
     /* 1290857 */     GIR_EraseRootFromParent_Done,
     /* 1290858 */   // Label 18515: @1290858
     /* 1290858 */   GIM_Try, /*On fail goto*//*Label 18516*/ GIMT_Encode4(1290942), // Rule ID 9110 //
     /* 1290863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1290874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1290877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1290880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1290886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290916 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1290919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290941 */     // GIR_Coverage, 9110,
     /* 1290941 */     GIR_EraseRootFromParent_Done,
     /* 1290942 */   // Label 18516: @1290942
     /* 1290942 */   GIM_Try, /*On fail goto*//*Label 18517*/ GIMT_Encode4(1291026), // Rule ID 9113 //
     /* 1290947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1290955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1290964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1290985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291000 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1291003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291025 */     // GIR_Coverage, 9113,
     /* 1291025 */     GIR_EraseRootFromParent_Done,
     /* 1291026 */   // Label 18517: @1291026
     /* 1291026 */   GIM_Try, /*On fail goto*//*Label 18518*/ GIMT_Encode4(1291110), // Rule ID 9114 //
     /* 1291031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1291042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1291045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1291048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291084 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1291087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291109 */     // GIR_Coverage, 9114,
     /* 1291109 */     GIR_EraseRootFromParent_Done,
     /* 1291110 */   // Label 18518: @1291110
     /* 1291110 */   GIM_Try, /*On fail goto*//*Label 18519*/ GIMT_Encode4(1291194), // Rule ID 9117 //
     /* 1291115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1291126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1291129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1291132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1291138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291168 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1291171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291193 */     // GIR_Coverage, 9117,
     /* 1291193 */     GIR_EraseRootFromParent_Done,
     /* 1291194 */   // Label 18519: @1291194
     /* 1291194 */   GIM_Try, /*On fail goto*//*Label 18520*/ GIMT_Encode4(1291278), // Rule ID 9118 //
     /* 1291199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1291210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1291213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1291216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1291222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291252 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1291255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291277 */     // GIR_Coverage, 9118,
     /* 1291277 */     GIR_EraseRootFromParent_Done,
     /* 1291278 */   // Label 18520: @1291278
     /* 1291278 */   GIM_Try, /*On fail goto*//*Label 18521*/ GIMT_Encode4(1291362), // Rule ID 9121 //
     /* 1291283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1291294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1291297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1291300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1291306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291336 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1291339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291361 */     // GIR_Coverage, 9121,
     /* 1291361 */     GIR_EraseRootFromParent_Done,
     /* 1291362 */   // Label 18521: @1291362
     /* 1291362 */   GIM_Try, /*On fail goto*//*Label 18522*/ GIMT_Encode4(1291446), // Rule ID 9122 //
     /* 1291367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1291378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1291381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1291384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1291390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291420 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1291423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291445 */     // GIR_Coverage, 9122,
     /* 1291445 */     GIR_EraseRootFromParent_Done,
     /* 1291446 */   // Label 18522: @1291446
     /* 1291446 */   GIM_Try, /*On fail goto*//*Label 18523*/ GIMT_Encode4(1291530), // Rule ID 9125 //
     /* 1291451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1291468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291504 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1291507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291529 */     // GIR_Coverage, 9125,
     /* 1291529 */     GIR_EraseRootFromParent_Done,
     /* 1291530 */   // Label 18523: @1291530
     /* 1291530 */   GIM_Try, /*On fail goto*//*Label 18524*/ GIMT_Encode4(1291614), // Rule ID 9126 //
     /* 1291535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1291552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291588 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1291591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291613 */     // GIR_Coverage, 9126,
     /* 1291613 */     GIR_EraseRootFromParent_Done,
     /* 1291614 */   // Label 18524: @1291614
     /* 1291614 */   GIM_Try, /*On fail goto*//*Label 18525*/ GIMT_Encode4(1291698), // Rule ID 9129 //
     /* 1291619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1291630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1291633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1291636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291672 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1291675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291697 */     // GIR_Coverage, 9129,
     /* 1291697 */     GIR_EraseRootFromParent_Done,
     /* 1291698 */   // Label 18525: @1291698
     /* 1291698 */   GIM_Try, /*On fail goto*//*Label 18526*/ GIMT_Encode4(1291782), // Rule ID 9130 //
     /* 1291703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1291714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1291717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1291720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291756 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1291759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291781 */     // GIR_Coverage, 9130,
     /* 1291781 */     GIR_EraseRootFromParent_Done,
     /* 1291782 */   // Label 18526: @1291782
     /* 1291782 */   GIM_Try, /*On fail goto*//*Label 18527*/ GIMT_Encode4(1291866), // Rule ID 9133 //
     /* 1291787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1291798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1291801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1291804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1291810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291840 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1291843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291865 */     // GIR_Coverage, 9133,
     /* 1291865 */     GIR_EraseRootFromParent_Done,
     /* 1291866 */   // Label 18527: @1291866
     /* 1291866 */   GIM_Try, /*On fail goto*//*Label 18528*/ GIMT_Encode4(1291950), // Rule ID 9134 //
     /* 1291871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1291882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1291885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1291888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1291894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291924 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1291927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291949 */     // GIR_Coverage, 9134,
     /* 1291949 */     GIR_EraseRootFromParent_Done,
     /* 1291950 */   // Label 18528: @1291950
     /* 1291950 */   GIM_Try, /*On fail goto*//*Label 18529*/ GIMT_Encode4(1292034), // Rule ID 9137 //
     /* 1291955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1291958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1291972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1292011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292033 */     // GIR_Coverage, 9137,
     /* 1292033 */     GIR_EraseRootFromParent_Done,
     /* 1292034 */   // Label 18529: @1292034
     /* 1292034 */   GIM_Try, /*On fail goto*//*Label 18530*/ GIMT_Encode4(1292118), // Rule ID 9138 //
     /* 1292039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1292042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1292050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1292053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1292056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1292062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292092 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1292095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292117 */     // GIR_Coverage, 9138,
     /* 1292117 */     GIR_EraseRootFromParent_Done,
     /* 1292118 */   // Label 18530: @1292118
     /* 1292118 */   GIM_Try, /*On fail goto*//*Label 18531*/ GIMT_Encode4(1292202), // Rule ID 9141 //
     /* 1292123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1292126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1292140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292176 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1292179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292201 */     // GIR_Coverage, 9141,
     /* 1292201 */     GIR_EraseRootFromParent_Done,
     /* 1292202 */   // Label 18531: @1292202
     /* 1292202 */   GIM_Try, /*On fail goto*//*Label 18532*/ GIMT_Encode4(1292286), // Rule ID 9142 //
     /* 1292207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1292210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1292224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292260 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1292263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292285 */     // GIR_Coverage, 9142,
     /* 1292285 */     GIR_EraseRootFromParent_Done,
     /* 1292286 */   // Label 18532: @1292286
     /* 1292286 */   GIM_Try, /*On fail goto*//*Label 18533*/ GIMT_Encode4(1292370), // Rule ID 9145 //
     /* 1292291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1292294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1292308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292344 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1292347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292369 */     // GIR_Coverage, 9145,
     /* 1292369 */     GIR_EraseRootFromParent_Done,
     /* 1292370 */   // Label 18533: @1292370
     /* 1292370 */   GIM_Try, /*On fail goto*//*Label 18534*/ GIMT_Encode4(1292454), // Rule ID 9146 //
     /* 1292375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1292378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1292392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292428 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1292431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292453 */     // GIR_Coverage, 9146,
     /* 1292453 */     GIR_EraseRootFromParent_Done,
     /* 1292454 */   // Label 18534: @1292454
     /* 1292454 */   GIM_Try, /*On fail goto*//*Label 18535*/ GIMT_Encode4(1292538), // Rule ID 9237 //
     /* 1292459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1292467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1292470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1292473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1292476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1292482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292512 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1292515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292537 */     // GIR_Coverage, 9237,
     /* 1292537 */     GIR_EraseRootFromParent_Done,
     /* 1292538 */   // Label 18535: @1292538
     /* 1292538 */   GIM_Try, /*On fail goto*//*Label 18536*/ GIMT_Encode4(1292622), // Rule ID 9238 //
     /* 1292543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1292551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1292554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1292557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1292560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1292566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292596 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1292599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292621 */     // GIR_Coverage, 9238,
     /* 1292621 */     GIR_EraseRootFromParent_Done,
     /* 1292622 */   // Label 18536: @1292622
     /* 1292622 */   GIM_Try, /*On fail goto*//*Label 18537*/ GIMT_Encode4(1292706), // Rule ID 9241 //
     /* 1292627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1292635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1292638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1292641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1292644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1292650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292680 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1292683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292705 */     // GIR_Coverage, 9241,
     /* 1292705 */     GIR_EraseRootFromParent_Done,
     /* 1292706 */   // Label 18537: @1292706
     /* 1292706 */   GIM_Try, /*On fail goto*//*Label 18538*/ GIMT_Encode4(1292790), // Rule ID 9242 //
     /* 1292711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1292719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1292722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1292725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1292728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1292734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292764 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1292767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292789 */     // GIR_Coverage, 9242,
     /* 1292789 */     GIR_EraseRootFromParent_Done,
     /* 1292790 */   // Label 18538: @1292790
     /* 1292790 */   GIM_Try, /*On fail goto*//*Label 18539*/ GIMT_Encode4(1292874), // Rule ID 9245 //
     /* 1292795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1292803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1292812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292848 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1292851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292873 */     // GIR_Coverage, 9245,
     /* 1292873 */     GIR_EraseRootFromParent_Done,
     /* 1292874 */   // Label 18539: @1292874
     /* 1292874 */   GIM_Try, /*On fail goto*//*Label 18540*/ GIMT_Encode4(1292958), // Rule ID 9246 //
     /* 1292879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1292887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1292896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292932 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1292935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292957 */     // GIR_Coverage, 9246,
     /* 1292957 */     GIR_EraseRootFromParent_Done,
     /* 1292958 */   // Label 18540: @1292958
     /* 1292958 */   GIM_Try, /*On fail goto*//*Label 18541*/ GIMT_Encode4(1293042), // Rule ID 9249 //
     /* 1292963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1292971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1292974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1292977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1292980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1292986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293016 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1293019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293041 */     // GIR_Coverage, 9249,
     /* 1293041 */     GIR_EraseRootFromParent_Done,
     /* 1293042 */   // Label 18541: @1293042
     /* 1293042 */   GIM_Try, /*On fail goto*//*Label 18542*/ GIMT_Encode4(1293126), // Rule ID 9250 //
     /* 1293047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1293058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1293061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1293064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1293070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293100 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1293103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293125 */     // GIR_Coverage, 9250,
     /* 1293125 */     GIR_EraseRootFromParent_Done,
     /* 1293126 */   // Label 18542: @1293126
     /* 1293126 */   GIM_Try, /*On fail goto*//*Label 18543*/ GIMT_Encode4(1293210), // Rule ID 9253 //
     /* 1293131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1293148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293184 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1293187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293209 */     // GIR_Coverage, 9253,
     /* 1293209 */     GIR_EraseRootFromParent_Done,
     /* 1293210 */   // Label 18543: @1293210
     /* 1293210 */   GIM_Try, /*On fail goto*//*Label 18544*/ GIMT_Encode4(1293294), // Rule ID 9254 //
     /* 1293215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1293232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293268 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1293271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293293 */     // GIR_Coverage, 9254,
     /* 1293293 */     GIR_EraseRootFromParent_Done,
     /* 1293294 */   // Label 18544: @1293294
     /* 1293294 */   GIM_Try, /*On fail goto*//*Label 18545*/ GIMT_Encode4(1293378), // Rule ID 9257 //
     /* 1293299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1293310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1293313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1293316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1293322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293352 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1293355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293377 */     // GIR_Coverage, 9257,
     /* 1293377 */     GIR_EraseRootFromParent_Done,
     /* 1293378 */   // Label 18545: @1293378
     /* 1293378 */   GIM_Try, /*On fail goto*//*Label 18546*/ GIMT_Encode4(1293462), // Rule ID 9258 //
     /* 1293383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1293394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1293397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1293400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1293406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293436 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1293439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293461 */     // GIR_Coverage, 9258,
     /* 1293461 */     GIR_EraseRootFromParent_Done,
     /* 1293462 */   // Label 18546: @1293462
     /* 1293462 */   GIM_Try, /*On fail goto*//*Label 18547*/ GIMT_Encode4(1293546), // Rule ID 9261 //
     /* 1293467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1293484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293520 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1293523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293545 */     // GIR_Coverage, 9261,
     /* 1293545 */     GIR_EraseRootFromParent_Done,
     /* 1293546 */   // Label 18547: @1293546
     /* 1293546 */   GIM_Try, /*On fail goto*//*Label 18548*/ GIMT_Encode4(1293630), // Rule ID 9262 //
     /* 1293551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1293568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293604 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1293607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293629 */     // GIR_Coverage, 9262,
     /* 1293629 */     GIR_EraseRootFromParent_Done,
     /* 1293630 */   // Label 18548: @1293630
     /* 1293630 */   GIM_Try, /*On fail goto*//*Label 18549*/ GIMT_Encode4(1293714), // Rule ID 9265 //
     /* 1293635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1293652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293688 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1293691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293713 */     // GIR_Coverage, 9265,
     /* 1293713 */     GIR_EraseRootFromParent_Done,
     /* 1293714 */   // Label 18549: @1293714
     /* 1293714 */   GIM_Try, /*On fail goto*//*Label 18550*/ GIMT_Encode4(1293798), // Rule ID 9266 //
     /* 1293719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1293736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293772 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1293775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293797 */     // GIR_Coverage, 9266,
     /* 1293797 */     GIR_EraseRootFromParent_Done,
     /* 1293798 */   // Label 18550: @1293798
     /* 1293798 */   GIM_Try, /*On fail goto*//*Label 18551*/ GIMT_Encode4(1293882), // Rule ID 9269 //
     /* 1293803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1293820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293856 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1293859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293881 */     // GIR_Coverage, 9269,
     /* 1293881 */     GIR_EraseRootFromParent_Done,
     /* 1293882 */   // Label 18551: @1293882
     /* 1293882 */   GIM_Try, /*On fail goto*//*Label 18552*/ GIMT_Encode4(1293966), // Rule ID 9270 //
     /* 1293887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1293904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293940 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1293943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293965 */     // GIR_Coverage, 9270,
     /* 1293965 */     GIR_EraseRootFromParent_Done,
     /* 1293966 */   // Label 18552: @1293966
     /* 1293966 */   GIM_Try, /*On fail goto*//*Label 18553*/ GIMT_Encode4(1294050), // Rule ID 9273 //
     /* 1293971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1293974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1293979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1293982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1293985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1293988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1293994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294024 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1294027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294049 */     // GIR_Coverage, 9273,
     /* 1294049 */     GIR_EraseRootFromParent_Done,
     /* 1294050 */   // Label 18553: @1294050
     /* 1294050 */   GIM_Try, /*On fail goto*//*Label 18554*/ GIMT_Encode4(1294134), // Rule ID 9274 //
     /* 1294055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1294058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1294072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294108 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1294111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294133 */     // GIR_Coverage, 9274,
     /* 1294133 */     GIR_EraseRootFromParent_Done,
     /* 1294134 */   // Label 18554: @1294134
     /* 1294134 */   GIM_Try, /*On fail goto*//*Label 18555*/ GIMT_Encode4(1294218), // Rule ID 9277 //
     /* 1294139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1294150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1294153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1294156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1294162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1294177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294192 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1294195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294217 */     // GIR_Coverage, 9277,
     /* 1294217 */     GIR_EraseRootFromParent_Done,
     /* 1294218 */   // Label 18555: @1294218
     /* 1294218 */   GIM_Try, /*On fail goto*//*Label 18556*/ GIMT_Encode4(1294302), // Rule ID 9278 //
     /* 1294223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1294234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1294237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1294240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1294246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1294261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294276 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1294279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294301 */     // GIR_Coverage, 9278,
     /* 1294301 */     GIR_EraseRootFromParent_Done,
     /* 1294302 */   // Label 18556: @1294302
     /* 1294302 */   GIM_Try, /*On fail goto*//*Label 18557*/ GIMT_Encode4(1294386), // Rule ID 9281 //
     /* 1294307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1294318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1294321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1294324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1294330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1294345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294360 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1294363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294385 */     // GIR_Coverage, 9281,
     /* 1294385 */     GIR_EraseRootFromParent_Done,
     /* 1294386 */   // Label 18557: @1294386
     /* 1294386 */   GIM_Try, /*On fail goto*//*Label 18558*/ GIMT_Encode4(1294470), // Rule ID 9282 //
     /* 1294391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1294402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1294405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1294408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1294414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1294429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294444 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1294447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294469 */     // GIR_Coverage, 9282,
     /* 1294469 */     GIR_EraseRootFromParent_Done,
     /* 1294470 */   // Label 18558: @1294470
     /* 1294470 */   GIM_Try, /*On fail goto*//*Label 18559*/ GIMT_Encode4(1294554), // Rule ID 9285 //
     /* 1294475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1294486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1294489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1294492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1294498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1294513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294528 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1294531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294553 */     // GIR_Coverage, 9285,
     /* 1294553 */     GIR_EraseRootFromParent_Done,
     /* 1294554 */   // Label 18559: @1294554
     /* 1294554 */   GIM_Try, /*On fail goto*//*Label 18560*/ GIMT_Encode4(1294638), // Rule ID 9286 //
     /* 1294559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1294570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1294573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1294576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1294582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1294597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294612 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1294615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294637 */     // GIR_Coverage, 9286,
     /* 1294637 */     GIR_EraseRootFromParent_Done,
     /* 1294638 */   // Label 18560: @1294638
     /* 1294638 */   GIM_Try, /*On fail goto*//*Label 18561*/ GIMT_Encode4(1294722), // Rule ID 9289 //
     /* 1294643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1294654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1294657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1294660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1294681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294696 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1294699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294721 */     // GIR_Coverage, 9289,
     /* 1294721 */     GIR_EraseRootFromParent_Done,
     /* 1294722 */   // Label 18561: @1294722
     /* 1294722 */   GIM_Try, /*On fail goto*//*Label 18562*/ GIMT_Encode4(1294806), // Rule ID 9290 //
     /* 1294727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1294738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1294741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1294744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1294765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294780 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1294783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294805 */     // GIR_Coverage, 9290,
     /* 1294805 */     GIR_EraseRootFromParent_Done,
     /* 1294806 */   // Label 18562: @1294806
     /* 1294806 */   GIM_Try, /*On fail goto*//*Label 18563*/ GIMT_Encode4(1294890), // Rule ID 9293 //
     /* 1294811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1294822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1294825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1294828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1294834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1294849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294864 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1294867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294889 */     // GIR_Coverage, 9293,
     /* 1294889 */     GIR_EraseRootFromParent_Done,
     /* 1294890 */   // Label 18563: @1294890
     /* 1294890 */   GIM_Try, /*On fail goto*//*Label 18564*/ GIMT_Encode4(1294974), // Rule ID 9294 //
     /* 1294895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1294906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1294909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1294912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1294918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1294933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1294937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294948 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1294951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294973 */     // GIR_Coverage, 9294,
     /* 1294973 */     GIR_EraseRootFromParent_Done,
     /* 1294974 */   // Label 18564: @1294974
     /* 1294974 */   GIM_Try, /*On fail goto*//*Label 18565*/ GIMT_Encode4(1295058), // Rule ID 9297 //
     /* 1294979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1294990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1294993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1294996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1295002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295032 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1295035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295057 */     // GIR_Coverage, 9297,
     /* 1295057 */     GIR_EraseRootFromParent_Done,
     /* 1295058 */   // Label 18565: @1295058
     /* 1295058 */   GIM_Try, /*On fail goto*//*Label 18566*/ GIMT_Encode4(1295142), // Rule ID 9298 //
     /* 1295063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1295074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1295077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1295080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1295086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295116 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1295119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295141 */     // GIR_Coverage, 9298,
     /* 1295141 */     GIR_EraseRootFromParent_Done,
     /* 1295142 */   // Label 18566: @1295142
     /* 1295142 */   GIM_Try, /*On fail goto*//*Label 18567*/ GIMT_Encode4(1295226), // Rule ID 9301 //
     /* 1295147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1295158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1295161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1295164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1295170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295200 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1295203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295225 */     // GIR_Coverage, 9301,
     /* 1295225 */     GIR_EraseRootFromParent_Done,
     /* 1295226 */   // Label 18567: @1295226
     /* 1295226 */   GIM_Try, /*On fail goto*//*Label 18568*/ GIMT_Encode4(1295310), // Rule ID 9302 //
     /* 1295231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1295242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1295245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1295248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1295254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295284 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1295287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295309 */     // GIR_Coverage, 9302,
     /* 1295309 */     GIR_EraseRootFromParent_Done,
     /* 1295310 */   // Label 18568: @1295310
     /* 1295310 */   GIM_Try, /*On fail goto*//*Label 18569*/ GIMT_Encode4(1295394), // Rule ID 9305 //
     /* 1295315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1295332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295368 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1295371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295393 */     // GIR_Coverage, 9305,
     /* 1295393 */     GIR_EraseRootFromParent_Done,
     /* 1295394 */   // Label 18569: @1295394
     /* 1295394 */   GIM_Try, /*On fail goto*//*Label 18570*/ GIMT_Encode4(1295478), // Rule ID 9306 //
     /* 1295399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1295416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295452 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1295455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295477 */     // GIR_Coverage, 9306,
     /* 1295477 */     GIR_EraseRootFromParent_Done,
     /* 1295478 */   // Label 18570: @1295478
     /* 1295478 */   GIM_Try, /*On fail goto*//*Label 18571*/ GIMT_Encode4(1295562), // Rule ID 9309 //
     /* 1295483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1295500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295536 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1295539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295561 */     // GIR_Coverage, 9309,
     /* 1295561 */     GIR_EraseRootFromParent_Done,
     /* 1295562 */   // Label 18571: @1295562
     /* 1295562 */   GIM_Try, /*On fail goto*//*Label 18572*/ GIMT_Encode4(1295646), // Rule ID 9310 //
     /* 1295567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1295584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295620 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1295623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295645 */     // GIR_Coverage, 9310,
     /* 1295645 */     GIR_EraseRootFromParent_Done,
     /* 1295646 */   // Label 18572: @1295646
     /* 1295646 */   GIM_Try, /*On fail goto*//*Label 18573*/ GIMT_Encode4(1295730), // Rule ID 9313 //
     /* 1295651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1295654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1295668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295704 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1295707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1295725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295729 */     // GIR_Coverage, 9313,
     /* 1295729 */     GIR_EraseRootFromParent_Done,
     /* 1295730 */   // Label 18573: @1295730
     /* 1295730 */   GIM_Try, /*On fail goto*//*Label 18574*/ GIMT_Encode4(1295814), // Rule ID 9314 //
     /* 1295735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1295738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1295752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295788 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1295791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1295809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295813 */     // GIR_Coverage, 9314,
     /* 1295813 */     GIR_EraseRootFromParent_Done,
     /* 1295814 */   // Label 18574: @1295814
     /* 1295814 */   GIM_Try, /*On fail goto*//*Label 18575*/ GIMT_Encode4(1295898), // Rule ID 9317 //
     /* 1295819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1295822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1295830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1295833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1295836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1295839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1295842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295872 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1295875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1295893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295897 */     // GIR_Coverage, 9317,
     /* 1295897 */     GIR_EraseRootFromParent_Done,
     /* 1295898 */   // Label 18575: @1295898
     /* 1295898 */   GIM_Try, /*On fail goto*//*Label 18576*/ GIMT_Encode4(1295982), // Rule ID 9318 //
     /* 1295903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1295906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1295914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1295917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1295920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1295926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1295945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295956 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1295959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1295977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295981 */     // GIR_Coverage, 9318,
     /* 1295981 */     GIR_EraseRootFromParent_Done,
     /* 1295982 */   // Label 18576: @1295982
     /* 1295982 */   GIM_Try, /*On fail goto*//*Label 18577*/ GIMT_Encode4(1296066), // Rule ID 9321 //
     /* 1295987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1295990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1296004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296040 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1296043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296065 */     // GIR_Coverage, 9321,
     /* 1296065 */     GIR_EraseRootFromParent_Done,
     /* 1296066 */   // Label 18577: @1296066
     /* 1296066 */   GIM_Try, /*On fail goto*//*Label 18578*/ GIMT_Encode4(1296150), // Rule ID 9322 //
     /* 1296071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1296074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1296088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1296113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296124 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1296127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296149 */     // GIR_Coverage, 9322,
     /* 1296149 */     GIR_EraseRootFromParent_Done,
     /* 1296150 */   // Label 18578: @1296150
     /* 1296150 */   GIM_Try, /*On fail goto*//*Label 18579*/ GIMT_Encode4(1296234), // Rule ID 9413 //
     /* 1296155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1296166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1296169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1296172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1296175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296208 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1296211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296233 */     // GIR_Coverage, 9413,
     /* 1296233 */     GIR_EraseRootFromParent_Done,
     /* 1296234 */   // Label 18579: @1296234
     /* 1296234 */   GIM_Try, /*On fail goto*//*Label 18580*/ GIMT_Encode4(1296318), // Rule ID 9414 //
     /* 1296239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1296250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1296253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1296256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1296259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296292 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1296295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296317 */     // GIR_Coverage, 9414,
     /* 1296317 */     GIR_EraseRootFromParent_Done,
     /* 1296318 */   // Label 18580: @1296318
     /* 1296318 */   GIM_Try, /*On fail goto*//*Label 18581*/ GIMT_Encode4(1296402), // Rule ID 9417 //
     /* 1296323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1296340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1296343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296376 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1296379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296401 */     // GIR_Coverage, 9417,
     /* 1296401 */     GIR_EraseRootFromParent_Done,
     /* 1296402 */   // Label 18581: @1296402
     /* 1296402 */   GIM_Try, /*On fail goto*//*Label 18582*/ GIMT_Encode4(1296486), // Rule ID 9418 //
     /* 1296407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1296424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1296427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296460 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1296463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296485 */     // GIR_Coverage, 9418,
     /* 1296485 */     GIR_EraseRootFromParent_Done,
     /* 1296486 */   // Label 18582: @1296486
     /* 1296486 */   GIM_Try, /*On fail goto*//*Label 18583*/ GIMT_Encode4(1296570), // Rule ID 9421 //
     /* 1296491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1296502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1296505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1296508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1296511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1296514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296544 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1296547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296569 */     // GIR_Coverage, 9421,
     /* 1296569 */     GIR_EraseRootFromParent_Done,
     /* 1296570 */   // Label 18583: @1296570
     /* 1296570 */   GIM_Try, /*On fail goto*//*Label 18584*/ GIMT_Encode4(1296654), // Rule ID 9422 //
     /* 1296575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1296586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1296589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1296592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1296595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1296598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296628 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1296631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296653 */     // GIR_Coverage, 9422,
     /* 1296653 */     GIR_EraseRootFromParent_Done,
     /* 1296654 */   // Label 18584: @1296654
     /* 1296654 */   GIM_Try, /*On fail goto*//*Label 18585*/ GIMT_Encode4(1296738), // Rule ID 9425 //
     /* 1296659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1296670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1296673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1296676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1296679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296712 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1296715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296737 */     // GIR_Coverage, 9425,
     /* 1296737 */     GIR_EraseRootFromParent_Done,
     /* 1296738 */   // Label 18585: @1296738
     /* 1296738 */   GIM_Try, /*On fail goto*//*Label 18586*/ GIMT_Encode4(1296822), // Rule ID 9426 //
     /* 1296743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1296754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1296757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1296760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1296763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296796 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1296799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296821 */     // GIR_Coverage, 9426,
     /* 1296821 */     GIR_EraseRootFromParent_Done,
     /* 1296822 */   // Label 18586: @1296822
     /* 1296822 */   GIM_Try, /*On fail goto*//*Label 18587*/ GIMT_Encode4(1296906), // Rule ID 9429 //
     /* 1296827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1296838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1296841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1296844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1296847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1296850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296880 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1296883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296905 */     // GIR_Coverage, 9429,
     /* 1296905 */     GIR_EraseRootFromParent_Done,
     /* 1296906 */   // Label 18587: @1296906
     /* 1296906 */   GIM_Try, /*On fail goto*//*Label 18588*/ GIMT_Encode4(1296990), // Rule ID 9430 //
     /* 1296911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1296919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1296922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1296925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1296928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1296931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1296934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296964 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1296967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296989 */     // GIR_Coverage, 9430,
     /* 1296989 */     GIR_EraseRootFromParent_Done,
     /* 1296990 */   // Label 18588: @1296990
     /* 1296990 */   GIM_Try, /*On fail goto*//*Label 18589*/ GIMT_Encode4(1297074), // Rule ID 9433 //
     /* 1296995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1297012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1297015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297048 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1297051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297073 */     // GIR_Coverage, 9433,
     /* 1297073 */     GIR_EraseRootFromParent_Done,
     /* 1297074 */   // Label 18589: @1297074
     /* 1297074 */   GIM_Try, /*On fail goto*//*Label 18590*/ GIMT_Encode4(1297158), // Rule ID 9434 //
     /* 1297079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1297096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1297099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297132 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1297135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297157 */     // GIR_Coverage, 9434,
     /* 1297157 */     GIR_EraseRootFromParent_Done,
     /* 1297158 */   // Label 18590: @1297158
     /* 1297158 */   GIM_Try, /*On fail goto*//*Label 18591*/ GIMT_Encode4(1297242), // Rule ID 9437 //
     /* 1297163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1297180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1297183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297216 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1297219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297241 */     // GIR_Coverage, 9437,
     /* 1297241 */     GIR_EraseRootFromParent_Done,
     /* 1297242 */   // Label 18591: @1297242
     /* 1297242 */   GIM_Try, /*On fail goto*//*Label 18592*/ GIMT_Encode4(1297326), // Rule ID 9438 //
     /* 1297247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1297264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1297267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297300 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1297303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297325 */     // GIR_Coverage, 9438,
     /* 1297325 */     GIR_EraseRootFromParent_Done,
     /* 1297326 */   // Label 18592: @1297326
     /* 1297326 */   GIM_Try, /*On fail goto*//*Label 18593*/ GIMT_Encode4(1297410), // Rule ID 9441 //
     /* 1297331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1297348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1297351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297384 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1297387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297409 */     // GIR_Coverage, 9441,
     /* 1297409 */     GIR_EraseRootFromParent_Done,
     /* 1297410 */   // Label 18593: @1297410
     /* 1297410 */   GIM_Try, /*On fail goto*//*Label 18594*/ GIMT_Encode4(1297494), // Rule ID 9442 //
     /* 1297415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1297432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1297435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297468 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1297471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297493 */     // GIR_Coverage, 9442,
     /* 1297493 */     GIR_EraseRootFromParent_Done,
     /* 1297494 */   // Label 18594: @1297494
     /* 1297494 */   GIM_Try, /*On fail goto*//*Label 18595*/ GIMT_Encode4(1297578), // Rule ID 9445 //
     /* 1297499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1297502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1297516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1297519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297552 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1297555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297577 */     // GIR_Coverage, 9445,
     /* 1297577 */     GIR_EraseRootFromParent_Done,
     /* 1297578 */   // Label 18595: @1297578
     /* 1297578 */   GIM_Try, /*On fail goto*//*Label 18596*/ GIMT_Encode4(1297662), // Rule ID 9446 //
     /* 1297583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1297586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1297600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1297603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297636 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1297639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297661 */     // GIR_Coverage, 9446,
     /* 1297661 */     GIR_EraseRootFromParent_Done,
     /* 1297662 */   // Label 18596: @1297662
     /* 1297662 */   GIM_Try, /*On fail goto*//*Label 18597*/ GIMT_Encode4(1297746), // Rule ID 9449 //
     /* 1297667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1297678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1297681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1297684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1297687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1297690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297720 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1297723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297745 */     // GIR_Coverage, 9449,
     /* 1297745 */     GIR_EraseRootFromParent_Done,
     /* 1297746 */   // Label 18597: @1297746
     /* 1297746 */   GIM_Try, /*On fail goto*//*Label 18598*/ GIMT_Encode4(1297830), // Rule ID 9450 //
     /* 1297751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1297762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1297765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1297768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1297771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1297774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297804 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1297807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297829 */     // GIR_Coverage, 9450,
     /* 1297829 */     GIR_EraseRootFromParent_Done,
     /* 1297830 */   // Label 18598: @1297830
     /* 1297830 */   GIM_Try, /*On fail goto*//*Label 18599*/ GIMT_Encode4(1297914), // Rule ID 9453 //
     /* 1297835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1297846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1297849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1297852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1297855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1297858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297888 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1297891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297913 */     // GIR_Coverage, 9453,
     /* 1297913 */     GIR_EraseRootFromParent_Done,
     /* 1297914 */   // Label 18599: @1297914
     /* 1297914 */   GIM_Try, /*On fail goto*//*Label 18600*/ GIMT_Encode4(1297998), // Rule ID 9454 //
     /* 1297919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1297927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1297930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1297933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1297936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1297939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1297942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297972 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1297975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297997 */     // GIR_Coverage, 9454,
     /* 1297997 */     GIR_EraseRootFromParent_Done,
     /* 1297998 */   // Label 18600: @1297998
     /* 1297998 */   GIM_Try, /*On fail goto*//*Label 18601*/ GIMT_Encode4(1298082), // Rule ID 9457 //
     /* 1298003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1298014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1298017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1298020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1298023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1298026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298056 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1298059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298081 */     // GIR_Coverage, 9457,
     /* 1298081 */     GIR_EraseRootFromParent_Done,
     /* 1298082 */   // Label 18601: @1298082
     /* 1298082 */   GIM_Try, /*On fail goto*//*Label 18602*/ GIMT_Encode4(1298166), // Rule ID 9458 //
     /* 1298087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1298098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1298101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1298104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1298107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1298110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298140 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1298143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298165 */     // GIR_Coverage, 9458,
     /* 1298165 */     GIR_EraseRootFromParent_Done,
     /* 1298166 */   // Label 18602: @1298166
     /* 1298166 */   GIM_Try, /*On fail goto*//*Label 18603*/ GIMT_Encode4(1298250), // Rule ID 9461 //
     /* 1298171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1298188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1298191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298224 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1298227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298249 */     // GIR_Coverage, 9461,
     /* 1298249 */     GIR_EraseRootFromParent_Done,
     /* 1298250 */   // Label 18603: @1298250
     /* 1298250 */   GIM_Try, /*On fail goto*//*Label 18604*/ GIMT_Encode4(1298334), // Rule ID 9462 //
     /* 1298255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1298272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1298275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298308 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1298311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298333 */     // GIR_Coverage, 9462,
     /* 1298333 */     GIR_EraseRootFromParent_Done,
     /* 1298334 */   // Label 18604: @1298334
     /* 1298334 */   GIM_Try, /*On fail goto*//*Label 18605*/ GIMT_Encode4(1298418), // Rule ID 9465 //
     /* 1298339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1298350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1298353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1298356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1298359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1298362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298392 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1298395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298417 */     // GIR_Coverage, 9465,
     /* 1298417 */     GIR_EraseRootFromParent_Done,
     /* 1298418 */   // Label 18605: @1298418
     /* 1298418 */   GIM_Try, /*On fail goto*//*Label 18606*/ GIMT_Encode4(1298502), // Rule ID 9466 //
     /* 1298423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1298434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1298437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1298440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1298443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1298446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298476 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1298479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298501 */     // GIR_Coverage, 9466,
     /* 1298501 */     GIR_EraseRootFromParent_Done,
     /* 1298502 */   // Label 18606: @1298502
     /* 1298502 */   GIM_Try, /*On fail goto*//*Label 18607*/ GIMT_Encode4(1298586), // Rule ID 9469 //
     /* 1298507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1298518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1298521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1298524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1298527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1298530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298560 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1298563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298585 */     // GIR_Coverage, 9469,
     /* 1298585 */     GIR_EraseRootFromParent_Done,
     /* 1298586 */   // Label 18607: @1298586
     /* 1298586 */   GIM_Try, /*On fail goto*//*Label 18608*/ GIMT_Encode4(1298670), // Rule ID 9470 //
     /* 1298591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1298602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1298605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1298608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1298611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1298614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298644 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1298647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298669 */     // GIR_Coverage, 9470,
     /* 1298669 */     GIR_EraseRootFromParent_Done,
     /* 1298670 */   // Label 18608: @1298670
     /* 1298670 */   GIM_Try, /*On fail goto*//*Label 18609*/ GIMT_Encode4(1298754), // Rule ID 9473 //
     /* 1298675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1298692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1298695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298728 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1298731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298753 */     // GIR_Coverage, 9473,
     /* 1298753 */     GIR_EraseRootFromParent_Done,
     /* 1298754 */   // Label 18609: @1298754
     /* 1298754 */   GIM_Try, /*On fail goto*//*Label 18610*/ GIMT_Encode4(1298838), // Rule ID 9474 //
     /* 1298759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1298776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1298779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298812 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1298815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298837 */     // GIR_Coverage, 9474,
     /* 1298837 */     GIR_EraseRootFromParent_Done,
     /* 1298838 */   // Label 18610: @1298838
     /* 1298838 */   GIM_Try, /*On fail goto*//*Label 18611*/ GIMT_Encode4(1298922), // Rule ID 9477 //
     /* 1298843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1298860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1298863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298896 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1298899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298921 */     // GIR_Coverage, 9477,
     /* 1298921 */     GIR_EraseRootFromParent_Done,
     /* 1298922 */   // Label 18611: @1298922
     /* 1298922 */   GIM_Try, /*On fail goto*//*Label 18612*/ GIMT_Encode4(1299006), // Rule ID 9478 //
     /* 1298927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1298935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1298944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1298947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298980 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1298983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299005 */     // GIR_Coverage, 9478,
     /* 1299005 */     GIR_EraseRootFromParent_Done,
     /* 1299006 */   // Label 18612: @1299006
     /* 1299006 */   GIM_Try, /*On fail goto*//*Label 18613*/ GIMT_Encode4(1299090), // Rule ID 9481 //
     /* 1299011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1299028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1299031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299064 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1299067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299089 */     // GIR_Coverage, 9481,
     /* 1299089 */     GIR_EraseRootFromParent_Done,
     /* 1299090 */   // Label 18613: @1299090
     /* 1299090 */   GIM_Try, /*On fail goto*//*Label 18614*/ GIMT_Encode4(1299174), // Rule ID 9482 //
     /* 1299095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1299112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1299115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299148 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1299151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299173 */     // GIR_Coverage, 9482,
     /* 1299173 */     GIR_EraseRootFromParent_Done,
     /* 1299174 */   // Label 18614: @1299174
     /* 1299174 */   GIM_Try, /*On fail goto*//*Label 18615*/ GIMT_Encode4(1299258), // Rule ID 9485 //
     /* 1299179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1299182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1299190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1299193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1299196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1299199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1299202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299232 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1299235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299257 */     // GIR_Coverage, 9485,
     /* 1299257 */     GIR_EraseRootFromParent_Done,
     /* 1299258 */   // Label 18615: @1299258
     /* 1299258 */   GIM_Try, /*On fail goto*//*Label 18616*/ GIMT_Encode4(1299342), // Rule ID 9486 //
     /* 1299263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1299266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1299274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1299277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1299280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1299283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1299286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299316 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1299319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299341 */     // GIR_Coverage, 9486,
     /* 1299341 */     GIR_EraseRootFromParent_Done,
     /* 1299342 */   // Label 18616: @1299342
     /* 1299342 */   GIM_Try, /*On fail goto*//*Label 18617*/ GIMT_Encode4(1299426), // Rule ID 9489 //
     /* 1299347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1299350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1299358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1299361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1299364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1299367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1299370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299400 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1299403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299425 */     // GIR_Coverage, 9489,
     /* 1299425 */     GIR_EraseRootFromParent_Done,
     /* 1299426 */   // Label 18617: @1299426
     /* 1299426 */   GIM_Try, /*On fail goto*//*Label 18618*/ GIMT_Encode4(1299510), // Rule ID 9490 //
     /* 1299431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1299434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1299442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1299445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1299448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1299451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1299454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299484 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1299487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299509 */     // GIR_Coverage, 9490,
     /* 1299509 */     GIR_EraseRootFromParent_Done,
     /* 1299510 */   // Label 18618: @1299510
     /* 1299510 */   GIM_Try, /*On fail goto*//*Label 18619*/ GIMT_Encode4(1299594), // Rule ID 9493 //
     /* 1299515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1299518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1299532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1299535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299568 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1299571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299593 */     // GIR_Coverage, 9493,
     /* 1299593 */     GIR_EraseRootFromParent_Done,
     /* 1299594 */   // Label 18619: @1299594
     /* 1299594 */   GIM_Try, /*On fail goto*//*Label 18620*/ GIMT_Encode4(1299678), // Rule ID 9494 //
     /* 1299599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1299602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1299607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1299616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1299619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299652 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11353:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1299655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299677 */     // GIR_Coverage, 9494,
     /* 1299677 */     GIR_EraseRootFromParent_Done,
     /* 1299678 */   // Label 18620: @1299678
     /* 1299678 */   GIM_Try, /*On fail goto*//*Label 18621*/ GIMT_Encode4(1299762), // Rule ID 9497 //
     /* 1299683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1299691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1299694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1299697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1299700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1299703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1299706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299736 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1299739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299761 */     // GIR_Coverage, 9497,
     /* 1299761 */     GIR_EraseRootFromParent_Done,
     /* 1299762 */   // Label 18621: @1299762
     /* 1299762 */   GIM_Try, /*On fail goto*//*Label 18622*/ GIMT_Encode4(1299846), // Rule ID 9498 //
     /* 1299767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1299775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1299778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1299781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1299784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1299787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1299790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1299823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299845 */     // GIR_Coverage, 9498,
     /* 1299845 */     GIR_EraseRootFromParent_Done,
     /* 1299846 */   // Label 18622: @1299846
     /* 1299846 */   GIM_Try, /*On fail goto*//*Label 18623*/ GIMT_Encode4(1299930), // Rule ID 9501 //
     /* 1299851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1299859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1299862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1299865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1299868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1299871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1299874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299904 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1299907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299929 */     // GIR_Coverage, 9501,
     /* 1299929 */     GIR_EraseRootFromParent_Done,
     /* 1299930 */   // Label 18623: @1299930
     /* 1299930 */   GIM_Try, /*On fail goto*//*Label 18624*/ GIMT_Encode4(1300014), // Rule ID 9502 //
     /* 1299935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1299943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1299946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1299949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1299952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1299955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1299958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299988 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1299991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300013 */     // GIR_Coverage, 9502,
     /* 1300013 */     GIR_EraseRootFromParent_Done,
     /* 1300014 */   // Label 18624: @1300014
     /* 1300014 */   GIM_Try, /*On fail goto*//*Label 18625*/ GIMT_Encode4(1300098), // Rule ID 9505 //
     /* 1300019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1300036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1300039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300072 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1300075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300097 */     // GIR_Coverage, 9505,
     /* 1300097 */     GIR_EraseRootFromParent_Done,
     /* 1300098 */   // Label 18625: @1300098
     /* 1300098 */   GIM_Try, /*On fail goto*//*Label 18626*/ GIMT_Encode4(1300182), // Rule ID 9506 //
     /* 1300103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1300120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1300123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300156 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1300159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300181 */     // GIR_Coverage, 9506,
     /* 1300181 */     GIR_EraseRootFromParent_Done,
     /* 1300182 */   // Label 18626: @1300182
     /* 1300182 */   GIM_Try, /*On fail goto*//*Label 18627*/ GIMT_Encode4(1300266), // Rule ID 9509 //
     /* 1300187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1300198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1300201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1300204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1300207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1300210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300240 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1300243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300265 */     // GIR_Coverage, 9509,
     /* 1300265 */     GIR_EraseRootFromParent_Done,
     /* 1300266 */   // Label 18627: @1300266
     /* 1300266 */   GIM_Try, /*On fail goto*//*Label 18628*/ GIMT_Encode4(1300350), // Rule ID 9510 //
     /* 1300271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1300282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1300285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1300288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1300291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1300294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300324 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1300327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300349 */     // GIR_Coverage, 9510,
     /* 1300349 */     GIR_EraseRootFromParent_Done,
     /* 1300350 */   // Label 18628: @1300350
     /* 1300350 */   GIM_Try, /*On fail goto*//*Label 18629*/ GIMT_Encode4(1300434), // Rule ID 9513 //
     /* 1300355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1300372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1300375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300408 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1300411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300433 */     // GIR_Coverage, 9513,
     /* 1300433 */     GIR_EraseRootFromParent_Done,
     /* 1300434 */   // Label 18629: @1300434
     /* 1300434 */   GIM_Try, /*On fail goto*//*Label 18630*/ GIMT_Encode4(1300518), // Rule ID 9514 //
     /* 1300439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1300456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1300459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300492 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1300495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300517 */     // GIR_Coverage, 9514,
     /* 1300517 */     GIR_EraseRootFromParent_Done,
     /* 1300518 */   // Label 18630: @1300518
     /* 1300518 */   GIM_Try, /*On fail goto*//*Label 18631*/ GIMT_Encode4(1300602), // Rule ID 9517 //
     /* 1300523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1300534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1300537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1300540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1300543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1300546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300576 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1300579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300601 */     // GIR_Coverage, 9517,
     /* 1300601 */     GIR_EraseRootFromParent_Done,
     /* 1300602 */   // Label 18631: @1300602
     /* 1300602 */   GIM_Try, /*On fail goto*//*Label 18632*/ GIMT_Encode4(1300686), // Rule ID 9518 //
     /* 1300607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1300618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1300621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1300624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1300627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1300630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300660 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1300663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300685 */     // GIR_Coverage, 9518,
     /* 1300685 */     GIR_EraseRootFromParent_Done,
     /* 1300686 */   // Label 18632: @1300686
     /* 1300686 */   GIM_Try, /*On fail goto*//*Label 18633*/ GIMT_Encode4(1300770), // Rule ID 9521 //
     /* 1300691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1300708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1300711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300744 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1300747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300769 */     // GIR_Coverage, 9521,
     /* 1300769 */     GIR_EraseRootFromParent_Done,
     /* 1300770 */   // Label 18633: @1300770
     /* 1300770 */   GIM_Try, /*On fail goto*//*Label 18634*/ GIMT_Encode4(1300854), // Rule ID 9522 //
     /* 1300775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1300792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1300795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300828 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1300831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300853 */     // GIR_Coverage, 9522,
     /* 1300853 */     GIR_EraseRootFromParent_Done,
     /* 1300854 */   // Label 18634: @1300854
     /* 1300854 */   GIM_Try, /*On fail goto*//*Label 18635*/ GIMT_Encode4(1300938), // Rule ID 9525 //
     /* 1300859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1300876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1300879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300912 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1300915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300937 */     // GIR_Coverage, 9525,
     /* 1300937 */     GIR_EraseRootFromParent_Done,
     /* 1300938 */   // Label 18635: @1300938
     /* 1300938 */   GIM_Try, /*On fail goto*//*Label 18636*/ GIMT_Encode4(1301022), // Rule ID 9526 //
     /* 1300943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1300951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1300960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1300963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300996 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1300999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301021 */     // GIR_Coverage, 9526,
     /* 1301021 */     GIR_EraseRootFromParent_Done,
     /* 1301022 */   // Label 18636: @1301022
     /* 1301022 */   GIM_Try, /*On fail goto*//*Label 18637*/ GIMT_Encode4(1301106), // Rule ID 9529 //
     /* 1301027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1301044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1301047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301080 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1301083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301105 */     // GIR_Coverage, 9529,
     /* 1301105 */     GIR_EraseRootFromParent_Done,
     /* 1301106 */   // Label 18637: @1301106
     /* 1301106 */   GIM_Try, /*On fail goto*//*Label 18638*/ GIMT_Encode4(1301190), // Rule ID 9530 //
     /* 1301111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1301128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1301131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301164 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1301167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301189 */     // GIR_Coverage, 9530,
     /* 1301189 */     GIR_EraseRootFromParent_Done,
     /* 1301190 */   // Label 18638: @1301190
     /* 1301190 */   GIM_Try, /*On fail goto*//*Label 18639*/ GIMT_Encode4(1301274), // Rule ID 9533 //
     /* 1301195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1301198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1301212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1301215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301248 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1301251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301273 */     // GIR_Coverage, 9533,
     /* 1301273 */     GIR_EraseRootFromParent_Done,
     /* 1301274 */   // Label 18639: @1301274
     /* 1301274 */   GIM_Try, /*On fail goto*//*Label 18640*/ GIMT_Encode4(1301358), // Rule ID 9534 //
     /* 1301279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1301282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1301296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1301299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301332 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1301335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301357 */     // GIR_Coverage, 9534,
     /* 1301357 */     GIR_EraseRootFromParent_Done,
     /* 1301358 */   // Label 18640: @1301358
     /* 1301358 */   GIM_Try, /*On fail goto*//*Label 18641*/ GIMT_Encode4(1301442), // Rule ID 9537 //
     /* 1301363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1301374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1301377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1301380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1301383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1301386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301416 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1301419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301441 */     // GIR_Coverage, 9537,
     /* 1301441 */     GIR_EraseRootFromParent_Done,
     /* 1301442 */   // Label 18641: @1301442
     /* 1301442 */   GIM_Try, /*On fail goto*//*Label 18642*/ GIMT_Encode4(1301526), // Rule ID 9538 //
     /* 1301447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1301458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1301461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1301464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1301467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1301470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301500 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1301503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301525 */     // GIR_Coverage, 9538,
     /* 1301525 */     GIR_EraseRootFromParent_Done,
     /* 1301526 */   // Label 18642: @1301526
     /* 1301526 */   GIM_Try, /*On fail goto*//*Label 18643*/ GIMT_Encode4(1301610), // Rule ID 9541 //
     /* 1301531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1301542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1301545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1301548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1301551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1301554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301584 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1301587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301609 */     // GIR_Coverage, 9541,
     /* 1301609 */     GIR_EraseRootFromParent_Done,
     /* 1301610 */   // Label 18643: @1301610
     /* 1301610 */   GIM_Try, /*On fail goto*//*Label 18644*/ GIMT_Encode4(1301694), // Rule ID 9542 //
     /* 1301615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1301626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1301629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1301632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1301635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1301638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301668 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1301671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301693 */     // GIR_Coverage, 9542,
     /* 1301693 */     GIR_EraseRootFromParent_Done,
     /* 1301694 */   // Label 18644: @1301694
     /* 1301694 */   GIM_Try, /*On fail goto*//*Label 18645*/ GIMT_Encode4(1301778), // Rule ID 9545 //
     /* 1301699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1301710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1301713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1301716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1301719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1301722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301752 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1301755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301777 */     // GIR_Coverage, 9545,
     /* 1301777 */     GIR_EraseRootFromParent_Done,
     /* 1301778 */   // Label 18645: @1301778
     /* 1301778 */   GIM_Try, /*On fail goto*//*Label 18646*/ GIMT_Encode4(1301862), // Rule ID 9546 //
     /* 1301783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1301794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1301797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1301800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1301803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1301806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301836 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1301839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301861 */     // GIR_Coverage, 9546,
     /* 1301861 */     GIR_EraseRootFromParent_Done,
     /* 1301862 */   // Label 18646: @1301862
     /* 1301862 */   GIM_Try, /*On fail goto*//*Label 18647*/ GIMT_Encode4(1301946), // Rule ID 9549 //
     /* 1301867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1301884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1301887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301920 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1301923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301945 */     // GIR_Coverage, 9549,
     /* 1301945 */     GIR_EraseRootFromParent_Done,
     /* 1301946 */   // Label 18647: @1301946
     /* 1301946 */   GIM_Try, /*On fail goto*//*Label 18648*/ GIMT_Encode4(1302030), // Rule ID 9550 //
     /* 1301951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1301959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1301968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1301971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302004 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1302007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302029 */     // GIR_Coverage, 9550,
     /* 1302029 */     GIR_EraseRootFromParent_Done,
     /* 1302030 */   // Label 18648: @1302030
     /* 1302030 */   GIM_Try, /*On fail goto*//*Label 18649*/ GIMT_Encode4(1302114), // Rule ID 9553 //
     /* 1302035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1302046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1302049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1302052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1302055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1302058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302088 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1302091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302113 */     // GIR_Coverage, 9553,
     /* 1302113 */     GIR_EraseRootFromParent_Done,
     /* 1302114 */   // Label 18649: @1302114
     /* 1302114 */   GIM_Try, /*On fail goto*//*Label 18650*/ GIMT_Encode4(1302198), // Rule ID 9554 //
     /* 1302119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1302130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1302133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1302136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1302139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1302142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302172 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1302175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302197 */     // GIR_Coverage, 9554,
     /* 1302197 */     GIR_EraseRootFromParent_Done,
     /* 1302198 */   // Label 18650: @1302198
     /* 1302198 */   GIM_Try, /*On fail goto*//*Label 18651*/ GIMT_Encode4(1302282), // Rule ID 9557 //
     /* 1302203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1302214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1302217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1302220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1302223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1302226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302256 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1302259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302281 */     // GIR_Coverage, 9557,
     /* 1302281 */     GIR_EraseRootFromParent_Done,
     /* 1302282 */   // Label 18651: @1302282
     /* 1302282 */   GIM_Try, /*On fail goto*//*Label 18652*/ GIMT_Encode4(1302366), // Rule ID 9558 //
     /* 1302287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1302298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1302301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1302304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1302307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1302310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302340 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1302343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302365 */     // GIR_Coverage, 9558,
     /* 1302365 */     GIR_EraseRootFromParent_Done,
     /* 1302366 */   // Label 18652: @1302366
     /* 1302366 */   GIM_Try, /*On fail goto*//*Label 18653*/ GIMT_Encode4(1302450), // Rule ID 9561 //
     /* 1302371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1302388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1302391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302424 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1302427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302449 */     // GIR_Coverage, 9561,
     /* 1302449 */     GIR_EraseRootFromParent_Done,
     /* 1302450 */   // Label 18653: @1302450
     /* 1302450 */   GIM_Try, /*On fail goto*//*Label 18654*/ GIMT_Encode4(1302534), // Rule ID 9562 //
     /* 1302455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1302472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1302475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302508 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1302511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302533 */     // GIR_Coverage, 9562,
     /* 1302533 */     GIR_EraseRootFromParent_Done,
     /* 1302534 */   // Label 18654: @1302534
     /* 1302534 */   GIM_Try, /*On fail goto*//*Label 18655*/ GIMT_Encode4(1302618), // Rule ID 9565 //
     /* 1302539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1302550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1302553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1302556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1302559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1302562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302592 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1302595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302617 */     // GIR_Coverage, 9565,
     /* 1302617 */     GIR_EraseRootFromParent_Done,
     /* 1302618 */   // Label 18655: @1302618
     /* 1302618 */   GIM_Try, /*On fail goto*//*Label 18656*/ GIMT_Encode4(1302702), // Rule ID 9566 //
     /* 1302623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1302634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1302637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1302640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1302643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1302646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302676 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1302679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302701 */     // GIR_Coverage, 9566,
     /* 1302701 */     GIR_EraseRootFromParent_Done,
     /* 1302702 */   // Label 18656: @1302702
     /* 1302702 */   GIM_Try, /*On fail goto*//*Label 18657*/ GIMT_Encode4(1302786), // Rule ID 9569 //
     /* 1302707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1302718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1302721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1302724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1302727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1302730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302760 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1302763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302785 */     // GIR_Coverage, 9569,
     /* 1302785 */     GIR_EraseRootFromParent_Done,
     /* 1302786 */   // Label 18657: @1302786
     /* 1302786 */   GIM_Try, /*On fail goto*//*Label 18658*/ GIMT_Encode4(1302870), // Rule ID 9570 //
     /* 1302791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1302802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1302805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1302808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1302811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1302814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302844 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1302847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302869 */     // GIR_Coverage, 9570,
     /* 1302869 */     GIR_EraseRootFromParent_Done,
     /* 1302870 */   // Label 18658: @1302870
     /* 1302870 */   GIM_Try, /*On fail goto*//*Label 18659*/ GIMT_Encode4(1302954), // Rule ID 9573 //
     /* 1302875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1302878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1302892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1302895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302928 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1302931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302953 */     // GIR_Coverage, 9573,
     /* 1302953 */     GIR_EraseRootFromParent_Done,
     /* 1302954 */   // Label 18659: @1302954
     /* 1302954 */   GIM_Try, /*On fail goto*//*Label 18660*/ GIMT_Encode4(1303038), // Rule ID 9574 //
     /* 1302959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1302962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1302967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1302976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1302979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303012 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1303015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1303033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303037 */     // GIR_Coverage, 9574,
     /* 1303037 */     GIR_EraseRootFromParent_Done,
     /* 1303038 */   // Label 18660: @1303038
     /* 1303038 */   GIM_Try, /*On fail goto*//*Label 18661*/ GIMT_Encode4(1303122), // Rule ID 9577 //
     /* 1303043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1303046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1303054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1303057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1303060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1303063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1303066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303096 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1303099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1303117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303121 */     // GIR_Coverage, 9577,
     /* 1303121 */     GIR_EraseRootFromParent_Done,
     /* 1303122 */   // Label 18661: @1303122
     /* 1303122 */   GIM_Try, /*On fail goto*//*Label 18662*/ GIMT_Encode4(1303206), // Rule ID 9578 //
     /* 1303127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1303130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1303138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1303141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1303144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1303147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1303150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303180 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1303183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1303201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303205 */     // GIR_Coverage, 9578,
     /* 1303205 */     GIR_EraseRootFromParent_Done,
     /* 1303206 */   // Label 18662: @1303206
     /* 1303206 */   GIM_Try, /*On fail goto*//*Label 18663*/ GIMT_Encode4(1303290), // Rule ID 9581 //
     /* 1303211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1303214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1303228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1303231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303264 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1303267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1303285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303289 */     // GIR_Coverage, 9581,
     /* 1303289 */     GIR_EraseRootFromParent_Done,
     /* 1303290 */   // Label 18663: @1303290
     /* 1303290 */   GIM_Try, /*On fail goto*//*Label 18664*/ GIMT_Encode4(1303374), // Rule ID 9582 //
     /* 1303295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1303298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1303303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1303312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1303315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303348 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1303351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1303369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303373 */     // GIR_Coverage, 9582,
     /* 1303373 */     GIR_EraseRootFromParent_Done,
     /* 1303374 */   // Label 18664: @1303374
     /* 1303374 */   GIM_Try, /*On fail goto*//*Label 18665*/ GIMT_Encode4(1303458), // Rule ID 9585 //
     /* 1303379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1303387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1303390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1303393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1303396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1303399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1303402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303432 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1303435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303457 */     // GIR_Coverage, 9585,
     /* 1303457 */     GIR_EraseRootFromParent_Done,
     /* 1303458 */   // Label 18665: @1303458
     /* 1303458 */   GIM_Try, /*On fail goto*//*Label 18666*/ GIMT_Encode4(1303542), // Rule ID 9586 //
     /* 1303463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1303471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1303474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1303477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1303480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1303483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1303486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303516 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1303519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303541 */     // GIR_Coverage, 9586,
     /* 1303541 */     GIR_EraseRootFromParent_Done,
     /* 1303542 */   // Label 18666: @1303542
     /* 1303542 */   GIM_Try, /*On fail goto*//*Label 18667*/ GIMT_Encode4(1303626), // Rule ID 9589 //
     /* 1303547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1303555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1303558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1303561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1303564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1303567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1303570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303600 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1303603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303625 */     // GIR_Coverage, 9589,
     /* 1303625 */     GIR_EraseRootFromParent_Done,
     /* 1303626 */   // Label 18667: @1303626
     /* 1303626 */   GIM_Try, /*On fail goto*//*Label 18668*/ GIMT_Encode4(1303710), // Rule ID 9590 //
     /* 1303631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1303639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1303642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1303645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1303648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1303651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1303654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303684 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1303687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303709 */     // GIR_Coverage, 9590,
     /* 1303709 */     GIR_EraseRootFromParent_Done,
     /* 1303710 */   // Label 18668: @1303710
     /* 1303710 */   GIM_Try, /*On fail goto*//*Label 18669*/ GIMT_Encode4(1303794), // Rule ID 9593 //
     /* 1303715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1303723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1303726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1303729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1303732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1303735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1303738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303768 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1303771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303793 */     // GIR_Coverage, 9593,
     /* 1303793 */     GIR_EraseRootFromParent_Done,
     /* 1303794 */   // Label 18669: @1303794
     /* 1303794 */   GIM_Try, /*On fail goto*//*Label 18670*/ GIMT_Encode4(1303878), // Rule ID 9594 //
     /* 1303799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1303807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1303810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1303813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1303816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1303819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1303822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303852 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1303855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303877 */     // GIR_Coverage, 9594,
     /* 1303877 */     GIR_EraseRootFromParent_Done,
     /* 1303878 */   // Label 18670: @1303878
     /* 1303878 */   GIM_Try, /*On fail goto*//*Label 18671*/ GIMT_Encode4(1303962), // Rule ID 9597 //
     /* 1303883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1303891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1303894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1303897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1303900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1303903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1303906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303936 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1303939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303961 */     // GIR_Coverage, 9597,
     /* 1303961 */     GIR_EraseRootFromParent_Done,
     /* 1303962 */   // Label 18671: @1303962
     /* 1303962 */   GIM_Try, /*On fail goto*//*Label 18672*/ GIMT_Encode4(1304046), // Rule ID 9598 //
     /* 1303967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1303975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1303978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1303981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1303984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1303987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1303990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304020 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1304023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304045 */     // GIR_Coverage, 9598,
     /* 1304045 */     GIR_EraseRootFromParent_Done,
     /* 1304046 */   // Label 18672: @1304046
     /* 1304046 */   GIM_Try, /*On fail goto*//*Label 18673*/ GIMT_Encode4(1304130), // Rule ID 9601 //
     /* 1304051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1304068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1304071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304104 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1304107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304129 */     // GIR_Coverage, 9601,
     /* 1304129 */     GIR_EraseRootFromParent_Done,
     /* 1304130 */   // Label 18673: @1304130
     /* 1304130 */   GIM_Try, /*On fail goto*//*Label 18674*/ GIMT_Encode4(1304214), // Rule ID 9602 //
     /* 1304135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1304152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1304155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304188 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1304191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304213 */     // GIR_Coverage, 9602,
     /* 1304213 */     GIR_EraseRootFromParent_Done,
     /* 1304214 */   // Label 18674: @1304214
     /* 1304214 */   GIM_Try, /*On fail goto*//*Label 18675*/ GIMT_Encode4(1304298), // Rule ID 9605 //
     /* 1304219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1304230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1304233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1304236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1304239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1304242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304272 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1304275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304297 */     // GIR_Coverage, 9605,
     /* 1304297 */     GIR_EraseRootFromParent_Done,
     /* 1304298 */   // Label 18675: @1304298
     /* 1304298 */   GIM_Try, /*On fail goto*//*Label 18676*/ GIMT_Encode4(1304382), // Rule ID 9606 //
     /* 1304303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1304314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1304317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1304320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1304323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1304326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304356 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1304359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304381 */     // GIR_Coverage, 9606,
     /* 1304381 */     GIR_EraseRootFromParent_Done,
     /* 1304382 */   // Label 18676: @1304382
     /* 1304382 */   GIM_Try, /*On fail goto*//*Label 18677*/ GIMT_Encode4(1304466), // Rule ID 9609 //
     /* 1304387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1304404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1304407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304440 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1304443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304465 */     // GIR_Coverage, 9609,
     /* 1304465 */     GIR_EraseRootFromParent_Done,
     /* 1304466 */   // Label 18677: @1304466
     /* 1304466 */   GIM_Try, /*On fail goto*//*Label 18678*/ GIMT_Encode4(1304550), // Rule ID 9610 //
     /* 1304471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1304488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1304491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304524 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1304527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304549 */     // GIR_Coverage, 9610,
     /* 1304549 */     GIR_EraseRootFromParent_Done,
     /* 1304550 */   // Label 18678: @1304550
     /* 1304550 */   GIM_Try, /*On fail goto*//*Label 18679*/ GIMT_Encode4(1304634), // Rule ID 9613 //
     /* 1304555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1304572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1304575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304608 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1304611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304633 */     // GIR_Coverage, 9613,
     /* 1304633 */     GIR_EraseRootFromParent_Done,
     /* 1304634 */   // Label 18679: @1304634
     /* 1304634 */   GIM_Try, /*On fail goto*//*Label 18680*/ GIMT_Encode4(1304718), // Rule ID 9614 //
     /* 1304639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1304656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1304659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304692 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1304695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304717 */     // GIR_Coverage, 9614,
     /* 1304717 */     GIR_EraseRootFromParent_Done,
     /* 1304718 */   // Label 18680: @1304718
     /* 1304718 */   GIM_Try, /*On fail goto*//*Label 18681*/ GIMT_Encode4(1304802), // Rule ID 9617 //
     /* 1304723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1304740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1304743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304776 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1304779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304801 */     // GIR_Coverage, 9617,
     /* 1304801 */     GIR_EraseRootFromParent_Done,
     /* 1304802 */   // Label 18681: @1304802
     /* 1304802 */   GIM_Try, /*On fail goto*//*Label 18682*/ GIMT_Encode4(1304886), // Rule ID 9618 //
     /* 1304807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1304824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1304827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304860 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1304863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304885 */     // GIR_Coverage, 9618,
     /* 1304885 */     GIR_EraseRootFromParent_Done,
     /* 1304886 */   // Label 18682: @1304886
     /* 1304886 */   GIM_Try, /*On fail goto*//*Label 18683*/ GIMT_Encode4(1304970), // Rule ID 9621 //
     /* 1304891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1304902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1304905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1304908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1304911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1304914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304944 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1304947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304969 */     // GIR_Coverage, 9621,
     /* 1304969 */     GIR_EraseRootFromParent_Done,
     /* 1304970 */   // Label 18683: @1304970
     /* 1304970 */   GIM_Try, /*On fail goto*//*Label 18684*/ GIMT_Encode4(1305054), // Rule ID 9622 //
     /* 1304975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1304978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1304983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1304986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1304989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1304992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1304995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1304998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1305031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305053 */     // GIR_Coverage, 9622,
     /* 1305053 */     GIR_EraseRootFromParent_Done,
     /* 1305054 */   // Label 18684: @1305054
     /* 1305054 */   GIM_Try, /*On fail goto*//*Label 18685*/ GIMT_Encode4(1305138), // Rule ID 9625 //
     /* 1305059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1305070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1305073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1305076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1305079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1305082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305112 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1305115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305137 */     // GIR_Coverage, 9625,
     /* 1305137 */     GIR_EraseRootFromParent_Done,
     /* 1305138 */   // Label 18685: @1305138
     /* 1305138 */   GIM_Try, /*On fail goto*//*Label 18686*/ GIMT_Encode4(1305222), // Rule ID 9626 //
     /* 1305143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1305154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1305157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1305160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1305163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1305166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305196 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1305199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305221 */     // GIR_Coverage, 9626,
     /* 1305221 */     GIR_EraseRootFromParent_Done,
     /* 1305222 */   // Label 18686: @1305222
     /* 1305222 */   GIM_Try, /*On fail goto*//*Label 18687*/ GIMT_Encode4(1305306), // Rule ID 9629 //
     /* 1305227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1305238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1305241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1305244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1305247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1305250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305280 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1305283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305305 */     // GIR_Coverage, 9629,
     /* 1305305 */     GIR_EraseRootFromParent_Done,
     /* 1305306 */   // Label 18687: @1305306
     /* 1305306 */   GIM_Try, /*On fail goto*//*Label 18688*/ GIMT_Encode4(1305390), // Rule ID 9630 //
     /* 1305311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1305322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1305325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1305328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1305331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1305334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305364 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1305367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305389 */     // GIR_Coverage, 9630,
     /* 1305389 */     GIR_EraseRootFromParent_Done,
     /* 1305390 */   // Label 18688: @1305390
     /* 1305390 */   GIM_Try, /*On fail goto*//*Label 18689*/ GIMT_Encode4(1305474), // Rule ID 9633 //
     /* 1305395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1305406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1305409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1305412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1305415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1305418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305448 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1305451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305473 */     // GIR_Coverage, 9633,
     /* 1305473 */     GIR_EraseRootFromParent_Done,
     /* 1305474 */   // Label 18689: @1305474
     /* 1305474 */   GIM_Try, /*On fail goto*//*Label 18690*/ GIMT_Encode4(1305558), // Rule ID 9634 //
     /* 1305479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1305490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1305493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1305496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1305499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1305502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305532 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1305535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305557 */     // GIR_Coverage, 9634,
     /* 1305557 */     GIR_EraseRootFromParent_Done,
     /* 1305558 */   // Label 18690: @1305558
     /* 1305558 */   GIM_Try, /*On fail goto*//*Label 18691*/ GIMT_Encode4(1305642), // Rule ID 9637 //
     /* 1305563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1305574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1305577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1305580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1305583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1305586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305616 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1305619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305641 */     // GIR_Coverage, 9637,
     /* 1305641 */     GIR_EraseRootFromParent_Done,
     /* 1305642 */   // Label 18691: @1305642
     /* 1305642 */   GIM_Try, /*On fail goto*//*Label 18692*/ GIMT_Encode4(1305726), // Rule ID 9638 //
     /* 1305647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1305658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1305661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1305664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1305667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1305670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305700 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1305703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305725 */     // GIR_Coverage, 9638,
     /* 1305725 */     GIR_EraseRootFromParent_Done,
     /* 1305726 */   // Label 18692: @1305726
     /* 1305726 */   GIM_Try, /*On fail goto*//*Label 18693*/ GIMT_Encode4(1305810), // Rule ID 9641 //
     /* 1305731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1305742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1305745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1305748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1305751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1305754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305784 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1305787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305809 */     // GIR_Coverage, 9641,
     /* 1305809 */     GIR_EraseRootFromParent_Done,
     /* 1305810 */   // Label 18693: @1305810
     /* 1305810 */   GIM_Try, /*On fail goto*//*Label 18694*/ GIMT_Encode4(1305894), // Rule ID 9642 //
     /* 1305815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1305826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1305829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1305832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1305835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1305838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305868 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1305871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305893 */     // GIR_Coverage, 9642,
     /* 1305893 */     GIR_EraseRootFromParent_Done,
     /* 1305894 */   // Label 18694: @1305894
     /* 1305894 */   GIM_Try, /*On fail goto*//*Label 18695*/ GIMT_Encode4(1305978), // Rule ID 9645 //
     /* 1305899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1305910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1305913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1305916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1305919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1305922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305952 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1305955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305977 */     // GIR_Coverage, 9645,
     /* 1305977 */     GIR_EraseRootFromParent_Done,
     /* 1305978 */   // Label 18695: @1305978
     /* 1305978 */   GIM_Try, /*On fail goto*//*Label 18696*/ GIMT_Encode4(1306062), // Rule ID 9646 //
     /* 1305983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1305991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1305994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1305997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1306000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1306003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1306006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306036 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1306039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306061 */     // GIR_Coverage, 9646,
     /* 1306061 */     GIR_EraseRootFromParent_Done,
     /* 1306062 */   // Label 18696: @1306062
     /* 1306062 */   GIM_Try, /*On fail goto*//*Label 18697*/ GIMT_Encode4(1306146), // Rule ID 9649 //
     /* 1306067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1306078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1306081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1306084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1306087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306120 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1306123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306145 */     // GIR_Coverage, 9649,
     /* 1306145 */     GIR_EraseRootFromParent_Done,
     /* 1306146 */   // Label 18697: @1306146
     /* 1306146 */   GIM_Try, /*On fail goto*//*Label 18698*/ GIMT_Encode4(1306230), // Rule ID 9650 //
     /* 1306151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1306162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1306165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1306168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1306171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306204 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1306207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306229 */     // GIR_Coverage, 9650,
     /* 1306229 */     GIR_EraseRootFromParent_Done,
     /* 1306230 */   // Label 18698: @1306230
     /* 1306230 */   GIM_Try, /*On fail goto*//*Label 18699*/ GIMT_Encode4(1306314), // Rule ID 9653 //
     /* 1306235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1306252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1306255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306288 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1306291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306313 */     // GIR_Coverage, 9653,
     /* 1306313 */     GIR_EraseRootFromParent_Done,
     /* 1306314 */   // Label 18699: @1306314
     /* 1306314 */   GIM_Try, /*On fail goto*//*Label 18700*/ GIMT_Encode4(1306398), // Rule ID 9654 //
     /* 1306319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1306336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1306339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306372 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1306375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306397 */     // GIR_Coverage, 9654,
     /* 1306397 */     GIR_EraseRootFromParent_Done,
     /* 1306398 */   // Label 18700: @1306398
     /* 1306398 */   GIM_Try, /*On fail goto*//*Label 18701*/ GIMT_Encode4(1306482), // Rule ID 9657 //
     /* 1306403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1306420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1306423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306456 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1306459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306481 */     // GIR_Coverage, 9657,
     /* 1306481 */     GIR_EraseRootFromParent_Done,
     /* 1306482 */   // Label 18701: @1306482
     /* 1306482 */   GIM_Try, /*On fail goto*//*Label 18702*/ GIMT_Encode4(1306566), // Rule ID 9658 //
     /* 1306487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1306504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1306507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306540 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1306543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306565 */     // GIR_Coverage, 9658,
     /* 1306565 */     GIR_EraseRootFromParent_Done,
     /* 1306566 */   // Label 18702: @1306566
     /* 1306566 */   GIM_Try, /*On fail goto*//*Label 18703*/ GIMT_Encode4(1306650), // Rule ID 9661 //
     /* 1306571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1306574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1306582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1306585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1306588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1306591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1306594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306624 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1306627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1306645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306649 */     // GIR_Coverage, 9661,
     /* 1306649 */     GIR_EraseRootFromParent_Done,
     /* 1306650 */   // Label 18703: @1306650
     /* 1306650 */   GIM_Try, /*On fail goto*//*Label 18704*/ GIMT_Encode4(1306734), // Rule ID 9662 //
     /* 1306655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1306658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1306666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1306669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1306672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1306675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1306678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306708 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1306711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1306729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306733 */     // GIR_Coverage, 9662,
     /* 1306733 */     GIR_EraseRootFromParent_Done,
     /* 1306734 */   // Label 18704: @1306734
     /* 1306734 */   GIM_Try, /*On fail goto*//*Label 18705*/ GIMT_Encode4(1306818), // Rule ID 9665 //
     /* 1306739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1306742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1306750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1306753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1306756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1306759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306792 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1306795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1306813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306817 */     // GIR_Coverage, 9665,
     /* 1306817 */     GIR_EraseRootFromParent_Done,
     /* 1306818 */   // Label 18705: @1306818
     /* 1306818 */   GIM_Try, /*On fail goto*//*Label 18706*/ GIMT_Encode4(1306902), // Rule ID 9666 //
     /* 1306823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1306826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1306834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1306837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1306840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1306843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306876 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1306879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1306897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306901 */     // GIR_Coverage, 9666,
     /* 1306901 */     GIR_EraseRootFromParent_Done,
     /* 1306902 */   // Label 18706: @1306902
     /* 1306902 */   GIM_Try, /*On fail goto*//*Label 18707*/ GIMT_Encode4(1306986), // Rule ID 9669 //
     /* 1306907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1306910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1306924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1306927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306960 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1306963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1306981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306985 */     // GIR_Coverage, 9669,
     /* 1306985 */     GIR_EraseRootFromParent_Done,
     /* 1306986 */   // Label 18707: @1306986
     /* 1306986 */   GIM_Try, /*On fail goto*//*Label 18708*/ GIMT_Encode4(1307070), // Rule ID 9670 //
     /* 1306991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1306994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1306999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1307008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1307011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307044 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1307047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307069 */     // GIR_Coverage, 9670,
     /* 1307069 */     GIR_EraseRootFromParent_Done,
     /* 1307070 */   // Label 18708: @1307070
     /* 1307070 */   GIM_Try, /*On fail goto*//*Label 18709*/ GIMT_Encode4(1307154), // Rule ID 9673 //
     /* 1307075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1307083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1307086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1307089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1307092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1307095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1307098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307128 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1307131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307153 */     // GIR_Coverage, 9673,
     /* 1307153 */     GIR_EraseRootFromParent_Done,
     /* 1307154 */   // Label 18709: @1307154
     /* 1307154 */   GIM_Try, /*On fail goto*//*Label 18710*/ GIMT_Encode4(1307238), // Rule ID 9674 //
     /* 1307159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1307167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1307170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1307173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1307176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1307179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1307182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307212 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1307215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307237 */     // GIR_Coverage, 9674,
     /* 1307237 */     GIR_EraseRootFromParent_Done,
     /* 1307238 */   // Label 18710: @1307238
     /* 1307238 */   GIM_Try, /*On fail goto*//*Label 18711*/ GIMT_Encode4(1307322), // Rule ID 9677 //
     /* 1307243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1307251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1307254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1307257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1307260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1307263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307296 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1307299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307321 */     // GIR_Coverage, 9677,
     /* 1307321 */     GIR_EraseRootFromParent_Done,
     /* 1307322 */   // Label 18711: @1307322
     /* 1307322 */   GIM_Try, /*On fail goto*//*Label 18712*/ GIMT_Encode4(1307406), // Rule ID 9678 //
     /* 1307327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1307335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1307338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1307341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1307344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1307347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307380 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1307383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307405 */     // GIR_Coverage, 9678,
     /* 1307405 */     GIR_EraseRootFromParent_Done,
     /* 1307406 */   // Label 18712: @1307406
     /* 1307406 */   GIM_Try, /*On fail goto*//*Label 18713*/ GIMT_Encode4(1307490), // Rule ID 9681 //
     /* 1307411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1307419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1307428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1307431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307464 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1307467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307489 */     // GIR_Coverage, 9681,
     /* 1307489 */     GIR_EraseRootFromParent_Done,
     /* 1307490 */   // Label 18713: @1307490
     /* 1307490 */   GIM_Try, /*On fail goto*//*Label 18714*/ GIMT_Encode4(1307574), // Rule ID 9682 //
     /* 1307495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1307503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1307512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1307515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307548 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1307551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307573 */     // GIR_Coverage, 9682,
     /* 1307573 */     GIR_EraseRootFromParent_Done,
     /* 1307574 */   // Label 18714: @1307574
     /* 1307574 */   GIM_Try, /*On fail goto*//*Label 18715*/ GIMT_Encode4(1307658), // Rule ID 9685 //
     /* 1307579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1307587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1307590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1307593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1307596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1307599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1307602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307632 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1307635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307657 */     // GIR_Coverage, 9685,
     /* 1307657 */     GIR_EraseRootFromParent_Done,
     /* 1307658 */   // Label 18715: @1307658
     /* 1307658 */   GIM_Try, /*On fail goto*//*Label 18716*/ GIMT_Encode4(1307742), // Rule ID 9686 //
     /* 1307663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1307671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1307674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1307677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1307680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1307683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1307686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307716 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1307719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307741 */     // GIR_Coverage, 9686,
     /* 1307741 */     GIR_EraseRootFromParent_Done,
     /* 1307742 */   // Label 18716: @1307742
     /* 1307742 */   GIM_Try, /*On fail goto*//*Label 18717*/ GIMT_Encode4(1307826), // Rule ID 9689 //
     /* 1307747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1307755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1307758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1307761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1307764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1307767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307800 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1307803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307825 */     // GIR_Coverage, 9689,
     /* 1307825 */     GIR_EraseRootFromParent_Done,
     /* 1307826 */   // Label 18717: @1307826
     /* 1307826 */   GIM_Try, /*On fail goto*//*Label 18718*/ GIMT_Encode4(1307910), // Rule ID 9690 //
     /* 1307831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1307839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1307842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1307845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1307848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1307851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307884 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1307887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307909 */     // GIR_Coverage, 9690,
     /* 1307909 */     GIR_EraseRootFromParent_Done,
     /* 1307910 */   // Label 18718: @1307910
     /* 1307910 */   GIM_Try, /*On fail goto*//*Label 18719*/ GIMT_Encode4(1307994), // Rule ID 9693 //
     /* 1307915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1307923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1307926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1307929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1307932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1307935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1307938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307968 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1307971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1307977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1307979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307993 */     // GIR_Coverage, 9693,
     /* 1307993 */     GIR_EraseRootFromParent_Done,
     /* 1307994 */   // Label 18719: @1307994
     /* 1307994 */   GIM_Try, /*On fail goto*//*Label 18720*/ GIMT_Encode4(1308078), // Rule ID 9694 //
     /* 1307999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1308016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1308019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308052 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1308055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308077 */     // GIR_Coverage, 9694,
     /* 1308077 */     GIR_EraseRootFromParent_Done,
     /* 1308078 */   // Label 18720: @1308078
     /* 1308078 */   GIM_Try, /*On fail goto*//*Label 18721*/ GIMT_Encode4(1308162), // Rule ID 9697 //
     /* 1308083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1308094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1308097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1308100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1308103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308136 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1308139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308161 */     // GIR_Coverage, 9697,
     /* 1308161 */     GIR_EraseRootFromParent_Done,
     /* 1308162 */   // Label 18721: @1308162
     /* 1308162 */   GIM_Try, /*On fail goto*//*Label 18722*/ GIMT_Encode4(1308246), // Rule ID 9698 //
     /* 1308167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1308178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1308181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1308184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1308187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308220 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1308223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308245 */     // GIR_Coverage, 9698,
     /* 1308245 */     GIR_EraseRootFromParent_Done,
     /* 1308246 */   // Label 18722: @1308246
     /* 1308246 */   GIM_Try, /*On fail goto*//*Label 18723*/ GIMT_Encode4(1308330), // Rule ID 9701 //
     /* 1308251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1308268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1308271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308304 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1308307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308329 */     // GIR_Coverage, 9701,
     /* 1308329 */     GIR_EraseRootFromParent_Done,
     /* 1308330 */   // Label 18723: @1308330
     /* 1308330 */   GIM_Try, /*On fail goto*//*Label 18724*/ GIMT_Encode4(1308414), // Rule ID 9702 //
     /* 1308335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1308352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1308355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308388 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1308391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308413 */     // GIR_Coverage, 9702,
     /* 1308413 */     GIR_EraseRootFromParent_Done,
     /* 1308414 */   // Label 18724: @1308414
     /* 1308414 */   GIM_Try, /*On fail goto*//*Label 18725*/ GIMT_Encode4(1308498), // Rule ID 9705 //
     /* 1308419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1308436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1308439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308472 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1308475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308497 */     // GIR_Coverage, 9705,
     /* 1308497 */     GIR_EraseRootFromParent_Done,
     /* 1308498 */   // Label 18725: @1308498
     /* 1308498 */   GIM_Try, /*On fail goto*//*Label 18726*/ GIMT_Encode4(1308582), // Rule ID 9706 //
     /* 1308503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1308520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1308523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308556 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1308559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308581 */     // GIR_Coverage, 9706,
     /* 1308581 */     GIR_EraseRootFromParent_Done,
     /* 1308582 */   // Label 18726: @1308582
     /* 1308582 */   GIM_Try, /*On fail goto*//*Label 18727*/ GIMT_Encode4(1308666), // Rule ID 9709 //
     /* 1308587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1308590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1308604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1308607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308640 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1308643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308665 */     // GIR_Coverage, 9709,
     /* 1308665 */     GIR_EraseRootFromParent_Done,
     /* 1308666 */   // Label 18727: @1308666
     /* 1308666 */   GIM_Try, /*On fail goto*//*Label 18728*/ GIMT_Encode4(1308750), // Rule ID 9710 //
     /* 1308671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1308674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1308682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1308685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1308688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1308691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1308694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308724 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1308727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308749 */     // GIR_Coverage, 9710,
     /* 1308749 */     GIR_EraseRootFromParent_Done,
     /* 1308750 */   // Label 18728: @1308750
     /* 1308750 */   GIM_Try, /*On fail goto*//*Label 18729*/ GIMT_Encode4(1308834), // Rule ID 9713 //
     /* 1308755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1308766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1308769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1308772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1308775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1308778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308808 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1308811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308833 */     // GIR_Coverage, 9713,
     /* 1308833 */     GIR_EraseRootFromParent_Done,
     /* 1308834 */   // Label 18729: @1308834
     /* 1308834 */   GIM_Try, /*On fail goto*//*Label 18730*/ GIMT_Encode4(1308918), // Rule ID 9714 //
     /* 1308839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1308850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1308853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1308856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1308859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1308862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308892 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1308895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308917 */     // GIR_Coverage, 9714,
     /* 1308917 */     GIR_EraseRootFromParent_Done,
     /* 1308918 */   // Label 18730: @1308918
     /* 1308918 */   GIM_Try, /*On fail goto*//*Label 18731*/ GIMT_Encode4(1309002), // Rule ID 9717 //
     /* 1308923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1308931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1308934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1308937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1308940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1308943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1308946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308976 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1308979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309001 */     // GIR_Coverage, 9717,
     /* 1309001 */     GIR_EraseRootFromParent_Done,
     /* 1309002 */   // Label 18731: @1309002
     /* 1309002 */   GIM_Try, /*On fail goto*//*Label 18732*/ GIMT_Encode4(1309086), // Rule ID 9718 //
     /* 1309007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1309018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1309021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1309024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1309027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1309030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309060 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1309063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309085 */     // GIR_Coverage, 9718,
     /* 1309085 */     GIR_EraseRootFromParent_Done,
     /* 1309086 */   // Label 18732: @1309086
     /* 1309086 */   GIM_Try, /*On fail goto*//*Label 18733*/ GIMT_Encode4(1309170), // Rule ID 9721 //
     /* 1309091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1309102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1309105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1309108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1309111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1309114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309144 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1309147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309169 */     // GIR_Coverage, 9721,
     /* 1309169 */     GIR_EraseRootFromParent_Done,
     /* 1309170 */   // Label 18733: @1309170
     /* 1309170 */   GIM_Try, /*On fail goto*//*Label 18734*/ GIMT_Encode4(1309254), // Rule ID 9722 //
     /* 1309175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1309186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1309189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1309192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1309195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1309198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309228 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1309231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309253 */     // GIR_Coverage, 9722,
     /* 1309253 */     GIR_EraseRootFromParent_Done,
     /* 1309254 */   // Label 18734: @1309254
     /* 1309254 */   GIM_Try, /*On fail goto*//*Label 18735*/ GIMT_Encode4(1309338), // Rule ID 9725 //
     /* 1309259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1309270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1309273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1309276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1309279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309312 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1309315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309337 */     // GIR_Coverage, 9725,
     /* 1309337 */     GIR_EraseRootFromParent_Done,
     /* 1309338 */   // Label 18735: @1309338
     /* 1309338 */   GIM_Try, /*On fail goto*//*Label 18736*/ GIMT_Encode4(1309422), // Rule ID 9726 //
     /* 1309343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1309354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1309357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1309360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1309363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309396 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1309399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309421 */     // GIR_Coverage, 9726,
     /* 1309421 */     GIR_EraseRootFromParent_Done,
     /* 1309422 */   // Label 18736: @1309422
     /* 1309422 */   GIM_Try, /*On fail goto*//*Label 18737*/ GIMT_Encode4(1309506), // Rule ID 9729 //
     /* 1309427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1309438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1309441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1309444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1309447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1309450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309480 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1309483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309505 */     // GIR_Coverage, 9729,
     /* 1309505 */     GIR_EraseRootFromParent_Done,
     /* 1309506 */   // Label 18737: @1309506
     /* 1309506 */   GIM_Try, /*On fail goto*//*Label 18738*/ GIMT_Encode4(1309590), // Rule ID 9730 //
     /* 1309511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1309522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1309525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1309528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1309531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1309534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309564 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1309567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309589 */     // GIR_Coverage, 9730,
     /* 1309589 */     GIR_EraseRootFromParent_Done,
     /* 1309590 */   // Label 18738: @1309590
     /* 1309590 */   GIM_Try, /*On fail goto*//*Label 18739*/ GIMT_Encode4(1309674), // Rule ID 9733 //
     /* 1309595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1309606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1309609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1309612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1309615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1309618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309648 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1309651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309673 */     // GIR_Coverage, 9733,
     /* 1309673 */     GIR_EraseRootFromParent_Done,
     /* 1309674 */   // Label 18739: @1309674
     /* 1309674 */   GIM_Try, /*On fail goto*//*Label 18740*/ GIMT_Encode4(1309758), // Rule ID 9734 //
     /* 1309679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1309690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1309693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1309696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1309699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1309702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309732 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1309735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309757 */     // GIR_Coverage, 9734,
     /* 1309757 */     GIR_EraseRootFromParent_Done,
     /* 1309758 */   // Label 18740: @1309758
     /* 1309758 */   GIM_Try, /*On fail goto*//*Label 18741*/ GIMT_Encode4(1309842), // Rule ID 9737 //
     /* 1309763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1309780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1309783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309816 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1309819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309841 */     // GIR_Coverage, 9737,
     /* 1309841 */     GIR_EraseRootFromParent_Done,
     /* 1309842 */   // Label 18741: @1309842
     /* 1309842 */   GIM_Try, /*On fail goto*//*Label 18742*/ GIMT_Encode4(1309926), // Rule ID 9738 //
     /* 1309847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1309864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1309867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309900 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1309903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309925 */     // GIR_Coverage, 9738,
     /* 1309925 */     GIR_EraseRootFromParent_Done,
     /* 1309926 */   // Label 18742: @1309926
     /* 1309926 */   GIM_Try, /*On fail goto*//*Label 18743*/ GIMT_Encode4(1310010), // Rule ID 9741 //
     /* 1309931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1309939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1309942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1309945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1309948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1309951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309984 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1309987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310009 */     // GIR_Coverage, 9741,
     /* 1310009 */     GIR_EraseRootFromParent_Done,
     /* 1310010 */   // Label 18743: @1310010
     /* 1310010 */   GIM_Try, /*On fail goto*//*Label 18744*/ GIMT_Encode4(1310094), // Rule ID 9742 //
     /* 1310015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1310032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1310035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310068 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1310071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310093 */     // GIR_Coverage, 9742,
     /* 1310093 */     GIR_EraseRootFromParent_Done,
     /* 1310094 */   // Label 18744: @1310094
     /* 1310094 */   GIM_Try, /*On fail goto*//*Label 18745*/ GIMT_Encode4(1310178), // Rule ID 9745 //
     /* 1310099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1310116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1310119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310152 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1310155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310177 */     // GIR_Coverage, 9745,
     /* 1310177 */     GIR_EraseRootFromParent_Done,
     /* 1310178 */   // Label 18745: @1310178
     /* 1310178 */   GIM_Try, /*On fail goto*//*Label 18746*/ GIMT_Encode4(1310262), // Rule ID 9746 //
     /* 1310183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1310200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1310203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310236 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1310239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310261 */     // GIR_Coverage, 9746,
     /* 1310261 */     GIR_EraseRootFromParent_Done,
     /* 1310262 */   // Label 18746: @1310262
     /* 1310262 */   GIM_Try, /*On fail goto*//*Label 18747*/ GIMT_Encode4(1310346), // Rule ID 9749 //
     /* 1310267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1310270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1310278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1310281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1310284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1310287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1310290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310320 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1310323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1310341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310345 */     // GIR_Coverage, 9749,
     /* 1310345 */     GIR_EraseRootFromParent_Done,
     /* 1310346 */   // Label 18747: @1310346
     /* 1310346 */   GIM_Try, /*On fail goto*//*Label 18748*/ GIMT_Encode4(1310430), // Rule ID 9750 //
     /* 1310351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1310354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1310362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1310365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1310368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1310371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1310374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310404 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1310407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1310425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310429 */     // GIR_Coverage, 9750,
     /* 1310429 */     GIR_EraseRootFromParent_Done,
     /* 1310430 */   // Label 18748: @1310430
     /* 1310430 */   GIM_Try, /*On fail goto*//*Label 18749*/ GIMT_Encode4(1310514), // Rule ID 9753 //
     /* 1310435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1310438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1310446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1310449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1310452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1310455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1310458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310488 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1310491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1310509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310513 */     // GIR_Coverage, 9753,
     /* 1310513 */     GIR_EraseRootFromParent_Done,
     /* 1310514 */   // Label 18749: @1310514
     /* 1310514 */   GIM_Try, /*On fail goto*//*Label 18750*/ GIMT_Encode4(1310598), // Rule ID 9754 //
     /* 1310519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1310522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1310530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1310533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1310536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1310539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1310542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310572 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1310575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1310593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310597 */     // GIR_Coverage, 9754,
     /* 1310597 */     GIR_EraseRootFromParent_Done,
     /* 1310598 */   // Label 18750: @1310598
     /* 1310598 */   GIM_Try, /*On fail goto*//*Label 18751*/ GIMT_Encode4(1310682), // Rule ID 9757 //
     /* 1310603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1310606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1310620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1310623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310656 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1310659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1310677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310681 */     // GIR_Coverage, 9757,
     /* 1310681 */     GIR_EraseRootFromParent_Done,
     /* 1310682 */   // Label 18751: @1310682
     /* 1310682 */   GIM_Try, /*On fail goto*//*Label 18752*/ GIMT_Encode4(1310766), // Rule ID 9758 //
     /* 1310687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1310690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1310695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1310704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1310707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310740 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11347:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1310743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1310761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310765 */     // GIR_Coverage, 9758,
     /* 1310765 */     GIR_EraseRootFromParent_Done,
     /* 1310766 */   // Label 18752: @1310766
     /* 1310766 */   GIM_Try, /*On fail goto*//*Label 18753*/ GIMT_Encode4(1310847), // Rule ID 13699 //
     /* 1310771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1310779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1310782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1310785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1310788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1310791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1310794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310824 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1310824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1310827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310846 */     // GIR_Coverage, 13699,
     /* 1310846 */     GIR_EraseRootFromParent_Done,
     /* 1310847 */   // Label 18753: @1310847
     /* 1310847 */   GIM_Try, /*On fail goto*//*Label 18754*/ GIMT_Encode4(1310928), // Rule ID 13700 //
     /* 1310852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1310860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1310863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1310866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1310869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1310872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1310875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310905 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1310905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1310908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310927 */     // GIR_Coverage, 13700,
     /* 1310927 */     GIR_EraseRootFromParent_Done,
     /* 1310928 */   // Label 18754: @1310928
     /* 1310928 */   GIM_Try, /*On fail goto*//*Label 18755*/ GIMT_Encode4(1311009), // Rule ID 13701 //
     /* 1310933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1310941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1310944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1310947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1310950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1310953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1310956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310986 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1310986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1310989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311008 */     // GIR_Coverage, 13701,
     /* 1311008 */     GIR_EraseRootFromParent_Done,
     /* 1311009 */   // Label 18755: @1311009
     /* 1311009 */   GIM_Try, /*On fail goto*//*Label 18756*/ GIMT_Encode4(1311090), // Rule ID 13702 //
     /* 1311014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1311025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1311028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1311031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1311034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1311037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311067 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1311067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1311070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311089 */     // GIR_Coverage, 13702,
     /* 1311089 */     GIR_EraseRootFromParent_Done,
     /* 1311090 */   // Label 18756: @1311090
     /* 1311090 */   GIM_Try, /*On fail goto*//*Label 18757*/ GIMT_Encode4(1311171), // Rule ID 13703 //
     /* 1311095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1311106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1311109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1311112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1311115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311148 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1311148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1311151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311170 */     // GIR_Coverage, 13703,
     /* 1311170 */     GIR_EraseRootFromParent_Done,
     /* 1311171 */   // Label 18757: @1311171
     /* 1311171 */   GIM_Try, /*On fail goto*//*Label 18758*/ GIMT_Encode4(1311252), // Rule ID 13704 //
     /* 1311176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1311187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1311190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1311193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1311196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311229 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1311229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1311232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311251 */     // GIR_Coverage, 13704,
     /* 1311251 */     GIR_EraseRootFromParent_Done,
     /* 1311252 */   // Label 18758: @1311252
     /* 1311252 */   GIM_Try, /*On fail goto*//*Label 18759*/ GIMT_Encode4(1311333), // Rule ID 13705 //
     /* 1311257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1311268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1311271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1311274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1311277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1311280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311310 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1311310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1311313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311332 */     // GIR_Coverage, 13705,
     /* 1311332 */     GIR_EraseRootFromParent_Done,
     /* 1311333 */   // Label 18759: @1311333
     /* 1311333 */   GIM_Try, /*On fail goto*//*Label 18760*/ GIMT_Encode4(1311414), // Rule ID 13706 //
     /* 1311338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1311349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1311352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1311355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1311358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1311361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311391 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1311391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1311394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311413 */     // GIR_Coverage, 13706,
     /* 1311413 */     GIR_EraseRootFromParent_Done,
     /* 1311414 */   // Label 18760: @1311414
     /* 1311414 */   GIM_Try, /*On fail goto*//*Label 18761*/ GIMT_Encode4(1311495), // Rule ID 13707 //
     /* 1311419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1311430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1311433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1311436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1311439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1311442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311472 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1311472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1311475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311494 */     // GIR_Coverage, 13707,
     /* 1311494 */     GIR_EraseRootFromParent_Done,
     /* 1311495 */   // Label 18761: @1311495
     /* 1311495 */   GIM_Try, /*On fail goto*//*Label 18762*/ GIMT_Encode4(1311576), // Rule ID 13708 //
     /* 1311500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1311511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1311514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1311517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1311520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1311523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311553 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1311553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1311556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311575 */     // GIR_Coverage, 13708,
     /* 1311575 */     GIR_EraseRootFromParent_Done,
     /* 1311576 */   // Label 18762: @1311576
     /* 1311576 */   GIM_Try, /*On fail goto*//*Label 18763*/ GIMT_Encode4(1311657), // Rule ID 13709 //
     /* 1311581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1311592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1311595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1311598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1311601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1311604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311634 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1311634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1311637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311656 */     // GIR_Coverage, 13709,
     /* 1311656 */     GIR_EraseRootFromParent_Done,
     /* 1311657 */   // Label 18763: @1311657
     /* 1311657 */   GIM_Try, /*On fail goto*//*Label 18764*/ GIMT_Encode4(1311738), // Rule ID 13710 //
     /* 1311662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1311673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1311676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1311679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1311682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1311685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311715 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1311715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1311718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311737 */     // GIR_Coverage, 13710,
     /* 1311737 */     GIR_EraseRootFromParent_Done,
     /* 1311738 */   // Label 18764: @1311738
     /* 1311738 */   GIM_Try, /*On fail goto*//*Label 18765*/ GIMT_Encode4(1311819), // Rule ID 13711 //
     /* 1311743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1311754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1311757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1311760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1311763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1311796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1311799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311818 */     // GIR_Coverage, 13711,
     /* 1311818 */     GIR_EraseRootFromParent_Done,
     /* 1311819 */   // Label 18765: @1311819
     /* 1311819 */   GIM_Try, /*On fail goto*//*Label 18766*/ GIMT_Encode4(1311900), // Rule ID 13712 //
     /* 1311824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1311835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1311838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1311841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1311844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1311877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1311880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311899 */     // GIR_Coverage, 13712,
     /* 1311899 */     GIR_EraseRootFromParent_Done,
     /* 1311900 */   // Label 18766: @1311900
     /* 1311900 */   GIM_Try, /*On fail goto*//*Label 18767*/ GIMT_Encode4(1311981), // Rule ID 13713 //
     /* 1311905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1311916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1311919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1311922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1311925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311958 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1311958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1311961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311980 */     // GIR_Coverage, 13713,
     /* 1311980 */     GIR_EraseRootFromParent_Done,
     /* 1311981 */   // Label 18767: @1311981
     /* 1311981 */   GIM_Try, /*On fail goto*//*Label 18768*/ GIMT_Encode4(1312062), // Rule ID 13714 //
     /* 1311986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1311997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1312000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1312003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1312006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312039 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1312039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1312042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312061 */     // GIR_Coverage, 13714,
     /* 1312061 */     GIR_EraseRootFromParent_Done,
     /* 1312062 */   // Label 18768: @1312062
     /* 1312062 */   GIM_Try, /*On fail goto*//*Label 18769*/ GIMT_Encode4(1312143), // Rule ID 13715 //
     /* 1312067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1312078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1312081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1312084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1312087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312120 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1312120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1312123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312142 */     // GIR_Coverage, 13715,
     /* 1312142 */     GIR_EraseRootFromParent_Done,
     /* 1312143 */   // Label 18769: @1312143
     /* 1312143 */   GIM_Try, /*On fail goto*//*Label 18770*/ GIMT_Encode4(1312224), // Rule ID 13716 //
     /* 1312148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1312159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1312162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1312165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1312168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312201 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1312201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1312204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312223 */     // GIR_Coverage, 13716,
     /* 1312223 */     GIR_EraseRootFromParent_Done,
     /* 1312224 */   // Label 18770: @1312224
     /* 1312224 */   GIM_Try, /*On fail goto*//*Label 18771*/ GIMT_Encode4(1312305), // Rule ID 13717 //
     /* 1312229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1312232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1312240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1312243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1312246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1312249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312282 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1312282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1312285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312304 */     // GIR_Coverage, 13717,
     /* 1312304 */     GIR_EraseRootFromParent_Done,
     /* 1312305 */   // Label 18771: @1312305
     /* 1312305 */   GIM_Try, /*On fail goto*//*Label 18772*/ GIMT_Encode4(1312386), // Rule ID 13718 //
     /* 1312310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1312313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1312321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1312324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1312327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1312330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312363 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1312363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1312366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312385 */     // GIR_Coverage, 13718,
     /* 1312385 */     GIR_EraseRootFromParent_Done,
     /* 1312386 */   // Label 18772: @1312386
     /* 1312386 */   GIM_Try, /*On fail goto*//*Label 18773*/ GIMT_Encode4(1312467), // Rule ID 13719 //
     /* 1312391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1312402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1312405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1312408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1312411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1312414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1312421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312444 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1312444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1312447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312466 */     // GIR_Coverage, 13719,
     /* 1312466 */     GIR_EraseRootFromParent_Done,
     /* 1312467 */   // Label 18773: @1312467
     /* 1312467 */   GIM_Try, /*On fail goto*//*Label 18774*/ GIMT_Encode4(1312548), // Rule ID 13720 //
     /* 1312472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1312483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1312486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1312489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1312492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1312495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1312502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312525 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1312525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1312528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312547 */     // GIR_Coverage, 13720,
     /* 1312547 */     GIR_EraseRootFromParent_Done,
     /* 1312548 */   // Label 18774: @1312548
     /* 1312548 */   GIM_Try, /*On fail goto*//*Label 18775*/ GIMT_Encode4(1312629), // Rule ID 13721 //
     /* 1312553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1312564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1312567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1312570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1312573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1312576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1312583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312606 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1312606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1312609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312628 */     // GIR_Coverage, 13721,
     /* 1312628 */     GIR_EraseRootFromParent_Done,
     /* 1312629 */   // Label 18775: @1312629
     /* 1312629 */   GIM_Try, /*On fail goto*//*Label 18776*/ GIMT_Encode4(1312710), // Rule ID 13722 //
     /* 1312634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1312645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1312648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1312651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1312654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1312657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1312664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312687 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1312687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1312690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312709 */     // GIR_Coverage, 13722,
     /* 1312709 */     GIR_EraseRootFromParent_Done,
     /* 1312710 */   // Label 18776: @1312710
     /* 1312710 */   GIM_Try, /*On fail goto*//*Label 18777*/ GIMT_Encode4(1312791), // Rule ID 13723 //
     /* 1312715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1312726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1312729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1312732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1312735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1312738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1312745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312768 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1312768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1312771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312790 */     // GIR_Coverage, 13723,
     /* 1312790 */     GIR_EraseRootFromParent_Done,
     /* 1312791 */   // Label 18777: @1312791
     /* 1312791 */   GIM_Try, /*On fail goto*//*Label 18778*/ GIMT_Encode4(1312872), // Rule ID 13724 //
     /* 1312796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1312807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1312810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1312813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1312816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1312819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1312826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312849 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1312849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1312852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312871 */     // GIR_Coverage, 13724,
     /* 1312871 */     GIR_EraseRootFromParent_Done,
     /* 1312872 */   // Label 18778: @1312872
     /* 1312872 */   GIM_Try, /*On fail goto*//*Label 18779*/ GIMT_Encode4(1312953), // Rule ID 13725 //
     /* 1312877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1312888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1312891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1312894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1312897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1312907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312930 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1312930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1312933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312952 */     // GIR_Coverage, 13725,
     /* 1312952 */     GIR_EraseRootFromParent_Done,
     /* 1312953 */   // Label 18779: @1312953
     /* 1312953 */   GIM_Try, /*On fail goto*//*Label 18780*/ GIMT_Encode4(1313034), // Rule ID 13726 //
     /* 1312958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1312969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1312972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1312975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1312978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1312988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313011 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1313011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1313014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313033 */     // GIR_Coverage, 13726,
     /* 1313033 */     GIR_EraseRootFromParent_Done,
     /* 1313034 */   // Label 18780: @1313034
     /* 1313034 */   GIM_Try, /*On fail goto*//*Label 18781*/ GIMT_Encode4(1313115), // Rule ID 13727 //
     /* 1313039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1313050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1313053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1313056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1313059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1313062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1313069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313092 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1313092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1313095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313114 */     // GIR_Coverage, 13727,
     /* 1313114 */     GIR_EraseRootFromParent_Done,
     /* 1313115 */   // Label 18781: @1313115
     /* 1313115 */   GIM_Try, /*On fail goto*//*Label 18782*/ GIMT_Encode4(1313196), // Rule ID 13728 //
     /* 1313120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1313131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1313134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1313137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1313140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1313143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1313150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313173 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1313173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1313176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313195 */     // GIR_Coverage, 13728,
     /* 1313195 */     GIR_EraseRootFromParent_Done,
     /* 1313196 */   // Label 18782: @1313196
     /* 1313196 */   GIM_Try, /*On fail goto*//*Label 18783*/ GIMT_Encode4(1313277), // Rule ID 13729 //
     /* 1313201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1313212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1313215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1313218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1313221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1313224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1313231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313254 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1313254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1313257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313276 */     // GIR_Coverage, 13729,
     /* 1313276 */     GIR_EraseRootFromParent_Done,
     /* 1313277 */   // Label 18783: @1313277
     /* 1313277 */   GIM_Try, /*On fail goto*//*Label 18784*/ GIMT_Encode4(1313358), // Rule ID 13730 //
     /* 1313282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1313293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1313296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1313299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1313302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1313305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1313312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313335 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1313335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1313338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313357 */     // GIR_Coverage, 13730,
     /* 1313357 */     GIR_EraseRootFromParent_Done,
     /* 1313358 */   // Label 18784: @1313358
     /* 1313358 */   GIM_Try, /*On fail goto*//*Label 18785*/ GIMT_Encode4(1313439), // Rule ID 13731 //
     /* 1313363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1313374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1313377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1313380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1313383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1313393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313416 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1313416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1313419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313438 */     // GIR_Coverage, 13731,
     /* 1313438 */     GIR_EraseRootFromParent_Done,
     /* 1313439 */   // Label 18785: @1313439
     /* 1313439 */   GIM_Try, /*On fail goto*//*Label 18786*/ GIMT_Encode4(1313520), // Rule ID 13732 //
     /* 1313444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1313455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1313458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1313461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1313464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1313474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313497 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1313497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1313500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313519 */     // GIR_Coverage, 13732,
     /* 1313519 */     GIR_EraseRootFromParent_Done,
     /* 1313520 */   // Label 18786: @1313520
     /* 1313520 */   GIM_Try, /*On fail goto*//*Label 18787*/ GIMT_Encode4(1313601), // Rule ID 13733 //
     /* 1313525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1313536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1313539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1313542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1313545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1313548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1313555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313578 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1313578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1313581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313600 */     // GIR_Coverage, 13733,
     /* 1313600 */     GIR_EraseRootFromParent_Done,
     /* 1313601 */   // Label 18787: @1313601
     /* 1313601 */   GIM_Try, /*On fail goto*//*Label 18788*/ GIMT_Encode4(1313682), // Rule ID 13734 //
     /* 1313606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1313617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1313620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1313623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1313626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1313629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1313636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1313648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313659 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1313659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1313662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313681 */     // GIR_Coverage, 13734,
     /* 1313681 */     GIR_EraseRootFromParent_Done,
     /* 1313682 */   // Label 18788: @1313682
     /* 1313682 */   GIM_Try, /*On fail goto*//*Label 18789*/ GIMT_Encode4(1313763), // Rule ID 13735 //
     /* 1313687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1313698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1313701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1313704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1313707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1313710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1313717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313740 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1313740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1313743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313762 */     // GIR_Coverage, 13735,
     /* 1313762 */     GIR_EraseRootFromParent_Done,
     /* 1313763 */   // Label 18789: @1313763
     /* 1313763 */   GIM_Try, /*On fail goto*//*Label 18790*/ GIMT_Encode4(1313844), // Rule ID 13736 //
     /* 1313768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1313779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1313782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1313785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1313788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1313791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1313798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313821 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1313821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1313824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313843 */     // GIR_Coverage, 13736,
     /* 1313843 */     GIR_EraseRootFromParent_Done,
     /* 1313844 */   // Label 18790: @1313844
     /* 1313844 */   GIM_Try, /*On fail goto*//*Label 18791*/ GIMT_Encode4(1313925), // Rule ID 13737 //
     /* 1313849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1313852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1313860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1313863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1313866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1313869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1313879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313902 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1313902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1313905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1313923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313924 */     // GIR_Coverage, 13737,
     /* 1313924 */     GIR_EraseRootFromParent_Done,
     /* 1313925 */   // Label 18791: @1313925
     /* 1313925 */   GIM_Try, /*On fail goto*//*Label 18792*/ GIMT_Encode4(1314006), // Rule ID 13738 //
     /* 1313930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1313933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1313941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1313944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1313947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1313950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1313960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313983 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1313983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1313986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1314004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314005 */     // GIR_Coverage, 13738,
     /* 1314005 */     GIR_EraseRootFromParent_Done,
     /* 1314006 */   // Label 18792: @1314006
     /* 1314006 */   GIM_Try, /*On fail goto*//*Label 18793*/ GIMT_Encode4(1314087), // Rule ID 13739 //
     /* 1314011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1314014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1314022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1314025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1314028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1314031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314064 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1314064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1314067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1314085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314086 */     // GIR_Coverage, 13739,
     /* 1314086 */     GIR_EraseRootFromParent_Done,
     /* 1314087 */   // Label 18793: @1314087
     /* 1314087 */   GIM_Try, /*On fail goto*//*Label 18794*/ GIMT_Encode4(1314168), // Rule ID 13740 //
     /* 1314092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1314095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1314103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1314106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1314109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1314112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1314122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314145 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1314145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1314148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1314166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314167 */     // GIR_Coverage, 13740,
     /* 1314167 */     GIR_EraseRootFromParent_Done,
     /* 1314168 */   // Label 18794: @1314168
     /* 1314168 */   GIM_Try, /*On fail goto*//*Label 18795*/ GIMT_Encode4(1314249), // Rule ID 13741 //
     /* 1314173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1314176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1314184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1314187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1314190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1314193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1314203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314226 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1314226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1314229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1314247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314248 */     // GIR_Coverage, 13741,
     /* 1314248 */     GIR_EraseRootFromParent_Done,
     /* 1314249 */   // Label 18795: @1314249
     /* 1314249 */   GIM_Try, /*On fail goto*//*Label 18796*/ GIMT_Encode4(1314330), // Rule ID 13742 //
     /* 1314254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1314257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1314265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1314268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1314271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1314274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1314284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314307 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1314307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1314310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1314328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314329 */     // GIR_Coverage, 13742,
     /* 1314329 */     GIR_EraseRootFromParent_Done,
     /* 1314330 */   // Label 18796: @1314330
     /* 1314330 */   GIM_Try, /*On fail goto*//*Label 18797*/ GIMT_Encode4(1314411), // Rule ID 13743 //
     /* 1314335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1314346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1314349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1314352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1314355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1314358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1314377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314388 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1314388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1314391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314410 */     // GIR_Coverage, 13743,
     /* 1314410 */     GIR_EraseRootFromParent_Done,
     /* 1314411 */   // Label 18797: @1314411
     /* 1314411 */   GIM_Try, /*On fail goto*//*Label 18798*/ GIMT_Encode4(1314492), // Rule ID 13744 //
     /* 1314416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1314427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1314430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1314433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1314436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1314439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1314458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314469 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1314469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1314472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314491 */     // GIR_Coverage, 13744,
     /* 1314491 */     GIR_EraseRootFromParent_Done,
     /* 1314492 */   // Label 18798: @1314492
     /* 1314492 */   GIM_Try, /*On fail goto*//*Label 18799*/ GIMT_Encode4(1314573), // Rule ID 13745 //
     /* 1314497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1314508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1314511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1314514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1314517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1314520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1314539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314550 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1314550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1314553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314572 */     // GIR_Coverage, 13745,
     /* 1314572 */     GIR_EraseRootFromParent_Done,
     /* 1314573 */   // Label 18799: @1314573
     /* 1314573 */   GIM_Try, /*On fail goto*//*Label 18800*/ GIMT_Encode4(1314654), // Rule ID 13746 //
     /* 1314578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1314589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1314592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1314595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1314598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1314601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1314620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314631 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1314631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1314634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314653 */     // GIR_Coverage, 13746,
     /* 1314653 */     GIR_EraseRootFromParent_Done,
     /* 1314654 */   // Label 18800: @1314654
     /* 1314654 */   GIM_Try, /*On fail goto*//*Label 18801*/ GIMT_Encode4(1314735), // Rule ID 13747 //
     /* 1314659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1314670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1314673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1314676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1314679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1314701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314712 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1314712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1314715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314734 */     // GIR_Coverage, 13747,
     /* 1314734 */     GIR_EraseRootFromParent_Done,
     /* 1314735 */   // Label 18801: @1314735
     /* 1314735 */   GIM_Try, /*On fail goto*//*Label 18802*/ GIMT_Encode4(1314816), // Rule ID 13748 //
     /* 1314740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1314751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1314754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1314757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1314760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1314782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314793 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1314793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1314796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314815 */     // GIR_Coverage, 13748,
     /* 1314815 */     GIR_EraseRootFromParent_Done,
     /* 1314816 */   // Label 18802: @1314816
     /* 1314816 */   GIM_Try, /*On fail goto*//*Label 18803*/ GIMT_Encode4(1314897), // Rule ID 13749 //
     /* 1314821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1314832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1314835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1314838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1314841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1314844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1314863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314874 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1314874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1314877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314896 */     // GIR_Coverage, 13749,
     /* 1314896 */     GIR_EraseRootFromParent_Done,
     /* 1314897 */   // Label 18803: @1314897
     /* 1314897 */   GIM_Try, /*On fail goto*//*Label 18804*/ GIMT_Encode4(1314978), // Rule ID 13750 //
     /* 1314902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1314913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1314916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1314919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1314922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1314925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1314944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314955 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1314955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1314958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314977 */     // GIR_Coverage, 13750,
     /* 1314977 */     GIR_EraseRootFromParent_Done,
     /* 1314978 */   // Label 18804: @1314978
     /* 1314978 */   GIM_Try, /*On fail goto*//*Label 18805*/ GIMT_Encode4(1315059), // Rule ID 13751 //
     /* 1314983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1314991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1314994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1314997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1315000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315036 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1315036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1315039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315058 */     // GIR_Coverage, 13751,
     /* 1315058 */     GIR_EraseRootFromParent_Done,
     /* 1315059 */   // Label 18805: @1315059
     /* 1315059 */   GIM_Try, /*On fail goto*//*Label 18806*/ GIMT_Encode4(1315140), // Rule ID 13752 //
     /* 1315064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1315075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1315078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1315081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1315084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315117 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1315117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1315120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315139 */     // GIR_Coverage, 13752,
     /* 1315139 */     GIR_EraseRootFromParent_Done,
     /* 1315140 */   // Label 18806: @1315140
     /* 1315140 */   GIM_Try, /*On fail goto*//*Label 18807*/ GIMT_Encode4(1315221), // Rule ID 13753 //
     /* 1315145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1315156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1315159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1315162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315198 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1315198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1315201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315220 */     // GIR_Coverage, 13753,
     /* 1315220 */     GIR_EraseRootFromParent_Done,
     /* 1315221 */   // Label 18807: @1315221
     /* 1315221 */   GIM_Try, /*On fail goto*//*Label 18808*/ GIMT_Encode4(1315302), // Rule ID 13754 //
     /* 1315226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1315237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1315240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1315243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1315246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315279 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1315279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1315282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315301 */     // GIR_Coverage, 13754,
     /* 1315301 */     GIR_EraseRootFromParent_Done,
     /* 1315302 */   // Label 18808: @1315302
     /* 1315302 */   GIM_Try, /*On fail goto*//*Label 18809*/ GIMT_Encode4(1315383), // Rule ID 13755 //
     /* 1315307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1315318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1315321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1315324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315360 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1315360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1315363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315382 */     // GIR_Coverage, 13755,
     /* 1315382 */     GIR_EraseRootFromParent_Done,
     /* 1315383 */   // Label 18809: @1315383
     /* 1315383 */   GIM_Try, /*On fail goto*//*Label 18810*/ GIMT_Encode4(1315464), // Rule ID 13756 //
     /* 1315388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1315399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1315402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1315405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1315408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315441 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11318:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1315441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1315444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315463 */     // GIR_Coverage, 13756,
     /* 1315463 */     GIR_EraseRootFromParent_Done,
     /* 1315464 */   // Label 18810: @1315464
     /* 1315464 */   GIM_Try, /*On fail goto*//*Label 18811*/ GIMT_Encode4(1315545), // Rule ID 13757 //
     /* 1315469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1315480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1315483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1315486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315522 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1315522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1315525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315544 */     // GIR_Coverage, 13757,
     /* 1315544 */     GIR_EraseRootFromParent_Done,
     /* 1315545 */   // Label 18811: @1315545
     /* 1315545 */   GIM_Try, /*On fail goto*//*Label 18812*/ GIMT_Encode4(1315626), // Rule ID 13758 //
     /* 1315550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1315561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1315564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1315567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1315570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1315603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1315606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315625 */     // GIR_Coverage, 13758,
     /* 1315625 */     GIR_EraseRootFromParent_Done,
     /* 1315626 */   // Label 18812: @1315626
     /* 1315626 */   GIM_Try, /*On fail goto*//*Label 18813*/ GIMT_Encode4(1315707), // Rule ID 13759 //
     /* 1315631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1315642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1315645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1315648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315684 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1315684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1315687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315706 */     // GIR_Coverage, 13759,
     /* 1315706 */     GIR_EraseRootFromParent_Done,
     /* 1315707 */   // Label 18813: @1315707
     /* 1315707 */   GIM_Try, /*On fail goto*//*Label 18814*/ GIMT_Encode4(1315788), // Rule ID 13760 //
     /* 1315712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1315723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1315726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1315729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1315732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315765 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1315765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1315768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315787 */     // GIR_Coverage, 13760,
     /* 1315787 */     GIR_EraseRootFromParent_Done,
     /* 1315788 */   // Label 18814: @1315788
     /* 1315788 */   GIM_Try, /*On fail goto*//*Label 18815*/ GIMT_Encode4(1315869), // Rule ID 13761 //
     /* 1315793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1315796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1315804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1315807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1315810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1315846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1315849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315868 */     // GIR_Coverage, 13761,
     /* 1315868 */     GIR_EraseRootFromParent_Done,
     /* 1315869 */   // Label 18815: @1315869
     /* 1315869 */   GIM_Try, /*On fail goto*//*Label 18816*/ GIMT_Encode4(1315950), // Rule ID 13762 //
     /* 1315874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1315877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1315885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1315888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1315891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1315894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315927 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1315927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1315930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315949 */     // GIR_Coverage, 13762,
     /* 1315949 */     GIR_EraseRootFromParent_Done,
     /* 1315950 */   // Label 18816: @1315950
     /* 1315950 */   GIM_Try, /*On fail goto*//*Label 18817*/ GIMT_Encode4(1316031), // Rule ID 13763 //
     /* 1315955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1315963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1315966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1315969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1315972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1315975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1315978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1315985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1315997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316008 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1316008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1316011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316030 */     // GIR_Coverage, 13763,
     /* 1316030 */     GIR_EraseRootFromParent_Done,
     /* 1316031 */   // Label 18817: @1316031
     /* 1316031 */   GIM_Try, /*On fail goto*//*Label 18818*/ GIMT_Encode4(1316112), // Rule ID 13764 //
     /* 1316036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1316047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1316050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1316053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1316059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1316066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316089 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1316089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1316092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316111 */     // GIR_Coverage, 13764,
     /* 1316111 */     GIR_EraseRootFromParent_Done,
     /* 1316112 */   // Label 18818: @1316112
     /* 1316112 */   GIM_Try, /*On fail goto*//*Label 18819*/ GIMT_Encode4(1316193), // Rule ID 13765 //
     /* 1316117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1316128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1316131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1316134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1316140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1316147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316170 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1316170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1316173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316192 */     // GIR_Coverage, 13765,
     /* 1316192 */     GIR_EraseRootFromParent_Done,
     /* 1316193 */   // Label 18819: @1316193
     /* 1316193 */   GIM_Try, /*On fail goto*//*Label 18820*/ GIMT_Encode4(1316274), // Rule ID 13766 //
     /* 1316198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1316209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1316212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1316215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1316221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1316228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316251 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1316251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1316254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316273 */     // GIR_Coverage, 13766,
     /* 1316273 */     GIR_EraseRootFromParent_Done,
     /* 1316274 */   // Label 18820: @1316274
     /* 1316274 */   GIM_Try, /*On fail goto*//*Label 18821*/ GIMT_Encode4(1316355), // Rule ID 13767 //
     /* 1316279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1316290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1316293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1316296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1316302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1316309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316332 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1316332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1316335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316354 */     // GIR_Coverage, 13767,
     /* 1316354 */     GIR_EraseRootFromParent_Done,
     /* 1316355 */   // Label 18821: @1316355
     /* 1316355 */   GIM_Try, /*On fail goto*//*Label 18822*/ GIMT_Encode4(1316436), // Rule ID 13768 //
     /* 1316360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1316371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1316374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1316377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1316383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1316390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316413 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1316413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1316416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316435 */     // GIR_Coverage, 13768,
     /* 1316435 */     GIR_EraseRootFromParent_Done,
     /* 1316436 */   // Label 18822: @1316436
     /* 1316436 */   GIM_Try, /*On fail goto*//*Label 18823*/ GIMT_Encode4(1316517), // Rule ID 13769 //
     /* 1316441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1316452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1316455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1316458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1316464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1316471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316494 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1316494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1316497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316516 */     // GIR_Coverage, 13769,
     /* 1316516 */     GIR_EraseRootFromParent_Done,
     /* 1316517 */   // Label 18823: @1316517
     /* 1316517 */   GIM_Try, /*On fail goto*//*Label 18824*/ GIMT_Encode4(1316598), // Rule ID 13770 //
     /* 1316522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1316533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1316536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1316539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1316545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1316552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316575 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1316575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1316578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316597 */     // GIR_Coverage, 13770,
     /* 1316597 */     GIR_EraseRootFromParent_Done,
     /* 1316598 */   // Label 18824: @1316598
     /* 1316598 */   GIM_Try, /*On fail goto*//*Label 18825*/ GIMT_Encode4(1316679), // Rule ID 13771 //
     /* 1316603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1316614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1316617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1316620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1316626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1316633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316656 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1316656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1316659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316678 */     // GIR_Coverage, 13771,
     /* 1316678 */     GIR_EraseRootFromParent_Done,
     /* 1316679 */   // Label 18825: @1316679
     /* 1316679 */   GIM_Try, /*On fail goto*//*Label 18826*/ GIMT_Encode4(1316760), // Rule ID 13772 //
     /* 1316684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1316695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1316698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1316701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1316707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1316714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316737 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1316737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1316740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316759 */     // GIR_Coverage, 13772,
     /* 1316759 */     GIR_EraseRootFromParent_Done,
     /* 1316760 */   // Label 18826: @1316760
     /* 1316760 */   GIM_Try, /*On fail goto*//*Label 18827*/ GIMT_Encode4(1316841), // Rule ID 13773 //
     /* 1316765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1316776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1316779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1316782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1316788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1316795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316818 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1316818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1316821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316840 */     // GIR_Coverage, 13773,
     /* 1316840 */     GIR_EraseRootFromParent_Done,
     /* 1316841 */   // Label 18827: @1316841
     /* 1316841 */   GIM_Try, /*On fail goto*//*Label 18828*/ GIMT_Encode4(1316922), // Rule ID 13774 //
     /* 1316846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1316857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1316860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1316863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1316869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1316876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316899 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1316899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1316902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316921 */     // GIR_Coverage, 13774,
     /* 1316921 */     GIR_EraseRootFromParent_Done,
     /* 1316922 */   // Label 18828: @1316922
     /* 1316922 */   GIM_Try, /*On fail goto*//*Label 18829*/ GIMT_Encode4(1317003), // Rule ID 13775 //
     /* 1316927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1316935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1316938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1316941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1316944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1316957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1316969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316980 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1316980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1316983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317002 */     // GIR_Coverage, 13775,
     /* 1317002 */     GIR_EraseRootFromParent_Done,
     /* 1317003 */   // Label 18829: @1317003
     /* 1317003 */   GIM_Try, /*On fail goto*//*Label 18830*/ GIMT_Encode4(1317084), // Rule ID 13776 //
     /* 1317008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1317019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1317022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1317025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1317038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317061 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1317061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1317064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317083 */     // GIR_Coverage, 13776,
     /* 1317083 */     GIR_EraseRootFromParent_Done,
     /* 1317084 */   // Label 18830: @1317084
     /* 1317084 */   GIM_Try, /*On fail goto*//*Label 18831*/ GIMT_Encode4(1317165), // Rule ID 13777 //
     /* 1317089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1317100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1317103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1317106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1317119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317142 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1317142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1317145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317164 */     // GIR_Coverage, 13777,
     /* 1317164 */     GIR_EraseRootFromParent_Done,
     /* 1317165 */   // Label 18831: @1317165
     /* 1317165 */   GIM_Try, /*On fail goto*//*Label 18832*/ GIMT_Encode4(1317246), // Rule ID 13778 //
     /* 1317170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1317181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1317184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1317187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1317200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317223 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1317223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1317226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317245 */     // GIR_Coverage, 13778,
     /* 1317245 */     GIR_EraseRootFromParent_Done,
     /* 1317246 */   // Label 18832: @1317246
     /* 1317246 */   GIM_Try, /*On fail goto*//*Label 18833*/ GIMT_Encode4(1317327), // Rule ID 13779 //
     /* 1317251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1317262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1317265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1317268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1317281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317304 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1317304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1317307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317326 */     // GIR_Coverage, 13779,
     /* 1317326 */     GIR_EraseRootFromParent_Done,
     /* 1317327 */   // Label 18833: @1317327
     /* 1317327 */   GIM_Try, /*On fail goto*//*Label 18834*/ GIMT_Encode4(1317408), // Rule ID 13780 //
     /* 1317332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1317343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1317346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1317349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1317362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317385 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1317385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1317388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317407 */     // GIR_Coverage, 13780,
     /* 1317407 */     GIR_EraseRootFromParent_Done,
     /* 1317408 */   // Label 18834: @1317408
     /* 1317408 */   GIM_Try, /*On fail goto*//*Label 18835*/ GIMT_Encode4(1317489), // Rule ID 13781 //
     /* 1317413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1317416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1317424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1317427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1317430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1317436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1317443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317466 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1317466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1317469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317488 */     // GIR_Coverage, 13781,
     /* 1317488 */     GIR_EraseRootFromParent_Done,
     /* 1317489 */   // Label 18835: @1317489
     /* 1317489 */   GIM_Try, /*On fail goto*//*Label 18836*/ GIMT_Encode4(1317570), // Rule ID 13782 //
     /* 1317494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1317497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1317505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1317508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1317511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1317517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1317524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317547 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1317547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1317550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317569 */     // GIR_Coverage, 13782,
     /* 1317569 */     GIR_EraseRootFromParent_Done,
     /* 1317570 */   // Label 18836: @1317570
     /* 1317570 */   GIM_Try, /*On fail goto*//*Label 18837*/ GIMT_Encode4(1317651), // Rule ID 13783 //
     /* 1317575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1317578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1317586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1317589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1317592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1317605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317628 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1317628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1317631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317650 */     // GIR_Coverage, 13783,
     /* 1317650 */     GIR_EraseRootFromParent_Done,
     /* 1317651 */   // Label 18837: @1317651
     /* 1317651 */   GIM_Try, /*On fail goto*//*Label 18838*/ GIMT_Encode4(1317732), // Rule ID 13784 //
     /* 1317656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1317659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1317667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1317670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1317673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1317686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317709 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1317709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1317712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317731 */     // GIR_Coverage, 13784,
     /* 1317731 */     GIR_EraseRootFromParent_Done,
     /* 1317732 */   // Label 18838: @1317732
     /* 1317732 */   GIM_Try, /*On fail goto*//*Label 18839*/ GIMT_Encode4(1317813), // Rule ID 13785 //
     /* 1317737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1317740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1317748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1317751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1317754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1317767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317790 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1317790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1317793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317812 */     // GIR_Coverage, 13785,
     /* 1317812 */     GIR_EraseRootFromParent_Done,
     /* 1317813 */   // Label 18839: @1317813
     /* 1317813 */   GIM_Try, /*On fail goto*//*Label 18840*/ GIMT_Encode4(1317894), // Rule ID 13786 //
     /* 1317818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1317821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1317826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1317829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1317832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1317835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1317848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1317860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317871 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1317871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1317874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317893 */     // GIR_Coverage, 13786,
     /* 1317893 */     GIR_EraseRootFromParent_Done,
     /* 1317894 */   // Label 18840: @1317894
     /* 1317894 */   GIM_Try, /*On fail goto*//*Label 18841*/ GIMT_Encode4(1317978), // Rule ID 19625 //
     /* 1317899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1317902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1317907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1317910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1317913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1317916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1317919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1317922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317952 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1317955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317977 */     // GIR_Coverage, 19625,
     /* 1317977 */     GIR_EraseRootFromParent_Done,
     /* 1317978 */   // Label 18841: @1317978
     /* 1317978 */   GIM_Try, /*On fail goto*//*Label 18842*/ GIMT_Encode4(1318062), // Rule ID 19626 //
     /* 1317983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1317986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1317991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1317994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1317997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1318000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1318003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1318006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318036 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1318039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318061 */     // GIR_Coverage, 19626,
     /* 1318061 */     GIR_EraseRootFromParent_Done,
     /* 1318062 */   // Label 18842: @1318062
     /* 1318062 */   GIM_Try, /*On fail goto*//*Label 18843*/ GIMT_Encode4(1318146), // Rule ID 19629 //
     /* 1318067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1318070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1318075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1318078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1318081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1318084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1318087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318120 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1318123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318145 */     // GIR_Coverage, 19629,
     /* 1318145 */     GIR_EraseRootFromParent_Done,
     /* 1318146 */   // Label 18843: @1318146
     /* 1318146 */   GIM_Try, /*On fail goto*//*Label 18844*/ GIMT_Encode4(1318230), // Rule ID 19630 //
     /* 1318151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1318154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1318159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1318162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1318165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1318168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1318171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318204 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1318207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318229 */     // GIR_Coverage, 19630,
     /* 1318229 */     GIR_EraseRootFromParent_Done,
     /* 1318230 */   // Label 18844: @1318230
     /* 1318230 */   GIM_Try, /*On fail goto*//*Label 18845*/ GIMT_Encode4(1318314), // Rule ID 19633 //
     /* 1318235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1318238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1318243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1318246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1318249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1318252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1318255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1318258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318288 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1318291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318313 */     // GIR_Coverage, 19633,
     /* 1318313 */     GIR_EraseRootFromParent_Done,
     /* 1318314 */   // Label 18845: @1318314
     /* 1318314 */   GIM_Try, /*On fail goto*//*Label 18846*/ GIMT_Encode4(1318398), // Rule ID 19634 //
     /* 1318319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1318322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1318327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1318330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1318333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1318336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1318339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1318342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318372 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1318375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318397 */     // GIR_Coverage, 19634,
     /* 1318397 */     GIR_EraseRootFromParent_Done,
     /* 1318398 */   // Label 18846: @1318398
     /* 1318398 */   GIM_Try, /*On fail goto*//*Label 18847*/ GIMT_Encode4(1318482), // Rule ID 19637 //
     /* 1318403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1318406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1318411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1318414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1318417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1318420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1318423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318456 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1318459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318481 */     // GIR_Coverage, 19637,
     /* 1318481 */     GIR_EraseRootFromParent_Done,
     /* 1318482 */   // Label 18847: @1318482
     /* 1318482 */   GIM_Try, /*On fail goto*//*Label 18848*/ GIMT_Encode4(1318566), // Rule ID 19638 //
     /* 1318487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1318490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1318495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1318498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1318501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1318504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1318507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318540 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1318543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318565 */     // GIR_Coverage, 19638,
     /* 1318565 */     GIR_EraseRootFromParent_Done,
     /* 1318566 */   // Label 18848: @1318566
     /* 1318566 */   GIM_Try, /*On fail goto*//*Label 18849*/ GIMT_Encode4(1318650), // Rule ID 19641 //
     /* 1318571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1318574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1318579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1318582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1318585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1318588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1318591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318624 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1318627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318649 */     // GIR_Coverage, 19641,
     /* 1318649 */     GIR_EraseRootFromParent_Done,
     /* 1318650 */   // Label 18849: @1318650
     /* 1318650 */   GIM_Try, /*On fail goto*//*Label 18850*/ GIMT_Encode4(1318734), // Rule ID 19642 //
     /* 1318655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1318658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1318663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1318666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1318669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1318672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1318675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318708 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1318711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318733 */     // GIR_Coverage, 19642,
     /* 1318733 */     GIR_EraseRootFromParent_Done,
     /* 1318734 */   // Label 18850: @1318734
     /* 1318734 */   GIM_Try, /*On fail goto*//*Label 18851*/ GIMT_Encode4(1318818), // Rule ID 19645 //
     /* 1318739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1318742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1318747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1318750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1318753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1318756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1318759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1318762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318792 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1318795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318817 */     // GIR_Coverage, 19645,
     /* 1318817 */     GIR_EraseRootFromParent_Done,
     /* 1318818 */   // Label 18851: @1318818
     /* 1318818 */   GIM_Try, /*On fail goto*//*Label 18852*/ GIMT_Encode4(1318902), // Rule ID 19646 //
     /* 1318823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1318826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1318831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1318834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1318837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1318840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1318843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1318846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318876 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1318879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318901 */     // GIR_Coverage, 19646,
     /* 1318901 */     GIR_EraseRootFromParent_Done,
     /* 1318902 */   // Label 18852: @1318902
     /* 1318902 */   GIM_Try, /*On fail goto*//*Label 18853*/ GIMT_Encode4(1318986), // Rule ID 19649 //
     /* 1318907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1318910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1318915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1318918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1318921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1318924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1318927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318960 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1318963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318985 */     // GIR_Coverage, 19649,
     /* 1318985 */     GIR_EraseRootFromParent_Done,
     /* 1318986 */   // Label 18853: @1318986
     /* 1318986 */   GIM_Try, /*On fail goto*//*Label 18854*/ GIMT_Encode4(1319070), // Rule ID 19650 //
     /* 1318991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1318994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1318999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1319002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1319005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1319008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1319011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319044 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1319047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319069 */     // GIR_Coverage, 19650,
     /* 1319069 */     GIR_EraseRootFromParent_Done,
     /* 1319070 */   // Label 18854: @1319070
     /* 1319070 */   GIM_Try, /*On fail goto*//*Label 18855*/ GIMT_Encode4(1319154), // Rule ID 19653 //
     /* 1319075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1319078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1319086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1319089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1319092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1319095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1319098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319128 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1319131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319153 */     // GIR_Coverage, 19653,
     /* 1319153 */     GIR_EraseRootFromParent_Done,
     /* 1319154 */   // Label 18855: @1319154
     /* 1319154 */   GIM_Try, /*On fail goto*//*Label 18856*/ GIMT_Encode4(1319238), // Rule ID 19654 //
     /* 1319159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1319162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1319170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1319173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1319176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1319179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1319182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319212 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1319215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319237 */     // GIR_Coverage, 19654,
     /* 1319237 */     GIR_EraseRootFromParent_Done,
     /* 1319238 */   // Label 18856: @1319238
     /* 1319238 */   GIM_Try, /*On fail goto*//*Label 18857*/ GIMT_Encode4(1319322), // Rule ID 19657 //
     /* 1319243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1319246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1319254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1319257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1319260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1319263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1319266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319296 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1319299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319321 */     // GIR_Coverage, 19657,
     /* 1319321 */     GIR_EraseRootFromParent_Done,
     /* 1319322 */   // Label 18857: @1319322
     /* 1319322 */   GIM_Try, /*On fail goto*//*Label 18858*/ GIMT_Encode4(1319406), // Rule ID 19658 //
     /* 1319327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1319330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1319338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1319341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1319344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1319347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1319350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319380 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1319383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319405 */     // GIR_Coverage, 19658,
     /* 1319405 */     GIR_EraseRootFromParent_Done,
     /* 1319406 */   // Label 18858: @1319406
     /* 1319406 */   GIM_Try, /*On fail goto*//*Label 18859*/ GIMT_Encode4(1319490), // Rule ID 19661 //
     /* 1319411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1319414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1319422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1319425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1319428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1319431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319464 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1319467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319489 */     // GIR_Coverage, 19661,
     /* 1319489 */     GIR_EraseRootFromParent_Done,
     /* 1319490 */   // Label 18859: @1319490
     /* 1319490 */   GIM_Try, /*On fail goto*//*Label 18860*/ GIMT_Encode4(1319574), // Rule ID 19662 //
     /* 1319495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1319498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1319506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1319509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1319512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1319515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319548 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1319551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319573 */     // GIR_Coverage, 19662,
     /* 1319573 */     GIR_EraseRootFromParent_Done,
     /* 1319574 */   // Label 18860: @1319574
     /* 1319574 */   GIM_Try, /*On fail goto*//*Label 18861*/ GIMT_Encode4(1319658), // Rule ID 19665 //
     /* 1319579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1319582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1319590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1319593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1319596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1319599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319632 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1319635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319657 */     // GIR_Coverage, 19665,
     /* 1319657 */     GIR_EraseRootFromParent_Done,
     /* 1319658 */   // Label 18861: @1319658
     /* 1319658 */   GIM_Try, /*On fail goto*//*Label 18862*/ GIMT_Encode4(1319742), // Rule ID 19666 //
     /* 1319663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1319666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1319674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1319677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1319680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1319683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319716 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1319719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319741 */     // GIR_Coverage, 19666,
     /* 1319741 */     GIR_EraseRootFromParent_Done,
     /* 1319742 */   // Label 18862: @1319742
     /* 1319742 */   GIM_Try, /*On fail goto*//*Label 18863*/ GIMT_Encode4(1319826), // Rule ID 19669 //
     /* 1319747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1319750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1319758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1319761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1319764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1319767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1319770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319800 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1319803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319825 */     // GIR_Coverage, 19669,
     /* 1319825 */     GIR_EraseRootFromParent_Done,
     /* 1319826 */   // Label 18863: @1319826
     /* 1319826 */   GIM_Try, /*On fail goto*//*Label 18864*/ GIMT_Encode4(1319910), // Rule ID 19670 //
     /* 1319831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1319834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1319842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1319845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1319848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1319851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1319854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319884 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1319887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319909 */     // GIR_Coverage, 19670,
     /* 1319909 */     GIR_EraseRootFromParent_Done,
     /* 1319910 */   // Label 18864: @1319910
     /* 1319910 */   GIM_Try, /*On fail goto*//*Label 18865*/ GIMT_Encode4(1319994), // Rule ID 19673 //
     /* 1319915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1319918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1319923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1319926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1319929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1319932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1319935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319968 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1319971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319993 */     // GIR_Coverage, 19673,
     /* 1319993 */     GIR_EraseRootFromParent_Done,
     /* 1319994 */   // Label 18865: @1319994
     /* 1319994 */   GIM_Try, /*On fail goto*//*Label 18866*/ GIMT_Encode4(1320078), // Rule ID 19674 //
     /* 1319999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1320002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1320010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1320013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1320016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1320019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320052 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1320055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320077 */     // GIR_Coverage, 19674,
     /* 1320077 */     GIR_EraseRootFromParent_Done,
     /* 1320078 */   // Label 18866: @1320078
     /* 1320078 */   GIM_Try, /*On fail goto*//*Label 18867*/ GIMT_Encode4(1320162), // Rule ID 19677 //
     /* 1320083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1320086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1320094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1320097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1320100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1320103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320136 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1320139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320161 */     // GIR_Coverage, 19677,
     /* 1320161 */     GIR_EraseRootFromParent_Done,
     /* 1320162 */   // Label 18867: @1320162
     /* 1320162 */   GIM_Try, /*On fail goto*//*Label 18868*/ GIMT_Encode4(1320246), // Rule ID 19678 //
     /* 1320167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1320170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1320178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1320181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1320184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1320187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320220 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1320223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320245 */     // GIR_Coverage, 19678,
     /* 1320245 */     GIR_EraseRootFromParent_Done,
     /* 1320246 */   // Label 18868: @1320246
     /* 1320246 */   GIM_Try, /*On fail goto*//*Label 18869*/ GIMT_Encode4(1320330), // Rule ID 19681 //
     /* 1320251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1320254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1320262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1320265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1320268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1320271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320304 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1320307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320329 */     // GIR_Coverage, 19681,
     /* 1320329 */     GIR_EraseRootFromParent_Done,
     /* 1320330 */   // Label 18869: @1320330
     /* 1320330 */   GIM_Try, /*On fail goto*//*Label 18870*/ GIMT_Encode4(1320414), // Rule ID 19682 //
     /* 1320335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1320338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1320346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1320349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1320352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1320355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320388 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1320391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320413 */     // GIR_Coverage, 19682,
     /* 1320413 */     GIR_EraseRootFromParent_Done,
     /* 1320414 */   // Label 18870: @1320414
     /* 1320414 */   GIM_Try, /*On fail goto*//*Label 18871*/ GIMT_Encode4(1320498), // Rule ID 19685 //
     /* 1320419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1320422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1320430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1320433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1320436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1320439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1320461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320472 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1320475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320497 */     // GIR_Coverage, 19685,
     /* 1320497 */     GIR_EraseRootFromParent_Done,
     /* 1320498 */   // Label 18871: @1320498
     /* 1320498 */   GIM_Try, /*On fail goto*//*Label 18872*/ GIMT_Encode4(1320582), // Rule ID 19686 //
     /* 1320503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1320506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1320514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1320517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1320520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1320523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1320545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320556 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1320559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320581 */     // GIR_Coverage, 19686,
     /* 1320581 */     GIR_EraseRootFromParent_Done,
     /* 1320582 */   // Label 18872: @1320582
     /* 1320582 */   GIM_Try, /*On fail goto*//*Label 18873*/ GIMT_Encode4(1320666), // Rule ID 19689 //
     /* 1320587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1320590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1320598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1320601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1320604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1320607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1320629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320640 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1320643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320665 */     // GIR_Coverage, 19689,
     /* 1320665 */     GIR_EraseRootFromParent_Done,
     /* 1320666 */   // Label 18873: @1320666
     /* 1320666 */   GIM_Try, /*On fail goto*//*Label 18874*/ GIMT_Encode4(1320750), // Rule ID 19690 //
     /* 1320671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1320674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1320682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1320685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1320688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1320691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1320713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320724 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1320727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320749 */     // GIR_Coverage, 19690,
     /* 1320749 */     GIR_EraseRootFromParent_Done,
     /* 1320750 */   // Label 18874: @1320750
     /* 1320750 */   GIM_Try, /*On fail goto*//*Label 18875*/ GIMT_Encode4(1320834), // Rule ID 19693 //
     /* 1320755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1320758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1320766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1320769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1320772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1320775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1320797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320808 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1320811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320833 */     // GIR_Coverage, 19693,
     /* 1320833 */     GIR_EraseRootFromParent_Done,
     /* 1320834 */   // Label 18875: @1320834
     /* 1320834 */   GIM_Try, /*On fail goto*//*Label 18876*/ GIMT_Encode4(1320918), // Rule ID 19694 //
     /* 1320839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1320842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1320850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1320853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1320856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1320859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1320881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320892 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1320895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320917 */     // GIR_Coverage, 19694,
     /* 1320917 */     GIR_EraseRootFromParent_Done,
     /* 1320918 */   // Label 18876: @1320918
     /* 1320918 */   GIM_Try, /*On fail goto*//*Label 18877*/ GIMT_Encode4(1321002), // Rule ID 19697 //
     /* 1320923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1320926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1320931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1320934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1320937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1320940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1320943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1320965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320976 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1320979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321001 */     // GIR_Coverage, 19697,
     /* 1321001 */     GIR_EraseRootFromParent_Done,
     /* 1321002 */   // Label 18877: @1321002
     /* 1321002 */   GIM_Try, /*On fail goto*//*Label 18878*/ GIMT_Encode4(1321086), // Rule ID 19698 //
     /* 1321007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1321010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1321018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1321021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1321024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321060 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1321063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321085 */     // GIR_Coverage, 19698,
     /* 1321085 */     GIR_EraseRootFromParent_Done,
     /* 1321086 */   // Label 18878: @1321086
     /* 1321086 */   GIM_Try, /*On fail goto*//*Label 18879*/ GIMT_Encode4(1321170), // Rule ID 19701 //
     /* 1321091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1321094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1321102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1321105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1321108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1321111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1321133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321144 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1321147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321169 */     // GIR_Coverage, 19701,
     /* 1321169 */     GIR_EraseRootFromParent_Done,
     /* 1321170 */   // Label 18879: @1321170
     /* 1321170 */   GIM_Try, /*On fail goto*//*Label 18880*/ GIMT_Encode4(1321254), // Rule ID 19702 //
     /* 1321175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1321178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1321186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1321189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1321192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1321195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1321217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321228 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1321231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321253 */     // GIR_Coverage, 19702,
     /* 1321253 */     GIR_EraseRootFromParent_Done,
     /* 1321254 */   // Label 18880: @1321254
     /* 1321254 */   GIM_Try, /*On fail goto*//*Label 18881*/ GIMT_Encode4(1321338), // Rule ID 19705 //
     /* 1321259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1321262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1321270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1321273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1321276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1321279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1321282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1321301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321312 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1321315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321337 */     // GIR_Coverage, 19705,
     /* 1321337 */     GIR_EraseRootFromParent_Done,
     /* 1321338 */   // Label 18881: @1321338
     /* 1321338 */   GIM_Try, /*On fail goto*//*Label 18882*/ GIMT_Encode4(1321422), // Rule ID 19706 //
     /* 1321343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1321346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1321354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1321357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1321360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1321363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1321366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1321385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321396 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1321399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321421 */     // GIR_Coverage, 19706,
     /* 1321421 */     GIR_EraseRootFromParent_Done,
     /* 1321422 */   // Label 18882: @1321422
     /* 1321422 */   GIM_Try, /*On fail goto*//*Label 18883*/ GIMT_Encode4(1321506), // Rule ID 19709 //
     /* 1321427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1321430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1321438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1321441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1321444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321480 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1321483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321505 */     // GIR_Coverage, 19709,
     /* 1321505 */     GIR_EraseRootFromParent_Done,
     /* 1321506 */   // Label 18883: @1321506
     /* 1321506 */   GIM_Try, /*On fail goto*//*Label 18884*/ GIMT_Encode4(1321590), // Rule ID 19710 //
     /* 1321511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1321514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1321522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1321525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1321528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321564 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1321567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321589 */     // GIR_Coverage, 19710,
     /* 1321589 */     GIR_EraseRootFromParent_Done,
     /* 1321590 */   // Label 18884: @1321590
     /* 1321590 */   GIM_Try, /*On fail goto*//*Label 18885*/ GIMT_Encode4(1321674), // Rule ID 19713 //
     /* 1321595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1321598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1321606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1321609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1321612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321648 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1321651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321673 */     // GIR_Coverage, 19713,
     /* 1321673 */     GIR_EraseRootFromParent_Done,
     /* 1321674 */   // Label 18885: @1321674
     /* 1321674 */   GIM_Try, /*On fail goto*//*Label 18886*/ GIMT_Encode4(1321758), // Rule ID 19714 //
     /* 1321679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1321682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1321690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1321693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1321696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321732 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1321735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321757 */     // GIR_Coverage, 19714,
     /* 1321757 */     GIR_EraseRootFromParent_Done,
     /* 1321758 */   // Label 18886: @1321758
     /* 1321758 */   GIM_Try, /*On fail goto*//*Label 18887*/ GIMT_Encode4(1321842), // Rule ID 19717 //
     /* 1321763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1321766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1321774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1321777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1321780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1321786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321816 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1321819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321841 */     // GIR_Coverage, 19717,
     /* 1321841 */     GIR_EraseRootFromParent_Done,
     /* 1321842 */   // Label 18887: @1321842
     /* 1321842 */   GIM_Try, /*On fail goto*//*Label 18888*/ GIMT_Encode4(1321926), // Rule ID 19718 //
     /* 1321847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1321850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1321858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1321861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1321864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1321870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321900 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1321903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321925 */     // GIR_Coverage, 19718,
     /* 1321925 */     GIR_EraseRootFromParent_Done,
     /* 1321926 */   // Label 18888: @1321926
     /* 1321926 */   GIM_Try, /*On fail goto*//*Label 18889*/ GIMT_Encode4(1322010), // Rule ID 19721 //
     /* 1321931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1321934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1321939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1321942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1321945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1321948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1321951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1321973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321984 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1321987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322009 */     // GIR_Coverage, 19721,
     /* 1322009 */     GIR_EraseRootFromParent_Done,
     /* 1322010 */   // Label 18889: @1322010
     /* 1322010 */   GIM_Try, /*On fail goto*//*Label 18890*/ GIMT_Encode4(1322094), // Rule ID 19722 //
     /* 1322015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1322018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1322026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1322029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1322032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322068 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1322071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322093 */     // GIR_Coverage, 19722,
     /* 1322093 */     GIR_EraseRootFromParent_Done,
     /* 1322094 */   // Label 18890: @1322094
     /* 1322094 */   GIM_Try, /*On fail goto*//*Label 18891*/ GIMT_Encode4(1322178), // Rule ID 19725 //
     /* 1322099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1322102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1322110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1322113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1322116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322152 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1322155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322177 */     // GIR_Coverage, 19725,
     /* 1322177 */     GIR_EraseRootFromParent_Done,
     /* 1322178 */   // Label 18891: @1322178
     /* 1322178 */   GIM_Try, /*On fail goto*//*Label 18892*/ GIMT_Encode4(1322262), // Rule ID 19726 //
     /* 1322183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1322186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1322194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1322197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1322200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322236 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1322239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322261 */     // GIR_Coverage, 19726,
     /* 1322261 */     GIR_EraseRootFromParent_Done,
     /* 1322262 */   // Label 18892: @1322262
     /* 1322262 */   GIM_Try, /*On fail goto*//*Label 18893*/ GIMT_Encode4(1322346), // Rule ID 19729 //
     /* 1322267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1322270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1322278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1322281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1322284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1322290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322320 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1322323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322345 */     // GIR_Coverage, 19729,
     /* 1322345 */     GIR_EraseRootFromParent_Done,
     /* 1322346 */   // Label 18893: @1322346
     /* 1322346 */   GIM_Try, /*On fail goto*//*Label 18894*/ GIMT_Encode4(1322430), // Rule ID 19730 //
     /* 1322351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1322354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1322362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1322365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1322368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1322374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322404 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1322407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322429 */     // GIR_Coverage, 19730,
     /* 1322429 */     GIR_EraseRootFromParent_Done,
     /* 1322430 */   // Label 18894: @1322430
     /* 1322430 */   GIM_Try, /*On fail goto*//*Label 18895*/ GIMT_Encode4(1322514), // Rule ID 19733 //
     /* 1322435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1322438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1322446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1322449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1322452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1322477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322488 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1322491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322513 */     // GIR_Coverage, 19733,
     /* 1322513 */     GIR_EraseRootFromParent_Done,
     /* 1322514 */   // Label 18895: @1322514
     /* 1322514 */   GIM_Try, /*On fail goto*//*Label 18896*/ GIMT_Encode4(1322598), // Rule ID 19734 //
     /* 1322519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1322522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1322530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1322533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1322536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1322561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1322575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322597 */     // GIR_Coverage, 19734,
     /* 1322597 */     GIR_EraseRootFromParent_Done,
     /* 1322598 */   // Label 18896: @1322598
     /* 1322598 */   GIM_Try, /*On fail goto*//*Label 18897*/ GIMT_Encode4(1322682), // Rule ID 19737 //
     /* 1322603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1322606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1322614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1322617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1322620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1322645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322656 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1322659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322681 */     // GIR_Coverage, 19737,
     /* 1322681 */     GIR_EraseRootFromParent_Done,
     /* 1322682 */   // Label 18897: @1322682
     /* 1322682 */   GIM_Try, /*On fail goto*//*Label 18898*/ GIMT_Encode4(1322766), // Rule ID 19738 //
     /* 1322687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1322690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1322698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1322701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1322704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1322729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322740 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1322743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322765 */     // GIR_Coverage, 19738,
     /* 1322765 */     GIR_EraseRootFromParent_Done,
     /* 1322766 */   // Label 18898: @1322766
     /* 1322766 */   GIM_Try, /*On fail goto*//*Label 18899*/ GIMT_Encode4(1322850), // Rule ID 19741 //
     /* 1322771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1322774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1322782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1322785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1322788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1322813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322824 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1322827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322849 */     // GIR_Coverage, 19741,
     /* 1322849 */     GIR_EraseRootFromParent_Done,
     /* 1322850 */   // Label 18899: @1322850
     /* 1322850 */   GIM_Try, /*On fail goto*//*Label 18900*/ GIMT_Encode4(1322934), // Rule ID 19742 //
     /* 1322855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1322858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1322863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1322866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1322869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1322872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1322897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322908 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1322911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322933 */     // GIR_Coverage, 19742,
     /* 1322933 */     GIR_EraseRootFromParent_Done,
     /* 1322934 */   // Label 18900: @1322934
     /* 1322934 */   GIM_Try, /*On fail goto*//*Label 18901*/ GIMT_Encode4(1323018), // Rule ID 19745 //
     /* 1322939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1322942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1322947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1322950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1322953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1322956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1322959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322992 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1322995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323017 */     // GIR_Coverage, 19745,
     /* 1323017 */     GIR_EraseRootFromParent_Done,
     /* 1323018 */   // Label 18901: @1323018
     /* 1323018 */   GIM_Try, /*On fail goto*//*Label 18902*/ GIMT_Encode4(1323102), // Rule ID 19746 //
     /* 1323023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1323026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1323031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1323034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1323037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1323040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1323043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323076 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1323079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323101 */     // GIR_Coverage, 19746,
     /* 1323101 */     GIR_EraseRootFromParent_Done,
     /* 1323102 */   // Label 18902: @1323102
     /* 1323102 */   GIM_Try, /*On fail goto*//*Label 18903*/ GIMT_Encode4(1323186), // Rule ID 19749 //
     /* 1323107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1323110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1323115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1323118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1323121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1323124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1323127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323160 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1323163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323185 */     // GIR_Coverage, 19749,
     /* 1323185 */     GIR_EraseRootFromParent_Done,
     /* 1323186 */   // Label 18903: @1323186
     /* 1323186 */   GIM_Try, /*On fail goto*//*Label 18904*/ GIMT_Encode4(1323270), // Rule ID 19750 //
     /* 1323191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1323194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1323199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1323202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1323205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1323208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1323211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323244 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1323247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323269 */     // GIR_Coverage, 19750,
     /* 1323269 */     GIR_EraseRootFromParent_Done,
     /* 1323270 */   // Label 18904: @1323270
     /* 1323270 */   GIM_Try, /*On fail goto*//*Label 18905*/ GIMT_Encode4(1323354), // Rule ID 19753 //
     /* 1323275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1323278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1323283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1323286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1323289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1323292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1323295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323328 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1323331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323353 */     // GIR_Coverage, 19753,
     /* 1323353 */     GIR_EraseRootFromParent_Done,
     /* 1323354 */   // Label 18905: @1323354
     /* 1323354 */   GIM_Try, /*On fail goto*//*Label 18906*/ GIMT_Encode4(1323438), // Rule ID 19754 //
     /* 1323359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1323362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1323367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1323370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1323373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1323376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1323379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323412 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1323415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323437 */     // GIR_Coverage, 19754,
     /* 1323437 */     GIR_EraseRootFromParent_Done,
     /* 1323438 */   // Label 18906: @1323438
     /* 1323438 */   GIM_Try, /*On fail goto*//*Label 18907*/ GIMT_Encode4(1323522), // Rule ID 19757 //
     /* 1323443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1323446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1323451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1323454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1323457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1323460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1323463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323496 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1323499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323521 */     // GIR_Coverage, 19757,
     /* 1323521 */     GIR_EraseRootFromParent_Done,
     /* 1323522 */   // Label 18907: @1323522
     /* 1323522 */   GIM_Try, /*On fail goto*//*Label 18908*/ GIMT_Encode4(1323606), // Rule ID 19758 //
     /* 1323527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1323530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1323535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1323538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1323541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1323544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1323547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323580 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1323583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323605 */     // GIR_Coverage, 19758,
     /* 1323605 */     GIR_EraseRootFromParent_Done,
     /* 1323606 */   // Label 18908: @1323606
     /* 1323606 */   GIM_Try, /*On fail goto*//*Label 18909*/ GIMT_Encode4(1323690), // Rule ID 19761 //
     /* 1323611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1323614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1323619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1323622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1323625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1323628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1323631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323664 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1323667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323689 */     // GIR_Coverage, 19761,
     /* 1323689 */     GIR_EraseRootFromParent_Done,
     /* 1323690 */   // Label 18909: @1323690
     /* 1323690 */   GIM_Try, /*On fail goto*//*Label 18910*/ GIMT_Encode4(1323774), // Rule ID 19762 //
     /* 1323695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1323698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1323703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1323706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1323709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1323712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1323715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323748 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1323751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323773 */     // GIR_Coverage, 19762,
     /* 1323773 */     GIR_EraseRootFromParent_Done,
     /* 1323774 */   // Label 18910: @1323774
     /* 1323774 */   GIM_Try, /*On fail goto*//*Label 18911*/ GIMT_Encode4(1323858), // Rule ID 19765 //
     /* 1323779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1323782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1323787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1323790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1323793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1323796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1323799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323832 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1323835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323857 */     // GIR_Coverage, 19765,
     /* 1323857 */     GIR_EraseRootFromParent_Done,
     /* 1323858 */   // Label 18911: @1323858
     /* 1323858 */   GIM_Try, /*On fail goto*//*Label 18912*/ GIMT_Encode4(1323942), // Rule ID 19766 //
     /* 1323863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1323866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1323871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1323874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1323877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1323880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1323883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323916 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1323919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323941 */     // GIR_Coverage, 19766,
     /* 1323941 */     GIR_EraseRootFromParent_Done,
     /* 1323942 */   // Label 18912: @1323942
     /* 1323942 */   GIM_Try, /*On fail goto*//*Label 18913*/ GIMT_Encode4(1324026), // Rule ID 19769 //
     /* 1323947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1323950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1323955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1323958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1323961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1323964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1323967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324000 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1324003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324025 */     // GIR_Coverage, 19769,
     /* 1324025 */     GIR_EraseRootFromParent_Done,
     /* 1324026 */   // Label 18913: @1324026
     /* 1324026 */   GIM_Try, /*On fail goto*//*Label 18914*/ GIMT_Encode4(1324110), // Rule ID 19770 //
     /* 1324031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1324034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1324042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1324045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1324048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1324051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324084 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1324087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324109 */     // GIR_Coverage, 19770,
     /* 1324109 */     GIR_EraseRootFromParent_Done,
     /* 1324110 */   // Label 18914: @1324110
     /* 1324110 */   GIM_Try, /*On fail goto*//*Label 18915*/ GIMT_Encode4(1324194), // Rule ID 19773 //
     /* 1324115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1324118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1324126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1324129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1324132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1324135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1324138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324168 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1324171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324193 */     // GIR_Coverage, 19773,
     /* 1324193 */     GIR_EraseRootFromParent_Done,
     /* 1324194 */   // Label 18915: @1324194
     /* 1324194 */   GIM_Try, /*On fail goto*//*Label 18916*/ GIMT_Encode4(1324278), // Rule ID 19774 //
     /* 1324199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1324202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1324210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1324213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1324216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1324219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1324222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324252 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1324255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324277 */     // GIR_Coverage, 19774,
     /* 1324277 */     GIR_EraseRootFromParent_Done,
     /* 1324278 */   // Label 18916: @1324278
     /* 1324278 */   GIM_Try, /*On fail goto*//*Label 18917*/ GIMT_Encode4(1324362), // Rule ID 19777 //
     /* 1324283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1324286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1324294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1324297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1324300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1324303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1324306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324336 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1324339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324361 */     // GIR_Coverage, 19777,
     /* 1324361 */     GIR_EraseRootFromParent_Done,
     /* 1324362 */   // Label 18917: @1324362
     /* 1324362 */   GIM_Try, /*On fail goto*//*Label 18918*/ GIMT_Encode4(1324446), // Rule ID 19778 //
     /* 1324367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1324370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1324378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1324381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1324384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1324387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1324390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324420 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1324423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324445 */     // GIR_Coverage, 19778,
     /* 1324445 */     GIR_EraseRootFromParent_Done,
     /* 1324446 */   // Label 18918: @1324446
     /* 1324446 */   GIM_Try, /*On fail goto*//*Label 18919*/ GIMT_Encode4(1324530), // Rule ID 19781 //
     /* 1324451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1324454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1324462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1324465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1324468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1324471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324504 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1324507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324529 */     // GIR_Coverage, 19781,
     /* 1324529 */     GIR_EraseRootFromParent_Done,
     /* 1324530 */   // Label 18919: @1324530
     /* 1324530 */   GIM_Try, /*On fail goto*//*Label 18920*/ GIMT_Encode4(1324614), // Rule ID 19782 //
     /* 1324535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1324538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1324546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1324549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1324552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1324555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324588 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1324591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324613 */     // GIR_Coverage, 19782,
     /* 1324613 */     GIR_EraseRootFromParent_Done,
     /* 1324614 */   // Label 18920: @1324614
     /* 1324614 */   GIM_Try, /*On fail goto*//*Label 18921*/ GIMT_Encode4(1324698), // Rule ID 19785 //
     /* 1324619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1324622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1324630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1324633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1324636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1324639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324672 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1324675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324697 */     // GIR_Coverage, 19785,
     /* 1324697 */     GIR_EraseRootFromParent_Done,
     /* 1324698 */   // Label 18921: @1324698
     /* 1324698 */   GIM_Try, /*On fail goto*//*Label 18922*/ GIMT_Encode4(1324782), // Rule ID 19786 //
     /* 1324703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1324706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1324714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1324717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1324720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1324723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324756 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1324759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324781 */     // GIR_Coverage, 19786,
     /* 1324781 */     GIR_EraseRootFromParent_Done,
     /* 1324782 */   // Label 18922: @1324782
     /* 1324782 */   GIM_Try, /*On fail goto*//*Label 18923*/ GIMT_Encode4(1324866), // Rule ID 19789 //
     /* 1324787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1324790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1324798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1324801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1324804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1324807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1324810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324840 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1324843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324865 */     // GIR_Coverage, 19789,
     /* 1324865 */     GIR_EraseRootFromParent_Done,
     /* 1324866 */   // Label 18923: @1324866
     /* 1324866 */   GIM_Try, /*On fail goto*//*Label 18924*/ GIMT_Encode4(1324950), // Rule ID 19790 //
     /* 1324871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1324874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1324882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1324885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1324888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1324891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1324894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324924 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1324927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324949 */     // GIR_Coverage, 19790,
     /* 1324949 */     GIR_EraseRootFromParent_Done,
     /* 1324950 */   // Label 18924: @1324950
     /* 1324950 */   GIM_Try, /*On fail goto*//*Label 18925*/ GIMT_Encode4(1325034), // Rule ID 19793 //
     /* 1324955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1324958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1324963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1324972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1324975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1325011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325033 */     // GIR_Coverage, 19793,
     /* 1325033 */     GIR_EraseRootFromParent_Done,
     /* 1325034 */   // Label 18925: @1325034
     /* 1325034 */   GIM_Try, /*On fail goto*//*Label 18926*/ GIMT_Encode4(1325118), // Rule ID 19794 //
     /* 1325039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1325042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1325050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1325053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1325056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1325059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1325062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325092 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1325095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325117 */     // GIR_Coverage, 19794,
     /* 1325117 */     GIR_EraseRootFromParent_Done,
     /* 1325118 */   // Label 18926: @1325118
     /* 1325118 */   GIM_Try, /*On fail goto*//*Label 18927*/ GIMT_Encode4(1325202), // Rule ID 19797 //
     /* 1325123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1325126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1325134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1325137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1325140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1325143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325176 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1325179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325201 */     // GIR_Coverage, 19797,
     /* 1325201 */     GIR_EraseRootFromParent_Done,
     /* 1325202 */   // Label 18927: @1325202
     /* 1325202 */   GIM_Try, /*On fail goto*//*Label 18928*/ GIMT_Encode4(1325286), // Rule ID 19798 //
     /* 1325207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1325210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1325218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1325221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1325224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1325227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325260 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1325263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325285 */     // GIR_Coverage, 19798,
     /* 1325285 */     GIR_EraseRootFromParent_Done,
     /* 1325286 */   // Label 18928: @1325286
     /* 1325286 */   GIM_Try, /*On fail goto*//*Label 18929*/ GIMT_Encode4(1325370), // Rule ID 19801 //
     /* 1325291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1325294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1325302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1325305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1325308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1325311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325344 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1325347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325369 */     // GIR_Coverage, 19801,
     /* 1325369 */     GIR_EraseRootFromParent_Done,
     /* 1325370 */   // Label 18929: @1325370
     /* 1325370 */   GIM_Try, /*On fail goto*//*Label 18930*/ GIMT_Encode4(1325454), // Rule ID 19802 //
     /* 1325375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1325378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1325386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1325389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1325392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1325395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325428 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1325431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325453 */     // GIR_Coverage, 19802,
     /* 1325453 */     GIR_EraseRootFromParent_Done,
     /* 1325454 */   // Label 18930: @1325454
     /* 1325454 */   GIM_Try, /*On fail goto*//*Label 18931*/ GIMT_Encode4(1325538), // Rule ID 19805 //
     /* 1325459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1325470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1325473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1325476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1325479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1325482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1325501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325512 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1325515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325537 */     // GIR_Coverage, 19805,
     /* 1325537 */     GIR_EraseRootFromParent_Done,
     /* 1325538 */   // Label 18931: @1325538
     /* 1325538 */   GIM_Try, /*On fail goto*//*Label 18932*/ GIMT_Encode4(1325622), // Rule ID 19806 //
     /* 1325543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1325546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1325554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1325557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1325560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1325563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1325566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1325585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325596 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1325599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325621 */     // GIR_Coverage, 19806,
     /* 1325621 */     GIR_EraseRootFromParent_Done,
     /* 1325622 */   // Label 18932: @1325622
     /* 1325622 */   GIM_Try, /*On fail goto*//*Label 18933*/ GIMT_Encode4(1325706), // Rule ID 19809 //
     /* 1325627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1325638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1325641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1325644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1325647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1325650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1325669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325680 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1325683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325705 */     // GIR_Coverage, 19809,
     /* 1325705 */     GIR_EraseRootFromParent_Done,
     /* 1325706 */   // Label 18933: @1325706
     /* 1325706 */   GIM_Try, /*On fail goto*//*Label 18934*/ GIMT_Encode4(1325790), // Rule ID 19810 //
     /* 1325711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1325714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1325722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1325725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1325728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1325731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1325734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1325753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325764 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1325767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325789 */     // GIR_Coverage, 19810,
     /* 1325789 */     GIR_EraseRootFromParent_Done,
     /* 1325790 */   // Label 18934: @1325790
     /* 1325790 */   GIM_Try, /*On fail goto*//*Label 18935*/ GIMT_Encode4(1325874), // Rule ID 19813 //
     /* 1325795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1325798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1325806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1325809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1325812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1325815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1325818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1325837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325848 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1325851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325873 */     // GIR_Coverage, 19813,
     /* 1325873 */     GIR_EraseRootFromParent_Done,
     /* 1325874 */   // Label 18935: @1325874
     /* 1325874 */   GIM_Try, /*On fail goto*//*Label 18936*/ GIMT_Encode4(1325958), // Rule ID 19814 //
     /* 1325879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1325882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1325890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1325893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1325896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1325899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1325902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1325921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325932 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1325935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325957 */     // GIR_Coverage, 19814,
     /* 1325957 */     GIR_EraseRootFromParent_Done,
     /* 1325958 */   // Label 18936: @1325958
     /* 1325958 */   GIM_Try, /*On fail goto*//*Label 18937*/ GIMT_Encode4(1326042), // Rule ID 19817 //
     /* 1325963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1325971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1325974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1325977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1325980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1325983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326016 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1326019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326041 */     // GIR_Coverage, 19817,
     /* 1326041 */     GIR_EraseRootFromParent_Done,
     /* 1326042 */   // Label 18937: @1326042
     /* 1326042 */   GIM_Try, /*On fail goto*//*Label 18938*/ GIMT_Encode4(1326126), // Rule ID 19818 //
     /* 1326047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1326064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326100 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1326103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326125 */     // GIR_Coverage, 19818,
     /* 1326125 */     GIR_EraseRootFromParent_Done,
     /* 1326126 */   // Label 18938: @1326126
     /* 1326126 */   GIM_Try, /*On fail goto*//*Label 18939*/ GIMT_Encode4(1326210), // Rule ID 19821 //
     /* 1326131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1326134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1326148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1326151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1326173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326184 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1326187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326209 */     // GIR_Coverage, 19821,
     /* 1326209 */     GIR_EraseRootFromParent_Done,
     /* 1326210 */   // Label 18939: @1326210
     /* 1326210 */   GIM_Try, /*On fail goto*//*Label 18940*/ GIMT_Encode4(1326294), // Rule ID 19822 //
     /* 1326215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1326218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1326232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1326235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1326257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326268 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1326271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326293 */     // GIR_Coverage, 19822,
     /* 1326293 */     GIR_EraseRootFromParent_Done,
     /* 1326294 */   // Label 18940: @1326294
     /* 1326294 */   GIM_Try, /*On fail goto*//*Label 18941*/ GIMT_Encode4(1326378), // Rule ID 19825 //
     /* 1326299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1326302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1326316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1326319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1326341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326352 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1326355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326377 */     // GIR_Coverage, 19825,
     /* 1326377 */     GIR_EraseRootFromParent_Done,
     /* 1326378 */   // Label 18941: @1326378
     /* 1326378 */   GIM_Try, /*On fail goto*//*Label 18942*/ GIMT_Encode4(1326462), // Rule ID 19826 //
     /* 1326383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1326386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1326400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1326403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1326425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326436 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1326439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326461 */     // GIR_Coverage, 19826,
     /* 1326461 */     GIR_EraseRootFromParent_Done,
     /* 1326462 */   // Label 18942: @1326462
     /* 1326462 */   GIM_Try, /*On fail goto*//*Label 18943*/ GIMT_Encode4(1326546), // Rule ID 19829 //
     /* 1326467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1326470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1326478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1326481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1326484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326520 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1326523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326545 */     // GIR_Coverage, 19829,
     /* 1326545 */     GIR_EraseRootFromParent_Done,
     /* 1326546 */   // Label 18943: @1326546
     /* 1326546 */   GIM_Try, /*On fail goto*//*Label 18944*/ GIMT_Encode4(1326630), // Rule ID 19830 //
     /* 1326551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1326562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1326565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1326568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326604 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1326607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326629 */     // GIR_Coverage, 19830,
     /* 1326629 */     GIR_EraseRootFromParent_Done,
     /* 1326630 */   // Label 18944: @1326630
     /* 1326630 */   GIM_Try, /*On fail goto*//*Label 18945*/ GIMT_Encode4(1326714), // Rule ID 19833 //
     /* 1326635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1326638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1326646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1326649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1326652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1326658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326688 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1326691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326713 */     // GIR_Coverage, 19833,
     /* 1326713 */     GIR_EraseRootFromParent_Done,
     /* 1326714 */   // Label 18945: @1326714
     /* 1326714 */   GIM_Try, /*On fail goto*//*Label 18946*/ GIMT_Encode4(1326798), // Rule ID 19834 //
     /* 1326719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1326730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1326733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1326736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1326742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326772 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1326775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326797 */     // GIR_Coverage, 19834,
     /* 1326797 */     GIR_EraseRootFromParent_Done,
     /* 1326798 */   // Label 18946: @1326798
     /* 1326798 */   GIM_Try, /*On fail goto*//*Label 18947*/ GIMT_Encode4(1326882), // Rule ID 19837 //
     /* 1326803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1326806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1326814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1326817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1326820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1326826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326856 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1326859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326881 */     // GIR_Coverage, 19837,
     /* 1326881 */     GIR_EraseRootFromParent_Done,
     /* 1326882 */   // Label 18947: @1326882
     /* 1326882 */   GIM_Try, /*On fail goto*//*Label 18948*/ GIMT_Encode4(1326966), // Rule ID 19838 //
     /* 1326887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1326898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1326901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1326904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1326910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326940 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1326943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326965 */     // GIR_Coverage, 19838,
     /* 1326965 */     GIR_EraseRootFromParent_Done,
     /* 1326966 */   // Label 18948: @1326966
     /* 1326966 */   GIM_Try, /*On fail goto*//*Label 18949*/ GIMT_Encode4(1327050), // Rule ID 19841 //
     /* 1326971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1326974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1326979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1326988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1326991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327024 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1327027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327049 */     // GIR_Coverage, 19841,
     /* 1327049 */     GIR_EraseRootFromParent_Done,
     /* 1327050 */   // Label 18949: @1327050
     /* 1327050 */   GIM_Try, /*On fail goto*//*Label 18950*/ GIMT_Encode4(1327134), // Rule ID 19842 //
     /* 1327055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1327072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327108 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1327111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327133 */     // GIR_Coverage, 19842,
     /* 1327133 */     GIR_EraseRootFromParent_Done,
     /* 1327134 */   // Label 18950: @1327134
     /* 1327134 */   GIM_Try, /*On fail goto*//*Label 18951*/ GIMT_Encode4(1327218), // Rule ID 19845 //
     /* 1327139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1327142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1327156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327192 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1327195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327217 */     // GIR_Coverage, 19845,
     /* 1327217 */     GIR_EraseRootFromParent_Done,
     /* 1327218 */   // Label 18951: @1327218
     /* 1327218 */   GIM_Try, /*On fail goto*//*Label 18952*/ GIMT_Encode4(1327302), // Rule ID 19846 //
     /* 1327223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1327240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327276 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1327279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327301 */     // GIR_Coverage, 19846,
     /* 1327301 */     GIR_EraseRootFromParent_Done,
     /* 1327302 */   // Label 18952: @1327302
     /* 1327302 */   GIM_Try, /*On fail goto*//*Label 18953*/ GIMT_Encode4(1327386), // Rule ID 19849 //
     /* 1327307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1327310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1327318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1327321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1327324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1327330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327360 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1327363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327385 */     // GIR_Coverage, 19849,
     /* 1327385 */     GIR_EraseRootFromParent_Done,
     /* 1327386 */   // Label 18953: @1327386
     /* 1327386 */   GIM_Try, /*On fail goto*//*Label 18954*/ GIMT_Encode4(1327470), // Rule ID 19850 //
     /* 1327391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1327402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1327405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1327408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1327414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327444 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1327447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327469 */     // GIR_Coverage, 19850,
     /* 1327469 */     GIR_EraseRootFromParent_Done,
     /* 1327470 */   // Label 18954: @1327470
     /* 1327470 */   GIM_Try, /*On fail goto*//*Label 18955*/ GIMT_Encode4(1327554), // Rule ID 19853 //
     /* 1327475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1327478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1327486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1327489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1327492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1327517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327528 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1327531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327553 */     // GIR_Coverage, 19853,
     /* 1327553 */     GIR_EraseRootFromParent_Done,
     /* 1327554 */   // Label 18955: @1327554
     /* 1327554 */   GIM_Try, /*On fail goto*//*Label 18956*/ GIMT_Encode4(1327638), // Rule ID 19854 //
     /* 1327559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1327562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1327570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1327573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1327576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1327601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327612 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1327615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327637 */     // GIR_Coverage, 19854,
     /* 1327637 */     GIR_EraseRootFromParent_Done,
     /* 1327638 */   // Label 18956: @1327638
     /* 1327638 */   GIM_Try, /*On fail goto*//*Label 18957*/ GIMT_Encode4(1327722), // Rule ID 19857 //
     /* 1327643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1327646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1327660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1327685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327696 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1327699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327721 */     // GIR_Coverage, 19857,
     /* 1327721 */     GIR_EraseRootFromParent_Done,
     /* 1327722 */   // Label 18957: @1327722
     /* 1327722 */   GIM_Try, /*On fail goto*//*Label 18958*/ GIMT_Encode4(1327806), // Rule ID 19858 //
     /* 1327727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1327730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1327744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1327769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327780 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1327783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327805 */     // GIR_Coverage, 19858,
     /* 1327805 */     GIR_EraseRootFromParent_Done,
     /* 1327806 */   // Label 18958: @1327806
     /* 1327806 */   GIM_Try, /*On fail goto*//*Label 18959*/ GIMT_Encode4(1327890), // Rule ID 19861 //
     /* 1327811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1327814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1327828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1327853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327864 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1327867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327889 */     // GIR_Coverage, 19861,
     /* 1327889 */     GIR_EraseRootFromParent_Done,
     /* 1327890 */   // Label 18959: @1327890
     /* 1327890 */   GIM_Try, /*On fail goto*//*Label 18960*/ GIMT_Encode4(1327974), // Rule ID 19862 //
     /* 1327895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1327898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1327903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1327912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1327937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327948 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1327951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327973 */     // GIR_Coverage, 19862,
     /* 1327973 */     GIR_EraseRootFromParent_Done,
     /* 1327974 */   // Label 18960: @1327974
     /* 1327974 */   GIM_Try, /*On fail goto*//*Label 18961*/ GIMT_Encode4(1328058), // Rule ID 19865 //
     /* 1327979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1327987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1327990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1327993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1327996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1327999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328032 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1328035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328057 */     // GIR_Coverage, 19865,
     /* 1328057 */     GIR_EraseRootFromParent_Done,
     /* 1328058 */   // Label 18961: @1328058
     /* 1328058 */   GIM_Try, /*On fail goto*//*Label 18962*/ GIMT_Encode4(1328142), // Rule ID 19866 //
     /* 1328063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1328071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1328074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1328077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1328080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1328083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328116 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1328119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328141 */     // GIR_Coverage, 19866,
     /* 1328141 */     GIR_EraseRootFromParent_Done,
     /* 1328142 */   // Label 18962: @1328142
     /* 1328142 */   GIM_Try, /*On fail goto*//*Label 18963*/ GIMT_Encode4(1328226), // Rule ID 19869 //
     /* 1328147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1328155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1328164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1328167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328200 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1328203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328225 */     // GIR_Coverage, 19869,
     /* 1328225 */     GIR_EraseRootFromParent_Done,
     /* 1328226 */   // Label 18963: @1328226
     /* 1328226 */   GIM_Try, /*On fail goto*//*Label 18964*/ GIMT_Encode4(1328310), // Rule ID 19870 //
     /* 1328231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1328239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1328248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1328251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328284 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1328287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328309 */     // GIR_Coverage, 19870,
     /* 1328309 */     GIR_EraseRootFromParent_Done,
     /* 1328310 */   // Label 18964: @1328310
     /* 1328310 */   GIM_Try, /*On fail goto*//*Label 18965*/ GIMT_Encode4(1328394), // Rule ID 19873 //
     /* 1328315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1328318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1328323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1328326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1328329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1328332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1328335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328368 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1328371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328393 */     // GIR_Coverage, 19873,
     /* 1328393 */     GIR_EraseRootFromParent_Done,
     /* 1328394 */   // Label 18965: @1328394
     /* 1328394 */   GIM_Try, /*On fail goto*//*Label 18966*/ GIMT_Encode4(1328478), // Rule ID 19874 //
     /* 1328399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1328402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1328407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1328410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1328413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1328416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1328419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328452 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1328455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328477 */     // GIR_Coverage, 19874,
     /* 1328477 */     GIR_EraseRootFromParent_Done,
     /* 1328478 */   // Label 18966: @1328478
     /* 1328478 */   GIM_Try, /*On fail goto*//*Label 18967*/ GIMT_Encode4(1328562), // Rule ID 19877 //
     /* 1328483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1328491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1328500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1328503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328536 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1328539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328561 */     // GIR_Coverage, 19877,
     /* 1328561 */     GIR_EraseRootFromParent_Done,
     /* 1328562 */   // Label 18967: @1328562
     /* 1328562 */   GIM_Try, /*On fail goto*//*Label 18968*/ GIMT_Encode4(1328646), // Rule ID 19878 //
     /* 1328567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1328575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1328584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1328587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328620 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1328623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328645 */     // GIR_Coverage, 19878,
     /* 1328645 */     GIR_EraseRootFromParent_Done,
     /* 1328646 */   // Label 18968: @1328646
     /* 1328646 */   GIM_Try, /*On fail goto*//*Label 18969*/ GIMT_Encode4(1328730), // Rule ID 19881 //
     /* 1328651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1328654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1328659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1328668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1328671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328704 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1328707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328729 */     // GIR_Coverage, 19881,
     /* 1328729 */     GIR_EraseRootFromParent_Done,
     /* 1328730 */   // Label 18969: @1328730
     /* 1328730 */   GIM_Try, /*On fail goto*//*Label 18970*/ GIMT_Encode4(1328814), // Rule ID 19882 //
     /* 1328735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1328738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1328743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1328752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1328755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328788 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1328791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328813 */     // GIR_Coverage, 19882,
     /* 1328813 */     GIR_EraseRootFromParent_Done,
     /* 1328814 */   // Label 18970: @1328814
     /* 1328814 */   GIM_Try, /*On fail goto*//*Label 18971*/ GIMT_Encode4(1328898), // Rule ID 19885 //
     /* 1328819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1328822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1328827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1328830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1328833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1328836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1328839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328872 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1328875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328897 */     // GIR_Coverage, 19885,
     /* 1328897 */     GIR_EraseRootFromParent_Done,
     /* 1328898 */   // Label 18971: @1328898
     /* 1328898 */   GIM_Try, /*On fail goto*//*Label 18972*/ GIMT_Encode4(1328982), // Rule ID 19886 //
     /* 1328903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1328906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1328911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1328914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1328917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1328920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1328923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328956 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1328959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328981 */     // GIR_Coverage, 19886,
     /* 1328981 */     GIR_EraseRootFromParent_Done,
     /* 1328982 */   // Label 18972: @1328982
     /* 1328982 */   GIM_Try, /*On fail goto*//*Label 18973*/ GIMT_Encode4(1329066), // Rule ID 19889 //
     /* 1328987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1328995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1329004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1329007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329040 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1329043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329065 */     // GIR_Coverage, 19889,
     /* 1329065 */     GIR_EraseRootFromParent_Done,
     /* 1329066 */   // Label 18973: @1329066
     /* 1329066 */   GIM_Try, /*On fail goto*//*Label 18974*/ GIMT_Encode4(1329150), // Rule ID 19890 //
     /* 1329071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1329088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1329091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329124 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1329127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329149 */     // GIR_Coverage, 19890,
     /* 1329149 */     GIR_EraseRootFromParent_Done,
     /* 1329150 */   // Label 18974: @1329150
     /* 1329150 */   GIM_Try, /*On fail goto*//*Label 18975*/ GIMT_Encode4(1329234), // Rule ID 19893 //
     /* 1329155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1329166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1329169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1329172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1329175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329208 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1329211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329233 */     // GIR_Coverage, 19893,
     /* 1329233 */     GIR_EraseRootFromParent_Done,
     /* 1329234 */   // Label 18975: @1329234
     /* 1329234 */   GIM_Try, /*On fail goto*//*Label 18976*/ GIMT_Encode4(1329318), // Rule ID 19894 //
     /* 1329239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1329250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1329253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1329256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1329259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329292 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1329295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329317 */     // GIR_Coverage, 19894,
     /* 1329317 */     GIR_EraseRootFromParent_Done,
     /* 1329318 */   // Label 18976: @1329318
     /* 1329318 */   GIM_Try, /*On fail goto*//*Label 18977*/ GIMT_Encode4(1329402), // Rule ID 19897 //
     /* 1329323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1329334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1329337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1329340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1329343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1329346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329376 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1329379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329401 */     // GIR_Coverage, 19897,
     /* 1329401 */     GIR_EraseRootFromParent_Done,
     /* 1329402 */   // Label 18977: @1329402
     /* 1329402 */   GIM_Try, /*On fail goto*//*Label 18978*/ GIMT_Encode4(1329486), // Rule ID 19898 //
     /* 1329407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1329418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1329421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1329424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1329427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1329430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329460 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1329463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329485 */     // GIR_Coverage, 19898,
     /* 1329485 */     GIR_EraseRootFromParent_Done,
     /* 1329486 */   // Label 18978: @1329486
     /* 1329486 */   GIM_Try, /*On fail goto*//*Label 18979*/ GIMT_Encode4(1329570), // Rule ID 19901 //
     /* 1329491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1329494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1329502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1329505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1329508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1329511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329544 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1329547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329569 */     // GIR_Coverage, 19901,
     /* 1329569 */     GIR_EraseRootFromParent_Done,
     /* 1329570 */   // Label 18979: @1329570
     /* 1329570 */   GIM_Try, /*On fail goto*//*Label 18980*/ GIMT_Encode4(1329654), // Rule ID 19902 //
     /* 1329575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1329578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1329586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1329589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1329592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1329595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329628 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1329631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329653 */     // GIR_Coverage, 19902,
     /* 1329653 */     GIR_EraseRootFromParent_Done,
     /* 1329654 */   // Label 18980: @1329654
     /* 1329654 */   GIM_Try, /*On fail goto*//*Label 18981*/ GIMT_Encode4(1329738), // Rule ID 19905 //
     /* 1329659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1329662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1329676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1329679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329712 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1329715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329737 */     // GIR_Coverage, 19905,
     /* 1329737 */     GIR_EraseRootFromParent_Done,
     /* 1329738 */   // Label 18981: @1329738
     /* 1329738 */   GIM_Try, /*On fail goto*//*Label 18982*/ GIMT_Encode4(1329822), // Rule ID 19906 //
     /* 1329743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1329746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1329760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1329763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329796 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1329799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329821 */     // GIR_Coverage, 19906,
     /* 1329821 */     GIR_EraseRootFromParent_Done,
     /* 1329822 */   // Label 18982: @1329822
     /* 1329822 */   GIM_Try, /*On fail goto*//*Label 18983*/ GIMT_Encode4(1329906), // Rule ID 19909 //
     /* 1329827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1329830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1329838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1329841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1329844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1329847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329880 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1329883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329905 */     // GIR_Coverage, 19909,
     /* 1329905 */     GIR_EraseRootFromParent_Done,
     /* 1329906 */   // Label 18983: @1329906
     /* 1329906 */   GIM_Try, /*On fail goto*//*Label 18984*/ GIMT_Encode4(1329990), // Rule ID 19910 //
     /* 1329911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1329914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1329919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1329922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1329925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1329928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1329931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329964 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1329967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329989 */     // GIR_Coverage, 19910,
     /* 1329989 */     GIR_EraseRootFromParent_Done,
     /* 1329990 */   // Label 18984: @1329990
     /* 1329990 */   GIM_Try, /*On fail goto*//*Label 18985*/ GIMT_Encode4(1330074), // Rule ID 19913 //
     /* 1329995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1329998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1330006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1330009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1330012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1330015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330048 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1330051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330073 */     // GIR_Coverage, 19913,
     /* 1330073 */     GIR_EraseRootFromParent_Done,
     /* 1330074 */   // Label 18985: @1330074
     /* 1330074 */   GIM_Try, /*On fail goto*//*Label 18986*/ GIMT_Encode4(1330158), // Rule ID 19914 //
     /* 1330079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1330082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1330090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1330093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1330096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1330099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330132 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1330135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330157 */     // GIR_Coverage, 19914,
     /* 1330157 */     GIR_EraseRootFromParent_Done,
     /* 1330158 */   // Label 18986: @1330158
     /* 1330158 */   GIM_Try, /*On fail goto*//*Label 18987*/ GIMT_Encode4(1330242), // Rule ID 19917 //
     /* 1330163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1330166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1330180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1330183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330216 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1330219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330241 */     // GIR_Coverage, 19917,
     /* 1330241 */     GIR_EraseRootFromParent_Done,
     /* 1330242 */   // Label 18987: @1330242
     /* 1330242 */   GIM_Try, /*On fail goto*//*Label 18988*/ GIMT_Encode4(1330326), // Rule ID 19918 //
     /* 1330247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1330250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1330264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1330267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330300 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1330303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330325 */     // GIR_Coverage, 19918,
     /* 1330325 */     GIR_EraseRootFromParent_Done,
     /* 1330326 */   // Label 18988: @1330326
     /* 1330326 */   GIM_Try, /*On fail goto*//*Label 18989*/ GIMT_Encode4(1330410), // Rule ID 19921 //
     /* 1330331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1330334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1330348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1330351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330384 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1330387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330409 */     // GIR_Coverage, 19921,
     /* 1330409 */     GIR_EraseRootFromParent_Done,
     /* 1330410 */   // Label 18989: @1330410
     /* 1330410 */   GIM_Try, /*On fail goto*//*Label 18990*/ GIMT_Encode4(1330494), // Rule ID 19922 //
     /* 1330415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1330418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1330432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1330435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330468 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1330471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330493 */     // GIR_Coverage, 19922,
     /* 1330493 */     GIR_EraseRootFromParent_Done,
     /* 1330494 */   // Label 18990: @1330494
     /* 1330494 */   GIM_Try, /*On fail goto*//*Label 18991*/ GIMT_Encode4(1330578), // Rule ID 19925 //
     /* 1330499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1330516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1330519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1330541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330552 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1330555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330577 */     // GIR_Coverage, 19925,
     /* 1330577 */     GIR_EraseRootFromParent_Done,
     /* 1330578 */   // Label 18991: @1330578
     /* 1330578 */   GIM_Try, /*On fail goto*//*Label 18992*/ GIMT_Encode4(1330662), // Rule ID 19926 //
     /* 1330583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1330600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1330603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1330625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330636 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1330639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330661 */     // GIR_Coverage, 19926,
     /* 1330661 */     GIR_EraseRootFromParent_Done,
     /* 1330662 */   // Label 18992: @1330662
     /* 1330662 */   GIM_Try, /*On fail goto*//*Label 18993*/ GIMT_Encode4(1330746), // Rule ID 19929 //
     /* 1330667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1330678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1330681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1330684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1330687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1330709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330720 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1330723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330745 */     // GIR_Coverage, 19929,
     /* 1330745 */     GIR_EraseRootFromParent_Done,
     /* 1330746 */   // Label 18993: @1330746
     /* 1330746 */   GIM_Try, /*On fail goto*//*Label 18994*/ GIMT_Encode4(1330830), // Rule ID 19930 //
     /* 1330751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1330762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1330765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1330768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1330771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1330793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330804 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1330807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330829 */     // GIR_Coverage, 19930,
     /* 1330829 */     GIR_EraseRootFromParent_Done,
     /* 1330830 */   // Label 18994: @1330830
     /* 1330830 */   GIM_Try, /*On fail goto*//*Label 18995*/ GIMT_Encode4(1330914), // Rule ID 19933 //
     /* 1330835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1330838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1330852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1330877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330888 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1330891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330913 */     // GIR_Coverage, 19933,
     /* 1330913 */     GIR_EraseRootFromParent_Done,
     /* 1330914 */   // Label 18995: @1330914
     /* 1330914 */   GIM_Try, /*On fail goto*//*Label 18996*/ GIMT_Encode4(1330998), // Rule ID 19934 //
     /* 1330919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1330927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1330936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1330961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330972 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1330975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330997 */     // GIR_Coverage, 19934,
     /* 1330997 */     GIR_EraseRootFromParent_Done,
     /* 1330998 */   // Label 18996: @1330998
     /* 1330998 */   GIM_Try, /*On fail goto*//*Label 18997*/ GIMT_Encode4(1331082), // Rule ID 19937 //
     /* 1331003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1331020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331056 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1331059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331081 */     // GIR_Coverage, 19937,
     /* 1331081 */     GIR_EraseRootFromParent_Done,
     /* 1331082 */   // Label 18997: @1331082
     /* 1331082 */   GIM_Try, /*On fail goto*//*Label 18998*/ GIMT_Encode4(1331166), // Rule ID 19938 //
     /* 1331087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1331104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331140 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1331143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331165 */     // GIR_Coverage, 19938,
     /* 1331165 */     GIR_EraseRootFromParent_Done,
     /* 1331166 */   // Label 18998: @1331166
     /* 1331166 */   GIM_Try, /*On fail goto*//*Label 18999*/ GIMT_Encode4(1331250), // Rule ID 19941 //
     /* 1331171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1331174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1331188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1331191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1331213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331224 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1331227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331249 */     // GIR_Coverage, 19941,
     /* 1331249 */     GIR_EraseRootFromParent_Done,
     /* 1331250 */   // Label 18999: @1331250
     /* 1331250 */   GIM_Try, /*On fail goto*//*Label 19000*/ GIMT_Encode4(1331334), // Rule ID 19942 //
     /* 1331255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1331258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1331272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1331275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1331297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331308 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1331311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331333 */     // GIR_Coverage, 19942,
     /* 1331333 */     GIR_EraseRootFromParent_Done,
     /* 1331334 */   // Label 19000: @1331334
     /* 1331334 */   GIM_Try, /*On fail goto*//*Label 19001*/ GIMT_Encode4(1331418), // Rule ID 19945 //
     /* 1331339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1331342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1331356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1331359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1331381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331392 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1331395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331417 */     // GIR_Coverage, 19945,
     /* 1331417 */     GIR_EraseRootFromParent_Done,
     /* 1331418 */   // Label 19001: @1331418
     /* 1331418 */   GIM_Try, /*On fail goto*//*Label 19002*/ GIMT_Encode4(1331502), // Rule ID 19946 //
     /* 1331423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1331426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1331440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1331443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1331465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331476 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1331479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331501 */     // GIR_Coverage, 19946,
     /* 1331501 */     GIR_EraseRootFromParent_Done,
     /* 1331502 */   // Label 19002: @1331502
     /* 1331502 */   GIM_Try, /*On fail goto*//*Label 19003*/ GIMT_Encode4(1331586), // Rule ID 19949 //
     /* 1331507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1331524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331560 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1331563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331585 */     // GIR_Coverage, 19949,
     /* 1331585 */     GIR_EraseRootFromParent_Done,
     /* 1331586 */   // Label 19003: @1331586
     /* 1331586 */   GIM_Try, /*On fail goto*//*Label 19004*/ GIMT_Encode4(1331670), // Rule ID 19950 //
     /* 1331591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1331608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331644 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1331647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331669 */     // GIR_Coverage, 19950,
     /* 1331669 */     GIR_EraseRootFromParent_Done,
     /* 1331670 */   // Label 19004: @1331670
     /* 1331670 */   GIM_Try, /*On fail goto*//*Label 19005*/ GIMT_Encode4(1331754), // Rule ID 19953 //
     /* 1331675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1331686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1331689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1331692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1331698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331728 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1331731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331753 */     // GIR_Coverage, 19953,
     /* 1331753 */     GIR_EraseRootFromParent_Done,
     /* 1331754 */   // Label 19005: @1331754
     /* 1331754 */   GIM_Try, /*On fail goto*//*Label 19006*/ GIMT_Encode4(1331838), // Rule ID 19954 //
     /* 1331759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1331770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1331773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1331776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1331782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331812 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1331815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331837 */     // GIR_Coverage, 19954,
     /* 1331837 */     GIR_EraseRootFromParent_Done,
     /* 1331838 */   // Label 19006: @1331838
     /* 1331838 */   GIM_Try, /*On fail goto*//*Label 19007*/ GIMT_Encode4(1331922), // Rule ID 19957 //
     /* 1331843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1331854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1331857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1331860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1331866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331896 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1331899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331921 */     // GIR_Coverage, 19957,
     /* 1331921 */     GIR_EraseRootFromParent_Done,
     /* 1331922 */   // Label 19007: @1331922
     /* 1331922 */   GIM_Try, /*On fail goto*//*Label 19008*/ GIMT_Encode4(1332006), // Rule ID 19958 //
     /* 1331927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1331935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1331938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1331941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1331944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1331950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331980 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1331983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332005 */     // GIR_Coverage, 19958,
     /* 1332005 */     GIR_EraseRootFromParent_Done,
     /* 1332006 */   // Label 19008: @1332006
     /* 1332006 */   GIM_Try, /*On fail goto*//*Label 19009*/ GIMT_Encode4(1332090), // Rule ID 19961 //
     /* 1332011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1332028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332064 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1332067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332089 */     // GIR_Coverage, 19961,
     /* 1332089 */     GIR_EraseRootFromParent_Done,
     /* 1332090 */   // Label 19009: @1332090
     /* 1332090 */   GIM_Try, /*On fail goto*//*Label 19010*/ GIMT_Encode4(1332174), // Rule ID 19962 //
     /* 1332095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1332112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332148 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1332151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332173 */     // GIR_Coverage, 19962,
     /* 1332173 */     GIR_EraseRootFromParent_Done,
     /* 1332174 */   // Label 19010: @1332174
     /* 1332174 */   GIM_Try, /*On fail goto*//*Label 19011*/ GIMT_Encode4(1332258), // Rule ID 19965 //
     /* 1332179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1332196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332232 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1332235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332257 */     // GIR_Coverage, 19965,
     /* 1332257 */     GIR_EraseRootFromParent_Done,
     /* 1332258 */   // Label 19011: @1332258
     /* 1332258 */   GIM_Try, /*On fail goto*//*Label 19012*/ GIMT_Encode4(1332342), // Rule ID 19966 //
     /* 1332263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1332280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332316 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1332319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332341 */     // GIR_Coverage, 19966,
     /* 1332341 */     GIR_EraseRootFromParent_Done,
     /* 1332342 */   // Label 19012: @1332342
     /* 1332342 */   GIM_Try, /*On fail goto*//*Label 19013*/ GIMT_Encode4(1332426), // Rule ID 19969 //
     /* 1332347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1332358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1332361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1332364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332400 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1332403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332425 */     // GIR_Coverage, 19969,
     /* 1332425 */     GIR_EraseRootFromParent_Done,
     /* 1332426 */   // Label 19013: @1332426
     /* 1332426 */   GIM_Try, /*On fail goto*//*Label 19014*/ GIMT_Encode4(1332510), // Rule ID 19970 //
     /* 1332431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1332442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1332445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1332448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332484 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1332487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332509 */     // GIR_Coverage, 19970,
     /* 1332509 */     GIR_EraseRootFromParent_Done,
     /* 1332510 */   // Label 19014: @1332510
     /* 1332510 */   GIM_Try, /*On fail goto*//*Label 19015*/ GIMT_Encode4(1332594), // Rule ID 19973 //
     /* 1332515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1332518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1332532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1332557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332568 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1332571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332593 */     // GIR_Coverage, 19973,
     /* 1332593 */     GIR_EraseRootFromParent_Done,
     /* 1332594 */   // Label 19015: @1332594
     /* 1332594 */   GIM_Try, /*On fail goto*//*Label 19016*/ GIMT_Encode4(1332678), // Rule ID 19974 //
     /* 1332599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1332602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1332616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1332641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332652 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1332655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332677 */     // GIR_Coverage, 19974,
     /* 1332677 */     GIR_EraseRootFromParent_Done,
     /* 1332678 */   // Label 19016: @1332678
     /* 1332678 */   GIM_Try, /*On fail goto*//*Label 19017*/ GIMT_Encode4(1332762), // Rule ID 19977 //
     /* 1332683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1332686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1332700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1332725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332736 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1332739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332761 */     // GIR_Coverage, 19977,
     /* 1332761 */     GIR_EraseRootFromParent_Done,
     /* 1332762 */   // Label 19017: @1332762
     /* 1332762 */   GIM_Try, /*On fail goto*//*Label 19018*/ GIMT_Encode4(1332846), // Rule ID 19978 //
     /* 1332767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1332770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1332784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1332809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332820 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1332823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332845 */     // GIR_Coverage, 19978,
     /* 1332845 */     GIR_EraseRootFromParent_Done,
     /* 1332846 */   // Label 19018: @1332846
     /* 1332846 */   GIM_Try, /*On fail goto*//*Label 19019*/ GIMT_Encode4(1332930), // Rule ID 19981 //
     /* 1332851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1332854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1332868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1332893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332904 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1332907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332929 */     // GIR_Coverage, 19981,
     /* 1332929 */     GIR_EraseRootFromParent_Done,
     /* 1332930 */   // Label 19019: @1332930
     /* 1332930 */   GIM_Try, /*On fail goto*//*Label 19020*/ GIMT_Encode4(1333014), // Rule ID 19982 //
     /* 1332935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1332938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1332943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1332952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1332977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332988 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1332991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333013 */     // GIR_Coverage, 19982,
     /* 1333013 */     GIR_EraseRootFromParent_Done,
     /* 1333014 */   // Label 19020: @1333014
     /* 1333014 */   GIM_Try, /*On fail goto*//*Label 19021*/ GIMT_Encode4(1333098), // Rule ID 19985 //
     /* 1333019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1333027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1333036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1333039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333072 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1333075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333097 */     // GIR_Coverage, 19985,
     /* 1333097 */     GIR_EraseRootFromParent_Done,
     /* 1333098 */   // Label 19021: @1333098
     /* 1333098 */   GIM_Try, /*On fail goto*//*Label 19022*/ GIMT_Encode4(1333182), // Rule ID 19986 //
     /* 1333103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1333111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1333120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1333123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333156 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1333159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333181 */     // GIR_Coverage, 19986,
     /* 1333181 */     GIR_EraseRootFromParent_Done,
     /* 1333182 */   // Label 19022: @1333182
     /* 1333182 */   GIM_Try, /*On fail goto*//*Label 19023*/ GIMT_Encode4(1333266), // Rule ID 19989 //
     /* 1333187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1333195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1333204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1333207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333240 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1333243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333265 */     // GIR_Coverage, 19989,
     /* 1333265 */     GIR_EraseRootFromParent_Done,
     /* 1333266 */   // Label 19023: @1333266
     /* 1333266 */   GIM_Try, /*On fail goto*//*Label 19024*/ GIMT_Encode4(1333350), // Rule ID 19990 //
     /* 1333271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1333279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1333288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1333291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333324 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1333327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333349 */     // GIR_Coverage, 19990,
     /* 1333349 */     GIR_EraseRootFromParent_Done,
     /* 1333350 */   // Label 19024: @1333350
     /* 1333350 */   GIM_Try, /*On fail goto*//*Label 19025*/ GIMT_Encode4(1333434), // Rule ID 19993 //
     /* 1333355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1333363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1333372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1333375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333408 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1333411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333433 */     // GIR_Coverage, 19993,
     /* 1333433 */     GIR_EraseRootFromParent_Done,
     /* 1333434 */   // Label 19025: @1333434
     /* 1333434 */   GIM_Try, /*On fail goto*//*Label 19026*/ GIMT_Encode4(1333518), // Rule ID 19994 //
     /* 1333439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1333447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1333456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1333459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333492 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1333495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333517 */     // GIR_Coverage, 19994,
     /* 1333517 */     GIR_EraseRootFromParent_Done,
     /* 1333518 */   // Label 19026: @1333518
     /* 1333518 */   GIM_Try, /*On fail goto*//*Label 19027*/ GIMT_Encode4(1333602), // Rule ID 19997 //
     /* 1333523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1333531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1333540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1333543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333576 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1333579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333601 */     // GIR_Coverage, 19997,
     /* 1333601 */     GIR_EraseRootFromParent_Done,
     /* 1333602 */   // Label 19027: @1333602
     /* 1333602 */   GIM_Try, /*On fail goto*//*Label 19028*/ GIMT_Encode4(1333686), // Rule ID 19998 //
     /* 1333607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1333615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1333624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1333627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333660 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1333663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333685 */     // GIR_Coverage, 19998,
     /* 1333685 */     GIR_EraseRootFromParent_Done,
     /* 1333686 */   // Label 19028: @1333686
     /* 1333686 */   GIM_Try, /*On fail goto*//*Label 19029*/ GIMT_Encode4(1333770), // Rule ID 20001 //
     /* 1333691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1333699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1333708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1333711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333744 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1333747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333769 */     // GIR_Coverage, 20001,
     /* 1333769 */     GIR_EraseRootFromParent_Done,
     /* 1333770 */   // Label 19029: @1333770
     /* 1333770 */   GIM_Try, /*On fail goto*//*Label 19030*/ GIMT_Encode4(1333854), // Rule ID 20002 //
     /* 1333775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1333783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1333792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1333795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333828 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1333831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333853 */     // GIR_Coverage, 20002,
     /* 1333853 */     GIR_EraseRootFromParent_Done,
     /* 1333854 */   // Label 19030: @1333854
     /* 1333854 */   GIM_Try, /*On fail goto*//*Label 19031*/ GIMT_Encode4(1333938), // Rule ID 20005 //
     /* 1333859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1333862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1333867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1333876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1333879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333912 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1333915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333937 */     // GIR_Coverage, 20005,
     /* 1333937 */     GIR_EraseRootFromParent_Done,
     /* 1333938 */   // Label 19031: @1333938
     /* 1333938 */   GIM_Try, /*On fail goto*//*Label 19032*/ GIMT_Encode4(1334022), // Rule ID 20006 //
     /* 1333943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1333946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1333951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1333960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1333963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333996 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1333999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334021 */     // GIR_Coverage, 20006,
     /* 1334021 */     GIR_EraseRootFromParent_Done,
     /* 1334022 */   // Label 19032: @1334022
     /* 1334022 */   GIM_Try, /*On fail goto*//*Label 19033*/ GIMT_Encode4(1334106), // Rule ID 20009 //
     /* 1334027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1334044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1334047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334080 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1334083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334105 */     // GIR_Coverage, 20009,
     /* 1334105 */     GIR_EraseRootFromParent_Done,
     /* 1334106 */   // Label 19033: @1334106
     /* 1334106 */   GIM_Try, /*On fail goto*//*Label 19034*/ GIMT_Encode4(1334190), // Rule ID 20010 //
     /* 1334111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1334128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1334131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334164 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1334167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334189 */     // GIR_Coverage, 20010,
     /* 1334189 */     GIR_EraseRootFromParent_Done,
     /* 1334190 */   // Label 19034: @1334190
     /* 1334190 */   GIM_Try, /*On fail goto*//*Label 19035*/ GIMT_Encode4(1334274), // Rule ID 20013 //
     /* 1334195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1334206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1334209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1334212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1334215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1334218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334248 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1334251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334273 */     // GIR_Coverage, 20013,
     /* 1334273 */     GIR_EraseRootFromParent_Done,
     /* 1334274 */   // Label 19035: @1334274
     /* 1334274 */   GIM_Try, /*On fail goto*//*Label 19036*/ GIMT_Encode4(1334358), // Rule ID 20014 //
     /* 1334279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1334290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1334293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1334296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1334299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1334302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334332 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1334335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334357 */     // GIR_Coverage, 20014,
     /* 1334357 */     GIR_EraseRootFromParent_Done,
     /* 1334358 */   // Label 19036: @1334358
     /* 1334358 */   GIM_Try, /*On fail goto*//*Label 19037*/ GIMT_Encode4(1334442), // Rule ID 20017 //
     /* 1334363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1334374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1334377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1334380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1334383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1334386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334416 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1334419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334441 */     // GIR_Coverage, 20017,
     /* 1334441 */     GIR_EraseRootFromParent_Done,
     /* 1334442 */   // Label 19037: @1334442
     /* 1334442 */   GIM_Try, /*On fail goto*//*Label 19038*/ GIMT_Encode4(1334526), // Rule ID 20018 //
     /* 1334447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1334458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1334461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1334464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1334467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1334470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334500 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1334503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334525 */     // GIR_Coverage, 20018,
     /* 1334525 */     GIR_EraseRootFromParent_Done,
     /* 1334526 */   // Label 19038: @1334526
     /* 1334526 */   GIM_Try, /*On fail goto*//*Label 19039*/ GIMT_Encode4(1334610), // Rule ID 20021 //
     /* 1334531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1334548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1334551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334584 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1334587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334609 */     // GIR_Coverage, 20021,
     /* 1334609 */     GIR_EraseRootFromParent_Done,
     /* 1334610 */   // Label 19039: @1334610
     /* 1334610 */   GIM_Try, /*On fail goto*//*Label 19040*/ GIMT_Encode4(1334694), // Rule ID 20022 //
     /* 1334615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1334618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1334632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1334635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334668 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1334671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334693 */     // GIR_Coverage, 20022,
     /* 1334693 */     GIR_EraseRootFromParent_Done,
     /* 1334694 */   // Label 19040: @1334694
     /* 1334694 */   GIM_Try, /*On fail goto*//*Label 19041*/ GIMT_Encode4(1334778), // Rule ID 20025 //
     /* 1334699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1334716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1334719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334752 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1334755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334777 */     // GIR_Coverage, 20025,
     /* 1334777 */     GIR_EraseRootFromParent_Done,
     /* 1334778 */   // Label 19041: @1334778
     /* 1334778 */   GIM_Try, /*On fail goto*//*Label 19042*/ GIMT_Encode4(1334862), // Rule ID 20026 //
     /* 1334783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1334786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1334800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1334803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334836 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1334839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334861 */     // GIR_Coverage, 20026,
     /* 1334861 */     GIR_EraseRootFromParent_Done,
     /* 1334862 */   // Label 19042: @1334862
     /* 1334862 */   GIM_Try, /*On fail goto*//*Label 19043*/ GIMT_Encode4(1334946), // Rule ID 20029 //
     /* 1334867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1334878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1334881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1334884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1334887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1334890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334920 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1334923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334945 */     // GIR_Coverage, 20029,
     /* 1334945 */     GIR_EraseRootFromParent_Done,
     /* 1334946 */   // Label 19043: @1334946
     /* 1334946 */   GIM_Try, /*On fail goto*//*Label 19044*/ GIMT_Encode4(1335030), // Rule ID 20030 //
     /* 1334951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1334954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1334959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1334962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1334965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1334968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1334971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1334974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335004 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1335007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335029 */     // GIR_Coverage, 20030,
     /* 1335029 */     GIR_EraseRootFromParent_Done,
     /* 1335030 */   // Label 19044: @1335030
     /* 1335030 */   GIM_Try, /*On fail goto*//*Label 19045*/ GIMT_Encode4(1335114), // Rule ID 20033 //
     /* 1335035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1335038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1335052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1335055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335088 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1335091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335113 */     // GIR_Coverage, 20033,
     /* 1335113 */     GIR_EraseRootFromParent_Done,
     /* 1335114 */   // Label 19045: @1335114
     /* 1335114 */   GIM_Try, /*On fail goto*//*Label 19046*/ GIMT_Encode4(1335198), // Rule ID 20034 //
     /* 1335119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1335122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1335136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1335139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335172 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1335175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335197 */     // GIR_Coverage, 20034,
     /* 1335197 */     GIR_EraseRootFromParent_Done,
     /* 1335198 */   // Label 19046: @1335198
     /* 1335198 */   GIM_Try, /*On fail goto*//*Label 19047*/ GIMT_Encode4(1335282), // Rule ID 20037 //
     /* 1335203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1335206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1335220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1335223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335256 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1335259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335281 */     // GIR_Coverage, 20037,
     /* 1335281 */     GIR_EraseRootFromParent_Done,
     /* 1335282 */   // Label 19047: @1335282
     /* 1335282 */   GIM_Try, /*On fail goto*//*Label 19048*/ GIMT_Encode4(1335366), // Rule ID 20038 //
     /* 1335287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1335290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1335304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1335307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335340 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1335343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335365 */     // GIR_Coverage, 20038,
     /* 1335365 */     GIR_EraseRootFromParent_Done,
     /* 1335366 */   // Label 19048: @1335366
     /* 1335366 */   GIM_Try, /*On fail goto*//*Label 19049*/ GIMT_Encode4(1335450), // Rule ID 20041 //
     /* 1335371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1335374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1335388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1335391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335424 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1335427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335449 */     // GIR_Coverage, 20041,
     /* 1335449 */     GIR_EraseRootFromParent_Done,
     /* 1335450 */   // Label 19049: @1335450
     /* 1335450 */   GIM_Try, /*On fail goto*//*Label 19050*/ GIMT_Encode4(1335534), // Rule ID 20042 //
     /* 1335455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1335458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1335472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1335475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335508 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1335511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335533 */     // GIR_Coverage, 20042,
     /* 1335533 */     GIR_EraseRootFromParent_Done,
     /* 1335534 */   // Label 19050: @1335534
     /* 1335534 */   GIM_Try, /*On fail goto*//*Label 19051*/ GIMT_Encode4(1335618), // Rule ID 20045 //
     /* 1335539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1335556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1335559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1335581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335592 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1335595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335617 */     // GIR_Coverage, 20045,
     /* 1335617 */     GIR_EraseRootFromParent_Done,
     /* 1335618 */   // Label 19051: @1335618
     /* 1335618 */   GIM_Try, /*On fail goto*//*Label 19052*/ GIMT_Encode4(1335702), // Rule ID 20046 //
     /* 1335623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1335640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1335643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1335665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335676 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1335679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335701 */     // GIR_Coverage, 20046,
     /* 1335701 */     GIR_EraseRootFromParent_Done,
     /* 1335702 */   // Label 19052: @1335702
     /* 1335702 */   GIM_Try, /*On fail goto*//*Label 19053*/ GIMT_Encode4(1335786), // Rule ID 20049 //
     /* 1335707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1335724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1335727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1335749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335760 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1335763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335785 */     // GIR_Coverage, 20049,
     /* 1335785 */     GIR_EraseRootFromParent_Done,
     /* 1335786 */   // Label 19053: @1335786
     /* 1335786 */   GIM_Try, /*On fail goto*//*Label 19054*/ GIMT_Encode4(1335870), // Rule ID 20050 //
     /* 1335791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1335808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1335811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1335833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335844 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1335847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335869 */     // GIR_Coverage, 20050,
     /* 1335869 */     GIR_EraseRootFromParent_Done,
     /* 1335870 */   // Label 19054: @1335870
     /* 1335870 */   GIM_Try, /*On fail goto*//*Label 19055*/ GIMT_Encode4(1335954), // Rule ID 20053 //
     /* 1335875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1335878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1335892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1335917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335928 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1335931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335953 */     // GIR_Coverage, 20053,
     /* 1335953 */     GIR_EraseRootFromParent_Done,
     /* 1335954 */   // Label 19055: @1335954
     /* 1335954 */   GIM_Try, /*On fail goto*//*Label 19056*/ GIMT_Encode4(1336038), // Rule ID 20054 //
     /* 1335959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1335967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1335976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1336001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336012 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1336015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336037 */     // GIR_Coverage, 20054,
     /* 1336037 */     GIR_EraseRootFromParent_Done,
     /* 1336038 */   // Label 19056: @1336038
     /* 1336038 */   GIM_Try, /*On fail goto*//*Label 19057*/ GIMT_Encode4(1336122), // Rule ID 20057 //
     /* 1336043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1336060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336096 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1336099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336121 */     // GIR_Coverage, 20057,
     /* 1336121 */     GIR_EraseRootFromParent_Done,
     /* 1336122 */   // Label 19057: @1336122
     /* 1336122 */   GIM_Try, /*On fail goto*//*Label 19058*/ GIMT_Encode4(1336206), // Rule ID 20058 //
     /* 1336127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1336144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336180 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1336183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336205 */     // GIR_Coverage, 20058,
     /* 1336205 */     GIR_EraseRootFromParent_Done,
     /* 1336206 */   // Label 19058: @1336206
     /* 1336206 */   GIM_Try, /*On fail goto*//*Label 19059*/ GIMT_Encode4(1336290), // Rule ID 20061 //
     /* 1336211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1336214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1336228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1336231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1336253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336264 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1336267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336289 */     // GIR_Coverage, 20061,
     /* 1336289 */     GIR_EraseRootFromParent_Done,
     /* 1336290 */   // Label 19059: @1336290
     /* 1336290 */   GIM_Try, /*On fail goto*//*Label 19060*/ GIMT_Encode4(1336374), // Rule ID 20062 //
     /* 1336295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1336298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1336312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1336315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1336337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336348 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1336351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336373 */     // GIR_Coverage, 20062,
     /* 1336373 */     GIR_EraseRootFromParent_Done,
     /* 1336374 */   // Label 19060: @1336374
     /* 1336374 */   GIM_Try, /*On fail goto*//*Label 19061*/ GIMT_Encode4(1336458), // Rule ID 20065 //
     /* 1336379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1336382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1336396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1336399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1336421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336432 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1336435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336457 */     // GIR_Coverage, 20065,
     /* 1336457 */     GIR_EraseRootFromParent_Done,
     /* 1336458 */   // Label 19061: @1336458
     /* 1336458 */   GIM_Try, /*On fail goto*//*Label 19062*/ GIMT_Encode4(1336542), // Rule ID 20066 //
     /* 1336463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1336466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1336480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1336483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1336505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336516 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1336519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336541 */     // GIR_Coverage, 20066,
     /* 1336541 */     GIR_EraseRootFromParent_Done,
     /* 1336542 */   // Label 19062: @1336542
     /* 1336542 */   GIM_Try, /*On fail goto*//*Label 19063*/ GIMT_Encode4(1336626), // Rule ID 20069 //
     /* 1336547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1336564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336600 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1336603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336625 */     // GIR_Coverage, 20069,
     /* 1336625 */     GIR_EraseRootFromParent_Done,
     /* 1336626 */   // Label 19063: @1336626
     /* 1336626 */   GIM_Try, /*On fail goto*//*Label 19064*/ GIMT_Encode4(1336710), // Rule ID 20070 //
     /* 1336631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1336648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336684 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1336687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336709 */     // GIR_Coverage, 20070,
     /* 1336709 */     GIR_EraseRootFromParent_Done,
     /* 1336710 */   // Label 19064: @1336710
     /* 1336710 */   GIM_Try, /*On fail goto*//*Label 19065*/ GIMT_Encode4(1336794), // Rule ID 20073 //
     /* 1336715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1336726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1336729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1336732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1336738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336768 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1336771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336793 */     // GIR_Coverage, 20073,
     /* 1336793 */     GIR_EraseRootFromParent_Done,
     /* 1336794 */   // Label 19065: @1336794
     /* 1336794 */   GIM_Try, /*On fail goto*//*Label 19066*/ GIMT_Encode4(1336878), // Rule ID 20074 //
     /* 1336799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1336810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1336813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1336816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1336822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336852 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1336855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336877 */     // GIR_Coverage, 20074,
     /* 1336877 */     GIR_EraseRootFromParent_Done,
     /* 1336878 */   // Label 19066: @1336878
     /* 1336878 */   GIM_Try, /*On fail goto*//*Label 19067*/ GIMT_Encode4(1336962), // Rule ID 20077 //
     /* 1336883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1336894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1336897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1336900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1336906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336936 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1336939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336961 */     // GIR_Coverage, 20077,
     /* 1336961 */     GIR_EraseRootFromParent_Done,
     /* 1336962 */   // Label 19067: @1336962
     /* 1336962 */   GIM_Try, /*On fail goto*//*Label 19068*/ GIMT_Encode4(1337046), // Rule ID 20078 //
     /* 1336967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1336975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1336978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1336981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1336984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1336990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337020 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1337023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337045 */     // GIR_Coverage, 20078,
     /* 1337045 */     GIR_EraseRootFromParent_Done,
     /* 1337046 */   // Label 19068: @1337046
     /* 1337046 */   GIM_Try, /*On fail goto*//*Label 19069*/ GIMT_Encode4(1337130), // Rule ID 20081 //
     /* 1337051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1337068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337104 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1337107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337129 */     // GIR_Coverage, 20081,
     /* 1337129 */     GIR_EraseRootFromParent_Done,
     /* 1337130 */   // Label 19069: @1337130
     /* 1337130 */   GIM_Try, /*On fail goto*//*Label 19070*/ GIMT_Encode4(1337214), // Rule ID 20082 //
     /* 1337135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1337152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337188 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1337191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337213 */     // GIR_Coverage, 20082,
     /* 1337213 */     GIR_EraseRootFromParent_Done,
     /* 1337214 */   // Label 19070: @1337214
     /* 1337214 */   GIM_Try, /*On fail goto*//*Label 19071*/ GIMT_Encode4(1337298), // Rule ID 20085 //
     /* 1337219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1337236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337272 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1337275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337297 */     // GIR_Coverage, 20085,
     /* 1337297 */     GIR_EraseRootFromParent_Done,
     /* 1337298 */   // Label 19071: @1337298
     /* 1337298 */   GIM_Try, /*On fail goto*//*Label 19072*/ GIMT_Encode4(1337382), // Rule ID 20086 //
     /* 1337303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1337320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337356 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1337359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337381 */     // GIR_Coverage, 20086,
     /* 1337381 */     GIR_EraseRootFromParent_Done,
     /* 1337382 */   // Label 19072: @1337382
     /* 1337382 */   GIM_Try, /*On fail goto*//*Label 19073*/ GIMT_Encode4(1337466), // Rule ID 20089 //
     /* 1337387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1337398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1337401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1337404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337440 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1337443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337465 */     // GIR_Coverage, 20089,
     /* 1337465 */     GIR_EraseRootFromParent_Done,
     /* 1337466 */   // Label 19073: @1337466
     /* 1337466 */   GIM_Try, /*On fail goto*//*Label 19074*/ GIMT_Encode4(1337550), // Rule ID 20090 //
     /* 1337471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1337482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1337485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1337488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337524 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1337527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337549 */     // GIR_Coverage, 20090,
     /* 1337549 */     GIR_EraseRootFromParent_Done,
     /* 1337550 */   // Label 19074: @1337550
     /* 1337550 */   GIM_Try, /*On fail goto*//*Label 19075*/ GIMT_Encode4(1337634), // Rule ID 20093 //
     /* 1337555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1337558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1337572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1337575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1337597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337608 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1337611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337633 */     // GIR_Coverage, 20093,
     /* 1337633 */     GIR_EraseRootFromParent_Done,
     /* 1337634 */   // Label 19075: @1337634
     /* 1337634 */   GIM_Try, /*On fail goto*//*Label 19076*/ GIMT_Encode4(1337718), // Rule ID 20094 //
     /* 1337639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1337642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1337656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1337659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1337681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337692 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1337695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337717 */     // GIR_Coverage, 20094,
     /* 1337717 */     GIR_EraseRootFromParent_Done,
     /* 1337718 */   // Label 19076: @1337718
     /* 1337718 */   GIM_Try, /*On fail goto*//*Label 19077*/ GIMT_Encode4(1337802), // Rule ID 20097 //
     /* 1337723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1337726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1337740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1337743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1337765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337776 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1337779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337801 */     // GIR_Coverage, 20097,
     /* 1337801 */     GIR_EraseRootFromParent_Done,
     /* 1337802 */   // Label 19077: @1337802
     /* 1337802 */   GIM_Try, /*On fail goto*//*Label 19078*/ GIMT_Encode4(1337886), // Rule ID 20098 //
     /* 1337807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1337810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1337824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1337827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1337849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337860 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1337863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337885 */     // GIR_Coverage, 20098,
     /* 1337885 */     GIR_EraseRootFromParent_Done,
     /* 1337886 */   // Label 19078: @1337886
     /* 1337886 */   GIM_Try, /*On fail goto*//*Label 19079*/ GIMT_Encode4(1337970), // Rule ID 20101 //
     /* 1337891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1337894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1337908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1337911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1337933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337944 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1337947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337969 */     // GIR_Coverage, 20101,
     /* 1337969 */     GIR_EraseRootFromParent_Done,
     /* 1337970 */   // Label 19079: @1337970
     /* 1337970 */   GIM_Try, /*On fail goto*//*Label 19080*/ GIMT_Encode4(1338054), // Rule ID 20102 //
     /* 1337975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1337978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1337983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1337992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1337995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338028 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1338031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338053 */     // GIR_Coverage, 20102,
     /* 1338053 */     GIR_EraseRootFromParent_Done,
     /* 1338054 */   // Label 19080: @1338054
     /* 1338054 */   GIM_Try, /*On fail goto*//*Label 19081*/ GIMT_Encode4(1338138), // Rule ID 20105 //
     /* 1338059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1338076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338112 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1338115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338137 */     // GIR_Coverage, 20105,
     /* 1338137 */     GIR_EraseRootFromParent_Done,
     /* 1338138 */   // Label 19081: @1338138
     /* 1338138 */   GIM_Try, /*On fail goto*//*Label 19082*/ GIMT_Encode4(1338222), // Rule ID 20106 //
     /* 1338143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1338160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338196 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1338199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338221 */     // GIR_Coverage, 20106,
     /* 1338221 */     GIR_EraseRootFromParent_Done,
     /* 1338222 */   // Label 19082: @1338222
     /* 1338222 */   GIM_Try, /*On fail goto*//*Label 19083*/ GIMT_Encode4(1338306), // Rule ID 20109 //
     /* 1338227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1338244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338280 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1338283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338305 */     // GIR_Coverage, 20109,
     /* 1338305 */     GIR_EraseRootFromParent_Done,
     /* 1338306 */   // Label 19083: @1338306
     /* 1338306 */   GIM_Try, /*On fail goto*//*Label 19084*/ GIMT_Encode4(1338390), // Rule ID 20110 //
     /* 1338311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1338328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338364 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1338367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338389 */     // GIR_Coverage, 20110,
     /* 1338389 */     GIR_EraseRootFromParent_Done,
     /* 1338390 */   // Label 19084: @1338390
     /* 1338390 */   GIM_Try, /*On fail goto*//*Label 19085*/ GIMT_Encode4(1338474), // Rule ID 20113 //
     /* 1338395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1338398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1338412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338448 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1338451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338473 */     // GIR_Coverage, 20113,
     /* 1338473 */     GIR_EraseRootFromParent_Done,
     /* 1338474 */   // Label 19085: @1338474
     /* 1338474 */   GIM_Try, /*On fail goto*//*Label 19086*/ GIMT_Encode4(1338558), // Rule ID 20114 //
     /* 1338479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1338496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338532 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1338535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338557 */     // GIR_Coverage, 20114,
     /* 1338557 */     GIR_EraseRootFromParent_Done,
     /* 1338558 */   // Label 19086: @1338558
     /* 1338558 */   GIM_Try, /*On fail goto*//*Label 19087*/ GIMT_Encode4(1338642), // Rule ID 20117 //
     /* 1338563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1338580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338616 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1338619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338641 */     // GIR_Coverage, 20117,
     /* 1338641 */     GIR_EraseRootFromParent_Done,
     /* 1338642 */   // Label 19087: @1338642
     /* 1338642 */   GIM_Try, /*On fail goto*//*Label 19088*/ GIMT_Encode4(1338726), // Rule ID 20118 //
     /* 1338647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1338664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338700 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1338703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338725 */     // GIR_Coverage, 20118,
     /* 1338725 */     GIR_EraseRootFromParent_Done,
     /* 1338726 */   // Label 19088: @1338726
     /* 1338726 */   GIM_Try, /*On fail goto*//*Label 19089*/ GIMT_Encode4(1338810), // Rule ID 20121 //
     /* 1338731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1338734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1338748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338784 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1338787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338809 */     // GIR_Coverage, 20121,
     /* 1338809 */     GIR_EraseRootFromParent_Done,
     /* 1338810 */   // Label 19089: @1338810
     /* 1338810 */   GIM_Try, /*On fail goto*//*Label 19090*/ GIMT_Encode4(1338894), // Rule ID 20122 //
     /* 1338815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1338832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338868 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1338871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338893 */     // GIR_Coverage, 20122,
     /* 1338893 */     GIR_EraseRootFromParent_Done,
     /* 1338894 */   // Label 19090: @1338894
     /* 1338894 */   GIM_Try, /*On fail goto*//*Label 19091*/ GIMT_Encode4(1338978), // Rule ID 20125 //
     /* 1338899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1338902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1338916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338952 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1338955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338977 */     // GIR_Coverage, 20125,
     /* 1338977 */     GIR_EraseRootFromParent_Done,
     /* 1338978 */   // Label 19091: @1338978
     /* 1338978 */   GIM_Try, /*On fail goto*//*Label 19092*/ GIMT_Encode4(1339062), // Rule ID 20126 //
     /* 1338983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1338986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1339000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1339003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1339025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339036 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1339039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339061 */     // GIR_Coverage, 20126,
     /* 1339061 */     GIR_EraseRootFromParent_Done,
     /* 1339062 */   // Label 19092: @1339062
     /* 1339062 */   GIM_Try, /*On fail goto*//*Label 19093*/ GIMT_Encode4(1339146), // Rule ID 20129 //
     /* 1339067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1339084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339120 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1339123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339145 */     // GIR_Coverage, 20129,
     /* 1339145 */     GIR_EraseRootFromParent_Done,
     /* 1339146 */   // Label 19093: @1339146
     /* 1339146 */   GIM_Try, /*On fail goto*//*Label 19094*/ GIMT_Encode4(1339230), // Rule ID 20130 //
     /* 1339151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1339168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339204 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1339207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339229 */     // GIR_Coverage, 20130,
     /* 1339229 */     GIR_EraseRootFromParent_Done,
     /* 1339230 */   // Label 19094: @1339230
     /* 1339230 */   GIM_Try, /*On fail goto*//*Label 19095*/ GIMT_Encode4(1339314), // Rule ID 20133 //
     /* 1339235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1339246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1339249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1339252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1339258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339288 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1339291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339313 */     // GIR_Coverage, 20133,
     /* 1339313 */     GIR_EraseRootFromParent_Done,
     /* 1339314 */   // Label 19095: @1339314
     /* 1339314 */   GIM_Try, /*On fail goto*//*Label 19096*/ GIMT_Encode4(1339398), // Rule ID 20134 //
     /* 1339319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1339330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1339333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1339336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1339342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339372 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1339375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339397 */     // GIR_Coverage, 20134,
     /* 1339397 */     GIR_EraseRootFromParent_Done,
     /* 1339398 */   // Label 19096: @1339398
     /* 1339398 */   GIM_Try, /*On fail goto*//*Label 19097*/ GIMT_Encode4(1339482), // Rule ID 20137 //
     /* 1339403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1339414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1339417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1339420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1339426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339456 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1339459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339481 */     // GIR_Coverage, 20137,
     /* 1339481 */     GIR_EraseRootFromParent_Done,
     /* 1339482 */   // Label 19097: @1339482
     /* 1339482 */   GIM_Try, /*On fail goto*//*Label 19098*/ GIMT_Encode4(1339566), // Rule ID 20138 //
     /* 1339487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1339498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1339501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1339504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1339510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339540 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1339543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339565 */     // GIR_Coverage, 20138,
     /* 1339565 */     GIR_EraseRootFromParent_Done,
     /* 1339566 */   // Label 19098: @1339566
     /* 1339566 */   GIM_Try, /*On fail goto*//*Label 19099*/ GIMT_Encode4(1339650), // Rule ID 20141 //
     /* 1339571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1339588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339624 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1339627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339649 */     // GIR_Coverage, 20141,
     /* 1339649 */     GIR_EraseRootFromParent_Done,
     /* 1339650 */   // Label 19099: @1339650
     /* 1339650 */   GIM_Try, /*On fail goto*//*Label 19100*/ GIMT_Encode4(1339734), // Rule ID 20142 //
     /* 1339655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1339658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1339672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339708 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1339711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339733 */     // GIR_Coverage, 20142,
     /* 1339733 */     GIR_EraseRootFromParent_Done,
     /* 1339734 */   // Label 19100: @1339734
     /* 1339734 */   GIM_Try, /*On fail goto*//*Label 19101*/ GIMT_Encode4(1339818), // Rule ID 20145 //
     /* 1339739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1339756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339792 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1339795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339817 */     // GIR_Coverage, 20145,
     /* 1339817 */     GIR_EraseRootFromParent_Done,
     /* 1339818 */   // Label 19101: @1339818
     /* 1339818 */   GIM_Try, /*On fail goto*//*Label 19102*/ GIMT_Encode4(1339902), // Rule ID 20146 //
     /* 1339823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1339826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1339840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339876 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1339879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339901 */     // GIR_Coverage, 20146,
     /* 1339901 */     GIR_EraseRootFromParent_Done,
     /* 1339902 */   // Label 19102: @1339902
     /* 1339902 */   GIM_Try, /*On fail goto*//*Label 19103*/ GIMT_Encode4(1339986), // Rule ID 20149 //
     /* 1339907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1339918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1339921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1339924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1339930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339960 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1339963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339985 */     // GIR_Coverage, 20149,
     /* 1339985 */     GIR_EraseRootFromParent_Done,
     /* 1339986 */   // Label 19103: @1339986
     /* 1339986 */   GIM_Try, /*On fail goto*//*Label 19104*/ GIMT_Encode4(1340070), // Rule ID 20150 //
     /* 1339991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1339994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1340008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340044 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1340047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340069 */     // GIR_Coverage, 20150,
     /* 1340069 */     GIR_EraseRootFromParent_Done,
     /* 1340070 */   // Label 19104: @1340070
     /* 1340070 */   GIM_Try, /*On fail goto*//*Label 19105*/ GIMT_Encode4(1340154), // Rule ID 20153 //
     /* 1340075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1340078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1340092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340128 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1340131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340153 */     // GIR_Coverage, 20153,
     /* 1340153 */     GIR_EraseRootFromParent_Done,
     /* 1340154 */   // Label 19105: @1340154
     /* 1340154 */   GIM_Try, /*On fail goto*//*Label 19106*/ GIMT_Encode4(1340238), // Rule ID 20154 //
     /* 1340159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1340162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1340176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340212 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1340215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340237 */     // GIR_Coverage, 20154,
     /* 1340237 */     GIR_EraseRootFromParent_Done,
     /* 1340238 */   // Label 19106: @1340238
     /* 1340238 */   GIM_Try, /*On fail goto*//*Label 19107*/ GIMT_Encode4(1340322), // Rule ID 20157 //
     /* 1340243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1340246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1340260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340296 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1340299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340321 */     // GIR_Coverage, 20157,
     /* 1340321 */     GIR_EraseRootFromParent_Done,
     /* 1340322 */   // Label 19107: @1340322
     /* 1340322 */   GIM_Try, /*On fail goto*//*Label 19108*/ GIMT_Encode4(1340406), // Rule ID 20158 //
     /* 1340327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1340330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1340344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340380 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1340383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340405 */     // GIR_Coverage, 20158,
     /* 1340405 */     GIR_EraseRootFromParent_Done,
     /* 1340406 */   // Label 19108: @1340406
     /* 1340406 */   GIM_Try, /*On fail goto*//*Label 19109*/ GIMT_Encode4(1340490), // Rule ID 20161 //
     /* 1340411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1340414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1340428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340464 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1340467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340489 */     // GIR_Coverage, 20161,
     /* 1340489 */     GIR_EraseRootFromParent_Done,
     /* 1340490 */   // Label 19109: @1340490
     /* 1340490 */   GIM_Try, /*On fail goto*//*Label 19110*/ GIMT_Encode4(1340574), // Rule ID 20162 //
     /* 1340495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1340498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1340512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340548 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1340551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340573 */     // GIR_Coverage, 20162,
     /* 1340573 */     GIR_EraseRootFromParent_Done,
     /* 1340574 */   // Label 19110: @1340574
     /* 1340574 */   GIM_Try, /*On fail goto*//*Label 19111*/ GIMT_Encode4(1340658), // Rule ID 20165 //
     /* 1340579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1340587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1340596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340632 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1340635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340657 */     // GIR_Coverage, 20165,
     /* 1340657 */     GIR_EraseRootFromParent_Done,
     /* 1340658 */   // Label 19111: @1340658
     /* 1340658 */   GIM_Try, /*On fail goto*//*Label 19112*/ GIMT_Encode4(1340742), // Rule ID 20166 //
     /* 1340663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1340671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1340680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340716 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1340719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340741 */     // GIR_Coverage, 20166,
     /* 1340741 */     GIR_EraseRootFromParent_Done,
     /* 1340742 */   // Label 19112: @1340742
     /* 1340742 */   GIM_Try, /*On fail goto*//*Label 19113*/ GIMT_Encode4(1340826), // Rule ID 20169 //
     /* 1340747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1340755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1340764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340800 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1340803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340825 */     // GIR_Coverage, 20169,
     /* 1340825 */     GIR_EraseRootFromParent_Done,
     /* 1340826 */   // Label 19113: @1340826
     /* 1340826 */   GIM_Try, /*On fail goto*//*Label 19114*/ GIMT_Encode4(1340910), // Rule ID 20170 //
     /* 1340831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1340839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1340848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1340851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1340873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340884 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1340887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340909 */     // GIR_Coverage, 20170,
     /* 1340909 */     GIR_EraseRootFromParent_Done,
     /* 1340910 */   // Label 19114: @1340910
     /* 1340910 */   GIM_Try, /*On fail goto*//*Label 19115*/ GIMT_Encode4(1340994), // Rule ID 20173 //
     /* 1340915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1340923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1340932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1340935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1340957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340968 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1340971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340993 */     // GIR_Coverage, 20173,
     /* 1340993 */     GIR_EraseRootFromParent_Done,
     /* 1340994 */   // Label 19115: @1340994
     /* 1340994 */   GIM_Try, /*On fail goto*//*Label 19116*/ GIMT_Encode4(1341078), // Rule ID 20174 //
     /* 1340999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1341002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1341016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341052 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1341055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341077 */     // GIR_Coverage, 20174,
     /* 1341077 */     GIR_EraseRootFromParent_Done,
     /* 1341078 */   // Label 19116: @1341078
     /* 1341078 */   GIM_Try, /*On fail goto*//*Label 19117*/ GIMT_Encode4(1341162), // Rule ID 20177 //
     /* 1341083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1341100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341136 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1341139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341161 */     // GIR_Coverage, 20177,
     /* 1341161 */     GIR_EraseRootFromParent_Done,
     /* 1341162 */   // Label 19117: @1341162
     /* 1341162 */   GIM_Try, /*On fail goto*//*Label 19118*/ GIMT_Encode4(1341246), // Rule ID 20178 //
     /* 1341167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1341184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341220 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1341223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341245 */     // GIR_Coverage, 20178,
     /* 1341245 */     GIR_EraseRootFromParent_Done,
     /* 1341246 */   // Label 19118: @1341246
     /* 1341246 */   GIM_Try, /*On fail goto*//*Label 19119*/ GIMT_Encode4(1341330), // Rule ID 20181 //
     /* 1341251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1341254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1341268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341304 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1341307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341329 */     // GIR_Coverage, 20181,
     /* 1341329 */     GIR_EraseRootFromParent_Done,
     /* 1341330 */   // Label 19119: @1341330
     /* 1341330 */   GIM_Try, /*On fail goto*//*Label 19120*/ GIMT_Encode4(1341414), // Rule ID 20182 //
     /* 1341335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1341338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1341352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1341355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1341377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341388 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1341391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341413 */     // GIR_Coverage, 20182,
     /* 1341413 */     GIR_EraseRootFromParent_Done,
     /* 1341414 */   // Label 19120: @1341414
     /* 1341414 */   GIM_Try, /*On fail goto*//*Label 19121*/ GIMT_Encode4(1341498), // Rule ID 20185 //
     /* 1341419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1341422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1341436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341472 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1341475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341497 */     // GIR_Coverage, 20185,
     /* 1341497 */     GIR_EraseRootFromParent_Done,
     /* 1341498 */   // Label 19121: @1341498
     /* 1341498 */   GIM_Try, /*On fail goto*//*Label 19122*/ GIMT_Encode4(1341582), // Rule ID 20186 //
     /* 1341503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1341506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1341520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1341523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1341545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341556 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1341559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341581 */     // GIR_Coverage, 20186,
     /* 1341581 */     GIR_EraseRootFromParent_Done,
     /* 1341582 */   // Label 19122: @1341582
     /* 1341582 */   GIM_Try, /*On fail goto*//*Label 19123*/ GIMT_Encode4(1341666), // Rule ID 20189 //
     /* 1341587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1341604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341640 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1341643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341665 */     // GIR_Coverage, 20189,
     /* 1341665 */     GIR_EraseRootFromParent_Done,
     /* 1341666 */   // Label 19123: @1341666
     /* 1341666 */   GIM_Try, /*On fail goto*//*Label 19124*/ GIMT_Encode4(1341750), // Rule ID 20190 //
     /* 1341671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1341688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341724 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1341727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341749 */     // GIR_Coverage, 20190,
     /* 1341749 */     GIR_EraseRootFromParent_Done,
     /* 1341750 */   // Label 19124: @1341750
     /* 1341750 */   GIM_Try, /*On fail goto*//*Label 19125*/ GIMT_Encode4(1341834), // Rule ID 20193 //
     /* 1341755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1341766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1341769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1341772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1341778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341808 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1341811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341833 */     // GIR_Coverage, 20193,
     /* 1341833 */     GIR_EraseRootFromParent_Done,
     /* 1341834 */   // Label 19125: @1341834
     /* 1341834 */   GIM_Try, /*On fail goto*//*Label 19126*/ GIMT_Encode4(1341918), // Rule ID 20194 //
     /* 1341839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1341850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1341853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1341856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1341862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341892 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1341895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341917 */     // GIR_Coverage, 20194,
     /* 1341917 */     GIR_EraseRootFromParent_Done,
     /* 1341918 */   // Label 19126: @1341918
     /* 1341918 */   GIM_Try, /*On fail goto*//*Label 19127*/ GIMT_Encode4(1342002), // Rule ID 20197 //
     /* 1341923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1341934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1341937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1341940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1341943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1341946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1341965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341976 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1341979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342001 */     // GIR_Coverage, 20197,
     /* 1342001 */     GIR_EraseRootFromParent_Done,
     /* 1342002 */   // Label 19127: @1342002
     /* 1342002 */   GIM_Try, /*On fail goto*//*Label 19128*/ GIMT_Encode4(1342086), // Rule ID 20198 //
     /* 1342007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1342018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1342021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1342024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1342027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1342030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1342049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342060 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1342063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342085 */     // GIR_Coverage, 20198,
     /* 1342085 */     GIR_EraseRootFromParent_Done,
     /* 1342086 */   // Label 19128: @1342086
     /* 1342086 */   GIM_Try, /*On fail goto*//*Label 19129*/ GIMT_Encode4(1342170), // Rule ID 20201 //
     /* 1342091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1342108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342144 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1342147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342169 */     // GIR_Coverage, 20201,
     /* 1342169 */     GIR_EraseRootFromParent_Done,
     /* 1342170 */   // Label 19129: @1342170
     /* 1342170 */   GIM_Try, /*On fail goto*//*Label 19130*/ GIMT_Encode4(1342254), // Rule ID 20202 //
     /* 1342175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1342192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342228 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1342231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342253 */     // GIR_Coverage, 20202,
     /* 1342253 */     GIR_EraseRootFromParent_Done,
     /* 1342254 */   // Label 19130: @1342254
     /* 1342254 */   GIM_Try, /*On fail goto*//*Label 19131*/ GIMT_Encode4(1342338), // Rule ID 20205 //
     /* 1342259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1342276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342312 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1342315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342337 */     // GIR_Coverage, 20205,
     /* 1342337 */     GIR_EraseRootFromParent_Done,
     /* 1342338 */   // Label 19131: @1342338
     /* 1342338 */   GIM_Try, /*On fail goto*//*Label 19132*/ GIMT_Encode4(1342422), // Rule ID 20206 //
     /* 1342343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1342360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342396 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1342399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342421 */     // GIR_Coverage, 20206,
     /* 1342421 */     GIR_EraseRootFromParent_Done,
     /* 1342422 */   // Label 19132: @1342422
     /* 1342422 */   GIM_Try, /*On fail goto*//*Label 19133*/ GIMT_Encode4(1342506), // Rule ID 20209 //
     /* 1342427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1342438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1342441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1342444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342480 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1342483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342505 */     // GIR_Coverage, 20209,
     /* 1342505 */     GIR_EraseRootFromParent_Done,
     /* 1342506 */   // Label 19133: @1342506
     /* 1342506 */   GIM_Try, /*On fail goto*//*Label 19134*/ GIMT_Encode4(1342590), // Rule ID 20210 //
     /* 1342511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1342522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1342525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1342528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1342531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1342553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342564 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1342567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342589 */     // GIR_Coverage, 20210,
     /* 1342589 */     GIR_EraseRootFromParent_Done,
     /* 1342590 */   // Label 19134: @1342590
     /* 1342590 */   GIM_Try, /*On fail goto*//*Label 19135*/ GIMT_Encode4(1342674), // Rule ID 20213 //
     /* 1342595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1342598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1342612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1342637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342648 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1342651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342673 */     // GIR_Coverage, 20213,
     /* 1342673 */     GIR_EraseRootFromParent_Done,
     /* 1342674 */   // Label 19135: @1342674
     /* 1342674 */   GIM_Try, /*On fail goto*//*Label 19136*/ GIMT_Encode4(1342758), // Rule ID 20214 //
     /* 1342679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1342682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1342696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1342721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342732 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1342735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342757 */     // GIR_Coverage, 20214,
     /* 1342757 */     GIR_EraseRootFromParent_Done,
     /* 1342758 */   // Label 19136: @1342758
     /* 1342758 */   GIM_Try, /*On fail goto*//*Label 19137*/ GIMT_Encode4(1342842), // Rule ID 20217 //
     /* 1342763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1342766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1342780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1342805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342816 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1342819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342841 */     // GIR_Coverage, 20217,
     /* 1342841 */     GIR_EraseRootFromParent_Done,
     /* 1342842 */   // Label 19137: @1342842
     /* 1342842 */   GIM_Try, /*On fail goto*//*Label 19138*/ GIMT_Encode4(1342926), // Rule ID 20218 //
     /* 1342847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1342850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1342864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1342889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342900 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1342903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342925 */     // GIR_Coverage, 20218,
     /* 1342925 */     GIR_EraseRootFromParent_Done,
     /* 1342926 */   // Label 19138: @1342926
     /* 1342926 */   GIM_Try, /*On fail goto*//*Label 19139*/ GIMT_Encode4(1343010), // Rule ID 20221 //
     /* 1342931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1342934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1342948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1342951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1342973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342984 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1342987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343009 */     // GIR_Coverage, 20221,
     /* 1343009 */     GIR_EraseRootFromParent_Done,
     /* 1343010 */   // Label 19139: @1343010
     /* 1343010 */   GIM_Try, /*On fail goto*//*Label 19140*/ GIMT_Encode4(1343094), // Rule ID 20222 //
     /* 1343015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1343018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1343032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1343057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343068 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1343071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343093 */     // GIR_Coverage, 20222,
     /* 1343093 */     GIR_EraseRootFromParent_Done,
     /* 1343094 */   // Label 19140: @1343094
     /* 1343094 */   GIM_Try, /*On fail goto*//*Label 19141*/ GIMT_Encode4(1343178), // Rule ID 20225 //
     /* 1343099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1343107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1343116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1343119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343152 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1343155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1343161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1343163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343177 */     // GIR_Coverage, 20225,
     /* 1343177 */     GIR_EraseRootFromParent_Done,
     /* 1343178 */   // Label 19141: @1343178
     /* 1343178 */   GIM_Try, /*On fail goto*//*Label 19142*/ GIMT_Encode4(1343262), // Rule ID 20226 //
     /* 1343183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1343191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1343200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1343203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343236 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1343239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1343245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1343247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343261 */     // GIR_Coverage, 20226,
     /* 1343261 */     GIR_EraseRootFromParent_Done,
     /* 1343262 */   // Label 19142: @1343262
     /* 1343262 */   GIM_Try, /*On fail goto*//*Label 19143*/ GIMT_Encode4(1343346), // Rule ID 20229 //
     /* 1343267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1343275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1343284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1343287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343320 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1343323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1343329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1343331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343345 */     // GIR_Coverage, 20229,
     /* 1343345 */     GIR_EraseRootFromParent_Done,
     /* 1343346 */   // Label 19143: @1343346
     /* 1343346 */   GIM_Try, /*On fail goto*//*Label 19144*/ GIMT_Encode4(1343430), // Rule ID 20230 //
     /* 1343351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1343359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1343368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1343371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343404 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1343407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1343413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1343415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343429 */     // GIR_Coverage, 20230,
     /* 1343429 */     GIR_EraseRootFromParent_Done,
     /* 1343430 */   // Label 19144: @1343430
     /* 1343430 */   GIM_Try, /*On fail goto*//*Label 19145*/ GIMT_Encode4(1343514), // Rule ID 20233 //
     /* 1343435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1343438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1343443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1343452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1343455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343488 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1343491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1343497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1343499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343513 */     // GIR_Coverage, 20233,
     /* 1343513 */     GIR_EraseRootFromParent_Done,
     /* 1343514 */   // Label 19145: @1343514
     /* 1343514 */   GIM_Try, /*On fail goto*//*Label 19146*/ GIMT_Encode4(1343598), // Rule ID 20234 //
     /* 1343519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1343522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1343527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1343536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1343539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343572 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1343575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1343581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1343583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343597 */     // GIR_Coverage, 20234,
     /* 1343597 */     GIR_EraseRootFromParent_Done,
     /* 1343598 */   // Label 19146: @1343598
     /* 1343598 */   GIM_Try, /*On fail goto*//*Label 19147*/ GIMT_Encode4(1343682), // Rule ID 20237 //
     /* 1343603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1343611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1343620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1343623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343656 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1343659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1343665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1343667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343681 */     // GIR_Coverage, 20237,
     /* 1343681 */     GIR_EraseRootFromParent_Done,
     /* 1343682 */   // Label 19147: @1343682
     /* 1343682 */   GIM_Try, /*On fail goto*//*Label 19148*/ GIMT_Encode4(1343766), // Rule ID 20238 //
     /* 1343687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1343695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1343704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1343707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343740 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1343743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1343749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1343751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343765 */     // GIR_Coverage, 20238,
     /* 1343765 */     GIR_EraseRootFromParent_Done,
     /* 1343766 */   // Label 19148: @1343766
     /* 1343766 */   GIM_Try, /*On fail goto*//*Label 19149*/ GIMT_Encode4(1343850), // Rule ID 20241 //
     /* 1343771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1343774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1343779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1343788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1343791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343824 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1343827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1343833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1343835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343849 */     // GIR_Coverage, 20241,
     /* 1343849 */     GIR_EraseRootFromParent_Done,
     /* 1343850 */   // Label 19149: @1343850
     /* 1343850 */   GIM_Try, /*On fail goto*//*Label 19150*/ GIMT_Encode4(1343934), // Rule ID 20242 //
     /* 1343855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1343858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1343863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1343872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1343875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343908 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1343911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1343917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1343919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343933 */     // GIR_Coverage, 20242,
     /* 1343933 */     GIR_EraseRootFromParent_Done,
     /* 1343934 */   // Label 19150: @1343934
     /* 1343934 */   GIM_Try, /*On fail goto*//*Label 19151*/ GIMT_Encode4(1344018), // Rule ID 20245 //
     /* 1343939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1343942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1343947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1343956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1343959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343992 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1343995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344017 */     // GIR_Coverage, 20245,
     /* 1344017 */     GIR_EraseRootFromParent_Done,
     /* 1344018 */   // Label 19151: @1344018
     /* 1344018 */   GIM_Try, /*On fail goto*//*Label 19152*/ GIMT_Encode4(1344102), // Rule ID 20246 //
     /* 1344023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1344026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1344034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1344037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1344040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1344043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344076 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1344079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344101 */     // GIR_Coverage, 20246,
     /* 1344101 */     GIR_EraseRootFromParent_Done,
     /* 1344102 */   // Label 19152: @1344102
     /* 1344102 */   GIM_Try, /*On fail goto*//*Label 19153*/ GIMT_Encode4(1344186), // Rule ID 20249 //
     /* 1344107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1344124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1344127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344160 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1344163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344185 */     // GIR_Coverage, 20249,
     /* 1344185 */     GIR_EraseRootFromParent_Done,
     /* 1344186 */   // Label 19153: @1344186
     /* 1344186 */   GIM_Try, /*On fail goto*//*Label 19154*/ GIMT_Encode4(1344270), // Rule ID 20250 //
     /* 1344191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1344208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1344211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344244 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1344247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344269 */     // GIR_Coverage, 20250,
     /* 1344269 */     GIR_EraseRootFromParent_Done,
     /* 1344270 */   // Label 19154: @1344270
     /* 1344270 */   GIM_Try, /*On fail goto*//*Label 19155*/ GIMT_Encode4(1344354), // Rule ID 20253 //
     /* 1344275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1344286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1344289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1344292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1344295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1344298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344328 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1344331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344353 */     // GIR_Coverage, 20253,
     /* 1344353 */     GIR_EraseRootFromParent_Done,
     /* 1344354 */   // Label 19155: @1344354
     /* 1344354 */   GIM_Try, /*On fail goto*//*Label 19156*/ GIMT_Encode4(1344438), // Rule ID 20254 //
     /* 1344359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1344370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1344373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1344376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1344379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1344382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344412 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1344415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344437 */     // GIR_Coverage, 20254,
     /* 1344437 */     GIR_EraseRootFromParent_Done,
     /* 1344438 */   // Label 19156: @1344438
     /* 1344438 */   GIM_Try, /*On fail goto*//*Label 19157*/ GIMT_Encode4(1344522), // Rule ID 20257 //
     /* 1344443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1344454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1344457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1344460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1344463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1344466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344496 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1344499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344521 */     // GIR_Coverage, 20257,
     /* 1344521 */     GIR_EraseRootFromParent_Done,
     /* 1344522 */   // Label 19157: @1344522
     /* 1344522 */   GIM_Try, /*On fail goto*//*Label 19158*/ GIMT_Encode4(1344606), // Rule ID 20258 //
     /* 1344527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1344538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1344541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1344544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1344547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1344550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344580 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1344583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344605 */     // GIR_Coverage, 20258,
     /* 1344605 */     GIR_EraseRootFromParent_Done,
     /* 1344606 */   // Label 19158: @1344606
     /* 1344606 */   GIM_Try, /*On fail goto*//*Label 19159*/ GIMT_Encode4(1344690), // Rule ID 20261 //
     /* 1344611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1344628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1344631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344664 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1344667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344689 */     // GIR_Coverage, 20261,
     /* 1344689 */     GIR_EraseRootFromParent_Done,
     /* 1344690 */   // Label 19159: @1344690
     /* 1344690 */   GIM_Try, /*On fail goto*//*Label 19160*/ GIMT_Encode4(1344774), // Rule ID 20262 //
     /* 1344695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1344698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1344712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1344715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344748 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1344751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344773 */     // GIR_Coverage, 20262,
     /* 1344773 */     GIR_EraseRootFromParent_Done,
     /* 1344774 */   // Label 19160: @1344774
     /* 1344774 */   GIM_Try, /*On fail goto*//*Label 19161*/ GIMT_Encode4(1344858), // Rule ID 20265 //
     /* 1344779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1344796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1344799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344832 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1344835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344857 */     // GIR_Coverage, 20265,
     /* 1344857 */     GIR_EraseRootFromParent_Done,
     /* 1344858 */   // Label 19161: @1344858
     /* 1344858 */   GIM_Try, /*On fail goto*//*Label 19162*/ GIMT_Encode4(1344942), // Rule ID 20266 //
     /* 1344863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1344866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1344880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1344883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344916 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1344919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1344925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1344927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344941 */     // GIR_Coverage, 20266,
     /* 1344941 */     GIR_EraseRootFromParent_Done,
     /* 1344942 */   // Label 19162: @1344942
     /* 1344942 */   GIM_Try, /*On fail goto*//*Label 19163*/ GIMT_Encode4(1345026), // Rule ID 20269 //
     /* 1344947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1344955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1344958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1344961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1344964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1344967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1344970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345000 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1345003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345025 */     // GIR_Coverage, 20269,
     /* 1345025 */     GIR_EraseRootFromParent_Done,
     /* 1345026 */   // Label 19163: @1345026
     /* 1345026 */   GIM_Try, /*On fail goto*//*Label 19164*/ GIMT_Encode4(1345110), // Rule ID 20270 //
     /* 1345031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1345034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1345042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1345045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1345048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1345051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345084 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1345087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345109 */     // GIR_Coverage, 20270,
     /* 1345109 */     GIR_EraseRootFromParent_Done,
     /* 1345110 */   // Label 19164: @1345110
     /* 1345110 */   GIM_Try, /*On fail goto*//*Label 19165*/ GIMT_Encode4(1345194), // Rule ID 20273 //
     /* 1345115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1345118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1345132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1345135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345168 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1345171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345193 */     // GIR_Coverage, 20273,
     /* 1345193 */     GIR_EraseRootFromParent_Done,
     /* 1345194 */   // Label 19165: @1345194
     /* 1345194 */   GIM_Try, /*On fail goto*//*Label 19166*/ GIMT_Encode4(1345278), // Rule ID 20274 //
     /* 1345199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1345202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1345216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1345219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345252 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1345255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345277 */     // GIR_Coverage, 20274,
     /* 1345277 */     GIR_EraseRootFromParent_Done,
     /* 1345278 */   // Label 19166: @1345278
     /* 1345278 */   GIM_Try, /*On fail goto*//*Label 19167*/ GIMT_Encode4(1345362), // Rule ID 20277 //
     /* 1345283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1345286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1345294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1345297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1345300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1345303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345336 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1345339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345361 */     // GIR_Coverage, 20277,
     /* 1345361 */     GIR_EraseRootFromParent_Done,
     /* 1345362 */   // Label 19167: @1345362
     /* 1345362 */   GIM_Try, /*On fail goto*//*Label 19168*/ GIMT_Encode4(1345446), // Rule ID 20278 //
     /* 1345367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1345370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1345378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1345381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1345384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1345387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345420 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1345423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345445 */     // GIR_Coverage, 20278,
     /* 1345445 */     GIR_EraseRootFromParent_Done,
     /* 1345446 */   // Label 19168: @1345446
     /* 1345446 */   GIM_Try, /*On fail goto*//*Label 19169*/ GIMT_Encode4(1345530), // Rule ID 20281 //
     /* 1345451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1345454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1345468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1345471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345504 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1345507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345529 */     // GIR_Coverage, 20281,
     /* 1345529 */     GIR_EraseRootFromParent_Done,
     /* 1345530 */   // Label 19169: @1345530
     /* 1345530 */   GIM_Try, /*On fail goto*//*Label 19170*/ GIMT_Encode4(1345614), // Rule ID 20282 //
     /* 1345535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1345538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1345543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1345552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1345555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345588 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1345591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345613 */     // GIR_Coverage, 20282,
     /* 1345613 */     GIR_EraseRootFromParent_Done,
     /* 1345614 */   // Label 19170: @1345614
     /* 1345614 */   GIM_Try, /*On fail goto*//*Label 19171*/ GIMT_Encode4(1345698), // Rule ID 20285 //
     /* 1345619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1345627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1345636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1345639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345672 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1345675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345697 */     // GIR_Coverage, 20285,
     /* 1345697 */     GIR_EraseRootFromParent_Done,
     /* 1345698 */   // Label 19171: @1345698
     /* 1345698 */   GIM_Try, /*On fail goto*//*Label 19172*/ GIMT_Encode4(1345782), // Rule ID 20286 //
     /* 1345703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1345711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1345720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1345723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345756 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1345759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345781 */     // GIR_Coverage, 20286,
     /* 1345781 */     GIR_EraseRootFromParent_Done,
     /* 1345782 */   // Label 19172: @1345782
     /* 1345782 */   GIM_Try, /*On fail goto*//*Label 19173*/ GIMT_Encode4(1345866), // Rule ID 20289 //
     /* 1345787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1345795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1345804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1345807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345840 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1345843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345865 */     // GIR_Coverage, 20289,
     /* 1345865 */     GIR_EraseRootFromParent_Done,
     /* 1345866 */   // Label 19173: @1345866
     /* 1345866 */   GIM_Try, /*On fail goto*//*Label 19174*/ GIMT_Encode4(1345950), // Rule ID 20290 //
     /* 1345871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1345879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1345888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1345891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345924 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1345927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1345933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1345935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345949 */     // GIR_Coverage, 20290,
     /* 1345949 */     GIR_EraseRootFromParent_Done,
     /* 1345950 */   // Label 19174: @1345950
     /* 1345950 */   GIM_Try, /*On fail goto*//*Label 19175*/ GIMT_Encode4(1346034), // Rule ID 20293 //
     /* 1345955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1345958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1345963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1345972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1345975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346008 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1346011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346033 */     // GIR_Coverage, 20293,
     /* 1346033 */     GIR_EraseRootFromParent_Done,
     /* 1346034 */   // Label 19175: @1346034
     /* 1346034 */   GIM_Try, /*On fail goto*//*Label 19176*/ GIMT_Encode4(1346118), // Rule ID 20294 //
     /* 1346039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1346056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1346059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346092 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1346095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346117 */     // GIR_Coverage, 20294,
     /* 1346117 */     GIR_EraseRootFromParent_Done,
     /* 1346118 */   // Label 19176: @1346118
     /* 1346118 */   GIM_Try, /*On fail goto*//*Label 19177*/ GIMT_Encode4(1346202), // Rule ID 20297 //
     /* 1346123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1346140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1346143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346176 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1346179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346201 */     // GIR_Coverage, 20297,
     /* 1346201 */     GIR_EraseRootFromParent_Done,
     /* 1346202 */   // Label 19177: @1346202
     /* 1346202 */   GIM_Try, /*On fail goto*//*Label 19178*/ GIMT_Encode4(1346286), // Rule ID 20298 //
     /* 1346207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1346224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1346227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346260 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1346263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346285 */     // GIR_Coverage, 20298,
     /* 1346285 */     GIR_EraseRootFromParent_Done,
     /* 1346286 */   // Label 19178: @1346286
     /* 1346286 */   GIM_Try, /*On fail goto*//*Label 19179*/ GIMT_Encode4(1346370), // Rule ID 20301 //
     /* 1346291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1346308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1346311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346344 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1346347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346369 */     // GIR_Coverage, 20301,
     /* 1346369 */     GIR_EraseRootFromParent_Done,
     /* 1346370 */   // Label 19179: @1346370
     /* 1346370 */   GIM_Try, /*On fail goto*//*Label 19180*/ GIMT_Encode4(1346454), // Rule ID 20302 //
     /* 1346375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1346392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1346395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346428 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1346431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346453 */     // GIR_Coverage, 20302,
     /* 1346453 */     GIR_EraseRootFromParent_Done,
     /* 1346454 */   // Label 19180: @1346454
     /* 1346454 */   GIM_Try, /*On fail goto*//*Label 19181*/ GIMT_Encode4(1346538), // Rule ID 20305 //
     /* 1346459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1346462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1346476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1346479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346512 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1346515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346537 */     // GIR_Coverage, 20305,
     /* 1346537 */     GIR_EraseRootFromParent_Done,
     /* 1346538 */   // Label 19181: @1346538
     /* 1346538 */   GIM_Try, /*On fail goto*//*Label 19182*/ GIMT_Encode4(1346622), // Rule ID 20306 //
     /* 1346543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1346546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1346560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1346563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346596 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1346599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346621 */     // GIR_Coverage, 20306,
     /* 1346621 */     GIR_EraseRootFromParent_Done,
     /* 1346622 */   // Label 19182: @1346622
     /* 1346622 */   GIM_Try, /*On fail goto*//*Label 19183*/ GIMT_Encode4(1346706), // Rule ID 20309 //
     /* 1346627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1346644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1346647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346680 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1346683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346705 */     // GIR_Coverage, 20309,
     /* 1346705 */     GIR_EraseRootFromParent_Done,
     /* 1346706 */   // Label 19183: @1346706
     /* 1346706 */   GIM_Try, /*On fail goto*//*Label 19184*/ GIMT_Encode4(1346790), // Rule ID 20310 //
     /* 1346711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1346728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1346731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346764 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1346767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346789 */     // GIR_Coverage, 20310,
     /* 1346789 */     GIR_EraseRootFromParent_Done,
     /* 1346790 */   // Label 19184: @1346790
     /* 1346790 */   GIM_Try, /*On fail goto*//*Label 19185*/ GIMT_Encode4(1346874), // Rule ID 20313 //
     /* 1346795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1346806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1346809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1346812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1346815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1346818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346848 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1346851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346873 */     // GIR_Coverage, 20313,
     /* 1346873 */     GIR_EraseRootFromParent_Done,
     /* 1346874 */   // Label 19185: @1346874
     /* 1346874 */   GIM_Try, /*On fail goto*//*Label 19186*/ GIMT_Encode4(1346958), // Rule ID 20314 //
     /* 1346879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1346890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1346893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1346896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1346899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1346902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346932 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1346935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1346941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1346943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346957 */     // GIR_Coverage, 20314,
     /* 1346957 */     GIR_EraseRootFromParent_Done,
     /* 1346958 */   // Label 19186: @1346958
     /* 1346958 */   GIM_Try, /*On fail goto*//*Label 19187*/ GIMT_Encode4(1347042), // Rule ID 20317 //
     /* 1346963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1346971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1346974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1346977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1346980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1346983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1346986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347016 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1347019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347041 */     // GIR_Coverage, 20317,
     /* 1347041 */     GIR_EraseRootFromParent_Done,
     /* 1347042 */   // Label 19187: @1347042
     /* 1347042 */   GIM_Try, /*On fail goto*//*Label 19188*/ GIMT_Encode4(1347126), // Rule ID 20318 //
     /* 1347047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1347050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1347058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1347061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1347064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1347067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1347070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347100 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1347103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347125 */     // GIR_Coverage, 20318,
     /* 1347125 */     GIR_EraseRootFromParent_Done,
     /* 1347126 */   // Label 19188: @1347126
     /* 1347126 */   GIM_Try, /*On fail goto*//*Label 19189*/ GIMT_Encode4(1347210), // Rule ID 20321 //
     /* 1347131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1347148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1347151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347184 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1347187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347209 */     // GIR_Coverage, 20321,
     /* 1347209 */     GIR_EraseRootFromParent_Done,
     /* 1347210 */   // Label 19189: @1347210
     /* 1347210 */   GIM_Try, /*On fail goto*//*Label 19190*/ GIMT_Encode4(1347294), // Rule ID 20322 //
     /* 1347215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1347232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1347235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347268 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1347271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347293 */     // GIR_Coverage, 20322,
     /* 1347293 */     GIR_EraseRootFromParent_Done,
     /* 1347294 */   // Label 19190: @1347294
     /* 1347294 */   GIM_Try, /*On fail goto*//*Label 19191*/ GIMT_Encode4(1347378), // Rule ID 20325 //
     /* 1347299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1347316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1347319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347352 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1347355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347377 */     // GIR_Coverage, 20325,
     /* 1347377 */     GIR_EraseRootFromParent_Done,
     /* 1347378 */   // Label 19191: @1347378
     /* 1347378 */   GIM_Try, /*On fail goto*//*Label 19192*/ GIMT_Encode4(1347462), // Rule ID 20326 //
     /* 1347383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1347400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1347403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347436 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1347439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347461 */     // GIR_Coverage, 20326,
     /* 1347461 */     GIR_EraseRootFromParent_Done,
     /* 1347462 */   // Label 19192: @1347462
     /* 1347462 */   GIM_Try, /*On fail goto*//*Label 19193*/ GIMT_Encode4(1347546), // Rule ID 20329 //
     /* 1347467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1347478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1347481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1347484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1347487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347520 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1347523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347545 */     // GIR_Coverage, 20329,
     /* 1347545 */     GIR_EraseRootFromParent_Done,
     /* 1347546 */   // Label 19193: @1347546
     /* 1347546 */   GIM_Try, /*On fail goto*//*Label 19194*/ GIMT_Encode4(1347630), // Rule ID 20330 //
     /* 1347551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1347562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1347565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1347568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1347571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347604 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1347607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347629 */     // GIR_Coverage, 20330,
     /* 1347629 */     GIR_EraseRootFromParent_Done,
     /* 1347630 */   // Label 19194: @1347630
     /* 1347630 */   GIM_Try, /*On fail goto*//*Label 19195*/ GIMT_Encode4(1347714), // Rule ID 20333 //
     /* 1347635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1347638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1347652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1347655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347688 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1347691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347713 */     // GIR_Coverage, 20333,
     /* 1347713 */     GIR_EraseRootFromParent_Done,
     /* 1347714 */   // Label 19195: @1347714
     /* 1347714 */   GIM_Try, /*On fail goto*//*Label 19196*/ GIMT_Encode4(1347798), // Rule ID 20334 //
     /* 1347719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1347722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1347736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1347739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347772 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1347775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347797 */     // GIR_Coverage, 20334,
     /* 1347797 */     GIR_EraseRootFromParent_Done,
     /* 1347798 */   // Label 19196: @1347798
     /* 1347798 */   GIM_Try, /*On fail goto*//*Label 19197*/ GIMT_Encode4(1347882), // Rule ID 20337 //
     /* 1347803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1347806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1347820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1347823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347856 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1347859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347881 */     // GIR_Coverage, 20337,
     /* 1347881 */     GIR_EraseRootFromParent_Done,
     /* 1347882 */   // Label 19197: @1347882
     /* 1347882 */   GIM_Try, /*On fail goto*//*Label 19198*/ GIMT_Encode4(1347966), // Rule ID 20338 //
     /* 1347887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1347890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1347904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1347907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347940 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1347943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1347949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1347951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347965 */     // GIR_Coverage, 20338,
     /* 1347965 */     GIR_EraseRootFromParent_Done,
     /* 1347966 */   // Label 19198: @1347966
     /* 1347966 */   GIM_Try, /*On fail goto*//*Label 19199*/ GIMT_Encode4(1348050), // Rule ID 20341 //
     /* 1347971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1347974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1347979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1347988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1347991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348024 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1348027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348049 */     // GIR_Coverage, 20341,
     /* 1348049 */     GIR_EraseRootFromParent_Done,
     /* 1348050 */   // Label 19199: @1348050
     /* 1348050 */   GIM_Try, /*On fail goto*//*Label 19200*/ GIMT_Encode4(1348134), // Rule ID 20342 //
     /* 1348055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1348058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1348063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1348072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1348075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348108 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11322:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1348111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1348117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1348119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348133 */     // GIR_Coverage, 20342,
     /* 1348133 */     GIR_EraseRootFromParent_Done,
     /* 1348134 */   // Label 19200: @1348134
     /* 1348134 */   GIM_Try, /*On fail goto*//*Label 19201*/ GIMT_Encode4(1348215), // Rule ID 20399 //
     /* 1348139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1348142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1348147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1348150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1348153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1348156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1348159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348192 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1348192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1348195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348214 */     // GIR_Coverage, 20399,
     /* 1348214 */     GIR_EraseRootFromParent_Done,
     /* 1348215 */   // Label 19201: @1348215
     /* 1348215 */   GIM_Try, /*On fail goto*//*Label 19202*/ GIMT_Encode4(1348296), // Rule ID 20400 //
     /* 1348220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1348223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1348228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1348231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1348234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1348237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1348240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348273 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1348273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1348276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348295 */     // GIR_Coverage, 20400,
     /* 1348295 */     GIR_EraseRootFromParent_Done,
     /* 1348296 */   // Label 19202: @1348296
     /* 1348296 */   GIM_Try, /*On fail goto*//*Label 19203*/ GIMT_Encode4(1348377), // Rule ID 20401 //
     /* 1348301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1348304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1348309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1348312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1348315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1348318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1348321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1348343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348354 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1348354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1348357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348376 */     // GIR_Coverage, 20401,
     /* 1348376 */     GIR_EraseRootFromParent_Done,
     /* 1348377 */   // Label 19203: @1348377
     /* 1348377 */   GIM_Try, /*On fail goto*//*Label 19204*/ GIMT_Encode4(1348458), // Rule ID 20402 //
     /* 1348382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1348385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1348390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1348393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1348396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1348399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1348402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1348424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348435 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1348435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1348438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348457 */     // GIR_Coverage, 20402,
     /* 1348457 */     GIR_EraseRootFromParent_Done,
     /* 1348458 */   // Label 19204: @1348458
     /* 1348458 */   GIM_Try, /*On fail goto*//*Label 19205*/ GIMT_Encode4(1348539), // Rule ID 20403 //
     /* 1348463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1348466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1348471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1348474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1348477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1348480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1348483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348516 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1348516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1348519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348538 */     // GIR_Coverage, 20403,
     /* 1348538 */     GIR_EraseRootFromParent_Done,
     /* 1348539 */   // Label 19205: @1348539
     /* 1348539 */   GIM_Try, /*On fail goto*//*Label 19206*/ GIMT_Encode4(1348620), // Rule ID 20404 //
     /* 1348544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1348547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1348552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1348555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1348558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1348561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1348564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348597 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1348597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1348600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348619 */     // GIR_Coverage, 20404,
     /* 1348619 */     GIR_EraseRootFromParent_Done,
     /* 1348620 */   // Label 19206: @1348620
     /* 1348620 */   GIM_Try, /*On fail goto*//*Label 19207*/ GIMT_Encode4(1348701), // Rule ID 20405 //
     /* 1348625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1348628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1348633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1348636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1348639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1348642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1348645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1348667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348678 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1348678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1348681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348700 */     // GIR_Coverage, 20405,
     /* 1348700 */     GIR_EraseRootFromParent_Done,
     /* 1348701 */   // Label 19207: @1348701
     /* 1348701 */   GIM_Try, /*On fail goto*//*Label 19208*/ GIMT_Encode4(1348782), // Rule ID 20406 //
     /* 1348706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1348709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1348714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1348717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1348720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1348723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1348726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1348748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348759 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1348759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1348762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348781 */     // GIR_Coverage, 20406,
     /* 1348781 */     GIR_EraseRootFromParent_Done,
     /* 1348782 */   // Label 19208: @1348782
     /* 1348782 */   GIM_Try, /*On fail goto*//*Label 19209*/ GIMT_Encode4(1348863), // Rule ID 20407 //
     /* 1348787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1348790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1348795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1348798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1348801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1348804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1348807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348840 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1348840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1348843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348862 */     // GIR_Coverage, 20407,
     /* 1348862 */     GIR_EraseRootFromParent_Done,
     /* 1348863 */   // Label 19209: @1348863
     /* 1348863 */   GIM_Try, /*On fail goto*//*Label 19210*/ GIMT_Encode4(1348944), // Rule ID 20408 //
     /* 1348868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1348871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1348876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1348879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1348882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1348885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1348888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348921 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1348921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1348924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348943 */     // GIR_Coverage, 20408,
     /* 1348943 */     GIR_EraseRootFromParent_Done,
     /* 1348944 */   // Label 19210: @1348944
     /* 1348944 */   GIM_Try, /*On fail goto*//*Label 19211*/ GIMT_Encode4(1349025), // Rule ID 20409 //
     /* 1348949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1348952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1348957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1348960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1348963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1348966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1348991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349002 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1349002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1349005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349024 */     // GIR_Coverage, 20409,
     /* 1349024 */     GIR_EraseRootFromParent_Done,
     /* 1349025 */   // Label 19211: @1349025
     /* 1349025 */   GIM_Try, /*On fail goto*//*Label 19212*/ GIMT_Encode4(1349106), // Rule ID 20410 //
     /* 1349030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1349033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1349038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1349041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1349044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1349047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1349050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1349072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349083 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1349083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1349086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349105 */     // GIR_Coverage, 20410,
     /* 1349105 */     GIR_EraseRootFromParent_Done,
     /* 1349106 */   // Label 19212: @1349106
     /* 1349106 */   GIM_Try, /*On fail goto*//*Label 19213*/ GIMT_Encode4(1349187), // Rule ID 20411 //
     /* 1349111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1349114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1349119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1349122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1349125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1349128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1349131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349164 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1349164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1349167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349186 */     // GIR_Coverage, 20411,
     /* 1349186 */     GIR_EraseRootFromParent_Done,
     /* 1349187 */   // Label 19213: @1349187
     /* 1349187 */   GIM_Try, /*On fail goto*//*Label 19214*/ GIMT_Encode4(1349268), // Rule ID 20412 //
     /* 1349192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1349195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1349200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1349203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1349206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1349209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1349212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349245 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1349245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1349248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349267 */     // GIR_Coverage, 20412,
     /* 1349267 */     GIR_EraseRootFromParent_Done,
     /* 1349268 */   // Label 19214: @1349268
     /* 1349268 */   GIM_Try, /*On fail goto*//*Label 19215*/ GIMT_Encode4(1349349), // Rule ID 20413 //
     /* 1349273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1349276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1349281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1349284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1349287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1349290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349326 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1349326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1349329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349348 */     // GIR_Coverage, 20413,
     /* 1349348 */     GIR_EraseRootFromParent_Done,
     /* 1349349 */   // Label 19215: @1349349
     /* 1349349 */   GIM_Try, /*On fail goto*//*Label 19216*/ GIMT_Encode4(1349430), // Rule ID 20414 //
     /* 1349354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1349357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1349362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1349365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1349368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1349371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349407 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1349407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1349410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349429 */     // GIR_Coverage, 20414,
     /* 1349429 */     GIR_EraseRootFromParent_Done,
     /* 1349430 */   // Label 19216: @1349430
     /* 1349430 */   GIM_Try, /*On fail goto*//*Label 19217*/ GIMT_Encode4(1349511), // Rule ID 20415 //
     /* 1349435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1349438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1349443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1349446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1349449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1349452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1349455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349488 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1349488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1349491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349510 */     // GIR_Coverage, 20415,
     /* 1349510 */     GIR_EraseRootFromParent_Done,
     /* 1349511 */   // Label 19217: @1349511
     /* 1349511 */   GIM_Try, /*On fail goto*//*Label 19218*/ GIMT_Encode4(1349592), // Rule ID 20416 //
     /* 1349516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1349519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1349524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1349527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1349530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1349533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1349536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349569 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1349569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1349572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349591 */     // GIR_Coverage, 20416,
     /* 1349591 */     GIR_EraseRootFromParent_Done,
     /* 1349592 */   // Label 19218: @1349592
     /* 1349592 */   GIM_Try, /*On fail goto*//*Label 19219*/ GIMT_Encode4(1349673), // Rule ID 20417 //
     /* 1349597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1349600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1349605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1349608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1349611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1349614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1349617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1349639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349650 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1349650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1349653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349672 */     // GIR_Coverage, 20417,
     /* 1349672 */     GIR_EraseRootFromParent_Done,
     /* 1349673 */   // Label 19219: @1349673
     /* 1349673 */   GIM_Try, /*On fail goto*//*Label 19220*/ GIMT_Encode4(1349754), // Rule ID 20418 //
     /* 1349678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1349681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1349686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1349689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1349692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1349695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1349698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1349720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349731 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1349731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1349734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349753 */     // GIR_Coverage, 20418,
     /* 1349753 */     GIR_EraseRootFromParent_Done,
     /* 1349754 */   // Label 19220: @1349754
     /* 1349754 */   GIM_Try, /*On fail goto*//*Label 19221*/ GIMT_Encode4(1349835), // Rule ID 20419 //
     /* 1349759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1349762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1349767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1349770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1349773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1349776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1349779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349812 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1349812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1349815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349834 */     // GIR_Coverage, 20419,
     /* 1349834 */     GIR_EraseRootFromParent_Done,
     /* 1349835 */   // Label 19221: @1349835
     /* 1349835 */   GIM_Try, /*On fail goto*//*Label 19222*/ GIMT_Encode4(1349916), // Rule ID 20420 //
     /* 1349840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1349843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1349848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1349851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1349854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1349857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1349860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349893 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1349893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1349896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349915 */     // GIR_Coverage, 20420,
     /* 1349915 */     GIR_EraseRootFromParent_Done,
     /* 1349916 */   // Label 19222: @1349916
     /* 1349916 */   GIM_Try, /*On fail goto*//*Label 19223*/ GIMT_Encode4(1349997), // Rule ID 20421 //
     /* 1349921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1349924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1349929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1349932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1349935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1349938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1349941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1349963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349974 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1349974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1349977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349996 */     // GIR_Coverage, 20421,
     /* 1349996 */     GIR_EraseRootFromParent_Done,
     /* 1349997 */   // Label 19223: @1349997
     /* 1349997 */   GIM_Try, /*On fail goto*//*Label 19224*/ GIMT_Encode4(1350078), // Rule ID 20422 //
     /* 1350002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1350005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1350013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1350016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1350019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1350022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1350044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350055 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1350055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1350058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1350076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350077 */     // GIR_Coverage, 20422,
     /* 1350077 */     GIR_EraseRootFromParent_Done,
     /* 1350078 */   // Label 19224: @1350078
     /* 1350078 */   GIM_Try, /*On fail goto*//*Label 19225*/ GIMT_Encode4(1350159), // Rule ID 20423 //
     /* 1350083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1350086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1350094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1350097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1350100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1350103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1350113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350136 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1350136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1350139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350158 */     // GIR_Coverage, 20423,
     /* 1350158 */     GIR_EraseRootFromParent_Done,
     /* 1350159 */   // Label 19225: @1350159
     /* 1350159 */   GIM_Try, /*On fail goto*//*Label 19226*/ GIMT_Encode4(1350240), // Rule ID 20424 //
     /* 1350164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1350167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1350175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1350178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1350181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1350184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1350194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350217 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1350217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1350220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350239 */     // GIR_Coverage, 20424,
     /* 1350239 */     GIR_EraseRootFromParent_Done,
     /* 1350240 */   // Label 19226: @1350240
     /* 1350240 */   GIM_Try, /*On fail goto*//*Label 19227*/ GIMT_Encode4(1350321), // Rule ID 20425 //
     /* 1350245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1350248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1350256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1350259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1350262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1350275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350298 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1350298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1350301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350320 */     // GIR_Coverage, 20425,
     /* 1350320 */     GIR_EraseRootFromParent_Done,
     /* 1350321 */   // Label 19227: @1350321
     /* 1350321 */   GIM_Try, /*On fail goto*//*Label 19228*/ GIMT_Encode4(1350402), // Rule ID 20426 //
     /* 1350326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1350329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1350337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1350340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1350343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1350356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350379 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1350379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1350382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350401 */     // GIR_Coverage, 20426,
     /* 1350401 */     GIR_EraseRootFromParent_Done,
     /* 1350402 */   // Label 19228: @1350402
     /* 1350402 */   GIM_Try, /*On fail goto*//*Label 19229*/ GIMT_Encode4(1350483), // Rule ID 20427 //
     /* 1350407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1350410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1350418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1350421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1350424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1350427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1350437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350460 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1350460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1350463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350482 */     // GIR_Coverage, 20427,
     /* 1350482 */     GIR_EraseRootFromParent_Done,
     /* 1350483 */   // Label 19229: @1350483
     /* 1350483 */   GIM_Try, /*On fail goto*//*Label 19230*/ GIMT_Encode4(1350564), // Rule ID 20428 //
     /* 1350488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1350491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1350499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1350502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1350505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1350508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1350518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350541 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1350541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1350544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350563 */     // GIR_Coverage, 20428,
     /* 1350563 */     GIR_EraseRootFromParent_Done,
     /* 1350564 */   // Label 19230: @1350564
     /* 1350564 */   GIM_Try, /*On fail goto*//*Label 19231*/ GIMT_Encode4(1350645), // Rule ID 20429 //
     /* 1350569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1350572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1350580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1350583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1350586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1350599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350622 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1350622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1350625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350644 */     // GIR_Coverage, 20429,
     /* 1350644 */     GIR_EraseRootFromParent_Done,
     /* 1350645 */   // Label 19231: @1350645
     /* 1350645 */   GIM_Try, /*On fail goto*//*Label 19232*/ GIMT_Encode4(1350726), // Rule ID 20430 //
     /* 1350650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1350653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1350661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1350664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1350667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1350680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350703 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1350703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1350706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350725 */     // GIR_Coverage, 20430,
     /* 1350725 */     GIR_EraseRootFromParent_Done,
     /* 1350726 */   // Label 19232: @1350726
     /* 1350726 */   GIM_Try, /*On fail goto*//*Label 19233*/ GIMT_Encode4(1350807), // Rule ID 20431 //
     /* 1350731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1350734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1350742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1350745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1350748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1350751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1350754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1350761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350784 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1350784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1350787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350806 */     // GIR_Coverage, 20431,
     /* 1350806 */     GIR_EraseRootFromParent_Done,
     /* 1350807 */   // Label 19233: @1350807
     /* 1350807 */   GIM_Try, /*On fail goto*//*Label 19234*/ GIMT_Encode4(1350888), // Rule ID 20432 //
     /* 1350812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1350815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1350820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1350823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1350826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1350829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1350832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1350835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1350842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350865 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1350865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1350868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350887 */     // GIR_Coverage, 20432,
     /* 1350887 */     GIR_EraseRootFromParent_Done,
     /* 1350888 */   // Label 19234: @1350888
     /* 1350888 */   GIM_Try, /*On fail goto*//*Label 19235*/ GIMT_Encode4(1350969), // Rule ID 20433 //
     /* 1350893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1350896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1350904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1350907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1350910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1350916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1350923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350946 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1350946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1350949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350968 */     // GIR_Coverage, 20433,
     /* 1350968 */     GIR_EraseRootFromParent_Done,
     /* 1350969 */   // Label 19235: @1350969
     /* 1350969 */   GIM_Try, /*On fail goto*//*Label 19236*/ GIMT_Encode4(1351050), // Rule ID 20434 //
     /* 1350974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1350977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1350982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1350985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1350988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1350991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1350997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1351004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351027 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1351027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1351030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351049 */     // GIR_Coverage, 20434,
     /* 1351049 */     GIR_EraseRootFromParent_Done,
     /* 1351050 */   // Label 19236: @1351050
     /* 1351050 */   GIM_Try, /*On fail goto*//*Label 19237*/ GIMT_Encode4(1351131), // Rule ID 20435 //
     /* 1351055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1351058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1351066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1351069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1351072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1351075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351108 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1351108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1351111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351130 */     // GIR_Coverage, 20435,
     /* 1351130 */     GIR_EraseRootFromParent_Done,
     /* 1351131 */   // Label 19237: @1351131
     /* 1351131 */   GIM_Try, /*On fail goto*//*Label 19238*/ GIMT_Encode4(1351212), // Rule ID 20436 //
     /* 1351136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1351139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1351147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1351150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1351153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1351156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351189 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1351189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1351192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351211 */     // GIR_Coverage, 20436,
     /* 1351211 */     GIR_EraseRootFromParent_Done,
     /* 1351212 */   // Label 19238: @1351212
     /* 1351212 */   GIM_Try, /*On fail goto*//*Label 19239*/ GIMT_Encode4(1351293), // Rule ID 20437 //
     /* 1351217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1351220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1351228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1351231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1351234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1351237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1351259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351270 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1351270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1351273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351292 */     // GIR_Coverage, 20437,
     /* 1351292 */     GIR_EraseRootFromParent_Done,
     /* 1351293 */   // Label 19239: @1351293
     /* 1351293 */   GIM_Try, /*On fail goto*//*Label 19240*/ GIMT_Encode4(1351374), // Rule ID 20438 //
     /* 1351298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1351301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1351309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1351312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1351315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1351318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1351328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1351340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351351 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1351351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1351354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351373 */     // GIR_Coverage, 20438,
     /* 1351373 */     GIR_EraseRootFromParent_Done,
     /* 1351374 */   // Label 19240: @1351374
     /* 1351374 */   GIM_Try, /*On fail goto*//*Label 19241*/ GIMT_Encode4(1351455), // Rule ID 20439 //
     /* 1351379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1351382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1351390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1351393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1351396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1351399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1351409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351432 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1351432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1351435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351454 */     // GIR_Coverage, 20439,
     /* 1351454 */     GIR_EraseRootFromParent_Done,
     /* 1351455 */   // Label 19241: @1351455
     /* 1351455 */   GIM_Try, /*On fail goto*//*Label 19242*/ GIMT_Encode4(1351536), // Rule ID 20440 //
     /* 1351460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1351463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1351471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1351474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1351477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1351480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1351490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351513 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1351513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1351516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351535 */     // GIR_Coverage, 20440,
     /* 1351535 */     GIR_EraseRootFromParent_Done,
     /* 1351536 */   // Label 19242: @1351536
     /* 1351536 */   GIM_Try, /*On fail goto*//*Label 19243*/ GIMT_Encode4(1351617), // Rule ID 20441 //
     /* 1351541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1351544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1351552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1351555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1351558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1351561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1351571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1351583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351594 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1351594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1351597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351616 */     // GIR_Coverage, 20441,
     /* 1351616 */     GIR_EraseRootFromParent_Done,
     /* 1351617 */   // Label 19243: @1351617
     /* 1351617 */   GIM_Try, /*On fail goto*//*Label 19244*/ GIMT_Encode4(1351698), // Rule ID 20442 //
     /* 1351622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1351625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1351633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1351636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1351639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1351642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1351652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1351664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351675 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1351675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1351678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351697 */     // GIR_Coverage, 20442,
     /* 1351697 */     GIR_EraseRootFromParent_Done,
     /* 1351698 */   // Label 19244: @1351698
     /* 1351698 */   GIM_Try, /*On fail goto*//*Label 19245*/ GIMT_Encode4(1351779), // Rule ID 20443 //
     /* 1351703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1351706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1351714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1351717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1351720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1351723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1351733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351756 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1351756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1351759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351778 */     // GIR_Coverage, 20443,
     /* 1351778 */     GIR_EraseRootFromParent_Done,
     /* 1351779 */   // Label 19245: @1351779
     /* 1351779 */   GIM_Try, /*On fail goto*//*Label 19246*/ GIMT_Encode4(1351860), // Rule ID 20444 //
     /* 1351784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1351787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1351792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1351795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1351798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1351801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1351804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1351814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351837 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1351837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1351840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351859 */     // GIR_Coverage, 20444,
     /* 1351859 */     GIR_EraseRootFromParent_Done,
     /* 1351860 */   // Label 19246: @1351860
     /* 1351860 */   GIM_Try, /*On fail goto*//*Label 19247*/ GIMT_Encode4(1351941), // Rule ID 20445 //
     /* 1351865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1351868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1351876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1351879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1351882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1351885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1351895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1351907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351918 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1351918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1351921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351940 */     // GIR_Coverage, 20445,
     /* 1351940 */     GIR_EraseRootFromParent_Done,
     /* 1351941 */   // Label 19247: @1351941
     /* 1351941 */   GIM_Try, /*On fail goto*//*Label 19248*/ GIMT_Encode4(1352022), // Rule ID 20446 //
     /* 1351946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1351949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1351954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1351957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1351960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1351963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1351966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1351976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1351988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351999 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1351999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1352002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352021 */     // GIR_Coverage, 20446,
     /* 1352021 */     GIR_EraseRootFromParent_Done,
     /* 1352022 */   // Label 19248: @1352022
     /* 1352022 */   GIM_Try, /*On fail goto*//*Label 19249*/ GIMT_Encode4(1352103), // Rule ID 20447 //
     /* 1352027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1352030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1352038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1352041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1352044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1352047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1352050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352080 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1352080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1352083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352102 */     // GIR_Coverage, 20447,
     /* 1352102 */     GIR_EraseRootFromParent_Done,
     /* 1352103 */   // Label 19249: @1352103
     /* 1352103 */   GIM_Try, /*On fail goto*//*Label 19250*/ GIMT_Encode4(1352184), // Rule ID 20448 //
     /* 1352108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1352111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1352119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1352122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1352125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1352128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1352131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352161 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1352161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1352164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352183 */     // GIR_Coverage, 20448,
     /* 1352183 */     GIR_EraseRootFromParent_Done,
     /* 1352184 */   // Label 19250: @1352184
     /* 1352184 */   GIM_Try, /*On fail goto*//*Label 19251*/ GIMT_Encode4(1352265), // Rule ID 20449 //
     /* 1352189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1352192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1352200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1352203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1352206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1352209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1352212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1352231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352242 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1352242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1352245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352264 */     // GIR_Coverage, 20449,
     /* 1352264 */     GIR_EraseRootFromParent_Done,
     /* 1352265 */   // Label 19251: @1352265
     /* 1352265 */   GIM_Try, /*On fail goto*//*Label 19252*/ GIMT_Encode4(1352346), // Rule ID 20450 //
     /* 1352270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1352273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1352281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1352284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1352287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1352290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1352293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1352300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1352312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352323 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1352323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1352326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352345 */     // GIR_Coverage, 20450,
     /* 1352345 */     GIR_EraseRootFromParent_Done,
     /* 1352346 */   // Label 19252: @1352346
     /* 1352346 */   GIM_Try, /*On fail goto*//*Label 19253*/ GIMT_Encode4(1352427), // Rule ID 20451 //
     /* 1352351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1352354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1352362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1352365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1352368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1352371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352404 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1352404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1352407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352426 */     // GIR_Coverage, 20451,
     /* 1352426 */     GIR_EraseRootFromParent_Done,
     /* 1352427 */   // Label 19253: @1352427
     /* 1352427 */   GIM_Try, /*On fail goto*//*Label 19254*/ GIMT_Encode4(1352508), // Rule ID 20452 //
     /* 1352432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1352435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1352443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1352446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1352449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1352452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352485 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1352485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1352488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352507 */     // GIR_Coverage, 20452,
     /* 1352507 */     GIR_EraseRootFromParent_Done,
     /* 1352508 */   // Label 19254: @1352508
     /* 1352508 */   GIM_Try, /*On fail goto*//*Label 19255*/ GIMT_Encode4(1352589), // Rule ID 20453 //
     /* 1352513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1352516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1352524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1352527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1352530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1352533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1352555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352566 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1352566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1352569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352588 */     // GIR_Coverage, 20453,
     /* 1352588 */     GIR_EraseRootFromParent_Done,
     /* 1352589 */   // Label 19255: @1352589
     /* 1352589 */   GIM_Try, /*On fail goto*//*Label 19256*/ GIMT_Encode4(1352670), // Rule ID 20454 //
     /* 1352594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1352597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1352605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1352608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1352611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1352614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1352624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1352636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352647 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1352647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1352650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352669 */     // GIR_Coverage, 20454,
     /* 1352669 */     GIR_EraseRootFromParent_Done,
     /* 1352670 */   // Label 19256: @1352670
     /* 1352670 */   GIM_Try, /*On fail goto*//*Label 19257*/ GIMT_Encode4(1352751), // Rule ID 20455 //
     /* 1352675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1352678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1352686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1352689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1352692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1352695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352728 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1352728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1352731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352750 */     // GIR_Coverage, 20455,
     /* 1352750 */     GIR_EraseRootFromParent_Done,
     /* 1352751 */   // Label 19257: @1352751
     /* 1352751 */   GIM_Try, /*On fail goto*//*Label 19258*/ GIMT_Encode4(1352832), // Rule ID 20456 //
     /* 1352756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1352759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1352764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1352767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1352770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1352773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1352776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352809 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1352809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1352812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352831 */     // GIR_Coverage, 20456,
     /* 1352831 */     GIR_EraseRootFromParent_Done,
     /* 1352832 */   // Label 19258: @1352832
     /* 1352832 */   GIM_Try, /*On fail goto*//*Label 19259*/ GIMT_Encode4(1352913), // Rule ID 20457 //
     /* 1352837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1352840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1352848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1352851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1352854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1352857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1352879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352890 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1352890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1352893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352912 */     // GIR_Coverage, 20457,
     /* 1352912 */     GIR_EraseRootFromParent_Done,
     /* 1352913 */   // Label 19259: @1352913
     /* 1352913 */   GIM_Try, /*On fail goto*//*Label 19260*/ GIMT_Encode4(1352994), // Rule ID 20458 //
     /* 1352918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1352921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1352926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1352929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1352932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1352935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1352938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1352948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1352960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352971 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1352971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1352974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352993 */     // GIR_Coverage, 20458,
     /* 1352993 */     GIR_EraseRootFromParent_Done,
     /* 1352994 */   // Label 19260: @1352994
     /* 1352994 */   GIM_Try, /*On fail goto*//*Label 19261*/ GIMT_Encode4(1353078), // Rule ID 21839 //
     /* 1352999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1353002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1353007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1353010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1353013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1353016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1353019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353052 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1353052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1353055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353077 */     // GIR_Coverage, 21839,
     /* 1353077 */     GIR_EraseRootFromParent_Done,
     /* 1353078 */   // Label 19261: @1353078
     /* 1353078 */   GIM_Try, /*On fail goto*//*Label 19262*/ GIMT_Encode4(1353162), // Rule ID 21840 //
     /* 1353083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1353086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1353091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1353094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1353097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1353100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1353103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353136 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1353136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1353139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353161 */     // GIR_Coverage, 21840,
     /* 1353161 */     GIR_EraseRootFromParent_Done,
     /* 1353162 */   // Label 19262: @1353162
     /* 1353162 */   GIM_Try, /*On fail goto*//*Label 19263*/ GIMT_Encode4(1353246), // Rule ID 21843 //
     /* 1353167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1353170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1353175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1353178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1353181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1353184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1353187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353220 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1353220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1353223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353245 */     // GIR_Coverage, 21843,
     /* 1353245 */     GIR_EraseRootFromParent_Done,
     /* 1353246 */   // Label 19263: @1353246
     /* 1353246 */   GIM_Try, /*On fail goto*//*Label 19264*/ GIMT_Encode4(1353330), // Rule ID 21844 //
     /* 1353251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1353254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1353259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1353262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1353265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1353268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1353271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353304 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1353304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1353307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353329 */     // GIR_Coverage, 21844,
     /* 1353329 */     GIR_EraseRootFromParent_Done,
     /* 1353330 */   // Label 19264: @1353330
     /* 1353330 */   GIM_Try, /*On fail goto*//*Label 19265*/ GIMT_Encode4(1353414), // Rule ID 21847 //
     /* 1353335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1353338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1353343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1353346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1353349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1353352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1353355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1353358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353388 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1353388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1353391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353413 */     // GIR_Coverage, 21847,
     /* 1353413 */     GIR_EraseRootFromParent_Done,
     /* 1353414 */   // Label 19265: @1353414
     /* 1353414 */   GIM_Try, /*On fail goto*//*Label 19266*/ GIMT_Encode4(1353498), // Rule ID 21848 //
     /* 1353419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1353422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1353427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1353430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1353433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1353436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1353439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1353442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353472 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1353472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1353475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353497 */     // GIR_Coverage, 21848,
     /* 1353497 */     GIR_EraseRootFromParent_Done,
     /* 1353498 */   // Label 19266: @1353498
     /* 1353498 */   GIM_Try, /*On fail goto*//*Label 19267*/ GIMT_Encode4(1353582), // Rule ID 21851 //
     /* 1353503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1353506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1353511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1353514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1353517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1353520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1353523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353556 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1353556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1353559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353581 */     // GIR_Coverage, 21851,
     /* 1353581 */     GIR_EraseRootFromParent_Done,
     /* 1353582 */   // Label 19267: @1353582
     /* 1353582 */   GIM_Try, /*On fail goto*//*Label 19268*/ GIMT_Encode4(1353666), // Rule ID 21852 //
     /* 1353587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1353590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1353595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1353598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1353601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1353604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1353607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353640 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1353640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1353643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353665 */     // GIR_Coverage, 21852,
     /* 1353665 */     GIR_EraseRootFromParent_Done,
     /* 1353666 */   // Label 19268: @1353666
     /* 1353666 */   GIM_Try, /*On fail goto*//*Label 19269*/ GIMT_Encode4(1353750), // Rule ID 21855 //
     /* 1353671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1353674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1353679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1353682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1353685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1353688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1353691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1353694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1353724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1353727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353749 */     // GIR_Coverage, 21855,
     /* 1353749 */     GIR_EraseRootFromParent_Done,
     /* 1353750 */   // Label 19269: @1353750
     /* 1353750 */   GIM_Try, /*On fail goto*//*Label 19270*/ GIMT_Encode4(1353834), // Rule ID 21856 //
     /* 1353755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1353758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1353763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1353766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1353769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1353772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1353775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1353778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1353808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1353811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353833 */     // GIR_Coverage, 21856,
     /* 1353833 */     GIR_EraseRootFromParent_Done,
     /* 1353834 */   // Label 19270: @1353834
     /* 1353834 */   GIM_Try, /*On fail goto*//*Label 19271*/ GIMT_Encode4(1353918), // Rule ID 21859 //
     /* 1353839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1353842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1353847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1353850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1353853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1353856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1353859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353892 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1353892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1353895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353917 */     // GIR_Coverage, 21859,
     /* 1353917 */     GIR_EraseRootFromParent_Done,
     /* 1353918 */   // Label 19271: @1353918
     /* 1353918 */   GIM_Try, /*On fail goto*//*Label 19272*/ GIMT_Encode4(1354002), // Rule ID 21860 //
     /* 1353923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1353926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1353931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1353934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1353937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1353940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1353943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353976 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1353976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1353979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354001 */     // GIR_Coverage, 21860,
     /* 1354001 */     GIR_EraseRootFromParent_Done,
     /* 1354002 */   // Label 19272: @1354002
     /* 1354002 */   GIM_Try, /*On fail goto*//*Label 19273*/ GIMT_Encode4(1354086), // Rule ID 21863 //
     /* 1354007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1354024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354060 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1354063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354085 */     // GIR_Coverage, 21863,
     /* 1354085 */     GIR_EraseRootFromParent_Done,
     /* 1354086 */   // Label 19273: @1354086
     /* 1354086 */   GIM_Try, /*On fail goto*//*Label 19274*/ GIMT_Encode4(1354170), // Rule ID 21864 //
     /* 1354091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1354108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354144 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1354147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354169 */     // GIR_Coverage, 21864,
     /* 1354169 */     GIR_EraseRootFromParent_Done,
     /* 1354170 */   // Label 19274: @1354170
     /* 1354170 */   GIM_Try, /*On fail goto*//*Label 19275*/ GIMT_Encode4(1354254), // Rule ID 21867 //
     /* 1354175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1354186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1354189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1354192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1354195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1354231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354253 */     // GIR_Coverage, 21867,
     /* 1354253 */     GIR_EraseRootFromParent_Done,
     /* 1354254 */   // Label 19275: @1354254
     /* 1354254 */   GIM_Try, /*On fail goto*//*Label 19276*/ GIMT_Encode4(1354338), // Rule ID 21868 //
     /* 1354259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1354270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1354273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1354276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1354279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354312 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1354315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354337 */     // GIR_Coverage, 21868,
     /* 1354337 */     GIR_EraseRootFromParent_Done,
     /* 1354338 */   // Label 19276: @1354338
     /* 1354338 */   GIM_Try, /*On fail goto*//*Label 19277*/ GIMT_Encode4(1354422), // Rule ID 21871 //
     /* 1354343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1354346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1354354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1354357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1354360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1354363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354396 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1354399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354421 */     // GIR_Coverage, 21871,
     /* 1354421 */     GIR_EraseRootFromParent_Done,
     /* 1354422 */   // Label 19277: @1354422
     /* 1354422 */   GIM_Try, /*On fail goto*//*Label 19278*/ GIMT_Encode4(1354506), // Rule ID 21872 //
     /* 1354427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1354430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1354438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1354441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1354444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1354447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354480 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1354483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354505 */     // GIR_Coverage, 21872,
     /* 1354505 */     GIR_EraseRootFromParent_Done,
     /* 1354506 */   // Label 19278: @1354506
     /* 1354506 */   GIM_Try, /*On fail goto*//*Label 19279*/ GIMT_Encode4(1354590), // Rule ID 21875 //
     /* 1354511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1354528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1354534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354564 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1354567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354589 */     // GIR_Coverage, 21875,
     /* 1354589 */     GIR_EraseRootFromParent_Done,
     /* 1354590 */   // Label 19279: @1354590
     /* 1354590 */   GIM_Try, /*On fail goto*//*Label 19280*/ GIMT_Encode4(1354674), // Rule ID 21876 //
     /* 1354595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1354612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1354618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354648 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1354651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354673 */     // GIR_Coverage, 21876,
     /* 1354673 */     GIR_EraseRootFromParent_Done,
     /* 1354674 */   // Label 19280: @1354674
     /* 1354674 */   GIM_Try, /*On fail goto*//*Label 19281*/ GIMT_Encode4(1354758), // Rule ID 21879 //
     /* 1354679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1354696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1354702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354732 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1354735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354757 */     // GIR_Coverage, 21879,
     /* 1354757 */     GIR_EraseRootFromParent_Done,
     /* 1354758 */   // Label 19281: @1354758
     /* 1354758 */   GIM_Try, /*On fail goto*//*Label 19282*/ GIMT_Encode4(1354842), // Rule ID 21880 //
     /* 1354763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1354780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1354786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354816 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1354819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354841 */     // GIR_Coverage, 21880,
     /* 1354841 */     GIR_EraseRootFromParent_Done,
     /* 1354842 */   // Label 19282: @1354842
     /* 1354842 */   GIM_Try, /*On fail goto*//*Label 19283*/ GIMT_Encode4(1354926), // Rule ID 21883 //
     /* 1354847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1354864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1354870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354900 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1354903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1354921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354925 */     // GIR_Coverage, 21883,
     /* 1354925 */     GIR_EraseRootFromParent_Done,
     /* 1354926 */   // Label 19283: @1354926
     /* 1354926 */   GIM_Try, /*On fail goto*//*Label 19284*/ GIMT_Encode4(1355010), // Rule ID 21884 //
     /* 1354931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1354939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1354942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1354945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1354948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1354951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1354954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354984 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1354987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355009 */     // GIR_Coverage, 21884,
     /* 1355009 */     GIR_EraseRootFromParent_Done,
     /* 1355010 */   // Label 19284: @1355010
     /* 1355010 */   GIM_Try, /*On fail goto*//*Label 19285*/ GIMT_Encode4(1355094), // Rule ID 21887 //
     /* 1355015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1355032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355068 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1355071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355093 */     // GIR_Coverage, 21887,
     /* 1355093 */     GIR_EraseRootFromParent_Done,
     /* 1355094 */   // Label 19285: @1355094
     /* 1355094 */   GIM_Try, /*On fail goto*//*Label 19286*/ GIMT_Encode4(1355178), // Rule ID 21888 //
     /* 1355099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1355116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1355155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355177 */     // GIR_Coverage, 21888,
     /* 1355177 */     GIR_EraseRootFromParent_Done,
     /* 1355178 */   // Label 19286: @1355178
     /* 1355178 */   GIM_Try, /*On fail goto*//*Label 19287*/ GIMT_Encode4(1355262), // Rule ID 21891 //
     /* 1355183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1355200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1355206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355236 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1355239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355261 */     // GIR_Coverage, 21891,
     /* 1355261 */     GIR_EraseRootFromParent_Done,
     /* 1355262 */   // Label 19287: @1355262
     /* 1355262 */   GIM_Try, /*On fail goto*//*Label 19288*/ GIMT_Encode4(1355346), // Rule ID 21892 //
     /* 1355267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1355284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1355290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355320 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1355323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355345 */     // GIR_Coverage, 21892,
     /* 1355345 */     GIR_EraseRootFromParent_Done,
     /* 1355346 */   // Label 19288: @1355346
     /* 1355346 */   GIM_Try, /*On fail goto*//*Label 19289*/ GIMT_Encode4(1355430), // Rule ID 21895 //
     /* 1355351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1355368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1355374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355404 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1355407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355429 */     // GIR_Coverage, 21895,
     /* 1355429 */     GIR_EraseRootFromParent_Done,
     /* 1355430 */   // Label 19289: @1355430
     /* 1355430 */   GIM_Try, /*On fail goto*//*Label 19290*/ GIMT_Encode4(1355514), // Rule ID 21896 //
     /* 1355435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1355452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1355458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355488 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1355491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355513 */     // GIR_Coverage, 21896,
     /* 1355513 */     GIR_EraseRootFromParent_Done,
     /* 1355514 */   // Label 19290: @1355514
     /* 1355514 */   GIM_Try, /*On fail goto*//*Label 19291*/ GIMT_Encode4(1355598), // Rule ID 21899 //
     /* 1355519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1355536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1355575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355597 */     // GIR_Coverage, 21899,
     /* 1355597 */     GIR_EraseRootFromParent_Done,
     /* 1355598 */   // Label 19291: @1355598
     /* 1355598 */   GIM_Try, /*On fail goto*//*Label 19292*/ GIMT_Encode4(1355682), // Rule ID 21900 //
     /* 1355603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1355620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355656 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1355659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355681 */     // GIR_Coverage, 21900,
     /* 1355681 */     GIR_EraseRootFromParent_Done,
     /* 1355682 */   // Label 19292: @1355682
     /* 1355682 */   GIM_Try, /*On fail goto*//*Label 19293*/ GIMT_Encode4(1355766), // Rule ID 21903 //
     /* 1355687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1355704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355740 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1355743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355765 */     // GIR_Coverage, 21903,
     /* 1355765 */     GIR_EraseRootFromParent_Done,
     /* 1355766 */   // Label 19293: @1355766
     /* 1355766 */   GIM_Try, /*On fail goto*//*Label 19294*/ GIMT_Encode4(1355850), // Rule ID 21904 //
     /* 1355771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1355788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355824 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1355827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355849 */     // GIR_Coverage, 21904,
     /* 1355849 */     GIR_EraseRootFromParent_Done,
     /* 1355850 */   // Label 19294: @1355850
     /* 1355850 */   GIM_Try, /*On fail goto*//*Label 19295*/ GIMT_Encode4(1355934), // Rule ID 21907 //
     /* 1355855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1355872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1355878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1355911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355933 */     // GIR_Coverage, 21907,
     /* 1355933 */     GIR_EraseRootFromParent_Done,
     /* 1355934 */   // Label 19295: @1355934
     /* 1355934 */   GIM_Try, /*On fail goto*//*Label 19296*/ GIMT_Encode4(1356018), // Rule ID 21908 //
     /* 1355939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1355947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1355956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1355962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355992 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1355995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356017 */     // GIR_Coverage, 21908,
     /* 1356017 */     GIR_EraseRootFromParent_Done,
     /* 1356018 */   // Label 19296: @1356018
     /* 1356018 */   GIM_Try, /*On fail goto*//*Label 19297*/ GIMT_Encode4(1356102), // Rule ID 21911 //
     /* 1356023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1356026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1356034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1356037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1356040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1356043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356076 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1356079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1356097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356101 */     // GIR_Coverage, 21911,
     /* 1356101 */     GIR_EraseRootFromParent_Done,
     /* 1356102 */   // Label 19297: @1356102
     /* 1356102 */   GIM_Try, /*On fail goto*//*Label 19298*/ GIMT_Encode4(1356186), // Rule ID 21912 //
     /* 1356107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1356110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1356118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1356121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1356124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1356127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356160 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1356163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1356181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356185 */     // GIR_Coverage, 21912,
     /* 1356185 */     GIR_EraseRootFromParent_Done,
     /* 1356186 */   // Label 19298: @1356186
     /* 1356186 */   GIM_Try, /*On fail goto*//*Label 19299*/ GIMT_Encode4(1356270), // Rule ID 21915 //
     /* 1356191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1356194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1356202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1356205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1356208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1356211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356244 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1356247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1356265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356269 */     // GIR_Coverage, 21915,
     /* 1356269 */     GIR_EraseRootFromParent_Done,
     /* 1356270 */   // Label 19299: @1356270
     /* 1356270 */   GIM_Try, /*On fail goto*//*Label 19300*/ GIMT_Encode4(1356354), // Rule ID 21916 //
     /* 1356275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1356278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1356286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1356289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1356292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1356295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1356331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1356349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356353 */     // GIR_Coverage, 21916,
     /* 1356353 */     GIR_EraseRootFromParent_Done,
     /* 1356354 */   // Label 19300: @1356354
     /* 1356354 */   GIM_Try, /*On fail goto*//*Label 19301*/ GIMT_Encode4(1356438), // Rule ID 21919 //
     /* 1356359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1356362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1356370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1356373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1356376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1356379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356412 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1356415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1356433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356437 */     // GIR_Coverage, 21919,
     /* 1356437 */     GIR_EraseRootFromParent_Done,
     /* 1356438 */   // Label 19301: @1356438
     /* 1356438 */   GIM_Try, /*On fail goto*//*Label 19302*/ GIMT_Encode4(1356522), // Rule ID 21920 //
     /* 1356443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1356446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1356451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1356454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1356457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1356460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1356463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356496 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1356499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1356517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356521 */     // GIR_Coverage, 21920,
     /* 1356521 */     GIR_EraseRootFromParent_Done,
     /* 1356522 */   // Label 19302: @1356522
     /* 1356522 */   GIM_Try, /*On fail goto*//*Label 19303*/ GIMT_Encode4(1356606), // Rule ID 21923 //
     /* 1356527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1356535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1356544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356580 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1356583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356605 */     // GIR_Coverage, 21923,
     /* 1356605 */     GIR_EraseRootFromParent_Done,
     /* 1356606 */   // Label 19303: @1356606
     /* 1356606 */   GIM_Try, /*On fail goto*//*Label 19304*/ GIMT_Encode4(1356690), // Rule ID 21924 //
     /* 1356611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1356619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1356628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1356667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356689 */     // GIR_Coverage, 21924,
     /* 1356689 */     GIR_EraseRootFromParent_Done,
     /* 1356690 */   // Label 19304: @1356690
     /* 1356690 */   GIM_Try, /*On fail goto*//*Label 19305*/ GIMT_Encode4(1356774), // Rule ID 21927 //
     /* 1356695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1356703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1356712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356748 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1356751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356773 */     // GIR_Coverage, 21927,
     /* 1356773 */     GIR_EraseRootFromParent_Done,
     /* 1356774 */   // Label 19305: @1356774
     /* 1356774 */   GIM_Try, /*On fail goto*//*Label 19306*/ GIMT_Encode4(1356858), // Rule ID 21928 //
     /* 1356779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1356787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1356796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356832 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1356835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356857 */     // GIR_Coverage, 21928,
     /* 1356857 */     GIR_EraseRootFromParent_Done,
     /* 1356858 */   // Label 19306: @1356858
     /* 1356858 */   GIM_Try, /*On fail goto*//*Label 19307*/ GIMT_Encode4(1356942), // Rule ID 21931 //
     /* 1356863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1356871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1356880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356916 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1356919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356941 */     // GIR_Coverage, 21931,
     /* 1356941 */     GIR_EraseRootFromParent_Done,
     /* 1356942 */   // Label 19307: @1356942
     /* 1356942 */   GIM_Try, /*On fail goto*//*Label 19308*/ GIMT_Encode4(1357026), // Rule ID 21932 //
     /* 1356947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1356955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1356964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357000 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1357003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1357021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357025 */     // GIR_Coverage, 21932,
     /* 1357025 */     GIR_EraseRootFromParent_Done,
     /* 1357026 */   // Label 19308: @1357026
     /* 1357026 */   GIM_Try, /*On fail goto*//*Label 19309*/ GIMT_Encode4(1357110), // Rule ID 21935 //
     /* 1357031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1357039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1357048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1357051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1357087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357109 */     // GIR_Coverage, 21935,
     /* 1357109 */     GIR_EraseRootFromParent_Done,
     /* 1357110 */   // Label 19309: @1357110
     /* 1357110 */   GIM_Try, /*On fail goto*//*Label 19310*/ GIMT_Encode4(1357194), // Rule ID 21936 //
     /* 1357115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1357123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1357132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1357135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1357171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357193 */     // GIR_Coverage, 21936,
     /* 1357193 */     GIR_EraseRootFromParent_Done,
     /* 1357194 */   // Label 19310: @1357194
     /* 1357194 */   GIM_Try, /*On fail goto*//*Label 19311*/ GIMT_Encode4(1357278), // Rule ID 21939 //
     /* 1357199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1357207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1357216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1357219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1357255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357277 */     // GIR_Coverage, 21939,
     /* 1357277 */     GIR_EraseRootFromParent_Done,
     /* 1357278 */   // Label 19311: @1357278
     /* 1357278 */   GIM_Try, /*On fail goto*//*Label 19312*/ GIMT_Encode4(1357362), // Rule ID 21940 //
     /* 1357283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1357291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1357300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1357303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357336 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1357339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357361 */     // GIR_Coverage, 21940,
     /* 1357361 */     GIR_EraseRootFromParent_Done,
     /* 1357362 */   // Label 19312: @1357362
     /* 1357362 */   GIM_Try, /*On fail goto*//*Label 19313*/ GIMT_Encode4(1357446), // Rule ID 21943 //
     /* 1357367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1357375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1357384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1357423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357445 */     // GIR_Coverage, 21943,
     /* 1357445 */     GIR_EraseRootFromParent_Done,
     /* 1357446 */   // Label 19313: @1357446
     /* 1357446 */   GIM_Try, /*On fail goto*//*Label 19314*/ GIMT_Encode4(1357530), // Rule ID 21944 //
     /* 1357451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1357459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1357468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357504 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1357507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357529 */     // GIR_Coverage, 21944,
     /* 1357529 */     GIR_EraseRootFromParent_Done,
     /* 1357530 */   // Label 19314: @1357530
     /* 1357530 */   GIM_Try, /*On fail goto*//*Label 19315*/ GIMT_Encode4(1357614), // Rule ID 21947 //
     /* 1357535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1357543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1357546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1357549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1357552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1357555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357588 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1357591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1357609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357613 */     // GIR_Coverage, 21947,
     /* 1357613 */     GIR_EraseRootFromParent_Done,
     /* 1357614 */   // Label 19315: @1357614
     /* 1357614 */   GIM_Try, /*On fail goto*//*Label 19316*/ GIMT_Encode4(1357698), // Rule ID 21948 //
     /* 1357619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1357627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1357630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1357633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1357636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1357639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1357675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1357693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357697 */     // GIR_Coverage, 21948,
     /* 1357697 */     GIR_EraseRootFromParent_Done,
     /* 1357698 */   // Label 19316: @1357698
     /* 1357698 */   GIM_Try, /*On fail goto*//*Label 19317*/ GIMT_Encode4(1357782), // Rule ID 21951 //
     /* 1357703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1357711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1357720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1357723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357756 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1357759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357781 */     // GIR_Coverage, 21951,
     /* 1357781 */     GIR_EraseRootFromParent_Done,
     /* 1357782 */   // Label 19317: @1357782
     /* 1357782 */   GIM_Try, /*On fail goto*//*Label 19318*/ GIMT_Encode4(1357866), // Rule ID 21952 //
     /* 1357787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1357795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1357804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1357807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357840 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1357843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357865 */     // GIR_Coverage, 21952,
     /* 1357865 */     GIR_EraseRootFromParent_Done,
     /* 1357866 */   // Label 19318: @1357866
     /* 1357866 */   GIM_Try, /*On fail goto*//*Label 19319*/ GIMT_Encode4(1357950), // Rule ID 21955 //
     /* 1357871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1357879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1357888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357924 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1357927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357949 */     // GIR_Coverage, 21955,
     /* 1357949 */     GIR_EraseRootFromParent_Done,
     /* 1357950 */   // Label 19319: @1357950
     /* 1357950 */   GIM_Try, /*On fail goto*//*Label 19320*/ GIMT_Encode4(1358034), // Rule ID 21956 //
     /* 1357955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1357963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1357972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1358011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358033 */     // GIR_Coverage, 21956,
     /* 1358033 */     GIR_EraseRootFromParent_Done,
     /* 1358034 */   // Label 19320: @1358034
     /* 1358034 */   GIM_Try, /*On fail goto*//*Label 19321*/ GIMT_Encode4(1358118), // Rule ID 21959 //
     /* 1358039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1358042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1358050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1358053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1358056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1358059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358092 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1358095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358117 */     // GIR_Coverage, 21959,
     /* 1358117 */     GIR_EraseRootFromParent_Done,
     /* 1358118 */   // Label 19321: @1358118
     /* 1358118 */   GIM_Try, /*On fail goto*//*Label 19322*/ GIMT_Encode4(1358202), // Rule ID 21960 //
     /* 1358123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1358126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1358134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1358137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1358140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1358143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358176 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1358179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358201 */     // GIR_Coverage, 21960,
     /* 1358201 */     GIR_EraseRootFromParent_Done,
     /* 1358202 */   // Label 19322: @1358202
     /* 1358202 */   GIM_Try, /*On fail goto*//*Label 19323*/ GIMT_Encode4(1358286), // Rule ID 21963 //
     /* 1358207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1358224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1358230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358260 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1358263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358285 */     // GIR_Coverage, 21963,
     /* 1358285 */     GIR_EraseRootFromParent_Done,
     /* 1358286 */   // Label 19323: @1358286
     /* 1358286 */   GIM_Try, /*On fail goto*//*Label 19324*/ GIMT_Encode4(1358370), // Rule ID 21964 //
     /* 1358291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1358308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1358314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358344 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1358347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358369 */     // GIR_Coverage, 21964,
     /* 1358369 */     GIR_EraseRootFromParent_Done,
     /* 1358370 */   // Label 19324: @1358370
     /* 1358370 */   GIM_Try, /*On fail goto*//*Label 19325*/ GIMT_Encode4(1358454), // Rule ID 21967 //
     /* 1358375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1358392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1358398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1358431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358453 */     // GIR_Coverage, 21967,
     /* 1358453 */     GIR_EraseRootFromParent_Done,
     /* 1358454 */   // Label 19325: @1358454
     /* 1358454 */   GIM_Try, /*On fail goto*//*Label 19326*/ GIMT_Encode4(1358538), // Rule ID 21968 //
     /* 1358459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1358476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1358482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358512 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1358515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358537 */     // GIR_Coverage, 21968,
     /* 1358537 */     GIR_EraseRootFromParent_Done,
     /* 1358538 */   // Label 19326: @1358538
     /* 1358538 */   GIM_Try, /*On fail goto*//*Label 19327*/ GIMT_Encode4(1358622), // Rule ID 21971 //
     /* 1358543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1358560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1358566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358596 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1358599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358621 */     // GIR_Coverage, 21971,
     /* 1358621 */     GIR_EraseRootFromParent_Done,
     /* 1358622 */   // Label 19327: @1358622
     /* 1358622 */   GIM_Try, /*On fail goto*//*Label 19328*/ GIMT_Encode4(1358706), // Rule ID 21972 //
     /* 1358627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1358638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1358641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1358644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1358647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1358650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358680 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1358683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358705 */     // GIR_Coverage, 21972,
     /* 1358705 */     GIR_EraseRootFromParent_Done,
     /* 1358706 */   // Label 19328: @1358706
     /* 1358706 */   GIM_Try, /*On fail goto*//*Label 19329*/ GIMT_Encode4(1358790), // Rule ID 21975 //
     /* 1358711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1358728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358764 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1358767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358789 */     // GIR_Coverage, 21975,
     /* 1358789 */     GIR_EraseRootFromParent_Done,
     /* 1358790 */   // Label 19329: @1358790
     /* 1358790 */   GIM_Try, /*On fail goto*//*Label 19330*/ GIMT_Encode4(1358874), // Rule ID 21976 //
     /* 1358795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1358812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358848 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1358851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358873 */     // GIR_Coverage, 21976,
     /* 1358873 */     GIR_EraseRootFromParent_Done,
     /* 1358874 */   // Label 19330: @1358874
     /* 1358874 */   GIM_Try, /*On fail goto*//*Label 19331*/ GIMT_Encode4(1358958), // Rule ID 21979 //
     /* 1358879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1358896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1358902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358932 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1358935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358957 */     // GIR_Coverage, 21979,
     /* 1358957 */     GIR_EraseRootFromParent_Done,
     /* 1358958 */   // Label 19331: @1358958
     /* 1358958 */   GIM_Try, /*On fail goto*//*Label 19332*/ GIMT_Encode4(1359042), // Rule ID 21980 //
     /* 1358963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1358971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1358980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1358986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1359019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359041 */     // GIR_Coverage, 21980,
     /* 1359041 */     GIR_EraseRootFromParent_Done,
     /* 1359042 */   // Label 19332: @1359042
     /* 1359042 */   GIM_Try, /*On fail goto*//*Label 19333*/ GIMT_Encode4(1359126), // Rule ID 21983 //
     /* 1359047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1359064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1359067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1359070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359100 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1359103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359125 */     // GIR_Coverage, 21983,
     /* 1359125 */     GIR_EraseRootFromParent_Done,
     /* 1359126 */   // Label 19333: @1359126
     /* 1359126 */   GIM_Try, /*On fail goto*//*Label 19334*/ GIMT_Encode4(1359210), // Rule ID 21984 //
     /* 1359131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1359148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1359151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1359154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1359187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359209 */     // GIR_Coverage, 21984,
     /* 1359209 */     GIR_EraseRootFromParent_Done,
     /* 1359210 */   // Label 19334: @1359210
     /* 1359210 */   GIM_Try, /*On fail goto*//*Label 19335*/ GIMT_Encode4(1359294), // Rule ID 21987 //
     /* 1359215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1359232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359268 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1359271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359293 */     // GIR_Coverage, 21987,
     /* 1359293 */     GIR_EraseRootFromParent_Done,
     /* 1359294 */   // Label 19335: @1359294
     /* 1359294 */   GIM_Try, /*On fail goto*//*Label 19336*/ GIMT_Encode4(1359378), // Rule ID 21988 //
     /* 1359299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1359316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1359355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359377 */     // GIR_Coverage, 21988,
     /* 1359377 */     GIR_EraseRootFromParent_Done,
     /* 1359378 */   // Label 19336: @1359378
     /* 1359378 */   GIM_Try, /*On fail goto*//*Label 19337*/ GIMT_Encode4(1359462), // Rule ID 21991 //
     /* 1359383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1359400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359436 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1359439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359461 */     // GIR_Coverage, 21991,
     /* 1359461 */     GIR_EraseRootFromParent_Done,
     /* 1359462 */   // Label 19337: @1359462
     /* 1359462 */   GIM_Try, /*On fail goto*//*Label 19338*/ GIMT_Encode4(1359546), // Rule ID 21992 //
     /* 1359467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1359484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359520 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1359523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359545 */     // GIR_Coverage, 21992,
     /* 1359545 */     GIR_EraseRootFromParent_Done,
     /* 1359546 */   // Label 19338: @1359546
     /* 1359546 */   GIM_Try, /*On fail goto*//*Label 19339*/ GIMT_Encode4(1359630), // Rule ID 21995 //
     /* 1359551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1359568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1359574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359604 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1359607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359629 */     // GIR_Coverage, 21995,
     /* 1359629 */     GIR_EraseRootFromParent_Done,
     /* 1359630 */   // Label 19339: @1359630
     /* 1359630 */   GIM_Try, /*On fail goto*//*Label 19340*/ GIMT_Encode4(1359714), // Rule ID 21996 //
     /* 1359635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1359652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1359655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1359658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359688 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1359691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359713 */     // GIR_Coverage, 21996,
     /* 1359713 */     GIR_EraseRootFromParent_Done,
     /* 1359714 */   // Label 19340: @1359714
     /* 1359714 */   GIM_Try, /*On fail goto*//*Label 19341*/ GIMT_Encode4(1359798), // Rule ID 21999 //
     /* 1359719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1359722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1359730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1359733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1359736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1359739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359772 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1359775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1359793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359797 */     // GIR_Coverage, 21999,
     /* 1359797 */     GIR_EraseRootFromParent_Done,
     /* 1359798 */   // Label 19341: @1359798
     /* 1359798 */   GIM_Try, /*On fail goto*//*Label 19342*/ GIMT_Encode4(1359882), // Rule ID 22000 //
     /* 1359803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1359806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1359814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1359817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1359820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1359823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359856 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1359859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1359877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359881 */     // GIR_Coverage, 22000,
     /* 1359881 */     GIR_EraseRootFromParent_Done,
     /* 1359882 */   // Label 19342: @1359882
     /* 1359882 */   GIM_Try, /*On fail goto*//*Label 19343*/ GIMT_Encode4(1359966), // Rule ID 22003 //
     /* 1359887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1359890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1359898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1359901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1359904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1359907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359940 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1359943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1359961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359965 */     // GIR_Coverage, 22003,
     /* 1359965 */     GIR_EraseRootFromParent_Done,
     /* 1359966 */   // Label 19343: @1359966
     /* 1359966 */   GIM_Try, /*On fail goto*//*Label 19344*/ GIMT_Encode4(1360050), // Rule ID 22004 //
     /* 1359971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1359974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1359979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1359982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1359985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1359988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1359991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360024 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1360027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360049 */     // GIR_Coverage, 22004,
     /* 1360049 */     GIR_EraseRootFromParent_Done,
     /* 1360050 */   // Label 19344: @1360050
     /* 1360050 */   GIM_Try, /*On fail goto*//*Label 19345*/ GIMT_Encode4(1360134), // Rule ID 22007 //
     /* 1360055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1360058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1360066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1360069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1360072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1360075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360108 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1360111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360133 */     // GIR_Coverage, 22007,
     /* 1360133 */     GIR_EraseRootFromParent_Done,
     /* 1360134 */   // Label 19345: @1360134
     /* 1360134 */   GIM_Try, /*On fail goto*//*Label 19346*/ GIMT_Encode4(1360218), // Rule ID 22008 //
     /* 1360139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1360142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1360147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1360150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1360153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1360156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1360159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360192 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1360195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360217 */     // GIR_Coverage, 22008,
     /* 1360217 */     GIR_EraseRootFromParent_Done,
     /* 1360218 */   // Label 19346: @1360218
     /* 1360218 */   GIM_Try, /*On fail goto*//*Label 19347*/ GIMT_Encode4(1360302), // Rule ID 22011 //
     /* 1360223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1360231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1360240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1360246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360276 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1360279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360301 */     // GIR_Coverage, 22011,
     /* 1360301 */     GIR_EraseRootFromParent_Done,
     /* 1360302 */   // Label 19347: @1360302
     /* 1360302 */   GIM_Try, /*On fail goto*//*Label 19348*/ GIMT_Encode4(1360386), // Rule ID 22012 //
     /* 1360307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1360315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1360324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1360330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360360 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1360363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360385 */     // GIR_Coverage, 22012,
     /* 1360385 */     GIR_EraseRootFromParent_Done,
     /* 1360386 */   // Label 19348: @1360386
     /* 1360386 */   GIM_Try, /*On fail goto*//*Label 19349*/ GIMT_Encode4(1360470), // Rule ID 22015 //
     /* 1360391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1360399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1360408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360444 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1360447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360469 */     // GIR_Coverage, 22015,
     /* 1360469 */     GIR_EraseRootFromParent_Done,
     /* 1360470 */   // Label 19349: @1360470
     /* 1360470 */   GIM_Try, /*On fail goto*//*Label 19350*/ GIMT_Encode4(1360554), // Rule ID 22016 //
     /* 1360475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1360483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1360492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360528 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1360531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360553 */     // GIR_Coverage, 22016,
     /* 1360553 */     GIR_EraseRootFromParent_Done,
     /* 1360554 */   // Label 19350: @1360554
     /* 1360554 */   GIM_Try, /*On fail goto*//*Label 19351*/ GIMT_Encode4(1360638), // Rule ID 22019 //
     /* 1360559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1360567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1360576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360612 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1360615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360637 */     // GIR_Coverage, 22019,
     /* 1360637 */     GIR_EraseRootFromParent_Done,
     /* 1360638 */   // Label 19351: @1360638
     /* 1360638 */   GIM_Try, /*On fail goto*//*Label 19352*/ GIMT_Encode4(1360722), // Rule ID 22020 //
     /* 1360643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1360651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1360660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360696 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1360699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360721 */     // GIR_Coverage, 22020,
     /* 1360721 */     GIR_EraseRootFromParent_Done,
     /* 1360722 */   // Label 19352: @1360722
     /* 1360722 */   GIM_Try, /*On fail goto*//*Label 19353*/ GIMT_Encode4(1360806), // Rule ID 22023 //
     /* 1360727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1360735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1360744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1360750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360780 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1360783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360805 */     // GIR_Coverage, 22023,
     /* 1360805 */     GIR_EraseRootFromParent_Done,
     /* 1360806 */   // Label 19353: @1360806
     /* 1360806 */   GIM_Try, /*On fail goto*//*Label 19354*/ GIMT_Encode4(1360890), // Rule ID 22024 //
     /* 1360811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1360819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1360828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1360834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1360867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360889 */     // GIR_Coverage, 22024,
     /* 1360889 */     GIR_EraseRootFromParent_Done,
     /* 1360890 */   // Label 19354: @1360890
     /* 1360890 */   GIM_Try, /*On fail goto*//*Label 19355*/ GIMT_Encode4(1360974), // Rule ID 22027 //
     /* 1360895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1360903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1360912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1360951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360973 */     // GIR_Coverage, 22027,
     /* 1360973 */     GIR_EraseRootFromParent_Done,
     /* 1360974 */   // Label 19355: @1360974
     /* 1360974 */   GIM_Try, /*On fail goto*//*Label 19356*/ GIMT_Encode4(1361058), // Rule ID 22028 //
     /* 1360979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1360987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1360996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361032 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1361035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361057 */     // GIR_Coverage, 22028,
     /* 1361057 */     GIR_EraseRootFromParent_Done,
     /* 1361058 */   // Label 19356: @1361058
     /* 1361058 */   GIM_Try, /*On fail goto*//*Label 19357*/ GIMT_Encode4(1361142), // Rule ID 22031 //
     /* 1361063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1361080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361116 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1361119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361141 */     // GIR_Coverage, 22031,
     /* 1361141 */     GIR_EraseRootFromParent_Done,
     /* 1361142 */   // Label 19357: @1361142
     /* 1361142 */   GIM_Try, /*On fail goto*//*Label 19358*/ GIMT_Encode4(1361226), // Rule ID 22032 //
     /* 1361147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1361164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361200 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1361203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361225 */     // GIR_Coverage, 22032,
     /* 1361225 */     GIR_EraseRootFromParent_Done,
     /* 1361226 */   // Label 19358: @1361226
     /* 1361226 */   GIM_Try, /*On fail goto*//*Label 19359*/ GIMT_Encode4(1361310), // Rule ID 22035 //
     /* 1361231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1361248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361284 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1361287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361309 */     // GIR_Coverage, 22035,
     /* 1361309 */     GIR_EraseRootFromParent_Done,
     /* 1361310 */   // Label 19359: @1361310
     /* 1361310 */   GIM_Try, /*On fail goto*//*Label 19360*/ GIMT_Encode4(1361394), // Rule ID 22036 //
     /* 1361315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1361332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361368 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1361371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361393 */     // GIR_Coverage, 22036,
     /* 1361393 */     GIR_EraseRootFromParent_Done,
     /* 1361394 */   // Label 19360: @1361394
     /* 1361394 */   GIM_Try, /*On fail goto*//*Label 19361*/ GIMT_Encode4(1361478), // Rule ID 22039 //
     /* 1361399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1361416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1361455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361477 */     // GIR_Coverage, 22039,
     /* 1361477 */     GIR_EraseRootFromParent_Done,
     /* 1361478 */   // Label 19361: @1361478
     /* 1361478 */   GIM_Try, /*On fail goto*//*Label 19362*/ GIMT_Encode4(1361562), // Rule ID 22040 //
     /* 1361483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1361500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361536 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1361539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361561 */     // GIR_Coverage, 22040,
     /* 1361561 */     GIR_EraseRootFromParent_Done,
     /* 1361562 */   // Label 19362: @1361562
     /* 1361562 */   GIM_Try, /*On fail goto*//*Label 19363*/ GIMT_Encode4(1361646), // Rule ID 22043 //
     /* 1361567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1361584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361620 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1361623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361645 */     // GIR_Coverage, 22043,
     /* 1361645 */     GIR_EraseRootFromParent_Done,
     /* 1361646 */   // Label 19363: @1361646
     /* 1361646 */   GIM_Try, /*On fail goto*//*Label 19364*/ GIMT_Encode4(1361730), // Rule ID 22044 //
     /* 1361651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1361668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361704 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1361707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361729 */     // GIR_Coverage, 22044,
     /* 1361729 */     GIR_EraseRootFromParent_Done,
     /* 1361730 */   // Label 19364: @1361730
     /* 1361730 */   GIM_Try, /*On fail goto*//*Label 19365*/ GIMT_Encode4(1361814), // Rule ID 22047 //
     /* 1361735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1361738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1361752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361788 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1361791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361813 */     // GIR_Coverage, 22047,
     /* 1361813 */     GIR_EraseRootFromParent_Done,
     /* 1361814 */   // Label 19365: @1361814
     /* 1361814 */   GIM_Try, /*On fail goto*//*Label 19366*/ GIMT_Encode4(1361898), // Rule ID 22048 //
     /* 1361819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1361822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1361830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1361833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1361836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1361839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361872 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1361875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361897 */     // GIR_Coverage, 22048,
     /* 1361897 */     GIR_EraseRootFromParent_Done,
     /* 1361898 */   // Label 19366: @1361898
     /* 1361898 */   GIM_Try, /*On fail goto*//*Label 19367*/ GIMT_Encode4(1361982), // Rule ID 22051 //
     /* 1361903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1361920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1361926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361956 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1361959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361981 */     // GIR_Coverage, 22051,
     /* 1361981 */     GIR_EraseRootFromParent_Done,
     /* 1361982 */   // Label 19367: @1361982
     /* 1361982 */   GIM_Try, /*On fail goto*//*Label 19368*/ GIMT_Encode4(1362066), // Rule ID 22052 //
     /* 1361987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1361995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1362004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1362010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362040 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1362043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362065 */     // GIR_Coverage, 22052,
     /* 1362065 */     GIR_EraseRootFromParent_Done,
     /* 1362066 */   // Label 19368: @1362066
     /* 1362066 */   GIM_Try, /*On fail goto*//*Label 19369*/ GIMT_Encode4(1362150), // Rule ID 22055 //
     /* 1362071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1362088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1362094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362124 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1362127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362149 */     // GIR_Coverage, 22055,
     /* 1362149 */     GIR_EraseRootFromParent_Done,
     /* 1362150 */   // Label 19369: @1362150
     /* 1362150 */   GIM_Try, /*On fail goto*//*Label 19370*/ GIMT_Encode4(1362234), // Rule ID 22056 //
     /* 1362155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1362172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1362178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1362211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362233 */     // GIR_Coverage, 22056,
     /* 1362233 */     GIR_EraseRootFromParent_Done,
     /* 1362234 */   // Label 19370: @1362234
     /* 1362234 */   GIM_Try, /*On fail goto*//*Label 19371*/ GIMT_Encode4(1362318), // Rule ID 22059 //
     /* 1362239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1362256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1362262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1362295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362317 */     // GIR_Coverage, 22059,
     /* 1362317 */     GIR_EraseRootFromParent_Done,
     /* 1362318 */   // Label 19371: @1362318
     /* 1362318 */   GIM_Try, /*On fail goto*//*Label 19372*/ GIMT_Encode4(1362402), // Rule ID 22060 //
     /* 1362323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1362340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1362346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362376 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1362379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362401 */     // GIR_Coverage, 22060,
     /* 1362401 */     GIR_EraseRootFromParent_Done,
     /* 1362402 */   // Label 19372: @1362402
     /* 1362402 */   GIM_Try, /*On fail goto*//*Label 19373*/ GIMT_Encode4(1362486), // Rule ID 22063 //
     /* 1362407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1362424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362460 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1362463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362485 */     // GIR_Coverage, 22063,
     /* 1362485 */     GIR_EraseRootFromParent_Done,
     /* 1362486 */   // Label 19373: @1362486
     /* 1362486 */   GIM_Try, /*On fail goto*//*Label 19374*/ GIMT_Encode4(1362570), // Rule ID 22064 //
     /* 1362491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1362508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362544 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1362547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362569 */     // GIR_Coverage, 22064,
     /* 1362569 */     GIR_EraseRootFromParent_Done,
     /* 1362570 */   // Label 19374: @1362570
     /* 1362570 */   GIM_Try, /*On fail goto*//*Label 19375*/ GIMT_Encode4(1362654), // Rule ID 22067 //
     /* 1362575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1362592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1362598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1362631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362653 */     // GIR_Coverage, 22067,
     /* 1362653 */     GIR_EraseRootFromParent_Done,
     /* 1362654 */   // Label 19375: @1362654
     /* 1362654 */   GIM_Try, /*On fail goto*//*Label 19376*/ GIMT_Encode4(1362738), // Rule ID 22068 //
     /* 1362659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1362676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1362682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362712 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1362715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362737 */     // GIR_Coverage, 22068,
     /* 1362737 */     GIR_EraseRootFromParent_Done,
     /* 1362738 */   // Label 19376: @1362738
     /* 1362738 */   GIM_Try, /*On fail goto*//*Label 19377*/ GIMT_Encode4(1362822), // Rule ID 22071 //
     /* 1362743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1362760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1362766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362796 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1362799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362821 */     // GIR_Coverage, 22071,
     /* 1362821 */     GIR_EraseRootFromParent_Done,
     /* 1362822 */   // Label 19377: @1362822
     /* 1362822 */   GIM_Try, /*On fail goto*//*Label 19378*/ GIMT_Encode4(1362906), // Rule ID 22072 //
     /* 1362827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1362838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1362841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1362844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1362847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1362850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362880 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1362883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362905 */     // GIR_Coverage, 22072,
     /* 1362905 */     GIR_EraseRootFromParent_Done,
     /* 1362906 */   // Label 19378: @1362906
     /* 1362906 */   GIM_Try, /*On fail goto*//*Label 19379*/ GIMT_Encode4(1362990), // Rule ID 22075 //
     /* 1362911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1362919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1362928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362964 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1362967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362989 */     // GIR_Coverage, 22075,
     /* 1362989 */     GIR_EraseRootFromParent_Done,
     /* 1362990 */   // Label 19379: @1362990
     /* 1362990 */   GIM_Try, /*On fail goto*//*Label 19380*/ GIMT_Encode4(1363074), // Rule ID 22076 //
     /* 1362995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1363012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363048 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1363051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363073 */     // GIR_Coverage, 22076,
     /* 1363073 */     GIR_EraseRootFromParent_Done,
     /* 1363074 */   // Label 19380: @1363074
     /* 1363074 */   GIM_Try, /*On fail goto*//*Label 19381*/ GIMT_Encode4(1363158), // Rule ID 22079 //
     /* 1363079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1363096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1363102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363132 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1363135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363157 */     // GIR_Coverage, 22079,
     /* 1363157 */     GIR_EraseRootFromParent_Done,
     /* 1363158 */   // Label 19381: @1363158
     /* 1363158 */   GIM_Try, /*On fail goto*//*Label 19382*/ GIMT_Encode4(1363242), // Rule ID 22080 //
     /* 1363163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1363180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1363186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363216 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1363219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363241 */     // GIR_Coverage, 22080,
     /* 1363241 */     GIR_EraseRootFromParent_Done,
     /* 1363242 */   // Label 19382: @1363242
     /* 1363242 */   GIM_Try, /*On fail goto*//*Label 19383*/ GIMT_Encode4(1363326), // Rule ID 22083 //
     /* 1363247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1363264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363300 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1363303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363325 */     // GIR_Coverage, 22083,
     /* 1363325 */     GIR_EraseRootFromParent_Done,
     /* 1363326 */   // Label 19383: @1363326
     /* 1363326 */   GIM_Try, /*On fail goto*//*Label 19384*/ GIMT_Encode4(1363410), // Rule ID 22084 //
     /* 1363331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1363348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363384 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1363387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363409 */     // GIR_Coverage, 22084,
     /* 1363409 */     GIR_EraseRootFromParent_Done,
     /* 1363410 */   // Label 19384: @1363410
     /* 1363410 */   GIM_Try, /*On fail goto*//*Label 19385*/ GIMT_Encode4(1363494), // Rule ID 22087 //
     /* 1363415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1363418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1363426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1363429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1363432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1363435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1363438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363468 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1363471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363493 */     // GIR_Coverage, 22087,
     /* 1363493 */     GIR_EraseRootFromParent_Done,
     /* 1363494 */   // Label 19385: @1363494
     /* 1363494 */   GIM_Try, /*On fail goto*//*Label 19386*/ GIMT_Encode4(1363578), // Rule ID 22088 //
     /* 1363499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1363502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1363510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1363513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1363516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1363519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1363522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1363555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363577 */     // GIR_Coverage, 22088,
     /* 1363577 */     GIR_EraseRootFromParent_Done,
     /* 1363578 */   // Label 19386: @1363578
     /* 1363578 */   GIM_Try, /*On fail goto*//*Label 19387*/ GIMT_Encode4(1363662), // Rule ID 22091 //
     /* 1363583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1363586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1363594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1363597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1363600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1363603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363636 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1363639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363661 */     // GIR_Coverage, 22091,
     /* 1363661 */     GIR_EraseRootFromParent_Done,
     /* 1363662 */   // Label 19387: @1363662
     /* 1363662 */   GIM_Try, /*On fail goto*//*Label 19388*/ GIMT_Encode4(1363746), // Rule ID 22092 //
     /* 1363667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1363670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1363678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1363681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1363684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1363687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363720 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1363723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363745 */     // GIR_Coverage, 22092,
     /* 1363745 */     GIR_EraseRootFromParent_Done,
     /* 1363746 */   // Label 19388: @1363746
     /* 1363746 */   GIM_Try, /*On fail goto*//*Label 19389*/ GIMT_Encode4(1363830), // Rule ID 22095 //
     /* 1363751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1363754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1363762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1363765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1363768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1363771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1363774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363804 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1363807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363829 */     // GIR_Coverage, 22095,
     /* 1363829 */     GIR_EraseRootFromParent_Done,
     /* 1363830 */   // Label 19389: @1363830
     /* 1363830 */   GIM_Try, /*On fail goto*//*Label 19390*/ GIMT_Encode4(1363914), // Rule ID 22096 //
     /* 1363835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1363838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1363843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1363846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1363849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1363852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1363855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1363858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363888 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1363891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363913 */     // GIR_Coverage, 22096,
     /* 1363913 */     GIR_EraseRootFromParent_Done,
     /* 1363914 */   // Label 19390: @1363914
     /* 1363914 */   GIM_Try, /*On fail goto*//*Label 19391*/ GIMT_Encode4(1363998), // Rule ID 22099 //
     /* 1363919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1363927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1363936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1363975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363997 */     // GIR_Coverage, 22099,
     /* 1363997 */     GIR_EraseRootFromParent_Done,
     /* 1363998 */   // Label 19391: @1363998
     /* 1363998 */   GIM_Try, /*On fail goto*//*Label 19392*/ GIMT_Encode4(1364082), // Rule ID 22100 //
     /* 1364003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1364011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1364020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1364026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364056 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1364059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364081 */     // GIR_Coverage, 22100,
     /* 1364081 */     GIR_EraseRootFromParent_Done,
     /* 1364082 */   // Label 19392: @1364082
     /* 1364082 */   GIM_Try, /*On fail goto*//*Label 19393*/ GIMT_Encode4(1364166), // Rule ID 22103 //
     /* 1364087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1364095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1364104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364140 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1364143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364165 */     // GIR_Coverage, 22103,
     /* 1364165 */     GIR_EraseRootFromParent_Done,
     /* 1364166 */   // Label 19393: @1364166
     /* 1364166 */   GIM_Try, /*On fail goto*//*Label 19394*/ GIMT_Encode4(1364250), // Rule ID 22104 //
     /* 1364171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1364179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1364188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364224 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1364227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364249 */     // GIR_Coverage, 22104,
     /* 1364249 */     GIR_EraseRootFromParent_Done,
     /* 1364250 */   // Label 19394: @1364250
     /* 1364250 */   GIM_Try, /*On fail goto*//*Label 19395*/ GIMT_Encode4(1364334), // Rule ID 22107 //
     /* 1364255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1364263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1364272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364308 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1364311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364333 */     // GIR_Coverage, 22107,
     /* 1364333 */     GIR_EraseRootFromParent_Done,
     /* 1364334 */   // Label 19395: @1364334
     /* 1364334 */   GIM_Try, /*On fail goto*//*Label 19396*/ GIMT_Encode4(1364418), // Rule ID 22108 //
     /* 1364339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1364347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1364356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364392 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1364395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364417 */     // GIR_Coverage, 22108,
     /* 1364417 */     GIR_EraseRootFromParent_Done,
     /* 1364418 */   // Label 19396: @1364418
     /* 1364418 */   GIM_Try, /*On fail goto*//*Label 19397*/ GIMT_Encode4(1364502), // Rule ID 22111 //
     /* 1364423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1364431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1364440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1364446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364476 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1364479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364501 */     // GIR_Coverage, 22111,
     /* 1364501 */     GIR_EraseRootFromParent_Done,
     /* 1364502 */   // Label 19397: @1364502
     /* 1364502 */   GIM_Try, /*On fail goto*//*Label 19398*/ GIMT_Encode4(1364586), // Rule ID 22112 //
     /* 1364507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1364515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1364524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1364530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364560 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1364563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364585 */     // GIR_Coverage, 22112,
     /* 1364585 */     GIR_EraseRootFromParent_Done,
     /* 1364586 */   // Label 19398: @1364586
     /* 1364586 */   GIM_Try, /*On fail goto*//*Label 19399*/ GIMT_Encode4(1364670), // Rule ID 22115 //
     /* 1364591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1364599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1364608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364644 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1364647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364669 */     // GIR_Coverage, 22115,
     /* 1364669 */     GIR_EraseRootFromParent_Done,
     /* 1364670 */   // Label 19399: @1364670
     /* 1364670 */   GIM_Try, /*On fail goto*//*Label 19400*/ GIMT_Encode4(1364754), // Rule ID 22116 //
     /* 1364675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1364683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1364692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1364731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364753 */     // GIR_Coverage, 22116,
     /* 1364753 */     GIR_EraseRootFromParent_Done,
     /* 1364754 */   // Label 19400: @1364754
     /* 1364754 */   GIM_Try, /*On fail goto*//*Label 19401*/ GIMT_Encode4(1364838), // Rule ID 22119 //
     /* 1364759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1364767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1364776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1364782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1364815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364837 */     // GIR_Coverage, 22119,
     /* 1364837 */     GIR_EraseRootFromParent_Done,
     /* 1364838 */   // Label 19401: @1364838
     /* 1364838 */   GIM_Try, /*On fail goto*//*Label 19402*/ GIMT_Encode4(1364922), // Rule ID 22120 //
     /* 1364843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1364851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1364860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1364866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1364899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364921 */     // GIR_Coverage, 22120,
     /* 1364921 */     GIR_EraseRootFromParent_Done,
     /* 1364922 */   // Label 19402: @1364922
     /* 1364922 */   GIM_Try, /*On fail goto*//*Label 19403*/ GIMT_Encode4(1365006), // Rule ID 22123 //
     /* 1364927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1364935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1364944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364980 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1364983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365005 */     // GIR_Coverage, 22123,
     /* 1365005 */     GIR_EraseRootFromParent_Done,
     /* 1365006 */   // Label 19403: @1365006
     /* 1365006 */   GIM_Try, /*On fail goto*//*Label 19404*/ GIMT_Encode4(1365090), // Rule ID 22124 //
     /* 1365011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1365028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365064 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1365067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365089 */     // GIR_Coverage, 22124,
     /* 1365089 */     GIR_EraseRootFromParent_Done,
     /* 1365090 */   // Label 19404: @1365090
     /* 1365090 */   GIM_Try, /*On fail goto*//*Label 19405*/ GIMT_Encode4(1365174), // Rule ID 22127 //
     /* 1365095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1365112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365148 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1365151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365173 */     // GIR_Coverage, 22127,
     /* 1365173 */     GIR_EraseRootFromParent_Done,
     /* 1365174 */   // Label 19405: @1365174
     /* 1365174 */   GIM_Try, /*On fail goto*//*Label 19406*/ GIMT_Encode4(1365258), // Rule ID 22128 //
     /* 1365179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1365196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365232 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1365235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365257 */     // GIR_Coverage, 22128,
     /* 1365257 */     GIR_EraseRootFromParent_Done,
     /* 1365258 */   // Label 19406: @1365258
     /* 1365258 */   GIM_Try, /*On fail goto*//*Label 19407*/ GIMT_Encode4(1365342), // Rule ID 22131 //
     /* 1365263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1365280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365316 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1365319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365341 */     // GIR_Coverage, 22131,
     /* 1365341 */     GIR_EraseRootFromParent_Done,
     /* 1365342 */   // Label 19407: @1365342
     /* 1365342 */   GIM_Try, /*On fail goto*//*Label 19408*/ GIMT_Encode4(1365426), // Rule ID 22132 //
     /* 1365347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1365364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365400 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1365403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365425 */     // GIR_Coverage, 22132,
     /* 1365425 */     GIR_EraseRootFromParent_Done,
     /* 1365426 */   // Label 19408: @1365426
     /* 1365426 */   GIM_Try, /*On fail goto*//*Label 19409*/ GIMT_Encode4(1365510), // Rule ID 22135 //
     /* 1365431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1365434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1365448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365484 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1365487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365509 */     // GIR_Coverage, 22135,
     /* 1365509 */     GIR_EraseRootFromParent_Done,
     /* 1365510 */   // Label 19409: @1365510
     /* 1365510 */   GIM_Try, /*On fail goto*//*Label 19410*/ GIMT_Encode4(1365594), // Rule ID 22136 //
     /* 1365515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1365518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1365526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1365529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1365532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1365535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1365571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365593 */     // GIR_Coverage, 22136,
     /* 1365593 */     GIR_EraseRootFromParent_Done,
     /* 1365594 */   // Label 19410: @1365594
     /* 1365594 */   GIM_Try, /*On fail goto*//*Label 19411*/ GIMT_Encode4(1365678), // Rule ID 22139 //
     /* 1365599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1365616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1365622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365652 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1365655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365677 */     // GIR_Coverage, 22139,
     /* 1365677 */     GIR_EraseRootFromParent_Done,
     /* 1365678 */   // Label 19411: @1365678
     /* 1365678 */   GIM_Try, /*On fail goto*//*Label 19412*/ GIMT_Encode4(1365762), // Rule ID 22140 //
     /* 1365683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1365700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1365706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365736 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1365739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365761 */     // GIR_Coverage, 22140,
     /* 1365761 */     GIR_EraseRootFromParent_Done,
     /* 1365762 */   // Label 19412: @1365762
     /* 1365762 */   GIM_Try, /*On fail goto*//*Label 19413*/ GIMT_Encode4(1365846), // Rule ID 22143 //
     /* 1365767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1365784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1365790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365820 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1365823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365845 */     // GIR_Coverage, 22143,
     /* 1365845 */     GIR_EraseRootFromParent_Done,
     /* 1365846 */   // Label 19413: @1365846
     /* 1365846 */   GIM_Try, /*On fail goto*//*Label 19414*/ GIMT_Encode4(1365930), // Rule ID 22144 //
     /* 1365851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1365868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1365874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365904 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1365907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365929 */     // GIR_Coverage, 22144,
     /* 1365929 */     GIR_EraseRootFromParent_Done,
     /* 1365930 */   // Label 19414: @1365930
     /* 1365930 */   GIM_Try, /*On fail goto*//*Label 19415*/ GIMT_Encode4(1366014), // Rule ID 22147 //
     /* 1365935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1365943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1365952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1365958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365988 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1365991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366013 */     // GIR_Coverage, 22147,
     /* 1366013 */     GIR_EraseRootFromParent_Done,
     /* 1366014 */   // Label 19415: @1366014
     /* 1366014 */   GIM_Try, /*On fail goto*//*Label 19416*/ GIMT_Encode4(1366098), // Rule ID 22148 //
     /* 1366019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1366036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1366042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1366057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1366075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366097 */     // GIR_Coverage, 22148,
     /* 1366097 */     GIR_EraseRootFromParent_Done,
     /* 1366098 */   // Label 19416: @1366098
     /* 1366098 */   GIM_Try, /*On fail goto*//*Label 19417*/ GIMT_Encode4(1366182), // Rule ID 22151 //
     /* 1366103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1366120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366156 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1366159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366181 */     // GIR_Coverage, 22151,
     /* 1366181 */     GIR_EraseRootFromParent_Done,
     /* 1366182 */   // Label 19417: @1366182
     /* 1366182 */   GIM_Try, /*On fail goto*//*Label 19418*/ GIMT_Encode4(1366266), // Rule ID 22152 //
     /* 1366187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1366204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366240 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1366243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366265 */     // GIR_Coverage, 22152,
     /* 1366265 */     GIR_EraseRootFromParent_Done,
     /* 1366266 */   // Label 19418: @1366266
     /* 1366266 */   GIM_Try, /*On fail goto*//*Label 19419*/ GIMT_Encode4(1366350), // Rule ID 22155 //
     /* 1366271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1366288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1366294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1366327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366349 */     // GIR_Coverage, 22155,
     /* 1366349 */     GIR_EraseRootFromParent_Done,
     /* 1366350 */   // Label 19419: @1366350
     /* 1366350 */   GIM_Try, /*On fail goto*//*Label 19420*/ GIMT_Encode4(1366434), // Rule ID 22156 //
     /* 1366355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1366372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1366378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366408 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1366411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366433 */     // GIR_Coverage, 22156,
     /* 1366433 */     GIR_EraseRootFromParent_Done,
     /* 1366434 */   // Label 19420: @1366434
     /* 1366434 */   GIM_Try, /*On fail goto*//*Label 19421*/ GIMT_Encode4(1366518), // Rule ID 22159 //
     /* 1366439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1366456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1366462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1366477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366492 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1366495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366517 */     // GIR_Coverage, 22159,
     /* 1366517 */     GIR_EraseRootFromParent_Done,
     /* 1366518 */   // Label 19421: @1366518
     /* 1366518 */   GIM_Try, /*On fail goto*//*Label 19422*/ GIMT_Encode4(1366602), // Rule ID 22160 //
     /* 1366523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1366540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1366546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1366561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1366579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366601 */     // GIR_Coverage, 22160,
     /* 1366601 */     GIR_EraseRootFromParent_Done,
     /* 1366602 */   // Label 19422: @1366602
     /* 1366602 */   GIM_Try, /*On fail goto*//*Label 19423*/ GIMT_Encode4(1366686), // Rule ID 22163 //
     /* 1366607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1366624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366660 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1366663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366685 */     // GIR_Coverage, 22163,
     /* 1366685 */     GIR_EraseRootFromParent_Done,
     /* 1366686 */   // Label 19423: @1366686
     /* 1366686 */   GIM_Try, /*On fail goto*//*Label 19424*/ GIMT_Encode4(1366770), // Rule ID 22164 //
     /* 1366691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1366708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366744 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1366747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366769 */     // GIR_Coverage, 22164,
     /* 1366769 */     GIR_EraseRootFromParent_Done,
     /* 1366770 */   // Label 19424: @1366770
     /* 1366770 */   GIM_Try, /*On fail goto*//*Label 19425*/ GIMT_Encode4(1366854), // Rule ID 22167 //
     /* 1366775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1366792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1366831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366853 */     // GIR_Coverage, 22167,
     /* 1366853 */     GIR_EraseRootFromParent_Done,
     /* 1366854 */   // Label 19425: @1366854
     /* 1366854 */   GIM_Try, /*On fail goto*//*Label 19426*/ GIMT_Encode4(1366938), // Rule ID 22168 //
     /* 1366859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1366876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366912 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1366915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366937 */     // GIR_Coverage, 22168,
     /* 1366937 */     GIR_EraseRootFromParent_Done,
     /* 1366938 */   // Label 19426: @1366938
     /* 1366938 */   GIM_Try, /*On fail goto*//*Label 19427*/ GIMT_Encode4(1367022), // Rule ID 22171 //
     /* 1366943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1366951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1366960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1366966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1366981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1366999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367021 */     // GIR_Coverage, 22171,
     /* 1367021 */     GIR_EraseRootFromParent_Done,
     /* 1367022 */   // Label 19427: @1367022
     /* 1367022 */   GIM_Try, /*On fail goto*//*Label 19428*/ GIMT_Encode4(1367106), // Rule ID 22172 //
     /* 1367027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1367044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367080 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1367083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367105 */     // GIR_Coverage, 22172,
     /* 1367105 */     GIR_EraseRootFromParent_Done,
     /* 1367106 */   // Label 19428: @1367106
     /* 1367106 */   GIM_Try, /*On fail goto*//*Label 19429*/ GIMT_Encode4(1367190), // Rule ID 22175 //
     /* 1367111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1367114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1367122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1367125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1367128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1367131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1367134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367164 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1367167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367189 */     // GIR_Coverage, 22175,
     /* 1367189 */     GIR_EraseRootFromParent_Done,
     /* 1367190 */   // Label 19429: @1367190
     /* 1367190 */   GIM_Try, /*On fail goto*//*Label 19430*/ GIMT_Encode4(1367274), // Rule ID 22176 //
     /* 1367195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1367198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1367206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1367209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1367212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1367215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1367218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367248 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1367251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367273 */     // GIR_Coverage, 22176,
     /* 1367273 */     GIR_EraseRootFromParent_Done,
     /* 1367274 */   // Label 19430: @1367274
     /* 1367274 */   GIM_Try, /*On fail goto*//*Label 19431*/ GIMT_Encode4(1367358), // Rule ID 22179 //
     /* 1367279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1367282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1367290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1367293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1367296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1367299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367332 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1367335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367357 */     // GIR_Coverage, 22179,
     /* 1367357 */     GIR_EraseRootFromParent_Done,
     /* 1367358 */   // Label 19431: @1367358
     /* 1367358 */   GIM_Try, /*On fail goto*//*Label 19432*/ GIMT_Encode4(1367442), // Rule ID 22180 //
     /* 1367363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1367366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1367374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1367377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1367380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1367383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367416 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1367419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367441 */     // GIR_Coverage, 22180,
     /* 1367441 */     GIR_EraseRootFromParent_Done,
     /* 1367442 */   // Label 19432: @1367442
     /* 1367442 */   GIM_Try, /*On fail goto*//*Label 19433*/ GIMT_Encode4(1367526), // Rule ID 22183 //
     /* 1367447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1367450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1367458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1367461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1367464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1367467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367500 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1367503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367525 */     // GIR_Coverage, 22183,
     /* 1367525 */     GIR_EraseRootFromParent_Done,
     /* 1367526 */   // Label 19433: @1367526
     /* 1367526 */   GIM_Try, /*On fail goto*//*Label 19434*/ GIMT_Encode4(1367610), // Rule ID 22184 //
     /* 1367531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1367534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1367539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1367542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1367545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1367548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1367551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367584 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1367587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367609 */     // GIR_Coverage, 22184,
     /* 1367609 */     GIR_EraseRootFromParent_Done,
     /* 1367610 */   // Label 19434: @1367610
     /* 1367610 */   GIM_Try, /*On fail goto*//*Label 19435*/ GIMT_Encode4(1367694), // Rule ID 22187 //
     /* 1367615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1367623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1367632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1367638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367668 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1367671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367693 */     // GIR_Coverage, 22187,
     /* 1367693 */     GIR_EraseRootFromParent_Done,
     /* 1367694 */   // Label 19435: @1367694
     /* 1367694 */   GIM_Try, /*On fail goto*//*Label 19436*/ GIMT_Encode4(1367778), // Rule ID 22188 //
     /* 1367699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1367707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1367716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1367722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367752 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1367755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367777 */     // GIR_Coverage, 22188,
     /* 1367777 */     GIR_EraseRootFromParent_Done,
     /* 1367778 */   // Label 19436: @1367778
     /* 1367778 */   GIM_Try, /*On fail goto*//*Label 19437*/ GIMT_Encode4(1367862), // Rule ID 22191 //
     /* 1367783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1367791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1367800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1367806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367836 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1367839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367861 */     // GIR_Coverage, 22191,
     /* 1367861 */     GIR_EraseRootFromParent_Done,
     /* 1367862 */   // Label 19437: @1367862
     /* 1367862 */   GIM_Try, /*On fail goto*//*Label 19438*/ GIMT_Encode4(1367946), // Rule ID 22192 //
     /* 1367867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1367875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1367884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1367890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367920 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1367923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367945 */     // GIR_Coverage, 22192,
     /* 1367945 */     GIR_EraseRootFromParent_Done,
     /* 1367946 */   // Label 19438: @1367946
     /* 1367946 */   GIM_Try, /*On fail goto*//*Label 19439*/ GIMT_Encode4(1368030), // Rule ID 22195 //
     /* 1367951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1367959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1367968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368004 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1368007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368029 */     // GIR_Coverage, 22195,
     /* 1368029 */     GIR_EraseRootFromParent_Done,
     /* 1368030 */   // Label 19439: @1368030
     /* 1368030 */   GIM_Try, /*On fail goto*//*Label 19440*/ GIMT_Encode4(1368114), // Rule ID 22196 //
     /* 1368035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1368043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1368052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368088 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1368091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368113 */     // GIR_Coverage, 22196,
     /* 1368113 */     GIR_EraseRootFromParent_Done,
     /* 1368114 */   // Label 19440: @1368114
     /* 1368114 */   GIM_Try, /*On fail goto*//*Label 19441*/ GIMT_Encode4(1368198), // Rule ID 22199 //
     /* 1368119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1368127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1368136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368172 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1368175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368197 */     // GIR_Coverage, 22199,
     /* 1368197 */     GIR_EraseRootFromParent_Done,
     /* 1368198 */   // Label 19441: @1368198
     /* 1368198 */   GIM_Try, /*On fail goto*//*Label 19442*/ GIMT_Encode4(1368282), // Rule ID 22200 //
     /* 1368203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1368211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1368220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368256 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1368259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368281 */     // GIR_Coverage, 22200,
     /* 1368281 */     GIR_EraseRootFromParent_Done,
     /* 1368282 */   // Label 19442: @1368282
     /* 1368282 */   GIM_Try, /*On fail goto*//*Label 19443*/ GIMT_Encode4(1368366), // Rule ID 22203 //
     /* 1368287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1368295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1368304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368340 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1368343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368365 */     // GIR_Coverage, 22203,
     /* 1368365 */     GIR_EraseRootFromParent_Done,
     /* 1368366 */   // Label 19443: @1368366
     /* 1368366 */   GIM_Try, /*On fail goto*//*Label 19444*/ GIMT_Encode4(1368450), // Rule ID 22204 //
     /* 1368371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1368379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1368388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368424 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1368427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368449 */     // GIR_Coverage, 22204,
     /* 1368449 */     GIR_EraseRootFromParent_Done,
     /* 1368450 */   // Label 19444: @1368450
     /* 1368450 */   GIM_Try, /*On fail goto*//*Label 19445*/ GIMT_Encode4(1368534), // Rule ID 22207 //
     /* 1368455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1368463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1368472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1368511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368533 */     // GIR_Coverage, 22207,
     /* 1368533 */     GIR_EraseRootFromParent_Done,
     /* 1368534 */   // Label 19445: @1368534
     /* 1368534 */   GIM_Try, /*On fail goto*//*Label 19446*/ GIMT_Encode4(1368618), // Rule ID 22208 //
     /* 1368539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1368547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1368556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1368595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368617 */     // GIR_Coverage, 22208,
     /* 1368617 */     GIR_EraseRootFromParent_Done,
     /* 1368618 */   // Label 19446: @1368618
     /* 1368618 */   GIM_Try, /*On fail goto*//*Label 19447*/ GIMT_Encode4(1368702), // Rule ID 22211 //
     /* 1368623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1368631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1368640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368676 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1368679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368701 */     // GIR_Coverage, 22211,
     /* 1368701 */     GIR_EraseRootFromParent_Done,
     /* 1368702 */   // Label 19447: @1368702
     /* 1368702 */   GIM_Try, /*On fail goto*//*Label 19448*/ GIMT_Encode4(1368786), // Rule ID 22212 //
     /* 1368707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1368715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1368724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368760 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1368763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368785 */     // GIR_Coverage, 22212,
     /* 1368785 */     GIR_EraseRootFromParent_Done,
     /* 1368786 */   // Label 19448: @1368786
     /* 1368786 */   GIM_Try, /*On fail goto*//*Label 19449*/ GIMT_Encode4(1368870), // Rule ID 22215 //
     /* 1368791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1368799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1368808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1368847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368869 */     // GIR_Coverage, 22215,
     /* 1368869 */     GIR_EraseRootFromParent_Done,
     /* 1368870 */   // Label 19449: @1368870
     /* 1368870 */   GIM_Try, /*On fail goto*//*Label 19450*/ GIMT_Encode4(1368954), // Rule ID 22216 //
     /* 1368875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1368883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1368892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1368931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368953 */     // GIR_Coverage, 22216,
     /* 1368953 */     GIR_EraseRootFromParent_Done,
     /* 1368954 */   // Label 19450: @1368954
     /* 1368954 */   GIM_Try, /*On fail goto*//*Label 19451*/ GIMT_Encode4(1369038), // Rule ID 22219 //
     /* 1368959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1368967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1368976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369012 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1369015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369037 */     // GIR_Coverage, 22219,
     /* 1369037 */     GIR_EraseRootFromParent_Done,
     /* 1369038 */   // Label 19451: @1369038
     /* 1369038 */   GIM_Try, /*On fail goto*//*Label 19452*/ GIMT_Encode4(1369122), // Rule ID 22220 //
     /* 1369043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1369060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1369099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369121 */     // GIR_Coverage, 22220,
     /* 1369121 */     GIR_EraseRootFromParent_Done,
     /* 1369122 */   // Label 19452: @1369122
     /* 1369122 */   GIM_Try, /*On fail goto*//*Label 19453*/ GIMT_Encode4(1369206), // Rule ID 22223 //
     /* 1369127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1369130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1369144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369180 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1369183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369205 */     // GIR_Coverage, 22223,
     /* 1369205 */     GIR_EraseRootFromParent_Done,
     /* 1369206 */   // Label 19453: @1369206
     /* 1369206 */   GIM_Try, /*On fail goto*//*Label 19454*/ GIMT_Encode4(1369290), // Rule ID 22224 //
     /* 1369211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1369214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1369228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369264 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1369267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369289 */     // GIR_Coverage, 22224,
     /* 1369289 */     GIR_EraseRootFromParent_Done,
     /* 1369290 */   // Label 19454: @1369290
     /* 1369290 */   GIM_Try, /*On fail goto*//*Label 19455*/ GIMT_Encode4(1369374), // Rule ID 22227 //
     /* 1369295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1369312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1369318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369348 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1369351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369373 */     // GIR_Coverage, 22227,
     /* 1369373 */     GIR_EraseRootFromParent_Done,
     /* 1369374 */   // Label 19455: @1369374
     /* 1369374 */   GIM_Try, /*On fail goto*//*Label 19456*/ GIMT_Encode4(1369458), // Rule ID 22228 //
     /* 1369379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1369396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1369402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369432 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1369435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369457 */     // GIR_Coverage, 22228,
     /* 1369457 */     GIR_EraseRootFromParent_Done,
     /* 1369458 */   // Label 19456: @1369458
     /* 1369458 */   GIM_Try, /*On fail goto*//*Label 19457*/ GIMT_Encode4(1369542), // Rule ID 22231 //
     /* 1369463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1369480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1369486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1369501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369516 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1369519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369541 */     // GIR_Coverage, 22231,
     /* 1369541 */     GIR_EraseRootFromParent_Done,
     /* 1369542 */   // Label 19457: @1369542
     /* 1369542 */   GIM_Try, /*On fail goto*//*Label 19458*/ GIMT_Encode4(1369626), // Rule ID 22232 //
     /* 1369547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1369564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1369570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1369585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369600 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1369603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369625 */     // GIR_Coverage, 22232,
     /* 1369625 */     GIR_EraseRootFromParent_Done,
     /* 1369626 */   // Label 19458: @1369626
     /* 1369626 */   GIM_Try, /*On fail goto*//*Label 19459*/ GIMT_Encode4(1369710), // Rule ID 22235 //
     /* 1369631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1369648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1369654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1369669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369684 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1369687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369709 */     // GIR_Coverage, 22235,
     /* 1369709 */     GIR_EraseRootFromParent_Done,
     /* 1369710 */   // Label 19459: @1369710
     /* 1369710 */   GIM_Try, /*On fail goto*//*Label 19460*/ GIMT_Encode4(1369794), // Rule ID 22236 //
     /* 1369715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1369732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1369738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1369753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369768 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1369771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369793 */     // GIR_Coverage, 22236,
     /* 1369793 */     GIR_EraseRootFromParent_Done,
     /* 1369794 */   // Label 19460: @1369794
     /* 1369794 */   GIM_Try, /*On fail goto*//*Label 19461*/ GIMT_Encode4(1369878), // Rule ID 22239 //
     /* 1369799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1369816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1369822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1369855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369877 */     // GIR_Coverage, 22239,
     /* 1369877 */     GIR_EraseRootFromParent_Done,
     /* 1369878 */   // Label 19461: @1369878
     /* 1369878 */   GIM_Try, /*On fail goto*//*Label 19462*/ GIMT_Encode4(1369962), // Rule ID 22240 //
     /* 1369883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1369900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1369906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369936 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1369939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369961 */     // GIR_Coverage, 22240,
     /* 1369961 */     GIR_EraseRootFromParent_Done,
     /* 1369962 */   // Label 19462: @1369962
     /* 1369962 */   GIM_Try, /*On fail goto*//*Label 19463*/ GIMT_Encode4(1370046), // Rule ID 22243 //
     /* 1369967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1369975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1369984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1369990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370020 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1370023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370045 */     // GIR_Coverage, 22243,
     /* 1370045 */     GIR_EraseRootFromParent_Done,
     /* 1370046 */   // Label 19463: @1370046
     /* 1370046 */   GIM_Try, /*On fail goto*//*Label 19464*/ GIMT_Encode4(1370130), // Rule ID 22244 //
     /* 1370051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1370068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1370074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370104 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1370107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370129 */     // GIR_Coverage, 22244,
     /* 1370129 */     GIR_EraseRootFromParent_Done,
     /* 1370130 */   // Label 19464: @1370130
     /* 1370130 */   GIM_Try, /*On fail goto*//*Label 19465*/ GIMT_Encode4(1370214), // Rule ID 22247 //
     /* 1370135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1370152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1370158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370188 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1370191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370213 */     // GIR_Coverage, 22247,
     /* 1370213 */     GIR_EraseRootFromParent_Done,
     /* 1370214 */   // Label 19465: @1370214
     /* 1370214 */   GIM_Try, /*On fail goto*//*Label 19466*/ GIMT_Encode4(1370298), // Rule ID 22248 //
     /* 1370219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1370236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1370242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370272 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1370275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370297 */     // GIR_Coverage, 22248,
     /* 1370297 */     GIR_EraseRootFromParent_Done,
     /* 1370298 */   // Label 19466: @1370298
     /* 1370298 */   GIM_Try, /*On fail goto*//*Label 19467*/ GIMT_Encode4(1370382), // Rule ID 22251 //
     /* 1370303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1370320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370356 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1370359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370381 */     // GIR_Coverage, 22251,
     /* 1370381 */     GIR_EraseRootFromParent_Done,
     /* 1370382 */   // Label 19467: @1370382
     /* 1370382 */   GIM_Try, /*On fail goto*//*Label 19468*/ GIMT_Encode4(1370466), // Rule ID 22252 //
     /* 1370387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1370404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370440 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1370443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370465 */     // GIR_Coverage, 22252,
     /* 1370465 */     GIR_EraseRootFromParent_Done,
     /* 1370466 */   // Label 19468: @1370466
     /* 1370466 */   GIM_Try, /*On fail goto*//*Label 19469*/ GIMT_Encode4(1370550), // Rule ID 22255 //
     /* 1370471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1370488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1370494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370524 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1370527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370549 */     // GIR_Coverage, 22255,
     /* 1370549 */     GIR_EraseRootFromParent_Done,
     /* 1370550 */   // Label 19469: @1370550
     /* 1370550 */   GIM_Try, /*On fail goto*//*Label 19470*/ GIMT_Encode4(1370634), // Rule ID 22256 //
     /* 1370555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1370572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1370578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1370611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370633 */     // GIR_Coverage, 22256,
     /* 1370633 */     GIR_EraseRootFromParent_Done,
     /* 1370634 */   // Label 19470: @1370634
     /* 1370634 */   GIM_Try, /*On fail goto*//*Label 19471*/ GIMT_Encode4(1370718), // Rule ID 22259 //
     /* 1370639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1370656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1370662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370692 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1370695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370717 */     // GIR_Coverage, 22259,
     /* 1370717 */     GIR_EraseRootFromParent_Done,
     /* 1370718 */   // Label 19471: @1370718
     /* 1370718 */   GIM_Try, /*On fail goto*//*Label 19472*/ GIMT_Encode4(1370802), // Rule ID 22260 //
     /* 1370723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1370740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1370746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370776 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1370779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370801 */     // GIR_Coverage, 22260,
     /* 1370801 */     GIR_EraseRootFromParent_Done,
     /* 1370802 */   // Label 19472: @1370802
     /* 1370802 */   GIM_Try, /*On fail goto*//*Label 19473*/ GIMT_Encode4(1370886), // Rule ID 22263 //
     /* 1370807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1370810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1370818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1370821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1370824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1370827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370860 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1370863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1370881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370885 */     // GIR_Coverage, 22263,
     /* 1370885 */     GIR_EraseRootFromParent_Done,
     /* 1370886 */   // Label 19473: @1370886
     /* 1370886 */   GIM_Try, /*On fail goto*//*Label 19474*/ GIMT_Encode4(1370970), // Rule ID 22264 //
     /* 1370891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1370894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1370902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1370905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1370908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1370911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370944 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1370947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1370965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370969 */     // GIR_Coverage, 22264,
     /* 1370969 */     GIR_EraseRootFromParent_Done,
     /* 1370970 */   // Label 19474: @1370970
     /* 1370970 */   GIM_Try, /*On fail goto*//*Label 19475*/ GIMT_Encode4(1371054), // Rule ID 22267 //
     /* 1370975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1370978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1370983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1370986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1370989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1370992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1370995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371028 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1371031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371053 */     // GIR_Coverage, 22267,
     /* 1371053 */     GIR_EraseRootFromParent_Done,
     /* 1371054 */   // Label 19475: @1371054
     /* 1371054 */   GIM_Try, /*On fail goto*//*Label 19476*/ GIMT_Encode4(1371138), // Rule ID 22268 //
     /* 1371059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1371062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1371070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1371073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1371076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1371079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371112 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1371115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371137 */     // GIR_Coverage, 22268,
     /* 1371137 */     GIR_EraseRootFromParent_Done,
     /* 1371138 */   // Label 19476: @1371138
     /* 1371138 */   GIM_Try, /*On fail goto*//*Label 19477*/ GIMT_Encode4(1371222), // Rule ID 22271 //
     /* 1371143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1371146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1371154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1371157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1371160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1371163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371196 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1371199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371221 */     // GIR_Coverage, 22271,
     /* 1371221 */     GIR_EraseRootFromParent_Done,
     /* 1371222 */   // Label 19477: @1371222
     /* 1371222 */   GIM_Try, /*On fail goto*//*Label 19478*/ GIMT_Encode4(1371306), // Rule ID 22272 //
     /* 1371227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1371230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1371235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1371238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1371241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1371244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1371247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1371283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371305 */     // GIR_Coverage, 22272,
     /* 1371305 */     GIR_EraseRootFromParent_Done,
     /* 1371306 */   // Label 19478: @1371306
     /* 1371306 */   GIM_Try, /*On fail goto*//*Label 19479*/ GIMT_Encode4(1371390), // Rule ID 22275 //
     /* 1371311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1371319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1371328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1371334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371364 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1371367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371389 */     // GIR_Coverage, 22275,
     /* 1371389 */     GIR_EraseRootFromParent_Done,
     /* 1371390 */   // Label 19479: @1371390
     /* 1371390 */   GIM_Try, /*On fail goto*//*Label 19480*/ GIMT_Encode4(1371474), // Rule ID 22276 //
     /* 1371395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1371403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1371412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1371418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371448 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1371451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371473 */     // GIR_Coverage, 22276,
     /* 1371473 */     GIR_EraseRootFromParent_Done,
     /* 1371474 */   // Label 19480: @1371474
     /* 1371474 */   GIM_Try, /*On fail goto*//*Label 19481*/ GIMT_Encode4(1371558), // Rule ID 22279 //
     /* 1371479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1371487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1371496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1371502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371532 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1371535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371557 */     // GIR_Coverage, 22279,
     /* 1371557 */     GIR_EraseRootFromParent_Done,
     /* 1371558 */   // Label 19481: @1371558
     /* 1371558 */   GIM_Try, /*On fail goto*//*Label 19482*/ GIMT_Encode4(1371642), // Rule ID 22280 //
     /* 1371563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1371571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1371580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1371586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371616 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1371619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371641 */     // GIR_Coverage, 22280,
     /* 1371641 */     GIR_EraseRootFromParent_Done,
     /* 1371642 */   // Label 19482: @1371642
     /* 1371642 */   GIM_Try, /*On fail goto*//*Label 19483*/ GIMT_Encode4(1371726), // Rule ID 22283 //
     /* 1371647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1371655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1371664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371700 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1371703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371725 */     // GIR_Coverage, 22283,
     /* 1371725 */     GIR_EraseRootFromParent_Done,
     /* 1371726 */   // Label 19483: @1371726
     /* 1371726 */   GIM_Try, /*On fail goto*//*Label 19484*/ GIMT_Encode4(1371810), // Rule ID 22284 //
     /* 1371731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1371739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1371748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371784 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1371787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371809 */     // GIR_Coverage, 22284,
     /* 1371809 */     GIR_EraseRootFromParent_Done,
     /* 1371810 */   // Label 19484: @1371810
     /* 1371810 */   GIM_Try, /*On fail goto*//*Label 19485*/ GIMT_Encode4(1371894), // Rule ID 22287 //
     /* 1371815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1371823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1371832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1371838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371868 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1371871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371893 */     // GIR_Coverage, 22287,
     /* 1371893 */     GIR_EraseRootFromParent_Done,
     /* 1371894 */   // Label 19485: @1371894
     /* 1371894 */   GIM_Try, /*On fail goto*//*Label 19486*/ GIMT_Encode4(1371978), // Rule ID 22288 //
     /* 1371899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1371907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1371916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1371922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1371955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371977 */     // GIR_Coverage, 22288,
     /* 1371977 */     GIR_EraseRootFromParent_Done,
     /* 1371978 */   // Label 19486: @1371978
     /* 1371978 */   GIM_Try, /*On fail goto*//*Label 19487*/ GIMT_Encode4(1372062), // Rule ID 22291 //
     /* 1371983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1371991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1372000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372036 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1372039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372061 */     // GIR_Coverage, 22291,
     /* 1372061 */     GIR_EraseRootFromParent_Done,
     /* 1372062 */   // Label 19487: @1372062
     /* 1372062 */   GIM_Try, /*On fail goto*//*Label 19488*/ GIMT_Encode4(1372146), // Rule ID 22292 //
     /* 1372067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1372084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372120 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1372123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372145 */     // GIR_Coverage, 22292,
     /* 1372145 */     GIR_EraseRootFromParent_Done,
     /* 1372146 */   // Label 19488: @1372146
     /* 1372146 */   GIM_Try, /*On fail goto*//*Label 19489*/ GIMT_Encode4(1372230), // Rule ID 22295 //
     /* 1372151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1372168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372204 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1372207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372229 */     // GIR_Coverage, 22295,
     /* 1372229 */     GIR_EraseRootFromParent_Done,
     /* 1372230 */   // Label 19489: @1372230
     /* 1372230 */   GIM_Try, /*On fail goto*//*Label 19490*/ GIMT_Encode4(1372314), // Rule ID 22296 //
     /* 1372235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1372252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372288 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1372291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372313 */     // GIR_Coverage, 22296,
     /* 1372313 */     GIR_EraseRootFromParent_Done,
     /* 1372314 */   // Label 19490: @1372314
     /* 1372314 */   GIM_Try, /*On fail goto*//*Label 19491*/ GIMT_Encode4(1372398), // Rule ID 22299 //
     /* 1372319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1372336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1372375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372397 */     // GIR_Coverage, 22299,
     /* 1372397 */     GIR_EraseRootFromParent_Done,
     /* 1372398 */   // Label 19491: @1372398
     /* 1372398 */   GIM_Try, /*On fail goto*//*Label 19492*/ GIMT_Encode4(1372482), // Rule ID 22300 //
     /* 1372403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1372420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372456 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1372459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372481 */     // GIR_Coverage, 22300,
     /* 1372481 */     GIR_EraseRootFromParent_Done,
     /* 1372482 */   // Label 19492: @1372482
     /* 1372482 */   GIM_Try, /*On fail goto*//*Label 19493*/ GIMT_Encode4(1372566), // Rule ID 22303 //
     /* 1372487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1372504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372540 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1372543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372565 */     // GIR_Coverage, 22303,
     /* 1372565 */     GIR_EraseRootFromParent_Done,
     /* 1372566 */   // Label 19493: @1372566
     /* 1372566 */   GIM_Try, /*On fail goto*//*Label 19494*/ GIMT_Encode4(1372650), // Rule ID 22304 //
     /* 1372571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1372588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372624 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1372627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372649 */     // GIR_Coverage, 22304,
     /* 1372649 */     GIR_EraseRootFromParent_Done,
     /* 1372650 */   // Label 19494: @1372650
     /* 1372650 */   GIM_Try, /*On fail goto*//*Label 19495*/ GIMT_Encode4(1372734), // Rule ID 22307 //
     /* 1372655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1372672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1372711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372733 */     // GIR_Coverage, 22307,
     /* 1372733 */     GIR_EraseRootFromParent_Done,
     /* 1372734 */   // Label 19495: @1372734
     /* 1372734 */   GIM_Try, /*On fail goto*//*Label 19496*/ GIMT_Encode4(1372818), // Rule ID 22308 //
     /* 1372739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1372756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1372795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372817 */     // GIR_Coverage, 22308,
     /* 1372817 */     GIR_EraseRootFromParent_Done,
     /* 1372818 */   // Label 19496: @1372818
     /* 1372818 */   GIM_Try, /*On fail goto*//*Label 19497*/ GIMT_Encode4(1372902), // Rule ID 22311 //
     /* 1372823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1372826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1372840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372876 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1372879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372901 */     // GIR_Coverage, 22311,
     /* 1372901 */     GIR_EraseRootFromParent_Done,
     /* 1372902 */   // Label 19497: @1372902
     /* 1372902 */   GIM_Try, /*On fail goto*//*Label 19498*/ GIMT_Encode4(1372986), // Rule ID 22312 //
     /* 1372907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1372910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1372924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372960 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1372963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372985 */     // GIR_Coverage, 22312,
     /* 1372985 */     GIR_EraseRootFromParent_Done,
     /* 1372986 */   // Label 19498: @1372986
     /* 1372986 */   GIM_Try, /*On fail goto*//*Label 19499*/ GIMT_Encode4(1373070), // Rule ID 22315 //
     /* 1372991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1372999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1373008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1373014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1373029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373044 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1373047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373069 */     // GIR_Coverage, 22315,
     /* 1373069 */     GIR_EraseRootFromParent_Done,
     /* 1373070 */   // Label 19499: @1373070
     /* 1373070 */   GIM_Try, /*On fail goto*//*Label 19500*/ GIMT_Encode4(1373154), // Rule ID 22316 //
     /* 1373075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1373092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1373098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1373113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373128 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1373131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373153 */     // GIR_Coverage, 22316,
     /* 1373153 */     GIR_EraseRootFromParent_Done,
     /* 1373154 */   // Label 19500: @1373154
     /* 1373154 */   GIM_Try, /*On fail goto*//*Label 19501*/ GIMT_Encode4(1373238), // Rule ID 22319 //
     /* 1373159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1373176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1373182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1373197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373212 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1373215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373237 */     // GIR_Coverage, 22319,
     /* 1373237 */     GIR_EraseRootFromParent_Done,
     /* 1373238 */   // Label 19501: @1373238
     /* 1373238 */   GIM_Try, /*On fail goto*//*Label 19502*/ GIMT_Encode4(1373322), // Rule ID 22320 //
     /* 1373243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1373260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1373266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1373281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1373299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373321 */     // GIR_Coverage, 22320,
     /* 1373321 */     GIR_EraseRootFromParent_Done,
     /* 1373322 */   // Label 19502: @1373322
     /* 1373322 */   GIM_Try, /*On fail goto*//*Label 19503*/ GIMT_Encode4(1373406), // Rule ID 22323 //
     /* 1373327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1373344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1373350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1373365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373380 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1373383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373405 */     // GIR_Coverage, 22323,
     /* 1373405 */     GIR_EraseRootFromParent_Done,
     /* 1373406 */   // Label 19503: @1373406
     /* 1373406 */   GIM_Try, /*On fail goto*//*Label 19504*/ GIMT_Encode4(1373490), // Rule ID 22324 //
     /* 1373411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1373428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1373434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1373449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373464 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1373467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373489 */     // GIR_Coverage, 22324,
     /* 1373489 */     GIR_EraseRootFromParent_Done,
     /* 1373490 */   // Label 19504: @1373490
     /* 1373490 */   GIM_Try, /*On fail goto*//*Label 19505*/ GIMT_Encode4(1373574), // Rule ID 22327 //
     /* 1373495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1373512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1373533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373548 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1373551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373573 */     // GIR_Coverage, 22327,
     /* 1373573 */     GIR_EraseRootFromParent_Done,
     /* 1373574 */   // Label 19505: @1373574
     /* 1373574 */   GIM_Try, /*On fail goto*//*Label 19506*/ GIMT_Encode4(1373658), // Rule ID 22328 //
     /* 1373579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1373596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1373617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373632 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1373635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373657 */     // GIR_Coverage, 22328,
     /* 1373657 */     GIR_EraseRootFromParent_Done,
     /* 1373658 */   // Label 19506: @1373658
     /* 1373658 */   GIM_Try, /*On fail goto*//*Label 19507*/ GIMT_Encode4(1373742), // Rule ID 22331 //
     /* 1373663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1373680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1373686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1373701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373716 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1373719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373741 */     // GIR_Coverage, 22331,
     /* 1373741 */     GIR_EraseRootFromParent_Done,
     /* 1373742 */   // Label 19507: @1373742
     /* 1373742 */   GIM_Try, /*On fail goto*//*Label 19508*/ GIMT_Encode4(1373826), // Rule ID 22332 //
     /* 1373747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1373764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1373770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1373785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373800 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1373803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373825 */     // GIR_Coverage, 22332,
     /* 1373825 */     GIR_EraseRootFromParent_Done,
     /* 1373826 */   // Label 19508: @1373826
     /* 1373826 */   GIM_Try, /*On fail goto*//*Label 19509*/ GIMT_Encode4(1373910), // Rule ID 22335 //
     /* 1373831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1373848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1373854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1373869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1373887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373909 */     // GIR_Coverage, 22335,
     /* 1373909 */     GIR_EraseRootFromParent_Done,
     /* 1373910 */   // Label 19509: @1373910
     /* 1373910 */   GIM_Try, /*On fail goto*//*Label 19510*/ GIMT_Encode4(1373994), // Rule ID 22336 //
     /* 1373915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1373923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1373932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1373938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1373953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373968 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1373971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373993 */     // GIR_Coverage, 22336,
     /* 1373993 */     GIR_EraseRootFromParent_Done,
     /* 1373994 */   // Label 19510: @1373994
     /* 1373994 */   GIM_Try, /*On fail goto*//*Label 19511*/ GIMT_Encode4(1374078), // Rule ID 22339 //
     /* 1373999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1374016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1374022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1374055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374077 */     // GIR_Coverage, 22339,
     /* 1374077 */     GIR_EraseRootFromParent_Done,
     /* 1374078 */   // Label 19511: @1374078
     /* 1374078 */   GIM_Try, /*On fail goto*//*Label 19512*/ GIMT_Encode4(1374162), // Rule ID 22340 //
     /* 1374083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1374100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1374106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374136 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1374139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374161 */     // GIR_Coverage, 22340,
     /* 1374161 */     GIR_EraseRootFromParent_Done,
     /* 1374162 */   // Label 19512: @1374162
     /* 1374162 */   GIM_Try, /*On fail goto*//*Label 19513*/ GIMT_Encode4(1374246), // Rule ID 22343 //
     /* 1374167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1374184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374220 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1374223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374245 */     // GIR_Coverage, 22343,
     /* 1374245 */     GIR_EraseRootFromParent_Done,
     /* 1374246 */   // Label 19513: @1374246
     /* 1374246 */   GIM_Try, /*On fail goto*//*Label 19514*/ GIMT_Encode4(1374330), // Rule ID 22344 //
     /* 1374251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1374268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374304 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1374307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374329 */     // GIR_Coverage, 22344,
     /* 1374329 */     GIR_EraseRootFromParent_Done,
     /* 1374330 */   // Label 19514: @1374330
     /* 1374330 */   GIM_Try, /*On fail goto*//*Label 19515*/ GIMT_Encode4(1374414), // Rule ID 22347 //
     /* 1374335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1374352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374388 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1374391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374413 */     // GIR_Coverage, 22347,
     /* 1374413 */     GIR_EraseRootFromParent_Done,
     /* 1374414 */   // Label 19515: @1374414
     /* 1374414 */   GIM_Try, /*On fail goto*//*Label 19516*/ GIMT_Encode4(1374498), // Rule ID 22348 //
     /* 1374419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1374436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1374475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374497 */     // GIR_Coverage, 22348,
     /* 1374497 */     GIR_EraseRootFromParent_Done,
     /* 1374498 */   // Label 19516: @1374498
     /* 1374498 */   GIM_Try, /*On fail goto*//*Label 19517*/ GIMT_Encode4(1374582), // Rule ID 22351 //
     /* 1374503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1374506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1374514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1374517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1374520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1374523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1374526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374556 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1374559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1374577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374581 */     // GIR_Coverage, 22351,
     /* 1374581 */     GIR_EraseRootFromParent_Done,
     /* 1374582 */   // Label 19517: @1374582
     /* 1374582 */   GIM_Try, /*On fail goto*//*Label 19518*/ GIMT_Encode4(1374666), // Rule ID 22352 //
     /* 1374587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1374590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1374598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1374601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1374604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1374607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1374610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374640 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1374643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1374661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374665 */     // GIR_Coverage, 22352,
     /* 1374665 */     GIR_EraseRootFromParent_Done,
     /* 1374666 */   // Label 19518: @1374666
     /* 1374666 */   GIM_Try, /*On fail goto*//*Label 19519*/ GIMT_Encode4(1374750), // Rule ID 22355 //
     /* 1374671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1374674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1374682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1374685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1374688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1374691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1374694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374724 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1374727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1374745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374749 */     // GIR_Coverage, 22355,
     /* 1374749 */     GIR_EraseRootFromParent_Done,
     /* 1374750 */   // Label 19519: @1374750
     /* 1374750 */   GIM_Try, /*On fail goto*//*Label 19520*/ GIMT_Encode4(1374834), // Rule ID 22356 //
     /* 1374755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1374758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1374766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1374769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1374772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1374775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1374778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374808 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1374811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1374829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374833 */     // GIR_Coverage, 22356,
     /* 1374833 */     GIR_EraseRootFromParent_Done,
     /* 1374834 */   // Label 19520: @1374834
     /* 1374834 */   GIM_Try, /*On fail goto*//*Label 19521*/ GIMT_Encode4(1374918), // Rule ID 22359 //
     /* 1374839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1374842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1374850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1374853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1374856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1374859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374892 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1374895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1374913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374917 */     // GIR_Coverage, 22359,
     /* 1374917 */     GIR_EraseRootFromParent_Done,
     /* 1374918 */   // Label 19521: @1374918
     /* 1374918 */   GIM_Try, /*On fail goto*//*Label 19522*/ GIMT_Encode4(1375002), // Rule ID 22360 //
     /* 1374923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1374926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1374931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1374934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1374937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1374940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1374943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374976 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1374979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1374997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375001 */     // GIR_Coverage, 22360,
     /* 1375001 */     GIR_EraseRootFromParent_Done,
     /* 1375002 */   // Label 19522: @1375002
     /* 1375002 */   GIM_Try, /*On fail goto*//*Label 19523*/ GIMT_Encode4(1375086), // Rule ID 22363 //
     /* 1375007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1375015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1375024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1375030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375060 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1375063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375085 */     // GIR_Coverage, 22363,
     /* 1375085 */     GIR_EraseRootFromParent_Done,
     /* 1375086 */   // Label 19523: @1375086
     /* 1375086 */   GIM_Try, /*On fail goto*//*Label 19524*/ GIMT_Encode4(1375170), // Rule ID 22364 //
     /* 1375091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1375099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1375108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1375114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375144 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1375147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375169 */     // GIR_Coverage, 22364,
     /* 1375169 */     GIR_EraseRootFromParent_Done,
     /* 1375170 */   // Label 19524: @1375170
     /* 1375170 */   GIM_Try, /*On fail goto*//*Label 19525*/ GIMT_Encode4(1375254), // Rule ID 22367 //
     /* 1375175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1375183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1375192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1375198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375228 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1375231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375253 */     // GIR_Coverage, 22367,
     /* 1375253 */     GIR_EraseRootFromParent_Done,
     /* 1375254 */   // Label 19525: @1375254
     /* 1375254 */   GIM_Try, /*On fail goto*//*Label 19526*/ GIMT_Encode4(1375338), // Rule ID 22368 //
     /* 1375259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1375267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1375276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1375282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375312 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1375315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375337 */     // GIR_Coverage, 22368,
     /* 1375337 */     GIR_EraseRootFromParent_Done,
     /* 1375338 */   // Label 19526: @1375338
     /* 1375338 */   GIM_Try, /*On fail goto*//*Label 19527*/ GIMT_Encode4(1375422), // Rule ID 22371 //
     /* 1375343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1375351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1375360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375396 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1375399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375421 */     // GIR_Coverage, 22371,
     /* 1375421 */     GIR_EraseRootFromParent_Done,
     /* 1375422 */   // Label 19527: @1375422
     /* 1375422 */   GIM_Try, /*On fail goto*//*Label 19528*/ GIMT_Encode4(1375506), // Rule ID 22372 //
     /* 1375427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1375435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1375444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375480 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1375483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375505 */     // GIR_Coverage, 22372,
     /* 1375505 */     GIR_EraseRootFromParent_Done,
     /* 1375506 */   // Label 19528: @1375506
     /* 1375506 */   GIM_Try, /*On fail goto*//*Label 19529*/ GIMT_Encode4(1375590), // Rule ID 22375 //
     /* 1375511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1375519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1375528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1375534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1375567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375589 */     // GIR_Coverage, 22375,
     /* 1375589 */     GIR_EraseRootFromParent_Done,
     /* 1375590 */   // Label 19529: @1375590
     /* 1375590 */   GIM_Try, /*On fail goto*//*Label 19530*/ GIMT_Encode4(1375674), // Rule ID 22376 //
     /* 1375595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1375603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1375612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1375618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375648 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1375651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375673 */     // GIR_Coverage, 22376,
     /* 1375673 */     GIR_EraseRootFromParent_Done,
     /* 1375674 */   // Label 19530: @1375674
     /* 1375674 */   GIM_Try, /*On fail goto*//*Label 19531*/ GIMT_Encode4(1375758), // Rule ID 22379 //
     /* 1375679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1375687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1375696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1375702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375732 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1375735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375757 */     // GIR_Coverage, 22379,
     /* 1375757 */     GIR_EraseRootFromParent_Done,
     /* 1375758 */   // Label 19531: @1375758
     /* 1375758 */   GIM_Try, /*On fail goto*//*Label 19532*/ GIMT_Encode4(1375842), // Rule ID 22380 //
     /* 1375763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1375771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1375780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1375786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375816 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1375819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375841 */     // GIR_Coverage, 22380,
     /* 1375841 */     GIR_EraseRootFromParent_Done,
     /* 1375842 */   // Label 19532: @1375842
     /* 1375842 */   GIM_Try, /*On fail goto*//*Label 19533*/ GIMT_Encode4(1375926), // Rule ID 22383 //
     /* 1375847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1375855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1375864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1375870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1375903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375925 */     // GIR_Coverage, 22383,
     /* 1375925 */     GIR_EraseRootFromParent_Done,
     /* 1375926 */   // Label 19533: @1375926
     /* 1375926 */   GIM_Try, /*On fail goto*//*Label 19534*/ GIMT_Encode4(1376010), // Rule ID 22384 //
     /* 1375931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1375939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1375948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1375954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1375987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376009 */     // GIR_Coverage, 22384,
     /* 1376009 */     GIR_EraseRootFromParent_Done,
     /* 1376010 */   // Label 19534: @1376010
     /* 1376010 */   GIM_Try, /*On fail goto*//*Label 19535*/ GIMT_Encode4(1376094), // Rule ID 22387 //
     /* 1376015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1376032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376068 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1376071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376093 */     // GIR_Coverage, 22387,
     /* 1376093 */     GIR_EraseRootFromParent_Done,
     /* 1376094 */   // Label 19535: @1376094
     /* 1376094 */   GIM_Try, /*On fail goto*//*Label 19536*/ GIMT_Encode4(1376178), // Rule ID 22388 //
     /* 1376099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1376116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376152 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1376155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376177 */     // GIR_Coverage, 22388,
     /* 1376177 */     GIR_EraseRootFromParent_Done,
     /* 1376178 */   // Label 19536: @1376178
     /* 1376178 */   GIM_Try, /*On fail goto*//*Label 19537*/ GIMT_Encode4(1376262), // Rule ID 22391 //
     /* 1376183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1376200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376236 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1376239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376261 */     // GIR_Coverage, 22391,
     /* 1376261 */     GIR_EraseRootFromParent_Done,
     /* 1376262 */   // Label 19537: @1376262
     /* 1376262 */   GIM_Try, /*On fail goto*//*Label 19538*/ GIMT_Encode4(1376346), // Rule ID 22392 //
     /* 1376267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1376284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376320 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1376323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376345 */     // GIR_Coverage, 22392,
     /* 1376345 */     GIR_EraseRootFromParent_Done,
     /* 1376346 */   // Label 19538: @1376346
     /* 1376346 */   GIM_Try, /*On fail goto*//*Label 19539*/ GIMT_Encode4(1376430), // Rule ID 22395 //
     /* 1376351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1376368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376404 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1376407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376429 */     // GIR_Coverage, 22395,
     /* 1376429 */     GIR_EraseRootFromParent_Done,
     /* 1376430 */   // Label 19539: @1376430
     /* 1376430 */   GIM_Try, /*On fail goto*//*Label 19540*/ GIMT_Encode4(1376514), // Rule ID 22396 //
     /* 1376435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1376452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376488 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1376491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376513 */     // GIR_Coverage, 22396,
     /* 1376513 */     GIR_EraseRootFromParent_Done,
     /* 1376514 */   // Label 19540: @1376514
     /* 1376514 */   GIM_Try, /*On fail goto*//*Label 19541*/ GIMT_Encode4(1376598), // Rule ID 22399 //
     /* 1376519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1376522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1376536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376572 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1376575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376597 */     // GIR_Coverage, 22399,
     /* 1376597 */     GIR_EraseRootFromParent_Done,
     /* 1376598 */   // Label 19541: @1376598
     /* 1376598 */   GIM_Try, /*On fail goto*//*Label 19542*/ GIMT_Encode4(1376682), // Rule ID 22400 //
     /* 1376603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1376606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1376620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376656 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1376659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376681 */     // GIR_Coverage, 22400,
     /* 1376681 */     GIR_EraseRootFromParent_Done,
     /* 1376682 */   // Label 19542: @1376682
     /* 1376682 */   GIM_Try, /*On fail goto*//*Label 19543*/ GIMT_Encode4(1376766), // Rule ID 22403 //
     /* 1376687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1376704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1376710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1376725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376740 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1376743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376765 */     // GIR_Coverage, 22403,
     /* 1376765 */     GIR_EraseRootFromParent_Done,
     /* 1376766 */   // Label 19543: @1376766
     /* 1376766 */   GIM_Try, /*On fail goto*//*Label 19544*/ GIMT_Encode4(1376850), // Rule ID 22404 //
     /* 1376771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1376788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1376794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1376809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376824 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1376827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376849 */     // GIR_Coverage, 22404,
     /* 1376849 */     GIR_EraseRootFromParent_Done,
     /* 1376850 */   // Label 19544: @1376850
     /* 1376850 */   GIM_Try, /*On fail goto*//*Label 19545*/ GIMT_Encode4(1376934), // Rule ID 22407 //
     /* 1376855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1376872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1376878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1376911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376933 */     // GIR_Coverage, 22407,
     /* 1376933 */     GIR_EraseRootFromParent_Done,
     /* 1376934 */   // Label 19545: @1376934
     /* 1376934 */   GIM_Try, /*On fail goto*//*Label 19546*/ GIMT_Encode4(1377018), // Rule ID 22408 //
     /* 1376939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1376947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1376956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1376962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1376995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377017 */     // GIR_Coverage, 22408,
     /* 1377017 */     GIR_EraseRootFromParent_Done,
     /* 1377018 */   // Label 19546: @1377018
     /* 1377018 */   GIM_Try, /*On fail goto*//*Label 19547*/ GIMT_Encode4(1377102), // Rule ID 22411 //
     /* 1377023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1377040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1377046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1377061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377076 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1377079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377101 */     // GIR_Coverage, 22411,
     /* 1377101 */     GIR_EraseRootFromParent_Done,
     /* 1377102 */   // Label 19547: @1377102
     /* 1377102 */   GIM_Try, /*On fail goto*//*Label 19548*/ GIMT_Encode4(1377186), // Rule ID 22412 //
     /* 1377107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1377124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1377130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1377145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377160 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1377163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377185 */     // GIR_Coverage, 22412,
     /* 1377185 */     GIR_EraseRootFromParent_Done,
     /* 1377186 */   // Label 19548: @1377186
     /* 1377186 */   GIM_Try, /*On fail goto*//*Label 19549*/ GIMT_Encode4(1377270), // Rule ID 22415 //
     /* 1377191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1377208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377244 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1377247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377269 */     // GIR_Coverage, 22415,
     /* 1377269 */     GIR_EraseRootFromParent_Done,
     /* 1377270 */   // Label 19549: @1377270
     /* 1377270 */   GIM_Try, /*On fail goto*//*Label 19550*/ GIMT_Encode4(1377354), // Rule ID 22416 //
     /* 1377275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1377292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1377331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377353 */     // GIR_Coverage, 22416,
     /* 1377353 */     GIR_EraseRootFromParent_Done,
     /* 1377354 */   // Label 19550: @1377354
     /* 1377354 */   GIM_Try, /*On fail goto*//*Label 19551*/ GIMT_Encode4(1377438), // Rule ID 22419 //
     /* 1377359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1377376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1377382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377412 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1377415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377437 */     // GIR_Coverage, 22419,
     /* 1377437 */     GIR_EraseRootFromParent_Done,
     /* 1377438 */   // Label 19551: @1377438
     /* 1377438 */   GIM_Try, /*On fail goto*//*Label 19552*/ GIMT_Encode4(1377522), // Rule ID 22420 //
     /* 1377443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1377460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1377466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377496 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1377499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377521 */     // GIR_Coverage, 22420,
     /* 1377521 */     GIR_EraseRootFromParent_Done,
     /* 1377522 */   // Label 19552: @1377522
     /* 1377522 */   GIM_Try, /*On fail goto*//*Label 19553*/ GIMT_Encode4(1377606), // Rule ID 22423 //
     /* 1377527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1377544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1377550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1377565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377580 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1377583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377605 */     // GIR_Coverage, 22423,
     /* 1377605 */     GIR_EraseRootFromParent_Done,
     /* 1377606 */   // Label 19553: @1377606
     /* 1377606 */   GIM_Try, /*On fail goto*//*Label 19554*/ GIMT_Encode4(1377690), // Rule ID 22424 //
     /* 1377611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1377628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1377634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1377649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377664 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1377667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377689 */     // GIR_Coverage, 22424,
     /* 1377689 */     GIR_EraseRootFromParent_Done,
     /* 1377690 */   // Label 19554: @1377690
     /* 1377690 */   GIM_Try, /*On fail goto*//*Label 19555*/ GIMT_Encode4(1377774), // Rule ID 22427 //
     /* 1377695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1377712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1377751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377773 */     // GIR_Coverage, 22427,
     /* 1377773 */     GIR_EraseRootFromParent_Done,
     /* 1377774 */   // Label 19555: @1377774
     /* 1377774 */   GIM_Try, /*On fail goto*//*Label 19556*/ GIMT_Encode4(1377858), // Rule ID 22428 //
     /* 1377779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1377796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377832 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1377835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377857 */     // GIR_Coverage, 22428,
     /* 1377857 */     GIR_EraseRootFromParent_Done,
     /* 1377858 */   // Label 19556: @1377858
     /* 1377858 */   GIM_Try, /*On fail goto*//*Label 19557*/ GIMT_Encode4(1377942), // Rule ID 22431 //
     /* 1377863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1377880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377916 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1377919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377941 */     // GIR_Coverage, 22431,
     /* 1377941 */     GIR_EraseRootFromParent_Done,
     /* 1377942 */   // Label 19557: @1377942
     /* 1377942 */   GIM_Try, /*On fail goto*//*Label 19558*/ GIMT_Encode4(1378026), // Rule ID 22432 //
     /* 1377947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1377955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1377964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378000 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1378003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378025 */     // GIR_Coverage, 22432,
     /* 1378025 */     GIR_EraseRootFromParent_Done,
     /* 1378026 */   // Label 19558: @1378026
     /* 1378026 */   GIM_Try, /*On fail goto*//*Label 19559*/ GIMT_Encode4(1378110), // Rule ID 22435 //
     /* 1378031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1378048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1378087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378109 */     // GIR_Coverage, 22435,
     /* 1378109 */     GIR_EraseRootFromParent_Done,
     /* 1378110 */   // Label 19559: @1378110
     /* 1378110 */   GIM_Try, /*On fail goto*//*Label 19560*/ GIMT_Encode4(1378194), // Rule ID 22436 //
     /* 1378115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1378132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378168 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1378171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378193 */     // GIR_Coverage, 22436,
     /* 1378193 */     GIR_EraseRootFromParent_Done,
     /* 1378194 */   // Label 19560: @1378194
     /* 1378194 */   GIM_Try, /*On fail goto*//*Label 19561*/ GIMT_Encode4(1378278), // Rule ID 22439 //
     /* 1378199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1378202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1378210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1378213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1378216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1378219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1378222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1378255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378277 */     // GIR_Coverage, 22439,
     /* 1378277 */     GIR_EraseRootFromParent_Done,
     /* 1378278 */   // Label 19561: @1378278
     /* 1378278 */   GIM_Try, /*On fail goto*//*Label 19562*/ GIMT_Encode4(1378362), // Rule ID 22440 //
     /* 1378283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1378286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1378294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1378297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1378300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1378303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1378306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378336 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1378339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378361 */     // GIR_Coverage, 22440,
     /* 1378361 */     GIR_EraseRootFromParent_Done,
     /* 1378362 */   // Label 19562: @1378362
     /* 1378362 */   GIM_Try, /*On fail goto*//*Label 19563*/ GIMT_Encode4(1378446), // Rule ID 22443 //
     /* 1378367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1378370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1378378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1378381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1378384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1378387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378420 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1378423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378445 */     // GIR_Coverage, 22443,
     /* 1378445 */     GIR_EraseRootFromParent_Done,
     /* 1378446 */   // Label 19563: @1378446
     /* 1378446 */   GIM_Try, /*On fail goto*//*Label 19564*/ GIMT_Encode4(1378530), // Rule ID 22444 //
     /* 1378451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1378454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1378462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1378465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1378468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1378471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378504 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1378507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378529 */     // GIR_Coverage, 22444,
     /* 1378529 */     GIR_EraseRootFromParent_Done,
     /* 1378530 */   // Label 19564: @1378530
     /* 1378530 */   GIM_Try, /*On fail goto*//*Label 19565*/ GIMT_Encode4(1378614), // Rule ID 22447 //
     /* 1378535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1378538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1378546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1378549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1378552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1378555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378588 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1378591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378613 */     // GIR_Coverage, 22447,
     /* 1378613 */     GIR_EraseRootFromParent_Done,
     /* 1378614 */   // Label 19565: @1378614
     /* 1378614 */   GIM_Try, /*On fail goto*//*Label 19566*/ GIMT_Encode4(1378698), // Rule ID 22448 //
     /* 1378619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1378622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1378627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1378630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1378633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1378636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1378639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378672 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1378675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378697 */     // GIR_Coverage, 22448,
     /* 1378697 */     GIR_EraseRootFromParent_Done,
     /* 1378698 */   // Label 19566: @1378698
     /* 1378698 */   GIM_Try, /*On fail goto*//*Label 19567*/ GIMT_Encode4(1378782), // Rule ID 22451 //
     /* 1378703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1378711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1378720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1378726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378756 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1378759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378781 */     // GIR_Coverage, 22451,
     /* 1378781 */     GIR_EraseRootFromParent_Done,
     /* 1378782 */   // Label 19567: @1378782
     /* 1378782 */   GIM_Try, /*On fail goto*//*Label 19568*/ GIMT_Encode4(1378866), // Rule ID 22452 //
     /* 1378787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1378795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1378804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1378810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378840 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1378843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378865 */     // GIR_Coverage, 22452,
     /* 1378865 */     GIR_EraseRootFromParent_Done,
     /* 1378866 */   // Label 19568: @1378866
     /* 1378866 */   GIM_Try, /*On fail goto*//*Label 19569*/ GIMT_Encode4(1378950), // Rule ID 22455 //
     /* 1378871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1378879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1378888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1378894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378924 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1378927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378949 */     // GIR_Coverage, 22455,
     /* 1378949 */     GIR_EraseRootFromParent_Done,
     /* 1378950 */   // Label 19569: @1378950
     /* 1378950 */   GIM_Try, /*On fail goto*//*Label 19570*/ GIMT_Encode4(1379034), // Rule ID 22456 //
     /* 1378955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1378963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1378972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1378978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1379011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379033 */     // GIR_Coverage, 22456,
     /* 1379033 */     GIR_EraseRootFromParent_Done,
     /* 1379034 */   // Label 19570: @1379034
     /* 1379034 */   GIM_Try, /*On fail goto*//*Label 19571*/ GIMT_Encode4(1379118), // Rule ID 22459 //
     /* 1379039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1379047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1379056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379092 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1379095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379117 */     // GIR_Coverage, 22459,
     /* 1379117 */     GIR_EraseRootFromParent_Done,
     /* 1379118 */   // Label 19571: @1379118
     /* 1379118 */   GIM_Try, /*On fail goto*//*Label 19572*/ GIMT_Encode4(1379202), // Rule ID 22460 //
     /* 1379123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1379131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1379140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379176 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1379179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379201 */     // GIR_Coverage, 22460,
     /* 1379201 */     GIR_EraseRootFromParent_Done,
     /* 1379202 */   // Label 19572: @1379202
     /* 1379202 */   GIM_Try, /*On fail goto*//*Label 19573*/ GIMT_Encode4(1379286), // Rule ID 22463 //
     /* 1379207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1379215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1379224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379260 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1379263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379285 */     // GIR_Coverage, 22463,
     /* 1379285 */     GIR_EraseRootFromParent_Done,
     /* 1379286 */   // Label 19573: @1379286
     /* 1379286 */   GIM_Try, /*On fail goto*//*Label 19574*/ GIMT_Encode4(1379370), // Rule ID 22464 //
     /* 1379291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1379299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1379308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379344 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1379347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379369 */     // GIR_Coverage, 22464,
     /* 1379369 */     GIR_EraseRootFromParent_Done,
     /* 1379370 */   // Label 19574: @1379370
     /* 1379370 */   GIM_Try, /*On fail goto*//*Label 19575*/ GIMT_Encode4(1379454), // Rule ID 22467 //
     /* 1379375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1379383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1379392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379428 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1379431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379453 */     // GIR_Coverage, 22467,
     /* 1379453 */     GIR_EraseRootFromParent_Done,
     /* 1379454 */   // Label 19575: @1379454
     /* 1379454 */   GIM_Try, /*On fail goto*//*Label 19576*/ GIMT_Encode4(1379538), // Rule ID 22468 //
     /* 1379459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1379467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1379476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379512 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1379515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379537 */     // GIR_Coverage, 22468,
     /* 1379537 */     GIR_EraseRootFromParent_Done,
     /* 1379538 */   // Label 19576: @1379538
     /* 1379538 */   GIM_Try, /*On fail goto*//*Label 19577*/ GIMT_Encode4(1379622), // Rule ID 22471 //
     /* 1379543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1379551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1379560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1379599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379621 */     // GIR_Coverage, 22471,
     /* 1379621 */     GIR_EraseRootFromParent_Done,
     /* 1379622 */   // Label 19577: @1379622
     /* 1379622 */   GIM_Try, /*On fail goto*//*Label 19578*/ GIMT_Encode4(1379706), // Rule ID 22472 //
     /* 1379627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1379635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1379644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379680 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1379683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379705 */     // GIR_Coverage, 22472,
     /* 1379705 */     GIR_EraseRootFromParent_Done,
     /* 1379706 */   // Label 19578: @1379706
     /* 1379706 */   GIM_Try, /*On fail goto*//*Label 19579*/ GIMT_Encode4(1379790), // Rule ID 22475 //
     /* 1379711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1379719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1379728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379764 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1379767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379789 */     // GIR_Coverage, 22475,
     /* 1379789 */     GIR_EraseRootFromParent_Done,
     /* 1379790 */   // Label 19579: @1379790
     /* 1379790 */   GIM_Try, /*On fail goto*//*Label 19580*/ GIMT_Encode4(1379874), // Rule ID 22476 //
     /* 1379795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1379803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1379806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1379809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1379812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1379815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379848 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1379851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379873 */     // GIR_Coverage, 22476,
     /* 1379873 */     GIR_EraseRootFromParent_Done,
     /* 1379874 */   // Label 19580: @1379874
     /* 1379874 */   GIM_Try, /*On fail goto*//*Label 19581*/ GIMT_Encode4(1379958), // Rule ID 22479 //
     /* 1379879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1379887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1379896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379932 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1379935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379957 */     // GIR_Coverage, 22479,
     /* 1379957 */     GIR_EraseRootFromParent_Done,
     /* 1379958 */   // Label 19581: @1379958
     /* 1379958 */   GIM_Try, /*On fail goto*//*Label 19582*/ GIMT_Encode4(1380042), // Rule ID 22480 //
     /* 1379963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1379971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1379980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1380019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380041 */     // GIR_Coverage, 22480,
     /* 1380041 */     GIR_EraseRootFromParent_Done,
     /* 1380042 */   // Label 19582: @1380042
     /* 1380042 */   GIM_Try, /*On fail goto*//*Label 19583*/ GIMT_Encode4(1380126), // Rule ID 22483 //
     /* 1380047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1380058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1380061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1380064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1380067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380100 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1380103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380125 */     // GIR_Coverage, 22483,
     /* 1380125 */     GIR_EraseRootFromParent_Done,
     /* 1380126 */   // Label 19583: @1380126
     /* 1380126 */   GIM_Try, /*On fail goto*//*Label 19584*/ GIMT_Encode4(1380210), // Rule ID 22484 //
     /* 1380131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1380142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1380145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1380148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1380151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380184 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1380187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380209 */     // GIR_Coverage, 22484,
     /* 1380209 */     GIR_EraseRootFromParent_Done,
     /* 1380210 */   // Label 19584: @1380210
     /* 1380210 */   GIM_Try, /*On fail goto*//*Label 19585*/ GIMT_Encode4(1380294), // Rule ID 22487 //
     /* 1380215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1380218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1380232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1380271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380293 */     // GIR_Coverage, 22487,
     /* 1380293 */     GIR_EraseRootFromParent_Done,
     /* 1380294 */   // Label 19585: @1380294
     /* 1380294 */   GIM_Try, /*On fail goto*//*Label 19586*/ GIMT_Encode4(1380378), // Rule ID 22488 //
     /* 1380299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1380302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1380316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1380355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380377 */     // GIR_Coverage, 22488,
     /* 1380377 */     GIR_EraseRootFromParent_Done,
     /* 1380378 */   // Label 19586: @1380378
     /* 1380378 */   GIM_Try, /*On fail goto*//*Label 19587*/ GIMT_Encode4(1380462), // Rule ID 22491 //
     /* 1380383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1380400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1380406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1380421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380436 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1380439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380461 */     // GIR_Coverage, 22491,
     /* 1380461 */     GIR_EraseRootFromParent_Done,
     /* 1380462 */   // Label 19587: @1380462
     /* 1380462 */   GIM_Try, /*On fail goto*//*Label 19588*/ GIMT_Encode4(1380546), // Rule ID 22492 //
     /* 1380467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1380484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1380490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1380505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380520 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1380523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380545 */     // GIR_Coverage, 22492,
     /* 1380545 */     GIR_EraseRootFromParent_Done,
     /* 1380546 */   // Label 19588: @1380546
     /* 1380546 */   GIM_Try, /*On fail goto*//*Label 19589*/ GIMT_Encode4(1380630), // Rule ID 22495 //
     /* 1380551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1380568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1380574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1380589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380604 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1380607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380629 */     // GIR_Coverage, 22495,
     /* 1380629 */     GIR_EraseRootFromParent_Done,
     /* 1380630 */   // Label 19589: @1380630
     /* 1380630 */   GIM_Try, /*On fail goto*//*Label 19590*/ GIMT_Encode4(1380714), // Rule ID 22496 //
     /* 1380635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1380652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1380658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1380673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380688 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1380691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380713 */     // GIR_Coverage, 22496,
     /* 1380713 */     GIR_EraseRootFromParent_Done,
     /* 1380714 */   // Label 19590: @1380714
     /* 1380714 */   GIM_Try, /*On fail goto*//*Label 19591*/ GIMT_Encode4(1380798), // Rule ID 22499 //
     /* 1380719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1380736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1380742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380772 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1380775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380797 */     // GIR_Coverage, 22499,
     /* 1380797 */     GIR_EraseRootFromParent_Done,
     /* 1380798 */   // Label 19591: @1380798
     /* 1380798 */   GIM_Try, /*On fail goto*//*Label 19592*/ GIMT_Encode4(1380882), // Rule ID 22500 //
     /* 1380803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1380820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1380826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380856 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1380859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380881 */     // GIR_Coverage, 22500,
     /* 1380881 */     GIR_EraseRootFromParent_Done,
     /* 1380882 */   // Label 19592: @1380882
     /* 1380882 */   GIM_Try, /*On fail goto*//*Label 19593*/ GIMT_Encode4(1380966), // Rule ID 22503 //
     /* 1380887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1380904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1380925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380940 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1380943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380965 */     // GIR_Coverage, 22503,
     /* 1380965 */     GIR_EraseRootFromParent_Done,
     /* 1380966 */   // Label 19593: @1380966
     /* 1380966 */   GIM_Try, /*On fail goto*//*Label 19594*/ GIMT_Encode4(1381050), // Rule ID 22504 //
     /* 1380971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1380979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1380988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381024 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1381027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381049 */     // GIR_Coverage, 22504,
     /* 1381049 */     GIR_EraseRootFromParent_Done,
     /* 1381050 */   // Label 19594: @1381050
     /* 1381050 */   GIM_Try, /*On fail goto*//*Label 19595*/ GIMT_Encode4(1381134), // Rule ID 22507 //
     /* 1381055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1381072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1381078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381108 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1381111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381133 */     // GIR_Coverage, 22507,
     /* 1381133 */     GIR_EraseRootFromParent_Done,
     /* 1381134 */   // Label 19595: @1381134
     /* 1381134 */   GIM_Try, /*On fail goto*//*Label 19596*/ GIMT_Encode4(1381218), // Rule ID 22508 //
     /* 1381139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1381156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1381162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1381195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381217 */     // GIR_Coverage, 22508,
     /* 1381217 */     GIR_EraseRootFromParent_Done,
     /* 1381218 */   // Label 19596: @1381218
     /* 1381218 */   GIM_Try, /*On fail goto*//*Label 19597*/ GIMT_Encode4(1381302), // Rule ID 22511 //
     /* 1381223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1381240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1381246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381276 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1381279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381301 */     // GIR_Coverage, 22511,
     /* 1381301 */     GIR_EraseRootFromParent_Done,
     /* 1381302 */   // Label 19597: @1381302
     /* 1381302 */   GIM_Try, /*On fail goto*//*Label 19598*/ GIMT_Encode4(1381386), // Rule ID 22512 //
     /* 1381307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1381324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1381330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1381363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381385 */     // GIR_Coverage, 22512,
     /* 1381385 */     GIR_EraseRootFromParent_Done,
     /* 1381386 */   // Label 19598: @1381386
     /* 1381386 */   GIM_Try, /*On fail goto*//*Label 19599*/ GIMT_Encode4(1381470), // Rule ID 22515 //
     /* 1381391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1381408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381444 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1381447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381469 */     // GIR_Coverage, 22515,
     /* 1381469 */     GIR_EraseRootFromParent_Done,
     /* 1381470 */   // Label 19599: @1381470
     /* 1381470 */   GIM_Try, /*On fail goto*//*Label 19600*/ GIMT_Encode4(1381554), // Rule ID 22516 //
     /* 1381475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1381492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1381531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381553 */     // GIR_Coverage, 22516,
     /* 1381553 */     GIR_EraseRootFromParent_Done,
     /* 1381554 */   // Label 19600: @1381554
     /* 1381554 */   GIM_Try, /*On fail goto*//*Label 19601*/ GIMT_Encode4(1381638), // Rule ID 22519 //
     /* 1381559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1381576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381612 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1381615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381637 */     // GIR_Coverage, 22519,
     /* 1381637 */     GIR_EraseRootFromParent_Done,
     /* 1381638 */   // Label 19601: @1381638
     /* 1381638 */   GIM_Try, /*On fail goto*//*Label 19602*/ GIMT_Encode4(1381722), // Rule ID 22520 //
     /* 1381643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1381660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381696 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1381699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381721 */     // GIR_Coverage, 22520,
     /* 1381721 */     GIR_EraseRootFromParent_Done,
     /* 1381722 */   // Label 19602: @1381722
     /* 1381722 */   GIM_Try, /*On fail goto*//*Label 19603*/ GIMT_Encode4(1381806), // Rule ID 22523 //
     /* 1381727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1381744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1381750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381780 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1381783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381805 */     // GIR_Coverage, 22523,
     /* 1381805 */     GIR_EraseRootFromParent_Done,
     /* 1381806 */   // Label 19603: @1381806
     /* 1381806 */   GIM_Try, /*On fail goto*//*Label 19604*/ GIMT_Encode4(1381890), // Rule ID 22524 //
     /* 1381811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1381828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1381834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1381867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381889 */     // GIR_Coverage, 22524,
     /* 1381889 */     GIR_EraseRootFromParent_Done,
     /* 1381890 */   // Label 19604: @1381890
     /* 1381890 */   GIM_Try, /*On fail goto*//*Label 19605*/ GIMT_Encode4(1381974), // Rule ID 22527 //
     /* 1381895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1381898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1381906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1381909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1381912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1381915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381948 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1381951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381973 */     // GIR_Coverage, 22527,
     /* 1381973 */     GIR_EraseRootFromParent_Done,
     /* 1381974 */   // Label 19605: @1381974
     /* 1381974 */   GIM_Try, /*On fail goto*//*Label 19606*/ GIMT_Encode4(1382058), // Rule ID 22528 //
     /* 1381979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1381982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1381987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1381990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1381993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1381996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1381999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1382002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382032 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1382035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1382053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382057 */     // GIR_Coverage, 22528,
     /* 1382057 */     GIR_EraseRootFromParent_Done,
     /* 1382058 */   // Label 19606: @1382058
     /* 1382058 */   GIM_Try, /*On fail goto*//*Label 19607*/ GIMT_Encode4(1382142), // Rule ID 22531 //
     /* 1382063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1382066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1382074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1382077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1382080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1382083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382116 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1382119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1382137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382141 */     // GIR_Coverage, 22531,
     /* 1382141 */     GIR_EraseRootFromParent_Done,
     /* 1382142 */   // Label 19607: @1382142
     /* 1382142 */   GIM_Try, /*On fail goto*//*Label 19608*/ GIMT_Encode4(1382226), // Rule ID 22532 //
     /* 1382147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1382150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1382158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1382161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1382164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1382167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382200 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1382203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1382221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382225 */     // GIR_Coverage, 22532,
     /* 1382225 */     GIR_EraseRootFromParent_Done,
     /* 1382226 */   // Label 19608: @1382226
     /* 1382226 */   GIM_Try, /*On fail goto*//*Label 19609*/ GIMT_Encode4(1382310), // Rule ID 22535 //
     /* 1382231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1382234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1382242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1382245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1382248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1382251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1382287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1382305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382309 */     // GIR_Coverage, 22535,
     /* 1382309 */     GIR_EraseRootFromParent_Done,
     /* 1382310 */   // Label 19609: @1382310
     /* 1382310 */   GIM_Try, /*On fail goto*//*Label 19610*/ GIMT_Encode4(1382394), // Rule ID 22536 //
     /* 1382315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1382318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1382323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1382326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1382329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1382332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1382335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382368 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1382371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1382389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382393 */     // GIR_Coverage, 22536,
     /* 1382393 */     GIR_EraseRootFromParent_Done,
     /* 1382394 */   // Label 19610: @1382394
     /* 1382394 */   GIM_Try, /*On fail goto*//*Label 19611*/ GIMT_Encode4(1382478), // Rule ID 22539 //
     /* 1382399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1382407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1382416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1382422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1382455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382477 */     // GIR_Coverage, 22539,
     /* 1382477 */     GIR_EraseRootFromParent_Done,
     /* 1382478 */   // Label 19611: @1382478
     /* 1382478 */   GIM_Try, /*On fail goto*//*Label 19612*/ GIMT_Encode4(1382562), // Rule ID 22540 //
     /* 1382483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1382491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1382500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1382506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382536 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1382539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382561 */     // GIR_Coverage, 22540,
     /* 1382561 */     GIR_EraseRootFromParent_Done,
     /* 1382562 */   // Label 19612: @1382562
     /* 1382562 */   GIM_Try, /*On fail goto*//*Label 19613*/ GIMT_Encode4(1382646), // Rule ID 22543 //
     /* 1382567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1382575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1382584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1382590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382620 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1382623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382645 */     // GIR_Coverage, 22543,
     /* 1382645 */     GIR_EraseRootFromParent_Done,
     /* 1382646 */   // Label 19613: @1382646
     /* 1382646 */   GIM_Try, /*On fail goto*//*Label 19614*/ GIMT_Encode4(1382730), // Rule ID 22544 //
     /* 1382651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1382659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1382668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1382674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382704 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1382707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382729 */     // GIR_Coverage, 22544,
     /* 1382729 */     GIR_EraseRootFromParent_Done,
     /* 1382730 */   // Label 19614: @1382730
     /* 1382730 */   GIM_Try, /*On fail goto*//*Label 19615*/ GIMT_Encode4(1382814), // Rule ID 22547 //
     /* 1382735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1382743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1382752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382788 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1382791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382813 */     // GIR_Coverage, 22547,
     /* 1382813 */     GIR_EraseRootFromParent_Done,
     /* 1382814 */   // Label 19615: @1382814
     /* 1382814 */   GIM_Try, /*On fail goto*//*Label 19616*/ GIMT_Encode4(1382898), // Rule ID 22548 //
     /* 1382819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1382827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1382836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382872 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1382875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382897 */     // GIR_Coverage, 22548,
     /* 1382897 */     GIR_EraseRootFromParent_Done,
     /* 1382898 */   // Label 19616: @1382898
     /* 1382898 */   GIM_Try, /*On fail goto*//*Label 19617*/ GIMT_Encode4(1382982), // Rule ID 22551 //
     /* 1382903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1382911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1382920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1382926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382956 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1382959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382981 */     // GIR_Coverage, 22551,
     /* 1382981 */     GIR_EraseRootFromParent_Done,
     /* 1382982 */   // Label 19617: @1382982
     /* 1382982 */   GIM_Try, /*On fail goto*//*Label 19618*/ GIMT_Encode4(1383066), // Rule ID 22552 //
     /* 1382987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1382995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1383004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1383043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383065 */     // GIR_Coverage, 22552,
     /* 1383065 */     GIR_EraseRootFromParent_Done,
     /* 1383066 */   // Label 19618: @1383066
     /* 1383066 */   GIM_Try, /*On fail goto*//*Label 19619*/ GIMT_Encode4(1383150), // Rule ID 22555 //
     /* 1383071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1383088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1383127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383149 */     // GIR_Coverage, 22555,
     /* 1383149 */     GIR_EraseRootFromParent_Done,
     /* 1383150 */   // Label 19619: @1383150
     /* 1383150 */   GIM_Try, /*On fail goto*//*Label 19620*/ GIMT_Encode4(1383234), // Rule ID 22556 //
     /* 1383155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1383172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383208 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1383211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383233 */     // GIR_Coverage, 22556,
     /* 1383233 */     GIR_EraseRootFromParent_Done,
     /* 1383234 */   // Label 19620: @1383234
     /* 1383234 */   GIM_Try, /*On fail goto*//*Label 19621*/ GIMT_Encode4(1383318), // Rule ID 22559 //
     /* 1383239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1383256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1383295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383317 */     // GIR_Coverage, 22559,
     /* 1383317 */     GIR_EraseRootFromParent_Done,
     /* 1383318 */   // Label 19621: @1383318
     /* 1383318 */   GIM_Try, /*On fail goto*//*Label 19622*/ GIMT_Encode4(1383402), // Rule ID 22560 //
     /* 1383323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1383340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383376 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1383379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383401 */     // GIR_Coverage, 22560,
     /* 1383401 */     GIR_EraseRootFromParent_Done,
     /* 1383402 */   // Label 19622: @1383402
     /* 1383402 */   GIM_Try, /*On fail goto*//*Label 19623*/ GIMT_Encode4(1383486), // Rule ID 22563 //
     /* 1383407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1383424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383460 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1383463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383485 */     // GIR_Coverage, 22563,
     /* 1383485 */     GIR_EraseRootFromParent_Done,
     /* 1383486 */   // Label 19623: @1383486
     /* 1383486 */   GIM_Try, /*On fail goto*//*Label 19624*/ GIMT_Encode4(1383570), // Rule ID 22564 //
     /* 1383491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1383508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383544 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1383547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383569 */     // GIR_Coverage, 22564,
     /* 1383569 */     GIR_EraseRootFromParent_Done,
     /* 1383570 */   // Label 19624: @1383570
     /* 1383570 */   GIM_Try, /*On fail goto*//*Label 19625*/ GIMT_Encode4(1383654), // Rule ID 22567 //
     /* 1383575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1383592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1383631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383653 */     // GIR_Coverage, 22567,
     /* 1383653 */     GIR_EraseRootFromParent_Done,
     /* 1383654 */   // Label 19625: @1383654
     /* 1383654 */   GIM_Try, /*On fail goto*//*Label 19626*/ GIMT_Encode4(1383738), // Rule ID 22568 //
     /* 1383659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1383676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383712 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1383715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383737 */     // GIR_Coverage, 22568,
     /* 1383737 */     GIR_EraseRootFromParent_Done,
     /* 1383738 */   // Label 19626: @1383738
     /* 1383738 */   GIM_Try, /*On fail goto*//*Label 19627*/ GIMT_Encode4(1383822), // Rule ID 22571 //
     /* 1383743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1383760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383796 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1383799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383821 */     // GIR_Coverage, 22571,
     /* 1383821 */     GIR_EraseRootFromParent_Done,
     /* 1383822 */   // Label 19627: @1383822
     /* 1383822 */   GIM_Try, /*On fail goto*//*Label 19628*/ GIMT_Encode4(1383906), // Rule ID 22572 //
     /* 1383827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1383844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383880 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1383883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383905 */     // GIR_Coverage, 22572,
     /* 1383905 */     GIR_EraseRootFromParent_Done,
     /* 1383906 */   // Label 19628: @1383906
     /* 1383906 */   GIM_Try, /*On fail goto*//*Label 19629*/ GIMT_Encode4(1383990), // Rule ID 22575 //
     /* 1383911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1383919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1383928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1383934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383964 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1383967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383989 */     // GIR_Coverage, 22575,
     /* 1383989 */     GIR_EraseRootFromParent_Done,
     /* 1383990 */   // Label 19629: @1383990
     /* 1383990 */   GIM_Try, /*On fail goto*//*Label 19630*/ GIMT_Encode4(1384074), // Rule ID 22576 //
     /* 1383995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1384012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1384018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1384033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384048 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1384051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384073 */     // GIR_Coverage, 22576,
     /* 1384073 */     GIR_EraseRootFromParent_Done,
     /* 1384074 */   // Label 19630: @1384074
     /* 1384074 */   GIM_Try, /*On fail goto*//*Label 19631*/ GIMT_Encode4(1384158), // Rule ID 22579 //
     /* 1384079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1384096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1384102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1384117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384132 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1384135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384157 */     // GIR_Coverage, 22579,
     /* 1384157 */     GIR_EraseRootFromParent_Done,
     /* 1384158 */   // Label 19631: @1384158
     /* 1384158 */   GIM_Try, /*On fail goto*//*Label 19632*/ GIMT_Encode4(1384242), // Rule ID 22580 //
     /* 1384163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1384180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1384186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1384201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1384219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384241 */     // GIR_Coverage, 22580,
     /* 1384241 */     GIR_EraseRootFromParent_Done,
     /* 1384242 */   // Label 19632: @1384242
     /* 1384242 */   GIM_Try, /*On fail goto*//*Label 19633*/ GIMT_Encode4(1384326), // Rule ID 22583 //
     /* 1384247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1384264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1384270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1384285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384300 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1384303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384325 */     // GIR_Coverage, 22583,
     /* 1384325 */     GIR_EraseRootFromParent_Done,
     /* 1384326 */   // Label 19633: @1384326
     /* 1384326 */   GIM_Try, /*On fail goto*//*Label 19634*/ GIMT_Encode4(1384410), // Rule ID 22584 //
     /* 1384331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1384348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1384354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1384369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11563:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1384387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384409 */     // GIR_Coverage, 22584,
     /* 1384409 */     GIR_EraseRootFromParent_Done,
     /* 1384410 */   // Label 19634: @1384410
     /* 1384410 */   GIM_Try, /*On fail goto*//*Label 19635*/ GIMT_Encode4(1384494), // Rule ID 22587 //
     /* 1384415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1384432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1384438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1384453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1384471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384493 */     // GIR_Coverage, 22587,
     /* 1384493 */     GIR_EraseRootFromParent_Done,
     /* 1384494 */   // Label 19635: @1384494
     /* 1384494 */   GIM_Try, /*On fail goto*//*Label 19636*/ GIMT_Encode4(1384578), // Rule ID 22588 //
     /* 1384499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1384516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1384522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1384537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384552 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1384555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384577 */     // GIR_Coverage, 22588,
     /* 1384577 */     GIR_EraseRootFromParent_Done,
     /* 1384578 */   // Label 19636: @1384578
     /* 1384578 */   GIM_Try, /*On fail goto*//*Label 19637*/ GIMT_Encode4(1384662), // Rule ID 22591 //
     /* 1384583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1384600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1384606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1384621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1384639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384661 */     // GIR_Coverage, 22591,
     /* 1384661 */     GIR_EraseRootFromParent_Done,
     /* 1384662 */   // Label 19637: @1384662
     /* 1384662 */   GIM_Try, /*On fail goto*//*Label 19638*/ GIMT_Encode4(1384746), // Rule ID 22592 //
     /* 1384667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1384684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1384690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1384705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384720 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1384723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384745 */     // GIR_Coverage, 22592,
     /* 1384745 */     GIR_EraseRootFromParent_Done,
     /* 1384746 */   // Label 19638: @1384746
     /* 1384746 */   GIM_Try, /*On fail goto*//*Label 19639*/ GIMT_Encode4(1384830), // Rule ID 22595 //
     /* 1384751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1384768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1384774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1384789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384804 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1384807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384829 */     // GIR_Coverage, 22595,
     /* 1384829 */     GIR_EraseRootFromParent_Done,
     /* 1384830 */   // Label 19639: @1384830
     /* 1384830 */   GIM_Try, /*On fail goto*//*Label 19640*/ GIMT_Encode4(1384914), // Rule ID 22596 //
     /* 1384835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1384852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1384858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1384873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384888 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11563:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1384891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384913 */     // GIR_Coverage, 22596,
     /* 1384913 */     GIR_EraseRootFromParent_Done,
     /* 1384914 */   // Label 19640: @1384914
     /* 1384914 */   GIM_Try, /*On fail goto*//*Label 19641*/ GIMT_Encode4(1384998), // Rule ID 22599 //
     /* 1384919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1384927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1384936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1384957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384972 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1384975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1384993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384997 */     // GIR_Coverage, 22599,
     /* 1384997 */     GIR_EraseRootFromParent_Done,
     /* 1384998 */   // Label 19641: @1384998
     /* 1384998 */   GIM_Try, /*On fail goto*//*Label 19642*/ GIMT_Encode4(1385082), // Rule ID 22600 //
     /* 1385003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1385014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1385017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1385020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1385023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385056 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1385059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385081 */     // GIR_Coverage, 22600,
     /* 1385081 */     GIR_EraseRootFromParent_Done,
     /* 1385082 */   // Label 19642: @1385082
     /* 1385082 */   GIM_Try, /*On fail goto*//*Label 19643*/ GIMT_Encode4(1385166), // Rule ID 22603 //
     /* 1385087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1385098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1385101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1385104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1385107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385140 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1385143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385165 */     // GIR_Coverage, 22603,
     /* 1385165 */     GIR_EraseRootFromParent_Done,
     /* 1385166 */   // Label 19643: @1385166
     /* 1385166 */   GIM_Try, /*On fail goto*//*Label 19644*/ GIMT_Encode4(1385250), // Rule ID 22604 //
     /* 1385171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1385182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1385185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1385188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1385191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385224 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1385227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385249 */     // GIR_Coverage, 22604,
     /* 1385249 */     GIR_EraseRootFromParent_Done,
     /* 1385250 */   // Label 19644: @1385250
     /* 1385250 */   GIM_Try, /*On fail goto*//*Label 19645*/ GIMT_Encode4(1385334), // Rule ID 22607 //
     /* 1385255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1385266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1385269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1385272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1385275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385308 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1385311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385333 */     // GIR_Coverage, 22607,
     /* 1385333 */     GIR_EraseRootFromParent_Done,
     /* 1385334 */   // Label 19645: @1385334
     /* 1385334 */   GIM_Try, /*On fail goto*//*Label 19646*/ GIMT_Encode4(1385418), // Rule ID 22608 //
     /* 1385339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1385347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1385350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1385353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1385356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1385359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385392 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11563:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1385395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385417 */     // GIR_Coverage, 22608,
     /* 1385417 */     GIR_EraseRootFromParent_Done,
     /* 1385418 */   // Label 19646: @1385418
     /* 1385418 */   GIM_Try, /*On fail goto*//*Label 19647*/ GIMT_Encode4(1385502), // Rule ID 22611 //
     /* 1385423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1385431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1385440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1385446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385476 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1385479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385501 */     // GIR_Coverage, 22611,
     /* 1385501 */     GIR_EraseRootFromParent_Done,
     /* 1385502 */   // Label 19647: @1385502
     /* 1385502 */   GIM_Try, /*On fail goto*//*Label 19648*/ GIMT_Encode4(1385586), // Rule ID 22612 //
     /* 1385507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1385515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1385524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1385530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385560 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1385563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385585 */     // GIR_Coverage, 22612,
     /* 1385585 */     GIR_EraseRootFromParent_Done,
     /* 1385586 */   // Label 19648: @1385586
     /* 1385586 */   GIM_Try, /*On fail goto*//*Label 19649*/ GIMT_Encode4(1385670), // Rule ID 22615 //
     /* 1385591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1385599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1385608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385644 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1385647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385669 */     // GIR_Coverage, 22615,
     /* 1385669 */     GIR_EraseRootFromParent_Done,
     /* 1385670 */   // Label 19649: @1385670
     /* 1385670 */   GIM_Try, /*On fail goto*//*Label 19650*/ GIMT_Encode4(1385754), // Rule ID 22616 //
     /* 1385675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1385683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1385692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1385731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385753 */     // GIR_Coverage, 22616,
     /* 1385753 */     GIR_EraseRootFromParent_Done,
     /* 1385754 */   // Label 19650: @1385754
     /* 1385754 */   GIM_Try, /*On fail goto*//*Label 19651*/ GIMT_Encode4(1385838), // Rule ID 22619 //
     /* 1385759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1385767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1385776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385812 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1385815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385837 */     // GIR_Coverage, 22619,
     /* 1385837 */     GIR_EraseRootFromParent_Done,
     /* 1385838 */   // Label 19651: @1385838
     /* 1385838 */   GIM_Try, /*On fail goto*//*Label 19652*/ GIMT_Encode4(1385922), // Rule ID 22620 //
     /* 1385843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1385851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1385860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385896 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1385899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385921 */     // GIR_Coverage, 22620,
     /* 1385921 */     GIR_EraseRootFromParent_Done,
     /* 1385922 */   // Label 19652: @1385922
     /* 1385922 */   GIM_Try, /*On fail goto*//*Label 19653*/ GIMT_Encode4(1386006), // Rule ID 22623 //
     /* 1385927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1385935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1385944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1385950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385980 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1385983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386005 */     // GIR_Coverage, 22623,
     /* 1386005 */     GIR_EraseRootFromParent_Done,
     /* 1386006 */   // Label 19653: @1386006
     /* 1386006 */   GIM_Try, /*On fail goto*//*Label 19654*/ GIMT_Encode4(1386090), // Rule ID 22624 //
     /* 1386011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1386028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386064 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1386067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386089 */     // GIR_Coverage, 22624,
     /* 1386089 */     GIR_EraseRootFromParent_Done,
     /* 1386090 */   // Label 19654: @1386090
     /* 1386090 */   GIM_Try, /*On fail goto*//*Label 19655*/ GIMT_Encode4(1386174), // Rule ID 22627 //
     /* 1386095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1386112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386148 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1386151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386173 */     // GIR_Coverage, 22627,
     /* 1386173 */     GIR_EraseRootFromParent_Done,
     /* 1386174 */   // Label 19655: @1386174
     /* 1386174 */   GIM_Try, /*On fail goto*//*Label 19656*/ GIMT_Encode4(1386258), // Rule ID 22628 //
     /* 1386179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1386196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1386235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386257 */     // GIR_Coverage, 22628,
     /* 1386257 */     GIR_EraseRootFromParent_Done,
     /* 1386258 */   // Label 19656: @1386258
     /* 1386258 */   GIM_Try, /*On fail goto*//*Label 19657*/ GIMT_Encode4(1386342), // Rule ID 22631 //
     /* 1386263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1386280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386316 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1386319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386341 */     // GIR_Coverage, 22631,
     /* 1386341 */     GIR_EraseRootFromParent_Done,
     /* 1386342 */   // Label 19657: @1386342
     /* 1386342 */   GIM_Try, /*On fail goto*//*Label 19658*/ GIMT_Encode4(1386426), // Rule ID 22632 //
     /* 1386347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1386364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386400 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1386403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386425 */     // GIR_Coverage, 22632,
     /* 1386425 */     GIR_EraseRootFromParent_Done,
     /* 1386426 */   // Label 19658: @1386426
     /* 1386426 */   GIM_Try, /*On fail goto*//*Label 19659*/ GIMT_Encode4(1386510), // Rule ID 22635 //
     /* 1386431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1386448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386484 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1386487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386509 */     // GIR_Coverage, 22635,
     /* 1386509 */     GIR_EraseRootFromParent_Done,
     /* 1386510 */   // Label 19659: @1386510
     /* 1386510 */   GIM_Try, /*On fail goto*//*Label 19660*/ GIMT_Encode4(1386594), // Rule ID 22636 //
     /* 1386515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1386532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386568 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1386571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386593 */     // GIR_Coverage, 22636,
     /* 1386593 */     GIR_EraseRootFromParent_Done,
     /* 1386594 */   // Label 19660: @1386594
     /* 1386594 */   GIM_Try, /*On fail goto*//*Label 19661*/ GIMT_Encode4(1386678), // Rule ID 22639 //
     /* 1386599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1386616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386652 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1386655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386677 */     // GIR_Coverage, 22639,
     /* 1386677 */     GIR_EraseRootFromParent_Done,
     /* 1386678 */   // Label 19661: @1386678
     /* 1386678 */   GIM_Try, /*On fail goto*//*Label 19662*/ GIMT_Encode4(1386762), // Rule ID 22640 //
     /* 1386683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1386700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1386739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386761 */     // GIR_Coverage, 22640,
     /* 1386761 */     GIR_EraseRootFromParent_Done,
     /* 1386762 */   // Label 19662: @1386762
     /* 1386762 */   GIM_Try, /*On fail goto*//*Label 19663*/ GIMT_Encode4(1386846), // Rule ID 22643 //
     /* 1386767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1386784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386820 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1386823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386845 */     // GIR_Coverage, 22643,
     /* 1386845 */     GIR_EraseRootFromParent_Done,
     /* 1386846 */   // Label 19663: @1386846
     /* 1386846 */   GIM_Try, /*On fail goto*//*Label 19664*/ GIMT_Encode4(1386930), // Rule ID 22644 //
     /* 1386851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1386868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386904 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1386907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386929 */     // GIR_Coverage, 22644,
     /* 1386929 */     GIR_EraseRootFromParent_Done,
     /* 1386930 */   // Label 19664: @1386930
     /* 1386930 */   GIM_Try, /*On fail goto*//*Label 19665*/ GIMT_Encode4(1387014), // Rule ID 22647 //
     /* 1386935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1386943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1386952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386988 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1386991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387013 */     // GIR_Coverage, 22647,
     /* 1387013 */     GIR_EraseRootFromParent_Done,
     /* 1387014 */   // Label 19665: @1387014
     /* 1387014 */   GIM_Try, /*On fail goto*//*Label 19666*/ GIMT_Encode4(1387098), // Rule ID 22648 //
     /* 1387019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1387036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1387042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387072 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1387075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387097 */     // GIR_Coverage, 22648,
     /* 1387097 */     GIR_EraseRootFromParent_Done,
     /* 1387098 */   // Label 19666: @1387098
     /* 1387098 */   GIM_Try, /*On fail goto*//*Label 19667*/ GIMT_Encode4(1387182), // Rule ID 22651 //
     /* 1387103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1387120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1387126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387156 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1387159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387181 */     // GIR_Coverage, 22651,
     /* 1387181 */     GIR_EraseRootFromParent_Done,
     /* 1387182 */   // Label 19667: @1387182
     /* 1387182 */   GIM_Try, /*On fail goto*//*Label 19668*/ GIMT_Encode4(1387266), // Rule ID 22652 //
     /* 1387187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1387204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1387210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387240 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1387243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387265 */     // GIR_Coverage, 22652,
     /* 1387265 */     GIR_EraseRootFromParent_Done,
     /* 1387266 */   // Label 19668: @1387266
     /* 1387266 */   GIM_Try, /*On fail goto*//*Label 19669*/ GIMT_Encode4(1387350), // Rule ID 22655 //
     /* 1387271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1387288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1387294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1387327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387349 */     // GIR_Coverage, 22655,
     /* 1387349 */     GIR_EraseRootFromParent_Done,
     /* 1387350 */   // Label 19669: @1387350
     /* 1387350 */   GIM_Try, /*On fail goto*//*Label 19670*/ GIMT_Encode4(1387434), // Rule ID 22656 //
     /* 1387355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1387372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1387378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387408 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1387411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387433 */     // GIR_Coverage, 22656,
     /* 1387433 */     GIR_EraseRootFromParent_Done,
     /* 1387434 */   // Label 19670: @1387434
     /* 1387434 */   GIM_Try, /*On fail goto*//*Label 19671*/ GIMT_Encode4(1387518), // Rule ID 22659 //
     /* 1387439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1387456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1387495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387517 */     // GIR_Coverage, 22659,
     /* 1387517 */     GIR_EraseRootFromParent_Done,
     /* 1387518 */   // Label 19671: @1387518
     /* 1387518 */   GIM_Try, /*On fail goto*//*Label 19672*/ GIMT_Encode4(1387602), // Rule ID 22660 //
     /* 1387523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1387540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387576 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1387579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387601 */     // GIR_Coverage, 22660,
     /* 1387601 */     GIR_EraseRootFromParent_Done,
     /* 1387602 */   // Label 19672: @1387602
     /* 1387602 */   GIM_Try, /*On fail goto*//*Label 19673*/ GIMT_Encode4(1387686), // Rule ID 22663 //
     /* 1387607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1387624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1387630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387660 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1387663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387685 */     // GIR_Coverage, 22663,
     /* 1387685 */     GIR_EraseRootFromParent_Done,
     /* 1387686 */   // Label 19673: @1387686
     /* 1387686 */   GIM_Try, /*On fail goto*//*Label 19674*/ GIMT_Encode4(1387770), // Rule ID 22664 //
     /* 1387691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1387708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1387714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387744 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1387747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387769 */     // GIR_Coverage, 22664,
     /* 1387769 */     GIR_EraseRootFromParent_Done,
     /* 1387770 */   // Label 19674: @1387770
     /* 1387770 */   GIM_Try, /*On fail goto*//*Label 19675*/ GIMT_Encode4(1387854), // Rule ID 22667 //
     /* 1387775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1387792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1387798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1387831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387853 */     // GIR_Coverage, 22667,
     /* 1387853 */     GIR_EraseRootFromParent_Done,
     /* 1387854 */   // Label 19675: @1387854
     /* 1387854 */   GIM_Try, /*On fail goto*//*Label 19676*/ GIMT_Encode4(1387938), // Rule ID 22668 //
     /* 1387859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1387876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1387882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387912 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1387915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387937 */     // GIR_Coverage, 22668,
     /* 1387937 */     GIR_EraseRootFromParent_Done,
     /* 1387938 */   // Label 19676: @1387938
     /* 1387938 */   GIM_Try, /*On fail goto*//*Label 19677*/ GIMT_Encode4(1388022), // Rule ID 22671 //
     /* 1387943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1387951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1387960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387996 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1387999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388021 */     // GIR_Coverage, 22671,
     /* 1388021 */     GIR_EraseRootFromParent_Done,
     /* 1388022 */   // Label 19677: @1388022
     /* 1388022 */   GIM_Try, /*On fail goto*//*Label 19678*/ GIMT_Encode4(1388106), // Rule ID 22672 //
     /* 1388027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1388044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1388050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388080 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1388083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388105 */     // GIR_Coverage, 22672,
     /* 1388105 */     GIR_EraseRootFromParent_Done,
     /* 1388106 */   // Label 19678: @1388106
     /* 1388106 */   GIM_Try, /*On fail goto*//*Label 19679*/ GIMT_Encode4(1388190), // Rule ID 22675 //
     /* 1388111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1388128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388164 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1388167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388189 */     // GIR_Coverage, 22675,
     /* 1388189 */     GIR_EraseRootFromParent_Done,
     /* 1388190 */   // Label 19679: @1388190
     /* 1388190 */   GIM_Try, /*On fail goto*//*Label 19680*/ GIMT_Encode4(1388274), // Rule ID 22676 //
     /* 1388195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1388212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388248 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1388251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388273 */     // GIR_Coverage, 22676,
     /* 1388273 */     GIR_EraseRootFromParent_Done,
     /* 1388274 */   // Label 19680: @1388274
     /* 1388274 */   GIM_Try, /*On fail goto*//*Label 19681*/ GIMT_Encode4(1388358), // Rule ID 22679 //
     /* 1388279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1388296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388332 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1388335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388357 */     // GIR_Coverage, 22679,
     /* 1388357 */     GIR_EraseRootFromParent_Done,
     /* 1388358 */   // Label 19681: @1388358
     /* 1388358 */   GIM_Try, /*On fail goto*//*Label 19682*/ GIMT_Encode4(1388442), // Rule ID 22680 //
     /* 1388363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1388371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1388380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388416 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1388419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388441 */     // GIR_Coverage, 22680,
     /* 1388441 */     GIR_EraseRootFromParent_Done,
     /* 1388442 */   // Label 19682: @1388442
     /* 1388442 */   GIM_Try, /*On fail goto*//*Label 19683*/ GIMT_Encode4(1388526), // Rule ID 22799 //
     /* 1388447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1388450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1388455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1388464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388500 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1388503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388525 */     // GIR_Coverage, 22799,
     /* 1388525 */     GIR_EraseRootFromParent_Done,
     /* 1388526 */   // Label 19683: @1388526
     /* 1388526 */   GIM_Try, /*On fail goto*//*Label 19684*/ GIMT_Encode4(1388610), // Rule ID 22800 //
     /* 1388531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1388534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1388539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1388548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388584 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1388587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388609 */     // GIR_Coverage, 22800,
     /* 1388609 */     GIR_EraseRootFromParent_Done,
     /* 1388610 */   // Label 19684: @1388610
     /* 1388610 */   GIM_Try, /*On fail goto*//*Label 19685*/ GIMT_Encode4(1388694), // Rule ID 22803 //
     /* 1388615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1388618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1388623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1388632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388668 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1388671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388693 */     // GIR_Coverage, 22803,
     /* 1388693 */     GIR_EraseRootFromParent_Done,
     /* 1388694 */   // Label 19685: @1388694
     /* 1388694 */   GIM_Try, /*On fail goto*//*Label 19686*/ GIMT_Encode4(1388778), // Rule ID 22804 //
     /* 1388699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1388702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1388707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1388716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388752 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1388755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388777 */     // GIR_Coverage, 22804,
     /* 1388777 */     GIR_EraseRootFromParent_Done,
     /* 1388778 */   // Label 19686: @1388778
     /* 1388778 */   GIM_Try, /*On fail goto*//*Label 19687*/ GIMT_Encode4(1388862), // Rule ID 22807 //
     /* 1388783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1388786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1388791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1388800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388836 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1388839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388861 */     // GIR_Coverage, 22807,
     /* 1388861 */     GIR_EraseRootFromParent_Done,
     /* 1388862 */   // Label 19687: @1388862
     /* 1388862 */   GIM_Try, /*On fail goto*//*Label 19688*/ GIMT_Encode4(1388946), // Rule ID 22808 //
     /* 1388867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1388870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1388875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1388884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388920 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1388923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388945 */     // GIR_Coverage, 22808,
     /* 1388945 */     GIR_EraseRootFromParent_Done,
     /* 1388946 */   // Label 19688: @1388946
     /* 1388946 */   GIM_Try, /*On fail goto*//*Label 19689*/ GIMT_Encode4(1389030), // Rule ID 22811 //
     /* 1388951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1388954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1388959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1388968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1388974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389004 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1389007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389029 */     // GIR_Coverage, 22811,
     /* 1389029 */     GIR_EraseRootFromParent_Done,
     /* 1389030 */   // Label 19689: @1389030
     /* 1389030 */   GIM_Try, /*On fail goto*//*Label 19690*/ GIMT_Encode4(1389114), // Rule ID 22812 //
     /* 1389035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1389038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1389052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389088 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1389091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389113 */     // GIR_Coverage, 22812,
     /* 1389113 */     GIR_EraseRootFromParent_Done,
     /* 1389114 */   // Label 19690: @1389114
     /* 1389114 */   GIM_Try, /*On fail goto*//*Label 19691*/ GIMT_Encode4(1389198), // Rule ID 22815 //
     /* 1389119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1389122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1389136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1389142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389172 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1389175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389197 */     // GIR_Coverage, 22815,
     /* 1389197 */     GIR_EraseRootFromParent_Done,
     /* 1389198 */   // Label 19691: @1389198
     /* 1389198 */   GIM_Try, /*On fail goto*//*Label 19692*/ GIMT_Encode4(1389282), // Rule ID 22816 //
     /* 1389203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1389206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1389220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1389226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389256 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1389259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389281 */     // GIR_Coverage, 22816,
     /* 1389281 */     GIR_EraseRootFromParent_Done,
     /* 1389282 */   // Label 19692: @1389282
     /* 1389282 */   GIM_Try, /*On fail goto*//*Label 19693*/ GIMT_Encode4(1389366), // Rule ID 22819 //
     /* 1389287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1389290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1389304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389340 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1389343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1389361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389365 */     // GIR_Coverage, 22819,
     /* 1389365 */     GIR_EraseRootFromParent_Done,
     /* 1389366 */   // Label 19693: @1389366
     /* 1389366 */   GIM_Try, /*On fail goto*//*Label 19694*/ GIMT_Encode4(1389450), // Rule ID 22820 //
     /* 1389371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1389374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1389388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389424 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1389427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1389445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389449 */     // GIR_Coverage, 22820,
     /* 1389449 */     GIR_EraseRootFromParent_Done,
     /* 1389450 */   // Label 19694: @1389450
     /* 1389450 */   GIM_Try, /*On fail goto*//*Label 19695*/ GIMT_Encode4(1389534), // Rule ID 22823 //
     /* 1389455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1389458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1389472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389508 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1389511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389533 */     // GIR_Coverage, 22823,
     /* 1389533 */     GIR_EraseRootFromParent_Done,
     /* 1389534 */   // Label 19695: @1389534
     /* 1389534 */   GIM_Try, /*On fail goto*//*Label 19696*/ GIMT_Encode4(1389618), // Rule ID 22824 //
     /* 1389539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1389542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1389556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389592 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1389595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389617 */     // GIR_Coverage, 22824,
     /* 1389617 */     GIR_EraseRootFromParent_Done,
     /* 1389618 */   // Label 19696: @1389618
     /* 1389618 */   GIM_Try, /*On fail goto*//*Label 19697*/ GIMT_Encode4(1389702), // Rule ID 22827 //
     /* 1389623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1389626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1389640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389676 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1389679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389701 */     // GIR_Coverage, 22827,
     /* 1389701 */     GIR_EraseRootFromParent_Done,
     /* 1389702 */   // Label 19697: @1389702
     /* 1389702 */   GIM_Try, /*On fail goto*//*Label 19698*/ GIMT_Encode4(1389786), // Rule ID 22828 //
     /* 1389707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1389710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1389724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389760 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1389763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389785 */     // GIR_Coverage, 22828,
     /* 1389785 */     GIR_EraseRootFromParent_Done,
     /* 1389786 */   // Label 19698: @1389786
     /* 1389786 */   GIM_Try, /*On fail goto*//*Label 19699*/ GIMT_Encode4(1389870), // Rule ID 22831 //
     /* 1389791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1389794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1389808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1389814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389844 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1389847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389869 */     // GIR_Coverage, 22831,
     /* 1389869 */     GIR_EraseRootFromParent_Done,
     /* 1389870 */   // Label 19699: @1389870
     /* 1389870 */   GIM_Try, /*On fail goto*//*Label 19700*/ GIMT_Encode4(1389954), // Rule ID 22832 //
     /* 1389875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1389878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1389892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1389898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389928 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1389931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389953 */     // GIR_Coverage, 22832,
     /* 1389953 */     GIR_EraseRootFromParent_Done,
     /* 1389954 */   // Label 19700: @1389954
     /* 1389954 */   GIM_Try, /*On fail goto*//*Label 19701*/ GIMT_Encode4(1390038), // Rule ID 22835 //
     /* 1389959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1389962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1389967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1389970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1389973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1389976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1389979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390012 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1390015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390037 */     // GIR_Coverage, 22835,
     /* 1390037 */     GIR_EraseRootFromParent_Done,
     /* 1390038 */   // Label 19701: @1390038
     /* 1390038 */   GIM_Try, /*On fail goto*//*Label 19702*/ GIMT_Encode4(1390122), // Rule ID 22836 //
     /* 1390043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1390046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1390060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390096 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1390099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390121 */     // GIR_Coverage, 22836,
     /* 1390121 */     GIR_EraseRootFromParent_Done,
     /* 1390122 */   // Label 19702: @1390122
     /* 1390122 */   GIM_Try, /*On fail goto*//*Label 19703*/ GIMT_Encode4(1390206), // Rule ID 22839 //
     /* 1390127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1390130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1390144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390180 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1390183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390205 */     // GIR_Coverage, 22839,
     /* 1390205 */     GIR_EraseRootFromParent_Done,
     /* 1390206 */   // Label 19703: @1390206
     /* 1390206 */   GIM_Try, /*On fail goto*//*Label 19704*/ GIMT_Encode4(1390290), // Rule ID 22840 //
     /* 1390211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1390214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1390228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390264 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1390267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390289 */     // GIR_Coverage, 22840,
     /* 1390289 */     GIR_EraseRootFromParent_Done,
     /* 1390290 */   // Label 19704: @1390290
     /* 1390290 */   GIM_Try, /*On fail goto*//*Label 19705*/ GIMT_Encode4(1390374), // Rule ID 22843 //
     /* 1390295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1390298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1390312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1390318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390348 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1390351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390373 */     // GIR_Coverage, 22843,
     /* 1390373 */     GIR_EraseRootFromParent_Done,
     /* 1390374 */   // Label 19705: @1390374
     /* 1390374 */   GIM_Try, /*On fail goto*//*Label 19706*/ GIMT_Encode4(1390458), // Rule ID 22844 //
     /* 1390379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1390382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1390396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1390402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390432 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1390435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390457 */     // GIR_Coverage, 22844,
     /* 1390457 */     GIR_EraseRootFromParent_Done,
     /* 1390458 */   // Label 19706: @1390458
     /* 1390458 */   GIM_Try, /*On fail goto*//*Label 19707*/ GIMT_Encode4(1390542), // Rule ID 22847 //
     /* 1390463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1390466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1390480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390516 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1390519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390541 */     // GIR_Coverage, 22847,
     /* 1390541 */     GIR_EraseRootFromParent_Done,
     /* 1390542 */   // Label 19707: @1390542
     /* 1390542 */   GIM_Try, /*On fail goto*//*Label 19708*/ GIMT_Encode4(1390626), // Rule ID 22848 //
     /* 1390547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1390550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1390564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390600 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1390603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390625 */     // GIR_Coverage, 22848,
     /* 1390625 */     GIR_EraseRootFromParent_Done,
     /* 1390626 */   // Label 19708: @1390626
     /* 1390626 */   GIM_Try, /*On fail goto*//*Label 19709*/ GIMT_Encode4(1390710), // Rule ID 22851 //
     /* 1390631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1390634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1390648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390684 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1390687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390709 */     // GIR_Coverage, 22851,
     /* 1390709 */     GIR_EraseRootFromParent_Done,
     /* 1390710 */   // Label 19709: @1390710
     /* 1390710 */   GIM_Try, /*On fail goto*//*Label 19710*/ GIMT_Encode4(1390794), // Rule ID 22852 //
     /* 1390715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1390718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1390732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390768 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1390771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390793 */     // GIR_Coverage, 22852,
     /* 1390793 */     GIR_EraseRootFromParent_Done,
     /* 1390794 */   // Label 19710: @1390794
     /* 1390794 */   GIM_Try, /*On fail goto*//*Label 19711*/ GIMT_Encode4(1390878), // Rule ID 22855 //
     /* 1390799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1390802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1390816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390852 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1390855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390877 */     // GIR_Coverage, 22855,
     /* 1390877 */     GIR_EraseRootFromParent_Done,
     /* 1390878 */   // Label 19711: @1390878
     /* 1390878 */   GIM_Try, /*On fail goto*//*Label 19712*/ GIMT_Encode4(1390962), // Rule ID 22856 //
     /* 1390883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1390886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1390891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1390900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390936 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1390939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390961 */     // GIR_Coverage, 22856,
     /* 1390961 */     GIR_EraseRootFromParent_Done,
     /* 1390962 */   // Label 19712: @1390962
     /* 1390962 */   GIM_Try, /*On fail goto*//*Label 19713*/ GIMT_Encode4(1391046), // Rule ID 22859 //
     /* 1390967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1390970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1390975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1390984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391020 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1391023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391045 */     // GIR_Coverage, 22859,
     /* 1391045 */     GIR_EraseRootFromParent_Done,
     /* 1391046 */   // Label 19713: @1391046
     /* 1391046 */   GIM_Try, /*On fail goto*//*Label 19714*/ GIMT_Encode4(1391130), // Rule ID 22860 //
     /* 1391051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1391054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1391059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1391068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391104 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1391107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391129 */     // GIR_Coverage, 22860,
     /* 1391129 */     GIR_EraseRootFromParent_Done,
     /* 1391130 */   // Label 19714: @1391130
     /* 1391130 */   GIM_Try, /*On fail goto*//*Label 19715*/ GIMT_Encode4(1391214), // Rule ID 22863 //
     /* 1391135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1391138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1391143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1391152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391188 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1391191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391213 */     // GIR_Coverage, 22863,
     /* 1391213 */     GIR_EraseRootFromParent_Done,
     /* 1391214 */   // Label 19715: @1391214
     /* 1391214 */   GIM_Try, /*On fail goto*//*Label 19716*/ GIMT_Encode4(1391298), // Rule ID 22864 //
     /* 1391219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1391222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1391227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1391236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391272 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1391275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391297 */     // GIR_Coverage, 22864,
     /* 1391297 */     GIR_EraseRootFromParent_Done,
     /* 1391298 */   // Label 19716: @1391298
     /* 1391298 */   GIM_Try, /*On fail goto*//*Label 19717*/ GIMT_Encode4(1391382), // Rule ID 22867 //
     /* 1391303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1391306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1391311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1391320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391356 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1391359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391381 */     // GIR_Coverage, 22867,
     /* 1391381 */     GIR_EraseRootFromParent_Done,
     /* 1391382 */   // Label 19717: @1391382
     /* 1391382 */   GIM_Try, /*On fail goto*//*Label 19718*/ GIMT_Encode4(1391466), // Rule ID 22868 //
     /* 1391387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1391390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1391395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1391404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391440 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1391443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391465 */     // GIR_Coverage, 22868,
     /* 1391465 */     GIR_EraseRootFromParent_Done,
     /* 1391466 */   // Label 19718: @1391466
     /* 1391466 */   GIM_Try, /*On fail goto*//*Label 19719*/ GIMT_Encode4(1391550), // Rule ID 22871 //
     /* 1391471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1391474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1391479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1391488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391524 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1391527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391549 */     // GIR_Coverage, 22871,
     /* 1391549 */     GIR_EraseRootFromParent_Done,
     /* 1391550 */   // Label 19719: @1391550
     /* 1391550 */   GIM_Try, /*On fail goto*//*Label 19720*/ GIMT_Encode4(1391634), // Rule ID 22872 //
     /* 1391555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1391558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1391563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1391572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391608 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1391611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391633 */     // GIR_Coverage, 22872,
     /* 1391633 */     GIR_EraseRootFromParent_Done,
     /* 1391634 */   // Label 19720: @1391634
     /* 1391634 */   GIM_Try, /*On fail goto*//*Label 19721*/ GIMT_Encode4(1391718), // Rule ID 22875 //
     /* 1391639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1391642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1391647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1391656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391692 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1391695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391717 */     // GIR_Coverage, 22875,
     /* 1391717 */     GIR_EraseRootFromParent_Done,
     /* 1391718 */   // Label 19721: @1391718
     /* 1391718 */   GIM_Try, /*On fail goto*//*Label 19722*/ GIMT_Encode4(1391802), // Rule ID 22876 //
     /* 1391723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1391726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1391731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1391740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1391743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391776 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1391779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391801 */     // GIR_Coverage, 22876,
     /* 1391801 */     GIR_EraseRootFromParent_Done,
     /* 1391802 */   // Label 19722: @1391802
     /* 1391802 */   GIM_Try, /*On fail goto*//*Label 19723*/ GIMT_Encode4(1391886), // Rule ID 22879 //
     /* 1391807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1391810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1391815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1391824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391860 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1391863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1391881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391885 */     // GIR_Coverage, 22879,
     /* 1391885 */     GIR_EraseRootFromParent_Done,
     /* 1391886 */   // Label 19723: @1391886
     /* 1391886 */   GIM_Try, /*On fail goto*//*Label 19724*/ GIMT_Encode4(1391970), // Rule ID 22880 //
     /* 1391891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1391894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1391899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1391908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391944 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1391947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1391965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391969 */     // GIR_Coverage, 22880,
     /* 1391969 */     GIR_EraseRootFromParent_Done,
     /* 1391970 */   // Label 19724: @1391970
     /* 1391970 */   GIM_Try, /*On fail goto*//*Label 19725*/ GIMT_Encode4(1392054), // Rule ID 22883 //
     /* 1391975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1391978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1391983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1391992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392028 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1392031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392053 */     // GIR_Coverage, 22883,
     /* 1392053 */     GIR_EraseRootFromParent_Done,
     /* 1392054 */   // Label 19725: @1392054
     /* 1392054 */   GIM_Try, /*On fail goto*//*Label 19726*/ GIMT_Encode4(1392138), // Rule ID 22884 //
     /* 1392059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1392062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1392076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392112 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1392115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392137 */     // GIR_Coverage, 22884,
     /* 1392137 */     GIR_EraseRootFromParent_Done,
     /* 1392138 */   // Label 19726: @1392138
     /* 1392138 */   GIM_Try, /*On fail goto*//*Label 19727*/ GIMT_Encode4(1392222), // Rule ID 22887 //
     /* 1392143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1392146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1392160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1392166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392196 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1392199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392221 */     // GIR_Coverage, 22887,
     /* 1392221 */     GIR_EraseRootFromParent_Done,
     /* 1392222 */   // Label 19727: @1392222
     /* 1392222 */   GIM_Try, /*On fail goto*//*Label 19728*/ GIMT_Encode4(1392306), // Rule ID 22888 //
     /* 1392227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1392230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1392244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1392250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392280 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1392283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392305 */     // GIR_Coverage, 22888,
     /* 1392305 */     GIR_EraseRootFromParent_Done,
     /* 1392306 */   // Label 19728: @1392306
     /* 1392306 */   GIM_Try, /*On fail goto*//*Label 19729*/ GIMT_Encode4(1392390), // Rule ID 22891 //
     /* 1392311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1392314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1392328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1392334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392364 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1392367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392389 */     // GIR_Coverage, 22891,
     /* 1392389 */     GIR_EraseRootFromParent_Done,
     /* 1392390 */   // Label 19729: @1392390
     /* 1392390 */   GIM_Try, /*On fail goto*//*Label 19730*/ GIMT_Encode4(1392474), // Rule ID 22892 //
     /* 1392395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1392398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1392412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1392418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392448 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1392451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392473 */     // GIR_Coverage, 22892,
     /* 1392473 */     GIR_EraseRootFromParent_Done,
     /* 1392474 */   // Label 19730: @1392474
     /* 1392474 */   GIM_Try, /*On fail goto*//*Label 19731*/ GIMT_Encode4(1392558), // Rule ID 22895 //
     /* 1392479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1392482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1392496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392532 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1392535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392557 */     // GIR_Coverage, 22895,
     /* 1392557 */     GIR_EraseRootFromParent_Done,
     /* 1392558 */   // Label 19731: @1392558
     /* 1392558 */   GIM_Try, /*On fail goto*//*Label 19732*/ GIMT_Encode4(1392642), // Rule ID 22896 //
     /* 1392563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1392566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1392580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392616 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1392619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392641 */     // GIR_Coverage, 22896,
     /* 1392641 */     GIR_EraseRootFromParent_Done,
     /* 1392642 */   // Label 19732: @1392642
     /* 1392642 */   GIM_Try, /*On fail goto*//*Label 19733*/ GIMT_Encode4(1392726), // Rule ID 22899 //
     /* 1392647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1392650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1392664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392700 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1392703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392725 */     // GIR_Coverage, 22899,
     /* 1392725 */     GIR_EraseRootFromParent_Done,
     /* 1392726 */   // Label 19733: @1392726
     /* 1392726 */   GIM_Try, /*On fail goto*//*Label 19734*/ GIMT_Encode4(1392810), // Rule ID 22900 //
     /* 1392731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1392734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1392748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392784 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1392787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392809 */     // GIR_Coverage, 22900,
     /* 1392809 */     GIR_EraseRootFromParent_Done,
     /* 1392810 */   // Label 19734: @1392810
     /* 1392810 */   GIM_Try, /*On fail goto*//*Label 19735*/ GIMT_Encode4(1392894), // Rule ID 22903 //
     /* 1392815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1392818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1392832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1392838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392868 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1392871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392893 */     // GIR_Coverage, 22903,
     /* 1392893 */     GIR_EraseRootFromParent_Done,
     /* 1392894 */   // Label 19735: @1392894
     /* 1392894 */   GIM_Try, /*On fail goto*//*Label 19736*/ GIMT_Encode4(1392978), // Rule ID 22904 //
     /* 1392899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1392902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1392916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1392922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392952 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1392955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392977 */     // GIR_Coverage, 22904,
     /* 1392977 */     GIR_EraseRootFromParent_Done,
     /* 1392978 */   // Label 19736: @1392978
     /* 1392978 */   GIM_Try, /*On fail goto*//*Label 19737*/ GIMT_Encode4(1393062), // Rule ID 22907 //
     /* 1392983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1392986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1392991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1393000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1393006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393036 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1393039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393061 */     // GIR_Coverage, 22907,
     /* 1393061 */     GIR_EraseRootFromParent_Done,
     /* 1393062 */   // Label 19737: @1393062
     /* 1393062 */   GIM_Try, /*On fail goto*//*Label 19738*/ GIMT_Encode4(1393146), // Rule ID 22908 //
     /* 1393067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1393070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1393084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1393090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393120 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1393123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393145 */     // GIR_Coverage, 22908,
     /* 1393145 */     GIR_EraseRootFromParent_Done,
     /* 1393146 */   // Label 19738: @1393146
     /* 1393146 */   GIM_Try, /*On fail goto*//*Label 19739*/ GIMT_Encode4(1393230), // Rule ID 22911 //
     /* 1393151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1393154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1393168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393204 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1393207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393229 */     // GIR_Coverage, 22911,
     /* 1393229 */     GIR_EraseRootFromParent_Done,
     /* 1393230 */   // Label 19739: @1393230
     /* 1393230 */   GIM_Try, /*On fail goto*//*Label 19740*/ GIMT_Encode4(1393314), // Rule ID 22912 //
     /* 1393235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1393238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1393252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393288 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1393291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393313 */     // GIR_Coverage, 22912,
     /* 1393313 */     GIR_EraseRootFromParent_Done,
     /* 1393314 */   // Label 19740: @1393314
     /* 1393314 */   GIM_Try, /*On fail goto*//*Label 19741*/ GIMT_Encode4(1393398), // Rule ID 22915 //
     /* 1393319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1393322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1393336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393372 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1393375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393397 */     // GIR_Coverage, 22915,
     /* 1393397 */     GIR_EraseRootFromParent_Done,
     /* 1393398 */   // Label 19741: @1393398
     /* 1393398 */   GIM_Try, /*On fail goto*//*Label 19742*/ GIMT_Encode4(1393482), // Rule ID 22916 //
     /* 1393403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1393406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1393411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1393420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1393423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393456 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1393459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393481 */     // GIR_Coverage, 22916,
     /* 1393481 */     GIR_EraseRootFromParent_Done,
     /* 1393482 */   // Label 19742: @1393482
     /* 1393482 */   GIM_Reject,
     /* 1393483 */ // Label 13762: @1393483
     /* 1393483 */ GIM_Try, /*On fail goto*//*Label 19743*/ GIMT_Encode4(2002640),
     /* 1393488 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/8,
     /* 1393491 */   GIM_Try, /*On fail goto*//*Label 19744*/ GIMT_Encode4(1393577), // Rule ID 7209 //
     /* 1393496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1393504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1393507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1393510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1393513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1393516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393534 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1393538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393542 */     // MIs[0] policy
     /* 1393542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393552 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1393552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1393555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393576 */     // GIR_Coverage, 7209,
     /* 1393576 */     GIR_EraseRootFromParent_Done,
     /* 1393577 */   // Label 19744: @1393577
     /* 1393577 */   GIM_Try, /*On fail goto*//*Label 19745*/ GIMT_Encode4(1393663), // Rule ID 7210 //
     /* 1393582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1393590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1393593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1393596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1393599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1393602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1393605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393620 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1393624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393628 */     // MIs[0] policy
     /* 1393628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393638 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1393638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1393641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393662 */     // GIR_Coverage, 7210,
     /* 1393662 */     GIR_EraseRootFromParent_Done,
     /* 1393663 */   // Label 19745: @1393663
     /* 1393663 */   GIM_Try, /*On fail goto*//*Label 19746*/ GIMT_Encode4(1393749), // Rule ID 7213 //
     /* 1393668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1393676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1393679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1393682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1393685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1393688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1393691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393706 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1393710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393714 */     // MIs[0] policy
     /* 1393714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393724 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1393724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1393727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393748 */     // GIR_Coverage, 7213,
     /* 1393748 */     GIR_EraseRootFromParent_Done,
     /* 1393749 */   // Label 19746: @1393749
     /* 1393749 */   GIM_Try, /*On fail goto*//*Label 19747*/ GIMT_Encode4(1393835), // Rule ID 7214 //
     /* 1393754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1393762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1393765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1393768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1393771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1393774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1393777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393792 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1393796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393800 */     // MIs[0] policy
     /* 1393800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393810 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1393810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1393813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393834 */     // GIR_Coverage, 7214,
     /* 1393834 */     GIR_EraseRootFromParent_Done,
     /* 1393835 */   // Label 19747: @1393835
     /* 1393835 */   GIM_Try, /*On fail goto*//*Label 19748*/ GIMT_Encode4(1393921), // Rule ID 7217 //
     /* 1393840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1393848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1393851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1393854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1393857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1393860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393878 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1393882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393886 */     // MIs[0] policy
     /* 1393886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393896 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1393896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1393899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393920 */     // GIR_Coverage, 7217,
     /* 1393920 */     GIR_EraseRootFromParent_Done,
     /* 1393921 */   // Label 19748: @1393921
     /* 1393921 */   GIM_Try, /*On fail goto*//*Label 19749*/ GIMT_Encode4(1394007), // Rule ID 7218 //
     /* 1393926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1393934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1393937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1393940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1393943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1393946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393964 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1393968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393972 */     // MIs[0] policy
     /* 1393972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393982 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1393982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1393985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394006 */     // GIR_Coverage, 7218,
     /* 1394006 */     GIR_EraseRootFromParent_Done,
     /* 1394007 */   // Label 19749: @1394007
     /* 1394007 */   GIM_Try, /*On fail goto*//*Label 19750*/ GIMT_Encode4(1394093), // Rule ID 7221 //
     /* 1394012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1394020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1394023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1394026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1394029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1394032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394050 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1394054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394058 */     // MIs[0] policy
     /* 1394058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394068 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1394071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394092 */     // GIR_Coverage, 7221,
     /* 1394092 */     GIR_EraseRootFromParent_Done,
     /* 1394093 */   // Label 19750: @1394093
     /* 1394093 */   GIM_Try, /*On fail goto*//*Label 19751*/ GIMT_Encode4(1394179), // Rule ID 7222 //
     /* 1394098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1394106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1394109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1394112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1394115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1394118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394136 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1394140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394144 */     // MIs[0] policy
     /* 1394144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394154 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1394157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394178 */     // GIR_Coverage, 7222,
     /* 1394178 */     GIR_EraseRootFromParent_Done,
     /* 1394179 */   // Label 19751: @1394179
     /* 1394179 */   GIM_Try, /*On fail goto*//*Label 19752*/ GIMT_Encode4(1394265), // Rule ID 7225 //
     /* 1394184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1394192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1394195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1394198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1394201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1394204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394222 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1394226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394230 */     // MIs[0] policy
     /* 1394230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394240 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1394243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394264 */     // GIR_Coverage, 7225,
     /* 1394264 */     GIR_EraseRootFromParent_Done,
     /* 1394265 */   // Label 19752: @1394265
     /* 1394265 */   GIM_Try, /*On fail goto*//*Label 19753*/ GIMT_Encode4(1394351), // Rule ID 7226 //
     /* 1394270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1394278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1394281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1394284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1394287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1394290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394308 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1394312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394316 */     // MIs[0] policy
     /* 1394316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394326 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1394329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394350 */     // GIR_Coverage, 7226,
     /* 1394350 */     GIR_EraseRootFromParent_Done,
     /* 1394351 */   // Label 19753: @1394351
     /* 1394351 */   GIM_Try, /*On fail goto*//*Label 19754*/ GIMT_Encode4(1394437), // Rule ID 7229 //
     /* 1394356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1394364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1394367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1394370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1394373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1394376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394394 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1394398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394402 */     // MIs[0] policy
     /* 1394402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394412 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1394415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394436 */     // GIR_Coverage, 7229,
     /* 1394436 */     GIR_EraseRootFromParent_Done,
     /* 1394437 */   // Label 19754: @1394437
     /* 1394437 */   GIM_Try, /*On fail goto*//*Label 19755*/ GIMT_Encode4(1394523), // Rule ID 7230 //
     /* 1394442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1394450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1394453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1394456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1394459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1394462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394480 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1394484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394488 */     // MIs[0] policy
     /* 1394488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394498 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1394501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394522 */     // GIR_Coverage, 7230,
     /* 1394522 */     GIR_EraseRootFromParent_Done,
     /* 1394523 */   // Label 19755: @1394523
     /* 1394523 */   GIM_Try, /*On fail goto*//*Label 19756*/ GIMT_Encode4(1394609), // Rule ID 7233 //
     /* 1394528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1394536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1394539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1394542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1394545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1394548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394566 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1394570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394574 */     // MIs[0] policy
     /* 1394574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394584 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1394587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394608 */     // GIR_Coverage, 7233,
     /* 1394608 */     GIR_EraseRootFromParent_Done,
     /* 1394609 */   // Label 19756: @1394609
     /* 1394609 */   GIM_Try, /*On fail goto*//*Label 19757*/ GIMT_Encode4(1394695), // Rule ID 7234 //
     /* 1394614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1394622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1394625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1394628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1394631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1394634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394652 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1394656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394660 */     // MIs[0] policy
     /* 1394660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394670 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1394673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394694 */     // GIR_Coverage, 7234,
     /* 1394694 */     GIR_EraseRootFromParent_Done,
     /* 1394695 */   // Label 19757: @1394695
     /* 1394695 */   GIM_Try, /*On fail goto*//*Label 19758*/ GIMT_Encode4(1394781), // Rule ID 7237 //
     /* 1394700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1394708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1394717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1394720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394738 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1394742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394746 */     // MIs[0] policy
     /* 1394746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394756 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1394759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394780 */     // GIR_Coverage, 7237,
     /* 1394780 */     GIR_EraseRootFromParent_Done,
     /* 1394781 */   // Label 19758: @1394781
     /* 1394781 */   GIM_Try, /*On fail goto*//*Label 19759*/ GIMT_Encode4(1394867), // Rule ID 7238 //
     /* 1394786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1394794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1394803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1394806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394824 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1394828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394832 */     // MIs[0] policy
     /* 1394832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1394845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394866 */     // GIR_Coverage, 7238,
     /* 1394866 */     GIR_EraseRootFromParent_Done,
     /* 1394867 */   // Label 19759: @1394867
     /* 1394867 */   GIM_Try, /*On fail goto*//*Label 19760*/ GIMT_Encode4(1394953), // Rule ID 7241 //
     /* 1394872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1394880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1394889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1394892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394910 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1394914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394918 */     // MIs[0] policy
     /* 1394918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1394931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394952 */     // GIR_Coverage, 7241,
     /* 1394952 */     GIR_EraseRootFromParent_Done,
     /* 1394953 */   // Label 19760: @1394953
     /* 1394953 */   GIM_Try, /*On fail goto*//*Label 19761*/ GIMT_Encode4(1395039), // Rule ID 7242 //
     /* 1394958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1394966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1394975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1394978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394996 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395004 */     // MIs[0] policy
     /* 1395004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395014 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1395017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395038 */     // GIR_Coverage, 7242,
     /* 1395038 */     GIR_EraseRootFromParent_Done,
     /* 1395039 */   // Label 19761: @1395039
     /* 1395039 */   GIM_Try, /*On fail goto*//*Label 19762*/ GIMT_Encode4(1395125), // Rule ID 7245 //
     /* 1395044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1395047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1395055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1395058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1395061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395082 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395090 */     // MIs[0] policy
     /* 1395090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395100 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1395103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1395121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395124 */     // GIR_Coverage, 7245,
     /* 1395124 */     GIR_EraseRootFromParent_Done,
     /* 1395125 */   // Label 19762: @1395125
     /* 1395125 */   GIM_Try, /*On fail goto*//*Label 19763*/ GIMT_Encode4(1395211), // Rule ID 7246 //
     /* 1395130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1395133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1395141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1395144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1395147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395168 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395176 */     // MIs[0] policy
     /* 1395176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395186 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1395189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1395207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395210 */     // GIR_Coverage, 7246,
     /* 1395210 */     GIR_EraseRootFromParent_Done,
     /* 1395211 */   // Label 19763: @1395211
     /* 1395211 */   GIM_Try, /*On fail goto*//*Label 19764*/ GIMT_Encode4(1395297), // Rule ID 7249 //
     /* 1395216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1395227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1395230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1395233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1395239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1395246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395254 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395262 */     // MIs[0] policy
     /* 1395262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395272 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1395275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395296 */     // GIR_Coverage, 7249,
     /* 1395296 */     GIR_EraseRootFromParent_Done,
     /* 1395297 */   // Label 19764: @1395297
     /* 1395297 */   GIM_Try, /*On fail goto*//*Label 19765*/ GIMT_Encode4(1395383), // Rule ID 7250 //
     /* 1395302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1395313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1395316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1395319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1395325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1395332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395340 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395348 */     // MIs[0] policy
     /* 1395348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395358 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1395361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395382 */     // GIR_Coverage, 7250,
     /* 1395382 */     GIR_EraseRootFromParent_Done,
     /* 1395383 */   // Label 19765: @1395383
     /* 1395383 */   GIM_Try, /*On fail goto*//*Label 19766*/ GIMT_Encode4(1395469), // Rule ID 7253 //
     /* 1395388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1395399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1395402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1395405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1395411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1395418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395426 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395434 */     // MIs[0] policy
     /* 1395434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395444 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1395447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395468 */     // GIR_Coverage, 7253,
     /* 1395468 */     GIR_EraseRootFromParent_Done,
     /* 1395469 */   // Label 19766: @1395469
     /* 1395469 */   GIM_Try, /*On fail goto*//*Label 19767*/ GIMT_Encode4(1395555), // Rule ID 7254 //
     /* 1395474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1395485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1395488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1395491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1395497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1395504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395512 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395520 */     // MIs[0] policy
     /* 1395520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395530 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1395533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395554 */     // GIR_Coverage, 7254,
     /* 1395554 */     GIR_EraseRootFromParent_Done,
     /* 1395555 */   // Label 19767: @1395555
     /* 1395555 */   GIM_Try, /*On fail goto*//*Label 19768*/ GIMT_Encode4(1395641), // Rule ID 7257 //
     /* 1395560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1395571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1395574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1395577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1395583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1395590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395598 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395606 */     // MIs[0] policy
     /* 1395606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395616 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1395619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395640 */     // GIR_Coverage, 7257,
     /* 1395640 */     GIR_EraseRootFromParent_Done,
     /* 1395641 */   // Label 19768: @1395641
     /* 1395641 */   GIM_Try, /*On fail goto*//*Label 19769*/ GIMT_Encode4(1395727), // Rule ID 7258 //
     /* 1395646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1395657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1395660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1395663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1395669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1395676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395684 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395692 */     // MIs[0] policy
     /* 1395692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395702 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1395705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395726 */     // GIR_Coverage, 7258,
     /* 1395726 */     GIR_EraseRootFromParent_Done,
     /* 1395727 */   // Label 19769: @1395727
     /* 1395727 */   GIM_Try, /*On fail goto*//*Label 19770*/ GIMT_Encode4(1395813), // Rule ID 7261 //
     /* 1395732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1395743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1395746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1395749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1395762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395770 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395778 */     // MIs[0] policy
     /* 1395778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395788 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1395791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395812 */     // GIR_Coverage, 7261,
     /* 1395812 */     GIR_EraseRootFromParent_Done,
     /* 1395813 */   // Label 19770: @1395813
     /* 1395813 */   GIM_Try, /*On fail goto*//*Label 19771*/ GIMT_Encode4(1395899), // Rule ID 7262 //
     /* 1395818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1395829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1395832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1395835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1395848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1395856 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395864 */     // MIs[0] policy
     /* 1395864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395874 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1395877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395898 */     // GIR_Coverage, 7262,
     /* 1395898 */     GIR_EraseRootFromParent_Done,
     /* 1395899 */   // Label 19771: @1395899
     /* 1395899 */   GIM_Try, /*On fail goto*//*Label 19772*/ GIMT_Encode4(1395985), // Rule ID 7265 //
     /* 1395904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1395915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1395918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1395921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1395927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1395934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1395942 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1395946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395950 */     // MIs[0] policy
     /* 1395950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395960 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1395963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395984 */     // GIR_Coverage, 7265,
     /* 1395984 */     GIR_EraseRootFromParent_Done,
     /* 1395985 */   // Label 19772: @1395985
     /* 1395985 */   GIM_Try, /*On fail goto*//*Label 19773*/ GIMT_Encode4(1396071), // Rule ID 7266 //
     /* 1395990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1395998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1396001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1396004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1396007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1396020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396028 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396036 */     // MIs[0] policy
     /* 1396036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396046 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1396049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396070 */     // GIR_Coverage, 7266,
     /* 1396070 */     GIR_EraseRootFromParent_Done,
     /* 1396071 */   // Label 19773: @1396071
     /* 1396071 */   GIM_Try, /*On fail goto*//*Label 19774*/ GIMT_Encode4(1396157), // Rule ID 7269 //
     /* 1396076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1396087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1396090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1396093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1396099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1396106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396114 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396122 */     // MIs[0] policy
     /* 1396122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396132 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1396135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396156 */     // GIR_Coverage, 7269,
     /* 1396156 */     GIR_EraseRootFromParent_Done,
     /* 1396157 */   // Label 19774: @1396157
     /* 1396157 */   GIM_Try, /*On fail goto*//*Label 19775*/ GIMT_Encode4(1396243), // Rule ID 7270 //
     /* 1396162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1396173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1396176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1396179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1396185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1396192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396200 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396208 */     // MIs[0] policy
     /* 1396208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396218 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1396221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396242 */     // GIR_Coverage, 7270,
     /* 1396242 */     GIR_EraseRootFromParent_Done,
     /* 1396243 */   // Label 19775: @1396243
     /* 1396243 */   GIM_Try, /*On fail goto*//*Label 19776*/ GIMT_Encode4(1396329), // Rule ID 7273 //
     /* 1396248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1396259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1396262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1396265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1396271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1396278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396286 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396294 */     // MIs[0] policy
     /* 1396294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396304 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1396307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396328 */     // GIR_Coverage, 7273,
     /* 1396328 */     GIR_EraseRootFromParent_Done,
     /* 1396329 */   // Label 19776: @1396329
     /* 1396329 */   GIM_Try, /*On fail goto*//*Label 19777*/ GIMT_Encode4(1396415), // Rule ID 7274 //
     /* 1396334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1396345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1396348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1396351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1396357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1396364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396372 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396380 */     // MIs[0] policy
     /* 1396380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396390 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1396393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396414 */     // GIR_Coverage, 7274,
     /* 1396414 */     GIR_EraseRootFromParent_Done,
     /* 1396415 */   // Label 19777: @1396415
     /* 1396415 */   GIM_Try, /*On fail goto*//*Label 19778*/ GIMT_Encode4(1396501), // Rule ID 7277 //
     /* 1396420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1396431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1396434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1396437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1396443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1396450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396458 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396466 */     // MIs[0] policy
     /* 1396466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396476 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1396479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396500 */     // GIR_Coverage, 7277,
     /* 1396500 */     GIR_EraseRootFromParent_Done,
     /* 1396501 */   // Label 19778: @1396501
     /* 1396501 */   GIM_Try, /*On fail goto*//*Label 19779*/ GIMT_Encode4(1396587), // Rule ID 7278 //
     /* 1396506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1396517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1396520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1396523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1396529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1396536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396544 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396552 */     // MIs[0] policy
     /* 1396552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396562 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1396565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396586 */     // GIR_Coverage, 7278,
     /* 1396586 */     GIR_EraseRootFromParent_Done,
     /* 1396587 */   // Label 19779: @1396587
     /* 1396587 */   GIM_Try, /*On fail goto*//*Label 19780*/ GIMT_Encode4(1396673), // Rule ID 7281 //
     /* 1396592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1396603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1396606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1396609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1396622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396630 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396638 */     // MIs[0] policy
     /* 1396638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396648 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1396651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396672 */     // GIR_Coverage, 7281,
     /* 1396672 */     GIR_EraseRootFromParent_Done,
     /* 1396673 */   // Label 19780: @1396673
     /* 1396673 */   GIM_Try, /*On fail goto*//*Label 19781*/ GIMT_Encode4(1396759), // Rule ID 7282 //
     /* 1396678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1396689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1396692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1396695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1396708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396716 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396724 */     // MIs[0] policy
     /* 1396724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396734 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1396737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396758 */     // GIR_Coverage, 7282,
     /* 1396758 */     GIR_EraseRootFromParent_Done,
     /* 1396759 */   // Label 19781: @1396759
     /* 1396759 */   GIM_Try, /*On fail goto*//*Label 19782*/ GIMT_Encode4(1396845), // Rule ID 7285 //
     /* 1396764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1396767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1396775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1396778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1396781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1396787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1396794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396802 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396810 */     // MIs[0] policy
     /* 1396810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396820 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1396823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396844 */     // GIR_Coverage, 7285,
     /* 1396844 */     GIR_EraseRootFromParent_Done,
     /* 1396845 */   // Label 19782: @1396845
     /* 1396845 */   GIM_Try, /*On fail goto*//*Label 19783*/ GIMT_Encode4(1396931), // Rule ID 7286 //
     /* 1396850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1396853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1396861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1396864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1396867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1396873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1396880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396888 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396896 */     // MIs[0] policy
     /* 1396896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396906 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1396909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396930 */     // GIR_Coverage, 7286,
     /* 1396930 */     GIR_EraseRootFromParent_Done,
     /* 1396931 */   // Label 19783: @1396931
     /* 1396931 */   GIM_Try, /*On fail goto*//*Label 19784*/ GIMT_Encode4(1397017), // Rule ID 7289 //
     /* 1396936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1396939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1396944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1396947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1396950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1396953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1396959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1396966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396974 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1396978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396982 */     // MIs[0] policy
     /* 1396982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396992 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1396995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1397013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397016 */     // GIR_Coverage, 7289,
     /* 1397016 */     GIR_EraseRootFromParent_Done,
     /* 1397017 */   // Label 19784: @1397017
     /* 1397017 */   GIM_Try, /*On fail goto*//*Label 19785*/ GIMT_Encode4(1397103), // Rule ID 7290 //
     /* 1397022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1397025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1397033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1397036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1397039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1397045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397060 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397068 */     // MIs[0] policy
     /* 1397068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397078 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1397081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1397099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397102 */     // GIR_Coverage, 7290,
     /* 1397102 */     GIR_EraseRootFromParent_Done,
     /* 1397103 */   // Label 19785: @1397103
     /* 1397103 */   GIM_Try, /*On fail goto*//*Label 19786*/ GIMT_Encode4(1397189), // Rule ID 7293 //
     /* 1397108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1397111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1397119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1397122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1397125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397146 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397154 */     // MIs[0] policy
     /* 1397154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397164 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1397167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1397185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397188 */     // GIR_Coverage, 7293,
     /* 1397188 */     GIR_EraseRootFromParent_Done,
     /* 1397189 */   // Label 19786: @1397189
     /* 1397189 */   GIM_Try, /*On fail goto*//*Label 19787*/ GIMT_Encode4(1397275), // Rule ID 7294 //
     /* 1397194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1397197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1397202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1397205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1397208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1397211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397232 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1397236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397240 */     // MIs[0] policy
     /* 1397240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397250 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1397253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1397271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397274 */     // GIR_Coverage, 7294,
     /* 1397274 */     GIR_EraseRootFromParent_Done,
     /* 1397275 */   // Label 19787: @1397275
     /* 1397275 */   GIM_Try, /*On fail goto*//*Label 19788*/ GIMT_Encode4(1397363), // Rule ID 2607 //
     /* 1397280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1397283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1397288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1397291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1397294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1397297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1397300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397319 */     // MIs[0] Operand 5
     /* 1397319 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397330 */     // MIs[0] policy
     /* 1397330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397340 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1397343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1397349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1397351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397362 */     // GIR_Coverage, 2607,
     /* 1397362 */     GIR_EraseRootFromParent_Done,
     /* 1397363 */   // Label 19788: @1397363
     /* 1397363 */   GIM_Try, /*On fail goto*//*Label 19789*/ GIMT_Encode4(1397451), // Rule ID 2608 //
     /* 1397368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1397371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1397376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1397379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1397382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1397385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1397388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397407 */     // MIs[0] Operand 5
     /* 1397407 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397418 */     // MIs[0] policy
     /* 1397418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397428 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1397431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1397437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1397439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397450 */     // GIR_Coverage, 2608,
     /* 1397450 */     GIR_EraseRootFromParent_Done,
     /* 1397451 */   // Label 19789: @1397451
     /* 1397451 */   GIM_Try, /*On fail goto*//*Label 19790*/ GIMT_Encode4(1397539), // Rule ID 20491 //
     /* 1397456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1397459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1397464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1397467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1397470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1397473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1397476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397495 */     // MIs[0] Operand 5
     /* 1397495 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397506 */     // MIs[0] policy
     /* 1397506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397516 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1397519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1397525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1397527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397538 */     // GIR_Coverage, 20491,
     /* 1397538 */     GIR_EraseRootFromParent_Done,
     /* 1397539 */   // Label 19790: @1397539
     /* 1397539 */   GIM_Try, /*On fail goto*//*Label 19791*/ GIMT_Encode4(1397627), // Rule ID 20492 //
     /* 1397544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1397547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1397552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1397555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1397558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1397561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1397564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397583 */     // MIs[0] Operand 5
     /* 1397583 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397594 */     // MIs[0] policy
     /* 1397594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397604 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1397607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1397613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1397615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397626 */     // GIR_Coverage, 20492,
     /* 1397626 */     GIR_EraseRootFromParent_Done,
     /* 1397627 */   // Label 19791: @1397627
     /* 1397627 */   GIM_Try, /*On fail goto*//*Label 19792*/ GIMT_Encode4(1397715), // Rule ID 20495 //
     /* 1397632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1397635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1397640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1397643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1397646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1397649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1397652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397671 */     // MIs[0] Operand 5
     /* 1397671 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397682 */     // MIs[0] policy
     /* 1397682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397692 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1397695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1397701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1397703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397714 */     // GIR_Coverage, 20495,
     /* 1397714 */     GIR_EraseRootFromParent_Done,
     /* 1397715 */   // Label 19792: @1397715
     /* 1397715 */   GIM_Try, /*On fail goto*//*Label 19793*/ GIMT_Encode4(1397803), // Rule ID 20496 //
     /* 1397720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1397723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1397728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1397731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1397734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1397737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1397740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397759 */     // MIs[0] Operand 5
     /* 1397759 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397770 */     // MIs[0] policy
     /* 1397770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397780 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1397783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1397789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1397791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397802 */     // GIR_Coverage, 20496,
     /* 1397802 */     GIR_EraseRootFromParent_Done,
     /* 1397803 */   // Label 19793: @1397803
     /* 1397803 */   GIM_Try, /*On fail goto*//*Label 19794*/ GIMT_Encode4(1397891), // Rule ID 20499 //
     /* 1397808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1397811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1397816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1397825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1397828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397847 */     // MIs[0] Operand 5
     /* 1397847 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397858 */     // MIs[0] policy
     /* 1397858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397868 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1397871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1397877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1397879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397890 */     // GIR_Coverage, 20499,
     /* 1397890 */     GIR_EraseRootFromParent_Done,
     /* 1397891 */   // Label 19794: @1397891
     /* 1397891 */   GIM_Try, /*On fail goto*//*Label 19795*/ GIMT_Encode4(1397979), // Rule ID 20500 //
     /* 1397896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1397899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1397904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1397913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1397916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397935 */     // MIs[0] Operand 5
     /* 1397935 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397946 */     // MIs[0] policy
     /* 1397946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397956 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1397959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1397965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1397967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397978 */     // GIR_Coverage, 20500,
     /* 1397978 */     GIR_EraseRootFromParent_Done,
     /* 1397979 */   // Label 19795: @1397979
     /* 1397979 */   GIM_Try, /*On fail goto*//*Label 19796*/ GIMT_Encode4(1398067), // Rule ID 20503 //
     /* 1397984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1397987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1397992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1398001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1398004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398023 */     // MIs[0] Operand 5
     /* 1398023 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398034 */     // MIs[0] policy
     /* 1398034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398044 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1398047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398066 */     // GIR_Coverage, 20503,
     /* 1398066 */     GIR_EraseRootFromParent_Done,
     /* 1398067 */   // Label 19796: @1398067
     /* 1398067 */   GIM_Try, /*On fail goto*//*Label 19797*/ GIMT_Encode4(1398155), // Rule ID 20504 //
     /* 1398072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1398075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1398089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1398092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398111 */     // MIs[0] Operand 5
     /* 1398111 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398122 */     // MIs[0] policy
     /* 1398122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398132 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1398135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398154 */     // GIR_Coverage, 20504,
     /* 1398154 */     GIR_EraseRootFromParent_Done,
     /* 1398155 */   // Label 19797: @1398155
     /* 1398155 */   GIM_Try, /*On fail goto*//*Label 19798*/ GIMT_Encode4(1398243), // Rule ID 20507 //
     /* 1398160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1398163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1398171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1398174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1398177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1398180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398199 */     // MIs[0] Operand 5
     /* 1398199 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398210 */     // MIs[0] policy
     /* 1398210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398220 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1398223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398242 */     // GIR_Coverage, 20507,
     /* 1398242 */     GIR_EraseRootFromParent_Done,
     /* 1398243 */   // Label 19798: @1398243
     /* 1398243 */   GIM_Try, /*On fail goto*//*Label 19799*/ GIMT_Encode4(1398331), // Rule ID 20508 //
     /* 1398248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1398251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1398259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1398262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1398265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1398268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398287 */     // MIs[0] Operand 5
     /* 1398287 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398298 */     // MIs[0] policy
     /* 1398298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398308 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1398311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398330 */     // GIR_Coverage, 20508,
     /* 1398330 */     GIR_EraseRootFromParent_Done,
     /* 1398331 */   // Label 19799: @1398331
     /* 1398331 */   GIM_Try, /*On fail goto*//*Label 19800*/ GIMT_Encode4(1398419), // Rule ID 20511 //
     /* 1398336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1398339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1398347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1398350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1398353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1398356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1398363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398375 */     // MIs[0] Operand 5
     /* 1398375 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398386 */     // MIs[0] policy
     /* 1398386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398396 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1398399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398418 */     // GIR_Coverage, 20511,
     /* 1398418 */     GIR_EraseRootFromParent_Done,
     /* 1398419 */   // Label 19800: @1398419
     /* 1398419 */   GIM_Try, /*On fail goto*//*Label 19801*/ GIMT_Encode4(1398507), // Rule ID 20512 //
     /* 1398424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1398427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1398435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1398438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1398441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1398444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1398451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398463 */     // MIs[0] Operand 5
     /* 1398463 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398474 */     // MIs[0] policy
     /* 1398474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398484 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1398487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398506 */     // GIR_Coverage, 20512,
     /* 1398506 */     GIR_EraseRootFromParent_Done,
     /* 1398507 */   // Label 19801: @1398507
     /* 1398507 */   GIM_Try, /*On fail goto*//*Label 19802*/ GIMT_Encode4(1398595), // Rule ID 20515 //
     /* 1398512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1398515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1398523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1398526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1398529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1398532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398551 */     // MIs[0] Operand 5
     /* 1398551 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398562 */     // MIs[0] policy
     /* 1398562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398572 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1398575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398594 */     // GIR_Coverage, 20515,
     /* 1398594 */     GIR_EraseRootFromParent_Done,
     /* 1398595 */   // Label 19802: @1398595
     /* 1398595 */   GIM_Try, /*On fail goto*//*Label 19803*/ GIMT_Encode4(1398683), // Rule ID 20516 //
     /* 1398600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1398603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1398611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1398614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1398617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1398620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398639 */     // MIs[0] Operand 5
     /* 1398639 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398650 */     // MIs[0] policy
     /* 1398650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398660 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1398663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398682 */     // GIR_Coverage, 20516,
     /* 1398682 */     GIR_EraseRootFromParent_Done,
     /* 1398683 */   // Label 19803: @1398683
     /* 1398683 */   GIM_Try, /*On fail goto*//*Label 19804*/ GIMT_Encode4(1398771), // Rule ID 20519 //
     /* 1398688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1398691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1398699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1398702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1398705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1398708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1398715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398727 */     // MIs[0] Operand 5
     /* 1398727 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398738 */     // MIs[0] policy
     /* 1398738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398748 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1398751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398770 */     // GIR_Coverage, 20519,
     /* 1398770 */     GIR_EraseRootFromParent_Done,
     /* 1398771 */   // Label 19804: @1398771
     /* 1398771 */   GIM_Try, /*On fail goto*//*Label 19805*/ GIMT_Encode4(1398859), // Rule ID 20520 //
     /* 1398776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1398779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1398787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1398790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1398793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1398796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1398803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398815 */     // MIs[0] Operand 5
     /* 1398815 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398826 */     // MIs[0] policy
     /* 1398826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398836 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1398839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398858 */     // GIR_Coverage, 20520,
     /* 1398858 */     GIR_EraseRootFromParent_Done,
     /* 1398859 */   // Label 19805: @1398859
     /* 1398859 */   GIM_Try, /*On fail goto*//*Label 19806*/ GIMT_Encode4(1398947), // Rule ID 20523 //
     /* 1398864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1398867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1398875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1398878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1398881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1398884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1398891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398903 */     // MIs[0] Operand 5
     /* 1398903 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398914 */     // MIs[0] policy
     /* 1398914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398924 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1398927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398946 */     // GIR_Coverage, 20523,
     /* 1398946 */     GIR_EraseRootFromParent_Done,
     /* 1398947 */   // Label 19806: @1398947
     /* 1398947 */   GIM_Try, /*On fail goto*//*Label 19807*/ GIMT_Encode4(1399035), // Rule ID 20524 //
     /* 1398952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1398955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1398960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1398963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1398966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1398969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1398972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1398979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398991 */     // MIs[0] Operand 5
     /* 1398991 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399002 */     // MIs[0] policy
     /* 1399002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399012 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1399015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399034 */     // GIR_Coverage, 20524,
     /* 1399034 */     GIR_EraseRootFromParent_Done,
     /* 1399035 */   // Label 19807: @1399035
     /* 1399035 */   GIM_Try, /*On fail goto*//*Label 19808*/ GIMT_Encode4(1399123), // Rule ID 20527 //
     /* 1399040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1399043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1399051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1399054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1399057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1399060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1399067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399079 */     // MIs[0] Operand 5
     /* 1399079 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399090 */     // MIs[0] policy
     /* 1399090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399100 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1399103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399122 */     // GIR_Coverage, 20527,
     /* 1399122 */     GIR_EraseRootFromParent_Done,
     /* 1399123 */   // Label 19808: @1399123
     /* 1399123 */   GIM_Try, /*On fail goto*//*Label 19809*/ GIMT_Encode4(1399211), // Rule ID 20528 //
     /* 1399128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1399131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1399139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1399142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1399145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1399148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1399155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399167 */     // MIs[0] Operand 5
     /* 1399167 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399178 */     // MIs[0] policy
     /* 1399178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399188 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1399191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399210 */     // GIR_Coverage, 20528,
     /* 1399210 */     GIR_EraseRootFromParent_Done,
     /* 1399211 */   // Label 19809: @1399211
     /* 1399211 */   GIM_Try, /*On fail goto*//*Label 19810*/ GIMT_Encode4(1399299), // Rule ID 20531 //
     /* 1399216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1399219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1399227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1399230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1399233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1399236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1399243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399255 */     // MIs[0] Operand 5
     /* 1399255 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399266 */     // MIs[0] policy
     /* 1399266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399276 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1399279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399298 */     // GIR_Coverage, 20531,
     /* 1399298 */     GIR_EraseRootFromParent_Done,
     /* 1399299 */   // Label 19810: @1399299
     /* 1399299 */   GIM_Try, /*On fail goto*//*Label 19811*/ GIMT_Encode4(1399387), // Rule ID 20532 //
     /* 1399304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1399307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1399315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1399318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1399321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1399324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1399331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399343 */     // MIs[0] Operand 5
     /* 1399343 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399354 */     // MIs[0] policy
     /* 1399354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399364 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1399367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399386 */     // GIR_Coverage, 20532,
     /* 1399386 */     GIR_EraseRootFromParent_Done,
     /* 1399387 */   // Label 19811: @1399387
     /* 1399387 */   GIM_Try, /*On fail goto*//*Label 19812*/ GIMT_Encode4(1399475), // Rule ID 20535 //
     /* 1399392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1399395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1399403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1399406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1399409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1399412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1399419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399431 */     // MIs[0] Operand 5
     /* 1399431 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399442 */     // MIs[0] policy
     /* 1399442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399452 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1399455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399474 */     // GIR_Coverage, 20535,
     /* 1399474 */     GIR_EraseRootFromParent_Done,
     /* 1399475 */   // Label 19812: @1399475
     /* 1399475 */   GIM_Try, /*On fail goto*//*Label 19813*/ GIMT_Encode4(1399563), // Rule ID 20536 //
     /* 1399480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1399483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1399491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1399494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1399497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1399500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1399507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399519 */     // MIs[0] Operand 5
     /* 1399519 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399530 */     // MIs[0] policy
     /* 1399530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399540 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1399543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399562 */     // GIR_Coverage, 20536,
     /* 1399562 */     GIR_EraseRootFromParent_Done,
     /* 1399563 */   // Label 19813: @1399563
     /* 1399563 */   GIM_Try, /*On fail goto*//*Label 19814*/ GIMT_Encode4(1399651), // Rule ID 20539 //
     /* 1399568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1399571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1399579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1399582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1399585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1399588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1399595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399607 */     // MIs[0] Operand 5
     /* 1399607 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399618 */     // MIs[0] policy
     /* 1399618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399628 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1399631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399650 */     // GIR_Coverage, 20539,
     /* 1399650 */     GIR_EraseRootFromParent_Done,
     /* 1399651 */   // Label 19814: @1399651
     /* 1399651 */   GIM_Try, /*On fail goto*//*Label 19815*/ GIMT_Encode4(1399739), // Rule ID 20540 //
     /* 1399656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1399659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1399667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1399670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1399673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1399676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1399683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399695 */     // MIs[0] Operand 5
     /* 1399695 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399706 */     // MIs[0] policy
     /* 1399706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399716 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1399719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399738 */     // GIR_Coverage, 20540,
     /* 1399738 */     GIR_EraseRootFromParent_Done,
     /* 1399739 */   // Label 19815: @1399739
     /* 1399739 */   GIM_Try, /*On fail goto*//*Label 19816*/ GIMT_Encode4(1399827), // Rule ID 20543 //
     /* 1399744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1399747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1399755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1399758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1399761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1399764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1399771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399783 */     // MIs[0] Operand 5
     /* 1399783 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399794 */     // MIs[0] policy
     /* 1399794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399804 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1399807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399826 */     // GIR_Coverage, 20543,
     /* 1399826 */     GIR_EraseRootFromParent_Done,
     /* 1399827 */   // Label 19816: @1399827
     /* 1399827 */   GIM_Try, /*On fail goto*//*Label 19817*/ GIMT_Encode4(1399915), // Rule ID 20544 //
     /* 1399832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1399835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1399840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1399843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1399846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1399849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1399852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1399859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399871 */     // MIs[0] Operand 5
     /* 1399871 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399882 */     // MIs[0] policy
     /* 1399882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399892 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1399895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399914 */     // GIR_Coverage, 20544,
     /* 1399914 */     GIR_EraseRootFromParent_Done,
     /* 1399915 */   // Label 19817: @1399915
     /* 1399915 */   GIM_Try, /*On fail goto*//*Label 19818*/ GIMT_Encode4(1400003), // Rule ID 20547 //
     /* 1399920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1399923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1399928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1399931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1399934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1399937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1399940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399959 */     // MIs[0] Operand 5
     /* 1399959 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399970 */     // MIs[0] policy
     /* 1399970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399980 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1399983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400002 */     // GIR_Coverage, 20547,
     /* 1400002 */     GIR_EraseRootFromParent_Done,
     /* 1400003 */   // Label 19818: @1400003
     /* 1400003 */   GIM_Try, /*On fail goto*//*Label 19819*/ GIMT_Encode4(1400091), // Rule ID 20548 //
     /* 1400008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1400011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1400016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1400019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1400022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1400025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1400028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400047 */     // MIs[0] Operand 5
     /* 1400047 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400058 */     // MIs[0] policy
     /* 1400058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400068 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1400071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400090 */     // GIR_Coverage, 20548,
     /* 1400090 */     GIR_EraseRootFromParent_Done,
     /* 1400091 */   // Label 19819: @1400091
     /* 1400091 */   GIM_Try, /*On fail goto*//*Label 19820*/ GIMT_Encode4(1400179), // Rule ID 20551 //
     /* 1400096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1400099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1400104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1400107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1400110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1400113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1400116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400135 */     // MIs[0] Operand 5
     /* 1400135 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400146 */     // MIs[0] policy
     /* 1400146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400156 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1400159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400178 */     // GIR_Coverage, 20551,
     /* 1400178 */     GIR_EraseRootFromParent_Done,
     /* 1400179 */   // Label 19820: @1400179
     /* 1400179 */   GIM_Try, /*On fail goto*//*Label 19821*/ GIMT_Encode4(1400267), // Rule ID 20552 //
     /* 1400184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1400187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1400192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1400195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1400198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1400201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1400204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400223 */     // MIs[0] Operand 5
     /* 1400223 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400234 */     // MIs[0] policy
     /* 1400234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400244 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1400247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400266 */     // GIR_Coverage, 20552,
     /* 1400266 */     GIR_EraseRootFromParent_Done,
     /* 1400267 */   // Label 19821: @1400267
     /* 1400267 */   GIM_Try, /*On fail goto*//*Label 19822*/ GIMT_Encode4(1400355), // Rule ID 20555 //
     /* 1400272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1400275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1400280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1400283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1400286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1400289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1400292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400311 */     // MIs[0] Operand 5
     /* 1400311 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400322 */     // MIs[0] policy
     /* 1400322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400332 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1400335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400354 */     // GIR_Coverage, 20555,
     /* 1400354 */     GIR_EraseRootFromParent_Done,
     /* 1400355 */   // Label 19822: @1400355
     /* 1400355 */   GIM_Try, /*On fail goto*//*Label 19823*/ GIMT_Encode4(1400443), // Rule ID 20556 //
     /* 1400360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1400363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1400368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1400371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1400374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1400377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1400380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400399 */     // MIs[0] Operand 5
     /* 1400399 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400410 */     // MIs[0] policy
     /* 1400410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400420 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1400423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400442 */     // GIR_Coverage, 20556,
     /* 1400442 */     GIR_EraseRootFromParent_Done,
     /* 1400443 */   // Label 19823: @1400443
     /* 1400443 */   GIM_Try, /*On fail goto*//*Label 19824*/ GIMT_Encode4(1400531), // Rule ID 20559 //
     /* 1400448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1400451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1400456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1400459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1400462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1400465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1400468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400487 */     // MIs[0] Operand 5
     /* 1400487 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400498 */     // MIs[0] policy
     /* 1400498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400508 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1400511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400530 */     // GIR_Coverage, 20559,
     /* 1400530 */     GIR_EraseRootFromParent_Done,
     /* 1400531 */   // Label 19824: @1400531
     /* 1400531 */   GIM_Try, /*On fail goto*//*Label 19825*/ GIMT_Encode4(1400619), // Rule ID 20560 //
     /* 1400536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1400539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1400544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1400547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1400550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1400553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1400556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400575 */     // MIs[0] Operand 5
     /* 1400575 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400586 */     // MIs[0] policy
     /* 1400586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400596 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1400599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400618 */     // GIR_Coverage, 20560,
     /* 1400618 */     GIR_EraseRootFromParent_Done,
     /* 1400619 */   // Label 19825: @1400619
     /* 1400619 */   GIM_Try, /*On fail goto*//*Label 19826*/ GIMT_Encode4(1400707), // Rule ID 20563 //
     /* 1400624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1400627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1400632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1400635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1400638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1400641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1400644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400663 */     // MIs[0] Operand 5
     /* 1400663 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400674 */     // MIs[0] policy
     /* 1400674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400684 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1400687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400706 */     // GIR_Coverage, 20563,
     /* 1400706 */     GIR_EraseRootFromParent_Done,
     /* 1400707 */   // Label 19826: @1400707
     /* 1400707 */   GIM_Try, /*On fail goto*//*Label 19827*/ GIMT_Encode4(1400795), // Rule ID 20564 //
     /* 1400712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1400715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1400720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1400723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1400726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1400729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1400732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400751 */     // MIs[0] Operand 5
     /* 1400751 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400762 */     // MIs[0] policy
     /* 1400762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1400775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400794 */     // GIR_Coverage, 20564,
     /* 1400794 */     GIR_EraseRootFromParent_Done,
     /* 1400795 */   // Label 19827: @1400795
     /* 1400795 */   GIM_Try, /*On fail goto*//*Label 19828*/ GIMT_Encode4(1400883), // Rule ID 20567 //
     /* 1400800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1400803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1400808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1400811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1400814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1400817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1400820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400839 */     // MIs[0] Operand 5
     /* 1400839 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400850 */     // MIs[0] policy
     /* 1400850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400860 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1400863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1400879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400882 */     // GIR_Coverage, 20567,
     /* 1400882 */     GIR_EraseRootFromParent_Done,
     /* 1400883 */   // Label 19828: @1400883
     /* 1400883 */   GIM_Try, /*On fail goto*//*Label 19829*/ GIMT_Encode4(1400971), // Rule ID 20568 //
     /* 1400888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1400891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1400896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1400899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1400902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1400905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1400908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400927 */     // MIs[0] Operand 5
     /* 1400927 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400938 */     // MIs[0] policy
     /* 1400938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400948 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1400951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1400967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400970 */     // GIR_Coverage, 20568,
     /* 1400970 */     GIR_EraseRootFromParent_Done,
     /* 1400971 */   // Label 19829: @1400971
     /* 1400971 */   GIM_Try, /*On fail goto*//*Label 19830*/ GIMT_Encode4(1401059), // Rule ID 20571 //
     /* 1400976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1400979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1400984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1400987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1400990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1400993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1400996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1401003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401015 */     // MIs[0] Operand 5
     /* 1401015 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401026 */     // MIs[0] policy
     /* 1401026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401036 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1401039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401058 */     // GIR_Coverage, 20571,
     /* 1401058 */     GIR_EraseRootFromParent_Done,
     /* 1401059 */   // Label 19830: @1401059
     /* 1401059 */   GIM_Try, /*On fail goto*//*Label 19831*/ GIMT_Encode4(1401147), // Rule ID 20572 //
     /* 1401064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1401067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1401075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1401078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1401081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1401084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1401091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401103 */     // MIs[0] Operand 5
     /* 1401103 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401114 */     // MIs[0] policy
     /* 1401114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401124 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1401127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401146 */     // GIR_Coverage, 20572,
     /* 1401146 */     GIR_EraseRootFromParent_Done,
     /* 1401147 */   // Label 19831: @1401147
     /* 1401147 */   GIM_Try, /*On fail goto*//*Label 19832*/ GIMT_Encode4(1401235), // Rule ID 20575 //
     /* 1401152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1401155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1401163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1401166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1401169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1401172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1401179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401191 */     // MIs[0] Operand 5
     /* 1401191 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401202 */     // MIs[0] policy
     /* 1401202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1401215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401234 */     // GIR_Coverage, 20575,
     /* 1401234 */     GIR_EraseRootFromParent_Done,
     /* 1401235 */   // Label 19832: @1401235
     /* 1401235 */   GIM_Try, /*On fail goto*//*Label 19833*/ GIMT_Encode4(1401323), // Rule ID 20576 //
     /* 1401240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1401243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1401251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1401254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1401257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1401260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1401267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401279 */     // MIs[0] Operand 5
     /* 1401279 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401290 */     // MIs[0] policy
     /* 1401290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401300 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1401303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401322 */     // GIR_Coverage, 20576,
     /* 1401322 */     GIR_EraseRootFromParent_Done,
     /* 1401323 */   // Label 19833: @1401323
     /* 1401323 */   GIM_Try, /*On fail goto*//*Label 19834*/ GIMT_Encode4(1401411), // Rule ID 20579 //
     /* 1401328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1401331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1401339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1401342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1401345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1401348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1401355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401367 */     // MIs[0] Operand 5
     /* 1401367 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401378 */     // MIs[0] policy
     /* 1401378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401388 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1401391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401410 */     // GIR_Coverage, 20579,
     /* 1401410 */     GIR_EraseRootFromParent_Done,
     /* 1401411 */   // Label 19834: @1401411
     /* 1401411 */   GIM_Try, /*On fail goto*//*Label 19835*/ GIMT_Encode4(1401499), // Rule ID 20580 //
     /* 1401416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1401419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1401427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1401430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1401433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1401436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1401443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401455 */     // MIs[0] Operand 5
     /* 1401455 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401466 */     // MIs[0] policy
     /* 1401466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401476 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1401479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401498 */     // GIR_Coverage, 20580,
     /* 1401498 */     GIR_EraseRootFromParent_Done,
     /* 1401499 */   // Label 19835: @1401499
     /* 1401499 */   GIM_Try, /*On fail goto*//*Label 19836*/ GIMT_Encode4(1401587), // Rule ID 20583 //
     /* 1401504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1401507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1401515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1401518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1401521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1401524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1401531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401543 */     // MIs[0] Operand 5
     /* 1401543 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401554 */     // MIs[0] policy
     /* 1401554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401564 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1401567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401586 */     // GIR_Coverage, 20583,
     /* 1401586 */     GIR_EraseRootFromParent_Done,
     /* 1401587 */   // Label 19836: @1401587
     /* 1401587 */   GIM_Try, /*On fail goto*//*Label 19837*/ GIMT_Encode4(1401675), // Rule ID 20584 //
     /* 1401592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1401595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1401603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1401606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1401609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1401612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1401619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401631 */     // MIs[0] Operand 5
     /* 1401631 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401642 */     // MIs[0] policy
     /* 1401642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401652 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1401655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401674 */     // GIR_Coverage, 20584,
     /* 1401674 */     GIR_EraseRootFromParent_Done,
     /* 1401675 */   // Label 19837: @1401675
     /* 1401675 */   GIM_Try, /*On fail goto*//*Label 19838*/ GIMT_Encode4(1401763), // Rule ID 20587 //
     /* 1401680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1401683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1401691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1401694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1401697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1401700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1401707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401719 */     // MIs[0] Operand 5
     /* 1401719 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401730 */     // MIs[0] policy
     /* 1401730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401740 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1401743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401762 */     // GIR_Coverage, 20587,
     /* 1401762 */     GIR_EraseRootFromParent_Done,
     /* 1401763 */   // Label 19838: @1401763
     /* 1401763 */   GIM_Try, /*On fail goto*//*Label 19839*/ GIMT_Encode4(1401851), // Rule ID 20588 //
     /* 1401768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1401771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1401779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1401782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1401785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1401788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1401795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401807 */     // MIs[0] Operand 5
     /* 1401807 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401818 */     // MIs[0] policy
     /* 1401818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401828 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1401831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401850 */     // GIR_Coverage, 20588,
     /* 1401850 */     GIR_EraseRootFromParent_Done,
     /* 1401851 */   // Label 19839: @1401851
     /* 1401851 */   GIM_Try, /*On fail goto*//*Label 19840*/ GIMT_Encode4(1401939), // Rule ID 20591 //
     /* 1401856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1401859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1401867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1401870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1401873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1401876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1401883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401895 */     // MIs[0] Operand 5
     /* 1401895 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401906 */     // MIs[0] policy
     /* 1401906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401916 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1401919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401938 */     // GIR_Coverage, 20591,
     /* 1401938 */     GIR_EraseRootFromParent_Done,
     /* 1401939 */   // Label 19840: @1401939
     /* 1401939 */   GIM_Try, /*On fail goto*//*Label 19841*/ GIMT_Encode4(1402027), // Rule ID 20592 //
     /* 1401944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1401947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1401952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1401955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1401958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1401961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1401964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1401971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401983 */     // MIs[0] Operand 5
     /* 1401983 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401994 */     // MIs[0] policy
     /* 1401994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402004 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1402007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402026 */     // GIR_Coverage, 20592,
     /* 1402026 */     GIR_EraseRootFromParent_Done,
     /* 1402027 */   // Label 19841: @1402027
     /* 1402027 */   GIM_Try, /*On fail goto*//*Label 19842*/ GIMT_Encode4(1402115), // Rule ID 20595 //
     /* 1402032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1402035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1402043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1402046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1402049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1402052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402071 */     // MIs[0] Operand 5
     /* 1402071 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402082 */     // MIs[0] policy
     /* 1402082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402092 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1402095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402114 */     // GIR_Coverage, 20595,
     /* 1402114 */     GIR_EraseRootFromParent_Done,
     /* 1402115 */   // Label 19842: @1402115
     /* 1402115 */   GIM_Try, /*On fail goto*//*Label 19843*/ GIMT_Encode4(1402203), // Rule ID 20596 //
     /* 1402120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1402123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1402131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1402134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1402137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1402140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402159 */     // MIs[0] Operand 5
     /* 1402159 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402170 */     // MIs[0] policy
     /* 1402170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402180 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1402183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402202 */     // GIR_Coverage, 20596,
     /* 1402202 */     GIR_EraseRootFromParent_Done,
     /* 1402203 */   // Label 19843: @1402203
     /* 1402203 */   GIM_Try, /*On fail goto*//*Label 19844*/ GIMT_Encode4(1402291), // Rule ID 20599 //
     /* 1402208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1402211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1402219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1402222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1402225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1402228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402247 */     // MIs[0] Operand 5
     /* 1402247 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402258 */     // MIs[0] policy
     /* 1402258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402268 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1402271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402290 */     // GIR_Coverage, 20599,
     /* 1402290 */     GIR_EraseRootFromParent_Done,
     /* 1402291 */   // Label 19844: @1402291
     /* 1402291 */   GIM_Try, /*On fail goto*//*Label 19845*/ GIMT_Encode4(1402379), // Rule ID 20600 //
     /* 1402296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1402299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1402307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1402310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1402313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1402316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402335 */     // MIs[0] Operand 5
     /* 1402335 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402346 */     // MIs[0] policy
     /* 1402346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402356 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1402359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402378 */     // GIR_Coverage, 20600,
     /* 1402378 */     GIR_EraseRootFromParent_Done,
     /* 1402379 */   // Label 19845: @1402379
     /* 1402379 */   GIM_Try, /*On fail goto*//*Label 19846*/ GIMT_Encode4(1402467), // Rule ID 20603 //
     /* 1402384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1402387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1402395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1402398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1402401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1402404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1402411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402423 */     // MIs[0] Operand 5
     /* 1402423 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402434 */     // MIs[0] policy
     /* 1402434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402444 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1402447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402466 */     // GIR_Coverage, 20603,
     /* 1402466 */     GIR_EraseRootFromParent_Done,
     /* 1402467 */   // Label 19846: @1402467
     /* 1402467 */   GIM_Try, /*On fail goto*//*Label 19847*/ GIMT_Encode4(1402555), // Rule ID 20604 //
     /* 1402472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1402475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1402480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1402483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1402486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1402489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1402492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1402499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402511 */     // MIs[0] Operand 5
     /* 1402511 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402522 */     // MIs[0] policy
     /* 1402522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402532 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1402535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1402551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402554 */     // GIR_Coverage, 20604,
     /* 1402554 */     GIR_EraseRootFromParent_Done,
     /* 1402555 */   // Label 19847: @1402555
     /* 1402555 */   GIM_Try, /*On fail goto*//*Label 19848*/ GIMT_Encode4(1402643), // Rule ID 20963 //
     /* 1402560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1402563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1402568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1402571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1402574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1402577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1402580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402599 */     // MIs[0] Operand 5
     /* 1402599 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402610 */     // MIs[0] policy
     /* 1402610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402620 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1402623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402642 */     // GIR_Coverage, 20963,
     /* 1402642 */     GIR_EraseRootFromParent_Done,
     /* 1402643 */   // Label 19848: @1402643
     /* 1402643 */   GIM_Try, /*On fail goto*//*Label 19849*/ GIMT_Encode4(1402731), // Rule ID 20964 //
     /* 1402648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1402651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1402656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1402659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1402662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1402665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1402668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402687 */     // MIs[0] Operand 5
     /* 1402687 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402698 */     // MIs[0] policy
     /* 1402698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402708 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1402711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402730 */     // GIR_Coverage, 20964,
     /* 1402730 */     GIR_EraseRootFromParent_Done,
     /* 1402731 */   // Label 19849: @1402731
     /* 1402731 */   GIM_Try, /*On fail goto*//*Label 19850*/ GIMT_Encode4(1402819), // Rule ID 20967 //
     /* 1402736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1402739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1402744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1402747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1402750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1402753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1402756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402775 */     // MIs[0] Operand 5
     /* 1402775 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402786 */     // MIs[0] policy
     /* 1402786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402796 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1402799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402818 */     // GIR_Coverage, 20967,
     /* 1402818 */     GIR_EraseRootFromParent_Done,
     /* 1402819 */   // Label 19850: @1402819
     /* 1402819 */   GIM_Try, /*On fail goto*//*Label 19851*/ GIMT_Encode4(1402907), // Rule ID 20968 //
     /* 1402824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1402827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1402832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1402835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1402838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1402841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1402844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402863 */     // MIs[0] Operand 5
     /* 1402863 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402874 */     // MIs[0] policy
     /* 1402874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1402887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402906 */     // GIR_Coverage, 20968,
     /* 1402906 */     GIR_EraseRootFromParent_Done,
     /* 1402907 */   // Label 19851: @1402907
     /* 1402907 */   GIM_Try, /*On fail goto*//*Label 19852*/ GIMT_Encode4(1402995), // Rule ID 20971 //
     /* 1402912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1402915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1402920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1402923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1402926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1402929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1402932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402951 */     // MIs[0] Operand 5
     /* 1402951 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402962 */     // MIs[0] policy
     /* 1402962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402972 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1402975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402994 */     // GIR_Coverage, 20971,
     /* 1402994 */     GIR_EraseRootFromParent_Done,
     /* 1402995 */   // Label 19852: @1402995
     /* 1402995 */   GIM_Try, /*On fail goto*//*Label 19853*/ GIMT_Encode4(1403083), // Rule ID 20972 //
     /* 1403000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1403003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1403008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1403011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1403014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1403017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1403020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403039 */     // MIs[0] Operand 5
     /* 1403039 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403050 */     // MIs[0] policy
     /* 1403050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403060 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1403063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403082 */     // GIR_Coverage, 20972,
     /* 1403082 */     GIR_EraseRootFromParent_Done,
     /* 1403083 */   // Label 19853: @1403083
     /* 1403083 */   GIM_Try, /*On fail goto*//*Label 19854*/ GIMT_Encode4(1403171), // Rule ID 20975 //
     /* 1403088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1403091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1403096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1403099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1403102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1403105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1403108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403127 */     // MIs[0] Operand 5
     /* 1403127 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403138 */     // MIs[0] policy
     /* 1403138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403148 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1403151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403170 */     // GIR_Coverage, 20975,
     /* 1403170 */     GIR_EraseRootFromParent_Done,
     /* 1403171 */   // Label 19854: @1403171
     /* 1403171 */   GIM_Try, /*On fail goto*//*Label 19855*/ GIMT_Encode4(1403259), // Rule ID 20976 //
     /* 1403176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1403179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1403184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1403187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1403190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1403193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1403196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403215 */     // MIs[0] Operand 5
     /* 1403215 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403226 */     // MIs[0] policy
     /* 1403226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403236 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1403239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403258 */     // GIR_Coverage, 20976,
     /* 1403258 */     GIR_EraseRootFromParent_Done,
     /* 1403259 */   // Label 19855: @1403259
     /* 1403259 */   GIM_Try, /*On fail goto*//*Label 19856*/ GIMT_Encode4(1403347), // Rule ID 20979 //
     /* 1403264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1403267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1403272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1403275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1403278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1403281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1403284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403303 */     // MIs[0] Operand 5
     /* 1403303 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403314 */     // MIs[0] policy
     /* 1403314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1403327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403346 */     // GIR_Coverage, 20979,
     /* 1403346 */     GIR_EraseRootFromParent_Done,
     /* 1403347 */   // Label 19856: @1403347
     /* 1403347 */   GIM_Try, /*On fail goto*//*Label 19857*/ GIMT_Encode4(1403435), // Rule ID 20980 //
     /* 1403352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1403355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1403360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1403363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1403366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1403369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1403372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403391 */     // MIs[0] Operand 5
     /* 1403391 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403402 */     // MIs[0] policy
     /* 1403402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403412 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1403415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403434 */     // GIR_Coverage, 20980,
     /* 1403434 */     GIR_EraseRootFromParent_Done,
     /* 1403435 */   // Label 19857: @1403435
     /* 1403435 */   GIM_Try, /*On fail goto*//*Label 19858*/ GIMT_Encode4(1403523), // Rule ID 20983 //
     /* 1403440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1403443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1403448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1403451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1403454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1403457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1403460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403479 */     // MIs[0] Operand 5
     /* 1403479 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403490 */     // MIs[0] policy
     /* 1403490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403500 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1403503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403522 */     // GIR_Coverage, 20983,
     /* 1403522 */     GIR_EraseRootFromParent_Done,
     /* 1403523 */   // Label 19858: @1403523
     /* 1403523 */   GIM_Try, /*On fail goto*//*Label 19859*/ GIMT_Encode4(1403611), // Rule ID 20984 //
     /* 1403528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1403531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1403536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1403539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1403542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1403545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1403548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403567 */     // MIs[0] Operand 5
     /* 1403567 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403578 */     // MIs[0] policy
     /* 1403578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403588 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1403591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403610 */     // GIR_Coverage, 20984,
     /* 1403610 */     GIR_EraseRootFromParent_Done,
     /* 1403611 */   // Label 19859: @1403611
     /* 1403611 */   GIM_Try, /*On fail goto*//*Label 19860*/ GIMT_Encode4(1403699), // Rule ID 20987 //
     /* 1403616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1403619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1403624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1403627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1403630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1403633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403655 */     // MIs[0] Operand 5
     /* 1403655 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403666 */     // MIs[0] policy
     /* 1403666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403676 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1403679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403698 */     // GIR_Coverage, 20987,
     /* 1403698 */     GIR_EraseRootFromParent_Done,
     /* 1403699 */   // Label 19860: @1403699
     /* 1403699 */   GIM_Try, /*On fail goto*//*Label 19861*/ GIMT_Encode4(1403787), // Rule ID 20988 //
     /* 1403704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1403707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1403712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1403715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1403718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1403721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403743 */     // MIs[0] Operand 5
     /* 1403743 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403754 */     // MIs[0] policy
     /* 1403754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403764 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1403767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403786 */     // GIR_Coverage, 20988,
     /* 1403786 */     GIR_EraseRootFromParent_Done,
     /* 1403787 */   // Label 19861: @1403787
     /* 1403787 */   GIM_Try, /*On fail goto*//*Label 19862*/ GIMT_Encode4(1403875), // Rule ID 20991 //
     /* 1403792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1403795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1403800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1403803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1403806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1403809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1403812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403831 */     // MIs[0] Operand 5
     /* 1403831 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403842 */     // MIs[0] policy
     /* 1403842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403852 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1403855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403874 */     // GIR_Coverage, 20991,
     /* 1403874 */     GIR_EraseRootFromParent_Done,
     /* 1403875 */   // Label 19862: @1403875
     /* 1403875 */   GIM_Try, /*On fail goto*//*Label 19863*/ GIMT_Encode4(1403963), // Rule ID 20992 //
     /* 1403880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1403883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1403888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1403891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1403894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1403897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1403900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403919 */     // MIs[0] Operand 5
     /* 1403919 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403930 */     // MIs[0] policy
     /* 1403930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403940 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1403943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403962 */     // GIR_Coverage, 20992,
     /* 1403962 */     GIR_EraseRootFromParent_Done,
     /* 1403963 */   // Label 19863: @1403963
     /* 1403963 */   GIM_Try, /*On fail goto*//*Label 19864*/ GIMT_Encode4(1404051), // Rule ID 20995 //
     /* 1403968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1403971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1403976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1403979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1403982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1403985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1403988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404007 */     // MIs[0] Operand 5
     /* 1404007 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404018 */     // MIs[0] policy
     /* 1404018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404028 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1404031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404050 */     // GIR_Coverage, 20995,
     /* 1404050 */     GIR_EraseRootFromParent_Done,
     /* 1404051 */   // Label 19864: @1404051
     /* 1404051 */   GIM_Try, /*On fail goto*//*Label 19865*/ GIMT_Encode4(1404139), // Rule ID 20996 //
     /* 1404056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1404059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1404064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1404067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1404070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1404073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404095 */     // MIs[0] Operand 5
     /* 1404095 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404106 */     // MIs[0] policy
     /* 1404106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404116 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1404119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404138 */     // GIR_Coverage, 20996,
     /* 1404138 */     GIR_EraseRootFromParent_Done,
     /* 1404139 */   // Label 19865: @1404139
     /* 1404139 */   GIM_Try, /*On fail goto*//*Label 19866*/ GIMT_Encode4(1404227), // Rule ID 20999 //
     /* 1404144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1404152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1404155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1404158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1404161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1404164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404183 */     // MIs[0] Operand 5
     /* 1404183 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404194 */     // MIs[0] policy
     /* 1404194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404204 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1404207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404226 */     // GIR_Coverage, 20999,
     /* 1404226 */     GIR_EraseRootFromParent_Done,
     /* 1404227 */   // Label 19866: @1404227
     /* 1404227 */   GIM_Try, /*On fail goto*//*Label 19867*/ GIMT_Encode4(1404315), // Rule ID 21000 //
     /* 1404232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1404240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1404243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1404246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1404249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1404252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404271 */     // MIs[0] Operand 5
     /* 1404271 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404282 */     // MIs[0] policy
     /* 1404282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404292 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1404295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404314 */     // GIR_Coverage, 21000,
     /* 1404314 */     GIR_EraseRootFromParent_Done,
     /* 1404315 */   // Label 19867: @1404315
     /* 1404315 */   GIM_Try, /*On fail goto*//*Label 19868*/ GIMT_Encode4(1404403), // Rule ID 21003 //
     /* 1404320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1404328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1404331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1404334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1404337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1404340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404359 */     // MIs[0] Operand 5
     /* 1404359 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404370 */     // MIs[0] policy
     /* 1404370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1404383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404402 */     // GIR_Coverage, 21003,
     /* 1404402 */     GIR_EraseRootFromParent_Done,
     /* 1404403 */   // Label 19868: @1404403
     /* 1404403 */   GIM_Try, /*On fail goto*//*Label 19869*/ GIMT_Encode4(1404491), // Rule ID 21004 //
     /* 1404408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1404416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1404419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1404422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1404425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1404428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404447 */     // MIs[0] Operand 5
     /* 1404447 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404458 */     // MIs[0] policy
     /* 1404458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1404471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404490 */     // GIR_Coverage, 21004,
     /* 1404490 */     GIR_EraseRootFromParent_Done,
     /* 1404491 */   // Label 19869: @1404491
     /* 1404491 */   GIM_Try, /*On fail goto*//*Label 19870*/ GIMT_Encode4(1404579), // Rule ID 21007 //
     /* 1404496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1404504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1404507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1404510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1404513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1404516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404535 */     // MIs[0] Operand 5
     /* 1404535 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404546 */     // MIs[0] policy
     /* 1404546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1404559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404578 */     // GIR_Coverage, 21007,
     /* 1404578 */     GIR_EraseRootFromParent_Done,
     /* 1404579 */   // Label 19870: @1404579
     /* 1404579 */   GIM_Try, /*On fail goto*//*Label 19871*/ GIMT_Encode4(1404667), // Rule ID 21008 //
     /* 1404584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1404592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1404595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1404598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1404601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1404604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404623 */     // MIs[0] Operand 5
     /* 1404623 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404634 */     // MIs[0] policy
     /* 1404634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404644 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1404647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404666 */     // GIR_Coverage, 21008,
     /* 1404666 */     GIR_EraseRootFromParent_Done,
     /* 1404667 */   // Label 19871: @1404667
     /* 1404667 */   GIM_Try, /*On fail goto*//*Label 19872*/ GIMT_Encode4(1404755), // Rule ID 21011 //
     /* 1404672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1404680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1404683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1404686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1404689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404711 */     // MIs[0] Operand 5
     /* 1404711 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404722 */     // MIs[0] policy
     /* 1404722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404732 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1404735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404754 */     // GIR_Coverage, 21011,
     /* 1404754 */     GIR_EraseRootFromParent_Done,
     /* 1404755 */   // Label 19872: @1404755
     /* 1404755 */   GIM_Try, /*On fail goto*//*Label 19873*/ GIMT_Encode4(1404843), // Rule ID 21012 //
     /* 1404760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1404768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1404771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1404774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1404777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404799 */     // MIs[0] Operand 5
     /* 1404799 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404810 */     // MIs[0] policy
     /* 1404810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404820 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1404823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404842 */     // GIR_Coverage, 21012,
     /* 1404842 */     GIR_EraseRootFromParent_Done,
     /* 1404843 */   // Label 19873: @1404843
     /* 1404843 */   GIM_Try, /*On fail goto*//*Label 19874*/ GIMT_Encode4(1404931), // Rule ID 21015 //
     /* 1404848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1404856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1404859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1404862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1404865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1404868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404887 */     // MIs[0] Operand 5
     /* 1404887 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404898 */     // MIs[0] policy
     /* 1404898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404908 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1404911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404930 */     // GIR_Coverage, 21015,
     /* 1404930 */     GIR_EraseRootFromParent_Done,
     /* 1404931 */   // Label 19874: @1404931
     /* 1404931 */   GIM_Try, /*On fail goto*//*Label 19875*/ GIMT_Encode4(1405019), // Rule ID 21016 //
     /* 1404936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1404944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1404947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1404950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1404953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1404956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404975 */     // MIs[0] Operand 5
     /* 1404975 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404986 */     // MIs[0] policy
     /* 1404986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404996 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1404999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405018 */     // GIR_Coverage, 21016,
     /* 1405018 */     GIR_EraseRootFromParent_Done,
     /* 1405019 */   // Label 19875: @1405019
     /* 1405019 */   GIM_Try, /*On fail goto*//*Label 19876*/ GIMT_Encode4(1405107), // Rule ID 21019 //
     /* 1405024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1405027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1405035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1405038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1405041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405063 */     // MIs[0] Operand 5
     /* 1405063 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405074 */     // MIs[0] policy
     /* 1405074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405084 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1405087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405106 */     // GIR_Coverage, 21019,
     /* 1405106 */     GIR_EraseRootFromParent_Done,
     /* 1405107 */   // Label 19876: @1405107
     /* 1405107 */   GIM_Try, /*On fail goto*//*Label 19877*/ GIMT_Encode4(1405195), // Rule ID 21020 //
     /* 1405112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1405115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1405123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1405126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1405129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405151 */     // MIs[0] Operand 5
     /* 1405151 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405162 */     // MIs[0] policy
     /* 1405162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405172 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1405175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405194 */     // GIR_Coverage, 21020,
     /* 1405194 */     GIR_EraseRootFromParent_Done,
     /* 1405195 */   // Label 19877: @1405195
     /* 1405195 */   GIM_Try, /*On fail goto*//*Label 19878*/ GIMT_Encode4(1405283), // Rule ID 21023 //
     /* 1405200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1405203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1405211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1405214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1405217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1405227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405239 */     // MIs[0] Operand 5
     /* 1405239 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405250 */     // MIs[0] policy
     /* 1405250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405260 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1405263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405282 */     // GIR_Coverage, 21023,
     /* 1405282 */     GIR_EraseRootFromParent_Done,
     /* 1405283 */   // Label 19878: @1405283
     /* 1405283 */   GIM_Try, /*On fail goto*//*Label 19879*/ GIMT_Encode4(1405371), // Rule ID 21024 //
     /* 1405288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1405291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1405299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1405302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1405305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1405315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405327 */     // MIs[0] Operand 5
     /* 1405327 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405338 */     // MIs[0] policy
     /* 1405338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405348 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1405351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405370 */     // GIR_Coverage, 21024,
     /* 1405370 */     GIR_EraseRootFromParent_Done,
     /* 1405371 */   // Label 19879: @1405371
     /* 1405371 */   GIM_Try, /*On fail goto*//*Label 19880*/ GIMT_Encode4(1405459), // Rule ID 21027 //
     /* 1405376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1405379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1405387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1405390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1405393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1405403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405415 */     // MIs[0] Operand 5
     /* 1405415 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405426 */     // MIs[0] policy
     /* 1405426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405436 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1405439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405458 */     // GIR_Coverage, 21027,
     /* 1405458 */     GIR_EraseRootFromParent_Done,
     /* 1405459 */   // Label 19880: @1405459
     /* 1405459 */   GIM_Try, /*On fail goto*//*Label 19881*/ GIMT_Encode4(1405547), // Rule ID 21028 //
     /* 1405464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1405467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1405475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1405478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1405481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1405491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405503 */     // MIs[0] Operand 5
     /* 1405503 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405514 */     // MIs[0] policy
     /* 1405514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405524 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1405527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405546 */     // GIR_Coverage, 21028,
     /* 1405546 */     GIR_EraseRootFromParent_Done,
     /* 1405547 */   // Label 19881: @1405547
     /* 1405547 */   GIM_Try, /*On fail goto*//*Label 19882*/ GIMT_Encode4(1405635), // Rule ID 21031 //
     /* 1405552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1405555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1405563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1405566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1405569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1405572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405591 */     // MIs[0] Operand 5
     /* 1405591 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405602 */     // MIs[0] policy
     /* 1405602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405612 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1405615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405634 */     // GIR_Coverage, 21031,
     /* 1405634 */     GIR_EraseRootFromParent_Done,
     /* 1405635 */   // Label 19882: @1405635
     /* 1405635 */   GIM_Try, /*On fail goto*//*Label 19883*/ GIMT_Encode4(1405723), // Rule ID 21032 //
     /* 1405640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1405643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1405648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1405651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1405654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1405657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1405660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1405667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405679 */     // MIs[0] Operand 5
     /* 1405679 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405690 */     // MIs[0] policy
     /* 1405690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405700 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1405703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405722 */     // GIR_Coverage, 21032,
     /* 1405722 */     GIR_EraseRootFromParent_Done,
     /* 1405723 */   // Label 19883: @1405723
     /* 1405723 */   GIM_Try, /*On fail goto*//*Label 19884*/ GIMT_Encode4(1405811), // Rule ID 21335 //
     /* 1405728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1405736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1405739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1405742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1405745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405767 */     // MIs[0] Operand 5
     /* 1405767 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405778 */     // MIs[0] policy
     /* 1405778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405788 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1405791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1405807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405810 */     // GIR_Coverage, 21335,
     /* 1405810 */     GIR_EraseRootFromParent_Done,
     /* 1405811 */   // Label 19884: @1405811
     /* 1405811 */   GIM_Try, /*On fail goto*//*Label 19885*/ GIMT_Encode4(1405899), // Rule ID 21336 //
     /* 1405816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1405819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1405824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1405827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1405830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1405833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405855 */     // MIs[0] Operand 5
     /* 1405855 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405866 */     // MIs[0] policy
     /* 1405866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405876 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1405879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1405895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405898 */     // GIR_Coverage, 21336,
     /* 1405898 */     GIR_EraseRootFromParent_Done,
     /* 1405899 */   // Label 19885: @1405899
     /* 1405899 */   GIM_Try, /*On fail goto*//*Label 19886*/ GIMT_Encode4(1405987), // Rule ID 21339 //
     /* 1405904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1405907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1405912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1405915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1405918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1405921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405943 */     // MIs[0] Operand 5
     /* 1405943 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405954 */     // MIs[0] policy
     /* 1405954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405964 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1405967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1405983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405986 */     // GIR_Coverage, 21339,
     /* 1405986 */     GIR_EraseRootFromParent_Done,
     /* 1405987 */   // Label 19886: @1405987
     /* 1405987 */   GIM_Try, /*On fail goto*//*Label 19887*/ GIMT_Encode4(1406075), // Rule ID 21340 //
     /* 1405992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1405995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1406000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1406003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1406006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1406009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1406012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406031 */     // MIs[0] Operand 5
     /* 1406031 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406042 */     // MIs[0] policy
     /* 1406042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406052 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1406055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406074 */     // GIR_Coverage, 21340,
     /* 1406074 */     GIR_EraseRootFromParent_Done,
     /* 1406075 */   // Label 19887: @1406075
     /* 1406075 */   GIM_Try, /*On fail goto*//*Label 19888*/ GIMT_Encode4(1406163), // Rule ID 21343 //
     /* 1406080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1406088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1406091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1406094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1406097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1406100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406119 */     // MIs[0] Operand 5
     /* 1406119 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406130 */     // MIs[0] policy
     /* 1406130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406140 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1406143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406162 */     // GIR_Coverage, 21343,
     /* 1406162 */     GIR_EraseRootFromParent_Done,
     /* 1406163 */   // Label 19888: @1406163
     /* 1406163 */   GIM_Try, /*On fail goto*//*Label 19889*/ GIMT_Encode4(1406251), // Rule ID 21344 //
     /* 1406168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1406176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1406179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1406182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1406185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1406188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406207 */     // MIs[0] Operand 5
     /* 1406207 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406218 */     // MIs[0] policy
     /* 1406218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406228 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1406231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406250 */     // GIR_Coverage, 21344,
     /* 1406250 */     GIR_EraseRootFromParent_Done,
     /* 1406251 */   // Label 19889: @1406251
     /* 1406251 */   GIM_Try, /*On fail goto*//*Label 19890*/ GIMT_Encode4(1406339), // Rule ID 21347 //
     /* 1406256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1406264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1406267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1406270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1406273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406295 */     // MIs[0] Operand 5
     /* 1406295 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406306 */     // MIs[0] policy
     /* 1406306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406316 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1406319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406338 */     // GIR_Coverage, 21347,
     /* 1406338 */     GIR_EraseRootFromParent_Done,
     /* 1406339 */   // Label 19890: @1406339
     /* 1406339 */   GIM_Try, /*On fail goto*//*Label 19891*/ GIMT_Encode4(1406427), // Rule ID 21348 //
     /* 1406344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1406352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1406355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1406358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1406361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406383 */     // MIs[0] Operand 5
     /* 1406383 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406394 */     // MIs[0] policy
     /* 1406394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406404 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1406407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406426 */     // GIR_Coverage, 21348,
     /* 1406426 */     GIR_EraseRootFromParent_Done,
     /* 1406427 */   // Label 19891: @1406427
     /* 1406427 */   GIM_Try, /*On fail goto*//*Label 19892*/ GIMT_Encode4(1406515), // Rule ID 21351 //
     /* 1406432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1406440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1406443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1406446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1406449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1406452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406471 */     // MIs[0] Operand 5
     /* 1406471 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406482 */     // MIs[0] policy
     /* 1406482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406492 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1406495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406514 */     // GIR_Coverage, 21351,
     /* 1406514 */     GIR_EraseRootFromParent_Done,
     /* 1406515 */   // Label 19892: @1406515
     /* 1406515 */   GIM_Try, /*On fail goto*//*Label 19893*/ GIMT_Encode4(1406603), // Rule ID 21352 //
     /* 1406520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1406528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1406531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1406534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1406537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1406540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406559 */     // MIs[0] Operand 5
     /* 1406559 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406570 */     // MIs[0] policy
     /* 1406570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406580 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1406583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406602 */     // GIR_Coverage, 21352,
     /* 1406602 */     GIR_EraseRootFromParent_Done,
     /* 1406603 */   // Label 19893: @1406603
     /* 1406603 */   GIM_Try, /*On fail goto*//*Label 19894*/ GIMT_Encode4(1406691), // Rule ID 21355 //
     /* 1406608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1406611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1406616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1406619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1406622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1406625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1406628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406647 */     // MIs[0] Operand 5
     /* 1406647 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406658 */     // MIs[0] policy
     /* 1406658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406668 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1406671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406690 */     // GIR_Coverage, 21355,
     /* 1406690 */     GIR_EraseRootFromParent_Done,
     /* 1406691 */   // Label 19894: @1406691
     /* 1406691 */   GIM_Try, /*On fail goto*//*Label 19895*/ GIMT_Encode4(1406779), // Rule ID 21356 //
     /* 1406696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1406699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1406704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1406707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1406710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1406713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1406716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406735 */     // MIs[0] Operand 5
     /* 1406735 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406746 */     // MIs[0] policy
     /* 1406746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406756 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1406759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406778 */     // GIR_Coverage, 21356,
     /* 1406778 */     GIR_EraseRootFromParent_Done,
     /* 1406779 */   // Label 19895: @1406779
     /* 1406779 */   GIM_Try, /*On fail goto*//*Label 19896*/ GIMT_Encode4(1406867), // Rule ID 21359 //
     /* 1406784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1406787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1406792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1406795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1406798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1406801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406823 */     // MIs[0] Operand 5
     /* 1406823 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406834 */     // MIs[0] policy
     /* 1406834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406844 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1406847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406866 */     // GIR_Coverage, 21359,
     /* 1406866 */     GIR_EraseRootFromParent_Done,
     /* 1406867 */   // Label 19896: @1406867
     /* 1406867 */   GIM_Try, /*On fail goto*//*Label 19897*/ GIMT_Encode4(1406955), // Rule ID 21360 //
     /* 1406872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1406875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1406880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1406883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1406886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1406889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1406892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406911 */     // MIs[0] Operand 5
     /* 1406911 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406922 */     // MIs[0] policy
     /* 1406922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406932 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1406935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406954 */     // GIR_Coverage, 21360,
     /* 1406954 */     GIR_EraseRootFromParent_Done,
     /* 1406955 */   // Label 19897: @1406955
     /* 1406955 */   GIM_Try, /*On fail goto*//*Label 19898*/ GIMT_Encode4(1407043), // Rule ID 21363 //
     /* 1406960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1406963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1406968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1406971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1406974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1406977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1406980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406999 */     // MIs[0] Operand 5
     /* 1406999 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407010 */     // MIs[0] policy
     /* 1407010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407020 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1407023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407042 */     // GIR_Coverage, 21363,
     /* 1407042 */     GIR_EraseRootFromParent_Done,
     /* 1407043 */   // Label 19898: @1407043
     /* 1407043 */   GIM_Try, /*On fail goto*//*Label 19899*/ GIMT_Encode4(1407131), // Rule ID 21364 //
     /* 1407048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1407051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1407059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1407062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1407065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1407068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407087 */     // MIs[0] Operand 5
     /* 1407087 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407098 */     // MIs[0] policy
     /* 1407098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407108 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1407111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407130 */     // GIR_Coverage, 21364,
     /* 1407130 */     GIR_EraseRootFromParent_Done,
     /* 1407131 */   // Label 19899: @1407131
     /* 1407131 */   GIM_Try, /*On fail goto*//*Label 19900*/ GIMT_Encode4(1407219), // Rule ID 21367 //
     /* 1407136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1407139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1407147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1407150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1407153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407175 */     // MIs[0] Operand 5
     /* 1407175 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407186 */     // MIs[0] policy
     /* 1407186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407196 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1407199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407205 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407218 */     // GIR_Coverage, 21367,
     /* 1407218 */     GIR_EraseRootFromParent_Done,
     /* 1407219 */   // Label 19900: @1407219
     /* 1407219 */   GIM_Try, /*On fail goto*//*Label 19901*/ GIMT_Encode4(1407307), // Rule ID 21368 //
     /* 1407224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1407227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1407235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1407238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1407241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1407244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407263 */     // MIs[0] Operand 5
     /* 1407263 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407274 */     // MIs[0] policy
     /* 1407274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407284 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1407287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407306 */     // GIR_Coverage, 21368,
     /* 1407306 */     GIR_EraseRootFromParent_Done,
     /* 1407307 */   // Label 19901: @1407307
     /* 1407307 */   GIM_Try, /*On fail goto*//*Label 19902*/ GIMT_Encode4(1407395), // Rule ID 21371 //
     /* 1407312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1407315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1407323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1407326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1407329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407351 */     // MIs[0] Operand 5
     /* 1407351 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407362 */     // MIs[0] policy
     /* 1407362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407372 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1407375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407394 */     // GIR_Coverage, 21371,
     /* 1407394 */     GIR_EraseRootFromParent_Done,
     /* 1407395 */   // Label 19902: @1407395
     /* 1407395 */   GIM_Try, /*On fail goto*//*Label 19903*/ GIMT_Encode4(1407483), // Rule ID 21372 //
     /* 1407400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1407403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1407411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1407414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1407417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1407420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407439 */     // MIs[0] Operand 5
     /* 1407439 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407450 */     // MIs[0] policy
     /* 1407450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407460 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1407463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407482 */     // GIR_Coverage, 21372,
     /* 1407482 */     GIR_EraseRootFromParent_Done,
     /* 1407483 */   // Label 19903: @1407483
     /* 1407483 */   GIM_Try, /*On fail goto*//*Label 19904*/ GIMT_Encode4(1407571), // Rule ID 21375 //
     /* 1407488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1407491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1407499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1407502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1407505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1407508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407527 */     // MIs[0] Operand 5
     /* 1407527 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407538 */     // MIs[0] policy
     /* 1407538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407548 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1407551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407570 */     // GIR_Coverage, 21375,
     /* 1407570 */     GIR_EraseRootFromParent_Done,
     /* 1407571 */   // Label 19904: @1407571
     /* 1407571 */   GIM_Try, /*On fail goto*//*Label 19905*/ GIMT_Encode4(1407659), // Rule ID 21376 //
     /* 1407576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1407579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1407587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1407590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1407593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1407596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407615 */     // MIs[0] Operand 5
     /* 1407615 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407626 */     // MIs[0] policy
     /* 1407626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407636 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1407639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407658 */     // GIR_Coverage, 21376,
     /* 1407658 */     GIR_EraseRootFromParent_Done,
     /* 1407659 */   // Label 19905: @1407659
     /* 1407659 */   GIM_Try, /*On fail goto*//*Label 19906*/ GIMT_Encode4(1407747), // Rule ID 21379 //
     /* 1407664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1407667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1407675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1407678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1407681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1407684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407703 */     // MIs[0] Operand 5
     /* 1407703 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407714 */     // MIs[0] policy
     /* 1407714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407724 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1407727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407746 */     // GIR_Coverage, 21379,
     /* 1407746 */     GIR_EraseRootFromParent_Done,
     /* 1407747 */   // Label 19906: @1407747
     /* 1407747 */   GIM_Try, /*On fail goto*//*Label 19907*/ GIMT_Encode4(1407835), // Rule ID 21380 //
     /* 1407752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1407755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1407763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1407766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1407769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1407772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407791 */     // MIs[0] Operand 5
     /* 1407791 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407802 */     // MIs[0] policy
     /* 1407802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407812 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1407815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407834 */     // GIR_Coverage, 21380,
     /* 1407834 */     GIR_EraseRootFromParent_Done,
     /* 1407835 */   // Label 19907: @1407835
     /* 1407835 */   GIM_Try, /*On fail goto*//*Label 19908*/ GIMT_Encode4(1407923), // Rule ID 21383 //
     /* 1407840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1407843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1407851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1407854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1407857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1407860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407879 */     // MIs[0] Operand 5
     /* 1407879 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407890 */     // MIs[0] policy
     /* 1407890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1407903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407922 */     // GIR_Coverage, 21383,
     /* 1407922 */     GIR_EraseRootFromParent_Done,
     /* 1407923 */   // Label 19908: @1407923
     /* 1407923 */   GIM_Try, /*On fail goto*//*Label 19909*/ GIMT_Encode4(1408011), // Rule ID 21384 //
     /* 1407928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1407931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1407936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1407939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1407942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1407945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1407948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407967 */     // MIs[0] Operand 5
     /* 1407967 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1407978 */     // MIs[0] policy
     /* 1407978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407988 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1407991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1407997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1407999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408010 */     // GIR_Coverage, 21384,
     /* 1408010 */     GIR_EraseRootFromParent_Done,
     /* 1408011 */   // Label 19909: @1408011
     /* 1408011 */   GIM_Try, /*On fail goto*//*Label 19910*/ GIMT_Encode4(1408099), // Rule ID 21387 //
     /* 1408016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1408019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1408027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1408030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1408033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408055 */     // MIs[0] Operand 5
     /* 1408055 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408066 */     // MIs[0] policy
     /* 1408066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408076 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1408079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408098 */     // GIR_Coverage, 21387,
     /* 1408098 */     GIR_EraseRootFromParent_Done,
     /* 1408099 */   // Label 19910: @1408099
     /* 1408099 */   GIM_Try, /*On fail goto*//*Label 19911*/ GIMT_Encode4(1408187), // Rule ID 21388 //
     /* 1408104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1408107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1408115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1408118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1408121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408143 */     // MIs[0] Operand 5
     /* 1408143 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408154 */     // MIs[0] policy
     /* 1408154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408164 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1408167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408186 */     // GIR_Coverage, 21388,
     /* 1408186 */     GIR_EraseRootFromParent_Done,
     /* 1408187 */   // Label 19911: @1408187
     /* 1408187 */   GIM_Try, /*On fail goto*//*Label 19912*/ GIMT_Encode4(1408275), // Rule ID 21391 //
     /* 1408192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1408195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1408203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1408206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1408209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1408212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408231 */     // MIs[0] Operand 5
     /* 1408231 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408242 */     // MIs[0] policy
     /* 1408242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408252 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1408255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408274 */     // GIR_Coverage, 21391,
     /* 1408274 */     GIR_EraseRootFromParent_Done,
     /* 1408275 */   // Label 19912: @1408275
     /* 1408275 */   GIM_Try, /*On fail goto*//*Label 19913*/ GIMT_Encode4(1408363), // Rule ID 21392 //
     /* 1408280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1408283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1408288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1408291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1408294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1408297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1408300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408319 */     // MIs[0] Operand 5
     /* 1408319 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408330 */     // MIs[0] policy
     /* 1408330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408340 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1408343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408362 */     // GIR_Coverage, 21392,
     /* 1408362 */     GIR_EraseRootFromParent_Done,
     /* 1408363 */   // Label 19913: @1408363
     /* 1408363 */   GIM_Try, /*On fail goto*//*Label 19914*/ GIMT_Encode4(1408451), // Rule ID 21395 //
     /* 1408368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1408371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1408376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1408379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1408382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1408385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408407 */     // MIs[0] Operand 5
     /* 1408407 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408418 */     // MIs[0] policy
     /* 1408418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408428 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1408431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408450 */     // GIR_Coverage, 21395,
     /* 1408450 */     GIR_EraseRootFromParent_Done,
     /* 1408451 */   // Label 19914: @1408451
     /* 1408451 */   GIM_Try, /*On fail goto*//*Label 19915*/ GIMT_Encode4(1408539), // Rule ID 21396 //
     /* 1408456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1408459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1408464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1408467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1408470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1408473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1408476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408495 */     // MIs[0] Operand 5
     /* 1408495 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408506 */     // MIs[0] policy
     /* 1408506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408516 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1408519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408538 */     // GIR_Coverage, 21396,
     /* 1408538 */     GIR_EraseRootFromParent_Done,
     /* 1408539 */   // Label 19915: @1408539
     /* 1408539 */   GIM_Try, /*On fail goto*//*Label 19916*/ GIMT_Encode4(1408627), // Rule ID 21399 //
     /* 1408544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1408547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1408552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1408555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1408558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1408561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1408564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408583 */     // MIs[0] Operand 5
     /* 1408583 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408594 */     // MIs[0] policy
     /* 1408594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408604 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1408607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408626 */     // GIR_Coverage, 21399,
     /* 1408626 */     GIR_EraseRootFromParent_Done,
     /* 1408627 */   // Label 19916: @1408627
     /* 1408627 */   GIM_Try, /*On fail goto*//*Label 19917*/ GIMT_Encode4(1408715), // Rule ID 21400 //
     /* 1408632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1408635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1408640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1408643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1408646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1408649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1408652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408671 */     // MIs[0] Operand 5
     /* 1408671 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408682 */     // MIs[0] policy
     /* 1408682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408692 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1408695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408714 */     // GIR_Coverage, 21400,
     /* 1408714 */     GIR_EraseRootFromParent_Done,
     /* 1408715 */   // Label 19917: @1408715
     /* 1408715 */   GIM_Try, /*On fail goto*//*Label 19918*/ GIMT_Encode4(1408803), // Rule ID 21403 //
     /* 1408720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1408723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1408728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1408731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1408734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1408737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408759 */     // MIs[0] Operand 5
     /* 1408759 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408770 */     // MIs[0] policy
     /* 1408770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408780 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1408783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408802 */     // GIR_Coverage, 21403,
     /* 1408802 */     GIR_EraseRootFromParent_Done,
     /* 1408803 */   // Label 19918: @1408803
     /* 1408803 */   GIM_Try, /*On fail goto*//*Label 19919*/ GIMT_Encode4(1408891), // Rule ID 21404 //
     /* 1408808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1408811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1408816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1408819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1408822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1408825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1408828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408847 */     // MIs[0] Operand 5
     /* 1408847 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408858 */     // MIs[0] policy
     /* 1408858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408868 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1408871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408890 */     // GIR_Coverage, 21404,
     /* 1408890 */     GIR_EraseRootFromParent_Done,
     /* 1408891 */   // Label 19919: @1408891
     /* 1408891 */   GIM_Try, /*On fail goto*//*Label 19920*/ GIMT_Encode4(1408979), // Rule ID 21407 //
     /* 1408896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1408899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1408904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1408907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1408910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1408913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1408916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408935 */     // MIs[0] Operand 5
     /* 1408935 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1408946 */     // MIs[0] policy
     /* 1408946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408956 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1408959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1408965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1408967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408978 */     // GIR_Coverage, 21407,
     /* 1408978 */     GIR_EraseRootFromParent_Done,
     /* 1408979 */   // Label 19920: @1408979
     /* 1408979 */   GIM_Try, /*On fail goto*//*Label 19921*/ GIMT_Encode4(1409067), // Rule ID 21408 //
     /* 1408984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1408987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1408992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1408995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1408998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1409001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1409004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409023 */     // MIs[0] Operand 5
     /* 1409023 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409034 */     // MIs[0] policy
     /* 1409034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409044 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1409047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1409063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409066 */     // GIR_Coverage, 21408,
     /* 1409066 */     GIR_EraseRootFromParent_Done,
     /* 1409067 */   // Label 19921: @1409067
     /* 1409067 */   GIM_Try, /*On fail goto*//*Label 19922*/ GIMT_Encode4(1409155), // Rule ID 21411 //
     /* 1409072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1409075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1409083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1409086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1409089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1409092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409111 */     // MIs[0] Operand 5
     /* 1409111 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409122 */     // MIs[0] policy
     /* 1409122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409132 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1409135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1409151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409154 */     // GIR_Coverage, 21411,
     /* 1409154 */     GIR_EraseRootFromParent_Done,
     /* 1409155 */   // Label 19922: @1409155
     /* 1409155 */   GIM_Try, /*On fail goto*//*Label 19923*/ GIMT_Encode4(1409243), // Rule ID 21412 //
     /* 1409160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1409163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1409171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1409174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1409177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1409180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409199 */     // MIs[0] Operand 5
     /* 1409199 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409210 */     // MIs[0] policy
     /* 1409210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409220 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1409223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1409239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409242 */     // GIR_Coverage, 21412,
     /* 1409242 */     GIR_EraseRootFromParent_Done,
     /* 1409243 */   // Label 19923: @1409243
     /* 1409243 */   GIM_Try, /*On fail goto*//*Label 19924*/ GIMT_Encode4(1409331), // Rule ID 21415 //
     /* 1409248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1409251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1409259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1409262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1409265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1409268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409287 */     // MIs[0] Operand 5
     /* 1409287 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409298 */     // MIs[0] policy
     /* 1409298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409308 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1409311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1409327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409330 */     // GIR_Coverage, 21415,
     /* 1409330 */     GIR_EraseRootFromParent_Done,
     /* 1409331 */   // Label 19924: @1409331
     /* 1409331 */   GIM_Try, /*On fail goto*//*Label 19925*/ GIMT_Encode4(1409419), // Rule ID 21416 //
     /* 1409336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1409339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1409347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1409350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1409353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1409356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409375 */     // MIs[0] Operand 5
     /* 1409375 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409386 */     // MIs[0] policy
     /* 1409386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409396 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1409399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1409415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409418 */     // GIR_Coverage, 21416,
     /* 1409418 */     GIR_EraseRootFromParent_Done,
     /* 1409419 */   // Label 19925: @1409419
     /* 1409419 */   GIM_Try, /*On fail goto*//*Label 19926*/ GIMT_Encode4(1409507), // Rule ID 21419 //
     /* 1409424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1409427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1409435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1409438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1409441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1409444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409463 */     // MIs[0] Operand 5
     /* 1409463 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409474 */     // MIs[0] policy
     /* 1409474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409484 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1409487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409506 */     // GIR_Coverage, 21419,
     /* 1409506 */     GIR_EraseRootFromParent_Done,
     /* 1409507 */   // Label 19926: @1409507
     /* 1409507 */   GIM_Try, /*On fail goto*//*Label 19927*/ GIMT_Encode4(1409595), // Rule ID 21420 //
     /* 1409512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1409515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1409523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1409526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1409529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1409532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409551 */     // MIs[0] Operand 5
     /* 1409551 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409562 */     // MIs[0] policy
     /* 1409562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409572 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1409575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409594 */     // GIR_Coverage, 21420,
     /* 1409594 */     GIR_EraseRootFromParent_Done,
     /* 1409595 */   // Label 19927: @1409595
     /* 1409595 */   GIM_Try, /*On fail goto*//*Label 19928*/ GIMT_Encode4(1409683), // Rule ID 21423 //
     /* 1409600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1409603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1409611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1409614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1409617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1409620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409639 */     // MIs[0] Operand 5
     /* 1409639 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409650 */     // MIs[0] policy
     /* 1409650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409660 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1409663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409682 */     // GIR_Coverage, 21423,
     /* 1409682 */     GIR_EraseRootFromParent_Done,
     /* 1409683 */   // Label 19928: @1409683
     /* 1409683 */   GIM_Try, /*On fail goto*//*Label 19929*/ GIMT_Encode4(1409771), // Rule ID 21424 //
     /* 1409688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1409691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1409699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1409702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1409705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1409708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409727 */     // MIs[0] Operand 5
     /* 1409727 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409738 */     // MIs[0] policy
     /* 1409738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409748 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1409751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409770 */     // GIR_Coverage, 21424,
     /* 1409770 */     GIR_EraseRootFromParent_Done,
     /* 1409771 */   // Label 19929: @1409771
     /* 1409771 */   GIM_Try, /*On fail goto*//*Label 19930*/ GIMT_Encode4(1409859), // Rule ID 21427 //
     /* 1409776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1409779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1409787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1409790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1409793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1409796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409815 */     // MIs[0] Operand 5
     /* 1409815 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409826 */     // MIs[0] policy
     /* 1409826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409836 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1409839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409858 */     // GIR_Coverage, 21427,
     /* 1409858 */     GIR_EraseRootFromParent_Done,
     /* 1409859 */   // Label 19930: @1409859
     /* 1409859 */   GIM_Try, /*On fail goto*//*Label 19931*/ GIMT_Encode4(1409947), // Rule ID 21428 //
     /* 1409864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1409867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1409875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1409878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1409881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1409884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409903 */     // MIs[0] Operand 5
     /* 1409903 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409914 */     // MIs[0] policy
     /* 1409914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409924 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1409927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409946 */     // GIR_Coverage, 21428,
     /* 1409946 */     GIR_EraseRootFromParent_Done,
     /* 1409947 */   // Label 19931: @1409947
     /* 1409947 */   GIM_Try, /*On fail goto*//*Label 19932*/ GIMT_Encode4(1410035), // Rule ID 21431 //
     /* 1409952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1409955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1409960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1409963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1409966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1409969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1409972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409991 */     // MIs[0] Operand 5
     /* 1409991 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410002 */     // MIs[0] policy
     /* 1410002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410012 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1410015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410034 */     // GIR_Coverage, 21431,
     /* 1410034 */     GIR_EraseRootFromParent_Done,
     /* 1410035 */   // Label 19932: @1410035
     /* 1410035 */   GIM_Try, /*On fail goto*//*Label 19933*/ GIMT_Encode4(1410123), // Rule ID 21432 //
     /* 1410040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1410043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1410051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1410054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1410057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410079 */     // MIs[0] Operand 5
     /* 1410079 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410090 */     // MIs[0] policy
     /* 1410090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410100 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1410103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410122 */     // GIR_Coverage, 21432,
     /* 1410122 */     GIR_EraseRootFromParent_Done,
     /* 1410123 */   // Label 19933: @1410123
     /* 1410123 */   GIM_Try, /*On fail goto*//*Label 19934*/ GIMT_Encode4(1410211), // Rule ID 21435 //
     /* 1410128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1410131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1410139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1410142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1410145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1410148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410167 */     // MIs[0] Operand 5
     /* 1410167 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410178 */     // MIs[0] policy
     /* 1410178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410188 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1410191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410210 */     // GIR_Coverage, 21435,
     /* 1410210 */     GIR_EraseRootFromParent_Done,
     /* 1410211 */   // Label 19934: @1410211
     /* 1410211 */   GIM_Try, /*On fail goto*//*Label 19935*/ GIMT_Encode4(1410299), // Rule ID 21436 //
     /* 1410216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1410219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1410227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1410230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1410233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1410236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410255 */     // MIs[0] Operand 5
     /* 1410255 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410266 */     // MIs[0] policy
     /* 1410266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410276 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1410279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410298 */     // GIR_Coverage, 21436,
     /* 1410298 */     GIR_EraseRootFromParent_Done,
     /* 1410299 */   // Label 19935: @1410299
     /* 1410299 */   GIM_Try, /*On fail goto*//*Label 19936*/ GIMT_Encode4(1410387), // Rule ID 21439 //
     /* 1410304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1410307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1410315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1410318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1410321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410343 */     // MIs[0] Operand 5
     /* 1410343 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410354 */     // MIs[0] policy
     /* 1410354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410364 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1410367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410386 */     // GIR_Coverage, 21439,
     /* 1410386 */     GIR_EraseRootFromParent_Done,
     /* 1410387 */   // Label 19936: @1410387
     /* 1410387 */   GIM_Try, /*On fail goto*//*Label 19937*/ GIMT_Encode4(1410475), // Rule ID 21440 //
     /* 1410392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1410395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1410403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1410406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1410409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410431 */     // MIs[0] Operand 5
     /* 1410431 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410442 */     // MIs[0] policy
     /* 1410442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410452 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1410455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410474 */     // GIR_Coverage, 21440,
     /* 1410474 */     GIR_EraseRootFromParent_Done,
     /* 1410475 */   // Label 19937: @1410475
     /* 1410475 */   GIM_Try, /*On fail goto*//*Label 19938*/ GIMT_Encode4(1410563), // Rule ID 21443 //
     /* 1410480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1410483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1410491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1410494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1410497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410519 */     // MIs[0] Operand 5
     /* 1410519 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410530 */     // MIs[0] policy
     /* 1410530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410540 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1410543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410562 */     // GIR_Coverage, 21443,
     /* 1410562 */     GIR_EraseRootFromParent_Done,
     /* 1410563 */   // Label 19938: @1410563
     /* 1410563 */   GIM_Try, /*On fail goto*//*Label 19939*/ GIMT_Encode4(1410651), // Rule ID 21444 //
     /* 1410568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1410571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1410579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1410582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1410585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410607 */     // MIs[0] Operand 5
     /* 1410607 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410618 */     // MIs[0] policy
     /* 1410618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1410631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410650 */     // GIR_Coverage, 21444,
     /* 1410650 */     GIR_EraseRootFromParent_Done,
     /* 1410651 */   // Label 19939: @1410651
     /* 1410651 */   GIM_Try, /*On fail goto*//*Label 19940*/ GIMT_Encode4(1410739), // Rule ID 21447 //
     /* 1410656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1410659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1410667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1410670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1410673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1410676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410695 */     // MIs[0] Operand 5
     /* 1410695 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410706 */     // MIs[0] policy
     /* 1410706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410716 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1410719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410738 */     // GIR_Coverage, 21447,
     /* 1410738 */     GIR_EraseRootFromParent_Done,
     /* 1410739 */   // Label 19940: @1410739
     /* 1410739 */   GIM_Try, /*On fail goto*//*Label 19941*/ GIMT_Encode4(1410827), // Rule ID 21448 //
     /* 1410744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1410747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1410755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1410758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1410761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1410764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410783 */     // MIs[0] Operand 5
     /* 1410783 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410794 */     // MIs[0] policy
     /* 1410794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410804 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1410807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410826 */     // GIR_Coverage, 21448,
     /* 1410826 */     GIR_EraseRootFromParent_Done,
     /* 1410827 */   // Label 19941: @1410827
     /* 1410827 */   GIM_Try, /*On fail goto*//*Label 19942*/ GIMT_Encode4(1410915), // Rule ID 21451 //
     /* 1410832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1410835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1410843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1410846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1410849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410871 */     // MIs[0] Operand 5
     /* 1410871 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410882 */     // MIs[0] policy
     /* 1410882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410892 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1410895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410914 */     // GIR_Coverage, 21451,
     /* 1410914 */     GIR_EraseRootFromParent_Done,
     /* 1410915 */   // Label 19942: @1410915
     /* 1410915 */   GIM_Try, /*On fail goto*//*Label 19943*/ GIMT_Encode4(1411003), // Rule ID 21452 //
     /* 1410920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1410923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1410928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1410931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1410934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1410937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410959 */     // MIs[0] Operand 5
     /* 1410959 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410970 */     // MIs[0] policy
     /* 1410970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410980 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1410983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411002 */     // GIR_Coverage, 21452,
     /* 1411002 */     GIR_EraseRootFromParent_Done,
     /* 1411003 */   // Label 19943: @1411003
     /* 1411003 */   GIM_Try, /*On fail goto*//*Label 19944*/ GIMT_Encode4(1411102), // Rule ID 2657 //
     /* 1411008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1411011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1411016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1411019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1411022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1411025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1411028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1411031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1411058 */     // MIs[1] Operand 1
     /* 1411058 */     // No operand predicates
     /* 1411058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411062 */     // MIs[0] policy
     /* 1411062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411074 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1411077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411083 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1411088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411101 */     // GIR_Coverage, 2657,
     /* 1411101 */     GIR_EraseRootFromParent_Done,
     /* 1411102 */   // Label 19944: @1411102
     /* 1411102 */   GIM_Try, /*On fail goto*//*Label 19945*/ GIMT_Encode4(1411201), // Rule ID 2658 //
     /* 1411107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1411110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1411115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1411118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1411121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1411124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1411127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1411130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1411157 */     // MIs[1] Operand 1
     /* 1411157 */     // No operand predicates
     /* 1411157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411161 */     // MIs[0] policy
     /* 1411161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411173 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1411176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411182 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1411187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411200 */     // GIR_Coverage, 2658,
     /* 1411200 */     GIR_EraseRootFromParent_Done,
     /* 1411201 */   // Label 19945: @1411201
     /* 1411201 */   GIM_Try, /*On fail goto*//*Label 19946*/ GIMT_Encode4(1411300), // Rule ID 2665 //
     /* 1411206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1411209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1411214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1411217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1411220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1411223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1411226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1411229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1411256 */     // MIs[1] Operand 1
     /* 1411256 */     // No operand predicates
     /* 1411256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411260 */     // MIs[0] policy
     /* 1411260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411272 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1411275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411281 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1411286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411299 */     // GIR_Coverage, 2665,
     /* 1411299 */     GIR_EraseRootFromParent_Done,
     /* 1411300 */   // Label 19946: @1411300
     /* 1411300 */   GIM_Try, /*On fail goto*//*Label 19947*/ GIMT_Encode4(1411399), // Rule ID 2666 //
     /* 1411305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1411308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1411313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1411316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1411319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1411322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1411325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1411328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1411355 */     // MIs[1] Operand 1
     /* 1411355 */     // No operand predicates
     /* 1411355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411359 */     // MIs[0] policy
     /* 1411359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411371 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1411374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411380 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1411385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411398 */     // GIR_Coverage, 2666,
     /* 1411398 */     GIR_EraseRootFromParent_Done,
     /* 1411399 */   // Label 19947: @1411399
     /* 1411399 */   GIM_Try, /*On fail goto*//*Label 19948*/ GIMT_Encode4(1411498), // Rule ID 2673 //
     /* 1411404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1411407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1411412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1411415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1411418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1411421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1411424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1411427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1411454 */     // MIs[1] Operand 1
     /* 1411454 */     // No operand predicates
     /* 1411454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411458 */     // MIs[0] policy
     /* 1411458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411470 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1411473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411479 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1411484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411497 */     // GIR_Coverage, 2673,
     /* 1411497 */     GIR_EraseRootFromParent_Done,
     /* 1411498 */   // Label 19948: @1411498
     /* 1411498 */   GIM_Try, /*On fail goto*//*Label 19949*/ GIMT_Encode4(1411597), // Rule ID 2674 //
     /* 1411503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1411506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1411511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1411514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1411517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1411520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1411523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1411526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1411553 */     // MIs[1] Operand 1
     /* 1411553 */     // No operand predicates
     /* 1411553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411557 */     // MIs[0] policy
     /* 1411557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411569 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1411572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411578 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1411583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411596 */     // GIR_Coverage, 2674,
     /* 1411596 */     GIR_EraseRootFromParent_Done,
     /* 1411597 */   // Label 19949: @1411597
     /* 1411597 */   GIM_Try, /*On fail goto*//*Label 19950*/ GIMT_Encode4(1411696), // Rule ID 2681 //
     /* 1411602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1411605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1411610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1411613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1411616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1411619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1411622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1411625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1411652 */     // MIs[1] Operand 1
     /* 1411652 */     // No operand predicates
     /* 1411652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411656 */     // MIs[0] policy
     /* 1411656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411668 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1411671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411677 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1411682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411695 */     // GIR_Coverage, 2681,
     /* 1411695 */     GIR_EraseRootFromParent_Done,
     /* 1411696 */   // Label 19950: @1411696
     /* 1411696 */   GIM_Try, /*On fail goto*//*Label 19951*/ GIMT_Encode4(1411795), // Rule ID 2682 //
     /* 1411701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1411704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1411709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1411712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1411715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1411718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1411721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1411724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1411751 */     // MIs[1] Operand 1
     /* 1411751 */     // No operand predicates
     /* 1411751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411755 */     // MIs[0] policy
     /* 1411755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411767 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1411770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411776 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1411781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411794 */     // GIR_Coverage, 2682,
     /* 1411794 */     GIR_EraseRootFromParent_Done,
     /* 1411795 */   // Label 19951: @1411795
     /* 1411795 */   GIM_Try, /*On fail goto*//*Label 19952*/ GIMT_Encode4(1411894), // Rule ID 2689 //
     /* 1411800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1411803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1411808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1411811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1411814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1411817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1411820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1411823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1411850 */     // MIs[1] Operand 1
     /* 1411850 */     // No operand predicates
     /* 1411850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411854 */     // MIs[0] policy
     /* 1411854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411866 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1411869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411875 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1411880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411893 */     // GIR_Coverage, 2689,
     /* 1411893 */     GIR_EraseRootFromParent_Done,
     /* 1411894 */   // Label 19952: @1411894
     /* 1411894 */   GIM_Try, /*On fail goto*//*Label 19953*/ GIMT_Encode4(1411993), // Rule ID 2690 //
     /* 1411899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1411902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1411907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1411910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1411913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1411916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1411919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1411922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1411949 */     // MIs[1] Operand 1
     /* 1411949 */     // No operand predicates
     /* 1411949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411953 */     // MIs[0] policy
     /* 1411953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411965 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1411968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411974 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1411979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411992 */     // GIR_Coverage, 2690,
     /* 1411992 */     GIR_EraseRootFromParent_Done,
     /* 1411993 */   // Label 19953: @1411993
     /* 1411993 */   GIM_Try, /*On fail goto*//*Label 19954*/ GIMT_Encode4(1412092), // Rule ID 2697 //
     /* 1411998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1412009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1412012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1412015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1412021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412048 */     // MIs[1] Operand 1
     /* 1412048 */     // No operand predicates
     /* 1412048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412052 */     // MIs[0] policy
     /* 1412052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412064 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1412067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412073 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412091 */     // GIR_Coverage, 2697,
     /* 1412091 */     GIR_EraseRootFromParent_Done,
     /* 1412092 */   // Label 19954: @1412092
     /* 1412092 */   GIM_Try, /*On fail goto*//*Label 19955*/ GIMT_Encode4(1412191), // Rule ID 2698 //
     /* 1412097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1412108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1412111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1412114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1412120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412147 */     // MIs[1] Operand 1
     /* 1412147 */     // No operand predicates
     /* 1412147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412151 */     // MIs[0] policy
     /* 1412151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412163 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1412166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412172 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412190 */     // GIR_Coverage, 2698,
     /* 1412190 */     GIR_EraseRootFromParent_Done,
     /* 1412191 */   // Label 19955: @1412191
     /* 1412191 */   GIM_Try, /*On fail goto*//*Label 19956*/ GIMT_Encode4(1412290), // Rule ID 2705 //
     /* 1412196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1412207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1412210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1412213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1412219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412246 */     // MIs[1] Operand 1
     /* 1412246 */     // No operand predicates
     /* 1412246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412250 */     // MIs[0] policy
     /* 1412250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412262 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1412265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412271 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412289 */     // GIR_Coverage, 2705,
     /* 1412289 */     GIR_EraseRootFromParent_Done,
     /* 1412290 */   // Label 19956: @1412290
     /* 1412290 */   GIM_Try, /*On fail goto*//*Label 19957*/ GIMT_Encode4(1412389), // Rule ID 2706 //
     /* 1412295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1412306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1412309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1412312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1412318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412345 */     // MIs[1] Operand 1
     /* 1412345 */     // No operand predicates
     /* 1412345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412349 */     // MIs[0] policy
     /* 1412349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412361 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1412364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412370 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412388 */     // GIR_Coverage, 2706,
     /* 1412388 */     GIR_EraseRootFromParent_Done,
     /* 1412389 */   // Label 19957: @1412389
     /* 1412389 */   GIM_Try, /*On fail goto*//*Label 19958*/ GIMT_Encode4(1412488), // Rule ID 2713 //
     /* 1412394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1412405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1412408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1412411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1412417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412444 */     // MIs[1] Operand 1
     /* 1412444 */     // No operand predicates
     /* 1412444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412448 */     // MIs[0] policy
     /* 1412448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412460 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1412463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412469 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412487 */     // GIR_Coverage, 2713,
     /* 1412487 */     GIR_EraseRootFromParent_Done,
     /* 1412488 */   // Label 19958: @1412488
     /* 1412488 */   GIM_Try, /*On fail goto*//*Label 19959*/ GIMT_Encode4(1412587), // Rule ID 2714 //
     /* 1412493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1412504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1412507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1412510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1412516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412543 */     // MIs[1] Operand 1
     /* 1412543 */     // No operand predicates
     /* 1412543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412547 */     // MIs[0] policy
     /* 1412547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412559 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1412562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412568 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412586 */     // GIR_Coverage, 2714,
     /* 1412586 */     GIR_EraseRootFromParent_Done,
     /* 1412587 */   // Label 19959: @1412587
     /* 1412587 */   GIM_Try, /*On fail goto*//*Label 19960*/ GIMT_Encode4(1412686), // Rule ID 2721 //
     /* 1412592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1412603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1412606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1412609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1412615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412642 */     // MIs[1] Operand 1
     /* 1412642 */     // No operand predicates
     /* 1412642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412646 */     // MIs[0] policy
     /* 1412646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412658 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1412661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412667 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412685 */     // GIR_Coverage, 2721,
     /* 1412685 */     GIR_EraseRootFromParent_Done,
     /* 1412686 */   // Label 19960: @1412686
     /* 1412686 */   GIM_Try, /*On fail goto*//*Label 19961*/ GIMT_Encode4(1412785), // Rule ID 2722 //
     /* 1412691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1412702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1412705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1412708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1412714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412741 */     // MIs[1] Operand 1
     /* 1412741 */     // No operand predicates
     /* 1412741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412745 */     // MIs[0] policy
     /* 1412745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412757 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1412760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412766 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412784 */     // GIR_Coverage, 2722,
     /* 1412784 */     GIR_EraseRootFromParent_Done,
     /* 1412785 */   // Label 19961: @1412785
     /* 1412785 */   GIM_Try, /*On fail goto*//*Label 19962*/ GIMT_Encode4(1412884), // Rule ID 2729 //
     /* 1412790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1412793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1412801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1412804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1412807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1412813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412840 */     // MIs[1] Operand 1
     /* 1412840 */     // No operand predicates
     /* 1412840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412844 */     // MIs[0] policy
     /* 1412844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412856 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1412859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412865 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1412880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412883 */     // GIR_Coverage, 2729,
     /* 1412883 */     GIR_EraseRootFromParent_Done,
     /* 1412884 */   // Label 19962: @1412884
     /* 1412884 */   GIM_Try, /*On fail goto*//*Label 19963*/ GIMT_Encode4(1412983), // Rule ID 2730 //
     /* 1412889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1412892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1412900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1412903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1412906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1412912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1412939 */     // MIs[1] Operand 1
     /* 1412939 */     // No operand predicates
     /* 1412939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412943 */     // MIs[0] policy
     /* 1412943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412955 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1412958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412964 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1412969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1412979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412982 */     // GIR_Coverage, 2730,
     /* 1412982 */     GIR_EraseRootFromParent_Done,
     /* 1412983 */   // Label 19963: @1412983
     /* 1412983 */   GIM_Try, /*On fail goto*//*Label 19964*/ GIMT_Encode4(1413082), // Rule ID 2737 //
     /* 1412988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1412996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1412999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1413002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1413005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1413011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413038 */     // MIs[1] Operand 1
     /* 1413038 */     // No operand predicates
     /* 1413038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413042 */     // MIs[0] policy
     /* 1413042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413054 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1413057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413063 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413081 */     // GIR_Coverage, 2737,
     /* 1413081 */     GIR_EraseRootFromParent_Done,
     /* 1413082 */   // Label 19964: @1413082
     /* 1413082 */   GIM_Try, /*On fail goto*//*Label 19965*/ GIMT_Encode4(1413181), // Rule ID 2738 //
     /* 1413087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1413098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1413101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1413104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1413110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413137 */     // MIs[1] Operand 1
     /* 1413137 */     // No operand predicates
     /* 1413137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413141 */     // MIs[0] policy
     /* 1413141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413153 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1413156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413162 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413180 */     // GIR_Coverage, 2738,
     /* 1413180 */     GIR_EraseRootFromParent_Done,
     /* 1413181 */   // Label 19965: @1413181
     /* 1413181 */   GIM_Try, /*On fail goto*//*Label 19966*/ GIMT_Encode4(1413280), // Rule ID 2745 //
     /* 1413186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1413197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1413200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1413203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1413209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413236 */     // MIs[1] Operand 1
     /* 1413236 */     // No operand predicates
     /* 1413236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413240 */     // MIs[0] policy
     /* 1413240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413252 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1413255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413261 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413279 */     // GIR_Coverage, 2745,
     /* 1413279 */     GIR_EraseRootFromParent_Done,
     /* 1413280 */   // Label 19966: @1413280
     /* 1413280 */   GIM_Try, /*On fail goto*//*Label 19967*/ GIMT_Encode4(1413379), // Rule ID 2746 //
     /* 1413285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1413296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1413299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1413302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1413308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413335 */     // MIs[1] Operand 1
     /* 1413335 */     // No operand predicates
     /* 1413335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413339 */     // MIs[0] policy
     /* 1413339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413351 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1413354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413360 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413378 */     // GIR_Coverage, 2746,
     /* 1413378 */     GIR_EraseRootFromParent_Done,
     /* 1413379 */   // Label 19967: @1413379
     /* 1413379 */   GIM_Try, /*On fail goto*//*Label 19968*/ GIMT_Encode4(1413478), // Rule ID 2753 //
     /* 1413384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1413395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1413398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1413401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1413407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1413414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413434 */     // MIs[1] Operand 1
     /* 1413434 */     // No operand predicates
     /* 1413434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413438 */     // MIs[0] policy
     /* 1413438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413450 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1413453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413459 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413477 */     // GIR_Coverage, 2753,
     /* 1413477 */     GIR_EraseRootFromParent_Done,
     /* 1413478 */   // Label 19968: @1413478
     /* 1413478 */   GIM_Try, /*On fail goto*//*Label 19969*/ GIMT_Encode4(1413577), // Rule ID 2754 //
     /* 1413483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1413494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1413497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1413500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1413506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1413513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413533 */     // MIs[1] Operand 1
     /* 1413533 */     // No operand predicates
     /* 1413533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413537 */     // MIs[0] policy
     /* 1413537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413549 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1413552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413558 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413576 */     // GIR_Coverage, 2754,
     /* 1413576 */     GIR_EraseRootFromParent_Done,
     /* 1413577 */   // Label 19969: @1413577
     /* 1413577 */   GIM_Try, /*On fail goto*//*Label 19970*/ GIMT_Encode4(1413676), // Rule ID 2761 //
     /* 1413582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1413593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1413596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1413599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1413605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413632 */     // MIs[1] Operand 1
     /* 1413632 */     // No operand predicates
     /* 1413632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413636 */     // MIs[0] policy
     /* 1413636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413648 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1413651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413657 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413675 */     // GIR_Coverage, 2761,
     /* 1413675 */     GIR_EraseRootFromParent_Done,
     /* 1413676 */   // Label 19970: @1413676
     /* 1413676 */   GIM_Try, /*On fail goto*//*Label 19971*/ GIMT_Encode4(1413775), // Rule ID 2762 //
     /* 1413681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1413692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1413695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1413698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1413704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413731 */     // MIs[1] Operand 1
     /* 1413731 */     // No operand predicates
     /* 1413731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413735 */     // MIs[0] policy
     /* 1413735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413747 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1413750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413756 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413774 */     // GIR_Coverage, 2762,
     /* 1413774 */     GIR_EraseRootFromParent_Done,
     /* 1413775 */   // Label 19971: @1413775
     /* 1413775 */   GIM_Try, /*On fail goto*//*Label 19972*/ GIMT_Encode4(1413874), // Rule ID 2769 //
     /* 1413780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1413791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1413794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1413797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1413803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413830 */     // MIs[1] Operand 1
     /* 1413830 */     // No operand predicates
     /* 1413830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413834 */     // MIs[0] policy
     /* 1413834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413846 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1413849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413855 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413873 */     // GIR_Coverage, 2769,
     /* 1413873 */     GIR_EraseRootFromParent_Done,
     /* 1413874 */   // Label 19972: @1413874
     /* 1413874 */   GIM_Try, /*On fail goto*//*Label 19973*/ GIMT_Encode4(1413973), // Rule ID 2770 //
     /* 1413879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1413890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1413893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1413896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1413902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1413929 */     // MIs[1] Operand 1
     /* 1413929 */     // No operand predicates
     /* 1413929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413933 */     // MIs[0] policy
     /* 1413933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413945 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1413948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413954 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1413959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413972 */     // GIR_Coverage, 2770,
     /* 1413972 */     GIR_EraseRootFromParent_Done,
     /* 1413973 */   // Label 19973: @1413973
     /* 1413973 */   GIM_Try, /*On fail goto*//*Label 19974*/ GIMT_Encode4(1414072), // Rule ID 2777 //
     /* 1413978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1413986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1413989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1413992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1413995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1414001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1414008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414028 */     // MIs[1] Operand 1
     /* 1414028 */     // No operand predicates
     /* 1414028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414032 */     // MIs[0] policy
     /* 1414032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414044 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1414047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414053 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1414068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414071 */     // GIR_Coverage, 2777,
     /* 1414071 */     GIR_EraseRootFromParent_Done,
     /* 1414072 */   // Label 19974: @1414072
     /* 1414072 */   GIM_Try, /*On fail goto*//*Label 19975*/ GIMT_Encode4(1414171), // Rule ID 2778 //
     /* 1414077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1414088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1414091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1414094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1414100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1414107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414127 */     // MIs[1] Operand 1
     /* 1414127 */     // No operand predicates
     /* 1414127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414131 */     // MIs[0] policy
     /* 1414131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414143 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1414146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414152 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1414167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414170 */     // GIR_Coverage, 2778,
     /* 1414170 */     GIR_EraseRootFromParent_Done,
     /* 1414171 */   // Label 19975: @1414171
     /* 1414171 */   GIM_Try, /*On fail goto*//*Label 19976*/ GIMT_Encode4(1414270), // Rule ID 2785 //
     /* 1414176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1414187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1414190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1414193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1414199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414226 */     // MIs[1] Operand 1
     /* 1414226 */     // No operand predicates
     /* 1414226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414230 */     // MIs[0] policy
     /* 1414230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414242 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1414245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414251 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414269 */     // GIR_Coverage, 2785,
     /* 1414269 */     GIR_EraseRootFromParent_Done,
     /* 1414270 */   // Label 19976: @1414270
     /* 1414270 */   GIM_Try, /*On fail goto*//*Label 19977*/ GIMT_Encode4(1414369), // Rule ID 2786 //
     /* 1414275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1414286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1414289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1414292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1414298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414325 */     // MIs[1] Operand 1
     /* 1414325 */     // No operand predicates
     /* 1414325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414329 */     // MIs[0] policy
     /* 1414329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414341 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1414344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414350 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414368 */     // GIR_Coverage, 2786,
     /* 1414368 */     GIR_EraseRootFromParent_Done,
     /* 1414369 */   // Label 19977: @1414369
     /* 1414369 */   GIM_Try, /*On fail goto*//*Label 19978*/ GIMT_Encode4(1414468), // Rule ID 2793 //
     /* 1414374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1414385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1414388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1414391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1414397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414424 */     // MIs[1] Operand 1
     /* 1414424 */     // No operand predicates
     /* 1414424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414428 */     // MIs[0] policy
     /* 1414428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1414443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414449 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414467 */     // GIR_Coverage, 2793,
     /* 1414467 */     GIR_EraseRootFromParent_Done,
     /* 1414468 */   // Label 19978: @1414468
     /* 1414468 */   GIM_Try, /*On fail goto*//*Label 19979*/ GIMT_Encode4(1414567), // Rule ID 2794 //
     /* 1414473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1414484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1414487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1414490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1414496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414523 */     // MIs[1] Operand 1
     /* 1414523 */     // No operand predicates
     /* 1414523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414527 */     // MIs[0] policy
     /* 1414527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414539 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1414542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414548 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414566 */     // GIR_Coverage, 2794,
     /* 1414566 */     GIR_EraseRootFromParent_Done,
     /* 1414567 */   // Label 19979: @1414567
     /* 1414567 */   GIM_Try, /*On fail goto*//*Label 19980*/ GIMT_Encode4(1414666), // Rule ID 2801 //
     /* 1414572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1414583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1414586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1414589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1414595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1414602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414622 */     // MIs[1] Operand 1
     /* 1414622 */     // No operand predicates
     /* 1414622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414626 */     // MIs[0] policy
     /* 1414626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414638 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1414641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414647 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414665 */     // GIR_Coverage, 2801,
     /* 1414665 */     GIR_EraseRootFromParent_Done,
     /* 1414666 */   // Label 19980: @1414666
     /* 1414666 */   GIM_Try, /*On fail goto*//*Label 19981*/ GIMT_Encode4(1414765), // Rule ID 2802 //
     /* 1414671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1414682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1414685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1414688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1414694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1414701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414721 */     // MIs[1] Operand 1
     /* 1414721 */     // No operand predicates
     /* 1414721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414725 */     // MIs[0] policy
     /* 1414725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414737 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1414740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414746 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414764 */     // GIR_Coverage, 2802,
     /* 1414764 */     GIR_EraseRootFromParent_Done,
     /* 1414765 */   // Label 19981: @1414765
     /* 1414765 */   GIM_Try, /*On fail goto*//*Label 19982*/ GIMT_Encode4(1414864), // Rule ID 2809 //
     /* 1414770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1414773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1414781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1414784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1414787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1414793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414820 */     // MIs[1] Operand 1
     /* 1414820 */     // No operand predicates
     /* 1414820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414824 */     // MIs[0] policy
     /* 1414824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414836 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1414839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414845 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414863 */     // GIR_Coverage, 2809,
     /* 1414863 */     GIR_EraseRootFromParent_Done,
     /* 1414864 */   // Label 19982: @1414864
     /* 1414864 */   GIM_Try, /*On fail goto*//*Label 19983*/ GIMT_Encode4(1414963), // Rule ID 2810 //
     /* 1414869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1414872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1414880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1414883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1414886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1414892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1414919 */     // MIs[1] Operand 1
     /* 1414919 */     // No operand predicates
     /* 1414919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414923 */     // MIs[0] policy
     /* 1414923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414935 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1414938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414944 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1414949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414962 */     // GIR_Coverage, 2810,
     /* 1414962 */     GIR_EraseRootFromParent_Done,
     /* 1414963 */   // Label 19983: @1414963
     /* 1414963 */   GIM_Try, /*On fail goto*//*Label 19984*/ GIMT_Encode4(1415062), // Rule ID 2817 //
     /* 1414968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1414971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1414976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1414979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1414982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1414985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1414991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415018 */     // MIs[1] Operand 1
     /* 1415018 */     // No operand predicates
     /* 1415018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415022 */     // MIs[0] policy
     /* 1415022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415034 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1415037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415043 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1415058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415061 */     // GIR_Coverage, 2817,
     /* 1415061 */     GIR_EraseRootFromParent_Done,
     /* 1415062 */   // Label 19984: @1415062
     /* 1415062 */   GIM_Try, /*On fail goto*//*Label 19985*/ GIMT_Encode4(1415161), // Rule ID 2818 //
     /* 1415067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1415070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1415078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1415081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1415084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1415090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415117 */     // MIs[1] Operand 1
     /* 1415117 */     // No operand predicates
     /* 1415117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415121 */     // MIs[0] policy
     /* 1415121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415133 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1415136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415142 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1415157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415160 */     // GIR_Coverage, 2818,
     /* 1415160 */     GIR_EraseRootFromParent_Done,
     /* 1415161 */   // Label 19985: @1415161
     /* 1415161 */   GIM_Try, /*On fail goto*//*Label 19986*/ GIMT_Encode4(1415260), // Rule ID 2825 //
     /* 1415166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1415169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1415177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1415180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1415183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1415189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415216 */     // MIs[1] Operand 1
     /* 1415216 */     // No operand predicates
     /* 1415216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415220 */     // MIs[0] policy
     /* 1415220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415232 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1415235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415241 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1415256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415259 */     // GIR_Coverage, 2825,
     /* 1415259 */     GIR_EraseRootFromParent_Done,
     /* 1415260 */   // Label 19986: @1415260
     /* 1415260 */   GIM_Try, /*On fail goto*//*Label 19987*/ GIMT_Encode4(1415359), // Rule ID 2826 //
     /* 1415265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1415268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1415273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1415276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1415279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1415282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1415288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1415315 */     // MIs[1] Operand 1
     /* 1415315 */     // No operand predicates
     /* 1415315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415319 */     // MIs[0] policy
     /* 1415319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415331 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1415334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415340 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1415345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1415355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415358 */     // GIR_Coverage, 2826,
     /* 1415358 */     GIR_EraseRootFromParent_Done,
     /* 1415359 */   // Label 19987: @1415359
     /* 1415359 */   GIM_Try, /*On fail goto*//*Label 19988*/ GIMT_Encode4(1415456), // Rule ID 3001 //
     /* 1415364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1415372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1415375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1415378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1415381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1415387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1415414 */     // MIs[1] Operand 1
     /* 1415414 */     // No operand predicates
     /* 1415414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415418 */     // MIs[0] policy
     /* 1415418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415430 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1415433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415455 */     // GIR_Coverage, 3001,
     /* 1415455 */     GIR_EraseRootFromParent_Done,
     /* 1415456 */   // Label 19988: @1415456
     /* 1415456 */   GIM_Try, /*On fail goto*//*Label 19989*/ GIMT_Encode4(1415553), // Rule ID 3002 //
     /* 1415461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1415469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1415472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1415475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1415478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1415484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1415511 */     // MIs[1] Operand 1
     /* 1415511 */     // No operand predicates
     /* 1415511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415515 */     // MIs[0] policy
     /* 1415515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415527 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1415530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415552 */     // GIR_Coverage, 3002,
     /* 1415552 */     GIR_EraseRootFromParent_Done,
     /* 1415553 */   // Label 19989: @1415553
     /* 1415553 */   GIM_Try, /*On fail goto*//*Label 19990*/ GIMT_Encode4(1415650), // Rule ID 3005 //
     /* 1415558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1415566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1415569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1415572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1415575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1415581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1415608 */     // MIs[1] Operand 1
     /* 1415608 */     // No operand predicates
     /* 1415608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415612 */     // MIs[0] policy
     /* 1415612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415624 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1415627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415649 */     // GIR_Coverage, 3005,
     /* 1415649 */     GIR_EraseRootFromParent_Done,
     /* 1415650 */   // Label 19990: @1415650
     /* 1415650 */   GIM_Try, /*On fail goto*//*Label 19991*/ GIMT_Encode4(1415747), // Rule ID 3006 //
     /* 1415655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1415663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1415666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1415669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1415672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1415678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1415705 */     // MIs[1] Operand 1
     /* 1415705 */     // No operand predicates
     /* 1415705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415709 */     // MIs[0] policy
     /* 1415709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415721 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1415724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415746 */     // GIR_Coverage, 3006,
     /* 1415746 */     GIR_EraseRootFromParent_Done,
     /* 1415747 */   // Label 19991: @1415747
     /* 1415747 */   GIM_Try, /*On fail goto*//*Label 19992*/ GIMT_Encode4(1415844), // Rule ID 3009 //
     /* 1415752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1415760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1415763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1415766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1415769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1415775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1415802 */     // MIs[1] Operand 1
     /* 1415802 */     // No operand predicates
     /* 1415802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415806 */     // MIs[0] policy
     /* 1415806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415818 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1415821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415843 */     // GIR_Coverage, 3009,
     /* 1415843 */     GIR_EraseRootFromParent_Done,
     /* 1415844 */   // Label 19992: @1415844
     /* 1415844 */   GIM_Try, /*On fail goto*//*Label 19993*/ GIMT_Encode4(1415941), // Rule ID 3010 //
     /* 1415849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1415857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1415860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1415863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1415866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1415872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1415899 */     // MIs[1] Operand 1
     /* 1415899 */     // No operand predicates
     /* 1415899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415903 */     // MIs[0] policy
     /* 1415903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415915 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1415918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415940 */     // GIR_Coverage, 3010,
     /* 1415940 */     GIR_EraseRootFromParent_Done,
     /* 1415941 */   // Label 19993: @1415941
     /* 1415941 */   GIM_Try, /*On fail goto*//*Label 19994*/ GIMT_Encode4(1416038), // Rule ID 3013 //
     /* 1415946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1415954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1415957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1415960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1415963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1415969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1415996 */     // MIs[1] Operand 1
     /* 1415996 */     // No operand predicates
     /* 1415996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416000 */     // MIs[0] policy
     /* 1416000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416012 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1416015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416037 */     // GIR_Coverage, 3013,
     /* 1416037 */     GIR_EraseRootFromParent_Done,
     /* 1416038 */   // Label 19994: @1416038
     /* 1416038 */   GIM_Try, /*On fail goto*//*Label 19995*/ GIMT_Encode4(1416135), // Rule ID 3014 //
     /* 1416043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1416054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1416057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1416060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1416066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416093 */     // MIs[1] Operand 1
     /* 1416093 */     // No operand predicates
     /* 1416093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416097 */     // MIs[0] policy
     /* 1416097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416109 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1416112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416134 */     // GIR_Coverage, 3014,
     /* 1416134 */     GIR_EraseRootFromParent_Done,
     /* 1416135 */   // Label 19995: @1416135
     /* 1416135 */   GIM_Try, /*On fail goto*//*Label 19996*/ GIMT_Encode4(1416232), // Rule ID 3017 //
     /* 1416140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1416151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1416154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1416157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1416163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416190 */     // MIs[1] Operand 1
     /* 1416190 */     // No operand predicates
     /* 1416190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416194 */     // MIs[0] policy
     /* 1416194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416206 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1416209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416231 */     // GIR_Coverage, 3017,
     /* 1416231 */     GIR_EraseRootFromParent_Done,
     /* 1416232 */   // Label 19996: @1416232
     /* 1416232 */   GIM_Try, /*On fail goto*//*Label 19997*/ GIMT_Encode4(1416329), // Rule ID 3018 //
     /* 1416237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1416248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1416251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1416254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1416260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416287 */     // MIs[1] Operand 1
     /* 1416287 */     // No operand predicates
     /* 1416287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416291 */     // MIs[0] policy
     /* 1416291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416303 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1416306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416328 */     // GIR_Coverage, 3018,
     /* 1416328 */     GIR_EraseRootFromParent_Done,
     /* 1416329 */   // Label 19997: @1416329
     /* 1416329 */   GIM_Try, /*On fail goto*//*Label 19998*/ GIMT_Encode4(1416426), // Rule ID 3021 //
     /* 1416334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1416345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1416348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1416351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1416357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416384 */     // MIs[1] Operand 1
     /* 1416384 */     // No operand predicates
     /* 1416384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416388 */     // MIs[0] policy
     /* 1416388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416400 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1416403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416425 */     // GIR_Coverage, 3021,
     /* 1416425 */     GIR_EraseRootFromParent_Done,
     /* 1416426 */   // Label 19998: @1416426
     /* 1416426 */   GIM_Try, /*On fail goto*//*Label 19999*/ GIMT_Encode4(1416523), // Rule ID 3022 //
     /* 1416431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1416442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1416445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1416448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1416454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416481 */     // MIs[1] Operand 1
     /* 1416481 */     // No operand predicates
     /* 1416481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416485 */     // MIs[0] policy
     /* 1416485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416497 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1416500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416522 */     // GIR_Coverage, 3022,
     /* 1416522 */     GIR_EraseRootFromParent_Done,
     /* 1416523 */   // Label 19999: @1416523
     /* 1416523 */   GIM_Try, /*On fail goto*//*Label 20000*/ GIMT_Encode4(1416620), // Rule ID 3025 //
     /* 1416528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1416539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1416542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1416545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1416551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416578 */     // MIs[1] Operand 1
     /* 1416578 */     // No operand predicates
     /* 1416578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416582 */     // MIs[0] policy
     /* 1416582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416594 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1416597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416619 */     // GIR_Coverage, 3025,
     /* 1416619 */     GIR_EraseRootFromParent_Done,
     /* 1416620 */   // Label 20000: @1416620
     /* 1416620 */   GIM_Try, /*On fail goto*//*Label 20001*/ GIMT_Encode4(1416717), // Rule ID 3026 //
     /* 1416625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1416636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1416639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1416642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1416648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416675 */     // MIs[1] Operand 1
     /* 1416675 */     // No operand predicates
     /* 1416675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416679 */     // MIs[0] policy
     /* 1416679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416691 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1416694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416716 */     // GIR_Coverage, 3026,
     /* 1416716 */     GIR_EraseRootFromParent_Done,
     /* 1416717 */   // Label 20001: @1416717
     /* 1416717 */   GIM_Try, /*On fail goto*//*Label 20002*/ GIMT_Encode4(1416814), // Rule ID 3029 //
     /* 1416722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1416733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1416736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1416739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1416745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416772 */     // MIs[1] Operand 1
     /* 1416772 */     // No operand predicates
     /* 1416772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416776 */     // MIs[0] policy
     /* 1416776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416788 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1416791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416813 */     // GIR_Coverage, 3029,
     /* 1416813 */     GIR_EraseRootFromParent_Done,
     /* 1416814 */   // Label 20002: @1416814
     /* 1416814 */   GIM_Try, /*On fail goto*//*Label 20003*/ GIMT_Encode4(1416911), // Rule ID 3030 //
     /* 1416819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1416830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1416833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1416836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1416842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416869 */     // MIs[1] Operand 1
     /* 1416869 */     // No operand predicates
     /* 1416869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416873 */     // MIs[0] policy
     /* 1416873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416885 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1416888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416910 */     // GIR_Coverage, 3030,
     /* 1416910 */     GIR_EraseRootFromParent_Done,
     /* 1416911 */   // Label 20003: @1416911
     /* 1416911 */   GIM_Try, /*On fail goto*//*Label 20004*/ GIMT_Encode4(1417008), // Rule ID 3033 //
     /* 1416916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1416924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1416927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1416930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1416933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1416939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416966 */     // MIs[1] Operand 1
     /* 1416966 */     // No operand predicates
     /* 1416966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416970 */     // MIs[0] policy
     /* 1416970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416982 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1416985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1417004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417007 */     // GIR_Coverage, 3033,
     /* 1417007 */     GIR_EraseRootFromParent_Done,
     /* 1417008 */   // Label 20004: @1417008
     /* 1417008 */   GIM_Try, /*On fail goto*//*Label 20005*/ GIMT_Encode4(1417105), // Rule ID 3034 //
     /* 1417013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1417024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1417027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1417030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1417036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417063 */     // MIs[1] Operand 1
     /* 1417063 */     // No operand predicates
     /* 1417063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417067 */     // MIs[0] policy
     /* 1417067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417079 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1417082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1417101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417104 */     // GIR_Coverage, 3034,
     /* 1417104 */     GIR_EraseRootFromParent_Done,
     /* 1417105 */   // Label 20005: @1417105
     /* 1417105 */   GIM_Try, /*On fail goto*//*Label 20006*/ GIMT_Encode4(1417202), // Rule ID 3037 //
     /* 1417110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1417113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1417121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1417124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1417127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417160 */     // MIs[1] Operand 1
     /* 1417160 */     // No operand predicates
     /* 1417160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417164 */     // MIs[0] policy
     /* 1417164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417176 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1417179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1417198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417201 */     // GIR_Coverage, 3037,
     /* 1417201 */     GIR_EraseRootFromParent_Done,
     /* 1417202 */   // Label 20006: @1417202
     /* 1417202 */   GIM_Try, /*On fail goto*//*Label 20007*/ GIMT_Encode4(1417299), // Rule ID 3038 //
     /* 1417207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1417210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1417218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1417221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1417224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1417230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417257 */     // MIs[1] Operand 1
     /* 1417257 */     // No operand predicates
     /* 1417257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417261 */     // MIs[0] policy
     /* 1417261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417273 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1417276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1417295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417298 */     // GIR_Coverage, 3038,
     /* 1417298 */     GIR_EraseRootFromParent_Done,
     /* 1417299 */   // Label 20007: @1417299
     /* 1417299 */   GIM_Try, /*On fail goto*//*Label 20008*/ GIMT_Encode4(1417396), // Rule ID 3041 //
     /* 1417304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1417315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1417318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1417321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1417327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1417334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417354 */     // MIs[1] Operand 1
     /* 1417354 */     // No operand predicates
     /* 1417354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417358 */     // MIs[0] policy
     /* 1417358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417370 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1417373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417395 */     // GIR_Coverage, 3041,
     /* 1417395 */     GIR_EraseRootFromParent_Done,
     /* 1417396 */   // Label 20008: @1417396
     /* 1417396 */   GIM_Try, /*On fail goto*//*Label 20009*/ GIMT_Encode4(1417493), // Rule ID 3042 //
     /* 1417401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1417412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1417415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1417418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1417424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1417431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417451 */     // MIs[1] Operand 1
     /* 1417451 */     // No operand predicates
     /* 1417451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417455 */     // MIs[0] policy
     /* 1417455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417467 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1417470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417492 */     // GIR_Coverage, 3042,
     /* 1417492 */     GIR_EraseRootFromParent_Done,
     /* 1417493 */   // Label 20009: @1417493
     /* 1417493 */   GIM_Try, /*On fail goto*//*Label 20010*/ GIMT_Encode4(1417590), // Rule ID 3045 //
     /* 1417498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1417509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1417512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1417515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1417521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1417528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417548 */     // MIs[1] Operand 1
     /* 1417548 */     // No operand predicates
     /* 1417548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417552 */     // MIs[0] policy
     /* 1417552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417564 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1417567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417589 */     // GIR_Coverage, 3045,
     /* 1417589 */     GIR_EraseRootFromParent_Done,
     /* 1417590 */   // Label 20010: @1417590
     /* 1417590 */   GIM_Try, /*On fail goto*//*Label 20011*/ GIMT_Encode4(1417687), // Rule ID 3046 //
     /* 1417595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1417606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1417609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1417612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1417618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1417625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417645 */     // MIs[1] Operand 1
     /* 1417645 */     // No operand predicates
     /* 1417645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417649 */     // MIs[0] policy
     /* 1417649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417661 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1417664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417686 */     // GIR_Coverage, 3046,
     /* 1417686 */     GIR_EraseRootFromParent_Done,
     /* 1417687 */   // Label 20011: @1417687
     /* 1417687 */   GIM_Try, /*On fail goto*//*Label 20012*/ GIMT_Encode4(1417784), // Rule ID 3049 //
     /* 1417692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1417703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1417706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1417709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1417715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1417722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417742 */     // MIs[1] Operand 1
     /* 1417742 */     // No operand predicates
     /* 1417742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417746 */     // MIs[0] policy
     /* 1417746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417758 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1417761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417783 */     // GIR_Coverage, 3049,
     /* 1417783 */     GIR_EraseRootFromParent_Done,
     /* 1417784 */   // Label 20012: @1417784
     /* 1417784 */   GIM_Try, /*On fail goto*//*Label 20013*/ GIMT_Encode4(1417881), // Rule ID 3050 //
     /* 1417789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1417800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1417803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1417806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1417812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1417819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417839 */     // MIs[1] Operand 1
     /* 1417839 */     // No operand predicates
     /* 1417839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417843 */     // MIs[0] policy
     /* 1417843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417855 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1417858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417880 */     // GIR_Coverage, 3050,
     /* 1417880 */     GIR_EraseRootFromParent_Done,
     /* 1417881 */   // Label 20013: @1417881
     /* 1417881 */   GIM_Try, /*On fail goto*//*Label 20014*/ GIMT_Encode4(1417978), // Rule ID 3053 //
     /* 1417886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1417897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1417900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1417903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1417909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1417916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417936 */     // MIs[1] Operand 1
     /* 1417936 */     // No operand predicates
     /* 1417936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417940 */     // MIs[0] policy
     /* 1417940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417952 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1417955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417977 */     // GIR_Coverage, 3053,
     /* 1417977 */     GIR_EraseRootFromParent_Done,
     /* 1417978 */   // Label 20014: @1417978
     /* 1417978 */   GIM_Try, /*On fail goto*//*Label 20015*/ GIMT_Encode4(1418075), // Rule ID 3054 //
     /* 1417983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1417991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1417994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1417997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1418000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1418006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418033 */     // MIs[1] Operand 1
     /* 1418033 */     // No operand predicates
     /* 1418033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418037 */     // MIs[0] policy
     /* 1418037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418049 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1418052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418074 */     // GIR_Coverage, 3054,
     /* 1418074 */     GIR_EraseRootFromParent_Done,
     /* 1418075 */   // Label 20015: @1418075
     /* 1418075 */   GIM_Try, /*On fail goto*//*Label 20016*/ GIMT_Encode4(1418172), // Rule ID 3057 //
     /* 1418080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1418091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1418094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1418097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1418103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418130 */     // MIs[1] Operand 1
     /* 1418130 */     // No operand predicates
     /* 1418130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418134 */     // MIs[0] policy
     /* 1418134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418146 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1418149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418171 */     // GIR_Coverage, 3057,
     /* 1418171 */     GIR_EraseRootFromParent_Done,
     /* 1418172 */   // Label 20016: @1418172
     /* 1418172 */   GIM_Try, /*On fail goto*//*Label 20017*/ GIMT_Encode4(1418269), // Rule ID 3058 //
     /* 1418177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1418188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1418191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1418194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1418200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418227 */     // MIs[1] Operand 1
     /* 1418227 */     // No operand predicates
     /* 1418227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418231 */     // MIs[0] policy
     /* 1418231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418243 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1418246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418268 */     // GIR_Coverage, 3058,
     /* 1418268 */     GIR_EraseRootFromParent_Done,
     /* 1418269 */   // Label 20017: @1418269
     /* 1418269 */   GIM_Try, /*On fail goto*//*Label 20018*/ GIMT_Encode4(1418366), // Rule ID 3061 //
     /* 1418274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1418285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1418288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1418291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1418297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1418304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418324 */     // MIs[1] Operand 1
     /* 1418324 */     // No operand predicates
     /* 1418324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418328 */     // MIs[0] policy
     /* 1418328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418340 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1418343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418365 */     // GIR_Coverage, 3061,
     /* 1418365 */     GIR_EraseRootFromParent_Done,
     /* 1418366 */   // Label 20018: @1418366
     /* 1418366 */   GIM_Try, /*On fail goto*//*Label 20019*/ GIMT_Encode4(1418463), // Rule ID 3062 //
     /* 1418371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1418382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1418385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1418388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1418394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1418401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418421 */     // MIs[1] Operand 1
     /* 1418421 */     // No operand predicates
     /* 1418421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418425 */     // MIs[0] policy
     /* 1418425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418437 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1418440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418462 */     // GIR_Coverage, 3062,
     /* 1418462 */     GIR_EraseRootFromParent_Done,
     /* 1418463 */   // Label 20019: @1418463
     /* 1418463 */   GIM_Try, /*On fail goto*//*Label 20020*/ GIMT_Encode4(1418560), // Rule ID 3065 //
     /* 1418468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1418479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1418482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1418485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1418491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418518 */     // MIs[1] Operand 1
     /* 1418518 */     // No operand predicates
     /* 1418518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418522 */     // MIs[0] policy
     /* 1418522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418534 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1418537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418559 */     // GIR_Coverage, 3065,
     /* 1418559 */     GIR_EraseRootFromParent_Done,
     /* 1418560 */   // Label 20020: @1418560
     /* 1418560 */   GIM_Try, /*On fail goto*//*Label 20021*/ GIMT_Encode4(1418657), // Rule ID 3066 //
     /* 1418565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1418576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1418579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1418582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1418588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418615 */     // MIs[1] Operand 1
     /* 1418615 */     // No operand predicates
     /* 1418615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418619 */     // MIs[0] policy
     /* 1418619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418631 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1418634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418656 */     // GIR_Coverage, 3066,
     /* 1418656 */     GIR_EraseRootFromParent_Done,
     /* 1418657 */   // Label 20021: @1418657
     /* 1418657 */   GIM_Try, /*On fail goto*//*Label 20022*/ GIMT_Encode4(1418754), // Rule ID 3069 //
     /* 1418662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1418673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1418676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1418679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1418685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418712 */     // MIs[1] Operand 1
     /* 1418712 */     // No operand predicates
     /* 1418712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418716 */     // MIs[0] policy
     /* 1418716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1418731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418753 */     // GIR_Coverage, 3069,
     /* 1418753 */     GIR_EraseRootFromParent_Done,
     /* 1418754 */   // Label 20022: @1418754
     /* 1418754 */   GIM_Try, /*On fail goto*//*Label 20023*/ GIMT_Encode4(1418851), // Rule ID 3070 //
     /* 1418759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1418770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1418773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1418776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1418782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418809 */     // MIs[1] Operand 1
     /* 1418809 */     // No operand predicates
     /* 1418809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418813 */     // MIs[0] policy
     /* 1418813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418825 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1418828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418850 */     // GIR_Coverage, 3070,
     /* 1418850 */     GIR_EraseRootFromParent_Done,
     /* 1418851 */   // Label 20023: @1418851
     /* 1418851 */   GIM_Try, /*On fail goto*//*Label 20024*/ GIMT_Encode4(1418948), // Rule ID 3073 //
     /* 1418856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1418867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1418870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1418873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1418879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1418886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418906 */     // MIs[1] Operand 1
     /* 1418906 */     // No operand predicates
     /* 1418906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418910 */     // MIs[0] policy
     /* 1418910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418922 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1418925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418947 */     // GIR_Coverage, 3073,
     /* 1418947 */     GIR_EraseRootFromParent_Done,
     /* 1418948 */   // Label 20024: @1418948
     /* 1418948 */   GIM_Try, /*On fail goto*//*Label 20025*/ GIMT_Encode4(1419045), // Rule ID 3074 //
     /* 1418953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1418961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1418964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1418967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1418970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1418976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1418983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419003 */     // MIs[1] Operand 1
     /* 1419003 */     // No operand predicates
     /* 1419003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419007 */     // MIs[0] policy
     /* 1419007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419019 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1419041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419044 */     // GIR_Coverage, 3074,
     /* 1419044 */     GIR_EraseRootFromParent_Done,
     /* 1419045 */   // Label 20025: @1419045
     /* 1419045 */   GIM_Try, /*On fail goto*//*Label 20026*/ GIMT_Encode4(1419142), // Rule ID 3077 //
     /* 1419050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1419053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1419061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1419064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1419067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1419073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419100 */     // MIs[1] Operand 1
     /* 1419100 */     // No operand predicates
     /* 1419100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419104 */     // MIs[0] policy
     /* 1419104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419116 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1419119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1419138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419141 */     // GIR_Coverage, 3077,
     /* 1419141 */     GIR_EraseRootFromParent_Done,
     /* 1419142 */   // Label 20026: @1419142
     /* 1419142 */   GIM_Try, /*On fail goto*//*Label 20027*/ GIMT_Encode4(1419239), // Rule ID 3078 //
     /* 1419147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1419150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1419158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1419161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1419164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1419170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419197 */     // MIs[1] Operand 1
     /* 1419197 */     // No operand predicates
     /* 1419197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419201 */     // MIs[0] policy
     /* 1419201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419213 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1419216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1419235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419238 */     // GIR_Coverage, 3078,
     /* 1419238 */     GIR_EraseRootFromParent_Done,
     /* 1419239 */   // Label 20027: @1419239
     /* 1419239 */   GIM_Try, /*On fail goto*//*Label 20028*/ GIMT_Encode4(1419336), // Rule ID 3081 //
     /* 1419244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1419247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1419255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1419258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1419261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1419267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419294 */     // MIs[1] Operand 1
     /* 1419294 */     // No operand predicates
     /* 1419294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419298 */     // MIs[0] policy
     /* 1419298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419310 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1419332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419335 */     // GIR_Coverage, 3081,
     /* 1419335 */     GIR_EraseRootFromParent_Done,
     /* 1419336 */   // Label 20028: @1419336
     /* 1419336 */   GIM_Try, /*On fail goto*//*Label 20029*/ GIMT_Encode4(1419433), // Rule ID 3082 //
     /* 1419341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1419344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1419352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1419355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1419358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1419364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419391 */     // MIs[1] Operand 1
     /* 1419391 */     // No operand predicates
     /* 1419391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419395 */     // MIs[0] policy
     /* 1419395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419407 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1419410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1419429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419432 */     // GIR_Coverage, 3082,
     /* 1419432 */     GIR_EraseRootFromParent_Done,
     /* 1419433 */   // Label 20029: @1419433
     /* 1419433 */   GIM_Try, /*On fail goto*//*Label 20030*/ GIMT_Encode4(1419530), // Rule ID 3085 //
     /* 1419438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1419441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1419449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1419452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1419455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1419461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419488 */     // MIs[1] Operand 1
     /* 1419488 */     // No operand predicates
     /* 1419488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419492 */     // MIs[0] policy
     /* 1419492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419504 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1419526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419529 */     // GIR_Coverage, 3085,
     /* 1419529 */     GIR_EraseRootFromParent_Done,
     /* 1419530 */   // Label 20030: @1419530
     /* 1419530 */   GIM_Try, /*On fail goto*//*Label 20031*/ GIMT_Encode4(1419627), // Rule ID 3086 //
     /* 1419535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1419538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1419543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1419546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1419549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1419552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1419558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419585 */     // MIs[1] Operand 1
     /* 1419585 */     // No operand predicates
     /* 1419585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419589 */     // MIs[0] policy
     /* 1419589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419601 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1419604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1419623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419626 */     // GIR_Coverage, 3086,
     /* 1419626 */     GIR_EraseRootFromParent_Done,
     /* 1419627 */   // Label 20031: @1419627
     /* 1419627 */   GIM_Try, /*On fail goto*//*Label 20032*/ GIMT_Encode4(1419724), // Rule ID 3353 //
     /* 1419632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1419640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1419643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1419646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1419649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1419655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419682 */     // MIs[1] Operand 1
     /* 1419682 */     // No operand predicates
     /* 1419682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419686 */     // MIs[0] policy
     /* 1419686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419698 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1419701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419723 */     // GIR_Coverage, 3353,
     /* 1419723 */     GIR_EraseRootFromParent_Done,
     /* 1419724 */   // Label 20032: @1419724
     /* 1419724 */   GIM_Try, /*On fail goto*//*Label 20033*/ GIMT_Encode4(1419821), // Rule ID 3354 //
     /* 1419729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1419737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1419740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1419743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1419746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1419752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419779 */     // MIs[1] Operand 1
     /* 1419779 */     // No operand predicates
     /* 1419779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419783 */     // MIs[0] policy
     /* 1419783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419795 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1419798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419820 */     // GIR_Coverage, 3354,
     /* 1419820 */     GIR_EraseRootFromParent_Done,
     /* 1419821 */   // Label 20033: @1419821
     /* 1419821 */   GIM_Try, /*On fail goto*//*Label 20034*/ GIMT_Encode4(1419918), // Rule ID 3357 //
     /* 1419826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1419834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1419837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1419840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1419843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1419849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419876 */     // MIs[1] Operand 1
     /* 1419876 */     // No operand predicates
     /* 1419876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419880 */     // MIs[0] policy
     /* 1419880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419892 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1419895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419917 */     // GIR_Coverage, 3357,
     /* 1419917 */     GIR_EraseRootFromParent_Done,
     /* 1419918 */   // Label 20034: @1419918
     /* 1419918 */   GIM_Try, /*On fail goto*//*Label 20035*/ GIMT_Encode4(1420015), // Rule ID 3358 //
     /* 1419923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1419931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1419934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1419937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1419940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1419946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419973 */     // MIs[1] Operand 1
     /* 1419973 */     // No operand predicates
     /* 1419973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419977 */     // MIs[0] policy
     /* 1419977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419989 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1419992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1420011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420014 */     // GIR_Coverage, 3358,
     /* 1420014 */     GIR_EraseRootFromParent_Done,
     /* 1420015 */   // Label 20035: @1420015
     /* 1420015 */   GIM_Try, /*On fail goto*//*Label 20036*/ GIMT_Encode4(1420112), // Rule ID 3361 //
     /* 1420020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1420028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1420031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1420034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1420037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420070 */     // MIs[1] Operand 1
     /* 1420070 */     // No operand predicates
     /* 1420070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420074 */     // MIs[0] policy
     /* 1420074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420086 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1420089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1420108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420111 */     // GIR_Coverage, 3361,
     /* 1420111 */     GIR_EraseRootFromParent_Done,
     /* 1420112 */   // Label 20036: @1420112
     /* 1420112 */   GIM_Try, /*On fail goto*//*Label 20037*/ GIMT_Encode4(1420209), // Rule ID 3362 //
     /* 1420117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1420125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1420128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1420131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1420134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420167 */     // MIs[1] Operand 1
     /* 1420167 */     // No operand predicates
     /* 1420167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420171 */     // MIs[0] policy
     /* 1420171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420183 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1420186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1420205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420208 */     // GIR_Coverage, 3362,
     /* 1420208 */     GIR_EraseRootFromParent_Done,
     /* 1420209 */   // Label 20037: @1420209
     /* 1420209 */   GIM_Try, /*On fail goto*//*Label 20038*/ GIMT_Encode4(1420306), // Rule ID 3365 //
     /* 1420214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1420222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1420225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1420228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1420231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420264 */     // MIs[1] Operand 1
     /* 1420264 */     // No operand predicates
     /* 1420264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420268 */     // MIs[0] policy
     /* 1420268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420280 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1420283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420305 */     // GIR_Coverage, 3365,
     /* 1420305 */     GIR_EraseRootFromParent_Done,
     /* 1420306 */   // Label 20038: @1420306
     /* 1420306 */   GIM_Try, /*On fail goto*//*Label 20039*/ GIMT_Encode4(1420403), // Rule ID 3366 //
     /* 1420311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1420319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1420322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1420325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1420328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420361 */     // MIs[1] Operand 1
     /* 1420361 */     // No operand predicates
     /* 1420361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420365 */     // MIs[0] policy
     /* 1420365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420377 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1420380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420402 */     // GIR_Coverage, 3366,
     /* 1420402 */     GIR_EraseRootFromParent_Done,
     /* 1420403 */   // Label 20039: @1420403
     /* 1420403 */   GIM_Try, /*On fail goto*//*Label 20040*/ GIMT_Encode4(1420500), // Rule ID 3369 //
     /* 1420408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1420416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1420419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1420422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1420425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420458 */     // MIs[1] Operand 1
     /* 1420458 */     // No operand predicates
     /* 1420458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420462 */     // MIs[0] policy
     /* 1420462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420474 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1420477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420499 */     // GIR_Coverage, 3369,
     /* 1420499 */     GIR_EraseRootFromParent_Done,
     /* 1420500 */   // Label 20040: @1420500
     /* 1420500 */   GIM_Try, /*On fail goto*//*Label 20041*/ GIMT_Encode4(1420597), // Rule ID 3370 //
     /* 1420505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1420513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1420516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1420519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1420522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420555 */     // MIs[1] Operand 1
     /* 1420555 */     // No operand predicates
     /* 1420555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420559 */     // MIs[0] policy
     /* 1420559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420571 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1420574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420596 */     // GIR_Coverage, 3370,
     /* 1420596 */     GIR_EraseRootFromParent_Done,
     /* 1420597 */   // Label 20041: @1420597
     /* 1420597 */   GIM_Try, /*On fail goto*//*Label 20042*/ GIMT_Encode4(1420694), // Rule ID 3373 //
     /* 1420602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1420610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1420613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1420616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1420619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420652 */     // MIs[1] Operand 1
     /* 1420652 */     // No operand predicates
     /* 1420652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420656 */     // MIs[0] policy
     /* 1420656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420668 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1420671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420693 */     // GIR_Coverage, 3373,
     /* 1420693 */     GIR_EraseRootFromParent_Done,
     /* 1420694 */   // Label 20042: @1420694
     /* 1420694 */   GIM_Try, /*On fail goto*//*Label 20043*/ GIMT_Encode4(1420791), // Rule ID 3374 //
     /* 1420699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1420707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1420710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1420713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1420716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420749 */     // MIs[1] Operand 1
     /* 1420749 */     // No operand predicates
     /* 1420749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420753 */     // MIs[0] policy
     /* 1420753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420765 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1420768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420790 */     // GIR_Coverage, 3374,
     /* 1420790 */     GIR_EraseRootFromParent_Done,
     /* 1420791 */   // Label 20043: @1420791
     /* 1420791 */   GIM_Try, /*On fail goto*//*Label 20044*/ GIMT_Encode4(1420888), // Rule ID 3377 //
     /* 1420796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1420804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1420807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1420810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1420813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420846 */     // MIs[1] Operand 1
     /* 1420846 */     // No operand predicates
     /* 1420846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420850 */     // MIs[0] policy
     /* 1420850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420862 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1420865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1420884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420887 */     // GIR_Coverage, 3377,
     /* 1420887 */     GIR_EraseRootFromParent_Done,
     /* 1420888 */   // Label 20044: @1420888
     /* 1420888 */   GIM_Try, /*On fail goto*//*Label 20045*/ GIMT_Encode4(1420985), // Rule ID 3378 //
     /* 1420893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1420901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1420904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1420907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1420910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420943 */     // MIs[1] Operand 1
     /* 1420943 */     // No operand predicates
     /* 1420943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420947 */     // MIs[0] policy
     /* 1420947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420959 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1420962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1420981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420984 */     // GIR_Coverage, 3378,
     /* 1420984 */     GIR_EraseRootFromParent_Done,
     /* 1420985 */   // Label 20045: @1420985
     /* 1420985 */   GIM_Try, /*On fail goto*//*Label 20046*/ GIMT_Encode4(1421082), // Rule ID 3381 //
     /* 1420990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1420998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1421001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1421004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1421007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1421013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421040 */     // MIs[1] Operand 1
     /* 1421040 */     // No operand predicates
     /* 1421040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421044 */     // MIs[0] policy
     /* 1421044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421056 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1421059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421081 */     // GIR_Coverage, 3381,
     /* 1421081 */     GIR_EraseRootFromParent_Done,
     /* 1421082 */   // Label 20046: @1421082
     /* 1421082 */   GIM_Try, /*On fail goto*//*Label 20047*/ GIMT_Encode4(1421179), // Rule ID 3382 //
     /* 1421087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1421098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1421101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1421104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1421110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421137 */     // MIs[1] Operand 1
     /* 1421137 */     // No operand predicates
     /* 1421137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421141 */     // MIs[0] policy
     /* 1421141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421153 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1421156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421178 */     // GIR_Coverage, 3382,
     /* 1421178 */     GIR_EraseRootFromParent_Done,
     /* 1421179 */   // Label 20047: @1421179
     /* 1421179 */   GIM_Try, /*On fail goto*//*Label 20048*/ GIMT_Encode4(1421276), // Rule ID 3385 //
     /* 1421184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1421195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1421198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1421201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421234 */     // MIs[1] Operand 1
     /* 1421234 */     // No operand predicates
     /* 1421234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421238 */     // MIs[0] policy
     /* 1421238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421250 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1421253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1421272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421275 */     // GIR_Coverage, 3385,
     /* 1421275 */     GIR_EraseRootFromParent_Done,
     /* 1421276 */   // Label 20048: @1421276
     /* 1421276 */   GIM_Try, /*On fail goto*//*Label 20049*/ GIMT_Encode4(1421373), // Rule ID 3386 //
     /* 1421281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1421292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1421295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1421298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421331 */     // MIs[1] Operand 1
     /* 1421331 */     // No operand predicates
     /* 1421331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421335 */     // MIs[0] policy
     /* 1421335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421347 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1421350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1421369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421372 */     // GIR_Coverage, 3386,
     /* 1421372 */     GIR_EraseRootFromParent_Done,
     /* 1421373 */   // Label 20049: @1421373
     /* 1421373 */   GIM_Try, /*On fail goto*//*Label 20050*/ GIMT_Encode4(1421470), // Rule ID 3389 //
     /* 1421378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1421381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1421389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1421392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1421395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421428 */     // MIs[1] Operand 1
     /* 1421428 */     // No operand predicates
     /* 1421428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421432 */     // MIs[0] policy
     /* 1421432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421444 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1421447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421469 */     // GIR_Coverage, 3389,
     /* 1421469 */     GIR_EraseRootFromParent_Done,
     /* 1421470 */   // Label 20050: @1421470
     /* 1421470 */   GIM_Try, /*On fail goto*//*Label 20051*/ GIMT_Encode4(1421567), // Rule ID 3390 //
     /* 1421475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1421478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1421486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1421489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1421492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421525 */     // MIs[1] Operand 1
     /* 1421525 */     // No operand predicates
     /* 1421525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421529 */     // MIs[0] policy
     /* 1421529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421541 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1421544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421566 */     // GIR_Coverage, 3390,
     /* 1421566 */     GIR_EraseRootFromParent_Done,
     /* 1421567 */   // Label 20051: @1421567
     /* 1421567 */   GIM_Try, /*On fail goto*//*Label 20052*/ GIMT_Encode4(1421664), // Rule ID 3393 //
     /* 1421572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1421583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1421586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1421589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1421595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1421602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421622 */     // MIs[1] Operand 1
     /* 1421622 */     // No operand predicates
     /* 1421622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421626 */     // MIs[0] policy
     /* 1421626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421638 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1421641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421663 */     // GIR_Coverage, 3393,
     /* 1421663 */     GIR_EraseRootFromParent_Done,
     /* 1421664 */   // Label 20052: @1421664
     /* 1421664 */   GIM_Try, /*On fail goto*//*Label 20053*/ GIMT_Encode4(1421761), // Rule ID 3394 //
     /* 1421669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1421680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1421683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1421686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1421692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1421699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421719 */     // MIs[1] Operand 1
     /* 1421719 */     // No operand predicates
     /* 1421719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421723 */     // MIs[0] policy
     /* 1421723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421735 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1421738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421760 */     // GIR_Coverage, 3394,
     /* 1421760 */     GIR_EraseRootFromParent_Done,
     /* 1421761 */   // Label 20053: @1421761
     /* 1421761 */   GIM_Try, /*On fail goto*//*Label 20054*/ GIMT_Encode4(1421858), // Rule ID 3397 //
     /* 1421766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1421777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1421780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1421783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1421789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1421796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421816 */     // MIs[1] Operand 1
     /* 1421816 */     // No operand predicates
     /* 1421816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421820 */     // MIs[0] policy
     /* 1421820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421832 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1421835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421857 */     // GIR_Coverage, 3397,
     /* 1421857 */     GIR_EraseRootFromParent_Done,
     /* 1421858 */   // Label 20054: @1421858
     /* 1421858 */   GIM_Try, /*On fail goto*//*Label 20055*/ GIMT_Encode4(1421955), // Rule ID 3398 //
     /* 1421863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1421874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1421877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1421880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1421886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1421893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421913 */     // MIs[1] Operand 1
     /* 1421913 */     // No operand predicates
     /* 1421913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421917 */     // MIs[0] policy
     /* 1421917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421929 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1421932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421954 */     // GIR_Coverage, 3398,
     /* 1421954 */     GIR_EraseRootFromParent_Done,
     /* 1421955 */   // Label 20055: @1421955
     /* 1421955 */   GIM_Try, /*On fail goto*//*Label 20056*/ GIMT_Encode4(1422052), // Rule ID 3401 //
     /* 1421960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1421968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1421971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1421974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1421977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1421983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1421990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422010 */     // MIs[1] Operand 1
     /* 1422010 */     // No operand predicates
     /* 1422010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422014 */     // MIs[0] policy
     /* 1422014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422026 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1422029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422051 */     // GIR_Coverage, 3401,
     /* 1422051 */     GIR_EraseRootFromParent_Done,
     /* 1422052 */   // Label 20056: @1422052
     /* 1422052 */   GIM_Try, /*On fail goto*//*Label 20057*/ GIMT_Encode4(1422149), // Rule ID 3402 //
     /* 1422057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1422068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1422071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1422074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1422080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1422087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422107 */     // MIs[1] Operand 1
     /* 1422107 */     // No operand predicates
     /* 1422107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422111 */     // MIs[0] policy
     /* 1422111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422123 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1422126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422148 */     // GIR_Coverage, 3402,
     /* 1422148 */     GIR_EraseRootFromParent_Done,
     /* 1422149 */   // Label 20057: @1422149
     /* 1422149 */   GIM_Try, /*On fail goto*//*Label 20058*/ GIMT_Encode4(1422246), // Rule ID 3405 //
     /* 1422154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1422165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1422168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1422171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422204 */     // MIs[1] Operand 1
     /* 1422204 */     // No operand predicates
     /* 1422204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422208 */     // MIs[0] policy
     /* 1422208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422220 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1422223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422245 */     // GIR_Coverage, 3405,
     /* 1422245 */     GIR_EraseRootFromParent_Done,
     /* 1422246 */   // Label 20058: @1422246
     /* 1422246 */   GIM_Try, /*On fail goto*//*Label 20059*/ GIMT_Encode4(1422343), // Rule ID 3406 //
     /* 1422251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1422262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1422265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1422268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422301 */     // MIs[1] Operand 1
     /* 1422301 */     // No operand predicates
     /* 1422301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422305 */     // MIs[0] policy
     /* 1422305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422317 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1422320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422342 */     // GIR_Coverage, 3406,
     /* 1422342 */     GIR_EraseRootFromParent_Done,
     /* 1422343 */   // Label 20059: @1422343
     /* 1422343 */   GIM_Try, /*On fail goto*//*Label 20060*/ GIMT_Encode4(1422440), // Rule ID 3409 //
     /* 1422348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1422359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1422362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1422365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1422371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422398 */     // MIs[1] Operand 1
     /* 1422398 */     // No operand predicates
     /* 1422398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422402 */     // MIs[0] policy
     /* 1422402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422414 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1422417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422439 */     // GIR_Coverage, 3409,
     /* 1422439 */     GIR_EraseRootFromParent_Done,
     /* 1422440 */   // Label 20060: @1422440
     /* 1422440 */   GIM_Try, /*On fail goto*//*Label 20061*/ GIMT_Encode4(1422537), // Rule ID 3410 //
     /* 1422445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1422456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1422459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1422462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1422468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422495 */     // MIs[1] Operand 1
     /* 1422495 */     // No operand predicates
     /* 1422495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422499 */     // MIs[0] policy
     /* 1422499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422511 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1422514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422536 */     // GIR_Coverage, 3410,
     /* 1422536 */     GIR_EraseRootFromParent_Done,
     /* 1422537 */   // Label 20061: @1422537
     /* 1422537 */   GIM_Try, /*On fail goto*//*Label 20062*/ GIMT_Encode4(1422634), // Rule ID 3413 //
     /* 1422542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1422553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1422556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1422559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1422565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1422572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422592 */     // MIs[1] Operand 1
     /* 1422592 */     // No operand predicates
     /* 1422592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422596 */     // MIs[0] policy
     /* 1422596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422608 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1422611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422633 */     // GIR_Coverage, 3413,
     /* 1422633 */     GIR_EraseRootFromParent_Done,
     /* 1422634 */   // Label 20062: @1422634
     /* 1422634 */   GIM_Try, /*On fail goto*//*Label 20063*/ GIMT_Encode4(1422731), // Rule ID 3414 //
     /* 1422639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1422650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1422653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1422656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1422662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1422669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422689 */     // MIs[1] Operand 1
     /* 1422689 */     // No operand predicates
     /* 1422689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422693 */     // MIs[0] policy
     /* 1422693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422705 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1422708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422730 */     // GIR_Coverage, 3414,
     /* 1422730 */     GIR_EraseRootFromParent_Done,
     /* 1422731 */   // Label 20063: @1422731
     /* 1422731 */   GIM_Try, /*On fail goto*//*Label 20064*/ GIMT_Encode4(1422828), // Rule ID 3417 //
     /* 1422736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1422747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1422750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1422753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422786 */     // MIs[1] Operand 1
     /* 1422786 */     // No operand predicates
     /* 1422786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422790 */     // MIs[0] policy
     /* 1422790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422802 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1422805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422827 */     // GIR_Coverage, 3417,
     /* 1422827 */     GIR_EraseRootFromParent_Done,
     /* 1422828 */   // Label 20064: @1422828
     /* 1422828 */   GIM_Try, /*On fail goto*//*Label 20065*/ GIMT_Encode4(1422925), // Rule ID 3418 //
     /* 1422833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1422844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1422847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1422850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422883 */     // MIs[1] Operand 1
     /* 1422883 */     // No operand predicates
     /* 1422883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422887 */     // MIs[0] policy
     /* 1422887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422899 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1422902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422924 */     // GIR_Coverage, 3418,
     /* 1422924 */     GIR_EraseRootFromParent_Done,
     /* 1422925 */   // Label 20065: @1422925
     /* 1422925 */   GIM_Try, /*On fail goto*//*Label 20066*/ GIMT_Encode4(1423022), // Rule ID 3421 //
     /* 1422930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1422938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1422941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1422944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1422947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422980 */     // MIs[1] Operand 1
     /* 1422980 */     // No operand predicates
     /* 1422980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422984 */     // MIs[0] policy
     /* 1422984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422996 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1422999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423021 */     // GIR_Coverage, 3421,
     /* 1423021 */     GIR_EraseRootFromParent_Done,
     /* 1423022 */   // Label 20066: @1423022
     /* 1423022 */   GIM_Try, /*On fail goto*//*Label 20067*/ GIMT_Encode4(1423119), // Rule ID 3422 //
     /* 1423027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1423038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1423041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1423044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423077 */     // MIs[1] Operand 1
     /* 1423077 */     // No operand predicates
     /* 1423077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423081 */     // MIs[0] policy
     /* 1423081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423093 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1423096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423118 */     // GIR_Coverage, 3422,
     /* 1423118 */     GIR_EraseRootFromParent_Done,
     /* 1423119 */   // Label 20067: @1423119
     /* 1423119 */   GIM_Try, /*On fail goto*//*Label 20068*/ GIMT_Encode4(1423216), // Rule ID 3425 //
     /* 1423124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1423135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1423138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1423141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1423147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423174 */     // MIs[1] Operand 1
     /* 1423174 */     // No operand predicates
     /* 1423174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423178 */     // MIs[0] policy
     /* 1423178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423190 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1423193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423215 */     // GIR_Coverage, 3425,
     /* 1423215 */     GIR_EraseRootFromParent_Done,
     /* 1423216 */   // Label 20068: @1423216
     /* 1423216 */   GIM_Try, /*On fail goto*//*Label 20069*/ GIMT_Encode4(1423313), // Rule ID 3426 //
     /* 1423221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1423232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1423235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1423238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1423244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423271 */     // MIs[1] Operand 1
     /* 1423271 */     // No operand predicates
     /* 1423271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423275 */     // MIs[0] policy
     /* 1423275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423287 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1423290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423312 */     // GIR_Coverage, 3426,
     /* 1423312 */     GIR_EraseRootFromParent_Done,
     /* 1423313 */   // Label 20069: @1423313
     /* 1423313 */   GIM_Try, /*On fail goto*//*Label 20070*/ GIMT_Encode4(1423410), // Rule ID 3429 //
     /* 1423318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1423321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1423329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1423332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1423335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1423341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423368 */     // MIs[1] Operand 1
     /* 1423368 */     // No operand predicates
     /* 1423368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423372 */     // MIs[0] policy
     /* 1423372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423384 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1423387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423409 */     // GIR_Coverage, 3429,
     /* 1423409 */     GIR_EraseRootFromParent_Done,
     /* 1423410 */   // Label 20070: @1423410
     /* 1423410 */   GIM_Try, /*On fail goto*//*Label 20071*/ GIMT_Encode4(1423507), // Rule ID 3430 //
     /* 1423415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1423418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1423426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1423429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1423432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1423438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423465 */     // MIs[1] Operand 1
     /* 1423465 */     // No operand predicates
     /* 1423465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423469 */     // MIs[0] policy
     /* 1423469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423481 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1423484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423506 */     // GIR_Coverage, 3430,
     /* 1423506 */     GIR_EraseRootFromParent_Done,
     /* 1423507 */   // Label 20071: @1423507
     /* 1423507 */   GIM_Try, /*On fail goto*//*Label 20072*/ GIMT_Encode4(1423604), // Rule ID 3433 //
     /* 1423512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1423515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1423523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1423526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1423529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1423535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423562 */     // MIs[1] Operand 1
     /* 1423562 */     // No operand predicates
     /* 1423562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423566 */     // MIs[0] policy
     /* 1423566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423578 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1423581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423603 */     // GIR_Coverage, 3433,
     /* 1423603 */     GIR_EraseRootFromParent_Done,
     /* 1423604 */   // Label 20072: @1423604
     /* 1423604 */   GIM_Try, /*On fail goto*//*Label 20073*/ GIMT_Encode4(1423701), // Rule ID 3434 //
     /* 1423609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1423612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1423620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1423623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1423626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1423632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423659 */     // MIs[1] Operand 1
     /* 1423659 */     // No operand predicates
     /* 1423659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423663 */     // MIs[0] policy
     /* 1423663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423675 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1423678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423700 */     // GIR_Coverage, 3434,
     /* 1423700 */     GIR_EraseRootFromParent_Done,
     /* 1423701 */   // Label 20073: @1423701
     /* 1423701 */   GIM_Try, /*On fail goto*//*Label 20074*/ GIMT_Encode4(1423798), // Rule ID 3437 //
     /* 1423706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1423709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1423717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1423720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1423723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423756 */     // MIs[1] Operand 1
     /* 1423756 */     // No operand predicates
     /* 1423756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423760 */     // MIs[0] policy
     /* 1423760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423772 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1423775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423797 */     // GIR_Coverage, 3437,
     /* 1423797 */     GIR_EraseRootFromParent_Done,
     /* 1423798 */   // Label 20074: @1423798
     /* 1423798 */   GIM_Try, /*On fail goto*//*Label 20075*/ GIMT_Encode4(1423895), // Rule ID 3438 //
     /* 1423803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1423806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1423811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1423814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1423817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1423820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423853 */     // MIs[1] Operand 1
     /* 1423853 */     // No operand predicates
     /* 1423853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423857 */     // MIs[0] policy
     /* 1423857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423869 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1423872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423894 */     // GIR_Coverage, 3438,
     /* 1423894 */     GIR_EraseRootFromParent_Done,
     /* 1423895 */   // Label 20075: @1423895
     /* 1423895 */   GIM_Try, /*On fail goto*//*Label 20076*/ GIMT_Encode4(1423992), // Rule ID 5801 //
     /* 1423900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1423908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1423911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1423914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1423917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1423923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423950 */     // MIs[1] Operand 1
     /* 1423950 */     // No operand predicates
     /* 1423950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423954 */     // MIs[0] policy
     /* 1423954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423966 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1423969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423991 */     // GIR_Coverage, 5801,
     /* 1423991 */     GIR_EraseRootFromParent_Done,
     /* 1423992 */   // Label 20076: @1423992
     /* 1423992 */   GIM_Try, /*On fail goto*//*Label 20077*/ GIMT_Encode4(1424089), // Rule ID 5802 //
     /* 1423997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1424005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1424008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1424011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1424014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424047 */     // MIs[1] Operand 1
     /* 1424047 */     // No operand predicates
     /* 1424047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424051 */     // MIs[0] policy
     /* 1424051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424063 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1424066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424088 */     // GIR_Coverage, 5802,
     /* 1424088 */     GIR_EraseRootFromParent_Done,
     /* 1424089 */   // Label 20077: @1424089
     /* 1424089 */   GIM_Try, /*On fail goto*//*Label 20078*/ GIMT_Encode4(1424186), // Rule ID 5805 //
     /* 1424094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1424102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1424105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1424108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1424111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424144 */     // MIs[1] Operand 1
     /* 1424144 */     // No operand predicates
     /* 1424144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424148 */     // MIs[0] policy
     /* 1424148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424160 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1424163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424185 */     // GIR_Coverage, 5805,
     /* 1424185 */     GIR_EraseRootFromParent_Done,
     /* 1424186 */   // Label 20078: @1424186
     /* 1424186 */   GIM_Try, /*On fail goto*//*Label 20079*/ GIMT_Encode4(1424283), // Rule ID 5806 //
     /* 1424191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1424199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1424202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1424205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1424208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424241 */     // MIs[1] Operand 1
     /* 1424241 */     // No operand predicates
     /* 1424241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424245 */     // MIs[0] policy
     /* 1424245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424257 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1424260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424282 */     // GIR_Coverage, 5806,
     /* 1424282 */     GIR_EraseRootFromParent_Done,
     /* 1424283 */   // Label 20079: @1424283
     /* 1424283 */   GIM_Try, /*On fail goto*//*Label 20080*/ GIMT_Encode4(1424380), // Rule ID 5809 //
     /* 1424288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1424296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1424299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1424302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1424305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424338 */     // MIs[1] Operand 1
     /* 1424338 */     // No operand predicates
     /* 1424338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424342 */     // MIs[0] policy
     /* 1424342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424354 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1424357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424379 */     // GIR_Coverage, 5809,
     /* 1424379 */     GIR_EraseRootFromParent_Done,
     /* 1424380 */   // Label 20080: @1424380
     /* 1424380 */   GIM_Try, /*On fail goto*//*Label 20081*/ GIMT_Encode4(1424477), // Rule ID 5810 //
     /* 1424385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1424393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1424396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1424399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1424402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424435 */     // MIs[1] Operand 1
     /* 1424435 */     // No operand predicates
     /* 1424435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424439 */     // MIs[0] policy
     /* 1424439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424451 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1424454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424476 */     // GIR_Coverage, 5810,
     /* 1424476 */     GIR_EraseRootFromParent_Done,
     /* 1424477 */   // Label 20081: @1424477
     /* 1424477 */   GIM_Try, /*On fail goto*//*Label 20082*/ GIMT_Encode4(1424574), // Rule ID 5813 //
     /* 1424482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1424490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1424493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1424496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1424499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424532 */     // MIs[1] Operand 1
     /* 1424532 */     // No operand predicates
     /* 1424532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424536 */     // MIs[0] policy
     /* 1424536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424548 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1424551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424573 */     // GIR_Coverage, 5813,
     /* 1424573 */     GIR_EraseRootFromParent_Done,
     /* 1424574 */   // Label 20082: @1424574
     /* 1424574 */   GIM_Try, /*On fail goto*//*Label 20083*/ GIMT_Encode4(1424671), // Rule ID 5814 //
     /* 1424579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1424587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1424590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1424593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1424596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424629 */     // MIs[1] Operand 1
     /* 1424629 */     // No operand predicates
     /* 1424629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424633 */     // MIs[0] policy
     /* 1424633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424645 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1424648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424670 */     // GIR_Coverage, 5814,
     /* 1424670 */     GIR_EraseRootFromParent_Done,
     /* 1424671 */   // Label 20083: @1424671
     /* 1424671 */   GIM_Try, /*On fail goto*//*Label 20084*/ GIMT_Encode4(1424768), // Rule ID 5817 //
     /* 1424676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1424684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1424687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1424690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1424693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424726 */     // MIs[1] Operand 1
     /* 1424726 */     // No operand predicates
     /* 1424726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424730 */     // MIs[0] policy
     /* 1424730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424742 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1424745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424767 */     // GIR_Coverage, 5817,
     /* 1424767 */     GIR_EraseRootFromParent_Done,
     /* 1424768 */   // Label 20084: @1424768
     /* 1424768 */   GIM_Try, /*On fail goto*//*Label 20085*/ GIMT_Encode4(1424865), // Rule ID 5818 //
     /* 1424773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1424781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1424784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1424787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1424790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424823 */     // MIs[1] Operand 1
     /* 1424823 */     // No operand predicates
     /* 1424823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424827 */     // MIs[0] policy
     /* 1424827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424839 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1424842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424864 */     // GIR_Coverage, 5818,
     /* 1424864 */     GIR_EraseRootFromParent_Done,
     /* 1424865 */   // Label 20085: @1424865
     /* 1424865 */   GIM_Try, /*On fail goto*//*Label 20086*/ GIMT_Encode4(1424962), // Rule ID 5821 //
     /* 1424870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1424878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1424881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1424884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1424887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424920 */     // MIs[1] Operand 1
     /* 1424920 */     // No operand predicates
     /* 1424920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424924 */     // MIs[0] policy
     /* 1424924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424936 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1424939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424961 */     // GIR_Coverage, 5821,
     /* 1424961 */     GIR_EraseRootFromParent_Done,
     /* 1424962 */   // Label 20086: @1424962
     /* 1424962 */   GIM_Try, /*On fail goto*//*Label 20087*/ GIMT_Encode4(1425059), // Rule ID 5822 //
     /* 1424967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1424975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1424978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1424981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1424984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425017 */     // MIs[1] Operand 1
     /* 1425017 */     // No operand predicates
     /* 1425017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425021 */     // MIs[0] policy
     /* 1425021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425033 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1425036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1425055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425058 */     // GIR_Coverage, 5822,
     /* 1425058 */     GIR_EraseRootFromParent_Done,
     /* 1425059 */   // Label 20087: @1425059
     /* 1425059 */   GIM_Try, /*On fail goto*//*Label 20088*/ GIMT_Encode4(1425156), // Rule ID 5825 //
     /* 1425064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1425075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1425078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1425081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1425087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425114 */     // MIs[1] Operand 1
     /* 1425114 */     // No operand predicates
     /* 1425114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425118 */     // MIs[0] policy
     /* 1425118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425130 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1425133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425155 */     // GIR_Coverage, 5825,
     /* 1425155 */     GIR_EraseRootFromParent_Done,
     /* 1425156 */   // Label 20088: @1425156
     /* 1425156 */   GIM_Try, /*On fail goto*//*Label 20089*/ GIMT_Encode4(1425253), // Rule ID 5826 //
     /* 1425161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1425172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1425175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1425178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1425184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425211 */     // MIs[1] Operand 1
     /* 1425211 */     // No operand predicates
     /* 1425211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425215 */     // MIs[0] policy
     /* 1425215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425227 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1425230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425252 */     // GIR_Coverage, 5826,
     /* 1425252 */     GIR_EraseRootFromParent_Done,
     /* 1425253 */   // Label 20089: @1425253
     /* 1425253 */   GIM_Try, /*On fail goto*//*Label 20090*/ GIMT_Encode4(1425350), // Rule ID 5829 //
     /* 1425258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1425269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1425272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1425275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425308 */     // MIs[1] Operand 1
     /* 1425308 */     // No operand predicates
     /* 1425308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425312 */     // MIs[0] policy
     /* 1425312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1425327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1425346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425349 */     // GIR_Coverage, 5829,
     /* 1425349 */     GIR_EraseRootFromParent_Done,
     /* 1425350 */   // Label 20090: @1425350
     /* 1425350 */   GIM_Try, /*On fail goto*//*Label 20091*/ GIMT_Encode4(1425447), // Rule ID 5830 //
     /* 1425355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1425366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1425369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1425372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425405 */     // MIs[1] Operand 1
     /* 1425405 */     // No operand predicates
     /* 1425405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425409 */     // MIs[0] policy
     /* 1425409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425421 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1425424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1425443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425446 */     // GIR_Coverage, 5830,
     /* 1425446 */     GIR_EraseRootFromParent_Done,
     /* 1425447 */   // Label 20091: @1425447
     /* 1425447 */   GIM_Try, /*On fail goto*//*Label 20092*/ GIMT_Encode4(1425544), // Rule ID 5833 //
     /* 1425452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1425463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1425466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1425469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425502 */     // MIs[1] Operand 1
     /* 1425502 */     // No operand predicates
     /* 1425502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425506 */     // MIs[0] policy
     /* 1425506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425518 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1425521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1425540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425543 */     // GIR_Coverage, 5833,
     /* 1425543 */     GIR_EraseRootFromParent_Done,
     /* 1425544 */   // Label 20092: @1425544
     /* 1425544 */   GIM_Try, /*On fail goto*//*Label 20093*/ GIMT_Encode4(1425641), // Rule ID 5834 //
     /* 1425549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1425560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1425563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1425566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425599 */     // MIs[1] Operand 1
     /* 1425599 */     // No operand predicates
     /* 1425599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425603 */     // MIs[0] policy
     /* 1425603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425615 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1425618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1425637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425640 */     // GIR_Coverage, 5834,
     /* 1425640 */     GIR_EraseRootFromParent_Done,
     /* 1425641 */   // Label 20093: @1425641
     /* 1425641 */   GIM_Try, /*On fail goto*//*Label 20094*/ GIMT_Encode4(1425738), // Rule ID 5837 //
     /* 1425646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1425649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1425657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1425660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1425663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425696 */     // MIs[1] Operand 1
     /* 1425696 */     // No operand predicates
     /* 1425696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425700 */     // MIs[0] policy
     /* 1425700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425712 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1425715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425737 */     // GIR_Coverage, 5837,
     /* 1425737 */     GIR_EraseRootFromParent_Done,
     /* 1425738 */   // Label 20094: @1425738
     /* 1425738 */   GIM_Try, /*On fail goto*//*Label 20095*/ GIMT_Encode4(1425835), // Rule ID 5838 //
     /* 1425743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1425746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1425754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1425757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1425760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425793 */     // MIs[1] Operand 1
     /* 1425793 */     // No operand predicates
     /* 1425793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425797 */     // MIs[0] policy
     /* 1425797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425809 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1425812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425834 */     // GIR_Coverage, 5838,
     /* 1425834 */     GIR_EraseRootFromParent_Done,
     /* 1425835 */   // Label 20095: @1425835
     /* 1425835 */   GIM_Try, /*On fail goto*//*Label 20096*/ GIMT_Encode4(1425932), // Rule ID 5841 //
     /* 1425840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1425851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1425854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1425857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1425863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1425870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425890 */     // MIs[1] Operand 1
     /* 1425890 */     // No operand predicates
     /* 1425890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425894 */     // MIs[0] policy
     /* 1425894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425906 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1425909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425931 */     // GIR_Coverage, 5841,
     /* 1425931 */     GIR_EraseRootFromParent_Done,
     /* 1425932 */   // Label 20096: @1425932
     /* 1425932 */   GIM_Try, /*On fail goto*//*Label 20097*/ GIMT_Encode4(1426029), // Rule ID 5842 //
     /* 1425937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1425945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1425948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1425951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1425954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1425960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1425967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425987 */     // MIs[1] Operand 1
     /* 1425987 */     // No operand predicates
     /* 1425987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425991 */     // MIs[0] policy
     /* 1425991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426003 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1426006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426028 */     // GIR_Coverage, 5842,
     /* 1426028 */     GIR_EraseRootFromParent_Done,
     /* 1426029 */   // Label 20097: @1426029
     /* 1426029 */   GIM_Try, /*On fail goto*//*Label 20098*/ GIMT_Encode4(1426126), // Rule ID 5845 //
     /* 1426034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1426045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1426048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1426051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1426057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1426064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426084 */     // MIs[1] Operand 1
     /* 1426084 */     // No operand predicates
     /* 1426084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426088 */     // MIs[0] policy
     /* 1426088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426100 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1426103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426125 */     // GIR_Coverage, 5845,
     /* 1426125 */     GIR_EraseRootFromParent_Done,
     /* 1426126 */   // Label 20098: @1426126
     /* 1426126 */   GIM_Try, /*On fail goto*//*Label 20099*/ GIMT_Encode4(1426223), // Rule ID 5846 //
     /* 1426131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1426142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1426145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1426148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1426154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1426161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426181 */     // MIs[1] Operand 1
     /* 1426181 */     // No operand predicates
     /* 1426181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426185 */     // MIs[0] policy
     /* 1426185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426197 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1426200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426222 */     // GIR_Coverage, 5846,
     /* 1426222 */     GIR_EraseRootFromParent_Done,
     /* 1426223 */   // Label 20099: @1426223
     /* 1426223 */   GIM_Try, /*On fail goto*//*Label 20100*/ GIMT_Encode4(1426320), // Rule ID 5849 //
     /* 1426228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1426239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1426242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1426245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1426251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1426258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426278 */     // MIs[1] Operand 1
     /* 1426278 */     // No operand predicates
     /* 1426278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426282 */     // MIs[0] policy
     /* 1426282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426294 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1426297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426319 */     // GIR_Coverage, 5849,
     /* 1426319 */     GIR_EraseRootFromParent_Done,
     /* 1426320 */   // Label 20100: @1426320
     /* 1426320 */   GIM_Try, /*On fail goto*//*Label 20101*/ GIMT_Encode4(1426417), // Rule ID 5850 //
     /* 1426325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1426336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1426339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1426342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1426348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1426355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426375 */     // MIs[1] Operand 1
     /* 1426375 */     // No operand predicates
     /* 1426375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426379 */     // MIs[0] policy
     /* 1426379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426391 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1426394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426416 */     // GIR_Coverage, 5850,
     /* 1426416 */     GIR_EraseRootFromParent_Done,
     /* 1426417 */   // Label 20101: @1426417
     /* 1426417 */   GIM_Try, /*On fail goto*//*Label 20102*/ GIMT_Encode4(1426514), // Rule ID 5853 //
     /* 1426422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1426433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1426436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1426439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1426452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426472 */     // MIs[1] Operand 1
     /* 1426472 */     // No operand predicates
     /* 1426472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426476 */     // MIs[0] policy
     /* 1426476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426488 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1426491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426513 */     // GIR_Coverage, 5853,
     /* 1426513 */     GIR_EraseRootFromParent_Done,
     /* 1426514 */   // Label 20102: @1426514
     /* 1426514 */   GIM_Try, /*On fail goto*//*Label 20103*/ GIMT_Encode4(1426611), // Rule ID 5854 //
     /* 1426519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1426530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1426533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1426536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1426549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426569 */     // MIs[1] Operand 1
     /* 1426569 */     // No operand predicates
     /* 1426569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426573 */     // MIs[0] policy
     /* 1426573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426585 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1426588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426610 */     // GIR_Coverage, 5854,
     /* 1426610 */     GIR_EraseRootFromParent_Done,
     /* 1426611 */   // Label 20103: @1426611
     /* 1426611 */   GIM_Try, /*On fail goto*//*Label 20104*/ GIMT_Encode4(1426708), // Rule ID 5857 //
     /* 1426616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1426627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1426630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1426633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1426639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1426646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426666 */     // MIs[1] Operand 1
     /* 1426666 */     // No operand predicates
     /* 1426666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426670 */     // MIs[0] policy
     /* 1426670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426682 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1426685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426707 */     // GIR_Coverage, 5857,
     /* 1426707 */     GIR_EraseRootFromParent_Done,
     /* 1426708 */   // Label 20104: @1426708
     /* 1426708 */   GIM_Try, /*On fail goto*//*Label 20105*/ GIMT_Encode4(1426805), // Rule ID 5858 //
     /* 1426713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1426724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1426727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1426730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1426736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1426743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426763 */     // MIs[1] Operand 1
     /* 1426763 */     // No operand predicates
     /* 1426763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426767 */     // MIs[0] policy
     /* 1426767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426779 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1426782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426804 */     // GIR_Coverage, 5858,
     /* 1426804 */     GIR_EraseRootFromParent_Done,
     /* 1426805 */   // Label 20105: @1426805
     /* 1426805 */   GIM_Try, /*On fail goto*//*Label 20106*/ GIMT_Encode4(1426902), // Rule ID 5861 //
     /* 1426810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1426821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1426824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1426827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1426833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1426840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426860 */     // MIs[1] Operand 1
     /* 1426860 */     // No operand predicates
     /* 1426860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426864 */     // MIs[0] policy
     /* 1426864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426876 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1426879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426901 */     // GIR_Coverage, 5861,
     /* 1426901 */     GIR_EraseRootFromParent_Done,
     /* 1426902 */   // Label 20106: @1426902
     /* 1426902 */   GIM_Try, /*On fail goto*//*Label 20107*/ GIMT_Encode4(1426999), // Rule ID 5862 //
     /* 1426907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1426915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1426918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1426921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1426924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1426930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1426937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426957 */     // MIs[1] Operand 1
     /* 1426957 */     // No operand predicates
     /* 1426957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426961 */     // MIs[0] policy
     /* 1426961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426973 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1426976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426998 */     // GIR_Coverage, 5862,
     /* 1426998 */     GIR_EraseRootFromParent_Done,
     /* 1426999 */   // Label 20107: @1426999
     /* 1426999 */   GIM_Try, /*On fail goto*//*Label 20108*/ GIMT_Encode4(1427096), // Rule ID 5865 //
     /* 1427004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1427015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1427018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1427021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1427027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427054 */     // MIs[1] Operand 1
     /* 1427054 */     // No operand predicates
     /* 1427054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427058 */     // MIs[0] policy
     /* 1427058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427070 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1427073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427095 */     // GIR_Coverage, 5865,
     /* 1427095 */     GIR_EraseRootFromParent_Done,
     /* 1427096 */   // Label 20108: @1427096
     /* 1427096 */   GIM_Try, /*On fail goto*//*Label 20109*/ GIMT_Encode4(1427193), // Rule ID 5866 //
     /* 1427101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1427112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1427115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1427118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1427124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427151 */     // MIs[1] Operand 1
     /* 1427151 */     // No operand predicates
     /* 1427151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427155 */     // MIs[0] policy
     /* 1427155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427167 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1427170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427192 */     // GIR_Coverage, 5866,
     /* 1427192 */     GIR_EraseRootFromParent_Done,
     /* 1427193 */   // Label 20109: @1427193
     /* 1427193 */   GIM_Try, /*On fail goto*//*Label 20110*/ GIMT_Encode4(1427290), // Rule ID 5869 //
     /* 1427198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1427209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1427212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1427215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427248 */     // MIs[1] Operand 1
     /* 1427248 */     // No operand predicates
     /* 1427248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427252 */     // MIs[0] policy
     /* 1427252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427264 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1427267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427289 */     // GIR_Coverage, 5869,
     /* 1427289 */     GIR_EraseRootFromParent_Done,
     /* 1427290 */   // Label 20110: @1427290
     /* 1427290 */   GIM_Try, /*On fail goto*//*Label 20111*/ GIMT_Encode4(1427387), // Rule ID 5870 //
     /* 1427295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1427306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1427309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1427312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427345 */     // MIs[1] Operand 1
     /* 1427345 */     // No operand predicates
     /* 1427345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427349 */     // MIs[0] policy
     /* 1427349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427361 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1427364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427386 */     // GIR_Coverage, 5870,
     /* 1427386 */     GIR_EraseRootFromParent_Done,
     /* 1427387 */   // Label 20111: @1427387
     /* 1427387 */   GIM_Try, /*On fail goto*//*Label 20112*/ GIMT_Encode4(1427484), // Rule ID 5873 //
     /* 1427392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1427403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1427406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1427409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427442 */     // MIs[1] Operand 1
     /* 1427442 */     // No operand predicates
     /* 1427442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427446 */     // MIs[0] policy
     /* 1427446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427458 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1427461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427483 */     // GIR_Coverage, 5873,
     /* 1427483 */     GIR_EraseRootFromParent_Done,
     /* 1427484 */   // Label 20112: @1427484
     /* 1427484 */   GIM_Try, /*On fail goto*//*Label 20113*/ GIMT_Encode4(1427581), // Rule ID 5874 //
     /* 1427489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1427500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1427503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1427506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427539 */     // MIs[1] Operand 1
     /* 1427539 */     // No operand predicates
     /* 1427539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427543 */     // MIs[0] policy
     /* 1427543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427555 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1427558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427580 */     // GIR_Coverage, 5874,
     /* 1427580 */     GIR_EraseRootFromParent_Done,
     /* 1427581 */   // Label 20113: @1427581
     /* 1427581 */   GIM_Try, /*On fail goto*//*Label 20114*/ GIMT_Encode4(1427678), // Rule ID 5877 //
     /* 1427586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1427589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1427597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1427600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1427603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1427609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427636 */     // MIs[1] Operand 1
     /* 1427636 */     // No operand predicates
     /* 1427636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427640 */     // MIs[0] policy
     /* 1427640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427652 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1427655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427677 */     // GIR_Coverage, 5877,
     /* 1427677 */     GIR_EraseRootFromParent_Done,
     /* 1427678 */   // Label 20114: @1427678
     /* 1427678 */   GIM_Try, /*On fail goto*//*Label 20115*/ GIMT_Encode4(1427775), // Rule ID 5878 //
     /* 1427683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1427686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1427694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1427697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1427700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1427706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427733 */     // MIs[1] Operand 1
     /* 1427733 */     // No operand predicates
     /* 1427733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427737 */     // MIs[0] policy
     /* 1427737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427749 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1427752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427774 */     // GIR_Coverage, 5878,
     /* 1427774 */     GIR_EraseRootFromParent_Done,
     /* 1427775 */   // Label 20115: @1427775
     /* 1427775 */   GIM_Try, /*On fail goto*//*Label 20116*/ GIMT_Encode4(1427872), // Rule ID 5881 //
     /* 1427780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1427783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1427791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1427794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1427797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1427803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427830 */     // MIs[1] Operand 1
     /* 1427830 */     // No operand predicates
     /* 1427830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427834 */     // MIs[0] policy
     /* 1427834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427846 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1427849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427871 */     // GIR_Coverage, 5881,
     /* 1427871 */     GIR_EraseRootFromParent_Done,
     /* 1427872 */   // Label 20116: @1427872
     /* 1427872 */   GIM_Try, /*On fail goto*//*Label 20117*/ GIMT_Encode4(1427969), // Rule ID 5882 //
     /* 1427877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1427880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1427888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1427891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1427894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1427900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427927 */     // MIs[1] Operand 1
     /* 1427927 */     // No operand predicates
     /* 1427927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427931 */     // MIs[0] policy
     /* 1427931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427943 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1427946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427968 */     // GIR_Coverage, 5882,
     /* 1427968 */     GIR_EraseRootFromParent_Done,
     /* 1427969 */   // Label 20117: @1427969
     /* 1427969 */   GIM_Try, /*On fail goto*//*Label 20118*/ GIMT_Encode4(1428066), // Rule ID 5885 //
     /* 1427974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1427977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1427982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1427985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1427988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1427991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1428004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428024 */     // MIs[1] Operand 1
     /* 1428024 */     // No operand predicates
     /* 1428024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428028 */     // MIs[0] policy
     /* 1428028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428040 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1428043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1428062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428065 */     // GIR_Coverage, 5885,
     /* 1428065 */     GIR_EraseRootFromParent_Done,
     /* 1428066 */   // Label 20118: @1428066
     /* 1428066 */   GIM_Try, /*On fail goto*//*Label 20119*/ GIMT_Encode4(1428163), // Rule ID 5886 //
     /* 1428071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1428074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1428079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1428082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1428085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1428088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1428101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1428109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428121 */     // MIs[1] Operand 1
     /* 1428121 */     // No operand predicates
     /* 1428121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428125 */     // MIs[0] policy
     /* 1428125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428137 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1428140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1428159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428162 */     // GIR_Coverage, 5886,
     /* 1428162 */     GIR_EraseRootFromParent_Done,
     /* 1428163 */   // Label 20119: @1428163
     /* 1428163 */   GIM_Try, /*On fail goto*//*Label 20120*/ GIMT_Encode4(1428260), // Rule ID 6065 //
     /* 1428168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1428176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1428179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1428182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1428185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428218 */     // MIs[1] Operand 1
     /* 1428218 */     // No operand predicates
     /* 1428218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428222 */     // MIs[0] policy
     /* 1428222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428234 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1428237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428259 */     // GIR_Coverage, 6065,
     /* 1428259 */     GIR_EraseRootFromParent_Done,
     /* 1428260 */   // Label 20120: @1428260
     /* 1428260 */   GIM_Try, /*On fail goto*//*Label 20121*/ GIMT_Encode4(1428357), // Rule ID 6066 //
     /* 1428265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1428273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1428276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1428279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1428282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428315 */     // MIs[1] Operand 1
     /* 1428315 */     // No operand predicates
     /* 1428315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428319 */     // MIs[0] policy
     /* 1428319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428331 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1428334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428356 */     // GIR_Coverage, 6066,
     /* 1428356 */     GIR_EraseRootFromParent_Done,
     /* 1428357 */   // Label 20121: @1428357
     /* 1428357 */   GIM_Try, /*On fail goto*//*Label 20122*/ GIMT_Encode4(1428454), // Rule ID 6069 //
     /* 1428362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1428370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1428373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1428376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1428379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428412 */     // MIs[1] Operand 1
     /* 1428412 */     // No operand predicates
     /* 1428412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428416 */     // MIs[0] policy
     /* 1428416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428428 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1428431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428453 */     // GIR_Coverage, 6069,
     /* 1428453 */     GIR_EraseRootFromParent_Done,
     /* 1428454 */   // Label 20122: @1428454
     /* 1428454 */   GIM_Try, /*On fail goto*//*Label 20123*/ GIMT_Encode4(1428551), // Rule ID 6070 //
     /* 1428459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1428467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1428470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1428473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1428476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428509 */     // MIs[1] Operand 1
     /* 1428509 */     // No operand predicates
     /* 1428509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428513 */     // MIs[0] policy
     /* 1428513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428525 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1428528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428550 */     // GIR_Coverage, 6070,
     /* 1428550 */     GIR_EraseRootFromParent_Done,
     /* 1428551 */   // Label 20123: @1428551
     /* 1428551 */   GIM_Try, /*On fail goto*//*Label 20124*/ GIMT_Encode4(1428648), // Rule ID 6073 //
     /* 1428556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1428564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1428567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1428570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1428573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428606 */     // MIs[1] Operand 1
     /* 1428606 */     // No operand predicates
     /* 1428606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428610 */     // MIs[0] policy
     /* 1428610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428622 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1428625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428647 */     // GIR_Coverage, 6073,
     /* 1428647 */     GIR_EraseRootFromParent_Done,
     /* 1428648 */   // Label 20124: @1428648
     /* 1428648 */   GIM_Try, /*On fail goto*//*Label 20125*/ GIMT_Encode4(1428745), // Rule ID 6074 //
     /* 1428653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1428661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1428664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1428667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1428670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428703 */     // MIs[1] Operand 1
     /* 1428703 */     // No operand predicates
     /* 1428703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428707 */     // MIs[0] policy
     /* 1428707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428719 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1428722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428744 */     // GIR_Coverage, 6074,
     /* 1428744 */     GIR_EraseRootFromParent_Done,
     /* 1428745 */   // Label 20125: @1428745
     /* 1428745 */   GIM_Try, /*On fail goto*//*Label 20126*/ GIMT_Encode4(1428842), // Rule ID 6077 //
     /* 1428750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1428758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1428761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1428764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1428767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428800 */     // MIs[1] Operand 1
     /* 1428800 */     // No operand predicates
     /* 1428800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428804 */     // MIs[0] policy
     /* 1428804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428816 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1428819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428841 */     // GIR_Coverage, 6077,
     /* 1428841 */     GIR_EraseRootFromParent_Done,
     /* 1428842 */   // Label 20126: @1428842
     /* 1428842 */   GIM_Try, /*On fail goto*//*Label 20127*/ GIMT_Encode4(1428939), // Rule ID 6078 //
     /* 1428847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1428855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1428858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1428861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1428864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428897 */     // MIs[1] Operand 1
     /* 1428897 */     // No operand predicates
     /* 1428897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428901 */     // MIs[0] policy
     /* 1428901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428913 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1428916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428938 */     // GIR_Coverage, 6078,
     /* 1428938 */     GIR_EraseRootFromParent_Done,
     /* 1428939 */   // Label 20127: @1428939
     /* 1428939 */   GIM_Try, /*On fail goto*//*Label 20128*/ GIMT_Encode4(1429036), // Rule ID 6081 //
     /* 1428944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1428952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1428955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1428958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1428961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428994 */     // MIs[1] Operand 1
     /* 1428994 */     // No operand predicates
     /* 1428994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428998 */     // MIs[0] policy
     /* 1428998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429010 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1429013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429035 */     // GIR_Coverage, 6081,
     /* 1429035 */     GIR_EraseRootFromParent_Done,
     /* 1429036 */   // Label 20128: @1429036
     /* 1429036 */   GIM_Try, /*On fail goto*//*Label 20129*/ GIMT_Encode4(1429133), // Rule ID 6082 //
     /* 1429041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1429052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1429055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1429058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429091 */     // MIs[1] Operand 1
     /* 1429091 */     // No operand predicates
     /* 1429091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429095 */     // MIs[0] policy
     /* 1429095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429107 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1429110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429132 */     // GIR_Coverage, 6082,
     /* 1429132 */     GIR_EraseRootFromParent_Done,
     /* 1429133 */   // Label 20129: @1429133
     /* 1429133 */   GIM_Try, /*On fail goto*//*Label 20130*/ GIMT_Encode4(1429230), // Rule ID 6085 //
     /* 1429138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1429149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1429152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1429155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429188 */     // MIs[1] Operand 1
     /* 1429188 */     // No operand predicates
     /* 1429188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429192 */     // MIs[0] policy
     /* 1429192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429204 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1429207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429229 */     // GIR_Coverage, 6085,
     /* 1429229 */     GIR_EraseRootFromParent_Done,
     /* 1429230 */   // Label 20130: @1429230
     /* 1429230 */   GIM_Try, /*On fail goto*//*Label 20131*/ GIMT_Encode4(1429327), // Rule ID 6086 //
     /* 1429235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1429246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1429249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1429252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429285 */     // MIs[1] Operand 1
     /* 1429285 */     // No operand predicates
     /* 1429285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429289 */     // MIs[0] policy
     /* 1429289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429301 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1429304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429326 */     // GIR_Coverage, 6086,
     /* 1429326 */     GIR_EraseRootFromParent_Done,
     /* 1429327 */   // Label 20131: @1429327
     /* 1429327 */   GIM_Try, /*On fail goto*//*Label 20132*/ GIMT_Encode4(1429424), // Rule ID 6089 //
     /* 1429332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1429343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1429346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1429349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1429355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429382 */     // MIs[1] Operand 1
     /* 1429382 */     // No operand predicates
     /* 1429382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429386 */     // MIs[0] policy
     /* 1429386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429398 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1429401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429423 */     // GIR_Coverage, 6089,
     /* 1429423 */     GIR_EraseRootFromParent_Done,
     /* 1429424 */   // Label 20132: @1429424
     /* 1429424 */   GIM_Try, /*On fail goto*//*Label 20133*/ GIMT_Encode4(1429521), // Rule ID 6090 //
     /* 1429429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1429440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1429443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1429446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1429452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429479 */     // MIs[1] Operand 1
     /* 1429479 */     // No operand predicates
     /* 1429479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429483 */     // MIs[0] policy
     /* 1429483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429495 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1429498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429520 */     // GIR_Coverage, 6090,
     /* 1429520 */     GIR_EraseRootFromParent_Done,
     /* 1429521 */   // Label 20133: @1429521
     /* 1429521 */   GIM_Try, /*On fail goto*//*Label 20134*/ GIMT_Encode4(1429618), // Rule ID 6093 //
     /* 1429526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1429537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1429540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1429543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429576 */     // MIs[1] Operand 1
     /* 1429576 */     // No operand predicates
     /* 1429576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429580 */     // MIs[0] policy
     /* 1429580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429592 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1429595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429617 */     // GIR_Coverage, 6093,
     /* 1429617 */     GIR_EraseRootFromParent_Done,
     /* 1429618 */   // Label 20134: @1429618
     /* 1429618 */   GIM_Try, /*On fail goto*//*Label 20135*/ GIMT_Encode4(1429715), // Rule ID 6094 //
     /* 1429623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1429634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1429637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1429640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429673 */     // MIs[1] Operand 1
     /* 1429673 */     // No operand predicates
     /* 1429673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429677 */     // MIs[0] policy
     /* 1429677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429689 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1429692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429714 */     // GIR_Coverage, 6094,
     /* 1429714 */     GIR_EraseRootFromParent_Done,
     /* 1429715 */   // Label 20135: @1429715
     /* 1429715 */   GIM_Try, /*On fail goto*//*Label 20136*/ GIMT_Encode4(1429812), // Rule ID 6097 //
     /* 1429720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1429731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1429734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1429737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429770 */     // MIs[1] Operand 1
     /* 1429770 */     // No operand predicates
     /* 1429770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429774 */     // MIs[0] policy
     /* 1429774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429786 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1429789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429811 */     // GIR_Coverage, 6097,
     /* 1429811 */     GIR_EraseRootFromParent_Done,
     /* 1429812 */   // Label 20136: @1429812
     /* 1429812 */   GIM_Try, /*On fail goto*//*Label 20137*/ GIMT_Encode4(1429909), // Rule ID 6098 //
     /* 1429817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1429828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1429831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1429834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429867 */     // MIs[1] Operand 1
     /* 1429867 */     // No operand predicates
     /* 1429867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429871 */     // MIs[0] policy
     /* 1429871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1429886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429908 */     // GIR_Coverage, 6098,
     /* 1429908 */     GIR_EraseRootFromParent_Done,
     /* 1429909 */   // Label 20137: @1429909
     /* 1429909 */   GIM_Try, /*On fail goto*//*Label 20138*/ GIMT_Encode4(1430006), // Rule ID 6101 //
     /* 1429914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1429917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1429922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1429925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1429928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1429931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429964 */     // MIs[1] Operand 1
     /* 1429964 */     // No operand predicates
     /* 1429964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429968 */     // MIs[0] policy
     /* 1429968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429980 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1429983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1430002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430005 */     // GIR_Coverage, 6101,
     /* 1430005 */     GIR_EraseRootFromParent_Done,
     /* 1430006 */   // Label 20138: @1430006
     /* 1430006 */   GIM_Try, /*On fail goto*//*Label 20139*/ GIMT_Encode4(1430103), // Rule ID 6102 //
     /* 1430011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1430014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1430022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1430025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1430028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430061 */     // MIs[1] Operand 1
     /* 1430061 */     // No operand predicates
     /* 1430061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430065 */     // MIs[0] policy
     /* 1430065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430077 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1430080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1430099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430102 */     // GIR_Coverage, 6102,
     /* 1430102 */     GIR_EraseRootFromParent_Done,
     /* 1430103 */   // Label 20139: @1430103
     /* 1430103 */   GIM_Try, /*On fail goto*//*Label 20140*/ GIMT_Encode4(1430200), // Rule ID 6105 //
     /* 1430108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1430119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1430122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1430125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1430131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1430138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430158 */     // MIs[1] Operand 1
     /* 1430158 */     // No operand predicates
     /* 1430158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430162 */     // MIs[0] policy
     /* 1430162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430174 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1430177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430199 */     // GIR_Coverage, 6105,
     /* 1430199 */     GIR_EraseRootFromParent_Done,
     /* 1430200 */   // Label 20140: @1430200
     /* 1430200 */   GIM_Try, /*On fail goto*//*Label 20141*/ GIMT_Encode4(1430297), // Rule ID 6106 //
     /* 1430205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1430216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1430219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1430222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1430228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1430235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430255 */     // MIs[1] Operand 1
     /* 1430255 */     // No operand predicates
     /* 1430255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430259 */     // MIs[0] policy
     /* 1430259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430271 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1430274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430296 */     // GIR_Coverage, 6106,
     /* 1430296 */     GIR_EraseRootFromParent_Done,
     /* 1430297 */   // Label 20141: @1430297
     /* 1430297 */   GIM_Try, /*On fail goto*//*Label 20142*/ GIMT_Encode4(1430394), // Rule ID 6109 //
     /* 1430302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1430313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1430316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1430319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1430325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1430332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430352 */     // MIs[1] Operand 1
     /* 1430352 */     // No operand predicates
     /* 1430352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430356 */     // MIs[0] policy
     /* 1430356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430368 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1430371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430393 */     // GIR_Coverage, 6109,
     /* 1430393 */     GIR_EraseRootFromParent_Done,
     /* 1430394 */   // Label 20142: @1430394
     /* 1430394 */   GIM_Try, /*On fail goto*//*Label 20143*/ GIMT_Encode4(1430491), // Rule ID 6110 //
     /* 1430399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1430410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1430413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1430416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1430422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1430429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430449 */     // MIs[1] Operand 1
     /* 1430449 */     // No operand predicates
     /* 1430449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430453 */     // MIs[0] policy
     /* 1430453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430465 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1430468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430490 */     // GIR_Coverage, 6110,
     /* 1430490 */     GIR_EraseRootFromParent_Done,
     /* 1430491 */   // Label 20143: @1430491
     /* 1430491 */   GIM_Try, /*On fail goto*//*Label 20144*/ GIMT_Encode4(1430588), // Rule ID 6113 //
     /* 1430496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1430507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1430510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1430513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1430519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1430526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430546 */     // MIs[1] Operand 1
     /* 1430546 */     // No operand predicates
     /* 1430546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430550 */     // MIs[0] policy
     /* 1430550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430562 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1430565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430587 */     // GIR_Coverage, 6113,
     /* 1430587 */     GIR_EraseRootFromParent_Done,
     /* 1430588 */   // Label 20144: @1430588
     /* 1430588 */   GIM_Try, /*On fail goto*//*Label 20145*/ GIMT_Encode4(1430685), // Rule ID 6114 //
     /* 1430593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1430604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1430607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1430610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1430616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1430623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430643 */     // MIs[1] Operand 1
     /* 1430643 */     // No operand predicates
     /* 1430643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430647 */     // MIs[0] policy
     /* 1430647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430659 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1430662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430684 */     // GIR_Coverage, 6114,
     /* 1430684 */     GIR_EraseRootFromParent_Done,
     /* 1430685 */   // Label 20145: @1430685
     /* 1430685 */   GIM_Try, /*On fail goto*//*Label 20146*/ GIMT_Encode4(1430782), // Rule ID 6117 //
     /* 1430690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1430701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1430704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1430707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1430720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430740 */     // MIs[1] Operand 1
     /* 1430740 */     // No operand predicates
     /* 1430740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430744 */     // MIs[0] policy
     /* 1430744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430756 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1430759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430781 */     // GIR_Coverage, 6117,
     /* 1430781 */     GIR_EraseRootFromParent_Done,
     /* 1430782 */   // Label 20146: @1430782
     /* 1430782 */   GIM_Try, /*On fail goto*//*Label 20147*/ GIMT_Encode4(1430879), // Rule ID 6118 //
     /* 1430787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1430798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1430801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1430804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1430817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430837 */     // MIs[1] Operand 1
     /* 1430837 */     // No operand predicates
     /* 1430837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430841 */     // MIs[0] policy
     /* 1430841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430853 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1430856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430878 */     // GIR_Coverage, 6118,
     /* 1430878 */     GIR_EraseRootFromParent_Done,
     /* 1430879 */   // Label 20147: @1430879
     /* 1430879 */   GIM_Try, /*On fail goto*//*Label 20148*/ GIMT_Encode4(1430976), // Rule ID 6121 //
     /* 1430884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1430895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1430898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1430901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1430907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1430914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430934 */     // MIs[1] Operand 1
     /* 1430934 */     // No operand predicates
     /* 1430934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430938 */     // MIs[0] policy
     /* 1430938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430950 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1430953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430975 */     // GIR_Coverage, 6121,
     /* 1430975 */     GIR_EraseRootFromParent_Done,
     /* 1430976 */   // Label 20148: @1430976
     /* 1430976 */   GIM_Try, /*On fail goto*//*Label 20149*/ GIMT_Encode4(1431073), // Rule ID 6122 //
     /* 1430981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1430989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1430992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1430995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1430998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431031 */     // MIs[1] Operand 1
     /* 1431031 */     // No operand predicates
     /* 1431031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431035 */     // MIs[0] policy
     /* 1431035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431047 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1431050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1431069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431072 */     // GIR_Coverage, 6122,
     /* 1431072 */     GIR_EraseRootFromParent_Done,
     /* 1431073 */   // Label 20149: @1431073
     /* 1431073 */   GIM_Try, /*On fail goto*//*Label 20150*/ GIMT_Encode4(1431170), // Rule ID 6125 //
     /* 1431078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1431089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1431092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1431095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1431101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431128 */     // MIs[1] Operand 1
     /* 1431128 */     // No operand predicates
     /* 1431128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431132 */     // MIs[0] policy
     /* 1431132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431144 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1431147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1431166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431169 */     // GIR_Coverage, 6125,
     /* 1431169 */     GIR_EraseRootFromParent_Done,
     /* 1431170 */   // Label 20150: @1431170
     /* 1431170 */   GIM_Try, /*On fail goto*//*Label 20151*/ GIMT_Encode4(1431267), // Rule ID 6126 //
     /* 1431175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1431186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1431189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1431192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1431198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431225 */     // MIs[1] Operand 1
     /* 1431225 */     // No operand predicates
     /* 1431225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431229 */     // MIs[0] policy
     /* 1431229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431241 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1431244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1431263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431266 */     // GIR_Coverage, 6126,
     /* 1431266 */     GIR_EraseRootFromParent_Done,
     /* 1431267 */   // Label 20151: @1431267
     /* 1431267 */   GIM_Try, /*On fail goto*//*Label 20152*/ GIMT_Encode4(1431364), // Rule ID 6129 //
     /* 1431272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1431283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1431286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1431289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431322 */     // MIs[1] Operand 1
     /* 1431322 */     // No operand predicates
     /* 1431322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431326 */     // MIs[0] policy
     /* 1431326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431338 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1431341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431363 */     // GIR_Coverage, 6129,
     /* 1431363 */     GIR_EraseRootFromParent_Done,
     /* 1431364 */   // Label 20152: @1431364
     /* 1431364 */   GIM_Try, /*On fail goto*//*Label 20153*/ GIMT_Encode4(1431461), // Rule ID 6130 //
     /* 1431369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1431380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1431383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1431386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431419 */     // MIs[1] Operand 1
     /* 1431419 */     // No operand predicates
     /* 1431419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431423 */     // MIs[0] policy
     /* 1431423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431435 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1431438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431460 */     // GIR_Coverage, 6130,
     /* 1431460 */     GIR_EraseRootFromParent_Done,
     /* 1431461 */   // Label 20153: @1431461
     /* 1431461 */   GIM_Try, /*On fail goto*//*Label 20154*/ GIMT_Encode4(1431558), // Rule ID 6133 //
     /* 1431466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1431477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1431480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1431483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1431489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431516 */     // MIs[1] Operand 1
     /* 1431516 */     // No operand predicates
     /* 1431516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431520 */     // MIs[0] policy
     /* 1431520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431532 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1431535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431557 */     // GIR_Coverage, 6133,
     /* 1431557 */     GIR_EraseRootFromParent_Done,
     /* 1431558 */   // Label 20154: @1431558
     /* 1431558 */   GIM_Try, /*On fail goto*//*Label 20155*/ GIMT_Encode4(1431655), // Rule ID 6134 //
     /* 1431563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1431574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1431577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1431580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1431586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431613 */     // MIs[1] Operand 1
     /* 1431613 */     // No operand predicates
     /* 1431613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431617 */     // MIs[0] policy
     /* 1431617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431629 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1431632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431654 */     // GIR_Coverage, 6134,
     /* 1431654 */     GIR_EraseRootFromParent_Done,
     /* 1431655 */   // Label 20155: @1431655
     /* 1431655 */   GIM_Try, /*On fail goto*//*Label 20156*/ GIMT_Encode4(1431752), // Rule ID 6137 //
     /* 1431660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1431671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1431674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1431677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431710 */     // MIs[1] Operand 1
     /* 1431710 */     // No operand predicates
     /* 1431710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431714 */     // MIs[0] policy
     /* 1431714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431726 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1431729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431751 */     // GIR_Coverage, 6137,
     /* 1431751 */     GIR_EraseRootFromParent_Done,
     /* 1431752 */   // Label 20156: @1431752
     /* 1431752 */   GIM_Try, /*On fail goto*//*Label 20157*/ GIMT_Encode4(1431849), // Rule ID 6138 //
     /* 1431757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1431768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1431771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1431774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431807 */     // MIs[1] Operand 1
     /* 1431807 */     // No operand predicates
     /* 1431807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431811 */     // MIs[0] policy
     /* 1431811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431823 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1431826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431848 */     // GIR_Coverage, 6138,
     /* 1431848 */     GIR_EraseRootFromParent_Done,
     /* 1431849 */   // Label 20157: @1431849
     /* 1431849 */   GIM_Try, /*On fail goto*//*Label 20158*/ GIMT_Encode4(1431946), // Rule ID 6141 //
     /* 1431854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1431857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1431865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1431868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1431871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431904 */     // MIs[1] Operand 1
     /* 1431904 */     // No operand predicates
     /* 1431904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431908 */     // MIs[0] policy
     /* 1431908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431920 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1431923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431945 */     // GIR_Coverage, 6141,
     /* 1431945 */     GIR_EraseRootFromParent_Done,
     /* 1431946 */   // Label 20158: @1431946
     /* 1431946 */   GIM_Try, /*On fail goto*//*Label 20159*/ GIMT_Encode4(1432043), // Rule ID 6142 //
     /* 1431951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1431954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1431959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1431962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1431965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1431968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432001 */     // MIs[1] Operand 1
     /* 1432001 */     // No operand predicates
     /* 1432001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432005 */     // MIs[0] policy
     /* 1432005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432017 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1432020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1432039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432042 */     // GIR_Coverage, 6142,
     /* 1432042 */     GIR_EraseRootFromParent_Done,
     /* 1432043 */   // Label 20159: @1432043
     /* 1432043 */   GIM_Try, /*On fail goto*//*Label 20160*/ GIMT_Encode4(1432140), // Rule ID 6145 //
     /* 1432048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1432051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1432059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1432062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1432065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1432078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432098 */     // MIs[1] Operand 1
     /* 1432098 */     // No operand predicates
     /* 1432098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432102 */     // MIs[0] policy
     /* 1432102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432114 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1432117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1432136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432139 */     // GIR_Coverage, 6145,
     /* 1432139 */     GIR_EraseRootFromParent_Done,
     /* 1432140 */   // Label 20160: @1432140
     /* 1432140 */   GIM_Try, /*On fail goto*//*Label 20161*/ GIMT_Encode4(1432237), // Rule ID 6146 //
     /* 1432145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1432148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1432156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1432159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1432162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1432175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1432183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432195 */     // MIs[1] Operand 1
     /* 1432195 */     // No operand predicates
     /* 1432195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432199 */     // MIs[0] policy
     /* 1432199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432211 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1432214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1432233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432236 */     // GIR_Coverage, 6146,
     /* 1432236 */     GIR_EraseRootFromParent_Done,
     /* 1432237 */   // Label 20161: @1432237
     /* 1432237 */   GIM_Try, /*On fail goto*//*Label 20162*/ GIMT_Encode4(1432334), // Rule ID 6149 //
     /* 1432242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1432245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1432253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1432256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1432259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1432265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432292 */     // MIs[1] Operand 1
     /* 1432292 */     // No operand predicates
     /* 1432292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432296 */     // MIs[0] policy
     /* 1432296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432308 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1432311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1432330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432333 */     // GIR_Coverage, 6149,
     /* 1432333 */     GIR_EraseRootFromParent_Done,
     /* 1432334 */   // Label 20162: @1432334
     /* 1432334 */   GIM_Try, /*On fail goto*//*Label 20163*/ GIMT_Encode4(1432431), // Rule ID 6150 //
     /* 1432339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1432342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1432347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1432350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1432353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1432356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1432362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432389 */     // MIs[1] Operand 1
     /* 1432389 */     // No operand predicates
     /* 1432389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432393 */     // MIs[0] policy
     /* 1432393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432405 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1432408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1432427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432430 */     // GIR_Coverage, 6150,
     /* 1432430 */     GIR_EraseRootFromParent_Done,
     /* 1432431 */   // Label 20163: @1432431
     /* 1432431 */   GIM_Try, /*On fail goto*//*Label 20164*/ GIMT_Encode4(1432528), // Rule ID 6329 //
     /* 1432436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1432444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1432447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1432450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1432453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432486 */     // MIs[1] Operand 1
     /* 1432486 */     // No operand predicates
     /* 1432486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432490 */     // MIs[0] policy
     /* 1432490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432502 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1432505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432527 */     // GIR_Coverage, 6329,
     /* 1432527 */     GIR_EraseRootFromParent_Done,
     /* 1432528 */   // Label 20164: @1432528
     /* 1432528 */   GIM_Try, /*On fail goto*//*Label 20165*/ GIMT_Encode4(1432625), // Rule ID 6330 //
     /* 1432533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1432541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1432544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1432547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1432550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432583 */     // MIs[1] Operand 1
     /* 1432583 */     // No operand predicates
     /* 1432583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432587 */     // MIs[0] policy
     /* 1432587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432599 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1432602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432624 */     // GIR_Coverage, 6330,
     /* 1432624 */     GIR_EraseRootFromParent_Done,
     /* 1432625 */   // Label 20165: @1432625
     /* 1432625 */   GIM_Try, /*On fail goto*//*Label 20166*/ GIMT_Encode4(1432722), // Rule ID 6333 //
     /* 1432630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1432638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1432641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1432644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1432647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1432653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432680 */     // MIs[1] Operand 1
     /* 1432680 */     // No operand predicates
     /* 1432680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432684 */     // MIs[0] policy
     /* 1432684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432696 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1432699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432721 */     // GIR_Coverage, 6333,
     /* 1432721 */     GIR_EraseRootFromParent_Done,
     /* 1432722 */   // Label 20166: @1432722
     /* 1432722 */   GIM_Try, /*On fail goto*//*Label 20167*/ GIMT_Encode4(1432819), // Rule ID 6334 //
     /* 1432727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1432735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1432738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1432741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1432744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1432750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432777 */     // MIs[1] Operand 1
     /* 1432777 */     // No operand predicates
     /* 1432777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432781 */     // MIs[0] policy
     /* 1432781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432793 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1432796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432818 */     // GIR_Coverage, 6334,
     /* 1432818 */     GIR_EraseRootFromParent_Done,
     /* 1432819 */   // Label 20167: @1432819
     /* 1432819 */   GIM_Try, /*On fail goto*//*Label 20168*/ GIMT_Encode4(1432916), // Rule ID 6337 //
     /* 1432824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1432832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1432835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1432838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1432841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432874 */     // MIs[1] Operand 1
     /* 1432874 */     // No operand predicates
     /* 1432874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432878 */     // MIs[0] policy
     /* 1432878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432890 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1432893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432915 */     // GIR_Coverage, 6337,
     /* 1432915 */     GIR_EraseRootFromParent_Done,
     /* 1432916 */   // Label 20168: @1432916
     /* 1432916 */   GIM_Try, /*On fail goto*//*Label 20169*/ GIMT_Encode4(1433013), // Rule ID 6338 //
     /* 1432921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1432929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1432932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1432935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1432938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432971 */     // MIs[1] Operand 1
     /* 1432971 */     // No operand predicates
     /* 1432971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432975 */     // MIs[0] policy
     /* 1432975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432987 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1432990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433012 */     // GIR_Coverage, 6338,
     /* 1433012 */     GIR_EraseRootFromParent_Done,
     /* 1433013 */   // Label 20169: @1433013
     /* 1433013 */   GIM_Try, /*On fail goto*//*Label 20170*/ GIMT_Encode4(1433110), // Rule ID 6341 //
     /* 1433018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1433026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1433029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1433032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1433035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433068 */     // MIs[1] Operand 1
     /* 1433068 */     // No operand predicates
     /* 1433068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433072 */     // MIs[0] policy
     /* 1433072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433084 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1433087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433109 */     // GIR_Coverage, 6341,
     /* 1433109 */     GIR_EraseRootFromParent_Done,
     /* 1433110 */   // Label 20170: @1433110
     /* 1433110 */   GIM_Try, /*On fail goto*//*Label 20171*/ GIMT_Encode4(1433207), // Rule ID 6342 //
     /* 1433115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1433123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1433126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1433129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1433132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433165 */     // MIs[1] Operand 1
     /* 1433165 */     // No operand predicates
     /* 1433165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433169 */     // MIs[0] policy
     /* 1433169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433181 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1433184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433206 */     // GIR_Coverage, 6342,
     /* 1433206 */     GIR_EraseRootFromParent_Done,
     /* 1433207 */   // Label 20171: @1433207
     /* 1433207 */   GIM_Try, /*On fail goto*//*Label 20172*/ GIMT_Encode4(1433304), // Rule ID 6345 //
     /* 1433212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1433220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1433223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1433226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1433229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433262 */     // MIs[1] Operand 1
     /* 1433262 */     // No operand predicates
     /* 1433262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433266 */     // MIs[0] policy
     /* 1433266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433278 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1433281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433303 */     // GIR_Coverage, 6345,
     /* 1433303 */     GIR_EraseRootFromParent_Done,
     /* 1433304 */   // Label 20172: @1433304
     /* 1433304 */   GIM_Try, /*On fail goto*//*Label 20173*/ GIMT_Encode4(1433401), // Rule ID 6346 //
     /* 1433309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1433317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1433320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1433323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1433326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433359 */     // MIs[1] Operand 1
     /* 1433359 */     // No operand predicates
     /* 1433359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433363 */     // MIs[0] policy
     /* 1433363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433375 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1433378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433400 */     // GIR_Coverage, 6346,
     /* 1433400 */     GIR_EraseRootFromParent_Done,
     /* 1433401 */   // Label 20173: @1433401
     /* 1433401 */   GIM_Try, /*On fail goto*//*Label 20174*/ GIMT_Encode4(1433498), // Rule ID 6349 //
     /* 1433406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1433414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1433417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1433420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1433423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433456 */     // MIs[1] Operand 1
     /* 1433456 */     // No operand predicates
     /* 1433456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433460 */     // MIs[0] policy
     /* 1433460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433472 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1433475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433497 */     // GIR_Coverage, 6349,
     /* 1433497 */     GIR_EraseRootFromParent_Done,
     /* 1433498 */   // Label 20174: @1433498
     /* 1433498 */   GIM_Try, /*On fail goto*//*Label 20175*/ GIMT_Encode4(1433595), // Rule ID 6350 //
     /* 1433503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1433511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1433514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1433517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1433520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433553 */     // MIs[1] Operand 1
     /* 1433553 */     // No operand predicates
     /* 1433553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433557 */     // MIs[0] policy
     /* 1433557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433569 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1433572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433594 */     // GIR_Coverage, 6350,
     /* 1433594 */     GIR_EraseRootFromParent_Done,
     /* 1433595 */   // Label 20175: @1433595
     /* 1433595 */   GIM_Try, /*On fail goto*//*Label 20176*/ GIMT_Encode4(1433692), // Rule ID 6353 //
     /* 1433600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1433608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1433611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1433614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1433617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433650 */     // MIs[1] Operand 1
     /* 1433650 */     // No operand predicates
     /* 1433650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433654 */     // MIs[0] policy
     /* 1433654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433666 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1433669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433691 */     // GIR_Coverage, 6353,
     /* 1433691 */     GIR_EraseRootFromParent_Done,
     /* 1433692 */   // Label 20176: @1433692
     /* 1433692 */   GIM_Try, /*On fail goto*//*Label 20177*/ GIMT_Encode4(1433789), // Rule ID 6354 //
     /* 1433697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1433705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1433708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1433711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1433714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433747 */     // MIs[1] Operand 1
     /* 1433747 */     // No operand predicates
     /* 1433747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433751 */     // MIs[0] policy
     /* 1433751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433763 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1433766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433788 */     // GIR_Coverage, 6354,
     /* 1433788 */     GIR_EraseRootFromParent_Done,
     /* 1433789 */   // Label 20177: @1433789
     /* 1433789 */   GIM_Try, /*On fail goto*//*Label 20178*/ GIMT_Encode4(1433886), // Rule ID 6357 //
     /* 1433794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1433802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1433805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1433808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1433811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433844 */     // MIs[1] Operand 1
     /* 1433844 */     // No operand predicates
     /* 1433844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433848 */     // MIs[0] policy
     /* 1433848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433860 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1433863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433885 */     // GIR_Coverage, 6357,
     /* 1433885 */     GIR_EraseRootFromParent_Done,
     /* 1433886 */   // Label 20178: @1433886
     /* 1433886 */   GIM_Try, /*On fail goto*//*Label 20179*/ GIMT_Encode4(1433983), // Rule ID 6358 //
     /* 1433891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1433899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1433902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1433905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1433908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433941 */     // MIs[1] Operand 1
     /* 1433941 */     // No operand predicates
     /* 1433941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433945 */     // MIs[0] policy
     /* 1433945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433957 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1433960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433982 */     // GIR_Coverage, 6358,
     /* 1433982 */     GIR_EraseRootFromParent_Done,
     /* 1433983 */   // Label 20179: @1433983
     /* 1433983 */   GIM_Try, /*On fail goto*//*Label 20180*/ GIMT_Encode4(1434080), // Rule ID 6361 //
     /* 1433988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1433996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1433999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1434002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1434005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1434011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434038 */     // MIs[1] Operand 1
     /* 1434038 */     // No operand predicates
     /* 1434038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434042 */     // MIs[0] policy
     /* 1434042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434054 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1434057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1434076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434079 */     // GIR_Coverage, 6361,
     /* 1434079 */     GIR_EraseRootFromParent_Done,
     /* 1434080 */   // Label 20180: @1434080
     /* 1434080 */   GIM_Try, /*On fail goto*//*Label 20181*/ GIMT_Encode4(1434177), // Rule ID 6362 //
     /* 1434085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1434096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1434099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1434102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1434108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434135 */     // MIs[1] Operand 1
     /* 1434135 */     // No operand predicates
     /* 1434135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434139 */     // MIs[0] policy
     /* 1434139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434151 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1434154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1434173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434176 */     // GIR_Coverage, 6362,
     /* 1434176 */     GIR_EraseRootFromParent_Done,
     /* 1434177 */   // Label 20181: @1434177
     /* 1434177 */   GIM_Try, /*On fail goto*//*Label 20182*/ GIMT_Encode4(1434274), // Rule ID 6365 //
     /* 1434182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1434185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1434193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1434196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1434199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434232 */     // MIs[1] Operand 1
     /* 1434232 */     // No operand predicates
     /* 1434232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434236 */     // MIs[0] policy
     /* 1434236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434248 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1434251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1434270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434273 */     // GIR_Coverage, 6365,
     /* 1434273 */     GIR_EraseRootFromParent_Done,
     /* 1434274 */   // Label 20182: @1434274
     /* 1434274 */   GIM_Try, /*On fail goto*//*Label 20183*/ GIMT_Encode4(1434371), // Rule ID 6366 //
     /* 1434279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1434282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1434290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1434293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1434296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434329 */     // MIs[1] Operand 1
     /* 1434329 */     // No operand predicates
     /* 1434329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434333 */     // MIs[0] policy
     /* 1434333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434345 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1434348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1434367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434370 */     // GIR_Coverage, 6366,
     /* 1434370 */     GIR_EraseRootFromParent_Done,
     /* 1434371 */   // Label 20183: @1434371
     /* 1434371 */   GIM_Try, /*On fail goto*//*Label 20184*/ GIMT_Encode4(1434468), // Rule ID 6369 //
     /* 1434376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1434387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1434390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1434393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1434399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1434406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434426 */     // MIs[1] Operand 1
     /* 1434426 */     // No operand predicates
     /* 1434426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434430 */     // MIs[0] policy
     /* 1434430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434442 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1434445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434467 */     // GIR_Coverage, 6369,
     /* 1434467 */     GIR_EraseRootFromParent_Done,
     /* 1434468 */   // Label 20184: @1434468
     /* 1434468 */   GIM_Try, /*On fail goto*//*Label 20185*/ GIMT_Encode4(1434565), // Rule ID 6370 //
     /* 1434473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1434484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1434487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1434490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1434496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1434503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434523 */     // MIs[1] Operand 1
     /* 1434523 */     // No operand predicates
     /* 1434523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434527 */     // MIs[0] policy
     /* 1434527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434539 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1434542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434564 */     // GIR_Coverage, 6370,
     /* 1434564 */     GIR_EraseRootFromParent_Done,
     /* 1434565 */   // Label 20185: @1434565
     /* 1434565 */   GIM_Try, /*On fail goto*//*Label 20186*/ GIMT_Encode4(1434662), // Rule ID 6373 //
     /* 1434570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1434581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1434584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1434587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1434593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1434600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434620 */     // MIs[1] Operand 1
     /* 1434620 */     // No operand predicates
     /* 1434620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434624 */     // MIs[0] policy
     /* 1434624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434636 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1434639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434661 */     // GIR_Coverage, 6373,
     /* 1434661 */     GIR_EraseRootFromParent_Done,
     /* 1434662 */   // Label 20186: @1434662
     /* 1434662 */   GIM_Try, /*On fail goto*//*Label 20187*/ GIMT_Encode4(1434759), // Rule ID 6374 //
     /* 1434667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1434678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1434681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1434684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1434690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1434697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434717 */     // MIs[1] Operand 1
     /* 1434717 */     // No operand predicates
     /* 1434717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434721 */     // MIs[0] policy
     /* 1434721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434733 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1434736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434758 */     // GIR_Coverage, 6374,
     /* 1434758 */     GIR_EraseRootFromParent_Done,
     /* 1434759 */   // Label 20187: @1434759
     /* 1434759 */   GIM_Try, /*On fail goto*//*Label 20188*/ GIMT_Encode4(1434856), // Rule ID 6377 //
     /* 1434764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1434775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1434778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1434781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1434787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1434794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434814 */     // MIs[1] Operand 1
     /* 1434814 */     // No operand predicates
     /* 1434814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434818 */     // MIs[0] policy
     /* 1434818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434830 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1434833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434855 */     // GIR_Coverage, 6377,
     /* 1434855 */     GIR_EraseRootFromParent_Done,
     /* 1434856 */   // Label 20188: @1434856
     /* 1434856 */   GIM_Try, /*On fail goto*//*Label 20189*/ GIMT_Encode4(1434953), // Rule ID 6378 //
     /* 1434861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1434872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1434875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1434878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1434884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1434891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434911 */     // MIs[1] Operand 1
     /* 1434911 */     // No operand predicates
     /* 1434911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434915 */     // MIs[0] policy
     /* 1434915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434927 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1434930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434952 */     // GIR_Coverage, 6378,
     /* 1434952 */     GIR_EraseRootFromParent_Done,
     /* 1434953 */   // Label 20189: @1434953
     /* 1434953 */   GIM_Try, /*On fail goto*//*Label 20190*/ GIMT_Encode4(1435050), // Rule ID 6381 //
     /* 1434958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1434966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1434969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1434972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1434975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1434981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1434988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435008 */     // MIs[1] Operand 1
     /* 1435008 */     // No operand predicates
     /* 1435008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435012 */     // MIs[0] policy
     /* 1435012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435024 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1435027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435049 */     // GIR_Coverage, 6381,
     /* 1435049 */     GIR_EraseRootFromParent_Done,
     /* 1435050 */   // Label 20190: @1435050
     /* 1435050 */   GIM_Try, /*On fail goto*//*Label 20191*/ GIMT_Encode4(1435147), // Rule ID 6382 //
     /* 1435055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1435066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1435069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1435072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435105 */     // MIs[1] Operand 1
     /* 1435105 */     // No operand predicates
     /* 1435105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435109 */     // MIs[0] policy
     /* 1435109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435121 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1435124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435146 */     // GIR_Coverage, 6382,
     /* 1435146 */     GIR_EraseRootFromParent_Done,
     /* 1435147 */   // Label 20191: @1435147
     /* 1435147 */   GIM_Try, /*On fail goto*//*Label 20192*/ GIMT_Encode4(1435244), // Rule ID 6385 //
     /* 1435152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1435163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1435166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1435169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435202 */     // MIs[1] Operand 1
     /* 1435202 */     // No operand predicates
     /* 1435202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435206 */     // MIs[0] policy
     /* 1435206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435218 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1435221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435243 */     // GIR_Coverage, 6385,
     /* 1435243 */     GIR_EraseRootFromParent_Done,
     /* 1435244 */   // Label 20192: @1435244
     /* 1435244 */   GIM_Try, /*On fail goto*//*Label 20193*/ GIMT_Encode4(1435341), // Rule ID 6386 //
     /* 1435249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1435260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1435263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1435266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435299 */     // MIs[1] Operand 1
     /* 1435299 */     // No operand predicates
     /* 1435299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435303 */     // MIs[0] policy
     /* 1435303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435315 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1435318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435340 */     // GIR_Coverage, 6386,
     /* 1435340 */     GIR_EraseRootFromParent_Done,
     /* 1435341 */   // Label 20193: @1435341
     /* 1435341 */   GIM_Try, /*On fail goto*//*Label 20194*/ GIMT_Encode4(1435438), // Rule ID 6389 //
     /* 1435346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1435357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1435360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1435363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1435369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435396 */     // MIs[1] Operand 1
     /* 1435396 */     // No operand predicates
     /* 1435396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435400 */     // MIs[0] policy
     /* 1435400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435412 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1435415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435437 */     // GIR_Coverage, 6389,
     /* 1435437 */     GIR_EraseRootFromParent_Done,
     /* 1435438 */   // Label 20194: @1435438
     /* 1435438 */   GIM_Try, /*On fail goto*//*Label 20195*/ GIMT_Encode4(1435535), // Rule ID 6390 //
     /* 1435443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1435454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1435457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1435460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1435466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435493 */     // MIs[1] Operand 1
     /* 1435493 */     // No operand predicates
     /* 1435493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435497 */     // MIs[0] policy
     /* 1435497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435509 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1435512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435534 */     // GIR_Coverage, 6390,
     /* 1435534 */     GIR_EraseRootFromParent_Done,
     /* 1435535 */   // Label 20195: @1435535
     /* 1435535 */   GIM_Try, /*On fail goto*//*Label 20196*/ GIMT_Encode4(1435632), // Rule ID 6393 //
     /* 1435540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1435551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1435554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1435557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435590 */     // MIs[1] Operand 1
     /* 1435590 */     // No operand predicates
     /* 1435590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435594 */     // MIs[0] policy
     /* 1435594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435606 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1435609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435631 */     // GIR_Coverage, 6393,
     /* 1435631 */     GIR_EraseRootFromParent_Done,
     /* 1435632 */   // Label 20196: @1435632
     /* 1435632 */   GIM_Try, /*On fail goto*//*Label 20197*/ GIMT_Encode4(1435729), // Rule ID 6394 //
     /* 1435637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1435648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1435651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1435654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435687 */     // MIs[1] Operand 1
     /* 1435687 */     // No operand predicates
     /* 1435687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435691 */     // MIs[0] policy
     /* 1435691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435703 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1435706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435728 */     // GIR_Coverage, 6394,
     /* 1435728 */     GIR_EraseRootFromParent_Done,
     /* 1435729 */   // Label 20197: @1435729
     /* 1435729 */   GIM_Try, /*On fail goto*//*Label 20198*/ GIMT_Encode4(1435826), // Rule ID 6397 //
     /* 1435734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1435745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1435748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1435751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435784 */     // MIs[1] Operand 1
     /* 1435784 */     // No operand predicates
     /* 1435784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435788 */     // MIs[0] policy
     /* 1435788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435800 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1435803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435825 */     // GIR_Coverage, 6397,
     /* 1435825 */     GIR_EraseRootFromParent_Done,
     /* 1435826 */   // Label 20198: @1435826
     /* 1435826 */   GIM_Try, /*On fail goto*//*Label 20199*/ GIMT_Encode4(1435923), // Rule ID 6398 //
     /* 1435831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1435842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1435845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1435848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435881 */     // MIs[1] Operand 1
     /* 1435881 */     // No operand predicates
     /* 1435881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435885 */     // MIs[0] policy
     /* 1435885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435897 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1435900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435922 */     // GIR_Coverage, 6398,
     /* 1435922 */     GIR_EraseRootFromParent_Done,
     /* 1435923 */   // Label 20199: @1435923
     /* 1435923 */   GIM_Try, /*On fail goto*//*Label 20200*/ GIMT_Encode4(1436020), // Rule ID 6401 //
     /* 1435928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1435936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1435939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1435942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1435945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435978 */     // MIs[1] Operand 1
     /* 1435978 */     // No operand predicates
     /* 1435978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435982 */     // MIs[0] policy
     /* 1435982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435994 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1435997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1436016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436019 */     // GIR_Coverage, 6401,
     /* 1436019 */     GIR_EraseRootFromParent_Done,
     /* 1436020 */   // Label 20200: @1436020
     /* 1436020 */   GIM_Try, /*On fail goto*//*Label 20201*/ GIMT_Encode4(1436117), // Rule ID 6402 //
     /* 1436025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1436036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1436039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1436042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1436048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436075 */     // MIs[1] Operand 1
     /* 1436075 */     // No operand predicates
     /* 1436075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436079 */     // MIs[0] policy
     /* 1436079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436091 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1436094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1436113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436116 */     // GIR_Coverage, 6402,
     /* 1436116 */     GIR_EraseRootFromParent_Done,
     /* 1436117 */   // Label 20201: @1436117
     /* 1436117 */   GIM_Try, /*On fail goto*//*Label 20202*/ GIMT_Encode4(1436214), // Rule ID 6405 //
     /* 1436122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1436125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1436133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1436136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1436139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1436145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436172 */     // MIs[1] Operand 1
     /* 1436172 */     // No operand predicates
     /* 1436172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436176 */     // MIs[0] policy
     /* 1436176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436188 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1436191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436213 */     // GIR_Coverage, 6405,
     /* 1436213 */     GIR_EraseRootFromParent_Done,
     /* 1436214 */   // Label 20202: @1436214
     /* 1436214 */   GIM_Try, /*On fail goto*//*Label 20203*/ GIMT_Encode4(1436311), // Rule ID 6406 //
     /* 1436219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1436222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1436230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1436233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1436236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1436242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436269 */     // MIs[1] Operand 1
     /* 1436269 */     // No operand predicates
     /* 1436269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436273 */     // MIs[0] policy
     /* 1436273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436285 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1436288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436310 */     // GIR_Coverage, 6406,
     /* 1436310 */     GIR_EraseRootFromParent_Done,
     /* 1436311 */   // Label 20203: @1436311
     /* 1436311 */   GIM_Try, /*On fail goto*//*Label 20204*/ GIMT_Encode4(1436408), // Rule ID 6409 //
     /* 1436316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1436319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1436327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1436330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1436333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1436339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436366 */     // MIs[1] Operand 1
     /* 1436366 */     // No operand predicates
     /* 1436366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436370 */     // MIs[0] policy
     /* 1436370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436382 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1436385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436407 */     // GIR_Coverage, 6409,
     /* 1436407 */     GIR_EraseRootFromParent_Done,
     /* 1436408 */   // Label 20204: @1436408
     /* 1436408 */   GIM_Try, /*On fail goto*//*Label 20205*/ GIMT_Encode4(1436505), // Rule ID 6410 //
     /* 1436413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1436416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1436424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1436427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1436430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1436436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436463 */     // MIs[1] Operand 1
     /* 1436463 */     // No operand predicates
     /* 1436463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436467 */     // MIs[0] policy
     /* 1436467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436479 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1436482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436504 */     // GIR_Coverage, 6410,
     /* 1436504 */     GIR_EraseRootFromParent_Done,
     /* 1436505 */   // Label 20205: @1436505
     /* 1436505 */   GIM_Try, /*On fail goto*//*Label 20206*/ GIMT_Encode4(1436602), // Rule ID 6413 //
     /* 1436510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1436513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1436521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1436524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1436527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436560 */     // MIs[1] Operand 1
     /* 1436560 */     // No operand predicates
     /* 1436560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436564 */     // MIs[0] policy
     /* 1436564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436576 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1436579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436601 */     // GIR_Coverage, 6413,
     /* 1436601 */     GIR_EraseRootFromParent_Done,
     /* 1436602 */   // Label 20206: @1436602
     /* 1436602 */   GIM_Try, /*On fail goto*//*Label 20207*/ GIMT_Encode4(1436699), // Rule ID 6414 //
     /* 1436607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1436610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1436615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1436618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1436621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1436624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436657 */     // MIs[1] Operand 1
     /* 1436657 */     // No operand predicates
     /* 1436657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436661 */     // MIs[0] policy
     /* 1436661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436673 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1436676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436698 */     // GIR_Coverage, 6414,
     /* 1436698 */     GIR_EraseRootFromParent_Done,
     /* 1436699 */   // Label 20207: @1436699
     /* 1436699 */   GIM_Try, /*On fail goto*//*Label 20208*/ GIMT_Encode4(1436796), // Rule ID 6593 //
     /* 1436704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1436712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1436715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1436718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1436721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1436727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1436754 */     // MIs[1] Operand 1
     /* 1436754 */     // No operand predicates
     /* 1436754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436758 */     // MIs[0] policy
     /* 1436758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436770 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1436773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436795 */     // GIR_Coverage, 6593,
     /* 1436795 */     GIR_EraseRootFromParent_Done,
     /* 1436796 */   // Label 20208: @1436796
     /* 1436796 */   GIM_Try, /*On fail goto*//*Label 20209*/ GIMT_Encode4(1436893), // Rule ID 6594 //
     /* 1436801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1436809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1436812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1436815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1436818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1436824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1436851 */     // MIs[1] Operand 1
     /* 1436851 */     // No operand predicates
     /* 1436851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436855 */     // MIs[0] policy
     /* 1436855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436867 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1436870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436892 */     // GIR_Coverage, 6594,
     /* 1436892 */     GIR_EraseRootFromParent_Done,
     /* 1436893 */   // Label 20209: @1436893
     /* 1436893 */   GIM_Try, /*On fail goto*//*Label 20210*/ GIMT_Encode4(1436990), // Rule ID 6597 //
     /* 1436898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1436906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1436909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1436912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1436915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1436921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1436948 */     // MIs[1] Operand 1
     /* 1436948 */     // No operand predicates
     /* 1436948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436952 */     // MIs[0] policy
     /* 1436952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436964 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1436967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436989 */     // GIR_Coverage, 6597,
     /* 1436989 */     GIR_EraseRootFromParent_Done,
     /* 1436990 */   // Label 20210: @1436990
     /* 1436990 */   GIM_Try, /*On fail goto*//*Label 20211*/ GIMT_Encode4(1437087), // Rule ID 6598 //
     /* 1436995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1437003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1437006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1437009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1437012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437045 */     // MIs[1] Operand 1
     /* 1437045 */     // No operand predicates
     /* 1437045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437049 */     // MIs[0] policy
     /* 1437049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437061 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1437064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1437083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437086 */     // GIR_Coverage, 6598,
     /* 1437086 */     GIR_EraseRootFromParent_Done,
     /* 1437087 */   // Label 20211: @1437087
     /* 1437087 */   GIM_Try, /*On fail goto*//*Label 20212*/ GIMT_Encode4(1437184), // Rule ID 6601 //
     /* 1437092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1437100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1437103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1437106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1437109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437142 */     // MIs[1] Operand 1
     /* 1437142 */     // No operand predicates
     /* 1437142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437146 */     // MIs[0] policy
     /* 1437146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437158 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1437161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1437180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437183 */     // GIR_Coverage, 6601,
     /* 1437183 */     GIR_EraseRootFromParent_Done,
     /* 1437184 */   // Label 20212: @1437184
     /* 1437184 */   GIM_Try, /*On fail goto*//*Label 20213*/ GIMT_Encode4(1437281), // Rule ID 6602 //
     /* 1437189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1437197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1437200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1437203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1437206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437239 */     // MIs[1] Operand 1
     /* 1437239 */     // No operand predicates
     /* 1437239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437243 */     // MIs[0] policy
     /* 1437243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437255 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1437258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1437277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437280 */     // GIR_Coverage, 6602,
     /* 1437280 */     GIR_EraseRootFromParent_Done,
     /* 1437281 */   // Label 20213: @1437281
     /* 1437281 */   GIM_Try, /*On fail goto*//*Label 20214*/ GIMT_Encode4(1437378), // Rule ID 6605 //
     /* 1437286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1437294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1437297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1437300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1437303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437336 */     // MIs[1] Operand 1
     /* 1437336 */     // No operand predicates
     /* 1437336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437340 */     // MIs[0] policy
     /* 1437340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437352 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1437355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437377 */     // GIR_Coverage, 6605,
     /* 1437377 */     GIR_EraseRootFromParent_Done,
     /* 1437378 */   // Label 20214: @1437378
     /* 1437378 */   GIM_Try, /*On fail goto*//*Label 20215*/ GIMT_Encode4(1437475), // Rule ID 6606 //
     /* 1437383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1437391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1437394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1437397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1437400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437433 */     // MIs[1] Operand 1
     /* 1437433 */     // No operand predicates
     /* 1437433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437437 */     // MIs[0] policy
     /* 1437437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437449 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1437452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437474 */     // GIR_Coverage, 6606,
     /* 1437474 */     GIR_EraseRootFromParent_Done,
     /* 1437475 */   // Label 20215: @1437475
     /* 1437475 */   GIM_Try, /*On fail goto*//*Label 20216*/ GIMT_Encode4(1437572), // Rule ID 6609 //
     /* 1437480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1437488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1437491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1437494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1437497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437530 */     // MIs[1] Operand 1
     /* 1437530 */     // No operand predicates
     /* 1437530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437534 */     // MIs[0] policy
     /* 1437534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437546 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1437549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437571 */     // GIR_Coverage, 6609,
     /* 1437571 */     GIR_EraseRootFromParent_Done,
     /* 1437572 */   // Label 20216: @1437572
     /* 1437572 */   GIM_Try, /*On fail goto*//*Label 20217*/ GIMT_Encode4(1437669), // Rule ID 6610 //
     /* 1437577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1437585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1437588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1437591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1437594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437627 */     // MIs[1] Operand 1
     /* 1437627 */     // No operand predicates
     /* 1437627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437631 */     // MIs[0] policy
     /* 1437631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437643 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1437646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437668 */     // GIR_Coverage, 6610,
     /* 1437668 */     GIR_EraseRootFromParent_Done,
     /* 1437669 */   // Label 20217: @1437669
     /* 1437669 */   GIM_Try, /*On fail goto*//*Label 20218*/ GIMT_Encode4(1437766), // Rule ID 6613 //
     /* 1437674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1437682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1437685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1437688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1437691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437724 */     // MIs[1] Operand 1
     /* 1437724 */     // No operand predicates
     /* 1437724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437728 */     // MIs[0] policy
     /* 1437728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437740 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1437743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437765 */     // GIR_Coverage, 6613,
     /* 1437765 */     GIR_EraseRootFromParent_Done,
     /* 1437766 */   // Label 20218: @1437766
     /* 1437766 */   GIM_Try, /*On fail goto*//*Label 20219*/ GIMT_Encode4(1437863), // Rule ID 6614 //
     /* 1437771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1437779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1437782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1437785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1437788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437821 */     // MIs[1] Operand 1
     /* 1437821 */     // No operand predicates
     /* 1437821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437825 */     // MIs[0] policy
     /* 1437825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437837 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1437840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437862 */     // GIR_Coverage, 6614,
     /* 1437862 */     GIR_EraseRootFromParent_Done,
     /* 1437863 */   // Label 20219: @1437863
     /* 1437863 */   GIM_Try, /*On fail goto*//*Label 20220*/ GIMT_Encode4(1437960), // Rule ID 6617 //
     /* 1437868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1437876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1437879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1437882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1437885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437918 */     // MIs[1] Operand 1
     /* 1437918 */     // No operand predicates
     /* 1437918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437922 */     // MIs[0] policy
     /* 1437922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437934 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1437937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1437956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437959 */     // GIR_Coverage, 6617,
     /* 1437959 */     GIR_EraseRootFromParent_Done,
     /* 1437960 */   // Label 20220: @1437960
     /* 1437960 */   GIM_Try, /*On fail goto*//*Label 20221*/ GIMT_Encode4(1438057), // Rule ID 6618 //
     /* 1437965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1437973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1437976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1437979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1437982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438015 */     // MIs[1] Operand 1
     /* 1438015 */     // No operand predicates
     /* 1438015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438019 */     // MIs[0] policy
     /* 1438019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438031 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1438034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438056 */     // GIR_Coverage, 6618,
     /* 1438056 */     GIR_EraseRootFromParent_Done,
     /* 1438057 */   // Label 20221: @1438057
     /* 1438057 */   GIM_Try, /*On fail goto*//*Label 20222*/ GIMT_Encode4(1438154), // Rule ID 6621 //
     /* 1438062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1438073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1438076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1438079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1438085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438112 */     // MIs[1] Operand 1
     /* 1438112 */     // No operand predicates
     /* 1438112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438116 */     // MIs[0] policy
     /* 1438116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438128 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1438131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438153 */     // GIR_Coverage, 6621,
     /* 1438153 */     GIR_EraseRootFromParent_Done,
     /* 1438154 */   // Label 20222: @1438154
     /* 1438154 */   GIM_Try, /*On fail goto*//*Label 20223*/ GIMT_Encode4(1438251), // Rule ID 6622 //
     /* 1438159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1438170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1438173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1438176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1438182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438209 */     // MIs[1] Operand 1
     /* 1438209 */     // No operand predicates
     /* 1438209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438213 */     // MIs[0] policy
     /* 1438213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438225 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1438228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438250 */     // GIR_Coverage, 6622,
     /* 1438250 */     GIR_EraseRootFromParent_Done,
     /* 1438251 */   // Label 20223: @1438251
     /* 1438251 */   GIM_Try, /*On fail goto*//*Label 20224*/ GIMT_Encode4(1438348), // Rule ID 6625 //
     /* 1438256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1438267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1438270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1438273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438306 */     // MIs[1] Operand 1
     /* 1438306 */     // No operand predicates
     /* 1438306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438310 */     // MIs[0] policy
     /* 1438310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438322 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1438325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1438344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438347 */     // GIR_Coverage, 6625,
     /* 1438347 */     GIR_EraseRootFromParent_Done,
     /* 1438348 */   // Label 20224: @1438348
     /* 1438348 */   GIM_Try, /*On fail goto*//*Label 20225*/ GIMT_Encode4(1438445), // Rule ID 6626 //
     /* 1438353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1438364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1438367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1438370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438403 */     // MIs[1] Operand 1
     /* 1438403 */     // No operand predicates
     /* 1438403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438407 */     // MIs[0] policy
     /* 1438407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438419 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1438422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1438441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438444 */     // GIR_Coverage, 6626,
     /* 1438444 */     GIR_EraseRootFromParent_Done,
     /* 1438445 */   // Label 20225: @1438445
     /* 1438445 */   GIM_Try, /*On fail goto*//*Label 20226*/ GIMT_Encode4(1438542), // Rule ID 6629 //
     /* 1438450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1438453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1438461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1438464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1438467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438500 */     // MIs[1] Operand 1
     /* 1438500 */     // No operand predicates
     /* 1438500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438504 */     // MIs[0] policy
     /* 1438504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438516 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1438519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438541 */     // GIR_Coverage, 6629,
     /* 1438541 */     GIR_EraseRootFromParent_Done,
     /* 1438542 */   // Label 20226: @1438542
     /* 1438542 */   GIM_Try, /*On fail goto*//*Label 20227*/ GIMT_Encode4(1438639), // Rule ID 6630 //
     /* 1438547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1438550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1438558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1438561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1438564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438597 */     // MIs[1] Operand 1
     /* 1438597 */     // No operand predicates
     /* 1438597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438601 */     // MIs[0] policy
     /* 1438601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438613 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1438616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438638 */     // GIR_Coverage, 6630,
     /* 1438638 */     GIR_EraseRootFromParent_Done,
     /* 1438639 */   // Label 20227: @1438639
     /* 1438639 */   GIM_Try, /*On fail goto*//*Label 20228*/ GIMT_Encode4(1438736), // Rule ID 6633 //
     /* 1438644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1438655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1438658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1438661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1438667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1438674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438694 */     // MIs[1] Operand 1
     /* 1438694 */     // No operand predicates
     /* 1438694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438698 */     // MIs[0] policy
     /* 1438698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438710 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1438713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438735 */     // GIR_Coverage, 6633,
     /* 1438735 */     GIR_EraseRootFromParent_Done,
     /* 1438736 */   // Label 20228: @1438736
     /* 1438736 */   GIM_Try, /*On fail goto*//*Label 20229*/ GIMT_Encode4(1438833), // Rule ID 6634 //
     /* 1438741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1438752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1438755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1438758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1438764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1438771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438791 */     // MIs[1] Operand 1
     /* 1438791 */     // No operand predicates
     /* 1438791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438795 */     // MIs[0] policy
     /* 1438795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438807 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1438810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438832 */     // GIR_Coverage, 6634,
     /* 1438832 */     GIR_EraseRootFromParent_Done,
     /* 1438833 */   // Label 20229: @1438833
     /* 1438833 */   GIM_Try, /*On fail goto*//*Label 20230*/ GIMT_Encode4(1438930), // Rule ID 6637 //
     /* 1438838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1438849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1438852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1438855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1438861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1438868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438888 */     // MIs[1] Operand 1
     /* 1438888 */     // No operand predicates
     /* 1438888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438892 */     // MIs[0] policy
     /* 1438892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438904 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1438907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438929 */     // GIR_Coverage, 6637,
     /* 1438929 */     GIR_EraseRootFromParent_Done,
     /* 1438930 */   // Label 20230: @1438930
     /* 1438930 */   GIM_Try, /*On fail goto*//*Label 20231*/ GIMT_Encode4(1439027), // Rule ID 6638 //
     /* 1438935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1438943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1438946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1438949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1438952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1438958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1438965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438985 */     // MIs[1] Operand 1
     /* 1438985 */     // No operand predicates
     /* 1438985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438989 */     // MIs[0] policy
     /* 1438989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439001 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1439004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439026 */     // GIR_Coverage, 6638,
     /* 1439026 */     GIR_EraseRootFromParent_Done,
     /* 1439027 */   // Label 20231: @1439027
     /* 1439027 */   GIM_Try, /*On fail goto*//*Label 20232*/ GIMT_Encode4(1439124), // Rule ID 6641 //
     /* 1439032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1439043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1439046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1439049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1439055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1439062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439082 */     // MIs[1] Operand 1
     /* 1439082 */     // No operand predicates
     /* 1439082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439086 */     // MIs[0] policy
     /* 1439086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439098 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1439101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439123 */     // GIR_Coverage, 6641,
     /* 1439123 */     GIR_EraseRootFromParent_Done,
     /* 1439124 */   // Label 20232: @1439124
     /* 1439124 */   GIM_Try, /*On fail goto*//*Label 20233*/ GIMT_Encode4(1439221), // Rule ID 6642 //
     /* 1439129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1439140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1439143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1439146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1439152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1439159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439179 */     // MIs[1] Operand 1
     /* 1439179 */     // No operand predicates
     /* 1439179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439183 */     // MIs[0] policy
     /* 1439183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439195 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1439198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439220 */     // GIR_Coverage, 6642,
     /* 1439220 */     GIR_EraseRootFromParent_Done,
     /* 1439221 */   // Label 20233: @1439221
     /* 1439221 */   GIM_Try, /*On fail goto*//*Label 20234*/ GIMT_Encode4(1439318), // Rule ID 6645 //
     /* 1439226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1439237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1439240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1439243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439276 */     // MIs[1] Operand 1
     /* 1439276 */     // No operand predicates
     /* 1439276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439280 */     // MIs[0] policy
     /* 1439280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439292 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1439295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439317 */     // GIR_Coverage, 6645,
     /* 1439317 */     GIR_EraseRootFromParent_Done,
     /* 1439318 */   // Label 20234: @1439318
     /* 1439318 */   GIM_Try, /*On fail goto*//*Label 20235*/ GIMT_Encode4(1439415), // Rule ID 6646 //
     /* 1439323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1439334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1439337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1439340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439373 */     // MIs[1] Operand 1
     /* 1439373 */     // No operand predicates
     /* 1439373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439377 */     // MIs[0] policy
     /* 1439377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439389 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1439392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439414 */     // GIR_Coverage, 6646,
     /* 1439414 */     GIR_EraseRootFromParent_Done,
     /* 1439415 */   // Label 20235: @1439415
     /* 1439415 */   GIM_Try, /*On fail goto*//*Label 20236*/ GIMT_Encode4(1439512), // Rule ID 6649 //
     /* 1439420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1439431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1439434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1439437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1439443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439470 */     // MIs[1] Operand 1
     /* 1439470 */     // No operand predicates
     /* 1439470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439474 */     // MIs[0] policy
     /* 1439474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439486 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1439489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439511 */     // GIR_Coverage, 6649,
     /* 1439511 */     GIR_EraseRootFromParent_Done,
     /* 1439512 */   // Label 20236: @1439512
     /* 1439512 */   GIM_Try, /*On fail goto*//*Label 20237*/ GIMT_Encode4(1439609), // Rule ID 6650 //
     /* 1439517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1439528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1439531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1439534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1439540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439567 */     // MIs[1] Operand 1
     /* 1439567 */     // No operand predicates
     /* 1439567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439571 */     // MIs[0] policy
     /* 1439571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439583 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1439586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439608 */     // GIR_Coverage, 6650,
     /* 1439608 */     GIR_EraseRootFromParent_Done,
     /* 1439609 */   // Label 20237: @1439609
     /* 1439609 */   GIM_Try, /*On fail goto*//*Label 20238*/ GIMT_Encode4(1439706), // Rule ID 6653 //
     /* 1439614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1439625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1439628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1439631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1439637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1439644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439664 */     // MIs[1] Operand 1
     /* 1439664 */     // No operand predicates
     /* 1439664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439668 */     // MIs[0] policy
     /* 1439668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439680 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1439683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439705 */     // GIR_Coverage, 6653,
     /* 1439705 */     GIR_EraseRootFromParent_Done,
     /* 1439706 */   // Label 20238: @1439706
     /* 1439706 */   GIM_Try, /*On fail goto*//*Label 20239*/ GIMT_Encode4(1439803), // Rule ID 6654 //
     /* 1439711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1439722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1439725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1439728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1439734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1439741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439761 */     // MIs[1] Operand 1
     /* 1439761 */     // No operand predicates
     /* 1439761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439765 */     // MIs[0] policy
     /* 1439765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439777 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1439780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439802 */     // GIR_Coverage, 6654,
     /* 1439802 */     GIR_EraseRootFromParent_Done,
     /* 1439803 */   // Label 20239: @1439803
     /* 1439803 */   GIM_Try, /*On fail goto*//*Label 20240*/ GIMT_Encode4(1439900), // Rule ID 6657 //
     /* 1439808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1439819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1439822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1439825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439858 */     // MIs[1] Operand 1
     /* 1439858 */     // No operand predicates
     /* 1439858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439862 */     // MIs[0] policy
     /* 1439862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439874 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1439877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439899 */     // GIR_Coverage, 6657,
     /* 1439899 */     GIR_EraseRootFromParent_Done,
     /* 1439900 */   // Label 20240: @1439900
     /* 1439900 */   GIM_Try, /*On fail goto*//*Label 20241*/ GIMT_Encode4(1439997), // Rule ID 6658 //
     /* 1439905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1439913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1439916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1439919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1439922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439955 */     // MIs[1] Operand 1
     /* 1439955 */     // No operand predicates
     /* 1439955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439959 */     // MIs[0] policy
     /* 1439959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1439974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439996 */     // GIR_Coverage, 6658,
     /* 1439996 */     GIR_EraseRootFromParent_Done,
     /* 1439997 */   // Label 20241: @1439997
     /* 1439997 */   GIM_Try, /*On fail goto*//*Label 20242*/ GIMT_Encode4(1440094), // Rule ID 6661 //
     /* 1440002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1440013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1440016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1440019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440052 */     // MIs[1] Operand 1
     /* 1440052 */     // No operand predicates
     /* 1440052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440056 */     // MIs[0] policy
     /* 1440056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440068 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1440071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440093 */     // GIR_Coverage, 6661,
     /* 1440093 */     GIR_EraseRootFromParent_Done,
     /* 1440094 */   // Label 20242: @1440094
     /* 1440094 */   GIM_Try, /*On fail goto*//*Label 20243*/ GIMT_Encode4(1440191), // Rule ID 6662 //
     /* 1440099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1440110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1440113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1440116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440149 */     // MIs[1] Operand 1
     /* 1440149 */     // No operand predicates
     /* 1440149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440153 */     // MIs[0] policy
     /* 1440153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440165 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1440168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440190 */     // GIR_Coverage, 6662,
     /* 1440190 */     GIR_EraseRootFromParent_Done,
     /* 1440191 */   // Label 20243: @1440191
     /* 1440191 */   GIM_Try, /*On fail goto*//*Label 20244*/ GIMT_Encode4(1440288), // Rule ID 6665 //
     /* 1440196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1440207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1440210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1440213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1440219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440246 */     // MIs[1] Operand 1
     /* 1440246 */     // No operand predicates
     /* 1440246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440250 */     // MIs[0] policy
     /* 1440250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440262 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1440265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440287 */     // GIR_Coverage, 6665,
     /* 1440287 */     GIR_EraseRootFromParent_Done,
     /* 1440288 */   // Label 20244: @1440288
     /* 1440288 */   GIM_Try, /*On fail goto*//*Label 20245*/ GIMT_Encode4(1440385), // Rule ID 6666 //
     /* 1440293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1440304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1440307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1440310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1440316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440343 */     // MIs[1] Operand 1
     /* 1440343 */     // No operand predicates
     /* 1440343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440347 */     // MIs[0] policy
     /* 1440347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440359 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1440362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440384 */     // GIR_Coverage, 6666,
     /* 1440384 */     GIR_EraseRootFromParent_Done,
     /* 1440385 */   // Label 20245: @1440385
     /* 1440385 */   GIM_Try, /*On fail goto*//*Label 20246*/ GIMT_Encode4(1440482), // Rule ID 6669 //
     /* 1440390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1440393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1440401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1440404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1440407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1440413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440440 */     // MIs[1] Operand 1
     /* 1440440 */     // No operand predicates
     /* 1440440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440444 */     // MIs[0] policy
     /* 1440444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440456 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1440459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440481 */     // GIR_Coverage, 6669,
     /* 1440481 */     GIR_EraseRootFromParent_Done,
     /* 1440482 */   // Label 20246: @1440482
     /* 1440482 */   GIM_Try, /*On fail goto*//*Label 20247*/ GIMT_Encode4(1440579), // Rule ID 6670 //
     /* 1440487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1440490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1440498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1440501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1440504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1440510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440537 */     // MIs[1] Operand 1
     /* 1440537 */     // No operand predicates
     /* 1440537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440541 */     // MIs[0] policy
     /* 1440541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440553 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1440556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440578 */     // GIR_Coverage, 6670,
     /* 1440578 */     GIR_EraseRootFromParent_Done,
     /* 1440579 */   // Label 20247: @1440579
     /* 1440579 */   GIM_Try, /*On fail goto*//*Label 20248*/ GIMT_Encode4(1440676), // Rule ID 6673 //
     /* 1440584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1440587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1440595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1440598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1440601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1440607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440634 */     // MIs[1] Operand 1
     /* 1440634 */     // No operand predicates
     /* 1440634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440638 */     // MIs[0] policy
     /* 1440638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440650 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1440653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440675 */     // GIR_Coverage, 6673,
     /* 1440675 */     GIR_EraseRootFromParent_Done,
     /* 1440676 */   // Label 20248: @1440676
     /* 1440676 */   GIM_Try, /*On fail goto*//*Label 20249*/ GIMT_Encode4(1440773), // Rule ID 6674 //
     /* 1440681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1440684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1440692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1440695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1440698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1440704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440731 */     // MIs[1] Operand 1
     /* 1440731 */     // No operand predicates
     /* 1440731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440735 */     // MIs[0] policy
     /* 1440735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440747 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1440750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440772 */     // GIR_Coverage, 6674,
     /* 1440772 */     GIR_EraseRootFromParent_Done,
     /* 1440773 */   // Label 20249: @1440773
     /* 1440773 */   GIM_Try, /*On fail goto*//*Label 20250*/ GIMT_Encode4(1440870), // Rule ID 6677 //
     /* 1440778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1440781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1440789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1440792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1440795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440828 */     // MIs[1] Operand 1
     /* 1440828 */     // No operand predicates
     /* 1440828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440832 */     // MIs[0] policy
     /* 1440832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440844 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1440847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440869 */     // GIR_Coverage, 6677,
     /* 1440869 */     GIR_EraseRootFromParent_Done,
     /* 1440870 */   // Label 20250: @1440870
     /* 1440870 */   GIM_Try, /*On fail goto*//*Label 20251*/ GIMT_Encode4(1440967), // Rule ID 6678 //
     /* 1440875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1440878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1440883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1440886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1440889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1440892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440925 */     // MIs[1] Operand 1
     /* 1440925 */     // No operand predicates
     /* 1440925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440929 */     // MIs[0] policy
     /* 1440929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440941 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1440944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440966 */     // GIR_Coverage, 6678,
     /* 1440966 */     GIR_EraseRootFromParent_Done,
     /* 1440967 */   // Label 20251: @1440967
     /* 1440967 */   GIM_Try, /*On fail goto*//*Label 20252*/ GIMT_Encode4(1441064), // Rule ID 6857 //
     /* 1440972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1440980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1440983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1440986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1440989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1440995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441022 */     // MIs[1] Operand 1
     /* 1441022 */     // No operand predicates
     /* 1441022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441026 */     // MIs[0] policy
     /* 1441026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441038 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1441041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441063 */     // GIR_Coverage, 6857,
     /* 1441063 */     GIR_EraseRootFromParent_Done,
     /* 1441064 */   // Label 20252: @1441064
     /* 1441064 */   GIM_Try, /*On fail goto*//*Label 20253*/ GIMT_Encode4(1441161), // Rule ID 6858 //
     /* 1441069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1441077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1441080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1441083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1441086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441119 */     // MIs[1] Operand 1
     /* 1441119 */     // No operand predicates
     /* 1441119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441123 */     // MIs[0] policy
     /* 1441123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441135 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1441138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441160 */     // GIR_Coverage, 6858,
     /* 1441160 */     GIR_EraseRootFromParent_Done,
     /* 1441161 */   // Label 20253: @1441161
     /* 1441161 */   GIM_Try, /*On fail goto*//*Label 20254*/ GIMT_Encode4(1441258), // Rule ID 6861 //
     /* 1441166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1441174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1441177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1441180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1441183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441216 */     // MIs[1] Operand 1
     /* 1441216 */     // No operand predicates
     /* 1441216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441220 */     // MIs[0] policy
     /* 1441220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441232 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1441235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441257 */     // GIR_Coverage, 6861,
     /* 1441257 */     GIR_EraseRootFromParent_Done,
     /* 1441258 */   // Label 20254: @1441258
     /* 1441258 */   GIM_Try, /*On fail goto*//*Label 20255*/ GIMT_Encode4(1441355), // Rule ID 6862 //
     /* 1441263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1441271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1441274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1441277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1441280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441313 */     // MIs[1] Operand 1
     /* 1441313 */     // No operand predicates
     /* 1441313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441317 */     // MIs[0] policy
     /* 1441317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441329 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1441332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441354 */     // GIR_Coverage, 6862,
     /* 1441354 */     GIR_EraseRootFromParent_Done,
     /* 1441355 */   // Label 20255: @1441355
     /* 1441355 */   GIM_Try, /*On fail goto*//*Label 20256*/ GIMT_Encode4(1441452), // Rule ID 6865 //
     /* 1441360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1441368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1441371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1441374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1441377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441410 */     // MIs[1] Operand 1
     /* 1441410 */     // No operand predicates
     /* 1441410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441414 */     // MIs[0] policy
     /* 1441414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441426 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1441429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441451 */     // GIR_Coverage, 6865,
     /* 1441451 */     GIR_EraseRootFromParent_Done,
     /* 1441452 */   // Label 20256: @1441452
     /* 1441452 */   GIM_Try, /*On fail goto*//*Label 20257*/ GIMT_Encode4(1441549), // Rule ID 6866 //
     /* 1441457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1441465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1441468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1441471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1441474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441507 */     // MIs[1] Operand 1
     /* 1441507 */     // No operand predicates
     /* 1441507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441511 */     // MIs[0] policy
     /* 1441511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441523 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1441526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441548 */     // GIR_Coverage, 6866,
     /* 1441548 */     GIR_EraseRootFromParent_Done,
     /* 1441549 */   // Label 20257: @1441549
     /* 1441549 */   GIM_Try, /*On fail goto*//*Label 20258*/ GIMT_Encode4(1441646), // Rule ID 6869 //
     /* 1441554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1441562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1441565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1441568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1441571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441604 */     // MIs[1] Operand 1
     /* 1441604 */     // No operand predicates
     /* 1441604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441608 */     // MIs[0] policy
     /* 1441608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441620 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1441623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441645 */     // GIR_Coverage, 6869,
     /* 1441645 */     GIR_EraseRootFromParent_Done,
     /* 1441646 */   // Label 20258: @1441646
     /* 1441646 */   GIM_Try, /*On fail goto*//*Label 20259*/ GIMT_Encode4(1441743), // Rule ID 6870 //
     /* 1441651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1441659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1441662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1441665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1441668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441701 */     // MIs[1] Operand 1
     /* 1441701 */     // No operand predicates
     /* 1441701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441705 */     // MIs[0] policy
     /* 1441705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441717 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1441720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441742 */     // GIR_Coverage, 6870,
     /* 1441742 */     GIR_EraseRootFromParent_Done,
     /* 1441743 */   // Label 20259: @1441743
     /* 1441743 */   GIM_Try, /*On fail goto*//*Label 20260*/ GIMT_Encode4(1441840), // Rule ID 6873 //
     /* 1441748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1441756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1441759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1441762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1441765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441798 */     // MIs[1] Operand 1
     /* 1441798 */     // No operand predicates
     /* 1441798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441802 */     // MIs[0] policy
     /* 1441802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441814 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1441817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441839 */     // GIR_Coverage, 6873,
     /* 1441839 */     GIR_EraseRootFromParent_Done,
     /* 1441840 */   // Label 20260: @1441840
     /* 1441840 */   GIM_Try, /*On fail goto*//*Label 20261*/ GIMT_Encode4(1441937), // Rule ID 6874 //
     /* 1441845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1441853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1441856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1441859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1441862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441895 */     // MIs[1] Operand 1
     /* 1441895 */     // No operand predicates
     /* 1441895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441899 */     // MIs[0] policy
     /* 1441899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441911 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1441914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441936 */     // GIR_Coverage, 6874,
     /* 1441936 */     GIR_EraseRootFromParent_Done,
     /* 1441937 */   // Label 20261: @1441937
     /* 1441937 */   GIM_Try, /*On fail goto*//*Label 20262*/ GIMT_Encode4(1442034), // Rule ID 6877 //
     /* 1441942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1441950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1441953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1441956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1441959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441992 */     // MIs[1] Operand 1
     /* 1441992 */     // No operand predicates
     /* 1441992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441996 */     // MIs[0] policy
     /* 1441996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442008 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1442011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1442030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442033 */     // GIR_Coverage, 6877,
     /* 1442033 */     GIR_EraseRootFromParent_Done,
     /* 1442034 */   // Label 20262: @1442034
     /* 1442034 */   GIM_Try, /*On fail goto*//*Label 20263*/ GIMT_Encode4(1442131), // Rule ID 6878 //
     /* 1442039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1442050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1442053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1442056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442089 */     // MIs[1] Operand 1
     /* 1442089 */     // No operand predicates
     /* 1442089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442093 */     // MIs[0] policy
     /* 1442093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442105 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1442108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1442127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442130 */     // GIR_Coverage, 6878,
     /* 1442130 */     GIR_EraseRootFromParent_Done,
     /* 1442131 */   // Label 20263: @1442131
     /* 1442131 */   GIM_Try, /*On fail goto*//*Label 20264*/ GIMT_Encode4(1442228), // Rule ID 6881 //
     /* 1442136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1442147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1442150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1442153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1442159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442186 */     // MIs[1] Operand 1
     /* 1442186 */     // No operand predicates
     /* 1442186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442190 */     // MIs[0] policy
     /* 1442190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442202 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1442205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442227 */     // GIR_Coverage, 6881,
     /* 1442227 */     GIR_EraseRootFromParent_Done,
     /* 1442228 */   // Label 20264: @1442228
     /* 1442228 */   GIM_Try, /*On fail goto*//*Label 20265*/ GIMT_Encode4(1442325), // Rule ID 6882 //
     /* 1442233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1442244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1442247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1442250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1442256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442283 */     // MIs[1] Operand 1
     /* 1442283 */     // No operand predicates
     /* 1442283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442287 */     // MIs[0] policy
     /* 1442287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442299 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1442302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442324 */     // GIR_Coverage, 6882,
     /* 1442324 */     GIR_EraseRootFromParent_Done,
     /* 1442325 */   // Label 20265: @1442325
     /* 1442325 */   GIM_Try, /*On fail goto*//*Label 20266*/ GIMT_Encode4(1442422), // Rule ID 6885 //
     /* 1442330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1442341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1442344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1442347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442380 */     // MIs[1] Operand 1
     /* 1442380 */     // No operand predicates
     /* 1442380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442384 */     // MIs[0] policy
     /* 1442384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442396 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1442399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442421 */     // GIR_Coverage, 6885,
     /* 1442421 */     GIR_EraseRootFromParent_Done,
     /* 1442422 */   // Label 20266: @1442422
     /* 1442422 */   GIM_Try, /*On fail goto*//*Label 20267*/ GIMT_Encode4(1442519), // Rule ID 6886 //
     /* 1442427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1442438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1442441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1442444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442477 */     // MIs[1] Operand 1
     /* 1442477 */     // No operand predicates
     /* 1442477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442481 */     // MIs[0] policy
     /* 1442481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442493 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1442496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442518 */     // GIR_Coverage, 6886,
     /* 1442518 */     GIR_EraseRootFromParent_Done,
     /* 1442519 */   // Label 20267: @1442519
     /* 1442519 */   GIM_Try, /*On fail goto*//*Label 20268*/ GIMT_Encode4(1442616), // Rule ID 6889 //
     /* 1442524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1442535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1442538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1442541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442574 */     // MIs[1] Operand 1
     /* 1442574 */     // No operand predicates
     /* 1442574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442578 */     // MIs[0] policy
     /* 1442578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442590 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1442593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1442612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442615 */     // GIR_Coverage, 6889,
     /* 1442615 */     GIR_EraseRootFromParent_Done,
     /* 1442616 */   // Label 20268: @1442616
     /* 1442616 */   GIM_Try, /*On fail goto*//*Label 20269*/ GIMT_Encode4(1442713), // Rule ID 6890 //
     /* 1442621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1442632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1442635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1442638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442671 */     // MIs[1] Operand 1
     /* 1442671 */     // No operand predicates
     /* 1442671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442675 */     // MIs[0] policy
     /* 1442675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442687 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1442690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1442709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442712 */     // GIR_Coverage, 6890,
     /* 1442712 */     GIR_EraseRootFromParent_Done,
     /* 1442713 */   // Label 20269: @1442713
     /* 1442713 */   GIM_Try, /*On fail goto*//*Label 20270*/ GIMT_Encode4(1442810), // Rule ID 6893 //
     /* 1442718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1442721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1442729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1442732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1442735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442768 */     // MIs[1] Operand 1
     /* 1442768 */     // No operand predicates
     /* 1442768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442772 */     // MIs[0] policy
     /* 1442772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1442787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442809 */     // GIR_Coverage, 6893,
     /* 1442809 */     GIR_EraseRootFromParent_Done,
     /* 1442810 */   // Label 20270: @1442810
     /* 1442810 */   GIM_Try, /*On fail goto*//*Label 20271*/ GIMT_Encode4(1442907), // Rule ID 6894 //
     /* 1442815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1442818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1442826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1442829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1442832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442865 */     // MIs[1] Operand 1
     /* 1442865 */     // No operand predicates
     /* 1442865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442869 */     // MIs[0] policy
     /* 1442869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442881 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1442884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442906 */     // GIR_Coverage, 6894,
     /* 1442906 */     GIR_EraseRootFromParent_Done,
     /* 1442907 */   // Label 20271: @1442907
     /* 1442907 */   GIM_Try, /*On fail goto*//*Label 20272*/ GIMT_Encode4(1443004), // Rule ID 6897 //
     /* 1442912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1442920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1442923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1442926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1442929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1442935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1442942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442962 */     // MIs[1] Operand 1
     /* 1442962 */     // No operand predicates
     /* 1442962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442966 */     // MIs[0] policy
     /* 1442966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442978 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1442981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443003 */     // GIR_Coverage, 6897,
     /* 1443003 */     GIR_EraseRootFromParent_Done,
     /* 1443004 */   // Label 20272: @1443004
     /* 1443004 */   GIM_Try, /*On fail goto*//*Label 20273*/ GIMT_Encode4(1443101), // Rule ID 6898 //
     /* 1443009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1443020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1443023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1443026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1443032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1443039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443059 */     // MIs[1] Operand 1
     /* 1443059 */     // No operand predicates
     /* 1443059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443063 */     // MIs[0] policy
     /* 1443063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443075 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1443078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443100 */     // GIR_Coverage, 6898,
     /* 1443100 */     GIR_EraseRootFromParent_Done,
     /* 1443101 */   // Label 20273: @1443101
     /* 1443101 */   GIM_Try, /*On fail goto*//*Label 20274*/ GIMT_Encode4(1443198), // Rule ID 6901 //
     /* 1443106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1443117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1443120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1443123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1443129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1443136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443156 */     // MIs[1] Operand 1
     /* 1443156 */     // No operand predicates
     /* 1443156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443160 */     // MIs[0] policy
     /* 1443160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443172 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1443175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443197 */     // GIR_Coverage, 6901,
     /* 1443197 */     GIR_EraseRootFromParent_Done,
     /* 1443198 */   // Label 20274: @1443198
     /* 1443198 */   GIM_Try, /*On fail goto*//*Label 20275*/ GIMT_Encode4(1443295), // Rule ID 6902 //
     /* 1443203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1443214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1443217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1443220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1443226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1443233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443253 */     // MIs[1] Operand 1
     /* 1443253 */     // No operand predicates
     /* 1443253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443257 */     // MIs[0] policy
     /* 1443257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443269 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1443272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443294 */     // GIR_Coverage, 6902,
     /* 1443294 */     GIR_EraseRootFromParent_Done,
     /* 1443295 */   // Label 20275: @1443295
     /* 1443295 */   GIM_Try, /*On fail goto*//*Label 20276*/ GIMT_Encode4(1443392), // Rule ID 6905 //
     /* 1443300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1443311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1443314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1443317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1443323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1443330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443350 */     // MIs[1] Operand 1
     /* 1443350 */     // No operand predicates
     /* 1443350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443354 */     // MIs[0] policy
     /* 1443354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443366 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1443369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443391 */     // GIR_Coverage, 6905,
     /* 1443391 */     GIR_EraseRootFromParent_Done,
     /* 1443392 */   // Label 20276: @1443392
     /* 1443392 */   GIM_Try, /*On fail goto*//*Label 20277*/ GIMT_Encode4(1443489), // Rule ID 6906 //
     /* 1443397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1443408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1443411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1443414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1443420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1443427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443447 */     // MIs[1] Operand 1
     /* 1443447 */     // No operand predicates
     /* 1443447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443451 */     // MIs[0] policy
     /* 1443451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443463 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1443466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443488 */     // GIR_Coverage, 6906,
     /* 1443488 */     GIR_EraseRootFromParent_Done,
     /* 1443489 */   // Label 20277: @1443489
     /* 1443489 */   GIM_Try, /*On fail goto*//*Label 20278*/ GIMT_Encode4(1443586), // Rule ID 6909 //
     /* 1443494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1443505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1443508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1443511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1443524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443544 */     // MIs[1] Operand 1
     /* 1443544 */     // No operand predicates
     /* 1443544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443548 */     // MIs[0] policy
     /* 1443548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443560 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1443563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443585 */     // GIR_Coverage, 6909,
     /* 1443585 */     GIR_EraseRootFromParent_Done,
     /* 1443586 */   // Label 20278: @1443586
     /* 1443586 */   GIM_Try, /*On fail goto*//*Label 20279*/ GIMT_Encode4(1443683), // Rule ID 6910 //
     /* 1443591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1443602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1443605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1443608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1443621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443641 */     // MIs[1] Operand 1
     /* 1443641 */     // No operand predicates
     /* 1443641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443645 */     // MIs[0] policy
     /* 1443645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443657 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1443660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443682 */     // GIR_Coverage, 6910,
     /* 1443682 */     GIR_EraseRootFromParent_Done,
     /* 1443683 */   // Label 20279: @1443683
     /* 1443683 */   GIM_Try, /*On fail goto*//*Label 20280*/ GIMT_Encode4(1443780), // Rule ID 6913 //
     /* 1443688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1443699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1443702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1443705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1443711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1443718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443738 */     // MIs[1] Operand 1
     /* 1443738 */     // No operand predicates
     /* 1443738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443742 */     // MIs[0] policy
     /* 1443742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443754 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1443757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443779 */     // GIR_Coverage, 6913,
     /* 1443779 */     GIR_EraseRootFromParent_Done,
     /* 1443780 */   // Label 20280: @1443780
     /* 1443780 */   GIM_Try, /*On fail goto*//*Label 20281*/ GIMT_Encode4(1443877), // Rule ID 6914 //
     /* 1443785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1443796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1443799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1443802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1443808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1443815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443835 */     // MIs[1] Operand 1
     /* 1443835 */     // No operand predicates
     /* 1443835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443839 */     // MIs[0] policy
     /* 1443839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443851 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1443854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443876 */     // GIR_Coverage, 6914,
     /* 1443876 */     GIR_EraseRootFromParent_Done,
     /* 1443877 */   // Label 20281: @1443877
     /* 1443877 */   GIM_Try, /*On fail goto*//*Label 20282*/ GIMT_Encode4(1443974), // Rule ID 6917 //
     /* 1443882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1443893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1443896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1443899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1443905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1443912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443932 */     // MIs[1] Operand 1
     /* 1443932 */     // No operand predicates
     /* 1443932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443936 */     // MIs[0] policy
     /* 1443936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443948 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1443951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443973 */     // GIR_Coverage, 6917,
     /* 1443973 */     GIR_EraseRootFromParent_Done,
     /* 1443974 */   // Label 20282: @1443974
     /* 1443974 */   GIM_Try, /*On fail goto*//*Label 20283*/ GIMT_Encode4(1444071), // Rule ID 6918 //
     /* 1443979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1443987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1443990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1443993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1443996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1444002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444029 */     // MIs[1] Operand 1
     /* 1444029 */     // No operand predicates
     /* 1444029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444033 */     // MIs[0] policy
     /* 1444033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444045 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1444048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1444067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444070 */     // GIR_Coverage, 6918,
     /* 1444070 */     GIR_EraseRootFromParent_Done,
     /* 1444071 */   // Label 20283: @1444071
     /* 1444071 */   GIM_Try, /*On fail goto*//*Label 20284*/ GIMT_Encode4(1444168), // Rule ID 6921 //
     /* 1444076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1444087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1444090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1444093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1444099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444126 */     // MIs[1] Operand 1
     /* 1444126 */     // No operand predicates
     /* 1444126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444130 */     // MIs[0] policy
     /* 1444130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444142 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1444145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444167 */     // GIR_Coverage, 6921,
     /* 1444167 */     GIR_EraseRootFromParent_Done,
     /* 1444168 */   // Label 20284: @1444168
     /* 1444168 */   GIM_Try, /*On fail goto*//*Label 20285*/ GIMT_Encode4(1444265), // Rule ID 6922 //
     /* 1444173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1444184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1444187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1444190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1444196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444223 */     // MIs[1] Operand 1
     /* 1444223 */     // No operand predicates
     /* 1444223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444227 */     // MIs[0] policy
     /* 1444227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444239 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1444242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444264 */     // GIR_Coverage, 6922,
     /* 1444264 */     GIR_EraseRootFromParent_Done,
     /* 1444265 */   // Label 20285: @1444265
     /* 1444265 */   GIM_Try, /*On fail goto*//*Label 20286*/ GIMT_Encode4(1444362), // Rule ID 6925 //
     /* 1444270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1444281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1444284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1444287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1444293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444320 */     // MIs[1] Operand 1
     /* 1444320 */     // No operand predicates
     /* 1444320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444324 */     // MIs[0] policy
     /* 1444324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444336 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1444339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444361 */     // GIR_Coverage, 6925,
     /* 1444361 */     GIR_EraseRootFromParent_Done,
     /* 1444362 */   // Label 20286: @1444362
     /* 1444362 */   GIM_Try, /*On fail goto*//*Label 20287*/ GIMT_Encode4(1444459), // Rule ID 6926 //
     /* 1444367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1444378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1444381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1444384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1444390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444417 */     // MIs[1] Operand 1
     /* 1444417 */     // No operand predicates
     /* 1444417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444421 */     // MIs[0] policy
     /* 1444421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444433 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1444436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444458 */     // GIR_Coverage, 6926,
     /* 1444458 */     GIR_EraseRootFromParent_Done,
     /* 1444459 */   // Label 20287: @1444459
     /* 1444459 */   GIM_Try, /*On fail goto*//*Label 20288*/ GIMT_Encode4(1444556), // Rule ID 6929 //
     /* 1444464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1444475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1444478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1444481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444514 */     // MIs[1] Operand 1
     /* 1444514 */     // No operand predicates
     /* 1444514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444518 */     // MIs[0] policy
     /* 1444518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444530 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1444533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444555 */     // GIR_Coverage, 6929,
     /* 1444555 */     GIR_EraseRootFromParent_Done,
     /* 1444556 */   // Label 20288: @1444556
     /* 1444556 */   GIM_Try, /*On fail goto*//*Label 20289*/ GIMT_Encode4(1444653), // Rule ID 6930 //
     /* 1444561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1444572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1444575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1444578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444611 */     // MIs[1] Operand 1
     /* 1444611 */     // No operand predicates
     /* 1444611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444615 */     // MIs[0] policy
     /* 1444615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444627 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1444630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444652 */     // GIR_Coverage, 6930,
     /* 1444652 */     GIR_EraseRootFromParent_Done,
     /* 1444653 */   // Label 20289: @1444653
     /* 1444653 */   GIM_Try, /*On fail goto*//*Label 20290*/ GIMT_Encode4(1444750), // Rule ID 6933 //
     /* 1444658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1444661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1444669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1444672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1444675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1444681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444708 */     // MIs[1] Operand 1
     /* 1444708 */     // No operand predicates
     /* 1444708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444712 */     // MIs[0] policy
     /* 1444712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444724 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1444727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444749 */     // GIR_Coverage, 6933,
     /* 1444749 */     GIR_EraseRootFromParent_Done,
     /* 1444750 */   // Label 20290: @1444750
     /* 1444750 */   GIM_Try, /*On fail goto*//*Label 20291*/ GIMT_Encode4(1444847), // Rule ID 6934 //
     /* 1444755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1444766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1444769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1444772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1444778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444805 */     // MIs[1] Operand 1
     /* 1444805 */     // No operand predicates
     /* 1444805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444809 */     // MIs[0] policy
     /* 1444809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444821 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1444824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444846 */     // GIR_Coverage, 6934,
     /* 1444846 */     GIR_EraseRootFromParent_Done,
     /* 1444847 */   // Label 20291: @1444847
     /* 1444847 */   GIM_Try, /*On fail goto*//*Label 20292*/ GIMT_Encode4(1444944), // Rule ID 6937 //
     /* 1444852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1444855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1444863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1444866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1444869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1444875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444902 */     // MIs[1] Operand 1
     /* 1444902 */     // No operand predicates
     /* 1444902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444906 */     // MIs[0] policy
     /* 1444906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444918 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1444921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444943 */     // GIR_Coverage, 6937,
     /* 1444943 */     GIR_EraseRootFromParent_Done,
     /* 1444944 */   // Label 20292: @1444944
     /* 1444944 */   GIM_Try, /*On fail goto*//*Label 20293*/ GIMT_Encode4(1445041), // Rule ID 6938 //
     /* 1444949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1444957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1444960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1444963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1444966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1444972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444999 */     // MIs[1] Operand 1
     /* 1444999 */     // No operand predicates
     /* 1444999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445003 */     // MIs[0] policy
     /* 1445003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445015 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1445018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1445037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445040 */     // GIR_Coverage, 6938,
     /* 1445040 */     GIR_EraseRootFromParent_Done,
     /* 1445041 */   // Label 20293: @1445041
     /* 1445041 */   GIM_Try, /*On fail goto*//*Label 20294*/ GIMT_Encode4(1445138), // Rule ID 6941 //
     /* 1445046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1445049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1445057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1445060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1445063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445096 */     // MIs[1] Operand 1
     /* 1445096 */     // No operand predicates
     /* 1445096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445100 */     // MIs[0] policy
     /* 1445100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445112 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1445115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1445134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445137 */     // GIR_Coverage, 6941,
     /* 1445137 */     GIR_EraseRootFromParent_Done,
     /* 1445138 */   // Label 20294: @1445138
     /* 1445138 */   GIM_Try, /*On fail goto*//*Label 20295*/ GIMT_Encode4(1445235), // Rule ID 6942 //
     /* 1445143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1445146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1445151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1445154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1445157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1445160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445193 */     // MIs[1] Operand 1
     /* 1445193 */     // No operand predicates
     /* 1445193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445197 */     // MIs[0] policy
     /* 1445197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445209 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1445212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1445231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445234 */     // GIR_Coverage, 6942,
     /* 1445234 */     GIR_EraseRootFromParent_Done,
     /* 1445235 */   // Label 20295: @1445235
     /* 1445235 */   GIM_Try, /*On fail goto*//*Label 20296*/ GIMT_Encode4(1445332), // Rule ID 7121 //
     /* 1445240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1445248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1445251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1445254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1445257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1445263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445290 */     // MIs[1] Operand 1
     /* 1445290 */     // No operand predicates
     /* 1445290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445294 */     // MIs[0] policy
     /* 1445294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445306 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1445309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445331 */     // GIR_Coverage, 7121,
     /* 1445331 */     GIR_EraseRootFromParent_Done,
     /* 1445332 */   // Label 20296: @1445332
     /* 1445332 */   GIM_Try, /*On fail goto*//*Label 20297*/ GIMT_Encode4(1445429), // Rule ID 7122 //
     /* 1445337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1445345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1445348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1445351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1445354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1445360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445387 */     // MIs[1] Operand 1
     /* 1445387 */     // No operand predicates
     /* 1445387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445391 */     // MIs[0] policy
     /* 1445391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445403 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1445406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445428 */     // GIR_Coverage, 7122,
     /* 1445428 */     GIR_EraseRootFromParent_Done,
     /* 1445429 */   // Label 20297: @1445429
     /* 1445429 */   GIM_Try, /*On fail goto*//*Label 20298*/ GIMT_Encode4(1445526), // Rule ID 7125 //
     /* 1445434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1445442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1445445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1445448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1445451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1445457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445484 */     // MIs[1] Operand 1
     /* 1445484 */     // No operand predicates
     /* 1445484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445488 */     // MIs[0] policy
     /* 1445488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445500 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1445503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445525 */     // GIR_Coverage, 7125,
     /* 1445525 */     GIR_EraseRootFromParent_Done,
     /* 1445526 */   // Label 20298: @1445526
     /* 1445526 */   GIM_Try, /*On fail goto*//*Label 20299*/ GIMT_Encode4(1445623), // Rule ID 7126 //
     /* 1445531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1445539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1445542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1445545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1445548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1445554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445581 */     // MIs[1] Operand 1
     /* 1445581 */     // No operand predicates
     /* 1445581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445585 */     // MIs[0] policy
     /* 1445585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445597 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1445600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445622 */     // GIR_Coverage, 7126,
     /* 1445622 */     GIR_EraseRootFromParent_Done,
     /* 1445623 */   // Label 20299: @1445623
     /* 1445623 */   GIM_Try, /*On fail goto*//*Label 20300*/ GIMT_Encode4(1445720), // Rule ID 7129 //
     /* 1445628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1445636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1445639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1445642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1445645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445678 */     // MIs[1] Operand 1
     /* 1445678 */     // No operand predicates
     /* 1445678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445682 */     // MIs[0] policy
     /* 1445682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445694 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1445697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445719 */     // GIR_Coverage, 7129,
     /* 1445719 */     GIR_EraseRootFromParent_Done,
     /* 1445720 */   // Label 20300: @1445720
     /* 1445720 */   GIM_Try, /*On fail goto*//*Label 20301*/ GIMT_Encode4(1445817), // Rule ID 7130 //
     /* 1445725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1445733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1445736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1445739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1445742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445775 */     // MIs[1] Operand 1
     /* 1445775 */     // No operand predicates
     /* 1445775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445779 */     // MIs[0] policy
     /* 1445779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445791 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1445794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445816 */     // GIR_Coverage, 7130,
     /* 1445816 */     GIR_EraseRootFromParent_Done,
     /* 1445817 */   // Label 20301: @1445817
     /* 1445817 */   GIM_Try, /*On fail goto*//*Label 20302*/ GIMT_Encode4(1445914), // Rule ID 7133 //
     /* 1445822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1445830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1445833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1445836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1445839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1445845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445872 */     // MIs[1] Operand 1
     /* 1445872 */     // No operand predicates
     /* 1445872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445876 */     // MIs[0] policy
     /* 1445876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445888 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1445891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445913 */     // GIR_Coverage, 7133,
     /* 1445913 */     GIR_EraseRootFromParent_Done,
     /* 1445914 */   // Label 20302: @1445914
     /* 1445914 */   GIM_Try, /*On fail goto*//*Label 20303*/ GIMT_Encode4(1446011), // Rule ID 7134 //
     /* 1445919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1445927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1445930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1445933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1445936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1445942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445969 */     // MIs[1] Operand 1
     /* 1445969 */     // No operand predicates
     /* 1445969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445973 */     // MIs[0] policy
     /* 1445973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445985 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1445988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446010 */     // GIR_Coverage, 7134,
     /* 1446010 */     GIR_EraseRootFromParent_Done,
     /* 1446011 */   // Label 20303: @1446011
     /* 1446011 */   GIM_Try, /*On fail goto*//*Label 20304*/ GIMT_Encode4(1446108), // Rule ID 7137 //
     /* 1446016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1446027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1446030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1446033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446066 */     // MIs[1] Operand 1
     /* 1446066 */     // No operand predicates
     /* 1446066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446070 */     // MIs[0] policy
     /* 1446070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446082 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1446085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446107 */     // GIR_Coverage, 7137,
     /* 1446107 */     GIR_EraseRootFromParent_Done,
     /* 1446108 */   // Label 20304: @1446108
     /* 1446108 */   GIM_Try, /*On fail goto*//*Label 20305*/ GIMT_Encode4(1446205), // Rule ID 7138 //
     /* 1446113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1446124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1446127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1446130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446163 */     // MIs[1] Operand 1
     /* 1446163 */     // No operand predicates
     /* 1446163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446167 */     // MIs[0] policy
     /* 1446167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446179 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1446182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446204 */     // GIR_Coverage, 7138,
     /* 1446204 */     GIR_EraseRootFromParent_Done,
     /* 1446205 */   // Label 20305: @1446205
     /* 1446205 */   GIM_Try, /*On fail goto*//*Label 20306*/ GIMT_Encode4(1446302), // Rule ID 7141 //
     /* 1446210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1446221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1446224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1446227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446260 */     // MIs[1] Operand 1
     /* 1446260 */     // No operand predicates
     /* 1446260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446264 */     // MIs[0] policy
     /* 1446264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446276 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1446279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446301 */     // GIR_Coverage, 7141,
     /* 1446301 */     GIR_EraseRootFromParent_Done,
     /* 1446302 */   // Label 20306: @1446302
     /* 1446302 */   GIM_Try, /*On fail goto*//*Label 20307*/ GIMT_Encode4(1446399), // Rule ID 7142 //
     /* 1446307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1446318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1446321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1446324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446357 */     // MIs[1] Operand 1
     /* 1446357 */     // No operand predicates
     /* 1446357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446361 */     // MIs[0] policy
     /* 1446361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446373 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1446376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446398 */     // GIR_Coverage, 7142,
     /* 1446398 */     GIR_EraseRootFromParent_Done,
     /* 1446399 */   // Label 20307: @1446399
     /* 1446399 */   GIM_Try, /*On fail goto*//*Label 20308*/ GIMT_Encode4(1446496), // Rule ID 7145 //
     /* 1446404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1446415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1446418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1446421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446454 */     // MIs[1] Operand 1
     /* 1446454 */     // No operand predicates
     /* 1446454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446458 */     // MIs[0] policy
     /* 1446458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446470 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1446473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446495 */     // GIR_Coverage, 7145,
     /* 1446495 */     GIR_EraseRootFromParent_Done,
     /* 1446496 */   // Label 20308: @1446496
     /* 1446496 */   GIM_Try, /*On fail goto*//*Label 20309*/ GIMT_Encode4(1446593), // Rule ID 7146 //
     /* 1446501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1446512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1446515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1446518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446551 */     // MIs[1] Operand 1
     /* 1446551 */     // No operand predicates
     /* 1446551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446555 */     // MIs[0] policy
     /* 1446555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446567 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1446570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446592 */     // GIR_Coverage, 7146,
     /* 1446592 */     GIR_EraseRootFromParent_Done,
     /* 1446593 */   // Label 20309: @1446593
     /* 1446593 */   GIM_Try, /*On fail goto*//*Label 20310*/ GIMT_Encode4(1446690), // Rule ID 7149 //
     /* 1446598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1446609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1446612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1446615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446648 */     // MIs[1] Operand 1
     /* 1446648 */     // No operand predicates
     /* 1446648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446652 */     // MIs[0] policy
     /* 1446652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446664 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1446667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446689 */     // GIR_Coverage, 7149,
     /* 1446689 */     GIR_EraseRootFromParent_Done,
     /* 1446690 */   // Label 20310: @1446690
     /* 1446690 */   GIM_Try, /*On fail goto*//*Label 20311*/ GIMT_Encode4(1446787), // Rule ID 7150 //
     /* 1446695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1446706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1446709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1446712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446745 */     // MIs[1] Operand 1
     /* 1446745 */     // No operand predicates
     /* 1446745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446749 */     // MIs[0] policy
     /* 1446749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446761 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1446764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446786 */     // GIR_Coverage, 7150,
     /* 1446786 */     GIR_EraseRootFromParent_Done,
     /* 1446787 */   // Label 20311: @1446787
     /* 1446787 */   GIM_Try, /*On fail goto*//*Label 20312*/ GIMT_Encode4(1446884), // Rule ID 7153 //
     /* 1446792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1446803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1446806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1446809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446842 */     // MIs[1] Operand 1
     /* 1446842 */     // No operand predicates
     /* 1446842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446846 */     // MIs[0] policy
     /* 1446846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446858 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1446861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446883 */     // GIR_Coverage, 7153,
     /* 1446883 */     GIR_EraseRootFromParent_Done,
     /* 1446884 */   // Label 20312: @1446884
     /* 1446884 */   GIM_Try, /*On fail goto*//*Label 20313*/ GIMT_Encode4(1446981), // Rule ID 7154 //
     /* 1446889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1446900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1446903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1446906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446939 */     // MIs[1] Operand 1
     /* 1446939 */     // No operand predicates
     /* 1446939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446943 */     // MIs[0] policy
     /* 1446943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446955 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1446958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446980 */     // GIR_Coverage, 7154,
     /* 1446980 */     GIR_EraseRootFromParent_Done,
     /* 1446981 */   // Label 20313: @1446981
     /* 1446981 */   GIM_Try, /*On fail goto*//*Label 20314*/ GIMT_Encode4(1447078), // Rule ID 7157 //
     /* 1446986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1446994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1446997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1447000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1447003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447036 */     // MIs[1] Operand 1
     /* 1447036 */     // No operand predicates
     /* 1447036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447040 */     // MIs[0] policy
     /* 1447040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1447055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1447074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447077 */     // GIR_Coverage, 7157,
     /* 1447077 */     GIR_EraseRootFromParent_Done,
     /* 1447078 */   // Label 20314: @1447078
     /* 1447078 */   GIM_Try, /*On fail goto*//*Label 20315*/ GIMT_Encode4(1447175), // Rule ID 7158 //
     /* 1447083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1447086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1447094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1447097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1447100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447133 */     // MIs[1] Operand 1
     /* 1447133 */     // No operand predicates
     /* 1447133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447137 */     // MIs[0] policy
     /* 1447137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447149 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1447152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1447171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447174 */     // GIR_Coverage, 7158,
     /* 1447174 */     GIR_EraseRootFromParent_Done,
     /* 1447175 */   // Label 20315: @1447175
     /* 1447175 */   GIM_Try, /*On fail goto*//*Label 20316*/ GIMT_Encode4(1447272), // Rule ID 7161 //
     /* 1447180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1447191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1447194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1447197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1447203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1447210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447230 */     // MIs[1] Operand 1
     /* 1447230 */     // No operand predicates
     /* 1447230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447234 */     // MIs[0] policy
     /* 1447234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447246 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1447249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447271 */     // GIR_Coverage, 7161,
     /* 1447271 */     GIR_EraseRootFromParent_Done,
     /* 1447272 */   // Label 20316: @1447272
     /* 1447272 */   GIM_Try, /*On fail goto*//*Label 20317*/ GIMT_Encode4(1447369), // Rule ID 7162 //
     /* 1447277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1447288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1447291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1447294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1447300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1447307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447327 */     // MIs[1] Operand 1
     /* 1447327 */     // No operand predicates
     /* 1447327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447331 */     // MIs[0] policy
     /* 1447331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447343 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1447346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447368 */     // GIR_Coverage, 7162,
     /* 1447368 */     GIR_EraseRootFromParent_Done,
     /* 1447369 */   // Label 20317: @1447369
     /* 1447369 */   GIM_Try, /*On fail goto*//*Label 20318*/ GIMT_Encode4(1447466), // Rule ID 7165 //
     /* 1447374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1447385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1447388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1447391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1447397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1447404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447424 */     // MIs[1] Operand 1
     /* 1447424 */     // No operand predicates
     /* 1447424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447428 */     // MIs[0] policy
     /* 1447428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447440 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1447443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447465 */     // GIR_Coverage, 7165,
     /* 1447465 */     GIR_EraseRootFromParent_Done,
     /* 1447466 */   // Label 20318: @1447466
     /* 1447466 */   GIM_Try, /*On fail goto*//*Label 20319*/ GIMT_Encode4(1447563), // Rule ID 7166 //
     /* 1447471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1447482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1447485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1447488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1447494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1447501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447521 */     // MIs[1] Operand 1
     /* 1447521 */     // No operand predicates
     /* 1447521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447525 */     // MIs[0] policy
     /* 1447525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447537 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1447540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447562 */     // GIR_Coverage, 7166,
     /* 1447562 */     GIR_EraseRootFromParent_Done,
     /* 1447563 */   // Label 20319: @1447563
     /* 1447563 */   GIM_Try, /*On fail goto*//*Label 20320*/ GIMT_Encode4(1447660), // Rule ID 7169 //
     /* 1447568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1447579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1447582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1447585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1447591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1447598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447618 */     // MIs[1] Operand 1
     /* 1447618 */     // No operand predicates
     /* 1447618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447622 */     // MIs[0] policy
     /* 1447622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447634 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1447637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447659 */     // GIR_Coverage, 7169,
     /* 1447659 */     GIR_EraseRootFromParent_Done,
     /* 1447660 */   // Label 20320: @1447660
     /* 1447660 */   GIM_Try, /*On fail goto*//*Label 20321*/ GIMT_Encode4(1447757), // Rule ID 7170 //
     /* 1447665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1447676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1447679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1447682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1447688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1447695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447715 */     // MIs[1] Operand 1
     /* 1447715 */     // No operand predicates
     /* 1447715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447719 */     // MIs[0] policy
     /* 1447719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447731 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1447734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447756 */     // GIR_Coverage, 7170,
     /* 1447756 */     GIR_EraseRootFromParent_Done,
     /* 1447757 */   // Label 20321: @1447757
     /* 1447757 */   GIM_Try, /*On fail goto*//*Label 20322*/ GIMT_Encode4(1447854), // Rule ID 7173 //
     /* 1447762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1447773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1447776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1447779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1447785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1447792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447812 */     // MIs[1] Operand 1
     /* 1447812 */     // No operand predicates
     /* 1447812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447816 */     // MIs[0] policy
     /* 1447816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447828 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1447831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447853 */     // GIR_Coverage, 7173,
     /* 1447853 */     GIR_EraseRootFromParent_Done,
     /* 1447854 */   // Label 20322: @1447854
     /* 1447854 */   GIM_Try, /*On fail goto*//*Label 20323*/ GIMT_Encode4(1447951), // Rule ID 7174 //
     /* 1447859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1447870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1447873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1447876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1447882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1447889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447909 */     // MIs[1] Operand 1
     /* 1447909 */     // No operand predicates
     /* 1447909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447913 */     // MIs[0] policy
     /* 1447913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447925 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1447928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447950 */     // GIR_Coverage, 7174,
     /* 1447950 */     GIR_EraseRootFromParent_Done,
     /* 1447951 */   // Label 20323: @1447951
     /* 1447951 */   GIM_Try, /*On fail goto*//*Label 20324*/ GIMT_Encode4(1448048), // Rule ID 7177 //
     /* 1447956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1447964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1447967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1447970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1447973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1447979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1447986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448006 */     // MIs[1] Operand 1
     /* 1448006 */     // No operand predicates
     /* 1448006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448010 */     // MIs[0] policy
     /* 1448010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448022 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1448025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448047 */     // GIR_Coverage, 7177,
     /* 1448047 */     GIR_EraseRootFromParent_Done,
     /* 1448048 */   // Label 20324: @1448048
     /* 1448048 */   GIM_Try, /*On fail goto*//*Label 20325*/ GIMT_Encode4(1448145), // Rule ID 7178 //
     /* 1448053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1448064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1448067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1448070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448103 */     // MIs[1] Operand 1
     /* 1448103 */     // No operand predicates
     /* 1448103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448107 */     // MIs[0] policy
     /* 1448107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448119 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1448122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448144 */     // GIR_Coverage, 7178,
     /* 1448144 */     GIR_EraseRootFromParent_Done,
     /* 1448145 */   // Label 20325: @1448145
     /* 1448145 */   GIM_Try, /*On fail goto*//*Label 20326*/ GIMT_Encode4(1448242), // Rule ID 7181 //
     /* 1448150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1448161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1448164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1448167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1448173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1448180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448200 */     // MIs[1] Operand 1
     /* 1448200 */     // No operand predicates
     /* 1448200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448204 */     // MIs[0] policy
     /* 1448204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448216 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1448219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448241 */     // GIR_Coverage, 7181,
     /* 1448241 */     GIR_EraseRootFromParent_Done,
     /* 1448242 */   // Label 20326: @1448242
     /* 1448242 */   GIM_Try, /*On fail goto*//*Label 20327*/ GIMT_Encode4(1448339), // Rule ID 7182 //
     /* 1448247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1448258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1448261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1448264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1448270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1448277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448297 */     // MIs[1] Operand 1
     /* 1448297 */     // No operand predicates
     /* 1448297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448301 */     // MIs[0] policy
     /* 1448301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448313 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1448316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448338 */     // GIR_Coverage, 7182,
     /* 1448338 */     GIR_EraseRootFromParent_Done,
     /* 1448339 */   // Label 20327: @1448339
     /* 1448339 */   GIM_Try, /*On fail goto*//*Label 20328*/ GIMT_Encode4(1448436), // Rule ID 7185 //
     /* 1448344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1448355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1448358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1448361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448394 */     // MIs[1] Operand 1
     /* 1448394 */     // No operand predicates
     /* 1448394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448398 */     // MIs[0] policy
     /* 1448398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448410 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1448413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448435 */     // GIR_Coverage, 7185,
     /* 1448435 */     GIR_EraseRootFromParent_Done,
     /* 1448436 */   // Label 20328: @1448436
     /* 1448436 */   GIM_Try, /*On fail goto*//*Label 20329*/ GIMT_Encode4(1448533), // Rule ID 7186 //
     /* 1448441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1448452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1448455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1448458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448491 */     // MIs[1] Operand 1
     /* 1448491 */     // No operand predicates
     /* 1448491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448495 */     // MIs[0] policy
     /* 1448495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448507 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1448510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448532 */     // GIR_Coverage, 7186,
     /* 1448532 */     GIR_EraseRootFromParent_Done,
     /* 1448533 */   // Label 20329: @1448533
     /* 1448533 */   GIM_Try, /*On fail goto*//*Label 20330*/ GIMT_Encode4(1448630), // Rule ID 7189 //
     /* 1448538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1448549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1448552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1448555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1448561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448588 */     // MIs[1] Operand 1
     /* 1448588 */     // No operand predicates
     /* 1448588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448592 */     // MIs[0] policy
     /* 1448592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448604 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1448607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448629 */     // GIR_Coverage, 7189,
     /* 1448629 */     GIR_EraseRootFromParent_Done,
     /* 1448630 */   // Label 20330: @1448630
     /* 1448630 */   GIM_Try, /*On fail goto*//*Label 20331*/ GIMT_Encode4(1448727), // Rule ID 7190 //
     /* 1448635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1448646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1448649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1448652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1448658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448685 */     // MIs[1] Operand 1
     /* 1448685 */     // No operand predicates
     /* 1448685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448689 */     // MIs[0] policy
     /* 1448689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448701 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1448704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448710 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448726 */     // GIR_Coverage, 7190,
     /* 1448726 */     GIR_EraseRootFromParent_Done,
     /* 1448727 */   // Label 20331: @1448727
     /* 1448727 */   GIM_Try, /*On fail goto*//*Label 20332*/ GIMT_Encode4(1448824), // Rule ID 7193 //
     /* 1448732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1448743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1448746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1448749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1448762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448782 */     // MIs[1] Operand 1
     /* 1448782 */     // No operand predicates
     /* 1448782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448786 */     // MIs[0] policy
     /* 1448786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448798 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1448801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448823 */     // GIR_Coverage, 7193,
     /* 1448823 */     GIR_EraseRootFromParent_Done,
     /* 1448824 */   // Label 20332: @1448824
     /* 1448824 */   GIM_Try, /*On fail goto*//*Label 20333*/ GIMT_Encode4(1448921), // Rule ID 7194 //
     /* 1448829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1448840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1448843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1448846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1448859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448879 */     // MIs[1] Operand 1
     /* 1448879 */     // No operand predicates
     /* 1448879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448883 */     // MIs[0] policy
     /* 1448883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448895 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1448898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448920 */     // GIR_Coverage, 7194,
     /* 1448920 */     GIR_EraseRootFromParent_Done,
     /* 1448921 */   // Label 20333: @1448921
     /* 1448921 */   GIM_Try, /*On fail goto*//*Label 20334*/ GIMT_Encode4(1449018), // Rule ID 7197 //
     /* 1448926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1448929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1448934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1448937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1448940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1448943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448976 */     // MIs[1] Operand 1
     /* 1448976 */     // No operand predicates
     /* 1448976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448980 */     // MIs[0] policy
     /* 1448980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448992 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1448995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1449014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449017 */     // GIR_Coverage, 7197,
     /* 1449017 */     GIR_EraseRootFromParent_Done,
     /* 1449018 */   // Label 20334: @1449018
     /* 1449018 */   GIM_Try, /*On fail goto*//*Label 20335*/ GIMT_Encode4(1449115), // Rule ID 7198 //
     /* 1449023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1449026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1449034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1449037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1449040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1449046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449073 */     // MIs[1] Operand 1
     /* 1449073 */     // No operand predicates
     /* 1449073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449077 */     // MIs[0] policy
     /* 1449077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449089 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1449092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1449111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449114 */     // GIR_Coverage, 7198,
     /* 1449114 */     GIR_EraseRootFromParent_Done,
     /* 1449115 */   // Label 20335: @1449115
     /* 1449115 */   GIM_Try, /*On fail goto*//*Label 20336*/ GIMT_Encode4(1449212), // Rule ID 7201 //
     /* 1449120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1449123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1449131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1449134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1449137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449170 */     // MIs[1] Operand 1
     /* 1449170 */     // No operand predicates
     /* 1449170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449174 */     // MIs[0] policy
     /* 1449174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449186 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1449189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1449208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449211 */     // GIR_Coverage, 7201,
     /* 1449211 */     GIR_EraseRootFromParent_Done,
     /* 1449212 */   // Label 20336: @1449212
     /* 1449212 */   GIM_Try, /*On fail goto*//*Label 20337*/ GIMT_Encode4(1449309), // Rule ID 7202 //
     /* 1449217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1449220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1449228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1449231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1449234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449267 */     // MIs[1] Operand 1
     /* 1449267 */     // No operand predicates
     /* 1449267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449271 */     // MIs[0] policy
     /* 1449271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449283 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1449286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1449305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449308 */     // GIR_Coverage, 7202,
     /* 1449308 */     GIR_EraseRootFromParent_Done,
     /* 1449309 */   // Label 20337: @1449309
     /* 1449309 */   GIM_Try, /*On fail goto*//*Label 20338*/ GIMT_Encode4(1449406), // Rule ID 7205 //
     /* 1449314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1449317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1449325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1449328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1449331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449364 */     // MIs[1] Operand 1
     /* 1449364 */     // No operand predicates
     /* 1449364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449368 */     // MIs[0] policy
     /* 1449368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449380 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1449383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1449402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449405 */     // GIR_Coverage, 7205,
     /* 1449405 */     GIR_EraseRootFromParent_Done,
     /* 1449406 */   // Label 20338: @1449406
     /* 1449406 */   GIM_Try, /*On fail goto*//*Label 20339*/ GIMT_Encode4(1449503), // Rule ID 7206 //
     /* 1449411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1449414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1449419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1449422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1449425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1449428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449461 */     // MIs[1] Operand 1
     /* 1449461 */     // No operand predicates
     /* 1449461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449465 */     // MIs[0] policy
     /* 1449465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449477 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1449480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1449499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449502 */     // GIR_Coverage, 7206,
     /* 1449502 */     GIR_EraseRootFromParent_Done,
     /* 1449503 */   // Label 20339: @1449503
     /* 1449503 */   GIM_Try, /*On fail goto*//*Label 20340*/ GIMT_Encode4(1449600), // Rule ID 7417 //
     /* 1449508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1449516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1449519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1449522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1449525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1449531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449558 */     // MIs[1] Operand 1
     /* 1449558 */     // No operand predicates
     /* 1449558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449562 */     // MIs[0] policy
     /* 1449562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449574 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1449577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449599 */     // GIR_Coverage, 7417,
     /* 1449599 */     GIR_EraseRootFromParent_Done,
     /* 1449600 */   // Label 20340: @1449600
     /* 1449600 */   GIM_Try, /*On fail goto*//*Label 20341*/ GIMT_Encode4(1449697), // Rule ID 7418 //
     /* 1449605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1449613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1449616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1449619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1449622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1449628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449655 */     // MIs[1] Operand 1
     /* 1449655 */     // No operand predicates
     /* 1449655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449659 */     // MIs[0] policy
     /* 1449659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449671 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1449674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449680 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449696 */     // GIR_Coverage, 7418,
     /* 1449696 */     GIR_EraseRootFromParent_Done,
     /* 1449697 */   // Label 20341: @1449697
     /* 1449697 */   GIM_Try, /*On fail goto*//*Label 20342*/ GIMT_Encode4(1449794), // Rule ID 7421 //
     /* 1449702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1449710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1449713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1449716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1449719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1449725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449752 */     // MIs[1] Operand 1
     /* 1449752 */     // No operand predicates
     /* 1449752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449756 */     // MIs[0] policy
     /* 1449756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449768 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1449771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449793 */     // GIR_Coverage, 7421,
     /* 1449793 */     GIR_EraseRootFromParent_Done,
     /* 1449794 */   // Label 20342: @1449794
     /* 1449794 */   GIM_Try, /*On fail goto*//*Label 20343*/ GIMT_Encode4(1449891), // Rule ID 7422 //
     /* 1449799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1449807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1449810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1449813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1449816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1449822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449849 */     // MIs[1] Operand 1
     /* 1449849 */     // No operand predicates
     /* 1449849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449853 */     // MIs[0] policy
     /* 1449853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449865 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1449868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449890 */     // GIR_Coverage, 7422,
     /* 1449890 */     GIR_EraseRootFromParent_Done,
     /* 1449891 */   // Label 20343: @1449891
     /* 1449891 */   GIM_Try, /*On fail goto*//*Label 20344*/ GIMT_Encode4(1449988), // Rule ID 7425 //
     /* 1449896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1449904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1449907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1449910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1449913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449946 */     // MIs[1] Operand 1
     /* 1449946 */     // No operand predicates
     /* 1449946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449950 */     // MIs[0] policy
     /* 1449950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449962 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1449965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449987 */     // GIR_Coverage, 7425,
     /* 1449987 */     GIR_EraseRootFromParent_Done,
     /* 1449988 */   // Label 20344: @1449988
     /* 1449988 */   GIM_Try, /*On fail goto*//*Label 20345*/ GIMT_Encode4(1450085), // Rule ID 7426 //
     /* 1449993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1450001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1450004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1450007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1450010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450043 */     // MIs[1] Operand 1
     /* 1450043 */     // No operand predicates
     /* 1450043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450047 */     // MIs[0] policy
     /* 1450047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450059 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1450062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450084 */     // GIR_Coverage, 7426,
     /* 1450084 */     GIR_EraseRootFromParent_Done,
     /* 1450085 */   // Label 20345: @1450085
     /* 1450085 */   GIM_Try, /*On fail goto*//*Label 20346*/ GIMT_Encode4(1450182), // Rule ID 7429 //
     /* 1450090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1450098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1450101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1450104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1450107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450140 */     // MIs[1] Operand 1
     /* 1450140 */     // No operand predicates
     /* 1450140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450144 */     // MIs[0] policy
     /* 1450144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450156 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1450159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450181 */     // GIR_Coverage, 7429,
     /* 1450181 */     GIR_EraseRootFromParent_Done,
     /* 1450182 */   // Label 20346: @1450182
     /* 1450182 */   GIM_Try, /*On fail goto*//*Label 20347*/ GIMT_Encode4(1450279), // Rule ID 7430 //
     /* 1450187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1450195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1450198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1450201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1450204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450237 */     // MIs[1] Operand 1
     /* 1450237 */     // No operand predicates
     /* 1450237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450241 */     // MIs[0] policy
     /* 1450241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450253 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1450256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450278 */     // GIR_Coverage, 7430,
     /* 1450278 */     GIR_EraseRootFromParent_Done,
     /* 1450279 */   // Label 20347: @1450279
     /* 1450279 */   GIM_Try, /*On fail goto*//*Label 20348*/ GIMT_Encode4(1450376), // Rule ID 7433 //
     /* 1450284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1450292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1450295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1450298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1450301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1450307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450334 */     // MIs[1] Operand 1
     /* 1450334 */     // No operand predicates
     /* 1450334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450338 */     // MIs[0] policy
     /* 1450338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450350 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1450353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450375 */     // GIR_Coverage, 7433,
     /* 1450375 */     GIR_EraseRootFromParent_Done,
     /* 1450376 */   // Label 20348: @1450376
     /* 1450376 */   GIM_Try, /*On fail goto*//*Label 20349*/ GIMT_Encode4(1450473), // Rule ID 7434 //
     /* 1450381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1450389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1450392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1450395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1450398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1450404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450431 */     // MIs[1] Operand 1
     /* 1450431 */     // No operand predicates
     /* 1450431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450435 */     // MIs[0] policy
     /* 1450435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450447 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1450450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450472 */     // GIR_Coverage, 7434,
     /* 1450472 */     GIR_EraseRootFromParent_Done,
     /* 1450473 */   // Label 20349: @1450473
     /* 1450473 */   GIM_Try, /*On fail goto*//*Label 20350*/ GIMT_Encode4(1450570), // Rule ID 7437 //
     /* 1450478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1450486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1450489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1450492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1450495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1450501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450528 */     // MIs[1] Operand 1
     /* 1450528 */     // No operand predicates
     /* 1450528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450532 */     // MIs[0] policy
     /* 1450532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450544 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1450547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450569 */     // GIR_Coverage, 7437,
     /* 1450569 */     GIR_EraseRootFromParent_Done,
     /* 1450570 */   // Label 20350: @1450570
     /* 1450570 */   GIM_Try, /*On fail goto*//*Label 20351*/ GIMT_Encode4(1450667), // Rule ID 7438 //
     /* 1450575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1450583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1450586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1450589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1450592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1450598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450625 */     // MIs[1] Operand 1
     /* 1450625 */     // No operand predicates
     /* 1450625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450629 */     // MIs[0] policy
     /* 1450629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450641 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1450644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450666 */     // GIR_Coverage, 7438,
     /* 1450666 */     GIR_EraseRootFromParent_Done,
     /* 1450667 */   // Label 20351: @1450667
     /* 1450667 */   GIM_Try, /*On fail goto*//*Label 20352*/ GIMT_Encode4(1450764), // Rule ID 7441 //
     /* 1450672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1450680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1450683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1450686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1450689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1450695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450722 */     // MIs[1] Operand 1
     /* 1450722 */     // No operand predicates
     /* 1450722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450726 */     // MIs[0] policy
     /* 1450726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450738 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1450741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450763 */     // GIR_Coverage, 7441,
     /* 1450763 */     GIR_EraseRootFromParent_Done,
     /* 1450764 */   // Label 20352: @1450764
     /* 1450764 */   GIM_Try, /*On fail goto*//*Label 20353*/ GIMT_Encode4(1450861), // Rule ID 7442 //
     /* 1450769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1450777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1450780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1450783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1450786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1450792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450819 */     // MIs[1] Operand 1
     /* 1450819 */     // No operand predicates
     /* 1450819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450823 */     // MIs[0] policy
     /* 1450823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450835 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1450838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450860 */     // GIR_Coverage, 7442,
     /* 1450860 */     GIR_EraseRootFromParent_Done,
     /* 1450861 */   // Label 20353: @1450861
     /* 1450861 */   GIM_Try, /*On fail goto*//*Label 20354*/ GIMT_Encode4(1450958), // Rule ID 7445 //
     /* 1450866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1450874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1450877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1450880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1450883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450916 */     // MIs[1] Operand 1
     /* 1450916 */     // No operand predicates
     /* 1450916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450920 */     // MIs[0] policy
     /* 1450920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450932 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1450935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450957 */     // GIR_Coverage, 7445,
     /* 1450957 */     GIR_EraseRootFromParent_Done,
     /* 1450958 */   // Label 20354: @1450958
     /* 1450958 */   GIM_Try, /*On fail goto*//*Label 20355*/ GIMT_Encode4(1451055), // Rule ID 7446 //
     /* 1450963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1450971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1450974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1450977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1450980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451013 */     // MIs[1] Operand 1
     /* 1451013 */     // No operand predicates
     /* 1451013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451017 */     // MIs[0] policy
     /* 1451017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451029 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1451032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451054 */     // GIR_Coverage, 7446,
     /* 1451054 */     GIR_EraseRootFromParent_Done,
     /* 1451055 */   // Label 20355: @1451055
     /* 1451055 */   GIM_Try, /*On fail goto*//*Label 20356*/ GIMT_Encode4(1451152), // Rule ID 7449 //
     /* 1451060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1451071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1451074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1451077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1451083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451110 */     // MIs[1] Operand 1
     /* 1451110 */     // No operand predicates
     /* 1451110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451114 */     // MIs[0] policy
     /* 1451114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451126 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1451129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451151 */     // GIR_Coverage, 7449,
     /* 1451151 */     GIR_EraseRootFromParent_Done,
     /* 1451152 */   // Label 20356: @1451152
     /* 1451152 */   GIM_Try, /*On fail goto*//*Label 20357*/ GIMT_Encode4(1451249), // Rule ID 7450 //
     /* 1451157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1451168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1451171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1451174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1451180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451207 */     // MIs[1] Operand 1
     /* 1451207 */     // No operand predicates
     /* 1451207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451211 */     // MIs[0] policy
     /* 1451211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451223 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1451226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451248 */     // GIR_Coverage, 7450,
     /* 1451248 */     GIR_EraseRootFromParent_Done,
     /* 1451249 */   // Label 20357: @1451249
     /* 1451249 */   GIM_Try, /*On fail goto*//*Label 20358*/ GIMT_Encode4(1451346), // Rule ID 7453 //
     /* 1451254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1451265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1451268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1451271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451304 */     // MIs[1] Operand 1
     /* 1451304 */     // No operand predicates
     /* 1451304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451308 */     // MIs[0] policy
     /* 1451308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451320 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1451323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451345 */     // GIR_Coverage, 7453,
     /* 1451345 */     GIR_EraseRootFromParent_Done,
     /* 1451346 */   // Label 20358: @1451346
     /* 1451346 */   GIM_Try, /*On fail goto*//*Label 20359*/ GIMT_Encode4(1451443), // Rule ID 7454 //
     /* 1451351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1451362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1451365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1451368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451401 */     // MIs[1] Operand 1
     /* 1451401 */     // No operand predicates
     /* 1451401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451405 */     // MIs[0] policy
     /* 1451405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451417 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1451420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451442 */     // GIR_Coverage, 7454,
     /* 1451442 */     GIR_EraseRootFromParent_Done,
     /* 1451443 */   // Label 20359: @1451443
     /* 1451443 */   GIM_Try, /*On fail goto*//*Label 20360*/ GIMT_Encode4(1451540), // Rule ID 7457 //
     /* 1451448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1451459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1451462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1451465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1451471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451498 */     // MIs[1] Operand 1
     /* 1451498 */     // No operand predicates
     /* 1451498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451502 */     // MIs[0] policy
     /* 1451502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451514 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1451517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451539 */     // GIR_Coverage, 7457,
     /* 1451539 */     GIR_EraseRootFromParent_Done,
     /* 1451540 */   // Label 20360: @1451540
     /* 1451540 */   GIM_Try, /*On fail goto*//*Label 20361*/ GIMT_Encode4(1451637), // Rule ID 7458 //
     /* 1451545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1451556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1451559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1451562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1451568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451595 */     // MIs[1] Operand 1
     /* 1451595 */     // No operand predicates
     /* 1451595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451599 */     // MIs[0] policy
     /* 1451599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451611 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1451614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451636 */     // GIR_Coverage, 7458,
     /* 1451636 */     GIR_EraseRootFromParent_Done,
     /* 1451637 */   // Label 20361: @1451637
     /* 1451637 */   GIM_Try, /*On fail goto*//*Label 20362*/ GIMT_Encode4(1451734), // Rule ID 7461 //
     /* 1451642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1451645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1451653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1451656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1451659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451692 */     // MIs[1] Operand 1
     /* 1451692 */     // No operand predicates
     /* 1451692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451696 */     // MIs[0] policy
     /* 1451696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451708 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1451711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1451730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451733 */     // GIR_Coverage, 7461,
     /* 1451733 */     GIR_EraseRootFromParent_Done,
     /* 1451734 */   // Label 20362: @1451734
     /* 1451734 */   GIM_Try, /*On fail goto*//*Label 20363*/ GIMT_Encode4(1451831), // Rule ID 7462 //
     /* 1451739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1451742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1451750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1451753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1451756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451789 */     // MIs[1] Operand 1
     /* 1451789 */     // No operand predicates
     /* 1451789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451793 */     // MIs[0] policy
     /* 1451793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451805 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1451808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1451827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451830 */     // GIR_Coverage, 7462,
     /* 1451830 */     GIR_EraseRootFromParent_Done,
     /* 1451831 */   // Label 20363: @1451831
     /* 1451831 */   GIM_Try, /*On fail goto*//*Label 20364*/ GIMT_Encode4(1451928), // Rule ID 7465 //
     /* 1451836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1451839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1451847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1451850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1451853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1451859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451886 */     // MIs[1] Operand 1
     /* 1451886 */     // No operand predicates
     /* 1451886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451890 */     // MIs[0] policy
     /* 1451890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1451905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1451924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451927 */     // GIR_Coverage, 7465,
     /* 1451927 */     GIR_EraseRootFromParent_Done,
     /* 1451928 */   // Label 20364: @1451928
     /* 1451928 */   GIM_Try, /*On fail goto*//*Label 20365*/ GIMT_Encode4(1452025), // Rule ID 7466 //
     /* 1451933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1451936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1451941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1451944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1451947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1451950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1451956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451983 */     // MIs[1] Operand 1
     /* 1451983 */     // No operand predicates
     /* 1451983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451987 */     // MIs[0] policy
     /* 1451987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451999 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1452002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452024 */     // GIR_Coverage, 7466,
     /* 1452024 */     GIR_EraseRootFromParent_Done,
     /* 1452025 */   // Label 20365: @1452025
     /* 1452025 */   GIM_Try, /*On fail goto*//*Label 20366*/ GIMT_Encode4(1452122), // Rule ID 7469 //
     /* 1452030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1452033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1452041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1452044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1452047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452080 */     // MIs[1] Operand 1
     /* 1452080 */     // No operand predicates
     /* 1452080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452084 */     // MIs[0] policy
     /* 1452084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452096 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1452099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452121 */     // GIR_Coverage, 7469,
     /* 1452121 */     GIR_EraseRootFromParent_Done,
     /* 1452122 */   // Label 20366: @1452122
     /* 1452122 */   GIM_Try, /*On fail goto*//*Label 20367*/ GIMT_Encode4(1452219), // Rule ID 7470 //
     /* 1452127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1452130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1452138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1452141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1452144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452177 */     // MIs[1] Operand 1
     /* 1452177 */     // No operand predicates
     /* 1452177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452181 */     // MIs[0] policy
     /* 1452181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452193 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1452196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452218 */     // GIR_Coverage, 7470,
     /* 1452218 */     GIR_EraseRootFromParent_Done,
     /* 1452219 */   // Label 20367: @1452219
     /* 1452219 */   GIM_Try, /*On fail goto*//*Label 20368*/ GIMT_Encode4(1452316), // Rule ID 7473 //
     /* 1452224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1452227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1452235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1452238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1452241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1452247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452274 */     // MIs[1] Operand 1
     /* 1452274 */     // No operand predicates
     /* 1452274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452278 */     // MIs[0] policy
     /* 1452278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452290 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1452293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452315 */     // GIR_Coverage, 7473,
     /* 1452315 */     GIR_EraseRootFromParent_Done,
     /* 1452316 */   // Label 20368: @1452316
     /* 1452316 */   GIM_Try, /*On fail goto*//*Label 20369*/ GIMT_Encode4(1452413), // Rule ID 7474 //
     /* 1452321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1452324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1452329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1452332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1452335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1452338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1452344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452371 */     // MIs[1] Operand 1
     /* 1452371 */     // No operand predicates
     /* 1452371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452375 */     // MIs[0] policy
     /* 1452375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452387 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1452390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452412 */     // GIR_Coverage, 7474,
     /* 1452412 */     GIR_EraseRootFromParent_Done,
     /* 1452413 */   // Label 20369: @1452413
     /* 1452413 */   GIM_Try, /*On fail goto*//*Label 20370*/ GIMT_Encode4(1452510), // Rule ID 7597 //
     /* 1452418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1452426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1452429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1452432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1452435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1452441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452468 */     // MIs[1] Operand 1
     /* 1452468 */     // No operand predicates
     /* 1452468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452472 */     // MIs[0] policy
     /* 1452472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452484 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1452487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1452506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452509 */     // GIR_Coverage, 7597,
     /* 1452509 */     GIR_EraseRootFromParent_Done,
     /* 1452510 */   // Label 20370: @1452510
     /* 1452510 */   GIM_Try, /*On fail goto*//*Label 20371*/ GIMT_Encode4(1452607), // Rule ID 7598 //
     /* 1452515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1452523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1452526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1452529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1452532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1452538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452565 */     // MIs[1] Operand 1
     /* 1452565 */     // No operand predicates
     /* 1452565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452569 */     // MIs[0] policy
     /* 1452569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452581 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1452584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1452603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452606 */     // GIR_Coverage, 7598,
     /* 1452606 */     GIR_EraseRootFromParent_Done,
     /* 1452607 */   // Label 20371: @1452607
     /* 1452607 */   GIM_Try, /*On fail goto*//*Label 20372*/ GIMT_Encode4(1452704), // Rule ID 7601 //
     /* 1452612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1452620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1452623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1452626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1452629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452662 */     // MIs[1] Operand 1
     /* 1452662 */     // No operand predicates
     /* 1452662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452666 */     // MIs[0] policy
     /* 1452666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452678 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1452681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1452700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452703 */     // GIR_Coverage, 7601,
     /* 1452703 */     GIR_EraseRootFromParent_Done,
     /* 1452704 */   // Label 20372: @1452704
     /* 1452704 */   GIM_Try, /*On fail goto*//*Label 20373*/ GIMT_Encode4(1452801), // Rule ID 7602 //
     /* 1452709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1452717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1452720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1452723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1452726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452759 */     // MIs[1] Operand 1
     /* 1452759 */     // No operand predicates
     /* 1452759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452763 */     // MIs[0] policy
     /* 1452763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452775 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1452778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1452797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452800 */     // GIR_Coverage, 7602,
     /* 1452800 */     GIR_EraseRootFromParent_Done,
     /* 1452801 */   // Label 20373: @1452801
     /* 1452801 */   GIM_Try, /*On fail goto*//*Label 20374*/ GIMT_Encode4(1452898), // Rule ID 7605 //
     /* 1452806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1452814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1452817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1452820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1452823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452856 */     // MIs[1] Operand 1
     /* 1452856 */     // No operand predicates
     /* 1452856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452860 */     // MIs[0] policy
     /* 1452860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452872 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1452875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1452894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452897 */     // GIR_Coverage, 7605,
     /* 1452897 */     GIR_EraseRootFromParent_Done,
     /* 1452898 */   // Label 20374: @1452898
     /* 1452898 */   GIM_Try, /*On fail goto*//*Label 20375*/ GIMT_Encode4(1452995), // Rule ID 7606 //
     /* 1452903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1452911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1452914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1452917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1452920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452953 */     // MIs[1] Operand 1
     /* 1452953 */     // No operand predicates
     /* 1452953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452957 */     // MIs[0] policy
     /* 1452957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452969 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1452972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1452991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452994 */     // GIR_Coverage, 7606,
     /* 1452994 */     GIR_EraseRootFromParent_Done,
     /* 1452995 */   // Label 20375: @1452995
     /* 1452995 */   GIM_Try, /*On fail goto*//*Label 20376*/ GIMT_Encode4(1453092), // Rule ID 7609 //
     /* 1453000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1453008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1453011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1453014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1453017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453050 */     // MIs[1] Operand 1
     /* 1453050 */     // No operand predicates
     /* 1453050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453054 */     // MIs[0] policy
     /* 1453054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453066 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1453069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453091 */     // GIR_Coverage, 7609,
     /* 1453091 */     GIR_EraseRootFromParent_Done,
     /* 1453092 */   // Label 20376: @1453092
     /* 1453092 */   GIM_Try, /*On fail goto*//*Label 20377*/ GIMT_Encode4(1453189), // Rule ID 7610 //
     /* 1453097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1453105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1453108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1453111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1453114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453147 */     // MIs[1] Operand 1
     /* 1453147 */     // No operand predicates
     /* 1453147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453151 */     // MIs[0] policy
     /* 1453151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453163 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1453166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453188 */     // GIR_Coverage, 7610,
     /* 1453188 */     GIR_EraseRootFromParent_Done,
     /* 1453189 */   // Label 20377: @1453189
     /* 1453189 */   GIM_Try, /*On fail goto*//*Label 20378*/ GIMT_Encode4(1453286), // Rule ID 7613 //
     /* 1453194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1453202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1453205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1453208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1453211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1453217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453244 */     // MIs[1] Operand 1
     /* 1453244 */     // No operand predicates
     /* 1453244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453248 */     // MIs[0] policy
     /* 1453248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453260 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1453263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453285 */     // GIR_Coverage, 7613,
     /* 1453285 */     GIR_EraseRootFromParent_Done,
     /* 1453286 */   // Label 20378: @1453286
     /* 1453286 */   GIM_Try, /*On fail goto*//*Label 20379*/ GIMT_Encode4(1453383), // Rule ID 7614 //
     /* 1453291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1453299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1453302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1453305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1453308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1453314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453341 */     // MIs[1] Operand 1
     /* 1453341 */     // No operand predicates
     /* 1453341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453345 */     // MIs[0] policy
     /* 1453345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453357 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1453360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453382 */     // GIR_Coverage, 7614,
     /* 1453382 */     GIR_EraseRootFromParent_Done,
     /* 1453383 */   // Label 20379: @1453383
     /* 1453383 */   GIM_Try, /*On fail goto*//*Label 20380*/ GIMT_Encode4(1453480), // Rule ID 7617 //
     /* 1453388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1453396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1453399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1453402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1453405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1453411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453438 */     // MIs[1] Operand 1
     /* 1453438 */     // No operand predicates
     /* 1453438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453442 */     // MIs[0] policy
     /* 1453442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453454 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1453457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453479 */     // GIR_Coverage, 7617,
     /* 1453479 */     GIR_EraseRootFromParent_Done,
     /* 1453480 */   // Label 20380: @1453480
     /* 1453480 */   GIM_Try, /*On fail goto*//*Label 20381*/ GIMT_Encode4(1453577), // Rule ID 7618 //
     /* 1453485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1453493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1453496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1453499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1453502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1453508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453535 */     // MIs[1] Operand 1
     /* 1453535 */     // No operand predicates
     /* 1453535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453539 */     // MIs[0] policy
     /* 1453539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453551 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1453554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453576 */     // GIR_Coverage, 7618,
     /* 1453576 */     GIR_EraseRootFromParent_Done,
     /* 1453577 */   // Label 20381: @1453577
     /* 1453577 */   GIM_Try, /*On fail goto*//*Label 20382*/ GIMT_Encode4(1453674), // Rule ID 7621 //
     /* 1453582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1453590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1453593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1453596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1453599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453632 */     // MIs[1] Operand 1
     /* 1453632 */     // No operand predicates
     /* 1453632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453636 */     // MIs[0] policy
     /* 1453636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453648 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1453651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453673 */     // GIR_Coverage, 7621,
     /* 1453673 */     GIR_EraseRootFromParent_Done,
     /* 1453674 */   // Label 20382: @1453674
     /* 1453674 */   GIM_Try, /*On fail goto*//*Label 20383*/ GIMT_Encode4(1453771), // Rule ID 7622 //
     /* 1453679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1453687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1453690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1453693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1453696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453729 */     // MIs[1] Operand 1
     /* 1453729 */     // No operand predicates
     /* 1453729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453733 */     // MIs[0] policy
     /* 1453733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453745 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1453748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453770 */     // GIR_Coverage, 7622,
     /* 1453770 */     GIR_EraseRootFromParent_Done,
     /* 1453771 */   // Label 20383: @1453771
     /* 1453771 */   GIM_Try, /*On fail goto*//*Label 20384*/ GIMT_Encode4(1453868), // Rule ID 7625 //
     /* 1453776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1453784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1453787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1453790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1453793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453826 */     // MIs[1] Operand 1
     /* 1453826 */     // No operand predicates
     /* 1453826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453830 */     // MIs[0] policy
     /* 1453830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453842 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1453845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453867 */     // GIR_Coverage, 7625,
     /* 1453867 */     GIR_EraseRootFromParent_Done,
     /* 1453868 */   // Label 20384: @1453868
     /* 1453868 */   GIM_Try, /*On fail goto*//*Label 20385*/ GIMT_Encode4(1453965), // Rule ID 7626 //
     /* 1453873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1453881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1453884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1453887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1453890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453923 */     // MIs[1] Operand 1
     /* 1453923 */     // No operand predicates
     /* 1453923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453927 */     // MIs[0] policy
     /* 1453927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453939 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1453942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453964 */     // GIR_Coverage, 7626,
     /* 1453964 */     GIR_EraseRootFromParent_Done,
     /* 1453965 */   // Label 20385: @1453965
     /* 1453965 */   GIM_Try, /*On fail goto*//*Label 20386*/ GIMT_Encode4(1454062), // Rule ID 7629 //
     /* 1453970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1453978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1453981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1453984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1453987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1453993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454020 */     // MIs[1] Operand 1
     /* 1454020 */     // No operand predicates
     /* 1454020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454024 */     // MIs[0] policy
     /* 1454024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454036 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1454039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454061 */     // GIR_Coverage, 7629,
     /* 1454061 */     GIR_EraseRootFromParent_Done,
     /* 1454062 */   // Label 20386: @1454062
     /* 1454062 */   GIM_Try, /*On fail goto*//*Label 20387*/ GIMT_Encode4(1454159), // Rule ID 7630 //
     /* 1454067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1454078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1454081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1454084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454117 */     // MIs[1] Operand 1
     /* 1454117 */     // No operand predicates
     /* 1454117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454121 */     // MIs[0] policy
     /* 1454121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1454136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454158 */     // GIR_Coverage, 7630,
     /* 1454158 */     GIR_EraseRootFromParent_Done,
     /* 1454159 */   // Label 20387: @1454159
     /* 1454159 */   GIM_Try, /*On fail goto*//*Label 20388*/ GIMT_Encode4(1454256), // Rule ID 7633 //
     /* 1454164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1454175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1454178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1454181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454214 */     // MIs[1] Operand 1
     /* 1454214 */     // No operand predicates
     /* 1454214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454218 */     // MIs[0] policy
     /* 1454218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454230 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1454233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454255 */     // GIR_Coverage, 7633,
     /* 1454255 */     GIR_EraseRootFromParent_Done,
     /* 1454256 */   // Label 20388: @1454256
     /* 1454256 */   GIM_Try, /*On fail goto*//*Label 20389*/ GIMT_Encode4(1454353), // Rule ID 7634 //
     /* 1454261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1454272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1454275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1454278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454311 */     // MIs[1] Operand 1
     /* 1454311 */     // No operand predicates
     /* 1454311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454315 */     // MIs[0] policy
     /* 1454315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454327 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1454330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454352 */     // GIR_Coverage, 7634,
     /* 1454352 */     GIR_EraseRootFromParent_Done,
     /* 1454353 */   // Label 20389: @1454353
     /* 1454353 */   GIM_Try, /*On fail goto*//*Label 20390*/ GIMT_Encode4(1454450), // Rule ID 7637 //
     /* 1454358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1454369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1454372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1454375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1454381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454408 */     // MIs[1] Operand 1
     /* 1454408 */     // No operand predicates
     /* 1454408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454412 */     // MIs[0] policy
     /* 1454412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454424 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1454427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454449 */     // GIR_Coverage, 7637,
     /* 1454449 */     GIR_EraseRootFromParent_Done,
     /* 1454450 */   // Label 20390: @1454450
     /* 1454450 */   GIM_Try, /*On fail goto*//*Label 20391*/ GIMT_Encode4(1454547), // Rule ID 7638 //
     /* 1454455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1454466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1454469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1454472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1454478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454505 */     // MIs[1] Operand 1
     /* 1454505 */     // No operand predicates
     /* 1454505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454509 */     // MIs[0] policy
     /* 1454509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454521 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1454524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454546 */     // GIR_Coverage, 7638,
     /* 1454546 */     GIR_EraseRootFromParent_Done,
     /* 1454547 */   // Label 20391: @1454547
     /* 1454547 */   GIM_Try, /*On fail goto*//*Label 20392*/ GIMT_Encode4(1454644), // Rule ID 7641 //
     /* 1454552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1454555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1454563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1454566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1454569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454602 */     // MIs[1] Operand 1
     /* 1454602 */     // No operand predicates
     /* 1454602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454606 */     // MIs[0] policy
     /* 1454606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454618 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1454621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454643 */     // GIR_Coverage, 7641,
     /* 1454643 */     GIR_EraseRootFromParent_Done,
     /* 1454644 */   // Label 20392: @1454644
     /* 1454644 */   GIM_Try, /*On fail goto*//*Label 20393*/ GIMT_Encode4(1454741), // Rule ID 7642 //
     /* 1454649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1454652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1454660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1454663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1454666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454699 */     // MIs[1] Operand 1
     /* 1454699 */     // No operand predicates
     /* 1454699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454703 */     // MIs[0] policy
     /* 1454703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454715 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1454718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454740 */     // GIR_Coverage, 7642,
     /* 1454740 */     GIR_EraseRootFromParent_Done,
     /* 1454741 */   // Label 20393: @1454741
     /* 1454741 */   GIM_Try, /*On fail goto*//*Label 20394*/ GIMT_Encode4(1454838), // Rule ID 7645 //
     /* 1454746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1454749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1454757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1454760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1454763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454796 */     // MIs[1] Operand 1
     /* 1454796 */     // No operand predicates
     /* 1454796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454800 */     // MIs[0] policy
     /* 1454800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1454815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454837 */     // GIR_Coverage, 7645,
     /* 1454837 */     GIR_EraseRootFromParent_Done,
     /* 1454838 */   // Label 20394: @1454838
     /* 1454838 */   GIM_Try, /*On fail goto*//*Label 20395*/ GIMT_Encode4(1454935), // Rule ID 7646 //
     /* 1454843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1454846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1454854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1454857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1454860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454893 */     // MIs[1] Operand 1
     /* 1454893 */     // No operand predicates
     /* 1454893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454897 */     // MIs[0] policy
     /* 1454897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454909 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1454912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454934 */     // GIR_Coverage, 7646,
     /* 1454934 */     GIR_EraseRootFromParent_Done,
     /* 1454935 */   // Label 20395: @1454935
     /* 1454935 */   GIM_Try, /*On fail goto*//*Label 20396*/ GIMT_Encode4(1455032), // Rule ID 7649 //
     /* 1454940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1454943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1454948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1454951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1454954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1454957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454990 */     // MIs[1] Operand 1
     /* 1454990 */     // No operand predicates
     /* 1454990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454994 */     // MIs[0] policy
     /* 1454994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455006 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1455009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1455028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455031 */     // GIR_Coverage, 7649,
     /* 1455031 */     GIR_EraseRootFromParent_Done,
     /* 1455032 */   // Label 20396: @1455032
     /* 1455032 */   GIM_Try, /*On fail goto*//*Label 20397*/ GIMT_Encode4(1455129), // Rule ID 7650 //
     /* 1455037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1455040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1455048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1455051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1455054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1455060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1455067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455087 */     // MIs[1] Operand 1
     /* 1455087 */     // No operand predicates
     /* 1455087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455091 */     // MIs[0] policy
     /* 1455091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455103 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1455106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1455125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455128 */     // GIR_Coverage, 7650,
     /* 1455128 */     GIR_EraseRootFromParent_Done,
     /* 1455129 */   // Label 20397: @1455129
     /* 1455129 */   GIM_Try, /*On fail goto*//*Label 20398*/ GIMT_Encode4(1455226), // Rule ID 7653 //
     /* 1455134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1455137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1455145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1455148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1455151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1455157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455184 */     // MIs[1] Operand 1
     /* 1455184 */     // No operand predicates
     /* 1455184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455188 */     // MIs[0] policy
     /* 1455188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455200 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1455203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1455222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455225 */     // GIR_Coverage, 7653,
     /* 1455225 */     GIR_EraseRootFromParent_Done,
     /* 1455226 */   // Label 20398: @1455226
     /* 1455226 */   GIM_Try, /*On fail goto*//*Label 20399*/ GIMT_Encode4(1455323), // Rule ID 7654 //
     /* 1455231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1455234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1455239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1455242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1455245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1455248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1455254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455281 */     // MIs[1] Operand 1
     /* 1455281 */     // No operand predicates
     /* 1455281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455285 */     // MIs[0] policy
     /* 1455285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455297 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1455300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1455319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455322 */     // GIR_Coverage, 7654,
     /* 1455322 */     GIR_EraseRootFromParent_Done,
     /* 1455323 */   // Label 20399: @1455323
     /* 1455323 */   GIM_Try, /*On fail goto*//*Label 20400*/ GIMT_Encode4(1455423), // Rule ID 14083 //
     /* 1455328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1455336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1455339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1455342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1455345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1455378 */     // MIs[1] Operand 1
     /* 1455378 */     // No operand predicates
     /* 1455378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455382 */     // MIs[0] policy
     /* 1455382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455394 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1455397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1455421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455422 */     // GIR_Coverage, 14083,
     /* 1455422 */     GIR_EraseRootFromParent_Done,
     /* 1455423 */   // Label 20400: @1455423
     /* 1455423 */   GIM_Try, /*On fail goto*//*Label 20401*/ GIMT_Encode4(1455523), // Rule ID 14084 //
     /* 1455428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1455436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1455439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1455442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1455445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1455478 */     // MIs[1] Operand 1
     /* 1455478 */     // No operand predicates
     /* 1455478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455482 */     // MIs[0] policy
     /* 1455482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455494 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1455497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1455521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455522 */     // GIR_Coverage, 14084,
     /* 1455522 */     GIR_EraseRootFromParent_Done,
     /* 1455523 */   // Label 20401: @1455523
     /* 1455523 */   GIM_Try, /*On fail goto*//*Label 20402*/ GIMT_Encode4(1455623), // Rule ID 14087 //
     /* 1455528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1455536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1455539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1455542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1455545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1455578 */     // MIs[1] Operand 1
     /* 1455578 */     // No operand predicates
     /* 1455578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455582 */     // MIs[0] policy
     /* 1455582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455594 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1455597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455618 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1455621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455622 */     // GIR_Coverage, 14087,
     /* 1455622 */     GIR_EraseRootFromParent_Done,
     /* 1455623 */   // Label 20402: @1455623
     /* 1455623 */   GIM_Try, /*On fail goto*//*Label 20403*/ GIMT_Encode4(1455723), // Rule ID 14088 //
     /* 1455628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1455636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1455639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1455642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1455645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1455678 */     // MIs[1] Operand 1
     /* 1455678 */     // No operand predicates
     /* 1455678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455682 */     // MIs[0] policy
     /* 1455682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455694 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1455697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1455721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455722 */     // GIR_Coverage, 14088,
     /* 1455722 */     GIR_EraseRootFromParent_Done,
     /* 1455723 */   // Label 20403: @1455723
     /* 1455723 */   GIM_Try, /*On fail goto*//*Label 20404*/ GIMT_Encode4(1455823), // Rule ID 14091 //
     /* 1455728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1455736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1455739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1455742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1455745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1455751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1455778 */     // MIs[1] Operand 1
     /* 1455778 */     // No operand predicates
     /* 1455778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455782 */     // MIs[0] policy
     /* 1455782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455794 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1455797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1455821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455822 */     // GIR_Coverage, 14091,
     /* 1455822 */     GIR_EraseRootFromParent_Done,
     /* 1455823 */   // Label 20404: @1455823
     /* 1455823 */   GIM_Try, /*On fail goto*//*Label 20405*/ GIMT_Encode4(1455923), // Rule ID 14092 //
     /* 1455828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1455836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1455839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1455842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1455845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1455851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1455878 */     // MIs[1] Operand 1
     /* 1455878 */     // No operand predicates
     /* 1455878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455882 */     // MIs[0] policy
     /* 1455882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455894 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1455897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1455921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455922 */     // GIR_Coverage, 14092,
     /* 1455922 */     GIR_EraseRootFromParent_Done,
     /* 1455923 */   // Label 20405: @1455923
     /* 1455923 */   GIM_Try, /*On fail goto*//*Label 20406*/ GIMT_Encode4(1456023), // Rule ID 14095 //
     /* 1455928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1455936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1455939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1455942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1455945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1455978 */     // MIs[1] Operand 1
     /* 1455978 */     // No operand predicates
     /* 1455978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455982 */     // MIs[0] policy
     /* 1455982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455994 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1455997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456022 */     // GIR_Coverage, 14095,
     /* 1456022 */     GIR_EraseRootFromParent_Done,
     /* 1456023 */   // Label 20406: @1456023
     /* 1456023 */   GIM_Try, /*On fail goto*//*Label 20407*/ GIMT_Encode4(1456123), // Rule ID 14096 //
     /* 1456028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1456039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1456042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1456045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456078 */     // MIs[1] Operand 1
     /* 1456078 */     // No operand predicates
     /* 1456078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456082 */     // MIs[0] policy
     /* 1456082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456094 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1456097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456122 */     // GIR_Coverage, 14096,
     /* 1456122 */     GIR_EraseRootFromParent_Done,
     /* 1456123 */   // Label 20407: @1456123
     /* 1456123 */   GIM_Try, /*On fail goto*//*Label 20408*/ GIMT_Encode4(1456223), // Rule ID 14099 //
     /* 1456128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1456139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1456142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1456145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456178 */     // MIs[1] Operand 1
     /* 1456178 */     // No operand predicates
     /* 1456178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456182 */     // MIs[0] policy
     /* 1456182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456194 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1456197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456222 */     // GIR_Coverage, 14099,
     /* 1456222 */     GIR_EraseRootFromParent_Done,
     /* 1456223 */   // Label 20408: @1456223
     /* 1456223 */   GIM_Try, /*On fail goto*//*Label 20409*/ GIMT_Encode4(1456323), // Rule ID 14100 //
     /* 1456228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1456239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1456242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1456245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456278 */     // MIs[1] Operand 1
     /* 1456278 */     // No operand predicates
     /* 1456278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456282 */     // MIs[0] policy
     /* 1456282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456294 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1456297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456322 */     // GIR_Coverage, 14100,
     /* 1456322 */     GIR_EraseRootFromParent_Done,
     /* 1456323 */   // Label 20409: @1456323
     /* 1456323 */   GIM_Try, /*On fail goto*//*Label 20410*/ GIMT_Encode4(1456423), // Rule ID 14103 //
     /* 1456328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1456339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1456342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1456345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456378 */     // MIs[1] Operand 1
     /* 1456378 */     // No operand predicates
     /* 1456378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456382 */     // MIs[0] policy
     /* 1456382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456394 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1456397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456422 */     // GIR_Coverage, 14103,
     /* 1456422 */     GIR_EraseRootFromParent_Done,
     /* 1456423 */   // Label 20410: @1456423
     /* 1456423 */   GIM_Try, /*On fail goto*//*Label 20411*/ GIMT_Encode4(1456523), // Rule ID 14104 //
     /* 1456428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1456439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1456442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1456445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456478 */     // MIs[1] Operand 1
     /* 1456478 */     // No operand predicates
     /* 1456478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456482 */     // MIs[0] policy
     /* 1456482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456494 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1456497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456522 */     // GIR_Coverage, 14104,
     /* 1456522 */     GIR_EraseRootFromParent_Done,
     /* 1456523 */   // Label 20411: @1456523
     /* 1456523 */   GIM_Try, /*On fail goto*//*Label 20412*/ GIMT_Encode4(1456623), // Rule ID 14107 //
     /* 1456528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1456539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1456542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1456545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456578 */     // MIs[1] Operand 1
     /* 1456578 */     // No operand predicates
     /* 1456578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456582 */     // MIs[0] policy
     /* 1456582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456594 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1456597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456618 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456622 */     // GIR_Coverage, 14107,
     /* 1456622 */     GIR_EraseRootFromParent_Done,
     /* 1456623 */   // Label 20412: @1456623
     /* 1456623 */   GIM_Try, /*On fail goto*//*Label 20413*/ GIMT_Encode4(1456723), // Rule ID 14108 //
     /* 1456628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1456639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1456642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1456645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456678 */     // MIs[1] Operand 1
     /* 1456678 */     // No operand predicates
     /* 1456678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456682 */     // MIs[0] policy
     /* 1456682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456694 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1456697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456722 */     // GIR_Coverage, 14108,
     /* 1456722 */     GIR_EraseRootFromParent_Done,
     /* 1456723 */   // Label 20413: @1456723
     /* 1456723 */   GIM_Try, /*On fail goto*//*Label 20414*/ GIMT_Encode4(1456823), // Rule ID 14111 //
     /* 1456728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1456739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1456742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1456745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456778 */     // MIs[1] Operand 1
     /* 1456778 */     // No operand predicates
     /* 1456778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456782 */     // MIs[0] policy
     /* 1456782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456794 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1456797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456822 */     // GIR_Coverage, 14111,
     /* 1456822 */     GIR_EraseRootFromParent_Done,
     /* 1456823 */   // Label 20414: @1456823
     /* 1456823 */   GIM_Try, /*On fail goto*//*Label 20415*/ GIMT_Encode4(1456923), // Rule ID 14112 //
     /* 1456828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1456839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1456842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1456845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456878 */     // MIs[1] Operand 1
     /* 1456878 */     // No operand predicates
     /* 1456878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456882 */     // MIs[0] policy
     /* 1456882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456894 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1456897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456922 */     // GIR_Coverage, 14112,
     /* 1456922 */     GIR_EraseRootFromParent_Done,
     /* 1456923 */   // Label 20415: @1456923
     /* 1456923 */   GIM_Try, /*On fail goto*//*Label 20416*/ GIMT_Encode4(1457023), // Rule ID 14115 //
     /* 1456928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1456936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1456939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1456942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1456945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456978 */     // MIs[1] Operand 1
     /* 1456978 */     // No operand predicates
     /* 1456978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456982 */     // MIs[0] policy
     /* 1456982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456994 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1456997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457022 */     // GIR_Coverage, 14115,
     /* 1457022 */     GIR_EraseRootFromParent_Done,
     /* 1457023 */   // Label 20416: @1457023
     /* 1457023 */   GIM_Try, /*On fail goto*//*Label 20417*/ GIMT_Encode4(1457123), // Rule ID 14116 //
     /* 1457028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1457039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1457042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1457045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457078 */     // MIs[1] Operand 1
     /* 1457078 */     // No operand predicates
     /* 1457078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457082 */     // MIs[0] policy
     /* 1457082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457094 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1457097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457122 */     // GIR_Coverage, 14116,
     /* 1457122 */     GIR_EraseRootFromParent_Done,
     /* 1457123 */   // Label 20417: @1457123
     /* 1457123 */   GIM_Try, /*On fail goto*//*Label 20418*/ GIMT_Encode4(1457223), // Rule ID 14119 //
     /* 1457128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1457131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1457139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1457142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1457145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457178 */     // MIs[1] Operand 1
     /* 1457178 */     // No operand predicates
     /* 1457178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457182 */     // MIs[0] policy
     /* 1457182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457194 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1457197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457222 */     // GIR_Coverage, 14119,
     /* 1457222 */     GIR_EraseRootFromParent_Done,
     /* 1457223 */   // Label 20418: @1457223
     /* 1457223 */   GIM_Try, /*On fail goto*//*Label 20419*/ GIMT_Encode4(1457323), // Rule ID 14120 //
     /* 1457228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1457231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1457239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1457242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1457245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457278 */     // MIs[1] Operand 1
     /* 1457278 */     // No operand predicates
     /* 1457278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457282 */     // MIs[0] policy
     /* 1457282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457294 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1457297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457322 */     // GIR_Coverage, 14120,
     /* 1457322 */     GIR_EraseRootFromParent_Done,
     /* 1457323 */   // Label 20419: @1457323
     /* 1457323 */   GIM_Try, /*On fail goto*//*Label 20420*/ GIMT_Encode4(1457423), // Rule ID 14123 //
     /* 1457328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1457339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1457342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1457345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1457351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1457358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457378 */     // MIs[1] Operand 1
     /* 1457378 */     // No operand predicates
     /* 1457378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457382 */     // MIs[0] policy
     /* 1457382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457394 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1457397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457422 */     // GIR_Coverage, 14123,
     /* 1457422 */     GIR_EraseRootFromParent_Done,
     /* 1457423 */   // Label 20420: @1457423
     /* 1457423 */   GIM_Try, /*On fail goto*//*Label 20421*/ GIMT_Encode4(1457523), // Rule ID 14124 //
     /* 1457428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1457439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1457442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1457445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1457451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1457458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457478 */     // MIs[1] Operand 1
     /* 1457478 */     // No operand predicates
     /* 1457478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457482 */     // MIs[0] policy
     /* 1457482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457494 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1457497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457522 */     // GIR_Coverage, 14124,
     /* 1457522 */     GIR_EraseRootFromParent_Done,
     /* 1457523 */   // Label 20421: @1457523
     /* 1457523 */   GIM_Try, /*On fail goto*//*Label 20422*/ GIMT_Encode4(1457623), // Rule ID 14127 //
     /* 1457528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1457539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1457542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1457545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1457551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457578 */     // MIs[1] Operand 1
     /* 1457578 */     // No operand predicates
     /* 1457578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457582 */     // MIs[0] policy
     /* 1457582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457594 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1457597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457618 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457622 */     // GIR_Coverage, 14127,
     /* 1457622 */     GIR_EraseRootFromParent_Done,
     /* 1457623 */   // Label 20422: @1457623
     /* 1457623 */   GIM_Try, /*On fail goto*//*Label 20423*/ GIMT_Encode4(1457723), // Rule ID 14128 //
     /* 1457628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1457639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1457642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1457645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1457651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457678 */     // MIs[1] Operand 1
     /* 1457678 */     // No operand predicates
     /* 1457678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457682 */     // MIs[0] policy
     /* 1457682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457694 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1457697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457722 */     // GIR_Coverage, 14128,
     /* 1457722 */     GIR_EraseRootFromParent_Done,
     /* 1457723 */   // Label 20423: @1457723
     /* 1457723 */   GIM_Try, /*On fail goto*//*Label 20424*/ GIMT_Encode4(1457823), // Rule ID 14131 //
     /* 1457728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1457739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1457742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1457745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1457751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1457758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457778 */     // MIs[1] Operand 1
     /* 1457778 */     // No operand predicates
     /* 1457778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457782 */     // MIs[0] policy
     /* 1457782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457794 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1457797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457822 */     // GIR_Coverage, 14131,
     /* 1457822 */     GIR_EraseRootFromParent_Done,
     /* 1457823 */   // Label 20424: @1457823
     /* 1457823 */   GIM_Try, /*On fail goto*//*Label 20425*/ GIMT_Encode4(1457923), // Rule ID 14132 //
     /* 1457828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1457839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1457842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1457845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1457851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1457858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457878 */     // MIs[1] Operand 1
     /* 1457878 */     // No operand predicates
     /* 1457878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457882 */     // MIs[0] policy
     /* 1457882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457894 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1457897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457922 */     // GIR_Coverage, 14132,
     /* 1457922 */     GIR_EraseRootFromParent_Done,
     /* 1457923 */   // Label 20425: @1457923
     /* 1457923 */   GIM_Try, /*On fail goto*//*Label 20426*/ GIMT_Encode4(1458023), // Rule ID 14135 //
     /* 1457928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1457936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1457939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1457942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1457945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1457951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1457958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457978 */     // MIs[1] Operand 1
     /* 1457978 */     // No operand predicates
     /* 1457978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457982 */     // MIs[0] policy
     /* 1457982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457994 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1457997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458022 */     // GIR_Coverage, 14135,
     /* 1458022 */     GIR_EraseRootFromParent_Done,
     /* 1458023 */   // Label 20426: @1458023
     /* 1458023 */   GIM_Try, /*On fail goto*//*Label 20427*/ GIMT_Encode4(1458123), // Rule ID 14136 //
     /* 1458028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1458039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1458042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1458045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458078 */     // MIs[1] Operand 1
     /* 1458078 */     // No operand predicates
     /* 1458078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458082 */     // MIs[0] policy
     /* 1458082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458094 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1458097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458122 */     // GIR_Coverage, 14136,
     /* 1458122 */     GIR_EraseRootFromParent_Done,
     /* 1458123 */   // Label 20427: @1458123
     /* 1458123 */   GIM_Try, /*On fail goto*//*Label 20428*/ GIMT_Encode4(1458223), // Rule ID 14139 //
     /* 1458128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1458139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1458142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1458145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1458151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458178 */     // MIs[1] Operand 1
     /* 1458178 */     // No operand predicates
     /* 1458178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458182 */     // MIs[0] policy
     /* 1458182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458194 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1458197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458222 */     // GIR_Coverage, 14139,
     /* 1458222 */     GIR_EraseRootFromParent_Done,
     /* 1458223 */   // Label 20428: @1458223
     /* 1458223 */   GIM_Try, /*On fail goto*//*Label 20429*/ GIMT_Encode4(1458323), // Rule ID 14140 //
     /* 1458228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1458239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1458242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1458245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1458251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458278 */     // MIs[1] Operand 1
     /* 1458278 */     // No operand predicates
     /* 1458278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458282 */     // MIs[0] policy
     /* 1458282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458294 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1458297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458322 */     // GIR_Coverage, 14140,
     /* 1458322 */     GIR_EraseRootFromParent_Done,
     /* 1458323 */   // Label 20429: @1458323
     /* 1458323 */   GIM_Try, /*On fail goto*//*Label 20430*/ GIMT_Encode4(1458423), // Rule ID 14143 //
     /* 1458328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1458339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1458342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1458345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1458351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1458358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458378 */     // MIs[1] Operand 1
     /* 1458378 */     // No operand predicates
     /* 1458378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458382 */     // MIs[0] policy
     /* 1458382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458394 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1458397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458422 */     // GIR_Coverage, 14143,
     /* 1458422 */     GIR_EraseRootFromParent_Done,
     /* 1458423 */   // Label 20430: @1458423
     /* 1458423 */   GIM_Try, /*On fail goto*//*Label 20431*/ GIMT_Encode4(1458523), // Rule ID 14144 //
     /* 1458428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1458439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1458442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1458445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1458451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1458458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458478 */     // MIs[1] Operand 1
     /* 1458478 */     // No operand predicates
     /* 1458478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458482 */     // MIs[0] policy
     /* 1458482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458494 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1458497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458522 */     // GIR_Coverage, 14144,
     /* 1458522 */     GIR_EraseRootFromParent_Done,
     /* 1458523 */   // Label 20431: @1458523
     /* 1458523 */   GIM_Try, /*On fail goto*//*Label 20432*/ GIMT_Encode4(1458623), // Rule ID 14147 //
     /* 1458528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1458539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1458542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1458545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1458551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458578 */     // MIs[1] Operand 1
     /* 1458578 */     // No operand predicates
     /* 1458578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458582 */     // MIs[0] policy
     /* 1458582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458594 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1458597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458618 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458622 */     // GIR_Coverage, 14147,
     /* 1458622 */     GIR_EraseRootFromParent_Done,
     /* 1458623 */   // Label 20432: @1458623
     /* 1458623 */   GIM_Try, /*On fail goto*//*Label 20433*/ GIMT_Encode4(1458723), // Rule ID 14148 //
     /* 1458628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1458639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1458642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1458645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1458651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458678 */     // MIs[1] Operand 1
     /* 1458678 */     // No operand predicates
     /* 1458678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458682 */     // MIs[0] policy
     /* 1458682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458694 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1458697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458722 */     // GIR_Coverage, 14148,
     /* 1458722 */     GIR_EraseRootFromParent_Done,
     /* 1458723 */   // Label 20433: @1458723
     /* 1458723 */   GIM_Try, /*On fail goto*//*Label 20434*/ GIMT_Encode4(1458823), // Rule ID 14151 //
     /* 1458728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1458739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1458742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1458745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458778 */     // MIs[1] Operand 1
     /* 1458778 */     // No operand predicates
     /* 1458778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458782 */     // MIs[0] policy
     /* 1458782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458794 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1458797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458822 */     // GIR_Coverage, 14151,
     /* 1458822 */     GIR_EraseRootFromParent_Done,
     /* 1458823 */   // Label 20434: @1458823
     /* 1458823 */   GIM_Try, /*On fail goto*//*Label 20435*/ GIMT_Encode4(1458923), // Rule ID 14152 //
     /* 1458828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1458839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1458842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1458845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458878 */     // MIs[1] Operand 1
     /* 1458878 */     // No operand predicates
     /* 1458878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458882 */     // MIs[0] policy
     /* 1458882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458894 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1458897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458922 */     // GIR_Coverage, 14152,
     /* 1458922 */     GIR_EraseRootFromParent_Done,
     /* 1458923 */   // Label 20435: @1458923
     /* 1458923 */   GIM_Try, /*On fail goto*//*Label 20436*/ GIMT_Encode4(1459023), // Rule ID 14155 //
     /* 1458928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1458936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1458939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1458942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1458945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1458951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1458958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458978 */     // MIs[1] Operand 1
     /* 1458978 */     // No operand predicates
     /* 1458978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458982 */     // MIs[0] policy
     /* 1458982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458994 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1458997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1459016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459022 */     // GIR_Coverage, 14155,
     /* 1459022 */     GIR_EraseRootFromParent_Done,
     /* 1459023 */   // Label 20436: @1459023
     /* 1459023 */   GIM_Try, /*On fail goto*//*Label 20437*/ GIMT_Encode4(1459123), // Rule ID 14156 //
     /* 1459028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1459039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1459042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1459045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1459051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459078 */     // MIs[1] Operand 1
     /* 1459078 */     // No operand predicates
     /* 1459078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459082 */     // MIs[0] policy
     /* 1459082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459094 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1459097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1459116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459122 */     // GIR_Coverage, 14156,
     /* 1459122 */     GIR_EraseRootFromParent_Done,
     /* 1459123 */   // Label 20437: @1459123
     /* 1459123 */   GIM_Try, /*On fail goto*//*Label 20438*/ GIMT_Encode4(1459223), // Rule ID 14159 //
     /* 1459128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1459131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1459139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1459142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1459145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1459151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459178 */     // MIs[1] Operand 1
     /* 1459178 */     // No operand predicates
     /* 1459178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459182 */     // MIs[0] policy
     /* 1459182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459194 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1459197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1459216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459222 */     // GIR_Coverage, 14159,
     /* 1459222 */     GIR_EraseRootFromParent_Done,
     /* 1459223 */   // Label 20438: @1459223
     /* 1459223 */   GIM_Try, /*On fail goto*//*Label 20439*/ GIMT_Encode4(1459323), // Rule ID 14160 //
     /* 1459228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1459231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1459239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1459242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1459245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1459251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459278 */     // MIs[1] Operand 1
     /* 1459278 */     // No operand predicates
     /* 1459278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459282 */     // MIs[0] policy
     /* 1459282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459294 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1459297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1459316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459322 */     // GIR_Coverage, 14160,
     /* 1459322 */     GIR_EraseRootFromParent_Done,
     /* 1459323 */   // Label 20439: @1459323
     /* 1459323 */   GIM_Try, /*On fail goto*//*Label 20440*/ GIMT_Encode4(1459423), // Rule ID 14163 //
     /* 1459328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1459331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1459339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1459342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1459345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459378 */     // MIs[1] Operand 1
     /* 1459378 */     // No operand predicates
     /* 1459378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459382 */     // MIs[0] policy
     /* 1459382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459394 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1459397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1459416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459422 */     // GIR_Coverage, 14163,
     /* 1459422 */     GIR_EraseRootFromParent_Done,
     /* 1459423 */   // Label 20440: @1459423
     /* 1459423 */   GIM_Try, /*On fail goto*//*Label 20441*/ GIMT_Encode4(1459523), // Rule ID 14164 //
     /* 1459428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1459431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1459439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1459442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1459445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459478 */     // MIs[1] Operand 1
     /* 1459478 */     // No operand predicates
     /* 1459478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459482 */     // MIs[0] policy
     /* 1459482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459494 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1459497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1459516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459522 */     // GIR_Coverage, 14164,
     /* 1459522 */     GIR_EraseRootFromParent_Done,
     /* 1459523 */   // Label 20441: @1459523
     /* 1459523 */   GIM_Try, /*On fail goto*//*Label 20442*/ GIMT_Encode4(1459623), // Rule ID 14167 //
     /* 1459528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1459531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1459539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1459542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1459545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459578 */     // MIs[1] Operand 1
     /* 1459578 */     // No operand predicates
     /* 1459578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459582 */     // MIs[0] policy
     /* 1459582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459594 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1459597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1459616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459618 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459622 */     // GIR_Coverage, 14167,
     /* 1459622 */     GIR_EraseRootFromParent_Done,
     /* 1459623 */   // Label 20442: @1459623
     /* 1459623 */   GIM_Try, /*On fail goto*//*Label 20443*/ GIMT_Encode4(1459723), // Rule ID 14168 //
     /* 1459628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1459631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1459636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1459639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1459642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1459645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459678 */     // MIs[1] Operand 1
     /* 1459678 */     // No operand predicates
     /* 1459678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459682 */     // MIs[0] policy
     /* 1459682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459694 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1459697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1459716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459722 */     // GIR_Coverage, 14168,
     /* 1459722 */     GIR_EraseRootFromParent_Done,
     /* 1459723 */   // Label 20443: @1459723
     /* 1459723 */   GIM_Try, /*On fail goto*//*Label 20444*/ GIMT_Encode4(1459823), // Rule ID 14347 //
     /* 1459728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1459736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1459739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1459742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1459745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1459751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459778 */     // MIs[1] Operand 1
     /* 1459778 */     // No operand predicates
     /* 1459778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459782 */     // MIs[0] policy
     /* 1459782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459794 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1459797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459822 */     // GIR_Coverage, 14347,
     /* 1459822 */     GIR_EraseRootFromParent_Done,
     /* 1459823 */   // Label 20444: @1459823
     /* 1459823 */   GIM_Try, /*On fail goto*//*Label 20445*/ GIMT_Encode4(1459923), // Rule ID 14348 //
     /* 1459828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1459836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1459839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1459842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1459845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1459851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459878 */     // MIs[1] Operand 1
     /* 1459878 */     // No operand predicates
     /* 1459878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459882 */     // MIs[0] policy
     /* 1459882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459894 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1459897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459922 */     // GIR_Coverage, 14348,
     /* 1459922 */     GIR_EraseRootFromParent_Done,
     /* 1459923 */   // Label 20445: @1459923
     /* 1459923 */   GIM_Try, /*On fail goto*//*Label 20446*/ GIMT_Encode4(1460023), // Rule ID 14351 //
     /* 1459928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1459936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1459939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1459942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1459945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1459951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459978 */     // MIs[1] Operand 1
     /* 1459978 */     // No operand predicates
     /* 1459978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459982 */     // MIs[0] policy
     /* 1459982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459994 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1459997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460022 */     // GIR_Coverage, 14351,
     /* 1460022 */     GIR_EraseRootFromParent_Done,
     /* 1460023 */   // Label 20446: @1460023
     /* 1460023 */   GIM_Try, /*On fail goto*//*Label 20447*/ GIMT_Encode4(1460123), // Rule ID 14352 //
     /* 1460028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1460036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1460039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1460042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1460045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460078 */     // MIs[1] Operand 1
     /* 1460078 */     // No operand predicates
     /* 1460078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460082 */     // MIs[0] policy
     /* 1460082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460094 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1460097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460122 */     // GIR_Coverage, 14352,
     /* 1460122 */     GIR_EraseRootFromParent_Done,
     /* 1460123 */   // Label 20447: @1460123
     /* 1460123 */   GIM_Try, /*On fail goto*//*Label 20448*/ GIMT_Encode4(1460223), // Rule ID 14355 //
     /* 1460128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1460136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1460139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1460142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1460145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460178 */     // MIs[1] Operand 1
     /* 1460178 */     // No operand predicates
     /* 1460178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460182 */     // MIs[0] policy
     /* 1460182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460194 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1460197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460222 */     // GIR_Coverage, 14355,
     /* 1460222 */     GIR_EraseRootFromParent_Done,
     /* 1460223 */   // Label 20448: @1460223
     /* 1460223 */   GIM_Try, /*On fail goto*//*Label 20449*/ GIMT_Encode4(1460323), // Rule ID 14356 //
     /* 1460228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1460236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1460239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1460242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1460245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460278 */     // MIs[1] Operand 1
     /* 1460278 */     // No operand predicates
     /* 1460278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460282 */     // MIs[0] policy
     /* 1460282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460294 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1460297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460322 */     // GIR_Coverage, 14356,
     /* 1460322 */     GIR_EraseRootFromParent_Done,
     /* 1460323 */   // Label 20449: @1460323
     /* 1460323 */   GIM_Try, /*On fail goto*//*Label 20450*/ GIMT_Encode4(1460423), // Rule ID 14359 //
     /* 1460328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1460336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1460339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1460342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1460345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460378 */     // MIs[1] Operand 1
     /* 1460378 */     // No operand predicates
     /* 1460378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460382 */     // MIs[0] policy
     /* 1460382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460394 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1460397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460422 */     // GIR_Coverage, 14359,
     /* 1460422 */     GIR_EraseRootFromParent_Done,
     /* 1460423 */   // Label 20450: @1460423
     /* 1460423 */   GIM_Try, /*On fail goto*//*Label 20451*/ GIMT_Encode4(1460523), // Rule ID 14360 //
     /* 1460428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1460436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1460439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1460442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1460445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460478 */     // MIs[1] Operand 1
     /* 1460478 */     // No operand predicates
     /* 1460478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460482 */     // MIs[0] policy
     /* 1460482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460494 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1460497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460522 */     // GIR_Coverage, 14360,
     /* 1460522 */     GIR_EraseRootFromParent_Done,
     /* 1460523 */   // Label 20451: @1460523
     /* 1460523 */   GIM_Try, /*On fail goto*//*Label 20452*/ GIMT_Encode4(1460623), // Rule ID 14363 //
     /* 1460528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1460536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1460539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1460542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1460545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460578 */     // MIs[1] Operand 1
     /* 1460578 */     // No operand predicates
     /* 1460578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460582 */     // MIs[0] policy
     /* 1460582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460594 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1460597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460618 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460622 */     // GIR_Coverage, 14363,
     /* 1460622 */     GIR_EraseRootFromParent_Done,
     /* 1460623 */   // Label 20452: @1460623
     /* 1460623 */   GIM_Try, /*On fail goto*//*Label 20453*/ GIMT_Encode4(1460723), // Rule ID 14364 //
     /* 1460628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1460636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1460639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1460642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1460645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460678 */     // MIs[1] Operand 1
     /* 1460678 */     // No operand predicates
     /* 1460678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460682 */     // MIs[0] policy
     /* 1460682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460694 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1460697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460722 */     // GIR_Coverage, 14364,
     /* 1460722 */     GIR_EraseRootFromParent_Done,
     /* 1460723 */   // Label 20453: @1460723
     /* 1460723 */   GIM_Try, /*On fail goto*//*Label 20454*/ GIMT_Encode4(1460823), // Rule ID 14367 //
     /* 1460728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1460736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1460739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1460742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1460745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460778 */     // MIs[1] Operand 1
     /* 1460778 */     // No operand predicates
     /* 1460778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460782 */     // MIs[0] policy
     /* 1460782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460794 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1460797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460822 */     // GIR_Coverage, 14367,
     /* 1460822 */     GIR_EraseRootFromParent_Done,
     /* 1460823 */   // Label 20454: @1460823
     /* 1460823 */   GIM_Try, /*On fail goto*//*Label 20455*/ GIMT_Encode4(1460923), // Rule ID 14368 //
     /* 1460828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1460836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1460839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1460842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1460845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460878 */     // MIs[1] Operand 1
     /* 1460878 */     // No operand predicates
     /* 1460878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460882 */     // MIs[0] policy
     /* 1460882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460894 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1460897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1460921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460922 */     // GIR_Coverage, 14368,
     /* 1460922 */     GIR_EraseRootFromParent_Done,
     /* 1460923 */   // Label 20455: @1460923
     /* 1460923 */   GIM_Try, /*On fail goto*//*Label 20456*/ GIMT_Encode4(1461023), // Rule ID 14371 //
     /* 1460928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1460936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1460939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1460942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1460945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1460978 */     // MIs[1] Operand 1
     /* 1460978 */     // No operand predicates
     /* 1460978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460982 */     // MIs[0] policy
     /* 1460982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460994 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1460997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461022 */     // GIR_Coverage, 14371,
     /* 1461022 */     GIR_EraseRootFromParent_Done,
     /* 1461023 */   // Label 20456: @1461023
     /* 1461023 */   GIM_Try, /*On fail goto*//*Label 20457*/ GIMT_Encode4(1461123), // Rule ID 14372 //
     /* 1461028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1461039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1461042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1461045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1461051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461078 */     // MIs[1] Operand 1
     /* 1461078 */     // No operand predicates
     /* 1461078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461082 */     // MIs[0] policy
     /* 1461082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461094 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1461097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461122 */     // GIR_Coverage, 14372,
     /* 1461122 */     GIR_EraseRootFromParent_Done,
     /* 1461123 */   // Label 20457: @1461123
     /* 1461123 */   GIM_Try, /*On fail goto*//*Label 20458*/ GIMT_Encode4(1461223), // Rule ID 14375 //
     /* 1461128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1461139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1461142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1461145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461178 */     // MIs[1] Operand 1
     /* 1461178 */     // No operand predicates
     /* 1461178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461182 */     // MIs[0] policy
     /* 1461182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461194 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1461197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461222 */     // GIR_Coverage, 14375,
     /* 1461222 */     GIR_EraseRootFromParent_Done,
     /* 1461223 */   // Label 20458: @1461223
     /* 1461223 */   GIM_Try, /*On fail goto*//*Label 20459*/ GIMT_Encode4(1461323), // Rule ID 14376 //
     /* 1461228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1461239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1461242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1461245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461278 */     // MIs[1] Operand 1
     /* 1461278 */     // No operand predicates
     /* 1461278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461282 */     // MIs[0] policy
     /* 1461282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461294 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1461297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461322 */     // GIR_Coverage, 14376,
     /* 1461322 */     GIR_EraseRootFromParent_Done,
     /* 1461323 */   // Label 20459: @1461323
     /* 1461323 */   GIM_Try, /*On fail goto*//*Label 20460*/ GIMT_Encode4(1461423), // Rule ID 14379 //
     /* 1461328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1461339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1461342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1461345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461378 */     // MIs[1] Operand 1
     /* 1461378 */     // No operand predicates
     /* 1461378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461382 */     // MIs[0] policy
     /* 1461382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461394 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1461397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1461416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461422 */     // GIR_Coverage, 14379,
     /* 1461422 */     GIR_EraseRootFromParent_Done,
     /* 1461423 */   // Label 20460: @1461423
     /* 1461423 */   GIM_Try, /*On fail goto*//*Label 20461*/ GIMT_Encode4(1461523), // Rule ID 14380 //
     /* 1461428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1461439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1461442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1461445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461478 */     // MIs[1] Operand 1
     /* 1461478 */     // No operand predicates
     /* 1461478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461482 */     // MIs[0] policy
     /* 1461482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461494 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1461497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1461516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461522 */     // GIR_Coverage, 14380,
     /* 1461522 */     GIR_EraseRootFromParent_Done,
     /* 1461523 */   // Label 20461: @1461523
     /* 1461523 */   GIM_Try, /*On fail goto*//*Label 20462*/ GIMT_Encode4(1461623), // Rule ID 14383 //
     /* 1461528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1461531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1461539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1461542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1461545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461578 */     // MIs[1] Operand 1
     /* 1461578 */     // No operand predicates
     /* 1461578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461582 */     // MIs[0] policy
     /* 1461582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461594 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1461597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461618 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461622 */     // GIR_Coverage, 14383,
     /* 1461622 */     GIR_EraseRootFromParent_Done,
     /* 1461623 */   // Label 20462: @1461623
     /* 1461623 */   GIM_Try, /*On fail goto*//*Label 20463*/ GIMT_Encode4(1461723), // Rule ID 14384 //
     /* 1461628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1461631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1461639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1461642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1461645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461678 */     // MIs[1] Operand 1
     /* 1461678 */     // No operand predicates
     /* 1461678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461682 */     // MIs[0] policy
     /* 1461682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461694 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1461697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461722 */     // GIR_Coverage, 14384,
     /* 1461722 */     GIR_EraseRootFromParent_Done,
     /* 1461723 */   // Label 20463: @1461723
     /* 1461723 */   GIM_Try, /*On fail goto*//*Label 20464*/ GIMT_Encode4(1461823), // Rule ID 14387 //
     /* 1461728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1461739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1461742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1461745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1461751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461778 */     // MIs[1] Operand 1
     /* 1461778 */     // No operand predicates
     /* 1461778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461782 */     // MIs[0] policy
     /* 1461782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461794 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1461797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461822 */     // GIR_Coverage, 14387,
     /* 1461822 */     GIR_EraseRootFromParent_Done,
     /* 1461823 */   // Label 20464: @1461823
     /* 1461823 */   GIM_Try, /*On fail goto*//*Label 20465*/ GIMT_Encode4(1461923), // Rule ID 14388 //
     /* 1461828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1461839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1461842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1461845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1461851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461878 */     // MIs[1] Operand 1
     /* 1461878 */     // No operand predicates
     /* 1461878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461882 */     // MIs[0] policy
     /* 1461882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461894 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1461897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1461921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461922 */     // GIR_Coverage, 14388,
     /* 1461922 */     GIR_EraseRootFromParent_Done,
     /* 1461923 */   // Label 20465: @1461923
     /* 1461923 */   GIM_Try, /*On fail goto*//*Label 20466*/ GIMT_Encode4(1462023), // Rule ID 14391 //
     /* 1461928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1461936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1461939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1461942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1461945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1461951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1461978 */     // MIs[1] Operand 1
     /* 1461978 */     // No operand predicates
     /* 1461978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461982 */     // MIs[0] policy
     /* 1461982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461994 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1461997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462022 */     // GIR_Coverage, 14391,
     /* 1462022 */     GIR_EraseRootFromParent_Done,
     /* 1462023 */   // Label 20466: @1462023
     /* 1462023 */   GIM_Try, /*On fail goto*//*Label 20467*/ GIMT_Encode4(1462123), // Rule ID 14392 //
     /* 1462028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1462039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1462042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1462045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1462051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1462058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462078 */     // MIs[1] Operand 1
     /* 1462078 */     // No operand predicates
     /* 1462078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462082 */     // MIs[0] policy
     /* 1462082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462094 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1462097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462122 */     // GIR_Coverage, 14392,
     /* 1462122 */     GIR_EraseRootFromParent_Done,
     /* 1462123 */   // Label 20467: @1462123
     /* 1462123 */   GIM_Try, /*On fail goto*//*Label 20468*/ GIMT_Encode4(1462223), // Rule ID 14395 //
     /* 1462128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1462139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1462142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1462145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1462151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1462158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462178 */     // MIs[1] Operand 1
     /* 1462178 */     // No operand predicates
     /* 1462178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462182 */     // MIs[0] policy
     /* 1462182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462194 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1462197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462222 */     // GIR_Coverage, 14395,
     /* 1462222 */     GIR_EraseRootFromParent_Done,
     /* 1462223 */   // Label 20468: @1462223
     /* 1462223 */   GIM_Try, /*On fail goto*//*Label 20469*/ GIMT_Encode4(1462323), // Rule ID 14396 //
     /* 1462228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1462239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1462242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1462245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1462251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1462258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462278 */     // MIs[1] Operand 1
     /* 1462278 */     // No operand predicates
     /* 1462278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462282 */     // MIs[0] policy
     /* 1462282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462294 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1462297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462322 */     // GIR_Coverage, 14396,
     /* 1462322 */     GIR_EraseRootFromParent_Done,
     /* 1462323 */   // Label 20469: @1462323
     /* 1462323 */   GIM_Try, /*On fail goto*//*Label 20470*/ GIMT_Encode4(1462423), // Rule ID 14399 //
     /* 1462328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1462339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1462342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1462345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462378 */     // MIs[1] Operand 1
     /* 1462378 */     // No operand predicates
     /* 1462378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462382 */     // MIs[0] policy
     /* 1462382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462394 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1462397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462422 */     // GIR_Coverage, 14399,
     /* 1462422 */     GIR_EraseRootFromParent_Done,
     /* 1462423 */   // Label 20470: @1462423
     /* 1462423 */   GIM_Try, /*On fail goto*//*Label 20471*/ GIMT_Encode4(1462523), // Rule ID 14400 //
     /* 1462428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1462439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1462442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1462445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462478 */     // MIs[1] Operand 1
     /* 1462478 */     // No operand predicates
     /* 1462478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462482 */     // MIs[0] policy
     /* 1462482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462494 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1462497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462522 */     // GIR_Coverage, 14400,
     /* 1462522 */     GIR_EraseRootFromParent_Done,
     /* 1462523 */   // Label 20471: @1462523
     /* 1462523 */   GIM_Try, /*On fail goto*//*Label 20472*/ GIMT_Encode4(1462623), // Rule ID 14403 //
     /* 1462528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1462539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1462542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1462545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1462551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1462558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462578 */     // MIs[1] Operand 1
     /* 1462578 */     // No operand predicates
     /* 1462578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462582 */     // MIs[0] policy
     /* 1462582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462594 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1462597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462618 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462622 */     // GIR_Coverage, 14403,
     /* 1462622 */     GIR_EraseRootFromParent_Done,
     /* 1462623 */   // Label 20472: @1462623
     /* 1462623 */   GIM_Try, /*On fail goto*//*Label 20473*/ GIMT_Encode4(1462723), // Rule ID 14404 //
     /* 1462628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1462639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1462642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1462645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1462651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1462658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462678 */     // MIs[1] Operand 1
     /* 1462678 */     // No operand predicates
     /* 1462678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462682 */     // MIs[0] policy
     /* 1462682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462694 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1462697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462722 */     // GIR_Coverage, 14404,
     /* 1462722 */     GIR_EraseRootFromParent_Done,
     /* 1462723 */   // Label 20473: @1462723
     /* 1462723 */   GIM_Try, /*On fail goto*//*Label 20474*/ GIMT_Encode4(1462823), // Rule ID 14407 //
     /* 1462728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1462739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1462742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1462745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1462751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1462758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462778 */     // MIs[1] Operand 1
     /* 1462778 */     // No operand predicates
     /* 1462778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462782 */     // MIs[0] policy
     /* 1462782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462794 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1462797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462822 */     // GIR_Coverage, 14407,
     /* 1462822 */     GIR_EraseRootFromParent_Done,
     /* 1462823 */   // Label 20474: @1462823
     /* 1462823 */   GIM_Try, /*On fail goto*//*Label 20475*/ GIMT_Encode4(1462923), // Rule ID 14408 //
     /* 1462828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1462839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1462842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1462845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1462851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1462858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462878 */     // MIs[1] Operand 1
     /* 1462878 */     // No operand predicates
     /* 1462878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462882 */     // MIs[0] policy
     /* 1462882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462894 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1462897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1462921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462922 */     // GIR_Coverage, 14408,
     /* 1462922 */     GIR_EraseRootFromParent_Done,
     /* 1462923 */   // Label 20475: @1462923
     /* 1462923 */   GIM_Try, /*On fail goto*//*Label 20476*/ GIMT_Encode4(1463023), // Rule ID 14411 //
     /* 1462928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1462936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1462939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1462942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1462945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1462978 */     // MIs[1] Operand 1
     /* 1462978 */     // No operand predicates
     /* 1462978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462982 */     // MIs[0] policy
     /* 1462982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1462997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463022 */     // GIR_Coverage, 14411,
     /* 1463022 */     GIR_EraseRootFromParent_Done,
     /* 1463023 */   // Label 20476: @1463023
     /* 1463023 */   GIM_Try, /*On fail goto*//*Label 20477*/ GIMT_Encode4(1463123), // Rule ID 14412 //
     /* 1463028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1463039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1463042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1463045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1463051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463078 */     // MIs[1] Operand 1
     /* 1463078 */     // No operand predicates
     /* 1463078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463082 */     // MIs[0] policy
     /* 1463082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463094 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1463097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463122 */     // GIR_Coverage, 14412,
     /* 1463122 */     GIR_EraseRootFromParent_Done,
     /* 1463123 */   // Label 20477: @1463123
     /* 1463123 */   GIM_Try, /*On fail goto*//*Label 20478*/ GIMT_Encode4(1463223), // Rule ID 14415 //
     /* 1463128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1463139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1463142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1463145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463178 */     // MIs[1] Operand 1
     /* 1463178 */     // No operand predicates
     /* 1463178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463182 */     // MIs[0] policy
     /* 1463182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463194 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1463197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463222 */     // GIR_Coverage, 14415,
     /* 1463222 */     GIR_EraseRootFromParent_Done,
     /* 1463223 */   // Label 20478: @1463223
     /* 1463223 */   GIM_Try, /*On fail goto*//*Label 20479*/ GIMT_Encode4(1463323), // Rule ID 14416 //
     /* 1463228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1463239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1463242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1463245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463278 */     // MIs[1] Operand 1
     /* 1463278 */     // No operand predicates
     /* 1463278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463282 */     // MIs[0] policy
     /* 1463282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463294 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1463297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463322 */     // GIR_Coverage, 14416,
     /* 1463322 */     GIR_EraseRootFromParent_Done,
     /* 1463323 */   // Label 20479: @1463323
     /* 1463323 */   GIM_Try, /*On fail goto*//*Label 20480*/ GIMT_Encode4(1463423), // Rule ID 14419 //
     /* 1463328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1463339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1463342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1463345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1463351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463378 */     // MIs[1] Operand 1
     /* 1463378 */     // No operand predicates
     /* 1463378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463382 */     // MIs[0] policy
     /* 1463382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463394 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1463397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463422 */     // GIR_Coverage, 14419,
     /* 1463422 */     GIR_EraseRootFromParent_Done,
     /* 1463423 */   // Label 20480: @1463423
     /* 1463423 */   GIM_Try, /*On fail goto*//*Label 20481*/ GIMT_Encode4(1463523), // Rule ID 14420 //
     /* 1463428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1463439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1463442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1463445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1463451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463478 */     // MIs[1] Operand 1
     /* 1463478 */     // No operand predicates
     /* 1463478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463482 */     // MIs[0] policy
     /* 1463482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463494 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1463497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463522 */     // GIR_Coverage, 14420,
     /* 1463522 */     GIR_EraseRootFromParent_Done,
     /* 1463523 */   // Label 20481: @1463523
     /* 1463523 */   GIM_Try, /*On fail goto*//*Label 20482*/ GIMT_Encode4(1463623), // Rule ID 14423 //
     /* 1463528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1463531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1463539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1463542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1463545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1463551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463578 */     // MIs[1] Operand 1
     /* 1463578 */     // No operand predicates
     /* 1463578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463582 */     // MIs[0] policy
     /* 1463582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463594 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1463597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463618 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463622 */     // GIR_Coverage, 14423,
     /* 1463622 */     GIR_EraseRootFromParent_Done,
     /* 1463623 */   // Label 20482: @1463623
     /* 1463623 */   GIM_Try, /*On fail goto*//*Label 20483*/ GIMT_Encode4(1463723), // Rule ID 14424 //
     /* 1463628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1463631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1463639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1463642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1463645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1463651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463678 */     // MIs[1] Operand 1
     /* 1463678 */     // No operand predicates
     /* 1463678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463682 */     // MIs[0] policy
     /* 1463682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463694 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1463697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463722 */     // GIR_Coverage, 14424,
     /* 1463722 */     GIR_EraseRootFromParent_Done,
     /* 1463723 */   // Label 20483: @1463723
     /* 1463723 */   GIM_Try, /*On fail goto*//*Label 20484*/ GIMT_Encode4(1463823), // Rule ID 14427 //
     /* 1463728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1463731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1463739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1463742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1463745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1463751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463778 */     // MIs[1] Operand 1
     /* 1463778 */     // No operand predicates
     /* 1463778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463782 */     // MIs[0] policy
     /* 1463782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463794 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1463797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463822 */     // GIR_Coverage, 14427,
     /* 1463822 */     GIR_EraseRootFromParent_Done,
     /* 1463823 */   // Label 20484: @1463823
     /* 1463823 */   GIM_Try, /*On fail goto*//*Label 20485*/ GIMT_Encode4(1463923), // Rule ID 14428 //
     /* 1463828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1463831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1463839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1463842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1463845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1463851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463878 */     // MIs[1] Operand 1
     /* 1463878 */     // No operand predicates
     /* 1463878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463882 */     // MIs[0] policy
     /* 1463882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463894 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1463897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1463921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463922 */     // GIR_Coverage, 14428,
     /* 1463922 */     GIR_EraseRootFromParent_Done,
     /* 1463923 */   // Label 20485: @1463923
     /* 1463923 */   GIM_Try, /*On fail goto*//*Label 20486*/ GIMT_Encode4(1464023), // Rule ID 14431 //
     /* 1463928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1463931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1463936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1463939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1463942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1463945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1463978 */     // MIs[1] Operand 1
     /* 1463978 */     // No operand predicates
     /* 1463978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463982 */     // MIs[0] policy
     /* 1463982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463994 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1463997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1464016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464022 */     // GIR_Coverage, 14431,
     /* 1464022 */     GIR_EraseRootFromParent_Done,
     /* 1464023 */   // Label 20486: @1464023
     /* 1464023 */   GIM_Try, /*On fail goto*//*Label 20487*/ GIMT_Encode4(1464123), // Rule ID 14432 //
     /* 1464028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1464031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1464036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1464039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1464042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1464045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1464058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1464078 */     // MIs[1] Operand 1
     /* 1464078 */     // No operand predicates
     /* 1464078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464082 */     // MIs[0] policy
     /* 1464082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464094 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1464097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1464116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1464121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464122 */     // GIR_Coverage, 14432,
     /* 1464122 */     GIR_EraseRootFromParent_Done,
     /* 1464123 */   // Label 20487: @1464123
     /* 1464123 */   GIM_Try, /*On fail goto*//*Label 20488*/ GIMT_Encode4(1464220), // Rule ID 23551 //
     /* 1464128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1464136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1464139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1464142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1464145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464178 */     // MIs[1] Operand 1
     /* 1464178 */     // No operand predicates
     /* 1464178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464182 */     // MIs[0] policy
     /* 1464182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464194 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1464197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1464201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1464216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464219 */     // GIR_Coverage, 23551,
     /* 1464219 */     GIR_EraseRootFromParent_Done,
     /* 1464220 */   // Label 20488: @1464220
     /* 1464220 */   GIM_Try, /*On fail goto*//*Label 20489*/ GIMT_Encode4(1464317), // Rule ID 23552 //
     /* 1464225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1464233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1464236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1464239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1464242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464275 */     // MIs[1] Operand 1
     /* 1464275 */     // No operand predicates
     /* 1464275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464279 */     // MIs[0] policy
     /* 1464279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464291 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1464294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1464298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1464313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464316 */     // GIR_Coverage, 23552,
     /* 1464316 */     GIR_EraseRootFromParent_Done,
     /* 1464317 */   // Label 20489: @1464317
     /* 1464317 */   GIM_Try, /*On fail goto*//*Label 20490*/ GIMT_Encode4(1464414), // Rule ID 23555 //
     /* 1464322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1464330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1464333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1464336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1464339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464372 */     // MIs[1] Operand 1
     /* 1464372 */     // No operand predicates
     /* 1464372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464376 */     // MIs[0] policy
     /* 1464376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464388 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1464391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1464395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1464410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464413 */     // GIR_Coverage, 23555,
     /* 1464413 */     GIR_EraseRootFromParent_Done,
     /* 1464414 */   // Label 20490: @1464414
     /* 1464414 */   GIM_Try, /*On fail goto*//*Label 20491*/ GIMT_Encode4(1464511), // Rule ID 23556 //
     /* 1464419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1464427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1464430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1464433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1464436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464469 */     // MIs[1] Operand 1
     /* 1464469 */     // No operand predicates
     /* 1464469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464473 */     // MIs[0] policy
     /* 1464473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464485 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1464488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1464492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1464507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464510 */     // GIR_Coverage, 23556,
     /* 1464510 */     GIR_EraseRootFromParent_Done,
     /* 1464511 */   // Label 20491: @1464511
     /* 1464511 */   GIM_Try, /*On fail goto*//*Label 20492*/ GIMT_Encode4(1464608), // Rule ID 23559 //
     /* 1464516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1464524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1464527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1464530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1464533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464566 */     // MIs[1] Operand 1
     /* 1464566 */     // No operand predicates
     /* 1464566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464570 */     // MIs[0] policy
     /* 1464570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464582 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1464585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1464589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1464604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464607 */     // GIR_Coverage, 23559,
     /* 1464607 */     GIR_EraseRootFromParent_Done,
     /* 1464608 */   // Label 20492: @1464608
     /* 1464608 */   GIM_Try, /*On fail goto*//*Label 20493*/ GIMT_Encode4(1464705), // Rule ID 23560 //
     /* 1464613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1464621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1464624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1464627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1464630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464663 */     // MIs[1] Operand 1
     /* 1464663 */     // No operand predicates
     /* 1464663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464667 */     // MIs[0] policy
     /* 1464667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464679 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1464682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1464686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1464701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464704 */     // GIR_Coverage, 23560,
     /* 1464704 */     GIR_EraseRootFromParent_Done,
     /* 1464705 */   // Label 20493: @1464705
     /* 1464705 */   GIM_Try, /*On fail goto*//*Label 20494*/ GIMT_Encode4(1464802), // Rule ID 23563 //
     /* 1464710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1464718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1464721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1464724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1464727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464760 */     // MIs[1] Operand 1
     /* 1464760 */     // No operand predicates
     /* 1464760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464764 */     // MIs[0] policy
     /* 1464764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464776 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1464779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1464783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464801 */     // GIR_Coverage, 23563,
     /* 1464801 */     GIR_EraseRootFromParent_Done,
     /* 1464802 */   // Label 20494: @1464802
     /* 1464802 */   GIM_Try, /*On fail goto*//*Label 20495*/ GIMT_Encode4(1464899), // Rule ID 23564 //
     /* 1464807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1464815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1464818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1464821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1464824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464857 */     // MIs[1] Operand 1
     /* 1464857 */     // No operand predicates
     /* 1464857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464861 */     // MIs[0] policy
     /* 1464861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464873 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1464876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1464880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464898 */     // GIR_Coverage, 23564,
     /* 1464898 */     GIR_EraseRootFromParent_Done,
     /* 1464899 */   // Label 20495: @1464899
     /* 1464899 */   GIM_Try, /*On fail goto*//*Label 20496*/ GIMT_Encode4(1464996), // Rule ID 23567 //
     /* 1464904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1464912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1464915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1464918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1464921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464954 */     // MIs[1] Operand 1
     /* 1464954 */     // No operand predicates
     /* 1464954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464958 */     // MIs[0] policy
     /* 1464958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464970 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1464973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1464977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464995 */     // GIR_Coverage, 23567,
     /* 1464995 */     GIR_EraseRootFromParent_Done,
     /* 1464996 */   // Label 20496: @1464996
     /* 1464996 */   GIM_Try, /*On fail goto*//*Label 20497*/ GIMT_Encode4(1465093), // Rule ID 23568 //
     /* 1465001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1465012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1465015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1465018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465051 */     // MIs[1] Operand 1
     /* 1465051 */     // No operand predicates
     /* 1465051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465055 */     // MIs[0] policy
     /* 1465055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465067 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1465070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1465089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465092 */     // GIR_Coverage, 23568,
     /* 1465092 */     GIR_EraseRootFromParent_Done,
     /* 1465093 */   // Label 20497: @1465093
     /* 1465093 */   GIM_Try, /*On fail goto*//*Label 20498*/ GIMT_Encode4(1465190), // Rule ID 23571 //
     /* 1465098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1465109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1465112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1465115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465148 */     // MIs[1] Operand 1
     /* 1465148 */     // No operand predicates
     /* 1465148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465152 */     // MIs[0] policy
     /* 1465152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465164 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1465167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1465186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465189 */     // GIR_Coverage, 23571,
     /* 1465189 */     GIR_EraseRootFromParent_Done,
     /* 1465190 */   // Label 20498: @1465190
     /* 1465190 */   GIM_Try, /*On fail goto*//*Label 20499*/ GIMT_Encode4(1465287), // Rule ID 23572 //
     /* 1465195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1465206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1465209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1465212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465245 */     // MIs[1] Operand 1
     /* 1465245 */     // No operand predicates
     /* 1465245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465249 */     // MIs[0] policy
     /* 1465249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465261 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1465264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465270 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1465283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465286 */     // GIR_Coverage, 23572,
     /* 1465286 */     GIR_EraseRootFromParent_Done,
     /* 1465287 */   // Label 20499: @1465287
     /* 1465287 */   GIM_Try, /*On fail goto*//*Label 20500*/ GIMT_Encode4(1465384), // Rule ID 23575 //
     /* 1465292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1465303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1465306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1465309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1465315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465342 */     // MIs[1] Operand 1
     /* 1465342 */     // No operand predicates
     /* 1465342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465346 */     // MIs[0] policy
     /* 1465346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465358 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1465361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465383 */     // GIR_Coverage, 23575,
     /* 1465383 */     GIR_EraseRootFromParent_Done,
     /* 1465384 */   // Label 20500: @1465384
     /* 1465384 */   GIM_Try, /*On fail goto*//*Label 20501*/ GIMT_Encode4(1465481), // Rule ID 23576 //
     /* 1465389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1465400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1465403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1465406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1465412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465439 */     // MIs[1] Operand 1
     /* 1465439 */     // No operand predicates
     /* 1465439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465443 */     // MIs[0] policy
     /* 1465443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465455 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1465458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465480 */     // GIR_Coverage, 23576,
     /* 1465480 */     GIR_EraseRootFromParent_Done,
     /* 1465481 */   // Label 20501: @1465481
     /* 1465481 */   GIM_Try, /*On fail goto*//*Label 20502*/ GIMT_Encode4(1465578), // Rule ID 23579 //
     /* 1465486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1465497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1465500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1465503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465536 */     // MIs[1] Operand 1
     /* 1465536 */     // No operand predicates
     /* 1465536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465540 */     // MIs[0] policy
     /* 1465540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1465555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1465574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465577 */     // GIR_Coverage, 23579,
     /* 1465577 */     GIR_EraseRootFromParent_Done,
     /* 1465578 */   // Label 20502: @1465578
     /* 1465578 */   GIM_Try, /*On fail goto*//*Label 20503*/ GIMT_Encode4(1465675), // Rule ID 23580 //
     /* 1465583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1465594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1465597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1465600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465633 */     // MIs[1] Operand 1
     /* 1465633 */     // No operand predicates
     /* 1465633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465637 */     // MIs[0] policy
     /* 1465637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465649 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1465652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1465671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465674 */     // GIR_Coverage, 23580,
     /* 1465674 */     GIR_EraseRootFromParent_Done,
     /* 1465675 */   // Label 20503: @1465675
     /* 1465675 */   GIM_Try, /*On fail goto*//*Label 20504*/ GIMT_Encode4(1465772), // Rule ID 23583 //
     /* 1465680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1465691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1465694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1465697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465730 */     // MIs[1] Operand 1
     /* 1465730 */     // No operand predicates
     /* 1465730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465734 */     // MIs[0] policy
     /* 1465734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465746 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1465749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1465768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465771 */     // GIR_Coverage, 23583,
     /* 1465771 */     GIR_EraseRootFromParent_Done,
     /* 1465772 */   // Label 20504: @1465772
     /* 1465772 */   GIM_Try, /*On fail goto*//*Label 20505*/ GIMT_Encode4(1465869), // Rule ID 23584 //
     /* 1465777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1465788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1465791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1465794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465827 */     // MIs[1] Operand 1
     /* 1465827 */     // No operand predicates
     /* 1465827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465831 */     // MIs[0] policy
     /* 1465831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465843 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1465846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1465865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465868 */     // GIR_Coverage, 23584,
     /* 1465868 */     GIR_EraseRootFromParent_Done,
     /* 1465869 */   // Label 20505: @1465869
     /* 1465869 */   GIM_Try, /*On fail goto*//*Label 20506*/ GIMT_Encode4(1465966), // Rule ID 23587 //
     /* 1465874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1465877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1465885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1465888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1465891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465924 */     // MIs[1] Operand 1
     /* 1465924 */     // No operand predicates
     /* 1465924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465928 */     // MIs[0] policy
     /* 1465928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465940 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1465943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465965 */     // GIR_Coverage, 23587,
     /* 1465965 */     GIR_EraseRootFromParent_Done,
     /* 1465966 */   // Label 20506: @1465966
     /* 1465966 */   GIM_Try, /*On fail goto*//*Label 20507*/ GIMT_Encode4(1466063), // Rule ID 23588 //
     /* 1465971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1465974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1465979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1465982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1465985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1465988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466021 */     // MIs[1] Operand 1
     /* 1466021 */     // No operand predicates
     /* 1466021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466025 */     // MIs[0] policy
     /* 1466025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466037 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1466040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1466059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466062 */     // GIR_Coverage, 23588,
     /* 1466062 */     GIR_EraseRootFromParent_Done,
     /* 1466063 */   // Label 20507: @1466063
     /* 1466063 */   GIM_Try, /*On fail goto*//*Label 20508*/ GIMT_Encode4(1466160), // Rule ID 23591 //
     /* 1466068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1466079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1466082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1466085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1466091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1466098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466118 */     // MIs[1] Operand 1
     /* 1466118 */     // No operand predicates
     /* 1466118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466122 */     // MIs[0] policy
     /* 1466122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466134 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1466137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466159 */     // GIR_Coverage, 23591,
     /* 1466159 */     GIR_EraseRootFromParent_Done,
     /* 1466160 */   // Label 20508: @1466160
     /* 1466160 */   GIM_Try, /*On fail goto*//*Label 20509*/ GIMT_Encode4(1466257), // Rule ID 23592 //
     /* 1466165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1466176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1466179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1466182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1466188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1466195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466215 */     // MIs[1] Operand 1
     /* 1466215 */     // No operand predicates
     /* 1466215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466219 */     // MIs[0] policy
     /* 1466219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466231 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1466234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466256 */     // GIR_Coverage, 23592,
     /* 1466256 */     GIR_EraseRootFromParent_Done,
     /* 1466257 */   // Label 20509: @1466257
     /* 1466257 */   GIM_Try, /*On fail goto*//*Label 20510*/ GIMT_Encode4(1466354), // Rule ID 23595 //
     /* 1466262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1466273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1466276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1466279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1466285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466312 */     // MIs[1] Operand 1
     /* 1466312 */     // No operand predicates
     /* 1466312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466316 */     // MIs[0] policy
     /* 1466316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466328 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1466331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466353 */     // GIR_Coverage, 23595,
     /* 1466353 */     GIR_EraseRootFromParent_Done,
     /* 1466354 */   // Label 20510: @1466354
     /* 1466354 */   GIM_Try, /*On fail goto*//*Label 20511*/ GIMT_Encode4(1466451), // Rule ID 23596 //
     /* 1466359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1466370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1466373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1466376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1466382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466409 */     // MIs[1] Operand 1
     /* 1466409 */     // No operand predicates
     /* 1466409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466413 */     // MIs[0] policy
     /* 1466413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466425 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1466428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466450 */     // GIR_Coverage, 23596,
     /* 1466450 */     GIR_EraseRootFromParent_Done,
     /* 1466451 */   // Label 20511: @1466451
     /* 1466451 */   GIM_Try, /*On fail goto*//*Label 20512*/ GIMT_Encode4(1466548), // Rule ID 23599 //
     /* 1466456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1466467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1466470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1466473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1466479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1466486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466506 */     // MIs[1] Operand 1
     /* 1466506 */     // No operand predicates
     /* 1466506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466510 */     // MIs[0] policy
     /* 1466510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466522 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1466525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466547 */     // GIR_Coverage, 23599,
     /* 1466547 */     GIR_EraseRootFromParent_Done,
     /* 1466548 */   // Label 20512: @1466548
     /* 1466548 */   GIM_Try, /*On fail goto*//*Label 20513*/ GIMT_Encode4(1466645), // Rule ID 23600 //
     /* 1466553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1466564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1466567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1466570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1466576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1466583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466603 */     // MIs[1] Operand 1
     /* 1466603 */     // No operand predicates
     /* 1466603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466607 */     // MIs[0] policy
     /* 1466607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466619 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1466622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466644 */     // GIR_Coverage, 23600,
     /* 1466644 */     GIR_EraseRootFromParent_Done,
     /* 1466645 */   // Label 20513: @1466645
     /* 1466645 */   GIM_Try, /*On fail goto*//*Label 20514*/ GIMT_Encode4(1466742), // Rule ID 23603 //
     /* 1466650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1466661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1466664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1466667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1466680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466700 */     // MIs[1] Operand 1
     /* 1466700 */     // No operand predicates
     /* 1466700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466704 */     // MIs[0] policy
     /* 1466704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466716 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1466719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466741 */     // GIR_Coverage, 23603,
     /* 1466741 */     GIR_EraseRootFromParent_Done,
     /* 1466742 */   // Label 20514: @1466742
     /* 1466742 */   GIM_Try, /*On fail goto*//*Label 20515*/ GIMT_Encode4(1466839), // Rule ID 23604 //
     /* 1466747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1466758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1466761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1466764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1466777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466797 */     // MIs[1] Operand 1
     /* 1466797 */     // No operand predicates
     /* 1466797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466801 */     // MIs[0] policy
     /* 1466801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466813 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1466816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466838 */     // GIR_Coverage, 23604,
     /* 1466838 */     GIR_EraseRootFromParent_Done,
     /* 1466839 */   // Label 20515: @1466839
     /* 1466839 */   GIM_Try, /*On fail goto*//*Label 20516*/ GIMT_Encode4(1466936), // Rule ID 23607 //
     /* 1466844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1466855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1466858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1466861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1466867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466894 */     // MIs[1] Operand 1
     /* 1466894 */     // No operand predicates
     /* 1466894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466898 */     // MIs[0] policy
     /* 1466898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466910 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1466913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466935 */     // GIR_Coverage, 23607,
     /* 1466935 */     GIR_EraseRootFromParent_Done,
     /* 1466936 */   // Label 20516: @1466936
     /* 1466936 */   GIM_Try, /*On fail goto*//*Label 20517*/ GIMT_Encode4(1467033), // Rule ID 23608 //
     /* 1466941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1466949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1466952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1466955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1466958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1466964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466991 */     // MIs[1] Operand 1
     /* 1466991 */     // No operand predicates
     /* 1466991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466995 */     // MIs[0] policy
     /* 1466995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467007 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1467010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1467029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467032 */     // GIR_Coverage, 23608,
     /* 1467032 */     GIR_EraseRootFromParent_Done,
     /* 1467033 */   // Label 20517: @1467033
     /* 1467033 */   GIM_Try, /*On fail goto*//*Label 20518*/ GIMT_Encode4(1467130), // Rule ID 23611 //
     /* 1467038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1467049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1467052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1467055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1467061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467088 */     // MIs[1] Operand 1
     /* 1467088 */     // No operand predicates
     /* 1467088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467092 */     // MIs[0] policy
     /* 1467092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467104 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1467107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1467126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467129 */     // GIR_Coverage, 23611,
     /* 1467129 */     GIR_EraseRootFromParent_Done,
     /* 1467130 */   // Label 20518: @1467130
     /* 1467130 */   GIM_Try, /*On fail goto*//*Label 20519*/ GIMT_Encode4(1467227), // Rule ID 23612 //
     /* 1467135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1467146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1467149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1467152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1467158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467185 */     // MIs[1] Operand 1
     /* 1467185 */     // No operand predicates
     /* 1467185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467189 */     // MIs[0] policy
     /* 1467189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467201 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1467204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1467223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467226 */     // GIR_Coverage, 23612,
     /* 1467226 */     GIR_EraseRootFromParent_Done,
     /* 1467227 */   // Label 20519: @1467227
     /* 1467227 */   GIM_Try, /*On fail goto*//*Label 20520*/ GIMT_Encode4(1467324), // Rule ID 23615 //
     /* 1467232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1467243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1467246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1467249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1467255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467282 */     // MIs[1] Operand 1
     /* 1467282 */     // No operand predicates
     /* 1467282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467286 */     // MIs[0] policy
     /* 1467286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467298 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1467301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467323 */     // GIR_Coverage, 23615,
     /* 1467323 */     GIR_EraseRootFromParent_Done,
     /* 1467324 */   // Label 20520: @1467324
     /* 1467324 */   GIM_Try, /*On fail goto*//*Label 20521*/ GIMT_Encode4(1467421), // Rule ID 23616 //
     /* 1467329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1467340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1467343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1467346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1467352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467379 */     // MIs[1] Operand 1
     /* 1467379 */     // No operand predicates
     /* 1467379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467383 */     // MIs[0] policy
     /* 1467383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467395 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1467398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467420 */     // GIR_Coverage, 23616,
     /* 1467420 */     GIR_EraseRootFromParent_Done,
     /* 1467421 */   // Label 20521: @1467421
     /* 1467421 */   GIM_Try, /*On fail goto*//*Label 20522*/ GIMT_Encode4(1467518), // Rule ID 23619 //
     /* 1467426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1467437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1467440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1467443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1467449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467476 */     // MIs[1] Operand 1
     /* 1467476 */     // No operand predicates
     /* 1467476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467480 */     // MIs[0] policy
     /* 1467480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467492 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1467495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467517 */     // GIR_Coverage, 23619,
     /* 1467517 */     GIR_EraseRootFromParent_Done,
     /* 1467518 */   // Label 20522: @1467518
     /* 1467518 */   GIM_Try, /*On fail goto*//*Label 20523*/ GIMT_Encode4(1467615), // Rule ID 23620 //
     /* 1467523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1467534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1467537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1467540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1467546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467573 */     // MIs[1] Operand 1
     /* 1467573 */     // No operand predicates
     /* 1467573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467577 */     // MIs[0] policy
     /* 1467577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467589 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1467592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467614 */     // GIR_Coverage, 23620,
     /* 1467614 */     GIR_EraseRootFromParent_Done,
     /* 1467615 */   // Label 20523: @1467615
     /* 1467615 */   GIM_Try, /*On fail goto*//*Label 20524*/ GIMT_Encode4(1467712), // Rule ID 23623 //
     /* 1467620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1467631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1467634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1467637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1467643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467670 */     // MIs[1] Operand 1
     /* 1467670 */     // No operand predicates
     /* 1467670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467674 */     // MIs[0] policy
     /* 1467674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1467689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467711 */     // GIR_Coverage, 23623,
     /* 1467711 */     GIR_EraseRootFromParent_Done,
     /* 1467712 */   // Label 20524: @1467712
     /* 1467712 */   GIM_Try, /*On fail goto*//*Label 20525*/ GIMT_Encode4(1467809), // Rule ID 23624 //
     /* 1467717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1467728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1467731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1467734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1467740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467767 */     // MIs[1] Operand 1
     /* 1467767 */     // No operand predicates
     /* 1467767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467771 */     // MIs[0] policy
     /* 1467771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467783 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1467786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467808 */     // GIR_Coverage, 23624,
     /* 1467808 */     GIR_EraseRootFromParent_Done,
     /* 1467809 */   // Label 20525: @1467809
     /* 1467809 */   GIM_Try, /*On fail goto*//*Label 20526*/ GIMT_Encode4(1467906), // Rule ID 23627 //
     /* 1467814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1467817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1467825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1467828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1467831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467864 */     // MIs[1] Operand 1
     /* 1467864 */     // No operand predicates
     /* 1467864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467868 */     // MIs[0] policy
     /* 1467868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467880 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1467883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467905 */     // GIR_Coverage, 23627,
     /* 1467905 */     GIR_EraseRootFromParent_Done,
     /* 1467906 */   // Label 20526: @1467906
     /* 1467906 */   GIM_Try, /*On fail goto*//*Label 20527*/ GIMT_Encode4(1468003), // Rule ID 23628 //
     /* 1467911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1467914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1467922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1467925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1467928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467961 */     // MIs[1] Operand 1
     /* 1467961 */     // No operand predicates
     /* 1467961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467965 */     // MIs[0] policy
     /* 1467965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467977 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1467980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468002 */     // GIR_Coverage, 23628,
     /* 1468002 */     GIR_EraseRootFromParent_Done,
     /* 1468003 */   // Label 20527: @1468003
     /* 1468003 */   GIM_Try, /*On fail goto*//*Label 20528*/ GIMT_Encode4(1468100), // Rule ID 23631 //
     /* 1468008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1468011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1468019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1468022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1468025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468058 */     // MIs[1] Operand 1
     /* 1468058 */     // No operand predicates
     /* 1468058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468062 */     // MIs[0] policy
     /* 1468062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468074 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1468077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1468096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468099 */     // GIR_Coverage, 23631,
     /* 1468099 */     GIR_EraseRootFromParent_Done,
     /* 1468100 */   // Label 20528: @1468100
     /* 1468100 */   GIM_Try, /*On fail goto*//*Label 20529*/ GIMT_Encode4(1468197), // Rule ID 23632 //
     /* 1468105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1468108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1468116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1468119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1468122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468155 */     // MIs[1] Operand 1
     /* 1468155 */     // No operand predicates
     /* 1468155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468159 */     // MIs[0] policy
     /* 1468159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468171 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1468174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1468193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468196 */     // GIR_Coverage, 23632,
     /* 1468196 */     GIR_EraseRootFromParent_Done,
     /* 1468197 */   // Label 20529: @1468197
     /* 1468197 */   GIM_Try, /*On fail goto*//*Label 20530*/ GIMT_Encode4(1468294), // Rule ID 23635 //
     /* 1468202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1468205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1468213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1468216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1468219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1468225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468252 */     // MIs[1] Operand 1
     /* 1468252 */     // No operand predicates
     /* 1468252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468256 */     // MIs[0] policy
     /* 1468256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468268 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1468271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1468290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468293 */     // GIR_Coverage, 23635,
     /* 1468293 */     GIR_EraseRootFromParent_Done,
     /* 1468294 */   // Label 20530: @1468294
     /* 1468294 */   GIM_Try, /*On fail goto*//*Label 20531*/ GIMT_Encode4(1468391), // Rule ID 23636 //
     /* 1468299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1468302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1468310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1468313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1468316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1468322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468349 */     // MIs[1] Operand 1
     /* 1468349 */     // No operand predicates
     /* 1468349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468353 */     // MIs[0] policy
     /* 1468353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468365 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1468368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1468387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468390 */     // GIR_Coverage, 23636,
     /* 1468390 */     GIR_EraseRootFromParent_Done,
     /* 1468391 */   // Label 20531: @1468391
     /* 1468391 */   GIM_Try, /*On fail goto*//*Label 20532*/ GIMT_Encode4(1468488), // Rule ID 23727 //
     /* 1468396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1468404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1468407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1468410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1468413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468446 */     // MIs[1] Operand 1
     /* 1468446 */     // No operand predicates
     /* 1468446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468450 */     // MIs[0] policy
     /* 1468450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468462 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1468465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468487 */     // GIR_Coverage, 23727,
     /* 1468487 */     GIR_EraseRootFromParent_Done,
     /* 1468488 */   // Label 20532: @1468488
     /* 1468488 */   GIM_Try, /*On fail goto*//*Label 20533*/ GIMT_Encode4(1468585), // Rule ID 23728 //
     /* 1468493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1468501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1468504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1468507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1468510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468543 */     // MIs[1] Operand 1
     /* 1468543 */     // No operand predicates
     /* 1468543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468547 */     // MIs[0] policy
     /* 1468547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468559 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1468562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468584 */     // GIR_Coverage, 23728,
     /* 1468584 */     GIR_EraseRootFromParent_Done,
     /* 1468585 */   // Label 20533: @1468585
     /* 1468585 */   GIM_Try, /*On fail goto*//*Label 20534*/ GIMT_Encode4(1468682), // Rule ID 23731 //
     /* 1468590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1468598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1468601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1468604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1468607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1468613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468640 */     // MIs[1] Operand 1
     /* 1468640 */     // No operand predicates
     /* 1468640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468644 */     // MIs[0] policy
     /* 1468644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468656 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1468659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468681 */     // GIR_Coverage, 23731,
     /* 1468681 */     GIR_EraseRootFromParent_Done,
     /* 1468682 */   // Label 20534: @1468682
     /* 1468682 */   GIM_Try, /*On fail goto*//*Label 20535*/ GIMT_Encode4(1468779), // Rule ID 23732 //
     /* 1468687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1468695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1468698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1468701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1468704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1468710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468737 */     // MIs[1] Operand 1
     /* 1468737 */     // No operand predicates
     /* 1468737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468741 */     // MIs[0] policy
     /* 1468741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468753 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1468756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468778 */     // GIR_Coverage, 23732,
     /* 1468778 */     GIR_EraseRootFromParent_Done,
     /* 1468779 */   // Label 20535: @1468779
     /* 1468779 */   GIM_Try, /*On fail goto*//*Label 20536*/ GIMT_Encode4(1468876), // Rule ID 23735 //
     /* 1468784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1468792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1468795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1468798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1468801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468834 */     // MIs[1] Operand 1
     /* 1468834 */     // No operand predicates
     /* 1468834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468838 */     // MIs[0] policy
     /* 1468838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468850 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1468853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468875 */     // GIR_Coverage, 23735,
     /* 1468875 */     GIR_EraseRootFromParent_Done,
     /* 1468876 */   // Label 20536: @1468876
     /* 1468876 */   GIM_Try, /*On fail goto*//*Label 20537*/ GIMT_Encode4(1468973), // Rule ID 23736 //
     /* 1468881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1468889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1468892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1468895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1468898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468931 */     // MIs[1] Operand 1
     /* 1468931 */     // No operand predicates
     /* 1468931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468935 */     // MIs[0] policy
     /* 1468935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468947 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1468950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468972 */     // GIR_Coverage, 23736,
     /* 1468972 */     GIR_EraseRootFromParent_Done,
     /* 1468973 */   // Label 20537: @1468973
     /* 1468973 */   GIM_Try, /*On fail goto*//*Label 20538*/ GIMT_Encode4(1469070), // Rule ID 23739 //
     /* 1468978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1468986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1468989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1468992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1468995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1469001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469028 */     // MIs[1] Operand 1
     /* 1469028 */     // No operand predicates
     /* 1469028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469032 */     // MIs[0] policy
     /* 1469032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469044 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1469047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469069 */     // GIR_Coverage, 23739,
     /* 1469069 */     GIR_EraseRootFromParent_Done,
     /* 1469070 */   // Label 20538: @1469070
     /* 1469070 */   GIM_Try, /*On fail goto*//*Label 20539*/ GIMT_Encode4(1469167), // Rule ID 23740 //
     /* 1469075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1469083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1469086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1469089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1469092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1469098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469125 */     // MIs[1] Operand 1
     /* 1469125 */     // No operand predicates
     /* 1469125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469129 */     // MIs[0] policy
     /* 1469129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469141 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1469144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469166 */     // GIR_Coverage, 23740,
     /* 1469166 */     GIR_EraseRootFromParent_Done,
     /* 1469167 */   // Label 20539: @1469167
     /* 1469167 */   GIM_Try, /*On fail goto*//*Label 20540*/ GIMT_Encode4(1469264), // Rule ID 23743 //
     /* 1469172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1469180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1469183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1469186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1469189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469222 */     // MIs[1] Operand 1
     /* 1469222 */     // No operand predicates
     /* 1469222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469226 */     // MIs[0] policy
     /* 1469226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469238 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1469241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469263 */     // GIR_Coverage, 23743,
     /* 1469263 */     GIR_EraseRootFromParent_Done,
     /* 1469264 */   // Label 20540: @1469264
     /* 1469264 */   GIM_Try, /*On fail goto*//*Label 20541*/ GIMT_Encode4(1469361), // Rule ID 23744 //
     /* 1469269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1469277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1469280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1469283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1469286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469319 */     // MIs[1] Operand 1
     /* 1469319 */     // No operand predicates
     /* 1469319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469323 */     // MIs[0] policy
     /* 1469323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469335 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1469338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469360 */     // GIR_Coverage, 23744,
     /* 1469360 */     GIR_EraseRootFromParent_Done,
     /* 1469361 */   // Label 20541: @1469361
     /* 1469361 */   GIM_Try, /*On fail goto*//*Label 20542*/ GIMT_Encode4(1469458), // Rule ID 23747 //
     /* 1469366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1469374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1469377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1469380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1469383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1469389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469416 */     // MIs[1] Operand 1
     /* 1469416 */     // No operand predicates
     /* 1469416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469420 */     // MIs[0] policy
     /* 1469420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469432 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1469435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469457 */     // GIR_Coverage, 23747,
     /* 1469457 */     GIR_EraseRootFromParent_Done,
     /* 1469458 */   // Label 20542: @1469458
     /* 1469458 */   GIM_Try, /*On fail goto*//*Label 20543*/ GIMT_Encode4(1469555), // Rule ID 23748 //
     /* 1469463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1469471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1469474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1469477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1469480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1469486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469513 */     // MIs[1] Operand 1
     /* 1469513 */     // No operand predicates
     /* 1469513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469517 */     // MIs[0] policy
     /* 1469517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469529 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1469532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469554 */     // GIR_Coverage, 23748,
     /* 1469554 */     GIR_EraseRootFromParent_Done,
     /* 1469555 */   // Label 20543: @1469555
     /* 1469555 */   GIM_Try, /*On fail goto*//*Label 20544*/ GIMT_Encode4(1469652), // Rule ID 23751 //
     /* 1469560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1469568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1469571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1469574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1469577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469610 */     // MIs[1] Operand 1
     /* 1469610 */     // No operand predicates
     /* 1469610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469614 */     // MIs[0] policy
     /* 1469614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469626 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1469629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1469648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469651 */     // GIR_Coverage, 23751,
     /* 1469651 */     GIR_EraseRootFromParent_Done,
     /* 1469652 */   // Label 20544: @1469652
     /* 1469652 */   GIM_Try, /*On fail goto*//*Label 20545*/ GIMT_Encode4(1469749), // Rule ID 23752 //
     /* 1469657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1469665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1469668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1469671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1469674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469707 */     // MIs[1] Operand 1
     /* 1469707 */     // No operand predicates
     /* 1469707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469711 */     // MIs[0] policy
     /* 1469711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469723 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1469726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1469745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469748 */     // GIR_Coverage, 23752,
     /* 1469748 */     GIR_EraseRootFromParent_Done,
     /* 1469749 */   // Label 20545: @1469749
     /* 1469749 */   GIM_Try, /*On fail goto*//*Label 20546*/ GIMT_Encode4(1469846), // Rule ID 23755 //
     /* 1469754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1469762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1469765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1469768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1469771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469804 */     // MIs[1] Operand 1
     /* 1469804 */     // No operand predicates
     /* 1469804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469808 */     // MIs[0] policy
     /* 1469808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469820 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1469823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469845 */     // GIR_Coverage, 23755,
     /* 1469845 */     GIR_EraseRootFromParent_Done,
     /* 1469846 */   // Label 20546: @1469846
     /* 1469846 */   GIM_Try, /*On fail goto*//*Label 20547*/ GIMT_Encode4(1469943), // Rule ID 23756 //
     /* 1469851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1469859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1469862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1469865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1469868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469901 */     // MIs[1] Operand 1
     /* 1469901 */     // No operand predicates
     /* 1469901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469905 */     // MIs[0] policy
     /* 1469905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469917 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1469920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469942 */     // GIR_Coverage, 23756,
     /* 1469942 */     GIR_EraseRootFromParent_Done,
     /* 1469943 */   // Label 20547: @1469943
     /* 1469943 */   GIM_Try, /*On fail goto*//*Label 20548*/ GIMT_Encode4(1470040), // Rule ID 23759 //
     /* 1469948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1469956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1469959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1469962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1469965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469998 */     // MIs[1] Operand 1
     /* 1469998 */     // No operand predicates
     /* 1469998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470002 */     // MIs[0] policy
     /* 1470002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470014 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1470017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470039 */     // GIR_Coverage, 23759,
     /* 1470039 */     GIR_EraseRootFromParent_Done,
     /* 1470040 */   // Label 20548: @1470040
     /* 1470040 */   GIM_Try, /*On fail goto*//*Label 20549*/ GIMT_Encode4(1470137), // Rule ID 23760 //
     /* 1470045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1470056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1470059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1470062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470095 */     // MIs[1] Operand 1
     /* 1470095 */     // No operand predicates
     /* 1470095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470099 */     // MIs[0] policy
     /* 1470099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470111 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1470114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470136 */     // GIR_Coverage, 23760,
     /* 1470136 */     GIR_EraseRootFromParent_Done,
     /* 1470137 */   // Label 20549: @1470137
     /* 1470137 */   GIM_Try, /*On fail goto*//*Label 20550*/ GIMT_Encode4(1470234), // Rule ID 23763 //
     /* 1470142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1470145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1470153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1470156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1470159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470192 */     // MIs[1] Operand 1
     /* 1470192 */     // No operand predicates
     /* 1470192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470196 */     // MIs[0] policy
     /* 1470196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470208 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1470211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1470230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470233 */     // GIR_Coverage, 23763,
     /* 1470233 */     GIR_EraseRootFromParent_Done,
     /* 1470234 */   // Label 20550: @1470234
     /* 1470234 */   GIM_Try, /*On fail goto*//*Label 20551*/ GIMT_Encode4(1470331), // Rule ID 23764 //
     /* 1470239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1470242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1470250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1470253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1470256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470289 */     // MIs[1] Operand 1
     /* 1470289 */     // No operand predicates
     /* 1470289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470293 */     // MIs[0] policy
     /* 1470293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470305 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1470308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1470327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470330 */     // GIR_Coverage, 23764,
     /* 1470330 */     GIR_EraseRootFromParent_Done,
     /* 1470331 */   // Label 20551: @1470331
     /* 1470331 */   GIM_Try, /*On fail goto*//*Label 20552*/ GIMT_Encode4(1470428), // Rule ID 23767 //
     /* 1470336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1470347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1470350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1470353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1470359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470386 */     // MIs[1] Operand 1
     /* 1470386 */     // No operand predicates
     /* 1470386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470390 */     // MIs[0] policy
     /* 1470390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470402 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1470405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470427 */     // GIR_Coverage, 23767,
     /* 1470427 */     GIR_EraseRootFromParent_Done,
     /* 1470428 */   // Label 20552: @1470428
     /* 1470428 */   GIM_Try, /*On fail goto*//*Label 20553*/ GIMT_Encode4(1470525), // Rule ID 23768 //
     /* 1470433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1470444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1470447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1470450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1470456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470483 */     // MIs[1] Operand 1
     /* 1470483 */     // No operand predicates
     /* 1470483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470487 */     // MIs[0] policy
     /* 1470487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470499 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1470502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470524 */     // GIR_Coverage, 23768,
     /* 1470524 */     GIR_EraseRootFromParent_Done,
     /* 1470525 */   // Label 20553: @1470525
     /* 1470525 */   GIM_Try, /*On fail goto*//*Label 20554*/ GIMT_Encode4(1470622), // Rule ID 23771 //
     /* 1470530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1470541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1470544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1470547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1470553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470580 */     // MIs[1] Operand 1
     /* 1470580 */     // No operand predicates
     /* 1470580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470584 */     // MIs[0] policy
     /* 1470584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470596 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1470599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470621 */     // GIR_Coverage, 23771,
     /* 1470621 */     GIR_EraseRootFromParent_Done,
     /* 1470622 */   // Label 20554: @1470622
     /* 1470622 */   GIM_Try, /*On fail goto*//*Label 20555*/ GIMT_Encode4(1470719), // Rule ID 23772 //
     /* 1470627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1470638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1470641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1470644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1470650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470677 */     // MIs[1] Operand 1
     /* 1470677 */     // No operand predicates
     /* 1470677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470681 */     // MIs[0] policy
     /* 1470681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470693 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1470696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470718 */     // GIR_Coverage, 23772,
     /* 1470718 */     GIR_EraseRootFromParent_Done,
     /* 1470719 */   // Label 20555: @1470719
     /* 1470719 */   GIM_Try, /*On fail goto*//*Label 20556*/ GIMT_Encode4(1470816), // Rule ID 23775 //
     /* 1470724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1470735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1470738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1470741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1470747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1470754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470774 */     // MIs[1] Operand 1
     /* 1470774 */     // No operand predicates
     /* 1470774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470778 */     // MIs[0] policy
     /* 1470778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470790 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1470793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470815 */     // GIR_Coverage, 23775,
     /* 1470815 */     GIR_EraseRootFromParent_Done,
     /* 1470816 */   // Label 20556: @1470816
     /* 1470816 */   GIM_Try, /*On fail goto*//*Label 20557*/ GIMT_Encode4(1470913), // Rule ID 23776 //
     /* 1470821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1470832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1470835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1470838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1470844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1470851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470871 */     // MIs[1] Operand 1
     /* 1470871 */     // No operand predicates
     /* 1470871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470875 */     // MIs[0] policy
     /* 1470875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470887 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1470890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470912 */     // GIR_Coverage, 23776,
     /* 1470912 */     GIR_EraseRootFromParent_Done,
     /* 1470913 */   // Label 20557: @1470913
     /* 1470913 */   GIM_Try, /*On fail goto*//*Label 20558*/ GIMT_Encode4(1471010), // Rule ID 23779 //
     /* 1470918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1470929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1470932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1470935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1470941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470968 */     // MIs[1] Operand 1
     /* 1470968 */     // No operand predicates
     /* 1470968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470972 */     // MIs[0] policy
     /* 1470972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470984 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1470987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471009 */     // GIR_Coverage, 23779,
     /* 1471009 */     GIR_EraseRootFromParent_Done,
     /* 1471010 */   // Label 20558: @1471010
     /* 1471010 */   GIM_Try, /*On fail goto*//*Label 20559*/ GIMT_Encode4(1471107), // Rule ID 23780 //
     /* 1471015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1471026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1471029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1471032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1471038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471065 */     // MIs[1] Operand 1
     /* 1471065 */     // No operand predicates
     /* 1471065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471069 */     // MIs[0] policy
     /* 1471069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471081 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1471084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471106 */     // GIR_Coverage, 23780,
     /* 1471106 */     GIR_EraseRootFromParent_Done,
     /* 1471107 */   // Label 20559: @1471107
     /* 1471107 */   GIM_Try, /*On fail goto*//*Label 20560*/ GIMT_Encode4(1471204), // Rule ID 23783 //
     /* 1471112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1471123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1471126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1471129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1471135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471162 */     // MIs[1] Operand 1
     /* 1471162 */     // No operand predicates
     /* 1471162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471166 */     // MIs[0] policy
     /* 1471166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471178 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1471181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471203 */     // GIR_Coverage, 23783,
     /* 1471203 */     GIR_EraseRootFromParent_Done,
     /* 1471204 */   // Label 20560: @1471204
     /* 1471204 */   GIM_Try, /*On fail goto*//*Label 20561*/ GIMT_Encode4(1471301), // Rule ID 23784 //
     /* 1471209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1471220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1471223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1471226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1471232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471259 */     // MIs[1] Operand 1
     /* 1471259 */     // No operand predicates
     /* 1471259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471263 */     // MIs[0] policy
     /* 1471263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471275 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1471278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471300 */     // GIR_Coverage, 23784,
     /* 1471300 */     GIR_EraseRootFromParent_Done,
     /* 1471301 */   // Label 20561: @1471301
     /* 1471301 */   GIM_Try, /*On fail goto*//*Label 20562*/ GIMT_Encode4(1471398), // Rule ID 23787 //
     /* 1471306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1471317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1471320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1471323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1471329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1471336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471356 */     // MIs[1] Operand 1
     /* 1471356 */     // No operand predicates
     /* 1471356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471360 */     // MIs[0] policy
     /* 1471360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471372 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1471375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471397 */     // GIR_Coverage, 23787,
     /* 1471397 */     GIR_EraseRootFromParent_Done,
     /* 1471398 */   // Label 20562: @1471398
     /* 1471398 */   GIM_Try, /*On fail goto*//*Label 20563*/ GIMT_Encode4(1471495), // Rule ID 23788 //
     /* 1471403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1471414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1471417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1471420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1471426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1471433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471453 */     // MIs[1] Operand 1
     /* 1471453 */     // No operand predicates
     /* 1471453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471457 */     // MIs[0] policy
     /* 1471457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471469 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1471472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471494 */     // GIR_Coverage, 23788,
     /* 1471494 */     GIR_EraseRootFromParent_Done,
     /* 1471495 */   // Label 20563: @1471495
     /* 1471495 */   GIM_Try, /*On fail goto*//*Label 20564*/ GIMT_Encode4(1471592), // Rule ID 23791 //
     /* 1471500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1471511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1471514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1471517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471550 */     // MIs[1] Operand 1
     /* 1471550 */     // No operand predicates
     /* 1471550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471554 */     // MIs[0] policy
     /* 1471554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471566 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1471569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471591 */     // GIR_Coverage, 23791,
     /* 1471591 */     GIR_EraseRootFromParent_Done,
     /* 1471592 */   // Label 20564: @1471592
     /* 1471592 */   GIM_Try, /*On fail goto*//*Label 20565*/ GIMT_Encode4(1471689), // Rule ID 23792 //
     /* 1471597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1471608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1471611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1471614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471647 */     // MIs[1] Operand 1
     /* 1471647 */     // No operand predicates
     /* 1471647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471651 */     // MIs[0] policy
     /* 1471651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471663 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1471666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471688 */     // GIR_Coverage, 23792,
     /* 1471688 */     GIR_EraseRootFromParent_Done,
     /* 1471689 */   // Label 20565: @1471689
     /* 1471689 */   GIM_Try, /*On fail goto*//*Label 20566*/ GIMT_Encode4(1471786), // Rule ID 23795 //
     /* 1471694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1471705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1471708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1471711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1471717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471744 */     // MIs[1] Operand 1
     /* 1471744 */     // No operand predicates
     /* 1471744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471748 */     // MIs[0] policy
     /* 1471748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471760 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1471763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471785 */     // GIR_Coverage, 23795,
     /* 1471785 */     GIR_EraseRootFromParent_Done,
     /* 1471786 */   // Label 20566: @1471786
     /* 1471786 */   GIM_Try, /*On fail goto*//*Label 20567*/ GIMT_Encode4(1471883), // Rule ID 23796 //
     /* 1471791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1471802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1471805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1471808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1471814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471841 */     // MIs[1] Operand 1
     /* 1471841 */     // No operand predicates
     /* 1471841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471845 */     // MIs[0] policy
     /* 1471845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471857 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1471860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471882 */     // GIR_Coverage, 23796,
     /* 1471882 */     GIR_EraseRootFromParent_Done,
     /* 1471883 */   // Label 20567: @1471883
     /* 1471883 */   GIM_Try, /*On fail goto*//*Label 20568*/ GIMT_Encode4(1471980), // Rule ID 23799 //
     /* 1471888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1471899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1471902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1471905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1471911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1471918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471938 */     // MIs[1] Operand 1
     /* 1471938 */     // No operand predicates
     /* 1471938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471942 */     // MIs[0] policy
     /* 1471942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471954 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1471957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471979 */     // GIR_Coverage, 23799,
     /* 1471979 */     GIR_EraseRootFromParent_Done,
     /* 1471980 */   // Label 20568: @1471980
     /* 1471980 */   GIM_Try, /*On fail goto*//*Label 20569*/ GIMT_Encode4(1472077), // Rule ID 23800 //
     /* 1471985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1471996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1471999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1472002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1472008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472035 */     // MIs[1] Operand 1
     /* 1472035 */     // No operand predicates
     /* 1472035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472039 */     // MIs[0] policy
     /* 1472039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472051 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1472054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472076 */     // GIR_Coverage, 23800,
     /* 1472076 */     GIR_EraseRootFromParent_Done,
     /* 1472077 */   // Label 20569: @1472077
     /* 1472077 */   GIM_Try, /*On fail goto*//*Label 20570*/ GIMT_Encode4(1472174), // Rule ID 23803 //
     /* 1472082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1472085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1472093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1472096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1472099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1472105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472132 */     // MIs[1] Operand 1
     /* 1472132 */     // No operand predicates
     /* 1472132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472136 */     // MIs[0] policy
     /* 1472136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472148 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1472170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472173 */     // GIR_Coverage, 23803,
     /* 1472173 */     GIR_EraseRootFromParent_Done,
     /* 1472174 */   // Label 20570: @1472174
     /* 1472174 */   GIM_Try, /*On fail goto*//*Label 20571*/ GIMT_Encode4(1472271), // Rule ID 23804 //
     /* 1472179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1472182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1472190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1472193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1472196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1472202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472229 */     // MIs[1] Operand 1
     /* 1472229 */     // No operand predicates
     /* 1472229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472233 */     // MIs[0] policy
     /* 1472233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472245 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1472267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472270 */     // GIR_Coverage, 23804,
     /* 1472270 */     GIR_EraseRootFromParent_Done,
     /* 1472271 */   // Label 20571: @1472271
     /* 1472271 */   GIM_Try, /*On fail goto*//*Label 20572*/ GIMT_Encode4(1472368), // Rule ID 23807 //
     /* 1472276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1472279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1472287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1472290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1472293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1472299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472326 */     // MIs[1] Operand 1
     /* 1472326 */     // No operand predicates
     /* 1472326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472330 */     // MIs[0] policy
     /* 1472330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472342 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1472345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1472364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472367 */     // GIR_Coverage, 23807,
     /* 1472367 */     GIR_EraseRootFromParent_Done,
     /* 1472368 */   // Label 20572: @1472368
     /* 1472368 */   GIM_Try, /*On fail goto*//*Label 20573*/ GIMT_Encode4(1472465), // Rule ID 23808 //
     /* 1472373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1472376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1472384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1472387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1472390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1472396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472423 */     // MIs[1] Operand 1
     /* 1472423 */     // No operand predicates
     /* 1472423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472427 */     // MIs[0] policy
     /* 1472427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472439 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1472442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1472461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472464 */     // GIR_Coverage, 23808,
     /* 1472464 */     GIR_EraseRootFromParent_Done,
     /* 1472465 */   // Label 20573: @1472465
     /* 1472465 */   GIM_Try, /*On fail goto*//*Label 20574*/ GIMT_Encode4(1472562), // Rule ID 23811 //
     /* 1472470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1472473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1472481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1472484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1472487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472520 */     // MIs[1] Operand 1
     /* 1472520 */     // No operand predicates
     /* 1472520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472524 */     // MIs[0] policy
     /* 1472524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472536 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1472539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1472558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472561 */     // GIR_Coverage, 23811,
     /* 1472561 */     GIR_EraseRootFromParent_Done,
     /* 1472562 */   // Label 20574: @1472562
     /* 1472562 */   GIM_Try, /*On fail goto*//*Label 20575*/ GIMT_Encode4(1472659), // Rule ID 23812 //
     /* 1472567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1472570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1472578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1472581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1472584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472617 */     // MIs[1] Operand 1
     /* 1472617 */     // No operand predicates
     /* 1472617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472621 */     // MIs[0] policy
     /* 1472621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472633 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1472636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1472655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472658 */     // GIR_Coverage, 23812,
     /* 1472658 */     GIR_EraseRootFromParent_Done,
     /* 1472659 */   // Label 20575: @1472659
     /* 1472659 */   GIM_Try, /*On fail goto*//*Label 20576*/ GIMT_Encode4(1472756), // Rule ID 24051 //
     /* 1472664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1472667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1472675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1472678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1472681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1472687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472714 */     // MIs[1] Operand 1
     /* 1472714 */     // No operand predicates
     /* 1472714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472718 */     // MIs[0] policy
     /* 1472718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472730 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1472733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472755 */     // GIR_Coverage, 24051,
     /* 1472755 */     GIR_EraseRootFromParent_Done,
     /* 1472756 */   // Label 20576: @1472756
     /* 1472756 */   GIM_Try, /*On fail goto*//*Label 20577*/ GIMT_Encode4(1472853), // Rule ID 24052 //
     /* 1472761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1472764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1472772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1472775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1472778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1472784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472811 */     // MIs[1] Operand 1
     /* 1472811 */     // No operand predicates
     /* 1472811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472815 */     // MIs[0] policy
     /* 1472815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472827 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1472830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472852 */     // GIR_Coverage, 24052,
     /* 1472852 */     GIR_EraseRootFromParent_Done,
     /* 1472853 */   // Label 20577: @1472853
     /* 1472853 */   GIM_Try, /*On fail goto*//*Label 20578*/ GIMT_Encode4(1472950), // Rule ID 24055 //
     /* 1472858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1472861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1472869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1472872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1472875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1472881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472908 */     // MIs[1] Operand 1
     /* 1472908 */     // No operand predicates
     /* 1472908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472912 */     // MIs[0] policy
     /* 1472912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472924 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1472927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472949 */     // GIR_Coverage, 24055,
     /* 1472949 */     GIR_EraseRootFromParent_Done,
     /* 1472950 */   // Label 20578: @1472950
     /* 1472950 */   GIM_Try, /*On fail goto*//*Label 20579*/ GIMT_Encode4(1473047), // Rule ID 24056 //
     /* 1472955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1472958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1472963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1472966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1472969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1472972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1472978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473005 */     // MIs[1] Operand 1
     /* 1473005 */     // No operand predicates
     /* 1473005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473009 */     // MIs[0] policy
     /* 1473009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473021 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1473024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473046 */     // GIR_Coverage, 24056,
     /* 1473046 */     GIR_EraseRootFromParent_Done,
     /* 1473047 */   // Label 20579: @1473047
     /* 1473047 */   GIM_Try, /*On fail goto*//*Label 20580*/ GIMT_Encode4(1473144), // Rule ID 24059 //
     /* 1473052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1473055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1473063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1473066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1473069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473102 */     // MIs[1] Operand 1
     /* 1473102 */     // No operand predicates
     /* 1473102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473106 */     // MIs[0] policy
     /* 1473106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473118 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1473121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473143 */     // GIR_Coverage, 24059,
     /* 1473143 */     GIR_EraseRootFromParent_Done,
     /* 1473144 */   // Label 20580: @1473144
     /* 1473144 */   GIM_Try, /*On fail goto*//*Label 20581*/ GIMT_Encode4(1473241), // Rule ID 24060 //
     /* 1473149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1473152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1473160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1473163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1473166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473199 */     // MIs[1] Operand 1
     /* 1473199 */     // No operand predicates
     /* 1473199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473203 */     // MIs[0] policy
     /* 1473203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473215 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1473218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473240 */     // GIR_Coverage, 24060,
     /* 1473240 */     GIR_EraseRootFromParent_Done,
     /* 1473241 */   // Label 20581: @1473241
     /* 1473241 */   GIM_Try, /*On fail goto*//*Label 20582*/ GIMT_Encode4(1473338), // Rule ID 24063 //
     /* 1473246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1473249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1473257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1473260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1473263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473296 */     // MIs[1] Operand 1
     /* 1473296 */     // No operand predicates
     /* 1473296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473300 */     // MIs[0] policy
     /* 1473300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473312 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1473315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473337 */     // GIR_Coverage, 24063,
     /* 1473337 */     GIR_EraseRootFromParent_Done,
     /* 1473338 */   // Label 20582: @1473338
     /* 1473338 */   GIM_Try, /*On fail goto*//*Label 20583*/ GIMT_Encode4(1473435), // Rule ID 24064 //
     /* 1473343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1473346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1473354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1473357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1473360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473393 */     // MIs[1] Operand 1
     /* 1473393 */     // No operand predicates
     /* 1473393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473397 */     // MIs[0] policy
     /* 1473397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473409 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1473412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473434 */     // GIR_Coverage, 24064,
     /* 1473434 */     GIR_EraseRootFromParent_Done,
     /* 1473435 */   // Label 20583: @1473435
     /* 1473435 */   GIM_Try, /*On fail goto*//*Label 20584*/ GIMT_Encode4(1473532), // Rule ID 24067 //
     /* 1473440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1473443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1473451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1473454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1473457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473490 */     // MIs[1] Operand 1
     /* 1473490 */     // No operand predicates
     /* 1473490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473494 */     // MIs[0] policy
     /* 1473494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473506 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1473509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473531 */     // GIR_Coverage, 24067,
     /* 1473531 */     GIR_EraseRootFromParent_Done,
     /* 1473532 */   // Label 20584: @1473532
     /* 1473532 */   GIM_Try, /*On fail goto*//*Label 20585*/ GIMT_Encode4(1473629), // Rule ID 24068 //
     /* 1473537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1473540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1473548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1473551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1473554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473587 */     // MIs[1] Operand 1
     /* 1473587 */     // No operand predicates
     /* 1473587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473591 */     // MIs[0] policy
     /* 1473591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473603 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1473606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473628 */     // GIR_Coverage, 24068,
     /* 1473628 */     GIR_EraseRootFromParent_Done,
     /* 1473629 */   // Label 20585: @1473629
     /* 1473629 */   GIM_Try, /*On fail goto*//*Label 20586*/ GIMT_Encode4(1473726), // Rule ID 24071 //
     /* 1473634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1473637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1473645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1473648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1473651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473684 */     // MIs[1] Operand 1
     /* 1473684 */     // No operand predicates
     /* 1473684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473688 */     // MIs[0] policy
     /* 1473688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473700 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1473703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473725 */     // GIR_Coverage, 24071,
     /* 1473725 */     GIR_EraseRootFromParent_Done,
     /* 1473726 */   // Label 20586: @1473726
     /* 1473726 */   GIM_Try, /*On fail goto*//*Label 20587*/ GIMT_Encode4(1473823), // Rule ID 24072 //
     /* 1473731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1473734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1473742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1473745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1473748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473781 */     // MIs[1] Operand 1
     /* 1473781 */     // No operand predicates
     /* 1473781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473785 */     // MIs[0] policy
     /* 1473785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473797 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1473800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473822 */     // GIR_Coverage, 24072,
     /* 1473822 */     GIR_EraseRootFromParent_Done,
     /* 1473823 */   // Label 20587: @1473823
     /* 1473823 */   GIM_Try, /*On fail goto*//*Label 20588*/ GIMT_Encode4(1473920), // Rule ID 24075 //
     /* 1473828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1473831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1473839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1473842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1473845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473878 */     // MIs[1] Operand 1
     /* 1473878 */     // No operand predicates
     /* 1473878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473882 */     // MIs[0] policy
     /* 1473882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473894 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1473897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473919 */     // GIR_Coverage, 24075,
     /* 1473919 */     GIR_EraseRootFromParent_Done,
     /* 1473920 */   // Label 20588: @1473920
     /* 1473920 */   GIM_Try, /*On fail goto*//*Label 20589*/ GIMT_Encode4(1474017), // Rule ID 24076 //
     /* 1473925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1473928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1473933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1473936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1473939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1473942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473975 */     // MIs[1] Operand 1
     /* 1473975 */     // No operand predicates
     /* 1473975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473979 */     // MIs[0] policy
     /* 1473979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473991 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1473994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474016 */     // GIR_Coverage, 24076,
     /* 1474016 */     GIR_EraseRootFromParent_Done,
     /* 1474017 */   // Label 20589: @1474017
     /* 1474017 */   GIM_Try, /*On fail goto*//*Label 20590*/ GIMT_Encode4(1474114), // Rule ID 24079 //
     /* 1474022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1474025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1474033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1474036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1474039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1474045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474072 */     // MIs[1] Operand 1
     /* 1474072 */     // No operand predicates
     /* 1474072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474076 */     // MIs[0] policy
     /* 1474076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474088 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1474091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474113 */     // GIR_Coverage, 24079,
     /* 1474113 */     GIR_EraseRootFromParent_Done,
     /* 1474114 */   // Label 20590: @1474114
     /* 1474114 */   GIM_Try, /*On fail goto*//*Label 20591*/ GIMT_Encode4(1474211), // Rule ID 24080 //
     /* 1474119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1474122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1474130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1474133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1474136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1474142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474169 */     // MIs[1] Operand 1
     /* 1474169 */     // No operand predicates
     /* 1474169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474173 */     // MIs[0] policy
     /* 1474173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474185 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1474188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474210 */     // GIR_Coverage, 24080,
     /* 1474210 */     GIR_EraseRootFromParent_Done,
     /* 1474211 */   // Label 20591: @1474211
     /* 1474211 */   GIM_Try, /*On fail goto*//*Label 20592*/ GIMT_Encode4(1474308), // Rule ID 24083 //
     /* 1474216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1474219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1474227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1474230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1474233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1474239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474266 */     // MIs[1] Operand 1
     /* 1474266 */     // No operand predicates
     /* 1474266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474270 */     // MIs[0] policy
     /* 1474270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474282 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1474285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474307 */     // GIR_Coverage, 24083,
     /* 1474307 */     GIR_EraseRootFromParent_Done,
     /* 1474308 */   // Label 20592: @1474308
     /* 1474308 */   GIM_Try, /*On fail goto*//*Label 20593*/ GIMT_Encode4(1474405), // Rule ID 24084 //
     /* 1474313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1474316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1474324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1474327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1474330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1474336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474363 */     // MIs[1] Operand 1
     /* 1474363 */     // No operand predicates
     /* 1474363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474367 */     // MIs[0] policy
     /* 1474367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474379 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1474382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474404 */     // GIR_Coverage, 24084,
     /* 1474404 */     GIR_EraseRootFromParent_Done,
     /* 1474405 */   // Label 20593: @1474405
     /* 1474405 */   GIM_Try, /*On fail goto*//*Label 20594*/ GIMT_Encode4(1474502), // Rule ID 24087 //
     /* 1474410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1474413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1474421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1474424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1474427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1474433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1474440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474460 */     // MIs[1] Operand 1
     /* 1474460 */     // No operand predicates
     /* 1474460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474464 */     // MIs[0] policy
     /* 1474464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474476 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1474479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474501 */     // GIR_Coverage, 24087,
     /* 1474501 */     GIR_EraseRootFromParent_Done,
     /* 1474502 */   // Label 20594: @1474502
     /* 1474502 */   GIM_Try, /*On fail goto*//*Label 20595*/ GIMT_Encode4(1474599), // Rule ID 24088 //
     /* 1474507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1474510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1474518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1474521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1474524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1474530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1474537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474557 */     // MIs[1] Operand 1
     /* 1474557 */     // No operand predicates
     /* 1474557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474561 */     // MIs[0] policy
     /* 1474561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474573 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1474576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474598 */     // GIR_Coverage, 24088,
     /* 1474598 */     GIR_EraseRootFromParent_Done,
     /* 1474599 */   // Label 20595: @1474599
     /* 1474599 */   GIM_Try, /*On fail goto*//*Label 20596*/ GIMT_Encode4(1474696), // Rule ID 24091 //
     /* 1474604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1474607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1474615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1474618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1474621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1474627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474654 */     // MIs[1] Operand 1
     /* 1474654 */     // No operand predicates
     /* 1474654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474658 */     // MIs[0] policy
     /* 1474658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474670 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1474673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474695 */     // GIR_Coverage, 24091,
     /* 1474695 */     GIR_EraseRootFromParent_Done,
     /* 1474696 */   // Label 20596: @1474696
     /* 1474696 */   GIM_Try, /*On fail goto*//*Label 20597*/ GIMT_Encode4(1474793), // Rule ID 24092 //
     /* 1474701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1474704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1474712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1474715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1474718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1474724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474751 */     // MIs[1] Operand 1
     /* 1474751 */     // No operand predicates
     /* 1474751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474755 */     // MIs[0] policy
     /* 1474755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474767 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1474770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474792 */     // GIR_Coverage, 24092,
     /* 1474792 */     GIR_EraseRootFromParent_Done,
     /* 1474793 */   // Label 20597: @1474793
     /* 1474793 */   GIM_Try, /*On fail goto*//*Label 20598*/ GIMT_Encode4(1474890), // Rule ID 24095 //
     /* 1474798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1474801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1474809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1474812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1474815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1474821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474848 */     // MIs[1] Operand 1
     /* 1474848 */     // No operand predicates
     /* 1474848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474852 */     // MIs[0] policy
     /* 1474852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474864 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1474867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474889 */     // GIR_Coverage, 24095,
     /* 1474889 */     GIR_EraseRootFromParent_Done,
     /* 1474890 */   // Label 20598: @1474890
     /* 1474890 */   GIM_Try, /*On fail goto*//*Label 20599*/ GIMT_Encode4(1474987), // Rule ID 24096 //
     /* 1474895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1474898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1474903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1474906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1474909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1474912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1474918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474945 */     // MIs[1] Operand 1
     /* 1474945 */     // No operand predicates
     /* 1474945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474949 */     // MIs[0] policy
     /* 1474949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474961 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1474964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1474968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474986 */     // GIR_Coverage, 24096,
     /* 1474986 */     GIR_EraseRootFromParent_Done,
     /* 1474987 */   // Label 20599: @1474987
     /* 1474987 */   GIM_Try, /*On fail goto*//*Label 20600*/ GIMT_Encode4(1475084), // Rule ID 24099 //
     /* 1474992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1474995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1475003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1475006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1475009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1475015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475042 */     // MIs[1] Operand 1
     /* 1475042 */     // No operand predicates
     /* 1475042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475046 */     // MIs[0] policy
     /* 1475046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475058 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475083 */     // GIR_Coverage, 24099,
     /* 1475083 */     GIR_EraseRootFromParent_Done,
     /* 1475084 */   // Label 20600: @1475084
     /* 1475084 */   GIM_Try, /*On fail goto*//*Label 20601*/ GIMT_Encode4(1475181), // Rule ID 24100 //
     /* 1475089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1475092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1475100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1475103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1475106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1475112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475139 */     // MIs[1] Operand 1
     /* 1475139 */     // No operand predicates
     /* 1475139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475143 */     // MIs[0] policy
     /* 1475143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475155 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1475158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475180 */     // GIR_Coverage, 24100,
     /* 1475180 */     GIR_EraseRootFromParent_Done,
     /* 1475181 */   // Label 20601: @1475181
     /* 1475181 */   GIM_Try, /*On fail goto*//*Label 20602*/ GIMT_Encode4(1475278), // Rule ID 24103 //
     /* 1475186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1475189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1475197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1475200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1475203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475236 */     // MIs[1] Operand 1
     /* 1475236 */     // No operand predicates
     /* 1475236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475240 */     // MIs[0] policy
     /* 1475240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475252 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475277 */     // GIR_Coverage, 24103,
     /* 1475277 */     GIR_EraseRootFromParent_Done,
     /* 1475278 */   // Label 20602: @1475278
     /* 1475278 */   GIM_Try, /*On fail goto*//*Label 20603*/ GIMT_Encode4(1475375), // Rule ID 24104 //
     /* 1475283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1475286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1475294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1475297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1475300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475333 */     // MIs[1] Operand 1
     /* 1475333 */     // No operand predicates
     /* 1475333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475337 */     // MIs[0] policy
     /* 1475337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475349 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1475352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475374 */     // GIR_Coverage, 24104,
     /* 1475374 */     GIR_EraseRootFromParent_Done,
     /* 1475375 */   // Label 20603: @1475375
     /* 1475375 */   GIM_Try, /*On fail goto*//*Label 20604*/ GIMT_Encode4(1475472), // Rule ID 24107 //
     /* 1475380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1475383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1475391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1475394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1475397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475430 */     // MIs[1] Operand 1
     /* 1475430 */     // No operand predicates
     /* 1475430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475434 */     // MIs[0] policy
     /* 1475434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475446 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1475449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475471 */     // GIR_Coverage, 24107,
     /* 1475471 */     GIR_EraseRootFromParent_Done,
     /* 1475472 */   // Label 20604: @1475472
     /* 1475472 */   GIM_Try, /*On fail goto*//*Label 20605*/ GIMT_Encode4(1475569), // Rule ID 24108 //
     /* 1475477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1475480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1475485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1475488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1475491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1475494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475527 */     // MIs[1] Operand 1
     /* 1475527 */     // No operand predicates
     /* 1475527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475531 */     // MIs[0] policy
     /* 1475531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475543 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1475546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475568 */     // GIR_Coverage, 24108,
     /* 1475568 */     GIR_EraseRootFromParent_Done,
     /* 1475569 */   // Label 20605: @1475569
     /* 1475569 */   GIM_Try, /*On fail goto*//*Label 20606*/ GIMT_Encode4(1475666), // Rule ID 24171 //
     /* 1475574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1475577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1475582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1475585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1475588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1475591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1475597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475624 */     // MIs[1] Operand 1
     /* 1475624 */     // No operand predicates
     /* 1475624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475628 */     // MIs[0] policy
     /* 1475628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475640 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1475643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475665 */     // GIR_Coverage, 24171,
     /* 1475665 */     GIR_EraseRootFromParent_Done,
     /* 1475666 */   // Label 20606: @1475666
     /* 1475666 */   GIM_Try, /*On fail goto*//*Label 20607*/ GIMT_Encode4(1475763), // Rule ID 24172 //
     /* 1475671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1475674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1475679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1475682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1475685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1475688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1475694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475721 */     // MIs[1] Operand 1
     /* 1475721 */     // No operand predicates
     /* 1475721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475725 */     // MIs[0] policy
     /* 1475725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475737 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1475740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475762 */     // GIR_Coverage, 24172,
     /* 1475762 */     GIR_EraseRootFromParent_Done,
     /* 1475763 */   // Label 20607: @1475763
     /* 1475763 */   GIM_Try, /*On fail goto*//*Label 20608*/ GIMT_Encode4(1475860), // Rule ID 24175 //
     /* 1475768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1475771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1475776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1475779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1475782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1475785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1475791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475818 */     // MIs[1] Operand 1
     /* 1475818 */     // No operand predicates
     /* 1475818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475822 */     // MIs[0] policy
     /* 1475822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475834 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1475837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475859 */     // GIR_Coverage, 24175,
     /* 1475859 */     GIR_EraseRootFromParent_Done,
     /* 1475860 */   // Label 20608: @1475860
     /* 1475860 */   GIM_Try, /*On fail goto*//*Label 20609*/ GIMT_Encode4(1475957), // Rule ID 24176 //
     /* 1475865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1475868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1475873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1475876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1475879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1475882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1475888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475915 */     // MIs[1] Operand 1
     /* 1475915 */     // No operand predicates
     /* 1475915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475919 */     // MIs[0] policy
     /* 1475919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475931 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1475934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1475938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475956 */     // GIR_Coverage, 24176,
     /* 1475956 */     GIR_EraseRootFromParent_Done,
     /* 1475957 */   // Label 20609: @1475957
     /* 1475957 */   GIM_Try, /*On fail goto*//*Label 20610*/ GIMT_Encode4(1476054), // Rule ID 24179 //
     /* 1475962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1475965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1475970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1475973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1475976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1475979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1475985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476012 */     // MIs[1] Operand 1
     /* 1476012 */     // No operand predicates
     /* 1476012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476016 */     // MIs[0] policy
     /* 1476016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476028 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1476031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476053 */     // GIR_Coverage, 24179,
     /* 1476053 */     GIR_EraseRootFromParent_Done,
     /* 1476054 */   // Label 20610: @1476054
     /* 1476054 */   GIM_Try, /*On fail goto*//*Label 20611*/ GIMT_Encode4(1476151), // Rule ID 24180 //
     /* 1476059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1476062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1476070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1476073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1476076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1476082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476109 */     // MIs[1] Operand 1
     /* 1476109 */     // No operand predicates
     /* 1476109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476113 */     // MIs[0] policy
     /* 1476113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476125 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1476128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476150 */     // GIR_Coverage, 24180,
     /* 1476150 */     GIR_EraseRootFromParent_Done,
     /* 1476151 */   // Label 20611: @1476151
     /* 1476151 */   GIM_Try, /*On fail goto*//*Label 20612*/ GIMT_Encode4(1476248), // Rule ID 24183 //
     /* 1476156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1476159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1476167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1476170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1476173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476206 */     // MIs[1] Operand 1
     /* 1476206 */     // No operand predicates
     /* 1476206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476210 */     // MIs[0] policy
     /* 1476210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476222 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1476225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476247 */     // GIR_Coverage, 24183,
     /* 1476247 */     GIR_EraseRootFromParent_Done,
     /* 1476248 */   // Label 20612: @1476248
     /* 1476248 */   GIM_Try, /*On fail goto*//*Label 20613*/ GIMT_Encode4(1476345), // Rule ID 24184 //
     /* 1476253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1476256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1476264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1476267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1476270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476303 */     // MIs[1] Operand 1
     /* 1476303 */     // No operand predicates
     /* 1476303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476307 */     // MIs[0] policy
     /* 1476307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476319 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1476322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476344 */     // GIR_Coverage, 24184,
     /* 1476344 */     GIR_EraseRootFromParent_Done,
     /* 1476345 */   // Label 20613: @1476345
     /* 1476345 */   GIM_Try, /*On fail goto*//*Label 20614*/ GIMT_Encode4(1476442), // Rule ID 24187 //
     /* 1476350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1476353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1476361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1476364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1476367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476400 */     // MIs[1] Operand 1
     /* 1476400 */     // No operand predicates
     /* 1476400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476404 */     // MIs[0] policy
     /* 1476404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476416 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1476419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476441 */     // GIR_Coverage, 24187,
     /* 1476441 */     GIR_EraseRootFromParent_Done,
     /* 1476442 */   // Label 20614: @1476442
     /* 1476442 */   GIM_Try, /*On fail goto*//*Label 20615*/ GIMT_Encode4(1476539), // Rule ID 24188 //
     /* 1476447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1476450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1476458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1476461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1476464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476497 */     // MIs[1] Operand 1
     /* 1476497 */     // No operand predicates
     /* 1476497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476501 */     // MIs[0] policy
     /* 1476501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476513 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1476516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476538 */     // GIR_Coverage, 24188,
     /* 1476538 */     GIR_EraseRootFromParent_Done,
     /* 1476539 */   // Label 20615: @1476539
     /* 1476539 */   GIM_Try, /*On fail goto*//*Label 20616*/ GIMT_Encode4(1476636), // Rule ID 24191 //
     /* 1476544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1476547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1476555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1476558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1476561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1476567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476594 */     // MIs[1] Operand 1
     /* 1476594 */     // No operand predicates
     /* 1476594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476598 */     // MIs[0] policy
     /* 1476598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476610 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1476613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476635 */     // GIR_Coverage, 24191,
     /* 1476635 */     GIR_EraseRootFromParent_Done,
     /* 1476636 */   // Label 20616: @1476636
     /* 1476636 */   GIM_Try, /*On fail goto*//*Label 20617*/ GIMT_Encode4(1476733), // Rule ID 24192 //
     /* 1476641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1476644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1476652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1476655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1476658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1476664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476691 */     // MIs[1] Operand 1
     /* 1476691 */     // No operand predicates
     /* 1476691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476695 */     // MIs[0] policy
     /* 1476695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476707 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1476710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476732 */     // GIR_Coverage, 24192,
     /* 1476732 */     GIR_EraseRootFromParent_Done,
     /* 1476733 */   // Label 20617: @1476733
     /* 1476733 */   GIM_Try, /*On fail goto*//*Label 20618*/ GIMT_Encode4(1476830), // Rule ID 24195 //
     /* 1476738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1476741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1476749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1476752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1476755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476788 */     // MIs[1] Operand 1
     /* 1476788 */     // No operand predicates
     /* 1476788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476792 */     // MIs[0] policy
     /* 1476792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476804 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1476807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476829 */     // GIR_Coverage, 24195,
     /* 1476829 */     GIR_EraseRootFromParent_Done,
     /* 1476830 */   // Label 20618: @1476830
     /* 1476830 */   GIM_Try, /*On fail goto*//*Label 20619*/ GIMT_Encode4(1476927), // Rule ID 24196 //
     /* 1476835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1476838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1476846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1476849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1476852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476885 */     // MIs[1] Operand 1
     /* 1476885 */     // No operand predicates
     /* 1476885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476889 */     // MIs[0] policy
     /* 1476889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476901 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1476904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476926 */     // GIR_Coverage, 24196,
     /* 1476926 */     GIR_EraseRootFromParent_Done,
     /* 1476927 */   // Label 20619: @1476927
     /* 1476927 */   GIM_Try, /*On fail goto*//*Label 20620*/ GIMT_Encode4(1477024), // Rule ID 24199 //
     /* 1476932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1476935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1476940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1476943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1476946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1476949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1476955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476982 */     // MIs[1] Operand 1
     /* 1476982 */     // No operand predicates
     /* 1476982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476986 */     // MIs[0] policy
     /* 1476986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476998 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1477001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477023 */     // GIR_Coverage, 24199,
     /* 1477023 */     GIR_EraseRootFromParent_Done,
     /* 1477024 */   // Label 20620: @1477024
     /* 1477024 */   GIM_Try, /*On fail goto*//*Label 20621*/ GIMT_Encode4(1477121), // Rule ID 24200 //
     /* 1477029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1477032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1477040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1477043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1477046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1477052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1477059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477079 */     // MIs[1] Operand 1
     /* 1477079 */     // No operand predicates
     /* 1477079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477083 */     // MIs[0] policy
     /* 1477083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477095 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1477098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477120 */     // GIR_Coverage, 24200,
     /* 1477120 */     GIR_EraseRootFromParent_Done,
     /* 1477121 */   // Label 20621: @1477121
     /* 1477121 */   GIM_Try, /*On fail goto*//*Label 20622*/ GIMT_Encode4(1477218), // Rule ID 24203 //
     /* 1477126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1477129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1477137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1477140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1477143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1477149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1477156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477176 */     // MIs[1] Operand 1
     /* 1477176 */     // No operand predicates
     /* 1477176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477180 */     // MIs[0] policy
     /* 1477180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477192 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1477195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477217 */     // GIR_Coverage, 24203,
     /* 1477217 */     GIR_EraseRootFromParent_Done,
     /* 1477218 */   // Label 20622: @1477218
     /* 1477218 */   GIM_Try, /*On fail goto*//*Label 20623*/ GIMT_Encode4(1477315), // Rule ID 24204 //
     /* 1477223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1477226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1477234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1477237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1477240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1477246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1477253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477273 */     // MIs[1] Operand 1
     /* 1477273 */     // No operand predicates
     /* 1477273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477277 */     // MIs[0] policy
     /* 1477277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477289 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1477292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477314 */     // GIR_Coverage, 24204,
     /* 1477314 */     GIR_EraseRootFromParent_Done,
     /* 1477315 */   // Label 20623: @1477315
     /* 1477315 */   GIM_Try, /*On fail goto*//*Label 20624*/ GIMT_Encode4(1477412), // Rule ID 24207 //
     /* 1477320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1477323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1477331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1477334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1477337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1477350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477370 */     // MIs[1] Operand 1
     /* 1477370 */     // No operand predicates
     /* 1477370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477374 */     // MIs[0] policy
     /* 1477374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477386 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1477389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477411 */     // GIR_Coverage, 24207,
     /* 1477411 */     GIR_EraseRootFromParent_Done,
     /* 1477412 */   // Label 20624: @1477412
     /* 1477412 */   GIM_Try, /*On fail goto*//*Label 20625*/ GIMT_Encode4(1477509), // Rule ID 24208 //
     /* 1477417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1477420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1477428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1477431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1477434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1477447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477467 */     // MIs[1] Operand 1
     /* 1477467 */     // No operand predicates
     /* 1477467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477471 */     // MIs[0] policy
     /* 1477471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477483 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1477486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477508 */     // GIR_Coverage, 24208,
     /* 1477508 */     GIR_EraseRootFromParent_Done,
     /* 1477509 */   // Label 20625: @1477509
     /* 1477509 */   GIM_Try, /*On fail goto*//*Label 20626*/ GIMT_Encode4(1477606), // Rule ID 24211 //
     /* 1477514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1477517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1477525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1477528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1477531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1477544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477564 */     // MIs[1] Operand 1
     /* 1477564 */     // No operand predicates
     /* 1477564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477568 */     // MIs[0] policy
     /* 1477568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477580 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1477583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477605 */     // GIR_Coverage, 24211,
     /* 1477605 */     GIR_EraseRootFromParent_Done,
     /* 1477606 */   // Label 20626: @1477606
     /* 1477606 */   GIM_Try, /*On fail goto*//*Label 20627*/ GIMT_Encode4(1477703), // Rule ID 24212 //
     /* 1477611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1477614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1477622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1477625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1477628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1477641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477661 */     // MIs[1] Operand 1
     /* 1477661 */     // No operand predicates
     /* 1477661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477665 */     // MIs[0] policy
     /* 1477665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477677 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1477680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477702 */     // GIR_Coverage, 24212,
     /* 1477702 */     GIR_EraseRootFromParent_Done,
     /* 1477703 */   // Label 20627: @1477703
     /* 1477703 */   GIM_Try, /*On fail goto*//*Label 20628*/ GIMT_Encode4(1477800), // Rule ID 24215 //
     /* 1477708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1477711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1477719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1477722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1477725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1477731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1477738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477758 */     // MIs[1] Operand 1
     /* 1477758 */     // No operand predicates
     /* 1477758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477762 */     // MIs[0] policy
     /* 1477762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477774 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1477777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477799 */     // GIR_Coverage, 24215,
     /* 1477799 */     GIR_EraseRootFromParent_Done,
     /* 1477800 */   // Label 20628: @1477800
     /* 1477800 */   GIM_Try, /*On fail goto*//*Label 20629*/ GIMT_Encode4(1477897), // Rule ID 24216 //
     /* 1477805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1477808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1477816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1477819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1477822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1477828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1477835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477855 */     // MIs[1] Operand 1
     /* 1477855 */     // No operand predicates
     /* 1477855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477859 */     // MIs[0] policy
     /* 1477859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477871 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1477874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477896 */     // GIR_Coverage, 24216,
     /* 1477896 */     GIR_EraseRootFromParent_Done,
     /* 1477897 */   // Label 20629: @1477897
     /* 1477897 */   GIM_Try, /*On fail goto*//*Label 20630*/ GIMT_Encode4(1477994), // Rule ID 24219 //
     /* 1477902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1477905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1477910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1477913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1477916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1477919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1477932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477952 */     // MIs[1] Operand 1
     /* 1477952 */     // No operand predicates
     /* 1477952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477956 */     // MIs[0] policy
     /* 1477956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477968 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1477971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1477990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477993 */     // GIR_Coverage, 24219,
     /* 1477993 */     GIR_EraseRootFromParent_Done,
     /* 1477994 */   // Label 20630: @1477994
     /* 1477994 */   GIM_Try, /*On fail goto*//*Label 20631*/ GIMT_Encode4(1478091), // Rule ID 24220 //
     /* 1477999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1478002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1478010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1478013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1478016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1478022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478049 */     // MIs[1] Operand 1
     /* 1478049 */     // No operand predicates
     /* 1478049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478053 */     // MIs[0] policy
     /* 1478053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478065 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1478068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478090 */     // GIR_Coverage, 24220,
     /* 1478090 */     GIR_EraseRootFromParent_Done,
     /* 1478091 */   // Label 20631: @1478091
     /* 1478091 */   GIM_Try, /*On fail goto*//*Label 20632*/ GIMT_Encode4(1478188), // Rule ID 24223 //
     /* 1478096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1478099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1478107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1478110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1478113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478146 */     // MIs[1] Operand 1
     /* 1478146 */     // No operand predicates
     /* 1478146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478150 */     // MIs[0] policy
     /* 1478150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478162 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1478165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478187 */     // GIR_Coverage, 24223,
     /* 1478187 */     GIR_EraseRootFromParent_Done,
     /* 1478188 */   // Label 20632: @1478188
     /* 1478188 */   GIM_Try, /*On fail goto*//*Label 20633*/ GIMT_Encode4(1478285), // Rule ID 24224 //
     /* 1478193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1478196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1478204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1478207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1478210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478243 */     // MIs[1] Operand 1
     /* 1478243 */     // No operand predicates
     /* 1478243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478247 */     // MIs[0] policy
     /* 1478247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478259 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1478262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478284 */     // GIR_Coverage, 24224,
     /* 1478284 */     GIR_EraseRootFromParent_Done,
     /* 1478285 */   // Label 20633: @1478285
     /* 1478285 */   GIM_Try, /*On fail goto*//*Label 20634*/ GIMT_Encode4(1478382), // Rule ID 24227 //
     /* 1478290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1478293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1478301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1478304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1478307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1478320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478340 */     // MIs[1] Operand 1
     /* 1478340 */     // No operand predicates
     /* 1478340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478344 */     // MIs[0] policy
     /* 1478344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478356 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1478359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478381 */     // GIR_Coverage, 24227,
     /* 1478381 */     GIR_EraseRootFromParent_Done,
     /* 1478382 */   // Label 20634: @1478382
     /* 1478382 */   GIM_Try, /*On fail goto*//*Label 20635*/ GIMT_Encode4(1478479), // Rule ID 24228 //
     /* 1478387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1478390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1478395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1478398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1478401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1478404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1478417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478437 */     // MIs[1] Operand 1
     /* 1478437 */     // No operand predicates
     /* 1478437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478441 */     // MIs[0] policy
     /* 1478441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478453 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1478456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478478 */     // GIR_Coverage, 24228,
     /* 1478478 */     GIR_EraseRootFromParent_Done,
     /* 1478479 */   // Label 20635: @1478479
     /* 1478479 */   GIM_Try, /*On fail goto*//*Label 20636*/ GIMT_Encode4(1478576), // Rule ID 24527 //
     /* 1478484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1478492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1478495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1478498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1478501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478534 */     // MIs[1] Operand 1
     /* 1478534 */     // No operand predicates
     /* 1478534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478538 */     // MIs[0] policy
     /* 1478538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478550 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1478553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478575 */     // GIR_Coverage, 24527,
     /* 1478575 */     GIR_EraseRootFromParent_Done,
     /* 1478576 */   // Label 20636: @1478576
     /* 1478576 */   GIM_Try, /*On fail goto*//*Label 20637*/ GIMT_Encode4(1478673), // Rule ID 24528 //
     /* 1478581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1478589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1478592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1478595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1478598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478631 */     // MIs[1] Operand 1
     /* 1478631 */     // No operand predicates
     /* 1478631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478635 */     // MIs[0] policy
     /* 1478635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478647 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1478650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478672 */     // GIR_Coverage, 24528,
     /* 1478672 */     GIR_EraseRootFromParent_Done,
     /* 1478673 */   // Label 20637: @1478673
     /* 1478673 */   GIM_Try, /*On fail goto*//*Label 20638*/ GIMT_Encode4(1478770), // Rule ID 24531 //
     /* 1478678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1478686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1478689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1478692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1478695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1478701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478728 */     // MIs[1] Operand 1
     /* 1478728 */     // No operand predicates
     /* 1478728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478732 */     // MIs[0] policy
     /* 1478732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478744 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1478747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478769 */     // GIR_Coverage, 24531,
     /* 1478769 */     GIR_EraseRootFromParent_Done,
     /* 1478770 */   // Label 20638: @1478770
     /* 1478770 */   GIM_Try, /*On fail goto*//*Label 20639*/ GIMT_Encode4(1478867), // Rule ID 24532 //
     /* 1478775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1478783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1478786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1478789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1478792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1478798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478825 */     // MIs[1] Operand 1
     /* 1478825 */     // No operand predicates
     /* 1478825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478829 */     // MIs[0] policy
     /* 1478829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478841 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1478844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478866 */     // GIR_Coverage, 24532,
     /* 1478866 */     GIR_EraseRootFromParent_Done,
     /* 1478867 */   // Label 20639: @1478867
     /* 1478867 */   GIM_Try, /*On fail goto*//*Label 20640*/ GIMT_Encode4(1478964), // Rule ID 24535 //
     /* 1478872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1478880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1478883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1478886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1478889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478922 */     // MIs[1] Operand 1
     /* 1478922 */     // No operand predicates
     /* 1478922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478926 */     // MIs[0] policy
     /* 1478926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478938 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1478941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478963 */     // GIR_Coverage, 24535,
     /* 1478963 */     GIR_EraseRootFromParent_Done,
     /* 1478964 */   // Label 20640: @1478964
     /* 1478964 */   GIM_Try, /*On fail goto*//*Label 20641*/ GIMT_Encode4(1479061), // Rule ID 24536 //
     /* 1478969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1478977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1478980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1478983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1478986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479019 */     // MIs[1] Operand 1
     /* 1479019 */     // No operand predicates
     /* 1479019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479023 */     // MIs[0] policy
     /* 1479023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479035 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1479038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1479057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479060 */     // GIR_Coverage, 24536,
     /* 1479060 */     GIR_EraseRootFromParent_Done,
     /* 1479061 */   // Label 20641: @1479061
     /* 1479061 */   GIM_Try, /*On fail goto*//*Label 20642*/ GIMT_Encode4(1479158), // Rule ID 24539 //
     /* 1479066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1479077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1479080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1479083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1479089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479116 */     // MIs[1] Operand 1
     /* 1479116 */     // No operand predicates
     /* 1479116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479120 */     // MIs[0] policy
     /* 1479120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479132 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1479135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479157 */     // GIR_Coverage, 24539,
     /* 1479157 */     GIR_EraseRootFromParent_Done,
     /* 1479158 */   // Label 20642: @1479158
     /* 1479158 */   GIM_Try, /*On fail goto*//*Label 20643*/ GIMT_Encode4(1479255), // Rule ID 24540 //
     /* 1479163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1479174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1479177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1479180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1479186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479213 */     // MIs[1] Operand 1
     /* 1479213 */     // No operand predicates
     /* 1479213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479217 */     // MIs[0] policy
     /* 1479217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479229 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1479232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479254 */     // GIR_Coverage, 24540,
     /* 1479254 */     GIR_EraseRootFromParent_Done,
     /* 1479255 */   // Label 20643: @1479255
     /* 1479255 */   GIM_Try, /*On fail goto*//*Label 20644*/ GIMT_Encode4(1479352), // Rule ID 24543 //
     /* 1479260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1479271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1479274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1479277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479310 */     // MIs[1] Operand 1
     /* 1479310 */     // No operand predicates
     /* 1479310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479314 */     // MIs[0] policy
     /* 1479314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479326 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1479329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479351 */     // GIR_Coverage, 24543,
     /* 1479351 */     GIR_EraseRootFromParent_Done,
     /* 1479352 */   // Label 20644: @1479352
     /* 1479352 */   GIM_Try, /*On fail goto*//*Label 20645*/ GIMT_Encode4(1479449), // Rule ID 24544 //
     /* 1479357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1479368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1479371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1479374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479407 */     // MIs[1] Operand 1
     /* 1479407 */     // No operand predicates
     /* 1479407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479411 */     // MIs[0] policy
     /* 1479411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479423 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1479426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479448 */     // GIR_Coverage, 24544,
     /* 1479448 */     GIR_EraseRootFromParent_Done,
     /* 1479449 */   // Label 20645: @1479449
     /* 1479449 */   GIM_Try, /*On fail goto*//*Label 20646*/ GIMT_Encode4(1479546), // Rule ID 24547 //
     /* 1479454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1479465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1479468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1479471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1479477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479504 */     // MIs[1] Operand 1
     /* 1479504 */     // No operand predicates
     /* 1479504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479508 */     // MIs[0] policy
     /* 1479508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479520 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1479523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479545 */     // GIR_Coverage, 24547,
     /* 1479545 */     GIR_EraseRootFromParent_Done,
     /* 1479546 */   // Label 20646: @1479546
     /* 1479546 */   GIM_Try, /*On fail goto*//*Label 20647*/ GIMT_Encode4(1479643), // Rule ID 24548 //
     /* 1479551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1479562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1479565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1479568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1479574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479601 */     // MIs[1] Operand 1
     /* 1479601 */     // No operand predicates
     /* 1479601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479605 */     // MIs[0] policy
     /* 1479605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479617 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1479620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479642 */     // GIR_Coverage, 24548,
     /* 1479642 */     GIR_EraseRootFromParent_Done,
     /* 1479643 */   // Label 20647: @1479643
     /* 1479643 */   GIM_Try, /*On fail goto*//*Label 20648*/ GIMT_Encode4(1479740), // Rule ID 24551 //
     /* 1479648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1479659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1479662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1479665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479698 */     // MIs[1] Operand 1
     /* 1479698 */     // No operand predicates
     /* 1479698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479702 */     // MIs[0] policy
     /* 1479702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479714 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1479717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1479736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479739 */     // GIR_Coverage, 24551,
     /* 1479739 */     GIR_EraseRootFromParent_Done,
     /* 1479740 */   // Label 20648: @1479740
     /* 1479740 */   GIM_Try, /*On fail goto*//*Label 20649*/ GIMT_Encode4(1479837), // Rule ID 24552 //
     /* 1479745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1479756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1479759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1479762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479795 */     // MIs[1] Operand 1
     /* 1479795 */     // No operand predicates
     /* 1479795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479799 */     // MIs[0] policy
     /* 1479799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479811 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1479814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1479833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479836 */     // GIR_Coverage, 24552,
     /* 1479836 */     GIR_EraseRootFromParent_Done,
     /* 1479837 */   // Label 20649: @1479837
     /* 1479837 */   GIM_Try, /*On fail goto*//*Label 20650*/ GIMT_Encode4(1479934), // Rule ID 24555 //
     /* 1479842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1479853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1479856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1479859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479892 */     // MIs[1] Operand 1
     /* 1479892 */     // No operand predicates
     /* 1479892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479896 */     // MIs[0] policy
     /* 1479896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479908 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1479911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479933 */     // GIR_Coverage, 24555,
     /* 1479933 */     GIR_EraseRootFromParent_Done,
     /* 1479934 */   // Label 20650: @1479934
     /* 1479934 */   GIM_Try, /*On fail goto*//*Label 20651*/ GIMT_Encode4(1480031), // Rule ID 24556 //
     /* 1479939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1479950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1479953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1479956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479989 */     // MIs[1] Operand 1
     /* 1479989 */     // No operand predicates
     /* 1479989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479993 */     // MIs[0] policy
     /* 1479993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480005 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1480008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480030 */     // GIR_Coverage, 24556,
     /* 1480030 */     GIR_EraseRootFromParent_Done,
     /* 1480031 */   // Label 20651: @1480031
     /* 1480031 */   GIM_Try, /*On fail goto*//*Label 20652*/ GIMT_Encode4(1480128), // Rule ID 24559 //
     /* 1480036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1480047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1480050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1480053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480086 */     // MIs[1] Operand 1
     /* 1480086 */     // No operand predicates
     /* 1480086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480090 */     // MIs[0] policy
     /* 1480090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480102 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1480105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480127 */     // GIR_Coverage, 24559,
     /* 1480127 */     GIR_EraseRootFromParent_Done,
     /* 1480128 */   // Label 20652: @1480128
     /* 1480128 */   GIM_Try, /*On fail goto*//*Label 20653*/ GIMT_Encode4(1480225), // Rule ID 24560 //
     /* 1480133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1480144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1480147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1480150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480183 */     // MIs[1] Operand 1
     /* 1480183 */     // No operand predicates
     /* 1480183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480187 */     // MIs[0] policy
     /* 1480187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480199 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1480202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480224 */     // GIR_Coverage, 24560,
     /* 1480224 */     GIR_EraseRootFromParent_Done,
     /* 1480225 */   // Label 20653: @1480225
     /* 1480225 */   GIM_Try, /*On fail goto*//*Label 20654*/ GIMT_Encode4(1480322), // Rule ID 24563 //
     /* 1480230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1480233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1480241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1480244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1480247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480280 */     // MIs[1] Operand 1
     /* 1480280 */     // No operand predicates
     /* 1480280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480284 */     // MIs[0] policy
     /* 1480284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480296 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1480299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480321 */     // GIR_Coverage, 24563,
     /* 1480321 */     GIR_EraseRootFromParent_Done,
     /* 1480322 */   // Label 20654: @1480322
     /* 1480322 */   GIM_Try, /*On fail goto*//*Label 20655*/ GIMT_Encode4(1480419), // Rule ID 24564 //
     /* 1480327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1480330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1480338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1480341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1480344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480377 */     // MIs[1] Operand 1
     /* 1480377 */     // No operand predicates
     /* 1480377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480381 */     // MIs[0] policy
     /* 1480381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480393 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1480396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480418 */     // GIR_Coverage, 24564,
     /* 1480418 */     GIR_EraseRootFromParent_Done,
     /* 1480419 */   // Label 20655: @1480419
     /* 1480419 */   GIM_Try, /*On fail goto*//*Label 20656*/ GIMT_Encode4(1480516), // Rule ID 24567 //
     /* 1480424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1480435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1480438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1480441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1480447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1480454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480474 */     // MIs[1] Operand 1
     /* 1480474 */     // No operand predicates
     /* 1480474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480478 */     // MIs[0] policy
     /* 1480478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480490 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1480493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480515 */     // GIR_Coverage, 24567,
     /* 1480515 */     GIR_EraseRootFromParent_Done,
     /* 1480516 */   // Label 20656: @1480516
     /* 1480516 */   GIM_Try, /*On fail goto*//*Label 20657*/ GIMT_Encode4(1480613), // Rule ID 24568 //
     /* 1480521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1480532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1480535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1480538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1480544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1480551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480571 */     // MIs[1] Operand 1
     /* 1480571 */     // No operand predicates
     /* 1480571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480575 */     // MIs[0] policy
     /* 1480575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480587 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1480590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480612 */     // GIR_Coverage, 24568,
     /* 1480612 */     GIR_EraseRootFromParent_Done,
     /* 1480613 */   // Label 20657: @1480613
     /* 1480613 */   GIM_Try, /*On fail goto*//*Label 20658*/ GIMT_Encode4(1480710), // Rule ID 24571 //
     /* 1480618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1480629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1480632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1480635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1480641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1480648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480668 */     // MIs[1] Operand 1
     /* 1480668 */     // No operand predicates
     /* 1480668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480672 */     // MIs[0] policy
     /* 1480672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480684 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1480687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480709 */     // GIR_Coverage, 24571,
     /* 1480709 */     GIR_EraseRootFromParent_Done,
     /* 1480710 */   // Label 20658: @1480710
     /* 1480710 */   GIM_Try, /*On fail goto*//*Label 20659*/ GIMT_Encode4(1480807), // Rule ID 24572 //
     /* 1480715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1480726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1480729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1480732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1480738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1480745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480765 */     // MIs[1] Operand 1
     /* 1480765 */     // No operand predicates
     /* 1480765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480769 */     // MIs[0] policy
     /* 1480769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480781 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1480784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480806 */     // GIR_Coverage, 24572,
     /* 1480806 */     GIR_EraseRootFromParent_Done,
     /* 1480807 */   // Label 20659: @1480807
     /* 1480807 */   GIM_Try, /*On fail goto*//*Label 20660*/ GIMT_Encode4(1480904), // Rule ID 24575 //
     /* 1480812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1480823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1480826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1480829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1480835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480862 */     // MIs[1] Operand 1
     /* 1480862 */     // No operand predicates
     /* 1480862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480866 */     // MIs[0] policy
     /* 1480866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480878 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1480881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480903 */     // GIR_Coverage, 24575,
     /* 1480903 */     GIR_EraseRootFromParent_Done,
     /* 1480904 */   // Label 20660: @1480904
     /* 1480904 */   GIM_Try, /*On fail goto*//*Label 20661*/ GIMT_Encode4(1481001), // Rule ID 24576 //
     /* 1480909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1480920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1480923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1480926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1480932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480959 */     // MIs[1] Operand 1
     /* 1480959 */     // No operand predicates
     /* 1480959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480963 */     // MIs[0] policy
     /* 1480963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480975 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1480978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1480997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481000 */     // GIR_Coverage, 24576,
     /* 1481000 */     GIR_EraseRootFromParent_Done,
     /* 1481001 */   // Label 20661: @1481001
     /* 1481001 */   GIM_Try, /*On fail goto*//*Label 20662*/ GIMT_Encode4(1481098), // Rule ID 24579 //
     /* 1481006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1481017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1481020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1481023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1481029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1481036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481056 */     // MIs[1] Operand 1
     /* 1481056 */     // No operand predicates
     /* 1481056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481060 */     // MIs[0] policy
     /* 1481060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481072 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1481075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481097 */     // GIR_Coverage, 24579,
     /* 1481097 */     GIR_EraseRootFromParent_Done,
     /* 1481098 */   // Label 20662: @1481098
     /* 1481098 */   GIM_Try, /*On fail goto*//*Label 20663*/ GIMT_Encode4(1481195), // Rule ID 24580 //
     /* 1481103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1481114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1481117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1481120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1481126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1481133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481153 */     // MIs[1] Operand 1
     /* 1481153 */     // No operand predicates
     /* 1481153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481157 */     // MIs[0] policy
     /* 1481157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481169 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1481172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481194 */     // GIR_Coverage, 24580,
     /* 1481194 */     GIR_EraseRootFromParent_Done,
     /* 1481195 */   // Label 20663: @1481195
     /* 1481195 */   GIM_Try, /*On fail goto*//*Label 20664*/ GIMT_Encode4(1481292), // Rule ID 24583 //
     /* 1481200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1481211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1481214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1481217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1481223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1481230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481250 */     // MIs[1] Operand 1
     /* 1481250 */     // No operand predicates
     /* 1481250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481254 */     // MIs[0] policy
     /* 1481254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481266 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1481269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481291 */     // GIR_Coverage, 24583,
     /* 1481291 */     GIR_EraseRootFromParent_Done,
     /* 1481292 */   // Label 20664: @1481292
     /* 1481292 */   GIM_Try, /*On fail goto*//*Label 20665*/ GIMT_Encode4(1481389), // Rule ID 24584 //
     /* 1481297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1481308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1481311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1481314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1481320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1481327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481347 */     // MIs[1] Operand 1
     /* 1481347 */     // No operand predicates
     /* 1481347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481351 */     // MIs[0] policy
     /* 1481351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481363 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1481366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481388 */     // GIR_Coverage, 24584,
     /* 1481388 */     GIR_EraseRootFromParent_Done,
     /* 1481389 */   // Label 20665: @1481389
     /* 1481389 */   GIM_Try, /*On fail goto*//*Label 20666*/ GIMT_Encode4(1481486), // Rule ID 24587 //
     /* 1481394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1481405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1481408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1481411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1481417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1481424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1481428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1481432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481444 */     // MIs[1] Operand 1
     /* 1481444 */     // No operand predicates
     /* 1481444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481448 */     // MIs[0] policy
     /* 1481448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481460 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1481463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481485 */     // GIR_Coverage, 24587,
     /* 1481485 */     GIR_EraseRootFromParent_Done,
     /* 1481486 */   // Label 20666: @1481486
     /* 1481486 */   GIM_Try, /*On fail goto*//*Label 20667*/ GIMT_Encode4(1481583), // Rule ID 24588 //
     /* 1481491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1481502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1481505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1481508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1481514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1481521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1481525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1481529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481541 */     // MIs[1] Operand 1
     /* 1481541 */     // No operand predicates
     /* 1481541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481545 */     // MIs[0] policy
     /* 1481545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481557 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1481560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481582 */     // GIR_Coverage, 24588,
     /* 1481582 */     GIR_EraseRootFromParent_Done,
     /* 1481583 */   // Label 20667: @1481583
     /* 1481583 */   GIM_Try, /*On fail goto*//*Label 20668*/ GIMT_Encode4(1481680), // Rule ID 24591 //
     /* 1481588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1481599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1481602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1481605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1481618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481638 */     // MIs[1] Operand 1
     /* 1481638 */     // No operand predicates
     /* 1481638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481642 */     // MIs[0] policy
     /* 1481642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481654 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1481657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481679 */     // GIR_Coverage, 24591,
     /* 1481679 */     GIR_EraseRootFromParent_Done,
     /* 1481680 */   // Label 20668: @1481680
     /* 1481680 */   GIM_Try, /*On fail goto*//*Label 20669*/ GIMT_Encode4(1481777), // Rule ID 24592 //
     /* 1481685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1481696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1481699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1481702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1481715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481735 */     // MIs[1] Operand 1
     /* 1481735 */     // No operand predicates
     /* 1481735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481739 */     // MIs[0] policy
     /* 1481739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481751 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1481754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481776 */     // GIR_Coverage, 24592,
     /* 1481776 */     GIR_EraseRootFromParent_Done,
     /* 1481777 */   // Label 20669: @1481777
     /* 1481777 */   GIM_Try, /*On fail goto*//*Label 20670*/ GIMT_Encode4(1481874), // Rule ID 24595 //
     /* 1481782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1481793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1481796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1481799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1481805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1481812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481832 */     // MIs[1] Operand 1
     /* 1481832 */     // No operand predicates
     /* 1481832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481836 */     // MIs[0] policy
     /* 1481836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481848 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1481851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481873 */     // GIR_Coverage, 24595,
     /* 1481873 */     GIR_EraseRootFromParent_Done,
     /* 1481874 */   // Label 20670: @1481874
     /* 1481874 */   GIM_Try, /*On fail goto*//*Label 20671*/ GIMT_Encode4(1481971), // Rule ID 24596 //
     /* 1481879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1481890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1481893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1481896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1481902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1481909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481929 */     // MIs[1] Operand 1
     /* 1481929 */     // No operand predicates
     /* 1481929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481933 */     // MIs[0] policy
     /* 1481933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481945 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1481948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481970 */     // GIR_Coverage, 24596,
     /* 1481970 */     GIR_EraseRootFromParent_Done,
     /* 1481971 */   // Label 20671: @1481971
     /* 1481971 */   GIM_Try, /*On fail goto*//*Label 20672*/ GIMT_Encode4(1482068), // Rule ID 24599 //
     /* 1481976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1481984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1481987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1481990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1481993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1481999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482026 */     // MIs[1] Operand 1
     /* 1482026 */     // No operand predicates
     /* 1482026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482030 */     // MIs[0] policy
     /* 1482030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482042 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1482045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482067 */     // GIR_Coverage, 24599,
     /* 1482067 */     GIR_EraseRootFromParent_Done,
     /* 1482068 */   // Label 20672: @1482068
     /* 1482068 */   GIM_Try, /*On fail goto*//*Label 20673*/ GIMT_Encode4(1482165), // Rule ID 24600 //
     /* 1482073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1482084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1482087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1482090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482123 */     // MIs[1] Operand 1
     /* 1482123 */     // No operand predicates
     /* 1482123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482127 */     // MIs[0] policy
     /* 1482127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482139 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1482142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482164 */     // GIR_Coverage, 24600,
     /* 1482164 */     GIR_EraseRootFromParent_Done,
     /* 1482165 */   // Label 20673: @1482165
     /* 1482165 */   GIM_Try, /*On fail goto*//*Label 20674*/ GIMT_Encode4(1482262), // Rule ID 24603 //
     /* 1482170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1482173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1482181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1482184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1482187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1482193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482220 */     // MIs[1] Operand 1
     /* 1482220 */     // No operand predicates
     /* 1482220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482224 */     // MIs[0] policy
     /* 1482224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482236 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1482239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1482258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482261 */     // GIR_Coverage, 24603,
     /* 1482261 */     GIR_EraseRootFromParent_Done,
     /* 1482262 */   // Label 20674: @1482262
     /* 1482262 */   GIM_Try, /*On fail goto*//*Label 20675*/ GIMT_Encode4(1482359), // Rule ID 24604 //
     /* 1482267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1482270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1482278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1482281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1482284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1482290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482317 */     // MIs[1] Operand 1
     /* 1482317 */     // No operand predicates
     /* 1482317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482321 */     // MIs[0] policy
     /* 1482321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482333 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1482336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1482355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482358 */     // GIR_Coverage, 24604,
     /* 1482358 */     GIR_EraseRootFromParent_Done,
     /* 1482359 */   // Label 20675: @1482359
     /* 1482359 */   GIM_Try, /*On fail goto*//*Label 20676*/ GIMT_Encode4(1482456), // Rule ID 24607 //
     /* 1482364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1482367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1482375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1482378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1482381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1482387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482414 */     // MIs[1] Operand 1
     /* 1482414 */     // No operand predicates
     /* 1482414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482418 */     // MIs[0] policy
     /* 1482418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482430 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1482433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1482452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482455 */     // GIR_Coverage, 24607,
     /* 1482455 */     GIR_EraseRootFromParent_Done,
     /* 1482456 */   // Label 20676: @1482456
     /* 1482456 */   GIM_Try, /*On fail goto*//*Label 20677*/ GIMT_Encode4(1482553), // Rule ID 24608 //
     /* 1482461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1482464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1482472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1482475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1482478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1482484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482511 */     // MIs[1] Operand 1
     /* 1482511 */     // No operand predicates
     /* 1482511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482515 */     // MIs[0] policy
     /* 1482515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482527 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1482530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1482549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482552 */     // GIR_Coverage, 24608,
     /* 1482552 */     GIR_EraseRootFromParent_Done,
     /* 1482553 */   // Label 20677: @1482553
     /* 1482553 */   GIM_Try, /*On fail goto*//*Label 20678*/ GIMT_Encode4(1482650), // Rule ID 24611 //
     /* 1482558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1482561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1482569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1482572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1482575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482608 */     // MIs[1] Operand 1
     /* 1482608 */     // No operand predicates
     /* 1482608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482612 */     // MIs[0] policy
     /* 1482612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482624 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1482627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1482646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482649 */     // GIR_Coverage, 24611,
     /* 1482649 */     GIR_EraseRootFromParent_Done,
     /* 1482650 */   // Label 20678: @1482650
     /* 1482650 */   GIM_Try, /*On fail goto*//*Label 20679*/ GIMT_Encode4(1482747), // Rule ID 24612 //
     /* 1482655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1482658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1482666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1482669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1482672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482705 */     // MIs[1] Operand 1
     /* 1482705 */     // No operand predicates
     /* 1482705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482709 */     // MIs[0] policy
     /* 1482709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1482724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1482743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482746 */     // GIR_Coverage, 24612,
     /* 1482746 */     GIR_EraseRootFromParent_Done,
     /* 1482747 */   // Label 20679: @1482747
     /* 1482747 */   GIM_Try, /*On fail goto*//*Label 20680*/ GIMT_Encode4(1482844), // Rule ID 24771 //
     /* 1482752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1482755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1482763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1482766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1482769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1482775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482802 */     // MIs[1] Operand 1
     /* 1482802 */     // No operand predicates
     /* 1482802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482806 */     // MIs[0] policy
     /* 1482806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482818 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1482821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482843 */     // GIR_Coverage, 24771,
     /* 1482843 */     GIR_EraseRootFromParent_Done,
     /* 1482844 */   // Label 20680: @1482844
     /* 1482844 */   GIM_Try, /*On fail goto*//*Label 20681*/ GIMT_Encode4(1482941), // Rule ID 24772 //
     /* 1482849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1482852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1482860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1482863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1482866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1482872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482899 */     // MIs[1] Operand 1
     /* 1482899 */     // No operand predicates
     /* 1482899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482903 */     // MIs[0] policy
     /* 1482903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482915 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1482918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482940 */     // GIR_Coverage, 24772,
     /* 1482940 */     GIR_EraseRootFromParent_Done,
     /* 1482941 */   // Label 20681: @1482941
     /* 1482941 */   GIM_Try, /*On fail goto*//*Label 20682*/ GIMT_Encode4(1483038), // Rule ID 24775 //
     /* 1482946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1482949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1482954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1482957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1482960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1482963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1482969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482996 */     // MIs[1] Operand 1
     /* 1482996 */     // No operand predicates
     /* 1482996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483000 */     // MIs[0] policy
     /* 1483000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483012 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1483015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483037 */     // GIR_Coverage, 24775,
     /* 1483037 */     GIR_EraseRootFromParent_Done,
     /* 1483038 */   // Label 20682: @1483038
     /* 1483038 */   GIM_Try, /*On fail goto*//*Label 20683*/ GIMT_Encode4(1483135), // Rule ID 24776 //
     /* 1483043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1483046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1483054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1483057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1483060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483093 */     // MIs[1] Operand 1
     /* 1483093 */     // No operand predicates
     /* 1483093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483097 */     // MIs[0] policy
     /* 1483097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483109 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1483112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483134 */     // GIR_Coverage, 24776,
     /* 1483134 */     GIR_EraseRootFromParent_Done,
     /* 1483135 */   // Label 20683: @1483135
     /* 1483135 */   GIM_Try, /*On fail goto*//*Label 20684*/ GIMT_Encode4(1483232), // Rule ID 24779 //
     /* 1483140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1483143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1483151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1483154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1483157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1483163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483190 */     // MIs[1] Operand 1
     /* 1483190 */     // No operand predicates
     /* 1483190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483194 */     // MIs[0] policy
     /* 1483194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483206 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1483209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483231 */     // GIR_Coverage, 24779,
     /* 1483231 */     GIR_EraseRootFromParent_Done,
     /* 1483232 */   // Label 20684: @1483232
     /* 1483232 */   GIM_Try, /*On fail goto*//*Label 20685*/ GIMT_Encode4(1483329), // Rule ID 24780 //
     /* 1483237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1483240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1483248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1483251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1483254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1483260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483287 */     // MIs[1] Operand 1
     /* 1483287 */     // No operand predicates
     /* 1483287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483291 */     // MIs[0] policy
     /* 1483291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483303 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1483306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483328 */     // GIR_Coverage, 24780,
     /* 1483328 */     GIR_EraseRootFromParent_Done,
     /* 1483329 */   // Label 20685: @1483329
     /* 1483329 */   GIM_Try, /*On fail goto*//*Label 20686*/ GIMT_Encode4(1483426), // Rule ID 24783 //
     /* 1483334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1483337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1483345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1483348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1483351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483384 */     // MIs[1] Operand 1
     /* 1483384 */     // No operand predicates
     /* 1483384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483388 */     // MIs[0] policy
     /* 1483388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483400 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1483403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483425 */     // GIR_Coverage, 24783,
     /* 1483425 */     GIR_EraseRootFromParent_Done,
     /* 1483426 */   // Label 20686: @1483426
     /* 1483426 */   GIM_Try, /*On fail goto*//*Label 20687*/ GIMT_Encode4(1483523), // Rule ID 24784 //
     /* 1483431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1483434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1483442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1483445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1483448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483481 */     // MIs[1] Operand 1
     /* 1483481 */     // No operand predicates
     /* 1483481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483485 */     // MIs[0] policy
     /* 1483485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483497 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1483500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483522 */     // GIR_Coverage, 24784,
     /* 1483522 */     GIR_EraseRootFromParent_Done,
     /* 1483523 */   // Label 20687: @1483523
     /* 1483523 */   GIM_Try, /*On fail goto*//*Label 20688*/ GIMT_Encode4(1483620), // Rule ID 24787 //
     /* 1483528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1483531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1483539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1483542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1483545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483578 */     // MIs[1] Operand 1
     /* 1483578 */     // No operand predicates
     /* 1483578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483582 */     // MIs[0] policy
     /* 1483582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483594 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1483597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483619 */     // GIR_Coverage, 24787,
     /* 1483619 */     GIR_EraseRootFromParent_Done,
     /* 1483620 */   // Label 20688: @1483620
     /* 1483620 */   GIM_Try, /*On fail goto*//*Label 20689*/ GIMT_Encode4(1483717), // Rule ID 24788 //
     /* 1483625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1483628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1483636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1483639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1483642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483675 */     // MIs[1] Operand 1
     /* 1483675 */     // No operand predicates
     /* 1483675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483679 */     // MIs[0] policy
     /* 1483679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483691 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1483694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483716 */     // GIR_Coverage, 24788,
     /* 1483716 */     GIR_EraseRootFromParent_Done,
     /* 1483717 */   // Label 20689: @1483717
     /* 1483717 */   GIM_Try, /*On fail goto*//*Label 20690*/ GIMT_Encode4(1483814), // Rule ID 24791 //
     /* 1483722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1483725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1483733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1483736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1483739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1483745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483772 */     // MIs[1] Operand 1
     /* 1483772 */     // No operand predicates
     /* 1483772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483776 */     // MIs[0] policy
     /* 1483776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483788 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1483791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483813 */     // GIR_Coverage, 24791,
     /* 1483813 */     GIR_EraseRootFromParent_Done,
     /* 1483814 */   // Label 20690: @1483814
     /* 1483814 */   GIM_Try, /*On fail goto*//*Label 20691*/ GIMT_Encode4(1483911), // Rule ID 24792 //
     /* 1483819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1483822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1483830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1483833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1483836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1483842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483869 */     // MIs[1] Operand 1
     /* 1483869 */     // No operand predicates
     /* 1483869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483873 */     // MIs[0] policy
     /* 1483873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483885 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1483888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483910 */     // GIR_Coverage, 24792,
     /* 1483910 */     GIR_EraseRootFromParent_Done,
     /* 1483911 */   // Label 20691: @1483911
     /* 1483911 */   GIM_Try, /*On fail goto*//*Label 20692*/ GIMT_Encode4(1484008), // Rule ID 24795 //
     /* 1483916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1483919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1483924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1483927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1483930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1483933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483966 */     // MIs[1] Operand 1
     /* 1483966 */     // No operand predicates
     /* 1483966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483970 */     // MIs[0] policy
     /* 1483970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483982 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1483985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484007 */     // GIR_Coverage, 24795,
     /* 1484007 */     GIR_EraseRootFromParent_Done,
     /* 1484008 */   // Label 20692: @1484008
     /* 1484008 */   GIM_Try, /*On fail goto*//*Label 20693*/ GIMT_Encode4(1484105), // Rule ID 24796 //
     /* 1484013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1484016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1484024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1484027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1484030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1484043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484063 */     // MIs[1] Operand 1
     /* 1484063 */     // No operand predicates
     /* 1484063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484067 */     // MIs[0] policy
     /* 1484067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484079 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1484082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484104 */     // GIR_Coverage, 24796,
     /* 1484104 */     GIR_EraseRootFromParent_Done,
     /* 1484105 */   // Label 20693: @1484105
     /* 1484105 */   GIM_Try, /*On fail goto*//*Label 20694*/ GIMT_Encode4(1484202), // Rule ID 24799 //
     /* 1484110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1484113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1484121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1484124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1484127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1484140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484160 */     // MIs[1] Operand 1
     /* 1484160 */     // No operand predicates
     /* 1484160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484164 */     // MIs[0] policy
     /* 1484164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484176 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1484179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484201 */     // GIR_Coverage, 24799,
     /* 1484201 */     GIR_EraseRootFromParent_Done,
     /* 1484202 */   // Label 20694: @1484202
     /* 1484202 */   GIM_Try, /*On fail goto*//*Label 20695*/ GIMT_Encode4(1484299), // Rule ID 24800 //
     /* 1484207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1484210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1484218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1484221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1484224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1484237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484257 */     // MIs[1] Operand 1
     /* 1484257 */     // No operand predicates
     /* 1484257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484261 */     // MIs[0] policy
     /* 1484261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484273 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1484276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484298 */     // GIR_Coverage, 24800,
     /* 1484298 */     GIR_EraseRootFromParent_Done,
     /* 1484299 */   // Label 20695: @1484299
     /* 1484299 */   GIM_Try, /*On fail goto*//*Label 20696*/ GIMT_Encode4(1484396), // Rule ID 24803 //
     /* 1484304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1484307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1484315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1484318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1484321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1484327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1484334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484354 */     // MIs[1] Operand 1
     /* 1484354 */     // No operand predicates
     /* 1484354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484358 */     // MIs[0] policy
     /* 1484358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484370 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1484373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484395 */     // GIR_Coverage, 24803,
     /* 1484395 */     GIR_EraseRootFromParent_Done,
     /* 1484396 */   // Label 20696: @1484396
     /* 1484396 */   GIM_Try, /*On fail goto*//*Label 20697*/ GIMT_Encode4(1484493), // Rule ID 24804 //
     /* 1484401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1484404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1484412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1484415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1484418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1484424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1484431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484451 */     // MIs[1] Operand 1
     /* 1484451 */     // No operand predicates
     /* 1484451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484455 */     // MIs[0] policy
     /* 1484455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484467 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1484470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484492 */     // GIR_Coverage, 24804,
     /* 1484492 */     GIR_EraseRootFromParent_Done,
     /* 1484493 */   // Label 20697: @1484493
     /* 1484493 */   GIM_Try, /*On fail goto*//*Label 20698*/ GIMT_Encode4(1484590), // Rule ID 24855 //
     /* 1484498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1484501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1484509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1484512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1484515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484548 */     // MIs[1] Operand 1
     /* 1484548 */     // No operand predicates
     /* 1484548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484552 */     // MIs[0] policy
     /* 1484552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484564 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1484567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484589 */     // GIR_Coverage, 24855,
     /* 1484589 */     GIR_EraseRootFromParent_Done,
     /* 1484590 */   // Label 20698: @1484590
     /* 1484590 */   GIM_Try, /*On fail goto*//*Label 20699*/ GIMT_Encode4(1484687), // Rule ID 24856 //
     /* 1484595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1484598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1484606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1484609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1484612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484645 */     // MIs[1] Operand 1
     /* 1484645 */     // No operand predicates
     /* 1484645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484649 */     // MIs[0] policy
     /* 1484649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484661 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1484664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484686 */     // GIR_Coverage, 24856,
     /* 1484686 */     GIR_EraseRootFromParent_Done,
     /* 1484687 */   // Label 20699: @1484687
     /* 1484687 */   GIM_Try, /*On fail goto*//*Label 20700*/ GIMT_Encode4(1484784), // Rule ID 24859 //
     /* 1484692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1484695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1484703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1484706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1484709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484742 */     // MIs[1] Operand 1
     /* 1484742 */     // No operand predicates
     /* 1484742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484746 */     // MIs[0] policy
     /* 1484746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484758 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1484761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484783 */     // GIR_Coverage, 24859,
     /* 1484783 */     GIR_EraseRootFromParent_Done,
     /* 1484784 */   // Label 20700: @1484784
     /* 1484784 */   GIM_Try, /*On fail goto*//*Label 20701*/ GIMT_Encode4(1484881), // Rule ID 24860 //
     /* 1484789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1484792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1484800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1484803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1484806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484839 */     // MIs[1] Operand 1
     /* 1484839 */     // No operand predicates
     /* 1484839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484843 */     // MIs[0] policy
     /* 1484843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484855 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1484858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484880 */     // GIR_Coverage, 24860,
     /* 1484880 */     GIR_EraseRootFromParent_Done,
     /* 1484881 */   // Label 20701: @1484881
     /* 1484881 */   GIM_Try, /*On fail goto*//*Label 20702*/ GIMT_Encode4(1484978), // Rule ID 24863 //
     /* 1484886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1484889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1484897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1484900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1484903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484936 */     // MIs[1] Operand 1
     /* 1484936 */     // No operand predicates
     /* 1484936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484940 */     // MIs[0] policy
     /* 1484940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484952 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1484955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484977 */     // GIR_Coverage, 24863,
     /* 1484977 */     GIR_EraseRootFromParent_Done,
     /* 1484978 */   // Label 20702: @1484978
     /* 1484978 */   GIM_Try, /*On fail goto*//*Label 20703*/ GIMT_Encode4(1485075), // Rule ID 24864 //
     /* 1484983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1484986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1484991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1484994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1484997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1485000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485033 */     // MIs[1] Operand 1
     /* 1485033 */     // No operand predicates
     /* 1485033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485037 */     // MIs[0] policy
     /* 1485037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485049 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1485052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485074 */     // GIR_Coverage, 24864,
     /* 1485074 */     GIR_EraseRootFromParent_Done,
     /* 1485075 */   // Label 20703: @1485075
     /* 1485075 */   GIM_Try, /*On fail goto*//*Label 20704*/ GIMT_Encode4(1485172), // Rule ID 24867 //
     /* 1485080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1485083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1485091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1485094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1485097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485130 */     // MIs[1] Operand 1
     /* 1485130 */     // No operand predicates
     /* 1485130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485134 */     // MIs[0] policy
     /* 1485134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485146 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1485149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485171 */     // GIR_Coverage, 24867,
     /* 1485171 */     GIR_EraseRootFromParent_Done,
     /* 1485172 */   // Label 20704: @1485172
     /* 1485172 */   GIM_Try, /*On fail goto*//*Label 20705*/ GIMT_Encode4(1485269), // Rule ID 24868 //
     /* 1485177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1485180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1485188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1485191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1485194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485227 */     // MIs[1] Operand 1
     /* 1485227 */     // No operand predicates
     /* 1485227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485231 */     // MIs[0] policy
     /* 1485231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485243 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1485246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485268 */     // GIR_Coverage, 24868,
     /* 1485268 */     GIR_EraseRootFromParent_Done,
     /* 1485269 */   // Label 20705: @1485269
     /* 1485269 */   GIM_Try, /*On fail goto*//*Label 20706*/ GIMT_Encode4(1485366), // Rule ID 24871 //
     /* 1485274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1485277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1485285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1485288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1485291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1485297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1485304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485324 */     // MIs[1] Operand 1
     /* 1485324 */     // No operand predicates
     /* 1485324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485328 */     // MIs[0] policy
     /* 1485328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485340 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1485343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485365 */     // GIR_Coverage, 24871,
     /* 1485365 */     GIR_EraseRootFromParent_Done,
     /* 1485366 */   // Label 20706: @1485366
     /* 1485366 */   GIM_Try, /*On fail goto*//*Label 20707*/ GIMT_Encode4(1485463), // Rule ID 24872 //
     /* 1485371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1485374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1485382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1485385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1485388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1485394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1485401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485421 */     // MIs[1] Operand 1
     /* 1485421 */     // No operand predicates
     /* 1485421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485425 */     // MIs[0] policy
     /* 1485425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485437 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1485440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485462 */     // GIR_Coverage, 24872,
     /* 1485462 */     GIR_EraseRootFromParent_Done,
     /* 1485463 */   // Label 20707: @1485463
     /* 1485463 */   GIM_Try, /*On fail goto*//*Label 20708*/ GIMT_Encode4(1485560), // Rule ID 24875 //
     /* 1485468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1485471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1485479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1485482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1485485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1485491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485518 */     // MIs[1] Operand 1
     /* 1485518 */     // No operand predicates
     /* 1485518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485522 */     // MIs[0] policy
     /* 1485522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485534 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1485537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485559 */     // GIR_Coverage, 24875,
     /* 1485559 */     GIR_EraseRootFromParent_Done,
     /* 1485560 */   // Label 20708: @1485560
     /* 1485560 */   GIM_Try, /*On fail goto*//*Label 20709*/ GIMT_Encode4(1485657), // Rule ID 24876 //
     /* 1485565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1485568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1485573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1485576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1485579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1485582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1485588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485615 */     // MIs[1] Operand 1
     /* 1485615 */     // No operand predicates
     /* 1485615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485619 */     // MIs[0] policy
     /* 1485619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485631 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1485634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485656 */     // GIR_Coverage, 24876,
     /* 1485656 */     GIR_EraseRootFromParent_Done,
     /* 1485657 */   // Label 20709: @1485657
     /* 1485657 */   GIM_Try, /*On fail goto*//*Label 20710*/ GIMT_Encode4(1485754), // Rule ID 60399 //
     /* 1485662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1485665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1485670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1485673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1485676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1485679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485712 */     // MIs[1] Operand 1
     /* 1485712 */     // No operand predicates
     /* 1485712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485716 */     // MIs[0] policy
     /* 1485716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485728 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1485731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1485750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485753 */     // GIR_Coverage, 60399,
     /* 1485753 */     GIR_EraseRootFromParent_Done,
     /* 1485754 */   // Label 20710: @1485754
     /* 1485754 */   GIM_Try, /*On fail goto*//*Label 20711*/ GIMT_Encode4(1485851), // Rule ID 60400 //
     /* 1485759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1485762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1485767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1485770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1485773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1485776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485809 */     // MIs[1] Operand 1
     /* 1485809 */     // No operand predicates
     /* 1485809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485813 */     // MIs[0] policy
     /* 1485813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485825 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1485828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1485847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485850 */     // GIR_Coverage, 60400,
     /* 1485850 */     GIR_EraseRootFromParent_Done,
     /* 1485851 */   // Label 20711: @1485851
     /* 1485851 */   GIM_Try, /*On fail goto*//*Label 20712*/ GIMT_Encode4(1485948), // Rule ID 60407 //
     /* 1485856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1485859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1485864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1485867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1485870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1485873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485906 */     // MIs[1] Operand 1
     /* 1485906 */     // No operand predicates
     /* 1485906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485910 */     // MIs[0] policy
     /* 1485910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485922 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1485925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1485944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485947 */     // GIR_Coverage, 60407,
     /* 1485947 */     GIR_EraseRootFromParent_Done,
     /* 1485948 */   // Label 20712: @1485948
     /* 1485948 */   GIM_Try, /*On fail goto*//*Label 20713*/ GIMT_Encode4(1486045), // Rule ID 60408 //
     /* 1485953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1485956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1485961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1485964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1485967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1485970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486003 */     // MIs[1] Operand 1
     /* 1486003 */     // No operand predicates
     /* 1486003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486007 */     // MIs[0] policy
     /* 1486007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486019 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1486022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486044 */     // GIR_Coverage, 60408,
     /* 1486044 */     GIR_EraseRootFromParent_Done,
     /* 1486045 */   // Label 20713: @1486045
     /* 1486045 */   GIM_Try, /*On fail goto*//*Label 20714*/ GIMT_Encode4(1486142), // Rule ID 60415 //
     /* 1486050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1486053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1486058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1486061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1486064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1486067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486100 */     // MIs[1] Operand 1
     /* 1486100 */     // No operand predicates
     /* 1486100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486104 */     // MIs[0] policy
     /* 1486104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486116 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1486119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486141 */     // GIR_Coverage, 60415,
     /* 1486141 */     GIR_EraseRootFromParent_Done,
     /* 1486142 */   // Label 20714: @1486142
     /* 1486142 */   GIM_Try, /*On fail goto*//*Label 20715*/ GIMT_Encode4(1486239), // Rule ID 60416 //
     /* 1486147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1486150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1486155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1486158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1486161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1486164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486197 */     // MIs[1] Operand 1
     /* 1486197 */     // No operand predicates
     /* 1486197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486201 */     // MIs[0] policy
     /* 1486201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486213 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1486216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486238 */     // GIR_Coverage, 60416,
     /* 1486238 */     GIR_EraseRootFromParent_Done,
     /* 1486239 */   // Label 20715: @1486239
     /* 1486239 */   GIM_Try, /*On fail goto*//*Label 20716*/ GIMT_Encode4(1486336), // Rule ID 60423 //
     /* 1486244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1486247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1486252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1486255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1486258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1486261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486294 */     // MIs[1] Operand 1
     /* 1486294 */     // No operand predicates
     /* 1486294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486298 */     // MIs[0] policy
     /* 1486298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486310 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1486313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486335 */     // GIR_Coverage, 60423,
     /* 1486335 */     GIR_EraseRootFromParent_Done,
     /* 1486336 */   // Label 20716: @1486336
     /* 1486336 */   GIM_Try, /*On fail goto*//*Label 20717*/ GIMT_Encode4(1486433), // Rule ID 60424 //
     /* 1486341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1486344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1486349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1486352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1486355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1486358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486391 */     // MIs[1] Operand 1
     /* 1486391 */     // No operand predicates
     /* 1486391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486395 */     // MIs[0] policy
     /* 1486395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486407 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1486410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486432 */     // GIR_Coverage, 60424,
     /* 1486432 */     GIR_EraseRootFromParent_Done,
     /* 1486433 */   // Label 20717: @1486433
     /* 1486433 */   GIM_Try, /*On fail goto*//*Label 20718*/ GIMT_Encode4(1486530), // Rule ID 60431 //
     /* 1486438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1486441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1486446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1486449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1486452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1486455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1486461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486488 */     // MIs[1] Operand 1
     /* 1486488 */     // No operand predicates
     /* 1486488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486492 */     // MIs[0] policy
     /* 1486492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486504 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1486507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486529 */     // GIR_Coverage, 60431,
     /* 1486529 */     GIR_EraseRootFromParent_Done,
     /* 1486530 */   // Label 20718: @1486530
     /* 1486530 */   GIM_Try, /*On fail goto*//*Label 20719*/ GIMT_Encode4(1486627), // Rule ID 60432 //
     /* 1486535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1486538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1486543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1486546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1486549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1486552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1486558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486585 */     // MIs[1] Operand 1
     /* 1486585 */     // No operand predicates
     /* 1486585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486589 */     // MIs[0] policy
     /* 1486589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486601 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1486604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486626 */     // GIR_Coverage, 60432,
     /* 1486626 */     GIR_EraseRootFromParent_Done,
     /* 1486627 */   // Label 20719: @1486627
     /* 1486627 */   GIM_Try, /*On fail goto*//*Label 20720*/ GIMT_Encode4(1486724), // Rule ID 60439 //
     /* 1486632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1486635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1486640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1486643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1486646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1486649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1486655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486682 */     // MIs[1] Operand 1
     /* 1486682 */     // No operand predicates
     /* 1486682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486686 */     // MIs[0] policy
     /* 1486686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486698 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1486701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486723 */     // GIR_Coverage, 60439,
     /* 1486723 */     GIR_EraseRootFromParent_Done,
     /* 1486724 */   // Label 20720: @1486724
     /* 1486724 */   GIM_Try, /*On fail goto*//*Label 20721*/ GIMT_Encode4(1486821), // Rule ID 60440 //
     /* 1486729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1486732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1486737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1486740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1486743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1486746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1486752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486779 */     // MIs[1] Operand 1
     /* 1486779 */     // No operand predicates
     /* 1486779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486783 */     // MIs[0] policy
     /* 1486783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486795 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1486798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486820 */     // GIR_Coverage, 60440,
     /* 1486820 */     GIR_EraseRootFromParent_Done,
     /* 1486821 */   // Label 20721: @1486821
     /* 1486821 */   GIM_Try, /*On fail goto*//*Label 20722*/ GIMT_Encode4(1486918), // Rule ID 60447 //
     /* 1486826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1486829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1486834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1486837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1486840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1486843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486876 */     // MIs[1] Operand 1
     /* 1486876 */     // No operand predicates
     /* 1486876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486880 */     // MIs[0] policy
     /* 1486880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486892 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1486895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486917 */     // GIR_Coverage, 60447,
     /* 1486917 */     GIR_EraseRootFromParent_Done,
     /* 1486918 */   // Label 20722: @1486918
     /* 1486918 */   GIM_Try, /*On fail goto*//*Label 20723*/ GIMT_Encode4(1487015), // Rule ID 60448 //
     /* 1486923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1486926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1486931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1486934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1486937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1486940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486973 */     // MIs[1] Operand 1
     /* 1486973 */     // No operand predicates
     /* 1486973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486977 */     // MIs[0] policy
     /* 1486977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486989 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1486992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487014 */     // GIR_Coverage, 60448,
     /* 1487014 */     GIR_EraseRootFromParent_Done,
     /* 1487015 */   // Label 20723: @1487015
     /* 1487015 */   GIM_Try, /*On fail goto*//*Label 20724*/ GIMT_Encode4(1487112), // Rule ID 60455 //
     /* 1487020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1487031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1487034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1487037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487070 */     // MIs[1] Operand 1
     /* 1487070 */     // No operand predicates
     /* 1487070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487074 */     // MIs[0] policy
     /* 1487074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487086 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1487089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487111 */     // GIR_Coverage, 60455,
     /* 1487111 */     GIR_EraseRootFromParent_Done,
     /* 1487112 */   // Label 20724: @1487112
     /* 1487112 */   GIM_Try, /*On fail goto*//*Label 20725*/ GIMT_Encode4(1487209), // Rule ID 60456 //
     /* 1487117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1487128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1487131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1487134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487167 */     // MIs[1] Operand 1
     /* 1487167 */     // No operand predicates
     /* 1487167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487171 */     // MIs[0] policy
     /* 1487171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1487186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487208 */     // GIR_Coverage, 60456,
     /* 1487208 */     GIR_EraseRootFromParent_Done,
     /* 1487209 */   // Label 20725: @1487209
     /* 1487209 */   GIM_Try, /*On fail goto*//*Label 20726*/ GIMT_Encode4(1487306), // Rule ID 60463 //
     /* 1487214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1487225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1487228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1487231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487264 */     // MIs[1] Operand 1
     /* 1487264 */     // No operand predicates
     /* 1487264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487268 */     // MIs[0] policy
     /* 1487268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487280 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1487283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487305 */     // GIR_Coverage, 60463,
     /* 1487305 */     GIR_EraseRootFromParent_Done,
     /* 1487306 */   // Label 20726: @1487306
     /* 1487306 */   GIM_Try, /*On fail goto*//*Label 20727*/ GIMT_Encode4(1487403), // Rule ID 60464 //
     /* 1487311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1487322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1487325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1487328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487361 */     // MIs[1] Operand 1
     /* 1487361 */     // No operand predicates
     /* 1487361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487365 */     // MIs[0] policy
     /* 1487365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487377 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1487380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487402 */     // GIR_Coverage, 60464,
     /* 1487402 */     GIR_EraseRootFromParent_Done,
     /* 1487403 */   // Label 20727: @1487403
     /* 1487403 */   GIM_Try, /*On fail goto*//*Label 20728*/ GIMT_Encode4(1487500), // Rule ID 60471 //
     /* 1487408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1487419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1487422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1487425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487458 */     // MIs[1] Operand 1
     /* 1487458 */     // No operand predicates
     /* 1487458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487462 */     // MIs[0] policy
     /* 1487462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487474 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1487477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487499 */     // GIR_Coverage, 60471,
     /* 1487499 */     GIR_EraseRootFromParent_Done,
     /* 1487500 */   // Label 20728: @1487500
     /* 1487500 */   GIM_Try, /*On fail goto*//*Label 20729*/ GIMT_Encode4(1487597), // Rule ID 60472 //
     /* 1487505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1487516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1487519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1487522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487555 */     // MIs[1] Operand 1
     /* 1487555 */     // No operand predicates
     /* 1487555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487559 */     // MIs[0] policy
     /* 1487559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487571 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1487574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487596 */     // GIR_Coverage, 60472,
     /* 1487596 */     GIR_EraseRootFromParent_Done,
     /* 1487597 */   // Label 20729: @1487597
     /* 1487597 */   GIM_Try, /*On fail goto*//*Label 20730*/ GIMT_Encode4(1487694), // Rule ID 60479 //
     /* 1487602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1487613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1487616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1487619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1487625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487652 */     // MIs[1] Operand 1
     /* 1487652 */     // No operand predicates
     /* 1487652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487656 */     // MIs[0] policy
     /* 1487656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487668 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1487671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487693 */     // GIR_Coverage, 60479,
     /* 1487693 */     GIR_EraseRootFromParent_Done,
     /* 1487694 */   // Label 20730: @1487694
     /* 1487694 */   GIM_Try, /*On fail goto*//*Label 20731*/ GIMT_Encode4(1487791), // Rule ID 60480 //
     /* 1487699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1487710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1487713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1487716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1487722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487749 */     // MIs[1] Operand 1
     /* 1487749 */     // No operand predicates
     /* 1487749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487753 */     // MIs[0] policy
     /* 1487753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487765 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1487768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487790 */     // GIR_Coverage, 60480,
     /* 1487790 */     GIR_EraseRootFromParent_Done,
     /* 1487791 */   // Label 20731: @1487791
     /* 1487791 */   GIM_Try, /*On fail goto*//*Label 20732*/ GIMT_Encode4(1487888), // Rule ID 60487 //
     /* 1487796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1487807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1487810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1487813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1487819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487846 */     // MIs[1] Operand 1
     /* 1487846 */     // No operand predicates
     /* 1487846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487850 */     // MIs[0] policy
     /* 1487850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487862 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1487865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487887 */     // GIR_Coverage, 60487,
     /* 1487887 */     GIR_EraseRootFromParent_Done,
     /* 1487888 */   // Label 20732: @1487888
     /* 1487888 */   GIM_Try, /*On fail goto*//*Label 20733*/ GIMT_Encode4(1487985), // Rule ID 60488 //
     /* 1487893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1487896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1487904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1487907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1487910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1487916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1487923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487943 */     // MIs[1] Operand 1
     /* 1487943 */     // No operand predicates
     /* 1487943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487947 */     // MIs[0] policy
     /* 1487947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487959 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1487962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487984 */     // GIR_Coverage, 60488,
     /* 1487984 */     GIR_EraseRootFromParent_Done,
     /* 1487985 */   // Label 20733: @1487985
     /* 1487985 */   GIM_Try, /*On fail goto*//*Label 20734*/ GIMT_Encode4(1488082), // Rule ID 60495 //
     /* 1487990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1487993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1487998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1488001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1488004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1488007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1488020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488040 */     // MIs[1] Operand 1
     /* 1488040 */     // No operand predicates
     /* 1488040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488044 */     // MIs[0] policy
     /* 1488044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488056 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1488059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488081 */     // GIR_Coverage, 60495,
     /* 1488081 */     GIR_EraseRootFromParent_Done,
     /* 1488082 */   // Label 20734: @1488082
     /* 1488082 */   GIM_Try, /*On fail goto*//*Label 20735*/ GIMT_Encode4(1488179), // Rule ID 60496 //
     /* 1488087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1488098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1488101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1488104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1488117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488137 */     // MIs[1] Operand 1
     /* 1488137 */     // No operand predicates
     /* 1488137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488141 */     // MIs[0] policy
     /* 1488141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488153 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1488156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488178 */     // GIR_Coverage, 60496,
     /* 1488178 */     GIR_EraseRootFromParent_Done,
     /* 1488179 */   // Label 20735: @1488179
     /* 1488179 */   GIM_Try, /*On fail goto*//*Label 20736*/ GIMT_Encode4(1488276), // Rule ID 60503 //
     /* 1488184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1488195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1488198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1488201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1488214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488234 */     // MIs[1] Operand 1
     /* 1488234 */     // No operand predicates
     /* 1488234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488238 */     // MIs[0] policy
     /* 1488238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488250 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1488253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488275 */     // GIR_Coverage, 60503,
     /* 1488275 */     GIR_EraseRootFromParent_Done,
     /* 1488276 */   // Label 20736: @1488276
     /* 1488276 */   GIM_Try, /*On fail goto*//*Label 20737*/ GIMT_Encode4(1488373), // Rule ID 60504 //
     /* 1488281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1488292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1488295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1488298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1488311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488331 */     // MIs[1] Operand 1
     /* 1488331 */     // No operand predicates
     /* 1488331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488335 */     // MIs[0] policy
     /* 1488335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488347 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1488350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488372 */     // GIR_Coverage, 60504,
     /* 1488372 */     GIR_EraseRootFromParent_Done,
     /* 1488373 */   // Label 20737: @1488373
     /* 1488373 */   GIM_Try, /*On fail goto*//*Label 20738*/ GIMT_Encode4(1488470), // Rule ID 60511 //
     /* 1488378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1488381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1488389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1488392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1488395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1488401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488428 */     // MIs[1] Operand 1
     /* 1488428 */     // No operand predicates
     /* 1488428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488432 */     // MIs[0] policy
     /* 1488432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488444 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1488447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488469 */     // GIR_Coverage, 60511,
     /* 1488469 */     GIR_EraseRootFromParent_Done,
     /* 1488470 */   // Label 20738: @1488470
     /* 1488470 */   GIM_Try, /*On fail goto*//*Label 20739*/ GIMT_Encode4(1488567), // Rule ID 60512 //
     /* 1488475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1488478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1488483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1488486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1488489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1488492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1488498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488525 */     // MIs[1] Operand 1
     /* 1488525 */     // No operand predicates
     /* 1488525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488529 */     // MIs[0] policy
     /* 1488529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488541 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1488544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488566 */     // GIR_Coverage, 60512,
     /* 1488566 */     GIR_EraseRootFromParent_Done,
     /* 1488567 */   // Label 20739: @1488567
     /* 1488567 */   GIM_Try, /*On fail goto*//*Label 20740*/ GIMT_Encode4(1488664), // Rule ID 61367 //
     /* 1488572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1488575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1488580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1488583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1488586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1488589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1488622 */     // MIs[1] Operand 1
     /* 1488622 */     // No operand predicates
     /* 1488622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488626 */     // MIs[0] policy
     /* 1488626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488638 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1488641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488663 */     // GIR_Coverage, 61367,
     /* 1488663 */     GIR_EraseRootFromParent_Done,
     /* 1488664 */   // Label 20740: @1488664
     /* 1488664 */   GIM_Try, /*On fail goto*//*Label 20741*/ GIMT_Encode4(1488761), // Rule ID 61368 //
     /* 1488669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1488672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1488677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1488680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1488683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1488686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1488719 */     // MIs[1] Operand 1
     /* 1488719 */     // No operand predicates
     /* 1488719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488723 */     // MIs[0] policy
     /* 1488723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488735 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1488738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488760 */     // GIR_Coverage, 61368,
     /* 1488760 */     GIR_EraseRootFromParent_Done,
     /* 1488761 */   // Label 20741: @1488761
     /* 1488761 */   GIM_Try, /*On fail goto*//*Label 20742*/ GIMT_Encode4(1488858), // Rule ID 61371 //
     /* 1488766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1488769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1488774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1488777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1488780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1488783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1488816 */     // MIs[1] Operand 1
     /* 1488816 */     // No operand predicates
     /* 1488816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488820 */     // MIs[0] policy
     /* 1488820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488832 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1488835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488857 */     // GIR_Coverage, 61371,
     /* 1488857 */     GIR_EraseRootFromParent_Done,
     /* 1488858 */   // Label 20742: @1488858
     /* 1488858 */   GIM_Try, /*On fail goto*//*Label 20743*/ GIMT_Encode4(1488955), // Rule ID 61372 //
     /* 1488863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1488866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1488871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1488874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1488877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1488880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1488913 */     // MIs[1] Operand 1
     /* 1488913 */     // No operand predicates
     /* 1488913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488917 */     // MIs[0] policy
     /* 1488917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488929 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1488932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1488951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488954 */     // GIR_Coverage, 61372,
     /* 1488954 */     GIR_EraseRootFromParent_Done,
     /* 1488955 */   // Label 20743: @1488955
     /* 1488955 */   GIM_Try, /*On fail goto*//*Label 20744*/ GIMT_Encode4(1489052), // Rule ID 61375 //
     /* 1488960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1488963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1488968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1488971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1488974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1488977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1489010 */     // MIs[1] Operand 1
     /* 1489010 */     // No operand predicates
     /* 1489010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489014 */     // MIs[0] policy
     /* 1489014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489026 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1489029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1489048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489051 */     // GIR_Coverage, 61375,
     /* 1489051 */     GIR_EraseRootFromParent_Done,
     /* 1489052 */   // Label 20744: @1489052
     /* 1489052 */   GIM_Try, /*On fail goto*//*Label 20745*/ GIMT_Encode4(1489149), // Rule ID 61376 //
     /* 1489057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1489060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1489065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1489068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1489071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1489074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1489107 */     // MIs[1] Operand 1
     /* 1489107 */     // No operand predicates
     /* 1489107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489111 */     // MIs[0] policy
     /* 1489111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489123 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1489126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1489145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489148 */     // GIR_Coverage, 61376,
     /* 1489148 */     GIR_EraseRootFromParent_Done,
     /* 1489149 */   // Label 20745: @1489149
     /* 1489149 */   GIM_Try, /*On fail goto*//*Label 20746*/ GIMT_Encode4(1489246), // Rule ID 61379 //
     /* 1489154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1489157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1489162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1489165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1489168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1489171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1489204 */     // MIs[1] Operand 1
     /* 1489204 */     // No operand predicates
     /* 1489204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489208 */     // MIs[0] policy
     /* 1489208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489220 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1489223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489245 */     // GIR_Coverage, 61379,
     /* 1489245 */     GIR_EraseRootFromParent_Done,
     /* 1489246 */   // Label 20746: @1489246
     /* 1489246 */   GIM_Try, /*On fail goto*//*Label 20747*/ GIMT_Encode4(1489343), // Rule ID 61380 //
     /* 1489251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1489254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1489259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1489262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1489265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1489268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1489301 */     // MIs[1] Operand 1
     /* 1489301 */     // No operand predicates
     /* 1489301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489305 */     // MIs[0] policy
     /* 1489305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489317 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1489320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489342 */     // GIR_Coverage, 61380,
     /* 1489342 */     GIR_EraseRootFromParent_Done,
     /* 1489343 */   // Label 20747: @1489343
     /* 1489343 */   GIM_Try, /*On fail goto*//*Label 20748*/ GIMT_Encode4(1489440), // Rule ID 61383 //
     /* 1489348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1489351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1489356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1489359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1489362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1489365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1489371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1489398 */     // MIs[1] Operand 1
     /* 1489398 */     // No operand predicates
     /* 1489398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489402 */     // MIs[0] policy
     /* 1489402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489414 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1489417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489439 */     // GIR_Coverage, 61383,
     /* 1489439 */     GIR_EraseRootFromParent_Done,
     /* 1489440 */   // Label 20748: @1489440
     /* 1489440 */   GIM_Try, /*On fail goto*//*Label 20749*/ GIMT_Encode4(1489537), // Rule ID 61384 //
     /* 1489445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1489448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1489453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1489456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1489459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1489462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1489468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1489495 */     // MIs[1] Operand 1
     /* 1489495 */     // No operand predicates
     /* 1489495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489499 */     // MIs[0] policy
     /* 1489499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489511 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1489514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489536 */     // GIR_Coverage, 61384,
     /* 1489536 */     GIR_EraseRootFromParent_Done,
     /* 1489537 */   // Label 20749: @1489537
     /* 1489537 */   GIM_Try, /*On fail goto*//*Label 20750*/ GIMT_Encode4(1489634), // Rule ID 61387 //
     /* 1489542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1489545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1489550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1489553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1489556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1489559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1489592 */     // MIs[1] Operand 1
     /* 1489592 */     // No operand predicates
     /* 1489592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489596 */     // MIs[0] policy
     /* 1489596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489608 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1489611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489633 */     // GIR_Coverage, 61387,
     /* 1489633 */     GIR_EraseRootFromParent_Done,
     /* 1489634 */   // Label 20750: @1489634
     /* 1489634 */   GIM_Try, /*On fail goto*//*Label 20751*/ GIMT_Encode4(1489731), // Rule ID 61388 //
     /* 1489639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1489642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1489647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1489650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1489653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1489656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1489689 */     // MIs[1] Operand 1
     /* 1489689 */     // No operand predicates
     /* 1489689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489693 */     // MIs[0] policy
     /* 1489693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489705 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1489708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489730 */     // GIR_Coverage, 61388,
     /* 1489730 */     GIR_EraseRootFromParent_Done,
     /* 1489731 */   // Label 20751: @1489731
     /* 1489731 */   GIM_Try, /*On fail goto*//*Label 20752*/ GIMT_Encode4(1489828), // Rule ID 61391 //
     /* 1489736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1489739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1489744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1489747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1489750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1489753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1489786 */     // MIs[1] Operand 1
     /* 1489786 */     // No operand predicates
     /* 1489786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489790 */     // MIs[0] policy
     /* 1489790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1489805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1489824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489827 */     // GIR_Coverage, 61391,
     /* 1489827 */     GIR_EraseRootFromParent_Done,
     /* 1489828 */   // Label 20752: @1489828
     /* 1489828 */   GIM_Try, /*On fail goto*//*Label 20753*/ GIMT_Encode4(1489925), // Rule ID 61392 //
     /* 1489833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1489836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1489841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1489844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1489847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1489850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1489883 */     // MIs[1] Operand 1
     /* 1489883 */     // No operand predicates
     /* 1489883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489887 */     // MIs[0] policy
     /* 1489887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489899 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1489902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1489906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1489921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489924 */     // GIR_Coverage, 61392,
     /* 1489924 */     GIR_EraseRootFromParent_Done,
     /* 1489925 */   // Label 20753: @1489925
     /* 1489925 */   GIM_Try, /*On fail goto*//*Label 20754*/ GIMT_Encode4(1490022), // Rule ID 61395 //
     /* 1489930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1489933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1489938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1489941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1489944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1489947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1489980 */     // MIs[1] Operand 1
     /* 1489980 */     // No operand predicates
     /* 1489980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489984 */     // MIs[0] policy
     /* 1489984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489996 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1489999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490021 */     // GIR_Coverage, 61395,
     /* 1490021 */     GIR_EraseRootFromParent_Done,
     /* 1490022 */   // Label 20754: @1490022
     /* 1490022 */   GIM_Try, /*On fail goto*//*Label 20755*/ GIMT_Encode4(1490119), // Rule ID 61396 //
     /* 1490027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1490038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1490041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1490044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1490050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490077 */     // MIs[1] Operand 1
     /* 1490077 */     // No operand predicates
     /* 1490077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490081 */     // MIs[0] policy
     /* 1490081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490093 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1490096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490118 */     // GIR_Coverage, 61396,
     /* 1490118 */     GIR_EraseRootFromParent_Done,
     /* 1490119 */   // Label 20755: @1490119
     /* 1490119 */   GIM_Try, /*On fail goto*//*Label 20756*/ GIMT_Encode4(1490216), // Rule ID 61399 //
     /* 1490124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1490135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1490138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1490141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490174 */     // MIs[1] Operand 1
     /* 1490174 */     // No operand predicates
     /* 1490174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490178 */     // MIs[0] policy
     /* 1490178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490190 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1490193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490215 */     // GIR_Coverage, 61399,
     /* 1490215 */     GIR_EraseRootFromParent_Done,
     /* 1490216 */   // Label 20756: @1490216
     /* 1490216 */   GIM_Try, /*On fail goto*//*Label 20757*/ GIMT_Encode4(1490313), // Rule ID 61400 //
     /* 1490221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1490232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1490235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1490238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490271 */     // MIs[1] Operand 1
     /* 1490271 */     // No operand predicates
     /* 1490271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490275 */     // MIs[0] policy
     /* 1490275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490287 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1490290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490312 */     // GIR_Coverage, 61400,
     /* 1490312 */     GIR_EraseRootFromParent_Done,
     /* 1490313 */   // Label 20757: @1490313
     /* 1490313 */   GIM_Try, /*On fail goto*//*Label 20758*/ GIMT_Encode4(1490410), // Rule ID 61403 //
     /* 1490318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1490329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1490332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1490335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490368 */     // MIs[1] Operand 1
     /* 1490368 */     // No operand predicates
     /* 1490368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490372 */     // MIs[0] policy
     /* 1490372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490384 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1490387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490409 */     // GIR_Coverage, 61403,
     /* 1490409 */     GIR_EraseRootFromParent_Done,
     /* 1490410 */   // Label 20758: @1490410
     /* 1490410 */   GIM_Try, /*On fail goto*//*Label 20759*/ GIMT_Encode4(1490507), // Rule ID 61404 //
     /* 1490415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1490426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1490429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1490432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1490438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1490445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490465 */     // MIs[1] Operand 1
     /* 1490465 */     // No operand predicates
     /* 1490465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490469 */     // MIs[0] policy
     /* 1490469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490481 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1490484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490506 */     // GIR_Coverage, 61404,
     /* 1490506 */     GIR_EraseRootFromParent_Done,
     /* 1490507 */   // Label 20759: @1490507
     /* 1490507 */   GIM_Try, /*On fail goto*//*Label 20760*/ GIMT_Encode4(1490604), // Rule ID 61407 //
     /* 1490512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1490523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1490526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1490529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1490535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1490542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490562 */     // MIs[1] Operand 1
     /* 1490562 */     // No operand predicates
     /* 1490562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490566 */     // MIs[0] policy
     /* 1490566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490578 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1490581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490603 */     // GIR_Coverage, 61407,
     /* 1490603 */     GIR_EraseRootFromParent_Done,
     /* 1490604 */   // Label 20760: @1490604
     /* 1490604 */   GIM_Try, /*On fail goto*//*Label 20761*/ GIMT_Encode4(1490701), // Rule ID 61408 //
     /* 1490609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1490620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1490623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1490626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1490632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1490639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490659 */     // MIs[1] Operand 1
     /* 1490659 */     // No operand predicates
     /* 1490659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490663 */     // MIs[0] policy
     /* 1490663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490675 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1490678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490700 */     // GIR_Coverage, 61408,
     /* 1490700 */     GIR_EraseRootFromParent_Done,
     /* 1490701 */   // Label 20761: @1490701
     /* 1490701 */   GIM_Try, /*On fail goto*//*Label 20762*/ GIMT_Encode4(1490798), // Rule ID 61411 //
     /* 1490706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1490717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1490720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1490723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1490729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1490736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490756 */     // MIs[1] Operand 1
     /* 1490756 */     // No operand predicates
     /* 1490756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490760 */     // MIs[0] policy
     /* 1490760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490772 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1490775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490797 */     // GIR_Coverage, 61411,
     /* 1490797 */     GIR_EraseRootFromParent_Done,
     /* 1490798 */   // Label 20762: @1490798
     /* 1490798 */   GIM_Try, /*On fail goto*//*Label 20763*/ GIMT_Encode4(1490895), // Rule ID 61412 //
     /* 1490803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1490806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1490814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1490817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1490820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1490826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1490833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490853 */     // MIs[1] Operand 1
     /* 1490853 */     // No operand predicates
     /* 1490853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490857 */     // MIs[0] policy
     /* 1490857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490869 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1490872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490894 */     // GIR_Coverage, 61412,
     /* 1490894 */     GIR_EraseRootFromParent_Done,
     /* 1490895 */   // Label 20763: @1490895
     /* 1490895 */   GIM_Try, /*On fail goto*//*Label 20764*/ GIMT_Encode4(1490992), // Rule ID 61415 //
     /* 1490900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1490903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1490908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1490911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1490914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1490917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1490923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1490930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1490950 */     // MIs[1] Operand 1
     /* 1490950 */     // No operand predicates
     /* 1490950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490954 */     // MIs[0] policy
     /* 1490954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490966 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1490969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1490973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1490988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490991 */     // GIR_Coverage, 61415,
     /* 1490991 */     GIR_EraseRootFromParent_Done,
     /* 1490992 */   // Label 20764: @1490992
     /* 1490992 */   GIM_Try, /*On fail goto*//*Label 20765*/ GIMT_Encode4(1491089), // Rule ID 61416 //
     /* 1490997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1491008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1491011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1491014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1491020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1491027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491047 */     // MIs[1] Operand 1
     /* 1491047 */     // No operand predicates
     /* 1491047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491051 */     // MIs[0] policy
     /* 1491051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491063 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1491066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491088 */     // GIR_Coverage, 61416,
     /* 1491088 */     GIR_EraseRootFromParent_Done,
     /* 1491089 */   // Label 20765: @1491089
     /* 1491089 */   GIM_Try, /*On fail goto*//*Label 20766*/ GIMT_Encode4(1491186), // Rule ID 61419 //
     /* 1491094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1491105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1491108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1491111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1491117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1491124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491144 */     // MIs[1] Operand 1
     /* 1491144 */     // No operand predicates
     /* 1491144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491148 */     // MIs[0] policy
     /* 1491148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491160 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1491163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491185 */     // GIR_Coverage, 61419,
     /* 1491185 */     GIR_EraseRootFromParent_Done,
     /* 1491186 */   // Label 20766: @1491186
     /* 1491186 */   GIM_Try, /*On fail goto*//*Label 20767*/ GIMT_Encode4(1491283), // Rule ID 61420 //
     /* 1491191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1491202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1491205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1491208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1491214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1491221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491241 */     // MIs[1] Operand 1
     /* 1491241 */     // No operand predicates
     /* 1491241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491245 */     // MIs[0] policy
     /* 1491245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491257 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1491260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491282 */     // GIR_Coverage, 61420,
     /* 1491282 */     GIR_EraseRootFromParent_Done,
     /* 1491283 */   // Label 20767: @1491283
     /* 1491283 */   GIM_Try, /*On fail goto*//*Label 20768*/ GIMT_Encode4(1491380), // Rule ID 61423 //
     /* 1491288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1491299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1491302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1491305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1491311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1491318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491338 */     // MIs[1] Operand 1
     /* 1491338 */     // No operand predicates
     /* 1491338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491342 */     // MIs[0] policy
     /* 1491342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491354 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1491357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491379 */     // GIR_Coverage, 61423,
     /* 1491379 */     GIR_EraseRootFromParent_Done,
     /* 1491380 */   // Label 20768: @1491380
     /* 1491380 */   GIM_Try, /*On fail goto*//*Label 20769*/ GIMT_Encode4(1491477), // Rule ID 61424 //
     /* 1491385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1491396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1491399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1491402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1491408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1491415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491435 */     // MIs[1] Operand 1
     /* 1491435 */     // No operand predicates
     /* 1491435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491439 */     // MIs[0] policy
     /* 1491439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491451 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1491454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491476 */     // GIR_Coverage, 61424,
     /* 1491476 */     GIR_EraseRootFromParent_Done,
     /* 1491477 */   // Label 20769: @1491477
     /* 1491477 */   GIM_Try, /*On fail goto*//*Label 20770*/ GIMT_Encode4(1491574), // Rule ID 61427 //
     /* 1491482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1491493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1491496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1491499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1491505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1491512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491532 */     // MIs[1] Operand 1
     /* 1491532 */     // No operand predicates
     /* 1491532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491536 */     // MIs[0] policy
     /* 1491536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491548 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1491551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491573 */     // GIR_Coverage, 61427,
     /* 1491573 */     GIR_EraseRootFromParent_Done,
     /* 1491574 */   // Label 20770: @1491574
     /* 1491574 */   GIM_Try, /*On fail goto*//*Label 20771*/ GIMT_Encode4(1491671), // Rule ID 61428 //
     /* 1491579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1491590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1491593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1491596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1491602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1491609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1491617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491629 */     // MIs[1] Operand 1
     /* 1491629 */     // No operand predicates
     /* 1491629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491633 */     // MIs[0] policy
     /* 1491633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491645 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1491648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491670 */     // GIR_Coverage, 61428,
     /* 1491670 */     GIR_EraseRootFromParent_Done,
     /* 1491671 */   // Label 20771: @1491671
     /* 1491671 */   GIM_Try, /*On fail goto*//*Label 20772*/ GIMT_Encode4(1491768), // Rule ID 61431 //
     /* 1491676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1491687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1491690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1491693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1491706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491726 */     // MIs[1] Operand 1
     /* 1491726 */     // No operand predicates
     /* 1491726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491730 */     // MIs[0] policy
     /* 1491730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491742 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1491745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491767 */     // GIR_Coverage, 61431,
     /* 1491767 */     GIR_EraseRootFromParent_Done,
     /* 1491768 */   // Label 20772: @1491768
     /* 1491768 */   GIM_Try, /*On fail goto*//*Label 20773*/ GIMT_Encode4(1491865), // Rule ID 61432 //
     /* 1491773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1491784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1491787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1491790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1491803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491823 */     // MIs[1] Operand 1
     /* 1491823 */     // No operand predicates
     /* 1491823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491827 */     // MIs[0] policy
     /* 1491827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491839 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1491842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491864 */     // GIR_Coverage, 61432,
     /* 1491864 */     GIR_EraseRootFromParent_Done,
     /* 1491865 */   // Label 20773: @1491865
     /* 1491865 */   GIM_Try, /*On fail goto*//*Label 20774*/ GIMT_Encode4(1491962), // Rule ID 61435 //
     /* 1491870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1491873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1491881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1491884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1491887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1491893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1491900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1491908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1491920 */     // MIs[1] Operand 1
     /* 1491920 */     // No operand predicates
     /* 1491920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491924 */     // MIs[0] policy
     /* 1491924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491936 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1491939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491961 */     // GIR_Coverage, 61435,
     /* 1491961 */     GIR_EraseRootFromParent_Done,
     /* 1491962 */   // Label 20774: @1491962
     /* 1491962 */   GIM_Try, /*On fail goto*//*Label 20775*/ GIMT_Encode4(1492059), // Rule ID 61436 //
     /* 1491967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1491970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1491975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1491978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1491981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1491984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1491990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1491997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492017 */     // MIs[1] Operand 1
     /* 1492017 */     // No operand predicates
     /* 1492017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492021 */     // MIs[0] policy
     /* 1492021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492033 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1492036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492058 */     // GIR_Coverage, 61436,
     /* 1492058 */     GIR_EraseRootFromParent_Done,
     /* 1492059 */   // Label 20775: @1492059
     /* 1492059 */   GIM_Try, /*On fail goto*//*Label 20776*/ GIMT_Encode4(1492156), // Rule ID 61439 //
     /* 1492064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1492075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1492078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1492081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1492087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492114 */     // MIs[1] Operand 1
     /* 1492114 */     // No operand predicates
     /* 1492114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492118 */     // MIs[0] policy
     /* 1492118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492130 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1492133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492155 */     // GIR_Coverage, 61439,
     /* 1492155 */     GIR_EraseRootFromParent_Done,
     /* 1492156 */   // Label 20776: @1492156
     /* 1492156 */   GIM_Try, /*On fail goto*//*Label 20777*/ GIMT_Encode4(1492253), // Rule ID 61440 //
     /* 1492161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1492172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1492175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1492178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1492184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492211 */     // MIs[1] Operand 1
     /* 1492211 */     // No operand predicates
     /* 1492211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492215 */     // MIs[0] policy
     /* 1492215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492227 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1492230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492252 */     // GIR_Coverage, 61440,
     /* 1492252 */     GIR_EraseRootFromParent_Done,
     /* 1492253 */   // Label 20777: @1492253
     /* 1492253 */   GIM_Try, /*On fail goto*//*Label 20778*/ GIMT_Encode4(1492350), // Rule ID 61443 //
     /* 1492258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1492269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1492272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1492275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1492281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492308 */     // MIs[1] Operand 1
     /* 1492308 */     // No operand predicates
     /* 1492308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492312 */     // MIs[0] policy
     /* 1492312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492324 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1492327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492349 */     // GIR_Coverage, 61443,
     /* 1492349 */     GIR_EraseRootFromParent_Done,
     /* 1492350 */   // Label 20778: @1492350
     /* 1492350 */   GIM_Try, /*On fail goto*//*Label 20779*/ GIMT_Encode4(1492447), // Rule ID 61444 //
     /* 1492355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1492366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1492369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1492372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1492378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492405 */     // MIs[1] Operand 1
     /* 1492405 */     // No operand predicates
     /* 1492405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492409 */     // MIs[0] policy
     /* 1492409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1492424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492446 */     // GIR_Coverage, 61444,
     /* 1492446 */     GIR_EraseRootFromParent_Done,
     /* 1492447 */   // Label 20779: @1492447
     /* 1492447 */   GIM_Try, /*On fail goto*//*Label 20780*/ GIMT_Encode4(1492544), // Rule ID 61447 //
     /* 1492452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1492463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1492466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1492469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1492475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492502 */     // MIs[1] Operand 1
     /* 1492502 */     // No operand predicates
     /* 1492502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492506 */     // MIs[0] policy
     /* 1492506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492518 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1492521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492543 */     // GIR_Coverage, 61447,
     /* 1492543 */     GIR_EraseRootFromParent_Done,
     /* 1492544 */   // Label 20780: @1492544
     /* 1492544 */   GIM_Try, /*On fail goto*//*Label 20781*/ GIMT_Encode4(1492641), // Rule ID 61448 //
     /* 1492549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1492560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1492563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1492566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1492572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1492579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492599 */     // MIs[1] Operand 1
     /* 1492599 */     // No operand predicates
     /* 1492599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492603 */     // MIs[0] policy
     /* 1492603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492615 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1492618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492640 */     // GIR_Coverage, 61448,
     /* 1492640 */     GIR_EraseRootFromParent_Done,
     /* 1492641 */   // Label 20781: @1492641
     /* 1492641 */   GIM_Try, /*On fail goto*//*Label 20782*/ GIMT_Encode4(1492738), // Rule ID 61451 //
     /* 1492646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1492649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1492657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1492660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1492663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492696 */     // MIs[1] Operand 1
     /* 1492696 */     // No operand predicates
     /* 1492696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492700 */     // MIs[0] policy
     /* 1492700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492712 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1492715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492737 */     // GIR_Coverage, 61451,
     /* 1492737 */     GIR_EraseRootFromParent_Done,
     /* 1492738 */   // Label 20782: @1492738
     /* 1492738 */   GIM_Try, /*On fail goto*//*Label 20783*/ GIMT_Encode4(1492835), // Rule ID 61452 //
     /* 1492743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1492746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1492751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1492754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1492757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1492760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1492773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1492793 */     // MIs[1] Operand 1
     /* 1492793 */     // No operand predicates
     /* 1492793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492797 */     // MIs[0] policy
     /* 1492797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492809 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1492812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492834 */     // GIR_Coverage, 61452,
     /* 1492834 */     GIR_EraseRootFromParent_Done,
     /* 1492835 */   // Label 20783: @1492835
     /* 1492835 */   GIM_Try, /*On fail goto*//*Label 20784*/ GIMT_Encode4(1492917), // Rule ID 2567 //
     /* 1492840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1492843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1492848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1492851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1492854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1492857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1492860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492879 */     // MIs[0] round
     /* 1492879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492882 */     // MIs[0] policy
     /* 1492882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492892 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1492895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1492901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1492903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492916 */     // GIR_Coverage, 2567,
     /* 1492916 */     GIR_EraseRootFromParent_Done,
     /* 1492917 */   // Label 20784: @1492917
     /* 1492917 */   GIM_Try, /*On fail goto*//*Label 20785*/ GIMT_Encode4(1492999), // Rule ID 2568 //
     /* 1492922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1492925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1492930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1492933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1492936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1492939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1492942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492961 */     // MIs[0] round
     /* 1492961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492964 */     // MIs[0] policy
     /* 1492964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492974 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1492977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1492983 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1492985 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492998 */     // GIR_Coverage, 2568,
     /* 1492998 */     GIR_EraseRootFromParent_Done,
     /* 1492999 */   // Label 20785: @1492999
     /* 1492999 */   GIM_Try, /*On fail goto*//*Label 20786*/ GIMT_Encode4(1493081), // Rule ID 2603 //
     /* 1493004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1493007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1493012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1493015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1493018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1493021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1493024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493043 */     // MIs[0] round
     /* 1493043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493046 */     // MIs[0] policy
     /* 1493046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493056 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1493059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1493065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1493067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493080 */     // GIR_Coverage, 2603,
     /* 1493080 */     GIR_EraseRootFromParent_Done,
     /* 1493081 */   // Label 20786: @1493081
     /* 1493081 */   GIM_Try, /*On fail goto*//*Label 20787*/ GIMT_Encode4(1493163), // Rule ID 2604 //
     /* 1493086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1493089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1493094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1493097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1493100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1493103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1493106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1493113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493125 */     // MIs[0] round
     /* 1493125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493128 */     // MIs[0] policy
     /* 1493128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493138 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1493141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1493147 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1493149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493162 */     // GIR_Coverage, 2604,
     /* 1493162 */     GIR_EraseRootFromParent_Done,
     /* 1493163 */   // Label 20787: @1493163
     /* 1493163 */   GIM_Try, /*On fail goto*//*Label 20788*/ GIMT_Encode4(1493245), // Rule ID 2635 //
     /* 1493168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1493171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1493176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1493179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1493182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1493185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1493188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493207 */     // MIs[0] round
     /* 1493207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493210 */     // MIs[0] policy
     /* 1493210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493220 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1493223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493231 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493244 */     // GIR_Coverage, 2635,
     /* 1493244 */     GIR_EraseRootFromParent_Done,
     /* 1493245 */   // Label 20788: @1493245
     /* 1493245 */   GIM_Try, /*On fail goto*//*Label 20789*/ GIMT_Encode4(1493327), // Rule ID 2636 //
     /* 1493250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1493253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1493258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1493261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1493264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1493267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1493270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493289 */     // MIs[0] round
     /* 1493289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493292 */     // MIs[0] policy
     /* 1493292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493302 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1493305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493313 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493326 */     // GIR_Coverage, 2636,
     /* 1493326 */     GIR_EraseRootFromParent_Done,
     /* 1493327 */   // Label 20789: @1493327
     /* 1493327 */   GIM_Try, /*On fail goto*//*Label 20790*/ GIMT_Encode4(1493409), // Rule ID 17607 //
     /* 1493332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1493335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1493340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1493343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1493346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1493349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1493352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493371 */     // MIs[0] round
     /* 1493371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493374 */     // MIs[0] policy
     /* 1493374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493384 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1493387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493408 */     // GIR_Coverage, 17607,
     /* 1493408 */     GIR_EraseRootFromParent_Done,
     /* 1493409 */   // Label 20790: @1493409
     /* 1493409 */   GIM_Try, /*On fail goto*//*Label 20791*/ GIMT_Encode4(1493491), // Rule ID 17608 //
     /* 1493414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1493417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1493422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1493425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1493428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1493431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1493434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493453 */     // MIs[0] round
     /* 1493453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493456 */     // MIs[0] policy
     /* 1493456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493466 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1493469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493490 */     // GIR_Coverage, 17608,
     /* 1493490 */     GIR_EraseRootFromParent_Done,
     /* 1493491 */   // Label 20791: @1493491
     /* 1493491 */   GIM_Try, /*On fail goto*//*Label 20792*/ GIMT_Encode4(1493573), // Rule ID 17611 //
     /* 1493496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1493499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1493504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1493507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1493510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1493513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1493516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493535 */     // MIs[0] round
     /* 1493535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493538 */     // MIs[0] policy
     /* 1493538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493548 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1493551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493572 */     // GIR_Coverage, 17611,
     /* 1493572 */     GIR_EraseRootFromParent_Done,
     /* 1493573 */   // Label 20792: @1493573
     /* 1493573 */   GIM_Try, /*On fail goto*//*Label 20793*/ GIMT_Encode4(1493655), // Rule ID 17612 //
     /* 1493578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1493581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1493586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1493589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1493592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1493595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1493598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493617 */     // MIs[0] round
     /* 1493617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493620 */     // MIs[0] policy
     /* 1493620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493630 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1493633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493654 */     // GIR_Coverage, 17612,
     /* 1493654 */     GIR_EraseRootFromParent_Done,
     /* 1493655 */   // Label 20793: @1493655
     /* 1493655 */   GIM_Try, /*On fail goto*//*Label 20794*/ GIMT_Encode4(1493737), // Rule ID 17615 //
     /* 1493660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1493663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1493668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1493671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1493674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1493677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1493680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493699 */     // MIs[0] round
     /* 1493699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493702 */     // MIs[0] policy
     /* 1493702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493712 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1493715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493736 */     // GIR_Coverage, 17615,
     /* 1493736 */     GIR_EraseRootFromParent_Done,
     /* 1493737 */   // Label 20794: @1493737
     /* 1493737 */   GIM_Try, /*On fail goto*//*Label 20795*/ GIMT_Encode4(1493819), // Rule ID 17616 //
     /* 1493742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1493745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1493750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1493753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1493756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1493759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1493762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493781 */     // MIs[0] round
     /* 1493781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493784 */     // MIs[0] policy
     /* 1493784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493794 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1493797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493818 */     // GIR_Coverage, 17616,
     /* 1493818 */     GIR_EraseRootFromParent_Done,
     /* 1493819 */   // Label 20795: @1493819
     /* 1493819 */   GIM_Try, /*On fail goto*//*Label 20796*/ GIMT_Encode4(1493901), // Rule ID 17619 //
     /* 1493824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1493827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1493832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1493835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1493838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1493841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1493844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493863 */     // MIs[0] round
     /* 1493863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493866 */     // MIs[0] policy
     /* 1493866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493876 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1493879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493900 */     // GIR_Coverage, 17619,
     /* 1493900 */     GIR_EraseRootFromParent_Done,
     /* 1493901 */   // Label 20796: @1493901
     /* 1493901 */   GIM_Try, /*On fail goto*//*Label 20797*/ GIMT_Encode4(1493983), // Rule ID 17620 //
     /* 1493906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1493909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1493914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1493917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1493920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1493923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1493926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493945 */     // MIs[0] round
     /* 1493945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493948 */     // MIs[0] policy
     /* 1493948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493958 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1493961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493982 */     // GIR_Coverage, 17620,
     /* 1493982 */     GIR_EraseRootFromParent_Done,
     /* 1493983 */   // Label 20797: @1493983
     /* 1493983 */   GIM_Try, /*On fail goto*//*Label 20798*/ GIMT_Encode4(1494065), // Rule ID 17623 //
     /* 1493988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1493991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1493996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1493999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1494002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1494005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1494008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494027 */     // MIs[0] round
     /* 1494027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494030 */     // MIs[0] policy
     /* 1494030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494040 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1494043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494064 */     // GIR_Coverage, 17623,
     /* 1494064 */     GIR_EraseRootFromParent_Done,
     /* 1494065 */   // Label 20798: @1494065
     /* 1494065 */   GIM_Try, /*On fail goto*//*Label 20799*/ GIMT_Encode4(1494147), // Rule ID 17624 //
     /* 1494070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1494073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1494081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1494084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1494087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1494090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494109 */     // MIs[0] round
     /* 1494109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494112 */     // MIs[0] policy
     /* 1494112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494122 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1494125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494146 */     // GIR_Coverage, 17624,
     /* 1494146 */     GIR_EraseRootFromParent_Done,
     /* 1494147 */   // Label 20799: @1494147
     /* 1494147 */   GIM_Try, /*On fail goto*//*Label 20800*/ GIMT_Encode4(1494229), // Rule ID 17627 //
     /* 1494152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1494163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1494166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1494169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1494172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494191 */     // MIs[0] round
     /* 1494191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494194 */     // MIs[0] policy
     /* 1494194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494204 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1494207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494228 */     // GIR_Coverage, 17627,
     /* 1494228 */     GIR_EraseRootFromParent_Done,
     /* 1494229 */   // Label 20800: @1494229
     /* 1494229 */   GIM_Try, /*On fail goto*//*Label 20801*/ GIMT_Encode4(1494311), // Rule ID 17628 //
     /* 1494234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1494245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1494248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1494251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1494254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494273 */     // MIs[0] round
     /* 1494273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494276 */     // MIs[0] policy
     /* 1494276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494286 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1494289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494310 */     // GIR_Coverage, 17628,
     /* 1494310 */     GIR_EraseRootFromParent_Done,
     /* 1494311 */   // Label 20801: @1494311
     /* 1494311 */   GIM_Try, /*On fail goto*//*Label 20802*/ GIMT_Encode4(1494393), // Rule ID 17631 //
     /* 1494316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1494327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1494330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1494333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1494336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494355 */     // MIs[0] round
     /* 1494355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494358 */     // MIs[0] policy
     /* 1494358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494368 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1494371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494392 */     // GIR_Coverage, 17631,
     /* 1494392 */     GIR_EraseRootFromParent_Done,
     /* 1494393 */   // Label 20802: @1494393
     /* 1494393 */   GIM_Try, /*On fail goto*//*Label 20803*/ GIMT_Encode4(1494475), // Rule ID 17632 //
     /* 1494398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1494409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1494412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1494415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1494418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494437 */     // MIs[0] round
     /* 1494437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494440 */     // MIs[0] policy
     /* 1494440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494450 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1494453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494474 */     // GIR_Coverage, 17632,
     /* 1494474 */     GIR_EraseRootFromParent_Done,
     /* 1494475 */   // Label 20803: @1494475
     /* 1494475 */   GIM_Try, /*On fail goto*//*Label 20804*/ GIMT_Encode4(1494557), // Rule ID 17635 //
     /* 1494480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1494491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1494494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1494497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1494500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494519 */     // MIs[0] round
     /* 1494519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494522 */     // MIs[0] policy
     /* 1494522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494532 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1494535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494556 */     // GIR_Coverage, 17635,
     /* 1494556 */     GIR_EraseRootFromParent_Done,
     /* 1494557 */   // Label 20804: @1494557
     /* 1494557 */   GIM_Try, /*On fail goto*//*Label 20805*/ GIMT_Encode4(1494639), // Rule ID 17636 //
     /* 1494562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1494573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1494576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1494579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1494582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494601 */     // MIs[0] round
     /* 1494601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494604 */     // MIs[0] policy
     /* 1494604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494614 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1494617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494638 */     // GIR_Coverage, 17636,
     /* 1494638 */     GIR_EraseRootFromParent_Done,
     /* 1494639 */   // Label 20805: @1494639
     /* 1494639 */   GIM_Try, /*On fail goto*//*Label 20806*/ GIMT_Encode4(1494721), // Rule ID 17639 //
     /* 1494644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1494647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1494655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1494658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1494661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1494664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494683 */     // MIs[0] round
     /* 1494683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494686 */     // MIs[0] policy
     /* 1494686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494696 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1494699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494720 */     // GIR_Coverage, 17639,
     /* 1494720 */     GIR_EraseRootFromParent_Done,
     /* 1494721 */   // Label 20806: @1494721
     /* 1494721 */   GIM_Try, /*On fail goto*//*Label 20807*/ GIMT_Encode4(1494803), // Rule ID 17640 //
     /* 1494726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1494729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1494737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1494740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1494743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1494746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494765 */     // MIs[0] round
     /* 1494765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494768 */     // MIs[0] policy
     /* 1494768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494778 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1494781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494802 */     // GIR_Coverage, 17640,
     /* 1494802 */     GIR_EraseRootFromParent_Done,
     /* 1494803 */   // Label 20807: @1494803
     /* 1494803 */   GIM_Try, /*On fail goto*//*Label 20808*/ GIMT_Encode4(1494885), // Rule ID 17643 //
     /* 1494808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1494811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1494819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1494822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1494825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1494828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494847 */     // MIs[0] round
     /* 1494847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494850 */     // MIs[0] policy
     /* 1494850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494860 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1494863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494884 */     // GIR_Coverage, 17643,
     /* 1494884 */     GIR_EraseRootFromParent_Done,
     /* 1494885 */   // Label 20808: @1494885
     /* 1494885 */   GIM_Try, /*On fail goto*//*Label 20809*/ GIMT_Encode4(1494967), // Rule ID 17644 //
     /* 1494890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1494893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1494901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1494904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1494907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1494910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494929 */     // MIs[0] round
     /* 1494929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494932 */     // MIs[0] policy
     /* 1494932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494942 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1494945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494966 */     // GIR_Coverage, 17644,
     /* 1494966 */     GIR_EraseRootFromParent_Done,
     /* 1494967 */   // Label 20809: @1494967
     /* 1494967 */   GIM_Try, /*On fail goto*//*Label 20810*/ GIMT_Encode4(1495049), // Rule ID 17647 //
     /* 1494972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1494975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1494980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1494983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1494986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1494989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1494992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495011 */     // MIs[0] round
     /* 1495011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495014 */     // MIs[0] policy
     /* 1495014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495024 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1495027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495048 */     // GIR_Coverage, 17647,
     /* 1495048 */     GIR_EraseRootFromParent_Done,
     /* 1495049 */   // Label 20810: @1495049
     /* 1495049 */   GIM_Try, /*On fail goto*//*Label 20811*/ GIMT_Encode4(1495131), // Rule ID 17648 //
     /* 1495054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1495057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1495065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1495068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1495071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1495074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495093 */     // MIs[0] round
     /* 1495093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495096 */     // MIs[0] policy
     /* 1495096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495106 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1495109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495130 */     // GIR_Coverage, 17648,
     /* 1495130 */     GIR_EraseRootFromParent_Done,
     /* 1495131 */   // Label 20811: @1495131
     /* 1495131 */   GIM_Try, /*On fail goto*//*Label 20812*/ GIMT_Encode4(1495213), // Rule ID 17651 //
     /* 1495136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1495139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1495147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1495150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1495153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1495156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495175 */     // MIs[0] round
     /* 1495175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495178 */     // MIs[0] policy
     /* 1495178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495188 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1495191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495212 */     // GIR_Coverage, 17651,
     /* 1495212 */     GIR_EraseRootFromParent_Done,
     /* 1495213 */   // Label 20812: @1495213
     /* 1495213 */   GIM_Try, /*On fail goto*//*Label 20813*/ GIMT_Encode4(1495295), // Rule ID 17652 //
     /* 1495218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1495221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1495229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1495232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1495235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1495238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495257 */     // MIs[0] round
     /* 1495257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495260 */     // MIs[0] policy
     /* 1495260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495270 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1495273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495281 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495294 */     // GIR_Coverage, 17652,
     /* 1495294 */     GIR_EraseRootFromParent_Done,
     /* 1495295 */   // Label 20813: @1495295
     /* 1495295 */   GIM_Try, /*On fail goto*//*Label 20814*/ GIMT_Encode4(1495377), // Rule ID 17655 //
     /* 1495300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1495303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1495311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1495314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1495317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1495320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495339 */     // MIs[0] round
     /* 1495339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495342 */     // MIs[0] policy
     /* 1495342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495352 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1495355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495376 */     // GIR_Coverage, 17655,
     /* 1495376 */     GIR_EraseRootFromParent_Done,
     /* 1495377 */   // Label 20814: @1495377
     /* 1495377 */   GIM_Try, /*On fail goto*//*Label 20815*/ GIMT_Encode4(1495459), // Rule ID 17656 //
     /* 1495382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1495385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1495393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1495396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1495399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1495402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495421 */     // MIs[0] round
     /* 1495421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495424 */     // MIs[0] policy
     /* 1495424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495434 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1495437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495458 */     // GIR_Coverage, 17656,
     /* 1495458 */     GIR_EraseRootFromParent_Done,
     /* 1495459 */   // Label 20815: @1495459
     /* 1495459 */   GIM_Try, /*On fail goto*//*Label 20816*/ GIMT_Encode4(1495541), // Rule ID 17659 //
     /* 1495464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1495467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1495475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1495478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1495481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1495484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495503 */     // MIs[0] round
     /* 1495503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495506 */     // MIs[0] policy
     /* 1495506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495516 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1495519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495540 */     // GIR_Coverage, 17659,
     /* 1495540 */     GIR_EraseRootFromParent_Done,
     /* 1495541 */   // Label 20816: @1495541
     /* 1495541 */   GIM_Try, /*On fail goto*//*Label 20817*/ GIMT_Encode4(1495623), // Rule ID 17660 //
     /* 1495546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1495549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1495557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1495560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1495563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1495566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495585 */     // MIs[0] round
     /* 1495585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495588 */     // MIs[0] policy
     /* 1495588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495598 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1495601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495622 */     // GIR_Coverage, 17660,
     /* 1495622 */     GIR_EraseRootFromParent_Done,
     /* 1495623 */   // Label 20817: @1495623
     /* 1495623 */   GIM_Try, /*On fail goto*//*Label 20818*/ GIMT_Encode4(1495705), // Rule ID 17663 //
     /* 1495628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1495631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1495639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1495642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1495645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1495648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1495663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495667 */     // MIs[0] round
     /* 1495667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495670 */     // MIs[0] policy
     /* 1495670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495680 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1495683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495704 */     // GIR_Coverage, 17663,
     /* 1495704 */     GIR_EraseRootFromParent_Done,
     /* 1495705 */   // Label 20818: @1495705
     /* 1495705 */   GIM_Try, /*On fail goto*//*Label 20819*/ GIMT_Encode4(1495787), // Rule ID 17664 //
     /* 1495710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1495713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1495721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1495724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1495727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1495730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1495745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495749 */     // MIs[0] round
     /* 1495749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495752 */     // MIs[0] policy
     /* 1495752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495762 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1495765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495773 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495786 */     // GIR_Coverage, 17664,
     /* 1495786 */     GIR_EraseRootFromParent_Done,
     /* 1495787 */   // Label 20819: @1495787
     /* 1495787 */   GIM_Try, /*On fail goto*//*Label 20820*/ GIMT_Encode4(1495869), // Rule ID 17667 //
     /* 1495792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1495795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1495803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1495806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1495809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1495812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1495827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495831 */     // MIs[0] round
     /* 1495831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495834 */     // MIs[0] policy
     /* 1495834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495844 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1495847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495868 */     // GIR_Coverage, 17667,
     /* 1495868 */     GIR_EraseRootFromParent_Done,
     /* 1495869 */   // Label 20820: @1495869
     /* 1495869 */   GIM_Try, /*On fail goto*//*Label 20821*/ GIMT_Encode4(1495951), // Rule ID 17668 //
     /* 1495874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1495877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1495885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1495888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1495891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1495894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1495909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495913 */     // MIs[0] round
     /* 1495913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495916 */     // MIs[0] policy
     /* 1495916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495926 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1495929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495950 */     // GIR_Coverage, 17668,
     /* 1495950 */     GIR_EraseRootFromParent_Done,
     /* 1495951 */   // Label 20821: @1495951
     /* 1495951 */   GIM_Try, /*On fail goto*//*Label 20822*/ GIMT_Encode4(1496033), // Rule ID 17671 //
     /* 1495956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1495959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1495964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1495967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1495970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1495973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1495976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1495991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495995 */     // MIs[0] round
     /* 1495995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495998 */     // MIs[0] policy
     /* 1495998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496008 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1496011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496032 */     // GIR_Coverage, 17671,
     /* 1496032 */     GIR_EraseRootFromParent_Done,
     /* 1496033 */   // Label 20822: @1496033
     /* 1496033 */   GIM_Try, /*On fail goto*//*Label 20823*/ GIMT_Encode4(1496115), // Rule ID 17672 //
     /* 1496038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1496041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1496049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1496052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1496055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1496058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1496073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496077 */     // MIs[0] round
     /* 1496077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496080 */     // MIs[0] policy
     /* 1496080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496090 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1496093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496114 */     // GIR_Coverage, 17672,
     /* 1496114 */     GIR_EraseRootFromParent_Done,
     /* 1496115 */   // Label 20823: @1496115
     /* 1496115 */   GIM_Try, /*On fail goto*//*Label 20824*/ GIMT_Encode4(1496197), // Rule ID 17675 //
     /* 1496120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1496123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1496131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1496134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1496137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1496140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1496155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496159 */     // MIs[0] round
     /* 1496159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496162 */     // MIs[0] policy
     /* 1496162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496172 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1496175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496196 */     // GIR_Coverage, 17675,
     /* 1496196 */     GIR_EraseRootFromParent_Done,
     /* 1496197 */   // Label 20824: @1496197
     /* 1496197 */   GIM_Try, /*On fail goto*//*Label 20825*/ GIMT_Encode4(1496279), // Rule ID 17676 //
     /* 1496202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1496205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1496213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1496216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1496219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1496222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1496237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496241 */     // MIs[0] round
     /* 1496241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496244 */     // MIs[0] policy
     /* 1496244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496254 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1496257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496278 */     // GIR_Coverage, 17676,
     /* 1496278 */     GIR_EraseRootFromParent_Done,
     /* 1496279 */   // Label 20825: @1496279
     /* 1496279 */   GIM_Try, /*On fail goto*//*Label 20826*/ GIMT_Encode4(1496361), // Rule ID 17679 //
     /* 1496284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1496287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1496295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1496298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1496301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1496304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1496319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496323 */     // MIs[0] round
     /* 1496323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496326 */     // MIs[0] policy
     /* 1496326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496336 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1496339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496360 */     // GIR_Coverage, 17679,
     /* 1496360 */     GIR_EraseRootFromParent_Done,
     /* 1496361 */   // Label 20826: @1496361
     /* 1496361 */   GIM_Try, /*On fail goto*//*Label 20827*/ GIMT_Encode4(1496443), // Rule ID 17680 //
     /* 1496366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1496369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1496377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1496380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1496383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1496386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1496401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496405 */     // MIs[0] round
     /* 1496405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496408 */     // MIs[0] policy
     /* 1496408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496418 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1496421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496442 */     // GIR_Coverage, 17680,
     /* 1496442 */     GIR_EraseRootFromParent_Done,
     /* 1496443 */   // Label 20827: @1496443
     /* 1496443 */   GIM_Try, /*On fail goto*//*Label 20828*/ GIMT_Encode4(1496525), // Rule ID 17683 //
     /* 1496448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1496451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1496459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1496462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1496465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1496468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1496483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496487 */     // MIs[0] round
     /* 1496487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496490 */     // MIs[0] policy
     /* 1496490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496500 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1496503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496524 */     // GIR_Coverage, 17683,
     /* 1496524 */     GIR_EraseRootFromParent_Done,
     /* 1496525 */   // Label 20828: @1496525
     /* 1496525 */   GIM_Try, /*On fail goto*//*Label 20829*/ GIMT_Encode4(1496607), // Rule ID 17684 //
     /* 1496530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1496533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1496541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1496544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1496547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1496550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1496565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496569 */     // MIs[0] round
     /* 1496569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496572 */     // MIs[0] policy
     /* 1496572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496582 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1496585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496593 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496606 */     // GIR_Coverage, 17684,
     /* 1496606 */     GIR_EraseRootFromParent_Done,
     /* 1496607 */   // Label 20829: @1496607
     /* 1496607 */   GIM_Try, /*On fail goto*//*Label 20830*/ GIMT_Encode4(1496689), // Rule ID 17687 //
     /* 1496612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1496615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1496623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1496626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1496629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1496632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1496647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496651 */     // MIs[0] round
     /* 1496651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496654 */     // MIs[0] policy
     /* 1496654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496664 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1496667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496688 */     // GIR_Coverage, 17687,
     /* 1496688 */     GIR_EraseRootFromParent_Done,
     /* 1496689 */   // Label 20830: @1496689
     /* 1496689 */   GIM_Try, /*On fail goto*//*Label 20831*/ GIMT_Encode4(1496771), // Rule ID 17688 //
     /* 1496694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1496697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1496705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1496708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1496711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1496714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1496729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496733 */     // MIs[0] round
     /* 1496733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496736 */     // MIs[0] policy
     /* 1496736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496746 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1496749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496770 */     // GIR_Coverage, 17688,
     /* 1496770 */     GIR_EraseRootFromParent_Done,
     /* 1496771 */   // Label 20831: @1496771
     /* 1496771 */   GIM_Try, /*On fail goto*//*Label 20832*/ GIMT_Encode4(1496853), // Rule ID 17691 //
     /* 1496776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1496779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1496787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1496790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1496793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1496796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1496811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496815 */     // MIs[0] round
     /* 1496815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496818 */     // MIs[0] policy
     /* 1496818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496828 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1496831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496852 */     // GIR_Coverage, 17691,
     /* 1496852 */     GIR_EraseRootFromParent_Done,
     /* 1496853 */   // Label 20832: @1496853
     /* 1496853 */   GIM_Try, /*On fail goto*//*Label 20833*/ GIMT_Encode4(1496935), // Rule ID 17692 //
     /* 1496858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1496861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1496869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1496872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1496875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1496878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1496893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496897 */     // MIs[0] round
     /* 1496897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496900 */     // MIs[0] policy
     /* 1496900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496910 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1496913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496921 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496934 */     // GIR_Coverage, 17692,
     /* 1496934 */     GIR_EraseRootFromParent_Done,
     /* 1496935 */   // Label 20833: @1496935
     /* 1496935 */   GIM_Try, /*On fail goto*//*Label 20834*/ GIMT_Encode4(1497017), // Rule ID 17695 //
     /* 1496940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1496943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1496948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1496951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1496954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1496957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1496960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1496975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496979 */     // MIs[0] round
     /* 1496979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496982 */     // MIs[0] policy
     /* 1496982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496992 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1496995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497016 */     // GIR_Coverage, 17695,
     /* 1497016 */     GIR_EraseRootFromParent_Done,
     /* 1497017 */   // Label 20834: @1497017
     /* 1497017 */   GIM_Try, /*On fail goto*//*Label 20835*/ GIMT_Encode4(1497099), // Rule ID 17696 //
     /* 1497022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1497025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1497033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1497036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1497042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497061 */     // MIs[0] round
     /* 1497061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497064 */     // MIs[0] policy
     /* 1497064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497074 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1497077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497098 */     // GIR_Coverage, 17696,
     /* 1497098 */     GIR_EraseRootFromParent_Done,
     /* 1497099 */   // Label 20835: @1497099
     /* 1497099 */   GIM_Try, /*On fail goto*//*Label 20836*/ GIMT_Encode4(1497181), // Rule ID 17699 //
     /* 1497104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1497115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1497118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1497124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497143 */     // MIs[0] round
     /* 1497143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497146 */     // MIs[0] policy
     /* 1497146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497156 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1497159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497180 */     // GIR_Coverage, 17699,
     /* 1497180 */     GIR_EraseRootFromParent_Done,
     /* 1497181 */   // Label 20836: @1497181
     /* 1497181 */   GIM_Try, /*On fail goto*//*Label 20837*/ GIMT_Encode4(1497263), // Rule ID 17700 //
     /* 1497186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1497197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1497200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1497206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497225 */     // MIs[0] round
     /* 1497225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497228 */     // MIs[0] policy
     /* 1497228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497238 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1497241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497249 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497262 */     // GIR_Coverage, 17700,
     /* 1497262 */     GIR_EraseRootFromParent_Done,
     /* 1497263 */   // Label 20837: @1497263
     /* 1497263 */   GIM_Try, /*On fail goto*//*Label 20838*/ GIMT_Encode4(1497345), // Rule ID 17703 //
     /* 1497268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1497279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1497282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1497288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497307 */     // MIs[0] round
     /* 1497307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497310 */     // MIs[0] policy
     /* 1497310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497320 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1497323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497344 */     // GIR_Coverage, 17703,
     /* 1497344 */     GIR_EraseRootFromParent_Done,
     /* 1497345 */   // Label 20838: @1497345
     /* 1497345 */   GIM_Try, /*On fail goto*//*Label 20839*/ GIMT_Encode4(1497427), // Rule ID 17704 //
     /* 1497350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1497361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1497364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1497370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497389 */     // MIs[0] round
     /* 1497389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497392 */     // MIs[0] policy
     /* 1497392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497402 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1497405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497413 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497426 */     // GIR_Coverage, 17704,
     /* 1497426 */     GIR_EraseRootFromParent_Done,
     /* 1497427 */   // Label 20839: @1497427
     /* 1497427 */   GIM_Try, /*On fail goto*//*Label 20840*/ GIMT_Encode4(1497509), // Rule ID 17707 //
     /* 1497432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1497443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1497446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1497452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497471 */     // MIs[0] round
     /* 1497471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497474 */     // MIs[0] policy
     /* 1497474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497484 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1497487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497508 */     // GIR_Coverage, 17707,
     /* 1497508 */     GIR_EraseRootFromParent_Done,
     /* 1497509 */   // Label 20840: @1497509
     /* 1497509 */   GIM_Try, /*On fail goto*//*Label 20841*/ GIMT_Encode4(1497591), // Rule ID 17708 //
     /* 1497514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1497525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1497528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1497534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497553 */     // MIs[0] round
     /* 1497553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497556 */     // MIs[0] policy
     /* 1497556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497566 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1497569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497577 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497590 */     // GIR_Coverage, 17708,
     /* 1497590 */     GIR_EraseRootFromParent_Done,
     /* 1497591 */   // Label 20841: @1497591
     /* 1497591 */   GIM_Try, /*On fail goto*//*Label 20842*/ GIMT_Encode4(1497673), // Rule ID 17711 //
     /* 1497596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1497599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1497607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1497610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1497613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1497616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1497631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497635 */     // MIs[0] round
     /* 1497635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497638 */     // MIs[0] policy
     /* 1497638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497648 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1497651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497672 */     // GIR_Coverage, 17711,
     /* 1497672 */     GIR_EraseRootFromParent_Done,
     /* 1497673 */   // Label 20842: @1497673
     /* 1497673 */   GIM_Try, /*On fail goto*//*Label 20843*/ GIMT_Encode4(1497755), // Rule ID 17712 //
     /* 1497678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1497681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1497689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1497692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1497695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1497698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1497713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497717 */     // MIs[0] round
     /* 1497717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497720 */     // MIs[0] policy
     /* 1497720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497730 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1497733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497754 */     // GIR_Coverage, 17712,
     /* 1497754 */     GIR_EraseRootFromParent_Done,
     /* 1497755 */   // Label 20843: @1497755
     /* 1497755 */   GIM_Try, /*On fail goto*//*Label 20844*/ GIMT_Encode4(1497837), // Rule ID 17715 //
     /* 1497760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1497763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1497771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1497774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1497777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1497780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1497795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497799 */     // MIs[0] round
     /* 1497799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497802 */     // MIs[0] policy
     /* 1497802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497812 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1497815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497836 */     // GIR_Coverage, 17715,
     /* 1497836 */     GIR_EraseRootFromParent_Done,
     /* 1497837 */   // Label 20844: @1497837
     /* 1497837 */   GIM_Try, /*On fail goto*//*Label 20845*/ GIMT_Encode4(1497919), // Rule ID 17716 //
     /* 1497842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1497845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1497853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1497856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1497859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1497862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1497877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497881 */     // MIs[0] round
     /* 1497881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497884 */     // MIs[0] policy
     /* 1497884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497894 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1497897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497918 */     // GIR_Coverage, 17716,
     /* 1497918 */     GIR_EraseRootFromParent_Done,
     /* 1497919 */   // Label 20845: @1497919
     /* 1497919 */   GIM_Try, /*On fail goto*//*Label 20846*/ GIMT_Encode4(1498001), // Rule ID 17719 //
     /* 1497924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1497927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1497932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1497935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1497938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1497941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1497944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1497959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497963 */     // MIs[0] round
     /* 1497963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497966 */     // MIs[0] policy
     /* 1497966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497976 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1497979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498000 */     // GIR_Coverage, 17719,
     /* 1498000 */     GIR_EraseRootFromParent_Done,
     /* 1498001 */   // Label 20846: @1498001
     /* 1498001 */   GIM_Try, /*On fail goto*//*Label 20847*/ GIMT_Encode4(1498083), // Rule ID 17720 //
     /* 1498006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1498009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1498014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1498017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1498020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1498023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1498026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1498041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498045 */     // MIs[0] round
     /* 1498045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498048 */     // MIs[0] policy
     /* 1498048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498058 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1498061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498082 */     // GIR_Coverage, 17720,
     /* 1498082 */     GIR_EraseRootFromParent_Done,
     /* 1498083 */   // Label 20847: @1498083
     /* 1498083 */   GIM_Try, /*On fail goto*//*Label 20848*/ GIMT_Encode4(1498165), // Rule ID 17723 //
     /* 1498088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1498096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1498099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1498102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1498105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1498108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498127 */     // MIs[0] round
     /* 1498127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498130 */     // MIs[0] policy
     /* 1498130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498140 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1498143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498164 */     // GIR_Coverage, 17723,
     /* 1498164 */     GIR_EraseRootFromParent_Done,
     /* 1498165 */   // Label 20848: @1498165
     /* 1498165 */   GIM_Try, /*On fail goto*//*Label 20849*/ GIMT_Encode4(1498247), // Rule ID 17724 //
     /* 1498170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1498178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1498181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1498184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1498187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1498190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498209 */     // MIs[0] round
     /* 1498209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498212 */     // MIs[0] policy
     /* 1498212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498222 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1498225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498246 */     // GIR_Coverage, 17724,
     /* 1498246 */     GIR_EraseRootFromParent_Done,
     /* 1498247 */   // Label 20849: @1498247
     /* 1498247 */   GIM_Try, /*On fail goto*//*Label 20850*/ GIMT_Encode4(1498329), // Rule ID 17727 //
     /* 1498252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1498260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1498263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1498266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1498269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1498272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498291 */     // MIs[0] round
     /* 1498291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498294 */     // MIs[0] policy
     /* 1498294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498304 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1498307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498328 */     // GIR_Coverage, 17727,
     /* 1498328 */     GIR_EraseRootFromParent_Done,
     /* 1498329 */   // Label 20850: @1498329
     /* 1498329 */   GIM_Try, /*On fail goto*//*Label 20851*/ GIMT_Encode4(1498411), // Rule ID 17728 //
     /* 1498334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1498342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1498345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1498348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1498351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1498354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498373 */     // MIs[0] round
     /* 1498373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498376 */     // MIs[0] policy
     /* 1498376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498386 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1498389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498410 */     // GIR_Coverage, 17728,
     /* 1498410 */     GIR_EraseRootFromParent_Done,
     /* 1498411 */   // Label 20851: @1498411
     /* 1498411 */   GIM_Try, /*On fail goto*//*Label 20852*/ GIMT_Encode4(1498493), // Rule ID 17731 //
     /* 1498416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1498419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1498424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1498427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1498430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1498433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1498436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498455 */     // MIs[0] round
     /* 1498455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498458 */     // MIs[0] policy
     /* 1498458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498468 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1498471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498492 */     // GIR_Coverage, 17731,
     /* 1498492 */     GIR_EraseRootFromParent_Done,
     /* 1498493 */   // Label 20852: @1498493
     /* 1498493 */   GIM_Try, /*On fail goto*//*Label 20853*/ GIMT_Encode4(1498575), // Rule ID 17732 //
     /* 1498498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1498501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1498506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1498509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1498512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1498515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1498518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498537 */     // MIs[0] round
     /* 1498537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498540 */     // MIs[0] policy
     /* 1498540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498550 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1498553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498574 */     // GIR_Coverage, 17732,
     /* 1498574 */     GIR_EraseRootFromParent_Done,
     /* 1498575 */   // Label 20853: @1498575
     /* 1498575 */   GIM_Try, /*On fail goto*//*Label 20854*/ GIMT_Encode4(1498657), // Rule ID 17735 //
     /* 1498580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1498588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1498591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1498594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1498597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1498600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498619 */     // MIs[0] round
     /* 1498619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498622 */     // MIs[0] policy
     /* 1498622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498632 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1498635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498656 */     // GIR_Coverage, 17735,
     /* 1498656 */     GIR_EraseRootFromParent_Done,
     /* 1498657 */   // Label 20854: @1498657
     /* 1498657 */   GIM_Try, /*On fail goto*//*Label 20855*/ GIMT_Encode4(1498739), // Rule ID 17736 //
     /* 1498662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1498670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1498673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1498676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1498679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1498682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498701 */     // MIs[0] round
     /* 1498701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498704 */     // MIs[0] policy
     /* 1498704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498714 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1498717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498738 */     // GIR_Coverage, 17736,
     /* 1498738 */     GIR_EraseRootFromParent_Done,
     /* 1498739 */   // Label 20855: @1498739
     /* 1498739 */   GIM_Try, /*On fail goto*//*Label 20856*/ GIMT_Encode4(1498821), // Rule ID 17739 //
     /* 1498744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1498747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1498752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1498755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1498758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1498761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1498764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498783 */     // MIs[0] round
     /* 1498783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498786 */     // MIs[0] policy
     /* 1498786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498796 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1498799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498820 */     // GIR_Coverage, 17739,
     /* 1498820 */     GIR_EraseRootFromParent_Done,
     /* 1498821 */   // Label 20856: @1498821
     /* 1498821 */   GIM_Try, /*On fail goto*//*Label 20857*/ GIMT_Encode4(1498903), // Rule ID 17740 //
     /* 1498826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1498829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1498834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1498837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1498840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1498843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1498846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498865 */     // MIs[0] round
     /* 1498865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498868 */     // MIs[0] policy
     /* 1498868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498878 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1498881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498902 */     // GIR_Coverage, 17740,
     /* 1498902 */     GIR_EraseRootFromParent_Done,
     /* 1498903 */   // Label 20857: @1498903
     /* 1498903 */   GIM_Try, /*On fail goto*//*Label 20858*/ GIMT_Encode4(1498985), // Rule ID 17743 //
     /* 1498908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1498911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1498916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1498919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1498922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1498925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1498928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498947 */     // MIs[0] round
     /* 1498947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498950 */     // MIs[0] policy
     /* 1498950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498960 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1498963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498984 */     // GIR_Coverage, 17743,
     /* 1498984 */     GIR_EraseRootFromParent_Done,
     /* 1498985 */   // Label 20858: @1498985
     /* 1498985 */   GIM_Try, /*On fail goto*//*Label 20859*/ GIMT_Encode4(1499067), // Rule ID 17744 //
     /* 1498990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1498993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1498998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1499001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1499004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1499007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1499010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499029 */     // MIs[0] round
     /* 1499029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499032 */     // MIs[0] policy
     /* 1499032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499042 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1499045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499066 */     // GIR_Coverage, 17744,
     /* 1499066 */     GIR_EraseRootFromParent_Done,
     /* 1499067 */   // Label 20859: @1499067
     /* 1499067 */   GIM_Try, /*On fail goto*//*Label 20860*/ GIMT_Encode4(1499149), // Rule ID 17747 //
     /* 1499072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1499083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1499086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1499089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1499092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499111 */     // MIs[0] round
     /* 1499111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499114 */     // MIs[0] policy
     /* 1499114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499124 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1499127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499148 */     // GIR_Coverage, 17747,
     /* 1499148 */     GIR_EraseRootFromParent_Done,
     /* 1499149 */   // Label 20860: @1499149
     /* 1499149 */   GIM_Try, /*On fail goto*//*Label 20861*/ GIMT_Encode4(1499231), // Rule ID 17748 //
     /* 1499154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1499165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1499168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1499171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1499174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499193 */     // MIs[0] round
     /* 1499193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499196 */     // MIs[0] policy
     /* 1499196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499206 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1499209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499217 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499230 */     // GIR_Coverage, 17748,
     /* 1499230 */     GIR_EraseRootFromParent_Done,
     /* 1499231 */   // Label 20861: @1499231
     /* 1499231 */   GIM_Try, /*On fail goto*//*Label 20862*/ GIMT_Encode4(1499313), // Rule ID 17751 //
     /* 1499236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1499247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1499250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1499253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1499256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499275 */     // MIs[0] round
     /* 1499275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499278 */     // MIs[0] policy
     /* 1499278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499288 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1499291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499312 */     // GIR_Coverage, 17751,
     /* 1499312 */     GIR_EraseRootFromParent_Done,
     /* 1499313 */   // Label 20862: @1499313
     /* 1499313 */   GIM_Try, /*On fail goto*//*Label 20863*/ GIMT_Encode4(1499395), // Rule ID 17752 //
     /* 1499318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1499329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1499332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1499335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1499338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499357 */     // MIs[0] round
     /* 1499357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499360 */     // MIs[0] policy
     /* 1499360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499370 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1499373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499394 */     // GIR_Coverage, 17752,
     /* 1499394 */     GIR_EraseRootFromParent_Done,
     /* 1499395 */   // Label 20863: @1499395
     /* 1499395 */   GIM_Try, /*On fail goto*//*Label 20864*/ GIMT_Encode4(1499477), // Rule ID 17755 //
     /* 1499400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1499411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1499414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1499417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1499420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499439 */     // MIs[0] round
     /* 1499439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499442 */     // MIs[0] policy
     /* 1499442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499452 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1499455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499476 */     // GIR_Coverage, 17755,
     /* 1499476 */     GIR_EraseRootFromParent_Done,
     /* 1499477 */   // Label 20864: @1499477
     /* 1499477 */   GIM_Try, /*On fail goto*//*Label 20865*/ GIMT_Encode4(1499559), // Rule ID 17756 //
     /* 1499482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1499493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1499496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1499499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1499502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499521 */     // MIs[0] round
     /* 1499521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499524 */     // MIs[0] policy
     /* 1499524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499534 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1499537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499558 */     // GIR_Coverage, 17756,
     /* 1499558 */     GIR_EraseRootFromParent_Done,
     /* 1499559 */   // Label 20865: @1499559
     /* 1499559 */   GIM_Try, /*On fail goto*//*Label 20866*/ GIMT_Encode4(1499641), // Rule ID 17759 //
     /* 1499564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1499567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1499575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1499578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1499581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1499584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499603 */     // MIs[0] round
     /* 1499603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499606 */     // MIs[0] policy
     /* 1499606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499616 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1499619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499640 */     // GIR_Coverage, 17759,
     /* 1499640 */     GIR_EraseRootFromParent_Done,
     /* 1499641 */   // Label 20866: @1499641
     /* 1499641 */   GIM_Try, /*On fail goto*//*Label 20867*/ GIMT_Encode4(1499723), // Rule ID 17760 //
     /* 1499646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1499649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1499657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1499660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1499663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1499666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499685 */     // MIs[0] round
     /* 1499685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499688 */     // MIs[0] policy
     /* 1499688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499698 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1499701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499722 */     // GIR_Coverage, 17760,
     /* 1499722 */     GIR_EraseRootFromParent_Done,
     /* 1499723 */   // Label 20867: @1499723
     /* 1499723 */   GIM_Try, /*On fail goto*//*Label 20868*/ GIMT_Encode4(1499805), // Rule ID 17763 //
     /* 1499728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1499731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1499739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1499742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1499745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1499748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499767 */     // MIs[0] round
     /* 1499767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499770 */     // MIs[0] policy
     /* 1499770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499780 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1499783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499804 */     // GIR_Coverage, 17763,
     /* 1499804 */     GIR_EraseRootFromParent_Done,
     /* 1499805 */   // Label 20868: @1499805
     /* 1499805 */   GIM_Try, /*On fail goto*//*Label 20869*/ GIMT_Encode4(1499887), // Rule ID 17764 //
     /* 1499810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1499813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1499821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1499824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1499827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1499830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499849 */     // MIs[0] round
     /* 1499849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499852 */     // MIs[0] policy
     /* 1499852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499862 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1499865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499886 */     // GIR_Coverage, 17764,
     /* 1499886 */     GIR_EraseRootFromParent_Done,
     /* 1499887 */   // Label 20869: @1499887
     /* 1499887 */   GIM_Try, /*On fail goto*//*Label 20870*/ GIMT_Encode4(1499969), // Rule ID 17767 //
     /* 1499892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1499895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1499903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1499906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1499909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1499912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499931 */     // MIs[0] round
     /* 1499931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499934 */     // MIs[0] policy
     /* 1499934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499944 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1499947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499968 */     // GIR_Coverage, 17767,
     /* 1499968 */     GIR_EraseRootFromParent_Done,
     /* 1499969 */   // Label 20870: @1499969
     /* 1499969 */   GIM_Try, /*On fail goto*//*Label 20871*/ GIMT_Encode4(1500051), // Rule ID 17768 //
     /* 1499974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1499977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1499982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1499985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1499988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1499991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1499994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500013 */     // MIs[0] round
     /* 1500013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500016 */     // MIs[0] policy
     /* 1500016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500026 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1500029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500050 */     // GIR_Coverage, 17768,
     /* 1500050 */     GIR_EraseRootFromParent_Done,
     /* 1500051 */   // Label 20871: @1500051
     /* 1500051 */   GIM_Try, /*On fail goto*//*Label 20872*/ GIMT_Encode4(1500133), // Rule ID 17771 //
     /* 1500056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1500059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1500067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1500070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1500073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1500076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500095 */     // MIs[0] round
     /* 1500095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500098 */     // MIs[0] policy
     /* 1500098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500108 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1500111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500132 */     // GIR_Coverage, 17771,
     /* 1500132 */     GIR_EraseRootFromParent_Done,
     /* 1500133 */   // Label 20872: @1500133
     /* 1500133 */   GIM_Try, /*On fail goto*//*Label 20873*/ GIMT_Encode4(1500215), // Rule ID 17772 //
     /* 1500138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1500141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1500149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1500152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1500155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1500158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500177 */     // MIs[0] round
     /* 1500177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500180 */     // MIs[0] policy
     /* 1500180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500190 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1500193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500214 */     // GIR_Coverage, 17772,
     /* 1500214 */     GIR_EraseRootFromParent_Done,
     /* 1500215 */   // Label 20873: @1500215
     /* 1500215 */   GIM_Try, /*On fail goto*//*Label 20874*/ GIMT_Encode4(1500297), // Rule ID 17775 //
     /* 1500220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1500223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1500231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1500234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1500237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1500240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500259 */     // MIs[0] round
     /* 1500259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500262 */     // MIs[0] policy
     /* 1500262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500272 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1500275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500296 */     // GIR_Coverage, 17775,
     /* 1500296 */     GIR_EraseRootFromParent_Done,
     /* 1500297 */   // Label 20874: @1500297
     /* 1500297 */   GIM_Try, /*On fail goto*//*Label 20875*/ GIMT_Encode4(1500379), // Rule ID 17776 //
     /* 1500302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1500305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1500313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1500316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1500319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1500322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500341 */     // MIs[0] round
     /* 1500341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500344 */     // MIs[0] policy
     /* 1500344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500354 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1500357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500378 */     // GIR_Coverage, 17776,
     /* 1500378 */     GIR_EraseRootFromParent_Done,
     /* 1500379 */   // Label 20875: @1500379
     /* 1500379 */   GIM_Try, /*On fail goto*//*Label 20876*/ GIMT_Encode4(1500461), // Rule ID 17779 //
     /* 1500384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1500387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1500395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1500398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1500401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1500404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500423 */     // MIs[0] round
     /* 1500423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500426 */     // MIs[0] policy
     /* 1500426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500436 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1500439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500460 */     // GIR_Coverage, 17779,
     /* 1500460 */     GIR_EraseRootFromParent_Done,
     /* 1500461 */   // Label 20876: @1500461
     /* 1500461 */   GIM_Try, /*On fail goto*//*Label 20877*/ GIMT_Encode4(1500543), // Rule ID 17780 //
     /* 1500466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1500469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1500477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1500480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1500483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1500486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500505 */     // MIs[0] round
     /* 1500505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500508 */     // MIs[0] policy
     /* 1500508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500518 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1500521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500542 */     // GIR_Coverage, 17780,
     /* 1500542 */     GIR_EraseRootFromParent_Done,
     /* 1500543 */   // Label 20877: @1500543
     /* 1500543 */   GIM_Try, /*On fail goto*//*Label 20878*/ GIMT_Encode4(1500625), // Rule ID 17783 //
     /* 1500548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1500559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1500562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1500565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1500568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1500583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500587 */     // MIs[0] round
     /* 1500587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500590 */     // MIs[0] policy
     /* 1500590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500600 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1500603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500624 */     // GIR_Coverage, 17783,
     /* 1500624 */     GIR_EraseRootFromParent_Done,
     /* 1500625 */   // Label 20878: @1500625
     /* 1500625 */   GIM_Try, /*On fail goto*//*Label 20879*/ GIMT_Encode4(1500707), // Rule ID 17784 //
     /* 1500630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1500641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1500644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1500647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1500650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1500665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500669 */     // MIs[0] round
     /* 1500669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500672 */     // MIs[0] policy
     /* 1500672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500682 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1500685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500706 */     // GIR_Coverage, 17784,
     /* 1500706 */     GIR_EraseRootFromParent_Done,
     /* 1500707 */   // Label 20879: @1500707
     /* 1500707 */   GIM_Try, /*On fail goto*//*Label 20880*/ GIMT_Encode4(1500789), // Rule ID 17787 //
     /* 1500712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1500723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1500726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1500729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1500732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1500747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500751 */     // MIs[0] round
     /* 1500751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500754 */     // MIs[0] policy
     /* 1500754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500764 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1500767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500788 */     // GIR_Coverage, 17787,
     /* 1500788 */     GIR_EraseRootFromParent_Done,
     /* 1500789 */   // Label 20880: @1500789
     /* 1500789 */   GIM_Try, /*On fail goto*//*Label 20881*/ GIMT_Encode4(1500871), // Rule ID 17788 //
     /* 1500794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1500805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1500808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1500811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1500814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1500829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500833 */     // MIs[0] round
     /* 1500833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500836 */     // MIs[0] policy
     /* 1500836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500846 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1500849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500870 */     // GIR_Coverage, 17788,
     /* 1500870 */     GIR_EraseRootFromParent_Done,
     /* 1500871 */   // Label 20881: @1500871
     /* 1500871 */   GIM_Try, /*On fail goto*//*Label 20882*/ GIMT_Encode4(1500953), // Rule ID 17791 //
     /* 1500876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1500879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1500887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1500890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1500893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1500896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1500911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500915 */     // MIs[0] round
     /* 1500915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500918 */     // MIs[0] policy
     /* 1500918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500928 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1500931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500952 */     // GIR_Coverage, 17791,
     /* 1500952 */     GIR_EraseRootFromParent_Done,
     /* 1500953 */   // Label 20882: @1500953
     /* 1500953 */   GIM_Try, /*On fail goto*//*Label 20883*/ GIMT_Encode4(1501035), // Rule ID 17792 //
     /* 1500958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1500961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1500966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1500969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1500972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1500975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1500978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1500993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500997 */     // MIs[0] round
     /* 1500997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501000 */     // MIs[0] policy
     /* 1501000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501010 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1501013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501034 */     // GIR_Coverage, 17792,
     /* 1501034 */     GIR_EraseRootFromParent_Done,
     /* 1501035 */   // Label 20883: @1501035
     /* 1501035 */   GIM_Try, /*On fail goto*//*Label 20884*/ GIMT_Encode4(1501117), // Rule ID 17795 //
     /* 1501040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1501051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1501054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1501060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501079 */     // MIs[0] round
     /* 1501079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501082 */     // MIs[0] policy
     /* 1501082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501092 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1501095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501116 */     // GIR_Coverage, 17795,
     /* 1501116 */     GIR_EraseRootFromParent_Done,
     /* 1501117 */   // Label 20884: @1501117
     /* 1501117 */   GIM_Try, /*On fail goto*//*Label 20885*/ GIMT_Encode4(1501199), // Rule ID 17796 //
     /* 1501122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1501133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1501136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1501142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501161 */     // MIs[0] round
     /* 1501161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501164 */     // MIs[0] policy
     /* 1501164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501174 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1501177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501198 */     // GIR_Coverage, 17796,
     /* 1501198 */     GIR_EraseRootFromParent_Done,
     /* 1501199 */   // Label 20885: @1501199
     /* 1501199 */   GIM_Try, /*On fail goto*//*Label 20886*/ GIMT_Encode4(1501281), // Rule ID 17799 //
     /* 1501204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1501207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1501215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1501218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1501221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1501224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1501239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501243 */     // MIs[0] round
     /* 1501243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501246 */     // MIs[0] policy
     /* 1501246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501256 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1501259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501280 */     // GIR_Coverage, 17799,
     /* 1501280 */     GIR_EraseRootFromParent_Done,
     /* 1501281 */   // Label 20886: @1501281
     /* 1501281 */   GIM_Try, /*On fail goto*//*Label 20887*/ GIMT_Encode4(1501363), // Rule ID 17800 //
     /* 1501286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1501289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1501297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1501300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1501303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1501306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1501321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501325 */     // MIs[0] round
     /* 1501325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501328 */     // MIs[0] policy
     /* 1501328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501338 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1501341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501362 */     // GIR_Coverage, 17800,
     /* 1501362 */     GIR_EraseRootFromParent_Done,
     /* 1501363 */   // Label 20887: @1501363
     /* 1501363 */   GIM_Try, /*On fail goto*//*Label 20888*/ GIMT_Encode4(1501445), // Rule ID 17803 //
     /* 1501368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1501371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1501379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1501382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1501385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1501388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1501403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501407 */     // MIs[0] round
     /* 1501407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501410 */     // MIs[0] policy
     /* 1501410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501420 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1501423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501431 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501444 */     // GIR_Coverage, 17803,
     /* 1501444 */     GIR_EraseRootFromParent_Done,
     /* 1501445 */   // Label 20888: @1501445
     /* 1501445 */   GIM_Try, /*On fail goto*//*Label 20889*/ GIMT_Encode4(1501527), // Rule ID 17804 //
     /* 1501450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1501453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1501461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1501464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1501467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1501470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1501485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501489 */     // MIs[0] round
     /* 1501489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501492 */     // MIs[0] policy
     /* 1501492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501502 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1501505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501526 */     // GIR_Coverage, 17804,
     /* 1501526 */     GIR_EraseRootFromParent_Done,
     /* 1501527 */   // Label 20889: @1501527
     /* 1501527 */   GIM_Try, /*On fail goto*//*Label 20890*/ GIMT_Encode4(1501609), // Rule ID 17807 //
     /* 1501532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1501543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1501546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1501552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501571 */     // MIs[0] round
     /* 1501571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501574 */     // MIs[0] policy
     /* 1501574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501584 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1501587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501608 */     // GIR_Coverage, 17807,
     /* 1501608 */     GIR_EraseRootFromParent_Done,
     /* 1501609 */   // Label 20890: @1501609
     /* 1501609 */   GIM_Try, /*On fail goto*//*Label 20891*/ GIMT_Encode4(1501691), // Rule ID 17808 //
     /* 1501614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1501625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1501628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1501634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501653 */     // MIs[0] round
     /* 1501653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501656 */     // MIs[0] policy
     /* 1501656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501666 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1501669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501690 */     // GIR_Coverage, 17808,
     /* 1501690 */     GIR_EraseRootFromParent_Done,
     /* 1501691 */   // Label 20891: @1501691
     /* 1501691 */   GIM_Try, /*On fail goto*//*Label 20892*/ GIMT_Encode4(1501773), // Rule ID 17811 //
     /* 1501696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1501707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1501710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1501716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501735 */     // MIs[0] round
     /* 1501735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501738 */     // MIs[0] policy
     /* 1501738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501748 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1501751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501772 */     // GIR_Coverage, 17811,
     /* 1501772 */     GIR_EraseRootFromParent_Done,
     /* 1501773 */   // Label 20892: @1501773
     /* 1501773 */   GIM_Try, /*On fail goto*//*Label 20893*/ GIMT_Encode4(1501855), // Rule ID 17812 //
     /* 1501778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1501789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1501792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1501798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501817 */     // MIs[0] round
     /* 1501817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501820 */     // MIs[0] policy
     /* 1501820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501830 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1501833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501854 */     // GIR_Coverage, 17812,
     /* 1501854 */     GIR_EraseRootFromParent_Done,
     /* 1501855 */   // Label 20893: @1501855
     /* 1501855 */   GIM_Try, /*On fail goto*//*Label 20894*/ GIMT_Encode4(1501937), // Rule ID 17815 //
     /* 1501860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1501871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1501874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1501880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501899 */     // MIs[0] round
     /* 1501899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501902 */     // MIs[0] policy
     /* 1501902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501912 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1501915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501936 */     // GIR_Coverage, 17815,
     /* 1501936 */     GIR_EraseRootFromParent_Done,
     /* 1501937 */   // Label 20894: @1501937
     /* 1501937 */   GIM_Try, /*On fail goto*//*Label 20895*/ GIMT_Encode4(1502019), // Rule ID 17816 //
     /* 1501942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1501950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1501953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1501956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1501962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501981 */     // MIs[0] round
     /* 1501981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501984 */     // MIs[0] policy
     /* 1501984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501994 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1501997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502018 */     // GIR_Coverage, 17816,
     /* 1502018 */     GIR_EraseRootFromParent_Done,
     /* 1502019 */   // Label 20895: @1502019
     /* 1502019 */   GIM_Try, /*On fail goto*//*Label 20896*/ GIMT_Encode4(1502101), // Rule ID 17819 //
     /* 1502024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1502035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1502038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1502044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502063 */     // MIs[0] round
     /* 1502063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502066 */     // MIs[0] policy
     /* 1502066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502076 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1502079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502100 */     // GIR_Coverage, 17819,
     /* 1502100 */     GIR_EraseRootFromParent_Done,
     /* 1502101 */   // Label 20896: @1502101
     /* 1502101 */   GIM_Try, /*On fail goto*//*Label 20897*/ GIMT_Encode4(1502183), // Rule ID 17820 //
     /* 1502106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1502117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1502120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1502126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502145 */     // MIs[0] round
     /* 1502145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502148 */     // MIs[0] policy
     /* 1502148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502158 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1502161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502182 */     // GIR_Coverage, 17820,
     /* 1502182 */     GIR_EraseRootFromParent_Done,
     /* 1502183 */   // Label 20897: @1502183
     /* 1502183 */   GIM_Try, /*On fail goto*//*Label 20898*/ GIMT_Encode4(1502265), // Rule ID 17823 //
     /* 1502188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1502199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1502202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1502208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502227 */     // MIs[0] round
     /* 1502227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502230 */     // MIs[0] policy
     /* 1502230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502240 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1502243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502264 */     // GIR_Coverage, 17823,
     /* 1502264 */     GIR_EraseRootFromParent_Done,
     /* 1502265 */   // Label 20898: @1502265
     /* 1502265 */   GIM_Try, /*On fail goto*//*Label 20899*/ GIMT_Encode4(1502347), // Rule ID 17824 //
     /* 1502270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1502281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1502284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1502290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502309 */     // MIs[0] round
     /* 1502309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502312 */     // MIs[0] policy
     /* 1502312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502322 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1502325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502346 */     // GIR_Coverage, 17824,
     /* 1502346 */     GIR_EraseRootFromParent_Done,
     /* 1502347 */   // Label 20899: @1502347
     /* 1502347 */   GIM_Try, /*On fail goto*//*Label 20900*/ GIMT_Encode4(1502429), // Rule ID 17827 //
     /* 1502352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1502363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1502366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1502372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502391 */     // MIs[0] round
     /* 1502391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502394 */     // MIs[0] policy
     /* 1502394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502404 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1502407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502428 */     // GIR_Coverage, 17827,
     /* 1502428 */     GIR_EraseRootFromParent_Done,
     /* 1502429 */   // Label 20900: @1502429
     /* 1502429 */   GIM_Try, /*On fail goto*//*Label 20901*/ GIMT_Encode4(1502511), // Rule ID 17828 //
     /* 1502434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1502445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1502448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1502454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502473 */     // MIs[0] round
     /* 1502473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502476 */     // MIs[0] policy
     /* 1502476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502486 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1502489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502510 */     // GIR_Coverage, 17828,
     /* 1502510 */     GIR_EraseRootFromParent_Done,
     /* 1502511 */   // Label 20901: @1502511
     /* 1502511 */   GIM_Try, /*On fail goto*//*Label 20902*/ GIMT_Encode4(1502593), // Rule ID 17831 //
     /* 1502516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1502519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1502527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1502530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1502533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1502536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1502551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502555 */     // MIs[0] round
     /* 1502555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502558 */     // MIs[0] policy
     /* 1502558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502568 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1502571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502592 */     // GIR_Coverage, 17831,
     /* 1502592 */     GIR_EraseRootFromParent_Done,
     /* 1502593 */   // Label 20902: @1502593
     /* 1502593 */   GIM_Try, /*On fail goto*//*Label 20903*/ GIMT_Encode4(1502675), // Rule ID 17832 //
     /* 1502598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1502601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1502609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1502612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1502615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1502618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1502633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502637 */     // MIs[0] round
     /* 1502637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502640 */     // MIs[0] policy
     /* 1502640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502650 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1502653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502674 */     // GIR_Coverage, 17832,
     /* 1502674 */     GIR_EraseRootFromParent_Done,
     /* 1502675 */   // Label 20903: @1502675
     /* 1502675 */   GIM_Try, /*On fail goto*//*Label 20904*/ GIMT_Encode4(1502757), // Rule ID 17835 //
     /* 1502680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1502683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1502691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1502694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1502697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1502700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1502715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502719 */     // MIs[0] round
     /* 1502719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502722 */     // MIs[0] policy
     /* 1502722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502732 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1502735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502756 */     // GIR_Coverage, 17835,
     /* 1502756 */     GIR_EraseRootFromParent_Done,
     /* 1502757 */   // Label 20904: @1502757
     /* 1502757 */   GIM_Try, /*On fail goto*//*Label 20905*/ GIMT_Encode4(1502839), // Rule ID 17836 //
     /* 1502762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1502765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1502773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1502776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1502779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1502782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1502797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502801 */     // MIs[0] round
     /* 1502801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502804 */     // MIs[0] policy
     /* 1502804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502814 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1502817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502825 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502838 */     // GIR_Coverage, 17836,
     /* 1502838 */     GIR_EraseRootFromParent_Done,
     /* 1502839 */   // Label 20905: @1502839
     /* 1502839 */   GIM_Try, /*On fail goto*//*Label 20906*/ GIMT_Encode4(1502921), // Rule ID 17839 //
     /* 1502844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1502847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1502855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1502858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1502861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1502864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1502879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502883 */     // MIs[0] round
     /* 1502883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502886 */     // MIs[0] policy
     /* 1502886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502896 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1502899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502920 */     // GIR_Coverage, 17839,
     /* 1502920 */     GIR_EraseRootFromParent_Done,
     /* 1502921 */   // Label 20906: @1502921
     /* 1502921 */   GIM_Try, /*On fail goto*//*Label 20907*/ GIMT_Encode4(1503003), // Rule ID 17840 //
     /* 1502926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1502929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1502934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1502937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1502940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1502943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1502946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1502961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502965 */     // MIs[0] round
     /* 1502965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502968 */     // MIs[0] policy
     /* 1502968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502978 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1502981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503002 */     // GIR_Coverage, 17840,
     /* 1503002 */     GIR_EraseRootFromParent_Done,
     /* 1503003 */   // Label 20907: @1503003
     /* 1503003 */   GIM_Try, /*On fail goto*//*Label 20908*/ GIMT_Encode4(1503085), // Rule ID 17843 //
     /* 1503008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1503016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1503019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1503022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1503025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1503028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503047 */     // MIs[0] round
     /* 1503047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503050 */     // MIs[0] policy
     /* 1503050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503060 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1503063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503071 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503084 */     // GIR_Coverage, 17843,
     /* 1503084 */     GIR_EraseRootFromParent_Done,
     /* 1503085 */   // Label 20908: @1503085
     /* 1503085 */   GIM_Try, /*On fail goto*//*Label 20909*/ GIMT_Encode4(1503167), // Rule ID 17844 //
     /* 1503090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1503098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1503101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1503104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1503107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1503110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503129 */     // MIs[0] round
     /* 1503129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503132 */     // MIs[0] policy
     /* 1503132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503142 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1503145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503166 */     // GIR_Coverage, 17844,
     /* 1503166 */     GIR_EraseRootFromParent_Done,
     /* 1503167 */   // Label 20909: @1503167
     /* 1503167 */   GIM_Try, /*On fail goto*//*Label 20910*/ GIMT_Encode4(1503249), // Rule ID 17847 //
     /* 1503172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1503180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1503183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1503186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1503189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1503192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503211 */     // MIs[0] round
     /* 1503211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503214 */     // MIs[0] policy
     /* 1503214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503224 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1503227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503248 */     // GIR_Coverage, 17847,
     /* 1503248 */     GIR_EraseRootFromParent_Done,
     /* 1503249 */   // Label 20910: @1503249
     /* 1503249 */   GIM_Try, /*On fail goto*//*Label 20911*/ GIMT_Encode4(1503331), // Rule ID 17848 //
     /* 1503254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1503262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1503265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1503268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1503271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1503274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503293 */     // MIs[0] round
     /* 1503293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503296 */     // MIs[0] policy
     /* 1503296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503306 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1503309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503330 */     // GIR_Coverage, 17848,
     /* 1503330 */     GIR_EraseRootFromParent_Done,
     /* 1503331 */   // Label 20911: @1503331
     /* 1503331 */   GIM_Try, /*On fail goto*//*Label 20912*/ GIMT_Encode4(1503413), // Rule ID 17851 //
     /* 1503336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1503344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1503347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1503350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1503353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1503356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503375 */     // MIs[0] round
     /* 1503375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503378 */     // MIs[0] policy
     /* 1503378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503388 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1503391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503412 */     // GIR_Coverage, 17851,
     /* 1503412 */     GIR_EraseRootFromParent_Done,
     /* 1503413 */   // Label 20912: @1503413
     /* 1503413 */   GIM_Try, /*On fail goto*//*Label 20913*/ GIMT_Encode4(1503495), // Rule ID 17852 //
     /* 1503418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1503426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1503429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1503432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1503435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1503438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503457 */     // MIs[0] round
     /* 1503457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503460 */     // MIs[0] policy
     /* 1503460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503470 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1503473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503494 */     // GIR_Coverage, 17852,
     /* 1503494 */     GIR_EraseRootFromParent_Done,
     /* 1503495 */   // Label 20913: @1503495
     /* 1503495 */   GIM_Try, /*On fail goto*//*Label 20914*/ GIMT_Encode4(1503577), // Rule ID 17855 //
     /* 1503500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1503508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1503511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1503514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1503517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1503520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503539 */     // MIs[0] round
     /* 1503539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503542 */     // MIs[0] policy
     /* 1503542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503552 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1503555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503576 */     // GIR_Coverage, 17855,
     /* 1503576 */     GIR_EraseRootFromParent_Done,
     /* 1503577 */   // Label 20914: @1503577
     /* 1503577 */   GIM_Try, /*On fail goto*//*Label 20915*/ GIMT_Encode4(1503659), // Rule ID 17856 //
     /* 1503582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1503590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1503593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1503596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1503599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1503602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503621 */     // MIs[0] round
     /* 1503621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503624 */     // MIs[0] policy
     /* 1503624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503634 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1503637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503658 */     // GIR_Coverage, 17856,
     /* 1503658 */     GIR_EraseRootFromParent_Done,
     /* 1503659 */   // Label 20915: @1503659
     /* 1503659 */   GIM_Try, /*On fail goto*//*Label 20916*/ GIMT_Encode4(1503741), // Rule ID 17859 //
     /* 1503664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1503672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1503675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1503678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1503681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1503684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503703 */     // MIs[0] round
     /* 1503703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503706 */     // MIs[0] policy
     /* 1503706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503716 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1503719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503740 */     // GIR_Coverage, 17859,
     /* 1503740 */     GIR_EraseRootFromParent_Done,
     /* 1503741 */   // Label 20916: @1503741
     /* 1503741 */   GIM_Try, /*On fail goto*//*Label 20917*/ GIMT_Encode4(1503823), // Rule ID 17860 //
     /* 1503746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1503754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1503757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1503760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1503763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1503766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503785 */     // MIs[0] round
     /* 1503785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503788 */     // MIs[0] policy
     /* 1503788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503798 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1503801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503822 */     // GIR_Coverage, 17860,
     /* 1503822 */     GIR_EraseRootFromParent_Done,
     /* 1503823 */   // Label 20917: @1503823
     /* 1503823 */   GIM_Try, /*On fail goto*//*Label 20918*/ GIMT_Encode4(1503905), // Rule ID 17863 //
     /* 1503828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1503831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1503836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1503839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1503842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1503845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1503848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503867 */     // MIs[0] round
     /* 1503867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503870 */     // MIs[0] policy
     /* 1503870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503880 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1503883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503904 */     // GIR_Coverage, 17863,
     /* 1503904 */     GIR_EraseRootFromParent_Done,
     /* 1503905 */   // Label 20918: @1503905
     /* 1503905 */   GIM_Try, /*On fail goto*//*Label 20919*/ GIMT_Encode4(1503987), // Rule ID 17864 //
     /* 1503910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1503913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1503918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1503921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1503924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1503927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1503930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503949 */     // MIs[0] round
     /* 1503949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503952 */     // MIs[0] policy
     /* 1503952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503962 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1503965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503986 */     // GIR_Coverage, 17864,
     /* 1503986 */     GIR_EraseRootFromParent_Done,
     /* 1503987 */   // Label 20919: @1503987
     /* 1503987 */   GIM_Try, /*On fail goto*//*Label 20920*/ GIMT_Encode4(1504069), // Rule ID 17867 //
     /* 1503992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1504003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1504006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1504009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1504012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504031 */     // MIs[0] round
     /* 1504031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504034 */     // MIs[0] policy
     /* 1504034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504044 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1504047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504068 */     // GIR_Coverage, 17867,
     /* 1504068 */     GIR_EraseRootFromParent_Done,
     /* 1504069 */   // Label 20920: @1504069
     /* 1504069 */   GIM_Try, /*On fail goto*//*Label 20921*/ GIMT_Encode4(1504151), // Rule ID 17868 //
     /* 1504074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1504085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1504088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1504091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1504094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504113 */     // MIs[0] round
     /* 1504113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504116 */     // MIs[0] policy
     /* 1504116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504126 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1504129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504150 */     // GIR_Coverage, 17868,
     /* 1504150 */     GIR_EraseRootFromParent_Done,
     /* 1504151 */   // Label 20921: @1504151
     /* 1504151 */   GIM_Try, /*On fail goto*//*Label 20922*/ GIMT_Encode4(1504233), // Rule ID 17871 //
     /* 1504156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1504167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1504170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1504173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1504176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504195 */     // MIs[0] round
     /* 1504195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504198 */     // MIs[0] policy
     /* 1504198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504208 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1504211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504232 */     // GIR_Coverage, 17871,
     /* 1504232 */     GIR_EraseRootFromParent_Done,
     /* 1504233 */   // Label 20922: @1504233
     /* 1504233 */   GIM_Try, /*On fail goto*//*Label 20923*/ GIMT_Encode4(1504315), // Rule ID 17872 //
     /* 1504238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1504249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1504252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1504255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1504258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504277 */     // MIs[0] round
     /* 1504277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504280 */     // MIs[0] policy
     /* 1504280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504290 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1504293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504314 */     // GIR_Coverage, 17872,
     /* 1504314 */     GIR_EraseRootFromParent_Done,
     /* 1504315 */   // Label 20923: @1504315
     /* 1504315 */   GIM_Try, /*On fail goto*//*Label 20924*/ GIMT_Encode4(1504397), // Rule ID 17875 //
     /* 1504320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1504331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1504334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1504337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1504340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504359 */     // MIs[0] round
     /* 1504359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504362 */     // MIs[0] policy
     /* 1504362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504372 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1504375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504396 */     // GIR_Coverage, 17875,
     /* 1504396 */     GIR_EraseRootFromParent_Done,
     /* 1504397 */   // Label 20924: @1504397
     /* 1504397 */   GIM_Try, /*On fail goto*//*Label 20925*/ GIMT_Encode4(1504479), // Rule ID 17876 //
     /* 1504402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1504413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1504416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1504419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1504422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504441 */     // MIs[0] round
     /* 1504441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504444 */     // MIs[0] policy
     /* 1504444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504454 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1504457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504478 */     // GIR_Coverage, 17876,
     /* 1504478 */     GIR_EraseRootFromParent_Done,
     /* 1504479 */   // Label 20925: @1504479
     /* 1504479 */   GIM_Try, /*On fail goto*//*Label 20926*/ GIMT_Encode4(1504561), // Rule ID 17879 //
     /* 1504484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1504487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1504495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1504498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1504501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1504504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504523 */     // MIs[0] round
     /* 1504523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504526 */     // MIs[0] policy
     /* 1504526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504536 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1504539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504560 */     // GIR_Coverage, 17879,
     /* 1504560 */     GIR_EraseRootFromParent_Done,
     /* 1504561 */   // Label 20926: @1504561
     /* 1504561 */   GIM_Try, /*On fail goto*//*Label 20927*/ GIMT_Encode4(1504643), // Rule ID 17880 //
     /* 1504566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1504569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1504577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1504580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1504583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1504586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504605 */     // MIs[0] round
     /* 1504605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504608 */     // MIs[0] policy
     /* 1504608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504618 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1504621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504642 */     // GIR_Coverage, 17880,
     /* 1504642 */     GIR_EraseRootFromParent_Done,
     /* 1504643 */   // Label 20927: @1504643
     /* 1504643 */   GIM_Try, /*On fail goto*//*Label 20928*/ GIMT_Encode4(1504725), // Rule ID 17883 //
     /* 1504648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1504651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1504659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1504662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1504665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1504668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504687 */     // MIs[0] round
     /* 1504687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504690 */     // MIs[0] policy
     /* 1504690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504700 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1504703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504711 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504724 */     // GIR_Coverage, 17883,
     /* 1504724 */     GIR_EraseRootFromParent_Done,
     /* 1504725 */   // Label 20928: @1504725
     /* 1504725 */   GIM_Try, /*On fail goto*//*Label 20929*/ GIMT_Encode4(1504807), // Rule ID 17884 //
     /* 1504730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1504733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1504741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1504744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1504747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1504750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504769 */     // MIs[0] round
     /* 1504769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504772 */     // MIs[0] policy
     /* 1504772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504782 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1504785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504806 */     // GIR_Coverage, 17884,
     /* 1504806 */     GIR_EraseRootFromParent_Done,
     /* 1504807 */   // Label 20929: @1504807
     /* 1504807 */   GIM_Try, /*On fail goto*//*Label 20930*/ GIMT_Encode4(1504889), // Rule ID 17887 //
     /* 1504812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1504815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1504823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1504826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1504829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1504832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504851 */     // MIs[0] round
     /* 1504851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504854 */     // MIs[0] policy
     /* 1504854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504864 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1504867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504888 */     // GIR_Coverage, 17887,
     /* 1504888 */     GIR_EraseRootFromParent_Done,
     /* 1504889 */   // Label 20930: @1504889
     /* 1504889 */   GIM_Try, /*On fail goto*//*Label 20931*/ GIMT_Encode4(1504971), // Rule ID 17888 //
     /* 1504894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1504897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1504905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1504908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1504911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1504914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504933 */     // MIs[0] round
     /* 1504933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504936 */     // MIs[0] policy
     /* 1504936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504946 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1504949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504970 */     // GIR_Coverage, 17888,
     /* 1504970 */     GIR_EraseRootFromParent_Done,
     /* 1504971 */   // Label 20931: @1504971
     /* 1504971 */   GIM_Try, /*On fail goto*//*Label 20932*/ GIMT_Encode4(1505053), // Rule ID 17891 //
     /* 1504976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1504979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1504984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1504987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1504990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1504993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1504996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505015 */     // MIs[0] round
     /* 1505015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505018 */     // MIs[0] policy
     /* 1505018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505028 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1505031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505052 */     // GIR_Coverage, 17891,
     /* 1505052 */     GIR_EraseRootFromParent_Done,
     /* 1505053 */   // Label 20932: @1505053
     /* 1505053 */   GIM_Try, /*On fail goto*//*Label 20933*/ GIMT_Encode4(1505135), // Rule ID 17892 //
     /* 1505058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1505061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1505069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1505072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1505075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1505078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505097 */     // MIs[0] round
     /* 1505097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505100 */     // MIs[0] policy
     /* 1505100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505110 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1505113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505121 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505134 */     // GIR_Coverage, 17892,
     /* 1505134 */     GIR_EraseRootFromParent_Done,
     /* 1505135 */   // Label 20933: @1505135
     /* 1505135 */   GIM_Try, /*On fail goto*//*Label 20934*/ GIMT_Encode4(1505217), // Rule ID 17895 //
     /* 1505140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1505143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1505151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1505154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1505157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1505160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505179 */     // MIs[0] round
     /* 1505179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505182 */     // MIs[0] policy
     /* 1505182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505192 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1505195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505216 */     // GIR_Coverage, 17895,
     /* 1505216 */     GIR_EraseRootFromParent_Done,
     /* 1505217 */   // Label 20934: @1505217
     /* 1505217 */   GIM_Try, /*On fail goto*//*Label 20935*/ GIMT_Encode4(1505299), // Rule ID 17896 //
     /* 1505222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1505225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1505233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1505236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1505239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1505242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505261 */     // MIs[0] round
     /* 1505261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505264 */     // MIs[0] policy
     /* 1505264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505274 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1505277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505285 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505298 */     // GIR_Coverage, 17896,
     /* 1505298 */     GIR_EraseRootFromParent_Done,
     /* 1505299 */   // Label 20935: @1505299
     /* 1505299 */   GIM_Try, /*On fail goto*//*Label 20936*/ GIMT_Encode4(1505381), // Rule ID 17899 //
     /* 1505304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1505307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1505315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1505318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1505321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1505324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505343 */     // MIs[0] round
     /* 1505343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505346 */     // MIs[0] policy
     /* 1505346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505356 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1505359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505380 */     // GIR_Coverage, 17899,
     /* 1505380 */     GIR_EraseRootFromParent_Done,
     /* 1505381 */   // Label 20936: @1505381
     /* 1505381 */   GIM_Try, /*On fail goto*//*Label 20937*/ GIMT_Encode4(1505463), // Rule ID 17900 //
     /* 1505386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1505389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1505397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1505400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1505403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1505406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505425 */     // MIs[0] round
     /* 1505425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505428 */     // MIs[0] policy
     /* 1505428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505438 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1505441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505449 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505462 */     // GIR_Coverage, 17900,
     /* 1505462 */     GIR_EraseRootFromParent_Done,
     /* 1505463 */   // Label 20937: @1505463
     /* 1505463 */   GIM_Try, /*On fail goto*//*Label 20938*/ GIMT_Encode4(1505545), // Rule ID 17903 //
     /* 1505468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1505479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1505482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1505485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1505488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1505503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505507 */     // MIs[0] round
     /* 1505507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505510 */     // MIs[0] policy
     /* 1505510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505520 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1505523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505544 */     // GIR_Coverage, 17903,
     /* 1505544 */     GIR_EraseRootFromParent_Done,
     /* 1505545 */   // Label 20938: @1505545
     /* 1505545 */   GIM_Try, /*On fail goto*//*Label 20939*/ GIMT_Encode4(1505627), // Rule ID 17904 //
     /* 1505550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1505561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1505564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1505567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1505570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1505585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505589 */     // MIs[0] round
     /* 1505589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505592 */     // MIs[0] policy
     /* 1505592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505602 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1505605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505626 */     // GIR_Coverage, 17904,
     /* 1505626 */     GIR_EraseRootFromParent_Done,
     /* 1505627 */   // Label 20939: @1505627
     /* 1505627 */   GIM_Try, /*On fail goto*//*Label 20940*/ GIMT_Encode4(1505709), // Rule ID 17907 //
     /* 1505632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1505643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1505646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1505649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1505652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1505667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505671 */     // MIs[0] round
     /* 1505671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505674 */     // MIs[0] policy
     /* 1505674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505684 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1505687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505708 */     // GIR_Coverage, 17907,
     /* 1505708 */     GIR_EraseRootFromParent_Done,
     /* 1505709 */   // Label 20940: @1505709
     /* 1505709 */   GIM_Try, /*On fail goto*//*Label 20941*/ GIMT_Encode4(1505791), // Rule ID 17908 //
     /* 1505714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1505725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1505728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1505731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1505734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1505749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505753 */     // MIs[0] round
     /* 1505753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505756 */     // MIs[0] policy
     /* 1505756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505766 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1505769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505790 */     // GIR_Coverage, 17908,
     /* 1505790 */     GIR_EraseRootFromParent_Done,
     /* 1505791 */   // Label 20941: @1505791
     /* 1505791 */   GIM_Try, /*On fail goto*//*Label 20942*/ GIMT_Encode4(1505873), // Rule ID 17911 //
     /* 1505796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1505799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1505807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1505810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1505813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1505816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1505831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505835 */     // MIs[0] round
     /* 1505835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505838 */     // MIs[0] policy
     /* 1505838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505848 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1505851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505872 */     // GIR_Coverage, 17911,
     /* 1505872 */     GIR_EraseRootFromParent_Done,
     /* 1505873 */   // Label 20942: @1505873
     /* 1505873 */   GIM_Try, /*On fail goto*//*Label 20943*/ GIMT_Encode4(1505955), // Rule ID 17912 //
     /* 1505878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1505889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1505892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1505895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1505898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1505913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505917 */     // MIs[0] round
     /* 1505917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505920 */     // MIs[0] policy
     /* 1505920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505930 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1505933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505954 */     // GIR_Coverage, 17912,
     /* 1505954 */     GIR_EraseRootFromParent_Done,
     /* 1505955 */   // Label 20943: @1505955
     /* 1505955 */   GIM_Try, /*On fail goto*//*Label 20944*/ GIMT_Encode4(1506037), // Rule ID 17915 //
     /* 1505960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1505968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1505971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1505974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1505977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1505980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1505995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505999 */     // MIs[0] round
     /* 1505999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506002 */     // MIs[0] policy
     /* 1506002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506012 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1506015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506036 */     // GIR_Coverage, 17915,
     /* 1506036 */     GIR_EraseRootFromParent_Done,
     /* 1506037 */   // Label 20944: @1506037
     /* 1506037 */   GIM_Try, /*On fail goto*//*Label 20945*/ GIMT_Encode4(1506119), // Rule ID 17916 //
     /* 1506042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1506053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1506056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1506062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506081 */     // MIs[0] round
     /* 1506081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506084 */     // MIs[0] policy
     /* 1506084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506094 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1506097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506118 */     // GIR_Coverage, 17916,
     /* 1506118 */     GIR_EraseRootFromParent_Done,
     /* 1506119 */   // Label 20945: @1506119
     /* 1506119 */   GIM_Try, /*On fail goto*//*Label 20946*/ GIMT_Encode4(1506201), // Rule ID 17919 //
     /* 1506124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1506135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1506138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1506141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1506144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1506159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506163 */     // MIs[0] round
     /* 1506163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506166 */     // MIs[0] policy
     /* 1506166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506176 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1506179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506200 */     // GIR_Coverage, 17919,
     /* 1506200 */     GIR_EraseRootFromParent_Done,
     /* 1506201 */   // Label 20946: @1506201
     /* 1506201 */   GIM_Try, /*On fail goto*//*Label 20947*/ GIMT_Encode4(1506283), // Rule ID 17920 //
     /* 1506206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1506209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1506217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1506220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1506223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1506226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1506241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506245 */     // MIs[0] round
     /* 1506245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506248 */     // MIs[0] policy
     /* 1506248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506258 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1506261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506282 */     // GIR_Coverage, 17920,
     /* 1506282 */     GIR_EraseRootFromParent_Done,
     /* 1506283 */   // Label 20947: @1506283
     /* 1506283 */   GIM_Try, /*On fail goto*//*Label 20948*/ GIMT_Encode4(1506365), // Rule ID 17923 //
     /* 1506288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1506299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1506302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1506305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1506308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1506323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506327 */     // MIs[0] round
     /* 1506327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506330 */     // MIs[0] policy
     /* 1506330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506340 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1506343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506364 */     // GIR_Coverage, 17923,
     /* 1506364 */     GIR_EraseRootFromParent_Done,
     /* 1506365 */   // Label 20948: @1506365
     /* 1506365 */   GIM_Try, /*On fail goto*//*Label 20949*/ GIMT_Encode4(1506447), // Rule ID 17924 //
     /* 1506370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1506381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1506384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1506387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1506390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1506405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506409 */     // MIs[0] round
     /* 1506409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506412 */     // MIs[0] policy
     /* 1506412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506422 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1506425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506433 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506446 */     // GIR_Coverage, 17924,
     /* 1506446 */     GIR_EraseRootFromParent_Done,
     /* 1506447 */   // Label 20949: @1506447
     /* 1506447 */   GIM_Try, /*On fail goto*//*Label 20950*/ GIMT_Encode4(1506529), // Rule ID 17927 //
     /* 1506452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1506463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1506466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1506472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506491 */     // MIs[0] round
     /* 1506491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506494 */     // MIs[0] policy
     /* 1506494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506504 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1506507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506528 */     // GIR_Coverage, 17927,
     /* 1506528 */     GIR_EraseRootFromParent_Done,
     /* 1506529 */   // Label 20950: @1506529
     /* 1506529 */   GIM_Try, /*On fail goto*//*Label 20951*/ GIMT_Encode4(1506611), // Rule ID 17928 //
     /* 1506534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1506545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1506548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1506554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506573 */     // MIs[0] round
     /* 1506573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506576 */     // MIs[0] policy
     /* 1506576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506586 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1506589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506610 */     // GIR_Coverage, 17928,
     /* 1506610 */     GIR_EraseRootFromParent_Done,
     /* 1506611 */   // Label 20951: @1506611
     /* 1506611 */   GIM_Try, /*On fail goto*//*Label 20952*/ GIMT_Encode4(1506693), // Rule ID 17931 //
     /* 1506616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1506627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1506630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1506636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506655 */     // MIs[0] round
     /* 1506655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506658 */     // MIs[0] policy
     /* 1506658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506668 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1506671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506692 */     // GIR_Coverage, 17931,
     /* 1506692 */     GIR_EraseRootFromParent_Done,
     /* 1506693 */   // Label 20952: @1506693
     /* 1506693 */   GIM_Try, /*On fail goto*//*Label 20953*/ GIMT_Encode4(1506775), // Rule ID 17932 //
     /* 1506698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1506709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1506712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1506718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506737 */     // MIs[0] round
     /* 1506737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506740 */     // MIs[0] policy
     /* 1506740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506750 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1506753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506774 */     // GIR_Coverage, 17932,
     /* 1506774 */     GIR_EraseRootFromParent_Done,
     /* 1506775 */   // Label 20953: @1506775
     /* 1506775 */   GIM_Try, /*On fail goto*//*Label 20954*/ GIMT_Encode4(1506857), // Rule ID 17935 //
     /* 1506780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1506791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1506794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1506800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506819 */     // MIs[0] round
     /* 1506819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506822 */     // MIs[0] policy
     /* 1506822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506832 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1506835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506856 */     // GIR_Coverage, 17935,
     /* 1506856 */     GIR_EraseRootFromParent_Done,
     /* 1506857 */   // Label 20954: @1506857
     /* 1506857 */   GIM_Try, /*On fail goto*//*Label 20955*/ GIMT_Encode4(1506939), // Rule ID 17936 //
     /* 1506862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1506873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1506876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1506882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1506901 */     // MIs[0] round
     /* 1506901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506904 */     // MIs[0] policy
     /* 1506904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506914 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1506917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506938 */     // GIR_Coverage, 17936,
     /* 1506938 */     GIR_EraseRootFromParent_Done,
     /* 1506939 */   // Label 20955: @1506939
     /* 1506939 */   GIM_Try, /*On fail goto*//*Label 20956*/ GIMT_Encode4(1507021), // Rule ID 17939 //
     /* 1506944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1506952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1506955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1506958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1506961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1506964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1506979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506983 */     // MIs[0] round
     /* 1506983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506986 */     // MIs[0] policy
     /* 1506986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506996 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1506999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507020 */     // GIR_Coverage, 17939,
     /* 1507020 */     GIR_EraseRootFromParent_Done,
     /* 1507021 */   // Label 20956: @1507021
     /* 1507021 */   GIM_Try, /*On fail goto*//*Label 20957*/ GIMT_Encode4(1507103), // Rule ID 17940 //
     /* 1507026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1507037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1507040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1507046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507065 */     // MIs[0] round
     /* 1507065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507068 */     // MIs[0] policy
     /* 1507068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507078 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1507081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507102 */     // GIR_Coverage, 17940,
     /* 1507102 */     GIR_EraseRootFromParent_Done,
     /* 1507103 */   // Label 20957: @1507103
     /* 1507103 */   GIM_Try, /*On fail goto*//*Label 20958*/ GIMT_Encode4(1507185), // Rule ID 17943 //
     /* 1507108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1507119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1507122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1507128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507147 */     // MIs[0] round
     /* 1507147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507150 */     // MIs[0] policy
     /* 1507150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507160 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1507163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507184 */     // GIR_Coverage, 17943,
     /* 1507184 */     GIR_EraseRootFromParent_Done,
     /* 1507185 */   // Label 20958: @1507185
     /* 1507185 */   GIM_Try, /*On fail goto*//*Label 20959*/ GIMT_Encode4(1507267), // Rule ID 17944 //
     /* 1507190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1507201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1507204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1507210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507229 */     // MIs[0] round
     /* 1507229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507232 */     // MIs[0] policy
     /* 1507232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507242 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1507245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507253 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507266 */     // GIR_Coverage, 17944,
     /* 1507266 */     GIR_EraseRootFromParent_Done,
     /* 1507267 */   // Label 20959: @1507267
     /* 1507267 */   GIM_Try, /*On fail goto*//*Label 20960*/ GIMT_Encode4(1507349), // Rule ID 17947 //
     /* 1507272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1507283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1507286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1507292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507311 */     // MIs[0] round
     /* 1507311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507314 */     // MIs[0] policy
     /* 1507314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507324 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1507327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507348 */     // GIR_Coverage, 17947,
     /* 1507348 */     GIR_EraseRootFromParent_Done,
     /* 1507349 */   // Label 20960: @1507349
     /* 1507349 */   GIM_Try, /*On fail goto*//*Label 20961*/ GIMT_Encode4(1507431), // Rule ID 17948 //
     /* 1507354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1507365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1507368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1507374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507393 */     // MIs[0] round
     /* 1507393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507396 */     // MIs[0] policy
     /* 1507396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507406 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1507409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507430 */     // GIR_Coverage, 17948,
     /* 1507430 */     GIR_EraseRootFromParent_Done,
     /* 1507431 */   // Label 20961: @1507431
     /* 1507431 */   GIM_Try, /*On fail goto*//*Label 20962*/ GIMT_Encode4(1507513), // Rule ID 17951 //
     /* 1507436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1507439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1507447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1507450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1507453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1507456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1507471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507475 */     // MIs[0] round
     /* 1507475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507478 */     // MIs[0] policy
     /* 1507478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507488 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1507491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507512 */     // GIR_Coverage, 17951,
     /* 1507512 */     GIR_EraseRootFromParent_Done,
     /* 1507513 */   // Label 20962: @1507513
     /* 1507513 */   GIM_Try, /*On fail goto*//*Label 20963*/ GIMT_Encode4(1507595), // Rule ID 17952 //
     /* 1507518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1507521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1507529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1507532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1507535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1507538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1507553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507557 */     // MIs[0] round
     /* 1507557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507560 */     // MIs[0] policy
     /* 1507560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507570 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1507573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507594 */     // GIR_Coverage, 17952,
     /* 1507594 */     GIR_EraseRootFromParent_Done,
     /* 1507595 */   // Label 20963: @1507595
     /* 1507595 */   GIM_Try, /*On fail goto*//*Label 20964*/ GIMT_Encode4(1507677), // Rule ID 17955 //
     /* 1507600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1507603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1507611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1507614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1507617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1507620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1507635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507639 */     // MIs[0] round
     /* 1507639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507642 */     // MIs[0] policy
     /* 1507642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507652 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1507655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507676 */     // GIR_Coverage, 17955,
     /* 1507676 */     GIR_EraseRootFromParent_Done,
     /* 1507677 */   // Label 20964: @1507677
     /* 1507677 */   GIM_Try, /*On fail goto*//*Label 20965*/ GIMT_Encode4(1507759), // Rule ID 17956 //
     /* 1507682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1507685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1507693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1507696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1507699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1507702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1507717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507721 */     // MIs[0] round
     /* 1507721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507724 */     // MIs[0] policy
     /* 1507724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507734 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1507737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507745 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507758 */     // GIR_Coverage, 17956,
     /* 1507758 */     GIR_EraseRootFromParent_Done,
     /* 1507759 */   // Label 20965: @1507759
     /* 1507759 */   GIM_Try, /*On fail goto*//*Label 20966*/ GIMT_Encode4(1507841), // Rule ID 17959 //
     /* 1507764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1507767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1507775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1507778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1507781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1507784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1507799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507803 */     // MIs[0] round
     /* 1507803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507806 */     // MIs[0] policy
     /* 1507806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507816 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1507819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507840 */     // GIR_Coverage, 17959,
     /* 1507840 */     GIR_EraseRootFromParent_Done,
     /* 1507841 */   // Label 20966: @1507841
     /* 1507841 */   GIM_Try, /*On fail goto*//*Label 20967*/ GIMT_Encode4(1507923), // Rule ID 17960 //
     /* 1507846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1507849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1507854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1507857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1507860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1507863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1507866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1507881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507885 */     // MIs[0] round
     /* 1507885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507888 */     // MIs[0] policy
     /* 1507888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507898 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11113:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1507901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507909 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507922 */     // GIR_Coverage, 17960,
     /* 1507922 */     GIR_EraseRootFromParent_Done,
     /* 1507923 */   // Label 20967: @1507923
     /* 1507923 */   GIM_Try, /*On fail goto*//*Label 20968*/ GIMT_Encode4(1508005), // Rule ID 17963 //
     /* 1507928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1507936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1507939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1507942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1507945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1507948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1507967 */     // MIs[0] round
     /* 1507967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507970 */     // MIs[0] policy
     /* 1507970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507980 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1507983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507991 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508004 */     // GIR_Coverage, 17963,
     /* 1508004 */     GIR_EraseRootFromParent_Done,
     /* 1508005 */   // Label 20968: @1508005
     /* 1508005 */   GIM_Try, /*On fail goto*//*Label 20969*/ GIMT_Encode4(1508087), // Rule ID 17964 //
     /* 1508010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1508018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1508021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1508024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1508027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1508030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508049 */     // MIs[0] round
     /* 1508049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508052 */     // MIs[0] policy
     /* 1508052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508062 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1508065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508073 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508086 */     // GIR_Coverage, 17964,
     /* 1508086 */     GIR_EraseRootFromParent_Done,
     /* 1508087 */   // Label 20969: @1508087
     /* 1508087 */   GIM_Try, /*On fail goto*//*Label 20970*/ GIMT_Encode4(1508169), // Rule ID 17967 //
     /* 1508092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1508100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1508103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1508106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1508109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1508112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508131 */     // MIs[0] round
     /* 1508131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508134 */     // MIs[0] policy
     /* 1508134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508144 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1508147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508168 */     // GIR_Coverage, 17967,
     /* 1508168 */     GIR_EraseRootFromParent_Done,
     /* 1508169 */   // Label 20970: @1508169
     /* 1508169 */   GIM_Try, /*On fail goto*//*Label 20971*/ GIMT_Encode4(1508251), // Rule ID 17968 //
     /* 1508174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1508182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1508185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1508188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1508191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1508194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508213 */     // MIs[0] round
     /* 1508213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508216 */     // MIs[0] policy
     /* 1508216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508226 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1508229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508250 */     // GIR_Coverage, 17968,
     /* 1508250 */     GIR_EraseRootFromParent_Done,
     /* 1508251 */   // Label 20971: @1508251
     /* 1508251 */   GIM_Try, /*On fail goto*//*Label 20972*/ GIMT_Encode4(1508333), // Rule ID 17971 //
     /* 1508256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1508264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1508267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1508270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1508273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1508276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508295 */     // MIs[0] round
     /* 1508295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508298 */     // MIs[0] policy
     /* 1508298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508308 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1508311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508332 */     // GIR_Coverage, 17971,
     /* 1508332 */     GIR_EraseRootFromParent_Done,
     /* 1508333 */   // Label 20972: @1508333
     /* 1508333 */   GIM_Try, /*On fail goto*//*Label 20973*/ GIMT_Encode4(1508415), // Rule ID 17972 //
     /* 1508338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1508346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1508349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1508352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1508355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1508358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508377 */     // MIs[0] round
     /* 1508377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508380 */     // MIs[0] policy
     /* 1508380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508390 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1508393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508414 */     // GIR_Coverage, 17972,
     /* 1508414 */     GIR_EraseRootFromParent_Done,
     /* 1508415 */   // Label 20973: @1508415
     /* 1508415 */   GIM_Try, /*On fail goto*//*Label 20974*/ GIMT_Encode4(1508497), // Rule ID 17975 //
     /* 1508420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1508428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1508431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1508434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1508437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1508440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508459 */     // MIs[0] round
     /* 1508459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508462 */     // MIs[0] policy
     /* 1508462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508472 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1508475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508496 */     // GIR_Coverage, 17975,
     /* 1508496 */     GIR_EraseRootFromParent_Done,
     /* 1508497 */   // Label 20974: @1508497
     /* 1508497 */   GIM_Try, /*On fail goto*//*Label 20975*/ GIMT_Encode4(1508579), // Rule ID 17976 //
     /* 1508502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1508510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1508513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1508516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1508519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1508522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508541 */     // MIs[0] round
     /* 1508541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508544 */     // MIs[0] policy
     /* 1508544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508554 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1508557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508565 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508578 */     // GIR_Coverage, 17976,
     /* 1508578 */     GIR_EraseRootFromParent_Done,
     /* 1508579 */   // Label 20975: @1508579
     /* 1508579 */   GIM_Try, /*On fail goto*//*Label 20976*/ GIMT_Encode4(1508661), // Rule ID 17979 //
     /* 1508584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1508592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1508595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1508598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1508601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1508604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508623 */     // MIs[0] round
     /* 1508623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508626 */     // MIs[0] policy
     /* 1508626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508636 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1508639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508660 */     // GIR_Coverage, 17979,
     /* 1508660 */     GIR_EraseRootFromParent_Done,
     /* 1508661 */   // Label 20976: @1508661
     /* 1508661 */   GIM_Try, /*On fail goto*//*Label 20977*/ GIMT_Encode4(1508743), // Rule ID 17980 //
     /* 1508666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1508674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1508677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1508680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1508683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1508686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508705 */     // MIs[0] round
     /* 1508705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508708 */     // MIs[0] policy
     /* 1508708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508718 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1508721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508729 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508742 */     // GIR_Coverage, 17980,
     /* 1508742 */     GIR_EraseRootFromParent_Done,
     /* 1508743 */   // Label 20977: @1508743
     /* 1508743 */   GIM_Try, /*On fail goto*//*Label 20978*/ GIMT_Encode4(1508825), // Rule ID 17983 //
     /* 1508748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1508751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1508756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1508759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1508762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1508765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1508768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508787 */     // MIs[0] round
     /* 1508787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508790 */     // MIs[0] policy
     /* 1508790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508800 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1508803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508824 */     // GIR_Coverage, 17983,
     /* 1508824 */     GIR_EraseRootFromParent_Done,
     /* 1508825 */   // Label 20978: @1508825
     /* 1508825 */   GIM_Try, /*On fail goto*//*Label 20979*/ GIMT_Encode4(1508907), // Rule ID 17984 //
     /* 1508830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1508833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1508838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1508841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1508844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1508847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1508850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508869 */     // MIs[0] round
     /* 1508869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508872 */     // MIs[0] policy
     /* 1508872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508882 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1508885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508893 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508906 */     // GIR_Coverage, 17984,
     /* 1508906 */     GIR_EraseRootFromParent_Done,
     /* 1508907 */   // Label 20979: @1508907
     /* 1508907 */   GIM_Try, /*On fail goto*//*Label 20980*/ GIMT_Encode4(1508989), // Rule ID 17987 //
     /* 1508912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1508920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1508923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1508926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1508929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1508932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1508951 */     // MIs[0] round
     /* 1508951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508954 */     // MIs[0] policy
     /* 1508954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508964 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1508967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508988 */     // GIR_Coverage, 17987,
     /* 1508988 */     GIR_EraseRootFromParent_Done,
     /* 1508989 */   // Label 20980: @1508989
     /* 1508989 */   GIM_Try, /*On fail goto*//*Label 20981*/ GIMT_Encode4(1509071), // Rule ID 17988 //
     /* 1508994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1509005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1509008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1509011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1509014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509033 */     // MIs[0] round
     /* 1509033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509036 */     // MIs[0] policy
     /* 1509036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509046 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1509049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509070 */     // GIR_Coverage, 17988,
     /* 1509070 */     GIR_EraseRootFromParent_Done,
     /* 1509071 */   // Label 20981: @1509071
     /* 1509071 */   GIM_Try, /*On fail goto*//*Label 20982*/ GIMT_Encode4(1509153), // Rule ID 17991 //
     /* 1509076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1509087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1509090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1509093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1509096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509115 */     // MIs[0] round
     /* 1509115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509118 */     // MIs[0] policy
     /* 1509118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509128 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1509131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509152 */     // GIR_Coverage, 17991,
     /* 1509152 */     GIR_EraseRootFromParent_Done,
     /* 1509153 */   // Label 20982: @1509153
     /* 1509153 */   GIM_Try, /*On fail goto*//*Label 20983*/ GIMT_Encode4(1509235), // Rule ID 17992 //
     /* 1509158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1509169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1509172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1509175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1509178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509197 */     // MIs[0] round
     /* 1509197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509200 */     // MIs[0] policy
     /* 1509200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509210 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1509213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509234 */     // GIR_Coverage, 17992,
     /* 1509234 */     GIR_EraseRootFromParent_Done,
     /* 1509235 */   // Label 20983: @1509235
     /* 1509235 */   GIM_Try, /*On fail goto*//*Label 20984*/ GIMT_Encode4(1509317), // Rule ID 17995 //
     /* 1509240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1509251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1509254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1509257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1509260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509279 */     // MIs[0] round
     /* 1509279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509282 */     // MIs[0] policy
     /* 1509282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509292 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1509295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509316 */     // GIR_Coverage, 17995,
     /* 1509316 */     GIR_EraseRootFromParent_Done,
     /* 1509317 */   // Label 20984: @1509317
     /* 1509317 */   GIM_Try, /*On fail goto*//*Label 20985*/ GIMT_Encode4(1509399), // Rule ID 17996 //
     /* 1509322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1509333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1509336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1509339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1509342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509361 */     // MIs[0] round
     /* 1509361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509364 */     // MIs[0] policy
     /* 1509364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509374 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1509377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509398 */     // GIR_Coverage, 17996,
     /* 1509398 */     GIR_EraseRootFromParent_Done,
     /* 1509399 */   // Label 20985: @1509399
     /* 1509399 */   GIM_Try, /*On fail goto*//*Label 20986*/ GIMT_Encode4(1509481), // Rule ID 17999 //
     /* 1509404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1509415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1509418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1509421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1509424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509443 */     // MIs[0] round
     /* 1509443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509446 */     // MIs[0] policy
     /* 1509446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509456 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1509459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509480 */     // GIR_Coverage, 17999,
     /* 1509480 */     GIR_EraseRootFromParent_Done,
     /* 1509481 */   // Label 20986: @1509481
     /* 1509481 */   GIM_Try, /*On fail goto*//*Label 20987*/ GIMT_Encode4(1509563), // Rule ID 18000 //
     /* 1509486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1509497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1509500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1509503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1509506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509525 */     // MIs[0] round
     /* 1509525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509528 */     // MIs[0] policy
     /* 1509528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509538 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1509541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509562 */     // GIR_Coverage, 18000,
     /* 1509562 */     GIR_EraseRootFromParent_Done,
     /* 1509563 */   // Label 20987: @1509563
     /* 1509563 */   GIM_Try, /*On fail goto*//*Label 20988*/ GIMT_Encode4(1509645), // Rule ID 18003 //
     /* 1509568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1509579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1509582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1509585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1509588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509607 */     // MIs[0] round
     /* 1509607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509610 */     // MIs[0] policy
     /* 1509610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509620 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1509623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509644 */     // GIR_Coverage, 18003,
     /* 1509644 */     GIR_EraseRootFromParent_Done,
     /* 1509645 */   // Label 20988: @1509645
     /* 1509645 */   GIM_Try, /*On fail goto*//*Label 20989*/ GIMT_Encode4(1509727), // Rule ID 18004 //
     /* 1509650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1509661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1509664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1509667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1509670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509689 */     // MIs[0] round
     /* 1509689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509692 */     // MIs[0] policy
     /* 1509692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509702 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1509705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509726 */     // GIR_Coverage, 18004,
     /* 1509726 */     GIR_EraseRootFromParent_Done,
     /* 1509727 */   // Label 20989: @1509727
     /* 1509727 */   GIM_Try, /*On fail goto*//*Label 20990*/ GIMT_Encode4(1509809), // Rule ID 18007 //
     /* 1509732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1509743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1509746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1509749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1509752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509771 */     // MIs[0] round
     /* 1509771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509774 */     // MIs[0] policy
     /* 1509774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509784 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1509787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509808 */     // GIR_Coverage, 18007,
     /* 1509808 */     GIR_EraseRootFromParent_Done,
     /* 1509809 */   // Label 20990: @1509809
     /* 1509809 */   GIM_Try, /*On fail goto*//*Label 20991*/ GIMT_Encode4(1509891), // Rule ID 18008 //
     /* 1509814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1509825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1509828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1509831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1509834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509853 */     // MIs[0] round
     /* 1509853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509856 */     // MIs[0] policy
     /* 1509856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509866 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1509869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509890 */     // GIR_Coverage, 18008,
     /* 1509890 */     GIR_EraseRootFromParent_Done,
     /* 1509891 */   // Label 20991: @1509891
     /* 1509891 */   GIM_Try, /*On fail goto*//*Label 20992*/ GIMT_Encode4(1509973), // Rule ID 18011 //
     /* 1509896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1509899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1509907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1509910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1509913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1509916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509935 */     // MIs[0] round
     /* 1509935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509938 */     // MIs[0] policy
     /* 1509938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509948 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1509951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509972 */     // GIR_Coverage, 18011,
     /* 1509972 */     GIR_EraseRootFromParent_Done,
     /* 1509973 */   // Label 20992: @1509973
     /* 1509973 */   GIM_Try, /*On fail goto*//*Label 20993*/ GIMT_Encode4(1510055), // Rule ID 18012 //
     /* 1509978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1509981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1509986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1509989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1509992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1509995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1509998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510017 */     // MIs[0] round
     /* 1510017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510020 */     // MIs[0] policy
     /* 1510020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510030 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1510033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510054 */     // GIR_Coverage, 18012,
     /* 1510054 */     GIR_EraseRootFromParent_Done,
     /* 1510055 */   // Label 20993: @1510055
     /* 1510055 */   GIM_Try, /*On fail goto*//*Label 20994*/ GIMT_Encode4(1510137), // Rule ID 18015 //
     /* 1510060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1510063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1510071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1510074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1510077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1510080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510099 */     // MIs[0] round
     /* 1510099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510102 */     // MIs[0] policy
     /* 1510102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510112 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1510115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510136 */     // GIR_Coverage, 18015,
     /* 1510136 */     GIR_EraseRootFromParent_Done,
     /* 1510137 */   // Label 20994: @1510137
     /* 1510137 */   GIM_Try, /*On fail goto*//*Label 20995*/ GIMT_Encode4(1510219), // Rule ID 18016 //
     /* 1510142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1510153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1510156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1510159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1510162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510181 */     // MIs[0] round
     /* 1510181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510184 */     // MIs[0] policy
     /* 1510184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510194 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1510197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510218 */     // GIR_Coverage, 18016,
     /* 1510218 */     GIR_EraseRootFromParent_Done,
     /* 1510219 */   // Label 20995: @1510219
     /* 1510219 */   GIM_Try, /*On fail goto*//*Label 20996*/ GIMT_Encode4(1510301), // Rule ID 18019 //
     /* 1510224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1510227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1510235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1510238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1510241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1510244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510263 */     // MIs[0] round
     /* 1510263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510266 */     // MIs[0] policy
     /* 1510266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510276 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1510279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510300 */     // GIR_Coverage, 18019,
     /* 1510300 */     GIR_EraseRootFromParent_Done,
     /* 1510301 */   // Label 20996: @1510301
     /* 1510301 */   GIM_Try, /*On fail goto*//*Label 20997*/ GIMT_Encode4(1510383), // Rule ID 18020 //
     /* 1510306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1510317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1510320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1510323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1510326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510345 */     // MIs[0] round
     /* 1510345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510348 */     // MIs[0] policy
     /* 1510348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510358 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1510361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510382 */     // GIR_Coverage, 18020,
     /* 1510382 */     GIR_EraseRootFromParent_Done,
     /* 1510383 */   // Label 20997: @1510383
     /* 1510383 */   GIM_Try, /*On fail goto*//*Label 20998*/ GIMT_Encode4(1510465), // Rule ID 18023 //
     /* 1510388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1510399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1510402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1510405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1510408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1510423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510427 */     // MIs[0] round
     /* 1510427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510430 */     // MIs[0] policy
     /* 1510430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510440 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1510443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510464 */     // GIR_Coverage, 18023,
     /* 1510464 */     GIR_EraseRootFromParent_Done,
     /* 1510465 */   // Label 20998: @1510465
     /* 1510465 */   GIM_Try, /*On fail goto*//*Label 20999*/ GIMT_Encode4(1510547), // Rule ID 18024 //
     /* 1510470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1510481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1510484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1510487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1510490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1510505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510509 */     // MIs[0] round
     /* 1510509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510512 */     // MIs[0] policy
     /* 1510512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510522 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1510525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510546 */     // GIR_Coverage, 18024,
     /* 1510546 */     GIR_EraseRootFromParent_Done,
     /* 1510547 */   // Label 20999: @1510547
     /* 1510547 */   GIM_Try, /*On fail goto*//*Label 21000*/ GIMT_Encode4(1510629), // Rule ID 18027 //
     /* 1510552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1510563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1510566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1510569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1510572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1510587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510591 */     // MIs[0] round
     /* 1510591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510594 */     // MIs[0] policy
     /* 1510594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510604 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1510607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510628 */     // GIR_Coverage, 18027,
     /* 1510628 */     GIR_EraseRootFromParent_Done,
     /* 1510629 */   // Label 21000: @1510629
     /* 1510629 */   GIM_Try, /*On fail goto*//*Label 21001*/ GIMT_Encode4(1510711), // Rule ID 18028 //
     /* 1510634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1510645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1510648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1510651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1510654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1510669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510673 */     // MIs[0] round
     /* 1510673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510676 */     // MIs[0] policy
     /* 1510676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510686 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1510689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510710 */     // GIR_Coverage, 18028,
     /* 1510710 */     GIR_EraseRootFromParent_Done,
     /* 1510711 */   // Label 21001: @1510711
     /* 1510711 */   GIM_Try, /*On fail goto*//*Label 21002*/ GIMT_Encode4(1510793), // Rule ID 18031 //
     /* 1510716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1510727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1510730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1510733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1510736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1510751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510755 */     // MIs[0] round
     /* 1510755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510758 */     // MIs[0] policy
     /* 1510758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510768 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1510771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510792 */     // GIR_Coverage, 18031,
     /* 1510792 */     GIR_EraseRootFromParent_Done,
     /* 1510793 */   // Label 21002: @1510793
     /* 1510793 */   GIM_Try, /*On fail goto*//*Label 21003*/ GIMT_Encode4(1510875), // Rule ID 18032 //
     /* 1510798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1510801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1510809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1510812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1510815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1510818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1510833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510837 */     // MIs[0] round
     /* 1510837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510840 */     // MIs[0] policy
     /* 1510840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510850 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1510853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510874 */     // GIR_Coverage, 18032,
     /* 1510874 */     GIR_EraseRootFromParent_Done,
     /* 1510875 */   // Label 21003: @1510875
     /* 1510875 */   GIM_Try, /*On fail goto*//*Label 21004*/ GIMT_Encode4(1510957), // Rule ID 18035 //
     /* 1510880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1510891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1510894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1510897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1510900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1510915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510919 */     // MIs[0] round
     /* 1510919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510922 */     // MIs[0] policy
     /* 1510922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510932 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1510935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510956 */     // GIR_Coverage, 18035,
     /* 1510956 */     GIR_EraseRootFromParent_Done,
     /* 1510957 */   // Label 21004: @1510957
     /* 1510957 */   GIM_Try, /*On fail goto*//*Label 21005*/ GIMT_Encode4(1511039), // Rule ID 18036 //
     /* 1510962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1510970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1510973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1510976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1510979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1510982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1510997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511001 */     // MIs[0] round
     /* 1511001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511004 */     // MIs[0] policy
     /* 1511004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511014 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1511017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511038 */     // GIR_Coverage, 18036,
     /* 1511038 */     GIR_EraseRootFromParent_Done,
     /* 1511039 */   // Label 21005: @1511039
     /* 1511039 */   GIM_Try, /*On fail goto*//*Label 21006*/ GIMT_Encode4(1511121), // Rule ID 18039 //
     /* 1511044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1511047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1511055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1511058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1511061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1511064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1511079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511083 */     // MIs[0] round
     /* 1511083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511086 */     // MIs[0] policy
     /* 1511086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511096 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1511099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511120 */     // GIR_Coverage, 18039,
     /* 1511120 */     GIR_EraseRootFromParent_Done,
     /* 1511121 */   // Label 21006: @1511121
     /* 1511121 */   GIM_Try, /*On fail goto*//*Label 21007*/ GIMT_Encode4(1511203), // Rule ID 18040 //
     /* 1511126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1511137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1511140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1511143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1511146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1511161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511165 */     // MIs[0] round
     /* 1511165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511168 */     // MIs[0] policy
     /* 1511168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511178 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1511181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511202 */     // GIR_Coverage, 18040,
     /* 1511202 */     GIR_EraseRootFromParent_Done,
     /* 1511203 */   // Label 21007: @1511203
     /* 1511203 */   GIM_Try, /*On fail goto*//*Label 21008*/ GIMT_Encode4(1511285), // Rule ID 18043 //
     /* 1511208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1511219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1511222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1511225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1511228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1511243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511247 */     // MIs[0] round
     /* 1511247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511250 */     // MIs[0] policy
     /* 1511250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511260 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1511263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511271 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511284 */     // GIR_Coverage, 18043,
     /* 1511284 */     GIR_EraseRootFromParent_Done,
     /* 1511285 */   // Label 21008: @1511285
     /* 1511285 */   GIM_Try, /*On fail goto*//*Label 21009*/ GIMT_Encode4(1511367), // Rule ID 18044 //
     /* 1511290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1511301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1511304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1511307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1511310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1511325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511329 */     // MIs[0] round
     /* 1511329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511332 */     // MIs[0] policy
     /* 1511332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511342 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1511345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511366 */     // GIR_Coverage, 18044,
     /* 1511366 */     GIR_EraseRootFromParent_Done,
     /* 1511367 */   // Label 21009: @1511367
     /* 1511367 */   GIM_Try, /*On fail goto*//*Label 21010*/ GIMT_Encode4(1511449), // Rule ID 18047 //
     /* 1511372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1511383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1511386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1511392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511411 */     // MIs[0] round
     /* 1511411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511414 */     // MIs[0] policy
     /* 1511414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511424 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1511427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511448 */     // GIR_Coverage, 18047,
     /* 1511448 */     GIR_EraseRootFromParent_Done,
     /* 1511449 */   // Label 21010: @1511449
     /* 1511449 */   GIM_Try, /*On fail goto*//*Label 21011*/ GIMT_Encode4(1511531), // Rule ID 18048 //
     /* 1511454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1511465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1511468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1511474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511493 */     // MIs[0] round
     /* 1511493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511496 */     // MIs[0] policy
     /* 1511496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511506 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1511509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511530 */     // GIR_Coverage, 18048,
     /* 1511530 */     GIR_EraseRootFromParent_Done,
     /* 1511531 */   // Label 21011: @1511531
     /* 1511531 */   GIM_Try, /*On fail goto*//*Label 21012*/ GIMT_Encode4(1511613), // Rule ID 18051 //
     /* 1511536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1511547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1511550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1511556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511575 */     // MIs[0] round
     /* 1511575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511578 */     // MIs[0] policy
     /* 1511578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511588 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1511591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511612 */     // GIR_Coverage, 18051,
     /* 1511612 */     GIR_EraseRootFromParent_Done,
     /* 1511613 */   // Label 21012: @1511613
     /* 1511613 */   GIM_Try, /*On fail goto*//*Label 21013*/ GIMT_Encode4(1511695), // Rule ID 18052 //
     /* 1511618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1511629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1511632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1511638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511657 */     // MIs[0] round
     /* 1511657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511660 */     // MIs[0] policy
     /* 1511660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511670 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1511673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511694 */     // GIR_Coverage, 18052,
     /* 1511694 */     GIR_EraseRootFromParent_Done,
     /* 1511695 */   // Label 21013: @1511695
     /* 1511695 */   GIM_Try, /*On fail goto*//*Label 21014*/ GIMT_Encode4(1511777), // Rule ID 18055 //
     /* 1511700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1511711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1511714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1511720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511739 */     // MIs[0] round
     /* 1511739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511742 */     // MIs[0] policy
     /* 1511742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511752 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1511755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511776 */     // GIR_Coverage, 18055,
     /* 1511776 */     GIR_EraseRootFromParent_Done,
     /* 1511777 */   // Label 21014: @1511777
     /* 1511777 */   GIM_Try, /*On fail goto*//*Label 21015*/ GIMT_Encode4(1511859), // Rule ID 18056 //
     /* 1511782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1511793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1511796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1511802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511821 */     // MIs[0] round
     /* 1511821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511824 */     // MIs[0] policy
     /* 1511824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511834 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1511837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511858 */     // GIR_Coverage, 18056,
     /* 1511858 */     GIR_EraseRootFromParent_Done,
     /* 1511859 */   // Label 21015: @1511859
     /* 1511859 */   GIM_Try, /*On fail goto*//*Label 21016*/ GIMT_Encode4(1511941), // Rule ID 18059 //
     /* 1511864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1511867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1511875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1511878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1511881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1511884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1511899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511903 */     // MIs[0] round
     /* 1511903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511906 */     // MIs[0] policy
     /* 1511906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511916 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1511919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511940 */     // GIR_Coverage, 18059,
     /* 1511940 */     GIR_EraseRootFromParent_Done,
     /* 1511941 */   // Label 21016: @1511941
     /* 1511941 */   GIM_Try, /*On fail goto*//*Label 21017*/ GIMT_Encode4(1512023), // Rule ID 18060 //
     /* 1511946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1511954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1511957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1511960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1511963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1511966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1511981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511985 */     // MIs[0] round
     /* 1511985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511988 */     // MIs[0] policy
     /* 1511988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511998 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1512001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512022 */     // GIR_Coverage, 18060,
     /* 1512022 */     GIR_EraseRootFromParent_Done,
     /* 1512023 */   // Label 21017: @1512023
     /* 1512023 */   GIM_Try, /*On fail goto*//*Label 21018*/ GIMT_Encode4(1512105), // Rule ID 18063 //
     /* 1512028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1512039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1512042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1512048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512067 */     // MIs[0] round
     /* 1512067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512070 */     // MIs[0] policy
     /* 1512070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512080 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1512083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512104 */     // GIR_Coverage, 18063,
     /* 1512104 */     GIR_EraseRootFromParent_Done,
     /* 1512105 */   // Label 21018: @1512105
     /* 1512105 */   GIM_Try, /*On fail goto*//*Label 21019*/ GIMT_Encode4(1512187), // Rule ID 18064 //
     /* 1512110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1512121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1512124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1512130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512149 */     // MIs[0] round
     /* 1512149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512152 */     // MIs[0] policy
     /* 1512152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512162 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1512165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512186 */     // GIR_Coverage, 18064,
     /* 1512186 */     GIR_EraseRootFromParent_Done,
     /* 1512187 */   // Label 21019: @1512187
     /* 1512187 */   GIM_Try, /*On fail goto*//*Label 21020*/ GIMT_Encode4(1512269), // Rule ID 18067 //
     /* 1512192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1512203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1512206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1512212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512231 */     // MIs[0] round
     /* 1512231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512234 */     // MIs[0] policy
     /* 1512234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512244 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1512247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512268 */     // GIR_Coverage, 18067,
     /* 1512268 */     GIR_EraseRootFromParent_Done,
     /* 1512269 */   // Label 21020: @1512269
     /* 1512269 */   GIM_Try, /*On fail goto*//*Label 21021*/ GIMT_Encode4(1512351), // Rule ID 18068 //
     /* 1512274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1512285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1512288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1512294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512313 */     // MIs[0] round
     /* 1512313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512316 */     // MIs[0] policy
     /* 1512316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512326 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1512329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512350 */     // GIR_Coverage, 18068,
     /* 1512350 */     GIR_EraseRootFromParent_Done,
     /* 1512351 */   // Label 21021: @1512351
     /* 1512351 */   GIM_Try, /*On fail goto*//*Label 21022*/ GIMT_Encode4(1512433), // Rule ID 18071 //
     /* 1512356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1512359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1512367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1512370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1512376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512395 */     // MIs[0] round
     /* 1512395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512398 */     // MIs[0] policy
     /* 1512398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512408 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1512411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512432 */     // GIR_Coverage, 18071,
     /* 1512432 */     GIR_EraseRootFromParent_Done,
     /* 1512433 */   // Label 21022: @1512433
     /* 1512433 */   GIM_Try, /*On fail goto*//*Label 21023*/ GIMT_Encode4(1512515), // Rule ID 18072 //
     /* 1512438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1512441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1512449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1512452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1512458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512477 */     // MIs[0] round
     /* 1512477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512480 */     // MIs[0] policy
     /* 1512480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512490 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1512493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512514 */     // GIR_Coverage, 18072,
     /* 1512514 */     GIR_EraseRootFromParent_Done,
     /* 1512515 */   // Label 21023: @1512515
     /* 1512515 */   GIM_Try, /*On fail goto*//*Label 21024*/ GIMT_Encode4(1512597), // Rule ID 18075 //
     /* 1512520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1512523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1512531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1512534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1512540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512559 */     // MIs[0] round
     /* 1512559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512562 */     // MIs[0] policy
     /* 1512562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512572 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1512575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512596 */     // GIR_Coverage, 18075,
     /* 1512596 */     GIR_EraseRootFromParent_Done,
     /* 1512597 */   // Label 21024: @1512597
     /* 1512597 */   GIM_Try, /*On fail goto*//*Label 21025*/ GIMT_Encode4(1512679), // Rule ID 18076 //
     /* 1512602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1512605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1512613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1512616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1512622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512641 */     // MIs[0] round
     /* 1512641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512644 */     // MIs[0] policy
     /* 1512644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512654 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1512657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512678 */     // GIR_Coverage, 18076,
     /* 1512678 */     GIR_EraseRootFromParent_Done,
     /* 1512679 */   // Label 21025: @1512679
     /* 1512679 */   GIM_Try, /*On fail goto*//*Label 21026*/ GIMT_Encode4(1512761), // Rule ID 18079 //
     /* 1512684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1512687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1512695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1512698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1512704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512723 */     // MIs[0] round
     /* 1512723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512726 */     // MIs[0] policy
     /* 1512726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512736 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1512739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512760 */     // GIR_Coverage, 18079,
     /* 1512760 */     GIR_EraseRootFromParent_Done,
     /* 1512761 */   // Label 21026: @1512761
     /* 1512761 */   GIM_Try, /*On fail goto*//*Label 21027*/ GIMT_Encode4(1512843), // Rule ID 18080 //
     /* 1512766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1512769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1512774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1512777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1512780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1512786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512805 */     // MIs[0] round
     /* 1512805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512808 */     // MIs[0] policy
     /* 1512808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512818 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1512821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512829 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512842 */     // GIR_Coverage, 18080,
     /* 1512842 */     GIR_EraseRootFromParent_Done,
     /* 1512843 */   // Label 21027: @1512843
     /* 1512843 */   GIM_Try, /*On fail goto*//*Label 21028*/ GIMT_Encode4(1512925), // Rule ID 18083 //
     /* 1512848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1512856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1512859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1512862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1512865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1512868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512887 */     // MIs[0] round
     /* 1512887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512890 */     // MIs[0] policy
     /* 1512890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512900 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1512903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512911 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512924 */     // GIR_Coverage, 18083,
     /* 1512924 */     GIR_EraseRootFromParent_Done,
     /* 1512925 */   // Label 21028: @1512925
     /* 1512925 */   GIM_Try, /*On fail goto*//*Label 21029*/ GIMT_Encode4(1513007), // Rule ID 18084 //
     /* 1512930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1512938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1512941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1512944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1512947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1512950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1512969 */     // MIs[0] round
     /* 1512969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512972 */     // MIs[0] policy
     /* 1512972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512982 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1512985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513006 */     // GIR_Coverage, 18084,
     /* 1513006 */     GIR_EraseRootFromParent_Done,
     /* 1513007 */   // Label 21029: @1513007
     /* 1513007 */   GIM_Try, /*On fail goto*//*Label 21030*/ GIMT_Encode4(1513089), // Rule ID 18087 //
     /* 1513012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1513020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1513023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1513026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1513029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1513032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513051 */     // MIs[0] round
     /* 1513051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513054 */     // MIs[0] policy
     /* 1513054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513064 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1513067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513088 */     // GIR_Coverage, 18087,
     /* 1513088 */     GIR_EraseRootFromParent_Done,
     /* 1513089 */   // Label 21030: @1513089
     /* 1513089 */   GIM_Try, /*On fail goto*//*Label 21031*/ GIMT_Encode4(1513171), // Rule ID 18088 //
     /* 1513094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1513102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1513105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1513108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1513111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1513114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513133 */     // MIs[0] round
     /* 1513133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513136 */     // MIs[0] policy
     /* 1513136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513146 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1513149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513170 */     // GIR_Coverage, 18088,
     /* 1513170 */     GIR_EraseRootFromParent_Done,
     /* 1513171 */   // Label 21031: @1513171
     /* 1513171 */   GIM_Try, /*On fail goto*//*Label 21032*/ GIMT_Encode4(1513253), // Rule ID 18091 //
     /* 1513176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1513184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1513187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1513190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1513193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1513196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513215 */     // MIs[0] round
     /* 1513215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513218 */     // MIs[0] policy
     /* 1513218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513228 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1513231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513252 */     // GIR_Coverage, 18091,
     /* 1513252 */     GIR_EraseRootFromParent_Done,
     /* 1513253 */   // Label 21032: @1513253
     /* 1513253 */   GIM_Try, /*On fail goto*//*Label 21033*/ GIMT_Encode4(1513335), // Rule ID 18092 //
     /* 1513258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1513266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1513269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1513272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1513275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1513278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513297 */     // MIs[0] round
     /* 1513297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513300 */     // MIs[0] policy
     /* 1513300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513310 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1513313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513334 */     // GIR_Coverage, 18092,
     /* 1513334 */     GIR_EraseRootFromParent_Done,
     /* 1513335 */   // Label 21033: @1513335
     /* 1513335 */   GIM_Try, /*On fail goto*//*Label 21034*/ GIMT_Encode4(1513417), // Rule ID 18095 //
     /* 1513340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1513348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1513351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1513354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1513357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1513360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513379 */     // MIs[0] round
     /* 1513379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513382 */     // MIs[0] policy
     /* 1513382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513392 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1513395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513416 */     // GIR_Coverage, 18095,
     /* 1513416 */     GIR_EraseRootFromParent_Done,
     /* 1513417 */   // Label 21034: @1513417
     /* 1513417 */   GIM_Try, /*On fail goto*//*Label 21035*/ GIMT_Encode4(1513499), // Rule ID 18096 //
     /* 1513422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1513430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1513433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1513436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1513439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1513442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513461 */     // MIs[0] round
     /* 1513461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513464 */     // MIs[0] policy
     /* 1513464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513474 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1513477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513498 */     // GIR_Coverage, 18096,
     /* 1513498 */     GIR_EraseRootFromParent_Done,
     /* 1513499 */   // Label 21035: @1513499
     /* 1513499 */   GIM_Try, /*On fail goto*//*Label 21036*/ GIMT_Encode4(1513581), // Rule ID 18099 //
     /* 1513504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1513512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1513515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1513518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1513521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1513524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513543 */     // MIs[0] round
     /* 1513543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513546 */     // MIs[0] policy
     /* 1513546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513556 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1513559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513580 */     // GIR_Coverage, 18099,
     /* 1513580 */     GIR_EraseRootFromParent_Done,
     /* 1513581 */   // Label 21036: @1513581
     /* 1513581 */   GIM_Try, /*On fail goto*//*Label 21037*/ GIMT_Encode4(1513663), // Rule ID 18100 //
     /* 1513586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1513594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1513597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1513600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1513603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1513606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513625 */     // MIs[0] round
     /* 1513625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513628 */     // MIs[0] policy
     /* 1513628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513638 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1513641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513662 */     // GIR_Coverage, 18100,
     /* 1513662 */     GIR_EraseRootFromParent_Done,
     /* 1513663 */   // Label 21037: @1513663
     /* 1513663 */   GIM_Try, /*On fail goto*//*Label 21038*/ GIMT_Encode4(1513745), // Rule ID 18103 //
     /* 1513668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1513676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1513679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1513682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1513685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1513688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513707 */     // MIs[0] round
     /* 1513707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513710 */     // MIs[0] policy
     /* 1513710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513720 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1513723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513744 */     // GIR_Coverage, 18103,
     /* 1513744 */     GIR_EraseRootFromParent_Done,
     /* 1513745 */   // Label 21038: @1513745
     /* 1513745 */   GIM_Try, /*On fail goto*//*Label 21039*/ GIMT_Encode4(1513827), // Rule ID 18104 //
     /* 1513750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1513753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1513758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1513761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1513764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1513767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1513770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513789 */     // MIs[0] round
     /* 1513789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513792 */     // MIs[0] policy
     /* 1513792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513802 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1513805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513826 */     // GIR_Coverage, 18104,
     /* 1513826 */     GIR_EraseRootFromParent_Done,
     /* 1513827 */   // Label 21039: @1513827
     /* 1513827 */   GIM_Try, /*On fail goto*//*Label 21040*/ GIMT_Encode4(1513909), // Rule ID 18107 //
     /* 1513832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1513840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1513843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1513846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1513849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1513852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513871 */     // MIs[0] round
     /* 1513871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513874 */     // MIs[0] policy
     /* 1513874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513884 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1513887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513908 */     // GIR_Coverage, 18107,
     /* 1513908 */     GIR_EraseRootFromParent_Done,
     /* 1513909 */   // Label 21040: @1513909
     /* 1513909 */   GIM_Try, /*On fail goto*//*Label 21041*/ GIMT_Encode4(1513991), // Rule ID 18108 //
     /* 1513914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1513922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1513925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1513928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1513931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1513934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1513953 */     // MIs[0] round
     /* 1513953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513956 */     // MIs[0] policy
     /* 1513956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513966 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1513969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513977 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513990 */     // GIR_Coverage, 18108,
     /* 1513990 */     GIR_EraseRootFromParent_Done,
     /* 1513991 */   // Label 21041: @1513991
     /* 1513991 */   GIM_Try, /*On fail goto*//*Label 21042*/ GIMT_Encode4(1514073), // Rule ID 18111 //
     /* 1513996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1514007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1514010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1514013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1514016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514035 */     // MIs[0] round
     /* 1514035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514038 */     // MIs[0] policy
     /* 1514038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514048 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1514051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514072 */     // GIR_Coverage, 18111,
     /* 1514072 */     GIR_EraseRootFromParent_Done,
     /* 1514073 */   // Label 21042: @1514073
     /* 1514073 */   GIM_Try, /*On fail goto*//*Label 21043*/ GIMT_Encode4(1514155), // Rule ID 18112 //
     /* 1514078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1514089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1514092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1514095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1514098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514117 */     // MIs[0] round
     /* 1514117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514120 */     // MIs[0] policy
     /* 1514120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514130 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1514133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514154 */     // GIR_Coverage, 18112,
     /* 1514154 */     GIR_EraseRootFromParent_Done,
     /* 1514155 */   // Label 21043: @1514155
     /* 1514155 */   GIM_Try, /*On fail goto*//*Label 21044*/ GIMT_Encode4(1514237), // Rule ID 18115 //
     /* 1514160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1514171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1514174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1514177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1514180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514199 */     // MIs[0] round
     /* 1514199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514202 */     // MIs[0] policy
     /* 1514202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514212 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1514215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514236 */     // GIR_Coverage, 18115,
     /* 1514236 */     GIR_EraseRootFromParent_Done,
     /* 1514237 */   // Label 21044: @1514237
     /* 1514237 */   GIM_Try, /*On fail goto*//*Label 21045*/ GIMT_Encode4(1514319), // Rule ID 18116 //
     /* 1514242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1514253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1514256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1514259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1514262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514281 */     // MIs[0] round
     /* 1514281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514284 */     // MIs[0] policy
     /* 1514284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514294 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1514297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514318 */     // GIR_Coverage, 18116,
     /* 1514318 */     GIR_EraseRootFromParent_Done,
     /* 1514319 */   // Label 21045: @1514319
     /* 1514319 */   GIM_Try, /*On fail goto*//*Label 21046*/ GIMT_Encode4(1514401), // Rule ID 18119 //
     /* 1514324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1514335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1514338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1514341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1514344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514363 */     // MIs[0] round
     /* 1514363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514366 */     // MIs[0] policy
     /* 1514366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514376 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1514379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514400 */     // GIR_Coverage, 18119,
     /* 1514400 */     GIR_EraseRootFromParent_Done,
     /* 1514401 */   // Label 21046: @1514401
     /* 1514401 */   GIM_Try, /*On fail goto*//*Label 21047*/ GIMT_Encode4(1514483), // Rule ID 18120 //
     /* 1514406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1514417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1514420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1514423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1514426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514445 */     // MIs[0] round
     /* 1514445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514448 */     // MIs[0] policy
     /* 1514448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514458 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1514461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514482 */     // GIR_Coverage, 18120,
     /* 1514482 */     GIR_EraseRootFromParent_Done,
     /* 1514483 */   // Label 21047: @1514483
     /* 1514483 */   GIM_Try, /*On fail goto*//*Label 21048*/ GIMT_Encode4(1514565), // Rule ID 18123 //
     /* 1514488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1514499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1514502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1514505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1514508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514527 */     // MIs[0] round
     /* 1514527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514530 */     // MIs[0] policy
     /* 1514530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514540 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1514543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514564 */     // GIR_Coverage, 18123,
     /* 1514564 */     GIR_EraseRootFromParent_Done,
     /* 1514565 */   // Label 21048: @1514565
     /* 1514565 */   GIM_Try, /*On fail goto*//*Label 21049*/ GIMT_Encode4(1514647), // Rule ID 18124 //
     /* 1514570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1514581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1514584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1514587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1514590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514609 */     // MIs[0] round
     /* 1514609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514612 */     // MIs[0] policy
     /* 1514612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514622 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1514625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514646 */     // GIR_Coverage, 18124,
     /* 1514646 */     GIR_EraseRootFromParent_Done,
     /* 1514647 */   // Label 21049: @1514647
     /* 1514647 */   GIM_Try, /*On fail goto*//*Label 21050*/ GIMT_Encode4(1514729), // Rule ID 18127 //
     /* 1514652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1514663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1514666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1514669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1514672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514691 */     // MIs[0] round
     /* 1514691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514694 */     // MIs[0] policy
     /* 1514694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514704 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1514707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514728 */     // GIR_Coverage, 18127,
     /* 1514728 */     GIR_EraseRootFromParent_Done,
     /* 1514729 */   // Label 21050: @1514729
     /* 1514729 */   GIM_Try, /*On fail goto*//*Label 21051*/ GIMT_Encode4(1514811), // Rule ID 18128 //
     /* 1514734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1514745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1514748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1514751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1514754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514773 */     // MIs[0] round
     /* 1514773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514776 */     // MIs[0] policy
     /* 1514776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514786 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1514789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514810 */     // GIR_Coverage, 18128,
     /* 1514810 */     GIR_EraseRootFromParent_Done,
     /* 1514811 */   // Label 21051: @1514811
     /* 1514811 */   GIM_Try, /*On fail goto*//*Label 21052*/ GIMT_Encode4(1514893), // Rule ID 18131 //
     /* 1514816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1514819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1514827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1514830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1514833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1514836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514855 */     // MIs[0] round
     /* 1514855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514858 */     // MIs[0] policy
     /* 1514858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514868 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1514871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514892 */     // GIR_Coverage, 18131,
     /* 1514892 */     GIR_EraseRootFromParent_Done,
     /* 1514893 */   // Label 21052: @1514893
     /* 1514893 */   GIM_Try, /*On fail goto*//*Label 21053*/ GIMT_Encode4(1514975), // Rule ID 18132 //
     /* 1514898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1514901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1514909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1514912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1514915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1514918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514937 */     // MIs[0] round
     /* 1514937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514940 */     // MIs[0] policy
     /* 1514940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514950 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1514953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514974 */     // GIR_Coverage, 18132,
     /* 1514974 */     GIR_EraseRootFromParent_Done,
     /* 1514975 */   // Label 21053: @1514975
     /* 1514975 */   GIM_Try, /*On fail goto*//*Label 21054*/ GIMT_Encode4(1515057), // Rule ID 18135 //
     /* 1514980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1514983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1514988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1514991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1514994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1514997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1515000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515019 */     // MIs[0] round
     /* 1515019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515022 */     // MIs[0] policy
     /* 1515022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515032 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1515035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515056 */     // GIR_Coverage, 18135,
     /* 1515056 */     GIR_EraseRootFromParent_Done,
     /* 1515057 */   // Label 21054: @1515057
     /* 1515057 */   GIM_Try, /*On fail goto*//*Label 21055*/ GIMT_Encode4(1515139), // Rule ID 18136 //
     /* 1515062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1515065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1515073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1515076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1515079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1515082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515101 */     // MIs[0] round
     /* 1515101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515104 */     // MIs[0] policy
     /* 1515104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515114 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1515117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515125 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515138 */     // GIR_Coverage, 18136,
     /* 1515138 */     GIR_EraseRootFromParent_Done,
     /* 1515139 */   // Label 21055: @1515139
     /* 1515139 */   GIM_Try, /*On fail goto*//*Label 21056*/ GIMT_Encode4(1515221), // Rule ID 18139 //
     /* 1515144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1515147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1515155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1515158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1515161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1515164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515183 */     // MIs[0] round
     /* 1515183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515186 */     // MIs[0] policy
     /* 1515186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515196 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1515199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515220 */     // GIR_Coverage, 18139,
     /* 1515220 */     GIR_EraseRootFromParent_Done,
     /* 1515221 */   // Label 21056: @1515221
     /* 1515221 */   GIM_Try, /*On fail goto*//*Label 21057*/ GIMT_Encode4(1515303), // Rule ID 18140 //
     /* 1515226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1515229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1515237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1515240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1515243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1515246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515265 */     // MIs[0] round
     /* 1515265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515268 */     // MIs[0] policy
     /* 1515268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515278 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1515281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515302 */     // GIR_Coverage, 18140,
     /* 1515302 */     GIR_EraseRootFromParent_Done,
     /* 1515303 */   // Label 21057: @1515303
     /* 1515303 */   GIM_Try, /*On fail goto*//*Label 21058*/ GIMT_Encode4(1515385), // Rule ID 18143 //
     /* 1515308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1515319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1515322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1515325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1515328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1515343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515347 */     // MIs[0] round
     /* 1515347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515350 */     // MIs[0] policy
     /* 1515350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515360 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1515363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515384 */     // GIR_Coverage, 18143,
     /* 1515384 */     GIR_EraseRootFromParent_Done,
     /* 1515385 */   // Label 21058: @1515385
     /* 1515385 */   GIM_Try, /*On fail goto*//*Label 21059*/ GIMT_Encode4(1515467), // Rule ID 18144 //
     /* 1515390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1515401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1515404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1515407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1515410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1515425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515429 */     // MIs[0] round
     /* 1515429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515432 */     // MIs[0] policy
     /* 1515432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515442 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1515445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515453 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515466 */     // GIR_Coverage, 18144,
     /* 1515466 */     GIR_EraseRootFromParent_Done,
     /* 1515467 */   // Label 21059: @1515467
     /* 1515467 */   GIM_Try, /*On fail goto*//*Label 21060*/ GIMT_Encode4(1515549), // Rule ID 18147 //
     /* 1515472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1515483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1515486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1515489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1515492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1515507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515511 */     // MIs[0] round
     /* 1515511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515514 */     // MIs[0] policy
     /* 1515514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515524 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1515527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515548 */     // GIR_Coverage, 18147,
     /* 1515548 */     GIR_EraseRootFromParent_Done,
     /* 1515549 */   // Label 21060: @1515549
     /* 1515549 */   GIM_Try, /*On fail goto*//*Label 21061*/ GIMT_Encode4(1515631), // Rule ID 18148 //
     /* 1515554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1515565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1515568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1515571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1515574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1515589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515593 */     // MIs[0] round
     /* 1515593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515596 */     // MIs[0] policy
     /* 1515596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515606 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1515609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515617 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515630 */     // GIR_Coverage, 18148,
     /* 1515630 */     GIR_EraseRootFromParent_Done,
     /* 1515631 */   // Label 21061: @1515631
     /* 1515631 */   GIM_Try, /*On fail goto*//*Label 21062*/ GIMT_Encode4(1515713), // Rule ID 18151 //
     /* 1515636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1515647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1515650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1515653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1515656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1515671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515675 */     // MIs[0] round
     /* 1515675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515678 */     // MIs[0] policy
     /* 1515678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515688 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1515691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515712 */     // GIR_Coverage, 18151,
     /* 1515712 */     GIR_EraseRootFromParent_Done,
     /* 1515713 */   // Label 21062: @1515713
     /* 1515713 */   GIM_Try, /*On fail goto*//*Label 21063*/ GIMT_Encode4(1515795), // Rule ID 18152 //
     /* 1515718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1515729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1515732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1515735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1515738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1515753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515757 */     // MIs[0] round
     /* 1515757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515760 */     // MIs[0] policy
     /* 1515760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515770 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1515773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515794 */     // GIR_Coverage, 18152,
     /* 1515794 */     GIR_EraseRootFromParent_Done,
     /* 1515795 */   // Label 21063: @1515795
     /* 1515795 */   GIM_Try, /*On fail goto*//*Label 21064*/ GIMT_Encode4(1515877), // Rule ID 18155 //
     /* 1515800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1515811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1515814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1515817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1515820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1515835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515839 */     // MIs[0] round
     /* 1515839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515842 */     // MIs[0] policy
     /* 1515842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515852 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1515855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515876 */     // GIR_Coverage, 18155,
     /* 1515876 */     GIR_EraseRootFromParent_Done,
     /* 1515877 */   // Label 21064: @1515877
     /* 1515877 */   GIM_Try, /*On fail goto*//*Label 21065*/ GIMT_Encode4(1515959), // Rule ID 18156 //
     /* 1515882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1515893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1515896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1515899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1515902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1515917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515921 */     // MIs[0] round
     /* 1515921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515924 */     // MIs[0] policy
     /* 1515924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515934 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1515937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515945 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515958 */     // GIR_Coverage, 18156,
     /* 1515958 */     GIR_EraseRootFromParent_Done,
     /* 1515959 */   // Label 21065: @1515959
     /* 1515959 */   GIM_Try, /*On fail goto*//*Label 21066*/ GIMT_Encode4(1516041), // Rule ID 18159 //
     /* 1515964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1515972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1515975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1515978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1515981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1515984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1515999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516003 */     // MIs[0] round
     /* 1516003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516006 */     // MIs[0] policy
     /* 1516006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516016 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1516019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516040 */     // GIR_Coverage, 18159,
     /* 1516040 */     GIR_EraseRootFromParent_Done,
     /* 1516041 */   // Label 21066: @1516041
     /* 1516041 */   GIM_Try, /*On fail goto*//*Label 21067*/ GIMT_Encode4(1516123), // Rule ID 18160 //
     /* 1516046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1516049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1516057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1516060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1516063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1516066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1516081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516085 */     // MIs[0] round
     /* 1516085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516088 */     // MIs[0] policy
     /* 1516088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516098 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1516101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516109 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516122 */     // GIR_Coverage, 18160,
     /* 1516122 */     GIR_EraseRootFromParent_Done,
     /* 1516123 */   // Label 21067: @1516123
     /* 1516123 */   GIM_Try, /*On fail goto*//*Label 21068*/ GIMT_Encode4(1516205), // Rule ID 18163 //
     /* 1516128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1516131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1516139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1516142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1516145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1516148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1516163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516167 */     // MIs[0] round
     /* 1516167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516170 */     // MIs[0] policy
     /* 1516170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516180 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1516183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516204 */     // GIR_Coverage, 18163,
     /* 1516204 */     GIR_EraseRootFromParent_Done,
     /* 1516205 */   // Label 21068: @1516205
     /* 1516205 */   GIM_Try, /*On fail goto*//*Label 21069*/ GIMT_Encode4(1516287), // Rule ID 18164 //
     /* 1516210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1516213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1516221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1516224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1516227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1516230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1516245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516249 */     // MIs[0] round
     /* 1516249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516252 */     // MIs[0] policy
     /* 1516252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516262 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1516265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516286 */     // GIR_Coverage, 18164,
     /* 1516286 */     GIR_EraseRootFromParent_Done,
     /* 1516287 */   // Label 21069: @1516287
     /* 1516287 */   GIM_Try, /*On fail goto*//*Label 21070*/ GIMT_Encode4(1516369), // Rule ID 18167 //
     /* 1516292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1516303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1516306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1516312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516331 */     // MIs[0] round
     /* 1516331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516334 */     // MIs[0] policy
     /* 1516334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516344 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1516347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516368 */     // GIR_Coverage, 18167,
     /* 1516368 */     GIR_EraseRootFromParent_Done,
     /* 1516369 */   // Label 21070: @1516369
     /* 1516369 */   GIM_Try, /*On fail goto*//*Label 21071*/ GIMT_Encode4(1516451), // Rule ID 18168 //
     /* 1516374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1516385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1516388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1516394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516413 */     // MIs[0] round
     /* 1516413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516416 */     // MIs[0] policy
     /* 1516416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516426 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1516429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516450 */     // GIR_Coverage, 18168,
     /* 1516450 */     GIR_EraseRootFromParent_Done,
     /* 1516451 */   // Label 21071: @1516451
     /* 1516451 */   GIM_Try, /*On fail goto*//*Label 21072*/ GIMT_Encode4(1516533), // Rule ID 18171 //
     /* 1516456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1516467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1516470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1516476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516495 */     // MIs[0] round
     /* 1516495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516498 */     // MIs[0] policy
     /* 1516498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516508 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1516511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516532 */     // GIR_Coverage, 18171,
     /* 1516532 */     GIR_EraseRootFromParent_Done,
     /* 1516533 */   // Label 21072: @1516533
     /* 1516533 */   GIM_Try, /*On fail goto*//*Label 21073*/ GIMT_Encode4(1516615), // Rule ID 18172 //
     /* 1516538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1516549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1516552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1516558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516577 */     // MIs[0] round
     /* 1516577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516580 */     // MIs[0] policy
     /* 1516580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516590 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1516593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516601 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516614 */     // GIR_Coverage, 18172,
     /* 1516614 */     GIR_EraseRootFromParent_Done,
     /* 1516615 */   // Label 21073: @1516615
     /* 1516615 */   GIM_Try, /*On fail goto*//*Label 21074*/ GIMT_Encode4(1516697), // Rule ID 18175 //
     /* 1516620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1516631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1516634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1516640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516659 */     // MIs[0] round
     /* 1516659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516662 */     // MIs[0] policy
     /* 1516662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516672 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1516675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516696 */     // GIR_Coverage, 18175,
     /* 1516696 */     GIR_EraseRootFromParent_Done,
     /* 1516697 */   // Label 21074: @1516697
     /* 1516697 */   GIM_Try, /*On fail goto*//*Label 21075*/ GIMT_Encode4(1516779), // Rule ID 18176 //
     /* 1516702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1516713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1516716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1516722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516741 */     // MIs[0] round
     /* 1516741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516744 */     // MIs[0] policy
     /* 1516744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516754 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1516757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516778 */     // GIR_Coverage, 18176,
     /* 1516778 */     GIR_EraseRootFromParent_Done,
     /* 1516779 */   // Label 21075: @1516779
     /* 1516779 */   GIM_Try, /*On fail goto*//*Label 21076*/ GIMT_Encode4(1516861), // Rule ID 18179 //
     /* 1516784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1516787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1516795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1516798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1516801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1516804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1516819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516823 */     // MIs[0] round
     /* 1516823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516826 */     // MIs[0] policy
     /* 1516826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516836 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1516839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516860 */     // GIR_Coverage, 18179,
     /* 1516860 */     GIR_EraseRootFromParent_Done,
     /* 1516861 */   // Label 21076: @1516861
     /* 1516861 */   GIM_Try, /*On fail goto*//*Label 21077*/ GIMT_Encode4(1516943), // Rule ID 18180 //
     /* 1516866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1516869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1516877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1516880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1516883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1516886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1516901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516905 */     // MIs[0] round
     /* 1516905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516908 */     // MIs[0] policy
     /* 1516908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516918 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1516921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516942 */     // GIR_Coverage, 18180,
     /* 1516942 */     GIR_EraseRootFromParent_Done,
     /* 1516943 */   // Label 21077: @1516943
     /* 1516943 */   GIM_Try, /*On fail goto*//*Label 21078*/ GIMT_Encode4(1517025), // Rule ID 18183 //
     /* 1516948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1516951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1516956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1516959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1516962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1516965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1516968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1516983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516987 */     // MIs[0] round
     /* 1516987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516990 */     // MIs[0] policy
     /* 1516990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517000 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1517003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517024 */     // GIR_Coverage, 18183,
     /* 1517024 */     GIR_EraseRootFromParent_Done,
     /* 1517025 */   // Label 21078: @1517025
     /* 1517025 */   GIM_Try, /*On fail goto*//*Label 21079*/ GIMT_Encode4(1517107), // Rule ID 18184 //
     /* 1517030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1517041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1517044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1517050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517069 */     // MIs[0] round
     /* 1517069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517072 */     // MIs[0] policy
     /* 1517072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517082 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1517085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517106 */     // GIR_Coverage, 18184,
     /* 1517106 */     GIR_EraseRootFromParent_Done,
     /* 1517107 */   // Label 21079: @1517107
     /* 1517107 */   GIM_Try, /*On fail goto*//*Label 21080*/ GIMT_Encode4(1517189), // Rule ID 18187 //
     /* 1517112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1517123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1517126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1517132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517151 */     // MIs[0] round
     /* 1517151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517154 */     // MIs[0] policy
     /* 1517154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517164 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1517167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517188 */     // GIR_Coverage, 18187,
     /* 1517188 */     GIR_EraseRootFromParent_Done,
     /* 1517189 */   // Label 21080: @1517189
     /* 1517189 */   GIM_Try, /*On fail goto*//*Label 21081*/ GIMT_Encode4(1517271), // Rule ID 18188 //
     /* 1517194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1517205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1517208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1517214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517233 */     // MIs[0] round
     /* 1517233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517236 */     // MIs[0] policy
     /* 1517236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517246 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1517249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517270 */     // GIR_Coverage, 18188,
     /* 1517270 */     GIR_EraseRootFromParent_Done,
     /* 1517271 */   // Label 21081: @1517271
     /* 1517271 */   GIM_Try, /*On fail goto*//*Label 21082*/ GIMT_Encode4(1517353), // Rule ID 18191 //
     /* 1517276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1517279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1517287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1517290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1517296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517315 */     // MIs[0] round
     /* 1517315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517318 */     // MIs[0] policy
     /* 1517318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517328 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1517331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517352 */     // GIR_Coverage, 18191,
     /* 1517352 */     GIR_EraseRootFromParent_Done,
     /* 1517353 */   // Label 21082: @1517353
     /* 1517353 */   GIM_Try, /*On fail goto*//*Label 21083*/ GIMT_Encode4(1517435), // Rule ID 18192 //
     /* 1517358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1517361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1517369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1517372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1517378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517397 */     // MIs[0] round
     /* 1517397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517400 */     // MIs[0] policy
     /* 1517400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517410 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1517413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517434 */     // GIR_Coverage, 18192,
     /* 1517434 */     GIR_EraseRootFromParent_Done,
     /* 1517435 */   // Label 21083: @1517435
     /* 1517435 */   GIM_Try, /*On fail goto*//*Label 21084*/ GIMT_Encode4(1517517), // Rule ID 18195 //
     /* 1517440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1517443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1517451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1517454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1517460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517479 */     // MIs[0] round
     /* 1517479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517482 */     // MIs[0] policy
     /* 1517482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517492 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1517495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517516 */     // GIR_Coverage, 18195,
     /* 1517516 */     GIR_EraseRootFromParent_Done,
     /* 1517517 */   // Label 21084: @1517517
     /* 1517517 */   GIM_Try, /*On fail goto*//*Label 21085*/ GIMT_Encode4(1517599), // Rule ID 18196 //
     /* 1517522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1517525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1517533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1517536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1517542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517561 */     // MIs[0] round
     /* 1517561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517564 */     // MIs[0] policy
     /* 1517564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517574 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1517577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517585 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517598 */     // GIR_Coverage, 18196,
     /* 1517598 */     GIR_EraseRootFromParent_Done,
     /* 1517599 */   // Label 21085: @1517599
     /* 1517599 */   GIM_Try, /*On fail goto*//*Label 21086*/ GIMT_Encode4(1517681), // Rule ID 18199 //
     /* 1517604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1517607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1517615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1517618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1517624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517643 */     // MIs[0] round
     /* 1517643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517646 */     // MIs[0] policy
     /* 1517646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517656 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1517659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517680 */     // GIR_Coverage, 18199,
     /* 1517680 */     GIR_EraseRootFromParent_Done,
     /* 1517681 */   // Label 21086: @1517681
     /* 1517681 */   GIM_Try, /*On fail goto*//*Label 21087*/ GIMT_Encode4(1517763), // Rule ID 18200 //
     /* 1517686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1517689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1517694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1517697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1517700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1517706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517725 */     // MIs[0] round
     /* 1517725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517728 */     // MIs[0] policy
     /* 1517728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517738 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1517741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517762 */     // GIR_Coverage, 18200,
     /* 1517762 */     GIR_EraseRootFromParent_Done,
     /* 1517763 */   // Label 21087: @1517763
     /* 1517763 */   GIM_Try, /*On fail goto*//*Label 21088*/ GIMT_Encode4(1517845), // Rule ID 18203 //
     /* 1517768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1517776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1517779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1517782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1517785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1517788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517807 */     // MIs[0] round
     /* 1517807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517810 */     // MIs[0] policy
     /* 1517810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517820 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1517823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517844 */     // GIR_Coverage, 18203,
     /* 1517844 */     GIR_EraseRootFromParent_Done,
     /* 1517845 */   // Label 21088: @1517845
     /* 1517845 */   GIM_Try, /*On fail goto*//*Label 21089*/ GIMT_Encode4(1517927), // Rule ID 18204 //
     /* 1517850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1517853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1517858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1517861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1517864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1517867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1517870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517889 */     // MIs[0] round
     /* 1517889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517892 */     // MIs[0] policy
     /* 1517892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517902 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1517905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517913 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517926 */     // GIR_Coverage, 18204,
     /* 1517926 */     GIR_EraseRootFromParent_Done,
     /* 1517927 */   // Label 21089: @1517927
     /* 1517927 */   GIM_Try, /*On fail goto*//*Label 21090*/ GIMT_Encode4(1518009), // Rule ID 18207 //
     /* 1517932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1517940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1517943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1517946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1517949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1517952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517971 */     // MIs[0] round
     /* 1517971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517974 */     // MIs[0] policy
     /* 1517974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517984 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1517987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518008 */     // GIR_Coverage, 18207,
     /* 1518008 */     GIR_EraseRootFromParent_Done,
     /* 1518009 */   // Label 21090: @1518009
     /* 1518009 */   GIM_Try, /*On fail goto*//*Label 21091*/ GIMT_Encode4(1518091), // Rule ID 18208 //
     /* 1518014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1518022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1518025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1518028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1518031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1518034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518053 */     // MIs[0] round
     /* 1518053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518056 */     // MIs[0] policy
     /* 1518056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518066 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1518069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518090 */     // GIR_Coverage, 18208,
     /* 1518090 */     GIR_EraseRootFromParent_Done,
     /* 1518091 */   // Label 21091: @1518091
     /* 1518091 */   GIM_Try, /*On fail goto*//*Label 21092*/ GIMT_Encode4(1518173), // Rule ID 18211 //
     /* 1518096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1518104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1518107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1518110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1518113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1518116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518135 */     // MIs[0] round
     /* 1518135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518138 */     // MIs[0] policy
     /* 1518138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518148 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1518151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518172 */     // GIR_Coverage, 18211,
     /* 1518172 */     GIR_EraseRootFromParent_Done,
     /* 1518173 */   // Label 21092: @1518173
     /* 1518173 */   GIM_Try, /*On fail goto*//*Label 21093*/ GIMT_Encode4(1518255), // Rule ID 18212 //
     /* 1518178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1518186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1518189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1518192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1518195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1518198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518217 */     // MIs[0] round
     /* 1518217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518220 */     // MIs[0] policy
     /* 1518220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518230 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1518233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518241 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518254 */     // GIR_Coverage, 18212,
     /* 1518254 */     GIR_EraseRootFromParent_Done,
     /* 1518255 */   // Label 21093: @1518255
     /* 1518255 */   GIM_Try, /*On fail goto*//*Label 21094*/ GIMT_Encode4(1518337), // Rule ID 18215 //
     /* 1518260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1518268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1518271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1518274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1518277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1518280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518299 */     // MIs[0] round
     /* 1518299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518302 */     // MIs[0] policy
     /* 1518302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518312 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1518315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518336 */     // GIR_Coverage, 18215,
     /* 1518336 */     GIR_EraseRootFromParent_Done,
     /* 1518337 */   // Label 21094: @1518337
     /* 1518337 */   GIM_Try, /*On fail goto*//*Label 21095*/ GIMT_Encode4(1518419), // Rule ID 18216 //
     /* 1518342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1518350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1518353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1518356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1518359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1518362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518381 */     // MIs[0] round
     /* 1518381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518384 */     // MIs[0] policy
     /* 1518384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518394 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1518397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518418 */     // GIR_Coverage, 18216,
     /* 1518418 */     GIR_EraseRootFromParent_Done,
     /* 1518419 */   // Label 21095: @1518419
     /* 1518419 */   GIM_Try, /*On fail goto*//*Label 21096*/ GIMT_Encode4(1518501), // Rule ID 18219 //
     /* 1518424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1518432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1518435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1518438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1518441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1518444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518463 */     // MIs[0] round
     /* 1518463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518466 */     // MIs[0] policy
     /* 1518466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518476 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1518479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518500 */     // GIR_Coverage, 18219,
     /* 1518500 */     GIR_EraseRootFromParent_Done,
     /* 1518501 */   // Label 21096: @1518501
     /* 1518501 */   GIM_Try, /*On fail goto*//*Label 21097*/ GIMT_Encode4(1518583), // Rule ID 18220 //
     /* 1518506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1518514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1518517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1518520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1518523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1518526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518545 */     // MIs[0] round
     /* 1518545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518548 */     // MIs[0] policy
     /* 1518548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518558 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1518561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518582 */     // GIR_Coverage, 18220,
     /* 1518582 */     GIR_EraseRootFromParent_Done,
     /* 1518583 */   // Label 21097: @1518583
     /* 1518583 */   GIM_Try, /*On fail goto*//*Label 21098*/ GIMT_Encode4(1518665), // Rule ID 18223 //
     /* 1518588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1518591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1518596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1518599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1518602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1518605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1518608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518627 */     // MIs[0] round
     /* 1518627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518630 */     // MIs[0] policy
     /* 1518630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518640 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1518643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518664 */     // GIR_Coverage, 18223,
     /* 1518664 */     GIR_EraseRootFromParent_Done,
     /* 1518665 */   // Label 21098: @1518665
     /* 1518665 */   GIM_Try, /*On fail goto*//*Label 21099*/ GIMT_Encode4(1518747), // Rule ID 18224 //
     /* 1518670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1518673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1518678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1518681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1518684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1518687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1518690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518709 */     // MIs[0] round
     /* 1518709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518712 */     // MIs[0] policy
     /* 1518712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518722 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1518725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518746 */     // GIR_Coverage, 18224,
     /* 1518746 */     GIR_EraseRootFromParent_Done,
     /* 1518747 */   // Label 21099: @1518747
     /* 1518747 */   GIM_Try, /*On fail goto*//*Label 21100*/ GIMT_Encode4(1518829), // Rule ID 18227 //
     /* 1518752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1518760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1518763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1518766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1518769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1518772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518791 */     // MIs[0] round
     /* 1518791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518794 */     // MIs[0] policy
     /* 1518794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518804 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1518807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518828 */     // GIR_Coverage, 18227,
     /* 1518828 */     GIR_EraseRootFromParent_Done,
     /* 1518829 */   // Label 21100: @1518829
     /* 1518829 */   GIM_Try, /*On fail goto*//*Label 21101*/ GIMT_Encode4(1518911), // Rule ID 18228 //
     /* 1518834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1518842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1518845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1518848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1518851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1518854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518873 */     // MIs[0] round
     /* 1518873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518876 */     // MIs[0] policy
     /* 1518876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518886 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1518889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518897 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518910 */     // GIR_Coverage, 18228,
     /* 1518910 */     GIR_EraseRootFromParent_Done,
     /* 1518911 */   // Label 21101: @1518911
     /* 1518911 */   GIM_Try, /*On fail goto*//*Label 21102*/ GIMT_Encode4(1518993), // Rule ID 18231 //
     /* 1518916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1518924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1518927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1518930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1518933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1518936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518955 */     // MIs[0] round
     /* 1518955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518958 */     // MIs[0] policy
     /* 1518958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518968 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1518971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518992 */     // GIR_Coverage, 18231,
     /* 1518992 */     GIR_EraseRootFromParent_Done,
     /* 1518993 */   // Label 21102: @1518993
     /* 1518993 */   GIM_Try, /*On fail goto*//*Label 21103*/ GIMT_Encode4(1519075), // Rule ID 18232 //
     /* 1518998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1519009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1519012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1519015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1519018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519037 */     // MIs[0] round
     /* 1519037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519040 */     // MIs[0] policy
     /* 1519040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519050 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1519053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519074 */     // GIR_Coverage, 18232,
     /* 1519074 */     GIR_EraseRootFromParent_Done,
     /* 1519075 */   // Label 21103: @1519075
     /* 1519075 */   GIM_Try, /*On fail goto*//*Label 21104*/ GIMT_Encode4(1519157), // Rule ID 18235 //
     /* 1519080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1519091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1519094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1519097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1519100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519119 */     // MIs[0] round
     /* 1519119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519122 */     // MIs[0] policy
     /* 1519122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519132 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1519135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519156 */     // GIR_Coverage, 18235,
     /* 1519156 */     GIR_EraseRootFromParent_Done,
     /* 1519157 */   // Label 21104: @1519157
     /* 1519157 */   GIM_Try, /*On fail goto*//*Label 21105*/ GIMT_Encode4(1519239), // Rule ID 18236 //
     /* 1519162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1519173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1519176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1519179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1519182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519201 */     // MIs[0] round
     /* 1519201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519204 */     // MIs[0] policy
     /* 1519204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519214 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1519217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519225 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519238 */     // GIR_Coverage, 18236,
     /* 1519238 */     GIR_EraseRootFromParent_Done,
     /* 1519239 */   // Label 21105: @1519239
     /* 1519239 */   GIM_Try, /*On fail goto*//*Label 21106*/ GIMT_Encode4(1519321), // Rule ID 18239 //
     /* 1519244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1519255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1519258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1519261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1519264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519283 */     // MIs[0] round
     /* 1519283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519286 */     // MIs[0] policy
     /* 1519286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519296 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1519299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519320 */     // GIR_Coverage, 18239,
     /* 1519320 */     GIR_EraseRootFromParent_Done,
     /* 1519321 */   // Label 21106: @1519321
     /* 1519321 */   GIM_Try, /*On fail goto*//*Label 21107*/ GIMT_Encode4(1519403), // Rule ID 18240 //
     /* 1519326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1519337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1519340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1519343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1519346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519365 */     // MIs[0] round
     /* 1519365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519368 */     // MIs[0] policy
     /* 1519368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519378 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1519381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519402 */     // GIR_Coverage, 18240,
     /* 1519402 */     GIR_EraseRootFromParent_Done,
     /* 1519403 */   // Label 21107: @1519403
     /* 1519403 */   GIM_Try, /*On fail goto*//*Label 21108*/ GIMT_Encode4(1519485), // Rule ID 18243 //
     /* 1519408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1519419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1519422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1519425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1519428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519447 */     // MIs[0] round
     /* 1519447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519450 */     // MIs[0] policy
     /* 1519450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519460 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1519463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519484 */     // GIR_Coverage, 18243,
     /* 1519484 */     GIR_EraseRootFromParent_Done,
     /* 1519485 */   // Label 21108: @1519485
     /* 1519485 */   GIM_Try, /*On fail goto*//*Label 21109*/ GIMT_Encode4(1519567), // Rule ID 18244 //
     /* 1519490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1519501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1519504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1519507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1519510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519529 */     // MIs[0] round
     /* 1519529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519532 */     // MIs[0] policy
     /* 1519532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519542 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1519545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519553 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519566 */     // GIR_Coverage, 18244,
     /* 1519566 */     GIR_EraseRootFromParent_Done,
     /* 1519567 */   // Label 21109: @1519567
     /* 1519567 */   GIM_Try, /*On fail goto*//*Label 21110*/ GIMT_Encode4(1519649), // Rule ID 18247 //
     /* 1519572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1519583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1519586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1519589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1519592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519611 */     // MIs[0] round
     /* 1519611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519614 */     // MIs[0] policy
     /* 1519614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519624 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1519627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519648 */     // GIR_Coverage, 18247,
     /* 1519648 */     GIR_EraseRootFromParent_Done,
     /* 1519649 */   // Label 21110: @1519649
     /* 1519649 */   GIM_Try, /*On fail goto*//*Label 21111*/ GIMT_Encode4(1519731), // Rule ID 18248 //
     /* 1519654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1519665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1519668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1519671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1519674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519693 */     // MIs[0] round
     /* 1519693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519696 */     // MIs[0] policy
     /* 1519696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519706 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1519709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519730 */     // GIR_Coverage, 18248,
     /* 1519730 */     GIR_EraseRootFromParent_Done,
     /* 1519731 */   // Label 21111: @1519731
     /* 1519731 */   GIM_Try, /*On fail goto*//*Label 21112*/ GIMT_Encode4(1519813), // Rule ID 18251 //
     /* 1519736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1519739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1519747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1519750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1519753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1519756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519775 */     // MIs[0] round
     /* 1519775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519778 */     // MIs[0] policy
     /* 1519778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519788 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1519791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519812 */     // GIR_Coverage, 18251,
     /* 1519812 */     GIR_EraseRootFromParent_Done,
     /* 1519813 */   // Label 21112: @1519813
     /* 1519813 */   GIM_Try, /*On fail goto*//*Label 21113*/ GIMT_Encode4(1519895), // Rule ID 18252 //
     /* 1519818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1519821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1519829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1519832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1519835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1519838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519857 */     // MIs[0] round
     /* 1519857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519860 */     // MIs[0] policy
     /* 1519860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519870 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1519873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519881 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519894 */     // GIR_Coverage, 18252,
     /* 1519894 */     GIR_EraseRootFromParent_Done,
     /* 1519895 */   // Label 21113: @1519895
     /* 1519895 */   GIM_Try, /*On fail goto*//*Label 21114*/ GIMT_Encode4(1519977), // Rule ID 18255 //
     /* 1519900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1519903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1519911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1519914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1519917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1519920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519939 */     // MIs[0] round
     /* 1519939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519942 */     // MIs[0] policy
     /* 1519942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519952 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1519955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1519973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519976 */     // GIR_Coverage, 18255,
     /* 1519976 */     GIR_EraseRootFromParent_Done,
     /* 1519977 */   // Label 21114: @1519977
     /* 1519977 */   GIM_Try, /*On fail goto*//*Label 21115*/ GIMT_Encode4(1520059), // Rule ID 18256 //
     /* 1519982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1519985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1519990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1519993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1519996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1519999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1520002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520021 */     // MIs[0] round
     /* 1520021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520024 */     // MIs[0] policy
     /* 1520024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520034 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1520037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520058 */     // GIR_Coverage, 18256,
     /* 1520058 */     GIR_EraseRootFromParent_Done,
     /* 1520059 */   // Label 21115: @1520059
     /* 1520059 */   GIM_Try, /*On fail goto*//*Label 21116*/ GIMT_Encode4(1520141), // Rule ID 18259 //
     /* 1520064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1520067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1520075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1520078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1520081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1520084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520103 */     // MIs[0] round
     /* 1520103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520106 */     // MIs[0] policy
     /* 1520106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520116 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1520119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520140 */     // GIR_Coverage, 18259,
     /* 1520140 */     GIR_EraseRootFromParent_Done,
     /* 1520141 */   // Label 21116: @1520141
     /* 1520141 */   GIM_Try, /*On fail goto*//*Label 21117*/ GIMT_Encode4(1520223), // Rule ID 18260 //
     /* 1520146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1520149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1520157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1520160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1520163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1520166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520185 */     // MIs[0] round
     /* 1520185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520188 */     // MIs[0] policy
     /* 1520188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520198 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1520201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520209 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520222 */     // GIR_Coverage, 18260,
     /* 1520222 */     GIR_EraseRootFromParent_Done,
     /* 1520223 */   // Label 21117: @1520223
     /* 1520223 */   GIM_Try, /*On fail goto*//*Label 21118*/ GIMT_Encode4(1520305), // Rule ID 18263 //
     /* 1520228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1520239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1520242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1520248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520267 */     // MIs[0] round
     /* 1520267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520270 */     // MIs[0] policy
     /* 1520270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520280 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1520283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520304 */     // GIR_Coverage, 18263,
     /* 1520304 */     GIR_EraseRootFromParent_Done,
     /* 1520305 */   // Label 21118: @1520305
     /* 1520305 */   GIM_Try, /*On fail goto*//*Label 21119*/ GIMT_Encode4(1520387), // Rule ID 18264 //
     /* 1520310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1520321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1520324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1520330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520349 */     // MIs[0] round
     /* 1520349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520352 */     // MIs[0] policy
     /* 1520352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520362 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1520365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520386 */     // GIR_Coverage, 18264,
     /* 1520386 */     GIR_EraseRootFromParent_Done,
     /* 1520387 */   // Label 21119: @1520387
     /* 1520387 */   GIM_Try, /*On fail goto*//*Label 21120*/ GIMT_Encode4(1520469), // Rule ID 18267 //
     /* 1520392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1520403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1520406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1520412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520431 */     // MIs[0] round
     /* 1520431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520434 */     // MIs[0] policy
     /* 1520434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520444 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1520447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520468 */     // GIR_Coverage, 18267,
     /* 1520468 */     GIR_EraseRootFromParent_Done,
     /* 1520469 */   // Label 21120: @1520469
     /* 1520469 */   GIM_Try, /*On fail goto*//*Label 21121*/ GIMT_Encode4(1520551), // Rule ID 18268 //
     /* 1520474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1520485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1520488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1520494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520513 */     // MIs[0] round
     /* 1520513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520516 */     // MIs[0] policy
     /* 1520516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520526 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1520529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520550 */     // GIR_Coverage, 18268,
     /* 1520550 */     GIR_EraseRootFromParent_Done,
     /* 1520551 */   // Label 21121: @1520551
     /* 1520551 */   GIM_Try, /*On fail goto*//*Label 21122*/ GIMT_Encode4(1520633), // Rule ID 18271 //
     /* 1520556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1520567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1520570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1520573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1520576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1520591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520595 */     // MIs[0] round
     /* 1520595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520598 */     // MIs[0] policy
     /* 1520598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520608 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1520611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520632 */     // GIR_Coverage, 18271,
     /* 1520632 */     GIR_EraseRootFromParent_Done,
     /* 1520633 */   // Label 21122: @1520633
     /* 1520633 */   GIM_Try, /*On fail goto*//*Label 21123*/ GIMT_Encode4(1520715), // Rule ID 18272 //
     /* 1520638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1520649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1520652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1520655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1520658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1520673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520677 */     // MIs[0] round
     /* 1520677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520680 */     // MIs[0] policy
     /* 1520680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520690 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1520693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520714 */     // GIR_Coverage, 18272,
     /* 1520714 */     GIR_EraseRootFromParent_Done,
     /* 1520715 */   // Label 21123: @1520715
     /* 1520715 */   GIM_Try, /*On fail goto*//*Label 21124*/ GIMT_Encode4(1520797), // Rule ID 18275 //
     /* 1520720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1520731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1520734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1520740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520759 */     // MIs[0] round
     /* 1520759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520762 */     // MIs[0] policy
     /* 1520762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520772 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1520775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520796 */     // GIR_Coverage, 18275,
     /* 1520796 */     GIR_EraseRootFromParent_Done,
     /* 1520797 */   // Label 21124: @1520797
     /* 1520797 */   GIM_Try, /*On fail goto*//*Label 21125*/ GIMT_Encode4(1520879), // Rule ID 18276 //
     /* 1520802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1520813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1520816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1520822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520841 */     // MIs[0] round
     /* 1520841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520844 */     // MIs[0] policy
     /* 1520844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520854 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1520857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520878 */     // GIR_Coverage, 18276,
     /* 1520878 */     GIR_EraseRootFromParent_Done,
     /* 1520879 */   // Label 21125: @1520879
     /* 1520879 */   GIM_Try, /*On fail goto*//*Label 21126*/ GIMT_Encode4(1520961), // Rule ID 18279 //
     /* 1520884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1520895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1520898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1520901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1520904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1520919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520923 */     // MIs[0] round
     /* 1520923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520926 */     // MIs[0] policy
     /* 1520926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520936 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1520939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520960 */     // GIR_Coverage, 18279,
     /* 1520960 */     GIR_EraseRootFromParent_Done,
     /* 1520961 */   // Label 21126: @1520961
     /* 1520961 */   GIM_Try, /*On fail goto*//*Label 21127*/ GIMT_Encode4(1521043), // Rule ID 18280 //
     /* 1520966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1520974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1520977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1520980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1520983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1520986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521005 */     // MIs[0] round
     /* 1521005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521008 */     // MIs[0] policy
     /* 1521008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521018 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1521021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521042 */     // GIR_Coverage, 18280,
     /* 1521042 */     GIR_EraseRootFromParent_Done,
     /* 1521043 */   // Label 21127: @1521043
     /* 1521043 */   GIM_Try, /*On fail goto*//*Label 21128*/ GIMT_Encode4(1521125), // Rule ID 18283 //
     /* 1521048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1521051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1521059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1521062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1521065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1521068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1521083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521087 */     // MIs[0] round
     /* 1521087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521090 */     // MIs[0] policy
     /* 1521090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521100 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1521103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521111 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521124 */     // GIR_Coverage, 18283,
     /* 1521124 */     GIR_EraseRootFromParent_Done,
     /* 1521125 */   // Label 21128: @1521125
     /* 1521125 */   GIM_Try, /*On fail goto*//*Label 21129*/ GIMT_Encode4(1521207), // Rule ID 18284 //
     /* 1521130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1521133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1521141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1521144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1521147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1521150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1521165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521169 */     // MIs[0] round
     /* 1521169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521172 */     // MIs[0] policy
     /* 1521172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521182 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1521185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521206 */     // GIR_Coverage, 18284,
     /* 1521206 */     GIR_EraseRootFromParent_Done,
     /* 1521207 */   // Label 21129: @1521207
     /* 1521207 */   GIM_Try, /*On fail goto*//*Label 21130*/ GIMT_Encode4(1521289), // Rule ID 18287 //
     /* 1521212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1521223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1521226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1521232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521251 */     // MIs[0] round
     /* 1521251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521254 */     // MIs[0] policy
     /* 1521254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521264 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1521267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521288 */     // GIR_Coverage, 18287,
     /* 1521288 */     GIR_EraseRootFromParent_Done,
     /* 1521289 */   // Label 21130: @1521289
     /* 1521289 */   GIM_Try, /*On fail goto*//*Label 21131*/ GIMT_Encode4(1521371), // Rule ID 18288 //
     /* 1521294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1521305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1521308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1521314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521333 */     // MIs[0] round
     /* 1521333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521336 */     // MIs[0] policy
     /* 1521336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521346 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1521349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521370 */     // GIR_Coverage, 18288,
     /* 1521370 */     GIR_EraseRootFromParent_Done,
     /* 1521371 */   // Label 21131: @1521371
     /* 1521371 */   GIM_Try, /*On fail goto*//*Label 21132*/ GIMT_Encode4(1521453), // Rule ID 18291 //
     /* 1521376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1521387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1521390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1521396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521415 */     // MIs[0] round
     /* 1521415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521418 */     // MIs[0] policy
     /* 1521418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521428 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1521431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521452 */     // GIR_Coverage, 18291,
     /* 1521452 */     GIR_EraseRootFromParent_Done,
     /* 1521453 */   // Label 21132: @1521453
     /* 1521453 */   GIM_Try, /*On fail goto*//*Label 21133*/ GIMT_Encode4(1521535), // Rule ID 18292 //
     /* 1521458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1521469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1521472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1521478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521497 */     // MIs[0] round
     /* 1521497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521500 */     // MIs[0] policy
     /* 1521500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521510 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1521513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521534 */     // GIR_Coverage, 18292,
     /* 1521534 */     GIR_EraseRootFromParent_Done,
     /* 1521535 */   // Label 21133: @1521535
     /* 1521535 */   GIM_Try, /*On fail goto*//*Label 21134*/ GIMT_Encode4(1521617), // Rule ID 18295 //
     /* 1521540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1521551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1521554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1521560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521579 */     // MIs[0] round
     /* 1521579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521582 */     // MIs[0] policy
     /* 1521582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521592 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1521595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521616 */     // GIR_Coverage, 18295,
     /* 1521616 */     GIR_EraseRootFromParent_Done,
     /* 1521617 */   // Label 21134: @1521617
     /* 1521617 */   GIM_Try, /*On fail goto*//*Label 21135*/ GIMT_Encode4(1521699), // Rule ID 18296 //
     /* 1521622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1521633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1521636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1521642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521661 */     // MIs[0] round
     /* 1521661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521664 */     // MIs[0] policy
     /* 1521664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521674 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1521677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521698 */     // GIR_Coverage, 18296,
     /* 1521698 */     GIR_EraseRootFromParent_Done,
     /* 1521699 */   // Label 21135: @1521699
     /* 1521699 */   GIM_Try, /*On fail goto*//*Label 21136*/ GIMT_Encode4(1521781), // Rule ID 18299 //
     /* 1521704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1521707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1521715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1521718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1521724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521743 */     // MIs[0] round
     /* 1521743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521746 */     // MIs[0] policy
     /* 1521746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521756 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1521759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521780 */     // GIR_Coverage, 18299,
     /* 1521780 */     GIR_EraseRootFromParent_Done,
     /* 1521781 */   // Label 21136: @1521781
     /* 1521781 */   GIM_Try, /*On fail goto*//*Label 21137*/ GIMT_Encode4(1521863), // Rule ID 18300 //
     /* 1521786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1521789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1521797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1521800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1521806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521825 */     // MIs[0] round
     /* 1521825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521828 */     // MIs[0] policy
     /* 1521828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521838 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1521841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521862 */     // GIR_Coverage, 18300,
     /* 1521862 */     GIR_EraseRootFromParent_Done,
     /* 1521863 */   // Label 21137: @1521863
     /* 1521863 */   GIM_Try, /*On fail goto*//*Label 21138*/ GIMT_Encode4(1521945), // Rule ID 18303 //
     /* 1521868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1521871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1521879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1521882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1521888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521907 */     // MIs[0] round
     /* 1521907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521910 */     // MIs[0] policy
     /* 1521910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521920 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1521923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521944 */     // GIR_Coverage, 18303,
     /* 1521944 */     GIR_EraseRootFromParent_Done,
     /* 1521945 */   // Label 21138: @1521945
     /* 1521945 */   GIM_Try, /*On fail goto*//*Label 21139*/ GIMT_Encode4(1522027), // Rule ID 18304 //
     /* 1521950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1521953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1521958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1521961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1521964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1521970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521989 */     // MIs[0] round
     /* 1521989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521992 */     // MIs[0] policy
     /* 1521992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522002 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1522005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522026 */     // GIR_Coverage, 18304,
     /* 1522026 */     GIR_EraseRootFromParent_Done,
     /* 1522027 */   // Label 21139: @1522027
     /* 1522027 */   GIM_Try, /*On fail goto*//*Label 21140*/ GIMT_Encode4(1522109), // Rule ID 18307 //
     /* 1522032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1522043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1522046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1522052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522071 */     // MIs[0] round
     /* 1522071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522074 */     // MIs[0] policy
     /* 1522074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522084 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1522087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522108 */     // GIR_Coverage, 18307,
     /* 1522108 */     GIR_EraseRootFromParent_Done,
     /* 1522109 */   // Label 21140: @1522109
     /* 1522109 */   GIM_Try, /*On fail goto*//*Label 21141*/ GIMT_Encode4(1522191), // Rule ID 18308 //
     /* 1522114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1522125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1522128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1522134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522153 */     // MIs[0] round
     /* 1522153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522156 */     // MIs[0] policy
     /* 1522156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522166 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1522169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522190 */     // GIR_Coverage, 18308,
     /* 1522190 */     GIR_EraseRootFromParent_Done,
     /* 1522191 */   // Label 21141: @1522191
     /* 1522191 */   GIM_Try, /*On fail goto*//*Label 21142*/ GIMT_Encode4(1522273), // Rule ID 18311 //
     /* 1522196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1522199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1522207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1522210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1522216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522235 */     // MIs[0] round
     /* 1522235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522238 */     // MIs[0] policy
     /* 1522238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522248 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1522251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522272 */     // GIR_Coverage, 18311,
     /* 1522272 */     GIR_EraseRootFromParent_Done,
     /* 1522273 */   // Label 21142: @1522273
     /* 1522273 */   GIM_Try, /*On fail goto*//*Label 21143*/ GIMT_Encode4(1522355), // Rule ID 18312 //
     /* 1522278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1522281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1522289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1522292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1522298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522317 */     // MIs[0] round
     /* 1522317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522320 */     // MIs[0] policy
     /* 1522320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522330 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1522333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522354 */     // GIR_Coverage, 18312,
     /* 1522354 */     GIR_EraseRootFromParent_Done,
     /* 1522355 */   // Label 21143: @1522355
     /* 1522355 */   GIM_Try, /*On fail goto*//*Label 21144*/ GIMT_Encode4(1522437), // Rule ID 18315 //
     /* 1522360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1522363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1522371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1522374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1522380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522399 */     // MIs[0] round
     /* 1522399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522402 */     // MIs[0] policy
     /* 1522402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522412 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1522415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522436 */     // GIR_Coverage, 18315,
     /* 1522436 */     GIR_EraseRootFromParent_Done,
     /* 1522437 */   // Label 21144: @1522437
     /* 1522437 */   GIM_Try, /*On fail goto*//*Label 21145*/ GIMT_Encode4(1522519), // Rule ID 18316 //
     /* 1522442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1522445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1522453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1522456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1522462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522481 */     // MIs[0] round
     /* 1522481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522484 */     // MIs[0] policy
     /* 1522484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522494 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1522497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522518 */     // GIR_Coverage, 18316,
     /* 1522518 */     GIR_EraseRootFromParent_Done,
     /* 1522519 */   // Label 21145: @1522519
     /* 1522519 */   GIM_Try, /*On fail goto*//*Label 21146*/ GIMT_Encode4(1522601), // Rule ID 18319 //
     /* 1522524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1522527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1522535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1522538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1522544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522563 */     // MIs[0] round
     /* 1522563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522566 */     // MIs[0] policy
     /* 1522566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522576 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1522579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522600 */     // GIR_Coverage, 18319,
     /* 1522600 */     GIR_EraseRootFromParent_Done,
     /* 1522601 */   // Label 21146: @1522601
     /* 1522601 */   GIM_Try, /*On fail goto*//*Label 21147*/ GIMT_Encode4(1522683), // Rule ID 18320 //
     /* 1522606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1522609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1522614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1522617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1522620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1522626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522645 */     // MIs[0] round
     /* 1522645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522648 */     // MIs[0] policy
     /* 1522648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522658 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1522661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522682 */     // GIR_Coverage, 18320,
     /* 1522682 */     GIR_EraseRootFromParent_Done,
     /* 1522683 */   // Label 21147: @1522683
     /* 1522683 */   GIM_Try, /*On fail goto*//*Label 21148*/ GIMT_Encode4(1522765), // Rule ID 18323 //
     /* 1522688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1522696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1522699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1522702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1522705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1522708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522727 */     // MIs[0] round
     /* 1522727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522730 */     // MIs[0] policy
     /* 1522730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522740 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1522743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522751 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522764 */     // GIR_Coverage, 18323,
     /* 1522764 */     GIR_EraseRootFromParent_Done,
     /* 1522765 */   // Label 21148: @1522765
     /* 1522765 */   GIM_Try, /*On fail goto*//*Label 21149*/ GIMT_Encode4(1522847), // Rule ID 18324 //
     /* 1522770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1522778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1522781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1522784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1522787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1522790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522809 */     // MIs[0] round
     /* 1522809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522812 */     // MIs[0] policy
     /* 1522812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522822 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1522825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522846 */     // GIR_Coverage, 18324,
     /* 1522846 */     GIR_EraseRootFromParent_Done,
     /* 1522847 */   // Label 21149: @1522847
     /* 1522847 */   GIM_Try, /*On fail goto*//*Label 21150*/ GIMT_Encode4(1522929), // Rule ID 18327 //
     /* 1522852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1522860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1522863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1522866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1522869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1522872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522891 */     // MIs[0] round
     /* 1522891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522894 */     // MIs[0] policy
     /* 1522894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522904 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1522907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522928 */     // GIR_Coverage, 18327,
     /* 1522928 */     GIR_EraseRootFromParent_Done,
     /* 1522929 */   // Label 21150: @1522929
     /* 1522929 */   GIM_Try, /*On fail goto*//*Label 21151*/ GIMT_Encode4(1523011), // Rule ID 18328 //
     /* 1522934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1522942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1522945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1522948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1522951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1522954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522973 */     // MIs[0] round
     /* 1522973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522976 */     // MIs[0] policy
     /* 1522976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522986 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1522989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523010 */     // GIR_Coverage, 18328,
     /* 1523010 */     GIR_EraseRootFromParent_Done,
     /* 1523011 */   // Label 21151: @1523011
     /* 1523011 */   GIM_Try, /*On fail goto*//*Label 21152*/ GIMT_Encode4(1523093), // Rule ID 18331 //
     /* 1523016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1523024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1523027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1523030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1523033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1523036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523055 */     // MIs[0] round
     /* 1523055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523058 */     // MIs[0] policy
     /* 1523058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523068 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1523071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523092 */     // GIR_Coverage, 18331,
     /* 1523092 */     GIR_EraseRootFromParent_Done,
     /* 1523093 */   // Label 21152: @1523093
     /* 1523093 */   GIM_Try, /*On fail goto*//*Label 21153*/ GIMT_Encode4(1523175), // Rule ID 18332 //
     /* 1523098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1523106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1523109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1523112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1523115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1523118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523137 */     // MIs[0] round
     /* 1523137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523140 */     // MIs[0] policy
     /* 1523140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523150 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1523153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523161 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523174 */     // GIR_Coverage, 18332,
     /* 1523174 */     GIR_EraseRootFromParent_Done,
     /* 1523175 */   // Label 21153: @1523175
     /* 1523175 */   GIM_Try, /*On fail goto*//*Label 21154*/ GIMT_Encode4(1523257), // Rule ID 18335 //
     /* 1523180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1523188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1523191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1523194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1523197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1523200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523219 */     // MIs[0] round
     /* 1523219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523222 */     // MIs[0] policy
     /* 1523222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523232 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1523235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523256 */     // GIR_Coverage, 18335,
     /* 1523256 */     GIR_EraseRootFromParent_Done,
     /* 1523257 */   // Label 21154: @1523257
     /* 1523257 */   GIM_Try, /*On fail goto*//*Label 21155*/ GIMT_Encode4(1523339), // Rule ID 18336 //
     /* 1523262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1523270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1523273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1523276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1523279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1523282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523301 */     // MIs[0] round
     /* 1523301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523304 */     // MIs[0] policy
     /* 1523304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523314 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1523317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523325 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523338 */     // GIR_Coverage, 18336,
     /* 1523338 */     GIR_EraseRootFromParent_Done,
     /* 1523339 */   // Label 21155: @1523339
     /* 1523339 */   GIM_Try, /*On fail goto*//*Label 21156*/ GIMT_Encode4(1523421), // Rule ID 18339 //
     /* 1523344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1523352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1523355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1523358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1523361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1523364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523383 */     // MIs[0] round
     /* 1523383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523386 */     // MIs[0] policy
     /* 1523386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523396 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1523399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523420 */     // GIR_Coverage, 18339,
     /* 1523420 */     GIR_EraseRootFromParent_Done,
     /* 1523421 */   // Label 21156: @1523421
     /* 1523421 */   GIM_Try, /*On fail goto*//*Label 21157*/ GIMT_Encode4(1523503), // Rule ID 18340 //
     /* 1523426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1523434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1523437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1523440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1523443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1523446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523465 */     // MIs[0] round
     /* 1523465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523468 */     // MIs[0] policy
     /* 1523468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523478 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1523481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523489 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523502 */     // GIR_Coverage, 18340,
     /* 1523502 */     GIR_EraseRootFromParent_Done,
     /* 1523503 */   // Label 21157: @1523503
     /* 1523503 */   GIM_Try, /*On fail goto*//*Label 21158*/ GIMT_Encode4(1523585), // Rule ID 18343 //
     /* 1523508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1523516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1523519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1523522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1523525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1523528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523547 */     // MIs[0] round
     /* 1523547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523550 */     // MIs[0] policy
     /* 1523550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523560 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1523563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523584 */     // GIR_Coverage, 18343,
     /* 1523584 */     GIR_EraseRootFromParent_Done,
     /* 1523585 */   // Label 21158: @1523585
     /* 1523585 */   GIM_Try, /*On fail goto*//*Label 21159*/ GIMT_Encode4(1523667), // Rule ID 18344 //
     /* 1523590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1523593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1523598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1523601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1523604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1523607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1523610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523629 */     // MIs[0] round
     /* 1523629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523632 */     // MIs[0] policy
     /* 1523632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523642 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1523645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523666 */     // GIR_Coverage, 18344,
     /* 1523666 */     GIR_EraseRootFromParent_Done,
     /* 1523667 */   // Label 21159: @1523667
     /* 1523667 */   GIM_Try, /*On fail goto*//*Label 21160*/ GIMT_Encode4(1523749), // Rule ID 18347 //
     /* 1523672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1523680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1523683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1523686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1523689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1523692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523711 */     // MIs[0] round
     /* 1523711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523714 */     // MIs[0] policy
     /* 1523714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523724 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1523727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523748 */     // GIR_Coverage, 18347,
     /* 1523748 */     GIR_EraseRootFromParent_Done,
     /* 1523749 */   // Label 21160: @1523749
     /* 1523749 */   GIM_Try, /*On fail goto*//*Label 21161*/ GIMT_Encode4(1523831), // Rule ID 18348 //
     /* 1523754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1523762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1523765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1523768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1523771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1523774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523793 */     // MIs[0] round
     /* 1523793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523796 */     // MIs[0] policy
     /* 1523796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523806 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1523809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523817 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523830 */     // GIR_Coverage, 18348,
     /* 1523830 */     GIR_EraseRootFromParent_Done,
     /* 1523831 */   // Label 21161: @1523831
     /* 1523831 */   GIM_Try, /*On fail goto*//*Label 21162*/ GIMT_Encode4(1523913), // Rule ID 18351 //
     /* 1523836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1523844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1523847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1523850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1523853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1523856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523875 */     // MIs[0] round
     /* 1523875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523878 */     // MIs[0] policy
     /* 1523878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523888 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1523891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523912 */     // GIR_Coverage, 18351,
     /* 1523912 */     GIR_EraseRootFromParent_Done,
     /* 1523913 */   // Label 21162: @1523913
     /* 1523913 */   GIM_Try, /*On fail goto*//*Label 21163*/ GIMT_Encode4(1523995), // Rule ID 18352 //
     /* 1523918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1523926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1523929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1523932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1523935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1523938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523957 */     // MIs[0] round
     /* 1523957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523960 */     // MIs[0] policy
     /* 1523960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523970 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1523973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523994 */     // GIR_Coverage, 18352,
     /* 1523994 */     GIR_EraseRootFromParent_Done,
     /* 1523995 */   // Label 21163: @1523995
     /* 1523995 */   GIM_Try, /*On fail goto*//*Label 21164*/ GIMT_Encode4(1524077), // Rule ID 18355 //
     /* 1524000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1524011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1524014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1524017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1524020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524039 */     // MIs[0] round
     /* 1524039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524042 */     // MIs[0] policy
     /* 1524042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524052 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1524055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524076 */     // GIR_Coverage, 18355,
     /* 1524076 */     GIR_EraseRootFromParent_Done,
     /* 1524077 */   // Label 21164: @1524077
     /* 1524077 */   GIM_Try, /*On fail goto*//*Label 21165*/ GIMT_Encode4(1524159), // Rule ID 18356 //
     /* 1524082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1524093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1524096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1524099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1524102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524121 */     // MIs[0] round
     /* 1524121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524124 */     // MIs[0] policy
     /* 1524124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524134 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1524137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524158 */     // GIR_Coverage, 18356,
     /* 1524158 */     GIR_EraseRootFromParent_Done,
     /* 1524159 */   // Label 21165: @1524159
     /* 1524159 */   GIM_Try, /*On fail goto*//*Label 21166*/ GIMT_Encode4(1524241), // Rule ID 18359 //
     /* 1524164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1524175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1524178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1524181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1524184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524203 */     // MIs[0] round
     /* 1524203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524206 */     // MIs[0] policy
     /* 1524206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524216 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1524219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524240 */     // GIR_Coverage, 18359,
     /* 1524240 */     GIR_EraseRootFromParent_Done,
     /* 1524241 */   // Label 21166: @1524241
     /* 1524241 */   GIM_Try, /*On fail goto*//*Label 21167*/ GIMT_Encode4(1524323), // Rule ID 18360 //
     /* 1524246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1524257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1524260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1524263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1524266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524285 */     // MIs[0] round
     /* 1524285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524288 */     // MIs[0] policy
     /* 1524288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524298 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1524301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524322 */     // GIR_Coverage, 18360,
     /* 1524322 */     GIR_EraseRootFromParent_Done,
     /* 1524323 */   // Label 21167: @1524323
     /* 1524323 */   GIM_Try, /*On fail goto*//*Label 21168*/ GIMT_Encode4(1524405), // Rule ID 18363 //
     /* 1524328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1524339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1524342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1524345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1524348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524367 */     // MIs[0] round
     /* 1524367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524370 */     // MIs[0] policy
     /* 1524370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524380 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1524383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524391 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524404 */     // GIR_Coverage, 18363,
     /* 1524404 */     GIR_EraseRootFromParent_Done,
     /* 1524405 */   // Label 21168: @1524405
     /* 1524405 */   GIM_Try, /*On fail goto*//*Label 21169*/ GIMT_Encode4(1524487), // Rule ID 18364 //
     /* 1524410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1524421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1524424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1524427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1524430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524449 */     // MIs[0] round
     /* 1524449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524452 */     // MIs[0] policy
     /* 1524452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524462 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1524465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524486 */     // GIR_Coverage, 18364,
     /* 1524486 */     GIR_EraseRootFromParent_Done,
     /* 1524487 */   // Label 21169: @1524487
     /* 1524487 */   GIM_Try, /*On fail goto*//*Label 21170*/ GIMT_Encode4(1524569), // Rule ID 18367 //
     /* 1524492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1524503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1524506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1524509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1524512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524531 */     // MIs[0] round
     /* 1524531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524534 */     // MIs[0] policy
     /* 1524534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524544 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1524547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524568 */     // GIR_Coverage, 18367,
     /* 1524568 */     GIR_EraseRootFromParent_Done,
     /* 1524569 */   // Label 21170: @1524569
     /* 1524569 */   GIM_Try, /*On fail goto*//*Label 21171*/ GIMT_Encode4(1524651), // Rule ID 18368 //
     /* 1524574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1524585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1524588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1524591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1524594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524613 */     // MIs[0] round
     /* 1524613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524616 */     // MIs[0] policy
     /* 1524616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524626 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1524629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524650 */     // GIR_Coverage, 18368,
     /* 1524650 */     GIR_EraseRootFromParent_Done,
     /* 1524651 */   // Label 21171: @1524651
     /* 1524651 */   GIM_Try, /*On fail goto*//*Label 21172*/ GIMT_Encode4(1524733), // Rule ID 18371 //
     /* 1524656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1524659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1524667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1524670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1524673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1524676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524695 */     // MIs[0] round
     /* 1524695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524698 */     // MIs[0] policy
     /* 1524698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524708 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1524711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524732 */     // GIR_Coverage, 18371,
     /* 1524732 */     GIR_EraseRootFromParent_Done,
     /* 1524733 */   // Label 21172: @1524733
     /* 1524733 */   GIM_Try, /*On fail goto*//*Label 21173*/ GIMT_Encode4(1524815), // Rule ID 18372 //
     /* 1524738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1524741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1524749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1524752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1524755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1524758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524777 */     // MIs[0] round
     /* 1524777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524780 */     // MIs[0] policy
     /* 1524780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524790 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1524793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524814 */     // GIR_Coverage, 18372,
     /* 1524814 */     GIR_EraseRootFromParent_Done,
     /* 1524815 */   // Label 21173: @1524815
     /* 1524815 */   GIM_Try, /*On fail goto*//*Label 21174*/ GIMT_Encode4(1524897), // Rule ID 18375 //
     /* 1524820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1524823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1524831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1524834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1524837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1524840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524859 */     // MIs[0] round
     /* 1524859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524862 */     // MIs[0] policy
     /* 1524862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524872 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1524875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524896 */     // GIR_Coverage, 18375,
     /* 1524896 */     GIR_EraseRootFromParent_Done,
     /* 1524897 */   // Label 21174: @1524897
     /* 1524897 */   GIM_Try, /*On fail goto*//*Label 21175*/ GIMT_Encode4(1524979), // Rule ID 18376 //
     /* 1524902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1524905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1524913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1524916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1524919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1524922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524941 */     // MIs[0] round
     /* 1524941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524944 */     // MIs[0] policy
     /* 1524944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524954 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1524957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524978 */     // GIR_Coverage, 18376,
     /* 1524978 */     GIR_EraseRootFromParent_Done,
     /* 1524979 */   // Label 21175: @1524979
     /* 1524979 */   GIM_Try, /*On fail goto*//*Label 21176*/ GIMT_Encode4(1525061), // Rule ID 18379 //
     /* 1524984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1524987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1524992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1524995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1524998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1525001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1525004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525023 */     // MIs[0] round
     /* 1525023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525026 */     // MIs[0] policy
     /* 1525026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525036 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1525039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525060 */     // GIR_Coverage, 18379,
     /* 1525060 */     GIR_EraseRootFromParent_Done,
     /* 1525061 */   // Label 21176: @1525061
     /* 1525061 */   GIM_Try, /*On fail goto*//*Label 21177*/ GIMT_Encode4(1525143), // Rule ID 18380 //
     /* 1525066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1525069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1525077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1525080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1525083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1525086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525105 */     // MIs[0] round
     /* 1525105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525108 */     // MIs[0] policy
     /* 1525108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525118 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1525121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525142 */     // GIR_Coverage, 18380,
     /* 1525142 */     GIR_EraseRootFromParent_Done,
     /* 1525143 */   // Label 21177: @1525143
     /* 1525143 */   GIM_Try, /*On fail goto*//*Label 21178*/ GIMT_Encode4(1525225), // Rule ID 18383 //
     /* 1525148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1525159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1525162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1525165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1525168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1525183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525187 */     // MIs[0] round
     /* 1525187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525190 */     // MIs[0] policy
     /* 1525190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525200 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1525203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525224 */     // GIR_Coverage, 18383,
     /* 1525224 */     GIR_EraseRootFromParent_Done,
     /* 1525225 */   // Label 21178: @1525225
     /* 1525225 */   GIM_Try, /*On fail goto*//*Label 21179*/ GIMT_Encode4(1525307), // Rule ID 18384 //
     /* 1525230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1525241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1525244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1525247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1525250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1525265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525269 */     // MIs[0] round
     /* 1525269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525272 */     // MIs[0] policy
     /* 1525272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525282 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1525285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525293 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525306 */     // GIR_Coverage, 18384,
     /* 1525306 */     GIR_EraseRootFromParent_Done,
     /* 1525307 */   // Label 21179: @1525307
     /* 1525307 */   GIM_Try, /*On fail goto*//*Label 21180*/ GIMT_Encode4(1525389), // Rule ID 18387 //
     /* 1525312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1525323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1525326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1525329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1525332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1525347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525351 */     // MIs[0] round
     /* 1525351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525354 */     // MIs[0] policy
     /* 1525354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525364 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1525367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525388 */     // GIR_Coverage, 18387,
     /* 1525388 */     GIR_EraseRootFromParent_Done,
     /* 1525389 */   // Label 21180: @1525389
     /* 1525389 */   GIM_Try, /*On fail goto*//*Label 21181*/ GIMT_Encode4(1525471), // Rule ID 18388 //
     /* 1525394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1525405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1525408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1525411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1525414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1525429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525433 */     // MIs[0] round
     /* 1525433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525436 */     // MIs[0] policy
     /* 1525436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525446 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1525449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525457 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525470 */     // GIR_Coverage, 18388,
     /* 1525470 */     GIR_EraseRootFromParent_Done,
     /* 1525471 */   // Label 21181: @1525471
     /* 1525471 */   GIM_Try, /*On fail goto*//*Label 21182*/ GIMT_Encode4(1525553), // Rule ID 18391 //
     /* 1525476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1525487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1525490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1525493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1525496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1525511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525515 */     // MIs[0] round
     /* 1525515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525518 */     // MIs[0] policy
     /* 1525518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525528 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1525531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525552 */     // GIR_Coverage, 18391,
     /* 1525552 */     GIR_EraseRootFromParent_Done,
     /* 1525553 */   // Label 21182: @1525553
     /* 1525553 */   GIM_Try, /*On fail goto*//*Label 21183*/ GIMT_Encode4(1525635), // Rule ID 18392 //
     /* 1525558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1525569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1525572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1525575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1525578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1525593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525597 */     // MIs[0] round
     /* 1525597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525600 */     // MIs[0] policy
     /* 1525600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525610 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1525613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525634 */     // GIR_Coverage, 18392,
     /* 1525634 */     GIR_EraseRootFromParent_Done,
     /* 1525635 */   // Label 21183: @1525635
     /* 1525635 */   GIM_Try, /*On fail goto*//*Label 21184*/ GIMT_Encode4(1525717), // Rule ID 18395 //
     /* 1525640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1525651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1525654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1525657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1525660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1525675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525679 */     // MIs[0] round
     /* 1525679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525682 */     // MIs[0] policy
     /* 1525682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525692 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1525695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525716 */     // GIR_Coverage, 18395,
     /* 1525716 */     GIR_EraseRootFromParent_Done,
     /* 1525717 */   // Label 21184: @1525717
     /* 1525717 */   GIM_Try, /*On fail goto*//*Label 21185*/ GIMT_Encode4(1525799), // Rule ID 18396 //
     /* 1525722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1525733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1525736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1525739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1525742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1525757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525761 */     // MIs[0] round
     /* 1525761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525764 */     // MIs[0] policy
     /* 1525764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525774 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1525777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525785 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525798 */     // GIR_Coverage, 18396,
     /* 1525798 */     GIR_EraseRootFromParent_Done,
     /* 1525799 */   // Label 21185: @1525799
     /* 1525799 */   GIM_Try, /*On fail goto*//*Label 21186*/ GIMT_Encode4(1525881), // Rule ID 18399 //
     /* 1525804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1525815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1525818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1525821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1525824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1525839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525843 */     // MIs[0] round
     /* 1525843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525846 */     // MIs[0] policy
     /* 1525846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525856 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1525859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525880 */     // GIR_Coverage, 18399,
     /* 1525880 */     GIR_EraseRootFromParent_Done,
     /* 1525881 */   // Label 21186: @1525881
     /* 1525881 */   GIM_Try, /*On fail goto*//*Label 21187*/ GIMT_Encode4(1525963), // Rule ID 18400 //
     /* 1525886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1525897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1525900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1525903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1525906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1525921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525925 */     // MIs[0] round
     /* 1525925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525928 */     // MIs[0] policy
     /* 1525928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525938 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1525941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525962 */     // GIR_Coverage, 18400,
     /* 1525962 */     GIR_EraseRootFromParent_Done,
     /* 1525963 */   // Label 21187: @1525963
     /* 1525963 */   GIM_Try, /*On fail goto*//*Label 21188*/ GIMT_Encode4(1526045), // Rule ID 18403 //
     /* 1525968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1525971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1525976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1525979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1525982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1525985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1525988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1526003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526007 */     // MIs[0] round
     /* 1526007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526010 */     // MIs[0] policy
     /* 1526010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526020 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1526023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526044 */     // GIR_Coverage, 18403,
     /* 1526044 */     GIR_EraseRootFromParent_Done,
     /* 1526045 */   // Label 21188: @1526045
     /* 1526045 */   GIM_Try, /*On fail goto*//*Label 21189*/ GIMT_Encode4(1526127), // Rule ID 18404 //
     /* 1526050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1526053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1526061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1526064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1526067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1526070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1526085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526089 */     // MIs[0] round
     /* 1526089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526092 */     // MIs[0] policy
     /* 1526092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526102 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1526105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526113 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526126 */     // GIR_Coverage, 18404,
     /* 1526126 */     GIR_EraseRootFromParent_Done,
     /* 1526127 */   // Label 21189: @1526127
     /* 1526127 */   GIM_Try, /*On fail goto*//*Label 21190*/ GIMT_Encode4(1526209), // Rule ID 18407 //
     /* 1526132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1526143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1526146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1526152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526171 */     // MIs[0] round
     /* 1526171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526174 */     // MIs[0] policy
     /* 1526174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526184 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1526187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526208 */     // GIR_Coverage, 18407,
     /* 1526208 */     GIR_EraseRootFromParent_Done,
     /* 1526209 */   // Label 21190: @1526209
     /* 1526209 */   GIM_Try, /*On fail goto*//*Label 21191*/ GIMT_Encode4(1526291), // Rule ID 18408 //
     /* 1526214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1526225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1526228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1526234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526253 */     // MIs[0] round
     /* 1526253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526256 */     // MIs[0] policy
     /* 1526256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526266 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1526269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526290 */     // GIR_Coverage, 18408,
     /* 1526290 */     GIR_EraseRootFromParent_Done,
     /* 1526291 */   // Label 21191: @1526291
     /* 1526291 */   GIM_Try, /*On fail goto*//*Label 21192*/ GIMT_Encode4(1526373), // Rule ID 18411 //
     /* 1526296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1526307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1526310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1526316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526335 */     // MIs[0] round
     /* 1526335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526338 */     // MIs[0] policy
     /* 1526338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526348 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1526351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526372 */     // GIR_Coverage, 18411,
     /* 1526372 */     GIR_EraseRootFromParent_Done,
     /* 1526373 */   // Label 21192: @1526373
     /* 1526373 */   GIM_Try, /*On fail goto*//*Label 21193*/ GIMT_Encode4(1526455), // Rule ID 18412 //
     /* 1526378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1526389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1526392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1526398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526417 */     // MIs[0] round
     /* 1526417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526420 */     // MIs[0] policy
     /* 1526420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526430 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1526433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526441 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526454 */     // GIR_Coverage, 18412,
     /* 1526454 */     GIR_EraseRootFromParent_Done,
     /* 1526455 */   // Label 21193: @1526455
     /* 1526455 */   GIM_Try, /*On fail goto*//*Label 21194*/ GIMT_Encode4(1526537), // Rule ID 18415 //
     /* 1526460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1526471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1526474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1526480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526499 */     // MIs[0] round
     /* 1526499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526502 */     // MIs[0] policy
     /* 1526502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526512 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1526515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526536 */     // GIR_Coverage, 18415,
     /* 1526536 */     GIR_EraseRootFromParent_Done,
     /* 1526537 */   // Label 21194: @1526537
     /* 1526537 */   GIM_Try, /*On fail goto*//*Label 21195*/ GIMT_Encode4(1526619), // Rule ID 18416 //
     /* 1526542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1526553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1526556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1526562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526581 */     // MIs[0] round
     /* 1526581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526584 */     // MIs[0] policy
     /* 1526584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526594 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1526597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526605 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526618 */     // GIR_Coverage, 18416,
     /* 1526618 */     GIR_EraseRootFromParent_Done,
     /* 1526619 */   // Label 21195: @1526619
     /* 1526619 */   GIM_Try, /*On fail goto*//*Label 21196*/ GIMT_Encode4(1526701), // Rule ID 18419 //
     /* 1526624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1526627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1526635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1526638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1526644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526663 */     // MIs[0] round
     /* 1526663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526666 */     // MIs[0] policy
     /* 1526666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526676 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1526679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526700 */     // GIR_Coverage, 18419,
     /* 1526700 */     GIR_EraseRootFromParent_Done,
     /* 1526701 */   // Label 21196: @1526701
     /* 1526701 */   GIM_Try, /*On fail goto*//*Label 21197*/ GIMT_Encode4(1526783), // Rule ID 18420 //
     /* 1526706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1526709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1526717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1526720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1526726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526745 */     // MIs[0] round
     /* 1526745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526748 */     // MIs[0] policy
     /* 1526748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526758 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1526761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526782 */     // GIR_Coverage, 18420,
     /* 1526782 */     GIR_EraseRootFromParent_Done,
     /* 1526783 */   // Label 21197: @1526783
     /* 1526783 */   GIM_Try, /*On fail goto*//*Label 21198*/ GIMT_Encode4(1526865), // Rule ID 18423 //
     /* 1526788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1526791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1526799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1526802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1526808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526827 */     // MIs[0] round
     /* 1526827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526830 */     // MIs[0] policy
     /* 1526830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526840 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1526843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526864 */     // GIR_Coverage, 18423,
     /* 1526864 */     GIR_EraseRootFromParent_Done,
     /* 1526865 */   // Label 21198: @1526865
     /* 1526865 */   GIM_Try, /*On fail goto*//*Label 21199*/ GIMT_Encode4(1526947), // Rule ID 18424 //
     /* 1526870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1526873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1526881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1526884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1526890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526909 */     // MIs[0] round
     /* 1526909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526912 */     // MIs[0] policy
     /* 1526912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526922 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1526925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526946 */     // GIR_Coverage, 18424,
     /* 1526946 */     GIR_EraseRootFromParent_Done,
     /* 1526947 */   // Label 21199: @1526947
     /* 1526947 */   GIM_Try, /*On fail goto*//*Label 21200*/ GIMT_Encode4(1527029), // Rule ID 18427 //
     /* 1526952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1526955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1526960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1526963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1526966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1526972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526991 */     // MIs[0] round
     /* 1526991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526994 */     // MIs[0] policy
     /* 1526994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527004 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1527007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527028 */     // GIR_Coverage, 18427,
     /* 1527028 */     GIR_EraseRootFromParent_Done,
     /* 1527029 */   // Label 21200: @1527029
     /* 1527029 */   GIM_Try, /*On fail goto*//*Label 21201*/ GIMT_Encode4(1527111), // Rule ID 18428 //
     /* 1527034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1527045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1527048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1527054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527073 */     // MIs[0] round
     /* 1527073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527076 */     // MIs[0] policy
     /* 1527076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527086 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1527089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527110 */     // GIR_Coverage, 18428,
     /* 1527110 */     GIR_EraseRootFromParent_Done,
     /* 1527111 */   // Label 21201: @1527111
     /* 1527111 */   GIM_Try, /*On fail goto*//*Label 21202*/ GIMT_Encode4(1527193), // Rule ID 18431 //
     /* 1527116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1527119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1527127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1527130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1527136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527155 */     // MIs[0] round
     /* 1527155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527158 */     // MIs[0] policy
     /* 1527158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527168 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1527171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527192 */     // GIR_Coverage, 18431,
     /* 1527192 */     GIR_EraseRootFromParent_Done,
     /* 1527193 */   // Label 21202: @1527193
     /* 1527193 */   GIM_Try, /*On fail goto*//*Label 21203*/ GIMT_Encode4(1527275), // Rule ID 18432 //
     /* 1527198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1527201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1527209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1527212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1527218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527237 */     // MIs[0] round
     /* 1527237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527240 */     // MIs[0] policy
     /* 1527240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527250 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11115:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1527253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527274 */     // GIR_Coverage, 18432,
     /* 1527274 */     GIR_EraseRootFromParent_Done,
     /* 1527275 */   // Label 21203: @1527275
     /* 1527275 */   GIM_Try, /*On fail goto*//*Label 21204*/ GIMT_Encode4(1527357), // Rule ID 18435 //
     /* 1527280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1527283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1527291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1527294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1527300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527319 */     // MIs[0] round
     /* 1527319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527322 */     // MIs[0] policy
     /* 1527322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527332 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1527335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527356 */     // GIR_Coverage, 18435,
     /* 1527356 */     GIR_EraseRootFromParent_Done,
     /* 1527357 */   // Label 21204: @1527357
     /* 1527357 */   GIM_Try, /*On fail goto*//*Label 21205*/ GIMT_Encode4(1527439), // Rule ID 18436 //
     /* 1527362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1527365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1527373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1527376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1527382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527401 */     // MIs[0] round
     /* 1527401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527404 */     // MIs[0] policy
     /* 1527404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527414 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11115:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1527417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527438 */     // GIR_Coverage, 18436,
     /* 1527438 */     GIR_EraseRootFromParent_Done,
     /* 1527439 */   // Label 21205: @1527439
     /* 1527439 */   GIM_Try, /*On fail goto*//*Label 21206*/ GIMT_Encode4(1527521), // Rule ID 18439 //
     /* 1527444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1527447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1527455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1527458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1527464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527483 */     // MIs[0] round
     /* 1527483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527486 */     // MIs[0] policy
     /* 1527486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527496 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1527499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527520 */     // GIR_Coverage, 18439,
     /* 1527520 */     GIR_EraseRootFromParent_Done,
     /* 1527521 */   // Label 21206: @1527521
     /* 1527521 */   GIM_Try, /*On fail goto*//*Label 21207*/ GIMT_Encode4(1527603), // Rule ID 18440 //
     /* 1527526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1527529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1527534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1527537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1527540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1527546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527565 */     // MIs[0] round
     /* 1527565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527568 */     // MIs[0] policy
     /* 1527568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527578 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11115:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1527581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527602 */     // GIR_Coverage, 18440,
     /* 1527602 */     GIR_EraseRootFromParent_Done,
     /* 1527603 */   // Label 21207: @1527603
     /* 1527603 */   GIM_Try, /*On fail goto*//*Label 21208*/ GIMT_Encode4(1527685), // Rule ID 18443 //
     /* 1527608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1527616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1527619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1527622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1527625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1527628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527647 */     // MIs[0] round
     /* 1527647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527650 */     // MIs[0] policy
     /* 1527650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527660 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1527663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527671 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527684 */     // GIR_Coverage, 18443,
     /* 1527684 */     GIR_EraseRootFromParent_Done,
     /* 1527685 */   // Label 21208: @1527685
     /* 1527685 */   GIM_Try, /*On fail goto*//*Label 21209*/ GIMT_Encode4(1527767), // Rule ID 18444 //
     /* 1527690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1527698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1527701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1527704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1527707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1527710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527729 */     // MIs[0] round
     /* 1527729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527732 */     // MIs[0] policy
     /* 1527732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527742 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1527745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527766 */     // GIR_Coverage, 18444,
     /* 1527766 */     GIR_EraseRootFromParent_Done,
     /* 1527767 */   // Label 21209: @1527767
     /* 1527767 */   GIM_Try, /*On fail goto*//*Label 21210*/ GIMT_Encode4(1527849), // Rule ID 18447 //
     /* 1527772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1527780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1527783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1527786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1527789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1527792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527811 */     // MIs[0] round
     /* 1527811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527814 */     // MIs[0] policy
     /* 1527814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527824 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1527827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527848 */     // GIR_Coverage, 18447,
     /* 1527848 */     GIR_EraseRootFromParent_Done,
     /* 1527849 */   // Label 21210: @1527849
     /* 1527849 */   GIM_Try, /*On fail goto*//*Label 21211*/ GIMT_Encode4(1527931), // Rule ID 18448 //
     /* 1527854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1527862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1527865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1527868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1527871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1527874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527893 */     // MIs[0] round
     /* 1527893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527896 */     // MIs[0] policy
     /* 1527896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527906 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1527909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527930 */     // GIR_Coverage, 18448,
     /* 1527930 */     GIR_EraseRootFromParent_Done,
     /* 1527931 */   // Label 21211: @1527931
     /* 1527931 */   GIM_Try, /*On fail goto*//*Label 21212*/ GIMT_Encode4(1528013), // Rule ID 18451 //
     /* 1527936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1527944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1527947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1527950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1527953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1527956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527975 */     // MIs[0] round
     /* 1527975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527978 */     // MIs[0] policy
     /* 1527978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527988 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1527991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528012 */     // GIR_Coverage, 18451,
     /* 1528012 */     GIR_EraseRootFromParent_Done,
     /* 1528013 */   // Label 21212: @1528013
     /* 1528013 */   GIM_Try, /*On fail goto*//*Label 21213*/ GIMT_Encode4(1528095), // Rule ID 18452 //
     /* 1528018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1528021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1528026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1528029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1528032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1528035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1528038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528057 */     // MIs[0] round
     /* 1528057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528060 */     // MIs[0] policy
     /* 1528060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528070 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1528073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528094 */     // GIR_Coverage, 18452,
     /* 1528094 */     GIR_EraseRootFromParent_Done,
     /* 1528095 */   // Label 21213: @1528095
     /* 1528095 */   GIM_Try, /*On fail goto*//*Label 21214*/ GIMT_Encode4(1528177), // Rule ID 18455 //
     /* 1528100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1528108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1528111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1528114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1528117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1528120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528139 */     // MIs[0] round
     /* 1528139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528142 */     // MIs[0] policy
     /* 1528142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528152 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1528155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528176 */     // GIR_Coverage, 18455,
     /* 1528176 */     GIR_EraseRootFromParent_Done,
     /* 1528177 */   // Label 21214: @1528177
     /* 1528177 */   GIM_Try, /*On fail goto*//*Label 21215*/ GIMT_Encode4(1528259), // Rule ID 18456 //
     /* 1528182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1528190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1528193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1528196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1528199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1528202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528221 */     // MIs[0] round
     /* 1528221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528224 */     // MIs[0] policy
     /* 1528224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528234 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1528237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528258 */     // GIR_Coverage, 18456,
     /* 1528258 */     GIR_EraseRootFromParent_Done,
     /* 1528259 */   // Label 21215: @1528259
     /* 1528259 */   GIM_Try, /*On fail goto*//*Label 21216*/ GIMT_Encode4(1528341), // Rule ID 18459 //
     /* 1528264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1528267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1528272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1528275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1528278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1528281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1528284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528303 */     // MIs[0] round
     /* 1528303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528306 */     // MIs[0] policy
     /* 1528306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528316 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1528319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528340 */     // GIR_Coverage, 18459,
     /* 1528340 */     GIR_EraseRootFromParent_Done,
     /* 1528341 */   // Label 21216: @1528341
     /* 1528341 */   GIM_Try, /*On fail goto*//*Label 21217*/ GIMT_Encode4(1528423), // Rule ID 18460 //
     /* 1528346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1528349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1528354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1528357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1528360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1528363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1528366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528385 */     // MIs[0] round
     /* 1528385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528388 */     // MIs[0] policy
     /* 1528388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528398 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1528401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528422 */     // GIR_Coverage, 18460,
     /* 1528422 */     GIR_EraseRootFromParent_Done,
     /* 1528423 */   // Label 21217: @1528423
     /* 1528423 */   GIM_Try, /*On fail goto*//*Label 21218*/ GIMT_Encode4(1528505), // Rule ID 18463 //
     /* 1528428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1528431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1528436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1528439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1528442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1528445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1528448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528467 */     // MIs[0] round
     /* 1528467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528470 */     // MIs[0] policy
     /* 1528470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528480 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1528483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528504 */     // GIR_Coverage, 18463,
     /* 1528504 */     GIR_EraseRootFromParent_Done,
     /* 1528505 */   // Label 21218: @1528505
     /* 1528505 */   GIM_Try, /*On fail goto*//*Label 21219*/ GIMT_Encode4(1528587), // Rule ID 18464 //
     /* 1528510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1528518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1528521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1528524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1528527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1528530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528549 */     // MIs[0] round
     /* 1528549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528552 */     // MIs[0] policy
     /* 1528552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528562 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1528565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528586 */     // GIR_Coverage, 18464,
     /* 1528586 */     GIR_EraseRootFromParent_Done,
     /* 1528587 */   // Label 21219: @1528587
     /* 1528587 */   GIM_Try, /*On fail goto*//*Label 21220*/ GIMT_Encode4(1528669), // Rule ID 18467 //
     /* 1528592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1528600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1528603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1528606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1528609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1528612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528631 */     // MIs[0] round
     /* 1528631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528634 */     // MIs[0] policy
     /* 1528634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528644 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1528647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528668 */     // GIR_Coverage, 18467,
     /* 1528668 */     GIR_EraseRootFromParent_Done,
     /* 1528669 */   // Label 21220: @1528669
     /* 1528669 */   GIM_Try, /*On fail goto*//*Label 21221*/ GIMT_Encode4(1528751), // Rule ID 18468 //
     /* 1528674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1528682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1528685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1528688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1528691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1528694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528713 */     // MIs[0] round
     /* 1528713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528716 */     // MIs[0] policy
     /* 1528716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528726 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1528729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528750 */     // GIR_Coverage, 18468,
     /* 1528750 */     GIR_EraseRootFromParent_Done,
     /* 1528751 */   // Label 21221: @1528751
     /* 1528751 */   GIM_Try, /*On fail goto*//*Label 21222*/ GIMT_Encode4(1528833), // Rule ID 18471 //
     /* 1528756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1528764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1528767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1528770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1528773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1528776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528795 */     // MIs[0] round
     /* 1528795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528798 */     // MIs[0] policy
     /* 1528798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528808 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1528811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528832 */     // GIR_Coverage, 18471,
     /* 1528832 */     GIR_EraseRootFromParent_Done,
     /* 1528833 */   // Label 21222: @1528833
     /* 1528833 */   GIM_Try, /*On fail goto*//*Label 21223*/ GIMT_Encode4(1528915), // Rule ID 18472 //
     /* 1528838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1528846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1528849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1528852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1528855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1528858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528877 */     // MIs[0] round
     /* 1528877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528880 */     // MIs[0] policy
     /* 1528880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528890 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1528893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528914 */     // GIR_Coverage, 18472,
     /* 1528914 */     GIR_EraseRootFromParent_Done,
     /* 1528915 */   // Label 21223: @1528915
     /* 1528915 */   GIM_Try, /*On fail goto*//*Label 21224*/ GIMT_Encode4(1528997), // Rule ID 18475 //
     /* 1528920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1528928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1528931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1528934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1528937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1528940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528959 */     // MIs[0] round
     /* 1528959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528962 */     // MIs[0] policy
     /* 1528962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528972 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1528975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528996 */     // GIR_Coverage, 18475,
     /* 1528996 */     GIR_EraseRootFromParent_Done,
     /* 1528997 */   // Label 21224: @1528997
     /* 1528997 */   GIM_Try, /*On fail goto*//*Label 21225*/ GIMT_Encode4(1529079), // Rule ID 18476 //
     /* 1529002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1529013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1529016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1529019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1529022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529041 */     // MIs[0] round
     /* 1529041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529044 */     // MIs[0] policy
     /* 1529044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529054 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1529057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529078 */     // GIR_Coverage, 18476,
     /* 1529078 */     GIR_EraseRootFromParent_Done,
     /* 1529079 */   // Label 21225: @1529079
     /* 1529079 */   GIM_Try, /*On fail goto*//*Label 21226*/ GIMT_Encode4(1529161), // Rule ID 18479 //
     /* 1529084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1529095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1529098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1529101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1529104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529123 */     // MIs[0] round
     /* 1529123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529126 */     // MIs[0] policy
     /* 1529126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529136 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1529139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529160 */     // GIR_Coverage, 18479,
     /* 1529160 */     GIR_EraseRootFromParent_Done,
     /* 1529161 */   // Label 21226: @1529161
     /* 1529161 */   GIM_Try, /*On fail goto*//*Label 21227*/ GIMT_Encode4(1529243), // Rule ID 18480 //
     /* 1529166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1529177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1529180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1529183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1529186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529205 */     // MIs[0] round
     /* 1529205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529208 */     // MIs[0] policy
     /* 1529208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529218 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1529221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529229 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529242 */     // GIR_Coverage, 18480,
     /* 1529242 */     GIR_EraseRootFromParent_Done,
     /* 1529243 */   // Label 21227: @1529243
     /* 1529243 */   GIM_Try, /*On fail goto*//*Label 21228*/ GIMT_Encode4(1529325), // Rule ID 18483 //
     /* 1529248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1529259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1529262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1529265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1529268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529287 */     // MIs[0] round
     /* 1529287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529290 */     // MIs[0] policy
     /* 1529290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529300 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1529303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529324 */     // GIR_Coverage, 18483,
     /* 1529324 */     GIR_EraseRootFromParent_Done,
     /* 1529325 */   // Label 21228: @1529325
     /* 1529325 */   GIM_Try, /*On fail goto*//*Label 21229*/ GIMT_Encode4(1529407), // Rule ID 18484 //
     /* 1529330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1529341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1529344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1529347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1529350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529369 */     // MIs[0] round
     /* 1529369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529372 */     // MIs[0] policy
     /* 1529372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529382 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1529385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529406 */     // GIR_Coverage, 18484,
     /* 1529406 */     GIR_EraseRootFromParent_Done,
     /* 1529407 */   // Label 21229: @1529407
     /* 1529407 */   GIM_Try, /*On fail goto*//*Label 21230*/ GIMT_Encode4(1529489), // Rule ID 18487 //
     /* 1529412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1529423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1529426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1529429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1529432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529451 */     // MIs[0] round
     /* 1529451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529454 */     // MIs[0] policy
     /* 1529454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529464 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1529467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529488 */     // GIR_Coverage, 18487,
     /* 1529488 */     GIR_EraseRootFromParent_Done,
     /* 1529489 */   // Label 21230: @1529489
     /* 1529489 */   GIM_Try, /*On fail goto*//*Label 21231*/ GIMT_Encode4(1529571), // Rule ID 18488 //
     /* 1529494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1529505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1529508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1529511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1529514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529533 */     // MIs[0] round
     /* 1529533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529536 */     // MIs[0] policy
     /* 1529536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529546 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1529549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529570 */     // GIR_Coverage, 18488,
     /* 1529570 */     GIR_EraseRootFromParent_Done,
     /* 1529571 */   // Label 21231: @1529571
     /* 1529571 */   GIM_Try, /*On fail goto*//*Label 21232*/ GIMT_Encode4(1529653), // Rule ID 18491 //
     /* 1529576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1529579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1529587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1529590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1529593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1529596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529615 */     // MIs[0] round
     /* 1529615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529618 */     // MIs[0] policy
     /* 1529618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529628 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1529631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529652 */     // GIR_Coverage, 18491,
     /* 1529652 */     GIR_EraseRootFromParent_Done,
     /* 1529653 */   // Label 21232: @1529653
     /* 1529653 */   GIM_Try, /*On fail goto*//*Label 21233*/ GIMT_Encode4(1529735), // Rule ID 18492 //
     /* 1529658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1529661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1529669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1529672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1529675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1529678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529697 */     // MIs[0] round
     /* 1529697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529700 */     // MIs[0] policy
     /* 1529700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529710 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1529713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529734 */     // GIR_Coverage, 18492,
     /* 1529734 */     GIR_EraseRootFromParent_Done,
     /* 1529735 */   // Label 21233: @1529735
     /* 1529735 */   GIM_Try, /*On fail goto*//*Label 21234*/ GIMT_Encode4(1529817), // Rule ID 18495 //
     /* 1529740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1529743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1529751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1529754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1529757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1529760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529779 */     // MIs[0] round
     /* 1529779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529782 */     // MIs[0] policy
     /* 1529782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529792 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1529795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529816 */     // GIR_Coverage, 18495,
     /* 1529816 */     GIR_EraseRootFromParent_Done,
     /* 1529817 */   // Label 21234: @1529817
     /* 1529817 */   GIM_Try, /*On fail goto*//*Label 21235*/ GIMT_Encode4(1529899), // Rule ID 18496 //
     /* 1529822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1529825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1529833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1529836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1529839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1529842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529861 */     // MIs[0] round
     /* 1529861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529864 */     // MIs[0] policy
     /* 1529864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529874 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1529877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529898 */     // GIR_Coverage, 18496,
     /* 1529898 */     GIR_EraseRootFromParent_Done,
     /* 1529899 */   // Label 21235: @1529899
     /* 1529899 */   GIM_Try, /*On fail goto*//*Label 21236*/ GIMT_Encode4(1529981), // Rule ID 18499 //
     /* 1529904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1529907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1529915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1529918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1529921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1529924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529943 */     // MIs[0] round
     /* 1529943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529946 */     // MIs[0] policy
     /* 1529946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529956 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1529959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529980 */     // GIR_Coverage, 18499,
     /* 1529980 */     GIR_EraseRootFromParent_Done,
     /* 1529981 */   // Label 21236: @1529981
     /* 1529981 */   GIM_Try, /*On fail goto*//*Label 21237*/ GIMT_Encode4(1530063), // Rule ID 18500 //
     /* 1529986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1529989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1529994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1529997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1530000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1530003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1530006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530025 */     // MIs[0] round
     /* 1530025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530028 */     // MIs[0] policy
     /* 1530028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530038 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1530041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530062 */     // GIR_Coverage, 18500,
     /* 1530062 */     GIR_EraseRootFromParent_Done,
     /* 1530063 */   // Label 21237: @1530063
     /* 1530063 */   GIM_Try, /*On fail goto*//*Label 21238*/ GIMT_Encode4(1530145), // Rule ID 18503 //
     /* 1530068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1530079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1530082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1530085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1530088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1530103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530107 */     // MIs[0] round
     /* 1530107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530110 */     // MIs[0] policy
     /* 1530110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530120 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1530123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530144 */     // GIR_Coverage, 18503,
     /* 1530144 */     GIR_EraseRootFromParent_Done,
     /* 1530145 */   // Label 21238: @1530145
     /* 1530145 */   GIM_Try, /*On fail goto*//*Label 21239*/ GIMT_Encode4(1530227), // Rule ID 18504 //
     /* 1530150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1530161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1530164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1530167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1530170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1530185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530189 */     // MIs[0] round
     /* 1530189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530192 */     // MIs[0] policy
     /* 1530192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530202 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1530205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530213 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530226 */     // GIR_Coverage, 18504,
     /* 1530226 */     GIR_EraseRootFromParent_Done,
     /* 1530227 */   // Label 21239: @1530227
     /* 1530227 */   GIM_Try, /*On fail goto*//*Label 21240*/ GIMT_Encode4(1530309), // Rule ID 18507 //
     /* 1530232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1530243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1530246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1530249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1530252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1530267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530271 */     // MIs[0] round
     /* 1530271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530274 */     // MIs[0] policy
     /* 1530274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530284 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1530287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530308 */     // GIR_Coverage, 18507,
     /* 1530308 */     GIR_EraseRootFromParent_Done,
     /* 1530309 */   // Label 21240: @1530309
     /* 1530309 */   GIM_Try, /*On fail goto*//*Label 21241*/ GIMT_Encode4(1530391), // Rule ID 18508 //
     /* 1530314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1530325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1530328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1530331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1530334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1530349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530353 */     // MIs[0] round
     /* 1530353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530356 */     // MIs[0] policy
     /* 1530356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530366 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1530369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530390 */     // GIR_Coverage, 18508,
     /* 1530390 */     GIR_EraseRootFromParent_Done,
     /* 1530391 */   // Label 21241: @1530391
     /* 1530391 */   GIM_Try, /*On fail goto*//*Label 21242*/ GIMT_Encode4(1530473), // Rule ID 18511 //
     /* 1530396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1530407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1530410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1530413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1530416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1530431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530435 */     // MIs[0] round
     /* 1530435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530438 */     // MIs[0] policy
     /* 1530438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530448 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1530451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530472 */     // GIR_Coverage, 18511,
     /* 1530472 */     GIR_EraseRootFromParent_Done,
     /* 1530473 */   // Label 21242: @1530473
     /* 1530473 */   GIM_Try, /*On fail goto*//*Label 21243*/ GIMT_Encode4(1530555), // Rule ID 18512 //
     /* 1530478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1530489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1530492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1530495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1530498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1530513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530517 */     // MIs[0] round
     /* 1530517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530520 */     // MIs[0] policy
     /* 1530520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530530 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1530533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530554 */     // GIR_Coverage, 18512,
     /* 1530554 */     GIR_EraseRootFromParent_Done,
     /* 1530555 */   // Label 21243: @1530555
     /* 1530555 */   GIM_Try, /*On fail goto*//*Label 21244*/ GIMT_Encode4(1530637), // Rule ID 18515 //
     /* 1530560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1530571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1530574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1530577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1530580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1530595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530599 */     // MIs[0] round
     /* 1530599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530602 */     // MIs[0] policy
     /* 1530602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530612 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1530615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530636 */     // GIR_Coverage, 18515,
     /* 1530636 */     GIR_EraseRootFromParent_Done,
     /* 1530637 */   // Label 21244: @1530637
     /* 1530637 */   GIM_Try, /*On fail goto*//*Label 21245*/ GIMT_Encode4(1530719), // Rule ID 18516 //
     /* 1530642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1530653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1530656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1530659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1530662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1530677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530681 */     // MIs[0] round
     /* 1530681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530684 */     // MIs[0] policy
     /* 1530684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530694 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1530697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530718 */     // GIR_Coverage, 18516,
     /* 1530718 */     GIR_EraseRootFromParent_Done,
     /* 1530719 */   // Label 21245: @1530719
     /* 1530719 */   GIM_Try, /*On fail goto*//*Label 21246*/ GIMT_Encode4(1530801), // Rule ID 18519 //
     /* 1530724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1530735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1530738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1530741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1530744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1530759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530763 */     // MIs[0] round
     /* 1530763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530766 */     // MIs[0] policy
     /* 1530766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530776 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1530779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530800 */     // GIR_Coverage, 18519,
     /* 1530800 */     GIR_EraseRootFromParent_Done,
     /* 1530801 */   // Label 21246: @1530801
     /* 1530801 */   GIM_Try, /*On fail goto*//*Label 21247*/ GIMT_Encode4(1530883), // Rule ID 18520 //
     /* 1530806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1530817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1530820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1530823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1530826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1530841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530845 */     // MIs[0] round
     /* 1530845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530848 */     // MIs[0] policy
     /* 1530848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530858 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1530861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530882 */     // GIR_Coverage, 18520,
     /* 1530882 */     GIR_EraseRootFromParent_Done,
     /* 1530883 */   // Label 21247: @1530883
     /* 1530883 */   GIM_Try, /*On fail goto*//*Label 21248*/ GIMT_Encode4(1530965), // Rule ID 18523 //
     /* 1530888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1530891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1530899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1530902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1530905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1530908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1530923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530927 */     // MIs[0] round
     /* 1530927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530930 */     // MIs[0] policy
     /* 1530930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530940 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1530943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530951 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530964 */     // GIR_Coverage, 18523,
     /* 1530964 */     GIR_EraseRootFromParent_Done,
     /* 1530965 */   // Label 21248: @1530965
     /* 1530965 */   GIM_Try, /*On fail goto*//*Label 21249*/ GIMT_Encode4(1531047), // Rule ID 18524 //
     /* 1530970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1530973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1530978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1530981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1530984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1530987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1530990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1531005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531009 */     // MIs[0] round
     /* 1531009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531012 */     // MIs[0] policy
     /* 1531012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531022 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1531025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531046 */     // GIR_Coverage, 18524,
     /* 1531046 */     GIR_EraseRootFromParent_Done,
     /* 1531047 */   // Label 21249: @1531047
     /* 1531047 */   GIM_Try, /*On fail goto*//*Label 21250*/ GIMT_Encode4(1531129), // Rule ID 18527 //
     /* 1531052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1531063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1531066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1531072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531091 */     // MIs[0] round
     /* 1531091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531094 */     // MIs[0] policy
     /* 1531094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531104 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1531107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531128 */     // GIR_Coverage, 18527,
     /* 1531128 */     GIR_EraseRootFromParent_Done,
     /* 1531129 */   // Label 21250: @1531129
     /* 1531129 */   GIM_Try, /*On fail goto*//*Label 21251*/ GIMT_Encode4(1531211), // Rule ID 18528 //
     /* 1531134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1531145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1531148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1531154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531173 */     // MIs[0] round
     /* 1531173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531176 */     // MIs[0] policy
     /* 1531176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531186 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1531189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531210 */     // GIR_Coverage, 18528,
     /* 1531210 */     GIR_EraseRootFromParent_Done,
     /* 1531211 */   // Label 21251: @1531211
     /* 1531211 */   GIM_Try, /*On fail goto*//*Label 21252*/ GIMT_Encode4(1531293), // Rule ID 18531 //
     /* 1531216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1531227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1531230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1531236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531255 */     // MIs[0] round
     /* 1531255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531258 */     // MIs[0] policy
     /* 1531258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531268 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1531271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531292 */     // GIR_Coverage, 18531,
     /* 1531292 */     GIR_EraseRootFromParent_Done,
     /* 1531293 */   // Label 21252: @1531293
     /* 1531293 */   GIM_Try, /*On fail goto*//*Label 21253*/ GIMT_Encode4(1531375), // Rule ID 18532 //
     /* 1531298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1531309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1531312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1531318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531337 */     // MIs[0] round
     /* 1531337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531340 */     // MIs[0] policy
     /* 1531340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531350 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1531353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531374 */     // GIR_Coverage, 18532,
     /* 1531374 */     GIR_EraseRootFromParent_Done,
     /* 1531375 */   // Label 21253: @1531375
     /* 1531375 */   GIM_Try, /*On fail goto*//*Label 21254*/ GIMT_Encode4(1531457), // Rule ID 18535 //
     /* 1531380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1531391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1531394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1531400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531419 */     // MIs[0] round
     /* 1531419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531422 */     // MIs[0] policy
     /* 1531422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531432 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1531435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531456 */     // GIR_Coverage, 18535,
     /* 1531456 */     GIR_EraseRootFromParent_Done,
     /* 1531457 */   // Label 21254: @1531457
     /* 1531457 */   GIM_Try, /*On fail goto*//*Label 21255*/ GIMT_Encode4(1531539), // Rule ID 18536 //
     /* 1531462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1531473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1531476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1531479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1531482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1531497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531501 */     // MIs[0] round
     /* 1531501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531504 */     // MIs[0] policy
     /* 1531504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531514 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1531517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531525 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531538 */     // GIR_Coverage, 18536,
     /* 1531538 */     GIR_EraseRootFromParent_Done,
     /* 1531539 */   // Label 21255: @1531539
     /* 1531539 */   GIM_Try, /*On fail goto*//*Label 21256*/ GIMT_Encode4(1531621), // Rule ID 18539 //
     /* 1531544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1531547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1531555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1531558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1531561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1531564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1531579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531583 */     // MIs[0] round
     /* 1531583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531586 */     // MIs[0] policy
     /* 1531586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531596 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1531599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531620 */     // GIR_Coverage, 18539,
     /* 1531620 */     GIR_EraseRootFromParent_Done,
     /* 1531621 */   // Label 21256: @1531621
     /* 1531621 */   GIM_Try, /*On fail goto*//*Label 21257*/ GIMT_Encode4(1531703), // Rule ID 18540 //
     /* 1531626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1531629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1531637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1531640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1531643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1531646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1531661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531665 */     // MIs[0] round
     /* 1531665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531668 */     // MIs[0] policy
     /* 1531668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531678 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1531681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531702 */     // GIR_Coverage, 18540,
     /* 1531702 */     GIR_EraseRootFromParent_Done,
     /* 1531703 */   // Label 21257: @1531703
     /* 1531703 */   GIM_Try, /*On fail goto*//*Label 21258*/ GIMT_Encode4(1531785), // Rule ID 18543 //
     /* 1531708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1531711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1531719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1531722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1531725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1531728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1531743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531747 */     // MIs[0] round
     /* 1531747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531750 */     // MIs[0] policy
     /* 1531750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531760 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1531763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531784 */     // GIR_Coverage, 18543,
     /* 1531784 */     GIR_EraseRootFromParent_Done,
     /* 1531785 */   // Label 21258: @1531785
     /* 1531785 */   GIM_Try, /*On fail goto*//*Label 21259*/ GIMT_Encode4(1531867), // Rule ID 18544 //
     /* 1531790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1531793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1531801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1531804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1531807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1531810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1531825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531829 */     // MIs[0] round
     /* 1531829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531832 */     // MIs[0] policy
     /* 1531832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531842 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1531845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531866 */     // GIR_Coverage, 18544,
     /* 1531866 */     GIR_EraseRootFromParent_Done,
     /* 1531867 */   // Label 21259: @1531867
     /* 1531867 */   GIM_Try, /*On fail goto*//*Label 21260*/ GIMT_Encode4(1531949), // Rule ID 18547 //
     /* 1531872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1531875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1531883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1531886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1531889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1531892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1531907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531911 */     // MIs[0] round
     /* 1531911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531914 */     // MIs[0] policy
     /* 1531914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531924 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1531927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531948 */     // GIR_Coverage, 18547,
     /* 1531948 */     GIR_EraseRootFromParent_Done,
     /* 1531949 */   // Label 21260: @1531949
     /* 1531949 */   GIM_Try, /*On fail goto*//*Label 21261*/ GIMT_Encode4(1532031), // Rule ID 18548 //
     /* 1531954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1531957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1531962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1531965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1531968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1531971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1531974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1531989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531993 */     // MIs[0] round
     /* 1531993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531996 */     // MIs[0] policy
     /* 1531996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532006 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1532009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532030 */     // GIR_Coverage, 18548,
     /* 1532030 */     GIR_EraseRootFromParent_Done,
     /* 1532031 */   // Label 21261: @1532031
     /* 1532031 */   GIM_Try, /*On fail goto*//*Label 21262*/ GIMT_Encode4(1532113), // Rule ID 18551 //
     /* 1532036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1532039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1532047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1532050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1532053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1532056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1532071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532075 */     // MIs[0] round
     /* 1532075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532078 */     // MIs[0] policy
     /* 1532078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532088 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1532091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532112 */     // GIR_Coverage, 18551,
     /* 1532112 */     GIR_EraseRootFromParent_Done,
     /* 1532113 */   // Label 21262: @1532113
     /* 1532113 */   GIM_Try, /*On fail goto*//*Label 21263*/ GIMT_Encode4(1532195), // Rule ID 18552 //
     /* 1532118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1532121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1532129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1532132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1532135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1532138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1532153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532157 */     // MIs[0] round
     /* 1532157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532160 */     // MIs[0] policy
     /* 1532160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532170 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1532173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532194 */     // GIR_Coverage, 18552,
     /* 1532194 */     GIR_EraseRootFromParent_Done,
     /* 1532195 */   // Label 21263: @1532195
     /* 1532195 */   GIM_Try, /*On fail goto*//*Label 21264*/ GIMT_Encode4(1532277), // Rule ID 18555 //
     /* 1532200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1532203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1532211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1532214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1532217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1532220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1532235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532239 */     // MIs[0] round
     /* 1532239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532242 */     // MIs[0] policy
     /* 1532242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532252 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1532255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532276 */     // GIR_Coverage, 18555,
     /* 1532276 */     GIR_EraseRootFromParent_Done,
     /* 1532277 */   // Label 21264: @1532277
     /* 1532277 */   GIM_Try, /*On fail goto*//*Label 21265*/ GIMT_Encode4(1532359), // Rule ID 18556 //
     /* 1532282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1532285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1532293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1532296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1532299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1532302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1532317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532321 */     // MIs[0] round
     /* 1532321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532324 */     // MIs[0] policy
     /* 1532324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532334 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1532337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532358 */     // GIR_Coverage, 18556,
     /* 1532358 */     GIR_EraseRootFromParent_Done,
     /* 1532359 */   // Label 21265: @1532359
     /* 1532359 */   GIM_Try, /*On fail goto*//*Label 21266*/ GIMT_Encode4(1532441), // Rule ID 18559 //
     /* 1532364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1532367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1532375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1532378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1532381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1532384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1532399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532403 */     // MIs[0] round
     /* 1532403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532406 */     // MIs[0] policy
     /* 1532406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532416 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1532419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532440 */     // GIR_Coverage, 18559,
     /* 1532440 */     GIR_EraseRootFromParent_Done,
     /* 1532441 */   // Label 21266: @1532441
     /* 1532441 */   GIM_Try, /*On fail goto*//*Label 21267*/ GIMT_Encode4(1532523), // Rule ID 18560 //
     /* 1532446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1532449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1532454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1532457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1532460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1532463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1532466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1532481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532485 */     // MIs[0] round
     /* 1532485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532488 */     // MIs[0] policy
     /* 1532488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532498 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1532501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532522 */     // GIR_Coverage, 18560,
     /* 1532522 */     GIR_EraseRootFromParent_Done,
     /* 1532523 */   // Label 21267: @1532523
     /* 1532523 */   GIM_Try, /*On fail goto*//*Label 21268*/ GIMT_Encode4(1532605), // Rule ID 18563 //
     /* 1532528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1532531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1532536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1532539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1532542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1532545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1532548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532567 */     // MIs[0] round
     /* 1532567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532570 */     // MIs[0] policy
     /* 1532570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532580 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1532583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532591 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532604 */     // GIR_Coverage, 18563,
     /* 1532604 */     GIR_EraseRootFromParent_Done,
     /* 1532605 */   // Label 21268: @1532605
     /* 1532605 */   GIM_Try, /*On fail goto*//*Label 21269*/ GIMT_Encode4(1532687), // Rule ID 18564 //
     /* 1532610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1532613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1532618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1532621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1532624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1532627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1532630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532649 */     // MIs[0] round
     /* 1532649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532652 */     // MIs[0] policy
     /* 1532652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532662 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1532665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532686 */     // GIR_Coverage, 18564,
     /* 1532686 */     GIR_EraseRootFromParent_Done,
     /* 1532687 */   // Label 21269: @1532687
     /* 1532687 */   GIM_Try, /*On fail goto*//*Label 21270*/ GIMT_Encode4(1532769), // Rule ID 18567 //
     /* 1532692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1532695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1532700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1532703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1532706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1532709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1532712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532731 */     // MIs[0] round
     /* 1532731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532734 */     // MIs[0] policy
     /* 1532734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532744 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1532747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532768 */     // GIR_Coverage, 18567,
     /* 1532768 */     GIR_EraseRootFromParent_Done,
     /* 1532769 */   // Label 21270: @1532769
     /* 1532769 */   GIM_Try, /*On fail goto*//*Label 21271*/ GIMT_Encode4(1532851), // Rule ID 18568 //
     /* 1532774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1532777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1532782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1532785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1532788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1532791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1532794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532813 */     // MIs[0] round
     /* 1532813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532816 */     // MIs[0] policy
     /* 1532816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532826 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1532829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532850 */     // GIR_Coverage, 18568,
     /* 1532850 */     GIR_EraseRootFromParent_Done,
     /* 1532851 */   // Label 21271: @1532851
     /* 1532851 */   GIM_Try, /*On fail goto*//*Label 21272*/ GIMT_Encode4(1532933), // Rule ID 18571 //
     /* 1532856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1532859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1532864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1532867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1532870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1532873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1532876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532895 */     // MIs[0] round
     /* 1532895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532898 */     // MIs[0] policy
     /* 1532898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532908 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1532911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532932 */     // GIR_Coverage, 18571,
     /* 1532932 */     GIR_EraseRootFromParent_Done,
     /* 1532933 */   // Label 21272: @1532933
     /* 1532933 */   GIM_Try, /*On fail goto*//*Label 21273*/ GIMT_Encode4(1533015), // Rule ID 18572 //
     /* 1532938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1532941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1532946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1532949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1532952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1532955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1532958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532977 */     // MIs[0] round
     /* 1532977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532980 */     // MIs[0] policy
     /* 1532980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532990 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1532993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533014 */     // GIR_Coverage, 18572,
     /* 1533014 */     GIR_EraseRootFromParent_Done,
     /* 1533015 */   // Label 21273: @1533015
     /* 1533015 */   GIM_Try, /*On fail goto*//*Label 21274*/ GIMT_Encode4(1533097), // Rule ID 18575 //
     /* 1533020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1533023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1533028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1533031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1533034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1533037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1533040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533059 */     // MIs[0] round
     /* 1533059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533062 */     // MIs[0] policy
     /* 1533062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533072 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1533075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533096 */     // GIR_Coverage, 18575,
     /* 1533096 */     GIR_EraseRootFromParent_Done,
     /* 1533097 */   // Label 21274: @1533097
     /* 1533097 */   GIM_Try, /*On fail goto*//*Label 21275*/ GIMT_Encode4(1533179), // Rule ID 18576 //
     /* 1533102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1533105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1533110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1533113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1533116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1533119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1533122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533141 */     // MIs[0] round
     /* 1533141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533144 */     // MIs[0] policy
     /* 1533144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533154 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1533157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533165 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533178 */     // GIR_Coverage, 18576,
     /* 1533178 */     GIR_EraseRootFromParent_Done,
     /* 1533179 */   // Label 21275: @1533179
     /* 1533179 */   GIM_Try, /*On fail goto*//*Label 21276*/ GIMT_Encode4(1533261), // Rule ID 18579 //
     /* 1533184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1533187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1533192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1533195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1533198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1533201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1533204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533223 */     // MIs[0] round
     /* 1533223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533226 */     // MIs[0] policy
     /* 1533226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533236 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1533239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533260 */     // GIR_Coverage, 18579,
     /* 1533260 */     GIR_EraseRootFromParent_Done,
     /* 1533261 */   // Label 21276: @1533261
     /* 1533261 */   GIM_Try, /*On fail goto*//*Label 21277*/ GIMT_Encode4(1533343), // Rule ID 18580 //
     /* 1533266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1533269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1533274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1533277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1533280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1533283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1533286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533305 */     // MIs[0] round
     /* 1533305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533308 */     // MIs[0] policy
     /* 1533308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533318 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1533321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533342 */     // GIR_Coverage, 18580,
     /* 1533342 */     GIR_EraseRootFromParent_Done,
     /* 1533343 */   // Label 21277: @1533343
     /* 1533343 */   GIM_Try, /*On fail goto*//*Label 21278*/ GIMT_Encode4(1533425), // Rule ID 18583 //
     /* 1533348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1533351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1533356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1533359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1533362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1533365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1533368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533387 */     // MIs[0] round
     /* 1533387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533390 */     // MIs[0] policy
     /* 1533390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533400 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1533403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533424 */     // GIR_Coverage, 18583,
     /* 1533424 */     GIR_EraseRootFromParent_Done,
     /* 1533425 */   // Label 21278: @1533425
     /* 1533425 */   GIM_Try, /*On fail goto*//*Label 21279*/ GIMT_Encode4(1533507), // Rule ID 18584 //
     /* 1533430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1533433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1533438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1533441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1533444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1533447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1533450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533469 */     // MIs[0] round
     /* 1533469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533472 */     // MIs[0] policy
     /* 1533472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533482 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1533485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533493 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533506 */     // GIR_Coverage, 18584,
     /* 1533506 */     GIR_EraseRootFromParent_Done,
     /* 1533507 */   // Label 21279: @1533507
     /* 1533507 */   GIM_Try, /*On fail goto*//*Label 21280*/ GIMT_Encode4(1533589), // Rule ID 18587 //
     /* 1533512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1533515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1533520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1533523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1533526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1533529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1533532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533551 */     // MIs[0] round
     /* 1533551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533554 */     // MIs[0] policy
     /* 1533554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533564 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1533567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533588 */     // GIR_Coverage, 18587,
     /* 1533588 */     GIR_EraseRootFromParent_Done,
     /* 1533589 */   // Label 21280: @1533589
     /* 1533589 */   GIM_Try, /*On fail goto*//*Label 21281*/ GIMT_Encode4(1533671), // Rule ID 18588 //
     /* 1533594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1533597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1533602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1533605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1533608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1533611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1533614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533633 */     // MIs[0] round
     /* 1533633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533636 */     // MIs[0] policy
     /* 1533636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533646 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1533649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533657 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533670 */     // GIR_Coverage, 18588,
     /* 1533670 */     GIR_EraseRootFromParent_Done,
     /* 1533671 */   // Label 21281: @1533671
     /* 1533671 */   GIM_Try, /*On fail goto*//*Label 21282*/ GIMT_Encode4(1533753), // Rule ID 18591 //
     /* 1533676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1533679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1533684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1533687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1533690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1533693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1533696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533715 */     // MIs[0] round
     /* 1533715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533718 */     // MIs[0] policy
     /* 1533718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533728 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1533731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533752 */     // GIR_Coverage, 18591,
     /* 1533752 */     GIR_EraseRootFromParent_Done,
     /* 1533753 */   // Label 21282: @1533753
     /* 1533753 */   GIM_Try, /*On fail goto*//*Label 21283*/ GIMT_Encode4(1533835), // Rule ID 18592 //
     /* 1533758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1533761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1533766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1533769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1533772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1533775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1533778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533797 */     // MIs[0] round
     /* 1533797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533800 */     // MIs[0] policy
     /* 1533800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533810 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1533813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533834 */     // GIR_Coverage, 18592,
     /* 1533834 */     GIR_EraseRootFromParent_Done,
     /* 1533835 */   // Label 21283: @1533835
     /* 1533835 */   GIM_Try, /*On fail goto*//*Label 21284*/ GIMT_Encode4(1533917), // Rule ID 18595 //
     /* 1533840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1533843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1533848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1533851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1533854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1533857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1533860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533879 */     // MIs[0] round
     /* 1533879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533882 */     // MIs[0] policy
     /* 1533882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533892 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1533895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533916 */     // GIR_Coverage, 18595,
     /* 1533916 */     GIR_EraseRootFromParent_Done,
     /* 1533917 */   // Label 21284: @1533917
     /* 1533917 */   GIM_Try, /*On fail goto*//*Label 21285*/ GIMT_Encode4(1533999), // Rule ID 18596 //
     /* 1533922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1533925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1533930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1533933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1533936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1533939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1533942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533961 */     // MIs[0] round
     /* 1533961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533964 */     // MIs[0] policy
     /* 1533964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533974 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1533977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533985 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533998 */     // GIR_Coverage, 18596,
     /* 1533998 */     GIR_EraseRootFromParent_Done,
     /* 1533999 */   // Label 21285: @1533999
     /* 1533999 */   GIM_Try, /*On fail goto*//*Label 21286*/ GIMT_Encode4(1534081), // Rule ID 18599 //
     /* 1534004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1534015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1534018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1534024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534043 */     // MIs[0] round
     /* 1534043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534046 */     // MIs[0] policy
     /* 1534046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534056 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1534059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534080 */     // GIR_Coverage, 18599,
     /* 1534080 */     GIR_EraseRootFromParent_Done,
     /* 1534081 */   // Label 21286: @1534081
     /* 1534081 */   GIM_Try, /*On fail goto*//*Label 21287*/ GIMT_Encode4(1534163), // Rule ID 18600 //
     /* 1534086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1534097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1534100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1534106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534125 */     // MIs[0] round
     /* 1534125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534128 */     // MIs[0] policy
     /* 1534128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534138 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1534141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534162 */     // GIR_Coverage, 18600,
     /* 1534162 */     GIR_EraseRootFromParent_Done,
     /* 1534163 */   // Label 21287: @1534163
     /* 1534163 */   GIM_Try, /*On fail goto*//*Label 21288*/ GIMT_Encode4(1534245), // Rule ID 18603 //
     /* 1534168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1534179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1534182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1534188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534207 */     // MIs[0] round
     /* 1534207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534210 */     // MIs[0] policy
     /* 1534210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534220 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1534223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534231 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534244 */     // GIR_Coverage, 18603,
     /* 1534244 */     GIR_EraseRootFromParent_Done,
     /* 1534245 */   // Label 21288: @1534245
     /* 1534245 */   GIM_Try, /*On fail goto*//*Label 21289*/ GIMT_Encode4(1534327), // Rule ID 18604 //
     /* 1534250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1534261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1534264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1534270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534289 */     // MIs[0] round
     /* 1534289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534292 */     // MIs[0] policy
     /* 1534292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534302 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1534305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534313 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534326 */     // GIR_Coverage, 18604,
     /* 1534326 */     GIR_EraseRootFromParent_Done,
     /* 1534327 */   // Label 21289: @1534327
     /* 1534327 */   GIM_Try, /*On fail goto*//*Label 21290*/ GIMT_Encode4(1534409), // Rule ID 18607 //
     /* 1534332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1534352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534371 */     // MIs[0] round
     /* 1534371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534374 */     // MIs[0] policy
     /* 1534374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534384 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1534387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534408 */     // GIR_Coverage, 18607,
     /* 1534408 */     GIR_EraseRootFromParent_Done,
     /* 1534409 */   // Label 21290: @1534409
     /* 1534409 */   GIM_Try, /*On fail goto*//*Label 21291*/ GIMT_Encode4(1534491), // Rule ID 18608 //
     /* 1534414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1534434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534453 */     // MIs[0] round
     /* 1534453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534456 */     // MIs[0] policy
     /* 1534456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534466 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1534469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534490 */     // GIR_Coverage, 18608,
     /* 1534490 */     GIR_EraseRootFromParent_Done,
     /* 1534491 */   // Label 21291: @1534491
     /* 1534491 */   GIM_Try, /*On fail goto*//*Label 21292*/ GIMT_Encode4(1534573), // Rule ID 18611 //
     /* 1534496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1534507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1534510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534535 */     // MIs[0] round
     /* 1534535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534538 */     // MIs[0] policy
     /* 1534538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534548 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1534551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534572 */     // GIR_Coverage, 18611,
     /* 1534572 */     GIR_EraseRootFromParent_Done,
     /* 1534573 */   // Label 21292: @1534573
     /* 1534573 */   GIM_Try, /*On fail goto*//*Label 21293*/ GIMT_Encode4(1534655), // Rule ID 18612 //
     /* 1534578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1534589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1534592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534617 */     // MIs[0] round
     /* 1534617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534620 */     // MIs[0] policy
     /* 1534620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534630 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1534633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534654 */     // GIR_Coverage, 18612,
     /* 1534654 */     GIR_EraseRootFromParent_Done,
     /* 1534655 */   // Label 21293: @1534655
     /* 1534655 */   GIM_Try, /*On fail goto*//*Label 21294*/ GIMT_Encode4(1534737), // Rule ID 18615 //
     /* 1534660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1534671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1534674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534699 */     // MIs[0] round
     /* 1534699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534702 */     // MIs[0] policy
     /* 1534702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534712 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1534715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534736 */     // GIR_Coverage, 18615,
     /* 1534736 */     GIR_EraseRootFromParent_Done,
     /* 1534737 */   // Label 21294: @1534737
     /* 1534737 */   GIM_Try, /*On fail goto*//*Label 21295*/ GIMT_Encode4(1534819), // Rule ID 18616 //
     /* 1534742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1534753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1534756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534781 */     // MIs[0] round
     /* 1534781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534784 */     // MIs[0] policy
     /* 1534784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534794 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1534797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534818 */     // GIR_Coverage, 18616,
     /* 1534818 */     GIR_EraseRootFromParent_Done,
     /* 1534819 */   // Label 21295: @1534819
     /* 1534819 */   GIM_Try, /*On fail goto*//*Label 21296*/ GIMT_Encode4(1534901), // Rule ID 18619 //
     /* 1534824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1534827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1534835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1534838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1534841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1534844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1534859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534863 */     // MIs[0] round
     /* 1534863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534866 */     // MIs[0] policy
     /* 1534866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534876 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1534879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534900 */     // GIR_Coverage, 18619,
     /* 1534900 */     GIR_EraseRootFromParent_Done,
     /* 1534901 */   // Label 21296: @1534901
     /* 1534901 */   GIM_Try, /*On fail goto*//*Label 21297*/ GIMT_Encode4(1534983), // Rule ID 18620 //
     /* 1534906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1534909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1534917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1534920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1534923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1534926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1534941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534945 */     // MIs[0] round
     /* 1534945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534948 */     // MIs[0] policy
     /* 1534948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534958 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1534961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534982 */     // GIR_Coverage, 18620,
     /* 1534982 */     GIR_EraseRootFromParent_Done,
     /* 1534983 */   // Label 21297: @1534983
     /* 1534983 */   GIM_Try, /*On fail goto*//*Label 21298*/ GIMT_Encode4(1535065), // Rule ID 18623 //
     /* 1534988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1534991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1534996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1534999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1535002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1535005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1535008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1535023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535027 */     // MIs[0] round
     /* 1535027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535030 */     // MIs[0] policy
     /* 1535030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535040 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1535043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535064 */     // GIR_Coverage, 18623,
     /* 1535064 */     GIR_EraseRootFromParent_Done,
     /* 1535065 */   // Label 21298: @1535065
     /* 1535065 */   GIM_Try, /*On fail goto*//*Label 21299*/ GIMT_Encode4(1535147), // Rule ID 18624 //
     /* 1535070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1535073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1535081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1535084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1535087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1535090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1535105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535109 */     // MIs[0] round
     /* 1535109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535112 */     // MIs[0] policy
     /* 1535112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535122 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1535125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535146 */     // GIR_Coverage, 18624,
     /* 1535146 */     GIR_EraseRootFromParent_Done,
     /* 1535147 */   // Label 21299: @1535147
     /* 1535147 */   GIM_Try, /*On fail goto*//*Label 21300*/ GIMT_Encode4(1535229), // Rule ID 18627 //
     /* 1535152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1535155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1535163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1535166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1535169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1535172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1535187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535191 */     // MIs[0] round
     /* 1535191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535194 */     // MIs[0] policy
     /* 1535194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535204 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1535207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535228 */     // GIR_Coverage, 18627,
     /* 1535228 */     GIR_EraseRootFromParent_Done,
     /* 1535229 */   // Label 21300: @1535229
     /* 1535229 */   GIM_Try, /*On fail goto*//*Label 21301*/ GIMT_Encode4(1535311), // Rule ID 18628 //
     /* 1535234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1535237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1535245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1535248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1535251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1535254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1535269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535273 */     // MIs[0] round
     /* 1535273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535276 */     // MIs[0] policy
     /* 1535276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535286 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1535289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535310 */     // GIR_Coverage, 18628,
     /* 1535310 */     GIR_EraseRootFromParent_Done,
     /* 1535311 */   // Label 21301: @1535311
     /* 1535311 */   GIM_Try, /*On fail goto*//*Label 21302*/ GIMT_Encode4(1535393), // Rule ID 18631 //
     /* 1535316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1535319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1535333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1535336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1535351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535355 */     // MIs[0] round
     /* 1535355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535358 */     // MIs[0] policy
     /* 1535358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535368 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1535371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535392 */     // GIR_Coverage, 18631,
     /* 1535392 */     GIR_EraseRootFromParent_Done,
     /* 1535393 */   // Label 21302: @1535393
     /* 1535393 */   GIM_Try, /*On fail goto*//*Label 21303*/ GIMT_Encode4(1535475), // Rule ID 18632 //
     /* 1535398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1535401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1535406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1535415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1535418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1535433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535437 */     // MIs[0] round
     /* 1535437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535440 */     // MIs[0] policy
     /* 1535440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535450 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1535453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535474 */     // GIR_Coverage, 18632,
     /* 1535474 */     GIR_EraseRootFromParent_Done,
     /* 1535475 */   // Label 21303: @1535475
     /* 1535475 */   GIM_Try, /*On fail goto*//*Label 21304*/ GIMT_Encode4(1535557), // Rule ID 18635 //
     /* 1535480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1535488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1535491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1535494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1535497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1535500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535519 */     // MIs[0] round
     /* 1535519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535522 */     // MIs[0] policy
     /* 1535522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535532 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1535535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535556 */     // GIR_Coverage, 18635,
     /* 1535556 */     GIR_EraseRootFromParent_Done,
     /* 1535557 */   // Label 21304: @1535557
     /* 1535557 */   GIM_Try, /*On fail goto*//*Label 21305*/ GIMT_Encode4(1535639), // Rule ID 18636 //
     /* 1535562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1535570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1535573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1535576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1535579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1535582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535601 */     // MIs[0] round
     /* 1535601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535604 */     // MIs[0] policy
     /* 1535604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535614 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1535617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535638 */     // GIR_Coverage, 18636,
     /* 1535638 */     GIR_EraseRootFromParent_Done,
     /* 1535639 */   // Label 21305: @1535639
     /* 1535639 */   GIM_Try, /*On fail goto*//*Label 21306*/ GIMT_Encode4(1535721), // Rule ID 18639 //
     /* 1535644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1535652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1535655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1535658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1535661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1535664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535683 */     // MIs[0] round
     /* 1535683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535686 */     // MIs[0] policy
     /* 1535686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535696 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1535699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535720 */     // GIR_Coverage, 18639,
     /* 1535720 */     GIR_EraseRootFromParent_Done,
     /* 1535721 */   // Label 21306: @1535721
     /* 1535721 */   GIM_Try, /*On fail goto*//*Label 21307*/ GIMT_Encode4(1535803), // Rule ID 18640 //
     /* 1535726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1535734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1535737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1535740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1535743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1535746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535765 */     // MIs[0] round
     /* 1535765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535768 */     // MIs[0] policy
     /* 1535768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535778 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1535781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535802 */     // GIR_Coverage, 18640,
     /* 1535802 */     GIR_EraseRootFromParent_Done,
     /* 1535803 */   // Label 21307: @1535803
     /* 1535803 */   GIM_Try, /*On fail goto*//*Label 21308*/ GIMT_Encode4(1535885), // Rule ID 18643 //
     /* 1535808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1535816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1535819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1535822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1535825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1535828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535847 */     // MIs[0] round
     /* 1535847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535850 */     // MIs[0] policy
     /* 1535850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535860 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1535863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535884 */     // GIR_Coverage, 18643,
     /* 1535884 */     GIR_EraseRootFromParent_Done,
     /* 1535885 */   // Label 21308: @1535885
     /* 1535885 */   GIM_Try, /*On fail goto*//*Label 21309*/ GIMT_Encode4(1535967), // Rule ID 18644 //
     /* 1535890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1535898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1535901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1535904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1535907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1535910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535929 */     // MIs[0] round
     /* 1535929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535932 */     // MIs[0] policy
     /* 1535932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535942 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1535945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535966 */     // GIR_Coverage, 18644,
     /* 1535966 */     GIR_EraseRootFromParent_Done,
     /* 1535967 */   // Label 21309: @1535967
     /* 1535967 */   GIM_Try, /*On fail goto*//*Label 21310*/ GIMT_Encode4(1536049), // Rule ID 18647 //
     /* 1535972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1535980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1535983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1535986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1535989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1535992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536011 */     // MIs[0] round
     /* 1536011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536014 */     // MIs[0] policy
     /* 1536014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536024 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1536027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536048 */     // GIR_Coverage, 18647,
     /* 1536048 */     GIR_EraseRootFromParent_Done,
     /* 1536049 */   // Label 21310: @1536049
     /* 1536049 */   GIM_Try, /*On fail goto*//*Label 21311*/ GIMT_Encode4(1536131), // Rule ID 18648 //
     /* 1536054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1536057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1536065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1536068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1536071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1536074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536093 */     // MIs[0] round
     /* 1536093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536096 */     // MIs[0] policy
     /* 1536096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536106 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1536109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536130 */     // GIR_Coverage, 18648,
     /* 1536130 */     GIR_EraseRootFromParent_Done,
     /* 1536131 */   // Label 21311: @1536131
     /* 1536131 */   GIM_Try, /*On fail goto*//*Label 21312*/ GIMT_Encode4(1536213), // Rule ID 18651 //
     /* 1536136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1536139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1536147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1536150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1536153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1536156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536175 */     // MIs[0] round
     /* 1536175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536178 */     // MIs[0] policy
     /* 1536178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536188 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1536191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536212 */     // GIR_Coverage, 18651,
     /* 1536212 */     GIR_EraseRootFromParent_Done,
     /* 1536213 */   // Label 21312: @1536213
     /* 1536213 */   GIM_Try, /*On fail goto*//*Label 21313*/ GIMT_Encode4(1536295), // Rule ID 18652 //
     /* 1536218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1536221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1536229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1536232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1536235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1536238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536257 */     // MIs[0] round
     /* 1536257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536260 */     // MIs[0] policy
     /* 1536260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536270 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1536273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536281 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536294 */     // GIR_Coverage, 18652,
     /* 1536294 */     GIR_EraseRootFromParent_Done,
     /* 1536295 */   // Label 21313: @1536295
     /* 1536295 */   GIM_Try, /*On fail goto*//*Label 21314*/ GIMT_Encode4(1536377), // Rule ID 18655 //
     /* 1536300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1536317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1536320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536339 */     // MIs[0] round
     /* 1536339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536342 */     // MIs[0] policy
     /* 1536342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536352 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1536355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536376 */     // GIR_Coverage, 18655,
     /* 1536376 */     GIR_EraseRootFromParent_Done,
     /* 1536377 */   // Label 21314: @1536377
     /* 1536377 */   GIM_Try, /*On fail goto*//*Label 21315*/ GIMT_Encode4(1536459), // Rule ID 18656 //
     /* 1536382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1536399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1536402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536421 */     // MIs[0] round
     /* 1536421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536424 */     // MIs[0] policy
     /* 1536424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536434 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1536437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536458 */     // GIR_Coverage, 18656,
     /* 1536458 */     GIR_EraseRootFromParent_Done,
     /* 1536459 */   // Label 21315: @1536459
     /* 1536459 */   GIM_Try, /*On fail goto*//*Label 21316*/ GIMT_Encode4(1536541), // Rule ID 18659 //
     /* 1536464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1536475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1536478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1536481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1536484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536503 */     // MIs[0] round
     /* 1536503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536506 */     // MIs[0] policy
     /* 1536506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536516 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1536519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536540 */     // GIR_Coverage, 18659,
     /* 1536540 */     GIR_EraseRootFromParent_Done,
     /* 1536541 */   // Label 21316: @1536541
     /* 1536541 */   GIM_Try, /*On fail goto*//*Label 21317*/ GIMT_Encode4(1536623), // Rule ID 18660 //
     /* 1536546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1536557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1536560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1536563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1536566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536585 */     // MIs[0] round
     /* 1536585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536588 */     // MIs[0] policy
     /* 1536588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536598 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1536601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536622 */     // GIR_Coverage, 18660,
     /* 1536622 */     GIR_EraseRootFromParent_Done,
     /* 1536623 */   // Label 21317: @1536623
     /* 1536623 */   GIM_Try, /*On fail goto*//*Label 21318*/ GIMT_Encode4(1536705), // Rule ID 18663 //
     /* 1536628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1536639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1536642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1536645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1536648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536667 */     // MIs[0] round
     /* 1536667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536670 */     // MIs[0] policy
     /* 1536670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536680 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1536683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536704 */     // GIR_Coverage, 18663,
     /* 1536704 */     GIR_EraseRootFromParent_Done,
     /* 1536705 */   // Label 21318: @1536705
     /* 1536705 */   GIM_Try, /*On fail goto*//*Label 21319*/ GIMT_Encode4(1536787), // Rule ID 18664 //
     /* 1536710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1536721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1536724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1536727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1536730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536749 */     // MIs[0] round
     /* 1536749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536752 */     // MIs[0] policy
     /* 1536752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536762 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1536765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536773 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536786 */     // GIR_Coverage, 18664,
     /* 1536786 */     GIR_EraseRootFromParent_Done,
     /* 1536787 */   // Label 21319: @1536787
     /* 1536787 */   GIM_Try, /*On fail goto*//*Label 21320*/ GIMT_Encode4(1536869), // Rule ID 18667 //
     /* 1536792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1536803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1536806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1536809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1536812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536831 */     // MIs[0] round
     /* 1536831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536834 */     // MIs[0] policy
     /* 1536834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536844 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1536847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536868 */     // GIR_Coverage, 18667,
     /* 1536868 */     GIR_EraseRootFromParent_Done,
     /* 1536869 */   // Label 21320: @1536869
     /* 1536869 */   GIM_Try, /*On fail goto*//*Label 21321*/ GIMT_Encode4(1536951), // Rule ID 18668 //
     /* 1536874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1536885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1536888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1536891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1536894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536913 */     // MIs[0] round
     /* 1536913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536916 */     // MIs[0] policy
     /* 1536916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536926 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1536929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536950 */     // GIR_Coverage, 18668,
     /* 1536950 */     GIR_EraseRootFromParent_Done,
     /* 1536951 */   // Label 21321: @1536951
     /* 1536951 */   GIM_Try, /*On fail goto*//*Label 21322*/ GIMT_Encode4(1537033), // Rule ID 18671 //
     /* 1536956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1536959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1536964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1536967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1536970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1536973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1536976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1536991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536995 */     // MIs[0] round
     /* 1536995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536998 */     // MIs[0] policy
     /* 1536998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537008 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1537011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537032 */     // GIR_Coverage, 18671,
     /* 1537032 */     GIR_EraseRootFromParent_Done,
     /* 1537033 */   // Label 21322: @1537033
     /* 1537033 */   GIM_Try, /*On fail goto*//*Label 21323*/ GIMT_Encode4(1537115), // Rule ID 18672 //
     /* 1537038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1537049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1537052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1537055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1537058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1537073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537077 */     // MIs[0] round
     /* 1537077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537080 */     // MIs[0] policy
     /* 1537080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537090 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1537093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537114 */     // GIR_Coverage, 18672,
     /* 1537114 */     GIR_EraseRootFromParent_Done,
     /* 1537115 */   // Label 21323: @1537115
     /* 1537115 */   GIM_Try, /*On fail goto*//*Label 21324*/ GIMT_Encode4(1537197), // Rule ID 18675 //
     /* 1537120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1537131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1537134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1537137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1537140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1537155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537159 */     // MIs[0] round
     /* 1537159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537162 */     // MIs[0] policy
     /* 1537162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537172 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1537175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537196 */     // GIR_Coverage, 18675,
     /* 1537196 */     GIR_EraseRootFromParent_Done,
     /* 1537197 */   // Label 21324: @1537197
     /* 1537197 */   GIM_Try, /*On fail goto*//*Label 21325*/ GIMT_Encode4(1537279), // Rule ID 18676 //
     /* 1537202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1537213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1537216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1537219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1537222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1537237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537241 */     // MIs[0] round
     /* 1537241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537244 */     // MIs[0] policy
     /* 1537244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537254 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1537257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537278 */     // GIR_Coverage, 18676,
     /* 1537278 */     GIR_EraseRootFromParent_Done,
     /* 1537279 */   // Label 21325: @1537279
     /* 1537279 */   GIM_Try, /*On fail goto*//*Label 21326*/ GIMT_Encode4(1537361), // Rule ID 18679 //
     /* 1537284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1537301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1537304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1537319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537323 */     // MIs[0] round
     /* 1537323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537326 */     // MIs[0] policy
     /* 1537326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537336 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1537339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537360 */     // GIR_Coverage, 18679,
     /* 1537360 */     GIR_EraseRootFromParent_Done,
     /* 1537361 */   // Label 21326: @1537361
     /* 1537361 */   GIM_Try, /*On fail goto*//*Label 21327*/ GIMT_Encode4(1537443), // Rule ID 18680 //
     /* 1537366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1537383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1537386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1537401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537405 */     // MIs[0] round
     /* 1537405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537408 */     // MIs[0] policy
     /* 1537408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537418 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1537421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537442 */     // GIR_Coverage, 18680,
     /* 1537442 */     GIR_EraseRootFromParent_Done,
     /* 1537443 */   // Label 21327: @1537443
     /* 1537443 */   GIM_Try, /*On fail goto*//*Label 21328*/ GIMT_Encode4(1537525), // Rule ID 18683 //
     /* 1537448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1537465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1537468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1537483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537487 */     // MIs[0] round
     /* 1537487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537490 */     // MIs[0] policy
     /* 1537490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537500 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1537503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537524 */     // GIR_Coverage, 18683,
     /* 1537524 */     GIR_EraseRootFromParent_Done,
     /* 1537525 */   // Label 21328: @1537525
     /* 1537525 */   GIM_Try, /*On fail goto*//*Label 21329*/ GIMT_Encode4(1537607), // Rule ID 18684 //
     /* 1537530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1537547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1537550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1537565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537569 */     // MIs[0] round
     /* 1537569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537572 */     // MIs[0] policy
     /* 1537572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537582 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1537585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537593 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537606 */     // GIR_Coverage, 18684,
     /* 1537606 */     GIR_EraseRootFromParent_Done,
     /* 1537607 */   // Label 21329: @1537607
     /* 1537607 */   GIM_Try, /*On fail goto*//*Label 21330*/ GIMT_Encode4(1537689), // Rule ID 18687 //
     /* 1537612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1537629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1537632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1537647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537651 */     // MIs[0] round
     /* 1537651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537654 */     // MIs[0] policy
     /* 1537654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537664 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1537667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537688 */     // GIR_Coverage, 18687,
     /* 1537688 */     GIR_EraseRootFromParent_Done,
     /* 1537689 */   // Label 21330: @1537689
     /* 1537689 */   GIM_Try, /*On fail goto*//*Label 21331*/ GIMT_Encode4(1537771), // Rule ID 18688 //
     /* 1537694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1537711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1537714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1537729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537733 */     // MIs[0] round
     /* 1537733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537736 */     // MIs[0] policy
     /* 1537736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537746 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1537749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537770 */     // GIR_Coverage, 18688,
     /* 1537770 */     GIR_EraseRootFromParent_Done,
     /* 1537771 */   // Label 21331: @1537771
     /* 1537771 */   GIM_Try, /*On fail goto*//*Label 21332*/ GIMT_Encode4(1537853), // Rule ID 18691 //
     /* 1537776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1537779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1537787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1537790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1537793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1537796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1537811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537815 */     // MIs[0] round
     /* 1537815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537818 */     // MIs[0] policy
     /* 1537818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537828 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1537831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537852 */     // GIR_Coverage, 18691,
     /* 1537852 */     GIR_EraseRootFromParent_Done,
     /* 1537853 */   // Label 21332: @1537853
     /* 1537853 */   GIM_Try, /*On fail goto*//*Label 21333*/ GIMT_Encode4(1537935), // Rule ID 18692 //
     /* 1537858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1537861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1537869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1537872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1537875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1537878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1537893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537897 */     // MIs[0] round
     /* 1537897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537900 */     // MIs[0] policy
     /* 1537900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537910 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1537913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537921 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537934 */     // GIR_Coverage, 18692,
     /* 1537934 */     GIR_EraseRootFromParent_Done,
     /* 1537935 */   // Label 21333: @1537935
     /* 1537935 */   GIM_Try, /*On fail goto*//*Label 21334*/ GIMT_Encode4(1538017), // Rule ID 18695 //
     /* 1537940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1537943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1537948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1537951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1537954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1537957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1537960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1537975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537979 */     // MIs[0] round
     /* 1537979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537982 */     // MIs[0] policy
     /* 1537982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537992 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1537995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538016 */     // GIR_Coverage, 18695,
     /* 1538016 */     GIR_EraseRootFromParent_Done,
     /* 1538017 */   // Label 21334: @1538017
     /* 1538017 */   GIM_Try, /*On fail goto*//*Label 21335*/ GIMT_Encode4(1538099), // Rule ID 18696 //
     /* 1538022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1538025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1538033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1538036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1538039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1538042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1538057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538061 */     // MIs[0] round
     /* 1538061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538064 */     // MIs[0] policy
     /* 1538064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538074 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1538077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538098 */     // GIR_Coverage, 18696,
     /* 1538098 */     GIR_EraseRootFromParent_Done,
     /* 1538099 */   // Label 21335: @1538099
     /* 1538099 */   GIM_Try, /*On fail goto*//*Label 21336*/ GIMT_Encode4(1538181), // Rule ID 18699 //
     /* 1538104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1538107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1538115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1538118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1538121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1538124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1538139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538143 */     // MIs[0] round
     /* 1538143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538146 */     // MIs[0] policy
     /* 1538146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538156 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1538159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538180 */     // GIR_Coverage, 18699,
     /* 1538180 */     GIR_EraseRootFromParent_Done,
     /* 1538181 */   // Label 21336: @1538181
     /* 1538181 */   GIM_Try, /*On fail goto*//*Label 21337*/ GIMT_Encode4(1538263), // Rule ID 18700 //
     /* 1538186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1538189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1538197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1538200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1538203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1538206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1538221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538225 */     // MIs[0] round
     /* 1538225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538228 */     // MIs[0] policy
     /* 1538228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538238 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1538241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538249 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538262 */     // GIR_Coverage, 18700,
     /* 1538262 */     GIR_EraseRootFromParent_Done,
     /* 1538263 */   // Label 21337: @1538263
     /* 1538263 */   GIM_Try, /*On fail goto*//*Label 21338*/ GIMT_Encode4(1538345), // Rule ID 18703 //
     /* 1538268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1538271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1538279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1538282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1538285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1538288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1538303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538307 */     // MIs[0] round
     /* 1538307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538310 */     // MIs[0] policy
     /* 1538310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538320 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1538323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538344 */     // GIR_Coverage, 18703,
     /* 1538344 */     GIR_EraseRootFromParent_Done,
     /* 1538345 */   // Label 21338: @1538345
     /* 1538345 */   GIM_Try, /*On fail goto*//*Label 21339*/ GIMT_Encode4(1538427), // Rule ID 18704 //
     /* 1538350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1538353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1538358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1538361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1538364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1538367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1538370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1538385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538389 */     // MIs[0] round
     /* 1538389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538392 */     // MIs[0] policy
     /* 1538392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538402 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1538405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538413 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538426 */     // GIR_Coverage, 18704,
     /* 1538426 */     GIR_EraseRootFromParent_Done,
     /* 1538427 */   // Label 21339: @1538427
     /* 1538427 */   GIM_Try, /*On fail goto*//*Label 21340*/ GIMT_Encode4(1538509), // Rule ID 18707 //
     /* 1538432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1538440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1538449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1538452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538471 */     // MIs[0] round
     /* 1538471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538474 */     // MIs[0] policy
     /* 1538474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538484 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1538487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538508 */     // GIR_Coverage, 18707,
     /* 1538508 */     GIR_EraseRootFromParent_Done,
     /* 1538509 */   // Label 21340: @1538509
     /* 1538509 */   GIM_Try, /*On fail goto*//*Label 21341*/ GIMT_Encode4(1538591), // Rule ID 18708 //
     /* 1538514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1538522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1538531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1538534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538553 */     // MIs[0] round
     /* 1538553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538556 */     // MIs[0] policy
     /* 1538556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538566 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1538569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538577 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538590 */     // GIR_Coverage, 18708,
     /* 1538590 */     GIR_EraseRootFromParent_Done,
     /* 1538591 */   // Label 21341: @1538591
     /* 1538591 */   GIM_Try, /*On fail goto*//*Label 21342*/ GIMT_Encode4(1538673), // Rule ID 18711 //
     /* 1538596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1538604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1538607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1538610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1538613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1538616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538635 */     // MIs[0] round
     /* 1538635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538638 */     // MIs[0] policy
     /* 1538638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538648 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1538651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538672 */     // GIR_Coverage, 18711,
     /* 1538672 */     GIR_EraseRootFromParent_Done,
     /* 1538673 */   // Label 21342: @1538673
     /* 1538673 */   GIM_Try, /*On fail goto*//*Label 21343*/ GIMT_Encode4(1538755), // Rule ID 18712 //
     /* 1538678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1538686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1538689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1538692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1538695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1538698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538717 */     // MIs[0] round
     /* 1538717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538720 */     // MIs[0] policy
     /* 1538720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538730 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1538733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538754 */     // GIR_Coverage, 18712,
     /* 1538754 */     GIR_EraseRootFromParent_Done,
     /* 1538755 */   // Label 21343: @1538755
     /* 1538755 */   GIM_Try, /*On fail goto*//*Label 21344*/ GIMT_Encode4(1538837), // Rule ID 18715 //
     /* 1538760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1538768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1538771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1538774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1538777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1538780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538799 */     // MIs[0] round
     /* 1538799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538802 */     // MIs[0] policy
     /* 1538802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538812 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1538815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538836 */     // GIR_Coverage, 18715,
     /* 1538836 */     GIR_EraseRootFromParent_Done,
     /* 1538837 */   // Label 21344: @1538837
     /* 1538837 */   GIM_Try, /*On fail goto*//*Label 21345*/ GIMT_Encode4(1538919), // Rule ID 18716 //
     /* 1538842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1538850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1538853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1538856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1538859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1538862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538881 */     // MIs[0] round
     /* 1538881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538884 */     // MIs[0] policy
     /* 1538884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538894 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1538897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538918 */     // GIR_Coverage, 18716,
     /* 1538918 */     GIR_EraseRootFromParent_Done,
     /* 1538919 */   // Label 21345: @1538919
     /* 1538919 */   GIM_Try, /*On fail goto*//*Label 21346*/ GIMT_Encode4(1539001), // Rule ID 18719 //
     /* 1538924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1538932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1538935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1538938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1538941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1538944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538963 */     // MIs[0] round
     /* 1538963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538966 */     // MIs[0] policy
     /* 1538966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538976 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1538979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539000 */     // GIR_Coverage, 18719,
     /* 1539000 */     GIR_EraseRootFromParent_Done,
     /* 1539001 */   // Label 21346: @1539001
     /* 1539001 */   GIM_Try, /*On fail goto*//*Label 21347*/ GIMT_Encode4(1539083), // Rule ID 18720 //
     /* 1539006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1539009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1539017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1539020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1539023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1539026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539045 */     // MIs[0] round
     /* 1539045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539048 */     // MIs[0] policy
     /* 1539048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539058 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1539061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539082 */     // GIR_Coverage, 18720,
     /* 1539082 */     GIR_EraseRootFromParent_Done,
     /* 1539083 */   // Label 21347: @1539083
     /* 1539083 */   GIM_Try, /*On fail goto*//*Label 21348*/ GIMT_Encode4(1539165), // Rule ID 18723 //
     /* 1539088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1539091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1539099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1539102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1539105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1539108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539127 */     // MIs[0] round
     /* 1539127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539130 */     // MIs[0] policy
     /* 1539130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539140 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1539143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539164 */     // GIR_Coverage, 18723,
     /* 1539164 */     GIR_EraseRootFromParent_Done,
     /* 1539165 */   // Label 21348: @1539165
     /* 1539165 */   GIM_Try, /*On fail goto*//*Label 21349*/ GIMT_Encode4(1539247), // Rule ID 18724 //
     /* 1539170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1539173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1539181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1539184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1539187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1539190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539209 */     // MIs[0] round
     /* 1539209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539212 */     // MIs[0] policy
     /* 1539212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539222 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1539225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539246 */     // GIR_Coverage, 18724,
     /* 1539246 */     GIR_EraseRootFromParent_Done,
     /* 1539247 */   // Label 21349: @1539247
     /* 1539247 */   GIM_Try, /*On fail goto*//*Label 21350*/ GIMT_Encode4(1539329), // Rule ID 18727 //
     /* 1539252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1539263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1539266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1539269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1539272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539291 */     // MIs[0] round
     /* 1539291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539294 */     // MIs[0] policy
     /* 1539294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539304 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1539307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539328 */     // GIR_Coverage, 18727,
     /* 1539328 */     GIR_EraseRootFromParent_Done,
     /* 1539329 */   // Label 21350: @1539329
     /* 1539329 */   GIM_Try, /*On fail goto*//*Label 21351*/ GIMT_Encode4(1539411), // Rule ID 18728 //
     /* 1539334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1539345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1539348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1539351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1539354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539373 */     // MIs[0] round
     /* 1539373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539376 */     // MIs[0] policy
     /* 1539376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539386 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1539389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539410 */     // GIR_Coverage, 18728,
     /* 1539410 */     GIR_EraseRootFromParent_Done,
     /* 1539411 */   // Label 21351: @1539411
     /* 1539411 */   GIM_Try, /*On fail goto*//*Label 21352*/ GIMT_Encode4(1539493), // Rule ID 18731 //
     /* 1539416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1539427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1539430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1539433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1539436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539455 */     // MIs[0] round
     /* 1539455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539458 */     // MIs[0] policy
     /* 1539458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539468 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1539471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539492 */     // GIR_Coverage, 18731,
     /* 1539492 */     GIR_EraseRootFromParent_Done,
     /* 1539493 */   // Label 21352: @1539493
     /* 1539493 */   GIM_Try, /*On fail goto*//*Label 21353*/ GIMT_Encode4(1539575), // Rule ID 18732 //
     /* 1539498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1539509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1539512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1539515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1539518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539537 */     // MIs[0] round
     /* 1539537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539540 */     // MIs[0] policy
     /* 1539540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539550 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1539553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539574 */     // GIR_Coverage, 18732,
     /* 1539574 */     GIR_EraseRootFromParent_Done,
     /* 1539575 */   // Label 21353: @1539575
     /* 1539575 */   GIM_Try, /*On fail goto*//*Label 21354*/ GIMT_Encode4(1539657), // Rule ID 18735 //
     /* 1539580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1539591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1539594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1539597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1539600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539619 */     // MIs[0] round
     /* 1539619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539622 */     // MIs[0] policy
     /* 1539622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539632 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1539635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539656 */     // GIR_Coverage, 18735,
     /* 1539656 */     GIR_EraseRootFromParent_Done,
     /* 1539657 */   // Label 21354: @1539657
     /* 1539657 */   GIM_Try, /*On fail goto*//*Label 21355*/ GIMT_Encode4(1539739), // Rule ID 18736 //
     /* 1539662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1539673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1539676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1539679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1539682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539701 */     // MIs[0] round
     /* 1539701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539704 */     // MIs[0] policy
     /* 1539704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539714 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1539717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539738 */     // GIR_Coverage, 18736,
     /* 1539738 */     GIR_EraseRootFromParent_Done,
     /* 1539739 */   // Label 21355: @1539739
     /* 1539739 */   GIM_Try, /*On fail goto*//*Label 21356*/ GIMT_Encode4(1539821), // Rule ID 18739 //
     /* 1539744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1539755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1539758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1539761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1539764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539783 */     // MIs[0] round
     /* 1539783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539786 */     // MIs[0] policy
     /* 1539786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539796 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1539799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539820 */     // GIR_Coverage, 18739,
     /* 1539820 */     GIR_EraseRootFromParent_Done,
     /* 1539821 */   // Label 21356: @1539821
     /* 1539821 */   GIM_Try, /*On fail goto*//*Label 21357*/ GIMT_Encode4(1539903), // Rule ID 18740 //
     /* 1539826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1539837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1539840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1539843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1539846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539865 */     // MIs[0] round
     /* 1539865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539868 */     // MIs[0] policy
     /* 1539868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539878 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1539881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539902 */     // GIR_Coverage, 18740,
     /* 1539902 */     GIR_EraseRootFromParent_Done,
     /* 1539903 */   // Label 21357: @1539903
     /* 1539903 */   GIM_Try, /*On fail goto*//*Label 21358*/ GIMT_Encode4(1539985), // Rule ID 18743 //
     /* 1539908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1539911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1539919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1539922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1539928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539947 */     // MIs[0] round
     /* 1539947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539950 */     // MIs[0] policy
     /* 1539950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539960 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1539963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539984 */     // GIR_Coverage, 18743,
     /* 1539984 */     GIR_EraseRootFromParent_Done,
     /* 1539985 */   // Label 21358: @1539985
     /* 1539985 */   GIM_Try, /*On fail goto*//*Label 21359*/ GIMT_Encode4(1540067), // Rule ID 18744 //
     /* 1539990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1539993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1539998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1540001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1540004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1540007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1540010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1540025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540029 */     // MIs[0] round
     /* 1540029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540032 */     // MIs[0] policy
     /* 1540032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540042 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1540045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540066 */     // GIR_Coverage, 18744,
     /* 1540066 */     GIR_EraseRootFromParent_Done,
     /* 1540067 */   // Label 21359: @1540067
     /* 1540067 */   GIM_Try, /*On fail goto*//*Label 21360*/ GIMT_Encode4(1540149), // Rule ID 18747 //
     /* 1540072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1540083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1540086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1540089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1540092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1540107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540111 */     // MIs[0] round
     /* 1540111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540114 */     // MIs[0] policy
     /* 1540114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540124 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1540127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540148 */     // GIR_Coverage, 18747,
     /* 1540148 */     GIR_EraseRootFromParent_Done,
     /* 1540149 */   // Label 21360: @1540149
     /* 1540149 */   GIM_Try, /*On fail goto*//*Label 21361*/ GIMT_Encode4(1540231), // Rule ID 18748 //
     /* 1540154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1540165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1540168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1540171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1540174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1540189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540193 */     // MIs[0] round
     /* 1540193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540196 */     // MIs[0] policy
     /* 1540196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540206 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1540209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540217 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540230 */     // GIR_Coverage, 18748,
     /* 1540230 */     GIR_EraseRootFromParent_Done,
     /* 1540231 */   // Label 21361: @1540231
     /* 1540231 */   GIM_Try, /*On fail goto*//*Label 21362*/ GIMT_Encode4(1540313), // Rule ID 18751 //
     /* 1540236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1540247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1540250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1540253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1540256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1540271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540275 */     // MIs[0] round
     /* 1540275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540278 */     // MIs[0] policy
     /* 1540278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540288 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1540291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540312 */     // GIR_Coverage, 18751,
     /* 1540312 */     GIR_EraseRootFromParent_Done,
     /* 1540313 */   // Label 21362: @1540313
     /* 1540313 */   GIM_Try, /*On fail goto*//*Label 21363*/ GIMT_Encode4(1540395), // Rule ID 18752 //
     /* 1540318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1540329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1540332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1540335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1540338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1540353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540357 */     // MIs[0] round
     /* 1540357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540360 */     // MIs[0] policy
     /* 1540360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540370 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1540373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540394 */     // GIR_Coverage, 18752,
     /* 1540394 */     GIR_EraseRootFromParent_Done,
     /* 1540395 */   // Label 21363: @1540395
     /* 1540395 */   GIM_Try, /*On fail goto*//*Label 21364*/ GIMT_Encode4(1540477), // Rule ID 18755 //
     /* 1540400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1540411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1540414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1540417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1540420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1540435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540439 */     // MIs[0] round
     /* 1540439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540442 */     // MIs[0] policy
     /* 1540442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540452 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1540455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540476 */     // GIR_Coverage, 18755,
     /* 1540476 */     GIR_EraseRootFromParent_Done,
     /* 1540477 */   // Label 21364: @1540477
     /* 1540477 */   GIM_Try, /*On fail goto*//*Label 21365*/ GIMT_Encode4(1540559), // Rule ID 18756 //
     /* 1540482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1540493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1540496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1540499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1540502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1540517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540521 */     // MIs[0] round
     /* 1540521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540524 */     // MIs[0] policy
     /* 1540524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540534 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1540537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540558 */     // GIR_Coverage, 18756,
     /* 1540558 */     GIR_EraseRootFromParent_Done,
     /* 1540559 */   // Label 21365: @1540559
     /* 1540559 */   GIM_Try, /*On fail goto*//*Label 21366*/ GIMT_Encode4(1540641), // Rule ID 18759 //
     /* 1540564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1540567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1540575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1540578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1540581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1540584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1540599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540603 */     // MIs[0] round
     /* 1540603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540606 */     // MIs[0] policy
     /* 1540606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540616 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1540619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540640 */     // GIR_Coverage, 18759,
     /* 1540640 */     GIR_EraseRootFromParent_Done,
     /* 1540641 */   // Label 21366: @1540641
     /* 1540641 */   GIM_Try, /*On fail goto*//*Label 21367*/ GIMT_Encode4(1540723), // Rule ID 18760 //
     /* 1540646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1540649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1540657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1540660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1540663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1540666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1540681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540685 */     // MIs[0] round
     /* 1540685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540688 */     // MIs[0] policy
     /* 1540688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540698 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1540701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540722 */     // GIR_Coverage, 18760,
     /* 1540722 */     GIR_EraseRootFromParent_Done,
     /* 1540723 */   // Label 21367: @1540723
     /* 1540723 */   GIM_Try, /*On fail goto*//*Label 21368*/ GIMT_Encode4(1540805), // Rule ID 18763 //
     /* 1540728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1540731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1540739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1540742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1540745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1540748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1540763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540767 */     // MIs[0] round
     /* 1540767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540770 */     // MIs[0] policy
     /* 1540770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540780 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1540783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540804 */     // GIR_Coverage, 18763,
     /* 1540804 */     GIR_EraseRootFromParent_Done,
     /* 1540805 */   // Label 21368: @1540805
     /* 1540805 */   GIM_Try, /*On fail goto*//*Label 21369*/ GIMT_Encode4(1540887), // Rule ID 18764 //
     /* 1540810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1540813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1540821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1540824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1540827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1540830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1540845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540849 */     // MIs[0] round
     /* 1540849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540852 */     // MIs[0] policy
     /* 1540852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540862 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1540865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540886 */     // GIR_Coverage, 18764,
     /* 1540886 */     GIR_EraseRootFromParent_Done,
     /* 1540887 */   // Label 21369: @1540887
     /* 1540887 */   GIM_Try, /*On fail goto*//*Label 21370*/ GIMT_Encode4(1540969), // Rule ID 18767 //
     /* 1540892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1540895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1540903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1540906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1540909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1540912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1540927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540931 */     // MIs[0] round
     /* 1540931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540934 */     // MIs[0] policy
     /* 1540934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540944 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1540947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540968 */     // GIR_Coverage, 18767,
     /* 1540968 */     GIR_EraseRootFromParent_Done,
     /* 1540969 */   // Label 21370: @1540969
     /* 1540969 */   GIM_Try, /*On fail goto*//*Label 21371*/ GIMT_Encode4(1541051), // Rule ID 18768 //
     /* 1540974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1540977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1540982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1540985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1540988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1540991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1540994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1541009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541013 */     // MIs[0] round
     /* 1541013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541016 */     // MIs[0] policy
     /* 1541016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541026 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1541029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541050 */     // GIR_Coverage, 18768,
     /* 1541050 */     GIR_EraseRootFromParent_Done,
     /* 1541051 */   // Label 21371: @1541051
     /* 1541051 */   GIM_Try, /*On fail goto*//*Label 21372*/ GIMT_Encode4(1541133), // Rule ID 18771 //
     /* 1541056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1541059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1541067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1541070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1541073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1541076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1541091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541095 */     // MIs[0] round
     /* 1541095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541098 */     // MIs[0] policy
     /* 1541098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541108 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1541111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541132 */     // GIR_Coverage, 18771,
     /* 1541132 */     GIR_EraseRootFromParent_Done,
     /* 1541133 */   // Label 21372: @1541133
     /* 1541133 */   GIM_Try, /*On fail goto*//*Label 21373*/ GIMT_Encode4(1541215), // Rule ID 18772 //
     /* 1541138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1541141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1541149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1541152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1541155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1541158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1541173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541177 */     // MIs[0] round
     /* 1541177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541180 */     // MIs[0] policy
     /* 1541180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541190 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1541193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541214 */     // GIR_Coverage, 18772,
     /* 1541214 */     GIR_EraseRootFromParent_Done,
     /* 1541215 */   // Label 21373: @1541215
     /* 1541215 */   GIM_Try, /*On fail goto*//*Label 21374*/ GIMT_Encode4(1541297), // Rule ID 18775 //
     /* 1541220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1541223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1541231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1541234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1541237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1541240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1541255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541259 */     // MIs[0] round
     /* 1541259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541262 */     // MIs[0] policy
     /* 1541262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541272 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1541275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541296 */     // GIR_Coverage, 18775,
     /* 1541296 */     GIR_EraseRootFromParent_Done,
     /* 1541297 */   // Label 21374: @1541297
     /* 1541297 */   GIM_Try, /*On fail goto*//*Label 21375*/ GIMT_Encode4(1541379), // Rule ID 18776 //
     /* 1541302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1541305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1541310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1541313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1541316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1541319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1541322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1541337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541341 */     // MIs[0] round
     /* 1541341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541344 */     // MIs[0] policy
     /* 1541344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541354 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1541357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541378 */     // GIR_Coverage, 18776,
     /* 1541378 */     GIR_EraseRootFromParent_Done,
     /* 1541379 */   // Label 21375: @1541379
     /* 1541379 */   GIM_Try, /*On fail goto*//*Label 21376*/ GIMT_Encode4(1541461), // Rule ID 18779 //
     /* 1541384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1541392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1541395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1541398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1541401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1541404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541423 */     // MIs[0] round
     /* 1541423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541426 */     // MIs[0] policy
     /* 1541426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541436 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1541439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541460 */     // GIR_Coverage, 18779,
     /* 1541460 */     GIR_EraseRootFromParent_Done,
     /* 1541461 */   // Label 21376: @1541461
     /* 1541461 */   GIM_Try, /*On fail goto*//*Label 21377*/ GIMT_Encode4(1541543), // Rule ID 18780 //
     /* 1541466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1541474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1541477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1541480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1541483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1541486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541505 */     // MIs[0] round
     /* 1541505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541508 */     // MIs[0] policy
     /* 1541508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541518 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1541521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541542 */     // GIR_Coverage, 18780,
     /* 1541542 */     GIR_EraseRootFromParent_Done,
     /* 1541543 */   // Label 21377: @1541543
     /* 1541543 */   GIM_Try, /*On fail goto*//*Label 21378*/ GIMT_Encode4(1541625), // Rule ID 18783 //
     /* 1541548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1541556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1541559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1541562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1541565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1541568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541587 */     // MIs[0] round
     /* 1541587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541590 */     // MIs[0] policy
     /* 1541590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541600 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1541603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541624 */     // GIR_Coverage, 18783,
     /* 1541624 */     GIR_EraseRootFromParent_Done,
     /* 1541625 */   // Label 21378: @1541625
     /* 1541625 */   GIM_Try, /*On fail goto*//*Label 21379*/ GIMT_Encode4(1541707), // Rule ID 18784 //
     /* 1541630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1541638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1541641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1541644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1541647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1541650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541669 */     // MIs[0] round
     /* 1541669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541672 */     // MIs[0] policy
     /* 1541672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541682 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1541685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541706 */     // GIR_Coverage, 18784,
     /* 1541706 */     GIR_EraseRootFromParent_Done,
     /* 1541707 */   // Label 21379: @1541707
     /* 1541707 */   GIM_Try, /*On fail goto*//*Label 21380*/ GIMT_Encode4(1541789), // Rule ID 18787 //
     /* 1541712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1541720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1541723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1541726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1541729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1541732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541751 */     // MIs[0] round
     /* 1541751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541754 */     // MIs[0] policy
     /* 1541754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541764 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1541767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541788 */     // GIR_Coverage, 18787,
     /* 1541788 */     GIR_EraseRootFromParent_Done,
     /* 1541789 */   // Label 21380: @1541789
     /* 1541789 */   GIM_Try, /*On fail goto*//*Label 21381*/ GIMT_Encode4(1541871), // Rule ID 18788 //
     /* 1541794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1541802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1541805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1541808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1541811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1541814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541833 */     // MIs[0] round
     /* 1541833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541836 */     // MIs[0] policy
     /* 1541836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541846 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1541849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541870 */     // GIR_Coverage, 18788,
     /* 1541870 */     GIR_EraseRootFromParent_Done,
     /* 1541871 */   // Label 21381: @1541871
     /* 1541871 */   GIM_Try, /*On fail goto*//*Label 21382*/ GIMT_Encode4(1541953), // Rule ID 18791 //
     /* 1541876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1541879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1541884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1541887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1541890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1541893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1541896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541915 */     // MIs[0] round
     /* 1541915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541918 */     // MIs[0] policy
     /* 1541918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541928 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1541931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541952 */     // GIR_Coverage, 18791,
     /* 1541952 */     GIR_EraseRootFromParent_Done,
     /* 1541953 */   // Label 21382: @1541953
     /* 1541953 */   GIM_Try, /*On fail goto*//*Label 21383*/ GIMT_Encode4(1542035), // Rule ID 18792 //
     /* 1541958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1541961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1541966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1541969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1541972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1541975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1541978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541997 */     // MIs[0] round
     /* 1541997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542000 */     // MIs[0] policy
     /* 1542000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542010 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1542013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542034 */     // GIR_Coverage, 18792,
     /* 1542034 */     GIR_EraseRootFromParent_Done,
     /* 1542035 */   // Label 21383: @1542035
     /* 1542035 */   GIM_Try, /*On fail goto*//*Label 21384*/ GIMT_Encode4(1542117), // Rule ID 18795 //
     /* 1542040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1542051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1542054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1542057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1542060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542079 */     // MIs[0] round
     /* 1542079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542082 */     // MIs[0] policy
     /* 1542082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542092 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1542095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542116 */     // GIR_Coverage, 18795,
     /* 1542116 */     GIR_EraseRootFromParent_Done,
     /* 1542117 */   // Label 21384: @1542117
     /* 1542117 */   GIM_Try, /*On fail goto*//*Label 21385*/ GIMT_Encode4(1542199), // Rule ID 18796 //
     /* 1542122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1542133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1542136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1542139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1542142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542161 */     // MIs[0] round
     /* 1542161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542164 */     // MIs[0] policy
     /* 1542164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542174 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1542177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542198 */     // GIR_Coverage, 18796,
     /* 1542198 */     GIR_EraseRootFromParent_Done,
     /* 1542199 */   // Label 21385: @1542199
     /* 1542199 */   GIM_Try, /*On fail goto*//*Label 21386*/ GIMT_Encode4(1542281), // Rule ID 18799 //
     /* 1542204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1542215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1542218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1542221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1542224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542243 */     // MIs[0] round
     /* 1542243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542246 */     // MIs[0] policy
     /* 1542246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542256 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1542259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542280 */     // GIR_Coverage, 18799,
     /* 1542280 */     GIR_EraseRootFromParent_Done,
     /* 1542281 */   // Label 21386: @1542281
     /* 1542281 */   GIM_Try, /*On fail goto*//*Label 21387*/ GIMT_Encode4(1542363), // Rule ID 18800 //
     /* 1542286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1542297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1542300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1542303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1542306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542325 */     // MIs[0] round
     /* 1542325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542328 */     // MIs[0] policy
     /* 1542328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542338 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1542341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542362 */     // GIR_Coverage, 18800,
     /* 1542362 */     GIR_EraseRootFromParent_Done,
     /* 1542363 */   // Label 21387: @1542363
     /* 1542363 */   GIM_Try, /*On fail goto*//*Label 21388*/ GIMT_Encode4(1542445), // Rule ID 18803 //
     /* 1542368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1542379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1542382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1542385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1542388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542407 */     // MIs[0] round
     /* 1542407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542410 */     // MIs[0] policy
     /* 1542410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542420 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1542423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542431 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542444 */     // GIR_Coverage, 18803,
     /* 1542444 */     GIR_EraseRootFromParent_Done,
     /* 1542445 */   // Label 21388: @1542445
     /* 1542445 */   GIM_Try, /*On fail goto*//*Label 21389*/ GIMT_Encode4(1542527), // Rule ID 18804 //
     /* 1542450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1542461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1542464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1542467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1542470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542489 */     // MIs[0] round
     /* 1542489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542492 */     // MIs[0] policy
     /* 1542492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542502 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1542505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542526 */     // GIR_Coverage, 18804,
     /* 1542526 */     GIR_EraseRootFromParent_Done,
     /* 1542527 */   // Label 21389: @1542527
     /* 1542527 */   GIM_Try, /*On fail goto*//*Label 21390*/ GIMT_Encode4(1542609), // Rule ID 18807 //
     /* 1542532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1542543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1542546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1542549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1542552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542571 */     // MIs[0] round
     /* 1542571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542574 */     // MIs[0] policy
     /* 1542574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542584 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1542587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542608 */     // GIR_Coverage, 18807,
     /* 1542608 */     GIR_EraseRootFromParent_Done,
     /* 1542609 */   // Label 21390: @1542609
     /* 1542609 */   GIM_Try, /*On fail goto*//*Label 21391*/ GIMT_Encode4(1542691), // Rule ID 18808 //
     /* 1542614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1542625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1542628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1542631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1542634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542653 */     // MIs[0] round
     /* 1542653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542656 */     // MIs[0] policy
     /* 1542656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542666 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1542669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542690 */     // GIR_Coverage, 18808,
     /* 1542690 */     GIR_EraseRootFromParent_Done,
     /* 1542691 */   // Label 21391: @1542691
     /* 1542691 */   GIM_Try, /*On fail goto*//*Label 21392*/ GIMT_Encode4(1542773), // Rule ID 18811 //
     /* 1542696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1542699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1542707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1542710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1542713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1542716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542735 */     // MIs[0] round
     /* 1542735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542738 */     // MIs[0] policy
     /* 1542738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542748 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1542751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542772 */     // GIR_Coverage, 18811,
     /* 1542772 */     GIR_EraseRootFromParent_Done,
     /* 1542773 */   // Label 21392: @1542773
     /* 1542773 */   GIM_Try, /*On fail goto*//*Label 21393*/ GIMT_Encode4(1542855), // Rule ID 18812 //
     /* 1542778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1542781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1542789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1542792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1542795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1542798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542817 */     // MIs[0] round
     /* 1542817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542820 */     // MIs[0] policy
     /* 1542820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542830 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1542833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542854 */     // GIR_Coverage, 18812,
     /* 1542854 */     GIR_EraseRootFromParent_Done,
     /* 1542855 */   // Label 21393: @1542855
     /* 1542855 */   GIM_Try, /*On fail goto*//*Label 21394*/ GIMT_Encode4(1542937), // Rule ID 18815 //
     /* 1542860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1542863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1542871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1542874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1542880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542899 */     // MIs[0] round
     /* 1542899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542902 */     // MIs[0] policy
     /* 1542902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542912 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1542915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542936 */     // GIR_Coverage, 18815,
     /* 1542936 */     GIR_EraseRootFromParent_Done,
     /* 1542937 */   // Label 21394: @1542937
     /* 1542937 */   GIM_Try, /*On fail goto*//*Label 21395*/ GIMT_Encode4(1543019), // Rule ID 18816 //
     /* 1542942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1542945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1542950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1542953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1542956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1542962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542981 */     // MIs[0] round
     /* 1542981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542984 */     // MIs[0] policy
     /* 1542984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542994 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1542997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543018 */     // GIR_Coverage, 18816,
     /* 1543018 */     GIR_EraseRootFromParent_Done,
     /* 1543019 */   // Label 21395: @1543019
     /* 1543019 */   GIM_Try, /*On fail goto*//*Label 21396*/ GIMT_Encode4(1543101), // Rule ID 18819 //
     /* 1543024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1543035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1543038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1543044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543063 */     // MIs[0] round
     /* 1543063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543066 */     // MIs[0] policy
     /* 1543066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543076 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1543079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543100 */     // GIR_Coverage, 18819,
     /* 1543100 */     GIR_EraseRootFromParent_Done,
     /* 1543101 */   // Label 21396: @1543101
     /* 1543101 */   GIM_Try, /*On fail goto*//*Label 21397*/ GIMT_Encode4(1543183), // Rule ID 18820 //
     /* 1543106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1543117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1543120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1543126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543145 */     // MIs[0] round
     /* 1543145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543148 */     // MIs[0] policy
     /* 1543148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543158 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1543161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543182 */     // GIR_Coverage, 18820,
     /* 1543182 */     GIR_EraseRootFromParent_Done,
     /* 1543183 */   // Label 21397: @1543183
     /* 1543183 */   GIM_Try, /*On fail goto*//*Label 21398*/ GIMT_Encode4(1543265), // Rule ID 18823 //
     /* 1543188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1543199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1543202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1543208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543227 */     // MIs[0] round
     /* 1543227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543230 */     // MIs[0] policy
     /* 1543230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543240 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1543243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543264 */     // GIR_Coverage, 18823,
     /* 1543264 */     GIR_EraseRootFromParent_Done,
     /* 1543265 */   // Label 21398: @1543265
     /* 1543265 */   GIM_Try, /*On fail goto*//*Label 21399*/ GIMT_Encode4(1543347), // Rule ID 18824 //
     /* 1543270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1543281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1543284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1543290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543309 */     // MIs[0] round
     /* 1543309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543312 */     // MIs[0] policy
     /* 1543312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543322 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1543325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543346 */     // GIR_Coverage, 18824,
     /* 1543346 */     GIR_EraseRootFromParent_Done,
     /* 1543347 */   // Label 21399: @1543347
     /* 1543347 */   GIM_Try, /*On fail goto*//*Label 21400*/ GIMT_Encode4(1543429), // Rule ID 18827 //
     /* 1543352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1543363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1543366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1543372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543391 */     // MIs[0] round
     /* 1543391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543394 */     // MIs[0] policy
     /* 1543394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543404 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1543407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543428 */     // GIR_Coverage, 18827,
     /* 1543428 */     GIR_EraseRootFromParent_Done,
     /* 1543429 */   // Label 21400: @1543429
     /* 1543429 */   GIM_Try, /*On fail goto*//*Label 21401*/ GIMT_Encode4(1543511), // Rule ID 18828 //
     /* 1543434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1543445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1543448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1543454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543473 */     // MIs[0] round
     /* 1543473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543476 */     // MIs[0] policy
     /* 1543476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543486 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1543489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543510 */     // GIR_Coverage, 18828,
     /* 1543510 */     GIR_EraseRootFromParent_Done,
     /* 1543511 */   // Label 21401: @1543511
     /* 1543511 */   GIM_Try, /*On fail goto*//*Label 21402*/ GIMT_Encode4(1543593), // Rule ID 18831 //
     /* 1543516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1543519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1543527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1543530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1543536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543555 */     // MIs[0] round
     /* 1543555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543558 */     // MIs[0] policy
     /* 1543558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543568 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1543571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543592 */     // GIR_Coverage, 18831,
     /* 1543592 */     GIR_EraseRootFromParent_Done,
     /* 1543593 */   // Label 21402: @1543593
     /* 1543593 */   GIM_Try, /*On fail goto*//*Label 21403*/ GIMT_Encode4(1543675), // Rule ID 18832 //
     /* 1543598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1543601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1543609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1543612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1543618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543637 */     // MIs[0] round
     /* 1543637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543640 */     // MIs[0] policy
     /* 1543640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543650 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1543653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543674 */     // GIR_Coverage, 18832,
     /* 1543674 */     GIR_EraseRootFromParent_Done,
     /* 1543675 */   // Label 21403: @1543675
     /* 1543675 */   GIM_Try, /*On fail goto*//*Label 21404*/ GIMT_Encode4(1543757), // Rule ID 18835 //
     /* 1543680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1543691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1543694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1543700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543719 */     // MIs[0] round
     /* 1543719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543722 */     // MIs[0] policy
     /* 1543722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543732 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1543735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543756 */     // GIR_Coverage, 18835,
     /* 1543756 */     GIR_EraseRootFromParent_Done,
     /* 1543757 */   // Label 21404: @1543757
     /* 1543757 */   GIM_Try, /*On fail goto*//*Label 21405*/ GIMT_Encode4(1543839), // Rule ID 18836 //
     /* 1543762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1543773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1543776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1543782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543801 */     // MIs[0] round
     /* 1543801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543804 */     // MIs[0] policy
     /* 1543804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543814 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1543817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543825 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543838 */     // GIR_Coverage, 18836,
     /* 1543838 */     GIR_EraseRootFromParent_Done,
     /* 1543839 */   // Label 21405: @1543839
     /* 1543839 */   GIM_Try, /*On fail goto*//*Label 21406*/ GIMT_Encode4(1543921), // Rule ID 18839 //
     /* 1543844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1543847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1543855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1543858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1543864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543883 */     // MIs[0] round
     /* 1543883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543886 */     // MIs[0] policy
     /* 1543886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543896 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1543899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543920 */     // GIR_Coverage, 18839,
     /* 1543920 */     GIR_EraseRootFromParent_Done,
     /* 1543921 */   // Label 21406: @1543921
     /* 1543921 */   GIM_Try, /*On fail goto*//*Label 21407*/ GIMT_Encode4(1544003), // Rule ID 18840 //
     /* 1543926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1543929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1543934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1543937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1543940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1543946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543965 */     // MIs[0] round
     /* 1543965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543968 */     // MIs[0] policy
     /* 1543968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543978 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1543981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544002 */     // GIR_Coverage, 18840,
     /* 1544002 */     GIR_EraseRootFromParent_Done,
     /* 1544003 */   // Label 21407: @1544003
     /* 1544003 */   GIM_Try, /*On fail goto*//*Label 21408*/ GIMT_Encode4(1544085), // Rule ID 18843 //
     /* 1544008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1544011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1544019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1544022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1544025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1544028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1544043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544047 */     // MIs[0] round
     /* 1544047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544050 */     // MIs[0] policy
     /* 1544050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544060 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1544063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544071 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544084 */     // GIR_Coverage, 18843,
     /* 1544084 */     GIR_EraseRootFromParent_Done,
     /* 1544085 */   // Label 21408: @1544085
     /* 1544085 */   GIM_Try, /*On fail goto*//*Label 21409*/ GIMT_Encode4(1544167), // Rule ID 18844 //
     /* 1544090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1544093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1544101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1544104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1544107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1544110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1544125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544129 */     // MIs[0] round
     /* 1544129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544132 */     // MIs[0] policy
     /* 1544132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544142 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1544145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544166 */     // GIR_Coverage, 18844,
     /* 1544166 */     GIR_EraseRootFromParent_Done,
     /* 1544167 */   // Label 21409: @1544167
     /* 1544167 */   GIM_Try, /*On fail goto*//*Label 21410*/ GIMT_Encode4(1544249), // Rule ID 18847 //
     /* 1544172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1544175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1544183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1544186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1544189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1544192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1544207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544211 */     // MIs[0] round
     /* 1544211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544214 */     // MIs[0] policy
     /* 1544214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544224 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1544227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544248 */     // GIR_Coverage, 18847,
     /* 1544248 */     GIR_EraseRootFromParent_Done,
     /* 1544249 */   // Label 21410: @1544249
     /* 1544249 */   GIM_Try, /*On fail goto*//*Label 21411*/ GIMT_Encode4(1544331), // Rule ID 18848 //
     /* 1544254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1544257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1544262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1544265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1544268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1544271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1544274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1544289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544293 */     // MIs[0] round
     /* 1544293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544296 */     // MIs[0] policy
     /* 1544296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544306 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1544309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544330 */     // GIR_Coverage, 18848,
     /* 1544330 */     GIR_EraseRootFromParent_Done,
     /* 1544331 */   // Label 21411: @1544331
     /* 1544331 */   GIM_Try, /*On fail goto*//*Label 21412*/ GIMT_Encode4(1544413), // Rule ID 18853 //
     /* 1544336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1544339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1544344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1544347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1544350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1544353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1544356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544375 */     // MIs[0] round
     /* 1544375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544378 */     // MIs[0] policy
     /* 1544378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544388 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1544391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544412 */     // GIR_Coverage, 18853,
     /* 1544412 */     GIR_EraseRootFromParent_Done,
     /* 1544413 */   // Label 21412: @1544413
     /* 1544413 */   GIM_Try, /*On fail goto*//*Label 21413*/ GIMT_Encode4(1544495), // Rule ID 18854 //
     /* 1544418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1544421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1544426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1544429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1544432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1544435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1544438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544457 */     // MIs[0] round
     /* 1544457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544460 */     // MIs[0] policy
     /* 1544460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544470 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1544473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544494 */     // GIR_Coverage, 18854,
     /* 1544494 */     GIR_EraseRootFromParent_Done,
     /* 1544495 */   // Label 21413: @1544495
     /* 1544495 */   GIM_Try, /*On fail goto*//*Label 21414*/ GIMT_Encode4(1544577), // Rule ID 18857 //
     /* 1544500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1544503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1544508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1544511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1544514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1544517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1544520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544539 */     // MIs[0] round
     /* 1544539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544542 */     // MIs[0] policy
     /* 1544542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544552 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1544555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544576 */     // GIR_Coverage, 18857,
     /* 1544576 */     GIR_EraseRootFromParent_Done,
     /* 1544577 */   // Label 21414: @1544577
     /* 1544577 */   GIM_Try, /*On fail goto*//*Label 21415*/ GIMT_Encode4(1544659), // Rule ID 18858 //
     /* 1544582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1544585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1544590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1544593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1544596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1544599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1544602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544621 */     // MIs[0] round
     /* 1544621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544624 */     // MIs[0] policy
     /* 1544624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544634 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1544637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544643 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544658 */     // GIR_Coverage, 18858,
     /* 1544658 */     GIR_EraseRootFromParent_Done,
     /* 1544659 */   // Label 21415: @1544659
     /* 1544659 */   GIM_Try, /*On fail goto*//*Label 21416*/ GIMT_Encode4(1544741), // Rule ID 18861 //
     /* 1544664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1544667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1544672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1544675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1544678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1544681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1544684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544703 */     // MIs[0] round
     /* 1544703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544706 */     // MIs[0] policy
     /* 1544706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544716 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1544719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544740 */     // GIR_Coverage, 18861,
     /* 1544740 */     GIR_EraseRootFromParent_Done,
     /* 1544741 */   // Label 21416: @1544741
     /* 1544741 */   GIM_Try, /*On fail goto*//*Label 21417*/ GIMT_Encode4(1544823), // Rule ID 18862 //
     /* 1544746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1544749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1544754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1544757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1544760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1544763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1544766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544785 */     // MIs[0] round
     /* 1544785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544788 */     // MIs[0] policy
     /* 1544788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544798 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1544801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544822 */     // GIR_Coverage, 18862,
     /* 1544822 */     GIR_EraseRootFromParent_Done,
     /* 1544823 */   // Label 21417: @1544823
     /* 1544823 */   GIM_Try, /*On fail goto*//*Label 21418*/ GIMT_Encode4(1544905), // Rule ID 18865 //
     /* 1544828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1544831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1544836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1544839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1544842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1544845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1544848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544867 */     // MIs[0] round
     /* 1544867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544870 */     // MIs[0] policy
     /* 1544870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544880 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1544883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544904 */     // GIR_Coverage, 18865,
     /* 1544904 */     GIR_EraseRootFromParent_Done,
     /* 1544905 */   // Label 21418: @1544905
     /* 1544905 */   GIM_Try, /*On fail goto*//*Label 21419*/ GIMT_Encode4(1544987), // Rule ID 18866 //
     /* 1544910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1544913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1544918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1544921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1544924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1544927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1544930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544949 */     // MIs[0] round
     /* 1544949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544952 */     // MIs[0] policy
     /* 1544952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544962 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1544965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544971 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544986 */     // GIR_Coverage, 18866,
     /* 1544986 */     GIR_EraseRootFromParent_Done,
     /* 1544987 */   // Label 21419: @1544987
     /* 1544987 */   GIM_Try, /*On fail goto*//*Label 21420*/ GIMT_Encode4(1545069), // Rule ID 18869 //
     /* 1544992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1544995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1545003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1545006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1545009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1545012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545031 */     // MIs[0] round
     /* 1545031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545034 */     // MIs[0] policy
     /* 1545034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545044 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1545047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1545065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545068 */     // GIR_Coverage, 18869,
     /* 1545068 */     GIR_EraseRootFromParent_Done,
     /* 1545069 */   // Label 21420: @1545069
     /* 1545069 */   GIM_Try, /*On fail goto*//*Label 21421*/ GIMT_Encode4(1545151), // Rule ID 18870 //
     /* 1545074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1545077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1545085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1545088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1545091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1545094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545113 */     // MIs[0] round
     /* 1545113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545116 */     // MIs[0] policy
     /* 1545116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545126 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1545129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545135 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1545147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545150 */     // GIR_Coverage, 18870,
     /* 1545150 */     GIR_EraseRootFromParent_Done,
     /* 1545151 */   // Label 21421: @1545151
     /* 1545151 */   GIM_Try, /*On fail goto*//*Label 21422*/ GIMT_Encode4(1545233), // Rule ID 18873 //
     /* 1545156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1545159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1545167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1545170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1545173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1545176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1545183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545195 */     // MIs[0] round
     /* 1545195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545198 */     // MIs[0] policy
     /* 1545198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545208 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1545211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545232 */     // GIR_Coverage, 18873,
     /* 1545232 */     GIR_EraseRootFromParent_Done,
     /* 1545233 */   // Label 21422: @1545233
     /* 1545233 */   GIM_Try, /*On fail goto*//*Label 21423*/ GIMT_Encode4(1545315), // Rule ID 18874 //
     /* 1545238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1545241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1545249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1545252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1545255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1545258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1545265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545277 */     // MIs[0] round
     /* 1545277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545280 */     // MIs[0] policy
     /* 1545280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545290 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1545293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545314 */     // GIR_Coverage, 18874,
     /* 1545314 */     GIR_EraseRootFromParent_Done,
     /* 1545315 */   // Label 21423: @1545315
     /* 1545315 */   GIM_Try, /*On fail goto*//*Label 21424*/ GIMT_Encode4(1545397), // Rule ID 18877 //
     /* 1545320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1545323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1545331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1545334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1545337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1545340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1545347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545359 */     // MIs[0] round
     /* 1545359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545362 */     // MIs[0] policy
     /* 1545362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545372 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1545375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545396 */     // GIR_Coverage, 18877,
     /* 1545396 */     GIR_EraseRootFromParent_Done,
     /* 1545397 */   // Label 21424: @1545397
     /* 1545397 */   GIM_Try, /*On fail goto*//*Label 21425*/ GIMT_Encode4(1545479), // Rule ID 18878 //
     /* 1545402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1545405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1545413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1545416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1545419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1545422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1545429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545441 */     // MIs[0] round
     /* 1545441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545444 */     // MIs[0] policy
     /* 1545444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545454 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1545457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545463 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545478 */     // GIR_Coverage, 18878,
     /* 1545478 */     GIR_EraseRootFromParent_Done,
     /* 1545479 */   // Label 21425: @1545479
     /* 1545479 */   GIM_Try, /*On fail goto*//*Label 21426*/ GIMT_Encode4(1545561), // Rule ID 18881 //
     /* 1545484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1545487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1545495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1545498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1545501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1545504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1545511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545523 */     // MIs[0] round
     /* 1545523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545526 */     // MIs[0] policy
     /* 1545526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545536 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1545539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545560 */     // GIR_Coverage, 18881,
     /* 1545560 */     GIR_EraseRootFromParent_Done,
     /* 1545561 */   // Label 21426: @1545561
     /* 1545561 */   GIM_Try, /*On fail goto*//*Label 21427*/ GIMT_Encode4(1545643), // Rule ID 18882 //
     /* 1545566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1545569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1545577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1545580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1545583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1545586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1545593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545605 */     // MIs[0] round
     /* 1545605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545608 */     // MIs[0] policy
     /* 1545608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545618 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1545621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545642 */     // GIR_Coverage, 18882,
     /* 1545642 */     GIR_EraseRootFromParent_Done,
     /* 1545643 */   // Label 21427: @1545643
     /* 1545643 */   GIM_Try, /*On fail goto*//*Label 21428*/ GIMT_Encode4(1545725), // Rule ID 18885 //
     /* 1545648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1545651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1545659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1545662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1545665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1545668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1545675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545687 */     // MIs[0] round
     /* 1545687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545690 */     // MIs[0] policy
     /* 1545690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545700 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1545703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545711 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545724 */     // GIR_Coverage, 18885,
     /* 1545724 */     GIR_EraseRootFromParent_Done,
     /* 1545725 */   // Label 21428: @1545725
     /* 1545725 */   GIM_Try, /*On fail goto*//*Label 21429*/ GIMT_Encode4(1545807), // Rule ID 18886 //
     /* 1545730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1545733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1545741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1545744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1545747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1545750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1545757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545769 */     // MIs[0] round
     /* 1545769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545772 */     // MIs[0] policy
     /* 1545772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545782 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1545785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545806 */     // GIR_Coverage, 18886,
     /* 1545806 */     GIR_EraseRootFromParent_Done,
     /* 1545807 */   // Label 21429: @1545807
     /* 1545807 */   GIM_Try, /*On fail goto*//*Label 21430*/ GIMT_Encode4(1545889), // Rule ID 18889 //
     /* 1545812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1545815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1545823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1545826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1545829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1545832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1545839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545851 */     // MIs[0] round
     /* 1545851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545854 */     // MIs[0] policy
     /* 1545854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545864 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1545867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545888 */     // GIR_Coverage, 18889,
     /* 1545888 */     GIR_EraseRootFromParent_Done,
     /* 1545889 */   // Label 21430: @1545889
     /* 1545889 */   GIM_Try, /*On fail goto*//*Label 21431*/ GIMT_Encode4(1545971), // Rule ID 18890 //
     /* 1545894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1545897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1545905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1545908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1545911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1545914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1545921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545933 */     // MIs[0] round
     /* 1545933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545936 */     // MIs[0] policy
     /* 1545936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545946 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1545949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545955 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545970 */     // GIR_Coverage, 18890,
     /* 1545970 */     GIR_EraseRootFromParent_Done,
     /* 1545971 */   // Label 21431: @1545971
     /* 1545971 */   GIM_Try, /*On fail goto*//*Label 21432*/ GIMT_Encode4(1546053), // Rule ID 18893 //
     /* 1545976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1545979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1545984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1545987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1545990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1545993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1545996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1546003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546015 */     // MIs[0] round
     /* 1546015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546018 */     // MIs[0] policy
     /* 1546018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546028 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1546031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546052 */     // GIR_Coverage, 18893,
     /* 1546052 */     GIR_EraseRootFromParent_Done,
     /* 1546053 */   // Label 21432: @1546053
     /* 1546053 */   GIM_Try, /*On fail goto*//*Label 21433*/ GIMT_Encode4(1546135), // Rule ID 18894 //
     /* 1546058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1546061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1546069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1546072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1546075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1546078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1546085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546097 */     // MIs[0] round
     /* 1546097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546100 */     // MIs[0] policy
     /* 1546100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546110 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1546113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546119 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546121 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546134 */     // GIR_Coverage, 18894,
     /* 1546134 */     GIR_EraseRootFromParent_Done,
     /* 1546135 */   // Label 21433: @1546135
     /* 1546135 */   GIM_Try, /*On fail goto*//*Label 21434*/ GIMT_Encode4(1546217), // Rule ID 18897 //
     /* 1546140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1546143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1546151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1546154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1546157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546179 */     // MIs[0] round
     /* 1546179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546182 */     // MIs[0] policy
     /* 1546182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546192 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1546195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546216 */     // GIR_Coverage, 18897,
     /* 1546216 */     GIR_EraseRootFromParent_Done,
     /* 1546217 */   // Label 21434: @1546217
     /* 1546217 */   GIM_Try, /*On fail goto*//*Label 21435*/ GIMT_Encode4(1546299), // Rule ID 18898 //
     /* 1546222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1546225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1546233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1546236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1546239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546261 */     // MIs[0] round
     /* 1546261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546264 */     // MIs[0] policy
     /* 1546264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546274 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1546277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546283 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546285 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546298 */     // GIR_Coverage, 18898,
     /* 1546298 */     GIR_EraseRootFromParent_Done,
     /* 1546299 */   // Label 21435: @1546299
     /* 1546299 */   GIM_Try, /*On fail goto*//*Label 21436*/ GIMT_Encode4(1546381), // Rule ID 18901 //
     /* 1546304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1546307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1546315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1546318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1546321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1546324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1546331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546343 */     // MIs[0] round
     /* 1546343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546346 */     // MIs[0] policy
     /* 1546346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546356 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1546359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546380 */     // GIR_Coverage, 18901,
     /* 1546380 */     GIR_EraseRootFromParent_Done,
     /* 1546381 */   // Label 21436: @1546381
     /* 1546381 */   GIM_Try, /*On fail goto*//*Label 21437*/ GIMT_Encode4(1546463), // Rule ID 18902 //
     /* 1546386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1546389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1546397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1546400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1546403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1546406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1546413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546425 */     // MIs[0] round
     /* 1546425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546428 */     // MIs[0] policy
     /* 1546428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546438 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1546441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546447 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546449 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546462 */     // GIR_Coverage, 18902,
     /* 1546462 */     GIR_EraseRootFromParent_Done,
     /* 1546463 */   // Label 21437: @1546463
     /* 1546463 */   GIM_Try, /*On fail goto*//*Label 21438*/ GIMT_Encode4(1546545), // Rule ID 18905 //
     /* 1546468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1546471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1546479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1546482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1546485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1546488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1546495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546507 */     // MIs[0] round
     /* 1546507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546510 */     // MIs[0] policy
     /* 1546510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546520 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1546523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546544 */     // GIR_Coverage, 18905,
     /* 1546544 */     GIR_EraseRootFromParent_Done,
     /* 1546545 */   // Label 21438: @1546545
     /* 1546545 */   GIM_Try, /*On fail goto*//*Label 21439*/ GIMT_Encode4(1546627), // Rule ID 18906 //
     /* 1546550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1546553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1546558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1546561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1546564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1546567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1546570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1546577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546589 */     // MIs[0] round
     /* 1546589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546592 */     // MIs[0] policy
     /* 1546592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546602 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1546605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546626 */     // GIR_Coverage, 18906,
     /* 1546626 */     GIR_EraseRootFromParent_Done,
     /* 1546627 */   // Label 21439: @1546627
     /* 1546627 */   GIM_Try, /*On fail goto*//*Label 21440*/ GIMT_Encode4(1546709), // Rule ID 18965 //
     /* 1546632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1546635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1546640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1546643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1546646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1546649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546671 */     // MIs[0] round
     /* 1546671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546674 */     // MIs[0] policy
     /* 1546674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546684 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1546687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546708 */     // GIR_Coverage, 18965,
     /* 1546708 */     GIR_EraseRootFromParent_Done,
     /* 1546709 */   // Label 21440: @1546709
     /* 1546709 */   GIM_Try, /*On fail goto*//*Label 21441*/ GIMT_Encode4(1546791), // Rule ID 18966 //
     /* 1546714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1546717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1546722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1546725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1546728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1546731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546753 */     // MIs[0] round
     /* 1546753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546756 */     // MIs[0] policy
     /* 1546756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546766 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1546769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546775 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546790 */     // GIR_Coverage, 18966,
     /* 1546790 */     GIR_EraseRootFromParent_Done,
     /* 1546791 */   // Label 21441: @1546791
     /* 1546791 */   GIM_Try, /*On fail goto*//*Label 21442*/ GIMT_Encode4(1546873), // Rule ID 18969 //
     /* 1546796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1546799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1546804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1546807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1546810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1546813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546835 */     // MIs[0] round
     /* 1546835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546838 */     // MIs[0] policy
     /* 1546838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546848 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1546851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546872 */     // GIR_Coverage, 18969,
     /* 1546872 */     GIR_EraseRootFromParent_Done,
     /* 1546873 */   // Label 21442: @1546873
     /* 1546873 */   GIM_Try, /*On fail goto*//*Label 21443*/ GIMT_Encode4(1546955), // Rule ID 18970 //
     /* 1546878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1546881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1546886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1546889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1546892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1546895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546917 */     // MIs[0] round
     /* 1546917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546920 */     // MIs[0] policy
     /* 1546920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546930 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1546933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546954 */     // GIR_Coverage, 18970,
     /* 1546954 */     GIR_EraseRootFromParent_Done,
     /* 1546955 */   // Label 21443: @1546955
     /* 1546955 */   GIM_Try, /*On fail goto*//*Label 21444*/ GIMT_Encode4(1547037), // Rule ID 18973 //
     /* 1546960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1546963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1546968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1546971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1546974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1546977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546999 */     // MIs[0] round
     /* 1546999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547002 */     // MIs[0] policy
     /* 1547002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547012 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1547015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547036 */     // GIR_Coverage, 18973,
     /* 1547036 */     GIR_EraseRootFromParent_Done,
     /* 1547037 */   // Label 21444: @1547037
     /* 1547037 */   GIM_Try, /*On fail goto*//*Label 21445*/ GIMT_Encode4(1547119), // Rule ID 18974 //
     /* 1547042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1547045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1547050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1547053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1547056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1547059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1547062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547081 */     // MIs[0] round
     /* 1547081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547084 */     // MIs[0] policy
     /* 1547084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547094 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1547097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547103 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547118 */     // GIR_Coverage, 18974,
     /* 1547118 */     GIR_EraseRootFromParent_Done,
     /* 1547119 */   // Label 21445: @1547119
     /* 1547119 */   GIM_Try, /*On fail goto*//*Label 21446*/ GIMT_Encode4(1547201), // Rule ID 18977 //
     /* 1547124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1547127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1547132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1547135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1547138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1547141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1547144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547163 */     // MIs[0] round
     /* 1547163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547166 */     // MIs[0] policy
     /* 1547166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547176 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1547179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547200 */     // GIR_Coverage, 18977,
     /* 1547200 */     GIR_EraseRootFromParent_Done,
     /* 1547201 */   // Label 21446: @1547201
     /* 1547201 */   GIM_Try, /*On fail goto*//*Label 21447*/ GIMT_Encode4(1547283), // Rule ID 18978 //
     /* 1547206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1547209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1547214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1547217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1547220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1547223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1547226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547245 */     // MIs[0] round
     /* 1547245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547248 */     // MIs[0] policy
     /* 1547248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547258 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1547261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547282 */     // GIR_Coverage, 18978,
     /* 1547282 */     GIR_EraseRootFromParent_Done,
     /* 1547283 */   // Label 21447: @1547283
     /* 1547283 */   GIM_Try, /*On fail goto*//*Label 21448*/ GIMT_Encode4(1547365), // Rule ID 18981 //
     /* 1547288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1547291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1547296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1547299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1547302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1547305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1547308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547327 */     // MIs[0] round
     /* 1547327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547330 */     // MIs[0] policy
     /* 1547330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547340 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1547343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547364 */     // GIR_Coverage, 18981,
     /* 1547364 */     GIR_EraseRootFromParent_Done,
     /* 1547365 */   // Label 21448: @1547365
     /* 1547365 */   GIM_Try, /*On fail goto*//*Label 21449*/ GIMT_Encode4(1547447), // Rule ID 18982 //
     /* 1547370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1547373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1547378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1547381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1547384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1547387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1547390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547409 */     // MIs[0] round
     /* 1547409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547412 */     // MIs[0] policy
     /* 1547412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547422 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1547425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547431 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547433 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547446 */     // GIR_Coverage, 18982,
     /* 1547446 */     GIR_EraseRootFromParent_Done,
     /* 1547447 */   // Label 21449: @1547447
     /* 1547447 */   GIM_Try, /*On fail goto*//*Label 21450*/ GIMT_Encode4(1547529), // Rule ID 18985 //
     /* 1547452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1547455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1547460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1547463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1547466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1547469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1547472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547491 */     // MIs[0] round
     /* 1547491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547494 */     // MIs[0] policy
     /* 1547494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547504 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1547507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547528 */     // GIR_Coverage, 18985,
     /* 1547528 */     GIR_EraseRootFromParent_Done,
     /* 1547529 */   // Label 21450: @1547529
     /* 1547529 */   GIM_Try, /*On fail goto*//*Label 21451*/ GIMT_Encode4(1547611), // Rule ID 18986 //
     /* 1547534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1547537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1547542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1547545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1547548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1547551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1547554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547573 */     // MIs[0] round
     /* 1547573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547576 */     // MIs[0] policy
     /* 1547576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547586 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1547589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547610 */     // GIR_Coverage, 18986,
     /* 1547610 */     GIR_EraseRootFromParent_Done,
     /* 1547611 */   // Label 21451: @1547611
     /* 1547611 */   GIM_Try, /*On fail goto*//*Label 21452*/ GIMT_Encode4(1547693), // Rule ID 18989 //
     /* 1547616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1547619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1547624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1547627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1547630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1547633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1547636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547655 */     // MIs[0] round
     /* 1547655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547658 */     // MIs[0] policy
     /* 1547658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547668 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1547671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547692 */     // GIR_Coverage, 18989,
     /* 1547692 */     GIR_EraseRootFromParent_Done,
     /* 1547693 */   // Label 21452: @1547693
     /* 1547693 */   GIM_Try, /*On fail goto*//*Label 21453*/ GIMT_Encode4(1547775), // Rule ID 18990 //
     /* 1547698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1547701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1547706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1547709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1547712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1547715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1547718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547737 */     // MIs[0] round
     /* 1547737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547740 */     // MIs[0] policy
     /* 1547740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547750 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1547753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547774 */     // GIR_Coverage, 18990,
     /* 1547774 */     GIR_EraseRootFromParent_Done,
     /* 1547775 */   // Label 21453: @1547775
     /* 1547775 */   GIM_Try, /*On fail goto*//*Label 21454*/ GIMT_Encode4(1547857), // Rule ID 18993 //
     /* 1547780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1547783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1547788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1547791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1547794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1547797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1547800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547819 */     // MIs[0] round
     /* 1547819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547822 */     // MIs[0] policy
     /* 1547822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547832 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1547835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547856 */     // GIR_Coverage, 18993,
     /* 1547856 */     GIR_EraseRootFromParent_Done,
     /* 1547857 */   // Label 21454: @1547857
     /* 1547857 */   GIM_Try, /*On fail goto*//*Label 21455*/ GIMT_Encode4(1547939), // Rule ID 18994 //
     /* 1547862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1547865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1547870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1547873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1547876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1547879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1547882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547901 */     // MIs[0] round
     /* 1547901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547904 */     // MIs[0] policy
     /* 1547904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547914 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1547917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547938 */     // GIR_Coverage, 18994,
     /* 1547938 */     GIR_EraseRootFromParent_Done,
     /* 1547939 */   // Label 21455: @1547939
     /* 1547939 */   GIM_Try, /*On fail goto*//*Label 21456*/ GIMT_Encode4(1548021), // Rule ID 18997 //
     /* 1547944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1547947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1547952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1547955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1547958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1547961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1547964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547983 */     // MIs[0] round
     /* 1547983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547986 */     // MIs[0] policy
     /* 1547986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547996 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1547999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548020 */     // GIR_Coverage, 18997,
     /* 1548020 */     GIR_EraseRootFromParent_Done,
     /* 1548021 */   // Label 21456: @1548021
     /* 1548021 */   GIM_Try, /*On fail goto*//*Label 21457*/ GIMT_Encode4(1548103), // Rule ID 18998 //
     /* 1548026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1548029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1548037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1548040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1548043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1548046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1548053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548065 */     // MIs[0] round
     /* 1548065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548068 */     // MIs[0] policy
     /* 1548068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548078 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1548081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548102 */     // GIR_Coverage, 18998,
     /* 1548102 */     GIR_EraseRootFromParent_Done,
     /* 1548103 */   // Label 21457: @1548103
     /* 1548103 */   GIM_Try, /*On fail goto*//*Label 21458*/ GIMT_Encode4(1548185), // Rule ID 19001 //
     /* 1548108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1548111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1548119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1548122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1548125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1548135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548147 */     // MIs[0] round
     /* 1548147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548150 */     // MIs[0] policy
     /* 1548150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548160 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1548163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548184 */     // GIR_Coverage, 19001,
     /* 1548184 */     GIR_EraseRootFromParent_Done,
     /* 1548185 */   // Label 21458: @1548185
     /* 1548185 */   GIM_Try, /*On fail goto*//*Label 21459*/ GIMT_Encode4(1548267), // Rule ID 19002 //
     /* 1548190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1548193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1548201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1548204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1548207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1548217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548229 */     // MIs[0] round
     /* 1548229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548232 */     // MIs[0] policy
     /* 1548232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548242 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1548245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548253 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548266 */     // GIR_Coverage, 19002,
     /* 1548266 */     GIR_EraseRootFromParent_Done,
     /* 1548267 */   // Label 21459: @1548267
     /* 1548267 */   GIM_Try, /*On fail goto*//*Label 21460*/ GIMT_Encode4(1548349), // Rule ID 19005 //
     /* 1548272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1548275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1548283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1548286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1548289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1548292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1548299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548311 */     // MIs[0] round
     /* 1548311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548314 */     // MIs[0] policy
     /* 1548314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548324 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1548327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548348 */     // GIR_Coverage, 19005,
     /* 1548348 */     GIR_EraseRootFromParent_Done,
     /* 1548349 */   // Label 21460: @1548349
     /* 1548349 */   GIM_Try, /*On fail goto*//*Label 21461*/ GIMT_Encode4(1548431), // Rule ID 19006 //
     /* 1548354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1548357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1548365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1548368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1548371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1548374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1548381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548393 */     // MIs[0] round
     /* 1548393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548396 */     // MIs[0] policy
     /* 1548396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548406 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1548409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548415 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548430 */     // GIR_Coverage, 19006,
     /* 1548430 */     GIR_EraseRootFromParent_Done,
     /* 1548431 */   // Label 21461: @1548431
     /* 1548431 */   GIM_Try, /*On fail goto*//*Label 21462*/ GIMT_Encode4(1548513), // Rule ID 19009 //
     /* 1548436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1548439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1548447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1548450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1548453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1548456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1548463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548475 */     // MIs[0] round
     /* 1548475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548478 */     // MIs[0] policy
     /* 1548478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548488 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1548491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548512 */     // GIR_Coverage, 19009,
     /* 1548512 */     GIR_EraseRootFromParent_Done,
     /* 1548513 */   // Label 21462: @1548513
     /* 1548513 */   GIM_Try, /*On fail goto*//*Label 21463*/ GIMT_Encode4(1548595), // Rule ID 19010 //
     /* 1548518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1548521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1548529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1548532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1548535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1548538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1548545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548557 */     // MIs[0] round
     /* 1548557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548560 */     // MIs[0] policy
     /* 1548560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548570 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1548573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548594 */     // GIR_Coverage, 19010,
     /* 1548594 */     GIR_EraseRootFromParent_Done,
     /* 1548595 */   // Label 21463: @1548595
     /* 1548595 */   GIM_Try, /*On fail goto*//*Label 21464*/ GIMT_Encode4(1548677), // Rule ID 19013 //
     /* 1548600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1548603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1548611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1548614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1548617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1548627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548639 */     // MIs[0] round
     /* 1548639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548642 */     // MIs[0] policy
     /* 1548642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548652 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1548655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1548673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548676 */     // GIR_Coverage, 19013,
     /* 1548676 */     GIR_EraseRootFromParent_Done,
     /* 1548677 */   // Label 21464: @1548677
     /* 1548677 */   GIM_Try, /*On fail goto*//*Label 21465*/ GIMT_Encode4(1548759), // Rule ID 19014 //
     /* 1548682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1548685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1548693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1548696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1548699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1548709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548721 */     // MIs[0] round
     /* 1548721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548724 */     // MIs[0] policy
     /* 1548724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548734 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1548737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548743 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548745 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1548755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548758 */     // GIR_Coverage, 19014,
     /* 1548758 */     GIR_EraseRootFromParent_Done,
     /* 1548759 */   // Label 21465: @1548759
     /* 1548759 */   GIM_Try, /*On fail goto*//*Label 21466*/ GIMT_Encode4(1548841), // Rule ID 19017 //
     /* 1548764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1548767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1548775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1548778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1548781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1548791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548803 */     // MIs[0] round
     /* 1548803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548806 */     // MIs[0] policy
     /* 1548806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548816 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1548819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1548837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548840 */     // GIR_Coverage, 19017,
     /* 1548840 */     GIR_EraseRootFromParent_Done,
     /* 1548841 */   // Label 21466: @1548841
     /* 1548841 */   GIM_Try, /*On fail goto*//*Label 21467*/ GIMT_Encode4(1548923), // Rule ID 19018 //
     /* 1548846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1548849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1548857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1548860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1548863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1548873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548885 */     // MIs[0] round
     /* 1548885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548888 */     // MIs[0] policy
     /* 1548888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548898 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1548901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548909 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1548919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548922 */     // GIR_Coverage, 19018,
     /* 1548922 */     GIR_EraseRootFromParent_Done,
     /* 1548923 */   // Label 21467: @1548923
     /* 1548923 */   GIM_Try, /*On fail goto*//*Label 21468*/ GIMT_Encode4(1549005), // Rule ID 19021 //
     /* 1548928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1548931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1548936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1548939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1548942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1548945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1548948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1548955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548967 */     // MIs[0] round
     /* 1548967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548970 */     // MIs[0] policy
     /* 1548970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548980 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1548983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548991 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1549001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549004 */     // GIR_Coverage, 19021,
     /* 1549004 */     GIR_EraseRootFromParent_Done,
     /* 1549005 */   // Label 21468: @1549005
     /* 1549005 */   GIM_Try, /*On fail goto*//*Label 21469*/ GIMT_Encode4(1549087), // Rule ID 19022 //
     /* 1549010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1549013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1549018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1549021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1549024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1549027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1549030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1549037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549049 */     // MIs[0] round
     /* 1549049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549052 */     // MIs[0] policy
     /* 1549052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549062 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1549065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549071 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549073 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1549083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549086 */     // GIR_Coverage, 19022,
     /* 1549086 */     GIR_EraseRootFromParent_Done,
     /* 1549087 */   // Label 21469: @1549087
     /* 1549087 */   GIM_Try, /*On fail goto*//*Label 21470*/ GIMT_Encode4(1549169), // Rule ID 20607 //
     /* 1549092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1549095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1549100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1549103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1549106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1549109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1549112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549131 */     // MIs[0] round
     /* 1549131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549134 */     // MIs[0] policy
     /* 1549134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1549147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549168 */     // GIR_Coverage, 20607,
     /* 1549168 */     GIR_EraseRootFromParent_Done,
     /* 1549169 */   // Label 21470: @1549169
     /* 1549169 */   GIM_Try, /*On fail goto*//*Label 21471*/ GIMT_Encode4(1549251), // Rule ID 20608 //
     /* 1549174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1549177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1549182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1549185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1549188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1549191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1549194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549213 */     // MIs[0] round
     /* 1549213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549216 */     // MIs[0] policy
     /* 1549216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549226 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1549229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549250 */     // GIR_Coverage, 20608,
     /* 1549250 */     GIR_EraseRootFromParent_Done,
     /* 1549251 */   // Label 21471: @1549251
     /* 1549251 */   GIM_Try, /*On fail goto*//*Label 21472*/ GIMT_Encode4(1549333), // Rule ID 20611 //
     /* 1549256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1549259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1549264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1549267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1549270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1549273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1549276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549295 */     // MIs[0] round
     /* 1549295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549298 */     // MIs[0] policy
     /* 1549298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549308 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1549311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549332 */     // GIR_Coverage, 20611,
     /* 1549332 */     GIR_EraseRootFromParent_Done,
     /* 1549333 */   // Label 21472: @1549333
     /* 1549333 */   GIM_Try, /*On fail goto*//*Label 21473*/ GIMT_Encode4(1549415), // Rule ID 20612 //
     /* 1549338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1549341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1549346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1549349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1549352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1549355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1549358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549377 */     // MIs[0] round
     /* 1549377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549380 */     // MIs[0] policy
     /* 1549380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549390 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1549393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549399 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549414 */     // GIR_Coverage, 20612,
     /* 1549414 */     GIR_EraseRootFromParent_Done,
     /* 1549415 */   // Label 21473: @1549415
     /* 1549415 */   GIM_Try, /*On fail goto*//*Label 21474*/ GIMT_Encode4(1549497), // Rule ID 20615 //
     /* 1549420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1549423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1549428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1549431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1549434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1549437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1549440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549459 */     // MIs[0] round
     /* 1549459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549462 */     // MIs[0] policy
     /* 1549462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549472 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1549475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549496 */     // GIR_Coverage, 20615,
     /* 1549496 */     GIR_EraseRootFromParent_Done,
     /* 1549497 */   // Label 21474: @1549497
     /* 1549497 */   GIM_Try, /*On fail goto*//*Label 21475*/ GIMT_Encode4(1549579), // Rule ID 20616 //
     /* 1549502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1549505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1549510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1549513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1549516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1549519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1549522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549541 */     // MIs[0] round
     /* 1549541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549544 */     // MIs[0] policy
     /* 1549544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549554 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1549557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549563 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549565 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549578 */     // GIR_Coverage, 20616,
     /* 1549578 */     GIR_EraseRootFromParent_Done,
     /* 1549579 */   // Label 21475: @1549579
     /* 1549579 */   GIM_Try, /*On fail goto*//*Label 21476*/ GIMT_Encode4(1549661), // Rule ID 20619 //
     /* 1549584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1549587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1549592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1549595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1549598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1549601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1549604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549623 */     // MIs[0] round
     /* 1549623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549626 */     // MIs[0] policy
     /* 1549626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1549639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549660 */     // GIR_Coverage, 20619,
     /* 1549660 */     GIR_EraseRootFromParent_Done,
     /* 1549661 */   // Label 21476: @1549661
     /* 1549661 */   GIM_Try, /*On fail goto*//*Label 21477*/ GIMT_Encode4(1549743), // Rule ID 20620 //
     /* 1549666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1549669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1549674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1549677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1549680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1549683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1549686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549705 */     // MIs[0] round
     /* 1549705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549708 */     // MIs[0] policy
     /* 1549708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549718 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1549721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549727 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549729 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549742 */     // GIR_Coverage, 20620,
     /* 1549742 */     GIR_EraseRootFromParent_Done,
     /* 1549743 */   // Label 21477: @1549743
     /* 1549743 */   GIM_Try, /*On fail goto*//*Label 21478*/ GIMT_Encode4(1549825), // Rule ID 20623 //
     /* 1549748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1549751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1549756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1549759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1549762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1549765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1549768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549787 */     // MIs[0] round
     /* 1549787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549790 */     // MIs[0] policy
     /* 1549790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549800 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1549803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1549821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549824 */     // GIR_Coverage, 20623,
     /* 1549824 */     GIR_EraseRootFromParent_Done,
     /* 1549825 */   // Label 21478: @1549825
     /* 1549825 */   GIM_Try, /*On fail goto*//*Label 21479*/ GIMT_Encode4(1549907), // Rule ID 20624 //
     /* 1549830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1549833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1549838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1549841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1549844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1549847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1549850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549869 */     // MIs[0] round
     /* 1549869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549872 */     // MIs[0] policy
     /* 1549872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549882 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1549885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549893 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1549903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549906 */     // GIR_Coverage, 20624,
     /* 1549906 */     GIR_EraseRootFromParent_Done,
     /* 1549907 */   // Label 21479: @1549907
     /* 1549907 */   GIM_Try, /*On fail goto*//*Label 21480*/ GIMT_Encode4(1549989), // Rule ID 20627 //
     /* 1549912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1549915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1549920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1549923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1549926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1549929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1549932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1549939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549951 */     // MIs[0] round
     /* 1549951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549954 */     // MIs[0] policy
     /* 1549954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549964 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1549967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549988 */     // GIR_Coverage, 20627,
     /* 1549988 */     GIR_EraseRootFromParent_Done,
     /* 1549989 */   // Label 21480: @1549989
     /* 1549989 */   GIM_Try, /*On fail goto*//*Label 21481*/ GIMT_Encode4(1550071), // Rule ID 20628 //
     /* 1549994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1549997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1550005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1550008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1550011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1550014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1550021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550033 */     // MIs[0] round
     /* 1550033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550036 */     // MIs[0] policy
     /* 1550036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550046 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1550049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550055 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550070 */     // GIR_Coverage, 20628,
     /* 1550070 */     GIR_EraseRootFromParent_Done,
     /* 1550071 */   // Label 21481: @1550071
     /* 1550071 */   GIM_Try, /*On fail goto*//*Label 21482*/ GIMT_Encode4(1550153), // Rule ID 20631 //
     /* 1550076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1550079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1550087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1550090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1550093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1550096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550115 */     // MIs[0] round
     /* 1550115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550118 */     // MIs[0] policy
     /* 1550118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550128 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1550131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550152 */     // GIR_Coverage, 20631,
     /* 1550152 */     GIR_EraseRootFromParent_Done,
     /* 1550153 */   // Label 21482: @1550153
     /* 1550153 */   GIM_Try, /*On fail goto*//*Label 21483*/ GIMT_Encode4(1550235), // Rule ID 20632 //
     /* 1550158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1550161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1550169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1550172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1550175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1550178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550197 */     // MIs[0] round
     /* 1550197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550200 */     // MIs[0] policy
     /* 1550200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550210 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1550213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550234 */     // GIR_Coverage, 20632,
     /* 1550234 */     GIR_EraseRootFromParent_Done,
     /* 1550235 */   // Label 21483: @1550235
     /* 1550235 */   GIM_Try, /*On fail goto*//*Label 21484*/ GIMT_Encode4(1550317), // Rule ID 20635 //
     /* 1550240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1550243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1550251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1550254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1550257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1550260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550279 */     // MIs[0] round
     /* 1550279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550282 */     // MIs[0] policy
     /* 1550282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550292 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1550295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550316 */     // GIR_Coverage, 20635,
     /* 1550316 */     GIR_EraseRootFromParent_Done,
     /* 1550317 */   // Label 21484: @1550317
     /* 1550317 */   GIM_Try, /*On fail goto*//*Label 21485*/ GIMT_Encode4(1550399), // Rule ID 20636 //
     /* 1550322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1550325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1550333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1550336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1550339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1550342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550361 */     // MIs[0] round
     /* 1550361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550364 */     // MIs[0] policy
     /* 1550364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550374 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1550377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550383 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550398 */     // GIR_Coverage, 20636,
     /* 1550398 */     GIR_EraseRootFromParent_Done,
     /* 1550399 */   // Label 21485: @1550399
     /* 1550399 */   GIM_Try, /*On fail goto*//*Label 21486*/ GIMT_Encode4(1550481), // Rule ID 20639 //
     /* 1550404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1550407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1550415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1550418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1550421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1550424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1550431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550443 */     // MIs[0] round
     /* 1550443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550446 */     // MIs[0] policy
     /* 1550446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550456 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1550459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550480 */     // GIR_Coverage, 20639,
     /* 1550480 */     GIR_EraseRootFromParent_Done,
     /* 1550481 */   // Label 21486: @1550481
     /* 1550481 */   GIM_Try, /*On fail goto*//*Label 21487*/ GIMT_Encode4(1550563), // Rule ID 20640 //
     /* 1550486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1550489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1550497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1550500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1550503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1550506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1550513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550525 */     // MIs[0] round
     /* 1550525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550528 */     // MIs[0] policy
     /* 1550528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550538 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1550541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550562 */     // GIR_Coverage, 20640,
     /* 1550562 */     GIR_EraseRootFromParent_Done,
     /* 1550563 */   // Label 21487: @1550563
     /* 1550563 */   GIM_Try, /*On fail goto*//*Label 21488*/ GIMT_Encode4(1550645), // Rule ID 20643 //
     /* 1550568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1550571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1550579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1550582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1550585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1550588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550607 */     // MIs[0] round
     /* 1550607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550610 */     // MIs[0] policy
     /* 1550610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550620 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1550623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550644 */     // GIR_Coverage, 20643,
     /* 1550644 */     GIR_EraseRootFromParent_Done,
     /* 1550645 */   // Label 21488: @1550645
     /* 1550645 */   GIM_Try, /*On fail goto*//*Label 21489*/ GIMT_Encode4(1550727), // Rule ID 20644 //
     /* 1550650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1550653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1550661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1550664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1550667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1550670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550689 */     // MIs[0] round
     /* 1550689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550692 */     // MIs[0] policy
     /* 1550692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550702 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1550705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550726 */     // GIR_Coverage, 20644,
     /* 1550726 */     GIR_EraseRootFromParent_Done,
     /* 1550727 */   // Label 21489: @1550727
     /* 1550727 */   GIM_Try, /*On fail goto*//*Label 21490*/ GIMT_Encode4(1550809), // Rule ID 20647 //
     /* 1550732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1550735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1550743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1550746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1550749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1550752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550771 */     // MIs[0] round
     /* 1550771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550774 */     // MIs[0] policy
     /* 1550774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550784 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1550787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550808 */     // GIR_Coverage, 20647,
     /* 1550808 */     GIR_EraseRootFromParent_Done,
     /* 1550809 */   // Label 21490: @1550809
     /* 1550809 */   GIM_Try, /*On fail goto*//*Label 21491*/ GIMT_Encode4(1550891), // Rule ID 20648 //
     /* 1550814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1550817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1550825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1550828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1550831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1550834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550853 */     // MIs[0] round
     /* 1550853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550856 */     // MIs[0] policy
     /* 1550856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550866 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1550869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550875 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550890 */     // GIR_Coverage, 20648,
     /* 1550890 */     GIR_EraseRootFromParent_Done,
     /* 1550891 */   // Label 21491: @1550891
     /* 1550891 */   GIM_Try, /*On fail goto*//*Label 21492*/ GIMT_Encode4(1550973), // Rule ID 20651 //
     /* 1550896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1550899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1550907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1550910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1550913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1550923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550935 */     // MIs[0] round
     /* 1550935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550938 */     // MIs[0] policy
     /* 1550938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550948 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1550951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550972 */     // GIR_Coverage, 20651,
     /* 1550972 */     GIR_EraseRootFromParent_Done,
     /* 1550973 */   // Label 21492: @1550973
     /* 1550973 */   GIM_Try, /*On fail goto*//*Label 21493*/ GIMT_Encode4(1551055), // Rule ID 20652 //
     /* 1550978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1550981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1550986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1550989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1550992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1550995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551017 */     // MIs[0] round
     /* 1551017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551020 */     // MIs[0] policy
     /* 1551020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551030 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1551033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551054 */     // GIR_Coverage, 20652,
     /* 1551054 */     GIR_EraseRootFromParent_Done,
     /* 1551055 */   // Label 21493: @1551055
     /* 1551055 */   GIM_Try, /*On fail goto*//*Label 21494*/ GIMT_Encode4(1551137), // Rule ID 20655 //
     /* 1551060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1551063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1551071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1551074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1551077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1551080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551099 */     // MIs[0] round
     /* 1551099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551102 */     // MIs[0] policy
     /* 1551102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551112 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1551115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551136 */     // GIR_Coverage, 20655,
     /* 1551136 */     GIR_EraseRootFromParent_Done,
     /* 1551137 */   // Label 21494: @1551137
     /* 1551137 */   GIM_Try, /*On fail goto*//*Label 21495*/ GIMT_Encode4(1551219), // Rule ID 20656 //
     /* 1551142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1551145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1551153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1551156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1551159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1551162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551181 */     // MIs[0] round
     /* 1551181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551184 */     // MIs[0] policy
     /* 1551184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551194 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1551197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551203 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551218 */     // GIR_Coverage, 20656,
     /* 1551218 */     GIR_EraseRootFromParent_Done,
     /* 1551219 */   // Label 21495: @1551219
     /* 1551219 */   GIM_Try, /*On fail goto*//*Label 21496*/ GIMT_Encode4(1551301), // Rule ID 20659 //
     /* 1551224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1551227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1551235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1551238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1551241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551263 */     // MIs[0] round
     /* 1551263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551266 */     // MIs[0] policy
     /* 1551266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551276 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1551279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551300 */     // GIR_Coverage, 20659,
     /* 1551300 */     GIR_EraseRootFromParent_Done,
     /* 1551301 */   // Label 21496: @1551301
     /* 1551301 */   GIM_Try, /*On fail goto*//*Label 21497*/ GIMT_Encode4(1551383), // Rule ID 20660 //
     /* 1551306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1551309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1551314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1551317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1551320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1551323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551345 */     // MIs[0] round
     /* 1551345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551348 */     // MIs[0] policy
     /* 1551348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551358 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1551361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551382 */     // GIR_Coverage, 20660,
     /* 1551382 */     GIR_EraseRootFromParent_Done,
     /* 1551383 */   // Label 21497: @1551383
     /* 1551383 */   GIM_Try, /*On fail goto*//*Label 21498*/ GIMT_Encode4(1551465), // Rule ID 20663 //
     /* 1551388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1551396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1551399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1551402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1551405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1551408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551427 */     // MIs[0] round
     /* 1551427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551430 */     // MIs[0] policy
     /* 1551430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551440 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1551443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551464 */     // GIR_Coverage, 20663,
     /* 1551464 */     GIR_EraseRootFromParent_Done,
     /* 1551465 */   // Label 21498: @1551465
     /* 1551465 */   GIM_Try, /*On fail goto*//*Label 21499*/ GIMT_Encode4(1551547), // Rule ID 20664 //
     /* 1551470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1551478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1551481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1551484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1551487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1551490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551509 */     // MIs[0] round
     /* 1551509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551512 */     // MIs[0] policy
     /* 1551512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551522 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1551525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551546 */     // GIR_Coverage, 20664,
     /* 1551546 */     GIR_EraseRootFromParent_Done,
     /* 1551547 */   // Label 21499: @1551547
     /* 1551547 */   GIM_Try, /*On fail goto*//*Label 21500*/ GIMT_Encode4(1551629), // Rule ID 20667 //
     /* 1551552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1551560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1551563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1551566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1551569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1551572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551591 */     // MIs[0] round
     /* 1551591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551594 */     // MIs[0] policy
     /* 1551594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551604 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1551607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551628 */     // GIR_Coverage, 20667,
     /* 1551628 */     GIR_EraseRootFromParent_Done,
     /* 1551629 */   // Label 21500: @1551629
     /* 1551629 */   GIM_Try, /*On fail goto*//*Label 21501*/ GIMT_Encode4(1551711), // Rule ID 20668 //
     /* 1551634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1551642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1551645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1551648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1551651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1551654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551673 */     // MIs[0] round
     /* 1551673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551676 */     // MIs[0] policy
     /* 1551676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551686 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1551689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551710 */     // GIR_Coverage, 20668,
     /* 1551710 */     GIR_EraseRootFromParent_Done,
     /* 1551711 */   // Label 21501: @1551711
     /* 1551711 */   GIM_Try, /*On fail goto*//*Label 21502*/ GIMT_Encode4(1551793), // Rule ID 20671 //
     /* 1551716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1551719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1551724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1551727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1551730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1551733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1551736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551755 */     // MIs[0] round
     /* 1551755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551758 */     // MIs[0] policy
     /* 1551758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551768 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1551771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551792 */     // GIR_Coverage, 20671,
     /* 1551792 */     GIR_EraseRootFromParent_Done,
     /* 1551793 */   // Label 21502: @1551793
     /* 1551793 */   GIM_Try, /*On fail goto*//*Label 21503*/ GIMT_Encode4(1551875), // Rule ID 20672 //
     /* 1551798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1551801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1551806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1551809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1551812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1551815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1551818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551837 */     // MIs[0] round
     /* 1551837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551840 */     // MIs[0] policy
     /* 1551840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551850 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1551853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551874 */     // GIR_Coverage, 20672,
     /* 1551874 */     GIR_EraseRootFromParent_Done,
     /* 1551875 */   // Label 21503: @1551875
     /* 1551875 */   GIM_Try, /*On fail goto*//*Label 21504*/ GIMT_Encode4(1551957), // Rule ID 20675 //
     /* 1551880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1551888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1551891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1551894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1551897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1551900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551919 */     // MIs[0] round
     /* 1551919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551922 */     // MIs[0] policy
     /* 1551922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551932 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1551935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551956 */     // GIR_Coverage, 20675,
     /* 1551956 */     GIR_EraseRootFromParent_Done,
     /* 1551957 */   // Label 21504: @1551957
     /* 1551957 */   GIM_Try, /*On fail goto*//*Label 21505*/ GIMT_Encode4(1552039), // Rule ID 20676 //
     /* 1551962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1551970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1551973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1551976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1551979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1551982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552001 */     // MIs[0] round
     /* 1552001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552004 */     // MIs[0] policy
     /* 1552004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552014 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1552017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552023 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552038 */     // GIR_Coverage, 20676,
     /* 1552038 */     GIR_EraseRootFromParent_Done,
     /* 1552039 */   // Label 21505: @1552039
     /* 1552039 */   GIM_Try, /*On fail goto*//*Label 21506*/ GIMT_Encode4(1552121), // Rule ID 20679 //
     /* 1552044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1552047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1552055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1552058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1552061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552083 */     // MIs[0] round
     /* 1552083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552086 */     // MIs[0] policy
     /* 1552086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1552099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552120 */     // GIR_Coverage, 20679,
     /* 1552120 */     GIR_EraseRootFromParent_Done,
     /* 1552121 */   // Label 21506: @1552121
     /* 1552121 */   GIM_Try, /*On fail goto*//*Label 21507*/ GIMT_Encode4(1552203), // Rule ID 20680 //
     /* 1552126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1552129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1552137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1552140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1552143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552165 */     // MIs[0] round
     /* 1552165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552168 */     // MIs[0] policy
     /* 1552168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1552181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552202 */     // GIR_Coverage, 20680,
     /* 1552202 */     GIR_EraseRootFromParent_Done,
     /* 1552203 */   // Label 21507: @1552203
     /* 1552203 */   GIM_Try, /*On fail goto*//*Label 21508*/ GIMT_Encode4(1552285), // Rule ID 20683 //
     /* 1552208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1552211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1552219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1552222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1552225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552247 */     // MIs[0] round
     /* 1552247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552250 */     // MIs[0] policy
     /* 1552250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552260 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1552263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552271 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552284 */     // GIR_Coverage, 20683,
     /* 1552284 */     GIR_EraseRootFromParent_Done,
     /* 1552285 */   // Label 21508: @1552285
     /* 1552285 */   GIM_Try, /*On fail goto*//*Label 21509*/ GIMT_Encode4(1552367), // Rule ID 20684 //
     /* 1552290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1552293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1552301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1552304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1552307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552329 */     // MIs[0] round
     /* 1552329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552332 */     // MIs[0] policy
     /* 1552332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552342 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1552345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552351 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552366 */     // GIR_Coverage, 20684,
     /* 1552366 */     GIR_EraseRootFromParent_Done,
     /* 1552367 */   // Label 21509: @1552367
     /* 1552367 */   GIM_Try, /*On fail goto*//*Label 21510*/ GIMT_Encode4(1552449), // Rule ID 20687 //
     /* 1552372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1552375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1552383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1552386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1552389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552411 */     // MIs[0] round
     /* 1552411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552414 */     // MIs[0] policy
     /* 1552414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552424 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1552427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552448 */     // GIR_Coverage, 20687,
     /* 1552448 */     GIR_EraseRootFromParent_Done,
     /* 1552449 */   // Label 21510: @1552449
     /* 1552449 */   GIM_Try, /*On fail goto*//*Label 21511*/ GIMT_Encode4(1552531), // Rule ID 20688 //
     /* 1552454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1552457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1552465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1552468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1552471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552493 */     // MIs[0] round
     /* 1552493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552496 */     // MIs[0] policy
     /* 1552496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552506 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1552509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552515 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552530 */     // GIR_Coverage, 20688,
     /* 1552530 */     GIR_EraseRootFromParent_Done,
     /* 1552531 */   // Label 21511: @1552531
     /* 1552531 */   GIM_Try, /*On fail goto*//*Label 21512*/ GIMT_Encode4(1552613), // Rule ID 20691 //
     /* 1552536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1552539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1552547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1552550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1552553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1552556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552575 */     // MIs[0] round
     /* 1552575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552578 */     // MIs[0] policy
     /* 1552578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552588 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1552591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552612 */     // GIR_Coverage, 20691,
     /* 1552612 */     GIR_EraseRootFromParent_Done,
     /* 1552613 */   // Label 21512: @1552613
     /* 1552613 */   GIM_Try, /*On fail goto*//*Label 21513*/ GIMT_Encode4(1552695), // Rule ID 20692 //
     /* 1552618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1552621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1552629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1552632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1552635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1552638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552657 */     // MIs[0] round
     /* 1552657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552660 */     // MIs[0] policy
     /* 1552660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552670 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1552673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552679 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552694 */     // GIR_Coverage, 20692,
     /* 1552694 */     GIR_EraseRootFromParent_Done,
     /* 1552695 */   // Label 21513: @1552695
     /* 1552695 */   GIM_Try, /*On fail goto*//*Label 21514*/ GIMT_Encode4(1552777), // Rule ID 20695 //
     /* 1552700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1552703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1552711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1552714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1552717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1552720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552739 */     // MIs[0] round
     /* 1552739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552742 */     // MIs[0] policy
     /* 1552742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552752 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1552755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552776 */     // GIR_Coverage, 20695,
     /* 1552776 */     GIR_EraseRootFromParent_Done,
     /* 1552777 */   // Label 21514: @1552777
     /* 1552777 */   GIM_Try, /*On fail goto*//*Label 21515*/ GIMT_Encode4(1552859), // Rule ID 20696 //
     /* 1552782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1552785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1552793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1552796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1552799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1552802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552821 */     // MIs[0] round
     /* 1552821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552824 */     // MIs[0] policy
     /* 1552824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552834 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1552837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552858 */     // GIR_Coverage, 20696,
     /* 1552858 */     GIR_EraseRootFromParent_Done,
     /* 1552859 */   // Label 21515: @1552859
     /* 1552859 */   GIM_Try, /*On fail goto*//*Label 21516*/ GIMT_Encode4(1552941), // Rule ID 20699 //
     /* 1552864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1552867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1552875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1552878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1552881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552903 */     // MIs[0] round
     /* 1552903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552906 */     // MIs[0] policy
     /* 1552906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552916 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1552919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552940 */     // GIR_Coverage, 20699,
     /* 1552940 */     GIR_EraseRootFromParent_Done,
     /* 1552941 */   // Label 21516: @1552941
     /* 1552941 */   GIM_Try, /*On fail goto*//*Label 21517*/ GIMT_Encode4(1553023), // Rule ID 20700 //
     /* 1552946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1552949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1552954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1552957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1552960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1552963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552985 */     // MIs[0] round
     /* 1552985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552988 */     // MIs[0] policy
     /* 1552988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552998 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1553001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553007 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553022 */     // GIR_Coverage, 20700,
     /* 1553022 */     GIR_EraseRootFromParent_Done,
     /* 1553023 */   // Label 21517: @1553023
     /* 1553023 */   GIM_Try, /*On fail goto*//*Label 21518*/ GIMT_Encode4(1553105), // Rule ID 20703 //
     /* 1553028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1553031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1553039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1553042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1553045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553067 */     // MIs[0] round
     /* 1553067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553070 */     // MIs[0] policy
     /* 1553070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553080 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1553083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553104 */     // GIR_Coverage, 20703,
     /* 1553104 */     GIR_EraseRootFromParent_Done,
     /* 1553105 */   // Label 21518: @1553105
     /* 1553105 */   GIM_Try, /*On fail goto*//*Label 21519*/ GIMT_Encode4(1553187), // Rule ID 20704 //
     /* 1553110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1553113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1553121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1553124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1553127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553149 */     // MIs[0] round
     /* 1553149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553152 */     // MIs[0] policy
     /* 1553152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553162 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1553165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553171 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553186 */     // GIR_Coverage, 20704,
     /* 1553186 */     GIR_EraseRootFromParent_Done,
     /* 1553187 */   // Label 21519: @1553187
     /* 1553187 */   GIM_Try, /*On fail goto*//*Label 21520*/ GIMT_Encode4(1553269), // Rule ID 20707 //
     /* 1553192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1553195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1553203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1553206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1553209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1553212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1553219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553231 */     // MIs[0] round
     /* 1553231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553234 */     // MIs[0] policy
     /* 1553234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553244 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1553247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553268 */     // GIR_Coverage, 20707,
     /* 1553268 */     GIR_EraseRootFromParent_Done,
     /* 1553269 */   // Label 21520: @1553269
     /* 1553269 */   GIM_Try, /*On fail goto*//*Label 21521*/ GIMT_Encode4(1553351), // Rule ID 20708 //
     /* 1553274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1553277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1553285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1553288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1553291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1553294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1553301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553313 */     // MIs[0] round
     /* 1553313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553316 */     // MIs[0] policy
     /* 1553316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553326 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1553329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553335 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553350 */     // GIR_Coverage, 20708,
     /* 1553350 */     GIR_EraseRootFromParent_Done,
     /* 1553351 */   // Label 21521: @1553351
     /* 1553351 */   GIM_Try, /*On fail goto*//*Label 21522*/ GIMT_Encode4(1553433), // Rule ID 20711 //
     /* 1553356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1553359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1553367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1553370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1553373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553395 */     // MIs[0] round
     /* 1553395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553398 */     // MIs[0] policy
     /* 1553398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553408 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1553411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553432 */     // GIR_Coverage, 20711,
     /* 1553432 */     GIR_EraseRootFromParent_Done,
     /* 1553433 */   // Label 21522: @1553433
     /* 1553433 */   GIM_Try, /*On fail goto*//*Label 21523*/ GIMT_Encode4(1553515), // Rule ID 20712 //
     /* 1553438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1553441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1553449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1553452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1553455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553477 */     // MIs[0] round
     /* 1553477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553480 */     // MIs[0] policy
     /* 1553480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553490 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1553493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553514 */     // GIR_Coverage, 20712,
     /* 1553514 */     GIR_EraseRootFromParent_Done,
     /* 1553515 */   // Label 21523: @1553515
     /* 1553515 */   GIM_Try, /*On fail goto*//*Label 21524*/ GIMT_Encode4(1553597), // Rule ID 20715 //
     /* 1553520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1553523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1553531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1553534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1553537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553559 */     // MIs[0] round
     /* 1553559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553562 */     // MIs[0] policy
     /* 1553562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553572 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1553575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553596 */     // GIR_Coverage, 20715,
     /* 1553596 */     GIR_EraseRootFromParent_Done,
     /* 1553597 */   // Label 21524: @1553597
     /* 1553597 */   GIM_Try, /*On fail goto*//*Label 21525*/ GIMT_Encode4(1553679), // Rule ID 20716 //
     /* 1553602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1553605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1553613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1553616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1553619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553641 */     // MIs[0] round
     /* 1553641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553644 */     // MIs[0] policy
     /* 1553644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553654 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1553657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553663 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553678 */     // GIR_Coverage, 20716,
     /* 1553678 */     GIR_EraseRootFromParent_Done,
     /* 1553679 */   // Label 21525: @1553679
     /* 1553679 */   GIM_Try, /*On fail goto*//*Label 21526*/ GIMT_Encode4(1553761), // Rule ID 20719 //
     /* 1553684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1553687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1553695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1553698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1553701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1553711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553723 */     // MIs[0] round
     /* 1553723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553726 */     // MIs[0] policy
     /* 1553726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553736 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1553739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553760 */     // GIR_Coverage, 20719,
     /* 1553760 */     GIR_EraseRootFromParent_Done,
     /* 1553761 */   // Label 21526: @1553761
     /* 1553761 */   GIM_Try, /*On fail goto*//*Label 21527*/ GIMT_Encode4(1553843), // Rule ID 20720 //
     /* 1553766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1553769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1553774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1553777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1553780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1553783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1553793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553805 */     // MIs[0] round
     /* 1553805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553808 */     // MIs[0] policy
     /* 1553808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553818 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1553821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553827 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553829 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553842 */     // GIR_Coverage, 20720,
     /* 1553842 */     GIR_EraseRootFromParent_Done,
     /* 1553843 */   // Label 21527: @1553843
     /* 1553843 */   GIM_Try, /*On fail goto*//*Label 21528*/ GIMT_Encode4(1553925), // Rule ID 20843 //
     /* 1553848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1553851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1553856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1553859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1553862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1553865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553887 */     // MIs[0] round
     /* 1553887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553890 */     // MIs[0] policy
     /* 1553890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553900 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1553903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553911 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553924 */     // GIR_Coverage, 20843,
     /* 1553924 */     GIR_EraseRootFromParent_Done,
     /* 1553925 */   // Label 21528: @1553925
     /* 1553925 */   GIM_Try, /*On fail goto*//*Label 21529*/ GIMT_Encode4(1554007), // Rule ID 20844 //
     /* 1553930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1553933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1553938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1553941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1553944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1553947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553969 */     // MIs[0] round
     /* 1553969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553972 */     // MIs[0] policy
     /* 1553972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553982 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1553985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553991 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554006 */     // GIR_Coverage, 20844,
     /* 1554006 */     GIR_EraseRootFromParent_Done,
     /* 1554007 */   // Label 21529: @1554007
     /* 1554007 */   GIM_Try, /*On fail goto*//*Label 21530*/ GIMT_Encode4(1554089), // Rule ID 20847 //
     /* 1554012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1554015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1554020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1554023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1554026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1554029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554051 */     // MIs[0] round
     /* 1554051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554054 */     // MIs[0] policy
     /* 1554054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554064 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1554067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554088 */     // GIR_Coverage, 20847,
     /* 1554088 */     GIR_EraseRootFromParent_Done,
     /* 1554089 */   // Label 21530: @1554089
     /* 1554089 */   GIM_Try, /*On fail goto*//*Label 21531*/ GIMT_Encode4(1554171), // Rule ID 20848 //
     /* 1554094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1554097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1554102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1554105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1554108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1554111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554133 */     // MIs[0] round
     /* 1554133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554136 */     // MIs[0] policy
     /* 1554136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554146 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1554149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554170 */     // GIR_Coverage, 20848,
     /* 1554170 */     GIR_EraseRootFromParent_Done,
     /* 1554171 */   // Label 21531: @1554171
     /* 1554171 */   GIM_Try, /*On fail goto*//*Label 21532*/ GIMT_Encode4(1554253), // Rule ID 20851 //
     /* 1554176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1554179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1554184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1554187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1554190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1554193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1554196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554215 */     // MIs[0] round
     /* 1554215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554218 */     // MIs[0] policy
     /* 1554218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554228 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1554231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554252 */     // GIR_Coverage, 20851,
     /* 1554252 */     GIR_EraseRootFromParent_Done,
     /* 1554253 */   // Label 21532: @1554253
     /* 1554253 */   GIM_Try, /*On fail goto*//*Label 21533*/ GIMT_Encode4(1554335), // Rule ID 20852 //
     /* 1554258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1554261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1554266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1554269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1554272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1554275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1554278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554297 */     // MIs[0] round
     /* 1554297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554300 */     // MIs[0] policy
     /* 1554300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554310 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1554313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554319 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554334 */     // GIR_Coverage, 20852,
     /* 1554334 */     GIR_EraseRootFromParent_Done,
     /* 1554335 */   // Label 21533: @1554335
     /* 1554335 */   GIM_Try, /*On fail goto*//*Label 21534*/ GIMT_Encode4(1554417), // Rule ID 20855 //
     /* 1554340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1554343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1554348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1554351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1554354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1554357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554379 */     // MIs[0] round
     /* 1554379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554382 */     // MIs[0] policy
     /* 1554382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554392 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1554395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554416 */     // GIR_Coverage, 20855,
     /* 1554416 */     GIR_EraseRootFromParent_Done,
     /* 1554417 */   // Label 21534: @1554417
     /* 1554417 */   GIM_Try, /*On fail goto*//*Label 21535*/ GIMT_Encode4(1554499), // Rule ID 20856 //
     /* 1554422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1554425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1554430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1554433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1554436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1554439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554461 */     // MIs[0] round
     /* 1554461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554464 */     // MIs[0] policy
     /* 1554464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554474 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1554477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554498 */     // GIR_Coverage, 20856,
     /* 1554498 */     GIR_EraseRootFromParent_Done,
     /* 1554499 */   // Label 21535: @1554499
     /* 1554499 */   GIM_Try, /*On fail goto*//*Label 21536*/ GIMT_Encode4(1554581), // Rule ID 20859 //
     /* 1554504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1554507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1554512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1554515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1554518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1554521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554543 */     // MIs[0] round
     /* 1554543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554546 */     // MIs[0] policy
     /* 1554546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554556 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1554559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554580 */     // GIR_Coverage, 20859,
     /* 1554580 */     GIR_EraseRootFromParent_Done,
     /* 1554581 */   // Label 21536: @1554581
     /* 1554581 */   GIM_Try, /*On fail goto*//*Label 21537*/ GIMT_Encode4(1554663), // Rule ID 20860 //
     /* 1554586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1554589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1554594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1554597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1554600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1554603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554625 */     // MIs[0] round
     /* 1554625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554628 */     // MIs[0] policy
     /* 1554628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554638 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1554641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554647 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554662 */     // GIR_Coverage, 20860,
     /* 1554662 */     GIR_EraseRootFromParent_Done,
     /* 1554663 */   // Label 21537: @1554663
     /* 1554663 */   GIM_Try, /*On fail goto*//*Label 21538*/ GIMT_Encode4(1554745), // Rule ID 20863 //
     /* 1554668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1554671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1554676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1554679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1554682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1554685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1554688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554707 */     // MIs[0] round
     /* 1554707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554710 */     // MIs[0] policy
     /* 1554710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554720 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1554723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554744 */     // GIR_Coverage, 20863,
     /* 1554744 */     GIR_EraseRootFromParent_Done,
     /* 1554745 */   // Label 21538: @1554745
     /* 1554745 */   GIM_Try, /*On fail goto*//*Label 21539*/ GIMT_Encode4(1554827), // Rule ID 20864 //
     /* 1554750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1554753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1554758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1554761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1554764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1554767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1554770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554789 */     // MIs[0] round
     /* 1554789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554792 */     // MIs[0] policy
     /* 1554792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554802 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1554805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554826 */     // GIR_Coverage, 20864,
     /* 1554826 */     GIR_EraseRootFromParent_Done,
     /* 1554827 */   // Label 21539: @1554827
     /* 1554827 */   GIM_Try, /*On fail goto*//*Label 21540*/ GIMT_Encode4(1554909), // Rule ID 20867 //
     /* 1554832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1554835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1554840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1554843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1554846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1554849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554871 */     // MIs[0] round
     /* 1554871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554874 */     // MIs[0] policy
     /* 1554874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554884 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1554887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554908 */     // GIR_Coverage, 20867,
     /* 1554908 */     GIR_EraseRootFromParent_Done,
     /* 1554909 */   // Label 21540: @1554909
     /* 1554909 */   GIM_Try, /*On fail goto*//*Label 21541*/ GIMT_Encode4(1554991), // Rule ID 20868 //
     /* 1554914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1554917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1554922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1554925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1554928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1554931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554953 */     // MIs[0] round
     /* 1554953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554956 */     // MIs[0] policy
     /* 1554956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554966 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1554969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554975 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554977 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554990 */     // GIR_Coverage, 20868,
     /* 1554990 */     GIR_EraseRootFromParent_Done,
     /* 1554991 */   // Label 21541: @1554991
     /* 1554991 */   GIM_Try, /*On fail goto*//*Label 21542*/ GIMT_Encode4(1555073), // Rule ID 20871 //
     /* 1554996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1554999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1555007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1555010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1555013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1555016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555035 */     // MIs[0] round
     /* 1555035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555038 */     // MIs[0] policy
     /* 1555038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555048 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1555051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555072 */     // GIR_Coverage, 20871,
     /* 1555072 */     GIR_EraseRootFromParent_Done,
     /* 1555073 */   // Label 21542: @1555073
     /* 1555073 */   GIM_Try, /*On fail goto*//*Label 21543*/ GIMT_Encode4(1555155), // Rule ID 20872 //
     /* 1555078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1555089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1555092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1555095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1555098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555117 */     // MIs[0] round
     /* 1555117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555120 */     // MIs[0] policy
     /* 1555120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555130 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1555133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555154 */     // GIR_Coverage, 20872,
     /* 1555154 */     GIR_EraseRootFromParent_Done,
     /* 1555155 */   // Label 21543: @1555155
     /* 1555155 */   GIM_Try, /*On fail goto*//*Label 21544*/ GIMT_Encode4(1555237), // Rule ID 20875 //
     /* 1555160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1555171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1555174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1555177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1555180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1555187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555199 */     // MIs[0] round
     /* 1555199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555202 */     // MIs[0] policy
     /* 1555202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555212 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1555215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555236 */     // GIR_Coverage, 20875,
     /* 1555236 */     GIR_EraseRootFromParent_Done,
     /* 1555237 */   // Label 21544: @1555237
     /* 1555237 */   GIM_Try, /*On fail goto*//*Label 21545*/ GIMT_Encode4(1555319), // Rule ID 20876 //
     /* 1555242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1555253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1555256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1555259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1555262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1555269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555281 */     // MIs[0] round
     /* 1555281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555284 */     // MIs[0] policy
     /* 1555284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555294 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1555297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555303 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555318 */     // GIR_Coverage, 20876,
     /* 1555318 */     GIR_EraseRootFromParent_Done,
     /* 1555319 */   // Label 21545: @1555319
     /* 1555319 */   GIM_Try, /*On fail goto*//*Label 21546*/ GIMT_Encode4(1555401), // Rule ID 20879 //
     /* 1555324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1555327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1555335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1555338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1555341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555363 */     // MIs[0] round
     /* 1555363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555366 */     // MIs[0] policy
     /* 1555366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555376 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1555379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555400 */     // GIR_Coverage, 20879,
     /* 1555400 */     GIR_EraseRootFromParent_Done,
     /* 1555401 */   // Label 21546: @1555401
     /* 1555401 */   GIM_Try, /*On fail goto*//*Label 21547*/ GIMT_Encode4(1555483), // Rule ID 20880 //
     /* 1555406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1555409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1555417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1555420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1555423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555445 */     // MIs[0] round
     /* 1555445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555448 */     // MIs[0] policy
     /* 1555448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555458 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1555461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555482 */     // GIR_Coverage, 20880,
     /* 1555482 */     GIR_EraseRootFromParent_Done,
     /* 1555483 */   // Label 21547: @1555483
     /* 1555483 */   GIM_Try, /*On fail goto*//*Label 21548*/ GIMT_Encode4(1555565), // Rule ID 20883 //
     /* 1555488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1555491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1555499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1555502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1555505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1555508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555527 */     // MIs[0] round
     /* 1555527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555530 */     // MIs[0] policy
     /* 1555530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555540 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1555543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555564 */     // GIR_Coverage, 20883,
     /* 1555564 */     GIR_EraseRootFromParent_Done,
     /* 1555565 */   // Label 21548: @1555565
     /* 1555565 */   GIM_Try, /*On fail goto*//*Label 21549*/ GIMT_Encode4(1555647), // Rule ID 20884 //
     /* 1555570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1555573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1555581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1555584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1555587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1555590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555609 */     // MIs[0] round
     /* 1555609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555612 */     // MIs[0] policy
     /* 1555612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555622 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1555625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555646 */     // GIR_Coverage, 20884,
     /* 1555646 */     GIR_EraseRootFromParent_Done,
     /* 1555647 */   // Label 21549: @1555647
     /* 1555647 */   GIM_Try, /*On fail goto*//*Label 21550*/ GIMT_Encode4(1555729), // Rule ID 20887 //
     /* 1555652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1555655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1555663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1555666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1555669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1555672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1555679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555691 */     // MIs[0] round
     /* 1555691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555694 */     // MIs[0] policy
     /* 1555694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555704 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1555707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555728 */     // GIR_Coverage, 20887,
     /* 1555728 */     GIR_EraseRootFromParent_Done,
     /* 1555729 */   // Label 21550: @1555729
     /* 1555729 */   GIM_Try, /*On fail goto*//*Label 21551*/ GIMT_Encode4(1555811), // Rule ID 20888 //
     /* 1555734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1555737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1555745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1555748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1555751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1555754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1555761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555773 */     // MIs[0] round
     /* 1555773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555776 */     // MIs[0] policy
     /* 1555776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555786 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1555789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555795 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555810 */     // GIR_Coverage, 20888,
     /* 1555810 */     GIR_EraseRootFromParent_Done,
     /* 1555811 */   // Label 21551: @1555811
     /* 1555811 */   GIM_Try, /*On fail goto*//*Label 21552*/ GIMT_Encode4(1555893), // Rule ID 20891 //
     /* 1555816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1555819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1555827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1555830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1555833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555855 */     // MIs[0] round
     /* 1555855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555858 */     // MIs[0] policy
     /* 1555858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555868 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1555871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555892 */     // GIR_Coverage, 20891,
     /* 1555892 */     GIR_EraseRootFromParent_Done,
     /* 1555893 */   // Label 21552: @1555893
     /* 1555893 */   GIM_Try, /*On fail goto*//*Label 21553*/ GIMT_Encode4(1555975), // Rule ID 20892 //
     /* 1555898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1555901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1555909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1555912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1555915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555937 */     // MIs[0] round
     /* 1555937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555940 */     // MIs[0] policy
     /* 1555940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555950 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1555953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555959 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1555971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555974 */     // GIR_Coverage, 20892,
     /* 1555974 */     GIR_EraseRootFromParent_Done,
     /* 1555975 */   // Label 21553: @1555975
     /* 1555975 */   GIM_Try, /*On fail goto*//*Label 21554*/ GIMT_Encode4(1556057), // Rule ID 20895 //
     /* 1555980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1555983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1555988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1555991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1555994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1555997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556019 */     // MIs[0] round
     /* 1556019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556022 */     // MIs[0] policy
     /* 1556022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556032 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1556035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556056 */     // GIR_Coverage, 20895,
     /* 1556056 */     GIR_EraseRootFromParent_Done,
     /* 1556057 */   // Label 21554: @1556057
     /* 1556057 */   GIM_Try, /*On fail goto*//*Label 21555*/ GIMT_Encode4(1556139), // Rule ID 20896 //
     /* 1556062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1556065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1556073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1556076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1556079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556101 */     // MIs[0] round
     /* 1556101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556104 */     // MIs[0] policy
     /* 1556104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556114 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1556117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556123 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556125 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556138 */     // GIR_Coverage, 20896,
     /* 1556138 */     GIR_EraseRootFromParent_Done,
     /* 1556139 */   // Label 21555: @1556139
     /* 1556139 */   GIM_Try, /*On fail goto*//*Label 21556*/ GIMT_Encode4(1556221), // Rule ID 20899 //
     /* 1556144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1556147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1556155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1556158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1556161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556183 */     // MIs[0] round
     /* 1556183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556186 */     // MIs[0] policy
     /* 1556186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556196 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1556199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556205 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556220 */     // GIR_Coverage, 20899,
     /* 1556220 */     GIR_EraseRootFromParent_Done,
     /* 1556221 */   // Label 21556: @1556221
     /* 1556221 */   GIM_Try, /*On fail goto*//*Label 21557*/ GIMT_Encode4(1556303), // Rule ID 20900 //
     /* 1556226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1556229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1556234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1556237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1556240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1556243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556265 */     // MIs[0] round
     /* 1556265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556268 */     // MIs[0] policy
     /* 1556268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556278 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1556281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1556299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556302 */     // GIR_Coverage, 20900,
     /* 1556302 */     GIR_EraseRootFromParent_Done,
     /* 1556303 */   // Label 21557: @1556303
     /* 1556303 */   GIM_Try, /*On fail goto*//*Label 21558*/ GIMT_Encode4(1556385), // Rule ID 20903 //
     /* 1556308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1556316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1556319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1556322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1556325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1556328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556347 */     // MIs[0] round
     /* 1556347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556350 */     // MIs[0] policy
     /* 1556350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556360 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1556363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556384 */     // GIR_Coverage, 20903,
     /* 1556384 */     GIR_EraseRootFromParent_Done,
     /* 1556385 */   // Label 21558: @1556385
     /* 1556385 */   GIM_Try, /*On fail goto*//*Label 21559*/ GIMT_Encode4(1556467), // Rule ID 20904 //
     /* 1556390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1556398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1556401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1556404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1556407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1556410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556429 */     // MIs[0] round
     /* 1556429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556432 */     // MIs[0] policy
     /* 1556432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556442 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1556445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556453 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556466 */     // GIR_Coverage, 20904,
     /* 1556466 */     GIR_EraseRootFromParent_Done,
     /* 1556467 */   // Label 21559: @1556467
     /* 1556467 */   GIM_Try, /*On fail goto*//*Label 21560*/ GIMT_Encode4(1556549), // Rule ID 20907 //
     /* 1556472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1556480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1556483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1556486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1556489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1556492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556511 */     // MIs[0] round
     /* 1556511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556514 */     // MIs[0] policy
     /* 1556514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556524 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1556527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556548 */     // GIR_Coverage, 20907,
     /* 1556548 */     GIR_EraseRootFromParent_Done,
     /* 1556549 */   // Label 21560: @1556549
     /* 1556549 */   GIM_Try, /*On fail goto*//*Label 21561*/ GIMT_Encode4(1556631), // Rule ID 20908 //
     /* 1556554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1556562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1556565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1556568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1556571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1556574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556593 */     // MIs[0] round
     /* 1556593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556596 */     // MIs[0] policy
     /* 1556596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556606 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1556609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556615 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556617 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556630 */     // GIR_Coverage, 20908,
     /* 1556630 */     GIR_EraseRootFromParent_Done,
     /* 1556631 */   // Label 21561: @1556631
     /* 1556631 */   GIM_Try, /*On fail goto*//*Label 21562*/ GIMT_Encode4(1556713), // Rule ID 20911 //
     /* 1556636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1556639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1556644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1556647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1556650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1556653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1556656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556675 */     // MIs[0] round
     /* 1556675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556678 */     // MIs[0] policy
     /* 1556678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556688 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1556691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556712 */     // GIR_Coverage, 20911,
     /* 1556712 */     GIR_EraseRootFromParent_Done,
     /* 1556713 */   // Label 21562: @1556713
     /* 1556713 */   GIM_Try, /*On fail goto*//*Label 21563*/ GIMT_Encode4(1556795), // Rule ID 20912 //
     /* 1556718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1556721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1556726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1556729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1556732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1556735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1556738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556757 */     // MIs[0] round
     /* 1556757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556760 */     // MIs[0] policy
     /* 1556760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556770 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1556773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556794 */     // GIR_Coverage, 20912,
     /* 1556794 */     GIR_EraseRootFromParent_Done,
     /* 1556795 */   // Label 21563: @1556795
     /* 1556795 */   GIM_Try, /*On fail goto*//*Label 21564*/ GIMT_Encode4(1556877), // Rule ID 20915 //
     /* 1556800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1556808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1556811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1556814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1556817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556839 */     // MIs[0] round
     /* 1556839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556842 */     // MIs[0] policy
     /* 1556842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556852 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1556855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556876 */     // GIR_Coverage, 20915,
     /* 1556876 */     GIR_EraseRootFromParent_Done,
     /* 1556877 */   // Label 21564: @1556877
     /* 1556877 */   GIM_Try, /*On fail goto*//*Label 21565*/ GIMT_Encode4(1556959), // Rule ID 20916 //
     /* 1556882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1556890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1556893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1556896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1556899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556921 */     // MIs[0] round
     /* 1556921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556924 */     // MIs[0] policy
     /* 1556924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556934 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1556937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556943 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556945 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556958 */     // GIR_Coverage, 20916,
     /* 1556958 */     GIR_EraseRootFromParent_Done,
     /* 1556959 */   // Label 21565: @1556959
     /* 1556959 */   GIM_Try, /*On fail goto*//*Label 21566*/ GIMT_Encode4(1557041), // Rule ID 20919 //
     /* 1556964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1556967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1556972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1556975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1556978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1556981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1556984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557003 */     // MIs[0] round
     /* 1557003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557006 */     // MIs[0] policy
     /* 1557006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557016 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1557019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557040 */     // GIR_Coverage, 20919,
     /* 1557040 */     GIR_EraseRootFromParent_Done,
     /* 1557041 */   // Label 21566: @1557041
     /* 1557041 */   GIM_Try, /*On fail goto*//*Label 21567*/ GIMT_Encode4(1557123), // Rule ID 20920 //
     /* 1557046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1557049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1557057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1557060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1557063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557085 */     // MIs[0] round
     /* 1557085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557088 */     // MIs[0] policy
     /* 1557088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557098 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1557101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557109 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557122 */     // GIR_Coverage, 20920,
     /* 1557122 */     GIR_EraseRootFromParent_Done,
     /* 1557123 */   // Label 21567: @1557123
     /* 1557123 */   GIM_Try, /*On fail goto*//*Label 21568*/ GIMT_Encode4(1557205), // Rule ID 20923 //
     /* 1557128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1557131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1557139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1557142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1557145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557167 */     // MIs[0] round
     /* 1557167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557170 */     // MIs[0] policy
     /* 1557170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557180 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1557183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557204 */     // GIR_Coverage, 20923,
     /* 1557204 */     GIR_EraseRootFromParent_Done,
     /* 1557205 */   // Label 21568: @1557205
     /* 1557205 */   GIM_Try, /*On fail goto*//*Label 21569*/ GIMT_Encode4(1557287), // Rule ID 20924 //
     /* 1557210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1557213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1557221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1557224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1557227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557249 */     // MIs[0] round
     /* 1557249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557252 */     // MIs[0] policy
     /* 1557252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557262 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1557265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557271 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557286 */     // GIR_Coverage, 20924,
     /* 1557286 */     GIR_EraseRootFromParent_Done,
     /* 1557287 */   // Label 21569: @1557287
     /* 1557287 */   GIM_Try, /*On fail goto*//*Label 21570*/ GIMT_Encode4(1557369), // Rule ID 20927 //
     /* 1557292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1557303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1557306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1557309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557331 */     // MIs[0] round
     /* 1557331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557334 */     // MIs[0] policy
     /* 1557334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557344 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1557347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557368 */     // GIR_Coverage, 20927,
     /* 1557368 */     GIR_EraseRootFromParent_Done,
     /* 1557369 */   // Label 21570: @1557369
     /* 1557369 */   GIM_Try, /*On fail goto*//*Label 21571*/ GIMT_Encode4(1557451), // Rule ID 20928 //
     /* 1557374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1557385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1557388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1557391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557413 */     // MIs[0] round
     /* 1557413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557416 */     // MIs[0] policy
     /* 1557416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557426 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1557429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557435 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557450 */     // GIR_Coverage, 20928,
     /* 1557450 */     GIR_EraseRootFromParent_Done,
     /* 1557451 */   // Label 21571: @1557451
     /* 1557451 */   GIM_Try, /*On fail goto*//*Label 21572*/ GIMT_Encode4(1557533), // Rule ID 20931 //
     /* 1557456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1557467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1557470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1557473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1557476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557495 */     // MIs[0] round
     /* 1557495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557498 */     // MIs[0] policy
     /* 1557498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557508 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1557511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557532 */     // GIR_Coverage, 20931,
     /* 1557532 */     GIR_EraseRootFromParent_Done,
     /* 1557533 */   // Label 21572: @1557533
     /* 1557533 */   GIM_Try, /*On fail goto*//*Label 21573*/ GIMT_Encode4(1557615), // Rule ID 20932 //
     /* 1557538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1557549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1557552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1557555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1557558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557577 */     // MIs[0] round
     /* 1557577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557580 */     // MIs[0] policy
     /* 1557580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557590 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1557593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557601 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557614 */     // GIR_Coverage, 20932,
     /* 1557614 */     GIR_EraseRootFromParent_Done,
     /* 1557615 */   // Label 21573: @1557615
     /* 1557615 */   GIM_Try, /*On fail goto*//*Label 21574*/ GIMT_Encode4(1557697), // Rule ID 20935 //
     /* 1557620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1557631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1557634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1557637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1557640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1557647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557659 */     // MIs[0] round
     /* 1557659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557662 */     // MIs[0] policy
     /* 1557662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557672 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1557675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557696 */     // GIR_Coverage, 20935,
     /* 1557696 */     GIR_EraseRootFromParent_Done,
     /* 1557697 */   // Label 21574: @1557697
     /* 1557697 */   GIM_Try, /*On fail goto*//*Label 21575*/ GIMT_Encode4(1557779), // Rule ID 20936 //
     /* 1557702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1557713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1557716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1557719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1557722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1557729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557741 */     // MIs[0] round
     /* 1557741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557744 */     // MIs[0] policy
     /* 1557744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557754 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1557757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557778 */     // GIR_Coverage, 20936,
     /* 1557778 */     GIR_EraseRootFromParent_Done,
     /* 1557779 */   // Label 21575: @1557779
     /* 1557779 */   GIM_Try, /*On fail goto*//*Label 21576*/ GIMT_Encode4(1557861), // Rule ID 20939 //
     /* 1557784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1557787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1557795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1557798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1557801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557823 */     // MIs[0] round
     /* 1557823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557826 */     // MIs[0] policy
     /* 1557826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557836 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1557839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557860 */     // GIR_Coverage, 20939,
     /* 1557860 */     GIR_EraseRootFromParent_Done,
     /* 1557861 */   // Label 21576: @1557861
     /* 1557861 */   GIM_Try, /*On fail goto*//*Label 21577*/ GIMT_Encode4(1557943), // Rule ID 20940 //
     /* 1557866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1557869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1557877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1557880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1557883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557905 */     // MIs[0] round
     /* 1557905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557908 */     // MIs[0] policy
     /* 1557908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557918 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1557921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557927 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557942 */     // GIR_Coverage, 20940,
     /* 1557942 */     GIR_EraseRootFromParent_Done,
     /* 1557943 */   // Label 21577: @1557943
     /* 1557943 */   GIM_Try, /*On fail goto*//*Label 21578*/ GIMT_Encode4(1558025), // Rule ID 20943 //
     /* 1557948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1557951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1557956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1557959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1557962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1557965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557987 */     // MIs[0] round
     /* 1557987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557990 */     // MIs[0] policy
     /* 1557990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558000 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1558003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558024 */     // GIR_Coverage, 20943,
     /* 1558024 */     GIR_EraseRootFromParent_Done,
     /* 1558025 */   // Label 21578: @1558025
     /* 1558025 */   GIM_Try, /*On fail goto*//*Label 21579*/ GIMT_Encode4(1558107), // Rule ID 20944 //
     /* 1558030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1558041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1558044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1558047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558069 */     // MIs[0] round
     /* 1558069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558072 */     // MIs[0] policy
     /* 1558072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558082 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1558085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558106 */     // GIR_Coverage, 20944,
     /* 1558106 */     GIR_EraseRootFromParent_Done,
     /* 1558107 */   // Label 21579: @1558107
     /* 1558107 */   GIM_Try, /*On fail goto*//*Label 21580*/ GIMT_Encode4(1558189), // Rule ID 20947 //
     /* 1558112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1558123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1558126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1558129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1558132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558151 */     // MIs[0] round
     /* 1558151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558154 */     // MIs[0] policy
     /* 1558154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558164 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1558167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558188 */     // GIR_Coverage, 20947,
     /* 1558188 */     GIR_EraseRootFromParent_Done,
     /* 1558189 */   // Label 21580: @1558189
     /* 1558189 */   GIM_Try, /*On fail goto*//*Label 21581*/ GIMT_Encode4(1558271), // Rule ID 20948 //
     /* 1558194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1558205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1558208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1558211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1558214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558233 */     // MIs[0] round
     /* 1558233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558236 */     // MIs[0] policy
     /* 1558236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558246 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1558249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558255 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558270 */     // GIR_Coverage, 20948,
     /* 1558270 */     GIR_EraseRootFromParent_Done,
     /* 1558271 */   // Label 21581: @1558271
     /* 1558271 */   GIM_Try, /*On fail goto*//*Label 21582*/ GIMT_Encode4(1558353), // Rule ID 20951 //
     /* 1558276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1558279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1558287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1558290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1558293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558315 */     // MIs[0] round
     /* 1558315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558318 */     // MIs[0] policy
     /* 1558318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558328 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1558331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558352 */     // GIR_Coverage, 20951,
     /* 1558352 */     GIR_EraseRootFromParent_Done,
     /* 1558353 */   // Label 21582: @1558353
     /* 1558353 */   GIM_Try, /*On fail goto*//*Label 21583*/ GIMT_Encode4(1558435), // Rule ID 20952 //
     /* 1558358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1558361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1558369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1558372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1558375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558397 */     // MIs[0] round
     /* 1558397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558400 */     // MIs[0] policy
     /* 1558400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558410 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1558413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558434 */     // GIR_Coverage, 20952,
     /* 1558434 */     GIR_EraseRootFromParent_Done,
     /* 1558435 */   // Label 21583: @1558435
     /* 1558435 */   GIM_Try, /*On fail goto*//*Label 21584*/ GIMT_Encode4(1558517), // Rule ID 20955 //
     /* 1558440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1558443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1558451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1558454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1558457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558479 */     // MIs[0] round
     /* 1558479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558482 */     // MIs[0] policy
     /* 1558482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558492 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1558495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558516 */     // GIR_Coverage, 20955,
     /* 1558516 */     GIR_EraseRootFromParent_Done,
     /* 1558517 */   // Label 21584: @1558517
     /* 1558517 */   GIM_Try, /*On fail goto*//*Label 21585*/ GIMT_Encode4(1558599), // Rule ID 20956 //
     /* 1558522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1558525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1558533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1558536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1558539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558561 */     // MIs[0] round
     /* 1558561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558564 */     // MIs[0] policy
     /* 1558564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558574 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1558577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558583 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558585 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558598 */     // GIR_Coverage, 20956,
     /* 1558598 */     GIR_EraseRootFromParent_Done,
     /* 1558599 */   // Label 21585: @1558599
     /* 1558599 */   GIM_Try, /*On fail goto*//*Label 21586*/ GIMT_Encode4(1558681), // Rule ID 20959 //
     /* 1558604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1558607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1558615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1558618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1558621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558643 */     // MIs[0] round
     /* 1558643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558646 */     // MIs[0] policy
     /* 1558646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558656 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1558659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558680 */     // GIR_Coverage, 20959,
     /* 1558680 */     GIR_EraseRootFromParent_Done,
     /* 1558681 */   // Label 21586: @1558681
     /* 1558681 */   GIM_Try, /*On fail goto*//*Label 21587*/ GIMT_Encode4(1558763), // Rule ID 20960 //
     /* 1558686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1558689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1558694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1558697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1558700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1558703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558725 */     // MIs[0] round
     /* 1558725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558728 */     // MIs[0] policy
     /* 1558728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558738 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1558741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558762 */     // GIR_Coverage, 20960,
     /* 1558762 */     GIR_EraseRootFromParent_Done,
     /* 1558763 */   // Label 21587: @1558763
     /* 1558763 */   GIM_Try, /*On fail goto*//*Label 21588*/ GIMT_Encode4(1558845), // Rule ID 21035 //
     /* 1558768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1558776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1558779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1558782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1558785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558807 */     // MIs[0] round
     /* 1558807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558810 */     // MIs[0] policy
     /* 1558810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558820 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1558823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558844 */     // GIR_Coverage, 21035,
     /* 1558844 */     GIR_EraseRootFromParent_Done,
     /* 1558845 */   // Label 21588: @1558845
     /* 1558845 */   GIM_Try, /*On fail goto*//*Label 21589*/ GIMT_Encode4(1558927), // Rule ID 21036 //
     /* 1558850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1558853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1558858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1558861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1558864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1558867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558889 */     // MIs[0] round
     /* 1558889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558892 */     // MIs[0] policy
     /* 1558892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558902 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1558905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558913 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558926 */     // GIR_Coverage, 21036,
     /* 1558926 */     GIR_EraseRootFromParent_Done,
     /* 1558927 */   // Label 21589: @1558927
     /* 1558927 */   GIM_Try, /*On fail goto*//*Label 21590*/ GIMT_Encode4(1559009), // Rule ID 21039 //
     /* 1558932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1558935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1558940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1558943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1558946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1558949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558971 */     // MIs[0] round
     /* 1558971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558974 */     // MIs[0] policy
     /* 1558974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1558987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559008 */     // GIR_Coverage, 21039,
     /* 1559008 */     GIR_EraseRootFromParent_Done,
     /* 1559009 */   // Label 21590: @1559009
     /* 1559009 */   GIM_Try, /*On fail goto*//*Label 21591*/ GIMT_Encode4(1559091), // Rule ID 21040 //
     /* 1559014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1559017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1559022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1559025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1559028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1559031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559053 */     // MIs[0] round
     /* 1559053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559056 */     // MIs[0] policy
     /* 1559056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559066 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1559069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559075 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559090 */     // GIR_Coverage, 21040,
     /* 1559090 */     GIR_EraseRootFromParent_Done,
     /* 1559091 */   // Label 21591: @1559091
     /* 1559091 */   GIM_Try, /*On fail goto*//*Label 21592*/ GIMT_Encode4(1559173), // Rule ID 21043 //
     /* 1559096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1559099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1559104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1559107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1559110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1559113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559135 */     // MIs[0] round
     /* 1559135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559138 */     // MIs[0] policy
     /* 1559138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559148 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1559151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559172 */     // GIR_Coverage, 21043,
     /* 1559172 */     GIR_EraseRootFromParent_Done,
     /* 1559173 */   // Label 21592: @1559173
     /* 1559173 */   GIM_Try, /*On fail goto*//*Label 21593*/ GIMT_Encode4(1559255), // Rule ID 21044 //
     /* 1559178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1559181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1559186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1559189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1559192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1559195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559217 */     // MIs[0] round
     /* 1559217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559220 */     // MIs[0] policy
     /* 1559220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559230 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1559233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559239 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559241 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559254 */     // GIR_Coverage, 21044,
     /* 1559254 */     GIR_EraseRootFromParent_Done,
     /* 1559255 */   // Label 21593: @1559255
     /* 1559255 */   GIM_Try, /*On fail goto*//*Label 21594*/ GIMT_Encode4(1559337), // Rule ID 21047 //
     /* 1559260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1559263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1559268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1559271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1559274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1559277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559299 */     // MIs[0] round
     /* 1559299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559302 */     // MIs[0] policy
     /* 1559302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559312 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1559315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559336 */     // GIR_Coverage, 21047,
     /* 1559336 */     GIR_EraseRootFromParent_Done,
     /* 1559337 */   // Label 21594: @1559337
     /* 1559337 */   GIM_Try, /*On fail goto*//*Label 21595*/ GIMT_Encode4(1559419), // Rule ID 21048 //
     /* 1559342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1559345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1559350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1559353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1559356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1559359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559381 */     // MIs[0] round
     /* 1559381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559384 */     // MIs[0] policy
     /* 1559384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559394 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1559397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559418 */     // GIR_Coverage, 21048,
     /* 1559418 */     GIR_EraseRootFromParent_Done,
     /* 1559419 */   // Label 21595: @1559419
     /* 1559419 */   GIM_Try, /*On fail goto*//*Label 21596*/ GIMT_Encode4(1559501), // Rule ID 21051 //
     /* 1559424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1559427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1559432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1559435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1559438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1559441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1559444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559463 */     // MIs[0] round
     /* 1559463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559466 */     // MIs[0] policy
     /* 1559466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559476 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1559479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559500 */     // GIR_Coverage, 21051,
     /* 1559500 */     GIR_EraseRootFromParent_Done,
     /* 1559501 */   // Label 21596: @1559501
     /* 1559501 */   GIM_Try, /*On fail goto*//*Label 21597*/ GIMT_Encode4(1559583), // Rule ID 21052 //
     /* 1559506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1559509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1559514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1559517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1559520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1559523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1559526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559545 */     // MIs[0] round
     /* 1559545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559548 */     // MIs[0] policy
     /* 1559548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559558 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1559561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559567 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559582 */     // GIR_Coverage, 21052,
     /* 1559582 */     GIR_EraseRootFromParent_Done,
     /* 1559583 */   // Label 21597: @1559583
     /* 1559583 */   GIM_Try, /*On fail goto*//*Label 21598*/ GIMT_Encode4(1559665), // Rule ID 21055 //
     /* 1559588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1559591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1559596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1559599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1559602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1559605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559627 */     // MIs[0] round
     /* 1559627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559630 */     // MIs[0] policy
     /* 1559630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559640 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1559643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559664 */     // GIR_Coverage, 21055,
     /* 1559664 */     GIR_EraseRootFromParent_Done,
     /* 1559665 */   // Label 21598: @1559665
     /* 1559665 */   GIM_Try, /*On fail goto*//*Label 21599*/ GIMT_Encode4(1559747), // Rule ID 21056 //
     /* 1559670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1559673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1559678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1559681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1559684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1559687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559709 */     // MIs[0] round
     /* 1559709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559712 */     // MIs[0] policy
     /* 1559712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559722 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1559725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559746 */     // GIR_Coverage, 21056,
     /* 1559746 */     GIR_EraseRootFromParent_Done,
     /* 1559747 */   // Label 21599: @1559747
     /* 1559747 */   GIM_Try, /*On fail goto*//*Label 21600*/ GIMT_Encode4(1559829), // Rule ID 21059 //
     /* 1559752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1559755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1559760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1559763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1559766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1559769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559791 */     // MIs[0] round
     /* 1559791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559794 */     // MIs[0] policy
     /* 1559794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559804 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1559807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559828 */     // GIR_Coverage, 21059,
     /* 1559828 */     GIR_EraseRootFromParent_Done,
     /* 1559829 */   // Label 21600: @1559829
     /* 1559829 */   GIM_Try, /*On fail goto*//*Label 21601*/ GIMT_Encode4(1559911), // Rule ID 21060 //
     /* 1559834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1559837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1559842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1559845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1559848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1559851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559873 */     // MIs[0] round
     /* 1559873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559876 */     // MIs[0] policy
     /* 1559876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1559889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559895 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559897 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559910 */     // GIR_Coverage, 21060,
     /* 1559910 */     GIR_EraseRootFromParent_Done,
     /* 1559911 */   // Label 21601: @1559911
     /* 1559911 */   GIM_Try, /*On fail goto*//*Label 21602*/ GIMT_Encode4(1559993), // Rule ID 21063 //
     /* 1559916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1559919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1559924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1559927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1559930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1559933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559955 */     // MIs[0] round
     /* 1559955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559958 */     // MIs[0] policy
     /* 1559958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559968 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1559971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559992 */     // GIR_Coverage, 21063,
     /* 1559992 */     GIR_EraseRootFromParent_Done,
     /* 1559993 */   // Label 21602: @1559993
     /* 1559993 */   GIM_Try, /*On fail goto*//*Label 21603*/ GIMT_Encode4(1560075), // Rule ID 21064 //
     /* 1559998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1560001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1560009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1560012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1560015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560037 */     // MIs[0] round
     /* 1560037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560040 */     // MIs[0] policy
     /* 1560040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560050 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1560053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560074 */     // GIR_Coverage, 21064,
     /* 1560074 */     GIR_EraseRootFromParent_Done,
     /* 1560075 */   // Label 21603: @1560075
     /* 1560075 */   GIM_Try, /*On fail goto*//*Label 21604*/ GIMT_Encode4(1560157), // Rule ID 21067 //
     /* 1560080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1560083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1560091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1560094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1560097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1560107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560119 */     // MIs[0] round
     /* 1560119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560122 */     // MIs[0] policy
     /* 1560122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560132 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1560135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560156 */     // GIR_Coverage, 21067,
     /* 1560156 */     GIR_EraseRootFromParent_Done,
     /* 1560157 */   // Label 21604: @1560157
     /* 1560157 */   GIM_Try, /*On fail goto*//*Label 21605*/ GIMT_Encode4(1560239), // Rule ID 21068 //
     /* 1560162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1560165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1560170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1560173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1560176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1560179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1560189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560201 */     // MIs[0] round
     /* 1560201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560204 */     // MIs[0] policy
     /* 1560204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560214 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1560217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560223 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560225 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560238 */     // GIR_Coverage, 21068,
     /* 1560238 */     GIR_EraseRootFromParent_Done,
     /* 1560239 */   // Label 21605: @1560239
     /* 1560239 */   GIM_Try, /*On fail goto*//*Label 21606*/ GIMT_Encode4(1560321), // Rule ID 21071 //
     /* 1560244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1560252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1560255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1560258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1560261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560283 */     // MIs[0] round
     /* 1560283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560286 */     // MIs[0] policy
     /* 1560286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560296 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1560299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560320 */     // GIR_Coverage, 21071,
     /* 1560320 */     GIR_EraseRootFromParent_Done,
     /* 1560321 */   // Label 21606: @1560321
     /* 1560321 */   GIM_Try, /*On fail goto*//*Label 21607*/ GIMT_Encode4(1560403), // Rule ID 21072 //
     /* 1560326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1560334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1560337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1560340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1560343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560365 */     // MIs[0] round
     /* 1560365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560368 */     // MIs[0] policy
     /* 1560368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560378 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1560381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560402 */     // GIR_Coverage, 21072,
     /* 1560402 */     GIR_EraseRootFromParent_Done,
     /* 1560403 */   // Label 21607: @1560403
     /* 1560403 */   GIM_Try, /*On fail goto*//*Label 21608*/ GIMT_Encode4(1560485), // Rule ID 21075 //
     /* 1560408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1560416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1560419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1560422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1560425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560447 */     // MIs[0] round
     /* 1560447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560450 */     // MIs[0] policy
     /* 1560450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560460 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1560463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560484 */     // GIR_Coverage, 21075,
     /* 1560484 */     GIR_EraseRootFromParent_Done,
     /* 1560485 */   // Label 21608: @1560485
     /* 1560485 */   GIM_Try, /*On fail goto*//*Label 21609*/ GIMT_Encode4(1560567), // Rule ID 21076 //
     /* 1560490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1560498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1560501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1560504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1560507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560529 */     // MIs[0] round
     /* 1560529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560532 */     // MIs[0] policy
     /* 1560532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560542 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1560545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560553 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560566 */     // GIR_Coverage, 21076,
     /* 1560566 */     GIR_EraseRootFromParent_Done,
     /* 1560567 */   // Label 21609: @1560567
     /* 1560567 */   GIM_Try, /*On fail goto*//*Label 21610*/ GIMT_Encode4(1560649), // Rule ID 21079 //
     /* 1560572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1560580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1560583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1560586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1560589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560611 */     // MIs[0] round
     /* 1560611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560614 */     // MIs[0] policy
     /* 1560614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1560627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560648 */     // GIR_Coverage, 21079,
     /* 1560648 */     GIR_EraseRootFromParent_Done,
     /* 1560649 */   // Label 21610: @1560649
     /* 1560649 */   GIM_Try, /*On fail goto*//*Label 21611*/ GIMT_Encode4(1560731), // Rule ID 21080 //
     /* 1560654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1560662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1560665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1560668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1560671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560693 */     // MIs[0] round
     /* 1560693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560696 */     // MIs[0] policy
     /* 1560696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560706 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1560709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560715 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560730 */     // GIR_Coverage, 21080,
     /* 1560730 */     GIR_EraseRootFromParent_Done,
     /* 1560731 */   // Label 21611: @1560731
     /* 1560731 */   GIM_Try, /*On fail goto*//*Label 21612*/ GIMT_Encode4(1560813), // Rule ID 21083 //
     /* 1560736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1560744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1560747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1560750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1560753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560775 */     // MIs[0] round
     /* 1560775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560778 */     // MIs[0] policy
     /* 1560778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560788 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1560791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560812 */     // GIR_Coverage, 21083,
     /* 1560812 */     GIR_EraseRootFromParent_Done,
     /* 1560813 */   // Label 21612: @1560813
     /* 1560813 */   GIM_Try, /*On fail goto*//*Label 21613*/ GIMT_Encode4(1560895), // Rule ID 21084 //
     /* 1560818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1560826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1560829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1560832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1560835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560857 */     // MIs[0] round
     /* 1560857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560860 */     // MIs[0] policy
     /* 1560860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560870 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1560873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560879 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560881 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560894 */     // GIR_Coverage, 21084,
     /* 1560894 */     GIR_EraseRootFromParent_Done,
     /* 1560895 */   // Label 21613: @1560895
     /* 1560895 */   GIM_Try, /*On fail goto*//*Label 21614*/ GIMT_Encode4(1560977), // Rule ID 21087 //
     /* 1560900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1560908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1560911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1560914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1560917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1560920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1560927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560939 */     // MIs[0] round
     /* 1560939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560942 */     // MIs[0] policy
     /* 1560942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560952 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1560955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560976 */     // GIR_Coverage, 21087,
     /* 1560976 */     GIR_EraseRootFromParent_Done,
     /* 1560977 */   // Label 21614: @1560977
     /* 1560977 */   GIM_Try, /*On fail goto*//*Label 21615*/ GIMT_Encode4(1561059), // Rule ID 21088 //
     /* 1560982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1560990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1560993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1560996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1560999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1561002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561021 */     // MIs[0] round
     /* 1561021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561024 */     // MIs[0] policy
     /* 1561024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561034 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1561037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561043 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561058 */     // GIR_Coverage, 21088,
     /* 1561058 */     GIR_EraseRootFromParent_Done,
     /* 1561059 */   // Label 21615: @1561059
     /* 1561059 */   GIM_Try, /*On fail goto*//*Label 21616*/ GIMT_Encode4(1561141), // Rule ID 21091 //
     /* 1561064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1561067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1561075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1561078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1561081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561103 */     // MIs[0] round
     /* 1561103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561106 */     // MIs[0] policy
     /* 1561106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561116 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1561119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561140 */     // GIR_Coverage, 21091,
     /* 1561140 */     GIR_EraseRootFromParent_Done,
     /* 1561141 */   // Label 21616: @1561141
     /* 1561141 */   GIM_Try, /*On fail goto*//*Label 21617*/ GIMT_Encode4(1561223), // Rule ID 21092 //
     /* 1561146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1561149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1561157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1561160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1561163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561185 */     // MIs[0] round
     /* 1561185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561188 */     // MIs[0] policy
     /* 1561188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561198 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1561201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561207 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561209 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561222 */     // GIR_Coverage, 21092,
     /* 1561222 */     GIR_EraseRootFromParent_Done,
     /* 1561223 */   // Label 21617: @1561223
     /* 1561223 */   GIM_Try, /*On fail goto*//*Label 21618*/ GIMT_Encode4(1561305), // Rule ID 21095 //
     /* 1561228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1561231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1561239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1561242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1561245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561267 */     // MIs[0] round
     /* 1561267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561270 */     // MIs[0] policy
     /* 1561270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561280 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1561283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561304 */     // GIR_Coverage, 21095,
     /* 1561304 */     GIR_EraseRootFromParent_Done,
     /* 1561305 */   // Label 21618: @1561305
     /* 1561305 */   GIM_Try, /*On fail goto*//*Label 21619*/ GIMT_Encode4(1561387), // Rule ID 21096 //
     /* 1561310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1561313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1561321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1561324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1561327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561349 */     // MIs[0] round
     /* 1561349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561352 */     // MIs[0] policy
     /* 1561352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561362 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1561365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561371 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561386 */     // GIR_Coverage, 21096,
     /* 1561386 */     GIR_EraseRootFromParent_Done,
     /* 1561387 */   // Label 21619: @1561387
     /* 1561387 */   GIM_Try, /*On fail goto*//*Label 21620*/ GIMT_Encode4(1561469), // Rule ID 21099 //
     /* 1561392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1561395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1561403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1561406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1561409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561431 */     // MIs[0] round
     /* 1561431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561434 */     // MIs[0] policy
     /* 1561434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561444 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1561447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561468 */     // GIR_Coverage, 21099,
     /* 1561468 */     GIR_EraseRootFromParent_Done,
     /* 1561469 */   // Label 21620: @1561469
     /* 1561469 */   GIM_Try, /*On fail goto*//*Label 21621*/ GIMT_Encode4(1561551), // Rule ID 21100 //
     /* 1561474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1561477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1561485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1561488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1561491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561513 */     // MIs[0] round
     /* 1561513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561516 */     // MIs[0] policy
     /* 1561516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561526 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1561529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561535 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561550 */     // GIR_Coverage, 21100,
     /* 1561550 */     GIR_EraseRootFromParent_Done,
     /* 1561551 */   // Label 21621: @1561551
     /* 1561551 */   GIM_Try, /*On fail goto*//*Label 21622*/ GIMT_Encode4(1561633), // Rule ID 21103 //
     /* 1561556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1561559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1561567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1561570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1561573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561595 */     // MIs[0] round
     /* 1561595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561598 */     // MIs[0] policy
     /* 1561598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561608 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1561611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561632 */     // GIR_Coverage, 21103,
     /* 1561632 */     GIR_EraseRootFromParent_Done,
     /* 1561633 */   // Label 21622: @1561633
     /* 1561633 */   GIM_Try, /*On fail goto*//*Label 21623*/ GIMT_Encode4(1561715), // Rule ID 21104 //
     /* 1561638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1561641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1561646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1561649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1561652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1561655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561677 */     // MIs[0] round
     /* 1561677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561680 */     // MIs[0] policy
     /* 1561680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561690 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1561693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561714 */     // GIR_Coverage, 21104,
     /* 1561714 */     GIR_EraseRootFromParent_Done,
     /* 1561715 */   // Label 21623: @1561715
     /* 1561715 */   GIM_Try, /*On fail goto*//*Label 21624*/ GIMT_Encode4(1561797), // Rule ID 21455 //
     /* 1561720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1561728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1561731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1561734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1561737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561759 */     // MIs[0] round
     /* 1561759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561762 */     // MIs[0] policy
     /* 1561762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561772 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1561775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1561793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561796 */     // GIR_Coverage, 21455,
     /* 1561796 */     GIR_EraseRootFromParent_Done,
     /* 1561797 */   // Label 21624: @1561797
     /* 1561797 */   GIM_Try, /*On fail goto*//*Label 21625*/ GIMT_Encode4(1561879), // Rule ID 21456 //
     /* 1561802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1561805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1561810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1561813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1561816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1561819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561841 */     // MIs[0] round
     /* 1561841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561844 */     // MIs[0] policy
     /* 1561844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561854 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1561857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561863 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1561875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561878 */     // GIR_Coverage, 21456,
     /* 1561878 */     GIR_EraseRootFromParent_Done,
     /* 1561879 */   // Label 21625: @1561879
     /* 1561879 */   GIM_Try, /*On fail goto*//*Label 21626*/ GIMT_Encode4(1561961), // Rule ID 21459 //
     /* 1561884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1561892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1561895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1561898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1561901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561923 */     // MIs[0] round
     /* 1561923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561926 */     // MIs[0] policy
     /* 1561926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561936 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1561939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1561957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561960 */     // GIR_Coverage, 21459,
     /* 1561960 */     GIR_EraseRootFromParent_Done,
     /* 1561961 */   // Label 21626: @1561961
     /* 1561961 */   GIM_Try, /*On fail goto*//*Label 21627*/ GIMT_Encode4(1562043), // Rule ID 21460 //
     /* 1561966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1561969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1561974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1561977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1561980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1561983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562005 */     // MIs[0] round
     /* 1562005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562008 */     // MIs[0] policy
     /* 1562008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562018 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1562021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562027 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1562039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562042 */     // GIR_Coverage, 21460,
     /* 1562042 */     GIR_EraseRootFromParent_Done,
     /* 1562043 */   // Label 21627: @1562043
     /* 1562043 */   GIM_Try, /*On fail goto*//*Label 21628*/ GIMT_Encode4(1562125), // Rule ID 21463 //
     /* 1562048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1562056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1562059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1562062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1562065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562087 */     // MIs[0] round
     /* 1562087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562090 */     // MIs[0] policy
     /* 1562090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562100 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1562103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562111 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1562121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562124 */     // GIR_Coverage, 21463,
     /* 1562124 */     GIR_EraseRootFromParent_Done,
     /* 1562125 */   // Label 21628: @1562125
     /* 1562125 */   GIM_Try, /*On fail goto*//*Label 21629*/ GIMT_Encode4(1562207), // Rule ID 21464 //
     /* 1562130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1562138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1562141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1562144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1562147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562169 */     // MIs[0] round
     /* 1562169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562172 */     // MIs[0] policy
     /* 1562172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562182 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1562185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562191 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1562203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562206 */     // GIR_Coverage, 21464,
     /* 1562206 */     GIR_EraseRootFromParent_Done,
     /* 1562207 */   // Label 21629: @1562207
     /* 1562207 */   GIM_Try, /*On fail goto*//*Label 21630*/ GIMT_Encode4(1562289), // Rule ID 21467 //
     /* 1562212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1562220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1562223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1562226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1562229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562251 */     // MIs[0] round
     /* 1562251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562254 */     // MIs[0] policy
     /* 1562254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562264 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1562267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1562285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562288 */     // GIR_Coverage, 21467,
     /* 1562288 */     GIR_EraseRootFromParent_Done,
     /* 1562289 */   // Label 21630: @1562289
     /* 1562289 */   GIM_Try, /*On fail goto*//*Label 21631*/ GIMT_Encode4(1562371), // Rule ID 21468 //
     /* 1562294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1562302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1562305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1562308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1562311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562333 */     // MIs[0] round
     /* 1562333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562336 */     // MIs[0] policy
     /* 1562336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562346 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1562349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562355 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1562367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562370 */     // GIR_Coverage, 21468,
     /* 1562370 */     GIR_EraseRootFromParent_Done,
     /* 1562371 */   // Label 21631: @1562371
     /* 1562371 */   GIM_Try, /*On fail goto*//*Label 21632*/ GIMT_Encode4(1562453), // Rule ID 21471 //
     /* 1562376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1562384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1562387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1562390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1562393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1562396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562415 */     // MIs[0] round
     /* 1562415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562418 */     // MIs[0] policy
     /* 1562418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562428 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1562431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1562449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562452 */     // GIR_Coverage, 21471,
     /* 1562452 */     GIR_EraseRootFromParent_Done,
     /* 1562453 */   // Label 21632: @1562453
     /* 1562453 */   GIM_Try, /*On fail goto*//*Label 21633*/ GIMT_Encode4(1562535), // Rule ID 21472 //
     /* 1562458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1562466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1562469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1562472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1562475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1562478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562497 */     // MIs[0] round
     /* 1562497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562500 */     // MIs[0] policy
     /* 1562500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562510 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1562513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562519 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1562531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562534 */     // GIR_Coverage, 21472,
     /* 1562534 */     GIR_EraseRootFromParent_Done,
     /* 1562535 */   // Label 21633: @1562535
     /* 1562535 */   GIM_Try, /*On fail goto*//*Label 21634*/ GIMT_Encode4(1562617), // Rule ID 21475 //
     /* 1562540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1562548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1562551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1562554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1562557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1562560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562579 */     // MIs[0] round
     /* 1562579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562582 */     // MIs[0] policy
     /* 1562582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562592 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1562595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1562613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562616 */     // GIR_Coverage, 21475,
     /* 1562616 */     GIR_EraseRootFromParent_Done,
     /* 1562617 */   // Label 21634: @1562617
     /* 1562617 */   GIM_Try, /*On fail goto*//*Label 21635*/ GIMT_Encode4(1562699), // Rule ID 21476 //
     /* 1562622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1562630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1562633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1562636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1562639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1562642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562661 */     // MIs[0] round
     /* 1562661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562664 */     // MIs[0] policy
     /* 1562664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562674 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1562677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1562695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562698 */     // GIR_Coverage, 21476,
     /* 1562698 */     GIR_EraseRootFromParent_Done,
     /* 1562699 */   // Label 21635: @1562699
     /* 1562699 */   GIM_Try, /*On fail goto*//*Label 21636*/ GIMT_Encode4(1562781), // Rule ID 21479 //
     /* 1562704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1562707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1562712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1562715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1562718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1562721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562743 */     // MIs[0] round
     /* 1562743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562746 */     // MIs[0] policy
     /* 1562746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562756 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1562759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562780 */     // GIR_Coverage, 21479,
     /* 1562780 */     GIR_EraseRootFromParent_Done,
     /* 1562781 */   // Label 21636: @1562781
     /* 1562781 */   GIM_Try, /*On fail goto*//*Label 21637*/ GIMT_Encode4(1562863), // Rule ID 21480 //
     /* 1562786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1562789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1562794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1562797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1562800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1562803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562825 */     // MIs[0] round
     /* 1562825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562828 */     // MIs[0] policy
     /* 1562828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562838 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1562841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562847 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562862 */     // GIR_Coverage, 21480,
     /* 1562862 */     GIR_EraseRootFromParent_Done,
     /* 1562863 */   // Label 21637: @1562863
     /* 1562863 */   GIM_Try, /*On fail goto*//*Label 21638*/ GIMT_Encode4(1562945), // Rule ID 21483 //
     /* 1562868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1562871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1562876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1562879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1562882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562907 */     // MIs[0] round
     /* 1562907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562910 */     // MIs[0] policy
     /* 1562910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562920 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1562923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562944 */     // GIR_Coverage, 21483,
     /* 1562944 */     GIR_EraseRootFromParent_Done,
     /* 1562945 */   // Label 21638: @1562945
     /* 1562945 */   GIM_Try, /*On fail goto*//*Label 21639*/ GIMT_Encode4(1563027), // Rule ID 21484 //
     /* 1562950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1562953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1562958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1562961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1562964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562989 */     // MIs[0] round
     /* 1562989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562992 */     // MIs[0] policy
     /* 1562992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563002 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1563005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563026 */     // GIR_Coverage, 21484,
     /* 1563026 */     GIR_EraseRootFromParent_Done,
     /* 1563027 */   // Label 21639: @1563027
     /* 1563027 */   GIM_Try, /*On fail goto*//*Label 21640*/ GIMT_Encode4(1563109), // Rule ID 21487 //
     /* 1563032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1563035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1563043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1563046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1563049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563071 */     // MIs[0] round
     /* 1563071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563074 */     // MIs[0] policy
     /* 1563074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1563087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563108 */     // GIR_Coverage, 21487,
     /* 1563108 */     GIR_EraseRootFromParent_Done,
     /* 1563109 */   // Label 21640: @1563109
     /* 1563109 */   GIM_Try, /*On fail goto*//*Label 21641*/ GIMT_Encode4(1563191), // Rule ID 21488 //
     /* 1563114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1563117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1563125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1563128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1563131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563153 */     // MIs[0] round
     /* 1563153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563156 */     // MIs[0] policy
     /* 1563156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563166 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1563169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563175 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563190 */     // GIR_Coverage, 21488,
     /* 1563190 */     GIR_EraseRootFromParent_Done,
     /* 1563191 */   // Label 21641: @1563191
     /* 1563191 */   GIM_Try, /*On fail goto*//*Label 21642*/ GIMT_Encode4(1563273), // Rule ID 21491 //
     /* 1563196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1563199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1563207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1563210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1563213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563235 */     // MIs[0] round
     /* 1563235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563238 */     // MIs[0] policy
     /* 1563238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563248 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1563251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563272 */     // GIR_Coverage, 21491,
     /* 1563272 */     GIR_EraseRootFromParent_Done,
     /* 1563273 */   // Label 21642: @1563273
     /* 1563273 */   GIM_Try, /*On fail goto*//*Label 21643*/ GIMT_Encode4(1563355), // Rule ID 21492 //
     /* 1563278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1563281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1563289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1563292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1563295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563317 */     // MIs[0] round
     /* 1563317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563320 */     // MIs[0] policy
     /* 1563320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563330 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1563333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563354 */     // GIR_Coverage, 21492,
     /* 1563354 */     GIR_EraseRootFromParent_Done,
     /* 1563355 */   // Label 21643: @1563355
     /* 1563355 */   GIM_Try, /*On fail goto*//*Label 21644*/ GIMT_Encode4(1563437), // Rule ID 21495 //
     /* 1563360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1563363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1563371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1563374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1563377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1563380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563399 */     // MIs[0] round
     /* 1563399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563402 */     // MIs[0] policy
     /* 1563402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563412 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1563415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563436 */     // GIR_Coverage, 21495,
     /* 1563436 */     GIR_EraseRootFromParent_Done,
     /* 1563437 */   // Label 21644: @1563437
     /* 1563437 */   GIM_Try, /*On fail goto*//*Label 21645*/ GIMT_Encode4(1563519), // Rule ID 21496 //
     /* 1563442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1563445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1563453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1563456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1563459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1563462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563481 */     // MIs[0] round
     /* 1563481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563484 */     // MIs[0] policy
     /* 1563484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563494 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1563497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563503 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563518 */     // GIR_Coverage, 21496,
     /* 1563518 */     GIR_EraseRootFromParent_Done,
     /* 1563519 */   // Label 21645: @1563519
     /* 1563519 */   GIM_Try, /*On fail goto*//*Label 21646*/ GIMT_Encode4(1563601), // Rule ID 21499 //
     /* 1563524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1563527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1563535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1563538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1563541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1563544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563563 */     // MIs[0] round
     /* 1563563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563566 */     // MIs[0] policy
     /* 1563566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563576 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1563579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563600 */     // GIR_Coverage, 21499,
     /* 1563600 */     GIR_EraseRootFromParent_Done,
     /* 1563601 */   // Label 21646: @1563601
     /* 1563601 */   GIM_Try, /*On fail goto*//*Label 21647*/ GIMT_Encode4(1563683), // Rule ID 21500 //
     /* 1563606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1563609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1563617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1563620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1563623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1563626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563645 */     // MIs[0] round
     /* 1563645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563648 */     // MIs[0] policy
     /* 1563648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1563661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563667 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563682 */     // GIR_Coverage, 21500,
     /* 1563682 */     GIR_EraseRootFromParent_Done,
     /* 1563683 */   // Label 21647: @1563683
     /* 1563683 */   GIM_Try, /*On fail goto*//*Label 21648*/ GIMT_Encode4(1563765), // Rule ID 21503 //
     /* 1563688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1563691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1563699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1563702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1563705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1563708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563727 */     // MIs[0] round
     /* 1563727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563730 */     // MIs[0] policy
     /* 1563730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563740 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1563743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563751 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563764 */     // GIR_Coverage, 21503,
     /* 1563764 */     GIR_EraseRootFromParent_Done,
     /* 1563765 */   // Label 21648: @1563765
     /* 1563765 */   GIM_Try, /*On fail goto*//*Label 21649*/ GIMT_Encode4(1563847), // Rule ID 21504 //
     /* 1563770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1563773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1563781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1563784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1563787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1563790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563809 */     // MIs[0] round
     /* 1563809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563812 */     // MIs[0] policy
     /* 1563812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563822 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1563825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563831 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563846 */     // GIR_Coverage, 21504,
     /* 1563846 */     GIR_EraseRootFromParent_Done,
     /* 1563847 */   // Label 21649: @1563847
     /* 1563847 */   GIM_Try, /*On fail goto*//*Label 21650*/ GIMT_Encode4(1563929), // Rule ID 21507 //
     /* 1563852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1563855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1563863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1563866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1563869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563891 */     // MIs[0] round
     /* 1563891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563894 */     // MIs[0] policy
     /* 1563894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563904 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1563907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563928 */     // GIR_Coverage, 21507,
     /* 1563928 */     GIR_EraseRootFromParent_Done,
     /* 1563929 */   // Label 21650: @1563929
     /* 1563929 */   GIM_Try, /*On fail goto*//*Label 21651*/ GIMT_Encode4(1564011), // Rule ID 21508 //
     /* 1563934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1563937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1563942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1563945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1563948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1563951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563973 */     // MIs[0] round
     /* 1563973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563976 */     // MIs[0] policy
     /* 1563976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563986 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1563989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563995 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564010 */     // GIR_Coverage, 21508,
     /* 1564010 */     GIR_EraseRootFromParent_Done,
     /* 1564011 */   // Label 21651: @1564011
     /* 1564011 */   GIM_Try, /*On fail goto*//*Label 21652*/ GIMT_Encode4(1564093), // Rule ID 21511 //
     /* 1564016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1564019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1564027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1564030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1564033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564055 */     // MIs[0] round
     /* 1564055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564058 */     // MIs[0] policy
     /* 1564058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564068 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1564071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564092 */     // GIR_Coverage, 21511,
     /* 1564092 */     GIR_EraseRootFromParent_Done,
     /* 1564093 */   // Label 21652: @1564093
     /* 1564093 */   GIM_Try, /*On fail goto*//*Label 21653*/ GIMT_Encode4(1564175), // Rule ID 21512 //
     /* 1564098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1564101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1564106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1564109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1564112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1564115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564137 */     // MIs[0] round
     /* 1564137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564140 */     // MIs[0] policy
     /* 1564140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564150 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1564153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564159 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564161 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564174 */     // GIR_Coverage, 21512,
     /* 1564174 */     GIR_EraseRootFromParent_Done,
     /* 1564175 */   // Label 21653: @1564175
     /* 1564175 */   GIM_Try, /*On fail goto*//*Label 21654*/ GIMT_Encode4(1564257), // Rule ID 21515 //
     /* 1564180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1564188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1564191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1564194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1564197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564219 */     // MIs[0] round
     /* 1564219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564222 */     // MIs[0] policy
     /* 1564222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564232 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1564235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564256 */     // GIR_Coverage, 21515,
     /* 1564256 */     GIR_EraseRootFromParent_Done,
     /* 1564257 */   // Label 21654: @1564257
     /* 1564257 */   GIM_Try, /*On fail goto*//*Label 21655*/ GIMT_Encode4(1564339), // Rule ID 21516 //
     /* 1564262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1564270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1564273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1564276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1564279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564301 */     // MIs[0] round
     /* 1564301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564304 */     // MIs[0] policy
     /* 1564304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564314 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1564317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564325 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564338 */     // GIR_Coverage, 21516,
     /* 1564338 */     GIR_EraseRootFromParent_Done,
     /* 1564339 */   // Label 21655: @1564339
     /* 1564339 */   GIM_Try, /*On fail goto*//*Label 21656*/ GIMT_Encode4(1564421), // Rule ID 21519 //
     /* 1564344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1564352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1564355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1564358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1564361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564383 */     // MIs[0] round
     /* 1564383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564386 */     // MIs[0] policy
     /* 1564386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564396 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1564399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564420 */     // GIR_Coverage, 21519,
     /* 1564420 */     GIR_EraseRootFromParent_Done,
     /* 1564421 */   // Label 21656: @1564421
     /* 1564421 */   GIM_Try, /*On fail goto*//*Label 21657*/ GIMT_Encode4(1564503), // Rule ID 21520 //
     /* 1564426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1564434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1564437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1564440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1564443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564465 */     // MIs[0] round
     /* 1564465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564468 */     // MIs[0] policy
     /* 1564468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564478 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1564481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564487 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564489 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564502 */     // GIR_Coverage, 21520,
     /* 1564502 */     GIR_EraseRootFromParent_Done,
     /* 1564503 */   // Label 21657: @1564503
     /* 1564503 */   GIM_Try, /*On fail goto*//*Label 21658*/ GIMT_Encode4(1564585), // Rule ID 21523 //
     /* 1564508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1564516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1564519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1564522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1564525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564547 */     // MIs[0] round
     /* 1564547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564550 */     // MIs[0] policy
     /* 1564550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564560 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1564563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564584 */     // GIR_Coverage, 21523,
     /* 1564584 */     GIR_EraseRootFromParent_Done,
     /* 1564585 */   // Label 21658: @1564585
     /* 1564585 */   GIM_Try, /*On fail goto*//*Label 21659*/ GIMT_Encode4(1564667), // Rule ID 21524 //
     /* 1564590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1564598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1564601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1564604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1564607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564629 */     // MIs[0] round
     /* 1564629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564632 */     // MIs[0] policy
     /* 1564632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564642 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1564645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564666 */     // GIR_Coverage, 21524,
     /* 1564666 */     GIR_EraseRootFromParent_Done,
     /* 1564667 */   // Label 21659: @1564667
     /* 1564667 */   GIM_Try, /*On fail goto*//*Label 21660*/ GIMT_Encode4(1564749), // Rule ID 21527 //
     /* 1564672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1564680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1564683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1564686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1564689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564711 */     // MIs[0] round
     /* 1564711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564714 */     // MIs[0] policy
     /* 1564714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564724 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1564727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564748 */     // GIR_Coverage, 21527,
     /* 1564748 */     GIR_EraseRootFromParent_Done,
     /* 1564749 */   // Label 21660: @1564749
     /* 1564749 */   GIM_Try, /*On fail goto*//*Label 21661*/ GIMT_Encode4(1564831), // Rule ID 21528 //
     /* 1564754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1564762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1564765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1564768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1564771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564793 */     // MIs[0] round
     /* 1564793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564796 */     // MIs[0] policy
     /* 1564796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564806 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1564809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564815 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564817 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564830 */     // GIR_Coverage, 21528,
     /* 1564830 */     GIR_EraseRootFromParent_Done,
     /* 1564831 */   // Label 21661: @1564831
     /* 1564831 */   GIM_Try, /*On fail goto*//*Label 21662*/ GIMT_Encode4(1564913), // Rule ID 21531 //
     /* 1564836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1564844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1564847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1564850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1564853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1564856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564875 */     // MIs[0] round
     /* 1564875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564878 */     // MIs[0] policy
     /* 1564878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564888 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1564891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564912 */     // GIR_Coverage, 21531,
     /* 1564912 */     GIR_EraseRootFromParent_Done,
     /* 1564913 */   // Label 21662: @1564913
     /* 1564913 */   GIM_Try, /*On fail goto*//*Label 21663*/ GIMT_Encode4(1564995), // Rule ID 21532 //
     /* 1564918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1564926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1564929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1564932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1564935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1564938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564957 */     // MIs[0] round
     /* 1564957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564960 */     // MIs[0] policy
     /* 1564960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564970 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1564973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564979 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564994 */     // GIR_Coverage, 21532,
     /* 1564994 */     GIR_EraseRootFromParent_Done,
     /* 1564995 */   // Label 21663: @1564995
     /* 1564995 */   GIM_Try, /*On fail goto*//*Label 21664*/ GIMT_Encode4(1565077), // Rule ID 21535 //
     /* 1565000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1565011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1565014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1565017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1565020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565039 */     // MIs[0] round
     /* 1565039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565042 */     // MIs[0] policy
     /* 1565042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565052 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1565055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565076 */     // GIR_Coverage, 21535,
     /* 1565076 */     GIR_EraseRootFromParent_Done,
     /* 1565077 */   // Label 21664: @1565077
     /* 1565077 */   GIM_Try, /*On fail goto*//*Label 21665*/ GIMT_Encode4(1565159), // Rule ID 21536 //
     /* 1565082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1565093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1565096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1565099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1565102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565121 */     // MIs[0] round
     /* 1565121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565124 */     // MIs[0] policy
     /* 1565124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565134 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1565137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565143 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1565155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565158 */     // GIR_Coverage, 21536,
     /* 1565158 */     GIR_EraseRootFromParent_Done,
     /* 1565159 */   // Label 21665: @1565159
     /* 1565159 */   GIM_Try, /*On fail goto*//*Label 21666*/ GIMT_Encode4(1565241), // Rule ID 21539 //
     /* 1565164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1565167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1565175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1565178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1565181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565203 */     // MIs[0] round
     /* 1565203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565206 */     // MIs[0] policy
     /* 1565206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565216 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1565219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565240 */     // GIR_Coverage, 21539,
     /* 1565240 */     GIR_EraseRootFromParent_Done,
     /* 1565241 */   // Label 21666: @1565241
     /* 1565241 */   GIM_Try, /*On fail goto*//*Label 21667*/ GIMT_Encode4(1565323), // Rule ID 21540 //
     /* 1565246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1565249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1565257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1565260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1565263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565285 */     // MIs[0] round
     /* 1565285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565288 */     // MIs[0] policy
     /* 1565288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565298 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1565301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565307 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565322 */     // GIR_Coverage, 21540,
     /* 1565322 */     GIR_EraseRootFromParent_Done,
     /* 1565323 */   // Label 21667: @1565323
     /* 1565323 */   GIM_Try, /*On fail goto*//*Label 21668*/ GIMT_Encode4(1565405), // Rule ID 21543 //
     /* 1565328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1565331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1565339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1565342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1565345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565367 */     // MIs[0] round
     /* 1565367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565370 */     // MIs[0] policy
     /* 1565370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565380 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1565383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565391 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565404 */     // GIR_Coverage, 21543,
     /* 1565404 */     GIR_EraseRootFromParent_Done,
     /* 1565405 */   // Label 21668: @1565405
     /* 1565405 */   GIM_Try, /*On fail goto*//*Label 21669*/ GIMT_Encode4(1565487), // Rule ID 21544 //
     /* 1565410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1565413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1565421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1565424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1565427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565449 */     // MIs[0] round
     /* 1565449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565452 */     // MIs[0] policy
     /* 1565452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565462 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1565465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565471 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565486 */     // GIR_Coverage, 21544,
     /* 1565486 */     GIR_EraseRootFromParent_Done,
     /* 1565487 */   // Label 21669: @1565487
     /* 1565487 */   GIM_Try, /*On fail goto*//*Label 21670*/ GIMT_Encode4(1565569), // Rule ID 21547 //
     /* 1565492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1565495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1565503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1565506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1565509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565531 */     // MIs[0] round
     /* 1565531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565534 */     // MIs[0] policy
     /* 1565534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565544 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1565547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565568 */     // GIR_Coverage, 21547,
     /* 1565568 */     GIR_EraseRootFromParent_Done,
     /* 1565569 */   // Label 21670: @1565569
     /* 1565569 */   GIM_Try, /*On fail goto*//*Label 21671*/ GIMT_Encode4(1565651), // Rule ID 21548 //
     /* 1565574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1565577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1565585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1565588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1565591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565613 */     // MIs[0] round
     /* 1565613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565616 */     // MIs[0] policy
     /* 1565616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565626 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1565629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565635 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565650 */     // GIR_Coverage, 21548,
     /* 1565650 */     GIR_EraseRootFromParent_Done,
     /* 1565651 */   // Label 21671: @1565651
     /* 1565651 */   GIM_Try, /*On fail goto*//*Label 21672*/ GIMT_Encode4(1565733), // Rule ID 21551 //
     /* 1565656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1565659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1565667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1565670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1565673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565695 */     // MIs[0] round
     /* 1565695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565698 */     // MIs[0] policy
     /* 1565698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565708 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1565711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565732 */     // GIR_Coverage, 21551,
     /* 1565732 */     GIR_EraseRootFromParent_Done,
     /* 1565733 */   // Label 21672: @1565733
     /* 1565733 */   GIM_Try, /*On fail goto*//*Label 21673*/ GIMT_Encode4(1565815), // Rule ID 21552 //
     /* 1565738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1565741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1565749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1565752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1565755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565777 */     // MIs[0] round
     /* 1565777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565780 */     // MIs[0] policy
     /* 1565780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565790 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1565793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565799 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565814 */     // GIR_Coverage, 21552,
     /* 1565814 */     GIR_EraseRootFromParent_Done,
     /* 1565815 */   // Label 21673: @1565815
     /* 1565815 */   GIM_Try, /*On fail goto*//*Label 21674*/ GIMT_Encode4(1565897), // Rule ID 21555 //
     /* 1565820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1565823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1565831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1565834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1565837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1565840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565859 */     // MIs[0] round
     /* 1565859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565862 */     // MIs[0] policy
     /* 1565862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565872 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1565875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565896 */     // GIR_Coverage, 21555,
     /* 1565896 */     GIR_EraseRootFromParent_Done,
     /* 1565897 */   // Label 21674: @1565897
     /* 1565897 */   GIM_Try, /*On fail goto*//*Label 21675*/ GIMT_Encode4(1565979), // Rule ID 21556 //
     /* 1565902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1565905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1565913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1565916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1565919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1565922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565941 */     // MIs[0] round
     /* 1565941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565944 */     // MIs[0] policy
     /* 1565944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565954 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1565957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565978 */     // GIR_Coverage, 21556,
     /* 1565978 */     GIR_EraseRootFromParent_Done,
     /* 1565979 */   // Label 21675: @1565979
     /* 1565979 */   GIM_Try, /*On fail goto*//*Label 21676*/ GIMT_Encode4(1566061), // Rule ID 21559 //
     /* 1565984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1565987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1565992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1565995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1565998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1566001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566023 */     // MIs[0] round
     /* 1566023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566026 */     // MIs[0] policy
     /* 1566026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566036 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1566039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566060 */     // GIR_Coverage, 21559,
     /* 1566060 */     GIR_EraseRootFromParent_Done,
     /* 1566061 */   // Label 21676: @1566061
     /* 1566061 */   GIM_Try, /*On fail goto*//*Label 21677*/ GIMT_Encode4(1566143), // Rule ID 21560 //
     /* 1566066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1566069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1566077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1566080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1566083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566105 */     // MIs[0] round
     /* 1566105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566108 */     // MIs[0] policy
     /* 1566108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566118 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1566121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566127 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566142 */     // GIR_Coverage, 21560,
     /* 1566142 */     GIR_EraseRootFromParent_Done,
     /* 1566143 */   // Label 21677: @1566143
     /* 1566143 */   GIM_Try, /*On fail goto*//*Label 21678*/ GIMT_Encode4(1566225), // Rule ID 21563 //
     /* 1566148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1566151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1566159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1566162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1566165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566187 */     // MIs[0] round
     /* 1566187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566190 */     // MIs[0] policy
     /* 1566190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566200 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1566203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566209 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566224 */     // GIR_Coverage, 21563,
     /* 1566224 */     GIR_EraseRootFromParent_Done,
     /* 1566225 */   // Label 21678: @1566225
     /* 1566225 */   GIM_Try, /*On fail goto*//*Label 21679*/ GIMT_Encode4(1566307), // Rule ID 21564 //
     /* 1566230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1566233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1566241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1566244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1566247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566269 */     // MIs[0] round
     /* 1566269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566272 */     // MIs[0] policy
     /* 1566272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566282 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1566285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566293 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566306 */     // GIR_Coverage, 21564,
     /* 1566306 */     GIR_EraseRootFromParent_Done,
     /* 1566307 */   // Label 21679: @1566307
     /* 1566307 */   GIM_Try, /*On fail goto*//*Label 21680*/ GIMT_Encode4(1566389), // Rule ID 21567 //
     /* 1566312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1566315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1566323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1566326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1566329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566351 */     // MIs[0] round
     /* 1566351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566354 */     // MIs[0] policy
     /* 1566354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1566367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566388 */     // GIR_Coverage, 21567,
     /* 1566388 */     GIR_EraseRootFromParent_Done,
     /* 1566389 */   // Label 21680: @1566389
     /* 1566389 */   GIM_Try, /*On fail goto*//*Label 21681*/ GIMT_Encode4(1566471), // Rule ID 21568 //
     /* 1566394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1566397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1566405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1566408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1566411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566433 */     // MIs[0] round
     /* 1566433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566436 */     // MIs[0] policy
     /* 1566436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566446 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11135:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1566449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566455 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566457 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566470 */     // GIR_Coverage, 21568,
     /* 1566470 */     GIR_EraseRootFromParent_Done,
     /* 1566471 */   // Label 21681: @1566471
     /* 1566471 */   GIM_Try, /*On fail goto*//*Label 21682*/ GIMT_Encode4(1566553), // Rule ID 21571 //
     /* 1566476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1566479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1566487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1566490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1566493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566515 */     // MIs[0] round
     /* 1566515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566518 */     // MIs[0] policy
     /* 1566518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566528 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1566531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566552 */     // GIR_Coverage, 21571,
     /* 1566552 */     GIR_EraseRootFromParent_Done,
     /* 1566553 */   // Label 21682: @1566553
     /* 1566553 */   GIM_Try, /*On fail goto*//*Label 21683*/ GIMT_Encode4(1566635), // Rule ID 21572 //
     /* 1566558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1566561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1566566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1566569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1566572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1566575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566597 */     // MIs[0] round
     /* 1566597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566600 */     // MIs[0] policy
     /* 1566600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566610 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11135:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1566613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566634 */     // GIR_Coverage, 21572,
     /* 1566634 */     GIR_EraseRootFromParent_Done,
     /* 1566635 */   // Label 21683: @1566635
     /* 1566635 */   GIM_Try, /*On fail goto*//*Label 21684*/ GIMT_Encode4(1566717), // Rule ID 21695 //
     /* 1566640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1566648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1566651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1566654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1566657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566679 */     // MIs[0] round
     /* 1566679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566682 */     // MIs[0] policy
     /* 1566682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566692 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1566695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566716 */     // GIR_Coverage, 21695,
     /* 1566716 */     GIR_EraseRootFromParent_Done,
     /* 1566717 */   // Label 21684: @1566717
     /* 1566717 */   GIM_Try, /*On fail goto*//*Label 21685*/ GIMT_Encode4(1566799), // Rule ID 21696 //
     /* 1566722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1566730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1566733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1566736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1566739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566761 */     // MIs[0] round
     /* 1566761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566764 */     // MIs[0] policy
     /* 1566764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566774 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1566777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566783 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566785 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566798 */     // GIR_Coverage, 21696,
     /* 1566798 */     GIR_EraseRootFromParent_Done,
     /* 1566799 */   // Label 21685: @1566799
     /* 1566799 */   GIM_Try, /*On fail goto*//*Label 21686*/ GIMT_Encode4(1566881), // Rule ID 21699 //
     /* 1566804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1566812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1566815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1566818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1566821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566843 */     // MIs[0] round
     /* 1566843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566846 */     // MIs[0] policy
     /* 1566846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566856 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1566859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566880 */     // GIR_Coverage, 21699,
     /* 1566880 */     GIR_EraseRootFromParent_Done,
     /* 1566881 */   // Label 21686: @1566881
     /* 1566881 */   GIM_Try, /*On fail goto*//*Label 21687*/ GIMT_Encode4(1566963), // Rule ID 21700 //
     /* 1566886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1566894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1566897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1566900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1566903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566925 */     // MIs[0] round
     /* 1566925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566928 */     // MIs[0] policy
     /* 1566928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566938 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1566941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566947 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566962 */     // GIR_Coverage, 21700,
     /* 1566962 */     GIR_EraseRootFromParent_Done,
     /* 1566963 */   // Label 21687: @1566963
     /* 1566963 */   GIM_Try, /*On fail goto*//*Label 21688*/ GIMT_Encode4(1567045), // Rule ID 21703 //
     /* 1566968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1566976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1566979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1566982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1566985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567007 */     // MIs[0] round
     /* 1567007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567010 */     // MIs[0] policy
     /* 1567010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567020 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1567023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567044 */     // GIR_Coverage, 21703,
     /* 1567044 */     GIR_EraseRootFromParent_Done,
     /* 1567045 */   // Label 21688: @1567045
     /* 1567045 */   GIM_Try, /*On fail goto*//*Label 21689*/ GIMT_Encode4(1567127), // Rule ID 21704 //
     /* 1567050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1567053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1567058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1567061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1567064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1567067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567089 */     // MIs[0] round
     /* 1567089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567092 */     // MIs[0] policy
     /* 1567092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567102 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1567105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567113 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567126 */     // GIR_Coverage, 21704,
     /* 1567126 */     GIR_EraseRootFromParent_Done,
     /* 1567127 */   // Label 21689: @1567127
     /* 1567127 */   GIM_Try, /*On fail goto*//*Label 21690*/ GIMT_Encode4(1567209), // Rule ID 21707 //
     /* 1567132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1567140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1567143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1567146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1567149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567171 */     // MIs[0] round
     /* 1567171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567174 */     // MIs[0] policy
     /* 1567174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567184 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1567187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567208 */     // GIR_Coverage, 21707,
     /* 1567208 */     GIR_EraseRootFromParent_Done,
     /* 1567209 */   // Label 21690: @1567209
     /* 1567209 */   GIM_Try, /*On fail goto*//*Label 21691*/ GIMT_Encode4(1567291), // Rule ID 21708 //
     /* 1567214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1567217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1567222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1567225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1567228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1567231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567253 */     // MIs[0] round
     /* 1567253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567256 */     // MIs[0] policy
     /* 1567256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567266 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1567269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567290 */     // GIR_Coverage, 21708,
     /* 1567290 */     GIR_EraseRootFromParent_Done,
     /* 1567291 */   // Label 21691: @1567291
     /* 1567291 */   GIM_Try, /*On fail goto*//*Label 21692*/ GIMT_Encode4(1567373), // Rule ID 21711 //
     /* 1567296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1567304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1567307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1567310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1567313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1567316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567335 */     // MIs[0] round
     /* 1567335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567338 */     // MIs[0] policy
     /* 1567338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567348 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1567351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567372 */     // GIR_Coverage, 21711,
     /* 1567372 */     GIR_EraseRootFromParent_Done,
     /* 1567373 */   // Label 21692: @1567373
     /* 1567373 */   GIM_Try, /*On fail goto*//*Label 21693*/ GIMT_Encode4(1567455), // Rule ID 21712 //
     /* 1567378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1567381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1567386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1567389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1567392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1567395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1567398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567417 */     // MIs[0] round
     /* 1567417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567420 */     // MIs[0] policy
     /* 1567420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567430 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1567433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567439 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567441 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567454 */     // GIR_Coverage, 21712,
     /* 1567454 */     GIR_EraseRootFromParent_Done,
     /* 1567455 */   // Label 21693: @1567455
     /* 1567455 */   GIM_Try, /*On fail goto*//*Label 21694*/ GIMT_Encode4(1567537), // Rule ID 21715 //
     /* 1567460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1567463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1567468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1567471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1567474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1567477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567499 */     // MIs[0] round
     /* 1567499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567502 */     // MIs[0] policy
     /* 1567502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567512 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1567515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567536 */     // GIR_Coverage, 21715,
     /* 1567536 */     GIR_EraseRootFromParent_Done,
     /* 1567537 */   // Label 21694: @1567537
     /* 1567537 */   GIM_Try, /*On fail goto*//*Label 21695*/ GIMT_Encode4(1567619), // Rule ID 21716 //
     /* 1567542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1567545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1567550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1567553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1567556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1567559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567581 */     // MIs[0] round
     /* 1567581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567584 */     // MIs[0] policy
     /* 1567584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567594 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1567597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567603 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567605 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567618 */     // GIR_Coverage, 21716,
     /* 1567618 */     GIR_EraseRootFromParent_Done,
     /* 1567619 */   // Label 21695: @1567619
     /* 1567619 */   GIM_Try, /*On fail goto*//*Label 21696*/ GIMT_Encode4(1567701), // Rule ID 21719 //
     /* 1567624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1567627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1567632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1567635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1567638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1567641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567663 */     // MIs[0] round
     /* 1567663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567666 */     // MIs[0] policy
     /* 1567666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567676 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1567679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567700 */     // GIR_Coverage, 21719,
     /* 1567700 */     GIR_EraseRootFromParent_Done,
     /* 1567701 */   // Label 21696: @1567701
     /* 1567701 */   GIM_Try, /*On fail goto*//*Label 21697*/ GIMT_Encode4(1567783), // Rule ID 21720 //
     /* 1567706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1567709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1567714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1567717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1567720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1567723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567745 */     // MIs[0] round
     /* 1567745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567748 */     // MIs[0] policy
     /* 1567748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567758 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1567761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567767 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567782 */     // GIR_Coverage, 21720,
     /* 1567782 */     GIR_EraseRootFromParent_Done,
     /* 1567783 */   // Label 21697: @1567783
     /* 1567783 */   GIM_Try, /*On fail goto*//*Label 21698*/ GIMT_Encode4(1567865), // Rule ID 21723 //
     /* 1567788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1567791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1567796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1567799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1567802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1567805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567827 */     // MIs[0] round
     /* 1567827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567830 */     // MIs[0] policy
     /* 1567830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567840 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1567843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567864 */     // GIR_Coverage, 21723,
     /* 1567864 */     GIR_EraseRootFromParent_Done,
     /* 1567865 */   // Label 21698: @1567865
     /* 1567865 */   GIM_Try, /*On fail goto*//*Label 21699*/ GIMT_Encode4(1567947), // Rule ID 21724 //
     /* 1567870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1567873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1567878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1567881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1567884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1567887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567909 */     // MIs[0] round
     /* 1567909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567912 */     // MIs[0] policy
     /* 1567912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567922 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1567925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567946 */     // GIR_Coverage, 21724,
     /* 1567946 */     GIR_EraseRootFromParent_Done,
     /* 1567947 */   // Label 21699: @1567947
     /* 1567947 */   GIM_Try, /*On fail goto*//*Label 21700*/ GIMT_Encode4(1568029), // Rule ID 21727 //
     /* 1567952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1567955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1567960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1567963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1567966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1567969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567991 */     // MIs[0] round
     /* 1567991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567994 */     // MIs[0] policy
     /* 1567994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568004 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1568007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568028 */     // GIR_Coverage, 21727,
     /* 1568028 */     GIR_EraseRootFromParent_Done,
     /* 1568029 */   // Label 21700: @1568029
     /* 1568029 */   GIM_Try, /*On fail goto*//*Label 21701*/ GIMT_Encode4(1568111), // Rule ID 21728 //
     /* 1568034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1568037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1568042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1568045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1568048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1568051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568073 */     // MIs[0] round
     /* 1568073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568076 */     // MIs[0] policy
     /* 1568076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568086 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1568089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568095 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568110 */     // GIR_Coverage, 21728,
     /* 1568110 */     GIR_EraseRootFromParent_Done,
     /* 1568111 */   // Label 21701: @1568111
     /* 1568111 */   GIM_Try, /*On fail goto*//*Label 21702*/ GIMT_Encode4(1568193), // Rule ID 21731 //
     /* 1568116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1568124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1568127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1568130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1568133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568155 */     // MIs[0] round
     /* 1568155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568158 */     // MIs[0] policy
     /* 1568158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568168 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1568171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568192 */     // GIR_Coverage, 21731,
     /* 1568192 */     GIR_EraseRootFromParent_Done,
     /* 1568193 */   // Label 21702: @1568193
     /* 1568193 */   GIM_Try, /*On fail goto*//*Label 21703*/ GIMT_Encode4(1568275), // Rule ID 21732 //
     /* 1568198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1568206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1568209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1568212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1568215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568237 */     // MIs[0] round
     /* 1568237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568240 */     // MIs[0] policy
     /* 1568240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568250 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1568253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568259 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568274 */     // GIR_Coverage, 21732,
     /* 1568274 */     GIR_EraseRootFromParent_Done,
     /* 1568275 */   // Label 21703: @1568275
     /* 1568275 */   GIM_Try, /*On fail goto*//*Label 21704*/ GIMT_Encode4(1568357), // Rule ID 21735 //
     /* 1568280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1568288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1568291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1568294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1568297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568319 */     // MIs[0] round
     /* 1568319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568322 */     // MIs[0] policy
     /* 1568322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568332 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1568335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568356 */     // GIR_Coverage, 21735,
     /* 1568356 */     GIR_EraseRootFromParent_Done,
     /* 1568357 */   // Label 21704: @1568357
     /* 1568357 */   GIM_Try, /*On fail goto*//*Label 21705*/ GIMT_Encode4(1568439), // Rule ID 21736 //
     /* 1568362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1568370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1568373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1568376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1568379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568401 */     // MIs[0] round
     /* 1568401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568404 */     // MIs[0] policy
     /* 1568404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568414 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1568417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568438 */     // GIR_Coverage, 21736,
     /* 1568438 */     GIR_EraseRootFromParent_Done,
     /* 1568439 */   // Label 21705: @1568439
     /* 1568439 */   GIM_Try, /*On fail goto*//*Label 21706*/ GIMT_Encode4(1568521), // Rule ID 21739 //
     /* 1568444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1568452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1568455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1568458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1568461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568483 */     // MIs[0] round
     /* 1568483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568486 */     // MIs[0] policy
     /* 1568486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568496 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1568499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568520 */     // GIR_Coverage, 21739,
     /* 1568520 */     GIR_EraseRootFromParent_Done,
     /* 1568521 */   // Label 21706: @1568521
     /* 1568521 */   GIM_Try, /*On fail goto*//*Label 21707*/ GIMT_Encode4(1568603), // Rule ID 21740 //
     /* 1568526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1568534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1568537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1568540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1568543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568565 */     // MIs[0] round
     /* 1568565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568568 */     // MIs[0] policy
     /* 1568568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568578 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1568581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568587 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568602 */     // GIR_Coverage, 21740,
     /* 1568602 */     GIR_EraseRootFromParent_Done,
     /* 1568603 */   // Label 21707: @1568603
     /* 1568603 */   GIM_Try, /*On fail goto*//*Label 21708*/ GIMT_Encode4(1568685), // Rule ID 21743 //
     /* 1568608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1568616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1568619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1568622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1568625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568647 */     // MIs[0] round
     /* 1568647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568650 */     // MIs[0] policy
     /* 1568650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568660 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1568663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568671 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568684 */     // GIR_Coverage, 21743,
     /* 1568684 */     GIR_EraseRootFromParent_Done,
     /* 1568685 */   // Label 21708: @1568685
     /* 1568685 */   GIM_Try, /*On fail goto*//*Label 21709*/ GIMT_Encode4(1568767), // Rule ID 21744 //
     /* 1568690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1568698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1568701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1568704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1568707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568729 */     // MIs[0] round
     /* 1568729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568732 */     // MIs[0] policy
     /* 1568732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568742 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1568745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568751 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568766 */     // GIR_Coverage, 21744,
     /* 1568766 */     GIR_EraseRootFromParent_Done,
     /* 1568767 */   // Label 21709: @1568767
     /* 1568767 */   GIM_Try, /*On fail goto*//*Label 21710*/ GIMT_Encode4(1568849), // Rule ID 21747 //
     /* 1568772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1568780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1568783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1568786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1568789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1568792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568811 */     // MIs[0] round
     /* 1568811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568814 */     // MIs[0] policy
     /* 1568814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568824 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1568827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568848 */     // GIR_Coverage, 21747,
     /* 1568848 */     GIR_EraseRootFromParent_Done,
     /* 1568849 */   // Label 21710: @1568849
     /* 1568849 */   GIM_Try, /*On fail goto*//*Label 21711*/ GIMT_Encode4(1568931), // Rule ID 21748 //
     /* 1568854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1568862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1568865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1568868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1568871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1568874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568893 */     // MIs[0] round
     /* 1568893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568896 */     // MIs[0] policy
     /* 1568896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568906 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1568909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568930 */     // GIR_Coverage, 21748,
     /* 1568930 */     GIR_EraseRootFromParent_Done,
     /* 1568931 */   // Label 21711: @1568931
     /* 1568931 */   GIM_Try, /*On fail goto*//*Label 21712*/ GIMT_Encode4(1569013), // Rule ID 21751 //
     /* 1568936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1568939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1568944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1568947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1568950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1568953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568975 */     // MIs[0] round
     /* 1568975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568978 */     // MIs[0] policy
     /* 1568978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568988 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1568991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569012 */     // GIR_Coverage, 21751,
     /* 1569012 */     GIR_EraseRootFromParent_Done,
     /* 1569013 */   // Label 21712: @1569013
     /* 1569013 */   GIM_Try, /*On fail goto*//*Label 21713*/ GIMT_Encode4(1569095), // Rule ID 21752 //
     /* 1569018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1569029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1569032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1569035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569057 */     // MIs[0] round
     /* 1569057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569060 */     // MIs[0] policy
     /* 1569060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569070 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1569073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569079 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569094 */     // GIR_Coverage, 21752,
     /* 1569094 */     GIR_EraseRootFromParent_Done,
     /* 1569095 */   // Label 21713: @1569095
     /* 1569095 */   GIM_Try, /*On fail goto*//*Label 21714*/ GIMT_Encode4(1569177), // Rule ID 21755 //
     /* 1569100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1569111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1569114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1569117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569139 */     // MIs[0] round
     /* 1569139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569142 */     // MIs[0] policy
     /* 1569142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569152 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1569155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569176 */     // GIR_Coverage, 21755,
     /* 1569176 */     GIR_EraseRootFromParent_Done,
     /* 1569177 */   // Label 21714: @1569177
     /* 1569177 */   GIM_Try, /*On fail goto*//*Label 21715*/ GIMT_Encode4(1569259), // Rule ID 21756 //
     /* 1569182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1569193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1569196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1569199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569221 */     // MIs[0] round
     /* 1569221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569224 */     // MIs[0] policy
     /* 1569224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569234 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1569237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569258 */     // GIR_Coverage, 21756,
     /* 1569258 */     GIR_EraseRootFromParent_Done,
     /* 1569259 */   // Label 21715: @1569259
     /* 1569259 */   GIM_Try, /*On fail goto*//*Label 21716*/ GIMT_Encode4(1569341), // Rule ID 21759 //
     /* 1569264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1569275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1569278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1569281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569303 */     // MIs[0] round
     /* 1569303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569306 */     // MIs[0] policy
     /* 1569306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569316 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1569319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569340 */     // GIR_Coverage, 21759,
     /* 1569340 */     GIR_EraseRootFromParent_Done,
     /* 1569341 */   // Label 21716: @1569341
     /* 1569341 */   GIM_Try, /*On fail goto*//*Label 21717*/ GIMT_Encode4(1569423), // Rule ID 21760 //
     /* 1569346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1569357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1569360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1569363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569385 */     // MIs[0] round
     /* 1569385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569388 */     // MIs[0] policy
     /* 1569388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569398 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1569401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569422 */     // GIR_Coverage, 21760,
     /* 1569422 */     GIR_EraseRootFromParent_Done,
     /* 1569423 */   // Label 21717: @1569423
     /* 1569423 */   GIM_Try, /*On fail goto*//*Label 21718*/ GIMT_Encode4(1569505), // Rule ID 21763 //
     /* 1569428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1569431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1569439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1569442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1569445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569467 */     // MIs[0] round
     /* 1569467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569470 */     // MIs[0] policy
     /* 1569470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569480 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1569483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569504 */     // GIR_Coverage, 21763,
     /* 1569504 */     GIR_EraseRootFromParent_Done,
     /* 1569505 */   // Label 21718: @1569505
     /* 1569505 */   GIM_Try, /*On fail goto*//*Label 21719*/ GIMT_Encode4(1569587), // Rule ID 21764 //
     /* 1569510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1569513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1569518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1569521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1569524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1569527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569549 */     // MIs[0] round
     /* 1569549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569552 */     // MIs[0] policy
     /* 1569552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569562 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1569565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569571 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569586 */     // GIR_Coverage, 21764,
     /* 1569586 */     GIR_EraseRootFromParent_Done,
     /* 1569587 */   // Label 21719: @1569587
     /* 1569587 */   GIM_Try, /*On fail goto*//*Label 21720*/ GIMT_Encode4(1569669), // Rule ID 21767 //
     /* 1569592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1569595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1569600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1569603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1569606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1569609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569631 */     // MIs[0] round
     /* 1569631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569634 */     // MIs[0] policy
     /* 1569634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569644 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1569647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569668 */     // GIR_Coverage, 21767,
     /* 1569668 */     GIR_EraseRootFromParent_Done,
     /* 1569669 */   // Label 21720: @1569669
     /* 1569669 */   GIM_Try, /*On fail goto*//*Label 21721*/ GIMT_Encode4(1569751), // Rule ID 21768 //
     /* 1569674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1569677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1569682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1569685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1569688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1569691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569713 */     // MIs[0] round
     /* 1569713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569716 */     // MIs[0] policy
     /* 1569716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569726 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1569729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569750 */     // GIR_Coverage, 21768,
     /* 1569750 */     GIR_EraseRootFromParent_Done,
     /* 1569751 */   // Label 21721: @1569751
     /* 1569751 */   GIM_Try, /*On fail goto*//*Label 21722*/ GIMT_Encode4(1569833), // Rule ID 21771 //
     /* 1569756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1569759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1569764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1569767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1569770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1569773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569795 */     // MIs[0] round
     /* 1569795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569798 */     // MIs[0] policy
     /* 1569798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569808 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1569811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569832 */     // GIR_Coverage, 21771,
     /* 1569832 */     GIR_EraseRootFromParent_Done,
     /* 1569833 */   // Label 21722: @1569833
     /* 1569833 */   GIM_Try, /*On fail goto*//*Label 21723*/ GIMT_Encode4(1569915), // Rule ID 21772 //
     /* 1569838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1569841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1569846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1569849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1569852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1569855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569877 */     // MIs[0] round
     /* 1569877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569880 */     // MIs[0] policy
     /* 1569880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569890 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1569893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569899 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569914 */     // GIR_Coverage, 21772,
     /* 1569914 */     GIR_EraseRootFromParent_Done,
     /* 1569915 */   // Label 21723: @1569915
     /* 1569915 */   GIM_Try, /*On fail goto*//*Label 21724*/ GIMT_Encode4(1569997), // Rule ID 21775 //
     /* 1569920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1569923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1569928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1569931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1569934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1569937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569959 */     // MIs[0] round
     /* 1569959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569962 */     // MIs[0] policy
     /* 1569962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569972 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1569975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569996 */     // GIR_Coverage, 21775,
     /* 1569996 */     GIR_EraseRootFromParent_Done,
     /* 1569997 */   // Label 21724: @1569997
     /* 1569997 */   GIM_Try, /*On fail goto*//*Label 21725*/ GIMT_Encode4(1570079), // Rule ID 21776 //
     /* 1570002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1570005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1570010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1570013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1570016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1570019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570041 */     // MIs[0] round
     /* 1570041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570044 */     // MIs[0] policy
     /* 1570044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570054 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1570057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570063 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570078 */     // GIR_Coverage, 21776,
     /* 1570078 */     GIR_EraseRootFromParent_Done,
     /* 1570079 */   // Label 21725: @1570079
     /* 1570079 */   GIM_Try, /*On fail goto*//*Label 21726*/ GIMT_Encode4(1570161), // Rule ID 21779 //
     /* 1570084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1570087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1570092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1570095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1570098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1570101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570123 */     // MIs[0] round
     /* 1570123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570126 */     // MIs[0] policy
     /* 1570126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570136 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1570139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570160 */     // GIR_Coverage, 21779,
     /* 1570160 */     GIR_EraseRootFromParent_Done,
     /* 1570161 */   // Label 21726: @1570161
     /* 1570161 */   GIM_Try, /*On fail goto*//*Label 21727*/ GIMT_Encode4(1570243), // Rule ID 21780 //
     /* 1570166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1570169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1570174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1570177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1570180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1570183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570205 */     // MIs[0] round
     /* 1570205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570208 */     // MIs[0] policy
     /* 1570208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570218 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1570221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570229 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570242 */     // GIR_Coverage, 21780,
     /* 1570242 */     GIR_EraseRootFromParent_Done,
     /* 1570243 */   // Label 21727: @1570243
     /* 1570243 */   GIM_Try, /*On fail goto*//*Label 21728*/ GIMT_Encode4(1570325), // Rule ID 21783 //
     /* 1570248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1570251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1570256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1570259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1570262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1570265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570287 */     // MIs[0] round
     /* 1570287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570290 */     // MIs[0] policy
     /* 1570290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570300 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1570303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570324 */     // GIR_Coverage, 21783,
     /* 1570324 */     GIR_EraseRootFromParent_Done,
     /* 1570325 */   // Label 21728: @1570325
     /* 1570325 */   GIM_Try, /*On fail goto*//*Label 21729*/ GIMT_Encode4(1570407), // Rule ID 21784 //
     /* 1570330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1570333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1570338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1570341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1570344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1570347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1570350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570369 */     // MIs[0] round
     /* 1570369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570372 */     // MIs[0] policy
     /* 1570372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570382 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1570385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570391 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570406 */     // GIR_Coverage, 21784,
     /* 1570406 */     GIR_EraseRootFromParent_Done,
     /* 1570407 */   // Label 21729: @1570407
     /* 1570407 */   GIM_Try, /*On fail goto*//*Label 21730*/ GIMT_Encode4(1570489), // Rule ID 21787 //
     /* 1570412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1570415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1570420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1570423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1570426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1570429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570451 */     // MIs[0] round
     /* 1570451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570454 */     // MIs[0] policy
     /* 1570454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570464 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1570467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570488 */     // GIR_Coverage, 21787,
     /* 1570488 */     GIR_EraseRootFromParent_Done,
     /* 1570489 */   // Label 21730: @1570489
     /* 1570489 */   GIM_Try, /*On fail goto*//*Label 21731*/ GIMT_Encode4(1570571), // Rule ID 21788 //
     /* 1570494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1570497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1570502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1570505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1570508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1570511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570533 */     // MIs[0] round
     /* 1570533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570536 */     // MIs[0] policy
     /* 1570536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570546 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1570549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570570 */     // GIR_Coverage, 21788,
     /* 1570570 */     GIR_EraseRootFromParent_Done,
     /* 1570571 */   // Label 21731: @1570571
     /* 1570571 */   GIM_Try, /*On fail goto*//*Label 21732*/ GIMT_Encode4(1570653), // Rule ID 21791 //
     /* 1570576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1570579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1570584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1570587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1570590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1570593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570615 */     // MIs[0] round
     /* 1570615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570618 */     // MIs[0] policy
     /* 1570618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570628 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1570631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570652 */     // GIR_Coverage, 21791,
     /* 1570652 */     GIR_EraseRootFromParent_Done,
     /* 1570653 */   // Label 21732: @1570653
     /* 1570653 */   GIM_Try, /*On fail goto*//*Label 21733*/ GIMT_Encode4(1570735), // Rule ID 21792 //
     /* 1570658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1570661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1570666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1570669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1570672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1570675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570697 */     // MIs[0] round
     /* 1570697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570700 */     // MIs[0] policy
     /* 1570700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570710 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1570713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570719 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570734 */     // GIR_Coverage, 21792,
     /* 1570734 */     GIR_EraseRootFromParent_Done,
     /* 1570735 */   // Label 21733: @1570735
     /* 1570735 */   GIM_Try, /*On fail goto*//*Label 21734*/ GIMT_Encode4(1570817), // Rule ID 21795 //
     /* 1570740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1570743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1570748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1570751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1570754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1570757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570779 */     // MIs[0] round
     /* 1570779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570782 */     // MIs[0] policy
     /* 1570782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570792 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1570795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570816 */     // GIR_Coverage, 21795,
     /* 1570816 */     GIR_EraseRootFromParent_Done,
     /* 1570817 */   // Label 21734: @1570817
     /* 1570817 */   GIM_Try, /*On fail goto*//*Label 21735*/ GIMT_Encode4(1570899), // Rule ID 21796 //
     /* 1570822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1570825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1570830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1570833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1570836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1570839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570861 */     // MIs[0] round
     /* 1570861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570864 */     // MIs[0] policy
     /* 1570864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570874 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1570877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570883 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570898 */     // GIR_Coverage, 21796,
     /* 1570898 */     GIR_EraseRootFromParent_Done,
     /* 1570899 */   // Label 21735: @1570899
     /* 1570899 */   GIM_Try, /*On fail goto*//*Label 21736*/ GIMT_Encode4(1570981), // Rule ID 21799 //
     /* 1570904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1570907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1570912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1570915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1570918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1570921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1570924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570943 */     // MIs[0] round
     /* 1570943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570946 */     // MIs[0] policy
     /* 1570946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570956 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1570959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570980 */     // GIR_Coverage, 21799,
     /* 1570980 */     GIR_EraseRootFromParent_Done,
     /* 1570981 */   // Label 21736: @1570981
     /* 1570981 */   GIM_Try, /*On fail goto*//*Label 21737*/ GIMT_Encode4(1571063), // Rule ID 21800 //
     /* 1570986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1570989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1570994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1570997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1571000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1571003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1571006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571025 */     // MIs[0] round
     /* 1571025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571028 */     // MIs[0] policy
     /* 1571028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571038 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1571041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571047 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571062 */     // GIR_Coverage, 21800,
     /* 1571062 */     GIR_EraseRootFromParent_Done,
     /* 1571063 */   // Label 21737: @1571063
     /* 1571063 */   GIM_Try, /*On fail goto*//*Label 21738*/ GIMT_Encode4(1571145), // Rule ID 2617 //
     /* 1571068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1571071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1571076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1571079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1571082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1571085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1571088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571099 */     // MIs[0] passthru
     /* 1571099 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571112 */     // MIs[0] policy
     /* 1571112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1571125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571144 */     // GIR_Coverage, 2617,
     /* 1571144 */     GIR_EraseRootFromParent_Done,
     /* 1571145 */   // Label 21738: @1571145
     /* 1571145 */   GIM_Try, /*On fail goto*//*Label 21739*/ GIMT_Encode4(1571227), // Rule ID 2618 //
     /* 1571150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1571153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1571158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1571161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1571164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1571167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1571170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571181 */     // MIs[0] passthru
     /* 1571181 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571194 */     // MIs[0] policy
     /* 1571194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571204 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1571207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571226 */     // GIR_Coverage, 2618,
     /* 1571226 */     GIR_EraseRootFromParent_Done,
     /* 1571227 */   // Label 21739: @1571227
     /* 1571227 */   GIM_Try, /*On fail goto*//*Label 21740*/ GIMT_Encode4(1571309), // Rule ID 3925 //
     /* 1571232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1571235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1571240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1571243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1571246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1571249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1571252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571263 */     // MIs[0] passthru
     /* 1571263 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571276 */     // MIs[0] policy
     /* 1571276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571286 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1571289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571308 */     // GIR_Coverage, 3925,
     /* 1571308 */     GIR_EraseRootFromParent_Done,
     /* 1571309 */   // Label 21740: @1571309
     /* 1571309 */   GIM_Try, /*On fail goto*//*Label 21741*/ GIMT_Encode4(1571391), // Rule ID 3926 //
     /* 1571314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1571317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1571322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1571325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1571328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1571331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1571334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571345 */     // MIs[0] passthru
     /* 1571345 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571358 */     // MIs[0] policy
     /* 1571358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571368 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1571371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571390 */     // GIR_Coverage, 3926,
     /* 1571390 */     GIR_EraseRootFromParent_Done,
     /* 1571391 */   // Label 21741: @1571391
     /* 1571391 */   GIM_Try, /*On fail goto*//*Label 21742*/ GIMT_Encode4(1571473), // Rule ID 3935 //
     /* 1571396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1571399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1571404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1571407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1571410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1571413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1571416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571427 */     // MIs[0] passthru
     /* 1571427 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571440 */     // MIs[0] policy
     /* 1571440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571450 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1571453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571472 */     // GIR_Coverage, 3935,
     /* 1571472 */     GIR_EraseRootFromParent_Done,
     /* 1571473 */   // Label 21742: @1571473
     /* 1571473 */   GIM_Try, /*On fail goto*//*Label 21743*/ GIMT_Encode4(1571555), // Rule ID 3936 //
     /* 1571478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1571481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1571486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1571489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1571492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1571495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1571498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571509 */     // MIs[0] passthru
     /* 1571509 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571522 */     // MIs[0] policy
     /* 1571522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571532 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1571535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571554 */     // GIR_Coverage, 3936,
     /* 1571554 */     GIR_EraseRootFromParent_Done,
     /* 1571555 */   // Label 21743: @1571555
     /* 1571555 */   GIM_Try, /*On fail goto*//*Label 21744*/ GIMT_Encode4(1571637), // Rule ID 3945 //
     /* 1571560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1571563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1571568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1571571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1571574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1571577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1571580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571591 */     // MIs[0] passthru
     /* 1571591 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571604 */     // MIs[0] policy
     /* 1571604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1571617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571636 */     // GIR_Coverage, 3945,
     /* 1571636 */     GIR_EraseRootFromParent_Done,
     /* 1571637 */   // Label 21744: @1571637
     /* 1571637 */   GIM_Try, /*On fail goto*//*Label 21745*/ GIMT_Encode4(1571719), // Rule ID 3946 //
     /* 1571642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1571645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1571650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1571653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1571656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1571659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1571662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571673 */     // MIs[0] passthru
     /* 1571673 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571686 */     // MIs[0] policy
     /* 1571686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571696 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1571699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571718 */     // GIR_Coverage, 3946,
     /* 1571718 */     GIR_EraseRootFromParent_Done,
     /* 1571719 */   // Label 21745: @1571719
     /* 1571719 */   GIM_Try, /*On fail goto*//*Label 21746*/ GIMT_Encode4(1571801), // Rule ID 3955 //
     /* 1571724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1571727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1571732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1571735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1571738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1571741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1571744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571755 */     // MIs[0] passthru
     /* 1571755 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571768 */     // MIs[0] policy
     /* 1571768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571778 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1571781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571800 */     // GIR_Coverage, 3955,
     /* 1571800 */     GIR_EraseRootFromParent_Done,
     /* 1571801 */   // Label 21746: @1571801
     /* 1571801 */   GIM_Try, /*On fail goto*//*Label 21747*/ GIMT_Encode4(1571883), // Rule ID 3956 //
     /* 1571806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1571809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1571814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1571817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1571820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1571823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1571826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571837 */     // MIs[0] passthru
     /* 1571837 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571850 */     // MIs[0] policy
     /* 1571850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571860 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1571863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571882 */     // GIR_Coverage, 3956,
     /* 1571882 */     GIR_EraseRootFromParent_Done,
     /* 1571883 */   // Label 21747: @1571883
     /* 1571883 */   GIM_Try, /*On fail goto*//*Label 21748*/ GIMT_Encode4(1571965), // Rule ID 3965 //
     /* 1571888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1571891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1571896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1571899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1571902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1571905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1571908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1571915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571919 */     // MIs[0] passthru
     /* 1571919 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571932 */     // MIs[0] policy
     /* 1571932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571942 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1571945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571964 */     // GIR_Coverage, 3965,
     /* 1571964 */     GIR_EraseRootFromParent_Done,
     /* 1571965 */   // Label 21748: @1571965
     /* 1571965 */   GIM_Try, /*On fail goto*//*Label 21749*/ GIMT_Encode4(1572047), // Rule ID 3966 //
     /* 1571970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1571973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1571978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1571981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1571984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1571987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1571990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1571997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572001 */     // MIs[0] passthru
     /* 1572001 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572014 */     // MIs[0] policy
     /* 1572014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572024 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1572027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572046 */     // GIR_Coverage, 3966,
     /* 1572046 */     GIR_EraseRootFromParent_Done,
     /* 1572047 */   // Label 21749: @1572047
     /* 1572047 */   GIM_Try, /*On fail goto*//*Label 21750*/ GIMT_Encode4(1572129), // Rule ID 3975 //
     /* 1572052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1572063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1572066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1572069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572083 */     // MIs[0] passthru
     /* 1572083 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572096 */     // MIs[0] policy
     /* 1572096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572106 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1572109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572128 */     // GIR_Coverage, 3975,
     /* 1572128 */     GIR_EraseRootFromParent_Done,
     /* 1572129 */   // Label 21750: @1572129
     /* 1572129 */   GIM_Try, /*On fail goto*//*Label 21751*/ GIMT_Encode4(1572211), // Rule ID 3976 //
     /* 1572134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1572145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1572148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1572151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572165 */     // MIs[0] passthru
     /* 1572165 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572178 */     // MIs[0] policy
     /* 1572178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572188 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1572191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572210 */     // GIR_Coverage, 3976,
     /* 1572210 */     GIR_EraseRootFromParent_Done,
     /* 1572211 */   // Label 21751: @1572211
     /* 1572211 */   GIM_Try, /*On fail goto*//*Label 21752*/ GIMT_Encode4(1572293), // Rule ID 3985 //
     /* 1572216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1572227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1572230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1572233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1572236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572247 */     // MIs[0] passthru
     /* 1572247 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572260 */     // MIs[0] policy
     /* 1572260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572270 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1572273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572292 */     // GIR_Coverage, 3985,
     /* 1572292 */     GIR_EraseRootFromParent_Done,
     /* 1572293 */   // Label 21752: @1572293
     /* 1572293 */   GIM_Try, /*On fail goto*//*Label 21753*/ GIMT_Encode4(1572375), // Rule ID 3986 //
     /* 1572298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1572309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1572312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1572315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1572318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572329 */     // MIs[0] passthru
     /* 1572329 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572342 */     // MIs[0] policy
     /* 1572342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1572355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572374 */     // GIR_Coverage, 3986,
     /* 1572374 */     GIR_EraseRootFromParent_Done,
     /* 1572375 */   // Label 21753: @1572375
     /* 1572375 */   GIM_Try, /*On fail goto*//*Label 21754*/ GIMT_Encode4(1572457), // Rule ID 3995 //
     /* 1572380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1572391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1572394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1572397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1572400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572411 */     // MIs[0] passthru
     /* 1572411 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572424 */     // MIs[0] policy
     /* 1572424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572434 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1572437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572456 */     // GIR_Coverage, 3995,
     /* 1572456 */     GIR_EraseRootFromParent_Done,
     /* 1572457 */   // Label 21754: @1572457
     /* 1572457 */   GIM_Try, /*On fail goto*//*Label 21755*/ GIMT_Encode4(1572539), // Rule ID 3996 //
     /* 1572462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1572473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1572476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1572479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1572482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572493 */     // MIs[0] passthru
     /* 1572493 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572506 */     // MIs[0] policy
     /* 1572506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572516 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1572519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572538 */     // GIR_Coverage, 3996,
     /* 1572538 */     GIR_EraseRootFromParent_Done,
     /* 1572539 */   // Label 21755: @1572539
     /* 1572539 */   GIM_Try, /*On fail goto*//*Label 21756*/ GIMT_Encode4(1572621), // Rule ID 4005 //
     /* 1572544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1572555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1572558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1572561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1572564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572575 */     // MIs[0] passthru
     /* 1572575 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572588 */     // MIs[0] policy
     /* 1572588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572598 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1572601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572620 */     // GIR_Coverage, 4005,
     /* 1572620 */     GIR_EraseRootFromParent_Done,
     /* 1572621 */   // Label 21756: @1572621
     /* 1572621 */   GIM_Try, /*On fail goto*//*Label 21757*/ GIMT_Encode4(1572703), // Rule ID 4006 //
     /* 1572626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1572637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1572640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1572643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1572646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572657 */     // MIs[0] passthru
     /* 1572657 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572670 */     // MIs[0] policy
     /* 1572670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572680 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1572683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572702 */     // GIR_Coverage, 4006,
     /* 1572702 */     GIR_EraseRootFromParent_Done,
     /* 1572703 */   // Label 21757: @1572703
     /* 1572703 */   GIM_Try, /*On fail goto*//*Label 21758*/ GIMT_Encode4(1572785), // Rule ID 4015 //
     /* 1572708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1572719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1572722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1572725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1572728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1572735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572739 */     // MIs[0] passthru
     /* 1572739 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572752 */     // MIs[0] policy
     /* 1572752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572762 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1572765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572784 */     // GIR_Coverage, 4015,
     /* 1572784 */     GIR_EraseRootFromParent_Done,
     /* 1572785 */   // Label 21758: @1572785
     /* 1572785 */   GIM_Try, /*On fail goto*//*Label 21759*/ GIMT_Encode4(1572867), // Rule ID 4016 //
     /* 1572790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1572801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1572804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1572807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1572810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1572817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572821 */     // MIs[0] passthru
     /* 1572821 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572834 */     // MIs[0] policy
     /* 1572834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572844 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1572847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572866 */     // GIR_Coverage, 4016,
     /* 1572866 */     GIR_EraseRootFromParent_Done,
     /* 1572867 */   // Label 21759: @1572867
     /* 1572867 */   GIM_Try, /*On fail goto*//*Label 21760*/ GIMT_Encode4(1572949), // Rule ID 4025 //
     /* 1572872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1572875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1572883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1572886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1572889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572903 */     // MIs[0] passthru
     /* 1572903 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572916 */     // MIs[0] policy
     /* 1572916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572926 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1572929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572948 */     // GIR_Coverage, 4025,
     /* 1572948 */     GIR_EraseRootFromParent_Done,
     /* 1572949 */   // Label 21760: @1572949
     /* 1572949 */   GIM_Try, /*On fail goto*//*Label 21761*/ GIMT_Encode4(1573031), // Rule ID 4026 //
     /* 1572954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1572957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1572965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1572968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1572971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572985 */     // MIs[0] passthru
     /* 1572985 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572998 */     // MIs[0] policy
     /* 1572998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573008 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1573011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573030 */     // GIR_Coverage, 4026,
     /* 1573030 */     GIR_EraseRootFromParent_Done,
     /* 1573031 */   // Label 21761: @1573031
     /* 1573031 */   GIM_Try, /*On fail goto*//*Label 21762*/ GIMT_Encode4(1573113), // Rule ID 4035 //
     /* 1573036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1573039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1573047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1573050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1573053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1573056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573067 */     // MIs[0] passthru
     /* 1573067 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573080 */     // MIs[0] policy
     /* 1573080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573090 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1573093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573112 */     // GIR_Coverage, 4035,
     /* 1573112 */     GIR_EraseRootFromParent_Done,
     /* 1573113 */   // Label 21762: @1573113
     /* 1573113 */   GIM_Try, /*On fail goto*//*Label 21763*/ GIMT_Encode4(1573195), // Rule ID 4036 //
     /* 1573118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1573121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1573129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1573132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1573135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1573138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573149 */     // MIs[0] passthru
     /* 1573149 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573162 */     // MIs[0] policy
     /* 1573162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573172 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1573175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573194 */     // GIR_Coverage, 4036,
     /* 1573194 */     GIR_EraseRootFromParent_Done,
     /* 1573195 */   // Label 21763: @1573195
     /* 1573195 */   GIM_Try, /*On fail goto*//*Label 21764*/ GIMT_Encode4(1573277), // Rule ID 4045 //
     /* 1573200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1573203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1573211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1573214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1573217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1573220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573231 */     // MIs[0] passthru
     /* 1573231 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573244 */     // MIs[0] policy
     /* 1573244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573254 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1573257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573276 */     // GIR_Coverage, 4045,
     /* 1573276 */     GIR_EraseRootFromParent_Done,
     /* 1573277 */   // Label 21764: @1573277
     /* 1573277 */   GIM_Try, /*On fail goto*//*Label 21765*/ GIMT_Encode4(1573359), // Rule ID 4046 //
     /* 1573282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1573285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1573293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1573296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1573299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1573302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573313 */     // MIs[0] passthru
     /* 1573313 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573326 */     // MIs[0] policy
     /* 1573326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573336 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1573339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573358 */     // GIR_Coverage, 4046,
     /* 1573358 */     GIR_EraseRootFromParent_Done,
     /* 1573359 */   // Label 21765: @1573359
     /* 1573359 */   GIM_Try, /*On fail goto*//*Label 21766*/ GIMT_Encode4(1573441), // Rule ID 4055 //
     /* 1573364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1573367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1573375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1573378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1573381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1573384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573395 */     // MIs[0] passthru
     /* 1573395 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573408 */     // MIs[0] policy
     /* 1573408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573418 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1573421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573440 */     // GIR_Coverage, 4055,
     /* 1573440 */     GIR_EraseRootFromParent_Done,
     /* 1573441 */   // Label 21766: @1573441
     /* 1573441 */   GIM_Try, /*On fail goto*//*Label 21767*/ GIMT_Encode4(1573523), // Rule ID 4056 //
     /* 1573446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1573449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1573454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1573457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1573460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1573463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1573466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573477 */     // MIs[0] passthru
     /* 1573477 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573490 */     // MIs[0] policy
     /* 1573490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573500 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1573503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573522 */     // GIR_Coverage, 4056,
     /* 1573522 */     GIR_EraseRootFromParent_Done,
     /* 1573523 */   // Label 21767: @1573523
     /* 1573523 */   GIM_Try, /*On fail goto*//*Label 21768*/ GIMT_Encode4(1573605), // Rule ID 4125 //
     /* 1573528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1573536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1573539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1573542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1573545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1573548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573559 */     // MIs[0] passthru
     /* 1573559 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573572 */     // MIs[0] policy
     /* 1573572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573582 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1573585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573604 */     // GIR_Coverage, 4125,
     /* 1573604 */     GIR_EraseRootFromParent_Done,
     /* 1573605 */   // Label 21768: @1573605
     /* 1573605 */   GIM_Try, /*On fail goto*//*Label 21769*/ GIMT_Encode4(1573687), // Rule ID 4126 //
     /* 1573610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1573618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1573621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1573624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1573627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1573630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573641 */     // MIs[0] passthru
     /* 1573641 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573654 */     // MIs[0] policy
     /* 1573654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573664 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1573667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573686 */     // GIR_Coverage, 4126,
     /* 1573686 */     GIR_EraseRootFromParent_Done,
     /* 1573687 */   // Label 21769: @1573687
     /* 1573687 */   GIM_Try, /*On fail goto*//*Label 21770*/ GIMT_Encode4(1573769), // Rule ID 4135 //
     /* 1573692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1573700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1573703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1573706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1573709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1573712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573723 */     // MIs[0] passthru
     /* 1573723 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573736 */     // MIs[0] policy
     /* 1573736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573746 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1573749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573768 */     // GIR_Coverage, 4135,
     /* 1573768 */     GIR_EraseRootFromParent_Done,
     /* 1573769 */   // Label 21770: @1573769
     /* 1573769 */   GIM_Try, /*On fail goto*//*Label 21771*/ GIMT_Encode4(1573851), // Rule ID 4136 //
     /* 1573774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1573782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1573785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1573788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1573791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1573794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573805 */     // MIs[0] passthru
     /* 1573805 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573818 */     // MIs[0] policy
     /* 1573818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573828 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1573831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573850 */     // GIR_Coverage, 4136,
     /* 1573850 */     GIR_EraseRootFromParent_Done,
     /* 1573851 */   // Label 21771: @1573851
     /* 1573851 */   GIM_Try, /*On fail goto*//*Label 21772*/ GIMT_Encode4(1573933), // Rule ID 4145 //
     /* 1573856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1573864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1573867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1573870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1573873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1573876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573887 */     // MIs[0] passthru
     /* 1573887 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573900 */     // MIs[0] policy
     /* 1573900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573910 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1573913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573932 */     // GIR_Coverage, 4145,
     /* 1573932 */     GIR_EraseRootFromParent_Done,
     /* 1573933 */   // Label 21772: @1573933
     /* 1573933 */   GIM_Try, /*On fail goto*//*Label 21773*/ GIMT_Encode4(1574015), // Rule ID 4146 //
     /* 1573938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1573946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1573949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1573952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1573955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1573958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573969 */     // MIs[0] passthru
     /* 1573969 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573982 */     // MIs[0] policy
     /* 1573982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1573995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574014 */     // GIR_Coverage, 4146,
     /* 1574014 */     GIR_EraseRootFromParent_Done,
     /* 1574015 */   // Label 21773: @1574015
     /* 1574015 */   GIM_Try, /*On fail goto*//*Label 21774*/ GIMT_Encode4(1574097), // Rule ID 4155 //
     /* 1574020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1574028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1574031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1574034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1574037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1574040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574051 */     // MIs[0] passthru
     /* 1574051 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574064 */     // MIs[0] policy
     /* 1574064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574074 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1574077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574096 */     // GIR_Coverage, 4155,
     /* 1574096 */     GIR_EraseRootFromParent_Done,
     /* 1574097 */   // Label 21774: @1574097
     /* 1574097 */   GIM_Try, /*On fail goto*//*Label 21775*/ GIMT_Encode4(1574179), // Rule ID 4156 //
     /* 1574102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1574110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1574113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1574116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1574119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1574122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574133 */     // MIs[0] passthru
     /* 1574133 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574146 */     // MIs[0] policy
     /* 1574146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1574159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574178 */     // GIR_Coverage, 4156,
     /* 1574178 */     GIR_EraseRootFromParent_Done,
     /* 1574179 */   // Label 21775: @1574179
     /* 1574179 */   GIM_Try, /*On fail goto*//*Label 21776*/ GIMT_Encode4(1574261), // Rule ID 4165 //
     /* 1574184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1574192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1574195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1574198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1574201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1574204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574215 */     // MIs[0] passthru
     /* 1574215 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574228 */     // MIs[0] policy
     /* 1574228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574238 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1574241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574260 */     // GIR_Coverage, 4165,
     /* 1574260 */     GIR_EraseRootFromParent_Done,
     /* 1574261 */   // Label 21776: @1574261
     /* 1574261 */   GIM_Try, /*On fail goto*//*Label 21777*/ GIMT_Encode4(1574343), // Rule ID 4166 //
     /* 1574266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1574274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1574277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1574280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1574283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1574286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574297 */     // MIs[0] passthru
     /* 1574297 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574310 */     // MIs[0] policy
     /* 1574310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574320 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1574323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574342 */     // GIR_Coverage, 4166,
     /* 1574342 */     GIR_EraseRootFromParent_Done,
     /* 1574343 */   // Label 21777: @1574343
     /* 1574343 */   GIM_Try, /*On fail goto*//*Label 21778*/ GIMT_Encode4(1574425), // Rule ID 4175 //
     /* 1574348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1574356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1574359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1574362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1574365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1574368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574379 */     // MIs[0] passthru
     /* 1574379 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574392 */     // MIs[0] policy
     /* 1574392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574402 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1574405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574424 */     // GIR_Coverage, 4175,
     /* 1574424 */     GIR_EraseRootFromParent_Done,
     /* 1574425 */   // Label 21778: @1574425
     /* 1574425 */   GIM_Try, /*On fail goto*//*Label 21779*/ GIMT_Encode4(1574507), // Rule ID 4176 //
     /* 1574430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1574438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1574441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1574444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1574447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1574450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574461 */     // MIs[0] passthru
     /* 1574461 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574474 */     // MIs[0] policy
     /* 1574474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574484 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1574487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574506 */     // GIR_Coverage, 4176,
     /* 1574506 */     GIR_EraseRootFromParent_Done,
     /* 1574507 */   // Label 21779: @1574507
     /* 1574507 */   GIM_Try, /*On fail goto*//*Label 21780*/ GIMT_Encode4(1574589), // Rule ID 4185 //
     /* 1574512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1574520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1574523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1574526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1574529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1574532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574543 */     // MIs[0] passthru
     /* 1574543 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574556 */     // MIs[0] policy
     /* 1574556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574566 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1574569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574588 */     // GIR_Coverage, 4185,
     /* 1574588 */     GIR_EraseRootFromParent_Done,
     /* 1574589 */   // Label 21780: @1574589
     /* 1574589 */   GIM_Try, /*On fail goto*//*Label 21781*/ GIMT_Encode4(1574671), // Rule ID 4186 //
     /* 1574594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1574602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1574605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1574608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1574611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1574614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574625 */     // MIs[0] passthru
     /* 1574625 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574638 */     // MIs[0] policy
     /* 1574638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574648 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1574651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574670 */     // GIR_Coverage, 4186,
     /* 1574670 */     GIR_EraseRootFromParent_Done,
     /* 1574671 */   // Label 21781: @1574671
     /* 1574671 */   GIM_Try, /*On fail goto*//*Label 21782*/ GIMT_Encode4(1574753), // Rule ID 4195 //
     /* 1574676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1574684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1574687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1574690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1574693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574707 */     // MIs[0] passthru
     /* 1574707 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574720 */     // MIs[0] policy
     /* 1574720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574730 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1574733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574752 */     // GIR_Coverage, 4195,
     /* 1574752 */     GIR_EraseRootFromParent_Done,
     /* 1574753 */   // Label 21782: @1574753
     /* 1574753 */   GIM_Try, /*On fail goto*//*Label 21783*/ GIMT_Encode4(1574835), // Rule ID 4196 //
     /* 1574758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1574766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1574769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1574772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1574775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574789 */     // MIs[0] passthru
     /* 1574789 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574802 */     // MIs[0] policy
     /* 1574802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1574815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574834 */     // GIR_Coverage, 4196,
     /* 1574834 */     GIR_EraseRootFromParent_Done,
     /* 1574835 */   // Label 21783: @1574835
     /* 1574835 */   GIM_Try, /*On fail goto*//*Label 21784*/ GIMT_Encode4(1574917), // Rule ID 4205 //
     /* 1574840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1574848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1574851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1574854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1574857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574871 */     // MIs[0] passthru
     /* 1574871 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574884 */     // MIs[0] policy
     /* 1574884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574894 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1574897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574916 */     // GIR_Coverage, 4205,
     /* 1574916 */     GIR_EraseRootFromParent_Done,
     /* 1574917 */   // Label 21784: @1574917
     /* 1574917 */   GIM_Try, /*On fail goto*//*Label 21785*/ GIMT_Encode4(1574999), // Rule ID 4206 //
     /* 1574922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1574930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1574933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1574936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1574939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574953 */     // MIs[0] passthru
     /* 1574953 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574966 */     // MIs[0] policy
     /* 1574966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574976 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1574979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574998 */     // GIR_Coverage, 4206,
     /* 1574998 */     GIR_EraseRootFromParent_Done,
     /* 1574999 */   // Label 21785: @1574999
     /* 1574999 */   GIM_Try, /*On fail goto*//*Label 21786*/ GIMT_Encode4(1575081), // Rule ID 4215 //
     /* 1575004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1575015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1575018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1575021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575035 */     // MIs[0] passthru
     /* 1575035 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575048 */     // MIs[0] policy
     /* 1575048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1575061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575080 */     // GIR_Coverage, 4215,
     /* 1575080 */     GIR_EraseRootFromParent_Done,
     /* 1575081 */   // Label 21786: @1575081
     /* 1575081 */   GIM_Try, /*On fail goto*//*Label 21787*/ GIMT_Encode4(1575163), // Rule ID 4216 //
     /* 1575086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1575097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1575100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1575103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575117 */     // MIs[0] passthru
     /* 1575117 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575130 */     // MIs[0] policy
     /* 1575130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575140 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1575143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575162 */     // GIR_Coverage, 4216,
     /* 1575162 */     GIR_EraseRootFromParent_Done,
     /* 1575163 */   // Label 21787: @1575163
     /* 1575163 */   GIM_Try, /*On fail goto*//*Label 21788*/ GIMT_Encode4(1575245), // Rule ID 4225 //
     /* 1575168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1575179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1575182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1575185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1575188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1575195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575199 */     // MIs[0] passthru
     /* 1575199 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575212 */     // MIs[0] policy
     /* 1575212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575222 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1575225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575244 */     // GIR_Coverage, 4225,
     /* 1575244 */     GIR_EraseRootFromParent_Done,
     /* 1575245 */   // Label 21788: @1575245
     /* 1575245 */   GIM_Try, /*On fail goto*//*Label 21789*/ GIMT_Encode4(1575327), // Rule ID 4226 //
     /* 1575250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1575261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1575264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1575267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1575270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1575277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575281 */     // MIs[0] passthru
     /* 1575281 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575294 */     // MIs[0] policy
     /* 1575294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575304 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1575307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575326 */     // GIR_Coverage, 4226,
     /* 1575326 */     GIR_EraseRootFromParent_Done,
     /* 1575327 */   // Label 21789: @1575327
     /* 1575327 */   GIM_Try, /*On fail goto*//*Label 21790*/ GIMT_Encode4(1575409), // Rule ID 4235 //
     /* 1575332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1575335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1575343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1575346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1575349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1575352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575363 */     // MIs[0] passthru
     /* 1575363 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575376 */     // MIs[0] policy
     /* 1575376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575386 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1575389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575408 */     // GIR_Coverage, 4235,
     /* 1575408 */     GIR_EraseRootFromParent_Done,
     /* 1575409 */   // Label 21790: @1575409
     /* 1575409 */   GIM_Try, /*On fail goto*//*Label 21791*/ GIMT_Encode4(1575491), // Rule ID 4236 //
     /* 1575414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1575417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1575425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1575428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1575431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1575434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575445 */     // MIs[0] passthru
     /* 1575445 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575458 */     // MIs[0] policy
     /* 1575458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575468 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1575471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575490 */     // GIR_Coverage, 4236,
     /* 1575490 */     GIR_EraseRootFromParent_Done,
     /* 1575491 */   // Label 21791: @1575491
     /* 1575491 */   GIM_Try, /*On fail goto*//*Label 21792*/ GIMT_Encode4(1575573), // Rule ID 4245 //
     /* 1575496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1575499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1575507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1575510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1575513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1575516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575527 */     // MIs[0] passthru
     /* 1575527 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575540 */     // MIs[0] policy
     /* 1575540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575550 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1575553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575572 */     // GIR_Coverage, 4245,
     /* 1575572 */     GIR_EraseRootFromParent_Done,
     /* 1575573 */   // Label 21792: @1575573
     /* 1575573 */   GIM_Try, /*On fail goto*//*Label 21793*/ GIMT_Encode4(1575655), // Rule ID 4246 //
     /* 1575578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1575581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1575589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1575592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1575595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1575598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575609 */     // MIs[0] passthru
     /* 1575609 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575622 */     // MIs[0] policy
     /* 1575622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575632 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1575635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575654 */     // GIR_Coverage, 4246,
     /* 1575654 */     GIR_EraseRootFromParent_Done,
     /* 1575655 */   // Label 21793: @1575655
     /* 1575655 */   GIM_Try, /*On fail goto*//*Label 21794*/ GIMT_Encode4(1575737), // Rule ID 4255 //
     /* 1575660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1575663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1575671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1575674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1575677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1575680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575691 */     // MIs[0] passthru
     /* 1575691 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575704 */     // MIs[0] policy
     /* 1575704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575714 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1575717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575736 */     // GIR_Coverage, 4255,
     /* 1575736 */     GIR_EraseRootFromParent_Done,
     /* 1575737 */   // Label 21794: @1575737
     /* 1575737 */   GIM_Try, /*On fail goto*//*Label 21795*/ GIMT_Encode4(1575819), // Rule ID 4256 //
     /* 1575742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1575745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1575753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1575756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1575759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1575762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575773 */     // MIs[0] passthru
     /* 1575773 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575786 */     // MIs[0] policy
     /* 1575786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575796 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1575799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575818 */     // GIR_Coverage, 4256,
     /* 1575818 */     GIR_EraseRootFromParent_Done,
     /* 1575819 */   // Label 21795: @1575819
     /* 1575819 */   GIM_Try, /*On fail goto*//*Label 21796*/ GIMT_Encode4(1575901), // Rule ID 4265 //
     /* 1575824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1575827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1575835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1575838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1575841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1575851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575855 */     // MIs[0] passthru
     /* 1575855 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575868 */     // MIs[0] policy
     /* 1575868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575878 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1575881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575900 */     // GIR_Coverage, 4265,
     /* 1575900 */     GIR_EraseRootFromParent_Done,
     /* 1575901 */   // Label 21796: @1575901
     /* 1575901 */   GIM_Try, /*On fail goto*//*Label 21797*/ GIMT_Encode4(1575983), // Rule ID 4266 //
     /* 1575906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1575909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1575914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1575917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1575920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1575923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1575933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575937 */     // MIs[0] passthru
     /* 1575937 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575950 */     // MIs[0] policy
     /* 1575950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575960 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1575963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575982 */     // GIR_Coverage, 4266,
     /* 1575982 */     GIR_EraseRootFromParent_Done,
     /* 1575983 */   // Label 21797: @1575983
     /* 1575983 */   GIM_Try, /*On fail goto*//*Label 21798*/ GIMT_Encode4(1576065), // Rule ID 4335 //
     /* 1575988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1575996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1575999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1576002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1576005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576019 */     // MIs[0] passthru
     /* 1576019 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576032 */     // MIs[0] policy
     /* 1576032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576042 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1576045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576064 */     // GIR_Coverage, 4335,
     /* 1576064 */     GIR_EraseRootFromParent_Done,
     /* 1576065 */   // Label 21798: @1576065
     /* 1576065 */   GIM_Try, /*On fail goto*//*Label 21799*/ GIMT_Encode4(1576147), // Rule ID 4336 //
     /* 1576070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1576078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1576081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1576084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1576087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576101 */     // MIs[0] passthru
     /* 1576101 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576114 */     // MIs[0] policy
     /* 1576114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576124 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1576127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576146 */     // GIR_Coverage, 4336,
     /* 1576146 */     GIR_EraseRootFromParent_Done,
     /* 1576147 */   // Label 21799: @1576147
     /* 1576147 */   GIM_Try, /*On fail goto*//*Label 21800*/ GIMT_Encode4(1576229), // Rule ID 4345 //
     /* 1576152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1576160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1576163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1576166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1576169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1576172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576183 */     // MIs[0] passthru
     /* 1576183 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576196 */     // MIs[0] policy
     /* 1576196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576206 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1576209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576228 */     // GIR_Coverage, 4345,
     /* 1576228 */     GIR_EraseRootFromParent_Done,
     /* 1576229 */   // Label 21800: @1576229
     /* 1576229 */   GIM_Try, /*On fail goto*//*Label 21801*/ GIMT_Encode4(1576311), // Rule ID 4346 //
     /* 1576234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1576242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1576245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1576248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1576251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1576254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576265 */     // MIs[0] passthru
     /* 1576265 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576278 */     // MIs[0] policy
     /* 1576278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576288 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1576291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576310 */     // GIR_Coverage, 4346,
     /* 1576310 */     GIR_EraseRootFromParent_Done,
     /* 1576311 */   // Label 21801: @1576311
     /* 1576311 */   GIM_Try, /*On fail goto*//*Label 21802*/ GIMT_Encode4(1576393), // Rule ID 4355 //
     /* 1576316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1576324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1576327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1576330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1576333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1576336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576347 */     // MIs[0] passthru
     /* 1576347 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576360 */     // MIs[0] policy
     /* 1576360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576370 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1576373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576392 */     // GIR_Coverage, 4355,
     /* 1576392 */     GIR_EraseRootFromParent_Done,
     /* 1576393 */   // Label 21802: @1576393
     /* 1576393 */   GIM_Try, /*On fail goto*//*Label 21803*/ GIMT_Encode4(1576475), // Rule ID 4356 //
     /* 1576398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1576406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1576409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1576412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1576415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1576418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576429 */     // MIs[0] passthru
     /* 1576429 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576442 */     // MIs[0] policy
     /* 1576442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1576455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576474 */     // GIR_Coverage, 4356,
     /* 1576474 */     GIR_EraseRootFromParent_Done,
     /* 1576475 */   // Label 21803: @1576475
     /* 1576475 */   GIM_Try, /*On fail goto*//*Label 21804*/ GIMT_Encode4(1576557), // Rule ID 4365 //
     /* 1576480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1576488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1576491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1576494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1576497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1576500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576511 */     // MIs[0] passthru
     /* 1576511 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576524 */     // MIs[0] policy
     /* 1576524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576534 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1576537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576556 */     // GIR_Coverage, 4365,
     /* 1576556 */     GIR_EraseRootFromParent_Done,
     /* 1576557 */   // Label 21804: @1576557
     /* 1576557 */   GIM_Try, /*On fail goto*//*Label 21805*/ GIMT_Encode4(1576639), // Rule ID 4366 //
     /* 1576562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1576570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1576573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1576576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1576579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1576582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576593 */     // MIs[0] passthru
     /* 1576593 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576606 */     // MIs[0] policy
     /* 1576606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576616 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1576619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576638 */     // GIR_Coverage, 4366,
     /* 1576638 */     GIR_EraseRootFromParent_Done,
     /* 1576639 */   // Label 21805: @1576639
     /* 1576639 */   GIM_Try, /*On fail goto*//*Label 21806*/ GIMT_Encode4(1576721), // Rule ID 4375 //
     /* 1576644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1576652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1576655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1576658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1576661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1576664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576675 */     // MIs[0] passthru
     /* 1576675 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576688 */     // MIs[0] policy
     /* 1576688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576698 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1576701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576720 */     // GIR_Coverage, 4375,
     /* 1576720 */     GIR_EraseRootFromParent_Done,
     /* 1576721 */   // Label 21806: @1576721
     /* 1576721 */   GIM_Try, /*On fail goto*//*Label 21807*/ GIMT_Encode4(1576803), // Rule ID 4376 //
     /* 1576726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1576734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1576737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1576740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1576743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1576746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576757 */     // MIs[0] passthru
     /* 1576757 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576770 */     // MIs[0] policy
     /* 1576770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576780 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1576783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576802 */     // GIR_Coverage, 4376,
     /* 1576802 */     GIR_EraseRootFromParent_Done,
     /* 1576803 */   // Label 21807: @1576803
     /* 1576803 */   GIM_Try, /*On fail goto*//*Label 21808*/ GIMT_Encode4(1576885), // Rule ID 4385 //
     /* 1576808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1576816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1576819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1576822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1576825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1576828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1576835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576839 */     // MIs[0] passthru
     /* 1576839 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576852 */     // MIs[0] policy
     /* 1576852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576862 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1576865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576884 */     // GIR_Coverage, 4385,
     /* 1576884 */     GIR_EraseRootFromParent_Done,
     /* 1576885 */   // Label 21808: @1576885
     /* 1576885 */   GIM_Try, /*On fail goto*//*Label 21809*/ GIMT_Encode4(1576967), // Rule ID 4386 //
     /* 1576890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1576898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1576901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1576904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1576907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1576910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1576917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576921 */     // MIs[0] passthru
     /* 1576921 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576934 */     // MIs[0] policy
     /* 1576934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576944 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1576947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576966 */     // GIR_Coverage, 4386,
     /* 1576966 */     GIR_EraseRootFromParent_Done,
     /* 1576967 */   // Label 21809: @1576967
     /* 1576967 */   GIM_Try, /*On fail goto*//*Label 21810*/ GIMT_Encode4(1577049), // Rule ID 4395 //
     /* 1576972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1576980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1576983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1576986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1576989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577003 */     // MIs[0] passthru
     /* 1577003 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577016 */     // MIs[0] policy
     /* 1577016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577026 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1577029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577048 */     // GIR_Coverage, 4395,
     /* 1577048 */     GIR_EraseRootFromParent_Done,
     /* 1577049 */   // Label 21810: @1577049
     /* 1577049 */   GIM_Try, /*On fail goto*//*Label 21811*/ GIMT_Encode4(1577131), // Rule ID 4396 //
     /* 1577054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1577065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1577068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1577071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577085 */     // MIs[0] passthru
     /* 1577085 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577098 */     // MIs[0] policy
     /* 1577098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577108 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1577111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577130 */     // GIR_Coverage, 4396,
     /* 1577130 */     GIR_EraseRootFromParent_Done,
     /* 1577131 */   // Label 21811: @1577131
     /* 1577131 */   GIM_Try, /*On fail goto*//*Label 21812*/ GIMT_Encode4(1577213), // Rule ID 4405 //
     /* 1577136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1577147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1577150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1577153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577167 */     // MIs[0] passthru
     /* 1577167 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577180 */     // MIs[0] policy
     /* 1577180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577190 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1577193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577212 */     // GIR_Coverage, 4405,
     /* 1577212 */     GIR_EraseRootFromParent_Done,
     /* 1577213 */   // Label 21812: @1577213
     /* 1577213 */   GIM_Try, /*On fail goto*//*Label 21813*/ GIMT_Encode4(1577295), // Rule ID 4406 //
     /* 1577218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1577229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1577232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1577235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577249 */     // MIs[0] passthru
     /* 1577249 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577262 */     // MIs[0] policy
     /* 1577262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1577275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577294 */     // GIR_Coverage, 4406,
     /* 1577294 */     GIR_EraseRootFromParent_Done,
     /* 1577295 */   // Label 21813: @1577295
     /* 1577295 */   GIM_Try, /*On fail goto*//*Label 21814*/ GIMT_Encode4(1577377), // Rule ID 4415 //
     /* 1577300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1577311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1577314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1577317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577331 */     // MIs[0] passthru
     /* 1577331 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577344 */     // MIs[0] policy
     /* 1577344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577354 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1577357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577376 */     // GIR_Coverage, 4415,
     /* 1577376 */     GIR_EraseRootFromParent_Done,
     /* 1577377 */   // Label 21814: @1577377
     /* 1577377 */   GIM_Try, /*On fail goto*//*Label 21815*/ GIMT_Encode4(1577459), // Rule ID 4416 //
     /* 1577382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1577393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1577396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1577399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577413 */     // MIs[0] passthru
     /* 1577413 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577426 */     // MIs[0] policy
     /* 1577426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577436 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1577439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577458 */     // GIR_Coverage, 4416,
     /* 1577458 */     GIR_EraseRootFromParent_Done,
     /* 1577459 */   // Label 21815: @1577459
     /* 1577459 */   GIM_Try, /*On fail goto*//*Label 21816*/ GIMT_Encode4(1577541), // Rule ID 4425 //
     /* 1577464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1577475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1577478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1577481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577495 */     // MIs[0] passthru
     /* 1577495 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577508 */     // MIs[0] policy
     /* 1577508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577518 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1577521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577540 */     // GIR_Coverage, 4425,
     /* 1577540 */     GIR_EraseRootFromParent_Done,
     /* 1577541 */   // Label 21816: @1577541
     /* 1577541 */   GIM_Try, /*On fail goto*//*Label 21817*/ GIMT_Encode4(1577623), // Rule ID 4426 //
     /* 1577546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1577557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1577560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1577563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577577 */     // MIs[0] passthru
     /* 1577577 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577590 */     // MIs[0] policy
     /* 1577590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577600 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1577603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577622 */     // GIR_Coverage, 4426,
     /* 1577622 */     GIR_EraseRootFromParent_Done,
     /* 1577623 */   // Label 21817: @1577623
     /* 1577623 */   GIM_Try, /*On fail goto*//*Label 21818*/ GIMT_Encode4(1577705), // Rule ID 4435 //
     /* 1577628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1577639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1577642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1577645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1577648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1577655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577659 */     // MIs[0] passthru
     /* 1577659 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577672 */     // MIs[0] policy
     /* 1577672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577682 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1577685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577704 */     // GIR_Coverage, 4435,
     /* 1577704 */     GIR_EraseRootFromParent_Done,
     /* 1577705 */   // Label 21818: @1577705
     /* 1577705 */   GIM_Try, /*On fail goto*//*Label 21819*/ GIMT_Encode4(1577787), // Rule ID 4436 //
     /* 1577710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1577721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1577724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1577727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1577730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1577737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577741 */     // MIs[0] passthru
     /* 1577741 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577754 */     // MIs[0] policy
     /* 1577754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577764 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1577767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577786 */     // GIR_Coverage, 4436,
     /* 1577786 */     GIR_EraseRootFromParent_Done,
     /* 1577787 */   // Label 21819: @1577787
     /* 1577787 */   GIM_Try, /*On fail goto*//*Label 21820*/ GIMT_Encode4(1577869), // Rule ID 4445 //
     /* 1577792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1577795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1577803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1577806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1577809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577823 */     // MIs[0] passthru
     /* 1577823 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577836 */     // MIs[0] policy
     /* 1577836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1577849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577868 */     // GIR_Coverage, 4445,
     /* 1577868 */     GIR_EraseRootFromParent_Done,
     /* 1577869 */   // Label 21820: @1577869
     /* 1577869 */   GIM_Try, /*On fail goto*//*Label 21821*/ GIMT_Encode4(1577951), // Rule ID 4446 //
     /* 1577874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1577877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1577885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1577888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1577891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577905 */     // MIs[0] passthru
     /* 1577905 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577918 */     // MIs[0] policy
     /* 1577918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1577931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577950 */     // GIR_Coverage, 4446,
     /* 1577950 */     GIR_EraseRootFromParent_Done,
     /* 1577951 */   // Label 21821: @1577951
     /* 1577951 */   GIM_Try, /*On fail goto*//*Label 21822*/ GIMT_Encode4(1578033), // Rule ID 4455 //
     /* 1577956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1577959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1577964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1577967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1577970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1577973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577987 */     // MIs[0] passthru
     /* 1577987 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1577992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578000 */     // MIs[0] policy
     /* 1578000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578010 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1578013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578032 */     // GIR_Coverage, 4455,
     /* 1578032 */     GIR_EraseRootFromParent_Done,
     /* 1578033 */   // Label 21822: @1578033
     /* 1578033 */   GIM_Try, /*On fail goto*//*Label 21823*/ GIMT_Encode4(1578115), // Rule ID 4456 //
     /* 1578038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1578041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1578049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1578052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1578055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578069 */     // MIs[0] passthru
     /* 1578069 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578082 */     // MIs[0] policy
     /* 1578082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578092 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1578095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578114 */     // GIR_Coverage, 4456,
     /* 1578114 */     GIR_EraseRootFromParent_Done,
     /* 1578115 */   // Label 21823: @1578115
     /* 1578115 */   GIM_Try, /*On fail goto*//*Label 21824*/ GIMT_Encode4(1578197), // Rule ID 4465 //
     /* 1578120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1578123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1578131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1578134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1578137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1578140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578151 */     // MIs[0] passthru
     /* 1578151 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578164 */     // MIs[0] policy
     /* 1578164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578174 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1578177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578196 */     // GIR_Coverage, 4465,
     /* 1578196 */     GIR_EraseRootFromParent_Done,
     /* 1578197 */   // Label 21824: @1578197
     /* 1578197 */   GIM_Try, /*On fail goto*//*Label 21825*/ GIMT_Encode4(1578279), // Rule ID 4466 //
     /* 1578202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1578205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1578213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1578216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1578219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1578222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578233 */     // MIs[0] passthru
     /* 1578233 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578246 */     // MIs[0] policy
     /* 1578246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578256 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1578259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578278 */     // GIR_Coverage, 4466,
     /* 1578278 */     GIR_EraseRootFromParent_Done,
     /* 1578279 */   // Label 21825: @1578279
     /* 1578279 */   GIM_Try, /*On fail goto*//*Label 21826*/ GIMT_Encode4(1578361), // Rule ID 4475 //
     /* 1578284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1578287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1578295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1578298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1578301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578315 */     // MIs[0] passthru
     /* 1578315 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578328 */     // MIs[0] policy
     /* 1578328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578338 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1578341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578360 */     // GIR_Coverage, 4475,
     /* 1578360 */     GIR_EraseRootFromParent_Done,
     /* 1578361 */   // Label 21826: @1578361
     /* 1578361 */   GIM_Try, /*On fail goto*//*Label 21827*/ GIMT_Encode4(1578443), // Rule ID 4476 //
     /* 1578366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1578369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1578374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1578377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1578380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1578383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578397 */     // MIs[0] passthru
     /* 1578397 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578410 */     // MIs[0] policy
     /* 1578410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578420 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1578423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578442 */     // GIR_Coverage, 4476,
     /* 1578442 */     GIR_EraseRootFromParent_Done,
     /* 1578443 */   // Label 21827: @1578443
     /* 1578443 */   GIM_Try, /*On fail goto*//*Label 21828*/ GIMT_Encode4(1578525), // Rule ID 4545 //
     /* 1578448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1578456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1578459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1578462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1578465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578479 */     // MIs[0] passthru
     /* 1578479 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578492 */     // MIs[0] policy
     /* 1578492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578502 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1578505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578524 */     // GIR_Coverage, 4545,
     /* 1578524 */     GIR_EraseRootFromParent_Done,
     /* 1578525 */   // Label 21828: @1578525
     /* 1578525 */   GIM_Try, /*On fail goto*//*Label 21829*/ GIMT_Encode4(1578607), // Rule ID 4546 //
     /* 1578530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1578538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1578541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1578544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1578547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578561 */     // MIs[0] passthru
     /* 1578561 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578574 */     // MIs[0] policy
     /* 1578574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578584 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1578587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578606 */     // GIR_Coverage, 4546,
     /* 1578606 */     GIR_EraseRootFromParent_Done,
     /* 1578607 */   // Label 21829: @1578607
     /* 1578607 */   GIM_Try, /*On fail goto*//*Label 21830*/ GIMT_Encode4(1578689), // Rule ID 4555 //
     /* 1578612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1578620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1578623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1578626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1578629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578643 */     // MIs[0] passthru
     /* 1578643 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578656 */     // MIs[0] policy
     /* 1578656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578666 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1578669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578688 */     // GIR_Coverage, 4555,
     /* 1578688 */     GIR_EraseRootFromParent_Done,
     /* 1578689 */   // Label 21830: @1578689
     /* 1578689 */   GIM_Try, /*On fail goto*//*Label 21831*/ GIMT_Encode4(1578771), // Rule ID 4556 //
     /* 1578694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1578702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1578705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1578708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1578711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578725 */     // MIs[0] passthru
     /* 1578725 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578738 */     // MIs[0] policy
     /* 1578738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578748 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1578751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578770 */     // GIR_Coverage, 4556,
     /* 1578770 */     GIR_EraseRootFromParent_Done,
     /* 1578771 */   // Label 21831: @1578771
     /* 1578771 */   GIM_Try, /*On fail goto*//*Label 21832*/ GIMT_Encode4(1578853), // Rule ID 4565 //
     /* 1578776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1578784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1578787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1578790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1578793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1578796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578807 */     // MIs[0] passthru
     /* 1578807 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578820 */     // MIs[0] policy
     /* 1578820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578830 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1578833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578852 */     // GIR_Coverage, 4565,
     /* 1578852 */     GIR_EraseRootFromParent_Done,
     /* 1578853 */   // Label 21832: @1578853
     /* 1578853 */   GIM_Try, /*On fail goto*//*Label 21833*/ GIMT_Encode4(1578935), // Rule ID 4566 //
     /* 1578858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1578866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1578869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1578872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1578875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1578878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578889 */     // MIs[0] passthru
     /* 1578889 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578902 */     // MIs[0] policy
     /* 1578902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578912 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1578915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578934 */     // GIR_Coverage, 4566,
     /* 1578934 */     GIR_EraseRootFromParent_Done,
     /* 1578935 */   // Label 21833: @1578935
     /* 1578935 */   GIM_Try, /*On fail goto*//*Label 21834*/ GIMT_Encode4(1579017), // Rule ID 4575 //
     /* 1578940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1578948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1578951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1578954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1578957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578971 */     // MIs[0] passthru
     /* 1578971 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1578976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578984 */     // MIs[0] policy
     /* 1578984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578994 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1578997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579016 */     // GIR_Coverage, 4575,
     /* 1579016 */     GIR_EraseRootFromParent_Done,
     /* 1579017 */   // Label 21834: @1579017
     /* 1579017 */   GIM_Try, /*On fail goto*//*Label 21835*/ GIMT_Encode4(1579099), // Rule ID 4576 //
     /* 1579022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1579033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1579036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1579039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579053 */     // MIs[0] passthru
     /* 1579053 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579066 */     // MIs[0] policy
     /* 1579066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579076 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1579079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579098 */     // GIR_Coverage, 4576,
     /* 1579098 */     GIR_EraseRootFromParent_Done,
     /* 1579099 */   // Label 21835: @1579099
     /* 1579099 */   GIM_Try, /*On fail goto*//*Label 21836*/ GIMT_Encode4(1579181), // Rule ID 4585 //
     /* 1579104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1579115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1579118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1579121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1579124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579135 */     // MIs[0] passthru
     /* 1579135 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579148 */     // MIs[0] policy
     /* 1579148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579158 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1579161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579180 */     // GIR_Coverage, 4585,
     /* 1579180 */     GIR_EraseRootFromParent_Done,
     /* 1579181 */   // Label 21836: @1579181
     /* 1579181 */   GIM_Try, /*On fail goto*//*Label 21837*/ GIMT_Encode4(1579263), // Rule ID 4586 //
     /* 1579186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1579197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1579200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1579203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1579206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579217 */     // MIs[0] passthru
     /* 1579217 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579230 */     // MIs[0] policy
     /* 1579230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579240 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1579243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579262 */     // GIR_Coverage, 4586,
     /* 1579262 */     GIR_EraseRootFromParent_Done,
     /* 1579263 */   // Label 21837: @1579263
     /* 1579263 */   GIM_Try, /*On fail goto*//*Label 21838*/ GIMT_Encode4(1579345), // Rule ID 4595 //
     /* 1579268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1579279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1579282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1579285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1579288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579299 */     // MIs[0] passthru
     /* 1579299 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579312 */     // MIs[0] policy
     /* 1579312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579322 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1579325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579344 */     // GIR_Coverage, 4595,
     /* 1579344 */     GIR_EraseRootFromParent_Done,
     /* 1579345 */   // Label 21838: @1579345
     /* 1579345 */   GIM_Try, /*On fail goto*//*Label 21839*/ GIMT_Encode4(1579427), // Rule ID 4596 //
     /* 1579350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1579361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1579364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1579367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1579370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579381 */     // MIs[0] passthru
     /* 1579381 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579394 */     // MIs[0] policy
     /* 1579394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579404 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1579407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579426 */     // GIR_Coverage, 4596,
     /* 1579426 */     GIR_EraseRootFromParent_Done,
     /* 1579427 */   // Label 21839: @1579427
     /* 1579427 */   GIM_Try, /*On fail goto*//*Label 21840*/ GIMT_Encode4(1579509), // Rule ID 4605 //
     /* 1579432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1579443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1579446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1579449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579463 */     // MIs[0] passthru
     /* 1579463 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579476 */     // MIs[0] policy
     /* 1579476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579486 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1579489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579508 */     // GIR_Coverage, 4605,
     /* 1579508 */     GIR_EraseRootFromParent_Done,
     /* 1579509 */   // Label 21840: @1579509
     /* 1579509 */   GIM_Try, /*On fail goto*//*Label 21841*/ GIMT_Encode4(1579591), // Rule ID 4606 //
     /* 1579514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1579525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1579528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1579531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579545 */     // MIs[0] passthru
     /* 1579545 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579558 */     // MIs[0] policy
     /* 1579558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579568 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1579571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579590 */     // GIR_Coverage, 4606,
     /* 1579590 */     GIR_EraseRootFromParent_Done,
     /* 1579591 */   // Label 21841: @1579591
     /* 1579591 */   GIM_Try, /*On fail goto*//*Label 21842*/ GIMT_Encode4(1579673), // Rule ID 4615 //
     /* 1579596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1579607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1579610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1579613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579627 */     // MIs[0] passthru
     /* 1579627 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579640 */     // MIs[0] policy
     /* 1579640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579650 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1579653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579672 */     // GIR_Coverage, 4615,
     /* 1579672 */     GIR_EraseRootFromParent_Done,
     /* 1579673 */   // Label 21842: @1579673
     /* 1579673 */   GIM_Try, /*On fail goto*//*Label 21843*/ GIMT_Encode4(1579755), // Rule ID 4616 //
     /* 1579678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1579689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1579692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1579695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1579698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579709 */     // MIs[0] passthru
     /* 1579709 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579722 */     // MIs[0] policy
     /* 1579722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579732 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1579735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579754 */     // GIR_Coverage, 4616,
     /* 1579754 */     GIR_EraseRootFromParent_Done,
     /* 1579755 */   // Label 21843: @1579755
     /* 1579755 */   GIM_Try, /*On fail goto*//*Label 21844*/ GIMT_Encode4(1579837), // Rule ID 4625 //
     /* 1579760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1579771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1579774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1579777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579791 */     // MIs[0] passthru
     /* 1579791 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579804 */     // MIs[0] policy
     /* 1579804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579814 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1579817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579836 */     // GIR_Coverage, 4625,
     /* 1579836 */     GIR_EraseRootFromParent_Done,
     /* 1579837 */   // Label 21844: @1579837
     /* 1579837 */   GIM_Try, /*On fail goto*//*Label 21845*/ GIMT_Encode4(1579919), // Rule ID 4626 //
     /* 1579842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1579853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1579856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1579859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579873 */     // MIs[0] passthru
     /* 1579873 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579886 */     // MIs[0] policy
     /* 1579886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1579899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579918 */     // GIR_Coverage, 4626,
     /* 1579918 */     GIR_EraseRootFromParent_Done,
     /* 1579919 */   // Label 21845: @1579919
     /* 1579919 */   GIM_Try, /*On fail goto*//*Label 21846*/ GIMT_Encode4(1580001), // Rule ID 4635 //
     /* 1579924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1579932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1579935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1579938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1579941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579955 */     // MIs[0] passthru
     /* 1579955 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1579960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579968 */     // MIs[0] policy
     /* 1579968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579978 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1579981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580000 */     // GIR_Coverage, 4635,
     /* 1580000 */     GIR_EraseRootFromParent_Done,
     /* 1580001 */   // Label 21846: @1580001
     /* 1580001 */   GIM_Try, /*On fail goto*//*Label 21847*/ GIMT_Encode4(1580083), // Rule ID 4636 //
     /* 1580006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1580017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1580020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1580023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580037 */     // MIs[0] passthru
     /* 1580037 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580050 */     // MIs[0] policy
     /* 1580050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580060 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1580063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580082 */     // GIR_Coverage, 4636,
     /* 1580082 */     GIR_EraseRootFromParent_Done,
     /* 1580083 */   // Label 21847: @1580083
     /* 1580083 */   GIM_Try, /*On fail goto*//*Label 21848*/ GIMT_Encode4(1580165), // Rule ID 4645 //
     /* 1580088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1580099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1580102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1580105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580119 */     // MIs[0] passthru
     /* 1580119 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580132 */     // MIs[0] policy
     /* 1580132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580142 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1580145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580164 */     // GIR_Coverage, 4645,
     /* 1580164 */     GIR_EraseRootFromParent_Done,
     /* 1580165 */   // Label 21848: @1580165
     /* 1580165 */   GIM_Try, /*On fail goto*//*Label 21849*/ GIMT_Encode4(1580247), // Rule ID 4646 //
     /* 1580170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1580181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1580184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1580187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580201 */     // MIs[0] passthru
     /* 1580201 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580214 */     // MIs[0] policy
     /* 1580214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580224 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1580227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580246 */     // GIR_Coverage, 4646,
     /* 1580246 */     GIR_EraseRootFromParent_Done,
     /* 1580247 */   // Label 21849: @1580247
     /* 1580247 */   GIM_Try, /*On fail goto*//*Label 21850*/ GIMT_Encode4(1580329), // Rule ID 4655 //
     /* 1580252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1580255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1580263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1580266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1580269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580283 */     // MIs[0] passthru
     /* 1580283 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580296 */     // MIs[0] policy
     /* 1580296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580306 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1580309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580328 */     // GIR_Coverage, 4655,
     /* 1580328 */     GIR_EraseRootFromParent_Done,
     /* 1580329 */   // Label 21850: @1580329
     /* 1580329 */   GIM_Try, /*On fail goto*//*Label 21851*/ GIMT_Encode4(1580411), // Rule ID 4656 //
     /* 1580334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1580337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1580345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1580348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1580351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580365 */     // MIs[0] passthru
     /* 1580365 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580378 */     // MIs[0] policy
     /* 1580378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580388 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1580391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580410 */     // GIR_Coverage, 4656,
     /* 1580410 */     GIR_EraseRootFromParent_Done,
     /* 1580411 */   // Label 21851: @1580411
     /* 1580411 */   GIM_Try, /*On fail goto*//*Label 21852*/ GIMT_Encode4(1580493), // Rule ID 4665 //
     /* 1580416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1580419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1580427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1580430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1580433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580447 */     // MIs[0] passthru
     /* 1580447 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580460 */     // MIs[0] policy
     /* 1580460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580470 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1580473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580492 */     // GIR_Coverage, 4665,
     /* 1580492 */     GIR_EraseRootFromParent_Done,
     /* 1580493 */   // Label 21852: @1580493
     /* 1580493 */   GIM_Try, /*On fail goto*//*Label 21853*/ GIMT_Encode4(1580575), // Rule ID 4666 //
     /* 1580498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1580501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1580509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1580512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1580515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580529 */     // MIs[0] passthru
     /* 1580529 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580542 */     // MIs[0] policy
     /* 1580542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1580555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580574 */     // GIR_Coverage, 4666,
     /* 1580574 */     GIR_EraseRootFromParent_Done,
     /* 1580575 */   // Label 21853: @1580575
     /* 1580575 */   GIM_Try, /*On fail goto*//*Label 21854*/ GIMT_Encode4(1580657), // Rule ID 4675 //
     /* 1580580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1580583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1580591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1580594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1580597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580611 */     // MIs[0] passthru
     /* 1580611 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580624 */     // MIs[0] policy
     /* 1580624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580634 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1580637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580656 */     // GIR_Coverage, 4675,
     /* 1580656 */     GIR_EraseRootFromParent_Done,
     /* 1580657 */   // Label 21854: @1580657
     /* 1580657 */   GIM_Try, /*On fail goto*//*Label 21855*/ GIMT_Encode4(1580739), // Rule ID 4676 //
     /* 1580662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1580665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1580673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1580676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1580679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580693 */     // MIs[0] passthru
     /* 1580693 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580706 */     // MIs[0] policy
     /* 1580706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580716 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1580719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580738 */     // GIR_Coverage, 4676,
     /* 1580738 */     GIR_EraseRootFromParent_Done,
     /* 1580739 */   // Label 21855: @1580739
     /* 1580739 */   GIM_Try, /*On fail goto*//*Label 21856*/ GIMT_Encode4(1580821), // Rule ID 4685 //
     /* 1580744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1580747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1580755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1580758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1580761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580775 */     // MIs[0] passthru
     /* 1580775 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580788 */     // MIs[0] policy
     /* 1580788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580798 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1580801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580820 */     // GIR_Coverage, 4685,
     /* 1580820 */     GIR_EraseRootFromParent_Done,
     /* 1580821 */   // Label 21856: @1580821
     /* 1580821 */   GIM_Try, /*On fail goto*//*Label 21857*/ GIMT_Encode4(1580903), // Rule ID 4686 //
     /* 1580826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1580829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1580834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1580837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1580840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1580843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580857 */     // MIs[0] passthru
     /* 1580857 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1580862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580870 */     // MIs[0] policy
     /* 1580870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580880 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1580883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580902 */     // GIR_Coverage, 4686,
     /* 1580902 */     GIR_EraseRootFromParent_Done,
     /* 1580903 */   // Label 21857: @1580903
     /* 1580903 */   GIM_Try, /*On fail goto*//*Label 21858*/ GIMT_Encode4(1580989), // Rule ID 2581 //
     /* 1580908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1580916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1580919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1580922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1580925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1580928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580954 */     // MIs[0] policy
     /* 1580954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580964 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1580967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580988 */     // GIR_Coverage, 2581,
     /* 1580988 */     GIR_EraseRootFromParent_Done,
     /* 1580989 */   // Label 21858: @1580989
     /* 1580989 */   GIM_Try, /*On fail goto*//*Label 21859*/ GIMT_Encode4(1581075), // Rule ID 2582 //
     /* 1580994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1581005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1581008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1581011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1581014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581040 */     // MIs[0] policy
     /* 1581040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581050 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1581053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581074 */     // GIR_Coverage, 2582,
     /* 1581074 */     GIR_EraseRootFromParent_Done,
     /* 1581075 */   // Label 21859: @1581075
     /* 1581075 */   GIM_Try, /*On fail goto*//*Label 21860*/ GIMT_Encode4(1581161), // Rule ID 2619 //
     /* 1581080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1581088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1581091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1581094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1581097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1581100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581126 */     // MIs[0] policy
     /* 1581126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581136 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1581139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581160 */     // GIR_Coverage, 2619,
     /* 1581160 */     GIR_EraseRootFromParent_Done,
     /* 1581161 */   // Label 21860: @1581161
     /* 1581161 */   GIM_Try, /*On fail goto*//*Label 21861*/ GIMT_Encode4(1581247), // Rule ID 2620 //
     /* 1581166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1581174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1581177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1581180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1581183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1581186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581212 */     // MIs[0] policy
     /* 1581212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581222 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1581225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581246 */     // GIR_Coverage, 2620,
     /* 1581246 */     GIR_EraseRootFromParent_Done,
     /* 1581247 */   // Label 21861: @1581247
     /* 1581247 */   GIM_Try, /*On fail goto*//*Label 21862*/ GIMT_Encode4(1581333), // Rule ID 2633 //
     /* 1581252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1581260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1581263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1581266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1581269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1581272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581298 */     // MIs[0] policy
     /* 1581298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581308 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1581311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1581315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581332 */     // GIR_Coverage, 2633,
     /* 1581332 */     GIR_EraseRootFromParent_Done,
     /* 1581333 */   // Label 21862: @1581333
     /* 1581333 */   GIM_Try, /*On fail goto*//*Label 21863*/ GIMT_Encode4(1581419), // Rule ID 2634 //
     /* 1581338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1581346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1581349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1581352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1581355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1581358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581384 */     // MIs[0] policy
     /* 1581384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581394 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1581397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1581401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581418 */     // GIR_Coverage, 2634,
     /* 1581418 */     GIR_EraseRootFromParent_Done,
     /* 1581419 */   // Label 21863: @1581419
     /* 1581419 */   GIM_Try, /*On fail goto*//*Label 21864*/ GIMT_Encode4(1581505), // Rule ID 2653 //
     /* 1581424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1581432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1581435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1581438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1581441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1581444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581470 */     // MIs[0] policy
     /* 1581470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581480 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1581483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1581489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1581491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581504 */     // GIR_Coverage, 2653,
     /* 1581504 */     GIR_EraseRootFromParent_Done,
     /* 1581505 */   // Label 21864: @1581505
     /* 1581505 */   GIM_Try, /*On fail goto*//*Label 21865*/ GIMT_Encode4(1581591), // Rule ID 2654 //
     /* 1581510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1581518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1581521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1581524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1581527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1581530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581556 */     // MIs[0] policy
     /* 1581556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581566 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1581569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1581575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1581577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581590 */     // GIR_Coverage, 2654,
     /* 1581590 */     GIR_EraseRootFromParent_Done,
     /* 1581591 */   // Label 21865: @1581591
     /* 1581591 */   GIM_Try, /*On fail goto*//*Label 21866*/ GIMT_Encode4(1581677), // Rule ID 2661 //
     /* 1581596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1581604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1581607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1581610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1581613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1581616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581642 */     // MIs[0] policy
     /* 1581642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581652 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1581655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1581661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1581663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581676 */     // GIR_Coverage, 2661,
     /* 1581676 */     GIR_EraseRootFromParent_Done,
     /* 1581677 */   // Label 21866: @1581677
     /* 1581677 */   GIM_Try, /*On fail goto*//*Label 21867*/ GIMT_Encode4(1581763), // Rule ID 2662 //
     /* 1581682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1581690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1581693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1581696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1581699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1581702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581728 */     // MIs[0] policy
     /* 1581728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581738 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1581741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1581747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1581749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581762 */     // GIR_Coverage, 2662,
     /* 1581762 */     GIR_EraseRootFromParent_Done,
     /* 1581763 */   // Label 21867: @1581763
     /* 1581763 */   GIM_Try, /*On fail goto*//*Label 21868*/ GIMT_Encode4(1581849), // Rule ID 2669 //
     /* 1581768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1581776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1581779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1581782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1581785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1581788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581814 */     // MIs[0] policy
     /* 1581814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581824 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1581827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1581833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1581835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581848 */     // GIR_Coverage, 2669,
     /* 1581848 */     GIR_EraseRootFromParent_Done,
     /* 1581849 */   // Label 21868: @1581849
     /* 1581849 */   GIM_Try, /*On fail goto*//*Label 21869*/ GIMT_Encode4(1581935), // Rule ID 2670 //
     /* 1581854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1581862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1581865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1581868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1581871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1581874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581900 */     // MIs[0] policy
     /* 1581900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581910 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1581913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1581919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1581921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581934 */     // GIR_Coverage, 2670,
     /* 1581934 */     GIR_EraseRootFromParent_Done,
     /* 1581935 */   // Label 21869: @1581935
     /* 1581935 */   GIM_Try, /*On fail goto*//*Label 21870*/ GIMT_Encode4(1582021), // Rule ID 2677 //
     /* 1581940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1581948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1581951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1581954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1581957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1581960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581986 */     // MIs[0] policy
     /* 1581986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581996 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1581999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582020 */     // GIR_Coverage, 2677,
     /* 1582020 */     GIR_EraseRootFromParent_Done,
     /* 1582021 */   // Label 21870: @1582021
     /* 1582021 */   GIM_Try, /*On fail goto*//*Label 21871*/ GIMT_Encode4(1582107), // Rule ID 2678 //
     /* 1582026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1582037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1582040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1582043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1582046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582072 */     // MIs[0] policy
     /* 1582072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582082 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1582085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582106 */     // GIR_Coverage, 2678,
     /* 1582106 */     GIR_EraseRootFromParent_Done,
     /* 1582107 */   // Label 21871: @1582107
     /* 1582107 */   GIM_Try, /*On fail goto*//*Label 21872*/ GIMT_Encode4(1582193), // Rule ID 2685 //
     /* 1582112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1582123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1582126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1582129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1582132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582158 */     // MIs[0] policy
     /* 1582158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582168 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1582171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582192 */     // GIR_Coverage, 2685,
     /* 1582192 */     GIR_EraseRootFromParent_Done,
     /* 1582193 */   // Label 21872: @1582193
     /* 1582193 */   GIM_Try, /*On fail goto*//*Label 21873*/ GIMT_Encode4(1582279), // Rule ID 2686 //
     /* 1582198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1582209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1582212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1582215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1582218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582244 */     // MIs[0] policy
     /* 1582244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582254 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1582257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582278 */     // GIR_Coverage, 2686,
     /* 1582278 */     GIR_EraseRootFromParent_Done,
     /* 1582279 */   // Label 21873: @1582279
     /* 1582279 */   GIM_Try, /*On fail goto*//*Label 21874*/ GIMT_Encode4(1582365), // Rule ID 2693 //
     /* 1582284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1582295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1582298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1582301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1582304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582330 */     // MIs[0] policy
     /* 1582330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582340 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1582343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582364 */     // GIR_Coverage, 2693,
     /* 1582364 */     GIR_EraseRootFromParent_Done,
     /* 1582365 */   // Label 21874: @1582365
     /* 1582365 */   GIM_Try, /*On fail goto*//*Label 21875*/ GIMT_Encode4(1582451), // Rule ID 2694 //
     /* 1582370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1582381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1582384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1582387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1582390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582416 */     // MIs[0] policy
     /* 1582416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582426 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1582429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582450 */     // GIR_Coverage, 2694,
     /* 1582450 */     GIR_EraseRootFromParent_Done,
     /* 1582451 */   // Label 21875: @1582451
     /* 1582451 */   GIM_Try, /*On fail goto*//*Label 21876*/ GIMT_Encode4(1582537), // Rule ID 2701 //
     /* 1582456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1582467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1582470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1582473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1582476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582502 */     // MIs[0] policy
     /* 1582502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582512 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1582515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582536 */     // GIR_Coverage, 2701,
     /* 1582536 */     GIR_EraseRootFromParent_Done,
     /* 1582537 */   // Label 21876: @1582537
     /* 1582537 */   GIM_Try, /*On fail goto*//*Label 21877*/ GIMT_Encode4(1582623), // Rule ID 2702 //
     /* 1582542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1582553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1582556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1582559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1582562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582588 */     // MIs[0] policy
     /* 1582588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582598 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1582601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582622 */     // GIR_Coverage, 2702,
     /* 1582622 */     GIR_EraseRootFromParent_Done,
     /* 1582623 */   // Label 21877: @1582623
     /* 1582623 */   GIM_Try, /*On fail goto*//*Label 21878*/ GIMT_Encode4(1582709), // Rule ID 2709 //
     /* 1582628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1582639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1582642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1582645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1582648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1582651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582674 */     // MIs[0] policy
     /* 1582674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582684 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1582687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582708 */     // GIR_Coverage, 2709,
     /* 1582708 */     GIR_EraseRootFromParent_Done,
     /* 1582709 */   // Label 21878: @1582709
     /* 1582709 */   GIM_Try, /*On fail goto*//*Label 21879*/ GIMT_Encode4(1582795), // Rule ID 2710 //
     /* 1582714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1582725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1582728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1582731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1582734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1582737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582760 */     // MIs[0] policy
     /* 1582760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582770 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1582773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582794 */     // GIR_Coverage, 2710,
     /* 1582794 */     GIR_EraseRootFromParent_Done,
     /* 1582795 */   // Label 21879: @1582795
     /* 1582795 */   GIM_Try, /*On fail goto*//*Label 21880*/ GIMT_Encode4(1582881), // Rule ID 2717 //
     /* 1582800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1582811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1582814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1582817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1582820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582846 */     // MIs[0] policy
     /* 1582846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582856 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1582859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582880 */     // GIR_Coverage, 2717,
     /* 1582880 */     GIR_EraseRootFromParent_Done,
     /* 1582881 */   // Label 21880: @1582881
     /* 1582881 */   GIM_Try, /*On fail goto*//*Label 21881*/ GIMT_Encode4(1582967), // Rule ID 2718 //
     /* 1582886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1582897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1582900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1582903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1582906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582932 */     // MIs[0] policy
     /* 1582932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582942 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1582945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1582951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582966 */     // GIR_Coverage, 2718,
     /* 1582966 */     GIR_EraseRootFromParent_Done,
     /* 1582967 */   // Label 21881: @1582967
     /* 1582967 */   GIM_Try, /*On fail goto*//*Label 21882*/ GIMT_Encode4(1583053), // Rule ID 2725 //
     /* 1582972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1582975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1582980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1582983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1582986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1582989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1582992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583018 */     // MIs[0] policy
     /* 1583018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583028 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1583031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1583049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583052 */     // GIR_Coverage, 2725,
     /* 1583052 */     GIR_EraseRootFromParent_Done,
     /* 1583053 */   // Label 21882: @1583053
     /* 1583053 */   GIM_Try, /*On fail goto*//*Label 21883*/ GIMT_Encode4(1583139), // Rule ID 2726 //
     /* 1583058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1583061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1583069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1583072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1583075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1583078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583104 */     // MIs[0] policy
     /* 1583104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583114 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1583117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1583135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583138 */     // GIR_Coverage, 2726,
     /* 1583138 */     GIR_EraseRootFromParent_Done,
     /* 1583139 */   // Label 21883: @1583139
     /* 1583139 */   GIM_Try, /*On fail goto*//*Label 21884*/ GIMT_Encode4(1583225), // Rule ID 2733 //
     /* 1583144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1583155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1583158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1583161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1583164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1583167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583190 */     // MIs[0] policy
     /* 1583190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583200 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1583203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583224 */     // GIR_Coverage, 2733,
     /* 1583224 */     GIR_EraseRootFromParent_Done,
     /* 1583225 */   // Label 21884: @1583225
     /* 1583225 */   GIM_Try, /*On fail goto*//*Label 21885*/ GIMT_Encode4(1583311), // Rule ID 2734 //
     /* 1583230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1583241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1583244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1583247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1583250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1583253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583276 */     // MIs[0] policy
     /* 1583276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583286 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1583289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583310 */     // GIR_Coverage, 2734,
     /* 1583310 */     GIR_EraseRootFromParent_Done,
     /* 1583311 */   // Label 21885: @1583311
     /* 1583311 */   GIM_Try, /*On fail goto*//*Label 21886*/ GIMT_Encode4(1583397), // Rule ID 2741 //
     /* 1583316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1583327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1583330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1583333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1583336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1583339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1583346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583362 */     // MIs[0] policy
     /* 1583362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583372 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1583375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583396 */     // GIR_Coverage, 2741,
     /* 1583396 */     GIR_EraseRootFromParent_Done,
     /* 1583397 */   // Label 21886: @1583397
     /* 1583397 */   GIM_Try, /*On fail goto*//*Label 21887*/ GIMT_Encode4(1583483), // Rule ID 2742 //
     /* 1583402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1583413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1583416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1583419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1583422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1583425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1583432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583448 */     // MIs[0] policy
     /* 1583448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583458 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1583461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583482 */     // GIR_Coverage, 2742,
     /* 1583482 */     GIR_EraseRootFromParent_Done,
     /* 1583483 */   // Label 21887: @1583483
     /* 1583483 */   GIM_Try, /*On fail goto*//*Label 21888*/ GIMT_Encode4(1583569), // Rule ID 2749 //
     /* 1583488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1583499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1583502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1583505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1583508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1583511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1583518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583534 */     // MIs[0] policy
     /* 1583534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583544 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1583547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583568 */     // GIR_Coverage, 2749,
     /* 1583568 */     GIR_EraseRootFromParent_Done,
     /* 1583569 */   // Label 21888: @1583569
     /* 1583569 */   GIM_Try, /*On fail goto*//*Label 21889*/ GIMT_Encode4(1583655), // Rule ID 2750 //
     /* 1583574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1583585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1583588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1583591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1583594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1583597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1583604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583620 */     // MIs[0] policy
     /* 1583620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583630 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1583633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583654 */     // GIR_Coverage, 2750,
     /* 1583654 */     GIR_EraseRootFromParent_Done,
     /* 1583655 */   // Label 21889: @1583655
     /* 1583655 */   GIM_Try, /*On fail goto*//*Label 21890*/ GIMT_Encode4(1583741), // Rule ID 2757 //
     /* 1583660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1583671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1583674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1583677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1583680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1583683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583706 */     // MIs[0] policy
     /* 1583706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583716 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1583719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583740 */     // GIR_Coverage, 2757,
     /* 1583740 */     GIR_EraseRootFromParent_Done,
     /* 1583741 */   // Label 21890: @1583741
     /* 1583741 */   GIM_Try, /*On fail goto*//*Label 21891*/ GIMT_Encode4(1583827), // Rule ID 2758 //
     /* 1583746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1583757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1583760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1583763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1583766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1583769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583792 */     // MIs[0] policy
     /* 1583792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583802 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1583805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583826 */     // GIR_Coverage, 2758,
     /* 1583826 */     GIR_EraseRootFromParent_Done,
     /* 1583827 */   // Label 21891: @1583827
     /* 1583827 */   GIM_Try, /*On fail goto*//*Label 21892*/ GIMT_Encode4(1583913), // Rule ID 2765 //
     /* 1583832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1583843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1583846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1583849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1583852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1583855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1583862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583878 */     // MIs[0] policy
     /* 1583878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583888 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1583891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583912 */     // GIR_Coverage, 2765,
     /* 1583912 */     GIR_EraseRootFromParent_Done,
     /* 1583913 */   // Label 21892: @1583913
     /* 1583913 */   GIM_Try, /*On fail goto*//*Label 21893*/ GIMT_Encode4(1583999), // Rule ID 2766 //
     /* 1583918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1583926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1583929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1583932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1583935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1583938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1583941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1583948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583964 */     // MIs[0] policy
     /* 1583964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583974 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1583977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1583983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583998 */     // GIR_Coverage, 2766,
     /* 1583998 */     GIR_EraseRootFromParent_Done,
     /* 1583999 */   // Label 21893: @1583999
     /* 1583999 */   GIM_Try, /*On fail goto*//*Label 21894*/ GIMT_Encode4(1584085), // Rule ID 2773 //
     /* 1584004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1584015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1584018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1584021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1584024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1584027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584050 */     // MIs[0] policy
     /* 1584050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584060 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1584063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584084 */     // GIR_Coverage, 2773,
     /* 1584084 */     GIR_EraseRootFromParent_Done,
     /* 1584085 */   // Label 21894: @1584085
     /* 1584085 */   GIM_Try, /*On fail goto*//*Label 21895*/ GIMT_Encode4(1584171), // Rule ID 2774 //
     /* 1584090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1584101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1584104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1584107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1584110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1584113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584136 */     // MIs[0] policy
     /* 1584136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584146 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1584149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584170 */     // GIR_Coverage, 2774,
     /* 1584170 */     GIR_EraseRootFromParent_Done,
     /* 1584171 */   // Label 21895: @1584171
     /* 1584171 */   GIM_Try, /*On fail goto*//*Label 21896*/ GIMT_Encode4(1584257), // Rule ID 2781 //
     /* 1584176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1584187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1584190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1584193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1584196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584222 */     // MIs[0] policy
     /* 1584222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584232 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1584235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584256 */     // GIR_Coverage, 2781,
     /* 1584256 */     GIR_EraseRootFromParent_Done,
     /* 1584257 */   // Label 21896: @1584257
     /* 1584257 */   GIM_Try, /*On fail goto*//*Label 21897*/ GIMT_Encode4(1584343), // Rule ID 2782 //
     /* 1584262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1584273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1584276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1584279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1584282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584308 */     // MIs[0] policy
     /* 1584308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584318 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1584321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584342 */     // GIR_Coverage, 2782,
     /* 1584342 */     GIR_EraseRootFromParent_Done,
     /* 1584343 */   // Label 21897: @1584343
     /* 1584343 */   GIM_Try, /*On fail goto*//*Label 21898*/ GIMT_Encode4(1584429), // Rule ID 2789 //
     /* 1584348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1584359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1584362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1584365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1584368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584394 */     // MIs[0] policy
     /* 1584394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584404 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1584407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584428 */     // GIR_Coverage, 2789,
     /* 1584428 */     GIR_EraseRootFromParent_Done,
     /* 1584429 */   // Label 21898: @1584429
     /* 1584429 */   GIM_Try, /*On fail goto*//*Label 21899*/ GIMT_Encode4(1584515), // Rule ID 2790 //
     /* 1584434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1584445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1584448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1584451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1584454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584480 */     // MIs[0] policy
     /* 1584480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584490 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1584493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584514 */     // GIR_Coverage, 2790,
     /* 1584514 */     GIR_EraseRootFromParent_Done,
     /* 1584515 */   // Label 21899: @1584515
     /* 1584515 */   GIM_Try, /*On fail goto*//*Label 21900*/ GIMT_Encode4(1584601), // Rule ID 2797 //
     /* 1584520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1584531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1584534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1584537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1584540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584566 */     // MIs[0] policy
     /* 1584566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584576 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1584579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584600 */     // GIR_Coverage, 2797,
     /* 1584600 */     GIR_EraseRootFromParent_Done,
     /* 1584601 */   // Label 21900: @1584601
     /* 1584601 */   GIM_Try, /*On fail goto*//*Label 21901*/ GIMT_Encode4(1584687), // Rule ID 2798 //
     /* 1584606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1584617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1584620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1584623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1584626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584652 */     // MIs[0] policy
     /* 1584652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584662 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1584665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1584683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584686 */     // GIR_Coverage, 2798,
     /* 1584686 */     GIR_EraseRootFromParent_Done,
     /* 1584687 */   // Label 21901: @1584687
     /* 1584687 */   GIM_Try, /*On fail goto*//*Label 21902*/ GIMT_Encode4(1584773), // Rule ID 2805 //
     /* 1584692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1584695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1584703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1584706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1584709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1584712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584738 */     // MIs[0] policy
     /* 1584738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584748 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1584751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1584769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584772 */     // GIR_Coverage, 2805,
     /* 1584772 */     GIR_EraseRootFromParent_Done,
     /* 1584773 */   // Label 21902: @1584773
     /* 1584773 */   GIM_Try, /*On fail goto*//*Label 21903*/ GIMT_Encode4(1584859), // Rule ID 2806 //
     /* 1584778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1584781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1584789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1584792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1584795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1584798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584824 */     // MIs[0] policy
     /* 1584824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584834 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1584837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1584855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584858 */     // GIR_Coverage, 2806,
     /* 1584858 */     GIR_EraseRootFromParent_Done,
     /* 1584859 */   // Label 21903: @1584859
     /* 1584859 */   GIM_Try, /*On fail goto*//*Label 21904*/ GIMT_Encode4(1584945), // Rule ID 2813 //
     /* 1584864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1584867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1584875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1584878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1584881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1584884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584910 */     // MIs[0] policy
     /* 1584910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584920 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1584923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1584929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1584931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1584941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584944 */     // GIR_Coverage, 2813,
     /* 1584944 */     GIR_EraseRootFromParent_Done,
     /* 1584945 */   // Label 21904: @1584945
     /* 1584945 */   GIM_Try, /*On fail goto*//*Label 21905*/ GIMT_Encode4(1585031), // Rule ID 2814 //
     /* 1584950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1584953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1584958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1584961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1584964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1584967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1584970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584996 */     // MIs[0] policy
     /* 1584996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585006 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1585009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1585027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585030 */     // GIR_Coverage, 2814,
     /* 1585030 */     GIR_EraseRootFromParent_Done,
     /* 1585031 */   // Label 21905: @1585031
     /* 1585031 */   GIM_Try, /*On fail goto*//*Label 21906*/ GIMT_Encode4(1585117), // Rule ID 2821 //
     /* 1585036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1585039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1585047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1585050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1585053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1585056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585082 */     // MIs[0] policy
     /* 1585082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585092 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1585095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1585113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585116 */     // GIR_Coverage, 2821,
     /* 1585116 */     GIR_EraseRootFromParent_Done,
     /* 1585117 */   // Label 21906: @1585117
     /* 1585117 */   GIM_Try, /*On fail goto*//*Label 21907*/ GIMT_Encode4(1585203), // Rule ID 2822 //
     /* 1585122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1585125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1585130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1585133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1585136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1585139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1585142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585168 */     // MIs[0] policy
     /* 1585168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585178 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1585181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1585187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1585189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1585199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585202 */     // GIR_Coverage, 2822,
     /* 1585202 */     GIR_EraseRootFromParent_Done,
     /* 1585203 */   // Label 21907: @1585203
     /* 1585203 */   GIM_Try, /*On fail goto*//*Label 21908*/ GIMT_Encode4(1585289), // Rule ID 2829 //
     /* 1585208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1585219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1585222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1585225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1585228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585254 */     // MIs[0] policy
     /* 1585254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585264 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1585267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585288 */     // GIR_Coverage, 2829,
     /* 1585288 */     GIR_EraseRootFromParent_Done,
     /* 1585289 */   // Label 21908: @1585289
     /* 1585289 */   GIM_Try, /*On fail goto*//*Label 21909*/ GIMT_Encode4(1585375), // Rule ID 2830 //
     /* 1585294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1585305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1585308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1585311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1585314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585340 */     // MIs[0] policy
     /* 1585340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585350 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1585353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585374 */     // GIR_Coverage, 2830,
     /* 1585374 */     GIR_EraseRootFromParent_Done,
     /* 1585375 */   // Label 21909: @1585375
     /* 1585375 */   GIM_Try, /*On fail goto*//*Label 21910*/ GIMT_Encode4(1585461), // Rule ID 2833 //
     /* 1585380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1585391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1585394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1585397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1585400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585426 */     // MIs[0] policy
     /* 1585426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585436 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1585439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585460 */     // GIR_Coverage, 2833,
     /* 1585460 */     GIR_EraseRootFromParent_Done,
     /* 1585461 */   // Label 21910: @1585461
     /* 1585461 */   GIM_Try, /*On fail goto*//*Label 21911*/ GIMT_Encode4(1585547), // Rule ID 2834 //
     /* 1585466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1585477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1585480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1585483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1585486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585512 */     // MIs[0] policy
     /* 1585512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585522 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1585525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585546 */     // GIR_Coverage, 2834,
     /* 1585546 */     GIR_EraseRootFromParent_Done,
     /* 1585547 */   // Label 21911: @1585547
     /* 1585547 */   GIM_Try, /*On fail goto*//*Label 21912*/ GIMT_Encode4(1585633), // Rule ID 2837 //
     /* 1585552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1585563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1585566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1585569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1585572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1585575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585598 */     // MIs[0] policy
     /* 1585598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585608 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1585611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585632 */     // GIR_Coverage, 2837,
     /* 1585632 */     GIR_EraseRootFromParent_Done,
     /* 1585633 */   // Label 21912: @1585633
     /* 1585633 */   GIM_Try, /*On fail goto*//*Label 21913*/ GIMT_Encode4(1585719), // Rule ID 2838 //
     /* 1585638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1585649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1585652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1585655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1585658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1585661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585684 */     // MIs[0] policy
     /* 1585684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585694 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1585697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585718 */     // GIR_Coverage, 2838,
     /* 1585718 */     GIR_EraseRootFromParent_Done,
     /* 1585719 */   // Label 21913: @1585719
     /* 1585719 */   GIM_Try, /*On fail goto*//*Label 21914*/ GIMT_Encode4(1585805), // Rule ID 2841 //
     /* 1585724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1585735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1585738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1585741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1585744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585770 */     // MIs[0] policy
     /* 1585770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585780 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1585783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585804 */     // GIR_Coverage, 2841,
     /* 1585804 */     GIR_EraseRootFromParent_Done,
     /* 1585805 */   // Label 21914: @1585805
     /* 1585805 */   GIM_Try, /*On fail goto*//*Label 21915*/ GIMT_Encode4(1585891), // Rule ID 2842 //
     /* 1585810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1585821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1585824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1585827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1585830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585856 */     // MIs[0] policy
     /* 1585856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585866 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1585869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585890 */     // GIR_Coverage, 2842,
     /* 1585890 */     GIR_EraseRootFromParent_Done,
     /* 1585891 */   // Label 21915: @1585891
     /* 1585891 */   GIM_Try, /*On fail goto*//*Label 21916*/ GIMT_Encode4(1585977), // Rule ID 2845 //
     /* 1585896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1585907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1585910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1585913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1585916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1585919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585942 */     // MIs[0] policy
     /* 1585942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1585955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585976 */     // GIR_Coverage, 2845,
     /* 1585976 */     GIR_EraseRootFromParent_Done,
     /* 1585977 */   // Label 21916: @1585977
     /* 1585977 */   GIM_Try, /*On fail goto*//*Label 21917*/ GIMT_Encode4(1586063), // Rule ID 2846 //
     /* 1585982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1585993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1585996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1585999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1586002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586028 */     // MIs[0] policy
     /* 1586028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586038 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1586041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586062 */     // GIR_Coverage, 2846,
     /* 1586062 */     GIR_EraseRootFromParent_Done,
     /* 1586063 */   // Label 21917: @1586063
     /* 1586063 */   GIM_Try, /*On fail goto*//*Label 21918*/ GIMT_Encode4(1586149), // Rule ID 2849 //
     /* 1586068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1586079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1586082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1586085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1586088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586114 */     // MIs[0] policy
     /* 1586114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586124 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1586127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586148 */     // GIR_Coverage, 2849,
     /* 1586148 */     GIR_EraseRootFromParent_Done,
     /* 1586149 */   // Label 21918: @1586149
     /* 1586149 */   GIM_Try, /*On fail goto*//*Label 21919*/ GIMT_Encode4(1586235), // Rule ID 2850 //
     /* 1586154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1586165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1586168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1586171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1586174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586200 */     // MIs[0] policy
     /* 1586200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586210 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1586213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586234 */     // GIR_Coverage, 2850,
     /* 1586234 */     GIR_EraseRootFromParent_Done,
     /* 1586235 */   // Label 21919: @1586235
     /* 1586235 */   GIM_Try, /*On fail goto*//*Label 21920*/ GIMT_Encode4(1586321), // Rule ID 2853 //
     /* 1586240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1586251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1586254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1586257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1586260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586286 */     // MIs[0] policy
     /* 1586286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586296 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1586299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1586317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586320 */     // GIR_Coverage, 2853,
     /* 1586320 */     GIR_EraseRootFromParent_Done,
     /* 1586321 */   // Label 21920: @1586321
     /* 1586321 */   GIM_Try, /*On fail goto*//*Label 21921*/ GIMT_Encode4(1586407), // Rule ID 2854 //
     /* 1586326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1586337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1586340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1586343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1586346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586372 */     // MIs[0] policy
     /* 1586372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586382 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1586385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1586403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586406 */     // GIR_Coverage, 2854,
     /* 1586406 */     GIR_EraseRootFromParent_Done,
     /* 1586407 */   // Label 21921: @1586407
     /* 1586407 */   GIM_Try, /*On fail goto*//*Label 21922*/ GIMT_Encode4(1586493), // Rule ID 2857 //
     /* 1586412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1586423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1586426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1586429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1586432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586458 */     // MIs[0] policy
     /* 1586458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1586471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586492 */     // GIR_Coverage, 2857,
     /* 1586492 */     GIR_EraseRootFromParent_Done,
     /* 1586493 */   // Label 21922: @1586493
     /* 1586493 */   GIM_Try, /*On fail goto*//*Label 21923*/ GIMT_Encode4(1586579), // Rule ID 2858 //
     /* 1586498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1586509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1586512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1586515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1586518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586544 */     // MIs[0] policy
     /* 1586544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586554 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1586557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586578 */     // GIR_Coverage, 2858,
     /* 1586578 */     GIR_EraseRootFromParent_Done,
     /* 1586579 */   // Label 21923: @1586579
     /* 1586579 */   GIM_Try, /*On fail goto*//*Label 21924*/ GIMT_Encode4(1586665), // Rule ID 2861 //
     /* 1586584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1586587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1586595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1586598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1586601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1586604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586630 */     // MIs[0] policy
     /* 1586630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586640 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1586643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586664 */     // GIR_Coverage, 2861,
     /* 1586664 */     GIR_EraseRootFromParent_Done,
     /* 1586665 */   // Label 21924: @1586665
     /* 1586665 */   GIM_Try, /*On fail goto*//*Label 21925*/ GIMT_Encode4(1586751), // Rule ID 2862 //
     /* 1586670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1586673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1586681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1586684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1586687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1586690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586716 */     // MIs[0] policy
     /* 1586716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586726 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1586729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586750 */     // GIR_Coverage, 2862,
     /* 1586750 */     GIR_EraseRootFromParent_Done,
     /* 1586751 */   // Label 21925: @1586751
     /* 1586751 */   GIM_Try, /*On fail goto*//*Label 21926*/ GIMT_Encode4(1586837), // Rule ID 2865 //
     /* 1586756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1586767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1586770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1586773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1586776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1586779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586802 */     // MIs[0] policy
     /* 1586802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586812 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1586815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586836 */     // GIR_Coverage, 2865,
     /* 1586836 */     GIR_EraseRootFromParent_Done,
     /* 1586837 */   // Label 21926: @1586837
     /* 1586837 */   GIM_Try, /*On fail goto*//*Label 21927*/ GIMT_Encode4(1586923), // Rule ID 2866 //
     /* 1586842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1586853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1586856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1586859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1586862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1586865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586888 */     // MIs[0] policy
     /* 1586888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586898 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1586901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586922 */     // GIR_Coverage, 2866,
     /* 1586922 */     GIR_EraseRootFromParent_Done,
     /* 1586923 */   // Label 21927: @1586923
     /* 1586923 */   GIM_Try, /*On fail goto*//*Label 21928*/ GIMT_Encode4(1587009), // Rule ID 2869 //
     /* 1586928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1586939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1586942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1586945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1586948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1586951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586974 */     // MIs[0] policy
     /* 1586974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586984 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1586987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587008 */     // GIR_Coverage, 2869,
     /* 1587008 */     GIR_EraseRootFromParent_Done,
     /* 1587009 */   // Label 21928: @1587009
     /* 1587009 */   GIM_Try, /*On fail goto*//*Label 21929*/ GIMT_Encode4(1587095), // Rule ID 2870 //
     /* 1587014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1587025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1587028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1587031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1587034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1587037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1587044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587060 */     // MIs[0] policy
     /* 1587060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587070 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1587073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587094 */     // GIR_Coverage, 2870,
     /* 1587094 */     GIR_EraseRootFromParent_Done,
     /* 1587095 */   // Label 21929: @1587095
     /* 1587095 */   GIM_Try, /*On fail goto*//*Label 21930*/ GIMT_Encode4(1587181), // Rule ID 2873 //
     /* 1587100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1587111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1587114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1587117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1587120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1587123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1587130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587146 */     // MIs[0] policy
     /* 1587146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587156 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1587159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587180 */     // GIR_Coverage, 2873,
     /* 1587180 */     GIR_EraseRootFromParent_Done,
     /* 1587181 */   // Label 21930: @1587181
     /* 1587181 */   GIM_Try, /*On fail goto*//*Label 21931*/ GIMT_Encode4(1587267), // Rule ID 2874 //
     /* 1587186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1587197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1587200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1587203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1587206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1587209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1587216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587232 */     // MIs[0] policy
     /* 1587232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587242 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1587245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587266 */     // GIR_Coverage, 2874,
     /* 1587266 */     GIR_EraseRootFromParent_Done,
     /* 1587267 */   // Label 21931: @1587267
     /* 1587267 */   GIM_Try, /*On fail goto*//*Label 21932*/ GIMT_Encode4(1587353), // Rule ID 2877 //
     /* 1587272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1587283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1587286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1587289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1587292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1587302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587318 */     // MIs[0] policy
     /* 1587318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587328 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1587331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587352 */     // GIR_Coverage, 2877,
     /* 1587352 */     GIR_EraseRootFromParent_Done,
     /* 1587353 */   // Label 21932: @1587353
     /* 1587353 */   GIM_Try, /*On fail goto*//*Label 21933*/ GIMT_Encode4(1587439), // Rule ID 2878 //
     /* 1587358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1587369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1587372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1587375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1587378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1587388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587404 */     // MIs[0] policy
     /* 1587404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587414 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1587417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587438 */     // GIR_Coverage, 2878,
     /* 1587438 */     GIR_EraseRootFromParent_Done,
     /* 1587439 */   // Label 21933: @1587439
     /* 1587439 */   GIM_Try, /*On fail goto*//*Label 21934*/ GIMT_Encode4(1587525), // Rule ID 2881 //
     /* 1587444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1587455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1587458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1587461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1587464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1587467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1587474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587490 */     // MIs[0] policy
     /* 1587490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587500 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1587503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587524 */     // GIR_Coverage, 2881,
     /* 1587524 */     GIR_EraseRootFromParent_Done,
     /* 1587525 */   // Label 21934: @1587525
     /* 1587525 */   GIM_Try, /*On fail goto*//*Label 21935*/ GIMT_Encode4(1587611), // Rule ID 2882 //
     /* 1587530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1587541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1587544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1587547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1587550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1587553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1587560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587576 */     // MIs[0] policy
     /* 1587576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587586 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1587589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587610 */     // GIR_Coverage, 2882,
     /* 1587610 */     GIR_EraseRootFromParent_Done,
     /* 1587611 */   // Label 21935: @1587611
     /* 1587611 */   GIM_Try, /*On fail goto*//*Label 21936*/ GIMT_Encode4(1587697), // Rule ID 2885 //
     /* 1587616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1587627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1587630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1587633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1587636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1587639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1587646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587662 */     // MIs[0] policy
     /* 1587662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587672 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1587675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587696 */     // GIR_Coverage, 2885,
     /* 1587696 */     GIR_EraseRootFromParent_Done,
     /* 1587697 */   // Label 21936: @1587697
     /* 1587697 */   GIM_Try, /*On fail goto*//*Label 21937*/ GIMT_Encode4(1587783), // Rule ID 2886 //
     /* 1587702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1587713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1587716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1587719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1587722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1587725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1587732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587748 */     // MIs[0] policy
     /* 1587748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587758 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1587761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587782 */     // GIR_Coverage, 2886,
     /* 1587782 */     GIR_EraseRootFromParent_Done,
     /* 1587783 */   // Label 21937: @1587783
     /* 1587783 */   GIM_Try, /*On fail goto*//*Label 21938*/ GIMT_Encode4(1587869), // Rule ID 2889 //
     /* 1587788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1587799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1587802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1587805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1587808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1587818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587834 */     // MIs[0] policy
     /* 1587834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587844 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1587847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587868 */     // GIR_Coverage, 2889,
     /* 1587868 */     GIR_EraseRootFromParent_Done,
     /* 1587869 */   // Label 21938: @1587869
     /* 1587869 */   GIM_Try, /*On fail goto*//*Label 21939*/ GIMT_Encode4(1587955), // Rule ID 2890 //
     /* 1587874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1587885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1587888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1587891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1587894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1587904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587920 */     // MIs[0] policy
     /* 1587920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587930 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1587933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587954 */     // GIR_Coverage, 2890,
     /* 1587954 */     GIR_EraseRootFromParent_Done,
     /* 1587955 */   // Label 21939: @1587955
     /* 1587955 */   GIM_Try, /*On fail goto*//*Label 21940*/ GIMT_Encode4(1588041), // Rule ID 2893 //
     /* 1587960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1587971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1587974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1587977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1587980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1587990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588006 */     // MIs[0] policy
     /* 1588006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588016 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1588019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588040 */     // GIR_Coverage, 2893,
     /* 1588040 */     GIR_EraseRootFromParent_Done,
     /* 1588041 */   // Label 21940: @1588041
     /* 1588041 */   GIM_Try, /*On fail goto*//*Label 21941*/ GIMT_Encode4(1588127), // Rule ID 2894 //
     /* 1588046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1588057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1588060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1588063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1588066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588092 */     // MIs[0] policy
     /* 1588092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588102 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1588105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588126 */     // GIR_Coverage, 2894,
     /* 1588126 */     GIR_EraseRootFromParent_Done,
     /* 1588127 */   // Label 21941: @1588127
     /* 1588127 */   GIM_Try, /*On fail goto*//*Label 21942*/ GIMT_Encode4(1588213), // Rule ID 2897 //
     /* 1588132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1588143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1588146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1588149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1588152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588178 */     // MIs[0] policy
     /* 1588178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588188 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1588191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588212 */     // GIR_Coverage, 2897,
     /* 1588212 */     GIR_EraseRootFromParent_Done,
     /* 1588213 */   // Label 21942: @1588213
     /* 1588213 */   GIM_Try, /*On fail goto*//*Label 21943*/ GIMT_Encode4(1588299), // Rule ID 2898 //
     /* 1588218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1588229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1588232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1588235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1588238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588264 */     // MIs[0] policy
     /* 1588264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588274 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1588277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588298 */     // GIR_Coverage, 2898,
     /* 1588298 */     GIR_EraseRootFromParent_Done,
     /* 1588299 */   // Label 21943: @1588299
     /* 1588299 */   GIM_Try, /*On fail goto*//*Label 21944*/ GIMT_Encode4(1588385), // Rule ID 2901 //
     /* 1588304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1588307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1588315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1588318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1588321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1588324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588350 */     // MIs[0] policy
     /* 1588350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588360 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1588363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1588381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588384 */     // GIR_Coverage, 2901,
     /* 1588384 */     GIR_EraseRootFromParent_Done,
     /* 1588385 */   // Label 21944: @1588385
     /* 1588385 */   GIM_Try, /*On fail goto*//*Label 21945*/ GIMT_Encode4(1588471), // Rule ID 2902 //
     /* 1588390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1588393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1588401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1588404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1588407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1588410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588436 */     // MIs[0] policy
     /* 1588436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588446 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1588449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1588467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588470 */     // GIR_Coverage, 2902,
     /* 1588470 */     GIR_EraseRootFromParent_Done,
     /* 1588471 */   // Label 21945: @1588471
     /* 1588471 */   GIM_Try, /*On fail goto*//*Label 21946*/ GIMT_Encode4(1588557), // Rule ID 2905 //
     /* 1588476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1588479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1588487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1588490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1588493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1588496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1588499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588522 */     // MIs[0] policy
     /* 1588522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588532 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1588535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1588553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588556 */     // GIR_Coverage, 2905,
     /* 1588556 */     GIR_EraseRootFromParent_Done,
     /* 1588557 */   // Label 21946: @1588557
     /* 1588557 */   GIM_Try, /*On fail goto*//*Label 21947*/ GIMT_Encode4(1588643), // Rule ID 2906 //
     /* 1588562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1588565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1588573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1588576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1588579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1588582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1588585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588608 */     // MIs[0] policy
     /* 1588608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588618 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1588621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1588639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588642 */     // GIR_Coverage, 2906,
     /* 1588642 */     GIR_EraseRootFromParent_Done,
     /* 1588643 */   // Label 21947: @1588643
     /* 1588643 */   GIM_Try, /*On fail goto*//*Label 21948*/ GIMT_Encode4(1588729), // Rule ID 2909 //
     /* 1588648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1588651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1588659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1588662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1588665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1588668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588694 */     // MIs[0] policy
     /* 1588694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588704 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1588707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1588725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588728 */     // GIR_Coverage, 2909,
     /* 1588728 */     GIR_EraseRootFromParent_Done,
     /* 1588729 */   // Label 21948: @1588729
     /* 1588729 */   GIM_Try, /*On fail goto*//*Label 21949*/ GIMT_Encode4(1588815), // Rule ID 2910 //
     /* 1588734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1588737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1588745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1588748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1588751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1588754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588780 */     // MIs[0] policy
     /* 1588780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588790 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1588793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1588811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588814 */     // GIR_Coverage, 2910,
     /* 1588814 */     GIR_EraseRootFromParent_Done,
     /* 1588815 */   // Label 21949: @1588815
     /* 1588815 */   GIM_Try, /*On fail goto*//*Label 21950*/ GIMT_Encode4(1588901), // Rule ID 2913 //
     /* 1588820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1588831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1588834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1588837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1588840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1588862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588866 */     // MIs[0] policy
     /* 1588866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588876 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1588879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588900 */     // GIR_Coverage, 2913,
     /* 1588900 */     GIR_EraseRootFromParent_Done,
     /* 1588901 */   // Label 21950: @1588901
     /* 1588901 */   GIM_Try, /*On fail goto*//*Label 21951*/ GIMT_Encode4(1588987), // Rule ID 2914 //
     /* 1588906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1588914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1588917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1588920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1588923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1588926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1588948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588952 */     // MIs[0] policy
     /* 1588952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588962 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1588965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588986 */     // GIR_Coverage, 2914,
     /* 1588986 */     GIR_EraseRootFromParent_Done,
     /* 1588987 */   // Label 21951: @1588987
     /* 1588987 */   GIM_Try, /*On fail goto*//*Label 21952*/ GIMT_Encode4(1589073), // Rule ID 2917 //
     /* 1588992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1589003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1589006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1589009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1589012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1589015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1589034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589038 */     // MIs[0] policy
     /* 1589038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589048 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1589051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589072 */     // GIR_Coverage, 2917,
     /* 1589072 */     GIR_EraseRootFromParent_Done,
     /* 1589073 */   // Label 21952: @1589073
     /* 1589073 */   GIM_Try, /*On fail goto*//*Label 21953*/ GIMT_Encode4(1589159), // Rule ID 2918 //
     /* 1589078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1589089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1589092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1589095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1589098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1589101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1589120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589124 */     // MIs[0] policy
     /* 1589124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589134 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1589137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589158 */     // GIR_Coverage, 2918,
     /* 1589158 */     GIR_EraseRootFromParent_Done,
     /* 1589159 */   // Label 21953: @1589159
     /* 1589159 */   GIM_Try, /*On fail goto*//*Label 21954*/ GIMT_Encode4(1589245), // Rule ID 2921 //
     /* 1589164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1589175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1589178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1589181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1589184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1589206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589210 */     // MIs[0] policy
     /* 1589210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589220 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1589223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589244 */     // GIR_Coverage, 2921,
     /* 1589244 */     GIR_EraseRootFromParent_Done,
     /* 1589245 */   // Label 21954: @1589245
     /* 1589245 */   GIM_Try, /*On fail goto*//*Label 21955*/ GIMT_Encode4(1589331), // Rule ID 2922 //
     /* 1589250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1589261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1589264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1589267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1589270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1589292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589296 */     // MIs[0] policy
     /* 1589296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589306 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1589309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589330 */     // GIR_Coverage, 2922,
     /* 1589330 */     GIR_EraseRootFromParent_Done,
     /* 1589331 */   // Label 21955: @1589331
     /* 1589331 */   GIM_Try, /*On fail goto*//*Label 21956*/ GIMT_Encode4(1589417), // Rule ID 2925 //
     /* 1589336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1589347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1589350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1589353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1589356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1589378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589382 */     // MIs[0] policy
     /* 1589382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589392 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1589395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589416 */     // GIR_Coverage, 2925,
     /* 1589416 */     GIR_EraseRootFromParent_Done,
     /* 1589417 */   // Label 21956: @1589417
     /* 1589417 */   GIM_Try, /*On fail goto*//*Label 21957*/ GIMT_Encode4(1589503), // Rule ID 2926 //
     /* 1589422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1589433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1589436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1589439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1589442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1589464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589468 */     // MIs[0] policy
     /* 1589468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589478 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1589481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589502 */     // GIR_Coverage, 2926,
     /* 1589502 */     GIR_EraseRootFromParent_Done,
     /* 1589503 */   // Label 21957: @1589503
     /* 1589503 */   GIM_Try, /*On fail goto*//*Label 21958*/ GIMT_Encode4(1589589), // Rule ID 2929 //
     /* 1589508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1589519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1589522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1589525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1589528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1589531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1589550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589554 */     // MIs[0] policy
     /* 1589554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589564 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1589567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589588 */     // GIR_Coverage, 2929,
     /* 1589588 */     GIR_EraseRootFromParent_Done,
     /* 1589589 */   // Label 21958: @1589589
     /* 1589589 */   GIM_Try, /*On fail goto*//*Label 21959*/ GIMT_Encode4(1589675), // Rule ID 2930 //
     /* 1589594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1589605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1589608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1589611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1589614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1589617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1589636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589640 */     // MIs[0] policy
     /* 1589640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589650 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1589653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589674 */     // GIR_Coverage, 2930,
     /* 1589674 */     GIR_EraseRootFromParent_Done,
     /* 1589675 */   // Label 21959: @1589675
     /* 1589675 */   GIM_Try, /*On fail goto*//*Label 21960*/ GIMT_Encode4(1589761), // Rule ID 2933 //
     /* 1589680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1589691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1589694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1589697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1589700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1589722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589726 */     // MIs[0] policy
     /* 1589726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589736 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1589739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589760 */     // GIR_Coverage, 2933,
     /* 1589760 */     GIR_EraseRootFromParent_Done,
     /* 1589761 */   // Label 21960: @1589761
     /* 1589761 */   GIM_Try, /*On fail goto*//*Label 21961*/ GIMT_Encode4(1589847), // Rule ID 2934 //
     /* 1589766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1589777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1589780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1589783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1589786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1589808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589812 */     // MIs[0] policy
     /* 1589812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1589825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589846 */     // GIR_Coverage, 2934,
     /* 1589846 */     GIR_EraseRootFromParent_Done,
     /* 1589847 */   // Label 21961: @1589847
     /* 1589847 */   GIM_Try, /*On fail goto*//*Label 21962*/ GIMT_Encode4(1589933), // Rule ID 2937 //
     /* 1589852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1589863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1589866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1589869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1589872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1589894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589898 */     // MIs[0] policy
     /* 1589898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589908 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1589911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589932 */     // GIR_Coverage, 2937,
     /* 1589932 */     GIR_EraseRootFromParent_Done,
     /* 1589933 */   // Label 21962: @1589933
     /* 1589933 */   GIM_Try, /*On fail goto*//*Label 21963*/ GIMT_Encode4(1590019), // Rule ID 2938 //
     /* 1589938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1589946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1589949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1589952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1589955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1589958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1589980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589984 */     // MIs[0] policy
     /* 1589984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589994 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1589997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590018 */     // GIR_Coverage, 2938,
     /* 1590018 */     GIR_EraseRootFromParent_Done,
     /* 1590019 */   // Label 21963: @1590019
     /* 1590019 */   GIM_Try, /*On fail goto*//*Label 21964*/ GIMT_Encode4(1590105), // Rule ID 2941 //
     /* 1590024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1590035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1590038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1590041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590070 */     // MIs[0] policy
     /* 1590070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1590083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590104 */     // GIR_Coverage, 2941,
     /* 1590104 */     GIR_EraseRootFromParent_Done,
     /* 1590105 */   // Label 21964: @1590105
     /* 1590105 */   GIM_Try, /*On fail goto*//*Label 21965*/ GIMT_Encode4(1590191), // Rule ID 2942 //
     /* 1590110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1590121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1590124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1590127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590156 */     // MIs[0] policy
     /* 1590156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590166 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1590169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590190 */     // GIR_Coverage, 2942,
     /* 1590190 */     GIR_EraseRootFromParent_Done,
     /* 1590191 */   // Label 21965: @1590191
     /* 1590191 */   GIM_Try, /*On fail goto*//*Label 21966*/ GIMT_Encode4(1590277), // Rule ID 2945 //
     /* 1590196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1590207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1590210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1590213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590242 */     // MIs[0] policy
     /* 1590242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590252 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1590255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590276 */     // GIR_Coverage, 2945,
     /* 1590276 */     GIR_EraseRootFromParent_Done,
     /* 1590277 */   // Label 21966: @1590277
     /* 1590277 */   GIM_Try, /*On fail goto*//*Label 21967*/ GIMT_Encode4(1590363), // Rule ID 2946 //
     /* 1590282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1590293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1590296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1590299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590328 */     // MIs[0] policy
     /* 1590328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590338 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1590341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590362 */     // GIR_Coverage, 2946,
     /* 1590362 */     GIR_EraseRootFromParent_Done,
     /* 1590363 */   // Label 21967: @1590363
     /* 1590363 */   GIM_Try, /*On fail goto*//*Label 21968*/ GIMT_Encode4(1590449), // Rule ID 2949 //
     /* 1590368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1590371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1590379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1590382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1590385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590414 */     // MIs[0] policy
     /* 1590414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1590427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590448 */     // GIR_Coverage, 2949,
     /* 1590448 */     GIR_EraseRootFromParent_Done,
     /* 1590449 */   // Label 21968: @1590449
     /* 1590449 */   GIM_Try, /*On fail goto*//*Label 21969*/ GIMT_Encode4(1590535), // Rule ID 2950 //
     /* 1590454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1590457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1590465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1590468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1590471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590500 */     // MIs[0] policy
     /* 1590500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590510 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1590513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590534 */     // GIR_Coverage, 2950,
     /* 1590534 */     GIR_EraseRootFromParent_Done,
     /* 1590535 */   // Label 21969: @1590535
     /* 1590535 */   GIM_Try, /*On fail goto*//*Label 21970*/ GIMT_Encode4(1590621), // Rule ID 2953 //
     /* 1590540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1590551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1590554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1590557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1590563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1590570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590586 */     // MIs[0] policy
     /* 1590586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590596 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1590599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590620 */     // GIR_Coverage, 2953,
     /* 1590620 */     GIR_EraseRootFromParent_Done,
     /* 1590621 */   // Label 21970: @1590621
     /* 1590621 */   GIM_Try, /*On fail goto*//*Label 21971*/ GIMT_Encode4(1590707), // Rule ID 2954 //
     /* 1590626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1590637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1590640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1590643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1590649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1590656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590672 */     // MIs[0] policy
     /* 1590672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590682 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1590685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590706 */     // GIR_Coverage, 2954,
     /* 1590706 */     GIR_EraseRootFromParent_Done,
     /* 1590707 */   // Label 21971: @1590707
     /* 1590707 */   GIM_Try, /*On fail goto*//*Label 21972*/ GIMT_Encode4(1590793), // Rule ID 2957 //
     /* 1590712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1590723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1590726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1590729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1590735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590758 */     // MIs[0] policy
     /* 1590758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590768 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1590771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590792 */     // GIR_Coverage, 2957,
     /* 1590792 */     GIR_EraseRootFromParent_Done,
     /* 1590793 */   // Label 21972: @1590793
     /* 1590793 */   GIM_Try, /*On fail goto*//*Label 21973*/ GIMT_Encode4(1590879), // Rule ID 2958 //
     /* 1590798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1590809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1590812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1590815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1590821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590844 */     // MIs[0] policy
     /* 1590844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590854 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1590857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590878 */     // GIR_Coverage, 2958,
     /* 1590878 */     GIR_EraseRootFromParent_Done,
     /* 1590879 */   // Label 21973: @1590879
     /* 1590879 */   GIM_Try, /*On fail goto*//*Label 21974*/ GIMT_Encode4(1590965), // Rule ID 2961 //
     /* 1590884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1590895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1590898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1590901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1590907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590930 */     // MIs[0] policy
     /* 1590930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590940 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1590943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590964 */     // GIR_Coverage, 2961,
     /* 1590964 */     GIR_EraseRootFromParent_Done,
     /* 1590965 */   // Label 21974: @1590965
     /* 1590965 */   GIM_Try, /*On fail goto*//*Label 21975*/ GIMT_Encode4(1591051), // Rule ID 2962 //
     /* 1590970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1590978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1590981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1590984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1590987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1590993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1591000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591016 */     // MIs[0] policy
     /* 1591016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591026 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1591029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591050 */     // GIR_Coverage, 2962,
     /* 1591050 */     GIR_EraseRootFromParent_Done,
     /* 1591051 */   // Label 21975: @1591051
     /* 1591051 */   GIM_Try, /*On fail goto*//*Label 21976*/ GIMT_Encode4(1591137), // Rule ID 2965 //
     /* 1591056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1591067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1591070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1591073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1591086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591102 */     // MIs[0] policy
     /* 1591102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591112 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1591115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591136 */     // GIR_Coverage, 2965,
     /* 1591136 */     GIR_EraseRootFromParent_Done,
     /* 1591137 */   // Label 21976: @1591137
     /* 1591137 */   GIM_Try, /*On fail goto*//*Label 21977*/ GIMT_Encode4(1591223), // Rule ID 2966 //
     /* 1591142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1591153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1591156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1591159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1591172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591188 */     // MIs[0] policy
     /* 1591188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591198 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1591201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591222 */     // GIR_Coverage, 2966,
     /* 1591222 */     GIR_EraseRootFromParent_Done,
     /* 1591223 */   // Label 21977: @1591223
     /* 1591223 */   GIM_Try, /*On fail goto*//*Label 21978*/ GIMT_Encode4(1591309), // Rule ID 2969 //
     /* 1591228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1591239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1591242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1591245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1591251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1591258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591274 */     // MIs[0] policy
     /* 1591274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591284 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1591287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591308 */     // GIR_Coverage, 2969,
     /* 1591308 */     GIR_EraseRootFromParent_Done,
     /* 1591309 */   // Label 21978: @1591309
     /* 1591309 */   GIM_Try, /*On fail goto*//*Label 21979*/ GIMT_Encode4(1591395), // Rule ID 2970 //
     /* 1591314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1591325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1591328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1591331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1591337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1591344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591360 */     // MIs[0] policy
     /* 1591360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591370 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1591373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591394 */     // GIR_Coverage, 2970,
     /* 1591394 */     GIR_EraseRootFromParent_Done,
     /* 1591395 */   // Label 21979: @1591395
     /* 1591395 */   GIM_Try, /*On fail goto*//*Label 21980*/ GIMT_Encode4(1591481), // Rule ID 2973 //
     /* 1591400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1591411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1591414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1591417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1591423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1591430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591446 */     // MIs[0] policy
     /* 1591446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591456 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1591459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591480 */     // GIR_Coverage, 2973,
     /* 1591480 */     GIR_EraseRootFromParent_Done,
     /* 1591481 */   // Label 21980: @1591481
     /* 1591481 */   GIM_Try, /*On fail goto*//*Label 21981*/ GIMT_Encode4(1591567), // Rule ID 2974 //
     /* 1591486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1591497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1591500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1591503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1591509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1591516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591532 */     // MIs[0] policy
     /* 1591532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591542 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1591545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591566 */     // GIR_Coverage, 2974,
     /* 1591566 */     GIR_EraseRootFromParent_Done,
     /* 1591567 */   // Label 21981: @1591567
     /* 1591567 */   GIM_Try, /*On fail goto*//*Label 21982*/ GIMT_Encode4(1591653), // Rule ID 2977 //
     /* 1591572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1591583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1591586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1591589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1591602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591618 */     // MIs[0] policy
     /* 1591618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591628 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1591631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591652 */     // GIR_Coverage, 2977,
     /* 1591652 */     GIR_EraseRootFromParent_Done,
     /* 1591653 */   // Label 21982: @1591653
     /* 1591653 */   GIM_Try, /*On fail goto*//*Label 21983*/ GIMT_Encode4(1591739), // Rule ID 2978 //
     /* 1591658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1591669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1591672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1591675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1591688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591704 */     // MIs[0] policy
     /* 1591704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591714 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1591717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591738 */     // GIR_Coverage, 2978,
     /* 1591738 */     GIR_EraseRootFromParent_Done,
     /* 1591739 */   // Label 21983: @1591739
     /* 1591739 */   GIM_Try, /*On fail goto*//*Label 21984*/ GIMT_Encode4(1591825), // Rule ID 2981 //
     /* 1591744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1591755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1591758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1591761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1591774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591790 */     // MIs[0] policy
     /* 1591790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591800 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1591803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591824 */     // GIR_Coverage, 2981,
     /* 1591824 */     GIR_EraseRootFromParent_Done,
     /* 1591825 */   // Label 21984: @1591825
     /* 1591825 */   GIM_Try, /*On fail goto*//*Label 21985*/ GIMT_Encode4(1591911), // Rule ID 2982 //
     /* 1591830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1591841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1591844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1591847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1591860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591876 */     // MIs[0] policy
     /* 1591876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1591889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591910 */     // GIR_Coverage, 2982,
     /* 1591910 */     GIR_EraseRootFromParent_Done,
     /* 1591911 */   // Label 21985: @1591911
     /* 1591911 */   GIM_Try, /*On fail goto*//*Label 21986*/ GIMT_Encode4(1591997), // Rule ID 2985 //
     /* 1591916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1591924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1591927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1591930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1591933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1591939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1591946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591962 */     // MIs[0] policy
     /* 1591962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591972 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1591975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591996 */     // GIR_Coverage, 2985,
     /* 1591996 */     GIR_EraseRootFromParent_Done,
     /* 1591997 */   // Label 21986: @1591997
     /* 1591997 */   GIM_Try, /*On fail goto*//*Label 21987*/ GIMT_Encode4(1592083), // Rule ID 2986 //
     /* 1592002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1592013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1592016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1592019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592048 */     // MIs[0] policy
     /* 1592048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592058 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1592061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592082 */     // GIR_Coverage, 2986,
     /* 1592082 */     GIR_EraseRootFromParent_Done,
     /* 1592083 */   // Label 21987: @1592083
     /* 1592083 */   GIM_Try, /*On fail goto*//*Label 21988*/ GIMT_Encode4(1592169), // Rule ID 2989 //
     /* 1592088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1592091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1592099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1592102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1592105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1592111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592134 */     // MIs[0] policy
     /* 1592134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1592147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1592165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592168 */     // GIR_Coverage, 2989,
     /* 1592168 */     GIR_EraseRootFromParent_Done,
     /* 1592169 */   // Label 21988: @1592169
     /* 1592169 */   GIM_Try, /*On fail goto*//*Label 21989*/ GIMT_Encode4(1592255), // Rule ID 2990 //
     /* 1592174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1592177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1592185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1592188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1592191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1592197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592220 */     // MIs[0] policy
     /* 1592220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592230 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1592233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1592251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592254 */     // GIR_Coverage, 2990,
     /* 1592254 */     GIR_EraseRootFromParent_Done,
     /* 1592255 */   // Label 21989: @1592255
     /* 1592255 */   GIM_Try, /*On fail goto*//*Label 21990*/ GIMT_Encode4(1592341), // Rule ID 2993 //
     /* 1592260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1592263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1592271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1592274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1592277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592306 */     // MIs[0] policy
     /* 1592306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592316 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1592319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1592337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592340 */     // GIR_Coverage, 2993,
     /* 1592340 */     GIR_EraseRootFromParent_Done,
     /* 1592341 */   // Label 21990: @1592341
     /* 1592341 */   GIM_Try, /*On fail goto*//*Label 21991*/ GIMT_Encode4(1592427), // Rule ID 2994 //
     /* 1592346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1592349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1592357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1592360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1592363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592392 */     // MIs[0] policy
     /* 1592392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592402 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1592405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1592423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592426 */     // GIR_Coverage, 2994,
     /* 1592426 */     GIR_EraseRootFromParent_Done,
     /* 1592427 */   // Label 21991: @1592427
     /* 1592427 */   GIM_Try, /*On fail goto*//*Label 21992*/ GIMT_Encode4(1592513), // Rule ID 2997 //
     /* 1592432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1592435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1592443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1592446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1592449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592478 */     // MIs[0] policy
     /* 1592478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592488 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1592491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1592509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592512 */     // GIR_Coverage, 2997,
     /* 1592512 */     GIR_EraseRootFromParent_Done,
     /* 1592513 */   // Label 21992: @1592513
     /* 1592513 */   GIM_Try, /*On fail goto*//*Label 21993*/ GIMT_Encode4(1592599), // Rule ID 2998 //
     /* 1592518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1592521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1592526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1592529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1592532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1592535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592564 */     // MIs[0] policy
     /* 1592564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592574 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1592577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1592595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592598 */     // GIR_Coverage, 2998,
     /* 1592598 */     GIR_EraseRootFromParent_Done,
     /* 1592599 */   // Label 21993: @1592599
     /* 1592599 */   GIM_Try, /*On fail goto*//*Label 21994*/ GIMT_Encode4(1592685), // Rule ID 3089 //
     /* 1592604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1592615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1592618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1592621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1592624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1592627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592650 */     // MIs[0] policy
     /* 1592650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592660 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1592663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592684 */     // GIR_Coverage, 3089,
     /* 1592684 */     GIR_EraseRootFromParent_Done,
     /* 1592685 */   // Label 21994: @1592685
     /* 1592685 */   GIM_Try, /*On fail goto*//*Label 21995*/ GIMT_Encode4(1592771), // Rule ID 3090 //
     /* 1592690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1592701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1592704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1592707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1592710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1592713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592736 */     // MIs[0] policy
     /* 1592736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592746 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1592749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592770 */     // GIR_Coverage, 3090,
     /* 1592770 */     GIR_EraseRootFromParent_Done,
     /* 1592771 */   // Label 21995: @1592771
     /* 1592771 */   GIM_Try, /*On fail goto*//*Label 21996*/ GIMT_Encode4(1592857), // Rule ID 3093 //
     /* 1592776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1592787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1592790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1592793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1592796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1592799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592822 */     // MIs[0] policy
     /* 1592822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592832 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1592835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592856 */     // GIR_Coverage, 3093,
     /* 1592856 */     GIR_EraseRootFromParent_Done,
     /* 1592857 */   // Label 21996: @1592857
     /* 1592857 */   GIM_Try, /*On fail goto*//*Label 21997*/ GIMT_Encode4(1592943), // Rule ID 3094 //
     /* 1592862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1592873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1592876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1592879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1592882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1592885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592908 */     // MIs[0] policy
     /* 1592908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592918 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1592921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592942 */     // GIR_Coverage, 3094,
     /* 1592942 */     GIR_EraseRootFromParent_Done,
     /* 1592943 */   // Label 21997: @1592943
     /* 1592943 */   GIM_Try, /*On fail goto*//*Label 21998*/ GIMT_Encode4(1593029), // Rule ID 3097 //
     /* 1592948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1592959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1592962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1592965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1592968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592994 */     // MIs[0] policy
     /* 1592994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593004 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1593007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593028 */     // GIR_Coverage, 3097,
     /* 1593028 */     GIR_EraseRootFromParent_Done,
     /* 1593029 */   // Label 21998: @1593029
     /* 1593029 */   GIM_Try, /*On fail goto*//*Label 21999*/ GIMT_Encode4(1593115), // Rule ID 3098 //
     /* 1593034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1593045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1593048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1593051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1593054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593080 */     // MIs[0] policy
     /* 1593080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593090 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1593093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593114 */     // GIR_Coverage, 3098,
     /* 1593114 */     GIR_EraseRootFromParent_Done,
     /* 1593115 */   // Label 21999: @1593115
     /* 1593115 */   GIM_Try, /*On fail goto*//*Label 22000*/ GIMT_Encode4(1593201), // Rule ID 3101 //
     /* 1593120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1593131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1593134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1593137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1593140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593166 */     // MIs[0] policy
     /* 1593166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593176 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1593179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593200 */     // GIR_Coverage, 3101,
     /* 1593200 */     GIR_EraseRootFromParent_Done,
     /* 1593201 */   // Label 22000: @1593201
     /* 1593201 */   GIM_Try, /*On fail goto*//*Label 22001*/ GIMT_Encode4(1593287), // Rule ID 3102 //
     /* 1593206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1593217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1593220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1593223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1593226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593252 */     // MIs[0] policy
     /* 1593252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593262 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1593265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593286 */     // GIR_Coverage, 3102,
     /* 1593286 */     GIR_EraseRootFromParent_Done,
     /* 1593287 */   // Label 22001: @1593287
     /* 1593287 */   GIM_Try, /*On fail goto*//*Label 22002*/ GIMT_Encode4(1593373), // Rule ID 3105 //
     /* 1593292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1593303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1593306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1593309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1593312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593338 */     // MIs[0] policy
     /* 1593338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593348 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1593351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593372 */     // GIR_Coverage, 3105,
     /* 1593372 */     GIR_EraseRootFromParent_Done,
     /* 1593373 */   // Label 22002: @1593373
     /* 1593373 */   GIM_Try, /*On fail goto*//*Label 22003*/ GIMT_Encode4(1593459), // Rule ID 3106 //
     /* 1593378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1593389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1593392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1593395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1593398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593424 */     // MIs[0] policy
     /* 1593424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593434 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1593437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593458 */     // GIR_Coverage, 3106,
     /* 1593458 */     GIR_EraseRootFromParent_Done,
     /* 1593459 */   // Label 22003: @1593459
     /* 1593459 */   GIM_Try, /*On fail goto*//*Label 22004*/ GIMT_Encode4(1593545), // Rule ID 3109 //
     /* 1593464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1593475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1593478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1593481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1593484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593510 */     // MIs[0] policy
     /* 1593510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593520 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1593523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593544 */     // GIR_Coverage, 3109,
     /* 1593544 */     GIR_EraseRootFromParent_Done,
     /* 1593545 */   // Label 22004: @1593545
     /* 1593545 */   GIM_Try, /*On fail goto*//*Label 22005*/ GIMT_Encode4(1593631), // Rule ID 3110 //
     /* 1593550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1593561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1593564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1593567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1593570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593596 */     // MIs[0] policy
     /* 1593596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593606 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1593609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593630 */     // GIR_Coverage, 3110,
     /* 1593630 */     GIR_EraseRootFromParent_Done,
     /* 1593631 */   // Label 22005: @1593631
     /* 1593631 */   GIM_Try, /*On fail goto*//*Label 22006*/ GIMT_Encode4(1593717), // Rule ID 3113 //
     /* 1593636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1593647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1593650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1593653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1593656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593682 */     // MIs[0] policy
     /* 1593682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593692 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1593695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593716 */     // GIR_Coverage, 3113,
     /* 1593716 */     GIR_EraseRootFromParent_Done,
     /* 1593717 */   // Label 22006: @1593717
     /* 1593717 */   GIM_Try, /*On fail goto*//*Label 22007*/ GIMT_Encode4(1593803), // Rule ID 3114 //
     /* 1593722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1593733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1593736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1593739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1593742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593768 */     // MIs[0] policy
     /* 1593768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1593781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593802 */     // GIR_Coverage, 3114,
     /* 1593802 */     GIR_EraseRootFromParent_Done,
     /* 1593803 */   // Label 22007: @1593803
     /* 1593803 */   GIM_Try, /*On fail goto*//*Label 22008*/ GIMT_Encode4(1593889), // Rule ID 3117 //
     /* 1593808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1593819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1593822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1593825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1593828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593854 */     // MIs[0] policy
     /* 1593854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1593867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593888 */     // GIR_Coverage, 3117,
     /* 1593888 */     GIR_EraseRootFromParent_Done,
     /* 1593889 */   // Label 22008: @1593889
     /* 1593889 */   GIM_Try, /*On fail goto*//*Label 22009*/ GIMT_Encode4(1593975), // Rule ID 3118 //
     /* 1593894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1593905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1593908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1593911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1593914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593940 */     // MIs[0] policy
     /* 1593940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593950 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1593953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593974 */     // GIR_Coverage, 3118,
     /* 1593974 */     GIR_EraseRootFromParent_Done,
     /* 1593975 */   // Label 22009: @1593975
     /* 1593975 */   GIM_Try, /*On fail goto*//*Label 22010*/ GIMT_Encode4(1594061), // Rule ID 3121 //
     /* 1593980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1593991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1593994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1593997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1594000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594026 */     // MIs[0] policy
     /* 1594026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594036 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1594039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594060 */     // GIR_Coverage, 3121,
     /* 1594060 */     GIR_EraseRootFromParent_Done,
     /* 1594061 */   // Label 22010: @1594061
     /* 1594061 */   GIM_Try, /*On fail goto*//*Label 22011*/ GIMT_Encode4(1594147), // Rule ID 3122 //
     /* 1594066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1594077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1594080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1594083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1594086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594112 */     // MIs[0] policy
     /* 1594112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594122 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1594125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594146 */     // GIR_Coverage, 3122,
     /* 1594146 */     GIR_EraseRootFromParent_Done,
     /* 1594147 */   // Label 22011: @1594147
     /* 1594147 */   GIM_Try, /*On fail goto*//*Label 22012*/ GIMT_Encode4(1594233), // Rule ID 3125 //
     /* 1594152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1594155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1594163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1594166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1594169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1594172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594198 */     // MIs[0] policy
     /* 1594198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594208 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1594211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1594229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594232 */     // GIR_Coverage, 3125,
     /* 1594232 */     GIR_EraseRootFromParent_Done,
     /* 1594233 */   // Label 22012: @1594233
     /* 1594233 */   GIM_Try, /*On fail goto*//*Label 22013*/ GIMT_Encode4(1594319), // Rule ID 3126 //
     /* 1594238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1594241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1594249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1594252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1594255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1594258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594284 */     // MIs[0] policy
     /* 1594284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594294 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1594297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1594315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594318 */     // GIR_Coverage, 3126,
     /* 1594318 */     GIR_EraseRootFromParent_Done,
     /* 1594319 */   // Label 22013: @1594319
     /* 1594319 */   GIM_Try, /*On fail goto*//*Label 22014*/ GIMT_Encode4(1594405), // Rule ID 3129 //
     /* 1594324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1594335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1594338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1594341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1594344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1594347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1594354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594370 */     // MIs[0] policy
     /* 1594370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594380 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1594383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594404 */     // GIR_Coverage, 3129,
     /* 1594404 */     GIR_EraseRootFromParent_Done,
     /* 1594405 */   // Label 22014: @1594405
     /* 1594405 */   GIM_Try, /*On fail goto*//*Label 22015*/ GIMT_Encode4(1594491), // Rule ID 3130 //
     /* 1594410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1594421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1594424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1594427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1594430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1594433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1594440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594456 */     // MIs[0] policy
     /* 1594456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594466 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1594469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594490 */     // GIR_Coverage, 3130,
     /* 1594490 */     GIR_EraseRootFromParent_Done,
     /* 1594491 */   // Label 22015: @1594491
     /* 1594491 */   GIM_Try, /*On fail goto*//*Label 22016*/ GIMT_Encode4(1594577), // Rule ID 3133 //
     /* 1594496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1594507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1594510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1594513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1594516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1594519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1594526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594542 */     // MIs[0] policy
     /* 1594542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594552 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1594555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594576 */     // GIR_Coverage, 3133,
     /* 1594576 */     GIR_EraseRootFromParent_Done,
     /* 1594577 */   // Label 22016: @1594577
     /* 1594577 */   GIM_Try, /*On fail goto*//*Label 22017*/ GIMT_Encode4(1594663), // Rule ID 3134 //
     /* 1594582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1594593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1594596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1594599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1594602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1594605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1594612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594628 */     // MIs[0] policy
     /* 1594628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594638 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1594641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594662 */     // GIR_Coverage, 3134,
     /* 1594662 */     GIR_EraseRootFromParent_Done,
     /* 1594663 */   // Label 22017: @1594663
     /* 1594663 */   GIM_Try, /*On fail goto*//*Label 22018*/ GIMT_Encode4(1594749), // Rule ID 3137 //
     /* 1594668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1594679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1594682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1594685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1594688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1594691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1594698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594714 */     // MIs[0] policy
     /* 1594714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594724 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1594727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594748 */     // GIR_Coverage, 3137,
     /* 1594748 */     GIR_EraseRootFromParent_Done,
     /* 1594749 */   // Label 22018: @1594749
     /* 1594749 */   GIM_Try, /*On fail goto*//*Label 22019*/ GIMT_Encode4(1594835), // Rule ID 3138 //
     /* 1594754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1594765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1594768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1594771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1594774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1594777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1594784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594800 */     // MIs[0] policy
     /* 1594800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594810 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1594813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594834 */     // GIR_Coverage, 3138,
     /* 1594834 */     GIR_EraseRootFromParent_Done,
     /* 1594835 */   // Label 22019: @1594835
     /* 1594835 */   GIM_Try, /*On fail goto*//*Label 22020*/ GIMT_Encode4(1594921), // Rule ID 3141 //
     /* 1594840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1594851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1594854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1594857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1594860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1594870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594886 */     // MIs[0] policy
     /* 1594886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594896 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1594899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594920 */     // GIR_Coverage, 3141,
     /* 1594920 */     GIR_EraseRootFromParent_Done,
     /* 1594921 */   // Label 22020: @1594921
     /* 1594921 */   GIM_Try, /*On fail goto*//*Label 22021*/ GIMT_Encode4(1595007), // Rule ID 3142 //
     /* 1594926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1594937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1594940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1594943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1594946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1594956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594972 */     // MIs[0] policy
     /* 1594972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594982 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1594985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595006 */     // GIR_Coverage, 3142,
     /* 1595006 */     GIR_EraseRootFromParent_Done,
     /* 1595007 */   // Label 22021: @1595007
     /* 1595007 */   GIM_Try, /*On fail goto*//*Label 22022*/ GIMT_Encode4(1595093), // Rule ID 3145 //
     /* 1595012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1595023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1595026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1595029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1595032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595058 */     // MIs[0] policy
     /* 1595058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595068 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1595071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595092 */     // GIR_Coverage, 3145,
     /* 1595092 */     GIR_EraseRootFromParent_Done,
     /* 1595093 */   // Label 22022: @1595093
     /* 1595093 */   GIM_Try, /*On fail goto*//*Label 22023*/ GIMT_Encode4(1595179), // Rule ID 3146 //
     /* 1595098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1595109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1595112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1595115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1595118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595144 */     // MIs[0] policy
     /* 1595144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595154 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1595157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595178 */     // GIR_Coverage, 3146,
     /* 1595178 */     GIR_EraseRootFromParent_Done,
     /* 1595179 */   // Label 22023: @1595179
     /* 1595179 */   GIM_Try, /*On fail goto*//*Label 22024*/ GIMT_Encode4(1595265), // Rule ID 3149 //
     /* 1595184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1595195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1595198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1595201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1595204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1595207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1595214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595230 */     // MIs[0] policy
     /* 1595230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595240 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1595243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595264 */     // GIR_Coverage, 3149,
     /* 1595264 */     GIR_EraseRootFromParent_Done,
     /* 1595265 */   // Label 22024: @1595265
     /* 1595265 */   GIM_Try, /*On fail goto*//*Label 22025*/ GIMT_Encode4(1595351), // Rule ID 3150 //
     /* 1595270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1595281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1595284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1595287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1595290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1595293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1595300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595316 */     // MIs[0] policy
     /* 1595316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595326 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1595329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595350 */     // GIR_Coverage, 3150,
     /* 1595350 */     GIR_EraseRootFromParent_Done,
     /* 1595351 */   // Label 22025: @1595351
     /* 1595351 */   GIM_Try, /*On fail goto*//*Label 22026*/ GIMT_Encode4(1595437), // Rule ID 3153 //
     /* 1595356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1595367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1595370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1595373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1595376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595402 */     // MIs[0] policy
     /* 1595402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595412 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1595415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595436 */     // GIR_Coverage, 3153,
     /* 1595436 */     GIR_EraseRootFromParent_Done,
     /* 1595437 */   // Label 22026: @1595437
     /* 1595437 */   GIM_Try, /*On fail goto*//*Label 22027*/ GIMT_Encode4(1595523), // Rule ID 3154 //
     /* 1595442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1595453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1595456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1595459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1595462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595488 */     // MIs[0] policy
     /* 1595488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595498 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1595501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595522 */     // GIR_Coverage, 3154,
     /* 1595522 */     GIR_EraseRootFromParent_Done,
     /* 1595523 */   // Label 22027: @1595523
     /* 1595523 */   GIM_Try, /*On fail goto*//*Label 22028*/ GIMT_Encode4(1595609), // Rule ID 3157 //
     /* 1595528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1595539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1595542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1595545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1595548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595574 */     // MIs[0] policy
     /* 1595574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595584 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1595587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595608 */     // GIR_Coverage, 3157,
     /* 1595608 */     GIR_EraseRootFromParent_Done,
     /* 1595609 */   // Label 22028: @1595609
     /* 1595609 */   GIM_Try, /*On fail goto*//*Label 22029*/ GIMT_Encode4(1595695), // Rule ID 3158 //
     /* 1595614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1595625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1595628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1595631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1595634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595660 */     // MIs[0] policy
     /* 1595660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595670 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1595673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595694 */     // GIR_Coverage, 3158,
     /* 1595694 */     GIR_EraseRootFromParent_Done,
     /* 1595695 */   // Label 22029: @1595695
     /* 1595695 */   GIM_Try, /*On fail goto*//*Label 22030*/ GIMT_Encode4(1595781), // Rule ID 3161 //
     /* 1595700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1595711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1595714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1595717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1595720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1595730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595746 */     // MIs[0] policy
     /* 1595746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595756 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1595759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595780 */     // GIR_Coverage, 3161,
     /* 1595780 */     GIR_EraseRootFromParent_Done,
     /* 1595781 */   // Label 22030: @1595781
     /* 1595781 */   GIM_Try, /*On fail goto*//*Label 22031*/ GIMT_Encode4(1595867), // Rule ID 3162 //
     /* 1595786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1595797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1595800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1595803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1595806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1595816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595832 */     // MIs[0] policy
     /* 1595832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595842 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1595845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595866 */     // GIR_Coverage, 3162,
     /* 1595866 */     GIR_EraseRootFromParent_Done,
     /* 1595867 */   // Label 22031: @1595867
     /* 1595867 */   GIM_Try, /*On fail goto*//*Label 22032*/ GIMT_Encode4(1595953), // Rule ID 3165 //
     /* 1595872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1595875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1595883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1595886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1595889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1595892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595918 */     // MIs[0] policy
     /* 1595918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595928 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1595931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595952 */     // GIR_Coverage, 3165,
     /* 1595952 */     GIR_EraseRootFromParent_Done,
     /* 1595953 */   // Label 22032: @1595953
     /* 1595953 */   GIM_Try, /*On fail goto*//*Label 22033*/ GIMT_Encode4(1596039), // Rule ID 3166 //
     /* 1595958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1595961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1595969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1595972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1595975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1595978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596004 */     // MIs[0] policy
     /* 1596004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596014 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1596035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596038 */     // GIR_Coverage, 3166,
     /* 1596038 */     GIR_EraseRootFromParent_Done,
     /* 1596039 */   // Label 22033: @1596039
     /* 1596039 */   GIM_Try, /*On fail goto*//*Label 22034*/ GIMT_Encode4(1596125), // Rule ID 3169 //
     /* 1596044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1596047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1596055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1596058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1596061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1596064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596090 */     // MIs[0] policy
     /* 1596090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596100 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1596121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596124 */     // GIR_Coverage, 3169,
     /* 1596124 */     GIR_EraseRootFromParent_Done,
     /* 1596125 */   // Label 22034: @1596125
     /* 1596125 */   GIM_Try, /*On fail goto*//*Label 22035*/ GIMT_Encode4(1596211), // Rule ID 3170 //
     /* 1596130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1596133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1596141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1596144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1596147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1596150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596176 */     // MIs[0] policy
     /* 1596176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596186 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1596207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596210 */     // GIR_Coverage, 3170,
     /* 1596210 */     GIR_EraseRootFromParent_Done,
     /* 1596211 */   // Label 22035: @1596211
     /* 1596211 */   GIM_Try, /*On fail goto*//*Label 22036*/ GIMT_Encode4(1596297), // Rule ID 3173 //
     /* 1596216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1596219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1596227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1596230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1596233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1596236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596262 */     // MIs[0] policy
     /* 1596262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596272 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1596293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596296 */     // GIR_Coverage, 3173,
     /* 1596296 */     GIR_EraseRootFromParent_Done,
     /* 1596297 */   // Label 22036: @1596297
     /* 1596297 */   GIM_Try, /*On fail goto*//*Label 22037*/ GIMT_Encode4(1596383), // Rule ID 3174 //
     /* 1596302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1596305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1596313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1596316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1596319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1596322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596348 */     // MIs[0] policy
     /* 1596348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596358 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1596379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596382 */     // GIR_Coverage, 3174,
     /* 1596382 */     GIR_EraseRootFromParent_Done,
     /* 1596383 */   // Label 22037: @1596383
     /* 1596383 */   GIM_Try, /*On fail goto*//*Label 22038*/ GIMT_Encode4(1596469), // Rule ID 3177 //
     /* 1596388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1596399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1596402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1596405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1596411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596434 */     // MIs[0] policy
     /* 1596434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596444 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1596447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596468 */     // GIR_Coverage, 3177,
     /* 1596468 */     GIR_EraseRootFromParent_Done,
     /* 1596469 */   // Label 22038: @1596469
     /* 1596469 */   GIM_Try, /*On fail goto*//*Label 22039*/ GIMT_Encode4(1596555), // Rule ID 3178 //
     /* 1596474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1596485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1596488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1596491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1596497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596520 */     // MIs[0] policy
     /* 1596520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596530 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1596533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596554 */     // GIR_Coverage, 3178,
     /* 1596554 */     GIR_EraseRootFromParent_Done,
     /* 1596555 */   // Label 22039: @1596555
     /* 1596555 */   GIM_Try, /*On fail goto*//*Label 22040*/ GIMT_Encode4(1596641), // Rule ID 3181 //
     /* 1596560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1596571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1596574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1596577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1596583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596606 */     // MIs[0] policy
     /* 1596606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596616 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1596619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596640 */     // GIR_Coverage, 3181,
     /* 1596640 */     GIR_EraseRootFromParent_Done,
     /* 1596641 */   // Label 22040: @1596641
     /* 1596641 */   GIM_Try, /*On fail goto*//*Label 22041*/ GIMT_Encode4(1596727), // Rule ID 3182 //
     /* 1596646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1596657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1596660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1596663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1596669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596692 */     // MIs[0] policy
     /* 1596692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596702 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1596705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596726 */     // GIR_Coverage, 3182,
     /* 1596726 */     GIR_EraseRootFromParent_Done,
     /* 1596727 */   // Label 22041: @1596727
     /* 1596727 */   GIM_Try, /*On fail goto*//*Label 22042*/ GIMT_Encode4(1596813), // Rule ID 3185 //
     /* 1596732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1596743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1596746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1596749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596778 */     // MIs[0] policy
     /* 1596778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596788 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1596791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596812 */     // GIR_Coverage, 3185,
     /* 1596812 */     GIR_EraseRootFromParent_Done,
     /* 1596813 */   // Label 22042: @1596813
     /* 1596813 */   GIM_Try, /*On fail goto*//*Label 22043*/ GIMT_Encode4(1596899), // Rule ID 3186 //
     /* 1596818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1596829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1596832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1596835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596864 */     // MIs[0] policy
     /* 1596864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596874 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1596877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596898 */     // GIR_Coverage, 3186,
     /* 1596898 */     GIR_EraseRootFromParent_Done,
     /* 1596899 */   // Label 22043: @1596899
     /* 1596899 */   GIM_Try, /*On fail goto*//*Label 22044*/ GIMT_Encode4(1596985), // Rule ID 3189 //
     /* 1596904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1596915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1596918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1596921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1596927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596950 */     // MIs[0] policy
     /* 1596950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596960 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1596963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596984 */     // GIR_Coverage, 3189,
     /* 1596984 */     GIR_EraseRootFromParent_Done,
     /* 1596985 */   // Label 22044: @1596985
     /* 1596985 */   GIM_Try, /*On fail goto*//*Label 22045*/ GIMT_Encode4(1597071), // Rule ID 3190 //
     /* 1596990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1596998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1597001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1597004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1597007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597036 */     // MIs[0] policy
     /* 1597036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1597049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597070 */     // GIR_Coverage, 3190,
     /* 1597070 */     GIR_EraseRootFromParent_Done,
     /* 1597071 */   // Label 22045: @1597071
     /* 1597071 */   GIM_Try, /*On fail goto*//*Label 22046*/ GIMT_Encode4(1597157), // Rule ID 3193 //
     /* 1597076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1597087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1597090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1597093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597122 */     // MIs[0] policy
     /* 1597122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597132 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1597135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597156 */     // GIR_Coverage, 3193,
     /* 1597156 */     GIR_EraseRootFromParent_Done,
     /* 1597157 */   // Label 22046: @1597157
     /* 1597157 */   GIM_Try, /*On fail goto*//*Label 22047*/ GIMT_Encode4(1597243), // Rule ID 3194 //
     /* 1597162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1597173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1597176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1597179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597208 */     // MIs[0] policy
     /* 1597208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597218 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1597221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597242 */     // GIR_Coverage, 3194,
     /* 1597242 */     GIR_EraseRootFromParent_Done,
     /* 1597243 */   // Label 22047: @1597243
     /* 1597243 */   GIM_Try, /*On fail goto*//*Label 22048*/ GIMT_Encode4(1597329), // Rule ID 3197 //
     /* 1597248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1597259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1597262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1597265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597294 */     // MIs[0] policy
     /* 1597294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597304 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1597307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597328 */     // GIR_Coverage, 3197,
     /* 1597328 */     GIR_EraseRootFromParent_Done,
     /* 1597329 */   // Label 22048: @1597329
     /* 1597329 */   GIM_Try, /*On fail goto*//*Label 22049*/ GIMT_Encode4(1597415), // Rule ID 3198 //
     /* 1597334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1597345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1597348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1597351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597380 */     // MIs[0] policy
     /* 1597380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597390 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1597393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597414 */     // GIR_Coverage, 3198,
     /* 1597414 */     GIR_EraseRootFromParent_Done,
     /* 1597415 */   // Label 22049: @1597415
     /* 1597415 */   GIM_Try, /*On fail goto*//*Label 22050*/ GIMT_Encode4(1597501), // Rule ID 3201 //
     /* 1597420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1597431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1597434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1597437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597466 */     // MIs[0] policy
     /* 1597466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597476 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1597479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597500 */     // GIR_Coverage, 3201,
     /* 1597500 */     GIR_EraseRootFromParent_Done,
     /* 1597501 */   // Label 22050: @1597501
     /* 1597501 */   GIM_Try, /*On fail goto*//*Label 22051*/ GIMT_Encode4(1597587), // Rule ID 3202 //
     /* 1597506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1597517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1597520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1597523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597552 */     // MIs[0] policy
     /* 1597552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597562 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1597565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597586 */     // GIR_Coverage, 3202,
     /* 1597586 */     GIR_EraseRootFromParent_Done,
     /* 1597587 */   // Label 22051: @1597587
     /* 1597587 */   GIM_Try, /*On fail goto*//*Label 22052*/ GIMT_Encode4(1597673), // Rule ID 3205 //
     /* 1597592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1597603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1597606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1597609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597638 */     // MIs[0] policy
     /* 1597638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597648 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1597651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597672 */     // GIR_Coverage, 3205,
     /* 1597672 */     GIR_EraseRootFromParent_Done,
     /* 1597673 */   // Label 22052: @1597673
     /* 1597673 */   GIM_Try, /*On fail goto*//*Label 22053*/ GIMT_Encode4(1597759), // Rule ID 3206 //
     /* 1597678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1597689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1597692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1597695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597724 */     // MIs[0] policy
     /* 1597724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597734 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1597737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597758 */     // GIR_Coverage, 3206,
     /* 1597758 */     GIR_EraseRootFromParent_Done,
     /* 1597759 */   // Label 22053: @1597759
     /* 1597759 */   GIM_Try, /*On fail goto*//*Label 22054*/ GIMT_Encode4(1597845), // Rule ID 3209 //
     /* 1597764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1597775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1597778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1597781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597810 */     // MIs[0] policy
     /* 1597810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597820 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1597823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597844 */     // GIR_Coverage, 3209,
     /* 1597844 */     GIR_EraseRootFromParent_Done,
     /* 1597845 */   // Label 22054: @1597845
     /* 1597845 */   GIM_Try, /*On fail goto*//*Label 22055*/ GIMT_Encode4(1597931), // Rule ID 3210 //
     /* 1597850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1597861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1597864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1597867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597896 */     // MIs[0] policy
     /* 1597896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597906 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1597909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597930 */     // GIR_Coverage, 3210,
     /* 1597930 */     GIR_EraseRootFromParent_Done,
     /* 1597931 */   // Label 22055: @1597931
     /* 1597931 */   GIM_Try, /*On fail goto*//*Label 22056*/ GIMT_Encode4(1598017), // Rule ID 3213 //
     /* 1597936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1597944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1597947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1597950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1597953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597982 */     // MIs[0] policy
     /* 1597982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597992 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1597995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1598013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598016 */     // GIR_Coverage, 3213,
     /* 1598016 */     GIR_EraseRootFromParent_Done,
     /* 1598017 */   // Label 22056: @1598017
     /* 1598017 */   GIM_Try, /*On fail goto*//*Label 22057*/ GIMT_Encode4(1598103), // Rule ID 3214 //
     /* 1598022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1598025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1598033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1598036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1598039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598068 */     // MIs[0] policy
     /* 1598068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1598081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1598099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598102 */     // GIR_Coverage, 3214,
     /* 1598102 */     GIR_EraseRootFromParent_Done,
     /* 1598103 */   // Label 22057: @1598103
     /* 1598103 */   GIM_Try, /*On fail goto*//*Label 22058*/ GIMT_Encode4(1598189), // Rule ID 3217 //
     /* 1598108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1598119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1598122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1598125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1598131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598154 */     // MIs[0] policy
     /* 1598154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598164 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1598167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598188 */     // GIR_Coverage, 3217,
     /* 1598188 */     GIR_EraseRootFromParent_Done,
     /* 1598189 */   // Label 22058: @1598189
     /* 1598189 */   GIM_Try, /*On fail goto*//*Label 22059*/ GIMT_Encode4(1598275), // Rule ID 3218 //
     /* 1598194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1598205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1598208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1598211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1598217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598240 */     // MIs[0] policy
     /* 1598240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598250 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1598253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598274 */     // GIR_Coverage, 3218,
     /* 1598274 */     GIR_EraseRootFromParent_Done,
     /* 1598275 */   // Label 22059: @1598275
     /* 1598275 */   GIM_Try, /*On fail goto*//*Label 22060*/ GIMT_Encode4(1598361), // Rule ID 3221 //
     /* 1598280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1598291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1598294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1598297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1598303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1598310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598326 */     // MIs[0] policy
     /* 1598326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598336 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1598339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598360 */     // GIR_Coverage, 3221,
     /* 1598360 */     GIR_EraseRootFromParent_Done,
     /* 1598361 */   // Label 22060: @1598361
     /* 1598361 */   GIM_Try, /*On fail goto*//*Label 22061*/ GIMT_Encode4(1598447), // Rule ID 3222 //
     /* 1598366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1598377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1598380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1598383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1598389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1598396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598412 */     // MIs[0] policy
     /* 1598412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598422 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1598425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598446 */     // GIR_Coverage, 3222,
     /* 1598446 */     GIR_EraseRootFromParent_Done,
     /* 1598447 */   // Label 22061: @1598447
     /* 1598447 */   GIM_Try, /*On fail goto*//*Label 22062*/ GIMT_Encode4(1598533), // Rule ID 3225 //
     /* 1598452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1598463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1598466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1598469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1598475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1598482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598498 */     // MIs[0] policy
     /* 1598498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598508 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1598511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598532 */     // GIR_Coverage, 3225,
     /* 1598532 */     GIR_EraseRootFromParent_Done,
     /* 1598533 */   // Label 22062: @1598533
     /* 1598533 */   GIM_Try, /*On fail goto*//*Label 22063*/ GIMT_Encode4(1598619), // Rule ID 3226 //
     /* 1598538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1598549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1598552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1598555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1598561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1598568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598584 */     // MIs[0] policy
     /* 1598584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598594 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1598597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598618 */     // GIR_Coverage, 3226,
     /* 1598618 */     GIR_EraseRootFromParent_Done,
     /* 1598619 */   // Label 22063: @1598619
     /* 1598619 */   GIM_Try, /*On fail goto*//*Label 22064*/ GIMT_Encode4(1598705), // Rule ID 3229 //
     /* 1598624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1598635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1598638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1598641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598670 */     // MIs[0] policy
     /* 1598670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598680 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1598683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598704 */     // GIR_Coverage, 3229,
     /* 1598704 */     GIR_EraseRootFromParent_Done,
     /* 1598705 */   // Label 22064: @1598705
     /* 1598705 */   GIM_Try, /*On fail goto*//*Label 22065*/ GIMT_Encode4(1598791), // Rule ID 3230 //
     /* 1598710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1598721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1598724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1598727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598756 */     // MIs[0] policy
     /* 1598756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598766 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1598769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598790 */     // GIR_Coverage, 3230,
     /* 1598790 */     GIR_EraseRootFromParent_Done,
     /* 1598791 */   // Label 22065: @1598791
     /* 1598791 */   GIM_Try, /*On fail goto*//*Label 22066*/ GIMT_Encode4(1598877), // Rule ID 3233 //
     /* 1598796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1598807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1598810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1598813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1598819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1598826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598842 */     // MIs[0] policy
     /* 1598842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598852 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1598855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598876 */     // GIR_Coverage, 3233,
     /* 1598876 */     GIR_EraseRootFromParent_Done,
     /* 1598877 */   // Label 22066: @1598877
     /* 1598877 */   GIM_Try, /*On fail goto*//*Label 22067*/ GIMT_Encode4(1598963), // Rule ID 3234 //
     /* 1598882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1598893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1598896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1598899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1598905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1598912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598928 */     // MIs[0] policy
     /* 1598928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598938 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1598941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598962 */     // GIR_Coverage, 3234,
     /* 1598962 */     GIR_EraseRootFromParent_Done,
     /* 1598963 */   // Label 22067: @1598963
     /* 1598963 */   GIM_Try, /*On fail goto*//*Label 22068*/ GIMT_Encode4(1599049), // Rule ID 3237 //
     /* 1598968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1598976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1598979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1598982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1598985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1598991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1598998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599014 */     // MIs[0] policy
     /* 1599014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599024 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1599027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599048 */     // GIR_Coverage, 3237,
     /* 1599048 */     GIR_EraseRootFromParent_Done,
     /* 1599049 */   // Label 22068: @1599049
     /* 1599049 */   GIM_Try, /*On fail goto*//*Label 22069*/ GIMT_Encode4(1599135), // Rule ID 3238 //
     /* 1599054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1599065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1599068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1599071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1599077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599100 */     // MIs[0] policy
     /* 1599100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599110 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1599113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599134 */     // GIR_Coverage, 3238,
     /* 1599134 */     GIR_EraseRootFromParent_Done,
     /* 1599135 */   // Label 22069: @1599135
     /* 1599135 */   GIM_Try, /*On fail goto*//*Label 22070*/ GIMT_Encode4(1599221), // Rule ID 3241 //
     /* 1599140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1599151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1599154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1599157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599186 */     // MIs[0] policy
     /* 1599186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1599199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599220 */     // GIR_Coverage, 3241,
     /* 1599220 */     GIR_EraseRootFromParent_Done,
     /* 1599221 */   // Label 22070: @1599221
     /* 1599221 */   GIM_Try, /*On fail goto*//*Label 22071*/ GIMT_Encode4(1599307), // Rule ID 3242 //
     /* 1599226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1599237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1599240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1599243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599272 */     // MIs[0] policy
     /* 1599272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599282 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1599285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599306 */     // GIR_Coverage, 3242,
     /* 1599306 */     GIR_EraseRootFromParent_Done,
     /* 1599307 */   // Label 22071: @1599307
     /* 1599307 */   GIM_Try, /*On fail goto*//*Label 22072*/ GIMT_Encode4(1599393), // Rule ID 3245 //
     /* 1599312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1599323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1599326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1599329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599358 */     // MIs[0] policy
     /* 1599358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599368 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1599371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599392 */     // GIR_Coverage, 3245,
     /* 1599392 */     GIR_EraseRootFromParent_Done,
     /* 1599393 */   // Label 22072: @1599393
     /* 1599393 */   GIM_Try, /*On fail goto*//*Label 22073*/ GIMT_Encode4(1599479), // Rule ID 3246 //
     /* 1599398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1599409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1599412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1599415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599444 */     // MIs[0] policy
     /* 1599444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599454 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1599457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599478 */     // GIR_Coverage, 3246,
     /* 1599478 */     GIR_EraseRootFromParent_Done,
     /* 1599479 */   // Label 22073: @1599479
     /* 1599479 */   GIM_Try, /*On fail goto*//*Label 22074*/ GIMT_Encode4(1599565), // Rule ID 3249 //
     /* 1599484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1599495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1599498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1599501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599530 */     // MIs[0] policy
     /* 1599530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599540 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1599543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599564 */     // GIR_Coverage, 3249,
     /* 1599564 */     GIR_EraseRootFromParent_Done,
     /* 1599565 */   // Label 22074: @1599565
     /* 1599565 */   GIM_Try, /*On fail goto*//*Label 22075*/ GIMT_Encode4(1599651), // Rule ID 3250 //
     /* 1599570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1599581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1599584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1599587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599616 */     // MIs[0] policy
     /* 1599616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599626 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1599629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599650 */     // GIR_Coverage, 3250,
     /* 1599650 */     GIR_EraseRootFromParent_Done,
     /* 1599651 */   // Label 22075: @1599651
     /* 1599651 */   GIM_Try, /*On fail goto*//*Label 22076*/ GIMT_Encode4(1599737), // Rule ID 3253 //
     /* 1599656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1599659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1599667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1599670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1599673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599702 */     // MIs[0] policy
     /* 1599702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599712 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1599715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599736 */     // GIR_Coverage, 3253,
     /* 1599736 */     GIR_EraseRootFromParent_Done,
     /* 1599737 */   // Label 22076: @1599737
     /* 1599737 */   GIM_Try, /*On fail goto*//*Label 22077*/ GIMT_Encode4(1599823), // Rule ID 3254 //
     /* 1599742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1599745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1599753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1599756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1599759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599788 */     // MIs[0] policy
     /* 1599788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599798 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1599801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599822 */     // GIR_Coverage, 3254,
     /* 1599822 */     GIR_EraseRootFromParent_Done,
     /* 1599823 */   // Label 22077: @1599823
     /* 1599823 */   GIM_Try, /*On fail goto*//*Label 22078*/ GIMT_Encode4(1599909), // Rule ID 3257 //
     /* 1599828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1599831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1599839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1599842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1599845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599874 */     // MIs[0] policy
     /* 1599874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599884 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1599887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599908 */     // GIR_Coverage, 3257,
     /* 1599908 */     GIR_EraseRootFromParent_Done,
     /* 1599909 */   // Label 22078: @1599909
     /* 1599909 */   GIM_Try, /*On fail goto*//*Label 22079*/ GIMT_Encode4(1599995), // Rule ID 3258 //
     /* 1599914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1599917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1599922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1599925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1599928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1599931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599960 */     // MIs[0] policy
     /* 1599960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599970 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1599973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599994 */     // GIR_Coverage, 3258,
     /* 1599994 */     GIR_EraseRootFromParent_Done,
     /* 1599995 */   // Label 22079: @1599995
     /* 1599995 */   GIM_Try, /*On fail goto*//*Label 22080*/ GIMT_Encode4(1600081), // Rule ID 3261 //
     /* 1600000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1600003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1600011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1600014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1600017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600046 */     // MIs[0] policy
     /* 1600046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600056 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1600059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1600077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600080 */     // GIR_Coverage, 3261,
     /* 1600080 */     GIR_EraseRootFromParent_Done,
     /* 1600081 */   // Label 22080: @1600081
     /* 1600081 */   GIM_Try, /*On fail goto*//*Label 22081*/ GIMT_Encode4(1600167), // Rule ID 3262 //
     /* 1600086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1600089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1600094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1600097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1600100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1600103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600132 */     // MIs[0] policy
     /* 1600132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600142 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1600145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1600163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600166 */     // GIR_Coverage, 3262,
     /* 1600166 */     GIR_EraseRootFromParent_Done,
     /* 1600167 */   // Label 22081: @1600167
     /* 1600167 */   GIM_Try, /*On fail goto*//*Label 22082*/ GIMT_Encode4(1600253), // Rule ID 3265 //
     /* 1600172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1600180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1600183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1600186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1600189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1600195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600218 */     // MIs[0] policy
     /* 1600218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600228 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1600231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600252 */     // GIR_Coverage, 3265,
     /* 1600252 */     GIR_EraseRootFromParent_Done,
     /* 1600253 */   // Label 22082: @1600253
     /* 1600253 */   GIM_Try, /*On fail goto*//*Label 22083*/ GIMT_Encode4(1600339), // Rule ID 3266 //
     /* 1600258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1600266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1600269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1600272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1600275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1600281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600304 */     // MIs[0] policy
     /* 1600304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600314 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1600317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600338 */     // GIR_Coverage, 3266,
     /* 1600338 */     GIR_EraseRootFromParent_Done,
     /* 1600339 */   // Label 22083: @1600339
     /* 1600339 */   GIM_Try, /*On fail goto*//*Label 22084*/ GIMT_Encode4(1600425), // Rule ID 3269 //
     /* 1600344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1600352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1600355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1600358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1600361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600390 */     // MIs[0] policy
     /* 1600390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600400 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1600403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600424 */     // GIR_Coverage, 3269,
     /* 1600424 */     GIR_EraseRootFromParent_Done,
     /* 1600425 */   // Label 22084: @1600425
     /* 1600425 */   GIM_Try, /*On fail goto*//*Label 22085*/ GIMT_Encode4(1600511), // Rule ID 3270 //
     /* 1600430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1600438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1600441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1600444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1600447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600476 */     // MIs[0] policy
     /* 1600476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600486 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1600489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600510 */     // GIR_Coverage, 3270,
     /* 1600510 */     GIR_EraseRootFromParent_Done,
     /* 1600511 */   // Label 22085: @1600511
     /* 1600511 */   GIM_Try, /*On fail goto*//*Label 22086*/ GIMT_Encode4(1600597), // Rule ID 3273 //
     /* 1600516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1600524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1600527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1600530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1600533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600562 */     // MIs[0] policy
     /* 1600562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600572 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1600575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600596 */     // GIR_Coverage, 3273,
     /* 1600596 */     GIR_EraseRootFromParent_Done,
     /* 1600597 */   // Label 22086: @1600597
     /* 1600597 */   GIM_Try, /*On fail goto*//*Label 22087*/ GIMT_Encode4(1600683), // Rule ID 3274 //
     /* 1600602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1600610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1600613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1600616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1600619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600648 */     // MIs[0] policy
     /* 1600648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600658 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1600661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600682 */     // GIR_Coverage, 3274,
     /* 1600682 */     GIR_EraseRootFromParent_Done,
     /* 1600683 */   // Label 22087: @1600683
     /* 1600683 */   GIM_Try, /*On fail goto*//*Label 22088*/ GIMT_Encode4(1600769), // Rule ID 3277 //
     /* 1600688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1600696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1600699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1600702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1600705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1600711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600734 */     // MIs[0] policy
     /* 1600734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600744 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1600747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600768 */     // GIR_Coverage, 3277,
     /* 1600768 */     GIR_EraseRootFromParent_Done,
     /* 1600769 */   // Label 22088: @1600769
     /* 1600769 */   GIM_Try, /*On fail goto*//*Label 22089*/ GIMT_Encode4(1600855), // Rule ID 3278 //
     /* 1600774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1600782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1600785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1600788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1600791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1600797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600820 */     // MIs[0] policy
     /* 1600820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600830 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1600833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600854 */     // GIR_Coverage, 3278,
     /* 1600854 */     GIR_EraseRootFromParent_Done,
     /* 1600855 */   // Label 22089: @1600855
     /* 1600855 */   GIM_Try, /*On fail goto*//*Label 22090*/ GIMT_Encode4(1600941), // Rule ID 3281 //
     /* 1600860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1600868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1600871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1600874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1600877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1600880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600906 */     // MIs[0] policy
     /* 1600906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600916 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1600919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600940 */     // GIR_Coverage, 3281,
     /* 1600940 */     GIR_EraseRootFromParent_Done,
     /* 1600941 */   // Label 22090: @1600941
     /* 1600941 */   GIM_Try, /*On fail goto*//*Label 22091*/ GIMT_Encode4(1601027), // Rule ID 3282 //
     /* 1600946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1600954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1600957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1600960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1600963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1600966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1600988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600992 */     // MIs[0] policy
     /* 1600992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601002 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1601005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601026 */     // GIR_Coverage, 3282,
     /* 1601026 */     GIR_EraseRootFromParent_Done,
     /* 1601027 */   // Label 22091: @1601027
     /* 1601027 */   GIM_Try, /*On fail goto*//*Label 22092*/ GIMT_Encode4(1601113), // Rule ID 3285 //
     /* 1601032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1601043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1601046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1601049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601078 */     // MIs[0] policy
     /* 1601078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601088 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1601091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601112 */     // GIR_Coverage, 3285,
     /* 1601112 */     GIR_EraseRootFromParent_Done,
     /* 1601113 */   // Label 22092: @1601113
     /* 1601113 */   GIM_Try, /*On fail goto*//*Label 22093*/ GIMT_Encode4(1601199), // Rule ID 3286 //
     /* 1601118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1601129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1601132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1601135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601164 */     // MIs[0] policy
     /* 1601164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601174 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1601177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601198 */     // GIR_Coverage, 3286,
     /* 1601198 */     GIR_EraseRootFromParent_Done,
     /* 1601199 */   // Label 22093: @1601199
     /* 1601199 */   GIM_Try, /*On fail goto*//*Label 22094*/ GIMT_Encode4(1601285), // Rule ID 3289 //
     /* 1601204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1601215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1601218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1601221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601250 */     // MIs[0] policy
     /* 1601250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601260 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1601263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601284 */     // GIR_Coverage, 3289,
     /* 1601284 */     GIR_EraseRootFromParent_Done,
     /* 1601285 */   // Label 22094: @1601285
     /* 1601285 */   GIM_Try, /*On fail goto*//*Label 22095*/ GIMT_Encode4(1601371), // Rule ID 3290 //
     /* 1601290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1601301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1601304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1601307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601336 */     // MIs[0] policy
     /* 1601336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601346 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1601349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601370 */     // GIR_Coverage, 3290,
     /* 1601370 */     GIR_EraseRootFromParent_Done,
     /* 1601371 */   // Label 22095: @1601371
     /* 1601371 */   GIM_Try, /*On fail goto*//*Label 22096*/ GIMT_Encode4(1601457), // Rule ID 3293 //
     /* 1601376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1601387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1601390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1601393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601422 */     // MIs[0] policy
     /* 1601422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601432 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1601435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601456 */     // GIR_Coverage, 3293,
     /* 1601456 */     GIR_EraseRootFromParent_Done,
     /* 1601457 */   // Label 22096: @1601457
     /* 1601457 */   GIM_Try, /*On fail goto*//*Label 22097*/ GIMT_Encode4(1601543), // Rule ID 3294 //
     /* 1601462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1601473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1601476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1601479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601508 */     // MIs[0] policy
     /* 1601508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601518 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1601521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601542 */     // GIR_Coverage, 3294,
     /* 1601542 */     GIR_EraseRootFromParent_Done,
     /* 1601543 */   // Label 22097: @1601543
     /* 1601543 */   GIM_Try, /*On fail goto*//*Label 22098*/ GIMT_Encode4(1601629), // Rule ID 3297 //
     /* 1601548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1601559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1601562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1601565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601594 */     // MIs[0] policy
     /* 1601594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601604 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1601607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601628 */     // GIR_Coverage, 3297,
     /* 1601628 */     GIR_EraseRootFromParent_Done,
     /* 1601629 */   // Label 22098: @1601629
     /* 1601629 */   GIM_Try, /*On fail goto*//*Label 22099*/ GIMT_Encode4(1601715), // Rule ID 3298 //
     /* 1601634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1601645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1601648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1601651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601680 */     // MIs[0] policy
     /* 1601680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601690 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1601693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601714 */     // GIR_Coverage, 3298,
     /* 1601714 */     GIR_EraseRootFromParent_Done,
     /* 1601715 */   // Label 22099: @1601715
     /* 1601715 */   GIM_Try, /*On fail goto*//*Label 22100*/ GIMT_Encode4(1601801), // Rule ID 3301 //
     /* 1601720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1601723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1601731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1601734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1601737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601766 */     // MIs[0] policy
     /* 1601766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601776 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1601779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601800 */     // GIR_Coverage, 3301,
     /* 1601800 */     GIR_EraseRootFromParent_Done,
     /* 1601801 */   // Label 22100: @1601801
     /* 1601801 */   GIM_Try, /*On fail goto*//*Label 22101*/ GIMT_Encode4(1601887), // Rule ID 3302 //
     /* 1601806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1601809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1601817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1601820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1601823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601852 */     // MIs[0] policy
     /* 1601852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601862 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1601865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601886 */     // GIR_Coverage, 3302,
     /* 1601886 */     GIR_EraseRootFromParent_Done,
     /* 1601887 */   // Label 22101: @1601887
     /* 1601887 */   GIM_Try, /*On fail goto*//*Label 22102*/ GIMT_Encode4(1601973), // Rule ID 3305 //
     /* 1601892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1601903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1601906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1601909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1601915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1601922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601938 */     // MIs[0] policy
     /* 1601938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601948 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1601951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601972 */     // GIR_Coverage, 3305,
     /* 1601972 */     GIR_EraseRootFromParent_Done,
     /* 1601973 */   // Label 22102: @1601973
     /* 1601973 */   GIM_Try, /*On fail goto*//*Label 22103*/ GIMT_Encode4(1602059), // Rule ID 3306 //
     /* 1601978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1601986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1601989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1601992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1601995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1602001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1602008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602024 */     // MIs[0] policy
     /* 1602024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602034 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1602037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602058 */     // GIR_Coverage, 3306,
     /* 1602058 */     GIR_EraseRootFromParent_Done,
     /* 1602059 */   // Label 22103: @1602059
     /* 1602059 */   GIM_Try, /*On fail goto*//*Label 22104*/ GIMT_Encode4(1602145), // Rule ID 3309 //
     /* 1602064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1602075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1602078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1602081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1602087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1602094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602110 */     // MIs[0] policy
     /* 1602110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602120 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1602123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602144 */     // GIR_Coverage, 3309,
     /* 1602144 */     GIR_EraseRootFromParent_Done,
     /* 1602145 */   // Label 22104: @1602145
     /* 1602145 */   GIM_Try, /*On fail goto*//*Label 22105*/ GIMT_Encode4(1602231), // Rule ID 3310 //
     /* 1602150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1602161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1602164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1602167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1602173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1602180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602196 */     // MIs[0] policy
     /* 1602196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602206 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1602209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602230 */     // GIR_Coverage, 3310,
     /* 1602230 */     GIR_EraseRootFromParent_Done,
     /* 1602231 */   // Label 22105: @1602231
     /* 1602231 */   GIM_Try, /*On fail goto*//*Label 22106*/ GIMT_Encode4(1602317), // Rule ID 3313 //
     /* 1602236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1602247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1602250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1602253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1602259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1602266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602282 */     // MIs[0] policy
     /* 1602282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602292 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1602295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602316 */     // GIR_Coverage, 3313,
     /* 1602316 */     GIR_EraseRootFromParent_Done,
     /* 1602317 */   // Label 22106: @1602317
     /* 1602317 */   GIM_Try, /*On fail goto*//*Label 22107*/ GIMT_Encode4(1602403), // Rule ID 3314 //
     /* 1602322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1602333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1602336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1602339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1602345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1602352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602368 */     // MIs[0] policy
     /* 1602368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602378 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1602381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602402 */     // GIR_Coverage, 3314,
     /* 1602402 */     GIR_EraseRootFromParent_Done,
     /* 1602403 */   // Label 22107: @1602403
     /* 1602403 */   GIM_Try, /*On fail goto*//*Label 22108*/ GIMT_Encode4(1602489), // Rule ID 3317 //
     /* 1602408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1602419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1602422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1602425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1602438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602454 */     // MIs[0] policy
     /* 1602454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602464 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1602467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602488 */     // GIR_Coverage, 3317,
     /* 1602488 */     GIR_EraseRootFromParent_Done,
     /* 1602489 */   // Label 22108: @1602489
     /* 1602489 */   GIM_Try, /*On fail goto*//*Label 22109*/ GIMT_Encode4(1602575), // Rule ID 3318 //
     /* 1602494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1602505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1602508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1602511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1602524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602540 */     // MIs[0] policy
     /* 1602540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602550 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1602553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602574 */     // GIR_Coverage, 3318,
     /* 1602574 */     GIR_EraseRootFromParent_Done,
     /* 1602575 */   // Label 22109: @1602575
     /* 1602575 */   GIM_Try, /*On fail goto*//*Label 22110*/ GIMT_Encode4(1602661), // Rule ID 3321 //
     /* 1602580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1602591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1602594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1602597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1602603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1602610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602626 */     // MIs[0] policy
     /* 1602626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602636 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1602639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602660 */     // GIR_Coverage, 3321,
     /* 1602660 */     GIR_EraseRootFromParent_Done,
     /* 1602661 */   // Label 22110: @1602661
     /* 1602661 */   GIM_Try, /*On fail goto*//*Label 22111*/ GIMT_Encode4(1602747), // Rule ID 3322 //
     /* 1602666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1602677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1602680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1602683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1602689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1602696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602712 */     // MIs[0] policy
     /* 1602712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602722 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1602725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602746 */     // GIR_Coverage, 3322,
     /* 1602746 */     GIR_EraseRootFromParent_Done,
     /* 1602747 */   // Label 22111: @1602747
     /* 1602747 */   GIM_Try, /*On fail goto*//*Label 22112*/ GIMT_Encode4(1602833), // Rule ID 3325 //
     /* 1602752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1602763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1602766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1602769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1602775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1602782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602798 */     // MIs[0] policy
     /* 1602798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602808 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1602811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602832 */     // GIR_Coverage, 3325,
     /* 1602832 */     GIR_EraseRootFromParent_Done,
     /* 1602833 */   // Label 22112: @1602833
     /* 1602833 */   GIM_Try, /*On fail goto*//*Label 22113*/ GIMT_Encode4(1602919), // Rule ID 3326 //
     /* 1602838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1602849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1602852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1602855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1602861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1602868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602884 */     // MIs[0] policy
     /* 1602884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602894 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1602897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602918 */     // GIR_Coverage, 3326,
     /* 1602918 */     GIR_EraseRootFromParent_Done,
     /* 1602919 */   // Label 22113: @1602919
     /* 1602919 */   GIM_Try, /*On fail goto*//*Label 22114*/ GIMT_Encode4(1603005), // Rule ID 3329 //
     /* 1602924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1602932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1602935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1602938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1602941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1602954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602970 */     // MIs[0] policy
     /* 1602970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602980 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1602983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603004 */     // GIR_Coverage, 3329,
     /* 1603004 */     GIR_EraseRootFromParent_Done,
     /* 1603005 */   // Label 22114: @1603005
     /* 1603005 */   GIM_Try, /*On fail goto*//*Label 22115*/ GIMT_Encode4(1603091), // Rule ID 3330 //
     /* 1603010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1603021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1603024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1603027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603056 */     // MIs[0] policy
     /* 1603056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603066 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1603069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603090 */     // GIR_Coverage, 3330,
     /* 1603090 */     GIR_EraseRootFromParent_Done,
     /* 1603091 */   // Label 22115: @1603091
     /* 1603091 */   GIM_Try, /*On fail goto*//*Label 22116*/ GIMT_Encode4(1603177), // Rule ID 3333 //
     /* 1603096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1603107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1603110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1603113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603142 */     // MIs[0] policy
     /* 1603142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1603155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603176 */     // GIR_Coverage, 3333,
     /* 1603176 */     GIR_EraseRootFromParent_Done,
     /* 1603177 */   // Label 22116: @1603177
     /* 1603177 */   GIM_Try, /*On fail goto*//*Label 22117*/ GIMT_Encode4(1603263), // Rule ID 3334 //
     /* 1603182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1603193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1603196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1603199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603228 */     // MIs[0] policy
     /* 1603228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603238 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1603241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603262 */     // GIR_Coverage, 3334,
     /* 1603262 */     GIR_EraseRootFromParent_Done,
     /* 1603263 */   // Label 22117: @1603263
     /* 1603263 */   GIM_Try, /*On fail goto*//*Label 22118*/ GIMT_Encode4(1603349), // Rule ID 3337 //
     /* 1603268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1603279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1603282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1603285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603314 */     // MIs[0] policy
     /* 1603314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1603327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603348 */     // GIR_Coverage, 3337,
     /* 1603348 */     GIR_EraseRootFromParent_Done,
     /* 1603349 */   // Label 22118: @1603349
     /* 1603349 */   GIM_Try, /*On fail goto*//*Label 22119*/ GIMT_Encode4(1603435), // Rule ID 3338 //
     /* 1603354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1603365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1603368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1603371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603400 */     // MIs[0] policy
     /* 1603400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603410 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1603413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603434 */     // GIR_Coverage, 3338,
     /* 1603434 */     GIR_EraseRootFromParent_Done,
     /* 1603435 */   // Label 22119: @1603435
     /* 1603435 */   GIM_Try, /*On fail goto*//*Label 22120*/ GIMT_Encode4(1603521), // Rule ID 3341 //
     /* 1603440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1603443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1603451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1603454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1603457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1603463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603486 */     // MIs[0] policy
     /* 1603486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603496 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1603499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1603517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603520 */     // GIR_Coverage, 3341,
     /* 1603520 */     GIR_EraseRootFromParent_Done,
     /* 1603521 */   // Label 22120: @1603521
     /* 1603521 */   GIM_Try, /*On fail goto*//*Label 22121*/ GIMT_Encode4(1603607), // Rule ID 3342 //
     /* 1603526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1603529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1603537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1603540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1603543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1603549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603572 */     // MIs[0] policy
     /* 1603572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603582 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1603585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1603603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603606 */     // GIR_Coverage, 3342,
     /* 1603606 */     GIR_EraseRootFromParent_Done,
     /* 1603607 */   // Label 22121: @1603607
     /* 1603607 */   GIM_Try, /*On fail goto*//*Label 22122*/ GIMT_Encode4(1603693), // Rule ID 3345 //
     /* 1603612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1603615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1603623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1603626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1603629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603658 */     // MIs[0] policy
     /* 1603658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603668 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1603671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1603689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603692 */     // GIR_Coverage, 3345,
     /* 1603692 */     GIR_EraseRootFromParent_Done,
     /* 1603693 */   // Label 22122: @1603693
     /* 1603693 */   GIM_Try, /*On fail goto*//*Label 22123*/ GIMT_Encode4(1603779), // Rule ID 3346 //
     /* 1603698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1603701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1603709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1603712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1603715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603744 */     // MIs[0] policy
     /* 1603744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603754 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1603757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1603775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603778 */     // GIR_Coverage, 3346,
     /* 1603778 */     GIR_EraseRootFromParent_Done,
     /* 1603779 */   // Label 22123: @1603779
     /* 1603779 */   GIM_Try, /*On fail goto*//*Label 22124*/ GIMT_Encode4(1603865), // Rule ID 3349 //
     /* 1603784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1603787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1603795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1603798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1603801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603830 */     // MIs[0] policy
     /* 1603830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603840 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1603843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1603861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603864 */     // GIR_Coverage, 3349,
     /* 1603864 */     GIR_EraseRootFromParent_Done,
     /* 1603865 */   // Label 22124: @1603865
     /* 1603865 */   GIM_Try, /*On fail goto*//*Label 22125*/ GIMT_Encode4(1603951), // Rule ID 3350 //
     /* 1603870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1603873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1603878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1603881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1603884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1603887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603916 */     // MIs[0] policy
     /* 1603916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603926 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1603929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1603947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603950 */     // GIR_Coverage, 3350,
     /* 1603950 */     GIR_EraseRootFromParent_Done,
     /* 1603951 */   // Label 22125: @1603951
     /* 1603951 */   GIM_Try, /*On fail goto*//*Label 22126*/ GIMT_Encode4(1604037), // Rule ID 3441 //
     /* 1603956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1603967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1603970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1603973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1603976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1603979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604002 */     // MIs[0] policy
     /* 1604002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604012 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1604015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604036 */     // GIR_Coverage, 3441,
     /* 1604036 */     GIR_EraseRootFromParent_Done,
     /* 1604037 */   // Label 22126: @1604037
     /* 1604037 */   GIM_Try, /*On fail goto*//*Label 22127*/ GIMT_Encode4(1604123), // Rule ID 3442 //
     /* 1604042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1604053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1604056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1604059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1604062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1604065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604088 */     // MIs[0] policy
     /* 1604088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604098 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1604101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604122 */     // GIR_Coverage, 3442,
     /* 1604122 */     GIR_EraseRootFromParent_Done,
     /* 1604123 */   // Label 22127: @1604123
     /* 1604123 */   GIM_Try, /*On fail goto*//*Label 22128*/ GIMT_Encode4(1604209), // Rule ID 3445 //
     /* 1604128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1604139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1604142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1604145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1604148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1604151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604174 */     // MIs[0] policy
     /* 1604174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604184 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1604187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604208 */     // GIR_Coverage, 3445,
     /* 1604208 */     GIR_EraseRootFromParent_Done,
     /* 1604209 */   // Label 22128: @1604209
     /* 1604209 */   GIM_Try, /*On fail goto*//*Label 22129*/ GIMT_Encode4(1604295), // Rule ID 3446 //
     /* 1604214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1604225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1604228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1604231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1604234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1604237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604260 */     // MIs[0] policy
     /* 1604260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604270 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1604273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604294 */     // GIR_Coverage, 3446,
     /* 1604294 */     GIR_EraseRootFromParent_Done,
     /* 1604295 */   // Label 22129: @1604295
     /* 1604295 */   GIM_Try, /*On fail goto*//*Label 22130*/ GIMT_Encode4(1604381), // Rule ID 3449 //
     /* 1604300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1604311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1604314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1604317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1604320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604346 */     // MIs[0] policy
     /* 1604346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604356 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1604359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604380 */     // GIR_Coverage, 3449,
     /* 1604380 */     GIR_EraseRootFromParent_Done,
     /* 1604381 */   // Label 22130: @1604381
     /* 1604381 */   GIM_Try, /*On fail goto*//*Label 22131*/ GIMT_Encode4(1604467), // Rule ID 3450 //
     /* 1604386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1604397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1604400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1604403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1604406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604432 */     // MIs[0] policy
     /* 1604432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604442 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1604445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604466 */     // GIR_Coverage, 3450,
     /* 1604466 */     GIR_EraseRootFromParent_Done,
     /* 1604467 */   // Label 22131: @1604467
     /* 1604467 */   GIM_Try, /*On fail goto*//*Label 22132*/ GIMT_Encode4(1604553), // Rule ID 3453 //
     /* 1604472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1604483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1604486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1604489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1604492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604518 */     // MIs[0] policy
     /* 1604518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604528 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1604531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604552 */     // GIR_Coverage, 3453,
     /* 1604552 */     GIR_EraseRootFromParent_Done,
     /* 1604553 */   // Label 22132: @1604553
     /* 1604553 */   GIM_Try, /*On fail goto*//*Label 22133*/ GIMT_Encode4(1604639), // Rule ID 3454 //
     /* 1604558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1604569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1604572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1604575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1604578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604604 */     // MIs[0] policy
     /* 1604604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1604617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604638 */     // GIR_Coverage, 3454,
     /* 1604638 */     GIR_EraseRootFromParent_Done,
     /* 1604639 */   // Label 22133: @1604639
     /* 1604639 */   GIM_Try, /*On fail goto*//*Label 22134*/ GIMT_Encode4(1604725), // Rule ID 3457 //
     /* 1604644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1604655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1604658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1604661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1604664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604690 */     // MIs[0] policy
     /* 1604690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604700 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1604703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604724 */     // GIR_Coverage, 3457,
     /* 1604724 */     GIR_EraseRootFromParent_Done,
     /* 1604725 */   // Label 22134: @1604725
     /* 1604725 */   GIM_Try, /*On fail goto*//*Label 22135*/ GIMT_Encode4(1604811), // Rule ID 3458 //
     /* 1604730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1604741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1604744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1604747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1604750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604776 */     // MIs[0] policy
     /* 1604776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604786 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1604789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604810 */     // GIR_Coverage, 3458,
     /* 1604810 */     GIR_EraseRootFromParent_Done,
     /* 1604811 */   // Label 22135: @1604811
     /* 1604811 */   GIM_Try, /*On fail goto*//*Label 22136*/ GIMT_Encode4(1604897), // Rule ID 3461 //
     /* 1604816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1604827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1604830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1604833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1604836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1604839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604862 */     // MIs[0] policy
     /* 1604862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604872 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1604875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604896 */     // GIR_Coverage, 3461,
     /* 1604896 */     GIR_EraseRootFromParent_Done,
     /* 1604897 */   // Label 22136: @1604897
     /* 1604897 */   GIM_Try, /*On fail goto*//*Label 22137*/ GIMT_Encode4(1604983), // Rule ID 3462 //
     /* 1604902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1604913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1604916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1604919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1604922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1604925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604948 */     // MIs[0] policy
     /* 1604948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604958 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1604961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604982 */     // GIR_Coverage, 3462,
     /* 1604982 */     GIR_EraseRootFromParent_Done,
     /* 1604983 */   // Label 22137: @1604983
     /* 1604983 */   GIM_Try, /*On fail goto*//*Label 22138*/ GIMT_Encode4(1605069), // Rule ID 3465 //
     /* 1604988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1604999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1605002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1605005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1605008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605034 */     // MIs[0] policy
     /* 1605034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605044 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1605047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605068 */     // GIR_Coverage, 3465,
     /* 1605068 */     GIR_EraseRootFromParent_Done,
     /* 1605069 */   // Label 22138: @1605069
     /* 1605069 */   GIM_Try, /*On fail goto*//*Label 22139*/ GIMT_Encode4(1605155), // Rule ID 3466 //
     /* 1605074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1605085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1605088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1605091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1605094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605120 */     // MIs[0] policy
     /* 1605120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605130 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1605133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605154 */     // GIR_Coverage, 3466,
     /* 1605154 */     GIR_EraseRootFromParent_Done,
     /* 1605155 */   // Label 22139: @1605155
     /* 1605155 */   GIM_Try, /*On fail goto*//*Label 22140*/ GIMT_Encode4(1605241), // Rule ID 3469 //
     /* 1605160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1605171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1605174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1605177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1605180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605206 */     // MIs[0] policy
     /* 1605206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605216 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1605219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605240 */     // GIR_Coverage, 3469,
     /* 1605240 */     GIR_EraseRootFromParent_Done,
     /* 1605241 */   // Label 22140: @1605241
     /* 1605241 */   GIM_Try, /*On fail goto*//*Label 22141*/ GIMT_Encode4(1605327), // Rule ID 3470 //
     /* 1605246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1605257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1605260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1605263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1605266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605292 */     // MIs[0] policy
     /* 1605292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1605305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605326 */     // GIR_Coverage, 3470,
     /* 1605326 */     GIR_EraseRootFromParent_Done,
     /* 1605327 */   // Label 22141: @1605327
     /* 1605327 */   GIM_Try, /*On fail goto*//*Label 22142*/ GIMT_Encode4(1605413), // Rule ID 3473 //
     /* 1605332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1605343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1605346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1605349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1605352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1605362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605378 */     // MIs[0] policy
     /* 1605378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605388 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1605391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605412 */     // GIR_Coverage, 3473,
     /* 1605412 */     GIR_EraseRootFromParent_Done,
     /* 1605413 */   // Label 22142: @1605413
     /* 1605413 */   GIM_Try, /*On fail goto*//*Label 22143*/ GIMT_Encode4(1605499), // Rule ID 3474 //
     /* 1605418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1605429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1605432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1605435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1605438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1605448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605464 */     // MIs[0] policy
     /* 1605464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605474 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1605477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605498 */     // GIR_Coverage, 3474,
     /* 1605498 */     GIR_EraseRootFromParent_Done,
     /* 1605499 */   // Label 22143: @1605499
     /* 1605499 */   GIM_Try, /*On fail goto*//*Label 22144*/ GIMT_Encode4(1605585), // Rule ID 3477 //
     /* 1605504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1605515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1605518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1605521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1605524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1605534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605550 */     // MIs[0] policy
     /* 1605550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605560 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1605563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605584 */     // GIR_Coverage, 3477,
     /* 1605584 */     GIR_EraseRootFromParent_Done,
     /* 1605585 */   // Label 22144: @1605585
     /* 1605585 */   GIM_Try, /*On fail goto*//*Label 22145*/ GIMT_Encode4(1605671), // Rule ID 3478 //
     /* 1605590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1605601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1605604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1605607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1605610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1605620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605636 */     // MIs[0] policy
     /* 1605636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605646 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1605649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605670 */     // GIR_Coverage, 3478,
     /* 1605670 */     GIR_EraseRootFromParent_Done,
     /* 1605671 */   // Label 22145: @1605671
     /* 1605671 */   GIM_Try, /*On fail goto*//*Label 22146*/ GIMT_Encode4(1605757), // Rule ID 3481 //
     /* 1605676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1605687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1605690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1605693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1605696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1605699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605722 */     // MIs[0] policy
     /* 1605722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605732 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1605735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605756 */     // GIR_Coverage, 3481,
     /* 1605756 */     GIR_EraseRootFromParent_Done,
     /* 1605757 */   // Label 22146: @1605757
     /* 1605757 */   GIM_Try, /*On fail goto*//*Label 22147*/ GIMT_Encode4(1605843), // Rule ID 3482 //
     /* 1605762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1605773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1605776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1605779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1605782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1605785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605808 */     // MIs[0] policy
     /* 1605808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605818 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1605821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605842 */     // GIR_Coverage, 3482,
     /* 1605842 */     GIR_EraseRootFromParent_Done,
     /* 1605843 */   // Label 22147: @1605843
     /* 1605843 */   GIM_Try, /*On fail goto*//*Label 22148*/ GIMT_Encode4(1605929), // Rule ID 3485 //
     /* 1605848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1605851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1605859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1605862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1605865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1605868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605894 */     // MIs[0] policy
     /* 1605894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605904 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1605907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605928 */     // GIR_Coverage, 3485,
     /* 1605928 */     GIR_EraseRootFromParent_Done,
     /* 1605929 */   // Label 22148: @1605929
     /* 1605929 */   GIM_Try, /*On fail goto*//*Label 22149*/ GIMT_Encode4(1606015), // Rule ID 3486 //
     /* 1605934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1605937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1605945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1605948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1605951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1605954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605980 */     // MIs[0] policy
     /* 1605980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605990 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1605993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606014 */     // GIR_Coverage, 3486,
     /* 1606014 */     GIR_EraseRootFromParent_Done,
     /* 1606015 */   // Label 22149: @1606015
     /* 1606015 */   GIM_Try, /*On fail goto*//*Label 22150*/ GIMT_Encode4(1606101), // Rule ID 3489 //
     /* 1606020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1606023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1606031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1606034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1606037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1606040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606066 */     // MIs[0] policy
     /* 1606066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606076 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1606079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606100 */     // GIR_Coverage, 3489,
     /* 1606100 */     GIR_EraseRootFromParent_Done,
     /* 1606101 */   // Label 22150: @1606101
     /* 1606101 */   GIM_Try, /*On fail goto*//*Label 22151*/ GIMT_Encode4(1606187), // Rule ID 3490 //
     /* 1606106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1606109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1606117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1606120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1606123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1606126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606152 */     // MIs[0] policy
     /* 1606152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606162 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1606165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606186 */     // GIR_Coverage, 3490,
     /* 1606186 */     GIR_EraseRootFromParent_Done,
     /* 1606187 */   // Label 22151: @1606187
     /* 1606187 */   GIM_Try, /*On fail goto*//*Label 22152*/ GIMT_Encode4(1606273), // Rule ID 3493 //
     /* 1606192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1606195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1606203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1606206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1606209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1606212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606238 */     // MIs[0] policy
     /* 1606238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606248 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1606251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606272 */     // GIR_Coverage, 3493,
     /* 1606272 */     GIR_EraseRootFromParent_Done,
     /* 1606273 */   // Label 22152: @1606273
     /* 1606273 */   GIM_Try, /*On fail goto*//*Label 22153*/ GIMT_Encode4(1606359), // Rule ID 3494 //
     /* 1606278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1606281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1606289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1606292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1606295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1606298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606324 */     // MIs[0] policy
     /* 1606324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606334 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1606337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606358 */     // GIR_Coverage, 3494,
     /* 1606358 */     GIR_EraseRootFromParent_Done,
     /* 1606359 */   // Label 22153: @1606359
     /* 1606359 */   GIM_Try, /*On fail goto*//*Label 22154*/ GIMT_Encode4(1606445), // Rule ID 3497 //
     /* 1606364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1606367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1606375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1606378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1606381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1606384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606410 */     // MIs[0] policy
     /* 1606410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606420 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1606423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606444 */     // GIR_Coverage, 3497,
     /* 1606444 */     GIR_EraseRootFromParent_Done,
     /* 1606445 */   // Label 22154: @1606445
     /* 1606445 */   GIM_Try, /*On fail goto*//*Label 22155*/ GIMT_Encode4(1606531), // Rule ID 3498 //
     /* 1606450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1606453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1606461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1606464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1606467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1606470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606496 */     // MIs[0] policy
     /* 1606496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606506 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1606509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606530 */     // GIR_Coverage, 3498,
     /* 1606530 */     GIR_EraseRootFromParent_Done,
     /* 1606531 */   // Label 22155: @1606531
     /* 1606531 */   GIM_Try, /*On fail goto*//*Label 22156*/ GIMT_Encode4(1606617), // Rule ID 3501 //
     /* 1606536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1606547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1606550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1606553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1606556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606582 */     // MIs[0] policy
     /* 1606582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606592 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1606595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606616 */     // GIR_Coverage, 3501,
     /* 1606616 */     GIR_EraseRootFromParent_Done,
     /* 1606617 */   // Label 22156: @1606617
     /* 1606617 */   GIM_Try, /*On fail goto*//*Label 22157*/ GIMT_Encode4(1606703), // Rule ID 3502 //
     /* 1606622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1606633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1606636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1606639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606668 */     // MIs[0] policy
     /* 1606668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1606681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606702 */     // GIR_Coverage, 3502,
     /* 1606702 */     GIR_EraseRootFromParent_Done,
     /* 1606703 */   // Label 22157: @1606703
     /* 1606703 */   GIM_Try, /*On fail goto*//*Label 22158*/ GIMT_Encode4(1606789), // Rule ID 3505 //
     /* 1606708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1606719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1606722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1606725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1606728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606754 */     // MIs[0] policy
     /* 1606754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606764 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1606767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606788 */     // GIR_Coverage, 3505,
     /* 1606788 */     GIR_EraseRootFromParent_Done,
     /* 1606789 */   // Label 22158: @1606789
     /* 1606789 */   GIM_Try, /*On fail goto*//*Label 22159*/ GIMT_Encode4(1606875), // Rule ID 3506 //
     /* 1606794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1606805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1606808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1606811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606840 */     // MIs[0] policy
     /* 1606840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606850 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1606853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606874 */     // GIR_Coverage, 3506,
     /* 1606874 */     GIR_EraseRootFromParent_Done,
     /* 1606875 */   // Label 22159: @1606875
     /* 1606875 */   GIM_Try, /*On fail goto*//*Label 22160*/ GIMT_Encode4(1606961), // Rule ID 3509 //
     /* 1606880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1606891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1606894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1606897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1606900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606926 */     // MIs[0] policy
     /* 1606926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606936 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1606939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606960 */     // GIR_Coverage, 3509,
     /* 1606960 */     GIR_EraseRootFromParent_Done,
     /* 1606961 */   // Label 22160: @1606961
     /* 1606961 */   GIM_Try, /*On fail goto*//*Label 22161*/ GIMT_Encode4(1607047), // Rule ID 3510 //
     /* 1606966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1606977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1606980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1606983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607012 */     // MIs[0] policy
     /* 1607012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607022 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1607025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607046 */     // GIR_Coverage, 3510,
     /* 1607046 */     GIR_EraseRootFromParent_Done,
     /* 1607047 */   // Label 22161: @1607047
     /* 1607047 */   GIM_Try, /*On fail goto*//*Label 22162*/ GIMT_Encode4(1607133), // Rule ID 3513 //
     /* 1607052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1607063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1607066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1607069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607098 */     // MIs[0] policy
     /* 1607098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607108 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1607111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607132 */     // GIR_Coverage, 3513,
     /* 1607132 */     GIR_EraseRootFromParent_Done,
     /* 1607133 */   // Label 22162: @1607133
     /* 1607133 */   GIM_Try, /*On fail goto*//*Label 22163*/ GIMT_Encode4(1607219), // Rule ID 3514 //
     /* 1607138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1607149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1607152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1607155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607184 */     // MIs[0] policy
     /* 1607184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607194 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1607197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607218 */     // GIR_Coverage, 3514,
     /* 1607218 */     GIR_EraseRootFromParent_Done,
     /* 1607219 */   // Label 22163: @1607219
     /* 1607219 */   GIM_Try, /*On fail goto*//*Label 22164*/ GIMT_Encode4(1607305), // Rule ID 3517 //
     /* 1607224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1607235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1607238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1607241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607270 */     // MIs[0] policy
     /* 1607270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607280 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1607283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607304 */     // GIR_Coverage, 3517,
     /* 1607304 */     GIR_EraseRootFromParent_Done,
     /* 1607305 */   // Label 22164: @1607305
     /* 1607305 */   GIM_Try, /*On fail goto*//*Label 22165*/ GIMT_Encode4(1607391), // Rule ID 3518 //
     /* 1607310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1607321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1607324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1607327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607356 */     // MIs[0] policy
     /* 1607356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607366 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1607369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607390 */     // GIR_Coverage, 3518,
     /* 1607390 */     GIR_EraseRootFromParent_Done,
     /* 1607391 */   // Label 22165: @1607391
     /* 1607391 */   GIM_Try, /*On fail goto*//*Label 22166*/ GIMT_Encode4(1607477), // Rule ID 3521 //
     /* 1607396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1607407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1607410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1607413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1607419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607442 */     // MIs[0] policy
     /* 1607442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607452 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1607455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607476 */     // GIR_Coverage, 3521,
     /* 1607476 */     GIR_EraseRootFromParent_Done,
     /* 1607477 */   // Label 22166: @1607477
     /* 1607477 */   GIM_Try, /*On fail goto*//*Label 22167*/ GIMT_Encode4(1607563), // Rule ID 3522 //
     /* 1607482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1607493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1607496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1607499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1607505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607528 */     // MIs[0] policy
     /* 1607528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607538 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1607541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607562 */     // GIR_Coverage, 3522,
     /* 1607562 */     GIR_EraseRootFromParent_Done,
     /* 1607563 */   // Label 22167: @1607563
     /* 1607563 */   GIM_Try, /*On fail goto*//*Label 22168*/ GIMT_Encode4(1607649), // Rule ID 3525 //
     /* 1607568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1607579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1607582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1607585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607614 */     // MIs[0] policy
     /* 1607614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607624 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1607627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607648 */     // GIR_Coverage, 3525,
     /* 1607648 */     GIR_EraseRootFromParent_Done,
     /* 1607649 */   // Label 22168: @1607649
     /* 1607649 */   GIM_Try, /*On fail goto*//*Label 22169*/ GIMT_Encode4(1607735), // Rule ID 3526 //
     /* 1607654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1607665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1607668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1607671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607700 */     // MIs[0] policy
     /* 1607700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607710 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1607713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607734 */     // GIR_Coverage, 3526,
     /* 1607734 */     GIR_EraseRootFromParent_Done,
     /* 1607735 */   // Label 22169: @1607735
     /* 1607735 */   GIM_Try, /*On fail goto*//*Label 22170*/ GIMT_Encode4(1607821), // Rule ID 3529 //
     /* 1607740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1607751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1607754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1607757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607786 */     // MIs[0] policy
     /* 1607786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607796 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1607799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607820 */     // GIR_Coverage, 3529,
     /* 1607820 */     GIR_EraseRootFromParent_Done,
     /* 1607821 */   // Label 22170: @1607821
     /* 1607821 */   GIM_Try, /*On fail goto*//*Label 22171*/ GIMT_Encode4(1607907), // Rule ID 3530 //
     /* 1607826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1607837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1607840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1607843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607872 */     // MIs[0] policy
     /* 1607872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607882 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1607885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607906 */     // GIR_Coverage, 3530,
     /* 1607906 */     GIR_EraseRootFromParent_Done,
     /* 1607907 */   // Label 22171: @1607907
     /* 1607907 */   GIM_Try, /*On fail goto*//*Label 22172*/ GIMT_Encode4(1607993), // Rule ID 3533 //
     /* 1607912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1607920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1607923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1607926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1607929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607958 */     // MIs[0] policy
     /* 1607958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607968 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1607971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607992 */     // GIR_Coverage, 3533,
     /* 1607992 */     GIR_EraseRootFromParent_Done,
     /* 1607993 */   // Label 22172: @1607993
     /* 1607993 */   GIM_Try, /*On fail goto*//*Label 22173*/ GIMT_Encode4(1608079), // Rule ID 3534 //
     /* 1607998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1608009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1608012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1608015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608044 */     // MIs[0] policy
     /* 1608044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608054 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1608057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608078 */     // GIR_Coverage, 3534,
     /* 1608078 */     GIR_EraseRootFromParent_Done,
     /* 1608079 */   // Label 22173: @1608079
     /* 1608079 */   GIM_Try, /*On fail goto*//*Label 22174*/ GIMT_Encode4(1608165), // Rule ID 3537 //
     /* 1608084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1608095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1608098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1608101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608130 */     // MIs[0] policy
     /* 1608130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608140 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1608143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608164 */     // GIR_Coverage, 3537,
     /* 1608164 */     GIR_EraseRootFromParent_Done,
     /* 1608165 */   // Label 22174: @1608165
     /* 1608165 */   GIM_Try, /*On fail goto*//*Label 22175*/ GIMT_Encode4(1608251), // Rule ID 3538 //
     /* 1608170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1608181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1608184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1608187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608216 */     // MIs[0] policy
     /* 1608216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1608229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608250 */     // GIR_Coverage, 3538,
     /* 1608250 */     GIR_EraseRootFromParent_Done,
     /* 1608251 */   // Label 22175: @1608251
     /* 1608251 */   GIM_Try, /*On fail goto*//*Label 22176*/ GIMT_Encode4(1608337), // Rule ID 3541 //
     /* 1608256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1608267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1608270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1608273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1608279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608302 */     // MIs[0] policy
     /* 1608302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608312 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1608315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608336 */     // GIR_Coverage, 3541,
     /* 1608336 */     GIR_EraseRootFromParent_Done,
     /* 1608337 */   // Label 22176: @1608337
     /* 1608337 */   GIM_Try, /*On fail goto*//*Label 22177*/ GIMT_Encode4(1608423), // Rule ID 3542 //
     /* 1608342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1608353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1608356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1608359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1608365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608388 */     // MIs[0] policy
     /* 1608388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608398 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1608401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608422 */     // GIR_Coverage, 3542,
     /* 1608422 */     GIR_EraseRootFromParent_Done,
     /* 1608423 */   // Label 22177: @1608423
     /* 1608423 */   GIM_Try, /*On fail goto*//*Label 22178*/ GIMT_Encode4(1608509), // Rule ID 3545 //
     /* 1608428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1608431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1608439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1608442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1608445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608474 */     // MIs[0] policy
     /* 1608474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608484 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1608487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608508 */     // GIR_Coverage, 3545,
     /* 1608508 */     GIR_EraseRootFromParent_Done,
     /* 1608509 */   // Label 22178: @1608509
     /* 1608509 */   GIM_Try, /*On fail goto*//*Label 22179*/ GIMT_Encode4(1608595), // Rule ID 3546 //
     /* 1608514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1608517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1608525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1608528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1608531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608560 */     // MIs[0] policy
     /* 1608560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608570 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1608573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608594 */     // GIR_Coverage, 3546,
     /* 1608594 */     GIR_EraseRootFromParent_Done,
     /* 1608595 */   // Label 22179: @1608595
     /* 1608595 */   GIM_Try, /*On fail goto*//*Label 22180*/ GIMT_Encode4(1608681), // Rule ID 3549 //
     /* 1608600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1608603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1608611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1608614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1608617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608646 */     // MIs[0] policy
     /* 1608646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608656 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1608659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608680 */     // GIR_Coverage, 3549,
     /* 1608680 */     GIR_EraseRootFromParent_Done,
     /* 1608681 */   // Label 22180: @1608681
     /* 1608681 */   GIM_Try, /*On fail goto*//*Label 22181*/ GIMT_Encode4(1608767), // Rule ID 3550 //
     /* 1608686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1608689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1608697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1608700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1608703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608732 */     // MIs[0] policy
     /* 1608732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608742 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1608745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608766 */     // GIR_Coverage, 3550,
     /* 1608766 */     GIR_EraseRootFromParent_Done,
     /* 1608767 */   // Label 22181: @1608767
     /* 1608767 */   GIM_Try, /*On fail goto*//*Label 22182*/ GIMT_Encode4(1608853), // Rule ID 3553 //
     /* 1608772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1608775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1608783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1608786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1608789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608818 */     // MIs[0] policy
     /* 1608818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608828 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1608831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608852 */     // GIR_Coverage, 3553,
     /* 1608852 */     GIR_EraseRootFromParent_Done,
     /* 1608853 */   // Label 22182: @1608853
     /* 1608853 */   GIM_Try, /*On fail goto*//*Label 22183*/ GIMT_Encode4(1608939), // Rule ID 3554 //
     /* 1608858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1608861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1608869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1608872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1608875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608904 */     // MIs[0] policy
     /* 1608904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608914 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1608917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608938 */     // GIR_Coverage, 3554,
     /* 1608938 */     GIR_EraseRootFromParent_Done,
     /* 1608939 */   // Label 22183: @1608939
     /* 1608939 */   GIM_Try, /*On fail goto*//*Label 22184*/ GIMT_Encode4(1609025), // Rule ID 3557 //
     /* 1608944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1608947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1608952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1608955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1608958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1608961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608990 */     // MIs[0] policy
     /* 1608990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609000 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1609003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609024 */     // GIR_Coverage, 3557,
     /* 1609024 */     GIR_EraseRootFromParent_Done,
     /* 1609025 */   // Label 22184: @1609025
     /* 1609025 */   GIM_Try, /*On fail goto*//*Label 22185*/ GIMT_Encode4(1609111), // Rule ID 3558 //
     /* 1609030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1609033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1609038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1609041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1609044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1609047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609076 */     // MIs[0] policy
     /* 1609076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609086 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1609089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609110 */     // GIR_Coverage, 3558,
     /* 1609110 */     GIR_EraseRootFromParent_Done,
     /* 1609111 */   // Label 22185: @1609111
     /* 1609111 */   GIM_Try, /*On fail goto*//*Label 22186*/ GIMT_Encode4(1609197), // Rule ID 3561 //
     /* 1609116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1609127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1609130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1609133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1609136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609162 */     // MIs[0] policy
     /* 1609162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609172 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1609175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609196 */     // GIR_Coverage, 3561,
     /* 1609196 */     GIR_EraseRootFromParent_Done,
     /* 1609197 */   // Label 22186: @1609197
     /* 1609197 */   GIM_Try, /*On fail goto*//*Label 22187*/ GIMT_Encode4(1609283), // Rule ID 3562 //
     /* 1609202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1609213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1609216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1609219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1609222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609248 */     // MIs[0] policy
     /* 1609248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609258 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1609261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609282 */     // GIR_Coverage, 3562,
     /* 1609282 */     GIR_EraseRootFromParent_Done,
     /* 1609283 */   // Label 22187: @1609283
     /* 1609283 */   GIM_Try, /*On fail goto*//*Label 22188*/ GIMT_Encode4(1609369), // Rule ID 3565 //
     /* 1609288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1609299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1609302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1609305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1609308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609334 */     // MIs[0] policy
     /* 1609334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609344 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1609347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609368 */     // GIR_Coverage, 3565,
     /* 1609368 */     GIR_EraseRootFromParent_Done,
     /* 1609369 */   // Label 22188: @1609369
     /* 1609369 */   GIM_Try, /*On fail goto*//*Label 22189*/ GIMT_Encode4(1609455), // Rule ID 3566 //
     /* 1609374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1609385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1609388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1609391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1609394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609420 */     // MIs[0] policy
     /* 1609420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609430 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1609433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609454 */     // GIR_Coverage, 3566,
     /* 1609454 */     GIR_EraseRootFromParent_Done,
     /* 1609455 */   // Label 22189: @1609455
     /* 1609455 */   GIM_Try, /*On fail goto*//*Label 22190*/ GIMT_Encode4(1609541), // Rule ID 3569 //
     /* 1609460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1609471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1609474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1609477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1609480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609506 */     // MIs[0] policy
     /* 1609506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609516 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1609519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609540 */     // GIR_Coverage, 3569,
     /* 1609540 */     GIR_EraseRootFromParent_Done,
     /* 1609541 */   // Label 22190: @1609541
     /* 1609541 */   GIM_Try, /*On fail goto*//*Label 22191*/ GIMT_Encode4(1609627), // Rule ID 3570 //
     /* 1609546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1609557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1609560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1609563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1609566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609592 */     // MIs[0] policy
     /* 1609592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609602 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1609605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609626 */     // GIR_Coverage, 3570,
     /* 1609626 */     GIR_EraseRootFromParent_Done,
     /* 1609627 */   // Label 22191: @1609627
     /* 1609627 */   GIM_Try, /*On fail goto*//*Label 22192*/ GIMT_Encode4(1609713), // Rule ID 3573 //
     /* 1609632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1609643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1609646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1609649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1609652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609678 */     // MIs[0] policy
     /* 1609678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609688 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1609691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609712 */     // GIR_Coverage, 3573,
     /* 1609712 */     GIR_EraseRootFromParent_Done,
     /* 1609713 */   // Label 22192: @1609713
     /* 1609713 */   GIM_Try, /*On fail goto*//*Label 22193*/ GIMT_Encode4(1609799), // Rule ID 3574 //
     /* 1609718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1609729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1609732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1609735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1609738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609764 */     // MIs[0] policy
     /* 1609764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1609777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609798 */     // GIR_Coverage, 3574,
     /* 1609798 */     GIR_EraseRootFromParent_Done,
     /* 1609799 */   // Label 22193: @1609799
     /* 1609799 */   GIM_Try, /*On fail goto*//*Label 22194*/ GIMT_Encode4(1609885), // Rule ID 3577 //
     /* 1609804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1609815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1609818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1609821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1609824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1609827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1609834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609850 */     // MIs[0] policy
     /* 1609850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609860 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1609863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609884 */     // GIR_Coverage, 3577,
     /* 1609884 */     GIR_EraseRootFromParent_Done,
     /* 1609885 */   // Label 22194: @1609885
     /* 1609885 */   GIM_Try, /*On fail goto*//*Label 22195*/ GIMT_Encode4(1609971), // Rule ID 3578 //
     /* 1609890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1609901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1609904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1609907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1609910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1609913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1609920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609936 */     // MIs[0] policy
     /* 1609936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609946 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1609949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609970 */     // GIR_Coverage, 3578,
     /* 1609970 */     GIR_EraseRootFromParent_Done,
     /* 1609971 */   // Label 22195: @1609971
     /* 1609971 */   GIM_Try, /*On fail goto*//*Label 22196*/ GIMT_Encode4(1610057), // Rule ID 3581 //
     /* 1609976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1609987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1609990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1609993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1609996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1609999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610022 */     // MIs[0] policy
     /* 1610022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610032 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1610035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610056 */     // GIR_Coverage, 3581,
     /* 1610056 */     GIR_EraseRootFromParent_Done,
     /* 1610057 */   // Label 22196: @1610057
     /* 1610057 */   GIM_Try, /*On fail goto*//*Label 22197*/ GIMT_Encode4(1610143), // Rule ID 3582 //
     /* 1610062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1610073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1610076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1610079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1610082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1610085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610108 */     // MIs[0] policy
     /* 1610108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610118 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1610121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610142 */     // GIR_Coverage, 3582,
     /* 1610142 */     GIR_EraseRootFromParent_Done,
     /* 1610143 */   // Label 22197: @1610143
     /* 1610143 */   GIM_Try, /*On fail goto*//*Label 22198*/ GIMT_Encode4(1610229), // Rule ID 3585 //
     /* 1610148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1610159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1610162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1610165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1610168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610194 */     // MIs[0] policy
     /* 1610194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610204 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1610207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610228 */     // GIR_Coverage, 3585,
     /* 1610228 */     GIR_EraseRootFromParent_Done,
     /* 1610229 */   // Label 22198: @1610229
     /* 1610229 */   GIM_Try, /*On fail goto*//*Label 22199*/ GIMT_Encode4(1610315), // Rule ID 3586 //
     /* 1610234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1610245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1610248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1610251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1610254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610280 */     // MIs[0] policy
     /* 1610280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610290 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1610293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610314 */     // GIR_Coverage, 3586,
     /* 1610314 */     GIR_EraseRootFromParent_Done,
     /* 1610315 */   // Label 22199: @1610315
     /* 1610315 */   GIM_Try, /*On fail goto*//*Label 22200*/ GIMT_Encode4(1610401), // Rule ID 3589 //
     /* 1610320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1610331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1610334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1610337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1610340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610366 */     // MIs[0] policy
     /* 1610366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610376 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1610379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610400 */     // GIR_Coverage, 3589,
     /* 1610400 */     GIR_EraseRootFromParent_Done,
     /* 1610401 */   // Label 22200: @1610401
     /* 1610401 */   GIM_Try, /*On fail goto*//*Label 22201*/ GIMT_Encode4(1610487), // Rule ID 3590 //
     /* 1610406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1610417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1610420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1610423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1610426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610452 */     // MIs[0] policy
     /* 1610452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610462 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1610465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610486 */     // GIR_Coverage, 3590,
     /* 1610486 */     GIR_EraseRootFromParent_Done,
     /* 1610487 */   // Label 22201: @1610487
     /* 1610487 */   GIM_Try, /*On fail goto*//*Label 22202*/ GIMT_Encode4(1610573), // Rule ID 3593 //
     /* 1610492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1610503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1610506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1610509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1610512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610538 */     // MIs[0] policy
     /* 1610538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610548 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1610551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610572 */     // GIR_Coverage, 3593,
     /* 1610572 */     GIR_EraseRootFromParent_Done,
     /* 1610573 */   // Label 22202: @1610573
     /* 1610573 */   GIM_Try, /*On fail goto*//*Label 22203*/ GIMT_Encode4(1610659), // Rule ID 3594 //
     /* 1610578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1610589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1610592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1610595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1610598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610624 */     // MIs[0] policy
     /* 1610624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610634 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1610637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610658 */     // GIR_Coverage, 3594,
     /* 1610658 */     GIR_EraseRootFromParent_Done,
     /* 1610659 */   // Label 22203: @1610659
     /* 1610659 */   GIM_Try, /*On fail goto*//*Label 22204*/ GIMT_Encode4(1610745), // Rule ID 3597 //
     /* 1610664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1610675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1610678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1610681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1610684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610710 */     // MIs[0] policy
     /* 1610710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610720 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1610723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610744 */     // GIR_Coverage, 3597,
     /* 1610744 */     GIR_EraseRootFromParent_Done,
     /* 1610745 */   // Label 22204: @1610745
     /* 1610745 */   GIM_Try, /*On fail goto*//*Label 22205*/ GIMT_Encode4(1610831), // Rule ID 3598 //
     /* 1610750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1610761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1610764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1610767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1610770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610796 */     // MIs[0] policy
     /* 1610796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610806 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1610809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610830 */     // GIR_Coverage, 3598,
     /* 1610830 */     GIR_EraseRootFromParent_Done,
     /* 1610831 */   // Label 22205: @1610831
     /* 1610831 */   GIM_Try, /*On fail goto*//*Label 22206*/ GIMT_Encode4(1610917), // Rule ID 3601 //
     /* 1610836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1610847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1610850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1610853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1610856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1610859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610882 */     // MIs[0] policy
     /* 1610882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610892 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1610895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610916 */     // GIR_Coverage, 3601,
     /* 1610916 */     GIR_EraseRootFromParent_Done,
     /* 1610917 */   // Label 22206: @1610917
     /* 1610917 */   GIM_Try, /*On fail goto*//*Label 22207*/ GIMT_Encode4(1611003), // Rule ID 3602 //
     /* 1610922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1610933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1610936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1610939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1610942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1610945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610968 */     // MIs[0] policy
     /* 1610968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610978 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1610981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611002 */     // GIR_Coverage, 3602,
     /* 1611002 */     GIR_EraseRootFromParent_Done,
     /* 1611003 */   // Label 22207: @1611003
     /* 1611003 */   GIM_Try, /*On fail goto*//*Label 22208*/ GIMT_Encode4(1611089), // Rule ID 3605 //
     /* 1611008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1611011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1611019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1611022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1611025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1611028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611054 */     // MIs[0] policy
     /* 1611054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1611067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611088 */     // GIR_Coverage, 3605,
     /* 1611088 */     GIR_EraseRootFromParent_Done,
     /* 1611089 */   // Label 22208: @1611089
     /* 1611089 */   GIM_Try, /*On fail goto*//*Label 22209*/ GIMT_Encode4(1611175), // Rule ID 3606 //
     /* 1611094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1611097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1611105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1611108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1611111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1611114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611140 */     // MIs[0] policy
     /* 1611140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611150 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1611153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611174 */     // GIR_Coverage, 3606,
     /* 1611174 */     GIR_EraseRootFromParent_Done,
     /* 1611175 */   // Label 22209: @1611175
     /* 1611175 */   GIM_Try, /*On fail goto*//*Label 22210*/ GIMT_Encode4(1611261), // Rule ID 3609 //
     /* 1611180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1611183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1611191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1611194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1611197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1611200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611226 */     // MIs[0] policy
     /* 1611226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611236 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1611239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611260 */     // GIR_Coverage, 3609,
     /* 1611260 */     GIR_EraseRootFromParent_Done,
     /* 1611261 */   // Label 22210: @1611261
     /* 1611261 */   GIM_Try, /*On fail goto*//*Label 22211*/ GIMT_Encode4(1611347), // Rule ID 3610 //
     /* 1611266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1611269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1611277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1611280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1611283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1611286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611312 */     // MIs[0] policy
     /* 1611312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611322 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1611325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611346 */     // GIR_Coverage, 3610,
     /* 1611346 */     GIR_EraseRootFromParent_Done,
     /* 1611347 */   // Label 22211: @1611347
     /* 1611347 */   GIM_Try, /*On fail goto*//*Label 22212*/ GIMT_Encode4(1611433), // Rule ID 3613 //
     /* 1611352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1611355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1611363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1611366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1611369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1611372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611398 */     // MIs[0] policy
     /* 1611398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611408 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1611411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611432 */     // GIR_Coverage, 3613,
     /* 1611432 */     GIR_EraseRootFromParent_Done,
     /* 1611433 */   // Label 22212: @1611433
     /* 1611433 */   GIM_Try, /*On fail goto*//*Label 22213*/ GIMT_Encode4(1611519), // Rule ID 3614 //
     /* 1611438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1611441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1611449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1611452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1611455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1611458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611484 */     // MIs[0] policy
     /* 1611484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611494 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1611497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611518 */     // GIR_Coverage, 3614,
     /* 1611518 */     GIR_EraseRootFromParent_Done,
     /* 1611519 */   // Label 22213: @1611519
     /* 1611519 */   GIM_Try, /*On fail goto*//*Label 22214*/ GIMT_Encode4(1611605), // Rule ID 3617 //
     /* 1611524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1611527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1611535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1611538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1611541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1611544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611570 */     // MIs[0] policy
     /* 1611570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611580 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1611583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611604 */     // GIR_Coverage, 3617,
     /* 1611604 */     GIR_EraseRootFromParent_Done,
     /* 1611605 */   // Label 22214: @1611605
     /* 1611605 */   GIM_Try, /*On fail goto*//*Label 22215*/ GIMT_Encode4(1611691), // Rule ID 3618 //
     /* 1611610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1611613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1611621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1611624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1611627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1611630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611656 */     // MIs[0] policy
     /* 1611656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611666 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1611669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611690 */     // GIR_Coverage, 3618,
     /* 1611690 */     GIR_EraseRootFromParent_Done,
     /* 1611691 */   // Label 22215: @1611691
     /* 1611691 */   GIM_Try, /*On fail goto*//*Label 22216*/ GIMT_Encode4(1611777), // Rule ID 3621 //
     /* 1611696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1611707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1611710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1611713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611742 */     // MIs[0] policy
     /* 1611742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611752 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1611755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611776 */     // GIR_Coverage, 3621,
     /* 1611776 */     GIR_EraseRootFromParent_Done,
     /* 1611777 */   // Label 22216: @1611777
     /* 1611777 */   GIM_Try, /*On fail goto*//*Label 22217*/ GIMT_Encode4(1611863), // Rule ID 3622 //
     /* 1611782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1611793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1611796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1611799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611828 */     // MIs[0] policy
     /* 1611828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611838 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1611841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611862 */     // GIR_Coverage, 3622,
     /* 1611862 */     GIR_EraseRootFromParent_Done,
     /* 1611863 */   // Label 22217: @1611863
     /* 1611863 */   GIM_Try, /*On fail goto*//*Label 22218*/ GIMT_Encode4(1611949), // Rule ID 3625 //
     /* 1611868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1611879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1611882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1611885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611914 */     // MIs[0] policy
     /* 1611914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611924 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1611927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611948 */     // GIR_Coverage, 3625,
     /* 1611948 */     GIR_EraseRootFromParent_Done,
     /* 1611949 */   // Label 22218: @1611949
     /* 1611949 */   GIM_Try, /*On fail goto*//*Label 22219*/ GIMT_Encode4(1612035), // Rule ID 3626 //
     /* 1611954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1611965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1611968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1611971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612000 */     // MIs[0] policy
     /* 1612000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612010 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1612013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612034 */     // GIR_Coverage, 3626,
     /* 1612034 */     GIR_EraseRootFromParent_Done,
     /* 1612035 */   // Label 22219: @1612035
     /* 1612035 */   GIM_Try, /*On fail goto*//*Label 22220*/ GIMT_Encode4(1612121), // Rule ID 3629 //
     /* 1612040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1612051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1612054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1612057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612086 */     // MIs[0] policy
     /* 1612086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612096 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1612099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612120 */     // GIR_Coverage, 3629,
     /* 1612120 */     GIR_EraseRootFromParent_Done,
     /* 1612121 */   // Label 22220: @1612121
     /* 1612121 */   GIM_Try, /*On fail goto*//*Label 22221*/ GIMT_Encode4(1612207), // Rule ID 3630 //
     /* 1612126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1612137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1612140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1612143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612172 */     // MIs[0] policy
     /* 1612172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612182 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11571:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1612185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612206 */     // GIR_Coverage, 3630,
     /* 1612206 */     GIR_EraseRootFromParent_Done,
     /* 1612207 */   // Label 22221: @1612207
     /* 1612207 */   GIM_Try, /*On fail goto*//*Label 22222*/ GIMT_Encode4(1612293), // Rule ID 3633 //
     /* 1612212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1612223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1612226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1612229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612258 */     // MIs[0] policy
     /* 1612258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612268 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1612271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612292 */     // GIR_Coverage, 3633,
     /* 1612292 */     GIR_EraseRootFromParent_Done,
     /* 1612293 */   // Label 22222: @1612293
     /* 1612293 */   GIM_Try, /*On fail goto*//*Label 22223*/ GIMT_Encode4(1612379), // Rule ID 3634 //
     /* 1612298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1612309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1612312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1612315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612344 */     // MIs[0] policy
     /* 1612344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612354 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1612357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612378 */     // GIR_Coverage, 3634,
     /* 1612378 */     GIR_EraseRootFromParent_Done,
     /* 1612379 */   // Label 22223: @1612379
     /* 1612379 */   GIM_Try, /*On fail goto*//*Label 22224*/ GIMT_Encode4(1612465), // Rule ID 3637 //
     /* 1612384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1612395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1612398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1612401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1612407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612430 */     // MIs[0] policy
     /* 1612430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612440 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1612443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612464 */     // GIR_Coverage, 3637,
     /* 1612464 */     GIR_EraseRootFromParent_Done,
     /* 1612465 */   // Label 22224: @1612465
     /* 1612465 */   GIM_Try, /*On fail goto*//*Label 22225*/ GIMT_Encode4(1612551), // Rule ID 3638 //
     /* 1612470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1612481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1612484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1612487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1612493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612516 */     // MIs[0] policy
     /* 1612516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612526 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1612529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612550 */     // GIR_Coverage, 3638,
     /* 1612550 */     GIR_EraseRootFromParent_Done,
     /* 1612551 */   // Label 22225: @1612551
     /* 1612551 */   GIM_Try, /*On fail goto*//*Label 22226*/ GIMT_Encode4(1612637), // Rule ID 3641 //
     /* 1612556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1612567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1612570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1612573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1612579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612602 */     // MIs[0] policy
     /* 1612602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612612 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1612615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612636 */     // GIR_Coverage, 3641,
     /* 1612636 */     GIR_EraseRootFromParent_Done,
     /* 1612637 */   // Label 22226: @1612637
     /* 1612637 */   GIM_Try, /*On fail goto*//*Label 22227*/ GIMT_Encode4(1612723), // Rule ID 3642 //
     /* 1612642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1612653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1612656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1612659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1612665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612688 */     // MIs[0] policy
     /* 1612688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612698 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1612701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612722 */     // GIR_Coverage, 3642,
     /* 1612722 */     GIR_EraseRootFromParent_Done,
     /* 1612723 */   // Label 22227: @1612723
     /* 1612723 */   GIM_Try, /*On fail goto*//*Label 22228*/ GIMT_Encode4(1612809), // Rule ID 3645 //
     /* 1612728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1612739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1612742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1612745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612774 */     // MIs[0] policy
     /* 1612774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612784 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1612787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612808 */     // GIR_Coverage, 3645,
     /* 1612808 */     GIR_EraseRootFromParent_Done,
     /* 1612809 */   // Label 22228: @1612809
     /* 1612809 */   GIM_Try, /*On fail goto*//*Label 22229*/ GIMT_Encode4(1612895), // Rule ID 3646 //
     /* 1612814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1612825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1612828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1612831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612860 */     // MIs[0] policy
     /* 1612860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612870 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1612873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612894 */     // GIR_Coverage, 3646,
     /* 1612894 */     GIR_EraseRootFromParent_Done,
     /* 1612895 */   // Label 22229: @1612895
     /* 1612895 */   GIM_Try, /*On fail goto*//*Label 22230*/ GIMT_Encode4(1612981), // Rule ID 3649 //
     /* 1612900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1612911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1612914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1612917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612946 */     // MIs[0] policy
     /* 1612946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612956 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1612959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1612977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612980 */     // GIR_Coverage, 3649,
     /* 1612980 */     GIR_EraseRootFromParent_Done,
     /* 1612981 */   // Label 22230: @1612981
     /* 1612981 */   GIM_Try, /*On fail goto*//*Label 22231*/ GIMT_Encode4(1613067), // Rule ID 3650 //
     /* 1612986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1612997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1613000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1613003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613032 */     // MIs[0] policy
     /* 1613032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613042 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11571:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1613045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613066 */     // GIR_Coverage, 3650,
     /* 1613066 */     GIR_EraseRootFromParent_Done,
     /* 1613067 */   // Label 22231: @1613067
     /* 1613067 */   GIM_Try, /*On fail goto*//*Label 22232*/ GIMT_Encode4(1613153), // Rule ID 3653 //
     /* 1613072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1613083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1613086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1613089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613118 */     // MIs[0] policy
     /* 1613118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613128 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1613131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613152 */     // GIR_Coverage, 3653,
     /* 1613152 */     GIR_EraseRootFromParent_Done,
     /* 1613153 */   // Label 22232: @1613153
     /* 1613153 */   GIM_Try, /*On fail goto*//*Label 22233*/ GIMT_Encode4(1613239), // Rule ID 3654 //
     /* 1613158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1613169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1613172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1613175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613204 */     // MIs[0] policy
     /* 1613204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613214 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1613217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613238 */     // GIR_Coverage, 3654,
     /* 1613238 */     GIR_EraseRootFromParent_Done,
     /* 1613239 */   // Label 22233: @1613239
     /* 1613239 */   GIM_Try, /*On fail goto*//*Label 22234*/ GIMT_Encode4(1613325), // Rule ID 3657 //
     /* 1613244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1613255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1613258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1613261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613290 */     // MIs[0] policy
     /* 1613290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613300 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1613303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613324 */     // GIR_Coverage, 3657,
     /* 1613324 */     GIR_EraseRootFromParent_Done,
     /* 1613325 */   // Label 22234: @1613325
     /* 1613325 */   GIM_Try, /*On fail goto*//*Label 22235*/ GIMT_Encode4(1613411), // Rule ID 3658 //
     /* 1613330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1613341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1613344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1613347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613376 */     // MIs[0] policy
     /* 1613376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613386 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1613389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613410 */     // GIR_Coverage, 3658,
     /* 1613410 */     GIR_EraseRootFromParent_Done,
     /* 1613411 */   // Label 22235: @1613411
     /* 1613411 */   GIM_Try, /*On fail goto*//*Label 22236*/ GIMT_Encode4(1613497), // Rule ID 3661 //
     /* 1613416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1613427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1613430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1613433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1613439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613462 */     // MIs[0] policy
     /* 1613462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613472 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1613475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613496 */     // GIR_Coverage, 3661,
     /* 1613496 */     GIR_EraseRootFromParent_Done,
     /* 1613497 */   // Label 22236: @1613497
     /* 1613497 */   GIM_Try, /*On fail goto*//*Label 22237*/ GIMT_Encode4(1613583), // Rule ID 3662 //
     /* 1613502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1613513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1613516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1613519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1613525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613548 */     // MIs[0] policy
     /* 1613548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613558 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1613561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613582 */     // GIR_Coverage, 3662,
     /* 1613582 */     GIR_EraseRootFromParent_Done,
     /* 1613583 */   // Label 22237: @1613583
     /* 1613583 */   GIM_Try, /*On fail goto*//*Label 22238*/ GIMT_Encode4(1613669), // Rule ID 3665 //
     /* 1613588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1613591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1613599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1613602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1613605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613634 */     // MIs[0] policy
     /* 1613634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613644 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1613647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1613665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613668 */     // GIR_Coverage, 3665,
     /* 1613668 */     GIR_EraseRootFromParent_Done,
     /* 1613669 */   // Label 22238: @1613669
     /* 1613669 */   GIM_Try, /*On fail goto*//*Label 22239*/ GIMT_Encode4(1613755), // Rule ID 3666 //
     /* 1613674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1613677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1613685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1613688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1613691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613720 */     // MIs[0] policy
     /* 1613720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613730 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11571:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1613733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1613751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613754 */     // GIR_Coverage, 3666,
     /* 1613754 */     GIR_EraseRootFromParent_Done,
     /* 1613755 */   // Label 22239: @1613755
     /* 1613755 */   GIM_Try, /*On fail goto*//*Label 22240*/ GIMT_Encode4(1613841), // Rule ID 3669 //
     /* 1613760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1613763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1613771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1613774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1613777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613806 */     // MIs[0] policy
     /* 1613806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613816 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1613819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1613837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613840 */     // GIR_Coverage, 3669,
     /* 1613840 */     GIR_EraseRootFromParent_Done,
     /* 1613841 */   // Label 22240: @1613841
     /* 1613841 */   GIM_Try, /*On fail goto*//*Label 22241*/ GIMT_Encode4(1613927), // Rule ID 3670 //
     /* 1613846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1613849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1613857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1613860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1613863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613892 */     // MIs[0] policy
     /* 1613892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613902 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11571:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1613905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1613923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613926 */     // GIR_Coverage, 3670,
     /* 1613926 */     GIR_EraseRootFromParent_Done,
     /* 1613927 */   // Label 22241: @1613927
     /* 1613927 */   GIM_Try, /*On fail goto*//*Label 22242*/ GIMT_Encode4(1614013), // Rule ID 3673 //
     /* 1613932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1613935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1613940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1613943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1613946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1613949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613978 */     // MIs[0] policy
     /* 1613978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613988 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1613991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614012 */     // GIR_Coverage, 3673,
     /* 1614012 */     GIR_EraseRootFromParent_Done,
     /* 1614013 */   // Label 22242: @1614013
     /* 1614013 */   GIM_Try, /*On fail goto*//*Label 22243*/ GIMT_Encode4(1614099), // Rule ID 3674 //
     /* 1614018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1614029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1614032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1614035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614064 */     // MIs[0] policy
     /* 1614064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614074 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11571:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1614077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614098 */     // GIR_Coverage, 3674,
     /* 1614098 */     GIR_EraseRootFromParent_Done,
     /* 1614099 */   // Label 22243: @1614099
     /* 1614099 */   GIM_Try, /*On fail goto*//*Label 22244*/ GIMT_Encode4(1614185), // Rule ID 3677 //
     /* 1614104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1614115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1614118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1614121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614150 */     // MIs[0] policy
     /* 1614150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614160 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1614163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614184 */     // GIR_Coverage, 3677,
     /* 1614184 */     GIR_EraseRootFromParent_Done,
     /* 1614185 */   // Label 22244: @1614185
     /* 1614185 */   GIM_Try, /*On fail goto*//*Label 22245*/ GIMT_Encode4(1614271), // Rule ID 3678 //
     /* 1614190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1614198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1614201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1614204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1614207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614236 */     // MIs[0] policy
     /* 1614236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11571:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1614249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614270 */     // GIR_Coverage, 3678,
     /* 1614270 */     GIR_EraseRootFromParent_Done,
     /* 1614271 */   // Label 22245: @1614271
     /* 1614271 */   GIM_Try, /*On fail goto*//*Label 22246*/ GIMT_Encode4(1614357), // Rule ID 3681 //
     /* 1614276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1614287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1614290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1614293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1614296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614322 */     // MIs[0] policy
     /* 1614322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614332 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1614335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614356 */     // GIR_Coverage, 3681,
     /* 1614356 */     GIR_EraseRootFromParent_Done,
     /* 1614357 */   // Label 22246: @1614357
     /* 1614357 */   GIM_Try, /*On fail goto*//*Label 22247*/ GIMT_Encode4(1614443), // Rule ID 3682 //
     /* 1614362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1614373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1614376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1614379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1614382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614408 */     // MIs[0] policy
     /* 1614408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614418 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1614421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614442 */     // GIR_Coverage, 3682,
     /* 1614442 */     GIR_EraseRootFromParent_Done,
     /* 1614443 */   // Label 22247: @1614443
     /* 1614443 */   GIM_Try, /*On fail goto*//*Label 22248*/ GIMT_Encode4(1614529), // Rule ID 3685 //
     /* 1614448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1614459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1614462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1614465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1614468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614494 */     // MIs[0] policy
     /* 1614494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614504 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1614507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614528 */     // GIR_Coverage, 3685,
     /* 1614528 */     GIR_EraseRootFromParent_Done,
     /* 1614529 */   // Label 22248: @1614529
     /* 1614529 */   GIM_Try, /*On fail goto*//*Label 22249*/ GIMT_Encode4(1614615), // Rule ID 3686 //
     /* 1614534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1614545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1614548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1614551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1614554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614580 */     // MIs[0] policy
     /* 1614580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614590 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1614593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614614 */     // GIR_Coverage, 3686,
     /* 1614614 */     GIR_EraseRootFromParent_Done,
     /* 1614615 */   // Label 22249: @1614615
     /* 1614615 */   GIM_Try, /*On fail goto*//*Label 22250*/ GIMT_Encode4(1614701), // Rule ID 3689 //
     /* 1614620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1614631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1614634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1614637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1614640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614666 */     // MIs[0] policy
     /* 1614666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614676 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1614679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614700 */     // GIR_Coverage, 3689,
     /* 1614700 */     GIR_EraseRootFromParent_Done,
     /* 1614701 */   // Label 22250: @1614701
     /* 1614701 */   GIM_Try, /*On fail goto*//*Label 22251*/ GIMT_Encode4(1614787), // Rule ID 3690 //
     /* 1614706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1614717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1614720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1614723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1614726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614752 */     // MIs[0] policy
     /* 1614752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614762 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1614765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614786 */     // GIR_Coverage, 3690,
     /* 1614786 */     GIR_EraseRootFromParent_Done,
     /* 1614787 */   // Label 22251: @1614787
     /* 1614787 */   GIM_Try, /*On fail goto*//*Label 22252*/ GIMT_Encode4(1614873), // Rule ID 3693 //
     /* 1614792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1614803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1614806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1614809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1614812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614838 */     // MIs[0] policy
     /* 1614838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614848 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1614851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614872 */     // GIR_Coverage, 3693,
     /* 1614872 */     GIR_EraseRootFromParent_Done,
     /* 1614873 */   // Label 22252: @1614873
     /* 1614873 */   GIM_Try, /*On fail goto*//*Label 22253*/ GIMT_Encode4(1614959), // Rule ID 3694 //
     /* 1614878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1614889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1614892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1614895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1614898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614924 */     // MIs[0] policy
     /* 1614924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614934 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1614937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614958 */     // GIR_Coverage, 3694,
     /* 1614958 */     GIR_EraseRootFromParent_Done,
     /* 1614959 */   // Label 22253: @1614959
     /* 1614959 */   GIM_Try, /*On fail goto*//*Label 22254*/ GIMT_Encode4(1615045), // Rule ID 3697 //
     /* 1614964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1614975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1614978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1614981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1614984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615010 */     // MIs[0] policy
     /* 1615010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615020 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1615023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615044 */     // GIR_Coverage, 3697,
     /* 1615044 */     GIR_EraseRootFromParent_Done,
     /* 1615045 */   // Label 22254: @1615045
     /* 1615045 */   GIM_Try, /*On fail goto*//*Label 22255*/ GIMT_Encode4(1615131), // Rule ID 3698 //
     /* 1615050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1615061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1615064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1615067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1615070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1615073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615096 */     // MIs[0] policy
     /* 1615096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615106 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1615109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615130 */     // GIR_Coverage, 3698,
     /* 1615130 */     GIR_EraseRootFromParent_Done,
     /* 1615131 */   // Label 22255: @1615131
     /* 1615131 */   GIM_Try, /*On fail goto*//*Label 22256*/ GIMT_Encode4(1615217), // Rule ID 3701 //
     /* 1615136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1615147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1615150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1615153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1615156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1615159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615182 */     // MIs[0] policy
     /* 1615182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615192 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1615195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615216 */     // GIR_Coverage, 3701,
     /* 1615216 */     GIR_EraseRootFromParent_Done,
     /* 1615217 */   // Label 22256: @1615217
     /* 1615217 */   GIM_Try, /*On fail goto*//*Label 22257*/ GIMT_Encode4(1615303), // Rule ID 3702 //
     /* 1615222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1615233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1615236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1615239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1615242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1615245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615268 */     // MIs[0] policy
     /* 1615268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615278 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1615281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615302 */     // GIR_Coverage, 3702,
     /* 1615302 */     GIR_EraseRootFromParent_Done,
     /* 1615303 */   // Label 22257: @1615303
     /* 1615303 */   GIM_Try, /*On fail goto*//*Label 22258*/ GIMT_Encode4(1615389), // Rule ID 3705 //
     /* 1615308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1615319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1615322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1615325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1615328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615354 */     // MIs[0] policy
     /* 1615354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615364 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1615367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615388 */     // GIR_Coverage, 3705,
     /* 1615388 */     GIR_EraseRootFromParent_Done,
     /* 1615389 */   // Label 22258: @1615389
     /* 1615389 */   GIM_Try, /*On fail goto*//*Label 22259*/ GIMT_Encode4(1615475), // Rule ID 3706 //
     /* 1615394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1615405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1615408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1615411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1615414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615440 */     // MIs[0] policy
     /* 1615440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615450 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1615453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615474 */     // GIR_Coverage, 3706,
     /* 1615474 */     GIR_EraseRootFromParent_Done,
     /* 1615475 */   // Label 22259: @1615475
     /* 1615475 */   GIM_Try, /*On fail goto*//*Label 22260*/ GIMT_Encode4(1615561), // Rule ID 3709 //
     /* 1615480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1615491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1615494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1615497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1615500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615526 */     // MIs[0] policy
     /* 1615526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1615539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615560 */     // GIR_Coverage, 3709,
     /* 1615560 */     GIR_EraseRootFromParent_Done,
     /* 1615561 */   // Label 22260: @1615561
     /* 1615561 */   GIM_Try, /*On fail goto*//*Label 22261*/ GIMT_Encode4(1615647), // Rule ID 3710 //
     /* 1615566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1615577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1615580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1615583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1615586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615612 */     // MIs[0] policy
     /* 1615612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615622 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1615625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615646 */     // GIR_Coverage, 3710,
     /* 1615646 */     GIR_EraseRootFromParent_Done,
     /* 1615647 */   // Label 22261: @1615647
     /* 1615647 */   GIM_Try, /*On fail goto*//*Label 22262*/ GIMT_Encode4(1615733), // Rule ID 3713 //
     /* 1615652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1615663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1615666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1615669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1615672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615698 */     // MIs[0] policy
     /* 1615698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1615711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615732 */     // GIR_Coverage, 3713,
     /* 1615732 */     GIR_EraseRootFromParent_Done,
     /* 1615733 */   // Label 22262: @1615733
     /* 1615733 */   GIM_Try, /*On fail goto*//*Label 22263*/ GIMT_Encode4(1615819), // Rule ID 3714 //
     /* 1615738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1615749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1615752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1615755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1615758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615784 */     // MIs[0] policy
     /* 1615784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1615797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615818 */     // GIR_Coverage, 3714,
     /* 1615818 */     GIR_EraseRootFromParent_Done,
     /* 1615819 */   // Label 22263: @1615819
     /* 1615819 */   GIM_Try, /*On fail goto*//*Label 22264*/ GIMT_Encode4(1615905), // Rule ID 3717 //
     /* 1615824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1615835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1615838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1615841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1615844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615870 */     // MIs[0] policy
     /* 1615870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615880 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1615883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615904 */     // GIR_Coverage, 3717,
     /* 1615904 */     GIR_EraseRootFromParent_Done,
     /* 1615905 */   // Label 22264: @1615905
     /* 1615905 */   GIM_Try, /*On fail goto*//*Label 22265*/ GIMT_Encode4(1615991), // Rule ID 3718 //
     /* 1615910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1615921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1615924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1615927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1615930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615956 */     // MIs[0] policy
     /* 1615956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615966 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1615969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615990 */     // GIR_Coverage, 3718,
     /* 1615990 */     GIR_EraseRootFromParent_Done,
     /* 1615991 */   // Label 22265: @1615991
     /* 1615991 */   GIM_Try, /*On fail goto*//*Label 22266*/ GIMT_Encode4(1616077), // Rule ID 3721 //
     /* 1615996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1616007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1616010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1616013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1616016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616042 */     // MIs[0] policy
     /* 1616042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616052 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1616055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616076 */     // GIR_Coverage, 3721,
     /* 1616076 */     GIR_EraseRootFromParent_Done,
     /* 1616077 */   // Label 22266: @1616077
     /* 1616077 */   GIM_Try, /*On fail goto*//*Label 22267*/ GIMT_Encode4(1616163), // Rule ID 3722 //
     /* 1616082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1616093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1616096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1616099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1616102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616128 */     // MIs[0] policy
     /* 1616128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616138 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1616141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616162 */     // GIR_Coverage, 3722,
     /* 1616162 */     GIR_EraseRootFromParent_Done,
     /* 1616163 */   // Label 22267: @1616163
     /* 1616163 */   GIM_Try, /*On fail goto*//*Label 22268*/ GIMT_Encode4(1616249), // Rule ID 3725 //
     /* 1616168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1616171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1616179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1616182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1616185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1616188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616214 */     // MIs[0] policy
     /* 1616214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616224 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1616227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616248 */     // GIR_Coverage, 3725,
     /* 1616248 */     GIR_EraseRootFromParent_Done,
     /* 1616249 */   // Label 22268: @1616249
     /* 1616249 */   GIM_Try, /*On fail goto*//*Label 22269*/ GIMT_Encode4(1616335), // Rule ID 3726 //
     /* 1616254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1616257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1616265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1616268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1616271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1616274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616300 */     // MIs[0] policy
     /* 1616300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616310 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1616313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616334 */     // GIR_Coverage, 3726,
     /* 1616334 */     GIR_EraseRootFromParent_Done,
     /* 1616335 */   // Label 22269: @1616335
     /* 1616335 */   GIM_Try, /*On fail goto*//*Label 22270*/ GIMT_Encode4(1616421), // Rule ID 3729 //
     /* 1616340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1616343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1616351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1616354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1616357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1616360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616386 */     // MIs[0] policy
     /* 1616386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616396 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1616399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616420 */     // GIR_Coverage, 3729,
     /* 1616420 */     GIR_EraseRootFromParent_Done,
     /* 1616421 */   // Label 22270: @1616421
     /* 1616421 */   GIM_Try, /*On fail goto*//*Label 22271*/ GIMT_Encode4(1616507), // Rule ID 3730 //
     /* 1616426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1616429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1616437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1616440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1616443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1616446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616472 */     // MIs[0] policy
     /* 1616472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616482 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1616485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616506 */     // GIR_Coverage, 3730,
     /* 1616506 */     GIR_EraseRootFromParent_Done,
     /* 1616507 */   // Label 22271: @1616507
     /* 1616507 */   GIM_Try, /*On fail goto*//*Label 22272*/ GIMT_Encode4(1616593), // Rule ID 3733 //
     /* 1616512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1616515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1616523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1616526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1616529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1616532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616558 */     // MIs[0] policy
     /* 1616558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616568 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1616571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616592 */     // GIR_Coverage, 3733,
     /* 1616592 */     GIR_EraseRootFromParent_Done,
     /* 1616593 */   // Label 22272: @1616593
     /* 1616593 */   GIM_Try, /*On fail goto*//*Label 22273*/ GIMT_Encode4(1616679), // Rule ID 3734 //
     /* 1616598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1616601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1616609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1616612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1616615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1616618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616644 */     // MIs[0] policy
     /* 1616644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616654 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1616657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616678 */     // GIR_Coverage, 3734,
     /* 1616678 */     GIR_EraseRootFromParent_Done,
     /* 1616679 */   // Label 22273: @1616679
     /* 1616679 */   GIM_Try, /*On fail goto*//*Label 22274*/ GIMT_Encode4(1616765), // Rule ID 3737 //
     /* 1616684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1616687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1616695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1616698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1616701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1616704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616730 */     // MIs[0] policy
     /* 1616730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616740 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1616743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616764 */     // GIR_Coverage, 3737,
     /* 1616764 */     GIR_EraseRootFromParent_Done,
     /* 1616765 */   // Label 22274: @1616765
     /* 1616765 */   GIM_Try, /*On fail goto*//*Label 22275*/ GIMT_Encode4(1616851), // Rule ID 3738 //
     /* 1616770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1616773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1616781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1616784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1616787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1616790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616816 */     // MIs[0] policy
     /* 1616816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616826 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1616829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616850 */     // GIR_Coverage, 3738,
     /* 1616850 */     GIR_EraseRootFromParent_Done,
     /* 1616851 */   // Label 22275: @1616851
     /* 1616851 */   GIM_Try, /*On fail goto*//*Label 22276*/ GIMT_Encode4(1616937), // Rule ID 3741 //
     /* 1616856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1616867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1616870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1616873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616902 */     // MIs[0] policy
     /* 1616902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616912 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1616915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616936 */     // GIR_Coverage, 3741,
     /* 1616936 */     GIR_EraseRootFromParent_Done,
     /* 1616937 */   // Label 22276: @1616937
     /* 1616937 */   GIM_Try, /*On fail goto*//*Label 22277*/ GIMT_Encode4(1617023), // Rule ID 3742 //
     /* 1616942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1616953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1616956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1616959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616988 */     // MIs[0] policy
     /* 1616988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616998 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1617001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617022 */     // GIR_Coverage, 3742,
     /* 1617022 */     GIR_EraseRootFromParent_Done,
     /* 1617023 */   // Label 22277: @1617023
     /* 1617023 */   GIM_Try, /*On fail goto*//*Label 22278*/ GIMT_Encode4(1617109), // Rule ID 3745 //
     /* 1617028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1617039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1617042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1617045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617074 */     // MIs[0] policy
     /* 1617074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617084 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1617087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617108 */     // GIR_Coverage, 3745,
     /* 1617108 */     GIR_EraseRootFromParent_Done,
     /* 1617109 */   // Label 22278: @1617109
     /* 1617109 */   GIM_Try, /*On fail goto*//*Label 22279*/ GIMT_Encode4(1617195), // Rule ID 3746 //
     /* 1617114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1617125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1617128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1617131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617160 */     // MIs[0] policy
     /* 1617160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617170 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1617173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617194 */     // GIR_Coverage, 3746,
     /* 1617194 */     GIR_EraseRootFromParent_Done,
     /* 1617195 */   // Label 22279: @1617195
     /* 1617195 */   GIM_Try, /*On fail goto*//*Label 22280*/ GIMT_Encode4(1617281), // Rule ID 3749 //
     /* 1617200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1617211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1617214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1617217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617246 */     // MIs[0] policy
     /* 1617246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617256 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1617259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617280 */     // GIR_Coverage, 3749,
     /* 1617280 */     GIR_EraseRootFromParent_Done,
     /* 1617281 */   // Label 22280: @1617281
     /* 1617281 */   GIM_Try, /*On fail goto*//*Label 22281*/ GIMT_Encode4(1617367), // Rule ID 3750 //
     /* 1617286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1617297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1617300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1617303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617332 */     // MIs[0] policy
     /* 1617332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617342 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1617345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617366 */     // GIR_Coverage, 3750,
     /* 1617366 */     GIR_EraseRootFromParent_Done,
     /* 1617367 */   // Label 22281: @1617367
     /* 1617367 */   GIM_Try, /*On fail goto*//*Label 22282*/ GIMT_Encode4(1617453), // Rule ID 3753 //
     /* 1617372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1617383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1617386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1617389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617418 */     // MIs[0] policy
     /* 1617418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617428 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1617431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617452 */     // GIR_Coverage, 3753,
     /* 1617452 */     GIR_EraseRootFromParent_Done,
     /* 1617453 */   // Label 22282: @1617453
     /* 1617453 */   GIM_Try, /*On fail goto*//*Label 22283*/ GIMT_Encode4(1617539), // Rule ID 3754 //
     /* 1617458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1617469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1617472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1617475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617504 */     // MIs[0] policy
     /* 1617504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617514 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1617517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617538 */     // GIR_Coverage, 3754,
     /* 1617538 */     GIR_EraseRootFromParent_Done,
     /* 1617539 */   // Label 22283: @1617539
     /* 1617539 */   GIM_Try, /*On fail goto*//*Label 22284*/ GIMT_Encode4(1617625), // Rule ID 3757 //
     /* 1617544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1617555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1617558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1617561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1617567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617590 */     // MIs[0] policy
     /* 1617590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617600 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1617603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617624 */     // GIR_Coverage, 3757,
     /* 1617624 */     GIR_EraseRootFromParent_Done,
     /* 1617625 */   // Label 22284: @1617625
     /* 1617625 */   GIM_Try, /*On fail goto*//*Label 22285*/ GIMT_Encode4(1617711), // Rule ID 3758 //
     /* 1617630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1617641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1617644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1617647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1617653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617676 */     // MIs[0] policy
     /* 1617676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617686 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1617689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617710 */     // GIR_Coverage, 3758,
     /* 1617710 */     GIR_EraseRootFromParent_Done,
     /* 1617711 */   // Label 22285: @1617711
     /* 1617711 */   GIM_Try, /*On fail goto*//*Label 22286*/ GIMT_Encode4(1617797), // Rule ID 3761 //
     /* 1617716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1617727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1617730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1617733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1617739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617762 */     // MIs[0] policy
     /* 1617762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617772 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1617775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617796 */     // GIR_Coverage, 3761,
     /* 1617796 */     GIR_EraseRootFromParent_Done,
     /* 1617797 */   // Label 22286: @1617797
     /* 1617797 */   GIM_Try, /*On fail goto*//*Label 22287*/ GIMT_Encode4(1617883), // Rule ID 3762 //
     /* 1617802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1617813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1617816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1617819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1617825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617848 */     // MIs[0] policy
     /* 1617848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617858 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1617861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617882 */     // GIR_Coverage, 3762,
     /* 1617882 */     GIR_EraseRootFromParent_Done,
     /* 1617883 */   // Label 22287: @1617883
     /* 1617883 */   GIM_Try, /*On fail goto*//*Label 22288*/ GIMT_Encode4(1617969), // Rule ID 3765 //
     /* 1617888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1617899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1617902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1617905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617934 */     // MIs[0] policy
     /* 1617934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617944 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1617947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617968 */     // GIR_Coverage, 3765,
     /* 1617968 */     GIR_EraseRootFromParent_Done,
     /* 1617969 */   // Label 22288: @1617969
     /* 1617969 */   GIM_Try, /*On fail goto*//*Label 22289*/ GIMT_Encode4(1618055), // Rule ID 3766 //
     /* 1617974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1617985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1617988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1617991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618020 */     // MIs[0] policy
     /* 1618020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618030 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1618033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618054 */     // GIR_Coverage, 3766,
     /* 1618054 */     GIR_EraseRootFromParent_Done,
     /* 1618055 */   // Label 22289: @1618055
     /* 1618055 */   GIM_Try, /*On fail goto*//*Label 22290*/ GIMT_Encode4(1618141), // Rule ID 3769 //
     /* 1618060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1618071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1618074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1618077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618106 */     // MIs[0] policy
     /* 1618106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618116 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1618119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618140 */     // GIR_Coverage, 3769,
     /* 1618140 */     GIR_EraseRootFromParent_Done,
     /* 1618141 */   // Label 22290: @1618141
     /* 1618141 */   GIM_Try, /*On fail goto*//*Label 22291*/ GIMT_Encode4(1618227), // Rule ID 3770 //
     /* 1618146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1618157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1618160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1618163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618192 */     // MIs[0] policy
     /* 1618192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1618205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618226 */     // GIR_Coverage, 3770,
     /* 1618226 */     GIR_EraseRootFromParent_Done,
     /* 1618227 */   // Label 22291: @1618227
     /* 1618227 */   GIM_Try, /*On fail goto*//*Label 22292*/ GIMT_Encode4(1618313), // Rule ID 3773 //
     /* 1618232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1618243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1618246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1618249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618278 */     // MIs[0] policy
     /* 1618278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618288 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1618291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618312 */     // GIR_Coverage, 3773,
     /* 1618312 */     GIR_EraseRootFromParent_Done,
     /* 1618313 */   // Label 22292: @1618313
     /* 1618313 */   GIM_Try, /*On fail goto*//*Label 22293*/ GIMT_Encode4(1618399), // Rule ID 3774 //
     /* 1618318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1618329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1618332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1618335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618364 */     // MIs[0] policy
     /* 1618364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618374 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1618377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618398 */     // GIR_Coverage, 3774,
     /* 1618398 */     GIR_EraseRootFromParent_Done,
     /* 1618399 */   // Label 22293: @1618399
     /* 1618399 */   GIM_Try, /*On fail goto*//*Label 22294*/ GIMT_Encode4(1618485), // Rule ID 3777 //
     /* 1618404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1618415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1618418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1618421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618450 */     // MIs[0] policy
     /* 1618450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618460 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1618463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618484 */     // GIR_Coverage, 3777,
     /* 1618484 */     GIR_EraseRootFromParent_Done,
     /* 1618485 */   // Label 22294: @1618485
     /* 1618485 */   GIM_Try, /*On fail goto*//*Label 22295*/ GIMT_Encode4(1618571), // Rule ID 3778 //
     /* 1618490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1618501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1618504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1618507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618536 */     // MIs[0] policy
     /* 1618536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618546 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1618549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618570 */     // GIR_Coverage, 3778,
     /* 1618570 */     GIR_EraseRootFromParent_Done,
     /* 1618571 */   // Label 22295: @1618571
     /* 1618571 */   GIM_Try, /*On fail goto*//*Label 22296*/ GIMT_Encode4(1618657), // Rule ID 3781 //
     /* 1618576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1618587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1618590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1618593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618622 */     // MIs[0] policy
     /* 1618622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618632 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1618635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618656 */     // GIR_Coverage, 3781,
     /* 1618656 */     GIR_EraseRootFromParent_Done,
     /* 1618657 */   // Label 22296: @1618657
     /* 1618657 */   GIM_Try, /*On fail goto*//*Label 22297*/ GIMT_Encode4(1618743), // Rule ID 3782 //
     /* 1618662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1618673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1618676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1618679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618708 */     // MIs[0] policy
     /* 1618708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618718 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1618721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618742 */     // GIR_Coverage, 3782,
     /* 1618742 */     GIR_EraseRootFromParent_Done,
     /* 1618743 */   // Label 22297: @1618743
     /* 1618743 */   GIM_Try, /*On fail goto*//*Label 22298*/ GIMT_Encode4(1618829), // Rule ID 3785 //
     /* 1618748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1618751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1618759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1618762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1618765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618794 */     // MIs[0] policy
     /* 1618794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618804 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1618807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618828 */     // GIR_Coverage, 3785,
     /* 1618828 */     GIR_EraseRootFromParent_Done,
     /* 1618829 */   // Label 22298: @1618829
     /* 1618829 */   GIM_Try, /*On fail goto*//*Label 22299*/ GIMT_Encode4(1618915), // Rule ID 3786 //
     /* 1618834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1618837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1618845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1618848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1618851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618880 */     // MIs[0] policy
     /* 1618880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618890 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1618893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618914 */     // GIR_Coverage, 3786,
     /* 1618914 */     GIR_EraseRootFromParent_Done,
     /* 1618915 */   // Label 22299: @1618915
     /* 1618915 */   GIM_Try, /*On fail goto*//*Label 22300*/ GIMT_Encode4(1619001), // Rule ID 3789 //
     /* 1618920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1618923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1618931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1618934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1618937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618966 */     // MIs[0] policy
     /* 1618966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618976 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1618979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619000 */     // GIR_Coverage, 3789,
     /* 1619000 */     GIR_EraseRootFromParent_Done,
     /* 1619001 */   // Label 22300: @1619001
     /* 1619001 */   GIM_Try, /*On fail goto*//*Label 22301*/ GIMT_Encode4(1619087), // Rule ID 3790 //
     /* 1619006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1619009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1619017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1619020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1619023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619052 */     // MIs[0] policy
     /* 1619052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619062 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11539:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1619065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619086 */     // GIR_Coverage, 3790,
     /* 1619086 */     GIR_EraseRootFromParent_Done,
     /* 1619087 */   // Label 22301: @1619087
     /* 1619087 */   GIM_Try, /*On fail goto*//*Label 22302*/ GIMT_Encode4(1619173), // Rule ID 3793 //
     /* 1619092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1619095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1619103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1619106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1619109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619138 */     // MIs[0] policy
     /* 1619138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619148 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1619151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619172 */     // GIR_Coverage, 3793,
     /* 1619172 */     GIR_EraseRootFromParent_Done,
     /* 1619173 */   // Label 22302: @1619173
     /* 1619173 */   GIM_Try, /*On fail goto*//*Label 22303*/ GIMT_Encode4(1619259), // Rule ID 3794 //
     /* 1619178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1619181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1619189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1619192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1619195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619224 */     // MIs[0] policy
     /* 1619224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619234 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11539:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1619237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619258 */     // GIR_Coverage, 3794,
     /* 1619258 */     GIR_EraseRootFromParent_Done,
     /* 1619259 */   // Label 22303: @1619259
     /* 1619259 */   GIM_Try, /*On fail goto*//*Label 22304*/ GIMT_Encode4(1619345), // Rule ID 3797 //
     /* 1619264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1619267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1619275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1619278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1619281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619310 */     // MIs[0] policy
     /* 1619310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619320 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1619323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619344 */     // GIR_Coverage, 3797,
     /* 1619344 */     GIR_EraseRootFromParent_Done,
     /* 1619345 */   // Label 22304: @1619345
     /* 1619345 */   GIM_Try, /*On fail goto*//*Label 22305*/ GIMT_Encode4(1619431), // Rule ID 3798 //
     /* 1619350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1619353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1619358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1619361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1619364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1619367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619396 */     // MIs[0] policy
     /* 1619396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619406 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11539:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1619409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619430 */     // GIR_Coverage, 3798,
     /* 1619430 */     GIR_EraseRootFromParent_Done,
     /* 1619431 */   // Label 22305: @1619431
     /* 1619431 */   GIM_Try, /*On fail goto*//*Label 22306*/ GIMT_Encode4(1619517), // Rule ID 3801 //
     /* 1619436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1619447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1619450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1619453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1619456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619482 */     // MIs[0] policy
     /* 1619482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619492 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1619495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619516 */     // GIR_Coverage, 3801,
     /* 1619516 */     GIR_EraseRootFromParent_Done,
     /* 1619517 */   // Label 22306: @1619517
     /* 1619517 */   GIM_Try, /*On fail goto*//*Label 22307*/ GIMT_Encode4(1619603), // Rule ID 3802 //
     /* 1619522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1619533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1619536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1619539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1619542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619568 */     // MIs[0] policy
     /* 1619568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619578 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1619581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619602 */     // GIR_Coverage, 3802,
     /* 1619602 */     GIR_EraseRootFromParent_Done,
     /* 1619603 */   // Label 22307: @1619603
     /* 1619603 */   GIM_Try, /*On fail goto*//*Label 22308*/ GIMT_Encode4(1619689), // Rule ID 3805 //
     /* 1619608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1619619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1619622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1619625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1619628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619654 */     // MIs[0] policy
     /* 1619654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619664 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1619667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619688 */     // GIR_Coverage, 3805,
     /* 1619688 */     GIR_EraseRootFromParent_Done,
     /* 1619689 */   // Label 22308: @1619689
     /* 1619689 */   GIM_Try, /*On fail goto*//*Label 22309*/ GIMT_Encode4(1619775), // Rule ID 3806 //
     /* 1619694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1619705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1619708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1619711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1619714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619740 */     // MIs[0] policy
     /* 1619740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619750 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1619753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619774 */     // GIR_Coverage, 3806,
     /* 1619774 */     GIR_EraseRootFromParent_Done,
     /* 1619775 */   // Label 22309: @1619775
     /* 1619775 */   GIM_Try, /*On fail goto*//*Label 22310*/ GIMT_Encode4(1619861), // Rule ID 3809 //
     /* 1619780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1619791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1619794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1619797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1619800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619826 */     // MIs[0] policy
     /* 1619826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619836 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1619839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619860 */     // GIR_Coverage, 3809,
     /* 1619860 */     GIR_EraseRootFromParent_Done,
     /* 1619861 */   // Label 22310: @1619861
     /* 1619861 */   GIM_Try, /*On fail goto*//*Label 22311*/ GIMT_Encode4(1619947), // Rule ID 3810 //
     /* 1619866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1619877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1619880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1619883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1619886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619912 */     // MIs[0] policy
     /* 1619912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619922 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1619925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619946 */     // GIR_Coverage, 3810,
     /* 1619946 */     GIR_EraseRootFromParent_Done,
     /* 1619947 */   // Label 22311: @1619947
     /* 1619947 */   GIM_Try, /*On fail goto*//*Label 22312*/ GIMT_Encode4(1620033), // Rule ID 3813 //
     /* 1619952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1619963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1619966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1619969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1619972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619998 */     // MIs[0] policy
     /* 1619998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620008 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1620011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620032 */     // GIR_Coverage, 3813,
     /* 1620032 */     GIR_EraseRootFromParent_Done,
     /* 1620033 */   // Label 22312: @1620033
     /* 1620033 */   GIM_Try, /*On fail goto*//*Label 22313*/ GIMT_Encode4(1620119), // Rule ID 3814 //
     /* 1620038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1620049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1620052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1620055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1620058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620084 */     // MIs[0] policy
     /* 1620084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620094 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1620097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620118 */     // GIR_Coverage, 3814,
     /* 1620118 */     GIR_EraseRootFromParent_Done,
     /* 1620119 */   // Label 22313: @1620119
     /* 1620119 */   GIM_Try, /*On fail goto*//*Label 22314*/ GIMT_Encode4(1620205), // Rule ID 3817 //
     /* 1620124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1620135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1620138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1620141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1620144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1620147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620170 */     // MIs[0] policy
     /* 1620170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620180 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1620183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620204 */     // GIR_Coverage, 3817,
     /* 1620204 */     GIR_EraseRootFromParent_Done,
     /* 1620205 */   // Label 22314: @1620205
     /* 1620205 */   GIM_Try, /*On fail goto*//*Label 22315*/ GIMT_Encode4(1620291), // Rule ID 3818 //
     /* 1620210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1620221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1620224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1620227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1620230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1620233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620256 */     // MIs[0] policy
     /* 1620256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620266 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1620269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620290 */     // GIR_Coverage, 3818,
     /* 1620290 */     GIR_EraseRootFromParent_Done,
     /* 1620291 */   // Label 22315: @1620291
     /* 1620291 */   GIM_Try, /*On fail goto*//*Label 22316*/ GIMT_Encode4(1620377), // Rule ID 3821 //
     /* 1620296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1620307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1620310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1620313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1620316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1620319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620342 */     // MIs[0] policy
     /* 1620342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620352 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1620355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620376 */     // GIR_Coverage, 3821,
     /* 1620376 */     GIR_EraseRootFromParent_Done,
     /* 1620377 */   // Label 22316: @1620377
     /* 1620377 */   GIM_Try, /*On fail goto*//*Label 22317*/ GIMT_Encode4(1620463), // Rule ID 3822 //
     /* 1620382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1620393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1620396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1620399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1620402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1620405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620428 */     // MIs[0] policy
     /* 1620428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620438 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1620441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620462 */     // GIR_Coverage, 3822,
     /* 1620462 */     GIR_EraseRootFromParent_Done,
     /* 1620463 */   // Label 22317: @1620463
     /* 1620463 */   GIM_Try, /*On fail goto*//*Label 22318*/ GIMT_Encode4(1620549), // Rule ID 3825 //
     /* 1620468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1620479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1620482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1620485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1620488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620514 */     // MIs[0] policy
     /* 1620514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620524 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1620527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620548 */     // GIR_Coverage, 3825,
     /* 1620548 */     GIR_EraseRootFromParent_Done,
     /* 1620549 */   // Label 22318: @1620549
     /* 1620549 */   GIM_Try, /*On fail goto*//*Label 22319*/ GIMT_Encode4(1620635), // Rule ID 3826 //
     /* 1620554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1620565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1620568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1620571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1620574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620600 */     // MIs[0] policy
     /* 1620600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620610 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1620613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620634 */     // GIR_Coverage, 3826,
     /* 1620634 */     GIR_EraseRootFromParent_Done,
     /* 1620635 */   // Label 22319: @1620635
     /* 1620635 */   GIM_Try, /*On fail goto*//*Label 22320*/ GIMT_Encode4(1620721), // Rule ID 3829 //
     /* 1620640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1620651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1620654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1620657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1620660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620686 */     // MIs[0] policy
     /* 1620686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620696 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1620699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620720 */     // GIR_Coverage, 3829,
     /* 1620720 */     GIR_EraseRootFromParent_Done,
     /* 1620721 */   // Label 22320: @1620721
     /* 1620721 */   GIM_Try, /*On fail goto*//*Label 22321*/ GIMT_Encode4(1620807), // Rule ID 3830 //
     /* 1620726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1620737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1620740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1620743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1620746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620772 */     // MIs[0] policy
     /* 1620772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620782 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1620785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620806 */     // GIR_Coverage, 3830,
     /* 1620806 */     GIR_EraseRootFromParent_Done,
     /* 1620807 */   // Label 22321: @1620807
     /* 1620807 */   GIM_Try, /*On fail goto*//*Label 22322*/ GIMT_Encode4(1620893), // Rule ID 3833 //
     /* 1620812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1620823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1620826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1620829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1620832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620858 */     // MIs[0] policy
     /* 1620858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620868 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1620871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620892 */     // GIR_Coverage, 3833,
     /* 1620892 */     GIR_EraseRootFromParent_Done,
     /* 1620893 */   // Label 22322: @1620893
     /* 1620893 */   GIM_Try, /*On fail goto*//*Label 22323*/ GIMT_Encode4(1620979), // Rule ID 3834 //
     /* 1620898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1620909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1620912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1620915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1620918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620944 */     // MIs[0] policy
     /* 1620944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620954 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1620957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620978 */     // GIR_Coverage, 3834,
     /* 1620978 */     GIR_EraseRootFromParent_Done,
     /* 1620979 */   // Label 22323: @1620979
     /* 1620979 */   GIM_Try, /*On fail goto*//*Label 22324*/ GIMT_Encode4(1621065), // Rule ID 3837 //
     /* 1620984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1620995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1620998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1621001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1621004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621030 */     // MIs[0] policy
     /* 1621030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621040 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1621043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621064 */     // GIR_Coverage, 3837,
     /* 1621064 */     GIR_EraseRootFromParent_Done,
     /* 1621065 */   // Label 22324: @1621065
     /* 1621065 */   GIM_Try, /*On fail goto*//*Label 22325*/ GIMT_Encode4(1621151), // Rule ID 3838 //
     /* 1621070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1621081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1621084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1621087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1621090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621116 */     // MIs[0] policy
     /* 1621116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621126 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1621129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621150 */     // GIR_Coverage, 3838,
     /* 1621150 */     GIR_EraseRootFromParent_Done,
     /* 1621151 */   // Label 22325: @1621151
     /* 1621151 */   GIM_Try, /*On fail goto*//*Label 22326*/ GIMT_Encode4(1621237), // Rule ID 3841 //
     /* 1621156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1621167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1621170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1621173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1621176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621202 */     // MIs[0] policy
     /* 1621202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621212 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1621215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621236 */     // GIR_Coverage, 3841,
     /* 1621236 */     GIR_EraseRootFromParent_Done,
     /* 1621237 */   // Label 22326: @1621237
     /* 1621237 */   GIM_Try, /*On fail goto*//*Label 22327*/ GIMT_Encode4(1621323), // Rule ID 3842 //
     /* 1621242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1621253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1621256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1621259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1621262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621288 */     // MIs[0] policy
     /* 1621288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621298 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1621301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621322 */     // GIR_Coverage, 3842,
     /* 1621322 */     GIR_EraseRootFromParent_Done,
     /* 1621323 */   // Label 22327: @1621323
     /* 1621323 */   GIM_Try, /*On fail goto*//*Label 22328*/ GIMT_Encode4(1621409), // Rule ID 3845 //
     /* 1621328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1621331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1621339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1621342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1621345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1621348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621374 */     // MIs[0] policy
     /* 1621374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621384 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1621387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621408 */     // GIR_Coverage, 3845,
     /* 1621408 */     GIR_EraseRootFromParent_Done,
     /* 1621409 */   // Label 22328: @1621409
     /* 1621409 */   GIM_Try, /*On fail goto*//*Label 22329*/ GIMT_Encode4(1621495), // Rule ID 3846 //
     /* 1621414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1621417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1621425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1621428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1621431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1621434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621460 */     // MIs[0] policy
     /* 1621460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621470 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1621473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621494 */     // GIR_Coverage, 3846,
     /* 1621494 */     GIR_EraseRootFromParent_Done,
     /* 1621495 */   // Label 22329: @1621495
     /* 1621495 */   GIM_Try, /*On fail goto*//*Label 22330*/ GIMT_Encode4(1621581), // Rule ID 3849 //
     /* 1621500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1621503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1621511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1621514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1621517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1621520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621546 */     // MIs[0] policy
     /* 1621546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621556 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1621559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621580 */     // GIR_Coverage, 3849,
     /* 1621580 */     GIR_EraseRootFromParent_Done,
     /* 1621581 */   // Label 22330: @1621581
     /* 1621581 */   GIM_Try, /*On fail goto*//*Label 22331*/ GIMT_Encode4(1621667), // Rule ID 3850 //
     /* 1621586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1621589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1621597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1621600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1621603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1621606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621632 */     // MIs[0] policy
     /* 1621632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621642 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1621645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621666 */     // GIR_Coverage, 3850,
     /* 1621666 */     GIR_EraseRootFromParent_Done,
     /* 1621667 */   // Label 22331: @1621667
     /* 1621667 */   GIM_Try, /*On fail goto*//*Label 22332*/ GIMT_Encode4(1621753), // Rule ID 3853 //
     /* 1621672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1621675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1621683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1621686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1621689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1621692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621718 */     // MIs[0] policy
     /* 1621718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621728 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1621731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621752 */     // GIR_Coverage, 3853,
     /* 1621752 */     GIR_EraseRootFromParent_Done,
     /* 1621753 */   // Label 22332: @1621753
     /* 1621753 */   GIM_Try, /*On fail goto*//*Label 22333*/ GIMT_Encode4(1621839), // Rule ID 3854 //
     /* 1621758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1621761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1621769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1621772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1621775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1621778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621804 */     // MIs[0] policy
     /* 1621804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621814 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1621817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621838 */     // GIR_Coverage, 3854,
     /* 1621838 */     GIR_EraseRootFromParent_Done,
     /* 1621839 */   // Label 22333: @1621839
     /* 1621839 */   GIM_Try, /*On fail goto*//*Label 22334*/ GIMT_Encode4(1621925), // Rule ID 3857 //
     /* 1621844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1621847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1621855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1621858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1621861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1621864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621890 */     // MIs[0] policy
     /* 1621890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621900 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1621903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621924 */     // GIR_Coverage, 3857,
     /* 1621924 */     GIR_EraseRootFromParent_Done,
     /* 1621925 */   // Label 22334: @1621925
     /* 1621925 */   GIM_Try, /*On fail goto*//*Label 22335*/ GIMT_Encode4(1622011), // Rule ID 3858 //
     /* 1621930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1621933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1621941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1621944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1621947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1621950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621976 */     // MIs[0] policy
     /* 1621976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1621989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622010 */     // GIR_Coverage, 3858,
     /* 1622010 */     GIR_EraseRootFromParent_Done,
     /* 1622011 */   // Label 22335: @1622011
     /* 1622011 */   GIM_Try, /*On fail goto*//*Label 22336*/ GIMT_Encode4(1622097), // Rule ID 3861 //
     /* 1622016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1622027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1622030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1622033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622062 */     // MIs[0] policy
     /* 1622062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622072 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1622075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622096 */     // GIR_Coverage, 3861,
     /* 1622096 */     GIR_EraseRootFromParent_Done,
     /* 1622097 */   // Label 22336: @1622097
     /* 1622097 */   GIM_Try, /*On fail goto*//*Label 22337*/ GIMT_Encode4(1622183), // Rule ID 3862 //
     /* 1622102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1622113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1622116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1622119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622148 */     // MIs[0] policy
     /* 1622148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622158 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1622161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622182 */     // GIR_Coverage, 3862,
     /* 1622182 */     GIR_EraseRootFromParent_Done,
     /* 1622183 */   // Label 22337: @1622183
     /* 1622183 */   GIM_Try, /*On fail goto*//*Label 22338*/ GIMT_Encode4(1622269), // Rule ID 3865 //
     /* 1622188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1622199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1622202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1622205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622234 */     // MIs[0] policy
     /* 1622234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622244 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1622247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622268 */     // GIR_Coverage, 3865,
     /* 1622268 */     GIR_EraseRootFromParent_Done,
     /* 1622269 */   // Label 22338: @1622269
     /* 1622269 */   GIM_Try, /*On fail goto*//*Label 22339*/ GIMT_Encode4(1622355), // Rule ID 3866 //
     /* 1622274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1622285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1622288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1622291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622320 */     // MIs[0] policy
     /* 1622320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622330 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1622333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622354 */     // GIR_Coverage, 3866,
     /* 1622354 */     GIR_EraseRootFromParent_Done,
     /* 1622355 */   // Label 22339: @1622355
     /* 1622355 */   GIM_Try, /*On fail goto*//*Label 22340*/ GIMT_Encode4(1622441), // Rule ID 3869 //
     /* 1622360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1622371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1622374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1622377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622406 */     // MIs[0] policy
     /* 1622406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622416 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1622419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622440 */     // GIR_Coverage, 3869,
     /* 1622440 */     GIR_EraseRootFromParent_Done,
     /* 1622441 */   // Label 22340: @1622441
     /* 1622441 */   GIM_Try, /*On fail goto*//*Label 22341*/ GIMT_Encode4(1622527), // Rule ID 3870 //
     /* 1622446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1622457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1622460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1622463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622492 */     // MIs[0] policy
     /* 1622492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622502 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11567:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1622505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622526 */     // GIR_Coverage, 3870,
     /* 1622526 */     GIR_EraseRootFromParent_Done,
     /* 1622527 */   // Label 22341: @1622527
     /* 1622527 */   GIM_Try, /*On fail goto*//*Label 22342*/ GIMT_Encode4(1622613), // Rule ID 3873 //
     /* 1622532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1622543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1622546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1622549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622578 */     // MIs[0] policy
     /* 1622578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622588 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1622591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622612 */     // GIR_Coverage, 3873,
     /* 1622612 */     GIR_EraseRootFromParent_Done,
     /* 1622613 */   // Label 22342: @1622613
     /* 1622613 */   GIM_Try, /*On fail goto*//*Label 22343*/ GIMT_Encode4(1622699), // Rule ID 3874 //
     /* 1622618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1622629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1622632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1622635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622664 */     // MIs[0] policy
     /* 1622664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622674 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1622677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622698 */     // GIR_Coverage, 3874,
     /* 1622698 */     GIR_EraseRootFromParent_Done,
     /* 1622699 */   // Label 22343: @1622699
     /* 1622699 */   GIM_Try, /*On fail goto*//*Label 22344*/ GIMT_Encode4(1622785), // Rule ID 3877 //
     /* 1622704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1622715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1622718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1622721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1622727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622750 */     // MIs[0] policy
     /* 1622750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622760 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1622763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622784 */     // GIR_Coverage, 3877,
     /* 1622784 */     GIR_EraseRootFromParent_Done,
     /* 1622785 */   // Label 22344: @1622785
     /* 1622785 */   GIM_Try, /*On fail goto*//*Label 22345*/ GIMT_Encode4(1622871), // Rule ID 3878 //
     /* 1622790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1622801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1622804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1622807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1622813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622836 */     // MIs[0] policy
     /* 1622836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622846 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1622849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622870 */     // GIR_Coverage, 3878,
     /* 1622870 */     GIR_EraseRootFromParent_Done,
     /* 1622871 */   // Label 22345: @1622871
     /* 1622871 */   GIM_Try, /*On fail goto*//*Label 22346*/ GIMT_Encode4(1622957), // Rule ID 3881 //
     /* 1622876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1622887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1622890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1622893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1622899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622922 */     // MIs[0] policy
     /* 1622922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622932 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1622935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622956 */     // GIR_Coverage, 3881,
     /* 1622956 */     GIR_EraseRootFromParent_Done,
     /* 1622957 */   // Label 22346: @1622957
     /* 1622957 */   GIM_Try, /*On fail goto*//*Label 22347*/ GIMT_Encode4(1623043), // Rule ID 3882 //
     /* 1622962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1622973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1622976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1622979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1622985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623008 */     // MIs[0] policy
     /* 1623008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623018 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1623021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623042 */     // GIR_Coverage, 3882,
     /* 1623042 */     GIR_EraseRootFromParent_Done,
     /* 1623043 */   // Label 22347: @1623043
     /* 1623043 */   GIM_Try, /*On fail goto*//*Label 22348*/ GIMT_Encode4(1623129), // Rule ID 3885 //
     /* 1623048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1623059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1623062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1623065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623094 */     // MIs[0] policy
     /* 1623094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623104 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1623107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623128 */     // GIR_Coverage, 3885,
     /* 1623128 */     GIR_EraseRootFromParent_Done,
     /* 1623129 */   // Label 22348: @1623129
     /* 1623129 */   GIM_Try, /*On fail goto*//*Label 22349*/ GIMT_Encode4(1623215), // Rule ID 3886 //
     /* 1623134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1623145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1623148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1623151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623180 */     // MIs[0] policy
     /* 1623180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623190 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1623193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623214 */     // GIR_Coverage, 3886,
     /* 1623214 */     GIR_EraseRootFromParent_Done,
     /* 1623215 */   // Label 22349: @1623215
     /* 1623215 */   GIM_Try, /*On fail goto*//*Label 22350*/ GIMT_Encode4(1623301), // Rule ID 3889 //
     /* 1623220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1623231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1623234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1623237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623266 */     // MIs[0] policy
     /* 1623266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623276 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1623279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623300 */     // GIR_Coverage, 3889,
     /* 1623300 */     GIR_EraseRootFromParent_Done,
     /* 1623301 */   // Label 22350: @1623301
     /* 1623301 */   GIM_Try, /*On fail goto*//*Label 22351*/ GIMT_Encode4(1623387), // Rule ID 3890 //
     /* 1623306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1623317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1623320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1623323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623352 */     // MIs[0] policy
     /* 1623352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623362 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11567:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1623365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623386 */     // GIR_Coverage, 3890,
     /* 1623386 */     GIR_EraseRootFromParent_Done,
     /* 1623387 */   // Label 22351: @1623387
     /* 1623387 */   GIM_Try, /*On fail goto*//*Label 22352*/ GIMT_Encode4(1623473), // Rule ID 3893 //
     /* 1623392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1623403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1623406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1623409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623438 */     // MIs[0] policy
     /* 1623438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623448 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1623451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623472 */     // GIR_Coverage, 3893,
     /* 1623472 */     GIR_EraseRootFromParent_Done,
     /* 1623473 */   // Label 22352: @1623473
     /* 1623473 */   GIM_Try, /*On fail goto*//*Label 22353*/ GIMT_Encode4(1623559), // Rule ID 3894 //
     /* 1623478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1623489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1623492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1623495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623524 */     // MIs[0] policy
     /* 1623524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623534 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1623537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623558 */     // GIR_Coverage, 3894,
     /* 1623558 */     GIR_EraseRootFromParent_Done,
     /* 1623559 */   // Label 22353: @1623559
     /* 1623559 */   GIM_Try, /*On fail goto*//*Label 22354*/ GIMT_Encode4(1623645), // Rule ID 3897 //
     /* 1623564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1623575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1623578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1623581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623610 */     // MIs[0] policy
     /* 1623610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623620 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1623623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623644 */     // GIR_Coverage, 3897,
     /* 1623644 */     GIR_EraseRootFromParent_Done,
     /* 1623645 */   // Label 22354: @1623645
     /* 1623645 */   GIM_Try, /*On fail goto*//*Label 22355*/ GIMT_Encode4(1623731), // Rule ID 3898 //
     /* 1623650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1623661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1623664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1623667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623696 */     // MIs[0] policy
     /* 1623696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623706 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1623709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623730 */     // GIR_Coverage, 3898,
     /* 1623730 */     GIR_EraseRootFromParent_Done,
     /* 1623731 */   // Label 22355: @1623731
     /* 1623731 */   GIM_Try, /*On fail goto*//*Label 22356*/ GIMT_Encode4(1623817), // Rule ID 3901 //
     /* 1623736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1623747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1623750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1623753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1623759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623782 */     // MIs[0] policy
     /* 1623782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623792 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1623795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623816 */     // GIR_Coverage, 3901,
     /* 1623816 */     GIR_EraseRootFromParent_Done,
     /* 1623817 */   // Label 22356: @1623817
     /* 1623817 */   GIM_Try, /*On fail goto*//*Label 22357*/ GIMT_Encode4(1623903), // Rule ID 3902 //
     /* 1623822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1623833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1623836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1623839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1623845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623868 */     // MIs[0] policy
     /* 1623868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623878 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1623881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623902 */     // GIR_Coverage, 3902,
     /* 1623902 */     GIR_EraseRootFromParent_Done,
     /* 1623903 */   // Label 22357: @1623903
     /* 1623903 */   GIM_Try, /*On fail goto*//*Label 22358*/ GIMT_Encode4(1623989), // Rule ID 3905 //
     /* 1623908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1623911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1623919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1623922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1623925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623954 */     // MIs[0] policy
     /* 1623954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623964 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1623967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623988 */     // GIR_Coverage, 3905,
     /* 1623988 */     GIR_EraseRootFromParent_Done,
     /* 1623989 */   // Label 22358: @1623989
     /* 1623989 */   GIM_Try, /*On fail goto*//*Label 22359*/ GIMT_Encode4(1624075), // Rule ID 3906 //
     /* 1623994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1623997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1624005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1624008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1624011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624040 */     // MIs[0] policy
     /* 1624040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624050 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11567:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1624053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624074 */     // GIR_Coverage, 3906,
     /* 1624074 */     GIR_EraseRootFromParent_Done,
     /* 1624075 */   // Label 22359: @1624075
     /* 1624075 */   GIM_Try, /*On fail goto*//*Label 22360*/ GIMT_Encode4(1624161), // Rule ID 3909 //
     /* 1624080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1624091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1624094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1624097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624126 */     // MIs[0] policy
     /* 1624126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624136 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1624139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624160 */     // GIR_Coverage, 3909,
     /* 1624160 */     GIR_EraseRootFromParent_Done,
     /* 1624161 */   // Label 22360: @1624161
     /* 1624161 */   GIM_Try, /*On fail goto*//*Label 22361*/ GIMT_Encode4(1624247), // Rule ID 3910 //
     /* 1624166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1624177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1624180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1624183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624212 */     // MIs[0] policy
     /* 1624212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624222 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11567:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1624225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624246 */     // GIR_Coverage, 3910,
     /* 1624246 */     GIR_EraseRootFromParent_Done,
     /* 1624247 */   // Label 22361: @1624247
     /* 1624247 */   GIM_Try, /*On fail goto*//*Label 22362*/ GIMT_Encode4(1624333), // Rule ID 3913 //
     /* 1624252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1624263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1624266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1624269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624298 */     // MIs[0] policy
     /* 1624298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624308 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1624311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624332 */     // GIR_Coverage, 3913,
     /* 1624332 */     GIR_EraseRootFromParent_Done,
     /* 1624333 */   // Label 22362: @1624333
     /* 1624333 */   GIM_Try, /*On fail goto*//*Label 22363*/ GIMT_Encode4(1624419), // Rule ID 3914 //
     /* 1624338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1624349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1624352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1624355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624384 */     // MIs[0] policy
     /* 1624384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624394 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11567:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1624397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624418 */     // GIR_Coverage, 3914,
     /* 1624418 */     GIR_EraseRootFromParent_Done,
     /* 1624419 */   // Label 22363: @1624419
     /* 1624419 */   GIM_Try, /*On fail goto*//*Label 22364*/ GIMT_Encode4(1624505), // Rule ID 3917 //
     /* 1624424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1624435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1624438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1624441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624470 */     // MIs[0] policy
     /* 1624470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624480 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1624483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624504 */     // GIR_Coverage, 3917,
     /* 1624504 */     GIR_EraseRootFromParent_Done,
     /* 1624505 */   // Label 22364: @1624505
     /* 1624505 */   GIM_Try, /*On fail goto*//*Label 22365*/ GIMT_Encode4(1624591), // Rule ID 3918 //
     /* 1624510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1624521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1624524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1624527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624556 */     // MIs[0] policy
     /* 1624556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624566 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11567:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1624569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624590 */     // GIR_Coverage, 3918,
     /* 1624590 */     GIR_EraseRootFromParent_Done,
     /* 1624591 */   // Label 22365: @1624591
     /* 1624591 */   GIM_Try, /*On fail goto*//*Label 22366*/ GIMT_Encode4(1624677), // Rule ID 3927 //
     /* 1624596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1624604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1624607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1624610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1624613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1624616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624642 */     // MIs[0] policy
     /* 1624642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624652 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1624655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624676 */     // GIR_Coverage, 3927,
     /* 1624676 */     GIR_EraseRootFromParent_Done,
     /* 1624677 */   // Label 22366: @1624677
     /* 1624677 */   GIM_Try, /*On fail goto*//*Label 22367*/ GIMT_Encode4(1624763), // Rule ID 3928 //
     /* 1624682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1624690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1624693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1624696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1624699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1624702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624728 */     // MIs[0] policy
     /* 1624728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624738 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1624741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624762 */     // GIR_Coverage, 3928,
     /* 1624762 */     GIR_EraseRootFromParent_Done,
     /* 1624763 */   // Label 22367: @1624763
     /* 1624763 */   GIM_Try, /*On fail goto*//*Label 22368*/ GIMT_Encode4(1624849), // Rule ID 3937 //
     /* 1624768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1624776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1624779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1624782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1624785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1624788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624814 */     // MIs[0] policy
     /* 1624814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624824 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1624827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624848 */     // GIR_Coverage, 3937,
     /* 1624848 */     GIR_EraseRootFromParent_Done,
     /* 1624849 */   // Label 22368: @1624849
     /* 1624849 */   GIM_Try, /*On fail goto*//*Label 22369*/ GIMT_Encode4(1624935), // Rule ID 3938 //
     /* 1624854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1624862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1624865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1624868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1624871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1624874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624900 */     // MIs[0] policy
     /* 1624900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624910 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1624913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624934 */     // GIR_Coverage, 3938,
     /* 1624934 */     GIR_EraseRootFromParent_Done,
     /* 1624935 */   // Label 22369: @1624935
     /* 1624935 */   GIM_Try, /*On fail goto*//*Label 22370*/ GIMT_Encode4(1625021), // Rule ID 3947 //
     /* 1624940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1624948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1624951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1624954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1624957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1624960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624986 */     // MIs[0] policy
     /* 1624986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624996 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1624999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625020 */     // GIR_Coverage, 3947,
     /* 1625020 */     GIR_EraseRootFromParent_Done,
     /* 1625021 */   // Label 22370: @1625021
     /* 1625021 */   GIM_Try, /*On fail goto*//*Label 22371*/ GIMT_Encode4(1625107), // Rule ID 3948 //
     /* 1625026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1625037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1625040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1625043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1625046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625072 */     // MIs[0] policy
     /* 1625072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625082 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1625085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625106 */     // GIR_Coverage, 3948,
     /* 1625106 */     GIR_EraseRootFromParent_Done,
     /* 1625107 */   // Label 22371: @1625107
     /* 1625107 */   GIM_Try, /*On fail goto*//*Label 22372*/ GIMT_Encode4(1625193), // Rule ID 3957 //
     /* 1625112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1625123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1625126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1625129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1625132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625158 */     // MIs[0] policy
     /* 1625158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625168 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1625171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625192 */     // GIR_Coverage, 3957,
     /* 1625192 */     GIR_EraseRootFromParent_Done,
     /* 1625193 */   // Label 22372: @1625193
     /* 1625193 */   GIM_Try, /*On fail goto*//*Label 22373*/ GIMT_Encode4(1625279), // Rule ID 3958 //
     /* 1625198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1625209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1625212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1625215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1625218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625244 */     // MIs[0] policy
     /* 1625244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625254 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1625257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625278 */     // GIR_Coverage, 3958,
     /* 1625278 */     GIR_EraseRootFromParent_Done,
     /* 1625279 */   // Label 22373: @1625279
     /* 1625279 */   GIM_Try, /*On fail goto*//*Label 22374*/ GIMT_Encode4(1625365), // Rule ID 3967 //
     /* 1625284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1625295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1625298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1625301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1625304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1625307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625330 */     // MIs[0] policy
     /* 1625330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625340 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1625343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625364 */     // GIR_Coverage, 3967,
     /* 1625364 */     GIR_EraseRootFromParent_Done,
     /* 1625365 */   // Label 22374: @1625365
     /* 1625365 */   GIM_Try, /*On fail goto*//*Label 22375*/ GIMT_Encode4(1625451), // Rule ID 3968 //
     /* 1625370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1625381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1625384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1625387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1625390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1625393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625416 */     // MIs[0] policy
     /* 1625416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625426 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1625429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625450 */     // GIR_Coverage, 3968,
     /* 1625450 */     GIR_EraseRootFromParent_Done,
     /* 1625451 */   // Label 22375: @1625451
     /* 1625451 */   GIM_Try, /*On fail goto*//*Label 22376*/ GIMT_Encode4(1625537), // Rule ID 3977 //
     /* 1625456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1625467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1625470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1625473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1625476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625502 */     // MIs[0] policy
     /* 1625502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625512 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1625515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625536 */     // GIR_Coverage, 3977,
     /* 1625536 */     GIR_EraseRootFromParent_Done,
     /* 1625537 */   // Label 22376: @1625537
     /* 1625537 */   GIM_Try, /*On fail goto*//*Label 22377*/ GIMT_Encode4(1625623), // Rule ID 3978 //
     /* 1625542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1625553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1625556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1625559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1625562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625588 */     // MIs[0] policy
     /* 1625588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625598 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1625601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625622 */     // GIR_Coverage, 3978,
     /* 1625622 */     GIR_EraseRootFromParent_Done,
     /* 1625623 */   // Label 22377: @1625623
     /* 1625623 */   GIM_Try, /*On fail goto*//*Label 22378*/ GIMT_Encode4(1625709), // Rule ID 3987 //
     /* 1625628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1625639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1625642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1625645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1625648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625674 */     // MIs[0] policy
     /* 1625674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625684 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1625687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625708 */     // GIR_Coverage, 3987,
     /* 1625708 */     GIR_EraseRootFromParent_Done,
     /* 1625709 */   // Label 22378: @1625709
     /* 1625709 */   GIM_Try, /*On fail goto*//*Label 22379*/ GIMT_Encode4(1625795), // Rule ID 3988 //
     /* 1625714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1625725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1625728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1625731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1625734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625760 */     // MIs[0] policy
     /* 1625760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625770 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1625773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625794 */     // GIR_Coverage, 3988,
     /* 1625794 */     GIR_EraseRootFromParent_Done,
     /* 1625795 */   // Label 22379: @1625795
     /* 1625795 */   GIM_Try, /*On fail goto*//*Label 22380*/ GIMT_Encode4(1625881), // Rule ID 3997 //
     /* 1625800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1625811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1625814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1625817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1625820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625846 */     // MIs[0] policy
     /* 1625846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625856 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1625859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625880 */     // GIR_Coverage, 3997,
     /* 1625880 */     GIR_EraseRootFromParent_Done,
     /* 1625881 */   // Label 22380: @1625881
     /* 1625881 */   GIM_Try, /*On fail goto*//*Label 22381*/ GIMT_Encode4(1625967), // Rule ID 3998 //
     /* 1625886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1625897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1625900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1625903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1625906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625932 */     // MIs[0] policy
     /* 1625932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625942 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1625945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625966 */     // GIR_Coverage, 3998,
     /* 1625966 */     GIR_EraseRootFromParent_Done,
     /* 1625967 */   // Label 22381: @1625967
     /* 1625967 */   GIM_Try, /*On fail goto*//*Label 22382*/ GIMT_Encode4(1626053), // Rule ID 4007 //
     /* 1625972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1625983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1625986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1625989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1625992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626018 */     // MIs[0] policy
     /* 1626018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626028 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1626031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626052 */     // GIR_Coverage, 4007,
     /* 1626052 */     GIR_EraseRootFromParent_Done,
     /* 1626053 */   // Label 22382: @1626053
     /* 1626053 */   GIM_Try, /*On fail goto*//*Label 22383*/ GIMT_Encode4(1626139), // Rule ID 4008 //
     /* 1626058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1626069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1626072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1626075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1626078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626104 */     // MIs[0] policy
     /* 1626104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626114 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1626117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626138 */     // GIR_Coverage, 4008,
     /* 1626138 */     GIR_EraseRootFromParent_Done,
     /* 1626139 */   // Label 22383: @1626139
     /* 1626139 */   GIM_Try, /*On fail goto*//*Label 22384*/ GIMT_Encode4(1626225), // Rule ID 4017 //
     /* 1626144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1626155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1626158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1626161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1626164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626190 */     // MIs[0] policy
     /* 1626190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626200 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1626203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626224 */     // GIR_Coverage, 4017,
     /* 1626224 */     GIR_EraseRootFromParent_Done,
     /* 1626225 */   // Label 22384: @1626225
     /* 1626225 */   GIM_Try, /*On fail goto*//*Label 22385*/ GIMT_Encode4(1626311), // Rule ID 4018 //
     /* 1626230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1626241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1626244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1626247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1626250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626276 */     // MIs[0] policy
     /* 1626276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626286 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1626289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626310 */     // GIR_Coverage, 4018,
     /* 1626310 */     GIR_EraseRootFromParent_Done,
     /* 1626311 */   // Label 22385: @1626311
     /* 1626311 */   GIM_Try, /*On fail goto*//*Label 22386*/ GIMT_Encode4(1626397), // Rule ID 4027 //
     /* 1626316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1626319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1626327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1626330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1626333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1626336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626362 */     // MIs[0] policy
     /* 1626362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626372 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1626375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626396 */     // GIR_Coverage, 4027,
     /* 1626396 */     GIR_EraseRootFromParent_Done,
     /* 1626397 */   // Label 22386: @1626397
     /* 1626397 */   GIM_Try, /*On fail goto*//*Label 22387*/ GIMT_Encode4(1626483), // Rule ID 4028 //
     /* 1626402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1626405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1626413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1626416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1626419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1626422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626448 */     // MIs[0] policy
     /* 1626448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626458 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1626461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626482 */     // GIR_Coverage, 4028,
     /* 1626482 */     GIR_EraseRootFromParent_Done,
     /* 1626483 */   // Label 22387: @1626483
     /* 1626483 */   GIM_Try, /*On fail goto*//*Label 22388*/ GIMT_Encode4(1626569), // Rule ID 4037 //
     /* 1626488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1626491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1626499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1626502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1626505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1626508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626534 */     // MIs[0] policy
     /* 1626534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626544 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1626547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626568 */     // GIR_Coverage, 4037,
     /* 1626568 */     GIR_EraseRootFromParent_Done,
     /* 1626569 */   // Label 22388: @1626569
     /* 1626569 */   GIM_Try, /*On fail goto*//*Label 22389*/ GIMT_Encode4(1626655), // Rule ID 4038 //
     /* 1626574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1626577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1626585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1626588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1626591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1626594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626620 */     // MIs[0] policy
     /* 1626620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626630 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1626633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626654 */     // GIR_Coverage, 4038,
     /* 1626654 */     GIR_EraseRootFromParent_Done,
     /* 1626655 */   // Label 22389: @1626655
     /* 1626655 */   GIM_Try, /*On fail goto*//*Label 22390*/ GIMT_Encode4(1626741), // Rule ID 4047 //
     /* 1626660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1626663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1626671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1626674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1626677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1626680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626706 */     // MIs[0] policy
     /* 1626706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626716 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1626719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626740 */     // GIR_Coverage, 4047,
     /* 1626740 */     GIR_EraseRootFromParent_Done,
     /* 1626741 */   // Label 22390: @1626741
     /* 1626741 */   GIM_Try, /*On fail goto*//*Label 22391*/ GIMT_Encode4(1626827), // Rule ID 4048 //
     /* 1626746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1626749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1626757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1626760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1626763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1626766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626792 */     // MIs[0] policy
     /* 1626792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626802 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1626805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626826 */     // GIR_Coverage, 4048,
     /* 1626826 */     GIR_EraseRootFromParent_Done,
     /* 1626827 */   // Label 22391: @1626827
     /* 1626827 */   GIM_Try, /*On fail goto*//*Label 22392*/ GIMT_Encode4(1626913), // Rule ID 4057 //
     /* 1626832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1626835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1626843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1626846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1626849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1626852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626878 */     // MIs[0] policy
     /* 1626878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626888 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1626891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626912 */     // GIR_Coverage, 4057,
     /* 1626912 */     GIR_EraseRootFromParent_Done,
     /* 1626913 */   // Label 22392: @1626913
     /* 1626913 */   GIM_Try, /*On fail goto*//*Label 22393*/ GIMT_Encode4(1626999), // Rule ID 4058 //
     /* 1626918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1626921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1626929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1626932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1626935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1626938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626964 */     // MIs[0] policy
     /* 1626964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626974 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1626977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626998 */     // GIR_Coverage, 4058,
     /* 1626998 */     GIR_EraseRootFromParent_Done,
     /* 1626999 */   // Label 22393: @1626999
     /* 1626999 */   GIM_Try, /*On fail goto*//*Label 22394*/ GIMT_Encode4(1627085), // Rule ID 4061 //
     /* 1627004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1627015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1627018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1627021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1627024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627050 */     // MIs[0] policy
     /* 1627050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627060 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1627063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627084 */     // GIR_Coverage, 4061,
     /* 1627084 */     GIR_EraseRootFromParent_Done,
     /* 1627085 */   // Label 22394: @1627085
     /* 1627085 */   GIM_Try, /*On fail goto*//*Label 22395*/ GIMT_Encode4(1627171), // Rule ID 4062 //
     /* 1627090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1627101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1627104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1627107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1627110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627136 */     // MIs[0] policy
     /* 1627136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627146 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1627149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627170 */     // GIR_Coverage, 4062,
     /* 1627170 */     GIR_EraseRootFromParent_Done,
     /* 1627171 */   // Label 22395: @1627171
     /* 1627171 */   GIM_Try, /*On fail goto*//*Label 22396*/ GIMT_Encode4(1627257), // Rule ID 4065 //
     /* 1627176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1627187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1627190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1627193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1627196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627222 */     // MIs[0] policy
     /* 1627222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627232 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1627235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627256 */     // GIR_Coverage, 4065,
     /* 1627256 */     GIR_EraseRootFromParent_Done,
     /* 1627257 */   // Label 22396: @1627257
     /* 1627257 */   GIM_Try, /*On fail goto*//*Label 22397*/ GIMT_Encode4(1627343), // Rule ID 4066 //
     /* 1627262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1627273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1627276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1627279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1627282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627308 */     // MIs[0] policy
     /* 1627308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627318 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1627321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627342 */     // GIR_Coverage, 4066,
     /* 1627342 */     GIR_EraseRootFromParent_Done,
     /* 1627343 */   // Label 22397: @1627343
     /* 1627343 */   GIM_Try, /*On fail goto*//*Label 22398*/ GIMT_Encode4(1627429), // Rule ID 4069 //
     /* 1627348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1627359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1627362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1627365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1627368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627394 */     // MIs[0] policy
     /* 1627394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627404 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1627407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627428 */     // GIR_Coverage, 4069,
     /* 1627428 */     GIR_EraseRootFromParent_Done,
     /* 1627429 */   // Label 22398: @1627429
     /* 1627429 */   GIM_Try, /*On fail goto*//*Label 22399*/ GIMT_Encode4(1627515), // Rule ID 4070 //
     /* 1627434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1627445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1627448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1627451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1627454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627480 */     // MIs[0] policy
     /* 1627480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627490 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1627493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627514 */     // GIR_Coverage, 4070,
     /* 1627514 */     GIR_EraseRootFromParent_Done,
     /* 1627515 */   // Label 22399: @1627515
     /* 1627515 */   GIM_Try, /*On fail goto*//*Label 22400*/ GIMT_Encode4(1627601), // Rule ID 4073 //
     /* 1627520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1627531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1627534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1627537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1627540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627566 */     // MIs[0] policy
     /* 1627566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627576 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1627579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627600 */     // GIR_Coverage, 4073,
     /* 1627600 */     GIR_EraseRootFromParent_Done,
     /* 1627601 */   // Label 22400: @1627601
     /* 1627601 */   GIM_Try, /*On fail goto*//*Label 22401*/ GIMT_Encode4(1627687), // Rule ID 4074 //
     /* 1627606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1627617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1627620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1627623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1627626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627652 */     // MIs[0] policy
     /* 1627652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627662 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1627665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627686 */     // GIR_Coverage, 4074,
     /* 1627686 */     GIR_EraseRootFromParent_Done,
     /* 1627687 */   // Label 22401: @1627687
     /* 1627687 */   GIM_Try, /*On fail goto*//*Label 22402*/ GIMT_Encode4(1627773), // Rule ID 4077 //
     /* 1627692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1627703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1627706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1627709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1627712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1627715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627738 */     // MIs[0] policy
     /* 1627738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627748 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1627751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627772 */     // GIR_Coverage, 4077,
     /* 1627772 */     GIR_EraseRootFromParent_Done,
     /* 1627773 */   // Label 22402: @1627773
     /* 1627773 */   GIM_Try, /*On fail goto*//*Label 22403*/ GIMT_Encode4(1627859), // Rule ID 4078 //
     /* 1627778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1627789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1627792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1627795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1627798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1627801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627824 */     // MIs[0] policy
     /* 1627824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627834 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1627837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627858 */     // GIR_Coverage, 4078,
     /* 1627858 */     GIR_EraseRootFromParent_Done,
     /* 1627859 */   // Label 22403: @1627859
     /* 1627859 */   GIM_Try, /*On fail goto*//*Label 22404*/ GIMT_Encode4(1627945), // Rule ID 4081 //
     /* 1627864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1627875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1627878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1627881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1627884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1627887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627910 */     // MIs[0] policy
     /* 1627910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627920 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1627923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627944 */     // GIR_Coverage, 4081,
     /* 1627944 */     GIR_EraseRootFromParent_Done,
     /* 1627945 */   // Label 22404: @1627945
     /* 1627945 */   GIM_Try, /*On fail goto*//*Label 22405*/ GIMT_Encode4(1628031), // Rule ID 4082 //
     /* 1627950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1627961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1627964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1627967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1627970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1627973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627996 */     // MIs[0] policy
     /* 1627996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628006 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1628009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628030 */     // GIR_Coverage, 4082,
     /* 1628030 */     GIR_EraseRootFromParent_Done,
     /* 1628031 */   // Label 22405: @1628031
     /* 1628031 */   GIM_Try, /*On fail goto*//*Label 22406*/ GIMT_Encode4(1628117), // Rule ID 4085 //
     /* 1628036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1628047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1628050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1628053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628082 */     // MIs[0] policy
     /* 1628082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628092 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1628095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628116 */     // GIR_Coverage, 4085,
     /* 1628116 */     GIR_EraseRootFromParent_Done,
     /* 1628117 */   // Label 22406: @1628117
     /* 1628117 */   GIM_Try, /*On fail goto*//*Label 22407*/ GIMT_Encode4(1628203), // Rule ID 4086 //
     /* 1628122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1628133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1628136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1628139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628168 */     // MIs[0] policy
     /* 1628168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628178 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1628181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628202 */     // GIR_Coverage, 4086,
     /* 1628202 */     GIR_EraseRootFromParent_Done,
     /* 1628203 */   // Label 22407: @1628203
     /* 1628203 */   GIM_Try, /*On fail goto*//*Label 22408*/ GIMT_Encode4(1628289), // Rule ID 4089 //
     /* 1628208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1628219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1628222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1628225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628254 */     // MIs[0] policy
     /* 1628254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628264 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1628267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628288 */     // GIR_Coverage, 4089,
     /* 1628288 */     GIR_EraseRootFromParent_Done,
     /* 1628289 */   // Label 22408: @1628289
     /* 1628289 */   GIM_Try, /*On fail goto*//*Label 22409*/ GIMT_Encode4(1628375), // Rule ID 4090 //
     /* 1628294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1628305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1628308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1628311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628340 */     // MIs[0] policy
     /* 1628340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628350 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1628353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628374 */     // GIR_Coverage, 4090,
     /* 1628374 */     GIR_EraseRootFromParent_Done,
     /* 1628375 */   // Label 22409: @1628375
     /* 1628375 */   GIM_Try, /*On fail goto*//*Label 22410*/ GIMT_Encode4(1628461), // Rule ID 4093 //
     /* 1628380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1628391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1628394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1628397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628426 */     // MIs[0] policy
     /* 1628426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628436 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1628439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628460 */     // GIR_Coverage, 4093,
     /* 1628460 */     GIR_EraseRootFromParent_Done,
     /* 1628461 */   // Label 22410: @1628461
     /* 1628461 */   GIM_Try, /*On fail goto*//*Label 22411*/ GIMT_Encode4(1628547), // Rule ID 4094 //
     /* 1628466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1628477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1628480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1628483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628512 */     // MIs[0] policy
     /* 1628512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628522 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1628525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628546 */     // GIR_Coverage, 4094,
     /* 1628546 */     GIR_EraseRootFromParent_Done,
     /* 1628547 */   // Label 22411: @1628547
     /* 1628547 */   GIM_Try, /*On fail goto*//*Label 22412*/ GIMT_Encode4(1628633), // Rule ID 4097 //
     /* 1628552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1628563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1628566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1628569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628598 */     // MIs[0] policy
     /* 1628598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628608 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1628611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628632 */     // GIR_Coverage, 4097,
     /* 1628632 */     GIR_EraseRootFromParent_Done,
     /* 1628633 */   // Label 22412: @1628633
     /* 1628633 */   GIM_Try, /*On fail goto*//*Label 22413*/ GIMT_Encode4(1628719), // Rule ID 4098 //
     /* 1628638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1628649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1628652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1628655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628684 */     // MIs[0] policy
     /* 1628684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628694 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1628697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628718 */     // GIR_Coverage, 4098,
     /* 1628718 */     GIR_EraseRootFromParent_Done,
     /* 1628719 */   // Label 22413: @1628719
     /* 1628719 */   GIM_Try, /*On fail goto*//*Label 22414*/ GIMT_Encode4(1628805), // Rule ID 4101 //
     /* 1628724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1628735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1628738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1628741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1628747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628770 */     // MIs[0] policy
     /* 1628770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628780 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1628783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628804 */     // GIR_Coverage, 4101,
     /* 1628804 */     GIR_EraseRootFromParent_Done,
     /* 1628805 */   // Label 22414: @1628805
     /* 1628805 */   GIM_Try, /*On fail goto*//*Label 22415*/ GIMT_Encode4(1628891), // Rule ID 4102 //
     /* 1628810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1628821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1628824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1628827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1628833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628856 */     // MIs[0] policy
     /* 1628856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628866 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1628869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628890 */     // GIR_Coverage, 4102,
     /* 1628890 */     GIR_EraseRootFromParent_Done,
     /* 1628891 */   // Label 22415: @1628891
     /* 1628891 */   GIM_Try, /*On fail goto*//*Label 22416*/ GIMT_Encode4(1628977), // Rule ID 4105 //
     /* 1628896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1628899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1628907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1628910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1628913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628942 */     // MIs[0] policy
     /* 1628942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1628955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628976 */     // GIR_Coverage, 4105,
     /* 1628976 */     GIR_EraseRootFromParent_Done,
     /* 1628977 */   // Label 22416: @1628977
     /* 1628977 */   GIM_Try, /*On fail goto*//*Label 22417*/ GIMT_Encode4(1629063), // Rule ID 4106 //
     /* 1628982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1628985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1628993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1628996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1628999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629028 */     // MIs[0] policy
     /* 1629028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629038 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1629041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629062 */     // GIR_Coverage, 4106,
     /* 1629062 */     GIR_EraseRootFromParent_Done,
     /* 1629063 */   // Label 22417: @1629063
     /* 1629063 */   GIM_Try, /*On fail goto*//*Label 22418*/ GIMT_Encode4(1629149), // Rule ID 4109 //
     /* 1629068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1629071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1629079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1629082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1629085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629114 */     // MIs[0] policy
     /* 1629114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629124 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1629127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629148 */     // GIR_Coverage, 4109,
     /* 1629148 */     GIR_EraseRootFromParent_Done,
     /* 1629149 */   // Label 22418: @1629149
     /* 1629149 */   GIM_Try, /*On fail goto*//*Label 22419*/ GIMT_Encode4(1629235), // Rule ID 4110 //
     /* 1629154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1629157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1629165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1629168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1629171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629200 */     // MIs[0] policy
     /* 1629200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629210 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1629213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629234 */     // GIR_Coverage, 4110,
     /* 1629234 */     GIR_EraseRootFromParent_Done,
     /* 1629235 */   // Label 22419: @1629235
     /* 1629235 */   GIM_Try, /*On fail goto*//*Label 22420*/ GIMT_Encode4(1629321), // Rule ID 4113 //
     /* 1629240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1629243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1629251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1629254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1629257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629286 */     // MIs[0] policy
     /* 1629286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629296 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1629299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629320 */     // GIR_Coverage, 4113,
     /* 1629320 */     GIR_EraseRootFromParent_Done,
     /* 1629321 */   // Label 22420: @1629321
     /* 1629321 */   GIM_Try, /*On fail goto*//*Label 22421*/ GIMT_Encode4(1629407), // Rule ID 4114 //
     /* 1629326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1629329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1629337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1629340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1629343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629372 */     // MIs[0] policy
     /* 1629372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629382 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1629385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629406 */     // GIR_Coverage, 4114,
     /* 1629406 */     GIR_EraseRootFromParent_Done,
     /* 1629407 */   // Label 22421: @1629407
     /* 1629407 */   GIM_Try, /*On fail goto*//*Label 22422*/ GIMT_Encode4(1629493), // Rule ID 4117 //
     /* 1629412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1629415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1629423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1629426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1629429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629458 */     // MIs[0] policy
     /* 1629458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629468 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1629471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629492 */     // GIR_Coverage, 4117,
     /* 1629492 */     GIR_EraseRootFromParent_Done,
     /* 1629493 */   // Label 22422: @1629493
     /* 1629493 */   GIM_Try, /*On fail goto*//*Label 22423*/ GIMT_Encode4(1629579), // Rule ID 4118 //
     /* 1629498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1629501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1629509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1629512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1629515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629544 */     // MIs[0] policy
     /* 1629544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629554 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1629557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629578 */     // GIR_Coverage, 4118,
     /* 1629578 */     GIR_EraseRootFromParent_Done,
     /* 1629579 */   // Label 22423: @1629579
     /* 1629579 */   GIM_Try, /*On fail goto*//*Label 22424*/ GIMT_Encode4(1629665), // Rule ID 4127 //
     /* 1629584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1629592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1629595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1629598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1629601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1629604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629630 */     // MIs[0] policy
     /* 1629630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629640 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1629643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629664 */     // GIR_Coverage, 4127,
     /* 1629664 */     GIR_EraseRootFromParent_Done,
     /* 1629665 */   // Label 22424: @1629665
     /* 1629665 */   GIM_Try, /*On fail goto*//*Label 22425*/ GIMT_Encode4(1629751), // Rule ID 4128 //
     /* 1629670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1629678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1629681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1629684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1629687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1629690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629716 */     // MIs[0] policy
     /* 1629716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629726 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1629729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629750 */     // GIR_Coverage, 4128,
     /* 1629750 */     GIR_EraseRootFromParent_Done,
     /* 1629751 */   // Label 22425: @1629751
     /* 1629751 */   GIM_Try, /*On fail goto*//*Label 22426*/ GIMT_Encode4(1629837), // Rule ID 4137 //
     /* 1629756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1629764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1629767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1629770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1629773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1629776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629802 */     // MIs[0] policy
     /* 1629802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629812 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1629815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629836 */     // GIR_Coverage, 4137,
     /* 1629836 */     GIR_EraseRootFromParent_Done,
     /* 1629837 */   // Label 22426: @1629837
     /* 1629837 */   GIM_Try, /*On fail goto*//*Label 22427*/ GIMT_Encode4(1629923), // Rule ID 4138 //
     /* 1629842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1629850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1629853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1629856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1629859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1629862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629888 */     // MIs[0] policy
     /* 1629888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629898 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1629901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629922 */     // GIR_Coverage, 4138,
     /* 1629922 */     GIR_EraseRootFromParent_Done,
     /* 1629923 */   // Label 22427: @1629923
     /* 1629923 */   GIM_Try, /*On fail goto*//*Label 22428*/ GIMT_Encode4(1630009), // Rule ID 4147 //
     /* 1629928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1629936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1629939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1629942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1629945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1629948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629974 */     // MIs[0] policy
     /* 1629974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629984 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1629987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630008 */     // GIR_Coverage, 4147,
     /* 1630008 */     GIR_EraseRootFromParent_Done,
     /* 1630009 */   // Label 22428: @1630009
     /* 1630009 */   GIM_Try, /*On fail goto*//*Label 22429*/ GIMT_Encode4(1630095), // Rule ID 4148 //
     /* 1630014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1630022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1630025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1630028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1630031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1630034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630060 */     // MIs[0] policy
     /* 1630060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630070 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1630073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630094 */     // GIR_Coverage, 4148,
     /* 1630094 */     GIR_EraseRootFromParent_Done,
     /* 1630095 */   // Label 22429: @1630095
     /* 1630095 */   GIM_Try, /*On fail goto*//*Label 22430*/ GIMT_Encode4(1630181), // Rule ID 4157 //
     /* 1630100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1630108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1630111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1630114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1630117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1630120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630146 */     // MIs[0] policy
     /* 1630146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1630159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630180 */     // GIR_Coverage, 4157,
     /* 1630180 */     GIR_EraseRootFromParent_Done,
     /* 1630181 */   // Label 22430: @1630181
     /* 1630181 */   GIM_Try, /*On fail goto*//*Label 22431*/ GIMT_Encode4(1630267), // Rule ID 4158 //
     /* 1630186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1630194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1630197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1630200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1630203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1630206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630232 */     // MIs[0] policy
     /* 1630232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630242 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1630245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630266 */     // GIR_Coverage, 4158,
     /* 1630266 */     GIR_EraseRootFromParent_Done,
     /* 1630267 */   // Label 22431: @1630267
     /* 1630267 */   GIM_Try, /*On fail goto*//*Label 22432*/ GIMT_Encode4(1630353), // Rule ID 4167 //
     /* 1630272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1630280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1630283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1630286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1630289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1630292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1630295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630318 */     // MIs[0] policy
     /* 1630318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630328 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1630331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630352 */     // GIR_Coverage, 4167,
     /* 1630352 */     GIR_EraseRootFromParent_Done,
     /* 1630353 */   // Label 22432: @1630353
     /* 1630353 */   GIM_Try, /*On fail goto*//*Label 22433*/ GIMT_Encode4(1630439), // Rule ID 4168 //
     /* 1630358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1630366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1630369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1630372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1630375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1630378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1630381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630404 */     // MIs[0] policy
     /* 1630404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630414 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1630417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630438 */     // GIR_Coverage, 4168,
     /* 1630438 */     GIR_EraseRootFromParent_Done,
     /* 1630439 */   // Label 22433: @1630439
     /* 1630439 */   GIM_Try, /*On fail goto*//*Label 22434*/ GIMT_Encode4(1630525), // Rule ID 4177 //
     /* 1630444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1630452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1630455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1630458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1630461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1630464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1630467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630490 */     // MIs[0] policy
     /* 1630490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630500 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1630503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630524 */     // GIR_Coverage, 4177,
     /* 1630524 */     GIR_EraseRootFromParent_Done,
     /* 1630525 */   // Label 22434: @1630525
     /* 1630525 */   GIM_Try, /*On fail goto*//*Label 22435*/ GIMT_Encode4(1630611), // Rule ID 4178 //
     /* 1630530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1630538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1630541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1630544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1630547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1630550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1630553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630576 */     // MIs[0] policy
     /* 1630576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630586 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1630589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630610 */     // GIR_Coverage, 4178,
     /* 1630610 */     GIR_EraseRootFromParent_Done,
     /* 1630611 */   // Label 22435: @1630611
     /* 1630611 */   GIM_Try, /*On fail goto*//*Label 22436*/ GIMT_Encode4(1630697), // Rule ID 4187 //
     /* 1630616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1630624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1630627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1630630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1630633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1630636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630662 */     // MIs[0] policy
     /* 1630662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630672 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1630675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630696 */     // GIR_Coverage, 4187,
     /* 1630696 */     GIR_EraseRootFromParent_Done,
     /* 1630697 */   // Label 22436: @1630697
     /* 1630697 */   GIM_Try, /*On fail goto*//*Label 22437*/ GIMT_Encode4(1630783), // Rule ID 4188 //
     /* 1630702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1630710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1630713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1630716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1630719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1630722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630748 */     // MIs[0] policy
     /* 1630748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630758 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1630761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630782 */     // GIR_Coverage, 4188,
     /* 1630782 */     GIR_EraseRootFromParent_Done,
     /* 1630783 */   // Label 22437: @1630783
     /* 1630783 */   GIM_Try, /*On fail goto*//*Label 22438*/ GIMT_Encode4(1630869), // Rule ID 4197 //
     /* 1630788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1630796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1630799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1630802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1630805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1630808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630834 */     // MIs[0] policy
     /* 1630834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630844 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1630847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630868 */     // GIR_Coverage, 4197,
     /* 1630868 */     GIR_EraseRootFromParent_Done,
     /* 1630869 */   // Label 22438: @1630869
     /* 1630869 */   GIM_Try, /*On fail goto*//*Label 22439*/ GIMT_Encode4(1630955), // Rule ID 4198 //
     /* 1630874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1630882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1630885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1630888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1630891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1630894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630920 */     // MIs[0] policy
     /* 1630920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630930 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1630933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630954 */     // GIR_Coverage, 4198,
     /* 1630954 */     GIR_EraseRootFromParent_Done,
     /* 1630955 */   // Label 22439: @1630955
     /* 1630955 */   GIM_Try, /*On fail goto*//*Label 22440*/ GIMT_Encode4(1631041), // Rule ID 4207 //
     /* 1630960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1630968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1630971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1630974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1630977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1630980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631006 */     // MIs[0] policy
     /* 1631006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631016 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1631019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631040 */     // GIR_Coverage, 4207,
     /* 1631040 */     GIR_EraseRootFromParent_Done,
     /* 1631041 */   // Label 22440: @1631041
     /* 1631041 */   GIM_Try, /*On fail goto*//*Label 22441*/ GIMT_Encode4(1631127), // Rule ID 4208 //
     /* 1631046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1631057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1631060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1631063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1631066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631092 */     // MIs[0] policy
     /* 1631092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631102 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1631105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631126 */     // GIR_Coverage, 4208,
     /* 1631126 */     GIR_EraseRootFromParent_Done,
     /* 1631127 */   // Label 22441: @1631127
     /* 1631127 */   GIM_Try, /*On fail goto*//*Label 22442*/ GIMT_Encode4(1631213), // Rule ID 4217 //
     /* 1631132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1631143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1631146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1631149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1631152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631178 */     // MIs[0] policy
     /* 1631178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631188 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1631191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631212 */     // GIR_Coverage, 4217,
     /* 1631212 */     GIR_EraseRootFromParent_Done,
     /* 1631213 */   // Label 22442: @1631213
     /* 1631213 */   GIM_Try, /*On fail goto*//*Label 22443*/ GIMT_Encode4(1631299), // Rule ID 4218 //
     /* 1631218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1631229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1631232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1631235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1631238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631264 */     // MIs[0] policy
     /* 1631264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1631277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631298 */     // GIR_Coverage, 4218,
     /* 1631298 */     GIR_EraseRootFromParent_Done,
     /* 1631299 */   // Label 22443: @1631299
     /* 1631299 */   GIM_Try, /*On fail goto*//*Label 22444*/ GIMT_Encode4(1631385), // Rule ID 4227 //
     /* 1631304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1631315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1631318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1631321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1631324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631350 */     // MIs[0] policy
     /* 1631350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631360 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1631363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631384 */     // GIR_Coverage, 4227,
     /* 1631384 */     GIR_EraseRootFromParent_Done,
     /* 1631385 */   // Label 22444: @1631385
     /* 1631385 */   GIM_Try, /*On fail goto*//*Label 22445*/ GIMT_Encode4(1631471), // Rule ID 4228 //
     /* 1631390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1631401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1631404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1631407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1631410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631436 */     // MIs[0] policy
     /* 1631436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631446 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1631449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631470 */     // GIR_Coverage, 4228,
     /* 1631470 */     GIR_EraseRootFromParent_Done,
     /* 1631471 */   // Label 22445: @1631471
     /* 1631471 */   GIM_Try, /*On fail goto*//*Label 22446*/ GIMT_Encode4(1631557), // Rule ID 4237 //
     /* 1631476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1631479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1631487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1631490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1631493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1631496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631522 */     // MIs[0] policy
     /* 1631522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631532 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1631535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631556 */     // GIR_Coverage, 4237,
     /* 1631556 */     GIR_EraseRootFromParent_Done,
     /* 1631557 */   // Label 22446: @1631557
     /* 1631557 */   GIM_Try, /*On fail goto*//*Label 22447*/ GIMT_Encode4(1631643), // Rule ID 4238 //
     /* 1631562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1631565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1631573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1631576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1631579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1631582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631608 */     // MIs[0] policy
     /* 1631608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631618 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1631621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631642 */     // GIR_Coverage, 4238,
     /* 1631642 */     GIR_EraseRootFromParent_Done,
     /* 1631643 */   // Label 22447: @1631643
     /* 1631643 */   GIM_Try, /*On fail goto*//*Label 22448*/ GIMT_Encode4(1631729), // Rule ID 4247 //
     /* 1631648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1631651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1631659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1631662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1631665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1631668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631694 */     // MIs[0] policy
     /* 1631694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631704 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1631707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631728 */     // GIR_Coverage, 4247,
     /* 1631728 */     GIR_EraseRootFromParent_Done,
     /* 1631729 */   // Label 22448: @1631729
     /* 1631729 */   GIM_Try, /*On fail goto*//*Label 22449*/ GIMT_Encode4(1631815), // Rule ID 4248 //
     /* 1631734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1631737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1631745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1631748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1631751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1631754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631780 */     // MIs[0] policy
     /* 1631780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631790 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1631793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631814 */     // GIR_Coverage, 4248,
     /* 1631814 */     GIR_EraseRootFromParent_Done,
     /* 1631815 */   // Label 22449: @1631815
     /* 1631815 */   GIM_Try, /*On fail goto*//*Label 22450*/ GIMT_Encode4(1631901), // Rule ID 4257 //
     /* 1631820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1631823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1631831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1631834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1631837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1631840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631866 */     // MIs[0] policy
     /* 1631866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631876 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1631879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631900 */     // GIR_Coverage, 4257,
     /* 1631900 */     GIR_EraseRootFromParent_Done,
     /* 1631901 */   // Label 22450: @1631901
     /* 1631901 */   GIM_Try, /*On fail goto*//*Label 22451*/ GIMT_Encode4(1631987), // Rule ID 4258 //
     /* 1631906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1631909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1631917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1631920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1631923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1631926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631952 */     // MIs[0] policy
     /* 1631952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631962 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1631965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631986 */     // GIR_Coverage, 4258,
     /* 1631986 */     GIR_EraseRootFromParent_Done,
     /* 1631987 */   // Label 22451: @1631987
     /* 1631987 */   GIM_Try, /*On fail goto*//*Label 22452*/ GIMT_Encode4(1632073), // Rule ID 4267 //
     /* 1631992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1631995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1632003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1632006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1632009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1632012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632038 */     // MIs[0] policy
     /* 1632038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632048 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1632051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632072 */     // GIR_Coverage, 4267,
     /* 1632072 */     GIR_EraseRootFromParent_Done,
     /* 1632073 */   // Label 22452: @1632073
     /* 1632073 */   GIM_Try, /*On fail goto*//*Label 22453*/ GIMT_Encode4(1632159), // Rule ID 4268 //
     /* 1632078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1632089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1632092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1632095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1632098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632124 */     // MIs[0] policy
     /* 1632124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632134 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1632137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632158 */     // GIR_Coverage, 4268,
     /* 1632158 */     GIR_EraseRootFromParent_Done,
     /* 1632159 */   // Label 22453: @1632159
     /* 1632159 */   GIM_Try, /*On fail goto*//*Label 22454*/ GIMT_Encode4(1632245), // Rule ID 4271 //
     /* 1632164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1632175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1632178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1632181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632210 */     // MIs[0] policy
     /* 1632210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632220 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1632223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632244 */     // GIR_Coverage, 4271,
     /* 1632244 */     GIR_EraseRootFromParent_Done,
     /* 1632245 */   // Label 22454: @1632245
     /* 1632245 */   GIM_Try, /*On fail goto*//*Label 22455*/ GIMT_Encode4(1632331), // Rule ID 4272 //
     /* 1632250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1632261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1632264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1632267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632296 */     // MIs[0] policy
     /* 1632296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632306 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1632309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632330 */     // GIR_Coverage, 4272,
     /* 1632330 */     GIR_EraseRootFromParent_Done,
     /* 1632331 */   // Label 22455: @1632331
     /* 1632331 */   GIM_Try, /*On fail goto*//*Label 22456*/ GIMT_Encode4(1632417), // Rule ID 4275 //
     /* 1632336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1632347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1632350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1632353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632382 */     // MIs[0] policy
     /* 1632382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632392 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1632395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632416 */     // GIR_Coverage, 4275,
     /* 1632416 */     GIR_EraseRootFromParent_Done,
     /* 1632417 */   // Label 22456: @1632417
     /* 1632417 */   GIM_Try, /*On fail goto*//*Label 22457*/ GIMT_Encode4(1632503), // Rule ID 4276 //
     /* 1632422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1632433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1632436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1632439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632468 */     // MIs[0] policy
     /* 1632468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632478 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1632481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632502 */     // GIR_Coverage, 4276,
     /* 1632502 */     GIR_EraseRootFromParent_Done,
     /* 1632503 */   // Label 22457: @1632503
     /* 1632503 */   GIM_Try, /*On fail goto*//*Label 22458*/ GIMT_Encode4(1632589), // Rule ID 4279 //
     /* 1632508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1632519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1632522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1632525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632554 */     // MIs[0] policy
     /* 1632554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1632567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632588 */     // GIR_Coverage, 4279,
     /* 1632588 */     GIR_EraseRootFromParent_Done,
     /* 1632589 */   // Label 22458: @1632589
     /* 1632589 */   GIM_Try, /*On fail goto*//*Label 22459*/ GIMT_Encode4(1632675), // Rule ID 4280 //
     /* 1632594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1632605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1632608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1632611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632640 */     // MIs[0] policy
     /* 1632640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632650 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11573:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1632653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632674 */     // GIR_Coverage, 4280,
     /* 1632674 */     GIR_EraseRootFromParent_Done,
     /* 1632675 */   // Label 22459: @1632675
     /* 1632675 */   GIM_Try, /*On fail goto*//*Label 22460*/ GIMT_Encode4(1632761), // Rule ID 4283 //
     /* 1632680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1632691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1632694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1632697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632726 */     // MIs[0] policy
     /* 1632726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632736 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1632739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632760 */     // GIR_Coverage, 4283,
     /* 1632760 */     GIR_EraseRootFromParent_Done,
     /* 1632761 */   // Label 22460: @1632761
     /* 1632761 */   GIM_Try, /*On fail goto*//*Label 22461*/ GIMT_Encode4(1632847), // Rule ID 4284 //
     /* 1632766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1632777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1632780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1632783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632812 */     // MIs[0] policy
     /* 1632812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632822 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1632825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632846 */     // GIR_Coverage, 4284,
     /* 1632846 */     GIR_EraseRootFromParent_Done,
     /* 1632847 */   // Label 22461: @1632847
     /* 1632847 */   GIM_Try, /*On fail goto*//*Label 22462*/ GIMT_Encode4(1632933), // Rule ID 4287 //
     /* 1632852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1632863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1632866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1632869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1632875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632898 */     // MIs[0] policy
     /* 1632898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632908 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1632911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632932 */     // GIR_Coverage, 4287,
     /* 1632932 */     GIR_EraseRootFromParent_Done,
     /* 1632933 */   // Label 22462: @1632933
     /* 1632933 */   GIM_Try, /*On fail goto*//*Label 22463*/ GIMT_Encode4(1633019), // Rule ID 4288 //
     /* 1632938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1632949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1632952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1632955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1632961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632984 */     // MIs[0] policy
     /* 1632984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632994 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1632997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633018 */     // GIR_Coverage, 4288,
     /* 1633018 */     GIR_EraseRootFromParent_Done,
     /* 1633019 */   // Label 22463: @1633019
     /* 1633019 */   GIM_Try, /*On fail goto*//*Label 22464*/ GIMT_Encode4(1633105), // Rule ID 4291 //
     /* 1633024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1633035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1633038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1633041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1633047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633070 */     // MIs[0] policy
     /* 1633070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633080 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1633083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633104 */     // GIR_Coverage, 4291,
     /* 1633104 */     GIR_EraseRootFromParent_Done,
     /* 1633105 */   // Label 22464: @1633105
     /* 1633105 */   GIM_Try, /*On fail goto*//*Label 22465*/ GIMT_Encode4(1633191), // Rule ID 4292 //
     /* 1633110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1633121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1633124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1633127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1633133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633156 */     // MIs[0] policy
     /* 1633156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633166 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1633169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633190 */     // GIR_Coverage, 4292,
     /* 1633190 */     GIR_EraseRootFromParent_Done,
     /* 1633191 */   // Label 22465: @1633191
     /* 1633191 */   GIM_Try, /*On fail goto*//*Label 22466*/ GIMT_Encode4(1633277), // Rule ID 4295 //
     /* 1633196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1633207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1633210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1633213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633242 */     // MIs[0] policy
     /* 1633242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633252 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1633255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633276 */     // GIR_Coverage, 4295,
     /* 1633276 */     GIR_EraseRootFromParent_Done,
     /* 1633277 */   // Label 22466: @1633277
     /* 1633277 */   GIM_Try, /*On fail goto*//*Label 22467*/ GIMT_Encode4(1633363), // Rule ID 4296 //
     /* 1633282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1633293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1633296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1633299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633328 */     // MIs[0] policy
     /* 1633328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633338 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1633341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633362 */     // GIR_Coverage, 4296,
     /* 1633362 */     GIR_EraseRootFromParent_Done,
     /* 1633363 */   // Label 22467: @1633363
     /* 1633363 */   GIM_Try, /*On fail goto*//*Label 22468*/ GIMT_Encode4(1633449), // Rule ID 4299 //
     /* 1633368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1633379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1633382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1633385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633414 */     // MIs[0] policy
     /* 1633414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633424 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1633427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633448 */     // GIR_Coverage, 4299,
     /* 1633448 */     GIR_EraseRootFromParent_Done,
     /* 1633449 */   // Label 22468: @1633449
     /* 1633449 */   GIM_Try, /*On fail goto*//*Label 22469*/ GIMT_Encode4(1633535), // Rule ID 4300 //
     /* 1633454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1633465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1633468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1633471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633500 */     // MIs[0] policy
     /* 1633500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633510 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11573:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1633513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633534 */     // GIR_Coverage, 4300,
     /* 1633534 */     GIR_EraseRootFromParent_Done,
     /* 1633535 */   // Label 22469: @1633535
     /* 1633535 */   GIM_Try, /*On fail goto*//*Label 22470*/ GIMT_Encode4(1633621), // Rule ID 4303 //
     /* 1633540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1633551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1633554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1633557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633586 */     // MIs[0] policy
     /* 1633586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1633599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633620 */     // GIR_Coverage, 4303,
     /* 1633620 */     GIR_EraseRootFromParent_Done,
     /* 1633621 */   // Label 22470: @1633621
     /* 1633621 */   GIM_Try, /*On fail goto*//*Label 22471*/ GIMT_Encode4(1633707), // Rule ID 4304 //
     /* 1633626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1633637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1633640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1633643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633672 */     // MIs[0] policy
     /* 1633672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633682 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1633685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633706 */     // GIR_Coverage, 4304,
     /* 1633706 */     GIR_EraseRootFromParent_Done,
     /* 1633707 */   // Label 22471: @1633707
     /* 1633707 */   GIM_Try, /*On fail goto*//*Label 22472*/ GIMT_Encode4(1633793), // Rule ID 4307 //
     /* 1633712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1633723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1633726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1633729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633758 */     // MIs[0] policy
     /* 1633758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633768 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1633771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633792 */     // GIR_Coverage, 4307,
     /* 1633792 */     GIR_EraseRootFromParent_Done,
     /* 1633793 */   // Label 22472: @1633793
     /* 1633793 */   GIM_Try, /*On fail goto*//*Label 22473*/ GIMT_Encode4(1633879), // Rule ID 4308 //
     /* 1633798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1633809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1633812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1633815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633844 */     // MIs[0] policy
     /* 1633844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633854 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1633857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633878 */     // GIR_Coverage, 4308,
     /* 1633878 */     GIR_EraseRootFromParent_Done,
     /* 1633879 */   // Label 22473: @1633879
     /* 1633879 */   GIM_Try, /*On fail goto*//*Label 22474*/ GIMT_Encode4(1633965), // Rule ID 4311 //
     /* 1633884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1633895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1633898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1633901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633930 */     // MIs[0] policy
     /* 1633930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633940 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1633943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633964 */     // GIR_Coverage, 4311,
     /* 1633964 */     GIR_EraseRootFromParent_Done,
     /* 1633965 */   // Label 22474: @1633965
     /* 1633965 */   GIM_Try, /*On fail goto*//*Label 22475*/ GIMT_Encode4(1634051), // Rule ID 4312 //
     /* 1633970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1633981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1633984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1633987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634016 */     // MIs[0] policy
     /* 1634016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634026 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1634029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634050 */     // GIR_Coverage, 4312,
     /* 1634050 */     GIR_EraseRootFromParent_Done,
     /* 1634051 */   // Label 22475: @1634051
     /* 1634051 */   GIM_Try, /*On fail goto*//*Label 22476*/ GIMT_Encode4(1634137), // Rule ID 4315 //
     /* 1634056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1634059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1634067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1634070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1634073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634102 */     // MIs[0] policy
     /* 1634102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634112 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1634115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634136 */     // GIR_Coverage, 4315,
     /* 1634136 */     GIR_EraseRootFromParent_Done,
     /* 1634137 */   // Label 22476: @1634137
     /* 1634137 */   GIM_Try, /*On fail goto*//*Label 22477*/ GIMT_Encode4(1634223), // Rule ID 4316 //
     /* 1634142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1634145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1634153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1634156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1634159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634188 */     // MIs[0] policy
     /* 1634188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634198 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11573:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1634201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634222 */     // GIR_Coverage, 4316,
     /* 1634222 */     GIR_EraseRootFromParent_Done,
     /* 1634223 */   // Label 22477: @1634223
     /* 1634223 */   GIM_Try, /*On fail goto*//*Label 22478*/ GIMT_Encode4(1634309), // Rule ID 4319 //
     /* 1634228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1634231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1634239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1634242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1634245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634274 */     // MIs[0] policy
     /* 1634274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634284 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1634287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634308 */     // GIR_Coverage, 4319,
     /* 1634308 */     GIR_EraseRootFromParent_Done,
     /* 1634309 */   // Label 22478: @1634309
     /* 1634309 */   GIM_Try, /*On fail goto*//*Label 22479*/ GIMT_Encode4(1634395), // Rule ID 4320 //
     /* 1634314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1634317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1634325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1634328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1634331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634360 */     // MIs[0] policy
     /* 1634360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634370 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11573:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1634373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634394 */     // GIR_Coverage, 4320,
     /* 1634394 */     GIR_EraseRootFromParent_Done,
     /* 1634395 */   // Label 22479: @1634395
     /* 1634395 */   GIM_Try, /*On fail goto*//*Label 22480*/ GIMT_Encode4(1634481), // Rule ID 4323 //
     /* 1634400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1634403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1634411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1634414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1634417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634446 */     // MIs[0] policy
     /* 1634446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634456 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1634459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634480 */     // GIR_Coverage, 4323,
     /* 1634480 */     GIR_EraseRootFromParent_Done,
     /* 1634481 */   // Label 22480: @1634481
     /* 1634481 */   GIM_Try, /*On fail goto*//*Label 22481*/ GIMT_Encode4(1634567), // Rule ID 4324 //
     /* 1634486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1634489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1634497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1634500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1634503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634532 */     // MIs[0] policy
     /* 1634532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634542 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11573:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1634545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634566 */     // GIR_Coverage, 4324,
     /* 1634566 */     GIR_EraseRootFromParent_Done,
     /* 1634567 */   // Label 22481: @1634567
     /* 1634567 */   GIM_Try, /*On fail goto*//*Label 22482*/ GIMT_Encode4(1634653), // Rule ID 4327 //
     /* 1634572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1634575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1634583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1634586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1634589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634618 */     // MIs[0] policy
     /* 1634618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634628 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1634631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634652 */     // GIR_Coverage, 4327,
     /* 1634652 */     GIR_EraseRootFromParent_Done,
     /* 1634653 */   // Label 22482: @1634653
     /* 1634653 */   GIM_Try, /*On fail goto*//*Label 22483*/ GIMT_Encode4(1634739), // Rule ID 4328 //
     /* 1634658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1634661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1634669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1634672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1634675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634704 */     // MIs[0] policy
     /* 1634704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634714 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11573:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1634717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634738 */     // GIR_Coverage, 4328,
     /* 1634738 */     GIR_EraseRootFromParent_Done,
     /* 1634739 */   // Label 22483: @1634739
     /* 1634739 */   GIM_Try, /*On fail goto*//*Label 22484*/ GIMT_Encode4(1634825), // Rule ID 4337 //
     /* 1634744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1634752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1634755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1634758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1634761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1634764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634790 */     // MIs[0] policy
     /* 1634790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634800 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1634803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634824 */     // GIR_Coverage, 4337,
     /* 1634824 */     GIR_EraseRootFromParent_Done,
     /* 1634825 */   // Label 22484: @1634825
     /* 1634825 */   GIM_Try, /*On fail goto*//*Label 22485*/ GIMT_Encode4(1634911), // Rule ID 4338 //
     /* 1634830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1634838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1634841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1634844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1634847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1634850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634876 */     // MIs[0] policy
     /* 1634876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634886 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1634889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634910 */     // GIR_Coverage, 4338,
     /* 1634910 */     GIR_EraseRootFromParent_Done,
     /* 1634911 */   // Label 22485: @1634911
     /* 1634911 */   GIM_Try, /*On fail goto*//*Label 22486*/ GIMT_Encode4(1634997), // Rule ID 4347 //
     /* 1634916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1634924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1634927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1634930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1634933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1634936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634962 */     // MIs[0] policy
     /* 1634962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634972 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1634975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634996 */     // GIR_Coverage, 4347,
     /* 1634996 */     GIR_EraseRootFromParent_Done,
     /* 1634997 */   // Label 22486: @1634997
     /* 1634997 */   GIM_Try, /*On fail goto*//*Label 22487*/ GIMT_Encode4(1635083), // Rule ID 4348 //
     /* 1635002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1635010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1635013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1635016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1635019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1635022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635048 */     // MIs[0] policy
     /* 1635048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635058 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1635061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635082 */     // GIR_Coverage, 4348,
     /* 1635082 */     GIR_EraseRootFromParent_Done,
     /* 1635083 */   // Label 22487: @1635083
     /* 1635083 */   GIM_Try, /*On fail goto*//*Label 22488*/ GIMT_Encode4(1635169), // Rule ID 4357 //
     /* 1635088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1635096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1635099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1635102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1635105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1635108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635134 */     // MIs[0] policy
     /* 1635134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635144 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1635147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635168 */     // GIR_Coverage, 4357,
     /* 1635168 */     GIR_EraseRootFromParent_Done,
     /* 1635169 */   // Label 22488: @1635169
     /* 1635169 */   GIM_Try, /*On fail goto*//*Label 22489*/ GIMT_Encode4(1635255), // Rule ID 4358 //
     /* 1635174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1635182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1635185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1635188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1635191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1635194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635220 */     // MIs[0] policy
     /* 1635220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635230 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1635233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635254 */     // GIR_Coverage, 4358,
     /* 1635254 */     GIR_EraseRootFromParent_Done,
     /* 1635255 */   // Label 22489: @1635255
     /* 1635255 */   GIM_Try, /*On fail goto*//*Label 22490*/ GIMT_Encode4(1635341), // Rule ID 4367 //
     /* 1635260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1635268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1635271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1635274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1635277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1635280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635306 */     // MIs[0] policy
     /* 1635306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635316 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1635319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635340 */     // GIR_Coverage, 4367,
     /* 1635340 */     GIR_EraseRootFromParent_Done,
     /* 1635341 */   // Label 22490: @1635341
     /* 1635341 */   GIM_Try, /*On fail goto*//*Label 22491*/ GIMT_Encode4(1635427), // Rule ID 4368 //
     /* 1635346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1635354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1635357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1635360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1635363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1635366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635392 */     // MIs[0] policy
     /* 1635392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635402 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1635405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635426 */     // GIR_Coverage, 4368,
     /* 1635426 */     GIR_EraseRootFromParent_Done,
     /* 1635427 */   // Label 22491: @1635427
     /* 1635427 */   GIM_Try, /*On fail goto*//*Label 22492*/ GIMT_Encode4(1635513), // Rule ID 4377 //
     /* 1635432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1635440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1635443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1635446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1635449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1635452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1635455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635478 */     // MIs[0] policy
     /* 1635478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635488 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1635491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635512 */     // GIR_Coverage, 4377,
     /* 1635512 */     GIR_EraseRootFromParent_Done,
     /* 1635513 */   // Label 22492: @1635513
     /* 1635513 */   GIM_Try, /*On fail goto*//*Label 22493*/ GIMT_Encode4(1635599), // Rule ID 4378 //
     /* 1635518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1635526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1635529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1635532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1635535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1635538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1635541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635564 */     // MIs[0] policy
     /* 1635564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635574 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1635577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635598 */     // GIR_Coverage, 4378,
     /* 1635598 */     GIR_EraseRootFromParent_Done,
     /* 1635599 */   // Label 22493: @1635599
     /* 1635599 */   GIM_Try, /*On fail goto*//*Label 22494*/ GIMT_Encode4(1635685), // Rule ID 4387 //
     /* 1635604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1635612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1635615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1635618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1635621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1635624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1635627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635650 */     // MIs[0] policy
     /* 1635650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635660 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1635663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635684 */     // GIR_Coverage, 4387,
     /* 1635684 */     GIR_EraseRootFromParent_Done,
     /* 1635685 */   // Label 22494: @1635685
     /* 1635685 */   GIM_Try, /*On fail goto*//*Label 22495*/ GIMT_Encode4(1635771), // Rule ID 4388 //
     /* 1635690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1635698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1635701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1635704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1635707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1635710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1635713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635736 */     // MIs[0] policy
     /* 1635736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635746 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1635749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635770 */     // GIR_Coverage, 4388,
     /* 1635770 */     GIR_EraseRootFromParent_Done,
     /* 1635771 */   // Label 22495: @1635771
     /* 1635771 */   GIM_Try, /*On fail goto*//*Label 22496*/ GIMT_Encode4(1635857), // Rule ID 4397 //
     /* 1635776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1635784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1635787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1635790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1635793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1635796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635822 */     // MIs[0] policy
     /* 1635822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635832 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1635835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635856 */     // GIR_Coverage, 4397,
     /* 1635856 */     GIR_EraseRootFromParent_Done,
     /* 1635857 */   // Label 22496: @1635857
     /* 1635857 */   GIM_Try, /*On fail goto*//*Label 22497*/ GIMT_Encode4(1635943), // Rule ID 4398 //
     /* 1635862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1635870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1635873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1635876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1635879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1635882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635908 */     // MIs[0] policy
     /* 1635908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635918 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1635921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635942 */     // GIR_Coverage, 4398,
     /* 1635942 */     GIR_EraseRootFromParent_Done,
     /* 1635943 */   // Label 22497: @1635943
     /* 1635943 */   GIM_Try, /*On fail goto*//*Label 22498*/ GIMT_Encode4(1636029), // Rule ID 4407 //
     /* 1635948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1635956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1635959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1635962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1635965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1635968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635994 */     // MIs[0] policy
     /* 1635994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636004 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1636007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636028 */     // GIR_Coverage, 4407,
     /* 1636028 */     GIR_EraseRootFromParent_Done,
     /* 1636029 */   // Label 22498: @1636029
     /* 1636029 */   GIM_Try, /*On fail goto*//*Label 22499*/ GIMT_Encode4(1636115), // Rule ID 4408 //
     /* 1636034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1636045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1636048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1636051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1636054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636080 */     // MIs[0] policy
     /* 1636080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636090 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1636093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636114 */     // GIR_Coverage, 4408,
     /* 1636114 */     GIR_EraseRootFromParent_Done,
     /* 1636115 */   // Label 22499: @1636115
     /* 1636115 */   GIM_Try, /*On fail goto*//*Label 22500*/ GIMT_Encode4(1636201), // Rule ID 4417 //
     /* 1636120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1636131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1636134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1636137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1636140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636166 */     // MIs[0] policy
     /* 1636166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636176 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1636179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636200 */     // GIR_Coverage, 4417,
     /* 1636200 */     GIR_EraseRootFromParent_Done,
     /* 1636201 */   // Label 22500: @1636201
     /* 1636201 */   GIM_Try, /*On fail goto*//*Label 22501*/ GIMT_Encode4(1636287), // Rule ID 4418 //
     /* 1636206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1636217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1636220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1636223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1636226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636252 */     // MIs[0] policy
     /* 1636252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636262 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1636265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636286 */     // GIR_Coverage, 4418,
     /* 1636286 */     GIR_EraseRootFromParent_Done,
     /* 1636287 */   // Label 22501: @1636287
     /* 1636287 */   GIM_Try, /*On fail goto*//*Label 22502*/ GIMT_Encode4(1636373), // Rule ID 4427 //
     /* 1636292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1636303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1636306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1636309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1636312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636338 */     // MIs[0] policy
     /* 1636338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636348 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1636351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636372 */     // GIR_Coverage, 4427,
     /* 1636372 */     GIR_EraseRootFromParent_Done,
     /* 1636373 */   // Label 22502: @1636373
     /* 1636373 */   GIM_Try, /*On fail goto*//*Label 22503*/ GIMT_Encode4(1636459), // Rule ID 4428 //
     /* 1636378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1636389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1636392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1636395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1636398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636424 */     // MIs[0] policy
     /* 1636424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636434 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1636437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636458 */     // GIR_Coverage, 4428,
     /* 1636458 */     GIR_EraseRootFromParent_Done,
     /* 1636459 */   // Label 22503: @1636459
     /* 1636459 */   GIM_Try, /*On fail goto*//*Label 22504*/ GIMT_Encode4(1636545), // Rule ID 4437 //
     /* 1636464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1636475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1636478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1636481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1636484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636510 */     // MIs[0] policy
     /* 1636510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636520 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1636523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636544 */     // GIR_Coverage, 4437,
     /* 1636544 */     GIR_EraseRootFromParent_Done,
     /* 1636545 */   // Label 22504: @1636545
     /* 1636545 */   GIM_Try, /*On fail goto*//*Label 22505*/ GIMT_Encode4(1636631), // Rule ID 4438 //
     /* 1636550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1636561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1636564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1636567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1636570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636596 */     // MIs[0] policy
     /* 1636596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636606 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1636609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636630 */     // GIR_Coverage, 4438,
     /* 1636630 */     GIR_EraseRootFromParent_Done,
     /* 1636631 */   // Label 22505: @1636631
     /* 1636631 */   GIM_Try, /*On fail goto*//*Label 22506*/ GIMT_Encode4(1636717), // Rule ID 4447 //
     /* 1636636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1636639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1636647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1636650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1636653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1636656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636682 */     // MIs[0] policy
     /* 1636682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636692 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1636695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636716 */     // GIR_Coverage, 4447,
     /* 1636716 */     GIR_EraseRootFromParent_Done,
     /* 1636717 */   // Label 22506: @1636717
     /* 1636717 */   GIM_Try, /*On fail goto*//*Label 22507*/ GIMT_Encode4(1636803), // Rule ID 4448 //
     /* 1636722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1636725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1636733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1636736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1636739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1636742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636768 */     // MIs[0] policy
     /* 1636768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636778 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1636781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636802 */     // GIR_Coverage, 4448,
     /* 1636802 */     GIR_EraseRootFromParent_Done,
     /* 1636803 */   // Label 22507: @1636803
     /* 1636803 */   GIM_Try, /*On fail goto*//*Label 22508*/ GIMT_Encode4(1636889), // Rule ID 4457 //
     /* 1636808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1636811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1636819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1636822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1636825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1636828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636854 */     // MIs[0] policy
     /* 1636854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636864 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1636867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636888 */     // GIR_Coverage, 4457,
     /* 1636888 */     GIR_EraseRootFromParent_Done,
     /* 1636889 */   // Label 22508: @1636889
     /* 1636889 */   GIM_Try, /*On fail goto*//*Label 22509*/ GIMT_Encode4(1636975), // Rule ID 4458 //
     /* 1636894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1636897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1636905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1636908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1636911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1636914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636940 */     // MIs[0] policy
     /* 1636940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636950 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1636953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636974 */     // GIR_Coverage, 4458,
     /* 1636974 */     GIR_EraseRootFromParent_Done,
     /* 1636975 */   // Label 22509: @1636975
     /* 1636975 */   GIM_Try, /*On fail goto*//*Label 22510*/ GIMT_Encode4(1637061), // Rule ID 4467 //
     /* 1636980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1636983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1636988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1636991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1636994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1636997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1637000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637026 */     // MIs[0] policy
     /* 1637026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637036 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1637039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637060 */     // GIR_Coverage, 4467,
     /* 1637060 */     GIR_EraseRootFromParent_Done,
     /* 1637061 */   // Label 22510: @1637061
     /* 1637061 */   GIM_Try, /*On fail goto*//*Label 22511*/ GIMT_Encode4(1637147), // Rule ID 4468 //
     /* 1637066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1637077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1637080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1637083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1637086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637112 */     // MIs[0] policy
     /* 1637112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637122 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1637125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637146 */     // GIR_Coverage, 4468,
     /* 1637146 */     GIR_EraseRootFromParent_Done,
     /* 1637147 */   // Label 22511: @1637147
     /* 1637147 */   GIM_Try, /*On fail goto*//*Label 22512*/ GIMT_Encode4(1637233), // Rule ID 4477 //
     /* 1637152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1637155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1637163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1637166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1637169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1637172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637198 */     // MIs[0] policy
     /* 1637198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637208 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1637211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637232 */     // GIR_Coverage, 4477,
     /* 1637232 */     GIR_EraseRootFromParent_Done,
     /* 1637233 */   // Label 22512: @1637233
     /* 1637233 */   GIM_Try, /*On fail goto*//*Label 22513*/ GIMT_Encode4(1637319), // Rule ID 4478 //
     /* 1637238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1637249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1637252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1637255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1637258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637284 */     // MIs[0] policy
     /* 1637284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637294 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1637297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637318 */     // GIR_Coverage, 4478,
     /* 1637318 */     GIR_EraseRootFromParent_Done,
     /* 1637319 */   // Label 22513: @1637319
     /* 1637319 */   GIM_Try, /*On fail goto*//*Label 22514*/ GIMT_Encode4(1637405), // Rule ID 4481 //
     /* 1637324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1637335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1637338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1637341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1637344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637370 */     // MIs[0] policy
     /* 1637370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637380 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1637383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637404 */     // GIR_Coverage, 4481,
     /* 1637404 */     GIR_EraseRootFromParent_Done,
     /* 1637405 */   // Label 22514: @1637405
     /* 1637405 */   GIM_Try, /*On fail goto*//*Label 22515*/ GIMT_Encode4(1637491), // Rule ID 4482 //
     /* 1637410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1637421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1637424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1637427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1637430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637456 */     // MIs[0] policy
     /* 1637456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637466 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1637469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637490 */     // GIR_Coverage, 4482,
     /* 1637490 */     GIR_EraseRootFromParent_Done,
     /* 1637491 */   // Label 22515: @1637491
     /* 1637491 */   GIM_Try, /*On fail goto*//*Label 22516*/ GIMT_Encode4(1637577), // Rule ID 4485 //
     /* 1637496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1637507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1637510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1637513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1637516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637542 */     // MIs[0] policy
     /* 1637542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637552 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1637555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637576 */     // GIR_Coverage, 4485,
     /* 1637576 */     GIR_EraseRootFromParent_Done,
     /* 1637577 */   // Label 22516: @1637577
     /* 1637577 */   GIM_Try, /*On fail goto*//*Label 22517*/ GIMT_Encode4(1637663), // Rule ID 4486 //
     /* 1637582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1637593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1637596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1637599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1637602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637628 */     // MIs[0] policy
     /* 1637628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637638 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1637641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637662 */     // GIR_Coverage, 4486,
     /* 1637662 */     GIR_EraseRootFromParent_Done,
     /* 1637663 */   // Label 22517: @1637663
     /* 1637663 */   GIM_Try, /*On fail goto*//*Label 22518*/ GIMT_Encode4(1637749), // Rule ID 4489 //
     /* 1637668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1637679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1637682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1637685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1637688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637714 */     // MIs[0] policy
     /* 1637714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637724 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1637727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637748 */     // GIR_Coverage, 4489,
     /* 1637748 */     GIR_EraseRootFromParent_Done,
     /* 1637749 */   // Label 22518: @1637749
     /* 1637749 */   GIM_Try, /*On fail goto*//*Label 22519*/ GIMT_Encode4(1637835), // Rule ID 4490 //
     /* 1637754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1637765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1637768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1637771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1637774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637800 */     // MIs[0] policy
     /* 1637800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637810 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1637813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637834 */     // GIR_Coverage, 4490,
     /* 1637834 */     GIR_EraseRootFromParent_Done,
     /* 1637835 */   // Label 22519: @1637835
     /* 1637835 */   GIM_Try, /*On fail goto*//*Label 22520*/ GIMT_Encode4(1637921), // Rule ID 4493 //
     /* 1637840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1637851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1637854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1637857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1637860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637886 */     // MIs[0] policy
     /* 1637886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637896 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1637899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637920 */     // GIR_Coverage, 4493,
     /* 1637920 */     GIR_EraseRootFromParent_Done,
     /* 1637921 */   // Label 22520: @1637921
     /* 1637921 */   GIM_Try, /*On fail goto*//*Label 22521*/ GIMT_Encode4(1638007), // Rule ID 4494 //
     /* 1637926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1637937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1637940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1637943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1637946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637972 */     // MIs[0] policy
     /* 1637972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637982 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1637985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638006 */     // GIR_Coverage, 4494,
     /* 1638006 */     GIR_EraseRootFromParent_Done,
     /* 1638007 */   // Label 22521: @1638007
     /* 1638007 */   GIM_Try, /*On fail goto*//*Label 22522*/ GIMT_Encode4(1638093), // Rule ID 4497 //
     /* 1638012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1638023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1638026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1638029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1638035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638058 */     // MIs[0] policy
     /* 1638058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638068 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1638071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638092 */     // GIR_Coverage, 4497,
     /* 1638092 */     GIR_EraseRootFromParent_Done,
     /* 1638093 */   // Label 22522: @1638093
     /* 1638093 */   GIM_Try, /*On fail goto*//*Label 22523*/ GIMT_Encode4(1638179), // Rule ID 4498 //
     /* 1638098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1638109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1638112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1638115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1638121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638144 */     // MIs[0] policy
     /* 1638144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638154 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1638157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638178 */     // GIR_Coverage, 4498,
     /* 1638178 */     GIR_EraseRootFromParent_Done,
     /* 1638179 */   // Label 22523: @1638179
     /* 1638179 */   GIM_Try, /*On fail goto*//*Label 22524*/ GIMT_Encode4(1638265), // Rule ID 4501 //
     /* 1638184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1638195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1638198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1638201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1638207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638230 */     // MIs[0] policy
     /* 1638230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638240 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1638243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638264 */     // GIR_Coverage, 4501,
     /* 1638264 */     GIR_EraseRootFromParent_Done,
     /* 1638265 */   // Label 22524: @1638265
     /* 1638265 */   GIM_Try, /*On fail goto*//*Label 22525*/ GIMT_Encode4(1638351), // Rule ID 4502 //
     /* 1638270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1638281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1638284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1638287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1638293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638316 */     // MIs[0] policy
     /* 1638316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638326 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1638329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638350 */     // GIR_Coverage, 4502,
     /* 1638350 */     GIR_EraseRootFromParent_Done,
     /* 1638351 */   // Label 22525: @1638351
     /* 1638351 */   GIM_Try, /*On fail goto*//*Label 22526*/ GIMT_Encode4(1638437), // Rule ID 4505 //
     /* 1638356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1638367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1638370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1638373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638402 */     // MIs[0] policy
     /* 1638402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638412 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1638415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638436 */     // GIR_Coverage, 4505,
     /* 1638436 */     GIR_EraseRootFromParent_Done,
     /* 1638437 */   // Label 22526: @1638437
     /* 1638437 */   GIM_Try, /*On fail goto*//*Label 22527*/ GIMT_Encode4(1638523), // Rule ID 4506 //
     /* 1638442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1638453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1638456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1638459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638488 */     // MIs[0] policy
     /* 1638488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638498 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1638501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638522 */     // GIR_Coverage, 4506,
     /* 1638522 */     GIR_EraseRootFromParent_Done,
     /* 1638523 */   // Label 22527: @1638523
     /* 1638523 */   GIM_Try, /*On fail goto*//*Label 22528*/ GIMT_Encode4(1638609), // Rule ID 4509 //
     /* 1638528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1638539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1638542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1638545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638574 */     // MIs[0] policy
     /* 1638574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638584 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1638587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638608 */     // GIR_Coverage, 4509,
     /* 1638608 */     GIR_EraseRootFromParent_Done,
     /* 1638609 */   // Label 22528: @1638609
     /* 1638609 */   GIM_Try, /*On fail goto*//*Label 22529*/ GIMT_Encode4(1638695), // Rule ID 4510 //
     /* 1638614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1638625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1638628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1638631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638660 */     // MIs[0] policy
     /* 1638660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638670 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1638673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638694 */     // GIR_Coverage, 4510,
     /* 1638694 */     GIR_EraseRootFromParent_Done,
     /* 1638695 */   // Label 22529: @1638695
     /* 1638695 */   GIM_Try, /*On fail goto*//*Label 22530*/ GIMT_Encode4(1638781), // Rule ID 4513 //
     /* 1638700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1638711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1638714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1638717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638746 */     // MIs[0] policy
     /* 1638746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638756 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1638759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638780 */     // GIR_Coverage, 4513,
     /* 1638780 */     GIR_EraseRootFromParent_Done,
     /* 1638781 */   // Label 22530: @1638781
     /* 1638781 */   GIM_Try, /*On fail goto*//*Label 22531*/ GIMT_Encode4(1638867), // Rule ID 4514 //
     /* 1638786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1638797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1638800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1638803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638832 */     // MIs[0] policy
     /* 1638832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638842 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1638845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638866 */     // GIR_Coverage, 4514,
     /* 1638866 */     GIR_EraseRootFromParent_Done,
     /* 1638867 */   // Label 22531: @1638867
     /* 1638867 */   GIM_Try, /*On fail goto*//*Label 22532*/ GIMT_Encode4(1638953), // Rule ID 4517 //
     /* 1638872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1638883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1638886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1638889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638918 */     // MIs[0] policy
     /* 1638918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638928 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1638931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638952 */     // GIR_Coverage, 4517,
     /* 1638952 */     GIR_EraseRootFromParent_Done,
     /* 1638953 */   // Label 22532: @1638953
     /* 1638953 */   GIM_Try, /*On fail goto*//*Label 22533*/ GIMT_Encode4(1639039), // Rule ID 4518 //
     /* 1638958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1638969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1638972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1638975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639004 */     // MIs[0] policy
     /* 1639004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639014 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1639017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639038 */     // GIR_Coverage, 4518,
     /* 1639038 */     GIR_EraseRootFromParent_Done,
     /* 1639039 */   // Label 22533: @1639039
     /* 1639039 */   GIM_Try, /*On fail goto*//*Label 22534*/ GIMT_Encode4(1639125), // Rule ID 4521 //
     /* 1639044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1639055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1639058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1639061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639090 */     // MIs[0] policy
     /* 1639090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639100 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1639103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639124 */     // GIR_Coverage, 4521,
     /* 1639124 */     GIR_EraseRootFromParent_Done,
     /* 1639125 */   // Label 22534: @1639125
     /* 1639125 */   GIM_Try, /*On fail goto*//*Label 22535*/ GIMT_Encode4(1639211), // Rule ID 4522 //
     /* 1639130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1639141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1639144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1639147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639176 */     // MIs[0] policy
     /* 1639176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639186 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1639189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639210 */     // GIR_Coverage, 4522,
     /* 1639210 */     GIR_EraseRootFromParent_Done,
     /* 1639211 */   // Label 22535: @1639211
     /* 1639211 */   GIM_Try, /*On fail goto*//*Label 22536*/ GIMT_Encode4(1639297), // Rule ID 4525 //
     /* 1639216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1639219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1639227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1639230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1639233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639262 */     // MIs[0] policy
     /* 1639262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639272 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1639275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639296 */     // GIR_Coverage, 4525,
     /* 1639296 */     GIR_EraseRootFromParent_Done,
     /* 1639297 */   // Label 22536: @1639297
     /* 1639297 */   GIM_Try, /*On fail goto*//*Label 22537*/ GIMT_Encode4(1639383), // Rule ID 4526 //
     /* 1639302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1639305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1639313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1639316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1639319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639348 */     // MIs[0] policy
     /* 1639348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639358 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1639361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639382 */     // GIR_Coverage, 4526,
     /* 1639382 */     GIR_EraseRootFromParent_Done,
     /* 1639383 */   // Label 22537: @1639383
     /* 1639383 */   GIM_Try, /*On fail goto*//*Label 22538*/ GIMT_Encode4(1639469), // Rule ID 4529 //
     /* 1639388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1639391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1639399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1639402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1639405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639434 */     // MIs[0] policy
     /* 1639434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639444 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1639447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639468 */     // GIR_Coverage, 4529,
     /* 1639468 */     GIR_EraseRootFromParent_Done,
     /* 1639469 */   // Label 22538: @1639469
     /* 1639469 */   GIM_Try, /*On fail goto*//*Label 22539*/ GIMT_Encode4(1639555), // Rule ID 4530 //
     /* 1639474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1639477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1639485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1639488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1639491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639520 */     // MIs[0] policy
     /* 1639520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639530 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1639533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639554 */     // GIR_Coverage, 4530,
     /* 1639554 */     GIR_EraseRootFromParent_Done,
     /* 1639555 */   // Label 22539: @1639555
     /* 1639555 */   GIM_Try, /*On fail goto*//*Label 22540*/ GIMT_Encode4(1639641), // Rule ID 4533 //
     /* 1639560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1639563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1639571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1639574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1639577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639606 */     // MIs[0] policy
     /* 1639606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639616 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1639619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639640 */     // GIR_Coverage, 4533,
     /* 1639640 */     GIR_EraseRootFromParent_Done,
     /* 1639641 */   // Label 22540: @1639641
     /* 1639641 */   GIM_Try, /*On fail goto*//*Label 22541*/ GIMT_Encode4(1639727), // Rule ID 4534 //
     /* 1639646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1639649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1639657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1639660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1639663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639692 */     // MIs[0] policy
     /* 1639692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1639705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639726 */     // GIR_Coverage, 4534,
     /* 1639726 */     GIR_EraseRootFromParent_Done,
     /* 1639727 */   // Label 22541: @1639727
     /* 1639727 */   GIM_Try, /*On fail goto*//*Label 22542*/ GIMT_Encode4(1639813), // Rule ID 4537 //
     /* 1639732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1639735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1639743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1639746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1639749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639778 */     // MIs[0] policy
     /* 1639778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639788 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1639791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639812 */     // GIR_Coverage, 4537,
     /* 1639812 */     GIR_EraseRootFromParent_Done,
     /* 1639813 */   // Label 22542: @1639813
     /* 1639813 */   GIM_Try, /*On fail goto*//*Label 22543*/ GIMT_Encode4(1639899), // Rule ID 4538 //
     /* 1639818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1639821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1639829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1639832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1639835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639864 */     // MIs[0] policy
     /* 1639864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1639877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639898 */     // GIR_Coverage, 4538,
     /* 1639898 */     GIR_EraseRootFromParent_Done,
     /* 1639899 */   // Label 22543: @1639899
     /* 1639899 */   GIM_Try, /*On fail goto*//*Label 22544*/ GIMT_Encode4(1639985), // Rule ID 4547 //
     /* 1639904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1639912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1639915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1639918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1639921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1639924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639950 */     // MIs[0] policy
     /* 1639950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639960 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1639963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639984 */     // GIR_Coverage, 4547,
     /* 1639984 */     GIR_EraseRootFromParent_Done,
     /* 1639985 */   // Label 22544: @1639985
     /* 1639985 */   GIM_Try, /*On fail goto*//*Label 22545*/ GIMT_Encode4(1640071), // Rule ID 4548 //
     /* 1639990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1639998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1640001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1640004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1640007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1640010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640036 */     // MIs[0] policy
     /* 1640036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1640049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640070 */     // GIR_Coverage, 4548,
     /* 1640070 */     GIR_EraseRootFromParent_Done,
     /* 1640071 */   // Label 22545: @1640071
     /* 1640071 */   GIM_Try, /*On fail goto*//*Label 22546*/ GIMT_Encode4(1640157), // Rule ID 4557 //
     /* 1640076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1640084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1640087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1640090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1640093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1640096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640122 */     // MIs[0] policy
     /* 1640122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640132 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1640135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640156 */     // GIR_Coverage, 4557,
     /* 1640156 */     GIR_EraseRootFromParent_Done,
     /* 1640157 */   // Label 22546: @1640157
     /* 1640157 */   GIM_Try, /*On fail goto*//*Label 22547*/ GIMT_Encode4(1640243), // Rule ID 4558 //
     /* 1640162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1640170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1640173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1640176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1640179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1640182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640208 */     // MIs[0] policy
     /* 1640208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640218 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1640221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640242 */     // GIR_Coverage, 4558,
     /* 1640242 */     GIR_EraseRootFromParent_Done,
     /* 1640243 */   // Label 22547: @1640243
     /* 1640243 */   GIM_Try, /*On fail goto*//*Label 22548*/ GIMT_Encode4(1640329), // Rule ID 4567 //
     /* 1640248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1640256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1640259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1640262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1640265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1640268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640294 */     // MIs[0] policy
     /* 1640294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640304 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1640307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640328 */     // GIR_Coverage, 4567,
     /* 1640328 */     GIR_EraseRootFromParent_Done,
     /* 1640329 */   // Label 22548: @1640329
     /* 1640329 */   GIM_Try, /*On fail goto*//*Label 22549*/ GIMT_Encode4(1640415), // Rule ID 4568 //
     /* 1640334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1640342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1640345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1640348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1640351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1640354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640380 */     // MIs[0] policy
     /* 1640380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640390 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1640393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640414 */     // GIR_Coverage, 4568,
     /* 1640414 */     GIR_EraseRootFromParent_Done,
     /* 1640415 */   // Label 22549: @1640415
     /* 1640415 */   GIM_Try, /*On fail goto*//*Label 22550*/ GIMT_Encode4(1640501), // Rule ID 4577 //
     /* 1640420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1640428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1640431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1640434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1640437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1640440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640466 */     // MIs[0] policy
     /* 1640466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640476 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1640479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640500 */     // GIR_Coverage, 4577,
     /* 1640500 */     GIR_EraseRootFromParent_Done,
     /* 1640501 */   // Label 22550: @1640501
     /* 1640501 */   GIM_Try, /*On fail goto*//*Label 22551*/ GIMT_Encode4(1640587), // Rule ID 4578 //
     /* 1640506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1640514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1640517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1640520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1640523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1640526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640552 */     // MIs[0] policy
     /* 1640552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640562 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1640565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640586 */     // GIR_Coverage, 4578,
     /* 1640586 */     GIR_EraseRootFromParent_Done,
     /* 1640587 */   // Label 22551: @1640587
     /* 1640587 */   GIM_Try, /*On fail goto*//*Label 22552*/ GIMT_Encode4(1640673), // Rule ID 4587 //
     /* 1640592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1640600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1640603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1640606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1640609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1640612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1640615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640638 */     // MIs[0] policy
     /* 1640638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640648 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1640651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640672 */     // GIR_Coverage, 4587,
     /* 1640672 */     GIR_EraseRootFromParent_Done,
     /* 1640673 */   // Label 22552: @1640673
     /* 1640673 */   GIM_Try, /*On fail goto*//*Label 22553*/ GIMT_Encode4(1640759), // Rule ID 4588 //
     /* 1640678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1640686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1640689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1640692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1640695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1640698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1640701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640724 */     // MIs[0] policy
     /* 1640724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640734 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1640737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640758 */     // GIR_Coverage, 4588,
     /* 1640758 */     GIR_EraseRootFromParent_Done,
     /* 1640759 */   // Label 22553: @1640759
     /* 1640759 */   GIM_Try, /*On fail goto*//*Label 22554*/ GIMT_Encode4(1640845), // Rule ID 4597 //
     /* 1640764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1640772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1640775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1640778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1640781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1640784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1640787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640810 */     // MIs[0] policy
     /* 1640810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640820 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1640823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640844 */     // GIR_Coverage, 4597,
     /* 1640844 */     GIR_EraseRootFromParent_Done,
     /* 1640845 */   // Label 22554: @1640845
     /* 1640845 */   GIM_Try, /*On fail goto*//*Label 22555*/ GIMT_Encode4(1640931), // Rule ID 4598 //
     /* 1640850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1640858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1640861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1640864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1640867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1640870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1640873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640896 */     // MIs[0] policy
     /* 1640896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640906 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1640909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640930 */     // GIR_Coverage, 4598,
     /* 1640930 */     GIR_EraseRootFromParent_Done,
     /* 1640931 */   // Label 22555: @1640931
     /* 1640931 */   GIM_Try, /*On fail goto*//*Label 22556*/ GIMT_Encode4(1641017), // Rule ID 4607 //
     /* 1640936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1640944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1640947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1640950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1640953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1640956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640982 */     // MIs[0] policy
     /* 1640982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640992 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1640995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641016 */     // GIR_Coverage, 4607,
     /* 1641016 */     GIR_EraseRootFromParent_Done,
     /* 1641017 */   // Label 22556: @1641017
     /* 1641017 */   GIM_Try, /*On fail goto*//*Label 22557*/ GIMT_Encode4(1641103), // Rule ID 4608 //
     /* 1641022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1641033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1641036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1641039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1641042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641068 */     // MIs[0] policy
     /* 1641068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641078 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1641081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641102 */     // GIR_Coverage, 4608,
     /* 1641102 */     GIR_EraseRootFromParent_Done,
     /* 1641103 */   // Label 22557: @1641103
     /* 1641103 */   GIM_Try, /*On fail goto*//*Label 22558*/ GIMT_Encode4(1641189), // Rule ID 4617 //
     /* 1641108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1641119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1641122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1641125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1641128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641154 */     // MIs[0] policy
     /* 1641154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641164 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1641167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641188 */     // GIR_Coverage, 4617,
     /* 1641188 */     GIR_EraseRootFromParent_Done,
     /* 1641189 */   // Label 22558: @1641189
     /* 1641189 */   GIM_Try, /*On fail goto*//*Label 22559*/ GIMT_Encode4(1641275), // Rule ID 4618 //
     /* 1641194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1641205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1641208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1641211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1641214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641240 */     // MIs[0] policy
     /* 1641240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641250 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1641253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641274 */     // GIR_Coverage, 4618,
     /* 1641274 */     GIR_EraseRootFromParent_Done,
     /* 1641275 */   // Label 22559: @1641275
     /* 1641275 */   GIM_Try, /*On fail goto*//*Label 22560*/ GIMT_Encode4(1641361), // Rule ID 4627 //
     /* 1641280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1641291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1641294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1641297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1641300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641326 */     // MIs[0] policy
     /* 1641326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641336 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1641339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641360 */     // GIR_Coverage, 4627,
     /* 1641360 */     GIR_EraseRootFromParent_Done,
     /* 1641361 */   // Label 22560: @1641361
     /* 1641361 */   GIM_Try, /*On fail goto*//*Label 22561*/ GIMT_Encode4(1641447), // Rule ID 4628 //
     /* 1641366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1641377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1641380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1641383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1641386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641412 */     // MIs[0] policy
     /* 1641412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641422 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1641425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641446 */     // GIR_Coverage, 4628,
     /* 1641446 */     GIR_EraseRootFromParent_Done,
     /* 1641447 */   // Label 22561: @1641447
     /* 1641447 */   GIM_Try, /*On fail goto*//*Label 22562*/ GIMT_Encode4(1641533), // Rule ID 4637 //
     /* 1641452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1641463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1641466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1641469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1641472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641498 */     // MIs[0] policy
     /* 1641498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641508 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1641511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641532 */     // GIR_Coverage, 4637,
     /* 1641532 */     GIR_EraseRootFromParent_Done,
     /* 1641533 */   // Label 22562: @1641533
     /* 1641533 */   GIM_Try, /*On fail goto*//*Label 22563*/ GIMT_Encode4(1641619), // Rule ID 4638 //
     /* 1641538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1641549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1641552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1641555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1641558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641584 */     // MIs[0] policy
     /* 1641584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641594 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1641597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641618 */     // GIR_Coverage, 4638,
     /* 1641618 */     GIR_EraseRootFromParent_Done,
     /* 1641619 */   // Label 22563: @1641619
     /* 1641619 */   GIM_Try, /*On fail goto*//*Label 22564*/ GIMT_Encode4(1641705), // Rule ID 4647 //
     /* 1641624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1641635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1641638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1641641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1641644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1641647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641670 */     // MIs[0] policy
     /* 1641670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641680 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1641683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641704 */     // GIR_Coverage, 4647,
     /* 1641704 */     GIR_EraseRootFromParent_Done,
     /* 1641705 */   // Label 22564: @1641705
     /* 1641705 */   GIM_Try, /*On fail goto*//*Label 22565*/ GIMT_Encode4(1641791), // Rule ID 4648 //
     /* 1641710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1641721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1641724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1641727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1641730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1641733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641756 */     // MIs[0] policy
     /* 1641756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641766 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1641769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641790 */     // GIR_Coverage, 4648,
     /* 1641790 */     GIR_EraseRootFromParent_Done,
     /* 1641791 */   // Label 22565: @1641791
     /* 1641791 */   GIM_Try, /*On fail goto*//*Label 22566*/ GIMT_Encode4(1641877), // Rule ID 4657 //
     /* 1641796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1641799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1641807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1641810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1641813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1641816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641842 */     // MIs[0] policy
     /* 1641842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641852 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1641855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641876 */     // GIR_Coverage, 4657,
     /* 1641876 */     GIR_EraseRootFromParent_Done,
     /* 1641877 */   // Label 22566: @1641877
     /* 1641877 */   GIM_Try, /*On fail goto*//*Label 22567*/ GIMT_Encode4(1641963), // Rule ID 4658 //
     /* 1641882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1641885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1641893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1641896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1641899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1641902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641928 */     // MIs[0] policy
     /* 1641928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641938 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1641941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641962 */     // GIR_Coverage, 4658,
     /* 1641962 */     GIR_EraseRootFromParent_Done,
     /* 1641963 */   // Label 22567: @1641963
     /* 1641963 */   GIM_Try, /*On fail goto*//*Label 22568*/ GIMT_Encode4(1642049), // Rule ID 4667 //
     /* 1641968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1641971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1641976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1641979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1641982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1641985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1641988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642014 */     // MIs[0] policy
     /* 1642014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642024 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1642027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642048 */     // GIR_Coverage, 4667,
     /* 1642048 */     GIR_EraseRootFromParent_Done,
     /* 1642049 */   // Label 22568: @1642049
     /* 1642049 */   GIM_Try, /*On fail goto*//*Label 22569*/ GIMT_Encode4(1642135), // Rule ID 4668 //
     /* 1642054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1642057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1642065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1642068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1642071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1642074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642100 */     // MIs[0] policy
     /* 1642100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642110 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1642113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642134 */     // GIR_Coverage, 4668,
     /* 1642134 */     GIR_EraseRootFromParent_Done,
     /* 1642135 */   // Label 22569: @1642135
     /* 1642135 */   GIM_Try, /*On fail goto*//*Label 22570*/ GIMT_Encode4(1642221), // Rule ID 4677 //
     /* 1642140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1642143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1642151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1642154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1642157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1642160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642186 */     // MIs[0] policy
     /* 1642186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1642199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642220 */     // GIR_Coverage, 4677,
     /* 1642220 */     GIR_EraseRootFromParent_Done,
     /* 1642221 */   // Label 22570: @1642221
     /* 1642221 */   GIM_Try, /*On fail goto*//*Label 22571*/ GIMT_Encode4(1642307), // Rule ID 4678 //
     /* 1642226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1642229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1642237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1642240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1642243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1642246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642272 */     // MIs[0] policy
     /* 1642272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642282 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1642285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642306 */     // GIR_Coverage, 4678,
     /* 1642306 */     GIR_EraseRootFromParent_Done,
     /* 1642307 */   // Label 22571: @1642307
     /* 1642307 */   GIM_Try, /*On fail goto*//*Label 22572*/ GIMT_Encode4(1642393), // Rule ID 4687 //
     /* 1642312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1642315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1642323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1642326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1642329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1642332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642358 */     // MIs[0] policy
     /* 1642358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642368 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1642371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642392 */     // GIR_Coverage, 4687,
     /* 1642392 */     GIR_EraseRootFromParent_Done,
     /* 1642393 */   // Label 22572: @1642393
     /* 1642393 */   GIM_Try, /*On fail goto*//*Label 22573*/ GIMT_Encode4(1642479), // Rule ID 4688 //
     /* 1642398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1642401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1642409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1642412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1642415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1642418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642444 */     // MIs[0] policy
     /* 1642444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642454 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1642457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642478 */     // GIR_Coverage, 4688,
     /* 1642478 */     GIR_EraseRootFromParent_Done,
     /* 1642479 */   // Label 22573: @1642479
     /* 1642479 */   GIM_Try, /*On fail goto*//*Label 22574*/ GIMT_Encode4(1642565), // Rule ID 4691 //
     /* 1642484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1642495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1642498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1642501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1642504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642530 */     // MIs[0] policy
     /* 1642530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642540 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1642543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642564 */     // GIR_Coverage, 4691,
     /* 1642564 */     GIR_EraseRootFromParent_Done,
     /* 1642565 */   // Label 22574: @1642565
     /* 1642565 */   GIM_Try, /*On fail goto*//*Label 22575*/ GIMT_Encode4(1642651), // Rule ID 4692 //
     /* 1642570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1642581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1642584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1642587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642616 */     // MIs[0] policy
     /* 1642616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642626 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1642629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642650 */     // GIR_Coverage, 4692,
     /* 1642650 */     GIR_EraseRootFromParent_Done,
     /* 1642651 */   // Label 22575: @1642651
     /* 1642651 */   GIM_Try, /*On fail goto*//*Label 22576*/ GIMT_Encode4(1642737), // Rule ID 4695 //
     /* 1642656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1642667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1642670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1642673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1642676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642702 */     // MIs[0] policy
     /* 1642702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642712 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1642715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642736 */     // GIR_Coverage, 4695,
     /* 1642736 */     GIR_EraseRootFromParent_Done,
     /* 1642737 */   // Label 22576: @1642737
     /* 1642737 */   GIM_Try, /*On fail goto*//*Label 22577*/ GIMT_Encode4(1642823), // Rule ID 4696 //
     /* 1642742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1642753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1642756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1642759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642788 */     // MIs[0] policy
     /* 1642788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642798 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1642801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642822 */     // GIR_Coverage, 4696,
     /* 1642822 */     GIR_EraseRootFromParent_Done,
     /* 1642823 */   // Label 22577: @1642823
     /* 1642823 */   GIM_Try, /*On fail goto*//*Label 22578*/ GIMT_Encode4(1642909), // Rule ID 4699 //
     /* 1642828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1642839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1642842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1642845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1642848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642874 */     // MIs[0] policy
     /* 1642874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1642887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642908 */     // GIR_Coverage, 4699,
     /* 1642908 */     GIR_EraseRootFromParent_Done,
     /* 1642909 */   // Label 22578: @1642909
     /* 1642909 */   GIM_Try, /*On fail goto*//*Label 22579*/ GIMT_Encode4(1642995), // Rule ID 4700 //
     /* 1642914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1642922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1642925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1642928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1642931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642960 */     // MIs[0] policy
     /* 1642960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642970 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11569:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1642973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642994 */     // GIR_Coverage, 4700,
     /* 1642994 */     GIR_EraseRootFromParent_Done,
     /* 1642995 */   // Label 22579: @1642995
     /* 1642995 */   GIM_Try, /*On fail goto*//*Label 22580*/ GIMT_Encode4(1643081), // Rule ID 4703 //
     /* 1643000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1643011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1643014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1643017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1643020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643046 */     // MIs[0] policy
     /* 1643046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643056 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1643059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643080 */     // GIR_Coverage, 4703,
     /* 1643080 */     GIR_EraseRootFromParent_Done,
     /* 1643081 */   // Label 22580: @1643081
     /* 1643081 */   GIM_Try, /*On fail goto*//*Label 22581*/ GIMT_Encode4(1643167), // Rule ID 4704 //
     /* 1643086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1643097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1643100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1643103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1643106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643132 */     // MIs[0] policy
     /* 1643132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643142 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1643145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643166 */     // GIR_Coverage, 4704,
     /* 1643166 */     GIR_EraseRootFromParent_Done,
     /* 1643167 */   // Label 22581: @1643167
     /* 1643167 */   GIM_Try, /*On fail goto*//*Label 22582*/ GIMT_Encode4(1643253), // Rule ID 4707 //
     /* 1643172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1643183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1643186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1643189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1643192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1643195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643218 */     // MIs[0] policy
     /* 1643218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643228 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1643231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643252 */     // GIR_Coverage, 4707,
     /* 1643252 */     GIR_EraseRootFromParent_Done,
     /* 1643253 */   // Label 22582: @1643253
     /* 1643253 */   GIM_Try, /*On fail goto*//*Label 22583*/ GIMT_Encode4(1643339), // Rule ID 4708 //
     /* 1643258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1643269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1643272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1643275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1643278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1643281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643304 */     // MIs[0] policy
     /* 1643304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643314 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1643317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643338 */     // GIR_Coverage, 4708,
     /* 1643338 */     GIR_EraseRootFromParent_Done,
     /* 1643339 */   // Label 22583: @1643339
     /* 1643339 */   GIM_Try, /*On fail goto*//*Label 22584*/ GIMT_Encode4(1643425), // Rule ID 4711 //
     /* 1643344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1643355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1643358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1643361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1643364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1643367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643390 */     // MIs[0] policy
     /* 1643390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643400 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1643403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643424 */     // GIR_Coverage, 4711,
     /* 1643424 */     GIR_EraseRootFromParent_Done,
     /* 1643425 */   // Label 22584: @1643425
     /* 1643425 */   GIM_Try, /*On fail goto*//*Label 22585*/ GIMT_Encode4(1643511), // Rule ID 4712 //
     /* 1643430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1643441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1643444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1643447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1643450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1643453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643476 */     // MIs[0] policy
     /* 1643476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643486 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1643489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643510 */     // GIR_Coverage, 4712,
     /* 1643510 */     GIR_EraseRootFromParent_Done,
     /* 1643511 */   // Label 22585: @1643511
     /* 1643511 */   GIM_Try, /*On fail goto*//*Label 22586*/ GIMT_Encode4(1643597), // Rule ID 4715 //
     /* 1643516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1643527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1643530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1643533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1643536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643562 */     // MIs[0] policy
     /* 1643562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643572 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1643575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643596 */     // GIR_Coverage, 4715,
     /* 1643596 */     GIR_EraseRootFromParent_Done,
     /* 1643597 */   // Label 22586: @1643597
     /* 1643597 */   GIM_Try, /*On fail goto*//*Label 22587*/ GIMT_Encode4(1643683), // Rule ID 4716 //
     /* 1643602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1643613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1643616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1643619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1643622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643648 */     // MIs[0] policy
     /* 1643648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1643661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643682 */     // GIR_Coverage, 4716,
     /* 1643682 */     GIR_EraseRootFromParent_Done,
     /* 1643683 */   // Label 22587: @1643683
     /* 1643683 */   GIM_Try, /*On fail goto*//*Label 22588*/ GIMT_Encode4(1643769), // Rule ID 4719 //
     /* 1643688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1643699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1643702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1643705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1643708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643734 */     // MIs[0] policy
     /* 1643734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643744 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1643747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643768 */     // GIR_Coverage, 4719,
     /* 1643768 */     GIR_EraseRootFromParent_Done,
     /* 1643769 */   // Label 22588: @1643769
     /* 1643769 */   GIM_Try, /*On fail goto*//*Label 22589*/ GIMT_Encode4(1643855), // Rule ID 4720 //
     /* 1643774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1643785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1643788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1643791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1643794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643820 */     // MIs[0] policy
     /* 1643820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643830 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11569:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1643833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643854 */     // GIR_Coverage, 4720,
     /* 1643854 */     GIR_EraseRootFromParent_Done,
     /* 1643855 */   // Label 22589: @1643855
     /* 1643855 */   GIM_Try, /*On fail goto*//*Label 22590*/ GIMT_Encode4(1643941), // Rule ID 4723 //
     /* 1643860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1643871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1643874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1643877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1643880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643906 */     // MIs[0] policy
     /* 1643906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643916 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1643919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643940 */     // GIR_Coverage, 4723,
     /* 1643940 */     GIR_EraseRootFromParent_Done,
     /* 1643941 */   // Label 22590: @1643941
     /* 1643941 */   GIM_Try, /*On fail goto*//*Label 22591*/ GIMT_Encode4(1644027), // Rule ID 4724 //
     /* 1643946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1643957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1643960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1643963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1643966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643992 */     // MIs[0] policy
     /* 1643992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1644005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644026 */     // GIR_Coverage, 4724,
     /* 1644026 */     GIR_EraseRootFromParent_Done,
     /* 1644027 */   // Label 22591: @1644027
     /* 1644027 */   GIM_Try, /*On fail goto*//*Label 22592*/ GIMT_Encode4(1644113), // Rule ID 4727 //
     /* 1644032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1644043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1644046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1644049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644078 */     // MIs[0] policy
     /* 1644078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644088 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1644091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644112 */     // GIR_Coverage, 4727,
     /* 1644112 */     GIR_EraseRootFromParent_Done,
     /* 1644113 */   // Label 22592: @1644113
     /* 1644113 */   GIM_Try, /*On fail goto*//*Label 22593*/ GIMT_Encode4(1644199), // Rule ID 4728 //
     /* 1644118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1644129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1644132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1644135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644164 */     // MIs[0] policy
     /* 1644164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1644177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644198 */     // GIR_Coverage, 4728,
     /* 1644198 */     GIR_EraseRootFromParent_Done,
     /* 1644199 */   // Label 22593: @1644199
     /* 1644199 */   GIM_Try, /*On fail goto*//*Label 22594*/ GIMT_Encode4(1644285), // Rule ID 4731 //
     /* 1644204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1644215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1644218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1644221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644250 */     // MIs[0] policy
     /* 1644250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644260 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1644263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644284 */     // GIR_Coverage, 4731,
     /* 1644284 */     GIR_EraseRootFromParent_Done,
     /* 1644285 */   // Label 22594: @1644285
     /* 1644285 */   GIM_Try, /*On fail goto*//*Label 22595*/ GIMT_Encode4(1644371), // Rule ID 4732 //
     /* 1644290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1644301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1644304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1644307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644336 */     // MIs[0] policy
     /* 1644336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644346 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1644349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644370 */     // GIR_Coverage, 4732,
     /* 1644370 */     GIR_EraseRootFromParent_Done,
     /* 1644371 */   // Label 22595: @1644371
     /* 1644371 */   GIM_Try, /*On fail goto*//*Label 22596*/ GIMT_Encode4(1644457), // Rule ID 4735 //
     /* 1644376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1644379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1644387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1644390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1644393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644422 */     // MIs[0] policy
     /* 1644422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644432 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1644435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644456 */     // GIR_Coverage, 4735,
     /* 1644456 */     GIR_EraseRootFromParent_Done,
     /* 1644457 */   // Label 22596: @1644457
     /* 1644457 */   GIM_Try, /*On fail goto*//*Label 22597*/ GIMT_Encode4(1644543), // Rule ID 4736 //
     /* 1644462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1644465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1644473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1644476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1644479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644508 */     // MIs[0] policy
     /* 1644508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644518 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11569:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1644521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644542 */     // GIR_Coverage, 4736,
     /* 1644542 */     GIR_EraseRootFromParent_Done,
     /* 1644543 */   // Label 22597: @1644543
     /* 1644543 */   GIM_Try, /*On fail goto*//*Label 22598*/ GIMT_Encode4(1644629), // Rule ID 4739 //
     /* 1644548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1644551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1644559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1644562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1644565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644594 */     // MIs[0] policy
     /* 1644594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644604 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1644607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644628 */     // GIR_Coverage, 4739,
     /* 1644628 */     GIR_EraseRootFromParent_Done,
     /* 1644629 */   // Label 22598: @1644629
     /* 1644629 */   GIM_Try, /*On fail goto*//*Label 22599*/ GIMT_Encode4(1644715), // Rule ID 4740 //
     /* 1644634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1644637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1644645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1644648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1644651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644680 */     // MIs[0] policy
     /* 1644680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644690 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11569:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1644693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644714 */     // GIR_Coverage, 4740,
     /* 1644714 */     GIR_EraseRootFromParent_Done,
     /* 1644715 */   // Label 22599: @1644715
     /* 1644715 */   GIM_Try, /*On fail goto*//*Label 22600*/ GIMT_Encode4(1644801), // Rule ID 4743 //
     /* 1644720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1644723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1644731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1644734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1644737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644766 */     // MIs[0] policy
     /* 1644766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644776 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1644779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644800 */     // GIR_Coverage, 4743,
     /* 1644800 */     GIR_EraseRootFromParent_Done,
     /* 1644801 */   // Label 22600: @1644801
     /* 1644801 */   GIM_Try, /*On fail goto*//*Label 22601*/ GIMT_Encode4(1644887), // Rule ID 4744 //
     /* 1644806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1644809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1644817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1644820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1644823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644852 */     // MIs[0] policy
     /* 1644852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644862 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11569:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1644865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644886 */     // GIR_Coverage, 4744,
     /* 1644886 */     GIR_EraseRootFromParent_Done,
     /* 1644887 */   // Label 22601: @1644887
     /* 1644887 */   GIM_Try, /*On fail goto*//*Label 22602*/ GIMT_Encode4(1644973), // Rule ID 4747 //
     /* 1644892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1644895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1644903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1644906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1644909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644938 */     // MIs[0] policy
     /* 1644938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644948 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1644951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644972 */     // GIR_Coverage, 4747,
     /* 1644972 */     GIR_EraseRootFromParent_Done,
     /* 1644973 */   // Label 22602: @1644973
     /* 1644973 */   GIM_Try, /*On fail goto*//*Label 22603*/ GIMT_Encode4(1645059), // Rule ID 4748 //
     /* 1644978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1644981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1644989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1644992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1644995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645024 */     // MIs[0] policy
     /* 1645024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645034 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11569:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1645037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645058 */     // GIR_Coverage, 4748,
     /* 1645058 */     GIR_EraseRootFromParent_Done,
     /* 1645059 */   // Label 22603: @1645059
     /* 1645059 */   GIM_Try, /*On fail goto*//*Label 22604*/ GIMT_Encode4(1645145), // Rule ID 5625 //
     /* 1645064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1645075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1645078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1645081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1645084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645110 */     // MIs[0] policy
     /* 1645110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645120 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1645123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645144 */     // GIR_Coverage, 5625,
     /* 1645144 */     GIR_EraseRootFromParent_Done,
     /* 1645145 */   // Label 22604: @1645145
     /* 1645145 */   GIM_Try, /*On fail goto*//*Label 22605*/ GIMT_Encode4(1645231), // Rule ID 5626 //
     /* 1645150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1645161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1645164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1645167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1645170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645196 */     // MIs[0] policy
     /* 1645196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645206 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1645209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645230 */     // GIR_Coverage, 5626,
     /* 1645230 */     GIR_EraseRootFromParent_Done,
     /* 1645231 */   // Label 22605: @1645231
     /* 1645231 */   GIM_Try, /*On fail goto*//*Label 22606*/ GIMT_Encode4(1645317), // Rule ID 5629 //
     /* 1645236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1645247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1645250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1645253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1645256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645282 */     // MIs[0] policy
     /* 1645282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645292 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1645295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645316 */     // GIR_Coverage, 5629,
     /* 1645316 */     GIR_EraseRootFromParent_Done,
     /* 1645317 */   // Label 22606: @1645317
     /* 1645317 */   GIM_Try, /*On fail goto*//*Label 22607*/ GIMT_Encode4(1645403), // Rule ID 5630 //
     /* 1645322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1645333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1645336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1645339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1645342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645368 */     // MIs[0] policy
     /* 1645368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645378 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1645381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645402 */     // GIR_Coverage, 5630,
     /* 1645402 */     GIR_EraseRootFromParent_Done,
     /* 1645403 */   // Label 22607: @1645403
     /* 1645403 */   GIM_Try, /*On fail goto*//*Label 22608*/ GIMT_Encode4(1645489), // Rule ID 5633 //
     /* 1645408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1645419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1645422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1645425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1645428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645454 */     // MIs[0] policy
     /* 1645454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645464 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1645467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645488 */     // GIR_Coverage, 5633,
     /* 1645488 */     GIR_EraseRootFromParent_Done,
     /* 1645489 */   // Label 22608: @1645489
     /* 1645489 */   GIM_Try, /*On fail goto*//*Label 22609*/ GIMT_Encode4(1645575), // Rule ID 5634 //
     /* 1645494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1645505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1645508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1645511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1645514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645540 */     // MIs[0] policy
     /* 1645540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645550 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1645553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645574 */     // GIR_Coverage, 5634,
     /* 1645574 */     GIR_EraseRootFromParent_Done,
     /* 1645575 */   // Label 22609: @1645575
     /* 1645575 */   GIM_Try, /*On fail goto*//*Label 22610*/ GIMT_Encode4(1645661), // Rule ID 5637 //
     /* 1645580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1645591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1645594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1645597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1645600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645626 */     // MIs[0] policy
     /* 1645626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645636 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1645639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645660 */     // GIR_Coverage, 5637,
     /* 1645660 */     GIR_EraseRootFromParent_Done,
     /* 1645661 */   // Label 22610: @1645661
     /* 1645661 */   GIM_Try, /*On fail goto*//*Label 22611*/ GIMT_Encode4(1645747), // Rule ID 5638 //
     /* 1645666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1645677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1645680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1645683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1645686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645712 */     // MIs[0] policy
     /* 1645712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645722 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1645725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645746 */     // GIR_Coverage, 5638,
     /* 1645746 */     GIR_EraseRootFromParent_Done,
     /* 1645747 */   // Label 22611: @1645747
     /* 1645747 */   GIM_Try, /*On fail goto*//*Label 22612*/ GIMT_Encode4(1645833), // Rule ID 5641 //
     /* 1645752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1645763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1645766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1645769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1645772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645798 */     // MIs[0] policy
     /* 1645798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645808 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1645811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645832 */     // GIR_Coverage, 5641,
     /* 1645832 */     GIR_EraseRootFromParent_Done,
     /* 1645833 */   // Label 22612: @1645833
     /* 1645833 */   GIM_Try, /*On fail goto*//*Label 22613*/ GIMT_Encode4(1645919), // Rule ID 5642 //
     /* 1645838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1645849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1645852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1645855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1645858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645884 */     // MIs[0] policy
     /* 1645884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645894 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1645897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645918 */     // GIR_Coverage, 5642,
     /* 1645918 */     GIR_EraseRootFromParent_Done,
     /* 1645919 */   // Label 22613: @1645919
     /* 1645919 */   GIM_Try, /*On fail goto*//*Label 22614*/ GIMT_Encode4(1646005), // Rule ID 5645 //
     /* 1645924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1645935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1645938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1645941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1645944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645970 */     // MIs[0] policy
     /* 1645970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645980 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1645983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646004 */     // GIR_Coverage, 5645,
     /* 1646004 */     GIR_EraseRootFromParent_Done,
     /* 1646005 */   // Label 22614: @1646005
     /* 1646005 */   GIM_Try, /*On fail goto*//*Label 22615*/ GIMT_Encode4(1646091), // Rule ID 5646 //
     /* 1646010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1646021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1646024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1646027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1646030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646056 */     // MIs[0] policy
     /* 1646056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646066 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1646069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646090 */     // GIR_Coverage, 5646,
     /* 1646090 */     GIR_EraseRootFromParent_Done,
     /* 1646091 */   // Label 22615: @1646091
     /* 1646091 */   GIM_Try, /*On fail goto*//*Label 22616*/ GIMT_Encode4(1646177), // Rule ID 5649 //
     /* 1646096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1646107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1646110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1646113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1646116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646142 */     // MIs[0] policy
     /* 1646142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646152 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1646155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646176 */     // GIR_Coverage, 5649,
     /* 1646176 */     GIR_EraseRootFromParent_Done,
     /* 1646177 */   // Label 22616: @1646177
     /* 1646177 */   GIM_Try, /*On fail goto*//*Label 22617*/ GIMT_Encode4(1646263), // Rule ID 5650 //
     /* 1646182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1646193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1646196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1646199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1646202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646228 */     // MIs[0] policy
     /* 1646228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646238 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1646241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646262 */     // GIR_Coverage, 5650,
     /* 1646262 */     GIR_EraseRootFromParent_Done,
     /* 1646263 */   // Label 22617: @1646263
     /* 1646263 */   GIM_Try, /*On fail goto*//*Label 22618*/ GIMT_Encode4(1646349), // Rule ID 5653 //
     /* 1646268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1646279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1646282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1646285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1646288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646314 */     // MIs[0] policy
     /* 1646314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1646327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646348 */     // GIR_Coverage, 5653,
     /* 1646348 */     GIR_EraseRootFromParent_Done,
     /* 1646349 */   // Label 22618: @1646349
     /* 1646349 */   GIM_Try, /*On fail goto*//*Label 22619*/ GIMT_Encode4(1646435), // Rule ID 5654 //
     /* 1646354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1646365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1646368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1646371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1646374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646400 */     // MIs[0] policy
     /* 1646400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646410 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1646413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646434 */     // GIR_Coverage, 5654,
     /* 1646434 */     GIR_EraseRootFromParent_Done,
     /* 1646435 */   // Label 22619: @1646435
     /* 1646435 */   GIM_Try, /*On fail goto*//*Label 22620*/ GIMT_Encode4(1646521), // Rule ID 5657 //
     /* 1646440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1646451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1646454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1646457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1646460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646486 */     // MIs[0] policy
     /* 1646486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1646499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646520 */     // GIR_Coverage, 5657,
     /* 1646520 */     GIR_EraseRootFromParent_Done,
     /* 1646521 */   // Label 22620: @1646521
     /* 1646521 */   GIM_Try, /*On fail goto*//*Label 22621*/ GIMT_Encode4(1646607), // Rule ID 5658 //
     /* 1646526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1646537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1646540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1646543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1646546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646572 */     // MIs[0] policy
     /* 1646572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646582 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1646585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646606 */     // GIR_Coverage, 5658,
     /* 1646606 */     GIR_EraseRootFromParent_Done,
     /* 1646607 */   // Label 22621: @1646607
     /* 1646607 */   GIM_Try, /*On fail goto*//*Label 22622*/ GIMT_Encode4(1646693), // Rule ID 5661 //
     /* 1646612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1646615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1646623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1646626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1646629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1646632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646658 */     // MIs[0] policy
     /* 1646658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646668 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1646671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1646689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646692 */     // GIR_Coverage, 5661,
     /* 1646692 */     GIR_EraseRootFromParent_Done,
     /* 1646693 */   // Label 22622: @1646693
     /* 1646693 */   GIM_Try, /*On fail goto*//*Label 22623*/ GIMT_Encode4(1646779), // Rule ID 5662 //
     /* 1646698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1646701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1646709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1646712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1646715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1646718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646744 */     // MIs[0] policy
     /* 1646744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646754 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1646757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1646775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646778 */     // GIR_Coverage, 5662,
     /* 1646778 */     GIR_EraseRootFromParent_Done,
     /* 1646779 */   // Label 22623: @1646779
     /* 1646779 */   GIM_Try, /*On fail goto*//*Label 22624*/ GIMT_Encode4(1646865), // Rule ID 5665 //
     /* 1646784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1646795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1646798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1646801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1646804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1646807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646830 */     // MIs[0] policy
     /* 1646830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646840 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1646843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646864 */     // GIR_Coverage, 5665,
     /* 1646864 */     GIR_EraseRootFromParent_Done,
     /* 1646865 */   // Label 22624: @1646865
     /* 1646865 */   GIM_Try, /*On fail goto*//*Label 22625*/ GIMT_Encode4(1646951), // Rule ID 5666 //
     /* 1646870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1646881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1646884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1646887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1646890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1646893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646916 */     // MIs[0] policy
     /* 1646916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646926 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1646929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646950 */     // GIR_Coverage, 5666,
     /* 1646950 */     GIR_EraseRootFromParent_Done,
     /* 1646951 */   // Label 22625: @1646951
     /* 1646951 */   GIM_Try, /*On fail goto*//*Label 22626*/ GIMT_Encode4(1647037), // Rule ID 5669 //
     /* 1646956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1646967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1646970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1646973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1646976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1646979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647002 */     // MIs[0] policy
     /* 1647002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647012 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1647015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647036 */     // GIR_Coverage, 5669,
     /* 1647036 */     GIR_EraseRootFromParent_Done,
     /* 1647037 */   // Label 22626: @1647037
     /* 1647037 */   GIM_Try, /*On fail goto*//*Label 22627*/ GIMT_Encode4(1647123), // Rule ID 5670 //
     /* 1647042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1647053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1647056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1647059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1647062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1647065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647088 */     // MIs[0] policy
     /* 1647088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647098 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1647101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647122 */     // GIR_Coverage, 5670,
     /* 1647122 */     GIR_EraseRootFromParent_Done,
     /* 1647123 */   // Label 22627: @1647123
     /* 1647123 */   GIM_Try, /*On fail goto*//*Label 22628*/ GIMT_Encode4(1647209), // Rule ID 5673 //
     /* 1647128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1647139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1647142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1647145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1647148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1647151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647174 */     // MIs[0] policy
     /* 1647174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647184 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1647187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647208 */     // GIR_Coverage, 5673,
     /* 1647208 */     GIR_EraseRootFromParent_Done,
     /* 1647209 */   // Label 22628: @1647209
     /* 1647209 */   GIM_Try, /*On fail goto*//*Label 22629*/ GIMT_Encode4(1647295), // Rule ID 5674 //
     /* 1647214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1647225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1647228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1647231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1647234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1647237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647260 */     // MIs[0] policy
     /* 1647260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647270 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1647273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647294 */     // GIR_Coverage, 5674,
     /* 1647294 */     GIR_EraseRootFromParent_Done,
     /* 1647295 */   // Label 22629: @1647295
     /* 1647295 */   GIM_Try, /*On fail goto*//*Label 22630*/ GIMT_Encode4(1647381), // Rule ID 5677 //
     /* 1647300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1647311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1647314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1647317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1647320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647346 */     // MIs[0] policy
     /* 1647346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647356 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1647359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647380 */     // GIR_Coverage, 5677,
     /* 1647380 */     GIR_EraseRootFromParent_Done,
     /* 1647381 */   // Label 22630: @1647381
     /* 1647381 */   GIM_Try, /*On fail goto*//*Label 22631*/ GIMT_Encode4(1647467), // Rule ID 5678 //
     /* 1647386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1647397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1647400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1647403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1647406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647432 */     // MIs[0] policy
     /* 1647432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647442 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1647445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647466 */     // GIR_Coverage, 5678,
     /* 1647466 */     GIR_EraseRootFromParent_Done,
     /* 1647467 */   // Label 22631: @1647467
     /* 1647467 */   GIM_Try, /*On fail goto*//*Label 22632*/ GIMT_Encode4(1647553), // Rule ID 5681 //
     /* 1647472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1647483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1647486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1647489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1647492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1647495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647518 */     // MIs[0] policy
     /* 1647518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647528 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1647531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647552 */     // GIR_Coverage, 5681,
     /* 1647552 */     GIR_EraseRootFromParent_Done,
     /* 1647553 */   // Label 22632: @1647553
     /* 1647553 */   GIM_Try, /*On fail goto*//*Label 22633*/ GIMT_Encode4(1647639), // Rule ID 5682 //
     /* 1647558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1647569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1647572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1647575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1647578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1647581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647604 */     // MIs[0] policy
     /* 1647604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647614 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1647617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647638 */     // GIR_Coverage, 5682,
     /* 1647638 */     GIR_EraseRootFromParent_Done,
     /* 1647639 */   // Label 22633: @1647639
     /* 1647639 */   GIM_Try, /*On fail goto*//*Label 22634*/ GIMT_Encode4(1647725), // Rule ID 5685 //
     /* 1647644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1647655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1647658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1647661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1647664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1647667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647690 */     // MIs[0] policy
     /* 1647690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647700 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1647703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647724 */     // GIR_Coverage, 5685,
     /* 1647724 */     GIR_EraseRootFromParent_Done,
     /* 1647725 */   // Label 22634: @1647725
     /* 1647725 */   GIM_Try, /*On fail goto*//*Label 22635*/ GIMT_Encode4(1647811), // Rule ID 5686 //
     /* 1647730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1647741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1647744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1647747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1647750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1647753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647776 */     // MIs[0] policy
     /* 1647776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647786 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1647789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647810 */     // GIR_Coverage, 5686,
     /* 1647810 */     GIR_EraseRootFromParent_Done,
     /* 1647811 */   // Label 22635: @1647811
     /* 1647811 */   GIM_Try, /*On fail goto*//*Label 22636*/ GIMT_Encode4(1647897), // Rule ID 5689 //
     /* 1647816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1647827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1647830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1647833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1647836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647862 */     // MIs[0] policy
     /* 1647862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647872 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1647875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647896 */     // GIR_Coverage, 5689,
     /* 1647896 */     GIR_EraseRootFromParent_Done,
     /* 1647897 */   // Label 22636: @1647897
     /* 1647897 */   GIM_Try, /*On fail goto*//*Label 22637*/ GIMT_Encode4(1647983), // Rule ID 5690 //
     /* 1647902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1647913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1647916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1647919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1647922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647948 */     // MIs[0] policy
     /* 1647948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647958 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1647961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647982 */     // GIR_Coverage, 5690,
     /* 1647982 */     GIR_EraseRootFromParent_Done,
     /* 1647983 */   // Label 22637: @1647983
     /* 1647983 */   GIM_Try, /*On fail goto*//*Label 22638*/ GIMT_Encode4(1648069), // Rule ID 5693 //
     /* 1647988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1647999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1648002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1648005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1648008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648034 */     // MIs[0] policy
     /* 1648034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648044 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1648047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648068 */     // GIR_Coverage, 5693,
     /* 1648068 */     GIR_EraseRootFromParent_Done,
     /* 1648069 */   // Label 22638: @1648069
     /* 1648069 */   GIM_Try, /*On fail goto*//*Label 22639*/ GIMT_Encode4(1648155), // Rule ID 5694 //
     /* 1648074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1648085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1648088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1648091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1648094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648120 */     // MIs[0] policy
     /* 1648120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648130 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1648133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648154 */     // GIR_Coverage, 5694,
     /* 1648154 */     GIR_EraseRootFromParent_Done,
     /* 1648155 */   // Label 22639: @1648155
     /* 1648155 */   GIM_Try, /*On fail goto*//*Label 22640*/ GIMT_Encode4(1648241), // Rule ID 5697 //
     /* 1648160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1648171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1648174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1648177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1648180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648206 */     // MIs[0] policy
     /* 1648206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648216 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1648219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648240 */     // GIR_Coverage, 5697,
     /* 1648240 */     GIR_EraseRootFromParent_Done,
     /* 1648241 */   // Label 22640: @1648241
     /* 1648241 */   GIM_Try, /*On fail goto*//*Label 22641*/ GIMT_Encode4(1648327), // Rule ID 5698 //
     /* 1648246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1648257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1648260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1648263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1648266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648292 */     // MIs[0] policy
     /* 1648292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648302 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1648305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648326 */     // GIR_Coverage, 5698,
     /* 1648326 */     GIR_EraseRootFromParent_Done,
     /* 1648327 */   // Label 22641: @1648327
     /* 1648327 */   GIM_Try, /*On fail goto*//*Label 22642*/ GIMT_Encode4(1648413), // Rule ID 5701 //
     /* 1648332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1648335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1648343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1648346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1648349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1648352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648378 */     // MIs[0] policy
     /* 1648378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648388 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1648391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1648409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648412 */     // GIR_Coverage, 5701,
     /* 1648412 */     GIR_EraseRootFromParent_Done,
     /* 1648413 */   // Label 22642: @1648413
     /* 1648413 */   GIM_Try, /*On fail goto*//*Label 22643*/ GIMT_Encode4(1648499), // Rule ID 5702 //
     /* 1648418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1648421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1648429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1648432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1648435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1648438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648464 */     // MIs[0] policy
     /* 1648464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648474 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1648477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1648495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648498 */     // GIR_Coverage, 5702,
     /* 1648498 */     GIR_EraseRootFromParent_Done,
     /* 1648499 */   // Label 22643: @1648499
     /* 1648499 */   GIM_Try, /*On fail goto*//*Label 22644*/ GIMT_Encode4(1648585), // Rule ID 5705 //
     /* 1648504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1648507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1648515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1648518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1648521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1648524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1648527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648550 */     // MIs[0] policy
     /* 1648550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648560 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1648563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1648581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648584 */     // GIR_Coverage, 5705,
     /* 1648584 */     GIR_EraseRootFromParent_Done,
     /* 1648585 */   // Label 22644: @1648585
     /* 1648585 */   GIM_Try, /*On fail goto*//*Label 22645*/ GIMT_Encode4(1648671), // Rule ID 5706 //
     /* 1648590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1648593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1648601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1648604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1648607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1648610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1648613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648636 */     // MIs[0] policy
     /* 1648636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648646 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1648649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1648667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648670 */     // GIR_Coverage, 5706,
     /* 1648670 */     GIR_EraseRootFromParent_Done,
     /* 1648671 */   // Label 22645: @1648671
     /* 1648671 */   GIM_Try, /*On fail goto*//*Label 22646*/ GIMT_Encode4(1648757), // Rule ID 5709 //
     /* 1648676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1648679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1648687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1648690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1648693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1648696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648722 */     // MIs[0] policy
     /* 1648722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648732 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1648735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1648753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648756 */     // GIR_Coverage, 5709,
     /* 1648756 */     GIR_EraseRootFromParent_Done,
     /* 1648757 */   // Label 22646: @1648757
     /* 1648757 */   GIM_Try, /*On fail goto*//*Label 22647*/ GIMT_Encode4(1648843), // Rule ID 5710 //
     /* 1648762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1648765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1648773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1648776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1648779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1648782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648808 */     // MIs[0] policy
     /* 1648808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648818 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1648821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1648839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648842 */     // GIR_Coverage, 5710,
     /* 1648842 */     GIR_EraseRootFromParent_Done,
     /* 1648843 */   // Label 22647: @1648843
     /* 1648843 */   GIM_Try, /*On fail goto*//*Label 22648*/ GIMT_Encode4(1648929), // Rule ID 5713 //
     /* 1648848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1648859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1648862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1648865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1648868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648894 */     // MIs[0] policy
     /* 1648894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648904 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1648907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648928 */     // GIR_Coverage, 5713,
     /* 1648928 */     GIR_EraseRootFromParent_Done,
     /* 1648929 */   // Label 22648: @1648929
     /* 1648929 */   GIM_Try, /*On fail goto*//*Label 22649*/ GIMT_Encode4(1649015), // Rule ID 5714 //
     /* 1648934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1648942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1648945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1648948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1648951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1648954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648980 */     // MIs[0] policy
     /* 1648980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648990 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1648993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649014 */     // GIR_Coverage, 5714,
     /* 1649014 */     GIR_EraseRootFromParent_Done,
     /* 1649015 */   // Label 22649: @1649015
     /* 1649015 */   GIM_Try, /*On fail goto*//*Label 22650*/ GIMT_Encode4(1649101), // Rule ID 5717 //
     /* 1649020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1649031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1649034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1649037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1649040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649066 */     // MIs[0] policy
     /* 1649066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649076 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1649079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649100 */     // GIR_Coverage, 5717,
     /* 1649100 */     GIR_EraseRootFromParent_Done,
     /* 1649101 */   // Label 22650: @1649101
     /* 1649101 */   GIM_Try, /*On fail goto*//*Label 22651*/ GIMT_Encode4(1649187), // Rule ID 5718 //
     /* 1649106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1649117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1649120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1649123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1649126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649152 */     // MIs[0] policy
     /* 1649152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649162 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1649165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649186 */     // GIR_Coverage, 5718,
     /* 1649186 */     GIR_EraseRootFromParent_Done,
     /* 1649187 */   // Label 22651: @1649187
     /* 1649187 */   GIM_Try, /*On fail goto*//*Label 22652*/ GIMT_Encode4(1649273), // Rule ID 5721 //
     /* 1649192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1649203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1649206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1649209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1649212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649238 */     // MIs[0] policy
     /* 1649238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649248 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1649251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649272 */     // GIR_Coverage, 5721,
     /* 1649272 */     GIR_EraseRootFromParent_Done,
     /* 1649273 */   // Label 22652: @1649273
     /* 1649273 */   GIM_Try, /*On fail goto*//*Label 22653*/ GIMT_Encode4(1649359), // Rule ID 5722 //
     /* 1649278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1649289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1649292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1649295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1649298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649324 */     // MIs[0] policy
     /* 1649324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649334 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1649337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649358 */     // GIR_Coverage, 5722,
     /* 1649358 */     GIR_EraseRootFromParent_Done,
     /* 1649359 */   // Label 22653: @1649359
     /* 1649359 */   GIM_Try, /*On fail goto*//*Label 22654*/ GIMT_Encode4(1649445), // Rule ID 5725 //
     /* 1649364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1649375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1649378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1649381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1649384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649410 */     // MIs[0] policy
     /* 1649410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649420 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1649423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649444 */     // GIR_Coverage, 5725,
     /* 1649444 */     GIR_EraseRootFromParent_Done,
     /* 1649445 */   // Label 22654: @1649445
     /* 1649445 */   GIM_Try, /*On fail goto*//*Label 22655*/ GIMT_Encode4(1649531), // Rule ID 5726 //
     /* 1649450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1649461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1649464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1649467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1649470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649496 */     // MIs[0] policy
     /* 1649496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649506 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1649509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649530 */     // GIR_Coverage, 5726,
     /* 1649530 */     GIR_EraseRootFromParent_Done,
     /* 1649531 */   // Label 22655: @1649531
     /* 1649531 */   GIM_Try, /*On fail goto*//*Label 22656*/ GIMT_Encode4(1649617), // Rule ID 5729 //
     /* 1649536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1649547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1649550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1649553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1649556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649582 */     // MIs[0] policy
     /* 1649582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649592 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1649595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649616 */     // GIR_Coverage, 5729,
     /* 1649616 */     GIR_EraseRootFromParent_Done,
     /* 1649617 */   // Label 22656: @1649617
     /* 1649617 */   GIM_Try, /*On fail goto*//*Label 22657*/ GIMT_Encode4(1649703), // Rule ID 5730 //
     /* 1649622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1649633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1649636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1649639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1649642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649668 */     // MIs[0] policy
     /* 1649668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649678 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1649681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649702 */     // GIR_Coverage, 5730,
     /* 1649702 */     GIR_EraseRootFromParent_Done,
     /* 1649703 */   // Label 22657: @1649703
     /* 1649703 */   GIM_Try, /*On fail goto*//*Label 22658*/ GIMT_Encode4(1649789), // Rule ID 5733 //
     /* 1649708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1649719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1649722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1649725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1649728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649754 */     // MIs[0] policy
     /* 1649754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649764 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1649767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649788 */     // GIR_Coverage, 5733,
     /* 1649788 */     GIR_EraseRootFromParent_Done,
     /* 1649789 */   // Label 22658: @1649789
     /* 1649789 */   GIM_Try, /*On fail goto*//*Label 22659*/ GIMT_Encode4(1649875), // Rule ID 5734 //
     /* 1649794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1649805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1649808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1649811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1649814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649840 */     // MIs[0] policy
     /* 1649840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649850 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1649853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649874 */     // GIR_Coverage, 5734,
     /* 1649874 */     GIR_EraseRootFromParent_Done,
     /* 1649875 */   // Label 22659: @1649875
     /* 1649875 */   GIM_Try, /*On fail goto*//*Label 22660*/ GIMT_Encode4(1649961), // Rule ID 5737 //
     /* 1649880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1649891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1649894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1649897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1649900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649926 */     // MIs[0] policy
     /* 1649926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649936 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1649939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649960 */     // GIR_Coverage, 5737,
     /* 1649960 */     GIR_EraseRootFromParent_Done,
     /* 1649961 */   // Label 22660: @1649961
     /* 1649961 */   GIM_Try, /*On fail goto*//*Label 22661*/ GIMT_Encode4(1650047), // Rule ID 5738 //
     /* 1649966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1649977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1649980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1649983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1649986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650012 */     // MIs[0] policy
     /* 1650012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650022 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1650025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650046 */     // GIR_Coverage, 5738,
     /* 1650046 */     GIR_EraseRootFromParent_Done,
     /* 1650047 */   // Label 22661: @1650047
     /* 1650047 */   GIM_Try, /*On fail goto*//*Label 22662*/ GIMT_Encode4(1650133), // Rule ID 5741 //
     /* 1650052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1650063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1650066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1650069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650098 */     // MIs[0] policy
     /* 1650098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650108 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1650111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650132 */     // GIR_Coverage, 5741,
     /* 1650132 */     GIR_EraseRootFromParent_Done,
     /* 1650133 */   // Label 22662: @1650133
     /* 1650133 */   GIM_Try, /*On fail goto*//*Label 22663*/ GIMT_Encode4(1650219), // Rule ID 5742 //
     /* 1650138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1650149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1650152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1650155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650184 */     // MIs[0] policy
     /* 1650184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650194 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1650197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650218 */     // GIR_Coverage, 5742,
     /* 1650218 */     GIR_EraseRootFromParent_Done,
     /* 1650219 */   // Label 22663: @1650219
     /* 1650219 */   GIM_Try, /*On fail goto*//*Label 22664*/ GIMT_Encode4(1650305), // Rule ID 5745 //
     /* 1650224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1650235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1650238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1650241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650270 */     // MIs[0] policy
     /* 1650270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650280 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1650283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650304 */     // GIR_Coverage, 5745,
     /* 1650304 */     GIR_EraseRootFromParent_Done,
     /* 1650305 */   // Label 22664: @1650305
     /* 1650305 */   GIM_Try, /*On fail goto*//*Label 22665*/ GIMT_Encode4(1650391), // Rule ID 5746 //
     /* 1650310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1650321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1650324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1650327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650356 */     // MIs[0] policy
     /* 1650356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650366 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1650369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650390 */     // GIR_Coverage, 5746,
     /* 1650390 */     GIR_EraseRootFromParent_Done,
     /* 1650391 */   // Label 22665: @1650391
     /* 1650391 */   GIM_Try, /*On fail goto*//*Label 22666*/ GIMT_Encode4(1650477), // Rule ID 5749 //
     /* 1650396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1650399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1650407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1650410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1650413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650442 */     // MIs[0] policy
     /* 1650442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650452 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1650455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1650473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650476 */     // GIR_Coverage, 5749,
     /* 1650476 */     GIR_EraseRootFromParent_Done,
     /* 1650477 */   // Label 22666: @1650477
     /* 1650477 */   GIM_Try, /*On fail goto*//*Label 22667*/ GIMT_Encode4(1650563), // Rule ID 5750 //
     /* 1650482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1650485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1650493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1650496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1650499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650528 */     // MIs[0] policy
     /* 1650528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650538 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1650541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1650559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650562 */     // GIR_Coverage, 5750,
     /* 1650562 */     GIR_EraseRootFromParent_Done,
     /* 1650563 */   // Label 22667: @1650563
     /* 1650563 */   GIM_Try, /*On fail goto*//*Label 22668*/ GIMT_Encode4(1650649), // Rule ID 5753 //
     /* 1650568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1650579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1650582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1650585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1650591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1650598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650614 */     // MIs[0] policy
     /* 1650614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650624 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1650627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650648 */     // GIR_Coverage, 5753,
     /* 1650648 */     GIR_EraseRootFromParent_Done,
     /* 1650649 */   // Label 22668: @1650649
     /* 1650649 */   GIM_Try, /*On fail goto*//*Label 22669*/ GIMT_Encode4(1650735), // Rule ID 5754 //
     /* 1650654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1650665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1650668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1650671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1650677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1650684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650700 */     // MIs[0] policy
     /* 1650700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650710 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1650713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650734 */     // GIR_Coverage, 5754,
     /* 1650734 */     GIR_EraseRootFromParent_Done,
     /* 1650735 */   // Label 22669: @1650735
     /* 1650735 */   GIM_Try, /*On fail goto*//*Label 22670*/ GIMT_Encode4(1650821), // Rule ID 5757 //
     /* 1650740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1650751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1650754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1650757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1650763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650786 */     // MIs[0] policy
     /* 1650786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650796 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1650799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650820 */     // GIR_Coverage, 5757,
     /* 1650820 */     GIR_EraseRootFromParent_Done,
     /* 1650821 */   // Label 22670: @1650821
     /* 1650821 */   GIM_Try, /*On fail goto*//*Label 22671*/ GIMT_Encode4(1650907), // Rule ID 5758 //
     /* 1650826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1650837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1650840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1650843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1650849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650872 */     // MIs[0] policy
     /* 1650872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650882 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1650885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650906 */     // GIR_Coverage, 5758,
     /* 1650906 */     GIR_EraseRootFromParent_Done,
     /* 1650907 */   // Label 22671: @1650907
     /* 1650907 */   GIM_Try, /*On fail goto*//*Label 22672*/ GIMT_Encode4(1650993), // Rule ID 5761 //
     /* 1650912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1650923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1650926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1650929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1650935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650958 */     // MIs[0] policy
     /* 1650958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650968 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1650971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650992 */     // GIR_Coverage, 5761,
     /* 1650992 */     GIR_EraseRootFromParent_Done,
     /* 1650993 */   // Label 22672: @1650993
     /* 1650993 */   GIM_Try, /*On fail goto*//*Label 22673*/ GIMT_Encode4(1651079), // Rule ID 5762 //
     /* 1650998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1651009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1651012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1651015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1651021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1651028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651044 */     // MIs[0] policy
     /* 1651044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651054 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1651057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651078 */     // GIR_Coverage, 5762,
     /* 1651078 */     GIR_EraseRootFromParent_Done,
     /* 1651079 */   // Label 22673: @1651079
     /* 1651079 */   GIM_Try, /*On fail goto*//*Label 22674*/ GIMT_Encode4(1651165), // Rule ID 5765 //
     /* 1651084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1651095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1651098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1651101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651130 */     // MIs[0] policy
     /* 1651130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651140 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1651143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651164 */     // GIR_Coverage, 5765,
     /* 1651164 */     GIR_EraseRootFromParent_Done,
     /* 1651165 */   // Label 22674: @1651165
     /* 1651165 */   GIM_Try, /*On fail goto*//*Label 22675*/ GIMT_Encode4(1651251), // Rule ID 5766 //
     /* 1651170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1651181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1651184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1651187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651216 */     // MIs[0] policy
     /* 1651216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651226 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1651229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651250 */     // GIR_Coverage, 5766,
     /* 1651250 */     GIR_EraseRootFromParent_Done,
     /* 1651251 */   // Label 22675: @1651251
     /* 1651251 */   GIM_Try, /*On fail goto*//*Label 22676*/ GIMT_Encode4(1651337), // Rule ID 5769 //
     /* 1651256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1651267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1651270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1651273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1651279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1651286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651302 */     // MIs[0] policy
     /* 1651302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651312 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1651315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651336 */     // GIR_Coverage, 5769,
     /* 1651336 */     GIR_EraseRootFromParent_Done,
     /* 1651337 */   // Label 22676: @1651337
     /* 1651337 */   GIM_Try, /*On fail goto*//*Label 22677*/ GIMT_Encode4(1651423), // Rule ID 5770 //
     /* 1651342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1651353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1651356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1651359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1651365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1651372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651388 */     // MIs[0] policy
     /* 1651388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651398 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1651401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651422 */     // GIR_Coverage, 5770,
     /* 1651422 */     GIR_EraseRootFromParent_Done,
     /* 1651423 */   // Label 22677: @1651423
     /* 1651423 */   GIM_Try, /*On fail goto*//*Label 22678*/ GIMT_Encode4(1651509), // Rule ID 5773 //
     /* 1651428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1651439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1651442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1651445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1651451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1651458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651474 */     // MIs[0] policy
     /* 1651474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651484 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1651487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651508 */     // GIR_Coverage, 5773,
     /* 1651508 */     GIR_EraseRootFromParent_Done,
     /* 1651509 */   // Label 22678: @1651509
     /* 1651509 */   GIM_Try, /*On fail goto*//*Label 22679*/ GIMT_Encode4(1651595), // Rule ID 5774 //
     /* 1651514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1651525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1651528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1651531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1651537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1651544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651560 */     // MIs[0] policy
     /* 1651560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651570 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1651573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651594 */     // GIR_Coverage, 5774,
     /* 1651594 */     GIR_EraseRootFromParent_Done,
     /* 1651595 */   // Label 22679: @1651595
     /* 1651595 */   GIM_Try, /*On fail goto*//*Label 22680*/ GIMT_Encode4(1651681), // Rule ID 5777 //
     /* 1651600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1651611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1651614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1651617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651646 */     // MIs[0] policy
     /* 1651646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651656 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1651659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651680 */     // GIR_Coverage, 5777,
     /* 1651680 */     GIR_EraseRootFromParent_Done,
     /* 1651681 */   // Label 22680: @1651681
     /* 1651681 */   GIM_Try, /*On fail goto*//*Label 22681*/ GIMT_Encode4(1651767), // Rule ID 5778 //
     /* 1651686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1651697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1651700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1651703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651732 */     // MIs[0] policy
     /* 1651732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651742 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1651745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651766 */     // GIR_Coverage, 5778,
     /* 1651766 */     GIR_EraseRootFromParent_Done,
     /* 1651767 */   // Label 22681: @1651767
     /* 1651767 */   GIM_Try, /*On fail goto*//*Label 22682*/ GIMT_Encode4(1651853), // Rule ID 5781 //
     /* 1651772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1651783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1651786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1651789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1651802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651818 */     // MIs[0] policy
     /* 1651818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651828 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1651831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651852 */     // GIR_Coverage, 5781,
     /* 1651852 */     GIR_EraseRootFromParent_Done,
     /* 1651853 */   // Label 22682: @1651853
     /* 1651853 */   GIM_Try, /*On fail goto*//*Label 22683*/ GIMT_Encode4(1651939), // Rule ID 5782 //
     /* 1651858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1651869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1651872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1651875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1651888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651904 */     // MIs[0] policy
     /* 1651904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651914 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1651917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651938 */     // GIR_Coverage, 5782,
     /* 1651938 */     GIR_EraseRootFromParent_Done,
     /* 1651939 */   // Label 22683: @1651939
     /* 1651939 */   GIM_Try, /*On fail goto*//*Label 22684*/ GIMT_Encode4(1652025), // Rule ID 5785 //
     /* 1651944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1651955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1651958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1651961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1651967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1651974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651990 */     // MIs[0] policy
     /* 1651990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652000 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1652003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652024 */     // GIR_Coverage, 5785,
     /* 1652024 */     GIR_EraseRootFromParent_Done,
     /* 1652025 */   // Label 22684: @1652025
     /* 1652025 */   GIM_Try, /*On fail goto*//*Label 22685*/ GIMT_Encode4(1652111), // Rule ID 5786 //
     /* 1652030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1652041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1652044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1652047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652076 */     // MIs[0] policy
     /* 1652076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652086 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1652089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652110 */     // GIR_Coverage, 5786,
     /* 1652110 */     GIR_EraseRootFromParent_Done,
     /* 1652111 */   // Label 22685: @1652111
     /* 1652111 */   GIM_Try, /*On fail goto*//*Label 22686*/ GIMT_Encode4(1652197), // Rule ID 5789 //
     /* 1652116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1652119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1652127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1652130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1652133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652162 */     // MIs[0] policy
     /* 1652162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652172 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1652175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1652193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652196 */     // GIR_Coverage, 5789,
     /* 1652196 */     GIR_EraseRootFromParent_Done,
     /* 1652197 */   // Label 22686: @1652197
     /* 1652197 */   GIM_Try, /*On fail goto*//*Label 22687*/ GIMT_Encode4(1652283), // Rule ID 5790 //
     /* 1652202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1652205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1652213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1652216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1652219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652248 */     // MIs[0] policy
     /* 1652248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1652261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1652279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652282 */     // GIR_Coverage, 5790,
     /* 1652282 */     GIR_EraseRootFromParent_Done,
     /* 1652283 */   // Label 22687: @1652283
     /* 1652283 */   GIM_Try, /*On fail goto*//*Label 22688*/ GIMT_Encode4(1652369), // Rule ID 5793 //
     /* 1652288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1652291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1652299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1652302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1652305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652334 */     // MIs[0] policy
     /* 1652334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652344 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1652347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1652365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652368 */     // GIR_Coverage, 5793,
     /* 1652368 */     GIR_EraseRootFromParent_Done,
     /* 1652369 */   // Label 22688: @1652369
     /* 1652369 */   GIM_Try, /*On fail goto*//*Label 22689*/ GIMT_Encode4(1652455), // Rule ID 5794 //
     /* 1652374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1652377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1652385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1652388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1652391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652420 */     // MIs[0] policy
     /* 1652420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652430 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1652433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1652451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652454 */     // GIR_Coverage, 5794,
     /* 1652454 */     GIR_EraseRootFromParent_Done,
     /* 1652455 */   // Label 22689: @1652455
     /* 1652455 */   GIM_Try, /*On fail goto*//*Label 22690*/ GIMT_Encode4(1652541), // Rule ID 5797 //
     /* 1652460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1652463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1652471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1652474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1652477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652506 */     // MIs[0] policy
     /* 1652506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652516 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1652519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1652537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652540 */     // GIR_Coverage, 5797,
     /* 1652540 */     GIR_EraseRootFromParent_Done,
     /* 1652541 */   // Label 22690: @1652541
     /* 1652541 */   GIM_Try, /*On fail goto*//*Label 22691*/ GIMT_Encode4(1652627), // Rule ID 5798 //
     /* 1652546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1652549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1652557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1652560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1652563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652592 */     // MIs[0] policy
     /* 1652592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652602 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1652605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1652623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652626 */     // GIR_Coverage, 5798,
     /* 1652626 */     GIR_EraseRootFromParent_Done,
     /* 1652627 */   // Label 22691: @1652627
     /* 1652627 */   GIM_Try, /*On fail goto*//*Label 22692*/ GIMT_Encode4(1652713), // Rule ID 5889 //
     /* 1652632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1652640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1652643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1652646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1652649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1652652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652678 */     // MIs[0] policy
     /* 1652678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652688 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1652691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652712 */     // GIR_Coverage, 5889,
     /* 1652712 */     GIR_EraseRootFromParent_Done,
     /* 1652713 */   // Label 22692: @1652713
     /* 1652713 */   GIM_Try, /*On fail goto*//*Label 22693*/ GIMT_Encode4(1652799), // Rule ID 5890 //
     /* 1652718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1652726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1652729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1652732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1652735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1652738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652764 */     // MIs[0] policy
     /* 1652764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652774 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1652777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652798 */     // GIR_Coverage, 5890,
     /* 1652798 */     GIR_EraseRootFromParent_Done,
     /* 1652799 */   // Label 22693: @1652799
     /* 1652799 */   GIM_Try, /*On fail goto*//*Label 22694*/ GIMT_Encode4(1652885), // Rule ID 5893 //
     /* 1652804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1652812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1652815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1652818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1652821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1652824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652850 */     // MIs[0] policy
     /* 1652850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652860 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1652863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652884 */     // GIR_Coverage, 5893,
     /* 1652884 */     GIR_EraseRootFromParent_Done,
     /* 1652885 */   // Label 22694: @1652885
     /* 1652885 */   GIM_Try, /*On fail goto*//*Label 22695*/ GIMT_Encode4(1652971), // Rule ID 5894 //
     /* 1652890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1652898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1652901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1652904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1652907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1652910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652936 */     // MIs[0] policy
     /* 1652936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652946 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1652949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652970 */     // GIR_Coverage, 5894,
     /* 1652970 */     GIR_EraseRootFromParent_Done,
     /* 1652971 */   // Label 22695: @1652971
     /* 1652971 */   GIM_Try, /*On fail goto*//*Label 22696*/ GIMT_Encode4(1653057), // Rule ID 5897 //
     /* 1652976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1652984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1652987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1652990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1652993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1652996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653022 */     // MIs[0] policy
     /* 1653022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653032 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1653035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653056 */     // GIR_Coverage, 5897,
     /* 1653056 */     GIR_EraseRootFromParent_Done,
     /* 1653057 */   // Label 22696: @1653057
     /* 1653057 */   GIM_Try, /*On fail goto*//*Label 22697*/ GIMT_Encode4(1653143), // Rule ID 5898 //
     /* 1653062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1653073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1653076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1653079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1653082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653108 */     // MIs[0] policy
     /* 1653108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653118 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1653121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653142 */     // GIR_Coverage, 5898,
     /* 1653142 */     GIR_EraseRootFromParent_Done,
     /* 1653143 */   // Label 22697: @1653143
     /* 1653143 */   GIM_Try, /*On fail goto*//*Label 22698*/ GIMT_Encode4(1653229), // Rule ID 5901 //
     /* 1653148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1653159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1653162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1653165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1653168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653194 */     // MIs[0] policy
     /* 1653194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653204 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1653207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653228 */     // GIR_Coverage, 5901,
     /* 1653228 */     GIR_EraseRootFromParent_Done,
     /* 1653229 */   // Label 22698: @1653229
     /* 1653229 */   GIM_Try, /*On fail goto*//*Label 22699*/ GIMT_Encode4(1653315), // Rule ID 5902 //
     /* 1653234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1653245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1653248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1653251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1653254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653280 */     // MIs[0] policy
     /* 1653280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653290 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1653293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653314 */     // GIR_Coverage, 5902,
     /* 1653314 */     GIR_EraseRootFromParent_Done,
     /* 1653315 */   // Label 22699: @1653315
     /* 1653315 */   GIM_Try, /*On fail goto*//*Label 22700*/ GIMT_Encode4(1653401), // Rule ID 5905 //
     /* 1653320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1653331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1653334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1653337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1653340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653366 */     // MIs[0] policy
     /* 1653366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653376 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1653379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653400 */     // GIR_Coverage, 5905,
     /* 1653400 */     GIR_EraseRootFromParent_Done,
     /* 1653401 */   // Label 22700: @1653401
     /* 1653401 */   GIM_Try, /*On fail goto*//*Label 22701*/ GIMT_Encode4(1653487), // Rule ID 5906 //
     /* 1653406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1653417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1653420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1653423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1653426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653452 */     // MIs[0] policy
     /* 1653452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653462 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1653465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653486 */     // GIR_Coverage, 5906,
     /* 1653486 */     GIR_EraseRootFromParent_Done,
     /* 1653487 */   // Label 22701: @1653487
     /* 1653487 */   GIM_Try, /*On fail goto*//*Label 22702*/ GIMT_Encode4(1653573), // Rule ID 5909 //
     /* 1653492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1653503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1653506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1653509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1653512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653538 */     // MIs[0] policy
     /* 1653538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653548 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1653551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653572 */     // GIR_Coverage, 5909,
     /* 1653572 */     GIR_EraseRootFromParent_Done,
     /* 1653573 */   // Label 22702: @1653573
     /* 1653573 */   GIM_Try, /*On fail goto*//*Label 22703*/ GIMT_Encode4(1653659), // Rule ID 5910 //
     /* 1653578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1653589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1653592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1653595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1653598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653624 */     // MIs[0] policy
     /* 1653624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653634 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1653637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653658 */     // GIR_Coverage, 5910,
     /* 1653658 */     GIR_EraseRootFromParent_Done,
     /* 1653659 */   // Label 22703: @1653659
     /* 1653659 */   GIM_Try, /*On fail goto*//*Label 22704*/ GIMT_Encode4(1653745), // Rule ID 5913 //
     /* 1653664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1653675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1653678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1653681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1653684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653710 */     // MIs[0] policy
     /* 1653710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653720 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1653723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653744 */     // GIR_Coverage, 5913,
     /* 1653744 */     GIR_EraseRootFromParent_Done,
     /* 1653745 */   // Label 22704: @1653745
     /* 1653745 */   GIM_Try, /*On fail goto*//*Label 22705*/ GIMT_Encode4(1653831), // Rule ID 5914 //
     /* 1653750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1653761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1653764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1653767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1653770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653796 */     // MIs[0] policy
     /* 1653796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653806 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1653809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653830 */     // GIR_Coverage, 5914,
     /* 1653830 */     GIR_EraseRootFromParent_Done,
     /* 1653831 */   // Label 22705: @1653831
     /* 1653831 */   GIM_Try, /*On fail goto*//*Label 22706*/ GIMT_Encode4(1653917), // Rule ID 5917 //
     /* 1653836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1653847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1653850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1653853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1653856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653882 */     // MIs[0] policy
     /* 1653882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653892 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1653895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653916 */     // GIR_Coverage, 5917,
     /* 1653916 */     GIR_EraseRootFromParent_Done,
     /* 1653917 */   // Label 22706: @1653917
     /* 1653917 */   GIM_Try, /*On fail goto*//*Label 22707*/ GIMT_Encode4(1654003), // Rule ID 5918 //
     /* 1653922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1653933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1653936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1653939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1653942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653968 */     // MIs[0] policy
     /* 1653968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653978 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1653981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654002 */     // GIR_Coverage, 5918,
     /* 1654002 */     GIR_EraseRootFromParent_Done,
     /* 1654003 */   // Label 22707: @1654003
     /* 1654003 */   GIM_Try, /*On fail goto*//*Label 22708*/ GIMT_Encode4(1654089), // Rule ID 5921 //
     /* 1654008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1654019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1654022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1654025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1654028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654054 */     // MIs[0] policy
     /* 1654054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654064 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1654067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654088 */     // GIR_Coverage, 5921,
     /* 1654088 */     GIR_EraseRootFromParent_Done,
     /* 1654089 */   // Label 22708: @1654089
     /* 1654089 */   GIM_Try, /*On fail goto*//*Label 22709*/ GIMT_Encode4(1654175), // Rule ID 5922 //
     /* 1654094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1654105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1654108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1654111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1654114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654140 */     // MIs[0] policy
     /* 1654140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654150 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1654153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654174 */     // GIR_Coverage, 5922,
     /* 1654174 */     GIR_EraseRootFromParent_Done,
     /* 1654175 */   // Label 22709: @1654175
     /* 1654175 */   GIM_Try, /*On fail goto*//*Label 22710*/ GIMT_Encode4(1654261), // Rule ID 5925 //
     /* 1654180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1654183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1654191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1654194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1654197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1654200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654226 */     // MIs[0] policy
     /* 1654226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654236 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1654239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1654257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654260 */     // GIR_Coverage, 5925,
     /* 1654260 */     GIR_EraseRootFromParent_Done,
     /* 1654261 */   // Label 22710: @1654261
     /* 1654261 */   GIM_Try, /*On fail goto*//*Label 22711*/ GIMT_Encode4(1654347), // Rule ID 5926 //
     /* 1654266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1654269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1654277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1654280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1654283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1654286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654312 */     // MIs[0] policy
     /* 1654312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654322 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1654325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1654343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654346 */     // GIR_Coverage, 5926,
     /* 1654346 */     GIR_EraseRootFromParent_Done,
     /* 1654347 */   // Label 22711: @1654347
     /* 1654347 */   GIM_Try, /*On fail goto*//*Label 22712*/ GIMT_Encode4(1654433), // Rule ID 5929 //
     /* 1654352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1654363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1654366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1654369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1654372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1654375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1654382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654398 */     // MIs[0] policy
     /* 1654398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654408 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1654411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654432 */     // GIR_Coverage, 5929,
     /* 1654432 */     GIR_EraseRootFromParent_Done,
     /* 1654433 */   // Label 22712: @1654433
     /* 1654433 */   GIM_Try, /*On fail goto*//*Label 22713*/ GIMT_Encode4(1654519), // Rule ID 5930 //
     /* 1654438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1654449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1654452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1654455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1654458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1654461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1654468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654484 */     // MIs[0] policy
     /* 1654484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654494 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1654497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654518 */     // GIR_Coverage, 5930,
     /* 1654518 */     GIR_EraseRootFromParent_Done,
     /* 1654519 */   // Label 22713: @1654519
     /* 1654519 */   GIM_Try, /*On fail goto*//*Label 22714*/ GIMT_Encode4(1654605), // Rule ID 5933 //
     /* 1654524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1654535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1654538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1654541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1654544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1654547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1654554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654570 */     // MIs[0] policy
     /* 1654570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654580 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1654583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654604 */     // GIR_Coverage, 5933,
     /* 1654604 */     GIR_EraseRootFromParent_Done,
     /* 1654605 */   // Label 22714: @1654605
     /* 1654605 */   GIM_Try, /*On fail goto*//*Label 22715*/ GIMT_Encode4(1654691), // Rule ID 5934 //
     /* 1654610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1654621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1654624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1654627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1654630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1654633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1654640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654656 */     // MIs[0] policy
     /* 1654656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654666 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1654669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654690 */     // GIR_Coverage, 5934,
     /* 1654690 */     GIR_EraseRootFromParent_Done,
     /* 1654691 */   // Label 22715: @1654691
     /* 1654691 */   GIM_Try, /*On fail goto*//*Label 22716*/ GIMT_Encode4(1654777), // Rule ID 5937 //
     /* 1654696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1654707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1654710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1654713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1654716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1654719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654742 */     // MIs[0] policy
     /* 1654742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654752 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1654755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654776 */     // GIR_Coverage, 5937,
     /* 1654776 */     GIR_EraseRootFromParent_Done,
     /* 1654777 */   // Label 22716: @1654777
     /* 1654777 */   GIM_Try, /*On fail goto*//*Label 22717*/ GIMT_Encode4(1654863), // Rule ID 5938 //
     /* 1654782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1654793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1654796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1654799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1654802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1654805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654828 */     // MIs[0] policy
     /* 1654828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654838 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1654841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654862 */     // GIR_Coverage, 5938,
     /* 1654862 */     GIR_EraseRootFromParent_Done,
     /* 1654863 */   // Label 22717: @1654863
     /* 1654863 */   GIM_Try, /*On fail goto*//*Label 22718*/ GIMT_Encode4(1654949), // Rule ID 5941 //
     /* 1654868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1654879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1654882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1654885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1654888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1654898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654914 */     // MIs[0] policy
     /* 1654914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654924 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1654927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654948 */     // GIR_Coverage, 5941,
     /* 1654948 */     GIR_EraseRootFromParent_Done,
     /* 1654949 */   // Label 22718: @1654949
     /* 1654949 */   GIM_Try, /*On fail goto*//*Label 22719*/ GIMT_Encode4(1655035), // Rule ID 5942 //
     /* 1654954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1654965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1654968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1654971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1654974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1654984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655000 */     // MIs[0] policy
     /* 1655000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655010 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1655013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655034 */     // GIR_Coverage, 5942,
     /* 1655034 */     GIR_EraseRootFromParent_Done,
     /* 1655035 */   // Label 22719: @1655035
     /* 1655035 */   GIM_Try, /*On fail goto*//*Label 22720*/ GIMT_Encode4(1655121), // Rule ID 5945 //
     /* 1655040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1655051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1655054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1655057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1655060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1655063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1655070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655086 */     // MIs[0] policy
     /* 1655086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655096 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1655099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655120 */     // GIR_Coverage, 5945,
     /* 1655120 */     GIR_EraseRootFromParent_Done,
     /* 1655121 */   // Label 22720: @1655121
     /* 1655121 */   GIM_Try, /*On fail goto*//*Label 22721*/ GIMT_Encode4(1655207), // Rule ID 5946 //
     /* 1655126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1655137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1655140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1655143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1655146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1655149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1655156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655172 */     // MIs[0] policy
     /* 1655172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655182 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1655185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655206 */     // GIR_Coverage, 5946,
     /* 1655206 */     GIR_EraseRootFromParent_Done,
     /* 1655207 */   // Label 22721: @1655207
     /* 1655207 */   GIM_Try, /*On fail goto*//*Label 22722*/ GIMT_Encode4(1655293), // Rule ID 5949 //
     /* 1655212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1655223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1655226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1655229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1655232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1655235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1655242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655258 */     // MIs[0] policy
     /* 1655258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655268 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1655271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655292 */     // GIR_Coverage, 5949,
     /* 1655292 */     GIR_EraseRootFromParent_Done,
     /* 1655293 */   // Label 22722: @1655293
     /* 1655293 */   GIM_Try, /*On fail goto*//*Label 22723*/ GIMT_Encode4(1655379), // Rule ID 5950 //
     /* 1655298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1655309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1655312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1655315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1655318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1655321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1655328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655344 */     // MIs[0] policy
     /* 1655344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655354 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1655357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655378 */     // GIR_Coverage, 5950,
     /* 1655378 */     GIR_EraseRootFromParent_Done,
     /* 1655379 */   // Label 22723: @1655379
     /* 1655379 */   GIM_Try, /*On fail goto*//*Label 22724*/ GIMT_Encode4(1655465), // Rule ID 5953 //
     /* 1655384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1655395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1655398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1655401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1655404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1655414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655430 */     // MIs[0] policy
     /* 1655430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655440 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1655443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655464 */     // GIR_Coverage, 5953,
     /* 1655464 */     GIR_EraseRootFromParent_Done,
     /* 1655465 */   // Label 22724: @1655465
     /* 1655465 */   GIM_Try, /*On fail goto*//*Label 22725*/ GIMT_Encode4(1655551), // Rule ID 5954 //
     /* 1655470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1655481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1655484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1655487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1655490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1655500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655516 */     // MIs[0] policy
     /* 1655516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655526 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1655529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655550 */     // GIR_Coverage, 5954,
     /* 1655550 */     GIR_EraseRootFromParent_Done,
     /* 1655551 */   // Label 22725: @1655551
     /* 1655551 */   GIM_Try, /*On fail goto*//*Label 22726*/ GIMT_Encode4(1655637), // Rule ID 5957 //
     /* 1655556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1655567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1655570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1655573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1655576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1655586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655602 */     // MIs[0] policy
     /* 1655602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655612 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1655615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655636 */     // GIR_Coverage, 5957,
     /* 1655636 */     GIR_EraseRootFromParent_Done,
     /* 1655637 */   // Label 22726: @1655637
     /* 1655637 */   GIM_Try, /*On fail goto*//*Label 22727*/ GIMT_Encode4(1655723), // Rule ID 5958 //
     /* 1655642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1655653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1655656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1655659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1655662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1655672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655688 */     // MIs[0] policy
     /* 1655688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655698 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1655701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655722 */     // GIR_Coverage, 5958,
     /* 1655722 */     GIR_EraseRootFromParent_Done,
     /* 1655723 */   // Label 22727: @1655723
     /* 1655723 */   GIM_Try, /*On fail goto*//*Label 22728*/ GIMT_Encode4(1655809), // Rule ID 5961 //
     /* 1655728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1655739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1655742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1655745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1655748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1655751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1655758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655774 */     // MIs[0] policy
     /* 1655774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655784 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1655787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655808 */     // GIR_Coverage, 5961,
     /* 1655808 */     GIR_EraseRootFromParent_Done,
     /* 1655809 */   // Label 22728: @1655809
     /* 1655809 */   GIM_Try, /*On fail goto*//*Label 22729*/ GIMT_Encode4(1655895), // Rule ID 5962 //
     /* 1655814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1655825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1655828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1655831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1655834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1655837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1655844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655860 */     // MIs[0] policy
     /* 1655860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655870 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1655873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655894 */     // GIR_Coverage, 5962,
     /* 1655894 */     GIR_EraseRootFromParent_Done,
     /* 1655895 */   // Label 22729: @1655895
     /* 1655895 */   GIM_Try, /*On fail goto*//*Label 22730*/ GIMT_Encode4(1655981), // Rule ID 5965 //
     /* 1655900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1655903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1655911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1655914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1655917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1655920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1655930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655946 */     // MIs[0] policy
     /* 1655946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655956 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1655959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1655977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655980 */     // GIR_Coverage, 5965,
     /* 1655980 */     GIR_EraseRootFromParent_Done,
     /* 1655981 */   // Label 22730: @1655981
     /* 1655981 */   GIM_Try, /*On fail goto*//*Label 22731*/ GIMT_Encode4(1656067), // Rule ID 5966 //
     /* 1655986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1655989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1655997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1656000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1656003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1656006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1656009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656032 */     // MIs[0] policy
     /* 1656032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656042 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1656045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1656063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656066 */     // GIR_Coverage, 5966,
     /* 1656066 */     GIR_EraseRootFromParent_Done,
     /* 1656067 */   // Label 22731: @1656067
     /* 1656067 */   GIM_Try, /*On fail goto*//*Label 22732*/ GIMT_Encode4(1656153), // Rule ID 5969 //
     /* 1656072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1656075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1656083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1656086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1656089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1656092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1656095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656118 */     // MIs[0] policy
     /* 1656118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656128 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1656131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1656149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656152 */     // GIR_Coverage, 5969,
     /* 1656152 */     GIR_EraseRootFromParent_Done,
     /* 1656153 */   // Label 22732: @1656153
     /* 1656153 */   GIM_Try, /*On fail goto*//*Label 22733*/ GIMT_Encode4(1656239), // Rule ID 5970 //
     /* 1656158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1656161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1656169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1656172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1656175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1656178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1656181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656204 */     // MIs[0] policy
     /* 1656204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656214 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1656217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1656235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656238 */     // GIR_Coverage, 5970,
     /* 1656238 */     GIR_EraseRootFromParent_Done,
     /* 1656239 */   // Label 22733: @1656239
     /* 1656239 */   GIM_Try, /*On fail goto*//*Label 22734*/ GIMT_Encode4(1656325), // Rule ID 5973 //
     /* 1656244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1656247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1656255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1656258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1656261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1656264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656290 */     // MIs[0] policy
     /* 1656290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656300 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1656303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1656321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656324 */     // GIR_Coverage, 5973,
     /* 1656324 */     GIR_EraseRootFromParent_Done,
     /* 1656325 */   // Label 22734: @1656325
     /* 1656325 */   GIM_Try, /*On fail goto*//*Label 22735*/ GIMT_Encode4(1656411), // Rule ID 5974 //
     /* 1656330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1656333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1656341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1656344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1656347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1656350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656376 */     // MIs[0] policy
     /* 1656376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656386 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1656389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1656407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656410 */     // GIR_Coverage, 5974,
     /* 1656410 */     GIR_EraseRootFromParent_Done,
     /* 1656411 */   // Label 22735: @1656411
     /* 1656411 */   GIM_Try, /*On fail goto*//*Label 22736*/ GIMT_Encode4(1656497), // Rule ID 5977 //
     /* 1656416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1656427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1656430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1656433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1656439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656462 */     // MIs[0] policy
     /* 1656462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656472 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1656475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656496 */     // GIR_Coverage, 5977,
     /* 1656496 */     GIR_EraseRootFromParent_Done,
     /* 1656497 */   // Label 22736: @1656497
     /* 1656497 */   GIM_Try, /*On fail goto*//*Label 22737*/ GIMT_Encode4(1656583), // Rule ID 5978 //
     /* 1656502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1656513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1656516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1656519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1656522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1656525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656548 */     // MIs[0] policy
     /* 1656548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656558 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1656561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656582 */     // GIR_Coverage, 5978,
     /* 1656582 */     GIR_EraseRootFromParent_Done,
     /* 1656583 */   // Label 22737: @1656583
     /* 1656583 */   GIM_Try, /*On fail goto*//*Label 22738*/ GIMT_Encode4(1656669), // Rule ID 5981 //
     /* 1656588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1656599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1656602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1656605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1656611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656634 */     // MIs[0] policy
     /* 1656634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656644 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1656647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656668 */     // GIR_Coverage, 5981,
     /* 1656668 */     GIR_EraseRootFromParent_Done,
     /* 1656669 */   // Label 22738: @1656669
     /* 1656669 */   GIM_Try, /*On fail goto*//*Label 22739*/ GIMT_Encode4(1656755), // Rule ID 5982 //
     /* 1656674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1656685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1656688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1656691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1656694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1656697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656720 */     // MIs[0] policy
     /* 1656720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656730 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1656733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656754 */     // GIR_Coverage, 5982,
     /* 1656754 */     GIR_EraseRootFromParent_Done,
     /* 1656755 */   // Label 22739: @1656755
     /* 1656755 */   GIM_Try, /*On fail goto*//*Label 22740*/ GIMT_Encode4(1656841), // Rule ID 5985 //
     /* 1656760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1656771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1656774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1656777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1656783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656806 */     // MIs[0] policy
     /* 1656806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656816 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1656819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656840 */     // GIR_Coverage, 5985,
     /* 1656840 */     GIR_EraseRootFromParent_Done,
     /* 1656841 */   // Label 22740: @1656841
     /* 1656841 */   GIM_Try, /*On fail goto*//*Label 22741*/ GIMT_Encode4(1656927), // Rule ID 5986 //
     /* 1656846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1656857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1656860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1656863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1656866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1656869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656892 */     // MIs[0] policy
     /* 1656892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656902 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1656905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656926 */     // GIR_Coverage, 5986,
     /* 1656926 */     GIR_EraseRootFromParent_Done,
     /* 1656927 */   // Label 22741: @1656927
     /* 1656927 */   GIM_Try, /*On fail goto*//*Label 22742*/ GIMT_Encode4(1657013), // Rule ID 5989 //
     /* 1656932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1656940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1656943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1656946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1656949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1656955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656978 */     // MIs[0] policy
     /* 1656978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656988 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1656991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657012 */     // GIR_Coverage, 5989,
     /* 1657012 */     GIR_EraseRootFromParent_Done,
     /* 1657013 */   // Label 22742: @1657013
     /* 1657013 */   GIM_Try, /*On fail goto*//*Label 22743*/ GIMT_Encode4(1657099), // Rule ID 5990 //
     /* 1657018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1657029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1657032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1657035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657064 */     // MIs[0] policy
     /* 1657064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657074 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1657077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657098 */     // GIR_Coverage, 5990,
     /* 1657098 */     GIR_EraseRootFromParent_Done,
     /* 1657099 */   // Label 22743: @1657099
     /* 1657099 */   GIM_Try, /*On fail goto*//*Label 22744*/ GIMT_Encode4(1657185), // Rule ID 5993 //
     /* 1657104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1657115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1657118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1657121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657150 */     // MIs[0] policy
     /* 1657150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657160 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1657163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657184 */     // GIR_Coverage, 5993,
     /* 1657184 */     GIR_EraseRootFromParent_Done,
     /* 1657185 */   // Label 22744: @1657185
     /* 1657185 */   GIM_Try, /*On fail goto*//*Label 22745*/ GIMT_Encode4(1657271), // Rule ID 5994 //
     /* 1657190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1657201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1657204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1657207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657236 */     // MIs[0] policy
     /* 1657236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657246 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1657249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657270 */     // GIR_Coverage, 5994,
     /* 1657270 */     GIR_EraseRootFromParent_Done,
     /* 1657271 */   // Label 22745: @1657271
     /* 1657271 */   GIM_Try, /*On fail goto*//*Label 22746*/ GIMT_Encode4(1657357), // Rule ID 5997 //
     /* 1657276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1657287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1657290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1657293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657322 */     // MIs[0] policy
     /* 1657322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657332 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1657335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657356 */     // GIR_Coverage, 5997,
     /* 1657356 */     GIR_EraseRootFromParent_Done,
     /* 1657357 */   // Label 22746: @1657357
     /* 1657357 */   GIM_Try, /*On fail goto*//*Label 22747*/ GIMT_Encode4(1657443), // Rule ID 5998 //
     /* 1657362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1657373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1657376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1657379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657408 */     // MIs[0] policy
     /* 1657408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657418 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1657421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657442 */     // GIR_Coverage, 5998,
     /* 1657442 */     GIR_EraseRootFromParent_Done,
     /* 1657443 */   // Label 22747: @1657443
     /* 1657443 */   GIM_Try, /*On fail goto*//*Label 22748*/ GIMT_Encode4(1657529), // Rule ID 6001 //
     /* 1657448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1657459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1657462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1657465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657494 */     // MIs[0] policy
     /* 1657494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657504 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1657507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657528 */     // GIR_Coverage, 6001,
     /* 1657528 */     GIR_EraseRootFromParent_Done,
     /* 1657529 */   // Label 22748: @1657529
     /* 1657529 */   GIM_Try, /*On fail goto*//*Label 22749*/ GIMT_Encode4(1657615), // Rule ID 6002 //
     /* 1657534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1657545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1657548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1657551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657580 */     // MIs[0] policy
     /* 1657580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657590 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1657593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657614 */     // GIR_Coverage, 6002,
     /* 1657614 */     GIR_EraseRootFromParent_Done,
     /* 1657615 */   // Label 22749: @1657615
     /* 1657615 */   GIM_Try, /*On fail goto*//*Label 22750*/ GIMT_Encode4(1657701), // Rule ID 6005 //
     /* 1657620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1657631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1657634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1657637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657666 */     // MIs[0] policy
     /* 1657666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657676 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1657679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657700 */     // GIR_Coverage, 6005,
     /* 1657700 */     GIR_EraseRootFromParent_Done,
     /* 1657701 */   // Label 22750: @1657701
     /* 1657701 */   GIM_Try, /*On fail goto*//*Label 22751*/ GIMT_Encode4(1657787), // Rule ID 6006 //
     /* 1657706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1657717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1657720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1657723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657752 */     // MIs[0] policy
     /* 1657752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657762 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1657765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657786 */     // GIR_Coverage, 6006,
     /* 1657786 */     GIR_EraseRootFromParent_Done,
     /* 1657787 */   // Label 22751: @1657787
     /* 1657787 */   GIM_Try, /*On fail goto*//*Label 22752*/ GIMT_Encode4(1657873), // Rule ID 6009 //
     /* 1657792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1657803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1657806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1657809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657838 */     // MIs[0] policy
     /* 1657838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1657851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657872 */     // GIR_Coverage, 6009,
     /* 1657872 */     GIR_EraseRootFromParent_Done,
     /* 1657873 */   // Label 22752: @1657873
     /* 1657873 */   GIM_Try, /*On fail goto*//*Label 22753*/ GIMT_Encode4(1657959), // Rule ID 6010 //
     /* 1657878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1657889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1657892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1657895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657924 */     // MIs[0] policy
     /* 1657924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657934 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1657937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657958 */     // GIR_Coverage, 6010,
     /* 1657958 */     GIR_EraseRootFromParent_Done,
     /* 1657959 */   // Label 22753: @1657959
     /* 1657959 */   GIM_Try, /*On fail goto*//*Label 22754*/ GIMT_Encode4(1658045), // Rule ID 6013 //
     /* 1657964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1657967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1657972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1657975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1657978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1657981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658010 */     // MIs[0] policy
     /* 1658010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658020 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1658023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658044 */     // GIR_Coverage, 6013,
     /* 1658044 */     GIR_EraseRootFromParent_Done,
     /* 1658045 */   // Label 22754: @1658045
     /* 1658045 */   GIM_Try, /*On fail goto*//*Label 22755*/ GIMT_Encode4(1658131), // Rule ID 6014 //
     /* 1658050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1658053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1658061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1658064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1658067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658096 */     // MIs[0] policy
     /* 1658096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658106 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1658109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658130 */     // GIR_Coverage, 6014,
     /* 1658130 */     GIR_EraseRootFromParent_Done,
     /* 1658131 */   // Label 22755: @1658131
     /* 1658131 */   GIM_Try, /*On fail goto*//*Label 22756*/ GIMT_Encode4(1658217), // Rule ID 6017 //
     /* 1658136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1658147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1658150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1658153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1658159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1658166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658182 */     // MIs[0] policy
     /* 1658182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658192 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1658195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658216 */     // GIR_Coverage, 6017,
     /* 1658216 */     GIR_EraseRootFromParent_Done,
     /* 1658217 */   // Label 22756: @1658217
     /* 1658217 */   GIM_Try, /*On fail goto*//*Label 22757*/ GIMT_Encode4(1658303), // Rule ID 6018 //
     /* 1658222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1658233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1658236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1658239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1658245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1658252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658268 */     // MIs[0] policy
     /* 1658268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658278 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1658281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658302 */     // GIR_Coverage, 6018,
     /* 1658302 */     GIR_EraseRootFromParent_Done,
     /* 1658303 */   // Label 22757: @1658303
     /* 1658303 */   GIM_Try, /*On fail goto*//*Label 22758*/ GIMT_Encode4(1658389), // Rule ID 6021 //
     /* 1658308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1658319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1658322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1658325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1658331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1658338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658354 */     // MIs[0] policy
     /* 1658354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658364 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1658367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658388 */     // GIR_Coverage, 6021,
     /* 1658388 */     GIR_EraseRootFromParent_Done,
     /* 1658389 */   // Label 22758: @1658389
     /* 1658389 */   GIM_Try, /*On fail goto*//*Label 22759*/ GIMT_Encode4(1658475), // Rule ID 6022 //
     /* 1658394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1658405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1658408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1658411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1658417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1658424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658440 */     // MIs[0] policy
     /* 1658440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658450 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1658453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658474 */     // GIR_Coverage, 6022,
     /* 1658474 */     GIR_EraseRootFromParent_Done,
     /* 1658475 */   // Label 22759: @1658475
     /* 1658475 */   GIM_Try, /*On fail goto*//*Label 22760*/ GIMT_Encode4(1658561), // Rule ID 6025 //
     /* 1658480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1658491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1658494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1658497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1658503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1658510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658526 */     // MIs[0] policy
     /* 1658526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658536 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1658539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658560 */     // GIR_Coverage, 6025,
     /* 1658560 */     GIR_EraseRootFromParent_Done,
     /* 1658561 */   // Label 22760: @1658561
     /* 1658561 */   GIM_Try, /*On fail goto*//*Label 22761*/ GIMT_Encode4(1658647), // Rule ID 6026 //
     /* 1658566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1658577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1658580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1658583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1658589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1658596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658612 */     // MIs[0] policy
     /* 1658612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658622 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1658625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658646 */     // GIR_Coverage, 6026,
     /* 1658646 */     GIR_EraseRootFromParent_Done,
     /* 1658647 */   // Label 22761: @1658647
     /* 1658647 */   GIM_Try, /*On fail goto*//*Label 22762*/ GIMT_Encode4(1658733), // Rule ID 6029 //
     /* 1658652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1658663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1658666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1658669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1658675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1658682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658698 */     // MIs[0] policy
     /* 1658698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658708 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1658711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658732 */     // GIR_Coverage, 6029,
     /* 1658732 */     GIR_EraseRootFromParent_Done,
     /* 1658733 */   // Label 22762: @1658733
     /* 1658733 */   GIM_Try, /*On fail goto*//*Label 22763*/ GIMT_Encode4(1658819), // Rule ID 6030 //
     /* 1658738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1658749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1658752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1658755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1658761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1658768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658784 */     // MIs[0] policy
     /* 1658784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658794 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1658797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658818 */     // GIR_Coverage, 6030,
     /* 1658818 */     GIR_EraseRootFromParent_Done,
     /* 1658819 */   // Label 22763: @1658819
     /* 1658819 */   GIM_Try, /*On fail goto*//*Label 22764*/ GIMT_Encode4(1658905), // Rule ID 6033 //
     /* 1658824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1658835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1658838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1658841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1658847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1658854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658870 */     // MIs[0] policy
     /* 1658870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658880 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1658883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658904 */     // GIR_Coverage, 6033,
     /* 1658904 */     GIR_EraseRootFromParent_Done,
     /* 1658905 */   // Label 22764: @1658905
     /* 1658905 */   GIM_Try, /*On fail goto*//*Label 22765*/ GIMT_Encode4(1658991), // Rule ID 6034 //
     /* 1658910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1658921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1658924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1658927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1658933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1658940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658956 */     // MIs[0] policy
     /* 1658956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658966 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1658969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658990 */     // GIR_Coverage, 6034,
     /* 1658990 */     GIR_EraseRootFromParent_Done,
     /* 1658991 */   // Label 22765: @1658991
     /* 1658991 */   GIM_Try, /*On fail goto*//*Label 22766*/ GIMT_Encode4(1659077), // Rule ID 6037 //
     /* 1658996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1659007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1659010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1659013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1659019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659042 */     // MIs[0] policy
     /* 1659042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659052 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1659055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659076 */     // GIR_Coverage, 6037,
     /* 1659076 */     GIR_EraseRootFromParent_Done,
     /* 1659077 */   // Label 22766: @1659077
     /* 1659077 */   GIM_Try, /*On fail goto*//*Label 22767*/ GIMT_Encode4(1659163), // Rule ID 6038 //
     /* 1659082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1659093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1659096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1659099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1659105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659128 */     // MIs[0] policy
     /* 1659128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659138 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1659141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659162 */     // GIR_Coverage, 6038,
     /* 1659162 */     GIR_EraseRootFromParent_Done,
     /* 1659163 */   // Label 22767: @1659163
     /* 1659163 */   GIM_Try, /*On fail goto*//*Label 22768*/ GIMT_Encode4(1659249), // Rule ID 6041 //
     /* 1659168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1659179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1659182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1659185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1659191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659214 */     // MIs[0] policy
     /* 1659214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659224 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1659227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659248 */     // GIR_Coverage, 6041,
     /* 1659248 */     GIR_EraseRootFromParent_Done,
     /* 1659249 */   // Label 22768: @1659249
     /* 1659249 */   GIM_Try, /*On fail goto*//*Label 22769*/ GIMT_Encode4(1659335), // Rule ID 6042 //
     /* 1659254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1659265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1659268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1659271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1659277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659300 */     // MIs[0] policy
     /* 1659300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659310 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1659313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659334 */     // GIR_Coverage, 6042,
     /* 1659334 */     GIR_EraseRootFromParent_Done,
     /* 1659335 */   // Label 22769: @1659335
     /* 1659335 */   GIM_Try, /*On fail goto*//*Label 22770*/ GIMT_Encode4(1659421), // Rule ID 6045 //
     /* 1659340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1659351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1659354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1659357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659386 */     // MIs[0] policy
     /* 1659386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659396 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1659399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659420 */     // GIR_Coverage, 6045,
     /* 1659420 */     GIR_EraseRootFromParent_Done,
     /* 1659421 */   // Label 22770: @1659421
     /* 1659421 */   GIM_Try, /*On fail goto*//*Label 22771*/ GIMT_Encode4(1659507), // Rule ID 6046 //
     /* 1659426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1659437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1659440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1659443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659472 */     // MIs[0] policy
     /* 1659472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659482 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1659485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659506 */     // GIR_Coverage, 6046,
     /* 1659506 */     GIR_EraseRootFromParent_Done,
     /* 1659507 */   // Label 22771: @1659507
     /* 1659507 */   GIM_Try, /*On fail goto*//*Label 22772*/ GIMT_Encode4(1659593), // Rule ID 6049 //
     /* 1659512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1659523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1659526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1659529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659558 */     // MIs[0] policy
     /* 1659558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659568 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1659571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659592 */     // GIR_Coverage, 6049,
     /* 1659592 */     GIR_EraseRootFromParent_Done,
     /* 1659593 */   // Label 22772: @1659593
     /* 1659593 */   GIM_Try, /*On fail goto*//*Label 22773*/ GIMT_Encode4(1659679), // Rule ID 6050 //
     /* 1659598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1659609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1659612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1659615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659644 */     // MIs[0] policy
     /* 1659644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659654 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1659657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659678 */     // GIR_Coverage, 6050,
     /* 1659678 */     GIR_EraseRootFromParent_Done,
     /* 1659679 */   // Label 22773: @1659679
     /* 1659679 */   GIM_Try, /*On fail goto*//*Label 22774*/ GIMT_Encode4(1659765), // Rule ID 6053 //
     /* 1659684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1659687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1659695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1659698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1659701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659730 */     // MIs[0] policy
     /* 1659730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659740 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1659743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1659761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659764 */     // GIR_Coverage, 6053,
     /* 1659764 */     GIR_EraseRootFromParent_Done,
     /* 1659765 */   // Label 22774: @1659765
     /* 1659765 */   GIM_Try, /*On fail goto*//*Label 22775*/ GIMT_Encode4(1659851), // Rule ID 6054 //
     /* 1659770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1659773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1659781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1659784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1659787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659816 */     // MIs[0] policy
     /* 1659816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659826 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1659829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1659847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659850 */     // GIR_Coverage, 6054,
     /* 1659850 */     GIR_EraseRootFromParent_Done,
     /* 1659851 */   // Label 22775: @1659851
     /* 1659851 */   GIM_Try, /*On fail goto*//*Label 22776*/ GIMT_Encode4(1659937), // Rule ID 6057 //
     /* 1659856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1659859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1659867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1659870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1659873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1659879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659902 */     // MIs[0] policy
     /* 1659902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659912 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1659915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1659933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659936 */     // GIR_Coverage, 6057,
     /* 1659936 */     GIR_EraseRootFromParent_Done,
     /* 1659937 */   // Label 22776: @1659937
     /* 1659937 */   GIM_Try, /*On fail goto*//*Label 22777*/ GIMT_Encode4(1660023), // Rule ID 6058 //
     /* 1659942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1659945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1659953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1659956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1659959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1659965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659988 */     // MIs[0] policy
     /* 1659988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659998 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1660001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660022 */     // GIR_Coverage, 6058,
     /* 1660022 */     GIR_EraseRootFromParent_Done,
     /* 1660023 */   // Label 22777: @1660023
     /* 1660023 */   GIM_Try, /*On fail goto*//*Label 22778*/ GIMT_Encode4(1660109), // Rule ID 6061 //
     /* 1660028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1660031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1660039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1660042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1660045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660074 */     // MIs[0] policy
     /* 1660074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660084 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1660087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660108 */     // GIR_Coverage, 6061,
     /* 1660108 */     GIR_EraseRootFromParent_Done,
     /* 1660109 */   // Label 22778: @1660109
     /* 1660109 */   GIM_Try, /*On fail goto*//*Label 22779*/ GIMT_Encode4(1660195), // Rule ID 6062 //
     /* 1660114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1660117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1660125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1660128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1660131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660160 */     // MIs[0] policy
     /* 1660160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660170 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1660173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660194 */     // GIR_Coverage, 6062,
     /* 1660194 */     GIR_EraseRootFromParent_Done,
     /* 1660195 */   // Label 22779: @1660195
     /* 1660195 */   GIM_Try, /*On fail goto*//*Label 22780*/ GIMT_Encode4(1660281), // Rule ID 6153 //
     /* 1660200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1660211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1660214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1660217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1660220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1660223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660246 */     // MIs[0] policy
     /* 1660246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660256 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1660259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660280 */     // GIR_Coverage, 6153,
     /* 1660280 */     GIR_EraseRootFromParent_Done,
     /* 1660281 */   // Label 22780: @1660281
     /* 1660281 */   GIM_Try, /*On fail goto*//*Label 22781*/ GIMT_Encode4(1660367), // Rule ID 6154 //
     /* 1660286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1660297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1660300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1660303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1660306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1660309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660332 */     // MIs[0] policy
     /* 1660332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660342 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1660345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660366 */     // GIR_Coverage, 6154,
     /* 1660366 */     GIR_EraseRootFromParent_Done,
     /* 1660367 */   // Label 22781: @1660367
     /* 1660367 */   GIM_Try, /*On fail goto*//*Label 22782*/ GIMT_Encode4(1660453), // Rule ID 6157 //
     /* 1660372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1660383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1660386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1660389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1660392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660418 */     // MIs[0] policy
     /* 1660418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660428 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1660431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660452 */     // GIR_Coverage, 6157,
     /* 1660452 */     GIR_EraseRootFromParent_Done,
     /* 1660453 */   // Label 22782: @1660453
     /* 1660453 */   GIM_Try, /*On fail goto*//*Label 22783*/ GIMT_Encode4(1660539), // Rule ID 6158 //
     /* 1660458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1660469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1660472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1660475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1660478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660504 */     // MIs[0] policy
     /* 1660504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660514 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1660517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660538 */     // GIR_Coverage, 6158,
     /* 1660538 */     GIR_EraseRootFromParent_Done,
     /* 1660539 */   // Label 22783: @1660539
     /* 1660539 */   GIM_Try, /*On fail goto*//*Label 22784*/ GIMT_Encode4(1660625), // Rule ID 6161 //
     /* 1660544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1660555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1660558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1660561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1660564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660590 */     // MIs[0] policy
     /* 1660590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660600 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1660603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660624 */     // GIR_Coverage, 6161,
     /* 1660624 */     GIR_EraseRootFromParent_Done,
     /* 1660625 */   // Label 22784: @1660625
     /* 1660625 */   GIM_Try, /*On fail goto*//*Label 22785*/ GIMT_Encode4(1660711), // Rule ID 6162 //
     /* 1660630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1660641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1660644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1660647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1660650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660676 */     // MIs[0] policy
     /* 1660676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660686 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1660689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660710 */     // GIR_Coverage, 6162,
     /* 1660710 */     GIR_EraseRootFromParent_Done,
     /* 1660711 */   // Label 22785: @1660711
     /* 1660711 */   GIM_Try, /*On fail goto*//*Label 22786*/ GIMT_Encode4(1660797), // Rule ID 6165 //
     /* 1660716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1660727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1660730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1660733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1660736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1660739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660762 */     // MIs[0] policy
     /* 1660762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660772 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1660775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660796 */     // GIR_Coverage, 6165,
     /* 1660796 */     GIR_EraseRootFromParent_Done,
     /* 1660797 */   // Label 22786: @1660797
     /* 1660797 */   GIM_Try, /*On fail goto*//*Label 22787*/ GIMT_Encode4(1660883), // Rule ID 6166 //
     /* 1660802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1660813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1660816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1660819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1660822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1660825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660848 */     // MIs[0] policy
     /* 1660848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660858 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1660861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660882 */     // GIR_Coverage, 6166,
     /* 1660882 */     GIR_EraseRootFromParent_Done,
     /* 1660883 */   // Label 22787: @1660883
     /* 1660883 */   GIM_Try, /*On fail goto*//*Label 22788*/ GIMT_Encode4(1660969), // Rule ID 6169 //
     /* 1660888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1660899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1660902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1660905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1660908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660934 */     // MIs[0] policy
     /* 1660934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660944 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1660947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660968 */     // GIR_Coverage, 6169,
     /* 1660968 */     GIR_EraseRootFromParent_Done,
     /* 1660969 */   // Label 22788: @1660969
     /* 1660969 */   GIM_Try, /*On fail goto*//*Label 22789*/ GIMT_Encode4(1661055), // Rule ID 6170 //
     /* 1660974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1660985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1660988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1660991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1660994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661020 */     // MIs[0] policy
     /* 1661020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661030 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1661033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661054 */     // GIR_Coverage, 6170,
     /* 1661054 */     GIR_EraseRootFromParent_Done,
     /* 1661055 */   // Label 22789: @1661055
     /* 1661055 */   GIM_Try, /*On fail goto*//*Label 22790*/ GIMT_Encode4(1661141), // Rule ID 6173 //
     /* 1661060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1661071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1661074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1661077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1661080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661106 */     // MIs[0] policy
     /* 1661106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661116 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1661119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661140 */     // GIR_Coverage, 6173,
     /* 1661140 */     GIR_EraseRootFromParent_Done,
     /* 1661141 */   // Label 22790: @1661141
     /* 1661141 */   GIM_Try, /*On fail goto*//*Label 22791*/ GIMT_Encode4(1661227), // Rule ID 6174 //
     /* 1661146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1661157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1661160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1661163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1661166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661192 */     // MIs[0] policy
     /* 1661192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661202 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1661205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661226 */     // GIR_Coverage, 6174,
     /* 1661226 */     GIR_EraseRootFromParent_Done,
     /* 1661227 */   // Label 22791: @1661227
     /* 1661227 */   GIM_Try, /*On fail goto*//*Label 22792*/ GIMT_Encode4(1661313), // Rule ID 6177 //
     /* 1661232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1661243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1661246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1661249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1661252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661278 */     // MIs[0] policy
     /* 1661278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661288 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1661291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661312 */     // GIR_Coverage, 6177,
     /* 1661312 */     GIR_EraseRootFromParent_Done,
     /* 1661313 */   // Label 22792: @1661313
     /* 1661313 */   GIM_Try, /*On fail goto*//*Label 22793*/ GIMT_Encode4(1661399), // Rule ID 6178 //
     /* 1661318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1661329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1661332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1661335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1661338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661364 */     // MIs[0] policy
     /* 1661364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661374 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1661377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661398 */     // GIR_Coverage, 6178,
     /* 1661398 */     GIR_EraseRootFromParent_Done,
     /* 1661399 */   // Label 22793: @1661399
     /* 1661399 */   GIM_Try, /*On fail goto*//*Label 22794*/ GIMT_Encode4(1661485), // Rule ID 6181 //
     /* 1661404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1661415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1661418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1661421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1661424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661450 */     // MIs[0] policy
     /* 1661450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661460 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1661463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661484 */     // GIR_Coverage, 6181,
     /* 1661484 */     GIR_EraseRootFromParent_Done,
     /* 1661485 */   // Label 22794: @1661485
     /* 1661485 */   GIM_Try, /*On fail goto*//*Label 22795*/ GIMT_Encode4(1661571), // Rule ID 6182 //
     /* 1661490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1661501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1661504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1661507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1661510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661536 */     // MIs[0] policy
     /* 1661536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1661549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661570 */     // GIR_Coverage, 6182,
     /* 1661570 */     GIR_EraseRootFromParent_Done,
     /* 1661571 */   // Label 22795: @1661571
     /* 1661571 */   GIM_Try, /*On fail goto*//*Label 22796*/ GIMT_Encode4(1661657), // Rule ID 6185 //
     /* 1661576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1661587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1661590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1661593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1661596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661622 */     // MIs[0] policy
     /* 1661622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661632 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1661635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661656 */     // GIR_Coverage, 6185,
     /* 1661656 */     GIR_EraseRootFromParent_Done,
     /* 1661657 */   // Label 22796: @1661657
     /* 1661657 */   GIM_Try, /*On fail goto*//*Label 22797*/ GIMT_Encode4(1661743), // Rule ID 6186 //
     /* 1661662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1661673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1661676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1661679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1661682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661708 */     // MIs[0] policy
     /* 1661708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661718 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1661721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1661739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661742 */     // GIR_Coverage, 6186,
     /* 1661742 */     GIR_EraseRootFromParent_Done,
     /* 1661743 */   // Label 22797: @1661743
     /* 1661743 */   GIM_Try, /*On fail goto*//*Label 22798*/ GIMT_Encode4(1661829), // Rule ID 6189 //
     /* 1661748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1661751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1661759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1661762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1661765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1661768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661794 */     // MIs[0] policy
     /* 1661794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661804 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1661807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661828 */     // GIR_Coverage, 6189,
     /* 1661828 */     GIR_EraseRootFromParent_Done,
     /* 1661829 */   // Label 22798: @1661829
     /* 1661829 */   GIM_Try, /*On fail goto*//*Label 22799*/ GIMT_Encode4(1661915), // Rule ID 6190 //
     /* 1661834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1661837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1661845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1661848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1661851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1661854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661880 */     // MIs[0] policy
     /* 1661880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661890 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1661893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661914 */     // GIR_Coverage, 6190,
     /* 1661914 */     GIR_EraseRootFromParent_Done,
     /* 1661915 */   // Label 22799: @1661915
     /* 1661915 */   GIM_Try, /*On fail goto*//*Label 22800*/ GIMT_Encode4(1662001), // Rule ID 6193 //
     /* 1661920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1661931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1661934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1661937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1661940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1661943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1661950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661966 */     // MIs[0] policy
     /* 1661966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661976 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1661979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662000 */     // GIR_Coverage, 6193,
     /* 1662000 */     GIR_EraseRootFromParent_Done,
     /* 1662001 */   // Label 22800: @1662001
     /* 1662001 */   GIM_Try, /*On fail goto*//*Label 22801*/ GIMT_Encode4(1662087), // Rule ID 6194 //
     /* 1662006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1662017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1662020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1662023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1662026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1662029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662052 */     // MIs[0] policy
     /* 1662052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662062 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1662065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662086 */     // GIR_Coverage, 6194,
     /* 1662086 */     GIR_EraseRootFromParent_Done,
     /* 1662087 */   // Label 22801: @1662087
     /* 1662087 */   GIM_Try, /*On fail goto*//*Label 22802*/ GIMT_Encode4(1662173), // Rule ID 6197 //
     /* 1662092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1662103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1662106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1662109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1662112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1662115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1662122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662138 */     // MIs[0] policy
     /* 1662138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662148 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1662151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662172 */     // GIR_Coverage, 6197,
     /* 1662172 */     GIR_EraseRootFromParent_Done,
     /* 1662173 */   // Label 22802: @1662173
     /* 1662173 */   GIM_Try, /*On fail goto*//*Label 22803*/ GIMT_Encode4(1662259), // Rule ID 6198 //
     /* 1662178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1662189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1662192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1662195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1662198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1662201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1662208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662224 */     // MIs[0] policy
     /* 1662224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662234 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1662237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662258 */     // GIR_Coverage, 6198,
     /* 1662258 */     GIR_EraseRootFromParent_Done,
     /* 1662259 */   // Label 22803: @1662259
     /* 1662259 */   GIM_Try, /*On fail goto*//*Label 22804*/ GIMT_Encode4(1662345), // Rule ID 6201 //
     /* 1662264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1662275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1662278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1662281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1662284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1662287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1662294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662310 */     // MIs[0] policy
     /* 1662310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662320 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1662323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662344 */     // GIR_Coverage, 6201,
     /* 1662344 */     GIR_EraseRootFromParent_Done,
     /* 1662345 */   // Label 22804: @1662345
     /* 1662345 */   GIM_Try, /*On fail goto*//*Label 22805*/ GIMT_Encode4(1662431), // Rule ID 6202 //
     /* 1662350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1662361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1662364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1662367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1662370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1662373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1662380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662396 */     // MIs[0] policy
     /* 1662396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662406 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1662409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662430 */     // GIR_Coverage, 6202,
     /* 1662430 */     GIR_EraseRootFromParent_Done,
     /* 1662431 */   // Label 22805: @1662431
     /* 1662431 */   GIM_Try, /*On fail goto*//*Label 22806*/ GIMT_Encode4(1662517), // Rule ID 6205 //
     /* 1662436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1662447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1662450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1662453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1662456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662482 */     // MIs[0] policy
     /* 1662482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662492 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1662495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662516 */     // GIR_Coverage, 6205,
     /* 1662516 */     GIR_EraseRootFromParent_Done,
     /* 1662517 */   // Label 22806: @1662517
     /* 1662517 */   GIM_Try, /*On fail goto*//*Label 22807*/ GIMT_Encode4(1662603), // Rule ID 6206 //
     /* 1662522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1662533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1662536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1662539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1662542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662568 */     // MIs[0] policy
     /* 1662568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662578 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1662581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662602 */     // GIR_Coverage, 6206,
     /* 1662602 */     GIR_EraseRootFromParent_Done,
     /* 1662603 */   // Label 22807: @1662603
     /* 1662603 */   GIM_Try, /*On fail goto*//*Label 22808*/ GIMT_Encode4(1662689), // Rule ID 6209 //
     /* 1662608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1662619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1662622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1662625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1662628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1662631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1662638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662654 */     // MIs[0] policy
     /* 1662654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662664 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1662667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662688 */     // GIR_Coverage, 6209,
     /* 1662688 */     GIR_EraseRootFromParent_Done,
     /* 1662689 */   // Label 22808: @1662689
     /* 1662689 */   GIM_Try, /*On fail goto*//*Label 22809*/ GIMT_Encode4(1662775), // Rule ID 6210 //
     /* 1662694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1662705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1662708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1662711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1662714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1662717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1662724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662740 */     // MIs[0] policy
     /* 1662740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662750 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1662753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662774 */     // GIR_Coverage, 6210,
     /* 1662774 */     GIR_EraseRootFromParent_Done,
     /* 1662775 */   // Label 22809: @1662775
     /* 1662775 */   GIM_Try, /*On fail goto*//*Label 22810*/ GIMT_Encode4(1662861), // Rule ID 6213 //
     /* 1662780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1662791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1662794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1662797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1662800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1662803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1662810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662826 */     // MIs[0] policy
     /* 1662826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662836 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1662839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662860 */     // GIR_Coverage, 6213,
     /* 1662860 */     GIR_EraseRootFromParent_Done,
     /* 1662861 */   // Label 22810: @1662861
     /* 1662861 */   GIM_Try, /*On fail goto*//*Label 22811*/ GIMT_Encode4(1662947), // Rule ID 6214 //
     /* 1662866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1662877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1662880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1662883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1662886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1662889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1662896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662912 */     // MIs[0] policy
     /* 1662912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662922 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1662925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662946 */     // GIR_Coverage, 6214,
     /* 1662946 */     GIR_EraseRootFromParent_Done,
     /* 1662947 */   // Label 22811: @1662947
     /* 1662947 */   GIM_Try, /*On fail goto*//*Label 22812*/ GIMT_Encode4(1663033), // Rule ID 6217 //
     /* 1662952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1662963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1662966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1662969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1662972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662998 */     // MIs[0] policy
     /* 1662998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663008 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1663011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663032 */     // GIR_Coverage, 6217,
     /* 1663032 */     GIR_EraseRootFromParent_Done,
     /* 1663033 */   // Label 22812: @1663033
     /* 1663033 */   GIM_Try, /*On fail goto*//*Label 22813*/ GIMT_Encode4(1663119), // Rule ID 6218 //
     /* 1663038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1663049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1663052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1663055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1663058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663084 */     // MIs[0] policy
     /* 1663084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663094 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1663097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663118 */     // GIR_Coverage, 6218,
     /* 1663118 */     GIR_EraseRootFromParent_Done,
     /* 1663119 */   // Label 22813: @1663119
     /* 1663119 */   GIM_Try, /*On fail goto*//*Label 22814*/ GIMT_Encode4(1663205), // Rule ID 6221 //
     /* 1663124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1663135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1663138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1663141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1663144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663170 */     // MIs[0] policy
     /* 1663170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663180 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1663183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663204 */     // GIR_Coverage, 6221,
     /* 1663204 */     GIR_EraseRootFromParent_Done,
     /* 1663205 */   // Label 22814: @1663205
     /* 1663205 */   GIM_Try, /*On fail goto*//*Label 22815*/ GIMT_Encode4(1663291), // Rule ID 6222 //
     /* 1663210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1663221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1663224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1663227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1663230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663256 */     // MIs[0] policy
     /* 1663256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663266 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1663269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663290 */     // GIR_Coverage, 6222,
     /* 1663290 */     GIR_EraseRootFromParent_Done,
     /* 1663291 */   // Label 22815: @1663291
     /* 1663291 */   GIM_Try, /*On fail goto*//*Label 22816*/ GIMT_Encode4(1663377), // Rule ID 6225 //
     /* 1663296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1663307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1663310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1663313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1663316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663342 */     // MIs[0] policy
     /* 1663342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663352 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1663355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663376 */     // GIR_Coverage, 6225,
     /* 1663376 */     GIR_EraseRootFromParent_Done,
     /* 1663377 */   // Label 22816: @1663377
     /* 1663377 */   GIM_Try, /*On fail goto*//*Label 22817*/ GIMT_Encode4(1663463), // Rule ID 6226 //
     /* 1663382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1663393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1663396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1663399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1663402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663428 */     // MIs[0] policy
     /* 1663428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663438 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1663441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663462 */     // GIR_Coverage, 6226,
     /* 1663462 */     GIR_EraseRootFromParent_Done,
     /* 1663463 */   // Label 22817: @1663463
     /* 1663463 */   GIM_Try, /*On fail goto*//*Label 22818*/ GIMT_Encode4(1663549), // Rule ID 6229 //
     /* 1663468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1663471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1663479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1663482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1663485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1663488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1663491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663514 */     // MIs[0] policy
     /* 1663514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663524 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1663527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663548 */     // GIR_Coverage, 6229,
     /* 1663548 */     GIR_EraseRootFromParent_Done,
     /* 1663549 */   // Label 22818: @1663549
     /* 1663549 */   GIM_Try, /*On fail goto*//*Label 22819*/ GIMT_Encode4(1663635), // Rule ID 6230 //
     /* 1663554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1663557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1663565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1663568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1663571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1663574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1663577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663600 */     // MIs[0] policy
     /* 1663600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663610 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1663613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663634 */     // GIR_Coverage, 6230,
     /* 1663634 */     GIR_EraseRootFromParent_Done,
     /* 1663635 */   // Label 22819: @1663635
     /* 1663635 */   GIM_Try, /*On fail goto*//*Label 22820*/ GIMT_Encode4(1663721), // Rule ID 6233 //
     /* 1663640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1663643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1663651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1663654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1663657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1663660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663686 */     // MIs[0] policy
     /* 1663686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663696 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1663699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663720 */     // GIR_Coverage, 6233,
     /* 1663720 */     GIR_EraseRootFromParent_Done,
     /* 1663721 */   // Label 22820: @1663721
     /* 1663721 */   GIM_Try, /*On fail goto*//*Label 22821*/ GIMT_Encode4(1663807), // Rule ID 6234 //
     /* 1663726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1663729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1663737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1663740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1663743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1663746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663772 */     // MIs[0] policy
     /* 1663772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663782 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1663785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663806 */     // GIR_Coverage, 6234,
     /* 1663806 */     GIR_EraseRootFromParent_Done,
     /* 1663807 */   // Label 22821: @1663807
     /* 1663807 */   GIM_Try, /*On fail goto*//*Label 22822*/ GIMT_Encode4(1663893), // Rule ID 6237 //
     /* 1663812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1663815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1663823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1663826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1663829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1663832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663858 */     // MIs[0] policy
     /* 1663858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663868 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1663871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663892 */     // GIR_Coverage, 6237,
     /* 1663892 */     GIR_EraseRootFromParent_Done,
     /* 1663893 */   // Label 22822: @1663893
     /* 1663893 */   GIM_Try, /*On fail goto*//*Label 22823*/ GIMT_Encode4(1663979), // Rule ID 6238 //
     /* 1663898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1663901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1663909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1663912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1663915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1663918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663944 */     // MIs[0] policy
     /* 1663944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663954 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1663957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663978 */     // GIR_Coverage, 6238,
     /* 1663978 */     GIR_EraseRootFromParent_Done,
     /* 1663979 */   // Label 22823: @1663979
     /* 1663979 */   GIM_Try, /*On fail goto*//*Label 22824*/ GIMT_Encode4(1664065), // Rule ID 6241 //
     /* 1663984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1663992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1663995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1663998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1664001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664030 */     // MIs[0] policy
     /* 1664030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664040 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1664043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664064 */     // GIR_Coverage, 6241,
     /* 1664064 */     GIR_EraseRootFromParent_Done,
     /* 1664065 */   // Label 22824: @1664065
     /* 1664065 */   GIM_Try, /*On fail goto*//*Label 22825*/ GIMT_Encode4(1664151), // Rule ID 6242 //
     /* 1664070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1664081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1664084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1664087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664116 */     // MIs[0] policy
     /* 1664116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664126 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1664129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664150 */     // GIR_Coverage, 6242,
     /* 1664150 */     GIR_EraseRootFromParent_Done,
     /* 1664151 */   // Label 22825: @1664151
     /* 1664151 */   GIM_Try, /*On fail goto*//*Label 22826*/ GIMT_Encode4(1664237), // Rule ID 6245 //
     /* 1664156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1664167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1664170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1664173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664202 */     // MIs[0] policy
     /* 1664202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664212 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1664215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664236 */     // GIR_Coverage, 6245,
     /* 1664236 */     GIR_EraseRootFromParent_Done,
     /* 1664237 */   // Label 22826: @1664237
     /* 1664237 */   GIM_Try, /*On fail goto*//*Label 22827*/ GIMT_Encode4(1664323), // Rule ID 6246 //
     /* 1664242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1664253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1664256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1664259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664288 */     // MIs[0] policy
     /* 1664288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664298 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1664301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664322 */     // GIR_Coverage, 6246,
     /* 1664322 */     GIR_EraseRootFromParent_Done,
     /* 1664323 */   // Label 22827: @1664323
     /* 1664323 */   GIM_Try, /*On fail goto*//*Label 22828*/ GIMT_Encode4(1664409), // Rule ID 6249 //
     /* 1664328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1664339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1664342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1664345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664374 */     // MIs[0] policy
     /* 1664374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664384 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1664387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664408 */     // GIR_Coverage, 6249,
     /* 1664408 */     GIR_EraseRootFromParent_Done,
     /* 1664409 */   // Label 22828: @1664409
     /* 1664409 */   GIM_Try, /*On fail goto*//*Label 22829*/ GIMT_Encode4(1664495), // Rule ID 6250 //
     /* 1664414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1664425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1664428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1664431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664460 */     // MIs[0] policy
     /* 1664460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664470 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1664473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664494 */     // GIR_Coverage, 6250,
     /* 1664494 */     GIR_EraseRootFromParent_Done,
     /* 1664495 */   // Label 22829: @1664495
     /* 1664495 */   GIM_Try, /*On fail goto*//*Label 22830*/ GIMT_Encode4(1664581), // Rule ID 6253 //
     /* 1664500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1664511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1664514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1664517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664546 */     // MIs[0] policy
     /* 1664546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664556 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1664559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664580 */     // GIR_Coverage, 6253,
     /* 1664580 */     GIR_EraseRootFromParent_Done,
     /* 1664581 */   // Label 22830: @1664581
     /* 1664581 */   GIM_Try, /*On fail goto*//*Label 22831*/ GIMT_Encode4(1664667), // Rule ID 6254 //
     /* 1664586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1664597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1664600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1664603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664632 */     // MIs[0] policy
     /* 1664632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664642 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1664645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664666 */     // GIR_Coverage, 6254,
     /* 1664666 */     GIR_EraseRootFromParent_Done,
     /* 1664667 */   // Label 22831: @1664667
     /* 1664667 */   GIM_Try, /*On fail goto*//*Label 22832*/ GIMT_Encode4(1664753), // Rule ID 6257 //
     /* 1664672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1664683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1664686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1664689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664718 */     // MIs[0] policy
     /* 1664718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664728 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1664731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664752 */     // GIR_Coverage, 6257,
     /* 1664752 */     GIR_EraseRootFromParent_Done,
     /* 1664753 */   // Label 22832: @1664753
     /* 1664753 */   GIM_Try, /*On fail goto*//*Label 22833*/ GIMT_Encode4(1664839), // Rule ID 6258 //
     /* 1664758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1664769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1664772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1664775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664804 */     // MIs[0] policy
     /* 1664804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664814 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1664817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664838 */     // GIR_Coverage, 6258,
     /* 1664838 */     GIR_EraseRootFromParent_Done,
     /* 1664839 */   // Label 22833: @1664839
     /* 1664839 */   GIM_Try, /*On fail goto*//*Label 22834*/ GIMT_Encode4(1664925), // Rule ID 6261 //
     /* 1664844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1664855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1664858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1664861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664890 */     // MIs[0] policy
     /* 1664890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664900 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1664903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664924 */     // GIR_Coverage, 6261,
     /* 1664924 */     GIR_EraseRootFromParent_Done,
     /* 1664925 */   // Label 22834: @1664925
     /* 1664925 */   GIM_Try, /*On fail goto*//*Label 22835*/ GIMT_Encode4(1665011), // Rule ID 6262 //
     /* 1664930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1664938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1664941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1664944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1664947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664976 */     // MIs[0] policy
     /* 1664976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664986 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1664989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665010 */     // GIR_Coverage, 6262,
     /* 1665010 */     GIR_EraseRootFromParent_Done,
     /* 1665011 */   // Label 22835: @1665011
     /* 1665011 */   GIM_Try, /*On fail goto*//*Label 22836*/ GIMT_Encode4(1665097), // Rule ID 6265 //
     /* 1665016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1665027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1665030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1665033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665062 */     // MIs[0] policy
     /* 1665062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1665075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665096 */     // GIR_Coverage, 6265,
     /* 1665096 */     GIR_EraseRootFromParent_Done,
     /* 1665097 */   // Label 22836: @1665097
     /* 1665097 */   GIM_Try, /*On fail goto*//*Label 22837*/ GIMT_Encode4(1665183), // Rule ID 6266 //
     /* 1665102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1665113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1665116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1665119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665148 */     // MIs[0] policy
     /* 1665148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665158 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11575:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1665161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665182 */     // GIR_Coverage, 6266,
     /* 1665182 */     GIR_EraseRootFromParent_Done,
     /* 1665183 */   // Label 22837: @1665183
     /* 1665183 */   GIM_Try, /*On fail goto*//*Label 22838*/ GIMT_Encode4(1665269), // Rule ID 6269 //
     /* 1665188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1665199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1665202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1665205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665234 */     // MIs[0] policy
     /* 1665234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665244 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1665247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665268 */     // GIR_Coverage, 6269,
     /* 1665268 */     GIR_EraseRootFromParent_Done,
     /* 1665269 */   // Label 22838: @1665269
     /* 1665269 */   GIM_Try, /*On fail goto*//*Label 22839*/ GIMT_Encode4(1665355), // Rule ID 6270 //
     /* 1665274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1665285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1665288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1665291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665320 */     // MIs[0] policy
     /* 1665320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665330 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11575:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1665333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665354 */     // GIR_Coverage, 6270,
     /* 1665354 */     GIR_EraseRootFromParent_Done,
     /* 1665355 */   // Label 22839: @1665355
     /* 1665355 */   GIM_Try, /*On fail goto*//*Label 22840*/ GIMT_Encode4(1665441), // Rule ID 6273 //
     /* 1665360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1665371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1665374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1665377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665406 */     // MIs[0] policy
     /* 1665406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665416 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1665419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665440 */     // GIR_Coverage, 6273,
     /* 1665440 */     GIR_EraseRootFromParent_Done,
     /* 1665441 */   // Label 22840: @1665441
     /* 1665441 */   GIM_Try, /*On fail goto*//*Label 22841*/ GIMT_Encode4(1665527), // Rule ID 6274 //
     /* 1665446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1665457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1665460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1665463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665492 */     // MIs[0] policy
     /* 1665492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11575:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1665505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665526 */     // GIR_Coverage, 6274,
     /* 1665526 */     GIR_EraseRootFromParent_Done,
     /* 1665527 */   // Label 22841: @1665527
     /* 1665527 */   GIM_Try, /*On fail goto*//*Label 22842*/ GIMT_Encode4(1665613), // Rule ID 6277 //
     /* 1665532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1665535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1665543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1665546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1665549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665578 */     // MIs[0] policy
     /* 1665578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665588 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1665591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665612 */     // GIR_Coverage, 6277,
     /* 1665612 */     GIR_EraseRootFromParent_Done,
     /* 1665613 */   // Label 22842: @1665613
     /* 1665613 */   GIM_Try, /*On fail goto*//*Label 22843*/ GIMT_Encode4(1665699), // Rule ID 6278 //
     /* 1665618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1665621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1665629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1665632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1665635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665664 */     // MIs[0] policy
     /* 1665664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665674 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11575:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1665677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665698 */     // GIR_Coverage, 6278,
     /* 1665698 */     GIR_EraseRootFromParent_Done,
     /* 1665699 */   // Label 22843: @1665699
     /* 1665699 */   GIM_Try, /*On fail goto*//*Label 22844*/ GIMT_Encode4(1665785), // Rule ID 6281 //
     /* 1665704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1665715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1665718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1665721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1665727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1665734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665750 */     // MIs[0] policy
     /* 1665750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665760 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1665763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665784 */     // GIR_Coverage, 6281,
     /* 1665784 */     GIR_EraseRootFromParent_Done,
     /* 1665785 */   // Label 22844: @1665785
     /* 1665785 */   GIM_Try, /*On fail goto*//*Label 22845*/ GIMT_Encode4(1665871), // Rule ID 6282 //
     /* 1665790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1665801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1665804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1665807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1665813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1665820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665836 */     // MIs[0] policy
     /* 1665836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665846 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1665849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665870 */     // GIR_Coverage, 6282,
     /* 1665870 */     GIR_EraseRootFromParent_Done,
     /* 1665871 */   // Label 22845: @1665871
     /* 1665871 */   GIM_Try, /*On fail goto*//*Label 22846*/ GIMT_Encode4(1665957), // Rule ID 6285 //
     /* 1665876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1665887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1665890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1665893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1665899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1665906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665922 */     // MIs[0] policy
     /* 1665922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665932 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1665935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665956 */     // GIR_Coverage, 6285,
     /* 1665956 */     GIR_EraseRootFromParent_Done,
     /* 1665957 */   // Label 22846: @1665957
     /* 1665957 */   GIM_Try, /*On fail goto*//*Label 22847*/ GIMT_Encode4(1666043), // Rule ID 6286 //
     /* 1665962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1665970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1665973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1665976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1665979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1665985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1665992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666008 */     // MIs[0] policy
     /* 1666008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666018 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1666021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666042 */     // GIR_Coverage, 6286,
     /* 1666042 */     GIR_EraseRootFromParent_Done,
     /* 1666043 */   // Label 22847: @1666043
     /* 1666043 */   GIM_Try, /*On fail goto*//*Label 22848*/ GIMT_Encode4(1666129), // Rule ID 6289 //
     /* 1666048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1666059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1666062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1666065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1666071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1666078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666094 */     // MIs[0] policy
     /* 1666094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666104 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1666107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666128 */     // GIR_Coverage, 6289,
     /* 1666128 */     GIR_EraseRootFromParent_Done,
     /* 1666129 */   // Label 22848: @1666129
     /* 1666129 */   GIM_Try, /*On fail goto*//*Label 22849*/ GIMT_Encode4(1666215), // Rule ID 6290 //
     /* 1666134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1666145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1666148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1666151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1666157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1666164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666180 */     // MIs[0] policy
     /* 1666180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666190 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1666193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666214 */     // GIR_Coverage, 6290,
     /* 1666214 */     GIR_EraseRootFromParent_Done,
     /* 1666215 */   // Label 22849: @1666215
     /* 1666215 */   GIM_Try, /*On fail goto*//*Label 22850*/ GIMT_Encode4(1666301), // Rule ID 6293 //
     /* 1666220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1666231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1666234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1666237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666266 */     // MIs[0] policy
     /* 1666266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666276 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1666279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666300 */     // GIR_Coverage, 6293,
     /* 1666300 */     GIR_EraseRootFromParent_Done,
     /* 1666301 */   // Label 22850: @1666301
     /* 1666301 */   GIM_Try, /*On fail goto*//*Label 22851*/ GIMT_Encode4(1666387), // Rule ID 6294 //
     /* 1666306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1666317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1666320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1666323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666352 */     // MIs[0] policy
     /* 1666352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666362 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1666365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666386 */     // GIR_Coverage, 6294,
     /* 1666386 */     GIR_EraseRootFromParent_Done,
     /* 1666387 */   // Label 22851: @1666387
     /* 1666387 */   GIM_Try, /*On fail goto*//*Label 22852*/ GIMT_Encode4(1666473), // Rule ID 6297 //
     /* 1666392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1666403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1666406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1666409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1666415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1666422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666438 */     // MIs[0] policy
     /* 1666438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666448 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1666451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666472 */     // GIR_Coverage, 6297,
     /* 1666472 */     GIR_EraseRootFromParent_Done,
     /* 1666473 */   // Label 22852: @1666473
     /* 1666473 */   GIM_Try, /*On fail goto*//*Label 22853*/ GIMT_Encode4(1666559), // Rule ID 6298 //
     /* 1666478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1666489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1666492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1666495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1666501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1666508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666524 */     // MIs[0] policy
     /* 1666524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666534 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1666537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666558 */     // GIR_Coverage, 6298,
     /* 1666558 */     GIR_EraseRootFromParent_Done,
     /* 1666559 */   // Label 22853: @1666559
     /* 1666559 */   GIM_Try, /*On fail goto*//*Label 22854*/ GIMT_Encode4(1666645), // Rule ID 6301 //
     /* 1666564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1666575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1666578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1666581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1666587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1666594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666610 */     // MIs[0] policy
     /* 1666610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666620 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1666623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666644 */     // GIR_Coverage, 6301,
     /* 1666644 */     GIR_EraseRootFromParent_Done,
     /* 1666645 */   // Label 22854: @1666645
     /* 1666645 */   GIM_Try, /*On fail goto*//*Label 22855*/ GIMT_Encode4(1666731), // Rule ID 6302 //
     /* 1666650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1666661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1666664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1666667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1666673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1666680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666696 */     // MIs[0] policy
     /* 1666696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666706 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1666709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666730 */     // GIR_Coverage, 6302,
     /* 1666730 */     GIR_EraseRootFromParent_Done,
     /* 1666731 */   // Label 22855: @1666731
     /* 1666731 */   GIM_Try, /*On fail goto*//*Label 22856*/ GIMT_Encode4(1666817), // Rule ID 6305 //
     /* 1666736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1666747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1666750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1666753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666782 */     // MIs[0] policy
     /* 1666782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666792 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1666795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666816 */     // GIR_Coverage, 6305,
     /* 1666816 */     GIR_EraseRootFromParent_Done,
     /* 1666817 */   // Label 22856: @1666817
     /* 1666817 */   GIM_Try, /*On fail goto*//*Label 22857*/ GIMT_Encode4(1666903), // Rule ID 6306 //
     /* 1666822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1666833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1666836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1666839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666868 */     // MIs[0] policy
     /* 1666868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666878 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1666881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666902 */     // GIR_Coverage, 6306,
     /* 1666902 */     GIR_EraseRootFromParent_Done,
     /* 1666903 */   // Label 22857: @1666903
     /* 1666903 */   GIM_Try, /*On fail goto*//*Label 22858*/ GIMT_Encode4(1666989), // Rule ID 6309 //
     /* 1666908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1666916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1666919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1666922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1666925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1666938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666954 */     // MIs[0] policy
     /* 1666954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666964 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1666967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666988 */     // GIR_Coverage, 6309,
     /* 1666988 */     GIR_EraseRootFromParent_Done,
     /* 1666989 */   // Label 22858: @1666989
     /* 1666989 */   GIM_Try, /*On fail goto*//*Label 22859*/ GIMT_Encode4(1667075), // Rule ID 6310 //
     /* 1666994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1667005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1667008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1667011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667040 */     // MIs[0] policy
     /* 1667040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667050 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1667053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667074 */     // GIR_Coverage, 6310,
     /* 1667074 */     GIR_EraseRootFromParent_Done,
     /* 1667075 */   // Label 22859: @1667075
     /* 1667075 */   GIM_Try, /*On fail goto*//*Label 22860*/ GIMT_Encode4(1667161), // Rule ID 6313 //
     /* 1667080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1667091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1667094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1667097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667126 */     // MIs[0] policy
     /* 1667126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667136 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1667139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667160 */     // GIR_Coverage, 6313,
     /* 1667160 */     GIR_EraseRootFromParent_Done,
     /* 1667161 */   // Label 22860: @1667161
     /* 1667161 */   GIM_Try, /*On fail goto*//*Label 22861*/ GIMT_Encode4(1667247), // Rule ID 6314 //
     /* 1667166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1667177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1667180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1667183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667212 */     // MIs[0] policy
     /* 1667212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667222 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1667225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667246 */     // GIR_Coverage, 6314,
     /* 1667246 */     GIR_EraseRootFromParent_Done,
     /* 1667247 */   // Label 22861: @1667247
     /* 1667247 */   GIM_Try, /*On fail goto*//*Label 22862*/ GIMT_Encode4(1667333), // Rule ID 6317 //
     /* 1667252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1667255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1667263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1667266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1667269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1667275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667298 */     // MIs[0] policy
     /* 1667298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667308 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1667311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667332 */     // GIR_Coverage, 6317,
     /* 1667332 */     GIR_EraseRootFromParent_Done,
     /* 1667333 */   // Label 22862: @1667333
     /* 1667333 */   GIM_Try, /*On fail goto*//*Label 22863*/ GIMT_Encode4(1667419), // Rule ID 6318 //
     /* 1667338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1667341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1667349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1667352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1667355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1667361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667384 */     // MIs[0] policy
     /* 1667384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667394 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11575:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1667397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667418 */     // GIR_Coverage, 6318,
     /* 1667418 */     GIR_EraseRootFromParent_Done,
     /* 1667419 */   // Label 22863: @1667419
     /* 1667419 */   GIM_Try, /*On fail goto*//*Label 22864*/ GIMT_Encode4(1667505), // Rule ID 6321 //
     /* 1667424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1667427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1667435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1667438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1667441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1667447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667470 */     // MIs[0] policy
     /* 1667470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667480 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1667483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667504 */     // GIR_Coverage, 6321,
     /* 1667504 */     GIR_EraseRootFromParent_Done,
     /* 1667505 */   // Label 22864: @1667505
     /* 1667505 */   GIM_Try, /*On fail goto*//*Label 22865*/ GIMT_Encode4(1667591), // Rule ID 6322 //
     /* 1667510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1667513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1667521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1667524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1667527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1667533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667556 */     // MIs[0] policy
     /* 1667556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667566 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11575:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1667569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667590 */     // GIR_Coverage, 6322,
     /* 1667590 */     GIR_EraseRootFromParent_Done,
     /* 1667591 */   // Label 22865: @1667591
     /* 1667591 */   GIM_Try, /*On fail goto*//*Label 22866*/ GIMT_Encode4(1667677), // Rule ID 6325 //
     /* 1667596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1667599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1667607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1667610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1667613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667642 */     // MIs[0] policy
     /* 1667642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667652 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1667655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667676 */     // GIR_Coverage, 6325,
     /* 1667676 */     GIR_EraseRootFromParent_Done,
     /* 1667677 */   // Label 22866: @1667677
     /* 1667677 */   GIM_Try, /*On fail goto*//*Label 22867*/ GIMT_Encode4(1667763), // Rule ID 6326 //
     /* 1667682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1667685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1667693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1667696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1667699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667728 */     // MIs[0] policy
     /* 1667728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667738 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11575:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1667741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667762 */     // GIR_Coverage, 6326,
     /* 1667762 */     GIR_EraseRootFromParent_Done,
     /* 1667763 */   // Label 22867: @1667763
     /* 1667763 */   GIM_Try, /*On fail goto*//*Label 22868*/ GIMT_Encode4(1667849), // Rule ID 6417 //
     /* 1667768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1667776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1667779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1667782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1667785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1667788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1667791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667814 */     // MIs[0] policy
     /* 1667814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667824 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1667827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667848 */     // GIR_Coverage, 6417,
     /* 1667848 */     GIR_EraseRootFromParent_Done,
     /* 1667849 */   // Label 22868: @1667849
     /* 1667849 */   GIM_Try, /*On fail goto*//*Label 22869*/ GIMT_Encode4(1667935), // Rule ID 6418 //
     /* 1667854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1667862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1667865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1667868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1667871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1667874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1667877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667900 */     // MIs[0] policy
     /* 1667900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667910 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1667913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667934 */     // GIR_Coverage, 6418,
     /* 1667934 */     GIR_EraseRootFromParent_Done,
     /* 1667935 */   // Label 22869: @1667935
     /* 1667935 */   GIM_Try, /*On fail goto*//*Label 22870*/ GIMT_Encode4(1668021), // Rule ID 6421 //
     /* 1667940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1667948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1667951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1667954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1667957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1667960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1667963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667986 */     // MIs[0] policy
     /* 1667986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667996 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1667999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668020 */     // GIR_Coverage, 6421,
     /* 1668020 */     GIR_EraseRootFromParent_Done,
     /* 1668021 */   // Label 22870: @1668021
     /* 1668021 */   GIM_Try, /*On fail goto*//*Label 22871*/ GIMT_Encode4(1668107), // Rule ID 6422 //
     /* 1668026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1668037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1668040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1668043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1668046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668072 */     // MIs[0] policy
     /* 1668072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668082 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1668085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668106 */     // GIR_Coverage, 6422,
     /* 1668106 */     GIR_EraseRootFromParent_Done,
     /* 1668107 */   // Label 22871: @1668107
     /* 1668107 */   GIM_Try, /*On fail goto*//*Label 22872*/ GIMT_Encode4(1668193), // Rule ID 6425 //
     /* 1668112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1668123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1668126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1668129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1668132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668158 */     // MIs[0] policy
     /* 1668158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668168 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1668171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668192 */     // GIR_Coverage, 6425,
     /* 1668192 */     GIR_EraseRootFromParent_Done,
     /* 1668193 */   // Label 22872: @1668193
     /* 1668193 */   GIM_Try, /*On fail goto*//*Label 22873*/ GIMT_Encode4(1668279), // Rule ID 6426 //
     /* 1668198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1668209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1668212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1668215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1668218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668244 */     // MIs[0] policy
     /* 1668244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668254 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1668257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668278 */     // GIR_Coverage, 6426,
     /* 1668278 */     GIR_EraseRootFromParent_Done,
     /* 1668279 */   // Label 22873: @1668279
     /* 1668279 */   GIM_Try, /*On fail goto*//*Label 22874*/ GIMT_Encode4(1668365), // Rule ID 6429 //
     /* 1668284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1668295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1668298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1668301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1668304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668330 */     // MIs[0] policy
     /* 1668330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668340 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1668343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668364 */     // GIR_Coverage, 6429,
     /* 1668364 */     GIR_EraseRootFromParent_Done,
     /* 1668365 */   // Label 22874: @1668365
     /* 1668365 */   GIM_Try, /*On fail goto*//*Label 22875*/ GIMT_Encode4(1668451), // Rule ID 6430 //
     /* 1668370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1668381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1668384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1668387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1668390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668416 */     // MIs[0] policy
     /* 1668416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668426 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1668429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668450 */     // GIR_Coverage, 6430,
     /* 1668450 */     GIR_EraseRootFromParent_Done,
     /* 1668451 */   // Label 22875: @1668451
     /* 1668451 */   GIM_Try, /*On fail goto*//*Label 22876*/ GIMT_Encode4(1668537), // Rule ID 6433 //
     /* 1668456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1668467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1668470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1668473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1668476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668502 */     // MIs[0] policy
     /* 1668502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668512 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1668515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668536 */     // GIR_Coverage, 6433,
     /* 1668536 */     GIR_EraseRootFromParent_Done,
     /* 1668537 */   // Label 22876: @1668537
     /* 1668537 */   GIM_Try, /*On fail goto*//*Label 22877*/ GIMT_Encode4(1668623), // Rule ID 6434 //
     /* 1668542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1668553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1668556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1668559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1668562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668588 */     // MIs[0] policy
     /* 1668588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668598 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1668601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668622 */     // GIR_Coverage, 6434,
     /* 1668622 */     GIR_EraseRootFromParent_Done,
     /* 1668623 */   // Label 22877: @1668623
     /* 1668623 */   GIM_Try, /*On fail goto*//*Label 22878*/ GIMT_Encode4(1668709), // Rule ID 6437 //
     /* 1668628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1668639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1668642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1668645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1668648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668674 */     // MIs[0] policy
     /* 1668674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668684 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1668687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668708 */     // GIR_Coverage, 6437,
     /* 1668708 */     GIR_EraseRootFromParent_Done,
     /* 1668709 */   // Label 22878: @1668709
     /* 1668709 */   GIM_Try, /*On fail goto*//*Label 22879*/ GIMT_Encode4(1668795), // Rule ID 6438 //
     /* 1668714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1668725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1668728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1668731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1668734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668760 */     // MIs[0] policy
     /* 1668760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668770 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1668773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668794 */     // GIR_Coverage, 6438,
     /* 1668794 */     GIR_EraseRootFromParent_Done,
     /* 1668795 */   // Label 22879: @1668795
     /* 1668795 */   GIM_Try, /*On fail goto*//*Label 22880*/ GIMT_Encode4(1668881), // Rule ID 6441 //
     /* 1668800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1668811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1668814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1668817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1668820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668846 */     // MIs[0] policy
     /* 1668846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668856 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1668859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668880 */     // GIR_Coverage, 6441,
     /* 1668880 */     GIR_EraseRootFromParent_Done,
     /* 1668881 */   // Label 22880: @1668881
     /* 1668881 */   GIM_Try, /*On fail goto*//*Label 22881*/ GIMT_Encode4(1668967), // Rule ID 6442 //
     /* 1668886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1668897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1668900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1668903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1668906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668932 */     // MIs[0] policy
     /* 1668932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668942 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1668945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668966 */     // GIR_Coverage, 6442,
     /* 1668966 */     GIR_EraseRootFromParent_Done,
     /* 1668967 */   // Label 22881: @1668967
     /* 1668967 */   GIM_Try, /*On fail goto*//*Label 22882*/ GIMT_Encode4(1669053), // Rule ID 6445 //
     /* 1668972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1668983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1668986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1668989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1668992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669018 */     // MIs[0] policy
     /* 1669018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1669031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669052 */     // GIR_Coverage, 6445,
     /* 1669052 */     GIR_EraseRootFromParent_Done,
     /* 1669053 */   // Label 22882: @1669053
     /* 1669053 */   GIM_Try, /*On fail goto*//*Label 22883*/ GIMT_Encode4(1669139), // Rule ID 6446 //
     /* 1669058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1669069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1669072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1669075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1669078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669104 */     // MIs[0] policy
     /* 1669104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669114 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1669117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669138 */     // GIR_Coverage, 6446,
     /* 1669138 */     GIR_EraseRootFromParent_Done,
     /* 1669139 */   // Label 22883: @1669139
     /* 1669139 */   GIM_Try, /*On fail goto*//*Label 22884*/ GIMT_Encode4(1669225), // Rule ID 6449 //
     /* 1669144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1669155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1669158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1669161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1669164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669190 */     // MIs[0] policy
     /* 1669190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669200 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1669203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669224 */     // GIR_Coverage, 6449,
     /* 1669224 */     GIR_EraseRootFromParent_Done,
     /* 1669225 */   // Label 22884: @1669225
     /* 1669225 */   GIM_Try, /*On fail goto*//*Label 22885*/ GIMT_Encode4(1669311), // Rule ID 6450 //
     /* 1669230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1669241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1669244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1669247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1669250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669276 */     // MIs[0] policy
     /* 1669276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669286 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1669289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669310 */     // GIR_Coverage, 6450,
     /* 1669310 */     GIR_EraseRootFromParent_Done,
     /* 1669311 */   // Label 22885: @1669311
     /* 1669311 */   GIM_Try, /*On fail goto*//*Label 22886*/ GIMT_Encode4(1669397), // Rule ID 6453 //
     /* 1669316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1669319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1669327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1669330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1669333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1669336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669362 */     // MIs[0] policy
     /* 1669362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669372 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1669375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669396 */     // GIR_Coverage, 6453,
     /* 1669396 */     GIR_EraseRootFromParent_Done,
     /* 1669397 */   // Label 22886: @1669397
     /* 1669397 */   GIM_Try, /*On fail goto*//*Label 22887*/ GIMT_Encode4(1669483), // Rule ID 6454 //
     /* 1669402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1669405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1669413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1669416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1669419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1669422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669448 */     // MIs[0] policy
     /* 1669448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669458 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1669461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669482 */     // GIR_Coverage, 6454,
     /* 1669482 */     GIR_EraseRootFromParent_Done,
     /* 1669483 */   // Label 22887: @1669483
     /* 1669483 */   GIM_Try, /*On fail goto*//*Label 22888*/ GIMT_Encode4(1669569), // Rule ID 6457 //
     /* 1669488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1669499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1669502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1669505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1669508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1669511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1669518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669534 */     // MIs[0] policy
     /* 1669534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669544 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1669547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669568 */     // GIR_Coverage, 6457,
     /* 1669568 */     GIR_EraseRootFromParent_Done,
     /* 1669569 */   // Label 22888: @1669569
     /* 1669569 */   GIM_Try, /*On fail goto*//*Label 22889*/ GIMT_Encode4(1669655), // Rule ID 6458 //
     /* 1669574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1669585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1669588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1669591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1669594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1669597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1669604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669620 */     // MIs[0] policy
     /* 1669620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669630 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1669633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669654 */     // GIR_Coverage, 6458,
     /* 1669654 */     GIR_EraseRootFromParent_Done,
     /* 1669655 */   // Label 22889: @1669655
     /* 1669655 */   GIM_Try, /*On fail goto*//*Label 22890*/ GIMT_Encode4(1669741), // Rule ID 6461 //
     /* 1669660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1669671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1669674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1669677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1669680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1669683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1669690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669706 */     // MIs[0] policy
     /* 1669706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669716 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1669719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669740 */     // GIR_Coverage, 6461,
     /* 1669740 */     GIR_EraseRootFromParent_Done,
     /* 1669741 */   // Label 22890: @1669741
     /* 1669741 */   GIM_Try, /*On fail goto*//*Label 22891*/ GIMT_Encode4(1669827), // Rule ID 6462 //
     /* 1669746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1669757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1669760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1669763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1669766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1669769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1669776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669792 */     // MIs[0] policy
     /* 1669792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669802 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1669805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669826 */     // GIR_Coverage, 6462,
     /* 1669826 */     GIR_EraseRootFromParent_Done,
     /* 1669827 */   // Label 22891: @1669827
     /* 1669827 */   GIM_Try, /*On fail goto*//*Label 22892*/ GIMT_Encode4(1669913), // Rule ID 6465 //
     /* 1669832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1669843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1669846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1669849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1669852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1669855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1669862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669878 */     // MIs[0] policy
     /* 1669878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669888 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1669891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669912 */     // GIR_Coverage, 6465,
     /* 1669912 */     GIR_EraseRootFromParent_Done,
     /* 1669913 */   // Label 22892: @1669913
     /* 1669913 */   GIM_Try, /*On fail goto*//*Label 22893*/ GIMT_Encode4(1669999), // Rule ID 6466 //
     /* 1669918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1669929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1669932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1669935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1669938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1669941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1669948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669964 */     // MIs[0] policy
     /* 1669964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669974 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1669977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669998 */     // GIR_Coverage, 6466,
     /* 1669998 */     GIR_EraseRootFromParent_Done,
     /* 1669999 */   // Label 22893: @1669999
     /* 1669999 */   GIM_Try, /*On fail goto*//*Label 22894*/ GIMT_Encode4(1670085), // Rule ID 6469 //
     /* 1670004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1670015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1670018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1670021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1670024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670050 */     // MIs[0] policy
     /* 1670050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670060 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1670063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670084 */     // GIR_Coverage, 6469,
     /* 1670084 */     GIR_EraseRootFromParent_Done,
     /* 1670085 */   // Label 22894: @1670085
     /* 1670085 */   GIM_Try, /*On fail goto*//*Label 22895*/ GIMT_Encode4(1670171), // Rule ID 6470 //
     /* 1670090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1670101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1670104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1670107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1670110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670136 */     // MIs[0] policy
     /* 1670136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1670149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670170 */     // GIR_Coverage, 6470,
     /* 1670170 */     GIR_EraseRootFromParent_Done,
     /* 1670171 */   // Label 22895: @1670171
     /* 1670171 */   GIM_Try, /*On fail goto*//*Label 22896*/ GIMT_Encode4(1670257), // Rule ID 6473 //
     /* 1670176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1670187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1670190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1670193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1670196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670222 */     // MIs[0] policy
     /* 1670222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670232 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1670235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670256 */     // GIR_Coverage, 6473,
     /* 1670256 */     GIR_EraseRootFromParent_Done,
     /* 1670257 */   // Label 22896: @1670257
     /* 1670257 */   GIM_Try, /*On fail goto*//*Label 22897*/ GIMT_Encode4(1670343), // Rule ID 6474 //
     /* 1670262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1670273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1670276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1670279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1670282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670308 */     // MIs[0] policy
     /* 1670308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670318 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1670321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670342 */     // GIR_Coverage, 6474,
     /* 1670342 */     GIR_EraseRootFromParent_Done,
     /* 1670343 */   // Label 22897: @1670343
     /* 1670343 */   GIM_Try, /*On fail goto*//*Label 22898*/ GIMT_Encode4(1670429), // Rule ID 6477 //
     /* 1670348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1670359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1670362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1670365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1670368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1670371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1670378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670394 */     // MIs[0] policy
     /* 1670394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670404 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1670407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670428 */     // GIR_Coverage, 6477,
     /* 1670428 */     GIR_EraseRootFromParent_Done,
     /* 1670429 */   // Label 22898: @1670429
     /* 1670429 */   GIM_Try, /*On fail goto*//*Label 22899*/ GIMT_Encode4(1670515), // Rule ID 6478 //
     /* 1670434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1670445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1670448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1670451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1670454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1670457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1670464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670480 */     // MIs[0] policy
     /* 1670480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670490 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1670493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670514 */     // GIR_Coverage, 6478,
     /* 1670514 */     GIR_EraseRootFromParent_Done,
     /* 1670515 */   // Label 22899: @1670515
     /* 1670515 */   GIM_Try, /*On fail goto*//*Label 22900*/ GIMT_Encode4(1670601), // Rule ID 6481 //
     /* 1670520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1670531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1670534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1670537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1670540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670566 */     // MIs[0] policy
     /* 1670566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670576 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1670579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670600 */     // GIR_Coverage, 6481,
     /* 1670600 */     GIR_EraseRootFromParent_Done,
     /* 1670601 */   // Label 22900: @1670601
     /* 1670601 */   GIM_Try, /*On fail goto*//*Label 22901*/ GIMT_Encode4(1670687), // Rule ID 6482 //
     /* 1670606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1670617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1670620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1670623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1670626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670652 */     // MIs[0] policy
     /* 1670652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670662 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1670665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670686 */     // GIR_Coverage, 6482,
     /* 1670686 */     GIR_EraseRootFromParent_Done,
     /* 1670687 */   // Label 22901: @1670687
     /* 1670687 */   GIM_Try, /*On fail goto*//*Label 22902*/ GIMT_Encode4(1670773), // Rule ID 6485 //
     /* 1670692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1670703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1670706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1670709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1670712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670738 */     // MIs[0] policy
     /* 1670738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670748 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1670751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670772 */     // GIR_Coverage, 6485,
     /* 1670772 */     GIR_EraseRootFromParent_Done,
     /* 1670773 */   // Label 22902: @1670773
     /* 1670773 */   GIM_Try, /*On fail goto*//*Label 22903*/ GIMT_Encode4(1670859), // Rule ID 6486 //
     /* 1670778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1670789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1670792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1670795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1670798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670824 */     // MIs[0] policy
     /* 1670824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670834 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1670837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670858 */     // GIR_Coverage, 6486,
     /* 1670858 */     GIR_EraseRootFromParent_Done,
     /* 1670859 */   // Label 22903: @1670859
     /* 1670859 */   GIM_Try, /*On fail goto*//*Label 22904*/ GIMT_Encode4(1670945), // Rule ID 6489 //
     /* 1670864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1670875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1670878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1670881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1670884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1670894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670910 */     // MIs[0] policy
     /* 1670910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670920 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1670923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670944 */     // GIR_Coverage, 6489,
     /* 1670944 */     GIR_EraseRootFromParent_Done,
     /* 1670945 */   // Label 22904: @1670945
     /* 1670945 */   GIM_Try, /*On fail goto*//*Label 22905*/ GIMT_Encode4(1671031), // Rule ID 6490 //
     /* 1670950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1670961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1670964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1670967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1670970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1670980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670996 */     // MIs[0] policy
     /* 1670996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671006 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1671009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671030 */     // GIR_Coverage, 6490,
     /* 1671030 */     GIR_EraseRootFromParent_Done,
     /* 1671031 */   // Label 22905: @1671031
     /* 1671031 */   GIM_Try, /*On fail goto*//*Label 22906*/ GIMT_Encode4(1671117), // Rule ID 6493 //
     /* 1671036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1671039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1671047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1671050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1671053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1671056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1671059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671082 */     // MIs[0] policy
     /* 1671082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671092 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1671095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671116 */     // GIR_Coverage, 6493,
     /* 1671116 */     GIR_EraseRootFromParent_Done,
     /* 1671117 */   // Label 22906: @1671117
     /* 1671117 */   GIM_Try, /*On fail goto*//*Label 22907*/ GIMT_Encode4(1671203), // Rule ID 6494 //
     /* 1671122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1671125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1671133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1671136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1671139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1671142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1671145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671168 */     // MIs[0] policy
     /* 1671168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671178 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1671181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671202 */     // GIR_Coverage, 6494,
     /* 1671202 */     GIR_EraseRootFromParent_Done,
     /* 1671203 */   // Label 22907: @1671203
     /* 1671203 */   GIM_Try, /*On fail goto*//*Label 22908*/ GIMT_Encode4(1671289), // Rule ID 6497 //
     /* 1671208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1671211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1671219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1671222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1671225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1671228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671254 */     // MIs[0] policy
     /* 1671254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671264 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1671267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671288 */     // GIR_Coverage, 6497,
     /* 1671288 */     GIR_EraseRootFromParent_Done,
     /* 1671289 */   // Label 22908: @1671289
     /* 1671289 */   GIM_Try, /*On fail goto*//*Label 22909*/ GIMT_Encode4(1671375), // Rule ID 6498 //
     /* 1671294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1671297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1671305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1671308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1671311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1671314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671340 */     // MIs[0] policy
     /* 1671340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671350 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1671353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671374 */     // GIR_Coverage, 6498,
     /* 1671374 */     GIR_EraseRootFromParent_Done,
     /* 1671375 */   // Label 22909: @1671375
     /* 1671375 */   GIM_Try, /*On fail goto*//*Label 22910*/ GIMT_Encode4(1671461), // Rule ID 6501 //
     /* 1671380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1671383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1671391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1671394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1671397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1671400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671426 */     // MIs[0] policy
     /* 1671426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671436 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1671439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671460 */     // GIR_Coverage, 6501,
     /* 1671460 */     GIR_EraseRootFromParent_Done,
     /* 1671461 */   // Label 22910: @1671461
     /* 1671461 */   GIM_Try, /*On fail goto*//*Label 22911*/ GIMT_Encode4(1671547), // Rule ID 6502 //
     /* 1671466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1671469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1671477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1671480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1671483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1671486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671512 */     // MIs[0] policy
     /* 1671512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671522 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1671525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671546 */     // GIR_Coverage, 6502,
     /* 1671546 */     GIR_EraseRootFromParent_Done,
     /* 1671547 */   // Label 22911: @1671547
     /* 1671547 */   GIM_Try, /*On fail goto*//*Label 22912*/ GIMT_Encode4(1671633), // Rule ID 6505 //
     /* 1671552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1671563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1671566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1671569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1671575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671598 */     // MIs[0] policy
     /* 1671598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671608 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1671611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671632 */     // GIR_Coverage, 6505,
     /* 1671632 */     GIR_EraseRootFromParent_Done,
     /* 1671633 */   // Label 22912: @1671633
     /* 1671633 */   GIM_Try, /*On fail goto*//*Label 22913*/ GIMT_Encode4(1671719), // Rule ID 6506 //
     /* 1671638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1671649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1671652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1671655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1671661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671684 */     // MIs[0] policy
     /* 1671684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671694 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1671697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671718 */     // GIR_Coverage, 6506,
     /* 1671718 */     GIR_EraseRootFromParent_Done,
     /* 1671719 */   // Label 22913: @1671719
     /* 1671719 */   GIM_Try, /*On fail goto*//*Label 22914*/ GIMT_Encode4(1671805), // Rule ID 6509 //
     /* 1671724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1671735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1671738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1671741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1671747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671770 */     // MIs[0] policy
     /* 1671770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671780 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1671783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671804 */     // GIR_Coverage, 6509,
     /* 1671804 */     GIR_EraseRootFromParent_Done,
     /* 1671805 */   // Label 22914: @1671805
     /* 1671805 */   GIM_Try, /*On fail goto*//*Label 22915*/ GIMT_Encode4(1671891), // Rule ID 6510 //
     /* 1671810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1671821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1671824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1671827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1671833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671856 */     // MIs[0] policy
     /* 1671856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671866 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1671869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671890 */     // GIR_Coverage, 6510,
     /* 1671890 */     GIR_EraseRootFromParent_Done,
     /* 1671891 */   // Label 22915: @1671891
     /* 1671891 */   GIM_Try, /*On fail goto*//*Label 22916*/ GIMT_Encode4(1671977), // Rule ID 6513 //
     /* 1671896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1671907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1671910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1671913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671942 */     // MIs[0] policy
     /* 1671942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671952 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1671955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671976 */     // GIR_Coverage, 6513,
     /* 1671976 */     GIR_EraseRootFromParent_Done,
     /* 1671977 */   // Label 22916: @1671977
     /* 1671977 */   GIM_Try, /*On fail goto*//*Label 22917*/ GIMT_Encode4(1672063), // Rule ID 6514 //
     /* 1671982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1671990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1671993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1671996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1671999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672028 */     // MIs[0] policy
     /* 1672028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672038 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1672041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672062 */     // GIR_Coverage, 6514,
     /* 1672062 */     GIR_EraseRootFromParent_Done,
     /* 1672063 */   // Label 22917: @1672063
     /* 1672063 */   GIM_Try, /*On fail goto*//*Label 22918*/ GIMT_Encode4(1672149), // Rule ID 6517 //
     /* 1672068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1672079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1672082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1672085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672114 */     // MIs[0] policy
     /* 1672114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672124 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1672127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672148 */     // GIR_Coverage, 6517,
     /* 1672148 */     GIR_EraseRootFromParent_Done,
     /* 1672149 */   // Label 22918: @1672149
     /* 1672149 */   GIM_Try, /*On fail goto*//*Label 22919*/ GIMT_Encode4(1672235), // Rule ID 6518 //
     /* 1672154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1672165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1672168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1672171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672200 */     // MIs[0] policy
     /* 1672200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672210 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1672213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672234 */     // GIR_Coverage, 6518,
     /* 1672234 */     GIR_EraseRootFromParent_Done,
     /* 1672235 */   // Label 22919: @1672235
     /* 1672235 */   GIM_Try, /*On fail goto*//*Label 22920*/ GIMT_Encode4(1672321), // Rule ID 6521 //
     /* 1672240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1672251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1672254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1672257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672286 */     // MIs[0] policy
     /* 1672286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672296 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1672299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672320 */     // GIR_Coverage, 6521,
     /* 1672320 */     GIR_EraseRootFromParent_Done,
     /* 1672321 */   // Label 22920: @1672321
     /* 1672321 */   GIM_Try, /*On fail goto*//*Label 22921*/ GIMT_Encode4(1672407), // Rule ID 6522 //
     /* 1672326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1672337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1672340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1672343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672372 */     // MIs[0] policy
     /* 1672372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672382 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1672385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672406 */     // GIR_Coverage, 6522,
     /* 1672406 */     GIR_EraseRootFromParent_Done,
     /* 1672407 */   // Label 22921: @1672407
     /* 1672407 */   GIM_Try, /*On fail goto*//*Label 22922*/ GIMT_Encode4(1672493), // Rule ID 6525 //
     /* 1672412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1672423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1672426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1672429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672458 */     // MIs[0] policy
     /* 1672458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672468 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1672471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672492 */     // GIR_Coverage, 6525,
     /* 1672492 */     GIR_EraseRootFromParent_Done,
     /* 1672493 */   // Label 22922: @1672493
     /* 1672493 */   GIM_Try, /*On fail goto*//*Label 22923*/ GIMT_Encode4(1672579), // Rule ID 6526 //
     /* 1672498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1672509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1672512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1672515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672544 */     // MIs[0] policy
     /* 1672544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672554 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1672557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672578 */     // GIR_Coverage, 6526,
     /* 1672578 */     GIR_EraseRootFromParent_Done,
     /* 1672579 */   // Label 22923: @1672579
     /* 1672579 */   GIM_Try, /*On fail goto*//*Label 22924*/ GIMT_Encode4(1672665), // Rule ID 6529 //
     /* 1672584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1672595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1672598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1672601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672630 */     // MIs[0] policy
     /* 1672630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672640 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1672643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672664 */     // GIR_Coverage, 6529,
     /* 1672664 */     GIR_EraseRootFromParent_Done,
     /* 1672665 */   // Label 22924: @1672665
     /* 1672665 */   GIM_Try, /*On fail goto*//*Label 22925*/ GIMT_Encode4(1672751), // Rule ID 6530 //
     /* 1672670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1672681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1672684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1672687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672716 */     // MIs[0] policy
     /* 1672716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672726 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1672729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672750 */     // GIR_Coverage, 6530,
     /* 1672750 */     GIR_EraseRootFromParent_Done,
     /* 1672751 */   // Label 22925: @1672751
     /* 1672751 */   GIM_Try, /*On fail goto*//*Label 22926*/ GIMT_Encode4(1672837), // Rule ID 6533 //
     /* 1672756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1672767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1672770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1672773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672802 */     // MIs[0] policy
     /* 1672802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672812 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1672815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672836 */     // GIR_Coverage, 6533,
     /* 1672836 */     GIR_EraseRootFromParent_Done,
     /* 1672837 */   // Label 22926: @1672837
     /* 1672837 */   GIM_Try, /*On fail goto*//*Label 22927*/ GIMT_Encode4(1672923), // Rule ID 6534 //
     /* 1672842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1672853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1672856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1672859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672888 */     // MIs[0] policy
     /* 1672888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672898 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1672901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672922 */     // GIR_Coverage, 6534,
     /* 1672922 */     GIR_EraseRootFromParent_Done,
     /* 1672923 */   // Label 22927: @1672923
     /* 1672923 */   GIM_Try, /*On fail goto*//*Label 22928*/ GIMT_Encode4(1673009), // Rule ID 6537 //
     /* 1672928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1672936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1672939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1672942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1672945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672974 */     // MIs[0] policy
     /* 1672974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1672987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673008 */     // GIR_Coverage, 6537,
     /* 1673008 */     GIR_EraseRootFromParent_Done,
     /* 1673009 */   // Label 22928: @1673009
     /* 1673009 */   GIM_Try, /*On fail goto*//*Label 22929*/ GIMT_Encode4(1673095), // Rule ID 6538 //
     /* 1673014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1673025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1673028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1673031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673060 */     // MIs[0] policy
     /* 1673060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673070 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1673073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673094 */     // GIR_Coverage, 6538,
     /* 1673094 */     GIR_EraseRootFromParent_Done,
     /* 1673095 */   // Label 22929: @1673095
     /* 1673095 */   GIM_Try, /*On fail goto*//*Label 22930*/ GIMT_Encode4(1673181), // Rule ID 6541 //
     /* 1673100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1673103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1673111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1673114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1673117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673146 */     // MIs[0] policy
     /* 1673146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673156 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1673159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1673177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673180 */     // GIR_Coverage, 6541,
     /* 1673180 */     GIR_EraseRootFromParent_Done,
     /* 1673181 */   // Label 22930: @1673181
     /* 1673181 */   GIM_Try, /*On fail goto*//*Label 22931*/ GIMT_Encode4(1673267), // Rule ID 6542 //
     /* 1673186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1673189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1673197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1673200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1673203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673232 */     // MIs[0] policy
     /* 1673232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673242 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1673245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1673263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673266 */     // GIR_Coverage, 6542,
     /* 1673266 */     GIR_EraseRootFromParent_Done,
     /* 1673267 */   // Label 22931: @1673267
     /* 1673267 */   GIM_Try, /*On fail goto*//*Label 22932*/ GIMT_Encode4(1673353), // Rule ID 6545 //
     /* 1673272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1673283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1673286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1673289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1673295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1673302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673318 */     // MIs[0] policy
     /* 1673318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673328 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1673331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673352 */     // GIR_Coverage, 6545,
     /* 1673352 */     GIR_EraseRootFromParent_Done,
     /* 1673353 */   // Label 22932: @1673353
     /* 1673353 */   GIM_Try, /*On fail goto*//*Label 22933*/ GIMT_Encode4(1673439), // Rule ID 6546 //
     /* 1673358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1673369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1673372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1673375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1673381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1673388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673404 */     // MIs[0] policy
     /* 1673404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673414 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1673417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673438 */     // GIR_Coverage, 6546,
     /* 1673438 */     GIR_EraseRootFromParent_Done,
     /* 1673439 */   // Label 22933: @1673439
     /* 1673439 */   GIM_Try, /*On fail goto*//*Label 22934*/ GIMT_Encode4(1673525), // Rule ID 6549 //
     /* 1673444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1673455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1673458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1673461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1673467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1673474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673490 */     // MIs[0] policy
     /* 1673490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673500 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1673503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673524 */     // GIR_Coverage, 6549,
     /* 1673524 */     GIR_EraseRootFromParent_Done,
     /* 1673525 */   // Label 22934: @1673525
     /* 1673525 */   GIM_Try, /*On fail goto*//*Label 22935*/ GIMT_Encode4(1673611), // Rule ID 6550 //
     /* 1673530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1673541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1673544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1673547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1673553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1673560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673576 */     // MIs[0] policy
     /* 1673576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673586 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1673589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673610 */     // GIR_Coverage, 6550,
     /* 1673610 */     GIR_EraseRootFromParent_Done,
     /* 1673611 */   // Label 22935: @1673611
     /* 1673611 */   GIM_Try, /*On fail goto*//*Label 22936*/ GIMT_Encode4(1673697), // Rule ID 6553 //
     /* 1673616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1673627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1673630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1673633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1673639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1673646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673662 */     // MIs[0] policy
     /* 1673662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673672 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1673675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673696 */     // GIR_Coverage, 6553,
     /* 1673696 */     GIR_EraseRootFromParent_Done,
     /* 1673697 */   // Label 22936: @1673697
     /* 1673697 */   GIM_Try, /*On fail goto*//*Label 22937*/ GIMT_Encode4(1673783), // Rule ID 6554 //
     /* 1673702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1673713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1673716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1673719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1673725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1673732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673748 */     // MIs[0] policy
     /* 1673748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673758 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1673761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673782 */     // GIR_Coverage, 6554,
     /* 1673782 */     GIR_EraseRootFromParent_Done,
     /* 1673783 */   // Label 22937: @1673783
     /* 1673783 */   GIM_Try, /*On fail goto*//*Label 22938*/ GIMT_Encode4(1673869), // Rule ID 6557 //
     /* 1673788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1673799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1673802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1673805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1673818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673834 */     // MIs[0] policy
     /* 1673834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673844 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1673847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673868 */     // GIR_Coverage, 6557,
     /* 1673868 */     GIR_EraseRootFromParent_Done,
     /* 1673869 */   // Label 22938: @1673869
     /* 1673869 */   GIM_Try, /*On fail goto*//*Label 22939*/ GIMT_Encode4(1673955), // Rule ID 6558 //
     /* 1673874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1673885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1673888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1673891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1673904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673920 */     // MIs[0] policy
     /* 1673920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673930 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1673933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673954 */     // GIR_Coverage, 6558,
     /* 1673954 */     GIR_EraseRootFromParent_Done,
     /* 1673955 */   // Label 22939: @1673955
     /* 1673955 */   GIM_Try, /*On fail goto*//*Label 22940*/ GIMT_Encode4(1674041), // Rule ID 6561 //
     /* 1673960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1673968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1673971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1673974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1673977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1673983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1673990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674006 */     // MIs[0] policy
     /* 1674006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674016 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1674019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674040 */     // GIR_Coverage, 6561,
     /* 1674040 */     GIR_EraseRootFromParent_Done,
     /* 1674041 */   // Label 22940: @1674041
     /* 1674041 */   GIM_Try, /*On fail goto*//*Label 22941*/ GIMT_Encode4(1674127), // Rule ID 6562 //
     /* 1674046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1674057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1674060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1674063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674092 */     // MIs[0] policy
     /* 1674092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674102 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1674105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674126 */     // GIR_Coverage, 6562,
     /* 1674126 */     GIR_EraseRootFromParent_Done,
     /* 1674127 */   // Label 22941: @1674127
     /* 1674127 */   GIM_Try, /*On fail goto*//*Label 22942*/ GIMT_Encode4(1674213), // Rule ID 6565 //
     /* 1674132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1674143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1674146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1674149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1674155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674178 */     // MIs[0] policy
     /* 1674178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674188 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1674191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674212 */     // GIR_Coverage, 6565,
     /* 1674212 */     GIR_EraseRootFromParent_Done,
     /* 1674213 */   // Label 22942: @1674213
     /* 1674213 */   GIM_Try, /*On fail goto*//*Label 22943*/ GIMT_Encode4(1674299), // Rule ID 6566 //
     /* 1674218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1674229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1674232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1674235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1674241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674264 */     // MIs[0] policy
     /* 1674264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674274 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1674277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674298 */     // GIR_Coverage, 6566,
     /* 1674298 */     GIR_EraseRootFromParent_Done,
     /* 1674299 */   // Label 22943: @1674299
     /* 1674299 */   GIM_Try, /*On fail goto*//*Label 22944*/ GIMT_Encode4(1674385), // Rule ID 6569 //
     /* 1674304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1674315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1674318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1674321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674350 */     // MIs[0] policy
     /* 1674350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674360 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1674363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674384 */     // GIR_Coverage, 6569,
     /* 1674384 */     GIR_EraseRootFromParent_Done,
     /* 1674385 */   // Label 22944: @1674385
     /* 1674385 */   GIM_Try, /*On fail goto*//*Label 22945*/ GIMT_Encode4(1674471), // Rule ID 6570 //
     /* 1674390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1674401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1674404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1674407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674436 */     // MIs[0] policy
     /* 1674436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674446 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1674449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674470 */     // GIR_Coverage, 6570,
     /* 1674470 */     GIR_EraseRootFromParent_Done,
     /* 1674471 */   // Label 22945: @1674471
     /* 1674471 */   GIM_Try, /*On fail goto*//*Label 22946*/ GIMT_Encode4(1674557), // Rule ID 6573 //
     /* 1674476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1674487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1674490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1674493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1674499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674522 */     // MIs[0] policy
     /* 1674522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674532 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1674535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674556 */     // GIR_Coverage, 6573,
     /* 1674556 */     GIR_EraseRootFromParent_Done,
     /* 1674557 */   // Label 22946: @1674557
     /* 1674557 */   GIM_Try, /*On fail goto*//*Label 22947*/ GIMT_Encode4(1674643), // Rule ID 6574 //
     /* 1674562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1674573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1674576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1674579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1674585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674608 */     // MIs[0] policy
     /* 1674608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674618 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1674621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674642 */     // GIR_Coverage, 6574,
     /* 1674642 */     GIR_EraseRootFromParent_Done,
     /* 1674643 */   // Label 22947: @1674643
     /* 1674643 */   GIM_Try, /*On fail goto*//*Label 22948*/ GIMT_Encode4(1674729), // Rule ID 6577 //
     /* 1674648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1674659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1674662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1674665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674694 */     // MIs[0] policy
     /* 1674694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674704 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1674707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674728 */     // GIR_Coverage, 6577,
     /* 1674728 */     GIR_EraseRootFromParent_Done,
     /* 1674729 */   // Label 22948: @1674729
     /* 1674729 */   GIM_Try, /*On fail goto*//*Label 22949*/ GIMT_Encode4(1674815), // Rule ID 6578 //
     /* 1674734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1674745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1674748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1674751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674780 */     // MIs[0] policy
     /* 1674780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674790 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1674793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674814 */     // GIR_Coverage, 6578,
     /* 1674814 */     GIR_EraseRootFromParent_Done,
     /* 1674815 */   // Label 22949: @1674815
     /* 1674815 */   GIM_Try, /*On fail goto*//*Label 22950*/ GIMT_Encode4(1674901), // Rule ID 6581 //
     /* 1674820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1674823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1674831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1674834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1674837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674866 */     // MIs[0] policy
     /* 1674866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674876 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1674879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674900 */     // GIR_Coverage, 6581,
     /* 1674900 */     GIR_EraseRootFromParent_Done,
     /* 1674901 */   // Label 22950: @1674901
     /* 1674901 */   GIM_Try, /*On fail goto*//*Label 22951*/ GIMT_Encode4(1674987), // Rule ID 6582 //
     /* 1674906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1674909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1674914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1674917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1674920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1674923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674952 */     // MIs[0] policy
     /* 1674952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674962 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1674965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674986 */     // GIR_Coverage, 6582,
     /* 1674986 */     GIR_EraseRootFromParent_Done,
     /* 1674987 */   // Label 22951: @1674987
     /* 1674987 */   GIM_Try, /*On fail goto*//*Label 22952*/ GIMT_Encode4(1675073), // Rule ID 6585 //
     /* 1674992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1674995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1675003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1675006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1675009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675038 */     // MIs[0] policy
     /* 1675038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675048 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1675051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1675069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675072 */     // GIR_Coverage, 6585,
     /* 1675072 */     GIR_EraseRootFromParent_Done,
     /* 1675073 */   // Label 22952: @1675073
     /* 1675073 */   GIM_Try, /*On fail goto*//*Label 22953*/ GIMT_Encode4(1675159), // Rule ID 6586 //
     /* 1675078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1675081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1675089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1675092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1675095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675124 */     // MIs[0] policy
     /* 1675124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675134 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1675137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1675155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675158 */     // GIR_Coverage, 6586,
     /* 1675158 */     GIR_EraseRootFromParent_Done,
     /* 1675159 */   // Label 22953: @1675159
     /* 1675159 */   GIM_Try, /*On fail goto*//*Label 22954*/ GIMT_Encode4(1675245), // Rule ID 6589 //
     /* 1675164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1675167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1675175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1675178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1675181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675210 */     // MIs[0] policy
     /* 1675210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675220 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1675223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1675241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675244 */     // GIR_Coverage, 6589,
     /* 1675244 */     GIR_EraseRootFromParent_Done,
     /* 1675245 */   // Label 22954: @1675245
     /* 1675245 */   GIM_Try, /*On fail goto*//*Label 22955*/ GIMT_Encode4(1675331), // Rule ID 6590 //
     /* 1675250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1675253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1675258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1675261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1675264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1675267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675296 */     // MIs[0] policy
     /* 1675296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675306 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1675309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1675327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675330 */     // GIR_Coverage, 6590,
     /* 1675330 */     GIR_EraseRootFromParent_Done,
     /* 1675331 */   // Label 22955: @1675331
     /* 1675331 */   GIM_Try, /*On fail goto*//*Label 22956*/ GIMT_Encode4(1675417), // Rule ID 6681 //
     /* 1675336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1675347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1675350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1675353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1675356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1675359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675382 */     // MIs[0] policy
     /* 1675382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675392 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1675395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675416 */     // GIR_Coverage, 6681,
     /* 1675416 */     GIR_EraseRootFromParent_Done,
     /* 1675417 */   // Label 22956: @1675417
     /* 1675417 */   GIM_Try, /*On fail goto*//*Label 22957*/ GIMT_Encode4(1675503), // Rule ID 6682 //
     /* 1675422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1675433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1675436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1675439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1675442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1675445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675468 */     // MIs[0] policy
     /* 1675468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675478 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1675481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675502 */     // GIR_Coverage, 6682,
     /* 1675502 */     GIR_EraseRootFromParent_Done,
     /* 1675503 */   // Label 22957: @1675503
     /* 1675503 */   GIM_Try, /*On fail goto*//*Label 22958*/ GIMT_Encode4(1675589), // Rule ID 6685 //
     /* 1675508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1675519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1675522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1675525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1675528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1675531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675554 */     // MIs[0] policy
     /* 1675554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675564 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1675567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675588 */     // GIR_Coverage, 6685,
     /* 1675588 */     GIR_EraseRootFromParent_Done,
     /* 1675589 */   // Label 22958: @1675589
     /* 1675589 */   GIM_Try, /*On fail goto*//*Label 22959*/ GIMT_Encode4(1675675), // Rule ID 6686 //
     /* 1675594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1675605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1675608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1675611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1675614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1675617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675640 */     // MIs[0] policy
     /* 1675640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675650 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1675653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675674 */     // GIR_Coverage, 6686,
     /* 1675674 */     GIR_EraseRootFromParent_Done,
     /* 1675675 */   // Label 22959: @1675675
     /* 1675675 */   GIM_Try, /*On fail goto*//*Label 22960*/ GIMT_Encode4(1675761), // Rule ID 6689 //
     /* 1675680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1675691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1675694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1675697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1675700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675726 */     // MIs[0] policy
     /* 1675726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675736 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1675739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675760 */     // GIR_Coverage, 6689,
     /* 1675760 */     GIR_EraseRootFromParent_Done,
     /* 1675761 */   // Label 22960: @1675761
     /* 1675761 */   GIM_Try, /*On fail goto*//*Label 22961*/ GIMT_Encode4(1675847), // Rule ID 6690 //
     /* 1675766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1675777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1675780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1675783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1675786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675812 */     // MIs[0] policy
     /* 1675812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675822 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1675825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675846 */     // GIR_Coverage, 6690,
     /* 1675846 */     GIR_EraseRootFromParent_Done,
     /* 1675847 */   // Label 22961: @1675847
     /* 1675847 */   GIM_Try, /*On fail goto*//*Label 22962*/ GIMT_Encode4(1675933), // Rule ID 6693 //
     /* 1675852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1675863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1675866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1675869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1675872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1675875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675898 */     // MIs[0] policy
     /* 1675898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675908 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1675911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675932 */     // GIR_Coverage, 6693,
     /* 1675932 */     GIR_EraseRootFromParent_Done,
     /* 1675933 */   // Label 22962: @1675933
     /* 1675933 */   GIM_Try, /*On fail goto*//*Label 22963*/ GIMT_Encode4(1676019), // Rule ID 6694 //
     /* 1675938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1675949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1675952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1675955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1675958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1675961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675984 */     // MIs[0] policy
     /* 1675984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675994 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1675997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676018 */     // GIR_Coverage, 6694,
     /* 1676018 */     GIR_EraseRootFromParent_Done,
     /* 1676019 */   // Label 22963: @1676019
     /* 1676019 */   GIM_Try, /*On fail goto*//*Label 22964*/ GIMT_Encode4(1676105), // Rule ID 6697 //
     /* 1676024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1676035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1676038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1676041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1676044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676070 */     // MIs[0] policy
     /* 1676070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676080 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1676083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676104 */     // GIR_Coverage, 6697,
     /* 1676104 */     GIR_EraseRootFromParent_Done,
     /* 1676105 */   // Label 22964: @1676105
     /* 1676105 */   GIM_Try, /*On fail goto*//*Label 22965*/ GIMT_Encode4(1676191), // Rule ID 6698 //
     /* 1676110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1676121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1676124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1676127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1676130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676156 */     // MIs[0] policy
     /* 1676156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676166 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1676169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676190 */     // GIR_Coverage, 6698,
     /* 1676190 */     GIR_EraseRootFromParent_Done,
     /* 1676191 */   // Label 22965: @1676191
     /* 1676191 */   GIM_Try, /*On fail goto*//*Label 22966*/ GIMT_Encode4(1676277), // Rule ID 6701 //
     /* 1676196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1676207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1676210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1676213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1676216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676242 */     // MIs[0] policy
     /* 1676242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676252 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1676255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676276 */     // GIR_Coverage, 6701,
     /* 1676276 */     GIR_EraseRootFromParent_Done,
     /* 1676277 */   // Label 22966: @1676277
     /* 1676277 */   GIM_Try, /*On fail goto*//*Label 22967*/ GIMT_Encode4(1676363), // Rule ID 6702 //
     /* 1676282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1676293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1676296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1676299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1676302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676328 */     // MIs[0] policy
     /* 1676328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676338 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1676341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676362 */     // GIR_Coverage, 6702,
     /* 1676362 */     GIR_EraseRootFromParent_Done,
     /* 1676363 */   // Label 22967: @1676363
     /* 1676363 */   GIM_Try, /*On fail goto*//*Label 22968*/ GIMT_Encode4(1676449), // Rule ID 6705 //
     /* 1676368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1676379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1676382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1676385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1676388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676414 */     // MIs[0] policy
     /* 1676414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676424 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1676427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676448 */     // GIR_Coverage, 6705,
     /* 1676448 */     GIR_EraseRootFromParent_Done,
     /* 1676449 */   // Label 22968: @1676449
     /* 1676449 */   GIM_Try, /*On fail goto*//*Label 22969*/ GIMT_Encode4(1676535), // Rule ID 6706 //
     /* 1676454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1676465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1676468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1676471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1676474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676500 */     // MIs[0] policy
     /* 1676500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676510 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1676513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676534 */     // GIR_Coverage, 6706,
     /* 1676534 */     GIR_EraseRootFromParent_Done,
     /* 1676535 */   // Label 22969: @1676535
     /* 1676535 */   GIM_Try, /*On fail goto*//*Label 22970*/ GIMT_Encode4(1676621), // Rule ID 6709 //
     /* 1676540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1676551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1676554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1676557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1676560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676586 */     // MIs[0] policy
     /* 1676586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676596 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1676599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676620 */     // GIR_Coverage, 6709,
     /* 1676620 */     GIR_EraseRootFromParent_Done,
     /* 1676621 */   // Label 22970: @1676621
     /* 1676621 */   GIM_Try, /*On fail goto*//*Label 22971*/ GIMT_Encode4(1676707), // Rule ID 6710 //
     /* 1676626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1676637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1676640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1676643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1676646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676672 */     // MIs[0] policy
     /* 1676672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676682 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1676685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676706 */     // GIR_Coverage, 6710,
     /* 1676706 */     GIR_EraseRootFromParent_Done,
     /* 1676707 */   // Label 22971: @1676707
     /* 1676707 */   GIM_Try, /*On fail goto*//*Label 22972*/ GIMT_Encode4(1676793), // Rule ID 6713 //
     /* 1676712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1676723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1676726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1676729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1676732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676758 */     // MIs[0] policy
     /* 1676758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676768 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1676771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676792 */     // GIR_Coverage, 6713,
     /* 1676792 */     GIR_EraseRootFromParent_Done,
     /* 1676793 */   // Label 22972: @1676793
     /* 1676793 */   GIM_Try, /*On fail goto*//*Label 22973*/ GIMT_Encode4(1676879), // Rule ID 6714 //
     /* 1676798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1676809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1676812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1676815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1676818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676844 */     // MIs[0] policy
     /* 1676844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676854 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1676857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676878 */     // GIR_Coverage, 6714,
     /* 1676878 */     GIR_EraseRootFromParent_Done,
     /* 1676879 */   // Label 22973: @1676879
     /* 1676879 */   GIM_Try, /*On fail goto*//*Label 22974*/ GIMT_Encode4(1676965), // Rule ID 6717 //
     /* 1676884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1676895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1676898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1676901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1676904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676930 */     // MIs[0] policy
     /* 1676930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676940 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1676943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676964 */     // GIR_Coverage, 6717,
     /* 1676964 */     GIR_EraseRootFromParent_Done,
     /* 1676965 */   // Label 22974: @1676965
     /* 1676965 */   GIM_Try, /*On fail goto*//*Label 22975*/ GIMT_Encode4(1677051), // Rule ID 6718 //
     /* 1676970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1676981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1676984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1676987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1676990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677016 */     // MIs[0] policy
     /* 1677016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677026 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1677029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1677047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677050 */     // GIR_Coverage, 6718,
     /* 1677050 */     GIR_EraseRootFromParent_Done,
     /* 1677051 */   // Label 22975: @1677051
     /* 1677051 */   GIM_Try, /*On fail goto*//*Label 22976*/ GIMT_Encode4(1677137), // Rule ID 6721 //
     /* 1677056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1677067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1677070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1677073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1677076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1677079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1677086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677102 */     // MIs[0] policy
     /* 1677102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677112 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1677115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677136 */     // GIR_Coverage, 6721,
     /* 1677136 */     GIR_EraseRootFromParent_Done,
     /* 1677137 */   // Label 22976: @1677137
     /* 1677137 */   GIM_Try, /*On fail goto*//*Label 22977*/ GIMT_Encode4(1677223), // Rule ID 6722 //
     /* 1677142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1677153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1677156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1677159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1677162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1677165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1677172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677188 */     // MIs[0] policy
     /* 1677188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677198 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1677201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677222 */     // GIR_Coverage, 6722,
     /* 1677222 */     GIR_EraseRootFromParent_Done,
     /* 1677223 */   // Label 22977: @1677223
     /* 1677223 */   GIM_Try, /*On fail goto*//*Label 22978*/ GIMT_Encode4(1677309), // Rule ID 6725 //
     /* 1677228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1677239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1677242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1677245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1677248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1677251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1677258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677274 */     // MIs[0] policy
     /* 1677274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677284 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1677287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677308 */     // GIR_Coverage, 6725,
     /* 1677308 */     GIR_EraseRootFromParent_Done,
     /* 1677309 */   // Label 22978: @1677309
     /* 1677309 */   GIM_Try, /*On fail goto*//*Label 22979*/ GIMT_Encode4(1677395), // Rule ID 6726 //
     /* 1677314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1677325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1677328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1677331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1677334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1677337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1677344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677360 */     // MIs[0] policy
     /* 1677360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677370 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1677373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677394 */     // GIR_Coverage, 6726,
     /* 1677394 */     GIR_EraseRootFromParent_Done,
     /* 1677395 */   // Label 22979: @1677395
     /* 1677395 */   GIM_Try, /*On fail goto*//*Label 22980*/ GIMT_Encode4(1677481), // Rule ID 6729 //
     /* 1677400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1677411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1677414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1677417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1677420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1677423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1677430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677446 */     // MIs[0] policy
     /* 1677446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677456 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1677459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677480 */     // GIR_Coverage, 6729,
     /* 1677480 */     GIR_EraseRootFromParent_Done,
     /* 1677481 */   // Label 22980: @1677481
     /* 1677481 */   GIM_Try, /*On fail goto*//*Label 22981*/ GIMT_Encode4(1677567), // Rule ID 6730 //
     /* 1677486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1677497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1677500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1677503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1677506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1677509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1677516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677532 */     // MIs[0] policy
     /* 1677532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677542 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1677545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677566 */     // GIR_Coverage, 6730,
     /* 1677566 */     GIR_EraseRootFromParent_Done,
     /* 1677567 */   // Label 22981: @1677567
     /* 1677567 */   GIM_Try, /*On fail goto*//*Label 22982*/ GIMT_Encode4(1677653), // Rule ID 6733 //
     /* 1677572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1677583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1677586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1677589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1677592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1677595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1677602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677618 */     // MIs[0] policy
     /* 1677618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677628 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1677631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677652 */     // GIR_Coverage, 6733,
     /* 1677652 */     GIR_EraseRootFromParent_Done,
     /* 1677653 */   // Label 22982: @1677653
     /* 1677653 */   GIM_Try, /*On fail goto*//*Label 22983*/ GIMT_Encode4(1677739), // Rule ID 6734 //
     /* 1677658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1677669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1677672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1677675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1677678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1677681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1677688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677704 */     // MIs[0] policy
     /* 1677704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677714 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1677717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677738 */     // GIR_Coverage, 6734,
     /* 1677738 */     GIR_EraseRootFromParent_Done,
     /* 1677739 */   // Label 22983: @1677739
     /* 1677739 */   GIM_Try, /*On fail goto*//*Label 22984*/ GIMT_Encode4(1677825), // Rule ID 6737 //
     /* 1677744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1677755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1677758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1677761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1677764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1677767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1677774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677790 */     // MIs[0] policy
     /* 1677790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677800 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1677803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677824 */     // GIR_Coverage, 6737,
     /* 1677824 */     GIR_EraseRootFromParent_Done,
     /* 1677825 */   // Label 22984: @1677825
     /* 1677825 */   GIM_Try, /*On fail goto*//*Label 22985*/ GIMT_Encode4(1677911), // Rule ID 6738 //
     /* 1677830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1677841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1677844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1677847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1677850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1677853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1677860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677876 */     // MIs[0] policy
     /* 1677876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677886 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1677889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677910 */     // GIR_Coverage, 6738,
     /* 1677910 */     GIR_EraseRootFromParent_Done,
     /* 1677911 */   // Label 22985: @1677911
     /* 1677911 */   GIM_Try, /*On fail goto*//*Label 22986*/ GIMT_Encode4(1677997), // Rule ID 6741 //
     /* 1677916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1677927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1677930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1677933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1677936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1677939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1677946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677962 */     // MIs[0] policy
     /* 1677962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677972 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1677975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677996 */     // GIR_Coverage, 6741,
     /* 1677996 */     GIR_EraseRootFromParent_Done,
     /* 1677997 */   // Label 22986: @1677997
     /* 1677997 */   GIM_Try, /*On fail goto*//*Label 22987*/ GIMT_Encode4(1678083), // Rule ID 6742 //
     /* 1678002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1678013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1678016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1678019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1678022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678048 */     // MIs[0] policy
     /* 1678048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678058 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1678061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678082 */     // GIR_Coverage, 6742,
     /* 1678082 */     GIR_EraseRootFromParent_Done,
     /* 1678083 */   // Label 22987: @1678083
     /* 1678083 */   GIM_Try, /*On fail goto*//*Label 22988*/ GIMT_Encode4(1678169), // Rule ID 6745 //
     /* 1678088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1678099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1678102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1678105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1678108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1678111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678134 */     // MIs[0] policy
     /* 1678134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678144 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1678147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678168 */     // GIR_Coverage, 6745,
     /* 1678168 */     GIR_EraseRootFromParent_Done,
     /* 1678169 */   // Label 22988: @1678169
     /* 1678169 */   GIM_Try, /*On fail goto*//*Label 22989*/ GIMT_Encode4(1678255), // Rule ID 6746 //
     /* 1678174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1678185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1678188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1678191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1678194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1678197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678220 */     // MIs[0] policy
     /* 1678220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678230 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1678233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678254 */     // GIR_Coverage, 6746,
     /* 1678254 */     GIR_EraseRootFromParent_Done,
     /* 1678255 */   // Label 22989: @1678255
     /* 1678255 */   GIM_Try, /*On fail goto*//*Label 22990*/ GIMT_Encode4(1678341), // Rule ID 6749 //
     /* 1678260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1678271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1678274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1678277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1678280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678306 */     // MIs[0] policy
     /* 1678306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678316 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1678319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678340 */     // GIR_Coverage, 6749,
     /* 1678340 */     GIR_EraseRootFromParent_Done,
     /* 1678341 */   // Label 22990: @1678341
     /* 1678341 */   GIM_Try, /*On fail goto*//*Label 22991*/ GIMT_Encode4(1678427), // Rule ID 6750 //
     /* 1678346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1678357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1678360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1678363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1678366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678392 */     // MIs[0] policy
     /* 1678392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678402 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1678405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678426 */     // GIR_Coverage, 6750,
     /* 1678426 */     GIR_EraseRootFromParent_Done,
     /* 1678427 */   // Label 22991: @1678427
     /* 1678427 */   GIM_Try, /*On fail goto*//*Label 22992*/ GIMT_Encode4(1678513), // Rule ID 6753 //
     /* 1678432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1678443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1678446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1678449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1678452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678478 */     // MIs[0] policy
     /* 1678478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678488 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1678491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678512 */     // GIR_Coverage, 6753,
     /* 1678512 */     GIR_EraseRootFromParent_Done,
     /* 1678513 */   // Label 22992: @1678513
     /* 1678513 */   GIM_Try, /*On fail goto*//*Label 22993*/ GIMT_Encode4(1678599), // Rule ID 6754 //
     /* 1678518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1678529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1678532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1678535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1678538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678564 */     // MIs[0] policy
     /* 1678564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678574 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1678577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678598 */     // GIR_Coverage, 6754,
     /* 1678598 */     GIR_EraseRootFromParent_Done,
     /* 1678599 */   // Label 22993: @1678599
     /* 1678599 */   GIM_Try, /*On fail goto*//*Label 22994*/ GIMT_Encode4(1678685), // Rule ID 6757 //
     /* 1678604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1678607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1678615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1678618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1678621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1678624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678650 */     // MIs[0] policy
     /* 1678650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678660 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1678663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1678681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678684 */     // GIR_Coverage, 6757,
     /* 1678684 */     GIR_EraseRootFromParent_Done,
     /* 1678685 */   // Label 22994: @1678685
     /* 1678685 */   GIM_Try, /*On fail goto*//*Label 22995*/ GIMT_Encode4(1678771), // Rule ID 6758 //
     /* 1678690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1678693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1678701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1678704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1678707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1678710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678736 */     // MIs[0] policy
     /* 1678736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1678749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1678767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678770 */     // GIR_Coverage, 6758,
     /* 1678770 */     GIR_EraseRootFromParent_Done,
     /* 1678771 */   // Label 22995: @1678771
     /* 1678771 */   GIM_Try, /*On fail goto*//*Label 22996*/ GIMT_Encode4(1678857), // Rule ID 6761 //
     /* 1678776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1678779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1678787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1678790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1678793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1678796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1678799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678822 */     // MIs[0] policy
     /* 1678822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678832 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1678835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1678853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678856 */     // GIR_Coverage, 6761,
     /* 1678856 */     GIR_EraseRootFromParent_Done,
     /* 1678857 */   // Label 22996: @1678857
     /* 1678857 */   GIM_Try, /*On fail goto*//*Label 22997*/ GIMT_Encode4(1678943), // Rule ID 6762 //
     /* 1678862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1678865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1678873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1678876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1678879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1678882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1678885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678908 */     // MIs[0] policy
     /* 1678908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678918 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1678921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1678939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678942 */     // GIR_Coverage, 6762,
     /* 1678942 */     GIR_EraseRootFromParent_Done,
     /* 1678943 */   // Label 22997: @1678943
     /* 1678943 */   GIM_Try, /*On fail goto*//*Label 22998*/ GIMT_Encode4(1679029), // Rule ID 6765 //
     /* 1678948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1678951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1678959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1678962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1678965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1678968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678994 */     // MIs[0] policy
     /* 1678994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679004 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1679007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679028 */     // GIR_Coverage, 6765,
     /* 1679028 */     GIR_EraseRootFromParent_Done,
     /* 1679029 */   // Label 22998: @1679029
     /* 1679029 */   GIM_Try, /*On fail goto*//*Label 22999*/ GIMT_Encode4(1679115), // Rule ID 6766 //
     /* 1679034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1679037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1679045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1679048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1679051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1679054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679080 */     // MIs[0] policy
     /* 1679080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679090 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1679093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679114 */     // GIR_Coverage, 6766,
     /* 1679114 */     GIR_EraseRootFromParent_Done,
     /* 1679115 */   // Label 22999: @1679115
     /* 1679115 */   GIM_Try, /*On fail goto*//*Label 23000*/ GIMT_Encode4(1679201), // Rule ID 6769 //
     /* 1679120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1679131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1679134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1679137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1679143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679166 */     // MIs[0] policy
     /* 1679166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679176 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1679179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679200 */     // GIR_Coverage, 6769,
     /* 1679200 */     GIR_EraseRootFromParent_Done,
     /* 1679201 */   // Label 23000: @1679201
     /* 1679201 */   GIM_Try, /*On fail goto*//*Label 23001*/ GIMT_Encode4(1679287), // Rule ID 6770 //
     /* 1679206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1679217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1679220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1679223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1679229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679252 */     // MIs[0] policy
     /* 1679252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679262 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1679265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679286 */     // GIR_Coverage, 6770,
     /* 1679286 */     GIR_EraseRootFromParent_Done,
     /* 1679287 */   // Label 23001: @1679287
     /* 1679287 */   GIM_Try, /*On fail goto*//*Label 23002*/ GIMT_Encode4(1679373), // Rule ID 6773 //
     /* 1679292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1679303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1679306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1679309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1679315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679338 */     // MIs[0] policy
     /* 1679338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679348 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1679351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679372 */     // GIR_Coverage, 6773,
     /* 1679372 */     GIR_EraseRootFromParent_Done,
     /* 1679373 */   // Label 23002: @1679373
     /* 1679373 */   GIM_Try, /*On fail goto*//*Label 23003*/ GIMT_Encode4(1679459), // Rule ID 6774 //
     /* 1679378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1679389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1679392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1679395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1679401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679424 */     // MIs[0] policy
     /* 1679424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679434 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1679437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679458 */     // GIR_Coverage, 6774,
     /* 1679458 */     GIR_EraseRootFromParent_Done,
     /* 1679459 */   // Label 23003: @1679459
     /* 1679459 */   GIM_Try, /*On fail goto*//*Label 23004*/ GIMT_Encode4(1679545), // Rule ID 6777 //
     /* 1679464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1679475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1679478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1679481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679510 */     // MIs[0] policy
     /* 1679510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679520 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1679523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679544 */     // GIR_Coverage, 6777,
     /* 1679544 */     GIR_EraseRootFromParent_Done,
     /* 1679545 */   // Label 23004: @1679545
     /* 1679545 */   GIM_Try, /*On fail goto*//*Label 23005*/ GIMT_Encode4(1679631), // Rule ID 6778 //
     /* 1679550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1679561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1679564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1679567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679596 */     // MIs[0] policy
     /* 1679596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679606 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1679609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679630 */     // GIR_Coverage, 6778,
     /* 1679630 */     GIR_EraseRootFromParent_Done,
     /* 1679631 */   // Label 23005: @1679631
     /* 1679631 */   GIM_Try, /*On fail goto*//*Label 23006*/ GIMT_Encode4(1679717), // Rule ID 6781 //
     /* 1679636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1679647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1679650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1679653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1679659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679682 */     // MIs[0] policy
     /* 1679682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679692 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1679695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679716 */     // GIR_Coverage, 6781,
     /* 1679716 */     GIR_EraseRootFromParent_Done,
     /* 1679717 */   // Label 23006: @1679717
     /* 1679717 */   GIM_Try, /*On fail goto*//*Label 23007*/ GIMT_Encode4(1679803), // Rule ID 6782 //
     /* 1679722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1679733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1679736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1679739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1679745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679768 */     // MIs[0] policy
     /* 1679768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679778 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1679781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679802 */     // GIR_Coverage, 6782,
     /* 1679802 */     GIR_EraseRootFromParent_Done,
     /* 1679803 */   // Label 23007: @1679803
     /* 1679803 */   GIM_Try, /*On fail goto*//*Label 23008*/ GIMT_Encode4(1679889), // Rule ID 6785 //
     /* 1679808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1679819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1679822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1679825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1679831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679854 */     // MIs[0] policy
     /* 1679854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679864 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1679867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679888 */     // GIR_Coverage, 6785,
     /* 1679888 */     GIR_EraseRootFromParent_Done,
     /* 1679889 */   // Label 23008: @1679889
     /* 1679889 */   GIM_Try, /*On fail goto*//*Label 23009*/ GIMT_Encode4(1679975), // Rule ID 6786 //
     /* 1679894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1679905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1679908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1679911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1679917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679940 */     // MIs[0] policy
     /* 1679940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679950 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1679953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679974 */     // GIR_Coverage, 6786,
     /* 1679974 */     GIR_EraseRootFromParent_Done,
     /* 1679975 */   // Label 23009: @1679975
     /* 1679975 */   GIM_Try, /*On fail goto*//*Label 23010*/ GIMT_Encode4(1680061), // Rule ID 6789 //
     /* 1679980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1679988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1679991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1679994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1679997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680026 */     // MIs[0] policy
     /* 1680026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680036 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1680039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680060 */     // GIR_Coverage, 6789,
     /* 1680060 */     GIR_EraseRootFromParent_Done,
     /* 1680061 */   // Label 23010: @1680061
     /* 1680061 */   GIM_Try, /*On fail goto*//*Label 23011*/ GIMT_Encode4(1680147), // Rule ID 6790 //
     /* 1680066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1680077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1680080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1680083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680112 */     // MIs[0] policy
     /* 1680112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1680125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680146 */     // GIR_Coverage, 6790,
     /* 1680146 */     GIR_EraseRootFromParent_Done,
     /* 1680147 */   // Label 23011: @1680147
     /* 1680147 */   GIM_Try, /*On fail goto*//*Label 23012*/ GIMT_Encode4(1680233), // Rule ID 6793 //
     /* 1680152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1680163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1680166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1680169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680198 */     // MIs[0] policy
     /* 1680198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1680211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680232 */     // GIR_Coverage, 6793,
     /* 1680232 */     GIR_EraseRootFromParent_Done,
     /* 1680233 */   // Label 23012: @1680233
     /* 1680233 */   GIM_Try, /*On fail goto*//*Label 23013*/ GIMT_Encode4(1680319), // Rule ID 6794 //
     /* 1680238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1680249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1680252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1680255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680284 */     // MIs[0] policy
     /* 1680284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680294 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1680297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680318 */     // GIR_Coverage, 6794,
     /* 1680318 */     GIR_EraseRootFromParent_Done,
     /* 1680319 */   // Label 23013: @1680319
     /* 1680319 */   GIM_Try, /*On fail goto*//*Label 23014*/ GIMT_Encode4(1680405), // Rule ID 6797 //
     /* 1680324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1680335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1680338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1680341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680370 */     // MIs[0] policy
     /* 1680370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1680383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680404 */     // GIR_Coverage, 6797,
     /* 1680404 */     GIR_EraseRootFromParent_Done,
     /* 1680405 */   // Label 23014: @1680405
     /* 1680405 */   GIM_Try, /*On fail goto*//*Label 23015*/ GIMT_Encode4(1680491), // Rule ID 6798 //
     /* 1680410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1680421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1680424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1680427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680456 */     // MIs[0] policy
     /* 1680456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680466 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1680469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680490 */     // GIR_Coverage, 6798,
     /* 1680490 */     GIR_EraseRootFromParent_Done,
     /* 1680491 */   // Label 23015: @1680491
     /* 1680491 */   GIM_Try, /*On fail goto*//*Label 23016*/ GIMT_Encode4(1680577), // Rule ID 6801 //
     /* 1680496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1680507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1680510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1680513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680542 */     // MIs[0] policy
     /* 1680542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680552 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1680555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680576 */     // GIR_Coverage, 6801,
     /* 1680576 */     GIR_EraseRootFromParent_Done,
     /* 1680577 */   // Label 23016: @1680577
     /* 1680577 */   GIM_Try, /*On fail goto*//*Label 23017*/ GIMT_Encode4(1680663), // Rule ID 6802 //
     /* 1680582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1680593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1680596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1680599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680628 */     // MIs[0] policy
     /* 1680628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680638 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1680641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680662 */     // GIR_Coverage, 6802,
     /* 1680662 */     GIR_EraseRootFromParent_Done,
     /* 1680663 */   // Label 23017: @1680663
     /* 1680663 */   GIM_Try, /*On fail goto*//*Label 23018*/ GIMT_Encode4(1680749), // Rule ID 6805 //
     /* 1680668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1680671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1680679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1680682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1680685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680714 */     // MIs[0] policy
     /* 1680714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680724 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1680727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680748 */     // GIR_Coverage, 6805,
     /* 1680748 */     GIR_EraseRootFromParent_Done,
     /* 1680749 */   // Label 23018: @1680749
     /* 1680749 */   GIM_Try, /*On fail goto*//*Label 23019*/ GIMT_Encode4(1680835), // Rule ID 6806 //
     /* 1680754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1680757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1680765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1680768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1680771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680800 */     // MIs[0] policy
     /* 1680800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680810 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1680813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680834 */     // GIR_Coverage, 6806,
     /* 1680834 */     GIR_EraseRootFromParent_Done,
     /* 1680835 */   // Label 23019: @1680835
     /* 1680835 */   GIM_Try, /*On fail goto*//*Label 23020*/ GIMT_Encode4(1680921), // Rule ID 6809 //
     /* 1680840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1680851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1680854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1680857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1680863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1680870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680886 */     // MIs[0] policy
     /* 1680886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680896 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1680899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680920 */     // GIR_Coverage, 6809,
     /* 1680920 */     GIR_EraseRootFromParent_Done,
     /* 1680921 */   // Label 23020: @1680921
     /* 1680921 */   GIM_Try, /*On fail goto*//*Label 23021*/ GIMT_Encode4(1681007), // Rule ID 6810 //
     /* 1680926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1680934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1680937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1680940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1680943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1680949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1680956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680972 */     // MIs[0] policy
     /* 1680972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680982 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1680985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681006 */     // GIR_Coverage, 6810,
     /* 1681006 */     GIR_EraseRootFromParent_Done,
     /* 1681007 */   // Label 23021: @1681007
     /* 1681007 */   GIM_Try, /*On fail goto*//*Label 23022*/ GIMT_Encode4(1681093), // Rule ID 6813 //
     /* 1681012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1681023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1681026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1681029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1681035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1681042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681058 */     // MIs[0] policy
     /* 1681058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681068 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1681071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681092 */     // GIR_Coverage, 6813,
     /* 1681092 */     GIR_EraseRootFromParent_Done,
     /* 1681093 */   // Label 23022: @1681093
     /* 1681093 */   GIM_Try, /*On fail goto*//*Label 23023*/ GIMT_Encode4(1681179), // Rule ID 6814 //
     /* 1681098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1681109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1681112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1681115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1681121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1681128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681144 */     // MIs[0] policy
     /* 1681144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681154 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1681157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681178 */     // GIR_Coverage, 6814,
     /* 1681178 */     GIR_EraseRootFromParent_Done,
     /* 1681179 */   // Label 23023: @1681179
     /* 1681179 */   GIM_Try, /*On fail goto*//*Label 23024*/ GIMT_Encode4(1681265), // Rule ID 6817 //
     /* 1681184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1681195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1681198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1681201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1681207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1681214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681230 */     // MIs[0] policy
     /* 1681230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681240 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1681243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681264 */     // GIR_Coverage, 6817,
     /* 1681264 */     GIR_EraseRootFromParent_Done,
     /* 1681265 */   // Label 23024: @1681265
     /* 1681265 */   GIM_Try, /*On fail goto*//*Label 23025*/ GIMT_Encode4(1681351), // Rule ID 6818 //
     /* 1681270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1681281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1681284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1681287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1681293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1681300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681316 */     // MIs[0] policy
     /* 1681316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681326 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1681329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681350 */     // GIR_Coverage, 6818,
     /* 1681350 */     GIR_EraseRootFromParent_Done,
     /* 1681351 */   // Label 23025: @1681351
     /* 1681351 */   GIM_Try, /*On fail goto*//*Label 23026*/ GIMT_Encode4(1681437), // Rule ID 6821 //
     /* 1681356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1681367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1681370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1681373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1681386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681402 */     // MIs[0] policy
     /* 1681402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681412 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1681415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681436 */     // GIR_Coverage, 6821,
     /* 1681436 */     GIR_EraseRootFromParent_Done,
     /* 1681437 */   // Label 23026: @1681437
     /* 1681437 */   GIM_Try, /*On fail goto*//*Label 23027*/ GIMT_Encode4(1681523), // Rule ID 6822 //
     /* 1681442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1681453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1681456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1681459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1681472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681488 */     // MIs[0] policy
     /* 1681488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681498 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1681501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681522 */     // GIR_Coverage, 6822,
     /* 1681522 */     GIR_EraseRootFromParent_Done,
     /* 1681523 */   // Label 23027: @1681523
     /* 1681523 */   GIM_Try, /*On fail goto*//*Label 23028*/ GIMT_Encode4(1681609), // Rule ID 6825 //
     /* 1681528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1681539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1681542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1681545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1681551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1681558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681574 */     // MIs[0] policy
     /* 1681574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681584 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1681587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681608 */     // GIR_Coverage, 6825,
     /* 1681608 */     GIR_EraseRootFromParent_Done,
     /* 1681609 */   // Label 23028: @1681609
     /* 1681609 */   GIM_Try, /*On fail goto*//*Label 23029*/ GIMT_Encode4(1681695), // Rule ID 6826 //
     /* 1681614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1681625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1681628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1681631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1681637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1681644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681660 */     // MIs[0] policy
     /* 1681660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681670 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1681673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681694 */     // GIR_Coverage, 6826,
     /* 1681694 */     GIR_EraseRootFromParent_Done,
     /* 1681695 */   // Label 23029: @1681695
     /* 1681695 */   GIM_Try, /*On fail goto*//*Label 23030*/ GIMT_Encode4(1681781), // Rule ID 6829 //
     /* 1681700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1681711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1681714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1681717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1681723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1681730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681746 */     // MIs[0] policy
     /* 1681746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681756 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1681759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681780 */     // GIR_Coverage, 6829,
     /* 1681780 */     GIR_EraseRootFromParent_Done,
     /* 1681781 */   // Label 23030: @1681781
     /* 1681781 */   GIM_Try, /*On fail goto*//*Label 23031*/ GIMT_Encode4(1681867), // Rule ID 6830 //
     /* 1681786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1681797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1681800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1681803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1681809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1681816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681832 */     // MIs[0] policy
     /* 1681832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681842 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1681845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681866 */     // GIR_Coverage, 6830,
     /* 1681866 */     GIR_EraseRootFromParent_Done,
     /* 1681867 */   // Label 23031: @1681867
     /* 1681867 */   GIM_Try, /*On fail goto*//*Label 23032*/ GIMT_Encode4(1681953), // Rule ID 6833 //
     /* 1681872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1681883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1681886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1681889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1681902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681918 */     // MIs[0] policy
     /* 1681918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681928 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1681931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681952 */     // GIR_Coverage, 6833,
     /* 1681952 */     GIR_EraseRootFromParent_Done,
     /* 1681953 */   // Label 23032: @1681953
     /* 1681953 */   GIM_Try, /*On fail goto*//*Label 23033*/ GIMT_Encode4(1682039), // Rule ID 6834 //
     /* 1681958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1681966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1681969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1681972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1681975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1681988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682004 */     // MIs[0] policy
     /* 1682004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1682017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682038 */     // GIR_Coverage, 6834,
     /* 1682038 */     GIR_EraseRootFromParent_Done,
     /* 1682039 */   // Label 23033: @1682039
     /* 1682039 */   GIM_Try, /*On fail goto*//*Label 23034*/ GIMT_Encode4(1682125), // Rule ID 6837 //
     /* 1682044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1682055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1682058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1682061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682090 */     // MIs[0] policy
     /* 1682090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682100 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1682103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682124 */     // GIR_Coverage, 6837,
     /* 1682124 */     GIR_EraseRootFromParent_Done,
     /* 1682125 */   // Label 23034: @1682125
     /* 1682125 */   GIM_Try, /*On fail goto*//*Label 23035*/ GIMT_Encode4(1682211), // Rule ID 6838 //
     /* 1682130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1682141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1682144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1682147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682176 */     // MIs[0] policy
     /* 1682176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1682189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682210 */     // GIR_Coverage, 6838,
     /* 1682210 */     GIR_EraseRootFromParent_Done,
     /* 1682211 */   // Label 23035: @1682211
     /* 1682211 */   GIM_Try, /*On fail goto*//*Label 23036*/ GIMT_Encode4(1682297), // Rule ID 6841 //
     /* 1682216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1682227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1682230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1682233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682262 */     // MIs[0] policy
     /* 1682262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1682275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682296 */     // GIR_Coverage, 6841,
     /* 1682296 */     GIR_EraseRootFromParent_Done,
     /* 1682297 */   // Label 23036: @1682297
     /* 1682297 */   GIM_Try, /*On fail goto*//*Label 23037*/ GIMT_Encode4(1682383), // Rule ID 6842 //
     /* 1682302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1682313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1682316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1682319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682348 */     // MIs[0] policy
     /* 1682348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682358 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1682361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682382 */     // GIR_Coverage, 6842,
     /* 1682382 */     GIR_EraseRootFromParent_Done,
     /* 1682383 */   // Label 23037: @1682383
     /* 1682383 */   GIM_Try, /*On fail goto*//*Label 23038*/ GIMT_Encode4(1682469), // Rule ID 6845 //
     /* 1682388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1682391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1682399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1682402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1682405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1682411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682434 */     // MIs[0] policy
     /* 1682434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682444 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1682447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1682465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682468 */     // GIR_Coverage, 6845,
     /* 1682468 */     GIR_EraseRootFromParent_Done,
     /* 1682469 */   // Label 23038: @1682469
     /* 1682469 */   GIM_Try, /*On fail goto*//*Label 23039*/ GIMT_Encode4(1682555), // Rule ID 6846 //
     /* 1682474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1682477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1682485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1682488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1682491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1682497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682520 */     // MIs[0] policy
     /* 1682520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682530 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11481:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1682533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1682551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682554 */     // GIR_Coverage, 6846,
     /* 1682554 */     GIR_EraseRootFromParent_Done,
     /* 1682555 */   // Label 23039: @1682555
     /* 1682555 */   GIM_Try, /*On fail goto*//*Label 23040*/ GIMT_Encode4(1682641), // Rule ID 6849 //
     /* 1682560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1682563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1682571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1682574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1682577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1682583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682606 */     // MIs[0] policy
     /* 1682606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682616 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1682619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1682637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682640 */     // GIR_Coverage, 6849,
     /* 1682640 */     GIR_EraseRootFromParent_Done,
     /* 1682641 */   // Label 23040: @1682641
     /* 1682641 */   GIM_Try, /*On fail goto*//*Label 23041*/ GIMT_Encode4(1682727), // Rule ID 6850 //
     /* 1682646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1682649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1682657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1682660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1682663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1682669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682692 */     // MIs[0] policy
     /* 1682692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11481:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1682705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1682723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682726 */     // GIR_Coverage, 6850,
     /* 1682726 */     GIR_EraseRootFromParent_Done,
     /* 1682727 */   // Label 23041: @1682727
     /* 1682727 */   GIM_Try, /*On fail goto*//*Label 23042*/ GIMT_Encode4(1682813), // Rule ID 6853 //
     /* 1682732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1682735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1682743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1682746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1682749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682778 */     // MIs[0] policy
     /* 1682778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682788 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1682791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1682809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682812 */     // GIR_Coverage, 6853,
     /* 1682812 */     GIR_EraseRootFromParent_Done,
     /* 1682813 */   // Label 23042: @1682813
     /* 1682813 */   GIM_Try, /*On fail goto*//*Label 23043*/ GIMT_Encode4(1682899), // Rule ID 6854 //
     /* 1682818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1682821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1682826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1682829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1682832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1682835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682864 */     // MIs[0] policy
     /* 1682864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11481:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1682877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1682895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682898 */     // GIR_Coverage, 6854,
     /* 1682898 */     GIR_EraseRootFromParent_Done,
     /* 1682899 */   // Label 23043: @1682899
     /* 1682899 */   GIM_Try, /*On fail goto*//*Label 23044*/ GIMT_Encode4(1682985), // Rule ID 6945 //
     /* 1682904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1682912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1682915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1682918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1682921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1682924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1682927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682950 */     // MIs[0] policy
     /* 1682950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682960 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1682963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682984 */     // GIR_Coverage, 6945,
     /* 1682984 */     GIR_EraseRootFromParent_Done,
     /* 1682985 */   // Label 23044: @1682985
     /* 1682985 */   GIM_Try, /*On fail goto*//*Label 23045*/ GIMT_Encode4(1683071), // Rule ID 6946 //
     /* 1682990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1682998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1683001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1683004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1683007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1683010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1683013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683036 */     // MIs[0] policy
     /* 1683036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683046 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1683049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683070 */     // GIR_Coverage, 6946,
     /* 1683070 */     GIR_EraseRootFromParent_Done,
     /* 1683071 */   // Label 23045: @1683071
     /* 1683071 */   GIM_Try, /*On fail goto*//*Label 23046*/ GIMT_Encode4(1683157), // Rule ID 6949 //
     /* 1683076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1683087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1683090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1683093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1683096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683122 */     // MIs[0] policy
     /* 1683122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683132 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1683135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683156 */     // GIR_Coverage, 6949,
     /* 1683156 */     GIR_EraseRootFromParent_Done,
     /* 1683157 */   // Label 23046: @1683157
     /* 1683157 */   GIM_Try, /*On fail goto*//*Label 23047*/ GIMT_Encode4(1683243), // Rule ID 6950 //
     /* 1683162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1683173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1683176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1683179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1683182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683208 */     // MIs[0] policy
     /* 1683208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683218 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1683221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683242 */     // GIR_Coverage, 6950,
     /* 1683242 */     GIR_EraseRootFromParent_Done,
     /* 1683243 */   // Label 23047: @1683243
     /* 1683243 */   GIM_Try, /*On fail goto*//*Label 23048*/ GIMT_Encode4(1683329), // Rule ID 6953 //
     /* 1683248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1683259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1683262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1683265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1683268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683294 */     // MIs[0] policy
     /* 1683294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683304 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1683307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683328 */     // GIR_Coverage, 6953,
     /* 1683328 */     GIR_EraseRootFromParent_Done,
     /* 1683329 */   // Label 23048: @1683329
     /* 1683329 */   GIM_Try, /*On fail goto*//*Label 23049*/ GIMT_Encode4(1683415), // Rule ID 6954 //
     /* 1683334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1683345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1683348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1683351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1683354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683380 */     // MIs[0] policy
     /* 1683380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683390 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1683393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683414 */     // GIR_Coverage, 6954,
     /* 1683414 */     GIR_EraseRootFromParent_Done,
     /* 1683415 */   // Label 23049: @1683415
     /* 1683415 */   GIM_Try, /*On fail goto*//*Label 23050*/ GIMT_Encode4(1683501), // Rule ID 6957 //
     /* 1683420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1683431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1683434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1683437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1683440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1683443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683466 */     // MIs[0] policy
     /* 1683466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683476 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1683479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683500 */     // GIR_Coverage, 6957,
     /* 1683500 */     GIR_EraseRootFromParent_Done,
     /* 1683501 */   // Label 23050: @1683501
     /* 1683501 */   GIM_Try, /*On fail goto*//*Label 23051*/ GIMT_Encode4(1683587), // Rule ID 6958 //
     /* 1683506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1683517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1683520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1683523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1683526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1683529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683552 */     // MIs[0] policy
     /* 1683552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683562 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1683565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683586 */     // GIR_Coverage, 6958,
     /* 1683586 */     GIR_EraseRootFromParent_Done,
     /* 1683587 */   // Label 23051: @1683587
     /* 1683587 */   GIM_Try, /*On fail goto*//*Label 23052*/ GIMT_Encode4(1683673), // Rule ID 6961 //
     /* 1683592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1683603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1683606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1683609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1683612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683638 */     // MIs[0] policy
     /* 1683638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683648 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1683651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683672 */     // GIR_Coverage, 6961,
     /* 1683672 */     GIR_EraseRootFromParent_Done,
     /* 1683673 */   // Label 23052: @1683673
     /* 1683673 */   GIM_Try, /*On fail goto*//*Label 23053*/ GIMT_Encode4(1683759), // Rule ID 6962 //
     /* 1683678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1683689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1683692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1683695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1683698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683724 */     // MIs[0] policy
     /* 1683724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683734 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1683737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683758 */     // GIR_Coverage, 6962,
     /* 1683758 */     GIR_EraseRootFromParent_Done,
     /* 1683759 */   // Label 23053: @1683759
     /* 1683759 */   GIM_Try, /*On fail goto*//*Label 23054*/ GIMT_Encode4(1683845), // Rule ID 6965 //
     /* 1683764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1683775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1683778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1683781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1683784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1683787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683810 */     // MIs[0] policy
     /* 1683810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683820 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1683823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683844 */     // GIR_Coverage, 6965,
     /* 1683844 */     GIR_EraseRootFromParent_Done,
     /* 1683845 */   // Label 23054: @1683845
     /* 1683845 */   GIM_Try, /*On fail goto*//*Label 23055*/ GIMT_Encode4(1683931), // Rule ID 6966 //
     /* 1683850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1683861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1683864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1683867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1683870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1683873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683896 */     // MIs[0] policy
     /* 1683896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683906 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1683909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683930 */     // GIR_Coverage, 6966,
     /* 1683930 */     GIR_EraseRootFromParent_Done,
     /* 1683931 */   // Label 23055: @1683931
     /* 1683931 */   GIM_Try, /*On fail goto*//*Label 23056*/ GIMT_Encode4(1684017), // Rule ID 6969 //
     /* 1683936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1683947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1683950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1683953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1683956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683982 */     // MIs[0] policy
     /* 1683982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1683995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684016 */     // GIR_Coverage, 6969,
     /* 1684016 */     GIR_EraseRootFromParent_Done,
     /* 1684017 */   // Label 23056: @1684017
     /* 1684017 */   GIM_Try, /*On fail goto*//*Label 23057*/ GIMT_Encode4(1684103), // Rule ID 6970 //
     /* 1684022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1684033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1684036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1684039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1684042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684068 */     // MIs[0] policy
     /* 1684068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1684081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684102 */     // GIR_Coverage, 6970,
     /* 1684102 */     GIR_EraseRootFromParent_Done,
     /* 1684103 */   // Label 23057: @1684103
     /* 1684103 */   GIM_Try, /*On fail goto*//*Label 23058*/ GIMT_Encode4(1684189), // Rule ID 6973 //
     /* 1684108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1684119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1684122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1684125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1684128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684154 */     // MIs[0] policy
     /* 1684154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1684167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684188 */     // GIR_Coverage, 6973,
     /* 1684188 */     GIR_EraseRootFromParent_Done,
     /* 1684189 */   // Label 23058: @1684189
     /* 1684189 */   GIM_Try, /*On fail goto*//*Label 23059*/ GIMT_Encode4(1684275), // Rule ID 6974 //
     /* 1684194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1684205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1684208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1684211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1684214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684240 */     // MIs[0] policy
     /* 1684240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684250 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1684253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684274 */     // GIR_Coverage, 6974,
     /* 1684274 */     GIR_EraseRootFromParent_Done,
     /* 1684275 */   // Label 23059: @1684275
     /* 1684275 */   GIM_Try, /*On fail goto*//*Label 23060*/ GIMT_Encode4(1684361), // Rule ID 6977 //
     /* 1684280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1684291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1684294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1684297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1684300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684326 */     // MIs[0] policy
     /* 1684326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684336 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1684339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1684357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684360 */     // GIR_Coverage, 6977,
     /* 1684360 */     GIR_EraseRootFromParent_Done,
     /* 1684361 */   // Label 23060: @1684361
     /* 1684361 */   GIM_Try, /*On fail goto*//*Label 23061*/ GIMT_Encode4(1684447), // Rule ID 6978 //
     /* 1684366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1684377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1684380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1684383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1684386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684412 */     // MIs[0] policy
     /* 1684412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684422 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1684425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1684443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684446 */     // GIR_Coverage, 6978,
     /* 1684446 */     GIR_EraseRootFromParent_Done,
     /* 1684447 */   // Label 23061: @1684447
     /* 1684447 */   GIM_Try, /*On fail goto*//*Label 23062*/ GIMT_Encode4(1684533), // Rule ID 6981 //
     /* 1684452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1684455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1684463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1684466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1684469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1684472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684498 */     // MIs[0] policy
     /* 1684498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684508 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1684511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684532 */     // GIR_Coverage, 6981,
     /* 1684532 */     GIR_EraseRootFromParent_Done,
     /* 1684533 */   // Label 23062: @1684533
     /* 1684533 */   GIM_Try, /*On fail goto*//*Label 23063*/ GIMT_Encode4(1684619), // Rule ID 6982 //
     /* 1684538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1684541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1684549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1684552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1684555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1684558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684584 */     // MIs[0] policy
     /* 1684584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684594 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1684597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684618 */     // GIR_Coverage, 6982,
     /* 1684618 */     GIR_EraseRootFromParent_Done,
     /* 1684619 */   // Label 23063: @1684619
     /* 1684619 */   GIM_Try, /*On fail goto*//*Label 23064*/ GIMT_Encode4(1684705), // Rule ID 6985 //
     /* 1684624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1684635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1684638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1684641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1684644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1684647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1684654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684670 */     // MIs[0] policy
     /* 1684670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684680 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1684683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684704 */     // GIR_Coverage, 6985,
     /* 1684704 */     GIR_EraseRootFromParent_Done,
     /* 1684705 */   // Label 23064: @1684705
     /* 1684705 */   GIM_Try, /*On fail goto*//*Label 23065*/ GIMT_Encode4(1684791), // Rule ID 6986 //
     /* 1684710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1684721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1684724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1684727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1684730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1684733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1684740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684756 */     // MIs[0] policy
     /* 1684756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684766 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1684769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684790 */     // GIR_Coverage, 6986,
     /* 1684790 */     GIR_EraseRootFromParent_Done,
     /* 1684791 */   // Label 23065: @1684791
     /* 1684791 */   GIM_Try, /*On fail goto*//*Label 23066*/ GIMT_Encode4(1684877), // Rule ID 6989 //
     /* 1684796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1684807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1684810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1684813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1684816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1684819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1684826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684842 */     // MIs[0] policy
     /* 1684842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684852 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1684855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684876 */     // GIR_Coverage, 6989,
     /* 1684876 */     GIR_EraseRootFromParent_Done,
     /* 1684877 */   // Label 23066: @1684877
     /* 1684877 */   GIM_Try, /*On fail goto*//*Label 23067*/ GIMT_Encode4(1684963), // Rule ID 6990 //
     /* 1684882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1684893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1684896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1684899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1684902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1684905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1684912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684928 */     // MIs[0] policy
     /* 1684928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684938 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1684941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684962 */     // GIR_Coverage, 6990,
     /* 1684962 */     GIR_EraseRootFromParent_Done,
     /* 1684963 */   // Label 23067: @1684963
     /* 1684963 */   GIM_Try, /*On fail goto*//*Label 23068*/ GIMT_Encode4(1685049), // Rule ID 6993 //
     /* 1684968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1684979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1684982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1684985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1684988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1684991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685014 */     // MIs[0] policy
     /* 1685014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685024 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1685027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685048 */     // GIR_Coverage, 6993,
     /* 1685048 */     GIR_EraseRootFromParent_Done,
     /* 1685049 */   // Label 23068: @1685049
     /* 1685049 */   GIM_Try, /*On fail goto*//*Label 23069*/ GIMT_Encode4(1685135), // Rule ID 6994 //
     /* 1685054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1685065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1685068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1685071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1685074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1685077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1685084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685100 */     // MIs[0] policy
     /* 1685100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685110 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1685113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685134 */     // GIR_Coverage, 6994,
     /* 1685134 */     GIR_EraseRootFromParent_Done,
     /* 1685135 */   // Label 23069: @1685135
     /* 1685135 */   GIM_Try, /*On fail goto*//*Label 23070*/ GIMT_Encode4(1685221), // Rule ID 6997 //
     /* 1685140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1685151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1685154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1685157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1685160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685186 */     // MIs[0] policy
     /* 1685186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685196 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1685199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685220 */     // GIR_Coverage, 6997,
     /* 1685220 */     GIR_EraseRootFromParent_Done,
     /* 1685221 */   // Label 23070: @1685221
     /* 1685221 */   GIM_Try, /*On fail goto*//*Label 23071*/ GIMT_Encode4(1685307), // Rule ID 6998 //
     /* 1685226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1685237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1685240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1685243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1685246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685272 */     // MIs[0] policy
     /* 1685272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685282 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1685285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685306 */     // GIR_Coverage, 6998,
     /* 1685306 */     GIR_EraseRootFromParent_Done,
     /* 1685307 */   // Label 23071: @1685307
     /* 1685307 */   GIM_Try, /*On fail goto*//*Label 23072*/ GIMT_Encode4(1685393), // Rule ID 7001 //
     /* 1685312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1685323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1685326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1685329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1685332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1685335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1685342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685358 */     // MIs[0] policy
     /* 1685358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685368 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1685371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685392 */     // GIR_Coverage, 7001,
     /* 1685392 */     GIR_EraseRootFromParent_Done,
     /* 1685393 */   // Label 23072: @1685393
     /* 1685393 */   GIM_Try, /*On fail goto*//*Label 23073*/ GIMT_Encode4(1685479), // Rule ID 7002 //
     /* 1685398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1685409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1685412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1685415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1685418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1685421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1685428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685444 */     // MIs[0] policy
     /* 1685444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685454 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1685457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685478 */     // GIR_Coverage, 7002,
     /* 1685478 */     GIR_EraseRootFromParent_Done,
     /* 1685479 */   // Label 23073: @1685479
     /* 1685479 */   GIM_Try, /*On fail goto*//*Label 23074*/ GIMT_Encode4(1685565), // Rule ID 7005 //
     /* 1685484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1685495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1685498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1685501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1685504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1685507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1685514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685530 */     // MIs[0] policy
     /* 1685530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685540 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1685543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685564 */     // GIR_Coverage, 7005,
     /* 1685564 */     GIR_EraseRootFromParent_Done,
     /* 1685565 */   // Label 23074: @1685565
     /* 1685565 */   GIM_Try, /*On fail goto*//*Label 23075*/ GIMT_Encode4(1685651), // Rule ID 7006 //
     /* 1685570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1685581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1685584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1685587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1685590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1685593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1685600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685616 */     // MIs[0] policy
     /* 1685616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685626 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1685629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685650 */     // GIR_Coverage, 7006,
     /* 1685650 */     GIR_EraseRootFromParent_Done,
     /* 1685651 */   // Label 23075: @1685651
     /* 1685651 */   GIM_Try, /*On fail goto*//*Label 23076*/ GIMT_Encode4(1685737), // Rule ID 7009 //
     /* 1685656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1685667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1685670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1685673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1685676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685702 */     // MIs[0] policy
     /* 1685702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685712 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1685715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685736 */     // GIR_Coverage, 7009,
     /* 1685736 */     GIR_EraseRootFromParent_Done,
     /* 1685737 */   // Label 23076: @1685737
     /* 1685737 */   GIM_Try, /*On fail goto*//*Label 23077*/ GIMT_Encode4(1685823), // Rule ID 7010 //
     /* 1685742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1685753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1685756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1685759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1685762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685788 */     // MIs[0] policy
     /* 1685788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685798 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1685801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685822 */     // GIR_Coverage, 7010,
     /* 1685822 */     GIR_EraseRootFromParent_Done,
     /* 1685823 */   // Label 23077: @1685823
     /* 1685823 */   GIM_Try, /*On fail goto*//*Label 23078*/ GIMT_Encode4(1685909), // Rule ID 7013 //
     /* 1685828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1685839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1685842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1685845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1685848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1685858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685874 */     // MIs[0] policy
     /* 1685874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685884 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1685887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685908 */     // GIR_Coverage, 7013,
     /* 1685908 */     GIR_EraseRootFromParent_Done,
     /* 1685909 */   // Label 23078: @1685909
     /* 1685909 */   GIM_Try, /*On fail goto*//*Label 23079*/ GIMT_Encode4(1685995), // Rule ID 7014 //
     /* 1685914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1685925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1685928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1685931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1685934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1685944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685960 */     // MIs[0] policy
     /* 1685960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685970 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1685973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685994 */     // GIR_Coverage, 7014,
     /* 1685994 */     GIR_EraseRootFromParent_Done,
     /* 1685995 */   // Label 23079: @1685995
     /* 1685995 */   GIM_Try, /*On fail goto*//*Label 23080*/ GIMT_Encode4(1686081), // Rule ID 7017 //
     /* 1686000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1686011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1686014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1686017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1686020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686046 */     // MIs[0] policy
     /* 1686046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686056 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1686059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686080 */     // GIR_Coverage, 7017,
     /* 1686080 */     GIR_EraseRootFromParent_Done,
     /* 1686081 */   // Label 23080: @1686081
     /* 1686081 */   GIM_Try, /*On fail goto*//*Label 23081*/ GIMT_Encode4(1686167), // Rule ID 7018 //
     /* 1686086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1686097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1686100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1686103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1686106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686132 */     // MIs[0] policy
     /* 1686132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686142 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1686145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686166 */     // GIR_Coverage, 7018,
     /* 1686166 */     GIR_EraseRootFromParent_Done,
     /* 1686167 */   // Label 23081: @1686167
     /* 1686167 */   GIM_Try, /*On fail goto*//*Label 23082*/ GIMT_Encode4(1686253), // Rule ID 7021 //
     /* 1686172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1686175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1686183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1686186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1686189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1686192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1686195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686218 */     // MIs[0] policy
     /* 1686218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686228 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1686231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686252 */     // GIR_Coverage, 7021,
     /* 1686252 */     GIR_EraseRootFromParent_Done,
     /* 1686253 */   // Label 23082: @1686253
     /* 1686253 */   GIM_Try, /*On fail goto*//*Label 23083*/ GIMT_Encode4(1686339), // Rule ID 7022 //
     /* 1686258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1686261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1686269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1686272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1686275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1686278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1686281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686304 */     // MIs[0] policy
     /* 1686304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686314 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1686317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686338 */     // GIR_Coverage, 7022,
     /* 1686338 */     GIR_EraseRootFromParent_Done,
     /* 1686339 */   // Label 23083: @1686339
     /* 1686339 */   GIM_Try, /*On fail goto*//*Label 23084*/ GIMT_Encode4(1686425), // Rule ID 7025 //
     /* 1686344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1686347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1686355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1686358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1686361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1686364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686390 */     // MIs[0] policy
     /* 1686390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686400 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1686403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686424 */     // GIR_Coverage, 7025,
     /* 1686424 */     GIR_EraseRootFromParent_Done,
     /* 1686425 */   // Label 23084: @1686425
     /* 1686425 */   GIM_Try, /*On fail goto*//*Label 23085*/ GIMT_Encode4(1686511), // Rule ID 7026 //
     /* 1686430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1686433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1686441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1686444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1686447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1686450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686476 */     // MIs[0] policy
     /* 1686476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686486 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1686489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686510 */     // GIR_Coverage, 7026,
     /* 1686510 */     GIR_EraseRootFromParent_Done,
     /* 1686511 */   // Label 23085: @1686511
     /* 1686511 */   GIM_Try, /*On fail goto*//*Label 23086*/ GIMT_Encode4(1686597), // Rule ID 7029 //
     /* 1686516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1686519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1686527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1686530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1686533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1686536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686562 */     // MIs[0] policy
     /* 1686562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686572 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1686575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686596 */     // GIR_Coverage, 7029,
     /* 1686596 */     GIR_EraseRootFromParent_Done,
     /* 1686597 */   // Label 23086: @1686597
     /* 1686597 */   GIM_Try, /*On fail goto*//*Label 23087*/ GIMT_Encode4(1686683), // Rule ID 7030 //
     /* 1686602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1686605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1686613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1686616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1686619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1686622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686648 */     // MIs[0] policy
     /* 1686648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686658 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1686661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686682 */     // GIR_Coverage, 7030,
     /* 1686682 */     GIR_EraseRootFromParent_Done,
     /* 1686683 */   // Label 23087: @1686683
     /* 1686683 */   GIM_Try, /*On fail goto*//*Label 23088*/ GIMT_Encode4(1686769), // Rule ID 7033 //
     /* 1686688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1686699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1686702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1686705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1686711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686734 */     // MIs[0] policy
     /* 1686734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686744 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1686747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686768 */     // GIR_Coverage, 7033,
     /* 1686768 */     GIR_EraseRootFromParent_Done,
     /* 1686769 */   // Label 23088: @1686769
     /* 1686769 */   GIM_Try, /*On fail goto*//*Label 23089*/ GIMT_Encode4(1686855), // Rule ID 7034 //
     /* 1686774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1686785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1686788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1686791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1686797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686820 */     // MIs[0] policy
     /* 1686820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686830 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1686833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686854 */     // GIR_Coverage, 7034,
     /* 1686854 */     GIR_EraseRootFromParent_Done,
     /* 1686855 */   // Label 23089: @1686855
     /* 1686855 */   GIM_Try, /*On fail goto*//*Label 23090*/ GIMT_Encode4(1686941), // Rule ID 7037 //
     /* 1686860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1686871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1686874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1686877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1686883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686906 */     // MIs[0] policy
     /* 1686906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686916 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1686919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686940 */     // GIR_Coverage, 7037,
     /* 1686940 */     GIR_EraseRootFromParent_Done,
     /* 1686941 */   // Label 23090: @1686941
     /* 1686941 */   GIM_Try, /*On fail goto*//*Label 23091*/ GIMT_Encode4(1687027), // Rule ID 7038 //
     /* 1686946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1686954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1686957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1686960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1686963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1686969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686992 */     // MIs[0] policy
     /* 1686992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687002 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1687005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687026 */     // GIR_Coverage, 7038,
     /* 1687026 */     GIR_EraseRootFromParent_Done,
     /* 1687027 */   // Label 23091: @1687027
     /* 1687027 */   GIM_Try, /*On fail goto*//*Label 23092*/ GIMT_Encode4(1687113), // Rule ID 7041 //
     /* 1687032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1687043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1687046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1687049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687078 */     // MIs[0] policy
     /* 1687078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687088 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1687091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687112 */     // GIR_Coverage, 7041,
     /* 1687112 */     GIR_EraseRootFromParent_Done,
     /* 1687113 */   // Label 23092: @1687113
     /* 1687113 */   GIM_Try, /*On fail goto*//*Label 23093*/ GIMT_Encode4(1687199), // Rule ID 7042 //
     /* 1687118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1687129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1687132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1687135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687164 */     // MIs[0] policy
     /* 1687164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687174 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1687177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687198 */     // GIR_Coverage, 7042,
     /* 1687198 */     GIR_EraseRootFromParent_Done,
     /* 1687199 */   // Label 23093: @1687199
     /* 1687199 */   GIM_Try, /*On fail goto*//*Label 23094*/ GIMT_Encode4(1687285), // Rule ID 7045 //
     /* 1687204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1687215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1687218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1687221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687250 */     // MIs[0] policy
     /* 1687250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687260 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1687263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687284 */     // GIR_Coverage, 7045,
     /* 1687284 */     GIR_EraseRootFromParent_Done,
     /* 1687285 */   // Label 23094: @1687285
     /* 1687285 */   GIM_Try, /*On fail goto*//*Label 23095*/ GIMT_Encode4(1687371), // Rule ID 7046 //
     /* 1687290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1687301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1687304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1687307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687336 */     // MIs[0] policy
     /* 1687336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1687349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687370 */     // GIR_Coverage, 7046,
     /* 1687370 */     GIR_EraseRootFromParent_Done,
     /* 1687371 */   // Label 23095: @1687371
     /* 1687371 */   GIM_Try, /*On fail goto*//*Label 23096*/ GIMT_Encode4(1687457), // Rule ID 7049 //
     /* 1687376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1687387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1687390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1687393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687422 */     // MIs[0] policy
     /* 1687422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687432 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1687435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687456 */     // GIR_Coverage, 7049,
     /* 1687456 */     GIR_EraseRootFromParent_Done,
     /* 1687457 */   // Label 23096: @1687457
     /* 1687457 */   GIM_Try, /*On fail goto*//*Label 23097*/ GIMT_Encode4(1687543), // Rule ID 7050 //
     /* 1687462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1687473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1687476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1687479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687508 */     // MIs[0] policy
     /* 1687508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687518 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1687521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687542 */     // GIR_Coverage, 7050,
     /* 1687542 */     GIR_EraseRootFromParent_Done,
     /* 1687543 */   // Label 23097: @1687543
     /* 1687543 */   GIM_Try, /*On fail goto*//*Label 23098*/ GIMT_Encode4(1687629), // Rule ID 7053 //
     /* 1687548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1687559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1687562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1687565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687594 */     // MIs[0] policy
     /* 1687594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687604 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1687607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687628 */     // GIR_Coverage, 7053,
     /* 1687628 */     GIR_EraseRootFromParent_Done,
     /* 1687629 */   // Label 23098: @1687629
     /* 1687629 */   GIM_Try, /*On fail goto*//*Label 23099*/ GIMT_Encode4(1687715), // Rule ID 7054 //
     /* 1687634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1687645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1687648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1687651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687680 */     // MIs[0] policy
     /* 1687680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687690 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1687693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687714 */     // GIR_Coverage, 7054,
     /* 1687714 */     GIR_EraseRootFromParent_Done,
     /* 1687715 */   // Label 23099: @1687715
     /* 1687715 */   GIM_Try, /*On fail goto*//*Label 23100*/ GIMT_Encode4(1687801), // Rule ID 7057 //
     /* 1687720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1687731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1687734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1687737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687766 */     // MIs[0] policy
     /* 1687766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687776 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1687779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687800 */     // GIR_Coverage, 7057,
     /* 1687800 */     GIR_EraseRootFromParent_Done,
     /* 1687801 */   // Label 23100: @1687801
     /* 1687801 */   GIM_Try, /*On fail goto*//*Label 23101*/ GIMT_Encode4(1687887), // Rule ID 7058 //
     /* 1687806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1687817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1687820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1687823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687852 */     // MIs[0] policy
     /* 1687852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687862 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11479:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1687865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687886 */     // GIR_Coverage, 7058,
     /* 1687886 */     GIR_EraseRootFromParent_Done,
     /* 1687887 */   // Label 23101: @1687887
     /* 1687887 */   GIM_Try, /*On fail goto*//*Label 23102*/ GIMT_Encode4(1687973), // Rule ID 7061 //
     /* 1687892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1687903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1687906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1687909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687938 */     // MIs[0] policy
     /* 1687938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1687951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687972 */     // GIR_Coverage, 7061,
     /* 1687972 */     GIR_EraseRootFromParent_Done,
     /* 1687973 */   // Label 23102: @1687973
     /* 1687973 */   GIM_Try, /*On fail goto*//*Label 23103*/ GIMT_Encode4(1688059), // Rule ID 7062 //
     /* 1687978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1687986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1687989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1687992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1687995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688024 */     // MIs[0] policy
     /* 1688024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688034 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11479:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1688037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688058 */     // GIR_Coverage, 7062,
     /* 1688058 */     GIR_EraseRootFromParent_Done,
     /* 1688059 */   // Label 23103: @1688059
     /* 1688059 */   GIM_Try, /*On fail goto*//*Label 23104*/ GIMT_Encode4(1688145), // Rule ID 7065 //
     /* 1688064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1688075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1688078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1688081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688110 */     // MIs[0] policy
     /* 1688110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688120 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1688123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688144 */     // GIR_Coverage, 7065,
     /* 1688144 */     GIR_EraseRootFromParent_Done,
     /* 1688145 */   // Label 23104: @1688145
     /* 1688145 */   GIM_Try, /*On fail goto*//*Label 23105*/ GIMT_Encode4(1688231), // Rule ID 7066 //
     /* 1688150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1688161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1688164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1688167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688196 */     // MIs[0] policy
     /* 1688196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688206 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11479:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1688209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688230 */     // GIR_Coverage, 7066,
     /* 1688230 */     GIR_EraseRootFromParent_Done,
     /* 1688231 */   // Label 23105: @1688231
     /* 1688231 */   GIM_Try, /*On fail goto*//*Label 23106*/ GIMT_Encode4(1688317), // Rule ID 7069 //
     /* 1688236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1688239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1688247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1688250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1688253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688282 */     // MIs[0] policy
     /* 1688282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1688295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688316 */     // GIR_Coverage, 7069,
     /* 1688316 */     GIR_EraseRootFromParent_Done,
     /* 1688317 */   // Label 23106: @1688317
     /* 1688317 */   GIM_Try, /*On fail goto*//*Label 23107*/ GIMT_Encode4(1688403), // Rule ID 7070 //
     /* 1688322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1688325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1688333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1688336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1688339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688368 */     // MIs[0] policy
     /* 1688368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688378 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11479:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1688381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688402 */     // GIR_Coverage, 7070,
     /* 1688402 */     GIR_EraseRootFromParent_Done,
     /* 1688403 */   // Label 23107: @1688403
     /* 1688403 */   GIM_Try, /*On fail goto*//*Label 23108*/ GIMT_Encode4(1688489), // Rule ID 7073 //
     /* 1688408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1688419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1688422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1688425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1688431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1688438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688454 */     // MIs[0] policy
     /* 1688454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688464 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1688467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688488 */     // GIR_Coverage, 7073,
     /* 1688488 */     GIR_EraseRootFromParent_Done,
     /* 1688489 */   // Label 23108: @1688489
     /* 1688489 */   GIM_Try, /*On fail goto*//*Label 23109*/ GIMT_Encode4(1688575), // Rule ID 7074 //
     /* 1688494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1688505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1688508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1688511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1688517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1688524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688540 */     // MIs[0] policy
     /* 1688540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688550 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1688553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688574 */     // GIR_Coverage, 7074,
     /* 1688574 */     GIR_EraseRootFromParent_Done,
     /* 1688575 */   // Label 23109: @1688575
     /* 1688575 */   GIM_Try, /*On fail goto*//*Label 23110*/ GIMT_Encode4(1688661), // Rule ID 7077 //
     /* 1688580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1688591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1688594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1688597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1688603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1688610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688626 */     // MIs[0] policy
     /* 1688626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688636 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1688639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688660 */     // GIR_Coverage, 7077,
     /* 1688660 */     GIR_EraseRootFromParent_Done,
     /* 1688661 */   // Label 23110: @1688661
     /* 1688661 */   GIM_Try, /*On fail goto*//*Label 23111*/ GIMT_Encode4(1688747), // Rule ID 7078 //
     /* 1688666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1688677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1688680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1688683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1688689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1688696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688712 */     // MIs[0] policy
     /* 1688712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688722 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1688725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688746 */     // GIR_Coverage, 7078,
     /* 1688746 */     GIR_EraseRootFromParent_Done,
     /* 1688747 */   // Label 23111: @1688747
     /* 1688747 */   GIM_Try, /*On fail goto*//*Label 23112*/ GIMT_Encode4(1688833), // Rule ID 7081 //
     /* 1688752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1688763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1688766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1688769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1688775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1688782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688798 */     // MIs[0] policy
     /* 1688798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688808 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1688811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688832 */     // GIR_Coverage, 7081,
     /* 1688832 */     GIR_EraseRootFromParent_Done,
     /* 1688833 */   // Label 23112: @1688833
     /* 1688833 */   GIM_Try, /*On fail goto*//*Label 23113*/ GIMT_Encode4(1688919), // Rule ID 7082 //
     /* 1688838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1688849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1688852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1688855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1688861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1688868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688884 */     // MIs[0] policy
     /* 1688884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688894 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1688897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688918 */     // GIR_Coverage, 7082,
     /* 1688918 */     GIR_EraseRootFromParent_Done,
     /* 1688919 */   // Label 23113: @1688919
     /* 1688919 */   GIM_Try, /*On fail goto*//*Label 23114*/ GIMT_Encode4(1689005), // Rule ID 7085 //
     /* 1688924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1688932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1688935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1688938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1688941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1688954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688970 */     // MIs[0] policy
     /* 1688970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688980 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1688983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689004 */     // GIR_Coverage, 7085,
     /* 1689004 */     GIR_EraseRootFromParent_Done,
     /* 1689005 */   // Label 23114: @1689005
     /* 1689005 */   GIM_Try, /*On fail goto*//*Label 23115*/ GIMT_Encode4(1689091), // Rule ID 7086 //
     /* 1689010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1689021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1689024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1689027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689056 */     // MIs[0] policy
     /* 1689056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689066 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1689069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689090 */     // GIR_Coverage, 7086,
     /* 1689090 */     GIR_EraseRootFromParent_Done,
     /* 1689091 */   // Label 23115: @1689091
     /* 1689091 */   GIM_Try, /*On fail goto*//*Label 23116*/ GIMT_Encode4(1689177), // Rule ID 7089 //
     /* 1689096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1689107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1689110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1689113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689142 */     // MIs[0] policy
     /* 1689142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689152 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1689155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689176 */     // GIR_Coverage, 7089,
     /* 1689176 */     GIR_EraseRootFromParent_Done,
     /* 1689177 */   // Label 23116: @1689177
     /* 1689177 */   GIM_Try, /*On fail goto*//*Label 23117*/ GIMT_Encode4(1689263), // Rule ID 7090 //
     /* 1689182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1689193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1689196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1689199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689228 */     // MIs[0] policy
     /* 1689228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689238 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1689241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689262 */     // GIR_Coverage, 7090,
     /* 1689262 */     GIR_EraseRootFromParent_Done,
     /* 1689263 */   // Label 23117: @1689263
     /* 1689263 */   GIM_Try, /*On fail goto*//*Label 23118*/ GIMT_Encode4(1689349), // Rule ID 7093 //
     /* 1689268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1689279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1689282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1689285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1689291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1689298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689314 */     // MIs[0] policy
     /* 1689314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689324 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1689327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689348 */     // GIR_Coverage, 7093,
     /* 1689348 */     GIR_EraseRootFromParent_Done,
     /* 1689349 */   // Label 23118: @1689349
     /* 1689349 */   GIM_Try, /*On fail goto*//*Label 23119*/ GIMT_Encode4(1689435), // Rule ID 7094 //
     /* 1689354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1689365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1689368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1689371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1689377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1689384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689400 */     // MIs[0] policy
     /* 1689400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689410 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1689413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689434 */     // GIR_Coverage, 7094,
     /* 1689434 */     GIR_EraseRootFromParent_Done,
     /* 1689435 */   // Label 23119: @1689435
     /* 1689435 */   GIM_Try, /*On fail goto*//*Label 23120*/ GIMT_Encode4(1689521), // Rule ID 7097 //
     /* 1689440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1689451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1689454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1689457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689486 */     // MIs[0] policy
     /* 1689486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1689499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689520 */     // GIR_Coverage, 7097,
     /* 1689520 */     GIR_EraseRootFromParent_Done,
     /* 1689521 */   // Label 23120: @1689521
     /* 1689521 */   GIM_Try, /*On fail goto*//*Label 23121*/ GIMT_Encode4(1689607), // Rule ID 7098 //
     /* 1689526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1689537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1689540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1689543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689572 */     // MIs[0] policy
     /* 1689572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689582 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1689585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689606 */     // GIR_Coverage, 7098,
     /* 1689606 */     GIR_EraseRootFromParent_Done,
     /* 1689607 */   // Label 23121: @1689607
     /* 1689607 */   GIM_Try, /*On fail goto*//*Label 23122*/ GIMT_Encode4(1689693), // Rule ID 7101 //
     /* 1689612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1689623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1689626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1689629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689658 */     // MIs[0] policy
     /* 1689658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689668 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1689671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689692 */     // GIR_Coverage, 7101,
     /* 1689692 */     GIR_EraseRootFromParent_Done,
     /* 1689693 */   // Label 23122: @1689693
     /* 1689693 */   GIM_Try, /*On fail goto*//*Label 23123*/ GIMT_Encode4(1689779), // Rule ID 7102 //
     /* 1689698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1689709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1689712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1689715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689744 */     // MIs[0] policy
     /* 1689744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689754 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1689757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689778 */     // GIR_Coverage, 7102,
     /* 1689778 */     GIR_EraseRootFromParent_Done,
     /* 1689779 */   // Label 23123: @1689779
     /* 1689779 */   GIM_Try, /*On fail goto*//*Label 23124*/ GIMT_Encode4(1689865), // Rule ID 7105 //
     /* 1689784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1689795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1689798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1689801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1689814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689830 */     // MIs[0] policy
     /* 1689830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689840 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1689843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689864 */     // GIR_Coverage, 7105,
     /* 1689864 */     GIR_EraseRootFromParent_Done,
     /* 1689865 */   // Label 23124: @1689865
     /* 1689865 */   GIM_Try, /*On fail goto*//*Label 23125*/ GIMT_Encode4(1689951), // Rule ID 7106 //
     /* 1689870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1689881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1689884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1689887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1689900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689916 */     // MIs[0] policy
     /* 1689916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1689929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689950 */     // GIR_Coverage, 7106,
     /* 1689950 */     GIR_EraseRootFromParent_Done,
     /* 1689951 */   // Label 23125: @1689951
     /* 1689951 */   GIM_Try, /*On fail goto*//*Label 23126*/ GIMT_Encode4(1690037), // Rule ID 7109 //
     /* 1689956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1689959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1689964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1689967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1689970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1689973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690002 */     // MIs[0] policy
     /* 1690002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690012 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1690015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690036 */     // GIR_Coverage, 7109,
     /* 1690036 */     GIR_EraseRootFromParent_Done,
     /* 1690037 */   // Label 23126: @1690037
     /* 1690037 */   GIM_Try, /*On fail goto*//*Label 23127*/ GIMT_Encode4(1690123), // Rule ID 7110 //
     /* 1690042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1690045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1690053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1690056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1690059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1690065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690088 */     // MIs[0] policy
     /* 1690088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690098 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11479:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1690101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690122 */     // GIR_Coverage, 7110,
     /* 1690122 */     GIR_EraseRootFromParent_Done,
     /* 1690123 */   // Label 23127: @1690123
     /* 1690123 */   GIM_Try, /*On fail goto*//*Label 23128*/ GIMT_Encode4(1690209), // Rule ID 7113 //
     /* 1690128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1690131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1690139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1690142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1690145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690174 */     // MIs[0] policy
     /* 1690174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690184 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1690187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690208 */     // GIR_Coverage, 7113,
     /* 1690208 */     GIR_EraseRootFromParent_Done,
     /* 1690209 */   // Label 23128: @1690209
     /* 1690209 */   GIM_Try, /*On fail goto*//*Label 23129*/ GIMT_Encode4(1690295), // Rule ID 7114 //
     /* 1690214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1690217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1690225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1690228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1690231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690260 */     // MIs[0] policy
     /* 1690260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690270 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11479:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1690273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690294 */     // GIR_Coverage, 7114,
     /* 1690294 */     GIR_EraseRootFromParent_Done,
     /* 1690295 */   // Label 23129: @1690295
     /* 1690295 */   GIM_Try, /*On fail goto*//*Label 23130*/ GIMT_Encode4(1690381), // Rule ID 7117 //
     /* 1690300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1690303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1690311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1690314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1690317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690346 */     // MIs[0] policy
     /* 1690346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690356 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1690359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690380 */     // GIR_Coverage, 7117,
     /* 1690380 */     GIR_EraseRootFromParent_Done,
     /* 1690381 */   // Label 23130: @1690381
     /* 1690381 */   GIM_Try, /*On fail goto*//*Label 23131*/ GIMT_Encode4(1690467), // Rule ID 7118 //
     /* 1690386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1690389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1690394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1690397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1690400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1690403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690432 */     // MIs[0] policy
     /* 1690432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690442 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11479:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1690445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690466 */     // GIR_Coverage, 7118,
     /* 1690466 */     GIR_EraseRootFromParent_Done,
     /* 1690467 */   // Label 23131: @1690467
     /* 1690467 */   GIM_Try, /*On fail goto*//*Label 23132*/ GIMT_Encode4(1690553), // Rule ID 7297 //
     /* 1690472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1690480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1690483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1690486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1690489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1690492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1690495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690518 */     // MIs[0] policy
     /* 1690518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690528 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1690531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690552 */     // GIR_Coverage, 7297,
     /* 1690552 */     GIR_EraseRootFromParent_Done,
     /* 1690553 */   // Label 23132: @1690553
     /* 1690553 */   GIM_Try, /*On fail goto*//*Label 23133*/ GIMT_Encode4(1690639), // Rule ID 7298 //
     /* 1690558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1690566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1690569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1690572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1690575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1690578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1690581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690604 */     // MIs[0] policy
     /* 1690604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690614 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1690617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690638 */     // GIR_Coverage, 7298,
     /* 1690638 */     GIR_EraseRootFromParent_Done,
     /* 1690639 */   // Label 23133: @1690639
     /* 1690639 */   GIM_Try, /*On fail goto*//*Label 23134*/ GIMT_Encode4(1690725), // Rule ID 7301 //
     /* 1690644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1690652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1690655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1690658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1690661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1690664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1690667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690690 */     // MIs[0] policy
     /* 1690690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690700 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1690703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690724 */     // GIR_Coverage, 7301,
     /* 1690724 */     GIR_EraseRootFromParent_Done,
     /* 1690725 */   // Label 23134: @1690725
     /* 1690725 */   GIM_Try, /*On fail goto*//*Label 23135*/ GIMT_Encode4(1690811), // Rule ID 7302 //
     /* 1690730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1690738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1690741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1690744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1690747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1690750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1690753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690776 */     // MIs[0] policy
     /* 1690776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690786 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1690789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690810 */     // GIR_Coverage, 7302,
     /* 1690810 */     GIR_EraseRootFromParent_Done,
     /* 1690811 */   // Label 23135: @1690811
     /* 1690811 */   GIM_Try, /*On fail goto*//*Label 23136*/ GIMT_Encode4(1690897), // Rule ID 7305 //
     /* 1690816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1690824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1690827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1690830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1690833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1690836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690862 */     // MIs[0] policy
     /* 1690862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690872 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1690875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690896 */     // GIR_Coverage, 7305,
     /* 1690896 */     GIR_EraseRootFromParent_Done,
     /* 1690897 */   // Label 23136: @1690897
     /* 1690897 */   GIM_Try, /*On fail goto*//*Label 23137*/ GIMT_Encode4(1690983), // Rule ID 7306 //
     /* 1690902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1690910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1690913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1690916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1690919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1690922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690948 */     // MIs[0] policy
     /* 1690948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690958 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1690961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690982 */     // GIR_Coverage, 7306,
     /* 1690982 */     GIR_EraseRootFromParent_Done,
     /* 1690983 */   // Label 23137: @1690983
     /* 1690983 */   GIM_Try, /*On fail goto*//*Label 23138*/ GIMT_Encode4(1691069), // Rule ID 7309 //
     /* 1690988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1690996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1690999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1691002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1691005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1691008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691034 */     // MIs[0] policy
     /* 1691034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691044 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1691047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691068 */     // GIR_Coverage, 7309,
     /* 1691068 */     GIR_EraseRootFromParent_Done,
     /* 1691069 */   // Label 23138: @1691069
     /* 1691069 */   GIM_Try, /*On fail goto*//*Label 23139*/ GIMT_Encode4(1691155), // Rule ID 7310 //
     /* 1691074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1691082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1691085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1691088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1691091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1691094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691120 */     // MIs[0] policy
     /* 1691120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691130 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1691133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691154 */     // GIR_Coverage, 7310,
     /* 1691154 */     GIR_EraseRootFromParent_Done,
     /* 1691155 */   // Label 23139: @1691155
     /* 1691155 */   GIM_Try, /*On fail goto*//*Label 23140*/ GIMT_Encode4(1691241), // Rule ID 7313 //
     /* 1691160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1691168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1691171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1691174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1691177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1691180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1691183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691206 */     // MIs[0] policy
     /* 1691206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691216 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1691219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691240 */     // GIR_Coverage, 7313,
     /* 1691240 */     GIR_EraseRootFromParent_Done,
     /* 1691241 */   // Label 23140: @1691241
     /* 1691241 */   GIM_Try, /*On fail goto*//*Label 23141*/ GIMT_Encode4(1691327), // Rule ID 7314 //
     /* 1691246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1691254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1691257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1691260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1691263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1691266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1691269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691292 */     // MIs[0] policy
     /* 1691292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691302 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1691305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691326 */     // GIR_Coverage, 7314,
     /* 1691326 */     GIR_EraseRootFromParent_Done,
     /* 1691327 */   // Label 23141: @1691327
     /* 1691327 */   GIM_Try, /*On fail goto*//*Label 23142*/ GIMT_Encode4(1691413), // Rule ID 7317 //
     /* 1691332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1691340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1691343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1691346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1691349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1691352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1691355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691378 */     // MIs[0] policy
     /* 1691378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691388 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1691391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691412 */     // GIR_Coverage, 7317,
     /* 1691412 */     GIR_EraseRootFromParent_Done,
     /* 1691413 */   // Label 23142: @1691413
     /* 1691413 */   GIM_Try, /*On fail goto*//*Label 23143*/ GIMT_Encode4(1691499), // Rule ID 7318 //
     /* 1691418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1691426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1691429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1691432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1691435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1691438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1691441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691464 */     // MIs[0] policy
     /* 1691464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691474 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1691477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691498 */     // GIR_Coverage, 7318,
     /* 1691498 */     GIR_EraseRootFromParent_Done,
     /* 1691499 */   // Label 23143: @1691499
     /* 1691499 */   GIM_Try, /*On fail goto*//*Label 23144*/ GIMT_Encode4(1691585), // Rule ID 7321 //
     /* 1691504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1691512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1691515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1691518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1691521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1691524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691550 */     // MIs[0] policy
     /* 1691550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691560 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1691563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691584 */     // GIR_Coverage, 7321,
     /* 1691584 */     GIR_EraseRootFromParent_Done,
     /* 1691585 */   // Label 23144: @1691585
     /* 1691585 */   GIM_Try, /*On fail goto*//*Label 23145*/ GIMT_Encode4(1691671), // Rule ID 7322 //
     /* 1691590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1691598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1691601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1691604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1691607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1691610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691636 */     // MIs[0] policy
     /* 1691636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1691649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691670 */     // GIR_Coverage, 7322,
     /* 1691670 */     GIR_EraseRootFromParent_Done,
     /* 1691671 */   // Label 23145: @1691671
     /* 1691671 */   GIM_Try, /*On fail goto*//*Label 23146*/ GIMT_Encode4(1691757), // Rule ID 7325 //
     /* 1691676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1691684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1691687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1691690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1691693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1691696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691722 */     // MIs[0] policy
     /* 1691722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691732 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1691735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691756 */     // GIR_Coverage, 7325,
     /* 1691756 */     GIR_EraseRootFromParent_Done,
     /* 1691757 */   // Label 23146: @1691757
     /* 1691757 */   GIM_Try, /*On fail goto*//*Label 23147*/ GIMT_Encode4(1691843), // Rule ID 7326 //
     /* 1691762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1691770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1691773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1691776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1691779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1691782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691808 */     // MIs[0] policy
     /* 1691808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691818 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1691821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691842 */     // GIR_Coverage, 7326,
     /* 1691842 */     GIR_EraseRootFromParent_Done,
     /* 1691843 */   // Label 23147: @1691843
     /* 1691843 */   GIM_Try, /*On fail goto*//*Label 23148*/ GIMT_Encode4(1691929), // Rule ID 7329 //
     /* 1691848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1691856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1691859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1691862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1691865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1691868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691894 */     // MIs[0] policy
     /* 1691894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691904 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1691907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691928 */     // GIR_Coverage, 7329,
     /* 1691928 */     GIR_EraseRootFromParent_Done,
     /* 1691929 */   // Label 23148: @1691929
     /* 1691929 */   GIM_Try, /*On fail goto*//*Label 23149*/ GIMT_Encode4(1692015), // Rule ID 7330 //
     /* 1691934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1691942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1691945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1691948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1691951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1691954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691980 */     // MIs[0] policy
     /* 1691980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691990 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1691993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692014 */     // GIR_Coverage, 7330,
     /* 1692014 */     GIR_EraseRootFromParent_Done,
     /* 1692015 */   // Label 23149: @1692015
     /* 1692015 */   GIM_Try, /*On fail goto*//*Label 23150*/ GIMT_Encode4(1692101), // Rule ID 7333 //
     /* 1692020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1692031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1692034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1692037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1692040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1692050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692066 */     // MIs[0] policy
     /* 1692066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692076 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1692079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692100 */     // GIR_Coverage, 7333,
     /* 1692100 */     GIR_EraseRootFromParent_Done,
     /* 1692101 */   // Label 23150: @1692101
     /* 1692101 */   GIM_Try, /*On fail goto*//*Label 23151*/ GIMT_Encode4(1692187), // Rule ID 7334 //
     /* 1692106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1692117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1692120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1692123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1692126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1692136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692152 */     // MIs[0] policy
     /* 1692152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692162 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1692165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692186 */     // GIR_Coverage, 7334,
     /* 1692186 */     GIR_EraseRootFromParent_Done,
     /* 1692187 */   // Label 23151: @1692187
     /* 1692187 */   GIM_Try, /*On fail goto*//*Label 23152*/ GIMT_Encode4(1692273), // Rule ID 7337 //
     /* 1692192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1692203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1692206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1692209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1692212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1692215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1692222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692238 */     // MIs[0] policy
     /* 1692238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692248 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1692251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692272 */     // GIR_Coverage, 7337,
     /* 1692272 */     GIR_EraseRootFromParent_Done,
     /* 1692273 */   // Label 23152: @1692273
     /* 1692273 */   GIM_Try, /*On fail goto*//*Label 23153*/ GIMT_Encode4(1692359), // Rule ID 7338 //
     /* 1692278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1692289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1692292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1692295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1692298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1692301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1692308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692324 */     // MIs[0] policy
     /* 1692324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692334 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1692337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692358 */     // GIR_Coverage, 7338,
     /* 1692358 */     GIR_EraseRootFromParent_Done,
     /* 1692359 */   // Label 23153: @1692359
     /* 1692359 */   GIM_Try, /*On fail goto*//*Label 23154*/ GIMT_Encode4(1692445), // Rule ID 7341 //
     /* 1692364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1692367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1692375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1692378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1692381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1692384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692410 */     // MIs[0] policy
     /* 1692410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692420 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1692423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692444 */     // GIR_Coverage, 7341,
     /* 1692444 */     GIR_EraseRootFromParent_Done,
     /* 1692445 */   // Label 23154: @1692445
     /* 1692445 */   GIM_Try, /*On fail goto*//*Label 23155*/ GIMT_Encode4(1692531), // Rule ID 7342 //
     /* 1692450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1692453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1692461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1692464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1692467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1692470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692496 */     // MIs[0] policy
     /* 1692496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692506 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1692509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692530 */     // GIR_Coverage, 7342,
     /* 1692530 */     GIR_EraseRootFromParent_Done,
     /* 1692531 */   // Label 23155: @1692531
     /* 1692531 */   GIM_Try, /*On fail goto*//*Label 23156*/ GIMT_Encode4(1692617), // Rule ID 7345 //
     /* 1692536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1692539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1692547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1692550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1692553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1692556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692582 */     // MIs[0] policy
     /* 1692582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1692595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692616 */     // GIR_Coverage, 7345,
     /* 1692616 */     GIR_EraseRootFromParent_Done,
     /* 1692617 */   // Label 23156: @1692617
     /* 1692617 */   GIM_Try, /*On fail goto*//*Label 23157*/ GIMT_Encode4(1692703), // Rule ID 7346 //
     /* 1692622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1692625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1692633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1692636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1692639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1692642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692668 */     // MIs[0] policy
     /* 1692668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1692681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692702 */     // GIR_Coverage, 7346,
     /* 1692702 */     GIR_EraseRootFromParent_Done,
     /* 1692703 */   // Label 23157: @1692703
     /* 1692703 */   GIM_Try, /*On fail goto*//*Label 23158*/ GIMT_Encode4(1692789), // Rule ID 7349 //
     /* 1692708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1692711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1692719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1692722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1692725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1692728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1692738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692754 */     // MIs[0] policy
     /* 1692754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692764 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1692767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692788 */     // GIR_Coverage, 7349,
     /* 1692788 */     GIR_EraseRootFromParent_Done,
     /* 1692789 */   // Label 23158: @1692789
     /* 1692789 */   GIM_Try, /*On fail goto*//*Label 23159*/ GIMT_Encode4(1692875), // Rule ID 7350 //
     /* 1692794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1692797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1692805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1692808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1692811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1692814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1692824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692840 */     // MIs[0] policy
     /* 1692840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692850 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1692853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692874 */     // GIR_Coverage, 7350,
     /* 1692874 */     GIR_EraseRootFromParent_Done,
     /* 1692875 */   // Label 23159: @1692875
     /* 1692875 */   GIM_Try, /*On fail goto*//*Label 23160*/ GIMT_Encode4(1692961), // Rule ID 7353 //
     /* 1692880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1692883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1692891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1692894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1692897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1692900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1692910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692926 */     // MIs[0] policy
     /* 1692926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692936 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1692939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692960 */     // GIR_Coverage, 7353,
     /* 1692960 */     GIR_EraseRootFromParent_Done,
     /* 1692961 */   // Label 23160: @1692961
     /* 1692961 */   GIM_Try, /*On fail goto*//*Label 23161*/ GIMT_Encode4(1693047), // Rule ID 7354 //
     /* 1692966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1692969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1692974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1692977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1692980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1692983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1692986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1692996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693012 */     // MIs[0] policy
     /* 1693012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693022 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1693025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693046 */     // GIR_Coverage, 7354,
     /* 1693046 */     GIR_EraseRootFromParent_Done,
     /* 1693047 */   // Label 23161: @1693047
     /* 1693047 */   GIM_Try, /*On fail goto*//*Label 23162*/ GIMT_Encode4(1693133), // Rule ID 7357 //
     /* 1693052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1693063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1693066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1693069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1693075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693098 */     // MIs[0] policy
     /* 1693098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693108 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1693111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693132 */     // GIR_Coverage, 7357,
     /* 1693132 */     GIR_EraseRootFromParent_Done,
     /* 1693133 */   // Label 23162: @1693133
     /* 1693133 */   GIM_Try, /*On fail goto*//*Label 23163*/ GIMT_Encode4(1693219), // Rule ID 7358 //
     /* 1693138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1693149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1693152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1693155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1693161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693184 */     // MIs[0] policy
     /* 1693184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693194 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1693197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693218 */     // GIR_Coverage, 7358,
     /* 1693218 */     GIR_EraseRootFromParent_Done,
     /* 1693219 */   // Label 23163: @1693219
     /* 1693219 */   GIM_Try, /*On fail goto*//*Label 23164*/ GIMT_Encode4(1693305), // Rule ID 7361 //
     /* 1693224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1693235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1693238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1693241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693270 */     // MIs[0] policy
     /* 1693270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693280 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1693283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693304 */     // GIR_Coverage, 7361,
     /* 1693304 */     GIR_EraseRootFromParent_Done,
     /* 1693305 */   // Label 23164: @1693305
     /* 1693305 */   GIM_Try, /*On fail goto*//*Label 23165*/ GIMT_Encode4(1693391), // Rule ID 7362 //
     /* 1693310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1693321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1693324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1693327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693356 */     // MIs[0] policy
     /* 1693356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693366 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1693369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693390 */     // GIR_Coverage, 7362,
     /* 1693390 */     GIR_EraseRootFromParent_Done,
     /* 1693391 */   // Label 23165: @1693391
     /* 1693391 */   GIM_Try, /*On fail goto*//*Label 23166*/ GIMT_Encode4(1693477), // Rule ID 7365 //
     /* 1693396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1693407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1693410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1693413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693442 */     // MIs[0] policy
     /* 1693442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693452 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1693455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693476 */     // GIR_Coverage, 7365,
     /* 1693476 */     GIR_EraseRootFromParent_Done,
     /* 1693477 */   // Label 23166: @1693477
     /* 1693477 */   GIM_Try, /*On fail goto*//*Label 23167*/ GIMT_Encode4(1693563), // Rule ID 7366 //
     /* 1693482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1693493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1693496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1693499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693528 */     // MIs[0] policy
     /* 1693528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693538 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1693541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693562 */     // GIR_Coverage, 7366,
     /* 1693562 */     GIR_EraseRootFromParent_Done,
     /* 1693563 */   // Label 23167: @1693563
     /* 1693563 */   GIM_Try, /*On fail goto*//*Label 23168*/ GIMT_Encode4(1693649), // Rule ID 7369 //
     /* 1693568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1693579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1693582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1693585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693614 */     // MIs[0] policy
     /* 1693614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693624 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1693627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693648 */     // GIR_Coverage, 7369,
     /* 1693648 */     GIR_EraseRootFromParent_Done,
     /* 1693649 */   // Label 23168: @1693649
     /* 1693649 */   GIM_Try, /*On fail goto*//*Label 23169*/ GIMT_Encode4(1693735), // Rule ID 7370 //
     /* 1693654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1693665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1693668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1693671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693700 */     // MIs[0] policy
     /* 1693700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693710 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1693713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693734 */     // GIR_Coverage, 7370,
     /* 1693734 */     GIR_EraseRootFromParent_Done,
     /* 1693735 */   // Label 23169: @1693735
     /* 1693735 */   GIM_Try, /*On fail goto*//*Label 23170*/ GIMT_Encode4(1693821), // Rule ID 7373 //
     /* 1693740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1693751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1693754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1693757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693786 */     // MIs[0] policy
     /* 1693786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693796 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1693799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693820 */     // GIR_Coverage, 7373,
     /* 1693820 */     GIR_EraseRootFromParent_Done,
     /* 1693821 */   // Label 23170: @1693821
     /* 1693821 */   GIM_Try, /*On fail goto*//*Label 23171*/ GIMT_Encode4(1693907), // Rule ID 7374 //
     /* 1693826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1693837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1693840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1693843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693872 */     // MIs[0] policy
     /* 1693872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693882 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1693885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693906 */     // GIR_Coverage, 7374,
     /* 1693906 */     GIR_EraseRootFromParent_Done,
     /* 1693907 */   // Label 23171: @1693907
     /* 1693907 */   GIM_Try, /*On fail goto*//*Label 23172*/ GIMT_Encode4(1693993), // Rule ID 7377 //
     /* 1693912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1693920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1693923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1693926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1693929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1693935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693958 */     // MIs[0] policy
     /* 1693958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693968 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1693971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693992 */     // GIR_Coverage, 7377,
     /* 1693992 */     GIR_EraseRootFromParent_Done,
     /* 1693993 */   // Label 23172: @1693993
     /* 1693993 */   GIM_Try, /*On fail goto*//*Label 23173*/ GIMT_Encode4(1694079), // Rule ID 7378 //
     /* 1693998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1694009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1694012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1694015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1694021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694044 */     // MIs[0] policy
     /* 1694044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694054 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1694057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694078 */     // GIR_Coverage, 7378,
     /* 1694078 */     GIR_EraseRootFromParent_Done,
     /* 1694079 */   // Label 23173: @1694079
     /* 1694079 */   GIM_Try, /*On fail goto*//*Label 23174*/ GIMT_Encode4(1694165), // Rule ID 7381 //
     /* 1694084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1694095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1694098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1694101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694130 */     // MIs[0] policy
     /* 1694130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694140 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1694143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694164 */     // GIR_Coverage, 7381,
     /* 1694164 */     GIR_EraseRootFromParent_Done,
     /* 1694165 */   // Label 23174: @1694165
     /* 1694165 */   GIM_Try, /*On fail goto*//*Label 23175*/ GIMT_Encode4(1694251), // Rule ID 7382 //
     /* 1694170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1694181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1694184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1694187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694216 */     // MIs[0] policy
     /* 1694216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694226 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1694229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694250 */     // GIR_Coverage, 7382,
     /* 1694250 */     GIR_EraseRootFromParent_Done,
     /* 1694251 */   // Label 23175: @1694251
     /* 1694251 */   GIM_Try, /*On fail goto*//*Label 23176*/ GIMT_Encode4(1694337), // Rule ID 7385 //
     /* 1694256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1694267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1694270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1694273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694302 */     // MIs[0] policy
     /* 1694302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694312 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1694315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694336 */     // GIR_Coverage, 7385,
     /* 1694336 */     GIR_EraseRootFromParent_Done,
     /* 1694337 */   // Label 23176: @1694337
     /* 1694337 */   GIM_Try, /*On fail goto*//*Label 23177*/ GIMT_Encode4(1694423), // Rule ID 7386 //
     /* 1694342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1694353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1694356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1694359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694388 */     // MIs[0] policy
     /* 1694388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694398 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1694401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694422 */     // GIR_Coverage, 7386,
     /* 1694422 */     GIR_EraseRootFromParent_Done,
     /* 1694423 */   // Label 23177: @1694423
     /* 1694423 */   GIM_Try, /*On fail goto*//*Label 23178*/ GIMT_Encode4(1694509), // Rule ID 7389 //
     /* 1694428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1694439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1694442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1694445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694474 */     // MIs[0] policy
     /* 1694474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694484 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1694487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694508 */     // GIR_Coverage, 7389,
     /* 1694508 */     GIR_EraseRootFromParent_Done,
     /* 1694509 */   // Label 23178: @1694509
     /* 1694509 */   GIM_Try, /*On fail goto*//*Label 23179*/ GIMT_Encode4(1694595), // Rule ID 7390 //
     /* 1694514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1694525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1694528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1694531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694560 */     // MIs[0] policy
     /* 1694560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694570 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1694573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694594 */     // GIR_Coverage, 7390,
     /* 1694594 */     GIR_EraseRootFromParent_Done,
     /* 1694595 */   // Label 23179: @1694595
     /* 1694595 */   GIM_Try, /*On fail goto*//*Label 23180*/ GIMT_Encode4(1694681), // Rule ID 7393 //
     /* 1694600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1694611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1694614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1694617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694646 */     // MIs[0] policy
     /* 1694646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694656 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1694659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694680 */     // GIR_Coverage, 7393,
     /* 1694680 */     GIR_EraseRootFromParent_Done,
     /* 1694681 */   // Label 23180: @1694681
     /* 1694681 */   GIM_Try, /*On fail goto*//*Label 23181*/ GIMT_Encode4(1694767), // Rule ID 7394 //
     /* 1694686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1694697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1694700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1694703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694732 */     // MIs[0] policy
     /* 1694732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694742 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1694745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694766 */     // GIR_Coverage, 7394,
     /* 1694766 */     GIR_EraseRootFromParent_Done,
     /* 1694767 */   // Label 23181: @1694767
     /* 1694767 */   GIM_Try, /*On fail goto*//*Label 23182*/ GIMT_Encode4(1694853), // Rule ID 7397 //
     /* 1694772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1694783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1694786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1694789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694818 */     // MIs[0] policy
     /* 1694818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694828 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1694831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694852 */     // GIR_Coverage, 7397,
     /* 1694852 */     GIR_EraseRootFromParent_Done,
     /* 1694853 */   // Label 23182: @1694853
     /* 1694853 */   GIM_Try, /*On fail goto*//*Label 23183*/ GIMT_Encode4(1694939), // Rule ID 7398 //
     /* 1694858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1694869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1694872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1694875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694904 */     // MIs[0] policy
     /* 1694904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694914 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1694917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694938 */     // GIR_Coverage, 7398,
     /* 1694938 */     GIR_EraseRootFromParent_Done,
     /* 1694939 */   // Label 23183: @1694939
     /* 1694939 */   GIM_Try, /*On fail goto*//*Label 23184*/ GIMT_Encode4(1695025), // Rule ID 7401 //
     /* 1694944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1694947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1694952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1694955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1694958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1694961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694990 */     // MIs[0] policy
     /* 1694990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695000 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1695003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695024 */     // GIR_Coverage, 7401,
     /* 1695024 */     GIR_EraseRootFromParent_Done,
     /* 1695025 */   // Label 23184: @1695025
     /* 1695025 */   GIM_Try, /*On fail goto*//*Label 23185*/ GIMT_Encode4(1695111), // Rule ID 7402 //
     /* 1695030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1695033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1695041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1695044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1695047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695076 */     // MIs[0] policy
     /* 1695076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695086 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1695089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695110 */     // GIR_Coverage, 7402,
     /* 1695110 */     GIR_EraseRootFromParent_Done,
     /* 1695111 */   // Label 23185: @1695111
     /* 1695111 */   GIM_Try, /*On fail goto*//*Label 23186*/ GIMT_Encode4(1695197), // Rule ID 7405 //
     /* 1695116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1695119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1695127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1695130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1695133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695162 */     // MIs[0] policy
     /* 1695162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1695175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695196 */     // GIR_Coverage, 7405,
     /* 1695196 */     GIR_EraseRootFromParent_Done,
     /* 1695197 */   // Label 23186: @1695197
     /* 1695197 */   GIM_Try, /*On fail goto*//*Label 23187*/ GIMT_Encode4(1695283), // Rule ID 7406 //
     /* 1695202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1695205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1695213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1695216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1695219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695248 */     // MIs[0] policy
     /* 1695248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695258 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1695261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695282 */     // GIR_Coverage, 7406,
     /* 1695282 */     GIR_EraseRootFromParent_Done,
     /* 1695283 */   // Label 23187: @1695283
     /* 1695283 */   GIM_Try, /*On fail goto*//*Label 23188*/ GIMT_Encode4(1695369), // Rule ID 7409 //
     /* 1695288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1695291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1695299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1695302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1695305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695334 */     // MIs[0] policy
     /* 1695334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695344 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1695347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695368 */     // GIR_Coverage, 7409,
     /* 1695368 */     GIR_EraseRootFromParent_Done,
     /* 1695369 */   // Label 23188: @1695369
     /* 1695369 */   GIM_Try, /*On fail goto*//*Label 23189*/ GIMT_Encode4(1695455), // Rule ID 7410 //
     /* 1695374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1695377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1695385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1695388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1695391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695420 */     // MIs[0] policy
     /* 1695420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1695433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695454 */     // GIR_Coverage, 7410,
     /* 1695454 */     GIR_EraseRootFromParent_Done,
     /* 1695455 */   // Label 23189: @1695455
     /* 1695455 */   GIM_Try, /*On fail goto*//*Label 23190*/ GIMT_Encode4(1695541), // Rule ID 7413 //
     /* 1695460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1695463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1695471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1695474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1695477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695506 */     // MIs[0] policy
     /* 1695506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695516 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1695519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695540 */     // GIR_Coverage, 7413,
     /* 1695540 */     GIR_EraseRootFromParent_Done,
     /* 1695541 */   // Label 23190: @1695541
     /* 1695541 */   GIM_Try, /*On fail goto*//*Label 23191*/ GIMT_Encode4(1695627), // Rule ID 7414 //
     /* 1695546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1695549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1695554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1695557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1695560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1695563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695592 */     // MIs[0] policy
     /* 1695592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695602 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1695605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695626 */     // GIR_Coverage, 7414,
     /* 1695626 */     GIR_EraseRootFromParent_Done,
     /* 1695627 */   // Label 23191: @1695627
     /* 1695627 */   GIM_Try, /*On fail goto*//*Label 23192*/ GIMT_Encode4(1695713), // Rule ID 7477 //
     /* 1695632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1695640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1695643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1695646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1695649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1695652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695678 */     // MIs[0] policy
     /* 1695678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695688 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1695691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695712 */     // GIR_Coverage, 7477,
     /* 1695712 */     GIR_EraseRootFromParent_Done,
     /* 1695713 */   // Label 23192: @1695713
     /* 1695713 */   GIM_Try, /*On fail goto*//*Label 23193*/ GIMT_Encode4(1695799), // Rule ID 7478 //
     /* 1695718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1695726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1695729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1695732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1695735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1695738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695764 */     // MIs[0] policy
     /* 1695764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695774 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1695777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695798 */     // GIR_Coverage, 7478,
     /* 1695798 */     GIR_EraseRootFromParent_Done,
     /* 1695799 */   // Label 23193: @1695799
     /* 1695799 */   GIM_Try, /*On fail goto*//*Label 23194*/ GIMT_Encode4(1695885), // Rule ID 7481 //
     /* 1695804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1695812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1695815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1695818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1695821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1695824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695850 */     // MIs[0] policy
     /* 1695850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695860 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1695863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695884 */     // GIR_Coverage, 7481,
     /* 1695884 */     GIR_EraseRootFromParent_Done,
     /* 1695885 */   // Label 23194: @1695885
     /* 1695885 */   GIM_Try, /*On fail goto*//*Label 23195*/ GIMT_Encode4(1695971), // Rule ID 7482 //
     /* 1695890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1695898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1695901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1695904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1695907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1695910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695936 */     // MIs[0] policy
     /* 1695936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695946 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1695949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695970 */     // GIR_Coverage, 7482,
     /* 1695970 */     GIR_EraseRootFromParent_Done,
     /* 1695971 */   // Label 23195: @1695971
     /* 1695971 */   GIM_Try, /*On fail goto*//*Label 23196*/ GIMT_Encode4(1696057), // Rule ID 7485 //
     /* 1695976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1695984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1695987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1695990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1695993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1695996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696022 */     // MIs[0] policy
     /* 1696022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696032 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1696035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696056 */     // GIR_Coverage, 7485,
     /* 1696056 */     GIR_EraseRootFromParent_Done,
     /* 1696057 */   // Label 23196: @1696057
     /* 1696057 */   GIM_Try, /*On fail goto*//*Label 23197*/ GIMT_Encode4(1696143), // Rule ID 7486 //
     /* 1696062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1696070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1696073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1696076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1696079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1696082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696108 */     // MIs[0] policy
     /* 1696108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696118 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1696121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696142 */     // GIR_Coverage, 7486,
     /* 1696142 */     GIR_EraseRootFromParent_Done,
     /* 1696143 */   // Label 23197: @1696143
     /* 1696143 */   GIM_Try, /*On fail goto*//*Label 23198*/ GIMT_Encode4(1696229), // Rule ID 7489 //
     /* 1696148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1696156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1696159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1696162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1696165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1696168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696194 */     // MIs[0] policy
     /* 1696194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696204 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1696207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696228 */     // GIR_Coverage, 7489,
     /* 1696228 */     GIR_EraseRootFromParent_Done,
     /* 1696229 */   // Label 23198: @1696229
     /* 1696229 */   GIM_Try, /*On fail goto*//*Label 23199*/ GIMT_Encode4(1696315), // Rule ID 7490 //
     /* 1696234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1696242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1696245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1696248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1696251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1696254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696280 */     // MIs[0] policy
     /* 1696280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696290 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1696293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696314 */     // GIR_Coverage, 7490,
     /* 1696314 */     GIR_EraseRootFromParent_Done,
     /* 1696315 */   // Label 23199: @1696315
     /* 1696315 */   GIM_Try, /*On fail goto*//*Label 23200*/ GIMT_Encode4(1696401), // Rule ID 7493 //
     /* 1696320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1696328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1696331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1696334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1696337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1696340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1696343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696366 */     // MIs[0] policy
     /* 1696366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696376 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1696379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696400 */     // GIR_Coverage, 7493,
     /* 1696400 */     GIR_EraseRootFromParent_Done,
     /* 1696401 */   // Label 23200: @1696401
     /* 1696401 */   GIM_Try, /*On fail goto*//*Label 23201*/ GIMT_Encode4(1696487), // Rule ID 7494 //
     /* 1696406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1696414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1696417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1696420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1696423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1696426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1696429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1696436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1696448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696452 */     // MIs[0] policy
     /* 1696452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696462 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1696465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696486 */     // GIR_Coverage, 7494,
     /* 1696486 */     GIR_EraseRootFromParent_Done,
     /* 1696487 */   // Label 23201: @1696487
     /* 1696487 */   GIM_Try, /*On fail goto*//*Label 23202*/ GIMT_Encode4(1696573), // Rule ID 7497 //
     /* 1696492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1696500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1696503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1696506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1696509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1696512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1696515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696538 */     // MIs[0] policy
     /* 1696538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696548 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1696551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696572 */     // GIR_Coverage, 7497,
     /* 1696572 */     GIR_EraseRootFromParent_Done,
     /* 1696573 */   // Label 23202: @1696573
     /* 1696573 */   GIM_Try, /*On fail goto*//*Label 23203*/ GIMT_Encode4(1696659), // Rule ID 7498 //
     /* 1696578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1696586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1696589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1696592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1696595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1696598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1696601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696624 */     // MIs[0] policy
     /* 1696624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696634 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1696637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696658 */     // GIR_Coverage, 7498,
     /* 1696658 */     GIR_EraseRootFromParent_Done,
     /* 1696659 */   // Label 23203: @1696659
     /* 1696659 */   GIM_Try, /*On fail goto*//*Label 23204*/ GIMT_Encode4(1696745), // Rule ID 7501 //
     /* 1696664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1696672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1696675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1696678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1696681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1696684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696710 */     // MIs[0] policy
     /* 1696710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696720 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1696723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696744 */     // GIR_Coverage, 7501,
     /* 1696744 */     GIR_EraseRootFromParent_Done,
     /* 1696745 */   // Label 23204: @1696745
     /* 1696745 */   GIM_Try, /*On fail goto*//*Label 23205*/ GIMT_Encode4(1696831), // Rule ID 7502 //
     /* 1696750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1696758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1696761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1696764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1696767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1696770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696796 */     // MIs[0] policy
     /* 1696796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696806 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1696809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696830 */     // GIR_Coverage, 7502,
     /* 1696830 */     GIR_EraseRootFromParent_Done,
     /* 1696831 */   // Label 23205: @1696831
     /* 1696831 */   GIM_Try, /*On fail goto*//*Label 23206*/ GIMT_Encode4(1696917), // Rule ID 7505 //
     /* 1696836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1696844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1696847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1696850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1696853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1696856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696882 */     // MIs[0] policy
     /* 1696882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696892 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1696895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696916 */     // GIR_Coverage, 7505,
     /* 1696916 */     GIR_EraseRootFromParent_Done,
     /* 1696917 */   // Label 23206: @1696917
     /* 1696917 */   GIM_Try, /*On fail goto*//*Label 23207*/ GIMT_Encode4(1697003), // Rule ID 7506 //
     /* 1696922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1696930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1696933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1696936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1696939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1696942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696968 */     // MIs[0] policy
     /* 1696968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696978 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1696981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697002 */     // GIR_Coverage, 7506,
     /* 1697002 */     GIR_EraseRootFromParent_Done,
     /* 1697003 */   // Label 23207: @1697003
     /* 1697003 */   GIM_Try, /*On fail goto*//*Label 23208*/ GIMT_Encode4(1697089), // Rule ID 7509 //
     /* 1697008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1697019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1697022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1697025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1697028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697054 */     // MIs[0] policy
     /* 1697054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697064 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1697067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697088 */     // GIR_Coverage, 7509,
     /* 1697088 */     GIR_EraseRootFromParent_Done,
     /* 1697089 */   // Label 23208: @1697089
     /* 1697089 */   GIM_Try, /*On fail goto*//*Label 23209*/ GIMT_Encode4(1697175), // Rule ID 7510 //
     /* 1697094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1697105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1697108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1697111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1697114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697140 */     // MIs[0] policy
     /* 1697140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697150 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1697153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697174 */     // GIR_Coverage, 7510,
     /* 1697174 */     GIR_EraseRootFromParent_Done,
     /* 1697175 */   // Label 23209: @1697175
     /* 1697175 */   GIM_Try, /*On fail goto*//*Label 23210*/ GIMT_Encode4(1697261), // Rule ID 7513 //
     /* 1697180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1697191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1697194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1697197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1697200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697226 */     // MIs[0] policy
     /* 1697226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697236 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1697239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697260 */     // GIR_Coverage, 7513,
     /* 1697260 */     GIR_EraseRootFromParent_Done,
     /* 1697261 */   // Label 23210: @1697261
     /* 1697261 */   GIM_Try, /*On fail goto*//*Label 23211*/ GIMT_Encode4(1697347), // Rule ID 7514 //
     /* 1697266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1697277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1697280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1697283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1697286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697312 */     // MIs[0] policy
     /* 1697312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697322 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1697325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697346 */     // GIR_Coverage, 7514,
     /* 1697346 */     GIR_EraseRootFromParent_Done,
     /* 1697347 */   // Label 23211: @1697347
     /* 1697347 */   GIM_Try, /*On fail goto*//*Label 23212*/ GIMT_Encode4(1697433), // Rule ID 7517 //
     /* 1697352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1697363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1697366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1697369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1697372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697398 */     // MIs[0] policy
     /* 1697398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697408 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1697411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697432 */     // GIR_Coverage, 7517,
     /* 1697432 */     GIR_EraseRootFromParent_Done,
     /* 1697433 */   // Label 23212: @1697433
     /* 1697433 */   GIM_Try, /*On fail goto*//*Label 23213*/ GIMT_Encode4(1697519), // Rule ID 7518 //
     /* 1697438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1697449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1697452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1697455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1697458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697484 */     // MIs[0] policy
     /* 1697484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697494 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1697497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697518 */     // GIR_Coverage, 7518,
     /* 1697518 */     GIR_EraseRootFromParent_Done,
     /* 1697519 */   // Label 23213: @1697519
     /* 1697519 */   GIM_Try, /*On fail goto*//*Label 23214*/ GIMT_Encode4(1697605), // Rule ID 7521 //
     /* 1697524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1697527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1697535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1697538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1697541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1697544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697570 */     // MIs[0] policy
     /* 1697570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697580 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1697583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697604 */     // GIR_Coverage, 7521,
     /* 1697604 */     GIR_EraseRootFromParent_Done,
     /* 1697605 */   // Label 23214: @1697605
     /* 1697605 */   GIM_Try, /*On fail goto*//*Label 23215*/ GIMT_Encode4(1697691), // Rule ID 7522 //
     /* 1697610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1697613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1697621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1697624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1697627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1697630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697656 */     // MIs[0] policy
     /* 1697656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697666 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1697669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697690 */     // GIR_Coverage, 7522,
     /* 1697690 */     GIR_EraseRootFromParent_Done,
     /* 1697691 */   // Label 23215: @1697691
     /* 1697691 */   GIM_Try, /*On fail goto*//*Label 23216*/ GIMT_Encode4(1697777), // Rule ID 7525 //
     /* 1697696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1697699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1697707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1697710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1697713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1697716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697742 */     // MIs[0] policy
     /* 1697742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1697755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697776 */     // GIR_Coverage, 7525,
     /* 1697776 */     GIR_EraseRootFromParent_Done,
     /* 1697777 */   // Label 23216: @1697777
     /* 1697777 */   GIM_Try, /*On fail goto*//*Label 23217*/ GIMT_Encode4(1697863), // Rule ID 7526 //
     /* 1697782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1697785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1697793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1697796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1697799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1697802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697828 */     // MIs[0] policy
     /* 1697828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697838 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1697841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697862 */     // GIR_Coverage, 7526,
     /* 1697862 */     GIR_EraseRootFromParent_Done,
     /* 1697863 */   // Label 23217: @1697863
     /* 1697863 */   GIM_Try, /*On fail goto*//*Label 23218*/ GIMT_Encode4(1697949), // Rule ID 7529 //
     /* 1697868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1697871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1697879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1697882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1697885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1697888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697914 */     // MIs[0] policy
     /* 1697914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697924 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1697927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697948 */     // GIR_Coverage, 7529,
     /* 1697948 */     GIR_EraseRootFromParent_Done,
     /* 1697949 */   // Label 23218: @1697949
     /* 1697949 */   GIM_Try, /*On fail goto*//*Label 23219*/ GIMT_Encode4(1698035), // Rule ID 7530 //
     /* 1697954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1697957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1697962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1697965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1697968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1697971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1697974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698000 */     // MIs[0] policy
     /* 1698000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698010 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1698013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698034 */     // GIR_Coverage, 7530,
     /* 1698034 */     GIR_EraseRootFromParent_Done,
     /* 1698035 */   // Label 23219: @1698035
     /* 1698035 */   GIM_Try, /*On fail goto*//*Label 23220*/ GIMT_Encode4(1698121), // Rule ID 7533 //
     /* 1698040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1698043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1698051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1698054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1698057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1698060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698086 */     // MIs[0] policy
     /* 1698086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698096 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1698099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698120 */     // GIR_Coverage, 7533,
     /* 1698120 */     GIR_EraseRootFromParent_Done,
     /* 1698121 */   // Label 23220: @1698121
     /* 1698121 */   GIM_Try, /*On fail goto*//*Label 23221*/ GIMT_Encode4(1698207), // Rule ID 7534 //
     /* 1698126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1698129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1698137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1698140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1698143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1698146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698172 */     // MIs[0] policy
     /* 1698172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698182 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1698185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698206 */     // GIR_Coverage, 7534,
     /* 1698206 */     GIR_EraseRootFromParent_Done,
     /* 1698207 */   // Label 23221: @1698207
     /* 1698207 */   GIM_Try, /*On fail goto*//*Label 23222*/ GIMT_Encode4(1698293), // Rule ID 7537 //
     /* 1698212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1698223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1698226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1698229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1698232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698258 */     // MIs[0] policy
     /* 1698258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698268 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1698271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698292 */     // GIR_Coverage, 7537,
     /* 1698292 */     GIR_EraseRootFromParent_Done,
     /* 1698293 */   // Label 23222: @1698293
     /* 1698293 */   GIM_Try, /*On fail goto*//*Label 23223*/ GIMT_Encode4(1698379), // Rule ID 7538 //
     /* 1698298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1698309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1698312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1698315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1698318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1698321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698344 */     // MIs[0] policy
     /* 1698344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698354 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1698357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698378 */     // GIR_Coverage, 7538,
     /* 1698378 */     GIR_EraseRootFromParent_Done,
     /* 1698379 */   // Label 23223: @1698379
     /* 1698379 */   GIM_Try, /*On fail goto*//*Label 23224*/ GIMT_Encode4(1698465), // Rule ID 7541 //
     /* 1698384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1698395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1698398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1698401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1698404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698430 */     // MIs[0] policy
     /* 1698430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698440 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1698443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698464 */     // GIR_Coverage, 7541,
     /* 1698464 */     GIR_EraseRootFromParent_Done,
     /* 1698465 */   // Label 23224: @1698465
     /* 1698465 */   GIM_Try, /*On fail goto*//*Label 23225*/ GIMT_Encode4(1698551), // Rule ID 7542 //
     /* 1698470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1698481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1698484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1698487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1698490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698516 */     // MIs[0] policy
     /* 1698516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698526 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1698529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698550 */     // GIR_Coverage, 7542,
     /* 1698550 */     GIR_EraseRootFromParent_Done,
     /* 1698551 */   // Label 23225: @1698551
     /* 1698551 */   GIM_Try, /*On fail goto*//*Label 23226*/ GIMT_Encode4(1698637), // Rule ID 7545 //
     /* 1698556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1698567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1698570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1698573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1698576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698602 */     // MIs[0] policy
     /* 1698602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698612 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1698615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698636 */     // GIR_Coverage, 7545,
     /* 1698636 */     GIR_EraseRootFromParent_Done,
     /* 1698637 */   // Label 23226: @1698637
     /* 1698637 */   GIM_Try, /*On fail goto*//*Label 23227*/ GIMT_Encode4(1698723), // Rule ID 7546 //
     /* 1698642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1698653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1698656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1698659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1698662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698688 */     // MIs[0] policy
     /* 1698688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698698 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1698701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698722 */     // GIR_Coverage, 7546,
     /* 1698722 */     GIR_EraseRootFromParent_Done,
     /* 1698723 */   // Label 23227: @1698723
     /* 1698723 */   GIM_Try, /*On fail goto*//*Label 23228*/ GIMT_Encode4(1698809), // Rule ID 7549 //
     /* 1698728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1698739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1698742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1698745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1698748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698774 */     // MIs[0] policy
     /* 1698774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698784 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1698787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698808 */     // GIR_Coverage, 7549,
     /* 1698808 */     GIR_EraseRootFromParent_Done,
     /* 1698809 */   // Label 23228: @1698809
     /* 1698809 */   GIM_Try, /*On fail goto*//*Label 23229*/ GIMT_Encode4(1698895), // Rule ID 7550 //
     /* 1698814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1698825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1698828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1698831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1698834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1698844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1698848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698860 */     // MIs[0] policy
     /* 1698860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698870 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1698873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698894 */     // GIR_Coverage, 7550,
     /* 1698894 */     GIR_EraseRootFromParent_Done,
     /* 1698895 */   // Label 23229: @1698895
     /* 1698895 */   GIM_Try, /*On fail goto*//*Label 23230*/ GIMT_Encode4(1698981), // Rule ID 7553 //
     /* 1698900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1698911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1698914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1698917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1698920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1698923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1698942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698946 */     // MIs[0] policy
     /* 1698946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698956 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1698959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698980 */     // GIR_Coverage, 7553,
     /* 1698980 */     GIR_EraseRootFromParent_Done,
     /* 1698981 */   // Label 23230: @1698981
     /* 1698981 */   GIM_Try, /*On fail goto*//*Label 23231*/ GIMT_Encode4(1699067), // Rule ID 7554 //
     /* 1698986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1698994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1698997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1699000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1699003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1699009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699032 */     // MIs[0] policy
     /* 1699032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699042 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1699045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699066 */     // GIR_Coverage, 7554,
     /* 1699066 */     GIR_EraseRootFromParent_Done,
     /* 1699067 */   // Label 23231: @1699067
     /* 1699067 */   GIM_Try, /*On fail goto*//*Label 23232*/ GIMT_Encode4(1699153), // Rule ID 7557 //
     /* 1699072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1699083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1699086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1699089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1699095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699118 */     // MIs[0] policy
     /* 1699118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699128 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1699131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699152 */     // GIR_Coverage, 7557,
     /* 1699152 */     GIR_EraseRootFromParent_Done,
     /* 1699153 */   // Label 23232: @1699153
     /* 1699153 */   GIM_Try, /*On fail goto*//*Label 23233*/ GIMT_Encode4(1699239), // Rule ID 7558 //
     /* 1699158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1699169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1699172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1699175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1699181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699204 */     // MIs[0] policy
     /* 1699204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699214 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1699217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699238 */     // GIR_Coverage, 7558,
     /* 1699238 */     GIR_EraseRootFromParent_Done,
     /* 1699239 */   // Label 23233: @1699239
     /* 1699239 */   GIM_Try, /*On fail goto*//*Label 23234*/ GIMT_Encode4(1699325), // Rule ID 7561 //
     /* 1699244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1699255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1699258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1699261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699290 */     // MIs[0] policy
     /* 1699290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699300 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1699303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699324 */     // GIR_Coverage, 7561,
     /* 1699324 */     GIR_EraseRootFromParent_Done,
     /* 1699325 */   // Label 23234: @1699325
     /* 1699325 */   GIM_Try, /*On fail goto*//*Label 23235*/ GIMT_Encode4(1699411), // Rule ID 7562 //
     /* 1699330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1699341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1699344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1699347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699376 */     // MIs[0] policy
     /* 1699376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699386 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1699389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699410 */     // GIR_Coverage, 7562,
     /* 1699410 */     GIR_EraseRootFromParent_Done,
     /* 1699411 */   // Label 23235: @1699411
     /* 1699411 */   GIM_Try, /*On fail goto*//*Label 23236*/ GIMT_Encode4(1699497), // Rule ID 7565 //
     /* 1699416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1699427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1699430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1699433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699462 */     // MIs[0] policy
     /* 1699462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699472 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1699475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699496 */     // GIR_Coverage, 7565,
     /* 1699496 */     GIR_EraseRootFromParent_Done,
     /* 1699497 */   // Label 23236: @1699497
     /* 1699497 */   GIM_Try, /*On fail goto*//*Label 23237*/ GIMT_Encode4(1699583), // Rule ID 7566 //
     /* 1699502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1699513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1699516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1699519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699548 */     // MIs[0] policy
     /* 1699548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699558 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1699561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699582 */     // GIR_Coverage, 7566,
     /* 1699582 */     GIR_EraseRootFromParent_Done,
     /* 1699583 */   // Label 23237: @1699583
     /* 1699583 */   GIM_Try, /*On fail goto*//*Label 23238*/ GIMT_Encode4(1699669), // Rule ID 7569 //
     /* 1699588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1699599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1699602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1699605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699634 */     // MIs[0] policy
     /* 1699634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699644 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1699647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699668 */     // GIR_Coverage, 7569,
     /* 1699668 */     GIR_EraseRootFromParent_Done,
     /* 1699669 */   // Label 23238: @1699669
     /* 1699669 */   GIM_Try, /*On fail goto*//*Label 23239*/ GIMT_Encode4(1699755), // Rule ID 7570 //
     /* 1699674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1699685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1699688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1699691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699720 */     // MIs[0] policy
     /* 1699720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699730 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1699733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699754 */     // GIR_Coverage, 7570,
     /* 1699754 */     GIR_EraseRootFromParent_Done,
     /* 1699755 */   // Label 23239: @1699755
     /* 1699755 */   GIM_Try, /*On fail goto*//*Label 23240*/ GIMT_Encode4(1699841), // Rule ID 7573 //
     /* 1699760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1699771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1699774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1699777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699806 */     // MIs[0] policy
     /* 1699806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699816 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1699819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699840 */     // GIR_Coverage, 7573,
     /* 1699840 */     GIR_EraseRootFromParent_Done,
     /* 1699841 */   // Label 23240: @1699841
     /* 1699841 */   GIM_Try, /*On fail goto*//*Label 23241*/ GIMT_Encode4(1699927), // Rule ID 7574 //
     /* 1699846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1699857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1699860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1699863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699892 */     // MIs[0] policy
     /* 1699892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699902 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1699905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699926 */     // GIR_Coverage, 7574,
     /* 1699926 */     GIR_EraseRootFromParent_Done,
     /* 1699927 */   // Label 23241: @1699927
     /* 1699927 */   GIM_Try, /*On fail goto*//*Label 23242*/ GIMT_Encode4(1700013), // Rule ID 7577 //
     /* 1699932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1699940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1699943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1699946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1699949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1699955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699978 */     // MIs[0] policy
     /* 1699978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699988 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1699991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700012 */     // GIR_Coverage, 7577,
     /* 1700012 */     GIR_EraseRootFromParent_Done,
     /* 1700013 */   // Label 23242: @1700013
     /* 1700013 */   GIM_Try, /*On fail goto*//*Label 23243*/ GIMT_Encode4(1700099), // Rule ID 7578 //
     /* 1700018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1700029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1700032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1700035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1700041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700064 */     // MIs[0] policy
     /* 1700064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700074 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1700077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700098 */     // GIR_Coverage, 7578,
     /* 1700098 */     GIR_EraseRootFromParent_Done,
     /* 1700099 */   // Label 23243: @1700099
     /* 1700099 */   GIM_Try, /*On fail goto*//*Label 23244*/ GIMT_Encode4(1700185), // Rule ID 7581 //
     /* 1700104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1700107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1700115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1700118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1700121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700150 */     // MIs[0] policy
     /* 1700150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700160 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1700163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700184 */     // GIR_Coverage, 7581,
     /* 1700184 */     GIR_EraseRootFromParent_Done,
     /* 1700185 */   // Label 23244: @1700185
     /* 1700185 */   GIM_Try, /*On fail goto*//*Label 23245*/ GIMT_Encode4(1700271), // Rule ID 7582 //
     /* 1700190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1700193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1700201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1700204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1700207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700236 */     // MIs[0] policy
     /* 1700236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1700249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700270 */     // GIR_Coverage, 7582,
     /* 1700270 */     GIR_EraseRootFromParent_Done,
     /* 1700271 */   // Label 23245: @1700271
     /* 1700271 */   GIM_Try, /*On fail goto*//*Label 23246*/ GIMT_Encode4(1700357), // Rule ID 7585 //
     /* 1700276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1700279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1700287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1700290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1700293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700322 */     // MIs[0] policy
     /* 1700322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700332 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1700335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700356 */     // GIR_Coverage, 7585,
     /* 1700356 */     GIR_EraseRootFromParent_Done,
     /* 1700357 */   // Label 23246: @1700357
     /* 1700357 */   GIM_Try, /*On fail goto*//*Label 23247*/ GIMT_Encode4(1700443), // Rule ID 7586 //
     /* 1700362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1700365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1700373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1700376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1700379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700408 */     // MIs[0] policy
     /* 1700408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700418 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1700421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700442 */     // GIR_Coverage, 7586,
     /* 1700442 */     GIR_EraseRootFromParent_Done,
     /* 1700443 */   // Label 23247: @1700443
     /* 1700443 */   GIM_Try, /*On fail goto*//*Label 23248*/ GIMT_Encode4(1700529), // Rule ID 7589 //
     /* 1700448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1700451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1700459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1700462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1700465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700494 */     // MIs[0] policy
     /* 1700494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700504 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1700507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700528 */     // GIR_Coverage, 7589,
     /* 1700528 */     GIR_EraseRootFromParent_Done,
     /* 1700529 */   // Label 23248: @1700529
     /* 1700529 */   GIM_Try, /*On fail goto*//*Label 23249*/ GIMT_Encode4(1700615), // Rule ID 7590 //
     /* 1700534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1700537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1700545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1700548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1700551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700580 */     // MIs[0] policy
     /* 1700580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700590 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1700593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700614 */     // GIR_Coverage, 7590,
     /* 1700614 */     GIR_EraseRootFromParent_Done,
     /* 1700615 */   // Label 23249: @1700615
     /* 1700615 */   GIM_Try, /*On fail goto*//*Label 23250*/ GIMT_Encode4(1700701), // Rule ID 7593 //
     /* 1700620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1700623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1700631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1700634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1700637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700666 */     // MIs[0] policy
     /* 1700666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700676 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1700679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700700 */     // GIR_Coverage, 7593,
     /* 1700700 */     GIR_EraseRootFromParent_Done,
     /* 1700701 */   // Label 23250: @1700701
     /* 1700701 */   GIM_Try, /*On fail goto*//*Label 23251*/ GIMT_Encode4(1700787), // Rule ID 7594 //
     /* 1700706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1700709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1700714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1700717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1700720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1700723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1700736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1700740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1700744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700752 */     // MIs[0] policy
     /* 1700752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700762 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1700765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700786 */     // GIR_Coverage, 7594,
     /* 1700786 */     GIR_EraseRootFromParent_Done,
     /* 1700787 */   // Label 23251: @1700787
     /* 1700787 */   GIM_Try, /*On fail goto*//*Label 23252*/ GIMT_Encode4(1700873), // Rule ID 10109 //
     /* 1700792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1700800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1700803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1700806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1700809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1700812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700838 */     // MIs[0] policy
     /* 1700838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700848 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1700851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700872 */     // GIR_Coverage, 10109,
     /* 1700872 */     GIR_EraseRootFromParent_Done,
     /* 1700873 */   // Label 23252: @1700873
     /* 1700873 */   GIM_Try, /*On fail goto*//*Label 23253*/ GIMT_Encode4(1700959), // Rule ID 10110 //
     /* 1700878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1700886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1700889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1700892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1700895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1700898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700924 */     // MIs[0] policy
     /* 1700924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700934 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1700937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700958 */     // GIR_Coverage, 10110,
     /* 1700958 */     GIR_EraseRootFromParent_Done,
     /* 1700959 */   // Label 23253: @1700959
     /* 1700959 */   GIM_Try, /*On fail goto*//*Label 23254*/ GIMT_Encode4(1701045), // Rule ID 10113 //
     /* 1700964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1700972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1700975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1700978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1700981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1700984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701010 */     // MIs[0] policy
     /* 1701010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701020 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1701023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701044 */     // GIR_Coverage, 10113,
     /* 1701044 */     GIR_EraseRootFromParent_Done,
     /* 1701045 */   // Label 23254: @1701045
     /* 1701045 */   GIM_Try, /*On fail goto*//*Label 23255*/ GIMT_Encode4(1701131), // Rule ID 10114 //
     /* 1701050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1701061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1701064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1701067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1701070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701096 */     // MIs[0] policy
     /* 1701096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701106 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1701109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701130 */     // GIR_Coverage, 10114,
     /* 1701130 */     GIR_EraseRootFromParent_Done,
     /* 1701131 */   // Label 23255: @1701131
     /* 1701131 */   GIM_Try, /*On fail goto*//*Label 23256*/ GIMT_Encode4(1701217), // Rule ID 10117 //
     /* 1701136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1701147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1701150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1701153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1701156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701182 */     // MIs[0] policy
     /* 1701182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701192 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1701195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701216 */     // GIR_Coverage, 10117,
     /* 1701216 */     GIR_EraseRootFromParent_Done,
     /* 1701217 */   // Label 23256: @1701217
     /* 1701217 */   GIM_Try, /*On fail goto*//*Label 23257*/ GIMT_Encode4(1701303), // Rule ID 10118 //
     /* 1701222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1701233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1701236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1701239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1701242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701268 */     // MIs[0] policy
     /* 1701268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701278 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1701281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701302 */     // GIR_Coverage, 10118,
     /* 1701302 */     GIR_EraseRootFromParent_Done,
     /* 1701303 */   // Label 23257: @1701303
     /* 1701303 */   GIM_Try, /*On fail goto*//*Label 23258*/ GIMT_Encode4(1701389), // Rule ID 10121 //
     /* 1701308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1701319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1701322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1701325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1701328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701354 */     // MIs[0] policy
     /* 1701354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701364 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1701367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701388 */     // GIR_Coverage, 10121,
     /* 1701388 */     GIR_EraseRootFromParent_Done,
     /* 1701389 */   // Label 23258: @1701389
     /* 1701389 */   GIM_Try, /*On fail goto*//*Label 23259*/ GIMT_Encode4(1701475), // Rule ID 10122 //
     /* 1701394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1701405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1701408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1701411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1701414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701440 */     // MIs[0] policy
     /* 1701440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701450 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1701453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701474 */     // GIR_Coverage, 10122,
     /* 1701474 */     GIR_EraseRootFromParent_Done,
     /* 1701475 */   // Label 23259: @1701475
     /* 1701475 */   GIM_Try, /*On fail goto*//*Label 23260*/ GIMT_Encode4(1701561), // Rule ID 10125 //
     /* 1701480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1701491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1701494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1701497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1701500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701526 */     // MIs[0] policy
     /* 1701526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701536 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1701539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701560 */     // GIR_Coverage, 10125,
     /* 1701560 */     GIR_EraseRootFromParent_Done,
     /* 1701561 */   // Label 23260: @1701561
     /* 1701561 */   GIM_Try, /*On fail goto*//*Label 23261*/ GIMT_Encode4(1701647), // Rule ID 10126 //
     /* 1701566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1701577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1701580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1701583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1701586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701612 */     // MIs[0] policy
     /* 1701612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701622 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1701625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701646 */     // GIR_Coverage, 10126,
     /* 1701646 */     GIR_EraseRootFromParent_Done,
     /* 1701647 */   // Label 23261: @1701647
     /* 1701647 */   GIM_Try, /*On fail goto*//*Label 23262*/ GIMT_Encode4(1701733), // Rule ID 10129 //
     /* 1701652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1701663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1701666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1701669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1701672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701698 */     // MIs[0] policy
     /* 1701698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701708 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1701711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701732 */     // GIR_Coverage, 10129,
     /* 1701732 */     GIR_EraseRootFromParent_Done,
     /* 1701733 */   // Label 23262: @1701733
     /* 1701733 */   GIM_Try, /*On fail goto*//*Label 23263*/ GIMT_Encode4(1701819), // Rule ID 10130 //
     /* 1701738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1701749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1701752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1701755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1701758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701784 */     // MIs[0] policy
     /* 1701784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701794 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1701797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701818 */     // GIR_Coverage, 10130,
     /* 1701818 */     GIR_EraseRootFromParent_Done,
     /* 1701819 */   // Label 23263: @1701819
     /* 1701819 */   GIM_Try, /*On fail goto*//*Label 23264*/ GIMT_Encode4(1701905), // Rule ID 10133 //
     /* 1701824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1701835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1701838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1701841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1701844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701870 */     // MIs[0] policy
     /* 1701870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701880 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1701883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701904 */     // GIR_Coverage, 10133,
     /* 1701904 */     GIR_EraseRootFromParent_Done,
     /* 1701905 */   // Label 23264: @1701905
     /* 1701905 */   GIM_Try, /*On fail goto*//*Label 23265*/ GIMT_Encode4(1701991), // Rule ID 10134 //
     /* 1701910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1701921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1701924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1701927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1701930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701956 */     // MIs[0] policy
     /* 1701956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701966 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1701969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701990 */     // GIR_Coverage, 10134,
     /* 1701990 */     GIR_EraseRootFromParent_Done,
     /* 1701991 */   // Label 23265: @1701991
     /* 1701991 */   GIM_Try, /*On fail goto*//*Label 23266*/ GIMT_Encode4(1702077), // Rule ID 10137 //
     /* 1701996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1702007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1702010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1702013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1702016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702042 */     // MIs[0] policy
     /* 1702042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1702055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702076 */     // GIR_Coverage, 10137,
     /* 1702076 */     GIR_EraseRootFromParent_Done,
     /* 1702077 */   // Label 23266: @1702077
     /* 1702077 */   GIM_Try, /*On fail goto*//*Label 23267*/ GIMT_Encode4(1702163), // Rule ID 10138 //
     /* 1702082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1702093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1702096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1702099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1702102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702128 */     // MIs[0] policy
     /* 1702128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702138 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1702141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702162 */     // GIR_Coverage, 10138,
     /* 1702162 */     GIR_EraseRootFromParent_Done,
     /* 1702163 */   // Label 23267: @1702163
     /* 1702163 */   GIM_Try, /*On fail goto*//*Label 23268*/ GIMT_Encode4(1702249), // Rule ID 10141 //
     /* 1702168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1702179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1702182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1702185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1702188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702214 */     // MIs[0] policy
     /* 1702214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1702227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702248 */     // GIR_Coverage, 10141,
     /* 1702248 */     GIR_EraseRootFromParent_Done,
     /* 1702249 */   // Label 23268: @1702249
     /* 1702249 */   GIM_Try, /*On fail goto*//*Label 23269*/ GIMT_Encode4(1702335), // Rule ID 10142 //
     /* 1702254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1702265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1702268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1702271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1702274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702300 */     // MIs[0] policy
     /* 1702300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702310 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1702313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702334 */     // GIR_Coverage, 10142,
     /* 1702334 */     GIR_EraseRootFromParent_Done,
     /* 1702335 */   // Label 23269: @1702335
     /* 1702335 */   GIM_Try, /*On fail goto*//*Label 23270*/ GIMT_Encode4(1702421), // Rule ID 10145 //
     /* 1702340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1702343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1702351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1702354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1702357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1702360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702386 */     // MIs[0] policy
     /* 1702386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702396 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1702399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1702417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702420 */     // GIR_Coverage, 10145,
     /* 1702420 */     GIR_EraseRootFromParent_Done,
     /* 1702421 */   // Label 23270: @1702421
     /* 1702421 */   GIM_Try, /*On fail goto*//*Label 23271*/ GIMT_Encode4(1702507), // Rule ID 10146 //
     /* 1702426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1702429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1702437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1702440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1702443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1702446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1702449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1702456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1702468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702472 */     // MIs[0] policy
     /* 1702472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702482 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1702485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1702503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702506 */     // GIR_Coverage, 10146,
     /* 1702506 */     GIR_EraseRootFromParent_Done,
     /* 1702507 */   // Label 23271: @1702507
     /* 1702507 */   GIM_Try, /*On fail goto*//*Label 23272*/ GIMT_Encode4(1702593), // Rule ID 10149 //
     /* 1702512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1702523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1702526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1702529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1702532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1702535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702558 */     // MIs[0] policy
     /* 1702558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702568 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1702571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702592 */     // GIR_Coverage, 10149,
     /* 1702592 */     GIR_EraseRootFromParent_Done,
     /* 1702593 */   // Label 23272: @1702593
     /* 1702593 */   GIM_Try, /*On fail goto*//*Label 23273*/ GIMT_Encode4(1702679), // Rule ID 10150 //
     /* 1702598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1702609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1702612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1702615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1702618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1702621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702644 */     // MIs[0] policy
     /* 1702644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702654 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1702657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702678 */     // GIR_Coverage, 10150,
     /* 1702678 */     GIR_EraseRootFromParent_Done,
     /* 1702679 */   // Label 23273: @1702679
     /* 1702679 */   GIM_Try, /*On fail goto*//*Label 23274*/ GIMT_Encode4(1702765), // Rule ID 10153 //
     /* 1702684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1702695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1702698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1702701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1702704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1702707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702730 */     // MIs[0] policy
     /* 1702730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702740 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1702743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702764 */     // GIR_Coverage, 10153,
     /* 1702764 */     GIR_EraseRootFromParent_Done,
     /* 1702765 */   // Label 23274: @1702765
     /* 1702765 */   GIM_Try, /*On fail goto*//*Label 23275*/ GIMT_Encode4(1702851), // Rule ID 10154 //
     /* 1702770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1702781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1702784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1702787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1702790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1702793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702816 */     // MIs[0] policy
     /* 1702816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702826 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1702829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702850 */     // GIR_Coverage, 10154,
     /* 1702850 */     GIR_EraseRootFromParent_Done,
     /* 1702851 */   // Label 23275: @1702851
     /* 1702851 */   GIM_Try, /*On fail goto*//*Label 23276*/ GIMT_Encode4(1702937), // Rule ID 10157 //
     /* 1702856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1702867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1702870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1702873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1702876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1702879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1702886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702902 */     // MIs[0] policy
     /* 1702902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702912 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1702915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702936 */     // GIR_Coverage, 10157,
     /* 1702936 */     GIR_EraseRootFromParent_Done,
     /* 1702937 */   // Label 23276: @1702937
     /* 1702937 */   GIM_Try, /*On fail goto*//*Label 23277*/ GIMT_Encode4(1703023), // Rule ID 10158 //
     /* 1702942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1702953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1702956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1702959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1702962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1702965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1702972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702988 */     // MIs[0] policy
     /* 1702988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702998 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1703001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703022 */     // GIR_Coverage, 10158,
     /* 1703022 */     GIR_EraseRootFromParent_Done,
     /* 1703023 */   // Label 23277: @1703023
     /* 1703023 */   GIM_Try, /*On fail goto*//*Label 23278*/ GIMT_Encode4(1703109), // Rule ID 10161 //
     /* 1703028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1703039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1703042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1703045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1703048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703074 */     // MIs[0] policy
     /* 1703074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703084 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1703087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703108 */     // GIR_Coverage, 10161,
     /* 1703108 */     GIR_EraseRootFromParent_Done,
     /* 1703109 */   // Label 23278: @1703109
     /* 1703109 */   GIM_Try, /*On fail goto*//*Label 23279*/ GIMT_Encode4(1703195), // Rule ID 10162 //
     /* 1703114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1703125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1703128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1703131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1703134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703160 */     // MIs[0] policy
     /* 1703160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703170 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1703173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703194 */     // GIR_Coverage, 10162,
     /* 1703194 */     GIR_EraseRootFromParent_Done,
     /* 1703195 */   // Label 23279: @1703195
     /* 1703195 */   GIM_Try, /*On fail goto*//*Label 23280*/ GIMT_Encode4(1703281), // Rule ID 10165 //
     /* 1703200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1703211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1703214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1703217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1703220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1703223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703246 */     // MIs[0] policy
     /* 1703246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703256 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1703259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703280 */     // GIR_Coverage, 10165,
     /* 1703280 */     GIR_EraseRootFromParent_Done,
     /* 1703281 */   // Label 23280: @1703281
     /* 1703281 */   GIM_Try, /*On fail goto*//*Label 23281*/ GIMT_Encode4(1703367), // Rule ID 10166 //
     /* 1703286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1703297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1703300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1703303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1703306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1703309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703332 */     // MIs[0] policy
     /* 1703332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703342 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1703345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703366 */     // GIR_Coverage, 10166,
     /* 1703366 */     GIR_EraseRootFromParent_Done,
     /* 1703367 */   // Label 23281: @1703367
     /* 1703367 */   GIM_Try, /*On fail goto*//*Label 23282*/ GIMT_Encode4(1703453), // Rule ID 10169 //
     /* 1703372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1703383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1703386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1703389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1703392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1703395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1703402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703418 */     // MIs[0] policy
     /* 1703418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703428 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1703431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703452 */     // GIR_Coverage, 10169,
     /* 1703452 */     GIR_EraseRootFromParent_Done,
     /* 1703453 */   // Label 23282: @1703453
     /* 1703453 */   GIM_Try, /*On fail goto*//*Label 23283*/ GIMT_Encode4(1703539), // Rule ID 10170 //
     /* 1703458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1703469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1703472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1703475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1703478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1703481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1703488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703504 */     // MIs[0] policy
     /* 1703504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703514 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1703517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703538 */     // GIR_Coverage, 10170,
     /* 1703538 */     GIR_EraseRootFromParent_Done,
     /* 1703539 */   // Label 23283: @1703539
     /* 1703539 */   GIM_Try, /*On fail goto*//*Label 23284*/ GIMT_Encode4(1703625), // Rule ID 10173 //
     /* 1703544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1703555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1703558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1703561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1703564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703590 */     // MIs[0] policy
     /* 1703590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703600 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1703603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703624 */     // GIR_Coverage, 10173,
     /* 1703624 */     GIR_EraseRootFromParent_Done,
     /* 1703625 */   // Label 23284: @1703625
     /* 1703625 */   GIM_Try, /*On fail goto*//*Label 23285*/ GIMT_Encode4(1703711), // Rule ID 10174 //
     /* 1703630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1703641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1703644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1703647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1703650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703676 */     // MIs[0] policy
     /* 1703676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703686 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1703689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703710 */     // GIR_Coverage, 10174,
     /* 1703710 */     GIR_EraseRootFromParent_Done,
     /* 1703711 */   // Label 23285: @1703711
     /* 1703711 */   GIM_Try, /*On fail goto*//*Label 23286*/ GIMT_Encode4(1703797), // Rule ID 10177 //
     /* 1703716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1703727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1703730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1703733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1703736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703762 */     // MIs[0] policy
     /* 1703762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703772 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1703775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703796 */     // GIR_Coverage, 10177,
     /* 1703796 */     GIR_EraseRootFromParent_Done,
     /* 1703797 */   // Label 23286: @1703797
     /* 1703797 */   GIM_Try, /*On fail goto*//*Label 23287*/ GIMT_Encode4(1703883), // Rule ID 10178 //
     /* 1703802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1703813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1703816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1703819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1703822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703848 */     // MIs[0] policy
     /* 1703848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703858 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1703861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703882 */     // GIR_Coverage, 10178,
     /* 1703882 */     GIR_EraseRootFromParent_Done,
     /* 1703883 */   // Label 23287: @1703883
     /* 1703883 */   GIM_Try, /*On fail goto*//*Label 23288*/ GIMT_Encode4(1703969), // Rule ID 10181 //
     /* 1703888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1703899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1703902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1703905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1703908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1703911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1703918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703934 */     // MIs[0] policy
     /* 1703934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703944 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1703947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703968 */     // GIR_Coverage, 10181,
     /* 1703968 */     GIR_EraseRootFromParent_Done,
     /* 1703969 */   // Label 23288: @1703969
     /* 1703969 */   GIM_Try, /*On fail goto*//*Label 23289*/ GIMT_Encode4(1704055), // Rule ID 10182 //
     /* 1703974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1703985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1703988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1703991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1703994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1703997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1704004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704020 */     // MIs[0] policy
     /* 1704020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704030 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1704033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1704051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704054 */     // GIR_Coverage, 10182,
     /* 1704054 */     GIR_EraseRootFromParent_Done,
     /* 1704055 */   // Label 23289: @1704055
     /* 1704055 */   GIM_Try, /*On fail goto*//*Label 23290*/ GIMT_Encode4(1704141), // Rule ID 10185 //
     /* 1704060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1704063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1704071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1704074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1704077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1704080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704106 */     // MIs[0] policy
     /* 1704106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704116 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1704119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1704137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704140 */     // GIR_Coverage, 10185,
     /* 1704140 */     GIR_EraseRootFromParent_Done,
     /* 1704141 */   // Label 23290: @1704141
     /* 1704141 */   GIM_Try, /*On fail goto*//*Label 23291*/ GIMT_Encode4(1704227), // Rule ID 10186 //
     /* 1704146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1704149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1704157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1704160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1704163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1704166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704192 */     // MIs[0] policy
     /* 1704192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704202 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1704205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1704223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704226 */     // GIR_Coverage, 10186,
     /* 1704226 */     GIR_EraseRootFromParent_Done,
     /* 1704227 */   // Label 23291: @1704227
     /* 1704227 */   GIM_Try, /*On fail goto*//*Label 23292*/ GIMT_Encode4(1704313), // Rule ID 10189 //
     /* 1704232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1704235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1704243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1704246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1704249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1704252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704278 */     // MIs[0] policy
     /* 1704278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704288 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1704291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1704309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704312 */     // GIR_Coverage, 10189,
     /* 1704312 */     GIR_EraseRootFromParent_Done,
     /* 1704313 */   // Label 23292: @1704313
     /* 1704313 */   GIM_Try, /*On fail goto*//*Label 23293*/ GIMT_Encode4(1704399), // Rule ID 10190 //
     /* 1704318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1704321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1704329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1704332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1704335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1704338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704364 */     // MIs[0] policy
     /* 1704364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704374 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1704377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1704395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704398 */     // GIR_Coverage, 10190,
     /* 1704398 */     GIR_EraseRootFromParent_Done,
     /* 1704399 */   // Label 23293: @1704399
     /* 1704399 */   GIM_Try, /*On fail goto*//*Label 23294*/ GIMT_Encode4(1704485), // Rule ID 10193 //
     /* 1704404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1704407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1704415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1704418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1704421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1704424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1704434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704450 */     // MIs[0] policy
     /* 1704450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704460 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1704463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1704481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704484 */     // GIR_Coverage, 10193,
     /* 1704484 */     GIR_EraseRootFromParent_Done,
     /* 1704485 */   // Label 23294: @1704485
     /* 1704485 */   GIM_Try, /*On fail goto*//*Label 23295*/ GIMT_Encode4(1704571), // Rule ID 10194 //
     /* 1704490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1704493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1704501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1704504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1704507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1704510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1704520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704536 */     // MIs[0] policy
     /* 1704536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1704549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1704567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704570 */     // GIR_Coverage, 10194,
     /* 1704570 */     GIR_EraseRootFromParent_Done,
     /* 1704571 */   // Label 23295: @1704571
     /* 1704571 */   GIM_Try, /*On fail goto*//*Label 23296*/ GIMT_Encode4(1704657), // Rule ID 10197 //
     /* 1704576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1704587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1704590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1704593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1704596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704622 */     // MIs[0] policy
     /* 1704622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704632 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1704635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704656 */     // GIR_Coverage, 10197,
     /* 1704656 */     GIR_EraseRootFromParent_Done,
     /* 1704657 */   // Label 23296: @1704657
     /* 1704657 */   GIM_Try, /*On fail goto*//*Label 23297*/ GIMT_Encode4(1704743), // Rule ID 10198 //
     /* 1704662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1704673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1704676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1704679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1704682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704708 */     // MIs[0] policy
     /* 1704708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704718 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1704721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704742 */     // GIR_Coverage, 10198,
     /* 1704742 */     GIR_EraseRootFromParent_Done,
     /* 1704743 */   // Label 23297: @1704743
     /* 1704743 */   GIM_Try, /*On fail goto*//*Label 23298*/ GIMT_Encode4(1704829), // Rule ID 10201 //
     /* 1704748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1704759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1704762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1704765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1704768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704794 */     // MIs[0] policy
     /* 1704794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704804 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1704807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704828 */     // GIR_Coverage, 10201,
     /* 1704828 */     GIR_EraseRootFromParent_Done,
     /* 1704829 */   // Label 23298: @1704829
     /* 1704829 */   GIM_Try, /*On fail goto*//*Label 23299*/ GIMT_Encode4(1704915), // Rule ID 10202 //
     /* 1704834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1704845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1704848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1704851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1704854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704880 */     // MIs[0] policy
     /* 1704880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704890 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1704893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704914 */     // GIR_Coverage, 10202,
     /* 1704914 */     GIR_EraseRootFromParent_Done,
     /* 1704915 */   // Label 23299: @1704915
     /* 1704915 */   GIM_Try, /*On fail goto*//*Label 23300*/ GIMT_Encode4(1705001), // Rule ID 10205 //
     /* 1704920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1704928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1704931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1704934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1704937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1704940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704966 */     // MIs[0] policy
     /* 1704966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704976 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1704979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705000 */     // GIR_Coverage, 10205,
     /* 1705000 */     GIR_EraseRootFromParent_Done,
     /* 1705001 */   // Label 23300: @1705001
     /* 1705001 */   GIM_Try, /*On fail goto*//*Label 23301*/ GIMT_Encode4(1705087), // Rule ID 10206 //
     /* 1705006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1705017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1705020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1705023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1705026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705052 */     // MIs[0] policy
     /* 1705052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705062 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1705065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705086 */     // GIR_Coverage, 10206,
     /* 1705086 */     GIR_EraseRootFromParent_Done,
     /* 1705087 */   // Label 23301: @1705087
     /* 1705087 */   GIM_Try, /*On fail goto*//*Label 23302*/ GIMT_Encode4(1705173), // Rule ID 10209 //
     /* 1705092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1705103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1705106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1705109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705138 */     // MIs[0] policy
     /* 1705138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705148 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1705151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705172 */     // GIR_Coverage, 10209,
     /* 1705172 */     GIR_EraseRootFromParent_Done,
     /* 1705173 */   // Label 23302: @1705173
     /* 1705173 */   GIM_Try, /*On fail goto*//*Label 23303*/ GIMT_Encode4(1705259), // Rule ID 10210 //
     /* 1705178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1705189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1705192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1705195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1705198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705224 */     // MIs[0] policy
     /* 1705224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705234 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1705237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705258 */     // GIR_Coverage, 10210,
     /* 1705258 */     GIR_EraseRootFromParent_Done,
     /* 1705259 */   // Label 23303: @1705259
     /* 1705259 */   GIM_Try, /*On fail goto*//*Label 23304*/ GIMT_Encode4(1705345), // Rule ID 10213 //
     /* 1705264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1705275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1705278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1705281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705310 */     // MIs[0] policy
     /* 1705310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705320 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1705323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705344 */     // GIR_Coverage, 10213,
     /* 1705344 */     GIR_EraseRootFromParent_Done,
     /* 1705345 */   // Label 23304: @1705345
     /* 1705345 */   GIM_Try, /*On fail goto*//*Label 23305*/ GIMT_Encode4(1705431), // Rule ID 10214 //
     /* 1705350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1705361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1705364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1705367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1705370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705396 */     // MIs[0] policy
     /* 1705396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705406 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1705409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705430 */     // GIR_Coverage, 10214,
     /* 1705430 */     GIR_EraseRootFromParent_Done,
     /* 1705431 */   // Label 23305: @1705431
     /* 1705431 */   GIM_Try, /*On fail goto*//*Label 23306*/ GIMT_Encode4(1705517), // Rule ID 10217 //
     /* 1705436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1705447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1705450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1705453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705482 */     // MIs[0] policy
     /* 1705482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1705495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705516 */     // GIR_Coverage, 10217,
     /* 1705516 */     GIR_EraseRootFromParent_Done,
     /* 1705517 */   // Label 23306: @1705517
     /* 1705517 */   GIM_Try, /*On fail goto*//*Label 23307*/ GIMT_Encode4(1705603), // Rule ID 10218 //
     /* 1705522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1705533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1705536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1705539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1705542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705568 */     // MIs[0] policy
     /* 1705568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1705581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705602 */     // GIR_Coverage, 10218,
     /* 1705602 */     GIR_EraseRootFromParent_Done,
     /* 1705603 */   // Label 23307: @1705603
     /* 1705603 */   GIM_Try, /*On fail goto*//*Label 23308*/ GIMT_Encode4(1705689), // Rule ID 10221 //
     /* 1705608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1705619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1705622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1705625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705654 */     // MIs[0] policy
     /* 1705654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1705667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705688 */     // GIR_Coverage, 10221,
     /* 1705688 */     GIR_EraseRootFromParent_Done,
     /* 1705689 */   // Label 23308: @1705689
     /* 1705689 */   GIM_Try, /*On fail goto*//*Label 23309*/ GIMT_Encode4(1705775), // Rule ID 10222 //
     /* 1705694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1705705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1705708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1705711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1705714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705740 */     // MIs[0] policy
     /* 1705740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705750 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1705753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705774 */     // GIR_Coverage, 10222,
     /* 1705774 */     GIR_EraseRootFromParent_Done,
     /* 1705775 */   // Label 23309: @1705775
     /* 1705775 */   GIM_Try, /*On fail goto*//*Label 23310*/ GIMT_Encode4(1705861), // Rule ID 10225 //
     /* 1705780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1705791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1705794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1705797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705826 */     // MIs[0] policy
     /* 1705826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705836 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1705839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705860 */     // GIR_Coverage, 10225,
     /* 1705860 */     GIR_EraseRootFromParent_Done,
     /* 1705861 */   // Label 23310: @1705861
     /* 1705861 */   GIM_Try, /*On fail goto*//*Label 23311*/ GIMT_Encode4(1705947), // Rule ID 10226 //
     /* 1705866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1705877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1705880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1705883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1705886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705912 */     // MIs[0] policy
     /* 1705912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705922 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1705925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705946 */     // GIR_Coverage, 10226,
     /* 1705946 */     GIR_EraseRootFromParent_Done,
     /* 1705947 */   // Label 23311: @1705947
     /* 1705947 */   GIM_Try, /*On fail goto*//*Label 23312*/ GIMT_Encode4(1706033), // Rule ID 10229 //
     /* 1705952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1705960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1705963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1705966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1705969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705998 */     // MIs[0] policy
     /* 1705998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1706011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706032 */     // GIR_Coverage, 10229,
     /* 1706032 */     GIR_EraseRootFromParent_Done,
     /* 1706033 */   // Label 23312: @1706033
     /* 1706033 */   GIM_Try, /*On fail goto*//*Label 23313*/ GIMT_Encode4(1706119), // Rule ID 10230 //
     /* 1706038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1706049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1706052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1706055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706084 */     // MIs[0] policy
     /* 1706084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706094 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1706097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706118 */     // GIR_Coverage, 10230,
     /* 1706118 */     GIR_EraseRootFromParent_Done,
     /* 1706119 */   // Label 23313: @1706119
     /* 1706119 */   GIM_Try, /*On fail goto*//*Label 23314*/ GIMT_Encode4(1706205), // Rule ID 10233 //
     /* 1706124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1706127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1706135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1706138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1706141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706170 */     // MIs[0] policy
     /* 1706170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706180 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1706183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1706201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706204 */     // GIR_Coverage, 10233,
     /* 1706204 */     GIR_EraseRootFromParent_Done,
     /* 1706205 */   // Label 23314: @1706205
     /* 1706205 */   GIM_Try, /*On fail goto*//*Label 23315*/ GIMT_Encode4(1706291), // Rule ID 10234 //
     /* 1706210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1706213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1706221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1706224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1706227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706256 */     // MIs[0] policy
     /* 1706256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706266 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1706269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1706287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706290 */     // GIR_Coverage, 10234,
     /* 1706290 */     GIR_EraseRootFromParent_Done,
     /* 1706291 */   // Label 23315: @1706291
     /* 1706291 */   GIM_Try, /*On fail goto*//*Label 23316*/ GIMT_Encode4(1706377), // Rule ID 10237 //
     /* 1706296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1706307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1706310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1706313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1706319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706342 */     // MIs[0] policy
     /* 1706342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706352 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1706355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706376 */     // GIR_Coverage, 10237,
     /* 1706376 */     GIR_EraseRootFromParent_Done,
     /* 1706377 */   // Label 23316: @1706377
     /* 1706377 */   GIM_Try, /*On fail goto*//*Label 23317*/ GIMT_Encode4(1706463), // Rule ID 10238 //
     /* 1706382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1706393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1706396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1706399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1706405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706428 */     // MIs[0] policy
     /* 1706428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706438 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1706441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706462 */     // GIR_Coverage, 10238,
     /* 1706462 */     GIR_EraseRootFromParent_Done,
     /* 1706463 */   // Label 23317: @1706463
     /* 1706463 */   GIM_Try, /*On fail goto*//*Label 23318*/ GIMT_Encode4(1706549), // Rule ID 10241 //
     /* 1706468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1706479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1706482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1706485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1706491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1706498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706514 */     // MIs[0] policy
     /* 1706514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706524 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1706527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706548 */     // GIR_Coverage, 10241,
     /* 1706548 */     GIR_EraseRootFromParent_Done,
     /* 1706549 */   // Label 23318: @1706549
     /* 1706549 */   GIM_Try, /*On fail goto*//*Label 23319*/ GIMT_Encode4(1706635), // Rule ID 10242 //
     /* 1706554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1706565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1706568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1706571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1706577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1706584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706600 */     // MIs[0] policy
     /* 1706600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706610 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1706613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706634 */     // GIR_Coverage, 10242,
     /* 1706634 */     GIR_EraseRootFromParent_Done,
     /* 1706635 */   // Label 23319: @1706635
     /* 1706635 */   GIM_Try, /*On fail goto*//*Label 23320*/ GIMT_Encode4(1706721), // Rule ID 10245 //
     /* 1706640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1706651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1706654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1706657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1706663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1706670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706686 */     // MIs[0] policy
     /* 1706686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706696 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1706699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706720 */     // GIR_Coverage, 10245,
     /* 1706720 */     GIR_EraseRootFromParent_Done,
     /* 1706721 */   // Label 23320: @1706721
     /* 1706721 */   GIM_Try, /*On fail goto*//*Label 23321*/ GIMT_Encode4(1706807), // Rule ID 10246 //
     /* 1706726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1706737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1706740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1706743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1706749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1706756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706772 */     // MIs[0] policy
     /* 1706772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706782 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1706785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706806 */     // GIR_Coverage, 10246,
     /* 1706806 */     GIR_EraseRootFromParent_Done,
     /* 1706807 */   // Label 23321: @1706807
     /* 1706807 */   GIM_Try, /*On fail goto*//*Label 23322*/ GIMT_Encode4(1706893), // Rule ID 10249 //
     /* 1706812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1706823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1706826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1706829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706858 */     // MIs[0] policy
     /* 1706858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706868 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1706871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706892 */     // GIR_Coverage, 10249,
     /* 1706892 */     GIR_EraseRootFromParent_Done,
     /* 1706893 */   // Label 23322: @1706893
     /* 1706893 */   GIM_Try, /*On fail goto*//*Label 23323*/ GIMT_Encode4(1706979), // Rule ID 10250 //
     /* 1706898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1706909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1706912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1706915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706944 */     // MIs[0] policy
     /* 1706944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706954 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1706957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706978 */     // GIR_Coverage, 10250,
     /* 1706978 */     GIR_EraseRootFromParent_Done,
     /* 1706979 */   // Label 23323: @1706979
     /* 1706979 */   GIM_Try, /*On fail goto*//*Label 23324*/ GIMT_Encode4(1707065), // Rule ID 10253 //
     /* 1706984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1706992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1706995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1706998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1707001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1707007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707030 */     // MIs[0] policy
     /* 1707030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707040 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1707043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707064 */     // GIR_Coverage, 10253,
     /* 1707064 */     GIR_EraseRootFromParent_Done,
     /* 1707065 */   // Label 23324: @1707065
     /* 1707065 */   GIM_Try, /*On fail goto*//*Label 23325*/ GIMT_Encode4(1707151), // Rule ID 10254 //
     /* 1707070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1707081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1707084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1707087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1707093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707116 */     // MIs[0] policy
     /* 1707116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707126 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1707129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707150 */     // GIR_Coverage, 10254,
     /* 1707150 */     GIR_EraseRootFromParent_Done,
     /* 1707151 */   // Label 23325: @1707151
     /* 1707151 */   GIM_Try, /*On fail goto*//*Label 23326*/ GIMT_Encode4(1707237), // Rule ID 10257 //
     /* 1707156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1707167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1707170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1707173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1707179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1707186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707202 */     // MIs[0] policy
     /* 1707202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707212 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1707215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707236 */     // GIR_Coverage, 10257,
     /* 1707236 */     GIR_EraseRootFromParent_Done,
     /* 1707237 */   // Label 23326: @1707237
     /* 1707237 */   GIM_Try, /*On fail goto*//*Label 23327*/ GIMT_Encode4(1707323), // Rule ID 10258 //
     /* 1707242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1707253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1707256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1707259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1707265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1707272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707288 */     // MIs[0] policy
     /* 1707288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707298 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1707301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707322 */     // GIR_Coverage, 10258,
     /* 1707322 */     GIR_EraseRootFromParent_Done,
     /* 1707323 */   // Label 23327: @1707323
     /* 1707323 */   GIM_Try, /*On fail goto*//*Label 23328*/ GIMT_Encode4(1707409), // Rule ID 10261 //
     /* 1707328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1707339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1707342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1707345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707374 */     // MIs[0] policy
     /* 1707374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707384 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1707387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707408 */     // GIR_Coverage, 10261,
     /* 1707408 */     GIR_EraseRootFromParent_Done,
     /* 1707409 */   // Label 23328: @1707409
     /* 1707409 */   GIM_Try, /*On fail goto*//*Label 23329*/ GIMT_Encode4(1707495), // Rule ID 10262 //
     /* 1707414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1707425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1707428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1707431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707460 */     // MIs[0] policy
     /* 1707460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707470 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1707473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707494 */     // GIR_Coverage, 10262,
     /* 1707494 */     GIR_EraseRootFromParent_Done,
     /* 1707495 */   // Label 23329: @1707495
     /* 1707495 */   GIM_Try, /*On fail goto*//*Label 23330*/ GIMT_Encode4(1707581), // Rule ID 10265 //
     /* 1707500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1707511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1707514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1707517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707546 */     // MIs[0] policy
     /* 1707546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707556 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1707559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707580 */     // GIR_Coverage, 10265,
     /* 1707580 */     GIR_EraseRootFromParent_Done,
     /* 1707581 */   // Label 23330: @1707581
     /* 1707581 */   GIM_Try, /*On fail goto*//*Label 23331*/ GIMT_Encode4(1707667), // Rule ID 10266 //
     /* 1707586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1707597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1707600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1707603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707632 */     // MIs[0] policy
     /* 1707632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707642 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1707645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707666 */     // GIR_Coverage, 10266,
     /* 1707666 */     GIR_EraseRootFromParent_Done,
     /* 1707667 */   // Label 23331: @1707667
     /* 1707667 */   GIM_Try, /*On fail goto*//*Label 23332*/ GIMT_Encode4(1707753), // Rule ID 10269 //
     /* 1707672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1707683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1707686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1707689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1707695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1707702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707718 */     // MIs[0] policy
     /* 1707718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707728 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1707731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707752 */     // GIR_Coverage, 10269,
     /* 1707752 */     GIR_EraseRootFromParent_Done,
     /* 1707753 */   // Label 23332: @1707753
     /* 1707753 */   GIM_Try, /*On fail goto*//*Label 23333*/ GIMT_Encode4(1707839), // Rule ID 10270 //
     /* 1707758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1707769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1707772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1707775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1707781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1707788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707804 */     // MIs[0] policy
     /* 1707804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707814 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1707817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707838 */     // GIR_Coverage, 10270,
     /* 1707838 */     GIR_EraseRootFromParent_Done,
     /* 1707839 */   // Label 23333: @1707839
     /* 1707839 */   GIM_Try, /*On fail goto*//*Label 23334*/ GIMT_Encode4(1707925), // Rule ID 10273 //
     /* 1707844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1707847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1707855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1707858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1707861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707890 */     // MIs[0] policy
     /* 1707890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707900 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1707903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1707921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707924 */     // GIR_Coverage, 10273,
     /* 1707924 */     GIR_EraseRootFromParent_Done,
     /* 1707925 */   // Label 23334: @1707925
     /* 1707925 */   GIM_Try, /*On fail goto*//*Label 23335*/ GIMT_Encode4(1708011), // Rule ID 10274 //
     /* 1707930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1707933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1707938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1707941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1707944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1707947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707976 */     // MIs[0] policy
     /* 1707976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707986 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11334:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1707989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1708007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708010 */     // GIR_Coverage, 10274,
     /* 1708010 */     GIR_EraseRootFromParent_Done,
     /* 1708011 */   // Label 23335: @1708011
     /* 1708011 */   GIM_Try, /*On fail goto*//*Label 23336*/ GIMT_Encode4(1708097), // Rule ID 10277 //
     /* 1708016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1708019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1708027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1708030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1708033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708062 */     // MIs[0] policy
     /* 1708062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708072 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1708075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1708093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708096 */     // GIR_Coverage, 10277,
     /* 1708096 */     GIR_EraseRootFromParent_Done,
     /* 1708097 */   // Label 23336: @1708097
     /* 1708097 */   GIM_Try, /*On fail goto*//*Label 23337*/ GIMT_Encode4(1708183), // Rule ID 10278 //
     /* 1708102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1708105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1708113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1708116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1708119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708148 */     // MIs[0] policy
     /* 1708148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708158 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11334:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1708161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1708179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708182 */     // GIR_Coverage, 10278,
     /* 1708182 */     GIR_EraseRootFromParent_Done,
     /* 1708183 */   // Label 23337: @1708183
     /* 1708183 */   GIM_Try, /*On fail goto*//*Label 23338*/ GIMT_Encode4(1708269), // Rule ID 10281 //
     /* 1708188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1708191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1708199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1708202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1708205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708234 */     // MIs[0] policy
     /* 1708234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708244 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1708247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1708265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708268 */     // GIR_Coverage, 10281,
     /* 1708268 */     GIR_EraseRootFromParent_Done,
     /* 1708269 */   // Label 23338: @1708269
     /* 1708269 */   GIM_Try, /*On fail goto*//*Label 23339*/ GIMT_Encode4(1708355), // Rule ID 10282 //
     /* 1708274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1708277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1708282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1708285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1708288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1708291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1708304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708320 */     // MIs[0] policy
     /* 1708320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708330 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11334:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1708333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1708351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708354 */     // GIR_Coverage, 10282,
     /* 1708354 */     GIR_EraseRootFromParent_Done,
     /* 1708355 */   // Label 23339: @1708355
     /* 1708355 */   GIM_Try, /*On fail goto*//*Label 23340*/ GIMT_Encode4(1708441), // Rule ID 10285 //
     /* 1708360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1708371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1708374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1708377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1708380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708406 */     // MIs[0] policy
     /* 1708406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708416 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1708419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708440 */     // GIR_Coverage, 10285,
     /* 1708440 */     GIR_EraseRootFromParent_Done,
     /* 1708441 */   // Label 23340: @1708441
     /* 1708441 */   GIM_Try, /*On fail goto*//*Label 23341*/ GIMT_Encode4(1708527), // Rule ID 10286 //
     /* 1708446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1708457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1708460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1708463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1708466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708492 */     // MIs[0] policy
     /* 1708492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708502 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1708505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708526 */     // GIR_Coverage, 10286,
     /* 1708526 */     GIR_EraseRootFromParent_Done,
     /* 1708527 */   // Label 23341: @1708527
     /* 1708527 */   GIM_Try, /*On fail goto*//*Label 23342*/ GIMT_Encode4(1708613), // Rule ID 10289 //
     /* 1708532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1708543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1708546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1708549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1708552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1708555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708578 */     // MIs[0] policy
     /* 1708578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708588 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1708591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708612 */     // GIR_Coverage, 10289,
     /* 1708612 */     GIR_EraseRootFromParent_Done,
     /* 1708613 */   // Label 23342: @1708613
     /* 1708613 */   GIM_Try, /*On fail goto*//*Label 23343*/ GIMT_Encode4(1708699), // Rule ID 10290 //
     /* 1708618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1708629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1708632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1708635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1708638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1708641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708664 */     // MIs[0] policy
     /* 1708664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708674 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1708677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708698 */     // GIR_Coverage, 10290,
     /* 1708698 */     GIR_EraseRootFromParent_Done,
     /* 1708699 */   // Label 23343: @1708699
     /* 1708699 */   GIM_Try, /*On fail goto*//*Label 23344*/ GIMT_Encode4(1708785), // Rule ID 10293 //
     /* 1708704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1708715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1708718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1708721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1708724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708750 */     // MIs[0] policy
     /* 1708750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708760 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1708763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708784 */     // GIR_Coverage, 10293,
     /* 1708784 */     GIR_EraseRootFromParent_Done,
     /* 1708785 */   // Label 23344: @1708785
     /* 1708785 */   GIM_Try, /*On fail goto*//*Label 23345*/ GIMT_Encode4(1708871), // Rule ID 10294 //
     /* 1708790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1708801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1708804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1708807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1708810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708836 */     // MIs[0] policy
     /* 1708836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708846 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1708849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708870 */     // GIR_Coverage, 10294,
     /* 1708870 */     GIR_EraseRootFromParent_Done,
     /* 1708871 */   // Label 23345: @1708871
     /* 1708871 */   GIM_Try, /*On fail goto*//*Label 23346*/ GIMT_Encode4(1708957), // Rule ID 10297 //
     /* 1708876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1708887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1708890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1708893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1708896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708922 */     // MIs[0] policy
     /* 1708922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708932 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1708935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708956 */     // GIR_Coverage, 10297,
     /* 1708956 */     GIR_EraseRootFromParent_Done,
     /* 1708957 */   // Label 23346: @1708957
     /* 1708957 */   GIM_Try, /*On fail goto*//*Label 23347*/ GIMT_Encode4(1709043), // Rule ID 10298 //
     /* 1708962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1708973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1708976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1708979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1708982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709008 */     // MIs[0] policy
     /* 1709008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709018 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1709021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709042 */     // GIR_Coverage, 10298,
     /* 1709042 */     GIR_EraseRootFromParent_Done,
     /* 1709043 */   // Label 23347: @1709043
     /* 1709043 */   GIM_Try, /*On fail goto*//*Label 23348*/ GIMT_Encode4(1709129), // Rule ID 10301 //
     /* 1709048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1709059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1709062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1709065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1709068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709094 */     // MIs[0] policy
     /* 1709094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709104 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1709107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709128 */     // GIR_Coverage, 10301,
     /* 1709128 */     GIR_EraseRootFromParent_Done,
     /* 1709129 */   // Label 23348: @1709129
     /* 1709129 */   GIM_Try, /*On fail goto*//*Label 23349*/ GIMT_Encode4(1709215), // Rule ID 10302 //
     /* 1709134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1709145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1709148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1709151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1709154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709180 */     // MIs[0] policy
     /* 1709180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709190 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1709193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709214 */     // GIR_Coverage, 10302,
     /* 1709214 */     GIR_EraseRootFromParent_Done,
     /* 1709215 */   // Label 23349: @1709215
     /* 1709215 */   GIM_Try, /*On fail goto*//*Label 23350*/ GIMT_Encode4(1709301), // Rule ID 10305 //
     /* 1709220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1709231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1709234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1709237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1709240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709266 */     // MIs[0] policy
     /* 1709266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709276 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1709279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709300 */     // GIR_Coverage, 10305,
     /* 1709300 */     GIR_EraseRootFromParent_Done,
     /* 1709301 */   // Label 23350: @1709301
     /* 1709301 */   GIM_Try, /*On fail goto*//*Label 23351*/ GIMT_Encode4(1709387), // Rule ID 10306 //
     /* 1709306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1709317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1709320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1709323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1709326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709352 */     // MIs[0] policy
     /* 1709352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709362 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1709365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709386 */     // GIR_Coverage, 10306,
     /* 1709386 */     GIR_EraseRootFromParent_Done,
     /* 1709387 */   // Label 23351: @1709387
     /* 1709387 */   GIM_Try, /*On fail goto*//*Label 23352*/ GIMT_Encode4(1709473), // Rule ID 10309 //
     /* 1709392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1709403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1709406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1709409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1709412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709438 */     // MIs[0] policy
     /* 1709438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709448 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1709451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709472 */     // GIR_Coverage, 10309,
     /* 1709472 */     GIR_EraseRootFromParent_Done,
     /* 1709473 */   // Label 23352: @1709473
     /* 1709473 */   GIM_Try, /*On fail goto*//*Label 23353*/ GIMT_Encode4(1709559), // Rule ID 10310 //
     /* 1709478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1709489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1709492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1709495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1709498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709524 */     // MIs[0] policy
     /* 1709524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1709537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709558 */     // GIR_Coverage, 10310,
     /* 1709558 */     GIR_EraseRootFromParent_Done,
     /* 1709559 */   // Label 23353: @1709559
     /* 1709559 */   GIM_Try, /*On fail goto*//*Label 23354*/ GIMT_Encode4(1709645), // Rule ID 10313 //
     /* 1709564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1709575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1709578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1709581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1709584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709610 */     // MIs[0] policy
     /* 1709610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709620 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1709623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709644 */     // GIR_Coverage, 10313,
     /* 1709644 */     GIR_EraseRootFromParent_Done,
     /* 1709645 */   // Label 23354: @1709645
     /* 1709645 */   GIM_Try, /*On fail goto*//*Label 23355*/ GIMT_Encode4(1709731), // Rule ID 10314 //
     /* 1709650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1709661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1709664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1709667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1709670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709696 */     // MIs[0] policy
     /* 1709696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709706 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1709709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709730 */     // GIR_Coverage, 10314,
     /* 1709730 */     GIR_EraseRootFromParent_Done,
     /* 1709731 */   // Label 23355: @1709731
     /* 1709731 */   GIM_Try, /*On fail goto*//*Label 23356*/ GIMT_Encode4(1709817), // Rule ID 10317 //
     /* 1709736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1709747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1709750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1709753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1709756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709782 */     // MIs[0] policy
     /* 1709782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1709795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709816 */     // GIR_Coverage, 10317,
     /* 1709816 */     GIR_EraseRootFromParent_Done,
     /* 1709817 */   // Label 23356: @1709817
     /* 1709817 */   GIM_Try, /*On fail goto*//*Label 23357*/ GIMT_Encode4(1709903), // Rule ID 10318 //
     /* 1709822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1709833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1709836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1709839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1709842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709868 */     // MIs[0] policy
     /* 1709868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1709881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1709899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709902 */     // GIR_Coverage, 10318,
     /* 1709902 */     GIR_EraseRootFromParent_Done,
     /* 1709903 */   // Label 23357: @1709903
     /* 1709903 */   GIM_Try, /*On fail goto*//*Label 23358*/ GIMT_Encode4(1709989), // Rule ID 10321 //
     /* 1709908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1709911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1709919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1709922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1709925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1709928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709954 */     // MIs[0] policy
     /* 1709954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709964 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1709967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709988 */     // GIR_Coverage, 10321,
     /* 1709988 */     GIR_EraseRootFromParent_Done,
     /* 1709989 */   // Label 23358: @1709989
     /* 1709989 */   GIM_Try, /*On fail goto*//*Label 23359*/ GIMT_Encode4(1710075), // Rule ID 10322 //
     /* 1709994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1709997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1710005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1710008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1710011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1710014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710040 */     // MIs[0] policy
     /* 1710040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710050 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1710053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1710071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710074 */     // GIR_Coverage, 10322,
     /* 1710074 */     GIR_EraseRootFromParent_Done,
     /* 1710075 */   // Label 23359: @1710075
     /* 1710075 */   GIM_Try, /*On fail goto*//*Label 23360*/ GIMT_Encode4(1710161), // Rule ID 10325 //
     /* 1710080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1710091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1710094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1710097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1710100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1710103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1710110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710126 */     // MIs[0] policy
     /* 1710126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710136 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1710139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710160 */     // GIR_Coverage, 10325,
     /* 1710160 */     GIR_EraseRootFromParent_Done,
     /* 1710161 */   // Label 23360: @1710161
     /* 1710161 */   GIM_Try, /*On fail goto*//*Label 23361*/ GIMT_Encode4(1710247), // Rule ID 10326 //
     /* 1710166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1710177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1710180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1710183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1710186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1710189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1710196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710212 */     // MIs[0] policy
     /* 1710212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710222 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1710225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710246 */     // GIR_Coverage, 10326,
     /* 1710246 */     GIR_EraseRootFromParent_Done,
     /* 1710247 */   // Label 23361: @1710247
     /* 1710247 */   GIM_Try, /*On fail goto*//*Label 23362*/ GIMT_Encode4(1710333), // Rule ID 10329 //
     /* 1710252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1710263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1710266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1710269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1710272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1710275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1710282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710298 */     // MIs[0] policy
     /* 1710298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710308 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1710311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710332 */     // GIR_Coverage, 10329,
     /* 1710332 */     GIR_EraseRootFromParent_Done,
     /* 1710333 */   // Label 23362: @1710333
     /* 1710333 */   GIM_Try, /*On fail goto*//*Label 23363*/ GIMT_Encode4(1710419), // Rule ID 10330 //
     /* 1710338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1710349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1710352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1710355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1710358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1710361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1710368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710384 */     // MIs[0] policy
     /* 1710384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710394 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1710397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710418 */     // GIR_Coverage, 10330,
     /* 1710418 */     GIR_EraseRootFromParent_Done,
     /* 1710419 */   // Label 23363: @1710419
     /* 1710419 */   GIM_Try, /*On fail goto*//*Label 23364*/ GIMT_Encode4(1710505), // Rule ID 10333 //
     /* 1710424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1710435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1710438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1710441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1710444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1710447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1710454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710470 */     // MIs[0] policy
     /* 1710470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710480 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1710483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710504 */     // GIR_Coverage, 10333,
     /* 1710504 */     GIR_EraseRootFromParent_Done,
     /* 1710505 */   // Label 23364: @1710505
     /* 1710505 */   GIM_Try, /*On fail goto*//*Label 23365*/ GIMT_Encode4(1710591), // Rule ID 10334 //
     /* 1710510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1710521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1710524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1710527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1710530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1710533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1710540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710556 */     // MIs[0] policy
     /* 1710556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710566 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1710569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710590 */     // GIR_Coverage, 10334,
     /* 1710590 */     GIR_EraseRootFromParent_Done,
     /* 1710591 */   // Label 23365: @1710591
     /* 1710591 */   GIM_Try, /*On fail goto*//*Label 23366*/ GIMT_Encode4(1710677), // Rule ID 10337 //
     /* 1710596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1710607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1710610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1710613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1710616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1710619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1710626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710642 */     // MIs[0] policy
     /* 1710642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710652 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1710655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710676 */     // GIR_Coverage, 10337,
     /* 1710676 */     GIR_EraseRootFromParent_Done,
     /* 1710677 */   // Label 23366: @1710677
     /* 1710677 */   GIM_Try, /*On fail goto*//*Label 23367*/ GIMT_Encode4(1710763), // Rule ID 10338 //
     /* 1710682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1710693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1710696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1710699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1710702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1710705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1710712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710728 */     // MIs[0] policy
     /* 1710728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710738 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1710741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710762 */     // GIR_Coverage, 10338,
     /* 1710762 */     GIR_EraseRootFromParent_Done,
     /* 1710763 */   // Label 23367: @1710763
     /* 1710763 */   GIM_Try, /*On fail goto*//*Label 23368*/ GIMT_Encode4(1710849), // Rule ID 10341 //
     /* 1710768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1710779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1710782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1710785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1710788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1710791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1710798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710814 */     // MIs[0] policy
     /* 1710814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710824 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1710827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710848 */     // GIR_Coverage, 10341,
     /* 1710848 */     GIR_EraseRootFromParent_Done,
     /* 1710849 */   // Label 23368: @1710849
     /* 1710849 */   GIM_Try, /*On fail goto*//*Label 23369*/ GIMT_Encode4(1710935), // Rule ID 10342 //
     /* 1710854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1710865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1710868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1710871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1710874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1710877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1710884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710900 */     // MIs[0] policy
     /* 1710900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710910 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1710913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710934 */     // GIR_Coverage, 10342,
     /* 1710934 */     GIR_EraseRootFromParent_Done,
     /* 1710935 */   // Label 23369: @1710935
     /* 1710935 */   GIM_Try, /*On fail goto*//*Label 23370*/ GIMT_Encode4(1711021), // Rule ID 10345 //
     /* 1710940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1710951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1710954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1710957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1710960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1710963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1710970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710986 */     // MIs[0] policy
     /* 1710986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710996 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1710999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711020 */     // GIR_Coverage, 10345,
     /* 1711020 */     GIR_EraseRootFromParent_Done,
     /* 1711021 */   // Label 23370: @1711021
     /* 1711021 */   GIM_Try, /*On fail goto*//*Label 23371*/ GIMT_Encode4(1711107), // Rule ID 10346 //
     /* 1711026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1711037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1711040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1711043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1711046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1711049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1711056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711072 */     // MIs[0] policy
     /* 1711072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711082 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1711085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711106 */     // GIR_Coverage, 10346,
     /* 1711106 */     GIR_EraseRootFromParent_Done,
     /* 1711107 */   // Label 23371: @1711107
     /* 1711107 */   GIM_Try, /*On fail goto*//*Label 23372*/ GIMT_Encode4(1711193), // Rule ID 10349 //
     /* 1711112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1711123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1711126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1711129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1711132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711158 */     // MIs[0] policy
     /* 1711158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711168 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1711171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711192 */     // GIR_Coverage, 10349,
     /* 1711192 */     GIR_EraseRootFromParent_Done,
     /* 1711193 */   // Label 23372: @1711193
     /* 1711193 */   GIM_Try, /*On fail goto*//*Label 23373*/ GIMT_Encode4(1711279), // Rule ID 10350 //
     /* 1711198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1711209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1711212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1711215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1711218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711244 */     // MIs[0] policy
     /* 1711244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711254 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1711257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711278 */     // GIR_Coverage, 10350,
     /* 1711278 */     GIR_EraseRootFromParent_Done,
     /* 1711279 */   // Label 23373: @1711279
     /* 1711279 */   GIM_Try, /*On fail goto*//*Label 23374*/ GIMT_Encode4(1711365), // Rule ID 10353 //
     /* 1711284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1711295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1711298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1711301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1711304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711330 */     // MIs[0] policy
     /* 1711330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711340 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1711343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711364 */     // GIR_Coverage, 10353,
     /* 1711364 */     GIR_EraseRootFromParent_Done,
     /* 1711365 */   // Label 23374: @1711365
     /* 1711365 */   GIM_Try, /*On fail goto*//*Label 23375*/ GIMT_Encode4(1711451), // Rule ID 10354 //
     /* 1711370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1711381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1711384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1711387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1711390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711416 */     // MIs[0] policy
     /* 1711416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711426 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1711429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711450 */     // GIR_Coverage, 10354,
     /* 1711450 */     GIR_EraseRootFromParent_Done,
     /* 1711451 */   // Label 23375: @1711451
     /* 1711451 */   GIM_Try, /*On fail goto*//*Label 23376*/ GIMT_Encode4(1711537), // Rule ID 10357 //
     /* 1711456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1711467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1711470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1711473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1711476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1711486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711502 */     // MIs[0] policy
     /* 1711502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711512 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1711515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711536 */     // GIR_Coverage, 10357,
     /* 1711536 */     GIR_EraseRootFromParent_Done,
     /* 1711537 */   // Label 23376: @1711537
     /* 1711537 */   GIM_Try, /*On fail goto*//*Label 23377*/ GIMT_Encode4(1711623), // Rule ID 10358 //
     /* 1711542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1711553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1711556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1711559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1711562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1711572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711588 */     // MIs[0] policy
     /* 1711588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711598 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1711601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1711619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711622 */     // GIR_Coverage, 10358,
     /* 1711622 */     GIR_EraseRootFromParent_Done,
     /* 1711623 */   // Label 23377: @1711623
     /* 1711623 */   GIM_Try, /*On fail goto*//*Label 23378*/ GIMT_Encode4(1711709), // Rule ID 10361 //
     /* 1711628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1711631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1711639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1711642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1711645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1711648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711674 */     // MIs[0] policy
     /* 1711674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711684 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1711687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1711705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711708 */     // GIR_Coverage, 10361,
     /* 1711708 */     GIR_EraseRootFromParent_Done,
     /* 1711709 */   // Label 23378: @1711709
     /* 1711709 */   GIM_Try, /*On fail goto*//*Label 23379*/ GIMT_Encode4(1711795), // Rule ID 10362 //
     /* 1711714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1711717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1711725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1711728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1711731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1711734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711760 */     // MIs[0] policy
     /* 1711760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711770 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1711773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1711791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711794 */     // GIR_Coverage, 10362,
     /* 1711794 */     GIR_EraseRootFromParent_Done,
     /* 1711795 */   // Label 23379: @1711795
     /* 1711795 */   GIM_Try, /*On fail goto*//*Label 23380*/ GIMT_Encode4(1711881), // Rule ID 10365 //
     /* 1711800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1711803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1711811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1711814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1711817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1711820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711846 */     // MIs[0] policy
     /* 1711846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711856 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1711859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1711877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711880 */     // GIR_Coverage, 10365,
     /* 1711880 */     GIR_EraseRootFromParent_Done,
     /* 1711881 */   // Label 23380: @1711881
     /* 1711881 */   GIM_Try, /*On fail goto*//*Label 23381*/ GIMT_Encode4(1711967), // Rule ID 10366 //
     /* 1711886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1711889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1711897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1711900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1711903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1711906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711932 */     // MIs[0] policy
     /* 1711932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711942 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1711945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1711963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711966 */     // GIR_Coverage, 10366,
     /* 1711966 */     GIR_EraseRootFromParent_Done,
     /* 1711967 */   // Label 23381: @1711967
     /* 1711967 */   GIM_Try, /*On fail goto*//*Label 23382*/ GIMT_Encode4(1712053), // Rule ID 10369 //
     /* 1711972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1711975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1711983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1711986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1711989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1711992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712018 */     // MIs[0] policy
     /* 1712018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712028 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1712031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712052 */     // GIR_Coverage, 10369,
     /* 1712052 */     GIR_EraseRootFromParent_Done,
     /* 1712053 */   // Label 23382: @1712053
     /* 1712053 */   GIM_Try, /*On fail goto*//*Label 23383*/ GIMT_Encode4(1712139), // Rule ID 10370 //
     /* 1712058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1712061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1712069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1712072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1712075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1712078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1712088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712104 */     // MIs[0] policy
     /* 1712104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712114 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1712117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712138 */     // GIR_Coverage, 10370,
     /* 1712138 */     GIR_EraseRootFromParent_Done,
     /* 1712139 */   // Label 23383: @1712139
     /* 1712139 */   GIM_Try, /*On fail goto*//*Label 23384*/ GIMT_Encode4(1712225), // Rule ID 10373 //
     /* 1712144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1712155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1712158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1712161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1712167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712190 */     // MIs[0] policy
     /* 1712190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712200 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1712203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712224 */     // GIR_Coverage, 10373,
     /* 1712224 */     GIR_EraseRootFromParent_Done,
     /* 1712225 */   // Label 23384: @1712225
     /* 1712225 */   GIM_Try, /*On fail goto*//*Label 23385*/ GIMT_Encode4(1712311), // Rule ID 10374 //
     /* 1712230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1712241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1712244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1712247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1712253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712276 */     // MIs[0] policy
     /* 1712276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712286 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1712289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712310 */     // GIR_Coverage, 10374,
     /* 1712310 */     GIR_EraseRootFromParent_Done,
     /* 1712311 */   // Label 23385: @1712311
     /* 1712311 */   GIM_Try, /*On fail goto*//*Label 23386*/ GIMT_Encode4(1712397), // Rule ID 10377 //
     /* 1712316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1712327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1712330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1712333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712362 */     // MIs[0] policy
     /* 1712362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712372 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1712375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712396 */     // GIR_Coverage, 10377,
     /* 1712396 */     GIR_EraseRootFromParent_Done,
     /* 1712397 */   // Label 23386: @1712397
     /* 1712397 */   GIM_Try, /*On fail goto*//*Label 23387*/ GIMT_Encode4(1712483), // Rule ID 10378 //
     /* 1712402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1712413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1712416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1712419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712448 */     // MIs[0] policy
     /* 1712448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712458 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1712461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712482 */     // GIR_Coverage, 10378,
     /* 1712482 */     GIR_EraseRootFromParent_Done,
     /* 1712483 */   // Label 23387: @1712483
     /* 1712483 */   GIM_Try, /*On fail goto*//*Label 23388*/ GIMT_Encode4(1712569), // Rule ID 10381 //
     /* 1712488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1712499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1712502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1712505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712534 */     // MIs[0] policy
     /* 1712534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712544 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1712547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712568 */     // GIR_Coverage, 10381,
     /* 1712568 */     GIR_EraseRootFromParent_Done,
     /* 1712569 */   // Label 23388: @1712569
     /* 1712569 */   GIM_Try, /*On fail goto*//*Label 23389*/ GIMT_Encode4(1712655), // Rule ID 10382 //
     /* 1712574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1712585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1712588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1712591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712620 */     // MIs[0] policy
     /* 1712620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712630 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1712633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712654 */     // GIR_Coverage, 10382,
     /* 1712654 */     GIR_EraseRootFromParent_Done,
     /* 1712655 */   // Label 23389: @1712655
     /* 1712655 */   GIM_Try, /*On fail goto*//*Label 23390*/ GIMT_Encode4(1712741), // Rule ID 10385 //
     /* 1712660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1712671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1712674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1712677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1712683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712706 */     // MIs[0] policy
     /* 1712706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712716 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1712719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712740 */     // GIR_Coverage, 10385,
     /* 1712740 */     GIR_EraseRootFromParent_Done,
     /* 1712741 */   // Label 23390: @1712741
     /* 1712741 */   GIM_Try, /*On fail goto*//*Label 23391*/ GIMT_Encode4(1712827), // Rule ID 10386 //
     /* 1712746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1712757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1712760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1712763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1712769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712792 */     // MIs[0] policy
     /* 1712792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712802 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1712805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712826 */     // GIR_Coverage, 10386,
     /* 1712826 */     GIR_EraseRootFromParent_Done,
     /* 1712827 */   // Label 23391: @1712827
     /* 1712827 */   GIM_Try, /*On fail goto*//*Label 23392*/ GIMT_Encode4(1712913), // Rule ID 10389 //
     /* 1712832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1712843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1712846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1712849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712878 */     // MIs[0] policy
     /* 1712878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712888 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1712891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712912 */     // GIR_Coverage, 10389,
     /* 1712912 */     GIR_EraseRootFromParent_Done,
     /* 1712913 */   // Label 23392: @1712913
     /* 1712913 */   GIM_Try, /*On fail goto*//*Label 23393*/ GIMT_Encode4(1712999), // Rule ID 10390 //
     /* 1712918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1712926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1712929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1712932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1712935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712964 */     // MIs[0] policy
     /* 1712964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712974 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1712977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712998 */     // GIR_Coverage, 10390,
     /* 1712998 */     GIR_EraseRootFromParent_Done,
     /* 1712999 */   // Label 23393: @1712999
     /* 1712999 */   GIM_Try, /*On fail goto*//*Label 23394*/ GIMT_Encode4(1713085), // Rule ID 10393 //
     /* 1713004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1713015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1713018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1713021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713050 */     // MIs[0] policy
     /* 1713050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713060 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1713063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713084 */     // GIR_Coverage, 10393,
     /* 1713084 */     GIR_EraseRootFromParent_Done,
     /* 1713085 */   // Label 23394: @1713085
     /* 1713085 */   GIM_Try, /*On fail goto*//*Label 23395*/ GIMT_Encode4(1713171), // Rule ID 10394 //
     /* 1713090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1713101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1713104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1713107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713136 */     // MIs[0] policy
     /* 1713136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1713149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713170 */     // GIR_Coverage, 10394,
     /* 1713170 */     GIR_EraseRootFromParent_Done,
     /* 1713171 */   // Label 23395: @1713171
     /* 1713171 */   GIM_Try, /*On fail goto*//*Label 23396*/ GIMT_Encode4(1713257), // Rule ID 10397 //
     /* 1713176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1713187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1713190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1713193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713222 */     // MIs[0] policy
     /* 1713222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713232 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1713235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713256 */     // GIR_Coverage, 10397,
     /* 1713256 */     GIR_EraseRootFromParent_Done,
     /* 1713257 */   // Label 23396: @1713257
     /* 1713257 */   GIM_Try, /*On fail goto*//*Label 23397*/ GIMT_Encode4(1713343), // Rule ID 10398 //
     /* 1713262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1713273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1713276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1713279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713308 */     // MIs[0] policy
     /* 1713308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713318 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11332:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1713321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713342 */     // GIR_Coverage, 10398,
     /* 1713342 */     GIR_EraseRootFromParent_Done,
     /* 1713343 */   // Label 23397: @1713343
     /* 1713343 */   GIM_Try, /*On fail goto*//*Label 23398*/ GIMT_Encode4(1713429), // Rule ID 10401 //
     /* 1713348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1713359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1713362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1713365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713394 */     // MIs[0] policy
     /* 1713394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713404 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1713407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713428 */     // GIR_Coverage, 10401,
     /* 1713428 */     GIR_EraseRootFromParent_Done,
     /* 1713429 */   // Label 23398: @1713429
     /* 1713429 */   GIM_Try, /*On fail goto*//*Label 23399*/ GIMT_Encode4(1713515), // Rule ID 10402 //
     /* 1713434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1713445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1713448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1713451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713480 */     // MIs[0] policy
     /* 1713480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713490 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1713493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713514 */     // GIR_Coverage, 10402,
     /* 1713514 */     GIR_EraseRootFromParent_Done,
     /* 1713515 */   // Label 23399: @1713515
     /* 1713515 */   GIM_Try, /*On fail goto*//*Label 23400*/ GIMT_Encode4(1713601), // Rule ID 10405 //
     /* 1713520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1713531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1713534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1713537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713566 */     // MIs[0] policy
     /* 1713566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713576 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1713579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713600 */     // GIR_Coverage, 10405,
     /* 1713600 */     GIR_EraseRootFromParent_Done,
     /* 1713601 */   // Label 23400: @1713601
     /* 1713601 */   GIM_Try, /*On fail goto*//*Label 23401*/ GIMT_Encode4(1713687), // Rule ID 10406 //
     /* 1713606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1713617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1713620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1713623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713652 */     // MIs[0] policy
     /* 1713652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713662 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1713665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713686 */     // GIR_Coverage, 10406,
     /* 1713686 */     GIR_EraseRootFromParent_Done,
     /* 1713687 */   // Label 23401: @1713687
     /* 1713687 */   GIM_Try, /*On fail goto*//*Label 23402*/ GIMT_Encode4(1713773), // Rule ID 10409 //
     /* 1713692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1713695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1713703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1713706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1713709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713738 */     // MIs[0] policy
     /* 1713738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713748 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1713751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713772 */     // GIR_Coverage, 10409,
     /* 1713772 */     GIR_EraseRootFromParent_Done,
     /* 1713773 */   // Label 23402: @1713773
     /* 1713773 */   GIM_Try, /*On fail goto*//*Label 23403*/ GIMT_Encode4(1713859), // Rule ID 10410 //
     /* 1713778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1713781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1713789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1713792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1713795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713824 */     // MIs[0] policy
     /* 1713824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713834 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1713837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1713855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713858 */     // GIR_Coverage, 10410,
     /* 1713858 */     GIR_EraseRootFromParent_Done,
     /* 1713859 */   // Label 23403: @1713859
     /* 1713859 */   GIM_Try, /*On fail goto*//*Label 23404*/ GIMT_Encode4(1713945), // Rule ID 10413 //
     /* 1713864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1713875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1713878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1713881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1713887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713910 */     // MIs[0] policy
     /* 1713910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713920 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1713923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713944 */     // GIR_Coverage, 10413,
     /* 1713944 */     GIR_EraseRootFromParent_Done,
     /* 1713945 */   // Label 23404: @1713945
     /* 1713945 */   GIM_Try, /*On fail goto*//*Label 23405*/ GIMT_Encode4(1714031), // Rule ID 10414 //
     /* 1713950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1713958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1713961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1713964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1713967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1713973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713996 */     // MIs[0] policy
     /* 1713996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714006 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1714009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714030 */     // GIR_Coverage, 10414,
     /* 1714030 */     GIR_EraseRootFromParent_Done,
     /* 1714031 */   // Label 23405: @1714031
     /* 1714031 */   GIM_Try, /*On fail goto*//*Label 23406*/ GIMT_Encode4(1714117), // Rule ID 10417 //
     /* 1714036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1714047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1714050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1714053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1714059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1714066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714082 */     // MIs[0] policy
     /* 1714082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714092 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1714095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714116 */     // GIR_Coverage, 10417,
     /* 1714116 */     GIR_EraseRootFromParent_Done,
     /* 1714117 */   // Label 23406: @1714117
     /* 1714117 */   GIM_Try, /*On fail goto*//*Label 23407*/ GIMT_Encode4(1714203), // Rule ID 10418 //
     /* 1714122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1714133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1714136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1714139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1714145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1714152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714168 */     // MIs[0] policy
     /* 1714168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714178 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1714181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714202 */     // GIR_Coverage, 10418,
     /* 1714202 */     GIR_EraseRootFromParent_Done,
     /* 1714203 */   // Label 23407: @1714203
     /* 1714203 */   GIM_Try, /*On fail goto*//*Label 23408*/ GIMT_Encode4(1714289), // Rule ID 10421 //
     /* 1714208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1714219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1714222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1714225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1714231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1714238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714254 */     // MIs[0] policy
     /* 1714254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714264 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1714267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714288 */     // GIR_Coverage, 10421,
     /* 1714288 */     GIR_EraseRootFromParent_Done,
     /* 1714289 */   // Label 23408: @1714289
     /* 1714289 */   GIM_Try, /*On fail goto*//*Label 23409*/ GIMT_Encode4(1714375), // Rule ID 10422 //
     /* 1714294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1714305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1714308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1714311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1714317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1714324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714340 */     // MIs[0] policy
     /* 1714340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714350 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1714353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714374 */     // GIR_Coverage, 10422,
     /* 1714374 */     GIR_EraseRootFromParent_Done,
     /* 1714375 */   // Label 23409: @1714375
     /* 1714375 */   GIM_Try, /*On fail goto*//*Label 23410*/ GIMT_Encode4(1714461), // Rule ID 10425 //
     /* 1714380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1714391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1714394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1714397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1714410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714426 */     // MIs[0] policy
     /* 1714426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714436 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1714439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714460 */     // GIR_Coverage, 10425,
     /* 1714460 */     GIR_EraseRootFromParent_Done,
     /* 1714461 */   // Label 23410: @1714461
     /* 1714461 */   GIM_Try, /*On fail goto*//*Label 23411*/ GIMT_Encode4(1714547), // Rule ID 10426 //
     /* 1714466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1714477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1714480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1714483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1714496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714512 */     // MIs[0] policy
     /* 1714512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714522 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1714525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714546 */     // GIR_Coverage, 10426,
     /* 1714546 */     GIR_EraseRootFromParent_Done,
     /* 1714547 */   // Label 23411: @1714547
     /* 1714547 */   GIM_Try, /*On fail goto*//*Label 23412*/ GIMT_Encode4(1714633), // Rule ID 10429 //
     /* 1714552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1714563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1714566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1714569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1714575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1714582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714598 */     // MIs[0] policy
     /* 1714598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714608 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1714611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714632 */     // GIR_Coverage, 10429,
     /* 1714632 */     GIR_EraseRootFromParent_Done,
     /* 1714633 */   // Label 23412: @1714633
     /* 1714633 */   GIM_Try, /*On fail goto*//*Label 23413*/ GIMT_Encode4(1714719), // Rule ID 10430 //
     /* 1714638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1714649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1714652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1714655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1714661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1714668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714684 */     // MIs[0] policy
     /* 1714684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714694 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1714697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714718 */     // GIR_Coverage, 10430,
     /* 1714718 */     GIR_EraseRootFromParent_Done,
     /* 1714719 */   // Label 23413: @1714719
     /* 1714719 */   GIM_Try, /*On fail goto*//*Label 23414*/ GIMT_Encode4(1714805), // Rule ID 10433 //
     /* 1714724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1714735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1714738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1714741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1714747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1714754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714770 */     // MIs[0] policy
     /* 1714770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714780 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1714783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714804 */     // GIR_Coverage, 10433,
     /* 1714804 */     GIR_EraseRootFromParent_Done,
     /* 1714805 */   // Label 23414: @1714805
     /* 1714805 */   GIM_Try, /*On fail goto*//*Label 23415*/ GIMT_Encode4(1714891), // Rule ID 10434 //
     /* 1714810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1714821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1714824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1714827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1714833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1714840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714856 */     // MIs[0] policy
     /* 1714856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714866 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1714869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714890 */     // GIR_Coverage, 10434,
     /* 1714890 */     GIR_EraseRootFromParent_Done,
     /* 1714891 */   // Label 23415: @1714891
     /* 1714891 */   GIM_Try, /*On fail goto*//*Label 23416*/ GIMT_Encode4(1714977), // Rule ID 10437 //
     /* 1714896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1714907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1714910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1714913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1714926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714942 */     // MIs[0] policy
     /* 1714942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714952 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1714955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714976 */     // GIR_Coverage, 10437,
     /* 1714976 */     GIR_EraseRootFromParent_Done,
     /* 1714977 */   // Label 23416: @1714977
     /* 1714977 */   GIM_Try, /*On fail goto*//*Label 23417*/ GIMT_Encode4(1715063), // Rule ID 10438 //
     /* 1714982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1714990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1714993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1714996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1714999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1715005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715028 */     // MIs[0] policy
     /* 1715028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715038 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1715041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715062 */     // GIR_Coverage, 10438,
     /* 1715062 */     GIR_EraseRootFromParent_Done,
     /* 1715063 */   // Label 23417: @1715063
     /* 1715063 */   GIM_Try, /*On fail goto*//*Label 23418*/ GIMT_Encode4(1715149), // Rule ID 10441 //
     /* 1715068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1715079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1715082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1715085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715114 */     // MIs[0] policy
     /* 1715114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715124 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1715127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715148 */     // GIR_Coverage, 10441,
     /* 1715148 */     GIR_EraseRootFromParent_Done,
     /* 1715149 */   // Label 23418: @1715149
     /* 1715149 */   GIM_Try, /*On fail goto*//*Label 23419*/ GIMT_Encode4(1715235), // Rule ID 10442 //
     /* 1715154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1715165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1715168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1715171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715200 */     // MIs[0] policy
     /* 1715200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715210 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1715213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715234 */     // GIR_Coverage, 10442,
     /* 1715234 */     GIR_EraseRootFromParent_Done,
     /* 1715235 */   // Label 23419: @1715235
     /* 1715235 */   GIM_Try, /*On fail goto*//*Label 23420*/ GIMT_Encode4(1715321), // Rule ID 10445 //
     /* 1715240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1715251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1715254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1715257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715286 */     // MIs[0] policy
     /* 1715286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715296 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1715299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715320 */     // GIR_Coverage, 10445,
     /* 1715320 */     GIR_EraseRootFromParent_Done,
     /* 1715321 */   // Label 23420: @1715321
     /* 1715321 */   GIM_Try, /*On fail goto*//*Label 23421*/ GIMT_Encode4(1715407), // Rule ID 10446 //
     /* 1715326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1715337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1715340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1715343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715372 */     // MIs[0] policy
     /* 1715372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715382 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1715385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715406 */     // GIR_Coverage, 10446,
     /* 1715406 */     GIR_EraseRootFromParent_Done,
     /* 1715407 */   // Label 23421: @1715407
     /* 1715407 */   GIM_Try, /*On fail goto*//*Label 23422*/ GIMT_Encode4(1715493), // Rule ID 10449 //
     /* 1715412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1715415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1715423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1715426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1715429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1715435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715458 */     // MIs[0] policy
     /* 1715458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715468 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1715471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715492 */     // GIR_Coverage, 10449,
     /* 1715492 */     GIR_EraseRootFromParent_Done,
     /* 1715493 */   // Label 23422: @1715493
     /* 1715493 */   GIM_Try, /*On fail goto*//*Label 23423*/ GIMT_Encode4(1715579), // Rule ID 10450 //
     /* 1715498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1715501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1715509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1715512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1715515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1715521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715544 */     // MIs[0] policy
     /* 1715544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715554 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11332:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1715557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715578 */     // GIR_Coverage, 10450,
     /* 1715578 */     GIR_EraseRootFromParent_Done,
     /* 1715579 */   // Label 23423: @1715579
     /* 1715579 */   GIM_Try, /*On fail goto*//*Label 23424*/ GIMT_Encode4(1715665), // Rule ID 10453 //
     /* 1715584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1715587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1715595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1715598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1715601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1715607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715630 */     // MIs[0] policy
     /* 1715630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715640 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1715643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715664 */     // GIR_Coverage, 10453,
     /* 1715664 */     GIR_EraseRootFromParent_Done,
     /* 1715665 */   // Label 23424: @1715665
     /* 1715665 */   GIM_Try, /*On fail goto*//*Label 23425*/ GIMT_Encode4(1715751), // Rule ID 10454 //
     /* 1715670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1715673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1715681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1715684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1715687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1715693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715716 */     // MIs[0] policy
     /* 1715716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715726 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11332:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1715729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715750 */     // GIR_Coverage, 10454,
     /* 1715750 */     GIR_EraseRootFromParent_Done,
     /* 1715751 */   // Label 23425: @1715751
     /* 1715751 */   GIM_Try, /*On fail goto*//*Label 23426*/ GIMT_Encode4(1715837), // Rule ID 10457 //
     /* 1715756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1715759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1715767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1715770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1715773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715802 */     // MIs[0] policy
     /* 1715802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715812 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1715815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715836 */     // GIR_Coverage, 10457,
     /* 1715836 */     GIR_EraseRootFromParent_Done,
     /* 1715837 */   // Label 23426: @1715837
     /* 1715837 */   GIM_Try, /*On fail goto*//*Label 23427*/ GIMT_Encode4(1715923), // Rule ID 10458 //
     /* 1715842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1715845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1715850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1715853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1715856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1715859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715888 */     // MIs[0] policy
     /* 1715888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715898 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11332:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1715901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715922 */     // GIR_Coverage, 10458,
     /* 1715922 */     GIR_EraseRootFromParent_Done,
     /* 1715923 */   // Label 23427: @1715923
     /* 1715923 */   GIM_Try, /*On fail goto*//*Label 23428*/ GIMT_Encode4(1716009), // Rule ID 10461 //
     /* 1715928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1715936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1715939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1715942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1715945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1715948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715974 */     // MIs[0] policy
     /* 1715974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715984 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1715987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716008 */     // GIR_Coverage, 10461,
     /* 1716008 */     GIR_EraseRootFromParent_Done,
     /* 1716009 */   // Label 23428: @1716009
     /* 1716009 */   GIM_Try, /*On fail goto*//*Label 23429*/ GIMT_Encode4(1716095), // Rule ID 10462 //
     /* 1716014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1716025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1716028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1716031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1716034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1716037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716060 */     // MIs[0] policy
     /* 1716060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716070 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1716073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716094 */     // GIR_Coverage, 10462,
     /* 1716094 */     GIR_EraseRootFromParent_Done,
     /* 1716095 */   // Label 23429: @1716095
     /* 1716095 */   GIM_Try, /*On fail goto*//*Label 23430*/ GIMT_Encode4(1716181), // Rule ID 10465 //
     /* 1716100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1716111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1716114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1716117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1716120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716146 */     // MIs[0] policy
     /* 1716146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716156 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1716159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716180 */     // GIR_Coverage, 10465,
     /* 1716180 */     GIR_EraseRootFromParent_Done,
     /* 1716181 */   // Label 23430: @1716181
     /* 1716181 */   GIM_Try, /*On fail goto*//*Label 23431*/ GIMT_Encode4(1716267), // Rule ID 10466 //
     /* 1716186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1716197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1716200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1716203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1716206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716232 */     // MIs[0] policy
     /* 1716232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716242 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1716245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716266 */     // GIR_Coverage, 10466,
     /* 1716266 */     GIR_EraseRootFromParent_Done,
     /* 1716267 */   // Label 23431: @1716267
     /* 1716267 */   GIM_Try, /*On fail goto*//*Label 23432*/ GIMT_Encode4(1716353), // Rule ID 10469 //
     /* 1716272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1716283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1716286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1716289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1716292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716318 */     // MIs[0] policy
     /* 1716318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716328 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1716331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716352 */     // GIR_Coverage, 10469,
     /* 1716352 */     GIR_EraseRootFromParent_Done,
     /* 1716353 */   // Label 23432: @1716353
     /* 1716353 */   GIM_Try, /*On fail goto*//*Label 23433*/ GIMT_Encode4(1716439), // Rule ID 10470 //
     /* 1716358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1716369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1716372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1716375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1716378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716404 */     // MIs[0] policy
     /* 1716404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716414 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1716417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716438 */     // GIR_Coverage, 10470,
     /* 1716438 */     GIR_EraseRootFromParent_Done,
     /* 1716439 */   // Label 23433: @1716439
     /* 1716439 */   GIM_Try, /*On fail goto*//*Label 23434*/ GIMT_Encode4(1716525), // Rule ID 10473 //
     /* 1716444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1716455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1716458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1716461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1716464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1716467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716490 */     // MIs[0] policy
     /* 1716490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716500 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1716503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716524 */     // GIR_Coverage, 10473,
     /* 1716524 */     GIR_EraseRootFromParent_Done,
     /* 1716525 */   // Label 23434: @1716525
     /* 1716525 */   GIM_Try, /*On fail goto*//*Label 23435*/ GIMT_Encode4(1716611), // Rule ID 10474 //
     /* 1716530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1716541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1716544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1716547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1716550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1716553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716576 */     // MIs[0] policy
     /* 1716576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716586 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1716589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716610 */     // GIR_Coverage, 10474,
     /* 1716610 */     GIR_EraseRootFromParent_Done,
     /* 1716611 */   // Label 23435: @1716611
     /* 1716611 */   GIM_Try, /*On fail goto*//*Label 23436*/ GIMT_Encode4(1716697), // Rule ID 10477 //
     /* 1716616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1716627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1716630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1716633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1716636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716662 */     // MIs[0] policy
     /* 1716662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716672 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1716675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716696 */     // GIR_Coverage, 10477,
     /* 1716696 */     GIR_EraseRootFromParent_Done,
     /* 1716697 */   // Label 23436: @1716697
     /* 1716697 */   GIM_Try, /*On fail goto*//*Label 23437*/ GIMT_Encode4(1716783), // Rule ID 10478 //
     /* 1716702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1716713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1716716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1716719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1716722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716748 */     // MIs[0] policy
     /* 1716748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716758 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1716761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716782 */     // GIR_Coverage, 10478,
     /* 1716782 */     GIR_EraseRootFromParent_Done,
     /* 1716783 */   // Label 23437: @1716783
     /* 1716783 */   GIM_Try, /*On fail goto*//*Label 23438*/ GIMT_Encode4(1716869), // Rule ID 10481 //
     /* 1716788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1716799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1716802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1716805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1716808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1716811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716834 */     // MIs[0] policy
     /* 1716834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716844 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1716847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716868 */     // GIR_Coverage, 10481,
     /* 1716868 */     GIR_EraseRootFromParent_Done,
     /* 1716869 */   // Label 23438: @1716869
     /* 1716869 */   GIM_Try, /*On fail goto*//*Label 23439*/ GIMT_Encode4(1716955), // Rule ID 10482 //
     /* 1716874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1716885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1716888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1716891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1716894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1716897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716920 */     // MIs[0] policy
     /* 1716920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716930 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1716933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716954 */     // GIR_Coverage, 10482,
     /* 1716954 */     GIR_EraseRootFromParent_Done,
     /* 1716955 */   // Label 23439: @1716955
     /* 1716955 */   GIM_Try, /*On fail goto*//*Label 23440*/ GIMT_Encode4(1717041), // Rule ID 10485 //
     /* 1716960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1716971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1716974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1716977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1716980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717006 */     // MIs[0] policy
     /* 1717006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717016 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11316:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1717019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717040 */     // GIR_Coverage, 10485,
     /* 1717040 */     GIR_EraseRootFromParent_Done,
     /* 1717041 */   // Label 23440: @1717041
     /* 1717041 */   GIM_Try, /*On fail goto*//*Label 23441*/ GIMT_Encode4(1717127), // Rule ID 10486 //
     /* 1717046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1717057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1717060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1717063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1717066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717092 */     // MIs[0] policy
     /* 1717092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11316:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1717105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717126 */     // GIR_Coverage, 10486,
     /* 1717126 */     GIR_EraseRootFromParent_Done,
     /* 1717127 */   // Label 23441: @1717127
     /* 1717127 */   GIM_Try, /*On fail goto*//*Label 23442*/ GIMT_Encode4(1717213), // Rule ID 10489 //
     /* 1717132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1717143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1717146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1717149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1717152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717178 */     // MIs[0] policy
     /* 1717178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717188 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1717191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717212 */     // GIR_Coverage, 10489,
     /* 1717212 */     GIR_EraseRootFromParent_Done,
     /* 1717213 */   // Label 23442: @1717213
     /* 1717213 */   GIM_Try, /*On fail goto*//*Label 23443*/ GIMT_Encode4(1717299), // Rule ID 10490 //
     /* 1717218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1717229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1717232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1717235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1717238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717264 */     // MIs[0] policy
     /* 1717264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717274 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1717277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717298 */     // GIR_Coverage, 10490,
     /* 1717298 */     GIR_EraseRootFromParent_Done,
     /* 1717299 */   // Label 23443: @1717299
     /* 1717299 */   GIM_Try, /*On fail goto*//*Label 23444*/ GIMT_Encode4(1717385), // Rule ID 10493 //
     /* 1717304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1717315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1717318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1717321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1717324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717350 */     // MIs[0] policy
     /* 1717350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717360 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1717363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717384 */     // GIR_Coverage, 10493,
     /* 1717384 */     GIR_EraseRootFromParent_Done,
     /* 1717385 */   // Label 23444: @1717385
     /* 1717385 */   GIM_Try, /*On fail goto*//*Label 23445*/ GIMT_Encode4(1717471), // Rule ID 10494 //
     /* 1717390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1717401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1717404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1717407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1717410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717436 */     // MIs[0] policy
     /* 1717436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717446 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1717449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717470 */     // GIR_Coverage, 10494,
     /* 1717470 */     GIR_EraseRootFromParent_Done,
     /* 1717471 */   // Label 23445: @1717471
     /* 1717471 */   GIM_Try, /*On fail goto*//*Label 23446*/ GIMT_Encode4(1717557), // Rule ID 10497 //
     /* 1717476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1717479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1717487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1717490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1717493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1717496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717522 */     // MIs[0] policy
     /* 1717522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717532 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1717535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717556 */     // GIR_Coverage, 10497,
     /* 1717556 */     GIR_EraseRootFromParent_Done,
     /* 1717557 */   // Label 23446: @1717557
     /* 1717557 */   GIM_Try, /*On fail goto*//*Label 23447*/ GIMT_Encode4(1717643), // Rule ID 10498 //
     /* 1717562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1717565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1717573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1717576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1717579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1717582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717608 */     // MIs[0] policy
     /* 1717608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717618 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1717621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717642 */     // GIR_Coverage, 10498,
     /* 1717642 */     GIR_EraseRootFromParent_Done,
     /* 1717643 */   // Label 23447: @1717643
     /* 1717643 */   GIM_Try, /*On fail goto*//*Label 23448*/ GIMT_Encode4(1717729), // Rule ID 10501 //
     /* 1717648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1717659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1717662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1717665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1717668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1717671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1717678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717694 */     // MIs[0] policy
     /* 1717694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717704 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1717707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717728 */     // GIR_Coverage, 10501,
     /* 1717728 */     GIR_EraseRootFromParent_Done,
     /* 1717729 */   // Label 23448: @1717729
     /* 1717729 */   GIM_Try, /*On fail goto*//*Label 23449*/ GIMT_Encode4(1717815), // Rule ID 10502 //
     /* 1717734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1717745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1717748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1717751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1717754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1717757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1717764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717780 */     // MIs[0] policy
     /* 1717780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717790 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1717793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717814 */     // GIR_Coverage, 10502,
     /* 1717814 */     GIR_EraseRootFromParent_Done,
     /* 1717815 */   // Label 23449: @1717815
     /* 1717815 */   GIM_Try, /*On fail goto*//*Label 23450*/ GIMT_Encode4(1717901), // Rule ID 10505 //
     /* 1717820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1717831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1717834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1717837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1717840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1717843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1717850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717866 */     // MIs[0] policy
     /* 1717866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717876 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1717879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717900 */     // GIR_Coverage, 10505,
     /* 1717900 */     GIR_EraseRootFromParent_Done,
     /* 1717901 */   // Label 23450: @1717901
     /* 1717901 */   GIM_Try, /*On fail goto*//*Label 23451*/ GIMT_Encode4(1717987), // Rule ID 10506 //
     /* 1717906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1717917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1717920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1717923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1717926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1717929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1717936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717952 */     // MIs[0] policy
     /* 1717952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717962 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1717965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717986 */     // GIR_Coverage, 10506,
     /* 1717986 */     GIR_EraseRootFromParent_Done,
     /* 1717987 */   // Label 23451: @1717987
     /* 1717987 */   GIM_Try, /*On fail goto*//*Label 23452*/ GIMT_Encode4(1718073), // Rule ID 10509 //
     /* 1717992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1718003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1718006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1718009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1718012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1718015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1718022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718038 */     // MIs[0] policy
     /* 1718038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718048 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1718051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718072 */     // GIR_Coverage, 10509,
     /* 1718072 */     GIR_EraseRootFromParent_Done,
     /* 1718073 */   // Label 23452: @1718073
     /* 1718073 */   GIM_Try, /*On fail goto*//*Label 23453*/ GIMT_Encode4(1718159), // Rule ID 10510 //
     /* 1718078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1718089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1718092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1718095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1718098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1718101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1718108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718124 */     // MIs[0] policy
     /* 1718124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718134 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1718137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718158 */     // GIR_Coverage, 10510,
     /* 1718158 */     GIR_EraseRootFromParent_Done,
     /* 1718159 */   // Label 23453: @1718159
     /* 1718159 */   GIM_Try, /*On fail goto*//*Label 23454*/ GIMT_Encode4(1718245), // Rule ID 10513 //
     /* 1718164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1718175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1718178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1718181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1718184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1718194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718210 */     // MIs[0] policy
     /* 1718210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718220 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1718223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718244 */     // GIR_Coverage, 10513,
     /* 1718244 */     GIR_EraseRootFromParent_Done,
     /* 1718245 */   // Label 23454: @1718245
     /* 1718245 */   GIM_Try, /*On fail goto*//*Label 23455*/ GIMT_Encode4(1718331), // Rule ID 10514 //
     /* 1718250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1718261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1718264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1718267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1718270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1718280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718296 */     // MIs[0] policy
     /* 1718296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718306 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1718309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718330 */     // GIR_Coverage, 10514,
     /* 1718330 */     GIR_EraseRootFromParent_Done,
     /* 1718331 */   // Label 23455: @1718331
     /* 1718331 */   GIM_Try, /*On fail goto*//*Label 23456*/ GIMT_Encode4(1718417), // Rule ID 10517 //
     /* 1718336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1718347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1718350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1718353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1718356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1718359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1718366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718382 */     // MIs[0] policy
     /* 1718382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718392 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1718395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718416 */     // GIR_Coverage, 10517,
     /* 1718416 */     GIR_EraseRootFromParent_Done,
     /* 1718417 */   // Label 23456: @1718417
     /* 1718417 */   GIM_Try, /*On fail goto*//*Label 23457*/ GIMT_Encode4(1718503), // Rule ID 10518 //
     /* 1718422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1718433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1718436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1718439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1718442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1718445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1718452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718468 */     // MIs[0] policy
     /* 1718468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718478 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1718481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718502 */     // GIR_Coverage, 10518,
     /* 1718502 */     GIR_EraseRootFromParent_Done,
     /* 1718503 */   // Label 23457: @1718503
     /* 1718503 */   GIM_Try, /*On fail goto*//*Label 23458*/ GIMT_Encode4(1718589), // Rule ID 10521 //
     /* 1718508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1718519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1718522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1718525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1718528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1718531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1718538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718554 */     // MIs[0] policy
     /* 1718554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718564 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1718567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718588 */     // GIR_Coverage, 10521,
     /* 1718588 */     GIR_EraseRootFromParent_Done,
     /* 1718589 */   // Label 23458: @1718589
     /* 1718589 */   GIM_Try, /*On fail goto*//*Label 23459*/ GIMT_Encode4(1718675), // Rule ID 10522 //
     /* 1718594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1718605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1718608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1718611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1718614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1718617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1718624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718640 */     // MIs[0] policy
     /* 1718640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718650 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1718653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718674 */     // GIR_Coverage, 10522,
     /* 1718674 */     GIR_EraseRootFromParent_Done,
     /* 1718675 */   // Label 23459: @1718675
     /* 1718675 */   GIM_Try, /*On fail goto*//*Label 23460*/ GIMT_Encode4(1718761), // Rule ID 10525 //
     /* 1718680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1718691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1718694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1718697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1718700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1718710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718726 */     // MIs[0] policy
     /* 1718726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718736 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1718739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718760 */     // GIR_Coverage, 10525,
     /* 1718760 */     GIR_EraseRootFromParent_Done,
     /* 1718761 */   // Label 23460: @1718761
     /* 1718761 */   GIM_Try, /*On fail goto*//*Label 23461*/ GIMT_Encode4(1718847), // Rule ID 10526 //
     /* 1718766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1718777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1718780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1718783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1718786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1718796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718812 */     // MIs[0] policy
     /* 1718812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718822 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1718825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718846 */     // GIR_Coverage, 10526,
     /* 1718846 */     GIR_EraseRootFromParent_Done,
     /* 1718847 */   // Label 23461: @1718847
     /* 1718847 */   GIM_Try, /*On fail goto*//*Label 23462*/ GIMT_Encode4(1718933), // Rule ID 10529 //
     /* 1718852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1718863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1718866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1718869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1718872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1718882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718898 */     // MIs[0] policy
     /* 1718898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718908 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1718911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718932 */     // GIR_Coverage, 10529,
     /* 1718932 */     GIR_EraseRootFromParent_Done,
     /* 1718933 */   // Label 23462: @1718933
     /* 1718933 */   GIM_Try, /*On fail goto*//*Label 23463*/ GIMT_Encode4(1719019), // Rule ID 10530 //
     /* 1718938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1718949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1718952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1718955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1718958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1718968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718984 */     // MIs[0] policy
     /* 1718984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718994 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1718997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719018 */     // GIR_Coverage, 10530,
     /* 1719018 */     GIR_EraseRootFromParent_Done,
     /* 1719019 */   // Label 23463: @1719019
     /* 1719019 */   GIM_Try, /*On fail goto*//*Label 23464*/ GIMT_Encode4(1719105), // Rule ID 10533 //
     /* 1719024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1719035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1719038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1719041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1719044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719070 */     // MIs[0] policy
     /* 1719070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719080 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1719083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719104 */     // GIR_Coverage, 10533,
     /* 1719104 */     GIR_EraseRootFromParent_Done,
     /* 1719105 */   // Label 23464: @1719105
     /* 1719105 */   GIM_Try, /*On fail goto*//*Label 23465*/ GIMT_Encode4(1719191), // Rule ID 10534 //
     /* 1719110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1719121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1719124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1719127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1719130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719156 */     // MIs[0] policy
     /* 1719156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719166 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1719169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719190 */     // GIR_Coverage, 10534,
     /* 1719190 */     GIR_EraseRootFromParent_Done,
     /* 1719191 */   // Label 23465: @1719191
     /* 1719191 */   GIM_Try, /*On fail goto*//*Label 23466*/ GIMT_Encode4(1719277), // Rule ID 10537 //
     /* 1719196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1719199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1719207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1719210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1719213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1719216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1719219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719242 */     // MIs[0] policy
     /* 1719242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719252 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1719255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719276 */     // GIR_Coverage, 10537,
     /* 1719276 */     GIR_EraseRootFromParent_Done,
     /* 1719277 */   // Label 23466: @1719277
     /* 1719277 */   GIM_Try, /*On fail goto*//*Label 23467*/ GIMT_Encode4(1719363), // Rule ID 10538 //
     /* 1719282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1719285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1719293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1719296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1719299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1719302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1719305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719328 */     // MIs[0] policy
     /* 1719328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719338 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1719341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719362 */     // GIR_Coverage, 10538,
     /* 1719362 */     GIR_EraseRootFromParent_Done,
     /* 1719363 */   // Label 23467: @1719363
     /* 1719363 */   GIM_Try, /*On fail goto*//*Label 23468*/ GIMT_Encode4(1719449), // Rule ID 10541 //
     /* 1719368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1719371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1719379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1719382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1719385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1719388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1719391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719414 */     // MIs[0] policy
     /* 1719414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719424 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1719427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719448 */     // GIR_Coverage, 10541,
     /* 1719448 */     GIR_EraseRootFromParent_Done,
     /* 1719449 */   // Label 23468: @1719449
     /* 1719449 */   GIM_Try, /*On fail goto*//*Label 23469*/ GIMT_Encode4(1719535), // Rule ID 10542 //
     /* 1719454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1719457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1719465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1719468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1719471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1719474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1719477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719500 */     // MIs[0] policy
     /* 1719500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719510 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1719513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719534 */     // GIR_Coverage, 10542,
     /* 1719534 */     GIR_EraseRootFromParent_Done,
     /* 1719535 */   // Label 23469: @1719535
     /* 1719535 */   GIM_Try, /*On fail goto*//*Label 23470*/ GIMT_Encode4(1719621), // Rule ID 10545 //
     /* 1719540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1719543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1719551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1719554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1719557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1719560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719586 */     // MIs[0] policy
     /* 1719586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719596 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1719599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719620 */     // GIR_Coverage, 10545,
     /* 1719620 */     GIR_EraseRootFromParent_Done,
     /* 1719621 */   // Label 23470: @1719621
     /* 1719621 */   GIM_Try, /*On fail goto*//*Label 23471*/ GIMT_Encode4(1719707), // Rule ID 10546 //
     /* 1719626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1719629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1719637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1719640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1719643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1719646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719672 */     // MIs[0] policy
     /* 1719672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719682 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1719685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719706 */     // GIR_Coverage, 10546,
     /* 1719706 */     GIR_EraseRootFromParent_Done,
     /* 1719707 */   // Label 23471: @1719707
     /* 1719707 */   GIM_Try, /*On fail goto*//*Label 23472*/ GIMT_Encode4(1719793), // Rule ID 10549 //
     /* 1719712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1719723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1719726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1719729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1719732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1719735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719758 */     // MIs[0] policy
     /* 1719758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719768 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1719771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719792 */     // GIR_Coverage, 10549,
     /* 1719792 */     GIR_EraseRootFromParent_Done,
     /* 1719793 */   // Label 23472: @1719793
     /* 1719793 */   GIM_Try, /*On fail goto*//*Label 23473*/ GIMT_Encode4(1719879), // Rule ID 10550 //
     /* 1719798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1719809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1719812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1719815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1719818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1719821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719844 */     // MIs[0] policy
     /* 1719844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719854 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1719857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719878 */     // GIR_Coverage, 10550,
     /* 1719878 */     GIR_EraseRootFromParent_Done,
     /* 1719879 */   // Label 23473: @1719879
     /* 1719879 */   GIM_Try, /*On fail goto*//*Label 23474*/ GIMT_Encode4(1719965), // Rule ID 10553 //
     /* 1719884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1719895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1719898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1719901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1719904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1719907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719930 */     // MIs[0] policy
     /* 1719930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719940 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1719943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719964 */     // GIR_Coverage, 10553,
     /* 1719964 */     GIR_EraseRootFromParent_Done,
     /* 1719965 */   // Label 23474: @1719965
     /* 1719965 */   GIM_Try, /*On fail goto*//*Label 23475*/ GIMT_Encode4(1720051), // Rule ID 10554 //
     /* 1719970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1719978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1719981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1719984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1719987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1719990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1719993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720016 */     // MIs[0] policy
     /* 1720016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720026 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1720029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720050 */     // GIR_Coverage, 10554,
     /* 1720050 */     GIR_EraseRootFromParent_Done,
     /* 1720051 */   // Label 23475: @1720051
     /* 1720051 */   GIM_Try, /*On fail goto*//*Label 23476*/ GIMT_Encode4(1720137), // Rule ID 10557 //
     /* 1720056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1720067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1720070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1720073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720102 */     // MIs[0] policy
     /* 1720102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720112 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1720115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720136 */     // GIR_Coverage, 10557,
     /* 1720136 */     GIR_EraseRootFromParent_Done,
     /* 1720137 */   // Label 23476: @1720137
     /* 1720137 */   GIM_Try, /*On fail goto*//*Label 23477*/ GIMT_Encode4(1720223), // Rule ID 10558 //
     /* 1720142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1720153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1720156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1720159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720188 */     // MIs[0] policy
     /* 1720188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720198 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1720201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720222 */     // GIR_Coverage, 10558,
     /* 1720222 */     GIR_EraseRootFromParent_Done,
     /* 1720223 */   // Label 23477: @1720223
     /* 1720223 */   GIM_Try, /*On fail goto*//*Label 23478*/ GIMT_Encode4(1720309), // Rule ID 10561 //
     /* 1720228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1720239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1720242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1720245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1720251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720274 */     // MIs[0] policy
     /* 1720274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720284 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1720287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720308 */     // GIR_Coverage, 10561,
     /* 1720308 */     GIR_EraseRootFromParent_Done,
     /* 1720309 */   // Label 23478: @1720309
     /* 1720309 */   GIM_Try, /*On fail goto*//*Label 23479*/ GIMT_Encode4(1720395), // Rule ID 10562 //
     /* 1720314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1720325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1720328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1720331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1720337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720360 */     // MIs[0] policy
     /* 1720360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720370 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1720373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720394 */     // GIR_Coverage, 10562,
     /* 1720394 */     GIR_EraseRootFromParent_Done,
     /* 1720395 */   // Label 23479: @1720395
     /* 1720395 */   GIM_Try, /*On fail goto*//*Label 23480*/ GIMT_Encode4(1720481), // Rule ID 10565 //
     /* 1720400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1720411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1720414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1720417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720446 */     // MIs[0] policy
     /* 1720446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720456 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1720459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720480 */     // GIR_Coverage, 10565,
     /* 1720480 */     GIR_EraseRootFromParent_Done,
     /* 1720481 */   // Label 23480: @1720481
     /* 1720481 */   GIM_Try, /*On fail goto*//*Label 23481*/ GIMT_Encode4(1720567), // Rule ID 10566 //
     /* 1720486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1720497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1720500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1720503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720532 */     // MIs[0] policy
     /* 1720532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720542 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1720545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720566 */     // GIR_Coverage, 10566,
     /* 1720566 */     GIR_EraseRootFromParent_Done,
     /* 1720567 */   // Label 23481: @1720567
     /* 1720567 */   GIM_Try, /*On fail goto*//*Label 23482*/ GIMT_Encode4(1720653), // Rule ID 10569 //
     /* 1720572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1720583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1720586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1720589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1720595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720618 */     // MIs[0] policy
     /* 1720618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720628 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1720631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720652 */     // GIR_Coverage, 10569,
     /* 1720652 */     GIR_EraseRootFromParent_Done,
     /* 1720653 */   // Label 23482: @1720653
     /* 1720653 */   GIM_Try, /*On fail goto*//*Label 23483*/ GIMT_Encode4(1720739), // Rule ID 10570 //
     /* 1720658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1720669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1720672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1720675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1720681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720704 */     // MIs[0] policy
     /* 1720704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1720717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720738 */     // GIR_Coverage, 10570,
     /* 1720738 */     GIR_EraseRootFromParent_Done,
     /* 1720739 */   // Label 23483: @1720739
     /* 1720739 */   GIM_Try, /*On fail goto*//*Label 23484*/ GIMT_Encode4(1720825), // Rule ID 10573 //
     /* 1720744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1720755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1720758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1720761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720790 */     // MIs[0] policy
     /* 1720790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720800 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11316:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1720803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720824 */     // GIR_Coverage, 10573,
     /* 1720824 */     GIR_EraseRootFromParent_Done,
     /* 1720825 */   // Label 23484: @1720825
     /* 1720825 */   GIM_Try, /*On fail goto*//*Label 23485*/ GIMT_Encode4(1720911), // Rule ID 10574 //
     /* 1720830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1720841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1720844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1720847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720876 */     // MIs[0] policy
     /* 1720876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720886 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11316:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1720889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720910 */     // GIR_Coverage, 10574,
     /* 1720910 */     GIR_EraseRootFromParent_Done,
     /* 1720911 */   // Label 23485: @1720911
     /* 1720911 */   GIM_Try, /*On fail goto*//*Label 23486*/ GIMT_Encode4(1720997), // Rule ID 10577 //
     /* 1720916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1720924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1720927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1720930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1720933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720962 */     // MIs[0] policy
     /* 1720962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720972 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1720975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720996 */     // GIR_Coverage, 10577,
     /* 1720996 */     GIR_EraseRootFromParent_Done,
     /* 1720997 */   // Label 23486: @1720997
     /* 1720997 */   GIM_Try, /*On fail goto*//*Label 23487*/ GIMT_Encode4(1721083), // Rule ID 10578 //
     /* 1721002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1721013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1721016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1721019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721048 */     // MIs[0] policy
     /* 1721048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1721061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721082 */     // GIR_Coverage, 10578,
     /* 1721082 */     GIR_EraseRootFromParent_Done,
     /* 1721083 */   // Label 23487: @1721083
     /* 1721083 */   GIM_Try, /*On fail goto*//*Label 23488*/ GIMT_Encode4(1721169), // Rule ID 10581 //
     /* 1721088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1721099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1721102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1721105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721134 */     // MIs[0] policy
     /* 1721134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721144 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1721147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721168 */     // GIR_Coverage, 10581,
     /* 1721168 */     GIR_EraseRootFromParent_Done,
     /* 1721169 */   // Label 23488: @1721169
     /* 1721169 */   GIM_Try, /*On fail goto*//*Label 23489*/ GIMT_Encode4(1721255), // Rule ID 10582 //
     /* 1721174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1721185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1721188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1721191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721220 */     // MIs[0] policy
     /* 1721220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721230 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1721233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721254 */     // GIR_Coverage, 10582,
     /* 1721254 */     GIR_EraseRootFromParent_Done,
     /* 1721255 */   // Label 23489: @1721255
     /* 1721255 */   GIM_Try, /*On fail goto*//*Label 23490*/ GIMT_Encode4(1721341), // Rule ID 10585 //
     /* 1721260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1721263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1721271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1721274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1721277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721306 */     // MIs[0] policy
     /* 1721306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721316 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1721319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721340 */     // GIR_Coverage, 10585,
     /* 1721340 */     GIR_EraseRootFromParent_Done,
     /* 1721341 */   // Label 23490: @1721341
     /* 1721341 */   GIM_Try, /*On fail goto*//*Label 23491*/ GIMT_Encode4(1721427), // Rule ID 10586 //
     /* 1721346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1721349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1721357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1721360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1721363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721392 */     // MIs[0] policy
     /* 1721392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721402 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1721405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721426 */     // GIR_Coverage, 10586,
     /* 1721426 */     GIR_EraseRootFromParent_Done,
     /* 1721427 */   // Label 23491: @1721427
     /* 1721427 */   GIM_Try, /*On fail goto*//*Label 23492*/ GIMT_Encode4(1721513), // Rule ID 10589 //
     /* 1721432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1721443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1721446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1721449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1721455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1721462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721478 */     // MIs[0] policy
     /* 1721478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721488 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1721491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721512 */     // GIR_Coverage, 10589,
     /* 1721512 */     GIR_EraseRootFromParent_Done,
     /* 1721513 */   // Label 23492: @1721513
     /* 1721513 */   GIM_Try, /*On fail goto*//*Label 23493*/ GIMT_Encode4(1721599), // Rule ID 10590 //
     /* 1721518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1721529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1721532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1721535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1721541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1721548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721564 */     // MIs[0] policy
     /* 1721564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721574 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1721577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721598 */     // GIR_Coverage, 10590,
     /* 1721598 */     GIR_EraseRootFromParent_Done,
     /* 1721599 */   // Label 23493: @1721599
     /* 1721599 */   GIM_Try, /*On fail goto*//*Label 23494*/ GIMT_Encode4(1721685), // Rule ID 10593 //
     /* 1721604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1721615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1721618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1721621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1721627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1721634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721650 */     // MIs[0] policy
     /* 1721650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721660 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1721663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721684 */     // GIR_Coverage, 10593,
     /* 1721684 */     GIR_EraseRootFromParent_Done,
     /* 1721685 */   // Label 23494: @1721685
     /* 1721685 */   GIM_Try, /*On fail goto*//*Label 23495*/ GIMT_Encode4(1721771), // Rule ID 10594 //
     /* 1721690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1721701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1721704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1721707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1721713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1721720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721736 */     // MIs[0] policy
     /* 1721736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721746 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1721749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721770 */     // GIR_Coverage, 10594,
     /* 1721770 */     GIR_EraseRootFromParent_Done,
     /* 1721771 */   // Label 23495: @1721771
     /* 1721771 */   GIM_Try, /*On fail goto*//*Label 23496*/ GIMT_Encode4(1721857), // Rule ID 10597 //
     /* 1721776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1721787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1721790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1721793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1721799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721822 */     // MIs[0] policy
     /* 1721822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721832 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1721835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721856 */     // GIR_Coverage, 10597,
     /* 1721856 */     GIR_EraseRootFromParent_Done,
     /* 1721857 */   // Label 23496: @1721857
     /* 1721857 */   GIM_Try, /*On fail goto*//*Label 23497*/ GIMT_Encode4(1721943), // Rule ID 10598 //
     /* 1721862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1721873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1721876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1721879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1721885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721908 */     // MIs[0] policy
     /* 1721908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721918 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1721921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721942 */     // GIR_Coverage, 10598,
     /* 1721942 */     GIR_EraseRootFromParent_Done,
     /* 1721943 */   // Label 23497: @1721943
     /* 1721943 */   GIM_Try, /*On fail goto*//*Label 23498*/ GIMT_Encode4(1722029), // Rule ID 10601 //
     /* 1721948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1721956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1721959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1721962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1721965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1721978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721994 */     // MIs[0] policy
     /* 1721994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722004 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1722007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722028 */     // GIR_Coverage, 10601,
     /* 1722028 */     GIR_EraseRootFromParent_Done,
     /* 1722029 */   // Label 23498: @1722029
     /* 1722029 */   GIM_Try, /*On fail goto*//*Label 23499*/ GIMT_Encode4(1722115), // Rule ID 10602 //
     /* 1722034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1722045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1722048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1722051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1722064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722080 */     // MIs[0] policy
     /* 1722080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722090 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1722093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722114 */     // GIR_Coverage, 10602,
     /* 1722114 */     GIR_EraseRootFromParent_Done,
     /* 1722115 */   // Label 23499: @1722115
     /* 1722115 */   GIM_Try, /*On fail goto*//*Label 23500*/ GIMT_Encode4(1722201), // Rule ID 10605 //
     /* 1722120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1722131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1722134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1722137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1722143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1722150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722166 */     // MIs[0] policy
     /* 1722166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722176 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1722179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722200 */     // GIR_Coverage, 10605,
     /* 1722200 */     GIR_EraseRootFromParent_Done,
     /* 1722201 */   // Label 23500: @1722201
     /* 1722201 */   GIM_Try, /*On fail goto*//*Label 23501*/ GIMT_Encode4(1722287), // Rule ID 10606 //
     /* 1722206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1722217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1722220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1722223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1722229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1722236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722252 */     // MIs[0] policy
     /* 1722252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722262 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1722265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722286 */     // GIR_Coverage, 10606,
     /* 1722286 */     GIR_EraseRootFromParent_Done,
     /* 1722287 */   // Label 23501: @1722287
     /* 1722287 */   GIM_Try, /*On fail goto*//*Label 23502*/ GIMT_Encode4(1722373), // Rule ID 10609 //
     /* 1722292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1722303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1722306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1722309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1722315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1722322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722338 */     // MIs[0] policy
     /* 1722338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722348 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1722351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722372 */     // GIR_Coverage, 10609,
     /* 1722372 */     GIR_EraseRootFromParent_Done,
     /* 1722373 */   // Label 23502: @1722373
     /* 1722373 */   GIM_Try, /*On fail goto*//*Label 23503*/ GIMT_Encode4(1722459), // Rule ID 10610 //
     /* 1722378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1722389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1722392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1722395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1722401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1722408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722424 */     // MIs[0] policy
     /* 1722424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722434 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1722437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722458 */     // GIR_Coverage, 10610,
     /* 1722458 */     GIR_EraseRootFromParent_Done,
     /* 1722459 */   // Label 23503: @1722459
     /* 1722459 */   GIM_Try, /*On fail goto*//*Label 23504*/ GIMT_Encode4(1722545), // Rule ID 10613 //
     /* 1722464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1722475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1722478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1722481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1722494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722510 */     // MIs[0] policy
     /* 1722510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722520 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1722523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722544 */     // GIR_Coverage, 10613,
     /* 1722544 */     GIR_EraseRootFromParent_Done,
     /* 1722545 */   // Label 23504: @1722545
     /* 1722545 */   GIM_Try, /*On fail goto*//*Label 23505*/ GIMT_Encode4(1722631), // Rule ID 10614 //
     /* 1722550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1722561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1722564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1722567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1722580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722596 */     // MIs[0] policy
     /* 1722596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722606 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1722609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722630 */     // GIR_Coverage, 10614,
     /* 1722630 */     GIR_EraseRootFromParent_Done,
     /* 1722631 */   // Label 23505: @1722631
     /* 1722631 */   GIM_Try, /*On fail goto*//*Label 23506*/ GIMT_Encode4(1722717), // Rule ID 10617 //
     /* 1722636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1722647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1722650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1722653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1722666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722682 */     // MIs[0] policy
     /* 1722682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722692 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1722695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722716 */     // GIR_Coverage, 10617,
     /* 1722716 */     GIR_EraseRootFromParent_Done,
     /* 1722717 */   // Label 23506: @1722717
     /* 1722717 */   GIM_Try, /*On fail goto*//*Label 23507*/ GIMT_Encode4(1722803), // Rule ID 10618 //
     /* 1722722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1722733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1722736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1722739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1722752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722768 */     // MIs[0] policy
     /* 1722768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1722781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722802 */     // GIR_Coverage, 10618,
     /* 1722802 */     GIR_EraseRootFromParent_Done,
     /* 1722803 */   // Label 23507: @1722803
     /* 1722803 */   GIM_Try, /*On fail goto*//*Label 23508*/ GIMT_Encode4(1722889), // Rule ID 10621 //
     /* 1722808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1722819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1722822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1722825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1722831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1722838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722854 */     // MIs[0] policy
     /* 1722854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722864 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1722867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722888 */     // GIR_Coverage, 10621,
     /* 1722888 */     GIR_EraseRootFromParent_Done,
     /* 1722889 */   // Label 23508: @1722889
     /* 1722889 */   GIM_Try, /*On fail goto*//*Label 23509*/ GIMT_Encode4(1722975), // Rule ID 10622 //
     /* 1722894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1722905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1722908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1722911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1722917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1722924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722940 */     // MIs[0] policy
     /* 1722940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722950 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1722953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722974 */     // GIR_Coverage, 10622,
     /* 1722974 */     GIR_EraseRootFromParent_Done,
     /* 1722975 */   // Label 23509: @1722975
     /* 1722975 */   GIM_Try, /*On fail goto*//*Label 23510*/ GIMT_Encode4(1723061), // Rule ID 10625 //
     /* 1722980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1722983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1722988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1722991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1722994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1722997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1723003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723026 */     // MIs[0] policy
     /* 1723026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723036 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1723039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723060 */     // GIR_Coverage, 10625,
     /* 1723060 */     GIR_EraseRootFromParent_Done,
     /* 1723061 */   // Label 23510: @1723061
     /* 1723061 */   GIM_Try, /*On fail goto*//*Label 23511*/ GIMT_Encode4(1723147), // Rule ID 10626 //
     /* 1723066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1723069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1723077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1723080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1723083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1723089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723112 */     // MIs[0] policy
     /* 1723112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723122 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1723125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723146 */     // GIR_Coverage, 10626,
     /* 1723146 */     GIR_EraseRootFromParent_Done,
     /* 1723147 */   // Label 23511: @1723147
     /* 1723147 */   GIM_Try, /*On fail goto*//*Label 23512*/ GIMT_Encode4(1723233), // Rule ID 10629 //
     /* 1723152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1723155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1723163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1723166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1723169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723198 */     // MIs[0] policy
     /* 1723198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723208 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1723211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723232 */     // GIR_Coverage, 10629,
     /* 1723232 */     GIR_EraseRootFromParent_Done,
     /* 1723233 */   // Label 23512: @1723233
     /* 1723233 */   GIM_Try, /*On fail goto*//*Label 23513*/ GIMT_Encode4(1723319), // Rule ID 10630 //
     /* 1723238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1723241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1723249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1723252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1723255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723284 */     // MIs[0] policy
     /* 1723284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723294 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1723297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723318 */     // GIR_Coverage, 10630,
     /* 1723318 */     GIR_EraseRootFromParent_Done,
     /* 1723319 */   // Label 23513: @1723319
     /* 1723319 */   GIM_Try, /*On fail goto*//*Label 23514*/ GIMT_Encode4(1723405), // Rule ID 10633 //
     /* 1723324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1723327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1723335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1723338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1723341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723370 */     // MIs[0] policy
     /* 1723370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723380 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1723383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723404 */     // GIR_Coverage, 10633,
     /* 1723404 */     GIR_EraseRootFromParent_Done,
     /* 1723405 */   // Label 23514: @1723405
     /* 1723405 */   GIM_Try, /*On fail goto*//*Label 23515*/ GIMT_Encode4(1723491), // Rule ID 10634 //
     /* 1723410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1723413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1723418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1723421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1723424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1723427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723456 */     // MIs[0] policy
     /* 1723456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723466 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1723469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723490 */     // GIR_Coverage, 10634,
     /* 1723490 */     GIR_EraseRootFromParent_Done,
     /* 1723491 */   // Label 23515: @1723491
     /* 1723491 */   GIM_Try, /*On fail goto*//*Label 23516*/ GIMT_Encode4(1723577), // Rule ID 10637 //
     /* 1723496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1723504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1723507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1723510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1723513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1723516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1723519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723542 */     // MIs[0] policy
     /* 1723542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723552 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1723555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723576 */     // GIR_Coverage, 10637,
     /* 1723576 */     GIR_EraseRootFromParent_Done,
     /* 1723577 */   // Label 23516: @1723577
     /* 1723577 */   GIM_Try, /*On fail goto*//*Label 23517*/ GIMT_Encode4(1723663), // Rule ID 10638 //
     /* 1723582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1723590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1723593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1723596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1723599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1723602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1723605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723628 */     // MIs[0] policy
     /* 1723628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723638 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1723641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723662 */     // GIR_Coverage, 10638,
     /* 1723662 */     GIR_EraseRootFromParent_Done,
     /* 1723663 */   // Label 23517: @1723663
     /* 1723663 */   GIM_Try, /*On fail goto*//*Label 23518*/ GIMT_Encode4(1723749), // Rule ID 10641 //
     /* 1723668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1723676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1723679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1723682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1723685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1723688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1723691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723714 */     // MIs[0] policy
     /* 1723714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723724 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1723727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723748 */     // GIR_Coverage, 10641,
     /* 1723748 */     GIR_EraseRootFromParent_Done,
     /* 1723749 */   // Label 23518: @1723749
     /* 1723749 */   GIM_Try, /*On fail goto*//*Label 23519*/ GIMT_Encode4(1723835), // Rule ID 10642 //
     /* 1723754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1723762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1723765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1723768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1723771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1723774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1723777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723800 */     // MIs[0] policy
     /* 1723800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723810 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1723813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723834 */     // GIR_Coverage, 10642,
     /* 1723834 */     GIR_EraseRootFromParent_Done,
     /* 1723835 */   // Label 23519: @1723835
     /* 1723835 */   GIM_Try, /*On fail goto*//*Label 23520*/ GIMT_Encode4(1723921), // Rule ID 10645 //
     /* 1723840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1723848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1723851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1723854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1723857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1723860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723886 */     // MIs[0] policy
     /* 1723886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723896 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1723899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723920 */     // GIR_Coverage, 10645,
     /* 1723920 */     GIR_EraseRootFromParent_Done,
     /* 1723921 */   // Label 23520: @1723921
     /* 1723921 */   GIM_Try, /*On fail goto*//*Label 23521*/ GIMT_Encode4(1724007), // Rule ID 10646 //
     /* 1723926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1723934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1723937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1723940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1723943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1723946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723972 */     // MIs[0] policy
     /* 1723972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723982 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1723985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724006 */     // GIR_Coverage, 10646,
     /* 1724006 */     GIR_EraseRootFromParent_Done,
     /* 1724007 */   // Label 23521: @1724007
     /* 1724007 */   GIM_Try, /*On fail goto*//*Label 23522*/ GIMT_Encode4(1724093), // Rule ID 10649 //
     /* 1724012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1724023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1724026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1724029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1724032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724058 */     // MIs[0] policy
     /* 1724058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724068 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1724071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724092 */     // GIR_Coverage, 10649,
     /* 1724092 */     GIR_EraseRootFromParent_Done,
     /* 1724093 */   // Label 23522: @1724093
     /* 1724093 */   GIM_Try, /*On fail goto*//*Label 23523*/ GIMT_Encode4(1724179), // Rule ID 10650 //
     /* 1724098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1724109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1724112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1724115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1724118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724144 */     // MIs[0] policy
     /* 1724144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724154 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1724157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724178 */     // GIR_Coverage, 10650,
     /* 1724178 */     GIR_EraseRootFromParent_Done,
     /* 1724179 */   // Label 23523: @1724179
     /* 1724179 */   GIM_Try, /*On fail goto*//*Label 23524*/ GIMT_Encode4(1724265), // Rule ID 10653 //
     /* 1724184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1724195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1724198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1724201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1724204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724230 */     // MIs[0] policy
     /* 1724230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724240 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1724243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724264 */     // GIR_Coverage, 10653,
     /* 1724264 */     GIR_EraseRootFromParent_Done,
     /* 1724265 */   // Label 23524: @1724265
     /* 1724265 */   GIM_Try, /*On fail goto*//*Label 23525*/ GIMT_Encode4(1724351), // Rule ID 10654 //
     /* 1724270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1724281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1724284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1724287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1724290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724316 */     // MIs[0] policy
     /* 1724316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724326 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1724329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724350 */     // GIR_Coverage, 10654,
     /* 1724350 */     GIR_EraseRootFromParent_Done,
     /* 1724351 */   // Label 23525: @1724351
     /* 1724351 */   GIM_Try, /*On fail goto*//*Label 23526*/ GIMT_Encode4(1724437), // Rule ID 10657 //
     /* 1724356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1724367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1724370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1724373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1724376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724402 */     // MIs[0] policy
     /* 1724402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724412 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1724415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724436 */     // GIR_Coverage, 10657,
     /* 1724436 */     GIR_EraseRootFromParent_Done,
     /* 1724437 */   // Label 23526: @1724437
     /* 1724437 */   GIM_Try, /*On fail goto*//*Label 23527*/ GIMT_Encode4(1724523), // Rule ID 10658 //
     /* 1724442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1724453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1724456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1724459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1724462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724488 */     // MIs[0] policy
     /* 1724488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724498 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1724501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724522 */     // GIR_Coverage, 10658,
     /* 1724522 */     GIR_EraseRootFromParent_Done,
     /* 1724523 */   // Label 23527: @1724523
     /* 1724523 */   GIM_Try, /*On fail goto*//*Label 23528*/ GIMT_Encode4(1724609), // Rule ID 10661 //
     /* 1724528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1724539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1724542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1724545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1724548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724574 */     // MIs[0] policy
     /* 1724574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724584 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11314:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1724587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724608 */     // GIR_Coverage, 10661,
     /* 1724608 */     GIR_EraseRootFromParent_Done,
     /* 1724609 */   // Label 23528: @1724609
     /* 1724609 */   GIM_Try, /*On fail goto*//*Label 23529*/ GIMT_Encode4(1724695), // Rule ID 10662 //
     /* 1724614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1724625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1724628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1724631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1724634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724660 */     // MIs[0] policy
     /* 1724660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724670 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11314:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1724673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724694 */     // GIR_Coverage, 10662,
     /* 1724694 */     GIR_EraseRootFromParent_Done,
     /* 1724695 */   // Label 23529: @1724695
     /* 1724695 */   GIM_Try, /*On fail goto*//*Label 23530*/ GIMT_Encode4(1724781), // Rule ID 10665 //
     /* 1724700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1724711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1724714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1724717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1724720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724746 */     // MIs[0] policy
     /* 1724746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724756 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1724759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724780 */     // GIR_Coverage, 10665,
     /* 1724780 */     GIR_EraseRootFromParent_Done,
     /* 1724781 */   // Label 23530: @1724781
     /* 1724781 */   GIM_Try, /*On fail goto*//*Label 23531*/ GIMT_Encode4(1724867), // Rule ID 10666 //
     /* 1724786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1724797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1724800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1724803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1724806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724832 */     // MIs[0] policy
     /* 1724832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1724845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724866 */     // GIR_Coverage, 10666,
     /* 1724866 */     GIR_EraseRootFromParent_Done,
     /* 1724867 */   // Label 23531: @1724867
     /* 1724867 */   GIM_Try, /*On fail goto*//*Label 23532*/ GIMT_Encode4(1724953), // Rule ID 10669 //
     /* 1724872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1724883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1724886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1724889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1724892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724918 */     // MIs[0] policy
     /* 1724918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1724931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724952 */     // GIR_Coverage, 10669,
     /* 1724952 */     GIR_EraseRootFromParent_Done,
     /* 1724953 */   // Label 23532: @1724953
     /* 1724953 */   GIM_Try, /*On fail goto*//*Label 23533*/ GIMT_Encode4(1725039), // Rule ID 10670 //
     /* 1724958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1724969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1724972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1724975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1724978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725004 */     // MIs[0] policy
     /* 1725004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725014 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1725017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725038 */     // GIR_Coverage, 10670,
     /* 1725038 */     GIR_EraseRootFromParent_Done,
     /* 1725039 */   // Label 23533: @1725039
     /* 1725039 */   GIM_Try, /*On fail goto*//*Label 23534*/ GIMT_Encode4(1725125), // Rule ID 10673 //
     /* 1725044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1725047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1725055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1725058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1725061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1725064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725090 */     // MIs[0] policy
     /* 1725090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725100 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1725103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725124 */     // GIR_Coverage, 10673,
     /* 1725124 */     GIR_EraseRootFromParent_Done,
     /* 1725125 */   // Label 23534: @1725125
     /* 1725125 */   GIM_Try, /*On fail goto*//*Label 23535*/ GIMT_Encode4(1725211), // Rule ID 10674 //
     /* 1725130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1725133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1725141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1725144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1725147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1725150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725176 */     // MIs[0] policy
     /* 1725176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725186 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1725189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725210 */     // GIR_Coverage, 10674,
     /* 1725210 */     GIR_EraseRootFromParent_Done,
     /* 1725211 */   // Label 23535: @1725211
     /* 1725211 */   GIM_Try, /*On fail goto*//*Label 23536*/ GIMT_Encode4(1725297), // Rule ID 10677 //
     /* 1725216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1725227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1725230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1725233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1725236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1725239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1725246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725262 */     // MIs[0] policy
     /* 1725262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725272 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11314:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1725275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725296 */     // GIR_Coverage, 10677,
     /* 1725296 */     GIR_EraseRootFromParent_Done,
     /* 1725297 */   // Label 23536: @1725297
     /* 1725297 */   GIM_Try, /*On fail goto*//*Label 23537*/ GIMT_Encode4(1725383), // Rule ID 10678 //
     /* 1725302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1725313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1725316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1725319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1725322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1725325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1725332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725348 */     // MIs[0] policy
     /* 1725348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725358 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11314:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1725361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725382 */     // GIR_Coverage, 10678,
     /* 1725382 */     GIR_EraseRootFromParent_Done,
     /* 1725383 */   // Label 23537: @1725383
     /* 1725383 */   GIM_Try, /*On fail goto*//*Label 23538*/ GIMT_Encode4(1725469), // Rule ID 10681 //
     /* 1725388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1725399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1725402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1725405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1725408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1725411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1725418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725434 */     // MIs[0] policy
     /* 1725434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725444 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11314:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1725447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725468 */     // GIR_Coverage, 10681,
     /* 1725468 */     GIR_EraseRootFromParent_Done,
     /* 1725469 */   // Label 23538: @1725469
     /* 1725469 */   GIM_Try, /*On fail goto*//*Label 23539*/ GIMT_Encode4(1725555), // Rule ID 10682 //
     /* 1725474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1725485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1725488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1725491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1725494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1725497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1725504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725520 */     // MIs[0] policy
     /* 1725520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725530 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11314:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1725533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725554 */     // GIR_Coverage, 10682,
     /* 1725554 */     GIR_EraseRootFromParent_Done,
     /* 1725555 */   // Label 23539: @1725555
     /* 1725555 */   GIM_Try, /*On fail goto*//*Label 23540*/ GIMT_Encode4(1725641), // Rule ID 10685 //
     /* 1725560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1725571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1725574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1725577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1725580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1725583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1725590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725606 */     // MIs[0] policy
     /* 1725606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725616 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11314:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1725619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725640 */     // GIR_Coverage, 10685,
     /* 1725640 */     GIR_EraseRootFromParent_Done,
     /* 1725641 */   // Label 23540: @1725641
     /* 1725641 */   GIM_Try, /*On fail goto*//*Label 23541*/ GIMT_Encode4(1725727), // Rule ID 10686 //
     /* 1725646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1725657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1725660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1725663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1725666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1725669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1725676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725692 */     // MIs[0] policy
     /* 1725692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725702 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11314:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1725705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725726 */     // GIR_Coverage, 10686,
     /* 1725726 */     GIR_EraseRootFromParent_Done,
     /* 1725727 */   // Label 23541: @1725727
     /* 1725727 */   GIM_Try, /*On fail goto*//*Label 23542*/ GIMT_Encode4(1725813), // Rule ID 10689 //
     /* 1725732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1725743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1725746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1725749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1725752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1725762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725778 */     // MIs[0] policy
     /* 1725778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725788 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11314:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1725791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725812 */     // GIR_Coverage, 10689,
     /* 1725812 */     GIR_EraseRootFromParent_Done,
     /* 1725813 */   // Label 23542: @1725813
     /* 1725813 */   GIM_Try, /*On fail goto*//*Label 23543*/ GIMT_Encode4(1725899), // Rule ID 10690 //
     /* 1725818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1725829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1725832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1725835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1725838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1725848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725864 */     // MIs[0] policy
     /* 1725864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725874 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11314:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1725877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725898 */     // GIR_Coverage, 10690,
     /* 1725898 */     GIR_EraseRootFromParent_Done,
     /* 1725899 */   // Label 23543: @1725899
     /* 1725899 */   GIM_Try, /*On fail goto*//*Label 23544*/ GIMT_Encode4(1725985), // Rule ID 10693 //
     /* 1725904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1725915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1725918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1725921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1725924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1725927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1725934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725950 */     // MIs[0] policy
     /* 1725950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725960 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11314:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1725963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725984 */     // GIR_Coverage, 10693,
     /* 1725984 */     GIR_EraseRootFromParent_Done,
     /* 1725985 */   // Label 23544: @1725985
     /* 1725985 */   GIM_Try, /*On fail goto*//*Label 23545*/ GIMT_Encode4(1726071), // Rule ID 10694 //
     /* 1725990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1726001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1726004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1726007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1726010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726036 */     // MIs[0] policy
     /* 1726036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726046 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11314:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1726049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726070 */     // GIR_Coverage, 10694,
     /* 1726070 */     GIR_EraseRootFromParent_Done,
     /* 1726071 */   // Label 23545: @1726071
     /* 1726071 */   GIM_Try, /*On fail goto*//*Label 23546*/ GIMT_Encode4(1726157), // Rule ID 10697 //
     /* 1726076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1726087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1726090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1726093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1726096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1726099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726122 */     // MIs[0] policy
     /* 1726122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726132 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11314:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1726135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726156 */     // GIR_Coverage, 10697,
     /* 1726156 */     GIR_EraseRootFromParent_Done,
     /* 1726157 */   // Label 23546: @1726157
     /* 1726157 */   GIM_Try, /*On fail goto*//*Label 23547*/ GIMT_Encode4(1726243), // Rule ID 10698 //
     /* 1726162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1726173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1726176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1726179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1726182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1726185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726208 */     // MIs[0] policy
     /* 1726208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726218 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11314:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1726221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726242 */     // GIR_Coverage, 10698,
     /* 1726242 */     GIR_EraseRootFromParent_Done,
     /* 1726243 */   // Label 23547: @1726243
     /* 1726243 */   GIM_Try, /*On fail goto*//*Label 23548*/ GIMT_Encode4(1726329), // Rule ID 10701 //
     /* 1726248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1726259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1726262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1726265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1726268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726294 */     // MIs[0] policy
     /* 1726294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726304 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11314:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1726307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726328 */     // GIR_Coverage, 10701,
     /* 1726328 */     GIR_EraseRootFromParent_Done,
     /* 1726329 */   // Label 23548: @1726329
     /* 1726329 */   GIM_Try, /*On fail goto*//*Label 23549*/ GIMT_Encode4(1726415), // Rule ID 10702 //
     /* 1726334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1726345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1726348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1726351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1726354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726380 */     // MIs[0] policy
     /* 1726380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726390 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11314:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1726393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726414 */     // GIR_Coverage, 10702,
     /* 1726414 */     GIR_EraseRootFromParent_Done,
     /* 1726415 */   // Label 23549: @1726415
     /* 1726415 */   GIM_Try, /*On fail goto*//*Label 23550*/ GIMT_Encode4(1726501), // Rule ID 10705 //
     /* 1726420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1726431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1726434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1726437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1726440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726466 */     // MIs[0] policy
     /* 1726466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726476 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11314:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1726479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726500 */     // GIR_Coverage, 10705,
     /* 1726500 */     GIR_EraseRootFromParent_Done,
     /* 1726501 */   // Label 23550: @1726501
     /* 1726501 */   GIM_Try, /*On fail goto*//*Label 23551*/ GIMT_Encode4(1726587), // Rule ID 10706 //
     /* 1726506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1726517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1726520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1726523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1726526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726552 */     // MIs[0] policy
     /* 1726552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726562 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11314:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1726565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726586 */     // GIR_Coverage, 10706,
     /* 1726586 */     GIR_EraseRootFromParent_Done,
     /* 1726587 */   // Label 23551: @1726587
     /* 1726587 */   GIM_Try, /*On fail goto*//*Label 23552*/ GIMT_Encode4(1726673), // Rule ID 10709 //
     /* 1726592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1726603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1726606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1726609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1726612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726638 */     // MIs[0] policy
     /* 1726638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726648 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11314:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1726651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726672 */     // GIR_Coverage, 10709,
     /* 1726672 */     GIR_EraseRootFromParent_Done,
     /* 1726673 */   // Label 23552: @1726673
     /* 1726673 */   GIM_Try, /*On fail goto*//*Label 23553*/ GIMT_Encode4(1726759), // Rule ID 10710 //
     /* 1726678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1726689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1726692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1726695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1726698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726724 */     // MIs[0] policy
     /* 1726724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726734 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11314:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1726737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726758 */     // GIR_Coverage, 10710,
     /* 1726758 */     GIR_EraseRootFromParent_Done,
     /* 1726759 */   // Label 23553: @1726759
     /* 1726759 */   GIM_Try, /*On fail goto*//*Label 23554*/ GIMT_Encode4(1726845), // Rule ID 10713 //
     /* 1726764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1726767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1726775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1726778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1726781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1726784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726810 */     // MIs[0] policy
     /* 1726810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726820 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11314:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1726823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1726841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726844 */     // GIR_Coverage, 10713,
     /* 1726844 */     GIR_EraseRootFromParent_Done,
     /* 1726845 */   // Label 23554: @1726845
     /* 1726845 */   GIM_Try, /*On fail goto*//*Label 23555*/ GIMT_Encode4(1726931), // Rule ID 10714 //
     /* 1726850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1726853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1726861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1726864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1726867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1726870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726896 */     // MIs[0] policy
     /* 1726896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726906 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11314:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1726909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1726927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726930 */     // GIR_Coverage, 10714,
     /* 1726930 */     GIR_EraseRootFromParent_Done,
     /* 1726931 */   // Label 23555: @1726931
     /* 1726931 */   GIM_Try, /*On fail goto*//*Label 23556*/ GIMT_Encode4(1727017), // Rule ID 10717 //
     /* 1726936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1726939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1726947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1726950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1726953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1726956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726982 */     // MIs[0] policy
     /* 1726982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726992 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11314:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1726995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727016 */     // GIR_Coverage, 10717,
     /* 1727016 */     GIR_EraseRootFromParent_Done,
     /* 1727017 */   // Label 23556: @1727017
     /* 1727017 */   GIM_Try, /*On fail goto*//*Label 23557*/ GIMT_Encode4(1727103), // Rule ID 10718 //
     /* 1727022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1727025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1727033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1727036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1727039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1727042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727068 */     // MIs[0] policy
     /* 1727068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727078 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11314:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1727081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727102 */     // GIR_Coverage, 10718,
     /* 1727102 */     GIR_EraseRootFromParent_Done,
     /* 1727103 */   // Label 23557: @1727103
     /* 1727103 */   GIM_Try, /*On fail goto*//*Label 23558*/ GIMT_Encode4(1727189), // Rule ID 10721 //
     /* 1727108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1727111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1727119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1727122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1727125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1727128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727154 */     // MIs[0] policy
     /* 1727154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727164 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11314:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1727167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727188 */     // GIR_Coverage, 10721,
     /* 1727188 */     GIR_EraseRootFromParent_Done,
     /* 1727189 */   // Label 23558: @1727189
     /* 1727189 */   GIM_Try, /*On fail goto*//*Label 23559*/ GIMT_Encode4(1727275), // Rule ID 10722 //
     /* 1727194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1727197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1727205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1727208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1727211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1727214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727240 */     // MIs[0] policy
     /* 1727240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727250 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11314:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1727253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727274 */     // GIR_Coverage, 10722,
     /* 1727274 */     GIR_EraseRootFromParent_Done,
     /* 1727275 */   // Label 23559: @1727275
     /* 1727275 */   GIM_Try, /*On fail goto*//*Label 23560*/ GIMT_Encode4(1727361), // Rule ID 10725 //
     /* 1727280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1727291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1727294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1727297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1727303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727326 */     // MIs[0] policy
     /* 1727326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727336 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1727339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727360 */     // GIR_Coverage, 10725,
     /* 1727360 */     GIR_EraseRootFromParent_Done,
     /* 1727361 */   // Label 23560: @1727361
     /* 1727361 */   GIM_Try, /*On fail goto*//*Label 23561*/ GIMT_Encode4(1727447), // Rule ID 10726 //
     /* 1727366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1727377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1727380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1727383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1727386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1727389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727412 */     // MIs[0] policy
     /* 1727412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727422 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1727425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727446 */     // GIR_Coverage, 10726,
     /* 1727446 */     GIR_EraseRootFromParent_Done,
     /* 1727447 */   // Label 23561: @1727447
     /* 1727447 */   GIM_Try, /*On fail goto*//*Label 23562*/ GIMT_Encode4(1727533), // Rule ID 10729 //
     /* 1727452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1727463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1727466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1727469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727498 */     // MIs[0] policy
     /* 1727498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727508 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1727511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727532 */     // GIR_Coverage, 10729,
     /* 1727532 */     GIR_EraseRootFromParent_Done,
     /* 1727533 */   // Label 23562: @1727533
     /* 1727533 */   GIM_Try, /*On fail goto*//*Label 23563*/ GIMT_Encode4(1727619), // Rule ID 10730 //
     /* 1727538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1727549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1727552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1727555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1727558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727584 */     // MIs[0] policy
     /* 1727584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727594 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1727597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727618 */     // GIR_Coverage, 10730,
     /* 1727618 */     GIR_EraseRootFromParent_Done,
     /* 1727619 */   // Label 23563: @1727619
     /* 1727619 */   GIM_Try, /*On fail goto*//*Label 23564*/ GIMT_Encode4(1727705), // Rule ID 10733 //
     /* 1727624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1727635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1727638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1727641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727670 */     // MIs[0] policy
     /* 1727670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727680 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1727683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727704 */     // GIR_Coverage, 10733,
     /* 1727704 */     GIR_EraseRootFromParent_Done,
     /* 1727705 */   // Label 23564: @1727705
     /* 1727705 */   GIM_Try, /*On fail goto*//*Label 23565*/ GIMT_Encode4(1727791), // Rule ID 10734 //
     /* 1727710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1727721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1727724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1727727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1727730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727756 */     // MIs[0] policy
     /* 1727756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727766 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1727769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727790 */     // GIR_Coverage, 10734,
     /* 1727790 */     GIR_EraseRootFromParent_Done,
     /* 1727791 */   // Label 23565: @1727791
     /* 1727791 */   GIM_Try, /*On fail goto*//*Label 23566*/ GIMT_Encode4(1727877), // Rule ID 10737 //
     /* 1727796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1727807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1727810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1727813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1727819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727842 */     // MIs[0] policy
     /* 1727842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727852 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1727855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727876 */     // GIR_Coverage, 10737,
     /* 1727876 */     GIR_EraseRootFromParent_Done,
     /* 1727877 */   // Label 23566: @1727877
     /* 1727877 */   GIM_Try, /*On fail goto*//*Label 23567*/ GIMT_Encode4(1727963), // Rule ID 10738 //
     /* 1727882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1727893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1727896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1727899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1727902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1727905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727928 */     // MIs[0] policy
     /* 1727928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727938 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1727941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727962 */     // GIR_Coverage, 10738,
     /* 1727962 */     GIR_EraseRootFromParent_Done,
     /* 1727963 */   // Label 23567: @1727963
     /* 1727963 */   GIM_Try, /*On fail goto*//*Label 23568*/ GIMT_Encode4(1728049), // Rule ID 10741 //
     /* 1727968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1727976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1727979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1727982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1727985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728014 */     // MIs[0] policy
     /* 1728014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728024 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1728027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728048 */     // GIR_Coverage, 10741,
     /* 1728048 */     GIR_EraseRootFromParent_Done,
     /* 1728049 */   // Label 23568: @1728049
     /* 1728049 */   GIM_Try, /*On fail goto*//*Label 23569*/ GIMT_Encode4(1728135), // Rule ID 10742 //
     /* 1728054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1728065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1728068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1728071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728100 */     // MIs[0] policy
     /* 1728100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728110 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1728113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728134 */     // GIR_Coverage, 10742,
     /* 1728134 */     GIR_EraseRootFromParent_Done,
     /* 1728135 */   // Label 23569: @1728135
     /* 1728135 */   GIM_Try, /*On fail goto*//*Label 23570*/ GIMT_Encode4(1728221), // Rule ID 10745 //
     /* 1728140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1728151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1728154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1728157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728186 */     // MIs[0] policy
     /* 1728186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728196 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1728199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728220 */     // GIR_Coverage, 10745,
     /* 1728220 */     GIR_EraseRootFromParent_Done,
     /* 1728221 */   // Label 23570: @1728221
     /* 1728221 */   GIM_Try, /*On fail goto*//*Label 23571*/ GIMT_Encode4(1728307), // Rule ID 10746 //
     /* 1728226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1728237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1728240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1728243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728272 */     // MIs[0] policy
     /* 1728272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728282 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1728285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728306 */     // GIR_Coverage, 10746,
     /* 1728306 */     GIR_EraseRootFromParent_Done,
     /* 1728307 */   // Label 23571: @1728307
     /* 1728307 */   GIM_Try, /*On fail goto*//*Label 23572*/ GIMT_Encode4(1728393), // Rule ID 10749 //
     /* 1728312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1728323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1728326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1728329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728358 */     // MIs[0] policy
     /* 1728358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728368 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11314:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1728371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728392 */     // GIR_Coverage, 10749,
     /* 1728392 */     GIR_EraseRootFromParent_Done,
     /* 1728393 */   // Label 23572: @1728393
     /* 1728393 */   GIM_Try, /*On fail goto*//*Label 23573*/ GIMT_Encode4(1728479), // Rule ID 10750 //
     /* 1728398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1728409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1728412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1728415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728444 */     // MIs[0] policy
     /* 1728444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728454 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11314:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1728457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728478 */     // GIR_Coverage, 10750,
     /* 1728478 */     GIR_EraseRootFromParent_Done,
     /* 1728479 */   // Label 23573: @1728479
     /* 1728479 */   GIM_Try, /*On fail goto*//*Label 23574*/ GIMT_Encode4(1728565), // Rule ID 10753 //
     /* 1728484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1728495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1728498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1728501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728530 */     // MIs[0] policy
     /* 1728530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728540 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1728543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728564 */     // GIR_Coverage, 10753,
     /* 1728564 */     GIR_EraseRootFromParent_Done,
     /* 1728565 */   // Label 23574: @1728565
     /* 1728565 */   GIM_Try, /*On fail goto*//*Label 23575*/ GIMT_Encode4(1728651), // Rule ID 10754 //
     /* 1728570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1728581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1728584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1728587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728616 */     // MIs[0] policy
     /* 1728616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728626 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1728629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728650 */     // GIR_Coverage, 10754,
     /* 1728650 */     GIR_EraseRootFromParent_Done,
     /* 1728651 */   // Label 23575: @1728651
     /* 1728651 */   GIM_Try, /*On fail goto*//*Label 23576*/ GIMT_Encode4(1728737), // Rule ID 10757 //
     /* 1728656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1728667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1728670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1728673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728702 */     // MIs[0] policy
     /* 1728702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728712 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1728715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728736 */     // GIR_Coverage, 10757,
     /* 1728736 */     GIR_EraseRootFromParent_Done,
     /* 1728737 */   // Label 23576: @1728737
     /* 1728737 */   GIM_Try, /*On fail goto*//*Label 23577*/ GIMT_Encode4(1728823), // Rule ID 10758 //
     /* 1728742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1728753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1728756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1728759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728788 */     // MIs[0] policy
     /* 1728788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1728801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728822 */     // GIR_Coverage, 10758,
     /* 1728822 */     GIR_EraseRootFromParent_Done,
     /* 1728823 */   // Label 23577: @1728823
     /* 1728823 */   GIM_Try, /*On fail goto*//*Label 23578*/ GIMT_Encode4(1728909), // Rule ID 10761 //
     /* 1728828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1728831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1728839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1728842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1728845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728874 */     // MIs[0] policy
     /* 1728874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728884 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1728887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728908 */     // GIR_Coverage, 10761,
     /* 1728908 */     GIR_EraseRootFromParent_Done,
     /* 1728909 */   // Label 23578: @1728909
     /* 1728909 */   GIM_Try, /*On fail goto*//*Label 23579*/ GIMT_Encode4(1728995), // Rule ID 10762 //
     /* 1728914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1728922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1728925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1728928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1728931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728960 */     // MIs[0] policy
     /* 1728960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728970 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1728973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728994 */     // GIR_Coverage, 10762,
     /* 1728994 */     GIR_EraseRootFromParent_Done,
     /* 1728995 */   // Label 23579: @1728995
     /* 1728995 */   GIM_Try, /*On fail goto*//*Label 23580*/ GIMT_Encode4(1729081), // Rule ID 10765 //
     /* 1729000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1729011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1729014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1729017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1729023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1729030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729046 */     // MIs[0] policy
     /* 1729046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729056 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11314:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1729059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729080 */     // GIR_Coverage, 10765,
     /* 1729080 */     GIR_EraseRootFromParent_Done,
     /* 1729081 */   // Label 23580: @1729081
     /* 1729081 */   GIM_Try, /*On fail goto*//*Label 23581*/ GIMT_Encode4(1729167), // Rule ID 10766 //
     /* 1729086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1729097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1729100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1729103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1729109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1729116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729132 */     // MIs[0] policy
     /* 1729132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729142 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11314:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1729145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729166 */     // GIR_Coverage, 10766,
     /* 1729166 */     GIR_EraseRootFromParent_Done,
     /* 1729167 */   // Label 23581: @1729167
     /* 1729167 */   GIM_Try, /*On fail goto*//*Label 23582*/ GIMT_Encode4(1729253), // Rule ID 10769 //
     /* 1729172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1729183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1729186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1729189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1729195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1729202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729218 */     // MIs[0] policy
     /* 1729218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729228 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11314:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1729231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729252 */     // GIR_Coverage, 10769,
     /* 1729252 */     GIR_EraseRootFromParent_Done,
     /* 1729253 */   // Label 23582: @1729253
     /* 1729253 */   GIM_Try, /*On fail goto*//*Label 23583*/ GIMT_Encode4(1729339), // Rule ID 10770 //
     /* 1729258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1729269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1729272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1729275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1729281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1729288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729304 */     // MIs[0] policy
     /* 1729304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729314 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11314:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1729317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729338 */     // GIR_Coverage, 10770,
     /* 1729338 */     GIR_EraseRootFromParent_Done,
     /* 1729339 */   // Label 23583: @1729339
     /* 1729339 */   GIM_Try, /*On fail goto*//*Label 23584*/ GIMT_Encode4(1729425), // Rule ID 10773 //
     /* 1729344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1729355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1729358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1729361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1729367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1729374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729390 */     // MIs[0] policy
     /* 1729390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729400 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11314:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1729403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729424 */     // GIR_Coverage, 10773,
     /* 1729424 */     GIR_EraseRootFromParent_Done,
     /* 1729425 */   // Label 23584: @1729425
     /* 1729425 */   GIM_Try, /*On fail goto*//*Label 23585*/ GIMT_Encode4(1729511), // Rule ID 10774 //
     /* 1729430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1729441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1729444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1729447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1729453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1729460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729476 */     // MIs[0] policy
     /* 1729476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729486 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11314:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1729489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729510 */     // GIR_Coverage, 10774,
     /* 1729510 */     GIR_EraseRootFromParent_Done,
     /* 1729511 */   // Label 23585: @1729511
     /* 1729511 */   GIM_Try, /*On fail goto*//*Label 23586*/ GIMT_Encode4(1729597), // Rule ID 10777 //
     /* 1729516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1729527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1729530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1729533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1729546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729562 */     // MIs[0] policy
     /* 1729562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729572 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11314:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1729575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729596 */     // GIR_Coverage, 10777,
     /* 1729596 */     GIR_EraseRootFromParent_Done,
     /* 1729597 */   // Label 23586: @1729597
     /* 1729597 */   GIM_Try, /*On fail goto*//*Label 23587*/ GIMT_Encode4(1729683), // Rule ID 10778 //
     /* 1729602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1729613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1729616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1729619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1729632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729648 */     // MIs[0] policy
     /* 1729648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729658 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11314:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1729661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729682 */     // GIR_Coverage, 10778,
     /* 1729682 */     GIR_EraseRootFromParent_Done,
     /* 1729683 */   // Label 23587: @1729683
     /* 1729683 */   GIM_Try, /*On fail goto*//*Label 23588*/ GIMT_Encode4(1729769), // Rule ID 10781 //
     /* 1729688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1729699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1729702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1729705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1729711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1729718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729734 */     // MIs[0] policy
     /* 1729734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729744 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11314:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1729747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729768 */     // GIR_Coverage, 10781,
     /* 1729768 */     GIR_EraseRootFromParent_Done,
     /* 1729769 */   // Label 23588: @1729769
     /* 1729769 */   GIM_Try, /*On fail goto*//*Label 23589*/ GIMT_Encode4(1729855), // Rule ID 10782 //
     /* 1729774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1729785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1729788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1729791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1729797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1729804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729820 */     // MIs[0] policy
     /* 1729820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729830 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11314:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1729833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729854 */     // GIR_Coverage, 10782,
     /* 1729854 */     GIR_EraseRootFromParent_Done,
     /* 1729855 */   // Label 23589: @1729855
     /* 1729855 */   GIM_Try, /*On fail goto*//*Label 23590*/ GIMT_Encode4(1729941), // Rule ID 10785 //
     /* 1729860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1729871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1729874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1729877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1729880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1729883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1729890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729906 */     // MIs[0] policy
     /* 1729906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729916 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11314:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1729919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729940 */     // GIR_Coverage, 10785,
     /* 1729940 */     GIR_EraseRootFromParent_Done,
     /* 1729941 */   // Label 23590: @1729941
     /* 1729941 */   GIM_Try, /*On fail goto*//*Label 23591*/ GIMT_Encode4(1730027), // Rule ID 10786 //
     /* 1729946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1729954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1729957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1729960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1729963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1729966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1729969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1729976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1729988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729992 */     // MIs[0] policy
     /* 1729992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730002 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11314:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1730005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730026 */     // GIR_Coverage, 10786,
     /* 1730026 */     GIR_EraseRootFromParent_Done,
     /* 1730027 */   // Label 23591: @1730027
     /* 1730027 */   GIM_Try, /*On fail goto*//*Label 23592*/ GIMT_Encode4(1730113), // Rule ID 10789 //
     /* 1730032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1730043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1730046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1730049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730078 */     // MIs[0] policy
     /* 1730078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730088 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11314:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1730091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730112 */     // GIR_Coverage, 10789,
     /* 1730112 */     GIR_EraseRootFromParent_Done,
     /* 1730113 */   // Label 23592: @1730113
     /* 1730113 */   GIM_Try, /*On fail goto*//*Label 23593*/ GIMT_Encode4(1730199), // Rule ID 10790 //
     /* 1730118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1730129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1730132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1730135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730164 */     // MIs[0] policy
     /* 1730164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730174 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11314:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1730177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730198 */     // GIR_Coverage, 10790,
     /* 1730198 */     GIR_EraseRootFromParent_Done,
     /* 1730199 */   // Label 23593: @1730199
     /* 1730199 */   GIM_Try, /*On fail goto*//*Label 23594*/ GIMT_Encode4(1730285), // Rule ID 10793 //
     /* 1730204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1730215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1730218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1730221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730250 */     // MIs[0] policy
     /* 1730250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730260 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11314:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1730263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730284 */     // GIR_Coverage, 10793,
     /* 1730284 */     GIR_EraseRootFromParent_Done,
     /* 1730285 */   // Label 23594: @1730285
     /* 1730285 */   GIM_Try, /*On fail goto*//*Label 23595*/ GIMT_Encode4(1730371), // Rule ID 10794 //
     /* 1730290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1730301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1730304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1730307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730336 */     // MIs[0] policy
     /* 1730336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11314:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1730349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730370 */     // GIR_Coverage, 10794,
     /* 1730370 */     GIR_EraseRootFromParent_Done,
     /* 1730371 */   // Label 23595: @1730371
     /* 1730371 */   GIM_Try, /*On fail goto*//*Label 23596*/ GIMT_Encode4(1730457), // Rule ID 10797 //
     /* 1730376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1730387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1730390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1730393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730422 */     // MIs[0] policy
     /* 1730422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730432 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11314:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1730435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730456 */     // GIR_Coverage, 10797,
     /* 1730456 */     GIR_EraseRootFromParent_Done,
     /* 1730457 */   // Label 23596: @1730457
     /* 1730457 */   GIM_Try, /*On fail goto*//*Label 23597*/ GIMT_Encode4(1730543), // Rule ID 10798 //
     /* 1730462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1730473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1730476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1730479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730508 */     // MIs[0] policy
     /* 1730508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730518 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11314:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1730521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730542 */     // GIR_Coverage, 10798,
     /* 1730542 */     GIR_EraseRootFromParent_Done,
     /* 1730543 */   // Label 23597: @1730543
     /* 1730543 */   GIM_Try, /*On fail goto*//*Label 23598*/ GIMT_Encode4(1730629), // Rule ID 10801 //
     /* 1730548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1730551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1730559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1730562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1730565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730594 */     // MIs[0] policy
     /* 1730594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730604 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11314:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1730607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730628 */     // GIR_Coverage, 10801,
     /* 1730628 */     GIR_EraseRootFromParent_Done,
     /* 1730629 */   // Label 23598: @1730629
     /* 1730629 */   GIM_Try, /*On fail goto*//*Label 23599*/ GIMT_Encode4(1730715), // Rule ID 10802 //
     /* 1730634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1730637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1730645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1730648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1730651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730680 */     // MIs[0] policy
     /* 1730680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730690 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11314:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1730693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730714 */     // GIR_Coverage, 10802,
     /* 1730714 */     GIR_EraseRootFromParent_Done,
     /* 1730715 */   // Label 23599: @1730715
     /* 1730715 */   GIM_Try, /*On fail goto*//*Label 23600*/ GIMT_Encode4(1730801), // Rule ID 10805 //
     /* 1730720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1730723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1730731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1730734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1730737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730766 */     // MIs[0] policy
     /* 1730766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730776 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11314:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1730779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730800 */     // GIR_Coverage, 10805,
     /* 1730800 */     GIR_EraseRootFromParent_Done,
     /* 1730801 */   // Label 23600: @1730801
     /* 1730801 */   GIM_Try, /*On fail goto*//*Label 23601*/ GIMT_Encode4(1730887), // Rule ID 10806 //
     /* 1730806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1730809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1730817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1730820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1730823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730852 */     // MIs[0] policy
     /* 1730852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730862 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11314:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1730865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730886 */     // GIR_Coverage, 10806,
     /* 1730886 */     GIR_EraseRootFromParent_Done,
     /* 1730887 */   // Label 23601: @1730887
     /* 1730887 */   GIM_Try, /*On fail goto*//*Label 23602*/ GIMT_Encode4(1730973), // Rule ID 10809 //
     /* 1730892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1730895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1730903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1730906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1730909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730938 */     // MIs[0] policy
     /* 1730938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730948 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11314:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1730951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730972 */     // GIR_Coverage, 10809,
     /* 1730972 */     GIR_EraseRootFromParent_Done,
     /* 1730973 */   // Label 23602: @1730973
     /* 1730973 */   GIM_Try, /*On fail goto*//*Label 23603*/ GIMT_Encode4(1731059), // Rule ID 10810 //
     /* 1730978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1730981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1730986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1730989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1730992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1730995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731024 */     // MIs[0] policy
     /* 1731024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731034 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11314:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1731037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731058 */     // GIR_Coverage, 10810,
     /* 1731058 */     GIR_EraseRootFromParent_Done,
     /* 1731059 */   // Label 23603: @1731059
     /* 1731059 */   GIM_Try, /*On fail goto*//*Label 23604*/ GIMT_Encode4(1731145), // Rule ID 10813 //
     /* 1731064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1731075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1731078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1731081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1731084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1731087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731110 */     // MIs[0] policy
     /* 1731110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731120 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1731123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731144 */     // GIR_Coverage, 10813,
     /* 1731144 */     GIR_EraseRootFromParent_Done,
     /* 1731145 */   // Label 23604: @1731145
     /* 1731145 */   GIM_Try, /*On fail goto*//*Label 23605*/ GIMT_Encode4(1731231), // Rule ID 10814 //
     /* 1731150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1731161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1731164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1731167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1731170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1731173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731196 */     // MIs[0] policy
     /* 1731196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731206 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1731209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731230 */     // GIR_Coverage, 10814,
     /* 1731230 */     GIR_EraseRootFromParent_Done,
     /* 1731231 */   // Label 23605: @1731231
     /* 1731231 */   GIM_Try, /*On fail goto*//*Label 23606*/ GIMT_Encode4(1731317), // Rule ID 10817 //
     /* 1731236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1731247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1731250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1731253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1731256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1731259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731282 */     // MIs[0] policy
     /* 1731282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731292 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1731295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731316 */     // GIR_Coverage, 10817,
     /* 1731316 */     GIR_EraseRootFromParent_Done,
     /* 1731317 */   // Label 23606: @1731317
     /* 1731317 */   GIM_Try, /*On fail goto*//*Label 23607*/ GIMT_Encode4(1731403), // Rule ID 10818 //
     /* 1731322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1731333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1731336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1731339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1731342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1731345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731368 */     // MIs[0] policy
     /* 1731368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731378 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1731381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731402 */     // GIR_Coverage, 10818,
     /* 1731402 */     GIR_EraseRootFromParent_Done,
     /* 1731403 */   // Label 23607: @1731403
     /* 1731403 */   GIM_Try, /*On fail goto*//*Label 23608*/ GIMT_Encode4(1731489), // Rule ID 10821 //
     /* 1731408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1731419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1731422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1731425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1731428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731454 */     // MIs[0] policy
     /* 1731454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731464 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1731467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731488 */     // GIR_Coverage, 10821,
     /* 1731488 */     GIR_EraseRootFromParent_Done,
     /* 1731489 */   // Label 23608: @1731489
     /* 1731489 */   GIM_Try, /*On fail goto*//*Label 23609*/ GIMT_Encode4(1731575), // Rule ID 10822 //
     /* 1731494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1731505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1731508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1731511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1731514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731540 */     // MIs[0] policy
     /* 1731540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731550 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1731553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731574 */     // GIR_Coverage, 10822,
     /* 1731574 */     GIR_EraseRootFromParent_Done,
     /* 1731575 */   // Label 23609: @1731575
     /* 1731575 */   GIM_Try, /*On fail goto*//*Label 23610*/ GIMT_Encode4(1731661), // Rule ID 10825 //
     /* 1731580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1731591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1731594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1731597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1731600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1731603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731626 */     // MIs[0] policy
     /* 1731626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731636 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1731639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731660 */     // GIR_Coverage, 10825,
     /* 1731660 */     GIR_EraseRootFromParent_Done,
     /* 1731661 */   // Label 23610: @1731661
     /* 1731661 */   GIM_Try, /*On fail goto*//*Label 23611*/ GIMT_Encode4(1731747), // Rule ID 10826 //
     /* 1731666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1731677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1731680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1731683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1731686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1731689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731712 */     // MIs[0] policy
     /* 1731712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731722 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1731725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731746 */     // GIR_Coverage, 10826,
     /* 1731746 */     GIR_EraseRootFromParent_Done,
     /* 1731747 */   // Label 23611: @1731747
     /* 1731747 */   GIM_Try, /*On fail goto*//*Label 23612*/ GIMT_Encode4(1731833), // Rule ID 10829 //
     /* 1731752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1731763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1731766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1731769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1731772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1731775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731798 */     // MIs[0] policy
     /* 1731798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731808 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1731811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731832 */     // GIR_Coverage, 10829,
     /* 1731832 */     GIR_EraseRootFromParent_Done,
     /* 1731833 */   // Label 23612: @1731833
     /* 1731833 */   GIM_Try, /*On fail goto*//*Label 23613*/ GIMT_Encode4(1731919), // Rule ID 10830 //
     /* 1731838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1731849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1731852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1731855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1731858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1731861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731884 */     // MIs[0] policy
     /* 1731884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731894 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1731897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731918 */     // GIR_Coverage, 10830,
     /* 1731918 */     GIR_EraseRootFromParent_Done,
     /* 1731919 */   // Label 23613: @1731919
     /* 1731919 */   GIM_Try, /*On fail goto*//*Label 23614*/ GIMT_Encode4(1732005), // Rule ID 10833 //
     /* 1731924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1731935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1731938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1731941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1731944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1731947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731970 */     // MIs[0] policy
     /* 1731970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731980 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1731983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732004 */     // GIR_Coverage, 10833,
     /* 1732004 */     GIR_EraseRootFromParent_Done,
     /* 1732005 */   // Label 23614: @1732005
     /* 1732005 */   GIM_Try, /*On fail goto*//*Label 23615*/ GIMT_Encode4(1732091), // Rule ID 10834 //
     /* 1732010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1732021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1732024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1732027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1732030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732056 */     // MIs[0] policy
     /* 1732056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732066 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1732069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732090 */     // GIR_Coverage, 10834,
     /* 1732090 */     GIR_EraseRootFromParent_Done,
     /* 1732091 */   // Label 23615: @1732091
     /* 1732091 */   GIM_Try, /*On fail goto*//*Label 23616*/ GIMT_Encode4(1732177), // Rule ID 10837 //
     /* 1732096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1732107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1732110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1732113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1732116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732142 */     // MIs[0] policy
     /* 1732142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732152 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1732155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732176 */     // GIR_Coverage, 10837,
     /* 1732176 */     GIR_EraseRootFromParent_Done,
     /* 1732177 */   // Label 23616: @1732177
     /* 1732177 */   GIM_Try, /*On fail goto*//*Label 23617*/ GIMT_Encode4(1732263), // Rule ID 10838 //
     /* 1732182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1732193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1732196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1732199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1732202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732228 */     // MIs[0] policy
     /* 1732228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732238 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1732241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732262 */     // GIR_Coverage, 10838,
     /* 1732262 */     GIR_EraseRootFromParent_Done,
     /* 1732263 */   // Label 23617: @1732263
     /* 1732263 */   GIM_Try, /*On fail goto*//*Label 23618*/ GIMT_Encode4(1732349), // Rule ID 10841 //
     /* 1732268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1732279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1732282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1732285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1732288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732314 */     // MIs[0] policy
     /* 1732314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1732327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732348 */     // GIR_Coverage, 10841,
     /* 1732348 */     GIR_EraseRootFromParent_Done,
     /* 1732349 */   // Label 23618: @1732349
     /* 1732349 */   GIM_Try, /*On fail goto*//*Label 23619*/ GIMT_Encode4(1732435), // Rule ID 10842 //
     /* 1732354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1732365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1732368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1732371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1732374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732400 */     // MIs[0] policy
     /* 1732400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732410 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1732413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732434 */     // GIR_Coverage, 10842,
     /* 1732434 */     GIR_EraseRootFromParent_Done,
     /* 1732435 */   // Label 23619: @1732435
     /* 1732435 */   GIM_Try, /*On fail goto*//*Label 23620*/ GIMT_Encode4(1732521), // Rule ID 10845 //
     /* 1732440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1732451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1732454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1732457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1732460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732486 */     // MIs[0] policy
     /* 1732486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1732499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732520 */     // GIR_Coverage, 10845,
     /* 1732520 */     GIR_EraseRootFromParent_Done,
     /* 1732521 */   // Label 23620: @1732521
     /* 1732521 */   GIM_Try, /*On fail goto*//*Label 23621*/ GIMT_Encode4(1732607), // Rule ID 10846 //
     /* 1732526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1732537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1732540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1732543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1732546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732572 */     // MIs[0] policy
     /* 1732572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732582 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1732585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732606 */     // GIR_Coverage, 10846,
     /* 1732606 */     GIR_EraseRootFromParent_Done,
     /* 1732607 */   // Label 23621: @1732607
     /* 1732607 */   GIM_Try, /*On fail goto*//*Label 23622*/ GIMT_Encode4(1732693), // Rule ID 10849 //
     /* 1732612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1732615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1732623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1732626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1732629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1732632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732658 */     // MIs[0] policy
     /* 1732658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732668 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1732671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732692 */     // GIR_Coverage, 10849,
     /* 1732692 */     GIR_EraseRootFromParent_Done,
     /* 1732693 */   // Label 23622: @1732693
     /* 1732693 */   GIM_Try, /*On fail goto*//*Label 23623*/ GIMT_Encode4(1732779), // Rule ID 10850 //
     /* 1732698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1732701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1732709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1732712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1732715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1732718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732744 */     // MIs[0] policy
     /* 1732744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732754 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1732757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732778 */     // GIR_Coverage, 10850,
     /* 1732778 */     GIR_EraseRootFromParent_Done,
     /* 1732779 */   // Label 23623: @1732779
     /* 1732779 */   GIM_Try, /*On fail goto*//*Label 23624*/ GIMT_Encode4(1732865), // Rule ID 10853 //
     /* 1732784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1732795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1732798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1732801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1732804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1732807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1732814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732830 */     // MIs[0] policy
     /* 1732830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732840 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1732843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732864 */     // GIR_Coverage, 10853,
     /* 1732864 */     GIR_EraseRootFromParent_Done,
     /* 1732865 */   // Label 23624: @1732865
     /* 1732865 */   GIM_Try, /*On fail goto*//*Label 23625*/ GIMT_Encode4(1732951), // Rule ID 10854 //
     /* 1732870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1732881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1732884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1732887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1732890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1732893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1732900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732916 */     // MIs[0] policy
     /* 1732916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732926 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1732929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732950 */     // GIR_Coverage, 10854,
     /* 1732950 */     GIR_EraseRootFromParent_Done,
     /* 1732951 */   // Label 23625: @1732951
     /* 1732951 */   GIM_Try, /*On fail goto*//*Label 23626*/ GIMT_Encode4(1733037), // Rule ID 10857 //
     /* 1732956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1732967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1732970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1732973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1732976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1732979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733002 */     // MIs[0] policy
     /* 1733002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733012 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1733015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733036 */     // GIR_Coverage, 10857,
     /* 1733036 */     GIR_EraseRootFromParent_Done,
     /* 1733037 */   // Label 23626: @1733037
     /* 1733037 */   GIM_Try, /*On fail goto*//*Label 23627*/ GIMT_Encode4(1733123), // Rule ID 10858 //
     /* 1733042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1733053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1733056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1733059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1733062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1733065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1733072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733088 */     // MIs[0] policy
     /* 1733088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733098 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1733101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733122 */     // GIR_Coverage, 10858,
     /* 1733122 */     GIR_EraseRootFromParent_Done,
     /* 1733123 */   // Label 23627: @1733123
     /* 1733123 */   GIM_Try, /*On fail goto*//*Label 23628*/ GIMT_Encode4(1733209), // Rule ID 10861 //
     /* 1733128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1733139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1733142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1733145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1733148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1733151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1733158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733174 */     // MIs[0] policy
     /* 1733174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733184 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1733187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733208 */     // GIR_Coverage, 10861,
     /* 1733208 */     GIR_EraseRootFromParent_Done,
     /* 1733209 */   // Label 23628: @1733209
     /* 1733209 */   GIM_Try, /*On fail goto*//*Label 23629*/ GIMT_Encode4(1733295), // Rule ID 10862 //
     /* 1733214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1733225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1733228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1733231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1733234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1733237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1733244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733260 */     // MIs[0] policy
     /* 1733260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733270 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1733273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733294 */     // GIR_Coverage, 10862,
     /* 1733294 */     GIR_EraseRootFromParent_Done,
     /* 1733295 */   // Label 23629: @1733295
     /* 1733295 */   GIM_Try, /*On fail goto*//*Label 23630*/ GIMT_Encode4(1733381), // Rule ID 10865 //
     /* 1733300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1733311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1733314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1733317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1733320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1733330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733346 */     // MIs[0] policy
     /* 1733346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733356 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1733359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733380 */     // GIR_Coverage, 10865,
     /* 1733380 */     GIR_EraseRootFromParent_Done,
     /* 1733381 */   // Label 23630: @1733381
     /* 1733381 */   GIM_Try, /*On fail goto*//*Label 23631*/ GIMT_Encode4(1733467), // Rule ID 10866 //
     /* 1733386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1733397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1733400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1733403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1733406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1733416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733432 */     // MIs[0] policy
     /* 1733432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733442 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1733445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733466 */     // GIR_Coverage, 10866,
     /* 1733466 */     GIR_EraseRootFromParent_Done,
     /* 1733467 */   // Label 23631: @1733467
     /* 1733467 */   GIM_Try, /*On fail goto*//*Label 23632*/ GIMT_Encode4(1733553), // Rule ID 10869 //
     /* 1733472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1733483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1733486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1733489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1733492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1733495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1733502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733518 */     // MIs[0] policy
     /* 1733518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733528 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1733531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733552 */     // GIR_Coverage, 10869,
     /* 1733552 */     GIR_EraseRootFromParent_Done,
     /* 1733553 */   // Label 23632: @1733553
     /* 1733553 */   GIM_Try, /*On fail goto*//*Label 23633*/ GIMT_Encode4(1733639), // Rule ID 10870 //
     /* 1733558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1733569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1733572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1733575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1733578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1733581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1733588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733604 */     // MIs[0] policy
     /* 1733604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733614 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1733617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733638 */     // GIR_Coverage, 10870,
     /* 1733638 */     GIR_EraseRootFromParent_Done,
     /* 1733639 */   // Label 23633: @1733639
     /* 1733639 */   GIM_Try, /*On fail goto*//*Label 23634*/ GIMT_Encode4(1733725), // Rule ID 10873 //
     /* 1733644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1733655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1733658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1733661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1733664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1733667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1733674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733690 */     // MIs[0] policy
     /* 1733690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733700 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1733703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733724 */     // GIR_Coverage, 10873,
     /* 1733724 */     GIR_EraseRootFromParent_Done,
     /* 1733725 */   // Label 23634: @1733725
     /* 1733725 */   GIM_Try, /*On fail goto*//*Label 23635*/ GIMT_Encode4(1733811), // Rule ID 10874 //
     /* 1733730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1733741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1733744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1733747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1733750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1733753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1733760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733776 */     // MIs[0] policy
     /* 1733776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733786 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1733789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733810 */     // GIR_Coverage, 10874,
     /* 1733810 */     GIR_EraseRootFromParent_Done,
     /* 1733811 */   // Label 23635: @1733811
     /* 1733811 */   GIM_Try, /*On fail goto*//*Label 23636*/ GIMT_Encode4(1733897), // Rule ID 10877 //
     /* 1733816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1733827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1733830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1733833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1733836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1733846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733862 */     // MIs[0] policy
     /* 1733862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733872 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1733875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733896 */     // GIR_Coverage, 10877,
     /* 1733896 */     GIR_EraseRootFromParent_Done,
     /* 1733897 */   // Label 23636: @1733897
     /* 1733897 */   GIM_Try, /*On fail goto*//*Label 23637*/ GIMT_Encode4(1733983), // Rule ID 10878 //
     /* 1733902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1733913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1733916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1733919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1733922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1733932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733948 */     // MIs[0] policy
     /* 1733948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733958 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1733961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733982 */     // GIR_Coverage, 10878,
     /* 1733982 */     GIR_EraseRootFromParent_Done,
     /* 1733983 */   // Label 23637: @1733983
     /* 1733983 */   GIM_Try, /*On fail goto*//*Label 23638*/ GIMT_Encode4(1734069), // Rule ID 10881 //
     /* 1733988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1733999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1734002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1734005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1734008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734034 */     // MIs[0] policy
     /* 1734034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734044 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1734047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734068 */     // GIR_Coverage, 10881,
     /* 1734068 */     GIR_EraseRootFromParent_Done,
     /* 1734069 */   // Label 23638: @1734069
     /* 1734069 */   GIM_Try, /*On fail goto*//*Label 23639*/ GIMT_Encode4(1734155), // Rule ID 10882 //
     /* 1734074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1734085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1734088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1734091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1734094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734120 */     // MIs[0] policy
     /* 1734120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734130 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1734133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734154 */     // GIR_Coverage, 10882,
     /* 1734154 */     GIR_EraseRootFromParent_Done,
     /* 1734155 */   // Label 23639: @1734155
     /* 1734155 */   GIM_Try, /*On fail goto*//*Label 23640*/ GIMT_Encode4(1734241), // Rule ID 10885 //
     /* 1734160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1734171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1734174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1734177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1734180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734206 */     // MIs[0] policy
     /* 1734206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734216 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1734219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734240 */     // GIR_Coverage, 10885,
     /* 1734240 */     GIR_EraseRootFromParent_Done,
     /* 1734241 */   // Label 23640: @1734241
     /* 1734241 */   GIM_Try, /*On fail goto*//*Label 23641*/ GIMT_Encode4(1734327), // Rule ID 10886 //
     /* 1734246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1734257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1734260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1734263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1734266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734292 */     // MIs[0] policy
     /* 1734292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734302 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1734305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734326 */     // GIR_Coverage, 10886,
     /* 1734326 */     GIR_EraseRootFromParent_Done,
     /* 1734327 */   // Label 23641: @1734327
     /* 1734327 */   GIM_Try, /*On fail goto*//*Label 23642*/ GIMT_Encode4(1734413), // Rule ID 10889 //
     /* 1734332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1734335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1734343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1734346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1734349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1734352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1734355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734378 */     // MIs[0] policy
     /* 1734378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734388 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1734391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734412 */     // GIR_Coverage, 10889,
     /* 1734412 */     GIR_EraseRootFromParent_Done,
     /* 1734413 */   // Label 23642: @1734413
     /* 1734413 */   GIM_Try, /*On fail goto*//*Label 23643*/ GIMT_Encode4(1734499), // Rule ID 10890 //
     /* 1734418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1734421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1734429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1734432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1734435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1734438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1734441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734464 */     // MIs[0] policy
     /* 1734464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734474 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1734477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734498 */     // GIR_Coverage, 10890,
     /* 1734498 */     GIR_EraseRootFromParent_Done,
     /* 1734499 */   // Label 23643: @1734499
     /* 1734499 */   GIM_Try, /*On fail goto*//*Label 23644*/ GIMT_Encode4(1734585), // Rule ID 10893 //
     /* 1734504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1734507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1734515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1734518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1734521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1734524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1734527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734550 */     // MIs[0] policy
     /* 1734550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734560 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1734563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734584 */     // GIR_Coverage, 10893,
     /* 1734584 */     GIR_EraseRootFromParent_Done,
     /* 1734585 */   // Label 23644: @1734585
     /* 1734585 */   GIM_Try, /*On fail goto*//*Label 23645*/ GIMT_Encode4(1734671), // Rule ID 10894 //
     /* 1734590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1734593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1734601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1734604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1734607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1734610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1734613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734636 */     // MIs[0] policy
     /* 1734636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734646 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1734649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734670 */     // GIR_Coverage, 10894,
     /* 1734670 */     GIR_EraseRootFromParent_Done,
     /* 1734671 */   // Label 23645: @1734671
     /* 1734671 */   GIM_Try, /*On fail goto*//*Label 23646*/ GIMT_Encode4(1734757), // Rule ID 10897 //
     /* 1734676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1734679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1734687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1734690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1734693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1734696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734722 */     // MIs[0] policy
     /* 1734722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734732 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1734735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734756 */     // GIR_Coverage, 10897,
     /* 1734756 */     GIR_EraseRootFromParent_Done,
     /* 1734757 */   // Label 23646: @1734757
     /* 1734757 */   GIM_Try, /*On fail goto*//*Label 23647*/ GIMT_Encode4(1734843), // Rule ID 10898 //
     /* 1734762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1734765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1734773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1734776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1734779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1734782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734808 */     // MIs[0] policy
     /* 1734808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734818 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1734821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734842 */     // GIR_Coverage, 10898,
     /* 1734842 */     GIR_EraseRootFromParent_Done,
     /* 1734843 */   // Label 23647: @1734843
     /* 1734843 */   GIM_Try, /*On fail goto*//*Label 23648*/ GIMT_Encode4(1734929), // Rule ID 10901 //
     /* 1734848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1734859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1734862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1734865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1734868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1734871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734894 */     // MIs[0] policy
     /* 1734894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734904 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1734907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734928 */     // GIR_Coverage, 10901,
     /* 1734928 */     GIR_EraseRootFromParent_Done,
     /* 1734929 */   // Label 23648: @1734929
     /* 1734929 */   GIM_Try, /*On fail goto*//*Label 23649*/ GIMT_Encode4(1735015), // Rule ID 10902 //
     /* 1734934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1734942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1734945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1734948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1734951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1734954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1734957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734980 */     // MIs[0] policy
     /* 1734980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734990 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1734993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735014 */     // GIR_Coverage, 10902,
     /* 1735014 */     GIR_EraseRootFromParent_Done,
     /* 1735015 */   // Label 23649: @1735015
     /* 1735015 */   GIM_Try, /*On fail goto*//*Label 23650*/ GIMT_Encode4(1735101), // Rule ID 10905 //
     /* 1735020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1735031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1735034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1735037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735066 */     // MIs[0] policy
     /* 1735066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735076 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1735079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735100 */     // GIR_Coverage, 10905,
     /* 1735100 */     GIR_EraseRootFromParent_Done,
     /* 1735101 */   // Label 23650: @1735101
     /* 1735101 */   GIM_Try, /*On fail goto*//*Label 23651*/ GIMT_Encode4(1735187), // Rule ID 10906 //
     /* 1735106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1735117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1735120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1735123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735152 */     // MIs[0] policy
     /* 1735152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735162 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1735165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735186 */     // GIR_Coverage, 10906,
     /* 1735186 */     GIR_EraseRootFromParent_Done,
     /* 1735187 */   // Label 23651: @1735187
     /* 1735187 */   GIM_Try, /*On fail goto*//*Label 23652*/ GIMT_Encode4(1735273), // Rule ID 10909 //
     /* 1735192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1735203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1735206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1735209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735238 */     // MIs[0] policy
     /* 1735238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735248 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1735251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735272 */     // GIR_Coverage, 10909,
     /* 1735272 */     GIR_EraseRootFromParent_Done,
     /* 1735273 */   // Label 23652: @1735273
     /* 1735273 */   GIM_Try, /*On fail goto*//*Label 23653*/ GIMT_Encode4(1735359), // Rule ID 10910 //
     /* 1735278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1735289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1735292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1735295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735324 */     // MIs[0] policy
     /* 1735324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735334 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1735337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735358 */     // GIR_Coverage, 10910,
     /* 1735358 */     GIR_EraseRootFromParent_Done,
     /* 1735359 */   // Label 23653: @1735359
     /* 1735359 */   GIM_Try, /*On fail goto*//*Label 23654*/ GIMT_Encode4(1735445), // Rule ID 10913 //
     /* 1735364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1735375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1735378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1735381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1735387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735410 */     // MIs[0] policy
     /* 1735410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735420 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1735423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735444 */     // GIR_Coverage, 10913,
     /* 1735444 */     GIR_EraseRootFromParent_Done,
     /* 1735445 */   // Label 23654: @1735445
     /* 1735445 */   GIM_Try, /*On fail goto*//*Label 23655*/ GIMT_Encode4(1735531), // Rule ID 10914 //
     /* 1735450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1735461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1735464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1735467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1735473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735496 */     // MIs[0] policy
     /* 1735496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735506 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1735509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735530 */     // GIR_Coverage, 10914,
     /* 1735530 */     GIR_EraseRootFromParent_Done,
     /* 1735531 */   // Label 23655: @1735531
     /* 1735531 */   GIM_Try, /*On fail goto*//*Label 23656*/ GIMT_Encode4(1735617), // Rule ID 10917 //
     /* 1735536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1735547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1735550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1735553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735582 */     // MIs[0] policy
     /* 1735582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735592 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1735595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735616 */     // GIR_Coverage, 10917,
     /* 1735616 */     GIR_EraseRootFromParent_Done,
     /* 1735617 */   // Label 23656: @1735617
     /* 1735617 */   GIM_Try, /*On fail goto*//*Label 23657*/ GIMT_Encode4(1735703), // Rule ID 10918 //
     /* 1735622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1735633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1735636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1735639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735668 */     // MIs[0] policy
     /* 1735668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735678 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1735681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735702 */     // GIR_Coverage, 10918,
     /* 1735702 */     GIR_EraseRootFromParent_Done,
     /* 1735703 */   // Label 23657: @1735703
     /* 1735703 */   GIM_Try, /*On fail goto*//*Label 23658*/ GIMT_Encode4(1735789), // Rule ID 10921 //
     /* 1735708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1735719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1735722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1735725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1735731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735754 */     // MIs[0] policy
     /* 1735754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735764 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1735767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735788 */     // GIR_Coverage, 10921,
     /* 1735788 */     GIR_EraseRootFromParent_Done,
     /* 1735789 */   // Label 23658: @1735789
     /* 1735789 */   GIM_Try, /*On fail goto*//*Label 23659*/ GIMT_Encode4(1735875), // Rule ID 10922 //
     /* 1735794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1735805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1735808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1735811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1735817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735840 */     // MIs[0] policy
     /* 1735840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735850 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1735853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735874 */     // GIR_Coverage, 10922,
     /* 1735874 */     GIR_EraseRootFromParent_Done,
     /* 1735875 */   // Label 23659: @1735875
     /* 1735875 */   GIM_Try, /*On fail goto*//*Label 23660*/ GIMT_Encode4(1735961), // Rule ID 10925 //
     /* 1735880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1735891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1735894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1735897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735926 */     // MIs[0] policy
     /* 1735926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735936 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1735939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735960 */     // GIR_Coverage, 10925,
     /* 1735960 */     GIR_EraseRootFromParent_Done,
     /* 1735961 */   // Label 23660: @1735961
     /* 1735961 */   GIM_Try, /*On fail goto*//*Label 23661*/ GIMT_Encode4(1736047), // Rule ID 10926 //
     /* 1735966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1735974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1735977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1735980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1735983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736012 */     // MIs[0] policy
     /* 1736012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736022 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1736025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736046 */     // GIR_Coverage, 10926,
     /* 1736046 */     GIR_EraseRootFromParent_Done,
     /* 1736047 */   // Label 23661: @1736047
     /* 1736047 */   GIM_Try, /*On fail goto*//*Label 23662*/ GIMT_Encode4(1736133), // Rule ID 10929 //
     /* 1736052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1736063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1736066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1736069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736098 */     // MIs[0] policy
     /* 1736098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736108 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1736111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736132 */     // GIR_Coverage, 10929,
     /* 1736132 */     GIR_EraseRootFromParent_Done,
     /* 1736133 */   // Label 23662: @1736133
     /* 1736133 */   GIM_Try, /*On fail goto*//*Label 23663*/ GIMT_Encode4(1736219), // Rule ID 10930 //
     /* 1736138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1736149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1736152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1736155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736184 */     // MIs[0] policy
     /* 1736184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736194 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1736197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736218 */     // GIR_Coverage, 10930,
     /* 1736218 */     GIR_EraseRootFromParent_Done,
     /* 1736219 */   // Label 23663: @1736219
     /* 1736219 */   GIM_Try, /*On fail goto*//*Label 23664*/ GIMT_Encode4(1736305), // Rule ID 10933 //
     /* 1736224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1736235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1736238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1736241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736270 */     // MIs[0] policy
     /* 1736270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736280 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1736283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736304 */     // GIR_Coverage, 10933,
     /* 1736304 */     GIR_EraseRootFromParent_Done,
     /* 1736305 */   // Label 23664: @1736305
     /* 1736305 */   GIM_Try, /*On fail goto*//*Label 23665*/ GIMT_Encode4(1736391), // Rule ID 10934 //
     /* 1736310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1736321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1736324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1736327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736356 */     // MIs[0] policy
     /* 1736356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736366 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1736369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736390 */     // GIR_Coverage, 10934,
     /* 1736390 */     GIR_EraseRootFromParent_Done,
     /* 1736391 */   // Label 23665: @1736391
     /* 1736391 */   GIM_Try, /*On fail goto*//*Label 23666*/ GIMT_Encode4(1736477), // Rule ID 10937 //
     /* 1736396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1736399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1736407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1736410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1736413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736442 */     // MIs[0] policy
     /* 1736442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736452 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1736455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736476 */     // GIR_Coverage, 10937,
     /* 1736476 */     GIR_EraseRootFromParent_Done,
     /* 1736477 */   // Label 23666: @1736477
     /* 1736477 */   GIM_Try, /*On fail goto*//*Label 23667*/ GIMT_Encode4(1736563), // Rule ID 10938 //
     /* 1736482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1736485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1736493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1736496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1736499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736528 */     // MIs[0] policy
     /* 1736528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736538 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1736541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736562 */     // GIR_Coverage, 10938,
     /* 1736562 */     GIR_EraseRootFromParent_Done,
     /* 1736563 */   // Label 23667: @1736563
     /* 1736563 */   GIM_Try, /*On fail goto*//*Label 23668*/ GIMT_Encode4(1736649), // Rule ID 10941 //
     /* 1736568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1736579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1736582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1736585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1736591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1736598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736614 */     // MIs[0] policy
     /* 1736614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736624 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1736627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736648 */     // GIR_Coverage, 10941,
     /* 1736648 */     GIR_EraseRootFromParent_Done,
     /* 1736649 */   // Label 23668: @1736649
     /* 1736649 */   GIM_Try, /*On fail goto*//*Label 23669*/ GIMT_Encode4(1736735), // Rule ID 10942 //
     /* 1736654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1736665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1736668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1736671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1736677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1736684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736700 */     // MIs[0] policy
     /* 1736700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736710 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1736713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736734 */     // GIR_Coverage, 10942,
     /* 1736734 */     GIR_EraseRootFromParent_Done,
     /* 1736735 */   // Label 23669: @1736735
     /* 1736735 */   GIM_Try, /*On fail goto*//*Label 23670*/ GIMT_Encode4(1736821), // Rule ID 10945 //
     /* 1736740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1736751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1736754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1736757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1736763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1736770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736786 */     // MIs[0] policy
     /* 1736786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736796 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1736799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736820 */     // GIR_Coverage, 10945,
     /* 1736820 */     GIR_EraseRootFromParent_Done,
     /* 1736821 */   // Label 23670: @1736821
     /* 1736821 */   GIM_Try, /*On fail goto*//*Label 23671*/ GIMT_Encode4(1736907), // Rule ID 10946 //
     /* 1736826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1736837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1736840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1736843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1736846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1736849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1736856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736872 */     // MIs[0] policy
     /* 1736872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736882 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1736885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736906 */     // GIR_Coverage, 10946,
     /* 1736906 */     GIR_EraseRootFromParent_Done,
     /* 1736907 */   // Label 23671: @1736907
     /* 1736907 */   GIM_Try, /*On fail goto*//*Label 23672*/ GIMT_Encode4(1736993), // Rule ID 10949 //
     /* 1736912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1736920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1736923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1736926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1736929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1736932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1736935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1736942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1736954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736958 */     // MIs[0] policy
     /* 1736958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736968 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1736971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736992 */     // GIR_Coverage, 10949,
     /* 1736992 */     GIR_EraseRootFromParent_Done,
     /* 1736993 */   // Label 23672: @1736993
     /* 1736993 */   GIM_Try, /*On fail goto*//*Label 23673*/ GIMT_Encode4(1737079), // Rule ID 10950 //
     /* 1736998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1737009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1737012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1737015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1737021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1737028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737044 */     // MIs[0] policy
     /* 1737044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737054 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1737057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737078 */     // GIR_Coverage, 10950,
     /* 1737078 */     GIR_EraseRootFromParent_Done,
     /* 1737079 */   // Label 23673: @1737079
     /* 1737079 */   GIM_Try, /*On fail goto*//*Label 23674*/ GIMT_Encode4(1737165), // Rule ID 10953 //
     /* 1737084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1737095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1737098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1737101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1737114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737130 */     // MIs[0] policy
     /* 1737130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737140 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1737143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737164 */     // GIR_Coverage, 10953,
     /* 1737164 */     GIR_EraseRootFromParent_Done,
     /* 1737165 */   // Label 23674: @1737165
     /* 1737165 */   GIM_Try, /*On fail goto*//*Label 23675*/ GIMT_Encode4(1737251), // Rule ID 10954 //
     /* 1737170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1737181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1737184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1737187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1737200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737216 */     // MIs[0] policy
     /* 1737216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737226 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1737229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737250 */     // GIR_Coverage, 10954,
     /* 1737250 */     GIR_EraseRootFromParent_Done,
     /* 1737251 */   // Label 23675: @1737251
     /* 1737251 */   GIM_Try, /*On fail goto*//*Label 23676*/ GIMT_Encode4(1737337), // Rule ID 10957 //
     /* 1737256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1737267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1737270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1737273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1737279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1737286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737302 */     // MIs[0] policy
     /* 1737302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737312 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1737315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737336 */     // GIR_Coverage, 10957,
     /* 1737336 */     GIR_EraseRootFromParent_Done,
     /* 1737337 */   // Label 23676: @1737337
     /* 1737337 */   GIM_Try, /*On fail goto*//*Label 23677*/ GIMT_Encode4(1737423), // Rule ID 10958 //
     /* 1737342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1737353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1737356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1737359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1737365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1737372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737388 */     // MIs[0] policy
     /* 1737388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737398 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1737401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737422 */     // GIR_Coverage, 10958,
     /* 1737422 */     GIR_EraseRootFromParent_Done,
     /* 1737423 */   // Label 23677: @1737423
     /* 1737423 */   GIM_Try, /*On fail goto*//*Label 23678*/ GIMT_Encode4(1737509), // Rule ID 10961 //
     /* 1737428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1737439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1737442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1737445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1737451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1737458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737474 */     // MIs[0] policy
     /* 1737474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737484 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1737487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737508 */     // GIR_Coverage, 10961,
     /* 1737508 */     GIR_EraseRootFromParent_Done,
     /* 1737509 */   // Label 23678: @1737509
     /* 1737509 */   GIM_Try, /*On fail goto*//*Label 23679*/ GIMT_Encode4(1737595), // Rule ID 10962 //
     /* 1737514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1737525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1737528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1737531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1737537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1737544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737560 */     // MIs[0] policy
     /* 1737560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737570 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1737573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737594 */     // GIR_Coverage, 10962,
     /* 1737594 */     GIR_EraseRootFromParent_Done,
     /* 1737595 */   // Label 23679: @1737595
     /* 1737595 */   GIM_Try, /*On fail goto*//*Label 23680*/ GIMT_Encode4(1737681), // Rule ID 10965 //
     /* 1737600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1737611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1737614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1737617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1737623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1737630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737646 */     // MIs[0] policy
     /* 1737646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737656 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1737659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737680 */     // GIR_Coverage, 10965,
     /* 1737680 */     GIR_EraseRootFromParent_Done,
     /* 1737681 */   // Label 23680: @1737681
     /* 1737681 */   GIM_Try, /*On fail goto*//*Label 23681*/ GIMT_Encode4(1737767), // Rule ID 10966 //
     /* 1737686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1737697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1737700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1737703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1737709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1737716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737732 */     // MIs[0] policy
     /* 1737732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737742 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1737745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737766 */     // GIR_Coverage, 10966,
     /* 1737766 */     GIR_EraseRootFromParent_Done,
     /* 1737767 */   // Label 23681: @1737767
     /* 1737767 */   GIM_Try, /*On fail goto*//*Label 23682*/ GIMT_Encode4(1737853), // Rule ID 10969 //
     /* 1737772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1737783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1737786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1737789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1737802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737818 */     // MIs[0] policy
     /* 1737818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737828 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1737831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737852 */     // GIR_Coverage, 10969,
     /* 1737852 */     GIR_EraseRootFromParent_Done,
     /* 1737853 */   // Label 23682: @1737853
     /* 1737853 */   GIM_Try, /*On fail goto*//*Label 23683*/ GIMT_Encode4(1737939), // Rule ID 10970 //
     /* 1737858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1737869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1737872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1737875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1737888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737904 */     // MIs[0] policy
     /* 1737904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737914 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1737917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737938 */     // GIR_Coverage, 10970,
     /* 1737938 */     GIR_EraseRootFromParent_Done,
     /* 1737939 */   // Label 23683: @1737939
     /* 1737939 */   GIM_Try, /*On fail goto*//*Label 23684*/ GIMT_Encode4(1738025), // Rule ID 10973 //
     /* 1737944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1737952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1737955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1737958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1737961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1737967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1737974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737990 */     // MIs[0] policy
     /* 1737990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738000 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1738003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738024 */     // GIR_Coverage, 10973,
     /* 1738024 */     GIR_EraseRootFromParent_Done,
     /* 1738025 */   // Label 23684: @1738025
     /* 1738025 */   GIM_Try, /*On fail goto*//*Label 23685*/ GIMT_Encode4(1738111), // Rule ID 10974 //
     /* 1738030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1738041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1738044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1738047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738076 */     // MIs[0] policy
     /* 1738076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738086 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1738089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738110 */     // GIR_Coverage, 10974,
     /* 1738110 */     GIR_EraseRootFromParent_Done,
     /* 1738111 */   // Label 23685: @1738111
     /* 1738111 */   GIM_Try, /*On fail goto*//*Label 23686*/ GIMT_Encode4(1738197), // Rule ID 10977 //
     /* 1738116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1738119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1738127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1738130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1738133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1738139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738162 */     // MIs[0] policy
     /* 1738162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738172 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1738175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738196 */     // GIR_Coverage, 10977,
     /* 1738196 */     GIR_EraseRootFromParent_Done,
     /* 1738197 */   // Label 23686: @1738197
     /* 1738197 */   GIM_Try, /*On fail goto*//*Label 23687*/ GIMT_Encode4(1738283), // Rule ID 10978 //
     /* 1738202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1738205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1738213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1738216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1738219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1738225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738248 */     // MIs[0] policy
     /* 1738248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1738261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738282 */     // GIR_Coverage, 10978,
     /* 1738282 */     GIR_EraseRootFromParent_Done,
     /* 1738283 */   // Label 23687: @1738283
     /* 1738283 */   GIM_Try, /*On fail goto*//*Label 23688*/ GIMT_Encode4(1738369), // Rule ID 10981 //
     /* 1738288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1738291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1738299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1738302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1738305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738334 */     // MIs[0] policy
     /* 1738334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738344 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1738347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738368 */     // GIR_Coverage, 10981,
     /* 1738368 */     GIR_EraseRootFromParent_Done,
     /* 1738369 */   // Label 23688: @1738369
     /* 1738369 */   GIM_Try, /*On fail goto*//*Label 23689*/ GIMT_Encode4(1738455), // Rule ID 10982 //
     /* 1738374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1738377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1738385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1738388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1738391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738420 */     // MIs[0] policy
     /* 1738420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738430 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1738433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738454 */     // GIR_Coverage, 10982,
     /* 1738454 */     GIR_EraseRootFromParent_Done,
     /* 1738455 */   // Label 23689: @1738455
     /* 1738455 */   GIM_Try, /*On fail goto*//*Label 23690*/ GIMT_Encode4(1738541), // Rule ID 10985 //
     /* 1738460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1738463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1738471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1738474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1738477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738506 */     // MIs[0] policy
     /* 1738506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738516 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1738519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738540 */     // GIR_Coverage, 10985,
     /* 1738540 */     GIR_EraseRootFromParent_Done,
     /* 1738541 */   // Label 23690: @1738541
     /* 1738541 */   GIM_Try, /*On fail goto*//*Label 23691*/ GIMT_Encode4(1738627), // Rule ID 10986 //
     /* 1738546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1738549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1738554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1738557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1738560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1738563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738592 */     // MIs[0] policy
     /* 1738592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738602 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11369:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1738605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1738623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738626 */     // GIR_Coverage, 10986,
     /* 1738626 */     GIR_EraseRootFromParent_Done,
     /* 1738627 */   // Label 23691: @1738627
     /* 1738627 */   GIM_Try, /*On fail goto*//*Label 23692*/ GIMT_Encode4(1738713), // Rule ID 10989 //
     /* 1738632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1738640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1738643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1738646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1738649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1738652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1738655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738678 */     // MIs[0] policy
     /* 1738678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738688 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1738691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738712 */     // GIR_Coverage, 10989,
     /* 1738712 */     GIR_EraseRootFromParent_Done,
     /* 1738713 */   // Label 23692: @1738713
     /* 1738713 */   GIM_Try, /*On fail goto*//*Label 23693*/ GIMT_Encode4(1738799), // Rule ID 10990 //
     /* 1738718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1738726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1738729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1738732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1738735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1738738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1738741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738764 */     // MIs[0] policy
     /* 1738764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738774 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1738777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738798 */     // GIR_Coverage, 10990,
     /* 1738798 */     GIR_EraseRootFromParent_Done,
     /* 1738799 */   // Label 23693: @1738799
     /* 1738799 */   GIM_Try, /*On fail goto*//*Label 23694*/ GIMT_Encode4(1738885), // Rule ID 10993 //
     /* 1738804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1738812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1738815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1738818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1738821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1738824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1738827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738850 */     // MIs[0] policy
     /* 1738850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738860 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1738863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738884 */     // GIR_Coverage, 10993,
     /* 1738884 */     GIR_EraseRootFromParent_Done,
     /* 1738885 */   // Label 23694: @1738885
     /* 1738885 */   GIM_Try, /*On fail goto*//*Label 23695*/ GIMT_Encode4(1738971), // Rule ID 10994 //
     /* 1738890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1738898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1738901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1738904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1738907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1738910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1738913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738936 */     // MIs[0] policy
     /* 1738936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738946 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1738949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738970 */     // GIR_Coverage, 10994,
     /* 1738970 */     GIR_EraseRootFromParent_Done,
     /* 1738971 */   // Label 23695: @1738971
     /* 1738971 */   GIM_Try, /*On fail goto*//*Label 23696*/ GIMT_Encode4(1739057), // Rule ID 10997 //
     /* 1738976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1738984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1738987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1738990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1738993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1738996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739022 */     // MIs[0] policy
     /* 1739022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739032 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1739035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739056 */     // GIR_Coverage, 10997,
     /* 1739056 */     GIR_EraseRootFromParent_Done,
     /* 1739057 */   // Label 23696: @1739057
     /* 1739057 */   GIM_Try, /*On fail goto*//*Label 23697*/ GIMT_Encode4(1739143), // Rule ID 10998 //
     /* 1739062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1739073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1739076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1739079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1739082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739108 */     // MIs[0] policy
     /* 1739108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739118 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1739121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739142 */     // GIR_Coverage, 10998,
     /* 1739142 */     GIR_EraseRootFromParent_Done,
     /* 1739143 */   // Label 23697: @1739143
     /* 1739143 */   GIM_Try, /*On fail goto*//*Label 23698*/ GIMT_Encode4(1739229), // Rule ID 11001 //
     /* 1739148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1739159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1739162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1739165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1739168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1739171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739194 */     // MIs[0] policy
     /* 1739194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739204 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1739207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739228 */     // GIR_Coverage, 11001,
     /* 1739228 */     GIR_EraseRootFromParent_Done,
     /* 1739229 */   // Label 23698: @1739229
     /* 1739229 */   GIM_Try, /*On fail goto*//*Label 23699*/ GIMT_Encode4(1739315), // Rule ID 11002 //
     /* 1739234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1739245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1739248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1739251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1739254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1739257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739280 */     // MIs[0] policy
     /* 1739280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739290 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1739293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739314 */     // GIR_Coverage, 11002,
     /* 1739314 */     GIR_EraseRootFromParent_Done,
     /* 1739315 */   // Label 23699: @1739315
     /* 1739315 */   GIM_Try, /*On fail goto*//*Label 23700*/ GIMT_Encode4(1739401), // Rule ID 11005 //
     /* 1739320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1739331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1739334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1739337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1739340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739366 */     // MIs[0] policy
     /* 1739366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739376 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1739379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739400 */     // GIR_Coverage, 11005,
     /* 1739400 */     GIR_EraseRootFromParent_Done,
     /* 1739401 */   // Label 23700: @1739401
     /* 1739401 */   GIM_Try, /*On fail goto*//*Label 23701*/ GIMT_Encode4(1739487), // Rule ID 11006 //
     /* 1739406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1739417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1739420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1739423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1739426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739452 */     // MIs[0] policy
     /* 1739452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739462 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1739465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739486 */     // GIR_Coverage, 11006,
     /* 1739486 */     GIR_EraseRootFromParent_Done,
     /* 1739487 */   // Label 23701: @1739487
     /* 1739487 */   GIM_Try, /*On fail goto*//*Label 23702*/ GIMT_Encode4(1739573), // Rule ID 11009 //
     /* 1739492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1739503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1739506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1739509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1739512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1739515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739538 */     // MIs[0] policy
     /* 1739538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739548 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1739551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739572 */     // GIR_Coverage, 11009,
     /* 1739572 */     GIR_EraseRootFromParent_Done,
     /* 1739573 */   // Label 23702: @1739573
     /* 1739573 */   GIM_Try, /*On fail goto*//*Label 23703*/ GIMT_Encode4(1739659), // Rule ID 11010 //
     /* 1739578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1739589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1739592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1739595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1739598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1739601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739624 */     // MIs[0] policy
     /* 1739624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739634 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1739637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739658 */     // GIR_Coverage, 11010,
     /* 1739658 */     GIR_EraseRootFromParent_Done,
     /* 1739659 */   // Label 23703: @1739659
     /* 1739659 */   GIM_Try, /*On fail goto*//*Label 23704*/ GIMT_Encode4(1739745), // Rule ID 11013 //
     /* 1739664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1739675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1739678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1739681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1739684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739710 */     // MIs[0] policy
     /* 1739710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739720 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1739723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739744 */     // GIR_Coverage, 11013,
     /* 1739744 */     GIR_EraseRootFromParent_Done,
     /* 1739745 */   // Label 23704: @1739745
     /* 1739745 */   GIM_Try, /*On fail goto*//*Label 23705*/ GIMT_Encode4(1739831), // Rule ID 11014 //
     /* 1739750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1739761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1739764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1739767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1739770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739796 */     // MIs[0] policy
     /* 1739796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739806 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1739809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739830 */     // GIR_Coverage, 11014,
     /* 1739830 */     GIR_EraseRootFromParent_Done,
     /* 1739831 */   // Label 23705: @1739831
     /* 1739831 */   GIM_Try, /*On fail goto*//*Label 23706*/ GIMT_Encode4(1739917), // Rule ID 11017 //
     /* 1739836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1739847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1739850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1739853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1739856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739882 */     // MIs[0] policy
     /* 1739882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739892 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1739895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739916 */     // GIR_Coverage, 11017,
     /* 1739916 */     GIR_EraseRootFromParent_Done,
     /* 1739917 */   // Label 23706: @1739917
     /* 1739917 */   GIM_Try, /*On fail goto*//*Label 23707*/ GIMT_Encode4(1740003), // Rule ID 11018 //
     /* 1739922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1739933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1739936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1739939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1739942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739968 */     // MIs[0] policy
     /* 1739968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739978 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1739981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740002 */     // GIR_Coverage, 11018,
     /* 1740002 */     GIR_EraseRootFromParent_Done,
     /* 1740003 */   // Label 23707: @1740003
     /* 1740003 */   GIM_Try, /*On fail goto*//*Label 23708*/ GIMT_Encode4(1740089), // Rule ID 11021 //
     /* 1740008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1740019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1740022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1740025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1740028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740054 */     // MIs[0] policy
     /* 1740054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740064 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1740067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740088 */     // GIR_Coverage, 11021,
     /* 1740088 */     GIR_EraseRootFromParent_Done,
     /* 1740089 */   // Label 23708: @1740089
     /* 1740089 */   GIM_Try, /*On fail goto*//*Label 23709*/ GIMT_Encode4(1740175), // Rule ID 11022 //
     /* 1740094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1740105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1740108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1740111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1740114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740140 */     // MIs[0] policy
     /* 1740140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740150 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1740153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740174 */     // GIR_Coverage, 11022,
     /* 1740174 */     GIR_EraseRootFromParent_Done,
     /* 1740175 */   // Label 23709: @1740175
     /* 1740175 */   GIM_Try, /*On fail goto*//*Label 23710*/ GIMT_Encode4(1740261), // Rule ID 11025 //
     /* 1740180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1740191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1740194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1740197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1740200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1740203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1740210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740226 */     // MIs[0] policy
     /* 1740226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740236 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1740239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740260 */     // GIR_Coverage, 11025,
     /* 1740260 */     GIR_EraseRootFromParent_Done,
     /* 1740261 */   // Label 23710: @1740261
     /* 1740261 */   GIM_Try, /*On fail goto*//*Label 23711*/ GIMT_Encode4(1740347), // Rule ID 11026 //
     /* 1740266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1740277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1740280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1740283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1740286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1740289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1740296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740312 */     // MIs[0] policy
     /* 1740312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740322 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1740325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740346 */     // GIR_Coverage, 11026,
     /* 1740346 */     GIR_EraseRootFromParent_Done,
     /* 1740347 */   // Label 23711: @1740347
     /* 1740347 */   GIM_Try, /*On fail goto*//*Label 23712*/ GIMT_Encode4(1740433), // Rule ID 11029 //
     /* 1740352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1740363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1740366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1740369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1740372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1740375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1740382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740398 */     // MIs[0] policy
     /* 1740398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740408 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1740411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740432 */     // GIR_Coverage, 11029,
     /* 1740432 */     GIR_EraseRootFromParent_Done,
     /* 1740433 */   // Label 23712: @1740433
     /* 1740433 */   GIM_Try, /*On fail goto*//*Label 23713*/ GIMT_Encode4(1740519), // Rule ID 11030 //
     /* 1740438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1740449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1740452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1740455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1740458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1740461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1740468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740484 */     // MIs[0] policy
     /* 1740484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740494 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1740497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740518 */     // GIR_Coverage, 11030,
     /* 1740518 */     GIR_EraseRootFromParent_Done,
     /* 1740519 */   // Label 23713: @1740519
     /* 1740519 */   GIM_Try, /*On fail goto*//*Label 23714*/ GIMT_Encode4(1740605), // Rule ID 11033 //
     /* 1740524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1740535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1740538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1740541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1740544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1740547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1740554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740570 */     // MIs[0] policy
     /* 1740570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740580 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1740583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740604 */     // GIR_Coverage, 11033,
     /* 1740604 */     GIR_EraseRootFromParent_Done,
     /* 1740605 */   // Label 23714: @1740605
     /* 1740605 */   GIM_Try, /*On fail goto*//*Label 23715*/ GIMT_Encode4(1740691), // Rule ID 11034 //
     /* 1740610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1740621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1740624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1740627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1740630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1740633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1740640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740656 */     // MIs[0] policy
     /* 1740656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740666 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1740669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740690 */     // GIR_Coverage, 11034,
     /* 1740690 */     GIR_EraseRootFromParent_Done,
     /* 1740691 */   // Label 23715: @1740691
     /* 1740691 */   GIM_Try, /*On fail goto*//*Label 23716*/ GIMT_Encode4(1740777), // Rule ID 11037 //
     /* 1740696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1740707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1740710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1740713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1740716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1740719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1740726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740742 */     // MIs[0] policy
     /* 1740742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740752 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1740755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740776 */     // GIR_Coverage, 11037,
     /* 1740776 */     GIR_EraseRootFromParent_Done,
     /* 1740777 */   // Label 23716: @1740777
     /* 1740777 */   GIM_Try, /*On fail goto*//*Label 23717*/ GIMT_Encode4(1740863), // Rule ID 11038 //
     /* 1740782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1740793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1740796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1740799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1740802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1740805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1740812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1740824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740828 */     // MIs[0] policy
     /* 1740828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740838 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1740841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740862 */     // GIR_Coverage, 11038,
     /* 1740862 */     GIR_EraseRootFromParent_Done,
     /* 1740863 */   // Label 23717: @1740863
     /* 1740863 */   GIM_Try, /*On fail goto*//*Label 23718*/ GIMT_Encode4(1740949), // Rule ID 11041 //
     /* 1740868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1740879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1740882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1740885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1740888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1740891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1740898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740914 */     // MIs[0] policy
     /* 1740914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740924 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1740927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740948 */     // GIR_Coverage, 11041,
     /* 1740948 */     GIR_EraseRootFromParent_Done,
     /* 1740949 */   // Label 23718: @1740949
     /* 1740949 */   GIM_Try, /*On fail goto*//*Label 23719*/ GIMT_Encode4(1741035), // Rule ID 11042 //
     /* 1740954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1740965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1740968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1740971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1740974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1740977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1740984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1740996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741000 */     // MIs[0] policy
     /* 1741000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741010 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1741013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741034 */     // GIR_Coverage, 11042,
     /* 1741034 */     GIR_EraseRootFromParent_Done,
     /* 1741035 */   // Label 23719: @1741035
     /* 1741035 */   GIM_Try, /*On fail goto*//*Label 23720*/ GIMT_Encode4(1741121), // Rule ID 11045 //
     /* 1741040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1741051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1741054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1741057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1741060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1741063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1741070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741086 */     // MIs[0] policy
     /* 1741086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741096 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1741099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741120 */     // GIR_Coverage, 11045,
     /* 1741120 */     GIR_EraseRootFromParent_Done,
     /* 1741121 */   // Label 23720: @1741121
     /* 1741121 */   GIM_Try, /*On fail goto*//*Label 23721*/ GIMT_Encode4(1741207), // Rule ID 11046 //
     /* 1741126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1741137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1741140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1741143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1741146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1741149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1741156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741172 */     // MIs[0] policy
     /* 1741172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741182 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1741185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741206 */     // GIR_Coverage, 11046,
     /* 1741206 */     GIR_EraseRootFromParent_Done,
     /* 1741207 */   // Label 23721: @1741207
     /* 1741207 */   GIM_Try, /*On fail goto*//*Label 23722*/ GIMT_Encode4(1741293), // Rule ID 11049 //
     /* 1741212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1741223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1741226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1741229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1741232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741258 */     // MIs[0] policy
     /* 1741258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741268 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1741271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741292 */     // GIR_Coverage, 11049,
     /* 1741292 */     GIR_EraseRootFromParent_Done,
     /* 1741293 */   // Label 23722: @1741293
     /* 1741293 */   GIM_Try, /*On fail goto*//*Label 23723*/ GIMT_Encode4(1741379), // Rule ID 11050 //
     /* 1741298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1741309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1741312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1741315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1741318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741344 */     // MIs[0] policy
     /* 1741344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741354 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1741357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741378 */     // GIR_Coverage, 11050,
     /* 1741378 */     GIR_EraseRootFromParent_Done,
     /* 1741379 */   // Label 23723: @1741379
     /* 1741379 */   GIM_Try, /*On fail goto*//*Label 23724*/ GIMT_Encode4(1741465), // Rule ID 11053 //
     /* 1741384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1741395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1741398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1741401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1741404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1741414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741430 */     // MIs[0] policy
     /* 1741430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1741443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741464 */     // GIR_Coverage, 11053,
     /* 1741464 */     GIR_EraseRootFromParent_Done,
     /* 1741465 */   // Label 23724: @1741465
     /* 1741465 */   GIM_Try, /*On fail goto*//*Label 23725*/ GIMT_Encode4(1741551), // Rule ID 11054 //
     /* 1741470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1741481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1741484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1741487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1741490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1741500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741516 */     // MIs[0] policy
     /* 1741516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741526 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1741529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741550 */     // GIR_Coverage, 11054,
     /* 1741550 */     GIR_EraseRootFromParent_Done,
     /* 1741551 */   // Label 23725: @1741551
     /* 1741551 */   GIM_Try, /*On fail goto*//*Label 23726*/ GIMT_Encode4(1741637), // Rule ID 11057 //
     /* 1741556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1741567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1741570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1741573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1741576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1741586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741602 */     // MIs[0] policy
     /* 1741602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741612 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1741615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741636 */     // GIR_Coverage, 11057,
     /* 1741636 */     GIR_EraseRootFromParent_Done,
     /* 1741637 */   // Label 23726: @1741637
     /* 1741637 */   GIM_Try, /*On fail goto*//*Label 23727*/ GIMT_Encode4(1741723), // Rule ID 11058 //
     /* 1741642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1741653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1741656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1741659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1741662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1741672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741688 */     // MIs[0] policy
     /* 1741688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741698 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1741701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741722 */     // GIR_Coverage, 11058,
     /* 1741722 */     GIR_EraseRootFromParent_Done,
     /* 1741723 */   // Label 23727: @1741723
     /* 1741723 */   GIM_Try, /*On fail goto*//*Label 23728*/ GIMT_Encode4(1741809), // Rule ID 11061 //
     /* 1741728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1741739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1741742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1741745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1741748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741774 */     // MIs[0] policy
     /* 1741774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741784 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1741787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741808 */     // GIR_Coverage, 11061,
     /* 1741808 */     GIR_EraseRootFromParent_Done,
     /* 1741809 */   // Label 23728: @1741809
     /* 1741809 */   GIM_Try, /*On fail goto*//*Label 23729*/ GIMT_Encode4(1741895), // Rule ID 11062 //
     /* 1741814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1741825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1741828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1741831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1741834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741860 */     // MIs[0] policy
     /* 1741860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741870 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1741873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741894 */     // GIR_Coverage, 11062,
     /* 1741894 */     GIR_EraseRootFromParent_Done,
     /* 1741895 */   // Label 23729: @1741895
     /* 1741895 */   GIM_Try, /*On fail goto*//*Label 23730*/ GIMT_Encode4(1741981), // Rule ID 11065 //
     /* 1741900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1741911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1741914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1741917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1741920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741946 */     // MIs[0] policy
     /* 1741946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741956 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1741959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741980 */     // GIR_Coverage, 11065,
     /* 1741980 */     GIR_EraseRootFromParent_Done,
     /* 1741981 */   // Label 23730: @1741981
     /* 1741981 */   GIM_Try, /*On fail goto*//*Label 23731*/ GIMT_Encode4(1742067), // Rule ID 11066 //
     /* 1741986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1741994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1741997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1742000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1742003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1742009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742032 */     // MIs[0] policy
     /* 1742032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742042 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1742045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742066 */     // GIR_Coverage, 11066,
     /* 1742066 */     GIR_EraseRootFromParent_Done,
     /* 1742067 */   // Label 23731: @1742067
     /* 1742067 */   GIM_Try, /*On fail goto*//*Label 23732*/ GIMT_Encode4(1742153), // Rule ID 11069 //
     /* 1742072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1742083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1742086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1742089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742118 */     // MIs[0] policy
     /* 1742118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742128 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1742131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742152 */     // GIR_Coverage, 11069,
     /* 1742152 */     GIR_EraseRootFromParent_Done,
     /* 1742153 */   // Label 23732: @1742153
     /* 1742153 */   GIM_Try, /*On fail goto*//*Label 23733*/ GIMT_Encode4(1742239), // Rule ID 11070 //
     /* 1742158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1742169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1742172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1742175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742204 */     // MIs[0] policy
     /* 1742204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742214 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1742217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742238 */     // GIR_Coverage, 11070,
     /* 1742238 */     GIR_EraseRootFromParent_Done,
     /* 1742239 */   // Label 23733: @1742239
     /* 1742239 */   GIM_Try, /*On fail goto*//*Label 23734*/ GIMT_Encode4(1742325), // Rule ID 11073 //
     /* 1742244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1742255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1742258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1742261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1742267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742290 */     // MIs[0] policy
     /* 1742290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742300 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1742303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742324 */     // GIR_Coverage, 11073,
     /* 1742324 */     GIR_EraseRootFromParent_Done,
     /* 1742325 */   // Label 23734: @1742325
     /* 1742325 */   GIM_Try, /*On fail goto*//*Label 23735*/ GIMT_Encode4(1742411), // Rule ID 11074 //
     /* 1742330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1742341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1742344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1742347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1742353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742376 */     // MIs[0] policy
     /* 1742376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742386 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1742389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742410 */     // GIR_Coverage, 11074,
     /* 1742410 */     GIR_EraseRootFromParent_Done,
     /* 1742411 */   // Label 23735: @1742411
     /* 1742411 */   GIM_Try, /*On fail goto*//*Label 23736*/ GIMT_Encode4(1742497), // Rule ID 11077 //
     /* 1742416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1742427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1742430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1742433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1742439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742462 */     // MIs[0] policy
     /* 1742462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742472 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1742475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742496 */     // GIR_Coverage, 11077,
     /* 1742496 */     GIR_EraseRootFromParent_Done,
     /* 1742497 */   // Label 23736: @1742497
     /* 1742497 */   GIM_Try, /*On fail goto*//*Label 23737*/ GIMT_Encode4(1742583), // Rule ID 11078 //
     /* 1742502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1742513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1742516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1742519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1742525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742548 */     // MIs[0] policy
     /* 1742548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742558 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1742561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742582 */     // GIR_Coverage, 11078,
     /* 1742582 */     GIR_EraseRootFromParent_Done,
     /* 1742583 */   // Label 23737: @1742583
     /* 1742583 */   GIM_Try, /*On fail goto*//*Label 23738*/ GIMT_Encode4(1742669), // Rule ID 11081 //
     /* 1742588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1742599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1742602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1742605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1742611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742634 */     // MIs[0] policy
     /* 1742634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742644 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1742647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742668 */     // GIR_Coverage, 11081,
     /* 1742668 */     GIR_EraseRootFromParent_Done,
     /* 1742669 */   // Label 23738: @1742669
     /* 1742669 */   GIM_Try, /*On fail goto*//*Label 23739*/ GIMT_Encode4(1742755), // Rule ID 11082 //
     /* 1742674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1742685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1742688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1742691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1742697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742720 */     // MIs[0] policy
     /* 1742720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742730 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1742733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742754 */     // GIR_Coverage, 11082,
     /* 1742754 */     GIR_EraseRootFromParent_Done,
     /* 1742755 */   // Label 23739: @1742755
     /* 1742755 */   GIM_Try, /*On fail goto*//*Label 23740*/ GIMT_Encode4(1742841), // Rule ID 11085 //
     /* 1742760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1742771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1742774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1742777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742806 */     // MIs[0] policy
     /* 1742806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742816 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1742819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742840 */     // GIR_Coverage, 11085,
     /* 1742840 */     GIR_EraseRootFromParent_Done,
     /* 1742841 */   // Label 23740: @1742841
     /* 1742841 */   GIM_Try, /*On fail goto*//*Label 23741*/ GIMT_Encode4(1742927), // Rule ID 11086 //
     /* 1742846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1742857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1742860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1742863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742892 */     // MIs[0] policy
     /* 1742892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1742905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742926 */     // GIR_Coverage, 11086,
     /* 1742926 */     GIR_EraseRootFromParent_Done,
     /* 1742927 */   // Label 23741: @1742927
     /* 1742927 */   GIM_Try, /*On fail goto*//*Label 23742*/ GIMT_Encode4(1743013), // Rule ID 11089 //
     /* 1742932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1742940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1742943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1742946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1742949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1742962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1742970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742978 */     // MIs[0] policy
     /* 1742978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742988 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1742991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743012 */     // GIR_Coverage, 11089,
     /* 1743012 */     GIR_EraseRootFromParent_Done,
     /* 1743013 */   // Label 23742: @1743013
     /* 1743013 */   GIM_Try, /*On fail goto*//*Label 23743*/ GIMT_Encode4(1743099), // Rule ID 11090 //
     /* 1743018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1743029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1743032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1743035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743064 */     // MIs[0] policy
     /* 1743064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743074 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1743077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743098 */     // GIR_Coverage, 11090,
     /* 1743098 */     GIR_EraseRootFromParent_Done,
     /* 1743099 */   // Label 23743: @1743099
     /* 1743099 */   GIM_Try, /*On fail goto*//*Label 23744*/ GIMT_Encode4(1743185), // Rule ID 11093 //
     /* 1743104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1743115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1743118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1743121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743150 */     // MIs[0] policy
     /* 1743150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743160 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1743163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743184 */     // GIR_Coverage, 11093,
     /* 1743184 */     GIR_EraseRootFromParent_Done,
     /* 1743185 */   // Label 23744: @1743185
     /* 1743185 */   GIM_Try, /*On fail goto*//*Label 23745*/ GIMT_Encode4(1743271), // Rule ID 11094 //
     /* 1743190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1743201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1743204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1743207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743236 */     // MIs[0] policy
     /* 1743236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743246 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1743249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743270 */     // GIR_Coverage, 11094,
     /* 1743270 */     GIR_EraseRootFromParent_Done,
     /* 1743271 */   // Label 23745: @1743271
     /* 1743271 */   GIM_Try, /*On fail goto*//*Label 23746*/ GIMT_Encode4(1743357), // Rule ID 11097 //
     /* 1743276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1743287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1743290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1743293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1743299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1743306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743322 */     // MIs[0] policy
     /* 1743322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743332 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1743335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743356 */     // GIR_Coverage, 11097,
     /* 1743356 */     GIR_EraseRootFromParent_Done,
     /* 1743357 */   // Label 23746: @1743357
     /* 1743357 */   GIM_Try, /*On fail goto*//*Label 23747*/ GIMT_Encode4(1743443), // Rule ID 11098 //
     /* 1743362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1743373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1743376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1743379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1743385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1743392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743408 */     // MIs[0] policy
     /* 1743408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743418 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1743421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743442 */     // GIR_Coverage, 11098,
     /* 1743442 */     GIR_EraseRootFromParent_Done,
     /* 1743443 */   // Label 23747: @1743443
     /* 1743443 */   GIM_Try, /*On fail goto*//*Label 23748*/ GIMT_Encode4(1743529), // Rule ID 11101 //
     /* 1743448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1743459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1743462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1743465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1743471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1743478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743494 */     // MIs[0] policy
     /* 1743494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743504 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1743507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743528 */     // GIR_Coverage, 11101,
     /* 1743528 */     GIR_EraseRootFromParent_Done,
     /* 1743529 */   // Label 23748: @1743529
     /* 1743529 */   GIM_Try, /*On fail goto*//*Label 23749*/ GIMT_Encode4(1743615), // Rule ID 11102 //
     /* 1743534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1743545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1743548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1743551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1743557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1743564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743580 */     // MIs[0] policy
     /* 1743580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743590 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1743593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743614 */     // GIR_Coverage, 11102,
     /* 1743614 */     GIR_EraseRootFromParent_Done,
     /* 1743615 */   // Label 23749: @1743615
     /* 1743615 */   GIM_Try, /*On fail goto*//*Label 23750*/ GIMT_Encode4(1743701), // Rule ID 11105 //
     /* 1743620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1743631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1743634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1743637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1743643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743666 */     // MIs[0] policy
     /* 1743666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743676 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1743679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743700 */     // GIR_Coverage, 11105,
     /* 1743700 */     GIR_EraseRootFromParent_Done,
     /* 1743701 */   // Label 23750: @1743701
     /* 1743701 */   GIM_Try, /*On fail goto*//*Label 23751*/ GIMT_Encode4(1743787), // Rule ID 11106 //
     /* 1743706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1743717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1743720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1743723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1743729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743752 */     // MIs[0] policy
     /* 1743752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743762 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1743765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743786 */     // GIR_Coverage, 11106,
     /* 1743786 */     GIR_EraseRootFromParent_Done,
     /* 1743787 */   // Label 23751: @1743787
     /* 1743787 */   GIM_Try, /*On fail goto*//*Label 23752*/ GIMT_Encode4(1743873), // Rule ID 11109 //
     /* 1743792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1743803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1743806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1743809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1743822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743838 */     // MIs[0] policy
     /* 1743838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743848 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1743851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743872 */     // GIR_Coverage, 11109,
     /* 1743872 */     GIR_EraseRootFromParent_Done,
     /* 1743873 */   // Label 23752: @1743873
     /* 1743873 */   GIM_Try, /*On fail goto*//*Label 23753*/ GIMT_Encode4(1743959), // Rule ID 11110 //
     /* 1743878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1743889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1743892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1743895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1743908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743924 */     // MIs[0] policy
     /* 1743924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743934 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1743937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743958 */     // GIR_Coverage, 11110,
     /* 1743958 */     GIR_EraseRootFromParent_Done,
     /* 1743959 */   // Label 23753: @1743959
     /* 1743959 */   GIM_Try, /*On fail goto*//*Label 23754*/ GIMT_Encode4(1744045), // Rule ID 11113 //
     /* 1743964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1743972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1743975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1743978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1743981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1743987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1743994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744010 */     // MIs[0] policy
     /* 1744010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744020 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1744023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744044 */     // GIR_Coverage, 11113,
     /* 1744044 */     GIR_EraseRootFromParent_Done,
     /* 1744045 */   // Label 23754: @1744045
     /* 1744045 */   GIM_Try, /*On fail goto*//*Label 23755*/ GIMT_Encode4(1744131), // Rule ID 11114 //
     /* 1744050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1744061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1744064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1744067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1744073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1744080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744096 */     // MIs[0] policy
     /* 1744096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744106 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1744109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744130 */     // GIR_Coverage, 11114,
     /* 1744130 */     GIR_EraseRootFromParent_Done,
     /* 1744131 */   // Label 23755: @1744131
     /* 1744131 */   GIM_Try, /*On fail goto*//*Label 23756*/ GIMT_Encode4(1744217), // Rule ID 11117 //
     /* 1744136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1744147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1744150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1744153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1744159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1744166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744182 */     // MIs[0] policy
     /* 1744182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744192 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1744195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744216 */     // GIR_Coverage, 11117,
     /* 1744216 */     GIR_EraseRootFromParent_Done,
     /* 1744217 */   // Label 23756: @1744217
     /* 1744217 */   GIM_Try, /*On fail goto*//*Label 23757*/ GIMT_Encode4(1744303), // Rule ID 11118 //
     /* 1744222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1744233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1744236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1744239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1744245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1744252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744268 */     // MIs[0] policy
     /* 1744268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744278 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1744281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744302 */     // GIR_Coverage, 11118,
     /* 1744302 */     GIR_EraseRootFromParent_Done,
     /* 1744303 */   // Label 23757: @1744303
     /* 1744303 */   GIM_Try, /*On fail goto*//*Label 23758*/ GIMT_Encode4(1744389), // Rule ID 11121 //
     /* 1744308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1744319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1744322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1744325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1744338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744354 */     // MIs[0] policy
     /* 1744354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1744367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744388 */     // GIR_Coverage, 11121,
     /* 1744388 */     GIR_EraseRootFromParent_Done,
     /* 1744389 */   // Label 23758: @1744389
     /* 1744389 */   GIM_Try, /*On fail goto*//*Label 23759*/ GIMT_Encode4(1744475), // Rule ID 11122 //
     /* 1744394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1744405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1744408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1744411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1744424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744440 */     // MIs[0] policy
     /* 1744440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744450 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1744453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744474 */     // GIR_Coverage, 11122,
     /* 1744474 */     GIR_EraseRootFromParent_Done,
     /* 1744475 */   // Label 23759: @1744475
     /* 1744475 */   GIM_Try, /*On fail goto*//*Label 23760*/ GIMT_Encode4(1744561), // Rule ID 11125 //
     /* 1744480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1744491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1744494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1744497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1744510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744526 */     // MIs[0] policy
     /* 1744526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744536 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1744539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744560 */     // GIR_Coverage, 11125,
     /* 1744560 */     GIR_EraseRootFromParent_Done,
     /* 1744561 */   // Label 23760: @1744561
     /* 1744561 */   GIM_Try, /*On fail goto*//*Label 23761*/ GIMT_Encode4(1744647), // Rule ID 11126 //
     /* 1744566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1744577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1744580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1744583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1744596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744612 */     // MIs[0] policy
     /* 1744612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1744625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744646 */     // GIR_Coverage, 11126,
     /* 1744646 */     GIR_EraseRootFromParent_Done,
     /* 1744647 */   // Label 23761: @1744647
     /* 1744647 */   GIM_Try, /*On fail goto*//*Label 23762*/ GIMT_Encode4(1744733), // Rule ID 11129 //
     /* 1744652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1744663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1744666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1744669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1744675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1744682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744698 */     // MIs[0] policy
     /* 1744698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744708 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1744711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744732 */     // GIR_Coverage, 11129,
     /* 1744732 */     GIR_EraseRootFromParent_Done,
     /* 1744733 */   // Label 23762: @1744733
     /* 1744733 */   GIM_Try, /*On fail goto*//*Label 23763*/ GIMT_Encode4(1744819), // Rule ID 11130 //
     /* 1744738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1744746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1744749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1744752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1744755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1744761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1744768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744784 */     // MIs[0] policy
     /* 1744784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744794 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1744797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744818 */     // GIR_Coverage, 11130,
     /* 1744818 */     GIR_EraseRootFromParent_Done,
     /* 1744819 */   // Label 23763: @1744819
     /* 1744819 */   GIM_Try, /*On fail goto*//*Label 23764*/ GIMT_Encode4(1744905), // Rule ID 11133 //
     /* 1744824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1744832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1744835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1744838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1744841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1744844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744870 */     // MIs[0] policy
     /* 1744870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744880 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1744883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744904 */     // GIR_Coverage, 11133,
     /* 1744904 */     GIR_EraseRootFromParent_Done,
     /* 1744905 */   // Label 23764: @1744905
     /* 1744905 */   GIM_Try, /*On fail goto*//*Label 23765*/ GIMT_Encode4(1744991), // Rule ID 11134 //
     /* 1744910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1744918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1744921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1744924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1744927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1744930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744956 */     // MIs[0] policy
     /* 1744956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744966 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1744969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744990 */     // GIR_Coverage, 11134,
     /* 1744990 */     GIR_EraseRootFromParent_Done,
     /* 1744991 */   // Label 23765: @1744991
     /* 1744991 */   GIM_Try, /*On fail goto*//*Label 23766*/ GIMT_Encode4(1745077), // Rule ID 11137 //
     /* 1744996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1745007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1745010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1745013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1745016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1745019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745042 */     // MIs[0] policy
     /* 1745042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745052 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1745055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745076 */     // GIR_Coverage, 11137,
     /* 1745076 */     GIR_EraseRootFromParent_Done,
     /* 1745077 */   // Label 23766: @1745077
     /* 1745077 */   GIM_Try, /*On fail goto*//*Label 23767*/ GIMT_Encode4(1745163), // Rule ID 11138 //
     /* 1745082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1745093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1745096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1745099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1745102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1745105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745128 */     // MIs[0] policy
     /* 1745128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745138 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1745141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745162 */     // GIR_Coverage, 11138,
     /* 1745162 */     GIR_EraseRootFromParent_Done,
     /* 1745163 */   // Label 23767: @1745163
     /* 1745163 */   GIM_Try, /*On fail goto*//*Label 23768*/ GIMT_Encode4(1745249), // Rule ID 11141 //
     /* 1745168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1745179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1745182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1745185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1745188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1745191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745214 */     // MIs[0] policy
     /* 1745214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745224 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1745227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745248 */     // GIR_Coverage, 11141,
     /* 1745248 */     GIR_EraseRootFromParent_Done,
     /* 1745249 */   // Label 23768: @1745249
     /* 1745249 */   GIM_Try, /*On fail goto*//*Label 23769*/ GIMT_Encode4(1745335), // Rule ID 11142 //
     /* 1745254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1745265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1745268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1745271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1745274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1745277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745300 */     // MIs[0] policy
     /* 1745300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745310 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1745313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745334 */     // GIR_Coverage, 11142,
     /* 1745334 */     GIR_EraseRootFromParent_Done,
     /* 1745335 */   // Label 23769: @1745335
     /* 1745335 */   GIM_Try, /*On fail goto*//*Label 23770*/ GIMT_Encode4(1745421), // Rule ID 11145 //
     /* 1745340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1745351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1745354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1745357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1745360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1745363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745386 */     // MIs[0] policy
     /* 1745386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745396 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1745399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745420 */     // GIR_Coverage, 11145,
     /* 1745420 */     GIR_EraseRootFromParent_Done,
     /* 1745421 */   // Label 23770: @1745421
     /* 1745421 */   GIM_Try, /*On fail goto*//*Label 23771*/ GIMT_Encode4(1745507), // Rule ID 11146 //
     /* 1745426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1745437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1745440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1745443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1745446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1745449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745472 */     // MIs[0] policy
     /* 1745472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745482 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1745485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745506 */     // GIR_Coverage, 11146,
     /* 1745506 */     GIR_EraseRootFromParent_Done,
     /* 1745507 */   // Label 23771: @1745507
     /* 1745507 */   GIM_Try, /*On fail goto*//*Label 23772*/ GIMT_Encode4(1745593), // Rule ID 11149 //
     /* 1745512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1745523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1745526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1745529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1745532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1745535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745558 */     // MIs[0] policy
     /* 1745558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745568 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1745571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745592 */     // GIR_Coverage, 11149,
     /* 1745592 */     GIR_EraseRootFromParent_Done,
     /* 1745593 */   // Label 23772: @1745593
     /* 1745593 */   GIM_Try, /*On fail goto*//*Label 23773*/ GIMT_Encode4(1745679), // Rule ID 11150 //
     /* 1745598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1745609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1745612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1745615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1745618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1745621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745644 */     // MIs[0] policy
     /* 1745644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745654 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1745657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745678 */     // GIR_Coverage, 11150,
     /* 1745678 */     GIR_EraseRootFromParent_Done,
     /* 1745679 */   // Label 23773: @1745679
     /* 1745679 */   GIM_Try, /*On fail goto*//*Label 23774*/ GIMT_Encode4(1745765), // Rule ID 11153 //
     /* 1745684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1745695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1745698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1745701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1745704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1745707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745730 */     // MIs[0] policy
     /* 1745730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745740 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1745743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745764 */     // GIR_Coverage, 11153,
     /* 1745764 */     GIR_EraseRootFromParent_Done,
     /* 1745765 */   // Label 23774: @1745765
     /* 1745765 */   GIM_Try, /*On fail goto*//*Label 23775*/ GIMT_Encode4(1745851), // Rule ID 11154 //
     /* 1745770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1745781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1745784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1745787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1745790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1745793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745816 */     // MIs[0] policy
     /* 1745816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745826 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1745829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745850 */     // GIR_Coverage, 11154,
     /* 1745850 */     GIR_EraseRootFromParent_Done,
     /* 1745851 */   // Label 23775: @1745851
     /* 1745851 */   GIM_Try, /*On fail goto*//*Label 23776*/ GIMT_Encode4(1745937), // Rule ID 11157 //
     /* 1745856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1745867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1745870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1745873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1745876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745902 */     // MIs[0] policy
     /* 1745902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745912 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1745915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745936 */     // GIR_Coverage, 11157,
     /* 1745936 */     GIR_EraseRootFromParent_Done,
     /* 1745937 */   // Label 23776: @1745937
     /* 1745937 */   GIM_Try, /*On fail goto*//*Label 23777*/ GIMT_Encode4(1746023), // Rule ID 11158 //
     /* 1745942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1745953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1745956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1745959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1745962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745988 */     // MIs[0] policy
     /* 1745988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745998 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1746001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746022 */     // GIR_Coverage, 11158,
     /* 1746022 */     GIR_EraseRootFromParent_Done,
     /* 1746023 */   // Label 23777: @1746023
     /* 1746023 */   GIM_Try, /*On fail goto*//*Label 23778*/ GIMT_Encode4(1746109), // Rule ID 11161 //
     /* 1746028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1746039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1746042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1746045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1746048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746074 */     // MIs[0] policy
     /* 1746074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1746087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746108 */     // GIR_Coverage, 11161,
     /* 1746108 */     GIR_EraseRootFromParent_Done,
     /* 1746109 */   // Label 23778: @1746109
     /* 1746109 */   GIM_Try, /*On fail goto*//*Label 23779*/ GIMT_Encode4(1746195), // Rule ID 11162 //
     /* 1746114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1746125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1746128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1746131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1746134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746160 */     // MIs[0] policy
     /* 1746160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746170 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1746173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746194 */     // GIR_Coverage, 11162,
     /* 1746194 */     GIR_EraseRootFromParent_Done,
     /* 1746195 */   // Label 23779: @1746195
     /* 1746195 */   GIM_Try, /*On fail goto*//*Label 23780*/ GIMT_Encode4(1746281), // Rule ID 11165 //
     /* 1746200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1746211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1746214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1746217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1746220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746246 */     // MIs[0] policy
     /* 1746246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1746259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746280 */     // GIR_Coverage, 11165,
     /* 1746280 */     GIR_EraseRootFromParent_Done,
     /* 1746281 */   // Label 23780: @1746281
     /* 1746281 */   GIM_Try, /*On fail goto*//*Label 23781*/ GIMT_Encode4(1746367), // Rule ID 11166 //
     /* 1746286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1746297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1746300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1746303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1746306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746332 */     // MIs[0] policy
     /* 1746332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746342 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1746345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746366 */     // GIR_Coverage, 11166,
     /* 1746366 */     GIR_EraseRootFromParent_Done,
     /* 1746367 */   // Label 23781: @1746367
     /* 1746367 */   GIM_Try, /*On fail goto*//*Label 23782*/ GIMT_Encode4(1746453), // Rule ID 11169 //
     /* 1746372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1746383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1746386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1746389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1746392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746418 */     // MIs[0] policy
     /* 1746418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746428 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1746431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746452 */     // GIR_Coverage, 11169,
     /* 1746452 */     GIR_EraseRootFromParent_Done,
     /* 1746453 */   // Label 23782: @1746453
     /* 1746453 */   GIM_Try, /*On fail goto*//*Label 23783*/ GIMT_Encode4(1746539), // Rule ID 11170 //
     /* 1746458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1746469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1746472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1746475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1746478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746504 */     // MIs[0] policy
     /* 1746504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746514 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1746517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746538 */     // GIR_Coverage, 11170,
     /* 1746538 */     GIR_EraseRootFromParent_Done,
     /* 1746539 */   // Label 23783: @1746539
     /* 1746539 */   GIM_Try, /*On fail goto*//*Label 23784*/ GIMT_Encode4(1746625), // Rule ID 11173 //
     /* 1746544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1746555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1746558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1746561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1746564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1746567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746590 */     // MIs[0] policy
     /* 1746590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746600 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1746603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746624 */     // GIR_Coverage, 11173,
     /* 1746624 */     GIR_EraseRootFromParent_Done,
     /* 1746625 */   // Label 23784: @1746625
     /* 1746625 */   GIM_Try, /*On fail goto*//*Label 23785*/ GIMT_Encode4(1746711), // Rule ID 11174 //
     /* 1746630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1746641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1746644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1746647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1746650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1746653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746676 */     // MIs[0] policy
     /* 1746676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746686 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1746689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746710 */     // GIR_Coverage, 11174,
     /* 1746710 */     GIR_EraseRootFromParent_Done,
     /* 1746711 */   // Label 23785: @1746711
     /* 1746711 */   GIM_Try, /*On fail goto*//*Label 23786*/ GIMT_Encode4(1746797), // Rule ID 11177 //
     /* 1746716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1746727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1746730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1746733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1746736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1746739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746762 */     // MIs[0] policy
     /* 1746762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746772 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1746775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746796 */     // GIR_Coverage, 11177,
     /* 1746796 */     GIR_EraseRootFromParent_Done,
     /* 1746797 */   // Label 23786: @1746797
     /* 1746797 */   GIM_Try, /*On fail goto*//*Label 23787*/ GIMT_Encode4(1746883), // Rule ID 11178 //
     /* 1746802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1746813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1746816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1746819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1746822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1746825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746848 */     // MIs[0] policy
     /* 1746848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746858 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1746861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746882 */     // GIR_Coverage, 11178,
     /* 1746882 */     GIR_EraseRootFromParent_Done,
     /* 1746883 */   // Label 23787: @1746883
     /* 1746883 */   GIM_Try, /*On fail goto*//*Label 23788*/ GIMT_Encode4(1746969), // Rule ID 11181 //
     /* 1746888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1746899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1746902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1746905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1746908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1746911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746934 */     // MIs[0] policy
     /* 1746934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746944 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1746947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746968 */     // GIR_Coverage, 11181,
     /* 1746968 */     GIR_EraseRootFromParent_Done,
     /* 1746969 */   // Label 23788: @1746969
     /* 1746969 */   GIM_Try, /*On fail goto*//*Label 23789*/ GIMT_Encode4(1747055), // Rule ID 11182 //
     /* 1746974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1746985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1746988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1746991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1746994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1746997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1747004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747020 */     // MIs[0] policy
     /* 1747020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747030 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1747033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747054 */     // GIR_Coverage, 11182,
     /* 1747054 */     GIR_EraseRootFromParent_Done,
     /* 1747055 */   // Label 23789: @1747055
     /* 1747055 */   GIM_Try, /*On fail goto*//*Label 23790*/ GIMT_Encode4(1747141), // Rule ID 11185 //
     /* 1747060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1747071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1747074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1747077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1747080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1747083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1747090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747106 */     // MIs[0] policy
     /* 1747106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747116 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1747119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747140 */     // GIR_Coverage, 11185,
     /* 1747140 */     GIR_EraseRootFromParent_Done,
     /* 1747141 */   // Label 23790: @1747141
     /* 1747141 */   GIM_Try, /*On fail goto*//*Label 23791*/ GIMT_Encode4(1747227), // Rule ID 11186 //
     /* 1747146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1747157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1747160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1747163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1747166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1747169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1747176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747192 */     // MIs[0] policy
     /* 1747192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747202 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1747205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747226 */     // GIR_Coverage, 11186,
     /* 1747226 */     GIR_EraseRootFromParent_Done,
     /* 1747227 */   // Label 23791: @1747227
     /* 1747227 */   GIM_Try, /*On fail goto*//*Label 23792*/ GIMT_Encode4(1747313), // Rule ID 11189 //
     /* 1747232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1747243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1747246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1747249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1747252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1747255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1747262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747278 */     // MIs[0] policy
     /* 1747278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747288 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1747291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747312 */     // GIR_Coverage, 11189,
     /* 1747312 */     GIR_EraseRootFromParent_Done,
     /* 1747313 */   // Label 23792: @1747313
     /* 1747313 */   GIM_Try, /*On fail goto*//*Label 23793*/ GIMT_Encode4(1747399), // Rule ID 11190 //
     /* 1747318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1747329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1747332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1747335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1747338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1747341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1747348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747364 */     // MIs[0] policy
     /* 1747364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747374 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1747377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747398 */     // GIR_Coverage, 11190,
     /* 1747398 */     GIR_EraseRootFromParent_Done,
     /* 1747399 */   // Label 23793: @1747399
     /* 1747399 */   GIM_Try, /*On fail goto*//*Label 23794*/ GIMT_Encode4(1747485), // Rule ID 11193 //
     /* 1747404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1747415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1747418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1747421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1747424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1747434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747450 */     // MIs[0] policy
     /* 1747450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747460 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1747463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747484 */     // GIR_Coverage, 11193,
     /* 1747484 */     GIR_EraseRootFromParent_Done,
     /* 1747485 */   // Label 23794: @1747485
     /* 1747485 */   GIM_Try, /*On fail goto*//*Label 23795*/ GIMT_Encode4(1747571), // Rule ID 11194 //
     /* 1747490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1747501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1747504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1747507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1747510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1747520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747536 */     // MIs[0] policy
     /* 1747536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747546 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1747549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747570 */     // GIR_Coverage, 11194,
     /* 1747570 */     GIR_EraseRootFromParent_Done,
     /* 1747571 */   // Label 23795: @1747571
     /* 1747571 */   GIM_Try, /*On fail goto*//*Label 23796*/ GIMT_Encode4(1747657), // Rule ID 11197 //
     /* 1747576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1747587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1747590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1747593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1747596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1747606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747622 */     // MIs[0] policy
     /* 1747622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747632 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1747635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747656 */     // GIR_Coverage, 11197,
     /* 1747656 */     GIR_EraseRootFromParent_Done,
     /* 1747657 */   // Label 23796: @1747657
     /* 1747657 */   GIM_Try, /*On fail goto*//*Label 23797*/ GIMT_Encode4(1747743), // Rule ID 11198 //
     /* 1747662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1747673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1747676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1747679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1747682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1747692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747708 */     // MIs[0] policy
     /* 1747708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747718 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1747721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747742 */     // GIR_Coverage, 11198,
     /* 1747742 */     GIR_EraseRootFromParent_Done,
     /* 1747743 */   // Label 23797: @1747743
     /* 1747743 */   GIM_Try, /*On fail goto*//*Label 23798*/ GIMT_Encode4(1747829), // Rule ID 11201 //
     /* 1747748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1747759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1747762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1747765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1747768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1747771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1747778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747794 */     // MIs[0] policy
     /* 1747794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747804 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1747807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747828 */     // GIR_Coverage, 11201,
     /* 1747828 */     GIR_EraseRootFromParent_Done,
     /* 1747829 */   // Label 23798: @1747829
     /* 1747829 */   GIM_Try, /*On fail goto*//*Label 23799*/ GIMT_Encode4(1747915), // Rule ID 11202 //
     /* 1747834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1747845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1747848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1747851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1747854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1747857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1747864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747880 */     // MIs[0] policy
     /* 1747880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747890 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1747893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747914 */     // GIR_Coverage, 11202,
     /* 1747914 */     GIR_EraseRootFromParent_Done,
     /* 1747915 */   // Label 23799: @1747915
     /* 1747915 */   GIM_Try, /*On fail goto*//*Label 23800*/ GIMT_Encode4(1748001), // Rule ID 11205 //
     /* 1747920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1747928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1747931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1747934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1747937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1747940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1747962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747966 */     // MIs[0] policy
     /* 1747966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747976 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1747979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748000 */     // GIR_Coverage, 11205,
     /* 1748000 */     GIR_EraseRootFromParent_Done,
     /* 1748001 */   // Label 23800: @1748001
     /* 1748001 */   GIM_Try, /*On fail goto*//*Label 23801*/ GIMT_Encode4(1748087), // Rule ID 11206 //
     /* 1748006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1748017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1748020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1748023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1748026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1748029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748052 */     // MIs[0] policy
     /* 1748052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748062 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1748065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748086 */     // GIR_Coverage, 11206,
     /* 1748086 */     GIR_EraseRootFromParent_Done,
     /* 1748087 */   // Label 23801: @1748087
     /* 1748087 */   GIM_Try, /*On fail goto*//*Label 23802*/ GIMT_Encode4(1748173), // Rule ID 11209 //
     /* 1748092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1748103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1748106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1748109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1748112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748138 */     // MIs[0] policy
     /* 1748138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748148 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1748151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748172 */     // GIR_Coverage, 11209,
     /* 1748172 */     GIR_EraseRootFromParent_Done,
     /* 1748173 */   // Label 23802: @1748173
     /* 1748173 */   GIM_Try, /*On fail goto*//*Label 23803*/ GIMT_Encode4(1748259), // Rule ID 11210 //
     /* 1748178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1748189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1748192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1748195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1748198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748224 */     // MIs[0] policy
     /* 1748224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748234 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1748237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748258 */     // GIR_Coverage, 11210,
     /* 1748258 */     GIR_EraseRootFromParent_Done,
     /* 1748259 */   // Label 23803: @1748259
     /* 1748259 */   GIM_Try, /*On fail goto*//*Label 23804*/ GIMT_Encode4(1748345), // Rule ID 11213 //
     /* 1748264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1748275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1748278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1748281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1748284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748310 */     // MIs[0] policy
     /* 1748310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748320 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1748323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748344 */     // GIR_Coverage, 11213,
     /* 1748344 */     GIR_EraseRootFromParent_Done,
     /* 1748345 */   // Label 23804: @1748345
     /* 1748345 */   GIM_Try, /*On fail goto*//*Label 23805*/ GIMT_Encode4(1748431), // Rule ID 11214 //
     /* 1748350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1748361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1748364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1748367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1748370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748396 */     // MIs[0] policy
     /* 1748396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748406 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1748409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748430 */     // GIR_Coverage, 11214,
     /* 1748430 */     GIR_EraseRootFromParent_Done,
     /* 1748431 */   // Label 23805: @1748431
     /* 1748431 */   GIM_Try, /*On fail goto*//*Label 23806*/ GIMT_Encode4(1748517), // Rule ID 11217 //
     /* 1748436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1748447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1748450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1748453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1748456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1748459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748482 */     // MIs[0] policy
     /* 1748482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748492 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1748495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748516 */     // GIR_Coverage, 11217,
     /* 1748516 */     GIR_EraseRootFromParent_Done,
     /* 1748517 */   // Label 23806: @1748517
     /* 1748517 */   GIM_Try, /*On fail goto*//*Label 23807*/ GIMT_Encode4(1748603), // Rule ID 11218 //
     /* 1748522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1748533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1748536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1748539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1748542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1748545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748568 */     // MIs[0] policy
     /* 1748568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748578 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1748581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748602 */     // GIR_Coverage, 11218,
     /* 1748602 */     GIR_EraseRootFromParent_Done,
     /* 1748603 */   // Label 23807: @1748603
     /* 1748603 */   GIM_Try, /*On fail goto*//*Label 23808*/ GIMT_Encode4(1748689), // Rule ID 11221 //
     /* 1748608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1748619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1748622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1748625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1748628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748654 */     // MIs[0] policy
     /* 1748654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748664 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1748667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748688 */     // GIR_Coverage, 11221,
     /* 1748688 */     GIR_EraseRootFromParent_Done,
     /* 1748689 */   // Label 23808: @1748689
     /* 1748689 */   GIM_Try, /*On fail goto*//*Label 23809*/ GIMT_Encode4(1748775), // Rule ID 11222 //
     /* 1748694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1748705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1748708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1748711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1748714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748740 */     // MIs[0] policy
     /* 1748740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748750 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1748753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748774 */     // GIR_Coverage, 11222,
     /* 1748774 */     GIR_EraseRootFromParent_Done,
     /* 1748775 */   // Label 23809: @1748775
     /* 1748775 */   GIM_Try, /*On fail goto*//*Label 23810*/ GIMT_Encode4(1748861), // Rule ID 11225 //
     /* 1748780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1748791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1748794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1748797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1748800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1748803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748826 */     // MIs[0] policy
     /* 1748826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748836 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1748839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748860 */     // GIR_Coverage, 11225,
     /* 1748860 */     GIR_EraseRootFromParent_Done,
     /* 1748861 */   // Label 23810: @1748861
     /* 1748861 */   GIM_Try, /*On fail goto*//*Label 23811*/ GIMT_Encode4(1748947), // Rule ID 11226 //
     /* 1748866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1748877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1748880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1748883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1748886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1748889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748912 */     // MIs[0] policy
     /* 1748912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748922 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1748925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748946 */     // GIR_Coverage, 11226,
     /* 1748946 */     GIR_EraseRootFromParent_Done,
     /* 1748947 */   // Label 23811: @1748947
     /* 1748947 */   GIM_Try, /*On fail goto*//*Label 23812*/ GIMT_Encode4(1749033), // Rule ID 11229 //
     /* 1748952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1748960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1748963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1748966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1748969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1748972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748998 */     // MIs[0] policy
     /* 1748998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1749011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749032 */     // GIR_Coverage, 11229,
     /* 1749032 */     GIR_EraseRootFromParent_Done,
     /* 1749033 */   // Label 23812: @1749033
     /* 1749033 */   GIM_Try, /*On fail goto*//*Label 23813*/ GIMT_Encode4(1749119), // Rule ID 11230 //
     /* 1749038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1749049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1749052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1749055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1749061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749084 */     // MIs[0] policy
     /* 1749084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749094 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1749097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749118 */     // GIR_Coverage, 11230,
     /* 1749118 */     GIR_EraseRootFromParent_Done,
     /* 1749119 */   // Label 23813: @1749119
     /* 1749119 */   GIM_Try, /*On fail goto*//*Label 23814*/ GIMT_Encode4(1749205), // Rule ID 11233 //
     /* 1749124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1749135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1749138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1749141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749170 */     // MIs[0] policy
     /* 1749170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749180 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1749183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749204 */     // GIR_Coverage, 11233,
     /* 1749204 */     GIR_EraseRootFromParent_Done,
     /* 1749205 */   // Label 23814: @1749205
     /* 1749205 */   GIM_Try, /*On fail goto*//*Label 23815*/ GIMT_Encode4(1749291), // Rule ID 11234 //
     /* 1749210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1749221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1749224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1749227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749256 */     // MIs[0] policy
     /* 1749256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749266 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1749269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749290 */     // GIR_Coverage, 11234,
     /* 1749290 */     GIR_EraseRootFromParent_Done,
     /* 1749291 */   // Label 23815: @1749291
     /* 1749291 */   GIM_Try, /*On fail goto*//*Label 23816*/ GIMT_Encode4(1749377), // Rule ID 11237 //
     /* 1749296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1749307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1749310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1749313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749342 */     // MIs[0] policy
     /* 1749342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1749355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749376 */     // GIR_Coverage, 11237,
     /* 1749376 */     GIR_EraseRootFromParent_Done,
     /* 1749377 */   // Label 23816: @1749377
     /* 1749377 */   GIM_Try, /*On fail goto*//*Label 23817*/ GIMT_Encode4(1749463), // Rule ID 11238 //
     /* 1749382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1749393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1749396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1749399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749428 */     // MIs[0] policy
     /* 1749428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749438 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1749441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749462 */     // GIR_Coverage, 11238,
     /* 1749462 */     GIR_EraseRootFromParent_Done,
     /* 1749463 */   // Label 23817: @1749463
     /* 1749463 */   GIM_Try, /*On fail goto*//*Label 23818*/ GIMT_Encode4(1749549), // Rule ID 11241 //
     /* 1749468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1749479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1749482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1749485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749514 */     // MIs[0] policy
     /* 1749514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749524 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1749527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749548 */     // GIR_Coverage, 11241,
     /* 1749548 */     GIR_EraseRootFromParent_Done,
     /* 1749549 */   // Label 23818: @1749549
     /* 1749549 */   GIM_Try, /*On fail goto*//*Label 23819*/ GIMT_Encode4(1749635), // Rule ID 11242 //
     /* 1749554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1749565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1749568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1749571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749600 */     // MIs[0] policy
     /* 1749600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749610 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1749613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749634 */     // GIR_Coverage, 11242,
     /* 1749634 */     GIR_EraseRootFromParent_Done,
     /* 1749635 */   // Label 23819: @1749635
     /* 1749635 */   GIM_Try, /*On fail goto*//*Label 23820*/ GIMT_Encode4(1749721), // Rule ID 11245 //
     /* 1749640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1749651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1749654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1749657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1749663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749686 */     // MIs[0] policy
     /* 1749686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749696 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1749699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749720 */     // GIR_Coverage, 11245,
     /* 1749720 */     GIR_EraseRootFromParent_Done,
     /* 1749721 */   // Label 23820: @1749721
     /* 1749721 */   GIM_Try, /*On fail goto*//*Label 23821*/ GIMT_Encode4(1749807), // Rule ID 11246 //
     /* 1749726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1749737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1749740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1749743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1749749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749772 */     // MIs[0] policy
     /* 1749772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749782 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1749785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749806 */     // GIR_Coverage, 11246,
     /* 1749806 */     GIR_EraseRootFromParent_Done,
     /* 1749807 */   // Label 23821: @1749807
     /* 1749807 */   GIM_Try, /*On fail goto*//*Label 23822*/ GIMT_Encode4(1749893), // Rule ID 11249 //
     /* 1749812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1749823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1749826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1749829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1749835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749858 */     // MIs[0] policy
     /* 1749858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749868 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1749871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749892 */     // GIR_Coverage, 11249,
     /* 1749892 */     GIR_EraseRootFromParent_Done,
     /* 1749893 */   // Label 23822: @1749893
     /* 1749893 */   GIM_Try, /*On fail goto*//*Label 23823*/ GIMT_Encode4(1749979), // Rule ID 11250 //
     /* 1749898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1749909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1749912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1749915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1749921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749944 */     // MIs[0] policy
     /* 1749944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749954 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1749957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749978 */     // GIR_Coverage, 11250,
     /* 1749978 */     GIR_EraseRootFromParent_Done,
     /* 1749979 */   // Label 23823: @1749979
     /* 1749979 */   GIM_Try, /*On fail goto*//*Label 23824*/ GIMT_Encode4(1750065), // Rule ID 11253 //
     /* 1749984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1749992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1749995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1749998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1750001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1750014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750030 */     // MIs[0] policy
     /* 1750030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750040 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1750043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750064 */     // GIR_Coverage, 11253,
     /* 1750064 */     GIR_EraseRootFromParent_Done,
     /* 1750065 */   // Label 23824: @1750065
     /* 1750065 */   GIM_Try, /*On fail goto*//*Label 23825*/ GIMT_Encode4(1750151), // Rule ID 11254 //
     /* 1750070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1750081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1750084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1750087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1750100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750116 */     // MIs[0] policy
     /* 1750116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750126 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1750129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750150 */     // GIR_Coverage, 11254,
     /* 1750150 */     GIR_EraseRootFromParent_Done,
     /* 1750151 */   // Label 23825: @1750151
     /* 1750151 */   GIM_Try, /*On fail goto*//*Label 23826*/ GIMT_Encode4(1750237), // Rule ID 11257 //
     /* 1750156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1750167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1750170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1750173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1750179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1750186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750202 */     // MIs[0] policy
     /* 1750202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1750215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750236 */     // GIR_Coverage, 11257,
     /* 1750236 */     GIR_EraseRootFromParent_Done,
     /* 1750237 */   // Label 23826: @1750237
     /* 1750237 */   GIM_Try, /*On fail goto*//*Label 23827*/ GIMT_Encode4(1750323), // Rule ID 11258 //
     /* 1750242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1750253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1750256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1750259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1750265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1750272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750288 */     // MIs[0] policy
     /* 1750288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750298 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1750301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750322 */     // GIR_Coverage, 11258,
     /* 1750322 */     GIR_EraseRootFromParent_Done,
     /* 1750323 */   // Label 23827: @1750323
     /* 1750323 */   GIM_Try, /*On fail goto*//*Label 23828*/ GIMT_Encode4(1750409), // Rule ID 11261 //
     /* 1750328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1750339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1750342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1750345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1750351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1750358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750374 */     // MIs[0] policy
     /* 1750374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750384 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1750387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750408 */     // GIR_Coverage, 11261,
     /* 1750408 */     GIR_EraseRootFromParent_Done,
     /* 1750409 */   // Label 23828: @1750409
     /* 1750409 */   GIM_Try, /*On fail goto*//*Label 23829*/ GIMT_Encode4(1750495), // Rule ID 11262 //
     /* 1750414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1750425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1750428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1750431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1750437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1750444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750460 */     // MIs[0] policy
     /* 1750460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750470 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1750473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750494 */     // GIR_Coverage, 11262,
     /* 1750494 */     GIR_EraseRootFromParent_Done,
     /* 1750495 */   // Label 23829: @1750495
     /* 1750495 */   GIM_Try, /*On fail goto*//*Label 23830*/ GIMT_Encode4(1750581), // Rule ID 11265 //
     /* 1750500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1750511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1750514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1750517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1750530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750546 */     // MIs[0] policy
     /* 1750546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1750559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750580 */     // GIR_Coverage, 11265,
     /* 1750580 */     GIR_EraseRootFromParent_Done,
     /* 1750581 */   // Label 23830: @1750581
     /* 1750581 */   GIM_Try, /*On fail goto*//*Label 23831*/ GIMT_Encode4(1750667), // Rule ID 11266 //
     /* 1750586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1750597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1750600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1750603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1750616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750632 */     // MIs[0] policy
     /* 1750632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750642 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1750645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750666 */     // GIR_Coverage, 11266,
     /* 1750666 */     GIR_EraseRootFromParent_Done,
     /* 1750667 */   // Label 23831: @1750667
     /* 1750667 */   GIM_Try, /*On fail goto*//*Label 23832*/ GIMT_Encode4(1750753), // Rule ID 11269 //
     /* 1750672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1750683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1750686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1750689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1750702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750718 */     // MIs[0] policy
     /* 1750718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1750731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750752 */     // GIR_Coverage, 11269,
     /* 1750752 */     GIR_EraseRootFromParent_Done,
     /* 1750753 */   // Label 23832: @1750753
     /* 1750753 */   GIM_Try, /*On fail goto*//*Label 23833*/ GIMT_Encode4(1750839), // Rule ID 11270 //
     /* 1750758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1750769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1750772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1750775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1750788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750804 */     // MIs[0] policy
     /* 1750804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750814 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1750817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750838 */     // GIR_Coverage, 11270,
     /* 1750838 */     GIR_EraseRootFromParent_Done,
     /* 1750839 */   // Label 23833: @1750839
     /* 1750839 */   GIM_Try, /*On fail goto*//*Label 23834*/ GIMT_Encode4(1750925), // Rule ID 11273 //
     /* 1750844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1750855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1750858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1750861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1750867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1750874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750890 */     // MIs[0] policy
     /* 1750890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750900 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1750903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750924 */     // GIR_Coverage, 11273,
     /* 1750924 */     GIR_EraseRootFromParent_Done,
     /* 1750925 */   // Label 23834: @1750925
     /* 1750925 */   GIM_Try, /*On fail goto*//*Label 23835*/ GIMT_Encode4(1751011), // Rule ID 11274 //
     /* 1750930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1750938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1750941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1750944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1750947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1750953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1750960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750976 */     // MIs[0] policy
     /* 1750976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750986 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1750989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751010 */     // GIR_Coverage, 11274,
     /* 1751010 */     GIR_EraseRootFromParent_Done,
     /* 1751011 */   // Label 23835: @1751011
     /* 1751011 */   GIM_Try, /*On fail goto*//*Label 23836*/ GIMT_Encode4(1751097), // Rule ID 11277 //
     /* 1751016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1751027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1751030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1751033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1751036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1751039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751062 */     // MIs[0] policy
     /* 1751062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1751075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751096 */     // GIR_Coverage, 11277,
     /* 1751096 */     GIR_EraseRootFromParent_Done,
     /* 1751097 */   // Label 23836: @1751097
     /* 1751097 */   GIM_Try, /*On fail goto*//*Label 23837*/ GIMT_Encode4(1751183), // Rule ID 11278 //
     /* 1751102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1751113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1751116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1751119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1751122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1751125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751148 */     // MIs[0] policy
     /* 1751148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751158 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1751161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751182 */     // GIR_Coverage, 11278,
     /* 1751182 */     GIR_EraseRootFromParent_Done,
     /* 1751183 */   // Label 23837: @1751183
     /* 1751183 */   GIM_Try, /*On fail goto*//*Label 23838*/ GIMT_Encode4(1751269), // Rule ID 11281 //
     /* 1751188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1751199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1751202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1751205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1751208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1751211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751234 */     // MIs[0] policy
     /* 1751234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751244 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1751247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751268 */     // GIR_Coverage, 11281,
     /* 1751268 */     GIR_EraseRootFromParent_Done,
     /* 1751269 */   // Label 23838: @1751269
     /* 1751269 */   GIM_Try, /*On fail goto*//*Label 23839*/ GIMT_Encode4(1751355), // Rule ID 11282 //
     /* 1751274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1751285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1751288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1751291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1751294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1751297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751320 */     // MIs[0] policy
     /* 1751320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751330 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1751333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751354 */     // GIR_Coverage, 11282,
     /* 1751354 */     GIR_EraseRootFromParent_Done,
     /* 1751355 */   // Label 23839: @1751355
     /* 1751355 */   GIM_Try, /*On fail goto*//*Label 23840*/ GIMT_Encode4(1751441), // Rule ID 11285 //
     /* 1751360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1751371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1751374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1751377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1751380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1751383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751406 */     // MIs[0] policy
     /* 1751406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751416 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1751419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751440 */     // GIR_Coverage, 11285,
     /* 1751440 */     GIR_EraseRootFromParent_Done,
     /* 1751441 */   // Label 23840: @1751441
     /* 1751441 */   GIM_Try, /*On fail goto*//*Label 23841*/ GIMT_Encode4(1751527), // Rule ID 11286 //
     /* 1751446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1751457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1751460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1751463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1751466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1751469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751492 */     // MIs[0] policy
     /* 1751492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751502 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1751505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751526 */     // GIR_Coverage, 11286,
     /* 1751526 */     GIR_EraseRootFromParent_Done,
     /* 1751527 */   // Label 23841: @1751527
     /* 1751527 */   GIM_Try, /*On fail goto*//*Label 23842*/ GIMT_Encode4(1751613), // Rule ID 11289 //
     /* 1751532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1751543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1751546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1751549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1751552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1751555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751578 */     // MIs[0] policy
     /* 1751578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751588 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1751591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751612 */     // GIR_Coverage, 11289,
     /* 1751612 */     GIR_EraseRootFromParent_Done,
     /* 1751613 */   // Label 23842: @1751613
     /* 1751613 */   GIM_Try, /*On fail goto*//*Label 23843*/ GIMT_Encode4(1751699), // Rule ID 11290 //
     /* 1751618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1751629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1751632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1751635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1751638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1751641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751664 */     // MIs[0] policy
     /* 1751664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1751677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751698 */     // GIR_Coverage, 11290,
     /* 1751698 */     GIR_EraseRootFromParent_Done,
     /* 1751699 */   // Label 23843: @1751699
     /* 1751699 */   GIM_Try, /*On fail goto*//*Label 23844*/ GIMT_Encode4(1751785), // Rule ID 11293 //
     /* 1751704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1751715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1751718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1751721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1751724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1751727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751750 */     // MIs[0] policy
     /* 1751750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751760 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1751763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751784 */     // GIR_Coverage, 11293,
     /* 1751784 */     GIR_EraseRootFromParent_Done,
     /* 1751785 */   // Label 23844: @1751785
     /* 1751785 */   GIM_Try, /*On fail goto*//*Label 23845*/ GIMT_Encode4(1751871), // Rule ID 11294 //
     /* 1751790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1751801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1751804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1751807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1751810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1751813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751836 */     // MIs[0] policy
     /* 1751836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1751849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751870 */     // GIR_Coverage, 11294,
     /* 1751870 */     GIR_EraseRootFromParent_Done,
     /* 1751871 */   // Label 23845: @1751871
     /* 1751871 */   GIM_Try, /*On fail goto*//*Label 23846*/ GIMT_Encode4(1751957), // Rule ID 11297 //
     /* 1751876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1751887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1751890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1751893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1751896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1751899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751922 */     // MIs[0] policy
     /* 1751922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751932 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1751935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1751953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751956 */     // GIR_Coverage, 11297,
     /* 1751956 */     GIR_EraseRootFromParent_Done,
     /* 1751957 */   // Label 23846: @1751957
     /* 1751957 */   GIM_Try, /*On fail goto*//*Label 23847*/ GIMT_Encode4(1752043), // Rule ID 11298 //
     /* 1751962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1751973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1751976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1751979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1751982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1751985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752008 */     // MIs[0] policy
     /* 1752008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752018 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1752021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752042 */     // GIR_Coverage, 11298,
     /* 1752042 */     GIR_EraseRootFromParent_Done,
     /* 1752043 */   // Label 23847: @1752043
     /* 1752043 */   GIM_Try, /*On fail goto*//*Label 23848*/ GIMT_Encode4(1752129), // Rule ID 11301 //
     /* 1752048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1752059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1752062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1752065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1752068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752094 */     // MIs[0] policy
     /* 1752094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752104 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1752107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752128 */     // GIR_Coverage, 11301,
     /* 1752128 */     GIR_EraseRootFromParent_Done,
     /* 1752129 */   // Label 23848: @1752129
     /* 1752129 */   GIM_Try, /*On fail goto*//*Label 23849*/ GIMT_Encode4(1752215), // Rule ID 11302 //
     /* 1752134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1752145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1752148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1752151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1752154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752180 */     // MIs[0] policy
     /* 1752180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752190 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1752193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752214 */     // GIR_Coverage, 11302,
     /* 1752214 */     GIR_EraseRootFromParent_Done,
     /* 1752215 */   // Label 23849: @1752215
     /* 1752215 */   GIM_Try, /*On fail goto*//*Label 23850*/ GIMT_Encode4(1752301), // Rule ID 11305 //
     /* 1752220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1752231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1752234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1752237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1752240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752266 */     // MIs[0] policy
     /* 1752266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752276 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1752279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752300 */     // GIR_Coverage, 11305,
     /* 1752300 */     GIR_EraseRootFromParent_Done,
     /* 1752301 */   // Label 23850: @1752301
     /* 1752301 */   GIM_Try, /*On fail goto*//*Label 23851*/ GIMT_Encode4(1752387), // Rule ID 11306 //
     /* 1752306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1752317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1752320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1752323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1752326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752352 */     // MIs[0] policy
     /* 1752352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752362 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1752365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752386 */     // GIR_Coverage, 11306,
     /* 1752386 */     GIR_EraseRootFromParent_Done,
     /* 1752387 */   // Label 23851: @1752387
     /* 1752387 */   GIM_Try, /*On fail goto*//*Label 23852*/ GIMT_Encode4(1752473), // Rule ID 11309 //
     /* 1752392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1752403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1752406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1752409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1752412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752438 */     // MIs[0] policy
     /* 1752438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1752451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752472 */     // GIR_Coverage, 11309,
     /* 1752472 */     GIR_EraseRootFromParent_Done,
     /* 1752473 */   // Label 23852: @1752473
     /* 1752473 */   GIM_Try, /*On fail goto*//*Label 23853*/ GIMT_Encode4(1752559), // Rule ID 11310 //
     /* 1752478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1752489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1752492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1752495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1752498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752524 */     // MIs[0] policy
     /* 1752524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1752537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752558 */     // GIR_Coverage, 11310,
     /* 1752558 */     GIR_EraseRootFromParent_Done,
     /* 1752559 */   // Label 23853: @1752559
     /* 1752559 */   GIM_Try, /*On fail goto*//*Label 23854*/ GIMT_Encode4(1752645), // Rule ID 11313 //
     /* 1752564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1752575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1752578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1752581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1752584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752610 */     // MIs[0] policy
     /* 1752610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752620 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11373:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1752623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752644 */     // GIR_Coverage, 11313,
     /* 1752644 */     GIR_EraseRootFromParent_Done,
     /* 1752645 */   // Label 23854: @1752645
     /* 1752645 */   GIM_Try, /*On fail goto*//*Label 23855*/ GIMT_Encode4(1752731), // Rule ID 11314 //
     /* 1752650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1752661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1752664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1752667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1752670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752696 */     // MIs[0] policy
     /* 1752696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752706 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11373:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1752709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752730 */     // GIR_Coverage, 11314,
     /* 1752730 */     GIR_EraseRootFromParent_Done,
     /* 1752731 */   // Label 23855: @1752731
     /* 1752731 */   GIM_Try, /*On fail goto*//*Label 23856*/ GIMT_Encode4(1752817), // Rule ID 11317 //
     /* 1752736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1752747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1752750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1752753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1752756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1752759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752782 */     // MIs[0] policy
     /* 1752782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752792 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11373:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1752795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752816 */     // GIR_Coverage, 11317,
     /* 1752816 */     GIR_EraseRootFromParent_Done,
     /* 1752817 */   // Label 23856: @1752817
     /* 1752817 */   GIM_Try, /*On fail goto*//*Label 23857*/ GIMT_Encode4(1752903), // Rule ID 11318 //
     /* 1752822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1752833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1752836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1752839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1752842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1752845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752868 */     // MIs[0] policy
     /* 1752868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752878 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11373:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1752881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752902 */     // GIR_Coverage, 11318,
     /* 1752902 */     GIR_EraseRootFromParent_Done,
     /* 1752903 */   // Label 23857: @1752903
     /* 1752903 */   GIM_Try, /*On fail goto*//*Label 23858*/ GIMT_Encode4(1752989), // Rule ID 11321 //
     /* 1752908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1752919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1752922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1752925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1752928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1752931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752954 */     // MIs[0] policy
     /* 1752954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752964 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11373:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1752967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752988 */     // GIR_Coverage, 11321,
     /* 1752988 */     GIR_EraseRootFromParent_Done,
     /* 1752989 */   // Label 23858: @1752989
     /* 1752989 */   GIM_Try, /*On fail goto*//*Label 23859*/ GIMT_Encode4(1753075), // Rule ID 11322 //
     /* 1752994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1753005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1753008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1753011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1753014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1753017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753040 */     // MIs[0] policy
     /* 1753040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753050 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11373:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1753053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753074 */     // GIR_Coverage, 11322,
     /* 1753074 */     GIR_EraseRootFromParent_Done,
     /* 1753075 */   // Label 23859: @1753075
     /* 1753075 */   GIM_Try, /*On fail goto*//*Label 23860*/ GIMT_Encode4(1753161), // Rule ID 11325 //
     /* 1753080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1753091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1753094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1753097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1753100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753126 */     // MIs[0] policy
     /* 1753126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753136 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11373:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1753139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753160 */     // GIR_Coverage, 11325,
     /* 1753160 */     GIR_EraseRootFromParent_Done,
     /* 1753161 */   // Label 23860: @1753161
     /* 1753161 */   GIM_Try, /*On fail goto*//*Label 23861*/ GIMT_Encode4(1753247), // Rule ID 11326 //
     /* 1753166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1753177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1753180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1753183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1753186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753212 */     // MIs[0] policy
     /* 1753212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753222 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11373:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1753225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753246 */     // GIR_Coverage, 11326,
     /* 1753246 */     GIR_EraseRootFromParent_Done,
     /* 1753247 */   // Label 23861: @1753247
     /* 1753247 */   GIM_Try, /*On fail goto*//*Label 23862*/ GIMT_Encode4(1753333), // Rule ID 11329 //
     /* 1753252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1753263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1753266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1753269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1753272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1753275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1753282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753298 */     // MIs[0] policy
     /* 1753298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753308 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11373:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1753311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753332 */     // GIR_Coverage, 11329,
     /* 1753332 */     GIR_EraseRootFromParent_Done,
     /* 1753333 */   // Label 23862: @1753333
     /* 1753333 */   GIM_Try, /*On fail goto*//*Label 23863*/ GIMT_Encode4(1753419), // Rule ID 11330 //
     /* 1753338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1753349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1753352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1753355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1753358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1753361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1753368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753384 */     // MIs[0] policy
     /* 1753384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753394 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11373:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1753397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753418 */     // GIR_Coverage, 11330,
     /* 1753418 */     GIR_EraseRootFromParent_Done,
     /* 1753419 */   // Label 23863: @1753419
     /* 1753419 */   GIM_Try, /*On fail goto*//*Label 23864*/ GIMT_Encode4(1753505), // Rule ID 11333 //
     /* 1753424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1753435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1753438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1753441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1753444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1753447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753470 */     // MIs[0] policy
     /* 1753470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753480 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11373:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1753483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753504 */     // GIR_Coverage, 11333,
     /* 1753504 */     GIR_EraseRootFromParent_Done,
     /* 1753505 */   // Label 23864: @1753505
     /* 1753505 */   GIM_Try, /*On fail goto*//*Label 23865*/ GIMT_Encode4(1753591), // Rule ID 11334 //
     /* 1753510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1753521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1753524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1753527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1753530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1753533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753556 */     // MIs[0] policy
     /* 1753556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753566 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11373:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1753569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753590 */     // GIR_Coverage, 11334,
     /* 1753590 */     GIR_EraseRootFromParent_Done,
     /* 1753591 */   // Label 23865: @1753591
     /* 1753591 */   GIM_Try, /*On fail goto*//*Label 23866*/ GIMT_Encode4(1753677), // Rule ID 11337 //
     /* 1753596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1753607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1753610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1753613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1753616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753642 */     // MIs[0] policy
     /* 1753642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753652 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11373:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1753655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753676 */     // GIR_Coverage, 11337,
     /* 1753676 */     GIR_EraseRootFromParent_Done,
     /* 1753677 */   // Label 23866: @1753677
     /* 1753677 */   GIM_Try, /*On fail goto*//*Label 23867*/ GIMT_Encode4(1753763), // Rule ID 11338 //
     /* 1753682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1753693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1753696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1753699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1753702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753728 */     // MIs[0] policy
     /* 1753728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753738 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11373:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1753741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753762 */     // GIR_Coverage, 11338,
     /* 1753762 */     GIR_EraseRootFromParent_Done,
     /* 1753763 */   // Label 23867: @1753763
     /* 1753763 */   GIM_Try, /*On fail goto*//*Label 23868*/ GIMT_Encode4(1753849), // Rule ID 11341 //
     /* 1753768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1753779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1753782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1753785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1753788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1753798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753814 */     // MIs[0] policy
     /* 1753814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753824 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11373:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1753827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753848 */     // GIR_Coverage, 11341,
     /* 1753848 */     GIR_EraseRootFromParent_Done,
     /* 1753849 */   // Label 23868: @1753849
     /* 1753849 */   GIM_Try, /*On fail goto*//*Label 23869*/ GIMT_Encode4(1753935), // Rule ID 11342 //
     /* 1753854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1753865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1753868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1753871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1753874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1753884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753900 */     // MIs[0] policy
     /* 1753900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753910 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11373:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1753913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753934 */     // GIR_Coverage, 11342,
     /* 1753934 */     GIR_EraseRootFromParent_Done,
     /* 1753935 */   // Label 23869: @1753935
     /* 1753935 */   GIM_Try, /*On fail goto*//*Label 23870*/ GIMT_Encode4(1754021), // Rule ID 11345 //
     /* 1753940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1753948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1753951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1753954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1753957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1753960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1753963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753986 */     // MIs[0] policy
     /* 1753986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753996 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11373:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1753999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754020 */     // GIR_Coverage, 11345,
     /* 1754020 */     GIR_EraseRootFromParent_Done,
     /* 1754021 */   // Label 23870: @1754021
     /* 1754021 */   GIM_Try, /*On fail goto*//*Label 23871*/ GIMT_Encode4(1754107), // Rule ID 11346 //
     /* 1754026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1754037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1754040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1754043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1754046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754072 */     // MIs[0] policy
     /* 1754072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754082 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11373:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1754085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754106 */     // GIR_Coverage, 11346,
     /* 1754106 */     GIR_EraseRootFromParent_Done,
     /* 1754107 */   // Label 23871: @1754107
     /* 1754107 */   GIM_Try, /*On fail goto*//*Label 23872*/ GIMT_Encode4(1754193), // Rule ID 11349 //
     /* 1754112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1754123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1754126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1754129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754158 */     // MIs[0] policy
     /* 1754158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754168 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1754171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754192 */     // GIR_Coverage, 11349,
     /* 1754192 */     GIR_EraseRootFromParent_Done,
     /* 1754193 */   // Label 23872: @1754193
     /* 1754193 */   GIM_Try, /*On fail goto*//*Label 23873*/ GIMT_Encode4(1754279), // Rule ID 11350 //
     /* 1754198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1754209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1754212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1754215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1754218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754244 */     // MIs[0] policy
     /* 1754244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754254 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1754257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754278 */     // GIR_Coverage, 11350,
     /* 1754278 */     GIR_EraseRootFromParent_Done,
     /* 1754279 */   // Label 23873: @1754279
     /* 1754279 */   GIM_Try, /*On fail goto*//*Label 23874*/ GIMT_Encode4(1754365), // Rule ID 11353 //
     /* 1754284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1754295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1754298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1754301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754330 */     // MIs[0] policy
     /* 1754330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754340 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1754343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754364 */     // GIR_Coverage, 11353,
     /* 1754364 */     GIR_EraseRootFromParent_Done,
     /* 1754365 */   // Label 23874: @1754365
     /* 1754365 */   GIM_Try, /*On fail goto*//*Label 23875*/ GIMT_Encode4(1754451), // Rule ID 11354 //
     /* 1754370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1754381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1754384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1754387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1754390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754416 */     // MIs[0] policy
     /* 1754416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754426 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1754429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754450 */     // GIR_Coverage, 11354,
     /* 1754450 */     GIR_EraseRootFromParent_Done,
     /* 1754451 */   // Label 23875: @1754451
     /* 1754451 */   GIM_Try, /*On fail goto*//*Label 23876*/ GIMT_Encode4(1754537), // Rule ID 11357 //
     /* 1754456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1754467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1754470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1754473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754502 */     // MIs[0] policy
     /* 1754502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754512 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1754515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754536 */     // GIR_Coverage, 11357,
     /* 1754536 */     GIR_EraseRootFromParent_Done,
     /* 1754537 */   // Label 23876: @1754537
     /* 1754537 */   GIM_Try, /*On fail goto*//*Label 23877*/ GIMT_Encode4(1754623), // Rule ID 11358 //
     /* 1754542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1754553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1754556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1754559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1754562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754588 */     // MIs[0] policy
     /* 1754588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754598 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1754601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754622 */     // GIR_Coverage, 11358,
     /* 1754622 */     GIR_EraseRootFromParent_Done,
     /* 1754623 */   // Label 23877: @1754623
     /* 1754623 */   GIM_Try, /*On fail goto*//*Label 23878*/ GIMT_Encode4(1754709), // Rule ID 11361 //
     /* 1754628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1754639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1754642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1754645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754674 */     // MIs[0] policy
     /* 1754674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754684 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1754687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754708 */     // GIR_Coverage, 11361,
     /* 1754708 */     GIR_EraseRootFromParent_Done,
     /* 1754709 */   // Label 23878: @1754709
     /* 1754709 */   GIM_Try, /*On fail goto*//*Label 23879*/ GIMT_Encode4(1754795), // Rule ID 11362 //
     /* 1754714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1754725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1754728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1754731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1754734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754760 */     // MIs[0] policy
     /* 1754760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754770 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1754773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754794 */     // GIR_Coverage, 11362,
     /* 1754794 */     GIR_EraseRootFromParent_Done,
     /* 1754795 */   // Label 23879: @1754795
     /* 1754795 */   GIM_Try, /*On fail goto*//*Label 23880*/ GIMT_Encode4(1754881), // Rule ID 11365 //
     /* 1754800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1754811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1754814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1754817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754846 */     // MIs[0] policy
     /* 1754846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754856 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1754859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754880 */     // GIR_Coverage, 11365,
     /* 1754880 */     GIR_EraseRootFromParent_Done,
     /* 1754881 */   // Label 23880: @1754881
     /* 1754881 */   GIM_Try, /*On fail goto*//*Label 23881*/ GIMT_Encode4(1754967), // Rule ID 11366 //
     /* 1754886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1754897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1754900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1754903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1754906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754932 */     // MIs[0] policy
     /* 1754932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754942 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1754945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754966 */     // GIR_Coverage, 11366,
     /* 1754966 */     GIR_EraseRootFromParent_Done,
     /* 1754967 */   // Label 23881: @1754967
     /* 1754967 */   GIM_Try, /*On fail goto*//*Label 23882*/ GIMT_Encode4(1755053), // Rule ID 11369 //
     /* 1754972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1754980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1754983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1754986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1754989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755018 */     // MIs[0] policy
     /* 1755018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755028 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1755031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755052 */     // GIR_Coverage, 11369,
     /* 1755052 */     GIR_EraseRootFromParent_Done,
     /* 1755053 */   // Label 23882: @1755053
     /* 1755053 */   GIM_Try, /*On fail goto*//*Label 23883*/ GIMT_Encode4(1755139), // Rule ID 11370 //
     /* 1755058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1755069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1755072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1755075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755104 */     // MIs[0] policy
     /* 1755104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755114 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1755117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755138 */     // GIR_Coverage, 11370,
     /* 1755138 */     GIR_EraseRootFromParent_Done,
     /* 1755139 */   // Label 23883: @1755139
     /* 1755139 */   GIM_Try, /*On fail goto*//*Label 23884*/ GIMT_Encode4(1755225), // Rule ID 11373 //
     /* 1755144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1755155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1755158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1755161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755190 */     // MIs[0] policy
     /* 1755190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755200 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1755203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755224 */     // GIR_Coverage, 11373,
     /* 1755224 */     GIR_EraseRootFromParent_Done,
     /* 1755225 */   // Label 23884: @1755225
     /* 1755225 */   GIM_Try, /*On fail goto*//*Label 23885*/ GIMT_Encode4(1755311), // Rule ID 11374 //
     /* 1755230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1755241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1755244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1755247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755276 */     // MIs[0] policy
     /* 1755276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755286 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1755289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755310 */     // GIR_Coverage, 11374,
     /* 1755310 */     GIR_EraseRootFromParent_Done,
     /* 1755311 */   // Label 23885: @1755311
     /* 1755311 */   GIM_Try, /*On fail goto*//*Label 23886*/ GIMT_Encode4(1755397), // Rule ID 11377 //
     /* 1755316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1755327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1755330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1755333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755362 */     // MIs[0] policy
     /* 1755362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755372 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1755375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755396 */     // GIR_Coverage, 11377,
     /* 1755396 */     GIR_EraseRootFromParent_Done,
     /* 1755397 */   // Label 23886: @1755397
     /* 1755397 */   GIM_Try, /*On fail goto*//*Label 23887*/ GIMT_Encode4(1755483), // Rule ID 11378 //
     /* 1755402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1755413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1755416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1755419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755448 */     // MIs[0] policy
     /* 1755448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1755461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755482 */     // GIR_Coverage, 11378,
     /* 1755482 */     GIR_EraseRootFromParent_Done,
     /* 1755483 */   // Label 23887: @1755483
     /* 1755483 */   GIM_Try, /*On fail goto*//*Label 23888*/ GIMT_Encode4(1755569), // Rule ID 11381 //
     /* 1755488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1755499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1755502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1755505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1755511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755534 */     // MIs[0] policy
     /* 1755534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755544 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1755547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755568 */     // GIR_Coverage, 11381,
     /* 1755568 */     GIR_EraseRootFromParent_Done,
     /* 1755569 */   // Label 23888: @1755569
     /* 1755569 */   GIM_Try, /*On fail goto*//*Label 23889*/ GIMT_Encode4(1755655), // Rule ID 11382 //
     /* 1755574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1755585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1755588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1755591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1755597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755620 */     // MIs[0] policy
     /* 1755620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755630 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1755633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755654 */     // GIR_Coverage, 11382,
     /* 1755654 */     GIR_EraseRootFromParent_Done,
     /* 1755655 */   // Label 23889: @1755655
     /* 1755655 */   GIM_Try, /*On fail goto*//*Label 23890*/ GIMT_Encode4(1755741), // Rule ID 11385 //
     /* 1755660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1755671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1755674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1755677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755706 */     // MIs[0] policy
     /* 1755706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755716 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11373:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1755719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755740 */     // GIR_Coverage, 11385,
     /* 1755740 */     GIR_EraseRootFromParent_Done,
     /* 1755741 */   // Label 23890: @1755741
     /* 1755741 */   GIM_Try, /*On fail goto*//*Label 23891*/ GIMT_Encode4(1755827), // Rule ID 11386 //
     /* 1755746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1755757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1755760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1755763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755792 */     // MIs[0] policy
     /* 1755792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755802 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11373:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1755805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755826 */     // GIR_Coverage, 11386,
     /* 1755826 */     GIR_EraseRootFromParent_Done,
     /* 1755827 */   // Label 23891: @1755827
     /* 1755827 */   GIM_Try, /*On fail goto*//*Label 23892*/ GIMT_Encode4(1755913), // Rule ID 11389 //
     /* 1755832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1755843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1755846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1755849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1755855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755878 */     // MIs[0] policy
     /* 1755878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755888 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11373:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1755891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755912 */     // GIR_Coverage, 11389,
     /* 1755912 */     GIR_EraseRootFromParent_Done,
     /* 1755913 */   // Label 23892: @1755913
     /* 1755913 */   GIM_Try, /*On fail goto*//*Label 23893*/ GIMT_Encode4(1755999), // Rule ID 11390 //
     /* 1755918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1755929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1755932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1755935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1755941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755964 */     // MIs[0] policy
     /* 1755964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755974 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11373:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1755977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755998 */     // GIR_Coverage, 11390,
     /* 1755998 */     GIR_EraseRootFromParent_Done,
     /* 1755999 */   // Label 23893: @1755999
     /* 1755999 */   GIM_Try, /*On fail goto*//*Label 23894*/ GIMT_Encode4(1756085), // Rule ID 11393 //
     /* 1756004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1756015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1756018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1756021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1756027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756050 */     // MIs[0] policy
     /* 1756050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756060 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11373:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1756063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756084 */     // GIR_Coverage, 11393,
     /* 1756084 */     GIR_EraseRootFromParent_Done,
     /* 1756085 */   // Label 23894: @1756085
     /* 1756085 */   GIM_Try, /*On fail goto*//*Label 23895*/ GIMT_Encode4(1756171), // Rule ID 11394 //
     /* 1756090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1756101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1756104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1756107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1756113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756136 */     // MIs[0] policy
     /* 1756136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756146 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11373:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1756149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756170 */     // GIR_Coverage, 11394,
     /* 1756170 */     GIR_EraseRootFromParent_Done,
     /* 1756171 */   // Label 23895: @1756171
     /* 1756171 */   GIM_Try, /*On fail goto*//*Label 23896*/ GIMT_Encode4(1756257), // Rule ID 11397 //
     /* 1756176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1756187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1756190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1756193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756222 */     // MIs[0] policy
     /* 1756222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756232 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11373:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1756235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756256 */     // GIR_Coverage, 11397,
     /* 1756256 */     GIR_EraseRootFromParent_Done,
     /* 1756257 */   // Label 23896: @1756257
     /* 1756257 */   GIM_Try, /*On fail goto*//*Label 23897*/ GIMT_Encode4(1756343), // Rule ID 11398 //
     /* 1756262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1756273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1756276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1756279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756308 */     // MIs[0] policy
     /* 1756308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756318 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11373:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1756321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756342 */     // GIR_Coverage, 11398,
     /* 1756342 */     GIR_EraseRootFromParent_Done,
     /* 1756343 */   // Label 23897: @1756343
     /* 1756343 */   GIM_Try, /*On fail goto*//*Label 23898*/ GIMT_Encode4(1756429), // Rule ID 11401 //
     /* 1756348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1756359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1756362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1756365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1756371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1756378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756394 */     // MIs[0] policy
     /* 1756394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756404 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11373:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1756407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756428 */     // GIR_Coverage, 11401,
     /* 1756428 */     GIR_EraseRootFromParent_Done,
     /* 1756429 */   // Label 23898: @1756429
     /* 1756429 */   GIM_Try, /*On fail goto*//*Label 23899*/ GIMT_Encode4(1756515), // Rule ID 11402 //
     /* 1756434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1756445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1756448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1756451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1756457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1756464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756480 */     // MIs[0] policy
     /* 1756480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756490 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11373:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1756493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756514 */     // GIR_Coverage, 11402,
     /* 1756514 */     GIR_EraseRootFromParent_Done,
     /* 1756515 */   // Label 23899: @1756515
     /* 1756515 */   GIM_Try, /*On fail goto*//*Label 23900*/ GIMT_Encode4(1756601), // Rule ID 11405 //
     /* 1756520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1756531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1756534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1756537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1756543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756566 */     // MIs[0] policy
     /* 1756566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756576 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11373:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1756579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756600 */     // GIR_Coverage, 11405,
     /* 1756600 */     GIR_EraseRootFromParent_Done,
     /* 1756601 */   // Label 23900: @1756601
     /* 1756601 */   GIM_Try, /*On fail goto*//*Label 23901*/ GIMT_Encode4(1756687), // Rule ID 11406 //
     /* 1756606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1756617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1756620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1756623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1756629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756652 */     // MIs[0] policy
     /* 1756652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756662 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11373:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1756665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756686 */     // GIR_Coverage, 11406,
     /* 1756686 */     GIR_EraseRootFromParent_Done,
     /* 1756687 */   // Label 23901: @1756687
     /* 1756687 */   GIM_Try, /*On fail goto*//*Label 23902*/ GIMT_Encode4(1756773), // Rule ID 11409 //
     /* 1756692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1756703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1756706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1756709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756738 */     // MIs[0] policy
     /* 1756738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756748 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11373:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1756751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756772 */     // GIR_Coverage, 11409,
     /* 1756772 */     GIR_EraseRootFromParent_Done,
     /* 1756773 */   // Label 23902: @1756773
     /* 1756773 */   GIM_Try, /*On fail goto*//*Label 23903*/ GIMT_Encode4(1756859), // Rule ID 11410 //
     /* 1756778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1756789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1756792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1756795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756824 */     // MIs[0] policy
     /* 1756824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756834 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11373:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1756837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756858 */     // GIR_Coverage, 11410,
     /* 1756858 */     GIR_EraseRootFromParent_Done,
     /* 1756859 */   // Label 23903: @1756859
     /* 1756859 */   GIM_Try, /*On fail goto*//*Label 23904*/ GIMT_Encode4(1756945), // Rule ID 11413 //
     /* 1756864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1756875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1756878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1756881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1756894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756910 */     // MIs[0] policy
     /* 1756910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756920 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11373:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1756923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756944 */     // GIR_Coverage, 11413,
     /* 1756944 */     GIR_EraseRootFromParent_Done,
     /* 1756945 */   // Label 23904: @1756945
     /* 1756945 */   GIM_Try, /*On fail goto*//*Label 23905*/ GIMT_Encode4(1757031), // Rule ID 11414 //
     /* 1756950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1756961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1756964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1756967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1756980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756996 */     // MIs[0] policy
     /* 1756996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757006 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11373:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1757009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757030 */     // GIR_Coverage, 11414,
     /* 1757030 */     GIR_EraseRootFromParent_Done,
     /* 1757031 */   // Label 23905: @1757031
     /* 1757031 */   GIM_Try, /*On fail goto*//*Label 23906*/ GIMT_Encode4(1757117), // Rule ID 11417 //
     /* 1757036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1757047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1757050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1757053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757082 */     // MIs[0] policy
     /* 1757082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757092 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11373:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1757095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757116 */     // GIR_Coverage, 11417,
     /* 1757116 */     GIR_EraseRootFromParent_Done,
     /* 1757117 */   // Label 23906: @1757117
     /* 1757117 */   GIM_Try, /*On fail goto*//*Label 23907*/ GIMT_Encode4(1757203), // Rule ID 11418 //
     /* 1757122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1757130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1757133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1757136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1757139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757168 */     // MIs[0] policy
     /* 1757168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757178 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11373:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1757181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757202 */     // GIR_Coverage, 11418,
     /* 1757202 */     GIR_EraseRootFromParent_Done,
     /* 1757203 */   // Label 23907: @1757203
     /* 1757203 */   GIM_Try, /*On fail goto*//*Label 23908*/ GIMT_Encode4(1757289), // Rule ID 11421 //
     /* 1757208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1757211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1757216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1757219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1757222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1757225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1757228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1757231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757254 */     // MIs[0] policy
     /* 1757254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757264 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1757267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1757285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757288 */     // GIR_Coverage, 11421,
     /* 1757288 */     GIR_EraseRootFromParent_Done,
     /* 1757289 */   // Label 23908: @1757289
     /* 1757289 */   GIM_Try, /*On fail goto*//*Label 23909*/ GIMT_Encode4(1757375), // Rule ID 11422 //
     /* 1757294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1757297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1757302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1757305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1757308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1757311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1757314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1757317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757340 */     // MIs[0] policy
     /* 1757340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757350 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1757353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1757371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757374 */     // GIR_Coverage, 11422,
     /* 1757374 */     GIR_EraseRootFromParent_Done,
     /* 1757375 */   // Label 23909: @1757375
     /* 1757375 */   GIM_Try, /*On fail goto*//*Label 23910*/ GIMT_Encode4(1757461), // Rule ID 11425 //
     /* 1757380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1757383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1757388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1757391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1757394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1757397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1757400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757426 */     // MIs[0] policy
     /* 1757426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757436 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1757439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1757457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757460 */     // GIR_Coverage, 11425,
     /* 1757460 */     GIR_EraseRootFromParent_Done,
     /* 1757461 */   // Label 23910: @1757461
     /* 1757461 */   GIM_Try, /*On fail goto*//*Label 23911*/ GIMT_Encode4(1757547), // Rule ID 11426 //
     /* 1757466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1757469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1757474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1757477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1757480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1757483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1757486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757512 */     // MIs[0] policy
     /* 1757512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757522 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1757525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1757543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757546 */     // GIR_Coverage, 11426,
     /* 1757546 */     GIR_EraseRootFromParent_Done,
     /* 1757547 */   // Label 23911: @1757547
     /* 1757547 */   GIM_Try, /*On fail goto*//*Label 23912*/ GIMT_Encode4(1757633), // Rule ID 11429 //
     /* 1757552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1757555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1757560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1757563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1757566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1757569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1757572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757598 */     // MIs[0] policy
     /* 1757598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757608 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1757611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1757629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757632 */     // GIR_Coverage, 11429,
     /* 1757632 */     GIR_EraseRootFromParent_Done,
     /* 1757633 */   // Label 23912: @1757633
     /* 1757633 */   GIM_Try, /*On fail goto*//*Label 23913*/ GIMT_Encode4(1757719), // Rule ID 11430 //
     /* 1757638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1757641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1757646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1757649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1757652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1757655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1757658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757684 */     // MIs[0] policy
     /* 1757684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757694 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1757697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1757715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757718 */     // GIR_Coverage, 11430,
     /* 1757718 */     GIR_EraseRootFromParent_Done,
     /* 1757719 */   // Label 23913: @1757719
     /* 1757719 */   GIM_Try, /*On fail goto*//*Label 23914*/ GIMT_Encode4(1757805), // Rule ID 11433 //
     /* 1757724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1757727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1757732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1757735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1757738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1757741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1757744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757770 */     // MIs[0] policy
     /* 1757770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757780 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1757783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1757801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757804 */     // GIR_Coverage, 11433,
     /* 1757804 */     GIR_EraseRootFromParent_Done,
     /* 1757805 */   // Label 23914: @1757805
     /* 1757805 */   GIM_Try, /*On fail goto*//*Label 23915*/ GIMT_Encode4(1757891), // Rule ID 11434 //
     /* 1757810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1757813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1757818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1757821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1757824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1757827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1757830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757856 */     // MIs[0] policy
     /* 1757856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757866 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1757869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1757887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757890 */     // GIR_Coverage, 11434,
     /* 1757890 */     GIR_EraseRootFromParent_Done,
     /* 1757891 */   // Label 23915: @1757891
     /* 1757891 */   GIM_Try, /*On fail goto*//*Label 23916*/ GIMT_Encode4(1757977), // Rule ID 11437 //
     /* 1757896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1757899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1757904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1757907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1757910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1757913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1757919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757942 */     // MIs[0] policy
     /* 1757942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1757955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1757973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757976 */     // GIR_Coverage, 11437,
     /* 1757976 */     GIR_EraseRootFromParent_Done,
     /* 1757977 */   // Label 23916: @1757977
     /* 1757977 */   GIM_Try, /*On fail goto*//*Label 23917*/ GIMT_Encode4(1758063), // Rule ID 11438 //
     /* 1757982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1757985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1757990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1757993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1757996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1757999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758028 */     // MIs[0] policy
     /* 1758028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758038 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1758041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758062 */     // GIR_Coverage, 11438,
     /* 1758062 */     GIR_EraseRootFromParent_Done,
     /* 1758063 */   // Label 23917: @1758063
     /* 1758063 */   GIM_Try, /*On fail goto*//*Label 23918*/ GIMT_Encode4(1758149), // Rule ID 11441 //
     /* 1758068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1758071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1758079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1758082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1758085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758114 */     // MIs[0] policy
     /* 1758114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758124 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1758127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758148 */     // GIR_Coverage, 11441,
     /* 1758148 */     GIR_EraseRootFromParent_Done,
     /* 1758149 */   // Label 23918: @1758149
     /* 1758149 */   GIM_Try, /*On fail goto*//*Label 23919*/ GIMT_Encode4(1758235), // Rule ID 11442 //
     /* 1758154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1758157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1758165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1758168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1758171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758200 */     // MIs[0] policy
     /* 1758200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758210 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1758213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758234 */     // GIR_Coverage, 11442,
     /* 1758234 */     GIR_EraseRootFromParent_Done,
     /* 1758235 */   // Label 23919: @1758235
     /* 1758235 */   GIM_Try, /*On fail goto*//*Label 23920*/ GIMT_Encode4(1758321), // Rule ID 11445 //
     /* 1758240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1758243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1758251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1758254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1758257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758286 */     // MIs[0] policy
     /* 1758286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758296 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1758299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758320 */     // GIR_Coverage, 11445,
     /* 1758320 */     GIR_EraseRootFromParent_Done,
     /* 1758321 */   // Label 23920: @1758321
     /* 1758321 */   GIM_Try, /*On fail goto*//*Label 23921*/ GIMT_Encode4(1758407), // Rule ID 11446 //
     /* 1758326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1758329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1758337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1758340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1758343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758372 */     // MIs[0] policy
     /* 1758372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758382 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1758385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758406 */     // GIR_Coverage, 11446,
     /* 1758406 */     GIR_EraseRootFromParent_Done,
     /* 1758407 */   // Label 23921: @1758407
     /* 1758407 */   GIM_Try, /*On fail goto*//*Label 23922*/ GIMT_Encode4(1758493), // Rule ID 11449 //
     /* 1758412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1758415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1758423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1758426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1758429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758458 */     // MIs[0] policy
     /* 1758458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758468 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1758471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758492 */     // GIR_Coverage, 11449,
     /* 1758492 */     GIR_EraseRootFromParent_Done,
     /* 1758493 */   // Label 23922: @1758493
     /* 1758493 */   GIM_Try, /*On fail goto*//*Label 23923*/ GIMT_Encode4(1758579), // Rule ID 11450 //
     /* 1758498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1758501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1758506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1758509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1758512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1758515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758544 */     // MIs[0] policy
     /* 1758544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758554 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1758557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758578 */     // GIR_Coverage, 11450,
     /* 1758578 */     GIR_EraseRootFromParent_Done,
     /* 1758579 */   // Label 23923: @1758579
     /* 1758579 */   GIM_Try, /*On fail goto*//*Label 23924*/ GIMT_Encode4(1758665), // Rule ID 11453 //
     /* 1758584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1758587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1758595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1758598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1758601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1758604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758630 */     // MIs[0] policy
     /* 1758630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758640 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1758643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758664 */     // GIR_Coverage, 11453,
     /* 1758664 */     GIR_EraseRootFromParent_Done,
     /* 1758665 */   // Label 23924: @1758665
     /* 1758665 */   GIM_Try, /*On fail goto*//*Label 23925*/ GIMT_Encode4(1758751), // Rule ID 11454 //
     /* 1758670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1758673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1758681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1758684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1758687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1758690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758716 */     // MIs[0] policy
     /* 1758716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758726 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1758729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758750 */     // GIR_Coverage, 11454,
     /* 1758750 */     GIR_EraseRootFromParent_Done,
     /* 1758751 */   // Label 23925: @1758751
     /* 1758751 */   GIM_Try, /*On fail goto*//*Label 23926*/ GIMT_Encode4(1758837), // Rule ID 11457 //
     /* 1758756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1758759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1758767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1758770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1758773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1758776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758802 */     // MIs[0] policy
     /* 1758802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758812 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1758815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758836 */     // GIR_Coverage, 11457,
     /* 1758836 */     GIR_EraseRootFromParent_Done,
     /* 1758837 */   // Label 23926: @1758837
     /* 1758837 */   GIM_Try, /*On fail goto*//*Label 23927*/ GIMT_Encode4(1758923), // Rule ID 11458 //
     /* 1758842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1758845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1758853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1758856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1758859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1758862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758888 */     // MIs[0] policy
     /* 1758888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758898 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1758901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758922 */     // GIR_Coverage, 11458,
     /* 1758922 */     GIR_EraseRootFromParent_Done,
     /* 1758923 */   // Label 23927: @1758923
     /* 1758923 */   GIM_Try, /*On fail goto*//*Label 23928*/ GIMT_Encode4(1759009), // Rule ID 11461 //
     /* 1758928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1758931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1758939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1758942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1758945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1758948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758974 */     // MIs[0] policy
     /* 1758974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758984 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1758987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759008 */     // GIR_Coverage, 11461,
     /* 1759008 */     GIR_EraseRootFromParent_Done,
     /* 1759009 */   // Label 23928: @1759009
     /* 1759009 */   GIM_Try, /*On fail goto*//*Label 23929*/ GIMT_Encode4(1759095), // Rule ID 11462 //
     /* 1759014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1759025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1759028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1759031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1759034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759060 */     // MIs[0] policy
     /* 1759060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759070 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1759073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759094 */     // GIR_Coverage, 11462,
     /* 1759094 */     GIR_EraseRootFromParent_Done,
     /* 1759095 */   // Label 23929: @1759095
     /* 1759095 */   GIM_Try, /*On fail goto*//*Label 23930*/ GIMT_Encode4(1759181), // Rule ID 11465 //
     /* 1759100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1759111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1759114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1759117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1759120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759146 */     // MIs[0] policy
     /* 1759146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759156 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1759159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759180 */     // GIR_Coverage, 11465,
     /* 1759180 */     GIR_EraseRootFromParent_Done,
     /* 1759181 */   // Label 23930: @1759181
     /* 1759181 */   GIM_Try, /*On fail goto*//*Label 23931*/ GIMT_Encode4(1759267), // Rule ID 11466 //
     /* 1759186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1759197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1759200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1759203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1759206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759232 */     // MIs[0] policy
     /* 1759232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759242 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1759245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759266 */     // GIR_Coverage, 11466,
     /* 1759266 */     GIR_EraseRootFromParent_Done,
     /* 1759267 */   // Label 23931: @1759267
     /* 1759267 */   GIM_Try, /*On fail goto*//*Label 23932*/ GIMT_Encode4(1759353), // Rule ID 11469 //
     /* 1759272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1759283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1759286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1759289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759318 */     // MIs[0] policy
     /* 1759318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1759331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759352 */     // GIR_Coverage, 11469,
     /* 1759352 */     GIR_EraseRootFromParent_Done,
     /* 1759353 */   // Label 23932: @1759353
     /* 1759353 */   GIM_Try, /*On fail goto*//*Label 23933*/ GIMT_Encode4(1759439), // Rule ID 11470 //
     /* 1759358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1759369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1759372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1759375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759404 */     // MIs[0] policy
     /* 1759404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759414 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1759417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759438 */     // GIR_Coverage, 11470,
     /* 1759438 */     GIR_EraseRootFromParent_Done,
     /* 1759439 */   // Label 23933: @1759439
     /* 1759439 */   GIM_Try, /*On fail goto*//*Label 23934*/ GIMT_Encode4(1759525), // Rule ID 11473 //
     /* 1759444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1759455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1759458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1759461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759490 */     // MIs[0] policy
     /* 1759490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759500 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1759503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759524 */     // GIR_Coverage, 11473,
     /* 1759524 */     GIR_EraseRootFromParent_Done,
     /* 1759525 */   // Label 23934: @1759525
     /* 1759525 */   GIM_Try, /*On fail goto*//*Label 23935*/ GIMT_Encode4(1759611), // Rule ID 11474 //
     /* 1759530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1759541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1759544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1759547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759576 */     // MIs[0] policy
     /* 1759576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759586 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11375:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1759589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759610 */     // GIR_Coverage, 11474,
     /* 1759610 */     GIR_EraseRootFromParent_Done,
     /* 1759611 */   // Label 23935: @1759611
     /* 1759611 */   GIM_Try, /*On fail goto*//*Label 23936*/ GIMT_Encode4(1759697), // Rule ID 11477 //
     /* 1759616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1759627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1759630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1759633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759662 */     // MIs[0] policy
     /* 1759662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1759675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759696 */     // GIR_Coverage, 11477,
     /* 1759696 */     GIR_EraseRootFromParent_Done,
     /* 1759697 */   // Label 23936: @1759697
     /* 1759697 */   GIM_Try, /*On fail goto*//*Label 23937*/ GIMT_Encode4(1759783), // Rule ID 11478 //
     /* 1759702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1759713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1759716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1759719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759748 */     // MIs[0] policy
     /* 1759748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759758 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11375:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1759761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759782 */     // GIR_Coverage, 11478,
     /* 1759782 */     GIR_EraseRootFromParent_Done,
     /* 1759783 */   // Label 23937: @1759783
     /* 1759783 */   GIM_Try, /*On fail goto*//*Label 23938*/ GIMT_Encode4(1759869), // Rule ID 11481 //
     /* 1759788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1759799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1759802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1759805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759834 */     // MIs[0] policy
     /* 1759834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759844 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1759847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759868 */     // GIR_Coverage, 11481,
     /* 1759868 */     GIR_EraseRootFromParent_Done,
     /* 1759869 */   // Label 23938: @1759869
     /* 1759869 */   GIM_Try, /*On fail goto*//*Label 23939*/ GIMT_Encode4(1759955), // Rule ID 11482 //
     /* 1759874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1759877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1759885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1759888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1759891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759920 */     // MIs[0] policy
     /* 1759920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759930 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11375:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1759933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759954 */     // GIR_Coverage, 11482,
     /* 1759954 */     GIR_EraseRootFromParent_Done,
     /* 1759955 */   // Label 23939: @1759955
     /* 1759955 */   GIM_Try, /*On fail goto*//*Label 23940*/ GIMT_Encode4(1760041), // Rule ID 11485 //
     /* 1759960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1759963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1759968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1759971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1759974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1759977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1759980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760006 */     // MIs[0] policy
     /* 1760006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760016 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1760019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760040 */     // GIR_Coverage, 11485,
     /* 1760040 */     GIR_EraseRootFromParent_Done,
     /* 1760041 */   // Label 23940: @1760041
     /* 1760041 */   GIM_Try, /*On fail goto*//*Label 23941*/ GIMT_Encode4(1760127), // Rule ID 11486 //
     /* 1760046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1760057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1760060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1760063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1760066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760092 */     // MIs[0] policy
     /* 1760092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760102 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1760105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760126 */     // GIR_Coverage, 11486,
     /* 1760126 */     GIR_EraseRootFromParent_Done,
     /* 1760127 */   // Label 23941: @1760127
     /* 1760127 */   GIM_Try, /*On fail goto*//*Label 23942*/ GIMT_Encode4(1760213), // Rule ID 11489 //
     /* 1760132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1760143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1760146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1760149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1760152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760178 */     // MIs[0] policy
     /* 1760178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760188 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11373:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1760191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760212 */     // GIR_Coverage, 11489,
     /* 1760212 */     GIR_EraseRootFromParent_Done,
     /* 1760213 */   // Label 23942: @1760213
     /* 1760213 */   GIM_Try, /*On fail goto*//*Label 23943*/ GIMT_Encode4(1760299), // Rule ID 11490 //
     /* 1760218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1760229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1760232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1760235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1760238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760264 */     // MIs[0] policy
     /* 1760264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760274 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11373:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1760277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760298 */     // GIR_Coverage, 11490,
     /* 1760298 */     GIR_EraseRootFromParent_Done,
     /* 1760299 */   // Label 23943: @1760299
     /* 1760299 */   GIM_Try, /*On fail goto*//*Label 23944*/ GIMT_Encode4(1760385), // Rule ID 11493 //
     /* 1760304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1760315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1760318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1760321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1760324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760350 */     // MIs[0] policy
     /* 1760350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760360 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11373:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1760363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760384 */     // GIR_Coverage, 11493,
     /* 1760384 */     GIR_EraseRootFromParent_Done,
     /* 1760385 */   // Label 23944: @1760385
     /* 1760385 */   GIM_Try, /*On fail goto*//*Label 23945*/ GIMT_Encode4(1760471), // Rule ID 11494 //
     /* 1760390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1760401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1760404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1760407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1760410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760436 */     // MIs[0] policy
     /* 1760436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760446 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11373:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1760449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760470 */     // GIR_Coverage, 11494,
     /* 1760470 */     GIR_EraseRootFromParent_Done,
     /* 1760471 */   // Label 23945: @1760471
     /* 1760471 */   GIM_Try, /*On fail goto*//*Label 23946*/ GIMT_Encode4(1760557), // Rule ID 11497 //
     /* 1760476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1760487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1760490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1760493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1760496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760522 */     // MIs[0] policy
     /* 1760522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760532 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11373:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1760535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760556 */     // GIR_Coverage, 11497,
     /* 1760556 */     GIR_EraseRootFromParent_Done,
     /* 1760557 */   // Label 23946: @1760557
     /* 1760557 */   GIM_Try, /*On fail goto*//*Label 23947*/ GIMT_Encode4(1760643), // Rule ID 11498 //
     /* 1760562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1760573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1760576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1760579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1760582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760608 */     // MIs[0] policy
     /* 1760608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760618 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11373:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1760621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760642 */     // GIR_Coverage, 11498,
     /* 1760642 */     GIR_EraseRootFromParent_Done,
     /* 1760643 */   // Label 23947: @1760643
     /* 1760643 */   GIM_Try, /*On fail goto*//*Label 23948*/ GIMT_Encode4(1760729), // Rule ID 11501 //
     /* 1760648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1760659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1760662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1760665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760694 */     // MIs[0] policy
     /* 1760694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760704 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1760707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760728 */     // GIR_Coverage, 11501,
     /* 1760728 */     GIR_EraseRootFromParent_Done,
     /* 1760729 */   // Label 23948: @1760729
     /* 1760729 */   GIM_Try, /*On fail goto*//*Label 23949*/ GIMT_Encode4(1760815), // Rule ID 11502 //
     /* 1760734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1760745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1760748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1760751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760780 */     // MIs[0] policy
     /* 1760780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760790 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1760793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760814 */     // GIR_Coverage, 11502,
     /* 1760814 */     GIR_EraseRootFromParent_Done,
     /* 1760815 */   // Label 23949: @1760815
     /* 1760815 */   GIM_Try, /*On fail goto*//*Label 23950*/ GIMT_Encode4(1760901), // Rule ID 11505 //
     /* 1760820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1760831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1760834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1760837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760866 */     // MIs[0] policy
     /* 1760866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760876 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11373:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1760879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760900 */     // GIR_Coverage, 11505,
     /* 1760900 */     GIR_EraseRootFromParent_Done,
     /* 1760901 */   // Label 23950: @1760901
     /* 1760901 */   GIM_Try, /*On fail goto*//*Label 23951*/ GIMT_Encode4(1760987), // Rule ID 11506 //
     /* 1760906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1760909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1760914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1760917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1760920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1760923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760952 */     // MIs[0] policy
     /* 1760952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760962 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11373:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1760965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760986 */     // GIR_Coverage, 11506,
     /* 1760986 */     GIR_EraseRootFromParent_Done,
     /* 1760987 */   // Label 23951: @1760987
     /* 1760987 */   GIM_Try, /*On fail goto*//*Label 23952*/ GIMT_Encode4(1761073), // Rule ID 11509 //
     /* 1760992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1760995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1761003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1761006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1761009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761038 */     // MIs[0] policy
     /* 1761038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761048 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11373:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1761051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761072 */     // GIR_Coverage, 11509,
     /* 1761072 */     GIR_EraseRootFromParent_Done,
     /* 1761073 */   // Label 23952: @1761073
     /* 1761073 */   GIM_Try, /*On fail goto*//*Label 23953*/ GIMT_Encode4(1761159), // Rule ID 11510 //
     /* 1761078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1761089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1761092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1761095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761124 */     // MIs[0] policy
     /* 1761124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761134 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11373:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1761137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761158 */     // GIR_Coverage, 11510,
     /* 1761158 */     GIR_EraseRootFromParent_Done,
     /* 1761159 */   // Label 23953: @1761159
     /* 1761159 */   GIM_Try, /*On fail goto*//*Label 23954*/ GIMT_Encode4(1761245), // Rule ID 11513 //
     /* 1761164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1761167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1761175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1761178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1761181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761210 */     // MIs[0] policy
     /* 1761210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761220 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11373:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1761223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761244 */     // GIR_Coverage, 11513,
     /* 1761244 */     GIR_EraseRootFromParent_Done,
     /* 1761245 */   // Label 23954: @1761245
     /* 1761245 */   GIM_Try, /*On fail goto*//*Label 23955*/ GIMT_Encode4(1761331), // Rule ID 11514 //
     /* 1761250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1761253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1761258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1761261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1761264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1761267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761296 */     // MIs[0] policy
     /* 1761296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761306 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11373:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1761309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1761327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761330 */     // GIR_Coverage, 11514,
     /* 1761330 */     GIR_EraseRootFromParent_Done,
     /* 1761331 */   // Label 23955: @1761331
     /* 1761331 */   GIM_Try, /*On fail goto*//*Label 23956*/ GIMT_Encode4(1761417), // Rule ID 11517 //
     /* 1761336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1761347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1761350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1761353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1761356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761382 */     // MIs[0] policy
     /* 1761382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761392 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1761395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761416 */     // GIR_Coverage, 11517,
     /* 1761416 */     GIR_EraseRootFromParent_Done,
     /* 1761417 */   // Label 23956: @1761417
     /* 1761417 */   GIM_Try, /*On fail goto*//*Label 23957*/ GIMT_Encode4(1761503), // Rule ID 11518 //
     /* 1761422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1761433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1761436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1761439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1761442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761468 */     // MIs[0] policy
     /* 1761468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761478 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1761481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761502 */     // GIR_Coverage, 11518,
     /* 1761502 */     GIR_EraseRootFromParent_Done,
     /* 1761503 */   // Label 23957: @1761503
     /* 1761503 */   GIM_Try, /*On fail goto*//*Label 23958*/ GIMT_Encode4(1761589), // Rule ID 11521 //
     /* 1761508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1761519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1761522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1761525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1761528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761554 */     // MIs[0] policy
     /* 1761554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761564 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1761567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761588 */     // GIR_Coverage, 11521,
     /* 1761588 */     GIR_EraseRootFromParent_Done,
     /* 1761589 */   // Label 23958: @1761589
     /* 1761589 */   GIM_Try, /*On fail goto*//*Label 23959*/ GIMT_Encode4(1761675), // Rule ID 11522 //
     /* 1761594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1761605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1761608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1761611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1761614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761640 */     // MIs[0] policy
     /* 1761640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761650 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1761653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761674 */     // GIR_Coverage, 11522,
     /* 1761674 */     GIR_EraseRootFromParent_Done,
     /* 1761675 */   // Label 23959: @1761675
     /* 1761675 */   GIM_Try, /*On fail goto*//*Label 23960*/ GIMT_Encode4(1761761), // Rule ID 11525 //
     /* 1761680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1761691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1761694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1761697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1761700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761726 */     // MIs[0] policy
     /* 1761726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761736 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1761739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761760 */     // GIR_Coverage, 11525,
     /* 1761760 */     GIR_EraseRootFromParent_Done,
     /* 1761761 */   // Label 23960: @1761761
     /* 1761761 */   GIM_Try, /*On fail goto*//*Label 23961*/ GIMT_Encode4(1761847), // Rule ID 11526 //
     /* 1761766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1761777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1761780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1761783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1761786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761812 */     // MIs[0] policy
     /* 1761812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761822 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1761825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761846 */     // GIR_Coverage, 11526,
     /* 1761846 */     GIR_EraseRootFromParent_Done,
     /* 1761847 */   // Label 23961: @1761847
     /* 1761847 */   GIM_Try, /*On fail goto*//*Label 23962*/ GIMT_Encode4(1761933), // Rule ID 11529 //
     /* 1761852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1761863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1761866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1761869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1761872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761898 */     // MIs[0] policy
     /* 1761898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761908 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1761911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761932 */     // GIR_Coverage, 11529,
     /* 1761932 */     GIR_EraseRootFromParent_Done,
     /* 1761933 */   // Label 23962: @1761933
     /* 1761933 */   GIM_Try, /*On fail goto*//*Label 23963*/ GIMT_Encode4(1762019), // Rule ID 11530 //
     /* 1761938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1761949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1761952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1761955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1761958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761984 */     // MIs[0] policy
     /* 1761984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761994 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1761997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762018 */     // GIR_Coverage, 11530,
     /* 1762018 */     GIR_EraseRootFromParent_Done,
     /* 1762019 */   // Label 23963: @1762019
     /* 1762019 */   GIM_Try, /*On fail goto*//*Label 23964*/ GIMT_Encode4(1762105), // Rule ID 11533 //
     /* 1762024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1762035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1762038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1762041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1762044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762070 */     // MIs[0] policy
     /* 1762070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762080 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1762083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762104 */     // GIR_Coverage, 11533,
     /* 1762104 */     GIR_EraseRootFromParent_Done,
     /* 1762105 */   // Label 23964: @1762105
     /* 1762105 */   GIM_Try, /*On fail goto*//*Label 23965*/ GIMT_Encode4(1762191), // Rule ID 11534 //
     /* 1762110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1762121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1762124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1762127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1762130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762156 */     // MIs[0] policy
     /* 1762156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762166 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1762169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762190 */     // GIR_Coverage, 11534,
     /* 1762190 */     GIR_EraseRootFromParent_Done,
     /* 1762191 */   // Label 23965: @1762191
     /* 1762191 */   GIM_Try, /*On fail goto*//*Label 23966*/ GIMT_Encode4(1762277), // Rule ID 11537 //
     /* 1762196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1762207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1762210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1762213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1762216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762242 */     // MIs[0] policy
     /* 1762242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762252 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1762255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762276 */     // GIR_Coverage, 11537,
     /* 1762276 */     GIR_EraseRootFromParent_Done,
     /* 1762277 */   // Label 23966: @1762277
     /* 1762277 */   GIM_Try, /*On fail goto*//*Label 23967*/ GIMT_Encode4(1762363), // Rule ID 11538 //
     /* 1762282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1762293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1762296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1762299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1762302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762328 */     // MIs[0] policy
     /* 1762328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762338 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1762341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762362 */     // GIR_Coverage, 11538,
     /* 1762362 */     GIR_EraseRootFromParent_Done,
     /* 1762363 */   // Label 23967: @1762363
     /* 1762363 */   GIM_Try, /*On fail goto*//*Label 23968*/ GIMT_Encode4(1762449), // Rule ID 11541 //
     /* 1762368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1762379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1762382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1762385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1762388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762414 */     // MIs[0] policy
     /* 1762414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762424 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1762427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762448 */     // GIR_Coverage, 11541,
     /* 1762448 */     GIR_EraseRootFromParent_Done,
     /* 1762449 */   // Label 23968: @1762449
     /* 1762449 */   GIM_Try, /*On fail goto*//*Label 23969*/ GIMT_Encode4(1762535), // Rule ID 11542 //
     /* 1762454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1762465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1762468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1762471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1762474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762500 */     // MIs[0] policy
     /* 1762500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762510 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1762513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762534 */     // GIR_Coverage, 11542,
     /* 1762534 */     GIR_EraseRootFromParent_Done,
     /* 1762535 */   // Label 23969: @1762535
     /* 1762535 */   GIM_Try, /*On fail goto*//*Label 23970*/ GIMT_Encode4(1762621), // Rule ID 11545 //
     /* 1762540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1762551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1762554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1762557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1762560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762586 */     // MIs[0] policy
     /* 1762586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762596 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1762599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762620 */     // GIR_Coverage, 11545,
     /* 1762620 */     GIR_EraseRootFromParent_Done,
     /* 1762621 */   // Label 23970: @1762621
     /* 1762621 */   GIM_Try, /*On fail goto*//*Label 23971*/ GIMT_Encode4(1762707), // Rule ID 11546 //
     /* 1762626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1762637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1762640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1762643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1762646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762672 */     // MIs[0] policy
     /* 1762672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762682 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1762685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762706 */     // GIR_Coverage, 11546,
     /* 1762706 */     GIR_EraseRootFromParent_Done,
     /* 1762707 */   // Label 23971: @1762707
     /* 1762707 */   GIM_Try, /*On fail goto*//*Label 23972*/ GIMT_Encode4(1762793), // Rule ID 11549 //
     /* 1762712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1762723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1762726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1762729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1762732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762758 */     // MIs[0] policy
     /* 1762758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762768 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1762771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762792 */     // GIR_Coverage, 11549,
     /* 1762792 */     GIR_EraseRootFromParent_Done,
     /* 1762793 */   // Label 23972: @1762793
     /* 1762793 */   GIM_Try, /*On fail goto*//*Label 23973*/ GIMT_Encode4(1762879), // Rule ID 11550 //
     /* 1762798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1762809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1762812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1762815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1762818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762844 */     // MIs[0] policy
     /* 1762844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762854 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1762857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762878 */     // GIR_Coverage, 11550,
     /* 1762878 */     GIR_EraseRootFromParent_Done,
     /* 1762879 */   // Label 23973: @1762879
     /* 1762879 */   GIM_Try, /*On fail goto*//*Label 23974*/ GIMT_Encode4(1762965), // Rule ID 11553 //
     /* 1762884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1762887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1762895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1762898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1762901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1762904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762930 */     // MIs[0] policy
     /* 1762930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762940 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1762943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762964 */     // GIR_Coverage, 11553,
     /* 1762964 */     GIR_EraseRootFromParent_Done,
     /* 1762965 */   // Label 23974: @1762965
     /* 1762965 */   GIM_Try, /*On fail goto*//*Label 23975*/ GIMT_Encode4(1763051), // Rule ID 11554 //
     /* 1762970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1762973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1762981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1762984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1762987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1762990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763016 */     // MIs[0] policy
     /* 1763016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763026 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1763029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1763047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763050 */     // GIR_Coverage, 11554,
     /* 1763050 */     GIR_EraseRootFromParent_Done,
     /* 1763051 */   // Label 23975: @1763051
     /* 1763051 */   GIM_Try, /*On fail goto*//*Label 23976*/ GIMT_Encode4(1763137), // Rule ID 11557 //
     /* 1763056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1763067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1763070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1763073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1763076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1763079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1763086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763102 */     // MIs[0] policy
     /* 1763102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763112 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1763115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763136 */     // GIR_Coverage, 11557,
     /* 1763136 */     GIR_EraseRootFromParent_Done,
     /* 1763137 */   // Label 23976: @1763137
     /* 1763137 */   GIM_Try, /*On fail goto*//*Label 23977*/ GIMT_Encode4(1763223), // Rule ID 11558 //
     /* 1763142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1763153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1763156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1763159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1763162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1763165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1763172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763188 */     // MIs[0] policy
     /* 1763188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763198 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1763201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763222 */     // GIR_Coverage, 11558,
     /* 1763222 */     GIR_EraseRootFromParent_Done,
     /* 1763223 */   // Label 23977: @1763223
     /* 1763223 */   GIM_Try, /*On fail goto*//*Label 23978*/ GIMT_Encode4(1763309), // Rule ID 11561 //
     /* 1763228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1763239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1763242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1763245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1763248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1763251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1763258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763274 */     // MIs[0] policy
     /* 1763274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763284 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1763287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763308 */     // GIR_Coverage, 11561,
     /* 1763308 */     GIR_EraseRootFromParent_Done,
     /* 1763309 */   // Label 23978: @1763309
     /* 1763309 */   GIM_Try, /*On fail goto*//*Label 23979*/ GIMT_Encode4(1763395), // Rule ID 11562 //
     /* 1763314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1763325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1763328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1763331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1763334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1763337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1763344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763360 */     // MIs[0] policy
     /* 1763360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763370 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1763373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763394 */     // GIR_Coverage, 11562,
     /* 1763394 */     GIR_EraseRootFromParent_Done,
     /* 1763395 */   // Label 23979: @1763395
     /* 1763395 */   GIM_Try, /*On fail goto*//*Label 23980*/ GIMT_Encode4(1763481), // Rule ID 11565 //
     /* 1763400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1763411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1763414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1763417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1763420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1763423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1763430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763446 */     // MIs[0] policy
     /* 1763446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763456 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1763459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763480 */     // GIR_Coverage, 11565,
     /* 1763480 */     GIR_EraseRootFromParent_Done,
     /* 1763481 */   // Label 23980: @1763481
     /* 1763481 */   GIM_Try, /*On fail goto*//*Label 23981*/ GIMT_Encode4(1763567), // Rule ID 11566 //
     /* 1763486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1763497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1763500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1763503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1763506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1763509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1763516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763532 */     // MIs[0] policy
     /* 1763532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763542 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1763545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763566 */     // GIR_Coverage, 11566,
     /* 1763566 */     GIR_EraseRootFromParent_Done,
     /* 1763567 */   // Label 23981: @1763567
     /* 1763567 */   GIM_Try, /*On fail goto*//*Label 23982*/ GIMT_Encode4(1763653), // Rule ID 11569 //
     /* 1763572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1763583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1763586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1763589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1763592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1763595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1763602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763618 */     // MIs[0] policy
     /* 1763618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763628 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1763631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763652 */     // GIR_Coverage, 11569,
     /* 1763652 */     GIR_EraseRootFromParent_Done,
     /* 1763653 */   // Label 23982: @1763653
     /* 1763653 */   GIM_Try, /*On fail goto*//*Label 23983*/ GIMT_Encode4(1763739), // Rule ID 11570 //
     /* 1763658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1763669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1763672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1763675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1763678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1763681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1763688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763704 */     // MIs[0] policy
     /* 1763704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763714 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1763717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763738 */     // GIR_Coverage, 11570,
     /* 1763738 */     GIR_EraseRootFromParent_Done,
     /* 1763739 */   // Label 23983: @1763739
     /* 1763739 */   GIM_Try, /*On fail goto*//*Label 23984*/ GIMT_Encode4(1763825), // Rule ID 11573 //
     /* 1763744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1763755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1763758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1763761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1763764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1763767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1763774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763790 */     // MIs[0] policy
     /* 1763790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763800 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1763803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763824 */     // GIR_Coverage, 11573,
     /* 1763824 */     GIR_EraseRootFromParent_Done,
     /* 1763825 */   // Label 23984: @1763825
     /* 1763825 */   GIM_Try, /*On fail goto*//*Label 23985*/ GIMT_Encode4(1763911), // Rule ID 11574 //
     /* 1763830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1763841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1763844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1763847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1763850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1763853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1763860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763876 */     // MIs[0] policy
     /* 1763876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763886 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1763889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763910 */     // GIR_Coverage, 11574,
     /* 1763910 */     GIR_EraseRootFromParent_Done,
     /* 1763911 */   // Label 23985: @1763911
     /* 1763911 */   GIM_Try, /*On fail goto*//*Label 23986*/ GIMT_Encode4(1763997), // Rule ID 11577 //
     /* 1763916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1763927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1763930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1763933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1763936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1763939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1763946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763962 */     // MIs[0] policy
     /* 1763962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763972 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1763975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763996 */     // GIR_Coverage, 11577,
     /* 1763996 */     GIR_EraseRootFromParent_Done,
     /* 1763997 */   // Label 23986: @1763997
     /* 1763997 */   GIM_Try, /*On fail goto*//*Label 23987*/ GIMT_Encode4(1764083), // Rule ID 11578 //
     /* 1764002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1764013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1764016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1764019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1764022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1764025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764048 */     // MIs[0] policy
     /* 1764048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764058 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1764061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764082 */     // GIR_Coverage, 11578,
     /* 1764082 */     GIR_EraseRootFromParent_Done,
     /* 1764083 */   // Label 23987: @1764083
     /* 1764083 */   GIM_Try, /*On fail goto*//*Label 23988*/ GIMT_Encode4(1764169), // Rule ID 11581 //
     /* 1764088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1764099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1764102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1764105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1764108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764134 */     // MIs[0] policy
     /* 1764134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764144 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1764147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764168 */     // GIR_Coverage, 11581,
     /* 1764168 */     GIR_EraseRootFromParent_Done,
     /* 1764169 */   // Label 23988: @1764169
     /* 1764169 */   GIM_Try, /*On fail goto*//*Label 23989*/ GIMT_Encode4(1764255), // Rule ID 11582 //
     /* 1764174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1764185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1764188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1764191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1764194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764220 */     // MIs[0] policy
     /* 1764220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764230 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1764233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764254 */     // GIR_Coverage, 11582,
     /* 1764254 */     GIR_EraseRootFromParent_Done,
     /* 1764255 */   // Label 23989: @1764255
     /* 1764255 */   GIM_Try, /*On fail goto*//*Label 23990*/ GIMT_Encode4(1764341), // Rule ID 11585 //
     /* 1764260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1764271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1764274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1764277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1764280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764306 */     // MIs[0] policy
     /* 1764306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764316 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1764319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764340 */     // GIR_Coverage, 11585,
     /* 1764340 */     GIR_EraseRootFromParent_Done,
     /* 1764341 */   // Label 23990: @1764341
     /* 1764341 */   GIM_Try, /*On fail goto*//*Label 23991*/ GIMT_Encode4(1764427), // Rule ID 11586 //
     /* 1764346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1764357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1764360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1764363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1764366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764392 */     // MIs[0] policy
     /* 1764392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764402 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1764405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764426 */     // GIR_Coverage, 11586,
     /* 1764426 */     GIR_EraseRootFromParent_Done,
     /* 1764427 */   // Label 23991: @1764427
     /* 1764427 */   GIM_Try, /*On fail goto*//*Label 23992*/ GIMT_Encode4(1764513), // Rule ID 11589 //
     /* 1764432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1764443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1764446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1764449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1764452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764478 */     // MIs[0] policy
     /* 1764478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764488 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1764491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764512 */     // GIR_Coverage, 11589,
     /* 1764512 */     GIR_EraseRootFromParent_Done,
     /* 1764513 */   // Label 23992: @1764513
     /* 1764513 */   GIM_Try, /*On fail goto*//*Label 23993*/ GIMT_Encode4(1764599), // Rule ID 11590 //
     /* 1764518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1764529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1764532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1764535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1764538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764564 */     // MIs[0] policy
     /* 1764564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764574 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1764577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764598 */     // GIR_Coverage, 11590,
     /* 1764598 */     GIR_EraseRootFromParent_Done,
     /* 1764599 */   // Label 23993: @1764599
     /* 1764599 */   GIM_Try, /*On fail goto*//*Label 23994*/ GIMT_Encode4(1764685), // Rule ID 11593 //
     /* 1764604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1764607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1764615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1764618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1764621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1764624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764650 */     // MIs[0] policy
     /* 1764650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764660 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1764663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764684 */     // GIR_Coverage, 11593,
     /* 1764684 */     GIR_EraseRootFromParent_Done,
     /* 1764685 */   // Label 23994: @1764685
     /* 1764685 */   GIM_Try, /*On fail goto*//*Label 23995*/ GIMT_Encode4(1764771), // Rule ID 11594 //
     /* 1764690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1764693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1764701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1764704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1764707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1764710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764736 */     // MIs[0] policy
     /* 1764736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1764749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764770 */     // GIR_Coverage, 11594,
     /* 1764770 */     GIR_EraseRootFromParent_Done,
     /* 1764771 */   // Label 23995: @1764771
     /* 1764771 */   GIM_Try, /*On fail goto*//*Label 23996*/ GIMT_Encode4(1764857), // Rule ID 11597 //
     /* 1764776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1764779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1764787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1764790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1764793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1764796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764822 */     // MIs[0] policy
     /* 1764822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764832 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1764835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764856 */     // GIR_Coverage, 11597,
     /* 1764856 */     GIR_EraseRootFromParent_Done,
     /* 1764857 */   // Label 23996: @1764857
     /* 1764857 */   GIM_Try, /*On fail goto*//*Label 23997*/ GIMT_Encode4(1764943), // Rule ID 11598 //
     /* 1764862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1764865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1764873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1764876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1764879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1764882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764908 */     // MIs[0] policy
     /* 1764908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764918 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1764921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764942 */     // GIR_Coverage, 11598,
     /* 1764942 */     GIR_EraseRootFromParent_Done,
     /* 1764943 */   // Label 23997: @1764943
     /* 1764943 */   GIM_Try, /*On fail goto*//*Label 23998*/ GIMT_Encode4(1765029), // Rule ID 11601 //
     /* 1764948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1764951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1764959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1764962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1764965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1764968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764994 */     // MIs[0] policy
     /* 1764994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765004 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1765007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765028 */     // GIR_Coverage, 11601,
     /* 1765028 */     GIR_EraseRootFromParent_Done,
     /* 1765029 */   // Label 23998: @1765029
     /* 1765029 */   GIM_Try, /*On fail goto*//*Label 23999*/ GIMT_Encode4(1765115), // Rule ID 11602 //
     /* 1765034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1765037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1765045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1765048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1765051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1765054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765080 */     // MIs[0] policy
     /* 1765080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765090 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1765093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765114 */     // GIR_Coverage, 11602,
     /* 1765114 */     GIR_EraseRootFromParent_Done,
     /* 1765115 */   // Label 23999: @1765115
     /* 1765115 */   GIM_Try, /*On fail goto*//*Label 24000*/ GIMT_Encode4(1765201), // Rule ID 11605 //
     /* 1765120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1765131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1765134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1765137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1765143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765166 */     // MIs[0] policy
     /* 1765166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765176 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1765179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765200 */     // GIR_Coverage, 11605,
     /* 1765200 */     GIR_EraseRootFromParent_Done,
     /* 1765201 */   // Label 24000: @1765201
     /* 1765201 */   GIM_Try, /*On fail goto*//*Label 24001*/ GIMT_Encode4(1765287), // Rule ID 11606 //
     /* 1765206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1765217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1765220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1765223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1765229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765252 */     // MIs[0] policy
     /* 1765252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765262 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1765265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765286 */     // GIR_Coverage, 11606,
     /* 1765286 */     GIR_EraseRootFromParent_Done,
     /* 1765287 */   // Label 24001: @1765287
     /* 1765287 */   GIM_Try, /*On fail goto*//*Label 24002*/ GIMT_Encode4(1765373), // Rule ID 11609 //
     /* 1765292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1765303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1765306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1765309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1765315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765338 */     // MIs[0] policy
     /* 1765338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765348 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1765351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765372 */     // GIR_Coverage, 11609,
     /* 1765372 */     GIR_EraseRootFromParent_Done,
     /* 1765373 */   // Label 24002: @1765373
     /* 1765373 */   GIM_Try, /*On fail goto*//*Label 24003*/ GIMT_Encode4(1765459), // Rule ID 11610 //
     /* 1765378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1765389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1765392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1765395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1765401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765424 */     // MIs[0] policy
     /* 1765424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765434 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1765437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765458 */     // GIR_Coverage, 11610,
     /* 1765458 */     GIR_EraseRootFromParent_Done,
     /* 1765459 */   // Label 24003: @1765459
     /* 1765459 */   GIM_Try, /*On fail goto*//*Label 24004*/ GIMT_Encode4(1765545), // Rule ID 11613 //
     /* 1765464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1765475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1765478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1765481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765510 */     // MIs[0] policy
     /* 1765510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765520 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1765523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765544 */     // GIR_Coverage, 11613,
     /* 1765544 */     GIR_EraseRootFromParent_Done,
     /* 1765545 */   // Label 24004: @1765545
     /* 1765545 */   GIM_Try, /*On fail goto*//*Label 24005*/ GIMT_Encode4(1765631), // Rule ID 11614 //
     /* 1765550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1765561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1765564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1765567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765596 */     // MIs[0] policy
     /* 1765596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765606 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1765609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765630 */     // GIR_Coverage, 11614,
     /* 1765630 */     GIR_EraseRootFromParent_Done,
     /* 1765631 */   // Label 24005: @1765631
     /* 1765631 */   GIM_Try, /*On fail goto*//*Label 24006*/ GIMT_Encode4(1765717), // Rule ID 11617 //
     /* 1765636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1765647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1765650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1765653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1765659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765682 */     // MIs[0] policy
     /* 1765682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765692 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1765695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765716 */     // GIR_Coverage, 11617,
     /* 1765716 */     GIR_EraseRootFromParent_Done,
     /* 1765717 */   // Label 24006: @1765717
     /* 1765717 */   GIM_Try, /*On fail goto*//*Label 24007*/ GIMT_Encode4(1765803), // Rule ID 11618 //
     /* 1765722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1765733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1765736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1765739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1765745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765768 */     // MIs[0] policy
     /* 1765768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765778 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1765781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765802 */     // GIR_Coverage, 11618,
     /* 1765802 */     GIR_EraseRootFromParent_Done,
     /* 1765803 */   // Label 24007: @1765803
     /* 1765803 */   GIM_Try, /*On fail goto*//*Label 24008*/ GIMT_Encode4(1765889), // Rule ID 11621 //
     /* 1765808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1765819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1765822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1765825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1765828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1765831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765854 */     // MIs[0] policy
     /* 1765854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765864 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1765867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765888 */     // GIR_Coverage, 11621,
     /* 1765888 */     GIR_EraseRootFromParent_Done,
     /* 1765889 */   // Label 24008: @1765889
     /* 1765889 */   GIM_Try, /*On fail goto*//*Label 24009*/ GIMT_Encode4(1765975), // Rule ID 11622 //
     /* 1765894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1765905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1765908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1765911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1765914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1765917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1765936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765940 */     // MIs[0] policy
     /* 1765940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765950 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1765953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765974 */     // GIR_Coverage, 11622,
     /* 1765974 */     GIR_EraseRootFromParent_Done,
     /* 1765975 */   // Label 24009: @1765975
     /* 1765975 */   GIM_Try, /*On fail goto*//*Label 24010*/ GIMT_Encode4(1766061), // Rule ID 11625 //
     /* 1765980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1765988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1765991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1765994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1765997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766026 */     // MIs[0] policy
     /* 1766026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766036 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1766039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766060 */     // GIR_Coverage, 11625,
     /* 1766060 */     GIR_EraseRootFromParent_Done,
     /* 1766061 */   // Label 24010: @1766061
     /* 1766061 */   GIM_Try, /*On fail goto*//*Label 24011*/ GIMT_Encode4(1766147), // Rule ID 11626 //
     /* 1766066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1766077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1766080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1766083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766112 */     // MIs[0] policy
     /* 1766112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1766125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766146 */     // GIR_Coverage, 11626,
     /* 1766146 */     GIR_EraseRootFromParent_Done,
     /* 1766147 */   // Label 24011: @1766147
     /* 1766147 */   GIM_Try, /*On fail goto*//*Label 24012*/ GIMT_Encode4(1766233), // Rule ID 11629 //
     /* 1766152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1766163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1766166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1766169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766198 */     // MIs[0] policy
     /* 1766198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1766211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766232 */     // GIR_Coverage, 11629,
     /* 1766232 */     GIR_EraseRootFromParent_Done,
     /* 1766233 */   // Label 24012: @1766233
     /* 1766233 */   GIM_Try, /*On fail goto*//*Label 24013*/ GIMT_Encode4(1766319), // Rule ID 11630 //
     /* 1766238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1766249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1766252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1766255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766284 */     // MIs[0] policy
     /* 1766284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766294 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1766297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766318 */     // GIR_Coverage, 11630,
     /* 1766318 */     GIR_EraseRootFromParent_Done,
     /* 1766319 */   // Label 24013: @1766319
     /* 1766319 */   GIM_Try, /*On fail goto*//*Label 24014*/ GIMT_Encode4(1766405), // Rule ID 11633 //
     /* 1766324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1766335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1766338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1766341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766370 */     // MIs[0] policy
     /* 1766370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1766383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1766401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766404 */     // GIR_Coverage, 11633,
     /* 1766404 */     GIR_EraseRootFromParent_Done,
     /* 1766405 */   // Label 24014: @1766405
     /* 1766405 */   GIM_Try, /*On fail goto*//*Label 24015*/ GIMT_Encode4(1766491), // Rule ID 11634 //
     /* 1766410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1766421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1766424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1766427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766456 */     // MIs[0] policy
     /* 1766456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766466 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1766469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1766487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766490 */     // GIR_Coverage, 11634,
     /* 1766490 */     GIR_EraseRootFromParent_Done,
     /* 1766491 */   // Label 24015: @1766491
     /* 1766491 */   GIM_Try, /*On fail goto*//*Label 24016*/ GIMT_Encode4(1766577), // Rule ID 11637 //
     /* 1766496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1766507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1766510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1766513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766542 */     // MIs[0] policy
     /* 1766542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766552 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1766555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766576 */     // GIR_Coverage, 11637,
     /* 1766576 */     GIR_EraseRootFromParent_Done,
     /* 1766577 */   // Label 24016: @1766577
     /* 1766577 */   GIM_Try, /*On fail goto*//*Label 24017*/ GIMT_Encode4(1766663), // Rule ID 11638 //
     /* 1766582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1766593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1766596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1766599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766628 */     // MIs[0] policy
     /* 1766628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766638 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1766641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766662 */     // GIR_Coverage, 11638,
     /* 1766662 */     GIR_EraseRootFromParent_Done,
     /* 1766663 */   // Label 24017: @1766663
     /* 1766663 */   GIM_Try, /*On fail goto*//*Label 24018*/ GIMT_Encode4(1766749), // Rule ID 11641 //
     /* 1766668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1766671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1766679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1766682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1766685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766714 */     // MIs[0] policy
     /* 1766714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766724 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1766727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766748 */     // GIR_Coverage, 11641,
     /* 1766748 */     GIR_EraseRootFromParent_Done,
     /* 1766749 */   // Label 24018: @1766749
     /* 1766749 */   GIM_Try, /*On fail goto*//*Label 24019*/ GIMT_Encode4(1766835), // Rule ID 11642 //
     /* 1766754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1766757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1766765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1766768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1766771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766800 */     // MIs[0] policy
     /* 1766800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766810 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1766813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1766831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766834 */     // GIR_Coverage, 11642,
     /* 1766834 */     GIR_EraseRootFromParent_Done,
     /* 1766835 */   // Label 24019: @1766835
     /* 1766835 */   GIM_Try, /*On fail goto*//*Label 24020*/ GIMT_Encode4(1766921), // Rule ID 11645 //
     /* 1766840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1766851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1766854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1766857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1766863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766886 */     // MIs[0] policy
     /* 1766886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766896 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1766899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766920 */     // GIR_Coverage, 11645,
     /* 1766920 */     GIR_EraseRootFromParent_Done,
     /* 1766921 */   // Label 24020: @1766921
     /* 1766921 */   GIM_Try, /*On fail goto*//*Label 24021*/ GIMT_Encode4(1767007), // Rule ID 11646 //
     /* 1766926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1766934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1766937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1766940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1766943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1766949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766972 */     // MIs[0] policy
     /* 1766972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766982 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1766985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767006 */     // GIR_Coverage, 11646,
     /* 1767006 */     GIR_EraseRootFromParent_Done,
     /* 1767007 */   // Label 24021: @1767007
     /* 1767007 */   GIM_Try, /*On fail goto*//*Label 24022*/ GIMT_Encode4(1767093), // Rule ID 11649 //
     /* 1767012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1767023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1767026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1767029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1767035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1767042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767058 */     // MIs[0] policy
     /* 1767058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767068 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1767071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767092 */     // GIR_Coverage, 11649,
     /* 1767092 */     GIR_EraseRootFromParent_Done,
     /* 1767093 */   // Label 24022: @1767093
     /* 1767093 */   GIM_Try, /*On fail goto*//*Label 24023*/ GIMT_Encode4(1767179), // Rule ID 11650 //
     /* 1767098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1767109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1767112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1767115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1767121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1767128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767144 */     // MIs[0] policy
     /* 1767144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767154 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1767157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767178 */     // GIR_Coverage, 11650,
     /* 1767178 */     GIR_EraseRootFromParent_Done,
     /* 1767179 */   // Label 24023: @1767179
     /* 1767179 */   GIM_Try, /*On fail goto*//*Label 24024*/ GIMT_Encode4(1767265), // Rule ID 11653 //
     /* 1767184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1767195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1767198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1767201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1767207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1767214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767230 */     // MIs[0] policy
     /* 1767230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767240 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1767243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767264 */     // GIR_Coverage, 11653,
     /* 1767264 */     GIR_EraseRootFromParent_Done,
     /* 1767265 */   // Label 24024: @1767265
     /* 1767265 */   GIM_Try, /*On fail goto*//*Label 24025*/ GIMT_Encode4(1767351), // Rule ID 11654 //
     /* 1767270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1767281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1767284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1767287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1767293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1767300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767316 */     // MIs[0] policy
     /* 1767316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767326 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1767329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767350 */     // GIR_Coverage, 11654,
     /* 1767350 */     GIR_EraseRootFromParent_Done,
     /* 1767351 */   // Label 24025: @1767351
     /* 1767351 */   GIM_Try, /*On fail goto*//*Label 24026*/ GIMT_Encode4(1767437), // Rule ID 11657 //
     /* 1767356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1767367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1767370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1767373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1767386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767402 */     // MIs[0] policy
     /* 1767402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767412 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1767415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767436 */     // GIR_Coverage, 11657,
     /* 1767436 */     GIR_EraseRootFromParent_Done,
     /* 1767437 */   // Label 24026: @1767437
     /* 1767437 */   GIM_Try, /*On fail goto*//*Label 24027*/ GIMT_Encode4(1767523), // Rule ID 11658 //
     /* 1767442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1767453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1767456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1767459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1767472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767488 */     // MIs[0] policy
     /* 1767488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767498 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1767501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767522 */     // GIR_Coverage, 11658,
     /* 1767522 */     GIR_EraseRootFromParent_Done,
     /* 1767523 */   // Label 24027: @1767523
     /* 1767523 */   GIM_Try, /*On fail goto*//*Label 24028*/ GIMT_Encode4(1767609), // Rule ID 11661 //
     /* 1767528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1767539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1767542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1767545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1767551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1767558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767574 */     // MIs[0] policy
     /* 1767574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767584 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1767587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767608 */     // GIR_Coverage, 11661,
     /* 1767608 */     GIR_EraseRootFromParent_Done,
     /* 1767609 */   // Label 24028: @1767609
     /* 1767609 */   GIM_Try, /*On fail goto*//*Label 24029*/ GIMT_Encode4(1767695), // Rule ID 11662 //
     /* 1767614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1767625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1767628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1767631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1767637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1767644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767660 */     // MIs[0] policy
     /* 1767660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767670 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1767673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767694 */     // GIR_Coverage, 11662,
     /* 1767694 */     GIR_EraseRootFromParent_Done,
     /* 1767695 */   // Label 24029: @1767695
     /* 1767695 */   GIM_Try, /*On fail goto*//*Label 24030*/ GIMT_Encode4(1767781), // Rule ID 11665 //
     /* 1767700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1767711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1767714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1767717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1767723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1767730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767746 */     // MIs[0] policy
     /* 1767746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767756 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1767759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767780 */     // GIR_Coverage, 11665,
     /* 1767780 */     GIR_EraseRootFromParent_Done,
     /* 1767781 */   // Label 24030: @1767781
     /* 1767781 */   GIM_Try, /*On fail goto*//*Label 24031*/ GIMT_Encode4(1767867), // Rule ID 11666 //
     /* 1767786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1767797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1767800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1767803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1767809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1767816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767832 */     // MIs[0] policy
     /* 1767832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767842 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1767845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767866 */     // GIR_Coverage, 11666,
     /* 1767866 */     GIR_EraseRootFromParent_Done,
     /* 1767867 */   // Label 24031: @1767867
     /* 1767867 */   GIM_Try, /*On fail goto*//*Label 24032*/ GIMT_Encode4(1767953), // Rule ID 11669 //
     /* 1767872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1767883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1767886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1767889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1767902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767918 */     // MIs[0] policy
     /* 1767918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767928 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1767931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767952 */     // GIR_Coverage, 11669,
     /* 1767952 */     GIR_EraseRootFromParent_Done,
     /* 1767953 */   // Label 24032: @1767953
     /* 1767953 */   GIM_Try, /*On fail goto*//*Label 24033*/ GIMT_Encode4(1768039), // Rule ID 11670 //
     /* 1767958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1767966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1767969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1767972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1767975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1767988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768004 */     // MIs[0] policy
     /* 1768004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1768017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768038 */     // GIR_Coverage, 11670,
     /* 1768038 */     GIR_EraseRootFromParent_Done,
     /* 1768039 */   // Label 24033: @1768039
     /* 1768039 */   GIM_Try, /*On fail goto*//*Label 24034*/ GIMT_Encode4(1768125), // Rule ID 11673 //
     /* 1768044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1768055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1768058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1768061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768090 */     // MIs[0] policy
     /* 1768090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768100 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1768103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768124 */     // GIR_Coverage, 11673,
     /* 1768124 */     GIR_EraseRootFromParent_Done,
     /* 1768125 */   // Label 24034: @1768125
     /* 1768125 */   GIM_Try, /*On fail goto*//*Label 24035*/ GIMT_Encode4(1768211), // Rule ID 11674 //
     /* 1768130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1768141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1768144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1768147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768176 */     // MIs[0] policy
     /* 1768176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1768189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768210 */     // GIR_Coverage, 11674,
     /* 1768210 */     GIR_EraseRootFromParent_Done,
     /* 1768211 */   // Label 24035: @1768211
     /* 1768211 */   GIM_Try, /*On fail goto*//*Label 24036*/ GIMT_Encode4(1768297), // Rule ID 11677 //
     /* 1768216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1768227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1768230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1768233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768262 */     // MIs[0] policy
     /* 1768262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1768275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768296 */     // GIR_Coverage, 11677,
     /* 1768296 */     GIR_EraseRootFromParent_Done,
     /* 1768297 */   // Label 24036: @1768297
     /* 1768297 */   GIM_Try, /*On fail goto*//*Label 24037*/ GIMT_Encode4(1768383), // Rule ID 11678 //
     /* 1768302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1768313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1768316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1768319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768348 */     // MIs[0] policy
     /* 1768348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768358 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1768361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768382 */     // GIR_Coverage, 11678,
     /* 1768382 */     GIR_EraseRootFromParent_Done,
     /* 1768383 */   // Label 24037: @1768383
     /* 1768383 */   GIM_Try, /*On fail goto*//*Label 24038*/ GIMT_Encode4(1768469), // Rule ID 11681 //
     /* 1768388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1768391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1768399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1768402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1768405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768434 */     // MIs[0] policy
     /* 1768434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768444 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1768447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768468 */     // GIR_Coverage, 11681,
     /* 1768468 */     GIR_EraseRootFromParent_Done,
     /* 1768469 */   // Label 24038: @1768469
     /* 1768469 */   GIM_Try, /*On fail goto*//*Label 24039*/ GIMT_Encode4(1768555), // Rule ID 11682 //
     /* 1768474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1768477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1768485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1768488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1768491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768520 */     // MIs[0] policy
     /* 1768520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768530 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1768533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768554 */     // GIR_Coverage, 11682,
     /* 1768554 */     GIR_EraseRootFromParent_Done,
     /* 1768555 */   // Label 24039: @1768555
     /* 1768555 */   GIM_Try, /*On fail goto*//*Label 24040*/ GIMT_Encode4(1768641), // Rule ID 11685 //
     /* 1768560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1768563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1768571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1768574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1768577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1768583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768606 */     // MIs[0] policy
     /* 1768606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768616 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1768619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768640 */     // GIR_Coverage, 11685,
     /* 1768640 */     GIR_EraseRootFromParent_Done,
     /* 1768641 */   // Label 24040: @1768641
     /* 1768641 */   GIM_Try, /*On fail goto*//*Label 24041*/ GIMT_Encode4(1768727), // Rule ID 11686 //
     /* 1768646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1768649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1768657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1768660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1768663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1768669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768692 */     // MIs[0] policy
     /* 1768692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1768705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768726 */     // GIR_Coverage, 11686,
     /* 1768726 */     GIR_EraseRootFromParent_Done,
     /* 1768727 */   // Label 24041: @1768727
     /* 1768727 */   GIM_Try, /*On fail goto*//*Label 24042*/ GIMT_Encode4(1768813), // Rule ID 11689 //
     /* 1768732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1768735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1768743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1768746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1768749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768778 */     // MIs[0] policy
     /* 1768778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768788 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1768791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768812 */     // GIR_Coverage, 11689,
     /* 1768812 */     GIR_EraseRootFromParent_Done,
     /* 1768813 */   // Label 24042: @1768813
     /* 1768813 */   GIM_Try, /*On fail goto*//*Label 24043*/ GIMT_Encode4(1768899), // Rule ID 11690 //
     /* 1768818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1768821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1768826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1768829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1768832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1768835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768864 */     // MIs[0] policy
     /* 1768864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1768877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1768895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768898 */     // GIR_Coverage, 11690,
     /* 1768898 */     GIR_EraseRootFromParent_Done,
     /* 1768899 */   // Label 24043: @1768899
     /* 1768899 */   GIM_Try, /*On fail goto*//*Label 24044*/ GIMT_Encode4(1768985), // Rule ID 11693 //
     /* 1768904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1768912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1768915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1768918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1768921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1768924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768950 */     // MIs[0] policy
     /* 1768950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768960 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1768963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768984 */     // GIR_Coverage, 11693,
     /* 1768984 */     GIR_EraseRootFromParent_Done,
     /* 1768985 */   // Label 24044: @1768985
     /* 1768985 */   GIM_Try, /*On fail goto*//*Label 24045*/ GIMT_Encode4(1769071), // Rule ID 11694 //
     /* 1768990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1768998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1769001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1769004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1769007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1769010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1769013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769036 */     // MIs[0] policy
     /* 1769036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769046 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1769049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769070 */     // GIR_Coverage, 11694,
     /* 1769070 */     GIR_EraseRootFromParent_Done,
     /* 1769071 */   // Label 24045: @1769071
     /* 1769071 */   GIM_Try, /*On fail goto*//*Label 24046*/ GIMT_Encode4(1769157), // Rule ID 11697 //
     /* 1769076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1769087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1769090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1769093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1769096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1769099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769122 */     // MIs[0] policy
     /* 1769122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769132 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1769135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769156 */     // GIR_Coverage, 11697,
     /* 1769156 */     GIR_EraseRootFromParent_Done,
     /* 1769157 */   // Label 24046: @1769157
     /* 1769157 */   GIM_Try, /*On fail goto*//*Label 24047*/ GIMT_Encode4(1769243), // Rule ID 11698 //
     /* 1769162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1769173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1769176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1769179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1769182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1769185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769208 */     // MIs[0] policy
     /* 1769208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769218 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1769221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769242 */     // GIR_Coverage, 11698,
     /* 1769242 */     GIR_EraseRootFromParent_Done,
     /* 1769243 */   // Label 24047: @1769243
     /* 1769243 */   GIM_Try, /*On fail goto*//*Label 24048*/ GIMT_Encode4(1769329), // Rule ID 11701 //
     /* 1769248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1769259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1769262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1769265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1769268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769294 */     // MIs[0] policy
     /* 1769294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769304 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1769307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769328 */     // GIR_Coverage, 11701,
     /* 1769328 */     GIR_EraseRootFromParent_Done,
     /* 1769329 */   // Label 24048: @1769329
     /* 1769329 */   GIM_Try, /*On fail goto*//*Label 24049*/ GIMT_Encode4(1769415), // Rule ID 11702 //
     /* 1769334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1769345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1769348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1769351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1769354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769380 */     // MIs[0] policy
     /* 1769380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769390 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1769393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769414 */     // GIR_Coverage, 11702,
     /* 1769414 */     GIR_EraseRootFromParent_Done,
     /* 1769415 */   // Label 24049: @1769415
     /* 1769415 */   GIM_Try, /*On fail goto*//*Label 24050*/ GIMT_Encode4(1769501), // Rule ID 11705 //
     /* 1769420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1769431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1769434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1769437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1769440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1769443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769466 */     // MIs[0] policy
     /* 1769466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769476 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1769479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769500 */     // GIR_Coverage, 11705,
     /* 1769500 */     GIR_EraseRootFromParent_Done,
     /* 1769501 */   // Label 24050: @1769501
     /* 1769501 */   GIM_Try, /*On fail goto*//*Label 24051*/ GIMT_Encode4(1769587), // Rule ID 11706 //
     /* 1769506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1769517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1769520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1769523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1769526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1769529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769552 */     // MIs[0] policy
     /* 1769552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769562 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1769565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769586 */     // GIR_Coverage, 11706,
     /* 1769586 */     GIR_EraseRootFromParent_Done,
     /* 1769587 */   // Label 24051: @1769587
     /* 1769587 */   GIM_Try, /*On fail goto*//*Label 24052*/ GIMT_Encode4(1769673), // Rule ID 11709 //
     /* 1769592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1769603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1769606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1769609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1769612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1769615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769638 */     // MIs[0] policy
     /* 1769638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769648 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1769651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769672 */     // GIR_Coverage, 11709,
     /* 1769672 */     GIR_EraseRootFromParent_Done,
     /* 1769673 */   // Label 24052: @1769673
     /* 1769673 */   GIM_Try, /*On fail goto*//*Label 24053*/ GIMT_Encode4(1769759), // Rule ID 11710 //
     /* 1769678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1769689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1769692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1769695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1769698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1769701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769724 */     // MIs[0] policy
     /* 1769724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769734 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1769737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769758 */     // GIR_Coverage, 11710,
     /* 1769758 */     GIR_EraseRootFromParent_Done,
     /* 1769759 */   // Label 24053: @1769759
     /* 1769759 */   GIM_Try, /*On fail goto*//*Label 24054*/ GIMT_Encode4(1769845), // Rule ID 11713 //
     /* 1769764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1769775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1769778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1769781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1769784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1769787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769810 */     // MIs[0] policy
     /* 1769810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769820 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1769823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769844 */     // GIR_Coverage, 11713,
     /* 1769844 */     GIR_EraseRootFromParent_Done,
     /* 1769845 */   // Label 24054: @1769845
     /* 1769845 */   GIM_Try, /*On fail goto*//*Label 24055*/ GIMT_Encode4(1769931), // Rule ID 11714 //
     /* 1769850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1769861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1769864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1769867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1769870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1769873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769896 */     // MIs[0] policy
     /* 1769896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769906 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1769909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769930 */     // GIR_Coverage, 11714,
     /* 1769930 */     GIR_EraseRootFromParent_Done,
     /* 1769931 */   // Label 24055: @1769931
     /* 1769931 */   GIM_Try, /*On fail goto*//*Label 24056*/ GIMT_Encode4(1770017), // Rule ID 11717 //
     /* 1769936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1769947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1769950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1769953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1769956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769982 */     // MIs[0] policy
     /* 1769982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1769995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770016 */     // GIR_Coverage, 11717,
     /* 1770016 */     GIR_EraseRootFromParent_Done,
     /* 1770017 */   // Label 24056: @1770017
     /* 1770017 */   GIM_Try, /*On fail goto*//*Label 24057*/ GIMT_Encode4(1770103), // Rule ID 11718 //
     /* 1770022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1770033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1770036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1770039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1770042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770068 */     // MIs[0] policy
     /* 1770068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1770081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770102 */     // GIR_Coverage, 11718,
     /* 1770102 */     GIR_EraseRootFromParent_Done,
     /* 1770103 */   // Label 24057: @1770103
     /* 1770103 */   GIM_Try, /*On fail goto*//*Label 24058*/ GIMT_Encode4(1770189), // Rule ID 11721 //
     /* 1770108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1770119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1770122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1770125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1770128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770154 */     // MIs[0] policy
     /* 1770154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1770167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770188 */     // GIR_Coverage, 11721,
     /* 1770188 */     GIR_EraseRootFromParent_Done,
     /* 1770189 */   // Label 24058: @1770189
     /* 1770189 */   GIM_Try, /*On fail goto*//*Label 24059*/ GIMT_Encode4(1770275), // Rule ID 11722 //
     /* 1770194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1770205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1770208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1770211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1770214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770240 */     // MIs[0] policy
     /* 1770240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770250 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1770253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770274 */     // GIR_Coverage, 11722,
     /* 1770274 */     GIR_EraseRootFromParent_Done,
     /* 1770275 */   // Label 24059: @1770275
     /* 1770275 */   GIM_Try, /*On fail goto*//*Label 24060*/ GIMT_Encode4(1770361), // Rule ID 11725 //
     /* 1770280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1770291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1770294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1770297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1770300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770326 */     // MIs[0] policy
     /* 1770326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770336 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1770339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770360 */     // GIR_Coverage, 11725,
     /* 1770360 */     GIR_EraseRootFromParent_Done,
     /* 1770361 */   // Label 24060: @1770361
     /* 1770361 */   GIM_Try, /*On fail goto*//*Label 24061*/ GIMT_Encode4(1770447), // Rule ID 11726 //
     /* 1770366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1770377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1770380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1770383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1770386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770412 */     // MIs[0] policy
     /* 1770412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770422 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1770425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770446 */     // GIR_Coverage, 11726,
     /* 1770446 */     GIR_EraseRootFromParent_Done,
     /* 1770447 */   // Label 24061: @1770447
     /* 1770447 */   GIM_Try, /*On fail goto*//*Label 24062*/ GIMT_Encode4(1770533), // Rule ID 11729 //
     /* 1770452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1770455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1770463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1770466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1770469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1770472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770498 */     // MIs[0] policy
     /* 1770498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770508 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1770511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770532 */     // GIR_Coverage, 11729,
     /* 1770532 */     GIR_EraseRootFromParent_Done,
     /* 1770533 */   // Label 24062: @1770533
     /* 1770533 */   GIM_Try, /*On fail goto*//*Label 24063*/ GIMT_Encode4(1770619), // Rule ID 11730 //
     /* 1770538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1770541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1770549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1770552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1770555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1770558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770584 */     // MIs[0] policy
     /* 1770584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770594 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1770597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770618 */     // GIR_Coverage, 11730,
     /* 1770618 */     GIR_EraseRootFromParent_Done,
     /* 1770619 */   // Label 24063: @1770619
     /* 1770619 */   GIM_Try, /*On fail goto*//*Label 24064*/ GIMT_Encode4(1770705), // Rule ID 11733 //
     /* 1770624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1770635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1770638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1770641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1770644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1770647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1770654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770670 */     // MIs[0] policy
     /* 1770670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770680 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1770683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770704 */     // GIR_Coverage, 11733,
     /* 1770704 */     GIR_EraseRootFromParent_Done,
     /* 1770705 */   // Label 24064: @1770705
     /* 1770705 */   GIM_Try, /*On fail goto*//*Label 24065*/ GIMT_Encode4(1770791), // Rule ID 11734 //
     /* 1770710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1770721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1770724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1770727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1770730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1770733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1770740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770756 */     // MIs[0] policy
     /* 1770756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770766 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1770769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770790 */     // GIR_Coverage, 11734,
     /* 1770790 */     GIR_EraseRootFromParent_Done,
     /* 1770791 */   // Label 24065: @1770791
     /* 1770791 */   GIM_Try, /*On fail goto*//*Label 24066*/ GIMT_Encode4(1770877), // Rule ID 11737 //
     /* 1770796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1770807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1770810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1770813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1770816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1770819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1770826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770842 */     // MIs[0] policy
     /* 1770842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770852 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1770855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770876 */     // GIR_Coverage, 11737,
     /* 1770876 */     GIR_EraseRootFromParent_Done,
     /* 1770877 */   // Label 24066: @1770877
     /* 1770877 */   GIM_Try, /*On fail goto*//*Label 24067*/ GIMT_Encode4(1770963), // Rule ID 11738 //
     /* 1770882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1770893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1770896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1770899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1770902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1770905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1770912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770928 */     // MIs[0] policy
     /* 1770928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770938 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1770941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770962 */     // GIR_Coverage, 11738,
     /* 1770962 */     GIR_EraseRootFromParent_Done,
     /* 1770963 */   // Label 24067: @1770963
     /* 1770963 */   GIM_Try, /*On fail goto*//*Label 24068*/ GIMT_Encode4(1771049), // Rule ID 11741 //
     /* 1770968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1770979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1770982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1770985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1770988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1770991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771014 */     // MIs[0] policy
     /* 1771014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771024 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1771027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771048 */     // GIR_Coverage, 11741,
     /* 1771048 */     GIR_EraseRootFromParent_Done,
     /* 1771049 */   // Label 24068: @1771049
     /* 1771049 */   GIM_Try, /*On fail goto*//*Label 24069*/ GIMT_Encode4(1771135), // Rule ID 11742 //
     /* 1771054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1771065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1771068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1771071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1771074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1771077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1771084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771100 */     // MIs[0] policy
     /* 1771100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771110 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1771113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771134 */     // GIR_Coverage, 11742,
     /* 1771134 */     GIR_EraseRootFromParent_Done,
     /* 1771135 */   // Label 24069: @1771135
     /* 1771135 */   GIM_Try, /*On fail goto*//*Label 24070*/ GIMT_Encode4(1771221), // Rule ID 11745 //
     /* 1771140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1771151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1771154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1771157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1771160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1771170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771186 */     // MIs[0] policy
     /* 1771186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771196 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1771199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771220 */     // GIR_Coverage, 11745,
     /* 1771220 */     GIR_EraseRootFromParent_Done,
     /* 1771221 */   // Label 24070: @1771221
     /* 1771221 */   GIM_Try, /*On fail goto*//*Label 24071*/ GIMT_Encode4(1771307), // Rule ID 11746 //
     /* 1771226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1771237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1771240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1771243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1771246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1771256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771272 */     // MIs[0] policy
     /* 1771272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771282 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1771285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771306 */     // GIR_Coverage, 11746,
     /* 1771306 */     GIR_EraseRootFromParent_Done,
     /* 1771307 */   // Label 24071: @1771307
     /* 1771307 */   GIM_Try, /*On fail goto*//*Label 24072*/ GIMT_Encode4(1771393), // Rule ID 11749 //
     /* 1771312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1771323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1771326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1771329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1771332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1771335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1771342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771358 */     // MIs[0] policy
     /* 1771358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771368 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1771371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771392 */     // GIR_Coverage, 11749,
     /* 1771392 */     GIR_EraseRootFromParent_Done,
     /* 1771393 */   // Label 24072: @1771393
     /* 1771393 */   GIM_Try, /*On fail goto*//*Label 24073*/ GIMT_Encode4(1771479), // Rule ID 11750 //
     /* 1771398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1771409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1771412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1771415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1771418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1771421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1771428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771444 */     // MIs[0] policy
     /* 1771444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771454 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1771457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771478 */     // GIR_Coverage, 11750,
     /* 1771478 */     GIR_EraseRootFromParent_Done,
     /* 1771479 */   // Label 24073: @1771479
     /* 1771479 */   GIM_Try, /*On fail goto*//*Label 24074*/ GIMT_Encode4(1771565), // Rule ID 11753 //
     /* 1771484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1771495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1771498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1771501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1771504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1771507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1771514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771530 */     // MIs[0] policy
     /* 1771530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771540 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1771543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771564 */     // GIR_Coverage, 11753,
     /* 1771564 */     GIR_EraseRootFromParent_Done,
     /* 1771565 */   // Label 24074: @1771565
     /* 1771565 */   GIM_Try, /*On fail goto*//*Label 24075*/ GIMT_Encode4(1771651), // Rule ID 11754 //
     /* 1771570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1771581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1771584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1771587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1771590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1771593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1771600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771616 */     // MIs[0] policy
     /* 1771616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771626 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1771629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771650 */     // GIR_Coverage, 11754,
     /* 1771650 */     GIR_EraseRootFromParent_Done,
     /* 1771651 */   // Label 24075: @1771651
     /* 1771651 */   GIM_Try, /*On fail goto*//*Label 24076*/ GIMT_Encode4(1771737), // Rule ID 11757 //
     /* 1771656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1771667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1771670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1771673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1771676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1771686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771702 */     // MIs[0] policy
     /* 1771702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771712 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1771715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771736 */     // GIR_Coverage, 11757,
     /* 1771736 */     GIR_EraseRootFromParent_Done,
     /* 1771737 */   // Label 24076: @1771737
     /* 1771737 */   GIM_Try, /*On fail goto*//*Label 24077*/ GIMT_Encode4(1771823), // Rule ID 11758 //
     /* 1771742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1771753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1771756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1771759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1771762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1771772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771788 */     // MIs[0] policy
     /* 1771788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771798 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1771801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771822 */     // GIR_Coverage, 11758,
     /* 1771822 */     GIR_EraseRootFromParent_Done,
     /* 1771823 */   // Label 24077: @1771823
     /* 1771823 */   GIM_Try, /*On fail goto*//*Label 24078*/ GIMT_Encode4(1771909), // Rule ID 11761 //
     /* 1771828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1771839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1771842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1771845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1771848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1771858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771874 */     // MIs[0] policy
     /* 1771874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771884 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1771887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771908 */     // GIR_Coverage, 11761,
     /* 1771908 */     GIR_EraseRootFromParent_Done,
     /* 1771909 */   // Label 24078: @1771909
     /* 1771909 */   GIM_Try, /*On fail goto*//*Label 24079*/ GIMT_Encode4(1771995), // Rule ID 11762 //
     /* 1771914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1771925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1771928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1771931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1771934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1771944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771960 */     // MIs[0] policy
     /* 1771960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771970 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1771973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771994 */     // GIR_Coverage, 11762,
     /* 1771994 */     GIR_EraseRootFromParent_Done,
     /* 1771995 */   // Label 24079: @1771995
     /* 1771995 */   GIM_Try, /*On fail goto*//*Label 24080*/ GIMT_Encode4(1772081), // Rule ID 11765 //
     /* 1772000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1772011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1772014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1772017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1772020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772046 */     // MIs[0] policy
     /* 1772046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772056 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1772059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772080 */     // GIR_Coverage, 11765,
     /* 1772080 */     GIR_EraseRootFromParent_Done,
     /* 1772081 */   // Label 24080: @1772081
     /* 1772081 */   GIM_Try, /*On fail goto*//*Label 24081*/ GIMT_Encode4(1772167), // Rule ID 11766 //
     /* 1772086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1772097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1772100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1772103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1772106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772132 */     // MIs[0] policy
     /* 1772132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772142 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1772145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772166 */     // GIR_Coverage, 11766,
     /* 1772166 */     GIR_EraseRootFromParent_Done,
     /* 1772167 */   // Label 24081: @1772167
     /* 1772167 */   GIM_Try, /*On fail goto*//*Label 24082*/ GIMT_Encode4(1772253), // Rule ID 11769 //
     /* 1772172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1772175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1772183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1772186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1772189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1772192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772218 */     // MIs[0] policy
     /* 1772218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772228 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1772231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772252 */     // GIR_Coverage, 11769,
     /* 1772252 */     GIR_EraseRootFromParent_Done,
     /* 1772253 */   // Label 24082: @1772253
     /* 1772253 */   GIM_Try, /*On fail goto*//*Label 24083*/ GIMT_Encode4(1772339), // Rule ID 11770 //
     /* 1772258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1772261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1772269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1772272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1772275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1772278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772304 */     // MIs[0] policy
     /* 1772304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772314 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1772317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772338 */     // GIR_Coverage, 11770,
     /* 1772338 */     GIR_EraseRootFromParent_Done,
     /* 1772339 */   // Label 24083: @1772339
     /* 1772339 */   GIM_Try, /*On fail goto*//*Label 24084*/ GIMT_Encode4(1772425), // Rule ID 11773 //
     /* 1772344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1772347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1772355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1772358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1772361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1772364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772390 */     // MIs[0] policy
     /* 1772390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772400 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1772403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772424 */     // GIR_Coverage, 11773,
     /* 1772424 */     GIR_EraseRootFromParent_Done,
     /* 1772425 */   // Label 24084: @1772425
     /* 1772425 */   GIM_Try, /*On fail goto*//*Label 24085*/ GIMT_Encode4(1772511), // Rule ID 11774 //
     /* 1772430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1772433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1772441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1772444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1772447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1772450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772476 */     // MIs[0] policy
     /* 1772476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772486 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1772489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772510 */     // GIR_Coverage, 11774,
     /* 1772510 */     GIR_EraseRootFromParent_Done,
     /* 1772511 */   // Label 24085: @1772511
     /* 1772511 */   GIM_Try, /*On fail goto*//*Label 24086*/ GIMT_Encode4(1772597), // Rule ID 11777 //
     /* 1772516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1772519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1772527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1772530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1772533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1772536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772562 */     // MIs[0] policy
     /* 1772562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772572 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1772575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772596 */     // GIR_Coverage, 11777,
     /* 1772596 */     GIR_EraseRootFromParent_Done,
     /* 1772597 */   // Label 24086: @1772597
     /* 1772597 */   GIM_Try, /*On fail goto*//*Label 24087*/ GIMT_Encode4(1772683), // Rule ID 11778 //
     /* 1772602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1772605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1772613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1772616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1772619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1772622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772648 */     // MIs[0] policy
     /* 1772648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772658 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1772661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772682 */     // GIR_Coverage, 11778,
     /* 1772682 */     GIR_EraseRootFromParent_Done,
     /* 1772683 */   // Label 24087: @1772683
     /* 1772683 */   GIM_Try, /*On fail goto*//*Label 24088*/ GIMT_Encode4(1772769), // Rule ID 11781 //
     /* 1772688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1772699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1772702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1772705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1772708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1772711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772734 */     // MIs[0] policy
     /* 1772734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772744 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1772747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772768 */     // GIR_Coverage, 11781,
     /* 1772768 */     GIR_EraseRootFromParent_Done,
     /* 1772769 */   // Label 24088: @1772769
     /* 1772769 */   GIM_Try, /*On fail goto*//*Label 24089*/ GIMT_Encode4(1772855), // Rule ID 11782 //
     /* 1772774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1772785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1772788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1772791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1772794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1772797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772820 */     // MIs[0] policy
     /* 1772820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772830 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1772833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772854 */     // GIR_Coverage, 11782,
     /* 1772854 */     GIR_EraseRootFromParent_Done,
     /* 1772855 */   // Label 24089: @1772855
     /* 1772855 */   GIM_Try, /*On fail goto*//*Label 24090*/ GIMT_Encode4(1772941), // Rule ID 11785 //
     /* 1772860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1772871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1772874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1772877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1772880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772906 */     // MIs[0] policy
     /* 1772906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772916 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1772919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772940 */     // GIR_Coverage, 11785,
     /* 1772940 */     GIR_EraseRootFromParent_Done,
     /* 1772941 */   // Label 24090: @1772941
     /* 1772941 */   GIM_Try, /*On fail goto*//*Label 24091*/ GIMT_Encode4(1773027), // Rule ID 11786 //
     /* 1772946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1772954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1772957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1772960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1772963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1772966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772992 */     // MIs[0] policy
     /* 1772992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773002 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1773005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773026 */     // GIR_Coverage, 11786,
     /* 1773026 */     GIR_EraseRootFromParent_Done,
     /* 1773027 */   // Label 24091: @1773027
     /* 1773027 */   GIM_Try, /*On fail goto*//*Label 24092*/ GIMT_Encode4(1773113), // Rule ID 11789 //
     /* 1773032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1773043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1773046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1773049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773078 */     // MIs[0] policy
     /* 1773078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773088 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1773091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773112 */     // GIR_Coverage, 11789,
     /* 1773112 */     GIR_EraseRootFromParent_Done,
     /* 1773113 */   // Label 24092: @1773113
     /* 1773113 */   GIM_Try, /*On fail goto*//*Label 24093*/ GIMT_Encode4(1773199), // Rule ID 11790 //
     /* 1773118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1773129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1773132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1773135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773164 */     // MIs[0] policy
     /* 1773164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773174 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1773177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773198 */     // GIR_Coverage, 11790,
     /* 1773198 */     GIR_EraseRootFromParent_Done,
     /* 1773199 */   // Label 24093: @1773199
     /* 1773199 */   GIM_Try, /*On fail goto*//*Label 24094*/ GIMT_Encode4(1773285), // Rule ID 11793 //
     /* 1773204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1773215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1773218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1773221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773250 */     // MIs[0] policy
     /* 1773250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773260 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1773263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773284 */     // GIR_Coverage, 11793,
     /* 1773284 */     GIR_EraseRootFromParent_Done,
     /* 1773285 */   // Label 24094: @1773285
     /* 1773285 */   GIM_Try, /*On fail goto*//*Label 24095*/ GIMT_Encode4(1773371), // Rule ID 11794 //
     /* 1773290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1773301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1773304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1773307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773336 */     // MIs[0] policy
     /* 1773336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1773349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773370 */     // GIR_Coverage, 11794,
     /* 1773370 */     GIR_EraseRootFromParent_Done,
     /* 1773371 */   // Label 24095: @1773371
     /* 1773371 */   GIM_Try, /*On fail goto*//*Label 24096*/ GIMT_Encode4(1773457), // Rule ID 11797 //
     /* 1773376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1773387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1773390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1773393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773422 */     // MIs[0] policy
     /* 1773422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773432 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1773435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773456 */     // GIR_Coverage, 11797,
     /* 1773456 */     GIR_EraseRootFromParent_Done,
     /* 1773457 */   // Label 24096: @1773457
     /* 1773457 */   GIM_Try, /*On fail goto*//*Label 24097*/ GIMT_Encode4(1773543), // Rule ID 11798 //
     /* 1773462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1773473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1773476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1773479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773508 */     // MIs[0] policy
     /* 1773508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773518 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1773521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773542 */     // GIR_Coverage, 11798,
     /* 1773542 */     GIR_EraseRootFromParent_Done,
     /* 1773543 */   // Label 24097: @1773543
     /* 1773543 */   GIM_Try, /*On fail goto*//*Label 24098*/ GIMT_Encode4(1773629), // Rule ID 11801 //
     /* 1773548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1773559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1773562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1773565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773594 */     // MIs[0] policy
     /* 1773594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773604 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1773607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773628 */     // GIR_Coverage, 11801,
     /* 1773628 */     GIR_EraseRootFromParent_Done,
     /* 1773629 */   // Label 24098: @1773629
     /* 1773629 */   GIM_Try, /*On fail goto*//*Label 24099*/ GIMT_Encode4(1773715), // Rule ID 11802 //
     /* 1773634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1773645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1773648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1773651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773680 */     // MIs[0] policy
     /* 1773680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773690 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1773693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773714 */     // GIR_Coverage, 11802,
     /* 1773714 */     GIR_EraseRootFromParent_Done,
     /* 1773715 */   // Label 24099: @1773715
     /* 1773715 */   GIM_Try, /*On fail goto*//*Label 24100*/ GIMT_Encode4(1773801), // Rule ID 11805 //
     /* 1773720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1773731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1773734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1773737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773766 */     // MIs[0] policy
     /* 1773766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773776 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1773779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773800 */     // GIR_Coverage, 11805,
     /* 1773800 */     GIR_EraseRootFromParent_Done,
     /* 1773801 */   // Label 24100: @1773801
     /* 1773801 */   GIM_Try, /*On fail goto*//*Label 24101*/ GIMT_Encode4(1773887), // Rule ID 11806 //
     /* 1773806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1773817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1773820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1773823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773852 */     // MIs[0] policy
     /* 1773852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773862 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1773865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773886 */     // GIR_Coverage, 11806,
     /* 1773886 */     GIR_EraseRootFromParent_Done,
     /* 1773887 */   // Label 24101: @1773887
     /* 1773887 */   GIM_Try, /*On fail goto*//*Label 24102*/ GIMT_Encode4(1773973), // Rule ID 11809 //
     /* 1773892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1773903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1773906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1773909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773938 */     // MIs[0] policy
     /* 1773938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1773951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773972 */     // GIR_Coverage, 11809,
     /* 1773972 */     GIR_EraseRootFromParent_Done,
     /* 1773973 */   // Label 24102: @1773973
     /* 1773973 */   GIM_Try, /*On fail goto*//*Label 24103*/ GIMT_Encode4(1774059), // Rule ID 11810 //
     /* 1773978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1773986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1773989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1773992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1773995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774024 */     // MIs[0] policy
     /* 1774024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774034 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1774037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774058 */     // GIR_Coverage, 11810,
     /* 1774058 */     GIR_EraseRootFromParent_Done,
     /* 1774059 */   // Label 24103: @1774059
     /* 1774059 */   GIM_Try, /*On fail goto*//*Label 24104*/ GIMT_Encode4(1774145), // Rule ID 11813 //
     /* 1774064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1774075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1774078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1774081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774110 */     // MIs[0] policy
     /* 1774110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774120 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1774123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774144 */     // GIR_Coverage, 11813,
     /* 1774144 */     GIR_EraseRootFromParent_Done,
     /* 1774145 */   // Label 24104: @1774145
     /* 1774145 */   GIM_Try, /*On fail goto*//*Label 24105*/ GIMT_Encode4(1774231), // Rule ID 11814 //
     /* 1774150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1774161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1774164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1774167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774196 */     // MIs[0] policy
     /* 1774196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774206 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1774209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774230 */     // GIR_Coverage, 11814,
     /* 1774230 */     GIR_EraseRootFromParent_Done,
     /* 1774231 */   // Label 24105: @1774231
     /* 1774231 */   GIM_Try, /*On fail goto*//*Label 24106*/ GIMT_Encode4(1774317), // Rule ID 11817 //
     /* 1774236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1774239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1774247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1774250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1774253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774282 */     // MIs[0] policy
     /* 1774282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1774295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774316 */     // GIR_Coverage, 11817,
     /* 1774316 */     GIR_EraseRootFromParent_Done,
     /* 1774317 */   // Label 24106: @1774317
     /* 1774317 */   GIM_Try, /*On fail goto*//*Label 24107*/ GIMT_Encode4(1774403), // Rule ID 11818 //
     /* 1774322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1774325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1774333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1774336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1774339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774368 */     // MIs[0] policy
     /* 1774368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774378 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1774381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1774399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774402 */     // GIR_Coverage, 11818,
     /* 1774402 */     GIR_EraseRootFromParent_Done,
     /* 1774403 */   // Label 24107: @1774403
     /* 1774403 */   GIM_Try, /*On fail goto*//*Label 24108*/ GIMT_Encode4(1774489), // Rule ID 11821 //
     /* 1774408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1774419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1774422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1774425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1774431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1774438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774454 */     // MIs[0] policy
     /* 1774454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774464 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1774467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774488 */     // GIR_Coverage, 11821,
     /* 1774488 */     GIR_EraseRootFromParent_Done,
     /* 1774489 */   // Label 24108: @1774489
     /* 1774489 */   GIM_Try, /*On fail goto*//*Label 24109*/ GIMT_Encode4(1774575), // Rule ID 11822 //
     /* 1774494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1774505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1774508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1774511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1774517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1774524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774540 */     // MIs[0] policy
     /* 1774540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774550 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1774553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774574 */     // GIR_Coverage, 11822,
     /* 1774574 */     GIR_EraseRootFromParent_Done,
     /* 1774575 */   // Label 24109: @1774575
     /* 1774575 */   GIM_Try, /*On fail goto*//*Label 24110*/ GIMT_Encode4(1774661), // Rule ID 11825 //
     /* 1774580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1774591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1774594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1774597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1774603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1774610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774626 */     // MIs[0] policy
     /* 1774626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774636 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1774639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774660 */     // GIR_Coverage, 11825,
     /* 1774660 */     GIR_EraseRootFromParent_Done,
     /* 1774661 */   // Label 24110: @1774661
     /* 1774661 */   GIM_Try, /*On fail goto*//*Label 24111*/ GIMT_Encode4(1774747), // Rule ID 11826 //
     /* 1774666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1774677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1774680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1774683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1774689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1774696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774712 */     // MIs[0] policy
     /* 1774712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774722 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1774725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774746 */     // GIR_Coverage, 11826,
     /* 1774746 */     GIR_EraseRootFromParent_Done,
     /* 1774747 */   // Label 24111: @1774747
     /* 1774747 */   GIM_Try, /*On fail goto*//*Label 24112*/ GIMT_Encode4(1774833), // Rule ID 11829 //
     /* 1774752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1774763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1774766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1774769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1774775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1774782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774798 */     // MIs[0] policy
     /* 1774798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774808 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1774811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774832 */     // GIR_Coverage, 11829,
     /* 1774832 */     GIR_EraseRootFromParent_Done,
     /* 1774833 */   // Label 24112: @1774833
     /* 1774833 */   GIM_Try, /*On fail goto*//*Label 24113*/ GIMT_Encode4(1774919), // Rule ID 11830 //
     /* 1774838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1774849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1774852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1774855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1774861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1774868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774884 */     // MIs[0] policy
     /* 1774884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774894 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1774897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774918 */     // GIR_Coverage, 11830,
     /* 1774918 */     GIR_EraseRootFromParent_Done,
     /* 1774919 */   // Label 24113: @1774919
     /* 1774919 */   GIM_Try, /*On fail goto*//*Label 24114*/ GIMT_Encode4(1775005), // Rule ID 11833 //
     /* 1774924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1774932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1774935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1774938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1774941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1774954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774970 */     // MIs[0] policy
     /* 1774970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774980 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1774983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775004 */     // GIR_Coverage, 11833,
     /* 1775004 */     GIR_EraseRootFromParent_Done,
     /* 1775005 */   // Label 24114: @1775005
     /* 1775005 */   GIM_Try, /*On fail goto*//*Label 24115*/ GIMT_Encode4(1775091), // Rule ID 11834 //
     /* 1775010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1775021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1775024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1775027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775056 */     // MIs[0] policy
     /* 1775056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775066 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1775069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775090 */     // GIR_Coverage, 11834,
     /* 1775090 */     GIR_EraseRootFromParent_Done,
     /* 1775091 */   // Label 24115: @1775091
     /* 1775091 */   GIM_Try, /*On fail goto*//*Label 24116*/ GIMT_Encode4(1775177), // Rule ID 11837 //
     /* 1775096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1775107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1775110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1775113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1775119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1775126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775142 */     // MIs[0] policy
     /* 1775142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775152 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1775155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775176 */     // GIR_Coverage, 11837,
     /* 1775176 */     GIR_EraseRootFromParent_Done,
     /* 1775177 */   // Label 24116: @1775177
     /* 1775177 */   GIM_Try, /*On fail goto*//*Label 24117*/ GIMT_Encode4(1775263), // Rule ID 11838 //
     /* 1775182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1775193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1775196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1775199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1775205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1775212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775228 */     // MIs[0] policy
     /* 1775228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775238 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1775241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775262 */     // GIR_Coverage, 11838,
     /* 1775262 */     GIR_EraseRootFromParent_Done,
     /* 1775263 */   // Label 24117: @1775263
     /* 1775263 */   GIM_Try, /*On fail goto*//*Label 24118*/ GIMT_Encode4(1775349), // Rule ID 11841 //
     /* 1775268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1775279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1775282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1775285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1775291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1775298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775314 */     // MIs[0] policy
     /* 1775314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775324 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1775327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775348 */     // GIR_Coverage, 11841,
     /* 1775348 */     GIR_EraseRootFromParent_Done,
     /* 1775349 */   // Label 24118: @1775349
     /* 1775349 */   GIM_Try, /*On fail goto*//*Label 24119*/ GIMT_Encode4(1775435), // Rule ID 11842 //
     /* 1775354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1775365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1775368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1775371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1775377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1775384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775400 */     // MIs[0] policy
     /* 1775400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775410 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1775413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775434 */     // GIR_Coverage, 11842,
     /* 1775434 */     GIR_EraseRootFromParent_Done,
     /* 1775435 */   // Label 24119: @1775435
     /* 1775435 */   GIM_Try, /*On fail goto*//*Label 24120*/ GIMT_Encode4(1775521), // Rule ID 11845 //
     /* 1775440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1775451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1775454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1775457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775486 */     // MIs[0] policy
     /* 1775486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1775499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775520 */     // GIR_Coverage, 11845,
     /* 1775520 */     GIR_EraseRootFromParent_Done,
     /* 1775521 */   // Label 24120: @1775521
     /* 1775521 */   GIM_Try, /*On fail goto*//*Label 24121*/ GIMT_Encode4(1775607), // Rule ID 11846 //
     /* 1775526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1775537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1775540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1775543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775572 */     // MIs[0] policy
     /* 1775572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775582 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1775585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775606 */     // GIR_Coverage, 11846,
     /* 1775606 */     GIR_EraseRootFromParent_Done,
     /* 1775607 */   // Label 24121: @1775607
     /* 1775607 */   GIM_Try, /*On fail goto*//*Label 24122*/ GIMT_Encode4(1775693), // Rule ID 11849 //
     /* 1775612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1775623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1775626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1775629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1775642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775658 */     // MIs[0] policy
     /* 1775658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775668 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1775671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775692 */     // GIR_Coverage, 11849,
     /* 1775692 */     GIR_EraseRootFromParent_Done,
     /* 1775693 */   // Label 24122: @1775693
     /* 1775693 */   GIM_Try, /*On fail goto*//*Label 24123*/ GIMT_Encode4(1775779), // Rule ID 11850 //
     /* 1775698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1775709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1775712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1775715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1775728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775744 */     // MIs[0] policy
     /* 1775744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775754 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1775757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775778 */     // GIR_Coverage, 11850,
     /* 1775778 */     GIR_EraseRootFromParent_Done,
     /* 1775779 */   // Label 24123: @1775779
     /* 1775779 */   GIM_Try, /*On fail goto*//*Label 24124*/ GIMT_Encode4(1775865), // Rule ID 11853 //
     /* 1775784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1775795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1775798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1775801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1775807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1775814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775830 */     // MIs[0] policy
     /* 1775830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775840 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1775843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775864 */     // GIR_Coverage, 11853,
     /* 1775864 */     GIR_EraseRootFromParent_Done,
     /* 1775865 */   // Label 24124: @1775865
     /* 1775865 */   GIM_Try, /*On fail goto*//*Label 24125*/ GIMT_Encode4(1775951), // Rule ID 11854 //
     /* 1775870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1775881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1775884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1775887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1775893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1775900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775916 */     // MIs[0] policy
     /* 1775916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1775929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775950 */     // GIR_Coverage, 11854,
     /* 1775950 */     GIR_EraseRootFromParent_Done,
     /* 1775951 */   // Label 24125: @1775951
     /* 1775951 */   GIM_Try, /*On fail goto*//*Label 24126*/ GIMT_Encode4(1776037), // Rule ID 11857 //
     /* 1775956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1775959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1775964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1775967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1775970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1775973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776002 */     // MIs[0] policy
     /* 1776002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776012 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1776015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776036 */     // GIR_Coverage, 11857,
     /* 1776036 */     GIR_EraseRootFromParent_Done,
     /* 1776037 */   // Label 24126: @1776037
     /* 1776037 */   GIM_Try, /*On fail goto*//*Label 24127*/ GIMT_Encode4(1776123), // Rule ID 11858 //
     /* 1776042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1776045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1776053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1776056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1776059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1776065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776088 */     // MIs[0] policy
     /* 1776088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776098 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1776101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776122 */     // GIR_Coverage, 11858,
     /* 1776122 */     GIR_EraseRootFromParent_Done,
     /* 1776123 */   // Label 24127: @1776123
     /* 1776123 */   GIM_Try, /*On fail goto*//*Label 24128*/ GIMT_Encode4(1776209), // Rule ID 11861 //
     /* 1776128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1776131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1776139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1776142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1776145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1776151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776174 */     // MIs[0] policy
     /* 1776174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776184 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1776187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776208 */     // GIR_Coverage, 11861,
     /* 1776208 */     GIR_EraseRootFromParent_Done,
     /* 1776209 */   // Label 24128: @1776209
     /* 1776209 */   GIM_Try, /*On fail goto*//*Label 24129*/ GIMT_Encode4(1776295), // Rule ID 11862 //
     /* 1776214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1776217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1776225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1776228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1776231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1776237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776260 */     // MIs[0] policy
     /* 1776260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776270 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1776273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776294 */     // GIR_Coverage, 11862,
     /* 1776294 */     GIR_EraseRootFromParent_Done,
     /* 1776295 */   // Label 24129: @1776295
     /* 1776295 */   GIM_Try, /*On fail goto*//*Label 24130*/ GIMT_Encode4(1776381), // Rule ID 11865 //
     /* 1776300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1776303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1776311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1776314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1776317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776346 */     // MIs[0] policy
     /* 1776346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776356 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1776359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776380 */     // GIR_Coverage, 11865,
     /* 1776380 */     GIR_EraseRootFromParent_Done,
     /* 1776381 */   // Label 24130: @1776381
     /* 1776381 */   GIM_Try, /*On fail goto*//*Label 24131*/ GIMT_Encode4(1776467), // Rule ID 11866 //
     /* 1776386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1776389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1776394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1776397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1776400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1776403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776432 */     // MIs[0] policy
     /* 1776432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776442 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1776445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1776463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776466 */     // GIR_Coverage, 11866,
     /* 1776466 */     GIR_EraseRootFromParent_Done,
     /* 1776467 */   // Label 24131: @1776467
     /* 1776467 */   GIM_Try, /*On fail goto*//*Label 24132*/ GIMT_Encode4(1776553), // Rule ID 11869 //
     /* 1776472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1776480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1776483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1776486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1776489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1776492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1776495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776518 */     // MIs[0] policy
     /* 1776518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776528 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1776531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776552 */     // GIR_Coverage, 11869,
     /* 1776552 */     GIR_EraseRootFromParent_Done,
     /* 1776553 */   // Label 24132: @1776553
     /* 1776553 */   GIM_Try, /*On fail goto*//*Label 24133*/ GIMT_Encode4(1776639), // Rule ID 11870 //
     /* 1776558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1776566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1776569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1776572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1776575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1776578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1776581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776604 */     // MIs[0] policy
     /* 1776604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776614 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1776617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776638 */     // GIR_Coverage, 11870,
     /* 1776638 */     GIR_EraseRootFromParent_Done,
     /* 1776639 */   // Label 24133: @1776639
     /* 1776639 */   GIM_Try, /*On fail goto*//*Label 24134*/ GIMT_Encode4(1776725), // Rule ID 11873 //
     /* 1776644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1776652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1776655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1776658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1776661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1776664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1776667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776690 */     // MIs[0] policy
     /* 1776690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776700 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1776703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776724 */     // GIR_Coverage, 11873,
     /* 1776724 */     GIR_EraseRootFromParent_Done,
     /* 1776725 */   // Label 24134: @1776725
     /* 1776725 */   GIM_Try, /*On fail goto*//*Label 24135*/ GIMT_Encode4(1776811), // Rule ID 11874 //
     /* 1776730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1776738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1776741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1776744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1776747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1776750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1776753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776776 */     // MIs[0] policy
     /* 1776776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776786 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1776789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776810 */     // GIR_Coverage, 11874,
     /* 1776810 */     GIR_EraseRootFromParent_Done,
     /* 1776811 */   // Label 24135: @1776811
     /* 1776811 */   GIM_Try, /*On fail goto*//*Label 24136*/ GIMT_Encode4(1776897), // Rule ID 11877 //
     /* 1776816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1776824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1776827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1776830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1776833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1776836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1776839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776862 */     // MIs[0] policy
     /* 1776862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776872 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1776875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776896 */     // GIR_Coverage, 11877,
     /* 1776896 */     GIR_EraseRootFromParent_Done,
     /* 1776897 */   // Label 24136: @1776897
     /* 1776897 */   GIM_Try, /*On fail goto*//*Label 24137*/ GIMT_Encode4(1776983), // Rule ID 11878 //
     /* 1776902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1776910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1776913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1776916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1776919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1776922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1776925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776948 */     // MIs[0] policy
     /* 1776948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776958 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1776961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776982 */     // GIR_Coverage, 11878,
     /* 1776982 */     GIR_EraseRootFromParent_Done,
     /* 1776983 */   // Label 24137: @1776983
     /* 1776983 */   GIM_Try, /*On fail goto*//*Label 24138*/ GIMT_Encode4(1777069), // Rule ID 11881 //
     /* 1776988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1776996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1776999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1777002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1777005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1777008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777034 */     // MIs[0] policy
     /* 1777034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777044 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1777047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777068 */     // GIR_Coverage, 11881,
     /* 1777068 */     GIR_EraseRootFromParent_Done,
     /* 1777069 */   // Label 24138: @1777069
     /* 1777069 */   GIM_Try, /*On fail goto*//*Label 24139*/ GIMT_Encode4(1777155), // Rule ID 11882 //
     /* 1777074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1777085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1777088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1777091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1777094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777120 */     // MIs[0] policy
     /* 1777120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777130 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1777133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777154 */     // GIR_Coverage, 11882,
     /* 1777154 */     GIR_EraseRootFromParent_Done,
     /* 1777155 */   // Label 24139: @1777155
     /* 1777155 */   GIM_Try, /*On fail goto*//*Label 24140*/ GIMT_Encode4(1777241), // Rule ID 11885 //
     /* 1777160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1777171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1777174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1777177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1777180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777206 */     // MIs[0] policy
     /* 1777206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777216 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1777219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777240 */     // GIR_Coverage, 11885,
     /* 1777240 */     GIR_EraseRootFromParent_Done,
     /* 1777241 */   // Label 24140: @1777241
     /* 1777241 */   GIM_Try, /*On fail goto*//*Label 24141*/ GIMT_Encode4(1777327), // Rule ID 11886 //
     /* 1777246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1777257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1777260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1777263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1777266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777292 */     // MIs[0] policy
     /* 1777292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777302 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1777305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777326 */     // GIR_Coverage, 11886,
     /* 1777326 */     GIR_EraseRootFromParent_Done,
     /* 1777327 */   // Label 24141: @1777327
     /* 1777327 */   GIM_Try, /*On fail goto*//*Label 24142*/ GIMT_Encode4(1777413), // Rule ID 11889 //
     /* 1777332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1777343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1777346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1777349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1777352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777378 */     // MIs[0] policy
     /* 1777378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777388 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1777391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777412 */     // GIR_Coverage, 11889,
     /* 1777412 */     GIR_EraseRootFromParent_Done,
     /* 1777413 */   // Label 24142: @1777413
     /* 1777413 */   GIM_Try, /*On fail goto*//*Label 24143*/ GIMT_Encode4(1777499), // Rule ID 11890 //
     /* 1777418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1777429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1777432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1777435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1777438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777464 */     // MIs[0] policy
     /* 1777464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777474 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1777477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777498 */     // GIR_Coverage, 11890,
     /* 1777498 */     GIR_EraseRootFromParent_Done,
     /* 1777499 */   // Label 24143: @1777499
     /* 1777499 */   GIM_Try, /*On fail goto*//*Label 24144*/ GIMT_Encode4(1777585), // Rule ID 11893 //
     /* 1777504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1777515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1777518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1777521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1777524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777550 */     // MIs[0] policy
     /* 1777550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777560 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1777563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777584 */     // GIR_Coverage, 11893,
     /* 1777584 */     GIR_EraseRootFromParent_Done,
     /* 1777585 */   // Label 24144: @1777585
     /* 1777585 */   GIM_Try, /*On fail goto*//*Label 24145*/ GIMT_Encode4(1777671), // Rule ID 11894 //
     /* 1777590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1777601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1777604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1777607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1777610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777636 */     // MIs[0] policy
     /* 1777636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777646 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1777649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777670 */     // GIR_Coverage, 11894,
     /* 1777670 */     GIR_EraseRootFromParent_Done,
     /* 1777671 */   // Label 24145: @1777671
     /* 1777671 */   GIM_Try, /*On fail goto*//*Label 24146*/ GIMT_Encode4(1777757), // Rule ID 11897 //
     /* 1777676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1777687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1777690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1777693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1777696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777722 */     // MIs[0] policy
     /* 1777722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777732 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1777735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777756 */     // GIR_Coverage, 11897,
     /* 1777756 */     GIR_EraseRootFromParent_Done,
     /* 1777757 */   // Label 24146: @1777757
     /* 1777757 */   GIM_Try, /*On fail goto*//*Label 24147*/ GIMT_Encode4(1777843), // Rule ID 11898 //
     /* 1777762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1777773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1777776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1777779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1777782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777808 */     // MIs[0] policy
     /* 1777808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777818 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1777821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777842 */     // GIR_Coverage, 11898,
     /* 1777842 */     GIR_EraseRootFromParent_Done,
     /* 1777843 */   // Label 24147: @1777843
     /* 1777843 */   GIM_Try, /*On fail goto*//*Label 24148*/ GIMT_Encode4(1777929), // Rule ID 11901 //
     /* 1777848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1777859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1777862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1777865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1777868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777894 */     // MIs[0] policy
     /* 1777894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777904 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1777907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777928 */     // GIR_Coverage, 11901,
     /* 1777928 */     GIR_EraseRootFromParent_Done,
     /* 1777929 */   // Label 24148: @1777929
     /* 1777929 */   GIM_Try, /*On fail goto*//*Label 24149*/ GIMT_Encode4(1778015), // Rule ID 11902 //
     /* 1777934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1777945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1777948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1777951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1777954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777980 */     // MIs[0] policy
     /* 1777980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777990 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1777993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778014 */     // GIR_Coverage, 11902,
     /* 1778014 */     GIR_EraseRootFromParent_Done,
     /* 1778015 */   // Label 24149: @1778015
     /* 1778015 */   GIM_Try, /*On fail goto*//*Label 24150*/ GIMT_Encode4(1778101), // Rule ID 11905 //
     /* 1778020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1778023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1778031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1778034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1778037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1778040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778066 */     // MIs[0] policy
     /* 1778066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778076 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1778079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778100 */     // GIR_Coverage, 11905,
     /* 1778100 */     GIR_EraseRootFromParent_Done,
     /* 1778101 */   // Label 24150: @1778101
     /* 1778101 */   GIM_Try, /*On fail goto*//*Label 24151*/ GIMT_Encode4(1778187), // Rule ID 11906 //
     /* 1778106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1778109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1778117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1778120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1778123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1778126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778152 */     // MIs[0] policy
     /* 1778152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778162 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1778165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778186 */     // GIR_Coverage, 11906,
     /* 1778186 */     GIR_EraseRootFromParent_Done,
     /* 1778187 */   // Label 24151: @1778187
     /* 1778187 */   GIM_Try, /*On fail goto*//*Label 24152*/ GIMT_Encode4(1778273), // Rule ID 11909 //
     /* 1778192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1778203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1778206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1778209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1778212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1778215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1778222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778238 */     // MIs[0] policy
     /* 1778238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778248 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1778251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778272 */     // GIR_Coverage, 11909,
     /* 1778272 */     GIR_EraseRootFromParent_Done,
     /* 1778273 */   // Label 24152: @1778273
     /* 1778273 */   GIM_Try, /*On fail goto*//*Label 24153*/ GIMT_Encode4(1778359), // Rule ID 11910 //
     /* 1778278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1778289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1778292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1778295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1778298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1778301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1778308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778324 */     // MIs[0] policy
     /* 1778324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778334 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1778337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778358 */     // GIR_Coverage, 11910,
     /* 1778358 */     GIR_EraseRootFromParent_Done,
     /* 1778359 */   // Label 24153: @1778359
     /* 1778359 */   GIM_Try, /*On fail goto*//*Label 24154*/ GIMT_Encode4(1778445), // Rule ID 11913 //
     /* 1778364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1778375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1778378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1778381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1778384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1778387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1778394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778410 */     // MIs[0] policy
     /* 1778410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778420 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1778423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778444 */     // GIR_Coverage, 11913,
     /* 1778444 */     GIR_EraseRootFromParent_Done,
     /* 1778445 */   // Label 24154: @1778445
     /* 1778445 */   GIM_Try, /*On fail goto*//*Label 24155*/ GIMT_Encode4(1778531), // Rule ID 11914 //
     /* 1778450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1778461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1778464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1778467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1778470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1778473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1778480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778496 */     // MIs[0] policy
     /* 1778496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778506 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1778509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778530 */     // GIR_Coverage, 11914,
     /* 1778530 */     GIR_EraseRootFromParent_Done,
     /* 1778531 */   // Label 24155: @1778531
     /* 1778531 */   GIM_Try, /*On fail goto*//*Label 24156*/ GIMT_Encode4(1778617), // Rule ID 11917 //
     /* 1778536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1778547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1778550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1778553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1778556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1778559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1778566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778582 */     // MIs[0] policy
     /* 1778582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778592 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1778595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778616 */     // GIR_Coverage, 11917,
     /* 1778616 */     GIR_EraseRootFromParent_Done,
     /* 1778617 */   // Label 24156: @1778617
     /* 1778617 */   GIM_Try, /*On fail goto*//*Label 24157*/ GIMT_Encode4(1778703), // Rule ID 11918 //
     /* 1778622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1778633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1778636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1778639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1778642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1778645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1778652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778668 */     // MIs[0] policy
     /* 1778668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778678 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1778681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778702 */     // GIR_Coverage, 11918,
     /* 1778702 */     GIR_EraseRootFromParent_Done,
     /* 1778703 */   // Label 24157: @1778703
     /* 1778703 */   GIM_Try, /*On fail goto*//*Label 24158*/ GIMT_Encode4(1778789), // Rule ID 11921 //
     /* 1778708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1778719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1778722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1778725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1778728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1778731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1778738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778754 */     // MIs[0] policy
     /* 1778754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778764 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1778767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778788 */     // GIR_Coverage, 11921,
     /* 1778788 */     GIR_EraseRootFromParent_Done,
     /* 1778789 */   // Label 24158: @1778789
     /* 1778789 */   GIM_Try, /*On fail goto*//*Label 24159*/ GIMT_Encode4(1778875), // Rule ID 11922 //
     /* 1778794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1778805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1778808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1778811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1778814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1778817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1778824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778840 */     // MIs[0] policy
     /* 1778840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778850 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1778853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778874 */     // GIR_Coverage, 11922,
     /* 1778874 */     GIR_EraseRootFromParent_Done,
     /* 1778875 */   // Label 24159: @1778875
     /* 1778875 */   GIM_Try, /*On fail goto*//*Label 24160*/ GIMT_Encode4(1778961), // Rule ID 11925 //
     /* 1778880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1778891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1778894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1778897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1778900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1778903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1778910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778926 */     // MIs[0] policy
     /* 1778926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778936 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1778939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778960 */     // GIR_Coverage, 11925,
     /* 1778960 */     GIR_EraseRootFromParent_Done,
     /* 1778961 */   // Label 24160: @1778961
     /* 1778961 */   GIM_Try, /*On fail goto*//*Label 24161*/ GIMT_Encode4(1779047), // Rule ID 11926 //
     /* 1778966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1778977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1778980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1778983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1778986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1778989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1778996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779012 */     // MIs[0] policy
     /* 1779012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779022 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1779025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779046 */     // GIR_Coverage, 11926,
     /* 1779046 */     GIR_EraseRootFromParent_Done,
     /* 1779047 */   // Label 24161: @1779047
     /* 1779047 */   GIM_Try, /*On fail goto*//*Label 24162*/ GIMT_Encode4(1779133), // Rule ID 11929 //
     /* 1779052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1779063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1779066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1779069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1779072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1779075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1779082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779098 */     // MIs[0] policy
     /* 1779098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779108 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1779111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779132 */     // GIR_Coverage, 11929,
     /* 1779132 */     GIR_EraseRootFromParent_Done,
     /* 1779133 */   // Label 24162: @1779133
     /* 1779133 */   GIM_Try, /*On fail goto*//*Label 24163*/ GIMT_Encode4(1779219), // Rule ID 11930 //
     /* 1779138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1779149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1779152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1779155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1779158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1779161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1779168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779184 */     // MIs[0] policy
     /* 1779184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779194 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1779197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779218 */     // GIR_Coverage, 11930,
     /* 1779218 */     GIR_EraseRootFromParent_Done,
     /* 1779219 */   // Label 24163: @1779219
     /* 1779219 */   GIM_Try, /*On fail goto*//*Label 24164*/ GIMT_Encode4(1779305), // Rule ID 11933 //
     /* 1779224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1779235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1779238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1779241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1779244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779270 */     // MIs[0] policy
     /* 1779270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779280 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1779283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779304 */     // GIR_Coverage, 11933,
     /* 1779304 */     GIR_EraseRootFromParent_Done,
     /* 1779305 */   // Label 24164: @1779305
     /* 1779305 */   GIM_Try, /*On fail goto*//*Label 24165*/ GIMT_Encode4(1779391), // Rule ID 11934 //
     /* 1779310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1779321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1779324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1779327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1779330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779356 */     // MIs[0] policy
     /* 1779356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779366 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1779369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779390 */     // GIR_Coverage, 11934,
     /* 1779390 */     GIR_EraseRootFromParent_Done,
     /* 1779391 */   // Label 24165: @1779391
     /* 1779391 */   GIM_Try, /*On fail goto*//*Label 24166*/ GIMT_Encode4(1779477), // Rule ID 11937 //
     /* 1779396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1779407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1779410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1779413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1779416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779442 */     // MIs[0] policy
     /* 1779442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1779455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779476 */     // GIR_Coverage, 11937,
     /* 1779476 */     GIR_EraseRootFromParent_Done,
     /* 1779477 */   // Label 24166: @1779477
     /* 1779477 */   GIM_Try, /*On fail goto*//*Label 24167*/ GIMT_Encode4(1779563), // Rule ID 11938 //
     /* 1779482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1779493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1779496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1779499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1779502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779528 */     // MIs[0] policy
     /* 1779528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779538 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1779541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779562 */     // GIR_Coverage, 11938,
     /* 1779562 */     GIR_EraseRootFromParent_Done,
     /* 1779563 */   // Label 24167: @1779563
     /* 1779563 */   GIM_Try, /*On fail goto*//*Label 24168*/ GIMT_Encode4(1779649), // Rule ID 11941 //
     /* 1779568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1779579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1779582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1779585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1779588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1779598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779614 */     // MIs[0] policy
     /* 1779614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779624 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1779627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779648 */     // GIR_Coverage, 11941,
     /* 1779648 */     GIR_EraseRootFromParent_Done,
     /* 1779649 */   // Label 24168: @1779649
     /* 1779649 */   GIM_Try, /*On fail goto*//*Label 24169*/ GIMT_Encode4(1779735), // Rule ID 11942 //
     /* 1779654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1779665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1779668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1779671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1779674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1779684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779700 */     // MIs[0] policy
     /* 1779700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779710 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1779713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779734 */     // GIR_Coverage, 11942,
     /* 1779734 */     GIR_EraseRootFromParent_Done,
     /* 1779735 */   // Label 24169: @1779735
     /* 1779735 */   GIM_Try, /*On fail goto*//*Label 24170*/ GIMT_Encode4(1779821), // Rule ID 11945 //
     /* 1779740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1779743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1779751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1779754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1779757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1779760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779786 */     // MIs[0] policy
     /* 1779786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779796 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1779799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1779817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779820 */     // GIR_Coverage, 11945,
     /* 1779820 */     GIR_EraseRootFromParent_Done,
     /* 1779821 */   // Label 24170: @1779821
     /* 1779821 */   GIM_Try, /*On fail goto*//*Label 24171*/ GIMT_Encode4(1779907), // Rule ID 11946 //
     /* 1779826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1779829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1779837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1779840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1779843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1779846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779872 */     // MIs[0] policy
     /* 1779872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779882 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1779885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1779903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779906 */     // GIR_Coverage, 11946,
     /* 1779906 */     GIR_EraseRootFromParent_Done,
     /* 1779907 */   // Label 24171: @1779907
     /* 1779907 */   GIM_Try, /*On fail goto*//*Label 24172*/ GIMT_Encode4(1779993), // Rule ID 11949 //
     /* 1779912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1779915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1779923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1779926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1779929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1779932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779958 */     // MIs[0] policy
     /* 1779958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779968 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1779971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1779989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779992 */     // GIR_Coverage, 11949,
     /* 1779992 */     GIR_EraseRootFromParent_Done,
     /* 1779993 */   // Label 24172: @1779993
     /* 1779993 */   GIM_Try, /*On fail goto*//*Label 24173*/ GIMT_Encode4(1780079), // Rule ID 11950 //
     /* 1779998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1780001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1780009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1780012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1780015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1780018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780044 */     // MIs[0] policy
     /* 1780044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780054 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1780057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1780075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780078 */     // GIR_Coverage, 11950,
     /* 1780078 */     GIR_EraseRootFromParent_Done,
     /* 1780079 */   // Label 24173: @1780079
     /* 1780079 */   GIM_Try, /*On fail goto*//*Label 24174*/ GIMT_Encode4(1780165), // Rule ID 11953 //
     /* 1780084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1780087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1780095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1780098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1780101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1780104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780130 */     // MIs[0] policy
     /* 1780130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780140 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1780143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1780161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780164 */     // GIR_Coverage, 11953,
     /* 1780164 */     GIR_EraseRootFromParent_Done,
     /* 1780165 */   // Label 24174: @1780165
     /* 1780165 */   GIM_Try, /*On fail goto*//*Label 24175*/ GIMT_Encode4(1780251), // Rule ID 11954 //
     /* 1780170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1780173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1780181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1780184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1780187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1780190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780216 */     // MIs[0] policy
     /* 1780216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780226 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1780229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1780247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780250 */     // GIR_Coverage, 11954,
     /* 1780250 */     GIR_EraseRootFromParent_Done,
     /* 1780251 */   // Label 24175: @1780251
     /* 1780251 */   GIM_Try, /*On fail goto*//*Label 24176*/ GIMT_Encode4(1780337), // Rule ID 11957 //
     /* 1780256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1780267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1780270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1780273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1780279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780302 */     // MIs[0] policy
     /* 1780302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780312 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1780315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780336 */     // GIR_Coverage, 11957,
     /* 1780336 */     GIR_EraseRootFromParent_Done,
     /* 1780337 */   // Label 24176: @1780337
     /* 1780337 */   GIM_Try, /*On fail goto*//*Label 24177*/ GIMT_Encode4(1780423), // Rule ID 11958 //
     /* 1780342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1780353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1780356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1780359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1780365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780388 */     // MIs[0] policy
     /* 1780388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780398 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1780401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780422 */     // GIR_Coverage, 11958,
     /* 1780422 */     GIR_EraseRootFromParent_Done,
     /* 1780423 */   // Label 24177: @1780423
     /* 1780423 */   GIM_Try, /*On fail goto*//*Label 24178*/ GIMT_Encode4(1780509), // Rule ID 11961 //
     /* 1780428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1780439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1780442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1780445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1780451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780474 */     // MIs[0] policy
     /* 1780474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780484 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1780487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780508 */     // GIR_Coverage, 11961,
     /* 1780508 */     GIR_EraseRootFromParent_Done,
     /* 1780509 */   // Label 24178: @1780509
     /* 1780509 */   GIM_Try, /*On fail goto*//*Label 24179*/ GIMT_Encode4(1780595), // Rule ID 11962 //
     /* 1780514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1780525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1780528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1780531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1780537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780560 */     // MIs[0] policy
     /* 1780560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780570 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1780573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780594 */     // GIR_Coverage, 11962,
     /* 1780594 */     GIR_EraseRootFromParent_Done,
     /* 1780595 */   // Label 24179: @1780595
     /* 1780595 */   GIM_Try, /*On fail goto*//*Label 24180*/ GIMT_Encode4(1780681), // Rule ID 11965 //
     /* 1780600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1780611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1780614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1780617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780646 */     // MIs[0] policy
     /* 1780646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780656 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1780659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780680 */     // GIR_Coverage, 11965,
     /* 1780680 */     GIR_EraseRootFromParent_Done,
     /* 1780681 */   // Label 24180: @1780681
     /* 1780681 */   GIM_Try, /*On fail goto*//*Label 24181*/ GIMT_Encode4(1780767), // Rule ID 11966 //
     /* 1780686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1780697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1780700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1780703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780732 */     // MIs[0] policy
     /* 1780732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780742 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1780745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780766 */     // GIR_Coverage, 11966,
     /* 1780766 */     GIR_EraseRootFromParent_Done,
     /* 1780767 */   // Label 24181: @1780767
     /* 1780767 */   GIM_Try, /*On fail goto*//*Label 24182*/ GIMT_Encode4(1780853), // Rule ID 11969 //
     /* 1780772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1780783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1780786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1780789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1780795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780818 */     // MIs[0] policy
     /* 1780818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780828 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1780831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780852 */     // GIR_Coverage, 11969,
     /* 1780852 */     GIR_EraseRootFromParent_Done,
     /* 1780853 */   // Label 24182: @1780853
     /* 1780853 */   GIM_Try, /*On fail goto*//*Label 24183*/ GIMT_Encode4(1780939), // Rule ID 11970 //
     /* 1780858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1780869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1780872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1780875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1780881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780904 */     // MIs[0] policy
     /* 1780904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780914 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1780917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780938 */     // GIR_Coverage, 11970,
     /* 1780938 */     GIR_EraseRootFromParent_Done,
     /* 1780939 */   // Label 24183: @1780939
     /* 1780939 */   GIM_Try, /*On fail goto*//*Label 24184*/ GIMT_Encode4(1781025), // Rule ID 11973 //
     /* 1780944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1780952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1780955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1780958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1780961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1780967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780990 */     // MIs[0] policy
     /* 1780990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781000 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1781003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781024 */     // GIR_Coverage, 11973,
     /* 1781024 */     GIR_EraseRootFromParent_Done,
     /* 1781025 */   // Label 24184: @1781025
     /* 1781025 */   GIM_Try, /*On fail goto*//*Label 24185*/ GIMT_Encode4(1781111), // Rule ID 11974 //
     /* 1781030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1781041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1781044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1781047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781076 */     // MIs[0] policy
     /* 1781076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781086 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1781089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781110 */     // GIR_Coverage, 11974,
     /* 1781110 */     GIR_EraseRootFromParent_Done,
     /* 1781111 */   // Label 24185: @1781111
     /* 1781111 */   GIM_Try, /*On fail goto*//*Label 24186*/ GIMT_Encode4(1781197), // Rule ID 11977 //
     /* 1781116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1781127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1781130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1781133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781162 */     // MIs[0] policy
     /* 1781162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781172 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1781175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781196 */     // GIR_Coverage, 11977,
     /* 1781196 */     GIR_EraseRootFromParent_Done,
     /* 1781197 */   // Label 24186: @1781197
     /* 1781197 */   GIM_Try, /*On fail goto*//*Label 24187*/ GIMT_Encode4(1781283), // Rule ID 11978 //
     /* 1781202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1781213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1781216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1781219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781248 */     // MIs[0] policy
     /* 1781248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781258 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1781261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781282 */     // GIR_Coverage, 11978,
     /* 1781282 */     GIR_EraseRootFromParent_Done,
     /* 1781283 */   // Label 24187: @1781283
     /* 1781283 */   GIM_Try, /*On fail goto*//*Label 24188*/ GIMT_Encode4(1781369), // Rule ID 11981 //
     /* 1781288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1781299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1781302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1781305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781334 */     // MIs[0] policy
     /* 1781334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781344 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1781347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781368 */     // GIR_Coverage, 11981,
     /* 1781368 */     GIR_EraseRootFromParent_Done,
     /* 1781369 */   // Label 24188: @1781369
     /* 1781369 */   GIM_Try, /*On fail goto*//*Label 24189*/ GIMT_Encode4(1781455), // Rule ID 11982 //
     /* 1781374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1781385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1781388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1781391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781420 */     // MIs[0] policy
     /* 1781420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781430 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1781433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781454 */     // GIR_Coverage, 11982,
     /* 1781454 */     GIR_EraseRootFromParent_Done,
     /* 1781455 */   // Label 24189: @1781455
     /* 1781455 */   GIM_Try, /*On fail goto*//*Label 24190*/ GIMT_Encode4(1781541), // Rule ID 11985 //
     /* 1781460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1781471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1781474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1781477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781506 */     // MIs[0] policy
     /* 1781506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781516 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1781519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781540 */     // GIR_Coverage, 11985,
     /* 1781540 */     GIR_EraseRootFromParent_Done,
     /* 1781541 */   // Label 24190: @1781541
     /* 1781541 */   GIM_Try, /*On fail goto*//*Label 24191*/ GIMT_Encode4(1781627), // Rule ID 11986 //
     /* 1781546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1781557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1781560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1781563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781592 */     // MIs[0] policy
     /* 1781592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781602 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1781605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781626 */     // GIR_Coverage, 11986,
     /* 1781626 */     GIR_EraseRootFromParent_Done,
     /* 1781627 */   // Label 24191: @1781627
     /* 1781627 */   GIM_Try, /*On fail goto*//*Label 24192*/ GIMT_Encode4(1781713), // Rule ID 11989 //
     /* 1781632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1781643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1781646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1781649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781678 */     // MIs[0] policy
     /* 1781678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781688 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1781691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781712 */     // GIR_Coverage, 11989,
     /* 1781712 */     GIR_EraseRootFromParent_Done,
     /* 1781713 */   // Label 24192: @1781713
     /* 1781713 */   GIM_Try, /*On fail goto*//*Label 24193*/ GIMT_Encode4(1781799), // Rule ID 11990 //
     /* 1781718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1781729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1781732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1781735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781764 */     // MIs[0] policy
     /* 1781764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781774 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1781777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781798 */     // GIR_Coverage, 11990,
     /* 1781798 */     GIR_EraseRootFromParent_Done,
     /* 1781799 */   // Label 24193: @1781799
     /* 1781799 */   GIM_Try, /*On fail goto*//*Label 24194*/ GIMT_Encode4(1781885), // Rule ID 11993 //
     /* 1781804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1781807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1781815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1781818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1781821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781850 */     // MIs[0] policy
     /* 1781850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781860 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1781863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781884 */     // GIR_Coverage, 11993,
     /* 1781884 */     GIR_EraseRootFromParent_Done,
     /* 1781885 */   // Label 24194: @1781885
     /* 1781885 */   GIM_Try, /*On fail goto*//*Label 24195*/ GIMT_Encode4(1781971), // Rule ID 11994 //
     /* 1781890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1781893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1781901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1781904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1781907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781936 */     // MIs[0] policy
     /* 1781936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781946 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1781949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781970 */     // GIR_Coverage, 11994,
     /* 1781970 */     GIR_EraseRootFromParent_Done,
     /* 1781971 */   // Label 24195: @1781971
     /* 1781971 */   GIM_Try, /*On fail goto*//*Label 24196*/ GIMT_Encode4(1782057), // Rule ID 11997 //
     /* 1781976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1781984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1781987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1781990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1781993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1781999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1782006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782022 */     // MIs[0] policy
     /* 1782022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782032 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1782035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782056 */     // GIR_Coverage, 11997,
     /* 1782056 */     GIR_EraseRootFromParent_Done,
     /* 1782057 */   // Label 24196: @1782057
     /* 1782057 */   GIM_Try, /*On fail goto*//*Label 24197*/ GIMT_Encode4(1782143), // Rule ID 11998 //
     /* 1782062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1782073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1782076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1782079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1782085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1782092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782108 */     // MIs[0] policy
     /* 1782108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782118 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1782121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782142 */     // GIR_Coverage, 11998,
     /* 1782142 */     GIR_EraseRootFromParent_Done,
     /* 1782143 */   // Label 24197: @1782143
     /* 1782143 */   GIM_Try, /*On fail goto*//*Label 24198*/ GIMT_Encode4(1782229), // Rule ID 12001 //
     /* 1782148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1782159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1782162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1782165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1782171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1782178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782194 */     // MIs[0] policy
     /* 1782194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782204 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1782207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782228 */     // GIR_Coverage, 12001,
     /* 1782228 */     GIR_EraseRootFromParent_Done,
     /* 1782229 */   // Label 24198: @1782229
     /* 1782229 */   GIM_Try, /*On fail goto*//*Label 24199*/ GIMT_Encode4(1782315), // Rule ID 12002 //
     /* 1782234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1782245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1782248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1782251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1782257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1782264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782280 */     // MIs[0] policy
     /* 1782280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782290 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1782293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782314 */     // GIR_Coverage, 12002,
     /* 1782314 */     GIR_EraseRootFromParent_Done,
     /* 1782315 */   // Label 24199: @1782315
     /* 1782315 */   GIM_Try, /*On fail goto*//*Label 24200*/ GIMT_Encode4(1782401), // Rule ID 12005 //
     /* 1782320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1782331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1782334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1782337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1782343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1782350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782366 */     // MIs[0] policy
     /* 1782366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782376 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1782379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782400 */     // GIR_Coverage, 12005,
     /* 1782400 */     GIR_EraseRootFromParent_Done,
     /* 1782401 */   // Label 24200: @1782401
     /* 1782401 */   GIM_Try, /*On fail goto*//*Label 24201*/ GIMT_Encode4(1782487), // Rule ID 12006 //
     /* 1782406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1782417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1782420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1782423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1782429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1782436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782452 */     // MIs[0] policy
     /* 1782452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782462 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1782465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782486 */     // GIR_Coverage, 12006,
     /* 1782486 */     GIR_EraseRootFromParent_Done,
     /* 1782487 */   // Label 24201: @1782487
     /* 1782487 */   GIM_Try, /*On fail goto*//*Label 24202*/ GIMT_Encode4(1782573), // Rule ID 12009 //
     /* 1782492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1782503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1782506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1782509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1782522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782538 */     // MIs[0] policy
     /* 1782538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782548 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1782551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782572 */     // GIR_Coverage, 12009,
     /* 1782572 */     GIR_EraseRootFromParent_Done,
     /* 1782573 */   // Label 24202: @1782573
     /* 1782573 */   GIM_Try, /*On fail goto*//*Label 24203*/ GIMT_Encode4(1782659), // Rule ID 12010 //
     /* 1782578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1782589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1782592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1782595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1782608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782624 */     // MIs[0] policy
     /* 1782624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782634 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1782637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782658 */     // GIR_Coverage, 12010,
     /* 1782658 */     GIR_EraseRootFromParent_Done,
     /* 1782659 */   // Label 24203: @1782659
     /* 1782659 */   GIM_Try, /*On fail goto*//*Label 24204*/ GIMT_Encode4(1782745), // Rule ID 12013 //
     /* 1782664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1782675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1782678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1782681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1782687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1782694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782710 */     // MIs[0] policy
     /* 1782710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782720 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1782723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782744 */     // GIR_Coverage, 12013,
     /* 1782744 */     GIR_EraseRootFromParent_Done,
     /* 1782745 */   // Label 24204: @1782745
     /* 1782745 */   GIM_Try, /*On fail goto*//*Label 24205*/ GIMT_Encode4(1782831), // Rule ID 12014 //
     /* 1782750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1782761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1782764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1782767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1782773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1782780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782796 */     // MIs[0] policy
     /* 1782796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782806 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1782809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782830 */     // GIR_Coverage, 12014,
     /* 1782830 */     GIR_EraseRootFromParent_Done,
     /* 1782831 */   // Label 24205: @1782831
     /* 1782831 */   GIM_Try, /*On fail goto*//*Label 24206*/ GIMT_Encode4(1782917), // Rule ID 12017 //
     /* 1782836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1782847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1782850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1782853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1782859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1782866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782882 */     // MIs[0] policy
     /* 1782882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782892 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1782895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782916 */     // GIR_Coverage, 12017,
     /* 1782916 */     GIR_EraseRootFromParent_Done,
     /* 1782917 */   // Label 24206: @1782917
     /* 1782917 */   GIM_Try, /*On fail goto*//*Label 24207*/ GIMT_Encode4(1783003), // Rule ID 12018 //
     /* 1782922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1782930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1782933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1782936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1782939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1782945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1782952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782968 */     // MIs[0] policy
     /* 1782968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782978 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1782981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783002 */     // GIR_Coverage, 12018,
     /* 1783002 */     GIR_EraseRootFromParent_Done,
     /* 1783003 */   // Label 24207: @1783003
     /* 1783003 */   GIM_Try, /*On fail goto*//*Label 24208*/ GIMT_Encode4(1783089), // Rule ID 12021 //
     /* 1783008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1783019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1783022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1783025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1783031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783054 */     // MIs[0] policy
     /* 1783054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783064 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1783067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783088 */     // GIR_Coverage, 12021,
     /* 1783088 */     GIR_EraseRootFromParent_Done,
     /* 1783089 */   // Label 24208: @1783089
     /* 1783089 */   GIM_Try, /*On fail goto*//*Label 24209*/ GIMT_Encode4(1783175), // Rule ID 12022 //
     /* 1783094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1783105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1783108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1783111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1783117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783140 */     // MIs[0] policy
     /* 1783140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783150 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1783153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783174 */     // GIR_Coverage, 12022,
     /* 1783174 */     GIR_EraseRootFromParent_Done,
     /* 1783175 */   // Label 24209: @1783175
     /* 1783175 */   GIM_Try, /*On fail goto*//*Label 24210*/ GIMT_Encode4(1783261), // Rule ID 12025 //
     /* 1783180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1783191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1783194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1783197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783226 */     // MIs[0] policy
     /* 1783226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783236 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1783239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783260 */     // GIR_Coverage, 12025,
     /* 1783260 */     GIR_EraseRootFromParent_Done,
     /* 1783261 */   // Label 24210: @1783261
     /* 1783261 */   GIM_Try, /*On fail goto*//*Label 24211*/ GIMT_Encode4(1783347), // Rule ID 12026 //
     /* 1783266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1783277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1783280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1783283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783312 */     // MIs[0] policy
     /* 1783312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1783325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783346 */     // GIR_Coverage, 12026,
     /* 1783346 */     GIR_EraseRootFromParent_Done,
     /* 1783347 */   // Label 24211: @1783347
     /* 1783347 */   GIM_Try, /*On fail goto*//*Label 24212*/ GIMT_Encode4(1783433), // Rule ID 12029 //
     /* 1783352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1783363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1783366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1783369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783398 */     // MIs[0] policy
     /* 1783398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783408 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1783411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783432 */     // GIR_Coverage, 12029,
     /* 1783432 */     GIR_EraseRootFromParent_Done,
     /* 1783433 */   // Label 24212: @1783433
     /* 1783433 */   GIM_Try, /*On fail goto*//*Label 24213*/ GIMT_Encode4(1783519), // Rule ID 12030 //
     /* 1783438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1783449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1783452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1783455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783484 */     // MIs[0] policy
     /* 1783484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783494 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1783497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783518 */     // GIR_Coverage, 12030,
     /* 1783518 */     GIR_EraseRootFromParent_Done,
     /* 1783519 */   // Label 24213: @1783519
     /* 1783519 */   GIM_Try, /*On fail goto*//*Label 24214*/ GIMT_Encode4(1783605), // Rule ID 12033 //
     /* 1783524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1783527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1783535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1783538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1783541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783570 */     // MIs[0] policy
     /* 1783570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783580 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1783583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783604 */     // GIR_Coverage, 12033,
     /* 1783604 */     GIR_EraseRootFromParent_Done,
     /* 1783605 */   // Label 24214: @1783605
     /* 1783605 */   GIM_Try, /*On fail goto*//*Label 24215*/ GIMT_Encode4(1783691), // Rule ID 12034 //
     /* 1783610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1783613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1783621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1783624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1783627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783656 */     // MIs[0] policy
     /* 1783656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783666 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1783669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783690 */     // GIR_Coverage, 12034,
     /* 1783690 */     GIR_EraseRootFromParent_Done,
     /* 1783691 */   // Label 24215: @1783691
     /* 1783691 */   GIM_Try, /*On fail goto*//*Label 24216*/ GIMT_Encode4(1783777), // Rule ID 12037 //
     /* 1783696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1783699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1783707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1783710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1783713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1783719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783742 */     // MIs[0] policy
     /* 1783742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783752 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1783755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783776 */     // GIR_Coverage, 12037,
     /* 1783776 */     GIR_EraseRootFromParent_Done,
     /* 1783777 */   // Label 24216: @1783777
     /* 1783777 */   GIM_Try, /*On fail goto*//*Label 24217*/ GIMT_Encode4(1783863), // Rule ID 12038 //
     /* 1783782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1783785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1783793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1783796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1783799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1783805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783828 */     // MIs[0] policy
     /* 1783828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783838 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1783841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783862 */     // GIR_Coverage, 12038,
     /* 1783862 */     GIR_EraseRootFromParent_Done,
     /* 1783863 */   // Label 24217: @1783863
     /* 1783863 */   GIM_Try, /*On fail goto*//*Label 24218*/ GIMT_Encode4(1783949), // Rule ID 12041 //
     /* 1783868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1783871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1783879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1783882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1783885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783914 */     // MIs[0] policy
     /* 1783914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783924 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1783927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783948 */     // GIR_Coverage, 12041,
     /* 1783948 */     GIR_EraseRootFromParent_Done,
     /* 1783949 */   // Label 24218: @1783949
     /* 1783949 */   GIM_Try, /*On fail goto*//*Label 24219*/ GIMT_Encode4(1784035), // Rule ID 12042 //
     /* 1783954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1783957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1783962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1783965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1783968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1783971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784000 */     // MIs[0] policy
     /* 1784000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784010 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1784013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784034 */     // GIR_Coverage, 12042,
     /* 1784034 */     GIR_EraseRootFromParent_Done,
     /* 1784035 */   // Label 24219: @1784035
     /* 1784035 */   GIM_Try, /*On fail goto*//*Label 24220*/ GIMT_Encode4(1784121), // Rule ID 12045 //
     /* 1784040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1784051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1784054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1784057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1784060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1784063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784086 */     // MIs[0] policy
     /* 1784086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784096 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1784099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784120 */     // GIR_Coverage, 12045,
     /* 1784120 */     GIR_EraseRootFromParent_Done,
     /* 1784121 */   // Label 24220: @1784121
     /* 1784121 */   GIM_Try, /*On fail goto*//*Label 24221*/ GIMT_Encode4(1784207), // Rule ID 12046 //
     /* 1784126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1784137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1784140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1784143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1784146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1784149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784172 */     // MIs[0] policy
     /* 1784172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784182 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1784185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784206 */     // GIR_Coverage, 12046,
     /* 1784206 */     GIR_EraseRootFromParent_Done,
     /* 1784207 */   // Label 24221: @1784207
     /* 1784207 */   GIM_Try, /*On fail goto*//*Label 24222*/ GIMT_Encode4(1784293), // Rule ID 12049 //
     /* 1784212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1784223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1784226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1784229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1784232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1784235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784258 */     // MIs[0] policy
     /* 1784258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784268 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1784271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784292 */     // GIR_Coverage, 12049,
     /* 1784292 */     GIR_EraseRootFromParent_Done,
     /* 1784293 */   // Label 24222: @1784293
     /* 1784293 */   GIM_Try, /*On fail goto*//*Label 24223*/ GIMT_Encode4(1784379), // Rule ID 12050 //
     /* 1784298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1784309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1784312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1784315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1784318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1784321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784344 */     // MIs[0] policy
     /* 1784344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784354 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1784357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784378 */     // GIR_Coverage, 12050,
     /* 1784378 */     GIR_EraseRootFromParent_Done,
     /* 1784379 */   // Label 24223: @1784379
     /* 1784379 */   GIM_Try, /*On fail goto*//*Label 24224*/ GIMT_Encode4(1784465), // Rule ID 12053 //
     /* 1784384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1784395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1784398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1784401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1784404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784430 */     // MIs[0] policy
     /* 1784430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784440 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1784443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784464 */     // GIR_Coverage, 12053,
     /* 1784464 */     GIR_EraseRootFromParent_Done,
     /* 1784465 */   // Label 24224: @1784465
     /* 1784465 */   GIM_Try, /*On fail goto*//*Label 24225*/ GIMT_Encode4(1784551), // Rule ID 12054 //
     /* 1784470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1784481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1784484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1784487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1784490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784516 */     // MIs[0] policy
     /* 1784516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784526 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1784529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784550 */     // GIR_Coverage, 12054,
     /* 1784550 */     GIR_EraseRootFromParent_Done,
     /* 1784551 */   // Label 24225: @1784551
     /* 1784551 */   GIM_Try, /*On fail goto*//*Label 24226*/ GIMT_Encode4(1784637), // Rule ID 12057 //
     /* 1784556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1784567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1784570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1784573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1784576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1784579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784602 */     // MIs[0] policy
     /* 1784602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784612 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1784615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784636 */     // GIR_Coverage, 12057,
     /* 1784636 */     GIR_EraseRootFromParent_Done,
     /* 1784637 */   // Label 24226: @1784637
     /* 1784637 */   GIM_Try, /*On fail goto*//*Label 24227*/ GIMT_Encode4(1784723), // Rule ID 12058 //
     /* 1784642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1784653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1784656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1784659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1784662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1784665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784688 */     // MIs[0] policy
     /* 1784688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784698 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1784701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784722 */     // GIR_Coverage, 12058,
     /* 1784722 */     GIR_EraseRootFromParent_Done,
     /* 1784723 */   // Label 24227: @1784723
     /* 1784723 */   GIM_Try, /*On fail goto*//*Label 24228*/ GIMT_Encode4(1784809), // Rule ID 12061 //
     /* 1784728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1784739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1784742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1784745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1784748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1784751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784774 */     // MIs[0] policy
     /* 1784774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784784 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1784787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784808 */     // GIR_Coverage, 12061,
     /* 1784808 */     GIR_EraseRootFromParent_Done,
     /* 1784809 */   // Label 24228: @1784809
     /* 1784809 */   GIM_Try, /*On fail goto*//*Label 24229*/ GIMT_Encode4(1784895), // Rule ID 12062 //
     /* 1784814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1784825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1784828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1784831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1784834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1784837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784860 */     // MIs[0] policy
     /* 1784860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784870 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1784873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784894 */     // GIR_Coverage, 12062,
     /* 1784894 */     GIR_EraseRootFromParent_Done,
     /* 1784895 */   // Label 24229: @1784895
     /* 1784895 */   GIM_Try, /*On fail goto*//*Label 24230*/ GIMT_Encode4(1784981), // Rule ID 12065 //
     /* 1784900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1784911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1784914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1784917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1784920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1784923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784946 */     // MIs[0] policy
     /* 1784946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784956 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1784959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784980 */     // GIR_Coverage, 12065,
     /* 1784980 */     GIR_EraseRootFromParent_Done,
     /* 1784981 */   // Label 24230: @1784981
     /* 1784981 */   GIM_Try, /*On fail goto*//*Label 24231*/ GIMT_Encode4(1785067), // Rule ID 12066 //
     /* 1784986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1784997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1785000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1785003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1785006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785032 */     // MIs[0] policy
     /* 1785032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785042 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1785045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785066 */     // GIR_Coverage, 12066,
     /* 1785066 */     GIR_EraseRootFromParent_Done,
     /* 1785067 */   // Label 24231: @1785067
     /* 1785067 */   GIM_Try, /*On fail goto*//*Label 24232*/ GIMT_Encode4(1785153), // Rule ID 12069 //
     /* 1785072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1785083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1785086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1785089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1785092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785118 */     // MIs[0] policy
     /* 1785118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785128 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1785131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785152 */     // GIR_Coverage, 12069,
     /* 1785152 */     GIR_EraseRootFromParent_Done,
     /* 1785153 */   // Label 24232: @1785153
     /* 1785153 */   GIM_Try, /*On fail goto*//*Label 24233*/ GIMT_Encode4(1785239), // Rule ID 12070 //
     /* 1785158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1785169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1785172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1785175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1785178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785204 */     // MIs[0] policy
     /* 1785204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785214 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1785217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785238 */     // GIR_Coverage, 12070,
     /* 1785238 */     GIR_EraseRootFromParent_Done,
     /* 1785239 */   // Label 24233: @1785239
     /* 1785239 */   GIM_Try, /*On fail goto*//*Label 24234*/ GIMT_Encode4(1785325), // Rule ID 12073 //
     /* 1785244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1785255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1785258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1785261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1785264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785290 */     // MIs[0] policy
     /* 1785290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785300 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1785303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785324 */     // GIR_Coverage, 12073,
     /* 1785324 */     GIR_EraseRootFromParent_Done,
     /* 1785325 */   // Label 24234: @1785325
     /* 1785325 */   GIM_Try, /*On fail goto*//*Label 24235*/ GIMT_Encode4(1785411), // Rule ID 12074 //
     /* 1785330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1785341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1785344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1785347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1785350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785376 */     // MIs[0] policy
     /* 1785376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785386 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1785389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785410 */     // GIR_Coverage, 12074,
     /* 1785410 */     GIR_EraseRootFromParent_Done,
     /* 1785411 */   // Label 24235: @1785411
     /* 1785411 */   GIM_Try, /*On fail goto*//*Label 24236*/ GIMT_Encode4(1785497), // Rule ID 12077 //
     /* 1785416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1785427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1785430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1785433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1785436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785462 */     // MIs[0] policy
     /* 1785462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1785475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785496 */     // GIR_Coverage, 12077,
     /* 1785496 */     GIR_EraseRootFromParent_Done,
     /* 1785497 */   // Label 24236: @1785497
     /* 1785497 */   GIM_Try, /*On fail goto*//*Label 24237*/ GIMT_Encode4(1785583), // Rule ID 12078 //
     /* 1785502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1785513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1785516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1785519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1785522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785548 */     // MIs[0] policy
     /* 1785548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785558 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1785561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785582 */     // GIR_Coverage, 12078,
     /* 1785582 */     GIR_EraseRootFromParent_Done,
     /* 1785583 */   // Label 24237: @1785583
     /* 1785583 */   GIM_Try, /*On fail goto*//*Label 24238*/ GIMT_Encode4(1785669), // Rule ID 12081 //
     /* 1785588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1785591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1785599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1785602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1785605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1785608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785634 */     // MIs[0] policy
     /* 1785634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785644 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1785647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785668 */     // GIR_Coverage, 12081,
     /* 1785668 */     GIR_EraseRootFromParent_Done,
     /* 1785669 */   // Label 24238: @1785669
     /* 1785669 */   GIM_Try, /*On fail goto*//*Label 24239*/ GIMT_Encode4(1785755), // Rule ID 12082 //
     /* 1785674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1785677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1785685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1785688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1785691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1785694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785720 */     // MIs[0] policy
     /* 1785720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785730 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1785733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785754 */     // GIR_Coverage, 12082,
     /* 1785754 */     GIR_EraseRootFromParent_Done,
     /* 1785755 */   // Label 24239: @1785755
     /* 1785755 */   GIM_Try, /*On fail goto*//*Label 24240*/ GIMT_Encode4(1785841), // Rule ID 12085 //
     /* 1785760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1785771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1785774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1785777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1785780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1785783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785806 */     // MIs[0] policy
     /* 1785806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785816 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1785819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785840 */     // GIR_Coverage, 12085,
     /* 1785840 */     GIR_EraseRootFromParent_Done,
     /* 1785841 */   // Label 24240: @1785841
     /* 1785841 */   GIM_Try, /*On fail goto*//*Label 24241*/ GIMT_Encode4(1785927), // Rule ID 12086 //
     /* 1785846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1785857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1785860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1785863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1785866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1785869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785892 */     // MIs[0] policy
     /* 1785892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785902 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1785905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785926 */     // GIR_Coverage, 12086,
     /* 1785926 */     GIR_EraseRootFromParent_Done,
     /* 1785927 */   // Label 24241: @1785927
     /* 1785927 */   GIM_Try, /*On fail goto*//*Label 24242*/ GIMT_Encode4(1786013), // Rule ID 12089 //
     /* 1785932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1785943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1785946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1785949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1785952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1785955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785978 */     // MIs[0] policy
     /* 1785978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785988 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1785991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786012 */     // GIR_Coverage, 12089,
     /* 1786012 */     GIR_EraseRootFromParent_Done,
     /* 1786013 */   // Label 24242: @1786013
     /* 1786013 */   GIM_Try, /*On fail goto*//*Label 24243*/ GIMT_Encode4(1786099), // Rule ID 12090 //
     /* 1786018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1786029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1786032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1786035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1786038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1786041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1786048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786064 */     // MIs[0] policy
     /* 1786064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786074 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1786077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786098 */     // GIR_Coverage, 12090,
     /* 1786098 */     GIR_EraseRootFromParent_Done,
     /* 1786099 */   // Label 24243: @1786099
     /* 1786099 */   GIM_Try, /*On fail goto*//*Label 24244*/ GIMT_Encode4(1786185), // Rule ID 12093 //
     /* 1786104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1786115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1786118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1786121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1786124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1786127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1786134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786150 */     // MIs[0] policy
     /* 1786150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786160 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1786163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786184 */     // GIR_Coverage, 12093,
     /* 1786184 */     GIR_EraseRootFromParent_Done,
     /* 1786185 */   // Label 24244: @1786185
     /* 1786185 */   GIM_Try, /*On fail goto*//*Label 24245*/ GIMT_Encode4(1786271), // Rule ID 12094 //
     /* 1786190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1786201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1786204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1786207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1786210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1786213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1786220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786236 */     // MIs[0] policy
     /* 1786236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786246 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1786249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786270 */     // GIR_Coverage, 12094,
     /* 1786270 */     GIR_EraseRootFromParent_Done,
     /* 1786271 */   // Label 24245: @1786271
     /* 1786271 */   GIM_Try, /*On fail goto*//*Label 24246*/ GIMT_Encode4(1786357), // Rule ID 12097 //
     /* 1786276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1786287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1786290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1786293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1786296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1786306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786322 */     // MIs[0] policy
     /* 1786322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786332 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1786335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786356 */     // GIR_Coverage, 12097,
     /* 1786356 */     GIR_EraseRootFromParent_Done,
     /* 1786357 */   // Label 24246: @1786357
     /* 1786357 */   GIM_Try, /*On fail goto*//*Label 24247*/ GIMT_Encode4(1786443), // Rule ID 12098 //
     /* 1786362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1786373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1786376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1786379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1786382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1786392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786408 */     // MIs[0] policy
     /* 1786408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786418 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1786421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786442 */     // GIR_Coverage, 12098,
     /* 1786442 */     GIR_EraseRootFromParent_Done,
     /* 1786443 */   // Label 24247: @1786443
     /* 1786443 */   GIM_Try, /*On fail goto*//*Label 24248*/ GIMT_Encode4(1786529), // Rule ID 12101 //
     /* 1786448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1786459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1786462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1786465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1786468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1786471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1786478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786494 */     // MIs[0] policy
     /* 1786494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786504 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1786507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786528 */     // GIR_Coverage, 12101,
     /* 1786528 */     GIR_EraseRootFromParent_Done,
     /* 1786529 */   // Label 24248: @1786529
     /* 1786529 */   GIM_Try, /*On fail goto*//*Label 24249*/ GIMT_Encode4(1786615), // Rule ID 12102 //
     /* 1786534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1786545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1786548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1786551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1786554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1786557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1786564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786580 */     // MIs[0] policy
     /* 1786580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786590 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1786593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786614 */     // GIR_Coverage, 12102,
     /* 1786614 */     GIR_EraseRootFromParent_Done,
     /* 1786615 */   // Label 24249: @1786615
     /* 1786615 */   GIM_Try, /*On fail goto*//*Label 24250*/ GIMT_Encode4(1786701), // Rule ID 12105 //
     /* 1786620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1786631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1786634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1786637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1786640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1786643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1786650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786666 */     // MIs[0] policy
     /* 1786666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786676 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1786679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786700 */     // GIR_Coverage, 12105,
     /* 1786700 */     GIR_EraseRootFromParent_Done,
     /* 1786701 */   // Label 24250: @1786701
     /* 1786701 */   GIM_Try, /*On fail goto*//*Label 24251*/ GIMT_Encode4(1786787), // Rule ID 12106 //
     /* 1786706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1786717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1786720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1786723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1786726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1786729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1786736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786752 */     // MIs[0] policy
     /* 1786752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786762 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1786765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786786 */     // GIR_Coverage, 12106,
     /* 1786786 */     GIR_EraseRootFromParent_Done,
     /* 1786787 */   // Label 24251: @1786787
     /* 1786787 */   GIM_Try, /*On fail goto*//*Label 24252*/ GIMT_Encode4(1786873), // Rule ID 12109 //
     /* 1786792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1786803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1786806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1786809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1786812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1786822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786838 */     // MIs[0] policy
     /* 1786838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786848 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1786851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786872 */     // GIR_Coverage, 12109,
     /* 1786872 */     GIR_EraseRootFromParent_Done,
     /* 1786873 */   // Label 24252: @1786873
     /* 1786873 */   GIM_Try, /*On fail goto*//*Label 24253*/ GIMT_Encode4(1786959), // Rule ID 12110 //
     /* 1786878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1786889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1786892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1786895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1786898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1786908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786924 */     // MIs[0] policy
     /* 1786924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786934 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1786937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786958 */     // GIR_Coverage, 12110,
     /* 1786958 */     GIR_EraseRootFromParent_Done,
     /* 1786959 */   // Label 24253: @1786959
     /* 1786959 */   GIM_Try, /*On fail goto*//*Label 24254*/ GIMT_Encode4(1787045), // Rule ID 12113 //
     /* 1786964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1786975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1786978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1786981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1786984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1786994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787010 */     // MIs[0] policy
     /* 1787010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787020 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1787023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787044 */     // GIR_Coverage, 12113,
     /* 1787044 */     GIR_EraseRootFromParent_Done,
     /* 1787045 */   // Label 24254: @1787045
     /* 1787045 */   GIM_Try, /*On fail goto*//*Label 24255*/ GIMT_Encode4(1787131), // Rule ID 12114 //
     /* 1787050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1787061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1787064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1787067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1787070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787096 */     // MIs[0] policy
     /* 1787096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787106 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1787109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787130 */     // GIR_Coverage, 12114,
     /* 1787130 */     GIR_EraseRootFromParent_Done,
     /* 1787131 */   // Label 24255: @1787131
     /* 1787131 */   GIM_Try, /*On fail goto*//*Label 24256*/ GIMT_Encode4(1787217), // Rule ID 12117 //
     /* 1787136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1787147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1787150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1787153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1787156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787182 */     // MIs[0] policy
     /* 1787182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787192 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1787195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787216 */     // GIR_Coverage, 12117,
     /* 1787216 */     GIR_EraseRootFromParent_Done,
     /* 1787217 */   // Label 24256: @1787217
     /* 1787217 */   GIM_Try, /*On fail goto*//*Label 24257*/ GIMT_Encode4(1787303), // Rule ID 12118 //
     /* 1787222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1787233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1787236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1787239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1787242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787268 */     // MIs[0] policy
     /* 1787268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787278 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1787281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1787299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787302 */     // GIR_Coverage, 12118,
     /* 1787302 */     GIR_EraseRootFromParent_Done,
     /* 1787303 */   // Label 24257: @1787303
     /* 1787303 */   GIM_Try, /*On fail goto*//*Label 24258*/ GIMT_Encode4(1787389), // Rule ID 12121 //
     /* 1787308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1787311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1787319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1787322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1787325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1787328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1787331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787354 */     // MIs[0] policy
     /* 1787354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787364 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1787367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787388 */     // GIR_Coverage, 12121,
     /* 1787388 */     GIR_EraseRootFromParent_Done,
     /* 1787389 */   // Label 24258: @1787389
     /* 1787389 */   GIM_Try, /*On fail goto*//*Label 24259*/ GIMT_Encode4(1787475), // Rule ID 12122 //
     /* 1787394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1787397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1787405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1787408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1787411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1787414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1787417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787440 */     // MIs[0] policy
     /* 1787440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787450 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1787453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787474 */     // GIR_Coverage, 12122,
     /* 1787474 */     GIR_EraseRootFromParent_Done,
     /* 1787475 */   // Label 24259: @1787475
     /* 1787475 */   GIM_Try, /*On fail goto*//*Label 24260*/ GIMT_Encode4(1787561), // Rule ID 12125 //
     /* 1787480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1787483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1787491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1787494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1787497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1787500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1787503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787526 */     // MIs[0] policy
     /* 1787526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787536 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1787539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787560 */     // GIR_Coverage, 12125,
     /* 1787560 */     GIR_EraseRootFromParent_Done,
     /* 1787561 */   // Label 24260: @1787561
     /* 1787561 */   GIM_Try, /*On fail goto*//*Label 24261*/ GIMT_Encode4(1787647), // Rule ID 12126 //
     /* 1787566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1787569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1787577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1787580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1787583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1787586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1787589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787612 */     // MIs[0] policy
     /* 1787612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787622 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1787625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787646 */     // GIR_Coverage, 12126,
     /* 1787646 */     GIR_EraseRootFromParent_Done,
     /* 1787647 */   // Label 24261: @1787647
     /* 1787647 */   GIM_Try, /*On fail goto*//*Label 24262*/ GIMT_Encode4(1787733), // Rule ID 12129 //
     /* 1787652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1787655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1787663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1787666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1787669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1787672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787698 */     // MIs[0] policy
     /* 1787698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787708 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1787711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787732 */     // GIR_Coverage, 12129,
     /* 1787732 */     GIR_EraseRootFromParent_Done,
     /* 1787733 */   // Label 24262: @1787733
     /* 1787733 */   GIM_Try, /*On fail goto*//*Label 24263*/ GIMT_Encode4(1787819), // Rule ID 12130 //
     /* 1787738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1787741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1787749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1787752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1787755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1787758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787784 */     // MIs[0] policy
     /* 1787784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787794 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1787797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787818 */     // GIR_Coverage, 12130,
     /* 1787818 */     GIR_EraseRootFromParent_Done,
     /* 1787819 */   // Label 24263: @1787819
     /* 1787819 */   GIM_Try, /*On fail goto*//*Label 24264*/ GIMT_Encode4(1787905), // Rule ID 12133 //
     /* 1787824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1787835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1787838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1787841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1787847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787870 */     // MIs[0] policy
     /* 1787870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787880 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1787883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787904 */     // GIR_Coverage, 12133,
     /* 1787904 */     GIR_EraseRootFromParent_Done,
     /* 1787905 */   // Label 24264: @1787905
     /* 1787905 */   GIM_Try, /*On fail goto*//*Label 24265*/ GIMT_Encode4(1787991), // Rule ID 12134 //
     /* 1787910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1787918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1787921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1787924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1787927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1787930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1787933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787956 */     // MIs[0] policy
     /* 1787956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787966 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1787969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787990 */     // GIR_Coverage, 12134,
     /* 1787990 */     GIR_EraseRootFromParent_Done,
     /* 1787991 */   // Label 24265: @1787991
     /* 1787991 */   GIM_Try, /*On fail goto*//*Label 24266*/ GIMT_Encode4(1788077), // Rule ID 12137 //
     /* 1787996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1788007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1788010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1788013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788042 */     // MIs[0] policy
     /* 1788042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788052 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1788055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788076 */     // GIR_Coverage, 12137,
     /* 1788076 */     GIR_EraseRootFromParent_Done,
     /* 1788077 */   // Label 24266: @1788077
     /* 1788077 */   GIM_Try, /*On fail goto*//*Label 24267*/ GIMT_Encode4(1788163), // Rule ID 12138 //
     /* 1788082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1788093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1788096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1788099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788128 */     // MIs[0] policy
     /* 1788128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788138 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1788141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788162 */     // GIR_Coverage, 12138,
     /* 1788162 */     GIR_EraseRootFromParent_Done,
     /* 1788163 */   // Label 24267: @1788163
     /* 1788163 */   GIM_Try, /*On fail goto*//*Label 24268*/ GIMT_Encode4(1788249), // Rule ID 12141 //
     /* 1788168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1788179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1788182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1788185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788214 */     // MIs[0] policy
     /* 1788214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788224 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1788227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788248 */     // GIR_Coverage, 12141,
     /* 1788248 */     GIR_EraseRootFromParent_Done,
     /* 1788249 */   // Label 24268: @1788249
     /* 1788249 */   GIM_Try, /*On fail goto*//*Label 24269*/ GIMT_Encode4(1788335), // Rule ID 12142 //
     /* 1788254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1788265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1788268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1788271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788300 */     // MIs[0] policy
     /* 1788300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788310 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1788313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788334 */     // GIR_Coverage, 12142,
     /* 1788334 */     GIR_EraseRootFromParent_Done,
     /* 1788335 */   // Label 24269: @1788335
     /* 1788335 */   GIM_Try, /*On fail goto*//*Label 24270*/ GIMT_Encode4(1788421), // Rule ID 12145 //
     /* 1788340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1788351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1788354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1788357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1788363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788386 */     // MIs[0] policy
     /* 1788386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788396 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1788399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788420 */     // GIR_Coverage, 12145,
     /* 1788420 */     GIR_EraseRootFromParent_Done,
     /* 1788421 */   // Label 24270: @1788421
     /* 1788421 */   GIM_Try, /*On fail goto*//*Label 24271*/ GIMT_Encode4(1788507), // Rule ID 12146 //
     /* 1788426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1788437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1788440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1788443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1788449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788472 */     // MIs[0] policy
     /* 1788472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788482 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1788485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788506 */     // GIR_Coverage, 12146,
     /* 1788506 */     GIR_EraseRootFromParent_Done,
     /* 1788507 */   // Label 24271: @1788507
     /* 1788507 */   GIM_Try, /*On fail goto*//*Label 24272*/ GIMT_Encode4(1788593), // Rule ID 12149 //
     /* 1788512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1788523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1788526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1788529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788558 */     // MIs[0] policy
     /* 1788558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788568 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1788571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788592 */     // GIR_Coverage, 12149,
     /* 1788592 */     GIR_EraseRootFromParent_Done,
     /* 1788593 */   // Label 24272: @1788593
     /* 1788593 */   GIM_Try, /*On fail goto*//*Label 24273*/ GIMT_Encode4(1788679), // Rule ID 12150 //
     /* 1788598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1788609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1788612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1788615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788644 */     // MIs[0] policy
     /* 1788644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788654 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1788657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788678 */     // GIR_Coverage, 12150,
     /* 1788678 */     GIR_EraseRootFromParent_Done,
     /* 1788679 */   // Label 24273: @1788679
     /* 1788679 */   GIM_Try, /*On fail goto*//*Label 24274*/ GIMT_Encode4(1788765), // Rule ID 12153 //
     /* 1788684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1788695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1788698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1788701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1788707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788730 */     // MIs[0] policy
     /* 1788730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788740 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1788743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788764 */     // GIR_Coverage, 12153,
     /* 1788764 */     GIR_EraseRootFromParent_Done,
     /* 1788765 */   // Label 24274: @1788765
     /* 1788765 */   GIM_Try, /*On fail goto*//*Label 24275*/ GIMT_Encode4(1788851), // Rule ID 12154 //
     /* 1788770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1788781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1788784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1788787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1788793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788816 */     // MIs[0] policy
     /* 1788816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788826 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1788829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788850 */     // GIR_Coverage, 12154,
     /* 1788850 */     GIR_EraseRootFromParent_Done,
     /* 1788851 */   // Label 24275: @1788851
     /* 1788851 */   GIM_Try, /*On fail goto*//*Label 24276*/ GIMT_Encode4(1788937), // Rule ID 12157 //
     /* 1788856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1788867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1788870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1788873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788902 */     // MIs[0] policy
     /* 1788902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788912 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1788915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1788933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788936 */     // GIR_Coverage, 12157,
     /* 1788936 */     GIR_EraseRootFromParent_Done,
     /* 1788937 */   // Label 24276: @1788937
     /* 1788937 */   GIM_Try, /*On fail goto*//*Label 24277*/ GIMT_Encode4(1789023), // Rule ID 12158 //
     /* 1788942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1788950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1788953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1788956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1788959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788988 */     // MIs[0] policy
     /* 1788988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788998 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1789001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789022 */     // GIR_Coverage, 12158,
     /* 1789022 */     GIR_EraseRootFromParent_Done,
     /* 1789023 */   // Label 24277: @1789023
     /* 1789023 */   GIM_Try, /*On fail goto*//*Label 24278*/ GIMT_Encode4(1789109), // Rule ID 12161 //
     /* 1789028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1789039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1789042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1789045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789074 */     // MIs[0] policy
     /* 1789074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1789087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789108 */     // GIR_Coverage, 12161,
     /* 1789108 */     GIR_EraseRootFromParent_Done,
     /* 1789109 */   // Label 24278: @1789109
     /* 1789109 */   GIM_Try, /*On fail goto*//*Label 24279*/ GIMT_Encode4(1789195), // Rule ID 12162 //
     /* 1789114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1789125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1789128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1789131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789160 */     // MIs[0] policy
     /* 1789160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789170 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1789173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789194 */     // GIR_Coverage, 12162,
     /* 1789194 */     GIR_EraseRootFromParent_Done,
     /* 1789195 */   // Label 24279: @1789195
     /* 1789195 */   GIM_Try, /*On fail goto*//*Label 24280*/ GIMT_Encode4(1789281), // Rule ID 12165 //
     /* 1789200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1789211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1789214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1789217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789246 */     // MIs[0] policy
     /* 1789246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1789259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789280 */     // GIR_Coverage, 12165,
     /* 1789280 */     GIR_EraseRootFromParent_Done,
     /* 1789281 */   // Label 24280: @1789281
     /* 1789281 */   GIM_Try, /*On fail goto*//*Label 24281*/ GIMT_Encode4(1789367), // Rule ID 12166 //
     /* 1789286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1789297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1789300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1789303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789332 */     // MIs[0] policy
     /* 1789332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789342 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1789345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789366 */     // GIR_Coverage, 12166,
     /* 1789366 */     GIR_EraseRootFromParent_Done,
     /* 1789367 */   // Label 24281: @1789367
     /* 1789367 */   GIM_Try, /*On fail goto*//*Label 24282*/ GIMT_Encode4(1789453), // Rule ID 12169 //
     /* 1789372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1789375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1789383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1789386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1789389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789418 */     // MIs[0] policy
     /* 1789418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789428 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1789431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789452 */     // GIR_Coverage, 12169,
     /* 1789452 */     GIR_EraseRootFromParent_Done,
     /* 1789453 */   // Label 24282: @1789453
     /* 1789453 */   GIM_Try, /*On fail goto*//*Label 24283*/ GIMT_Encode4(1789539), // Rule ID 12170 //
     /* 1789458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1789461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1789469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1789472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1789475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789504 */     // MIs[0] policy
     /* 1789504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789514 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1789517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789538 */     // GIR_Coverage, 12170,
     /* 1789538 */     GIR_EraseRootFromParent_Done,
     /* 1789539 */   // Label 24283: @1789539
     /* 1789539 */   GIM_Try, /*On fail goto*//*Label 24284*/ GIMT_Encode4(1789625), // Rule ID 12173 //
     /* 1789544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1789555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1789558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1789561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1789567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1789574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789590 */     // MIs[0] policy
     /* 1789590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789600 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1789603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789624 */     // GIR_Coverage, 12173,
     /* 1789624 */     GIR_EraseRootFromParent_Done,
     /* 1789625 */   // Label 24284: @1789625
     /* 1789625 */   GIM_Try, /*On fail goto*//*Label 24285*/ GIMT_Encode4(1789711), // Rule ID 12174 //
     /* 1789630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1789641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1789644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1789647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1789653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1789660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789676 */     // MIs[0] policy
     /* 1789676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789686 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1789689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789710 */     // GIR_Coverage, 12174,
     /* 1789710 */     GIR_EraseRootFromParent_Done,
     /* 1789711 */   // Label 24285: @1789711
     /* 1789711 */   GIM_Try, /*On fail goto*//*Label 24286*/ GIMT_Encode4(1789797), // Rule ID 12177 //
     /* 1789716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1789727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1789730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1789733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1789739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1789746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789762 */     // MIs[0] policy
     /* 1789762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789772 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1789775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789796 */     // GIR_Coverage, 12177,
     /* 1789796 */     GIR_EraseRootFromParent_Done,
     /* 1789797 */   // Label 24286: @1789797
     /* 1789797 */   GIM_Try, /*On fail goto*//*Label 24287*/ GIMT_Encode4(1789883), // Rule ID 12178 //
     /* 1789802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1789813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1789816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1789819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1789825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1789832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789848 */     // MIs[0] policy
     /* 1789848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789858 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1789861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789882 */     // GIR_Coverage, 12178,
     /* 1789882 */     GIR_EraseRootFromParent_Done,
     /* 1789883 */   // Label 24287: @1789883
     /* 1789883 */   GIM_Try, /*On fail goto*//*Label 24288*/ GIMT_Encode4(1789969), // Rule ID 12181 //
     /* 1789888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1789899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1789902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1789905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1789911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1789918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789934 */     // MIs[0] policy
     /* 1789934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789944 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1789947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789968 */     // GIR_Coverage, 12181,
     /* 1789968 */     GIR_EraseRootFromParent_Done,
     /* 1789969 */   // Label 24288: @1789969
     /* 1789969 */   GIM_Try, /*On fail goto*//*Label 24289*/ GIMT_Encode4(1790055), // Rule ID 12182 //
     /* 1789974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1789982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1789985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1789988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1789991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1789997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1790004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790020 */     // MIs[0] policy
     /* 1790020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790030 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1790033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790054 */     // GIR_Coverage, 12182,
     /* 1790054 */     GIR_EraseRootFromParent_Done,
     /* 1790055 */   // Label 24289: @1790055
     /* 1790055 */   GIM_Try, /*On fail goto*//*Label 24290*/ GIMT_Encode4(1790141), // Rule ID 12185 //
     /* 1790060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1790071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1790074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1790077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790106 */     // MIs[0] policy
     /* 1790106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790116 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1790119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790140 */     // GIR_Coverage, 12185,
     /* 1790140 */     GIR_EraseRootFromParent_Done,
     /* 1790141 */   // Label 24290: @1790141
     /* 1790141 */   GIM_Try, /*On fail goto*//*Label 24291*/ GIMT_Encode4(1790227), // Rule ID 12186 //
     /* 1790146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1790157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1790160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1790163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790192 */     // MIs[0] policy
     /* 1790192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790202 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1790205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790226 */     // GIR_Coverage, 12186,
     /* 1790226 */     GIR_EraseRootFromParent_Done,
     /* 1790227 */   // Label 24291: @1790227
     /* 1790227 */   GIM_Try, /*On fail goto*//*Label 24292*/ GIMT_Encode4(1790313), // Rule ID 12189 //
     /* 1790232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1790243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1790246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1790249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1790255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1790262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790278 */     // MIs[0] policy
     /* 1790278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790288 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1790291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790312 */     // GIR_Coverage, 12189,
     /* 1790312 */     GIR_EraseRootFromParent_Done,
     /* 1790313 */   // Label 24292: @1790313
     /* 1790313 */   GIM_Try, /*On fail goto*//*Label 24293*/ GIMT_Encode4(1790399), // Rule ID 12190 //
     /* 1790318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1790329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1790332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1790335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1790341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1790348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790364 */     // MIs[0] policy
     /* 1790364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790374 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1790377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790398 */     // GIR_Coverage, 12190,
     /* 1790398 */     GIR_EraseRootFromParent_Done,
     /* 1790399 */   // Label 24293: @1790399
     /* 1790399 */   GIM_Try, /*On fail goto*//*Label 24294*/ GIMT_Encode4(1790485), // Rule ID 12193 //
     /* 1790404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1790415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1790418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1790421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1790427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1790434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790450 */     // MIs[0] policy
     /* 1790450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790460 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1790463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790484 */     // GIR_Coverage, 12193,
     /* 1790484 */     GIR_EraseRootFromParent_Done,
     /* 1790485 */   // Label 24294: @1790485
     /* 1790485 */   GIM_Try, /*On fail goto*//*Label 24295*/ GIMT_Encode4(1790571), // Rule ID 12194 //
     /* 1790490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1790501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1790504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1790507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1790513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1790520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790536 */     // MIs[0] policy
     /* 1790536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790546 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1790549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790570 */     // GIR_Coverage, 12194,
     /* 1790570 */     GIR_EraseRootFromParent_Done,
     /* 1790571 */   // Label 24295: @1790571
     /* 1790571 */   GIM_Try, /*On fail goto*//*Label 24296*/ GIMT_Encode4(1790657), // Rule ID 12197 //
     /* 1790576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1790587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1790590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1790593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790622 */     // MIs[0] policy
     /* 1790622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790632 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1790635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790656 */     // GIR_Coverage, 12197,
     /* 1790656 */     GIR_EraseRootFromParent_Done,
     /* 1790657 */   // Label 24296: @1790657
     /* 1790657 */   GIM_Try, /*On fail goto*//*Label 24297*/ GIMT_Encode4(1790743), // Rule ID 12198 //
     /* 1790662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1790673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1790676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1790679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790708 */     // MIs[0] policy
     /* 1790708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790718 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1790721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790742 */     // GIR_Coverage, 12198,
     /* 1790742 */     GIR_EraseRootFromParent_Done,
     /* 1790743 */   // Label 24297: @1790743
     /* 1790743 */   GIM_Try, /*On fail goto*//*Label 24298*/ GIMT_Encode4(1790829), // Rule ID 12201 //
     /* 1790748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1790759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1790762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1790765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1790778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790794 */     // MIs[0] policy
     /* 1790794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790804 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1790807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790828 */     // GIR_Coverage, 12201,
     /* 1790828 */     GIR_EraseRootFromParent_Done,
     /* 1790829 */   // Label 24298: @1790829
     /* 1790829 */   GIM_Try, /*On fail goto*//*Label 24299*/ GIMT_Encode4(1790915), // Rule ID 12202 //
     /* 1790834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1790845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1790848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1790851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1790864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790880 */     // MIs[0] policy
     /* 1790880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790890 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1790893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790914 */     // GIR_Coverage, 12202,
     /* 1790914 */     GIR_EraseRootFromParent_Done,
     /* 1790915 */   // Label 24299: @1790915
     /* 1790915 */   GIM_Try, /*On fail goto*//*Label 24300*/ GIMT_Encode4(1791001), // Rule ID 12205 //
     /* 1790920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1790928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1790931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1790934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1790937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1790943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1790950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790966 */     // MIs[0] policy
     /* 1790966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790976 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1790979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791000 */     // GIR_Coverage, 12205,
     /* 1791000 */     GIR_EraseRootFromParent_Done,
     /* 1791001 */   // Label 24300: @1791001
     /* 1791001 */   GIM_Try, /*On fail goto*//*Label 24301*/ GIMT_Encode4(1791087), // Rule ID 12206 //
     /* 1791006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1791017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1791020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1791023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791052 */     // MIs[0] policy
     /* 1791052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791062 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1791065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791086 */     // GIR_Coverage, 12206,
     /* 1791086 */     GIR_EraseRootFromParent_Done,
     /* 1791087 */   // Label 24301: @1791087
     /* 1791087 */   GIM_Try, /*On fail goto*//*Label 24302*/ GIMT_Encode4(1791173), // Rule ID 12209 //
     /* 1791092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1791095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1791103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1791106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1791109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1791115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791138 */     // MIs[0] policy
     /* 1791138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791148 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1791151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791172 */     // GIR_Coverage, 12209,
     /* 1791172 */     GIR_EraseRootFromParent_Done,
     /* 1791173 */   // Label 24302: @1791173
     /* 1791173 */   GIM_Try, /*On fail goto*//*Label 24303*/ GIMT_Encode4(1791259), // Rule ID 12210 //
     /* 1791178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1791181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1791189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1791192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1791195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1791201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791224 */     // MIs[0] policy
     /* 1791224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791234 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11413:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1791237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791258 */     // GIR_Coverage, 12210,
     /* 1791258 */     GIR_EraseRootFromParent_Done,
     /* 1791259 */   // Label 24303: @1791259
     /* 1791259 */   GIM_Try, /*On fail goto*//*Label 24304*/ GIMT_Encode4(1791345), // Rule ID 12213 //
     /* 1791264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1791267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1791275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1791278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1791281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791310 */     // MIs[0] policy
     /* 1791310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791320 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1791323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791344 */     // GIR_Coverage, 12213,
     /* 1791344 */     GIR_EraseRootFromParent_Done,
     /* 1791345 */   // Label 24304: @1791345
     /* 1791345 */   GIM_Try, /*On fail goto*//*Label 24305*/ GIMT_Encode4(1791431), // Rule ID 12214 //
     /* 1791350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1791353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1791361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1791364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1791367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791396 */     // MIs[0] policy
     /* 1791396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791406 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11413:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1791409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791430 */     // GIR_Coverage, 12214,
     /* 1791430 */     GIR_EraseRootFromParent_Done,
     /* 1791431 */   // Label 24305: @1791431
     /* 1791431 */   GIM_Try, /*On fail goto*//*Label 24306*/ GIMT_Encode4(1791517), // Rule ID 12217 //
     /* 1791436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1791439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1791447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1791450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1791453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791482 */     // MIs[0] policy
     /* 1791482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791492 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1791495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791516 */     // GIR_Coverage, 12217,
     /* 1791516 */     GIR_EraseRootFromParent_Done,
     /* 1791517 */   // Label 24306: @1791517
     /* 1791517 */   GIM_Try, /*On fail goto*//*Label 24307*/ GIMT_Encode4(1791603), // Rule ID 12218 //
     /* 1791522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1791525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1791530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1791533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1791536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1791539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791568 */     // MIs[0] policy
     /* 1791568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791578 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11413:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1791581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1791599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791602 */     // GIR_Coverage, 12218,
     /* 1791602 */     GIR_EraseRootFromParent_Done,
     /* 1791603 */   // Label 24307: @1791603
     /* 1791603 */   GIM_Try, /*On fail goto*//*Label 24308*/ GIMT_Encode4(1791689), // Rule ID 12221 //
     /* 1791608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1791616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1791619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1791622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1791625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1791628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1791631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791654 */     // MIs[0] policy
     /* 1791654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791664 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1791667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791688 */     // GIR_Coverage, 12221,
     /* 1791688 */     GIR_EraseRootFromParent_Done,
     /* 1791689 */   // Label 24308: @1791689
     /* 1791689 */   GIM_Try, /*On fail goto*//*Label 24309*/ GIMT_Encode4(1791775), // Rule ID 12222 //
     /* 1791694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1791702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1791705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1791708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1791711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1791714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1791717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791740 */     // MIs[0] policy
     /* 1791740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791750 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1791753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791774 */     // GIR_Coverage, 12222,
     /* 1791774 */     GIR_EraseRootFromParent_Done,
     /* 1791775 */   // Label 24309: @1791775
     /* 1791775 */   GIM_Try, /*On fail goto*//*Label 24310*/ GIMT_Encode4(1791861), // Rule ID 12225 //
     /* 1791780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1791788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1791791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1791794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1791797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1791800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1791803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791826 */     // MIs[0] policy
     /* 1791826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791836 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1791839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791860 */     // GIR_Coverage, 12225,
     /* 1791860 */     GIR_EraseRootFromParent_Done,
     /* 1791861 */   // Label 24310: @1791861
     /* 1791861 */   GIM_Try, /*On fail goto*//*Label 24311*/ GIMT_Encode4(1791947), // Rule ID 12226 //
     /* 1791866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1791874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1791877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1791880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1791883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1791886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1791889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791912 */     // MIs[0] policy
     /* 1791912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791922 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1791925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791946 */     // GIR_Coverage, 12226,
     /* 1791946 */     GIR_EraseRootFromParent_Done,
     /* 1791947 */   // Label 24311: @1791947
     /* 1791947 */   GIM_Try, /*On fail goto*//*Label 24312*/ GIMT_Encode4(1792033), // Rule ID 12229 //
     /* 1791952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1791960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1791963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1791966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1791969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1791972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791998 */     // MIs[0] policy
     /* 1791998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1792011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792032 */     // GIR_Coverage, 12229,
     /* 1792032 */     GIR_EraseRootFromParent_Done,
     /* 1792033 */   // Label 24312: @1792033
     /* 1792033 */   GIM_Try, /*On fail goto*//*Label 24313*/ GIMT_Encode4(1792119), // Rule ID 12230 //
     /* 1792038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1792046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1792049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1792052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1792055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1792058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792084 */     // MIs[0] policy
     /* 1792084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792094 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1792097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792118 */     // GIR_Coverage, 12230,
     /* 1792118 */     GIR_EraseRootFromParent_Done,
     /* 1792119 */   // Label 24313: @1792119
     /* 1792119 */   GIM_Try, /*On fail goto*//*Label 24314*/ GIMT_Encode4(1792205), // Rule ID 12233 //
     /* 1792124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1792132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1792135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1792138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1792141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1792144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792170 */     // MIs[0] policy
     /* 1792170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792180 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1792183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792204 */     // GIR_Coverage, 12233,
     /* 1792204 */     GIR_EraseRootFromParent_Done,
     /* 1792205 */   // Label 24314: @1792205
     /* 1792205 */   GIM_Try, /*On fail goto*//*Label 24315*/ GIMT_Encode4(1792291), // Rule ID 12234 //
     /* 1792210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1792218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1792221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1792224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1792227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1792230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792256 */     // MIs[0] policy
     /* 1792256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792266 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1792269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792290 */     // GIR_Coverage, 12234,
     /* 1792290 */     GIR_EraseRootFromParent_Done,
     /* 1792291 */   // Label 24315: @1792291
     /* 1792291 */   GIM_Try, /*On fail goto*//*Label 24316*/ GIMT_Encode4(1792377), // Rule ID 12237 //
     /* 1792296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1792304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1792307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1792310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1792313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1792316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792342 */     // MIs[0] policy
     /* 1792342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792352 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1792355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792376 */     // GIR_Coverage, 12237,
     /* 1792376 */     GIR_EraseRootFromParent_Done,
     /* 1792377 */   // Label 24316: @1792377
     /* 1792377 */   GIM_Try, /*On fail goto*//*Label 24317*/ GIMT_Encode4(1792463), // Rule ID 12238 //
     /* 1792382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1792390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1792393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1792396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1792399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1792402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792428 */     // MIs[0] policy
     /* 1792428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792438 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1792441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792462 */     // GIR_Coverage, 12238,
     /* 1792462 */     GIR_EraseRootFromParent_Done,
     /* 1792463 */   // Label 24317: @1792463
     /* 1792463 */   GIM_Try, /*On fail goto*//*Label 24318*/ GIMT_Encode4(1792549), // Rule ID 12241 //
     /* 1792468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1792476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1792479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1792482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1792485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1792488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1792491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792514 */     // MIs[0] policy
     /* 1792514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792524 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1792527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792548 */     // GIR_Coverage, 12241,
     /* 1792548 */     GIR_EraseRootFromParent_Done,
     /* 1792549 */   // Label 24318: @1792549
     /* 1792549 */   GIM_Try, /*On fail goto*//*Label 24319*/ GIMT_Encode4(1792635), // Rule ID 12242 //
     /* 1792554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1792562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1792565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1792568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1792571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1792574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1792577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792600 */     // MIs[0] policy
     /* 1792600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792610 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1792613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792634 */     // GIR_Coverage, 12242,
     /* 1792634 */     GIR_EraseRootFromParent_Done,
     /* 1792635 */   // Label 24319: @1792635
     /* 1792635 */   GIM_Try, /*On fail goto*//*Label 24320*/ GIMT_Encode4(1792721), // Rule ID 12245 //
     /* 1792640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1792648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1792651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1792654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1792657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1792660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792686 */     // MIs[0] policy
     /* 1792686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792696 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1792699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792720 */     // GIR_Coverage, 12245,
     /* 1792720 */     GIR_EraseRootFromParent_Done,
     /* 1792721 */   // Label 24320: @1792721
     /* 1792721 */   GIM_Try, /*On fail goto*//*Label 24321*/ GIMT_Encode4(1792807), // Rule ID 12246 //
     /* 1792726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1792734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1792737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1792740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1792743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1792746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792772 */     // MIs[0] policy
     /* 1792772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792782 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1792785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792806 */     // GIR_Coverage, 12246,
     /* 1792806 */     GIR_EraseRootFromParent_Done,
     /* 1792807 */   // Label 24321: @1792807
     /* 1792807 */   GIM_Try, /*On fail goto*//*Label 24322*/ GIMT_Encode4(1792893), // Rule ID 12249 //
     /* 1792812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1792820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1792823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1792826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1792829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1792832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792858 */     // MIs[0] policy
     /* 1792858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792868 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1792871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792892 */     // GIR_Coverage, 12249,
     /* 1792892 */     GIR_EraseRootFromParent_Done,
     /* 1792893 */   // Label 24322: @1792893
     /* 1792893 */   GIM_Try, /*On fail goto*//*Label 24323*/ GIMT_Encode4(1792979), // Rule ID 12250 //
     /* 1792898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1792906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1792909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1792912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1792915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1792918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792944 */     // MIs[0] policy
     /* 1792944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792954 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1792957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1792975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792978 */     // GIR_Coverage, 12250,
     /* 1792978 */     GIR_EraseRootFromParent_Done,
     /* 1792979 */   // Label 24323: @1792979
     /* 1792979 */   GIM_Try, /*On fail goto*//*Label 24324*/ GIMT_Encode4(1793065), // Rule ID 12253 //
     /* 1792984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1792992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1792995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1792998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1793001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1793004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793030 */     // MIs[0] policy
     /* 1793030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793040 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1793043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793064 */     // GIR_Coverage, 12253,
     /* 1793064 */     GIR_EraseRootFromParent_Done,
     /* 1793065 */   // Label 24324: @1793065
     /* 1793065 */   GIM_Try, /*On fail goto*//*Label 24325*/ GIMT_Encode4(1793151), // Rule ID 12254 //
     /* 1793070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1793081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1793084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1793087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1793090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793116 */     // MIs[0] policy
     /* 1793116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793126 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1793129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793150 */     // GIR_Coverage, 12254,
     /* 1793150 */     GIR_EraseRootFromParent_Done,
     /* 1793151 */   // Label 24325: @1793151
     /* 1793151 */   GIM_Try, /*On fail goto*//*Label 24326*/ GIMT_Encode4(1793237), // Rule ID 12257 //
     /* 1793156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1793167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1793170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1793173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1793176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793202 */     // MIs[0] policy
     /* 1793202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793212 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1793215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793236 */     // GIR_Coverage, 12257,
     /* 1793236 */     GIR_EraseRootFromParent_Done,
     /* 1793237 */   // Label 24326: @1793237
     /* 1793237 */   GIM_Try, /*On fail goto*//*Label 24327*/ GIMT_Encode4(1793323), // Rule ID 12258 //
     /* 1793242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1793253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1793256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1793259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1793262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793288 */     // MIs[0] policy
     /* 1793288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793298 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1793301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793322 */     // GIR_Coverage, 12258,
     /* 1793322 */     GIR_EraseRootFromParent_Done,
     /* 1793323 */   // Label 24327: @1793323
     /* 1793323 */   GIM_Try, /*On fail goto*//*Label 24328*/ GIMT_Encode4(1793409), // Rule ID 12261 //
     /* 1793328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1793339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1793342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1793345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1793348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1793351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1793358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793374 */     // MIs[0] policy
     /* 1793374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793384 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1793387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793408 */     // GIR_Coverage, 12261,
     /* 1793408 */     GIR_EraseRootFromParent_Done,
     /* 1793409 */   // Label 24328: @1793409
     /* 1793409 */   GIM_Try, /*On fail goto*//*Label 24329*/ GIMT_Encode4(1793495), // Rule ID 12262 //
     /* 1793414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1793425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1793428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1793431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1793434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1793437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1793444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793460 */     // MIs[0] policy
     /* 1793460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793470 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1793473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793494 */     // GIR_Coverage, 12262,
     /* 1793494 */     GIR_EraseRootFromParent_Done,
     /* 1793495 */   // Label 24329: @1793495
     /* 1793495 */   GIM_Try, /*On fail goto*//*Label 24330*/ GIMT_Encode4(1793581), // Rule ID 12265 //
     /* 1793500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1793503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1793511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1793514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1793517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1793520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793546 */     // MIs[0] policy
     /* 1793546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793556 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1793559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793580 */     // GIR_Coverage, 12265,
     /* 1793580 */     GIR_EraseRootFromParent_Done,
     /* 1793581 */   // Label 24330: @1793581
     /* 1793581 */   GIM_Try, /*On fail goto*//*Label 24331*/ GIMT_Encode4(1793667), // Rule ID 12266 //
     /* 1793586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1793589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1793597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1793600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1793603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1793606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793632 */     // MIs[0] policy
     /* 1793632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793642 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1793645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793666 */     // GIR_Coverage, 12266,
     /* 1793666 */     GIR_EraseRootFromParent_Done,
     /* 1793667 */   // Label 24331: @1793667
     /* 1793667 */   GIM_Try, /*On fail goto*//*Label 24332*/ GIMT_Encode4(1793753), // Rule ID 12269 //
     /* 1793672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1793675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1793683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1793686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1793689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1793692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793718 */     // MIs[0] policy
     /* 1793718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793728 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1793731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793752 */     // GIR_Coverage, 12269,
     /* 1793752 */     GIR_EraseRootFromParent_Done,
     /* 1793753 */   // Label 24332: @1793753
     /* 1793753 */   GIM_Try, /*On fail goto*//*Label 24333*/ GIMT_Encode4(1793839), // Rule ID 12270 //
     /* 1793758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1793761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1793769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1793772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1793775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1793778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793804 */     // MIs[0] policy
     /* 1793804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793814 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1793817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793838 */     // GIR_Coverage, 12270,
     /* 1793838 */     GIR_EraseRootFromParent_Done,
     /* 1793839 */   // Label 24333: @1793839
     /* 1793839 */   GIM_Try, /*On fail goto*//*Label 24334*/ GIMT_Encode4(1793925), // Rule ID 12273 //
     /* 1793844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1793847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1793855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1793858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1793861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1793864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793890 */     // MIs[0] policy
     /* 1793890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793900 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1793903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793924 */     // GIR_Coverage, 12273,
     /* 1793924 */     GIR_EraseRootFromParent_Done,
     /* 1793925 */   // Label 24334: @1793925
     /* 1793925 */   GIM_Try, /*On fail goto*//*Label 24335*/ GIMT_Encode4(1794011), // Rule ID 12274 //
     /* 1793930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1793933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1793938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1793941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1793944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1793947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1793950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793976 */     // MIs[0] policy
     /* 1793976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793986 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1793989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794010 */     // GIR_Coverage, 12274,
     /* 1794010 */     GIR_EraseRootFromParent_Done,
     /* 1794011 */   // Label 24335: @1794011
     /* 1794011 */   GIM_Try, /*On fail goto*//*Label 24336*/ GIMT_Encode4(1794097), // Rule ID 12277 //
     /* 1794016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1794019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1794027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1794030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1794033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1794036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794062 */     // MIs[0] policy
     /* 1794062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794072 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1794075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794096 */     // GIR_Coverage, 12277,
     /* 1794096 */     GIR_EraseRootFromParent_Done,
     /* 1794097 */   // Label 24336: @1794097
     /* 1794097 */   GIM_Try, /*On fail goto*//*Label 24337*/ GIMT_Encode4(1794183), // Rule ID 12278 //
     /* 1794102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1794105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1794113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1794116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1794119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1794122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794148 */     // MIs[0] policy
     /* 1794148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794158 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1794161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794182 */     // GIR_Coverage, 12278,
     /* 1794182 */     GIR_EraseRootFromParent_Done,
     /* 1794183 */   // Label 24337: @1794183
     /* 1794183 */   GIM_Try, /*On fail goto*//*Label 24338*/ GIMT_Encode4(1794269), // Rule ID 12281 //
     /* 1794188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1794199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1794202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1794205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794234 */     // MIs[0] policy
     /* 1794234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794244 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1794247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794268 */     // GIR_Coverage, 12281,
     /* 1794268 */     GIR_EraseRootFromParent_Done,
     /* 1794269 */   // Label 24338: @1794269
     /* 1794269 */   GIM_Try, /*On fail goto*//*Label 24339*/ GIMT_Encode4(1794355), // Rule ID 12282 //
     /* 1794274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1794285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1794288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1794291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794320 */     // MIs[0] policy
     /* 1794320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794330 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1794333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794354 */     // GIR_Coverage, 12282,
     /* 1794354 */     GIR_EraseRootFromParent_Done,
     /* 1794355 */   // Label 24339: @1794355
     /* 1794355 */   GIM_Try, /*On fail goto*//*Label 24340*/ GIMT_Encode4(1794441), // Rule ID 12285 //
     /* 1794360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1794371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1794374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1794377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794406 */     // MIs[0] policy
     /* 1794406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794416 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1794419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794440 */     // GIR_Coverage, 12285,
     /* 1794440 */     GIR_EraseRootFromParent_Done,
     /* 1794441 */   // Label 24340: @1794441
     /* 1794441 */   GIM_Try, /*On fail goto*//*Label 24341*/ GIMT_Encode4(1794527), // Rule ID 12286 //
     /* 1794446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1794457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1794460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1794463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794492 */     // MIs[0] policy
     /* 1794492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794502 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1794505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794526 */     // GIR_Coverage, 12286,
     /* 1794526 */     GIR_EraseRootFromParent_Done,
     /* 1794527 */   // Label 24341: @1794527
     /* 1794527 */   GIM_Try, /*On fail goto*//*Label 24342*/ GIMT_Encode4(1794613), // Rule ID 12289 //
     /* 1794532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1794543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1794546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1794549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794578 */     // MIs[0] policy
     /* 1794578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794588 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1794591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794612 */     // GIR_Coverage, 12289,
     /* 1794612 */     GIR_EraseRootFromParent_Done,
     /* 1794613 */   // Label 24342: @1794613
     /* 1794613 */   GIM_Try, /*On fail goto*//*Label 24343*/ GIMT_Encode4(1794699), // Rule ID 12290 //
     /* 1794618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1794629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1794632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1794635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794664 */     // MIs[0] policy
     /* 1794664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794674 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11555:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1794677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794698 */     // GIR_Coverage, 12290,
     /* 1794698 */     GIR_EraseRootFromParent_Done,
     /* 1794699 */   // Label 24343: @1794699
     /* 1794699 */   GIM_Try, /*On fail goto*//*Label 24344*/ GIMT_Encode4(1794785), // Rule ID 12293 //
     /* 1794704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1794715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1794718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1794721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794750 */     // MIs[0] policy
     /* 1794750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794760 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1794763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794784 */     // GIR_Coverage, 12293,
     /* 1794784 */     GIR_EraseRootFromParent_Done,
     /* 1794785 */   // Label 24344: @1794785
     /* 1794785 */   GIM_Try, /*On fail goto*//*Label 24345*/ GIMT_Encode4(1794871), // Rule ID 12294 //
     /* 1794790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1794801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1794804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1794807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794836 */     // MIs[0] policy
     /* 1794836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794846 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1794849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794870 */     // GIR_Coverage, 12294,
     /* 1794870 */     GIR_EraseRootFromParent_Done,
     /* 1794871 */   // Label 24345: @1794871
     /* 1794871 */   GIM_Try, /*On fail goto*//*Label 24346*/ GIMT_Encode4(1794957), // Rule ID 12297 //
     /* 1794876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1794887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1794890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1794893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794922 */     // MIs[0] policy
     /* 1794922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794932 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1794935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794956 */     // GIR_Coverage, 12297,
     /* 1794956 */     GIR_EraseRootFromParent_Done,
     /* 1794957 */   // Label 24346: @1794957
     /* 1794957 */   GIM_Try, /*On fail goto*//*Label 24347*/ GIMT_Encode4(1795043), // Rule ID 12298 //
     /* 1794962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1794970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1794973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1794976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1794979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795008 */     // MIs[0] policy
     /* 1795008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795018 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1795021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795042 */     // GIR_Coverage, 12298,
     /* 1795042 */     GIR_EraseRootFromParent_Done,
     /* 1795043 */   // Label 24347: @1795043
     /* 1795043 */   GIM_Try, /*On fail goto*//*Label 24348*/ GIMT_Encode4(1795129), // Rule ID 12301 //
     /* 1795048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1795059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1795062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1795065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1795071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795094 */     // MIs[0] policy
     /* 1795094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795104 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1795107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795128 */     // GIR_Coverage, 12301,
     /* 1795128 */     GIR_EraseRootFromParent_Done,
     /* 1795129 */   // Label 24348: @1795129
     /* 1795129 */   GIM_Try, /*On fail goto*//*Label 24349*/ GIMT_Encode4(1795215), // Rule ID 12302 //
     /* 1795134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1795145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1795148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1795151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1795157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795180 */     // MIs[0] policy
     /* 1795180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795190 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1795193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795214 */     // GIR_Coverage, 12302,
     /* 1795214 */     GIR_EraseRootFromParent_Done,
     /* 1795215 */   // Label 24349: @1795215
     /* 1795215 */   GIM_Try, /*On fail goto*//*Label 24350*/ GIMT_Encode4(1795301), // Rule ID 12305 //
     /* 1795220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1795231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1795234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1795237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795266 */     // MIs[0] policy
     /* 1795266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795276 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1795279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795300 */     // GIR_Coverage, 12305,
     /* 1795300 */     GIR_EraseRootFromParent_Done,
     /* 1795301 */   // Label 24350: @1795301
     /* 1795301 */   GIM_Try, /*On fail goto*//*Label 24351*/ GIMT_Encode4(1795387), // Rule ID 12306 //
     /* 1795306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1795317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1795320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1795323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795352 */     // MIs[0] policy
     /* 1795352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795362 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1795365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795386 */     // GIR_Coverage, 12306,
     /* 1795386 */     GIR_EraseRootFromParent_Done,
     /* 1795387 */   // Label 24351: @1795387
     /* 1795387 */   GIM_Try, /*On fail goto*//*Label 24352*/ GIMT_Encode4(1795473), // Rule ID 12309 //
     /* 1795392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1795403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1795406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1795409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795438 */     // MIs[0] policy
     /* 1795438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1795451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795472 */     // GIR_Coverage, 12309,
     /* 1795472 */     GIR_EraseRootFromParent_Done,
     /* 1795473 */   // Label 24352: @1795473
     /* 1795473 */   GIM_Try, /*On fail goto*//*Label 24353*/ GIMT_Encode4(1795559), // Rule ID 12310 //
     /* 1795478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1795489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1795492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1795495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795524 */     // MIs[0] policy
     /* 1795524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11555:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1795537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795558 */     // GIR_Coverage, 12310,
     /* 1795558 */     GIR_EraseRootFromParent_Done,
     /* 1795559 */   // Label 24353: @1795559
     /* 1795559 */   GIM_Try, /*On fail goto*//*Label 24354*/ GIMT_Encode4(1795645), // Rule ID 12313 //
     /* 1795564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1795575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1795578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1795581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795610 */     // MIs[0] policy
     /* 1795610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795620 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1795623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795644 */     // GIR_Coverage, 12313,
     /* 1795644 */     GIR_EraseRootFromParent_Done,
     /* 1795645 */   // Label 24354: @1795645
     /* 1795645 */   GIM_Try, /*On fail goto*//*Label 24355*/ GIMT_Encode4(1795731), // Rule ID 12314 //
     /* 1795650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1795661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1795664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1795667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795696 */     // MIs[0] policy
     /* 1795696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795706 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1795709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795730 */     // GIR_Coverage, 12314,
     /* 1795730 */     GIR_EraseRootFromParent_Done,
     /* 1795731 */   // Label 24355: @1795731
     /* 1795731 */   GIM_Try, /*On fail goto*//*Label 24356*/ GIMT_Encode4(1795817), // Rule ID 12317 //
     /* 1795736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1795747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1795750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1795753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795782 */     // MIs[0] policy
     /* 1795782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795792 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1795795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795816 */     // GIR_Coverage, 12317,
     /* 1795816 */     GIR_EraseRootFromParent_Done,
     /* 1795817 */   // Label 24356: @1795817
     /* 1795817 */   GIM_Try, /*On fail goto*//*Label 24357*/ GIMT_Encode4(1795903), // Rule ID 12318 //
     /* 1795822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1795833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1795836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1795839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795868 */     // MIs[0] policy
     /* 1795868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1795881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795902 */     // GIR_Coverage, 12318,
     /* 1795902 */     GIR_EraseRootFromParent_Done,
     /* 1795903 */   // Label 24357: @1795903
     /* 1795903 */   GIM_Try, /*On fail goto*//*Label 24358*/ GIMT_Encode4(1795989), // Rule ID 12321 //
     /* 1795908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1795916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1795919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1795922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1795925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1795931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795954 */     // MIs[0] policy
     /* 1795954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795964 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1795967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795988 */     // GIR_Coverage, 12321,
     /* 1795988 */     GIR_EraseRootFromParent_Done,
     /* 1795989 */   // Label 24358: @1795989
     /* 1795989 */   GIM_Try, /*On fail goto*//*Label 24359*/ GIMT_Encode4(1796075), // Rule ID 12322 //
     /* 1795994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1796005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1796008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1796011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1796017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796040 */     // MIs[0] policy
     /* 1796040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796050 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1796053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796074 */     // GIR_Coverage, 12322,
     /* 1796074 */     GIR_EraseRootFromParent_Done,
     /* 1796075 */   // Label 24359: @1796075
     /* 1796075 */   GIM_Try, /*On fail goto*//*Label 24360*/ GIMT_Encode4(1796161), // Rule ID 12325 //
     /* 1796080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1796083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1796091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1796094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1796097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796126 */     // MIs[0] policy
     /* 1796126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796136 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1796139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796160 */     // GIR_Coverage, 12325,
     /* 1796160 */     GIR_EraseRootFromParent_Done,
     /* 1796161 */   // Label 24360: @1796161
     /* 1796161 */   GIM_Try, /*On fail goto*//*Label 24361*/ GIMT_Encode4(1796247), // Rule ID 12326 //
     /* 1796166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1796169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1796177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1796180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1796183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796212 */     // MIs[0] policy
     /* 1796212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796222 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11555:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1796225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796246 */     // GIR_Coverage, 12326,
     /* 1796246 */     GIR_EraseRootFromParent_Done,
     /* 1796247 */   // Label 24361: @1796247
     /* 1796247 */   GIM_Try, /*On fail goto*//*Label 24362*/ GIMT_Encode4(1796333), // Rule ID 12329 //
     /* 1796252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1796255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1796263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1796266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1796269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796298 */     // MIs[0] policy
     /* 1796298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796308 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1796311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796332 */     // GIR_Coverage, 12329,
     /* 1796332 */     GIR_EraseRootFromParent_Done,
     /* 1796333 */   // Label 24362: @1796333
     /* 1796333 */   GIM_Try, /*On fail goto*//*Label 24363*/ GIMT_Encode4(1796419), // Rule ID 12330 //
     /* 1796338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1796341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1796349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1796352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1796355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796384 */     // MIs[0] policy
     /* 1796384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796394 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11555:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1796397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796418 */     // GIR_Coverage, 12330,
     /* 1796418 */     GIR_EraseRootFromParent_Done,
     /* 1796419 */   // Label 24363: @1796419
     /* 1796419 */   GIM_Try, /*On fail goto*//*Label 24364*/ GIMT_Encode4(1796505), // Rule ID 12333 //
     /* 1796424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1796427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1796435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1796438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1796441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796470 */     // MIs[0] policy
     /* 1796470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796480 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1796483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796504 */     // GIR_Coverage, 12333,
     /* 1796504 */     GIR_EraseRootFromParent_Done,
     /* 1796505 */   // Label 24364: @1796505
     /* 1796505 */   GIM_Try, /*On fail goto*//*Label 24365*/ GIMT_Encode4(1796591), // Rule ID 12334 //
     /* 1796510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1796513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1796521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1796524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1796527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796556 */     // MIs[0] policy
     /* 1796556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796566 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11555:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1796569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796590 */     // GIR_Coverage, 12334,
     /* 1796590 */     GIR_EraseRootFromParent_Done,
     /* 1796591 */   // Label 24365: @1796591
     /* 1796591 */   GIM_Try, /*On fail goto*//*Label 24366*/ GIMT_Encode4(1796677), // Rule ID 12337 //
     /* 1796596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1796599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1796607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1796610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1796613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796642 */     // MIs[0] policy
     /* 1796642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796652 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1796655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796676 */     // GIR_Coverage, 12337,
     /* 1796676 */     GIR_EraseRootFromParent_Done,
     /* 1796677 */   // Label 24366: @1796677
     /* 1796677 */   GIM_Try, /*On fail goto*//*Label 24367*/ GIMT_Encode4(1796763), // Rule ID 12338 //
     /* 1796682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1796685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1796690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1796693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1796696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1796699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796728 */     // MIs[0] policy
     /* 1796728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796738 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11555:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1796741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796762 */     // GIR_Coverage, 12338,
     /* 1796762 */     GIR_EraseRootFromParent_Done,
     /* 1796763 */   // Label 24367: @1796763
     /* 1796763 */   GIM_Try, /*On fail goto*//*Label 24368*/ GIMT_Encode4(1796849), // Rule ID 12341 //
     /* 1796768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1796776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1796779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1796782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1796785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1796788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796814 */     // MIs[0] policy
     /* 1796814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796824 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1796827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796848 */     // GIR_Coverage, 12341,
     /* 1796848 */     GIR_EraseRootFromParent_Done,
     /* 1796849 */   // Label 24368: @1796849
     /* 1796849 */   GIM_Try, /*On fail goto*//*Label 24369*/ GIMT_Encode4(1796935), // Rule ID 12342 //
     /* 1796854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1796862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1796865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1796868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1796871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1796874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796900 */     // MIs[0] policy
     /* 1796900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796910 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1796913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796934 */     // GIR_Coverage, 12342,
     /* 1796934 */     GIR_EraseRootFromParent_Done,
     /* 1796935 */   // Label 24369: @1796935
     /* 1796935 */   GIM_Try, /*On fail goto*//*Label 24370*/ GIMT_Encode4(1797021), // Rule ID 12345 //
     /* 1796940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1796948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1796951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1796954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1796957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1796960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796986 */     // MIs[0] policy
     /* 1796986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796996 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1796999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797020 */     // GIR_Coverage, 12345,
     /* 1797020 */     GIR_EraseRootFromParent_Done,
     /* 1797021 */   // Label 24370: @1797021
     /* 1797021 */   GIM_Try, /*On fail goto*//*Label 24371*/ GIMT_Encode4(1797107), // Rule ID 12346 //
     /* 1797026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1797034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1797037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1797040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1797043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1797046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797072 */     // MIs[0] policy
     /* 1797072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797082 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1797085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797106 */     // GIR_Coverage, 12346,
     /* 1797106 */     GIR_EraseRootFromParent_Done,
     /* 1797107 */   // Label 24371: @1797107
     /* 1797107 */   GIM_Try, /*On fail goto*//*Label 24372*/ GIMT_Encode4(1797193), // Rule ID 12349 //
     /* 1797112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1797120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1797123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1797126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1797129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1797132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797158 */     // MIs[0] policy
     /* 1797158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1797171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797192 */     // GIR_Coverage, 12349,
     /* 1797192 */     GIR_EraseRootFromParent_Done,
     /* 1797193 */   // Label 24372: @1797193
     /* 1797193 */   GIM_Try, /*On fail goto*//*Label 24373*/ GIMT_Encode4(1797279), // Rule ID 12350 //
     /* 1797198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1797206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1797209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1797212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1797215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1797218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797244 */     // MIs[0] policy
     /* 1797244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797254 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1797257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797278 */     // GIR_Coverage, 12350,
     /* 1797278 */     GIR_EraseRootFromParent_Done,
     /* 1797279 */   // Label 24373: @1797279
     /* 1797279 */   GIM_Try, /*On fail goto*//*Label 24374*/ GIMT_Encode4(1797365), // Rule ID 12353 //
     /* 1797284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1797292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1797295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1797298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1797301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1797304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797330 */     // MIs[0] policy
     /* 1797330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797340 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1797343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797364 */     // GIR_Coverage, 12353,
     /* 1797364 */     GIR_EraseRootFromParent_Done,
     /* 1797365 */   // Label 24374: @1797365
     /* 1797365 */   GIM_Try, /*On fail goto*//*Label 24375*/ GIMT_Encode4(1797451), // Rule ID 12354 //
     /* 1797370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1797378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1797381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1797384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1797387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1797390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797416 */     // MIs[0] policy
     /* 1797416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797426 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1797429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797450 */     // GIR_Coverage, 12354,
     /* 1797450 */     GIR_EraseRootFromParent_Done,
     /* 1797451 */   // Label 24375: @1797451
     /* 1797451 */   GIM_Try, /*On fail goto*//*Label 24376*/ GIMT_Encode4(1797537), // Rule ID 12357 //
     /* 1797456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1797464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1797467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1797470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1797473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1797476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1797479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797502 */     // MIs[0] policy
     /* 1797502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797512 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1797515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797536 */     // GIR_Coverage, 12357,
     /* 1797536 */     GIR_EraseRootFromParent_Done,
     /* 1797537 */   // Label 24376: @1797537
     /* 1797537 */   GIM_Try, /*On fail goto*//*Label 24377*/ GIMT_Encode4(1797623), // Rule ID 12358 //
     /* 1797542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1797550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1797553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1797556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1797559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1797562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1797565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797588 */     // MIs[0] policy
     /* 1797588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797598 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1797601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797622 */     // GIR_Coverage, 12358,
     /* 1797622 */     GIR_EraseRootFromParent_Done,
     /* 1797623 */   // Label 24377: @1797623
     /* 1797623 */   GIM_Try, /*On fail goto*//*Label 24378*/ GIMT_Encode4(1797709), // Rule ID 12361 //
     /* 1797628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1797636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1797639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1797642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1797645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1797648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1797651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797674 */     // MIs[0] policy
     /* 1797674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797684 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1797687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797708 */     // GIR_Coverage, 12361,
     /* 1797708 */     GIR_EraseRootFromParent_Done,
     /* 1797709 */   // Label 24378: @1797709
     /* 1797709 */   GIM_Try, /*On fail goto*//*Label 24379*/ GIMT_Encode4(1797795), // Rule ID 12362 //
     /* 1797714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1797722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1797725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1797728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1797731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1797734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1797737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797760 */     // MIs[0] policy
     /* 1797760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797770 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1797773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797794 */     // GIR_Coverage, 12362,
     /* 1797794 */     GIR_EraseRootFromParent_Done,
     /* 1797795 */   // Label 24379: @1797795
     /* 1797795 */   GIM_Try, /*On fail goto*//*Label 24380*/ GIMT_Encode4(1797881), // Rule ID 12365 //
     /* 1797800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1797808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1797811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1797814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1797817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1797820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797846 */     // MIs[0] policy
     /* 1797846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797856 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1797859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797880 */     // GIR_Coverage, 12365,
     /* 1797880 */     GIR_EraseRootFromParent_Done,
     /* 1797881 */   // Label 24380: @1797881
     /* 1797881 */   GIM_Try, /*On fail goto*//*Label 24381*/ GIMT_Encode4(1797967), // Rule ID 12366 //
     /* 1797886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1797894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1797897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1797900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1797903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1797906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797932 */     // MIs[0] policy
     /* 1797932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797942 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1797945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797966 */     // GIR_Coverage, 12366,
     /* 1797966 */     GIR_EraseRootFromParent_Done,
     /* 1797967 */   // Label 24381: @1797967
     /* 1797967 */   GIM_Try, /*On fail goto*//*Label 24382*/ GIMT_Encode4(1798053), // Rule ID 12369 //
     /* 1797972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1797980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1797983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1797986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1797989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1797992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798018 */     // MIs[0] policy
     /* 1798018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1798031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798052 */     // GIR_Coverage, 12369,
     /* 1798052 */     GIR_EraseRootFromParent_Done,
     /* 1798053 */   // Label 24382: @1798053
     /* 1798053 */   GIM_Try, /*On fail goto*//*Label 24383*/ GIMT_Encode4(1798139), // Rule ID 12370 //
     /* 1798058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1798069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1798072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1798075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1798078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798104 */     // MIs[0] policy
     /* 1798104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1798117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798138 */     // GIR_Coverage, 12370,
     /* 1798138 */     GIR_EraseRootFromParent_Done,
     /* 1798139 */   // Label 24383: @1798139
     /* 1798139 */   GIM_Try, /*On fail goto*//*Label 24384*/ GIMT_Encode4(1798225), // Rule ID 12373 //
     /* 1798144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1798155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1798158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1798161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1798164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798190 */     // MIs[0] policy
     /* 1798190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798200 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1798203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798224 */     // GIR_Coverage, 12373,
     /* 1798224 */     GIR_EraseRootFromParent_Done,
     /* 1798225 */   // Label 24384: @1798225
     /* 1798225 */   GIM_Try, /*On fail goto*//*Label 24385*/ GIMT_Encode4(1798311), // Rule ID 12374 //
     /* 1798230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1798241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1798244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1798247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1798250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798276 */     // MIs[0] policy
     /* 1798276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798286 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1798289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798310 */     // GIR_Coverage, 12374,
     /* 1798310 */     GIR_EraseRootFromParent_Done,
     /* 1798311 */   // Label 24385: @1798311
     /* 1798311 */   GIM_Try, /*On fail goto*//*Label 24386*/ GIMT_Encode4(1798397), // Rule ID 12377 //
     /* 1798316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1798327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1798330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1798333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1798336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798362 */     // MIs[0] policy
     /* 1798362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798372 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1798375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798396 */     // GIR_Coverage, 12377,
     /* 1798396 */     GIR_EraseRootFromParent_Done,
     /* 1798397 */   // Label 24386: @1798397
     /* 1798397 */   GIM_Try, /*On fail goto*//*Label 24387*/ GIMT_Encode4(1798483), // Rule ID 12378 //
     /* 1798402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1798413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1798416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1798419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1798422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798448 */     // MIs[0] policy
     /* 1798448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798458 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1798461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798482 */     // GIR_Coverage, 12378,
     /* 1798482 */     GIR_EraseRootFromParent_Done,
     /* 1798483 */   // Label 24387: @1798483
     /* 1798483 */   GIM_Try, /*On fail goto*//*Label 24388*/ GIMT_Encode4(1798569), // Rule ID 12381 //
     /* 1798488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1798499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1798502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1798505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1798508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798534 */     // MIs[0] policy
     /* 1798534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798544 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1798547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798568 */     // GIR_Coverage, 12381,
     /* 1798568 */     GIR_EraseRootFromParent_Done,
     /* 1798569 */   // Label 24388: @1798569
     /* 1798569 */   GIM_Try, /*On fail goto*//*Label 24389*/ GIMT_Encode4(1798655), // Rule ID 12382 //
     /* 1798574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1798585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1798588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1798591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1798594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798620 */     // MIs[0] policy
     /* 1798620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798630 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1798633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798654 */     // GIR_Coverage, 12382,
     /* 1798654 */     GIR_EraseRootFromParent_Done,
     /* 1798655 */   // Label 24389: @1798655
     /* 1798655 */   GIM_Try, /*On fail goto*//*Label 24390*/ GIMT_Encode4(1798741), // Rule ID 12385 //
     /* 1798660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1798663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1798671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1798674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1798677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1798680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1798683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798706 */     // MIs[0] policy
     /* 1798706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798716 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1798719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798740 */     // GIR_Coverage, 12385,
     /* 1798740 */     GIR_EraseRootFromParent_Done,
     /* 1798741 */   // Label 24390: @1798741
     /* 1798741 */   GIM_Try, /*On fail goto*//*Label 24391*/ GIMT_Encode4(1798827), // Rule ID 12386 //
     /* 1798746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1798749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1798757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1798760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1798763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1798766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1798769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798792 */     // MIs[0] policy
     /* 1798792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798802 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1798805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798826 */     // GIR_Coverage, 12386,
     /* 1798826 */     GIR_EraseRootFromParent_Done,
     /* 1798827 */   // Label 24391: @1798827
     /* 1798827 */   GIM_Try, /*On fail goto*//*Label 24392*/ GIMT_Encode4(1798913), // Rule ID 12389 //
     /* 1798832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1798835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1798843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1798846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1798849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1798852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798878 */     // MIs[0] policy
     /* 1798878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798888 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1798891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798912 */     // GIR_Coverage, 12389,
     /* 1798912 */     GIR_EraseRootFromParent_Done,
     /* 1798913 */   // Label 24392: @1798913
     /* 1798913 */   GIM_Try, /*On fail goto*//*Label 24393*/ GIMT_Encode4(1798999), // Rule ID 12390 //
     /* 1798918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1798921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1798926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1798929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1798932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1798935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1798938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798964 */     // MIs[0] policy
     /* 1798964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798974 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1798977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798998 */     // GIR_Coverage, 12390,
     /* 1798998 */     GIR_EraseRootFromParent_Done,
     /* 1798999 */   // Label 24393: @1798999
     /* 1798999 */   GIM_Try, /*On fail goto*//*Label 24394*/ GIMT_Encode4(1799085), // Rule ID 12393 //
     /* 1799004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1799007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1799015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1799018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1799021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1799024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799050 */     // MIs[0] policy
     /* 1799050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799060 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1799063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799084 */     // GIR_Coverage, 12393,
     /* 1799084 */     GIR_EraseRootFromParent_Done,
     /* 1799085 */   // Label 24394: @1799085
     /* 1799085 */   GIM_Try, /*On fail goto*//*Label 24395*/ GIMT_Encode4(1799171), // Rule ID 12394 //
     /* 1799090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1799093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1799101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1799104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1799107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1799110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799136 */     // MIs[0] policy
     /* 1799136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799146 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1799149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799170 */     // GIR_Coverage, 12394,
     /* 1799170 */     GIR_EraseRootFromParent_Done,
     /* 1799171 */   // Label 24395: @1799171
     /* 1799171 */   GIM_Try, /*On fail goto*//*Label 24396*/ GIMT_Encode4(1799257), // Rule ID 12397 //
     /* 1799176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1799179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1799187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1799190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1799193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1799196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799222 */     // MIs[0] policy
     /* 1799222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799232 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1799235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799256 */     // GIR_Coverage, 12397,
     /* 1799256 */     GIR_EraseRootFromParent_Done,
     /* 1799257 */   // Label 24396: @1799257
     /* 1799257 */   GIM_Try, /*On fail goto*//*Label 24397*/ GIMT_Encode4(1799343), // Rule ID 12398 //
     /* 1799262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1799265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1799273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1799276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1799279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1799282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799308 */     // MIs[0] policy
     /* 1799308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799318 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1799321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799342 */     // GIR_Coverage, 12398,
     /* 1799342 */     GIR_EraseRootFromParent_Done,
     /* 1799343 */   // Label 24397: @1799343
     /* 1799343 */   GIM_Try, /*On fail goto*//*Label 24398*/ GIMT_Encode4(1799429), // Rule ID 12401 //
     /* 1799348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1799359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1799362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1799365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1799368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799394 */     // MIs[0] policy
     /* 1799394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799404 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1799407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799428 */     // GIR_Coverage, 12401,
     /* 1799428 */     GIR_EraseRootFromParent_Done,
     /* 1799429 */   // Label 24398: @1799429
     /* 1799429 */   GIM_Try, /*On fail goto*//*Label 24399*/ GIMT_Encode4(1799515), // Rule ID 12402 //
     /* 1799434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1799445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1799448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1799451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799480 */     // MIs[0] policy
     /* 1799480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799490 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1799493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799514 */     // GIR_Coverage, 12402,
     /* 1799514 */     GIR_EraseRootFromParent_Done,
     /* 1799515 */   // Label 24399: @1799515
     /* 1799515 */   GIM_Try, /*On fail goto*//*Label 24400*/ GIMT_Encode4(1799601), // Rule ID 12405 //
     /* 1799520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1799531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1799534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1799537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1799540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799566 */     // MIs[0] policy
     /* 1799566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799576 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1799579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799600 */     // GIR_Coverage, 12405,
     /* 1799600 */     GIR_EraseRootFromParent_Done,
     /* 1799601 */   // Label 24400: @1799601
     /* 1799601 */   GIM_Try, /*On fail goto*//*Label 24401*/ GIMT_Encode4(1799687), // Rule ID 12406 //
     /* 1799606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1799617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1799620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1799623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799652 */     // MIs[0] policy
     /* 1799652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799662 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1799665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799686 */     // GIR_Coverage, 12406,
     /* 1799686 */     GIR_EraseRootFromParent_Done,
     /* 1799687 */   // Label 24401: @1799687
     /* 1799687 */   GIM_Try, /*On fail goto*//*Label 24402*/ GIMT_Encode4(1799773), // Rule ID 12409 //
     /* 1799692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1799703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1799706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1799709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1799712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799738 */     // MIs[0] policy
     /* 1799738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1799751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799772 */     // GIR_Coverage, 12409,
     /* 1799772 */     GIR_EraseRootFromParent_Done,
     /* 1799773 */   // Label 24402: @1799773
     /* 1799773 */   GIM_Try, /*On fail goto*//*Label 24403*/ GIMT_Encode4(1799859), // Rule ID 12410 //
     /* 1799778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1799789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1799792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1799795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799824 */     // MIs[0] policy
     /* 1799824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799834 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11559:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1799837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799858 */     // GIR_Coverage, 12410,
     /* 1799858 */     GIR_EraseRootFromParent_Done,
     /* 1799859 */   // Label 24403: @1799859
     /* 1799859 */   GIM_Try, /*On fail goto*//*Label 24404*/ GIMT_Encode4(1799945), // Rule ID 12413 //
     /* 1799864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1799875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1799878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1799881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1799884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799910 */     // MIs[0] policy
     /* 1799910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799920 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1799923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799944 */     // GIR_Coverage, 12413,
     /* 1799944 */     GIR_EraseRootFromParent_Done,
     /* 1799945 */   // Label 24404: @1799945
     /* 1799945 */   GIM_Try, /*On fail goto*//*Label 24405*/ GIMT_Encode4(1800031), // Rule ID 12414 //
     /* 1799950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1799958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1799961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1799964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1799967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799996 */     // MIs[0] policy
     /* 1799996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800006 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1800009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800030 */     // GIR_Coverage, 12414,
     /* 1800030 */     GIR_EraseRootFromParent_Done,
     /* 1800031 */   // Label 24405: @1800031
     /* 1800031 */   GIM_Try, /*On fail goto*//*Label 24406*/ GIMT_Encode4(1800117), // Rule ID 12417 //
     /* 1800036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1800047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1800050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1800053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1800059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800082 */     // MIs[0] policy
     /* 1800082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800092 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1800095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800116 */     // GIR_Coverage, 12417,
     /* 1800116 */     GIR_EraseRootFromParent_Done,
     /* 1800117 */   // Label 24406: @1800117
     /* 1800117 */   GIM_Try, /*On fail goto*//*Label 24407*/ GIMT_Encode4(1800203), // Rule ID 12418 //
     /* 1800122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1800133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1800136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1800139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1800145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800168 */     // MIs[0] policy
     /* 1800168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800178 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1800181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800202 */     // GIR_Coverage, 12418,
     /* 1800202 */     GIR_EraseRootFromParent_Done,
     /* 1800203 */   // Label 24407: @1800203
     /* 1800203 */   GIM_Try, /*On fail goto*//*Label 24408*/ GIMT_Encode4(1800289), // Rule ID 12421 //
     /* 1800208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1800219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1800222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1800225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1800231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800254 */     // MIs[0] policy
     /* 1800254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800264 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1800267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800288 */     // GIR_Coverage, 12421,
     /* 1800288 */     GIR_EraseRootFromParent_Done,
     /* 1800289 */   // Label 24408: @1800289
     /* 1800289 */   GIM_Try, /*On fail goto*//*Label 24409*/ GIMT_Encode4(1800375), // Rule ID 12422 //
     /* 1800294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1800305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1800308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1800311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1800317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800340 */     // MIs[0] policy
     /* 1800340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800350 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1800353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800374 */     // GIR_Coverage, 12422,
     /* 1800374 */     GIR_EraseRootFromParent_Done,
     /* 1800375 */   // Label 24409: @1800375
     /* 1800375 */   GIM_Try, /*On fail goto*//*Label 24410*/ GIMT_Encode4(1800461), // Rule ID 12425 //
     /* 1800380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1800391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1800394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1800397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800426 */     // MIs[0] policy
     /* 1800426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800436 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1800439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800460 */     // GIR_Coverage, 12425,
     /* 1800460 */     GIR_EraseRootFromParent_Done,
     /* 1800461 */   // Label 24410: @1800461
     /* 1800461 */   GIM_Try, /*On fail goto*//*Label 24411*/ GIMT_Encode4(1800547), // Rule ID 12426 //
     /* 1800466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1800477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1800480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1800483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800512 */     // MIs[0] policy
     /* 1800512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1800525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800546 */     // GIR_Coverage, 12426,
     /* 1800546 */     GIR_EraseRootFromParent_Done,
     /* 1800547 */   // Label 24411: @1800547
     /* 1800547 */   GIM_Try, /*On fail goto*//*Label 24412*/ GIMT_Encode4(1800633), // Rule ID 12429 //
     /* 1800552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1800563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1800566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1800569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800598 */     // MIs[0] policy
     /* 1800598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1800611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800632 */     // GIR_Coverage, 12429,
     /* 1800632 */     GIR_EraseRootFromParent_Done,
     /* 1800633 */   // Label 24412: @1800633
     /* 1800633 */   GIM_Try, /*On fail goto*//*Label 24413*/ GIMT_Encode4(1800719), // Rule ID 12430 //
     /* 1800638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1800649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1800652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1800655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800684 */     // MIs[0] policy
     /* 1800684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800694 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1800697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800718 */     // GIR_Coverage, 12430,
     /* 1800718 */     GIR_EraseRootFromParent_Done,
     /* 1800719 */   // Label 24413: @1800719
     /* 1800719 */   GIM_Try, /*On fail goto*//*Label 24414*/ GIMT_Encode4(1800805), // Rule ID 12433 //
     /* 1800724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1800735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1800738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1800741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1800754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800770 */     // MIs[0] policy
     /* 1800770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800780 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1800783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800804 */     // GIR_Coverage, 12433,
     /* 1800804 */     GIR_EraseRootFromParent_Done,
     /* 1800805 */   // Label 24414: @1800805
     /* 1800805 */   GIM_Try, /*On fail goto*//*Label 24415*/ GIMT_Encode4(1800891), // Rule ID 12434 //
     /* 1800810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1800821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1800824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1800827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1800840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800856 */     // MIs[0] policy
     /* 1800856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800866 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1800869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800890 */     // GIR_Coverage, 12434,
     /* 1800890 */     GIR_EraseRootFromParent_Done,
     /* 1800891 */   // Label 24415: @1800891
     /* 1800891 */   GIM_Try, /*On fail goto*//*Label 24416*/ GIMT_Encode4(1800977), // Rule ID 12437 //
     /* 1800896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1800907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1800910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1800913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800942 */     // MIs[0] policy
     /* 1800942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800952 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1800955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800976 */     // GIR_Coverage, 12437,
     /* 1800976 */     GIR_EraseRootFromParent_Done,
     /* 1800977 */   // Label 24416: @1800977
     /* 1800977 */   GIM_Try, /*On fail goto*//*Label 24417*/ GIMT_Encode4(1801063), // Rule ID 12438 //
     /* 1800982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1800990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1800993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1800996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1800999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801028 */     // MIs[0] policy
     /* 1801028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801038 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1801041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801062 */     // GIR_Coverage, 12438,
     /* 1801062 */     GIR_EraseRootFromParent_Done,
     /* 1801063 */   // Label 24417: @1801063
     /* 1801063 */   GIM_Try, /*On fail goto*//*Label 24418*/ GIMT_Encode4(1801149), // Rule ID 12441 //
     /* 1801068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1801079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1801082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1801085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801114 */     // MIs[0] policy
     /* 1801114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801124 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1801127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801148 */     // GIR_Coverage, 12441,
     /* 1801148 */     GIR_EraseRootFromParent_Done,
     /* 1801149 */   // Label 24418: @1801149
     /* 1801149 */   GIM_Try, /*On fail goto*//*Label 24419*/ GIMT_Encode4(1801235), // Rule ID 12442 //
     /* 1801154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1801165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1801168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1801171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801200 */     // MIs[0] policy
     /* 1801200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801210 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1801213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801234 */     // GIR_Coverage, 12442,
     /* 1801234 */     GIR_EraseRootFromParent_Done,
     /* 1801235 */   // Label 24419: @1801235
     /* 1801235 */   GIM_Try, /*On fail goto*//*Label 24420*/ GIMT_Encode4(1801321), // Rule ID 12445 //
     /* 1801240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1801243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1801251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1801254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1801257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801286 */     // MIs[0] policy
     /* 1801286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801296 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1801299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801320 */     // GIR_Coverage, 12445,
     /* 1801320 */     GIR_EraseRootFromParent_Done,
     /* 1801321 */   // Label 24420: @1801321
     /* 1801321 */   GIM_Try, /*On fail goto*//*Label 24421*/ GIMT_Encode4(1801407), // Rule ID 12446 //
     /* 1801326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1801329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1801337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1801340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1801343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801372 */     // MIs[0] policy
     /* 1801372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801382 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1801385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801406 */     // GIR_Coverage, 12446,
     /* 1801406 */     GIR_EraseRootFromParent_Done,
     /* 1801407 */   // Label 24421: @1801407
     /* 1801407 */   GIM_Try, /*On fail goto*//*Label 24422*/ GIMT_Encode4(1801493), // Rule ID 12449 //
     /* 1801412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1801415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1801423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1801426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1801429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801458 */     // MIs[0] policy
     /* 1801458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801468 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1801471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801492 */     // GIR_Coverage, 12449,
     /* 1801492 */     GIR_EraseRootFromParent_Done,
     /* 1801493 */   // Label 24422: @1801493
     /* 1801493 */   GIM_Try, /*On fail goto*//*Label 24423*/ GIMT_Encode4(1801579), // Rule ID 12450 //
     /* 1801498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1801501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1801509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1801512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1801515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801544 */     // MIs[0] policy
     /* 1801544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801554 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1801557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801578 */     // GIR_Coverage, 12450,
     /* 1801578 */     GIR_EraseRootFromParent_Done,
     /* 1801579 */   // Label 24423: @1801579
     /* 1801579 */   GIM_Try, /*On fail goto*//*Label 24424*/ GIMT_Encode4(1801665), // Rule ID 12453 //
     /* 1801584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1801587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1801595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1801598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1801601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801630 */     // MIs[0] policy
     /* 1801630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801640 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1801643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801664 */     // GIR_Coverage, 12453,
     /* 1801664 */     GIR_EraseRootFromParent_Done,
     /* 1801665 */   // Label 24424: @1801665
     /* 1801665 */   GIM_Try, /*On fail goto*//*Label 24425*/ GIMT_Encode4(1801751), // Rule ID 12454 //
     /* 1801670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1801673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1801681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1801684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1801687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801716 */     // MIs[0] policy
     /* 1801716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801726 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1801729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801750 */     // GIR_Coverage, 12454,
     /* 1801750 */     GIR_EraseRootFromParent_Done,
     /* 1801751 */   // Label 24425: @1801751
     /* 1801751 */   GIM_Try, /*On fail goto*//*Label 24426*/ GIMT_Encode4(1801837), // Rule ID 12457 //
     /* 1801756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1801759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1801767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1801770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1801773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801802 */     // MIs[0] policy
     /* 1801802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801812 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1801815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801836 */     // GIR_Coverage, 12457,
     /* 1801836 */     GIR_EraseRootFromParent_Done,
     /* 1801837 */   // Label 24426: @1801837
     /* 1801837 */   GIM_Try, /*On fail goto*//*Label 24427*/ GIMT_Encode4(1801923), // Rule ID 12458 //
     /* 1801842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1801845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1801850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1801853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1801856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1801859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801888 */     // MIs[0] policy
     /* 1801888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801898 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1801901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801922 */     // GIR_Coverage, 12458,
     /* 1801922 */     GIR_EraseRootFromParent_Done,
     /* 1801923 */   // Label 24427: @1801923
     /* 1801923 */   GIM_Try, /*On fail goto*//*Label 24428*/ GIMT_Encode4(1802009), // Rule ID 12461 //
     /* 1801928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1801936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1801939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1801942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1801945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1801948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801974 */     // MIs[0] policy
     /* 1801974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801984 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1801987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802008 */     // GIR_Coverage, 12461,
     /* 1802008 */     GIR_EraseRootFromParent_Done,
     /* 1802009 */   // Label 24428: @1802009
     /* 1802009 */   GIM_Try, /*On fail goto*//*Label 24429*/ GIMT_Encode4(1802095), // Rule ID 12462 //
     /* 1802014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1802022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1802025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1802028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1802031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1802034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802060 */     // MIs[0] policy
     /* 1802060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802070 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1802073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802094 */     // GIR_Coverage, 12462,
     /* 1802094 */     GIR_EraseRootFromParent_Done,
     /* 1802095 */   // Label 24429: @1802095
     /* 1802095 */   GIM_Try, /*On fail goto*//*Label 24430*/ GIMT_Encode4(1802181), // Rule ID 12465 //
     /* 1802100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1802108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1802111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1802114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1802117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1802120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802146 */     // MIs[0] policy
     /* 1802146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802156 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1802159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802180 */     // GIR_Coverage, 12465,
     /* 1802180 */     GIR_EraseRootFromParent_Done,
     /* 1802181 */   // Label 24430: @1802181
     /* 1802181 */   GIM_Try, /*On fail goto*//*Label 24431*/ GIMT_Encode4(1802267), // Rule ID 12466 //
     /* 1802186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1802194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1802197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1802200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1802203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1802206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802232 */     // MIs[0] policy
     /* 1802232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802242 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1802245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802266 */     // GIR_Coverage, 12466,
     /* 1802266 */     GIR_EraseRootFromParent_Done,
     /* 1802267 */   // Label 24431: @1802267
     /* 1802267 */   GIM_Try, /*On fail goto*//*Label 24432*/ GIMT_Encode4(1802353), // Rule ID 12469 //
     /* 1802272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1802280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1802283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1802286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1802289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1802292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802318 */     // MIs[0] policy
     /* 1802318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1802331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802352 */     // GIR_Coverage, 12469,
     /* 1802352 */     GIR_EraseRootFromParent_Done,
     /* 1802353 */   // Label 24432: @1802353
     /* 1802353 */   GIM_Try, /*On fail goto*//*Label 24433*/ GIMT_Encode4(1802439), // Rule ID 12470 //
     /* 1802358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1802366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1802369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1802372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1802375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1802378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802404 */     // MIs[0] policy
     /* 1802404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1802417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802438 */     // GIR_Coverage, 12470,
     /* 1802438 */     GIR_EraseRootFromParent_Done,
     /* 1802439 */   // Label 24433: @1802439
     /* 1802439 */   GIM_Try, /*On fail goto*//*Label 24434*/ GIMT_Encode4(1802525), // Rule ID 12473 //
     /* 1802444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1802452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1802455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1802458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1802461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1802464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802490 */     // MIs[0] policy
     /* 1802490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802500 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1802503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802524 */     // GIR_Coverage, 12473,
     /* 1802524 */     GIR_EraseRootFromParent_Done,
     /* 1802525 */   // Label 24434: @1802525
     /* 1802525 */   GIM_Try, /*On fail goto*//*Label 24435*/ GIMT_Encode4(1802611), // Rule ID 12474 //
     /* 1802530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1802538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1802541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1802544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1802547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1802550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802576 */     // MIs[0] policy
     /* 1802576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802586 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1802589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802610 */     // GIR_Coverage, 12474,
     /* 1802610 */     GIR_EraseRootFromParent_Done,
     /* 1802611 */   // Label 24435: @1802611
     /* 1802611 */   GIM_Try, /*On fail goto*//*Label 24436*/ GIMT_Encode4(1802697), // Rule ID 12477 //
     /* 1802616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1802624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1802627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1802630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1802633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1802636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802662 */     // MIs[0] policy
     /* 1802662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1802675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802696 */     // GIR_Coverage, 12477,
     /* 1802696 */     GIR_EraseRootFromParent_Done,
     /* 1802697 */   // Label 24436: @1802697
     /* 1802697 */   GIM_Try, /*On fail goto*//*Label 24437*/ GIMT_Encode4(1802783), // Rule ID 12478 //
     /* 1802702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1802710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1802713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1802716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1802719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1802722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802748 */     // MIs[0] policy
     /* 1802748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802758 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1802761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802782 */     // GIR_Coverage, 12478,
     /* 1802782 */     GIR_EraseRootFromParent_Done,
     /* 1802783 */   // Label 24437: @1802783
     /* 1802783 */   GIM_Try, /*On fail goto*//*Label 24438*/ GIMT_Encode4(1802869), // Rule ID 12481 //
     /* 1802788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1802796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1802799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1802802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1802805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1802808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1802811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802834 */     // MIs[0] policy
     /* 1802834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802844 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1802847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802868 */     // GIR_Coverage, 12481,
     /* 1802868 */     GIR_EraseRootFromParent_Done,
     /* 1802869 */   // Label 24438: @1802869
     /* 1802869 */   GIM_Try, /*On fail goto*//*Label 24439*/ GIMT_Encode4(1802955), // Rule ID 12482 //
     /* 1802874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1802882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1802885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1802888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1802891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1802894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1802897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802920 */     // MIs[0] policy
     /* 1802920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802930 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1802933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802954 */     // GIR_Coverage, 12482,
     /* 1802954 */     GIR_EraseRootFromParent_Done,
     /* 1802955 */   // Label 24439: @1802955
     /* 1802955 */   GIM_Try, /*On fail goto*//*Label 24440*/ GIMT_Encode4(1803041), // Rule ID 12485 //
     /* 1802960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1802968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1802971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1802974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1802977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1802980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803006 */     // MIs[0] policy
     /* 1803006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803016 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1803019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803040 */     // GIR_Coverage, 12485,
     /* 1803040 */     GIR_EraseRootFromParent_Done,
     /* 1803041 */   // Label 24440: @1803041
     /* 1803041 */   GIM_Try, /*On fail goto*//*Label 24441*/ GIMT_Encode4(1803127), // Rule ID 12486 //
     /* 1803046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1803057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1803060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1803063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1803066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803092 */     // MIs[0] policy
     /* 1803092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803102 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1803105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803126 */     // GIR_Coverage, 12486,
     /* 1803126 */     GIR_EraseRootFromParent_Done,
     /* 1803127 */   // Label 24441: @1803127
     /* 1803127 */   GIM_Try, /*On fail goto*//*Label 24442*/ GIMT_Encode4(1803213), // Rule ID 12489 //
     /* 1803132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1803143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1803146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1803149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1803152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803178 */     // MIs[0] policy
     /* 1803178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803188 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1803191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803212 */     // GIR_Coverage, 12489,
     /* 1803212 */     GIR_EraseRootFromParent_Done,
     /* 1803213 */   // Label 24442: @1803213
     /* 1803213 */   GIM_Try, /*On fail goto*//*Label 24443*/ GIMT_Encode4(1803299), // Rule ID 12490 //
     /* 1803218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1803229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1803232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1803235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1803238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803264 */     // MIs[0] policy
     /* 1803264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803274 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1803277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803298 */     // GIR_Coverage, 12490,
     /* 1803298 */     GIR_EraseRootFromParent_Done,
     /* 1803299 */   // Label 24443: @1803299
     /* 1803299 */   GIM_Try, /*On fail goto*//*Label 24444*/ GIMT_Encode4(1803385), // Rule ID 12493 //
     /* 1803304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1803315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1803318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1803321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1803324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803350 */     // MIs[0] policy
     /* 1803350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803360 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1803363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803384 */     // GIR_Coverage, 12493,
     /* 1803384 */     GIR_EraseRootFromParent_Done,
     /* 1803385 */   // Label 24444: @1803385
     /* 1803385 */   GIM_Try, /*On fail goto*//*Label 24445*/ GIMT_Encode4(1803471), // Rule ID 12494 //
     /* 1803390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1803401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1803404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1803407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1803410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803436 */     // MIs[0] policy
     /* 1803436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803446 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1803449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803470 */     // GIR_Coverage, 12494,
     /* 1803470 */     GIR_EraseRootFromParent_Done,
     /* 1803471 */   // Label 24445: @1803471
     /* 1803471 */   GIM_Try, /*On fail goto*//*Label 24446*/ GIMT_Encode4(1803557), // Rule ID 12497 //
     /* 1803476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1803487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1803490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1803493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1803496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803522 */     // MIs[0] policy
     /* 1803522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803532 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1803535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803556 */     // GIR_Coverage, 12497,
     /* 1803556 */     GIR_EraseRootFromParent_Done,
     /* 1803557 */   // Label 24446: @1803557
     /* 1803557 */   GIM_Try, /*On fail goto*//*Label 24447*/ GIMT_Encode4(1803643), // Rule ID 12498 //
     /* 1803562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1803573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1803576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1803579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1803582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803608 */     // MIs[0] policy
     /* 1803608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803618 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1803621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803642 */     // GIR_Coverage, 12498,
     /* 1803642 */     GIR_EraseRootFromParent_Done,
     /* 1803643 */   // Label 24447: @1803643
     /* 1803643 */   GIM_Try, /*On fail goto*//*Label 24448*/ GIMT_Encode4(1803729), // Rule ID 12501 //
     /* 1803648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1803659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1803662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1803665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1803668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1803671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803694 */     // MIs[0] policy
     /* 1803694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803704 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1803707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803728 */     // GIR_Coverage, 12501,
     /* 1803728 */     GIR_EraseRootFromParent_Done,
     /* 1803729 */   // Label 24448: @1803729
     /* 1803729 */   GIM_Try, /*On fail goto*//*Label 24449*/ GIMT_Encode4(1803815), // Rule ID 12502 //
     /* 1803734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1803745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1803748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1803751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1803754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1803757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803780 */     // MIs[0] policy
     /* 1803780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803790 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1803793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803814 */     // GIR_Coverage, 12502,
     /* 1803814 */     GIR_EraseRootFromParent_Done,
     /* 1803815 */   // Label 24449: @1803815
     /* 1803815 */   GIM_Try, /*On fail goto*//*Label 24450*/ GIMT_Encode4(1803901), // Rule ID 12505 //
     /* 1803820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1803823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1803831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1803834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1803837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1803840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803866 */     // MIs[0] policy
     /* 1803866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803876 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1803879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803900 */     // GIR_Coverage, 12505,
     /* 1803900 */     GIR_EraseRootFromParent_Done,
     /* 1803901 */   // Label 24450: @1803901
     /* 1803901 */   GIM_Try, /*On fail goto*//*Label 24451*/ GIMT_Encode4(1803987), // Rule ID 12506 //
     /* 1803906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1803909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1803914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1803917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1803920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1803923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1803926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803952 */     // MIs[0] policy
     /* 1803952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803962 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1803965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803986 */     // GIR_Coverage, 12506,
     /* 1803986 */     GIR_EraseRootFromParent_Done,
     /* 1803987 */   // Label 24451: @1803987
     /* 1803987 */   GIM_Try, /*On fail goto*//*Label 24452*/ GIMT_Encode4(1804073), // Rule ID 12509 //
     /* 1803992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1803995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1804003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1804006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1804009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1804012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804038 */     // MIs[0] policy
     /* 1804038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804048 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1804051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804072 */     // GIR_Coverage, 12509,
     /* 1804072 */     GIR_EraseRootFromParent_Done,
     /* 1804073 */   // Label 24452: @1804073
     /* 1804073 */   GIM_Try, /*On fail goto*//*Label 24453*/ GIMT_Encode4(1804159), // Rule ID 12510 //
     /* 1804078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1804081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1804089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1804092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1804095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1804098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804124 */     // MIs[0] policy
     /* 1804124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804134 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1804137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804158 */     // GIR_Coverage, 12510,
     /* 1804158 */     GIR_EraseRootFromParent_Done,
     /* 1804159 */   // Label 24453: @1804159
     /* 1804159 */   GIM_Try, /*On fail goto*//*Label 24454*/ GIMT_Encode4(1804245), // Rule ID 12513 //
     /* 1804164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1804167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1804175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1804178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1804181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1804184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804210 */     // MIs[0] policy
     /* 1804210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804220 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1804223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804244 */     // GIR_Coverage, 12513,
     /* 1804244 */     GIR_EraseRootFromParent_Done,
     /* 1804245 */   // Label 24454: @1804245
     /* 1804245 */   GIM_Try, /*On fail goto*//*Label 24455*/ GIMT_Encode4(1804331), // Rule ID 12514 //
     /* 1804250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1804253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1804261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1804264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1804267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1804270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804296 */     // MIs[0] policy
     /* 1804296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804306 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1804309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804330 */     // GIR_Coverage, 12514,
     /* 1804330 */     GIR_EraseRootFromParent_Done,
     /* 1804331 */   // Label 24455: @1804331
     /* 1804331 */   GIM_Try, /*On fail goto*//*Label 24456*/ GIMT_Encode4(1804417), // Rule ID 12517 //
     /* 1804336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1804339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1804347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1804350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1804353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1804356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804382 */     // MIs[0] policy
     /* 1804382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804392 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1804395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804416 */     // GIR_Coverage, 12517,
     /* 1804416 */     GIR_EraseRootFromParent_Done,
     /* 1804417 */   // Label 24456: @1804417
     /* 1804417 */   GIM_Try, /*On fail goto*//*Label 24457*/ GIMT_Encode4(1804503), // Rule ID 12518 //
     /* 1804422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1804425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1804433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1804436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1804439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1804442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804468 */     // MIs[0] policy
     /* 1804468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804478 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1804481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1804499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804502 */     // GIR_Coverage, 12518,
     /* 1804502 */     GIR_EraseRootFromParent_Done,
     /* 1804503 */   // Label 24457: @1804503
     /* 1804503 */   GIM_Try, /*On fail goto*//*Label 24458*/ GIMT_Encode4(1804589), // Rule ID 12521 //
     /* 1804508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1804519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1804522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1804525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1804528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804554 */     // MIs[0] policy
     /* 1804554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804564 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1804567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804588 */     // GIR_Coverage, 12521,
     /* 1804588 */     GIR_EraseRootFromParent_Done,
     /* 1804589 */   // Label 24458: @1804589
     /* 1804589 */   GIM_Try, /*On fail goto*//*Label 24459*/ GIMT_Encode4(1804675), // Rule ID 12522 //
     /* 1804594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1804605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1804608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1804611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804640 */     // MIs[0] policy
     /* 1804640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804650 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1804653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804674 */     // GIR_Coverage, 12522,
     /* 1804674 */     GIR_EraseRootFromParent_Done,
     /* 1804675 */   // Label 24459: @1804675
     /* 1804675 */   GIM_Try, /*On fail goto*//*Label 24460*/ GIMT_Encode4(1804761), // Rule ID 12525 //
     /* 1804680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1804691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1804694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1804697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1804700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804726 */     // MIs[0] policy
     /* 1804726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1804739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804760 */     // GIR_Coverage, 12525,
     /* 1804760 */     GIR_EraseRootFromParent_Done,
     /* 1804761 */   // Label 24460: @1804761
     /* 1804761 */   GIM_Try, /*On fail goto*//*Label 24461*/ GIMT_Encode4(1804847), // Rule ID 12526 //
     /* 1804766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1804777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1804780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1804783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804812 */     // MIs[0] policy
     /* 1804812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804822 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1804825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804846 */     // GIR_Coverage, 12526,
     /* 1804846 */     GIR_EraseRootFromParent_Done,
     /* 1804847 */   // Label 24461: @1804847
     /* 1804847 */   GIM_Try, /*On fail goto*//*Label 24462*/ GIMT_Encode4(1804933), // Rule ID 12529 //
     /* 1804852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1804863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1804866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1804869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1804872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804898 */     // MIs[0] policy
     /* 1804898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804908 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1804911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804932 */     // GIR_Coverage, 12529,
     /* 1804932 */     GIR_EraseRootFromParent_Done,
     /* 1804933 */   // Label 24462: @1804933
     /* 1804933 */   GIM_Try, /*On fail goto*//*Label 24463*/ GIMT_Encode4(1805019), // Rule ID 12530 //
     /* 1804938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1804946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1804949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1804952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1804955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804984 */     // MIs[0] policy
     /* 1804984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804994 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11557:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1804997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805018 */     // GIR_Coverage, 12530,
     /* 1805018 */     GIR_EraseRootFromParent_Done,
     /* 1805019 */   // Label 24463: @1805019
     /* 1805019 */   GIM_Try, /*On fail goto*//*Label 24464*/ GIMT_Encode4(1805105), // Rule ID 12533 //
     /* 1805024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1805035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1805038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1805041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805070 */     // MIs[0] policy
     /* 1805070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805080 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1805083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805104 */     // GIR_Coverage, 12533,
     /* 1805104 */     GIR_EraseRootFromParent_Done,
     /* 1805105 */   // Label 24464: @1805105
     /* 1805105 */   GIM_Try, /*On fail goto*//*Label 24465*/ GIMT_Encode4(1805191), // Rule ID 12534 //
     /* 1805110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1805121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1805124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1805127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805156 */     // MIs[0] policy
     /* 1805156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805166 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1805169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805190 */     // GIR_Coverage, 12534,
     /* 1805190 */     GIR_EraseRootFromParent_Done,
     /* 1805191 */   // Label 24465: @1805191
     /* 1805191 */   GIM_Try, /*On fail goto*//*Label 24466*/ GIMT_Encode4(1805277), // Rule ID 12537 //
     /* 1805196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1805207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1805210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1805213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1805219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805242 */     // MIs[0] policy
     /* 1805242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805252 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1805255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805276 */     // GIR_Coverage, 12537,
     /* 1805276 */     GIR_EraseRootFromParent_Done,
     /* 1805277 */   // Label 24466: @1805277
     /* 1805277 */   GIM_Try, /*On fail goto*//*Label 24467*/ GIMT_Encode4(1805363), // Rule ID 12538 //
     /* 1805282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1805293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1805296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1805299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1805305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805328 */     // MIs[0] policy
     /* 1805328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805338 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1805341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805362 */     // GIR_Coverage, 12538,
     /* 1805362 */     GIR_EraseRootFromParent_Done,
     /* 1805363 */   // Label 24467: @1805363
     /* 1805363 */   GIM_Try, /*On fail goto*//*Label 24468*/ GIMT_Encode4(1805449), // Rule ID 12541 //
     /* 1805368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1805379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1805382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1805385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1805391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805414 */     // MIs[0] policy
     /* 1805414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805424 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1805427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805448 */     // GIR_Coverage, 12541,
     /* 1805448 */     GIR_EraseRootFromParent_Done,
     /* 1805449 */   // Label 24468: @1805449
     /* 1805449 */   GIM_Try, /*On fail goto*//*Label 24469*/ GIMT_Encode4(1805535), // Rule ID 12542 //
     /* 1805454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1805465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1805468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1805471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1805477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805500 */     // MIs[0] policy
     /* 1805500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805510 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1805513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805534 */     // GIR_Coverage, 12542,
     /* 1805534 */     GIR_EraseRootFromParent_Done,
     /* 1805535 */   // Label 24469: @1805535
     /* 1805535 */   GIM_Try, /*On fail goto*//*Label 24470*/ GIMT_Encode4(1805621), // Rule ID 12545 //
     /* 1805540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1805551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1805554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1805557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805586 */     // MIs[0] policy
     /* 1805586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805596 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1805599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805620 */     // GIR_Coverage, 12545,
     /* 1805620 */     GIR_EraseRootFromParent_Done,
     /* 1805621 */   // Label 24470: @1805621
     /* 1805621 */   GIM_Try, /*On fail goto*//*Label 24471*/ GIMT_Encode4(1805707), // Rule ID 12546 //
     /* 1805626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1805637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1805640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1805643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805672 */     // MIs[0] policy
     /* 1805672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805682 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1805685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805706 */     // GIR_Coverage, 12546,
     /* 1805706 */     GIR_EraseRootFromParent_Done,
     /* 1805707 */   // Label 24471: @1805707
     /* 1805707 */   GIM_Try, /*On fail goto*//*Label 24472*/ GIMT_Encode4(1805793), // Rule ID 12549 //
     /* 1805712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1805723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1805726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1805729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805758 */     // MIs[0] policy
     /* 1805758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805768 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1805771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805792 */     // GIR_Coverage, 12549,
     /* 1805792 */     GIR_EraseRootFromParent_Done,
     /* 1805793 */   // Label 24472: @1805793
     /* 1805793 */   GIM_Try, /*On fail goto*//*Label 24473*/ GIMT_Encode4(1805879), // Rule ID 12550 //
     /* 1805798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1805809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1805812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1805815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805844 */     // MIs[0] policy
     /* 1805844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805854 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1805857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805878 */     // GIR_Coverage, 12550,
     /* 1805878 */     GIR_EraseRootFromParent_Done,
     /* 1805879 */   // Label 24473: @1805879
     /* 1805879 */   GIM_Try, /*On fail goto*//*Label 24474*/ GIMT_Encode4(1805965), // Rule ID 12553 //
     /* 1805884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1805895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1805898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1805901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805930 */     // MIs[0] policy
     /* 1805930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805940 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1805943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805964 */     // GIR_Coverage, 12553,
     /* 1805964 */     GIR_EraseRootFromParent_Done,
     /* 1805965 */   // Label 24474: @1805965
     /* 1805965 */   GIM_Try, /*On fail goto*//*Label 24475*/ GIMT_Encode4(1806051), // Rule ID 12554 //
     /* 1805970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1805978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1805981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1805984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1805987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806016 */     // MIs[0] policy
     /* 1806016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806026 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1806029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806050 */     // GIR_Coverage, 12554,
     /* 1806050 */     GIR_EraseRootFromParent_Done,
     /* 1806051 */   // Label 24475: @1806051
     /* 1806051 */   GIM_Try, /*On fail goto*//*Label 24476*/ GIMT_Encode4(1806137), // Rule ID 12557 //
     /* 1806056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1806067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1806070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1806073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806102 */     // MIs[0] policy
     /* 1806102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806112 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1806115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806136 */     // GIR_Coverage, 12557,
     /* 1806136 */     GIR_EraseRootFromParent_Done,
     /* 1806137 */   // Label 24476: @1806137
     /* 1806137 */   GIM_Try, /*On fail goto*//*Label 24477*/ GIMT_Encode4(1806223), // Rule ID 12558 //
     /* 1806142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1806153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1806156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1806159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806188 */     // MIs[0] policy
     /* 1806188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806198 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1806201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806222 */     // GIR_Coverage, 12558,
     /* 1806222 */     GIR_EraseRootFromParent_Done,
     /* 1806223 */   // Label 24477: @1806223
     /* 1806223 */   GIM_Try, /*On fail goto*//*Label 24478*/ GIMT_Encode4(1806309), // Rule ID 12561 //
     /* 1806228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1806239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1806242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1806245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806274 */     // MIs[0] policy
     /* 1806274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806284 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1806287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806308 */     // GIR_Coverage, 12561,
     /* 1806308 */     GIR_EraseRootFromParent_Done,
     /* 1806309 */   // Label 24478: @1806309
     /* 1806309 */   GIM_Try, /*On fail goto*//*Label 24479*/ GIMT_Encode4(1806395), // Rule ID 12562 //
     /* 1806314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1806325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1806328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1806331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806360 */     // MIs[0] policy
     /* 1806360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806370 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1806373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806394 */     // GIR_Coverage, 12562,
     /* 1806394 */     GIR_EraseRootFromParent_Done,
     /* 1806395 */   // Label 24479: @1806395
     /* 1806395 */   GIM_Try, /*On fail goto*//*Label 24480*/ GIMT_Encode4(1806481), // Rule ID 12565 //
     /* 1806400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1806403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1806411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1806414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1806417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806446 */     // MIs[0] policy
     /* 1806446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806456 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1806459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806480 */     // GIR_Coverage, 12565,
     /* 1806480 */     GIR_EraseRootFromParent_Done,
     /* 1806481 */   // Label 24480: @1806481
     /* 1806481 */   GIM_Try, /*On fail goto*//*Label 24481*/ GIMT_Encode4(1806567), // Rule ID 12566 //
     /* 1806486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1806489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1806497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1806500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1806503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806532 */     // MIs[0] policy
     /* 1806532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806542 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1806545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806566 */     // GIR_Coverage, 12566,
     /* 1806566 */     GIR_EraseRootFromParent_Done,
     /* 1806567 */   // Label 24481: @1806567
     /* 1806567 */   GIM_Try, /*On fail goto*//*Label 24482*/ GIMT_Encode4(1806653), // Rule ID 12569 //
     /* 1806572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1806575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1806583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1806586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1806589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806618 */     // MIs[0] policy
     /* 1806618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806628 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1806631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806652 */     // GIR_Coverage, 12569,
     /* 1806652 */     GIR_EraseRootFromParent_Done,
     /* 1806653 */   // Label 24482: @1806653
     /* 1806653 */   GIM_Try, /*On fail goto*//*Label 24483*/ GIMT_Encode4(1806739), // Rule ID 12570 //
     /* 1806658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1806661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1806669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1806672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1806675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806704 */     // MIs[0] policy
     /* 1806704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806714 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1806717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806738 */     // GIR_Coverage, 12570,
     /* 1806738 */     GIR_EraseRootFromParent_Done,
     /* 1806739 */   // Label 24483: @1806739
     /* 1806739 */   GIM_Try, /*On fail goto*//*Label 24484*/ GIMT_Encode4(1806825), // Rule ID 12573 //
     /* 1806744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1806747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1806755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1806758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1806761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806790 */     // MIs[0] policy
     /* 1806790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806800 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1806803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806824 */     // GIR_Coverage, 12573,
     /* 1806824 */     GIR_EraseRootFromParent_Done,
     /* 1806825 */   // Label 24484: @1806825
     /* 1806825 */   GIM_Try, /*On fail goto*//*Label 24485*/ GIMT_Encode4(1806911), // Rule ID 12574 //
     /* 1806830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1806833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1806841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1806844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1806847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806876 */     // MIs[0] policy
     /* 1806876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806886 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1806889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806910 */     // GIR_Coverage, 12574,
     /* 1806910 */     GIR_EraseRootFromParent_Done,
     /* 1806911 */   // Label 24485: @1806911
     /* 1806911 */   GIM_Try, /*On fail goto*//*Label 24486*/ GIMT_Encode4(1806997), // Rule ID 12577 //
     /* 1806916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1806919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1806924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1806927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1806930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1806933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806962 */     // MIs[0] policy
     /* 1806962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806972 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1806975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806996 */     // GIR_Coverage, 12577,
     /* 1806996 */     GIR_EraseRootFromParent_Done,
     /* 1806997 */   // Label 24486: @1806997
     /* 1806997 */   GIM_Try, /*On fail goto*//*Label 24487*/ GIMT_Encode4(1807083), // Rule ID 12578 //
     /* 1807002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1807005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1807010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1807013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1807016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1807019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807048 */     // MIs[0] policy
     /* 1807048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807058 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1807061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807082 */     // GIR_Coverage, 12578,
     /* 1807082 */     GIR_EraseRootFromParent_Done,
     /* 1807083 */   // Label 24487: @1807083
     /* 1807083 */   GIM_Try, /*On fail goto*//*Label 24488*/ GIMT_Encode4(1807169), // Rule ID 12581 //
     /* 1807088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1807099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1807102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1807105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1807108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807134 */     // MIs[0] policy
     /* 1807134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807144 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1807147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807168 */     // GIR_Coverage, 12581,
     /* 1807168 */     GIR_EraseRootFromParent_Done,
     /* 1807169 */   // Label 24488: @1807169
     /* 1807169 */   GIM_Try, /*On fail goto*//*Label 24489*/ GIMT_Encode4(1807255), // Rule ID 12582 //
     /* 1807174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1807185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1807188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1807191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1807194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807220 */     // MIs[0] policy
     /* 1807220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807230 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1807233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807254 */     // GIR_Coverage, 12582,
     /* 1807254 */     GIR_EraseRootFromParent_Done,
     /* 1807255 */   // Label 24489: @1807255
     /* 1807255 */   GIM_Try, /*On fail goto*//*Label 24490*/ GIMT_Encode4(1807341), // Rule ID 12585 //
     /* 1807260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1807271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1807274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1807277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1807280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807306 */     // MIs[0] policy
     /* 1807306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807316 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1807319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807340 */     // GIR_Coverage, 12585,
     /* 1807340 */     GIR_EraseRootFromParent_Done,
     /* 1807341 */   // Label 24490: @1807341
     /* 1807341 */   GIM_Try, /*On fail goto*//*Label 24491*/ GIMT_Encode4(1807427), // Rule ID 12586 //
     /* 1807346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1807357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1807360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1807363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1807366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807392 */     // MIs[0] policy
     /* 1807392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807402 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1807405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807426 */     // GIR_Coverage, 12586,
     /* 1807426 */     GIR_EraseRootFromParent_Done,
     /* 1807427 */   // Label 24491: @1807427
     /* 1807427 */   GIM_Try, /*On fail goto*//*Label 24492*/ GIMT_Encode4(1807513), // Rule ID 12589 //
     /* 1807432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1807443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1807446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1807449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1807452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807478 */     // MIs[0] policy
     /* 1807478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807488 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1807491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807512 */     // GIR_Coverage, 12589,
     /* 1807512 */     GIR_EraseRootFromParent_Done,
     /* 1807513 */   // Label 24492: @1807513
     /* 1807513 */   GIM_Try, /*On fail goto*//*Label 24493*/ GIMT_Encode4(1807599), // Rule ID 12590 //
     /* 1807518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1807529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1807532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1807535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1807538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807564 */     // MIs[0] policy
     /* 1807564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807574 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1807577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807598 */     // GIR_Coverage, 12590,
     /* 1807598 */     GIR_EraseRootFromParent_Done,
     /* 1807599 */   // Label 24493: @1807599
     /* 1807599 */   GIM_Try, /*On fail goto*//*Label 24494*/ GIMT_Encode4(1807685), // Rule ID 12593 //
     /* 1807604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1807615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1807618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1807621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1807624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807650 */     // MIs[0] policy
     /* 1807650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807660 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1807663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807684 */     // GIR_Coverage, 12593,
     /* 1807684 */     GIR_EraseRootFromParent_Done,
     /* 1807685 */   // Label 24494: @1807685
     /* 1807685 */   GIM_Try, /*On fail goto*//*Label 24495*/ GIMT_Encode4(1807771), // Rule ID 12594 //
     /* 1807690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1807701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1807704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1807707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1807710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807736 */     // MIs[0] policy
     /* 1807736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807746 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1807749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807770 */     // GIR_Coverage, 12594,
     /* 1807770 */     GIR_EraseRootFromParent_Done,
     /* 1807771 */   // Label 24495: @1807771
     /* 1807771 */   GIM_Try, /*On fail goto*//*Label 24496*/ GIMT_Encode4(1807857), // Rule ID 12597 //
     /* 1807776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1807787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1807790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1807793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1807796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807822 */     // MIs[0] policy
     /* 1807822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807832 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1807835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807856 */     // GIR_Coverage, 12597,
     /* 1807856 */     GIR_EraseRootFromParent_Done,
     /* 1807857 */   // Label 24496: @1807857
     /* 1807857 */   GIM_Try, /*On fail goto*//*Label 24497*/ GIMT_Encode4(1807943), // Rule ID 12598 //
     /* 1807862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1807873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1807876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1807879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1807882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807908 */     // MIs[0] policy
     /* 1807908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807918 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1807921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807942 */     // GIR_Coverage, 12598,
     /* 1807942 */     GIR_EraseRootFromParent_Done,
     /* 1807943 */   // Label 24497: @1807943
     /* 1807943 */   GIM_Try, /*On fail goto*//*Label 24498*/ GIMT_Encode4(1808029), // Rule ID 12601 //
     /* 1807948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1807959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1807962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1807965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1807968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807994 */     // MIs[0] policy
     /* 1807994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808004 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1808007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808028 */     // GIR_Coverage, 12601,
     /* 1808028 */     GIR_EraseRootFromParent_Done,
     /* 1808029 */   // Label 24498: @1808029
     /* 1808029 */   GIM_Try, /*On fail goto*//*Label 24499*/ GIMT_Encode4(1808115), // Rule ID 12602 //
     /* 1808034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1808045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1808048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1808051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1808054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808080 */     // MIs[0] policy
     /* 1808080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808090 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1808093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808114 */     // GIR_Coverage, 12602,
     /* 1808114 */     GIR_EraseRootFromParent_Done,
     /* 1808115 */   // Label 24499: @1808115
     /* 1808115 */   GIM_Try, /*On fail goto*//*Label 24500*/ GIMT_Encode4(1808201), // Rule ID 12605 //
     /* 1808120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1808131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1808134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1808137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1808140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808166 */     // MIs[0] policy
     /* 1808166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808176 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1808179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808200 */     // GIR_Coverage, 12605,
     /* 1808200 */     GIR_EraseRootFromParent_Done,
     /* 1808201 */   // Label 24500: @1808201
     /* 1808201 */   GIM_Try, /*On fail goto*//*Label 24501*/ GIMT_Encode4(1808287), // Rule ID 12606 //
     /* 1808206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1808217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1808220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1808223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1808226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808252 */     // MIs[0] policy
     /* 1808252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808262 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1808265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808286 */     // GIR_Coverage, 12606,
     /* 1808286 */     GIR_EraseRootFromParent_Done,
     /* 1808287 */   // Label 24501: @1808287
     /* 1808287 */   GIM_Try, /*On fail goto*//*Label 24502*/ GIMT_Encode4(1808373), // Rule ID 12609 //
     /* 1808292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1808303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1808306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1808309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1808312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808338 */     // MIs[0] policy
     /* 1808338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808348 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1808351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808372 */     // GIR_Coverage, 12609,
     /* 1808372 */     GIR_EraseRootFromParent_Done,
     /* 1808373 */   // Label 24502: @1808373
     /* 1808373 */   GIM_Try, /*On fail goto*//*Label 24503*/ GIMT_Encode4(1808459), // Rule ID 12610 //
     /* 1808378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1808389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1808392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1808395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1808398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808424 */     // MIs[0] policy
     /* 1808424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808434 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1808437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808458 */     // GIR_Coverage, 12610,
     /* 1808458 */     GIR_EraseRootFromParent_Done,
     /* 1808459 */   // Label 24503: @1808459
     /* 1808459 */   GIM_Try, /*On fail goto*//*Label 24504*/ GIMT_Encode4(1808545), // Rule ID 12613 //
     /* 1808464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1808467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1808475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1808478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1808481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1808484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808510 */     // MIs[0] policy
     /* 1808510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808520 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1808523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1808541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808544 */     // GIR_Coverage, 12613,
     /* 1808544 */     GIR_EraseRootFromParent_Done,
     /* 1808545 */   // Label 24504: @1808545
     /* 1808545 */   GIM_Try, /*On fail goto*//*Label 24505*/ GIMT_Encode4(1808631), // Rule ID 12614 //
     /* 1808550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1808553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1808561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1808564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1808567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1808570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808596 */     // MIs[0] policy
     /* 1808596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808606 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1808609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1808627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808630 */     // GIR_Coverage, 12614,
     /* 1808630 */     GIR_EraseRootFromParent_Done,
     /* 1808631 */   // Label 24505: @1808631
     /* 1808631 */   GIM_Try, /*On fail goto*//*Label 24506*/ GIMT_Encode4(1808717), // Rule ID 12617 //
     /* 1808636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1808647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1808650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1808653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1808656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1808659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808682 */     // MIs[0] policy
     /* 1808682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808692 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1808695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808716 */     // GIR_Coverage, 12617,
     /* 1808716 */     GIR_EraseRootFromParent_Done,
     /* 1808717 */   // Label 24506: @1808717
     /* 1808717 */   GIM_Try, /*On fail goto*//*Label 24507*/ GIMT_Encode4(1808803), // Rule ID 12618 //
     /* 1808722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1808733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1808736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1808739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1808742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1808745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808768 */     // MIs[0] policy
     /* 1808768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808778 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1808781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808802 */     // GIR_Coverage, 12618,
     /* 1808802 */     GIR_EraseRootFromParent_Done,
     /* 1808803 */   // Label 24507: @1808803
     /* 1808803 */   GIM_Try, /*On fail goto*//*Label 24508*/ GIMT_Encode4(1808889), // Rule ID 12621 //
     /* 1808808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1808819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1808822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1808825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1808828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1808831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808854 */     // MIs[0] policy
     /* 1808854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808864 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1808867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808888 */     // GIR_Coverage, 12621,
     /* 1808888 */     GIR_EraseRootFromParent_Done,
     /* 1808889 */   // Label 24508: @1808889
     /* 1808889 */   GIM_Try, /*On fail goto*//*Label 24509*/ GIMT_Encode4(1808975), // Rule ID 12622 //
     /* 1808894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1808905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1808908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1808911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1808914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1808917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808940 */     // MIs[0] policy
     /* 1808940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808950 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1808953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808974 */     // GIR_Coverage, 12622,
     /* 1808974 */     GIR_EraseRootFromParent_Done,
     /* 1808975 */   // Label 24509: @1808975
     /* 1808975 */   GIM_Try, /*On fail goto*//*Label 24510*/ GIMT_Encode4(1809061), // Rule ID 12625 //
     /* 1808980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1808991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1808994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1808997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1809000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1809003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809026 */     // MIs[0] policy
     /* 1809026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809036 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1809039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809060 */     // GIR_Coverage, 12625,
     /* 1809060 */     GIR_EraseRootFromParent_Done,
     /* 1809061 */   // Label 24510: @1809061
     /* 1809061 */   GIM_Try, /*On fail goto*//*Label 24511*/ GIMT_Encode4(1809147), // Rule ID 12626 //
     /* 1809066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1809077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1809080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1809083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1809086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1809089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809112 */     // MIs[0] policy
     /* 1809112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809122 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1809125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809146 */     // GIR_Coverage, 12626,
     /* 1809146 */     GIR_EraseRootFromParent_Done,
     /* 1809147 */   // Label 24511: @1809147
     /* 1809147 */   GIM_Try, /*On fail goto*//*Label 24512*/ GIMT_Encode4(1809233), // Rule ID 12629 //
     /* 1809152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1809163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1809166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1809169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1809172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809198 */     // MIs[0] policy
     /* 1809198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809208 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1809211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809232 */     // GIR_Coverage, 12629,
     /* 1809232 */     GIR_EraseRootFromParent_Done,
     /* 1809233 */   // Label 24512: @1809233
     /* 1809233 */   GIM_Try, /*On fail goto*//*Label 24513*/ GIMT_Encode4(1809319), // Rule ID 12630 //
     /* 1809238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1809249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1809252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1809255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1809258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809284 */     // MIs[0] policy
     /* 1809284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809294 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1809297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809318 */     // GIR_Coverage, 12630,
     /* 1809318 */     GIR_EraseRootFromParent_Done,
     /* 1809319 */   // Label 24513: @1809319
     /* 1809319 */   GIM_Try, /*On fail goto*//*Label 24514*/ GIMT_Encode4(1809405), // Rule ID 12633 //
     /* 1809324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1809335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1809338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1809341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1809344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1809347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809370 */     // MIs[0] policy
     /* 1809370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809380 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1809383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809404 */     // GIR_Coverage, 12633,
     /* 1809404 */     GIR_EraseRootFromParent_Done,
     /* 1809405 */   // Label 24514: @1809405
     /* 1809405 */   GIM_Try, /*On fail goto*//*Label 24515*/ GIMT_Encode4(1809491), // Rule ID 12634 //
     /* 1809410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1809421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1809424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1809427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1809430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1809433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809456 */     // MIs[0] policy
     /* 1809456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809466 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1809469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809490 */     // GIR_Coverage, 12634,
     /* 1809490 */     GIR_EraseRootFromParent_Done,
     /* 1809491 */   // Label 24515: @1809491
     /* 1809491 */   GIM_Try, /*On fail goto*//*Label 24516*/ GIMT_Encode4(1809577), // Rule ID 12637 //
     /* 1809496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1809507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1809510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1809513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1809516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1809519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809542 */     // MIs[0] policy
     /* 1809542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809552 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1809555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809576 */     // GIR_Coverage, 12637,
     /* 1809576 */     GIR_EraseRootFromParent_Done,
     /* 1809577 */   // Label 24516: @1809577
     /* 1809577 */   GIM_Try, /*On fail goto*//*Label 24517*/ GIMT_Encode4(1809663), // Rule ID 12638 //
     /* 1809582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1809593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1809596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1809599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1809602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1809605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809628 */     // MIs[0] policy
     /* 1809628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809638 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1809641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809662 */     // GIR_Coverage, 12638,
     /* 1809662 */     GIR_EraseRootFromParent_Done,
     /* 1809663 */   // Label 24517: @1809663
     /* 1809663 */   GIM_Try, /*On fail goto*//*Label 24518*/ GIMT_Encode4(1809749), // Rule ID 12641 //
     /* 1809668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1809679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1809682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1809685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1809688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809714 */     // MIs[0] policy
     /* 1809714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1809727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809748 */     // GIR_Coverage, 12641,
     /* 1809748 */     GIR_EraseRootFromParent_Done,
     /* 1809749 */   // Label 24518: @1809749
     /* 1809749 */   GIM_Try, /*On fail goto*//*Label 24519*/ GIMT_Encode4(1809835), // Rule ID 12642 //
     /* 1809754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1809765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1809768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1809771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1809774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809800 */     // MIs[0] policy
     /* 1809800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809810 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1809813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809834 */     // GIR_Coverage, 12642,
     /* 1809834 */     GIR_EraseRootFromParent_Done,
     /* 1809835 */   // Label 24519: @1809835
     /* 1809835 */   GIM_Try, /*On fail goto*//*Label 24520*/ GIMT_Encode4(1809921), // Rule ID 12645 //
     /* 1809840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1809851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1809854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1809857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1809860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809886 */     // MIs[0] policy
     /* 1809886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809896 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1809899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809920 */     // GIR_Coverage, 12645,
     /* 1809920 */     GIR_EraseRootFromParent_Done,
     /* 1809921 */   // Label 24520: @1809921
     /* 1809921 */   GIM_Try, /*On fail goto*//*Label 24521*/ GIMT_Encode4(1810007), // Rule ID 12646 //
     /* 1809926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1809937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1809940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1809943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1809946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809972 */     // MIs[0] policy
     /* 1809972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809982 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1809985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810006 */     // GIR_Coverage, 12646,
     /* 1810006 */     GIR_EraseRootFromParent_Done,
     /* 1810007 */   // Label 24521: @1810007
     /* 1810007 */   GIM_Try, /*On fail goto*//*Label 24522*/ GIMT_Encode4(1810093), // Rule ID 12649 //
     /* 1810012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1810023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1810026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1810029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1810032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810058 */     // MIs[0] policy
     /* 1810058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810068 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1810071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810092 */     // GIR_Coverage, 12649,
     /* 1810092 */     GIR_EraseRootFromParent_Done,
     /* 1810093 */   // Label 24522: @1810093
     /* 1810093 */   GIM_Try, /*On fail goto*//*Label 24523*/ GIMT_Encode4(1810179), // Rule ID 12650 //
     /* 1810098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1810109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1810112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1810115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1810118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810144 */     // MIs[0] policy
     /* 1810144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810154 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1810157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810178 */     // GIR_Coverage, 12650,
     /* 1810178 */     GIR_EraseRootFromParent_Done,
     /* 1810179 */   // Label 24523: @1810179
     /* 1810179 */   GIM_Try, /*On fail goto*//*Label 24524*/ GIMT_Encode4(1810265), // Rule ID 12653 //
     /* 1810184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1810187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1810195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1810198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1810201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1810204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810230 */     // MIs[0] policy
     /* 1810230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810240 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1810243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1810261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810264 */     // GIR_Coverage, 12653,
     /* 1810264 */     GIR_EraseRootFromParent_Done,
     /* 1810265 */   // Label 24524: @1810265
     /* 1810265 */   GIM_Try, /*On fail goto*//*Label 24525*/ GIMT_Encode4(1810351), // Rule ID 12654 //
     /* 1810270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1810273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1810281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1810284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1810287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1810290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810316 */     // MIs[0] policy
     /* 1810316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810326 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1810329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1810347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810350 */     // GIR_Coverage, 12654,
     /* 1810350 */     GIR_EraseRootFromParent_Done,
     /* 1810351 */   // Label 24525: @1810351
     /* 1810351 */   GIM_Try, /*On fail goto*//*Label 24526*/ GIMT_Encode4(1810437), // Rule ID 12657 //
     /* 1810356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1810359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1810367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1810370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1810373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1810376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810402 */     // MIs[0] policy
     /* 1810402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810412 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1810415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1810433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810436 */     // GIR_Coverage, 12657,
     /* 1810436 */     GIR_EraseRootFromParent_Done,
     /* 1810437 */   // Label 24526: @1810437
     /* 1810437 */   GIM_Try, /*On fail goto*//*Label 24527*/ GIMT_Encode4(1810523), // Rule ID 12658 //
     /* 1810442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1810445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1810453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1810456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1810459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1810462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810488 */     // MIs[0] policy
     /* 1810488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810498 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1810501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1810519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810522 */     // GIR_Coverage, 12658,
     /* 1810522 */     GIR_EraseRootFromParent_Done,
     /* 1810523 */   // Label 24527: @1810523
     /* 1810523 */   GIM_Try, /*On fail goto*//*Label 24528*/ GIMT_Encode4(1810609), // Rule ID 12661 //
     /* 1810528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1810531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1810539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1810542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1810545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1810548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810574 */     // MIs[0] policy
     /* 1810574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810584 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1810587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1810605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810608 */     // GIR_Coverage, 12661,
     /* 1810608 */     GIR_EraseRootFromParent_Done,
     /* 1810609 */   // Label 24528: @1810609
     /* 1810609 */   GIM_Try, /*On fail goto*//*Label 24529*/ GIMT_Encode4(1810695), // Rule ID 12662 //
     /* 1810614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1810617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1810625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1810628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1810631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1810634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810660 */     // MIs[0] policy
     /* 1810660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810670 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1810673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1810691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810694 */     // GIR_Coverage, 12662,
     /* 1810694 */     GIR_EraseRootFromParent_Done,
     /* 1810695 */   // Label 24529: @1810695
     /* 1810695 */   GIM_Try, /*On fail goto*//*Label 24530*/ GIMT_Encode4(1810781), // Rule ID 12665 //
     /* 1810700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1810711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1810714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1810717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1810720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1810738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810746 */     // MIs[0] policy
     /* 1810746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810756 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1810759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810780 */     // GIR_Coverage, 12665,
     /* 1810780 */     GIR_EraseRootFromParent_Done,
     /* 1810781 */   // Label 24530: @1810781
     /* 1810781 */   GIM_Try, /*On fail goto*//*Label 24531*/ GIMT_Encode4(1810867), // Rule ID 12666 //
     /* 1810786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1810797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1810800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1810803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1810806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1810824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810832 */     // MIs[0] policy
     /* 1810832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810842 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1810845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810866 */     // GIR_Coverage, 12666,
     /* 1810866 */     GIR_EraseRootFromParent_Done,
     /* 1810867 */   // Label 24531: @1810867
     /* 1810867 */   GIM_Try, /*On fail goto*//*Label 24532*/ GIMT_Encode4(1810953), // Rule ID 12669 //
     /* 1810872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1810883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1810886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1810889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1810892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1810910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810918 */     // MIs[0] policy
     /* 1810918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810928 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1810931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810952 */     // GIR_Coverage, 12669,
     /* 1810952 */     GIR_EraseRootFromParent_Done,
     /* 1810953 */   // Label 24532: @1810953
     /* 1810953 */   GIM_Try, /*On fail goto*//*Label 24533*/ GIMT_Encode4(1811039), // Rule ID 12670 //
     /* 1810958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1810966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1810969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1810972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1810975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1810978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1810996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811004 */     // MIs[0] policy
     /* 1811004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811014 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1811017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811038 */     // GIR_Coverage, 12670,
     /* 1811038 */     GIR_EraseRootFromParent_Done,
     /* 1811039 */   // Label 24533: @1811039
     /* 1811039 */   GIM_Try, /*On fail goto*//*Label 24534*/ GIMT_Encode4(1811125), // Rule ID 12673 //
     /* 1811044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1811055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1811058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1811061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1811064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811090 */     // MIs[0] policy
     /* 1811090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811100 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1811103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811124 */     // GIR_Coverage, 12673,
     /* 1811124 */     GIR_EraseRootFromParent_Done,
     /* 1811125 */   // Label 24534: @1811125
     /* 1811125 */   GIM_Try, /*On fail goto*//*Label 24535*/ GIMT_Encode4(1811211), // Rule ID 12674 //
     /* 1811130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1811141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1811144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1811147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1811150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811176 */     // MIs[0] policy
     /* 1811176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811186 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1811189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811210 */     // GIR_Coverage, 12674,
     /* 1811210 */     GIR_EraseRootFromParent_Done,
     /* 1811211 */   // Label 24535: @1811211
     /* 1811211 */   GIM_Try, /*On fail goto*//*Label 24536*/ GIMT_Encode4(1811297), // Rule ID 12677 //
     /* 1811216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1811227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1811230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1811233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1811236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811262 */     // MIs[0] policy
     /* 1811262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811272 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1811275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811296 */     // GIR_Coverage, 12677,
     /* 1811296 */     GIR_EraseRootFromParent_Done,
     /* 1811297 */   // Label 24536: @1811297
     /* 1811297 */   GIM_Try, /*On fail goto*//*Label 24537*/ GIMT_Encode4(1811383), // Rule ID 12678 //
     /* 1811302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1811313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1811316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1811319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1811322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811348 */     // MIs[0] policy
     /* 1811348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811358 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1811361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811382 */     // GIR_Coverage, 12678,
     /* 1811382 */     GIR_EraseRootFromParent_Done,
     /* 1811383 */   // Label 24537: @1811383
     /* 1811383 */   GIM_Try, /*On fail goto*//*Label 24538*/ GIMT_Encode4(1811469), // Rule ID 12681 //
     /* 1811388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1811399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1811402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1811405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1811408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811434 */     // MIs[0] policy
     /* 1811434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811444 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1811447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811468 */     // GIR_Coverage, 12681,
     /* 1811468 */     GIR_EraseRootFromParent_Done,
     /* 1811469 */   // Label 24538: @1811469
     /* 1811469 */   GIM_Try, /*On fail goto*//*Label 24539*/ GIMT_Encode4(1811555), // Rule ID 12682 //
     /* 1811474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1811485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1811488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1811491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1811494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811520 */     // MIs[0] policy
     /* 1811520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811530 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1811533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811554 */     // GIR_Coverage, 12682,
     /* 1811554 */     GIR_EraseRootFromParent_Done,
     /* 1811555 */   // Label 24539: @1811555
     /* 1811555 */   GIM_Try, /*On fail goto*//*Label 24540*/ GIMT_Encode4(1811641), // Rule ID 12685 //
     /* 1811560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1811571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1811574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1811577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1811580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811606 */     // MIs[0] policy
     /* 1811606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811616 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1811619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811640 */     // GIR_Coverage, 12685,
     /* 1811640 */     GIR_EraseRootFromParent_Done,
     /* 1811641 */   // Label 24540: @1811641
     /* 1811641 */   GIM_Try, /*On fail goto*//*Label 24541*/ GIMT_Encode4(1811727), // Rule ID 12686 //
     /* 1811646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1811657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1811660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1811663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1811666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811692 */     // MIs[0] policy
     /* 1811692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811702 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1811705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811726 */     // GIR_Coverage, 12686,
     /* 1811726 */     GIR_EraseRootFromParent_Done,
     /* 1811727 */   // Label 24541: @1811727
     /* 1811727 */   GIM_Try, /*On fail goto*//*Label 24542*/ GIMT_Encode4(1811813), // Rule ID 12689 //
     /* 1811732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1811743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1811746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1811749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1811752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811778 */     // MIs[0] policy
     /* 1811778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811788 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1811791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811812 */     // GIR_Coverage, 12689,
     /* 1811812 */     GIR_EraseRootFromParent_Done,
     /* 1811813 */   // Label 24542: @1811813
     /* 1811813 */   GIM_Try, /*On fail goto*//*Label 24543*/ GIMT_Encode4(1811899), // Rule ID 12690 //
     /* 1811818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1811829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1811832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1811835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1811838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811864 */     // MIs[0] policy
     /* 1811864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811874 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1811877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811898 */     // GIR_Coverage, 12690,
     /* 1811898 */     GIR_EraseRootFromParent_Done,
     /* 1811899 */   // Label 24543: @1811899
     /* 1811899 */   GIM_Try, /*On fail goto*//*Label 24544*/ GIMT_Encode4(1811985), // Rule ID 12693 //
     /* 1811904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1811915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1811918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1811921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1811924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811950 */     // MIs[0] policy
     /* 1811950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811960 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1811963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811984 */     // GIR_Coverage, 12693,
     /* 1811984 */     GIR_EraseRootFromParent_Done,
     /* 1811985 */   // Label 24544: @1811985
     /* 1811985 */   GIM_Try, /*On fail goto*//*Label 24545*/ GIMT_Encode4(1812071), // Rule ID 12694 //
     /* 1811990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1811998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1812001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1812004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1812010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812036 */     // MIs[0] policy
     /* 1812036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812046 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1812049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812070 */     // GIR_Coverage, 12694,
     /* 1812070 */     GIR_EraseRootFromParent_Done,
     /* 1812071 */   // Label 24545: @1812071
     /* 1812071 */   GIM_Try, /*On fail goto*//*Label 24546*/ GIMT_Encode4(1812157), // Rule ID 12697 //
     /* 1812076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1812087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1812090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1812096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812122 */     // MIs[0] policy
     /* 1812122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812132 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1812135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812156 */     // GIR_Coverage, 12697,
     /* 1812156 */     GIR_EraseRootFromParent_Done,
     /* 1812157 */   // Label 24546: @1812157
     /* 1812157 */   GIM_Try, /*On fail goto*//*Label 24547*/ GIMT_Encode4(1812243), // Rule ID 12698 //
     /* 1812162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1812173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1812176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1812182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812208 */     // MIs[0] policy
     /* 1812208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812218 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1812221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812242 */     // GIR_Coverage, 12698,
     /* 1812242 */     GIR_EraseRootFromParent_Done,
     /* 1812243 */   // Label 24547: @1812243
     /* 1812243 */   GIM_Try, /*On fail goto*//*Label 24548*/ GIMT_Encode4(1812329), // Rule ID 12701 //
     /* 1812248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1812251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1812259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1812262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1812268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812294 */     // MIs[0] policy
     /* 1812294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812304 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1812307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1812325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812328 */     // GIR_Coverage, 12701,
     /* 1812328 */     GIR_EraseRootFromParent_Done,
     /* 1812329 */   // Label 24548: @1812329
     /* 1812329 */   GIM_Try, /*On fail goto*//*Label 24549*/ GIMT_Encode4(1812415), // Rule ID 12702 //
     /* 1812334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1812337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1812345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1812348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1812354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812380 */     // MIs[0] policy
     /* 1812380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812390 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1812393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1812411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812414 */     // GIR_Coverage, 12702,
     /* 1812414 */     GIR_EraseRootFromParent_Done,
     /* 1812415 */   // Label 24549: @1812415
     /* 1812415 */   GIM_Try, /*On fail goto*//*Label 24550*/ GIMT_Encode4(1812501), // Rule ID 12705 //
     /* 1812420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1812431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1812434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1812440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1812443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812466 */     // MIs[0] policy
     /* 1812466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812476 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1812479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812500 */     // GIR_Coverage, 12705,
     /* 1812500 */     GIR_EraseRootFromParent_Done,
     /* 1812501 */   // Label 24550: @1812501
     /* 1812501 */   GIM_Try, /*On fail goto*//*Label 24551*/ GIMT_Encode4(1812587), // Rule ID 12706 //
     /* 1812506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1812517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1812520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1812526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1812529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812552 */     // MIs[0] policy
     /* 1812552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812562 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1812565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812586 */     // GIR_Coverage, 12706,
     /* 1812586 */     GIR_EraseRootFromParent_Done,
     /* 1812587 */   // Label 24551: @1812587
     /* 1812587 */   GIM_Try, /*On fail goto*//*Label 24552*/ GIMT_Encode4(1812673), // Rule ID 12709 //
     /* 1812592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1812603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1812606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1812612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1812615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812638 */     // MIs[0] policy
     /* 1812638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812648 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1812651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812672 */     // GIR_Coverage, 12709,
     /* 1812672 */     GIR_EraseRootFromParent_Done,
     /* 1812673 */   // Label 24552: @1812673
     /* 1812673 */   GIM_Try, /*On fail goto*//*Label 24553*/ GIMT_Encode4(1812759), // Rule ID 12710 //
     /* 1812678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1812689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1812692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1812698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1812701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812724 */     // MIs[0] policy
     /* 1812724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812734 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1812737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812758 */     // GIR_Coverage, 12710,
     /* 1812758 */     GIR_EraseRootFromParent_Done,
     /* 1812759 */   // Label 24553: @1812759
     /* 1812759 */   GIM_Try, /*On fail goto*//*Label 24554*/ GIMT_Encode4(1812845), // Rule ID 12713 //
     /* 1812764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1812775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1812778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1812784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1812787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812810 */     // MIs[0] policy
     /* 1812810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812820 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1812823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812844 */     // GIR_Coverage, 12713,
     /* 1812844 */     GIR_EraseRootFromParent_Done,
     /* 1812845 */   // Label 24554: @1812845
     /* 1812845 */   GIM_Try, /*On fail goto*//*Label 24555*/ GIMT_Encode4(1812931), // Rule ID 12714 //
     /* 1812850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1812861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1812864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1812867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1812870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1812873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812896 */     // MIs[0] policy
     /* 1812896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812906 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1812909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812930 */     // GIR_Coverage, 12714,
     /* 1812930 */     GIR_EraseRootFromParent_Done,
     /* 1812931 */   // Label 24555: @1812931
     /* 1812931 */   GIM_Try, /*On fail goto*//*Label 24556*/ GIMT_Encode4(1813017), // Rule ID 12717 //
     /* 1812936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1812944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1812947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1812950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1812953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1812956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812982 */     // MIs[0] policy
     /* 1812982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812992 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1812995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813016 */     // GIR_Coverage, 12717,
     /* 1813016 */     GIR_EraseRootFromParent_Done,
     /* 1813017 */   // Label 24556: @1813017
     /* 1813017 */   GIM_Try, /*On fail goto*//*Label 24557*/ GIMT_Encode4(1813103), // Rule ID 12718 //
     /* 1813022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1813033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1813036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1813042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1813052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813068 */     // MIs[0] policy
     /* 1813068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813078 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1813081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813102 */     // GIR_Coverage, 12718,
     /* 1813102 */     GIR_EraseRootFromParent_Done,
     /* 1813103 */   // Label 24557: @1813103
     /* 1813103 */   GIM_Try, /*On fail goto*//*Label 24558*/ GIMT_Encode4(1813189), // Rule ID 12721 //
     /* 1813108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1813119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1813122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1813128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1813131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1813138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813154 */     // MIs[0] policy
     /* 1813154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813164 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1813167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813188 */     // GIR_Coverage, 12721,
     /* 1813188 */     GIR_EraseRootFromParent_Done,
     /* 1813189 */   // Label 24558: @1813189
     /* 1813189 */   GIM_Try, /*On fail goto*//*Label 24559*/ GIMT_Encode4(1813275), // Rule ID 12722 //
     /* 1813194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1813205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1813208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1813214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1813217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1813224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813240 */     // MIs[0] policy
     /* 1813240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813250 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1813253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813274 */     // GIR_Coverage, 12722,
     /* 1813274 */     GIR_EraseRootFromParent_Done,
     /* 1813275 */   // Label 24559: @1813275
     /* 1813275 */   GIM_Try, /*On fail goto*//*Label 24560*/ GIMT_Encode4(1813361), // Rule ID 12725 //
     /* 1813280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1813291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1813294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1813300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1813303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1813310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813326 */     // MIs[0] policy
     /* 1813326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813336 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1813339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813360 */     // GIR_Coverage, 12725,
     /* 1813360 */     GIR_EraseRootFromParent_Done,
     /* 1813361 */   // Label 24560: @1813361
     /* 1813361 */   GIM_Try, /*On fail goto*//*Label 24561*/ GIMT_Encode4(1813447), // Rule ID 12726 //
     /* 1813366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1813377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1813380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1813386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1813389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1813396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813412 */     // MIs[0] policy
     /* 1813412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813422 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1813425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813446 */     // GIR_Coverage, 12726,
     /* 1813446 */     GIR_EraseRootFromParent_Done,
     /* 1813447 */   // Label 24561: @1813447
     /* 1813447 */   GIM_Try, /*On fail goto*//*Label 24562*/ GIMT_Encode4(1813533), // Rule ID 12729 //
     /* 1813452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1813463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1813466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1813472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1813482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813498 */     // MIs[0] policy
     /* 1813498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813508 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1813511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813532 */     // GIR_Coverage, 12729,
     /* 1813532 */     GIR_EraseRootFromParent_Done,
     /* 1813533 */   // Label 24562: @1813533
     /* 1813533 */   GIM_Try, /*On fail goto*//*Label 24563*/ GIMT_Encode4(1813619), // Rule ID 12730 //
     /* 1813538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1813549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1813552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1813558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1813568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813584 */     // MIs[0] policy
     /* 1813584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813594 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1813597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813618 */     // GIR_Coverage, 12730,
     /* 1813618 */     GIR_EraseRootFromParent_Done,
     /* 1813619 */   // Label 24563: @1813619
     /* 1813619 */   GIM_Try, /*On fail goto*//*Label 24564*/ GIMT_Encode4(1813705), // Rule ID 12733 //
     /* 1813624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1813635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1813638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1813644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1813654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813670 */     // MIs[0] policy
     /* 1813670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813680 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1813683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813704 */     // GIR_Coverage, 12733,
     /* 1813704 */     GIR_EraseRootFromParent_Done,
     /* 1813705 */   // Label 24564: @1813705
     /* 1813705 */   GIM_Try, /*On fail goto*//*Label 24565*/ GIMT_Encode4(1813791), // Rule ID 12734 //
     /* 1813710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1813721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1813724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1813730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1813740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813756 */     // MIs[0] policy
     /* 1813756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813766 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1813769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813790 */     // GIR_Coverage, 12734,
     /* 1813790 */     GIR_EraseRootFromParent_Done,
     /* 1813791 */   // Label 24565: @1813791
     /* 1813791 */   GIM_Try, /*On fail goto*//*Label 24566*/ GIMT_Encode4(1813877), // Rule ID 12737 //
     /* 1813796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1813807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1813810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1813816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1813819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1813826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813842 */     // MIs[0] policy
     /* 1813842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813852 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1813855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813876 */     // GIR_Coverage, 12737,
     /* 1813876 */     GIR_EraseRootFromParent_Done,
     /* 1813877 */   // Label 24566: @1813877
     /* 1813877 */   GIM_Try, /*On fail goto*//*Label 24567*/ GIMT_Encode4(1813963), // Rule ID 12738 //
     /* 1813882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1813893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1813896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1813902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1813905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1813912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813928 */     // MIs[0] policy
     /* 1813928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813938 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1813941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813962 */     // GIR_Coverage, 12738,
     /* 1813962 */     GIR_EraseRootFromParent_Done,
     /* 1813963 */   // Label 24567: @1813963
     /* 1813963 */   GIM_Try, /*On fail goto*//*Label 24568*/ GIMT_Encode4(1814049), // Rule ID 12741 //
     /* 1813968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1813971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1813976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1813979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1813982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1813988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1813998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814014 */     // MIs[0] policy
     /* 1814014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814024 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1814027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1814045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814048 */     // GIR_Coverage, 12741,
     /* 1814048 */     GIR_EraseRootFromParent_Done,
     /* 1814049 */   // Label 24568: @1814049
     /* 1814049 */   GIM_Try, /*On fail goto*//*Label 24569*/ GIMT_Encode4(1814135), // Rule ID 12742 //
     /* 1814054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1814057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1814065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1814068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1814074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814100 */     // MIs[0] policy
     /* 1814100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814110 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1814113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1814131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814134 */     // GIR_Coverage, 12742,
     /* 1814134 */     GIR_EraseRootFromParent_Done,
     /* 1814135 */   // Label 24569: @1814135
     /* 1814135 */   GIM_Try, /*On fail goto*//*Label 24570*/ GIMT_Encode4(1814221), // Rule ID 12745 //
     /* 1814140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1814143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1814151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1814154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1814160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814186 */     // MIs[0] policy
     /* 1814186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1814199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1814217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814220 */     // GIR_Coverage, 12745,
     /* 1814220 */     GIR_EraseRootFromParent_Done,
     /* 1814221 */   // Label 24570: @1814221
     /* 1814221 */   GIM_Try, /*On fail goto*//*Label 24571*/ GIMT_Encode4(1814307), // Rule ID 12746 //
     /* 1814226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1814229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1814237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1814240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1814246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814272 */     // MIs[0] policy
     /* 1814272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814282 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1814285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1814303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814306 */     // GIR_Coverage, 12746,
     /* 1814306 */     GIR_EraseRootFromParent_Done,
     /* 1814307 */   // Label 24571: @1814307
     /* 1814307 */   GIM_Try, /*On fail goto*//*Label 24572*/ GIMT_Encode4(1814393), // Rule ID 12749 //
     /* 1814312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1814315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1814323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1814326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1814332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814358 */     // MIs[0] policy
     /* 1814358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814368 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1814371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1814389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814392 */     // GIR_Coverage, 12749,
     /* 1814392 */     GIR_EraseRootFromParent_Done,
     /* 1814393 */   // Label 24572: @1814393
     /* 1814393 */   GIM_Try, /*On fail goto*//*Label 24573*/ GIMT_Encode4(1814479), // Rule ID 12750 //
     /* 1814398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1814401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1814406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1814409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1814412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1814418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814444 */     // MIs[0] policy
     /* 1814444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814454 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1814457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1814475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814478 */     // GIR_Coverage, 12750,
     /* 1814478 */     GIR_EraseRootFromParent_Done,
     /* 1814479 */   // Label 24573: @1814479
     /* 1814479 */   GIM_Try, /*On fail goto*//*Label 24574*/ GIMT_Encode4(1814565), // Rule ID 12753 //
     /* 1814484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1814492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1814495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1814498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1814501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1814504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1814507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814530 */     // MIs[0] policy
     /* 1814530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814540 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1814543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814564 */     // GIR_Coverage, 12753,
     /* 1814564 */     GIR_EraseRootFromParent_Done,
     /* 1814565 */   // Label 24574: @1814565
     /* 1814565 */   GIM_Try, /*On fail goto*//*Label 24575*/ GIMT_Encode4(1814651), // Rule ID 12754 //
     /* 1814570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1814578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1814581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1814584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1814587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1814590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1814593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814616 */     // MIs[0] policy
     /* 1814616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814626 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1814629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814650 */     // GIR_Coverage, 12754,
     /* 1814650 */     GIR_EraseRootFromParent_Done,
     /* 1814651 */   // Label 24575: @1814651
     /* 1814651 */   GIM_Try, /*On fail goto*//*Label 24576*/ GIMT_Encode4(1814737), // Rule ID 12757 //
     /* 1814656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1814664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1814667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1814670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1814673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1814676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814702 */     // MIs[0] policy
     /* 1814702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814712 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1814715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814736 */     // GIR_Coverage, 12757,
     /* 1814736 */     GIR_EraseRootFromParent_Done,
     /* 1814737 */   // Label 24576: @1814737
     /* 1814737 */   GIM_Try, /*On fail goto*//*Label 24577*/ GIMT_Encode4(1814823), // Rule ID 12758 //
     /* 1814742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1814750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1814753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1814756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1814759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1814762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814788 */     // MIs[0] policy
     /* 1814788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814798 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1814801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814822 */     // GIR_Coverage, 12758,
     /* 1814822 */     GIR_EraseRootFromParent_Done,
     /* 1814823 */   // Label 24577: @1814823
     /* 1814823 */   GIM_Try, /*On fail goto*//*Label 24578*/ GIMT_Encode4(1814909), // Rule ID 12761 //
     /* 1814828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1814836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1814839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1814842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1814845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1814848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814874 */     // MIs[0] policy
     /* 1814874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814884 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1814887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814908 */     // GIR_Coverage, 12761,
     /* 1814908 */     GIR_EraseRootFromParent_Done,
     /* 1814909 */   // Label 24578: @1814909
     /* 1814909 */   GIM_Try, /*On fail goto*//*Label 24579*/ GIMT_Encode4(1814995), // Rule ID 12762 //
     /* 1814914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1814922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1814925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1814928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1814931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1814934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814960 */     // MIs[0] policy
     /* 1814960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814970 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1814973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814994 */     // GIR_Coverage, 12762,
     /* 1814994 */     GIR_EraseRootFromParent_Done,
     /* 1814995 */   // Label 24579: @1814995
     /* 1814995 */   GIM_Try, /*On fail goto*//*Label 24580*/ GIMT_Encode4(1815081), // Rule ID 12765 //
     /* 1815000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1815011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1815014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1815017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1815020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815046 */     // MIs[0] policy
     /* 1815046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815056 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1815059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815080 */     // GIR_Coverage, 12765,
     /* 1815080 */     GIR_EraseRootFromParent_Done,
     /* 1815081 */   // Label 24580: @1815081
     /* 1815081 */   GIM_Try, /*On fail goto*//*Label 24581*/ GIMT_Encode4(1815167), // Rule ID 12766 //
     /* 1815086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1815097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1815100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1815103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1815106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815132 */     // MIs[0] policy
     /* 1815132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815142 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1815145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815166 */     // GIR_Coverage, 12766,
     /* 1815166 */     GIR_EraseRootFromParent_Done,
     /* 1815167 */   // Label 24581: @1815167
     /* 1815167 */   GIM_Try, /*On fail goto*//*Label 24582*/ GIMT_Encode4(1815253), // Rule ID 12769 //
     /* 1815172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1815183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1815186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1815189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1815192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815218 */     // MIs[0] policy
     /* 1815218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815228 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1815231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815252 */     // GIR_Coverage, 12769,
     /* 1815252 */     GIR_EraseRootFromParent_Done,
     /* 1815253 */   // Label 24582: @1815253
     /* 1815253 */   GIM_Try, /*On fail goto*//*Label 24583*/ GIMT_Encode4(1815339), // Rule ID 12770 //
     /* 1815258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1815269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1815272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1815275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1815278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815304 */     // MIs[0] policy
     /* 1815304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815314 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1815317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815338 */     // GIR_Coverage, 12770,
     /* 1815338 */     GIR_EraseRootFromParent_Done,
     /* 1815339 */   // Label 24583: @1815339
     /* 1815339 */   GIM_Try, /*On fail goto*//*Label 24584*/ GIMT_Encode4(1815425), // Rule ID 12773 //
     /* 1815344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1815355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1815358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1815361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1815364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815390 */     // MIs[0] policy
     /* 1815390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815400 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1815403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815424 */     // GIR_Coverage, 12773,
     /* 1815424 */     GIR_EraseRootFromParent_Done,
     /* 1815425 */   // Label 24584: @1815425
     /* 1815425 */   GIM_Try, /*On fail goto*//*Label 24585*/ GIMT_Encode4(1815511), // Rule ID 12774 //
     /* 1815430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1815441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1815444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1815447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1815450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815476 */     // MIs[0] policy
     /* 1815476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815486 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1815489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815510 */     // GIR_Coverage, 12774,
     /* 1815510 */     GIR_EraseRootFromParent_Done,
     /* 1815511 */   // Label 24585: @1815511
     /* 1815511 */   GIM_Try, /*On fail goto*//*Label 24586*/ GIMT_Encode4(1815597), // Rule ID 12777 //
     /* 1815516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1815527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1815530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1815533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1815536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815562 */     // MIs[0] policy
     /* 1815562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815572 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1815575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815596 */     // GIR_Coverage, 12777,
     /* 1815596 */     GIR_EraseRootFromParent_Done,
     /* 1815597 */   // Label 24586: @1815597
     /* 1815597 */   GIM_Try, /*On fail goto*//*Label 24587*/ GIMT_Encode4(1815683), // Rule ID 12778 //
     /* 1815602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1815613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1815616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1815619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1815622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815648 */     // MIs[0] policy
     /* 1815648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815658 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1815661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815682 */     // GIR_Coverage, 12778,
     /* 1815682 */     GIR_EraseRootFromParent_Done,
     /* 1815683 */   // Label 24587: @1815683
     /* 1815683 */   GIM_Try, /*On fail goto*//*Label 24588*/ GIMT_Encode4(1815769), // Rule ID 12781 //
     /* 1815688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1815699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1815702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1815705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1815708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815734 */     // MIs[0] policy
     /* 1815734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815744 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1815747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815768 */     // GIR_Coverage, 12781,
     /* 1815768 */     GIR_EraseRootFromParent_Done,
     /* 1815769 */   // Label 24588: @1815769
     /* 1815769 */   GIM_Try, /*On fail goto*//*Label 24589*/ GIMT_Encode4(1815855), // Rule ID 12782 //
     /* 1815774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1815785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1815788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1815791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1815794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815820 */     // MIs[0] policy
     /* 1815820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815830 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1815833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815854 */     // GIR_Coverage, 12782,
     /* 1815854 */     GIR_EraseRootFromParent_Done,
     /* 1815855 */   // Label 24589: @1815855
     /* 1815855 */   GIM_Try, /*On fail goto*//*Label 24590*/ GIMT_Encode4(1815941), // Rule ID 12785 //
     /* 1815860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1815871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1815874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1815877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1815880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815906 */     // MIs[0] policy
     /* 1815906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815916 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1815919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815940 */     // GIR_Coverage, 12785,
     /* 1815940 */     GIR_EraseRootFromParent_Done,
     /* 1815941 */   // Label 24590: @1815941
     /* 1815941 */   GIM_Try, /*On fail goto*//*Label 24591*/ GIMT_Encode4(1816027), // Rule ID 12786 //
     /* 1815946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1815957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1815960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1815963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1815966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815992 */     // MIs[0] policy
     /* 1815992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1816005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816026 */     // GIR_Coverage, 12786,
     /* 1816026 */     GIR_EraseRootFromParent_Done,
     /* 1816027 */   // Label 24591: @1816027
     /* 1816027 */   GIM_Try, /*On fail goto*//*Label 24592*/ GIMT_Encode4(1816113), // Rule ID 12789 //
     /* 1816032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1816035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1816043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1816046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1816049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1816052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816078 */     // MIs[0] policy
     /* 1816078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816088 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1816091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1816109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816112 */     // GIR_Coverage, 12789,
     /* 1816112 */     GIR_EraseRootFromParent_Done,
     /* 1816113 */   // Label 24592: @1816113
     /* 1816113 */   GIM_Try, /*On fail goto*//*Label 24593*/ GIMT_Encode4(1816199), // Rule ID 12790 //
     /* 1816118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1816121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1816129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1816132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1816135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1816138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816164 */     // MIs[0] policy
     /* 1816164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816174 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1816177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1816195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816198 */     // GIR_Coverage, 12790,
     /* 1816198 */     GIR_EraseRootFromParent_Done,
     /* 1816199 */   // Label 24593: @1816199
     /* 1816199 */   GIM_Try, /*On fail goto*//*Label 24594*/ GIMT_Encode4(1816285), // Rule ID 12793 //
     /* 1816204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1816215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1816218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1816221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1816224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1816227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1816234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816250 */     // MIs[0] policy
     /* 1816250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816260 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1816263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816284 */     // GIR_Coverage, 12793,
     /* 1816284 */     GIR_EraseRootFromParent_Done,
     /* 1816285 */   // Label 24594: @1816285
     /* 1816285 */   GIM_Try, /*On fail goto*//*Label 24595*/ GIMT_Encode4(1816371), // Rule ID 12794 //
     /* 1816290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1816301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1816304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1816307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1816310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1816313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1816320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816336 */     // MIs[0] policy
     /* 1816336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816346 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1816349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816370 */     // GIR_Coverage, 12794,
     /* 1816370 */     GIR_EraseRootFromParent_Done,
     /* 1816371 */   // Label 24595: @1816371
     /* 1816371 */   GIM_Try, /*On fail goto*//*Label 24596*/ GIMT_Encode4(1816457), // Rule ID 12797 //
     /* 1816376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1816387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1816390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1816393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1816396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1816399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1816406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816422 */     // MIs[0] policy
     /* 1816422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816432 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1816435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816456 */     // GIR_Coverage, 12797,
     /* 1816456 */     GIR_EraseRootFromParent_Done,
     /* 1816457 */   // Label 24596: @1816457
     /* 1816457 */   GIM_Try, /*On fail goto*//*Label 24597*/ GIMT_Encode4(1816543), // Rule ID 12798 //
     /* 1816462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1816473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1816476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1816479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1816482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1816485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1816492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816508 */     // MIs[0] policy
     /* 1816508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816518 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1816521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816542 */     // GIR_Coverage, 12798,
     /* 1816542 */     GIR_EraseRootFromParent_Done,
     /* 1816543 */   // Label 24597: @1816543
     /* 1816543 */   GIM_Try, /*On fail goto*//*Label 24598*/ GIMT_Encode4(1816629), // Rule ID 12801 //
     /* 1816548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1816559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1816562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1816565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1816568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1816571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1816578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816594 */     // MIs[0] policy
     /* 1816594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816604 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1816607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816628 */     // GIR_Coverage, 12801,
     /* 1816628 */     GIR_EraseRootFromParent_Done,
     /* 1816629 */   // Label 24598: @1816629
     /* 1816629 */   GIM_Try, /*On fail goto*//*Label 24599*/ GIMT_Encode4(1816715), // Rule ID 12802 //
     /* 1816634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1816645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1816648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1816651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1816654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1816657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1816664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816680 */     // MIs[0] policy
     /* 1816680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816690 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1816693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1816711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816714 */     // GIR_Coverage, 12802,
     /* 1816714 */     GIR_EraseRootFromParent_Done,
     /* 1816715 */   // Label 24599: @1816715
     /* 1816715 */   GIM_Try, /*On fail goto*//*Label 24600*/ GIMT_Encode4(1816801), // Rule ID 12805 //
     /* 1816720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1816731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1816734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1816737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1816740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1816750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816766 */     // MIs[0] policy
     /* 1816766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816776 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1816779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816800 */     // GIR_Coverage, 12805,
     /* 1816800 */     GIR_EraseRootFromParent_Done,
     /* 1816801 */   // Label 24600: @1816801
     /* 1816801 */   GIM_Try, /*On fail goto*//*Label 24601*/ GIMT_Encode4(1816887), // Rule ID 12806 //
     /* 1816806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1816817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1816820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1816823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1816826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1816836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816852 */     // MIs[0] policy
     /* 1816852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816862 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1816865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816886 */     // GIR_Coverage, 12806,
     /* 1816886 */     GIR_EraseRootFromParent_Done,
     /* 1816887 */   // Label 24601: @1816887
     /* 1816887 */   GIM_Try, /*On fail goto*//*Label 24602*/ GIMT_Encode4(1816973), // Rule ID 12809 //
     /* 1816892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1816903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1816906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1816909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1816912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1816915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1816922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816938 */     // MIs[0] policy
     /* 1816938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816948 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1816951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816972 */     // GIR_Coverage, 12809,
     /* 1816972 */     GIR_EraseRootFromParent_Done,
     /* 1816973 */   // Label 24602: @1816973
     /* 1816973 */   GIM_Try, /*On fail goto*//*Label 24603*/ GIMT_Encode4(1817059), // Rule ID 12810 //
     /* 1816978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1816989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1816992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1816995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1816998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817024 */     // MIs[0] policy
     /* 1817024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817034 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1817037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817058 */     // GIR_Coverage, 12810,
     /* 1817058 */     GIR_EraseRootFromParent_Done,
     /* 1817059 */   // Label 24603: @1817059
     /* 1817059 */   GIM_Try, /*On fail goto*//*Label 24604*/ GIMT_Encode4(1817145), // Rule ID 12813 //
     /* 1817064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1817075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1817078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1817081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1817084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1817087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817110 */     // MIs[0] policy
     /* 1817110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817120 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1817123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817144 */     // GIR_Coverage, 12813,
     /* 1817144 */     GIR_EraseRootFromParent_Done,
     /* 1817145 */   // Label 24604: @1817145
     /* 1817145 */   GIM_Try, /*On fail goto*//*Label 24605*/ GIMT_Encode4(1817231), // Rule ID 12814 //
     /* 1817150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1817161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1817164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1817167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1817170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1817173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817196 */     // MIs[0] policy
     /* 1817196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817206 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1817209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817230 */     // GIR_Coverage, 12814,
     /* 1817230 */     GIR_EraseRootFromParent_Done,
     /* 1817231 */   // Label 24605: @1817231
     /* 1817231 */   GIM_Try, /*On fail goto*//*Label 24606*/ GIMT_Encode4(1817317), // Rule ID 12817 //
     /* 1817236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1817247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1817250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1817253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1817256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817282 */     // MIs[0] policy
     /* 1817282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817292 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1817295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817316 */     // GIR_Coverage, 12817,
     /* 1817316 */     GIR_EraseRootFromParent_Done,
     /* 1817317 */   // Label 24606: @1817317
     /* 1817317 */   GIM_Try, /*On fail goto*//*Label 24607*/ GIMT_Encode4(1817403), // Rule ID 12818 //
     /* 1817322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1817333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1817336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1817339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1817342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817368 */     // MIs[0] policy
     /* 1817368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817378 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1817381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817402 */     // GIR_Coverage, 12818,
     /* 1817402 */     GIR_EraseRootFromParent_Done,
     /* 1817403 */   // Label 24607: @1817403
     /* 1817403 */   GIM_Try, /*On fail goto*//*Label 24608*/ GIMT_Encode4(1817489), // Rule ID 12821 //
     /* 1817408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1817419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1817422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1817425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1817428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817454 */     // MIs[0] policy
     /* 1817454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817464 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1817467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817488 */     // GIR_Coverage, 12821,
     /* 1817488 */     GIR_EraseRootFromParent_Done,
     /* 1817489 */   // Label 24608: @1817489
     /* 1817489 */   GIM_Try, /*On fail goto*//*Label 24609*/ GIMT_Encode4(1817575), // Rule ID 12822 //
     /* 1817494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1817505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1817508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1817511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1817514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817540 */     // MIs[0] policy
     /* 1817540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817550 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1817553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817574 */     // GIR_Coverage, 12822,
     /* 1817574 */     GIR_EraseRootFromParent_Done,
     /* 1817575 */   // Label 24609: @1817575
     /* 1817575 */   GIM_Try, /*On fail goto*//*Label 24610*/ GIMT_Encode4(1817661), // Rule ID 12825 //
     /* 1817580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1817591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1817594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1817597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1817600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817626 */     // MIs[0] policy
     /* 1817626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817636 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1817639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817660 */     // GIR_Coverage, 12825,
     /* 1817660 */     GIR_EraseRootFromParent_Done,
     /* 1817661 */   // Label 24610: @1817661
     /* 1817661 */   GIM_Try, /*On fail goto*//*Label 24611*/ GIMT_Encode4(1817747), // Rule ID 12826 //
     /* 1817666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1817677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1817680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1817683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1817686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817712 */     // MIs[0] policy
     /* 1817712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817722 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1817725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817746 */     // GIR_Coverage, 12826,
     /* 1817746 */     GIR_EraseRootFromParent_Done,
     /* 1817747 */   // Label 24611: @1817747
     /* 1817747 */   GIM_Try, /*On fail goto*//*Label 24612*/ GIMT_Encode4(1817833), // Rule ID 12829 //
     /* 1817752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1817755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1817763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1817766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1817769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1817772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817798 */     // MIs[0] policy
     /* 1817798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817808 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1817811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817832 */     // GIR_Coverage, 12829,
     /* 1817832 */     GIR_EraseRootFromParent_Done,
     /* 1817833 */   // Label 24612: @1817833
     /* 1817833 */   GIM_Try, /*On fail goto*//*Label 24613*/ GIMT_Encode4(1817919), // Rule ID 12830 //
     /* 1817838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1817841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1817849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1817852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1817855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1817858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817884 */     // MIs[0] policy
     /* 1817884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817894 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1817897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817918 */     // GIR_Coverage, 12830,
     /* 1817918 */     GIR_EraseRootFromParent_Done,
     /* 1817919 */   // Label 24613: @1817919
     /* 1817919 */   GIM_Try, /*On fail goto*//*Label 24614*/ GIMT_Encode4(1818005), // Rule ID 12833 //
     /* 1817924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1817927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1817935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1817938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1817941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1817944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817970 */     // MIs[0] policy
     /* 1817970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817980 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1817983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1818001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818004 */     // GIR_Coverage, 12833,
     /* 1818004 */     GIR_EraseRootFromParent_Done,
     /* 1818005 */   // Label 24614: @1818005
     /* 1818005 */   GIM_Try, /*On fail goto*//*Label 24615*/ GIMT_Encode4(1818091), // Rule ID 12834 //
     /* 1818010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1818013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1818021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1818024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1818027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1818030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818056 */     // MIs[0] policy
     /* 1818056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818066 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1818069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1818087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818090 */     // GIR_Coverage, 12834,
     /* 1818090 */     GIR_EraseRootFromParent_Done,
     /* 1818091 */   // Label 24615: @1818091
     /* 1818091 */   GIM_Try, /*On fail goto*//*Label 24616*/ GIMT_Encode4(1818177), // Rule ID 12837 //
     /* 1818096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1818099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1818107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1818110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1818113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1818116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818142 */     // MIs[0] policy
     /* 1818142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818152 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1818155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1818173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818176 */     // GIR_Coverage, 12837,
     /* 1818176 */     GIR_EraseRootFromParent_Done,
     /* 1818177 */   // Label 24616: @1818177
     /* 1818177 */   GIM_Try, /*On fail goto*//*Label 24617*/ GIMT_Encode4(1818263), // Rule ID 12838 //
     /* 1818182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1818185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1818193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1818196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1818199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1818202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818228 */     // MIs[0] policy
     /* 1818228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818238 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1818241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1818259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818262 */     // GIR_Coverage, 12838,
     /* 1818262 */     GIR_EraseRootFromParent_Done,
     /* 1818263 */   // Label 24617: @1818263
     /* 1818263 */   GIM_Try, /*On fail goto*//*Label 24618*/ GIMT_Encode4(1818349), // Rule ID 12841 //
     /* 1818268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1818279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1818282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1818285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1818288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1818291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818314 */     // MIs[0] policy
     /* 1818314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818324 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1818327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818348 */     // GIR_Coverage, 12841,
     /* 1818348 */     GIR_EraseRootFromParent_Done,
     /* 1818349 */   // Label 24618: @1818349
     /* 1818349 */   GIM_Try, /*On fail goto*//*Label 24619*/ GIMT_Encode4(1818435), // Rule ID 12842 //
     /* 1818354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1818365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1818368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1818371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1818374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1818377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818400 */     // MIs[0] policy
     /* 1818400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818410 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1818413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818434 */     // GIR_Coverage, 12842,
     /* 1818434 */     GIR_EraseRootFromParent_Done,
     /* 1818435 */   // Label 24619: @1818435
     /* 1818435 */   GIM_Try, /*On fail goto*//*Label 24620*/ GIMT_Encode4(1818521), // Rule ID 12845 //
     /* 1818440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1818451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1818454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1818457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1818460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1818463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818486 */     // MIs[0] policy
     /* 1818486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818496 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1818499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818520 */     // GIR_Coverage, 12845,
     /* 1818520 */     GIR_EraseRootFromParent_Done,
     /* 1818521 */   // Label 24620: @1818521
     /* 1818521 */   GIM_Try, /*On fail goto*//*Label 24621*/ GIMT_Encode4(1818607), // Rule ID 12846 //
     /* 1818526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1818537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1818540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1818543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1818546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1818549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818572 */     // MIs[0] policy
     /* 1818572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818582 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1818585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818606 */     // GIR_Coverage, 12846,
     /* 1818606 */     GIR_EraseRootFromParent_Done,
     /* 1818607 */   // Label 24621: @1818607
     /* 1818607 */   GIM_Try, /*On fail goto*//*Label 24622*/ GIMT_Encode4(1818693), // Rule ID 12849 //
     /* 1818612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1818623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1818626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1818629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1818632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818658 */     // MIs[0] policy
     /* 1818658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818668 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1818671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818692 */     // GIR_Coverage, 12849,
     /* 1818692 */     GIR_EraseRootFromParent_Done,
     /* 1818693 */   // Label 24622: @1818693
     /* 1818693 */   GIM_Try, /*On fail goto*//*Label 24623*/ GIMT_Encode4(1818779), // Rule ID 12850 //
     /* 1818698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1818709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1818712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1818715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1818718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818744 */     // MIs[0] policy
     /* 1818744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818754 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1818757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818778 */     // GIR_Coverage, 12850,
     /* 1818778 */     GIR_EraseRootFromParent_Done,
     /* 1818779 */   // Label 24623: @1818779
     /* 1818779 */   GIM_Try, /*On fail goto*//*Label 24624*/ GIMT_Encode4(1818865), // Rule ID 12853 //
     /* 1818784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1818795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1818798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1818801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1818804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1818807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818830 */     // MIs[0] policy
     /* 1818830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818840 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1818843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818864 */     // GIR_Coverage, 12853,
     /* 1818864 */     GIR_EraseRootFromParent_Done,
     /* 1818865 */   // Label 24624: @1818865
     /* 1818865 */   GIM_Try, /*On fail goto*//*Label 24625*/ GIMT_Encode4(1818951), // Rule ID 12854 //
     /* 1818870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1818881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1818884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1818887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1818890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1818893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818916 */     // MIs[0] policy
     /* 1818916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818926 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1818929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818950 */     // GIR_Coverage, 12854,
     /* 1818950 */     GIR_EraseRootFromParent_Done,
     /* 1818951 */   // Label 24625: @1818951
     /* 1818951 */   GIM_Try, /*On fail goto*//*Label 24626*/ GIMT_Encode4(1819037), // Rule ID 12857 //
     /* 1818956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1818964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1818967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1818970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1818973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1818976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1818979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819002 */     // MIs[0] policy
     /* 1819002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819012 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1819015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819036 */     // GIR_Coverage, 12857,
     /* 1819036 */     GIR_EraseRootFromParent_Done,
     /* 1819037 */   // Label 24626: @1819037
     /* 1819037 */   GIM_Try, /*On fail goto*//*Label 24627*/ GIMT_Encode4(1819123), // Rule ID 12858 //
     /* 1819042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1819053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1819056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1819062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819088 */     // MIs[0] policy
     /* 1819088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819098 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1819101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819122 */     // GIR_Coverage, 12858,
     /* 1819122 */     GIR_EraseRootFromParent_Done,
     /* 1819123 */   // Label 24627: @1819123
     /* 1819123 */   GIM_Try, /*On fail goto*//*Label 24628*/ GIMT_Encode4(1819209), // Rule ID 12861 //
     /* 1819128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1819139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1819142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1819148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819174 */     // MIs[0] policy
     /* 1819174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819184 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1819187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819208 */     // GIR_Coverage, 12861,
     /* 1819208 */     GIR_EraseRootFromParent_Done,
     /* 1819209 */   // Label 24628: @1819209
     /* 1819209 */   GIM_Try, /*On fail goto*//*Label 24629*/ GIMT_Encode4(1819295), // Rule ID 12862 //
     /* 1819214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1819225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1819228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1819234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819260 */     // MIs[0] policy
     /* 1819260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819270 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1819273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819294 */     // GIR_Coverage, 12862,
     /* 1819294 */     GIR_EraseRootFromParent_Done,
     /* 1819295 */   // Label 24629: @1819295
     /* 1819295 */   GIM_Try, /*On fail goto*//*Label 24630*/ GIMT_Encode4(1819381), // Rule ID 12865 //
     /* 1819300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1819311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1819314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1819320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819346 */     // MIs[0] policy
     /* 1819346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819356 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1819359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819380 */     // GIR_Coverage, 12865,
     /* 1819380 */     GIR_EraseRootFromParent_Done,
     /* 1819381 */   // Label 24630: @1819381
     /* 1819381 */   GIM_Try, /*On fail goto*//*Label 24631*/ GIMT_Encode4(1819467), // Rule ID 12866 //
     /* 1819386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1819397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1819400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1819406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819432 */     // MIs[0] policy
     /* 1819432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819442 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1819445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819466 */     // GIR_Coverage, 12866,
     /* 1819466 */     GIR_EraseRootFromParent_Done,
     /* 1819467 */   // Label 24631: @1819467
     /* 1819467 */   GIM_Try, /*On fail goto*//*Label 24632*/ GIMT_Encode4(1819553), // Rule ID 12869 //
     /* 1819472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1819483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1819486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1819492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819518 */     // MIs[0] policy
     /* 1819518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1819531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819552 */     // GIR_Coverage, 12869,
     /* 1819552 */     GIR_EraseRootFromParent_Done,
     /* 1819553 */   // Label 24632: @1819553
     /* 1819553 */   GIM_Try, /*On fail goto*//*Label 24633*/ GIMT_Encode4(1819639), // Rule ID 12870 //
     /* 1819558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1819569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1819572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1819578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819604 */     // MIs[0] policy
     /* 1819604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819614 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1819617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819638 */     // GIR_Coverage, 12870,
     /* 1819638 */     GIR_EraseRootFromParent_Done,
     /* 1819639 */   // Label 24633: @1819639
     /* 1819639 */   GIM_Try, /*On fail goto*//*Label 24634*/ GIMT_Encode4(1819725), // Rule ID 12873 //
     /* 1819644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1819655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1819658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1819664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819690 */     // MIs[0] policy
     /* 1819690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819700 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1819703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819724 */     // GIR_Coverage, 12873,
     /* 1819724 */     GIR_EraseRootFromParent_Done,
     /* 1819725 */   // Label 24634: @1819725
     /* 1819725 */   GIM_Try, /*On fail goto*//*Label 24635*/ GIMT_Encode4(1819811), // Rule ID 12874 //
     /* 1819730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1819741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1819744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1819750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819776 */     // MIs[0] policy
     /* 1819776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819786 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1819789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819810 */     // GIR_Coverage, 12874,
     /* 1819810 */     GIR_EraseRootFromParent_Done,
     /* 1819811 */   // Label 24635: @1819811
     /* 1819811 */   GIM_Try, /*On fail goto*//*Label 24636*/ GIMT_Encode4(1819897), // Rule ID 12877 //
     /* 1819816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1819819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1819827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1819830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1819833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1819836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819862 */     // MIs[0] policy
     /* 1819862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819872 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1819875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819896 */     // GIR_Coverage, 12877,
     /* 1819896 */     GIR_EraseRootFromParent_Done,
     /* 1819897 */   // Label 24636: @1819897
     /* 1819897 */   GIM_Try, /*On fail goto*//*Label 24637*/ GIMT_Encode4(1819983), // Rule ID 12878 //
     /* 1819902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1819905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1819913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1819916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1819919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1819922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819948 */     // MIs[0] policy
     /* 1819948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1819961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819982 */     // GIR_Coverage, 12878,
     /* 1819982 */     GIR_EraseRootFromParent_Done,
     /* 1819983 */   // Label 24637: @1819983
     /* 1819983 */   GIM_Try, /*On fail goto*//*Label 24638*/ GIMT_Encode4(1820069), // Rule ID 12881 //
     /* 1819988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1819996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1819999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1820002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1820008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1820011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1820018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820034 */     // MIs[0] policy
     /* 1820034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820044 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1820047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820068 */     // GIR_Coverage, 12881,
     /* 1820068 */     GIR_EraseRootFromParent_Done,
     /* 1820069 */   // Label 24638: @1820069
     /* 1820069 */   GIM_Try, /*On fail goto*//*Label 24639*/ GIMT_Encode4(1820155), // Rule ID 12882 //
     /* 1820074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1820085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1820088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1820094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1820097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1820104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820120 */     // MIs[0] policy
     /* 1820120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820130 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1820133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820154 */     // GIR_Coverage, 12882,
     /* 1820154 */     GIR_EraseRootFromParent_Done,
     /* 1820155 */   // Label 24639: @1820155
     /* 1820155 */   GIM_Try, /*On fail goto*//*Label 24640*/ GIMT_Encode4(1820241), // Rule ID 12885 //
     /* 1820160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1820171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1820174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1820180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1820183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1820190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820206 */     // MIs[0] policy
     /* 1820206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820216 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1820219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820240 */     // GIR_Coverage, 12885,
     /* 1820240 */     GIR_EraseRootFromParent_Done,
     /* 1820241 */   // Label 24640: @1820241
     /* 1820241 */   GIM_Try, /*On fail goto*//*Label 24641*/ GIMT_Encode4(1820327), // Rule ID 12886 //
     /* 1820246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1820257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1820260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1820266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1820269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1820276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820292 */     // MIs[0] policy
     /* 1820292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820302 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1820305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820326 */     // GIR_Coverage, 12886,
     /* 1820326 */     GIR_EraseRootFromParent_Done,
     /* 1820327 */   // Label 24641: @1820327
     /* 1820327 */   GIM_Try, /*On fail goto*//*Label 24642*/ GIMT_Encode4(1820413), // Rule ID 12889 //
     /* 1820332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1820343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1820346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1820352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1820355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1820362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820378 */     // MIs[0] policy
     /* 1820378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820388 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1820391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820412 */     // GIR_Coverage, 12889,
     /* 1820412 */     GIR_EraseRootFromParent_Done,
     /* 1820413 */   // Label 24642: @1820413
     /* 1820413 */   GIM_Try, /*On fail goto*//*Label 24643*/ GIMT_Encode4(1820499), // Rule ID 12890 //
     /* 1820418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1820429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1820432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1820438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1820441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1820448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820464 */     // MIs[0] policy
     /* 1820464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820474 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1820477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820498 */     // GIR_Coverage, 12890,
     /* 1820498 */     GIR_EraseRootFromParent_Done,
     /* 1820499 */   // Label 24643: @1820499
     /* 1820499 */   GIM_Try, /*On fail goto*//*Label 24644*/ GIMT_Encode4(1820585), // Rule ID 12893 //
     /* 1820504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1820515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1820518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1820524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1820534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820550 */     // MIs[0] policy
     /* 1820550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820560 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1820563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820584 */     // GIR_Coverage, 12893,
     /* 1820584 */     GIR_EraseRootFromParent_Done,
     /* 1820585 */   // Label 24644: @1820585
     /* 1820585 */   GIM_Try, /*On fail goto*//*Label 24645*/ GIMT_Encode4(1820671), // Rule ID 12894 //
     /* 1820590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1820601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1820604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1820610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1820620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820636 */     // MIs[0] policy
     /* 1820636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820646 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1820649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820670 */     // GIR_Coverage, 12894,
     /* 1820670 */     GIR_EraseRootFromParent_Done,
     /* 1820671 */   // Label 24645: @1820671
     /* 1820671 */   GIM_Try, /*On fail goto*//*Label 24646*/ GIMT_Encode4(1820757), // Rule ID 12897 //
     /* 1820676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1820687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1820690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1820696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1820699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1820706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820722 */     // MIs[0] policy
     /* 1820722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820732 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1820735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820756 */     // GIR_Coverage, 12897,
     /* 1820756 */     GIR_EraseRootFromParent_Done,
     /* 1820757 */   // Label 24646: @1820757
     /* 1820757 */   GIM_Try, /*On fail goto*//*Label 24647*/ GIMT_Encode4(1820843), // Rule ID 12898 //
     /* 1820762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1820773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1820776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1820782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1820785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1820792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820808 */     // MIs[0] policy
     /* 1820808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820818 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1820821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820842 */     // GIR_Coverage, 12898,
     /* 1820842 */     GIR_EraseRootFromParent_Done,
     /* 1820843 */   // Label 24647: @1820843
     /* 1820843 */   GIM_Try, /*On fail goto*//*Label 24648*/ GIMT_Encode4(1820929), // Rule ID 12901 //
     /* 1820848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1820859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1820862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1820865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1820868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1820871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1820878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820894 */     // MIs[0] policy
     /* 1820894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820904 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1820907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820928 */     // GIR_Coverage, 12901,
     /* 1820928 */     GIR_EraseRootFromParent_Done,
     /* 1820929 */   // Label 24648: @1820929
     /* 1820929 */   GIM_Try, /*On fail goto*//*Label 24649*/ GIMT_Encode4(1821015), // Rule ID 12902 //
     /* 1820934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1820942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1820945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1820948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1820951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1820954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1820957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1820964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1820972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820980 */     // MIs[0] policy
     /* 1820980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820990 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1820993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821014 */     // GIR_Coverage, 12902,
     /* 1821014 */     GIR_EraseRootFromParent_Done,
     /* 1821015 */   // Label 24649: @1821015
     /* 1821015 */   GIM_Try, /*On fail goto*//*Label 24650*/ GIMT_Encode4(1821101), // Rule ID 12905 //
     /* 1821020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1821031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1821034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1821040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821066 */     // MIs[0] policy
     /* 1821066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821076 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1821079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821100 */     // GIR_Coverage, 12905,
     /* 1821100 */     GIR_EraseRootFromParent_Done,
     /* 1821101 */   // Label 24650: @1821101
     /* 1821101 */   GIM_Try, /*On fail goto*//*Label 24651*/ GIMT_Encode4(1821187), // Rule ID 12906 //
     /* 1821106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1821117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1821120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1821126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821152 */     // MIs[0] policy
     /* 1821152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821162 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1821165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821186 */     // GIR_Coverage, 12906,
     /* 1821186 */     GIR_EraseRootFromParent_Done,
     /* 1821187 */   // Label 24651: @1821187
     /* 1821187 */   GIM_Try, /*On fail goto*//*Label 24652*/ GIMT_Encode4(1821273), // Rule ID 12909 //
     /* 1821192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1821203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1821206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1821212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821238 */     // MIs[0] policy
     /* 1821238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821248 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1821251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821272 */     // GIR_Coverage, 12909,
     /* 1821272 */     GIR_EraseRootFromParent_Done,
     /* 1821273 */   // Label 24652: @1821273
     /* 1821273 */   GIM_Try, /*On fail goto*//*Label 24653*/ GIMT_Encode4(1821359), // Rule ID 12910 //
     /* 1821278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1821289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1821292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1821298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821324 */     // MIs[0] policy
     /* 1821324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821334 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1821337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821358 */     // GIR_Coverage, 12910,
     /* 1821358 */     GIR_EraseRootFromParent_Done,
     /* 1821359 */   // Label 24653: @1821359
     /* 1821359 */   GIM_Try, /*On fail goto*//*Label 24654*/ GIMT_Encode4(1821445), // Rule ID 12913 //
     /* 1821364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1821375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1821378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1821384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821410 */     // MIs[0] policy
     /* 1821410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821420 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1821423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821444 */     // GIR_Coverage, 12913,
     /* 1821444 */     GIR_EraseRootFromParent_Done,
     /* 1821445 */   // Label 24654: @1821445
     /* 1821445 */   GIM_Try, /*On fail goto*//*Label 24655*/ GIMT_Encode4(1821531), // Rule ID 12914 //
     /* 1821450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1821461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1821464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1821470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821496 */     // MIs[0] policy
     /* 1821496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821506 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1821509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821530 */     // GIR_Coverage, 12914,
     /* 1821530 */     GIR_EraseRootFromParent_Done,
     /* 1821531 */   // Label 24655: @1821531
     /* 1821531 */   GIM_Try, /*On fail goto*//*Label 24656*/ GIMT_Encode4(1821617), // Rule ID 12917 //
     /* 1821536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1821539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1821547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1821550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1821556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1821559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821582 */     // MIs[0] policy
     /* 1821582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821592 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1821595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821616 */     // GIR_Coverage, 12917,
     /* 1821616 */     GIR_EraseRootFromParent_Done,
     /* 1821617 */   // Label 24656: @1821617
     /* 1821617 */   GIM_Try, /*On fail goto*//*Label 24657*/ GIMT_Encode4(1821703), // Rule ID 12918 //
     /* 1821622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1821625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1821633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1821636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1821642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1821645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821668 */     // MIs[0] policy
     /* 1821668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821678 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1821681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821702 */     // GIR_Coverage, 12918,
     /* 1821702 */     GIR_EraseRootFromParent_Done,
     /* 1821703 */   // Label 24657: @1821703
     /* 1821703 */   GIM_Try, /*On fail goto*//*Label 24658*/ GIMT_Encode4(1821789), // Rule ID 12921 //
     /* 1821708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1821711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1821719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1821722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1821728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821754 */     // MIs[0] policy
     /* 1821754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821764 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1821767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821788 */     // GIR_Coverage, 12921,
     /* 1821788 */     GIR_EraseRootFromParent_Done,
     /* 1821789 */   // Label 24658: @1821789
     /* 1821789 */   GIM_Try, /*On fail goto*//*Label 24659*/ GIMT_Encode4(1821875), // Rule ID 12922 //
     /* 1821794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1821797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1821805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1821808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1821814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821840 */     // MIs[0] policy
     /* 1821840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821850 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1821853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821874 */     // GIR_Coverage, 12922,
     /* 1821874 */     GIR_EraseRootFromParent_Done,
     /* 1821875 */   // Label 24659: @1821875
     /* 1821875 */   GIM_Try, /*On fail goto*//*Label 24660*/ GIMT_Encode4(1821961), // Rule ID 12925 //
     /* 1821880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1821883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1821891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1821894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1821900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821926 */     // MIs[0] policy
     /* 1821926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821936 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1821939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821960 */     // GIR_Coverage, 12925,
     /* 1821960 */     GIR_EraseRootFromParent_Done,
     /* 1821961 */   // Label 24660: @1821961
     /* 1821961 */   GIM_Try, /*On fail goto*//*Label 24661*/ GIMT_Encode4(1822047), // Rule ID 12926 //
     /* 1821966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1821969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1821974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1821977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1821980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1821986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822012 */     // MIs[0] policy
     /* 1822012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822022 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1822025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822046 */     // GIR_Coverage, 12926,
     /* 1822046 */     GIR_EraseRootFromParent_Done,
     /* 1822047 */   // Label 24661: @1822047
     /* 1822047 */   GIM_Try, /*On fail goto*//*Label 24662*/ GIMT_Encode4(1822133), // Rule ID 12929 //
     /* 1822052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1822063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1822066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1822069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1822072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1822075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822098 */     // MIs[0] policy
     /* 1822098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822108 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1822111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822132 */     // GIR_Coverage, 12929,
     /* 1822132 */     GIR_EraseRootFromParent_Done,
     /* 1822133 */   // Label 24662: @1822133
     /* 1822133 */   GIM_Try, /*On fail goto*//*Label 24663*/ GIMT_Encode4(1822219), // Rule ID 12930 //
     /* 1822138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1822149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1822152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1822155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1822158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1822161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822184 */     // MIs[0] policy
     /* 1822184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822194 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1822197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822218 */     // GIR_Coverage, 12930,
     /* 1822218 */     GIR_EraseRootFromParent_Done,
     /* 1822219 */   // Label 24663: @1822219
     /* 1822219 */   GIM_Try, /*On fail goto*//*Label 24664*/ GIMT_Encode4(1822305), // Rule ID 12933 //
     /* 1822224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1822235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1822238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1822241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1822244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1822247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822270 */     // MIs[0] policy
     /* 1822270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822280 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1822283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822304 */     // GIR_Coverage, 12933,
     /* 1822304 */     GIR_EraseRootFromParent_Done,
     /* 1822305 */   // Label 24664: @1822305
     /* 1822305 */   GIM_Try, /*On fail goto*//*Label 24665*/ GIMT_Encode4(1822391), // Rule ID 12934 //
     /* 1822310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1822321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1822324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1822327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1822330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1822333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822356 */     // MIs[0] policy
     /* 1822356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822366 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1822369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822390 */     // GIR_Coverage, 12934,
     /* 1822390 */     GIR_EraseRootFromParent_Done,
     /* 1822391 */   // Label 24665: @1822391
     /* 1822391 */   GIM_Try, /*On fail goto*//*Label 24666*/ GIMT_Encode4(1822477), // Rule ID 12937 //
     /* 1822396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1822407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1822410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1822413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1822416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822442 */     // MIs[0] policy
     /* 1822442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822452 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11306:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1822455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822476 */     // GIR_Coverage, 12937,
     /* 1822476 */     GIR_EraseRootFromParent_Done,
     /* 1822477 */   // Label 24666: @1822477
     /* 1822477 */   GIM_Try, /*On fail goto*//*Label 24667*/ GIMT_Encode4(1822563), // Rule ID 12938 //
     /* 1822482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1822493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1822496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1822499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1822502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822528 */     // MIs[0] policy
     /* 1822528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822538 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11306:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1822541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822562 */     // GIR_Coverage, 12938,
     /* 1822562 */     GIR_EraseRootFromParent_Done,
     /* 1822563 */   // Label 24667: @1822563
     /* 1822563 */   GIM_Try, /*On fail goto*//*Label 24668*/ GIMT_Encode4(1822649), // Rule ID 12941 //
     /* 1822568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1822579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1822582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1822585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1822588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1822591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822614 */     // MIs[0] policy
     /* 1822614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822624 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1822627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822648 */     // GIR_Coverage, 12941,
     /* 1822648 */     GIR_EraseRootFromParent_Done,
     /* 1822649 */   // Label 24668: @1822649
     /* 1822649 */   GIM_Try, /*On fail goto*//*Label 24669*/ GIMT_Encode4(1822735), // Rule ID 12942 //
     /* 1822654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1822665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1822668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1822671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1822674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1822677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822700 */     // MIs[0] policy
     /* 1822700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822710 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1822713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822734 */     // GIR_Coverage, 12942,
     /* 1822734 */     GIR_EraseRootFromParent_Done,
     /* 1822735 */   // Label 24669: @1822735
     /* 1822735 */   GIM_Try, /*On fail goto*//*Label 24670*/ GIMT_Encode4(1822821), // Rule ID 12945 //
     /* 1822740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1822751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1822754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1822757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1822760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1822763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822786 */     // MIs[0] policy
     /* 1822786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1822799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822820 */     // GIR_Coverage, 12945,
     /* 1822820 */     GIR_EraseRootFromParent_Done,
     /* 1822821 */   // Label 24670: @1822821
     /* 1822821 */   GIM_Try, /*On fail goto*//*Label 24671*/ GIMT_Encode4(1822907), // Rule ID 12946 //
     /* 1822826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1822837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1822840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1822843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1822846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1822849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822872 */     // MIs[0] policy
     /* 1822872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822882 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1822885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822906 */     // GIR_Coverage, 12946,
     /* 1822906 */     GIR_EraseRootFromParent_Done,
     /* 1822907 */   // Label 24671: @1822907
     /* 1822907 */   GIM_Try, /*On fail goto*//*Label 24672*/ GIMT_Encode4(1822993), // Rule ID 12949 //
     /* 1822912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1822923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1822926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1822929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1822932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1822935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822958 */     // MIs[0] policy
     /* 1822958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822968 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1822971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822992 */     // GIR_Coverage, 12949,
     /* 1822992 */     GIR_EraseRootFromParent_Done,
     /* 1822993 */   // Label 24672: @1822993
     /* 1822993 */   GIM_Try, /*On fail goto*//*Label 24673*/ GIMT_Encode4(1823079), // Rule ID 12950 //
     /* 1822998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1823009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1823012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1823015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1823018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823044 */     // MIs[0] policy
     /* 1823044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823054 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1823057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823078 */     // GIR_Coverage, 12950,
     /* 1823078 */     GIR_EraseRootFromParent_Done,
     /* 1823079 */   // Label 24673: @1823079
     /* 1823079 */   GIM_Try, /*On fail goto*//*Label 24674*/ GIMT_Encode4(1823165), // Rule ID 12953 //
     /* 1823084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1823095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1823098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1823101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1823104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823130 */     // MIs[0] policy
     /* 1823130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823140 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11306:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1823143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823164 */     // GIR_Coverage, 12953,
     /* 1823164 */     GIR_EraseRootFromParent_Done,
     /* 1823165 */   // Label 24674: @1823165
     /* 1823165 */   GIM_Try, /*On fail goto*//*Label 24675*/ GIMT_Encode4(1823251), // Rule ID 12954 //
     /* 1823170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1823181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1823184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1823187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1823190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823216 */     // MIs[0] policy
     /* 1823216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823226 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11306:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1823229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823250 */     // GIR_Coverage, 12954,
     /* 1823250 */     GIR_EraseRootFromParent_Done,
     /* 1823251 */   // Label 24675: @1823251
     /* 1823251 */   GIM_Try, /*On fail goto*//*Label 24676*/ GIMT_Encode4(1823337), // Rule ID 12957 //
     /* 1823256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1823267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1823270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1823273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1823276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823302 */     // MIs[0] policy
     /* 1823302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823312 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1823315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823336 */     // GIR_Coverage, 12957,
     /* 1823336 */     GIR_EraseRootFromParent_Done,
     /* 1823337 */   // Label 24676: @1823337
     /* 1823337 */   GIM_Try, /*On fail goto*//*Label 24677*/ GIMT_Encode4(1823423), // Rule ID 12958 //
     /* 1823342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1823353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1823356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1823359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1823362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823388 */     // MIs[0] policy
     /* 1823388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823398 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1823401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823422 */     // GIR_Coverage, 12958,
     /* 1823422 */     GIR_EraseRootFromParent_Done,
     /* 1823423 */   // Label 24677: @1823423
     /* 1823423 */   GIM_Try, /*On fail goto*//*Label 24678*/ GIMT_Encode4(1823509), // Rule ID 12961 //
     /* 1823428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1823439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1823442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1823445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1823448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823474 */     // MIs[0] policy
     /* 1823474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823484 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1823487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823508 */     // GIR_Coverage, 12961,
     /* 1823508 */     GIR_EraseRootFromParent_Done,
     /* 1823509 */   // Label 24678: @1823509
     /* 1823509 */   GIM_Try, /*On fail goto*//*Label 24679*/ GIMT_Encode4(1823595), // Rule ID 12962 //
     /* 1823514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1823525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1823528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1823531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1823534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823560 */     // MIs[0] policy
     /* 1823560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823570 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1823573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823594 */     // GIR_Coverage, 12962,
     /* 1823594 */     GIR_EraseRootFromParent_Done,
     /* 1823595 */   // Label 24679: @1823595
     /* 1823595 */   GIM_Try, /*On fail goto*//*Label 24680*/ GIMT_Encode4(1823681), // Rule ID 12965 //
     /* 1823600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1823603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1823611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1823614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1823617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1823620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823646 */     // MIs[0] policy
     /* 1823646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823656 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1823659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823680 */     // GIR_Coverage, 12965,
     /* 1823680 */     GIR_EraseRootFromParent_Done,
     /* 1823681 */   // Label 24680: @1823681
     /* 1823681 */   GIM_Try, /*On fail goto*//*Label 24681*/ GIMT_Encode4(1823767), // Rule ID 12966 //
     /* 1823686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1823689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1823697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1823700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1823703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1823706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823732 */     // MIs[0] policy
     /* 1823732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823742 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1823745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823766 */     // GIR_Coverage, 12966,
     /* 1823766 */     GIR_EraseRootFromParent_Done,
     /* 1823767 */   // Label 24681: @1823767
     /* 1823767 */   GIM_Try, /*On fail goto*//*Label 24682*/ GIMT_Encode4(1823853), // Rule ID 12969 //
     /* 1823772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1823783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1823786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1823789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1823792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1823795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1823802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823818 */     // MIs[0] policy
     /* 1823818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823828 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1823831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823852 */     // GIR_Coverage, 12969,
     /* 1823852 */     GIR_EraseRootFromParent_Done,
     /* 1823853 */   // Label 24682: @1823853
     /* 1823853 */   GIM_Try, /*On fail goto*//*Label 24683*/ GIMT_Encode4(1823939), // Rule ID 12970 //
     /* 1823858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1823869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1823872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1823875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1823878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1823881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1823888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823904 */     // MIs[0] policy
     /* 1823904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823914 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1823917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823938 */     // GIR_Coverage, 12970,
     /* 1823938 */     GIR_EraseRootFromParent_Done,
     /* 1823939 */   // Label 24683: @1823939
     /* 1823939 */   GIM_Try, /*On fail goto*//*Label 24684*/ GIMT_Encode4(1824025), // Rule ID 12973 //
     /* 1823944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1823955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1823958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1823961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1823964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1823967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1823974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823990 */     // MIs[0] policy
     /* 1823990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824000 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1824003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824024 */     // GIR_Coverage, 12973,
     /* 1824024 */     GIR_EraseRootFromParent_Done,
     /* 1824025 */   // Label 24684: @1824025
     /* 1824025 */   GIM_Try, /*On fail goto*//*Label 24685*/ GIMT_Encode4(1824111), // Rule ID 12974 //
     /* 1824030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1824041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1824044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1824047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1824050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1824053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1824060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824076 */     // MIs[0] policy
     /* 1824076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824086 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1824089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824110 */     // GIR_Coverage, 12974,
     /* 1824110 */     GIR_EraseRootFromParent_Done,
     /* 1824111 */   // Label 24685: @1824111
     /* 1824111 */   GIM_Try, /*On fail goto*//*Label 24686*/ GIMT_Encode4(1824197), // Rule ID 12977 //
     /* 1824116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1824127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1824130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1824133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1824136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1824139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1824146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824162 */     // MIs[0] policy
     /* 1824162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824172 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1824175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824196 */     // GIR_Coverage, 12977,
     /* 1824196 */     GIR_EraseRootFromParent_Done,
     /* 1824197 */   // Label 24686: @1824197
     /* 1824197 */   GIM_Try, /*On fail goto*//*Label 24687*/ GIMT_Encode4(1824283), // Rule ID 12978 //
     /* 1824202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1824213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1824216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1824219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1824222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1824225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1824232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824248 */     // MIs[0] policy
     /* 1824248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824258 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1824261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824282 */     // GIR_Coverage, 12978,
     /* 1824282 */     GIR_EraseRootFromParent_Done,
     /* 1824283 */   // Label 24687: @1824283
     /* 1824283 */   GIM_Try, /*On fail goto*//*Label 24688*/ GIMT_Encode4(1824369), // Rule ID 12981 //
     /* 1824288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1824299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1824302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1824305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1824308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1824318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824334 */     // MIs[0] policy
     /* 1824334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824344 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1824347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824368 */     // GIR_Coverage, 12981,
     /* 1824368 */     GIR_EraseRootFromParent_Done,
     /* 1824369 */   // Label 24688: @1824369
     /* 1824369 */   GIM_Try, /*On fail goto*//*Label 24689*/ GIMT_Encode4(1824455), // Rule ID 12982 //
     /* 1824374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1824385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1824388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1824391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1824394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1824404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824420 */     // MIs[0] policy
     /* 1824420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824430 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1824433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824454 */     // GIR_Coverage, 12982,
     /* 1824454 */     GIR_EraseRootFromParent_Done,
     /* 1824455 */   // Label 24689: @1824455
     /* 1824455 */   GIM_Try, /*On fail goto*//*Label 24690*/ GIMT_Encode4(1824541), // Rule ID 12985 //
     /* 1824460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1824471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1824474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1824477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1824480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1824483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1824490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824506 */     // MIs[0] policy
     /* 1824506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824516 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1824519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824540 */     // GIR_Coverage, 12985,
     /* 1824540 */     GIR_EraseRootFromParent_Done,
     /* 1824541 */   // Label 24690: @1824541
     /* 1824541 */   GIM_Try, /*On fail goto*//*Label 24691*/ GIMT_Encode4(1824627), // Rule ID 12986 //
     /* 1824546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1824557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1824560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1824563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1824566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1824569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1824576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824592 */     // MIs[0] policy
     /* 1824592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824602 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1824605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824626 */     // GIR_Coverage, 12986,
     /* 1824626 */     GIR_EraseRootFromParent_Done,
     /* 1824627 */   // Label 24691: @1824627
     /* 1824627 */   GIM_Try, /*On fail goto*//*Label 24692*/ GIMT_Encode4(1824713), // Rule ID 12989 //
     /* 1824632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1824643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1824646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1824649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1824652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1824655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1824662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824678 */     // MIs[0] policy
     /* 1824678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824688 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1824691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824712 */     // GIR_Coverage, 12989,
     /* 1824712 */     GIR_EraseRootFromParent_Done,
     /* 1824713 */   // Label 24692: @1824713
     /* 1824713 */   GIM_Try, /*On fail goto*//*Label 24693*/ GIMT_Encode4(1824799), // Rule ID 12990 //
     /* 1824718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1824729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1824732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1824735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1824738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1824741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1824748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824764 */     // MIs[0] policy
     /* 1824764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824774 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1824777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824798 */     // GIR_Coverage, 12990,
     /* 1824798 */     GIR_EraseRootFromParent_Done,
     /* 1824799 */   // Label 24693: @1824799
     /* 1824799 */   GIM_Try, /*On fail goto*//*Label 24694*/ GIMT_Encode4(1824885), // Rule ID 12993 //
     /* 1824804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1824815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1824818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1824821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1824824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1824834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824850 */     // MIs[0] policy
     /* 1824850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824860 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1824863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824884 */     // GIR_Coverage, 12993,
     /* 1824884 */     GIR_EraseRootFromParent_Done,
     /* 1824885 */   // Label 24694: @1824885
     /* 1824885 */   GIM_Try, /*On fail goto*//*Label 24695*/ GIMT_Encode4(1824971), // Rule ID 12994 //
     /* 1824890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1824901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1824904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1824907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1824910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1824920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824936 */     // MIs[0] policy
     /* 1824936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824946 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1824949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824970 */     // GIR_Coverage, 12994,
     /* 1824970 */     GIR_EraseRootFromParent_Done,
     /* 1824971 */   // Label 24695: @1824971
     /* 1824971 */   GIM_Try, /*On fail goto*//*Label 24696*/ GIMT_Encode4(1825057), // Rule ID 12997 //
     /* 1824976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1824987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1824990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1824993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1824996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825022 */     // MIs[0] policy
     /* 1825022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825032 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1825035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825056 */     // GIR_Coverage, 12997,
     /* 1825056 */     GIR_EraseRootFromParent_Done,
     /* 1825057 */   // Label 24696: @1825057
     /* 1825057 */   GIM_Try, /*On fail goto*//*Label 24697*/ GIMT_Encode4(1825143), // Rule ID 12998 //
     /* 1825062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1825073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1825076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1825079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1825082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825108 */     // MIs[0] policy
     /* 1825108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825118 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1825121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825142 */     // GIR_Coverage, 12998,
     /* 1825142 */     GIR_EraseRootFromParent_Done,
     /* 1825143 */   // Label 24697: @1825143
     /* 1825143 */   GIM_Try, /*On fail goto*//*Label 24698*/ GIMT_Encode4(1825229), // Rule ID 13001 //
     /* 1825148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1825159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1825162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1825165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1825168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825194 */     // MIs[0] policy
     /* 1825194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825204 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1825207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825228 */     // GIR_Coverage, 13001,
     /* 1825228 */     GIR_EraseRootFromParent_Done,
     /* 1825229 */   // Label 24698: @1825229
     /* 1825229 */   GIM_Try, /*On fail goto*//*Label 24699*/ GIMT_Encode4(1825315), // Rule ID 13002 //
     /* 1825234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1825245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1825248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1825251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1825254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825280 */     // MIs[0] policy
     /* 1825280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825290 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1825293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825314 */     // GIR_Coverage, 13002,
     /* 1825314 */     GIR_EraseRootFromParent_Done,
     /* 1825315 */   // Label 24699: @1825315
     /* 1825315 */   GIM_Try, /*On fail goto*//*Label 24700*/ GIMT_Encode4(1825401), // Rule ID 13005 //
     /* 1825320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1825323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1825331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1825334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1825337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1825340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1825343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825366 */     // MIs[0] policy
     /* 1825366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1825379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1825397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825400 */     // GIR_Coverage, 13005,
     /* 1825400 */     GIR_EraseRootFromParent_Done,
     /* 1825401 */   // Label 24700: @1825401
     /* 1825401 */   GIM_Try, /*On fail goto*//*Label 24701*/ GIMT_Encode4(1825487), // Rule ID 13006 //
     /* 1825406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1825409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1825417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1825420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1825423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1825426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1825429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825452 */     // MIs[0] policy
     /* 1825452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825462 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1825465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1825483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825486 */     // GIR_Coverage, 13006,
     /* 1825486 */     GIR_EraseRootFromParent_Done,
     /* 1825487 */   // Label 24701: @1825487
     /* 1825487 */   GIM_Try, /*On fail goto*//*Label 24702*/ GIMT_Encode4(1825573), // Rule ID 13009 //
     /* 1825492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1825495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1825503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1825506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1825509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1825512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1825515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825538 */     // MIs[0] policy
     /* 1825538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825548 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1825551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1825569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825572 */     // GIR_Coverage, 13009,
     /* 1825572 */     GIR_EraseRootFromParent_Done,
     /* 1825573 */   // Label 24702: @1825573
     /* 1825573 */   GIM_Try, /*On fail goto*//*Label 24703*/ GIMT_Encode4(1825659), // Rule ID 13010 //
     /* 1825578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1825581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1825589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1825592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1825595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1825598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1825601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825624 */     // MIs[0] policy
     /* 1825624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825634 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1825637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1825655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825658 */     // GIR_Coverage, 13010,
     /* 1825658 */     GIR_EraseRootFromParent_Done,
     /* 1825659 */   // Label 24703: @1825659
     /* 1825659 */   GIM_Try, /*On fail goto*//*Label 24704*/ GIMT_Encode4(1825745), // Rule ID 13013 //
     /* 1825664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1825667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1825675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1825678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1825681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1825684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825710 */     // MIs[0] policy
     /* 1825710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825720 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1825723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1825741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825744 */     // GIR_Coverage, 13013,
     /* 1825744 */     GIR_EraseRootFromParent_Done,
     /* 1825745 */   // Label 24704: @1825745
     /* 1825745 */   GIM_Try, /*On fail goto*//*Label 24705*/ GIMT_Encode4(1825831), // Rule ID 13014 //
     /* 1825750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1825753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1825761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1825764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1825767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1825770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825796 */     // MIs[0] policy
     /* 1825796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825806 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1825809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1825827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825830 */     // GIR_Coverage, 13014,
     /* 1825830 */     GIR_EraseRootFromParent_Done,
     /* 1825831 */   // Label 24705: @1825831
     /* 1825831 */   GIM_Try, /*On fail goto*//*Label 24706*/ GIMT_Encode4(1825917), // Rule ID 13017 //
     /* 1825836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1825847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1825850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1825853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1825856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1825859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825882 */     // MIs[0] policy
     /* 1825882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825892 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1825895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825916 */     // GIR_Coverage, 13017,
     /* 1825916 */     GIR_EraseRootFromParent_Done,
     /* 1825917 */   // Label 24706: @1825917
     /* 1825917 */   GIM_Try, /*On fail goto*//*Label 24707*/ GIMT_Encode4(1826003), // Rule ID 13018 //
     /* 1825922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1825930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1825933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1825936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1825939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1825942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1825945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825968 */     // MIs[0] policy
     /* 1825968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825978 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1825981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826002 */     // GIR_Coverage, 13018,
     /* 1826002 */     GIR_EraseRootFromParent_Done,
     /* 1826003 */   // Label 24707: @1826003
     /* 1826003 */   GIM_Try, /*On fail goto*//*Label 24708*/ GIMT_Encode4(1826089), // Rule ID 13021 //
     /* 1826008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1826019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1826022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1826028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826054 */     // MIs[0] policy
     /* 1826054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826064 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1826067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826088 */     // GIR_Coverage, 13021,
     /* 1826088 */     GIR_EraseRootFromParent_Done,
     /* 1826089 */   // Label 24708: @1826089
     /* 1826089 */   GIM_Try, /*On fail goto*//*Label 24709*/ GIMT_Encode4(1826175), // Rule ID 13022 //
     /* 1826094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1826105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1826108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1826114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826140 */     // MIs[0] policy
     /* 1826140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826150 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1826153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826174 */     // GIR_Coverage, 13022,
     /* 1826174 */     GIR_EraseRootFromParent_Done,
     /* 1826175 */   // Label 24709: @1826175
     /* 1826175 */   GIM_Try, /*On fail goto*//*Label 24710*/ GIMT_Encode4(1826261), // Rule ID 13025 //
     /* 1826180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1826191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1826194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1826200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826226 */     // MIs[0] policy
     /* 1826226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826236 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11306:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1826239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826260 */     // GIR_Coverage, 13025,
     /* 1826260 */     GIR_EraseRootFromParent_Done,
     /* 1826261 */   // Label 24710: @1826261
     /* 1826261 */   GIM_Try, /*On fail goto*//*Label 24711*/ GIMT_Encode4(1826347), // Rule ID 13026 //
     /* 1826266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1826277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1826280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1826286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826312 */     // MIs[0] policy
     /* 1826312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826322 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11306:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1826325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826346 */     // GIR_Coverage, 13026,
     /* 1826346 */     GIR_EraseRootFromParent_Done,
     /* 1826347 */   // Label 24711: @1826347
     /* 1826347 */   GIM_Try, /*On fail goto*//*Label 24712*/ GIMT_Encode4(1826433), // Rule ID 13029 //
     /* 1826352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1826363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1826366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1826372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1826375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826398 */     // MIs[0] policy
     /* 1826398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826408 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1826411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826432 */     // GIR_Coverage, 13029,
     /* 1826432 */     GIR_EraseRootFromParent_Done,
     /* 1826433 */   // Label 24712: @1826433
     /* 1826433 */   GIM_Try, /*On fail goto*//*Label 24713*/ GIMT_Encode4(1826519), // Rule ID 13030 //
     /* 1826438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1826449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1826452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1826458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1826461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826484 */     // MIs[0] policy
     /* 1826484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826494 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1826497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826518 */     // GIR_Coverage, 13030,
     /* 1826518 */     GIR_EraseRootFromParent_Done,
     /* 1826519 */   // Label 24713: @1826519
     /* 1826519 */   GIM_Try, /*On fail goto*//*Label 24714*/ GIMT_Encode4(1826605), // Rule ID 13033 //
     /* 1826524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1826535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1826538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1826544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826570 */     // MIs[0] policy
     /* 1826570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826580 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1826583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826604 */     // GIR_Coverage, 13033,
     /* 1826604 */     GIR_EraseRootFromParent_Done,
     /* 1826605 */   // Label 24714: @1826605
     /* 1826605 */   GIM_Try, /*On fail goto*//*Label 24715*/ GIMT_Encode4(1826691), // Rule ID 13034 //
     /* 1826610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1826621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1826624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1826630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826656 */     // MIs[0] policy
     /* 1826656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826666 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1826669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826690 */     // GIR_Coverage, 13034,
     /* 1826690 */     GIR_EraseRootFromParent_Done,
     /* 1826691 */   // Label 24715: @1826691
     /* 1826691 */   GIM_Try, /*On fail goto*//*Label 24716*/ GIMT_Encode4(1826777), // Rule ID 13037 //
     /* 1826696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1826707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1826710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1826716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1826719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826742 */     // MIs[0] policy
     /* 1826742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826752 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1826755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826776 */     // GIR_Coverage, 13037,
     /* 1826776 */     GIR_EraseRootFromParent_Done,
     /* 1826777 */   // Label 24716: @1826777
     /* 1826777 */   GIM_Try, /*On fail goto*//*Label 24717*/ GIMT_Encode4(1826863), // Rule ID 13038 //
     /* 1826782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1826793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1826796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1826802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1826805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826828 */     // MIs[0] policy
     /* 1826828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826838 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1826841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826862 */     // GIR_Coverage, 13038,
     /* 1826862 */     GIR_EraseRootFromParent_Done,
     /* 1826863 */   // Label 24717: @1826863
     /* 1826863 */   GIM_Try, /*On fail goto*//*Label 24718*/ GIMT_Encode4(1826949), // Rule ID 13041 //
     /* 1826868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1826879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1826882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1826888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826914 */     // MIs[0] policy
     /* 1826914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826924 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11306:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1826927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826948 */     // GIR_Coverage, 13041,
     /* 1826948 */     GIR_EraseRootFromParent_Done,
     /* 1826949 */   // Label 24718: @1826949
     /* 1826949 */   GIM_Try, /*On fail goto*//*Label 24719*/ GIMT_Encode4(1827035), // Rule ID 13042 //
     /* 1826954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1826962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1826965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1826968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1826974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827000 */     // MIs[0] policy
     /* 1827000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827010 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11306:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1827013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827034 */     // GIR_Coverage, 13042,
     /* 1827034 */     GIR_EraseRootFromParent_Done,
     /* 1827035 */   // Label 24719: @1827035
     /* 1827035 */   GIM_Try, /*On fail goto*//*Label 24720*/ GIMT_Encode4(1827121), // Rule ID 13045 //
     /* 1827040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1827051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1827054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1827060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827086 */     // MIs[0] policy
     /* 1827086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827096 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1827099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827120 */     // GIR_Coverage, 13045,
     /* 1827120 */     GIR_EraseRootFromParent_Done,
     /* 1827121 */   // Label 24720: @1827121
     /* 1827121 */   GIM_Try, /*On fail goto*//*Label 24721*/ GIMT_Encode4(1827207), // Rule ID 13046 //
     /* 1827126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1827137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1827140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1827146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827172 */     // MIs[0] policy
     /* 1827172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827182 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1827185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827206 */     // GIR_Coverage, 13046,
     /* 1827206 */     GIR_EraseRootFromParent_Done,
     /* 1827207 */   // Label 24721: @1827207
     /* 1827207 */   GIM_Try, /*On fail goto*//*Label 24722*/ GIMT_Encode4(1827293), // Rule ID 13049 //
     /* 1827212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1827223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1827226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1827232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827258 */     // MIs[0] policy
     /* 1827258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827268 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1827271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1827289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827292 */     // GIR_Coverage, 13049,
     /* 1827292 */     GIR_EraseRootFromParent_Done,
     /* 1827293 */   // Label 24722: @1827293
     /* 1827293 */   GIM_Try, /*On fail goto*//*Label 24723*/ GIMT_Encode4(1827379), // Rule ID 13050 //
     /* 1827298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1827309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1827312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1827318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827344 */     // MIs[0] policy
     /* 1827344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827354 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1827357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1827375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827378 */     // GIR_Coverage, 13050,
     /* 1827378 */     GIR_EraseRootFromParent_Done,
     /* 1827379 */   // Label 24723: @1827379
     /* 1827379 */   GIM_Try, /*On fail goto*//*Label 24724*/ GIMT_Encode4(1827465), // Rule ID 13053 //
     /* 1827384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1827387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1827395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1827398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1827404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827430 */     // MIs[0] policy
     /* 1827430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827440 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1827443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827464 */     // GIR_Coverage, 13053,
     /* 1827464 */     GIR_EraseRootFromParent_Done,
     /* 1827465 */   // Label 24724: @1827465
     /* 1827465 */   GIM_Try, /*On fail goto*//*Label 24725*/ GIMT_Encode4(1827551), // Rule ID 13054 //
     /* 1827470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1827473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1827481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1827484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1827490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827516 */     // MIs[0] policy
     /* 1827516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827526 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1827529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827550 */     // GIR_Coverage, 13054,
     /* 1827550 */     GIR_EraseRootFromParent_Done,
     /* 1827551 */   // Label 24725: @1827551
     /* 1827551 */   GIM_Try, /*On fail goto*//*Label 24726*/ GIMT_Encode4(1827637), // Rule ID 13057 //
     /* 1827556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1827567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1827570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1827576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1827579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1827586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827602 */     // MIs[0] policy
     /* 1827602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827612 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1827615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827636 */     // GIR_Coverage, 13057,
     /* 1827636 */     GIR_EraseRootFromParent_Done,
     /* 1827637 */   // Label 24726: @1827637
     /* 1827637 */   GIM_Try, /*On fail goto*//*Label 24727*/ GIMT_Encode4(1827723), // Rule ID 13058 //
     /* 1827642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1827653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1827656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1827662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1827665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1827672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827688 */     // MIs[0] policy
     /* 1827688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827698 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1827701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827722 */     // GIR_Coverage, 13058,
     /* 1827722 */     GIR_EraseRootFromParent_Done,
     /* 1827723 */   // Label 24727: @1827723
     /* 1827723 */   GIM_Try, /*On fail goto*//*Label 24728*/ GIMT_Encode4(1827809), // Rule ID 13061 //
     /* 1827728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1827739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1827742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1827748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1827751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1827758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827774 */     // MIs[0] policy
     /* 1827774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827784 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1827787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827808 */     // GIR_Coverage, 13061,
     /* 1827808 */     GIR_EraseRootFromParent_Done,
     /* 1827809 */   // Label 24728: @1827809
     /* 1827809 */   GIM_Try, /*On fail goto*//*Label 24729*/ GIMT_Encode4(1827895), // Rule ID 13062 //
     /* 1827814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1827825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1827828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1827831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1827834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1827837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1827844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827860 */     // MIs[0] policy
     /* 1827860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827870 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1827873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827894 */     // GIR_Coverage, 13062,
     /* 1827894 */     GIR_EraseRootFromParent_Done,
     /* 1827895 */   // Label 24729: @1827895
     /* 1827895 */   GIM_Try, /*On fail goto*//*Label 24730*/ GIMT_Encode4(1827981), // Rule ID 13065 //
     /* 1827900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1827911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1827914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1827917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1827920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1827923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1827930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1827938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827946 */     // MIs[0] policy
     /* 1827946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827956 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1827959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827980 */     // GIR_Coverage, 13065,
     /* 1827980 */     GIR_EraseRootFromParent_Done,
     /* 1827981 */   // Label 24730: @1827981
     /* 1827981 */   GIM_Try, /*On fail goto*//*Label 24731*/ GIMT_Encode4(1828067), // Rule ID 13066 //
     /* 1827986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1827994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1827997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1828000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1828006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1828009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1828016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828032 */     // MIs[0] policy
     /* 1828032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828042 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1828045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828066 */     // GIR_Coverage, 13066,
     /* 1828066 */     GIR_EraseRootFromParent_Done,
     /* 1828067 */   // Label 24731: @1828067
     /* 1828067 */   GIM_Try, /*On fail goto*//*Label 24732*/ GIMT_Encode4(1828153), // Rule ID 13069 //
     /* 1828072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1828083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1828086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1828092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828118 */     // MIs[0] policy
     /* 1828118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828128 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1828131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828152 */     // GIR_Coverage, 13069,
     /* 1828152 */     GIR_EraseRootFromParent_Done,
     /* 1828153 */   // Label 24732: @1828153
     /* 1828153 */   GIM_Try, /*On fail goto*//*Label 24733*/ GIMT_Encode4(1828239), // Rule ID 13070 //
     /* 1828158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1828169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1828172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1828178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828204 */     // MIs[0] policy
     /* 1828204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828214 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1828217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828238 */     // GIR_Coverage, 13070,
     /* 1828238 */     GIR_EraseRootFromParent_Done,
     /* 1828239 */   // Label 24733: @1828239
     /* 1828239 */   GIM_Try, /*On fail goto*//*Label 24734*/ GIMT_Encode4(1828325), // Rule ID 13073 //
     /* 1828244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1828255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1828258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1828264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1828267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1828274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828290 */     // MIs[0] policy
     /* 1828290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828300 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1828303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828324 */     // GIR_Coverage, 13073,
     /* 1828324 */     GIR_EraseRootFromParent_Done,
     /* 1828325 */   // Label 24734: @1828325
     /* 1828325 */   GIM_Try, /*On fail goto*//*Label 24735*/ GIMT_Encode4(1828411), // Rule ID 13074 //
     /* 1828330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1828341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1828344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1828350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1828353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1828360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828376 */     // MIs[0] policy
     /* 1828376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828386 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1828389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828410 */     // GIR_Coverage, 13074,
     /* 1828410 */     GIR_EraseRootFromParent_Done,
     /* 1828411 */   // Label 24735: @1828411
     /* 1828411 */   GIM_Try, /*On fail goto*//*Label 24736*/ GIMT_Encode4(1828497), // Rule ID 13077 //
     /* 1828416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1828427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1828430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1828436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1828439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1828446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828462 */     // MIs[0] policy
     /* 1828462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828472 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1828475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828496 */     // GIR_Coverage, 13077,
     /* 1828496 */     GIR_EraseRootFromParent_Done,
     /* 1828497 */   // Label 24736: @1828497
     /* 1828497 */   GIM_Try, /*On fail goto*//*Label 24737*/ GIMT_Encode4(1828583), // Rule ID 13078 //
     /* 1828502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1828513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1828516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1828522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1828525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1828532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828548 */     // MIs[0] policy
     /* 1828548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828558 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1828561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828582 */     // GIR_Coverage, 13078,
     /* 1828582 */     GIR_EraseRootFromParent_Done,
     /* 1828583 */   // Label 24737: @1828583
     /* 1828583 */   GIM_Try, /*On fail goto*//*Label 24738*/ GIMT_Encode4(1828669), // Rule ID 13081 //
     /* 1828588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1828599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1828602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1828608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828634 */     // MIs[0] policy
     /* 1828634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828644 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1828647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828668 */     // GIR_Coverage, 13081,
     /* 1828668 */     GIR_EraseRootFromParent_Done,
     /* 1828669 */   // Label 24738: @1828669
     /* 1828669 */   GIM_Try, /*On fail goto*//*Label 24739*/ GIMT_Encode4(1828755), // Rule ID 13082 //
     /* 1828674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1828685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1828688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1828694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828720 */     // MIs[0] policy
     /* 1828720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828730 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1828733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828754 */     // GIR_Coverage, 13082,
     /* 1828754 */     GIR_EraseRootFromParent_Done,
     /* 1828755 */   // Label 24739: @1828755
     /* 1828755 */   GIM_Try, /*On fail goto*//*Label 24740*/ GIMT_Encode4(1828841), // Rule ID 13085 //
     /* 1828760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1828771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1828774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1828780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1828790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828806 */     // MIs[0] policy
     /* 1828806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828816 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1828819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828840 */     // GIR_Coverage, 13085,
     /* 1828840 */     GIR_EraseRootFromParent_Done,
     /* 1828841 */   // Label 24740: @1828841
     /* 1828841 */   GIM_Try, /*On fail goto*//*Label 24741*/ GIMT_Encode4(1828927), // Rule ID 13086 //
     /* 1828846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1828857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1828860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1828866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1828876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828892 */     // MIs[0] policy
     /* 1828892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828902 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1828905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828926 */     // GIR_Coverage, 13086,
     /* 1828926 */     GIR_EraseRootFromParent_Done,
     /* 1828927 */   // Label 24741: @1828927
     /* 1828927 */   GIM_Try, /*On fail goto*//*Label 24742*/ GIMT_Encode4(1829013), // Rule ID 13089 //
     /* 1828932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1828940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1828943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1828946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1828952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1828955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1828962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828978 */     // MIs[0] policy
     /* 1828978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828988 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1828991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829012 */     // GIR_Coverage, 13089,
     /* 1829012 */     GIR_EraseRootFromParent_Done,
     /* 1829013 */   // Label 24742: @1829013
     /* 1829013 */   GIM_Try, /*On fail goto*//*Label 24743*/ GIMT_Encode4(1829099), // Rule ID 13090 //
     /* 1829018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1829029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1829032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1829038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829064 */     // MIs[0] policy
     /* 1829064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829074 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1829077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829098 */     // GIR_Coverage, 13090,
     /* 1829098 */     GIR_EraseRootFromParent_Done,
     /* 1829099 */   // Label 24743: @1829099
     /* 1829099 */   GIM_Try, /*On fail goto*//*Label 24744*/ GIMT_Encode4(1829185), // Rule ID 13093 //
     /* 1829104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1829107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1829115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1829118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1829124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1829127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829150 */     // MIs[0] policy
     /* 1829150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829160 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1829163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1829181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829184 */     // GIR_Coverage, 13093,
     /* 1829184 */     GIR_EraseRootFromParent_Done,
     /* 1829185 */   // Label 24744: @1829185
     /* 1829185 */   GIM_Try, /*On fail goto*//*Label 24745*/ GIMT_Encode4(1829271), // Rule ID 13094 //
     /* 1829190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1829193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1829201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1829204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1829210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1829213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829236 */     // MIs[0] policy
     /* 1829236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1829249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1829267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829270 */     // GIR_Coverage, 13094,
     /* 1829270 */     GIR_EraseRootFromParent_Done,
     /* 1829271 */   // Label 24745: @1829271
     /* 1829271 */   GIM_Try, /*On fail goto*//*Label 24746*/ GIMT_Encode4(1829357), // Rule ID 13097 //
     /* 1829276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1829279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1829287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1829290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1829296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829322 */     // MIs[0] policy
     /* 1829322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829332 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1829335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1829353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829356 */     // GIR_Coverage, 13097,
     /* 1829356 */     GIR_EraseRootFromParent_Done,
     /* 1829357 */   // Label 24746: @1829357
     /* 1829357 */   GIM_Try, /*On fail goto*//*Label 24747*/ GIMT_Encode4(1829443), // Rule ID 13098 //
     /* 1829362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1829365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1829373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1829376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1829382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829408 */     // MIs[0] policy
     /* 1829408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829418 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1829421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1829439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829442 */     // GIR_Coverage, 13098,
     /* 1829442 */     GIR_EraseRootFromParent_Done,
     /* 1829443 */   // Label 24747: @1829443
     /* 1829443 */   GIM_Try, /*On fail goto*//*Label 24748*/ GIMT_Encode4(1829529), // Rule ID 13101 //
     /* 1829448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1829451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1829459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1829462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1829468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829494 */     // MIs[0] policy
     /* 1829494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829504 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1829507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1829525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829528 */     // GIR_Coverage, 13101,
     /* 1829528 */     GIR_EraseRootFromParent_Done,
     /* 1829529 */   // Label 24748: @1829529
     /* 1829529 */   GIM_Try, /*On fail goto*//*Label 24749*/ GIMT_Encode4(1829615), // Rule ID 13102 //
     /* 1829534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1829537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1829542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1829545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1829548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1829554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829580 */     // MIs[0] policy
     /* 1829580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829590 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1829593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1829611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829614 */     // GIR_Coverage, 13102,
     /* 1829614 */     GIR_EraseRootFromParent_Done,
     /* 1829615 */   // Label 24749: @1829615
     /* 1829615 */   GIM_Try, /*On fail goto*//*Label 24750*/ GIMT_Encode4(1829701), // Rule ID 13105 //
     /* 1829620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1829628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1829631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1829634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1829637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1829640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1829643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829666 */     // MIs[0] policy
     /* 1829666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829676 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1829679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829700 */     // GIR_Coverage, 13105,
     /* 1829700 */     GIR_EraseRootFromParent_Done,
     /* 1829701 */   // Label 24750: @1829701
     /* 1829701 */   GIM_Try, /*On fail goto*//*Label 24751*/ GIMT_Encode4(1829787), // Rule ID 13106 //
     /* 1829706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1829714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1829717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1829720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1829723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1829726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1829729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829752 */     // MIs[0] policy
     /* 1829752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829762 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1829765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829786 */     // GIR_Coverage, 13106,
     /* 1829786 */     GIR_EraseRootFromParent_Done,
     /* 1829787 */   // Label 24751: @1829787
     /* 1829787 */   GIM_Try, /*On fail goto*//*Label 24752*/ GIMT_Encode4(1829873), // Rule ID 13109 //
     /* 1829792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1829800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1829803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1829806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1829809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1829812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1829815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829838 */     // MIs[0] policy
     /* 1829838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829848 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1829851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829872 */     // GIR_Coverage, 13109,
     /* 1829872 */     GIR_EraseRootFromParent_Done,
     /* 1829873 */   // Label 24752: @1829873
     /* 1829873 */   GIM_Try, /*On fail goto*//*Label 24753*/ GIMT_Encode4(1829959), // Rule ID 13110 //
     /* 1829878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1829886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1829889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1829892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1829895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1829898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1829901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829924 */     // MIs[0] policy
     /* 1829924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829934 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1829937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829958 */     // GIR_Coverage, 13110,
     /* 1829958 */     GIR_EraseRootFromParent_Done,
     /* 1829959 */   // Label 24753: @1829959
     /* 1829959 */   GIM_Try, /*On fail goto*//*Label 24754*/ GIMT_Encode4(1830045), // Rule ID 13113 //
     /* 1829964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1829972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1829975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1829978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1829981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1829984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830010 */     // MIs[0] policy
     /* 1830010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830020 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1830023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830044 */     // GIR_Coverage, 13113,
     /* 1830044 */     GIR_EraseRootFromParent_Done,
     /* 1830045 */   // Label 24754: @1830045
     /* 1830045 */   GIM_Try, /*On fail goto*//*Label 24755*/ GIMT_Encode4(1830131), // Rule ID 13114 //
     /* 1830050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1830061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1830064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1830067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1830070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830096 */     // MIs[0] policy
     /* 1830096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830106 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1830109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830130 */     // GIR_Coverage, 13114,
     /* 1830130 */     GIR_EraseRootFromParent_Done,
     /* 1830131 */   // Label 24755: @1830131
     /* 1830131 */   GIM_Try, /*On fail goto*//*Label 24756*/ GIMT_Encode4(1830217), // Rule ID 13117 //
     /* 1830136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1830147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1830150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1830153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1830156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830182 */     // MIs[0] policy
     /* 1830182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830192 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1830195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830216 */     // GIR_Coverage, 13117,
     /* 1830216 */     GIR_EraseRootFromParent_Done,
     /* 1830217 */   // Label 24756: @1830217
     /* 1830217 */   GIM_Try, /*On fail goto*//*Label 24757*/ GIMT_Encode4(1830303), // Rule ID 13118 //
     /* 1830222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1830233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1830236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1830239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1830242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830268 */     // MIs[0] policy
     /* 1830268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830278 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1830281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830302 */     // GIR_Coverage, 13118,
     /* 1830302 */     GIR_EraseRootFromParent_Done,
     /* 1830303 */   // Label 24757: @1830303
     /* 1830303 */   GIM_Try, /*On fail goto*//*Label 24758*/ GIMT_Encode4(1830389), // Rule ID 13121 //
     /* 1830308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1830319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1830322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1830325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1830328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830354 */     // MIs[0] policy
     /* 1830354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830364 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1830367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830388 */     // GIR_Coverage, 13121,
     /* 1830388 */     GIR_EraseRootFromParent_Done,
     /* 1830389 */   // Label 24758: @1830389
     /* 1830389 */   GIM_Try, /*On fail goto*//*Label 24759*/ GIMT_Encode4(1830475), // Rule ID 13122 //
     /* 1830394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1830405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1830408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1830411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1830414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830440 */     // MIs[0] policy
     /* 1830440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830450 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1830453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830474 */     // GIR_Coverage, 13122,
     /* 1830474 */     GIR_EraseRootFromParent_Done,
     /* 1830475 */   // Label 24759: @1830475
     /* 1830475 */   GIM_Try, /*On fail goto*//*Label 24760*/ GIMT_Encode4(1830561), // Rule ID 13125 //
     /* 1830480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1830491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1830494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1830497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1830500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830526 */     // MIs[0] policy
     /* 1830526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830536 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1830539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830560 */     // GIR_Coverage, 13125,
     /* 1830560 */     GIR_EraseRootFromParent_Done,
     /* 1830561 */   // Label 24760: @1830561
     /* 1830561 */   GIM_Try, /*On fail goto*//*Label 24761*/ GIMT_Encode4(1830647), // Rule ID 13126 //
     /* 1830566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1830577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1830580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1830583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1830586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830612 */     // MIs[0] policy
     /* 1830612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830622 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1830625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830646 */     // GIR_Coverage, 13126,
     /* 1830646 */     GIR_EraseRootFromParent_Done,
     /* 1830647 */   // Label 24761: @1830647
     /* 1830647 */   GIM_Try, /*On fail goto*//*Label 24762*/ GIMT_Encode4(1830733), // Rule ID 13129 //
     /* 1830652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1830663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1830666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1830669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1830672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830698 */     // MIs[0] policy
     /* 1830698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830708 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1830711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830732 */     // GIR_Coverage, 13129,
     /* 1830732 */     GIR_EraseRootFromParent_Done,
     /* 1830733 */   // Label 24762: @1830733
     /* 1830733 */   GIM_Try, /*On fail goto*//*Label 24763*/ GIMT_Encode4(1830819), // Rule ID 13130 //
     /* 1830738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1830749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1830752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1830755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1830758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830784 */     // MIs[0] policy
     /* 1830784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830794 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1830797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830818 */     // GIR_Coverage, 13130,
     /* 1830818 */     GIR_EraseRootFromParent_Done,
     /* 1830819 */   // Label 24763: @1830819
     /* 1830819 */   GIM_Try, /*On fail goto*//*Label 24764*/ GIMT_Encode4(1830905), // Rule ID 13133 //
     /* 1830824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1830835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1830838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1830841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1830844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830870 */     // MIs[0] policy
     /* 1830870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830880 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1830883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830904 */     // GIR_Coverage, 13133,
     /* 1830904 */     GIR_EraseRootFromParent_Done,
     /* 1830905 */   // Label 24764: @1830905
     /* 1830905 */   GIM_Try, /*On fail goto*//*Label 24765*/ GIMT_Encode4(1830991), // Rule ID 13134 //
     /* 1830910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1830921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1830924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1830927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1830930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830956 */     // MIs[0] policy
     /* 1830956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830966 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1830969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830990 */     // GIR_Coverage, 13134,
     /* 1830990 */     GIR_EraseRootFromParent_Done,
     /* 1830991 */   // Label 24765: @1830991
     /* 1830991 */   GIM_Try, /*On fail goto*//*Label 24766*/ GIMT_Encode4(1831077), // Rule ID 13137 //
     /* 1830996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1831007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1831010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1831013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1831016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831042 */     // MIs[0] policy
     /* 1831042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1831055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831076 */     // GIR_Coverage, 13137,
     /* 1831076 */     GIR_EraseRootFromParent_Done,
     /* 1831077 */   // Label 24766: @1831077
     /* 1831077 */   GIM_Try, /*On fail goto*//*Label 24767*/ GIMT_Encode4(1831163), // Rule ID 13138 //
     /* 1831082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1831093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1831096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1831099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1831102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831128 */     // MIs[0] policy
     /* 1831128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831138 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1831141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831162 */     // GIR_Coverage, 13138,
     /* 1831162 */     GIR_EraseRootFromParent_Done,
     /* 1831163 */   // Label 24767: @1831163
     /* 1831163 */   GIM_Try, /*On fail goto*//*Label 24768*/ GIMT_Encode4(1831249), // Rule ID 13141 //
     /* 1831168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1831171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1831179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1831182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1831185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1831188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831214 */     // MIs[0] policy
     /* 1831214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831224 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1831227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1831245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831248 */     // GIR_Coverage, 13141,
     /* 1831248 */     GIR_EraseRootFromParent_Done,
     /* 1831249 */   // Label 24768: @1831249
     /* 1831249 */   GIM_Try, /*On fail goto*//*Label 24769*/ GIMT_Encode4(1831335), // Rule ID 13142 //
     /* 1831254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1831257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1831265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1831268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1831271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1831274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831300 */     // MIs[0] policy
     /* 1831300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831310 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1831313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1831331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831334 */     // GIR_Coverage, 13142,
     /* 1831334 */     GIR_EraseRootFromParent_Done,
     /* 1831335 */   // Label 24769: @1831335
     /* 1831335 */   GIM_Try, /*On fail goto*//*Label 24770*/ GIMT_Encode4(1831421), // Rule ID 13145 //
     /* 1831340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1831351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1831354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1831357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1831360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1831363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1831370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831386 */     // MIs[0] policy
     /* 1831386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831396 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1831399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831420 */     // GIR_Coverage, 13145,
     /* 1831420 */     GIR_EraseRootFromParent_Done,
     /* 1831421 */   // Label 24770: @1831421
     /* 1831421 */   GIM_Try, /*On fail goto*//*Label 24771*/ GIMT_Encode4(1831507), // Rule ID 13146 //
     /* 1831426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1831437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1831440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1831443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1831446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1831449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1831456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831472 */     // MIs[0] policy
     /* 1831472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831482 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1831485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831506 */     // GIR_Coverage, 13146,
     /* 1831506 */     GIR_EraseRootFromParent_Done,
     /* 1831507 */   // Label 24771: @1831507
     /* 1831507 */   GIM_Try, /*On fail goto*//*Label 24772*/ GIMT_Encode4(1831593), // Rule ID 13149 //
     /* 1831512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1831523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1831526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1831529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1831532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1831535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1831542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831558 */     // MIs[0] policy
     /* 1831558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831568 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1831571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831592 */     // GIR_Coverage, 13149,
     /* 1831592 */     GIR_EraseRootFromParent_Done,
     /* 1831593 */   // Label 24772: @1831593
     /* 1831593 */   GIM_Try, /*On fail goto*//*Label 24773*/ GIMT_Encode4(1831679), // Rule ID 13150 //
     /* 1831598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1831609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1831612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1831615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1831618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1831621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1831628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831644 */     // MIs[0] policy
     /* 1831644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831654 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1831657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831678 */     // GIR_Coverage, 13150,
     /* 1831678 */     GIR_EraseRootFromParent_Done,
     /* 1831679 */   // Label 24773: @1831679
     /* 1831679 */   GIM_Try, /*On fail goto*//*Label 24774*/ GIMT_Encode4(1831765), // Rule ID 13153 //
     /* 1831684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1831695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1831698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1831701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1831704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1831707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1831714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831730 */     // MIs[0] policy
     /* 1831730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831740 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1831743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831764 */     // GIR_Coverage, 13153,
     /* 1831764 */     GIR_EraseRootFromParent_Done,
     /* 1831765 */   // Label 24774: @1831765
     /* 1831765 */   GIM_Try, /*On fail goto*//*Label 24775*/ GIMT_Encode4(1831851), // Rule ID 13154 //
     /* 1831770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1831781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1831784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1831787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1831790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1831793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1831800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831816 */     // MIs[0] policy
     /* 1831816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831826 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1831829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831850 */     // GIR_Coverage, 13154,
     /* 1831850 */     GIR_EraseRootFromParent_Done,
     /* 1831851 */   // Label 24775: @1831851
     /* 1831851 */   GIM_Try, /*On fail goto*//*Label 24776*/ GIMT_Encode4(1831937), // Rule ID 13157 //
     /* 1831856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1831867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1831870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1831873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1831876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1831886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831902 */     // MIs[0] policy
     /* 1831902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831912 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1831915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831936 */     // GIR_Coverage, 13157,
     /* 1831936 */     GIR_EraseRootFromParent_Done,
     /* 1831937 */   // Label 24776: @1831937
     /* 1831937 */   GIM_Try, /*On fail goto*//*Label 24777*/ GIMT_Encode4(1832023), // Rule ID 13158 //
     /* 1831942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1831953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1831956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1831959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1831962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1831972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831988 */     // MIs[0] policy
     /* 1831988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831998 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1832001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832022 */     // GIR_Coverage, 13158,
     /* 1832022 */     GIR_EraseRootFromParent_Done,
     /* 1832023 */   // Label 24777: @1832023
     /* 1832023 */   GIM_Try, /*On fail goto*//*Label 24778*/ GIMT_Encode4(1832109), // Rule ID 13161 //
     /* 1832028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1832039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1832042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1832045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1832048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832074 */     // MIs[0] policy
     /* 1832074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832084 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1832087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832108 */     // GIR_Coverage, 13161,
     /* 1832108 */     GIR_EraseRootFromParent_Done,
     /* 1832109 */   // Label 24778: @1832109
     /* 1832109 */   GIM_Try, /*On fail goto*//*Label 24779*/ GIMT_Encode4(1832195), // Rule ID 13162 //
     /* 1832114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1832125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1832128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1832131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1832134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832160 */     // MIs[0] policy
     /* 1832160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832170 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1832173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832194 */     // GIR_Coverage, 13162,
     /* 1832194 */     GIR_EraseRootFromParent_Done,
     /* 1832195 */   // Label 24779: @1832195
     /* 1832195 */   GIM_Try, /*On fail goto*//*Label 24780*/ GIMT_Encode4(1832281), // Rule ID 13165 //
     /* 1832200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1832211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1832214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1832217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1832220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1832223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832246 */     // MIs[0] policy
     /* 1832246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832256 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1832259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832280 */     // GIR_Coverage, 13165,
     /* 1832280 */     GIR_EraseRootFromParent_Done,
     /* 1832281 */   // Label 24780: @1832281
     /* 1832281 */   GIM_Try, /*On fail goto*//*Label 24781*/ GIMT_Encode4(1832367), // Rule ID 13166 //
     /* 1832286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1832297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1832300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1832303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1832306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1832309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832332 */     // MIs[0] policy
     /* 1832332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832342 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1832345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832366 */     // GIR_Coverage, 13166,
     /* 1832366 */     GIR_EraseRootFromParent_Done,
     /* 1832367 */   // Label 24781: @1832367
     /* 1832367 */   GIM_Try, /*On fail goto*//*Label 24782*/ GIMT_Encode4(1832453), // Rule ID 13169 //
     /* 1832372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1832383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1832386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1832389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1832392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832418 */     // MIs[0] policy
     /* 1832418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832428 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1832431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832452 */     // GIR_Coverage, 13169,
     /* 1832452 */     GIR_EraseRootFromParent_Done,
     /* 1832453 */   // Label 24782: @1832453
     /* 1832453 */   GIM_Try, /*On fail goto*//*Label 24783*/ GIMT_Encode4(1832539), // Rule ID 13170 //
     /* 1832458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1832469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1832472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1832475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1832478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832504 */     // MIs[0] policy
     /* 1832504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832514 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1832517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832538 */     // GIR_Coverage, 13170,
     /* 1832538 */     GIR_EraseRootFromParent_Done,
     /* 1832539 */   // Label 24783: @1832539
     /* 1832539 */   GIM_Try, /*On fail goto*//*Label 24784*/ GIMT_Encode4(1832625), // Rule ID 13173 //
     /* 1832544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1832555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1832558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1832561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1832564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832590 */     // MIs[0] policy
     /* 1832590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832600 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1832603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832624 */     // GIR_Coverage, 13173,
     /* 1832624 */     GIR_EraseRootFromParent_Done,
     /* 1832625 */   // Label 24784: @1832625
     /* 1832625 */   GIM_Try, /*On fail goto*//*Label 24785*/ GIMT_Encode4(1832711), // Rule ID 13174 //
     /* 1832630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1832641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1832644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1832647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1832650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832676 */     // MIs[0] policy
     /* 1832676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832686 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1832689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832710 */     // GIR_Coverage, 13174,
     /* 1832710 */     GIR_EraseRootFromParent_Done,
     /* 1832711 */   // Label 24785: @1832711
     /* 1832711 */   GIM_Try, /*On fail goto*//*Label 24786*/ GIMT_Encode4(1832797), // Rule ID 13177 //
     /* 1832716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1832727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1832730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1832733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1832736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832762 */     // MIs[0] policy
     /* 1832762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832772 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1832775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832796 */     // GIR_Coverage, 13177,
     /* 1832796 */     GIR_EraseRootFromParent_Done,
     /* 1832797 */   // Label 24786: @1832797
     /* 1832797 */   GIM_Try, /*On fail goto*//*Label 24787*/ GIMT_Encode4(1832883), // Rule ID 13178 //
     /* 1832802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1832813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1832816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1832819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1832822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832848 */     // MIs[0] policy
     /* 1832848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832858 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1832861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832882 */     // GIR_Coverage, 13178,
     /* 1832882 */     GIR_EraseRootFromParent_Done,
     /* 1832883 */   // Label 24787: @1832883
     /* 1832883 */   GIM_Try, /*On fail goto*//*Label 24788*/ GIMT_Encode4(1832969), // Rule ID 13181 //
     /* 1832888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1832891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1832899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1832902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1832905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1832908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832934 */     // MIs[0] policy
     /* 1832934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832944 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1832947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832968 */     // GIR_Coverage, 13181,
     /* 1832968 */     GIR_EraseRootFromParent_Done,
     /* 1832969 */   // Label 24788: @1832969
     /* 1832969 */   GIM_Try, /*On fail goto*//*Label 24789*/ GIMT_Encode4(1833055), // Rule ID 13182 //
     /* 1832974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1832977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1832985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1832988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1832991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1832994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833020 */     // MIs[0] policy
     /* 1833020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833030 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1833033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833054 */     // GIR_Coverage, 13182,
     /* 1833054 */     GIR_EraseRootFromParent_Done,
     /* 1833055 */   // Label 24789: @1833055
     /* 1833055 */   GIM_Try, /*On fail goto*//*Label 24790*/ GIMT_Encode4(1833141), // Rule ID 13185 //
     /* 1833060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1833063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1833071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1833074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1833077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1833080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833106 */     // MIs[0] policy
     /* 1833106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833116 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1833119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833140 */     // GIR_Coverage, 13185,
     /* 1833140 */     GIR_EraseRootFromParent_Done,
     /* 1833141 */   // Label 24790: @1833141
     /* 1833141 */   GIM_Try, /*On fail goto*//*Label 24791*/ GIMT_Encode4(1833227), // Rule ID 13186 //
     /* 1833146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1833149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1833157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1833160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1833163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1833166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833192 */     // MIs[0] policy
     /* 1833192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833202 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1833205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833226 */     // GIR_Coverage, 13186,
     /* 1833226 */     GIR_EraseRootFromParent_Done,
     /* 1833227 */   // Label 24791: @1833227
     /* 1833227 */   GIM_Try, /*On fail goto*//*Label 24792*/ GIMT_Encode4(1833313), // Rule ID 13189 //
     /* 1833232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1833235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1833243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1833246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1833249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1833252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833278 */     // MIs[0] policy
     /* 1833278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833288 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1833291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833312 */     // GIR_Coverage, 13189,
     /* 1833312 */     GIR_EraseRootFromParent_Done,
     /* 1833313 */   // Label 24792: @1833313
     /* 1833313 */   GIM_Try, /*On fail goto*//*Label 24793*/ GIMT_Encode4(1833399), // Rule ID 13190 //
     /* 1833318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1833321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1833329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1833332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1833335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1833338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833364 */     // MIs[0] policy
     /* 1833364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833374 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1833377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1833395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833398 */     // GIR_Coverage, 13190,
     /* 1833398 */     GIR_EraseRootFromParent_Done,
     /* 1833399 */   // Label 24793: @1833399
     /* 1833399 */   GIM_Try, /*On fail goto*//*Label 24794*/ GIMT_Encode4(1833485), // Rule ID 13193 //
     /* 1833404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1833415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1833418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1833421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1833424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1833427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833450 */     // MIs[0] policy
     /* 1833450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833460 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1833463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833484 */     // GIR_Coverage, 13193,
     /* 1833484 */     GIR_EraseRootFromParent_Done,
     /* 1833485 */   // Label 24794: @1833485
     /* 1833485 */   GIM_Try, /*On fail goto*//*Label 24795*/ GIMT_Encode4(1833571), // Rule ID 13194 //
     /* 1833490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1833501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1833504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1833507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1833510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1833513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833536 */     // MIs[0] policy
     /* 1833536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833546 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1833549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833570 */     // GIR_Coverage, 13194,
     /* 1833570 */     GIR_EraseRootFromParent_Done,
     /* 1833571 */   // Label 24795: @1833571
     /* 1833571 */   GIM_Try, /*On fail goto*//*Label 24796*/ GIMT_Encode4(1833657), // Rule ID 13197 //
     /* 1833576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1833587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1833590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1833593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1833596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1833599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833622 */     // MIs[0] policy
     /* 1833622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833632 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1833635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833656 */     // GIR_Coverage, 13197,
     /* 1833656 */     GIR_EraseRootFromParent_Done,
     /* 1833657 */   // Label 24796: @1833657
     /* 1833657 */   GIM_Try, /*On fail goto*//*Label 24797*/ GIMT_Encode4(1833743), // Rule ID 13198 //
     /* 1833662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1833673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1833676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1833679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1833682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1833685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833708 */     // MIs[0] policy
     /* 1833708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833718 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1833721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833742 */     // GIR_Coverage, 13198,
     /* 1833742 */     GIR_EraseRootFromParent_Done,
     /* 1833743 */   // Label 24797: @1833743
     /* 1833743 */   GIM_Try, /*On fail goto*//*Label 24798*/ GIMT_Encode4(1833829), // Rule ID 13201 //
     /* 1833748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1833759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1833762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1833765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1833768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833794 */     // MIs[0] policy
     /* 1833794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833804 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1833807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833828 */     // GIR_Coverage, 13201,
     /* 1833828 */     GIR_EraseRootFromParent_Done,
     /* 1833829 */   // Label 24798: @1833829
     /* 1833829 */   GIM_Try, /*On fail goto*//*Label 24799*/ GIMT_Encode4(1833915), // Rule ID 13202 //
     /* 1833834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1833845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1833848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1833851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1833854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833880 */     // MIs[0] policy
     /* 1833880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833890 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1833893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833914 */     // GIR_Coverage, 13202,
     /* 1833914 */     GIR_EraseRootFromParent_Done,
     /* 1833915 */   // Label 24799: @1833915
     /* 1833915 */   GIM_Try, /*On fail goto*//*Label 24800*/ GIMT_Encode4(1834001), // Rule ID 13205 //
     /* 1833920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1833928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1833931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1833934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1833937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1833940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1833943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833966 */     // MIs[0] policy
     /* 1833966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833976 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1833979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834000 */     // GIR_Coverage, 13205,
     /* 1834000 */     GIR_EraseRootFromParent_Done,
     /* 1834001 */   // Label 24800: @1834001
     /* 1834001 */   GIM_Try, /*On fail goto*//*Label 24801*/ GIMT_Encode4(1834087), // Rule ID 13206 //
     /* 1834006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1834017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1834020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1834026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834052 */     // MIs[0] policy
     /* 1834052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834062 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1834065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834086 */     // GIR_Coverage, 13206,
     /* 1834086 */     GIR_EraseRootFromParent_Done,
     /* 1834087 */   // Label 24801: @1834087
     /* 1834087 */   GIM_Try, /*On fail goto*//*Label 24802*/ GIMT_Encode4(1834173), // Rule ID 13209 //
     /* 1834092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1834103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1834106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1834112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834138 */     // MIs[0] policy
     /* 1834138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834148 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1834151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834172 */     // GIR_Coverage, 13209,
     /* 1834172 */     GIR_EraseRootFromParent_Done,
     /* 1834173 */   // Label 24802: @1834173
     /* 1834173 */   GIM_Try, /*On fail goto*//*Label 24803*/ GIMT_Encode4(1834259), // Rule ID 13210 //
     /* 1834178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1834189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1834192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1834198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834224 */     // MIs[0] policy
     /* 1834224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834234 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1834237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834258 */     // GIR_Coverage, 13210,
     /* 1834258 */     GIR_EraseRootFromParent_Done,
     /* 1834259 */   // Label 24803: @1834259
     /* 1834259 */   GIM_Try, /*On fail goto*//*Label 24804*/ GIMT_Encode4(1834345), // Rule ID 13213 //
     /* 1834264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1834275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1834278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1834284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834310 */     // MIs[0] policy
     /* 1834310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834320 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1834323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834344 */     // GIR_Coverage, 13213,
     /* 1834344 */     GIR_EraseRootFromParent_Done,
     /* 1834345 */   // Label 24804: @1834345
     /* 1834345 */   GIM_Try, /*On fail goto*//*Label 24805*/ GIMT_Encode4(1834431), // Rule ID 13214 //
     /* 1834350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1834361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1834364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1834370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834396 */     // MIs[0] policy
     /* 1834396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834406 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1834409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834430 */     // GIR_Coverage, 13214,
     /* 1834430 */     GIR_EraseRootFromParent_Done,
     /* 1834431 */   // Label 24805: @1834431
     /* 1834431 */   GIM_Try, /*On fail goto*//*Label 24806*/ GIMT_Encode4(1834517), // Rule ID 13217 //
     /* 1834436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1834447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1834450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1834456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834482 */     // MIs[0] policy
     /* 1834482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834492 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1834495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834516 */     // GIR_Coverage, 13217,
     /* 1834516 */     GIR_EraseRootFromParent_Done,
     /* 1834517 */   // Label 24806: @1834517
     /* 1834517 */   GIM_Try, /*On fail goto*//*Label 24807*/ GIMT_Encode4(1834603), // Rule ID 13218 //
     /* 1834522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1834533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1834536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1834542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834568 */     // MIs[0] policy
     /* 1834568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1834581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834602 */     // GIR_Coverage, 13218,
     /* 1834602 */     GIR_EraseRootFromParent_Done,
     /* 1834603 */   // Label 24807: @1834603
     /* 1834603 */   GIM_Try, /*On fail goto*//*Label 24808*/ GIMT_Encode4(1834689), // Rule ID 13221 //
     /* 1834608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1834619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1834622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1834628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834654 */     // MIs[0] policy
     /* 1834654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834664 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1834667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834688 */     // GIR_Coverage, 13221,
     /* 1834688 */     GIR_EraseRootFromParent_Done,
     /* 1834689 */   // Label 24808: @1834689
     /* 1834689 */   GIM_Try, /*On fail goto*//*Label 24809*/ GIMT_Encode4(1834775), // Rule ID 13222 //
     /* 1834694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1834705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1834708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1834714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834740 */     // MIs[0] policy
     /* 1834740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834750 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1834753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834774 */     // GIR_Coverage, 13222,
     /* 1834774 */     GIR_EraseRootFromParent_Done,
     /* 1834775 */   // Label 24809: @1834775
     /* 1834775 */   GIM_Try, /*On fail goto*//*Label 24810*/ GIMT_Encode4(1834861), // Rule ID 13225 //
     /* 1834780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1834791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1834794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1834800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834826 */     // MIs[0] policy
     /* 1834826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1834839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834860 */     // GIR_Coverage, 13225,
     /* 1834860 */     GIR_EraseRootFromParent_Done,
     /* 1834861 */   // Label 24810: @1834861
     /* 1834861 */   GIM_Try, /*On fail goto*//*Label 24811*/ GIMT_Encode4(1834947), // Rule ID 13226 //
     /* 1834866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1834877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1834880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1834886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834912 */     // MIs[0] policy
     /* 1834912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834922 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1834925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834946 */     // GIR_Coverage, 13226,
     /* 1834946 */     GIR_EraseRootFromParent_Done,
     /* 1834947 */   // Label 24811: @1834947
     /* 1834947 */   GIM_Try, /*On fail goto*//*Label 24812*/ GIMT_Encode4(1835033), // Rule ID 13229 //
     /* 1834952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1834955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1834960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1834963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1834966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1834972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834998 */     // MIs[0] policy
     /* 1834998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835008 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1835011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1835029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835032 */     // GIR_Coverage, 13229,
     /* 1835032 */     GIR_EraseRootFromParent_Done,
     /* 1835033 */   // Label 24812: @1835033
     /* 1835033 */   GIM_Try, /*On fail goto*//*Label 24813*/ GIMT_Encode4(1835119), // Rule ID 13230 //
     /* 1835038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1835041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1835049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1835052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1835058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835084 */     // MIs[0] policy
     /* 1835084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835094 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1835097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1835115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835118 */     // GIR_Coverage, 13230,
     /* 1835118 */     GIR_EraseRootFromParent_Done,
     /* 1835119 */   // Label 24813: @1835119
     /* 1835119 */   GIM_Try, /*On fail goto*//*Label 24814*/ GIMT_Encode4(1835205), // Rule ID 13233 //
     /* 1835124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1835135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1835138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1835144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1835147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1835154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835170 */     // MIs[0] policy
     /* 1835170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835180 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1835183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835204 */     // GIR_Coverage, 13233,
     /* 1835204 */     GIR_EraseRootFromParent_Done,
     /* 1835205 */   // Label 24814: @1835205
     /* 1835205 */   GIM_Try, /*On fail goto*//*Label 24815*/ GIMT_Encode4(1835291), // Rule ID 13234 //
     /* 1835210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1835221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1835224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1835230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1835233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1835240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835256 */     // MIs[0] policy
     /* 1835256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835266 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1835269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835290 */     // GIR_Coverage, 13234,
     /* 1835290 */     GIR_EraseRootFromParent_Done,
     /* 1835291 */   // Label 24815: @1835291
     /* 1835291 */   GIM_Try, /*On fail goto*//*Label 24816*/ GIMT_Encode4(1835377), // Rule ID 13237 //
     /* 1835296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1835307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1835310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1835316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1835319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1835326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835342 */     // MIs[0] policy
     /* 1835342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835352 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1835355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835376 */     // GIR_Coverage, 13237,
     /* 1835376 */     GIR_EraseRootFromParent_Done,
     /* 1835377 */   // Label 24816: @1835377
     /* 1835377 */   GIM_Try, /*On fail goto*//*Label 24817*/ GIMT_Encode4(1835463), // Rule ID 13238 //
     /* 1835382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1835393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1835396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1835402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1835405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1835412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835428 */     // MIs[0] policy
     /* 1835428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835438 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1835441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835462 */     // GIR_Coverage, 13238,
     /* 1835462 */     GIR_EraseRootFromParent_Done,
     /* 1835463 */   // Label 24817: @1835463
     /* 1835463 */   GIM_Try, /*On fail goto*//*Label 24818*/ GIMT_Encode4(1835549), // Rule ID 13241 //
     /* 1835468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1835479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1835482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1835488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1835491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1835498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835514 */     // MIs[0] policy
     /* 1835514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835524 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1835527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835548 */     // GIR_Coverage, 13241,
     /* 1835548 */     GIR_EraseRootFromParent_Done,
     /* 1835549 */   // Label 24818: @1835549
     /* 1835549 */   GIM_Try, /*On fail goto*//*Label 24819*/ GIMT_Encode4(1835635), // Rule ID 13242 //
     /* 1835554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1835565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1835568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1835574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1835577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1835584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835600 */     // MIs[0] policy
     /* 1835600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835610 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1835613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835634 */     // GIR_Coverage, 13242,
     /* 1835634 */     GIR_EraseRootFromParent_Done,
     /* 1835635 */   // Label 24819: @1835635
     /* 1835635 */   GIM_Try, /*On fail goto*//*Label 24820*/ GIMT_Encode4(1835721), // Rule ID 13245 //
     /* 1835640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1835651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1835654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1835660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1835663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1835670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835686 */     // MIs[0] policy
     /* 1835686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835696 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1835699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835720 */     // GIR_Coverage, 13245,
     /* 1835720 */     GIR_EraseRootFromParent_Done,
     /* 1835721 */   // Label 24820: @1835721
     /* 1835721 */   GIM_Try, /*On fail goto*//*Label 24821*/ GIMT_Encode4(1835807), // Rule ID 13246 //
     /* 1835726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1835737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1835740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1835746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1835749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1835756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835772 */     // MIs[0] policy
     /* 1835772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835782 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1835785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835806 */     // GIR_Coverage, 13246,
     /* 1835806 */     GIR_EraseRootFromParent_Done,
     /* 1835807 */   // Label 24821: @1835807
     /* 1835807 */   GIM_Try, /*On fail goto*//*Label 24822*/ GIMT_Encode4(1835893), // Rule ID 13249 //
     /* 1835812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1835823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1835826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1835832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1835835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1835842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835858 */     // MIs[0] policy
     /* 1835858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835868 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1835871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835892 */     // GIR_Coverage, 13249,
     /* 1835892 */     GIR_EraseRootFromParent_Done,
     /* 1835893 */   // Label 24822: @1835893
     /* 1835893 */   GIM_Try, /*On fail goto*//*Label 24823*/ GIMT_Encode4(1835979), // Rule ID 13250 //
     /* 1835898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1835909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1835912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1835918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1835921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1835928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835944 */     // MIs[0] policy
     /* 1835944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835954 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1835957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835978 */     // GIR_Coverage, 13250,
     /* 1835978 */     GIR_EraseRootFromParent_Done,
     /* 1835979 */   // Label 24823: @1835979
     /* 1835979 */   GIM_Try, /*On fail goto*//*Label 24824*/ GIMT_Encode4(1836065), // Rule ID 13253 //
     /* 1835984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1835992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1835995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1835998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1836004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1836007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836030 */     // MIs[0] policy
     /* 1836030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836040 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1836043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836064 */     // GIR_Coverage, 13253,
     /* 1836064 */     GIR_EraseRootFromParent_Done,
     /* 1836065 */   // Label 24824: @1836065
     /* 1836065 */   GIM_Try, /*On fail goto*//*Label 24825*/ GIMT_Encode4(1836151), // Rule ID 13254 //
     /* 1836070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1836081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1836084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1836090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1836093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836116 */     // MIs[0] policy
     /* 1836116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836126 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1836129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836150 */     // GIR_Coverage, 13254,
     /* 1836150 */     GIR_EraseRootFromParent_Done,
     /* 1836151 */   // Label 24825: @1836151
     /* 1836151 */   GIM_Try, /*On fail goto*//*Label 24826*/ GIMT_Encode4(1836237), // Rule ID 13257 //
     /* 1836156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1836167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1836170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1836176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1836179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836202 */     // MIs[0] policy
     /* 1836202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836212 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1836215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836236 */     // GIR_Coverage, 13257,
     /* 1836236 */     GIR_EraseRootFromParent_Done,
     /* 1836237 */   // Label 24826: @1836237
     /* 1836237 */   GIM_Try, /*On fail goto*//*Label 24827*/ GIMT_Encode4(1836323), // Rule ID 13258 //
     /* 1836242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1836253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1836256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1836262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1836265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836288 */     // MIs[0] policy
     /* 1836288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836298 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1836301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836322 */     // GIR_Coverage, 13258,
     /* 1836322 */     GIR_EraseRootFromParent_Done,
     /* 1836323 */   // Label 24827: @1836323
     /* 1836323 */   GIM_Try, /*On fail goto*//*Label 24828*/ GIMT_Encode4(1836409), // Rule ID 13261 //
     /* 1836328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1836339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1836342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1836348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836374 */     // MIs[0] policy
     /* 1836374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836384 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1836387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836408 */     // GIR_Coverage, 13261,
     /* 1836408 */     GIR_EraseRootFromParent_Done,
     /* 1836409 */   // Label 24828: @1836409
     /* 1836409 */   GIM_Try, /*On fail goto*//*Label 24829*/ GIMT_Encode4(1836495), // Rule ID 13262 //
     /* 1836414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1836425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1836428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1836434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836460 */     // MIs[0] policy
     /* 1836460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836470 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1836473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836494 */     // GIR_Coverage, 13262,
     /* 1836494 */     GIR_EraseRootFromParent_Done,
     /* 1836495 */   // Label 24829: @1836495
     /* 1836495 */   GIM_Try, /*On fail goto*//*Label 24830*/ GIMT_Encode4(1836581), // Rule ID 13265 //
     /* 1836500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1836511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1836514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1836520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836546 */     // MIs[0] policy
     /* 1836546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836556 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1836559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836580 */     // GIR_Coverage, 13265,
     /* 1836580 */     GIR_EraseRootFromParent_Done,
     /* 1836581 */   // Label 24830: @1836581
     /* 1836581 */   GIM_Try, /*On fail goto*//*Label 24831*/ GIMT_Encode4(1836667), // Rule ID 13266 //
     /* 1836586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1836597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1836600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1836606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836632 */     // MIs[0] policy
     /* 1836632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836642 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1836645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836666 */     // GIR_Coverage, 13266,
     /* 1836666 */     GIR_EraseRootFromParent_Done,
     /* 1836667 */   // Label 24831: @1836667
     /* 1836667 */   GIM_Try, /*On fail goto*//*Label 24832*/ GIMT_Encode4(1836753), // Rule ID 13269 //
     /* 1836672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1836675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1836683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1836686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1836692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836718 */     // MIs[0] policy
     /* 1836718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836728 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1836731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1836749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836752 */     // GIR_Coverage, 13269,
     /* 1836752 */     GIR_EraseRootFromParent_Done,
     /* 1836753 */   // Label 24832: @1836753
     /* 1836753 */   GIM_Try, /*On fail goto*//*Label 24833*/ GIMT_Encode4(1836839), // Rule ID 13270 //
     /* 1836758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1836761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1836769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1836772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1836778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836804 */     // MIs[0] policy
     /* 1836804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836814 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11387:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1836817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1836835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836838 */     // GIR_Coverage, 13270,
     /* 1836838 */     GIR_EraseRootFromParent_Done,
     /* 1836839 */   // Label 24833: @1836839
     /* 1836839 */   GIM_Try, /*On fail goto*//*Label 24834*/ GIMT_Encode4(1836925), // Rule ID 13273 //
     /* 1836844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1836847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1836855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1836858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1836864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1836867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836890 */     // MIs[0] policy
     /* 1836890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836900 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1836903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1836921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836924 */     // GIR_Coverage, 13273,
     /* 1836924 */     GIR_EraseRootFromParent_Done,
     /* 1836925 */   // Label 24834: @1836925
     /* 1836925 */   GIM_Try, /*On fail goto*//*Label 24835*/ GIMT_Encode4(1837011), // Rule ID 13274 //
     /* 1836930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1836933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1836938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1836941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1836944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1836950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1836953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836976 */     // MIs[0] policy
     /* 1836976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836986 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11387:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1836989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837010 */     // GIR_Coverage, 13274,
     /* 1837010 */     GIR_EraseRootFromParent_Done,
     /* 1837011 */   // Label 24835: @1837011
     /* 1837011 */   GIM_Try, /*On fail goto*//*Label 24836*/ GIMT_Encode4(1837097), // Rule ID 13277 //
     /* 1837016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1837019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1837027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1837030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1837036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837062 */     // MIs[0] policy
     /* 1837062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837072 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1837075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837096 */     // GIR_Coverage, 13277,
     /* 1837096 */     GIR_EraseRootFromParent_Done,
     /* 1837097 */   // Label 24836: @1837097
     /* 1837097 */   GIM_Try, /*On fail goto*//*Label 24837*/ GIMT_Encode4(1837183), // Rule ID 13278 //
     /* 1837102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1837105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1837110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1837113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1837116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1837122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837148 */     // MIs[0] policy
     /* 1837148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837158 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11387:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1837161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837182 */     // GIR_Coverage, 13278,
     /* 1837182 */     GIR_EraseRootFromParent_Done,
     /* 1837183 */   // Label 24837: @1837183
     /* 1837183 */   GIM_Try, /*On fail goto*//*Label 24838*/ GIMT_Encode4(1837269), // Rule ID 13281 //
     /* 1837188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1837196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1837199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1837202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1837205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1837208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1837211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837234 */     // MIs[0] policy
     /* 1837234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837244 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1837247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837268 */     // GIR_Coverage, 13281,
     /* 1837268 */     GIR_EraseRootFromParent_Done,
     /* 1837269 */   // Label 24838: @1837269
     /* 1837269 */   GIM_Try, /*On fail goto*//*Label 24839*/ GIMT_Encode4(1837355), // Rule ID 13282 //
     /* 1837274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1837282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1837285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1837288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1837291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1837294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1837297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837320 */     // MIs[0] policy
     /* 1837320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837330 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1837333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837354 */     // GIR_Coverage, 13282,
     /* 1837354 */     GIR_EraseRootFromParent_Done,
     /* 1837355 */   // Label 24839: @1837355
     /* 1837355 */   GIM_Try, /*On fail goto*//*Label 24840*/ GIMT_Encode4(1837441), // Rule ID 13285 //
     /* 1837360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1837368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1837371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1837374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1837377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1837380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1837383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837406 */     // MIs[0] policy
     /* 1837406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837416 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1837419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837440 */     // GIR_Coverage, 13285,
     /* 1837440 */     GIR_EraseRootFromParent_Done,
     /* 1837441 */   // Label 24840: @1837441
     /* 1837441 */   GIM_Try, /*On fail goto*//*Label 24841*/ GIMT_Encode4(1837527), // Rule ID 13286 //
     /* 1837446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1837454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1837457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1837460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1837463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1837466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1837469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837492 */     // MIs[0] policy
     /* 1837492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837502 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1837505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837526 */     // GIR_Coverage, 13286,
     /* 1837526 */     GIR_EraseRootFromParent_Done,
     /* 1837527 */   // Label 24841: @1837527
     /* 1837527 */   GIM_Try, /*On fail goto*//*Label 24842*/ GIMT_Encode4(1837613), // Rule ID 13289 //
     /* 1837532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1837540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1837543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1837546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1837549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1837552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837578 */     // MIs[0] policy
     /* 1837578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837588 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1837591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837612 */     // GIR_Coverage, 13289,
     /* 1837612 */     GIR_EraseRootFromParent_Done,
     /* 1837613 */   // Label 24842: @1837613
     /* 1837613 */   GIM_Try, /*On fail goto*//*Label 24843*/ GIMT_Encode4(1837699), // Rule ID 13290 //
     /* 1837618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1837626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1837629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1837632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1837635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1837638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837664 */     // MIs[0] policy
     /* 1837664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837674 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1837677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837698 */     // GIR_Coverage, 13290,
     /* 1837698 */     GIR_EraseRootFromParent_Done,
     /* 1837699 */   // Label 24843: @1837699
     /* 1837699 */   GIM_Try, /*On fail goto*//*Label 24844*/ GIMT_Encode4(1837785), // Rule ID 13293 //
     /* 1837704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1837712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1837715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1837718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1837721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1837724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837750 */     // MIs[0] policy
     /* 1837750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837760 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1837763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837784 */     // GIR_Coverage, 13293,
     /* 1837784 */     GIR_EraseRootFromParent_Done,
     /* 1837785 */   // Label 24844: @1837785
     /* 1837785 */   GIM_Try, /*On fail goto*//*Label 24845*/ GIMT_Encode4(1837871), // Rule ID 13294 //
     /* 1837790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1837798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1837801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1837804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1837807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1837810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837836 */     // MIs[0] policy
     /* 1837836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837846 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1837849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837870 */     // GIR_Coverage, 13294,
     /* 1837870 */     GIR_EraseRootFromParent_Done,
     /* 1837871 */   // Label 24845: @1837871
     /* 1837871 */   GIM_Try, /*On fail goto*//*Label 24846*/ GIMT_Encode4(1837957), // Rule ID 13297 //
     /* 1837876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1837884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1837887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1837890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1837893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1837896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837922 */     // MIs[0] policy
     /* 1837922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837932 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1837935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837956 */     // GIR_Coverage, 13297,
     /* 1837956 */     GIR_EraseRootFromParent_Done,
     /* 1837957 */   // Label 24846: @1837957
     /* 1837957 */   GIM_Try, /*On fail goto*//*Label 24847*/ GIMT_Encode4(1838043), // Rule ID 13298 //
     /* 1837962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1837970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1837973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1837976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1837979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1837982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838008 */     // MIs[0] policy
     /* 1838008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838018 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1838021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838042 */     // GIR_Coverage, 13298,
     /* 1838042 */     GIR_EraseRootFromParent_Done,
     /* 1838043 */   // Label 24847: @1838043
     /* 1838043 */   GIM_Try, /*On fail goto*//*Label 24848*/ GIMT_Encode4(1838129), // Rule ID 13301 //
     /* 1838048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1838059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1838062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1838065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1838068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1838071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838094 */     // MIs[0] policy
     /* 1838094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838104 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1838107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838128 */     // GIR_Coverage, 13301,
     /* 1838128 */     GIR_EraseRootFromParent_Done,
     /* 1838129 */   // Label 24848: @1838129
     /* 1838129 */   GIM_Try, /*On fail goto*//*Label 24849*/ GIMT_Encode4(1838215), // Rule ID 13302 //
     /* 1838134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1838145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1838148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1838151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1838154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1838157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838180 */     // MIs[0] policy
     /* 1838180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838190 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1838193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838214 */     // GIR_Coverage, 13302,
     /* 1838214 */     GIR_EraseRootFromParent_Done,
     /* 1838215 */   // Label 24849: @1838215
     /* 1838215 */   GIM_Try, /*On fail goto*//*Label 24850*/ GIMT_Encode4(1838301), // Rule ID 13305 //
     /* 1838220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1838231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1838234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1838237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1838240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838266 */     // MIs[0] policy
     /* 1838266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838276 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1838279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838300 */     // GIR_Coverage, 13305,
     /* 1838300 */     GIR_EraseRootFromParent_Done,
     /* 1838301 */   // Label 24850: @1838301
     /* 1838301 */   GIM_Try, /*On fail goto*//*Label 24851*/ GIMT_Encode4(1838387), // Rule ID 13306 //
     /* 1838306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1838317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1838320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1838323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1838326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838352 */     // MIs[0] policy
     /* 1838352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838362 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1838365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838386 */     // GIR_Coverage, 13306,
     /* 1838386 */     GIR_EraseRootFromParent_Done,
     /* 1838387 */   // Label 24851: @1838387
     /* 1838387 */   GIM_Try, /*On fail goto*//*Label 24852*/ GIMT_Encode4(1838473), // Rule ID 13309 //
     /* 1838392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1838403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1838406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1838409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1838412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838438 */     // MIs[0] policy
     /* 1838438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1838451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838472 */     // GIR_Coverage, 13309,
     /* 1838472 */     GIR_EraseRootFromParent_Done,
     /* 1838473 */   // Label 24852: @1838473
     /* 1838473 */   GIM_Try, /*On fail goto*//*Label 24853*/ GIMT_Encode4(1838559), // Rule ID 13310 //
     /* 1838478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1838489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1838492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1838495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1838498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838524 */     // MIs[0] policy
     /* 1838524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1838537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838558 */     // GIR_Coverage, 13310,
     /* 1838558 */     GIR_EraseRootFromParent_Done,
     /* 1838559 */   // Label 24853: @1838559
     /* 1838559 */   GIM_Try, /*On fail goto*//*Label 24854*/ GIMT_Encode4(1838645), // Rule ID 13313 //
     /* 1838564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1838575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1838578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1838581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1838584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1838594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838610 */     // MIs[0] policy
     /* 1838610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838620 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1838623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838644 */     // GIR_Coverage, 13313,
     /* 1838644 */     GIR_EraseRootFromParent_Done,
     /* 1838645 */   // Label 24854: @1838645
     /* 1838645 */   GIM_Try, /*On fail goto*//*Label 24855*/ GIMT_Encode4(1838731), // Rule ID 13314 //
     /* 1838650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1838661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1838664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1838667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1838670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1838680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838696 */     // MIs[0] policy
     /* 1838696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838706 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1838709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838730 */     // GIR_Coverage, 13314,
     /* 1838730 */     GIR_EraseRootFromParent_Done,
     /* 1838731 */   // Label 24855: @1838731
     /* 1838731 */   GIM_Try, /*On fail goto*//*Label 24856*/ GIMT_Encode4(1838817), // Rule ID 13317 //
     /* 1838736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1838747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1838750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1838753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1838756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838782 */     // MIs[0] policy
     /* 1838782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838792 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1838795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838816 */     // GIR_Coverage, 13317,
     /* 1838816 */     GIR_EraseRootFromParent_Done,
     /* 1838817 */   // Label 24856: @1838817
     /* 1838817 */   GIM_Try, /*On fail goto*//*Label 24857*/ GIMT_Encode4(1838903), // Rule ID 13318 //
     /* 1838822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1838833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1838836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1838839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1838842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838868 */     // MIs[0] policy
     /* 1838868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1838881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838902 */     // GIR_Coverage, 13318,
     /* 1838902 */     GIR_EraseRootFromParent_Done,
     /* 1838903 */   // Label 24857: @1838903
     /* 1838903 */   GIM_Try, /*On fail goto*//*Label 24858*/ GIMT_Encode4(1838989), // Rule ID 13321 //
     /* 1838908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1838916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1838919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1838922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1838925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1838928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1838931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838954 */     // MIs[0] policy
     /* 1838954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838964 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1838967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838988 */     // GIR_Coverage, 13321,
     /* 1838988 */     GIR_EraseRootFromParent_Done,
     /* 1838989 */   // Label 24858: @1838989
     /* 1838989 */   GIM_Try, /*On fail goto*//*Label 24859*/ GIMT_Encode4(1839075), // Rule ID 13322 //
     /* 1838994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1839005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1839008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1839011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1839014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1839017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1839024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839040 */     // MIs[0] policy
     /* 1839040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839050 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1839053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839074 */     // GIR_Coverage, 13322,
     /* 1839074 */     GIR_EraseRootFromParent_Done,
     /* 1839075 */   // Label 24859: @1839075
     /* 1839075 */   GIM_Try, /*On fail goto*//*Label 24860*/ GIMT_Encode4(1839161), // Rule ID 13325 //
     /* 1839080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1839083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1839091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1839094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1839097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1839100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839126 */     // MIs[0] policy
     /* 1839126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839136 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1839139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839160 */     // GIR_Coverage, 13325,
     /* 1839160 */     GIR_EraseRootFromParent_Done,
     /* 1839161 */   // Label 24860: @1839161
     /* 1839161 */   GIM_Try, /*On fail goto*//*Label 24861*/ GIMT_Encode4(1839247), // Rule ID 13326 //
     /* 1839166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1839169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1839177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1839180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1839183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1839186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839212 */     // MIs[0] policy
     /* 1839212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839222 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1839225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839246 */     // GIR_Coverage, 13326,
     /* 1839246 */     GIR_EraseRootFromParent_Done,
     /* 1839247 */   // Label 24861: @1839247
     /* 1839247 */   GIM_Try, /*On fail goto*//*Label 24862*/ GIMT_Encode4(1839333), // Rule ID 13329 //
     /* 1839252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1839255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1839263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1839266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1839269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1839272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839298 */     // MIs[0] policy
     /* 1839298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839308 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1839311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839332 */     // GIR_Coverage, 13329,
     /* 1839332 */     GIR_EraseRootFromParent_Done,
     /* 1839333 */   // Label 24862: @1839333
     /* 1839333 */   GIM_Try, /*On fail goto*//*Label 24863*/ GIMT_Encode4(1839419), // Rule ID 13330 //
     /* 1839338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1839341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1839349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1839352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1839355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1839358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839384 */     // MIs[0] policy
     /* 1839384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839394 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1839397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839418 */     // GIR_Coverage, 13330,
     /* 1839418 */     GIR_EraseRootFromParent_Done,
     /* 1839419 */   // Label 24863: @1839419
     /* 1839419 */   GIM_Try, /*On fail goto*//*Label 24864*/ GIMT_Encode4(1839505), // Rule ID 13333 //
     /* 1839424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1839427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1839435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1839438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1839441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1839444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839470 */     // MIs[0] policy
     /* 1839470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839480 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1839483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839504 */     // GIR_Coverage, 13333,
     /* 1839504 */     GIR_EraseRootFromParent_Done,
     /* 1839505 */   // Label 24864: @1839505
     /* 1839505 */   GIM_Try, /*On fail goto*//*Label 24865*/ GIMT_Encode4(1839591), // Rule ID 13334 //
     /* 1839510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1839513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1839521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1839524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1839527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1839530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839556 */     // MIs[0] policy
     /* 1839556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839566 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1839569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839590 */     // GIR_Coverage, 13334,
     /* 1839590 */     GIR_EraseRootFromParent_Done,
     /* 1839591 */   // Label 24865: @1839591
     /* 1839591 */   GIM_Try, /*On fail goto*//*Label 24866*/ GIMT_Encode4(1839677), // Rule ID 13337 //
     /* 1839596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1839599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1839607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1839610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1839613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1839616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1839626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839642 */     // MIs[0] policy
     /* 1839642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839652 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1839655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839676 */     // GIR_Coverage, 13337,
     /* 1839676 */     GIR_EraseRootFromParent_Done,
     /* 1839677 */   // Label 24866: @1839677
     /* 1839677 */   GIM_Try, /*On fail goto*//*Label 24867*/ GIMT_Encode4(1839763), // Rule ID 13338 //
     /* 1839682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1839685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1839693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1839696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1839699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1839702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1839712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839728 */     // MIs[0] policy
     /* 1839728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839738 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1839741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839762 */     // GIR_Coverage, 13338,
     /* 1839762 */     GIR_EraseRootFromParent_Done,
     /* 1839763 */   // Label 24867: @1839763
     /* 1839763 */   GIM_Try, /*On fail goto*//*Label 24868*/ GIMT_Encode4(1839849), // Rule ID 13341 //
     /* 1839768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1839779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1839782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1839785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1839788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839814 */     // MIs[0] policy
     /* 1839814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839824 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1839827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839848 */     // GIR_Coverage, 13341,
     /* 1839848 */     GIR_EraseRootFromParent_Done,
     /* 1839849 */   // Label 24868: @1839849
     /* 1839849 */   GIM_Try, /*On fail goto*//*Label 24869*/ GIMT_Encode4(1839935), // Rule ID 13342 //
     /* 1839854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1839865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1839868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1839871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1839874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839900 */     // MIs[0] policy
     /* 1839900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839910 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1839913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839934 */     // GIR_Coverage, 13342,
     /* 1839934 */     GIR_EraseRootFromParent_Done,
     /* 1839935 */   // Label 24869: @1839935
     /* 1839935 */   GIM_Try, /*On fail goto*//*Label 24870*/ GIMT_Encode4(1840021), // Rule ID 13345 //
     /* 1839940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1839948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1839951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1839954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1839957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1839960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839986 */     // MIs[0] policy
     /* 1839986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839996 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1839999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840020 */     // GIR_Coverage, 13345,
     /* 1840020 */     GIR_EraseRootFromParent_Done,
     /* 1840021 */   // Label 24870: @1840021
     /* 1840021 */   GIM_Try, /*On fail goto*//*Label 24871*/ GIMT_Encode4(1840107), // Rule ID 13346 //
     /* 1840026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1840037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1840040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1840046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840072 */     // MIs[0] policy
     /* 1840072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840082 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1840085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840106 */     // GIR_Coverage, 13346,
     /* 1840106 */     GIR_EraseRootFromParent_Done,
     /* 1840107 */   // Label 24871: @1840107
     /* 1840107 */   GIM_Try, /*On fail goto*//*Label 24872*/ GIMT_Encode4(1840193), // Rule ID 13349 //
     /* 1840112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1840123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1840126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1840132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840158 */     // MIs[0] policy
     /* 1840158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1840171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840192 */     // GIR_Coverage, 13349,
     /* 1840192 */     GIR_EraseRootFromParent_Done,
     /* 1840193 */   // Label 24872: @1840193
     /* 1840193 */   GIM_Try, /*On fail goto*//*Label 24873*/ GIMT_Encode4(1840279), // Rule ID 13350 //
     /* 1840198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1840209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1840212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1840218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840244 */     // MIs[0] policy
     /* 1840244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840254 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1840257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840278 */     // GIR_Coverage, 13350,
     /* 1840278 */     GIR_EraseRootFromParent_Done,
     /* 1840279 */   // Label 24873: @1840279
     /* 1840279 */   GIM_Try, /*On fail goto*//*Label 24874*/ GIMT_Encode4(1840365), // Rule ID 13353 //
     /* 1840284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1840295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1840298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1840304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840330 */     // MIs[0] policy
     /* 1840330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840340 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1840343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840364 */     // GIR_Coverage, 13353,
     /* 1840364 */     GIR_EraseRootFromParent_Done,
     /* 1840365 */   // Label 24874: @1840365
     /* 1840365 */   GIM_Try, /*On fail goto*//*Label 24875*/ GIMT_Encode4(1840451), // Rule ID 13354 //
     /* 1840370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1840381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1840384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1840390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840416 */     // MIs[0] policy
     /* 1840416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840426 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1840429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840450 */     // GIR_Coverage, 13354,
     /* 1840450 */     GIR_EraseRootFromParent_Done,
     /* 1840451 */   // Label 24875: @1840451
     /* 1840451 */   GIM_Try, /*On fail goto*//*Label 24876*/ GIMT_Encode4(1840537), // Rule ID 13357 //
     /* 1840456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1840467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1840470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1840476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840502 */     // MIs[0] policy
     /* 1840502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840512 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1840515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840536 */     // GIR_Coverage, 13357,
     /* 1840536 */     GIR_EraseRootFromParent_Done,
     /* 1840537 */   // Label 24876: @1840537
     /* 1840537 */   GIM_Try, /*On fail goto*//*Label 24877*/ GIMT_Encode4(1840623), // Rule ID 13358 //
     /* 1840542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1840553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1840556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1840562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840588 */     // MIs[0] policy
     /* 1840588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840598 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1840601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840622 */     // GIR_Coverage, 13358,
     /* 1840622 */     GIR_EraseRootFromParent_Done,
     /* 1840623 */   // Label 24877: @1840623
     /* 1840623 */   GIM_Try, /*On fail goto*//*Label 24878*/ GIMT_Encode4(1840709), // Rule ID 13361 //
     /* 1840628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1840639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1840642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1840648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1840651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840674 */     // MIs[0] policy
     /* 1840674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840684 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1840687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840708 */     // GIR_Coverage, 13361,
     /* 1840708 */     GIR_EraseRootFromParent_Done,
     /* 1840709 */   // Label 24878: @1840709
     /* 1840709 */   GIM_Try, /*On fail goto*//*Label 24879*/ GIMT_Encode4(1840795), // Rule ID 13362 //
     /* 1840714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1840725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1840728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1840734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1840737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840760 */     // MIs[0] policy
     /* 1840760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840770 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1840773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840794 */     // GIR_Coverage, 13362,
     /* 1840794 */     GIR_EraseRootFromParent_Done,
     /* 1840795 */   // Label 24879: @1840795
     /* 1840795 */   GIM_Try, /*On fail goto*//*Label 24880*/ GIMT_Encode4(1840881), // Rule ID 13365 //
     /* 1840800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1840811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1840814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1840820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840846 */     // MIs[0] policy
     /* 1840846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840856 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1840859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840880 */     // GIR_Coverage, 13365,
     /* 1840880 */     GIR_EraseRootFromParent_Done,
     /* 1840881 */   // Label 24880: @1840881
     /* 1840881 */   GIM_Try, /*On fail goto*//*Label 24881*/ GIMT_Encode4(1840967), // Rule ID 13366 //
     /* 1840886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1840897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1840900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1840906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840932 */     // MIs[0] policy
     /* 1840932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840942 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1840945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840966 */     // GIR_Coverage, 13366,
     /* 1840966 */     GIR_EraseRootFromParent_Done,
     /* 1840967 */   // Label 24881: @1840967
     /* 1840967 */   GIM_Try, /*On fail goto*//*Label 24882*/ GIMT_Encode4(1841053), // Rule ID 13369 //
     /* 1840972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1840980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1840983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1840986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1840992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841018 */     // MIs[0] policy
     /* 1841018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1841031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841052 */     // GIR_Coverage, 13369,
     /* 1841052 */     GIR_EraseRootFromParent_Done,
     /* 1841053 */   // Label 24882: @1841053
     /* 1841053 */   GIM_Try, /*On fail goto*//*Label 24883*/ GIMT_Encode4(1841139), // Rule ID 13370 //
     /* 1841058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1841069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1841072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1841078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841104 */     // MIs[0] policy
     /* 1841104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1841117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841138 */     // GIR_Coverage, 13370,
     /* 1841138 */     GIR_EraseRootFromParent_Done,
     /* 1841139 */   // Label 24883: @1841139
     /* 1841139 */   GIM_Try, /*On fail goto*//*Label 24884*/ GIMT_Encode4(1841225), // Rule ID 13373 //
     /* 1841144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1841155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1841158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1841164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841190 */     // MIs[0] policy
     /* 1841190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841200 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1841203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841224 */     // GIR_Coverage, 13373,
     /* 1841224 */     GIR_EraseRootFromParent_Done,
     /* 1841225 */   // Label 24884: @1841225
     /* 1841225 */   GIM_Try, /*On fail goto*//*Label 24885*/ GIMT_Encode4(1841311), // Rule ID 13374 //
     /* 1841230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1841241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1841244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1841250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841276 */     // MIs[0] policy
     /* 1841276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841286 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1841289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841310 */     // GIR_Coverage, 13374,
     /* 1841310 */     GIR_EraseRootFromParent_Done,
     /* 1841311 */   // Label 24885: @1841311
     /* 1841311 */   GIM_Try, /*On fail goto*//*Label 24886*/ GIMT_Encode4(1841397), // Rule ID 13377 //
     /* 1841316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1841327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1841330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1841336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841362 */     // MIs[0] policy
     /* 1841362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841372 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1841375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841396 */     // GIR_Coverage, 13377,
     /* 1841396 */     GIR_EraseRootFromParent_Done,
     /* 1841397 */   // Label 24886: @1841397
     /* 1841397 */   GIM_Try, /*On fail goto*//*Label 24887*/ GIMT_Encode4(1841483), // Rule ID 13378 //
     /* 1841402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1841413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1841416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1841422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841448 */     // MIs[0] policy
     /* 1841448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841458 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1841461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841482 */     // GIR_Coverage, 13378,
     /* 1841482 */     GIR_EraseRootFromParent_Done,
     /* 1841483 */   // Label 24887: @1841483
     /* 1841483 */   GIM_Try, /*On fail goto*//*Label 24888*/ GIMT_Encode4(1841569), // Rule ID 13381 //
     /* 1841488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1841499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1841502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1841508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1841511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841534 */     // MIs[0] policy
     /* 1841534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841544 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1841547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841568 */     // GIR_Coverage, 13381,
     /* 1841568 */     GIR_EraseRootFromParent_Done,
     /* 1841569 */   // Label 24888: @1841569
     /* 1841569 */   GIM_Try, /*On fail goto*//*Label 24889*/ GIMT_Encode4(1841655), // Rule ID 13382 //
     /* 1841574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1841585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1841588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1841594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1841597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841620 */     // MIs[0] policy
     /* 1841620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841630 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1841633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841654 */     // GIR_Coverage, 13382,
     /* 1841654 */     GIR_EraseRootFromParent_Done,
     /* 1841655 */   // Label 24889: @1841655
     /* 1841655 */   GIM_Try, /*On fail goto*//*Label 24890*/ GIMT_Encode4(1841741), // Rule ID 13385 //
     /* 1841660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1841663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1841671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1841674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1841680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841706 */     // MIs[0] policy
     /* 1841706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841716 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1841719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841740 */     // GIR_Coverage, 13385,
     /* 1841740 */     GIR_EraseRootFromParent_Done,
     /* 1841741 */   // Label 24890: @1841741
     /* 1841741 */   GIM_Try, /*On fail goto*//*Label 24891*/ GIMT_Encode4(1841827), // Rule ID 13386 //
     /* 1841746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1841749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1841757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1841760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1841766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841792 */     // MIs[0] policy
     /* 1841792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841802 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1841805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841826 */     // GIR_Coverage, 13386,
     /* 1841826 */     GIR_EraseRootFromParent_Done,
     /* 1841827 */   // Label 24891: @1841827
     /* 1841827 */   GIM_Try, /*On fail goto*//*Label 24892*/ GIMT_Encode4(1841913), // Rule ID 13389 //
     /* 1841832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1841835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1841843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1841846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1841852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841878 */     // MIs[0] policy
     /* 1841878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841888 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1841891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841912 */     // GIR_Coverage, 13389,
     /* 1841912 */     GIR_EraseRootFromParent_Done,
     /* 1841913 */   // Label 24892: @1841913
     /* 1841913 */   GIM_Try, /*On fail goto*//*Label 24893*/ GIMT_Encode4(1841999), // Rule ID 13390 //
     /* 1841918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1841921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1841926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1841929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1841932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1841938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841964 */     // MIs[0] policy
     /* 1841964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841974 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1841977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841998 */     // GIR_Coverage, 13390,
     /* 1841998 */     GIR_EraseRootFromParent_Done,
     /* 1841999 */   // Label 24893: @1841999
     /* 1841999 */   GIM_Try, /*On fail goto*//*Label 24894*/ GIMT_Encode4(1842085), // Rule ID 13393 //
     /* 1842004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1842007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1842015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1842018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1842024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842050 */     // MIs[0] policy
     /* 1842050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842060 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1842063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842084 */     // GIR_Coverage, 13393,
     /* 1842084 */     GIR_EraseRootFromParent_Done,
     /* 1842085 */   // Label 24894: @1842085
     /* 1842085 */   GIM_Try, /*On fail goto*//*Label 24895*/ GIMT_Encode4(1842171), // Rule ID 13394 //
     /* 1842090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1842093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1842101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1842104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1842110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842136 */     // MIs[0] policy
     /* 1842136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842146 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1842149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842170 */     // GIR_Coverage, 13394,
     /* 1842170 */     GIR_EraseRootFromParent_Done,
     /* 1842171 */   // Label 24895: @1842171
     /* 1842171 */   GIM_Try, /*On fail goto*//*Label 24896*/ GIMT_Encode4(1842257), // Rule ID 13397 //
     /* 1842176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1842179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1842187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1842190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1842196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842222 */     // MIs[0] policy
     /* 1842222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842232 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1842235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842256 */     // GIR_Coverage, 13397,
     /* 1842256 */     GIR_EraseRootFromParent_Done,
     /* 1842257 */   // Label 24896: @1842257
     /* 1842257 */   GIM_Try, /*On fail goto*//*Label 24897*/ GIMT_Encode4(1842343), // Rule ID 13398 //
     /* 1842262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1842265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1842270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1842273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1842276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1842282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842308 */     // MIs[0] policy
     /* 1842308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842318 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1842321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842342 */     // GIR_Coverage, 13398,
     /* 1842342 */     GIR_EraseRootFromParent_Done,
     /* 1842343 */   // Label 24897: @1842343
     /* 1842343 */   GIM_Try, /*On fail goto*//*Label 24898*/ GIMT_Encode4(1842429), // Rule ID 13401 //
     /* 1842348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1842356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1842359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1842362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1842365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1842368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842394 */     // MIs[0] policy
     /* 1842394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842404 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1842407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842428 */     // GIR_Coverage, 13401,
     /* 1842428 */     GIR_EraseRootFromParent_Done,
     /* 1842429 */   // Label 24898: @1842429
     /* 1842429 */   GIM_Try, /*On fail goto*//*Label 24899*/ GIMT_Encode4(1842515), // Rule ID 13402 //
     /* 1842434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1842442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1842445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1842448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1842451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1842454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842480 */     // MIs[0] policy
     /* 1842480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842490 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1842493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842514 */     // GIR_Coverage, 13402,
     /* 1842514 */     GIR_EraseRootFromParent_Done,
     /* 1842515 */   // Label 24899: @1842515
     /* 1842515 */   GIM_Try, /*On fail goto*//*Label 24900*/ GIMT_Encode4(1842601), // Rule ID 13405 //
     /* 1842520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1842528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1842531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1842534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1842537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1842540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842566 */     // MIs[0] policy
     /* 1842566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842576 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1842579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842600 */     // GIR_Coverage, 13405,
     /* 1842600 */     GIR_EraseRootFromParent_Done,
     /* 1842601 */   // Label 24900: @1842601
     /* 1842601 */   GIM_Try, /*On fail goto*//*Label 24901*/ GIMT_Encode4(1842687), // Rule ID 13406 //
     /* 1842606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1842614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1842617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1842620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1842623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1842626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842652 */     // MIs[0] policy
     /* 1842652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842662 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1842665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842686 */     // GIR_Coverage, 13406,
     /* 1842686 */     GIR_EraseRootFromParent_Done,
     /* 1842687 */   // Label 24901: @1842687
     /* 1842687 */   GIM_Try, /*On fail goto*//*Label 24902*/ GIMT_Encode4(1842773), // Rule ID 13409 //
     /* 1842692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1842700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1842703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1842706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1842709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1842712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842738 */     // MIs[0] policy
     /* 1842738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1842751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842772 */     // GIR_Coverage, 13409,
     /* 1842772 */     GIR_EraseRootFromParent_Done,
     /* 1842773 */   // Label 24902: @1842773
     /* 1842773 */   GIM_Try, /*On fail goto*//*Label 24903*/ GIMT_Encode4(1842859), // Rule ID 13410 //
     /* 1842778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1842786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1842789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1842792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1842795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1842798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842824 */     // MIs[0] policy
     /* 1842824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842834 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1842837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842858 */     // GIR_Coverage, 13410,
     /* 1842858 */     GIR_EraseRootFromParent_Done,
     /* 1842859 */   // Label 24903: @1842859
     /* 1842859 */   GIM_Try, /*On fail goto*//*Label 24904*/ GIMT_Encode4(1842945), // Rule ID 13413 //
     /* 1842864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1842872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1842875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1842878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1842881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1842884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1842894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842910 */     // MIs[0] policy
     /* 1842910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842920 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1842923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842944 */     // GIR_Coverage, 13413,
     /* 1842944 */     GIR_EraseRootFromParent_Done,
     /* 1842945 */   // Label 24904: @1842945
     /* 1842945 */   GIM_Try, /*On fail goto*//*Label 24905*/ GIMT_Encode4(1843031), // Rule ID 13414 //
     /* 1842950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1842958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1842961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1842964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1842967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1842970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1842980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842996 */     // MIs[0] policy
     /* 1842996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843006 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1843009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843030 */     // GIR_Coverage, 13414,
     /* 1843030 */     GIR_EraseRootFromParent_Done,
     /* 1843031 */   // Label 24905: @1843031
     /* 1843031 */   GIM_Try, /*On fail goto*//*Label 24906*/ GIMT_Encode4(1843117), // Rule ID 13417 //
     /* 1843036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1843047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1843050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1843053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1843056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843082 */     // MIs[0] policy
     /* 1843082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843092 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1843095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843116 */     // GIR_Coverage, 13417,
     /* 1843116 */     GIR_EraseRootFromParent_Done,
     /* 1843117 */   // Label 24906: @1843117
     /* 1843117 */   GIM_Try, /*On fail goto*//*Label 24907*/ GIMT_Encode4(1843203), // Rule ID 13418 //
     /* 1843122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1843133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1843136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1843139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1843142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843168 */     // MIs[0] policy
     /* 1843168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843178 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1843181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843202 */     // GIR_Coverage, 13418,
     /* 1843202 */     GIR_EraseRootFromParent_Done,
     /* 1843203 */   // Label 24907: @1843203
     /* 1843203 */   GIM_Try, /*On fail goto*//*Label 24908*/ GIMT_Encode4(1843289), // Rule ID 13421 //
     /* 1843208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1843219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1843222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1843225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1843228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1843231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843254 */     // MIs[0] policy
     /* 1843254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843264 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1843267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843288 */     // GIR_Coverage, 13421,
     /* 1843288 */     GIR_EraseRootFromParent_Done,
     /* 1843289 */   // Label 24908: @1843289
     /* 1843289 */   GIM_Try, /*On fail goto*//*Label 24909*/ GIMT_Encode4(1843375), // Rule ID 13422 //
     /* 1843294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1843305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1843308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1843311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1843314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1843317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843340 */     // MIs[0] policy
     /* 1843340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843350 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1843353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843374 */     // GIR_Coverage, 13422,
     /* 1843374 */     GIR_EraseRootFromParent_Done,
     /* 1843375 */   // Label 24909: @1843375
     /* 1843375 */   GIM_Try, /*On fail goto*//*Label 24910*/ GIMT_Encode4(1843461), // Rule ID 13425 //
     /* 1843380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1843391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1843394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1843397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1843400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843426 */     // MIs[0] policy
     /* 1843426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843436 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1843439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843460 */     // GIR_Coverage, 13425,
     /* 1843460 */     GIR_EraseRootFromParent_Done,
     /* 1843461 */   // Label 24910: @1843461
     /* 1843461 */   GIM_Try, /*On fail goto*//*Label 24911*/ GIMT_Encode4(1843547), // Rule ID 13426 //
     /* 1843466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1843477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1843480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1843483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1843486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843512 */     // MIs[0] policy
     /* 1843512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1843525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843546 */     // GIR_Coverage, 13426,
     /* 1843546 */     GIR_EraseRootFromParent_Done,
     /* 1843547 */   // Label 24911: @1843547
     /* 1843547 */   GIM_Try, /*On fail goto*//*Label 24912*/ GIMT_Encode4(1843633), // Rule ID 13429 //
     /* 1843552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1843563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1843566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1843569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1843572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843598 */     // MIs[0] policy
     /* 1843598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1843611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843632 */     // GIR_Coverage, 13429,
     /* 1843632 */     GIR_EraseRootFromParent_Done,
     /* 1843633 */   // Label 24912: @1843633
     /* 1843633 */   GIM_Try, /*On fail goto*//*Label 24913*/ GIMT_Encode4(1843719), // Rule ID 13430 //
     /* 1843638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1843649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1843652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1843655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1843658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843684 */     // MIs[0] policy
     /* 1843684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843694 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1843697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843718 */     // GIR_Coverage, 13430,
     /* 1843718 */     GIR_EraseRootFromParent_Done,
     /* 1843719 */   // Label 24913: @1843719
     /* 1843719 */   GIM_Try, /*On fail goto*//*Label 24914*/ GIMT_Encode4(1843805), // Rule ID 13433 //
     /* 1843724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1843735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1843738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1843741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1843744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843770 */     // MIs[0] policy
     /* 1843770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843780 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1843783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843804 */     // GIR_Coverage, 13433,
     /* 1843804 */     GIR_EraseRootFromParent_Done,
     /* 1843805 */   // Label 24914: @1843805
     /* 1843805 */   GIM_Try, /*On fail goto*//*Label 24915*/ GIMT_Encode4(1843891), // Rule ID 13434 //
     /* 1843810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1843821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1843824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1843827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1843830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843856 */     // MIs[0] policy
     /* 1843856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843866 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1843869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843890 */     // GIR_Coverage, 13434,
     /* 1843890 */     GIR_EraseRootFromParent_Done,
     /* 1843891 */   // Label 24915: @1843891
     /* 1843891 */   GIM_Try, /*On fail goto*//*Label 24916*/ GIMT_Encode4(1843977), // Rule ID 13437 //
     /* 1843896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1843907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1843910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1843913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1843916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843942 */     // MIs[0] policy
     /* 1843942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843952 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1843955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843976 */     // GIR_Coverage, 13437,
     /* 1843976 */     GIR_EraseRootFromParent_Done,
     /* 1843977 */   // Label 24916: @1843977
     /* 1843977 */   GIM_Try, /*On fail goto*//*Label 24917*/ GIMT_Encode4(1844063), // Rule ID 13438 //
     /* 1843982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1843990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1843993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1843996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1843999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1844002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844028 */     // MIs[0] policy
     /* 1844028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844038 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1844041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844062 */     // GIR_Coverage, 13438,
     /* 1844062 */     GIR_EraseRootFromParent_Done,
     /* 1844063 */   // Label 24917: @1844063
     /* 1844063 */   GIM_Try, /*On fail goto*//*Label 24918*/ GIMT_Encode4(1844149), // Rule ID 13441 //
     /* 1844068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1844079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1844082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1844085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1844088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844114 */     // MIs[0] policy
     /* 1844114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844124 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1844127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844148 */     // GIR_Coverage, 13441,
     /* 1844148 */     GIR_EraseRootFromParent_Done,
     /* 1844149 */   // Label 24918: @1844149
     /* 1844149 */   GIM_Try, /*On fail goto*//*Label 24919*/ GIMT_Encode4(1844235), // Rule ID 13442 //
     /* 1844154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1844165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1844168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1844171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1844174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844200 */     // MIs[0] policy
     /* 1844200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844210 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1844213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844234 */     // GIR_Coverage, 13442,
     /* 1844234 */     GIR_EraseRootFromParent_Done,
     /* 1844235 */   // Label 24919: @1844235
     /* 1844235 */   GIM_Try, /*On fail goto*//*Label 24920*/ GIMT_Encode4(1844321), // Rule ID 13445 //
     /* 1844240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1844243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1844251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1844254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1844257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1844260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1844263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844286 */     // MIs[0] policy
     /* 1844286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844296 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1844299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844320 */     // GIR_Coverage, 13445,
     /* 1844320 */     GIR_EraseRootFromParent_Done,
     /* 1844321 */   // Label 24920: @1844321
     /* 1844321 */   GIM_Try, /*On fail goto*//*Label 24921*/ GIMT_Encode4(1844407), // Rule ID 13446 //
     /* 1844326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1844329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1844337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1844340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1844343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1844346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1844349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844372 */     // MIs[0] policy
     /* 1844372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844382 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1844385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844406 */     // GIR_Coverage, 13446,
     /* 1844406 */     GIR_EraseRootFromParent_Done,
     /* 1844407 */   // Label 24921: @1844407
     /* 1844407 */   GIM_Try, /*On fail goto*//*Label 24922*/ GIMT_Encode4(1844493), // Rule ID 13449 //
     /* 1844412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1844415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1844423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1844426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1844429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1844432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844458 */     // MIs[0] policy
     /* 1844458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844468 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1844471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844492 */     // GIR_Coverage, 13449,
     /* 1844492 */     GIR_EraseRootFromParent_Done,
     /* 1844493 */   // Label 24922: @1844493
     /* 1844493 */   GIM_Try, /*On fail goto*//*Label 24923*/ GIMT_Encode4(1844579), // Rule ID 13450 //
     /* 1844498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1844501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1844509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1844512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1844515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1844518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844544 */     // MIs[0] policy
     /* 1844544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844554 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1844557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844578 */     // GIR_Coverage, 13450,
     /* 1844578 */     GIR_EraseRootFromParent_Done,
     /* 1844579 */   // Label 24923: @1844579
     /* 1844579 */   GIM_Try, /*On fail goto*//*Label 24924*/ GIMT_Encode4(1844665), // Rule ID 13453 //
     /* 1844584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1844587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1844595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1844598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1844601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1844604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844630 */     // MIs[0] policy
     /* 1844630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844640 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1844643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844664 */     // GIR_Coverage, 13453,
     /* 1844664 */     GIR_EraseRootFromParent_Done,
     /* 1844665 */   // Label 24924: @1844665
     /* 1844665 */   GIM_Try, /*On fail goto*//*Label 24925*/ GIMT_Encode4(1844751), // Rule ID 13454 //
     /* 1844670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1844673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1844681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1844684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1844687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1844690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844716 */     // MIs[0] policy
     /* 1844716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844726 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1844729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844750 */     // GIR_Coverage, 13454,
     /* 1844750 */     GIR_EraseRootFromParent_Done,
     /* 1844751 */   // Label 24925: @1844751
     /* 1844751 */   GIM_Try, /*On fail goto*//*Label 24926*/ GIMT_Encode4(1844837), // Rule ID 13457 //
     /* 1844756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1844759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1844767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1844770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1844773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1844776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844802 */     // MIs[0] policy
     /* 1844802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844812 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1844815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844836 */     // GIR_Coverage, 13457,
     /* 1844836 */     GIR_EraseRootFromParent_Done,
     /* 1844837 */   // Label 24926: @1844837
     /* 1844837 */   GIM_Try, /*On fail goto*//*Label 24927*/ GIMT_Encode4(1844923), // Rule ID 13458 //
     /* 1844842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1844845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1844853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1844856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1844859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1844862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844888 */     // MIs[0] policy
     /* 1844888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844898 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1844901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844922 */     // GIR_Coverage, 13458,
     /* 1844922 */     GIR_EraseRootFromParent_Done,
     /* 1844923 */   // Label 24927: @1844923
     /* 1844923 */   GIM_Try, /*On fail goto*//*Label 24928*/ GIMT_Encode4(1845009), // Rule ID 13461 //
     /* 1844928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1844936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1844939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1844942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1844945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1844948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1844951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844974 */     // MIs[0] policy
     /* 1844974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844984 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1844987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845008 */     // GIR_Coverage, 13461,
     /* 1845008 */     GIR_EraseRootFromParent_Done,
     /* 1845009 */   // Label 24928: @1845009
     /* 1845009 */   GIM_Try, /*On fail goto*//*Label 24929*/ GIMT_Encode4(1845095), // Rule ID 13462 //
     /* 1845014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1845025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1845028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1845031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1845034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845060 */     // MIs[0] policy
     /* 1845060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845070 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1845073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845094 */     // GIR_Coverage, 13462,
     /* 1845094 */     GIR_EraseRootFromParent_Done,
     /* 1845095 */   // Label 24929: @1845095
     /* 1845095 */   GIM_Try, /*On fail goto*//*Label 24930*/ GIMT_Encode4(1845181), // Rule ID 13465 //
     /* 1845100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1845111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1845114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1845117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1845120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845146 */     // MIs[0] policy
     /* 1845146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845156 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1845159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845180 */     // GIR_Coverage, 13465,
     /* 1845180 */     GIR_EraseRootFromParent_Done,
     /* 1845181 */   // Label 24930: @1845181
     /* 1845181 */   GIM_Try, /*On fail goto*//*Label 24931*/ GIMT_Encode4(1845267), // Rule ID 13466 //
     /* 1845186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1845197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1845200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1845203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1845206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845232 */     // MIs[0] policy
     /* 1845232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845242 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1845245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845266 */     // GIR_Coverage, 13466,
     /* 1845266 */     GIR_EraseRootFromParent_Done,
     /* 1845267 */   // Label 24931: @1845267
     /* 1845267 */   GIM_Try, /*On fail goto*//*Label 24932*/ GIMT_Encode4(1845353), // Rule ID 13469 //
     /* 1845272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1845283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1845286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1845289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1845292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845318 */     // MIs[0] policy
     /* 1845318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1845331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845352 */     // GIR_Coverage, 13469,
     /* 1845352 */     GIR_EraseRootFromParent_Done,
     /* 1845353 */   // Label 24932: @1845353
     /* 1845353 */   GIM_Try, /*On fail goto*//*Label 24933*/ GIMT_Encode4(1845439), // Rule ID 13470 //
     /* 1845358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1845369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1845372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1845375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1845378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845404 */     // MIs[0] policy
     /* 1845404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1845417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845438 */     // GIR_Coverage, 13470,
     /* 1845438 */     GIR_EraseRootFromParent_Done,
     /* 1845439 */   // Label 24933: @1845439
     /* 1845439 */   GIM_Try, /*On fail goto*//*Label 24934*/ GIMT_Encode4(1845525), // Rule ID 13473 //
     /* 1845444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1845455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1845458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1845461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1845464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845490 */     // MIs[0] policy
     /* 1845490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845500 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1845503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845524 */     // GIR_Coverage, 13473,
     /* 1845524 */     GIR_EraseRootFromParent_Done,
     /* 1845525 */   // Label 24934: @1845525
     /* 1845525 */   GIM_Try, /*On fail goto*//*Label 24935*/ GIMT_Encode4(1845611), // Rule ID 13474 //
     /* 1845530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1845541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1845544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1845547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1845550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845576 */     // MIs[0] policy
     /* 1845576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845586 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1845589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845610 */     // GIR_Coverage, 13474,
     /* 1845610 */     GIR_EraseRootFromParent_Done,
     /* 1845611 */   // Label 24935: @1845611
     /* 1845611 */   GIM_Try, /*On fail goto*//*Label 24936*/ GIMT_Encode4(1845697), // Rule ID 13477 //
     /* 1845616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1845627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1845630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1845633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1845636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1845639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845662 */     // MIs[0] policy
     /* 1845662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1845675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845696 */     // GIR_Coverage, 13477,
     /* 1845696 */     GIR_EraseRootFromParent_Done,
     /* 1845697 */   // Label 24936: @1845697
     /* 1845697 */   GIM_Try, /*On fail goto*//*Label 24937*/ GIMT_Encode4(1845783), // Rule ID 13478 //
     /* 1845702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1845713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1845716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1845719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1845722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1845725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845748 */     // MIs[0] policy
     /* 1845748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845758 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1845761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845782 */     // GIR_Coverage, 13478,
     /* 1845782 */     GIR_EraseRootFromParent_Done,
     /* 1845783 */   // Label 24937: @1845783
     /* 1845783 */   GIM_Try, /*On fail goto*//*Label 24938*/ GIMT_Encode4(1845869), // Rule ID 13481 //
     /* 1845788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1845799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1845802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1845805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1845808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1845811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845834 */     // MIs[0] policy
     /* 1845834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845844 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1845847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845868 */     // GIR_Coverage, 13481,
     /* 1845868 */     GIR_EraseRootFromParent_Done,
     /* 1845869 */   // Label 24938: @1845869
     /* 1845869 */   GIM_Try, /*On fail goto*//*Label 24939*/ GIMT_Encode4(1845955), // Rule ID 13482 //
     /* 1845874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1845885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1845888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1845891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1845894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1845897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845920 */     // MIs[0] policy
     /* 1845920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845930 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1845933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845954 */     // GIR_Coverage, 13482,
     /* 1845954 */     GIR_EraseRootFromParent_Done,
     /* 1845955 */   // Label 24939: @1845955
     /* 1845955 */   GIM_Try, /*On fail goto*//*Label 24940*/ GIMT_Encode4(1846041), // Rule ID 13485 //
     /* 1845960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1845968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1845971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1845974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1845977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1845980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846006 */     // MIs[0] policy
     /* 1846006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846016 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1846019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846040 */     // GIR_Coverage, 13485,
     /* 1846040 */     GIR_EraseRootFromParent_Done,
     /* 1846041 */   // Label 24940: @1846041
     /* 1846041 */   GIM_Try, /*On fail goto*//*Label 24941*/ GIMT_Encode4(1846127), // Rule ID 13486 //
     /* 1846046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1846057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1846060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1846066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846092 */     // MIs[0] policy
     /* 1846092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846102 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1846105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846126 */     // GIR_Coverage, 13486,
     /* 1846126 */     GIR_EraseRootFromParent_Done,
     /* 1846127 */   // Label 24941: @1846127
     /* 1846127 */   GIM_Try, /*On fail goto*//*Label 24942*/ GIMT_Encode4(1846213), // Rule ID 13489 //
     /* 1846132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1846143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1846146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1846152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846178 */     // MIs[0] policy
     /* 1846178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846188 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1846191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846212 */     // GIR_Coverage, 13489,
     /* 1846212 */     GIR_EraseRootFromParent_Done,
     /* 1846213 */   // Label 24942: @1846213
     /* 1846213 */   GIM_Try, /*On fail goto*//*Label 24943*/ GIMT_Encode4(1846299), // Rule ID 13490 //
     /* 1846218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1846229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1846232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1846238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846264 */     // MIs[0] policy
     /* 1846264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846274 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1846277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846298 */     // GIR_Coverage, 13490,
     /* 1846298 */     GIR_EraseRootFromParent_Done,
     /* 1846299 */   // Label 24943: @1846299
     /* 1846299 */   GIM_Try, /*On fail goto*//*Label 24944*/ GIMT_Encode4(1846385), // Rule ID 13493 //
     /* 1846304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1846315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1846318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1846324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846350 */     // MIs[0] policy
     /* 1846350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846360 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1846363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846384 */     // GIR_Coverage, 13493,
     /* 1846384 */     GIR_EraseRootFromParent_Done,
     /* 1846385 */   // Label 24944: @1846385
     /* 1846385 */   GIM_Try, /*On fail goto*//*Label 24945*/ GIMT_Encode4(1846471), // Rule ID 13494 //
     /* 1846390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1846401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1846404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1846410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846436 */     // MIs[0] policy
     /* 1846436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846446 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1846449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846470 */     // GIR_Coverage, 13494,
     /* 1846470 */     GIR_EraseRootFromParent_Done,
     /* 1846471 */   // Label 24945: @1846471
     /* 1846471 */   GIM_Try, /*On fail goto*//*Label 24946*/ GIMT_Encode4(1846557), // Rule ID 13497 //
     /* 1846476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1846487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1846490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1846496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1846506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846522 */     // MIs[0] policy
     /* 1846522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846532 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1846535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846556 */     // GIR_Coverage, 13497,
     /* 1846556 */     GIR_EraseRootFromParent_Done,
     /* 1846557 */   // Label 24946: @1846557
     /* 1846557 */   GIM_Try, /*On fail goto*//*Label 24947*/ GIMT_Encode4(1846643), // Rule ID 13498 //
     /* 1846562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1846573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1846576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1846582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1846592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846608 */     // MIs[0] policy
     /* 1846608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846618 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1846621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846642 */     // GIR_Coverage, 13498,
     /* 1846642 */     GIR_EraseRootFromParent_Done,
     /* 1846643 */   // Label 24947: @1846643
     /* 1846643 */   GIM_Try, /*On fail goto*//*Label 24948*/ GIMT_Encode4(1846729), // Rule ID 13501 //
     /* 1846648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1846659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1846662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1846668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1846671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1846678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1846682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846694 */     // MIs[0] policy
     /* 1846694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846704 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1846707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846728 */     // GIR_Coverage, 13501,
     /* 1846728 */     GIR_EraseRootFromParent_Done,
     /* 1846729 */   // Label 24948: @1846729
     /* 1846729 */   GIM_Try, /*On fail goto*//*Label 24949*/ GIMT_Encode4(1846815), // Rule ID 13502 //
     /* 1846734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1846745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1846748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1846754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1846757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1846764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1846768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846780 */     // MIs[0] policy
     /* 1846780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846790 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1846793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846814 */     // GIR_Coverage, 13502,
     /* 1846814 */     GIR_EraseRootFromParent_Done,
     /* 1846815 */   // Label 24949: @1846815
     /* 1846815 */   GIM_Try, /*On fail goto*//*Label 24950*/ GIMT_Encode4(1846901), // Rule ID 13505 //
     /* 1846820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1846823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1846831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1846834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1846840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846866 */     // MIs[0] policy
     /* 1846866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846876 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1846879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846900 */     // GIR_Coverage, 13505,
     /* 1846900 */     GIR_EraseRootFromParent_Done,
     /* 1846901 */   // Label 24950: @1846901
     /* 1846901 */   GIM_Try, /*On fail goto*//*Label 24951*/ GIMT_Encode4(1846987), // Rule ID 13506 //
     /* 1846906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1846909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1846914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1846917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1846920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1846926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846952 */     // MIs[0] policy
     /* 1846952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846962 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1846965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846986 */     // GIR_Coverage, 13506,
     /* 1846986 */     GIR_EraseRootFromParent_Done,
     /* 1846987 */   // Label 24951: @1846987
     /* 1846987 */   GIM_Try, /*On fail goto*//*Label 24952*/ GIMT_Encode4(1847073), // Rule ID 13509 //
     /* 1846992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1846995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1847003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1847006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1847012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847038 */     // MIs[0] policy
     /* 1847038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847048 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1847051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847072 */     // GIR_Coverage, 13509,
     /* 1847072 */     GIR_EraseRootFromParent_Done,
     /* 1847073 */   // Label 24952: @1847073
     /* 1847073 */   GIM_Try, /*On fail goto*//*Label 24953*/ GIMT_Encode4(1847159), // Rule ID 13510 //
     /* 1847078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1847081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1847089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1847092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1847098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847124 */     // MIs[0] policy
     /* 1847124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847134 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1847137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847158 */     // GIR_Coverage, 13510,
     /* 1847158 */     GIR_EraseRootFromParent_Done,
     /* 1847159 */   // Label 24953: @1847159
     /* 1847159 */   GIM_Try, /*On fail goto*//*Label 24954*/ GIMT_Encode4(1847245), // Rule ID 13513 //
     /* 1847164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1847167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1847175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1847178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1847184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847210 */     // MIs[0] policy
     /* 1847210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847220 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1847223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847244 */     // GIR_Coverage, 13513,
     /* 1847244 */     GIR_EraseRootFromParent_Done,
     /* 1847245 */   // Label 24954: @1847245
     /* 1847245 */   GIM_Try, /*On fail goto*//*Label 24955*/ GIMT_Encode4(1847331), // Rule ID 13514 //
     /* 1847250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1847253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1847261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1847264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1847270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847296 */     // MIs[0] policy
     /* 1847296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847306 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1847309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847330 */     // GIR_Coverage, 13514,
     /* 1847330 */     GIR_EraseRootFromParent_Done,
     /* 1847331 */   // Label 24955: @1847331
     /* 1847331 */   GIM_Try, /*On fail goto*//*Label 24956*/ GIMT_Encode4(1847417), // Rule ID 13517 //
     /* 1847336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1847339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1847347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1847350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1847356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847382 */     // MIs[0] policy
     /* 1847382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847392 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1847395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847416 */     // GIR_Coverage, 13517,
     /* 1847416 */     GIR_EraseRootFromParent_Done,
     /* 1847417 */   // Label 24956: @1847417
     /* 1847417 */   GIM_Try, /*On fail goto*//*Label 24957*/ GIMT_Encode4(1847503), // Rule ID 13518 //
     /* 1847422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1847425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1847430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1847433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1847436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1847442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847468 */     // MIs[0] policy
     /* 1847468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847478 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1847481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847502 */     // GIR_Coverage, 13518,
     /* 1847502 */     GIR_EraseRootFromParent_Done,
     /* 1847503 */   // Label 24957: @1847503
     /* 1847503 */   GIM_Try, /*On fail goto*//*Label 24958*/ GIMT_Encode4(1847589), // Rule ID 13521 //
     /* 1847508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1847516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1847519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1847522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1847525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1847528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847554 */     // MIs[0] policy
     /* 1847554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847564 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1847567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847588 */     // GIR_Coverage, 13521,
     /* 1847588 */     GIR_EraseRootFromParent_Done,
     /* 1847589 */   // Label 24958: @1847589
     /* 1847589 */   GIM_Try, /*On fail goto*//*Label 24959*/ GIMT_Encode4(1847675), // Rule ID 13522 //
     /* 1847594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1847602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1847605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1847608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1847611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1847614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847640 */     // MIs[0] policy
     /* 1847640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847650 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1847653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847674 */     // GIR_Coverage, 13522,
     /* 1847674 */     GIR_EraseRootFromParent_Done,
     /* 1847675 */   // Label 24959: @1847675
     /* 1847675 */   GIM_Try, /*On fail goto*//*Label 24960*/ GIMT_Encode4(1847761), // Rule ID 13525 //
     /* 1847680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1847688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1847691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1847694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1847697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1847700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847726 */     // MIs[0] policy
     /* 1847726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1847739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847760 */     // GIR_Coverage, 13525,
     /* 1847760 */     GIR_EraseRootFromParent_Done,
     /* 1847761 */   // Label 24960: @1847761
     /* 1847761 */   GIM_Try, /*On fail goto*//*Label 24961*/ GIMT_Encode4(1847847), // Rule ID 13526 //
     /* 1847766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1847774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1847777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1847780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1847783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1847786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847812 */     // MIs[0] policy
     /* 1847812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847822 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1847825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847846 */     // GIR_Coverage, 13526,
     /* 1847846 */     GIR_EraseRootFromParent_Done,
     /* 1847847 */   // Label 24961: @1847847
     /* 1847847 */   GIM_Try, /*On fail goto*//*Label 24962*/ GIMT_Encode4(1847933), // Rule ID 13529 //
     /* 1847852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1847860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1847863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1847866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1847869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1847872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847898 */     // MIs[0] policy
     /* 1847898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847908 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1847911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847932 */     // GIR_Coverage, 13529,
     /* 1847932 */     GIR_EraseRootFromParent_Done,
     /* 1847933 */   // Label 24962: @1847933
     /* 1847933 */   GIM_Try, /*On fail goto*//*Label 24963*/ GIMT_Encode4(1848019), // Rule ID 13530 //
     /* 1847938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1847946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1847949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1847952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1847955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1847958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847984 */     // MIs[0] policy
     /* 1847984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847994 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1847997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848018 */     // GIR_Coverage, 13530,
     /* 1848018 */     GIR_EraseRootFromParent_Done,
     /* 1848019 */   // Label 24963: @1848019
     /* 1848019 */   GIM_Try, /*On fail goto*//*Label 24964*/ GIMT_Encode4(1848105), // Rule ID 13533 //
     /* 1848024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1848032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1848035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1848038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1848041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1848044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848070 */     // MIs[0] policy
     /* 1848070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848080 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1848083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848104 */     // GIR_Coverage, 13533,
     /* 1848104 */     GIR_EraseRootFromParent_Done,
     /* 1848105 */   // Label 24964: @1848105
     /* 1848105 */   GIM_Try, /*On fail goto*//*Label 24965*/ GIMT_Encode4(1848191), // Rule ID 13534 //
     /* 1848110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1848118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1848121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1848124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1848127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1848130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848156 */     // MIs[0] policy
     /* 1848156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848166 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1848169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848190 */     // GIR_Coverage, 13534,
     /* 1848190 */     GIR_EraseRootFromParent_Done,
     /* 1848191 */   // Label 24965: @1848191
     /* 1848191 */   GIM_Try, /*On fail goto*//*Label 24966*/ GIMT_Encode4(1848277), // Rule ID 13537 //
     /* 1848196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1848204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1848207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1848210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1848213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1848216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848242 */     // MIs[0] policy
     /* 1848242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848252 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1848255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848276 */     // GIR_Coverage, 13537,
     /* 1848276 */     GIR_EraseRootFromParent_Done,
     /* 1848277 */   // Label 24966: @1848277
     /* 1848277 */   GIM_Try, /*On fail goto*//*Label 24967*/ GIMT_Encode4(1848363), // Rule ID 13538 //
     /* 1848282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1848290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1848293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1848296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1848299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1848302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848328 */     // MIs[0] policy
     /* 1848328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848338 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1848341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848362 */     // GIR_Coverage, 13538,
     /* 1848362 */     GIR_EraseRootFromParent_Done,
     /* 1848363 */   // Label 24967: @1848363
     /* 1848363 */   GIM_Try, /*On fail goto*//*Label 24968*/ GIMT_Encode4(1848449), // Rule ID 13541 //
     /* 1848368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1848376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1848379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1848382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1848385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1848388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1848391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848414 */     // MIs[0] policy
     /* 1848414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848424 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1848427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848448 */     // GIR_Coverage, 13541,
     /* 1848448 */     GIR_EraseRootFromParent_Done,
     /* 1848449 */   // Label 24968: @1848449
     /* 1848449 */   GIM_Try, /*On fail goto*//*Label 24969*/ GIMT_Encode4(1848535), // Rule ID 13542 //
     /* 1848454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1848462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1848465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1848468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1848471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1848474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1848477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848500 */     // MIs[0] policy
     /* 1848500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848510 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1848513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848534 */     // GIR_Coverage, 13542,
     /* 1848534 */     GIR_EraseRootFromParent_Done,
     /* 1848535 */   // Label 24969: @1848535
     /* 1848535 */   GIM_Try, /*On fail goto*//*Label 24970*/ GIMT_Encode4(1848621), // Rule ID 13545 //
     /* 1848540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1848548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1848551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1848554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1848557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1848560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848586 */     // MIs[0] policy
     /* 1848586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848596 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1848599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848620 */     // GIR_Coverage, 13545,
     /* 1848620 */     GIR_EraseRootFromParent_Done,
     /* 1848621 */   // Label 24970: @1848621
     /* 1848621 */   GIM_Try, /*On fail goto*//*Label 24971*/ GIMT_Encode4(1848707), // Rule ID 13546 //
     /* 1848626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1848634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1848637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1848640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1848643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1848646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848672 */     // MIs[0] policy
     /* 1848672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848682 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1848685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848706 */     // GIR_Coverage, 13546,
     /* 1848706 */     GIR_EraseRootFromParent_Done,
     /* 1848707 */   // Label 24971: @1848707
     /* 1848707 */   GIM_Try, /*On fail goto*//*Label 24972*/ GIMT_Encode4(1848793), // Rule ID 13549 //
     /* 1848712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1848720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1848723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1848726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1848729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1848732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848758 */     // MIs[0] policy
     /* 1848758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848768 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1848771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848792 */     // GIR_Coverage, 13549,
     /* 1848792 */     GIR_EraseRootFromParent_Done,
     /* 1848793 */   // Label 24972: @1848793
     /* 1848793 */   GIM_Try, /*On fail goto*//*Label 24973*/ GIMT_Encode4(1848879), // Rule ID 13550 //
     /* 1848798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1848806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1848809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1848812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1848815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1848818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848844 */     // MIs[0] policy
     /* 1848844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848854 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1848857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848878 */     // GIR_Coverage, 13550,
     /* 1848878 */     GIR_EraseRootFromParent_Done,
     /* 1848879 */   // Label 24973: @1848879
     /* 1848879 */   GIM_Try, /*On fail goto*//*Label 24974*/ GIMT_Encode4(1848965), // Rule ID 13553 //
     /* 1848884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1848892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1848895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1848898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1848901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1848904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848930 */     // MIs[0] policy
     /* 1848930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848940 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1848943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848964 */     // GIR_Coverage, 13553,
     /* 1848964 */     GIR_EraseRootFromParent_Done,
     /* 1848965 */   // Label 24974: @1848965
     /* 1848965 */   GIM_Try, /*On fail goto*//*Label 24975*/ GIMT_Encode4(1849051), // Rule ID 13554 //
     /* 1848970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1848978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1848981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1848984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1848987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1848990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849016 */     // MIs[0] policy
     /* 1849016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849026 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1849029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849050 */     // GIR_Coverage, 13554,
     /* 1849050 */     GIR_EraseRootFromParent_Done,
     /* 1849051 */   // Label 24975: @1849051
     /* 1849051 */   GIM_Try, /*On fail goto*//*Label 24976*/ GIMT_Encode4(1849137), // Rule ID 13557 //
     /* 1849056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1849067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1849070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1849073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1849076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849102 */     // MIs[0] policy
     /* 1849102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849112 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1849115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849136 */     // GIR_Coverage, 13557,
     /* 1849136 */     GIR_EraseRootFromParent_Done,
     /* 1849137 */   // Label 24976: @1849137
     /* 1849137 */   GIM_Try, /*On fail goto*//*Label 24977*/ GIMT_Encode4(1849223), // Rule ID 13558 //
     /* 1849142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1849153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1849156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1849159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1849162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849188 */     // MIs[0] policy
     /* 1849188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849198 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1849201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849222 */     // GIR_Coverage, 13558,
     /* 1849222 */     GIR_EraseRootFromParent_Done,
     /* 1849223 */   // Label 24977: @1849223
     /* 1849223 */   GIM_Try, /*On fail goto*//*Label 24978*/ GIMT_Encode4(1849309), // Rule ID 13561 //
     /* 1849228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1849239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1849242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1849245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1849248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849274 */     // MIs[0] policy
     /* 1849274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849284 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1849287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849308 */     // GIR_Coverage, 13561,
     /* 1849308 */     GIR_EraseRootFromParent_Done,
     /* 1849309 */   // Label 24978: @1849309
     /* 1849309 */   GIM_Try, /*On fail goto*//*Label 24979*/ GIMT_Encode4(1849395), // Rule ID 13562 //
     /* 1849314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1849325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1849328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1849331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1849334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849360 */     // MIs[0] policy
     /* 1849360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849370 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1849373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849394 */     // GIR_Coverage, 13562,
     /* 1849394 */     GIR_EraseRootFromParent_Done,
     /* 1849395 */   // Label 24979: @1849395
     /* 1849395 */   GIM_Try, /*On fail goto*//*Label 24980*/ GIMT_Encode4(1849481), // Rule ID 13565 //
     /* 1849400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1849403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1849411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1849414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1849417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1849420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849446 */     // MIs[0] policy
     /* 1849446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849456 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1849459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849480 */     // GIR_Coverage, 13565,
     /* 1849480 */     GIR_EraseRootFromParent_Done,
     /* 1849481 */   // Label 24980: @1849481
     /* 1849481 */   GIM_Try, /*On fail goto*//*Label 24981*/ GIMT_Encode4(1849567), // Rule ID 13566 //
     /* 1849486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1849489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1849497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1849500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1849503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1849506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849532 */     // MIs[0] policy
     /* 1849532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849542 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1849545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849566 */     // GIR_Coverage, 13566,
     /* 1849566 */     GIR_EraseRootFromParent_Done,
     /* 1849567 */   // Label 24981: @1849567
     /* 1849567 */   GIM_Try, /*On fail goto*//*Label 24982*/ GIMT_Encode4(1849653), // Rule ID 13569 //
     /* 1849572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1849575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1849583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1849586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1849589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1849592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849618 */     // MIs[0] policy
     /* 1849618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849628 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1849631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849652 */     // GIR_Coverage, 13569,
     /* 1849652 */     GIR_EraseRootFromParent_Done,
     /* 1849653 */   // Label 24982: @1849653
     /* 1849653 */   GIM_Try, /*On fail goto*//*Label 24983*/ GIMT_Encode4(1849739), // Rule ID 13570 //
     /* 1849658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1849661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1849669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1849672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1849675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1849678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849704 */     // MIs[0] policy
     /* 1849704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849714 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1849717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849738 */     // GIR_Coverage, 13570,
     /* 1849738 */     GIR_EraseRootFromParent_Done,
     /* 1849739 */   // Label 24983: @1849739
     /* 1849739 */   GIM_Try, /*On fail goto*//*Label 24984*/ GIMT_Encode4(1849825), // Rule ID 13573 //
     /* 1849744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1849747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1849755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1849758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1849761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1849764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849790 */     // MIs[0] policy
     /* 1849790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849800 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1849803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849824 */     // GIR_Coverage, 13573,
     /* 1849824 */     GIR_EraseRootFromParent_Done,
     /* 1849825 */   // Label 24984: @1849825
     /* 1849825 */   GIM_Try, /*On fail goto*//*Label 24985*/ GIMT_Encode4(1849911), // Rule ID 13574 //
     /* 1849830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1849833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1849841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1849844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1849847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1849850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849876 */     // MIs[0] policy
     /* 1849876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849886 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1849889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849910 */     // GIR_Coverage, 13574,
     /* 1849910 */     GIR_EraseRootFromParent_Done,
     /* 1849911 */   // Label 24985: @1849911
     /* 1849911 */   GIM_Try, /*On fail goto*//*Label 24986*/ GIMT_Encode4(1849997), // Rule ID 13577 //
     /* 1849916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1849919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1849924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1849927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1849930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1849933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1849936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849962 */     // MIs[0] policy
     /* 1849962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849972 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1849975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849996 */     // GIR_Coverage, 13577,
     /* 1849996 */     GIR_EraseRootFromParent_Done,
     /* 1849997 */   // Label 24986: @1849997
     /* 1849997 */   GIM_Try, /*On fail goto*//*Label 24987*/ GIMT_Encode4(1850083), // Rule ID 13578 //
     /* 1850002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1850005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1850013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1850016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1850019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1850022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850048 */     // MIs[0] policy
     /* 1850048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850058 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1850061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850082 */     // GIR_Coverage, 13578,
     /* 1850082 */     GIR_EraseRootFromParent_Done,
     /* 1850083 */   // Label 24987: @1850083
     /* 1850083 */   GIM_Try, /*On fail goto*//*Label 24988*/ GIMT_Encode4(1850169), // Rule ID 13581 //
     /* 1850088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1850099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1850102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1850108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850134 */     // MIs[0] policy
     /* 1850134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850144 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1850147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850168 */     // GIR_Coverage, 13581,
     /* 1850168 */     GIR_EraseRootFromParent_Done,
     /* 1850169 */   // Label 24988: @1850169
     /* 1850169 */   GIM_Try, /*On fail goto*//*Label 24989*/ GIMT_Encode4(1850255), // Rule ID 13582 //
     /* 1850174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1850185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1850188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1850194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850220 */     // MIs[0] policy
     /* 1850220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850230 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1850233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850254 */     // GIR_Coverage, 13582,
     /* 1850254 */     GIR_EraseRootFromParent_Done,
     /* 1850255 */   // Label 24989: @1850255
     /* 1850255 */   GIM_Try, /*On fail goto*//*Label 24990*/ GIMT_Encode4(1850341), // Rule ID 13585 //
     /* 1850260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1850271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1850274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1850280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850306 */     // MIs[0] policy
     /* 1850306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850316 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1850319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850340 */     // GIR_Coverage, 13585,
     /* 1850340 */     GIR_EraseRootFromParent_Done,
     /* 1850341 */   // Label 24990: @1850341
     /* 1850341 */   GIM_Try, /*On fail goto*//*Label 24991*/ GIMT_Encode4(1850427), // Rule ID 13586 //
     /* 1850346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1850357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1850360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1850366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850392 */     // MIs[0] policy
     /* 1850392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850402 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1850405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850426 */     // GIR_Coverage, 13586,
     /* 1850426 */     GIR_EraseRootFromParent_Done,
     /* 1850427 */   // Label 24991: @1850427
     /* 1850427 */   GIM_Try, /*On fail goto*//*Label 24992*/ GIMT_Encode4(1850513), // Rule ID 13589 //
     /* 1850432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1850443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1850446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1850452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850478 */     // MIs[0] policy
     /* 1850478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850488 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1850491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850512 */     // GIR_Coverage, 13589,
     /* 1850512 */     GIR_EraseRootFromParent_Done,
     /* 1850513 */   // Label 24992: @1850513
     /* 1850513 */   GIM_Try, /*On fail goto*//*Label 24993*/ GIMT_Encode4(1850599), // Rule ID 13590 //
     /* 1850518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1850529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1850532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1850538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850564 */     // MIs[0] policy
     /* 1850564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850574 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1850577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850598 */     // GIR_Coverage, 13590,
     /* 1850598 */     GIR_EraseRootFromParent_Done,
     /* 1850599 */   // Label 24993: @1850599
     /* 1850599 */   GIM_Try, /*On fail goto*//*Label 24994*/ GIMT_Encode4(1850685), // Rule ID 13593 //
     /* 1850604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1850615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1850618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1850624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850650 */     // MIs[0] policy
     /* 1850650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850660 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1850663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850684 */     // GIR_Coverage, 13593,
     /* 1850684 */     GIR_EraseRootFromParent_Done,
     /* 1850685 */   // Label 24994: @1850685
     /* 1850685 */   GIM_Try, /*On fail goto*//*Label 24995*/ GIMT_Encode4(1850771), // Rule ID 13594 //
     /* 1850690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1850701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1850704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1850710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850736 */     // MIs[0] policy
     /* 1850736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850746 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1850749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850770 */     // GIR_Coverage, 13594,
     /* 1850770 */     GIR_EraseRootFromParent_Done,
     /* 1850771 */   // Label 24995: @1850771
     /* 1850771 */   GIM_Try, /*On fail goto*//*Label 24996*/ GIMT_Encode4(1850857), // Rule ID 13597 //
     /* 1850776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1850787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1850790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1850796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1850799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850822 */     // MIs[0] policy
     /* 1850822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850832 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1850835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850856 */     // GIR_Coverage, 13597,
     /* 1850856 */     GIR_EraseRootFromParent_Done,
     /* 1850857 */   // Label 24996: @1850857
     /* 1850857 */   GIM_Try, /*On fail goto*//*Label 24997*/ GIMT_Encode4(1850943), // Rule ID 13598 //
     /* 1850862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1850873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1850876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1850882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1850885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850908 */     // MIs[0] policy
     /* 1850908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850918 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1850921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850942 */     // GIR_Coverage, 13598,
     /* 1850942 */     GIR_EraseRootFromParent_Done,
     /* 1850943 */   // Label 24997: @1850943
     /* 1850943 */   GIM_Try, /*On fail goto*//*Label 24998*/ GIMT_Encode4(1851029), // Rule ID 13601 //
     /* 1850948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1850956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1850959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1850962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1850968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1850971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850994 */     // MIs[0] policy
     /* 1850994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851004 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1851007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851028 */     // GIR_Coverage, 13601,
     /* 1851028 */     GIR_EraseRootFromParent_Done,
     /* 1851029 */   // Label 24998: @1851029
     /* 1851029 */   GIM_Try, /*On fail goto*//*Label 24999*/ GIMT_Encode4(1851115), // Rule ID 13602 //
     /* 1851034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1851045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1851048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1851054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1851057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851080 */     // MIs[0] policy
     /* 1851080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851090 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1851093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851114 */     // GIR_Coverage, 13602,
     /* 1851114 */     GIR_EraseRootFromParent_Done,
     /* 1851115 */   // Label 24999: @1851115
     /* 1851115 */   GIM_Try, /*On fail goto*//*Label 25000*/ GIMT_Encode4(1851201), // Rule ID 13605 //
     /* 1851120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1851131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1851134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1851140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851166 */     // MIs[0] policy
     /* 1851166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851176 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1851179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851200 */     // GIR_Coverage, 13605,
     /* 1851200 */     GIR_EraseRootFromParent_Done,
     /* 1851201 */   // Label 25000: @1851201
     /* 1851201 */   GIM_Try, /*On fail goto*//*Label 25001*/ GIMT_Encode4(1851287), // Rule ID 13606 //
     /* 1851206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1851217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1851220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1851226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851252 */     // MIs[0] policy
     /* 1851252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851262 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1851265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851286 */     // GIR_Coverage, 13606,
     /* 1851286 */     GIR_EraseRootFromParent_Done,
     /* 1851287 */   // Label 25001: @1851287
     /* 1851287 */   GIM_Try, /*On fail goto*//*Label 25002*/ GIMT_Encode4(1851373), // Rule ID 13609 //
     /* 1851292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1851303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1851306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1851312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851338 */     // MIs[0] policy
     /* 1851338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851348 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1851351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851372 */     // GIR_Coverage, 13609,
     /* 1851372 */     GIR_EraseRootFromParent_Done,
     /* 1851373 */   // Label 25002: @1851373
     /* 1851373 */   GIM_Try, /*On fail goto*//*Label 25003*/ GIMT_Encode4(1851459), // Rule ID 13610 //
     /* 1851378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1851389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1851392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1851398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851424 */     // MIs[0] policy
     /* 1851424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851434 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1851437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851458 */     // GIR_Coverage, 13610,
     /* 1851458 */     GIR_EraseRootFromParent_Done,
     /* 1851459 */   // Label 25003: @1851459
     /* 1851459 */   GIM_Try, /*On fail goto*//*Label 25004*/ GIMT_Encode4(1851545), // Rule ID 13613 //
     /* 1851464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1851475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1851478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1851484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851510 */     // MIs[0] policy
     /* 1851510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851520 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1851523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851544 */     // GIR_Coverage, 13613,
     /* 1851544 */     GIR_EraseRootFromParent_Done,
     /* 1851545 */   // Label 25004: @1851545
     /* 1851545 */   GIM_Try, /*On fail goto*//*Label 25005*/ GIMT_Encode4(1851631), // Rule ID 13614 //
     /* 1851550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1851561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1851564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1851570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851596 */     // MIs[0] policy
     /* 1851596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851606 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1851609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851630 */     // GIR_Coverage, 13614,
     /* 1851630 */     GIR_EraseRootFromParent_Done,
     /* 1851631 */   // Label 25005: @1851631
     /* 1851631 */   GIM_Try, /*On fail goto*//*Label 25006*/ GIMT_Encode4(1851717), // Rule ID 13617 //
     /* 1851636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1851647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1851650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1851656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851682 */     // MIs[0] policy
     /* 1851682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851692 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1851695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851716 */     // GIR_Coverage, 13617,
     /* 1851716 */     GIR_EraseRootFromParent_Done,
     /* 1851717 */   // Label 25006: @1851717
     /* 1851717 */   GIM_Try, /*On fail goto*//*Label 25007*/ GIMT_Encode4(1851803), // Rule ID 13618 //
     /* 1851722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1851733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1851736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1851742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851768 */     // MIs[0] policy
     /* 1851768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1851781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851802 */     // GIR_Coverage, 13618,
     /* 1851802 */     GIR_EraseRootFromParent_Done,
     /* 1851803 */   // Label 25007: @1851803
     /* 1851803 */   GIM_Try, /*On fail goto*//*Label 25008*/ GIMT_Encode4(1851889), // Rule ID 13621 //
     /* 1851808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1851819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1851822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1851828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1851831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851854 */     // MIs[0] policy
     /* 1851854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851864 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1851867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851888 */     // GIR_Coverage, 13621,
     /* 1851888 */     GIR_EraseRootFromParent_Done,
     /* 1851889 */   // Label 25008: @1851889
     /* 1851889 */   GIM_Try, /*On fail goto*//*Label 25009*/ GIMT_Encode4(1851975), // Rule ID 13622 //
     /* 1851894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1851905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1851908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1851914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1851917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851940 */     // MIs[0] policy
     /* 1851940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851950 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1851953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851974 */     // GIR_Coverage, 13622,
     /* 1851974 */     GIR_EraseRootFromParent_Done,
     /* 1851975 */   // Label 25009: @1851975
     /* 1851975 */   GIM_Try, /*On fail goto*//*Label 25010*/ GIMT_Encode4(1852061), // Rule ID 13625 //
     /* 1851980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1851983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1851988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1851991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1851994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1852000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852026 */     // MIs[0] policy
     /* 1852026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852036 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1852039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852060 */     // GIR_Coverage, 13625,
     /* 1852060 */     GIR_EraseRootFromParent_Done,
     /* 1852061 */   // Label 25010: @1852061
     /* 1852061 */   GIM_Try, /*On fail goto*//*Label 25011*/ GIMT_Encode4(1852147), // Rule ID 13626 //
     /* 1852066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1852069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1852077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1852080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1852086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852112 */     // MIs[0] policy
     /* 1852112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852122 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1852125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852146 */     // GIR_Coverage, 13626,
     /* 1852146 */     GIR_EraseRootFromParent_Done,
     /* 1852147 */   // Label 25011: @1852147
     /* 1852147 */   GIM_Try, /*On fail goto*//*Label 25012*/ GIMT_Encode4(1852233), // Rule ID 13629 //
     /* 1852152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1852155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1852163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1852166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1852172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852198 */     // MIs[0] policy
     /* 1852198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852208 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1852211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852232 */     // GIR_Coverage, 13629,
     /* 1852232 */     GIR_EraseRootFromParent_Done,
     /* 1852233 */   // Label 25012: @1852233
     /* 1852233 */   GIM_Try, /*On fail goto*//*Label 25013*/ GIMT_Encode4(1852319), // Rule ID 13630 //
     /* 1852238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1852241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1852249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1852252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1852258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852284 */     // MIs[0] policy
     /* 1852284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852294 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1852297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852318 */     // GIR_Coverage, 13630,
     /* 1852318 */     GIR_EraseRootFromParent_Done,
     /* 1852319 */   // Label 25013: @1852319
     /* 1852319 */   GIM_Try, /*On fail goto*//*Label 25014*/ GIMT_Encode4(1852405), // Rule ID 13633 //
     /* 1852324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1852327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1852335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1852338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1852344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852370 */     // MIs[0] policy
     /* 1852370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852380 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1852383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852404 */     // GIR_Coverage, 13633,
     /* 1852404 */     GIR_EraseRootFromParent_Done,
     /* 1852405 */   // Label 25014: @1852405
     /* 1852405 */   GIM_Try, /*On fail goto*//*Label 25015*/ GIMT_Encode4(1852491), // Rule ID 13634 //
     /* 1852410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1852413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1852421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1852424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1852430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852456 */     // MIs[0] policy
     /* 1852456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852466 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1852469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852490 */     // GIR_Coverage, 13634,
     /* 1852490 */     GIR_EraseRootFromParent_Done,
     /* 1852491 */   // Label 25015: @1852491
     /* 1852491 */   GIM_Try, /*On fail goto*//*Label 25016*/ GIMT_Encode4(1852577), // Rule ID 13637 //
     /* 1852496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1852499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1852507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1852510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1852516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852542 */     // MIs[0] policy
     /* 1852542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852552 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1852555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852576 */     // GIR_Coverage, 13637,
     /* 1852576 */     GIR_EraseRootFromParent_Done,
     /* 1852577 */   // Label 25016: @1852577
     /* 1852577 */   GIM_Try, /*On fail goto*//*Label 25017*/ GIMT_Encode4(1852663), // Rule ID 13638 //
     /* 1852582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1852585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1852590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1852593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1852596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1852602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852628 */     // MIs[0] policy
     /* 1852628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852638 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1852641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852662 */     // GIR_Coverage, 13638,
     /* 1852662 */     GIR_EraseRootFromParent_Done,
     /* 1852663 */   // Label 25017: @1852663
     /* 1852663 */   GIM_Try, /*On fail goto*//*Label 25018*/ GIMT_Encode4(1852749), // Rule ID 13641 //
     /* 1852668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1852676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1852679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1852682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1852688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852714 */     // MIs[0] policy
     /* 1852714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852724 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1852727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852748 */     // GIR_Coverage, 13641,
     /* 1852748 */     GIR_EraseRootFromParent_Done,
     /* 1852749 */   // Label 25018: @1852749
     /* 1852749 */   GIM_Try, /*On fail goto*//*Label 25019*/ GIMT_Encode4(1852835), // Rule ID 13642 //
     /* 1852754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1852762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1852765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1852768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1852774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852800 */     // MIs[0] policy
     /* 1852800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852810 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1852813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852834 */     // GIR_Coverage, 13642,
     /* 1852834 */     GIR_EraseRootFromParent_Done,
     /* 1852835 */   // Label 25019: @1852835
     /* 1852835 */   GIM_Try, /*On fail goto*//*Label 25020*/ GIMT_Encode4(1852921), // Rule ID 13645 //
     /* 1852840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1852848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1852851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1852854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1852860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852886 */     // MIs[0] policy
     /* 1852886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852896 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1852899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852920 */     // GIR_Coverage, 13645,
     /* 1852920 */     GIR_EraseRootFromParent_Done,
     /* 1852921 */   // Label 25020: @1852921
     /* 1852921 */   GIM_Try, /*On fail goto*//*Label 25021*/ GIMT_Encode4(1853007), // Rule ID 13646 //
     /* 1852926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1852934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1852937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1852940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1852946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852972 */     // MIs[0] policy
     /* 1852972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852982 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1852985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853006 */     // GIR_Coverage, 13646,
     /* 1853006 */     GIR_EraseRootFromParent_Done,
     /* 1853007 */   // Label 25021: @1853007
     /* 1853007 */   GIM_Try, /*On fail goto*//*Label 25022*/ GIMT_Encode4(1853093), // Rule ID 13649 //
     /* 1853012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1853020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1853023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1853026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1853032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853058 */     // MIs[0] policy
     /* 1853058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853068 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1853071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853092 */     // GIR_Coverage, 13649,
     /* 1853092 */     GIR_EraseRootFromParent_Done,
     /* 1853093 */   // Label 25022: @1853093
     /* 1853093 */   GIM_Try, /*On fail goto*//*Label 25023*/ GIMT_Encode4(1853179), // Rule ID 13650 //
     /* 1853098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1853106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1853109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1853112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1853118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853144 */     // MIs[0] policy
     /* 1853144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853154 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1853157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853178 */     // GIR_Coverage, 13650,
     /* 1853178 */     GIR_EraseRootFromParent_Done,
     /* 1853179 */   // Label 25023: @1853179
     /* 1853179 */   GIM_Try, /*On fail goto*//*Label 25024*/ GIMT_Encode4(1853265), // Rule ID 13653 //
     /* 1853184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1853192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1853195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1853198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1853204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853230 */     // MIs[0] policy
     /* 1853230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853240 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1853243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853264 */     // GIR_Coverage, 13653,
     /* 1853264 */     GIR_EraseRootFromParent_Done,
     /* 1853265 */   // Label 25024: @1853265
     /* 1853265 */   GIM_Try, /*On fail goto*//*Label 25025*/ GIMT_Encode4(1853351), // Rule ID 13654 //
     /* 1853270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1853278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1853281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1853284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1853290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853316 */     // MIs[0] policy
     /* 1853316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853326 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1853329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853350 */     // GIR_Coverage, 13654,
     /* 1853350 */     GIR_EraseRootFromParent_Done,
     /* 1853351 */   // Label 25025: @1853351
     /* 1853351 */   GIM_Try, /*On fail goto*//*Label 25026*/ GIMT_Encode4(1853437), // Rule ID 13657 //
     /* 1853356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1853364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1853367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1853370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1853376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853402 */     // MIs[0] policy
     /* 1853402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853412 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1853415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853436 */     // GIR_Coverage, 13657,
     /* 1853436 */     GIR_EraseRootFromParent_Done,
     /* 1853437 */   // Label 25026: @1853437
     /* 1853437 */   GIM_Try, /*On fail goto*//*Label 25027*/ GIMT_Encode4(1853523), // Rule ID 13658 //
     /* 1853442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1853450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1853453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1853456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1853462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853488 */     // MIs[0] policy
     /* 1853488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853498 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1853501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853522 */     // GIR_Coverage, 13658,
     /* 1853522 */     GIR_EraseRootFromParent_Done,
     /* 1853523 */   // Label 25027: @1853523
     /* 1853523 */   GIM_Try, /*On fail goto*//*Label 25028*/ GIMT_Encode4(1853609), // Rule ID 13661 //
     /* 1853528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1853536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1853539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1853542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1853548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1853551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853574 */     // MIs[0] policy
     /* 1853574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853584 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1853587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853608 */     // GIR_Coverage, 13661,
     /* 1853608 */     GIR_EraseRootFromParent_Done,
     /* 1853609 */   // Label 25028: @1853609
     /* 1853609 */   GIM_Try, /*On fail goto*//*Label 25029*/ GIMT_Encode4(1853695), // Rule ID 13662 //
     /* 1853614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1853622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1853625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1853628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1853634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1853637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853660 */     // MIs[0] policy
     /* 1853660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853670 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1853673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853694 */     // GIR_Coverage, 13662,
     /* 1853694 */     GIR_EraseRootFromParent_Done,
     /* 1853695 */   // Label 25029: @1853695
     /* 1853695 */   GIM_Try, /*On fail goto*//*Label 25030*/ GIMT_Encode4(1853781), // Rule ID 13665 //
     /* 1853700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1853708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1853711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1853714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1853720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853746 */     // MIs[0] policy
     /* 1853746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853756 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1853759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853780 */     // GIR_Coverage, 13665,
     /* 1853780 */     GIR_EraseRootFromParent_Done,
     /* 1853781 */   // Label 25030: @1853781
     /* 1853781 */   GIM_Try, /*On fail goto*//*Label 25031*/ GIMT_Encode4(1853867), // Rule ID 13666 //
     /* 1853786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1853794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1853797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1853800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1853806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853832 */     // MIs[0] policy
     /* 1853832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853842 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1853845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853866 */     // GIR_Coverage, 13666,
     /* 1853866 */     GIR_EraseRootFromParent_Done,
     /* 1853867 */   // Label 25031: @1853867
     /* 1853867 */   GIM_Try, /*On fail goto*//*Label 25032*/ GIMT_Encode4(1853953), // Rule ID 13669 //
     /* 1853872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1853880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1853883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1853886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1853892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853918 */     // MIs[0] policy
     /* 1853918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1853931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853952 */     // GIR_Coverage, 13669,
     /* 1853952 */     GIR_EraseRootFromParent_Done,
     /* 1853953 */   // Label 25032: @1853953
     /* 1853953 */   GIM_Try, /*On fail goto*//*Label 25033*/ GIMT_Encode4(1854039), // Rule ID 13670 //
     /* 1853958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1853966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1853969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1853972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1853978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854004 */     // MIs[0] policy
     /* 1854004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854014 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1854017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854038 */     // GIR_Coverage, 13670,
     /* 1854038 */     GIR_EraseRootFromParent_Done,
     /* 1854039 */   // Label 25033: @1854039
     /* 1854039 */   GIM_Try, /*On fail goto*//*Label 25034*/ GIMT_Encode4(1854125), // Rule ID 13673 //
     /* 1854044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1854055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1854058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1854064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854090 */     // MIs[0] policy
     /* 1854090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854100 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1854103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854124 */     // GIR_Coverage, 13673,
     /* 1854124 */     GIR_EraseRootFromParent_Done,
     /* 1854125 */   // Label 25034: @1854125
     /* 1854125 */   GIM_Try, /*On fail goto*//*Label 25035*/ GIMT_Encode4(1854211), // Rule ID 13674 //
     /* 1854130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1854141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1854144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1854150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854176 */     // MIs[0] policy
     /* 1854176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854186 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1854189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854210 */     // GIR_Coverage, 13674,
     /* 1854210 */     GIR_EraseRootFromParent_Done,
     /* 1854211 */   // Label 25035: @1854211
     /* 1854211 */   GIM_Try, /*On fail goto*//*Label 25036*/ GIMT_Encode4(1854297), // Rule ID 13677 //
     /* 1854216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1854227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1854230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1854236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854262 */     // MIs[0] policy
     /* 1854262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854272 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1854275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854296 */     // GIR_Coverage, 13677,
     /* 1854296 */     GIR_EraseRootFromParent_Done,
     /* 1854297 */   // Label 25036: @1854297
     /* 1854297 */   GIM_Try, /*On fail goto*//*Label 25037*/ GIMT_Encode4(1854383), // Rule ID 13678 //
     /* 1854302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1854313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1854316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1854322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854348 */     // MIs[0] policy
     /* 1854348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854358 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1854361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854382 */     // GIR_Coverage, 13678,
     /* 1854382 */     GIR_EraseRootFromParent_Done,
     /* 1854383 */   // Label 25037: @1854383
     /* 1854383 */   GIM_Try, /*On fail goto*//*Label 25038*/ GIMT_Encode4(1854469), // Rule ID 13681 //
     /* 1854388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1854399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1854402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1854408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1854411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854434 */     // MIs[0] policy
     /* 1854434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854444 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1854447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854468 */     // GIR_Coverage, 13681,
     /* 1854468 */     GIR_EraseRootFromParent_Done,
     /* 1854469 */   // Label 25038: @1854469
     /* 1854469 */   GIM_Try, /*On fail goto*//*Label 25039*/ GIMT_Encode4(1854555), // Rule ID 13682 //
     /* 1854474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1854485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1854488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1854494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1854497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854520 */     // MIs[0] policy
     /* 1854520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854530 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1854533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854554 */     // GIR_Coverage, 13682,
     /* 1854554 */     GIR_EraseRootFromParent_Done,
     /* 1854555 */   // Label 25039: @1854555
     /* 1854555 */   GIM_Try, /*On fail goto*//*Label 25040*/ GIMT_Encode4(1854641), // Rule ID 13685 //
     /* 1854560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1854563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1854571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1854574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1854580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854606 */     // MIs[0] policy
     /* 1854606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854616 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1854619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854640 */     // GIR_Coverage, 13685,
     /* 1854640 */     GIR_EraseRootFromParent_Done,
     /* 1854641 */   // Label 25040: @1854641
     /* 1854641 */   GIM_Try, /*On fail goto*//*Label 25041*/ GIMT_Encode4(1854727), // Rule ID 13686 //
     /* 1854646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1854649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1854657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1854660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1854666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854692 */     // MIs[0] policy
     /* 1854692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854702 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1854705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854726 */     // GIR_Coverage, 13686,
     /* 1854726 */     GIR_EraseRootFromParent_Done,
     /* 1854727 */   // Label 25041: @1854727
     /* 1854727 */   GIM_Try, /*On fail goto*//*Label 25042*/ GIMT_Encode4(1854813), // Rule ID 13689 //
     /* 1854732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1854735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1854743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1854746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1854752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854778 */     // MIs[0] policy
     /* 1854778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854788 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1854791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854812 */     // GIR_Coverage, 13689,
     /* 1854812 */     GIR_EraseRootFromParent_Done,
     /* 1854813 */   // Label 25042: @1854813
     /* 1854813 */   GIM_Try, /*On fail goto*//*Label 25043*/ GIMT_Encode4(1854899), // Rule ID 13690 //
     /* 1854818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1854821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1854829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1854832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1854838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854864 */     // MIs[0] policy
     /* 1854864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854874 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1854877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854898 */     // GIR_Coverage, 13690,
     /* 1854898 */     GIR_EraseRootFromParent_Done,
     /* 1854899 */   // Label 25043: @1854899
     /* 1854899 */   GIM_Try, /*On fail goto*//*Label 25044*/ GIMT_Encode4(1854985), // Rule ID 13693 //
     /* 1854904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1854907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1854915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1854918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1854924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854950 */     // MIs[0] policy
     /* 1854950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854960 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1854963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854984 */     // GIR_Coverage, 13693,
     /* 1854984 */     GIR_EraseRootFromParent_Done,
     /* 1854985 */   // Label 25044: @1854985
     /* 1854985 */   GIM_Try, /*On fail goto*//*Label 25045*/ GIMT_Encode4(1855071), // Rule ID 13694 //
     /* 1854990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1854993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1854998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1855001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1855004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1855010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855036 */     // MIs[0] policy
     /* 1855036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855046 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1855049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855070 */     // GIR_Coverage, 13694,
     /* 1855070 */     GIR_EraseRootFromParent_Done,
     /* 1855071 */   // Label 25045: @1855071
     /* 1855071 */   GIM_Try, /*On fail goto*//*Label 25046*/ GIMT_Encode4(1855157), // Rule ID 13697 //
     /* 1855076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1855079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1855087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1855090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1855093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1855096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855122 */     // MIs[0] policy
     /* 1855122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855132 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1855135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855156 */     // GIR_Coverage, 13697,
     /* 1855156 */     GIR_EraseRootFromParent_Done,
     /* 1855157 */   // Label 25046: @1855157
     /* 1855157 */   GIM_Try, /*On fail goto*//*Label 25047*/ GIMT_Encode4(1855243), // Rule ID 13698 //
     /* 1855162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1855165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1855170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1855173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1855176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1855179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1855182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855208 */     // MIs[0] policy
     /* 1855208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855218 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1855221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855242 */     // GIR_Coverage, 13698,
     /* 1855242 */     GIR_EraseRootFromParent_Done,
     /* 1855243 */   // Label 25047: @1855243
     /* 1855243 */   GIM_Try, /*On fail goto*//*Label 25048*/ GIMT_Encode4(1855332), // Rule ID 13907 //
     /* 1855248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1855259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1855262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1855265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1855268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855294 */     // MIs[0] policy
     /* 1855294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855304 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1855307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1855330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855331 */     // GIR_Coverage, 13907,
     /* 1855331 */     GIR_EraseRootFromParent_Done,
     /* 1855332 */   // Label 25048: @1855332
     /* 1855332 */   GIM_Try, /*On fail goto*//*Label 25049*/ GIMT_Encode4(1855421), // Rule ID 13908 //
     /* 1855337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1855348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1855351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1855354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1855357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855383 */     // MIs[0] policy
     /* 1855383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855393 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1855396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1855419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855420 */     // GIR_Coverage, 13908,
     /* 1855420 */     GIR_EraseRootFromParent_Done,
     /* 1855421 */   // Label 25049: @1855421
     /* 1855421 */   GIM_Try, /*On fail goto*//*Label 25050*/ GIMT_Encode4(1855510), // Rule ID 13911 //
     /* 1855426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1855437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1855440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1855443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1855446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855472 */     // MIs[0] policy
     /* 1855472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855482 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1855485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1855508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855509 */     // GIR_Coverage, 13911,
     /* 1855509 */     GIR_EraseRootFromParent_Done,
     /* 1855510 */   // Label 25050: @1855510
     /* 1855510 */   GIM_Try, /*On fail goto*//*Label 25051*/ GIMT_Encode4(1855599), // Rule ID 13912 //
     /* 1855515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1855526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1855529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1855532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1855535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855561 */     // MIs[0] policy
     /* 1855561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855571 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1855574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1855597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855598 */     // GIR_Coverage, 13912,
     /* 1855598 */     GIR_EraseRootFromParent_Done,
     /* 1855599 */   // Label 25051: @1855599
     /* 1855599 */   GIM_Try, /*On fail goto*//*Label 25052*/ GIMT_Encode4(1855688), // Rule ID 13915 //
     /* 1855604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1855615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1855618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1855621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1855624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855650 */     // MIs[0] policy
     /* 1855650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855660 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1855663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1855686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855687 */     // GIR_Coverage, 13915,
     /* 1855687 */     GIR_EraseRootFromParent_Done,
     /* 1855688 */   // Label 25052: @1855688
     /* 1855688 */   GIM_Try, /*On fail goto*//*Label 25053*/ GIMT_Encode4(1855777), // Rule ID 13916 //
     /* 1855693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1855704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1855707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1855710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1855713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855739 */     // MIs[0] policy
     /* 1855739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855749 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1855752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855772 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1855775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855776 */     // GIR_Coverage, 13916,
     /* 1855776 */     GIR_EraseRootFromParent_Done,
     /* 1855777 */   // Label 25053: @1855777
     /* 1855777 */   GIM_Try, /*On fail goto*//*Label 25054*/ GIMT_Encode4(1855866), // Rule ID 13919 //
     /* 1855782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1855793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1855796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1855799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1855802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855828 */     // MIs[0] policy
     /* 1855828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855838 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1855841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1855864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855865 */     // GIR_Coverage, 13919,
     /* 1855865 */     GIR_EraseRootFromParent_Done,
     /* 1855866 */   // Label 25054: @1855866
     /* 1855866 */   GIM_Try, /*On fail goto*//*Label 25055*/ GIMT_Encode4(1855955), // Rule ID 13920 //
     /* 1855871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1855882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1855885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1855888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1855891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855917 */     // MIs[0] policy
     /* 1855917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855927 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1855930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1855953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855954 */     // GIR_Coverage, 13920,
     /* 1855954 */     GIR_EraseRootFromParent_Done,
     /* 1855955 */   // Label 25055: @1855955
     /* 1855955 */   GIM_Try, /*On fail goto*//*Label 25056*/ GIMT_Encode4(1856044), // Rule ID 13923 //
     /* 1855960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1855971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1855974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1855977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1855980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856006 */     // MIs[0] policy
     /* 1856006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856016 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1856019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856039 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856043 */     // GIR_Coverage, 13923,
     /* 1856043 */     GIR_EraseRootFromParent_Done,
     /* 1856044 */   // Label 25056: @1856044
     /* 1856044 */   GIM_Try, /*On fail goto*//*Label 25057*/ GIMT_Encode4(1856133), // Rule ID 13924 //
     /* 1856049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1856060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1856063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1856066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1856069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856095 */     // MIs[0] policy
     /* 1856095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856105 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1856108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856128 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856132 */     // GIR_Coverage, 13924,
     /* 1856132 */     GIR_EraseRootFromParent_Done,
     /* 1856133 */   // Label 25057: @1856133
     /* 1856133 */   GIM_Try, /*On fail goto*//*Label 25058*/ GIMT_Encode4(1856222), // Rule ID 13927 //
     /* 1856138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1856149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1856152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1856155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1856158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856184 */     // MIs[0] policy
     /* 1856184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856194 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1856197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856217 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856221 */     // GIR_Coverage, 13927,
     /* 1856221 */     GIR_EraseRootFromParent_Done,
     /* 1856222 */   // Label 25058: @1856222
     /* 1856222 */   GIM_Try, /*On fail goto*//*Label 25059*/ GIMT_Encode4(1856311), // Rule ID 13928 //
     /* 1856227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1856238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1856241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1856244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1856247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856273 */     // MIs[0] policy
     /* 1856273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856283 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1856286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856310 */     // GIR_Coverage, 13928,
     /* 1856310 */     GIR_EraseRootFromParent_Done,
     /* 1856311 */   // Label 25059: @1856311
     /* 1856311 */   GIM_Try, /*On fail goto*//*Label 25060*/ GIMT_Encode4(1856400), // Rule ID 13931 //
     /* 1856316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1856327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1856330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1856333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1856336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856362 */     // MIs[0] policy
     /* 1856362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1856375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856395 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856399 */     // GIR_Coverage, 13931,
     /* 1856399 */     GIR_EraseRootFromParent_Done,
     /* 1856400 */   // Label 25060: @1856400
     /* 1856400 */   GIM_Try, /*On fail goto*//*Label 25061*/ GIMT_Encode4(1856489), // Rule ID 13932 //
     /* 1856405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1856416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1856419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1856422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1856425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856451 */     // MIs[0] policy
     /* 1856451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856461 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1856464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856488 */     // GIR_Coverage, 13932,
     /* 1856488 */     GIR_EraseRootFromParent_Done,
     /* 1856489 */   // Label 25061: @1856489
     /* 1856489 */   GIM_Try, /*On fail goto*//*Label 25062*/ GIMT_Encode4(1856578), // Rule ID 13935 //
     /* 1856494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1856505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1856508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1856511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1856514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856540 */     // MIs[0] policy
     /* 1856540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856550 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1856553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856577 */     // GIR_Coverage, 13935,
     /* 1856577 */     GIR_EraseRootFromParent_Done,
     /* 1856578 */   // Label 25062: @1856578
     /* 1856578 */   GIM_Try, /*On fail goto*//*Label 25063*/ GIMT_Encode4(1856667), // Rule ID 13936 //
     /* 1856583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1856594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1856597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1856600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1856603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856629 */     // MIs[0] policy
     /* 1856629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856639 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1856642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856666 */     // GIR_Coverage, 13936,
     /* 1856666 */     GIR_EraseRootFromParent_Done,
     /* 1856667 */   // Label 25063: @1856667
     /* 1856667 */   GIM_Try, /*On fail goto*//*Label 25064*/ GIMT_Encode4(1856756), // Rule ID 13939 //
     /* 1856672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1856683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1856686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1856689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1856692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856718 */     // MIs[0] policy
     /* 1856718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1856731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856755 */     // GIR_Coverage, 13939,
     /* 1856755 */     GIR_EraseRootFromParent_Done,
     /* 1856756 */   // Label 25064: @1856756
     /* 1856756 */   GIM_Try, /*On fail goto*//*Label 25065*/ GIMT_Encode4(1856845), // Rule ID 13940 //
     /* 1856761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1856772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1856775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1856778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1856781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856807 */     // MIs[0] policy
     /* 1856807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856817 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1856820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856844 */     // GIR_Coverage, 13940,
     /* 1856844 */     GIR_EraseRootFromParent_Done,
     /* 1856845 */   // Label 25065: @1856845
     /* 1856845 */   GIM_Try, /*On fail goto*//*Label 25066*/ GIMT_Encode4(1856934), // Rule ID 13943 //
     /* 1856850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1856853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1856861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1856864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1856867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1856870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856896 */     // MIs[0] policy
     /* 1856896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856906 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1856909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1856927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856933 */     // GIR_Coverage, 13943,
     /* 1856933 */     GIR_EraseRootFromParent_Done,
     /* 1856934 */   // Label 25066: @1856934
     /* 1856934 */   GIM_Try, /*On fail goto*//*Label 25067*/ GIMT_Encode4(1857023), // Rule ID 13944 //
     /* 1856939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1856942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1856950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1856953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1856956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1856959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856985 */     // MIs[0] policy
     /* 1856985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856995 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1856998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1857016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857022 */     // GIR_Coverage, 13944,
     /* 1857022 */     GIR_EraseRootFromParent_Done,
     /* 1857023 */   // Label 25067: @1857023
     /* 1857023 */   GIM_Try, /*On fail goto*//*Label 25068*/ GIMT_Encode4(1857112), // Rule ID 13947 //
     /* 1857028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1857039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1857042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1857045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1857048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1857051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857074 */     // MIs[0] policy
     /* 1857074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857084 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1857087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857111 */     // GIR_Coverage, 13947,
     /* 1857111 */     GIR_EraseRootFromParent_Done,
     /* 1857112 */   // Label 25068: @1857112
     /* 1857112 */   GIM_Try, /*On fail goto*//*Label 25069*/ GIMT_Encode4(1857201), // Rule ID 13948 //
     /* 1857117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1857128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1857131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1857134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1857137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1857140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857163 */     // MIs[0] policy
     /* 1857163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857173 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1857176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857200 */     // GIR_Coverage, 13948,
     /* 1857200 */     GIR_EraseRootFromParent_Done,
     /* 1857201 */   // Label 25069: @1857201
     /* 1857201 */   GIM_Try, /*On fail goto*//*Label 25070*/ GIMT_Encode4(1857290), // Rule ID 13951 //
     /* 1857206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1857217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1857220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1857223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1857226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1857229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857252 */     // MIs[0] policy
     /* 1857252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857262 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1857265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857289 */     // GIR_Coverage, 13951,
     /* 1857289 */     GIR_EraseRootFromParent_Done,
     /* 1857290 */   // Label 25070: @1857290
     /* 1857290 */   GIM_Try, /*On fail goto*//*Label 25071*/ GIMT_Encode4(1857379), // Rule ID 13952 //
     /* 1857295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1857306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1857309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1857312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1857315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1857318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857341 */     // MIs[0] policy
     /* 1857341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857351 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1857354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857378 */     // GIR_Coverage, 13952,
     /* 1857378 */     GIR_EraseRootFromParent_Done,
     /* 1857379 */   // Label 25071: @1857379
     /* 1857379 */   GIM_Try, /*On fail goto*//*Label 25072*/ GIMT_Encode4(1857468), // Rule ID 13955 //
     /* 1857384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1857395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1857398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1857401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1857404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1857407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857430 */     // MIs[0] policy
     /* 1857430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857440 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1857443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857463 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857467 */     // GIR_Coverage, 13955,
     /* 1857467 */     GIR_EraseRootFromParent_Done,
     /* 1857468 */   // Label 25072: @1857468
     /* 1857468 */   GIM_Try, /*On fail goto*//*Label 25073*/ GIMT_Encode4(1857557), // Rule ID 13956 //
     /* 1857473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1857484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1857487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1857490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1857493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1857496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857519 */     // MIs[0] policy
     /* 1857519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857529 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1857532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857556 */     // GIR_Coverage, 13956,
     /* 1857556 */     GIR_EraseRootFromParent_Done,
     /* 1857557 */   // Label 25073: @1857557
     /* 1857557 */   GIM_Try, /*On fail goto*//*Label 25074*/ GIMT_Encode4(1857646), // Rule ID 13959 //
     /* 1857562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1857573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1857576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1857579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1857582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857608 */     // MIs[0] policy
     /* 1857608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857618 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1857621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857641 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857645 */     // GIR_Coverage, 13959,
     /* 1857645 */     GIR_EraseRootFromParent_Done,
     /* 1857646 */   // Label 25074: @1857646
     /* 1857646 */   GIM_Try, /*On fail goto*//*Label 25075*/ GIMT_Encode4(1857735), // Rule ID 13960 //
     /* 1857651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1857662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1857665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1857668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1857671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857697 */     // MIs[0] policy
     /* 1857697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857707 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1857710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857730 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857734 */     // GIR_Coverage, 13960,
     /* 1857734 */     GIR_EraseRootFromParent_Done,
     /* 1857735 */   // Label 25075: @1857735
     /* 1857735 */   GIM_Try, /*On fail goto*//*Label 25076*/ GIMT_Encode4(1857824), // Rule ID 13963 //
     /* 1857740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1857751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1857754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1857757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1857760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1857763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857786 */     // MIs[0] policy
     /* 1857786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1857799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857823 */     // GIR_Coverage, 13963,
     /* 1857823 */     GIR_EraseRootFromParent_Done,
     /* 1857824 */   // Label 25076: @1857824
     /* 1857824 */   GIM_Try, /*On fail goto*//*Label 25077*/ GIMT_Encode4(1857913), // Rule ID 13964 //
     /* 1857829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1857840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1857843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1857846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1857849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1857852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857875 */     // MIs[0] policy
     /* 1857875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857885 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1857888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857908 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857912 */     // GIR_Coverage, 13964,
     /* 1857912 */     GIR_EraseRootFromParent_Done,
     /* 1857913 */   // Label 25077: @1857913
     /* 1857913 */   GIM_Try, /*On fail goto*//*Label 25078*/ GIMT_Encode4(1858002), // Rule ID 13967 //
     /* 1857918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1857929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1857932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1857935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1857938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1857941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857964 */     // MIs[0] policy
     /* 1857964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857974 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1857977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858001 */     // GIR_Coverage, 13967,
     /* 1858001 */     GIR_EraseRootFromParent_Done,
     /* 1858002 */   // Label 25078: @1858002
     /* 1858002 */   GIM_Try, /*On fail goto*//*Label 25079*/ GIMT_Encode4(1858091), // Rule ID 13968 //
     /* 1858007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1858018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1858021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1858024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1858027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1858030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858053 */     // MIs[0] policy
     /* 1858053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858063 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1858066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858090 */     // GIR_Coverage, 13968,
     /* 1858090 */     GIR_EraseRootFromParent_Done,
     /* 1858091 */   // Label 25079: @1858091
     /* 1858091 */   GIM_Try, /*On fail goto*//*Label 25080*/ GIMT_Encode4(1858180), // Rule ID 13971 //
     /* 1858096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1858107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1858110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1858113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1858116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858142 */     // MIs[0] policy
     /* 1858142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858152 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1858155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858175 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858179 */     // GIR_Coverage, 13971,
     /* 1858179 */     GIR_EraseRootFromParent_Done,
     /* 1858180 */   // Label 25080: @1858180
     /* 1858180 */   GIM_Try, /*On fail goto*//*Label 25081*/ GIMT_Encode4(1858269), // Rule ID 13972 //
     /* 1858185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1858196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1858199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1858202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1858205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858231 */     // MIs[0] policy
     /* 1858231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858241 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1858244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858264 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858268 */     // GIR_Coverage, 13972,
     /* 1858268 */     GIR_EraseRootFromParent_Done,
     /* 1858269 */   // Label 25081: @1858269
     /* 1858269 */   GIM_Try, /*On fail goto*//*Label 25082*/ GIMT_Encode4(1858358), // Rule ID 13975 //
     /* 1858274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1858285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1858288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1858291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1858294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858320 */     // MIs[0] policy
     /* 1858320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858330 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1858333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858353 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858357 */     // GIR_Coverage, 13975,
     /* 1858357 */     GIR_EraseRootFromParent_Done,
     /* 1858358 */   // Label 25082: @1858358
     /* 1858358 */   GIM_Try, /*On fail goto*//*Label 25083*/ GIMT_Encode4(1858447), // Rule ID 13976 //
     /* 1858363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1858374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1858377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1858380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1858383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858409 */     // MIs[0] policy
     /* 1858409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858419 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1858422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858446 */     // GIR_Coverage, 13976,
     /* 1858446 */     GIR_EraseRootFromParent_Done,
     /* 1858447 */   // Label 25083: @1858447
     /* 1858447 */   GIM_Try, /*On fail goto*//*Label 25084*/ GIMT_Encode4(1858536), // Rule ID 13979 //
     /* 1858452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1858463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1858466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1858469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1858472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1858475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858498 */     // MIs[0] policy
     /* 1858498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858508 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1858511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858535 */     // GIR_Coverage, 13979,
     /* 1858535 */     GIR_EraseRootFromParent_Done,
     /* 1858536 */   // Label 25084: @1858536
     /* 1858536 */   GIM_Try, /*On fail goto*//*Label 25085*/ GIMT_Encode4(1858625), // Rule ID 13980 //
     /* 1858541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1858552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1858555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1858558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1858561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1858564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858587 */     // MIs[0] policy
     /* 1858587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858597 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1858600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858624 */     // GIR_Coverage, 13980,
     /* 1858624 */     GIR_EraseRootFromParent_Done,
     /* 1858625 */   // Label 25085: @1858625
     /* 1858625 */   GIM_Try, /*On fail goto*//*Label 25086*/ GIMT_Encode4(1858714), // Rule ID 13983 //
     /* 1858630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1858633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1858641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1858644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1858647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1858650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858676 */     // MIs[0] policy
     /* 1858676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858686 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1858689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858713 */     // GIR_Coverage, 13983,
     /* 1858713 */     GIR_EraseRootFromParent_Done,
     /* 1858714 */   // Label 25086: @1858714
     /* 1858714 */   GIM_Try, /*On fail goto*//*Label 25087*/ GIMT_Encode4(1858803), // Rule ID 13984 //
     /* 1858719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1858722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1858730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1858733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1858736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1858739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858765 */     // MIs[0] policy
     /* 1858765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858775 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1858778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858802 */     // GIR_Coverage, 13984,
     /* 1858802 */     GIR_EraseRootFromParent_Done,
     /* 1858803 */   // Label 25087: @1858803
     /* 1858803 */   GIM_Try, /*On fail goto*//*Label 25088*/ GIMT_Encode4(1858892), // Rule ID 13987 //
     /* 1858808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1858811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1858819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1858822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1858825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1858828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858854 */     // MIs[0] policy
     /* 1858854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858864 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1858867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858891 */     // GIR_Coverage, 13987,
     /* 1858891 */     GIR_EraseRootFromParent_Done,
     /* 1858892 */   // Label 25088: @1858892
     /* 1858892 */   GIM_Try, /*On fail goto*//*Label 25089*/ GIMT_Encode4(1858981), // Rule ID 13988 //
     /* 1858897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1858900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1858908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1858911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1858914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1858917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858943 */     // MIs[0] policy
     /* 1858943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858953 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1858956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858976 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858980 */     // GIR_Coverage, 13988,
     /* 1858980 */     GIR_EraseRootFromParent_Done,
     /* 1858981 */   // Label 25089: @1858981
     /* 1858981 */   GIM_Try, /*On fail goto*//*Label 25090*/ GIMT_Encode4(1859070), // Rule ID 13991 //
     /* 1858986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1858989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1858997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1859000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1859003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1859006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859032 */     // MIs[0] policy
     /* 1859032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859042 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1859045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1859063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859069 */     // GIR_Coverage, 13991,
     /* 1859069 */     GIR_EraseRootFromParent_Done,
     /* 1859070 */   // Label 25090: @1859070
     /* 1859070 */   GIM_Try, /*On fail goto*//*Label 25091*/ GIMT_Encode4(1859159), // Rule ID 13992 //
     /* 1859075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1859078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1859086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1859089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1859092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1859095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859121 */     // MIs[0] policy
     /* 1859121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859131 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1859134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1859152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859158 */     // GIR_Coverage, 13992,
     /* 1859158 */     GIR_EraseRootFromParent_Done,
     /* 1859159 */   // Label 25091: @1859159
     /* 1859159 */   GIM_Try, /*On fail goto*//*Label 25092*/ GIMT_Encode4(1859248), // Rule ID 13995 //
     /* 1859164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1859175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1859178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1859181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1859184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859210 */     // MIs[0] policy
     /* 1859210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859220 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1859223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859247 */     // GIR_Coverage, 13995,
     /* 1859247 */     GIR_EraseRootFromParent_Done,
     /* 1859248 */   // Label 25092: @1859248
     /* 1859248 */   GIM_Try, /*On fail goto*//*Label 25093*/ GIMT_Encode4(1859337), // Rule ID 13996 //
     /* 1859253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1859264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1859267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1859270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1859273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859299 */     // MIs[0] policy
     /* 1859299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859309 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1859312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859336 */     // GIR_Coverage, 13996,
     /* 1859336 */     GIR_EraseRootFromParent_Done,
     /* 1859337 */   // Label 25093: @1859337
     /* 1859337 */   GIM_Try, /*On fail goto*//*Label 25094*/ GIMT_Encode4(1859426), // Rule ID 13999 //
     /* 1859342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1859353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1859356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1859359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1859362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859388 */     // MIs[0] policy
     /* 1859388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859398 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1859401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859425 */     // GIR_Coverage, 13999,
     /* 1859425 */     GIR_EraseRootFromParent_Done,
     /* 1859426 */   // Label 25094: @1859426
     /* 1859426 */   GIM_Try, /*On fail goto*//*Label 25095*/ GIMT_Encode4(1859515), // Rule ID 14000 //
     /* 1859431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1859442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1859445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1859448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1859451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859477 */     // MIs[0] policy
     /* 1859477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859487 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1859490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859510 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859514 */     // GIR_Coverage, 14000,
     /* 1859514 */     GIR_EraseRootFromParent_Done,
     /* 1859515 */   // Label 25095: @1859515
     /* 1859515 */   GIM_Try, /*On fail goto*//*Label 25096*/ GIMT_Encode4(1859604), // Rule ID 14003 //
     /* 1859520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1859531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1859534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1859537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1859540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859566 */     // MIs[0] policy
     /* 1859566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859576 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1859579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859603 */     // GIR_Coverage, 14003,
     /* 1859603 */     GIR_EraseRootFromParent_Done,
     /* 1859604 */   // Label 25096: @1859604
     /* 1859604 */   GIM_Try, /*On fail goto*//*Label 25097*/ GIMT_Encode4(1859693), // Rule ID 14004 //
     /* 1859609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1859620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1859623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1859626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1859629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859655 */     // MIs[0] policy
     /* 1859655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859665 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1859668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859688 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859692 */     // GIR_Coverage, 14004,
     /* 1859692 */     GIR_EraseRootFromParent_Done,
     /* 1859693 */   // Label 25097: @1859693
     /* 1859693 */   GIM_Try, /*On fail goto*//*Label 25098*/ GIMT_Encode4(1859782), // Rule ID 14007 //
     /* 1859698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1859709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1859712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1859715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1859718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859744 */     // MIs[0] policy
     /* 1859744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859754 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1859757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859781 */     // GIR_Coverage, 14007,
     /* 1859781 */     GIR_EraseRootFromParent_Done,
     /* 1859782 */   // Label 25098: @1859782
     /* 1859782 */   GIM_Try, /*On fail goto*//*Label 25099*/ GIMT_Encode4(1859871), // Rule ID 14008 //
     /* 1859787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1859798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1859801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1859804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1859807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859833 */     // MIs[0] policy
     /* 1859833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859843 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1859846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859866 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859870 */     // GIR_Coverage, 14008,
     /* 1859870 */     GIR_EraseRootFromParent_Done,
     /* 1859871 */   // Label 25099: @1859871
     /* 1859871 */   GIM_Try, /*On fail goto*//*Label 25100*/ GIMT_Encode4(1859960), // Rule ID 14011 //
     /* 1859876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1859887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1859890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1859893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1859896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859922 */     // MIs[0] policy
     /* 1859922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859932 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1859935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859959 */     // GIR_Coverage, 14011,
     /* 1859959 */     GIR_EraseRootFromParent_Done,
     /* 1859960 */   // Label 25100: @1859960
     /* 1859960 */   GIM_Try, /*On fail goto*//*Label 25101*/ GIMT_Encode4(1860049), // Rule ID 14012 //
     /* 1859965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1859973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1859976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1859979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1859982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1859985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860011 */     // MIs[0] policy
     /* 1860011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860021 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1860024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1860042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860048 */     // GIR_Coverage, 14012,
     /* 1860048 */     GIR_EraseRootFromParent_Done,
     /* 1860049 */   // Label 25101: @1860049
     /* 1860049 */   GIM_Try, /*On fail goto*//*Label 25102*/ GIMT_Encode4(1860138), // Rule ID 14015 //
     /* 1860054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1860065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1860068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1860071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1860074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860100 */     // MIs[0] policy
     /* 1860100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860110 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1860113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860137 */     // GIR_Coverage, 14015,
     /* 1860137 */     GIR_EraseRootFromParent_Done,
     /* 1860138 */   // Label 25102: @1860138
     /* 1860138 */   GIM_Try, /*On fail goto*//*Label 25103*/ GIMT_Encode4(1860227), // Rule ID 14016 //
     /* 1860143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1860154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1860157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1860160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1860163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860189 */     // MIs[0] policy
     /* 1860189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860199 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1860202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860226 */     // GIR_Coverage, 14016,
     /* 1860226 */     GIR_EraseRootFromParent_Done,
     /* 1860227 */   // Label 25103: @1860227
     /* 1860227 */   GIM_Try, /*On fail goto*//*Label 25104*/ GIMT_Encode4(1860316), // Rule ID 14019 //
     /* 1860232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1860243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1860246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1860249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1860252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860278 */     // MIs[0] policy
     /* 1860278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860288 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1860291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860315 */     // GIR_Coverage, 14019,
     /* 1860315 */     GIR_EraseRootFromParent_Done,
     /* 1860316 */   // Label 25104: @1860316
     /* 1860316 */   GIM_Try, /*On fail goto*//*Label 25105*/ GIMT_Encode4(1860405), // Rule ID 14020 //
     /* 1860321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1860332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1860335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1860338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1860341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860367 */     // MIs[0] policy
     /* 1860367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860377 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1860380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860404 */     // GIR_Coverage, 14020,
     /* 1860404 */     GIR_EraseRootFromParent_Done,
     /* 1860405 */   // Label 25105: @1860405
     /* 1860405 */   GIM_Try, /*On fail goto*//*Label 25106*/ GIMT_Encode4(1860494), // Rule ID 14023 //
     /* 1860410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1860421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1860424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1860427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1860430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860456 */     // MIs[0] policy
     /* 1860456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860466 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1860469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1860487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860493 */     // GIR_Coverage, 14023,
     /* 1860493 */     GIR_EraseRootFromParent_Done,
     /* 1860494 */   // Label 25106: @1860494
     /* 1860494 */   GIM_Try, /*On fail goto*//*Label 25107*/ GIMT_Encode4(1860583), // Rule ID 14024 //
     /* 1860499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1860510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1860513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1860516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1860519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860545 */     // MIs[0] policy
     /* 1860545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860555 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1860558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1860576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860582 */     // GIR_Coverage, 14024,
     /* 1860582 */     GIR_EraseRootFromParent_Done,
     /* 1860583 */   // Label 25107: @1860583
     /* 1860583 */   GIM_Try, /*On fail goto*//*Label 25108*/ GIMT_Encode4(1860672), // Rule ID 14027 //
     /* 1860588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1860599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1860602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1860605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1860608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860634 */     // MIs[0] policy
     /* 1860634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860644 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1860647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860671 */     // GIR_Coverage, 14027,
     /* 1860671 */     GIR_EraseRootFromParent_Done,
     /* 1860672 */   // Label 25108: @1860672
     /* 1860672 */   GIM_Try, /*On fail goto*//*Label 25109*/ GIMT_Encode4(1860761), // Rule ID 14028 //
     /* 1860677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1860688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1860691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1860694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1860697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860723 */     // MIs[0] policy
     /* 1860723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860733 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1860736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860760 */     // GIR_Coverage, 14028,
     /* 1860760 */     GIR_EraseRootFromParent_Done,
     /* 1860761 */   // Label 25109: @1860761
     /* 1860761 */   GIM_Try, /*On fail goto*//*Label 25110*/ GIMT_Encode4(1860850), // Rule ID 14031 //
     /* 1860766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1860769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1860777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1860780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1860783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1860786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860812 */     // MIs[0] policy
     /* 1860812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860822 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1860825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860849 */     // GIR_Coverage, 14031,
     /* 1860849 */     GIR_EraseRootFromParent_Done,
     /* 1860850 */   // Label 25110: @1860850
     /* 1860850 */   GIM_Try, /*On fail goto*//*Label 25111*/ GIMT_Encode4(1860939), // Rule ID 14032 //
     /* 1860855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1860858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1860866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1860869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1860872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1860875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860901 */     // MIs[0] policy
     /* 1860901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860911 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1860914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860938 */     // GIR_Coverage, 14032,
     /* 1860938 */     GIR_EraseRootFromParent_Done,
     /* 1860939 */   // Label 25111: @1860939
     /* 1860939 */   GIM_Try, /*On fail goto*//*Label 25112*/ GIMT_Encode4(1861028), // Rule ID 14035 //
     /* 1860944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1860952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1860955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1860958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1860961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1860964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1860967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1860974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860990 */     // MIs[0] policy
     /* 1860990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861000 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1861003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861027 */     // GIR_Coverage, 14035,
     /* 1861027 */     GIR_EraseRootFromParent_Done,
     /* 1861028 */   // Label 25112: @1861028
     /* 1861028 */   GIM_Try, /*On fail goto*//*Label 25113*/ GIMT_Encode4(1861117), // Rule ID 14036 //
     /* 1861033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1861044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1861047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1861050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1861056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861079 */     // MIs[0] policy
     /* 1861079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861089 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1861092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861116 */     // GIR_Coverage, 14036,
     /* 1861116 */     GIR_EraseRootFromParent_Done,
     /* 1861117 */   // Label 25113: @1861117
     /* 1861117 */   GIM_Try, /*On fail goto*//*Label 25114*/ GIMT_Encode4(1861206), // Rule ID 14039 //
     /* 1861122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1861133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1861136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1861139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1861145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1861152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861168 */     // MIs[0] policy
     /* 1861168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861178 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1861181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861201 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861205 */     // GIR_Coverage, 14039,
     /* 1861205 */     GIR_EraseRootFromParent_Done,
     /* 1861206 */   // Label 25114: @1861206
     /* 1861206 */   GIM_Try, /*On fail goto*//*Label 25115*/ GIMT_Encode4(1861295), // Rule ID 14040 //
     /* 1861211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1861222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1861225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1861228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1861234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1861241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861257 */     // MIs[0] policy
     /* 1861257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861267 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1861270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861294 */     // GIR_Coverage, 14040,
     /* 1861294 */     GIR_EraseRootFromParent_Done,
     /* 1861295 */   // Label 25115: @1861295
     /* 1861295 */   GIM_Try, /*On fail goto*//*Label 25116*/ GIMT_Encode4(1861384), // Rule ID 14043 //
     /* 1861300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1861311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1861314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1861317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1861323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1861330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861346 */     // MIs[0] policy
     /* 1861346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861356 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1861359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861379 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861383 */     // GIR_Coverage, 14043,
     /* 1861383 */     GIR_EraseRootFromParent_Done,
     /* 1861384 */   // Label 25116: @1861384
     /* 1861384 */   GIM_Try, /*On fail goto*//*Label 25117*/ GIMT_Encode4(1861473), // Rule ID 14044 //
     /* 1861389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1861400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1861403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1861406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1861412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1861419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861435 */     // MIs[0] policy
     /* 1861435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861445 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1861448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861468 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861472 */     // GIR_Coverage, 14044,
     /* 1861472 */     GIR_EraseRootFromParent_Done,
     /* 1861473 */   // Label 25117: @1861473
     /* 1861473 */   GIM_Try, /*On fail goto*//*Label 25118*/ GIMT_Encode4(1861562), // Rule ID 14047 //
     /* 1861478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1861489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1861492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1861495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861524 */     // MIs[0] policy
     /* 1861524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861534 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1861537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861561 */     // GIR_Coverage, 14047,
     /* 1861561 */     GIR_EraseRootFromParent_Done,
     /* 1861562 */   // Label 25118: @1861562
     /* 1861562 */   GIM_Try, /*On fail goto*//*Label 25119*/ GIMT_Encode4(1861651), // Rule ID 14048 //
     /* 1861567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1861578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1861581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1861584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861613 */     // MIs[0] policy
     /* 1861613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861623 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1861626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861650 */     // GIR_Coverage, 14048,
     /* 1861650 */     GIR_EraseRootFromParent_Done,
     /* 1861651 */   // Label 25119: @1861651
     /* 1861651 */   GIM_Try, /*On fail goto*//*Label 25120*/ GIMT_Encode4(1861740), // Rule ID 14051 //
     /* 1861656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1861667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1861670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1861673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1861679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1861686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861702 */     // MIs[0] policy
     /* 1861702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861712 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1861715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861739 */     // GIR_Coverage, 14051,
     /* 1861739 */     GIR_EraseRootFromParent_Done,
     /* 1861740 */   // Label 25120: @1861740
     /* 1861740 */   GIM_Try, /*On fail goto*//*Label 25121*/ GIMT_Encode4(1861829), // Rule ID 14052 //
     /* 1861745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1861756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1861759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1861762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1861768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1861775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861791 */     // MIs[0] policy
     /* 1861791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861801 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1861804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861828 */     // GIR_Coverage, 14052,
     /* 1861828 */     GIR_EraseRootFromParent_Done,
     /* 1861829 */   // Label 25121: @1861829
     /* 1861829 */   GIM_Try, /*On fail goto*//*Label 25122*/ GIMT_Encode4(1861918), // Rule ID 14055 //
     /* 1861834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1861845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1861848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1861851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1861854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1861857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1861864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861880 */     // MIs[0] policy
     /* 1861880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861890 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1861893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861917 */     // GIR_Coverage, 14055,
     /* 1861917 */     GIR_EraseRootFromParent_Done,
     /* 1861918 */   // Label 25122: @1861918
     /* 1861918 */   GIM_Try, /*On fail goto*//*Label 25123*/ GIMT_Encode4(1862007), // Rule ID 14056 //
     /* 1861923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1861931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1861934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1861937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1861940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1861943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1861946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1861953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861969 */     // MIs[0] policy
     /* 1861969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861979 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1861982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862006 */     // GIR_Coverage, 14056,
     /* 1862006 */     GIR_EraseRootFromParent_Done,
     /* 1862007 */   // Label 25123: @1862007
     /* 1862007 */   GIM_Try, /*On fail goto*//*Label 25124*/ GIMT_Encode4(1862096), // Rule ID 14059 //
     /* 1862012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1862023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1862026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1862029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862058 */     // MIs[0] policy
     /* 1862058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862068 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1862071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862095 */     // GIR_Coverage, 14059,
     /* 1862095 */     GIR_EraseRootFromParent_Done,
     /* 1862096 */   // Label 25124: @1862096
     /* 1862096 */   GIM_Try, /*On fail goto*//*Label 25125*/ GIMT_Encode4(1862185), // Rule ID 14060 //
     /* 1862101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1862112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1862115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1862118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862147 */     // MIs[0] policy
     /* 1862147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862157 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1862160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862184 */     // GIR_Coverage, 14060,
     /* 1862184 */     GIR_EraseRootFromParent_Done,
     /* 1862185 */   // Label 25125: @1862185
     /* 1862185 */   GIM_Try, /*On fail goto*//*Label 25126*/ GIMT_Encode4(1862274), // Rule ID 14063 //
     /* 1862190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1862201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1862204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1862207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862236 */     // MIs[0] policy
     /* 1862236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862246 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1862249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862273 */     // GIR_Coverage, 14063,
     /* 1862273 */     GIR_EraseRootFromParent_Done,
     /* 1862274 */   // Label 25126: @1862274
     /* 1862274 */   GIM_Try, /*On fail goto*//*Label 25127*/ GIMT_Encode4(1862363), // Rule ID 14064 //
     /* 1862279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1862290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1862293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1862296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862325 */     // MIs[0] policy
     /* 1862325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862335 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1862338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862362 */     // GIR_Coverage, 14064,
     /* 1862362 */     GIR_EraseRootFromParent_Done,
     /* 1862363 */   // Label 25127: @1862363
     /* 1862363 */   GIM_Try, /*On fail goto*//*Label 25128*/ GIMT_Encode4(1862452), // Rule ID 14067 //
     /* 1862368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1862379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1862382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1862385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862414 */     // MIs[0] policy
     /* 1862414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862424 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1862427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862451 */     // GIR_Coverage, 14067,
     /* 1862451 */     GIR_EraseRootFromParent_Done,
     /* 1862452 */   // Label 25128: @1862452
     /* 1862452 */   GIM_Try, /*On fail goto*//*Label 25129*/ GIMT_Encode4(1862541), // Rule ID 14068 //
     /* 1862457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1862468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1862471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1862474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862503 */     // MIs[0] policy
     /* 1862503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862513 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1862516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862540 */     // GIR_Coverage, 14068,
     /* 1862540 */     GIR_EraseRootFromParent_Done,
     /* 1862541 */   // Label 25129: @1862541
     /* 1862541 */   GIM_Try, /*On fail goto*//*Label 25130*/ GIMT_Encode4(1862630), // Rule ID 14071 //
     /* 1862546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1862549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1862557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1862560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1862563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862592 */     // MIs[0] policy
     /* 1862592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862602 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1862605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1862623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862629 */     // GIR_Coverage, 14071,
     /* 1862629 */     GIR_EraseRootFromParent_Done,
     /* 1862630 */   // Label 25130: @1862630
     /* 1862630 */   GIM_Try, /*On fail goto*//*Label 25131*/ GIMT_Encode4(1862719), // Rule ID 14072 //
     /* 1862635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1862638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1862646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1862649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1862652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862681 */     // MIs[0] policy
     /* 1862681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862691 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1862694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1862712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862718 */     // GIR_Coverage, 14072,
     /* 1862718 */     GIR_EraseRootFromParent_Done,
     /* 1862719 */   // Label 25131: @1862719
     /* 1862719 */   GIM_Try, /*On fail goto*//*Label 25132*/ GIMT_Encode4(1862808), // Rule ID 14075 //
     /* 1862724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1862727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1862735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1862738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1862741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862770 */     // MIs[0] policy
     /* 1862770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862780 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1862783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1862801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862807 */     // GIR_Coverage, 14075,
     /* 1862807 */     GIR_EraseRootFromParent_Done,
     /* 1862808 */   // Label 25132: @1862808
     /* 1862808 */   GIM_Try, /*On fail goto*//*Label 25133*/ GIMT_Encode4(1862897), // Rule ID 14076 //
     /* 1862813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1862816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1862824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1862827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1862830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862859 */     // MIs[0] policy
     /* 1862859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862869 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1862872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1862890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862896 */     // GIR_Coverage, 14076,
     /* 1862896 */     GIR_EraseRootFromParent_Done,
     /* 1862897 */   // Label 25133: @1862897
     /* 1862897 */   GIM_Try, /*On fail goto*//*Label 25134*/ GIMT_Encode4(1862986), // Rule ID 14079 //
     /* 1862902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1862905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1862913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1862916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1862919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862948 */     // MIs[0] policy
     /* 1862948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862958 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1862961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1862979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862981 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862985 */     // GIR_Coverage, 14079,
     /* 1862985 */     GIR_EraseRootFromParent_Done,
     /* 1862986 */   // Label 25134: @1862986
     /* 1862986 */   GIM_Try, /*On fail goto*//*Label 25135*/ GIMT_Encode4(1863075), // Rule ID 14080 //
     /* 1862991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1862994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1862999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1863002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1863005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1863008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863037 */     // MIs[0] policy
     /* 1863037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863047 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1863050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1863068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863074 */     // GIR_Coverage, 14080,
     /* 1863074 */     GIR_EraseRootFromParent_Done,
     /* 1863075 */   // Label 25135: @1863075
     /* 1863075 */   GIM_Try, /*On fail goto*//*Label 25136*/ GIMT_Encode4(1863164), // Rule ID 14171 //
     /* 1863080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1863091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1863094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1863097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1863100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863126 */     // MIs[0] policy
     /* 1863126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863136 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1863139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863163 */     // GIR_Coverage, 14171,
     /* 1863163 */     GIR_EraseRootFromParent_Done,
     /* 1863164 */   // Label 25136: @1863164
     /* 1863164 */   GIM_Try, /*On fail goto*//*Label 25137*/ GIMT_Encode4(1863253), // Rule ID 14172 //
     /* 1863169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1863180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1863183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1863186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1863189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863215 */     // MIs[0] policy
     /* 1863215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863225 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1863228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863252 */     // GIR_Coverage, 14172,
     /* 1863252 */     GIR_EraseRootFromParent_Done,
     /* 1863253 */   // Label 25137: @1863253
     /* 1863253 */   GIM_Try, /*On fail goto*//*Label 25138*/ GIMT_Encode4(1863342), // Rule ID 14175 //
     /* 1863258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1863269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1863272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1863275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1863278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863304 */     // MIs[0] policy
     /* 1863304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863314 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1863317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863341 */     // GIR_Coverage, 14175,
     /* 1863341 */     GIR_EraseRootFromParent_Done,
     /* 1863342 */   // Label 25138: @1863342
     /* 1863342 */   GIM_Try, /*On fail goto*//*Label 25139*/ GIMT_Encode4(1863431), // Rule ID 14176 //
     /* 1863347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1863358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1863361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1863364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1863367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863393 */     // MIs[0] policy
     /* 1863393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863403 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1863406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863430 */     // GIR_Coverage, 14176,
     /* 1863430 */     GIR_EraseRootFromParent_Done,
     /* 1863431 */   // Label 25139: @1863431
     /* 1863431 */   GIM_Try, /*On fail goto*//*Label 25140*/ GIMT_Encode4(1863520), // Rule ID 14179 //
     /* 1863436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1863447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1863450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1863453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1863456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863482 */     // MIs[0] policy
     /* 1863482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863492 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1863495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863515 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863519 */     // GIR_Coverage, 14179,
     /* 1863519 */     GIR_EraseRootFromParent_Done,
     /* 1863520 */   // Label 25140: @1863520
     /* 1863520 */   GIM_Try, /*On fail goto*//*Label 25141*/ GIMT_Encode4(1863609), // Rule ID 14180 //
     /* 1863525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1863536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1863539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1863542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1863545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863571 */     // MIs[0] policy
     /* 1863571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863581 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1863584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863608 */     // GIR_Coverage, 14180,
     /* 1863608 */     GIR_EraseRootFromParent_Done,
     /* 1863609 */   // Label 25141: @1863609
     /* 1863609 */   GIM_Try, /*On fail goto*//*Label 25142*/ GIMT_Encode4(1863698), // Rule ID 14183 //
     /* 1863614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1863625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1863628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1863631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1863634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863660 */     // MIs[0] policy
     /* 1863660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863670 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1863673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863697 */     // GIR_Coverage, 14183,
     /* 1863697 */     GIR_EraseRootFromParent_Done,
     /* 1863698 */   // Label 25142: @1863698
     /* 1863698 */   GIM_Try, /*On fail goto*//*Label 25143*/ GIMT_Encode4(1863787), // Rule ID 14184 //
     /* 1863703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1863714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1863717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1863720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1863723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863749 */     // MIs[0] policy
     /* 1863749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863759 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1863762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863786 */     // GIR_Coverage, 14184,
     /* 1863786 */     GIR_EraseRootFromParent_Done,
     /* 1863787 */   // Label 25143: @1863787
     /* 1863787 */   GIM_Try, /*On fail goto*//*Label 25144*/ GIMT_Encode4(1863876), // Rule ID 14187 //
     /* 1863792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1863803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1863806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1863809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1863812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863838 */     // MIs[0] policy
     /* 1863838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863848 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1863851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863875 */     // GIR_Coverage, 14187,
     /* 1863875 */     GIR_EraseRootFromParent_Done,
     /* 1863876 */   // Label 25144: @1863876
     /* 1863876 */   GIM_Try, /*On fail goto*//*Label 25145*/ GIMT_Encode4(1863965), // Rule ID 14188 //
     /* 1863881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1863892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1863895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1863898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1863901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863927 */     // MIs[0] policy
     /* 1863927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863937 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1863940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863964 */     // GIR_Coverage, 14188,
     /* 1863964 */     GIR_EraseRootFromParent_Done,
     /* 1863965 */   // Label 25145: @1863965
     /* 1863965 */   GIM_Try, /*On fail goto*//*Label 25146*/ GIMT_Encode4(1864054), // Rule ID 14191 //
     /* 1863970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1863981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1863984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1863987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1863990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864016 */     // MIs[0] policy
     /* 1864016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864026 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1864029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864053 */     // GIR_Coverage, 14191,
     /* 1864053 */     GIR_EraseRootFromParent_Done,
     /* 1864054 */   // Label 25146: @1864054
     /* 1864054 */   GIM_Try, /*On fail goto*//*Label 25147*/ GIMT_Encode4(1864143), // Rule ID 14192 //
     /* 1864059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1864070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1864073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1864076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1864079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864105 */     // MIs[0] policy
     /* 1864105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864115 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1864118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864142 */     // GIR_Coverage, 14192,
     /* 1864142 */     GIR_EraseRootFromParent_Done,
     /* 1864143 */   // Label 25147: @1864143
     /* 1864143 */   GIM_Try, /*On fail goto*//*Label 25148*/ GIMT_Encode4(1864232), // Rule ID 14195 //
     /* 1864148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1864159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1864162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1864165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1864168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864194 */     // MIs[0] policy
     /* 1864194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864204 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1864207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864231 */     // GIR_Coverage, 14195,
     /* 1864231 */     GIR_EraseRootFromParent_Done,
     /* 1864232 */   // Label 25148: @1864232
     /* 1864232 */   GIM_Try, /*On fail goto*//*Label 25149*/ GIMT_Encode4(1864321), // Rule ID 14196 //
     /* 1864237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1864248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1864251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1864254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1864257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864283 */     // MIs[0] policy
     /* 1864283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864293 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1864296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864320 */     // GIR_Coverage, 14196,
     /* 1864320 */     GIR_EraseRootFromParent_Done,
     /* 1864321 */   // Label 25149: @1864321
     /* 1864321 */   GIM_Try, /*On fail goto*//*Label 25150*/ GIMT_Encode4(1864410), // Rule ID 14199 //
     /* 1864326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1864337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1864340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1864343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1864346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864372 */     // MIs[0] policy
     /* 1864372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864382 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1864385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864409 */     // GIR_Coverage, 14199,
     /* 1864409 */     GIR_EraseRootFromParent_Done,
     /* 1864410 */   // Label 25150: @1864410
     /* 1864410 */   GIM_Try, /*On fail goto*//*Label 25151*/ GIMT_Encode4(1864499), // Rule ID 14200 //
     /* 1864415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1864426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1864429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1864432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1864435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864461 */     // MIs[0] policy
     /* 1864461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864471 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1864474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864498 */     // GIR_Coverage, 14200,
     /* 1864498 */     GIR_EraseRootFromParent_Done,
     /* 1864499 */   // Label 25151: @1864499
     /* 1864499 */   GIM_Try, /*On fail goto*//*Label 25152*/ GIMT_Encode4(1864588), // Rule ID 14203 //
     /* 1864504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1864515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1864518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1864521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1864524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864550 */     // MIs[0] policy
     /* 1864550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864560 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1864563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864587 */     // GIR_Coverage, 14203,
     /* 1864587 */     GIR_EraseRootFromParent_Done,
     /* 1864588 */   // Label 25152: @1864588
     /* 1864588 */   GIM_Try, /*On fail goto*//*Label 25153*/ GIMT_Encode4(1864677), // Rule ID 14204 //
     /* 1864593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1864604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1864607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1864610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1864613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864639 */     // MIs[0] policy
     /* 1864639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864649 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1864652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864676 */     // GIR_Coverage, 14204,
     /* 1864676 */     GIR_EraseRootFromParent_Done,
     /* 1864677 */   // Label 25153: @1864677
     /* 1864677 */   GIM_Try, /*On fail goto*//*Label 25154*/ GIMT_Encode4(1864766), // Rule ID 14207 //
     /* 1864682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1864685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1864693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1864696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1864699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1864702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864728 */     // MIs[0] policy
     /* 1864728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864738 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1864741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864765 */     // GIR_Coverage, 14207,
     /* 1864765 */     GIR_EraseRootFromParent_Done,
     /* 1864766 */   // Label 25154: @1864766
     /* 1864766 */   GIM_Try, /*On fail goto*//*Label 25155*/ GIMT_Encode4(1864855), // Rule ID 14208 //
     /* 1864771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1864774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1864782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1864785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1864788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1864791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864817 */     // MIs[0] policy
     /* 1864817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1864830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864854 */     // GIR_Coverage, 14208,
     /* 1864854 */     GIR_EraseRootFromParent_Done,
     /* 1864855 */   // Label 25155: @1864855
     /* 1864855 */   GIM_Try, /*On fail goto*//*Label 25156*/ GIMT_Encode4(1864944), // Rule ID 14211 //
     /* 1864860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1864871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1864874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1864877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1864880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1864883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864906 */     // MIs[0] policy
     /* 1864906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864916 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1864919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864943 */     // GIR_Coverage, 14211,
     /* 1864943 */     GIR_EraseRootFromParent_Done,
     /* 1864944 */   // Label 25156: @1864944
     /* 1864944 */   GIM_Try, /*On fail goto*//*Label 25157*/ GIMT_Encode4(1865033), // Rule ID 14212 //
     /* 1864949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1864960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1864963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1864966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1864969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1864972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864995 */     // MIs[0] policy
     /* 1864995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865005 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1865008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865032 */     // GIR_Coverage, 14212,
     /* 1865032 */     GIR_EraseRootFromParent_Done,
     /* 1865033 */   // Label 25157: @1865033
     /* 1865033 */   GIM_Try, /*On fail goto*//*Label 25158*/ GIMT_Encode4(1865122), // Rule ID 14215 //
     /* 1865038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1865049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1865052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1865055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1865058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1865061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865084 */     // MIs[0] policy
     /* 1865084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865094 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1865097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865121 */     // GIR_Coverage, 14215,
     /* 1865121 */     GIR_EraseRootFromParent_Done,
     /* 1865122 */   // Label 25158: @1865122
     /* 1865122 */   GIM_Try, /*On fail goto*//*Label 25159*/ GIMT_Encode4(1865211), // Rule ID 14216 //
     /* 1865127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1865138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1865141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1865144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1865147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1865150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865173 */     // MIs[0] policy
     /* 1865173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865183 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1865186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865210 */     // GIR_Coverage, 14216,
     /* 1865210 */     GIR_EraseRootFromParent_Done,
     /* 1865211 */   // Label 25159: @1865211
     /* 1865211 */   GIM_Try, /*On fail goto*//*Label 25160*/ GIMT_Encode4(1865300), // Rule ID 14219 //
     /* 1865216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1865227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1865230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1865233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1865236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1865239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1865246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865262 */     // MIs[0] policy
     /* 1865262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865272 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1865275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865299 */     // GIR_Coverage, 14219,
     /* 1865299 */     GIR_EraseRootFromParent_Done,
     /* 1865300 */   // Label 25160: @1865300
     /* 1865300 */   GIM_Try, /*On fail goto*//*Label 25161*/ GIMT_Encode4(1865389), // Rule ID 14220 //
     /* 1865305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1865316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1865319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1865322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1865325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1865328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1865335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865351 */     // MIs[0] policy
     /* 1865351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865361 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1865364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865388 */     // GIR_Coverage, 14220,
     /* 1865388 */     GIR_EraseRootFromParent_Done,
     /* 1865389 */   // Label 25161: @1865389
     /* 1865389 */   GIM_Try, /*On fail goto*//*Label 25162*/ GIMT_Encode4(1865478), // Rule ID 14223 //
     /* 1865394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1865405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1865408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1865411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1865414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865440 */     // MIs[0] policy
     /* 1865440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865450 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1865453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865477 */     // GIR_Coverage, 14223,
     /* 1865477 */     GIR_EraseRootFromParent_Done,
     /* 1865478 */   // Label 25162: @1865478
     /* 1865478 */   GIM_Try, /*On fail goto*//*Label 25163*/ GIMT_Encode4(1865567), // Rule ID 14224 //
     /* 1865483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1865494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1865497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1865500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1865503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865529 */     // MIs[0] policy
     /* 1865529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865539 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1865542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865566 */     // GIR_Coverage, 14224,
     /* 1865566 */     GIR_EraseRootFromParent_Done,
     /* 1865567 */   // Label 25163: @1865567
     /* 1865567 */   GIM_Try, /*On fail goto*//*Label 25164*/ GIMT_Encode4(1865656), // Rule ID 14227 //
     /* 1865572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1865583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1865586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1865589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1865592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1865595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865618 */     // MIs[0] policy
     /* 1865618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865628 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1865631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865655 */     // GIR_Coverage, 14227,
     /* 1865655 */     GIR_EraseRootFromParent_Done,
     /* 1865656 */   // Label 25164: @1865656
     /* 1865656 */   GIM_Try, /*On fail goto*//*Label 25165*/ GIMT_Encode4(1865745), // Rule ID 14228 //
     /* 1865661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1865672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1865675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1865678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1865681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1865684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865707 */     // MIs[0] policy
     /* 1865707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865717 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1865720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865744 */     // GIR_Coverage, 14228,
     /* 1865744 */     GIR_EraseRootFromParent_Done,
     /* 1865745 */   // Label 25165: @1865745
     /* 1865745 */   GIM_Try, /*On fail goto*//*Label 25166*/ GIMT_Encode4(1865834), // Rule ID 14231 //
     /* 1865750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1865761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1865764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1865767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1865770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1865773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1865780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865796 */     // MIs[0] policy
     /* 1865796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865806 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1865809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865833 */     // GIR_Coverage, 14231,
     /* 1865833 */     GIR_EraseRootFromParent_Done,
     /* 1865834 */   // Label 25166: @1865834
     /* 1865834 */   GIM_Try, /*On fail goto*//*Label 25167*/ GIMT_Encode4(1865923), // Rule ID 14232 //
     /* 1865839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1865850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1865853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1865856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1865859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1865862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1865869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865885 */     // MIs[0] policy
     /* 1865885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865895 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1865898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865922 */     // GIR_Coverage, 14232,
     /* 1865922 */     GIR_EraseRootFromParent_Done,
     /* 1865923 */   // Label 25167: @1865923
     /* 1865923 */   GIM_Try, /*On fail goto*//*Label 25168*/ GIMT_Encode4(1866012), // Rule ID 14235 //
     /* 1865928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1865939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1865942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1865945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1865948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865974 */     // MIs[0] policy
     /* 1865974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865984 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1865987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866011 */     // GIR_Coverage, 14235,
     /* 1866011 */     GIR_EraseRootFromParent_Done,
     /* 1866012 */   // Label 25168: @1866012
     /* 1866012 */   GIM_Try, /*On fail goto*//*Label 25169*/ GIMT_Encode4(1866101), // Rule ID 14236 //
     /* 1866017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1866028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1866031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1866034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1866037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1866040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866063 */     // MIs[0] policy
     /* 1866063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866073 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1866076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866100 */     // GIR_Coverage, 14236,
     /* 1866100 */     GIR_EraseRootFromParent_Done,
     /* 1866101 */   // Label 25169: @1866101
     /* 1866101 */   GIM_Try, /*On fail goto*//*Label 25170*/ GIMT_Encode4(1866190), // Rule ID 14239 //
     /* 1866106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1866117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1866120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1866123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1866126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866152 */     // MIs[0] policy
     /* 1866152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866162 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1866165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866189 */     // GIR_Coverage, 14239,
     /* 1866189 */     GIR_EraseRootFromParent_Done,
     /* 1866190 */   // Label 25170: @1866190
     /* 1866190 */   GIM_Try, /*On fail goto*//*Label 25171*/ GIMT_Encode4(1866279), // Rule ID 14240 //
     /* 1866195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1866206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1866209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1866212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1866215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866241 */     // MIs[0] policy
     /* 1866241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866251 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1866254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866278 */     // GIR_Coverage, 14240,
     /* 1866278 */     GIR_EraseRootFromParent_Done,
     /* 1866279 */   // Label 25171: @1866279
     /* 1866279 */   GIM_Try, /*On fail goto*//*Label 25172*/ GIMT_Encode4(1866368), // Rule ID 14243 //
     /* 1866284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1866295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1866298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1866301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1866304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866330 */     // MIs[0] policy
     /* 1866330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866340 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1866343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866367 */     // GIR_Coverage, 14243,
     /* 1866367 */     GIR_EraseRootFromParent_Done,
     /* 1866368 */   // Label 25172: @1866368
     /* 1866368 */   GIM_Try, /*On fail goto*//*Label 25173*/ GIMT_Encode4(1866457), // Rule ID 14244 //
     /* 1866373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1866384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1866387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1866390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1866393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866419 */     // MIs[0] policy
     /* 1866419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866429 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1866432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1866450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866456 */     // GIR_Coverage, 14244,
     /* 1866456 */     GIR_EraseRootFromParent_Done,
     /* 1866457 */   // Label 25173: @1866457
     /* 1866457 */   GIM_Try, /*On fail goto*//*Label 25174*/ GIMT_Encode4(1866546), // Rule ID 14247 //
     /* 1866462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1866465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1866473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1866476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1866479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1866482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1866485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866508 */     // MIs[0] policy
     /* 1866508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866518 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1866521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866545 */     // GIR_Coverage, 14247,
     /* 1866545 */     GIR_EraseRootFromParent_Done,
     /* 1866546 */   // Label 25174: @1866546
     /* 1866546 */   GIM_Try, /*On fail goto*//*Label 25175*/ GIMT_Encode4(1866635), // Rule ID 14248 //
     /* 1866551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1866554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1866562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1866565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1866568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1866571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1866574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866597 */     // MIs[0] policy
     /* 1866597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866607 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1866610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866634 */     // GIR_Coverage, 14248,
     /* 1866634 */     GIR_EraseRootFromParent_Done,
     /* 1866635 */   // Label 25175: @1866635
     /* 1866635 */   GIM_Try, /*On fail goto*//*Label 25176*/ GIMT_Encode4(1866724), // Rule ID 14251 //
     /* 1866640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1866643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1866651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1866654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1866657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1866660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1866663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866686 */     // MIs[0] policy
     /* 1866686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866696 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1866699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866723 */     // GIR_Coverage, 14251,
     /* 1866723 */     GIR_EraseRootFromParent_Done,
     /* 1866724 */   // Label 25176: @1866724
     /* 1866724 */   GIM_Try, /*On fail goto*//*Label 25177*/ GIMT_Encode4(1866813), // Rule ID 14252 //
     /* 1866729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1866732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1866740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1866743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1866746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1866749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1866752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866775 */     // MIs[0] policy
     /* 1866775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866785 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1866788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866812 */     // GIR_Coverage, 14252,
     /* 1866812 */     GIR_EraseRootFromParent_Done,
     /* 1866813 */   // Label 25177: @1866813
     /* 1866813 */   GIM_Try, /*On fail goto*//*Label 25178*/ GIMT_Encode4(1866902), // Rule ID 14255 //
     /* 1866818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1866821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1866829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1866832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1866835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1866838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866864 */     // MIs[0] policy
     /* 1866864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1866877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866901 */     // GIR_Coverage, 14255,
     /* 1866901 */     GIR_EraseRootFromParent_Done,
     /* 1866902 */   // Label 25178: @1866902
     /* 1866902 */   GIM_Try, /*On fail goto*//*Label 25179*/ GIMT_Encode4(1866991), // Rule ID 14256 //
     /* 1866907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1866910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1866918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1866921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1866924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1866927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866953 */     // MIs[0] policy
     /* 1866953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866963 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1866966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866990 */     // GIR_Coverage, 14256,
     /* 1866990 */     GIR_EraseRootFromParent_Done,
     /* 1866991 */   // Label 25179: @1866991
     /* 1866991 */   GIM_Try, /*On fail goto*//*Label 25180*/ GIMT_Encode4(1867080), // Rule ID 14259 //
     /* 1866996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1867007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1867010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1867013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867042 */     // MIs[0] policy
     /* 1867042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867052 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1867055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867079 */     // GIR_Coverage, 14259,
     /* 1867079 */     GIR_EraseRootFromParent_Done,
     /* 1867080 */   // Label 25180: @1867080
     /* 1867080 */   GIM_Try, /*On fail goto*//*Label 25181*/ GIMT_Encode4(1867169), // Rule ID 14260 //
     /* 1867085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1867096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1867099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1867102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867131 */     // MIs[0] policy
     /* 1867131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867141 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1867144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867168 */     // GIR_Coverage, 14260,
     /* 1867168 */     GIR_EraseRootFromParent_Done,
     /* 1867169 */   // Label 25181: @1867169
     /* 1867169 */   GIM_Try, /*On fail goto*//*Label 25182*/ GIMT_Encode4(1867258), // Rule ID 14263 //
     /* 1867174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1867185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1867188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1867191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867220 */     // MIs[0] policy
     /* 1867220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867230 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1867233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867257 */     // GIR_Coverage, 14263,
     /* 1867257 */     GIR_EraseRootFromParent_Done,
     /* 1867258 */   // Label 25182: @1867258
     /* 1867258 */   GIM_Try, /*On fail goto*//*Label 25183*/ GIMT_Encode4(1867347), // Rule ID 14264 //
     /* 1867263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1867274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1867277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1867280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867309 */     // MIs[0] policy
     /* 1867309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867319 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1867322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867346 */     // GIR_Coverage, 14264,
     /* 1867346 */     GIR_EraseRootFromParent_Done,
     /* 1867347 */   // Label 25183: @1867347
     /* 1867347 */   GIM_Try, /*On fail goto*//*Label 25184*/ GIMT_Encode4(1867436), // Rule ID 14267 //
     /* 1867352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1867363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1867366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1867369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867398 */     // MIs[0] policy
     /* 1867398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867408 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1867411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867435 */     // GIR_Coverage, 14267,
     /* 1867435 */     GIR_EraseRootFromParent_Done,
     /* 1867436 */   // Label 25184: @1867436
     /* 1867436 */   GIM_Try, /*On fail goto*//*Label 25185*/ GIMT_Encode4(1867525), // Rule ID 14268 //
     /* 1867441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1867452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1867455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1867458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867487 */     // MIs[0] policy
     /* 1867487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867497 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1867500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867524 */     // GIR_Coverage, 14268,
     /* 1867524 */     GIR_EraseRootFromParent_Done,
     /* 1867525 */   // Label 25185: @1867525
     /* 1867525 */   GIM_Try, /*On fail goto*//*Label 25186*/ GIMT_Encode4(1867614), // Rule ID 14271 //
     /* 1867530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1867541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1867544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1867547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867576 */     // MIs[0] policy
     /* 1867576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867586 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1867589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867613 */     // GIR_Coverage, 14271,
     /* 1867613 */     GIR_EraseRootFromParent_Done,
     /* 1867614 */   // Label 25186: @1867614
     /* 1867614 */   GIM_Try, /*On fail goto*//*Label 25187*/ GIMT_Encode4(1867703), // Rule ID 14272 //
     /* 1867619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1867630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1867633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1867636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867665 */     // MIs[0] policy
     /* 1867665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867675 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1867678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867702 */     // GIR_Coverage, 14272,
     /* 1867702 */     GIR_EraseRootFromParent_Done,
     /* 1867703 */   // Label 25187: @1867703
     /* 1867703 */   GIM_Try, /*On fail goto*//*Label 25188*/ GIMT_Encode4(1867792), // Rule ID 14275 //
     /* 1867708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1867719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1867722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1867725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867754 */     // MIs[0] policy
     /* 1867754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867764 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1867767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867791 */     // GIR_Coverage, 14275,
     /* 1867791 */     GIR_EraseRootFromParent_Done,
     /* 1867792 */   // Label 25188: @1867792
     /* 1867792 */   GIM_Try, /*On fail goto*//*Label 25189*/ GIMT_Encode4(1867881), // Rule ID 14276 //
     /* 1867797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1867808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1867811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1867814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867843 */     // MIs[0] policy
     /* 1867843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867853 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1867856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867880 */     // GIR_Coverage, 14276,
     /* 1867880 */     GIR_EraseRootFromParent_Done,
     /* 1867881 */   // Label 25189: @1867881
     /* 1867881 */   GIM_Try, /*On fail goto*//*Label 25190*/ GIMT_Encode4(1867970), // Rule ID 14279 //
     /* 1867886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1867897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1867900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1867903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1867906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867932 */     // MIs[0] policy
     /* 1867932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867942 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1867945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867969 */     // GIR_Coverage, 14279,
     /* 1867969 */     GIR_EraseRootFromParent_Done,
     /* 1867970 */   // Label 25190: @1867970
     /* 1867970 */   GIM_Try, /*On fail goto*//*Label 25191*/ GIMT_Encode4(1868059), // Rule ID 14280 //
     /* 1867975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1867983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1867986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1867989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1867992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1867995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868021 */     // MIs[0] policy
     /* 1868021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868031 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1868034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1868052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868058 */     // GIR_Coverage, 14280,
     /* 1868058 */     GIR_EraseRootFromParent_Done,
     /* 1868059 */   // Label 25191: @1868059
     /* 1868059 */   GIM_Try, /*On fail goto*//*Label 25192*/ GIMT_Encode4(1868148), // Rule ID 14283 //
     /* 1868064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1868075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1868078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1868081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868110 */     // MIs[0] policy
     /* 1868110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868120 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1868123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868147 */     // GIR_Coverage, 14283,
     /* 1868147 */     GIR_EraseRootFromParent_Done,
     /* 1868148 */   // Label 25192: @1868148
     /* 1868148 */   GIM_Try, /*On fail goto*//*Label 25193*/ GIMT_Encode4(1868237), // Rule ID 14284 //
     /* 1868153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1868164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1868167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1868170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868199 */     // MIs[0] policy
     /* 1868199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868209 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1868212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868236 */     // GIR_Coverage, 14284,
     /* 1868236 */     GIR_EraseRootFromParent_Done,
     /* 1868237 */   // Label 25193: @1868237
     /* 1868237 */   GIM_Try, /*On fail goto*//*Label 25194*/ GIMT_Encode4(1868326), // Rule ID 14287 //
     /* 1868242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1868253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1868256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1868259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868288 */     // MIs[0] policy
     /* 1868288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868298 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1868301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868325 */     // GIR_Coverage, 14287,
     /* 1868325 */     GIR_EraseRootFromParent_Done,
     /* 1868326 */   // Label 25194: @1868326
     /* 1868326 */   GIM_Try, /*On fail goto*//*Label 25195*/ GIMT_Encode4(1868415), // Rule ID 14288 //
     /* 1868331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1868342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1868345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1868348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868377 */     // MIs[0] policy
     /* 1868377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868387 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1868390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868414 */     // GIR_Coverage, 14288,
     /* 1868414 */     GIR_EraseRootFromParent_Done,
     /* 1868415 */   // Label 25195: @1868415
     /* 1868415 */   GIM_Try, /*On fail goto*//*Label 25196*/ GIMT_Encode4(1868504), // Rule ID 14291 //
     /* 1868420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1868431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1868434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1868437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868466 */     // MIs[0] policy
     /* 1868466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868476 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1868479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1868497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868503 */     // GIR_Coverage, 14291,
     /* 1868503 */     GIR_EraseRootFromParent_Done,
     /* 1868504 */   // Label 25196: @1868504
     /* 1868504 */   GIM_Try, /*On fail goto*//*Label 25197*/ GIMT_Encode4(1868593), // Rule ID 14292 //
     /* 1868509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1868520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1868523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1868526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868555 */     // MIs[0] policy
     /* 1868555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868565 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1868568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1868586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868592 */     // GIR_Coverage, 14292,
     /* 1868592 */     GIR_EraseRootFromParent_Done,
     /* 1868593 */   // Label 25197: @1868593
     /* 1868593 */   GIM_Try, /*On fail goto*//*Label 25198*/ GIMT_Encode4(1868682), // Rule ID 14295 //
     /* 1868598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1868601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1868609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1868612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1868615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868644 */     // MIs[0] policy
     /* 1868644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868654 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1868657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868677 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868681 */     // GIR_Coverage, 14295,
     /* 1868681 */     GIR_EraseRootFromParent_Done,
     /* 1868682 */   // Label 25198: @1868682
     /* 1868682 */   GIM_Try, /*On fail goto*//*Label 25199*/ GIMT_Encode4(1868771), // Rule ID 14296 //
     /* 1868687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1868690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1868698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1868701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1868704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868733 */     // MIs[0] policy
     /* 1868733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868743 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1868746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868766 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868770 */     // GIR_Coverage, 14296,
     /* 1868770 */     GIR_EraseRootFromParent_Done,
     /* 1868771 */   // Label 25199: @1868771
     /* 1868771 */   GIM_Try, /*On fail goto*//*Label 25200*/ GIMT_Encode4(1868860), // Rule ID 14299 //
     /* 1868776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1868787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1868790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1868793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1868799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1868806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868822 */     // MIs[0] policy
     /* 1868822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868832 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1868835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868859 */     // GIR_Coverage, 14299,
     /* 1868859 */     GIR_EraseRootFromParent_Done,
     /* 1868860 */   // Label 25200: @1868860
     /* 1868860 */   GIM_Try, /*On fail goto*//*Label 25201*/ GIMT_Encode4(1868949), // Rule ID 14300 //
     /* 1868865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1868876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1868879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1868882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1868885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1868888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1868895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868911 */     // MIs[0] policy
     /* 1868911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868921 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1868924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868944 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868948 */     // GIR_Coverage, 14300,
     /* 1868948 */     GIR_EraseRootFromParent_Done,
     /* 1868949 */   // Label 25201: @1868949
     /* 1868949 */   GIM_Try, /*On fail goto*//*Label 25202*/ GIMT_Encode4(1869038), // Rule ID 14303 //
     /* 1868954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1868962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1868965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1868968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1868971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1868974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1868977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1868984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869000 */     // MIs[0] policy
     /* 1869000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869010 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1869013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869037 */     // GIR_Coverage, 14303,
     /* 1869037 */     GIR_EraseRootFromParent_Done,
     /* 1869038 */   // Label 25202: @1869038
     /* 1869038 */   GIM_Try, /*On fail goto*//*Label 25203*/ GIMT_Encode4(1869127), // Rule ID 14304 //
     /* 1869043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1869054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1869057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1869060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1869066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1869073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869089 */     // MIs[0] policy
     /* 1869089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869099 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1869102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869122 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869126 */     // GIR_Coverage, 14304,
     /* 1869126 */     GIR_EraseRootFromParent_Done,
     /* 1869127 */   // Label 25203: @1869127
     /* 1869127 */   GIM_Try, /*On fail goto*//*Label 25204*/ GIMT_Encode4(1869216), // Rule ID 14307 //
     /* 1869132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1869143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1869146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1869149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1869155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1869162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869178 */     // MIs[0] policy
     /* 1869178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869188 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1869191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869215 */     // GIR_Coverage, 14307,
     /* 1869215 */     GIR_EraseRootFromParent_Done,
     /* 1869216 */   // Label 25204: @1869216
     /* 1869216 */   GIM_Try, /*On fail goto*//*Label 25205*/ GIMT_Encode4(1869305), // Rule ID 14308 //
     /* 1869221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1869232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1869235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1869238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1869244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1869251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869267 */     // MIs[0] policy
     /* 1869267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869277 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1869280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869304 */     // GIR_Coverage, 14308,
     /* 1869304 */     GIR_EraseRootFromParent_Done,
     /* 1869305 */   // Label 25205: @1869305
     /* 1869305 */   GIM_Try, /*On fail goto*//*Label 25206*/ GIMT_Encode4(1869394), // Rule ID 14311 //
     /* 1869310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1869321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1869324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1869327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1869340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869356 */     // MIs[0] policy
     /* 1869356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869366 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1869369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869393 */     // GIR_Coverage, 14311,
     /* 1869393 */     GIR_EraseRootFromParent_Done,
     /* 1869394 */   // Label 25206: @1869394
     /* 1869394 */   GIM_Try, /*On fail goto*//*Label 25207*/ GIMT_Encode4(1869483), // Rule ID 14312 //
     /* 1869399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1869410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1869413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1869416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1869429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869445 */     // MIs[0] policy
     /* 1869445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869455 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1869458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869482 */     // GIR_Coverage, 14312,
     /* 1869482 */     GIR_EraseRootFromParent_Done,
     /* 1869483 */   // Label 25207: @1869483
     /* 1869483 */   GIM_Try, /*On fail goto*//*Label 25208*/ GIMT_Encode4(1869572), // Rule ID 14315 //
     /* 1869488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1869499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1869502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1869505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1869511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1869518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869534 */     // MIs[0] policy
     /* 1869534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869544 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1869547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869571 */     // GIR_Coverage, 14315,
     /* 1869571 */     GIR_EraseRootFromParent_Done,
     /* 1869572 */   // Label 25208: @1869572
     /* 1869572 */   GIM_Try, /*On fail goto*//*Label 25209*/ GIMT_Encode4(1869661), // Rule ID 14316 //
     /* 1869577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1869588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1869591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1869594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1869600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1869607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869623 */     // MIs[0] policy
     /* 1869623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869633 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1869636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869660 */     // GIR_Coverage, 14316,
     /* 1869660 */     GIR_EraseRootFromParent_Done,
     /* 1869661 */   // Label 25209: @1869661
     /* 1869661 */   GIM_Try, /*On fail goto*//*Label 25210*/ GIMT_Encode4(1869750), // Rule ID 14319 //
     /* 1869666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1869677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1869680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1869683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1869689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1869696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869712 */     // MIs[0] policy
     /* 1869712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869722 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1869725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869749 */     // GIR_Coverage, 14319,
     /* 1869749 */     GIR_EraseRootFromParent_Done,
     /* 1869750 */   // Label 25210: @1869750
     /* 1869750 */   GIM_Try, /*On fail goto*//*Label 25211*/ GIMT_Encode4(1869839), // Rule ID 14320 //
     /* 1869755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1869766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1869769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1869772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1869778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1869785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869801 */     // MIs[0] policy
     /* 1869801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869811 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1869814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869838 */     // GIR_Coverage, 14320,
     /* 1869838 */     GIR_EraseRootFromParent_Done,
     /* 1869839 */   // Label 25211: @1869839
     /* 1869839 */   GIM_Try, /*On fail goto*//*Label 25212*/ GIMT_Encode4(1869928), // Rule ID 14323 //
     /* 1869844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1869855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1869858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1869861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1869864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1869874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869890 */     // MIs[0] policy
     /* 1869890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869900 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1869903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869927 */     // GIR_Coverage, 14323,
     /* 1869927 */     GIR_EraseRootFromParent_Done,
     /* 1869928 */   // Label 25212: @1869928
     /* 1869928 */   GIM_Try, /*On fail goto*//*Label 25213*/ GIMT_Encode4(1870017), // Rule ID 14324 //
     /* 1869933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1869941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1869944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1869947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1869950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1869953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1869963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869979 */     // MIs[0] policy
     /* 1869979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869989 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1869992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870016 */     // GIR_Coverage, 14324,
     /* 1870016 */     GIR_EraseRootFromParent_Done,
     /* 1870017 */   // Label 25213: @1870017
     /* 1870017 */   GIM_Try, /*On fail goto*//*Label 25214*/ GIMT_Encode4(1870106), // Rule ID 14327 //
     /* 1870022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1870033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1870036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1870039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870068 */     // MIs[0] policy
     /* 1870068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870078 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1870081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870105 */     // GIR_Coverage, 14327,
     /* 1870105 */     GIR_EraseRootFromParent_Done,
     /* 1870106 */   // Label 25214: @1870106
     /* 1870106 */   GIM_Try, /*On fail goto*//*Label 25215*/ GIMT_Encode4(1870195), // Rule ID 14328 //
     /* 1870111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1870122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1870125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1870128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870157 */     // MIs[0] policy
     /* 1870157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870167 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1870170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870194 */     // GIR_Coverage, 14328,
     /* 1870194 */     GIR_EraseRootFromParent_Done,
     /* 1870195 */   // Label 25215: @1870195
     /* 1870195 */   GIM_Try, /*On fail goto*//*Label 25216*/ GIMT_Encode4(1870284), // Rule ID 14331 //
     /* 1870200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1870211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1870214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1870217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870246 */     // MIs[0] policy
     /* 1870246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870256 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1870259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870283 */     // GIR_Coverage, 14331,
     /* 1870283 */     GIR_EraseRootFromParent_Done,
     /* 1870284 */   // Label 25216: @1870284
     /* 1870284 */   GIM_Try, /*On fail goto*//*Label 25217*/ GIMT_Encode4(1870373), // Rule ID 14332 //
     /* 1870289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1870300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1870303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1870306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870335 */     // MIs[0] policy
     /* 1870335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870345 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1870348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870372 */     // GIR_Coverage, 14332,
     /* 1870372 */     GIR_EraseRootFromParent_Done,
     /* 1870373 */   // Label 25217: @1870373
     /* 1870373 */   GIM_Try, /*On fail goto*//*Label 25218*/ GIMT_Encode4(1870462), // Rule ID 14335 //
     /* 1870378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1870381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1870389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1870392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1870395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1870401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870424 */     // MIs[0] policy
     /* 1870424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870434 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1870437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870461 */     // GIR_Coverage, 14335,
     /* 1870461 */     GIR_EraseRootFromParent_Done,
     /* 1870462 */   // Label 25218: @1870462
     /* 1870462 */   GIM_Try, /*On fail goto*//*Label 25219*/ GIMT_Encode4(1870551), // Rule ID 14336 //
     /* 1870467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1870470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1870478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1870481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1870484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1870490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870513 */     // MIs[0] policy
     /* 1870513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870523 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11431:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1870526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870550 */     // GIR_Coverage, 14336,
     /* 1870550 */     GIR_EraseRootFromParent_Done,
     /* 1870551 */   // Label 25219: @1870551
     /* 1870551 */   GIM_Try, /*On fail goto*//*Label 25220*/ GIMT_Encode4(1870640), // Rule ID 14339 //
     /* 1870556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1870559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1870567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1870570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1870573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1870579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870602 */     // MIs[0] policy
     /* 1870602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870612 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1870615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870639 */     // GIR_Coverage, 14339,
     /* 1870639 */     GIR_EraseRootFromParent_Done,
     /* 1870640 */   // Label 25220: @1870640
     /* 1870640 */   GIM_Try, /*On fail goto*//*Label 25221*/ GIMT_Encode4(1870729), // Rule ID 14340 //
     /* 1870645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1870648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1870656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1870659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1870662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1870668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870691 */     // MIs[0] policy
     /* 1870691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870701 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11431:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1870704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870724 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870728 */     // GIR_Coverage, 14340,
     /* 1870728 */     GIR_EraseRootFromParent_Done,
     /* 1870729 */   // Label 25221: @1870729
     /* 1870729 */   GIM_Try, /*On fail goto*//*Label 25222*/ GIMT_Encode4(1870818), // Rule ID 14343 //
     /* 1870734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1870737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1870745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1870748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1870751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870780 */     // MIs[0] policy
     /* 1870780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870790 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1870793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870817 */     // GIR_Coverage, 14343,
     /* 1870817 */     GIR_EraseRootFromParent_Done,
     /* 1870818 */   // Label 25222: @1870818
     /* 1870818 */   GIM_Try, /*On fail goto*//*Label 25223*/ GIMT_Encode4(1870907), // Rule ID 14344 //
     /* 1870823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1870826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1870831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1870834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1870837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1870840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870869 */     // MIs[0] policy
     /* 1870869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870879 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11431:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1870882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870906 */     // GIR_Coverage, 14344,
     /* 1870906 */     GIR_EraseRootFromParent_Done,
     /* 1870907 */   // Label 25223: @1870907
     /* 1870907 */   GIM_Try, /*On fail goto*//*Label 25224*/ GIMT_Encode4(1870996), // Rule ID 14435 //
     /* 1870912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1870920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1870923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1870926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1870929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1870932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1870935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870958 */     // MIs[0] policy
     /* 1870958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870968 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1870971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870995 */     // GIR_Coverage, 14435,
     /* 1870995 */     GIR_EraseRootFromParent_Done,
     /* 1870996 */   // Label 25224: @1870996
     /* 1870996 */   GIM_Try, /*On fail goto*//*Label 25225*/ GIMT_Encode4(1871085), // Rule ID 14436 //
     /* 1871001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1871012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1871015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1871018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1871021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871047 */     // MIs[0] policy
     /* 1871047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871057 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1871060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871080 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871084 */     // GIR_Coverage, 14436,
     /* 1871084 */     GIR_EraseRootFromParent_Done,
     /* 1871085 */   // Label 25225: @1871085
     /* 1871085 */   GIM_Try, /*On fail goto*//*Label 25226*/ GIMT_Encode4(1871174), // Rule ID 14439 //
     /* 1871090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1871101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1871104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1871107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1871110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871136 */     // MIs[0] policy
     /* 1871136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871146 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1871149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871173 */     // GIR_Coverage, 14439,
     /* 1871173 */     GIR_EraseRootFromParent_Done,
     /* 1871174 */   // Label 25226: @1871174
     /* 1871174 */   GIM_Try, /*On fail goto*//*Label 25227*/ GIMT_Encode4(1871263), // Rule ID 14440 //
     /* 1871179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1871190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1871193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1871196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1871199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871225 */     // MIs[0] policy
     /* 1871225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871235 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1871238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871262 */     // GIR_Coverage, 14440,
     /* 1871262 */     GIR_EraseRootFromParent_Done,
     /* 1871263 */   // Label 25227: @1871263
     /* 1871263 */   GIM_Try, /*On fail goto*//*Label 25228*/ GIMT_Encode4(1871352), // Rule ID 14443 //
     /* 1871268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1871279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1871282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1871285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1871288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871314 */     // MIs[0] policy
     /* 1871314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871324 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1871327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871351 */     // GIR_Coverage, 14443,
     /* 1871351 */     GIR_EraseRootFromParent_Done,
     /* 1871352 */   // Label 25228: @1871352
     /* 1871352 */   GIM_Try, /*On fail goto*//*Label 25229*/ GIMT_Encode4(1871441), // Rule ID 14444 //
     /* 1871357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1871368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1871371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1871374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1871377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871403 */     // MIs[0] policy
     /* 1871403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871413 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1871416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871440 */     // GIR_Coverage, 14444,
     /* 1871440 */     GIR_EraseRootFromParent_Done,
     /* 1871441 */   // Label 25229: @1871441
     /* 1871441 */   GIM_Try, /*On fail goto*//*Label 25230*/ GIMT_Encode4(1871530), // Rule ID 14447 //
     /* 1871446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1871457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1871460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1871463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1871466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871492 */     // MIs[0] policy
     /* 1871492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871502 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1871505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871525 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871529 */     // GIR_Coverage, 14447,
     /* 1871529 */     GIR_EraseRootFromParent_Done,
     /* 1871530 */   // Label 25230: @1871530
     /* 1871530 */   GIM_Try, /*On fail goto*//*Label 25231*/ GIMT_Encode4(1871619), // Rule ID 14448 //
     /* 1871535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1871546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1871549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1871552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1871555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871581 */     // MIs[0] policy
     /* 1871581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871591 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1871594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871618 */     // GIR_Coverage, 14448,
     /* 1871618 */     GIR_EraseRootFromParent_Done,
     /* 1871619 */   // Label 25231: @1871619
     /* 1871619 */   GIM_Try, /*On fail goto*//*Label 25232*/ GIMT_Encode4(1871708), // Rule ID 14451 //
     /* 1871624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1871635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1871638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1871641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1871644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871670 */     // MIs[0] policy
     /* 1871670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871680 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1871683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871703 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871707 */     // GIR_Coverage, 14451,
     /* 1871707 */     GIR_EraseRootFromParent_Done,
     /* 1871708 */   // Label 25232: @1871708
     /* 1871708 */   GIM_Try, /*On fail goto*//*Label 25233*/ GIMT_Encode4(1871797), // Rule ID 14452 //
     /* 1871713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1871724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1871727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1871730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1871733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871759 */     // MIs[0] policy
     /* 1871759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871769 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1871772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871796 */     // GIR_Coverage, 14452,
     /* 1871796 */     GIR_EraseRootFromParent_Done,
     /* 1871797 */   // Label 25233: @1871797
     /* 1871797 */   GIM_Try, /*On fail goto*//*Label 25234*/ GIMT_Encode4(1871886), // Rule ID 14455 //
     /* 1871802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1871813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1871816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1871819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1871822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871848 */     // MIs[0] policy
     /* 1871848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871858 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1871861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871885 */     // GIR_Coverage, 14455,
     /* 1871885 */     GIR_EraseRootFromParent_Done,
     /* 1871886 */   // Label 25234: @1871886
     /* 1871886 */   GIM_Try, /*On fail goto*//*Label 25235*/ GIMT_Encode4(1871975), // Rule ID 14456 //
     /* 1871891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1871902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1871905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1871908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1871911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871937 */     // MIs[0] policy
     /* 1871937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871947 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1871950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871974 */     // GIR_Coverage, 14456,
     /* 1871974 */     GIR_EraseRootFromParent_Done,
     /* 1871975 */   // Label 25235: @1871975
     /* 1871975 */   GIM_Try, /*On fail goto*//*Label 25236*/ GIMT_Encode4(1872064), // Rule ID 14459 //
     /* 1871980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1871991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1871994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1871997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1872000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872026 */     // MIs[0] policy
     /* 1872026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872036 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1872039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872063 */     // GIR_Coverage, 14459,
     /* 1872063 */     GIR_EraseRootFromParent_Done,
     /* 1872064 */   // Label 25236: @1872064
     /* 1872064 */   GIM_Try, /*On fail goto*//*Label 25237*/ GIMT_Encode4(1872153), // Rule ID 14460 //
     /* 1872069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1872080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1872083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1872086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1872089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872115 */     // MIs[0] policy
     /* 1872115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872125 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1872128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872152 */     // GIR_Coverage, 14460,
     /* 1872152 */     GIR_EraseRootFromParent_Done,
     /* 1872153 */   // Label 25237: @1872153
     /* 1872153 */   GIM_Try, /*On fail goto*//*Label 25238*/ GIMT_Encode4(1872242), // Rule ID 14463 //
     /* 1872158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1872169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1872172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1872175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1872178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872204 */     // MIs[0] policy
     /* 1872204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872214 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1872217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872241 */     // GIR_Coverage, 14463,
     /* 1872241 */     GIR_EraseRootFromParent_Done,
     /* 1872242 */   // Label 25238: @1872242
     /* 1872242 */   GIM_Try, /*On fail goto*//*Label 25239*/ GIMT_Encode4(1872331), // Rule ID 14464 //
     /* 1872247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1872258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1872261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1872264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1872267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872293 */     // MIs[0] policy
     /* 1872293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872303 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1872306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872330 */     // GIR_Coverage, 14464,
     /* 1872330 */     GIR_EraseRootFromParent_Done,
     /* 1872331 */   // Label 25239: @1872331
     /* 1872331 */   GIM_Try, /*On fail goto*//*Label 25240*/ GIMT_Encode4(1872420), // Rule ID 14467 //
     /* 1872336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1872347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1872350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1872353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1872356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872382 */     // MIs[0] policy
     /* 1872382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872392 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1872395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1872413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872415 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872419 */     // GIR_Coverage, 14467,
     /* 1872419 */     GIR_EraseRootFromParent_Done,
     /* 1872420 */   // Label 25240: @1872420
     /* 1872420 */   GIM_Try, /*On fail goto*//*Label 25241*/ GIMT_Encode4(1872509), // Rule ID 14468 //
     /* 1872425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1872436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1872439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1872442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1872445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872471 */     // MIs[0] policy
     /* 1872471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872481 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1872484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1872502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872504 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872508 */     // GIR_Coverage, 14468,
     /* 1872508 */     GIR_EraseRootFromParent_Done,
     /* 1872509 */   // Label 25241: @1872509
     /* 1872509 */   GIM_Try, /*On fail goto*//*Label 25242*/ GIMT_Encode4(1872598), // Rule ID 14471 //
     /* 1872514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1872517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1872525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1872528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1872531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1872534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872560 */     // MIs[0] policy
     /* 1872560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872570 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1872573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872593 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872597 */     // GIR_Coverage, 14471,
     /* 1872597 */     GIR_EraseRootFromParent_Done,
     /* 1872598 */   // Label 25242: @1872598
     /* 1872598 */   GIM_Try, /*On fail goto*//*Label 25243*/ GIMT_Encode4(1872687), // Rule ID 14472 //
     /* 1872603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1872606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1872614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1872617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1872620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1872623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872649 */     // MIs[0] policy
     /* 1872649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872659 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1872662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872686 */     // GIR_Coverage, 14472,
     /* 1872686 */     GIR_EraseRootFromParent_Done,
     /* 1872687 */   // Label 25243: @1872687
     /* 1872687 */   GIM_Try, /*On fail goto*//*Label 25244*/ GIMT_Encode4(1872776), // Rule ID 14475 //
     /* 1872692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1872703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1872706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1872709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1872712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1872715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1872722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872738 */     // MIs[0] policy
     /* 1872738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872748 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1872751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872771 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872775 */     // GIR_Coverage, 14475,
     /* 1872775 */     GIR_EraseRootFromParent_Done,
     /* 1872776 */   // Label 25244: @1872776
     /* 1872776 */   GIM_Try, /*On fail goto*//*Label 25245*/ GIMT_Encode4(1872865), // Rule ID 14476 //
     /* 1872781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1872792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1872795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1872798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1872801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1872804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1872811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872827 */     // MIs[0] policy
     /* 1872827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872837 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1872840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872864 */     // GIR_Coverage, 14476,
     /* 1872864 */     GIR_EraseRootFromParent_Done,
     /* 1872865 */   // Label 25245: @1872865
     /* 1872865 */   GIM_Try, /*On fail goto*//*Label 25246*/ GIMT_Encode4(1872954), // Rule ID 14479 //
     /* 1872870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1872881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1872884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1872887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1872890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1872893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1872900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872916 */     // MIs[0] policy
     /* 1872916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872926 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1872929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872953 */     // GIR_Coverage, 14479,
     /* 1872953 */     GIR_EraseRootFromParent_Done,
     /* 1872954 */   // Label 25246: @1872954
     /* 1872954 */   GIM_Try, /*On fail goto*//*Label 25247*/ GIMT_Encode4(1873043), // Rule ID 14480 //
     /* 1872959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1872970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1872973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1872976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1872979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1872982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1872989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873005 */     // MIs[0] policy
     /* 1873005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873015 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1873018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873042 */     // GIR_Coverage, 14480,
     /* 1873042 */     GIR_EraseRootFromParent_Done,
     /* 1873043 */   // Label 25247: @1873043
     /* 1873043 */   GIM_Try, /*On fail goto*//*Label 25248*/ GIMT_Encode4(1873132), // Rule ID 14483 //
     /* 1873048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1873059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1873062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1873065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1873068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1873071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1873078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873094 */     // MIs[0] policy
     /* 1873094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873104 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1873107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873131 */     // GIR_Coverage, 14483,
     /* 1873131 */     GIR_EraseRootFromParent_Done,
     /* 1873132 */   // Label 25248: @1873132
     /* 1873132 */   GIM_Try, /*On fail goto*//*Label 25249*/ GIMT_Encode4(1873221), // Rule ID 14484 //
     /* 1873137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1873148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1873151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1873154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1873157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1873160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1873167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873183 */     // MIs[0] policy
     /* 1873183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873193 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1873196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873220 */     // GIR_Coverage, 14484,
     /* 1873220 */     GIR_EraseRootFromParent_Done,
     /* 1873221 */   // Label 25249: @1873221
     /* 1873221 */   GIM_Try, /*On fail goto*//*Label 25250*/ GIMT_Encode4(1873310), // Rule ID 14487 //
     /* 1873226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1873237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1873240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1873243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1873246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873272 */     // MIs[0] policy
     /* 1873272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873282 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1873285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873309 */     // GIR_Coverage, 14487,
     /* 1873309 */     GIR_EraseRootFromParent_Done,
     /* 1873310 */   // Label 25250: @1873310
     /* 1873310 */   GIM_Try, /*On fail goto*//*Label 25251*/ GIMT_Encode4(1873399), // Rule ID 14488 //
     /* 1873315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1873326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1873329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1873332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1873335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873361 */     // MIs[0] policy
     /* 1873361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873371 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1873374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873398 */     // GIR_Coverage, 14488,
     /* 1873398 */     GIR_EraseRootFromParent_Done,
     /* 1873399 */   // Label 25251: @1873399
     /* 1873399 */   GIM_Try, /*On fail goto*//*Label 25252*/ GIMT_Encode4(1873488), // Rule ID 14491 //
     /* 1873404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1873415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1873418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1873421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1873424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1873427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1873434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873450 */     // MIs[0] policy
     /* 1873450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873460 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1873463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873487 */     // GIR_Coverage, 14491,
     /* 1873487 */     GIR_EraseRootFromParent_Done,
     /* 1873488 */   // Label 25252: @1873488
     /* 1873488 */   GIM_Try, /*On fail goto*//*Label 25253*/ GIMT_Encode4(1873577), // Rule ID 14492 //
     /* 1873493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1873504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1873507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1873510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1873513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1873516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1873523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873539 */     // MIs[0] policy
     /* 1873539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873549 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1873552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873576 */     // GIR_Coverage, 14492,
     /* 1873576 */     GIR_EraseRootFromParent_Done,
     /* 1873577 */   // Label 25253: @1873577
     /* 1873577 */   GIM_Try, /*On fail goto*//*Label 25254*/ GIMT_Encode4(1873666), // Rule ID 14495 //
     /* 1873582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1873593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1873596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1873599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1873602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1873605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1873612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873628 */     // MIs[0] policy
     /* 1873628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873638 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1873641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873661 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873665 */     // GIR_Coverage, 14495,
     /* 1873665 */     GIR_EraseRootFromParent_Done,
     /* 1873666 */   // Label 25254: @1873666
     /* 1873666 */   GIM_Try, /*On fail goto*//*Label 25255*/ GIMT_Encode4(1873755), // Rule ID 14496 //
     /* 1873671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1873682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1873685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1873688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1873691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1873694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1873701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873717 */     // MIs[0] policy
     /* 1873717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873727 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1873730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873754 */     // GIR_Coverage, 14496,
     /* 1873754 */     GIR_EraseRootFromParent_Done,
     /* 1873755 */   // Label 25255: @1873755
     /* 1873755 */   GIM_Try, /*On fail goto*//*Label 25256*/ GIMT_Encode4(1873844), // Rule ID 14499 //
     /* 1873760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1873771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1873774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1873777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1873780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873806 */     // MIs[0] policy
     /* 1873806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873816 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1873819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873839 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873843 */     // GIR_Coverage, 14499,
     /* 1873843 */     GIR_EraseRootFromParent_Done,
     /* 1873844 */   // Label 25256: @1873844
     /* 1873844 */   GIM_Try, /*On fail goto*//*Label 25257*/ GIMT_Encode4(1873933), // Rule ID 14500 //
     /* 1873849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1873860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1873863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1873866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1873869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873895 */     // MIs[0] policy
     /* 1873895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873905 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1873908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873932 */     // GIR_Coverage, 14500,
     /* 1873932 */     GIR_EraseRootFromParent_Done,
     /* 1873933 */   // Label 25257: @1873933
     /* 1873933 */   GIM_Try, /*On fail goto*//*Label 25258*/ GIMT_Encode4(1874022), // Rule ID 14503 //
     /* 1873938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1873949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1873952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1873955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1873958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1873968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873984 */     // MIs[0] policy
     /* 1873984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873994 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1873997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874021 */     // GIR_Coverage, 14503,
     /* 1874021 */     GIR_EraseRootFromParent_Done,
     /* 1874022 */   // Label 25258: @1874022
     /* 1874022 */   GIM_Try, /*On fail goto*//*Label 25259*/ GIMT_Encode4(1874111), // Rule ID 14504 //
     /* 1874027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1874038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1874041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1874044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1874047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874073 */     // MIs[0] policy
     /* 1874073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874083 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1874086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874110 */     // GIR_Coverage, 14504,
     /* 1874110 */     GIR_EraseRootFromParent_Done,
     /* 1874111 */   // Label 25259: @1874111
     /* 1874111 */   GIM_Try, /*On fail goto*//*Label 25260*/ GIMT_Encode4(1874200), // Rule ID 14507 //
     /* 1874116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1874127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1874130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1874133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1874136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874162 */     // MIs[0] policy
     /* 1874162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874172 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1874175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874195 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874199 */     // GIR_Coverage, 14507,
     /* 1874199 */     GIR_EraseRootFromParent_Done,
     /* 1874200 */   // Label 25260: @1874200
     /* 1874200 */   GIM_Try, /*On fail goto*//*Label 25261*/ GIMT_Encode4(1874289), // Rule ID 14508 //
     /* 1874205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1874216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1874219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1874222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1874225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874251 */     // MIs[0] policy
     /* 1874251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874261 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1874264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874284 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874288 */     // GIR_Coverage, 14508,
     /* 1874288 */     GIR_EraseRootFromParent_Done,
     /* 1874289 */   // Label 25261: @1874289
     /* 1874289 */   GIM_Try, /*On fail goto*//*Label 25262*/ GIMT_Encode4(1874378), // Rule ID 14511 //
     /* 1874294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1874297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1874305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1874308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1874311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1874314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1874317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874340 */     // MIs[0] policy
     /* 1874340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874350 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1874353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874377 */     // GIR_Coverage, 14511,
     /* 1874377 */     GIR_EraseRootFromParent_Done,
     /* 1874378 */   // Label 25262: @1874378
     /* 1874378 */   GIM_Try, /*On fail goto*//*Label 25263*/ GIMT_Encode4(1874467), // Rule ID 14512 //
     /* 1874383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1874386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1874394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1874397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1874400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1874403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1874406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874429 */     // MIs[0] policy
     /* 1874429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874439 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1874442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874466 */     // GIR_Coverage, 14512,
     /* 1874466 */     GIR_EraseRootFromParent_Done,
     /* 1874467 */   // Label 25263: @1874467
     /* 1874467 */   GIM_Try, /*On fail goto*//*Label 25264*/ GIMT_Encode4(1874556), // Rule ID 14515 //
     /* 1874472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1874475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1874483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1874486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1874489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1874492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1874495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874518 */     // MIs[0] policy
     /* 1874518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874528 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1874531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874555 */     // GIR_Coverage, 14515,
     /* 1874555 */     GIR_EraseRootFromParent_Done,
     /* 1874556 */   // Label 25264: @1874556
     /* 1874556 */   GIM_Try, /*On fail goto*//*Label 25265*/ GIMT_Encode4(1874645), // Rule ID 14516 //
     /* 1874561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1874564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1874572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1874575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1874578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1874581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1874584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874607 */     // MIs[0] policy
     /* 1874607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874617 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1874620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874644 */     // GIR_Coverage, 14516,
     /* 1874644 */     GIR_EraseRootFromParent_Done,
     /* 1874645 */   // Label 25265: @1874645
     /* 1874645 */   GIM_Try, /*On fail goto*//*Label 25266*/ GIMT_Encode4(1874734), // Rule ID 14519 //
     /* 1874650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1874653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1874661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1874664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1874667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1874670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874696 */     // MIs[0] policy
     /* 1874696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874706 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1874709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874729 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874733 */     // GIR_Coverage, 14519,
     /* 1874733 */     GIR_EraseRootFromParent_Done,
     /* 1874734 */   // Label 25266: @1874734
     /* 1874734 */   GIM_Try, /*On fail goto*//*Label 25267*/ GIMT_Encode4(1874823), // Rule ID 14520 //
     /* 1874739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1874742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1874750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1874753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1874756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1874759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874785 */     // MIs[0] policy
     /* 1874785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874795 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1874798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874822 */     // GIR_Coverage, 14520,
     /* 1874822 */     GIR_EraseRootFromParent_Done,
     /* 1874823 */   // Label 25267: @1874823
     /* 1874823 */   GIM_Try, /*On fail goto*//*Label 25268*/ GIMT_Encode4(1874912), // Rule ID 14523 //
     /* 1874828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1874839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1874842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1874845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1874851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874874 */     // MIs[0] policy
     /* 1874874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874884 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1874887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874911 */     // GIR_Coverage, 14523,
     /* 1874911 */     GIR_EraseRootFromParent_Done,
     /* 1874912 */   // Label 25268: @1874912
     /* 1874912 */   GIM_Try, /*On fail goto*//*Label 25269*/ GIMT_Encode4(1875001), // Rule ID 14524 //
     /* 1874917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1874925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1874928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1874931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1874934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1874937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1874940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874963 */     // MIs[0] policy
     /* 1874963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874973 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1874976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875000 */     // GIR_Coverage, 14524,
     /* 1875000 */     GIR_EraseRootFromParent_Done,
     /* 1875001 */   // Label 25269: @1875001
     /* 1875001 */   GIM_Try, /*On fail goto*//*Label 25270*/ GIMT_Encode4(1875090), // Rule ID 14527 //
     /* 1875006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1875017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1875020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1875023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875052 */     // MIs[0] policy
     /* 1875052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875062 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1875065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875089 */     // GIR_Coverage, 14527,
     /* 1875089 */     GIR_EraseRootFromParent_Done,
     /* 1875090 */   // Label 25270: @1875090
     /* 1875090 */   GIM_Try, /*On fail goto*//*Label 25271*/ GIMT_Encode4(1875179), // Rule ID 14528 //
     /* 1875095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1875106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1875109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1875112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875141 */     // MIs[0] policy
     /* 1875141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875151 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1875154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875178 */     // GIR_Coverage, 14528,
     /* 1875178 */     GIR_EraseRootFromParent_Done,
     /* 1875179 */   // Label 25271: @1875179
     /* 1875179 */   GIM_Try, /*On fail goto*//*Label 25272*/ GIMT_Encode4(1875268), // Rule ID 14531 //
     /* 1875184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1875195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1875198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1875201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875230 */     // MIs[0] policy
     /* 1875230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875240 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1875243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875267 */     // GIR_Coverage, 14531,
     /* 1875267 */     GIR_EraseRootFromParent_Done,
     /* 1875268 */   // Label 25272: @1875268
     /* 1875268 */   GIM_Try, /*On fail goto*//*Label 25273*/ GIMT_Encode4(1875357), // Rule ID 14532 //
     /* 1875273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1875284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1875287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1875290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875319 */     // MIs[0] policy
     /* 1875319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875329 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1875332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875356 */     // GIR_Coverage, 14532,
     /* 1875356 */     GIR_EraseRootFromParent_Done,
     /* 1875357 */   // Label 25273: @1875357
     /* 1875357 */   GIM_Try, /*On fail goto*//*Label 25274*/ GIMT_Encode4(1875446), // Rule ID 14535 //
     /* 1875362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1875373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1875376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1875379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1875385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875408 */     // MIs[0] policy
     /* 1875408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875418 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1875421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875445 */     // GIR_Coverage, 14535,
     /* 1875445 */     GIR_EraseRootFromParent_Done,
     /* 1875446 */   // Label 25274: @1875446
     /* 1875446 */   GIM_Try, /*On fail goto*//*Label 25275*/ GIMT_Encode4(1875535), // Rule ID 14536 //
     /* 1875451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1875462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1875465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1875468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1875474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875497 */     // MIs[0] policy
     /* 1875497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875507 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1875510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875534 */     // GIR_Coverage, 14536,
     /* 1875534 */     GIR_EraseRootFromParent_Done,
     /* 1875535 */   // Label 25275: @1875535
     /* 1875535 */   GIM_Try, /*On fail goto*//*Label 25276*/ GIMT_Encode4(1875624), // Rule ID 14539 //
     /* 1875540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1875551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1875554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1875557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875586 */     // MIs[0] policy
     /* 1875586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875596 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1875599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875623 */     // GIR_Coverage, 14539,
     /* 1875623 */     GIR_EraseRootFromParent_Done,
     /* 1875624 */   // Label 25276: @1875624
     /* 1875624 */   GIM_Try, /*On fail goto*//*Label 25277*/ GIMT_Encode4(1875713), // Rule ID 14540 //
     /* 1875629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1875640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1875643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1875646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875675 */     // MIs[0] policy
     /* 1875675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875685 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1875688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875712 */     // GIR_Coverage, 14540,
     /* 1875712 */     GIR_EraseRootFromParent_Done,
     /* 1875713 */   // Label 25277: @1875713
     /* 1875713 */   GIM_Try, /*On fail goto*//*Label 25278*/ GIMT_Encode4(1875802), // Rule ID 14543 //
     /* 1875718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1875729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1875732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1875735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1875741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875764 */     // MIs[0] policy
     /* 1875764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875774 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1875777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875801 */     // GIR_Coverage, 14543,
     /* 1875801 */     GIR_EraseRootFromParent_Done,
     /* 1875802 */   // Label 25278: @1875802
     /* 1875802 */   GIM_Try, /*On fail goto*//*Label 25279*/ GIMT_Encode4(1875891), // Rule ID 14544 //
     /* 1875807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1875818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1875821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1875824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1875830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875853 */     // MIs[0] policy
     /* 1875853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875863 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1875866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875886 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875890 */     // GIR_Coverage, 14544,
     /* 1875890 */     GIR_EraseRootFromParent_Done,
     /* 1875891 */   // Label 25279: @1875891
     /* 1875891 */   GIM_Try, /*On fail goto*//*Label 25280*/ GIMT_Encode4(1875980), // Rule ID 14547 //
     /* 1875896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1875907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1875910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1875913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875942 */     // MIs[0] policy
     /* 1875942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875952 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1875955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875979 */     // GIR_Coverage, 14547,
     /* 1875979 */     GIR_EraseRootFromParent_Done,
     /* 1875980 */   // Label 25280: @1875980
     /* 1875980 */   GIM_Try, /*On fail goto*//*Label 25281*/ GIMT_Encode4(1876069), // Rule ID 14548 //
     /* 1875985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1875993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1875996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1875999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1876002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1876008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876031 */     // MIs[0] policy
     /* 1876031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876041 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1876044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876064 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876068 */     // GIR_Coverage, 14548,
     /* 1876068 */     GIR_EraseRootFromParent_Done,
     /* 1876069 */   // Label 25281: @1876069
     /* 1876069 */   GIM_Try, /*On fail goto*//*Label 25282*/ GIMT_Encode4(1876158), // Rule ID 14551 //
     /* 1876074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1876085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1876088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1876091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876120 */     // MIs[0] policy
     /* 1876120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876130 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1876133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876157 */     // GIR_Coverage, 14551,
     /* 1876157 */     GIR_EraseRootFromParent_Done,
     /* 1876158 */   // Label 25282: @1876158
     /* 1876158 */   GIM_Try, /*On fail goto*//*Label 25283*/ GIMT_Encode4(1876247), // Rule ID 14552 //
     /* 1876163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1876174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1876177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1876180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876209 */     // MIs[0] policy
     /* 1876209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876219 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1876222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876242 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876246 */     // GIR_Coverage, 14552,
     /* 1876246 */     GIR_EraseRootFromParent_Done,
     /* 1876247 */   // Label 25283: @1876247
     /* 1876247 */   GIM_Try, /*On fail goto*//*Label 25284*/ GIMT_Encode4(1876336), // Rule ID 14555 //
     /* 1876252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1876263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1876266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1876269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876298 */     // MIs[0] policy
     /* 1876298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1876311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876335 */     // GIR_Coverage, 14555,
     /* 1876335 */     GIR_EraseRootFromParent_Done,
     /* 1876336 */   // Label 25284: @1876336
     /* 1876336 */   GIM_Try, /*On fail goto*//*Label 25285*/ GIMT_Encode4(1876425), // Rule ID 14556 //
     /* 1876341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1876352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1876355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1876358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876387 */     // MIs[0] policy
     /* 1876387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876397 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1876400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876424 */     // GIR_Coverage, 14556,
     /* 1876424 */     GIR_EraseRootFromParent_Done,
     /* 1876425 */   // Label 25285: @1876425
     /* 1876425 */   GIM_Try, /*On fail goto*//*Label 25286*/ GIMT_Encode4(1876514), // Rule ID 14559 //
     /* 1876430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1876433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1876441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1876444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1876447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876476 */     // MIs[0] policy
     /* 1876476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876486 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1876489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876513 */     // GIR_Coverage, 14559,
     /* 1876513 */     GIR_EraseRootFromParent_Done,
     /* 1876514 */   // Label 25286: @1876514
     /* 1876514 */   GIM_Try, /*On fail goto*//*Label 25287*/ GIMT_Encode4(1876603), // Rule ID 14560 //
     /* 1876519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1876522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1876530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1876533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1876536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876565 */     // MIs[0] policy
     /* 1876565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876575 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1876578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876602 */     // GIR_Coverage, 14560,
     /* 1876602 */     GIR_EraseRootFromParent_Done,
     /* 1876603 */   // Label 25287: @1876603
     /* 1876603 */   GIM_Try, /*On fail goto*//*Label 25288*/ GIMT_Encode4(1876692), // Rule ID 14563 //
     /* 1876608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1876619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1876622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1876625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1876631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1876638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876654 */     // MIs[0] policy
     /* 1876654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876664 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1876667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876691 */     // GIR_Coverage, 14563,
     /* 1876691 */     GIR_EraseRootFromParent_Done,
     /* 1876692 */   // Label 25288: @1876692
     /* 1876692 */   GIM_Try, /*On fail goto*//*Label 25289*/ GIMT_Encode4(1876781), // Rule ID 14564 //
     /* 1876697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1876708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1876711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1876714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1876720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1876727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876743 */     // MIs[0] policy
     /* 1876743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876753 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1876756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876780 */     // GIR_Coverage, 14564,
     /* 1876780 */     GIR_EraseRootFromParent_Done,
     /* 1876781 */   // Label 25289: @1876781
     /* 1876781 */   GIM_Try, /*On fail goto*//*Label 25290*/ GIMT_Encode4(1876870), // Rule ID 14567 //
     /* 1876786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1876797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1876800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1876803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1876809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1876816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876832 */     // MIs[0] policy
     /* 1876832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876842 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1876845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876865 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876869 */     // GIR_Coverage, 14567,
     /* 1876869 */     GIR_EraseRootFromParent_Done,
     /* 1876870 */   // Label 25290: @1876870
     /* 1876870 */   GIM_Try, /*On fail goto*//*Label 25291*/ GIMT_Encode4(1876959), // Rule ID 14568 //
     /* 1876875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1876886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1876889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1876892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1876895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1876898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1876905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1876917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876921 */     // MIs[0] policy
     /* 1876921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876931 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1876934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876958 */     // GIR_Coverage, 14568,
     /* 1876958 */     GIR_EraseRootFromParent_Done,
     /* 1876959 */   // Label 25291: @1876959
     /* 1876959 */   GIM_Try, /*On fail goto*//*Label 25292*/ GIMT_Encode4(1877048), // Rule ID 14571 //
     /* 1876964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1876972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1876975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1876978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1876981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1876984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1876987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1876994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877010 */     // MIs[0] policy
     /* 1877010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877020 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1877023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877047 */     // GIR_Coverage, 14571,
     /* 1877047 */     GIR_EraseRootFromParent_Done,
     /* 1877048 */   // Label 25292: @1877048
     /* 1877048 */   GIM_Try, /*On fail goto*//*Label 25293*/ GIMT_Encode4(1877137), // Rule ID 14572 //
     /* 1877053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1877064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1877067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1877070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1877076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1877083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877099 */     // MIs[0] policy
     /* 1877099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877109 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1877112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877136 */     // GIR_Coverage, 14572,
     /* 1877136 */     GIR_EraseRootFromParent_Done,
     /* 1877137 */   // Label 25293: @1877137
     /* 1877137 */   GIM_Try, /*On fail goto*//*Label 25294*/ GIMT_Encode4(1877226), // Rule ID 14575 //
     /* 1877142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1877153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1877156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1877159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877188 */     // MIs[0] policy
     /* 1877188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877198 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1877201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877225 */     // GIR_Coverage, 14575,
     /* 1877225 */     GIR_EraseRootFromParent_Done,
     /* 1877226 */   // Label 25294: @1877226
     /* 1877226 */   GIM_Try, /*On fail goto*//*Label 25295*/ GIMT_Encode4(1877315), // Rule ID 14576 //
     /* 1877231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1877242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1877245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1877248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877277 */     // MIs[0] policy
     /* 1877277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877287 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1877290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877314 */     // GIR_Coverage, 14576,
     /* 1877314 */     GIR_EraseRootFromParent_Done,
     /* 1877315 */   // Label 25295: @1877315
     /* 1877315 */   GIM_Try, /*On fail goto*//*Label 25296*/ GIMT_Encode4(1877404), // Rule ID 14579 //
     /* 1877320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1877331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1877334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1877337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1877343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877366 */     // MIs[0] policy
     /* 1877366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877376 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1877379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877403 */     // GIR_Coverage, 14579,
     /* 1877403 */     GIR_EraseRootFromParent_Done,
     /* 1877404 */   // Label 25296: @1877404
     /* 1877404 */   GIM_Try, /*On fail goto*//*Label 25297*/ GIMT_Encode4(1877493), // Rule ID 14580 //
     /* 1877409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1877420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1877423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1877426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1877432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877455 */     // MIs[0] policy
     /* 1877455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877465 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1877468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877492 */     // GIR_Coverage, 14580,
     /* 1877492 */     GIR_EraseRootFromParent_Done,
     /* 1877493 */   // Label 25297: @1877493
     /* 1877493 */   GIM_Try, /*On fail goto*//*Label 25298*/ GIMT_Encode4(1877582), // Rule ID 14583 //
     /* 1877498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1877509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1877512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1877515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1877521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1877528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877544 */     // MIs[0] policy
     /* 1877544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877554 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1877557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877581 */     // GIR_Coverage, 14583,
     /* 1877581 */     GIR_EraseRootFromParent_Done,
     /* 1877582 */   // Label 25298: @1877582
     /* 1877582 */   GIM_Try, /*On fail goto*//*Label 25299*/ GIMT_Encode4(1877671), // Rule ID 14584 //
     /* 1877587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1877598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1877601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1877604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1877610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1877617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877633 */     // MIs[0] policy
     /* 1877633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877643 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1877646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877670 */     // GIR_Coverage, 14584,
     /* 1877670 */     GIR_EraseRootFromParent_Done,
     /* 1877671 */   // Label 25299: @1877671
     /* 1877671 */   GIM_Try, /*On fail goto*//*Label 25300*/ GIMT_Encode4(1877760), // Rule ID 14587 //
     /* 1877676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1877687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1877690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1877693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877722 */     // MIs[0] policy
     /* 1877722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877732 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1877735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877755 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877759 */     // GIR_Coverage, 14587,
     /* 1877759 */     GIR_EraseRootFromParent_Done,
     /* 1877760 */   // Label 25300: @1877760
     /* 1877760 */   GIM_Try, /*On fail goto*//*Label 25301*/ GIMT_Encode4(1877849), // Rule ID 14588 //
     /* 1877765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1877776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1877779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1877782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877811 */     // MIs[0] policy
     /* 1877811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1877824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877844 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877848 */     // GIR_Coverage, 14588,
     /* 1877848 */     GIR_EraseRootFromParent_Done,
     /* 1877849 */   // Label 25301: @1877849
     /* 1877849 */   GIM_Try, /*On fail goto*//*Label 25302*/ GIMT_Encode4(1877938), // Rule ID 14591 //
     /* 1877854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1877865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1877868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1877871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877900 */     // MIs[0] policy
     /* 1877900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877910 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1877913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877933 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877937 */     // GIR_Coverage, 14591,
     /* 1877937 */     GIR_EraseRootFromParent_Done,
     /* 1877938 */   // Label 25302: @1877938
     /* 1877938 */   GIM_Try, /*On fail goto*//*Label 25303*/ GIMT_Encode4(1878027), // Rule ID 14592 //
     /* 1877943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1877951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1877954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1877957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1877960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1877963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877989 */     // MIs[0] policy
     /* 1877989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877999 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1878002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878026 */     // GIR_Coverage, 14592,
     /* 1878026 */     GIR_EraseRootFromParent_Done,
     /* 1878027 */   // Label 25303: @1878027
     /* 1878027 */   GIM_Try, /*On fail goto*//*Label 25304*/ GIMT_Encode4(1878116), // Rule ID 14595 //
     /* 1878032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1878043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1878046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1878049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878078 */     // MIs[0] policy
     /* 1878078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878088 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1878091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878115 */     // GIR_Coverage, 14595,
     /* 1878115 */     GIR_EraseRootFromParent_Done,
     /* 1878116 */   // Label 25304: @1878116
     /* 1878116 */   GIM_Try, /*On fail goto*//*Label 25305*/ GIMT_Encode4(1878205), // Rule ID 14596 //
     /* 1878121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1878132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1878135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1878138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878167 */     // MIs[0] policy
     /* 1878167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878177 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1878180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878204 */     // GIR_Coverage, 14596,
     /* 1878204 */     GIR_EraseRootFromParent_Done,
     /* 1878205 */   // Label 25305: @1878205
     /* 1878205 */   GIM_Try, /*On fail goto*//*Label 25306*/ GIMT_Encode4(1878294), // Rule ID 14599 //
     /* 1878210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1878213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1878221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1878224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1878227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1878233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878256 */     // MIs[0] policy
     /* 1878256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878266 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1878269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878293 */     // GIR_Coverage, 14599,
     /* 1878293 */     GIR_EraseRootFromParent_Done,
     /* 1878294 */   // Label 25306: @1878294
     /* 1878294 */   GIM_Try, /*On fail goto*//*Label 25307*/ GIMT_Encode4(1878383), // Rule ID 14600 //
     /* 1878299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1878302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1878310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1878313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1878316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1878322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878345 */     // MIs[0] policy
     /* 1878345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878355 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1878358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878382 */     // GIR_Coverage, 14600,
     /* 1878382 */     GIR_EraseRootFromParent_Done,
     /* 1878383 */   // Label 25307: @1878383
     /* 1878383 */   GIM_Try, /*On fail goto*//*Label 25308*/ GIMT_Encode4(1878472), // Rule ID 14603 //
     /* 1878388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1878391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1878399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1878402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1878405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1878411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878434 */     // MIs[0] policy
     /* 1878434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878444 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1878447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878471 */     // GIR_Coverage, 14603,
     /* 1878471 */     GIR_EraseRootFromParent_Done,
     /* 1878472 */   // Label 25308: @1878472
     /* 1878472 */   GIM_Try, /*On fail goto*//*Label 25309*/ GIMT_Encode4(1878561), // Rule ID 14604 //
     /* 1878477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1878480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1878488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1878491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1878494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1878500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878523 */     // MIs[0] policy
     /* 1878523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878533 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1878536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878560 */     // GIR_Coverage, 14604,
     /* 1878560 */     GIR_EraseRootFromParent_Done,
     /* 1878561 */   // Label 25309: @1878561
     /* 1878561 */   GIM_Try, /*On fail goto*//*Label 25310*/ GIMT_Encode4(1878650), // Rule ID 14607 //
     /* 1878566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1878569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1878577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1878580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1878583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878612 */     // MIs[0] policy
     /* 1878612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878622 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1878625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878649 */     // GIR_Coverage, 14607,
     /* 1878649 */     GIR_EraseRootFromParent_Done,
     /* 1878650 */   // Label 25310: @1878650
     /* 1878650 */   GIM_Try, /*On fail goto*//*Label 25311*/ GIMT_Encode4(1878739), // Rule ID 14608 //
     /* 1878655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1878658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1878663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1878666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1878669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1878672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878701 */     // MIs[0] policy
     /* 1878701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878711 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1878714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1878732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878738 */     // GIR_Coverage, 14608,
     /* 1878738 */     GIR_EraseRootFromParent_Done,
     /* 1878739 */   // Label 25311: @1878739
     /* 1878739 */   GIM_Try, /*On fail goto*//*Label 25312*/ GIMT_Encode4(1878828), // Rule ID 14611 //
     /* 1878744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1878752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1878755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1878758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1878761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1878764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1878767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878790 */     // MIs[0] policy
     /* 1878790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878800 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1878803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878823 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878827 */     // GIR_Coverage, 14611,
     /* 1878827 */     GIR_EraseRootFromParent_Done,
     /* 1878828 */   // Label 25312: @1878828
     /* 1878828 */   GIM_Try, /*On fail goto*//*Label 25313*/ GIMT_Encode4(1878917), // Rule ID 14612 //
     /* 1878833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1878841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1878844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1878847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1878850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1878853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1878856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878879 */     // MIs[0] policy
     /* 1878879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878889 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1878892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878916 */     // GIR_Coverage, 14612,
     /* 1878916 */     GIR_EraseRootFromParent_Done,
     /* 1878917 */   // Label 25313: @1878917
     /* 1878917 */   GIM_Try, /*On fail goto*//*Label 25314*/ GIMT_Encode4(1879006), // Rule ID 14615 //
     /* 1878922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1878930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1878933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1878936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1878939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1878942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1878945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878968 */     // MIs[0] policy
     /* 1878968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878978 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1878981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879005 */     // GIR_Coverage, 14615,
     /* 1879005 */     GIR_EraseRootFromParent_Done,
     /* 1879006 */   // Label 25314: @1879006
     /* 1879006 */   GIM_Try, /*On fail goto*//*Label 25315*/ GIMT_Encode4(1879095), // Rule ID 14616 //
     /* 1879011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1879022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1879025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1879028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1879031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879057 */     // MIs[0] policy
     /* 1879057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879067 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1879070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879094 */     // GIR_Coverage, 14616,
     /* 1879094 */     GIR_EraseRootFromParent_Done,
     /* 1879095 */   // Label 25315: @1879095
     /* 1879095 */   GIM_Try, /*On fail goto*//*Label 25316*/ GIMT_Encode4(1879184), // Rule ID 14619 //
     /* 1879100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1879111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1879114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1879117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1879120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879146 */     // MIs[0] policy
     /* 1879146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879156 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1879159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879183 */     // GIR_Coverage, 14619,
     /* 1879183 */     GIR_EraseRootFromParent_Done,
     /* 1879184 */   // Label 25316: @1879184
     /* 1879184 */   GIM_Try, /*On fail goto*//*Label 25317*/ GIMT_Encode4(1879273), // Rule ID 14620 //
     /* 1879189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1879200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1879203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1879206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1879209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879235 */     // MIs[0] policy
     /* 1879235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879245 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1879248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879272 */     // GIR_Coverage, 14620,
     /* 1879272 */     GIR_EraseRootFromParent_Done,
     /* 1879273 */   // Label 25317: @1879273
     /* 1879273 */   GIM_Try, /*On fail goto*//*Label 25318*/ GIMT_Encode4(1879362), // Rule ID 14623 //
     /* 1879278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1879289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1879292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1879295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1879298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879324 */     // MIs[0] policy
     /* 1879324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879334 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1879337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879361 */     // GIR_Coverage, 14623,
     /* 1879361 */     GIR_EraseRootFromParent_Done,
     /* 1879362 */   // Label 25318: @1879362
     /* 1879362 */   GIM_Try, /*On fail goto*//*Label 25319*/ GIMT_Encode4(1879451), // Rule ID 14624 //
     /* 1879367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1879378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1879381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1879384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1879387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879413 */     // MIs[0] policy
     /* 1879413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879423 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1879426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879450 */     // GIR_Coverage, 14624,
     /* 1879450 */     GIR_EraseRootFromParent_Done,
     /* 1879451 */   // Label 25319: @1879451
     /* 1879451 */   GIM_Try, /*On fail goto*//*Label 25320*/ GIMT_Encode4(1879540), // Rule ID 14627 //
     /* 1879456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1879467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1879470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1879473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1879476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879502 */     // MIs[0] policy
     /* 1879502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879512 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1879515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879539 */     // GIR_Coverage, 14627,
     /* 1879539 */     GIR_EraseRootFromParent_Done,
     /* 1879540 */   // Label 25320: @1879540
     /* 1879540 */   GIM_Try, /*On fail goto*//*Label 25321*/ GIMT_Encode4(1879629), // Rule ID 14628 //
     /* 1879545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1879556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1879559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1879562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1879565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879591 */     // MIs[0] policy
     /* 1879591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879601 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1879604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879624 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879628 */     // GIR_Coverage, 14628,
     /* 1879628 */     GIR_EraseRootFromParent_Done,
     /* 1879629 */   // Label 25321: @1879629
     /* 1879629 */   GIM_Try, /*On fail goto*//*Label 25322*/ GIMT_Encode4(1879718), // Rule ID 14631 //
     /* 1879634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1879645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1879648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1879651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1879654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879680 */     // MIs[0] policy
     /* 1879680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879690 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1879693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879713 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879717 */     // GIR_Coverage, 14631,
     /* 1879717 */     GIR_EraseRootFromParent_Done,
     /* 1879718 */   // Label 25322: @1879718
     /* 1879718 */   GIM_Try, /*On fail goto*//*Label 25323*/ GIMT_Encode4(1879807), // Rule ID 14632 //
     /* 1879723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1879734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1879737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1879740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1879743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879769 */     // MIs[0] policy
     /* 1879769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879779 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1879782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879806 */     // GIR_Coverage, 14632,
     /* 1879806 */     GIR_EraseRootFromParent_Done,
     /* 1879807 */   // Label 25323: @1879807
     /* 1879807 */   GIM_Try, /*On fail goto*//*Label 25324*/ GIMT_Encode4(1879896), // Rule ID 14635 //
     /* 1879812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1879823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1879826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1879829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1879832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879858 */     // MIs[0] policy
     /* 1879858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879868 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1879871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879891 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879895 */     // GIR_Coverage, 14635,
     /* 1879895 */     GIR_EraseRootFromParent_Done,
     /* 1879896 */   // Label 25324: @1879896
     /* 1879896 */   GIM_Try, /*On fail goto*//*Label 25325*/ GIMT_Encode4(1879985), // Rule ID 14636 //
     /* 1879901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1879912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1879915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1879918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1879921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879947 */     // MIs[0] policy
     /* 1879947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879957 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1879960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879984 */     // GIR_Coverage, 14636,
     /* 1879984 */     GIR_EraseRootFromParent_Done,
     /* 1879985 */   // Label 25325: @1879985
     /* 1879985 */   GIM_Try, /*On fail goto*//*Label 25326*/ GIMT_Encode4(1880074), // Rule ID 14639 //
     /* 1879990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1880001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1880004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1880007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1880010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880036 */     // MIs[0] policy
     /* 1880036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880046 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1880049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880073 */     // GIR_Coverage, 14639,
     /* 1880073 */     GIR_EraseRootFromParent_Done,
     /* 1880074 */   // Label 25326: @1880074
     /* 1880074 */   GIM_Try, /*On fail goto*//*Label 25327*/ GIMT_Encode4(1880163), // Rule ID 14640 //
     /* 1880079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1880090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1880093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1880096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1880099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880125 */     // MIs[0] policy
     /* 1880125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880135 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1880138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880162 */     // GIR_Coverage, 14640,
     /* 1880162 */     GIR_EraseRootFromParent_Done,
     /* 1880163 */   // Label 25327: @1880163
     /* 1880163 */   GIM_Try, /*On fail goto*//*Label 25328*/ GIMT_Encode4(1880252), // Rule ID 14643 //
     /* 1880168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1880179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1880182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1880185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1880188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880214 */     // MIs[0] policy
     /* 1880214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1880227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880251 */     // GIR_Coverage, 14643,
     /* 1880251 */     GIR_EraseRootFromParent_Done,
     /* 1880252 */   // Label 25328: @1880252
     /* 1880252 */   GIM_Try, /*On fail goto*//*Label 25329*/ GIMT_Encode4(1880341), // Rule ID 14644 //
     /* 1880257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1880268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1880271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1880274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1880277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880303 */     // MIs[0] policy
     /* 1880303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880313 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1880316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880340 */     // GIR_Coverage, 14644,
     /* 1880340 */     GIR_EraseRootFromParent_Done,
     /* 1880341 */   // Label 25329: @1880341
     /* 1880341 */   GIM_Try, /*On fail goto*//*Label 25330*/ GIMT_Encode4(1880430), // Rule ID 14647 //
     /* 1880346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1880349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1880357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1880360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1880363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1880366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880392 */     // MIs[0] policy
     /* 1880392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880402 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1880405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880429 */     // GIR_Coverage, 14647,
     /* 1880429 */     GIR_EraseRootFromParent_Done,
     /* 1880430 */   // Label 25330: @1880430
     /* 1880430 */   GIM_Try, /*On fail goto*//*Label 25331*/ GIMT_Encode4(1880519), // Rule ID 14648 //
     /* 1880435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1880438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1880446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1880449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1880452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1880455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880481 */     // MIs[0] policy
     /* 1880481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880491 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1880494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1880512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880518 */     // GIR_Coverage, 14648,
     /* 1880518 */     GIR_EraseRootFromParent_Done,
     /* 1880519 */   // Label 25331: @1880519
     /* 1880519 */   GIM_Try, /*On fail goto*//*Label 25332*/ GIMT_Encode4(1880608), // Rule ID 14651 //
     /* 1880524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1880535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1880538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1880541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1880544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1880547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1880554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880570 */     // MIs[0] policy
     /* 1880570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880580 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1880583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880607 */     // GIR_Coverage, 14651,
     /* 1880607 */     GIR_EraseRootFromParent_Done,
     /* 1880608 */   // Label 25332: @1880608
     /* 1880608 */   GIM_Try, /*On fail goto*//*Label 25333*/ GIMT_Encode4(1880697), // Rule ID 14652 //
     /* 1880613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1880624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1880627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1880630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1880633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1880636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1880643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880659 */     // MIs[0] policy
     /* 1880659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880669 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1880672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880696 */     // GIR_Coverage, 14652,
     /* 1880696 */     GIR_EraseRootFromParent_Done,
     /* 1880697 */   // Label 25333: @1880697
     /* 1880697 */   GIM_Try, /*On fail goto*//*Label 25334*/ GIMT_Encode4(1880786), // Rule ID 14655 //
     /* 1880702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1880713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1880716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1880719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1880722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1880725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1880732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880748 */     // MIs[0] policy
     /* 1880748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880758 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1880761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880785 */     // GIR_Coverage, 14655,
     /* 1880785 */     GIR_EraseRootFromParent_Done,
     /* 1880786 */   // Label 25334: @1880786
     /* 1880786 */   GIM_Try, /*On fail goto*//*Label 25335*/ GIMT_Encode4(1880875), // Rule ID 14656 //
     /* 1880791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1880802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1880805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1880808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1880811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1880814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1880821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880837 */     // MIs[0] policy
     /* 1880837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880847 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1880850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880874 */     // GIR_Coverage, 14656,
     /* 1880874 */     GIR_EraseRootFromParent_Done,
     /* 1880875 */   // Label 25335: @1880875
     /* 1880875 */   GIM_Try, /*On fail goto*//*Label 25336*/ GIMT_Encode4(1880964), // Rule ID 14659 //
     /* 1880880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1880891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1880894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1880897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1880900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1880903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1880910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880926 */     // MIs[0] policy
     /* 1880926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880936 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1880939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880963 */     // GIR_Coverage, 14659,
     /* 1880963 */     GIR_EraseRootFromParent_Done,
     /* 1880964 */   // Label 25336: @1880964
     /* 1880964 */   GIM_Try, /*On fail goto*//*Label 25337*/ GIMT_Encode4(1881053), // Rule ID 14660 //
     /* 1880969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1880980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1880983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1880986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1880989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1880992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1880999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881015 */     // MIs[0] policy
     /* 1881015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881025 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1881028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881052 */     // GIR_Coverage, 14660,
     /* 1881052 */     GIR_EraseRootFromParent_Done,
     /* 1881053 */   // Label 25337: @1881053
     /* 1881053 */   GIM_Try, /*On fail goto*//*Label 25338*/ GIMT_Encode4(1881142), // Rule ID 14663 //
     /* 1881058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1881069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1881072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1881075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1881078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881104 */     // MIs[0] policy
     /* 1881104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881114 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1881117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881141 */     // GIR_Coverage, 14663,
     /* 1881141 */     GIR_EraseRootFromParent_Done,
     /* 1881142 */   // Label 25338: @1881142
     /* 1881142 */   GIM_Try, /*On fail goto*//*Label 25339*/ GIMT_Encode4(1881231), // Rule ID 14664 //
     /* 1881147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1881158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1881161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1881164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1881167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881193 */     // MIs[0] policy
     /* 1881193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881203 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1881206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881230 */     // GIR_Coverage, 14664,
     /* 1881230 */     GIR_EraseRootFromParent_Done,
     /* 1881231 */   // Label 25339: @1881231
     /* 1881231 */   GIM_Try, /*On fail goto*//*Label 25340*/ GIMT_Encode4(1881320), // Rule ID 14667 //
     /* 1881236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1881247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1881250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1881253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1881256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881282 */     // MIs[0] policy
     /* 1881282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881292 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1881295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881319 */     // GIR_Coverage, 14667,
     /* 1881319 */     GIR_EraseRootFromParent_Done,
     /* 1881320 */   // Label 25340: @1881320
     /* 1881320 */   GIM_Try, /*On fail goto*//*Label 25341*/ GIMT_Encode4(1881409), // Rule ID 14668 //
     /* 1881325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1881336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1881339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1881342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1881345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881371 */     // MIs[0] policy
     /* 1881371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881381 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1881384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881404 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881408 */     // GIR_Coverage, 14668,
     /* 1881408 */     GIR_EraseRootFromParent_Done,
     /* 1881409 */   // Label 25341: @1881409
     /* 1881409 */   GIM_Try, /*On fail goto*//*Label 25342*/ GIMT_Encode4(1881498), // Rule ID 14671 //
     /* 1881414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1881425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1881428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1881431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1881434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1881437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881460 */     // MIs[0] policy
     /* 1881460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881470 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1881473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881497 */     // GIR_Coverage, 14671,
     /* 1881497 */     GIR_EraseRootFromParent_Done,
     /* 1881498 */   // Label 25342: @1881498
     /* 1881498 */   GIM_Try, /*On fail goto*//*Label 25343*/ GIMT_Encode4(1881587), // Rule ID 14672 //
     /* 1881503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1881514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1881517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1881520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1881523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1881526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881549 */     // MIs[0] policy
     /* 1881549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881559 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1881562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881582 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881586 */     // GIR_Coverage, 14672,
     /* 1881586 */     GIR_EraseRootFromParent_Done,
     /* 1881587 */   // Label 25343: @1881587
     /* 1881587 */   GIM_Try, /*On fail goto*//*Label 25344*/ GIMT_Encode4(1881676), // Rule ID 14675 //
     /* 1881592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1881603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1881606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1881609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1881612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1881615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881638 */     // MIs[0] policy
     /* 1881638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881648 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1881651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881675 */     // GIR_Coverage, 14675,
     /* 1881675 */     GIR_EraseRootFromParent_Done,
     /* 1881676 */   // Label 25344: @1881676
     /* 1881676 */   GIM_Try, /*On fail goto*//*Label 25345*/ GIMT_Encode4(1881765), // Rule ID 14676 //
     /* 1881681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1881692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1881695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1881698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1881701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1881704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881727 */     // MIs[0] policy
     /* 1881727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881737 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1881740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881764 */     // GIR_Coverage, 14676,
     /* 1881764 */     GIR_EraseRootFromParent_Done,
     /* 1881765 */   // Label 25345: @1881765
     /* 1881765 */   GIM_Try, /*On fail goto*//*Label 25346*/ GIMT_Encode4(1881854), // Rule ID 14679 //
     /* 1881770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1881781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1881784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1881787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1881790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881816 */     // MIs[0] policy
     /* 1881816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881826 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1881829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881849 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881853 */     // GIR_Coverage, 14679,
     /* 1881853 */     GIR_EraseRootFromParent_Done,
     /* 1881854 */   // Label 25346: @1881854
     /* 1881854 */   GIM_Try, /*On fail goto*//*Label 25347*/ GIMT_Encode4(1881943), // Rule ID 14680 //
     /* 1881859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1881870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1881873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1881876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1881879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881905 */     // MIs[0] policy
     /* 1881905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881915 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1881918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881942 */     // GIR_Coverage, 14680,
     /* 1881942 */     GIR_EraseRootFromParent_Done,
     /* 1881943 */   // Label 25347: @1881943
     /* 1881943 */   GIM_Try, /*On fail goto*//*Label 25348*/ GIMT_Encode4(1882032), // Rule ID 14683 //
     /* 1881948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1881959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1881962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1881965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1881968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881994 */     // MIs[0] policy
     /* 1881994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882004 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1882007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882031 */     // GIR_Coverage, 14683,
     /* 1882031 */     GIR_EraseRootFromParent_Done,
     /* 1882032 */   // Label 25348: @1882032
     /* 1882032 */   GIM_Try, /*On fail goto*//*Label 25349*/ GIMT_Encode4(1882121), // Rule ID 14684 //
     /* 1882037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1882048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1882051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1882054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1882057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882083 */     // MIs[0] policy
     /* 1882083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882093 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1882096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882120 */     // GIR_Coverage, 14684,
     /* 1882120 */     GIR_EraseRootFromParent_Done,
     /* 1882121 */   // Label 25349: @1882121
     /* 1882121 */   GIM_Try, /*On fail goto*//*Label 25350*/ GIMT_Encode4(1882210), // Rule ID 14687 //
     /* 1882126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1882129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1882137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1882140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1882143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1882146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882172 */     // MIs[0] policy
     /* 1882172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882182 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1882185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882209 */     // GIR_Coverage, 14687,
     /* 1882209 */     GIR_EraseRootFromParent_Done,
     /* 1882210 */   // Label 25350: @1882210
     /* 1882210 */   GIM_Try, /*On fail goto*//*Label 25351*/ GIMT_Encode4(1882299), // Rule ID 14688 //
     /* 1882215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1882218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1882226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1882229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1882232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1882235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882261 */     // MIs[0] policy
     /* 1882261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882271 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1882274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882298 */     // GIR_Coverage, 14688,
     /* 1882298 */     GIR_EraseRootFromParent_Done,
     /* 1882299 */   // Label 25351: @1882299
     /* 1882299 */   GIM_Try, /*On fail goto*//*Label 25352*/ GIMT_Encode4(1882388), // Rule ID 14691 //
     /* 1882304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1882307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1882315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1882318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1882321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1882324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882350 */     // MIs[0] policy
     /* 1882350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882360 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1882363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882387 */     // GIR_Coverage, 14691,
     /* 1882387 */     GIR_EraseRootFromParent_Done,
     /* 1882388 */   // Label 25352: @1882388
     /* 1882388 */   GIM_Try, /*On fail goto*//*Label 25353*/ GIMT_Encode4(1882477), // Rule ID 14692 //
     /* 1882393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1882396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1882404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1882407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1882410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1882413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882439 */     // MIs[0] policy
     /* 1882439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882449 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1882452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882472 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882476 */     // GIR_Coverage, 14692,
     /* 1882476 */     GIR_EraseRootFromParent_Done,
     /* 1882477 */   // Label 25353: @1882477
     /* 1882477 */   GIM_Try, /*On fail goto*//*Label 25354*/ GIMT_Encode4(1882566), // Rule ID 14695 //
     /* 1882482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1882485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1882493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1882496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1882499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1882502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882528 */     // MIs[0] policy
     /* 1882528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882538 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1882541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882565 */     // GIR_Coverage, 14695,
     /* 1882565 */     GIR_EraseRootFromParent_Done,
     /* 1882566 */   // Label 25354: @1882566
     /* 1882566 */   GIM_Try, /*On fail goto*//*Label 25355*/ GIMT_Encode4(1882655), // Rule ID 14696 //
     /* 1882571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1882574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1882582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1882585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1882588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1882591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882617 */     // MIs[0] policy
     /* 1882617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882627 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1882630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882654 */     // GIR_Coverage, 14696,
     /* 1882654 */     GIR_EraseRootFromParent_Done,
     /* 1882655 */   // Label 25355: @1882655
     /* 1882655 */   GIM_Try, /*On fail goto*//*Label 25356*/ GIMT_Encode4(1882744), // Rule ID 14699 //
     /* 1882660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1882671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1882674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1882677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1882683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882706 */     // MIs[0] policy
     /* 1882706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882716 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1882719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882743 */     // GIR_Coverage, 14699,
     /* 1882743 */     GIR_EraseRootFromParent_Done,
     /* 1882744 */   // Label 25356: @1882744
     /* 1882744 */   GIM_Try, /*On fail goto*//*Label 25357*/ GIMT_Encode4(1882833), // Rule ID 14700 //
     /* 1882749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1882760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1882763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1882766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1882769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1882772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882795 */     // MIs[0] policy
     /* 1882795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882805 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1882808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882832 */     // GIR_Coverage, 14700,
     /* 1882832 */     GIR_EraseRootFromParent_Done,
     /* 1882833 */   // Label 25357: @1882833
     /* 1882833 */   GIM_Try, /*On fail goto*//*Label 25358*/ GIMT_Encode4(1882922), // Rule ID 14703 //
     /* 1882838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1882849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1882852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1882855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882884 */     // MIs[0] policy
     /* 1882884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882894 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1882897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882917 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882921 */     // GIR_Coverage, 14703,
     /* 1882921 */     GIR_EraseRootFromParent_Done,
     /* 1882922 */   // Label 25358: @1882922
     /* 1882922 */   GIM_Try, /*On fail goto*//*Label 25359*/ GIMT_Encode4(1883011), // Rule ID 14704 //
     /* 1882927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1882935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1882938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1882941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1882944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1882947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882973 */     // MIs[0] policy
     /* 1882973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882983 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1882986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883010 */     // GIR_Coverage, 14704,
     /* 1883010 */     GIR_EraseRootFromParent_Done,
     /* 1883011 */   // Label 25359: @1883011
     /* 1883011 */   GIM_Try, /*On fail goto*//*Label 25360*/ GIMT_Encode4(1883100), // Rule ID 14707 //
     /* 1883016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1883027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1883030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1883033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883062 */     // MIs[0] policy
     /* 1883062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883072 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1883075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883095 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883099 */     // GIR_Coverage, 14707,
     /* 1883099 */     GIR_EraseRootFromParent_Done,
     /* 1883100 */   // Label 25360: @1883100
     /* 1883100 */   GIM_Try, /*On fail goto*//*Label 25361*/ GIMT_Encode4(1883189), // Rule ID 14708 //
     /* 1883105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1883116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1883119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1883122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883151 */     // MIs[0] policy
     /* 1883151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883161 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1883164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883188 */     // GIR_Coverage, 14708,
     /* 1883188 */     GIR_EraseRootFromParent_Done,
     /* 1883189 */   // Label 25361: @1883189
     /* 1883189 */   GIM_Try, /*On fail goto*//*Label 25362*/ GIMT_Encode4(1883278), // Rule ID 14711 //
     /* 1883194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1883205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1883208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1883211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883240 */     // MIs[0] policy
     /* 1883240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883250 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1883253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883277 */     // GIR_Coverage, 14711,
     /* 1883277 */     GIR_EraseRootFromParent_Done,
     /* 1883278 */   // Label 25362: @1883278
     /* 1883278 */   GIM_Try, /*On fail goto*//*Label 25363*/ GIMT_Encode4(1883367), // Rule ID 14712 //
     /* 1883283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1883294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1883297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1883300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883329 */     // MIs[0] policy
     /* 1883329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883339 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1883342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883366 */     // GIR_Coverage, 14712,
     /* 1883366 */     GIR_EraseRootFromParent_Done,
     /* 1883367 */   // Label 25363: @1883367
     /* 1883367 */   GIM_Try, /*On fail goto*//*Label 25364*/ GIMT_Encode4(1883456), // Rule ID 14715 //
     /* 1883372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1883383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1883386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1883389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883418 */     // MIs[0] policy
     /* 1883418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883428 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1883431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883455 */     // GIR_Coverage, 14715,
     /* 1883455 */     GIR_EraseRootFromParent_Done,
     /* 1883456 */   // Label 25364: @1883456
     /* 1883456 */   GIM_Try, /*On fail goto*//*Label 25365*/ GIMT_Encode4(1883545), // Rule ID 14716 //
     /* 1883461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1883472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1883475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1883478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883507 */     // MIs[0] policy
     /* 1883507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883517 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1883520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883544 */     // GIR_Coverage, 14716,
     /* 1883544 */     GIR_EraseRootFromParent_Done,
     /* 1883545 */   // Label 25365: @1883545
     /* 1883545 */   GIM_Try, /*On fail goto*//*Label 25366*/ GIMT_Encode4(1883634), // Rule ID 14719 //
     /* 1883550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1883561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1883564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1883567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883596 */     // MIs[0] policy
     /* 1883596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883606 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1883609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883629 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883633 */     // GIR_Coverage, 14719,
     /* 1883633 */     GIR_EraseRootFromParent_Done,
     /* 1883634 */   // Label 25366: @1883634
     /* 1883634 */   GIM_Try, /*On fail goto*//*Label 25367*/ GIMT_Encode4(1883723), // Rule ID 14720 //
     /* 1883639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1883650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1883653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1883656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883685 */     // MIs[0] policy
     /* 1883685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883695 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1883698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883722 */     // GIR_Coverage, 14720,
     /* 1883722 */     GIR_EraseRootFromParent_Done,
     /* 1883723 */   // Label 25367: @1883723
     /* 1883723 */   GIM_Try, /*On fail goto*//*Label 25368*/ GIMT_Encode4(1883812), // Rule ID 14723 //
     /* 1883728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1883739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1883742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1883745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883774 */     // MIs[0] policy
     /* 1883774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883784 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1883787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883811 */     // GIR_Coverage, 14723,
     /* 1883811 */     GIR_EraseRootFromParent_Done,
     /* 1883812 */   // Label 25368: @1883812
     /* 1883812 */   GIM_Try, /*On fail goto*//*Label 25369*/ GIMT_Encode4(1883901), // Rule ID 14724 //
     /* 1883817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1883828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1883831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1883834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883863 */     // MIs[0] policy
     /* 1883863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883873 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1883876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883896 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883900 */     // GIR_Coverage, 14724,
     /* 1883900 */     GIR_EraseRootFromParent_Done,
     /* 1883901 */   // Label 25369: @1883901
     /* 1883901 */   GIM_Try, /*On fail goto*//*Label 25370*/ GIMT_Encode4(1883990), // Rule ID 14727 //
     /* 1883906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1883914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1883917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1883920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1883923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883952 */     // MIs[0] policy
     /* 1883952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883962 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1883965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883989 */     // GIR_Coverage, 14727,
     /* 1883989 */     GIR_EraseRootFromParent_Done,
     /* 1883990 */   // Label 25370: @1883990
     /* 1883990 */   GIM_Try, /*On fail goto*//*Label 25371*/ GIMT_Encode4(1884079), // Rule ID 14728 //
     /* 1883995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1884006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1884009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1884012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884041 */     // MIs[0] policy
     /* 1884041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884051 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1884054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884078 */     // GIR_Coverage, 14728,
     /* 1884078 */     GIR_EraseRootFromParent_Done,
     /* 1884079 */   // Label 25371: @1884079
     /* 1884079 */   GIM_Try, /*On fail goto*//*Label 25372*/ GIMT_Encode4(1884168), // Rule ID 14731 //
     /* 1884084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1884095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1884098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1884101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884130 */     // MIs[0] policy
     /* 1884130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884140 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1884143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884163 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884167 */     // GIR_Coverage, 14731,
     /* 1884167 */     GIR_EraseRootFromParent_Done,
     /* 1884168 */   // Label 25372: @1884168
     /* 1884168 */   GIM_Try, /*On fail goto*//*Label 25373*/ GIMT_Encode4(1884257), // Rule ID 14732 //
     /* 1884173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1884184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1884187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1884190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884219 */     // MIs[0] policy
     /* 1884219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884229 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1884232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884256 */     // GIR_Coverage, 14732,
     /* 1884256 */     GIR_EraseRootFromParent_Done,
     /* 1884257 */   // Label 25373: @1884257
     /* 1884257 */   GIM_Try, /*On fail goto*//*Label 25374*/ GIMT_Encode4(1884346), // Rule ID 14735 //
     /* 1884262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1884265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1884273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1884276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1884279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884308 */     // MIs[0] policy
     /* 1884308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884318 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1884321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884341 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884345 */     // GIR_Coverage, 14735,
     /* 1884345 */     GIR_EraseRootFromParent_Done,
     /* 1884346 */   // Label 25374: @1884346
     /* 1884346 */   GIM_Try, /*On fail goto*//*Label 25375*/ GIMT_Encode4(1884435), // Rule ID 14736 //
     /* 1884351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1884354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1884362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1884365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1884368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884397 */     // MIs[0] policy
     /* 1884397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884407 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1884410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884434 */     // GIR_Coverage, 14736,
     /* 1884434 */     GIR_EraseRootFromParent_Done,
     /* 1884435 */   // Label 25375: @1884435
     /* 1884435 */   GIM_Try, /*On fail goto*//*Label 25376*/ GIMT_Encode4(1884524), // Rule ID 14739 //
     /* 1884440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1884451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1884454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1884457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1884463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1884470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884486 */     // MIs[0] policy
     /* 1884486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884496 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1884499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884519 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884523 */     // GIR_Coverage, 14739,
     /* 1884523 */     GIR_EraseRootFromParent_Done,
     /* 1884524 */   // Label 25376: @1884524
     /* 1884524 */   GIM_Try, /*On fail goto*//*Label 25377*/ GIMT_Encode4(1884613), // Rule ID 14740 //
     /* 1884529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1884540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1884543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1884546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1884552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1884559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884575 */     // MIs[0] policy
     /* 1884575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884585 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1884588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884608 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884612 */     // GIR_Coverage, 14740,
     /* 1884612 */     GIR_EraseRootFromParent_Done,
     /* 1884613 */   // Label 25377: @1884613
     /* 1884613 */   GIM_Try, /*On fail goto*//*Label 25378*/ GIMT_Encode4(1884702), // Rule ID 14743 //
     /* 1884618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1884629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1884632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1884635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1884641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1884648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884664 */     // MIs[0] policy
     /* 1884664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884674 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1884677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884697 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884701 */     // GIR_Coverage, 14743,
     /* 1884701 */     GIR_EraseRootFromParent_Done,
     /* 1884702 */   // Label 25378: @1884702
     /* 1884702 */   GIM_Try, /*On fail goto*//*Label 25379*/ GIMT_Encode4(1884791), // Rule ID 14744 //
     /* 1884707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1884718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1884721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1884724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1884730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1884737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884753 */     // MIs[0] policy
     /* 1884753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884763 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1884766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884786 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884790 */     // GIR_Coverage, 14744,
     /* 1884790 */     GIR_EraseRootFromParent_Done,
     /* 1884791 */   // Label 25379: @1884791
     /* 1884791 */   GIM_Try, /*On fail goto*//*Label 25380*/ GIMT_Encode4(1884880), // Rule ID 14747 //
     /* 1884796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1884807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1884810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1884813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1884819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1884826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884842 */     // MIs[0] policy
     /* 1884842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884852 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1884855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884875 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884879 */     // GIR_Coverage, 14747,
     /* 1884879 */     GIR_EraseRootFromParent_Done,
     /* 1884880 */   // Label 25380: @1884880
     /* 1884880 */   GIM_Try, /*On fail goto*//*Label 25381*/ GIMT_Encode4(1884969), // Rule ID 14748 //
     /* 1884885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1884896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1884899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1884902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1884908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1884915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1884927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884931 */     // MIs[0] policy
     /* 1884931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884941 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1884944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884964 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884968 */     // GIR_Coverage, 14748,
     /* 1884968 */     GIR_EraseRootFromParent_Done,
     /* 1884969 */   // Label 25381: @1884969
     /* 1884969 */   GIM_Try, /*On fail goto*//*Label 25382*/ GIMT_Encode4(1885058), // Rule ID 14751 //
     /* 1884974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1884982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1884985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1884988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1884991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1884994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1884997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885020 */     // MIs[0] policy
     /* 1885020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885030 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1885033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885053 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885057 */     // GIR_Coverage, 14751,
     /* 1885057 */     GIR_EraseRootFromParent_Done,
     /* 1885058 */   // Label 25382: @1885058
     /* 1885058 */   GIM_Try, /*On fail goto*//*Label 25383*/ GIMT_Encode4(1885147), // Rule ID 14752 //
     /* 1885063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1885074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1885077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1885080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885109 */     // MIs[0] policy
     /* 1885109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885119 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1885122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885142 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885146 */     // GIR_Coverage, 14752,
     /* 1885146 */     GIR_EraseRootFromParent_Done,
     /* 1885147 */   // Label 25383: @1885147
     /* 1885147 */   GIM_Try, /*On fail goto*//*Label 25384*/ GIMT_Encode4(1885236), // Rule ID 14755 //
     /* 1885152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1885163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1885166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1885169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885198 */     // MIs[0] policy
     /* 1885198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885208 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1885211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885231 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885235 */     // GIR_Coverage, 14755,
     /* 1885235 */     GIR_EraseRootFromParent_Done,
     /* 1885236 */   // Label 25384: @1885236
     /* 1885236 */   GIM_Try, /*On fail goto*//*Label 25385*/ GIMT_Encode4(1885325), // Rule ID 14756 //
     /* 1885241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1885252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1885255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1885258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885287 */     // MIs[0] policy
     /* 1885287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885297 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1885300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885320 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885324 */     // GIR_Coverage, 14756,
     /* 1885324 */     GIR_EraseRootFromParent_Done,
     /* 1885325 */   // Label 25385: @1885325
     /* 1885325 */   GIM_Try, /*On fail goto*//*Label 25386*/ GIMT_Encode4(1885414), // Rule ID 14759 //
     /* 1885330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1885341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1885344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1885347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885376 */     // MIs[0] policy
     /* 1885376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885386 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1885389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885409 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885413 */     // GIR_Coverage, 14759,
     /* 1885413 */     GIR_EraseRootFromParent_Done,
     /* 1885414 */   // Label 25386: @1885414
     /* 1885414 */   GIM_Try, /*On fail goto*//*Label 25387*/ GIMT_Encode4(1885503), // Rule ID 14760 //
     /* 1885419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1885430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1885433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1885436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885465 */     // MIs[0] policy
     /* 1885465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885475 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1885478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885498 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885502 */     // GIR_Coverage, 14760,
     /* 1885502 */     GIR_EraseRootFromParent_Done,
     /* 1885503 */   // Label 25387: @1885503
     /* 1885503 */   GIM_Try, /*On fail goto*//*Label 25388*/ GIMT_Encode4(1885592), // Rule ID 14763 //
     /* 1885508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1885519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1885522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1885525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1885531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885554 */     // MIs[0] policy
     /* 1885554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885564 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1885567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885591 */     // GIR_Coverage, 14763,
     /* 1885591 */     GIR_EraseRootFromParent_Done,
     /* 1885592 */   // Label 25388: @1885592
     /* 1885592 */   GIM_Try, /*On fail goto*//*Label 25389*/ GIMT_Encode4(1885681), // Rule ID 14764 //
     /* 1885597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1885608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1885611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1885614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1885620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885643 */     // MIs[0] policy
     /* 1885643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885653 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1885656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885676 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885680 */     // GIR_Coverage, 14764,
     /* 1885680 */     GIR_EraseRootFromParent_Done,
     /* 1885681 */   // Label 25389: @1885681
     /* 1885681 */   GIM_Try, /*On fail goto*//*Label 25390*/ GIMT_Encode4(1885770), // Rule ID 14767 //
     /* 1885686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1885697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1885700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1885703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885732 */     // MIs[0] policy
     /* 1885732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885742 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1885745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885769 */     // GIR_Coverage, 14767,
     /* 1885769 */     GIR_EraseRootFromParent_Done,
     /* 1885770 */   // Label 25390: @1885770
     /* 1885770 */   GIM_Try, /*On fail goto*//*Label 25391*/ GIMT_Encode4(1885859), // Rule ID 14768 //
     /* 1885775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1885786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1885789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1885792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885821 */     // MIs[0] policy
     /* 1885821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885831 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1885834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885858 */     // GIR_Coverage, 14768,
     /* 1885858 */     GIR_EraseRootFromParent_Done,
     /* 1885859 */   // Label 25391: @1885859
     /* 1885859 */   GIM_Try, /*On fail goto*//*Label 25392*/ GIMT_Encode4(1885948), // Rule ID 14771 //
     /* 1885864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1885875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1885878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1885881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885910 */     // MIs[0] policy
     /* 1885910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885920 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1885923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885943 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885947 */     // GIR_Coverage, 14771,
     /* 1885947 */     GIR_EraseRootFromParent_Done,
     /* 1885948 */   // Label 25392: @1885948
     /* 1885948 */   GIM_Try, /*On fail goto*//*Label 25393*/ GIMT_Encode4(1886037), // Rule ID 14772 //
     /* 1885953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1885961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1885964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1885967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1885970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885999 */     // MIs[0] policy
     /* 1885999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886009 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1886012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886032 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886036 */     // GIR_Coverage, 14772,
     /* 1886036 */     GIR_EraseRootFromParent_Done,
     /* 1886037 */   // Label 25393: @1886037
     /* 1886037 */   GIM_Try, /*On fail goto*//*Label 25394*/ GIMT_Encode4(1886126), // Rule ID 14775 //
     /* 1886042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1886045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1886053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1886056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1886059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1886065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886088 */     // MIs[0] policy
     /* 1886088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886098 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1886101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886125 */     // GIR_Coverage, 14775,
     /* 1886125 */     GIR_EraseRootFromParent_Done,
     /* 1886126 */   // Label 25394: @1886126
     /* 1886126 */   GIM_Try, /*On fail goto*//*Label 25395*/ GIMT_Encode4(1886215), // Rule ID 14776 //
     /* 1886131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1886134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1886142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1886145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1886148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1886154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886177 */     // MIs[0] policy
     /* 1886177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886187 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1886190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886214 */     // GIR_Coverage, 14776,
     /* 1886214 */     GIR_EraseRootFromParent_Done,
     /* 1886215 */   // Label 25395: @1886215
     /* 1886215 */   GIM_Try, /*On fail goto*//*Label 25396*/ GIMT_Encode4(1886304), // Rule ID 14779 //
     /* 1886220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1886223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1886231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1886234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1886237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886266 */     // MIs[0] policy
     /* 1886266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886276 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1886279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886303 */     // GIR_Coverage, 14779,
     /* 1886303 */     GIR_EraseRootFromParent_Done,
     /* 1886304 */   // Label 25396: @1886304
     /* 1886304 */   GIM_Try, /*On fail goto*//*Label 25397*/ GIMT_Encode4(1886393), // Rule ID 14780 //
     /* 1886309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1886312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1886320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1886323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1886326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886355 */     // MIs[0] policy
     /* 1886355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886365 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1886368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886388 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886392 */     // GIR_Coverage, 14780,
     /* 1886392 */     GIR_EraseRootFromParent_Done,
     /* 1886393 */   // Label 25397: @1886393
     /* 1886393 */   GIM_Try, /*On fail goto*//*Label 25398*/ GIMT_Encode4(1886482), // Rule ID 14783 //
     /* 1886398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1886401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1886409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1886412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1886415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886444 */     // MIs[0] policy
     /* 1886444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886454 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1886457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886477 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886481 */     // GIR_Coverage, 14783,
     /* 1886481 */     GIR_EraseRootFromParent_Done,
     /* 1886482 */   // Label 25398: @1886482
     /* 1886482 */   GIM_Try, /*On fail goto*//*Label 25399*/ GIMT_Encode4(1886571), // Rule ID 14784 //
     /* 1886487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1886490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1886495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1886498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1886501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1886504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886533 */     // MIs[0] policy
     /* 1886533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886543 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1886546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886566 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886570 */     // GIR_Coverage, 14784,
     /* 1886570 */     GIR_EraseRootFromParent_Done,
     /* 1886571 */   // Label 25399: @1886571
     /* 1886571 */   GIM_Try, /*On fail goto*//*Label 25400*/ GIMT_Encode4(1886657), // Rule ID 19025 //
     /* 1886576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1886579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1886584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1886587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1886590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1886593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1886596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1886599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1886606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886622 */     // MIs[0] policy
     /* 1886622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886632 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1886635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886656 */     // GIR_Coverage, 19025,
     /* 1886656 */     GIR_EraseRootFromParent_Done,
     /* 1886657 */   // Label 25400: @1886657
     /* 1886657 */   GIM_Try, /*On fail goto*//*Label 25401*/ GIMT_Encode4(1886743), // Rule ID 19026 //
     /* 1886662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1886665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1886670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1886673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1886676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1886679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1886682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1886685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1886692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886708 */     // MIs[0] policy
     /* 1886708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886718 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1886721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886742 */     // GIR_Coverage, 19026,
     /* 1886742 */     GIR_EraseRootFromParent_Done,
     /* 1886743 */   // Label 25401: @1886743
     /* 1886743 */   GIM_Try, /*On fail goto*//*Label 25402*/ GIMT_Encode4(1886829), // Rule ID 19029 //
     /* 1886748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1886751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1886756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1886759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1886762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1886765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1886768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1886771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1886778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886794 */     // MIs[0] policy
     /* 1886794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886804 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1886807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886828 */     // GIR_Coverage, 19029,
     /* 1886828 */     GIR_EraseRootFromParent_Done,
     /* 1886829 */   // Label 25402: @1886829
     /* 1886829 */   GIM_Try, /*On fail goto*//*Label 25403*/ GIMT_Encode4(1886915), // Rule ID 19030 //
     /* 1886834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1886837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1886842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1886845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1886848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1886851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1886854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1886857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1886864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886880 */     // MIs[0] policy
     /* 1886880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886890 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1886893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886914 */     // GIR_Coverage, 19030,
     /* 1886914 */     GIR_EraseRootFromParent_Done,
     /* 1886915 */   // Label 25403: @1886915
     /* 1886915 */   GIM_Try, /*On fail goto*//*Label 25404*/ GIMT_Encode4(1887001), // Rule ID 19033 //
     /* 1886920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1886923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1886928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1886931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1886934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1886937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1886940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1886943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1886950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886966 */     // MIs[0] policy
     /* 1886966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886976 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1886979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887000 */     // GIR_Coverage, 19033,
     /* 1887000 */     GIR_EraseRootFromParent_Done,
     /* 1887001 */   // Label 25404: @1887001
     /* 1887001 */   GIM_Try, /*On fail goto*//*Label 25405*/ GIMT_Encode4(1887087), // Rule ID 19034 //
     /* 1887006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1887009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1887014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1887017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1887020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1887023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1887026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887052 */     // MIs[0] policy
     /* 1887052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887062 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1887065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887086 */     // GIR_Coverage, 19034,
     /* 1887086 */     GIR_EraseRootFromParent_Done,
     /* 1887087 */   // Label 25405: @1887087
     /* 1887087 */   GIM_Try, /*On fail goto*//*Label 25406*/ GIMT_Encode4(1887173), // Rule ID 19037 //
     /* 1887092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1887095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1887100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1887103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1887106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1887109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1887112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887138 */     // MIs[0] policy
     /* 1887138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887148 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1887151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887172 */     // GIR_Coverage, 19037,
     /* 1887172 */     GIR_EraseRootFromParent_Done,
     /* 1887173 */   // Label 25406: @1887173
     /* 1887173 */   GIM_Try, /*On fail goto*//*Label 25407*/ GIMT_Encode4(1887259), // Rule ID 19038 //
     /* 1887178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1887181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1887186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1887189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1887192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1887195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1887198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887224 */     // MIs[0] policy
     /* 1887224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887234 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1887237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887258 */     // GIR_Coverage, 19038,
     /* 1887258 */     GIR_EraseRootFromParent_Done,
     /* 1887259 */   // Label 25407: @1887259
     /* 1887259 */   GIM_Try, /*On fail goto*//*Label 25408*/ GIMT_Encode4(1887345), // Rule ID 19041 //
     /* 1887264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1887267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1887272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1887275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1887278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1887281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1887284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887310 */     // MIs[0] policy
     /* 1887310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887320 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1887323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887344 */     // GIR_Coverage, 19041,
     /* 1887344 */     GIR_EraseRootFromParent_Done,
     /* 1887345 */   // Label 25408: @1887345
     /* 1887345 */   GIM_Try, /*On fail goto*//*Label 25409*/ GIMT_Encode4(1887431), // Rule ID 19042 //
     /* 1887350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1887353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1887358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1887361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1887364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1887367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1887370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887396 */     // MIs[0] policy
     /* 1887396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887406 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1887409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887430 */     // GIR_Coverage, 19042,
     /* 1887430 */     GIR_EraseRootFromParent_Done,
     /* 1887431 */   // Label 25409: @1887431
     /* 1887431 */   GIM_Try, /*On fail goto*//*Label 25410*/ GIMT_Encode4(1887517), // Rule ID 19045 //
     /* 1887436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1887439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1887444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1887447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1887450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1887453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1887456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887482 */     // MIs[0] policy
     /* 1887482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887492 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1887495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887516 */     // GIR_Coverage, 19045,
     /* 1887516 */     GIR_EraseRootFromParent_Done,
     /* 1887517 */   // Label 25410: @1887517
     /* 1887517 */   GIM_Try, /*On fail goto*//*Label 25411*/ GIMT_Encode4(1887603), // Rule ID 19046 //
     /* 1887522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1887525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1887530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1887533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1887536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1887539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1887542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887568 */     // MIs[0] policy
     /* 1887568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887578 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1887581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887602 */     // GIR_Coverage, 19046,
     /* 1887602 */     GIR_EraseRootFromParent_Done,
     /* 1887603 */   // Label 25411: @1887603
     /* 1887603 */   GIM_Try, /*On fail goto*//*Label 25412*/ GIMT_Encode4(1887689), // Rule ID 19049 //
     /* 1887608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1887611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1887616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1887619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1887622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1887625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1887628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1887638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887654 */     // MIs[0] policy
     /* 1887654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887664 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1887667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887688 */     // GIR_Coverage, 19049,
     /* 1887688 */     GIR_EraseRootFromParent_Done,
     /* 1887689 */   // Label 25412: @1887689
     /* 1887689 */   GIM_Try, /*On fail goto*//*Label 25413*/ GIMT_Encode4(1887775), // Rule ID 19050 //
     /* 1887694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1887697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1887702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1887705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1887708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1887711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1887714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1887724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887740 */     // MIs[0] policy
     /* 1887740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887750 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1887753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887774 */     // GIR_Coverage, 19050,
     /* 1887774 */     GIR_EraseRootFromParent_Done,
     /* 1887775 */   // Label 25413: @1887775
     /* 1887775 */   GIM_Try, /*On fail goto*//*Label 25414*/ GIMT_Encode4(1887861), // Rule ID 19053 //
     /* 1887780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1887783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1887788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1887791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1887794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1887797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1887800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1887803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887826 */     // MIs[0] policy
     /* 1887826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887836 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1887839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887860 */     // GIR_Coverage, 19053,
     /* 1887860 */     GIR_EraseRootFromParent_Done,
     /* 1887861 */   // Label 25414: @1887861
     /* 1887861 */   GIM_Try, /*On fail goto*//*Label 25415*/ GIMT_Encode4(1887947), // Rule ID 19054 //
     /* 1887866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1887869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1887874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1887877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1887880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1887883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1887886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1887889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887912 */     // MIs[0] policy
     /* 1887912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887922 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1887925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887946 */     // GIR_Coverage, 19054,
     /* 1887946 */     GIR_EraseRootFromParent_Done,
     /* 1887947 */   // Label 25415: @1887947
     /* 1887947 */   GIM_Try, /*On fail goto*//*Label 25416*/ GIMT_Encode4(1888033), // Rule ID 19057 //
     /* 1887952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1887955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1887960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1887963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1887966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1887969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1887972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1887975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887998 */     // MIs[0] policy
     /* 1887998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888008 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1888011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888032 */     // GIR_Coverage, 19057,
     /* 1888032 */     GIR_EraseRootFromParent_Done,
     /* 1888033 */   // Label 25416: @1888033
     /* 1888033 */   GIM_Try, /*On fail goto*//*Label 25417*/ GIMT_Encode4(1888119), // Rule ID 19058 //
     /* 1888038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1888041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1888049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1888052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1888055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1888058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1888061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1888068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888084 */     // MIs[0] policy
     /* 1888084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888094 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1888097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888118 */     // GIR_Coverage, 19058,
     /* 1888118 */     GIR_EraseRootFromParent_Done,
     /* 1888119 */   // Label 25417: @1888119
     /* 1888119 */   GIM_Try, /*On fail goto*//*Label 25418*/ GIMT_Encode4(1888205), // Rule ID 19061 //
     /* 1888124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1888127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1888135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1888138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1888141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1888144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888170 */     // MIs[0] policy
     /* 1888170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888180 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1888183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888204 */     // GIR_Coverage, 19061,
     /* 1888204 */     GIR_EraseRootFromParent_Done,
     /* 1888205 */   // Label 25418: @1888205
     /* 1888205 */   GIM_Try, /*On fail goto*//*Label 25419*/ GIMT_Encode4(1888291), // Rule ID 19062 //
     /* 1888210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1888213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1888221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1888224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1888227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1888230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888256 */     // MIs[0] policy
     /* 1888256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888266 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1888269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888290 */     // GIR_Coverage, 19062,
     /* 1888290 */     GIR_EraseRootFromParent_Done,
     /* 1888291 */   // Label 25419: @1888291
     /* 1888291 */   GIM_Try, /*On fail goto*//*Label 25420*/ GIMT_Encode4(1888377), // Rule ID 19065 //
     /* 1888296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1888299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1888307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1888310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1888313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1888316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1888326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888342 */     // MIs[0] policy
     /* 1888342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888352 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1888355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888376 */     // GIR_Coverage, 19065,
     /* 1888376 */     GIR_EraseRootFromParent_Done,
     /* 1888377 */   // Label 25420: @1888377
     /* 1888377 */   GIM_Try, /*On fail goto*//*Label 25421*/ GIMT_Encode4(1888463), // Rule ID 19066 //
     /* 1888382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1888385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1888393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1888396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1888399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1888402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1888412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888428 */     // MIs[0] policy
     /* 1888428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888438 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1888441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888462 */     // GIR_Coverage, 19066,
     /* 1888462 */     GIR_EraseRootFromParent_Done,
     /* 1888463 */   // Label 25421: @1888463
     /* 1888463 */   GIM_Try, /*On fail goto*//*Label 25422*/ GIMT_Encode4(1888549), // Rule ID 19069 //
     /* 1888468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1888471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1888479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1888482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1888485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1888488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1888491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1888498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888514 */     // MIs[0] policy
     /* 1888514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888524 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1888527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888548 */     // GIR_Coverage, 19069,
     /* 1888548 */     GIR_EraseRootFromParent_Done,
     /* 1888549 */   // Label 25422: @1888549
     /* 1888549 */   GIM_Try, /*On fail goto*//*Label 25423*/ GIMT_Encode4(1888635), // Rule ID 19070 //
     /* 1888554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1888557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1888565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1888568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1888571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1888574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1888577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1888584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888600 */     // MIs[0] policy
     /* 1888600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888610 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1888613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888634 */     // GIR_Coverage, 19070,
     /* 1888634 */     GIR_EraseRootFromParent_Done,
     /* 1888635 */   // Label 25423: @1888635
     /* 1888635 */   GIM_Try, /*On fail goto*//*Label 25424*/ GIMT_Encode4(1888721), // Rule ID 19073 //
     /* 1888640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1888643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1888651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1888654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1888657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1888660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888686 */     // MIs[0] policy
     /* 1888686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888696 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1888699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888720 */     // GIR_Coverage, 19073,
     /* 1888720 */     GIR_EraseRootFromParent_Done,
     /* 1888721 */   // Label 25424: @1888721
     /* 1888721 */   GIM_Try, /*On fail goto*//*Label 25425*/ GIMT_Encode4(1888807), // Rule ID 19074 //
     /* 1888726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1888729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1888737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1888740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1888743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1888746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888772 */     // MIs[0] policy
     /* 1888772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888782 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1888785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888806 */     // GIR_Coverage, 19074,
     /* 1888806 */     GIR_EraseRootFromParent_Done,
     /* 1888807 */   // Label 25425: @1888807
     /* 1888807 */   GIM_Try, /*On fail goto*//*Label 25426*/ GIMT_Encode4(1888893), // Rule ID 19077 //
     /* 1888812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1888815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1888823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1888826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1888829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1888832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1888842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888858 */     // MIs[0] policy
     /* 1888858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888868 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1888871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888892 */     // GIR_Coverage, 19077,
     /* 1888892 */     GIR_EraseRootFromParent_Done,
     /* 1888893 */   // Label 25426: @1888893
     /* 1888893 */   GIM_Try, /*On fail goto*//*Label 25427*/ GIMT_Encode4(1888979), // Rule ID 19078 //
     /* 1888898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1888901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1888909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1888912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1888915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1888918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1888928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888944 */     // MIs[0] policy
     /* 1888944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888954 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1888957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888978 */     // GIR_Coverage, 19078,
     /* 1888978 */     GIR_EraseRootFromParent_Done,
     /* 1888979 */   // Label 25427: @1888979
     /* 1888979 */   GIM_Try, /*On fail goto*//*Label 25428*/ GIMT_Encode4(1889065), // Rule ID 19081 //
     /* 1888984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1888987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1888992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1888995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1888998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1889001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1889004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889030 */     // MIs[0] policy
     /* 1889030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889040 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1889043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1889061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889064 */     // GIR_Coverage, 19081,
     /* 1889064 */     GIR_EraseRootFromParent_Done,
     /* 1889065 */   // Label 25428: @1889065
     /* 1889065 */   GIM_Try, /*On fail goto*//*Label 25429*/ GIMT_Encode4(1889151), // Rule ID 19082 //
     /* 1889070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1889073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1889081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1889084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1889087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1889090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889116 */     // MIs[0] policy
     /* 1889116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889126 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1889129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1889147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889150 */     // GIR_Coverage, 19082,
     /* 1889150 */     GIR_EraseRootFromParent_Done,
     /* 1889151 */   // Label 25429: @1889151
     /* 1889151 */   GIM_Try, /*On fail goto*//*Label 25430*/ GIMT_Encode4(1889237), // Rule ID 19085 //
     /* 1889156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1889159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1889167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1889170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1889173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1889176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1889179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1889198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889202 */     // MIs[0] policy
     /* 1889202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889212 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1889215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889236 */     // GIR_Coverage, 19085,
     /* 1889236 */     GIR_EraseRootFromParent_Done,
     /* 1889237 */   // Label 25430: @1889237
     /* 1889237 */   GIM_Try, /*On fail goto*//*Label 25431*/ GIMT_Encode4(1889323), // Rule ID 19086 //
     /* 1889242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1889245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1889253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1889256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1889259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1889262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1889265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1889284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889288 */     // MIs[0] policy
     /* 1889288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889298 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1889301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889322 */     // GIR_Coverage, 19086,
     /* 1889322 */     GIR_EraseRootFromParent_Done,
     /* 1889323 */   // Label 25431: @1889323
     /* 1889323 */   GIM_Try, /*On fail goto*//*Label 25432*/ GIMT_Encode4(1889409), // Rule ID 19089 //
     /* 1889328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1889331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1889339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1889342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1889345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1889348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1889351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1889370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889374 */     // MIs[0] policy
     /* 1889374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889384 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1889387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889408 */     // GIR_Coverage, 19089,
     /* 1889408 */     GIR_EraseRootFromParent_Done,
     /* 1889409 */   // Label 25432: @1889409
     /* 1889409 */   GIM_Try, /*On fail goto*//*Label 25433*/ GIMT_Encode4(1889495), // Rule ID 19090 //
     /* 1889414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1889417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1889425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1889428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1889431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1889434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1889437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1889456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889460 */     // MIs[0] policy
     /* 1889460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889470 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1889473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889494 */     // GIR_Coverage, 19090,
     /* 1889494 */     GIR_EraseRootFromParent_Done,
     /* 1889495 */   // Label 25433: @1889495
     /* 1889495 */   GIM_Try, /*On fail goto*//*Label 25434*/ GIMT_Encode4(1889581), // Rule ID 19093 //
     /* 1889500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1889503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1889511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1889514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1889517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1889523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1889542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889546 */     // MIs[0] policy
     /* 1889546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889556 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1889559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889580 */     // GIR_Coverage, 19093,
     /* 1889580 */     GIR_EraseRootFromParent_Done,
     /* 1889581 */   // Label 25434: @1889581
     /* 1889581 */   GIM_Try, /*On fail goto*//*Label 25435*/ GIMT_Encode4(1889667), // Rule ID 19094 //
     /* 1889586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1889589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1889597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1889600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1889603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1889609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1889628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889632 */     // MIs[0] policy
     /* 1889632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889642 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1889645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889666 */     // GIR_Coverage, 19094,
     /* 1889666 */     GIR_EraseRootFromParent_Done,
     /* 1889667 */   // Label 25435: @1889667
     /* 1889667 */   GIM_Try, /*On fail goto*//*Label 25436*/ GIMT_Encode4(1889753), // Rule ID 19097 //
     /* 1889672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1889675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1889683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1889686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1889689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1889692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1889714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889718 */     // MIs[0] policy
     /* 1889718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889728 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1889731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889752 */     // GIR_Coverage, 19097,
     /* 1889752 */     GIR_EraseRootFromParent_Done,
     /* 1889753 */   // Label 25436: @1889753
     /* 1889753 */   GIM_Try, /*On fail goto*//*Label 25437*/ GIMT_Encode4(1889839), // Rule ID 19098 //
     /* 1889758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1889761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1889769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1889772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1889775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1889778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1889800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889804 */     // MIs[0] policy
     /* 1889804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889814 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1889817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889838 */     // GIR_Coverage, 19098,
     /* 1889838 */     GIR_EraseRootFromParent_Done,
     /* 1889839 */   // Label 25437: @1889839
     /* 1889839 */   GIM_Try, /*On fail goto*//*Label 25438*/ GIMT_Encode4(1889925), // Rule ID 19101 //
     /* 1889844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1889847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1889855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1889858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1889861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1889867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1889886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889890 */     // MIs[0] policy
     /* 1889890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889900 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1889903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889924 */     // GIR_Coverage, 19101,
     /* 1889924 */     GIR_EraseRootFromParent_Done,
     /* 1889925 */   // Label 25438: @1889925
     /* 1889925 */   GIM_Try, /*On fail goto*//*Label 25439*/ GIMT_Encode4(1890011), // Rule ID 19102 //
     /* 1889930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1889933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1889938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1889941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1889944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1889947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1889953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1889972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889976 */     // MIs[0] policy
     /* 1889976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889986 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1889989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890010 */     // GIR_Coverage, 19102,
     /* 1890010 */     GIR_EraseRootFromParent_Done,
     /* 1890011 */   // Label 25439: @1890011
     /* 1890011 */   GIM_Try, /*On fail goto*//*Label 25440*/ GIMT_Encode4(1890097), // Rule ID 19105 //
     /* 1890016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1890019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1890027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1890030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1890033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1890058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890062 */     // MIs[0] policy
     /* 1890062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890072 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1890075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890096 */     // GIR_Coverage, 19105,
     /* 1890096 */     GIR_EraseRootFromParent_Done,
     /* 1890097 */   // Label 25440: @1890097
     /* 1890097 */   GIM_Try, /*On fail goto*//*Label 25441*/ GIMT_Encode4(1890183), // Rule ID 19106 //
     /* 1890102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1890105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1890113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1890116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1890119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1890144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890148 */     // MIs[0] policy
     /* 1890148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890158 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1890161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890182 */     // GIR_Coverage, 19106,
     /* 1890182 */     GIR_EraseRootFromParent_Done,
     /* 1890183 */   // Label 25441: @1890183
     /* 1890183 */   GIM_Try, /*On fail goto*//*Label 25442*/ GIMT_Encode4(1890269), // Rule ID 19109 //
     /* 1890188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1890191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1890199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1890202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1890205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890234 */     // MIs[0] policy
     /* 1890234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890244 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1890247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890268 */     // GIR_Coverage, 19109,
     /* 1890268 */     GIR_EraseRootFromParent_Done,
     /* 1890269 */   // Label 25442: @1890269
     /* 1890269 */   GIM_Try, /*On fail goto*//*Label 25443*/ GIMT_Encode4(1890355), // Rule ID 19110 //
     /* 1890274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1890277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1890285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1890288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1890291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890320 */     // MIs[0] policy
     /* 1890320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890330 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1890333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890354 */     // GIR_Coverage, 19110,
     /* 1890354 */     GIR_EraseRootFromParent_Done,
     /* 1890355 */   // Label 25443: @1890355
     /* 1890355 */   GIM_Try, /*On fail goto*//*Label 25444*/ GIMT_Encode4(1890441), // Rule ID 19113 //
     /* 1890360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1890363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1890371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1890374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1890377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1890383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890406 */     // MIs[0] policy
     /* 1890406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890416 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1890419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890440 */     // GIR_Coverage, 19113,
     /* 1890440 */     GIR_EraseRootFromParent_Done,
     /* 1890441 */   // Label 25444: @1890441
     /* 1890441 */   GIM_Try, /*On fail goto*//*Label 25445*/ GIMT_Encode4(1890527), // Rule ID 19114 //
     /* 1890446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1890449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1890457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1890460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1890463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1890469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890492 */     // MIs[0] policy
     /* 1890492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890502 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1890505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890526 */     // GIR_Coverage, 19114,
     /* 1890526 */     GIR_EraseRootFromParent_Done,
     /* 1890527 */   // Label 25445: @1890527
     /* 1890527 */   GIM_Try, /*On fail goto*//*Label 25446*/ GIMT_Encode4(1890613), // Rule ID 19117 //
     /* 1890532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1890535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1890543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1890546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1890549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1890555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890578 */     // MIs[0] policy
     /* 1890578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890588 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1890591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890612 */     // GIR_Coverage, 19117,
     /* 1890612 */     GIR_EraseRootFromParent_Done,
     /* 1890613 */   // Label 25446: @1890613
     /* 1890613 */   GIM_Try, /*On fail goto*//*Label 25447*/ GIMT_Encode4(1890699), // Rule ID 19118 //
     /* 1890618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1890621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1890629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1890632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1890635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1890641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890664 */     // MIs[0] policy
     /* 1890664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890674 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1890677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890698 */     // GIR_Coverage, 19118,
     /* 1890698 */     GIR_EraseRootFromParent_Done,
     /* 1890699 */   // Label 25447: @1890699
     /* 1890699 */   GIM_Try, /*On fail goto*//*Label 25448*/ GIMT_Encode4(1890785), // Rule ID 19121 //
     /* 1890704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1890707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1890715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1890718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1890721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1890746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890750 */     // MIs[0] policy
     /* 1890750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890760 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1890763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890784 */     // GIR_Coverage, 19121,
     /* 1890784 */     GIR_EraseRootFromParent_Done,
     /* 1890785 */   // Label 25448: @1890785
     /* 1890785 */   GIM_Try, /*On fail goto*//*Label 25449*/ GIMT_Encode4(1890871), // Rule ID 19122 //
     /* 1890790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1890793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1890801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1890804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1890807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1890832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890836 */     // MIs[0] policy
     /* 1890836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890846 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1890849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890870 */     // GIR_Coverage, 19122,
     /* 1890870 */     GIR_EraseRootFromParent_Done,
     /* 1890871 */   // Label 25449: @1890871
     /* 1890871 */   GIM_Try, /*On fail goto*//*Label 25450*/ GIMT_Encode4(1890957), // Rule ID 19125 //
     /* 1890876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1890879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1890887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1890890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1890893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1890918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890922 */     // MIs[0] policy
     /* 1890922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890932 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1890935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890956 */     // GIR_Coverage, 19125,
     /* 1890956 */     GIR_EraseRootFromParent_Done,
     /* 1890957 */   // Label 25450: @1890957
     /* 1890957 */   GIM_Try, /*On fail goto*//*Label 25451*/ GIMT_Encode4(1891043), // Rule ID 19126 //
     /* 1890962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1890965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1890970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1890973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1890976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1890979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891008 */     // MIs[0] policy
     /* 1891008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891018 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1891021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891042 */     // GIR_Coverage, 19126,
     /* 1891042 */     GIR_EraseRootFromParent_Done,
     /* 1891043 */   // Label 25451: @1891043
     /* 1891043 */   GIM_Try, /*On fail goto*//*Label 25452*/ GIMT_Encode4(1891129), // Rule ID 19129 //
     /* 1891048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1891051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1891059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1891062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1891065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1891071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891094 */     // MIs[0] policy
     /* 1891094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891104 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1891107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891128 */     // GIR_Coverage, 19129,
     /* 1891128 */     GIR_EraseRootFromParent_Done,
     /* 1891129 */   // Label 25452: @1891129
     /* 1891129 */   GIM_Try, /*On fail goto*//*Label 25453*/ GIMT_Encode4(1891215), // Rule ID 19130 //
     /* 1891134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1891137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1891145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1891148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1891151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1891157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891180 */     // MIs[0] policy
     /* 1891180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891190 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1891193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891214 */     // GIR_Coverage, 19130,
     /* 1891214 */     GIR_EraseRootFromParent_Done,
     /* 1891215 */   // Label 25453: @1891215
     /* 1891215 */   GIM_Try, /*On fail goto*//*Label 25454*/ GIMT_Encode4(1891301), // Rule ID 19133 //
     /* 1891220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1891223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1891231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1891234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1891237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1891262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891266 */     // MIs[0] policy
     /* 1891266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891276 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1891279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891300 */     // GIR_Coverage, 19133,
     /* 1891300 */     GIR_EraseRootFromParent_Done,
     /* 1891301 */   // Label 25454: @1891301
     /* 1891301 */   GIM_Try, /*On fail goto*//*Label 25455*/ GIMT_Encode4(1891387), // Rule ID 19134 //
     /* 1891306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1891309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1891317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1891320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1891323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1891348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891352 */     // MIs[0] policy
     /* 1891352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891362 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1891365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891386 */     // GIR_Coverage, 19134,
     /* 1891386 */     GIR_EraseRootFromParent_Done,
     /* 1891387 */   // Label 25455: @1891387
     /* 1891387 */   GIM_Try, /*On fail goto*//*Label 25456*/ GIMT_Encode4(1891473), // Rule ID 19137 //
     /* 1891392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1891395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1891403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1891406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1891409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1891422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1891434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891438 */     // MIs[0] policy
     /* 1891438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891448 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1891451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891472 */     // GIR_Coverage, 19137,
     /* 1891472 */     GIR_EraseRootFromParent_Done,
     /* 1891473 */   // Label 25456: @1891473
     /* 1891473 */   GIM_Try, /*On fail goto*//*Label 25457*/ GIMT_Encode4(1891559), // Rule ID 19138 //
     /* 1891478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1891481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1891489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1891492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1891495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1891508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1891520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891524 */     // MIs[0] policy
     /* 1891524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891534 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1891537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891558 */     // GIR_Coverage, 19138,
     /* 1891558 */     GIR_EraseRootFromParent_Done,
     /* 1891559 */   // Label 25457: @1891559
     /* 1891559 */   GIM_Try, /*On fail goto*//*Label 25458*/ GIMT_Encode4(1891645), // Rule ID 19141 //
     /* 1891564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1891567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1891575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1891578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1891581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1891606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891610 */     // MIs[0] policy
     /* 1891610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891620 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1891623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891644 */     // GIR_Coverage, 19141,
     /* 1891644 */     GIR_EraseRootFromParent_Done,
     /* 1891645 */   // Label 25458: @1891645
     /* 1891645 */   GIM_Try, /*On fail goto*//*Label 25459*/ GIMT_Encode4(1891731), // Rule ID 19142 //
     /* 1891650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1891653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1891658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1891661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1891664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1891667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1891692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891696 */     // MIs[0] policy
     /* 1891696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891706 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1891709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891730 */     // GIR_Coverage, 19142,
     /* 1891730 */     GIR_EraseRootFromParent_Done,
     /* 1891731 */   // Label 25459: @1891731
     /* 1891731 */   GIM_Try, /*On fail goto*//*Label 25460*/ GIMT_Encode4(1891817), // Rule ID 19145 //
     /* 1891736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1891739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1891744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1891747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1891750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1891753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1891756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891782 */     // MIs[0] policy
     /* 1891782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891792 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1891795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891816 */     // GIR_Coverage, 19145,
     /* 1891816 */     GIR_EraseRootFromParent_Done,
     /* 1891817 */   // Label 25460: @1891817
     /* 1891817 */   GIM_Try, /*On fail goto*//*Label 25461*/ GIMT_Encode4(1891903), // Rule ID 19146 //
     /* 1891822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1891825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1891830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1891833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1891836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1891839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1891842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891868 */     // MIs[0] policy
     /* 1891868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891878 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1891881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891902 */     // GIR_Coverage, 19146,
     /* 1891902 */     GIR_EraseRootFromParent_Done,
     /* 1891903 */   // Label 25461: @1891903
     /* 1891903 */   GIM_Try, /*On fail goto*//*Label 25462*/ GIMT_Encode4(1891989), // Rule ID 19149 //
     /* 1891908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1891911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1891916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1891919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1891922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1891925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1891928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891954 */     // MIs[0] policy
     /* 1891954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891964 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1891967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891988 */     // GIR_Coverage, 19149,
     /* 1891988 */     GIR_EraseRootFromParent_Done,
     /* 1891989 */   // Label 25462: @1891989
     /* 1891989 */   GIM_Try, /*On fail goto*//*Label 25463*/ GIMT_Encode4(1892075), // Rule ID 19150 //
     /* 1891994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1891997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1892002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1892005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1892008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1892011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1892014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892040 */     // MIs[0] policy
     /* 1892040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892050 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1892053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892074 */     // GIR_Coverage, 19150,
     /* 1892074 */     GIR_EraseRootFromParent_Done,
     /* 1892075 */   // Label 25463: @1892075
     /* 1892075 */   GIM_Try, /*On fail goto*//*Label 25464*/ GIMT_Encode4(1892161), // Rule ID 19153 //
     /* 1892080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1892083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1892088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1892091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1892094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1892097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1892100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892126 */     // MIs[0] policy
     /* 1892126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892136 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1892139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892160 */     // GIR_Coverage, 19153,
     /* 1892160 */     GIR_EraseRootFromParent_Done,
     /* 1892161 */   // Label 25464: @1892161
     /* 1892161 */   GIM_Try, /*On fail goto*//*Label 25465*/ GIMT_Encode4(1892247), // Rule ID 19154 //
     /* 1892166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1892169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1892174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1892177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1892180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1892183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1892186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892212 */     // MIs[0] policy
     /* 1892212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892222 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1892225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892246 */     // GIR_Coverage, 19154,
     /* 1892246 */     GIR_EraseRootFromParent_Done,
     /* 1892247 */   // Label 25465: @1892247
     /* 1892247 */   GIM_Try, /*On fail goto*//*Label 25466*/ GIMT_Encode4(1892333), // Rule ID 19157 //
     /* 1892252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1892255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1892260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1892263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1892266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1892269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1892272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892298 */     // MIs[0] policy
     /* 1892298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892308 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1892311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892332 */     // GIR_Coverage, 19157,
     /* 1892332 */     GIR_EraseRootFromParent_Done,
     /* 1892333 */   // Label 25466: @1892333
     /* 1892333 */   GIM_Try, /*On fail goto*//*Label 25467*/ GIMT_Encode4(1892419), // Rule ID 19158 //
     /* 1892338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1892341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1892346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1892349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1892352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1892355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1892358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892384 */     // MIs[0] policy
     /* 1892384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892394 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1892397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892418 */     // GIR_Coverage, 19158,
     /* 1892418 */     GIR_EraseRootFromParent_Done,
     /* 1892419 */   // Label 25467: @1892419
     /* 1892419 */   GIM_Try, /*On fail goto*//*Label 25468*/ GIMT_Encode4(1892505), // Rule ID 19161 //
     /* 1892424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1892427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1892432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1892435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1892438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1892441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1892444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892470 */     // MIs[0] policy
     /* 1892470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892480 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1892483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892504 */     // GIR_Coverage, 19161,
     /* 1892504 */     GIR_EraseRootFromParent_Done,
     /* 1892505 */   // Label 25468: @1892505
     /* 1892505 */   GIM_Try, /*On fail goto*//*Label 25469*/ GIMT_Encode4(1892591), // Rule ID 19162 //
     /* 1892510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1892513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1892518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1892521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1892524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1892527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1892530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892556 */     // MIs[0] policy
     /* 1892556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892566 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1892569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892590 */     // GIR_Coverage, 19162,
     /* 1892590 */     GIR_EraseRootFromParent_Done,
     /* 1892591 */   // Label 25469: @1892591
     /* 1892591 */   GIM_Try, /*On fail goto*//*Label 25470*/ GIMT_Encode4(1892677), // Rule ID 19165 //
     /* 1892596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1892599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1892604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1892607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1892610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1892613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1892616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892642 */     // MIs[0] policy
     /* 1892642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892652 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1892655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892676 */     // GIR_Coverage, 19165,
     /* 1892676 */     GIR_EraseRootFromParent_Done,
     /* 1892677 */   // Label 25470: @1892677
     /* 1892677 */   GIM_Try, /*On fail goto*//*Label 25471*/ GIMT_Encode4(1892763), // Rule ID 19166 //
     /* 1892682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1892685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1892690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1892693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1892696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1892699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1892702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892728 */     // MIs[0] policy
     /* 1892728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892738 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1892741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892762 */     // GIR_Coverage, 19166,
     /* 1892762 */     GIR_EraseRootFromParent_Done,
     /* 1892763 */   // Label 25471: @1892763
     /* 1892763 */   GIM_Try, /*On fail goto*//*Label 25472*/ GIMT_Encode4(1892849), // Rule ID 19169 //
     /* 1892768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1892771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1892776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1892779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1892782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1892785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1892788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892814 */     // MIs[0] policy
     /* 1892814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892824 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1892827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892848 */     // GIR_Coverage, 19169,
     /* 1892848 */     GIR_EraseRootFromParent_Done,
     /* 1892849 */   // Label 25472: @1892849
     /* 1892849 */   GIM_Try, /*On fail goto*//*Label 25473*/ GIMT_Encode4(1892935), // Rule ID 19170 //
     /* 1892854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1892857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1892862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1892865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1892868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1892871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1892874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892900 */     // MIs[0] policy
     /* 1892900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892910 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1892913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892934 */     // GIR_Coverage, 19170,
     /* 1892934 */     GIR_EraseRootFromParent_Done,
     /* 1892935 */   // Label 25473: @1892935
     /* 1892935 */   GIM_Try, /*On fail goto*//*Label 25474*/ GIMT_Encode4(1893021), // Rule ID 19173 //
     /* 1892940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1892943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1892948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1892951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1892954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1892957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1892960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892986 */     // MIs[0] policy
     /* 1892986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892996 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1892999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893020 */     // GIR_Coverage, 19173,
     /* 1893020 */     GIR_EraseRootFromParent_Done,
     /* 1893021 */   // Label 25474: @1893021
     /* 1893021 */   GIM_Try, /*On fail goto*//*Label 25475*/ GIMT_Encode4(1893107), // Rule ID 19174 //
     /* 1893026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1893037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1893040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1893043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1893046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893072 */     // MIs[0] policy
     /* 1893072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893082 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1893085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893106 */     // GIR_Coverage, 19174,
     /* 1893106 */     GIR_EraseRootFromParent_Done,
     /* 1893107 */   // Label 25475: @1893107
     /* 1893107 */   GIM_Try, /*On fail goto*//*Label 25476*/ GIMT_Encode4(1893193), // Rule ID 19177 //
     /* 1893112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1893115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1893123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1893126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1893129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1893132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1893135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893158 */     // MIs[0] policy
     /* 1893158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893168 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1893171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893192 */     // GIR_Coverage, 19177,
     /* 1893192 */     GIR_EraseRootFromParent_Done,
     /* 1893193 */   // Label 25476: @1893193
     /* 1893193 */   GIM_Try, /*On fail goto*//*Label 25477*/ GIMT_Encode4(1893279), // Rule ID 19178 //
     /* 1893198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1893209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1893212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1893215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1893218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1893221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893244 */     // MIs[0] policy
     /* 1893244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893254 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1893257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893278 */     // GIR_Coverage, 19178,
     /* 1893278 */     GIR_EraseRootFromParent_Done,
     /* 1893279 */   // Label 25477: @1893279
     /* 1893279 */   GIM_Try, /*On fail goto*//*Label 25478*/ GIMT_Encode4(1893365), // Rule ID 19181 //
     /* 1893284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1893287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1893295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1893298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1893301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1893304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893330 */     // MIs[0] policy
     /* 1893330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893340 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1893343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893364 */     // GIR_Coverage, 19181,
     /* 1893364 */     GIR_EraseRootFromParent_Done,
     /* 1893365 */   // Label 25478: @1893365
     /* 1893365 */   GIM_Try, /*On fail goto*//*Label 25479*/ GIMT_Encode4(1893451), // Rule ID 19182 //
     /* 1893370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1893373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1893381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1893384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1893387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1893390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893416 */     // MIs[0] policy
     /* 1893416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893426 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1893429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893450 */     // GIR_Coverage, 19182,
     /* 1893450 */     GIR_EraseRootFromParent_Done,
     /* 1893451 */   // Label 25479: @1893451
     /* 1893451 */   GIM_Try, /*On fail goto*//*Label 25480*/ GIMT_Encode4(1893537), // Rule ID 19185 //
     /* 1893456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1893459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1893467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1893470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1893473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1893476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893502 */     // MIs[0] policy
     /* 1893502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893512 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1893515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893536 */     // GIR_Coverage, 19185,
     /* 1893536 */     GIR_EraseRootFromParent_Done,
     /* 1893537 */   // Label 25480: @1893537
     /* 1893537 */   GIM_Try, /*On fail goto*//*Label 25481*/ GIMT_Encode4(1893623), // Rule ID 19186 //
     /* 1893542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1893545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1893553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1893556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1893559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1893562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893588 */     // MIs[0] policy
     /* 1893588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893598 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1893601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893622 */     // GIR_Coverage, 19186,
     /* 1893622 */     GIR_EraseRootFromParent_Done,
     /* 1893623 */   // Label 25481: @1893623
     /* 1893623 */   GIM_Try, /*On fail goto*//*Label 25482*/ GIMT_Encode4(1893709), // Rule ID 19189 //
     /* 1893628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1893631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1893639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1893642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1893645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1893648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893674 */     // MIs[0] policy
     /* 1893674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893684 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1893687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893708 */     // GIR_Coverage, 19189,
     /* 1893708 */     GIR_EraseRootFromParent_Done,
     /* 1893709 */   // Label 25482: @1893709
     /* 1893709 */   GIM_Try, /*On fail goto*//*Label 25483*/ GIMT_Encode4(1893795), // Rule ID 19190 //
     /* 1893714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1893717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1893725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1893728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1893731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1893734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893760 */     // MIs[0] policy
     /* 1893760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893770 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1893773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893794 */     // GIR_Coverage, 19190,
     /* 1893794 */     GIR_EraseRootFromParent_Done,
     /* 1893795 */   // Label 25483: @1893795
     /* 1893795 */   GIM_Try, /*On fail goto*//*Label 25484*/ GIMT_Encode4(1893881), // Rule ID 19193 //
     /* 1893800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1893803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1893811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1893814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1893817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1893820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1893823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893846 */     // MIs[0] policy
     /* 1893846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893856 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1893859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893880 */     // GIR_Coverage, 19193,
     /* 1893880 */     GIR_EraseRootFromParent_Done,
     /* 1893881 */   // Label 25484: @1893881
     /* 1893881 */   GIM_Try, /*On fail goto*//*Label 25485*/ GIMT_Encode4(1893967), // Rule ID 19194 //
     /* 1893886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1893889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1893897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1893900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1893903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1893906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1893909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893932 */     // MIs[0] policy
     /* 1893932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893942 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1893945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893966 */     // GIR_Coverage, 19194,
     /* 1893966 */     GIR_EraseRootFromParent_Done,
     /* 1893967 */   // Label 25485: @1893967
     /* 1893967 */   GIM_Try, /*On fail goto*//*Label 25486*/ GIMT_Encode4(1894053), // Rule ID 19197 //
     /* 1893972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1893975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1893980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1893983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1893986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1893989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1893992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894018 */     // MIs[0] policy
     /* 1894018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894028 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1894031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894052 */     // GIR_Coverage, 19197,
     /* 1894052 */     GIR_EraseRootFromParent_Done,
     /* 1894053 */   // Label 25486: @1894053
     /* 1894053 */   GIM_Try, /*On fail goto*//*Label 25487*/ GIMT_Encode4(1894139), // Rule ID 19198 //
     /* 1894058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1894061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1894069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1894072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1894075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1894078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894104 */     // MIs[0] policy
     /* 1894104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894114 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1894117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894138 */     // GIR_Coverage, 19198,
     /* 1894138 */     GIR_EraseRootFromParent_Done,
     /* 1894139 */   // Label 25487: @1894139
     /* 1894139 */   GIM_Try, /*On fail goto*//*Label 25488*/ GIMT_Encode4(1894225), // Rule ID 19201 //
     /* 1894144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1894147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1894155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1894158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1894161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1894164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894190 */     // MIs[0] policy
     /* 1894190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894200 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1894203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894224 */     // GIR_Coverage, 19201,
     /* 1894224 */     GIR_EraseRootFromParent_Done,
     /* 1894225 */   // Label 25488: @1894225
     /* 1894225 */   GIM_Try, /*On fail goto*//*Label 25489*/ GIMT_Encode4(1894311), // Rule ID 19202 //
     /* 1894230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1894233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1894241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1894244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1894247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1894250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894276 */     // MIs[0] policy
     /* 1894276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894286 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1894289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894310 */     // GIR_Coverage, 19202,
     /* 1894310 */     GIR_EraseRootFromParent_Done,
     /* 1894311 */   // Label 25489: @1894311
     /* 1894311 */   GIM_Try, /*On fail goto*//*Label 25490*/ GIMT_Encode4(1894397), // Rule ID 19205 //
     /* 1894316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1894327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1894330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1894333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1894336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1894339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1894358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894362 */     // MIs[0] policy
     /* 1894362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894372 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1894375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894396 */     // GIR_Coverage, 19205,
     /* 1894396 */     GIR_EraseRootFromParent_Done,
     /* 1894397 */   // Label 25490: @1894397
     /* 1894397 */   GIM_Try, /*On fail goto*//*Label 25491*/ GIMT_Encode4(1894483), // Rule ID 19206 //
     /* 1894402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1894405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1894413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1894416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1894419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1894422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1894425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1894444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894448 */     // MIs[0] policy
     /* 1894448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894458 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1894461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894482 */     // GIR_Coverage, 19206,
     /* 1894482 */     GIR_EraseRootFromParent_Done,
     /* 1894483 */   // Label 25491: @1894483
     /* 1894483 */   GIM_Try, /*On fail goto*//*Label 25492*/ GIMT_Encode4(1894569), // Rule ID 19209 //
     /* 1894488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1894499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1894502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1894505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1894508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1894530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894534 */     // MIs[0] policy
     /* 1894534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894544 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1894547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894568 */     // GIR_Coverage, 19209,
     /* 1894568 */     GIR_EraseRootFromParent_Done,
     /* 1894569 */   // Label 25492: @1894569
     /* 1894569 */   GIM_Try, /*On fail goto*//*Label 25493*/ GIMT_Encode4(1894655), // Rule ID 19210 //
     /* 1894574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1894577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1894585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1894588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1894591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1894594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1894616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894620 */     // MIs[0] policy
     /* 1894620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894630 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1894633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894654 */     // GIR_Coverage, 19210,
     /* 1894654 */     GIR_EraseRootFromParent_Done,
     /* 1894655 */   // Label 25493: @1894655
     /* 1894655 */   GIM_Try, /*On fail goto*//*Label 25494*/ GIMT_Encode4(1894741), // Rule ID 19213 //
     /* 1894660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1894663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1894671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1894674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1894677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1894680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1894683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1894702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894706 */     // MIs[0] policy
     /* 1894706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894716 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1894719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894740 */     // GIR_Coverage, 19213,
     /* 1894740 */     GIR_EraseRootFromParent_Done,
     /* 1894741 */   // Label 25494: @1894741
     /* 1894741 */   GIM_Try, /*On fail goto*//*Label 25495*/ GIMT_Encode4(1894827), // Rule ID 19214 //
     /* 1894746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1894749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1894757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1894760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1894763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1894766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1894769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1894788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894792 */     // MIs[0] policy
     /* 1894792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894802 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1894805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894826 */     // GIR_Coverage, 19214,
     /* 1894826 */     GIR_EraseRootFromParent_Done,
     /* 1894827 */   // Label 25495: @1894827
     /* 1894827 */   GIM_Try, /*On fail goto*//*Label 25496*/ GIMT_Encode4(1894913), // Rule ID 19217 //
     /* 1894832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1894843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1894846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1894849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1894852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1894874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894878 */     // MIs[0] policy
     /* 1894878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894888 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1894891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894912 */     // GIR_Coverage, 19217,
     /* 1894912 */     GIR_EraseRootFromParent_Done,
     /* 1894913 */   // Label 25496: @1894913
     /* 1894913 */   GIM_Try, /*On fail goto*//*Label 25497*/ GIMT_Encode4(1894999), // Rule ID 19218 //
     /* 1894918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1894921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1894926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1894929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1894932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1894935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1894938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1894960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894964 */     // MIs[0] policy
     /* 1894964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894974 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1894977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894998 */     // GIR_Coverage, 19218,
     /* 1894998 */     GIR_EraseRootFromParent_Done,
     /* 1894999 */   // Label 25497: @1894999
     /* 1894999 */   GIM_Try, /*On fail goto*//*Label 25498*/ GIMT_Encode4(1895085), // Rule ID 19221 //
     /* 1895004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1895007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1895015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1895018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1895021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1895024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1895046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895050 */     // MIs[0] policy
     /* 1895050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895060 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1895063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895084 */     // GIR_Coverage, 19221,
     /* 1895084 */     GIR_EraseRootFromParent_Done,
     /* 1895085 */   // Label 25498: @1895085
     /* 1895085 */   GIM_Try, /*On fail goto*//*Label 25499*/ GIMT_Encode4(1895171), // Rule ID 19222 //
     /* 1895090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1895093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1895101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1895104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1895107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1895110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1895132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895136 */     // MIs[0] policy
     /* 1895136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895146 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1895149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895170 */     // GIR_Coverage, 19222,
     /* 1895170 */     GIR_EraseRootFromParent_Done,
     /* 1895171 */   // Label 25499: @1895171
     /* 1895171 */   GIM_Try, /*On fail goto*//*Label 25500*/ GIMT_Encode4(1895257), // Rule ID 19225 //
     /* 1895176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1895179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1895187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1895190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1895193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1895196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1895218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895222 */     // MIs[0] policy
     /* 1895222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895232 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1895235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895256 */     // GIR_Coverage, 19225,
     /* 1895256 */     GIR_EraseRootFromParent_Done,
     /* 1895257 */   // Label 25500: @1895257
     /* 1895257 */   GIM_Try, /*On fail goto*//*Label 25501*/ GIMT_Encode4(1895343), // Rule ID 19226 //
     /* 1895262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1895265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1895273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1895276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1895279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1895282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1895304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895308 */     // MIs[0] policy
     /* 1895308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895318 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1895321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895342 */     // GIR_Coverage, 19226,
     /* 1895342 */     GIR_EraseRootFromParent_Done,
     /* 1895343 */   // Label 25501: @1895343
     /* 1895343 */   GIM_Try, /*On fail goto*//*Label 25502*/ GIMT_Encode4(1895429), // Rule ID 19229 //
     /* 1895348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1895359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1895362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1895365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895394 */     // MIs[0] policy
     /* 1895394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895404 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1895407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895428 */     // GIR_Coverage, 19229,
     /* 1895428 */     GIR_EraseRootFromParent_Done,
     /* 1895429 */   // Label 25502: @1895429
     /* 1895429 */   GIM_Try, /*On fail goto*//*Label 25503*/ GIMT_Encode4(1895515), // Rule ID 19230 //
     /* 1895434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1895445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1895448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1895451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895480 */     // MIs[0] policy
     /* 1895480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895490 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1895493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895514 */     // GIR_Coverage, 19230,
     /* 1895514 */     GIR_EraseRootFromParent_Done,
     /* 1895515 */   // Label 25503: @1895515
     /* 1895515 */   GIM_Try, /*On fail goto*//*Label 25504*/ GIMT_Encode4(1895601), // Rule ID 19233 //
     /* 1895520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1895531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1895534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1895537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1895543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895566 */     // MIs[0] policy
     /* 1895566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895576 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1895579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895600 */     // GIR_Coverage, 19233,
     /* 1895600 */     GIR_EraseRootFromParent_Done,
     /* 1895601 */   // Label 25504: @1895601
     /* 1895601 */   GIM_Try, /*On fail goto*//*Label 25505*/ GIMT_Encode4(1895687), // Rule ID 19234 //
     /* 1895606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1895617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1895620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1895623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1895629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895652 */     // MIs[0] policy
     /* 1895652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895662 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1895665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895686 */     // GIR_Coverage, 19234,
     /* 1895686 */     GIR_EraseRootFromParent_Done,
     /* 1895687 */   // Label 25505: @1895687
     /* 1895687 */   GIM_Try, /*On fail goto*//*Label 25506*/ GIMT_Encode4(1895773), // Rule ID 19237 //
     /* 1895692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1895703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1895706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1895709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1895715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895738 */     // MIs[0] policy
     /* 1895738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895748 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1895751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895772 */     // GIR_Coverage, 19237,
     /* 1895772 */     GIR_EraseRootFromParent_Done,
     /* 1895773 */   // Label 25506: @1895773
     /* 1895773 */   GIM_Try, /*On fail goto*//*Label 25507*/ GIMT_Encode4(1895859), // Rule ID 19238 //
     /* 1895778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1895789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1895792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1895795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1895801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895824 */     // MIs[0] policy
     /* 1895824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895834 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1895837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895858 */     // GIR_Coverage, 19238,
     /* 1895858 */     GIR_EraseRootFromParent_Done,
     /* 1895859 */   // Label 25507: @1895859
     /* 1895859 */   GIM_Try, /*On fail goto*//*Label 25508*/ GIMT_Encode4(1895945), // Rule ID 19241 //
     /* 1895864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1895867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1895875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1895878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1895881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1895884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1895906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895910 */     // MIs[0] policy
     /* 1895910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895920 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1895923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895944 */     // GIR_Coverage, 19241,
     /* 1895944 */     GIR_EraseRootFromParent_Done,
     /* 1895945 */   // Label 25508: @1895945
     /* 1895945 */   GIM_Try, /*On fail goto*//*Label 25509*/ GIMT_Encode4(1896031), // Rule ID 19242 //
     /* 1895950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1895953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1895958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1895961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1895964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1895967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1895970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1895992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895996 */     // MIs[0] policy
     /* 1895996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896006 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1896009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896030 */     // GIR_Coverage, 19242,
     /* 1896030 */     GIR_EraseRootFromParent_Done,
     /* 1896031 */   // Label 25509: @1896031
     /* 1896031 */   GIM_Try, /*On fail goto*//*Label 25510*/ GIMT_Encode4(1896117), // Rule ID 19245 //
     /* 1896036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1896047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1896050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1896053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896082 */     // MIs[0] policy
     /* 1896082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896092 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1896095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896116 */     // GIR_Coverage, 19245,
     /* 1896116 */     GIR_EraseRootFromParent_Done,
     /* 1896117 */   // Label 25510: @1896117
     /* 1896117 */   GIM_Try, /*On fail goto*//*Label 25511*/ GIMT_Encode4(1896203), // Rule ID 19246 //
     /* 1896122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1896133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1896136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1896139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896168 */     // MIs[0] policy
     /* 1896168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896178 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1896181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896202 */     // GIR_Coverage, 19246,
     /* 1896202 */     GIR_EraseRootFromParent_Done,
     /* 1896203 */   // Label 25511: @1896203
     /* 1896203 */   GIM_Try, /*On fail goto*//*Label 25512*/ GIMT_Encode4(1896289), // Rule ID 19249 //
     /* 1896208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1896219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1896222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1896225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896254 */     // MIs[0] policy
     /* 1896254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896264 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1896267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896288 */     // GIR_Coverage, 19249,
     /* 1896288 */     GIR_EraseRootFromParent_Done,
     /* 1896289 */   // Label 25512: @1896289
     /* 1896289 */   GIM_Try, /*On fail goto*//*Label 25513*/ GIMT_Encode4(1896375), // Rule ID 19250 //
     /* 1896294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1896305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1896308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1896311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896340 */     // MIs[0] policy
     /* 1896340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896350 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1896353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896374 */     // GIR_Coverage, 19250,
     /* 1896374 */     GIR_EraseRootFromParent_Done,
     /* 1896375 */   // Label 25513: @1896375
     /* 1896375 */   GIM_Try, /*On fail goto*//*Label 25514*/ GIMT_Encode4(1896461), // Rule ID 19253 //
     /* 1896380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1896383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1896391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1896394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1896397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1896422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896426 */     // MIs[0] policy
     /* 1896426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896436 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1896439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896460 */     // GIR_Coverage, 19253,
     /* 1896460 */     GIR_EraseRootFromParent_Done,
     /* 1896461 */   // Label 25514: @1896461
     /* 1896461 */   GIM_Try, /*On fail goto*//*Label 25515*/ GIMT_Encode4(1896547), // Rule ID 19254 //
     /* 1896466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1896469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1896477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1896480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1896483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1896508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896512 */     // MIs[0] policy
     /* 1896512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896522 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1896525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896546 */     // GIR_Coverage, 19254,
     /* 1896546 */     GIR_EraseRootFromParent_Done,
     /* 1896547 */   // Label 25515: @1896547
     /* 1896547 */   GIM_Try, /*On fail goto*//*Label 25516*/ GIMT_Encode4(1896633), // Rule ID 19257 //
     /* 1896552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1896555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1896563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1896566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1896569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1896594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896598 */     // MIs[0] policy
     /* 1896598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896608 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1896611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896632 */     // GIR_Coverage, 19257,
     /* 1896632 */     GIR_EraseRootFromParent_Done,
     /* 1896633 */   // Label 25516: @1896633
     /* 1896633 */   GIM_Try, /*On fail goto*//*Label 25517*/ GIMT_Encode4(1896719), // Rule ID 19258 //
     /* 1896638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1896641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1896649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1896652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1896655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1896680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896684 */     // MIs[0] policy
     /* 1896684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896694 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1896697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896718 */     // GIR_Coverage, 19258,
     /* 1896718 */     GIR_EraseRootFromParent_Done,
     /* 1896719 */   // Label 25517: @1896719
     /* 1896719 */   GIM_Try, /*On fail goto*//*Label 25518*/ GIMT_Encode4(1896805), // Rule ID 19261 //
     /* 1896724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1896727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1896735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1896738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1896741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1896766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896770 */     // MIs[0] policy
     /* 1896770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896780 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1896783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896804 */     // GIR_Coverage, 19261,
     /* 1896804 */     GIR_EraseRootFromParent_Done,
     /* 1896805 */   // Label 25518: @1896805
     /* 1896805 */   GIM_Try, /*On fail goto*//*Label 25519*/ GIMT_Encode4(1896891), // Rule ID 19262 //
     /* 1896810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1896813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1896818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1896821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1896824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1896827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1896852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896856 */     // MIs[0] policy
     /* 1896856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896866 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1896869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896890 */     // GIR_Coverage, 19262,
     /* 1896890 */     GIR_EraseRootFromParent_Done,
     /* 1896891 */   // Label 25519: @1896891
     /* 1896891 */   GIM_Try, /*On fail goto*//*Label 25520*/ GIMT_Encode4(1896977), // Rule ID 19265 //
     /* 1896896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1896904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1896907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1896910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1896913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1896916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896942 */     // MIs[0] policy
     /* 1896942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896952 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1896955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896976 */     // GIR_Coverage, 19265,
     /* 1896976 */     GIR_EraseRootFromParent_Done,
     /* 1896977 */   // Label 25520: @1896977
     /* 1896977 */   GIM_Try, /*On fail goto*//*Label 25521*/ GIMT_Encode4(1897063), // Rule ID 19266 //
     /* 1896982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1896990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1896993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1896996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1896999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1897002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897028 */     // MIs[0] policy
     /* 1897028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897038 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1897041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897062 */     // GIR_Coverage, 19266,
     /* 1897062 */     GIR_EraseRootFromParent_Done,
     /* 1897063 */   // Label 25521: @1897063
     /* 1897063 */   GIM_Try, /*On fail goto*//*Label 25522*/ GIMT_Encode4(1897149), // Rule ID 19269 //
     /* 1897068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1897076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1897079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1897082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1897085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1897088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897114 */     // MIs[0] policy
     /* 1897114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897124 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1897127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897148 */     // GIR_Coverage, 19269,
     /* 1897148 */     GIR_EraseRootFromParent_Done,
     /* 1897149 */   // Label 25522: @1897149
     /* 1897149 */   GIM_Try, /*On fail goto*//*Label 25523*/ GIMT_Encode4(1897235), // Rule ID 19270 //
     /* 1897154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1897162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1897165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1897168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1897171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1897174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897200 */     // MIs[0] policy
     /* 1897200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897210 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1897213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897234 */     // GIR_Coverage, 19270,
     /* 1897234 */     GIR_EraseRootFromParent_Done,
     /* 1897235 */   // Label 25523: @1897235
     /* 1897235 */   GIM_Try, /*On fail goto*//*Label 25524*/ GIMT_Encode4(1897321), // Rule ID 19273 //
     /* 1897240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1897248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1897251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1897254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1897257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1897260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897286 */     // MIs[0] policy
     /* 1897286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897296 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1897299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897320 */     // GIR_Coverage, 19273,
     /* 1897320 */     GIR_EraseRootFromParent_Done,
     /* 1897321 */   // Label 25524: @1897321
     /* 1897321 */   GIM_Try, /*On fail goto*//*Label 25525*/ GIMT_Encode4(1897407), // Rule ID 19274 //
     /* 1897326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1897334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1897337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1897340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1897343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1897346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897372 */     // MIs[0] policy
     /* 1897372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897382 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1897385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897406 */     // GIR_Coverage, 19274,
     /* 1897406 */     GIR_EraseRootFromParent_Done,
     /* 1897407 */   // Label 25525: @1897407
     /* 1897407 */   GIM_Try, /*On fail goto*//*Label 25526*/ GIMT_Encode4(1897493), // Rule ID 19277 //
     /* 1897412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1897420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1897423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1897426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1897429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1897432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897458 */     // MIs[0] policy
     /* 1897458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897468 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1897471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897492 */     // GIR_Coverage, 19277,
     /* 1897492 */     GIR_EraseRootFromParent_Done,
     /* 1897493 */   // Label 25526: @1897493
     /* 1897493 */   GIM_Try, /*On fail goto*//*Label 25527*/ GIMT_Encode4(1897579), // Rule ID 19278 //
     /* 1897498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1897506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1897509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1897512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1897515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1897518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897544 */     // MIs[0] policy
     /* 1897544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897554 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1897557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897578 */     // GIR_Coverage, 19278,
     /* 1897578 */     GIR_EraseRootFromParent_Done,
     /* 1897579 */   // Label 25527: @1897579
     /* 1897579 */   GIM_Try, /*On fail goto*//*Label 25528*/ GIMT_Encode4(1897665), // Rule ID 19281 //
     /* 1897584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1897592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1897595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1897598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1897601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1897604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897630 */     // MIs[0] policy
     /* 1897630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897640 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1897643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897664 */     // GIR_Coverage, 19281,
     /* 1897664 */     GIR_EraseRootFromParent_Done,
     /* 1897665 */   // Label 25528: @1897665
     /* 1897665 */   GIM_Try, /*On fail goto*//*Label 25529*/ GIMT_Encode4(1897751), // Rule ID 19282 //
     /* 1897670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1897678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1897681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1897684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1897687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1897690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897716 */     // MIs[0] policy
     /* 1897716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897726 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1897729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897750 */     // GIR_Coverage, 19282,
     /* 1897750 */     GIR_EraseRootFromParent_Done,
     /* 1897751 */   // Label 25529: @1897751
     /* 1897751 */   GIM_Try, /*On fail goto*//*Label 25530*/ GIMT_Encode4(1897837), // Rule ID 19285 //
     /* 1897756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1897759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1897764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1897767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1897770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1897773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1897776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897802 */     // MIs[0] policy
     /* 1897802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897812 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1897815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897836 */     // GIR_Coverage, 19285,
     /* 1897836 */     GIR_EraseRootFromParent_Done,
     /* 1897837 */   // Label 25530: @1897837
     /* 1897837 */   GIM_Try, /*On fail goto*//*Label 25531*/ GIMT_Encode4(1897923), // Rule ID 19286 //
     /* 1897842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1897845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1897850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1897853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1897856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1897859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1897862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897888 */     // MIs[0] policy
     /* 1897888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897898 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1897901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897922 */     // GIR_Coverage, 19286,
     /* 1897922 */     GIR_EraseRootFromParent_Done,
     /* 1897923 */   // Label 25531: @1897923
     /* 1897923 */   GIM_Try, /*On fail goto*//*Label 25532*/ GIMT_Encode4(1898009), // Rule ID 19289 //
     /* 1897928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1897936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1897939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1897942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1897945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1897948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897974 */     // MIs[0] policy
     /* 1897974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897984 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1897987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898008 */     // GIR_Coverage, 19289,
     /* 1898008 */     GIR_EraseRootFromParent_Done,
     /* 1898009 */   // Label 25532: @1898009
     /* 1898009 */   GIM_Try, /*On fail goto*//*Label 25533*/ GIMT_Encode4(1898095), // Rule ID 19290 //
     /* 1898014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1898025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1898028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1898031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1898034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898060 */     // MIs[0] policy
     /* 1898060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898070 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1898073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898094 */     // GIR_Coverage, 19290,
     /* 1898094 */     GIR_EraseRootFromParent_Done,
     /* 1898095 */   // Label 25533: @1898095
     /* 1898095 */   GIM_Try, /*On fail goto*//*Label 25534*/ GIMT_Encode4(1898181), // Rule ID 19293 //
     /* 1898100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1898111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1898114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1898117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1898120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898146 */     // MIs[0] policy
     /* 1898146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898156 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1898159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898180 */     // GIR_Coverage, 19293,
     /* 1898180 */     GIR_EraseRootFromParent_Done,
     /* 1898181 */   // Label 25534: @1898181
     /* 1898181 */   GIM_Try, /*On fail goto*//*Label 25535*/ GIMT_Encode4(1898267), // Rule ID 19294 //
     /* 1898186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1898197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1898200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1898203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1898206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898232 */     // MIs[0] policy
     /* 1898232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898242 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1898245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898266 */     // GIR_Coverage, 19294,
     /* 1898266 */     GIR_EraseRootFromParent_Done,
     /* 1898267 */   // Label 25535: @1898267
     /* 1898267 */   GIM_Try, /*On fail goto*//*Label 25536*/ GIMT_Encode4(1898353), // Rule ID 19297 //
     /* 1898272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1898283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1898286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1898289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1898292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1898295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898318 */     // MIs[0] policy
     /* 1898318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898328 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1898331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898352 */     // GIR_Coverage, 19297,
     /* 1898352 */     GIR_EraseRootFromParent_Done,
     /* 1898353 */   // Label 25536: @1898353
     /* 1898353 */   GIM_Try, /*On fail goto*//*Label 25537*/ GIMT_Encode4(1898439), // Rule ID 19298 //
     /* 1898358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1898369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1898372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1898375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1898378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1898381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898404 */     // MIs[0] policy
     /* 1898404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898414 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1898417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898438 */     // GIR_Coverage, 19298,
     /* 1898438 */     GIR_EraseRootFromParent_Done,
     /* 1898439 */   // Label 25537: @1898439
     /* 1898439 */   GIM_Try, /*On fail goto*//*Label 25538*/ GIMT_Encode4(1898525), // Rule ID 19301 //
     /* 1898444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1898447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1898455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1898458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1898461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1898464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898490 */     // MIs[0] policy
     /* 1898490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898500 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1898503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898524 */     // GIR_Coverage, 19301,
     /* 1898524 */     GIR_EraseRootFromParent_Done,
     /* 1898525 */   // Label 25538: @1898525
     /* 1898525 */   GIM_Try, /*On fail goto*//*Label 25539*/ GIMT_Encode4(1898611), // Rule ID 19302 //
     /* 1898530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1898533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1898541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1898544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1898547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1898550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898576 */     // MIs[0] policy
     /* 1898576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898586 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1898589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898610 */     // GIR_Coverage, 19302,
     /* 1898610 */     GIR_EraseRootFromParent_Done,
     /* 1898611 */   // Label 25539: @1898611
     /* 1898611 */   GIM_Try, /*On fail goto*//*Label 25540*/ GIMT_Encode4(1898697), // Rule ID 19305 //
     /* 1898616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1898619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1898627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1898630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1898633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1898636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898662 */     // MIs[0] policy
     /* 1898662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898672 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1898675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898696 */     // GIR_Coverage, 19305,
     /* 1898696 */     GIR_EraseRootFromParent_Done,
     /* 1898697 */   // Label 25540: @1898697
     /* 1898697 */   GIM_Try, /*On fail goto*//*Label 25541*/ GIMT_Encode4(1898783), // Rule ID 19306 //
     /* 1898702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1898705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1898713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1898716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1898719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1898722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898748 */     // MIs[0] policy
     /* 1898748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898758 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1898761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898782 */     // GIR_Coverage, 19306,
     /* 1898782 */     GIR_EraseRootFromParent_Done,
     /* 1898783 */   // Label 25541: @1898783
     /* 1898783 */   GIM_Try, /*On fail goto*//*Label 25542*/ GIMT_Encode4(1898869), // Rule ID 19309 //
     /* 1898788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1898791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1898799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1898802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1898805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1898808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898834 */     // MIs[0] policy
     /* 1898834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898844 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1898847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898868 */     // GIR_Coverage, 19309,
     /* 1898868 */     GIR_EraseRootFromParent_Done,
     /* 1898869 */   // Label 25542: @1898869
     /* 1898869 */   GIM_Try, /*On fail goto*//*Label 25543*/ GIMT_Encode4(1898955), // Rule ID 19310 //
     /* 1898874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1898877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1898885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1898888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1898891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1898894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898920 */     // MIs[0] policy
     /* 1898920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898930 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1898933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898954 */     // GIR_Coverage, 19310,
     /* 1898954 */     GIR_EraseRootFromParent_Done,
     /* 1898955 */   // Label 25543: @1898955
     /* 1898955 */   GIM_Try, /*On fail goto*//*Label 25544*/ GIMT_Encode4(1899041), // Rule ID 19313 //
     /* 1898960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1898963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1898968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1898971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1898974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1898977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1898980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899006 */     // MIs[0] policy
     /* 1899006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899016 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1899019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899040 */     // GIR_Coverage, 19313,
     /* 1899040 */     GIR_EraseRootFromParent_Done,
     /* 1899041 */   // Label 25544: @1899041
     /* 1899041 */   GIM_Try, /*On fail goto*//*Label 25545*/ GIMT_Encode4(1899127), // Rule ID 19314 //
     /* 1899046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1899057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1899060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1899063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1899066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899092 */     // MIs[0] policy
     /* 1899092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899102 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1899105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899126 */     // GIR_Coverage, 19314,
     /* 1899126 */     GIR_EraseRootFromParent_Done,
     /* 1899127 */   // Label 25545: @1899127
     /* 1899127 */   GIM_Try, /*On fail goto*//*Label 25546*/ GIMT_Encode4(1899213), // Rule ID 19317 //
     /* 1899132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1899143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1899146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1899149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1899152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899178 */     // MIs[0] policy
     /* 1899178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899188 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1899191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899212 */     // GIR_Coverage, 19317,
     /* 1899212 */     GIR_EraseRootFromParent_Done,
     /* 1899213 */   // Label 25546: @1899213
     /* 1899213 */   GIM_Try, /*On fail goto*//*Label 25547*/ GIMT_Encode4(1899299), // Rule ID 19318 //
     /* 1899218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1899229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1899232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1899235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1899238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899264 */     // MIs[0] policy
     /* 1899264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899274 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1899277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899298 */     // GIR_Coverage, 19318,
     /* 1899298 */     GIR_EraseRootFromParent_Done,
     /* 1899299 */   // Label 25547: @1899299
     /* 1899299 */   GIM_Try, /*On fail goto*//*Label 25548*/ GIMT_Encode4(1899385), // Rule ID 19321 //
     /* 1899304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1899315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1899318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1899321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1899324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899350 */     // MIs[0] policy
     /* 1899350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899360 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1899363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899384 */     // GIR_Coverage, 19321,
     /* 1899384 */     GIR_EraseRootFromParent_Done,
     /* 1899385 */   // Label 25548: @1899385
     /* 1899385 */   GIM_Try, /*On fail goto*//*Label 25549*/ GIMT_Encode4(1899471), // Rule ID 19322 //
     /* 1899390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1899401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1899404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1899407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1899410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899436 */     // MIs[0] policy
     /* 1899436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899446 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1899449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899470 */     // GIR_Coverage, 19322,
     /* 1899470 */     GIR_EraseRootFromParent_Done,
     /* 1899471 */   // Label 25549: @1899471
     /* 1899471 */   GIM_Try, /*On fail goto*//*Label 25550*/ GIMT_Encode4(1899557), // Rule ID 19325 //
     /* 1899476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1899487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1899490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1899493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1899496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1899518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899522 */     // MIs[0] policy
     /* 1899522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899532 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1899535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899556 */     // GIR_Coverage, 19325,
     /* 1899556 */     GIR_EraseRootFromParent_Done,
     /* 1899557 */   // Label 25550: @1899557
     /* 1899557 */   GIM_Try, /*On fail goto*//*Label 25551*/ GIMT_Encode4(1899643), // Rule ID 19326 //
     /* 1899562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1899573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1899576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1899579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1899582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1899604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899608 */     // MIs[0] policy
     /* 1899608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899618 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1899621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899642 */     // GIR_Coverage, 19326,
     /* 1899642 */     GIR_EraseRootFromParent_Done,
     /* 1899643 */   // Label 25551: @1899643
     /* 1899643 */   GIM_Try, /*On fail goto*//*Label 25552*/ GIMT_Encode4(1899729), // Rule ID 19329 //
     /* 1899648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1899659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1899662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1899665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1899668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1899690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899694 */     // MIs[0] policy
     /* 1899694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899704 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1899707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899728 */     // GIR_Coverage, 19329,
     /* 1899728 */     GIR_EraseRootFromParent_Done,
     /* 1899729 */   // Label 25552: @1899729
     /* 1899729 */   GIM_Try, /*On fail goto*//*Label 25553*/ GIMT_Encode4(1899815), // Rule ID 19330 //
     /* 1899734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1899745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1899748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1899751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1899754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1899776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899780 */     // MIs[0] policy
     /* 1899780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899790 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1899793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899814 */     // GIR_Coverage, 19330,
     /* 1899814 */     GIR_EraseRootFromParent_Done,
     /* 1899815 */   // Label 25553: @1899815
     /* 1899815 */   GIM_Try, /*On fail goto*//*Label 25554*/ GIMT_Encode4(1899901), // Rule ID 19333 //
     /* 1899820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1899831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1899834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1899837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1899840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1899862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899866 */     // MIs[0] policy
     /* 1899866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899876 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1899879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899900 */     // GIR_Coverage, 19333,
     /* 1899900 */     GIR_EraseRootFromParent_Done,
     /* 1899901 */   // Label 25554: @1899901
     /* 1899901 */   GIM_Try, /*On fail goto*//*Label 25555*/ GIMT_Encode4(1899987), // Rule ID 19334 //
     /* 1899906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1899909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1899914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1899917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1899920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1899923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1899926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1899948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899952 */     // MIs[0] policy
     /* 1899952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899962 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1899965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899986 */     // GIR_Coverage, 19334,
     /* 1899986 */     GIR_EraseRootFromParent_Done,
     /* 1899987 */   // Label 25555: @1899987
     /* 1899987 */   GIM_Try, /*On fail goto*//*Label 25556*/ GIMT_Encode4(1900073), // Rule ID 19337 //
     /* 1899992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1900003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1900006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1900009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900038 */     // MIs[0] policy
     /* 1900038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900048 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1900051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900072 */     // GIR_Coverage, 19337,
     /* 1900072 */     GIR_EraseRootFromParent_Done,
     /* 1900073 */   // Label 25556: @1900073
     /* 1900073 */   GIM_Try, /*On fail goto*//*Label 25557*/ GIMT_Encode4(1900159), // Rule ID 19338 //
     /* 1900078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1900089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1900092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1900095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900124 */     // MIs[0] policy
     /* 1900124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900134 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1900137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900158 */     // GIR_Coverage, 19338,
     /* 1900158 */     GIR_EraseRootFromParent_Done,
     /* 1900159 */   // Label 25557: @1900159
     /* 1900159 */   GIM_Try, /*On fail goto*//*Label 25558*/ GIMT_Encode4(1900245), // Rule ID 19341 //
     /* 1900164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1900167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1900175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1900178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1900181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1900184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1900206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900210 */     // MIs[0] policy
     /* 1900210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900220 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1900223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900244 */     // GIR_Coverage, 19341,
     /* 1900244 */     GIR_EraseRootFromParent_Done,
     /* 1900245 */   // Label 25558: @1900245
     /* 1900245 */   GIM_Try, /*On fail goto*//*Label 25559*/ GIMT_Encode4(1900331), // Rule ID 19342 //
     /* 1900250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1900261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1900264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1900267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1900270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1900292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900296 */     // MIs[0] policy
     /* 1900296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900306 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1900309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900330 */     // GIR_Coverage, 19342,
     /* 1900330 */     GIR_EraseRootFromParent_Done,
     /* 1900331 */   // Label 25559: @1900331
     /* 1900331 */   GIM_Try, /*On fail goto*//*Label 25560*/ GIMT_Encode4(1900417), // Rule ID 19345 //
     /* 1900336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1900339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1900347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1900350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1900353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1900356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1900378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900382 */     // MIs[0] policy
     /* 1900382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900392 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1900395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900416 */     // GIR_Coverage, 19345,
     /* 1900416 */     GIR_EraseRootFromParent_Done,
     /* 1900417 */   // Label 25560: @1900417
     /* 1900417 */   GIM_Try, /*On fail goto*//*Label 25561*/ GIMT_Encode4(1900503), // Rule ID 19346 //
     /* 1900422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1900425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1900433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1900436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1900439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1900442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1900464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900468 */     // MIs[0] policy
     /* 1900468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900478 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1900481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900502 */     // GIR_Coverage, 19346,
     /* 1900502 */     GIR_EraseRootFromParent_Done,
     /* 1900503 */   // Label 25561: @1900503
     /* 1900503 */   GIM_Try, /*On fail goto*//*Label 25562*/ GIMT_Encode4(1900589), // Rule ID 19349 //
     /* 1900508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1900519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1900522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1900525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900554 */     // MIs[0] policy
     /* 1900554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900564 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1900567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900588 */     // GIR_Coverage, 19349,
     /* 1900588 */     GIR_EraseRootFromParent_Done,
     /* 1900589 */   // Label 25562: @1900589
     /* 1900589 */   GIM_Try, /*On fail goto*//*Label 25563*/ GIMT_Encode4(1900675), // Rule ID 19350 //
     /* 1900594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1900605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1900608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1900611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900640 */     // MIs[0] policy
     /* 1900640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900650 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1900653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900674 */     // GIR_Coverage, 19350,
     /* 1900674 */     GIR_EraseRootFromParent_Done,
     /* 1900675 */   // Label 25563: @1900675
     /* 1900675 */   GIM_Try, /*On fail goto*//*Label 25564*/ GIMT_Encode4(1900761), // Rule ID 19353 //
     /* 1900680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1900691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1900694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1900697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1900703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900726 */     // MIs[0] policy
     /* 1900726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900736 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1900739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900760 */     // GIR_Coverage, 19353,
     /* 1900760 */     GIR_EraseRootFromParent_Done,
     /* 1900761 */   // Label 25564: @1900761
     /* 1900761 */   GIM_Try, /*On fail goto*//*Label 25565*/ GIMT_Encode4(1900847), // Rule ID 19354 //
     /* 1900766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1900777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1900780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1900783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1900789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900812 */     // MIs[0] policy
     /* 1900812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900822 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1900825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900846 */     // GIR_Coverage, 19354,
     /* 1900846 */     GIR_EraseRootFromParent_Done,
     /* 1900847 */   // Label 25565: @1900847
     /* 1900847 */   GIM_Try, /*On fail goto*//*Label 25566*/ GIMT_Encode4(1900933), // Rule ID 19357 //
     /* 1900852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1900863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1900866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1900869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1900875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900898 */     // MIs[0] policy
     /* 1900898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900908 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1900911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900932 */     // GIR_Coverage, 19357,
     /* 1900932 */     GIR_EraseRootFromParent_Done,
     /* 1900933 */   // Label 25566: @1900933
     /* 1900933 */   GIM_Try, /*On fail goto*//*Label 25567*/ GIMT_Encode4(1901019), // Rule ID 19358 //
     /* 1900938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1900946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1900949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1900952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1900955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1900961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900984 */     // MIs[0] policy
     /* 1900984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900994 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1900997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901018 */     // GIR_Coverage, 19358,
     /* 1901018 */     GIR_EraseRootFromParent_Done,
     /* 1901019 */   // Label 25567: @1901019
     /* 1901019 */   GIM_Try, /*On fail goto*//*Label 25568*/ GIMT_Encode4(1901105), // Rule ID 19361 //
     /* 1901024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1901035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1901038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1901041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901070 */     // MIs[0] policy
     /* 1901070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901080 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1901083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901104 */     // GIR_Coverage, 19361,
     /* 1901104 */     GIR_EraseRootFromParent_Done,
     /* 1901105 */   // Label 25568: @1901105
     /* 1901105 */   GIM_Try, /*On fail goto*//*Label 25569*/ GIMT_Encode4(1901191), // Rule ID 19362 //
     /* 1901110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1901121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1901124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1901127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901156 */     // MIs[0] policy
     /* 1901156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901166 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1901169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901190 */     // GIR_Coverage, 19362,
     /* 1901190 */     GIR_EraseRootFromParent_Done,
     /* 1901191 */   // Label 25569: @1901191
     /* 1901191 */   GIM_Try, /*On fail goto*//*Label 25570*/ GIMT_Encode4(1901277), // Rule ID 19365 //
     /* 1901196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1901207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1901210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1901213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901242 */     // MIs[0] policy
     /* 1901242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901252 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1901255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901276 */     // GIR_Coverage, 19365,
     /* 1901276 */     GIR_EraseRootFromParent_Done,
     /* 1901277 */   // Label 25570: @1901277
     /* 1901277 */   GIM_Try, /*On fail goto*//*Label 25571*/ GIMT_Encode4(1901363), // Rule ID 19366 //
     /* 1901282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1901293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1901296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1901299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901328 */     // MIs[0] policy
     /* 1901328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901338 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1901341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901362 */     // GIR_Coverage, 19366,
     /* 1901362 */     GIR_EraseRootFromParent_Done,
     /* 1901363 */   // Label 25571: @1901363
     /* 1901363 */   GIM_Try, /*On fail goto*//*Label 25572*/ GIMT_Encode4(1901449), // Rule ID 19369 //
     /* 1901368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1901379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1901382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1901385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901414 */     // MIs[0] policy
     /* 1901414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901424 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1901427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901448 */     // GIR_Coverage, 19369,
     /* 1901448 */     GIR_EraseRootFromParent_Done,
     /* 1901449 */   // Label 25572: @1901449
     /* 1901449 */   GIM_Try, /*On fail goto*//*Label 25573*/ GIMT_Encode4(1901535), // Rule ID 19370 //
     /* 1901454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1901465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1901468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1901471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901500 */     // MIs[0] policy
     /* 1901500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901510 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1901513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901534 */     // GIR_Coverage, 19370,
     /* 1901534 */     GIR_EraseRootFromParent_Done,
     /* 1901535 */   // Label 25573: @1901535
     /* 1901535 */   GIM_Try, /*On fail goto*//*Label 25574*/ GIMT_Encode4(1901621), // Rule ID 19373 //
     /* 1901540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1901543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1901551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1901554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1901557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1901560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1901582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901586 */     // MIs[0] policy
     /* 1901586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901596 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1901599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901620 */     // GIR_Coverage, 19373,
     /* 1901620 */     GIR_EraseRootFromParent_Done,
     /* 1901621 */   // Label 25574: @1901621
     /* 1901621 */   GIM_Try, /*On fail goto*//*Label 25575*/ GIMT_Encode4(1901707), // Rule ID 19374 //
     /* 1901626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1901629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1901637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1901640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1901643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1901646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1901668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901672 */     // MIs[0] policy
     /* 1901672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901682 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1901685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901706 */     // GIR_Coverage, 19374,
     /* 1901706 */     GIR_EraseRootFromParent_Done,
     /* 1901707 */   // Label 25575: @1901707
     /* 1901707 */   GIM_Try, /*On fail goto*//*Label 25576*/ GIMT_Encode4(1901793), // Rule ID 19377 //
     /* 1901712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1901715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1901723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1901726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1901729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1901732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1901754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901758 */     // MIs[0] policy
     /* 1901758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901768 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1901771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901792 */     // GIR_Coverage, 19377,
     /* 1901792 */     GIR_EraseRootFromParent_Done,
     /* 1901793 */   // Label 25576: @1901793
     /* 1901793 */   GIM_Try, /*On fail goto*//*Label 25577*/ GIMT_Encode4(1901879), // Rule ID 19378 //
     /* 1901798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1901801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1901809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1901812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1901815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1901818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1901840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901844 */     // MIs[0] policy
     /* 1901844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901854 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1901857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901878 */     // GIR_Coverage, 19378,
     /* 1901878 */     GIR_EraseRootFromParent_Done,
     /* 1901879 */   // Label 25577: @1901879
     /* 1901879 */   GIM_Try, /*On fail goto*//*Label 25578*/ GIMT_Encode4(1901965), // Rule ID 19381 //
     /* 1901884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1901887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1901895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1901898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1901901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1901904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1901926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901930 */     // MIs[0] policy
     /* 1901930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901940 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1901943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901964 */     // GIR_Coverage, 19381,
     /* 1901964 */     GIR_EraseRootFromParent_Done,
     /* 1901965 */   // Label 25578: @1901965
     /* 1901965 */   GIM_Try, /*On fail goto*//*Label 25579*/ GIMT_Encode4(1902051), // Rule ID 19382 //
     /* 1901970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1901973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1901978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1901981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1901984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1901987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1901990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902016 */     // MIs[0] policy
     /* 1902016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902026 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1902029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902050 */     // GIR_Coverage, 19382,
     /* 1902050 */     GIR_EraseRootFromParent_Done,
     /* 1902051 */   // Label 25579: @1902051
     /* 1902051 */   GIM_Try, /*On fail goto*//*Label 25580*/ GIMT_Encode4(1902137), // Rule ID 19385 //
     /* 1902056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1902064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1902067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1902070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1902073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1902076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902102 */     // MIs[0] policy
     /* 1902102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902112 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1902115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902136 */     // GIR_Coverage, 19385,
     /* 1902136 */     GIR_EraseRootFromParent_Done,
     /* 1902137 */   // Label 25580: @1902137
     /* 1902137 */   GIM_Try, /*On fail goto*//*Label 25581*/ GIMT_Encode4(1902223), // Rule ID 19386 //
     /* 1902142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1902150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1902153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1902156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1902159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1902162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902188 */     // MIs[0] policy
     /* 1902188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902198 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1902201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902222 */     // GIR_Coverage, 19386,
     /* 1902222 */     GIR_EraseRootFromParent_Done,
     /* 1902223 */   // Label 25581: @1902223
     /* 1902223 */   GIM_Try, /*On fail goto*//*Label 25582*/ GIMT_Encode4(1902309), // Rule ID 19389 //
     /* 1902228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1902236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1902239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1902242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1902245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1902248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902274 */     // MIs[0] policy
     /* 1902274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902284 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1902287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902308 */     // GIR_Coverage, 19389,
     /* 1902308 */     GIR_EraseRootFromParent_Done,
     /* 1902309 */   // Label 25582: @1902309
     /* 1902309 */   GIM_Try, /*On fail goto*//*Label 25583*/ GIMT_Encode4(1902395), // Rule ID 19390 //
     /* 1902314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1902322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1902325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1902328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1902331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1902334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902360 */     // MIs[0] policy
     /* 1902360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902370 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1902373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902394 */     // GIR_Coverage, 19390,
     /* 1902394 */     GIR_EraseRootFromParent_Done,
     /* 1902395 */   // Label 25583: @1902395
     /* 1902395 */   GIM_Try, /*On fail goto*//*Label 25584*/ GIMT_Encode4(1902481), // Rule ID 19393 //
     /* 1902400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1902408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1902411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1902414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1902417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1902420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902446 */     // MIs[0] policy
     /* 1902446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902456 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1902459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902480 */     // GIR_Coverage, 19393,
     /* 1902480 */     GIR_EraseRootFromParent_Done,
     /* 1902481 */   // Label 25584: @1902481
     /* 1902481 */   GIM_Try, /*On fail goto*//*Label 25585*/ GIMT_Encode4(1902567), // Rule ID 19394 //
     /* 1902486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1902489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1902494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1902497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1902500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1902503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1902506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902532 */     // MIs[0] policy
     /* 1902532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902542 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1902545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902566 */     // GIR_Coverage, 19394,
     /* 1902566 */     GIR_EraseRootFromParent_Done,
     /* 1902567 */   // Label 25585: @1902567
     /* 1902567 */   GIM_Try, /*On fail goto*//*Label 25586*/ GIMT_Encode4(1902653), // Rule ID 19397 //
     /* 1902572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1902580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1902583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1902586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1902589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1902592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902618 */     // MIs[0] policy
     /* 1902618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902628 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1902631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902652 */     // GIR_Coverage, 19397,
     /* 1902652 */     GIR_EraseRootFromParent_Done,
     /* 1902653 */   // Label 25586: @1902653
     /* 1902653 */   GIM_Try, /*On fail goto*//*Label 25587*/ GIMT_Encode4(1902739), // Rule ID 19398 //
     /* 1902658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1902666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1902669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1902672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1902675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1902678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902704 */     // MIs[0] policy
     /* 1902704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902714 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1902717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902738 */     // GIR_Coverage, 19398,
     /* 1902738 */     GIR_EraseRootFromParent_Done,
     /* 1902739 */   // Label 25587: @1902739
     /* 1902739 */   GIM_Try, /*On fail goto*//*Label 25588*/ GIMT_Encode4(1902825), // Rule ID 19401 //
     /* 1902744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1902752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1902755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1902758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1902761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1902764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902790 */     // MIs[0] policy
     /* 1902790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902800 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1902803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902824 */     // GIR_Coverage, 19401,
     /* 1902824 */     GIR_EraseRootFromParent_Done,
     /* 1902825 */   // Label 25588: @1902825
     /* 1902825 */   GIM_Try, /*On fail goto*//*Label 25589*/ GIMT_Encode4(1902911), // Rule ID 19402 //
     /* 1902830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1902833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1902838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1902841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1902844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1902847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1902850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902876 */     // MIs[0] policy
     /* 1902876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902886 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1902889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902910 */     // GIR_Coverage, 19402,
     /* 1902910 */     GIR_EraseRootFromParent_Done,
     /* 1902911 */   // Label 25589: @1902911
     /* 1902911 */   GIM_Try, /*On fail goto*//*Label 25590*/ GIMT_Encode4(1902997), // Rule ID 19405 //
     /* 1902916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1902919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1902924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1902927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1902930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1902933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1902936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902962 */     // MIs[0] policy
     /* 1902962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902972 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1902975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902996 */     // GIR_Coverage, 19405,
     /* 1902996 */     GIR_EraseRootFromParent_Done,
     /* 1902997 */   // Label 25590: @1902997
     /* 1902997 */   GIM_Try, /*On fail goto*//*Label 25591*/ GIMT_Encode4(1903083), // Rule ID 19406 //
     /* 1903002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1903005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1903013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1903016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1903019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1903022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903048 */     // MIs[0] policy
     /* 1903048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903058 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1903061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903082 */     // GIR_Coverage, 19406,
     /* 1903082 */     GIR_EraseRootFromParent_Done,
     /* 1903083 */   // Label 25591: @1903083
     /* 1903083 */   GIM_Try, /*On fail goto*//*Label 25592*/ GIMT_Encode4(1903169), // Rule ID 19409 //
     /* 1903088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1903099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1903102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1903105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1903108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903134 */     // MIs[0] policy
     /* 1903134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903144 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1903147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903168 */     // GIR_Coverage, 19409,
     /* 1903168 */     GIR_EraseRootFromParent_Done,
     /* 1903169 */   // Label 25592: @1903169
     /* 1903169 */   GIM_Try, /*On fail goto*//*Label 25593*/ GIMT_Encode4(1903255), // Rule ID 19410 //
     /* 1903174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1903185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1903188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1903191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1903194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903220 */     // MIs[0] policy
     /* 1903220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903230 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1903233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903254 */     // GIR_Coverage, 19410,
     /* 1903254 */     GIR_EraseRootFromParent_Done,
     /* 1903255 */   // Label 25593: @1903255
     /* 1903255 */   GIM_Try, /*On fail goto*//*Label 25594*/ GIMT_Encode4(1903341), // Rule ID 19413 //
     /* 1903260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1903271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1903274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1903277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1903280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1903283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903306 */     // MIs[0] policy
     /* 1903306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903316 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1903319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903340 */     // GIR_Coverage, 19413,
     /* 1903340 */     GIR_EraseRootFromParent_Done,
     /* 1903341 */   // Label 25594: @1903341
     /* 1903341 */   GIM_Try, /*On fail goto*//*Label 25595*/ GIMT_Encode4(1903427), // Rule ID 19414 //
     /* 1903346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1903357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1903360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1903363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1903366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1903369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903392 */     // MIs[0] policy
     /* 1903392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903402 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1903405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903426 */     // GIR_Coverage, 19414,
     /* 1903426 */     GIR_EraseRootFromParent_Done,
     /* 1903427 */   // Label 25595: @1903427
     /* 1903427 */   GIM_Try, /*On fail goto*//*Label 25596*/ GIMT_Encode4(1903513), // Rule ID 19417 //
     /* 1903432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1903443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1903446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1903449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1903452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1903455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903478 */     // MIs[0] policy
     /* 1903478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903488 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1903491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903512 */     // GIR_Coverage, 19417,
     /* 1903512 */     GIR_EraseRootFromParent_Done,
     /* 1903513 */   // Label 25596: @1903513
     /* 1903513 */   GIM_Try, /*On fail goto*//*Label 25597*/ GIMT_Encode4(1903599), // Rule ID 19418 //
     /* 1903518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1903529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1903532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1903535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1903538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1903541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903564 */     // MIs[0] policy
     /* 1903564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903574 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1903577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903598 */     // GIR_Coverage, 19418,
     /* 1903598 */     GIR_EraseRootFromParent_Done,
     /* 1903599 */   // Label 25597: @1903599
     /* 1903599 */   GIM_Try, /*On fail goto*//*Label 25598*/ GIMT_Encode4(1903685), // Rule ID 19421 //
     /* 1903604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1903607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1903615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1903618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1903621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1903624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903650 */     // MIs[0] policy
     /* 1903650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903660 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1903663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903684 */     // GIR_Coverage, 19421,
     /* 1903684 */     GIR_EraseRootFromParent_Done,
     /* 1903685 */   // Label 25598: @1903685
     /* 1903685 */   GIM_Try, /*On fail goto*//*Label 25599*/ GIMT_Encode4(1903771), // Rule ID 19422 //
     /* 1903690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1903693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1903701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1903704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1903707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1903710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903736 */     // MIs[0] policy
     /* 1903736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903746 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1903749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903770 */     // GIR_Coverage, 19422,
     /* 1903770 */     GIR_EraseRootFromParent_Done,
     /* 1903771 */   // Label 25599: @1903771
     /* 1903771 */   GIM_Try, /*On fail goto*//*Label 25600*/ GIMT_Encode4(1903857), // Rule ID 19425 //
     /* 1903776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1903779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1903787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1903790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1903793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1903796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903822 */     // MIs[0] policy
     /* 1903822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903832 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1903835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903856 */     // GIR_Coverage, 19425,
     /* 1903856 */     GIR_EraseRootFromParent_Done,
     /* 1903857 */   // Label 25600: @1903857
     /* 1903857 */   GIM_Try, /*On fail goto*//*Label 25601*/ GIMT_Encode4(1903943), // Rule ID 19426 //
     /* 1903862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1903865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1903873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1903876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1903879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1903882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903908 */     // MIs[0] policy
     /* 1903908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903918 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1903921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903942 */     // GIR_Coverage, 19426,
     /* 1903942 */     GIR_EraseRootFromParent_Done,
     /* 1903943 */   // Label 25601: @1903943
     /* 1903943 */   GIM_Try, /*On fail goto*//*Label 25602*/ GIMT_Encode4(1904029), // Rule ID 19429 //
     /* 1903948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1903951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1903956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1903959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1903962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1903965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1903968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1903971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903994 */     // MIs[0] policy
     /* 1903994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904004 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1904007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904028 */     // GIR_Coverage, 19429,
     /* 1904028 */     GIR_EraseRootFromParent_Done,
     /* 1904029 */   // Label 25602: @1904029
     /* 1904029 */   GIM_Try, /*On fail goto*//*Label 25603*/ GIMT_Encode4(1904115), // Rule ID 19430 //
     /* 1904034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1904045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1904048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1904051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1904054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904080 */     // MIs[0] policy
     /* 1904080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904090 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1904093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904114 */     // GIR_Coverage, 19430,
     /* 1904114 */     GIR_EraseRootFromParent_Done,
     /* 1904115 */   // Label 25603: @1904115
     /* 1904115 */   GIM_Try, /*On fail goto*//*Label 25604*/ GIMT_Encode4(1904201), // Rule ID 19433 //
     /* 1904120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1904123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1904131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1904134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1904137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1904140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904166 */     // MIs[0] policy
     /* 1904166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904176 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1904179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904200 */     // GIR_Coverage, 19433,
     /* 1904200 */     GIR_EraseRootFromParent_Done,
     /* 1904201 */   // Label 25604: @1904201
     /* 1904201 */   GIM_Try, /*On fail goto*//*Label 25605*/ GIMT_Encode4(1904287), // Rule ID 19434 //
     /* 1904206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1904209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1904217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1904220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1904223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1904226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904252 */     // MIs[0] policy
     /* 1904252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904262 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1904265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904286 */     // GIR_Coverage, 19434,
     /* 1904286 */     GIR_EraseRootFromParent_Done,
     /* 1904287 */   // Label 25605: @1904287
     /* 1904287 */   GIM_Try, /*On fail goto*//*Label 25606*/ GIMT_Encode4(1904373), // Rule ID 19437 //
     /* 1904292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1904295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1904303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1904306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1904309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1904312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904338 */     // MIs[0] policy
     /* 1904338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904348 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1904351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904372 */     // GIR_Coverage, 19437,
     /* 1904372 */     GIR_EraseRootFromParent_Done,
     /* 1904373 */   // Label 25606: @1904373
     /* 1904373 */   GIM_Try, /*On fail goto*//*Label 25607*/ GIMT_Encode4(1904459), // Rule ID 19438 //
     /* 1904378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1904381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1904389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1904392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1904395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1904398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904424 */     // MIs[0] policy
     /* 1904424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904434 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1904437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904458 */     // GIR_Coverage, 19438,
     /* 1904458 */     GIR_EraseRootFromParent_Done,
     /* 1904459 */   // Label 25607: @1904459
     /* 1904459 */   GIM_Try, /*On fail goto*//*Label 25608*/ GIMT_Encode4(1904545), // Rule ID 19441 //
     /* 1904464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1904467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1904475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1904478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1904481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1904484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904510 */     // MIs[0] policy
     /* 1904510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904520 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1904523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904544 */     // GIR_Coverage, 19441,
     /* 1904544 */     GIR_EraseRootFromParent_Done,
     /* 1904545 */   // Label 25608: @1904545
     /* 1904545 */   GIM_Try, /*On fail goto*//*Label 25609*/ GIMT_Encode4(1904631), // Rule ID 19442 //
     /* 1904550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1904553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1904561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1904564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1904567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1904570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904596 */     // MIs[0] policy
     /* 1904596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904606 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1904609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904630 */     // GIR_Coverage, 19442,
     /* 1904630 */     GIR_EraseRootFromParent_Done,
     /* 1904631 */   // Label 25609: @1904631
     /* 1904631 */   GIM_Try, /*On fail goto*//*Label 25610*/ GIMT_Encode4(1904717), // Rule ID 19445 //
     /* 1904636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1904647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1904650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1904653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1904656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1904678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904682 */     // MIs[0] policy
     /* 1904682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904692 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1904695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904716 */     // GIR_Coverage, 19445,
     /* 1904716 */     GIR_EraseRootFromParent_Done,
     /* 1904717 */   // Label 25610: @1904717
     /* 1904717 */   GIM_Try, /*On fail goto*//*Label 25611*/ GIMT_Encode4(1904803), // Rule ID 19446 //
     /* 1904722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1904733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1904736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1904739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1904742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1904764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904768 */     // MIs[0] policy
     /* 1904768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904778 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1904781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904802 */     // GIR_Coverage, 19446,
     /* 1904802 */     GIR_EraseRootFromParent_Done,
     /* 1904803 */   // Label 25611: @1904803
     /* 1904803 */   GIM_Try, /*On fail goto*//*Label 25612*/ GIMT_Encode4(1904889), // Rule ID 19449 //
     /* 1904808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1904819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1904822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1904825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1904828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1904850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904854 */     // MIs[0] policy
     /* 1904854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904864 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1904867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904888 */     // GIR_Coverage, 19449,
     /* 1904888 */     GIR_EraseRootFromParent_Done,
     /* 1904889 */   // Label 25612: @1904889
     /* 1904889 */   GIM_Try, /*On fail goto*//*Label 25613*/ GIMT_Encode4(1904975), // Rule ID 19450 //
     /* 1904894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1904905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1904908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1904911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1904914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1904936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904940 */     // MIs[0] policy
     /* 1904940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904950 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1904953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904974 */     // GIR_Coverage, 19450,
     /* 1904974 */     GIR_EraseRootFromParent_Done,
     /* 1904975 */   // Label 25613: @1904975
     /* 1904975 */   GIM_Try, /*On fail goto*//*Label 25614*/ GIMT_Encode4(1905061), // Rule ID 19453 //
     /* 1904980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1904988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1904991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1904994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1904997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1905000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1905022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905026 */     // MIs[0] policy
     /* 1905026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905036 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1905039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905060 */     // GIR_Coverage, 19453,
     /* 1905060 */     GIR_EraseRootFromParent_Done,
     /* 1905061 */   // Label 25614: @1905061
     /* 1905061 */   GIM_Try, /*On fail goto*//*Label 25615*/ GIMT_Encode4(1905147), // Rule ID 19454 //
     /* 1905066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1905077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1905080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1905083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1905086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1905108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905112 */     // MIs[0] policy
     /* 1905112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905122 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1905125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905146 */     // GIR_Coverage, 19454,
     /* 1905146 */     GIR_EraseRootFromParent_Done,
     /* 1905147 */   // Label 25615: @1905147
     /* 1905147 */   GIM_Try, /*On fail goto*//*Label 25616*/ GIMT_Encode4(1905233), // Rule ID 19457 //
     /* 1905152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1905163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1905166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1905169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905198 */     // MIs[0] policy
     /* 1905198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905208 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1905211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905232 */     // GIR_Coverage, 19457,
     /* 1905232 */     GIR_EraseRootFromParent_Done,
     /* 1905233 */   // Label 25616: @1905233
     /* 1905233 */   GIM_Try, /*On fail goto*//*Label 25617*/ GIMT_Encode4(1905319), // Rule ID 19458 //
     /* 1905238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1905249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1905252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1905255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905284 */     // MIs[0] policy
     /* 1905284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905294 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1905297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905318 */     // GIR_Coverage, 19458,
     /* 1905318 */     GIR_EraseRootFromParent_Done,
     /* 1905319 */   // Label 25617: @1905319
     /* 1905319 */   GIM_Try, /*On fail goto*//*Label 25618*/ GIMT_Encode4(1905405), // Rule ID 19461 //
     /* 1905324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1905335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1905338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1905341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1905344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1905366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905370 */     // MIs[0] policy
     /* 1905370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905380 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1905383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905404 */     // GIR_Coverage, 19461,
     /* 1905404 */     GIR_EraseRootFromParent_Done,
     /* 1905405 */   // Label 25618: @1905405
     /* 1905405 */   GIM_Try, /*On fail goto*//*Label 25619*/ GIMT_Encode4(1905491), // Rule ID 19462 //
     /* 1905410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1905421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1905424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1905427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1905430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1905452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905456 */     // MIs[0] policy
     /* 1905456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905466 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1905469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905490 */     // GIR_Coverage, 19462,
     /* 1905490 */     GIR_EraseRootFromParent_Done,
     /* 1905491 */   // Label 25619: @1905491
     /* 1905491 */   GIM_Try, /*On fail goto*//*Label 25620*/ GIMT_Encode4(1905577), // Rule ID 19465 //
     /* 1905496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1905499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1905507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1905510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1905513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1905516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1905538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905542 */     // MIs[0] policy
     /* 1905542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905552 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1905555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905576 */     // GIR_Coverage, 19465,
     /* 1905576 */     GIR_EraseRootFromParent_Done,
     /* 1905577 */   // Label 25620: @1905577
     /* 1905577 */   GIM_Try, /*On fail goto*//*Label 25621*/ GIMT_Encode4(1905663), // Rule ID 19466 //
     /* 1905582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1905585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1905593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1905596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1905599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1905602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1905624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905628 */     // MIs[0] policy
     /* 1905628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905638 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1905641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905662 */     // GIR_Coverage, 19466,
     /* 1905662 */     GIR_EraseRootFromParent_Done,
     /* 1905663 */   // Label 25621: @1905663
     /* 1905663 */   GIM_Try, /*On fail goto*//*Label 25622*/ GIMT_Encode4(1905749), // Rule ID 19469 //
     /* 1905668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1905679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1905682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1905685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905714 */     // MIs[0] policy
     /* 1905714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905724 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1905727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905748 */     // GIR_Coverage, 19469,
     /* 1905748 */     GIR_EraseRootFromParent_Done,
     /* 1905749 */   // Label 25622: @1905749
     /* 1905749 */   GIM_Try, /*On fail goto*//*Label 25623*/ GIMT_Encode4(1905835), // Rule ID 19470 //
     /* 1905754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1905765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1905768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1905771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905800 */     // MIs[0] policy
     /* 1905800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905810 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1905813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905834 */     // GIR_Coverage, 19470,
     /* 1905834 */     GIR_EraseRootFromParent_Done,
     /* 1905835 */   // Label 25623: @1905835
     /* 1905835 */   GIM_Try, /*On fail goto*//*Label 25624*/ GIMT_Encode4(1905921), // Rule ID 19473 //
     /* 1905840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1905851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1905854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1905857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1905863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905886 */     // MIs[0] policy
     /* 1905886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905896 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1905899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905920 */     // GIR_Coverage, 19473,
     /* 1905920 */     GIR_EraseRootFromParent_Done,
     /* 1905921 */   // Label 25624: @1905921
     /* 1905921 */   GIM_Try, /*On fail goto*//*Label 25625*/ GIMT_Encode4(1906007), // Rule ID 19474 //
     /* 1905926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1905934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1905937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1905940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1905943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1905949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905972 */     // MIs[0] policy
     /* 1905972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905982 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1905985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906006 */     // GIR_Coverage, 19474,
     /* 1906006 */     GIR_EraseRootFromParent_Done,
     /* 1906007 */   // Label 25625: @1906007
     /* 1906007 */   GIM_Try, /*On fail goto*//*Label 25626*/ GIMT_Encode4(1906093), // Rule ID 19477 //
     /* 1906012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1906023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1906026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1906029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1906035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906058 */     // MIs[0] policy
     /* 1906058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906068 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1906071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906092 */     // GIR_Coverage, 19477,
     /* 1906092 */     GIR_EraseRootFromParent_Done,
     /* 1906093 */   // Label 25626: @1906093
     /* 1906093 */   GIM_Try, /*On fail goto*//*Label 25627*/ GIMT_Encode4(1906179), // Rule ID 19478 //
     /* 1906098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1906109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1906112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1906115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1906121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906144 */     // MIs[0] policy
     /* 1906144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906154 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1906157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906178 */     // GIR_Coverage, 19478,
     /* 1906178 */     GIR_EraseRootFromParent_Done,
     /* 1906179 */   // Label 25627: @1906179
     /* 1906179 */   GIM_Try, /*On fail goto*//*Label 25628*/ GIMT_Encode4(1906265), // Rule ID 19481 //
     /* 1906184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1906195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1906198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1906201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906230 */     // MIs[0] policy
     /* 1906230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906240 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1906243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906264 */     // GIR_Coverage, 19481,
     /* 1906264 */     GIR_EraseRootFromParent_Done,
     /* 1906265 */   // Label 25628: @1906265
     /* 1906265 */   GIM_Try, /*On fail goto*//*Label 25629*/ GIMT_Encode4(1906351), // Rule ID 19482 //
     /* 1906270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1906281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1906284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1906287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906316 */     // MIs[0] policy
     /* 1906316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906326 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1906329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906350 */     // GIR_Coverage, 19482,
     /* 1906350 */     GIR_EraseRootFromParent_Done,
     /* 1906351 */   // Label 25629: @1906351
     /* 1906351 */   GIM_Try, /*On fail goto*//*Label 25630*/ GIMT_Encode4(1906437), // Rule ID 19485 //
     /* 1906356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1906367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1906370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1906373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906402 */     // MIs[0] policy
     /* 1906402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906412 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1906415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906436 */     // GIR_Coverage, 19485,
     /* 1906436 */     GIR_EraseRootFromParent_Done,
     /* 1906437 */   // Label 25630: @1906437
     /* 1906437 */   GIM_Try, /*On fail goto*//*Label 25631*/ GIMT_Encode4(1906523), // Rule ID 19486 //
     /* 1906442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1906453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1906456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1906459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906488 */     // MIs[0] policy
     /* 1906488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906498 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1906501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906522 */     // GIR_Coverage, 19486,
     /* 1906522 */     GIR_EraseRootFromParent_Done,
     /* 1906523 */   // Label 25631: @1906523
     /* 1906523 */   GIM_Try, /*On fail goto*//*Label 25632*/ GIMT_Encode4(1906609), // Rule ID 19489 //
     /* 1906528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1906539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1906542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1906545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1906551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906574 */     // MIs[0] policy
     /* 1906574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906584 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1906587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906608 */     // GIR_Coverage, 19489,
     /* 1906608 */     GIR_EraseRootFromParent_Done,
     /* 1906609 */   // Label 25632: @1906609
     /* 1906609 */   GIM_Try, /*On fail goto*//*Label 25633*/ GIMT_Encode4(1906695), // Rule ID 19490 //
     /* 1906614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1906625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1906628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1906631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1906637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906660 */     // MIs[0] policy
     /* 1906660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906670 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1906673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906694 */     // GIR_Coverage, 19490,
     /* 1906694 */     GIR_EraseRootFromParent_Done,
     /* 1906695 */   // Label 25633: @1906695
     /* 1906695 */   GIM_Try, /*On fail goto*//*Label 25634*/ GIMT_Encode4(1906781), // Rule ID 19493 //
     /* 1906700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1906703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1906711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1906714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1906717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1906720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1906742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906746 */     // MIs[0] policy
     /* 1906746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906756 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1906759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906780 */     // GIR_Coverage, 19493,
     /* 1906780 */     GIR_EraseRootFromParent_Done,
     /* 1906781 */   // Label 25634: @1906781
     /* 1906781 */   GIM_Try, /*On fail goto*//*Label 25635*/ GIMT_Encode4(1906867), // Rule ID 19494 //
     /* 1906786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1906789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1906797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1906800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1906803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1906806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1906828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906832 */     // MIs[0] policy
     /* 1906832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906842 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1906845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906866 */     // GIR_Coverage, 19494,
     /* 1906866 */     GIR_EraseRootFromParent_Done,
     /* 1906867 */   // Label 25635: @1906867
     /* 1906867 */   GIM_Try, /*On fail goto*//*Label 25636*/ GIMT_Encode4(1906953), // Rule ID 19497 //
     /* 1906872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1906875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1906883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1906886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1906889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1906892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1906914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906918 */     // MIs[0] policy
     /* 1906918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906928 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1906931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906952 */     // GIR_Coverage, 19497,
     /* 1906952 */     GIR_EraseRootFromParent_Done,
     /* 1906953 */   // Label 25636: @1906953
     /* 1906953 */   GIM_Try, /*On fail goto*//*Label 25637*/ GIMT_Encode4(1907039), // Rule ID 19498 //
     /* 1906958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1906961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1906966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1906969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1906972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1906975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1906978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907004 */     // MIs[0] policy
     /* 1907004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907014 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1907017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907038 */     // GIR_Coverage, 19498,
     /* 1907038 */     GIR_EraseRootFromParent_Done,
     /* 1907039 */   // Label 25637: @1907039
     /* 1907039 */   GIM_Try, /*On fail goto*//*Label 25638*/ GIMT_Encode4(1907125), // Rule ID 19501 //
     /* 1907044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1907047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1907055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1907058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1907061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907090 */     // MIs[0] policy
     /* 1907090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907100 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1907103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907124 */     // GIR_Coverage, 19501,
     /* 1907124 */     GIR_EraseRootFromParent_Done,
     /* 1907125 */   // Label 25638: @1907125
     /* 1907125 */   GIM_Try, /*On fail goto*//*Label 25639*/ GIMT_Encode4(1907211), // Rule ID 19502 //
     /* 1907130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1907133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1907138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1907141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1907144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1907147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907176 */     // MIs[0] policy
     /* 1907176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907186 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1907189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907210 */     // GIR_Coverage, 19502,
     /* 1907210 */     GIR_EraseRootFromParent_Done,
     /* 1907211 */   // Label 25639: @1907211
     /* 1907211 */   GIM_Try, /*On fail goto*//*Label 25640*/ GIMT_Encode4(1907297), // Rule ID 19505 //
     /* 1907216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1907224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1907227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1907230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1907233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1907236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907262 */     // MIs[0] policy
     /* 1907262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907272 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1907275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907296 */     // GIR_Coverage, 19505,
     /* 1907296 */     GIR_EraseRootFromParent_Done,
     /* 1907297 */   // Label 25640: @1907297
     /* 1907297 */   GIM_Try, /*On fail goto*//*Label 25641*/ GIMT_Encode4(1907383), // Rule ID 19506 //
     /* 1907302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1907310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1907313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1907316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1907319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1907322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907348 */     // MIs[0] policy
     /* 1907348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907358 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1907361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907382 */     // GIR_Coverage, 19506,
     /* 1907382 */     GIR_EraseRootFromParent_Done,
     /* 1907383 */   // Label 25641: @1907383
     /* 1907383 */   GIM_Try, /*On fail goto*//*Label 25642*/ GIMT_Encode4(1907469), // Rule ID 19509 //
     /* 1907388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1907396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1907399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1907402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1907405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1907408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907434 */     // MIs[0] policy
     /* 1907434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907444 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1907447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907468 */     // GIR_Coverage, 19509,
     /* 1907468 */     GIR_EraseRootFromParent_Done,
     /* 1907469 */   // Label 25642: @1907469
     /* 1907469 */   GIM_Try, /*On fail goto*//*Label 25643*/ GIMT_Encode4(1907555), // Rule ID 19510 //
     /* 1907474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1907482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1907485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1907488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1907491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1907494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907520 */     // MIs[0] policy
     /* 1907520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907530 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1907533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907554 */     // GIR_Coverage, 19510,
     /* 1907554 */     GIR_EraseRootFromParent_Done,
     /* 1907555 */   // Label 25643: @1907555
     /* 1907555 */   GIM_Try, /*On fail goto*//*Label 25644*/ GIMT_Encode4(1907641), // Rule ID 19513 //
     /* 1907560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1907563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1907568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1907571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1907574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1907577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1907580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907606 */     // MIs[0] policy
     /* 1907606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907616 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1907619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907640 */     // GIR_Coverage, 19513,
     /* 1907640 */     GIR_EraseRootFromParent_Done,
     /* 1907641 */   // Label 25644: @1907641
     /* 1907641 */   GIM_Try, /*On fail goto*//*Label 25645*/ GIMT_Encode4(1907727), // Rule ID 19514 //
     /* 1907646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1907654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1907657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1907660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1907663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1907666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907692 */     // MIs[0] policy
     /* 1907692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907702 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1907705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907726 */     // GIR_Coverage, 19514,
     /* 1907726 */     GIR_EraseRootFromParent_Done,
     /* 1907727 */   // Label 25645: @1907727
     /* 1907727 */   GIM_Try, /*On fail goto*//*Label 25646*/ GIMT_Encode4(1907813), // Rule ID 19517 //
     /* 1907732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1907740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1907743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1907746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1907749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1907752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907778 */     // MIs[0] policy
     /* 1907778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907788 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1907791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907812 */     // GIR_Coverage, 19517,
     /* 1907812 */     GIR_EraseRootFromParent_Done,
     /* 1907813 */   // Label 25646: @1907813
     /* 1907813 */   GIM_Try, /*On fail goto*//*Label 25647*/ GIMT_Encode4(1907899), // Rule ID 19518 //
     /* 1907818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1907826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1907829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1907832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1907835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1907838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907864 */     // MIs[0] policy
     /* 1907864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907874 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1907877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907898 */     // GIR_Coverage, 19518,
     /* 1907898 */     GIR_EraseRootFromParent_Done,
     /* 1907899 */   // Label 25647: @1907899
     /* 1907899 */   GIM_Try, /*On fail goto*//*Label 25648*/ GIMT_Encode4(1907985), // Rule ID 19521 //
     /* 1907904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1907907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1907912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1907915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1907918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1907921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1907924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907950 */     // MIs[0] policy
     /* 1907950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907960 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1907963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907984 */     // GIR_Coverage, 19521,
     /* 1907984 */     GIR_EraseRootFromParent_Done,
     /* 1907985 */   // Label 25648: @1907985
     /* 1907985 */   GIM_Try, /*On fail goto*//*Label 25649*/ GIMT_Encode4(1908071), // Rule ID 19522 //
     /* 1907990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1907998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1908001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1908004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1908007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1908010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908036 */     // MIs[0] policy
     /* 1908036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908046 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1908049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908070 */     // GIR_Coverage, 19522,
     /* 1908070 */     GIR_EraseRootFromParent_Done,
     /* 1908071 */   // Label 25649: @1908071
     /* 1908071 */   GIM_Try, /*On fail goto*//*Label 25650*/ GIMT_Encode4(1908157), // Rule ID 19525 //
     /* 1908076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1908079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1908087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1908090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1908093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1908096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908122 */     // MIs[0] policy
     /* 1908122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908132 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1908135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908156 */     // GIR_Coverage, 19525,
     /* 1908156 */     GIR_EraseRootFromParent_Done,
     /* 1908157 */   // Label 25650: @1908157
     /* 1908157 */   GIM_Try, /*On fail goto*//*Label 25651*/ GIMT_Encode4(1908243), // Rule ID 19526 //
     /* 1908162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1908165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1908173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1908176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1908179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1908182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908208 */     // MIs[0] policy
     /* 1908208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908218 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1908221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908242 */     // GIR_Coverage, 19526,
     /* 1908242 */     GIR_EraseRootFromParent_Done,
     /* 1908243 */   // Label 25651: @1908243
     /* 1908243 */   GIM_Try, /*On fail goto*//*Label 25652*/ GIMT_Encode4(1908329), // Rule ID 19529 //
     /* 1908248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1908259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1908262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1908265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1908268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908294 */     // MIs[0] policy
     /* 1908294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908304 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1908307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908328 */     // GIR_Coverage, 19529,
     /* 1908328 */     GIR_EraseRootFromParent_Done,
     /* 1908329 */   // Label 25652: @1908329
     /* 1908329 */   GIM_Try, /*On fail goto*//*Label 25653*/ GIMT_Encode4(1908415), // Rule ID 19530 //
     /* 1908334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1908345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1908348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1908351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1908354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908380 */     // MIs[0] policy
     /* 1908380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908390 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1908393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908414 */     // GIR_Coverage, 19530,
     /* 1908414 */     GIR_EraseRootFromParent_Done,
     /* 1908415 */   // Label 25653: @1908415
     /* 1908415 */   GIM_Try, /*On fail goto*//*Label 25654*/ GIMT_Encode4(1908501), // Rule ID 19533 //
     /* 1908420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1908431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1908434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1908437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1908440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1908443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908466 */     // MIs[0] policy
     /* 1908466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908476 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1908479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908500 */     // GIR_Coverage, 19533,
     /* 1908500 */     GIR_EraseRootFromParent_Done,
     /* 1908501 */   // Label 25654: @1908501
     /* 1908501 */   GIM_Try, /*On fail goto*//*Label 25655*/ GIMT_Encode4(1908587), // Rule ID 19534 //
     /* 1908506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1908517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1908520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1908523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1908526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1908529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908552 */     // MIs[0] policy
     /* 1908552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908562 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1908565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908586 */     // GIR_Coverage, 19534,
     /* 1908586 */     GIR_EraseRootFromParent_Done,
     /* 1908587 */   // Label 25655: @1908587
     /* 1908587 */   GIM_Try, /*On fail goto*//*Label 25656*/ GIMT_Encode4(1908673), // Rule ID 19537 //
     /* 1908592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1908603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1908606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1908609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1908612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1908615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908638 */     // MIs[0] policy
     /* 1908638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908648 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1908651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908672 */     // GIR_Coverage, 19537,
     /* 1908672 */     GIR_EraseRootFromParent_Done,
     /* 1908673 */   // Label 25656: @1908673
     /* 1908673 */   GIM_Try, /*On fail goto*//*Label 25657*/ GIMT_Encode4(1908759), // Rule ID 19538 //
     /* 1908678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1908689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1908692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1908695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1908698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1908701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908724 */     // MIs[0] policy
     /* 1908724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908734 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1908737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908758 */     // GIR_Coverage, 19538,
     /* 1908758 */     GIR_EraseRootFromParent_Done,
     /* 1908759 */   // Label 25657: @1908759
     /* 1908759 */   GIM_Try, /*On fail goto*//*Label 25658*/ GIMT_Encode4(1908845), // Rule ID 19541 //
     /* 1908764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1908767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1908775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1908778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1908781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1908784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908810 */     // MIs[0] policy
     /* 1908810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908820 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1908823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908844 */     // GIR_Coverage, 19541,
     /* 1908844 */     GIR_EraseRootFromParent_Done,
     /* 1908845 */   // Label 25658: @1908845
     /* 1908845 */   GIM_Try, /*On fail goto*//*Label 25659*/ GIMT_Encode4(1908931), // Rule ID 19542 //
     /* 1908850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1908853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1908861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1908864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1908867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1908870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908896 */     // MIs[0] policy
     /* 1908896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908906 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1908909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908930 */     // GIR_Coverage, 19542,
     /* 1908930 */     GIR_EraseRootFromParent_Done,
     /* 1908931 */   // Label 25659: @1908931
     /* 1908931 */   GIM_Try, /*On fail goto*//*Label 25660*/ GIMT_Encode4(1909017), // Rule ID 19545 //
     /* 1908936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1908939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1908944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1908947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1908950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1908953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1908956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908982 */     // MIs[0] policy
     /* 1908982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908992 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1908995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909016 */     // GIR_Coverage, 19545,
     /* 1909016 */     GIR_EraseRootFromParent_Done,
     /* 1909017 */   // Label 25660: @1909017
     /* 1909017 */   GIM_Try, /*On fail goto*//*Label 25661*/ GIMT_Encode4(1909103), // Rule ID 19546 //
     /* 1909022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1909025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1909033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1909036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1909039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1909042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909068 */     // MIs[0] policy
     /* 1909068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909078 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1909081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909102 */     // GIR_Coverage, 19546,
     /* 1909102 */     GIR_EraseRootFromParent_Done,
     /* 1909103 */   // Label 25661: @1909103
     /* 1909103 */   GIM_Try, /*On fail goto*//*Label 25662*/ GIMT_Encode4(1909189), // Rule ID 19549 //
     /* 1909108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1909111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1909119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1909122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1909125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1909128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909154 */     // MIs[0] policy
     /* 1909154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909164 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1909167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909188 */     // GIR_Coverage, 19549,
     /* 1909188 */     GIR_EraseRootFromParent_Done,
     /* 1909189 */   // Label 25662: @1909189
     /* 1909189 */   GIM_Try, /*On fail goto*//*Label 25663*/ GIMT_Encode4(1909275), // Rule ID 19550 //
     /* 1909194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1909197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1909205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1909208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1909211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1909214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909240 */     // MIs[0] policy
     /* 1909240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909250 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1909253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909274 */     // GIR_Coverage, 19550,
     /* 1909274 */     GIR_EraseRootFromParent_Done,
     /* 1909275 */   // Label 25663: @1909275
     /* 1909275 */   GIM_Try, /*On fail goto*//*Label 25664*/ GIMT_Encode4(1909361), // Rule ID 19553 //
     /* 1909280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1909283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1909291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1909294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1909297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1909300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909326 */     // MIs[0] policy
     /* 1909326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909336 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1909339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909360 */     // GIR_Coverage, 19553,
     /* 1909360 */     GIR_EraseRootFromParent_Done,
     /* 1909361 */   // Label 25664: @1909361
     /* 1909361 */   GIM_Try, /*On fail goto*//*Label 25665*/ GIMT_Encode4(1909447), // Rule ID 19554 //
     /* 1909366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1909369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1909377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1909380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1909383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1909386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909412 */     // MIs[0] policy
     /* 1909412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909422 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1909425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909446 */     // GIR_Coverage, 19554,
     /* 1909446 */     GIR_EraseRootFromParent_Done,
     /* 1909447 */   // Label 25665: @1909447
     /* 1909447 */   GIM_Try, /*On fail goto*//*Label 25666*/ GIMT_Encode4(1909533), // Rule ID 19557 //
     /* 1909452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1909455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1909463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1909466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1909469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1909472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909498 */     // MIs[0] policy
     /* 1909498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909508 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1909511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909532 */     // GIR_Coverage, 19557,
     /* 1909532 */     GIR_EraseRootFromParent_Done,
     /* 1909533 */   // Label 25666: @1909533
     /* 1909533 */   GIM_Try, /*On fail goto*//*Label 25667*/ GIMT_Encode4(1909619), // Rule ID 19558 //
     /* 1909538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1909541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1909549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1909552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1909555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1909558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909584 */     // MIs[0] policy
     /* 1909584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909594 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1909597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909618 */     // GIR_Coverage, 19558,
     /* 1909618 */     GIR_EraseRootFromParent_Done,
     /* 1909619 */   // Label 25667: @1909619
     /* 1909619 */   GIM_Try, /*On fail goto*//*Label 25668*/ GIMT_Encode4(1909705), // Rule ID 19561 //
     /* 1909624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1909627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1909635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1909638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1909641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1909644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909670 */     // MIs[0] policy
     /* 1909670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909680 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1909683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909704 */     // GIR_Coverage, 19561,
     /* 1909704 */     GIR_EraseRootFromParent_Done,
     /* 1909705 */   // Label 25668: @1909705
     /* 1909705 */   GIM_Try, /*On fail goto*//*Label 25669*/ GIMT_Encode4(1909791), // Rule ID 19562 //
     /* 1909710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1909713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1909721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1909724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1909727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1909730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909756 */     // MIs[0] policy
     /* 1909756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909766 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1909769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909790 */     // GIR_Coverage, 19562,
     /* 1909790 */     GIR_EraseRootFromParent_Done,
     /* 1909791 */   // Label 25669: @1909791
     /* 1909791 */   GIM_Try, /*On fail goto*//*Label 25670*/ GIMT_Encode4(1909877), // Rule ID 19565 //
     /* 1909796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1909807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1909810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1909813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1909816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1909838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909842 */     // MIs[0] policy
     /* 1909842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909852 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1909855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909876 */     // GIR_Coverage, 19565,
     /* 1909876 */     GIR_EraseRootFromParent_Done,
     /* 1909877 */   // Label 25670: @1909877
     /* 1909877 */   GIM_Try, /*On fail goto*//*Label 25671*/ GIMT_Encode4(1909963), // Rule ID 19566 //
     /* 1909882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1909893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1909896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1909899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1909902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1909924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909928 */     // MIs[0] policy
     /* 1909928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909938 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1909941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909962 */     // GIR_Coverage, 19566,
     /* 1909962 */     GIR_EraseRootFromParent_Done,
     /* 1909963 */   // Label 25671: @1909963
     /* 1909963 */   GIM_Try, /*On fail goto*//*Label 25672*/ GIMT_Encode4(1910049), // Rule ID 19569 //
     /* 1909968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1909976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1909979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1909982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1909985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1909988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1910010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910014 */     // MIs[0] policy
     /* 1910014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910024 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1910027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910048 */     // GIR_Coverage, 19569,
     /* 1910048 */     GIR_EraseRootFromParent_Done,
     /* 1910049 */   // Label 25672: @1910049
     /* 1910049 */   GIM_Try, /*On fail goto*//*Label 25673*/ GIMT_Encode4(1910135), // Rule ID 19570 //
     /* 1910054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1910057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1910065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1910068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1910071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1910074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1910096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910100 */     // MIs[0] policy
     /* 1910100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910110 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1910113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910134 */     // GIR_Coverage, 19570,
     /* 1910134 */     GIR_EraseRootFromParent_Done,
     /* 1910135 */   // Label 25673: @1910135
     /* 1910135 */   GIM_Try, /*On fail goto*//*Label 25674*/ GIMT_Encode4(1910221), // Rule ID 19573 //
     /* 1910140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1910143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1910151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1910154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1910157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1910182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910186 */     // MIs[0] policy
     /* 1910186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910196 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1910199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910220 */     // GIR_Coverage, 19573,
     /* 1910220 */     GIR_EraseRootFromParent_Done,
     /* 1910221 */   // Label 25674: @1910221
     /* 1910221 */   GIM_Try, /*On fail goto*//*Label 25675*/ GIMT_Encode4(1910307), // Rule ID 19574 //
     /* 1910226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1910229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1910237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1910240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1910243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1910268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910272 */     // MIs[0] policy
     /* 1910272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910282 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1910285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910306 */     // GIR_Coverage, 19574,
     /* 1910306 */     GIR_EraseRootFromParent_Done,
     /* 1910307 */   // Label 25675: @1910307
     /* 1910307 */   GIM_Try, /*On fail goto*//*Label 25676*/ GIMT_Encode4(1910393), // Rule ID 19577 //
     /* 1910312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1910315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1910323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1910326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1910329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1910332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1910354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910358 */     // MIs[0] policy
     /* 1910358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910368 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1910371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910392 */     // GIR_Coverage, 19577,
     /* 1910392 */     GIR_EraseRootFromParent_Done,
     /* 1910393 */   // Label 25676: @1910393
     /* 1910393 */   GIM_Try, /*On fail goto*//*Label 25677*/ GIMT_Encode4(1910479), // Rule ID 19578 //
     /* 1910398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1910401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1910409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1910412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1910415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1910418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1910440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910444 */     // MIs[0] policy
     /* 1910444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910454 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1910457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910478 */     // GIR_Coverage, 19578,
     /* 1910478 */     GIR_EraseRootFromParent_Done,
     /* 1910479 */   // Label 25677: @1910479
     /* 1910479 */   GIM_Try, /*On fail goto*//*Label 25678*/ GIMT_Encode4(1910565), // Rule ID 19581 //
     /* 1910484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1910487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1910495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1910498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1910501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1910526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910530 */     // MIs[0] policy
     /* 1910530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910540 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1910543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910564 */     // GIR_Coverage, 19581,
     /* 1910564 */     GIR_EraseRootFromParent_Done,
     /* 1910565 */   // Label 25678: @1910565
     /* 1910565 */   GIM_Try, /*On fail goto*//*Label 25679*/ GIMT_Encode4(1910651), // Rule ID 19582 //
     /* 1910570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1910573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1910581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1910584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1910587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1910612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910616 */     // MIs[0] policy
     /* 1910616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910626 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1910629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910650 */     // GIR_Coverage, 19582,
     /* 1910650 */     GIR_EraseRootFromParent_Done,
     /* 1910651 */   // Label 25679: @1910651
     /* 1910651 */   GIM_Try, /*On fail goto*//*Label 25680*/ GIMT_Encode4(1910737), // Rule ID 19585 //
     /* 1910656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1910659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1910667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1910670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1910673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1910698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910702 */     // MIs[0] policy
     /* 1910702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910712 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1910715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910736 */     // GIR_Coverage, 19585,
     /* 1910736 */     GIR_EraseRootFromParent_Done,
     /* 1910737 */   // Label 25680: @1910737
     /* 1910737 */   GIM_Try, /*On fail goto*//*Label 25681*/ GIMT_Encode4(1910823), // Rule ID 19586 //
     /* 1910742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1910745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1910753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1910756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1910759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1910784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910788 */     // MIs[0] policy
     /* 1910788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910798 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1910801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910822 */     // GIR_Coverage, 19586,
     /* 1910822 */     GIR_EraseRootFromParent_Done,
     /* 1910823 */   // Label 25681: @1910823
     /* 1910823 */   GIM_Try, /*On fail goto*//*Label 25682*/ GIMT_Encode4(1910909), // Rule ID 19589 //
     /* 1910828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1910831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1910839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1910842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1910845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1910848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1910870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910874 */     // MIs[0] policy
     /* 1910874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910884 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1910887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910908 */     // GIR_Coverage, 19589,
     /* 1910908 */     GIR_EraseRootFromParent_Done,
     /* 1910909 */   // Label 25682: @1910909
     /* 1910909 */   GIM_Try, /*On fail goto*//*Label 25683*/ GIMT_Encode4(1910995), // Rule ID 19590 //
     /* 1910914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1910917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1910922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1910925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1910928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1910931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1910934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1910956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910960 */     // MIs[0] policy
     /* 1910960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910970 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1910973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910994 */     // GIR_Coverage, 19590,
     /* 1910994 */     GIR_EraseRootFromParent_Done,
     /* 1910995 */   // Label 25683: @1910995
     /* 1910995 */   GIM_Try, /*On fail goto*//*Label 25684*/ GIMT_Encode4(1911081), // Rule ID 19593 //
     /* 1911000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1911011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1911014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1911017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1911023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911046 */     // MIs[0] policy
     /* 1911046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911056 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1911059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911080 */     // GIR_Coverage, 19593,
     /* 1911080 */     GIR_EraseRootFromParent_Done,
     /* 1911081 */   // Label 25684: @1911081
     /* 1911081 */   GIM_Try, /*On fail goto*//*Label 25685*/ GIMT_Encode4(1911167), // Rule ID 19594 //
     /* 1911086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1911097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1911100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1911103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1911109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911132 */     // MIs[0] policy
     /* 1911132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911142 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1911145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911166 */     // GIR_Coverage, 19594,
     /* 1911166 */     GIR_EraseRootFromParent_Done,
     /* 1911167 */   // Label 25685: @1911167
     /* 1911167 */   GIM_Try, /*On fail goto*//*Label 25686*/ GIMT_Encode4(1911253), // Rule ID 19597 //
     /* 1911172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1911175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1911183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1911186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1911189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1911195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911218 */     // MIs[0] policy
     /* 1911218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911228 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1911231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911252 */     // GIR_Coverage, 19597,
     /* 1911252 */     GIR_EraseRootFromParent_Done,
     /* 1911253 */   // Label 25686: @1911253
     /* 1911253 */   GIM_Try, /*On fail goto*//*Label 25687*/ GIMT_Encode4(1911339), // Rule ID 19598 //
     /* 1911258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1911261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1911269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1911272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1911275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1911278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1911281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1911300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911304 */     // MIs[0] policy
     /* 1911304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911314 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1911317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911338 */     // GIR_Coverage, 19598,
     /* 1911338 */     GIR_EraseRootFromParent_Done,
     /* 1911339 */   // Label 25687: @1911339
     /* 1911339 */   GIM_Try, /*On fail goto*//*Label 25688*/ GIMT_Encode4(1911425), // Rule ID 19601 //
     /* 1911344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1911347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1911355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1911358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1911361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911390 */     // MIs[0] policy
     /* 1911390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911400 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1911403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911424 */     // GIR_Coverage, 19601,
     /* 1911424 */     GIR_EraseRootFromParent_Done,
     /* 1911425 */   // Label 25688: @1911425
     /* 1911425 */   GIM_Try, /*On fail goto*//*Label 25689*/ GIMT_Encode4(1911511), // Rule ID 19602 //
     /* 1911430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1911433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1911441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1911444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1911447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911476 */     // MIs[0] policy
     /* 1911476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911486 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1911489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911510 */     // GIR_Coverage, 19602,
     /* 1911510 */     GIR_EraseRootFromParent_Done,
     /* 1911511 */   // Label 25689: @1911511
     /* 1911511 */   GIM_Try, /*On fail goto*//*Label 25690*/ GIMT_Encode4(1911597), // Rule ID 19605 //
     /* 1911516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1911519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1911527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1911530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1911533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911562 */     // MIs[0] policy
     /* 1911562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911572 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1911575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911596 */     // GIR_Coverage, 19605,
     /* 1911596 */     GIR_EraseRootFromParent_Done,
     /* 1911597 */   // Label 25690: @1911597
     /* 1911597 */   GIM_Try, /*On fail goto*//*Label 25691*/ GIMT_Encode4(1911683), // Rule ID 19606 //
     /* 1911602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1911605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1911613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1911616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1911619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911648 */     // MIs[0] policy
     /* 1911648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911658 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1911661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911682 */     // GIR_Coverage, 19606,
     /* 1911682 */     GIR_EraseRootFromParent_Done,
     /* 1911683 */   // Label 25691: @1911683
     /* 1911683 */   GIM_Try, /*On fail goto*//*Label 25692*/ GIMT_Encode4(1911769), // Rule ID 19609 //
     /* 1911688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1911691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1911699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1911702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1911705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1911711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911734 */     // MIs[0] policy
     /* 1911734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911744 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1911747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911768 */     // GIR_Coverage, 19609,
     /* 1911768 */     GIR_EraseRootFromParent_Done,
     /* 1911769 */   // Label 25692: @1911769
     /* 1911769 */   GIM_Try, /*On fail goto*//*Label 25693*/ GIMT_Encode4(1911855), // Rule ID 19610 //
     /* 1911774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1911777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1911785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1911788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1911791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1911797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1911816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911820 */     // MIs[0] policy
     /* 1911820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911830 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1911833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911854 */     // GIR_Coverage, 19610,
     /* 1911854 */     GIR_EraseRootFromParent_Done,
     /* 1911855 */   // Label 25693: @1911855
     /* 1911855 */   GIM_Try, /*On fail goto*//*Label 25694*/ GIMT_Encode4(1911941), // Rule ID 19613 //
     /* 1911860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1911863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1911871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1911874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1911877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1911902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911906 */     // MIs[0] policy
     /* 1911906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911916 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1911919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911940 */     // GIR_Coverage, 19613,
     /* 1911940 */     GIR_EraseRootFromParent_Done,
     /* 1911941 */   // Label 25694: @1911941
     /* 1911941 */   GIM_Try, /*On fail goto*//*Label 25695*/ GIMT_Encode4(1912027), // Rule ID 19614 //
     /* 1911946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1911949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1911954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1911957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1911960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1911963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1911988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911992 */     // MIs[0] policy
     /* 1911992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912002 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1912005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912026 */     // GIR_Coverage, 19614,
     /* 1912026 */     GIR_EraseRootFromParent_Done,
     /* 1912027 */   // Label 25695: @1912027
     /* 1912027 */   GIM_Try, /*On fail goto*//*Label 25696*/ GIMT_Encode4(1912113), // Rule ID 19617 //
     /* 1912032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1912035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1912043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1912046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1912049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1912074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912078 */     // MIs[0] policy
     /* 1912078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912088 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1912091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912112 */     // GIR_Coverage, 19617,
     /* 1912112 */     GIR_EraseRootFromParent_Done,
     /* 1912113 */   // Label 25696: @1912113
     /* 1912113 */   GIM_Try, /*On fail goto*//*Label 25697*/ GIMT_Encode4(1912199), // Rule ID 19618 //
     /* 1912118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1912121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1912129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1912132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1912135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1912160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912164 */     // MIs[0] policy
     /* 1912164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912174 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1912177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912198 */     // GIR_Coverage, 19618,
     /* 1912198 */     GIR_EraseRootFromParent_Done,
     /* 1912199 */   // Label 25697: @1912199
     /* 1912199 */   GIM_Try, /*On fail goto*//*Label 25698*/ GIMT_Encode4(1912285), // Rule ID 19621 //
     /* 1912204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1912207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1912215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1912218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1912221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1912246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912250 */     // MIs[0] policy
     /* 1912250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912260 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1912263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912284 */     // GIR_Coverage, 19621,
     /* 1912284 */     GIR_EraseRootFromParent_Done,
     /* 1912285 */   // Label 25698: @1912285
     /* 1912285 */   GIM_Try, /*On fail goto*//*Label 25699*/ GIMT_Encode4(1912371), // Rule ID 19622 //
     /* 1912290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1912293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1912298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1912301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1912304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1912307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1912332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912336 */     // MIs[0] policy
     /* 1912336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912346 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1912349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912370 */     // GIR_Coverage, 19622,
     /* 1912370 */     GIR_EraseRootFromParent_Done,
     /* 1912371 */   // Label 25699: @1912371
     /* 1912371 */   GIM_Try, /*On fail goto*//*Label 25700*/ GIMT_Encode4(1912457), // Rule ID 23463 //
     /* 1912376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1912379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1912384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1912387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1912390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1912393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912422 */     // MIs[0] policy
     /* 1912422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912432 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1912435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1912439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1912453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912456 */     // GIR_Coverage, 23463,
     /* 1912456 */     GIR_EraseRootFromParent_Done,
     /* 1912457 */   // Label 25700: @1912457
     /* 1912457 */   GIM_Try, /*On fail goto*//*Label 25701*/ GIMT_Encode4(1912543), // Rule ID 23464 //
     /* 1912462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1912465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1912470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1912473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1912476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1912479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912508 */     // MIs[0] policy
     /* 1912508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912518 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1912521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1912525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1912539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912542 */     // GIR_Coverage, 23464,
     /* 1912542 */     GIR_EraseRootFromParent_Done,
     /* 1912543 */   // Label 25701: @1912543
     /* 1912543 */   GIM_Try, /*On fail goto*//*Label 25702*/ GIMT_Encode4(1912629), // Rule ID 23467 //
     /* 1912548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1912551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1912556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1912559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1912562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1912565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912594 */     // MIs[0] policy
     /* 1912594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912604 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1912607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1912611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1912625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912628 */     // GIR_Coverage, 23467,
     /* 1912628 */     GIR_EraseRootFromParent_Done,
     /* 1912629 */   // Label 25702: @1912629
     /* 1912629 */   GIM_Try, /*On fail goto*//*Label 25703*/ GIMT_Encode4(1912715), // Rule ID 23468 //
     /* 1912634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1912637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1912642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1912645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1912648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1912651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912680 */     // MIs[0] policy
     /* 1912680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912690 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1912693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1912697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1912711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912714 */     // GIR_Coverage, 23468,
     /* 1912714 */     GIR_EraseRootFromParent_Done,
     /* 1912715 */   // Label 25703: @1912715
     /* 1912715 */   GIM_Try, /*On fail goto*//*Label 25704*/ GIMT_Encode4(1912801), // Rule ID 23471 //
     /* 1912720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1912723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1912728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1912731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1912734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1912737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912766 */     // MIs[0] policy
     /* 1912766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912776 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1912779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1912783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1912797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912800 */     // GIR_Coverage, 23471,
     /* 1912800 */     GIR_EraseRootFromParent_Done,
     /* 1912801 */   // Label 25704: @1912801
     /* 1912801 */   GIM_Try, /*On fail goto*//*Label 25705*/ GIMT_Encode4(1912887), // Rule ID 23472 //
     /* 1912806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1912809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1912814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1912817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1912820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1912823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912852 */     // MIs[0] policy
     /* 1912852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912862 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1912865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1912869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1912883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912886 */     // GIR_Coverage, 23472,
     /* 1912886 */     GIR_EraseRootFromParent_Done,
     /* 1912887 */   // Label 25705: @1912887
     /* 1912887 */   GIM_Try, /*On fail goto*//*Label 25706*/ GIMT_Encode4(1912973), // Rule ID 23475 //
     /* 1912892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1912895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1912900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1912903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1912906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1912909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912938 */     // MIs[0] policy
     /* 1912938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912948 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1912951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1912955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912972 */     // GIR_Coverage, 23475,
     /* 1912972 */     GIR_EraseRootFromParent_Done,
     /* 1912973 */   // Label 25706: @1912973
     /* 1912973 */   GIM_Try, /*On fail goto*//*Label 25707*/ GIMT_Encode4(1913059), // Rule ID 23476 //
     /* 1912978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1912981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1912986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1912989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1912992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1912995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913024 */     // MIs[0] policy
     /* 1913024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913034 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1913037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913058 */     // GIR_Coverage, 23476,
     /* 1913058 */     GIR_EraseRootFromParent_Done,
     /* 1913059 */   // Label 25707: @1913059
     /* 1913059 */   GIM_Try, /*On fail goto*//*Label 25708*/ GIMT_Encode4(1913145), // Rule ID 23479 //
     /* 1913064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1913075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1913078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1913081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913110 */     // MIs[0] policy
     /* 1913110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913120 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1913123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913144 */     // GIR_Coverage, 23479,
     /* 1913144 */     GIR_EraseRootFromParent_Done,
     /* 1913145 */   // Label 25708: @1913145
     /* 1913145 */   GIM_Try, /*On fail goto*//*Label 25709*/ GIMT_Encode4(1913231), // Rule ID 23480 //
     /* 1913150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1913161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1913164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1913167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913196 */     // MIs[0] policy
     /* 1913196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913206 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1913209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913230 */     // GIR_Coverage, 23480,
     /* 1913230 */     GIR_EraseRootFromParent_Done,
     /* 1913231 */   // Label 25709: @1913231
     /* 1913231 */   GIM_Try, /*On fail goto*//*Label 25710*/ GIMT_Encode4(1913317), // Rule ID 23483 //
     /* 1913236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1913247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1913250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1913253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913282 */     // MIs[0] policy
     /* 1913282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913292 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1913295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913316 */     // GIR_Coverage, 23483,
     /* 1913316 */     GIR_EraseRootFromParent_Done,
     /* 1913317 */   // Label 25710: @1913317
     /* 1913317 */   GIM_Try, /*On fail goto*//*Label 25711*/ GIMT_Encode4(1913403), // Rule ID 23484 //
     /* 1913322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1913333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1913336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1913339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913368 */     // MIs[0] policy
     /* 1913368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913378 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1913381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913402 */     // GIR_Coverage, 23484,
     /* 1913402 */     GIR_EraseRootFromParent_Done,
     /* 1913403 */   // Label 25711: @1913403
     /* 1913403 */   GIM_Try, /*On fail goto*//*Label 25712*/ GIMT_Encode4(1913489), // Rule ID 23487 //
     /* 1913408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1913419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1913422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1913425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913454 */     // MIs[0] policy
     /* 1913454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913464 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1913467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913488 */     // GIR_Coverage, 23487,
     /* 1913488 */     GIR_EraseRootFromParent_Done,
     /* 1913489 */   // Label 25712: @1913489
     /* 1913489 */   GIM_Try, /*On fail goto*//*Label 25713*/ GIMT_Encode4(1913575), // Rule ID 23488 //
     /* 1913494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1913505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1913508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1913511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913540 */     // MIs[0] policy
     /* 1913540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913550 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1913553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913574 */     // GIR_Coverage, 23488,
     /* 1913574 */     GIR_EraseRootFromParent_Done,
     /* 1913575 */   // Label 25713: @1913575
     /* 1913575 */   GIM_Try, /*On fail goto*//*Label 25714*/ GIMT_Encode4(1913661), // Rule ID 23491 //
     /* 1913580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1913591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1913594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1913597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913626 */     // MIs[0] policy
     /* 1913626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913636 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1913639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913660 */     // GIR_Coverage, 23491,
     /* 1913660 */     GIR_EraseRootFromParent_Done,
     /* 1913661 */   // Label 25714: @1913661
     /* 1913661 */   GIM_Try, /*On fail goto*//*Label 25715*/ GIMT_Encode4(1913747), // Rule ID 23492 //
     /* 1913666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1913677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1913680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1913683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913712 */     // MIs[0] policy
     /* 1913712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913722 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1913725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913746 */     // GIR_Coverage, 23492,
     /* 1913746 */     GIR_EraseRootFromParent_Done,
     /* 1913747 */   // Label 25715: @1913747
     /* 1913747 */   GIM_Try, /*On fail goto*//*Label 25716*/ GIMT_Encode4(1913833), // Rule ID 23495 //
     /* 1913752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1913763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1913766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1913769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913798 */     // MIs[0] policy
     /* 1913798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1913811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913832 */     // GIR_Coverage, 23495,
     /* 1913832 */     GIR_EraseRootFromParent_Done,
     /* 1913833 */   // Label 25716: @1913833
     /* 1913833 */   GIM_Try, /*On fail goto*//*Label 25717*/ GIMT_Encode4(1913919), // Rule ID 23496 //
     /* 1913838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1913849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1913852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1913855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913884 */     // MIs[0] policy
     /* 1913884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913894 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1913897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913918 */     // GIR_Coverage, 23496,
     /* 1913918 */     GIR_EraseRootFromParent_Done,
     /* 1913919 */   // Label 25717: @1913919
     /* 1913919 */   GIM_Try, /*On fail goto*//*Label 25718*/ GIMT_Encode4(1914005), // Rule ID 23499 //
     /* 1913924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1913927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1913932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1913935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1913938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1913941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913970 */     // MIs[0] policy
     /* 1913970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913980 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1913983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914004 */     // GIR_Coverage, 23499,
     /* 1914004 */     GIR_EraseRootFromParent_Done,
     /* 1914005 */   // Label 25718: @1914005
     /* 1914005 */   GIM_Try, /*On fail goto*//*Label 25719*/ GIMT_Encode4(1914091), // Rule ID 23500 //
     /* 1914010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1914013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1914021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1914024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1914027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914056 */     // MIs[0] policy
     /* 1914056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914066 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1914069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914090 */     // GIR_Coverage, 23500,
     /* 1914090 */     GIR_EraseRootFromParent_Done,
     /* 1914091 */   // Label 25719: @1914091
     /* 1914091 */   GIM_Try, /*On fail goto*//*Label 25720*/ GIMT_Encode4(1914177), // Rule ID 23503 //
     /* 1914096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1914107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1914110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1914113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1914119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914142 */     // MIs[0] policy
     /* 1914142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914152 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1914155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914176 */     // GIR_Coverage, 23503,
     /* 1914176 */     GIR_EraseRootFromParent_Done,
     /* 1914177 */   // Label 25720: @1914177
     /* 1914177 */   GIM_Try, /*On fail goto*//*Label 25721*/ GIMT_Encode4(1914263), // Rule ID 23504 //
     /* 1914182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1914193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1914196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1914199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1914205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914228 */     // MIs[0] policy
     /* 1914228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914238 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1914241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914262 */     // GIR_Coverage, 23504,
     /* 1914262 */     GIR_EraseRootFromParent_Done,
     /* 1914263 */   // Label 25721: @1914263
     /* 1914263 */   GIM_Try, /*On fail goto*//*Label 25722*/ GIMT_Encode4(1914349), // Rule ID 23507 //
     /* 1914268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1914279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1914282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1914285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1914291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914314 */     // MIs[0] policy
     /* 1914314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914324 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1914327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914348 */     // GIR_Coverage, 23507,
     /* 1914348 */     GIR_EraseRootFromParent_Done,
     /* 1914349 */   // Label 25722: @1914349
     /* 1914349 */   GIM_Try, /*On fail goto*//*Label 25723*/ GIMT_Encode4(1914435), // Rule ID 23508 //
     /* 1914354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1914365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1914368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1914371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1914377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914400 */     // MIs[0] policy
     /* 1914400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914410 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1914413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914434 */     // GIR_Coverage, 23508,
     /* 1914434 */     GIR_EraseRootFromParent_Done,
     /* 1914435 */   // Label 25723: @1914435
     /* 1914435 */   GIM_Try, /*On fail goto*//*Label 25724*/ GIMT_Encode4(1914521), // Rule ID 23511 //
     /* 1914440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1914451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1914454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1914457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1914463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914486 */     // MIs[0] policy
     /* 1914486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914496 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1914499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914520 */     // GIR_Coverage, 23511,
     /* 1914520 */     GIR_EraseRootFromParent_Done,
     /* 1914521 */   // Label 25724: @1914521
     /* 1914521 */   GIM_Try, /*On fail goto*//*Label 25725*/ GIMT_Encode4(1914607), // Rule ID 23512 //
     /* 1914526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1914537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1914540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1914543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1914549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914572 */     // MIs[0] policy
     /* 1914572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914582 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1914585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914606 */     // GIR_Coverage, 23512,
     /* 1914606 */     GIR_EraseRootFromParent_Done,
     /* 1914607 */   // Label 25725: @1914607
     /* 1914607 */   GIM_Try, /*On fail goto*//*Label 25726*/ GIMT_Encode4(1914693), // Rule ID 23515 //
     /* 1914612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1914623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1914626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1914629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914658 */     // MIs[0] policy
     /* 1914658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914668 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1914671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914692 */     // GIR_Coverage, 23515,
     /* 1914692 */     GIR_EraseRootFromParent_Done,
     /* 1914693 */   // Label 25726: @1914693
     /* 1914693 */   GIM_Try, /*On fail goto*//*Label 25727*/ GIMT_Encode4(1914779), // Rule ID 23516 //
     /* 1914698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1914709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1914712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1914715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914744 */     // MIs[0] policy
     /* 1914744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914754 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1914757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914778 */     // GIR_Coverage, 23516,
     /* 1914778 */     GIR_EraseRootFromParent_Done,
     /* 1914779 */   // Label 25727: @1914779
     /* 1914779 */   GIM_Try, /*On fail goto*//*Label 25728*/ GIMT_Encode4(1914865), // Rule ID 23519 //
     /* 1914784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1914795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1914798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1914801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1914807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914830 */     // MIs[0] policy
     /* 1914830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914840 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1914843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914864 */     // GIR_Coverage, 23519,
     /* 1914864 */     GIR_EraseRootFromParent_Done,
     /* 1914865 */   // Label 25728: @1914865
     /* 1914865 */   GIM_Try, /*On fail goto*//*Label 25729*/ GIMT_Encode4(1914951), // Rule ID 23520 //
     /* 1914870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1914881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1914884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1914887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1914893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914916 */     // MIs[0] policy
     /* 1914916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914926 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1914929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914950 */     // GIR_Coverage, 23520,
     /* 1914950 */     GIR_EraseRootFromParent_Done,
     /* 1914951 */   // Label 25729: @1914951
     /* 1914951 */   GIM_Try, /*On fail goto*//*Label 25730*/ GIMT_Encode4(1915037), // Rule ID 23523 //
     /* 1914956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1914964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1914967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1914970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1914973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1914979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915002 */     // MIs[0] policy
     /* 1915002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915012 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1915015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915036 */     // GIR_Coverage, 23523,
     /* 1915036 */     GIR_EraseRootFromParent_Done,
     /* 1915037 */   // Label 25730: @1915037
     /* 1915037 */   GIM_Try, /*On fail goto*//*Label 25731*/ GIMT_Encode4(1915123), // Rule ID 23524 //
     /* 1915042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1915053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1915056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1915059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1915065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1915072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915088 */     // MIs[0] policy
     /* 1915088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915098 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1915101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915122 */     // GIR_Coverage, 23524,
     /* 1915122 */     GIR_EraseRootFromParent_Done,
     /* 1915123 */   // Label 25731: @1915123
     /* 1915123 */   GIM_Try, /*On fail goto*//*Label 25732*/ GIMT_Encode4(1915209), // Rule ID 23527 //
     /* 1915128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1915139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1915142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1915145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915174 */     // MIs[0] policy
     /* 1915174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915184 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1915187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915208 */     // GIR_Coverage, 23527,
     /* 1915208 */     GIR_EraseRootFromParent_Done,
     /* 1915209 */   // Label 25732: @1915209
     /* 1915209 */   GIM_Try, /*On fail goto*//*Label 25733*/ GIMT_Encode4(1915295), // Rule ID 23528 //
     /* 1915214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1915225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1915228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1915231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915260 */     // MIs[0] policy
     /* 1915260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915270 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1915273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915294 */     // GIR_Coverage, 23528,
     /* 1915294 */     GIR_EraseRootFromParent_Done,
     /* 1915295 */   // Label 25733: @1915295
     /* 1915295 */   GIM_Try, /*On fail goto*//*Label 25734*/ GIMT_Encode4(1915381), // Rule ID 23531 //
     /* 1915300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1915311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1915314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1915317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1915330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915346 */     // MIs[0] policy
     /* 1915346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915356 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1915359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915380 */     // GIR_Coverage, 23531,
     /* 1915380 */     GIR_EraseRootFromParent_Done,
     /* 1915381 */   // Label 25734: @1915381
     /* 1915381 */   GIM_Try, /*On fail goto*//*Label 25735*/ GIMT_Encode4(1915467), // Rule ID 23532 //
     /* 1915386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1915397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1915400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1915403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1915416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915432 */     // MIs[0] policy
     /* 1915432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915442 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1915445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915466 */     // GIR_Coverage, 23532,
     /* 1915466 */     GIR_EraseRootFromParent_Done,
     /* 1915467 */   // Label 25735: @1915467
     /* 1915467 */   GIM_Try, /*On fail goto*//*Label 25736*/ GIMT_Encode4(1915553), // Rule ID 23535 //
     /* 1915472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1915483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1915486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1915489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1915495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1915502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915518 */     // MIs[0] policy
     /* 1915518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915528 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1915531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915552 */     // GIR_Coverage, 23535,
     /* 1915552 */     GIR_EraseRootFromParent_Done,
     /* 1915553 */   // Label 25736: @1915553
     /* 1915553 */   GIM_Try, /*On fail goto*//*Label 25737*/ GIMT_Encode4(1915639), // Rule ID 23536 //
     /* 1915558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1915569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1915572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1915575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1915581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1915588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915604 */     // MIs[0] policy
     /* 1915604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915614 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1915617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915638 */     // GIR_Coverage, 23536,
     /* 1915638 */     GIR_EraseRootFromParent_Done,
     /* 1915639 */   // Label 25737: @1915639
     /* 1915639 */   GIM_Try, /*On fail goto*//*Label 25738*/ GIMT_Encode4(1915725), // Rule ID 23539 //
     /* 1915644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1915647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1915655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1915658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1915661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915690 */     // MIs[0] policy
     /* 1915690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915700 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1915703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915724 */     // GIR_Coverage, 23539,
     /* 1915724 */     GIR_EraseRootFromParent_Done,
     /* 1915725 */   // Label 25738: @1915725
     /* 1915725 */   GIM_Try, /*On fail goto*//*Label 25739*/ GIMT_Encode4(1915811), // Rule ID 23540 //
     /* 1915730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1915733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1915741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1915744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1915747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915776 */     // MIs[0] policy
     /* 1915776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915786 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1915789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915810 */     // GIR_Coverage, 23540,
     /* 1915810 */     GIR_EraseRootFromParent_Done,
     /* 1915811 */   // Label 25739: @1915811
     /* 1915811 */   GIM_Try, /*On fail goto*//*Label 25740*/ GIMT_Encode4(1915897), // Rule ID 23543 //
     /* 1915816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1915819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1915827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1915830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1915833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1915846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915862 */     // MIs[0] policy
     /* 1915862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915872 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1915875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915896 */     // GIR_Coverage, 23543,
     /* 1915896 */     GIR_EraseRootFromParent_Done,
     /* 1915897 */   // Label 25740: @1915897
     /* 1915897 */   GIM_Try, /*On fail goto*//*Label 25741*/ GIMT_Encode4(1915983), // Rule ID 23544 //
     /* 1915902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1915905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1915913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1915916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1915919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1915932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915948 */     // MIs[0] policy
     /* 1915948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915958 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1915961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915982 */     // GIR_Coverage, 23544,
     /* 1915982 */     GIR_EraseRootFromParent_Done,
     /* 1915983 */   // Label 25741: @1915983
     /* 1915983 */   GIM_Try, /*On fail goto*//*Label 25742*/ GIMT_Encode4(1916069), // Rule ID 23547 //
     /* 1915988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1915991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1915996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1915999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1916002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1916005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916034 */     // MIs[0] policy
     /* 1916034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916044 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1916047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1916065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916068 */     // GIR_Coverage, 23547,
     /* 1916068 */     GIR_EraseRootFromParent_Done,
     /* 1916069 */   // Label 25742: @1916069
     /* 1916069 */   GIM_Try, /*On fail goto*//*Label 25743*/ GIMT_Encode4(1916155), // Rule ID 23548 //
     /* 1916074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1916077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1916082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1916085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1916088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1916091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916120 */     // MIs[0] policy
     /* 1916120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916130 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1916133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1916151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916154 */     // GIR_Coverage, 23548,
     /* 1916154 */     GIR_EraseRootFromParent_Done,
     /* 1916155 */   // Label 25743: @1916155
     /* 1916155 */   GIM_Try, /*On fail goto*//*Label 25744*/ GIMT_Encode4(1916241), // Rule ID 23639 //
     /* 1916160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1916168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1916171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1916174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1916177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1916183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916206 */     // MIs[0] policy
     /* 1916206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916216 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1916219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1916237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916240 */     // GIR_Coverage, 23639,
     /* 1916240 */     GIR_EraseRootFromParent_Done,
     /* 1916241 */   // Label 25744: @1916241
     /* 1916241 */   GIM_Try, /*On fail goto*//*Label 25745*/ GIMT_Encode4(1916327), // Rule ID 23640 //
     /* 1916246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1916254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1916257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1916260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1916263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1916269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916292 */     // MIs[0] policy
     /* 1916292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916302 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1916305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1916323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916326 */     // GIR_Coverage, 23640,
     /* 1916326 */     GIR_EraseRootFromParent_Done,
     /* 1916327 */   // Label 25745: @1916327
     /* 1916327 */   GIM_Try, /*On fail goto*//*Label 25746*/ GIMT_Encode4(1916413), // Rule ID 23643 //
     /* 1916332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1916340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1916343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1916346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1916349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1916355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916378 */     // MIs[0] policy
     /* 1916378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916388 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1916391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1916409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916412 */     // GIR_Coverage, 23643,
     /* 1916412 */     GIR_EraseRootFromParent_Done,
     /* 1916413 */   // Label 25746: @1916413
     /* 1916413 */   GIM_Try, /*On fail goto*//*Label 25747*/ GIMT_Encode4(1916499), // Rule ID 23644 //
     /* 1916418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1916426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1916429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1916432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1916435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1916441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916464 */     // MIs[0] policy
     /* 1916464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916474 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1916477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1916495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916498 */     // GIR_Coverage, 23644,
     /* 1916498 */     GIR_EraseRootFromParent_Done,
     /* 1916499 */   // Label 25747: @1916499
     /* 1916499 */   GIM_Try, /*On fail goto*//*Label 25748*/ GIMT_Encode4(1916585), // Rule ID 23647 //
     /* 1916504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1916512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1916515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1916518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1916521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916550 */     // MIs[0] policy
     /* 1916550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916560 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1916563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1916581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916584 */     // GIR_Coverage, 23647,
     /* 1916584 */     GIR_EraseRootFromParent_Done,
     /* 1916585 */   // Label 25748: @1916585
     /* 1916585 */   GIM_Try, /*On fail goto*//*Label 25749*/ GIMT_Encode4(1916671), // Rule ID 23648 //
     /* 1916590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1916598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1916601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1916604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1916607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916636 */     // MIs[0] policy
     /* 1916636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916646 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1916649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1916667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916670 */     // GIR_Coverage, 23648,
     /* 1916670 */     GIR_EraseRootFromParent_Done,
     /* 1916671 */   // Label 25749: @1916671
     /* 1916671 */   GIM_Try, /*On fail goto*//*Label 25750*/ GIMT_Encode4(1916757), // Rule ID 23651 //
     /* 1916676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1916684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1916687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1916690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1916693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1916699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916722 */     // MIs[0] policy
     /* 1916722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916732 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1916735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916756 */     // GIR_Coverage, 23651,
     /* 1916756 */     GIR_EraseRootFromParent_Done,
     /* 1916757 */   // Label 25750: @1916757
     /* 1916757 */   GIM_Try, /*On fail goto*//*Label 25751*/ GIMT_Encode4(1916843), // Rule ID 23652 //
     /* 1916762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1916770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1916773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1916776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1916779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1916785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916808 */     // MIs[0] policy
     /* 1916808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916818 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1916821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916842 */     // GIR_Coverage, 23652,
     /* 1916842 */     GIR_EraseRootFromParent_Done,
     /* 1916843 */   // Label 25751: @1916843
     /* 1916843 */   GIM_Try, /*On fail goto*//*Label 25752*/ GIMT_Encode4(1916929), // Rule ID 23655 //
     /* 1916848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1916856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1916859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1916862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1916865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1916871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916894 */     // MIs[0] policy
     /* 1916894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916904 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1916907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916928 */     // GIR_Coverage, 23655,
     /* 1916928 */     GIR_EraseRootFromParent_Done,
     /* 1916929 */   // Label 25752: @1916929
     /* 1916929 */   GIM_Try, /*On fail goto*//*Label 25753*/ GIMT_Encode4(1917015), // Rule ID 23656 //
     /* 1916934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1916942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1916945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1916948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1916951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1916957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916980 */     // MIs[0] policy
     /* 1916980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916990 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1916993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1916997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917014 */     // GIR_Coverage, 23656,
     /* 1917014 */     GIR_EraseRootFromParent_Done,
     /* 1917015 */   // Label 25753: @1917015
     /* 1917015 */   GIM_Try, /*On fail goto*//*Label 25754*/ GIMT_Encode4(1917101), // Rule ID 23659 //
     /* 1917020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1917031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1917034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1917037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917066 */     // MIs[0] policy
     /* 1917066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917076 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1917079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917100 */     // GIR_Coverage, 23659,
     /* 1917100 */     GIR_EraseRootFromParent_Done,
     /* 1917101 */   // Label 25754: @1917101
     /* 1917101 */   GIM_Try, /*On fail goto*//*Label 25755*/ GIMT_Encode4(1917187), // Rule ID 23660 //
     /* 1917106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1917117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1917120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1917123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917152 */     // MIs[0] policy
     /* 1917152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917162 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1917165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917186 */     // GIR_Coverage, 23660,
     /* 1917186 */     GIR_EraseRootFromParent_Done,
     /* 1917187 */   // Label 25755: @1917187
     /* 1917187 */   GIM_Try, /*On fail goto*//*Label 25756*/ GIMT_Encode4(1917273), // Rule ID 23663 //
     /* 1917192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1917203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1917206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1917209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917238 */     // MIs[0] policy
     /* 1917238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917248 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1917251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917272 */     // GIR_Coverage, 23663,
     /* 1917272 */     GIR_EraseRootFromParent_Done,
     /* 1917273 */   // Label 25756: @1917273
     /* 1917273 */   GIM_Try, /*On fail goto*//*Label 25757*/ GIMT_Encode4(1917359), // Rule ID 23664 //
     /* 1917278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1917289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1917292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1917295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917324 */     // MIs[0] policy
     /* 1917324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917334 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1917337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917358 */     // GIR_Coverage, 23664,
     /* 1917358 */     GIR_EraseRootFromParent_Done,
     /* 1917359 */   // Label 25757: @1917359
     /* 1917359 */   GIM_Try, /*On fail goto*//*Label 25758*/ GIMT_Encode4(1917445), // Rule ID 23667 //
     /* 1917364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1917375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1917378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1917381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917410 */     // MIs[0] policy
     /* 1917410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917420 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1917423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917444 */     // GIR_Coverage, 23667,
     /* 1917444 */     GIR_EraseRootFromParent_Done,
     /* 1917445 */   // Label 25758: @1917445
     /* 1917445 */   GIM_Try, /*On fail goto*//*Label 25759*/ GIMT_Encode4(1917531), // Rule ID 23668 //
     /* 1917450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1917461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1917464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1917467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917496 */     // MIs[0] policy
     /* 1917496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917506 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1917509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917530 */     // GIR_Coverage, 23668,
     /* 1917530 */     GIR_EraseRootFromParent_Done,
     /* 1917531 */   // Label 25759: @1917531
     /* 1917531 */   GIM_Try, /*On fail goto*//*Label 25760*/ GIMT_Encode4(1917617), // Rule ID 23671 //
     /* 1917536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1917547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1917550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1917553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917582 */     // MIs[0] policy
     /* 1917582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1917595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917616 */     // GIR_Coverage, 23671,
     /* 1917616 */     GIR_EraseRootFromParent_Done,
     /* 1917617 */   // Label 25760: @1917617
     /* 1917617 */   GIM_Try, /*On fail goto*//*Label 25761*/ GIMT_Encode4(1917703), // Rule ID 23672 //
     /* 1917622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1917633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1917636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1917639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917668 */     // MIs[0] policy
     /* 1917668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1917681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917702 */     // GIR_Coverage, 23672,
     /* 1917702 */     GIR_EraseRootFromParent_Done,
     /* 1917703 */   // Label 25761: @1917703
     /* 1917703 */   GIM_Try, /*On fail goto*//*Label 25762*/ GIMT_Encode4(1917789), // Rule ID 23675 //
     /* 1917708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1917711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1917719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1917722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1917725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917754 */     // MIs[0] policy
     /* 1917754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917764 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1917767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917788 */     // GIR_Coverage, 23675,
     /* 1917788 */     GIR_EraseRootFromParent_Done,
     /* 1917789 */   // Label 25762: @1917789
     /* 1917789 */   GIM_Try, /*On fail goto*//*Label 25763*/ GIMT_Encode4(1917875), // Rule ID 23676 //
     /* 1917794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1917797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1917805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1917808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1917811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917840 */     // MIs[0] policy
     /* 1917840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917850 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1917853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917874 */     // GIR_Coverage, 23676,
     /* 1917874 */     GIR_EraseRootFromParent_Done,
     /* 1917875 */   // Label 25763: @1917875
     /* 1917875 */   GIM_Try, /*On fail goto*//*Label 25764*/ GIMT_Encode4(1917961), // Rule ID 23679 //
     /* 1917880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1917891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1917894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1917897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1917903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917926 */     // MIs[0] policy
     /* 1917926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917936 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1917939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1917943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917960 */     // GIR_Coverage, 23679,
     /* 1917960 */     GIR_EraseRootFromParent_Done,
     /* 1917961 */   // Label 25764: @1917961
     /* 1917961 */   GIM_Try, /*On fail goto*//*Label 25765*/ GIMT_Encode4(1918047), // Rule ID 23680 //
     /* 1917966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1917974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1917977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1917980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1917983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1917989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918012 */     // MIs[0] policy
     /* 1918012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918022 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1918025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918046 */     // GIR_Coverage, 23680,
     /* 1918046 */     GIR_EraseRootFromParent_Done,
     /* 1918047 */   // Label 25765: @1918047
     /* 1918047 */   GIM_Try, /*On fail goto*//*Label 25766*/ GIMT_Encode4(1918133), // Rule ID 23683 //
     /* 1918052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1918063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1918066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1918069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1918075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1918082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918098 */     // MIs[0] policy
     /* 1918098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918108 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1918111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918132 */     // GIR_Coverage, 23683,
     /* 1918132 */     GIR_EraseRootFromParent_Done,
     /* 1918133 */   // Label 25766: @1918133
     /* 1918133 */   GIM_Try, /*On fail goto*//*Label 25767*/ GIMT_Encode4(1918219), // Rule ID 23684 //
     /* 1918138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1918149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1918152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1918155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1918161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1918168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918184 */     // MIs[0] policy
     /* 1918184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918194 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1918197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918218 */     // GIR_Coverage, 23684,
     /* 1918218 */     GIR_EraseRootFromParent_Done,
     /* 1918219 */   // Label 25767: @1918219
     /* 1918219 */   GIM_Try, /*On fail goto*//*Label 25768*/ GIMT_Encode4(1918305), // Rule ID 23687 //
     /* 1918224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1918235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1918238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1918241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1918247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1918254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918270 */     // MIs[0] policy
     /* 1918270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918280 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1918283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918304 */     // GIR_Coverage, 23687,
     /* 1918304 */     GIR_EraseRootFromParent_Done,
     /* 1918305 */   // Label 25768: @1918305
     /* 1918305 */   GIM_Try, /*On fail goto*//*Label 25769*/ GIMT_Encode4(1918391), // Rule ID 23688 //
     /* 1918310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1918321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1918324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1918327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1918333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1918340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918356 */     // MIs[0] policy
     /* 1918356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918366 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1918369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918390 */     // GIR_Coverage, 23688,
     /* 1918390 */     GIR_EraseRootFromParent_Done,
     /* 1918391 */   // Label 25769: @1918391
     /* 1918391 */   GIM_Try, /*On fail goto*//*Label 25770*/ GIMT_Encode4(1918477), // Rule ID 23691 //
     /* 1918396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1918407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1918410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1918413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1918426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918442 */     // MIs[0] policy
     /* 1918442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918452 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1918455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918476 */     // GIR_Coverage, 23691,
     /* 1918476 */     GIR_EraseRootFromParent_Done,
     /* 1918477 */   // Label 25770: @1918477
     /* 1918477 */   GIM_Try, /*On fail goto*//*Label 25771*/ GIMT_Encode4(1918563), // Rule ID 23692 //
     /* 1918482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1918493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1918496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1918499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1918512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918528 */     // MIs[0] policy
     /* 1918528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918538 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1918541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918562 */     // GIR_Coverage, 23692,
     /* 1918562 */     GIR_EraseRootFromParent_Done,
     /* 1918563 */   // Label 25771: @1918563
     /* 1918563 */   GIM_Try, /*On fail goto*//*Label 25772*/ GIMT_Encode4(1918649), // Rule ID 23695 //
     /* 1918568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1918579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1918582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1918585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1918591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1918598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918614 */     // MIs[0] policy
     /* 1918614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1918627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918648 */     // GIR_Coverage, 23695,
     /* 1918648 */     GIR_EraseRootFromParent_Done,
     /* 1918649 */   // Label 25772: @1918649
     /* 1918649 */   GIM_Try, /*On fail goto*//*Label 25773*/ GIMT_Encode4(1918735), // Rule ID 23696 //
     /* 1918654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1918665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1918668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1918671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1918677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1918684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918700 */     // MIs[0] policy
     /* 1918700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918710 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1918713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918734 */     // GIR_Coverage, 23696,
     /* 1918734 */     GIR_EraseRootFromParent_Done,
     /* 1918735 */   // Label 25773: @1918735
     /* 1918735 */   GIM_Try, /*On fail goto*//*Label 25774*/ GIMT_Encode4(1918821), // Rule ID 23699 //
     /* 1918740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1918751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1918754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1918757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1918763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1918770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918786 */     // MIs[0] policy
     /* 1918786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918796 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1918799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918820 */     // GIR_Coverage, 23699,
     /* 1918820 */     GIR_EraseRootFromParent_Done,
     /* 1918821 */   // Label 25774: @1918821
     /* 1918821 */   GIM_Try, /*On fail goto*//*Label 25775*/ GIMT_Encode4(1918907), // Rule ID 23700 //
     /* 1918826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1918837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1918840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1918843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1918849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1918856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918872 */     // MIs[0] policy
     /* 1918872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918882 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1918885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918906 */     // GIR_Coverage, 23700,
     /* 1918906 */     GIR_EraseRootFromParent_Done,
     /* 1918907 */   // Label 25775: @1918907
     /* 1918907 */   GIM_Try, /*On fail goto*//*Label 25776*/ GIMT_Encode4(1918993), // Rule ID 23703 //
     /* 1918912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1918920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1918923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1918926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1918929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1918942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918958 */     // MIs[0] policy
     /* 1918958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918968 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1918971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1918975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918992 */     // GIR_Coverage, 23703,
     /* 1918992 */     GIR_EraseRootFromParent_Done,
     /* 1918993 */   // Label 25776: @1918993
     /* 1918993 */   GIM_Try, /*On fail goto*//*Label 25777*/ GIMT_Encode4(1919079), // Rule ID 23704 //
     /* 1918998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1919009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1919012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1919015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919044 */     // MIs[0] policy
     /* 1919044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919054 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1919057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919078 */     // GIR_Coverage, 23704,
     /* 1919078 */     GIR_EraseRootFromParent_Done,
     /* 1919079 */   // Label 25777: @1919079
     /* 1919079 */   GIM_Try, /*On fail goto*//*Label 25778*/ GIMT_Encode4(1919165), // Rule ID 23707 //
     /* 1919084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1919095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1919098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1919101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919130 */     // MIs[0] policy
     /* 1919130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919140 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1919143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919164 */     // GIR_Coverage, 23707,
     /* 1919164 */     GIR_EraseRootFromParent_Done,
     /* 1919165 */   // Label 25778: @1919165
     /* 1919165 */   GIM_Try, /*On fail goto*//*Label 25779*/ GIMT_Encode4(1919251), // Rule ID 23708 //
     /* 1919170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1919181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1919184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1919187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919216 */     // MIs[0] policy
     /* 1919216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1919229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919250 */     // GIR_Coverage, 23708,
     /* 1919250 */     GIR_EraseRootFromParent_Done,
     /* 1919251 */   // Label 25779: @1919251
     /* 1919251 */   GIM_Try, /*On fail goto*//*Label 25780*/ GIMT_Encode4(1919337), // Rule ID 23711 //
     /* 1919256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1919267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1919270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1919273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919302 */     // MIs[0] policy
     /* 1919302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919312 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1919315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919336 */     // GIR_Coverage, 23711,
     /* 1919336 */     GIR_EraseRootFromParent_Done,
     /* 1919337 */   // Label 25780: @1919337
     /* 1919337 */   GIM_Try, /*On fail goto*//*Label 25781*/ GIMT_Encode4(1919423), // Rule ID 23712 //
     /* 1919342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1919353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1919356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1919359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919388 */     // MIs[0] policy
     /* 1919388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919398 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1919401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919422 */     // GIR_Coverage, 23712,
     /* 1919422 */     GIR_EraseRootFromParent_Done,
     /* 1919423 */   // Label 25781: @1919423
     /* 1919423 */   GIM_Try, /*On fail goto*//*Label 25782*/ GIMT_Encode4(1919509), // Rule ID 23715 //
     /* 1919428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1919431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1919439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1919442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1919445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919474 */     // MIs[0] policy
     /* 1919474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919484 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1919487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919508 */     // GIR_Coverage, 23715,
     /* 1919508 */     GIR_EraseRootFromParent_Done,
     /* 1919509 */   // Label 25782: @1919509
     /* 1919509 */   GIM_Try, /*On fail goto*//*Label 25783*/ GIMT_Encode4(1919595), // Rule ID 23716 //
     /* 1919514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1919517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1919525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1919528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1919531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919560 */     // MIs[0] policy
     /* 1919560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919570 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1919573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919594 */     // GIR_Coverage, 23716,
     /* 1919594 */     GIR_EraseRootFromParent_Done,
     /* 1919595 */   // Label 25783: @1919595
     /* 1919595 */   GIM_Try, /*On fail goto*//*Label 25784*/ GIMT_Encode4(1919681), // Rule ID 23719 //
     /* 1919600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1919603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1919611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1919614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1919617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919646 */     // MIs[0] policy
     /* 1919646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919656 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1919659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919680 */     // GIR_Coverage, 23719,
     /* 1919680 */     GIR_EraseRootFromParent_Done,
     /* 1919681 */   // Label 25784: @1919681
     /* 1919681 */   GIM_Try, /*On fail goto*//*Label 25785*/ GIMT_Encode4(1919767), // Rule ID 23720 //
     /* 1919686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1919689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1919697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1919700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1919703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919732 */     // MIs[0] policy
     /* 1919732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919742 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1919745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919766 */     // GIR_Coverage, 23720,
     /* 1919766 */     GIR_EraseRootFromParent_Done,
     /* 1919767 */   // Label 25785: @1919767
     /* 1919767 */   GIM_Try, /*On fail goto*//*Label 25786*/ GIMT_Encode4(1919853), // Rule ID 23723 //
     /* 1919772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1919775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1919783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1919786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1919789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919818 */     // MIs[0] policy
     /* 1919818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919828 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1919831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919852 */     // GIR_Coverage, 23723,
     /* 1919852 */     GIR_EraseRootFromParent_Done,
     /* 1919853 */   // Label 25786: @1919853
     /* 1919853 */   GIM_Try, /*On fail goto*//*Label 25787*/ GIMT_Encode4(1919939), // Rule ID 23724 //
     /* 1919858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1919861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1919866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1919869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1919872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1919875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919904 */     // MIs[0] policy
     /* 1919904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919914 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1919917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1919921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919938 */     // GIR_Coverage, 23724,
     /* 1919938 */     GIR_EraseRootFromParent_Done,
     /* 1919939 */   // Label 25787: @1919939
     /* 1919939 */   GIM_Try, /*On fail goto*//*Label 25788*/ GIMT_Encode4(1920025), // Rule ID 23815 //
     /* 1919944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1919952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1919955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1919958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1919961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919990 */     // MIs[0] policy
     /* 1919990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920000 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1920003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920024 */     // GIR_Coverage, 23815,
     /* 1920024 */     GIR_EraseRootFromParent_Done,
     /* 1920025 */   // Label 25788: @1920025
     /* 1920025 */   GIM_Try, /*On fail goto*//*Label 25789*/ GIMT_Encode4(1920111), // Rule ID 23816 //
     /* 1920030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1920038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1920041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1920044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1920047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1920053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920076 */     // MIs[0] policy
     /* 1920076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920086 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1920089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920110 */     // GIR_Coverage, 23816,
     /* 1920110 */     GIR_EraseRootFromParent_Done,
     /* 1920111 */   // Label 25789: @1920111
     /* 1920111 */   GIM_Try, /*On fail goto*//*Label 25790*/ GIMT_Encode4(1920197), // Rule ID 23819 //
     /* 1920116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1920124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1920127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1920130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1920133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920162 */     // MIs[0] policy
     /* 1920162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920172 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1920175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920196 */     // GIR_Coverage, 23819,
     /* 1920196 */     GIR_EraseRootFromParent_Done,
     /* 1920197 */   // Label 25790: @1920197
     /* 1920197 */   GIM_Try, /*On fail goto*//*Label 25791*/ GIMT_Encode4(1920283), // Rule ID 23820 //
     /* 1920202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1920210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1920213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1920216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1920219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920248 */     // MIs[0] policy
     /* 1920248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920258 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1920261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920282 */     // GIR_Coverage, 23820,
     /* 1920282 */     GIR_EraseRootFromParent_Done,
     /* 1920283 */   // Label 25791: @1920283
     /* 1920283 */   GIM_Try, /*On fail goto*//*Label 25792*/ GIMT_Encode4(1920369), // Rule ID 23823 //
     /* 1920288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1920296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1920299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1920302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1920305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920334 */     // MIs[0] policy
     /* 1920334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920344 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1920347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920368 */     // GIR_Coverage, 23823,
     /* 1920368 */     GIR_EraseRootFromParent_Done,
     /* 1920369 */   // Label 25792: @1920369
     /* 1920369 */   GIM_Try, /*On fail goto*//*Label 25793*/ GIMT_Encode4(1920455), // Rule ID 23824 //
     /* 1920374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1920382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1920385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1920388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1920391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920420 */     // MIs[0] policy
     /* 1920420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920430 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1920433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920454 */     // GIR_Coverage, 23824,
     /* 1920454 */     GIR_EraseRootFromParent_Done,
     /* 1920455 */   // Label 25793: @1920455
     /* 1920455 */   GIM_Try, /*On fail goto*//*Label 25794*/ GIMT_Encode4(1920541), // Rule ID 23827 //
     /* 1920460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1920468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1920471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1920474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1920477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1920483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920506 */     // MIs[0] policy
     /* 1920506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920516 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1920519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920540 */     // GIR_Coverage, 23827,
     /* 1920540 */     GIR_EraseRootFromParent_Done,
     /* 1920541 */   // Label 25794: @1920541
     /* 1920541 */   GIM_Try, /*On fail goto*//*Label 25795*/ GIMT_Encode4(1920627), // Rule ID 23828 //
     /* 1920546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1920554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1920557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1920560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1920563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1920569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920592 */     // MIs[0] policy
     /* 1920592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920602 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1920605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920626 */     // GIR_Coverage, 23828,
     /* 1920626 */     GIR_EraseRootFromParent_Done,
     /* 1920627 */   // Label 25795: @1920627
     /* 1920627 */   GIM_Try, /*On fail goto*//*Label 25796*/ GIMT_Encode4(1920713), // Rule ID 23831 //
     /* 1920632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1920640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1920643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1920646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1920649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920678 */     // MIs[0] policy
     /* 1920678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920688 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1920691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920712 */     // GIR_Coverage, 23831,
     /* 1920712 */     GIR_EraseRootFromParent_Done,
     /* 1920713 */   // Label 25796: @1920713
     /* 1920713 */   GIM_Try, /*On fail goto*//*Label 25797*/ GIMT_Encode4(1920799), // Rule ID 23832 //
     /* 1920718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1920726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1920729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1920732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1920735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920764 */     // MIs[0] policy
     /* 1920764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920774 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1920777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920798 */     // GIR_Coverage, 23832,
     /* 1920798 */     GIR_EraseRootFromParent_Done,
     /* 1920799 */   // Label 25797: @1920799
     /* 1920799 */   GIM_Try, /*On fail goto*//*Label 25798*/ GIMT_Encode4(1920885), // Rule ID 23835 //
     /* 1920804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1920812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1920815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1920818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1920821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1920827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920850 */     // MIs[0] policy
     /* 1920850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920860 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1920863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920884 */     // GIR_Coverage, 23835,
     /* 1920884 */     GIR_EraseRootFromParent_Done,
     /* 1920885 */   // Label 25798: @1920885
     /* 1920885 */   GIM_Try, /*On fail goto*//*Label 25799*/ GIMT_Encode4(1920971), // Rule ID 23836 //
     /* 1920890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1920898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1920901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1920904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1920907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1920913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920936 */     // MIs[0] policy
     /* 1920936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1920949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920970 */     // GIR_Coverage, 23836,
     /* 1920970 */     GIR_EraseRootFromParent_Done,
     /* 1920971 */   // Label 25799: @1920971
     /* 1920971 */   GIM_Try, /*On fail goto*//*Label 25800*/ GIMT_Encode4(1921057), // Rule ID 23839 //
     /* 1920976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1920984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1920987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1920990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1920993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921022 */     // MIs[0] policy
     /* 1921022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921032 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1921035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921056 */     // GIR_Coverage, 23839,
     /* 1921056 */     GIR_EraseRootFromParent_Done,
     /* 1921057 */   // Label 25800: @1921057
     /* 1921057 */   GIM_Try, /*On fail goto*//*Label 25801*/ GIMT_Encode4(1921143), // Rule ID 23840 //
     /* 1921062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1921073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1921076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1921079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921108 */     // MIs[0] policy
     /* 1921108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921118 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1921121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921142 */     // GIR_Coverage, 23840,
     /* 1921142 */     GIR_EraseRootFromParent_Done,
     /* 1921143 */   // Label 25801: @1921143
     /* 1921143 */   GIM_Try, /*On fail goto*//*Label 25802*/ GIMT_Encode4(1921229), // Rule ID 23843 //
     /* 1921148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1921159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1921162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1921165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921194 */     // MIs[0] policy
     /* 1921194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921204 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1921207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921228 */     // GIR_Coverage, 23843,
     /* 1921228 */     GIR_EraseRootFromParent_Done,
     /* 1921229 */   // Label 25802: @1921229
     /* 1921229 */   GIM_Try, /*On fail goto*//*Label 25803*/ GIMT_Encode4(1921315), // Rule ID 23844 //
     /* 1921234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1921245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1921248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1921251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921280 */     // MIs[0] policy
     /* 1921280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921290 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1921293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921314 */     // GIR_Coverage, 23844,
     /* 1921314 */     GIR_EraseRootFromParent_Done,
     /* 1921315 */   // Label 25803: @1921315
     /* 1921315 */   GIM_Try, /*On fail goto*//*Label 25804*/ GIMT_Encode4(1921401), // Rule ID 23847 //
     /* 1921320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1921331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1921334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1921337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921366 */     // MIs[0] policy
     /* 1921366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921376 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1921379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921400 */     // GIR_Coverage, 23847,
     /* 1921400 */     GIR_EraseRootFromParent_Done,
     /* 1921401 */   // Label 25804: @1921401
     /* 1921401 */   GIM_Try, /*On fail goto*//*Label 25805*/ GIMT_Encode4(1921487), // Rule ID 23848 //
     /* 1921406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1921417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1921420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1921423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921452 */     // MIs[0] policy
     /* 1921452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921462 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1921465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921486 */     // GIR_Coverage, 23848,
     /* 1921486 */     GIR_EraseRootFromParent_Done,
     /* 1921487 */   // Label 25805: @1921487
     /* 1921487 */   GIM_Try, /*On fail goto*//*Label 25806*/ GIMT_Encode4(1921573), // Rule ID 23851 //
     /* 1921492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1921495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1921503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1921506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1921509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921538 */     // MIs[0] policy
     /* 1921538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921548 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1921551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921572 */     // GIR_Coverage, 23851,
     /* 1921572 */     GIR_EraseRootFromParent_Done,
     /* 1921573 */   // Label 25806: @1921573
     /* 1921573 */   GIM_Try, /*On fail goto*//*Label 25807*/ GIMT_Encode4(1921659), // Rule ID 23852 //
     /* 1921578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1921581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1921589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1921592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1921595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1921601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1921608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1921616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921624 */     // MIs[0] policy
     /* 1921624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921634 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1921637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921658 */     // GIR_Coverage, 23852,
     /* 1921658 */     GIR_EraseRootFromParent_Done,
     /* 1921659 */   // Label 25807: @1921659
     /* 1921659 */   GIM_Try, /*On fail goto*//*Label 25808*/ GIMT_Encode4(1921745), // Rule ID 23855 //
     /* 1921664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1921675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1921678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1921681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1921687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921710 */     // MIs[0] policy
     /* 1921710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921720 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1921723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921744 */     // GIR_Coverage, 23855,
     /* 1921744 */     GIR_EraseRootFromParent_Done,
     /* 1921745 */   // Label 25808: @1921745
     /* 1921745 */   GIM_Try, /*On fail goto*//*Label 25809*/ GIMT_Encode4(1921831), // Rule ID 23856 //
     /* 1921750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1921761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1921764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1921767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1921773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921796 */     // MIs[0] policy
     /* 1921796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921806 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1921809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921830 */     // GIR_Coverage, 23856,
     /* 1921830 */     GIR_EraseRootFromParent_Done,
     /* 1921831 */   // Label 25809: @1921831
     /* 1921831 */   GIM_Try, /*On fail goto*//*Label 25810*/ GIMT_Encode4(1921917), // Rule ID 23859 //
     /* 1921836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1921847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1921850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1921853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1921859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921882 */     // MIs[0] policy
     /* 1921882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921892 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1921895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921916 */     // GIR_Coverage, 23859,
     /* 1921916 */     GIR_EraseRootFromParent_Done,
     /* 1921917 */   // Label 25810: @1921917
     /* 1921917 */   GIM_Try, /*On fail goto*//*Label 25811*/ GIMT_Encode4(1922003), // Rule ID 23860 //
     /* 1921922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1921930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1921933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1921936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1921939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1921945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921968 */     // MIs[0] policy
     /* 1921968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921978 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1921981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922002 */     // GIR_Coverage, 23860,
     /* 1922002 */     GIR_EraseRootFromParent_Done,
     /* 1922003 */   // Label 25811: @1922003
     /* 1922003 */   GIM_Try, /*On fail goto*//*Label 25812*/ GIMT_Encode4(1922089), // Rule ID 23863 //
     /* 1922008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1922019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1922022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1922025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1922031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922054 */     // MIs[0] policy
     /* 1922054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922064 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1922067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922088 */     // GIR_Coverage, 23863,
     /* 1922088 */     GIR_EraseRootFromParent_Done,
     /* 1922089 */   // Label 25812: @1922089
     /* 1922089 */   GIM_Try, /*On fail goto*//*Label 25813*/ GIMT_Encode4(1922175), // Rule ID 23864 //
     /* 1922094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1922105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1922108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1922111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1922117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922140 */     // MIs[0] policy
     /* 1922140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922150 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1922153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922174 */     // GIR_Coverage, 23864,
     /* 1922174 */     GIR_EraseRootFromParent_Done,
     /* 1922175 */   // Label 25813: @1922175
     /* 1922175 */   GIM_Try, /*On fail goto*//*Label 25814*/ GIMT_Encode4(1922261), // Rule ID 23867 //
     /* 1922180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1922191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1922194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1922197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1922210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922226 */     // MIs[0] policy
     /* 1922226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922236 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1922239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922260 */     // GIR_Coverage, 23867,
     /* 1922260 */     GIR_EraseRootFromParent_Done,
     /* 1922261 */   // Label 25814: @1922261
     /* 1922261 */   GIM_Try, /*On fail goto*//*Label 25815*/ GIMT_Encode4(1922347), // Rule ID 23868 //
     /* 1922266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1922277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1922280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1922283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1922296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922312 */     // MIs[0] policy
     /* 1922312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922322 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1922325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922346 */     // GIR_Coverage, 23868,
     /* 1922346 */     GIR_EraseRootFromParent_Done,
     /* 1922347 */   // Label 25815: @1922347
     /* 1922347 */   GIM_Try, /*On fail goto*//*Label 25816*/ GIMT_Encode4(1922433), // Rule ID 23871 //
     /* 1922352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1922363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1922366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1922369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1922375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922398 */     // MIs[0] policy
     /* 1922398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922408 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1922411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922432 */     // GIR_Coverage, 23871,
     /* 1922432 */     GIR_EraseRootFromParent_Done,
     /* 1922433 */   // Label 25816: @1922433
     /* 1922433 */   GIM_Try, /*On fail goto*//*Label 25817*/ GIMT_Encode4(1922519), // Rule ID 23872 //
     /* 1922438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1922449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1922452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1922455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1922461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922484 */     // MIs[0] policy
     /* 1922484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922494 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1922497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922518 */     // GIR_Coverage, 23872,
     /* 1922518 */     GIR_EraseRootFromParent_Done,
     /* 1922519 */   // Label 25817: @1922519
     /* 1922519 */   GIM_Try, /*On fail goto*//*Label 25818*/ GIMT_Encode4(1922605), // Rule ID 23875 //
     /* 1922524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1922535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1922538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1922541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1922547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922570 */     // MIs[0] policy
     /* 1922570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922580 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1922583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922604 */     // GIR_Coverage, 23875,
     /* 1922604 */     GIR_EraseRootFromParent_Done,
     /* 1922605 */   // Label 25818: @1922605
     /* 1922605 */   GIM_Try, /*On fail goto*//*Label 25819*/ GIMT_Encode4(1922691), // Rule ID 23876 //
     /* 1922610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1922621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1922624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1922627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1922633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922656 */     // MIs[0] policy
     /* 1922656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922666 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1922669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922690 */     // GIR_Coverage, 23876,
     /* 1922690 */     GIR_EraseRootFromParent_Done,
     /* 1922691 */   // Label 25819: @1922691
     /* 1922691 */   GIM_Try, /*On fail goto*//*Label 25820*/ GIMT_Encode4(1922777), // Rule ID 23879 //
     /* 1922696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1922707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1922710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1922713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1922726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922742 */     // MIs[0] policy
     /* 1922742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922752 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1922755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922776 */     // GIR_Coverage, 23879,
     /* 1922776 */     GIR_EraseRootFromParent_Done,
     /* 1922777 */   // Label 25820: @1922777
     /* 1922777 */   GIM_Try, /*On fail goto*//*Label 25821*/ GIMT_Encode4(1922863), // Rule ID 23880 //
     /* 1922782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1922793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1922796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1922799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1922812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922828 */     // MIs[0] policy
     /* 1922828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922838 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1922841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922862 */     // GIR_Coverage, 23880,
     /* 1922862 */     GIR_EraseRootFromParent_Done,
     /* 1922863 */   // Label 25821: @1922863
     /* 1922863 */   GIM_Try, /*On fail goto*//*Label 25822*/ GIMT_Encode4(1922949), // Rule ID 23883 //
     /* 1922868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1922879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1922882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1922885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922914 */     // MIs[0] policy
     /* 1922914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922924 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1922927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922948 */     // GIR_Coverage, 23883,
     /* 1922948 */     GIR_EraseRootFromParent_Done,
     /* 1922949 */   // Label 25822: @1922949
     /* 1922949 */   GIM_Try, /*On fail goto*//*Label 25823*/ GIMT_Encode4(1923035), // Rule ID 23884 //
     /* 1922954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1922962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1922965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1922968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1922971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923000 */     // MIs[0] policy
     /* 1923000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923010 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1923013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923034 */     // GIR_Coverage, 23884,
     /* 1923034 */     GIR_EraseRootFromParent_Done,
     /* 1923035 */   // Label 25823: @1923035
     /* 1923035 */   GIM_Try, /*On fail goto*//*Label 25824*/ GIMT_Encode4(1923121), // Rule ID 23887 //
     /* 1923040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1923051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1923054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1923057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923086 */     // MIs[0] policy
     /* 1923086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1923099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923120 */     // GIR_Coverage, 23887,
     /* 1923120 */     GIR_EraseRootFromParent_Done,
     /* 1923121 */   // Label 25824: @1923121
     /* 1923121 */   GIM_Try, /*On fail goto*//*Label 25825*/ GIMT_Encode4(1923207), // Rule ID 23888 //
     /* 1923126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1923137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1923140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1923143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923172 */     // MIs[0] policy
     /* 1923172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923182 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1923185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923206 */     // GIR_Coverage, 23888,
     /* 1923206 */     GIR_EraseRootFromParent_Done,
     /* 1923207 */   // Label 25825: @1923207
     /* 1923207 */   GIM_Try, /*On fail goto*//*Label 25826*/ GIMT_Encode4(1923293), // Rule ID 23891 //
     /* 1923212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1923215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1923223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1923226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1923229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1923235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923258 */     // MIs[0] policy
     /* 1923258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923268 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1923271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923292 */     // GIR_Coverage, 23891,
     /* 1923292 */     GIR_EraseRootFromParent_Done,
     /* 1923293 */   // Label 25826: @1923293
     /* 1923293 */   GIM_Try, /*On fail goto*//*Label 25827*/ GIMT_Encode4(1923379), // Rule ID 23892 //
     /* 1923298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1923301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1923309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1923312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1923315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1923321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923344 */     // MIs[0] policy
     /* 1923344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923354 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1923357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923378 */     // GIR_Coverage, 23892,
     /* 1923378 */     GIR_EraseRootFromParent_Done,
     /* 1923379 */   // Label 25827: @1923379
     /* 1923379 */   GIM_Try, /*On fail goto*//*Label 25828*/ GIMT_Encode4(1923465), // Rule ID 23895 //
     /* 1923384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1923387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1923395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1923398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1923401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923430 */     // MIs[0] policy
     /* 1923430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923440 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1923443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923464 */     // GIR_Coverage, 23895,
     /* 1923464 */     GIR_EraseRootFromParent_Done,
     /* 1923465 */   // Label 25828: @1923465
     /* 1923465 */   GIM_Try, /*On fail goto*//*Label 25829*/ GIMT_Encode4(1923551), // Rule ID 23896 //
     /* 1923470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1923473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1923481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1923484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1923487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923516 */     // MIs[0] policy
     /* 1923516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923526 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1923529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923550 */     // GIR_Coverage, 23896,
     /* 1923550 */     GIR_EraseRootFromParent_Done,
     /* 1923551 */   // Label 25829: @1923551
     /* 1923551 */   GIM_Try, /*On fail goto*//*Label 25830*/ GIMT_Encode4(1923637), // Rule ID 23899 //
     /* 1923556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1923559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1923567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1923570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1923573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923602 */     // MIs[0] policy
     /* 1923602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923612 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1923615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923636 */     // GIR_Coverage, 23899,
     /* 1923636 */     GIR_EraseRootFromParent_Done,
     /* 1923637 */   // Label 25830: @1923637
     /* 1923637 */   GIM_Try, /*On fail goto*//*Label 25831*/ GIMT_Encode4(1923723), // Rule ID 23900 //
     /* 1923642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1923645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1923650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1923653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1923656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1923659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923688 */     // MIs[0] policy
     /* 1923688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923698 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1923701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923722 */     // GIR_Coverage, 23900,
     /* 1923722 */     GIR_EraseRootFromParent_Done,
     /* 1923723 */   // Label 25831: @1923723
     /* 1923723 */   GIM_Try, /*On fail goto*//*Label 25832*/ GIMT_Encode4(1923809), // Rule ID 23903 //
     /* 1923728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1923736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1923739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1923742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1923745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923774 */     // MIs[0] policy
     /* 1923774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923784 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1923787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923808 */     // GIR_Coverage, 23903,
     /* 1923808 */     GIR_EraseRootFromParent_Done,
     /* 1923809 */   // Label 25832: @1923809
     /* 1923809 */   GIM_Try, /*On fail goto*//*Label 25833*/ GIMT_Encode4(1923895), // Rule ID 23904 //
     /* 1923814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1923822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1923825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1923828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1923831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923860 */     // MIs[0] policy
     /* 1923860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923870 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1923873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923894 */     // GIR_Coverage, 23904,
     /* 1923894 */     GIR_EraseRootFromParent_Done,
     /* 1923895 */   // Label 25833: @1923895
     /* 1923895 */   GIM_Try, /*On fail goto*//*Label 25834*/ GIMT_Encode4(1923981), // Rule ID 23907 //
     /* 1923900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1923908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1923911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1923914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1923917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1923923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923946 */     // MIs[0] policy
     /* 1923946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923956 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1923959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923980 */     // GIR_Coverage, 23907,
     /* 1923980 */     GIR_EraseRootFromParent_Done,
     /* 1923981 */   // Label 25834: @1923981
     /* 1923981 */   GIM_Try, /*On fail goto*//*Label 25835*/ GIMT_Encode4(1924067), // Rule ID 23908 //
     /* 1923986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1923994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1923997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1924000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1924003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924032 */     // MIs[0] policy
     /* 1924032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924042 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1924045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924066 */     // GIR_Coverage, 23908,
     /* 1924066 */     GIR_EraseRootFromParent_Done,
     /* 1924067 */   // Label 25835: @1924067
     /* 1924067 */   GIM_Try, /*On fail goto*//*Label 25836*/ GIMT_Encode4(1924153), // Rule ID 23911 //
     /* 1924072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1924080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1924083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1924086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1924089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924118 */     // MIs[0] policy
     /* 1924118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924128 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1924131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924152 */     // GIR_Coverage, 23911,
     /* 1924152 */     GIR_EraseRootFromParent_Done,
     /* 1924153 */   // Label 25836: @1924153
     /* 1924153 */   GIM_Try, /*On fail goto*//*Label 25837*/ GIMT_Encode4(1924239), // Rule ID 23912 //
     /* 1924158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1924166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1924169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1924172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1924175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924204 */     // MIs[0] policy
     /* 1924204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924214 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1924217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924238 */     // GIR_Coverage, 23912,
     /* 1924238 */     GIR_EraseRootFromParent_Done,
     /* 1924239 */   // Label 25837: @1924239
     /* 1924239 */   GIM_Try, /*On fail goto*//*Label 25838*/ GIMT_Encode4(1924325), // Rule ID 23915 //
     /* 1924244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1924252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1924255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1924258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1924261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924290 */     // MIs[0] policy
     /* 1924290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924300 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1924303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924324 */     // GIR_Coverage, 23915,
     /* 1924324 */     GIR_EraseRootFromParent_Done,
     /* 1924325 */   // Label 25838: @1924325
     /* 1924325 */   GIM_Try, /*On fail goto*//*Label 25839*/ GIMT_Encode4(1924411), // Rule ID 23916 //
     /* 1924330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1924338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1924341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1924344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1924347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924376 */     // MIs[0] policy
     /* 1924376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924386 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1924389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924410 */     // GIR_Coverage, 23916,
     /* 1924410 */     GIR_EraseRootFromParent_Done,
     /* 1924411 */   // Label 25839: @1924411
     /* 1924411 */   GIM_Try, /*On fail goto*//*Label 25840*/ GIMT_Encode4(1924497), // Rule ID 23919 //
     /* 1924416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1924424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1924427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1924430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1924433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924462 */     // MIs[0] policy
     /* 1924462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924472 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1924475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924496 */     // GIR_Coverage, 23919,
     /* 1924496 */     GIR_EraseRootFromParent_Done,
     /* 1924497 */   // Label 25840: @1924497
     /* 1924497 */   GIM_Try, /*On fail goto*//*Label 25841*/ GIMT_Encode4(1924583), // Rule ID 23920 //
     /* 1924502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1924510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1924513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1924516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1924519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924548 */     // MIs[0] policy
     /* 1924548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924558 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1924561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924582 */     // GIR_Coverage, 23920,
     /* 1924582 */     GIR_EraseRootFromParent_Done,
     /* 1924583 */   // Label 25841: @1924583
     /* 1924583 */   GIM_Try, /*On fail goto*//*Label 25842*/ GIMT_Encode4(1924669), // Rule ID 23923 //
     /* 1924588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1924596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1924599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1924602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1924605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924634 */     // MIs[0] policy
     /* 1924634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924644 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1924647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924668 */     // GIR_Coverage, 23923,
     /* 1924668 */     GIR_EraseRootFromParent_Done,
     /* 1924669 */   // Label 25842: @1924669
     /* 1924669 */   GIM_Try, /*On fail goto*//*Label 25843*/ GIMT_Encode4(1924755), // Rule ID 23924 //
     /* 1924674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1924682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1924685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1924688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1924691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924720 */     // MIs[0] policy
     /* 1924720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924730 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1924733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924754 */     // GIR_Coverage, 23924,
     /* 1924754 */     GIR_EraseRootFromParent_Done,
     /* 1924755 */   // Label 25843: @1924755
     /* 1924755 */   GIM_Try, /*On fail goto*//*Label 25844*/ GIMT_Encode4(1924841), // Rule ID 23927 //
     /* 1924760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1924768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1924771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1924774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1924777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924806 */     // MIs[0] policy
     /* 1924806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924816 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1924819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924840 */     // GIR_Coverage, 23927,
     /* 1924840 */     GIR_EraseRootFromParent_Done,
     /* 1924841 */   // Label 25844: @1924841
     /* 1924841 */   GIM_Try, /*On fail goto*//*Label 25845*/ GIMT_Encode4(1924927), // Rule ID 23928 //
     /* 1924846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1924854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1924857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1924860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1924863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924892 */     // MIs[0] policy
     /* 1924892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1924905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924926 */     // GIR_Coverage, 23928,
     /* 1924926 */     GIR_EraseRootFromParent_Done,
     /* 1924927 */   // Label 25845: @1924927
     /* 1924927 */   GIM_Try, /*On fail goto*//*Label 25846*/ GIMT_Encode4(1925013), // Rule ID 23931 //
     /* 1924932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1924940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1924943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1924946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1924949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924978 */     // MIs[0] policy
     /* 1924978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924988 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1924991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925012 */     // GIR_Coverage, 23931,
     /* 1925012 */     GIR_EraseRootFromParent_Done,
     /* 1925013 */   // Label 25846: @1925013
     /* 1925013 */   GIM_Try, /*On fail goto*//*Label 25847*/ GIMT_Encode4(1925099), // Rule ID 23932 //
     /* 1925018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1925029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1925032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1925035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925064 */     // MIs[0] policy
     /* 1925064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925074 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1925077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925098 */     // GIR_Coverage, 23932,
     /* 1925098 */     GIR_EraseRootFromParent_Done,
     /* 1925099 */   // Label 25847: @1925099
     /* 1925099 */   GIM_Try, /*On fail goto*//*Label 25848*/ GIMT_Encode4(1925185), // Rule ID 23935 //
     /* 1925104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1925115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1925118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1925121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925150 */     // MIs[0] policy
     /* 1925150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925160 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1925163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925184 */     // GIR_Coverage, 23935,
     /* 1925184 */     GIR_EraseRootFromParent_Done,
     /* 1925185 */   // Label 25848: @1925185
     /* 1925185 */   GIM_Try, /*On fail goto*//*Label 25849*/ GIMT_Encode4(1925271), // Rule ID 23936 //
     /* 1925190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1925201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1925204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1925207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925236 */     // MIs[0] policy
     /* 1925236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925246 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1925249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925270 */     // GIR_Coverage, 23936,
     /* 1925270 */     GIR_EraseRootFromParent_Done,
     /* 1925271 */   // Label 25849: @1925271
     /* 1925271 */   GIM_Try, /*On fail goto*//*Label 25850*/ GIMT_Encode4(1925357), // Rule ID 23939 //
     /* 1925276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1925279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1925287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1925290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1925293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925322 */     // MIs[0] policy
     /* 1925322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925332 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1925335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925356 */     // GIR_Coverage, 23939,
     /* 1925356 */     GIR_EraseRootFromParent_Done,
     /* 1925357 */   // Label 25850: @1925357
     /* 1925357 */   GIM_Try, /*On fail goto*//*Label 25851*/ GIMT_Encode4(1925443), // Rule ID 23940 //
     /* 1925362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1925365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1925373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1925376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1925379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925408 */     // MIs[0] policy
     /* 1925408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925418 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1925421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925442 */     // GIR_Coverage, 23940,
     /* 1925442 */     GIR_EraseRootFromParent_Done,
     /* 1925443 */   // Label 25851: @1925443
     /* 1925443 */   GIM_Try, /*On fail goto*//*Label 25852*/ GIMT_Encode4(1925529), // Rule ID 23943 //
     /* 1925448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1925459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1925462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1925465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1925471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1925478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1925482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1925486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925494 */     // MIs[0] policy
     /* 1925494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925504 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1925507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925528 */     // GIR_Coverage, 23943,
     /* 1925528 */     GIR_EraseRootFromParent_Done,
     /* 1925529 */   // Label 25852: @1925529
     /* 1925529 */   GIM_Try, /*On fail goto*//*Label 25853*/ GIMT_Encode4(1925615), // Rule ID 23944 //
     /* 1925534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1925545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1925548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1925551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1925557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1925564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1925568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1925572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925580 */     // MIs[0] policy
     /* 1925580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925590 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1925593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925614 */     // GIR_Coverage, 23944,
     /* 1925614 */     GIR_EraseRootFromParent_Done,
     /* 1925615 */   // Label 25853: @1925615
     /* 1925615 */   GIM_Try, /*On fail goto*//*Label 25854*/ GIMT_Encode4(1925701), // Rule ID 23947 //
     /* 1925620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1925631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1925634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1925637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1925643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1925650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925666 */     // MIs[0] policy
     /* 1925666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925676 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1925679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925700 */     // GIR_Coverage, 23947,
     /* 1925700 */     GIR_EraseRootFromParent_Done,
     /* 1925701 */   // Label 25854: @1925701
     /* 1925701 */   GIM_Try, /*On fail goto*//*Label 25855*/ GIMT_Encode4(1925787), // Rule ID 23948 //
     /* 1925706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1925717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1925720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1925723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1925729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1925736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925752 */     // MIs[0] policy
     /* 1925752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925762 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1925765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925786 */     // GIR_Coverage, 23948,
     /* 1925786 */     GIR_EraseRootFromParent_Done,
     /* 1925787 */   // Label 25855: @1925787
     /* 1925787 */   GIM_Try, /*On fail goto*//*Label 25856*/ GIMT_Encode4(1925873), // Rule ID 23951 //
     /* 1925792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1925803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1925806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1925809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1925815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1925822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925838 */     // MIs[0] policy
     /* 1925838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925848 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1925851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925872 */     // GIR_Coverage, 23951,
     /* 1925872 */     GIR_EraseRootFromParent_Done,
     /* 1925873 */   // Label 25856: @1925873
     /* 1925873 */   GIM_Try, /*On fail goto*//*Label 25857*/ GIMT_Encode4(1925959), // Rule ID 23952 //
     /* 1925878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1925889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1925892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1925895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1925901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1925908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925924 */     // MIs[0] policy
     /* 1925924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925934 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1925937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925958 */     // GIR_Coverage, 23952,
     /* 1925958 */     GIR_EraseRootFromParent_Done,
     /* 1925959 */   // Label 25857: @1925959
     /* 1925959 */   GIM_Try, /*On fail goto*//*Label 25858*/ GIMT_Encode4(1926045), // Rule ID 23955 //
     /* 1925964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1925972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1925975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1925978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1925981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1925987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1925994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1925998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926010 */     // MIs[0] policy
     /* 1926010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926020 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1926023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926044 */     // GIR_Coverage, 23955,
     /* 1926044 */     GIR_EraseRootFromParent_Done,
     /* 1926045 */   // Label 25858: @1926045
     /* 1926045 */   GIM_Try, /*On fail goto*//*Label 25859*/ GIMT_Encode4(1926131), // Rule ID 23956 //
     /* 1926050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1926061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1926064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1926067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926096 */     // MIs[0] policy
     /* 1926096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926106 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1926109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926130 */     // GIR_Coverage, 23956,
     /* 1926130 */     GIR_EraseRootFromParent_Done,
     /* 1926131 */   // Label 25859: @1926131
     /* 1926131 */   GIM_Try, /*On fail goto*//*Label 25860*/ GIMT_Encode4(1926217), // Rule ID 23959 //
     /* 1926136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1926147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1926150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1926153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926182 */     // MIs[0] policy
     /* 1926182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926192 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1926195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926216 */     // GIR_Coverage, 23959,
     /* 1926216 */     GIR_EraseRootFromParent_Done,
     /* 1926217 */   // Label 25860: @1926217
     /* 1926217 */   GIM_Try, /*On fail goto*//*Label 25861*/ GIMT_Encode4(1926303), // Rule ID 23960 //
     /* 1926222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1926233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1926236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1926239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926268 */     // MIs[0] policy
     /* 1926268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926278 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1926281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926302 */     // GIR_Coverage, 23960,
     /* 1926302 */     GIR_EraseRootFromParent_Done,
     /* 1926303 */   // Label 25861: @1926303
     /* 1926303 */   GIM_Try, /*On fail goto*//*Label 25862*/ GIMT_Encode4(1926389), // Rule ID 23963 //
     /* 1926308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1926319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1926322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1926325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1926331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1926338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926354 */     // MIs[0] policy
     /* 1926354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926364 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1926367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926388 */     // GIR_Coverage, 23963,
     /* 1926388 */     GIR_EraseRootFromParent_Done,
     /* 1926389 */   // Label 25862: @1926389
     /* 1926389 */   GIM_Try, /*On fail goto*//*Label 25863*/ GIMT_Encode4(1926475), // Rule ID 23964 //
     /* 1926394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1926405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1926408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1926411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1926417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1926424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926440 */     // MIs[0] policy
     /* 1926440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926450 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1926453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926474 */     // GIR_Coverage, 23964,
     /* 1926474 */     GIR_EraseRootFromParent_Done,
     /* 1926475 */   // Label 25863: @1926475
     /* 1926475 */   GIM_Try, /*On fail goto*//*Label 25864*/ GIMT_Encode4(1926561), // Rule ID 23967 //
     /* 1926480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1926491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1926494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1926497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926526 */     // MIs[0] policy
     /* 1926526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1926539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926560 */     // GIR_Coverage, 23967,
     /* 1926560 */     GIR_EraseRootFromParent_Done,
     /* 1926561 */   // Label 25864: @1926561
     /* 1926561 */   GIM_Try, /*On fail goto*//*Label 25865*/ GIMT_Encode4(1926647), // Rule ID 23968 //
     /* 1926566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1926577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1926580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1926583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926612 */     // MIs[0] policy
     /* 1926612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926622 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1926625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926646 */     // GIR_Coverage, 23968,
     /* 1926646 */     GIR_EraseRootFromParent_Done,
     /* 1926647 */   // Label 25865: @1926647
     /* 1926647 */   GIM_Try, /*On fail goto*//*Label 25866*/ GIMT_Encode4(1926733), // Rule ID 23971 //
     /* 1926652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1926663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1926666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1926669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926698 */     // MIs[0] policy
     /* 1926698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926708 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1926711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926732 */     // GIR_Coverage, 23971,
     /* 1926732 */     GIR_EraseRootFromParent_Done,
     /* 1926733 */   // Label 25866: @1926733
     /* 1926733 */   GIM_Try, /*On fail goto*//*Label 25867*/ GIMT_Encode4(1926819), // Rule ID 23972 //
     /* 1926738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1926749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1926752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1926755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926784 */     // MIs[0] policy
     /* 1926784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926794 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1926797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926818 */     // GIR_Coverage, 23972,
     /* 1926818 */     GIR_EraseRootFromParent_Done,
     /* 1926819 */   // Label 25867: @1926819
     /* 1926819 */   GIM_Try, /*On fail goto*//*Label 25868*/ GIMT_Encode4(1926905), // Rule ID 23975 //
     /* 1926824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1926835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1926838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1926841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1926854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926870 */     // MIs[0] policy
     /* 1926870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926880 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1926883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926904 */     // GIR_Coverage, 23975,
     /* 1926904 */     GIR_EraseRootFromParent_Done,
     /* 1926905 */   // Label 25868: @1926905
     /* 1926905 */   GIM_Try, /*On fail goto*//*Label 25869*/ GIMT_Encode4(1926991), // Rule ID 23976 //
     /* 1926910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1926918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1926921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1926924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1926927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1926940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926956 */     // MIs[0] policy
     /* 1926956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926966 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1926969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926990 */     // GIR_Coverage, 23976,
     /* 1926990 */     GIR_EraseRootFromParent_Done,
     /* 1926991 */   // Label 25869: @1926991
     /* 1926991 */   GIM_Try, /*On fail goto*//*Label 25870*/ GIMT_Encode4(1927077), // Rule ID 23979 //
     /* 1926996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1926999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1927007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1927010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1927013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1927019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927042 */     // MIs[0] policy
     /* 1927042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927052 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1927055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927076 */     // GIR_Coverage, 23979,
     /* 1927076 */     GIR_EraseRootFromParent_Done,
     /* 1927077 */   // Label 25870: @1927077
     /* 1927077 */   GIM_Try, /*On fail goto*//*Label 25871*/ GIMT_Encode4(1927163), // Rule ID 23980 //
     /* 1927082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1927085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1927093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1927096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1927099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1927105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927128 */     // MIs[0] policy
     /* 1927128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927138 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11445:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1927141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927162 */     // GIR_Coverage, 23980,
     /* 1927162 */     GIR_EraseRootFromParent_Done,
     /* 1927163 */   // Label 25871: @1927163
     /* 1927163 */   GIM_Try, /*On fail goto*//*Label 25872*/ GIMT_Encode4(1927249), // Rule ID 23983 //
     /* 1927168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1927171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1927179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1927182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1927185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927214 */     // MIs[0] policy
     /* 1927214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927224 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1927227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927248 */     // GIR_Coverage, 23983,
     /* 1927248 */     GIR_EraseRootFromParent_Done,
     /* 1927249 */   // Label 25872: @1927249
     /* 1927249 */   GIM_Try, /*On fail goto*//*Label 25873*/ GIMT_Encode4(1927335), // Rule ID 23984 //
     /* 1927254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1927257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1927265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1927268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1927271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927300 */     // MIs[0] policy
     /* 1927300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927310 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11445:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1927313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927334 */     // GIR_Coverage, 23984,
     /* 1927334 */     GIR_EraseRootFromParent_Done,
     /* 1927335 */   // Label 25873: @1927335
     /* 1927335 */   GIM_Try, /*On fail goto*//*Label 25874*/ GIMT_Encode4(1927421), // Rule ID 23987 //
     /* 1927340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1927343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1927351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1927354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1927357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927386 */     // MIs[0] policy
     /* 1927386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927396 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1927399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927420 */     // GIR_Coverage, 23987,
     /* 1927420 */     GIR_EraseRootFromParent_Done,
     /* 1927421 */   // Label 25874: @1927421
     /* 1927421 */   GIM_Try, /*On fail goto*//*Label 25875*/ GIMT_Encode4(1927507), // Rule ID 23988 //
     /* 1927426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1927429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1927434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1927437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1927440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1927443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927472 */     // MIs[0] policy
     /* 1927472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927482 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11445:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1927485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927506 */     // GIR_Coverage, 23988,
     /* 1927506 */     GIR_EraseRootFromParent_Done,
     /* 1927507 */   // Label 25875: @1927507
     /* 1927507 */   GIM_Try, /*On fail goto*//*Label 25876*/ GIMT_Encode4(1927593), // Rule ID 23991 //
     /* 1927512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1927515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1927520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1927523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1927526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1927529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1927535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927558 */     // MIs[0] policy
     /* 1927558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927568 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1927571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927592 */     // GIR_Coverage, 23991,
     /* 1927592 */     GIR_EraseRootFromParent_Done,
     /* 1927593 */   // Label 25876: @1927593
     /* 1927593 */   GIM_Try, /*On fail goto*//*Label 25877*/ GIMT_Encode4(1927679), // Rule ID 23992 //
     /* 1927598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1927601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1927606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1927609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1927612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1927615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1927621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927644 */     // MIs[0] policy
     /* 1927644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927654 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1927657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927678 */     // GIR_Coverage, 23992,
     /* 1927678 */     GIR_EraseRootFromParent_Done,
     /* 1927679 */   // Label 25877: @1927679
     /* 1927679 */   GIM_Try, /*On fail goto*//*Label 25878*/ GIMT_Encode4(1927765), // Rule ID 23995 //
     /* 1927684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1927687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1927692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1927695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1927698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1927701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1927707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927730 */     // MIs[0] policy
     /* 1927730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927740 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1927743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927764 */     // GIR_Coverage, 23995,
     /* 1927764 */     GIR_EraseRootFromParent_Done,
     /* 1927765 */   // Label 25878: @1927765
     /* 1927765 */   GIM_Try, /*On fail goto*//*Label 25879*/ GIMT_Encode4(1927851), // Rule ID 23996 //
     /* 1927770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1927773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1927778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1927781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1927784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1927787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1927793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927816 */     // MIs[0] policy
     /* 1927816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927826 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1927829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927850 */     // GIR_Coverage, 23996,
     /* 1927850 */     GIR_EraseRootFromParent_Done,
     /* 1927851 */   // Label 25879: @1927851
     /* 1927851 */   GIM_Try, /*On fail goto*//*Label 25880*/ GIMT_Encode4(1927937), // Rule ID 23999 //
     /* 1927856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1927859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1927864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1927867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1927870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1927873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1927879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927902 */     // MIs[0] policy
     /* 1927902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927912 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1927915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927936 */     // GIR_Coverage, 23999,
     /* 1927936 */     GIR_EraseRootFromParent_Done,
     /* 1927937 */   // Label 25880: @1927937
     /* 1927937 */   GIM_Try, /*On fail goto*//*Label 25881*/ GIMT_Encode4(1928023), // Rule ID 24000 //
     /* 1927942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1927945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1927950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1927953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1927956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1927959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1927965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927988 */     // MIs[0] policy
     /* 1927988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927998 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1928001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928022 */     // GIR_Coverage, 24000,
     /* 1928022 */     GIR_EraseRootFromParent_Done,
     /* 1928023 */   // Label 25881: @1928023
     /* 1928023 */   GIM_Try, /*On fail goto*//*Label 25882*/ GIMT_Encode4(1928109), // Rule ID 24003 //
     /* 1928028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1928031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1928039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1928042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1928045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928074 */     // MIs[0] policy
     /* 1928074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928084 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1928087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928108 */     // GIR_Coverage, 24003,
     /* 1928108 */     GIR_EraseRootFromParent_Done,
     /* 1928109 */   // Label 25882: @1928109
     /* 1928109 */   GIM_Try, /*On fail goto*//*Label 25883*/ GIMT_Encode4(1928195), // Rule ID 24004 //
     /* 1928114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1928117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1928125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1928128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1928131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928160 */     // MIs[0] policy
     /* 1928160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928170 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1928173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928194 */     // GIR_Coverage, 24004,
     /* 1928194 */     GIR_EraseRootFromParent_Done,
     /* 1928195 */   // Label 25883: @1928195
     /* 1928195 */   GIM_Try, /*On fail goto*//*Label 25884*/ GIMT_Encode4(1928281), // Rule ID 24007 //
     /* 1928200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1928203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1928211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1928214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1928217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928246 */     // MIs[0] policy
     /* 1928246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928256 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1928259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928280 */     // GIR_Coverage, 24007,
     /* 1928280 */     GIR_EraseRootFromParent_Done,
     /* 1928281 */   // Label 25884: @1928281
     /* 1928281 */   GIM_Try, /*On fail goto*//*Label 25885*/ GIMT_Encode4(1928367), // Rule ID 24008 //
     /* 1928286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1928289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1928297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1928300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1928303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928332 */     // MIs[0] policy
     /* 1928332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928342 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1928345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928366 */     // GIR_Coverage, 24008,
     /* 1928366 */     GIR_EraseRootFromParent_Done,
     /* 1928367 */   // Label 25885: @1928367
     /* 1928367 */   GIM_Try, /*On fail goto*//*Label 25886*/ GIMT_Encode4(1928453), // Rule ID 24011 //
     /* 1928372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1928375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1928383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1928386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1928389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928418 */     // MIs[0] policy
     /* 1928418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928428 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1928431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928452 */     // GIR_Coverage, 24011,
     /* 1928452 */     GIR_EraseRootFromParent_Done,
     /* 1928453 */   // Label 25886: @1928453
     /* 1928453 */   GIM_Try, /*On fail goto*//*Label 25887*/ GIMT_Encode4(1928539), // Rule ID 24012 //
     /* 1928458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1928461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1928469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1928472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1928475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928504 */     // MIs[0] policy
     /* 1928504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928514 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1928517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928538 */     // GIR_Coverage, 24012,
     /* 1928538 */     GIR_EraseRootFromParent_Done,
     /* 1928539 */   // Label 25887: @1928539
     /* 1928539 */   GIM_Try, /*On fail goto*//*Label 25888*/ GIMT_Encode4(1928625), // Rule ID 24015 //
     /* 1928544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1928547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1928555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1928558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1928561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928590 */     // MIs[0] policy
     /* 1928590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928600 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1928603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928624 */     // GIR_Coverage, 24015,
     /* 1928624 */     GIR_EraseRootFromParent_Done,
     /* 1928625 */   // Label 25888: @1928625
     /* 1928625 */   GIM_Try, /*On fail goto*//*Label 25889*/ GIMT_Encode4(1928711), // Rule ID 24016 //
     /* 1928630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1928633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1928641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1928644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1928647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928676 */     // MIs[0] policy
     /* 1928676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928686 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1928689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928710 */     // GIR_Coverage, 24016,
     /* 1928710 */     GIR_EraseRootFromParent_Done,
     /* 1928711 */   // Label 25889: @1928711
     /* 1928711 */   GIM_Try, /*On fail goto*//*Label 25890*/ GIMT_Encode4(1928797), // Rule ID 24019 //
     /* 1928716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1928719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1928727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1928730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1928733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1928739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928762 */     // MIs[0] policy
     /* 1928762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928772 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1928775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928796 */     // GIR_Coverage, 24019,
     /* 1928796 */     GIR_EraseRootFromParent_Done,
     /* 1928797 */   // Label 25890: @1928797
     /* 1928797 */   GIM_Try, /*On fail goto*//*Label 25891*/ GIMT_Encode4(1928883), // Rule ID 24020 //
     /* 1928802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1928805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1928813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1928816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1928819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1928825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928848 */     // MIs[0] policy
     /* 1928848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928858 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1928861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928882 */     // GIR_Coverage, 24020,
     /* 1928882 */     GIR_EraseRootFromParent_Done,
     /* 1928883 */   // Label 25891: @1928883
     /* 1928883 */   GIM_Try, /*On fail goto*//*Label 25892*/ GIMT_Encode4(1928969), // Rule ID 24023 //
     /* 1928888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1928891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1928899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1928902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1928905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1928911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928934 */     // MIs[0] policy
     /* 1928934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928944 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1928947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928968 */     // GIR_Coverage, 24023,
     /* 1928968 */     GIR_EraseRootFromParent_Done,
     /* 1928969 */   // Label 25892: @1928969
     /* 1928969 */   GIM_Try, /*On fail goto*//*Label 25893*/ GIMT_Encode4(1929055), // Rule ID 24024 //
     /* 1928974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1928977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1928985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1928988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1928991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1928997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1929004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929020 */     // MIs[0] policy
     /* 1929020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929030 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1929033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929054 */     // GIR_Coverage, 24024,
     /* 1929054 */     GIR_EraseRootFromParent_Done,
     /* 1929055 */   // Label 25893: @1929055
     /* 1929055 */   GIM_Try, /*On fail goto*//*Label 25894*/ GIMT_Encode4(1929141), // Rule ID 24027 //
     /* 1929060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1929063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1929071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1929074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1929077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1929090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929106 */     // MIs[0] policy
     /* 1929106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929116 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1929119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929140 */     // GIR_Coverage, 24027,
     /* 1929140 */     GIR_EraseRootFromParent_Done,
     /* 1929141 */   // Label 25894: @1929141
     /* 1929141 */   GIM_Try, /*On fail goto*//*Label 25895*/ GIMT_Encode4(1929227), // Rule ID 24028 //
     /* 1929146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1929149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1929157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1929160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1929163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1929176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929192 */     // MIs[0] policy
     /* 1929192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929202 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1929205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929226 */     // GIR_Coverage, 24028,
     /* 1929226 */     GIR_EraseRootFromParent_Done,
     /* 1929227 */   // Label 25895: @1929227
     /* 1929227 */   GIM_Try, /*On fail goto*//*Label 25896*/ GIMT_Encode4(1929313), // Rule ID 24031 //
     /* 1929232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1929235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1929243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1929246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1929249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1929255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1929262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929278 */     // MIs[0] policy
     /* 1929278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929288 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1929291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929312 */     // GIR_Coverage, 24031,
     /* 1929312 */     GIR_EraseRootFromParent_Done,
     /* 1929313 */   // Label 25896: @1929313
     /* 1929313 */   GIM_Try, /*On fail goto*//*Label 25897*/ GIMT_Encode4(1929399), // Rule ID 24032 //
     /* 1929318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1929321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1929329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1929332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1929335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1929341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1929348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929364 */     // MIs[0] policy
     /* 1929364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929374 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1929377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929398 */     // GIR_Coverage, 24032,
     /* 1929398 */     GIR_EraseRootFromParent_Done,
     /* 1929399 */   // Label 25897: @1929399
     /* 1929399 */   GIM_Try, /*On fail goto*//*Label 25898*/ GIMT_Encode4(1929485), // Rule ID 24035 //
     /* 1929404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1929407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1929415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1929418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1929421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1929427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1929434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929450 */     // MIs[0] policy
     /* 1929450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929460 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1929463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929484 */     // GIR_Coverage, 24035,
     /* 1929484 */     GIR_EraseRootFromParent_Done,
     /* 1929485 */   // Label 25898: @1929485
     /* 1929485 */   GIM_Try, /*On fail goto*//*Label 25899*/ GIMT_Encode4(1929571), // Rule ID 24036 //
     /* 1929490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1929493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1929501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1929504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1929507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1929513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1929520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929536 */     // MIs[0] policy
     /* 1929536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929546 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1929549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929570 */     // GIR_Coverage, 24036,
     /* 1929570 */     GIR_EraseRootFromParent_Done,
     /* 1929571 */   // Label 25899: @1929571
     /* 1929571 */   GIM_Try, /*On fail goto*//*Label 25900*/ GIMT_Encode4(1929657), // Rule ID 24039 //
     /* 1929576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1929579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1929587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1929590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1929593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1929606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929622 */     // MIs[0] policy
     /* 1929622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929632 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1929635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929656 */     // GIR_Coverage, 24039,
     /* 1929656 */     GIR_EraseRootFromParent_Done,
     /* 1929657 */   // Label 25900: @1929657
     /* 1929657 */   GIM_Try, /*On fail goto*//*Label 25901*/ GIMT_Encode4(1929743), // Rule ID 24040 //
     /* 1929662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1929665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1929673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1929676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1929679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1929692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929708 */     // MIs[0] policy
     /* 1929708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929718 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1929721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929742 */     // GIR_Coverage, 24040,
     /* 1929742 */     GIR_EraseRootFromParent_Done,
     /* 1929743 */   // Label 25901: @1929743
     /* 1929743 */   GIM_Try, /*On fail goto*//*Label 25902*/ GIMT_Encode4(1929829), // Rule ID 24043 //
     /* 1929748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1929751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1929759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1929762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1929765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1929778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929794 */     // MIs[0] policy
     /* 1929794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929804 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1929807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929828 */     // GIR_Coverage, 24043,
     /* 1929828 */     GIR_EraseRootFromParent_Done,
     /* 1929829 */   // Label 25902: @1929829
     /* 1929829 */   GIM_Try, /*On fail goto*//*Label 25903*/ GIMT_Encode4(1929915), // Rule ID 24044 //
     /* 1929834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1929837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1929845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1929848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1929851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1929864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929880 */     // MIs[0] policy
     /* 1929880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929890 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1929893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929914 */     // GIR_Coverage, 24044,
     /* 1929914 */     GIR_EraseRootFromParent_Done,
     /* 1929915 */   // Label 25903: @1929915
     /* 1929915 */   GIM_Try, /*On fail goto*//*Label 25904*/ GIMT_Encode4(1930001), // Rule ID 24047 //
     /* 1929920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1929923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1929928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1929931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1929934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1929937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1929943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1929950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929966 */     // MIs[0] policy
     /* 1929966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929976 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1929979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930000 */     // GIR_Coverage, 24047,
     /* 1930000 */     GIR_EraseRootFromParent_Done,
     /* 1930001 */   // Label 25904: @1930001
     /* 1930001 */   GIM_Try, /*On fail goto*//*Label 25905*/ GIMT_Encode4(1930087), // Rule ID 24048 //
     /* 1930006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1930009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1930014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1930017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1930020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1930023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930052 */     // MIs[0] policy
     /* 1930052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930062 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1930065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930086 */     // GIR_Coverage, 24048,
     /* 1930086 */     GIR_EraseRootFromParent_Done,
     /* 1930087 */   // Label 25905: @1930087
     /* 1930087 */   GIM_Try, /*On fail goto*//*Label 25906*/ GIMT_Encode4(1930173), // Rule ID 24111 //
     /* 1930092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1930095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1930103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1930106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1930109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930138 */     // MIs[0] policy
     /* 1930138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930148 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1930151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930172 */     // GIR_Coverage, 24111,
     /* 1930172 */     GIR_EraseRootFromParent_Done,
     /* 1930173 */   // Label 25906: @1930173
     /* 1930173 */   GIM_Try, /*On fail goto*//*Label 25907*/ GIMT_Encode4(1930259), // Rule ID 24112 //
     /* 1930178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1930181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1930189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1930192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1930195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930224 */     // MIs[0] policy
     /* 1930224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930234 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1930237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930258 */     // GIR_Coverage, 24112,
     /* 1930258 */     GIR_EraseRootFromParent_Done,
     /* 1930259 */   // Label 25907: @1930259
     /* 1930259 */   GIM_Try, /*On fail goto*//*Label 25908*/ GIMT_Encode4(1930345), // Rule ID 24115 //
     /* 1930264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1930267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1930275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1930278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1930281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930310 */     // MIs[0] policy
     /* 1930310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930320 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1930323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930344 */     // GIR_Coverage, 24115,
     /* 1930344 */     GIR_EraseRootFromParent_Done,
     /* 1930345 */   // Label 25908: @1930345
     /* 1930345 */   GIM_Try, /*On fail goto*//*Label 25909*/ GIMT_Encode4(1930431), // Rule ID 24116 //
     /* 1930350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1930353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1930361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1930364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1930367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930396 */     // MIs[0] policy
     /* 1930396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930406 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1930409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930430 */     // GIR_Coverage, 24116,
     /* 1930430 */     GIR_EraseRootFromParent_Done,
     /* 1930431 */   // Label 25909: @1930431
     /* 1930431 */   GIM_Try, /*On fail goto*//*Label 25910*/ GIMT_Encode4(1930517), // Rule ID 24119 //
     /* 1930436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1930439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1930447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1930450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1930453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930482 */     // MIs[0] policy
     /* 1930482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930492 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1930495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930516 */     // GIR_Coverage, 24119,
     /* 1930516 */     GIR_EraseRootFromParent_Done,
     /* 1930517 */   // Label 25910: @1930517
     /* 1930517 */   GIM_Try, /*On fail goto*//*Label 25911*/ GIMT_Encode4(1930603), // Rule ID 24120 //
     /* 1930522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1930525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1930533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1930536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1930539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930568 */     // MIs[0] policy
     /* 1930568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930578 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1930581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930602 */     // GIR_Coverage, 24120,
     /* 1930602 */     GIR_EraseRootFromParent_Done,
     /* 1930603 */   // Label 25911: @1930603
     /* 1930603 */   GIM_Try, /*On fail goto*//*Label 25912*/ GIMT_Encode4(1930689), // Rule ID 24123 //
     /* 1930608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1930611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1930619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1930622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1930625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930654 */     // MIs[0] policy
     /* 1930654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930664 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1930667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930688 */     // GIR_Coverage, 24123,
     /* 1930688 */     GIR_EraseRootFromParent_Done,
     /* 1930689 */   // Label 25912: @1930689
     /* 1930689 */   GIM_Try, /*On fail goto*//*Label 25913*/ GIMT_Encode4(1930775), // Rule ID 24124 //
     /* 1930694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1930697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1930705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1930708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1930711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930740 */     // MIs[0] policy
     /* 1930740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930750 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1930753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930774 */     // GIR_Coverage, 24124,
     /* 1930774 */     GIR_EraseRootFromParent_Done,
     /* 1930775 */   // Label 25913: @1930775
     /* 1930775 */   GIM_Try, /*On fail goto*//*Label 25914*/ GIMT_Encode4(1930861), // Rule ID 24127 //
     /* 1930780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1930783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1930791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1930794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1930797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930826 */     // MIs[0] policy
     /* 1930826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930836 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1930839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930860 */     // GIR_Coverage, 24127,
     /* 1930860 */     GIR_EraseRootFromParent_Done,
     /* 1930861 */   // Label 25914: @1930861
     /* 1930861 */   GIM_Try, /*On fail goto*//*Label 25915*/ GIMT_Encode4(1930947), // Rule ID 24128 //
     /* 1930866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1930869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1930877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1930880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1930883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930912 */     // MIs[0] policy
     /* 1930912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930922 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1930925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930946 */     // GIR_Coverage, 24128,
     /* 1930946 */     GIR_EraseRootFromParent_Done,
     /* 1930947 */   // Label 25915: @1930947
     /* 1930947 */   GIM_Try, /*On fail goto*//*Label 25916*/ GIMT_Encode4(1931033), // Rule ID 24131 //
     /* 1930952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1930955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1930963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1930966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1930969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930998 */     // MIs[0] policy
     /* 1930998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931008 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1931011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931032 */     // GIR_Coverage, 24131,
     /* 1931032 */     GIR_EraseRootFromParent_Done,
     /* 1931033 */   // Label 25916: @1931033
     /* 1931033 */   GIM_Try, /*On fail goto*//*Label 25917*/ GIMT_Encode4(1931119), // Rule ID 24132 //
     /* 1931038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1931041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1931049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1931052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1931055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1931061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931084 */     // MIs[0] policy
     /* 1931084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931094 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1931097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931118 */     // GIR_Coverage, 24132,
     /* 1931118 */     GIR_EraseRootFromParent_Done,
     /* 1931119 */   // Label 25917: @1931119
     /* 1931119 */   GIM_Try, /*On fail goto*//*Label 25918*/ GIMT_Encode4(1931205), // Rule ID 24135 //
     /* 1931124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1931127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1931135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1931138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1931141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931170 */     // MIs[0] policy
     /* 1931170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931180 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1931183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931204 */     // GIR_Coverage, 24135,
     /* 1931204 */     GIR_EraseRootFromParent_Done,
     /* 1931205 */   // Label 25918: @1931205
     /* 1931205 */   GIM_Try, /*On fail goto*//*Label 25919*/ GIMT_Encode4(1931291), // Rule ID 24136 //
     /* 1931210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1931213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1931221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1931224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1931227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931256 */     // MIs[0] policy
     /* 1931256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931266 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1931269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931290 */     // GIR_Coverage, 24136,
     /* 1931290 */     GIR_EraseRootFromParent_Done,
     /* 1931291 */   // Label 25919: @1931291
     /* 1931291 */   GIM_Try, /*On fail goto*//*Label 25920*/ GIMT_Encode4(1931377), // Rule ID 24139 //
     /* 1931296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1931299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1931307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1931310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1931313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931342 */     // MIs[0] policy
     /* 1931342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931352 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1931355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931376 */     // GIR_Coverage, 24139,
     /* 1931376 */     GIR_EraseRootFromParent_Done,
     /* 1931377 */   // Label 25920: @1931377
     /* 1931377 */   GIM_Try, /*On fail goto*//*Label 25921*/ GIMT_Encode4(1931463), // Rule ID 24140 //
     /* 1931382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1931385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1931393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1931396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1931399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931428 */     // MIs[0] policy
     /* 1931428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931438 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1931441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931462 */     // GIR_Coverage, 24140,
     /* 1931462 */     GIR_EraseRootFromParent_Done,
     /* 1931463 */   // Label 25921: @1931463
     /* 1931463 */   GIM_Try, /*On fail goto*//*Label 25922*/ GIMT_Encode4(1931549), // Rule ID 24143 //
     /* 1931468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1931471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1931479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1931482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1931485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1931491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931514 */     // MIs[0] policy
     /* 1931514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931524 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1931527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931548 */     // GIR_Coverage, 24143,
     /* 1931548 */     GIR_EraseRootFromParent_Done,
     /* 1931549 */   // Label 25922: @1931549
     /* 1931549 */   GIM_Try, /*On fail goto*//*Label 25923*/ GIMT_Encode4(1931635), // Rule ID 24144 //
     /* 1931554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1931557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1931565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1931568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1931571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1931577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931600 */     // MIs[0] policy
     /* 1931600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931610 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1931613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931634 */     // GIR_Coverage, 24144,
     /* 1931634 */     GIR_EraseRootFromParent_Done,
     /* 1931635 */   // Label 25923: @1931635
     /* 1931635 */   GIM_Try, /*On fail goto*//*Label 25924*/ GIMT_Encode4(1931721), // Rule ID 24147 //
     /* 1931640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1931643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1931651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1931654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1931657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931686 */     // MIs[0] policy
     /* 1931686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931696 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1931699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931720 */     // GIR_Coverage, 24147,
     /* 1931720 */     GIR_EraseRootFromParent_Done,
     /* 1931721 */   // Label 25924: @1931721
     /* 1931721 */   GIM_Try, /*On fail goto*//*Label 25925*/ GIMT_Encode4(1931807), // Rule ID 24148 //
     /* 1931726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1931729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1931737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1931740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1931743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931772 */     // MIs[0] policy
     /* 1931772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931782 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1931785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931806 */     // GIR_Coverage, 24148,
     /* 1931806 */     GIR_EraseRootFromParent_Done,
     /* 1931807 */   // Label 25925: @1931807
     /* 1931807 */   GIM_Try, /*On fail goto*//*Label 25926*/ GIMT_Encode4(1931893), // Rule ID 24151 //
     /* 1931812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1931815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1931823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1931826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1931829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931858 */     // MIs[0] policy
     /* 1931858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931868 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1931871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931892 */     // GIR_Coverage, 24151,
     /* 1931892 */     GIR_EraseRootFromParent_Done,
     /* 1931893 */   // Label 25926: @1931893
     /* 1931893 */   GIM_Try, /*On fail goto*//*Label 25927*/ GIMT_Encode4(1931979), // Rule ID 24152 //
     /* 1931898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1931901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1931909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1931912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1931915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931944 */     // MIs[0] policy
     /* 1931944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931954 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1931957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931978 */     // GIR_Coverage, 24152,
     /* 1931978 */     GIR_EraseRootFromParent_Done,
     /* 1931979 */   // Label 25927: @1931979
     /* 1931979 */   GIM_Try, /*On fail goto*//*Label 25928*/ GIMT_Encode4(1932065), // Rule ID 24155 //
     /* 1931984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1931987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1931995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1931998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1932001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1932007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932030 */     // MIs[0] policy
     /* 1932030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932040 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1932043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932064 */     // GIR_Coverage, 24155,
     /* 1932064 */     GIR_EraseRootFromParent_Done,
     /* 1932065 */   // Label 25928: @1932065
     /* 1932065 */   GIM_Try, /*On fail goto*//*Label 25929*/ GIMT_Encode4(1932151), // Rule ID 24156 //
     /* 1932070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1932073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1932081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1932084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1932087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1932093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932116 */     // MIs[0] policy
     /* 1932116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932126 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1932129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932150 */     // GIR_Coverage, 24156,
     /* 1932150 */     GIR_EraseRootFromParent_Done,
     /* 1932151 */   // Label 25929: @1932151
     /* 1932151 */   GIM_Try, /*On fail goto*//*Label 25930*/ GIMT_Encode4(1932237), // Rule ID 24159 //
     /* 1932156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1932159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1932167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1932170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1932173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932202 */     // MIs[0] policy
     /* 1932202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932212 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1932215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932236 */     // GIR_Coverage, 24159,
     /* 1932236 */     GIR_EraseRootFromParent_Done,
     /* 1932237 */   // Label 25930: @1932237
     /* 1932237 */   GIM_Try, /*On fail goto*//*Label 25931*/ GIMT_Encode4(1932323), // Rule ID 24160 //
     /* 1932242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1932245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1932253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1932256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1932259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932288 */     // MIs[0] policy
     /* 1932288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932298 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1932301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932322 */     // GIR_Coverage, 24160,
     /* 1932322 */     GIR_EraseRootFromParent_Done,
     /* 1932323 */   // Label 25931: @1932323
     /* 1932323 */   GIM_Try, /*On fail goto*//*Label 25932*/ GIMT_Encode4(1932409), // Rule ID 24163 //
     /* 1932328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1932331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1932339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1932342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1932345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932374 */     // MIs[0] policy
     /* 1932374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932384 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1932387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932408 */     // GIR_Coverage, 24163,
     /* 1932408 */     GIR_EraseRootFromParent_Done,
     /* 1932409 */   // Label 25932: @1932409
     /* 1932409 */   GIM_Try, /*On fail goto*//*Label 25933*/ GIMT_Encode4(1932495), // Rule ID 24164 //
     /* 1932414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1932417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1932425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1932428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1932431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932460 */     // MIs[0] policy
     /* 1932460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932470 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1932473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932494 */     // GIR_Coverage, 24164,
     /* 1932494 */     GIR_EraseRootFromParent_Done,
     /* 1932495 */   // Label 25933: @1932495
     /* 1932495 */   GIM_Try, /*On fail goto*//*Label 25934*/ GIMT_Encode4(1932581), // Rule ID 24167 //
     /* 1932500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1932503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1932511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1932514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1932517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932546 */     // MIs[0] policy
     /* 1932546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932556 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1932559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932580 */     // GIR_Coverage, 24167,
     /* 1932580 */     GIR_EraseRootFromParent_Done,
     /* 1932581 */   // Label 25934: @1932581
     /* 1932581 */   GIM_Try, /*On fail goto*//*Label 25935*/ GIMT_Encode4(1932667), // Rule ID 24168 //
     /* 1932586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1932589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1932597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1932600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1932603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932632 */     // MIs[0] policy
     /* 1932632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932642 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1932645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932666 */     // GIR_Coverage, 24168,
     /* 1932666 */     GIR_EraseRootFromParent_Done,
     /* 1932667 */   // Label 25935: @1932667
     /* 1932667 */   GIM_Try, /*On fail goto*//*Label 25936*/ GIMT_Encode4(1932753), // Rule ID 24231 //
     /* 1932672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1932675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1932680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1932683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1932686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1932689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1932692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1932714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932718 */     // MIs[0] policy
     /* 1932718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932728 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1932731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932752 */     // GIR_Coverage, 24231,
     /* 1932752 */     GIR_EraseRootFromParent_Done,
     /* 1932753 */   // Label 25936: @1932753
     /* 1932753 */   GIM_Try, /*On fail goto*//*Label 25937*/ GIMT_Encode4(1932839), // Rule ID 24232 //
     /* 1932758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1932761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1932766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1932769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1932772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1932775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1932778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1932800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932804 */     // MIs[0] policy
     /* 1932804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932814 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1932817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932838 */     // GIR_Coverage, 24232,
     /* 1932838 */     GIR_EraseRootFromParent_Done,
     /* 1932839 */   // Label 25937: @1932839
     /* 1932839 */   GIM_Try, /*On fail goto*//*Label 25938*/ GIMT_Encode4(1932925), // Rule ID 24235 //
     /* 1932844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1932847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1932852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1932855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1932858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1932861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1932864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1932886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932890 */     // MIs[0] policy
     /* 1932890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932900 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1932903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932924 */     // GIR_Coverage, 24235,
     /* 1932924 */     GIR_EraseRootFromParent_Done,
     /* 1932925 */   // Label 25938: @1932925
     /* 1932925 */   GIM_Try, /*On fail goto*//*Label 25939*/ GIMT_Encode4(1933011), // Rule ID 24236 //
     /* 1932930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1932933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1932938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1932941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1932944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1932947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1932950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1932972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932976 */     // MIs[0] policy
     /* 1932976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932986 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1932989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933010 */     // GIR_Coverage, 24236,
     /* 1933010 */     GIR_EraseRootFromParent_Done,
     /* 1933011 */   // Label 25939: @1933011
     /* 1933011 */   GIM_Try, /*On fail goto*//*Label 25940*/ GIMT_Encode4(1933097), // Rule ID 24239 //
     /* 1933016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1933019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1933024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1933027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1933030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1933033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1933058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933062 */     // MIs[0] policy
     /* 1933062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933072 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1933075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933096 */     // GIR_Coverage, 24239,
     /* 1933096 */     GIR_EraseRootFromParent_Done,
     /* 1933097 */   // Label 25940: @1933097
     /* 1933097 */   GIM_Try, /*On fail goto*//*Label 25941*/ GIMT_Encode4(1933183), // Rule ID 24240 //
     /* 1933102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1933105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1933110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1933113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1933116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1933119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1933144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933148 */     // MIs[0] policy
     /* 1933148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933158 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1933161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933182 */     // GIR_Coverage, 24240,
     /* 1933182 */     GIR_EraseRootFromParent_Done,
     /* 1933183 */   // Label 25941: @1933183
     /* 1933183 */   GIM_Try, /*On fail goto*//*Label 25942*/ GIMT_Encode4(1933269), // Rule ID 24243 //
     /* 1933188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1933191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1933196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1933199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1933202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1933205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1933208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1933230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933234 */     // MIs[0] policy
     /* 1933234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933244 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1933247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933268 */     // GIR_Coverage, 24243,
     /* 1933268 */     GIR_EraseRootFromParent_Done,
     /* 1933269 */   // Label 25942: @1933269
     /* 1933269 */   GIM_Try, /*On fail goto*//*Label 25943*/ GIMT_Encode4(1933355), // Rule ID 24244 //
     /* 1933274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1933277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1933282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1933285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1933288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1933291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1933294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1933316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933320 */     // MIs[0] policy
     /* 1933320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933330 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1933333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933354 */     // GIR_Coverage, 24244,
     /* 1933354 */     GIR_EraseRootFromParent_Done,
     /* 1933355 */   // Label 25943: @1933355
     /* 1933355 */   GIM_Try, /*On fail goto*//*Label 25944*/ GIMT_Encode4(1933441), // Rule ID 24247 //
     /* 1933360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1933363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1933368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1933371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1933374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1933377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1933402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933406 */     // MIs[0] policy
     /* 1933406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933416 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1933419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933440 */     // GIR_Coverage, 24247,
     /* 1933440 */     GIR_EraseRootFromParent_Done,
     /* 1933441 */   // Label 25944: @1933441
     /* 1933441 */   GIM_Try, /*On fail goto*//*Label 25945*/ GIMT_Encode4(1933527), // Rule ID 24248 //
     /* 1933446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1933449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1933454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1933457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1933460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1933463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1933488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933492 */     // MIs[0] policy
     /* 1933492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933502 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1933505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933526 */     // GIR_Coverage, 24248,
     /* 1933526 */     GIR_EraseRootFromParent_Done,
     /* 1933527 */   // Label 25945: @1933527
     /* 1933527 */   GIM_Try, /*On fail goto*//*Label 25946*/ GIMT_Encode4(1933613), // Rule ID 24251 //
     /* 1933532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1933535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1933540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1933543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1933546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1933549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1933574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933578 */     // MIs[0] policy
     /* 1933578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933588 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1933591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933612 */     // GIR_Coverage, 24251,
     /* 1933612 */     GIR_EraseRootFromParent_Done,
     /* 1933613 */   // Label 25946: @1933613
     /* 1933613 */   GIM_Try, /*On fail goto*//*Label 25947*/ GIMT_Encode4(1933699), // Rule ID 24252 //
     /* 1933618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1933621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1933626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1933629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1933632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1933635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1933660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933664 */     // MIs[0] policy
     /* 1933664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933674 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1933677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933698 */     // GIR_Coverage, 24252,
     /* 1933698 */     GIR_EraseRootFromParent_Done,
     /* 1933699 */   // Label 25947: @1933699
     /* 1933699 */   GIM_Try, /*On fail goto*//*Label 25948*/ GIMT_Encode4(1933785), // Rule ID 24255 //
     /* 1933704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1933707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1933712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1933715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1933718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1933721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1933724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1933746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933750 */     // MIs[0] policy
     /* 1933750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933760 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1933763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933784 */     // GIR_Coverage, 24255,
     /* 1933784 */     GIR_EraseRootFromParent_Done,
     /* 1933785 */   // Label 25948: @1933785
     /* 1933785 */   GIM_Try, /*On fail goto*//*Label 25949*/ GIMT_Encode4(1933871), // Rule ID 24256 //
     /* 1933790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1933793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1933798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1933801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1933804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1933807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1933810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1933820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1933828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1933832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933836 */     // MIs[0] policy
     /* 1933836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933846 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1933849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933870 */     // GIR_Coverage, 24256,
     /* 1933870 */     GIR_EraseRootFromParent_Done,
     /* 1933871 */   // Label 25949: @1933871
     /* 1933871 */   GIM_Try, /*On fail goto*//*Label 25950*/ GIMT_Encode4(1933957), // Rule ID 24259 //
     /* 1933876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1933879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1933884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1933887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1933890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1933893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1933896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1933899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1933918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933922 */     // MIs[0] policy
     /* 1933922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933932 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1933935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933956 */     // GIR_Coverage, 24259,
     /* 1933956 */     GIR_EraseRootFromParent_Done,
     /* 1933957 */   // Label 25950: @1933957
     /* 1933957 */   GIM_Try, /*On fail goto*//*Label 25951*/ GIMT_Encode4(1934043), // Rule ID 24260 //
     /* 1933962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1933965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1933970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1933973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1933976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1933979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1933982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1933985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1933992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1933996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934008 */     // MIs[0] policy
     /* 1934008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934018 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1934021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934042 */     // GIR_Coverage, 24260,
     /* 1934042 */     GIR_EraseRootFromParent_Done,
     /* 1934043 */   // Label 25951: @1934043
     /* 1934043 */   GIM_Try, /*On fail goto*//*Label 25952*/ GIMT_Encode4(1934129), // Rule ID 24263 //
     /* 1934048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1934051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1934059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1934062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1934065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1934071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934094 */     // MIs[0] policy
     /* 1934094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934104 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1934107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934128 */     // GIR_Coverage, 24263,
     /* 1934128 */     GIR_EraseRootFromParent_Done,
     /* 1934129 */   // Label 25952: @1934129
     /* 1934129 */   GIM_Try, /*On fail goto*//*Label 25953*/ GIMT_Encode4(1934215), // Rule ID 24264 //
     /* 1934134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1934137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1934145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1934148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1934151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1934154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1934157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1934176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934180 */     // MIs[0] policy
     /* 1934180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934190 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1934193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934214 */     // GIR_Coverage, 24264,
     /* 1934214 */     GIR_EraseRootFromParent_Done,
     /* 1934215 */   // Label 25953: @1934215
     /* 1934215 */   GIM_Try, /*On fail goto*//*Label 25954*/ GIMT_Encode4(1934301), // Rule ID 24267 //
     /* 1934220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1934223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1934231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1934234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1934237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1934262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934266 */     // MIs[0] policy
     /* 1934266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934276 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1934279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934300 */     // GIR_Coverage, 24267,
     /* 1934300 */     GIR_EraseRootFromParent_Done,
     /* 1934301 */   // Label 25954: @1934301
     /* 1934301 */   GIM_Try, /*On fail goto*//*Label 25955*/ GIMT_Encode4(1934387), // Rule ID 24268 //
     /* 1934306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1934309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1934317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1934320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1934323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1934348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934352 */     // MIs[0] policy
     /* 1934352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934362 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1934365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934386 */     // GIR_Coverage, 24268,
     /* 1934386 */     GIR_EraseRootFromParent_Done,
     /* 1934387 */   // Label 25955: @1934387
     /* 1934387 */   GIM_Try, /*On fail goto*//*Label 25956*/ GIMT_Encode4(1934473), // Rule ID 24271 //
     /* 1934392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1934395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1934403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1934406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1934409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1934434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934438 */     // MIs[0] policy
     /* 1934438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934448 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1934451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934472 */     // GIR_Coverage, 24271,
     /* 1934472 */     GIR_EraseRootFromParent_Done,
     /* 1934473 */   // Label 25956: @1934473
     /* 1934473 */   GIM_Try, /*On fail goto*//*Label 25957*/ GIMT_Encode4(1934559), // Rule ID 24272 //
     /* 1934478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1934481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1934489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1934492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1934495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1934520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934524 */     // MIs[0] policy
     /* 1934524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934534 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1934537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934558 */     // GIR_Coverage, 24272,
     /* 1934558 */     GIR_EraseRootFromParent_Done,
     /* 1934559 */   // Label 25957: @1934559
     /* 1934559 */   GIM_Try, /*On fail goto*//*Label 25958*/ GIMT_Encode4(1934645), // Rule ID 24275 //
     /* 1934564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1934567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1934575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1934578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1934581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1934587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1934606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934610 */     // MIs[0] policy
     /* 1934610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934620 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1934623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934644 */     // GIR_Coverage, 24275,
     /* 1934644 */     GIR_EraseRootFromParent_Done,
     /* 1934645 */   // Label 25958: @1934645
     /* 1934645 */   GIM_Try, /*On fail goto*//*Label 25959*/ GIMT_Encode4(1934731), // Rule ID 24276 //
     /* 1934650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1934653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1934661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1934664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1934667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1934673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1934692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934696 */     // MIs[0] policy
     /* 1934696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934706 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1934709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934730 */     // GIR_Coverage, 24276,
     /* 1934730 */     GIR_EraseRootFromParent_Done,
     /* 1934731 */   // Label 25959: @1934731
     /* 1934731 */   GIM_Try, /*On fail goto*//*Label 25960*/ GIMT_Encode4(1934817), // Rule ID 24279 //
     /* 1934736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1934739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1934747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1934750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1934753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1934778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934782 */     // MIs[0] policy
     /* 1934782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934792 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1934795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934816 */     // GIR_Coverage, 24279,
     /* 1934816 */     GIR_EraseRootFromParent_Done,
     /* 1934817 */   // Label 25960: @1934817
     /* 1934817 */   GIM_Try, /*On fail goto*//*Label 25961*/ GIMT_Encode4(1934903), // Rule ID 24280 //
     /* 1934822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1934825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1934833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1934836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1934839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1934864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934868 */     // MIs[0] policy
     /* 1934868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934878 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1934881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934902 */     // GIR_Coverage, 24280,
     /* 1934902 */     GIR_EraseRootFromParent_Done,
     /* 1934903 */   // Label 25961: @1934903
     /* 1934903 */   GIM_Try, /*On fail goto*//*Label 25962*/ GIMT_Encode4(1934989), // Rule ID 24283 //
     /* 1934908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1934911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1934916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1934919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1934922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1934925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1934950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934954 */     // MIs[0] policy
     /* 1934954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934964 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1934967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934988 */     // GIR_Coverage, 24283,
     /* 1934988 */     GIR_EraseRootFromParent_Done,
     /* 1934989 */   // Label 25962: @1934989
     /* 1934989 */   GIM_Try, /*On fail goto*//*Label 25963*/ GIMT_Encode4(1935075), // Rule ID 24284 //
     /* 1934994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1934997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1935005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1935008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1935011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1935036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935040 */     // MIs[0] policy
     /* 1935040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935050 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1935053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935074 */     // GIR_Coverage, 24284,
     /* 1935074 */     GIR_EraseRootFromParent_Done,
     /* 1935075 */   // Label 25963: @1935075
     /* 1935075 */   GIM_Try, /*On fail goto*//*Label 25964*/ GIMT_Encode4(1935161), // Rule ID 24287 //
     /* 1935080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1935083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1935091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1935094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1935097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1935122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935126 */     // MIs[0] policy
     /* 1935126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935136 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1935139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935160 */     // GIR_Coverage, 24287,
     /* 1935160 */     GIR_EraseRootFromParent_Done,
     /* 1935161 */   // Label 25964: @1935161
     /* 1935161 */   GIM_Try, /*On fail goto*//*Label 25965*/ GIMT_Encode4(1935247), // Rule ID 24288 //
     /* 1935166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1935169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1935174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1935177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1935180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1935183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1935208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935212 */     // MIs[0] policy
     /* 1935212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935222 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1935225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935246 */     // GIR_Coverage, 24288,
     /* 1935246 */     GIR_EraseRootFromParent_Done,
     /* 1935247 */   // Label 25965: @1935247
     /* 1935247 */   GIM_Try, /*On fail goto*//*Label 25966*/ GIMT_Encode4(1935333), // Rule ID 24291 //
     /* 1935252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1935255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1935260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1935263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1935266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1935269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1935275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935298 */     // MIs[0] policy
     /* 1935298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935308 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1935311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935332 */     // GIR_Coverage, 24291,
     /* 1935332 */     GIR_EraseRootFromParent_Done,
     /* 1935333 */   // Label 25966: @1935333
     /* 1935333 */   GIM_Try, /*On fail goto*//*Label 25967*/ GIMT_Encode4(1935419), // Rule ID 24292 //
     /* 1935338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1935341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1935346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1935349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1935352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1935355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1935361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935384 */     // MIs[0] policy
     /* 1935384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935394 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1935397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935418 */     // GIR_Coverage, 24292,
     /* 1935418 */     GIR_EraseRootFromParent_Done,
     /* 1935419 */   // Label 25967: @1935419
     /* 1935419 */   GIM_Try, /*On fail goto*//*Label 25968*/ GIMT_Encode4(1935505), // Rule ID 24295 //
     /* 1935424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1935427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1935432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1935435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1935438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1935441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1935447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935470 */     // MIs[0] policy
     /* 1935470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935480 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1935483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935504 */     // GIR_Coverage, 24295,
     /* 1935504 */     GIR_EraseRootFromParent_Done,
     /* 1935505 */   // Label 25968: @1935505
     /* 1935505 */   GIM_Try, /*On fail goto*//*Label 25969*/ GIMT_Encode4(1935591), // Rule ID 24296 //
     /* 1935510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1935513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1935518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1935521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1935524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1935527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1935533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935556 */     // MIs[0] policy
     /* 1935556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935566 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1935569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935590 */     // GIR_Coverage, 24296,
     /* 1935590 */     GIR_EraseRootFromParent_Done,
     /* 1935591 */   // Label 25969: @1935591
     /* 1935591 */   GIM_Try, /*On fail goto*//*Label 25970*/ GIMT_Encode4(1935677), // Rule ID 24299 //
     /* 1935596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1935599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1935604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1935607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1935610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1935613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1935619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935642 */     // MIs[0] policy
     /* 1935642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935652 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1935655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935676 */     // GIR_Coverage, 24299,
     /* 1935676 */     GIR_EraseRootFromParent_Done,
     /* 1935677 */   // Label 25970: @1935677
     /* 1935677 */   GIM_Try, /*On fail goto*//*Label 25971*/ GIMT_Encode4(1935763), // Rule ID 24300 //
     /* 1935682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1935685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1935690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1935693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1935696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1935699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1935705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935728 */     // MIs[0] policy
     /* 1935728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935738 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1935741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935762 */     // GIR_Coverage, 24300,
     /* 1935762 */     GIR_EraseRootFromParent_Done,
     /* 1935763 */   // Label 25971: @1935763
     /* 1935763 */   GIM_Try, /*On fail goto*//*Label 25972*/ GIMT_Encode4(1935849), // Rule ID 24303 //
     /* 1935768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1935771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1935776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1935779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1935782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1935785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935814 */     // MIs[0] policy
     /* 1935814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935824 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1935827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935848 */     // GIR_Coverage, 24303,
     /* 1935848 */     GIR_EraseRootFromParent_Done,
     /* 1935849 */   // Label 25972: @1935849
     /* 1935849 */   GIM_Try, /*On fail goto*//*Label 25973*/ GIMT_Encode4(1935935), // Rule ID 24304 //
     /* 1935854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1935857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1935862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1935865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1935868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1935871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1935874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1935896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935900 */     // MIs[0] policy
     /* 1935900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935910 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11171:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1935913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935934 */     // GIR_Coverage, 24304,
     /* 1935934 */     GIR_EraseRootFromParent_Done,
     /* 1935935 */   // Label 25973: @1935935
     /* 1935935 */   GIM_Try, /*On fail goto*//*Label 25974*/ GIMT_Encode4(1936021), // Rule ID 24307 //
     /* 1935940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1935943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1935948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1935951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1935954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1935957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1935963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1935970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1935978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1935982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935986 */     // MIs[0] policy
     /* 1935986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935996 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1935999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936020 */     // GIR_Coverage, 24307,
     /* 1936020 */     GIR_EraseRootFromParent_Done,
     /* 1936021 */   // Label 25974: @1936021
     /* 1936021 */   GIM_Try, /*On fail goto*//*Label 25975*/ GIMT_Encode4(1936107), // Rule ID 24308 //
     /* 1936026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1936029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1936037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1936040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1936043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1936068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936072 */     // MIs[0] policy
     /* 1936072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936082 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1936085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936106 */     // GIR_Coverage, 24308,
     /* 1936106 */     GIR_EraseRootFromParent_Done,
     /* 1936107 */   // Label 25975: @1936107
     /* 1936107 */   GIM_Try, /*On fail goto*//*Label 25976*/ GIMT_Encode4(1936193), // Rule ID 24311 //
     /* 1936112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1936115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1936123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1936126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1936129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936158 */     // MIs[0] policy
     /* 1936158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936168 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1936171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936192 */     // GIR_Coverage, 24311,
     /* 1936192 */     GIR_EraseRootFromParent_Done,
     /* 1936193 */   // Label 25976: @1936193
     /* 1936193 */   GIM_Try, /*On fail goto*//*Label 25977*/ GIMT_Encode4(1936279), // Rule ID 24312 //
     /* 1936198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1936201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1936209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1936212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1936215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1936240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936244 */     // MIs[0] policy
     /* 1936244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936254 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1936257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936278 */     // GIR_Coverage, 24312,
     /* 1936278 */     GIR_EraseRootFromParent_Done,
     /* 1936279 */   // Label 25977: @1936279
     /* 1936279 */   GIM_Try, /*On fail goto*//*Label 25978*/ GIMT_Encode4(1936365), // Rule ID 24315 //
     /* 1936284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1936287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1936295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1936298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1936301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1936304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1936326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936330 */     // MIs[0] policy
     /* 1936330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936340 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1936343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936364 */     // GIR_Coverage, 24315,
     /* 1936364 */     GIR_EraseRootFromParent_Done,
     /* 1936365 */   // Label 25978: @1936365
     /* 1936365 */   GIM_Try, /*On fail goto*//*Label 25979*/ GIMT_Encode4(1936451), // Rule ID 24316 //
     /* 1936370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1936373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1936381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1936384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1936387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1936390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1936412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936416 */     // MIs[0] policy
     /* 1936416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936426 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1936429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936450 */     // GIR_Coverage, 24316,
     /* 1936450 */     GIR_EraseRootFromParent_Done,
     /* 1936451 */   // Label 25979: @1936451
     /* 1936451 */   GIM_Try, /*On fail goto*//*Label 25980*/ GIMT_Encode4(1936537), // Rule ID 24319 //
     /* 1936456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1936459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1936467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1936470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1936473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1936476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1936479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1936498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936502 */     // MIs[0] policy
     /* 1936502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936512 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1936515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936536 */     // GIR_Coverage, 24319,
     /* 1936536 */     GIR_EraseRootFromParent_Done,
     /* 1936537 */   // Label 25980: @1936537
     /* 1936537 */   GIM_Try, /*On fail goto*//*Label 25981*/ GIMT_Encode4(1936623), // Rule ID 24320 //
     /* 1936542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1936545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1936553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1936556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1936559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1936562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1936565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1936584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936588 */     // MIs[0] policy
     /* 1936588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936598 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1936601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936622 */     // GIR_Coverage, 24320,
     /* 1936622 */     GIR_EraseRootFromParent_Done,
     /* 1936623 */   // Label 25981: @1936623
     /* 1936623 */   GIM_Try, /*On fail goto*//*Label 25982*/ GIMT_Encode4(1936709), // Rule ID 24323 //
     /* 1936628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1936631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1936639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1936642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1936645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1936648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1936651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1936670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936674 */     // MIs[0] policy
     /* 1936674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936684 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1936687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936708 */     // GIR_Coverage, 24323,
     /* 1936708 */     GIR_EraseRootFromParent_Done,
     /* 1936709 */   // Label 25982: @1936709
     /* 1936709 */   GIM_Try, /*On fail goto*//*Label 25983*/ GIMT_Encode4(1936795), // Rule ID 24324 //
     /* 1936714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1936717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1936725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1936728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1936731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1936734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1936737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1936756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936760 */     // MIs[0] policy
     /* 1936760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936770 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1936773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936794 */     // GIR_Coverage, 24324,
     /* 1936794 */     GIR_EraseRootFromParent_Done,
     /* 1936795 */   // Label 25983: @1936795
     /* 1936795 */   GIM_Try, /*On fail goto*//*Label 25984*/ GIMT_Encode4(1936881), // Rule ID 24327 //
     /* 1936800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1936803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1936811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1936814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1936817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1936842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936846 */     // MIs[0] policy
     /* 1936846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936856 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1936859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936880 */     // GIR_Coverage, 24327,
     /* 1936880 */     GIR_EraseRootFromParent_Done,
     /* 1936881 */   // Label 25984: @1936881
     /* 1936881 */   GIM_Try, /*On fail goto*//*Label 25985*/ GIMT_Encode4(1936967), // Rule ID 24328 //
     /* 1936886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1936889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1936897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1936900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1936903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1936928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936932 */     // MIs[0] policy
     /* 1936932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936942 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1936945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936966 */     // GIR_Coverage, 24328,
     /* 1936966 */     GIR_EraseRootFromParent_Done,
     /* 1936967 */   // Label 25985: @1936967
     /* 1936967 */   GIM_Try, /*On fail goto*//*Label 25986*/ GIMT_Encode4(1937053), // Rule ID 24331 //
     /* 1936972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1936975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1936980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1936983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1936986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1936989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1937014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937018 */     // MIs[0] policy
     /* 1937018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937028 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1937031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937052 */     // GIR_Coverage, 24331,
     /* 1937052 */     GIR_EraseRootFromParent_Done,
     /* 1937053 */   // Label 25986: @1937053
     /* 1937053 */   GIM_Try, /*On fail goto*//*Label 25987*/ GIMT_Encode4(1937139), // Rule ID 24332 //
     /* 1937058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1937061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1937069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1937072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1937075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1937100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937104 */     // MIs[0] policy
     /* 1937104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937114 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1937117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937138 */     // GIR_Coverage, 24332,
     /* 1937138 */     GIR_EraseRootFromParent_Done,
     /* 1937139 */   // Label 25987: @1937139
     /* 1937139 */   GIM_Try, /*On fail goto*//*Label 25988*/ GIMT_Encode4(1937225), // Rule ID 24335 //
     /* 1937144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1937147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1937155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1937158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1937161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1937167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1937186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937190 */     // MIs[0] policy
     /* 1937190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937200 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1937203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937224 */     // GIR_Coverage, 24335,
     /* 1937224 */     GIR_EraseRootFromParent_Done,
     /* 1937225 */   // Label 25988: @1937225
     /* 1937225 */   GIM_Try, /*On fail goto*//*Label 25989*/ GIMT_Encode4(1937311), // Rule ID 24336 //
     /* 1937230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1937233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1937241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1937244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1937247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1937253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1937272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937276 */     // MIs[0] policy
     /* 1937276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937286 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1937289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937310 */     // GIR_Coverage, 24336,
     /* 1937310 */     GIR_EraseRootFromParent_Done,
     /* 1937311 */   // Label 25989: @1937311
     /* 1937311 */   GIM_Try, /*On fail goto*//*Label 25990*/ GIMT_Encode4(1937397), // Rule ID 24339 //
     /* 1937316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1937319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1937327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1937330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1937333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1937346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1937358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937362 */     // MIs[0] policy
     /* 1937362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937372 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1937375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937396 */     // GIR_Coverage, 24339,
     /* 1937396 */     GIR_EraseRootFromParent_Done,
     /* 1937397 */   // Label 25990: @1937397
     /* 1937397 */   GIM_Try, /*On fail goto*//*Label 25991*/ GIMT_Encode4(1937483), // Rule ID 24340 //
     /* 1937402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1937405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1937413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1937416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1937419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1937432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1937440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1937444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937448 */     // MIs[0] policy
     /* 1937448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937458 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1937461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937482 */     // GIR_Coverage, 24340,
     /* 1937482 */     GIR_EraseRootFromParent_Done,
     /* 1937483 */   // Label 25991: @1937483
     /* 1937483 */   GIM_Try, /*On fail goto*//*Label 25992*/ GIMT_Encode4(1937569), // Rule ID 24343 //
     /* 1937488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1937491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1937499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1937502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1937505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1937530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937534 */     // MIs[0] policy
     /* 1937534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937544 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1937547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937568 */     // GIR_Coverage, 24343,
     /* 1937568 */     GIR_EraseRootFromParent_Done,
     /* 1937569 */   // Label 25992: @1937569
     /* 1937569 */   GIM_Try, /*On fail goto*//*Label 25993*/ GIMT_Encode4(1937655), // Rule ID 24344 //
     /* 1937574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1937577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1937585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1937588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1937591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1937604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1937612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1937616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937620 */     // MIs[0] policy
     /* 1937620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937630 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1937633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937654 */     // GIR_Coverage, 24344,
     /* 1937654 */     GIR_EraseRootFromParent_Done,
     /* 1937655 */   // Label 25993: @1937655
     /* 1937655 */   GIM_Try, /*On fail goto*//*Label 25994*/ GIMT_Encode4(1937741), // Rule ID 24347 //
     /* 1937660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1937663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1937671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1937674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1937677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1937702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937706 */     // MIs[0] policy
     /* 1937706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937716 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1937719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937740 */     // GIR_Coverage, 24347,
     /* 1937740 */     GIR_EraseRootFromParent_Done,
     /* 1937741 */   // Label 25994: @1937741
     /* 1937741 */   GIM_Try, /*On fail goto*//*Label 25995*/ GIMT_Encode4(1937827), // Rule ID 24348 //
     /* 1937746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1937749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1937754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1937757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1937760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1937763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1937776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1937784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1937788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937792 */     // MIs[0] policy
     /* 1937792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937802 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1937805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937826 */     // GIR_Coverage, 24348,
     /* 1937826 */     GIR_EraseRootFromParent_Done,
     /* 1937827 */   // Label 25995: @1937827
     /* 1937827 */   GIM_Try, /*On fail goto*//*Label 25996*/ GIMT_Encode4(1937913), // Rule ID 24351 //
     /* 1937832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1937840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1937843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1937846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1937849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1937852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937878 */     // MIs[0] policy
     /* 1937878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937888 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1937891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1937909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937912 */     // GIR_Coverage, 24351,
     /* 1937912 */     GIR_EraseRootFromParent_Done,
     /* 1937913 */   // Label 25996: @1937913
     /* 1937913 */   GIM_Try, /*On fail goto*//*Label 25997*/ GIMT_Encode4(1937999), // Rule ID 24352 //
     /* 1937918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1937926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1937929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1937932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1937935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1937938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937964 */     // MIs[0] policy
     /* 1937964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937974 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1937977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1937995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937998 */     // GIR_Coverage, 24352,
     /* 1937998 */     GIR_EraseRootFromParent_Done,
     /* 1937999 */   // Label 25997: @1937999
     /* 1937999 */   GIM_Try, /*On fail goto*//*Label 25998*/ GIMT_Encode4(1938085), // Rule ID 24355 //
     /* 1938004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1938012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1938015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1938018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1938021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1938024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938050 */     // MIs[0] policy
     /* 1938050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938060 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1938063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938084 */     // GIR_Coverage, 24355,
     /* 1938084 */     GIR_EraseRootFromParent_Done,
     /* 1938085 */   // Label 25998: @1938085
     /* 1938085 */   GIM_Try, /*On fail goto*//*Label 25999*/ GIMT_Encode4(1938171), // Rule ID 24356 //
     /* 1938090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1938098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1938101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1938104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1938107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1938110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938136 */     // MIs[0] policy
     /* 1938136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938146 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1938149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938170 */     // GIR_Coverage, 24356,
     /* 1938170 */     GIR_EraseRootFromParent_Done,
     /* 1938171 */   // Label 25999: @1938171
     /* 1938171 */   GIM_Try, /*On fail goto*//*Label 26000*/ GIMT_Encode4(1938257), // Rule ID 24359 //
     /* 1938176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1938184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1938187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1938190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1938193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1938196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938222 */     // MIs[0] policy
     /* 1938222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938232 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1938235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938256 */     // GIR_Coverage, 24359,
     /* 1938256 */     GIR_EraseRootFromParent_Done,
     /* 1938257 */   // Label 26000: @1938257
     /* 1938257 */   GIM_Try, /*On fail goto*//*Label 26001*/ GIMT_Encode4(1938343), // Rule ID 24360 //
     /* 1938262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1938270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1938273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1938276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1938279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1938282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938308 */     // MIs[0] policy
     /* 1938308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938318 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1938321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938342 */     // GIR_Coverage, 24360,
     /* 1938342 */     GIR_EraseRootFromParent_Done,
     /* 1938343 */   // Label 26001: @1938343
     /* 1938343 */   GIM_Try, /*On fail goto*//*Label 26002*/ GIMT_Encode4(1938429), // Rule ID 24363 //
     /* 1938348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1938356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1938359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1938362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1938365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1938368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938394 */     // MIs[0] policy
     /* 1938394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938404 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1938407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938428 */     // GIR_Coverage, 24363,
     /* 1938428 */     GIR_EraseRootFromParent_Done,
     /* 1938429 */   // Label 26002: @1938429
     /* 1938429 */   GIM_Try, /*On fail goto*//*Label 26003*/ GIMT_Encode4(1938515), // Rule ID 24364 //
     /* 1938434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1938442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1938445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1938448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1938451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1938454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938480 */     // MIs[0] policy
     /* 1938480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938490 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1938493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938514 */     // GIR_Coverage, 24364,
     /* 1938514 */     GIR_EraseRootFromParent_Done,
     /* 1938515 */   // Label 26003: @1938515
     /* 1938515 */   GIM_Try, /*On fail goto*//*Label 26004*/ GIMT_Encode4(1938601), // Rule ID 24367 //
     /* 1938520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1938528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1938531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1938534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1938537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1938540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938566 */     // MIs[0] policy
     /* 1938566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938576 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1938579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938600 */     // GIR_Coverage, 24367,
     /* 1938600 */     GIR_EraseRootFromParent_Done,
     /* 1938601 */   // Label 26004: @1938601
     /* 1938601 */   GIM_Try, /*On fail goto*//*Label 26005*/ GIMT_Encode4(1938687), // Rule ID 24368 //
     /* 1938606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1938614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1938617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1938620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1938623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1938626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938652 */     // MIs[0] policy
     /* 1938652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938662 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1938665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938686 */     // GIR_Coverage, 24368,
     /* 1938686 */     GIR_EraseRootFromParent_Done,
     /* 1938687 */   // Label 26005: @1938687
     /* 1938687 */   GIM_Try, /*On fail goto*//*Label 26006*/ GIMT_Encode4(1938773), // Rule ID 24371 //
     /* 1938692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1938700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1938703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1938706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1938709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1938712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938738 */     // MIs[0] policy
     /* 1938738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938748 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1938751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938772 */     // GIR_Coverage, 24371,
     /* 1938772 */     GIR_EraseRootFromParent_Done,
     /* 1938773 */   // Label 26006: @1938773
     /* 1938773 */   GIM_Try, /*On fail goto*//*Label 26007*/ GIMT_Encode4(1938859), // Rule ID 24372 //
     /* 1938778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1938786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1938789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1938792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1938795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1938798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938824 */     // MIs[0] policy
     /* 1938824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938834 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1938837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938858 */     // GIR_Coverage, 24372,
     /* 1938858 */     GIR_EraseRootFromParent_Done,
     /* 1938859 */   // Label 26007: @1938859
     /* 1938859 */   GIM_Try, /*On fail goto*//*Label 26008*/ GIMT_Encode4(1938945), // Rule ID 24375 //
     /* 1938864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1938872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1938875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1938878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1938881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1938884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938910 */     // MIs[0] policy
     /* 1938910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938920 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1938923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938944 */     // GIR_Coverage, 24375,
     /* 1938944 */     GIR_EraseRootFromParent_Done,
     /* 1938945 */   // Label 26008: @1938945
     /* 1938945 */   GIM_Try, /*On fail goto*//*Label 26009*/ GIMT_Encode4(1939031), // Rule ID 24376 //
     /* 1938950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1938958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1938961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1938964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1938967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1938970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938996 */     // MIs[0] policy
     /* 1938996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939006 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1939009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939030 */     // GIR_Coverage, 24376,
     /* 1939030 */     GIR_EraseRootFromParent_Done,
     /* 1939031 */   // Label 26009: @1939031
     /* 1939031 */   GIM_Try, /*On fail goto*//*Label 26010*/ GIMT_Encode4(1939117), // Rule ID 24379 //
     /* 1939036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1939047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1939050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1939053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1939056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939082 */     // MIs[0] policy
     /* 1939082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939092 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1939095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939116 */     // GIR_Coverage, 24379,
     /* 1939116 */     GIR_EraseRootFromParent_Done,
     /* 1939117 */   // Label 26010: @1939117
     /* 1939117 */   GIM_Try, /*On fail goto*//*Label 26011*/ GIMT_Encode4(1939203), // Rule ID 24380 //
     /* 1939122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1939133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1939136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1939139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1939142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939168 */     // MIs[0] policy
     /* 1939168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939178 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1939181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939202 */     // GIR_Coverage, 24380,
     /* 1939202 */     GIR_EraseRootFromParent_Done,
     /* 1939203 */   // Label 26011: @1939203
     /* 1939203 */   GIM_Try, /*On fail goto*//*Label 26012*/ GIMT_Encode4(1939289), // Rule ID 24383 //
     /* 1939208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1939219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1939222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1939225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1939228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939254 */     // MIs[0] policy
     /* 1939254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939264 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1939267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939288 */     // GIR_Coverage, 24383,
     /* 1939288 */     GIR_EraseRootFromParent_Done,
     /* 1939289 */   // Label 26012: @1939289
     /* 1939289 */   GIM_Try, /*On fail goto*//*Label 26013*/ GIMT_Encode4(1939375), // Rule ID 24384 //
     /* 1939294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1939305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1939308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1939311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1939314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939340 */     // MIs[0] policy
     /* 1939340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939350 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1939353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939374 */     // GIR_Coverage, 24384,
     /* 1939374 */     GIR_EraseRootFromParent_Done,
     /* 1939375 */   // Label 26013: @1939375
     /* 1939375 */   GIM_Try, /*On fail goto*//*Label 26014*/ GIMT_Encode4(1939461), // Rule ID 24387 //
     /* 1939380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1939383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1939391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1939394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1939397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1939400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939426 */     // MIs[0] policy
     /* 1939426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939436 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1939439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939460 */     // GIR_Coverage, 24387,
     /* 1939460 */     GIR_EraseRootFromParent_Done,
     /* 1939461 */   // Label 26014: @1939461
     /* 1939461 */   GIM_Try, /*On fail goto*//*Label 26015*/ GIMT_Encode4(1939547), // Rule ID 24388 //
     /* 1939466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1939469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1939477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1939480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1939483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1939486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1939489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1939496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1939508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939512 */     // MIs[0] policy
     /* 1939512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939522 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1939525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939546 */     // GIR_Coverage, 24388,
     /* 1939546 */     GIR_EraseRootFromParent_Done,
     /* 1939547 */   // Label 26015: @1939547
     /* 1939547 */   GIM_Try, /*On fail goto*//*Label 26016*/ GIMT_Encode4(1939633), // Rule ID 24391 //
     /* 1939552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1939563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1939566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1939569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1939572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1939575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939598 */     // MIs[0] policy
     /* 1939598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939608 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1939611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939632 */     // GIR_Coverage, 24391,
     /* 1939632 */     GIR_EraseRootFromParent_Done,
     /* 1939633 */   // Label 26016: @1939633
     /* 1939633 */   GIM_Try, /*On fail goto*//*Label 26017*/ GIMT_Encode4(1939719), // Rule ID 24392 //
     /* 1939638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1939649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1939652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1939655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1939658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1939661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939684 */     // MIs[0] policy
     /* 1939684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939694 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1939697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939718 */     // GIR_Coverage, 24392,
     /* 1939718 */     GIR_EraseRootFromParent_Done,
     /* 1939719 */   // Label 26017: @1939719
     /* 1939719 */   GIM_Try, /*On fail goto*//*Label 26018*/ GIMT_Encode4(1939805), // Rule ID 24395 //
     /* 1939724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1939735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1939738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1939741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1939744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1939747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939770 */     // MIs[0] policy
     /* 1939770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939780 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1939783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939804 */     // GIR_Coverage, 24395,
     /* 1939804 */     GIR_EraseRootFromParent_Done,
     /* 1939805 */   // Label 26018: @1939805
     /* 1939805 */   GIM_Try, /*On fail goto*//*Label 26019*/ GIMT_Encode4(1939891), // Rule ID 24396 //
     /* 1939810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1939821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1939824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1939827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1939830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1939833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939856 */     // MIs[0] policy
     /* 1939856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939866 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1939869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939890 */     // GIR_Coverage, 24396,
     /* 1939890 */     GIR_EraseRootFromParent_Done,
     /* 1939891 */   // Label 26019: @1939891
     /* 1939891 */   GIM_Try, /*On fail goto*//*Label 26020*/ GIMT_Encode4(1939977), // Rule ID 24399 //
     /* 1939896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1939907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1939910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1939913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1939916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1939919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939942 */     // MIs[0] policy
     /* 1939942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939952 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1939955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939976 */     // GIR_Coverage, 24399,
     /* 1939976 */     GIR_EraseRootFromParent_Done,
     /* 1939977 */   // Label 26020: @1939977
     /* 1939977 */   GIM_Try, /*On fail goto*//*Label 26021*/ GIMT_Encode4(1940063), // Rule ID 24400 //
     /* 1939982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1939990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1939993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1939996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1939999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1940002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1940005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940028 */     // MIs[0] policy
     /* 1940028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940038 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1940041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1940059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940062 */     // GIR_Coverage, 24400,
     /* 1940062 */     GIR_EraseRootFromParent_Done,
     /* 1940063 */   // Label 26021: @1940063
     /* 1940063 */   GIM_Try, /*On fail goto*//*Label 26022*/ GIMT_Encode4(1940149), // Rule ID 24403 //
     /* 1940068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1940079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1940082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1940085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1940088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940114 */     // MIs[0] policy
     /* 1940114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940124 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1940127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940148 */     // GIR_Coverage, 24403,
     /* 1940148 */     GIR_EraseRootFromParent_Done,
     /* 1940149 */   // Label 26022: @1940149
     /* 1940149 */   GIM_Try, /*On fail goto*//*Label 26023*/ GIMT_Encode4(1940235), // Rule ID 24404 //
     /* 1940154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1940165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1940168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1940171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1940174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940200 */     // MIs[0] policy
     /* 1940200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940210 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1940213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940234 */     // GIR_Coverage, 24404,
     /* 1940234 */     GIR_EraseRootFromParent_Done,
     /* 1940235 */   // Label 26023: @1940235
     /* 1940235 */   GIM_Try, /*On fail goto*//*Label 26024*/ GIMT_Encode4(1940321), // Rule ID 24407 //
     /* 1940240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1940251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1940254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1940257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1940260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1940263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940286 */     // MIs[0] policy
     /* 1940286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1940299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940320 */     // GIR_Coverage, 24407,
     /* 1940320 */     GIR_EraseRootFromParent_Done,
     /* 1940321 */   // Label 26024: @1940321
     /* 1940321 */   GIM_Try, /*On fail goto*//*Label 26025*/ GIMT_Encode4(1940407), // Rule ID 24408 //
     /* 1940326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1940337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1940340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1940343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1940346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1940349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940372 */     // MIs[0] policy
     /* 1940372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940382 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1940385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940406 */     // GIR_Coverage, 24408,
     /* 1940406 */     GIR_EraseRootFromParent_Done,
     /* 1940407 */   // Label 26025: @1940407
     /* 1940407 */   GIM_Try, /*On fail goto*//*Label 26026*/ GIMT_Encode4(1940493), // Rule ID 24411 //
     /* 1940412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1940423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1940426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1940429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1940432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1940435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940458 */     // MIs[0] policy
     /* 1940458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940468 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1940471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940492 */     // GIR_Coverage, 24411,
     /* 1940492 */     GIR_EraseRootFromParent_Done,
     /* 1940493 */   // Label 26026: @1940493
     /* 1940493 */   GIM_Try, /*On fail goto*//*Label 26027*/ GIMT_Encode4(1940579), // Rule ID 24412 //
     /* 1940498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1940509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1940512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1940515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1940518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1940521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940544 */     // MIs[0] policy
     /* 1940544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940554 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1940557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940578 */     // GIR_Coverage, 24412,
     /* 1940578 */     GIR_EraseRootFromParent_Done,
     /* 1940579 */   // Label 26027: @1940579
     /* 1940579 */   GIM_Try, /*On fail goto*//*Label 26028*/ GIMT_Encode4(1940665), // Rule ID 24415 //
     /* 1940584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1940595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1940598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1940601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1940604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940630 */     // MIs[0] policy
     /* 1940630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940640 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1940643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940664 */     // GIR_Coverage, 24415,
     /* 1940664 */     GIR_EraseRootFromParent_Done,
     /* 1940665 */   // Label 26028: @1940665
     /* 1940665 */   GIM_Try, /*On fail goto*//*Label 26029*/ GIMT_Encode4(1940751), // Rule ID 24416 //
     /* 1940670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1940681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1940684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1940687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1940690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940716 */     // MIs[0] policy
     /* 1940716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940726 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1940729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940750 */     // GIR_Coverage, 24416,
     /* 1940750 */     GIR_EraseRootFromParent_Done,
     /* 1940751 */   // Label 26029: @1940751
     /* 1940751 */   GIM_Try, /*On fail goto*//*Label 26030*/ GIMT_Encode4(1940837), // Rule ID 24419 //
     /* 1940756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1940767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1940770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1940773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1940776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940802 */     // MIs[0] policy
     /* 1940802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940812 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1940815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940836 */     // GIR_Coverage, 24419,
     /* 1940836 */     GIR_EraseRootFromParent_Done,
     /* 1940837 */   // Label 26030: @1940837
     /* 1940837 */   GIM_Try, /*On fail goto*//*Label 26031*/ GIMT_Encode4(1940923), // Rule ID 24420 //
     /* 1940842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1940853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1940856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1940859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1940862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940888 */     // MIs[0] policy
     /* 1940888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940898 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1940901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940922 */     // GIR_Coverage, 24420,
     /* 1940922 */     GIR_EraseRootFromParent_Done,
     /* 1940923 */   // Label 26031: @1940923
     /* 1940923 */   GIM_Try, /*On fail goto*//*Label 26032*/ GIMT_Encode4(1941009), // Rule ID 24423 //
     /* 1940928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1940936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1940939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1940942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1940945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1940948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1940951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940974 */     // MIs[0] policy
     /* 1940974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940984 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1940987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941008 */     // GIR_Coverage, 24423,
     /* 1941008 */     GIR_EraseRootFromParent_Done,
     /* 1941009 */   // Label 26032: @1941009
     /* 1941009 */   GIM_Try, /*On fail goto*//*Label 26033*/ GIMT_Encode4(1941095), // Rule ID 24424 //
     /* 1941014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1941025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1941028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1941031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1941034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1941037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941060 */     // MIs[0] policy
     /* 1941060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941070 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1941073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941094 */     // GIR_Coverage, 24424,
     /* 1941094 */     GIR_EraseRootFromParent_Done,
     /* 1941095 */   // Label 26033: @1941095
     /* 1941095 */   GIM_Try, /*On fail goto*//*Label 26034*/ GIMT_Encode4(1941181), // Rule ID 24427 //
     /* 1941100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1941103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1941111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1941114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1941117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1941120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941146 */     // MIs[0] policy
     /* 1941146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941156 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1941159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941180 */     // GIR_Coverage, 24427,
     /* 1941180 */     GIR_EraseRootFromParent_Done,
     /* 1941181 */   // Label 26034: @1941181
     /* 1941181 */   GIM_Try, /*On fail goto*//*Label 26035*/ GIMT_Encode4(1941267), // Rule ID 24428 //
     /* 1941186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1941189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1941197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1941200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1941203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1941206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941232 */     // MIs[0] policy
     /* 1941232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941242 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1941245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941266 */     // GIR_Coverage, 24428,
     /* 1941266 */     GIR_EraseRootFromParent_Done,
     /* 1941267 */   // Label 26035: @1941267
     /* 1941267 */   GIM_Try, /*On fail goto*//*Label 26036*/ GIMT_Encode4(1941353), // Rule ID 24431 //
     /* 1941272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1941275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1941283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1941286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1941289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1941292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941318 */     // MIs[0] policy
     /* 1941318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941328 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1941331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941352 */     // GIR_Coverage, 24431,
     /* 1941352 */     GIR_EraseRootFromParent_Done,
     /* 1941353 */   // Label 26036: @1941353
     /* 1941353 */   GIM_Try, /*On fail goto*//*Label 26037*/ GIMT_Encode4(1941439), // Rule ID 24432 //
     /* 1941358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1941361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1941369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1941372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1941375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1941378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941404 */     // MIs[0] policy
     /* 1941404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941414 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1941417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941438 */     // GIR_Coverage, 24432,
     /* 1941438 */     GIR_EraseRootFromParent_Done,
     /* 1941439 */   // Label 26037: @1941439
     /* 1941439 */   GIM_Try, /*On fail goto*//*Label 26038*/ GIMT_Encode4(1941525), // Rule ID 24435 //
     /* 1941444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1941447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1941455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1941458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1941461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1941464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941490 */     // MIs[0] policy
     /* 1941490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941500 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1941503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941524 */     // GIR_Coverage, 24435,
     /* 1941524 */     GIR_EraseRootFromParent_Done,
     /* 1941525 */   // Label 26038: @1941525
     /* 1941525 */   GIM_Try, /*On fail goto*//*Label 26039*/ GIMT_Encode4(1941611), // Rule ID 24436 //
     /* 1941530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1941533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1941538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1941541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1941544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1941547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1941550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941576 */     // MIs[0] policy
     /* 1941576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941586 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1941589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941610 */     // GIR_Coverage, 24436,
     /* 1941610 */     GIR_EraseRootFromParent_Done,
     /* 1941611 */   // Label 26039: @1941611
     /* 1941611 */   GIM_Try, /*On fail goto*//*Label 26040*/ GIMT_Encode4(1941697), // Rule ID 24439 //
     /* 1941616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1941624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1941627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1941630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1941633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1941636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941662 */     // MIs[0] policy
     /* 1941662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941672 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1941675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941696 */     // GIR_Coverage, 24439,
     /* 1941696 */     GIR_EraseRootFromParent_Done,
     /* 1941697 */   // Label 26040: @1941697
     /* 1941697 */   GIM_Try, /*On fail goto*//*Label 26041*/ GIMT_Encode4(1941783), // Rule ID 24440 //
     /* 1941702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1941710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1941713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1941716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1941719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941748 */     // MIs[0] policy
     /* 1941748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941758 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1941761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941782 */     // GIR_Coverage, 24440,
     /* 1941782 */     GIR_EraseRootFromParent_Done,
     /* 1941783 */   // Label 26041: @1941783
     /* 1941783 */   GIM_Try, /*On fail goto*//*Label 26042*/ GIMT_Encode4(1941869), // Rule ID 24443 //
     /* 1941788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1941796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1941799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1941802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1941805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1941808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941834 */     // MIs[0] policy
     /* 1941834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941844 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1941847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941868 */     // GIR_Coverage, 24443,
     /* 1941868 */     GIR_EraseRootFromParent_Done,
     /* 1941869 */   // Label 26042: @1941869
     /* 1941869 */   GIM_Try, /*On fail goto*//*Label 26043*/ GIMT_Encode4(1941955), // Rule ID 24444 //
     /* 1941874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1941882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1941885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1941888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1941891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941920 */     // MIs[0] policy
     /* 1941920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941930 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1941933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941954 */     // GIR_Coverage, 24444,
     /* 1941954 */     GIR_EraseRootFromParent_Done,
     /* 1941955 */   // Label 26043: @1941955
     /* 1941955 */   GIM_Try, /*On fail goto*//*Label 26044*/ GIMT_Encode4(1942041), // Rule ID 24447 //
     /* 1941960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1941968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1941971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1941974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1941977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1941980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942006 */     // MIs[0] policy
     /* 1942006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942016 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1942019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1942037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942040 */     // GIR_Coverage, 24447,
     /* 1942040 */     GIR_EraseRootFromParent_Done,
     /* 1942041 */   // Label 26044: @1942041
     /* 1942041 */   GIM_Try, /*On fail goto*//*Label 26045*/ GIMT_Encode4(1942127), // Rule ID 24448 //
     /* 1942046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1942054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1942057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1942060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1942063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942092 */     // MIs[0] policy
     /* 1942092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942102 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1942105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1942123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942126 */     // GIR_Coverage, 24448,
     /* 1942126 */     GIR_EraseRootFromParent_Done,
     /* 1942127 */   // Label 26045: @1942127
     /* 1942127 */   GIM_Try, /*On fail goto*//*Label 26046*/ GIMT_Encode4(1942213), // Rule ID 24451 //
     /* 1942132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1942140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1942143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1942146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1942149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1942155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942178 */     // MIs[0] policy
     /* 1942178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942188 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1942191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942212 */     // GIR_Coverage, 24451,
     /* 1942212 */     GIR_EraseRootFromParent_Done,
     /* 1942213 */   // Label 26046: @1942213
     /* 1942213 */   GIM_Try, /*On fail goto*//*Label 26047*/ GIMT_Encode4(1942299), // Rule ID 24452 //
     /* 1942218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1942226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1942229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1942232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1942235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1942241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942264 */     // MIs[0] policy
     /* 1942264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942274 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1942277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942298 */     // GIR_Coverage, 24452,
     /* 1942298 */     GIR_EraseRootFromParent_Done,
     /* 1942299 */   // Label 26047: @1942299
     /* 1942299 */   GIM_Try, /*On fail goto*//*Label 26048*/ GIMT_Encode4(1942385), // Rule ID 24455 //
     /* 1942304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1942312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1942315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1942318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1942321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942350 */     // MIs[0] policy
     /* 1942350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942360 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1942363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942384 */     // GIR_Coverage, 24455,
     /* 1942384 */     GIR_EraseRootFromParent_Done,
     /* 1942385 */   // Label 26048: @1942385
     /* 1942385 */   GIM_Try, /*On fail goto*//*Label 26049*/ GIMT_Encode4(1942471), // Rule ID 24456 //
     /* 1942390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1942398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1942401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1942404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1942407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942436 */     // MIs[0] policy
     /* 1942436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942446 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1942449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942470 */     // GIR_Coverage, 24456,
     /* 1942470 */     GIR_EraseRootFromParent_Done,
     /* 1942471 */   // Label 26049: @1942471
     /* 1942471 */   GIM_Try, /*On fail goto*//*Label 26050*/ GIMT_Encode4(1942557), // Rule ID 24459 //
     /* 1942476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1942484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1942487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1942490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1942493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1942499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942522 */     // MIs[0] policy
     /* 1942522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942532 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1942535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942556 */     // GIR_Coverage, 24459,
     /* 1942556 */     GIR_EraseRootFromParent_Done,
     /* 1942557 */   // Label 26050: @1942557
     /* 1942557 */   GIM_Try, /*On fail goto*//*Label 26051*/ GIMT_Encode4(1942643), // Rule ID 24460 //
     /* 1942562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1942570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1942573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1942576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1942579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1942585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942608 */     // MIs[0] policy
     /* 1942608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942618 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1942621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942642 */     // GIR_Coverage, 24460,
     /* 1942642 */     GIR_EraseRootFromParent_Done,
     /* 1942643 */   // Label 26051: @1942643
     /* 1942643 */   GIM_Try, /*On fail goto*//*Label 26052*/ GIMT_Encode4(1942729), // Rule ID 24463 //
     /* 1942648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1942656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1942659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1942662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1942665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942694 */     // MIs[0] policy
     /* 1942694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942704 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1942707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1942725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942728 */     // GIR_Coverage, 24463,
     /* 1942728 */     GIR_EraseRootFromParent_Done,
     /* 1942729 */   // Label 26052: @1942729
     /* 1942729 */   GIM_Try, /*On fail goto*//*Label 26053*/ GIMT_Encode4(1942815), // Rule ID 24464 //
     /* 1942734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1942742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1942745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1942748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1942751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942780 */     // MIs[0] policy
     /* 1942780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942790 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1942793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1942811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942814 */     // GIR_Coverage, 24464,
     /* 1942814 */     GIR_EraseRootFromParent_Done,
     /* 1942815 */   // Label 26053: @1942815
     /* 1942815 */   GIM_Try, /*On fail goto*//*Label 26054*/ GIMT_Encode4(1942901), // Rule ID 24467 //
     /* 1942820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1942828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1942831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1942834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1942837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942866 */     // MIs[0] policy
     /* 1942866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942876 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1942879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942900 */     // GIR_Coverage, 24467,
     /* 1942900 */     GIR_EraseRootFromParent_Done,
     /* 1942901 */   // Label 26054: @1942901
     /* 1942901 */   GIM_Try, /*On fail goto*//*Label 26055*/ GIMT_Encode4(1942987), // Rule ID 24468 //
     /* 1942906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1942914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1942917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1942920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1942923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942952 */     // MIs[0] policy
     /* 1942952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942962 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1942965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942986 */     // GIR_Coverage, 24468,
     /* 1942986 */     GIR_EraseRootFromParent_Done,
     /* 1942987 */   // Label 26055: @1942987
     /* 1942987 */   GIM_Try, /*On fail goto*//*Label 26056*/ GIMT_Encode4(1943073), // Rule ID 24471 //
     /* 1942992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1943003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1943006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1943009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943038 */     // MIs[0] policy
     /* 1943038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943048 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1943051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943072 */     // GIR_Coverage, 24471,
     /* 1943072 */     GIR_EraseRootFromParent_Done,
     /* 1943073 */   // Label 26056: @1943073
     /* 1943073 */   GIM_Try, /*On fail goto*//*Label 26057*/ GIMT_Encode4(1943159), // Rule ID 24472 //
     /* 1943078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1943089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1943092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1943095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943124 */     // MIs[0] policy
     /* 1943124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1943137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943158 */     // GIR_Coverage, 24472,
     /* 1943158 */     GIR_EraseRootFromParent_Done,
     /* 1943159 */   // Label 26057: @1943159
     /* 1943159 */   GIM_Try, /*On fail goto*//*Label 26058*/ GIMT_Encode4(1943245), // Rule ID 24475 //
     /* 1943164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1943167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1943175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1943178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1943181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943210 */     // MIs[0] policy
     /* 1943210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943220 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1943223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943244 */     // GIR_Coverage, 24475,
     /* 1943244 */     GIR_EraseRootFromParent_Done,
     /* 1943245 */   // Label 26058: @1943245
     /* 1943245 */   GIM_Try, /*On fail goto*//*Label 26059*/ GIMT_Encode4(1943331), // Rule ID 24476 //
     /* 1943250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1943253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1943261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1943264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1943267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943296 */     // MIs[0] policy
     /* 1943296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943306 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1943309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943330 */     // GIR_Coverage, 24476,
     /* 1943330 */     GIR_EraseRootFromParent_Done,
     /* 1943331 */   // Label 26059: @1943331
     /* 1943331 */   GIM_Try, /*On fail goto*//*Label 26060*/ GIMT_Encode4(1943417), // Rule ID 24479 //
     /* 1943336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1943347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1943350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1943353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1943359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943382 */     // MIs[0] policy
     /* 1943382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943392 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1943395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943416 */     // GIR_Coverage, 24479,
     /* 1943416 */     GIR_EraseRootFromParent_Done,
     /* 1943417 */   // Label 26060: @1943417
     /* 1943417 */   GIM_Try, /*On fail goto*//*Label 26061*/ GIMT_Encode4(1943503), // Rule ID 24480 //
     /* 1943422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1943433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1943436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1943439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1943445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943468 */     // MIs[0] policy
     /* 1943468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943478 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1943481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943502 */     // GIR_Coverage, 24480,
     /* 1943502 */     GIR_EraseRootFromParent_Done,
     /* 1943503 */   // Label 26061: @1943503
     /* 1943503 */   GIM_Try, /*On fail goto*//*Label 26062*/ GIMT_Encode4(1943589), // Rule ID 24483 //
     /* 1943508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1943519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1943522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1943525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1943531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943554 */     // MIs[0] policy
     /* 1943554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943564 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1943567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943588 */     // GIR_Coverage, 24483,
     /* 1943588 */     GIR_EraseRootFromParent_Done,
     /* 1943589 */   // Label 26062: @1943589
     /* 1943589 */   GIM_Try, /*On fail goto*//*Label 26063*/ GIMT_Encode4(1943675), // Rule ID 24484 //
     /* 1943594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1943605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1943608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1943611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1943617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943640 */     // MIs[0] policy
     /* 1943640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943650 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1943653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943674 */     // GIR_Coverage, 24484,
     /* 1943674 */     GIR_EraseRootFromParent_Done,
     /* 1943675 */   // Label 26063: @1943675
     /* 1943675 */   GIM_Try, /*On fail goto*//*Label 26064*/ GIMT_Encode4(1943761), // Rule ID 24487 //
     /* 1943680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1943691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1943694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1943697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1943703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943726 */     // MIs[0] policy
     /* 1943726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943736 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1943739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943760 */     // GIR_Coverage, 24487,
     /* 1943760 */     GIR_EraseRootFromParent_Done,
     /* 1943761 */   // Label 26064: @1943761
     /* 1943761 */   GIM_Try, /*On fail goto*//*Label 26065*/ GIMT_Encode4(1943847), // Rule ID 24488 //
     /* 1943766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1943777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1943780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1943783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1943789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943812 */     // MIs[0] policy
     /* 1943812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943822 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1943825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1943843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943846 */     // GIR_Coverage, 24488,
     /* 1943846 */     GIR_EraseRootFromParent_Done,
     /* 1943847 */   // Label 26065: @1943847
     /* 1943847 */   GIM_Try, /*On fail goto*//*Label 26066*/ GIMT_Encode4(1943933), // Rule ID 24491 //
     /* 1943852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1943863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1943866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1943869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943898 */     // MIs[0] policy
     /* 1943898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943908 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1943911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943932 */     // GIR_Coverage, 24491,
     /* 1943932 */     GIR_EraseRootFromParent_Done,
     /* 1943933 */   // Label 26066: @1943933
     /* 1943933 */   GIM_Try, /*On fail goto*//*Label 26067*/ GIMT_Encode4(1944019), // Rule ID 24492 //
     /* 1943938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1943946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1943949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1943952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1943955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943984 */     // MIs[0] policy
     /* 1943984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943994 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1943997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944018 */     // GIR_Coverage, 24492,
     /* 1944018 */     GIR_EraseRootFromParent_Done,
     /* 1944019 */   // Label 26067: @1944019
     /* 1944019 */   GIM_Try, /*On fail goto*//*Label 26068*/ GIMT_Encode4(1944105), // Rule ID 24495 //
     /* 1944024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1944035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1944038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1944041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1944047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944070 */     // MIs[0] policy
     /* 1944070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944080 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1944083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944104 */     // GIR_Coverage, 24495,
     /* 1944104 */     GIR_EraseRootFromParent_Done,
     /* 1944105 */   // Label 26068: @1944105
     /* 1944105 */   GIM_Try, /*On fail goto*//*Label 26069*/ GIMT_Encode4(1944191), // Rule ID 24496 //
     /* 1944110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1944121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1944124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1944127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1944133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944156 */     // MIs[0] policy
     /* 1944156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944166 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1944169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944190 */     // GIR_Coverage, 24496,
     /* 1944190 */     GIR_EraseRootFromParent_Done,
     /* 1944191 */   // Label 26069: @1944191
     /* 1944191 */   GIM_Try, /*On fail goto*//*Label 26070*/ GIMT_Encode4(1944277), // Rule ID 24499 //
     /* 1944196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1944207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1944210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1944213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1944219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944242 */     // MIs[0] policy
     /* 1944242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944252 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1944255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944276 */     // GIR_Coverage, 24499,
     /* 1944276 */     GIR_EraseRootFromParent_Done,
     /* 1944277 */   // Label 26070: @1944277
     /* 1944277 */   GIM_Try, /*On fail goto*//*Label 26071*/ GIMT_Encode4(1944363), // Rule ID 24500 //
     /* 1944282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1944293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1944296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1944299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1944305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944328 */     // MIs[0] policy
     /* 1944328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944338 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1944341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944362 */     // GIR_Coverage, 24500,
     /* 1944362 */     GIR_EraseRootFromParent_Done,
     /* 1944363 */   // Label 26071: @1944363
     /* 1944363 */   GIM_Try, /*On fail goto*//*Label 26072*/ GIMT_Encode4(1944449), // Rule ID 24503 //
     /* 1944368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1944379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1944382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1944385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944414 */     // MIs[0] policy
     /* 1944414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944424 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1944427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944448 */     // GIR_Coverage, 24503,
     /* 1944448 */     GIR_EraseRootFromParent_Done,
     /* 1944449 */   // Label 26072: @1944449
     /* 1944449 */   GIM_Try, /*On fail goto*//*Label 26073*/ GIMT_Encode4(1944535), // Rule ID 24504 //
     /* 1944454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1944465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1944468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1944471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944500 */     // MIs[0] policy
     /* 1944500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944510 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1944513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944534 */     // GIR_Coverage, 24504,
     /* 1944534 */     GIR_EraseRootFromParent_Done,
     /* 1944535 */   // Label 26073: @1944535
     /* 1944535 */   GIM_Try, /*On fail goto*//*Label 26074*/ GIMT_Encode4(1944621), // Rule ID 24507 //
     /* 1944540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1944551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1944554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1944557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944586 */     // MIs[0] policy
     /* 1944586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944596 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1944599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944620 */     // GIR_Coverage, 24507,
     /* 1944620 */     GIR_EraseRootFromParent_Done,
     /* 1944621 */   // Label 26074: @1944621
     /* 1944621 */   GIM_Try, /*On fail goto*//*Label 26075*/ GIMT_Encode4(1944707), // Rule ID 24508 //
     /* 1944626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1944637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1944640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1944643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944672 */     // MIs[0] policy
     /* 1944672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944682 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1944685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944706 */     // GIR_Coverage, 24508,
     /* 1944706 */     GIR_EraseRootFromParent_Done,
     /* 1944707 */   // Label 26075: @1944707
     /* 1944707 */   GIM_Try, /*On fail goto*//*Label 26076*/ GIMT_Encode4(1944793), // Rule ID 24511 //
     /* 1944712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1944715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1944723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1944726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1944729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1944735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944758 */     // MIs[0] policy
     /* 1944758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944768 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1944771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944792 */     // GIR_Coverage, 24511,
     /* 1944792 */     GIR_EraseRootFromParent_Done,
     /* 1944793 */   // Label 26076: @1944793
     /* 1944793 */   GIM_Try, /*On fail goto*//*Label 26077*/ GIMT_Encode4(1944879), // Rule ID 24512 //
     /* 1944798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1944801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1944809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1944812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1944815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1944821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944844 */     // MIs[0] policy
     /* 1944844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944854 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1944857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944878 */     // GIR_Coverage, 24512,
     /* 1944878 */     GIR_EraseRootFromParent_Done,
     /* 1944879 */   // Label 26077: @1944879
     /* 1944879 */   GIM_Try, /*On fail goto*//*Label 26078*/ GIMT_Encode4(1944965), // Rule ID 24515 //
     /* 1944884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1944887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1944895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1944898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1944901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944930 */     // MIs[0] policy
     /* 1944930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944940 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1944943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944964 */     // GIR_Coverage, 24515,
     /* 1944964 */     GIR_EraseRootFromParent_Done,
     /* 1944965 */   // Label 26078: @1944965
     /* 1944965 */   GIM_Try, /*On fail goto*//*Label 26079*/ GIMT_Encode4(1945051), // Rule ID 24516 //
     /* 1944970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1944973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1944978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1944981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1944984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1944987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945016 */     // MIs[0] policy
     /* 1945016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945026 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1945029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945050 */     // GIR_Coverage, 24516,
     /* 1945050 */     GIR_EraseRootFromParent_Done,
     /* 1945051 */   // Label 26079: @1945051
     /* 1945051 */   GIM_Try, /*On fail goto*//*Label 26080*/ GIMT_Encode4(1945137), // Rule ID 24519 //
     /* 1945056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1945059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1945067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1945070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1945073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945102 */     // MIs[0] policy
     /* 1945102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945112 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1945115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945136 */     // GIR_Coverage, 24519,
     /* 1945136 */     GIR_EraseRootFromParent_Done,
     /* 1945137 */   // Label 26080: @1945137
     /* 1945137 */   GIM_Try, /*On fail goto*//*Label 26081*/ GIMT_Encode4(1945223), // Rule ID 24520 //
     /* 1945142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1945145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1945153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1945156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1945159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945188 */     // MIs[0] policy
     /* 1945188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945198 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1945201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945222 */     // GIR_Coverage, 24520,
     /* 1945222 */     GIR_EraseRootFromParent_Done,
     /* 1945223 */   // Label 26081: @1945223
     /* 1945223 */   GIM_Try, /*On fail goto*//*Label 26082*/ GIMT_Encode4(1945309), // Rule ID 24523 //
     /* 1945228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1945231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1945239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1945242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1945245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945274 */     // MIs[0] policy
     /* 1945274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945284 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1945287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945308 */     // GIR_Coverage, 24523,
     /* 1945308 */     GIR_EraseRootFromParent_Done,
     /* 1945309 */   // Label 26082: @1945309
     /* 1945309 */   GIM_Try, /*On fail goto*//*Label 26083*/ GIMT_Encode4(1945395), // Rule ID 24524 //
     /* 1945314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1945317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1945325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1945328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1945331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945360 */     // MIs[0] policy
     /* 1945360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945370 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1945373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945394 */     // GIR_Coverage, 24524,
     /* 1945394 */     GIR_EraseRootFromParent_Done,
     /* 1945395 */   // Label 26083: @1945395
     /* 1945395 */   GIM_Try, /*On fail goto*//*Label 26084*/ GIMT_Encode4(1945481), // Rule ID 24615 //
     /* 1945400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1945408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1945411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1945414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1945417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1945420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945446 */     // MIs[0] policy
     /* 1945446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945456 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1945459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945480 */     // GIR_Coverage, 24615,
     /* 1945480 */     GIR_EraseRootFromParent_Done,
     /* 1945481 */   // Label 26084: @1945481
     /* 1945481 */   GIM_Try, /*On fail goto*//*Label 26085*/ GIMT_Encode4(1945567), // Rule ID 24616 //
     /* 1945486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1945494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1945497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1945500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1945503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1945506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945532 */     // MIs[0] policy
     /* 1945532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945542 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1945545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945566 */     // GIR_Coverage, 24616,
     /* 1945566 */     GIR_EraseRootFromParent_Done,
     /* 1945567 */   // Label 26085: @1945567
     /* 1945567 */   GIM_Try, /*On fail goto*//*Label 26086*/ GIMT_Encode4(1945653), // Rule ID 24619 //
     /* 1945572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1945580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1945583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1945586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1945589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1945592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945618 */     // MIs[0] policy
     /* 1945618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945628 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1945631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945652 */     // GIR_Coverage, 24619,
     /* 1945652 */     GIR_EraseRootFromParent_Done,
     /* 1945653 */   // Label 26086: @1945653
     /* 1945653 */   GIM_Try, /*On fail goto*//*Label 26087*/ GIMT_Encode4(1945739), // Rule ID 24620 //
     /* 1945658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1945666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1945669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1945672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1945675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1945678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945704 */     // MIs[0] policy
     /* 1945704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945714 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1945717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945738 */     // GIR_Coverage, 24620,
     /* 1945738 */     GIR_EraseRootFromParent_Done,
     /* 1945739 */   // Label 26087: @1945739
     /* 1945739 */   GIM_Try, /*On fail goto*//*Label 26088*/ GIMT_Encode4(1945825), // Rule ID 24623 //
     /* 1945744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1945752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1945755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1945758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1945761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1945764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945790 */     // MIs[0] policy
     /* 1945790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945800 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1945803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945824 */     // GIR_Coverage, 24623,
     /* 1945824 */     GIR_EraseRootFromParent_Done,
     /* 1945825 */   // Label 26088: @1945825
     /* 1945825 */   GIM_Try, /*On fail goto*//*Label 26089*/ GIMT_Encode4(1945911), // Rule ID 24624 //
     /* 1945830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1945833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1945838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1945841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1945844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1945847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1945850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945876 */     // MIs[0] policy
     /* 1945876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945886 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1945889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1945907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945910 */     // GIR_Coverage, 24624,
     /* 1945910 */     GIR_EraseRootFromParent_Done,
     /* 1945911 */   // Label 26089: @1945911
     /* 1945911 */   GIM_Try, /*On fail goto*//*Label 26090*/ GIMT_Encode4(1945997), // Rule ID 24627 //
     /* 1945916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1945919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1945924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1945927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1945930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1945933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1945936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945962 */     // MIs[0] policy
     /* 1945962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945972 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1945975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945996 */     // GIR_Coverage, 24627,
     /* 1945996 */     GIR_EraseRootFromParent_Done,
     /* 1945997 */   // Label 26090: @1945997
     /* 1945997 */   GIM_Try, /*On fail goto*//*Label 26091*/ GIMT_Encode4(1946083), // Rule ID 24628 //
     /* 1946002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1946013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1946016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1946019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1946022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946048 */     // MIs[0] policy
     /* 1946048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946058 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1946061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946082 */     // GIR_Coverage, 24628,
     /* 1946082 */     GIR_EraseRootFromParent_Done,
     /* 1946083 */   // Label 26091: @1946083
     /* 1946083 */   GIM_Try, /*On fail goto*//*Label 26092*/ GIMT_Encode4(1946169), // Rule ID 24631 //
     /* 1946088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1946099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1946102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1946105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1946108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946134 */     // MIs[0] policy
     /* 1946134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1946147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946168 */     // GIR_Coverage, 24631,
     /* 1946168 */     GIR_EraseRootFromParent_Done,
     /* 1946169 */   // Label 26092: @1946169
     /* 1946169 */   GIM_Try, /*On fail goto*//*Label 26093*/ GIMT_Encode4(1946255), // Rule ID 24632 //
     /* 1946174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1946185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1946188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1946191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1946194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946220 */     // MIs[0] policy
     /* 1946220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946230 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1946233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946254 */     // GIR_Coverage, 24632,
     /* 1946254 */     GIR_EraseRootFromParent_Done,
     /* 1946255 */   // Label 26093: @1946255
     /* 1946255 */   GIM_Try, /*On fail goto*//*Label 26094*/ GIMT_Encode4(1946341), // Rule ID 24635 //
     /* 1946260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1946271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1946274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1946277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1946280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946306 */     // MIs[0] policy
     /* 1946306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946316 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1946319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946340 */     // GIR_Coverage, 24635,
     /* 1946340 */     GIR_EraseRootFromParent_Done,
     /* 1946341 */   // Label 26094: @1946341
     /* 1946341 */   GIM_Try, /*On fail goto*//*Label 26095*/ GIMT_Encode4(1946427), // Rule ID 24636 //
     /* 1946346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1946357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1946360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1946363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1946366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946392 */     // MIs[0] policy
     /* 1946392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946402 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1946405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946426 */     // GIR_Coverage, 24636,
     /* 1946426 */     GIR_EraseRootFromParent_Done,
     /* 1946427 */   // Label 26095: @1946427
     /* 1946427 */   GIM_Try, /*On fail goto*//*Label 26096*/ GIMT_Encode4(1946513), // Rule ID 24639 //
     /* 1946432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1946443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1946446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1946449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1946452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946478 */     // MIs[0] policy
     /* 1946478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946488 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1946491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946512 */     // GIR_Coverage, 24639,
     /* 1946512 */     GIR_EraseRootFromParent_Done,
     /* 1946513 */   // Label 26096: @1946513
     /* 1946513 */   GIM_Try, /*On fail goto*//*Label 26097*/ GIMT_Encode4(1946599), // Rule ID 24640 //
     /* 1946518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1946529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1946532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1946535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1946538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946564 */     // MIs[0] policy
     /* 1946564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946574 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1946577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1946595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946598 */     // GIR_Coverage, 24640,
     /* 1946598 */     GIR_EraseRootFromParent_Done,
     /* 1946599 */   // Label 26097: @1946599
     /* 1946599 */   GIM_Try, /*On fail goto*//*Label 26098*/ GIMT_Encode4(1946685), // Rule ID 24643 //
     /* 1946604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1946615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1946618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1946621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1946624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946650 */     // MIs[0] policy
     /* 1946650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946660 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1946663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946684 */     // GIR_Coverage, 24643,
     /* 1946684 */     GIR_EraseRootFromParent_Done,
     /* 1946685 */   // Label 26098: @1946685
     /* 1946685 */   GIM_Try, /*On fail goto*//*Label 26099*/ GIMT_Encode4(1946771), // Rule ID 24644 //
     /* 1946690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1946701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1946704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1946707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1946710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946736 */     // MIs[0] policy
     /* 1946736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1946749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946770 */     // GIR_Coverage, 24644,
     /* 1946770 */     GIR_EraseRootFromParent_Done,
     /* 1946771 */   // Label 26099: @1946771
     /* 1946771 */   GIM_Try, /*On fail goto*//*Label 26100*/ GIMT_Encode4(1946857), // Rule ID 24647 //
     /* 1946776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1946779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1946787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1946790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1946793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1946796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946822 */     // MIs[0] policy
     /* 1946822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946832 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1946835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946856 */     // GIR_Coverage, 24647,
     /* 1946856 */     GIR_EraseRootFromParent_Done,
     /* 1946857 */   // Label 26100: @1946857
     /* 1946857 */   GIM_Try, /*On fail goto*//*Label 26101*/ GIMT_Encode4(1946943), // Rule ID 24648 //
     /* 1946862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1946865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1946873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1946876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1946879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1946882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946908 */     // MIs[0] policy
     /* 1946908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946918 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1946921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946942 */     // GIR_Coverage, 24648,
     /* 1946942 */     GIR_EraseRootFromParent_Done,
     /* 1946943 */   // Label 26101: @1946943
     /* 1946943 */   GIM_Try, /*On fail goto*//*Label 26102*/ GIMT_Encode4(1947029), // Rule ID 24651 //
     /* 1946948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1946951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1946956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1946959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1946962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1946965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1946968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946994 */     // MIs[0] policy
     /* 1946994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947004 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1947007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947028 */     // GIR_Coverage, 24651,
     /* 1947028 */     GIR_EraseRootFromParent_Done,
     /* 1947029 */   // Label 26102: @1947029
     /* 1947029 */   GIM_Try, /*On fail goto*//*Label 26103*/ GIMT_Encode4(1947115), // Rule ID 24652 //
     /* 1947034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1947037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1947045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1947048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1947051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947080 */     // MIs[0] policy
     /* 1947080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947090 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1947093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947114 */     // GIR_Coverage, 24652,
     /* 1947114 */     GIR_EraseRootFromParent_Done,
     /* 1947115 */   // Label 26103: @1947115
     /* 1947115 */   GIM_Try, /*On fail goto*//*Label 26104*/ GIMT_Encode4(1947201), // Rule ID 24655 //
     /* 1947120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1947131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1947134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1947137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1947140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1947143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1947150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947166 */     // MIs[0] policy
     /* 1947166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947176 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1947179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947200 */     // GIR_Coverage, 24655,
     /* 1947200 */     GIR_EraseRootFromParent_Done,
     /* 1947201 */   // Label 26104: @1947201
     /* 1947201 */   GIM_Try, /*On fail goto*//*Label 26105*/ GIMT_Encode4(1947287), // Rule ID 24656 //
     /* 1947206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1947217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1947220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1947223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1947226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1947229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1947236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947252 */     // MIs[0] policy
     /* 1947252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947262 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1947265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947286 */     // GIR_Coverage, 24656,
     /* 1947286 */     GIR_EraseRootFromParent_Done,
     /* 1947287 */   // Label 26105: @1947287
     /* 1947287 */   GIM_Try, /*On fail goto*//*Label 26106*/ GIMT_Encode4(1947373), // Rule ID 24659 //
     /* 1947292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1947303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1947306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1947309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1947312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1947315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1947322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947338 */     // MIs[0] policy
     /* 1947338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947348 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1947351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947372 */     // GIR_Coverage, 24659,
     /* 1947372 */     GIR_EraseRootFromParent_Done,
     /* 1947373 */   // Label 26106: @1947373
     /* 1947373 */   GIM_Try, /*On fail goto*//*Label 26107*/ GIMT_Encode4(1947459), // Rule ID 24660 //
     /* 1947378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1947389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1947392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1947395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1947398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1947401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1947408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947424 */     // MIs[0] policy
     /* 1947424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947434 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1947437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1947455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947458 */     // GIR_Coverage, 24660,
     /* 1947458 */     GIR_EraseRootFromParent_Done,
     /* 1947459 */   // Label 26107: @1947459
     /* 1947459 */   GIM_Try, /*On fail goto*//*Label 26108*/ GIMT_Encode4(1947545), // Rule ID 24663 //
     /* 1947464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1947475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1947478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1947481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1947484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1947494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947510 */     // MIs[0] policy
     /* 1947510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947520 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1947523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947544 */     // GIR_Coverage, 24663,
     /* 1947544 */     GIR_EraseRootFromParent_Done,
     /* 1947545 */   // Label 26108: @1947545
     /* 1947545 */   GIM_Try, /*On fail goto*//*Label 26109*/ GIMT_Encode4(1947631), // Rule ID 24664 //
     /* 1947550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1947561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1947564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1947567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1947570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1947580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947596 */     // MIs[0] policy
     /* 1947596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947606 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1947609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947630 */     // GIR_Coverage, 24664,
     /* 1947630 */     GIR_EraseRootFromParent_Done,
     /* 1947631 */   // Label 26109: @1947631
     /* 1947631 */   GIM_Try, /*On fail goto*//*Label 26110*/ GIMT_Encode4(1947717), // Rule ID 24667 //
     /* 1947636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1947647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1947650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1947653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1947656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1947659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1947666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947682 */     // MIs[0] policy
     /* 1947682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947692 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1947695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947716 */     // GIR_Coverage, 24667,
     /* 1947716 */     GIR_EraseRootFromParent_Done,
     /* 1947717 */   // Label 26110: @1947717
     /* 1947717 */   GIM_Try, /*On fail goto*//*Label 26111*/ GIMT_Encode4(1947803), // Rule ID 24668 //
     /* 1947722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1947733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1947736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1947739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1947742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1947745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1947752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947768 */     // MIs[0] policy
     /* 1947768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947778 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1947781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947802 */     // GIR_Coverage, 24668,
     /* 1947802 */     GIR_EraseRootFromParent_Done,
     /* 1947803 */   // Label 26111: @1947803
     /* 1947803 */   GIM_Try, /*On fail goto*//*Label 26112*/ GIMT_Encode4(1947889), // Rule ID 24671 //
     /* 1947808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1947819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1947822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1947825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1947828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1947831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1947838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947854 */     // MIs[0] policy
     /* 1947854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947864 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1947867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947888 */     // GIR_Coverage, 24671,
     /* 1947888 */     GIR_EraseRootFromParent_Done,
     /* 1947889 */   // Label 26112: @1947889
     /* 1947889 */   GIM_Try, /*On fail goto*//*Label 26113*/ GIMT_Encode4(1947975), // Rule ID 24672 //
     /* 1947894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1947897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1947905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1947908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1947911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1947914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1947917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1947924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947940 */     // MIs[0] policy
     /* 1947940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947950 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1947953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947974 */     // GIR_Coverage, 24672,
     /* 1947974 */     GIR_EraseRootFromParent_Done,
     /* 1947975 */   // Label 26113: @1947975
     /* 1947975 */   GIM_Try, /*On fail goto*//*Label 26114*/ GIMT_Encode4(1948061), // Rule ID 24675 //
     /* 1947980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1947983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1947988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1947991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1947994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1947997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1948000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948026 */     // MIs[0] policy
     /* 1948026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948036 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1948039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948060 */     // GIR_Coverage, 24675,
     /* 1948060 */     GIR_EraseRootFromParent_Done,
     /* 1948061 */   // Label 26114: @1948061
     /* 1948061 */   GIM_Try, /*On fail goto*//*Label 26115*/ GIMT_Encode4(1948147), // Rule ID 24676 //
     /* 1948066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1948077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1948080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1948083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1948086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948112 */     // MIs[0] policy
     /* 1948112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948122 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1948125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948146 */     // GIR_Coverage, 24676,
     /* 1948146 */     GIR_EraseRootFromParent_Done,
     /* 1948147 */   // Label 26115: @1948147
     /* 1948147 */   GIM_Try, /*On fail goto*//*Label 26116*/ GIMT_Encode4(1948233), // Rule ID 24679 //
     /* 1948152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1948163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1948166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1948169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1948172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948198 */     // MIs[0] policy
     /* 1948198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948208 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1948211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948232 */     // GIR_Coverage, 24679,
     /* 1948232 */     GIR_EraseRootFromParent_Done,
     /* 1948233 */   // Label 26116: @1948233
     /* 1948233 */   GIM_Try, /*On fail goto*//*Label 26117*/ GIMT_Encode4(1948319), // Rule ID 24680 //
     /* 1948238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1948249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1948252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1948255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1948258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948284 */     // MIs[0] policy
     /* 1948284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948294 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1948297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948318 */     // GIR_Coverage, 24680,
     /* 1948318 */     GIR_EraseRootFromParent_Done,
     /* 1948319 */   // Label 26117: @1948319
     /* 1948319 */   GIM_Try, /*On fail goto*//*Label 26118*/ GIMT_Encode4(1948405), // Rule ID 24683 //
     /* 1948324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1948327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1948335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1948338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1948341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1948354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948370 */     // MIs[0] policy
     /* 1948370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948380 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1948383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948404 */     // GIR_Coverage, 24683,
     /* 1948404 */     GIR_EraseRootFromParent_Done,
     /* 1948405 */   // Label 26118: @1948405
     /* 1948405 */   GIM_Try, /*On fail goto*//*Label 26119*/ GIMT_Encode4(1948491), // Rule ID 24684 //
     /* 1948410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1948413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1948421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1948424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1948427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1948440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948456 */     // MIs[0] policy
     /* 1948456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948466 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1948469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948490 */     // GIR_Coverage, 24684,
     /* 1948490 */     GIR_EraseRootFromParent_Done,
     /* 1948491 */   // Label 26119: @1948491
     /* 1948491 */   GIM_Try, /*On fail goto*//*Label 26120*/ GIMT_Encode4(1948577), // Rule ID 24687 //
     /* 1948496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1948499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1948507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1948510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1948513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1948516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948542 */     // MIs[0] policy
     /* 1948542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1948555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948576 */     // GIR_Coverage, 24687,
     /* 1948576 */     GIR_EraseRootFromParent_Done,
     /* 1948577 */   // Label 26120: @1948577
     /* 1948577 */   GIM_Try, /*On fail goto*//*Label 26121*/ GIMT_Encode4(1948663), // Rule ID 24688 //
     /* 1948582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1948585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1948593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1948596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1948599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1948602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948628 */     // MIs[0] policy
     /* 1948628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948638 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1948641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948662 */     // GIR_Coverage, 24688,
     /* 1948662 */     GIR_EraseRootFromParent_Done,
     /* 1948663 */   // Label 26121: @1948663
     /* 1948663 */   GIM_Try, /*On fail goto*//*Label 26122*/ GIMT_Encode4(1948749), // Rule ID 24691 //
     /* 1948668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1948671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1948679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1948682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1948685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1948688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948714 */     // MIs[0] policy
     /* 1948714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948724 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1948727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948748 */     // GIR_Coverage, 24691,
     /* 1948748 */     GIR_EraseRootFromParent_Done,
     /* 1948749 */   // Label 26122: @1948749
     /* 1948749 */   GIM_Try, /*On fail goto*//*Label 26123*/ GIMT_Encode4(1948835), // Rule ID 24692 //
     /* 1948754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1948757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1948765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1948768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1948771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1948774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948800 */     // MIs[0] policy
     /* 1948800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948810 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1948813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948834 */     // GIR_Coverage, 24692,
     /* 1948834 */     GIR_EraseRootFromParent_Done,
     /* 1948835 */   // Label 26123: @1948835
     /* 1948835 */   GIM_Try, /*On fail goto*//*Label 26124*/ GIMT_Encode4(1948921), // Rule ID 24695 //
     /* 1948840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1948843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1948851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1948854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1948857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1948860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1948870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948886 */     // MIs[0] policy
     /* 1948886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948896 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1948899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948920 */     // GIR_Coverage, 24695,
     /* 1948920 */     GIR_EraseRootFromParent_Done,
     /* 1948921 */   // Label 26124: @1948921
     /* 1948921 */   GIM_Try, /*On fail goto*//*Label 26125*/ GIMT_Encode4(1949007), // Rule ID 24696 //
     /* 1948926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1948929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1948934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1948937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1948940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1948943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1948946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1948956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948972 */     // MIs[0] policy
     /* 1948972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948982 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1948985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949006 */     // GIR_Coverage, 24696,
     /* 1949006 */     GIR_EraseRootFromParent_Done,
     /* 1949007 */   // Label 26125: @1949007
     /* 1949007 */   GIM_Try, /*On fail goto*//*Label 26126*/ GIMT_Encode4(1949093), // Rule ID 24699 //
     /* 1949012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1949015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1949023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1949026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1949029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1949032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1949035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949058 */     // MIs[0] policy
     /* 1949058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949068 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1949071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949092 */     // GIR_Coverage, 24699,
     /* 1949092 */     GIR_EraseRootFromParent_Done,
     /* 1949093 */   // Label 26126: @1949093
     /* 1949093 */   GIM_Try, /*On fail goto*//*Label 26127*/ GIMT_Encode4(1949179), // Rule ID 24700 //
     /* 1949098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1949101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1949109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1949112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1949115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1949118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1949121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949144 */     // MIs[0] policy
     /* 1949144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949154 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1949157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949178 */     // GIR_Coverage, 24700,
     /* 1949178 */     GIR_EraseRootFromParent_Done,
     /* 1949179 */   // Label 26127: @1949179
     /* 1949179 */   GIM_Try, /*On fail goto*//*Label 26128*/ GIMT_Encode4(1949265), // Rule ID 24703 //
     /* 1949184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1949187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1949195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1949198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1949201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1949204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949230 */     // MIs[0] policy
     /* 1949230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949240 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1949243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949264 */     // GIR_Coverage, 24703,
     /* 1949264 */     GIR_EraseRootFromParent_Done,
     /* 1949265 */   // Label 26128: @1949265
     /* 1949265 */   GIM_Try, /*On fail goto*//*Label 26129*/ GIMT_Encode4(1949351), // Rule ID 24704 //
     /* 1949270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1949273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1949281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1949284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1949287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1949290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949316 */     // MIs[0] policy
     /* 1949316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949326 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1949329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949350 */     // GIR_Coverage, 24704,
     /* 1949350 */     GIR_EraseRootFromParent_Done,
     /* 1949351 */   // Label 26129: @1949351
     /* 1949351 */   GIM_Try, /*On fail goto*//*Label 26130*/ GIMT_Encode4(1949437), // Rule ID 24707 //
     /* 1949356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1949359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1949367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1949370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1949373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1949376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1949379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949402 */     // MIs[0] policy
     /* 1949402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949412 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1949415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949436 */     // GIR_Coverage, 24707,
     /* 1949436 */     GIR_EraseRootFromParent_Done,
     /* 1949437 */   // Label 26130: @1949437
     /* 1949437 */   GIM_Try, /*On fail goto*//*Label 26131*/ GIMT_Encode4(1949523), // Rule ID 24708 //
     /* 1949442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1949445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1949453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1949456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1949459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1949462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1949465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949488 */     // MIs[0] policy
     /* 1949488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949498 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1949501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949522 */     // GIR_Coverage, 24708,
     /* 1949522 */     GIR_EraseRootFromParent_Done,
     /* 1949523 */   // Label 26131: @1949523
     /* 1949523 */   GIM_Try, /*On fail goto*//*Label 26132*/ GIMT_Encode4(1949609), // Rule ID 24711 //
     /* 1949528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1949531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1949539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1949542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1949545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1949548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949574 */     // MIs[0] policy
     /* 1949574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949584 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1949587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949608 */     // GIR_Coverage, 24711,
     /* 1949608 */     GIR_EraseRootFromParent_Done,
     /* 1949609 */   // Label 26132: @1949609
     /* 1949609 */   GIM_Try, /*On fail goto*//*Label 26133*/ GIMT_Encode4(1949695), // Rule ID 24712 //
     /* 1949614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1949617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1949625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1949628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1949631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1949634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949660 */     // MIs[0] policy
     /* 1949660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949670 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1949673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949694 */     // GIR_Coverage, 24712,
     /* 1949694 */     GIR_EraseRootFromParent_Done,
     /* 1949695 */   // Label 26133: @1949695
     /* 1949695 */   GIM_Try, /*On fail goto*//*Label 26134*/ GIMT_Encode4(1949781), // Rule ID 24715 //
     /* 1949700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1949703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1949711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1949714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1949717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1949720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949746 */     // MIs[0] policy
     /* 1949746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949756 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1949759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949780 */     // GIR_Coverage, 24715,
     /* 1949780 */     GIR_EraseRootFromParent_Done,
     /* 1949781 */   // Label 26134: @1949781
     /* 1949781 */   GIM_Try, /*On fail goto*//*Label 26135*/ GIMT_Encode4(1949867), // Rule ID 24716 //
     /* 1949786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1949789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1949797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1949800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1949803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1949806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949832 */     // MIs[0] policy
     /* 1949832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949842 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1949845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949866 */     // GIR_Coverage, 24716,
     /* 1949866 */     GIR_EraseRootFromParent_Done,
     /* 1949867 */   // Label 26135: @1949867
     /* 1949867 */   GIM_Try, /*On fail goto*//*Label 26136*/ GIMT_Encode4(1949953), // Rule ID 24719 //
     /* 1949872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1949875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1949883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1949886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1949889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1949892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949918 */     // MIs[0] policy
     /* 1949918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949928 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1949931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949952 */     // GIR_Coverage, 24719,
     /* 1949952 */     GIR_EraseRootFromParent_Done,
     /* 1949953 */   // Label 26136: @1949953
     /* 1949953 */   GIM_Try, /*On fail goto*//*Label 26137*/ GIMT_Encode4(1950039), // Rule ID 24720 //
     /* 1949958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1949961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1949966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1949969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1949972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1949975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1949978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950004 */     // MIs[0] policy
     /* 1950004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950014 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1950017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950038 */     // GIR_Coverage, 24720,
     /* 1950038 */     GIR_EraseRootFromParent_Done,
     /* 1950039 */   // Label 26137: @1950039
     /* 1950039 */   GIM_Try, /*On fail goto*//*Label 26138*/ GIMT_Encode4(1950125), // Rule ID 24723 //
     /* 1950044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1950047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1950055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1950058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1950061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1950064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950090 */     // MIs[0] policy
     /* 1950090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950100 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1950103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950124 */     // GIR_Coverage, 24723,
     /* 1950124 */     GIR_EraseRootFromParent_Done,
     /* 1950125 */   // Label 26138: @1950125
     /* 1950125 */   GIM_Try, /*On fail goto*//*Label 26139*/ GIMT_Encode4(1950211), // Rule ID 24724 //
     /* 1950130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1950133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1950141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1950144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1950147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1950150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950176 */     // MIs[0] policy
     /* 1950176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950186 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1950189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950210 */     // GIR_Coverage, 24724,
     /* 1950210 */     GIR_EraseRootFromParent_Done,
     /* 1950211 */   // Label 26139: @1950211
     /* 1950211 */   GIM_Try, /*On fail goto*//*Label 26140*/ GIMT_Encode4(1950297), // Rule ID 24727 //
     /* 1950216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1950219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1950227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1950230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1950233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1950236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950262 */     // MIs[0] policy
     /* 1950262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950272 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1950275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950296 */     // GIR_Coverage, 24727,
     /* 1950296 */     GIR_EraseRootFromParent_Done,
     /* 1950297 */   // Label 26140: @1950297
     /* 1950297 */   GIM_Try, /*On fail goto*//*Label 26141*/ GIMT_Encode4(1950383), // Rule ID 24728 //
     /* 1950302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1950305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1950313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1950316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1950319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1950322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950348 */     // MIs[0] policy
     /* 1950348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950358 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1950361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950382 */     // GIR_Coverage, 24728,
     /* 1950382 */     GIR_EraseRootFromParent_Done,
     /* 1950383 */   // Label 26141: @1950383
     /* 1950383 */   GIM_Try, /*On fail goto*//*Label 26142*/ GIMT_Encode4(1950469), // Rule ID 24731 //
     /* 1950388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1950391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1950399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1950402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1950405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1950408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950434 */     // MIs[0] policy
     /* 1950434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950444 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1950447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950468 */     // GIR_Coverage, 24731,
     /* 1950468 */     GIR_EraseRootFromParent_Done,
     /* 1950469 */   // Label 26142: @1950469
     /* 1950469 */   GIM_Try, /*On fail goto*//*Label 26143*/ GIMT_Encode4(1950555), // Rule ID 24732 //
     /* 1950474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1950477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1950485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1950488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1950491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1950494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950520 */     // MIs[0] policy
     /* 1950520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950530 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1950533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950554 */     // GIR_Coverage, 24732,
     /* 1950554 */     GIR_EraseRootFromParent_Done,
     /* 1950555 */   // Label 26143: @1950555
     /* 1950555 */   GIM_Try, /*On fail goto*//*Label 26144*/ GIMT_Encode4(1950641), // Rule ID 24735 //
     /* 1950560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1950563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1950571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1950574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1950577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950606 */     // MIs[0] policy
     /* 1950606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950616 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1950619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950640 */     // GIR_Coverage, 24735,
     /* 1950640 */     GIR_EraseRootFromParent_Done,
     /* 1950641 */   // Label 26144: @1950641
     /* 1950641 */   GIM_Try, /*On fail goto*//*Label 26145*/ GIMT_Encode4(1950727), // Rule ID 24736 //
     /* 1950646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1950649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1950657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1950660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1950663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1950666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950692 */     // MIs[0] policy
     /* 1950692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950702 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1950705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950726 */     // GIR_Coverage, 24736,
     /* 1950726 */     GIR_EraseRootFromParent_Done,
     /* 1950727 */   // Label 26145: @1950727
     /* 1950727 */   GIM_Try, /*On fail goto*//*Label 26146*/ GIMT_Encode4(1950813), // Rule ID 24739 //
     /* 1950732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1950735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1950743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1950746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1950749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950778 */     // MIs[0] policy
     /* 1950778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950788 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1950791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950812 */     // GIR_Coverage, 24739,
     /* 1950812 */     GIR_EraseRootFromParent_Done,
     /* 1950813 */   // Label 26146: @1950813
     /* 1950813 */   GIM_Try, /*On fail goto*//*Label 26147*/ GIMT_Encode4(1950899), // Rule ID 24740 //
     /* 1950818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1950821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1950829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1950832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1950835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1950838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950864 */     // MIs[0] policy
     /* 1950864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950874 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1950877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950898 */     // GIR_Coverage, 24740,
     /* 1950898 */     GIR_EraseRootFromParent_Done,
     /* 1950899 */   // Label 26147: @1950899
     /* 1950899 */   GIM_Try, /*On fail goto*//*Label 26148*/ GIMT_Encode4(1950985), // Rule ID 24743 //
     /* 1950904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1950907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1950915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1950918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1950921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1950946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950950 */     // MIs[0] policy
     /* 1950950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950960 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1950963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950984 */     // GIR_Coverage, 24743,
     /* 1950984 */     GIR_EraseRootFromParent_Done,
     /* 1950985 */   // Label 26148: @1950985
     /* 1950985 */   GIM_Try, /*On fail goto*//*Label 26149*/ GIMT_Encode4(1951071), // Rule ID 24744 //
     /* 1950990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1950993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1950998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1951001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1951004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1951007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951036 */     // MIs[0] policy
     /* 1951036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951046 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1951049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951070 */     // GIR_Coverage, 24744,
     /* 1951070 */     GIR_EraseRootFromParent_Done,
     /* 1951071 */   // Label 26149: @1951071
     /* 1951071 */   GIM_Try, /*On fail goto*//*Label 26150*/ GIMT_Encode4(1951157), // Rule ID 24747 //
     /* 1951076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1951079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1951087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1951090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1951093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951122 */     // MIs[0] policy
     /* 1951122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951132 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1951135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951156 */     // GIR_Coverage, 24747,
     /* 1951156 */     GIR_EraseRootFromParent_Done,
     /* 1951157 */   // Label 26150: @1951157
     /* 1951157 */   GIM_Try, /*On fail goto*//*Label 26151*/ GIMT_Encode4(1951243), // Rule ID 24748 //
     /* 1951162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1951165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1951173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1951176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1951179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951208 */     // MIs[0] policy
     /* 1951208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951218 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1951221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951242 */     // GIR_Coverage, 24748,
     /* 1951242 */     GIR_EraseRootFromParent_Done,
     /* 1951243 */   // Label 26151: @1951243
     /* 1951243 */   GIM_Try, /*On fail goto*//*Label 26152*/ GIMT_Encode4(1951329), // Rule ID 24751 //
     /* 1951248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1951251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1951259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1951262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1951265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951294 */     // MIs[0] policy
     /* 1951294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951304 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1951307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951328 */     // GIR_Coverage, 24751,
     /* 1951328 */     GIR_EraseRootFromParent_Done,
     /* 1951329 */   // Label 26152: @1951329
     /* 1951329 */   GIM_Try, /*On fail goto*//*Label 26153*/ GIMT_Encode4(1951415), // Rule ID 24752 //
     /* 1951334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1951337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1951345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1951348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1951351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951380 */     // MIs[0] policy
     /* 1951380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951390 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1951393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951414 */     // GIR_Coverage, 24752,
     /* 1951414 */     GIR_EraseRootFromParent_Done,
     /* 1951415 */   // Label 26153: @1951415
     /* 1951415 */   GIM_Try, /*On fail goto*//*Label 26154*/ GIMT_Encode4(1951501), // Rule ID 24755 //
     /* 1951420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1951423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1951431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1951434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1951437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1951443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951466 */     // MIs[0] policy
     /* 1951466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951476 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1951479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951500 */     // GIR_Coverage, 24755,
     /* 1951500 */     GIR_EraseRootFromParent_Done,
     /* 1951501 */   // Label 26154: @1951501
     /* 1951501 */   GIM_Try, /*On fail goto*//*Label 26155*/ GIMT_Encode4(1951587), // Rule ID 24756 //
     /* 1951506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1951509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1951517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1951520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1951523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1951529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951552 */     // MIs[0] policy
     /* 1951552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951562 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1951565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951586 */     // GIR_Coverage, 24756,
     /* 1951586 */     GIR_EraseRootFromParent_Done,
     /* 1951587 */   // Label 26155: @1951587
     /* 1951587 */   GIM_Try, /*On fail goto*//*Label 26156*/ GIMT_Encode4(1951673), // Rule ID 24759 //
     /* 1951592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1951595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1951603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1951606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1951609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951638 */     // MIs[0] policy
     /* 1951638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951648 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1951651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951672 */     // GIR_Coverage, 24759,
     /* 1951672 */     GIR_EraseRootFromParent_Done,
     /* 1951673 */   // Label 26156: @1951673
     /* 1951673 */   GIM_Try, /*On fail goto*//*Label 26157*/ GIMT_Encode4(1951759), // Rule ID 24760 //
     /* 1951678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1951681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1951689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1951692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1951695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951724 */     // MIs[0] policy
     /* 1951724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951734 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1951737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951758 */     // GIR_Coverage, 24760,
     /* 1951758 */     GIR_EraseRootFromParent_Done,
     /* 1951759 */   // Label 26157: @1951759
     /* 1951759 */   GIM_Try, /*On fail goto*//*Label 26158*/ GIMT_Encode4(1951845), // Rule ID 24763 //
     /* 1951764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1951767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1951775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1951778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1951781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951810 */     // MIs[0] policy
     /* 1951810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951820 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1951823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951844 */     // GIR_Coverage, 24763,
     /* 1951844 */     GIR_EraseRootFromParent_Done,
     /* 1951845 */   // Label 26158: @1951845
     /* 1951845 */   GIM_Try, /*On fail goto*//*Label 26159*/ GIMT_Encode4(1951931), // Rule ID 24764 //
     /* 1951850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1951853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1951861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1951864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1951867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951896 */     // MIs[0] policy
     /* 1951896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951906 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1951909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951930 */     // GIR_Coverage, 24764,
     /* 1951930 */     GIR_EraseRootFromParent_Done,
     /* 1951931 */   // Label 26159: @1951931
     /* 1951931 */   GIM_Try, /*On fail goto*//*Label 26160*/ GIMT_Encode4(1952017), // Rule ID 24767 //
     /* 1951936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1951939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1951944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1951947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1951950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1951953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1951978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951982 */     // MIs[0] policy
     /* 1951982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951992 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1951995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952016 */     // GIR_Coverage, 24767,
     /* 1952016 */     GIR_EraseRootFromParent_Done,
     /* 1952017 */   // Label 26160: @1952017
     /* 1952017 */   GIM_Try, /*On fail goto*//*Label 26161*/ GIMT_Encode4(1952103), // Rule ID 24768 //
     /* 1952022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1952025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1952030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1952033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1952036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1952039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1952064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952068 */     // MIs[0] policy
     /* 1952068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952078 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1952081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952102 */     // GIR_Coverage, 24768,
     /* 1952102 */     GIR_EraseRootFromParent_Done,
     /* 1952103 */   // Label 26161: @1952103
     /* 1952103 */   GIM_Try, /*On fail goto*//*Label 26162*/ GIMT_Encode4(1952189), // Rule ID 24807 //
     /* 1952108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1952111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1952119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1952122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1952125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1952128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952154 */     // MIs[0] policy
     /* 1952154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952164 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1952167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952188 */     // GIR_Coverage, 24807,
     /* 1952188 */     GIR_EraseRootFromParent_Done,
     /* 1952189 */   // Label 26162: @1952189
     /* 1952189 */   GIM_Try, /*On fail goto*//*Label 26163*/ GIMT_Encode4(1952275), // Rule ID 24808 //
     /* 1952194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1952197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1952205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1952208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1952211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1952214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952240 */     // MIs[0] policy
     /* 1952240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952250 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1952253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952274 */     // GIR_Coverage, 24808,
     /* 1952274 */     GIR_EraseRootFromParent_Done,
     /* 1952275 */   // Label 26163: @1952275
     /* 1952275 */   GIM_Try, /*On fail goto*//*Label 26164*/ GIMT_Encode4(1952361), // Rule ID 24811 //
     /* 1952280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1952283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1952291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1952294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1952297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1952300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952326 */     // MIs[0] policy
     /* 1952326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952336 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1952339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952360 */     // GIR_Coverage, 24811,
     /* 1952360 */     GIR_EraseRootFromParent_Done,
     /* 1952361 */   // Label 26164: @1952361
     /* 1952361 */   GIM_Try, /*On fail goto*//*Label 26165*/ GIMT_Encode4(1952447), // Rule ID 24812 //
     /* 1952366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1952369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1952377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1952380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1952383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1952386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952412 */     // MIs[0] policy
     /* 1952412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952422 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1952425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952446 */     // GIR_Coverage, 24812,
     /* 1952446 */     GIR_EraseRootFromParent_Done,
     /* 1952447 */   // Label 26165: @1952447
     /* 1952447 */   GIM_Try, /*On fail goto*//*Label 26166*/ GIMT_Encode4(1952533), // Rule ID 24815 //
     /* 1952452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1952455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1952463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1952466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1952469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1952472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952498 */     // MIs[0] policy
     /* 1952498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952508 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1952511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952532 */     // GIR_Coverage, 24815,
     /* 1952532 */     GIR_EraseRootFromParent_Done,
     /* 1952533 */   // Label 26166: @1952533
     /* 1952533 */   GIM_Try, /*On fail goto*//*Label 26167*/ GIMT_Encode4(1952619), // Rule ID 24816 //
     /* 1952538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1952541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1952549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1952552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1952555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1952558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952584 */     // MIs[0] policy
     /* 1952584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952594 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1952597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952618 */     // GIR_Coverage, 24816,
     /* 1952618 */     GIR_EraseRootFromParent_Done,
     /* 1952619 */   // Label 26167: @1952619
     /* 1952619 */   GIM_Try, /*On fail goto*//*Label 26168*/ GIMT_Encode4(1952705), // Rule ID 24819 //
     /* 1952624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1952627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1952635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1952638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1952641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1952644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952670 */     // MIs[0] policy
     /* 1952670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952680 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1952683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952704 */     // GIR_Coverage, 24819,
     /* 1952704 */     GIR_EraseRootFromParent_Done,
     /* 1952705 */   // Label 26168: @1952705
     /* 1952705 */   GIM_Try, /*On fail goto*//*Label 26169*/ GIMT_Encode4(1952791), // Rule ID 24820 //
     /* 1952710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1952713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1952721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1952724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1952727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1952730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952756 */     // MIs[0] policy
     /* 1952756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952766 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1952769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952790 */     // GIR_Coverage, 24820,
     /* 1952790 */     GIR_EraseRootFromParent_Done,
     /* 1952791 */   // Label 26169: @1952791
     /* 1952791 */   GIM_Try, /*On fail goto*//*Label 26170*/ GIMT_Encode4(1952877), // Rule ID 24823 //
     /* 1952796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1952799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1952807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1952810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1952813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1952816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952842 */     // MIs[0] policy
     /* 1952842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952852 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1952855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952876 */     // GIR_Coverage, 24823,
     /* 1952876 */     GIR_EraseRootFromParent_Done,
     /* 1952877 */   // Label 26170: @1952877
     /* 1952877 */   GIM_Try, /*On fail goto*//*Label 26171*/ GIMT_Encode4(1952963), // Rule ID 24824 //
     /* 1952882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1952885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1952893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1952896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1952899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1952902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952928 */     // MIs[0] policy
     /* 1952928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952938 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1952941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952962 */     // GIR_Coverage, 24824,
     /* 1952962 */     GIR_EraseRootFromParent_Done,
     /* 1952963 */   // Label 26171: @1952963
     /* 1952963 */   GIM_Try, /*On fail goto*//*Label 26172*/ GIMT_Encode4(1953049), // Rule ID 24827 //
     /* 1952968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1952971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1952979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1952982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1952985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1952988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1952991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953014 */     // MIs[0] policy
     /* 1953014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953024 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1953027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953048 */     // GIR_Coverage, 24827,
     /* 1953048 */     GIR_EraseRootFromParent_Done,
     /* 1953049 */   // Label 26172: @1953049
     /* 1953049 */   GIM_Try, /*On fail goto*//*Label 26173*/ GIMT_Encode4(1953135), // Rule ID 24828 //
     /* 1953054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1953057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1953065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1953068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1953071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1953074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1953077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953100 */     // MIs[0] policy
     /* 1953100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953110 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1953113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953134 */     // GIR_Coverage, 24828,
     /* 1953134 */     GIR_EraseRootFromParent_Done,
     /* 1953135 */   // Label 26173: @1953135
     /* 1953135 */   GIM_Try, /*On fail goto*//*Label 26174*/ GIMT_Encode4(1953221), // Rule ID 24831 //
     /* 1953140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1953143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1953151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1953154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1953157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953186 */     // MIs[0] policy
     /* 1953186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953196 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1953199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953220 */     // GIR_Coverage, 24831,
     /* 1953220 */     GIR_EraseRootFromParent_Done,
     /* 1953221 */   // Label 26174: @1953221
     /* 1953221 */   GIM_Try, /*On fail goto*//*Label 26175*/ GIMT_Encode4(1953307), // Rule ID 24832 //
     /* 1953226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1953229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1953237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1953240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1953243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953272 */     // MIs[0] policy
     /* 1953272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953282 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1953285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953306 */     // GIR_Coverage, 24832,
     /* 1953306 */     GIR_EraseRootFromParent_Done,
     /* 1953307 */   // Label 26175: @1953307
     /* 1953307 */   GIM_Try, /*On fail goto*//*Label 26176*/ GIMT_Encode4(1953393), // Rule ID 24835 //
     /* 1953312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1953315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1953323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1953326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1953329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953358 */     // MIs[0] policy
     /* 1953358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953368 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1953371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953392 */     // GIR_Coverage, 24835,
     /* 1953392 */     GIR_EraseRootFromParent_Done,
     /* 1953393 */   // Label 26176: @1953393
     /* 1953393 */   GIM_Try, /*On fail goto*//*Label 26177*/ GIMT_Encode4(1953479), // Rule ID 24836 //
     /* 1953398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1953401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1953409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1953412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1953415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953444 */     // MIs[0] policy
     /* 1953444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953454 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1953457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953478 */     // GIR_Coverage, 24836,
     /* 1953478 */     GIR_EraseRootFromParent_Done,
     /* 1953479 */   // Label 26177: @1953479
     /* 1953479 */   GIM_Try, /*On fail goto*//*Label 26178*/ GIMT_Encode4(1953565), // Rule ID 24839 //
     /* 1953484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1953487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1953495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1953498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1953501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953530 */     // MIs[0] policy
     /* 1953530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953540 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1953543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953564 */     // GIR_Coverage, 24839,
     /* 1953564 */     GIR_EraseRootFromParent_Done,
     /* 1953565 */   // Label 26178: @1953565
     /* 1953565 */   GIM_Try, /*On fail goto*//*Label 26179*/ GIMT_Encode4(1953651), // Rule ID 24840 //
     /* 1953570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1953573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1953581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1953584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1953587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953616 */     // MIs[0] policy
     /* 1953616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953626 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1953629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953650 */     // GIR_Coverage, 24840,
     /* 1953650 */     GIR_EraseRootFromParent_Done,
     /* 1953651 */   // Label 26179: @1953651
     /* 1953651 */   GIM_Try, /*On fail goto*//*Label 26180*/ GIMT_Encode4(1953737), // Rule ID 24843 //
     /* 1953656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1953659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1953667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1953670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1953673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953702 */     // MIs[0] policy
     /* 1953702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953712 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1953715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953736 */     // GIR_Coverage, 24843,
     /* 1953736 */     GIR_EraseRootFromParent_Done,
     /* 1953737 */   // Label 26180: @1953737
     /* 1953737 */   GIM_Try, /*On fail goto*//*Label 26181*/ GIMT_Encode4(1953823), // Rule ID 24844 //
     /* 1953742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1953745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1953753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1953756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1953759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953788 */     // MIs[0] policy
     /* 1953788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953798 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1953801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953822 */     // GIR_Coverage, 24844,
     /* 1953822 */     GIR_EraseRootFromParent_Done,
     /* 1953823 */   // Label 26181: @1953823
     /* 1953823 */   GIM_Try, /*On fail goto*//*Label 26182*/ GIMT_Encode4(1953909), // Rule ID 24847 //
     /* 1953828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1953831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1953839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1953842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1953845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1953851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953874 */     // MIs[0] policy
     /* 1953874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953884 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1953887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953908 */     // GIR_Coverage, 24847,
     /* 1953908 */     GIR_EraseRootFromParent_Done,
     /* 1953909 */   // Label 26182: @1953909
     /* 1953909 */   GIM_Try, /*On fail goto*//*Label 26183*/ GIMT_Encode4(1953995), // Rule ID 24848 //
     /* 1953914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1953917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1953922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1953925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1953928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1953931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1953937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1953956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953960 */     // MIs[0] policy
     /* 1953960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953970 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1953973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953994 */     // GIR_Coverage, 24848,
     /* 1953994 */     GIR_EraseRootFromParent_Done,
     /* 1953995 */   // Label 26183: @1953995
     /* 1953995 */   GIM_Try, /*On fail goto*//*Label 26184*/ GIMT_Encode4(1954081), // Rule ID 24851 //
     /* 1954000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1954003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1954011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1954014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1954017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1954023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1954030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954046 */     // MIs[0] policy
     /* 1954046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954056 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1954059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954080 */     // GIR_Coverage, 24851,
     /* 1954080 */     GIR_EraseRootFromParent_Done,
     /* 1954081 */   // Label 26184: @1954081
     /* 1954081 */   GIM_Try, /*On fail goto*//*Label 26185*/ GIMT_Encode4(1954167), // Rule ID 24852 //
     /* 1954086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1954089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1954097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1954100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1954103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1954109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1954116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954132 */     // MIs[0] policy
     /* 1954132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954142 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1954145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954166 */     // GIR_Coverage, 24852,
     /* 1954166 */     GIR_EraseRootFromParent_Done,
     /* 1954167 */   // Label 26185: @1954167
     /* 1954167 */   GIM_Try, /*On fail goto*//*Label 26186*/ GIMT_Encode4(1954253), // Rule ID 24879 //
     /* 1954172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1954175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1954183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1954186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1954189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1954192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954218 */     // MIs[0] policy
     /* 1954218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954228 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1954231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954252 */     // GIR_Coverage, 24879,
     /* 1954252 */     GIR_EraseRootFromParent_Done,
     /* 1954253 */   // Label 26186: @1954253
     /* 1954253 */   GIM_Try, /*On fail goto*//*Label 26187*/ GIMT_Encode4(1954339), // Rule ID 24880 //
     /* 1954258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1954261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1954269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1954272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1954275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1954278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954304 */     // MIs[0] policy
     /* 1954304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954314 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1954317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954338 */     // GIR_Coverage, 24880,
     /* 1954338 */     GIR_EraseRootFromParent_Done,
     /* 1954339 */   // Label 26187: @1954339
     /* 1954339 */   GIM_Try, /*On fail goto*//*Label 26188*/ GIMT_Encode4(1954425), // Rule ID 24883 //
     /* 1954344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1954347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1954355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1954361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1954364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954390 */     // MIs[0] policy
     /* 1954390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954400 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1954403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954424 */     // GIR_Coverage, 24883,
     /* 1954424 */     GIR_EraseRootFromParent_Done,
     /* 1954425 */   // Label 26188: @1954425
     /* 1954425 */   GIM_Try, /*On fail goto*//*Label 26189*/ GIMT_Encode4(1954511), // Rule ID 24884 //
     /* 1954430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1954433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1954441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1954447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1954450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954476 */     // MIs[0] policy
     /* 1954476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954486 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1954489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954510 */     // GIR_Coverage, 24884,
     /* 1954510 */     GIR_EraseRootFromParent_Done,
     /* 1954511 */   // Label 26189: @1954511
     /* 1954511 */   GIM_Try, /*On fail goto*//*Label 26190*/ GIMT_Encode4(1954597), // Rule ID 24887 //
     /* 1954516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1954519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1954527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1954530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1954533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1954536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954562 */     // MIs[0] policy
     /* 1954562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954572 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1954575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954596 */     // GIR_Coverage, 24887,
     /* 1954596 */     GIR_EraseRootFromParent_Done,
     /* 1954597 */   // Label 26190: @1954597
     /* 1954597 */   GIM_Try, /*On fail goto*//*Label 26191*/ GIMT_Encode4(1954683), // Rule ID 24888 //
     /* 1954602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1954605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1954613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1954616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1954619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1954622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954648 */     // MIs[0] policy
     /* 1954648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954658 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1954661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954682 */     // GIR_Coverage, 24888,
     /* 1954682 */     GIR_EraseRootFromParent_Done,
     /* 1954683 */   // Label 26191: @1954683
     /* 1954683 */   GIM_Try, /*On fail goto*//*Label 26192*/ GIMT_Encode4(1954769), // Rule ID 24891 //
     /* 1954688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1954691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1954699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1954702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1954705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1954708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954734 */     // MIs[0] policy
     /* 1954734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954744 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1954747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954768 */     // GIR_Coverage, 24891,
     /* 1954768 */     GIR_EraseRootFromParent_Done,
     /* 1954769 */   // Label 26192: @1954769
     /* 1954769 */   GIM_Try, /*On fail goto*//*Label 26193*/ GIMT_Encode4(1954855), // Rule ID 24892 //
     /* 1954774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1954777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1954785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1954788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1954791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1954794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954820 */     // MIs[0] policy
     /* 1954820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954830 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1954833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954854 */     // GIR_Coverage, 24892,
     /* 1954854 */     GIR_EraseRootFromParent_Done,
     /* 1954855 */   // Label 26193: @1954855
     /* 1954855 */   GIM_Try, /*On fail goto*//*Label 26194*/ GIMT_Encode4(1954941), // Rule ID 24895 //
     /* 1954860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1954863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1954871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1954874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1954877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1954880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954906 */     // MIs[0] policy
     /* 1954906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954916 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1954919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954940 */     // GIR_Coverage, 24895,
     /* 1954940 */     GIR_EraseRootFromParent_Done,
     /* 1954941 */   // Label 26194: @1954941
     /* 1954941 */   GIM_Try, /*On fail goto*//*Label 26195*/ GIMT_Encode4(1955027), // Rule ID 24896 //
     /* 1954946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1954949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1954954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1954957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1954960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1954963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1954966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954992 */     // MIs[0] policy
     /* 1954992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955002 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1955005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955026 */     // GIR_Coverage, 24896,
     /* 1955026 */     GIR_EraseRootFromParent_Done,
     /* 1955027 */   // Label 26195: @1955027
     /* 1955027 */   GIM_Try, /*On fail goto*//*Label 26196*/ GIMT_Encode4(1955113), // Rule ID 24899 //
     /* 1955032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1955035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1955043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1955046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1955049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1955052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955078 */     // MIs[0] policy
     /* 1955078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955088 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1955091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1955109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955112 */     // GIR_Coverage, 24899,
     /* 1955112 */     GIR_EraseRootFromParent_Done,
     /* 1955113 */   // Label 26196: @1955113
     /* 1955113 */   GIM_Try, /*On fail goto*//*Label 26197*/ GIMT_Encode4(1955199), // Rule ID 24900 //
     /* 1955118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1955121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1955129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1955132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1955135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1955138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955164 */     // MIs[0] policy
     /* 1955164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955174 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1955177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1955195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955198 */     // GIR_Coverage, 24900,
     /* 1955198 */     GIR_EraseRootFromParent_Done,
     /* 1955199 */   // Label 26197: @1955199
     /* 1955199 */   GIM_Try, /*On fail goto*//*Label 26198*/ GIMT_Encode4(1955285), // Rule ID 24903 //
     /* 1955204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1955207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1955215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1955218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1955221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1955224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955250 */     // MIs[0] policy
     /* 1955250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955260 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1955263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955284 */     // GIR_Coverage, 24903,
     /* 1955284 */     GIR_EraseRootFromParent_Done,
     /* 1955285 */   // Label 26198: @1955285
     /* 1955285 */   GIM_Try, /*On fail goto*//*Label 26199*/ GIMT_Encode4(1955371), // Rule ID 24904 //
     /* 1955290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1955293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1955301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1955304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1955307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1955310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955336 */     // MIs[0] policy
     /* 1955336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955346 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1955349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955370 */     // GIR_Coverage, 24904,
     /* 1955370 */     GIR_EraseRootFromParent_Done,
     /* 1955371 */   // Label 26199: @1955371
     /* 1955371 */   GIM_Try, /*On fail goto*//*Label 26200*/ GIMT_Encode4(1955457), // Rule ID 24907 //
     /* 1955376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1955379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1955387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1955390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1955393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1955396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955422 */     // MIs[0] policy
     /* 1955422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955432 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1955435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955456 */     // GIR_Coverage, 24907,
     /* 1955456 */     GIR_EraseRootFromParent_Done,
     /* 1955457 */   // Label 26200: @1955457
     /* 1955457 */   GIM_Try, /*On fail goto*//*Label 26201*/ GIMT_Encode4(1955543), // Rule ID 24908 //
     /* 1955462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1955465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1955473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1955476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1955479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1955482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955508 */     // MIs[0] policy
     /* 1955508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955518 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1955521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955542 */     // GIR_Coverage, 24908,
     /* 1955542 */     GIR_EraseRootFromParent_Done,
     /* 1955543 */   // Label 26201: @1955543
     /* 1955543 */   GIM_Try, /*On fail goto*//*Label 26202*/ GIMT_Encode4(1955629), // Rule ID 24911 //
     /* 1955548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1955551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1955559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1955562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1955565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1955568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955594 */     // MIs[0] policy
     /* 1955594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955604 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1955607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955628 */     // GIR_Coverage, 24911,
     /* 1955628 */     GIR_EraseRootFromParent_Done,
     /* 1955629 */   // Label 26202: @1955629
     /* 1955629 */   GIM_Try, /*On fail goto*//*Label 26203*/ GIMT_Encode4(1955715), // Rule ID 24912 //
     /* 1955634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1955637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1955645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1955648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1955651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1955654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955680 */     // MIs[0] policy
     /* 1955680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955690 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1955693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955714 */     // GIR_Coverage, 24912,
     /* 1955714 */     GIR_EraseRootFromParent_Done,
     /* 1955715 */   // Label 26203: @1955715
     /* 1955715 */   GIM_Try, /*On fail goto*//*Label 26204*/ GIMT_Encode4(1955801), // Rule ID 24915 //
     /* 1955720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1955723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1955731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1955734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1955737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1955740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955766 */     // MIs[0] policy
     /* 1955766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955776 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1955779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955800 */     // GIR_Coverage, 24915,
     /* 1955800 */     GIR_EraseRootFromParent_Done,
     /* 1955801 */   // Label 26204: @1955801
     /* 1955801 */   GIM_Try, /*On fail goto*//*Label 26205*/ GIMT_Encode4(1955887), // Rule ID 24916 //
     /* 1955806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1955809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1955817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1955820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1955823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1955826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955852 */     // MIs[0] policy
     /* 1955852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955862 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1955865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955886 */     // GIR_Coverage, 24916,
     /* 1955886 */     GIR_EraseRootFromParent_Done,
     /* 1955887 */   // Label 26205: @1955887
     /* 1955887 */   GIM_Try, /*On fail goto*//*Label 26206*/ GIMT_Encode4(1955973), // Rule ID 24919 //
     /* 1955892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1955895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1955903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1955906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1955909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1955912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955938 */     // MIs[0] policy
     /* 1955938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955948 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1955951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955972 */     // GIR_Coverage, 24919,
     /* 1955972 */     GIR_EraseRootFromParent_Done,
     /* 1955973 */   // Label 26206: @1955973
     /* 1955973 */   GIM_Try, /*On fail goto*//*Label 26207*/ GIMT_Encode4(1956059), // Rule ID 24920 //
     /* 1955978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1955981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1955986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1955989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1955992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1955995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1955998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956024 */     // MIs[0] policy
     /* 1956024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956034 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1956037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956058 */     // GIR_Coverage, 24920,
     /* 1956058 */     GIR_EraseRootFromParent_Done,
     /* 1956059 */   // Label 26207: @1956059
     /* 1956059 */   GIM_Try, /*On fail goto*//*Label 26208*/ GIMT_Encode4(1956145), // Rule ID 24923 //
     /* 1956064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1956067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1956075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1956078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1956081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1956084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956110 */     // MIs[0] policy
     /* 1956110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956120 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1956123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956144 */     // GIR_Coverage, 24923,
     /* 1956144 */     GIR_EraseRootFromParent_Done,
     /* 1956145 */   // Label 26208: @1956145
     /* 1956145 */   GIM_Try, /*On fail goto*//*Label 26209*/ GIMT_Encode4(1956231), // Rule ID 24924 //
     /* 1956150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1956153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1956161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1956164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1956167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1956170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956196 */     // MIs[0] policy
     /* 1956196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956206 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1956209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956230 */     // GIR_Coverage, 24924,
     /* 1956230 */     GIR_EraseRootFromParent_Done,
     /* 1956231 */   // Label 26209: @1956231
     /* 1956231 */   GIM_Try, /*On fail goto*//*Label 26210*/ GIMT_Encode4(1956317), // Rule ID 24927 //
     /* 1956236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1956239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1956247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1956250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1956253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1956256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956282 */     // MIs[0] policy
     /* 1956282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956292 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1956295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956316 */     // GIR_Coverage, 24927,
     /* 1956316 */     GIR_EraseRootFromParent_Done,
     /* 1956317 */   // Label 26210: @1956317
     /* 1956317 */   GIM_Try, /*On fail goto*//*Label 26211*/ GIMT_Encode4(1956403), // Rule ID 24928 //
     /* 1956322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1956325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1956333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1956336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1956339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1956342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956368 */     // MIs[0] policy
     /* 1956368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956378 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1956381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956402 */     // GIR_Coverage, 24928,
     /* 1956402 */     GIR_EraseRootFromParent_Done,
     /* 1956403 */   // Label 26211: @1956403
     /* 1956403 */   GIM_Try, /*On fail goto*//*Label 26212*/ GIMT_Encode4(1956489), // Rule ID 24931 //
     /* 1956408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1956411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1956419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1956422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1956425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1956428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956454 */     // MIs[0] policy
     /* 1956454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956464 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1956467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956488 */     // GIR_Coverage, 24931,
     /* 1956488 */     GIR_EraseRootFromParent_Done,
     /* 1956489 */   // Label 26212: @1956489
     /* 1956489 */   GIM_Try, /*On fail goto*//*Label 26213*/ GIMT_Encode4(1956575), // Rule ID 24932 //
     /* 1956494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1956497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1956505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1956508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1956511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1956514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956540 */     // MIs[0] policy
     /* 1956540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956550 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1956553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956574 */     // GIR_Coverage, 24932,
     /* 1956574 */     GIR_EraseRootFromParent_Done,
     /* 1956575 */   // Label 26213: @1956575
     /* 1956575 */   GIM_Try, /*On fail goto*//*Label 26214*/ GIMT_Encode4(1956661), // Rule ID 24935 //
     /* 1956580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1956583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1956591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1956594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1956597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1956600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956626 */     // MIs[0] policy
     /* 1956626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956636 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1956639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956660 */     // GIR_Coverage, 24935,
     /* 1956660 */     GIR_EraseRootFromParent_Done,
     /* 1956661 */   // Label 26214: @1956661
     /* 1956661 */   GIM_Try, /*On fail goto*//*Label 26215*/ GIMT_Encode4(1956747), // Rule ID 24936 //
     /* 1956666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1956669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1956674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1956677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1956680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1956683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1956686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956712 */     // MIs[0] policy
     /* 1956712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956722 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1956725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956746 */     // GIR_Coverage, 24936,
     /* 1956746 */     GIR_EraseRootFromParent_Done,
     /* 1956747 */   // Label 26215: @1956747
     /* 1956747 */   GIM_Try, /*On fail goto*//*Label 26216*/ GIMT_Encode4(1956833), // Rule ID 60335 //
     /* 1956752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1956755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1956760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1956763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1956766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1956769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1956772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956798 */     // MIs[0] policy
     /* 1956798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956808 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1956811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1956829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956832 */     // GIR_Coverage, 60335,
     /* 1956832 */     GIR_EraseRootFromParent_Done,
     /* 1956833 */   // Label 26216: @1956833
     /* 1956833 */   GIM_Try, /*On fail goto*//*Label 26217*/ GIMT_Encode4(1956919), // Rule ID 60336 //
     /* 1956838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1956841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1956846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1956849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1956852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1956855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1956858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956884 */     // MIs[0] policy
     /* 1956884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956894 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1956897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1956915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956918 */     // GIR_Coverage, 60336,
     /* 1956918 */     GIR_EraseRootFromParent_Done,
     /* 1956919 */   // Label 26217: @1956919
     /* 1956919 */   GIM_Try, /*On fail goto*//*Label 26218*/ GIMT_Encode4(1957005), // Rule ID 60339 //
     /* 1956924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1956927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1956932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1956935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1956938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1956941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1956944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956970 */     // MIs[0] policy
     /* 1956970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956980 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1956983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1957001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957004 */     // GIR_Coverage, 60339,
     /* 1957004 */     GIR_EraseRootFromParent_Done,
     /* 1957005 */   // Label 26218: @1957005
     /* 1957005 */   GIM_Try, /*On fail goto*//*Label 26219*/ GIMT_Encode4(1957091), // Rule ID 60340 //
     /* 1957010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1957013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1957018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1957021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1957024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1957027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1957030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957056 */     // MIs[0] policy
     /* 1957056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957066 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1957069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1957087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957090 */     // GIR_Coverage, 60340,
     /* 1957090 */     GIR_EraseRootFromParent_Done,
     /* 1957091 */   // Label 26219: @1957091
     /* 1957091 */   GIM_Try, /*On fail goto*//*Label 26220*/ GIMT_Encode4(1957177), // Rule ID 60343 //
     /* 1957096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1957099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1957104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1957107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1957110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1957113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1957116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957142 */     // MIs[0] policy
     /* 1957142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1957155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1957173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957176 */     // GIR_Coverage, 60343,
     /* 1957176 */     GIR_EraseRootFromParent_Done,
     /* 1957177 */   // Label 26220: @1957177
     /* 1957177 */   GIM_Try, /*On fail goto*//*Label 26221*/ GIMT_Encode4(1957263), // Rule ID 60344 //
     /* 1957182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1957185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1957190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1957193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1957196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1957199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1957202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957228 */     // MIs[0] policy
     /* 1957228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957238 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1957241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1957259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957262 */     // GIR_Coverage, 60344,
     /* 1957262 */     GIR_EraseRootFromParent_Done,
     /* 1957263 */   // Label 26221: @1957263
     /* 1957263 */   GIM_Try, /*On fail goto*//*Label 26222*/ GIMT_Encode4(1957349), // Rule ID 60347 //
     /* 1957268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1957271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1957276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1957279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1957282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1957285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1957288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957314 */     // MIs[0] policy
     /* 1957314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957324 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1957327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1957345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957348 */     // GIR_Coverage, 60347,
     /* 1957348 */     GIR_EraseRootFromParent_Done,
     /* 1957349 */   // Label 26222: @1957349
     /* 1957349 */   GIM_Try, /*On fail goto*//*Label 26223*/ GIMT_Encode4(1957435), // Rule ID 60348 //
     /* 1957354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1957357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1957362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1957365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1957368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1957371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1957374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957400 */     // MIs[0] policy
     /* 1957400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957410 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1957413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1957431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957434 */     // GIR_Coverage, 60348,
     /* 1957434 */     GIR_EraseRootFromParent_Done,
     /* 1957435 */   // Label 26223: @1957435
     /* 1957435 */   GIM_Try, /*On fail goto*//*Label 26224*/ GIMT_Encode4(1957521), // Rule ID 60351 //
     /* 1957440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1957443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1957448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1957451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1957454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1957457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1957460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957486 */     // MIs[0] policy
     /* 1957486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957496 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1957499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1957517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957520 */     // GIR_Coverage, 60351,
     /* 1957520 */     GIR_EraseRootFromParent_Done,
     /* 1957521 */   // Label 26224: @1957521
     /* 1957521 */   GIM_Try, /*On fail goto*//*Label 26225*/ GIMT_Encode4(1957607), // Rule ID 60352 //
     /* 1957526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1957529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1957534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1957537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1957540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1957543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1957546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957572 */     // MIs[0] policy
     /* 1957572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957582 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1957585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1957603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957606 */     // GIR_Coverage, 60352,
     /* 1957606 */     GIR_EraseRootFromParent_Done,
     /* 1957607 */   // Label 26225: @1957607
     /* 1957607 */   GIM_Try, /*On fail goto*//*Label 26226*/ GIMT_Encode4(1957693), // Rule ID 60355 //
     /* 1957612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1957615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1957620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1957623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1957626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1957629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1957632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1957635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957658 */     // MIs[0] policy
     /* 1957658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957668 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1957671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1957689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957692 */     // GIR_Coverage, 60355,
     /* 1957692 */     GIR_EraseRootFromParent_Done,
     /* 1957693 */   // Label 26226: @1957693
     /* 1957693 */   GIM_Try, /*On fail goto*//*Label 26227*/ GIMT_Encode4(1957779), // Rule ID 60356 //
     /* 1957698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1957701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1957706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1957709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1957712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1957715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1957718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1957721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957744 */     // MIs[0] policy
     /* 1957744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957754 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1957757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1957775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957778 */     // GIR_Coverage, 60356,
     /* 1957778 */     GIR_EraseRootFromParent_Done,
     /* 1957779 */   // Label 26227: @1957779
     /* 1957779 */   GIM_Try, /*On fail goto*//*Label 26228*/ GIMT_Encode4(1957865), // Rule ID 60359 //
     /* 1957784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1957787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1957792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1957795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1957798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1957801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1957804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957830 */     // MIs[0] policy
     /* 1957830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957840 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1957843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957864 */     // GIR_Coverage, 60359,
     /* 1957864 */     GIR_EraseRootFromParent_Done,
     /* 1957865 */   // Label 26228: @1957865
     /* 1957865 */   GIM_Try, /*On fail goto*//*Label 26229*/ GIMT_Encode4(1957951), // Rule ID 60360 //
     /* 1957870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1957873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1957878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1957881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1957884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1957887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1957890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957916 */     // MIs[0] policy
     /* 1957916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957926 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1957929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957950 */     // GIR_Coverage, 60360,
     /* 1957950 */     GIR_EraseRootFromParent_Done,
     /* 1957951 */   // Label 26229: @1957951
     /* 1957951 */   GIM_Try, /*On fail goto*//*Label 26230*/ GIMT_Encode4(1958037), // Rule ID 60363 //
     /* 1957956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1957959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1957964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1957967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1957970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1957973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1957976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958002 */     // MIs[0] policy
     /* 1958002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958012 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1958015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958036 */     // GIR_Coverage, 60363,
     /* 1958036 */     GIR_EraseRootFromParent_Done,
     /* 1958037 */   // Label 26230: @1958037
     /* 1958037 */   GIM_Try, /*On fail goto*//*Label 26231*/ GIMT_Encode4(1958123), // Rule ID 60364 //
     /* 1958042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1958053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1958056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1958059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1958062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958088 */     // MIs[0] policy
     /* 1958088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958098 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1958101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958122 */     // GIR_Coverage, 60364,
     /* 1958122 */     GIR_EraseRootFromParent_Done,
     /* 1958123 */   // Label 26231: @1958123
     /* 1958123 */   GIM_Try, /*On fail goto*//*Label 26232*/ GIMT_Encode4(1958209), // Rule ID 60367 //
     /* 1958128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1958139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1958142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1958145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1958148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958174 */     // MIs[0] policy
     /* 1958174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958184 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1958187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958208 */     // GIR_Coverage, 60367,
     /* 1958208 */     GIR_EraseRootFromParent_Done,
     /* 1958209 */   // Label 26232: @1958209
     /* 1958209 */   GIM_Try, /*On fail goto*//*Label 26233*/ GIMT_Encode4(1958295), // Rule ID 60368 //
     /* 1958214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1958225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1958228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1958231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1958234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958260 */     // MIs[0] policy
     /* 1958260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958270 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1958273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958294 */     // GIR_Coverage, 60368,
     /* 1958294 */     GIR_EraseRootFromParent_Done,
     /* 1958295 */   // Label 26233: @1958295
     /* 1958295 */   GIM_Try, /*On fail goto*//*Label 26234*/ GIMT_Encode4(1958381), // Rule ID 60371 //
     /* 1958300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1958311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1958314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1958317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1958320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958346 */     // MIs[0] policy
     /* 1958346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958356 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1958359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958380 */     // GIR_Coverage, 60371,
     /* 1958380 */     GIR_EraseRootFromParent_Done,
     /* 1958381 */   // Label 26234: @1958381
     /* 1958381 */   GIM_Try, /*On fail goto*//*Label 26235*/ GIMT_Encode4(1958467), // Rule ID 60372 //
     /* 1958386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1958397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1958400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1958403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1958406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958432 */     // MIs[0] policy
     /* 1958432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958442 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1958445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958466 */     // GIR_Coverage, 60372,
     /* 1958466 */     GIR_EraseRootFromParent_Done,
     /* 1958467 */   // Label 26235: @1958467
     /* 1958467 */   GIM_Try, /*On fail goto*//*Label 26236*/ GIMT_Encode4(1958553), // Rule ID 60375 //
     /* 1958472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1958483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1958486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1958489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1958492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1958495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958518 */     // MIs[0] policy
     /* 1958518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958528 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1958531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958552 */     // GIR_Coverage, 60375,
     /* 1958552 */     GIR_EraseRootFromParent_Done,
     /* 1958553 */   // Label 26236: @1958553
     /* 1958553 */   GIM_Try, /*On fail goto*//*Label 26237*/ GIMT_Encode4(1958639), // Rule ID 60376 //
     /* 1958558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1958569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1958572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1958575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1958578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1958581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958604 */     // MIs[0] policy
     /* 1958604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958614 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1958617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958638 */     // GIR_Coverage, 60376,
     /* 1958638 */     GIR_EraseRootFromParent_Done,
     /* 1958639 */   // Label 26237: @1958639
     /* 1958639 */   GIM_Try, /*On fail goto*//*Label 26238*/ GIMT_Encode4(1958725), // Rule ID 60379 //
     /* 1958644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1958655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1958658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1958661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1958664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958690 */     // MIs[0] policy
     /* 1958690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958700 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1958703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1958721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958724 */     // GIR_Coverage, 60379,
     /* 1958724 */     GIR_EraseRootFromParent_Done,
     /* 1958725 */   // Label 26238: @1958725
     /* 1958725 */   GIM_Try, /*On fail goto*//*Label 26239*/ GIMT_Encode4(1958811), // Rule ID 60380 //
     /* 1958730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1958741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1958744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1958747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1958750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958776 */     // MIs[0] policy
     /* 1958776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958786 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1958789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1958807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958810 */     // GIR_Coverage, 60380,
     /* 1958810 */     GIR_EraseRootFromParent_Done,
     /* 1958811 */   // Label 26239: @1958811
     /* 1958811 */   GIM_Try, /*On fail goto*//*Label 26240*/ GIMT_Encode4(1958897), // Rule ID 60383 //
     /* 1958816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1958827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1958830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1958833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1958836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958862 */     // MIs[0] policy
     /* 1958862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958872 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1958875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1958893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958896 */     // GIR_Coverage, 60383,
     /* 1958896 */     GIR_EraseRootFromParent_Done,
     /* 1958897 */   // Label 26240: @1958897
     /* 1958897 */   GIM_Try, /*On fail goto*//*Label 26241*/ GIMT_Encode4(1958983), // Rule ID 60384 //
     /* 1958902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1958905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1958913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1958916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1958919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1958922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958948 */     // MIs[0] policy
     /* 1958948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1958961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1958979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958982 */     // GIR_Coverage, 60384,
     /* 1958982 */     GIR_EraseRootFromParent_Done,
     /* 1958983 */   // Label 26241: @1958983
     /* 1958983 */   GIM_Try, /*On fail goto*//*Label 26242*/ GIMT_Encode4(1959069), // Rule ID 60387 //
     /* 1958988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1958991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1958996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1958999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1959002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1959005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1959008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959034 */     // MIs[0] policy
     /* 1959034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959044 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1959047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959068 */     // GIR_Coverage, 60387,
     /* 1959068 */     GIR_EraseRootFromParent_Done,
     /* 1959069 */   // Label 26242: @1959069
     /* 1959069 */   GIM_Try, /*On fail goto*//*Label 26243*/ GIMT_Encode4(1959155), // Rule ID 60388 //
     /* 1959074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1959085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1959088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1959091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1959094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959120 */     // MIs[0] policy
     /* 1959120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959130 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1959133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959154 */     // GIR_Coverage, 60388,
     /* 1959154 */     GIR_EraseRootFromParent_Done,
     /* 1959155 */   // Label 26243: @1959155
     /* 1959155 */   GIM_Try, /*On fail goto*//*Label 26244*/ GIMT_Encode4(1959241), // Rule ID 60391 //
     /* 1959160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1959171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1959174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1959177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1959180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959206 */     // MIs[0] policy
     /* 1959206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959216 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1959219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959240 */     // GIR_Coverage, 60391,
     /* 1959240 */     GIR_EraseRootFromParent_Done,
     /* 1959241 */   // Label 26244: @1959241
     /* 1959241 */   GIM_Try, /*On fail goto*//*Label 26245*/ GIMT_Encode4(1959327), // Rule ID 60392 //
     /* 1959246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1959257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1959260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1959263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1959266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959292 */     // MIs[0] policy
     /* 1959292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959302 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1959305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959326 */     // GIR_Coverage, 60392,
     /* 1959326 */     GIR_EraseRootFromParent_Done,
     /* 1959327 */   // Label 26245: @1959327
     /* 1959327 */   GIM_Try, /*On fail goto*//*Label 26246*/ GIMT_Encode4(1959413), // Rule ID 60395 //
     /* 1959332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1959343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1959346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1959349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959378 */     // MIs[0] policy
     /* 1959378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959388 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1959391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959412 */     // GIR_Coverage, 60395,
     /* 1959412 */     GIR_EraseRootFromParent_Done,
     /* 1959413 */   // Label 26246: @1959413
     /* 1959413 */   GIM_Try, /*On fail goto*//*Label 26247*/ GIMT_Encode4(1959499), // Rule ID 60396 //
     /* 1959418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1959429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1959432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1959435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959464 */     // MIs[0] policy
     /* 1959464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959474 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1959477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959498 */     // GIR_Coverage, 60396,
     /* 1959498 */     GIR_EraseRootFromParent_Done,
     /* 1959499 */   // Label 26247: @1959499
     /* 1959499 */   GIM_Try, /*On fail goto*//*Label 26248*/ GIMT_Encode4(1959585), // Rule ID 60403 //
     /* 1959504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1959515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1959518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1959521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959550 */     // MIs[0] policy
     /* 1959550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959560 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1959563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959584 */     // GIR_Coverage, 60403,
     /* 1959584 */     GIR_EraseRootFromParent_Done,
     /* 1959585 */   // Label 26248: @1959585
     /* 1959585 */   GIM_Try, /*On fail goto*//*Label 26249*/ GIMT_Encode4(1959671), // Rule ID 60404 //
     /* 1959590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1959601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1959604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1959607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959636 */     // MIs[0] policy
     /* 1959636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959646 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1959649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959670 */     // GIR_Coverage, 60404,
     /* 1959670 */     GIR_EraseRootFromParent_Done,
     /* 1959671 */   // Label 26249: @1959671
     /* 1959671 */   GIM_Try, /*On fail goto*//*Label 26250*/ GIMT_Encode4(1959757), // Rule ID 60411 //
     /* 1959676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1959687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1959690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1959693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959722 */     // MIs[0] policy
     /* 1959722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959732 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1959735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959756 */     // GIR_Coverage, 60411,
     /* 1959756 */     GIR_EraseRootFromParent_Done,
     /* 1959757 */   // Label 26250: @1959757
     /* 1959757 */   GIM_Try, /*On fail goto*//*Label 26251*/ GIMT_Encode4(1959843), // Rule ID 60412 //
     /* 1959762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1959773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1959776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1959779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959808 */     // MIs[0] policy
     /* 1959808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959818 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11565:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1959821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959842 */     // GIR_Coverage, 60412,
     /* 1959842 */     GIR_EraseRootFromParent_Done,
     /* 1959843 */   // Label 26251: @1959843
     /* 1959843 */   GIM_Try, /*On fail goto*//*Label 26252*/ GIMT_Encode4(1959929), // Rule ID 60419 //
     /* 1959848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1959851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1959859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1959862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1959865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959894 */     // MIs[0] policy
     /* 1959894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959904 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1959907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959928 */     // GIR_Coverage, 60419,
     /* 1959928 */     GIR_EraseRootFromParent_Done,
     /* 1959929 */   // Label 26252: @1959929
     /* 1959929 */   GIM_Try, /*On fail goto*//*Label 26253*/ GIMT_Encode4(1960015), // Rule ID 60420 //
     /* 1959934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1959937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1959942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1959945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1959948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1959951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959980 */     // MIs[0] policy
     /* 1959980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959990 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1959993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960014 */     // GIR_Coverage, 60420,
     /* 1960014 */     GIR_EraseRootFromParent_Done,
     /* 1960015 */   // Label 26253: @1960015
     /* 1960015 */   GIM_Try, /*On fail goto*//*Label 26254*/ GIMT_Encode4(1960101), // Rule ID 60427 //
     /* 1960020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1960031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1960034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1960037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1960043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960066 */     // MIs[0] policy
     /* 1960066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960076 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1960079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960100 */     // GIR_Coverage, 60427,
     /* 1960100 */     GIR_EraseRootFromParent_Done,
     /* 1960101 */   // Label 26254: @1960101
     /* 1960101 */   GIM_Try, /*On fail goto*//*Label 26255*/ GIMT_Encode4(1960187), // Rule ID 60428 //
     /* 1960106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1960117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1960120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1960123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1960129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960152 */     // MIs[0] policy
     /* 1960152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960162 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1960165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960186 */     // GIR_Coverage, 60428,
     /* 1960186 */     GIR_EraseRootFromParent_Done,
     /* 1960187 */   // Label 26255: @1960187
     /* 1960187 */   GIM_Try, /*On fail goto*//*Label 26256*/ GIMT_Encode4(1960273), // Rule ID 60435 //
     /* 1960192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1960203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1960206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1960209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1960215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960238 */     // MIs[0] policy
     /* 1960238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960248 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1960251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960272 */     // GIR_Coverage, 60435,
     /* 1960272 */     GIR_EraseRootFromParent_Done,
     /* 1960273 */   // Label 26256: @1960273
     /* 1960273 */   GIM_Try, /*On fail goto*//*Label 26257*/ GIMT_Encode4(1960359), // Rule ID 60436 //
     /* 1960278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1960289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1960292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1960295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1960301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960324 */     // MIs[0] policy
     /* 1960324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960334 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1960337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960358 */     // GIR_Coverage, 60436,
     /* 1960358 */     GIR_EraseRootFromParent_Done,
     /* 1960359 */   // Label 26257: @1960359
     /* 1960359 */   GIM_Try, /*On fail goto*//*Label 26258*/ GIMT_Encode4(1960445), // Rule ID 60443 //
     /* 1960364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1960375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1960378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1960381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960410 */     // MIs[0] policy
     /* 1960410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960420 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1960423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960444 */     // GIR_Coverage, 60443,
     /* 1960444 */     GIR_EraseRootFromParent_Done,
     /* 1960445 */   // Label 26258: @1960445
     /* 1960445 */   GIM_Try, /*On fail goto*//*Label 26259*/ GIMT_Encode4(1960531), // Rule ID 60444 //
     /* 1960450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1960461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1960464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1960467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960496 */     // MIs[0] policy
     /* 1960496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960506 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1960509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960530 */     // GIR_Coverage, 60444,
     /* 1960530 */     GIR_EraseRootFromParent_Done,
     /* 1960531 */   // Label 26259: @1960531
     /* 1960531 */   GIM_Try, /*On fail goto*//*Label 26260*/ GIMT_Encode4(1960617), // Rule ID 60451 //
     /* 1960536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1960547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1960550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1960553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960582 */     // MIs[0] policy
     /* 1960582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1960595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960616 */     // GIR_Coverage, 60451,
     /* 1960616 */     GIR_EraseRootFromParent_Done,
     /* 1960617 */   // Label 26260: @1960617
     /* 1960617 */   GIM_Try, /*On fail goto*//*Label 26261*/ GIMT_Encode4(1960703), // Rule ID 60452 //
     /* 1960622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1960633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1960636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1960639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960668 */     // MIs[0] policy
     /* 1960668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11565:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1960681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960702 */     // GIR_Coverage, 60452,
     /* 1960702 */     GIR_EraseRootFromParent_Done,
     /* 1960703 */   // Label 26261: @1960703
     /* 1960703 */   GIM_Try, /*On fail goto*//*Label 26262*/ GIMT_Encode4(1960789), // Rule ID 60459 //
     /* 1960708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1960719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1960722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1960725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1960738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960754 */     // MIs[0] policy
     /* 1960754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960764 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1960767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960788 */     // GIR_Coverage, 60459,
     /* 1960788 */     GIR_EraseRootFromParent_Done,
     /* 1960789 */   // Label 26262: @1960789
     /* 1960789 */   GIM_Try, /*On fail goto*//*Label 26263*/ GIMT_Encode4(1960875), // Rule ID 60460 //
     /* 1960794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1960805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1960808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1960811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1960824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960840 */     // MIs[0] policy
     /* 1960840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960850 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1960853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960874 */     // GIR_Coverage, 60460,
     /* 1960874 */     GIR_EraseRootFromParent_Done,
     /* 1960875 */   // Label 26263: @1960875
     /* 1960875 */   GIM_Try, /*On fail goto*//*Label 26264*/ GIMT_Encode4(1960961), // Rule ID 60467 //
     /* 1960880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1960883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1960891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1960894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1960897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1960922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960926 */     // MIs[0] policy
     /* 1960926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960936 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1960939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960960 */     // GIR_Coverage, 60467,
     /* 1960960 */     GIR_EraseRootFromParent_Done,
     /* 1960961 */   // Label 26264: @1960961
     /* 1960961 */   GIM_Try, /*On fail goto*//*Label 26265*/ GIMT_Encode4(1961047), // Rule ID 60468 //
     /* 1960966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1960969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1960974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1960977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1960980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1960983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1960986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961012 */     // MIs[0] policy
     /* 1961012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961022 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1961025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961046 */     // GIR_Coverage, 60468,
     /* 1961046 */     GIR_EraseRootFromParent_Done,
     /* 1961047 */   // Label 26265: @1961047
     /* 1961047 */   GIM_Try, /*On fail goto*//*Label 26266*/ GIMT_Encode4(1961133), // Rule ID 60475 //
     /* 1961052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1961063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1961066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1961069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961098 */     // MIs[0] policy
     /* 1961098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961108 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1961111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961132 */     // GIR_Coverage, 60475,
     /* 1961132 */     GIR_EraseRootFromParent_Done,
     /* 1961133 */   // Label 26266: @1961133
     /* 1961133 */   GIM_Try, /*On fail goto*//*Label 26267*/ GIMT_Encode4(1961219), // Rule ID 60476 //
     /* 1961138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1961149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1961152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1961155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961184 */     // MIs[0] policy
     /* 1961184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961194 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1961197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961218 */     // GIR_Coverage, 60476,
     /* 1961218 */     GIR_EraseRootFromParent_Done,
     /* 1961219 */   // Label 26267: @1961219
     /* 1961219 */   GIM_Try, /*On fail goto*//*Label 26268*/ GIMT_Encode4(1961305), // Rule ID 60483 //
     /* 1961224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1961235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1961238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1961241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961270 */     // MIs[0] policy
     /* 1961270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1961283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961304 */     // GIR_Coverage, 60483,
     /* 1961304 */     GIR_EraseRootFromParent_Done,
     /* 1961305 */   // Label 26268: @1961305
     /* 1961305 */   GIM_Try, /*On fail goto*//*Label 26269*/ GIMT_Encode4(1961391), // Rule ID 60484 //
     /* 1961310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1961321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1961324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1961327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961356 */     // MIs[0] policy
     /* 1961356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961366 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11565:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1961369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961390 */     // GIR_Coverage, 60484,
     /* 1961390 */     GIR_EraseRootFromParent_Done,
     /* 1961391 */   // Label 26269: @1961391
     /* 1961391 */   GIM_Try, /*On fail goto*//*Label 26270*/ GIMT_Encode4(1961477), // Rule ID 60491 //
     /* 1961396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1961407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1961410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1961413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961442 */     // MIs[0] policy
     /* 1961442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961452 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1961455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961476 */     // GIR_Coverage, 60491,
     /* 1961476 */     GIR_EraseRootFromParent_Done,
     /* 1961477 */   // Label 26270: @1961477
     /* 1961477 */   GIM_Try, /*On fail goto*//*Label 26271*/ GIMT_Encode4(1961563), // Rule ID 60492 //
     /* 1961482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1961493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1961496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1961499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961528 */     // MIs[0] policy
     /* 1961528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961538 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11565:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1961541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961562 */     // GIR_Coverage, 60492,
     /* 1961562 */     GIR_EraseRootFromParent_Done,
     /* 1961563 */   // Label 26271: @1961563
     /* 1961563 */   GIM_Try, /*On fail goto*//*Label 26272*/ GIMT_Encode4(1961649), // Rule ID 60499 //
     /* 1961568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1961579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1961582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1961585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961614 */     // MIs[0] policy
     /* 1961614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961624 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1961627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961648 */     // GIR_Coverage, 60499,
     /* 1961648 */     GIR_EraseRootFromParent_Done,
     /* 1961649 */   // Label 26272: @1961649
     /* 1961649 */   GIM_Try, /*On fail goto*//*Label 26273*/ GIMT_Encode4(1961735), // Rule ID 60500 //
     /* 1961654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1961665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1961668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1961671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961700 */     // MIs[0] policy
     /* 1961700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961710 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11565:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1961713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961734 */     // GIR_Coverage, 60500,
     /* 1961734 */     GIR_EraseRootFromParent_Done,
     /* 1961735 */   // Label 26273: @1961735
     /* 1961735 */   GIM_Try, /*On fail goto*//*Label 26274*/ GIMT_Encode4(1961821), // Rule ID 60507 //
     /* 1961740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1961743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1961751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1961754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1961757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1961760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961786 */     // MIs[0] policy
     /* 1961786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961796 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1961799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961820 */     // GIR_Coverage, 60507,
     /* 1961820 */     GIR_EraseRootFromParent_Done,
     /* 1961821 */   // Label 26274: @1961821
     /* 1961821 */   GIM_Try, /*On fail goto*//*Label 26275*/ GIMT_Encode4(1961907), // Rule ID 60508 //
     /* 1961826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1961829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1961834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1961837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1961840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1961843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1961846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1961868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961872 */     // MIs[0] policy
     /* 1961872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961882 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11565:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1961885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961906 */     // GIR_Coverage, 60508,
     /* 1961906 */     GIR_EraseRootFromParent_Done,
     /* 1961907 */   // Label 26275: @1961907
     /* 1961907 */   GIM_Try, /*On fail goto*//*Label 26276*/ GIMT_Encode4(1961993), // Rule ID 60515 //
     /* 1961912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1961915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1961920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1961923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1961926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1961929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1961932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961958 */     // MIs[0] policy
     /* 1961958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961968 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1961971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1961989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961992 */     // GIR_Coverage, 60515,
     /* 1961992 */     GIR_EraseRootFromParent_Done,
     /* 1961993 */   // Label 26276: @1961993
     /* 1961993 */   GIM_Try, /*On fail goto*//*Label 26277*/ GIMT_Encode4(1962079), // Rule ID 60516 //
     /* 1961998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1962001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1962006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1962009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1962012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1962015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1962018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962044 */     // MIs[0] policy
     /* 1962044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962054 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1962057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962078 */     // GIR_Coverage, 60516,
     /* 1962078 */     GIR_EraseRootFromParent_Done,
     /* 1962079 */   // Label 26277: @1962079
     /* 1962079 */   GIM_Try, /*On fail goto*//*Label 26278*/ GIMT_Encode4(1962165), // Rule ID 60519 //
     /* 1962084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1962087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1962092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1962095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1962098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1962101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1962104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962130 */     // MIs[0] policy
     /* 1962130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962140 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1962143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962164 */     // GIR_Coverage, 60519,
     /* 1962164 */     GIR_EraseRootFromParent_Done,
     /* 1962165 */   // Label 26278: @1962165
     /* 1962165 */   GIM_Try, /*On fail goto*//*Label 26279*/ GIMT_Encode4(1962251), // Rule ID 60520 //
     /* 1962170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1962173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1962178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1962181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1962184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1962187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1962190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962216 */     // MIs[0] policy
     /* 1962216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962226 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1962229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962250 */     // GIR_Coverage, 60520,
     /* 1962250 */     GIR_EraseRootFromParent_Done,
     /* 1962251 */   // Label 26279: @1962251
     /* 1962251 */   GIM_Try, /*On fail goto*//*Label 26280*/ GIMT_Encode4(1962337), // Rule ID 60523 //
     /* 1962256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1962259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1962264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1962267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1962270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1962273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1962276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962302 */     // MIs[0] policy
     /* 1962302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962312 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1962315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962336 */     // GIR_Coverage, 60523,
     /* 1962336 */     GIR_EraseRootFromParent_Done,
     /* 1962337 */   // Label 26280: @1962337
     /* 1962337 */   GIM_Try, /*On fail goto*//*Label 26281*/ GIMT_Encode4(1962423), // Rule ID 60524 //
     /* 1962342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1962345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1962350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1962353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1962356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1962359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1962362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962388 */     // MIs[0] policy
     /* 1962388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962398 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1962401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962422 */     // GIR_Coverage, 60524,
     /* 1962422 */     GIR_EraseRootFromParent_Done,
     /* 1962423 */   // Label 26281: @1962423
     /* 1962423 */   GIM_Try, /*On fail goto*//*Label 26282*/ GIMT_Encode4(1962509), // Rule ID 60527 //
     /* 1962428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1962431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1962436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1962439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1962442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1962445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1962448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962474 */     // MIs[0] policy
     /* 1962474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962484 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1962487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962508 */     // GIR_Coverage, 60527,
     /* 1962508 */     GIR_EraseRootFromParent_Done,
     /* 1962509 */   // Label 26282: @1962509
     /* 1962509 */   GIM_Try, /*On fail goto*//*Label 26283*/ GIMT_Encode4(1962595), // Rule ID 60528 //
     /* 1962514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1962517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1962522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1962525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1962528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1962531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1962534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962560 */     // MIs[0] policy
     /* 1962560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962570 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1962573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962594 */     // GIR_Coverage, 60528,
     /* 1962594 */     GIR_EraseRootFromParent_Done,
     /* 1962595 */   // Label 26283: @1962595
     /* 1962595 */   GIM_Try, /*On fail goto*//*Label 26284*/ GIMT_Encode4(1962681), // Rule ID 60531 //
     /* 1962600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1962603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1962608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1962611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1962614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1962617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962646 */     // MIs[0] policy
     /* 1962646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962656 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1962659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962680 */     // GIR_Coverage, 60531,
     /* 1962680 */     GIR_EraseRootFromParent_Done,
     /* 1962681 */   // Label 26284: @1962681
     /* 1962681 */   GIM_Try, /*On fail goto*//*Label 26285*/ GIMT_Encode4(1962767), // Rule ID 60532 //
     /* 1962686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1962689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1962694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1962697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1962700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1962703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962732 */     // MIs[0] policy
     /* 1962732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962742 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1962745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962766 */     // GIR_Coverage, 60532,
     /* 1962766 */     GIR_EraseRootFromParent_Done,
     /* 1962767 */   // Label 26285: @1962767
     /* 1962767 */   GIM_Try, /*On fail goto*//*Label 26286*/ GIMT_Encode4(1962853), // Rule ID 60535 //
     /* 1962772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1962775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1962780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1962783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1962786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1962789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962818 */     // MIs[0] policy
     /* 1962818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962828 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1962831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962852 */     // GIR_Coverage, 60535,
     /* 1962852 */     GIR_EraseRootFromParent_Done,
     /* 1962853 */   // Label 26286: @1962853
     /* 1962853 */   GIM_Try, /*On fail goto*//*Label 26287*/ GIMT_Encode4(1962939), // Rule ID 60536 //
     /* 1962858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1962861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1962866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1962869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1962872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1962875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1962878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962904 */     // MIs[0] policy
     /* 1962904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962914 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1962917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962938 */     // GIR_Coverage, 60536,
     /* 1962938 */     GIR_EraseRootFromParent_Done,
     /* 1962939 */   // Label 26287: @1962939
     /* 1962939 */   GIM_Try, /*On fail goto*//*Label 26288*/ GIMT_Encode4(1963025), // Rule ID 60539 //
     /* 1962944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1962947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1962952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1962955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1962958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1962961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1962964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1962986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962990 */     // MIs[0] policy
     /* 1962990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963000 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1963003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963024 */     // GIR_Coverage, 60539,
     /* 1963024 */     GIR_EraseRootFromParent_Done,
     /* 1963025 */   // Label 26288: @1963025
     /* 1963025 */   GIM_Try, /*On fail goto*//*Label 26289*/ GIMT_Encode4(1963111), // Rule ID 60540 //
     /* 1963030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1963041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1963047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1963050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963076 */     // MIs[0] policy
     /* 1963076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963086 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1963089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963110 */     // GIR_Coverage, 60540,
     /* 1963110 */     GIR_EraseRootFromParent_Done,
     /* 1963111 */   // Label 26289: @1963111
     /* 1963111 */   GIM_Try, /*On fail goto*//*Label 26290*/ GIMT_Encode4(1963197), // Rule ID 60543 //
     /* 1963116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1963127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1963130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1963133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1963136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963162 */     // MIs[0] policy
     /* 1963162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963172 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1963175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963196 */     // GIR_Coverage, 60543,
     /* 1963196 */     GIR_EraseRootFromParent_Done,
     /* 1963197 */   // Label 26290: @1963197
     /* 1963197 */   GIM_Try, /*On fail goto*//*Label 26291*/ GIMT_Encode4(1963283), // Rule ID 60544 //
     /* 1963202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1963210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1963213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1963216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1963219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1963222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963248 */     // MIs[0] policy
     /* 1963248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963258 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1963261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963282 */     // GIR_Coverage, 60544,
     /* 1963282 */     GIR_EraseRootFromParent_Done,
     /* 1963283 */   // Label 26291: @1963283
     /* 1963283 */   GIM_Try, /*On fail goto*//*Label 26292*/ GIMT_Encode4(1963369), // Rule ID 60547 //
     /* 1963288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1963296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1963308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963334 */     // MIs[0] policy
     /* 1963334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963344 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1963347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963368 */     // GIR_Coverage, 60547,
     /* 1963368 */     GIR_EraseRootFromParent_Done,
     /* 1963369 */   // Label 26292: @1963369
     /* 1963369 */   GIM_Try, /*On fail goto*//*Label 26293*/ GIMT_Encode4(1963455), // Rule ID 60548 //
     /* 1963374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1963382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1963394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963420 */     // MIs[0] policy
     /* 1963420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963430 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1963433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963454 */     // GIR_Coverage, 60548,
     /* 1963454 */     GIR_EraseRootFromParent_Done,
     /* 1963455 */   // Label 26293: @1963455
     /* 1963455 */   GIM_Try, /*On fail goto*//*Label 26294*/ GIMT_Encode4(1963541), // Rule ID 60551 //
     /* 1963460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1963468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1963477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1963480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963506 */     // MIs[0] policy
     /* 1963506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963516 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1963519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963540 */     // GIR_Coverage, 60551,
     /* 1963540 */     GIR_EraseRootFromParent_Done,
     /* 1963541 */   // Label 26294: @1963541
     /* 1963541 */   GIM_Try, /*On fail goto*//*Label 26295*/ GIMT_Encode4(1963627), // Rule ID 60552 //
     /* 1963546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1963554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1963563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1963566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963592 */     // MIs[0] policy
     /* 1963592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963602 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1963605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963626 */     // GIR_Coverage, 60552,
     /* 1963626 */     GIR_EraseRootFromParent_Done,
     /* 1963627 */   // Label 26295: @1963627
     /* 1963627 */   GIM_Try, /*On fail goto*//*Label 26296*/ GIMT_Encode4(1963713), // Rule ID 60555 //
     /* 1963632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1963640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1963643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1963649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1963652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963678 */     // MIs[0] policy
     /* 1963678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963688 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1963691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963712 */     // GIR_Coverage, 60555,
     /* 1963712 */     GIR_EraseRootFromParent_Done,
     /* 1963713 */   // Label 26296: @1963713
     /* 1963713 */   GIM_Try, /*On fail goto*//*Label 26297*/ GIMT_Encode4(1963799), // Rule ID 60556 //
     /* 1963718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1963726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1963729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1963735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1963738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963764 */     // MIs[0] policy
     /* 1963764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963774 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1963777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963798 */     // GIR_Coverage, 60556,
     /* 1963798 */     GIR_EraseRootFromParent_Done,
     /* 1963799 */   // Label 26297: @1963799
     /* 1963799 */   GIM_Try, /*On fail goto*//*Label 26298*/ GIMT_Encode4(1963885), // Rule ID 60559 //
     /* 1963804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1963812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1963815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1963818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1963821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1963824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963850 */     // MIs[0] policy
     /* 1963850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963860 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1963863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963884 */     // GIR_Coverage, 60559,
     /* 1963884 */     GIR_EraseRootFromParent_Done,
     /* 1963885 */   // Label 26298: @1963885
     /* 1963885 */   GIM_Try, /*On fail goto*//*Label 26299*/ GIMT_Encode4(1963971), // Rule ID 60560 //
     /* 1963890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1963893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1963898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1963901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1963904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1963907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1963910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963936 */     // MIs[0] policy
     /* 1963936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1963949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963970 */     // GIR_Coverage, 60560,
     /* 1963970 */     GIR_EraseRootFromParent_Done,
     /* 1963971 */   // Label 26299: @1963971
     /* 1963971 */   GIM_Try, /*On fail goto*//*Label 26300*/ GIMT_Encode4(1964057), // Rule ID 60563 //
     /* 1963976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1963979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1963984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1963987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1963990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1963993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1963996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964022 */     // MIs[0] policy
     /* 1964022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964032 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1964035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964056 */     // GIR_Coverage, 60563,
     /* 1964056 */     GIR_EraseRootFromParent_Done,
     /* 1964057 */   // Label 26300: @1964057
     /* 1964057 */   GIM_Try, /*On fail goto*//*Label 26301*/ GIMT_Encode4(1964143), // Rule ID 60564 //
     /* 1964062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1964073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1964076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1964079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964108 */     // MIs[0] policy
     /* 1964108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964118 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1964121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964142 */     // GIR_Coverage, 60564,
     /* 1964142 */     GIR_EraseRootFromParent_Done,
     /* 1964143 */   // Label 26301: @1964143
     /* 1964143 */   GIM_Try, /*On fail goto*//*Label 26302*/ GIMT_Encode4(1964229), // Rule ID 60567 //
     /* 1964148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964194 */     // MIs[0] policy
     /* 1964194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964204 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1964207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964228 */     // GIR_Coverage, 60567,
     /* 1964228 */     GIR_EraseRootFromParent_Done,
     /* 1964229 */   // Label 26302: @1964229
     /* 1964229 */   GIM_Try, /*On fail goto*//*Label 26303*/ GIMT_Encode4(1964315), // Rule ID 60568 //
     /* 1964234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1964245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1964248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1964251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964280 */     // MIs[0] policy
     /* 1964280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964290 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1964293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964314 */     // GIR_Coverage, 60568,
     /* 1964314 */     GIR_EraseRootFromParent_Done,
     /* 1964315 */   // Label 26303: @1964315
     /* 1964315 */   GIM_Try, /*On fail goto*//*Label 26304*/ GIMT_Encode4(1964401), // Rule ID 60571 //
     /* 1964320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964366 */     // MIs[0] policy
     /* 1964366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964376 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1964379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964400 */     // GIR_Coverage, 60571,
     /* 1964400 */     GIR_EraseRootFromParent_Done,
     /* 1964401 */   // Label 26304: @1964401
     /* 1964401 */   GIM_Try, /*On fail goto*//*Label 26305*/ GIMT_Encode4(1964487), // Rule ID 60572 //
     /* 1964406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1964417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1964420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1964423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964452 */     // MIs[0] policy
     /* 1964452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964462 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1964465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964486 */     // GIR_Coverage, 60572,
     /* 1964486 */     GIR_EraseRootFromParent_Done,
     /* 1964487 */   // Label 26305: @1964487
     /* 1964487 */   GIM_Try, /*On fail goto*//*Label 26306*/ GIMT_Encode4(1964573), // Rule ID 60575 //
     /* 1964492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1964495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964538 */     // MIs[0] policy
     /* 1964538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964548 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1964551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964572 */     // GIR_Coverage, 60575,
     /* 1964572 */     GIR_EraseRootFromParent_Done,
     /* 1964573 */   // Label 26306: @1964573
     /* 1964573 */   GIM_Try, /*On fail goto*//*Label 26307*/ GIMT_Encode4(1964659), // Rule ID 60576 //
     /* 1964578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1964581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1964586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964624 */     // MIs[0] policy
     /* 1964624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964634 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1964637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964658 */     // GIR_Coverage, 60576,
     /* 1964658 */     GIR_EraseRootFromParent_Done,
     /* 1964659 */   // Label 26307: @1964659
     /* 1964659 */   GIM_Try, /*On fail goto*//*Label 26308*/ GIMT_Encode4(1964745), // Rule ID 60579 //
     /* 1964664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1964667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1964672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1964675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1964678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1964681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1964684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964710 */     // MIs[0] policy
     /* 1964710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964720 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1964723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1964741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964744 */     // GIR_Coverage, 60579,
     /* 1964744 */     GIR_EraseRootFromParent_Done,
     /* 1964745 */   // Label 26308: @1964745
     /* 1964745 */   GIM_Try, /*On fail goto*//*Label 26309*/ GIMT_Encode4(1964831), // Rule ID 60580 //
     /* 1964750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1964753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1964758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1964761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1964764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1964767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1964770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964796 */     // MIs[0] policy
     /* 1964796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964806 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1964809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1964827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964830 */     // GIR_Coverage, 60580,
     /* 1964830 */     GIR_EraseRootFromParent_Done,
     /* 1964831 */   // Label 26309: @1964831
     /* 1964831 */   GIM_Try, /*On fail goto*//*Label 26310*/ GIMT_Encode4(1964917), // Rule ID 60583 //
     /* 1964836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1964839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1964844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1964847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1964850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1964853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1964856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964882 */     // MIs[0] policy
     /* 1964882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964892 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1964895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1964913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964916 */     // GIR_Coverage, 60583,
     /* 1964916 */     GIR_EraseRootFromParent_Done,
     /* 1964917 */   // Label 26310: @1964917
     /* 1964917 */   GIM_Try, /*On fail goto*//*Label 26311*/ GIMT_Encode4(1965003), // Rule ID 60584 //
     /* 1964922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1964925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1964930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1964933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1964936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1964939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1964942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964968 */     // MIs[0] policy
     /* 1964968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964978 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1964981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1964999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965002 */     // GIR_Coverage, 60584,
     /* 1965002 */     GIR_EraseRootFromParent_Done,
     /* 1965003 */   // Label 26311: @1965003
     /* 1965003 */   GIM_Try, /*On fail goto*//*Label 26312*/ GIMT_Encode4(1965089), // Rule ID 60587 //
     /* 1965008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1965011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1965019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1965022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1965025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1965028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965054 */     // MIs[0] policy
     /* 1965054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965064 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1965067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965088 */     // GIR_Coverage, 60587,
     /* 1965088 */     GIR_EraseRootFromParent_Done,
     /* 1965089 */   // Label 26312: @1965089
     /* 1965089 */   GIM_Try, /*On fail goto*//*Label 26313*/ GIMT_Encode4(1965175), // Rule ID 60588 //
     /* 1965094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1965097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1965105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1965108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1965111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1965114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965140 */     // MIs[0] policy
     /* 1965140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965150 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1965153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965174 */     // GIR_Coverage, 60588,
     /* 1965174 */     GIR_EraseRootFromParent_Done,
     /* 1965175 */   // Label 26313: @1965175
     /* 1965175 */   GIM_Try, /*On fail goto*//*Label 26314*/ GIMT_Encode4(1965261), // Rule ID 60591 //
     /* 1965180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1965183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1965191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1965194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1965197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1965200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965226 */     // MIs[0] policy
     /* 1965226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965236 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1965239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965260 */     // GIR_Coverage, 60591,
     /* 1965260 */     GIR_EraseRootFromParent_Done,
     /* 1965261 */   // Label 26314: @1965261
     /* 1965261 */   GIM_Try, /*On fail goto*//*Label 26315*/ GIMT_Encode4(1965347), // Rule ID 60592 //
     /* 1965266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1965269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1965277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1965280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1965283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1965286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965312 */     // MIs[0] policy
     /* 1965312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965322 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1965325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965346 */     // GIR_Coverage, 60592,
     /* 1965346 */     GIR_EraseRootFromParent_Done,
     /* 1965347 */   // Label 26315: @1965347
     /* 1965347 */   GIM_Try, /*On fail goto*//*Label 26316*/ GIMT_Encode4(1965433), // Rule ID 60595 //
     /* 1965352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1965355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1965363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1965366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1965369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1965372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965398 */     // MIs[0] policy
     /* 1965398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965408 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1965411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965432 */     // GIR_Coverage, 60595,
     /* 1965432 */     GIR_EraseRootFromParent_Done,
     /* 1965433 */   // Label 26316: @1965433
     /* 1965433 */   GIM_Try, /*On fail goto*//*Label 26317*/ GIMT_Encode4(1965519), // Rule ID 60596 //
     /* 1965438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1965441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1965449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1965452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1965455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1965458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965484 */     // MIs[0] policy
     /* 1965484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965494 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1965497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965518 */     // GIR_Coverage, 60596,
     /* 1965518 */     GIR_EraseRootFromParent_Done,
     /* 1965519 */   // Label 26317: @1965519
     /* 1965519 */   GIM_Try, /*On fail goto*//*Label 26318*/ GIMT_Encode4(1965605), // Rule ID 60599 //
     /* 1965524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1965527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1965535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1965538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1965541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1965544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965570 */     // MIs[0] policy
     /* 1965570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965580 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1965583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1965601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965604 */     // GIR_Coverage, 60599,
     /* 1965604 */     GIR_EraseRootFromParent_Done,
     /* 1965605 */   // Label 26318: @1965605
     /* 1965605 */   GIM_Try, /*On fail goto*//*Label 26319*/ GIMT_Encode4(1965691), // Rule ID 60600 //
     /* 1965610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1965613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1965621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1965624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1965627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1965630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965656 */     // MIs[0] policy
     /* 1965656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965666 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1965669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1965687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965690 */     // GIR_Coverage, 60600,
     /* 1965690 */     GIR_EraseRootFromParent_Done,
     /* 1965691 */   // Label 26319: @1965691
     /* 1965691 */   GIM_Try, /*On fail goto*//*Label 26320*/ GIMT_Encode4(1965777), // Rule ID 60603 //
     /* 1965696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1965699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1965707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1965710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1965713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1965716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965742 */     // MIs[0] policy
     /* 1965742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965752 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1965755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965776 */     // GIR_Coverage, 60603,
     /* 1965776 */     GIR_EraseRootFromParent_Done,
     /* 1965777 */   // Label 26320: @1965777
     /* 1965777 */   GIM_Try, /*On fail goto*//*Label 26321*/ GIMT_Encode4(1965863), // Rule ID 60604 //
     /* 1965782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1965785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1965793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1965796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1965799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1965802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965828 */     // MIs[0] policy
     /* 1965828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965838 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1965841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965862 */     // GIR_Coverage, 60604,
     /* 1965862 */     GIR_EraseRootFromParent_Done,
     /* 1965863 */   // Label 26321: @1965863
     /* 1965863 */   GIM_Try, /*On fail goto*//*Label 26322*/ GIMT_Encode4(1965949), // Rule ID 60607 //
     /* 1965868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1965871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1965879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1965882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1965885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1965888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965914 */     // MIs[0] policy
     /* 1965914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965924 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1965927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965948 */     // GIR_Coverage, 60607,
     /* 1965948 */     GIR_EraseRootFromParent_Done,
     /* 1965949 */   // Label 26322: @1965949
     /* 1965949 */   GIM_Try, /*On fail goto*//*Label 26323*/ GIMT_Encode4(1966035), // Rule ID 60608 //
     /* 1965954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1965957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1965965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1965968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1965971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1965974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966000 */     // MIs[0] policy
     /* 1966000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966010 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1966013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966034 */     // GIR_Coverage, 60608,
     /* 1966034 */     GIR_EraseRootFromParent_Done,
     /* 1966035 */   // Label 26323: @1966035
     /* 1966035 */   GIM_Try, /*On fail goto*//*Label 26324*/ GIMT_Encode4(1966121), // Rule ID 60611 //
     /* 1966040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1966051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1966054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1966057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1966060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966086 */     // MIs[0] policy
     /* 1966086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1966099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966120 */     // GIR_Coverage, 60611,
     /* 1966120 */     GIR_EraseRootFromParent_Done,
     /* 1966121 */   // Label 26324: @1966121
     /* 1966121 */   GIM_Try, /*On fail goto*//*Label 26325*/ GIMT_Encode4(1966207), // Rule ID 60612 //
     /* 1966126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1966137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1966140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1966143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1966146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966172 */     // MIs[0] policy
     /* 1966172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966182 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1966185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966206 */     // GIR_Coverage, 60612,
     /* 1966206 */     GIR_EraseRootFromParent_Done,
     /* 1966207 */   // Label 26325: @1966207
     /* 1966207 */   GIM_Try, /*On fail goto*//*Label 26326*/ GIMT_Encode4(1966293), // Rule ID 60615 //
     /* 1966212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1966223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1966226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1966229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1966232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966258 */     // MIs[0] policy
     /* 1966258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1966271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966292 */     // GIR_Coverage, 60615,
     /* 1966292 */     GIR_EraseRootFromParent_Done,
     /* 1966293 */   // Label 26326: @1966293
     /* 1966293 */   GIM_Try, /*On fail goto*//*Label 26327*/ GIMT_Encode4(1966379), // Rule ID 60616 //
     /* 1966298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1966309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1966312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1966315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1966318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966344 */     // MIs[0] policy
     /* 1966344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966354 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1966357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966378 */     // GIR_Coverage, 60616,
     /* 1966378 */     GIR_EraseRootFromParent_Done,
     /* 1966379 */   // Label 26327: @1966379
     /* 1966379 */   GIM_Try, /*On fail goto*//*Label 26328*/ GIMT_Encode4(1966465), // Rule ID 60619 //
     /* 1966384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1966395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1966398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1966401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1966404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1966407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1966414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966430 */     // MIs[0] policy
     /* 1966430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966440 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1966443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966464 */     // GIR_Coverage, 60619,
     /* 1966464 */     GIR_EraseRootFromParent_Done,
     /* 1966465 */   // Label 26328: @1966465
     /* 1966465 */   GIM_Try, /*On fail goto*//*Label 26329*/ GIMT_Encode4(1966551), // Rule ID 60620 //
     /* 1966470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1966481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1966484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1966487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1966490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1966493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1966500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966516 */     // MIs[0] policy
     /* 1966516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966526 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1966529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966550 */     // GIR_Coverage, 60620,
     /* 1966550 */     GIR_EraseRootFromParent_Done,
     /* 1966551 */   // Label 26329: @1966551
     /* 1966551 */   GIM_Try, /*On fail goto*//*Label 26330*/ GIMT_Encode4(1966637), // Rule ID 60623 //
     /* 1966556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1966567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1966570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1966573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1966576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1966579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1966586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966602 */     // MIs[0] policy
     /* 1966602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966612 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1966615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966636 */     // GIR_Coverage, 60623,
     /* 1966636 */     GIR_EraseRootFromParent_Done,
     /* 1966637 */   // Label 26330: @1966637
     /* 1966637 */   GIM_Try, /*On fail goto*//*Label 26331*/ GIMT_Encode4(1966723), // Rule ID 60624 //
     /* 1966642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1966653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1966656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1966659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1966662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1966665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1966672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966688 */     // MIs[0] policy
     /* 1966688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966698 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1966701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966722 */     // GIR_Coverage, 60624,
     /* 1966722 */     GIR_EraseRootFromParent_Done,
     /* 1966723 */   // Label 26331: @1966723
     /* 1966723 */   GIM_Try, /*On fail goto*//*Label 26332*/ GIMT_Encode4(1966809), // Rule ID 60627 //
     /* 1966728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1966739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1966742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1966745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1966748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1966751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966774 */     // MIs[0] policy
     /* 1966774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966784 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1966787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966808 */     // GIR_Coverage, 60627,
     /* 1966808 */     GIR_EraseRootFromParent_Done,
     /* 1966809 */   // Label 26332: @1966809
     /* 1966809 */   GIM_Try, /*On fail goto*//*Label 26333*/ GIMT_Encode4(1966895), // Rule ID 60628 //
     /* 1966814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1966825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1966828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1966831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1966834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1966837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966860 */     // MIs[0] policy
     /* 1966860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966870 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1966873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1966891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966894 */     // GIR_Coverage, 60628,
     /* 1966894 */     GIR_EraseRootFromParent_Done,
     /* 1966895 */   // Label 26333: @1966895
     /* 1966895 */   GIM_Try, /*On fail goto*//*Label 26334*/ GIMT_Encode4(1966981), // Rule ID 60631 //
     /* 1966900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1966911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1966914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1966917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1966920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1966930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966946 */     // MIs[0] policy
     /* 1966946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966956 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1966959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966980 */     // GIR_Coverage, 60631,
     /* 1966980 */     GIR_EraseRootFromParent_Done,
     /* 1966981 */   // Label 26334: @1966981
     /* 1966981 */   GIM_Try, /*On fail goto*//*Label 26335*/ GIMT_Encode4(1967067), // Rule ID 60632 //
     /* 1966986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1966997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1967000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1967003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1967006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967032 */     // MIs[0] policy
     /* 1967032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967042 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1967045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967066 */     // GIR_Coverage, 60632,
     /* 1967066 */     GIR_EraseRootFromParent_Done,
     /* 1967067 */   // Label 26335: @1967067
     /* 1967067 */   GIM_Try, /*On fail goto*//*Label 26336*/ GIMT_Encode4(1967153), // Rule ID 60635 //
     /* 1967072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1967083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1967086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1967089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1967092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1967095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967118 */     // MIs[0] policy
     /* 1967118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967128 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1967131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967152 */     // GIR_Coverage, 60635,
     /* 1967152 */     GIR_EraseRootFromParent_Done,
     /* 1967153 */   // Label 26336: @1967153
     /* 1967153 */   GIM_Try, /*On fail goto*//*Label 26337*/ GIMT_Encode4(1967239), // Rule ID 60636 //
     /* 1967158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1967169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1967172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1967175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1967178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1967181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967204 */     // MIs[0] policy
     /* 1967204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967214 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1967217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967238 */     // GIR_Coverage, 60636,
     /* 1967238 */     GIR_EraseRootFromParent_Done,
     /* 1967239 */   // Label 26337: @1967239
     /* 1967239 */   GIM_Try, /*On fail goto*//*Label 26338*/ GIMT_Encode4(1967325), // Rule ID 60639 //
     /* 1967244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1967255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1967258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1967261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1967264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1967267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1967274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967290 */     // MIs[0] policy
     /* 1967290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967300 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1967303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967324 */     // GIR_Coverage, 60639,
     /* 1967324 */     GIR_EraseRootFromParent_Done,
     /* 1967325 */   // Label 26338: @1967325
     /* 1967325 */   GIM_Try, /*On fail goto*//*Label 26339*/ GIMT_Encode4(1967411), // Rule ID 60640 //
     /* 1967330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1967341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1967344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1967347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1967350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1967353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1967360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967376 */     // MIs[0] policy
     /* 1967376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967386 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1967389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967410 */     // GIR_Coverage, 60640,
     /* 1967410 */     GIR_EraseRootFromParent_Done,
     /* 1967411 */   // Label 26339: @1967411
     /* 1967411 */   GIM_Try, /*On fail goto*//*Label 26340*/ GIMT_Encode4(1967497), // Rule ID 60643 //
     /* 1967416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1967427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1967430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1967433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1967436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967462 */     // MIs[0] policy
     /* 1967462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967472 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1967475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967496 */     // GIR_Coverage, 60643,
     /* 1967496 */     GIR_EraseRootFromParent_Done,
     /* 1967497 */   // Label 26340: @1967497
     /* 1967497 */   GIM_Try, /*On fail goto*//*Label 26341*/ GIMT_Encode4(1967583), // Rule ID 60644 //
     /* 1967502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1967513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1967516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1967519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1967522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967548 */     // MIs[0] policy
     /* 1967548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967558 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1967561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967582 */     // GIR_Coverage, 60644,
     /* 1967582 */     GIR_EraseRootFromParent_Done,
     /* 1967583 */   // Label 26341: @1967583
     /* 1967583 */   GIM_Try, /*On fail goto*//*Label 26342*/ GIMT_Encode4(1967669), // Rule ID 60647 //
     /* 1967588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1967599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1967602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1967605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1967608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967634 */     // MIs[0] policy
     /* 1967634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967644 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1967647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967668 */     // GIR_Coverage, 60647,
     /* 1967668 */     GIR_EraseRootFromParent_Done,
     /* 1967669 */   // Label 26342: @1967669
     /* 1967669 */   GIM_Try, /*On fail goto*//*Label 26343*/ GIMT_Encode4(1967755), // Rule ID 60648 //
     /* 1967674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1967685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1967688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1967691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1967694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967720 */     // MIs[0] policy
     /* 1967720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1967733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967754 */     // GIR_Coverage, 60648,
     /* 1967754 */     GIR_EraseRootFromParent_Done,
     /* 1967755 */   // Label 26343: @1967755
     /* 1967755 */   GIM_Try, /*On fail goto*//*Label 26344*/ GIMT_Encode4(1967841), // Rule ID 60651 //
     /* 1967760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1967771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1967774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1967777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1967780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1967783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1967790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967806 */     // MIs[0] policy
     /* 1967806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967816 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1967819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967840 */     // GIR_Coverage, 60651,
     /* 1967840 */     GIR_EraseRootFromParent_Done,
     /* 1967841 */   // Label 26344: @1967841
     /* 1967841 */   GIM_Try, /*On fail goto*//*Label 26345*/ GIMT_Encode4(1967927), // Rule ID 60652 //
     /* 1967846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1967857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1967860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1967863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1967866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1967869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1967876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967892 */     // MIs[0] policy
     /* 1967892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967902 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1967905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967926 */     // GIR_Coverage, 60652,
     /* 1967926 */     GIR_EraseRootFromParent_Done,
     /* 1967927 */   // Label 26345: @1967927
     /* 1967927 */   GIM_Try, /*On fail goto*//*Label 26346*/ GIMT_Encode4(1968013), // Rule ID 60655 //
     /* 1967932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1967943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1967946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1967949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1967952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967978 */     // MIs[0] policy
     /* 1967978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967988 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1967991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968012 */     // GIR_Coverage, 60655,
     /* 1968012 */     GIR_EraseRootFromParent_Done,
     /* 1968013 */   // Label 26346: @1968013
     /* 1968013 */   GIM_Try, /*On fail goto*//*Label 26347*/ GIMT_Encode4(1968099), // Rule ID 60656 //
     /* 1968018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1968029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1968032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1968035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1968038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1968041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968064 */     // MIs[0] policy
     /* 1968064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968074 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1968077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968098 */     // GIR_Coverage, 60656,
     /* 1968098 */     GIR_EraseRootFromParent_Done,
     /* 1968099 */   // Label 26347: @1968099
     /* 1968099 */   GIM_Try, /*On fail goto*//*Label 26348*/ GIMT_Encode4(1968185), // Rule ID 60659 //
     /* 1968104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1968115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1968118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1968121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1968124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968150 */     // MIs[0] policy
     /* 1968150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968160 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1968163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968184 */     // GIR_Coverage, 60659,
     /* 1968184 */     GIR_EraseRootFromParent_Done,
     /* 1968185 */   // Label 26348: @1968185
     /* 1968185 */   GIM_Try, /*On fail goto*//*Label 26349*/ GIMT_Encode4(1968271), // Rule ID 60660 //
     /* 1968190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1968201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1968204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1968207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1968210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968236 */     // MIs[0] policy
     /* 1968236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968246 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1968249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968270 */     // GIR_Coverage, 60660,
     /* 1968270 */     GIR_EraseRootFromParent_Done,
     /* 1968271 */   // Label 26349: @1968271
     /* 1968271 */   GIM_Try, /*On fail goto*//*Label 26350*/ GIMT_Encode4(1968357), // Rule ID 60663 //
     /* 1968276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1968287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1968290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1968293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1968296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968322 */     // MIs[0] policy
     /* 1968322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968332 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1968335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968356 */     // GIR_Coverage, 60663,
     /* 1968356 */     GIR_EraseRootFromParent_Done,
     /* 1968357 */   // Label 26350: @1968357
     /* 1968357 */   GIM_Try, /*On fail goto*//*Label 26351*/ GIMT_Encode4(1968443), // Rule ID 60664 //
     /* 1968362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1968373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1968376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1968379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1968382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968408 */     // MIs[0] policy
     /* 1968408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968418 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1968421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968442 */     // GIR_Coverage, 60664,
     /* 1968442 */     GIR_EraseRootFromParent_Done,
     /* 1968443 */   // Label 26351: @1968443
     /* 1968443 */   GIM_Try, /*On fail goto*//*Label 26352*/ GIMT_Encode4(1968529), // Rule ID 60667 //
     /* 1968448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1968459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1968462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1968465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1968471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968494 */     // MIs[0] policy
     /* 1968494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968504 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1968507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968528 */     // GIR_Coverage, 60667,
     /* 1968528 */     GIR_EraseRootFromParent_Done,
     /* 1968529 */   // Label 26352: @1968529
     /* 1968529 */   GIM_Try, /*On fail goto*//*Label 26353*/ GIMT_Encode4(1968615), // Rule ID 60668 //
     /* 1968534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1968545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1968548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1968551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1968554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1968557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968580 */     // MIs[0] policy
     /* 1968580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968590 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1968593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968614 */     // GIR_Coverage, 60668,
     /* 1968614 */     GIR_EraseRootFromParent_Done,
     /* 1968615 */   // Label 26353: @1968615
     /* 1968615 */   GIM_Try, /*On fail goto*//*Label 26354*/ GIMT_Encode4(1968701), // Rule ID 60671 //
     /* 1968620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1968631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1968634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1968637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1968643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968666 */     // MIs[0] policy
     /* 1968666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968676 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1968679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968700 */     // GIR_Coverage, 60671,
     /* 1968700 */     GIR_EraseRootFromParent_Done,
     /* 1968701 */   // Label 26354: @1968701
     /* 1968701 */   GIM_Try, /*On fail goto*//*Label 26355*/ GIMT_Encode4(1968787), // Rule ID 60672 //
     /* 1968706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1968717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1968720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1968723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1968726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1968729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968752 */     // MIs[0] policy
     /* 1968752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968762 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1968765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968786 */     // GIR_Coverage, 60672,
     /* 1968786 */     GIR_EraseRootFromParent_Done,
     /* 1968787 */   // Label 26355: @1968787
     /* 1968787 */   GIM_Try, /*On fail goto*//*Label 26356*/ GIMT_Encode4(1968873), // Rule ID 60675 //
     /* 1968792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1968803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1968806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1968809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968838 */     // MIs[0] policy
     /* 1968838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968848 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1968851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968872 */     // GIR_Coverage, 60675,
     /* 1968872 */     GIR_EraseRootFromParent_Done,
     /* 1968873 */   // Label 26356: @1968873
     /* 1968873 */   GIM_Try, /*On fail goto*//*Label 26357*/ GIMT_Encode4(1968959), // Rule ID 60676 //
     /* 1968878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1968889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1968892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1968895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1968898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1968920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968924 */     // MIs[0] policy
     /* 1968924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968934 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1968937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968958 */     // GIR_Coverage, 60676,
     /* 1968958 */     GIR_EraseRootFromParent_Done,
     /* 1968959 */   // Label 26357: @1968959
     /* 1968959 */   GIM_Try, /*On fail goto*//*Label 26358*/ GIMT_Encode4(1969045), // Rule ID 60679 //
     /* 1968964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1968972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1968975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1968978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1968981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1968984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1968987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969010 */     // MIs[0] policy
     /* 1969010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969020 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1969023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969044 */     // GIR_Coverage, 60679,
     /* 1969044 */     GIR_EraseRootFromParent_Done,
     /* 1969045 */   // Label 26358: @1969045
     /* 1969045 */   GIM_Try, /*On fail goto*//*Label 26359*/ GIMT_Encode4(1969131), // Rule ID 60680 //
     /* 1969050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1969061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1969064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1969067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969096 */     // MIs[0] policy
     /* 1969096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969106 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1969109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969130 */     // GIR_Coverage, 60680,
     /* 1969130 */     GIR_EraseRootFromParent_Done,
     /* 1969131 */   // Label 26359: @1969131
     /* 1969131 */   GIM_Try, /*On fail goto*//*Label 26360*/ GIMT_Encode4(1969217), // Rule ID 60683 //
     /* 1969136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1969147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1969150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1969153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969182 */     // MIs[0] policy
     /* 1969182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969192 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1969195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969216 */     // GIR_Coverage, 60683,
     /* 1969216 */     GIR_EraseRootFromParent_Done,
     /* 1969217 */   // Label 26360: @1969217
     /* 1969217 */   GIM_Try, /*On fail goto*//*Label 26361*/ GIMT_Encode4(1969303), // Rule ID 60684 //
     /* 1969222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1969233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1969236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1969239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969268 */     // MIs[0] policy
     /* 1969268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969278 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1969281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969302 */     // GIR_Coverage, 60684,
     /* 1969302 */     GIR_EraseRootFromParent_Done,
     /* 1969303 */   // Label 26361: @1969303
     /* 1969303 */   GIM_Try, /*On fail goto*//*Label 26362*/ GIMT_Encode4(1969389), // Rule ID 60687 //
     /* 1969308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1969319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1969322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1969325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969354 */     // MIs[0] policy
     /* 1969354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969364 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1969367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969388 */     // GIR_Coverage, 60687,
     /* 1969388 */     GIR_EraseRootFromParent_Done,
     /* 1969389 */   // Label 26362: @1969389
     /* 1969389 */   GIM_Try, /*On fail goto*//*Label 26363*/ GIMT_Encode4(1969475), // Rule ID 60688 //
     /* 1969394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1969405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1969408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1969411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969440 */     // MIs[0] policy
     /* 1969440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969450 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1969453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969474 */     // GIR_Coverage, 60688,
     /* 1969474 */     GIR_EraseRootFromParent_Done,
     /* 1969475 */   // Label 26363: @1969475
     /* 1969475 */   GIM_Try, /*On fail goto*//*Label 26364*/ GIMT_Encode4(1969561), // Rule ID 60691 //
     /* 1969480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1969491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1969494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1969497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969526 */     // MIs[0] policy
     /* 1969526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969536 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1969539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969560 */     // GIR_Coverage, 60691,
     /* 1969560 */     GIR_EraseRootFromParent_Done,
     /* 1969561 */   // Label 26364: @1969561
     /* 1969561 */   GIM_Try, /*On fail goto*//*Label 26365*/ GIMT_Encode4(1969647), // Rule ID 60692 //
     /* 1969566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1969577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1969580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1969583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969612 */     // MIs[0] policy
     /* 1969612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969622 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1969625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969646 */     // GIR_Coverage, 60692,
     /* 1969646 */     GIR_EraseRootFromParent_Done,
     /* 1969647 */   // Label 26365: @1969647
     /* 1969647 */   GIM_Try, /*On fail goto*//*Label 26366*/ GIMT_Encode4(1969733), // Rule ID 60695 //
     /* 1969652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1969663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1969666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1969669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969698 */     // MIs[0] policy
     /* 1969698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1969711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969732 */     // GIR_Coverage, 60695,
     /* 1969732 */     GIR_EraseRootFromParent_Done,
     /* 1969733 */   // Label 26366: @1969733
     /* 1969733 */   GIM_Try, /*On fail goto*//*Label 26367*/ GIMT_Encode4(1969819), // Rule ID 60696 //
     /* 1969738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1969749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1969752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1969755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969784 */     // MIs[0] policy
     /* 1969784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969794 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1969797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969818 */     // GIR_Coverage, 60696,
     /* 1969818 */     GIR_EraseRootFromParent_Done,
     /* 1969819 */   // Label 26367: @1969819
     /* 1969819 */   GIM_Try, /*On fail goto*//*Label 26368*/ GIMT_Encode4(1969905), // Rule ID 60699 //
     /* 1969824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1969835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1969838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1969841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1969844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969870 */     // MIs[0] policy
     /* 1969870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1969883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969904 */     // GIR_Coverage, 60699,
     /* 1969904 */     GIR_EraseRootFromParent_Done,
     /* 1969905 */   // Label 26368: @1969905
     /* 1969905 */   GIM_Try, /*On fail goto*//*Label 26369*/ GIMT_Encode4(1969991), // Rule ID 60700 //
     /* 1969910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1969918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1969921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1969924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1969927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1969952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969956 */     // MIs[0] policy
     /* 1969956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969966 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1969969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969990 */     // GIR_Coverage, 60700,
     /* 1969990 */     GIR_EraseRootFromParent_Done,
     /* 1969991 */   // Label 26369: @1969991
     /* 1969991 */   GIM_Try, /*On fail goto*//*Label 26370*/ GIMT_Encode4(1970077), // Rule ID 60703 //
     /* 1969996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1970007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1970010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1970013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970042 */     // MIs[0] policy
     /* 1970042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1970055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970076 */     // GIR_Coverage, 60703,
     /* 1970076 */     GIR_EraseRootFromParent_Done,
     /* 1970077 */   // Label 26370: @1970077
     /* 1970077 */   GIM_Try, /*On fail goto*//*Label 26371*/ GIMT_Encode4(1970163), // Rule ID 60704 //
     /* 1970082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1970093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1970096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1970099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970128 */     // MIs[0] policy
     /* 1970128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970138 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1970141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970162 */     // GIR_Coverage, 60704,
     /* 1970162 */     GIR_EraseRootFromParent_Done,
     /* 1970163 */   // Label 26371: @1970163
     /* 1970163 */   GIM_Try, /*On fail goto*//*Label 26372*/ GIMT_Encode4(1970249), // Rule ID 60707 //
     /* 1970168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1970179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1970182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1970185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1970191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1970198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970214 */     // MIs[0] policy
     /* 1970214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970224 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1970227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970248 */     // GIR_Coverage, 60707,
     /* 1970248 */     GIR_EraseRootFromParent_Done,
     /* 1970249 */   // Label 26372: @1970249
     /* 1970249 */   GIM_Try, /*On fail goto*//*Label 26373*/ GIMT_Encode4(1970335), // Rule ID 60708 //
     /* 1970254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1970265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1970268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1970271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1970277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1970284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970300 */     // MIs[0] policy
     /* 1970300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970310 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1970313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970334 */     // GIR_Coverage, 60708,
     /* 1970334 */     GIR_EraseRootFromParent_Done,
     /* 1970335 */   // Label 26373: @1970335
     /* 1970335 */   GIM_Try, /*On fail goto*//*Label 26374*/ GIMT_Encode4(1970421), // Rule ID 60711 //
     /* 1970340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1970351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1970354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1970357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1970363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970386 */     // MIs[0] policy
     /* 1970386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970396 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1970399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970420 */     // GIR_Coverage, 60711,
     /* 1970420 */     GIR_EraseRootFromParent_Done,
     /* 1970421 */   // Label 26374: @1970421
     /* 1970421 */   GIM_Try, /*On fail goto*//*Label 26375*/ GIMT_Encode4(1970507), // Rule ID 60712 //
     /* 1970426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1970437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1970440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1970443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1970449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970472 */     // MIs[0] policy
     /* 1970472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970482 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1970485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970506 */     // GIR_Coverage, 60712,
     /* 1970506 */     GIR_EraseRootFromParent_Done,
     /* 1970507 */   // Label 26375: @1970507
     /* 1970507 */   GIM_Try, /*On fail goto*//*Label 26376*/ GIMT_Encode4(1970593), // Rule ID 60715 //
     /* 1970512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1970523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1970526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1970529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1970535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1970542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970558 */     // MIs[0] policy
     /* 1970558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970568 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1970571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970592 */     // GIR_Coverage, 60715,
     /* 1970592 */     GIR_EraseRootFromParent_Done,
     /* 1970593 */   // Label 26376: @1970593
     /* 1970593 */   GIM_Try, /*On fail goto*//*Label 26377*/ GIMT_Encode4(1970679), // Rule ID 60716 //
     /* 1970598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1970609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1970612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1970615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1970621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1970628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970644 */     // MIs[0] policy
     /* 1970644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970654 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1970657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970678 */     // GIR_Coverage, 60716,
     /* 1970678 */     GIR_EraseRootFromParent_Done,
     /* 1970679 */   // Label 26377: @1970679
     /* 1970679 */   GIM_Try, /*On fail goto*//*Label 26378*/ GIMT_Encode4(1970765), // Rule ID 60719 //
     /* 1970684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1970695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1970698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1970701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1970714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970730 */     // MIs[0] policy
     /* 1970730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970740 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1970743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970764 */     // GIR_Coverage, 60719,
     /* 1970764 */     GIR_EraseRootFromParent_Done,
     /* 1970765 */   // Label 26378: @1970765
     /* 1970765 */   GIM_Try, /*On fail goto*//*Label 26379*/ GIMT_Encode4(1970851), // Rule ID 60720 //
     /* 1970770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1970781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1970784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1970787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1970800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970816 */     // MIs[0] policy
     /* 1970816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970826 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1970829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970850 */     // GIR_Coverage, 60720,
     /* 1970850 */     GIR_EraseRootFromParent_Done,
     /* 1970851 */   // Label 26379: @1970851
     /* 1970851 */   GIM_Try, /*On fail goto*//*Label 26380*/ GIMT_Encode4(1970937), // Rule ID 60723 //
     /* 1970856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1970867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1970870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1970873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1970879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970902 */     // MIs[0] policy
     /* 1970902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970912 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1970915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970936 */     // GIR_Coverage, 60723,
     /* 1970936 */     GIR_EraseRootFromParent_Done,
     /* 1970937 */   // Label 26380: @1970937
     /* 1970937 */   GIM_Try, /*On fail goto*//*Label 26381*/ GIMT_Encode4(1971023), // Rule ID 60724 //
     /* 1970942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1970950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1970953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1970956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1970959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1970965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1970984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970988 */     // MIs[0] policy
     /* 1970988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970998 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1971001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971022 */     // GIR_Coverage, 60724,
     /* 1971022 */     GIR_EraseRootFromParent_Done,
     /* 1971023 */   // Label 26381: @1971023
     /* 1971023 */   GIM_Try, /*On fail goto*//*Label 26382*/ GIMT_Encode4(1971109), // Rule ID 60727 //
     /* 1971028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1971039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1971042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1971045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1971051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971074 */     // MIs[0] policy
     /* 1971074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971084 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1971087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971108 */     // GIR_Coverage, 60727,
     /* 1971108 */     GIR_EraseRootFromParent_Done,
     /* 1971109 */   // Label 26382: @1971109
     /* 1971109 */   GIM_Try, /*On fail goto*//*Label 26383*/ GIMT_Encode4(1971195), // Rule ID 60728 //
     /* 1971114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1971125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1971128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1971131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1971137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971160 */     // MIs[0] policy
     /* 1971160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971170 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1971173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971194 */     // GIR_Coverage, 60728,
     /* 1971194 */     GIR_EraseRootFromParent_Done,
     /* 1971195 */   // Label 26383: @1971195
     /* 1971195 */   GIM_Try, /*On fail goto*//*Label 26384*/ GIMT_Encode4(1971281), // Rule ID 60731 //
     /* 1971200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1971211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1971214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1971217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971246 */     // MIs[0] policy
     /* 1971246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971256 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1971259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971280 */     // GIR_Coverage, 60731,
     /* 1971280 */     GIR_EraseRootFromParent_Done,
     /* 1971281 */   // Label 26384: @1971281
     /* 1971281 */   GIM_Try, /*On fail goto*//*Label 26385*/ GIMT_Encode4(1971367), // Rule ID 60732 //
     /* 1971286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1971297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1971300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1971303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971332 */     // MIs[0] policy
     /* 1971332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1971345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971366 */     // GIR_Coverage, 60732,
     /* 1971366 */     GIR_EraseRootFromParent_Done,
     /* 1971367 */   // Label 26385: @1971367
     /* 1971367 */   GIM_Try, /*On fail goto*//*Label 26386*/ GIMT_Encode4(1971453), // Rule ID 60735 //
     /* 1971372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1971383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1971386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1971389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971418 */     // MIs[0] policy
     /* 1971418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1971431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971452 */     // GIR_Coverage, 60735,
     /* 1971452 */     GIR_EraseRootFromParent_Done,
     /* 1971453 */   // Label 26386: @1971453
     /* 1971453 */   GIM_Try, /*On fail goto*//*Label 26387*/ GIMT_Encode4(1971539), // Rule ID 60736 //
     /* 1971458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1971469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1971472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1971475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971504 */     // MIs[0] policy
     /* 1971504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971514 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1971517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971538 */     // GIR_Coverage, 60736,
     /* 1971538 */     GIR_EraseRootFromParent_Done,
     /* 1971539 */   // Label 26387: @1971539
     /* 1971539 */   GIM_Try, /*On fail goto*//*Label 26388*/ GIMT_Encode4(1971625), // Rule ID 60739 //
     /* 1971544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1971555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1971558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1971561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971590 */     // MIs[0] policy
     /* 1971590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971600 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1971603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971624 */     // GIR_Coverage, 60739,
     /* 1971624 */     GIR_EraseRootFromParent_Done,
     /* 1971625 */   // Label 26388: @1971625
     /* 1971625 */   GIM_Try, /*On fail goto*//*Label 26389*/ GIMT_Encode4(1971711), // Rule ID 60740 //
     /* 1971630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1971641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1971644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1971647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971676 */     // MIs[0] policy
     /* 1971676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1971689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971710 */     // GIR_Coverage, 60740,
     /* 1971710 */     GIR_EraseRootFromParent_Done,
     /* 1971711 */   // Label 26389: @1971711
     /* 1971711 */   GIM_Try, /*On fail goto*//*Label 26390*/ GIMT_Encode4(1971797), // Rule ID 60743 //
     /* 1971716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1971727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1971730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1971733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971762 */     // MIs[0] policy
     /* 1971762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971772 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1971775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971796 */     // GIR_Coverage, 60743,
     /* 1971796 */     GIR_EraseRootFromParent_Done,
     /* 1971797 */   // Label 26390: @1971797
     /* 1971797 */   GIM_Try, /*On fail goto*//*Label 26391*/ GIMT_Encode4(1971883), // Rule ID 60744 //
     /* 1971802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1971813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1971816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1971819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971848 */     // MIs[0] policy
     /* 1971848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971858 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1971861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971882 */     // GIR_Coverage, 60744,
     /* 1971882 */     GIR_EraseRootFromParent_Done,
     /* 1971883 */   // Label 26391: @1971883
     /* 1971883 */   GIM_Try, /*On fail goto*//*Label 26392*/ GIMT_Encode4(1971969), // Rule ID 60747 //
     /* 1971888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1971899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1971902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1971905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971934 */     // MIs[0] policy
     /* 1971934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971944 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1971947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971968 */     // GIR_Coverage, 60747,
     /* 1971968 */     GIR_EraseRootFromParent_Done,
     /* 1971969 */   // Label 26392: @1971969
     /* 1971969 */   GIM_Try, /*On fail goto*//*Label 26393*/ GIMT_Encode4(1972055), // Rule ID 60748 //
     /* 1971974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1971982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1971985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1971988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1971991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972020 */     // MIs[0] policy
     /* 1972020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972030 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1972033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972054 */     // GIR_Coverage, 60748,
     /* 1972054 */     GIR_EraseRootFromParent_Done,
     /* 1972055 */   // Label 26393: @1972055
     /* 1972055 */   GIM_Try, /*On fail goto*//*Label 26394*/ GIMT_Encode4(1972141), // Rule ID 60751 //
     /* 1972060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1972071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1972074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1972077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972106 */     // MIs[0] policy
     /* 1972106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972116 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1972119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972140 */     // GIR_Coverage, 60751,
     /* 1972140 */     GIR_EraseRootFromParent_Done,
     /* 1972141 */   // Label 26394: @1972141
     /* 1972141 */   GIM_Try, /*On fail goto*//*Label 26395*/ GIMT_Encode4(1972227), // Rule ID 60752 //
     /* 1972146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1972154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1972157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1972160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1972163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972192 */     // MIs[0] policy
     /* 1972192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972202 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1972205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972226 */     // GIR_Coverage, 60752,
     /* 1972226 */     GIR_EraseRootFromParent_Done,
     /* 1972227 */   // Label 26395: @1972227
     /* 1972227 */   GIM_Try, /*On fail goto*//*Label 26396*/ GIMT_Encode4(1972313), // Rule ID 60931 //
     /* 1972232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1972243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1972246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1972249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1972252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1972255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972278 */     // MIs[0] policy
     /* 1972278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972288 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1972291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972312 */     // GIR_Coverage, 60931,
     /* 1972312 */     GIR_EraseRootFromParent_Done,
     /* 1972313 */   // Label 26396: @1972313
     /* 1972313 */   GIM_Try, /*On fail goto*//*Label 26397*/ GIMT_Encode4(1972399), // Rule ID 60932 //
     /* 1972318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1972329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1972332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1972335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1972338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1972341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972364 */     // MIs[0] policy
     /* 1972364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972374 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1972377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972398 */     // GIR_Coverage, 60932,
     /* 1972398 */     GIR_EraseRootFromParent_Done,
     /* 1972399 */   // Label 26397: @1972399
     /* 1972399 */   GIM_Try, /*On fail goto*//*Label 26398*/ GIMT_Encode4(1972485), // Rule ID 60935 //
     /* 1972404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1972415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1972418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1972421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1972424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972450 */     // MIs[0] policy
     /* 1972450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972460 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1972463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972484 */     // GIR_Coverage, 60935,
     /* 1972484 */     GIR_EraseRootFromParent_Done,
     /* 1972485 */   // Label 26398: @1972485
     /* 1972485 */   GIM_Try, /*On fail goto*//*Label 26399*/ GIMT_Encode4(1972571), // Rule ID 60936 //
     /* 1972490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1972501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1972504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1972507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1972510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972536 */     // MIs[0] policy
     /* 1972536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972546 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1972549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972570 */     // GIR_Coverage, 60936,
     /* 1972570 */     GIR_EraseRootFromParent_Done,
     /* 1972571 */   // Label 26399: @1972571
     /* 1972571 */   GIM_Try, /*On fail goto*//*Label 26400*/ GIMT_Encode4(1972657), // Rule ID 60939 //
     /* 1972576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1972587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1972590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1972593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1972596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972622 */     // MIs[0] policy
     /* 1972622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972632 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1972635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972656 */     // GIR_Coverage, 60939,
     /* 1972656 */     GIR_EraseRootFromParent_Done,
     /* 1972657 */   // Label 26400: @1972657
     /* 1972657 */   GIM_Try, /*On fail goto*//*Label 26401*/ GIMT_Encode4(1972743), // Rule ID 60940 //
     /* 1972662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1972673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1972676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1972679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1972682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972708 */     // MIs[0] policy
     /* 1972708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972718 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1972721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972742 */     // GIR_Coverage, 60940,
     /* 1972742 */     GIR_EraseRootFromParent_Done,
     /* 1972743 */   // Label 26401: @1972743
     /* 1972743 */   GIM_Try, /*On fail goto*//*Label 26402*/ GIMT_Encode4(1972829), // Rule ID 60943 //
     /* 1972748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1972759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1972762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1972765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1972768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1972771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972794 */     // MIs[0] policy
     /* 1972794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972804 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1972807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972828 */     // GIR_Coverage, 60943,
     /* 1972828 */     GIR_EraseRootFromParent_Done,
     /* 1972829 */   // Label 26402: @1972829
     /* 1972829 */   GIM_Try, /*On fail goto*//*Label 26403*/ GIMT_Encode4(1972915), // Rule ID 60944 //
     /* 1972834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1972845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1972848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1972851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1972854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1972857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972880 */     // MIs[0] policy
     /* 1972880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972890 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1972893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972914 */     // GIR_Coverage, 60944,
     /* 1972914 */     GIR_EraseRootFromParent_Done,
     /* 1972915 */   // Label 26403: @1972915
     /* 1972915 */   GIM_Try, /*On fail goto*//*Label 26404*/ GIMT_Encode4(1973001), // Rule ID 60947 //
     /* 1972920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1972931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1972934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1972937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1972940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972966 */     // MIs[0] policy
     /* 1972966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972976 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1972979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973000 */     // GIR_Coverage, 60947,
     /* 1973000 */     GIR_EraseRootFromParent_Done,
     /* 1973001 */   // Label 26404: @1973001
     /* 1973001 */   GIM_Try, /*On fail goto*//*Label 26405*/ GIMT_Encode4(1973087), // Rule ID 60948 //
     /* 1973006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1973017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1973020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1973023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1973026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973052 */     // MIs[0] policy
     /* 1973052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973062 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1973065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973086 */     // GIR_Coverage, 60948,
     /* 1973086 */     GIR_EraseRootFromParent_Done,
     /* 1973087 */   // Label 26405: @1973087
     /* 1973087 */   GIM_Try, /*On fail goto*//*Label 26406*/ GIMT_Encode4(1973173), // Rule ID 60951 //
     /* 1973092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1973103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1973106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1973109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1973112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973138 */     // MIs[0] policy
     /* 1973138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973148 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1973151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973172 */     // GIR_Coverage, 60951,
     /* 1973172 */     GIR_EraseRootFromParent_Done,
     /* 1973173 */   // Label 26406: @1973173
     /* 1973173 */   GIM_Try, /*On fail goto*//*Label 26407*/ GIMT_Encode4(1973259), // Rule ID 60952 //
     /* 1973178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1973189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1973192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1973195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1973198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973224 */     // MIs[0] policy
     /* 1973224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973234 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1973237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973258 */     // GIR_Coverage, 60952,
     /* 1973258 */     GIR_EraseRootFromParent_Done,
     /* 1973259 */   // Label 26407: @1973259
     /* 1973259 */   GIM_Try, /*On fail goto*//*Label 26408*/ GIMT_Encode4(1973345), // Rule ID 60955 //
     /* 1973264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1973275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1973278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1973281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1973284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973310 */     // MIs[0] policy
     /* 1973310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973320 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1973323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973344 */     // GIR_Coverage, 60955,
     /* 1973344 */     GIR_EraseRootFromParent_Done,
     /* 1973345 */   // Label 26408: @1973345
     /* 1973345 */   GIM_Try, /*On fail goto*//*Label 26409*/ GIMT_Encode4(1973431), // Rule ID 60956 //
     /* 1973350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1973361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1973364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1973367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1973370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973396 */     // MIs[0] policy
     /* 1973396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973406 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1973409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973430 */     // GIR_Coverage, 60956,
     /* 1973430 */     GIR_EraseRootFromParent_Done,
     /* 1973431 */   // Label 26409: @1973431
     /* 1973431 */   GIM_Try, /*On fail goto*//*Label 26410*/ GIMT_Encode4(1973517), // Rule ID 60959 //
     /* 1973436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1973447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1973450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1973453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1973456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973482 */     // MIs[0] policy
     /* 1973482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973492 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1973495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973516 */     // GIR_Coverage, 60959,
     /* 1973516 */     GIR_EraseRootFromParent_Done,
     /* 1973517 */   // Label 26410: @1973517
     /* 1973517 */   GIM_Try, /*On fail goto*//*Label 26411*/ GIMT_Encode4(1973603), // Rule ID 60960 //
     /* 1973522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1973533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1973536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1973539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1973542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973568 */     // MIs[0] policy
     /* 1973568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973578 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1973581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973602 */     // GIR_Coverage, 60960,
     /* 1973602 */     GIR_EraseRootFromParent_Done,
     /* 1973603 */   // Label 26411: @1973603
     /* 1973603 */   GIM_Try, /*On fail goto*//*Label 26412*/ GIMT_Encode4(1973689), // Rule ID 60963 //
     /* 1973608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1973619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1973622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1973625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1973628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973654 */     // MIs[0] policy
     /* 1973654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973664 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1973667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973688 */     // GIR_Coverage, 60963,
     /* 1973688 */     GIR_EraseRootFromParent_Done,
     /* 1973689 */   // Label 26412: @1973689
     /* 1973689 */   GIM_Try, /*On fail goto*//*Label 26413*/ GIMT_Encode4(1973775), // Rule ID 60964 //
     /* 1973694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1973705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1973708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1973711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1973714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973740 */     // MIs[0] policy
     /* 1973740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973750 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1973753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973774 */     // GIR_Coverage, 60964,
     /* 1973774 */     GIR_EraseRootFromParent_Done,
     /* 1973775 */   // Label 26413: @1973775
     /* 1973775 */   GIM_Try, /*On fail goto*//*Label 26414*/ GIMT_Encode4(1973861), // Rule ID 60967 //
     /* 1973780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1973791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1973794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1973797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1973800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973826 */     // MIs[0] policy
     /* 1973826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973836 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1973839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973860 */     // GIR_Coverage, 60967,
     /* 1973860 */     GIR_EraseRootFromParent_Done,
     /* 1973861 */   // Label 26414: @1973861
     /* 1973861 */   GIM_Try, /*On fail goto*//*Label 26415*/ GIMT_Encode4(1973947), // Rule ID 60968 //
     /* 1973866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1973877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1973880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1973883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1973886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973912 */     // MIs[0] policy
     /* 1973912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973922 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1973925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973946 */     // GIR_Coverage, 60968,
     /* 1973946 */     GIR_EraseRootFromParent_Done,
     /* 1973947 */   // Label 26415: @1973947
     /* 1973947 */   GIM_Try, /*On fail goto*//*Label 26416*/ GIMT_Encode4(1974033), // Rule ID 60971 //
     /* 1973952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1973963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1973966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1973969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1973972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1973975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1973982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973998 */     // MIs[0] policy
     /* 1973998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974008 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1974011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974032 */     // GIR_Coverage, 60971,
     /* 1974032 */     GIR_EraseRootFromParent_Done,
     /* 1974033 */   // Label 26416: @1974033
     /* 1974033 */   GIM_Try, /*On fail goto*//*Label 26417*/ GIMT_Encode4(1974119), // Rule ID 60972 //
     /* 1974038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1974049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1974052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1974055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1974058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1974061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1974068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974084 */     // MIs[0] policy
     /* 1974084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974094 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1974097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974118 */     // GIR_Coverage, 60972,
     /* 1974118 */     GIR_EraseRootFromParent_Done,
     /* 1974119 */   // Label 26417: @1974119
     /* 1974119 */   GIM_Try, /*On fail goto*//*Label 26418*/ GIMT_Encode4(1974205), // Rule ID 60975 //
     /* 1974124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1974135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1974138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1974141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1974144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1974147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1974154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974170 */     // MIs[0] policy
     /* 1974170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974180 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1974183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974204 */     // GIR_Coverage, 60975,
     /* 1974204 */     GIR_EraseRootFromParent_Done,
     /* 1974205 */   // Label 26418: @1974205
     /* 1974205 */   GIM_Try, /*On fail goto*//*Label 26419*/ GIMT_Encode4(1974291), // Rule ID 60976 //
     /* 1974210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1974221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1974224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1974227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1974230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1974233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1974240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974256 */     // MIs[0] policy
     /* 1974256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974266 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1974269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974290 */     // GIR_Coverage, 60976,
     /* 1974290 */     GIR_EraseRootFromParent_Done,
     /* 1974291 */   // Label 26419: @1974291
     /* 1974291 */   GIM_Try, /*On fail goto*//*Label 26420*/ GIMT_Encode4(1974377), // Rule ID 60979 //
     /* 1974296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1974307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1974310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1974313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1974316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1974319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1974326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974342 */     // MIs[0] policy
     /* 1974342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974352 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1974355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974376 */     // GIR_Coverage, 60979,
     /* 1974376 */     GIR_EraseRootFromParent_Done,
     /* 1974377 */   // Label 26420: @1974377
     /* 1974377 */   GIM_Try, /*On fail goto*//*Label 26421*/ GIMT_Encode4(1974463), // Rule ID 60980 //
     /* 1974382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1974393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1974396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1974399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1974402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1974405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1974412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974428 */     // MIs[0] policy
     /* 1974428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974438 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1974441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974462 */     // GIR_Coverage, 60980,
     /* 1974462 */     GIR_EraseRootFromParent_Done,
     /* 1974463 */   // Label 26421: @1974463
     /* 1974463 */   GIM_Try, /*On fail goto*//*Label 26422*/ GIMT_Encode4(1974549), // Rule ID 60983 //
     /* 1974468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1974479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1974482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1974485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1974488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1974498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974514 */     // MIs[0] policy
     /* 1974514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1974527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974548 */     // GIR_Coverage, 60983,
     /* 1974548 */     GIR_EraseRootFromParent_Done,
     /* 1974549 */   // Label 26422: @1974549
     /* 1974549 */   GIM_Try, /*On fail goto*//*Label 26423*/ GIMT_Encode4(1974635), // Rule ID 60984 //
     /* 1974554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1974565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1974568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1974571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1974574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1974584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974600 */     // MIs[0] policy
     /* 1974600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974610 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1974613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974634 */     // GIR_Coverage, 60984,
     /* 1974634 */     GIR_EraseRootFromParent_Done,
     /* 1974635 */   // Label 26423: @1974635
     /* 1974635 */   GIM_Try, /*On fail goto*//*Label 26424*/ GIMT_Encode4(1974721), // Rule ID 60987 //
     /* 1974640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1974651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1974654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1974657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1974660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1974663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1974670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974686 */     // MIs[0] policy
     /* 1974686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1974699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974720 */     // GIR_Coverage, 60987,
     /* 1974720 */     GIR_EraseRootFromParent_Done,
     /* 1974721 */   // Label 26424: @1974721
     /* 1974721 */   GIM_Try, /*On fail goto*//*Label 26425*/ GIMT_Encode4(1974807), // Rule ID 60988 //
     /* 1974726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1974737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1974740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1974743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1974746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1974749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1974756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974772 */     // MIs[0] policy
     /* 1974772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974782 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1974785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974806 */     // GIR_Coverage, 60988,
     /* 1974806 */     GIR_EraseRootFromParent_Done,
     /* 1974807 */   // Label 26425: @1974807
     /* 1974807 */   GIM_Try, /*On fail goto*//*Label 26426*/ GIMT_Encode4(1974893), // Rule ID 60991 //
     /* 1974812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1974823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1974826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1974829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1974832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1974835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1974842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974858 */     // MIs[0] policy
     /* 1974858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974868 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1974871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974892 */     // GIR_Coverage, 60991,
     /* 1974892 */     GIR_EraseRootFromParent_Done,
     /* 1974893 */   // Label 26426: @1974893
     /* 1974893 */   GIM_Try, /*On fail goto*//*Label 26427*/ GIMT_Encode4(1974979), // Rule ID 60992 //
     /* 1974898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1974909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1974912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1974915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1974918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1974921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1974928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974944 */     // MIs[0] policy
     /* 1974944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974954 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1974957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974978 */     // GIR_Coverage, 60992,
     /* 1974978 */     GIR_EraseRootFromParent_Done,
     /* 1974979 */   // Label 26427: @1974979
     /* 1974979 */   GIM_Try, /*On fail goto*//*Label 26428*/ GIMT_Encode4(1975065), // Rule ID 60995 //
     /* 1974984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1974995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1974998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1975001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1975004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1975007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975030 */     // MIs[0] policy
     /* 1975030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975040 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1975043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975064 */     // GIR_Coverage, 60995,
     /* 1975064 */     GIR_EraseRootFromParent_Done,
     /* 1975065 */   // Label 26428: @1975065
     /* 1975065 */   GIM_Try, /*On fail goto*//*Label 26429*/ GIMT_Encode4(1975151), // Rule ID 60996 //
     /* 1975070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1975081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1975084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1975087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1975090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1975093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975116 */     // MIs[0] policy
     /* 1975116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975126 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1975129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975150 */     // GIR_Coverage, 60996,
     /* 1975150 */     GIR_EraseRootFromParent_Done,
     /* 1975151 */   // Label 26429: @1975151
     /* 1975151 */   GIM_Try, /*On fail goto*//*Label 26430*/ GIMT_Encode4(1975237), // Rule ID 60999 //
     /* 1975156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1975167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1975170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1975173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1975176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975202 */     // MIs[0] policy
     /* 1975202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975212 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1975215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975236 */     // GIR_Coverage, 60999,
     /* 1975236 */     GIR_EraseRootFromParent_Done,
     /* 1975237 */   // Label 26430: @1975237
     /* 1975237 */   GIM_Try, /*On fail goto*//*Label 26431*/ GIMT_Encode4(1975323), // Rule ID 61000 //
     /* 1975242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1975253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1975256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1975259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1975262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975288 */     // MIs[0] policy
     /* 1975288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975298 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1975301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975322 */     // GIR_Coverage, 61000,
     /* 1975322 */     GIR_EraseRootFromParent_Done,
     /* 1975323 */   // Label 26431: @1975323
     /* 1975323 */   GIM_Try, /*On fail goto*//*Label 26432*/ GIMT_Encode4(1975409), // Rule ID 61003 //
     /* 1975328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1975339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1975342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1975345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1975348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975374 */     // MIs[0] policy
     /* 1975374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975384 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1975387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975408 */     // GIR_Coverage, 61003,
     /* 1975408 */     GIR_EraseRootFromParent_Done,
     /* 1975409 */   // Label 26432: @1975409
     /* 1975409 */   GIM_Try, /*On fail goto*//*Label 26433*/ GIMT_Encode4(1975495), // Rule ID 61004 //
     /* 1975414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1975425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1975428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1975431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1975434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975460 */     // MIs[0] policy
     /* 1975460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975470 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1975473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1975491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975494 */     // GIR_Coverage, 61004,
     /* 1975494 */     GIR_EraseRootFromParent_Done,
     /* 1975495 */   // Label 26433: @1975495
     /* 1975495 */   GIM_Try, /*On fail goto*//*Label 26434*/ GIMT_Encode4(1975581), // Rule ID 61007 //
     /* 1975500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1975511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1975514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1975517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1975520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1975523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975546 */     // MIs[0] policy
     /* 1975546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975556 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1975559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975580 */     // GIR_Coverage, 61007,
     /* 1975580 */     GIR_EraseRootFromParent_Done,
     /* 1975581 */   // Label 26434: @1975581
     /* 1975581 */   GIM_Try, /*On fail goto*//*Label 26435*/ GIMT_Encode4(1975667), // Rule ID 61008 //
     /* 1975586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1975597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1975600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1975603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1975606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1975609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975632 */     // MIs[0] policy
     /* 1975632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975642 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1975645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975666 */     // GIR_Coverage, 61008,
     /* 1975666 */     GIR_EraseRootFromParent_Done,
     /* 1975667 */   // Label 26435: @1975667
     /* 1975667 */   GIM_Try, /*On fail goto*//*Label 26436*/ GIMT_Encode4(1975753), // Rule ID 61011 //
     /* 1975672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1975683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1975686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1975689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1975692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1975695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975718 */     // MIs[0] policy
     /* 1975718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975728 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1975731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975752 */     // GIR_Coverage, 61011,
     /* 1975752 */     GIR_EraseRootFromParent_Done,
     /* 1975753 */   // Label 26436: @1975753
     /* 1975753 */   GIM_Try, /*On fail goto*//*Label 26437*/ GIMT_Encode4(1975839), // Rule ID 61012 //
     /* 1975758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1975769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1975772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1975775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1975778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1975781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975804 */     // MIs[0] policy
     /* 1975804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975814 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1975817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975838 */     // GIR_Coverage, 61012,
     /* 1975838 */     GIR_EraseRootFromParent_Done,
     /* 1975839 */   // Label 26437: @1975839
     /* 1975839 */   GIM_Try, /*On fail goto*//*Label 26438*/ GIMT_Encode4(1975925), // Rule ID 61015 //
     /* 1975844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1975855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1975858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1975861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1975864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975890 */     // MIs[0] policy
     /* 1975890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975900 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1975903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975924 */     // GIR_Coverage, 61015,
     /* 1975924 */     GIR_EraseRootFromParent_Done,
     /* 1975925 */   // Label 26438: @1975925
     /* 1975925 */   GIM_Try, /*On fail goto*//*Label 26439*/ GIMT_Encode4(1976011), // Rule ID 61016 //
     /* 1975930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1975941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1975944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1975947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1975950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975976 */     // MIs[0] policy
     /* 1975976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1975989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976010 */     // GIR_Coverage, 61016,
     /* 1976010 */     GIR_EraseRootFromParent_Done,
     /* 1976011 */   // Label 26439: @1976011
     /* 1976011 */   GIM_Try, /*On fail goto*//*Label 26440*/ GIMT_Encode4(1976097), // Rule ID 61019 //
     /* 1976016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1976027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1976030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1976033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1976039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976062 */     // MIs[0] policy
     /* 1976062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1976075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976096 */     // GIR_Coverage, 61019,
     /* 1976096 */     GIR_EraseRootFromParent_Done,
     /* 1976097 */   // Label 26440: @1976097
     /* 1976097 */   GIM_Try, /*On fail goto*//*Label 26441*/ GIMT_Encode4(1976183), // Rule ID 61020 //
     /* 1976102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1976113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1976116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1976119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1976125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976148 */     // MIs[0] policy
     /* 1976148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976158 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1976161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976182 */     // GIR_Coverage, 61020,
     /* 1976182 */     GIR_EraseRootFromParent_Done,
     /* 1976183 */   // Label 26441: @1976183
     /* 1976183 */   GIM_Try, /*On fail goto*//*Label 26442*/ GIMT_Encode4(1976269), // Rule ID 61023 //
     /* 1976188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1976199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1976202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1976205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976234 */     // MIs[0] policy
     /* 1976234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976244 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1976247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976268 */     // GIR_Coverage, 61023,
     /* 1976268 */     GIR_EraseRootFromParent_Done,
     /* 1976269 */   // Label 26442: @1976269
     /* 1976269 */   GIM_Try, /*On fail goto*//*Label 26443*/ GIMT_Encode4(1976355), // Rule ID 61024 //
     /* 1976274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1976285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1976288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1976291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976320 */     // MIs[0] policy
     /* 1976320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976330 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1976333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976354 */     // GIR_Coverage, 61024,
     /* 1976354 */     GIR_EraseRootFromParent_Done,
     /* 1976355 */   // Label 26443: @1976355
     /* 1976355 */   GIM_Try, /*On fail goto*//*Label 26444*/ GIMT_Encode4(1976441), // Rule ID 61027 //
     /* 1976360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1976371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1976374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1976377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976406 */     // MIs[0] policy
     /* 1976406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976416 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1976419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976440 */     // GIR_Coverage, 61027,
     /* 1976440 */     GIR_EraseRootFromParent_Done,
     /* 1976441 */   // Label 26444: @1976441
     /* 1976441 */   GIM_Try, /*On fail goto*//*Label 26445*/ GIMT_Encode4(1976527), // Rule ID 61028 //
     /* 1976446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1976457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1976460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1976463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976492 */     // MIs[0] policy
     /* 1976492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976502 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1976505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976526 */     // GIR_Coverage, 61028,
     /* 1976526 */     GIR_EraseRootFromParent_Done,
     /* 1976527 */   // Label 26445: @1976527
     /* 1976527 */   GIM_Try, /*On fail goto*//*Label 26446*/ GIMT_Encode4(1976613), // Rule ID 61031 //
     /* 1976532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1976543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1976546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1976549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1976555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976578 */     // MIs[0] policy
     /* 1976578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976588 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1976591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976612 */     // GIR_Coverage, 61031,
     /* 1976612 */     GIR_EraseRootFromParent_Done,
     /* 1976613 */   // Label 26446: @1976613
     /* 1976613 */   GIM_Try, /*On fail goto*//*Label 26447*/ GIMT_Encode4(1976699), // Rule ID 61032 //
     /* 1976618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1976629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1976632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1976635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1976641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976664 */     // MIs[0] policy
     /* 1976664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1976677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976698 */     // GIR_Coverage, 61032,
     /* 1976698 */     GIR_EraseRootFromParent_Done,
     /* 1976699 */   // Label 26447: @1976699
     /* 1976699 */   GIM_Try, /*On fail goto*//*Label 26448*/ GIMT_Encode4(1976785), // Rule ID 61035 //
     /* 1976704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1976715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1976718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1976721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976750 */     // MIs[0] policy
     /* 1976750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976760 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1976763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976784 */     // GIR_Coverage, 61035,
     /* 1976784 */     GIR_EraseRootFromParent_Done,
     /* 1976785 */   // Label 26448: @1976785
     /* 1976785 */   GIM_Try, /*On fail goto*//*Label 26449*/ GIMT_Encode4(1976871), // Rule ID 61036 //
     /* 1976790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1976801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1976804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1976807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976836 */     // MIs[0] policy
     /* 1976836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1976849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976870 */     // GIR_Coverage, 61036,
     /* 1976870 */     GIR_EraseRootFromParent_Done,
     /* 1976871 */   // Label 26449: @1976871
     /* 1976871 */   GIM_Try, /*On fail goto*//*Label 26450*/ GIMT_Encode4(1976957), // Rule ID 61039 //
     /* 1976876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1976887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1976890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1976893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1976899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976922 */     // MIs[0] policy
     /* 1976922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976932 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1976935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976956 */     // GIR_Coverage, 61039,
     /* 1976956 */     GIR_EraseRootFromParent_Done,
     /* 1976957 */   // Label 26450: @1976957
     /* 1976957 */   GIM_Try, /*On fail goto*//*Label 26451*/ GIMT_Encode4(1977043), // Rule ID 61040 //
     /* 1976962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1976970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1976973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1976976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1976979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1976985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977008 */     // MIs[0] policy
     /* 1977008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977018 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1977021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977042 */     // GIR_Coverage, 61040,
     /* 1977042 */     GIR_EraseRootFromParent_Done,
     /* 1977043 */   // Label 26451: @1977043
     /* 1977043 */   GIM_Try, /*On fail goto*//*Label 26452*/ GIMT_Encode4(1977129), // Rule ID 61043 //
     /* 1977048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1977059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1977062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1977065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977094 */     // MIs[0] policy
     /* 1977094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977104 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1977107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977128 */     // GIR_Coverage, 61043,
     /* 1977128 */     GIR_EraseRootFromParent_Done,
     /* 1977129 */   // Label 26452: @1977129
     /* 1977129 */   GIM_Try, /*On fail goto*//*Label 26453*/ GIMT_Encode4(1977215), // Rule ID 61044 //
     /* 1977134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1977145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1977148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1977151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977180 */     // MIs[0] policy
     /* 1977180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977190 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1977193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977214 */     // GIR_Coverage, 61044,
     /* 1977214 */     GIR_EraseRootFromParent_Done,
     /* 1977215 */   // Label 26453: @1977215
     /* 1977215 */   GIM_Try, /*On fail goto*//*Label 26454*/ GIMT_Encode4(1977301), // Rule ID 61047 //
     /* 1977220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1977231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1977234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1977237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977266 */     // MIs[0] policy
     /* 1977266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977276 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1977279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977300 */     // GIR_Coverage, 61047,
     /* 1977300 */     GIR_EraseRootFromParent_Done,
     /* 1977301 */   // Label 26454: @1977301
     /* 1977301 */   GIM_Try, /*On fail goto*//*Label 26455*/ GIMT_Encode4(1977387), // Rule ID 61048 //
     /* 1977306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1977317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1977320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1977323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977352 */     // MIs[0] policy
     /* 1977352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977362 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1977365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977386 */     // GIR_Coverage, 61048,
     /* 1977386 */     GIR_EraseRootFromParent_Done,
     /* 1977387 */   // Label 26455: @1977387
     /* 1977387 */   GIM_Try, /*On fail goto*//*Label 26456*/ GIMT_Encode4(1977473), // Rule ID 61051 //
     /* 1977392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1977403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1977406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1977409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977438 */     // MIs[0] policy
     /* 1977438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1977451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977472 */     // GIR_Coverage, 61051,
     /* 1977472 */     GIR_EraseRootFromParent_Done,
     /* 1977473 */   // Label 26456: @1977473
     /* 1977473 */   GIM_Try, /*On fail goto*//*Label 26457*/ GIMT_Encode4(1977559), // Rule ID 61052 //
     /* 1977478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1977489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1977492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1977495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977524 */     // MIs[0] policy
     /* 1977524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1977537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977558 */     // GIR_Coverage, 61052,
     /* 1977558 */     GIR_EraseRootFromParent_Done,
     /* 1977559 */   // Label 26457: @1977559
     /* 1977559 */   GIM_Try, /*On fail goto*//*Label 26458*/ GIMT_Encode4(1977645), // Rule ID 61055 //
     /* 1977564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1977575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1977578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1977581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977610 */     // MIs[0] policy
     /* 1977610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977620 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1977623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977644 */     // GIR_Coverage, 61055,
     /* 1977644 */     GIR_EraseRootFromParent_Done,
     /* 1977645 */   // Label 26458: @1977645
     /* 1977645 */   GIM_Try, /*On fail goto*//*Label 26459*/ GIMT_Encode4(1977731), // Rule ID 61056 //
     /* 1977650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1977661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1977664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1977667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977696 */     // MIs[0] policy
     /* 1977696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977706 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1977709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977730 */     // GIR_Coverage, 61056,
     /* 1977730 */     GIR_EraseRootFromParent_Done,
     /* 1977731 */   // Label 26459: @1977731
     /* 1977731 */   GIM_Try, /*On fail goto*//*Label 26460*/ GIMT_Encode4(1977817), // Rule ID 61059 //
     /* 1977736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1977747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1977750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1977753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1977759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1977766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977782 */     // MIs[0] policy
     /* 1977782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977792 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1977795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977816 */     // GIR_Coverage, 61059,
     /* 1977816 */     GIR_EraseRootFromParent_Done,
     /* 1977817 */   // Label 26460: @1977817
     /* 1977817 */   GIM_Try, /*On fail goto*//*Label 26461*/ GIMT_Encode4(1977903), // Rule ID 61060 //
     /* 1977822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1977833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1977836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1977839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1977845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1977852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977868 */     // MIs[0] policy
     /* 1977868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977878 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1977881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977902 */     // GIR_Coverage, 61060,
     /* 1977902 */     GIR_EraseRootFromParent_Done,
     /* 1977903 */   // Label 26461: @1977903
     /* 1977903 */   GIM_Try, /*On fail goto*//*Label 26462*/ GIMT_Encode4(1977989), // Rule ID 61063 //
     /* 1977908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1977916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1977919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1977922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1977925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1977931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1977938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977954 */     // MIs[0] policy
     /* 1977954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977964 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1977967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977988 */     // GIR_Coverage, 61063,
     /* 1977988 */     GIR_EraseRootFromParent_Done,
     /* 1977989 */   // Label 26462: @1977989
     /* 1977989 */   GIM_Try, /*On fail goto*//*Label 26463*/ GIMT_Encode4(1978075), // Rule ID 61064 //
     /* 1977994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1978005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1978008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1978011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1978017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1978024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978040 */     // MIs[0] policy
     /* 1978040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978050 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1978053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978074 */     // GIR_Coverage, 61064,
     /* 1978074 */     GIR_EraseRootFromParent_Done,
     /* 1978075 */   // Label 26463: @1978075
     /* 1978075 */   GIM_Try, /*On fail goto*//*Label 26464*/ GIMT_Encode4(1978161), // Rule ID 61067 //
     /* 1978080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1978091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1978094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1978097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1978103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1978110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978126 */     // MIs[0] policy
     /* 1978126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978136 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1978139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978160 */     // GIR_Coverage, 61067,
     /* 1978160 */     GIR_EraseRootFromParent_Done,
     /* 1978161 */   // Label 26464: @1978161
     /* 1978161 */   GIM_Try, /*On fail goto*//*Label 26465*/ GIMT_Encode4(1978247), // Rule ID 61068 //
     /* 1978166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1978177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1978180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1978183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1978189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1978196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978212 */     // MIs[0] policy
     /* 1978212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978222 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1978225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978246 */     // GIR_Coverage, 61068,
     /* 1978246 */     GIR_EraseRootFromParent_Done,
     /* 1978247 */   // Label 26465: @1978247
     /* 1978247 */   GIM_Try, /*On fail goto*//*Label 26466*/ GIMT_Encode4(1978333), // Rule ID 61071 //
     /* 1978252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1978263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1978266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1978269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1978282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978298 */     // MIs[0] policy
     /* 1978298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978308 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1978311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978332 */     // GIR_Coverage, 61071,
     /* 1978332 */     GIR_EraseRootFromParent_Done,
     /* 1978333 */   // Label 26466: @1978333
     /* 1978333 */   GIM_Try, /*On fail goto*//*Label 26467*/ GIMT_Encode4(1978419), // Rule ID 61072 //
     /* 1978338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1978349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1978352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1978355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1978368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978384 */     // MIs[0] policy
     /* 1978384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978394 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1978397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978418 */     // GIR_Coverage, 61072,
     /* 1978418 */     GIR_EraseRootFromParent_Done,
     /* 1978419 */   // Label 26467: @1978419
     /* 1978419 */   GIM_Try, /*On fail goto*//*Label 26468*/ GIMT_Encode4(1978505), // Rule ID 61075 //
     /* 1978424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1978435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1978438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1978441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1978447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1978454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978470 */     // MIs[0] policy
     /* 1978470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978480 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1978483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978504 */     // GIR_Coverage, 61075,
     /* 1978504 */     GIR_EraseRootFromParent_Done,
     /* 1978505 */   // Label 26468: @1978505
     /* 1978505 */   GIM_Try, /*On fail goto*//*Label 26469*/ GIMT_Encode4(1978591), // Rule ID 61076 //
     /* 1978510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1978521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1978524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1978527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1978533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1978540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978556 */     // MIs[0] policy
     /* 1978556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978566 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1978569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978590 */     // GIR_Coverage, 61076,
     /* 1978590 */     GIR_EraseRootFromParent_Done,
     /* 1978591 */   // Label 26469: @1978591
     /* 1978591 */   GIM_Try, /*On fail goto*//*Label 26470*/ GIMT_Encode4(1978677), // Rule ID 61079 //
     /* 1978596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1978607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1978610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1978613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1978619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1978626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978642 */     // MIs[0] policy
     /* 1978642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978652 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1978655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978676 */     // GIR_Coverage, 61079,
     /* 1978676 */     GIR_EraseRootFromParent_Done,
     /* 1978677 */   // Label 26470: @1978677
     /* 1978677 */   GIM_Try, /*On fail goto*//*Label 26471*/ GIMT_Encode4(1978763), // Rule ID 61080 //
     /* 1978682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1978693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1978696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1978699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1978705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1978712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978728 */     // MIs[0] policy
     /* 1978728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978738 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1978741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978762 */     // GIR_Coverage, 61080,
     /* 1978762 */     GIR_EraseRootFromParent_Done,
     /* 1978763 */   // Label 26471: @1978763
     /* 1978763 */   GIM_Try, /*On fail goto*//*Label 26472*/ GIMT_Encode4(1978849), // Rule ID 61083 //
     /* 1978768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1978779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1978782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1978785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1978798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978814 */     // MIs[0] policy
     /* 1978814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978824 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1978827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978848 */     // GIR_Coverage, 61083,
     /* 1978848 */     GIR_EraseRootFromParent_Done,
     /* 1978849 */   // Label 26472: @1978849
     /* 1978849 */   GIM_Try, /*On fail goto*//*Label 26473*/ GIMT_Encode4(1978935), // Rule ID 61084 //
     /* 1978854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1978865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1978868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1978871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1978884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978900 */     // MIs[0] policy
     /* 1978900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978910 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1978913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978934 */     // GIR_Coverage, 61084,
     /* 1978934 */     GIR_EraseRootFromParent_Done,
     /* 1978935 */   // Label 26473: @1978935
     /* 1978935 */   GIM_Try, /*On fail goto*//*Label 26474*/ GIMT_Encode4(1979021), // Rule ID 61087 //
     /* 1978940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1978948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1978951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1978954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1978957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1978970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978986 */     // MIs[0] policy
     /* 1978986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978996 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1978999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979020 */     // GIR_Coverage, 61087,
     /* 1979020 */     GIR_EraseRootFromParent_Done,
     /* 1979021 */   // Label 26474: @1979021
     /* 1979021 */   GIM_Try, /*On fail goto*//*Label 26475*/ GIMT_Encode4(1979107), // Rule ID 61088 //
     /* 1979026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1979037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1979040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1979043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979072 */     // MIs[0] policy
     /* 1979072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979082 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1979085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979106 */     // GIR_Coverage, 61088,
     /* 1979106 */     GIR_EraseRootFromParent_Done,
     /* 1979107 */   // Label 26475: @1979107
     /* 1979107 */   GIM_Try, /*On fail goto*//*Label 26476*/ GIMT_Encode4(1979193), // Rule ID 61091 //
     /* 1979112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1979123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1979126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1979129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979158 */     // MIs[0] policy
     /* 1979158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979168 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1979171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979192 */     // GIR_Coverage, 61091,
     /* 1979192 */     GIR_EraseRootFromParent_Done,
     /* 1979193 */   // Label 26476: @1979193
     /* 1979193 */   GIM_Try, /*On fail goto*//*Label 26477*/ GIMT_Encode4(1979279), // Rule ID 61092 //
     /* 1979198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1979209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1979212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1979215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979244 */     // MIs[0] policy
     /* 1979244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979254 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1979257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979278 */     // GIR_Coverage, 61092,
     /* 1979278 */     GIR_EraseRootFromParent_Done,
     /* 1979279 */   // Label 26477: @1979279
     /* 1979279 */   GIM_Try, /*On fail goto*//*Label 26478*/ GIMT_Encode4(1979365), // Rule ID 61095 //
     /* 1979284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1979295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1979298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1979301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1979307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979330 */     // MIs[0] policy
     /* 1979330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979340 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1979343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1979361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979364 */     // GIR_Coverage, 61095,
     /* 1979364 */     GIR_EraseRootFromParent_Done,
     /* 1979365 */   // Label 26478: @1979365
     /* 1979365 */   GIM_Try, /*On fail goto*//*Label 26479*/ GIMT_Encode4(1979451), // Rule ID 61096 //
     /* 1979370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1979381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1979384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1979387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1979393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979416 */     // MIs[0] policy
     /* 1979416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979426 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1979429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1979447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979450 */     // GIR_Coverage, 61096,
     /* 1979450 */     GIR_EraseRootFromParent_Done,
     /* 1979451 */   // Label 26479: @1979451
     /* 1979451 */   GIM_Try, /*On fail goto*//*Label 26480*/ GIMT_Encode4(1979537), // Rule ID 61099 //
     /* 1979456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1979467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1979470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1979473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1979479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979502 */     // MIs[0] policy
     /* 1979502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979512 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1979515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1979533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979536 */     // GIR_Coverage, 61099,
     /* 1979536 */     GIR_EraseRootFromParent_Done,
     /* 1979537 */   // Label 26480: @1979537
     /* 1979537 */   GIM_Try, /*On fail goto*//*Label 26481*/ GIMT_Encode4(1979623), // Rule ID 61100 //
     /* 1979542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1979553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1979556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1979559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1979565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979588 */     // MIs[0] policy
     /* 1979588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979598 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1979601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1979619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979622 */     // GIR_Coverage, 61100,
     /* 1979622 */     GIR_EraseRootFromParent_Done,
     /* 1979623 */   // Label 26481: @1979623
     /* 1979623 */   GIM_Try, /*On fail goto*//*Label 26482*/ GIMT_Encode4(1979709), // Rule ID 61103 //
     /* 1979628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1979639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1979642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1979645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979674 */     // MIs[0] policy
     /* 1979674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979684 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1979687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1979705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979708 */     // GIR_Coverage, 61103,
     /* 1979708 */     GIR_EraseRootFromParent_Done,
     /* 1979709 */   // Label 26482: @1979709
     /* 1979709 */   GIM_Try, /*On fail goto*//*Label 26483*/ GIMT_Encode4(1979795), // Rule ID 61104 //
     /* 1979714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1979722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1979725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1979728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1979731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979760 */     // MIs[0] policy
     /* 1979760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979770 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1979773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1979791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979794 */     // GIR_Coverage, 61104,
     /* 1979794 */     GIR_EraseRootFromParent_Done,
     /* 1979795 */   // Label 26483: @1979795
     /* 1979795 */   GIM_Try, /*On fail goto*//*Label 26484*/ GIMT_Encode4(1979881), // Rule ID 61191 //
     /* 1979800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1979808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1979811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1979814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1979817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1979820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1979823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979846 */     // MIs[0] policy
     /* 1979846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979856 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1979859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979880 */     // GIR_Coverage, 61191,
     /* 1979880 */     GIR_EraseRootFromParent_Done,
     /* 1979881 */   // Label 26484: @1979881
     /* 1979881 */   GIM_Try, /*On fail goto*//*Label 26485*/ GIMT_Encode4(1979967), // Rule ID 61192 //
     /* 1979886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1979894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1979897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1979900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1979903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1979906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1979909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979932 */     // MIs[0] policy
     /* 1979932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979942 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1979945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979966 */     // GIR_Coverage, 61192,
     /* 1979966 */     GIR_EraseRootFromParent_Done,
     /* 1979967 */   // Label 26485: @1979967
     /* 1979967 */   GIM_Try, /*On fail goto*//*Label 26486*/ GIMT_Encode4(1980053), // Rule ID 61195 //
     /* 1979972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1979980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1979983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1979986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1979989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1979992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1979995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980018 */     // MIs[0] policy
     /* 1980018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980028 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1980031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980052 */     // GIR_Coverage, 61195,
     /* 1980052 */     GIR_EraseRootFromParent_Done,
     /* 1980053 */   // Label 26486: @1980053
     /* 1980053 */   GIM_Try, /*On fail goto*//*Label 26487*/ GIMT_Encode4(1980139), // Rule ID 61196 //
     /* 1980058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1980069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1980072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1980075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1980078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980104 */     // MIs[0] policy
     /* 1980104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980114 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1980117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980138 */     // GIR_Coverage, 61196,
     /* 1980138 */     GIR_EraseRootFromParent_Done,
     /* 1980139 */   // Label 26487: @1980139
     /* 1980139 */   GIM_Try, /*On fail goto*//*Label 26488*/ GIMT_Encode4(1980225), // Rule ID 61199 //
     /* 1980144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1980155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1980158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1980161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1980164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980190 */     // MIs[0] policy
     /* 1980190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980200 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1980203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980224 */     // GIR_Coverage, 61199,
     /* 1980224 */     GIR_EraseRootFromParent_Done,
     /* 1980225 */   // Label 26488: @1980225
     /* 1980225 */   GIM_Try, /*On fail goto*//*Label 26489*/ GIMT_Encode4(1980311), // Rule ID 61200 //
     /* 1980230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1980241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1980244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1980247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1980250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980276 */     // MIs[0] policy
     /* 1980276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980286 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1980289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980310 */     // GIR_Coverage, 61200,
     /* 1980310 */     GIR_EraseRootFromParent_Done,
     /* 1980311 */   // Label 26489: @1980311
     /* 1980311 */   GIM_Try, /*On fail goto*//*Label 26490*/ GIMT_Encode4(1980397), // Rule ID 61203 //
     /* 1980316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1980327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1980330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1980333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1980336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1980339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980362 */     // MIs[0] policy
     /* 1980362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980372 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1980375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980396 */     // GIR_Coverage, 61203,
     /* 1980396 */     GIR_EraseRootFromParent_Done,
     /* 1980397 */   // Label 26490: @1980397
     /* 1980397 */   GIM_Try, /*On fail goto*//*Label 26491*/ GIMT_Encode4(1980483), // Rule ID 61204 //
     /* 1980402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1980413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1980416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1980419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1980422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1980425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980448 */     // MIs[0] policy
     /* 1980448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980458 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1980461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980482 */     // GIR_Coverage, 61204,
     /* 1980482 */     GIR_EraseRootFromParent_Done,
     /* 1980483 */   // Label 26491: @1980483
     /* 1980483 */   GIM_Try, /*On fail goto*//*Label 26492*/ GIMT_Encode4(1980569), // Rule ID 61207 //
     /* 1980488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1980499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1980502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1980505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1980508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980534 */     // MIs[0] policy
     /* 1980534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980544 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1980547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980568 */     // GIR_Coverage, 61207,
     /* 1980568 */     GIR_EraseRootFromParent_Done,
     /* 1980569 */   // Label 26492: @1980569
     /* 1980569 */   GIM_Try, /*On fail goto*//*Label 26493*/ GIMT_Encode4(1980655), // Rule ID 61208 //
     /* 1980574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1980585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1980588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1980591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1980594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980620 */     // MIs[0] policy
     /* 1980620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980630 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1980633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980654 */     // GIR_Coverage, 61208,
     /* 1980654 */     GIR_EraseRootFromParent_Done,
     /* 1980655 */   // Label 26493: @1980655
     /* 1980655 */   GIM_Try, /*On fail goto*//*Label 26494*/ GIMT_Encode4(1980741), // Rule ID 61211 //
     /* 1980660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1980671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1980674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1980677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1980680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1980683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980706 */     // MIs[0] policy
     /* 1980706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980716 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1980719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980740 */     // GIR_Coverage, 61211,
     /* 1980740 */     GIR_EraseRootFromParent_Done,
     /* 1980741 */   // Label 26494: @1980741
     /* 1980741 */   GIM_Try, /*On fail goto*//*Label 26495*/ GIMT_Encode4(1980827), // Rule ID 61212 //
     /* 1980746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1980757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1980760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1980763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1980766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1980769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980792 */     // MIs[0] policy
     /* 1980792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980802 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1980805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980826 */     // GIR_Coverage, 61212,
     /* 1980826 */     GIR_EraseRootFromParent_Done,
     /* 1980827 */   // Label 26495: @1980827
     /* 1980827 */   GIM_Try, /*On fail goto*//*Label 26496*/ GIMT_Encode4(1980913), // Rule ID 61215 //
     /* 1980832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1980843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1980846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1980849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1980852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980878 */     // MIs[0] policy
     /* 1980878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980888 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1980891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980912 */     // GIR_Coverage, 61215,
     /* 1980912 */     GIR_EraseRootFromParent_Done,
     /* 1980913 */   // Label 26496: @1980913
     /* 1980913 */   GIM_Try, /*On fail goto*//*Label 26497*/ GIMT_Encode4(1980999), // Rule ID 61216 //
     /* 1980918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1980929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1980932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1980935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1980938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980964 */     // MIs[0] policy
     /* 1980964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980974 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1980977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980998 */     // GIR_Coverage, 61216,
     /* 1980998 */     GIR_EraseRootFromParent_Done,
     /* 1980999 */   // Label 26497: @1980999
     /* 1980999 */   GIM_Try, /*On fail goto*//*Label 26498*/ GIMT_Encode4(1981085), // Rule ID 61219 //
     /* 1981004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1981015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1981018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1981021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1981024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981050 */     // MIs[0] policy
     /* 1981050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981060 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1981063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981084 */     // GIR_Coverage, 61219,
     /* 1981084 */     GIR_EraseRootFromParent_Done,
     /* 1981085 */   // Label 26498: @1981085
     /* 1981085 */   GIM_Try, /*On fail goto*//*Label 26499*/ GIMT_Encode4(1981171), // Rule ID 61220 //
     /* 1981090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1981101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1981104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1981107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1981110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981136 */     // MIs[0] policy
     /* 1981136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981146 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1981149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981170 */     // GIR_Coverage, 61220,
     /* 1981170 */     GIR_EraseRootFromParent_Done,
     /* 1981171 */   // Label 26499: @1981171
     /* 1981171 */   GIM_Try, /*On fail goto*//*Label 26500*/ GIMT_Encode4(1981257), // Rule ID 61223 //
     /* 1981176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1981187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1981190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1981193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1981196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981222 */     // MIs[0] policy
     /* 1981222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1981235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981256 */     // GIR_Coverage, 61223,
     /* 1981256 */     GIR_EraseRootFromParent_Done,
     /* 1981257 */   // Label 26500: @1981257
     /* 1981257 */   GIM_Try, /*On fail goto*//*Label 26501*/ GIMT_Encode4(1981343), // Rule ID 61224 //
     /* 1981262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1981273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1981276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1981279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1981282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981308 */     // MIs[0] policy
     /* 1981308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981318 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1981321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981342 */     // GIR_Coverage, 61224,
     /* 1981342 */     GIR_EraseRootFromParent_Done,
     /* 1981343 */   // Label 26501: @1981343
     /* 1981343 */   GIM_Try, /*On fail goto*//*Label 26502*/ GIMT_Encode4(1981429), // Rule ID 61227 //
     /* 1981348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1981359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1981362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1981365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1981368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981394 */     // MIs[0] policy
     /* 1981394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981404 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1981407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981428 */     // GIR_Coverage, 61227,
     /* 1981428 */     GIR_EraseRootFromParent_Done,
     /* 1981429 */   // Label 26502: @1981429
     /* 1981429 */   GIM_Try, /*On fail goto*//*Label 26503*/ GIMT_Encode4(1981515), // Rule ID 61228 //
     /* 1981434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1981445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1981448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1981451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1981454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981480 */     // MIs[0] policy
     /* 1981480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981490 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1981493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981514 */     // GIR_Coverage, 61228,
     /* 1981514 */     GIR_EraseRootFromParent_Done,
     /* 1981515 */   // Label 26503: @1981515
     /* 1981515 */   GIM_Try, /*On fail goto*//*Label 26504*/ GIMT_Encode4(1981601), // Rule ID 61231 //
     /* 1981520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1981531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1981534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1981537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1981540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1981543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1981550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981566 */     // MIs[0] policy
     /* 1981566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981576 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1981579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981600 */     // GIR_Coverage, 61231,
     /* 1981600 */     GIR_EraseRootFromParent_Done,
     /* 1981601 */   // Label 26504: @1981601
     /* 1981601 */   GIM_Try, /*On fail goto*//*Label 26505*/ GIMT_Encode4(1981687), // Rule ID 61232 //
     /* 1981606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1981617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1981620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1981623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1981626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1981629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1981636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981652 */     // MIs[0] policy
     /* 1981652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981662 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1981665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981686 */     // GIR_Coverage, 61232,
     /* 1981686 */     GIR_EraseRootFromParent_Done,
     /* 1981687 */   // Label 26505: @1981687
     /* 1981687 */   GIM_Try, /*On fail goto*//*Label 26506*/ GIMT_Encode4(1981773), // Rule ID 61235 //
     /* 1981692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1981703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1981706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1981709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1981712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1981715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1981722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981738 */     // MIs[0] policy
     /* 1981738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981748 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1981751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981772 */     // GIR_Coverage, 61235,
     /* 1981772 */     GIR_EraseRootFromParent_Done,
     /* 1981773 */   // Label 26506: @1981773
     /* 1981773 */   GIM_Try, /*On fail goto*//*Label 26507*/ GIMT_Encode4(1981859), // Rule ID 61236 //
     /* 1981778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1981789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1981792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1981795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1981798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1981801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1981808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981824 */     // MIs[0] policy
     /* 1981824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981834 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1981837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981858 */     // GIR_Coverage, 61236,
     /* 1981858 */     GIR_EraseRootFromParent_Done,
     /* 1981859 */   // Label 26507: @1981859
     /* 1981859 */   GIM_Try, /*On fail goto*//*Label 26508*/ GIMT_Encode4(1981945), // Rule ID 61239 //
     /* 1981864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1981875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1981878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1981881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1981884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1981887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981910 */     // MIs[0] policy
     /* 1981910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981920 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1981923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981944 */     // GIR_Coverage, 61239,
     /* 1981944 */     GIR_EraseRootFromParent_Done,
     /* 1981945 */   // Label 26508: @1981945
     /* 1981945 */   GIM_Try, /*On fail goto*//*Label 26509*/ GIMT_Encode4(1982031), // Rule ID 61240 //
     /* 1981950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1981961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1981964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1981967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1981970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1981973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981996 */     // MIs[0] policy
     /* 1981996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982006 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1982009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982030 */     // GIR_Coverage, 61240,
     /* 1982030 */     GIR_EraseRootFromParent_Done,
     /* 1982031 */   // Label 26509: @1982031
     /* 1982031 */   GIM_Try, /*On fail goto*//*Label 26510*/ GIMT_Encode4(1982117), // Rule ID 61243 //
     /* 1982036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1982047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1982050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1982053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1982056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982082 */     // MIs[0] policy
     /* 1982082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982092 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1982095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982116 */     // GIR_Coverage, 61243,
     /* 1982116 */     GIR_EraseRootFromParent_Done,
     /* 1982117 */   // Label 26510: @1982117
     /* 1982117 */   GIM_Try, /*On fail goto*//*Label 26511*/ GIMT_Encode4(1982203), // Rule ID 61244 //
     /* 1982122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1982133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1982136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1982139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1982142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982168 */     // MIs[0] policy
     /* 1982168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982178 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1982181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982202 */     // GIR_Coverage, 61244,
     /* 1982202 */     GIR_EraseRootFromParent_Done,
     /* 1982203 */   // Label 26511: @1982203
     /* 1982203 */   GIM_Try, /*On fail goto*//*Label 26512*/ GIMT_Encode4(1982289), // Rule ID 61247 //
     /* 1982208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1982219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1982222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1982225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1982228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1982231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1982238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982254 */     // MIs[0] policy
     /* 1982254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982264 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1982267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982288 */     // GIR_Coverage, 61247,
     /* 1982288 */     GIR_EraseRootFromParent_Done,
     /* 1982289 */   // Label 26512: @1982289
     /* 1982289 */   GIM_Try, /*On fail goto*//*Label 26513*/ GIMT_Encode4(1982375), // Rule ID 61248 //
     /* 1982294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1982305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1982308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1982311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1982314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1982317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1982324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982340 */     // MIs[0] policy
     /* 1982340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982350 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1982353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982374 */     // GIR_Coverage, 61248,
     /* 1982374 */     GIR_EraseRootFromParent_Done,
     /* 1982375 */   // Label 26513: @1982375
     /* 1982375 */   GIM_Try, /*On fail goto*//*Label 26514*/ GIMT_Encode4(1982461), // Rule ID 61251 //
     /* 1982380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1982391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1982394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1982397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1982400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1982403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1982410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982426 */     // MIs[0] policy
     /* 1982426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982436 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1982439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982460 */     // GIR_Coverage, 61251,
     /* 1982460 */     GIR_EraseRootFromParent_Done,
     /* 1982461 */   // Label 26514: @1982461
     /* 1982461 */   GIM_Try, /*On fail goto*//*Label 26515*/ GIMT_Encode4(1982547), // Rule ID 61252 //
     /* 1982466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1982477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1982480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1982483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1982486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1982489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1982496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982512 */     // MIs[0] policy
     /* 1982512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982522 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1982525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982546 */     // GIR_Coverage, 61252,
     /* 1982546 */     GIR_EraseRootFromParent_Done,
     /* 1982547 */   // Label 26515: @1982547
     /* 1982547 */   GIM_Try, /*On fail goto*//*Label 26516*/ GIMT_Encode4(1982633), // Rule ID 61255 //
     /* 1982552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1982563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1982566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1982569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1982572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982598 */     // MIs[0] policy
     /* 1982598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982608 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1982611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982632 */     // GIR_Coverage, 61255,
     /* 1982632 */     GIR_EraseRootFromParent_Done,
     /* 1982633 */   // Label 26516: @1982633
     /* 1982633 */   GIM_Try, /*On fail goto*//*Label 26517*/ GIMT_Encode4(1982719), // Rule ID 61256 //
     /* 1982638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1982649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1982652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1982655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1982658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982684 */     // MIs[0] policy
     /* 1982684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982694 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1982697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982718 */     // GIR_Coverage, 61256,
     /* 1982718 */     GIR_EraseRootFromParent_Done,
     /* 1982719 */   // Label 26517: @1982719
     /* 1982719 */   GIM_Try, /*On fail goto*//*Label 26518*/ GIMT_Encode4(1982805), // Rule ID 61259 //
     /* 1982724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1982735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1982738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1982741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1982744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1982754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982770 */     // MIs[0] policy
     /* 1982770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982780 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1982783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982804 */     // GIR_Coverage, 61259,
     /* 1982804 */     GIR_EraseRootFromParent_Done,
     /* 1982805 */   // Label 26518: @1982805
     /* 1982805 */   GIM_Try, /*On fail goto*//*Label 26519*/ GIMT_Encode4(1982891), // Rule ID 61260 //
     /* 1982810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1982821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1982824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1982827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1982830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1982840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982856 */     // MIs[0] policy
     /* 1982856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982866 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1982869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982890 */     // GIR_Coverage, 61260,
     /* 1982890 */     GIR_EraseRootFromParent_Done,
     /* 1982891 */   // Label 26519: @1982891
     /* 1982891 */   GIM_Try, /*On fail goto*//*Label 26520*/ GIMT_Encode4(1982977), // Rule ID 61263 //
     /* 1982896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1982907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1982910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1982913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1982916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1982919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1982926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982942 */     // MIs[0] policy
     /* 1982942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982952 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1982955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982976 */     // GIR_Coverage, 61263,
     /* 1982976 */     GIR_EraseRootFromParent_Done,
     /* 1982977 */   // Label 26520: @1982977
     /* 1982977 */   GIM_Try, /*On fail goto*//*Label 26521*/ GIMT_Encode4(1983063), // Rule ID 61264 //
     /* 1982982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1982993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1982996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1982999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1983002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983028 */     // MIs[0] policy
     /* 1983028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983038 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1983041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983062 */     // GIR_Coverage, 61264,
     /* 1983062 */     GIR_EraseRootFromParent_Done,
     /* 1983063 */   // Label 26521: @1983063
     /* 1983063 */   GIM_Try, /*On fail goto*//*Label 26522*/ GIMT_Encode4(1983149), // Rule ID 61267 //
     /* 1983068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1983079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1983082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1983085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1983088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1983091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983114 */     // MIs[0] policy
     /* 1983114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983124 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1983127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983148 */     // GIR_Coverage, 61267,
     /* 1983148 */     GIR_EraseRootFromParent_Done,
     /* 1983149 */   // Label 26522: @1983149
     /* 1983149 */   GIM_Try, /*On fail goto*//*Label 26523*/ GIMT_Encode4(1983235), // Rule ID 61268 //
     /* 1983154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1983165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1983168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1983171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1983174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1983177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983200 */     // MIs[0] policy
     /* 1983200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983210 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1983213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983234 */     // GIR_Coverage, 61268,
     /* 1983234 */     GIR_EraseRootFromParent_Done,
     /* 1983235 */   // Label 26523: @1983235
     /* 1983235 */   GIM_Try, /*On fail goto*//*Label 26524*/ GIMT_Encode4(1983321), // Rule ID 61271 //
     /* 1983240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1983251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1983254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1983257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1983260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983286 */     // MIs[0] policy
     /* 1983286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983296 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1983299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983320 */     // GIR_Coverage, 61271,
     /* 1983320 */     GIR_EraseRootFromParent_Done,
     /* 1983321 */   // Label 26524: @1983321
     /* 1983321 */   GIM_Try, /*On fail goto*//*Label 26525*/ GIMT_Encode4(1983407), // Rule ID 61272 //
     /* 1983326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1983337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1983340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1983343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1983346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983372 */     // MIs[0] policy
     /* 1983372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983382 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1983385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983406 */     // GIR_Coverage, 61272,
     /* 1983406 */     GIR_EraseRootFromParent_Done,
     /* 1983407 */   // Label 26525: @1983407
     /* 1983407 */   GIM_Try, /*On fail goto*//*Label 26526*/ GIMT_Encode4(1983493), // Rule ID 61275 //
     /* 1983412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1983423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1983426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1983429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1983432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983458 */     // MIs[0] policy
     /* 1983458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983468 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1983471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983492 */     // GIR_Coverage, 61275,
     /* 1983492 */     GIR_EraseRootFromParent_Done,
     /* 1983493 */   // Label 26526: @1983493
     /* 1983493 */   GIM_Try, /*On fail goto*//*Label 26527*/ GIMT_Encode4(1983579), // Rule ID 61276 //
     /* 1983498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1983509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1983512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1983515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1983518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983544 */     // MIs[0] policy
     /* 1983544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983554 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1983557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983578 */     // GIR_Coverage, 61276,
     /* 1983578 */     GIR_EraseRootFromParent_Done,
     /* 1983579 */   // Label 26527: @1983579
     /* 1983579 */   GIM_Try, /*On fail goto*//*Label 26528*/ GIMT_Encode4(1983665), // Rule ID 61279 //
     /* 1983584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1983595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1983598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1983601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1983607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983630 */     // MIs[0] policy
     /* 1983630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983640 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1983643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983664 */     // GIR_Coverage, 61279,
     /* 1983664 */     GIR_EraseRootFromParent_Done,
     /* 1983665 */   // Label 26528: @1983665
     /* 1983665 */   GIM_Try, /*On fail goto*//*Label 26529*/ GIMT_Encode4(1983751), // Rule ID 61280 //
     /* 1983670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1983681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1983684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1983687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1983690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1983693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983716 */     // MIs[0] policy
     /* 1983716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983726 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1983729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983750 */     // GIR_Coverage, 61280,
     /* 1983750 */     GIR_EraseRootFromParent_Done,
     /* 1983751 */   // Label 26529: @1983751
     /* 1983751 */   GIM_Try, /*On fail goto*//*Label 26530*/ GIMT_Encode4(1983837), // Rule ID 61283 //
     /* 1983756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1983767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1983770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1983773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1983779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983802 */     // MIs[0] policy
     /* 1983802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983812 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1983815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983836 */     // GIR_Coverage, 61283,
     /* 1983836 */     GIR_EraseRootFromParent_Done,
     /* 1983837 */   // Label 26530: @1983837
     /* 1983837 */   GIM_Try, /*On fail goto*//*Label 26531*/ GIMT_Encode4(1983923), // Rule ID 61284 //
     /* 1983842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1983853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1983856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1983859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1983862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1983865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983888 */     // MIs[0] policy
     /* 1983888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983898 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1983901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983922 */     // GIR_Coverage, 61284,
     /* 1983922 */     GIR_EraseRootFromParent_Done,
     /* 1983923 */   // Label 26531: @1983923
     /* 1983923 */   GIM_Try, /*On fail goto*//*Label 26532*/ GIMT_Encode4(1984009), // Rule ID 61287 //
     /* 1983928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1983936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1983939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1983942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1983945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983974 */     // MIs[0] policy
     /* 1983974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983984 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1983987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984008 */     // GIR_Coverage, 61287,
     /* 1984008 */     GIR_EraseRootFromParent_Done,
     /* 1984009 */   // Label 26532: @1984009
     /* 1984009 */   GIM_Try, /*On fail goto*//*Label 26533*/ GIMT_Encode4(1984095), // Rule ID 61288 //
     /* 1984014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1984025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1984028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1984031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984060 */     // MIs[0] policy
     /* 1984060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984070 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1984073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984094 */     // GIR_Coverage, 61288,
     /* 1984094 */     GIR_EraseRootFromParent_Done,
     /* 1984095 */   // Label 26533: @1984095
     /* 1984095 */   GIM_Try, /*On fail goto*//*Label 26534*/ GIMT_Encode4(1984181), // Rule ID 61291 //
     /* 1984100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1984111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1984114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1984117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984146 */     // MIs[0] policy
     /* 1984146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984156 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1984159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984180 */     // GIR_Coverage, 61291,
     /* 1984180 */     GIR_EraseRootFromParent_Done,
     /* 1984181 */   // Label 26534: @1984181
     /* 1984181 */   GIM_Try, /*On fail goto*//*Label 26535*/ GIMT_Encode4(1984267), // Rule ID 61292 //
     /* 1984186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1984197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1984200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1984203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984232 */     // MIs[0] policy
     /* 1984232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984242 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1984245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984266 */     // GIR_Coverage, 61292,
     /* 1984266 */     GIR_EraseRootFromParent_Done,
     /* 1984267 */   // Label 26535: @1984267
     /* 1984267 */   GIM_Try, /*On fail goto*//*Label 26536*/ GIMT_Encode4(1984353), // Rule ID 61295 //
     /* 1984272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1984283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1984286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1984289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984318 */     // MIs[0] policy
     /* 1984318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984328 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1984331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984352 */     // GIR_Coverage, 61295,
     /* 1984352 */     GIR_EraseRootFromParent_Done,
     /* 1984353 */   // Label 26536: @1984353
     /* 1984353 */   GIM_Try, /*On fail goto*//*Label 26537*/ GIMT_Encode4(1984439), // Rule ID 61296 //
     /* 1984358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1984369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1984372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1984375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984404 */     // MIs[0] policy
     /* 1984404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984414 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1984417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984438 */     // GIR_Coverage, 61296,
     /* 1984438 */     GIR_EraseRootFromParent_Done,
     /* 1984439 */   // Label 26537: @1984439
     /* 1984439 */   GIM_Try, /*On fail goto*//*Label 26538*/ GIMT_Encode4(1984525), // Rule ID 61299 //
     /* 1984444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1984455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1984458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1984461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984490 */     // MIs[0] policy
     /* 1984490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984500 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1984503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984524 */     // GIR_Coverage, 61299,
     /* 1984524 */     GIR_EraseRootFromParent_Done,
     /* 1984525 */   // Label 26538: @1984525
     /* 1984525 */   GIM_Try, /*On fail goto*//*Label 26539*/ GIMT_Encode4(1984611), // Rule ID 61300 //
     /* 1984530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1984541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1984544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1984547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984576 */     // MIs[0] policy
     /* 1984576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984586 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1984589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984610 */     // GIR_Coverage, 61300,
     /* 1984610 */     GIR_EraseRootFromParent_Done,
     /* 1984611 */   // Label 26539: @1984611
     /* 1984611 */   GIM_Try, /*On fail goto*//*Label 26540*/ GIMT_Encode4(1984697), // Rule ID 61303 //
     /* 1984616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1984627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1984630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1984633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984662 */     // MIs[0] policy
     /* 1984662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1984675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984696 */     // GIR_Coverage, 61303,
     /* 1984696 */     GIR_EraseRootFromParent_Done,
     /* 1984697 */   // Label 26540: @1984697
     /* 1984697 */   GIM_Try, /*On fail goto*//*Label 26541*/ GIMT_Encode4(1984783), // Rule ID 61304 //
     /* 1984702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1984713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1984716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1984719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984748 */     // MIs[0] policy
     /* 1984748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984758 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1984761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984782 */     // GIR_Coverage, 61304,
     /* 1984782 */     GIR_EraseRootFromParent_Done,
     /* 1984783 */   // Label 26541: @1984783
     /* 1984783 */   GIM_Try, /*On fail goto*//*Label 26542*/ GIMT_Encode4(1984869), // Rule ID 61307 //
     /* 1984788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1984799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1984802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1984805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984834 */     // MIs[0] policy
     /* 1984834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1984847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984868 */     // GIR_Coverage, 61307,
     /* 1984868 */     GIR_EraseRootFromParent_Done,
     /* 1984869 */   // Label 26542: @1984869
     /* 1984869 */   GIM_Try, /*On fail goto*//*Label 26543*/ GIMT_Encode4(1984955), // Rule ID 61308 //
     /* 1984874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1984885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1984888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1984891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984920 */     // MIs[0] policy
     /* 1984920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984930 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1984933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984954 */     // GIR_Coverage, 61308,
     /* 1984954 */     GIR_EraseRootFromParent_Done,
     /* 1984955 */   // Label 26543: @1984955
     /* 1984955 */   GIM_Try, /*On fail goto*//*Label 26544*/ GIMT_Encode4(1985041), // Rule ID 61311 //
     /* 1984960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1984968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1984971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1984974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1984977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985006 */     // MIs[0] policy
     /* 1985006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985016 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1985019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985040 */     // GIR_Coverage, 61311,
     /* 1985040 */     GIR_EraseRootFromParent_Done,
     /* 1985041 */   // Label 26544: @1985041
     /* 1985041 */   GIM_Try, /*On fail goto*//*Label 26545*/ GIMT_Encode4(1985127), // Rule ID 61312 //
     /* 1985046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1985057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1985060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1985063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985092 */     // MIs[0] policy
     /* 1985092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985102 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1985105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985126 */     // GIR_Coverage, 61312,
     /* 1985126 */     GIR_EraseRootFromParent_Done,
     /* 1985127 */   // Label 26545: @1985127
     /* 1985127 */   GIM_Try, /*On fail goto*//*Label 26546*/ GIMT_Encode4(1985213), // Rule ID 61315 //
     /* 1985132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1985143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1985146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1985149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985178 */     // MIs[0] policy
     /* 1985178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985188 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1985191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1985209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985212 */     // GIR_Coverage, 61315,
     /* 1985212 */     GIR_EraseRootFromParent_Done,
     /* 1985213 */   // Label 26546: @1985213
     /* 1985213 */   GIM_Try, /*On fail goto*//*Label 26547*/ GIMT_Encode4(1985299), // Rule ID 61316 //
     /* 1985218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1985229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1985232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1985235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985264 */     // MIs[0] policy
     /* 1985264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985274 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1985277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1985295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985298 */     // GIR_Coverage, 61316,
     /* 1985298 */     GIR_EraseRootFromParent_Done,
     /* 1985299 */   // Label 26547: @1985299
     /* 1985299 */   GIM_Try, /*On fail goto*//*Label 26548*/ GIMT_Encode4(1985385), // Rule ID 61319 //
     /* 1985304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1985315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1985318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1985321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1985327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1985334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985350 */     // MIs[0] policy
     /* 1985350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985360 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1985363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985384 */     // GIR_Coverage, 61319,
     /* 1985384 */     GIR_EraseRootFromParent_Done,
     /* 1985385 */   // Label 26548: @1985385
     /* 1985385 */   GIM_Try, /*On fail goto*//*Label 26549*/ GIMT_Encode4(1985471), // Rule ID 61320 //
     /* 1985390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1985401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1985404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1985407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1985413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1985420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985436 */     // MIs[0] policy
     /* 1985436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985446 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1985449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985470 */     // GIR_Coverage, 61320,
     /* 1985470 */     GIR_EraseRootFromParent_Done,
     /* 1985471 */   // Label 26549: @1985471
     /* 1985471 */   GIM_Try, /*On fail goto*//*Label 26550*/ GIMT_Encode4(1985557), // Rule ID 61323 //
     /* 1985476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1985487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1985490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1985493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1985499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1985506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985522 */     // MIs[0] policy
     /* 1985522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985532 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1985535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985556 */     // GIR_Coverage, 61323,
     /* 1985556 */     GIR_EraseRootFromParent_Done,
     /* 1985557 */   // Label 26550: @1985557
     /* 1985557 */   GIM_Try, /*On fail goto*//*Label 26551*/ GIMT_Encode4(1985643), // Rule ID 61324 //
     /* 1985562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1985573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1985576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1985579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1985585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1985592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985608 */     // MIs[0] policy
     /* 1985608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985618 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1985621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985642 */     // GIR_Coverage, 61324,
     /* 1985642 */     GIR_EraseRootFromParent_Done,
     /* 1985643 */   // Label 26551: @1985643
     /* 1985643 */   GIM_Try, /*On fail goto*//*Label 26552*/ GIMT_Encode4(1985729), // Rule ID 61327 //
     /* 1985648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1985659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1985662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1985665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1985671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1985678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985694 */     // MIs[0] policy
     /* 1985694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985704 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1985707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985728 */     // GIR_Coverage, 61327,
     /* 1985728 */     GIR_EraseRootFromParent_Done,
     /* 1985729 */   // Label 26552: @1985729
     /* 1985729 */   GIM_Try, /*On fail goto*//*Label 26553*/ GIMT_Encode4(1985815), // Rule ID 61328 //
     /* 1985734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1985745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1985748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1985751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1985757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1985764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985780 */     // MIs[0] policy
     /* 1985780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985790 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1985793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985814 */     // GIR_Coverage, 61328,
     /* 1985814 */     GIR_EraseRootFromParent_Done,
     /* 1985815 */   // Label 26553: @1985815
     /* 1985815 */   GIM_Try, /*On fail goto*//*Label 26554*/ GIMT_Encode4(1985901), // Rule ID 61331 //
     /* 1985820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1985831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1985834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1985837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1985850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985866 */     // MIs[0] policy
     /* 1985866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985876 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1985879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985900 */     // GIR_Coverage, 61331,
     /* 1985900 */     GIR_EraseRootFromParent_Done,
     /* 1985901 */   // Label 26554: @1985901
     /* 1985901 */   GIM_Try, /*On fail goto*//*Label 26555*/ GIMT_Encode4(1985987), // Rule ID 61332 //
     /* 1985906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1985914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1985917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1985920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1985923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1985936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985952 */     // MIs[0] policy
     /* 1985952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985962 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1985965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985986 */     // GIR_Coverage, 61332,
     /* 1985986 */     GIR_EraseRootFromParent_Done,
     /* 1985987 */   // Label 26555: @1985987
     /* 1985987 */   GIM_Try, /*On fail goto*//*Label 26556*/ GIMT_Encode4(1986073), // Rule ID 61335 //
     /* 1985992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1986003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1986006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1986009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986038 */     // MIs[0] policy
     /* 1986038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986048 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1986051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986072 */     // GIR_Coverage, 61335,
     /* 1986072 */     GIR_EraseRootFromParent_Done,
     /* 1986073 */   // Label 26556: @1986073
     /* 1986073 */   GIM_Try, /*On fail goto*//*Label 26557*/ GIMT_Encode4(1986159), // Rule ID 61336 //
     /* 1986078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1986089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1986092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1986095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986124 */     // MIs[0] policy
     /* 1986124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1986137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986158 */     // GIR_Coverage, 61336,
     /* 1986158 */     GIR_EraseRootFromParent_Done,
     /* 1986159 */   // Label 26557: @1986159
     /* 1986159 */   GIM_Try, /*On fail goto*//*Label 26558*/ GIMT_Encode4(1986245), // Rule ID 61339 //
     /* 1986164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1986175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1986178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1986181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1986187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986210 */     // MIs[0] policy
     /* 1986210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986220 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1986223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986244 */     // GIR_Coverage, 61339,
     /* 1986244 */     GIR_EraseRootFromParent_Done,
     /* 1986245 */   // Label 26558: @1986245
     /* 1986245 */   GIM_Try, /*On fail goto*//*Label 26559*/ GIMT_Encode4(1986331), // Rule ID 61340 //
     /* 1986250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1986261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1986264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1986267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1986273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986296 */     // MIs[0] policy
     /* 1986296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986306 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1986309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986330 */     // GIR_Coverage, 61340,
     /* 1986330 */     GIR_EraseRootFromParent_Done,
     /* 1986331 */   // Label 26559: @1986331
     /* 1986331 */   GIM_Try, /*On fail goto*//*Label 26560*/ GIMT_Encode4(1986417), // Rule ID 61343 //
     /* 1986336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1986347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1986350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1986353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986382 */     // MIs[0] policy
     /* 1986382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986392 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1986395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986416 */     // GIR_Coverage, 61343,
     /* 1986416 */     GIR_EraseRootFromParent_Done,
     /* 1986417 */   // Label 26560: @1986417
     /* 1986417 */   GIM_Try, /*On fail goto*//*Label 26561*/ GIMT_Encode4(1986503), // Rule ID 61344 //
     /* 1986422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1986433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1986436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1986439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986468 */     // MIs[0] policy
     /* 1986468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986478 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1986481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986502 */     // GIR_Coverage, 61344,
     /* 1986502 */     GIR_EraseRootFromParent_Done,
     /* 1986503 */   // Label 26561: @1986503
     /* 1986503 */   GIM_Try, /*On fail goto*//*Label 26562*/ GIMT_Encode4(1986589), // Rule ID 61347 //
     /* 1986508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1986519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1986522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1986525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986554 */     // MIs[0] policy
     /* 1986554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986564 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1986567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986588 */     // GIR_Coverage, 61347,
     /* 1986588 */     GIR_EraseRootFromParent_Done,
     /* 1986589 */   // Label 26562: @1986589
     /* 1986589 */   GIM_Try, /*On fail goto*//*Label 26563*/ GIMT_Encode4(1986675), // Rule ID 61348 //
     /* 1986594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1986605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1986608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1986611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986640 */     // MIs[0] policy
     /* 1986640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986650 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1986653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986674 */     // GIR_Coverage, 61348,
     /* 1986674 */     GIR_EraseRootFromParent_Done,
     /* 1986675 */   // Label 26563: @1986675
     /* 1986675 */   GIM_Try, /*On fail goto*//*Label 26564*/ GIMT_Encode4(1986761), // Rule ID 61351 //
     /* 1986680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1986691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1986694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1986697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986726 */     // MIs[0] policy
     /* 1986726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986736 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1986739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986760 */     // GIR_Coverage, 61351,
     /* 1986760 */     GIR_EraseRootFromParent_Done,
     /* 1986761 */   // Label 26564: @1986761
     /* 1986761 */   GIM_Try, /*On fail goto*//*Label 26565*/ GIMT_Encode4(1986847), // Rule ID 61352 //
     /* 1986766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1986777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1986780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1986783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986812 */     // MIs[0] policy
     /* 1986812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986822 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1986825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986846 */     // GIR_Coverage, 61352,
     /* 1986846 */     GIR_EraseRootFromParent_Done,
     /* 1986847 */   // Label 26565: @1986847
     /* 1986847 */   GIM_Try, /*On fail goto*//*Label 26566*/ GIMT_Encode4(1986933), // Rule ID 61355 //
     /* 1986852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1986863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1986866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1986869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986898 */     // MIs[0] policy
     /* 1986898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986908 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1986911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1986929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986932 */     // GIR_Coverage, 61355,
     /* 1986932 */     GIR_EraseRootFromParent_Done,
     /* 1986933 */   // Label 26566: @1986933
     /* 1986933 */   GIM_Try, /*On fail goto*//*Label 26567*/ GIMT_Encode4(1987019), // Rule ID 61356 //
     /* 1986938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1986946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1986949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1986952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1986955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986984 */     // MIs[0] policy
     /* 1986984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986994 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1986997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1987015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987018 */     // GIR_Coverage, 61356,
     /* 1987018 */     GIR_EraseRootFromParent_Done,
     /* 1987019 */   // Label 26567: @1987019
     /* 1987019 */   GIM_Try, /*On fail goto*//*Label 26568*/ GIMT_Encode4(1987105), // Rule ID 61359 //
     /* 1987024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1987035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1987038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1987041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987070 */     // MIs[0] policy
     /* 1987070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987080 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1987083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1987101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987104 */     // GIR_Coverage, 61359,
     /* 1987104 */     GIR_EraseRootFromParent_Done,
     /* 1987105 */   // Label 26568: @1987105
     /* 1987105 */   GIM_Try, /*On fail goto*//*Label 26569*/ GIMT_Encode4(1987191), // Rule ID 61360 //
     /* 1987110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1987121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1987124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1987127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987156 */     // MIs[0] policy
     /* 1987156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987166 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1987169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1987187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987190 */     // GIR_Coverage, 61360,
     /* 1987190 */     GIR_EraseRootFromParent_Done,
     /* 1987191 */   // Label 26569: @1987191
     /* 1987191 */   GIM_Try, /*On fail goto*//*Label 26570*/ GIMT_Encode4(1987277), // Rule ID 61363 //
     /* 1987196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1987207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1987210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1987213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987242 */     // MIs[0] policy
     /* 1987242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987252 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1987255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1987273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987276 */     // GIR_Coverage, 61363,
     /* 1987276 */     GIR_EraseRootFromParent_Done,
     /* 1987277 */   // Label 26570: @1987277
     /* 1987277 */   GIM_Try, /*On fail goto*//*Label 26571*/ GIMT_Encode4(1987363), // Rule ID 61364 //
     /* 1987282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1987290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1987293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1987296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1987299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987328 */     // MIs[0] policy
     /* 1987328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987338 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1987341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1987359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987362 */     // GIR_Coverage, 61364,
     /* 1987362 */     GIR_EraseRootFromParent_Done,
     /* 1987363 */   // Label 26571: @1987363
     /* 1987363 */   GIM_Try, /*On fail goto*//*Label 26572*/ GIMT_Encode4(1987449), // Rule ID 62008 //
     /* 1987368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1987371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1987376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1987379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1987382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1987385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1987388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987414 */     // MIs[0] policy
     /* 1987414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987424 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 1987427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1987431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987448 */     // GIR_Coverage, 62008,
     /* 1987448 */     GIR_EraseRootFromParent_Done,
     /* 1987449 */   // Label 26572: @1987449
     /* 1987449 */   GIM_Try, /*On fail goto*//*Label 26573*/ GIMT_Encode4(1987535), // Rule ID 62009 //
     /* 1987454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1987457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1987462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1987465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1987468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1987471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1987474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987500 */     // MIs[0] policy
     /* 1987500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987510 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 1987513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1987517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987534 */     // GIR_Coverage, 62009,
     /* 1987534 */     GIR_EraseRootFromParent_Done,
     /* 1987535 */   // Label 26573: @1987535
     /* 1987535 */   GIM_Try, /*On fail goto*//*Label 26574*/ GIMT_Encode4(1987621), // Rule ID 62012 //
     /* 1987540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1987543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1987548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1987551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1987554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1987557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1987560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987586 */     // MIs[0] policy
     /* 1987586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 1987599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1987603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987620 */     // GIR_Coverage, 62012,
     /* 1987620 */     GIR_EraseRootFromParent_Done,
     /* 1987621 */   // Label 26574: @1987621
     /* 1987621 */   GIM_Try, /*On fail goto*//*Label 26575*/ GIMT_Encode4(1987707), // Rule ID 62013 //
     /* 1987626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1987629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1987634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1987637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1987640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1987643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1987646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987672 */     // MIs[0] policy
     /* 1987672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987682 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 1987685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1987689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987706 */     // GIR_Coverage, 62013,
     /* 1987706 */     GIR_EraseRootFromParent_Done,
     /* 1987707 */   // Label 26575: @1987707
     /* 1987707 */   GIM_Try, /*On fail goto*//*Label 26576*/ GIMT_Encode4(1987793), // Rule ID 62016 //
     /* 1987712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1987715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1987720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1987723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1987726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1987729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1987732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987758 */     // MIs[0] policy
     /* 1987758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987768 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11027:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 1987771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1987775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987792 */     // GIR_Coverage, 62016,
     /* 1987792 */     GIR_EraseRootFromParent_Done,
     /* 1987793 */   // Label 26576: @1987793
     /* 1987793 */   GIM_Try, /*On fail goto*//*Label 26577*/ GIMT_Encode4(1987879), // Rule ID 62017 //
     /* 1987798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1987801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1987806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1987809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1987812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1987815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1987818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987844 */     // MIs[0] policy
     /* 1987844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987854 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11027:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 1987857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1987861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987878 */     // GIR_Coverage, 62017,
     /* 1987878 */     GIR_EraseRootFromParent_Done,
     /* 1987879 */   // Label 26577: @1987879
     /* 1987879 */   GIM_Try, /*On fail goto*//*Label 26578*/ GIMT_Encode4(1987965), // Rule ID 62020 //
     /* 1987884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1987887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1987892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1987895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1987898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1987901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1987904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987930 */     // MIs[0] policy
     /* 1987930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987940 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11027:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 1987943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1987947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987964 */     // GIR_Coverage, 62020,
     /* 1987964 */     GIR_EraseRootFromParent_Done,
     /* 1987965 */   // Label 26578: @1987965
     /* 1987965 */   GIM_Try, /*On fail goto*//*Label 26579*/ GIMT_Encode4(1988051), // Rule ID 62021 //
     /* 1987970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1987973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1987978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1987981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1987984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1987987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1987990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988016 */     // MIs[0] policy
     /* 1988016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988026 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11027:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 1988029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988050 */     // GIR_Coverage, 62021,
     /* 1988050 */     GIR_EraseRootFromParent_Done,
     /* 1988051 */   // Label 26579: @1988051
     /* 1988051 */   GIM_Try, /*On fail goto*//*Label 26580*/ GIMT_Encode4(1988137), // Rule ID 62024 //
     /* 1988056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1988059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1988067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1988070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1988073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1988076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1988079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988102 */     // MIs[0] policy
     /* 1988102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988112 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11027:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 1988115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988136 */     // GIR_Coverage, 62024,
     /* 1988136 */     GIR_EraseRootFromParent_Done,
     /* 1988137 */   // Label 26580: @1988137
     /* 1988137 */   GIM_Try, /*On fail goto*//*Label 26581*/ GIMT_Encode4(1988223), // Rule ID 62025 //
     /* 1988142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1988145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1988153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1988156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1988159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1988162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1988165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988188 */     // MIs[0] policy
     /* 1988188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988198 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11027:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 1988201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988222 */     // GIR_Coverage, 62025,
     /* 1988222 */     GIR_EraseRootFromParent_Done,
     /* 1988223 */   // Label 26581: @1988223
     /* 1988223 */   GIM_Try, /*On fail goto*//*Label 26582*/ GIMT_Encode4(1988309), // Rule ID 62028 //
     /* 1988228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1988231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1988239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1988242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1988245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1988248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988274 */     // MIs[0] policy
     /* 1988274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988284 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 1988287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988308 */     // GIR_Coverage, 62028,
     /* 1988308 */     GIR_EraseRootFromParent_Done,
     /* 1988309 */   // Label 26582: @1988309
     /* 1988309 */   GIM_Try, /*On fail goto*//*Label 26583*/ GIMT_Encode4(1988395), // Rule ID 62029 //
     /* 1988314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1988317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1988325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1988328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1988331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1988334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988360 */     // MIs[0] policy
     /* 1988360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988370 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 1988373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988394 */     // GIR_Coverage, 62029,
     /* 1988394 */     GIR_EraseRootFromParent_Done,
     /* 1988395 */   // Label 26583: @1988395
     /* 1988395 */   GIM_Try, /*On fail goto*//*Label 26584*/ GIMT_Encode4(1988481), // Rule ID 62032 //
     /* 1988400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1988403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1988411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1988414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1988417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1988420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988446 */     // MIs[0] policy
     /* 1988446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988456 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 1988459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988480 */     // GIR_Coverage, 62032,
     /* 1988480 */     GIR_EraseRootFromParent_Done,
     /* 1988481 */   // Label 26584: @1988481
     /* 1988481 */   GIM_Try, /*On fail goto*//*Label 26585*/ GIMT_Encode4(1988567), // Rule ID 62033 //
     /* 1988486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1988489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1988497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1988500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1988503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1988506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988532 */     // MIs[0] policy
     /* 1988532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988542 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 1988545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988566 */     // GIR_Coverage, 62033,
     /* 1988566 */     GIR_EraseRootFromParent_Done,
     /* 1988567 */   // Label 26585: @1988567
     /* 1988567 */   GIM_Try, /*On fail goto*//*Label 26586*/ GIMT_Encode4(1988653), // Rule ID 62036 //
     /* 1988572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1988575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1988583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1988586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1988589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1988592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1988595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988618 */     // MIs[0] policy
     /* 1988618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988628 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11027:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 1988631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988652 */     // GIR_Coverage, 62036,
     /* 1988652 */     GIR_EraseRootFromParent_Done,
     /* 1988653 */   // Label 26586: @1988653
     /* 1988653 */   GIM_Try, /*On fail goto*//*Label 26587*/ GIMT_Encode4(1988739), // Rule ID 62037 //
     /* 1988658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1988661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1988669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1988672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1988675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1988678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1988681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988704 */     // MIs[0] policy
     /* 1988704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988714 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11027:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 1988717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988738 */     // GIR_Coverage, 62037,
     /* 1988738 */     GIR_EraseRootFromParent_Done,
     /* 1988739 */   // Label 26587: @1988739
     /* 1988739 */   GIM_Try, /*On fail goto*//*Label 26588*/ GIMT_Encode4(1988825), // Rule ID 62040 //
     /* 1988744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1988747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1988755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1988758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1988761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1988764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1988767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988790 */     // MIs[0] policy
     /* 1988790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988800 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11027:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 1988803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988824 */     // GIR_Coverage, 62040,
     /* 1988824 */     GIR_EraseRootFromParent_Done,
     /* 1988825 */   // Label 26588: @1988825
     /* 1988825 */   GIM_Try, /*On fail goto*//*Label 26589*/ GIMT_Encode4(1988911), // Rule ID 62041 //
     /* 1988830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1988833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1988841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1988844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1988847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1988850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1988853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988876 */     // MIs[0] policy
     /* 1988876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11027:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 1988889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988910 */     // GIR_Coverage, 62041,
     /* 1988910 */     GIR_EraseRootFromParent_Done,
     /* 1988911 */   // Label 26589: @1988911
     /* 1988911 */   GIM_Try, /*On fail goto*//*Label 26590*/ GIMT_Encode4(1988997), // Rule ID 62044 //
     /* 1988916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1988919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1988924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1988927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1988930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1988933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1988936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1988939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988962 */     // MIs[0] policy
     /* 1988962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988972 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11027:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 1988975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988996 */     // GIR_Coverage, 62044,
     /* 1988996 */     GIR_EraseRootFromParent_Done,
     /* 1988997 */   // Label 26590: @1988997
     /* 1988997 */   GIM_Try, /*On fail goto*//*Label 26591*/ GIMT_Encode4(1989083), // Rule ID 62045 //
     /* 1989002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1989010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1989013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1989016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1989019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1989022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1989025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1989032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989048 */     // MIs[0] policy
     /* 1989048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989058 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11027:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 1989061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989082 */     // GIR_Coverage, 62045,
     /* 1989082 */     GIR_EraseRootFromParent_Done,
     /* 1989083 */   // Label 26591: @1989083
     /* 1989083 */   GIM_Try, /*On fail goto*//*Label 26592*/ GIMT_Encode4(1989169), // Rule ID 62048 //
     /* 1989088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1989096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1989099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1989105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1989108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989134 */     // MIs[0] policy
     /* 1989134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989144 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 1989147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989168 */     // GIR_Coverage, 62048,
     /* 1989168 */     GIR_EraseRootFromParent_Done,
     /* 1989169 */   // Label 26592: @1989169
     /* 1989169 */   GIM_Try, /*On fail goto*//*Label 26593*/ GIMT_Encode4(1989255), // Rule ID 62049 //
     /* 1989174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1989182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1989185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1989191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1989194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989220 */     // MIs[0] policy
     /* 1989220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989230 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 1989233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989254 */     // GIR_Coverage, 62049,
     /* 1989254 */     GIR_EraseRootFromParent_Done,
     /* 1989255 */   // Label 26593: @1989255
     /* 1989255 */   GIM_Try, /*On fail goto*//*Label 26594*/ GIMT_Encode4(1989341), // Rule ID 62052 //
     /* 1989260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1989268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1989277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1989280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989306 */     // MIs[0] policy
     /* 1989306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989316 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 1989319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989340 */     // GIR_Coverage, 62052,
     /* 1989340 */     GIR_EraseRootFromParent_Done,
     /* 1989341 */   // Label 26594: @1989341
     /* 1989341 */   GIM_Try, /*On fail goto*//*Label 26595*/ GIMT_Encode4(1989427), // Rule ID 62053 //
     /* 1989346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1989354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1989363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1989366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989392 */     // MIs[0] policy
     /* 1989392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 1989405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989426 */     // GIR_Coverage, 62053,
     /* 1989426 */     GIR_EraseRootFromParent_Done,
     /* 1989427 */   // Label 26595: @1989427
     /* 1989427 */   GIM_Try, /*On fail goto*//*Label 26596*/ GIMT_Encode4(1989513), // Rule ID 62056 //
     /* 1989432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1989440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1989443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1989446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1989449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1989452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1989455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989478 */     // MIs[0] policy
     /* 1989478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989488 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 1989491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989512 */     // GIR_Coverage, 62056,
     /* 1989512 */     GIR_EraseRootFromParent_Done,
     /* 1989513 */   // Label 26596: @1989513
     /* 1989513 */   GIM_Try, /*On fail goto*//*Label 26597*/ GIMT_Encode4(1989599), // Rule ID 62057 //
     /* 1989518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1989526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1989529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1989532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1989535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1989538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1989541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989564 */     // MIs[0] policy
     /* 1989564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989574 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 1989577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989598 */     // GIR_Coverage, 62057,
     /* 1989598 */     GIR_EraseRootFromParent_Done,
     /* 1989599 */   // Label 26597: @1989599
     /* 1989599 */   GIM_Try, /*On fail goto*//*Label 26598*/ GIMT_Encode4(1989685), // Rule ID 62060 //
     /* 1989604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1989612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1989615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1989618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1989621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1989624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1989627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989650 */     // MIs[0] policy
     /* 1989650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989660 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 1989663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989684 */     // GIR_Coverage, 62060,
     /* 1989684 */     GIR_EraseRootFromParent_Done,
     /* 1989685 */   // Label 26598: @1989685
     /* 1989685 */   GIM_Try, /*On fail goto*//*Label 26599*/ GIMT_Encode4(1989771), // Rule ID 62061 //
     /* 1989690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1989698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1989701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1989704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1989707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1989710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1989713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989736 */     // MIs[0] policy
     /* 1989736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 1989749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989770 */     // GIR_Coverage, 62061,
     /* 1989770 */     GIR_EraseRootFromParent_Done,
     /* 1989771 */   // Label 26599: @1989771
     /* 1989771 */   GIM_Try, /*On fail goto*//*Label 26600*/ GIMT_Encode4(1989857), // Rule ID 62064 //
     /* 1989776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1989784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1989787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1989790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1989793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1989796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1989799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1989806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989822 */     // MIs[0] policy
     /* 1989822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989832 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 1989835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989856 */     // GIR_Coverage, 62064,
     /* 1989856 */     GIR_EraseRootFromParent_Done,
     /* 1989857 */   // Label 26600: @1989857
     /* 1989857 */   GIM_Try, /*On fail goto*//*Label 26601*/ GIMT_Encode4(1989943), // Rule ID 62065 //
     /* 1989862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1989865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1989870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1989873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1989876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1989879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1989882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1989885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1989892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989908 */     // MIs[0] policy
     /* 1989908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989918 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 1989921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989942 */     // GIR_Coverage, 62065,
     /* 1989942 */     GIR_EraseRootFromParent_Done,
     /* 1989943 */   // Label 26601: @1989943
     /* 1989943 */   GIM_Try, /*On fail goto*//*Label 26602*/ GIMT_Encode4(1990029), // Rule ID 62068 //
     /* 1989948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1989951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1989956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1989959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1989965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1989968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989994 */     // MIs[0] policy
     /* 1989994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990004 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 1990007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990028 */     // GIR_Coverage, 62068,
     /* 1990028 */     GIR_EraseRootFromParent_Done,
     /* 1990029 */   // Label 26602: @1990029
     /* 1990029 */   GIM_Try, /*On fail goto*//*Label 26603*/ GIMT_Encode4(1990115), // Rule ID 62069 //
     /* 1990034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1990045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1990048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1990051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1990054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990080 */     // MIs[0] policy
     /* 1990080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990090 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 1990093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990114 */     // GIR_Coverage, 62069,
     /* 1990114 */     GIR_EraseRootFromParent_Done,
     /* 1990115 */   // Label 26603: @1990115
     /* 1990115 */   GIM_Try, /*On fail goto*//*Label 26604*/ GIMT_Encode4(1990201), // Rule ID 62072 //
     /* 1990120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1990137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1990140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990166 */     // MIs[0] policy
     /* 1990166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990176 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 1990179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990200 */     // GIR_Coverage, 62072,
     /* 1990200 */     GIR_EraseRootFromParent_Done,
     /* 1990201 */   // Label 26604: @1990201
     /* 1990201 */   GIM_Try, /*On fail goto*//*Label 26605*/ GIMT_Encode4(1990287), // Rule ID 62073 //
     /* 1990206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1990223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1990226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990252 */     // MIs[0] policy
     /* 1990252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990262 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 1990265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990286 */     // GIR_Coverage, 62073,
     /* 1990286 */     GIR_EraseRootFromParent_Done,
     /* 1990287 */   // Label 26605: @1990287
     /* 1990287 */   GIM_Try, /*On fail goto*//*Label 26606*/ GIMT_Encode4(1990373), // Rule ID 62076 //
     /* 1990292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1990303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1990306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1990309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1990312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990338 */     // MIs[0] policy
     /* 1990338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 1990351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990372 */     // GIR_Coverage, 62076,
     /* 1990372 */     GIR_EraseRootFromParent_Done,
     /* 1990373 */   // Label 26606: @1990373
     /* 1990373 */   GIM_Try, /*On fail goto*//*Label 26607*/ GIMT_Encode4(1990459), // Rule ID 62077 //
     /* 1990378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1990389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1990392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1990395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1990398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990424 */     // MIs[0] policy
     /* 1990424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990434 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 1990437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990458 */     // GIR_Coverage, 62077,
     /* 1990458 */     GIR_EraseRootFromParent_Done,
     /* 1990459 */   // Label 26607: @1990459
     /* 1990459 */   GIM_Try, /*On fail goto*//*Label 26608*/ GIMT_Encode4(1990545), // Rule ID 62080 //
     /* 1990464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1990475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1990478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1990481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1990484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990510 */     // MIs[0] policy
     /* 1990510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990520 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 1990523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990544 */     // GIR_Coverage, 62080,
     /* 1990544 */     GIR_EraseRootFromParent_Done,
     /* 1990545 */   // Label 26608: @1990545
     /* 1990545 */   GIM_Try, /*On fail goto*//*Label 26609*/ GIMT_Encode4(1990631), // Rule ID 62081 //
     /* 1990550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1990561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1990564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1990567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1990570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990596 */     // MIs[0] policy
     /* 1990596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990606 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 1990609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990630 */     // GIR_Coverage, 62081,
     /* 1990630 */     GIR_EraseRootFromParent_Done,
     /* 1990631 */   // Label 26609: @1990631
     /* 1990631 */   GIM_Try, /*On fail goto*//*Label 26610*/ GIMT_Encode4(1990717), // Rule ID 62084 //
     /* 1990636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1990647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1990650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1990653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1990656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1990659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990682 */     // MIs[0] policy
     /* 1990682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990692 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 1990695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990716 */     // GIR_Coverage, 62084,
     /* 1990716 */     GIR_EraseRootFromParent_Done,
     /* 1990717 */   // Label 26610: @1990717
     /* 1990717 */   GIM_Try, /*On fail goto*//*Label 26611*/ GIMT_Encode4(1990803), // Rule ID 62085 //
     /* 1990722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1990730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1990733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1990736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1990739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1990742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1990745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990768 */     // MIs[0] policy
     /* 1990768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990778 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 1990781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990802 */     // GIR_Coverage, 62085,
     /* 1990802 */     GIR_EraseRootFromParent_Done,
     /* 1990803 */   // Label 26611: @1990803
     /* 1990803 */   GIM_Try, /*On fail goto*//*Label 26612*/ GIMT_Encode4(1990889), // Rule ID 62088 //
     /* 1990808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1990816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1990819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1990822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1990825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1990828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990854 */     // MIs[0] policy
     /* 1990854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990864 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 1990867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990888 */     // GIR_Coverage, 62088,
     /* 1990888 */     GIR_EraseRootFromParent_Done,
     /* 1990889 */   // Label 26612: @1990889
     /* 1990889 */   GIM_Try, /*On fail goto*//*Label 26613*/ GIMT_Encode4(1990975), // Rule ID 62089 //
     /* 1990894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1990897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1990902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1990905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1990908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1990911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1990914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990940 */     // MIs[0] policy
     /* 1990940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990950 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 1990953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990974 */     // GIR_Coverage, 62089,
     /* 1990974 */     GIR_EraseRootFromParent_Done,
     /* 1990975 */   // Label 26613: @1990975
     /* 1990975 */   GIM_Try, /*On fail goto*//*Label 26614*/ GIMT_Encode4(1991061), // Rule ID 62092 //
     /* 1990980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1990983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1990988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1990997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1991000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991026 */     // MIs[0] policy
     /* 1991026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991036 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 1991039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991060 */     // GIR_Coverage, 62092,
     /* 1991060 */     GIR_EraseRootFromParent_Done,
     /* 1991061 */   // Label 26614: @1991061
     /* 1991061 */   GIM_Try, /*On fail goto*//*Label 26615*/ GIMT_Encode4(1991147), // Rule ID 62093 //
     /* 1991066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1991074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1991077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1991080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1991083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1991086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991112 */     // MIs[0] policy
     /* 1991112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991122 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 1991125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991146 */     // GIR_Coverage, 62093,
     /* 1991146 */     GIR_EraseRootFromParent_Done,
     /* 1991147 */   // Label 26615: @1991147
     /* 1991147 */   GIM_Try, /*On fail goto*//*Label 26616*/ GIMT_Encode4(1991233), // Rule ID 62096 //
     /* 1991152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1991160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1991163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1991166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1991169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1991172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991198 */     // MIs[0] policy
     /* 1991198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991208 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11029:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 1991211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991232 */     // GIR_Coverage, 62096,
     /* 1991232 */     GIR_EraseRootFromParent_Done,
     /* 1991233 */   // Label 26616: @1991233
     /* 1991233 */   GIM_Try, /*On fail goto*//*Label 26617*/ GIMT_Encode4(1991319), // Rule ID 62097 //
     /* 1991238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1991246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1991249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1991252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1991255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1991258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991284 */     // MIs[0] policy
     /* 1991284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991294 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11029:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 1991297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991318 */     // GIR_Coverage, 62097,
     /* 1991318 */     GIR_EraseRootFromParent_Done,
     /* 1991319 */   // Label 26617: @1991319
     /* 1991319 */   GIM_Try, /*On fail goto*//*Label 26618*/ GIMT_Encode4(1991405), // Rule ID 62100 //
     /* 1991324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1991332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1991335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1991338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1991341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1991344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1991347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991370 */     // MIs[0] policy
     /* 1991370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991380 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11029:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 1991383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991404 */     // GIR_Coverage, 62100,
     /* 1991404 */     GIR_EraseRootFromParent_Done,
     /* 1991405 */   // Label 26618: @1991405
     /* 1991405 */   GIM_Try, /*On fail goto*//*Label 26619*/ GIMT_Encode4(1991491), // Rule ID 62101 //
     /* 1991410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1991418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1991421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1991424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1991427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1991430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1991433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991456 */     // MIs[0] policy
     /* 1991456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991466 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11029:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 1991469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991490 */     // GIR_Coverage, 62101,
     /* 1991490 */     GIR_EraseRootFromParent_Done,
     /* 1991491 */   // Label 26619: @1991491
     /* 1991491 */   GIM_Try, /*On fail goto*//*Label 26620*/ GIMT_Encode4(1991577), // Rule ID 62104 //
     /* 1991496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1991504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1991507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1991510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1991513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1991516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1991519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991542 */     // MIs[0] policy
     /* 1991542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991552 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11029:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 1991555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991576 */     // GIR_Coverage, 62104,
     /* 1991576 */     GIR_EraseRootFromParent_Done,
     /* 1991577 */   // Label 26620: @1991577
     /* 1991577 */   GIM_Try, /*On fail goto*//*Label 26621*/ GIMT_Encode4(1991663), // Rule ID 62105 //
     /* 1991582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1991590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1991593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1991596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1991599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1991602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1991605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991628 */     // MIs[0] policy
     /* 1991628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991638 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11029:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 1991641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991662 */     // GIR_Coverage, 62105,
     /* 1991662 */     GIR_EraseRootFromParent_Done,
     /* 1991663 */   // Label 26621: @1991663
     /* 1991663 */   GIM_Try, /*On fail goto*//*Label 26622*/ GIMT_Encode4(1991749), // Rule ID 62108 //
     /* 1991668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1991676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1991679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1991682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1991685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1991688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991714 */     // MIs[0] policy
     /* 1991714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991724 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 1991727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991748 */     // GIR_Coverage, 62108,
     /* 1991748 */     GIR_EraseRootFromParent_Done,
     /* 1991749 */   // Label 26622: @1991749
     /* 1991749 */   GIM_Try, /*On fail goto*//*Label 26623*/ GIMT_Encode4(1991835), // Rule ID 62109 //
     /* 1991754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1991762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1991765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1991768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1991771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1991774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991800 */     // MIs[0] policy
     /* 1991800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991810 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 1991813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991834 */     // GIR_Coverage, 62109,
     /* 1991834 */     GIR_EraseRootFromParent_Done,
     /* 1991835 */   // Label 26623: @1991835
     /* 1991835 */   GIM_Try, /*On fail goto*//*Label 26624*/ GIMT_Encode4(1991921), // Rule ID 62112 //
     /* 1991840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1991843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1991848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1991851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1991854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1991857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1991860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991886 */     // MIs[0] policy
     /* 1991886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 1991899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991920 */     // GIR_Coverage, 62112,
     /* 1991920 */     GIR_EraseRootFromParent_Done,
     /* 1991921 */   // Label 26624: @1991921
     /* 1991921 */   GIM_Try, /*On fail goto*//*Label 26625*/ GIMT_Encode4(1992007), // Rule ID 62113 //
     /* 1991926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1991929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1991934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1991937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1991940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1991943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1991946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991972 */     // MIs[0] policy
     /* 1991972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991982 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 1991985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992006 */     // GIR_Coverage, 62113,
     /* 1992006 */     GIR_EraseRootFromParent_Done,
     /* 1992007 */   // Label 26625: @1992007
     /* 1992007 */   GIM_Try, /*On fail goto*//*Label 26626*/ GIMT_Encode4(1992093), // Rule ID 62116 //
     /* 1992012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1992029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1992032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992058 */     // MIs[0] policy
     /* 1992058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992068 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11029:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 1992071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992092 */     // GIR_Coverage, 62116,
     /* 1992092 */     GIR_EraseRootFromParent_Done,
     /* 1992093 */   // Label 26626: @1992093
     /* 1992093 */   GIM_Try, /*On fail goto*//*Label 26627*/ GIMT_Encode4(1992179), // Rule ID 62117 //
     /* 1992098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1992115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1992118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992144 */     // MIs[0] policy
     /* 1992144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992154 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11029:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 1992157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992178 */     // GIR_Coverage, 62117,
     /* 1992178 */     GIR_EraseRootFromParent_Done,
     /* 1992179 */   // Label 26627: @1992179
     /* 1992179 */   GIM_Try, /*On fail goto*//*Label 26628*/ GIMT_Encode4(1992265), // Rule ID 62120 //
     /* 1992184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1992195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1992198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1992201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1992204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1992207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992230 */     // MIs[0] policy
     /* 1992230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992240 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11029:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 1992243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992264 */     // GIR_Coverage, 62120,
     /* 1992264 */     GIR_EraseRootFromParent_Done,
     /* 1992265 */   // Label 26628: @1992265
     /* 1992265 */   GIM_Try, /*On fail goto*//*Label 26629*/ GIMT_Encode4(1992351), // Rule ID 62121 //
     /* 1992270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1992281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1992284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1992287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1992290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1992293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992316 */     // MIs[0] policy
     /* 1992316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992326 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11029:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 1992329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992350 */     // GIR_Coverage, 62121,
     /* 1992350 */     GIR_EraseRootFromParent_Done,
     /* 1992351 */   // Label 26629: @1992351
     /* 1992351 */   GIM_Try, /*On fail goto*//*Label 26630*/ GIMT_Encode4(1992437), // Rule ID 62124 //
     /* 1992356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1992367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1992370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1992373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1992376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1992379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1992386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992402 */     // MIs[0] policy
     /* 1992402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992412 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11029:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 1992415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992436 */     // GIR_Coverage, 62124,
     /* 1992436 */     GIR_EraseRootFromParent_Done,
     /* 1992437 */   // Label 26630: @1992437
     /* 1992437 */   GIM_Try, /*On fail goto*//*Label 26631*/ GIMT_Encode4(1992523), // Rule ID 62125 //
     /* 1992442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1992450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1992453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1992456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1992459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1992462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1992465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1992472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992488 */     // MIs[0] policy
     /* 1992488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992498 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11029:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 1992501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992522 */     // GIR_Coverage, 62125,
     /* 1992522 */     GIR_EraseRootFromParent_Done,
     /* 1992523 */   // Label 26631: @1992523
     /* 1992523 */   GIM_Try, /*On fail goto*//*Label 26632*/ GIMT_Encode4(1992609), // Rule ID 62128 //
     /* 1992528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1992536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1992539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1992542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1992545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1992548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992574 */     // MIs[0] policy
     /* 1992574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992584 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 1992587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992608 */     // GIR_Coverage, 62128,
     /* 1992608 */     GIR_EraseRootFromParent_Done,
     /* 1992609 */   // Label 26632: @1992609
     /* 1992609 */   GIM_Try, /*On fail goto*//*Label 26633*/ GIMT_Encode4(1992695), // Rule ID 62129 //
     /* 1992614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1992622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1992625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1992628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1992631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1992634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992660 */     // MIs[0] policy
     /* 1992660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992670 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 1992673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992694 */     // GIR_Coverage, 62129,
     /* 1992694 */     GIR_EraseRootFromParent_Done,
     /* 1992695 */   // Label 26633: @1992695
     /* 1992695 */   GIM_Try, /*On fail goto*//*Label 26634*/ GIMT_Encode4(1992781), // Rule ID 62132 //
     /* 1992700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1992708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1992711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1992714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1992717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1992720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992746 */     // MIs[0] policy
     /* 1992746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992756 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 1992759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992780 */     // GIR_Coverage, 62132,
     /* 1992780 */     GIR_EraseRootFromParent_Done,
     /* 1992781 */   // Label 26634: @1992781
     /* 1992781 */   GIM_Try, /*On fail goto*//*Label 26635*/ GIMT_Encode4(1992867), // Rule ID 62133 //
     /* 1992786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1992794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1992797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1992800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1992803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1992806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992832 */     // MIs[0] policy
     /* 1992832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 1992845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992866 */     // GIR_Coverage, 62133,
     /* 1992866 */     GIR_EraseRootFromParent_Done,
     /* 1992867 */   // Label 26635: @1992867
     /* 1992867 */   GIM_Try, /*On fail goto*//*Label 26636*/ GIMT_Encode4(1992953), // Rule ID 62136 //
     /* 1992872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1992875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1992880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1992889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1992892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992918 */     // MIs[0] policy
     /* 1992918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992928 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 1992931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992952 */     // GIR_Coverage, 62136,
     /* 1992952 */     GIR_EraseRootFromParent_Done,
     /* 1992953 */   // Label 26636: @1992953
     /* 1992953 */   GIM_Try, /*On fail goto*//*Label 26637*/ GIMT_Encode4(1993039), // Rule ID 62137 //
     /* 1992958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1992961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1992966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1992975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1992978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993004 */     // MIs[0] policy
     /* 1993004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 1993017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993038 */     // GIR_Coverage, 62137,
     /* 1993038 */     GIR_EraseRootFromParent_Done,
     /* 1993039 */   // Label 26637: @1993039
     /* 1993039 */   GIM_Try, /*On fail goto*//*Label 26638*/ GIMT_Encode4(1993125), // Rule ID 62140 //
     /* 1993044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1993052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1993055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1993058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1993064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1993067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993090 */     // MIs[0] policy
     /* 1993090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993100 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 1993103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993124 */     // GIR_Coverage, 62140,
     /* 1993124 */     GIR_EraseRootFromParent_Done,
     /* 1993125 */   // Label 26638: @1993125
     /* 1993125 */   GIM_Try, /*On fail goto*//*Label 26639*/ GIMT_Encode4(1993211), // Rule ID 62141 //
     /* 1993130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1993138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1993141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1993144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1993150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1993153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993176 */     // MIs[0] policy
     /* 1993176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 1993189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993210 */     // GIR_Coverage, 62141,
     /* 1993210 */     GIR_EraseRootFromParent_Done,
     /* 1993211 */   // Label 26639: @1993211
     /* 1993211 */   GIM_Try, /*On fail goto*//*Label 26640*/ GIMT_Encode4(1993297), // Rule ID 62144 //
     /* 1993216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1993219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1993224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1993227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1993230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1993233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1993236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1993239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1993246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993262 */     // MIs[0] policy
     /* 1993262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 1993275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993296 */     // GIR_Coverage, 62144,
     /* 1993296 */     GIR_EraseRootFromParent_Done,
     /* 1993297 */   // Label 26640: @1993297
     /* 1993297 */   GIM_Try, /*On fail goto*//*Label 26641*/ GIMT_Encode4(1993383), // Rule ID 62145 //
     /* 1993302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1993305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1993310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1993313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1993316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1993319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1993322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1993325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1993332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993348 */     // MIs[0] policy
     /* 1993348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993358 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 1993361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993382 */     // GIR_Coverage, 62145,
     /* 1993382 */     GIR_EraseRootFromParent_Done,
     /* 1993383 */   // Label 26641: @1993383
     /* 1993383 */   GIM_Try, /*On fail goto*//*Label 26642*/ GIMT_Encode4(1993472), // Rule ID 2645 //
     /* 1993388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1993391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1993396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1993399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1993402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1993405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1993408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1993411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1993414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993434 */     // MIs[0] round
     /* 1993434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993444 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1993444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 1993447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1993470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993471 */     // GIR_Coverage, 2645,
     /* 1993471 */     GIR_EraseRootFromParent_Done,
     /* 1993472 */   // Label 26642: @1993472
     /* 1993472 */   GIM_Try, /*On fail goto*//*Label 26643*/ GIMT_Encode4(1993561), // Rule ID 2646 //
     /* 1993477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1993480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1993485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1993488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1993491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1993494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1993497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1993500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1993503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993523 */     // MIs[0] round
     /* 1993523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993533 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1993533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 1993536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1993559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993560 */     // GIR_Coverage, 2646,
     /* 1993560 */     GIR_EraseRootFromParent_Done,
     /* 1993561 */   // Label 26643: @1993561
     /* 1993561 */   GIM_Try, /*On fail goto*//*Label 26644*/ GIMT_Encode4(1993650), // Rule ID 22683 //
     /* 1993566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1993569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1993574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1993577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1993580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1993583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1993586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1993589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1993592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993612 */     // MIs[0] round
     /* 1993612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993622 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1993622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 1993625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1993648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993649 */     // GIR_Coverage, 22683,
     /* 1993649 */     GIR_EraseRootFromParent_Done,
     /* 1993650 */   // Label 26644: @1993650
     /* 1993650 */   GIM_Try, /*On fail goto*//*Label 26645*/ GIMT_Encode4(1993739), // Rule ID 22684 //
     /* 1993655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1993658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1993663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1993666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1993669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1993672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1993675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1993678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1993681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993701 */     // MIs[0] round
     /* 1993701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993711 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1993711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 1993714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1993737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993738 */     // GIR_Coverage, 22684,
     /* 1993738 */     GIR_EraseRootFromParent_Done,
     /* 1993739 */   // Label 26645: @1993739
     /* 1993739 */   GIM_Try, /*On fail goto*//*Label 26646*/ GIMT_Encode4(1993828), // Rule ID 22687 //
     /* 1993744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1993747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1993752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1993761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1993764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1993767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1993770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993790 */     // MIs[0] round
     /* 1993790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993800 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1993800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 1993803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1993826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993827 */     // GIR_Coverage, 22687,
     /* 1993827 */     GIR_EraseRootFromParent_Done,
     /* 1993828 */   // Label 26646: @1993828
     /* 1993828 */   GIM_Try, /*On fail goto*//*Label 26647*/ GIMT_Encode4(1993917), // Rule ID 22688 //
     /* 1993833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1993836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1993841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1993850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1993853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1993856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1993859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993879 */     // MIs[0] round
     /* 1993879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993889 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1993889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 1993892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1993915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993916 */     // GIR_Coverage, 22688,
     /* 1993916 */     GIR_EraseRootFromParent_Done,
     /* 1993917 */   // Label 26647: @1993917
     /* 1993917 */   GIM_Try, /*On fail goto*//*Label 26648*/ GIMT_Encode4(1994006), // Rule ID 22691 //
     /* 1993922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1993925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1993930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1993933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1993936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1993939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1993942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1993948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993968 */     // MIs[0] round
     /* 1993968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993978 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1993978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 1993981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994005 */     // GIR_Coverage, 22691,
     /* 1994005 */     GIR_EraseRootFromParent_Done,
     /* 1994006 */   // Label 26648: @1994006
     /* 1994006 */   GIM_Try, /*On fail goto*//*Label 26649*/ GIMT_Encode4(1994095), // Rule ID 22692 //
     /* 1994011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1994014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1994022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1994025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1994028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1994031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994057 */     // MIs[0] round
     /* 1994057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994067 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1994067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 1994070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994094 */     // GIR_Coverage, 22692,
     /* 1994094 */     GIR_EraseRootFromParent_Done,
     /* 1994095 */   // Label 26649: @1994095
     /* 1994095 */   GIM_Try, /*On fail goto*//*Label 26650*/ GIMT_Encode4(1994184), // Rule ID 22695 //
     /* 1994100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1994103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1994111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1994114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1994117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1994120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1994123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994146 */     // MIs[0] round
     /* 1994146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994156 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1994156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 1994159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994183 */     // GIR_Coverage, 22695,
     /* 1994183 */     GIR_EraseRootFromParent_Done,
     /* 1994184 */   // Label 26650: @1994184
     /* 1994184 */   GIM_Try, /*On fail goto*//*Label 26651*/ GIMT_Encode4(1994273), // Rule ID 22696 //
     /* 1994189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1994192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1994200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1994203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1994206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1994209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1994212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994235 */     // MIs[0] round
     /* 1994235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994245 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1994245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 1994248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994272 */     // GIR_Coverage, 22696,
     /* 1994272 */     GIR_EraseRootFromParent_Done,
     /* 1994273 */   // Label 26651: @1994273
     /* 1994273 */   GIM_Try, /*On fail goto*//*Label 26652*/ GIMT_Encode4(1994362), // Rule ID 22699 //
     /* 1994278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1994281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1994289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1994292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1994295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1994298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1994301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994324 */     // MIs[0] round
     /* 1994324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994334 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1994334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 1994337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1994357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994361 */     // GIR_Coverage, 22699,
     /* 1994361 */     GIR_EraseRootFromParent_Done,
     /* 1994362 */   // Label 26652: @1994362
     /* 1994362 */   GIM_Try, /*On fail goto*//*Label 26653*/ GIMT_Encode4(1994451), // Rule ID 22700 //
     /* 1994367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1994370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1994378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1994381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1994384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1994387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1994390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994413 */     // MIs[0] round
     /* 1994413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994423 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1994423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 1994426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1994446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994450 */     // GIR_Coverage, 22700,
     /* 1994450 */     GIR_EraseRootFromParent_Done,
     /* 1994451 */   // Label 26653: @1994451
     /* 1994451 */   GIM_Try, /*On fail goto*//*Label 26654*/ GIMT_Encode4(1994540), // Rule ID 22703 //
     /* 1994456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1994459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1994467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1994470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1994473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1994476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994502 */     // MIs[0] round
     /* 1994502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994512 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1994512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 1994515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994539 */     // GIR_Coverage, 22703,
     /* 1994539 */     GIR_EraseRootFromParent_Done,
     /* 1994540 */   // Label 26654: @1994540
     /* 1994540 */   GIM_Try, /*On fail goto*//*Label 26655*/ GIMT_Encode4(1994629), // Rule ID 22704 //
     /* 1994545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1994548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1994556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1994559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1994562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1994565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994591 */     // MIs[0] round
     /* 1994591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994601 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1994601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 1994604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994628 */     // GIR_Coverage, 22704,
     /* 1994628 */     GIR_EraseRootFromParent_Done,
     /* 1994629 */   // Label 26655: @1994629
     /* 1994629 */   GIM_Try, /*On fail goto*//*Label 26656*/ GIMT_Encode4(1994718), // Rule ID 22707 //
     /* 1994634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1994637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1994645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1994648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1994651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1994654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994680 */     // MIs[0] round
     /* 1994680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994690 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1994690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 1994693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994717 */     // GIR_Coverage, 22707,
     /* 1994717 */     GIR_EraseRootFromParent_Done,
     /* 1994718 */   // Label 26656: @1994718
     /* 1994718 */   GIM_Try, /*On fail goto*//*Label 26657*/ GIMT_Encode4(1994807), // Rule ID 22708 //
     /* 1994723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1994726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1994734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1994737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1994740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1994743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994769 */     // MIs[0] round
     /* 1994769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994779 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1994779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 1994782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994806 */     // GIR_Coverage, 22708,
     /* 1994806 */     GIR_EraseRootFromParent_Done,
     /* 1994807 */   // Label 26657: @1994807
     /* 1994807 */   GIM_Try, /*On fail goto*//*Label 26658*/ GIMT_Encode4(1994896), // Rule ID 22711 //
     /* 1994812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1994815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1994823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1994826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1994829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1994832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994858 */     // MIs[0] round
     /* 1994858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994868 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1994868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 1994871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994895 */     // GIR_Coverage, 22711,
     /* 1994895 */     GIR_EraseRootFromParent_Done,
     /* 1994896 */   // Label 26658: @1994896
     /* 1994896 */   GIM_Try, /*On fail goto*//*Label 26659*/ GIMT_Encode4(1994985), // Rule ID 22712 //
     /* 1994901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1994904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1994912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1994915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1994918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1994921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994947 */     // MIs[0] round
     /* 1994947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994957 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1994957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 1994960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994984 */     // GIR_Coverage, 22712,
     /* 1994984 */     GIR_EraseRootFromParent_Done,
     /* 1994985 */   // Label 26659: @1994985
     /* 1994985 */   GIM_Try, /*On fail goto*//*Label 26660*/ GIMT_Encode4(1995074), // Rule ID 22715 //
     /* 1994990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1994993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1994998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1995007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995036 */     // MIs[0] round
     /* 1995036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995046 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 1995049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995073 */     // GIR_Coverage, 22715,
     /* 1995073 */     GIR_EraseRootFromParent_Done,
     /* 1995074 */   // Label 26660: @1995074
     /* 1995074 */   GIM_Try, /*On fail goto*//*Label 26661*/ GIMT_Encode4(1995163), // Rule ID 22716 //
     /* 1995079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1995082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1995096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995125 */     // MIs[0] round
     /* 1995125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995135 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 1995138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995162 */     // GIR_Coverage, 22716,
     /* 1995162 */     GIR_EraseRootFromParent_Done,
     /* 1995163 */   // Label 26661: @1995163
     /* 1995163 */   GIM_Try, /*On fail goto*//*Label 26662*/ GIMT_Encode4(1995252), // Rule ID 22719 //
     /* 1995168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1995171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1995185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995214 */     // MIs[0] round
     /* 1995214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995224 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 1995227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995251 */     // GIR_Coverage, 22719,
     /* 1995251 */     GIR_EraseRootFromParent_Done,
     /* 1995252 */   // Label 26662: @1995252
     /* 1995252 */   GIM_Try, /*On fail goto*//*Label 26663*/ GIMT_Encode4(1995341), // Rule ID 22720 //
     /* 1995257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1995260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1995274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995303 */     // MIs[0] round
     /* 1995303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995313 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 1995316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995340 */     // GIR_Coverage, 22720,
     /* 1995340 */     GIR_EraseRootFromParent_Done,
     /* 1995341 */   // Label 26663: @1995341
     /* 1995341 */   GIM_Try, /*On fail goto*//*Label 26664*/ GIMT_Encode4(1995430), // Rule ID 22723 //
     /* 1995346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1995349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1995363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995392 */     // MIs[0] round
     /* 1995392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995402 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 1995405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995429 */     // GIR_Coverage, 22723,
     /* 1995429 */     GIR_EraseRootFromParent_Done,
     /* 1995430 */   // Label 26664: @1995430
     /* 1995430 */   GIM_Try, /*On fail goto*//*Label 26665*/ GIMT_Encode4(1995519), // Rule ID 22724 //
     /* 1995435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1995438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1995452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995481 */     // MIs[0] round
     /* 1995481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995491 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 1995494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995518 */     // GIR_Coverage, 22724,
     /* 1995518 */     GIR_EraseRootFromParent_Done,
     /* 1995519 */   // Label 26665: @1995519
     /* 1995519 */   GIM_Try, /*On fail goto*//*Label 26666*/ GIMT_Encode4(1995608), // Rule ID 22727 //
     /* 1995524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1995527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1995541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1995544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995570 */     // MIs[0] round
     /* 1995570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995580 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 1995583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995607 */     // GIR_Coverage, 22727,
     /* 1995607 */     GIR_EraseRootFromParent_Done,
     /* 1995608 */   // Label 26666: @1995608
     /* 1995608 */   GIM_Try, /*On fail goto*//*Label 26667*/ GIMT_Encode4(1995697), // Rule ID 22728 //
     /* 1995613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1995616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1995630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1995633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995659 */     // MIs[0] round
     /* 1995659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995669 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 1995672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995696 */     // GIR_Coverage, 22728,
     /* 1995696 */     GIR_EraseRootFromParent_Done,
     /* 1995697 */   // Label 26667: @1995697
     /* 1995697 */   GIM_Try, /*On fail goto*//*Label 26668*/ GIMT_Encode4(1995786), // Rule ID 22731 //
     /* 1995702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1995705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1995719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1995722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995748 */     // MIs[0] round
     /* 1995748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995758 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 1995761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995785 */     // GIR_Coverage, 22731,
     /* 1995785 */     GIR_EraseRootFromParent_Done,
     /* 1995786 */   // Label 26668: @1995786
     /* 1995786 */   GIM_Try, /*On fail goto*//*Label 26669*/ GIMT_Encode4(1995875), // Rule ID 22732 //
     /* 1995791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1995794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1995808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1995811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995837 */     // MIs[0] round
     /* 1995837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995847 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 1995850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995874 */     // GIR_Coverage, 22732,
     /* 1995874 */     GIR_EraseRootFromParent_Done,
     /* 1995875 */   // Label 26669: @1995875
     /* 1995875 */   GIM_Try, /*On fail goto*//*Label 26670*/ GIMT_Encode4(1995964), // Rule ID 22735 //
     /* 1995880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1995883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1995897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1995900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995926 */     // MIs[0] round
     /* 1995926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995936 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 1995939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995963 */     // GIR_Coverage, 22735,
     /* 1995963 */     GIR_EraseRootFromParent_Done,
     /* 1995964 */   // Label 26670: @1995964
     /* 1995964 */   GIM_Try, /*On fail goto*//*Label 26671*/ GIMT_Encode4(1996053), // Rule ID 22736 //
     /* 1995969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1995972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1995977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1995986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1995989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996015 */     // MIs[0] round
     /* 1996015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996025 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 1996028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1996048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996052 */     // GIR_Coverage, 22736,
     /* 1996052 */     GIR_EraseRootFromParent_Done,
     /* 1996053 */   // Label 26671: @1996053
     /* 1996053 */   GIM_Try, /*On fail goto*//*Label 26672*/ GIMT_Encode4(1996142), // Rule ID 22739 //
     /* 1996058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1996061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1996066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1996075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1996081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996104 */     // MIs[0] round
     /* 1996104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996114 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 1996117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996141 */     // GIR_Coverage, 22739,
     /* 1996141 */     GIR_EraseRootFromParent_Done,
     /* 1996142 */   // Label 26672: @1996142
     /* 1996142 */   GIM_Try, /*On fail goto*//*Label 26673*/ GIMT_Encode4(1996231), // Rule ID 22740 //
     /* 1996147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1996150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1996155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1996164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1996170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996193 */     // MIs[0] round
     /* 1996193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996203 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 1996206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996230 */     // GIR_Coverage, 22740,
     /* 1996230 */     GIR_EraseRootFromParent_Done,
     /* 1996231 */   // Label 26673: @1996231
     /* 1996231 */   GIM_Try, /*On fail goto*//*Label 26674*/ GIMT_Encode4(1996320), // Rule ID 22743 //
     /* 1996236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1996239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1996244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1996253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996282 */     // MIs[0] round
     /* 1996282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996292 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 1996295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996319 */     // GIR_Coverage, 22743,
     /* 1996319 */     GIR_EraseRootFromParent_Done,
     /* 1996320 */   // Label 26674: @1996320
     /* 1996320 */   GIM_Try, /*On fail goto*//*Label 26675*/ GIMT_Encode4(1996409), // Rule ID 22744 //
     /* 1996325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1996328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1996333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1996342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996371 */     // MIs[0] round
     /* 1996371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996381 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 1996384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996408 */     // GIR_Coverage, 22744,
     /* 1996408 */     GIR_EraseRootFromParent_Done,
     /* 1996409 */   // Label 26675: @1996409
     /* 1996409 */   GIM_Try, /*On fail goto*//*Label 26676*/ GIMT_Encode4(1996498), // Rule ID 22747 //
     /* 1996414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1996417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1996422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1996431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1996437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996460 */     // MIs[0] round
     /* 1996460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996470 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 1996473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996497 */     // GIR_Coverage, 22747,
     /* 1996497 */     GIR_EraseRootFromParent_Done,
     /* 1996498 */   // Label 26676: @1996498
     /* 1996498 */   GIM_Try, /*On fail goto*//*Label 26677*/ GIMT_Encode4(1996587), // Rule ID 22748 //
     /* 1996503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1996506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1996511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1996520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1996526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996549 */     // MIs[0] round
     /* 1996549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996559 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 1996562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996586 */     // GIR_Coverage, 22748,
     /* 1996586 */     GIR_EraseRootFromParent_Done,
     /* 1996587 */   // Label 26677: @1996587
     /* 1996587 */   GIM_Try, /*On fail goto*//*Label 26678*/ GIMT_Encode4(1996676), // Rule ID 22751 //
     /* 1996592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1996595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1996600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1996609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996638 */     // MIs[0] round
     /* 1996638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996648 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 1996651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996675 */     // GIR_Coverage, 22751,
     /* 1996675 */     GIR_EraseRootFromParent_Done,
     /* 1996676 */   // Label 26678: @1996676
     /* 1996676 */   GIM_Try, /*On fail goto*//*Label 26679*/ GIMT_Encode4(1996765), // Rule ID 22752 //
     /* 1996681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1996684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1996689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1996692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1996695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1996698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1996701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996727 */     // MIs[0] round
     /* 1996727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996737 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 1996740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996764 */     // GIR_Coverage, 22752,
     /* 1996764 */     GIR_EraseRootFromParent_Done,
     /* 1996765 */   // Label 26679: @1996765
     /* 1996765 */   GIM_Try, /*On fail goto*//*Label 26680*/ GIMT_Encode4(1996854), // Rule ID 22755 //
     /* 1996770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1996773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1996778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1996787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996816 */     // MIs[0] round
     /* 1996816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996826 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 1996829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996853 */     // GIR_Coverage, 22755,
     /* 1996853 */     GIR_EraseRootFromParent_Done,
     /* 1996854 */   // Label 26680: @1996854
     /* 1996854 */   GIM_Try, /*On fail goto*//*Label 26681*/ GIMT_Encode4(1996943), // Rule ID 22756 //
     /* 1996859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1996862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1996867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1996876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996905 */     // MIs[0] round
     /* 1996905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996915 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 1996918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996942 */     // GIR_Coverage, 22756,
     /* 1996942 */     GIR_EraseRootFromParent_Done,
     /* 1996943 */   // Label 26681: @1996943
     /* 1996943 */   GIM_Try, /*On fail goto*//*Label 26682*/ GIMT_Encode4(1997032), // Rule ID 22759 //
     /* 1996948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1996951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1996956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1996959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1996962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1996965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1996968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1996971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996994 */     // MIs[0] round
     /* 1996994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997004 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 1997007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997031 */     // GIR_Coverage, 22759,
     /* 1997031 */     GIR_EraseRootFromParent_Done,
     /* 1997032 */   // Label 26682: @1997032
     /* 1997032 */   GIM_Try, /*On fail goto*//*Label 26683*/ GIMT_Encode4(1997121), // Rule ID 22760 //
     /* 1997037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1997040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1997054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997083 */     // MIs[0] round
     /* 1997083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997093 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 1997096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997120 */     // GIR_Coverage, 22760,
     /* 1997120 */     GIR_EraseRootFromParent_Done,
     /* 1997121 */   // Label 26683: @1997121
     /* 1997121 */   GIM_Try, /*On fail goto*//*Label 26684*/ GIMT_Encode4(1997210), // Rule ID 22763 //
     /* 1997126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1997129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1997143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997172 */     // MIs[0] round
     /* 1997172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997182 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 1997185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997209 */     // GIR_Coverage, 22763,
     /* 1997209 */     GIR_EraseRootFromParent_Done,
     /* 1997210 */   // Label 26684: @1997210
     /* 1997210 */   GIM_Try, /*On fail goto*//*Label 26685*/ GIMT_Encode4(1997299), // Rule ID 22764 //
     /* 1997215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1997218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1997232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997261 */     // MIs[0] round
     /* 1997261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997271 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 1997274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997298 */     // GIR_Coverage, 22764,
     /* 1997298 */     GIR_EraseRootFromParent_Done,
     /* 1997299 */   // Label 26685: @1997299
     /* 1997299 */   GIM_Try, /*On fail goto*//*Label 26686*/ GIMT_Encode4(1997388), // Rule ID 22767 //
     /* 1997304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1997307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1997321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997350 */     // MIs[0] round
     /* 1997350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997360 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 1997363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997387 */     // GIR_Coverage, 22767,
     /* 1997387 */     GIR_EraseRootFromParent_Done,
     /* 1997388 */   // Label 26686: @1997388
     /* 1997388 */   GIM_Try, /*On fail goto*//*Label 26687*/ GIMT_Encode4(1997477), // Rule ID 22768 //
     /* 1997393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1997396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1997410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997439 */     // MIs[0] round
     /* 1997439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997449 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 1997452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997476 */     // GIR_Coverage, 22768,
     /* 1997476 */     GIR_EraseRootFromParent_Done,
     /* 1997477 */   // Label 26687: @1997477
     /* 1997477 */   GIM_Try, /*On fail goto*//*Label 26688*/ GIMT_Encode4(1997566), // Rule ID 22771 //
     /* 1997482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1997485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1997499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1997505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997528 */     // MIs[0] round
     /* 1997528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997538 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 1997541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997565 */     // GIR_Coverage, 22771,
     /* 1997565 */     GIR_EraseRootFromParent_Done,
     /* 1997566 */   // Label 26688: @1997566
     /* 1997566 */   GIM_Try, /*On fail goto*//*Label 26689*/ GIMT_Encode4(1997655), // Rule ID 22772 //
     /* 1997571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1997574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1997588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1997591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1997594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997617 */     // MIs[0] round
     /* 1997617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997627 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 1997630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997654 */     // GIR_Coverage, 22772,
     /* 1997654 */     GIR_EraseRootFromParent_Done,
     /* 1997655 */   // Label 26689: @1997655
     /* 1997655 */   GIM_Try, /*On fail goto*//*Label 26690*/ GIMT_Encode4(1997744), // Rule ID 22775 //
     /* 1997660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1997663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1997677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1997680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997706 */     // MIs[0] round
     /* 1997706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997716 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 1997719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997743 */     // GIR_Coverage, 22775,
     /* 1997743 */     GIR_EraseRootFromParent_Done,
     /* 1997744 */   // Label 26690: @1997744
     /* 1997744 */   GIM_Try, /*On fail goto*//*Label 26691*/ GIMT_Encode4(1997833), // Rule ID 22776 //
     /* 1997749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1997752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1997766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1997769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997795 */     // MIs[0] round
     /* 1997795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997805 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 1997808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997832 */     // GIR_Coverage, 22776,
     /* 1997832 */     GIR_EraseRootFromParent_Done,
     /* 1997833 */   // Label 26691: @1997833
     /* 1997833 */   GIM_Try, /*On fail goto*//*Label 26692*/ GIMT_Encode4(1997922), // Rule ID 22779 //
     /* 1997838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1997841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1997855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1997858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997884 */     // MIs[0] round
     /* 1997884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997894 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 1997897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997921 */     // GIR_Coverage, 22779,
     /* 1997921 */     GIR_EraseRootFromParent_Done,
     /* 1997922 */   // Label 26692: @1997922
     /* 1997922 */   GIM_Try, /*On fail goto*//*Label 26693*/ GIMT_Encode4(1998011), // Rule ID 22780 //
     /* 1997927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1997930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1997935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1997944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1997947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997973 */     // MIs[0] round
     /* 1997973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997983 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 1997986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998010 */     // GIR_Coverage, 22780,
     /* 1998010 */     GIR_EraseRootFromParent_Done,
     /* 1998011 */   // Label 26693: @1998011
     /* 1998011 */   GIM_Try, /*On fail goto*//*Label 26694*/ GIMT_Encode4(1998100), // Rule ID 22783 //
     /* 1998016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1998019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1998033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1998039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998062 */     // MIs[0] round
     /* 1998062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998072 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 1998075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998099 */     // GIR_Coverage, 22783,
     /* 1998099 */     GIR_EraseRootFromParent_Done,
     /* 1998100 */   // Label 26694: @1998100
     /* 1998100 */   GIM_Try, /*On fail goto*//*Label 26695*/ GIMT_Encode4(1998189), // Rule ID 22784 //
     /* 1998105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1998108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1998122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1998128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998151 */     // MIs[0] round
     /* 1998151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998161 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 1998164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998188 */     // GIR_Coverage, 22784,
     /* 1998188 */     GIR_EraseRootFromParent_Done,
     /* 1998189 */   // Label 26695: @1998189
     /* 1998189 */   GIM_Try, /*On fail goto*//*Label 26696*/ GIMT_Encode4(1998278), // Rule ID 22787 //
     /* 1998194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1998197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1998205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1998208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1998211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1998214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998240 */     // MIs[0] round
     /* 1998240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998250 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 1998253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1998273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998277 */     // GIR_Coverage, 22787,
     /* 1998277 */     GIR_EraseRootFromParent_Done,
     /* 1998278 */   // Label 26696: @1998278
     /* 1998278 */   GIM_Try, /*On fail goto*//*Label 26697*/ GIMT_Encode4(1998367), // Rule ID 22788 //
     /* 1998283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1998286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1998294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1998297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1998300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1998303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998329 */     // MIs[0] round
     /* 1998329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998339 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 1998342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1998362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998366 */     // GIR_Coverage, 22788,
     /* 1998366 */     GIR_EraseRootFromParent_Done,
     /* 1998367 */   // Label 26697: @1998367
     /* 1998367 */   GIM_Try, /*On fail goto*//*Label 26698*/ GIMT_Encode4(1998456), // Rule ID 22791 //
     /* 1998372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1998375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1998383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1998386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1998389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1998392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998418 */     // MIs[0] round
     /* 1998418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998428 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 1998431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1998451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998455 */     // GIR_Coverage, 22791,
     /* 1998455 */     GIR_EraseRootFromParent_Done,
     /* 1998456 */   // Label 26698: @1998456
     /* 1998456 */   GIM_Try, /*On fail goto*//*Label 26699*/ GIMT_Encode4(1998545), // Rule ID 22792 //
     /* 1998461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1998464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1998472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1998475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1998478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1998481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998507 */     // MIs[0] round
     /* 1998507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998517 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 1998520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1998540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998544 */     // GIR_Coverage, 22792,
     /* 1998544 */     GIR_EraseRootFromParent_Done,
     /* 1998545 */   // Label 26699: @1998545
     /* 1998545 */   GIM_Try, /*On fail goto*//*Label 26700*/ GIMT_Encode4(1998634), // Rule ID 22795 //
     /* 1998550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1998553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1998561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1998564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1998567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1998570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998596 */     // MIs[0] round
     /* 1998596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998606 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 1998609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1998629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998633 */     // GIR_Coverage, 22795,
     /* 1998633 */     GIR_EraseRootFromParent_Done,
     /* 1998634 */   // Label 26700: @1998634
     /* 1998634 */   GIM_Try, /*On fail goto*//*Label 26701*/ GIMT_Encode4(1998723), // Rule ID 22796 //
     /* 1998639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1998642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1998647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1998650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1998653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1998656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1998659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998685 */     // MIs[0] round
     /* 1998685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998695 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 1998698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1998718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998722 */     // GIR_Coverage, 22796,
     /* 1998722 */     GIR_EraseRootFromParent_Done,
     /* 1998723 */   // Label 26701: @1998723
     /* 1998723 */   GIM_Try, /*On fail goto*//*Label 26702*/ GIMT_Encode4(1998812), // Rule ID 22919 //
     /* 1998728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1998731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1998736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1998745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998774 */     // MIs[0] round
     /* 1998774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998784 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 1998787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998811 */     // GIR_Coverage, 22919,
     /* 1998811 */     GIR_EraseRootFromParent_Done,
     /* 1998812 */   // Label 26702: @1998812
     /* 1998812 */   GIM_Try, /*On fail goto*//*Label 26703*/ GIMT_Encode4(1998901), // Rule ID 22920 //
     /* 1998817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1998820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1998825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1998834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998863 */     // MIs[0] round
     /* 1998863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998873 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1998873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 1998876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998900 */     // GIR_Coverage, 22920,
     /* 1998900 */     GIR_EraseRootFromParent_Done,
     /* 1998901 */   // Label 26703: @1998901
     /* 1998901 */   GIM_Try, /*On fail goto*//*Label 26704*/ GIMT_Encode4(1998990), // Rule ID 22923 //
     /* 1998906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1998909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1998914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1998923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1998926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998952 */     // MIs[0] round
     /* 1998952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998962 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1998962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 1998965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1998969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1998988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998989 */     // GIR_Coverage, 22923,
     /* 1998989 */     GIR_EraseRootFromParent_Done,
     /* 1998990 */   // Label 26704: @1998990
     /* 1998990 */   GIM_Try, /*On fail goto*//*Label 26705*/ GIMT_Encode4(1999079), // Rule ID 22924 //
     /* 1998995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1998998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1999003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1999012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999041 */     // MIs[0] round
     /* 1999041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999051 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 1999054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999078 */     // GIR_Coverage, 22924,
     /* 1999078 */     GIR_EraseRootFromParent_Done,
     /* 1999079 */   // Label 26705: @1999079
     /* 1999079 */   GIM_Try, /*On fail goto*//*Label 26706*/ GIMT_Encode4(1999168), // Rule ID 22927 //
     /* 1999084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1999092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1999101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1999107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999130 */     // MIs[0] round
     /* 1999130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999140 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 1999143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999167 */     // GIR_Coverage, 22927,
     /* 1999167 */     GIR_EraseRootFromParent_Done,
     /* 1999168 */   // Label 26706: @1999168
     /* 1999168 */   GIM_Try, /*On fail goto*//*Label 26707*/ GIMT_Encode4(1999257), // Rule ID 22928 //
     /* 1999173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1999176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1999181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1999190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1999196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999219 */     // MIs[0] round
     /* 1999219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999229 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 1999232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999256 */     // GIR_Coverage, 22928,
     /* 1999256 */     GIR_EraseRootFromParent_Done,
     /* 1999257 */   // Label 26707: @1999257
     /* 1999257 */   GIM_Try, /*On fail goto*//*Label 26708*/ GIMT_Encode4(1999346), // Rule ID 22931 //
     /* 1999262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1999265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1999270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1999279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999308 */     // MIs[0] round
     /* 1999308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999318 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 1999321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999345 */     // GIR_Coverage, 22931,
     /* 1999345 */     GIR_EraseRootFromParent_Done,
     /* 1999346 */   // Label 26708: @1999346
     /* 1999346 */   GIM_Try, /*On fail goto*//*Label 26709*/ GIMT_Encode4(1999435), // Rule ID 22932 //
     /* 1999351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1999354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1999359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1999368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999397 */     // MIs[0] round
     /* 1999397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999407 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 1999410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999434 */     // GIR_Coverage, 22932,
     /* 1999434 */     GIR_EraseRootFromParent_Done,
     /* 1999435 */   // Label 26709: @1999435
     /* 1999435 */   GIM_Try, /*On fail goto*//*Label 26710*/ GIMT_Encode4(1999524), // Rule ID 22935 //
     /* 1999440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1999448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1999457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999486 */     // MIs[0] round
     /* 1999486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999496 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 1999499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999523 */     // GIR_Coverage, 22935,
     /* 1999523 */     GIR_EraseRootFromParent_Done,
     /* 1999524 */   // Label 26710: @1999524
     /* 1999524 */   GIM_Try, /*On fail goto*//*Label 26711*/ GIMT_Encode4(1999613), // Rule ID 22936 //
     /* 1999529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1999532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1999537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1999546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1999549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999575 */     // MIs[0] round
     /* 1999575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999585 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 1999588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999612 */     // GIR_Coverage, 22936,
     /* 1999612 */     GIR_EraseRootFromParent_Done,
     /* 1999613 */   // Label 26711: @1999613
     /* 1999613 */   GIM_Try, /*On fail goto*//*Label 26712*/ GIMT_Encode4(1999702), // Rule ID 22939 //
     /* 1999618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1999621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1999626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1999635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999664 */     // MIs[0] round
     /* 1999664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999674 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 1999677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999701 */     // GIR_Coverage, 22939,
     /* 1999701 */     GIR_EraseRootFromParent_Done,
     /* 1999702 */   // Label 26712: @1999702
     /* 1999702 */   GIM_Try, /*On fail goto*//*Label 26713*/ GIMT_Encode4(1999791), // Rule ID 22940 //
     /* 1999707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1999710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1999715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1999724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999753 */     // MIs[0] round
     /* 1999753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999763 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 1999766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999790 */     // GIR_Coverage, 22940,
     /* 1999790 */     GIR_EraseRootFromParent_Done,
     /* 1999791 */   // Label 26713: @1999791
     /* 1999791 */   GIM_Try, /*On fail goto*//*Label 26714*/ GIMT_Encode4(1999880), // Rule ID 22943 //
     /* 1999796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1999799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1999804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1999813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999842 */     // MIs[0] round
     /* 1999842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999852 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1999852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 1999855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999879 */     // GIR_Coverage, 22943,
     /* 1999879 */     GIR_EraseRootFromParent_Done,
     /* 1999880 */   // Label 26714: @1999880
     /* 1999880 */   GIM_Try, /*On fail goto*//*Label 26715*/ GIMT_Encode4(1999969), // Rule ID 22944 //
     /* 1999885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1999888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1999893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1999902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999931 */     // MIs[0] round
     /* 1999931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999941 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1999941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 1999944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1999967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999968 */     // GIR_Coverage, 22944,
     /* 1999968 */     GIR_EraseRootFromParent_Done,
     /* 1999969 */   // Label 26715: @1999969
     /* 1999969 */   GIM_Try, /*On fail goto*//*Label 26716*/ GIMT_Encode4(2000058), // Rule ID 22947 //
     /* 1999974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1999977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1999982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1999991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1999994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1999997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000020 */     // MIs[0] round
     /* 2000020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000030 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2000033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000057 */     // GIR_Coverage, 22947,
     /* 2000057 */     GIR_EraseRootFromParent_Done,
     /* 2000058 */   // Label 26716: @2000058
     /* 2000058 */   GIM_Try, /*On fail goto*//*Label 26717*/ GIMT_Encode4(2000147), // Rule ID 22948 //
     /* 2000063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2000080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2000086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000109 */     // MIs[0] round
     /* 2000109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000119 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2000122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000146 */     // GIR_Coverage, 22948,
     /* 2000146 */     GIR_EraseRootFromParent_Done,
     /* 2000147 */   // Label 26717: @2000147
     /* 2000147 */   GIM_Try, /*On fail goto*//*Label 26718*/ GIMT_Encode4(2000236), // Rule ID 22951 //
     /* 2000152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2000155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2000169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000198 */     // MIs[0] round
     /* 2000198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000208 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2000211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000235 */     // GIR_Coverage, 22951,
     /* 2000235 */     GIR_EraseRootFromParent_Done,
     /* 2000236 */   // Label 26718: @2000236
     /* 2000236 */   GIM_Try, /*On fail goto*//*Label 26719*/ GIMT_Encode4(2000325), // Rule ID 22952 //
     /* 2000241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2000244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2000258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000287 */     // MIs[0] round
     /* 2000287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000297 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2000300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000324 */     // GIR_Coverage, 22952,
     /* 2000324 */     GIR_EraseRootFromParent_Done,
     /* 2000325 */   // Label 26719: @2000325
     /* 2000325 */   GIM_Try, /*On fail goto*//*Label 26720*/ GIMT_Encode4(2000414), // Rule ID 22955 //
     /* 2000330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2000333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2000347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000376 */     // MIs[0] round
     /* 2000376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000386 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2000389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000413 */     // GIR_Coverage, 22955,
     /* 2000413 */     GIR_EraseRootFromParent_Done,
     /* 2000414 */   // Label 26720: @2000414
     /* 2000414 */   GIM_Try, /*On fail goto*//*Label 26721*/ GIMT_Encode4(2000503), // Rule ID 22956 //
     /* 2000419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2000422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2000436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000465 */     // MIs[0] round
     /* 2000465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000475 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2000478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000502 */     // GIR_Coverage, 22956,
     /* 2000502 */     GIR_EraseRootFromParent_Done,
     /* 2000503 */   // Label 26721: @2000503
     /* 2000503 */   GIM_Try, /*On fail goto*//*Label 26722*/ GIMT_Encode4(2000592), // Rule ID 22959 //
     /* 2000508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2000511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2000525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2000531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000554 */     // MIs[0] round
     /* 2000554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000564 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2000567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000591 */     // GIR_Coverage, 22959,
     /* 2000591 */     GIR_EraseRootFromParent_Done,
     /* 2000592 */   // Label 26722: @2000592
     /* 2000592 */   GIM_Try, /*On fail goto*//*Label 26723*/ GIMT_Encode4(2000681), // Rule ID 22960 //
     /* 2000597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2000600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2000605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2000608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2000611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2000614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2000617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2000620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000643 */     // MIs[0] round
     /* 2000643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000653 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2000656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000680 */     // GIR_Coverage, 22960,
     /* 2000680 */     GIR_EraseRootFromParent_Done,
     /* 2000681 */   // Label 26723: @2000681
     /* 2000681 */   GIM_Try, /*On fail goto*//*Label 26724*/ GIMT_Encode4(2000770), // Rule ID 22963 //
     /* 2000686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2000694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2000703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000732 */     // MIs[0] round
     /* 2000732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000742 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2000745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000769 */     // GIR_Coverage, 22963,
     /* 2000769 */     GIR_EraseRootFromParent_Done,
     /* 2000770 */   // Label 26724: @2000770
     /* 2000770 */   GIM_Try, /*On fail goto*//*Label 26725*/ GIMT_Encode4(2000859), // Rule ID 22964 //
     /* 2000775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2000783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2000792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000821 */     // MIs[0] round
     /* 2000821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000831 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2000831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2000834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000858 */     // GIR_Coverage, 22964,
     /* 2000858 */     GIR_EraseRootFromParent_Done,
     /* 2000859 */   // Label 26725: @2000859
     /* 2000859 */   GIM_Try, /*On fail goto*//*Label 26726*/ GIMT_Encode4(2000948), // Rule ID 22967 //
     /* 2000864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2000872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2000881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2000887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000910 */     // MIs[0] round
     /* 2000910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000920 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2000920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2000923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2000946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000947 */     // GIR_Coverage, 22967,
     /* 2000947 */     GIR_EraseRootFromParent_Done,
     /* 2000948 */   // Label 26726: @2000948
     /* 2000948 */   GIM_Try, /*On fail goto*//*Label 26727*/ GIMT_Encode4(2001037), // Rule ID 22968 //
     /* 2000953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2000961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2000970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2000973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2000976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000999 */     // MIs[0] round
     /* 2000999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001009 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2001012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001036 */     // GIR_Coverage, 22968,
     /* 2001036 */     GIR_EraseRootFromParent_Done,
     /* 2001037 */   // Label 26727: @2001037
     /* 2001037 */   GIM_Try, /*On fail goto*//*Label 26728*/ GIMT_Encode4(2001126), // Rule ID 22971 //
     /* 2001042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2001045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2001050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2001059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2001065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001088 */     // MIs[0] round
     /* 2001088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001098 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2001101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001125 */     // GIR_Coverage, 22971,
     /* 2001125 */     GIR_EraseRootFromParent_Done,
     /* 2001126 */   // Label 26728: @2001126
     /* 2001126 */   GIM_Try, /*On fail goto*//*Label 26729*/ GIMT_Encode4(2001215), // Rule ID 22972 //
     /* 2001131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2001134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2001139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2001148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2001154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001177 */     // MIs[0] round
     /* 2001177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001187 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2001190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001214 */     // GIR_Coverage, 22972,
     /* 2001214 */     GIR_EraseRootFromParent_Done,
     /* 2001215 */   // Label 26729: @2001215
     /* 2001215 */   GIM_Try, /*On fail goto*//*Label 26730*/ GIMT_Encode4(2001304), // Rule ID 22975 //
     /* 2001220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2001228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2001237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001266 */     // MIs[0] round
     /* 2001266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001276 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2001279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001303 */     // GIR_Coverage, 22975,
     /* 2001303 */     GIR_EraseRootFromParent_Done,
     /* 2001304 */   // Label 26730: @2001304
     /* 2001304 */   GIM_Try, /*On fail goto*//*Label 26731*/ GIMT_Encode4(2001393), // Rule ID 22976 //
     /* 2001309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2001317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2001326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001355 */     // MIs[0] round
     /* 2001355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001365 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2001368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001392 */     // GIR_Coverage, 22976,
     /* 2001392 */     GIR_EraseRootFromParent_Done,
     /* 2001393 */   // Label 26731: @2001393
     /* 2001393 */   GIM_Try, /*On fail goto*//*Label 26732*/ GIMT_Encode4(2001482), // Rule ID 22979 //
     /* 2001398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2001401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2001406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2001415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2001421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001444 */     // MIs[0] round
     /* 2001444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001454 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2001457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001481 */     // GIR_Coverage, 22979,
     /* 2001481 */     GIR_EraseRootFromParent_Done,
     /* 2001482 */   // Label 26732: @2001482
     /* 2001482 */   GIM_Try, /*On fail goto*//*Label 26733*/ GIMT_Encode4(2001571), // Rule ID 22980 //
     /* 2001487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2001490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2001495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2001504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2001507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2001510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001533 */     // MIs[0] round
     /* 2001533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001543 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2001546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001570 */     // GIR_Coverage, 22980,
     /* 2001570 */     GIR_EraseRootFromParent_Done,
     /* 2001571 */   // Label 26733: @2001571
     /* 2001571 */   GIM_Try, /*On fail goto*//*Label 26734*/ GIMT_Encode4(2001660), // Rule ID 22983 //
     /* 2001576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2001584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2001593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001622 */     // MIs[0] round
     /* 2001622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001632 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2001635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001659 */     // GIR_Coverage, 22983,
     /* 2001659 */     GIR_EraseRootFromParent_Done,
     /* 2001660 */   // Label 26734: @2001660
     /* 2001660 */   GIM_Try, /*On fail goto*//*Label 26735*/ GIMT_Encode4(2001749), // Rule ID 22984 //
     /* 2001665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2001673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2001682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001711 */     // MIs[0] round
     /* 2001711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001721 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2001724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001748 */     // GIR_Coverage, 22984,
     /* 2001748 */     GIR_EraseRootFromParent_Done,
     /* 2001749 */   // Label 26735: @2001749
     /* 2001749 */   GIM_Try, /*On fail goto*//*Label 26736*/ GIMT_Encode4(2001838), // Rule ID 22987 //
     /* 2001754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2001762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2001771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001800 */     // MIs[0] round
     /* 2001800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001810 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2001813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001837 */     // GIR_Coverage, 22987,
     /* 2001837 */     GIR_EraseRootFromParent_Done,
     /* 2001838 */   // Label 26736: @2001838
     /* 2001838 */   GIM_Try, /*On fail goto*//*Label 26737*/ GIMT_Encode4(2001927), // Rule ID 22988 //
     /* 2001843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2001851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2001860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001889 */     // MIs[0] round
     /* 2001889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001899 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2001899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2001902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2001925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001926 */     // GIR_Coverage, 22988,
     /* 2001926 */     GIR_EraseRootFromParent_Done,
     /* 2001927 */   // Label 26737: @2001927
     /* 2001927 */   GIM_Try, /*On fail goto*//*Label 26738*/ GIMT_Encode4(2002016), // Rule ID 22991 //
     /* 2001932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2001940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2001949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2001952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2001955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001978 */     // MIs[0] round
     /* 2001978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001988 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2001988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2001991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002015 */     // GIR_Coverage, 22991,
     /* 2002015 */     GIR_EraseRootFromParent_Done,
     /* 2002016 */   // Label 26738: @2002016
     /* 2002016 */   GIM_Try, /*On fail goto*//*Label 26739*/ GIMT_Encode4(2002105), // Rule ID 22992 //
     /* 2002021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2002038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2002041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2002044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002067 */     // MIs[0] round
     /* 2002067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002077 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2002080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002104 */     // GIR_Coverage, 22992,
     /* 2002104 */     GIR_EraseRootFromParent_Done,
     /* 2002105 */   // Label 26739: @2002105
     /* 2002105 */   GIM_Try, /*On fail goto*//*Label 26740*/ GIMT_Encode4(2002194), // Rule ID 22995 //
     /* 2002110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2002127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002156 */     // MIs[0] round
     /* 2002156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002166 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2002169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002193 */     // GIR_Coverage, 22995,
     /* 2002193 */     GIR_EraseRootFromParent_Done,
     /* 2002194 */   // Label 26740: @2002194
     /* 2002194 */   GIM_Try, /*On fail goto*//*Label 26741*/ GIMT_Encode4(2002283), // Rule ID 22996 //
     /* 2002199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2002216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002245 */     // MIs[0] round
     /* 2002245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002255 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2002258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002282 */     // GIR_Coverage, 22996,
     /* 2002282 */     GIR_EraseRootFromParent_Done,
     /* 2002283 */   // Label 26741: @2002283
     /* 2002283 */   GIM_Try, /*On fail goto*//*Label 26742*/ GIMT_Encode4(2002372), // Rule ID 22999 //
     /* 2002288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2002305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002334 */     // MIs[0] round
     /* 2002334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002344 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2002347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002371 */     // GIR_Coverage, 22999,
     /* 2002371 */     GIR_EraseRootFromParent_Done,
     /* 2002372 */   // Label 26742: @2002372
     /* 2002372 */   GIM_Try, /*On fail goto*//*Label 26743*/ GIMT_Encode4(2002461), // Rule ID 23000 //
     /* 2002377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2002394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002423 */     // MIs[0] round
     /* 2002423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002433 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2002436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002460 */     // GIR_Coverage, 23000,
     /* 2002460 */     GIR_EraseRootFromParent_Done,
     /* 2002461 */   // Label 26743: @2002461
     /* 2002461 */   GIM_Try, /*On fail goto*//*Label 26744*/ GIMT_Encode4(2002550), // Rule ID 23003 //
     /* 2002466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2002483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002512 */     // MIs[0] round
     /* 2002512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002522 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2002522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2002525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002549 */     // GIR_Coverage, 23003,
     /* 2002549 */     GIR_EraseRootFromParent_Done,
     /* 2002550 */   // Label 26744: @2002550
     /* 2002550 */   GIM_Try, /*On fail goto*//*Label 26745*/ GIMT_Encode4(2002639), // Rule ID 23004 //
     /* 2002555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2002563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2002566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2002569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2002572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2002575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002601 */     // MIs[0] round
     /* 2002601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002611 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2002611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2002614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2002637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002638 */     // GIR_Coverage, 23004,
     /* 2002638 */     GIR_EraseRootFromParent_Done,
     /* 2002639 */   // Label 26745: @2002639
     /* 2002639 */   GIM_Reject,
     /* 2002640 */ // Label 19743: @2002640
     /* 2002640 */ GIM_Try, /*On fail goto*//*Label 26746*/ GIMT_Encode4(2190941),
     /* 2002645 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/9,
     /* 2002648 */   GIM_Try, /*On fail goto*//*Label 26747*/ GIMT_Encode4(2002750), // Rule ID 15839 //
     /* 2002653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2002656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2002661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2002664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2002667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2002670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2002673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2002695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2002699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2002703 */     // MIs[1] Operand 1
     /* 2002703 */     // No operand predicates
     /* 2002703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002707 */     // MIs[0] round
     /* 2002707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002710 */     // MIs[0] policy
     /* 2002710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2002715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002722 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2002725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2002734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2002746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002749 */     // GIR_Coverage, 15839,
     /* 2002749 */     GIR_EraseRootFromParent_Done,
     /* 2002750 */   // Label 26747: @2002750
     /* 2002750 */   GIM_Try, /*On fail goto*//*Label 26748*/ GIMT_Encode4(2002852), // Rule ID 15840 //
     /* 2002755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2002758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2002763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2002766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2002769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2002772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2002775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2002797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2002801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2002805 */     // MIs[1] Operand 1
     /* 2002805 */     // No operand predicates
     /* 2002805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002809 */     // MIs[0] round
     /* 2002809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002812 */     // MIs[0] policy
     /* 2002812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2002817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002824 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2002827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2002836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2002848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002851 */     // GIR_Coverage, 15840,
     /* 2002851 */     GIR_EraseRootFromParent_Done,
     /* 2002852 */   // Label 26748: @2002852
     /* 2002852 */   GIM_Try, /*On fail goto*//*Label 26749*/ GIMT_Encode4(2002954), // Rule ID 15843 //
     /* 2002857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2002860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2002865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2002868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2002871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2002874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2002877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2002899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2002903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2002907 */     // MIs[1] Operand 1
     /* 2002907 */     // No operand predicates
     /* 2002907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002911 */     // MIs[0] round
     /* 2002911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002914 */     // MIs[0] policy
     /* 2002914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2002919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002926 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2002929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2002938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2002950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002953 */     // GIR_Coverage, 15843,
     /* 2002953 */     GIR_EraseRootFromParent_Done,
     /* 2002954 */   // Label 26749: @2002954
     /* 2002954 */   GIM_Try, /*On fail goto*//*Label 26750*/ GIMT_Encode4(2003056), // Rule ID 15844 //
     /* 2002959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2002962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2002967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2002970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2002973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2002976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2002979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003009 */     // MIs[1] Operand 1
     /* 2003009 */     // No operand predicates
     /* 2003009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003013 */     // MIs[0] round
     /* 2003013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003016 */     // MIs[0] policy
     /* 2003016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003028 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2003031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2003052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003055 */     // GIR_Coverage, 15844,
     /* 2003055 */     GIR_EraseRootFromParent_Done,
     /* 2003056 */   // Label 26750: @2003056
     /* 2003056 */   GIM_Try, /*On fail goto*//*Label 26751*/ GIMT_Encode4(2003158), // Rule ID 15847 //
     /* 2003061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2003069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2003072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2003075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2003078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003111 */     // MIs[1] Operand 1
     /* 2003111 */     // No operand predicates
     /* 2003111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003115 */     // MIs[0] round
     /* 2003115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003118 */     // MIs[0] policy
     /* 2003118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003130 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2003133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2003154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003157 */     // GIR_Coverage, 15847,
     /* 2003157 */     GIR_EraseRootFromParent_Done,
     /* 2003158 */   // Label 26751: @2003158
     /* 2003158 */   GIM_Try, /*On fail goto*//*Label 26752*/ GIMT_Encode4(2003260), // Rule ID 15848 //
     /* 2003163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2003166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2003171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2003174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2003177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2003180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2003183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003213 */     // MIs[1] Operand 1
     /* 2003213 */     // No operand predicates
     /* 2003213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003217 */     // MIs[0] round
     /* 2003217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003220 */     // MIs[0] policy
     /* 2003220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003232 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2003235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2003256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003259 */     // GIR_Coverage, 15848,
     /* 2003259 */     GIR_EraseRootFromParent_Done,
     /* 2003260 */   // Label 26752: @2003260
     /* 2003260 */   GIM_Try, /*On fail goto*//*Label 26753*/ GIMT_Encode4(2003362), // Rule ID 15851 //
     /* 2003265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2003273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2003276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2003279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2003282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003315 */     // MIs[1] Operand 1
     /* 2003315 */     // No operand predicates
     /* 2003315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003319 */     // MIs[0] round
     /* 2003319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003322 */     // MIs[0] policy
     /* 2003322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003334 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2003337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003361 */     // GIR_Coverage, 15851,
     /* 2003361 */     GIR_EraseRootFromParent_Done,
     /* 2003362 */   // Label 26753: @2003362
     /* 2003362 */   GIM_Try, /*On fail goto*//*Label 26754*/ GIMT_Encode4(2003464), // Rule ID 15852 //
     /* 2003367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2003370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2003375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2003378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2003381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2003384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2003387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003417 */     // MIs[1] Operand 1
     /* 2003417 */     // No operand predicates
     /* 2003417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003421 */     // MIs[0] round
     /* 2003421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003424 */     // MIs[0] policy
     /* 2003424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003436 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2003439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003463 */     // GIR_Coverage, 15852,
     /* 2003463 */     GIR_EraseRootFromParent_Done,
     /* 2003464 */   // Label 26754: @2003464
     /* 2003464 */   GIM_Try, /*On fail goto*//*Label 26755*/ GIMT_Encode4(2003566), // Rule ID 15855 //
     /* 2003469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2003477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2003480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2003483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2003486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2003492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003519 */     // MIs[1] Operand 1
     /* 2003519 */     // No operand predicates
     /* 2003519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003523 */     // MIs[0] round
     /* 2003523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003526 */     // MIs[0] policy
     /* 2003526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003538 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2003541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003565 */     // GIR_Coverage, 15855,
     /* 2003565 */     GIR_EraseRootFromParent_Done,
     /* 2003566 */   // Label 26755: @2003566
     /* 2003566 */   GIM_Try, /*On fail goto*//*Label 26756*/ GIMT_Encode4(2003668), // Rule ID 15856 //
     /* 2003571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2003574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2003579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2003582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2003585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2003588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2003591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2003594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003621 */     // MIs[1] Operand 1
     /* 2003621 */     // No operand predicates
     /* 2003621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003625 */     // MIs[0] round
     /* 2003625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003628 */     // MIs[0] policy
     /* 2003628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003640 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2003643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003667 */     // GIR_Coverage, 15856,
     /* 2003667 */     GIR_EraseRootFromParent_Done,
     /* 2003668 */   // Label 26756: @2003668
     /* 2003668 */   GIM_Try, /*On fail goto*//*Label 26757*/ GIMT_Encode4(2003770), // Rule ID 15859 //
     /* 2003673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2003681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2003684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2003687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2003690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003723 */     // MIs[1] Operand 1
     /* 2003723 */     // No operand predicates
     /* 2003723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003727 */     // MIs[0] round
     /* 2003727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003730 */     // MIs[0] policy
     /* 2003730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003742 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2003745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003769 */     // GIR_Coverage, 15859,
     /* 2003769 */     GIR_EraseRootFromParent_Done,
     /* 2003770 */   // Label 26757: @2003770
     /* 2003770 */   GIM_Try, /*On fail goto*//*Label 26758*/ GIMT_Encode4(2003872), // Rule ID 15860 //
     /* 2003775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2003778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2003783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2003786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2003789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2003792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2003795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003825 */     // MIs[1] Operand 1
     /* 2003825 */     // No operand predicates
     /* 2003825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003829 */     // MIs[0] round
     /* 2003829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003832 */     // MIs[0] policy
     /* 2003832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003844 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2003847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003871 */     // GIR_Coverage, 15860,
     /* 2003871 */     GIR_EraseRootFromParent_Done,
     /* 2003872 */   // Label 26758: @2003872
     /* 2003872 */   GIM_Try, /*On fail goto*//*Label 26759*/ GIMT_Encode4(2003974), // Rule ID 15863 //
     /* 2003877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2003885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2003888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2003891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2003894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003927 */     // MIs[1] Operand 1
     /* 2003927 */     // No operand predicates
     /* 2003927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003931 */     // MIs[0] round
     /* 2003931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003934 */     // MIs[0] policy
     /* 2003934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003946 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2003949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2003970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003973 */     // GIR_Coverage, 15863,
     /* 2003973 */     GIR_EraseRootFromParent_Done,
     /* 2003974 */   // Label 26759: @2003974
     /* 2003974 */   GIM_Try, /*On fail goto*//*Label 26760*/ GIMT_Encode4(2004076), // Rule ID 15864 //
     /* 2003979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2003982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2003987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2003990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2003993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2003996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2003999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2004002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004029 */     // MIs[1] Operand 1
     /* 2004029 */     // No operand predicates
     /* 2004029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004033 */     // MIs[0] round
     /* 2004033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004036 */     // MIs[0] policy
     /* 2004036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004048 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2004051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004075 */     // GIR_Coverage, 15864,
     /* 2004075 */     GIR_EraseRootFromParent_Done,
     /* 2004076 */   // Label 26760: @2004076
     /* 2004076 */   GIM_Try, /*On fail goto*//*Label 26761*/ GIMT_Encode4(2004178), // Rule ID 15867 //
     /* 2004081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2004092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2004095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2004098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004131 */     // MIs[1] Operand 1
     /* 2004131 */     // No operand predicates
     /* 2004131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004135 */     // MIs[0] round
     /* 2004135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004138 */     // MIs[0] policy
     /* 2004138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004150 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2004153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004177 */     // GIR_Coverage, 15867,
     /* 2004177 */     GIR_EraseRootFromParent_Done,
     /* 2004178 */   // Label 26761: @2004178
     /* 2004178 */   GIM_Try, /*On fail goto*//*Label 26762*/ GIMT_Encode4(2004280), // Rule ID 15868 //
     /* 2004183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2004194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2004197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2004200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004233 */     // MIs[1] Operand 1
     /* 2004233 */     // No operand predicates
     /* 2004233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004237 */     // MIs[0] round
     /* 2004237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004240 */     // MIs[0] policy
     /* 2004240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2004255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004279 */     // GIR_Coverage, 15868,
     /* 2004279 */     GIR_EraseRootFromParent_Done,
     /* 2004280 */   // Label 26762: @2004280
     /* 2004280 */   GIM_Try, /*On fail goto*//*Label 26763*/ GIMT_Encode4(2004382), // Rule ID 15871 //
     /* 2004285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2004296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2004299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2004302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004335 */     // MIs[1] Operand 1
     /* 2004335 */     // No operand predicates
     /* 2004335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004339 */     // MIs[0] round
     /* 2004339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004342 */     // MIs[0] policy
     /* 2004342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004354 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2004357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004381 */     // GIR_Coverage, 15871,
     /* 2004381 */     GIR_EraseRootFromParent_Done,
     /* 2004382 */   // Label 26763: @2004382
     /* 2004382 */   GIM_Try, /*On fail goto*//*Label 26764*/ GIMT_Encode4(2004484), // Rule ID 15872 //
     /* 2004387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2004398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2004401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2004404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004437 */     // MIs[1] Operand 1
     /* 2004437 */     // No operand predicates
     /* 2004437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004441 */     // MIs[0] round
     /* 2004441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004444 */     // MIs[0] policy
     /* 2004444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004456 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2004459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004483 */     // GIR_Coverage, 15872,
     /* 2004483 */     GIR_EraseRootFromParent_Done,
     /* 2004484 */   // Label 26764: @2004484
     /* 2004484 */   GIM_Try, /*On fail goto*//*Label 26765*/ GIMT_Encode4(2004586), // Rule ID 15875 //
     /* 2004489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2004492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2004506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004539 */     // MIs[1] Operand 1
     /* 2004539 */     // No operand predicates
     /* 2004539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004543 */     // MIs[0] round
     /* 2004543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004546 */     // MIs[0] policy
     /* 2004546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004558 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2004561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004585 */     // GIR_Coverage, 15875,
     /* 2004585 */     GIR_EraseRootFromParent_Done,
     /* 2004586 */   // Label 26765: @2004586
     /* 2004586 */   GIM_Try, /*On fail goto*//*Label 26766*/ GIMT_Encode4(2004688), // Rule ID 15876 //
     /* 2004591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2004594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2004608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004641 */     // MIs[1] Operand 1
     /* 2004641 */     // No operand predicates
     /* 2004641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004645 */     // MIs[0] round
     /* 2004645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004648 */     // MIs[0] policy
     /* 2004648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004660 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2004663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004687 */     // GIR_Coverage, 15876,
     /* 2004687 */     GIR_EraseRootFromParent_Done,
     /* 2004688 */   // Label 26766: @2004688
     /* 2004688 */   GIM_Try, /*On fail goto*//*Label 26767*/ GIMT_Encode4(2004790), // Rule ID 15879 //
     /* 2004693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2004704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2004707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2004710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2004716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2004723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004743 */     // MIs[1] Operand 1
     /* 2004743 */     // No operand predicates
     /* 2004743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004747 */     // MIs[0] round
     /* 2004747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004750 */     // MIs[0] policy
     /* 2004750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004762 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2004765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004789 */     // GIR_Coverage, 15879,
     /* 2004789 */     GIR_EraseRootFromParent_Done,
     /* 2004790 */   // Label 26767: @2004790
     /* 2004790 */   GIM_Try, /*On fail goto*//*Label 26768*/ GIMT_Encode4(2004892), // Rule ID 15880 //
     /* 2004795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2004806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2004809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2004812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2004818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2004825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004845 */     // MIs[1] Operand 1
     /* 2004845 */     // No operand predicates
     /* 2004845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004849 */     // MIs[0] round
     /* 2004849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004852 */     // MIs[0] policy
     /* 2004852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004864 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2004867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004891 */     // GIR_Coverage, 15880,
     /* 2004891 */     GIR_EraseRootFromParent_Done,
     /* 2004892 */   // Label 26768: @2004892
     /* 2004892 */   GIM_Try, /*On fail goto*//*Label 26769*/ GIMT_Encode4(2004994), // Rule ID 15883 //
     /* 2004897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2004905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2004908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2004911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2004914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2004920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2004927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004947 */     // MIs[1] Operand 1
     /* 2004947 */     // No operand predicates
     /* 2004947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004951 */     // MIs[0] round
     /* 2004951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004954 */     // MIs[0] policy
     /* 2004954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004966 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2004969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004993 */     // GIR_Coverage, 15883,
     /* 2004993 */     GIR_EraseRootFromParent_Done,
     /* 2004994 */   // Label 26769: @2004994
     /* 2004994 */   GIM_Try, /*On fail goto*//*Label 26770*/ GIMT_Encode4(2005096), // Rule ID 15884 //
     /* 2004999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2005010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2005013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2005016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2005022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2005029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005049 */     // MIs[1] Operand 1
     /* 2005049 */     // No operand predicates
     /* 2005049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005053 */     // MIs[0] round
     /* 2005053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005056 */     // MIs[0] policy
     /* 2005056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005068 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2005071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2005092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005095 */     // GIR_Coverage, 15884,
     /* 2005095 */     GIR_EraseRootFromParent_Done,
     /* 2005096 */   // Label 26770: @2005096
     /* 2005096 */   GIM_Try, /*On fail goto*//*Label 26771*/ GIMT_Encode4(2005198), // Rule ID 15887 //
     /* 2005101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2005112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2005115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2005118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2005124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2005131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005151 */     // MIs[1] Operand 1
     /* 2005151 */     // No operand predicates
     /* 2005151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005155 */     // MIs[0] round
     /* 2005155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005158 */     // MIs[0] policy
     /* 2005158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005170 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2005173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2005194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005197 */     // GIR_Coverage, 15887,
     /* 2005197 */     GIR_EraseRootFromParent_Done,
     /* 2005198 */   // Label 26771: @2005198
     /* 2005198 */   GIM_Try, /*On fail goto*//*Label 26772*/ GIMT_Encode4(2005300), // Rule ID 15888 //
     /* 2005203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2005214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2005217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2005220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2005226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2005233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005253 */     // MIs[1] Operand 1
     /* 2005253 */     // No operand predicates
     /* 2005253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005257 */     // MIs[0] round
     /* 2005257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005260 */     // MIs[0] policy
     /* 2005260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005272 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2005275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2005296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005299 */     // GIR_Coverage, 15888,
     /* 2005299 */     GIR_EraseRootFromParent_Done,
     /* 2005300 */   // Label 26772: @2005300
     /* 2005300 */   GIM_Try, /*On fail goto*//*Label 26773*/ GIMT_Encode4(2005402), // Rule ID 15891 //
     /* 2005305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2005316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2005319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2005322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005355 */     // MIs[1] Operand 1
     /* 2005355 */     // No operand predicates
     /* 2005355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005359 */     // MIs[0] round
     /* 2005359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005362 */     // MIs[0] policy
     /* 2005362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005374 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2005377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005401 */     // GIR_Coverage, 15891,
     /* 2005401 */     GIR_EraseRootFromParent_Done,
     /* 2005402 */   // Label 26773: @2005402
     /* 2005402 */   GIM_Try, /*On fail goto*//*Label 26774*/ GIMT_Encode4(2005504), // Rule ID 15892 //
     /* 2005407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2005418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2005421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2005424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005457 */     // MIs[1] Operand 1
     /* 2005457 */     // No operand predicates
     /* 2005457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005461 */     // MIs[0] round
     /* 2005461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005464 */     // MIs[0] policy
     /* 2005464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005476 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2005479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005503 */     // GIR_Coverage, 15892,
     /* 2005503 */     GIR_EraseRootFromParent_Done,
     /* 2005504 */   // Label 26774: @2005504
     /* 2005504 */   GIM_Try, /*On fail goto*//*Label 26775*/ GIMT_Encode4(2005606), // Rule ID 15895 //
     /* 2005509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2005520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2005523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2005526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2005532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2005539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005559 */     // MIs[1] Operand 1
     /* 2005559 */     // No operand predicates
     /* 2005559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005563 */     // MIs[0] round
     /* 2005563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005566 */     // MIs[0] policy
     /* 2005566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005578 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2005581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005605 */     // GIR_Coverage, 15895,
     /* 2005605 */     GIR_EraseRootFromParent_Done,
     /* 2005606 */   // Label 26775: @2005606
     /* 2005606 */   GIM_Try, /*On fail goto*//*Label 26776*/ GIMT_Encode4(2005708), // Rule ID 15896 //
     /* 2005611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2005622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2005625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2005628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2005634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2005641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005661 */     // MIs[1] Operand 1
     /* 2005661 */     // No operand predicates
     /* 2005661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005665 */     // MIs[0] round
     /* 2005665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005668 */     // MIs[0] policy
     /* 2005668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005680 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2005683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005707 */     // GIR_Coverage, 15896,
     /* 2005707 */     GIR_EraseRootFromParent_Done,
     /* 2005708 */   // Label 26776: @2005708
     /* 2005708 */   GIM_Try, /*On fail goto*//*Label 26777*/ GIMT_Encode4(2005810), // Rule ID 15899 //
     /* 2005713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2005724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2005727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2005730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2005736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2005743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005763 */     // MIs[1] Operand 1
     /* 2005763 */     // No operand predicates
     /* 2005763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005767 */     // MIs[0] round
     /* 2005767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005770 */     // MIs[0] policy
     /* 2005770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005782 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2005785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005809 */     // GIR_Coverage, 15899,
     /* 2005809 */     GIR_EraseRootFromParent_Done,
     /* 2005810 */   // Label 26777: @2005810
     /* 2005810 */   GIM_Try, /*On fail goto*//*Label 26778*/ GIMT_Encode4(2005912), // Rule ID 15900 //
     /* 2005815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2005826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2005829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2005832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2005838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2005845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005865 */     // MIs[1] Operand 1
     /* 2005865 */     // No operand predicates
     /* 2005865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005869 */     // MIs[0] round
     /* 2005869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005872 */     // MIs[0] policy
     /* 2005872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005884 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2005887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005911 */     // GIR_Coverage, 15900,
     /* 2005911 */     GIR_EraseRootFromParent_Done,
     /* 2005912 */   // Label 26778: @2005912
     /* 2005912 */   GIM_Try, /*On fail goto*//*Label 26779*/ GIMT_Encode4(2006014), // Rule ID 15903 //
     /* 2005917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2005925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2005928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2005931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2005934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005967 */     // MIs[1] Operand 1
     /* 2005967 */     // No operand predicates
     /* 2005967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005971 */     // MIs[0] round
     /* 2005971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005974 */     // MIs[0] policy
     /* 2005974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005986 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2005989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006013 */     // GIR_Coverage, 15903,
     /* 2006013 */     GIR_EraseRootFromParent_Done,
     /* 2006014 */   // Label 26779: @2006014
     /* 2006014 */   GIM_Try, /*On fail goto*//*Label 26780*/ GIMT_Encode4(2006116), // Rule ID 15904 //
     /* 2006019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2006030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2006033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2006036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2006042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006069 */     // MIs[1] Operand 1
     /* 2006069 */     // No operand predicates
     /* 2006069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006073 */     // MIs[0] round
     /* 2006073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006076 */     // MIs[0] policy
     /* 2006076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006088 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2006091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006115 */     // GIR_Coverage, 15904,
     /* 2006115 */     GIR_EraseRootFromParent_Done,
     /* 2006116 */   // Label 26780: @2006116
     /* 2006116 */   GIM_Try, /*On fail goto*//*Label 26781*/ GIMT_Encode4(2006218), // Rule ID 15907 //
     /* 2006121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2006132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2006135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2006138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006171 */     // MIs[1] Operand 1
     /* 2006171 */     // No operand predicates
     /* 2006171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006175 */     // MIs[0] round
     /* 2006175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006178 */     // MIs[0] policy
     /* 2006178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006190 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2006193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006217 */     // GIR_Coverage, 15907,
     /* 2006217 */     GIR_EraseRootFromParent_Done,
     /* 2006218 */   // Label 26781: @2006218
     /* 2006218 */   GIM_Try, /*On fail goto*//*Label 26782*/ GIMT_Encode4(2006320), // Rule ID 15908 //
     /* 2006223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2006234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2006237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2006240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006273 */     // MIs[1] Operand 1
     /* 2006273 */     // No operand predicates
     /* 2006273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006277 */     // MIs[0] round
     /* 2006277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006280 */     // MIs[0] policy
     /* 2006280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006292 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2006295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006306 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006316 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006319 */     // GIR_Coverage, 15908,
     /* 2006319 */     GIR_EraseRootFromParent_Done,
     /* 2006320 */   // Label 26782: @2006320
     /* 2006320 */   GIM_Try, /*On fail goto*//*Label 26783*/ GIMT_Encode4(2006422), // Rule ID 15911 //
     /* 2006325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2006336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2006339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2006342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006375 */     // MIs[1] Operand 1
     /* 2006375 */     // No operand predicates
     /* 2006375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006379 */     // MIs[0] round
     /* 2006379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006382 */     // MIs[0] policy
     /* 2006382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006394 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2006397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006421 */     // GIR_Coverage, 15911,
     /* 2006421 */     GIR_EraseRootFromParent_Done,
     /* 2006422 */   // Label 26783: @2006422
     /* 2006422 */   GIM_Try, /*On fail goto*//*Label 26784*/ GIMT_Encode4(2006524), // Rule ID 15912 //
     /* 2006427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2006438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2006441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2006444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006477 */     // MIs[1] Operand 1
     /* 2006477 */     // No operand predicates
     /* 2006477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006481 */     // MIs[0] round
     /* 2006481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006484 */     // MIs[0] policy
     /* 2006484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006496 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2006499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006523 */     // GIR_Coverage, 15912,
     /* 2006523 */     GIR_EraseRootFromParent_Done,
     /* 2006524 */   // Label 26784: @2006524
     /* 2006524 */   GIM_Try, /*On fail goto*//*Label 26785*/ GIMT_Encode4(2006626), // Rule ID 15915 //
     /* 2006529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2006532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2006540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2006543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2006546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2006552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006579 */     // MIs[1] Operand 1
     /* 2006579 */     // No operand predicates
     /* 2006579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006583 */     // MIs[0] round
     /* 2006583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006586 */     // MIs[0] policy
     /* 2006586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006598 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2006601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006625 */     // GIR_Coverage, 15915,
     /* 2006625 */     GIR_EraseRootFromParent_Done,
     /* 2006626 */   // Label 26785: @2006626
     /* 2006626 */   GIM_Try, /*On fail goto*//*Label 26786*/ GIMT_Encode4(2006728), // Rule ID 15916 //
     /* 2006631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2006634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2006642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2006645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2006648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2006654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006681 */     // MIs[1] Operand 1
     /* 2006681 */     // No operand predicates
     /* 2006681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006685 */     // MIs[0] round
     /* 2006685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006688 */     // MIs[0] policy
     /* 2006688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006700 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2006703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006727 */     // GIR_Coverage, 15916,
     /* 2006727 */     GIR_EraseRootFromParent_Done,
     /* 2006728 */   // Label 26786: @2006728
     /* 2006728 */   GIM_Try, /*On fail goto*//*Label 26787*/ GIMT_Encode4(2006830), // Rule ID 15919 //
     /* 2006733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2006736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2006744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2006747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2006750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2006756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006783 */     // MIs[1] Operand 1
     /* 2006783 */     // No operand predicates
     /* 2006783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006787 */     // MIs[0] round
     /* 2006787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006790 */     // MIs[0] policy
     /* 2006790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006802 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2006805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006829 */     // GIR_Coverage, 15919,
     /* 2006829 */     GIR_EraseRootFromParent_Done,
     /* 2006830 */   // Label 26787: @2006830
     /* 2006830 */   GIM_Try, /*On fail goto*//*Label 26788*/ GIMT_Encode4(2006932), // Rule ID 15920 //
     /* 2006835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2006838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2006846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2006849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2006852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2006858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006885 */     // MIs[1] Operand 1
     /* 2006885 */     // No operand predicates
     /* 2006885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006889 */     // MIs[0] round
     /* 2006889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006892 */     // MIs[0] policy
     /* 2006892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006904 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2006907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006931 */     // GIR_Coverage, 15920,
     /* 2006931 */     GIR_EraseRootFromParent_Done,
     /* 2006932 */   // Label 26788: @2006932
     /* 2006932 */   GIM_Try, /*On fail goto*//*Label 26789*/ GIMT_Encode4(2007034), // Rule ID 15923 //
     /* 2006937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2006940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2006945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2006948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2006951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2006954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006987 */     // MIs[1] Operand 1
     /* 2006987 */     // No operand predicates
     /* 2006987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006991 */     // MIs[0] round
     /* 2006991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006994 */     // MIs[0] policy
     /* 2006994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007006 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2007009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2007030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007033 */     // GIR_Coverage, 15923,
     /* 2007033 */     GIR_EraseRootFromParent_Done,
     /* 2007034 */   // Label 26789: @2007034
     /* 2007034 */   GIM_Try, /*On fail goto*//*Label 26790*/ GIMT_Encode4(2007136), // Rule ID 15924 //
     /* 2007039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2007042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2007047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2007050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2007053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2007056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007089 */     // MIs[1] Operand 1
     /* 2007089 */     // No operand predicates
     /* 2007089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007093 */     // MIs[0] round
     /* 2007093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007096 */     // MIs[0] policy
     /* 2007096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007108 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2007111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2007132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007135 */     // GIR_Coverage, 15924,
     /* 2007135 */     GIR_EraseRootFromParent_Done,
     /* 2007136 */   // Label 26790: @2007136
     /* 2007136 */   GIM_Try, /*On fail goto*//*Label 26791*/ GIMT_Encode4(2007238), // Rule ID 16103 //
     /* 2007141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2007149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2007152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2007155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2007158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2007164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007191 */     // MIs[1] Operand 1
     /* 2007191 */     // No operand predicates
     /* 2007191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007195 */     // MIs[0] round
     /* 2007195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007198 */     // MIs[0] policy
     /* 2007198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007210 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2007213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2007234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007237 */     // GIR_Coverage, 16103,
     /* 2007237 */     GIR_EraseRootFromParent_Done,
     /* 2007238 */   // Label 26791: @2007238
     /* 2007238 */   GIM_Try, /*On fail goto*//*Label 26792*/ GIMT_Encode4(2007340), // Rule ID 16104 //
     /* 2007243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2007251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2007254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2007257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2007260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2007266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007293 */     // MIs[1] Operand 1
     /* 2007293 */     // No operand predicates
     /* 2007293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007297 */     // MIs[0] round
     /* 2007297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007300 */     // MIs[0] policy
     /* 2007300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007312 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2007315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2007336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007339 */     // GIR_Coverage, 16104,
     /* 2007339 */     GIR_EraseRootFromParent_Done,
     /* 2007340 */   // Label 26792: @2007340
     /* 2007340 */   GIM_Try, /*On fail goto*//*Label 26793*/ GIMT_Encode4(2007442), // Rule ID 16107 //
     /* 2007345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2007353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2007356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2007359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2007362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007395 */     // MIs[1] Operand 1
     /* 2007395 */     // No operand predicates
     /* 2007395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007399 */     // MIs[0] round
     /* 2007399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007402 */     // MIs[0] policy
     /* 2007402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007414 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2007417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2007438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007441 */     // GIR_Coverage, 16107,
     /* 2007441 */     GIR_EraseRootFromParent_Done,
     /* 2007442 */   // Label 26793: @2007442
     /* 2007442 */   GIM_Try, /*On fail goto*//*Label 26794*/ GIMT_Encode4(2007544), // Rule ID 16108 //
     /* 2007447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2007455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2007458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2007461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2007464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007497 */     // MIs[1] Operand 1
     /* 2007497 */     // No operand predicates
     /* 2007497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007501 */     // MIs[0] round
     /* 2007501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007504 */     // MIs[0] policy
     /* 2007504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007516 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2007519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2007540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007543 */     // GIR_Coverage, 16108,
     /* 2007543 */     GIR_EraseRootFromParent_Done,
     /* 2007544 */   // Label 26794: @2007544
     /* 2007544 */   GIM_Try, /*On fail goto*//*Label 26795*/ GIMT_Encode4(2007646), // Rule ID 16111 //
     /* 2007549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2007557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2007560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2007563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2007566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007599 */     // MIs[1] Operand 1
     /* 2007599 */     // No operand predicates
     /* 2007599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007603 */     // MIs[0] round
     /* 2007603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007606 */     // MIs[0] policy
     /* 2007606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007618 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2007621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2007642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007645 */     // GIR_Coverage, 16111,
     /* 2007645 */     GIR_EraseRootFromParent_Done,
     /* 2007646 */   // Label 26795: @2007646
     /* 2007646 */   GIM_Try, /*On fail goto*//*Label 26796*/ GIMT_Encode4(2007748), // Rule ID 16112 //
     /* 2007651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2007659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2007662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2007665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2007668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007701 */     // MIs[1] Operand 1
     /* 2007701 */     // No operand predicates
     /* 2007701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007705 */     // MIs[0] round
     /* 2007705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007708 */     // MIs[0] policy
     /* 2007708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007720 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2007723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2007744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007747 */     // GIR_Coverage, 16112,
     /* 2007747 */     GIR_EraseRootFromParent_Done,
     /* 2007748 */   // Label 26796: @2007748
     /* 2007748 */   GIM_Try, /*On fail goto*//*Label 26797*/ GIMT_Encode4(2007850), // Rule ID 16115 //
     /* 2007753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2007761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2007764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2007767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2007770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2007776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007803 */     // MIs[1] Operand 1
     /* 2007803 */     // No operand predicates
     /* 2007803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007807 */     // MIs[0] round
     /* 2007807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007810 */     // MIs[0] policy
     /* 2007810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2007825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007849 */     // GIR_Coverage, 16115,
     /* 2007849 */     GIR_EraseRootFromParent_Done,
     /* 2007850 */   // Label 26797: @2007850
     /* 2007850 */   GIM_Try, /*On fail goto*//*Label 26798*/ GIMT_Encode4(2007952), // Rule ID 16116 //
     /* 2007855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2007863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2007866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2007869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2007872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2007878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007905 */     // MIs[1] Operand 1
     /* 2007905 */     // No operand predicates
     /* 2007905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007909 */     // MIs[0] round
     /* 2007909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007912 */     // MIs[0] policy
     /* 2007912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007924 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2007927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2007948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007951 */     // GIR_Coverage, 16116,
     /* 2007951 */     GIR_EraseRootFromParent_Done,
     /* 2007952 */   // Label 26798: @2007952
     /* 2007952 */   GIM_Try, /*On fail goto*//*Label 26799*/ GIMT_Encode4(2008054), // Rule ID 16119 //
     /* 2007957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2007965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2007968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2007971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2007974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008007 */     // MIs[1] Operand 1
     /* 2008007 */     // No operand predicates
     /* 2008007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008011 */     // MIs[0] round
     /* 2008011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008014 */     // MIs[0] policy
     /* 2008014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008026 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2008029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008053 */     // GIR_Coverage, 16119,
     /* 2008053 */     GIR_EraseRootFromParent_Done,
     /* 2008054 */   // Label 26799: @2008054
     /* 2008054 */   GIM_Try, /*On fail goto*//*Label 26800*/ GIMT_Encode4(2008156), // Rule ID 16120 //
     /* 2008059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2008070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2008073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2008076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008109 */     // MIs[1] Operand 1
     /* 2008109 */     // No operand predicates
     /* 2008109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008113 */     // MIs[0] round
     /* 2008113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008116 */     // MIs[0] policy
     /* 2008116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008128 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2008131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008155 */     // GIR_Coverage, 16120,
     /* 2008155 */     GIR_EraseRootFromParent_Done,
     /* 2008156 */   // Label 26800: @2008156
     /* 2008156 */   GIM_Try, /*On fail goto*//*Label 26801*/ GIMT_Encode4(2008258), // Rule ID 16123 //
     /* 2008161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2008172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2008175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2008178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008211 */     // MIs[1] Operand 1
     /* 2008211 */     // No operand predicates
     /* 2008211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008215 */     // MIs[0] round
     /* 2008215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008218 */     // MIs[0] policy
     /* 2008218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008230 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2008233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008257 */     // GIR_Coverage, 16123,
     /* 2008257 */     GIR_EraseRootFromParent_Done,
     /* 2008258 */   // Label 26801: @2008258
     /* 2008258 */   GIM_Try, /*On fail goto*//*Label 26802*/ GIMT_Encode4(2008360), // Rule ID 16124 //
     /* 2008263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2008274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2008277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2008280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008313 */     // MIs[1] Operand 1
     /* 2008313 */     // No operand predicates
     /* 2008313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008317 */     // MIs[0] round
     /* 2008317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008320 */     // MIs[0] policy
     /* 2008320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008332 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2008335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008359 */     // GIR_Coverage, 16124,
     /* 2008359 */     GIR_EraseRootFromParent_Done,
     /* 2008360 */   // Label 26802: @2008360
     /* 2008360 */   GIM_Try, /*On fail goto*//*Label 26803*/ GIMT_Encode4(2008462), // Rule ID 16127 //
     /* 2008365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2008376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2008379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2008382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008415 */     // MIs[1] Operand 1
     /* 2008415 */     // No operand predicates
     /* 2008415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008419 */     // MIs[0] round
     /* 2008419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008422 */     // MIs[0] policy
     /* 2008422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008434 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2008437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008461 */     // GIR_Coverage, 16127,
     /* 2008461 */     GIR_EraseRootFromParent_Done,
     /* 2008462 */   // Label 26803: @2008462
     /* 2008462 */   GIM_Try, /*On fail goto*//*Label 26804*/ GIMT_Encode4(2008564), // Rule ID 16128 //
     /* 2008467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2008478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2008481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2008484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008517 */     // MIs[1] Operand 1
     /* 2008517 */     // No operand predicates
     /* 2008517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008521 */     // MIs[0] round
     /* 2008521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008524 */     // MIs[0] policy
     /* 2008524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008536 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2008539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008563 */     // GIR_Coverage, 16128,
     /* 2008563 */     GIR_EraseRootFromParent_Done,
     /* 2008564 */   // Label 26804: @2008564
     /* 2008564 */   GIM_Try, /*On fail goto*//*Label 26805*/ GIMT_Encode4(2008666), // Rule ID 16131 //
     /* 2008569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2008580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2008583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2008586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008619 */     // MIs[1] Operand 1
     /* 2008619 */     // No operand predicates
     /* 2008619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008623 */     // MIs[0] round
     /* 2008623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008626 */     // MIs[0] policy
     /* 2008626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008638 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2008641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008665 */     // GIR_Coverage, 16131,
     /* 2008665 */     GIR_EraseRootFromParent_Done,
     /* 2008666 */   // Label 26805: @2008666
     /* 2008666 */   GIM_Try, /*On fail goto*//*Label 26806*/ GIMT_Encode4(2008768), // Rule ID 16132 //
     /* 2008671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2008682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2008685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2008688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008721 */     // MIs[1] Operand 1
     /* 2008721 */     // No operand predicates
     /* 2008721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008725 */     // MIs[0] round
     /* 2008725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008728 */     // MIs[0] policy
     /* 2008728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008740 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2008743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008767 */     // GIR_Coverage, 16132,
     /* 2008767 */     GIR_EraseRootFromParent_Done,
     /* 2008768 */   // Label 26806: @2008768
     /* 2008768 */   GIM_Try, /*On fail goto*//*Label 26807*/ GIMT_Encode4(2008870), // Rule ID 16135 //
     /* 2008773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2008784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2008787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2008790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008823 */     // MIs[1] Operand 1
     /* 2008823 */     // No operand predicates
     /* 2008823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008827 */     // MIs[0] round
     /* 2008827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008830 */     // MIs[0] policy
     /* 2008830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2008845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008856 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008866 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008869 */     // GIR_Coverage, 16135,
     /* 2008869 */     GIR_EraseRootFromParent_Done,
     /* 2008870 */   // Label 26807: @2008870
     /* 2008870 */   GIM_Try, /*On fail goto*//*Label 26808*/ GIMT_Encode4(2008972), // Rule ID 16136 //
     /* 2008875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2008886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2008889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2008892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008925 */     // MIs[1] Operand 1
     /* 2008925 */     // No operand predicates
     /* 2008925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008929 */     // MIs[0] round
     /* 2008929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008932 */     // MIs[0] policy
     /* 2008932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008944 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2008947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008971 */     // GIR_Coverage, 16136,
     /* 2008971 */     GIR_EraseRootFromParent_Done,
     /* 2008972 */   // Label 26808: @2008972
     /* 2008972 */   GIM_Try, /*On fail goto*//*Label 26809*/ GIMT_Encode4(2009074), // Rule ID 16139 //
     /* 2008977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2008980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2008985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2008994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009027 */     // MIs[1] Operand 1
     /* 2009027 */     // No operand predicates
     /* 2009027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009031 */     // MIs[0] round
     /* 2009031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009034 */     // MIs[0] policy
     /* 2009034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009046 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2009049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2009070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009073 */     // GIR_Coverage, 16139,
     /* 2009073 */     GIR_EraseRootFromParent_Done,
     /* 2009074 */   // Label 26809: @2009074
     /* 2009074 */   GIM_Try, /*On fail goto*//*Label 26810*/ GIMT_Encode4(2009176), // Rule ID 16140 //
     /* 2009079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2009082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2009090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2009093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2009096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009129 */     // MIs[1] Operand 1
     /* 2009129 */     // No operand predicates
     /* 2009129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009133 */     // MIs[0] round
     /* 2009133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009136 */     // MIs[0] policy
     /* 2009136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009148 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2009151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2009172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009175 */     // GIR_Coverage, 16140,
     /* 2009175 */     GIR_EraseRootFromParent_Done,
     /* 2009176 */   // Label 26810: @2009176
     /* 2009176 */   GIM_Try, /*On fail goto*//*Label 26811*/ GIMT_Encode4(2009278), // Rule ID 16143 //
     /* 2009181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2009192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2009195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2009198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2009204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2009211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009231 */     // MIs[1] Operand 1
     /* 2009231 */     // No operand predicates
     /* 2009231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009235 */     // MIs[0] round
     /* 2009235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009238 */     // MIs[0] policy
     /* 2009238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009250 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2009253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009277 */     // GIR_Coverage, 16143,
     /* 2009277 */     GIR_EraseRootFromParent_Done,
     /* 2009278 */   // Label 26811: @2009278
     /* 2009278 */   GIM_Try, /*On fail goto*//*Label 26812*/ GIMT_Encode4(2009380), // Rule ID 16144 //
     /* 2009283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2009294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2009297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2009300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2009306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2009313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009333 */     // MIs[1] Operand 1
     /* 2009333 */     // No operand predicates
     /* 2009333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009337 */     // MIs[0] round
     /* 2009337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009340 */     // MIs[0] policy
     /* 2009340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009352 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2009355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009379 */     // GIR_Coverage, 16144,
     /* 2009379 */     GIR_EraseRootFromParent_Done,
     /* 2009380 */   // Label 26812: @2009380
     /* 2009380 */   GIM_Try, /*On fail goto*//*Label 26813*/ GIMT_Encode4(2009482), // Rule ID 16147 //
     /* 2009385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2009396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2009399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2009402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2009408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2009415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009435 */     // MIs[1] Operand 1
     /* 2009435 */     // No operand predicates
     /* 2009435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009439 */     // MIs[0] round
     /* 2009439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009442 */     // MIs[0] policy
     /* 2009442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009454 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2009457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009481 */     // GIR_Coverage, 16147,
     /* 2009481 */     GIR_EraseRootFromParent_Done,
     /* 2009482 */   // Label 26813: @2009482
     /* 2009482 */   GIM_Try, /*On fail goto*//*Label 26814*/ GIMT_Encode4(2009584), // Rule ID 16148 //
     /* 2009487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2009498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2009501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2009504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2009510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2009517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009537 */     // MIs[1] Operand 1
     /* 2009537 */     // No operand predicates
     /* 2009537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009541 */     // MIs[0] round
     /* 2009541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009544 */     // MIs[0] policy
     /* 2009544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009556 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2009559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009583 */     // GIR_Coverage, 16148,
     /* 2009583 */     GIR_EraseRootFromParent_Done,
     /* 2009584 */   // Label 26814: @2009584
     /* 2009584 */   GIM_Try, /*On fail goto*//*Label 26815*/ GIMT_Encode4(2009686), // Rule ID 16151 //
     /* 2009589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2009600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2009603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2009606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2009612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2009619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2009623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2009627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009639 */     // MIs[1] Operand 1
     /* 2009639 */     // No operand predicates
     /* 2009639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009643 */     // MIs[0] round
     /* 2009643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009646 */     // MIs[0] policy
     /* 2009646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009658 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2009661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009685 */     // GIR_Coverage, 16151,
     /* 2009685 */     GIR_EraseRootFromParent_Done,
     /* 2009686 */   // Label 26815: @2009686
     /* 2009686 */   GIM_Try, /*On fail goto*//*Label 26816*/ GIMT_Encode4(2009788), // Rule ID 16152 //
     /* 2009691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2009702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2009705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2009708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2009714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2009721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2009725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2009729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009741 */     // MIs[1] Operand 1
     /* 2009741 */     // No operand predicates
     /* 2009741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009745 */     // MIs[0] round
     /* 2009745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009748 */     // MIs[0] policy
     /* 2009748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009760 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2009763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009787 */     // GIR_Coverage, 16152,
     /* 2009787 */     GIR_EraseRootFromParent_Done,
     /* 2009788 */   // Label 26816: @2009788
     /* 2009788 */   GIM_Try, /*On fail goto*//*Label 26817*/ GIMT_Encode4(2009890), // Rule ID 16155 //
     /* 2009793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2009804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2009807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2009810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2009816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2009823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009843 */     // MIs[1] Operand 1
     /* 2009843 */     // No operand predicates
     /* 2009843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009847 */     // MIs[0] round
     /* 2009847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009850 */     // MIs[0] policy
     /* 2009850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009862 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2009865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009889 */     // GIR_Coverage, 16155,
     /* 2009889 */     GIR_EraseRootFromParent_Done,
     /* 2009890 */   // Label 26817: @2009890
     /* 2009890 */   GIM_Try, /*On fail goto*//*Label 26818*/ GIMT_Encode4(2009992), // Rule ID 16156 //
     /* 2009895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2009903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2009906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2009909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2009912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2009918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2009925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009945 */     // MIs[1] Operand 1
     /* 2009945 */     // No operand predicates
     /* 2009945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009949 */     // MIs[0] round
     /* 2009949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009952 */     // MIs[0] policy
     /* 2009952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009964 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2009967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009991 */     // GIR_Coverage, 16156,
     /* 2009991 */     GIR_EraseRootFromParent_Done,
     /* 2009992 */   // Label 26818: @2009992
     /* 2009992 */   GIM_Try, /*On fail goto*//*Label 26819*/ GIMT_Encode4(2010094), // Rule ID 16159 //
     /* 2009997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2010008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2010011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2010014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2010027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010047 */     // MIs[1] Operand 1
     /* 2010047 */     // No operand predicates
     /* 2010047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010051 */     // MIs[0] round
     /* 2010051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010054 */     // MIs[0] policy
     /* 2010054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010066 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2010069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010093 */     // GIR_Coverage, 16159,
     /* 2010093 */     GIR_EraseRootFromParent_Done,
     /* 2010094 */   // Label 26819: @2010094
     /* 2010094 */   GIM_Try, /*On fail goto*//*Label 26820*/ GIMT_Encode4(2010196), // Rule ID 16160 //
     /* 2010099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2010110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2010113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2010116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2010129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010149 */     // MIs[1] Operand 1
     /* 2010149 */     // No operand predicates
     /* 2010149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010153 */     // MIs[0] round
     /* 2010153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010156 */     // MIs[0] policy
     /* 2010156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010168 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2010171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010195 */     // GIR_Coverage, 16160,
     /* 2010195 */     GIR_EraseRootFromParent_Done,
     /* 2010196 */   // Label 26820: @2010196
     /* 2010196 */   GIM_Try, /*On fail goto*//*Label 26821*/ GIMT_Encode4(2010298), // Rule ID 16163 //
     /* 2010201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2010212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2010215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2010218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2010224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2010231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010251 */     // MIs[1] Operand 1
     /* 2010251 */     // No operand predicates
     /* 2010251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010255 */     // MIs[0] round
     /* 2010255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010258 */     // MIs[0] policy
     /* 2010258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010270 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2010273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010297 */     // GIR_Coverage, 16163,
     /* 2010297 */     GIR_EraseRootFromParent_Done,
     /* 2010298 */   // Label 26821: @2010298
     /* 2010298 */   GIM_Try, /*On fail goto*//*Label 26822*/ GIMT_Encode4(2010400), // Rule ID 16164 //
     /* 2010303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2010314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2010317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2010320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2010326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2010333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010353 */     // MIs[1] Operand 1
     /* 2010353 */     // No operand predicates
     /* 2010353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010357 */     // MIs[0] round
     /* 2010357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010360 */     // MIs[0] policy
     /* 2010360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010372 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2010375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010399 */     // GIR_Coverage, 16164,
     /* 2010399 */     GIR_EraseRootFromParent_Done,
     /* 2010400 */   // Label 26822: @2010400
     /* 2010400 */   GIM_Try, /*On fail goto*//*Label 26823*/ GIMT_Encode4(2010502), // Rule ID 16167 //
     /* 2010405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2010416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2010419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2010422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2010428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010455 */     // MIs[1] Operand 1
     /* 2010455 */     // No operand predicates
     /* 2010455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010459 */     // MIs[0] round
     /* 2010459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010462 */     // MIs[0] policy
     /* 2010462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010474 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2010477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010501 */     // GIR_Coverage, 16167,
     /* 2010501 */     GIR_EraseRootFromParent_Done,
     /* 2010502 */   // Label 26823: @2010502
     /* 2010502 */   GIM_Try, /*On fail goto*//*Label 26824*/ GIMT_Encode4(2010604), // Rule ID 16168 //
     /* 2010507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2010518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2010521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2010524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2010530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010557 */     // MIs[1] Operand 1
     /* 2010557 */     // No operand predicates
     /* 2010557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010561 */     // MIs[0] round
     /* 2010561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010564 */     // MIs[0] policy
     /* 2010564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010576 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2010579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010603 */     // GIR_Coverage, 16168,
     /* 2010603 */     GIR_EraseRootFromParent_Done,
     /* 2010604 */   // Label 26824: @2010604
     /* 2010604 */   GIM_Try, /*On fail goto*//*Label 26825*/ GIMT_Encode4(2010706), // Rule ID 16171 //
     /* 2010609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2010620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2010623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2010626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2010639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010659 */     // MIs[1] Operand 1
     /* 2010659 */     // No operand predicates
     /* 2010659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010663 */     // MIs[0] round
     /* 2010663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010666 */     // MIs[0] policy
     /* 2010666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010678 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2010681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010705 */     // GIR_Coverage, 16171,
     /* 2010705 */     GIR_EraseRootFromParent_Done,
     /* 2010706 */   // Label 26825: @2010706
     /* 2010706 */   GIM_Try, /*On fail goto*//*Label 26826*/ GIMT_Encode4(2010808), // Rule ID 16172 //
     /* 2010711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2010722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2010725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2010728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2010741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010761 */     // MIs[1] Operand 1
     /* 2010761 */     // No operand predicates
     /* 2010761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010765 */     // MIs[0] round
     /* 2010765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010768 */     // MIs[0] policy
     /* 2010768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010780 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2010783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010807 */     // GIR_Coverage, 16172,
     /* 2010807 */     GIR_EraseRootFromParent_Done,
     /* 2010808 */   // Label 26826: @2010808
     /* 2010808 */   GIM_Try, /*On fail goto*//*Label 26827*/ GIMT_Encode4(2010910), // Rule ID 16175 //
     /* 2010813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2010824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2010827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2010830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2010843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010863 */     // MIs[1] Operand 1
     /* 2010863 */     // No operand predicates
     /* 2010863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010867 */     // MIs[0] round
     /* 2010867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010870 */     // MIs[0] policy
     /* 2010870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010882 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2010885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010909 */     // GIR_Coverage, 16175,
     /* 2010909 */     GIR_EraseRootFromParent_Done,
     /* 2010910 */   // Label 26827: @2010910
     /* 2010910 */   GIM_Try, /*On fail goto*//*Label 26828*/ GIMT_Encode4(2011012), // Rule ID 16176 //
     /* 2010915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2010923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2010926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2010929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2010932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2010945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010965 */     // MIs[1] Operand 1
     /* 2010965 */     // No operand predicates
     /* 2010965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010969 */     // MIs[0] round
     /* 2010969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010972 */     // MIs[0] policy
     /* 2010972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010984 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2010987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011011 */     // GIR_Coverage, 16176,
     /* 2011011 */     GIR_EraseRootFromParent_Done,
     /* 2011012 */   // Label 26828: @2011012
     /* 2011012 */   GIM_Try, /*On fail goto*//*Label 26829*/ GIMT_Encode4(2011114), // Rule ID 16179 //
     /* 2011017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2011020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2011028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2011031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2011034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2011040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011067 */     // MIs[1] Operand 1
     /* 2011067 */     // No operand predicates
     /* 2011067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011071 */     // MIs[0] round
     /* 2011071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011074 */     // MIs[0] policy
     /* 2011074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011086 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2011089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2011110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011113 */     // GIR_Coverage, 16179,
     /* 2011113 */     GIR_EraseRootFromParent_Done,
     /* 2011114 */   // Label 26829: @2011114
     /* 2011114 */   GIM_Try, /*On fail goto*//*Label 26830*/ GIMT_Encode4(2011216), // Rule ID 16180 //
     /* 2011119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2011122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2011130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2011133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2011136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2011142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011169 */     // MIs[1] Operand 1
     /* 2011169 */     // No operand predicates
     /* 2011169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011173 */     // MIs[0] round
     /* 2011173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011176 */     // MIs[0] policy
     /* 2011176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011188 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2011191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2011212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011215 */     // GIR_Coverage, 16180,
     /* 2011215 */     GIR_EraseRootFromParent_Done,
     /* 2011216 */   // Label 26830: @2011216
     /* 2011216 */   GIM_Try, /*On fail goto*//*Label 26831*/ GIMT_Encode4(2011318), // Rule ID 16183 //
     /* 2011221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2011224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2011232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2011235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2011238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2011244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011271 */     // MIs[1] Operand 1
     /* 2011271 */     // No operand predicates
     /* 2011271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011275 */     // MIs[0] round
     /* 2011275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011278 */     // MIs[0] policy
     /* 2011278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011290 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2011293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2011314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011317 */     // GIR_Coverage, 16183,
     /* 2011317 */     GIR_EraseRootFromParent_Done,
     /* 2011318 */   // Label 26831: @2011318
     /* 2011318 */   GIM_Try, /*On fail goto*//*Label 26832*/ GIMT_Encode4(2011420), // Rule ID 16184 //
     /* 2011323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2011326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2011334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2011337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2011340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2011346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011373 */     // MIs[1] Operand 1
     /* 2011373 */     // No operand predicates
     /* 2011373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011377 */     // MIs[0] round
     /* 2011377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011380 */     // MIs[0] policy
     /* 2011380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011392 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2011395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2011416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011419 */     // GIR_Coverage, 16184,
     /* 2011419 */     GIR_EraseRootFromParent_Done,
     /* 2011420 */   // Label 26832: @2011420
     /* 2011420 */   GIM_Try, /*On fail goto*//*Label 26833*/ GIMT_Encode4(2011522), // Rule ID 16187 //
     /* 2011425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2011428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2011436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2011439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2011442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011475 */     // MIs[1] Operand 1
     /* 2011475 */     // No operand predicates
     /* 2011475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011479 */     // MIs[0] round
     /* 2011479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011482 */     // MIs[0] policy
     /* 2011482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011494 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2011497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2011518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011521 */     // GIR_Coverage, 16187,
     /* 2011521 */     GIR_EraseRootFromParent_Done,
     /* 2011522 */   // Label 26833: @2011522
     /* 2011522 */   GIM_Try, /*On fail goto*//*Label 26834*/ GIMT_Encode4(2011624), // Rule ID 16188 //
     /* 2011527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2011530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2011535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2011538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2011541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2011544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011577 */     // MIs[1] Operand 1
     /* 2011577 */     // No operand predicates
     /* 2011577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011581 */     // MIs[0] round
     /* 2011581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011584 */     // MIs[0] policy
     /* 2011584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011596 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2011599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2011620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011623 */     // GIR_Coverage, 16188,
     /* 2011623 */     GIR_EraseRootFromParent_Done,
     /* 2011624 */   // Label 26834: @2011624
     /* 2011624 */   GIM_Try, /*On fail goto*//*Label 26835*/ GIMT_Encode4(2011729), // Rule ID 16311 //
     /* 2011629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2011637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2011640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2011643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2011646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2011652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011679 */     // MIs[1] Operand 1
     /* 2011679 */     // No operand predicates
     /* 2011679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011683 */     // MIs[0] round
     /* 2011683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011686 */     // MIs[0] policy
     /* 2011686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011698 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2011701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011724 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2011727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011728 */     // GIR_Coverage, 16311,
     /* 2011728 */     GIR_EraseRootFromParent_Done,
     /* 2011729 */   // Label 26835: @2011729
     /* 2011729 */   GIM_Try, /*On fail goto*//*Label 26836*/ GIMT_Encode4(2011834), // Rule ID 16312 //
     /* 2011734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2011742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2011745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2011748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2011751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2011757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011784 */     // MIs[1] Operand 1
     /* 2011784 */     // No operand predicates
     /* 2011784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011788 */     // MIs[0] round
     /* 2011788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011791 */     // MIs[0] policy
     /* 2011791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011803 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2011806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2011832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011833 */     // GIR_Coverage, 16312,
     /* 2011833 */     GIR_EraseRootFromParent_Done,
     /* 2011834 */   // Label 26836: @2011834
     /* 2011834 */   GIM_Try, /*On fail goto*//*Label 26837*/ GIMT_Encode4(2011939), // Rule ID 16315 //
     /* 2011839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2011847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2011850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2011853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2011856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2011862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011889 */     // MIs[1] Operand 1
     /* 2011889 */     // No operand predicates
     /* 2011889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011893 */     // MIs[0] round
     /* 2011893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011896 */     // MIs[0] policy
     /* 2011896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011908 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2011911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2011937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011938 */     // GIR_Coverage, 16315,
     /* 2011938 */     GIR_EraseRootFromParent_Done,
     /* 2011939 */   // Label 26837: @2011939
     /* 2011939 */   GIM_Try, /*On fail goto*//*Label 26838*/ GIMT_Encode4(2012044), // Rule ID 16316 //
     /* 2011944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2011952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2011955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2011958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2011961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2011967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011994 */     // MIs[1] Operand 1
     /* 2011994 */     // No operand predicates
     /* 2011994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011998 */     // MIs[0] round
     /* 2011998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012001 */     // MIs[0] policy
     /* 2012001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012013 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2012016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2012037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012039 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012043 */     // GIR_Coverage, 16316,
     /* 2012043 */     GIR_EraseRootFromParent_Done,
     /* 2012044 */   // Label 26838: @2012044
     /* 2012044 */   GIM_Try, /*On fail goto*//*Label 26839*/ GIMT_Encode4(2012149), // Rule ID 16319 //
     /* 2012049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2012057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2012060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2012063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2012066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012099 */     // MIs[1] Operand 1
     /* 2012099 */     // No operand predicates
     /* 2012099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012103 */     // MIs[0] round
     /* 2012103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012106 */     // MIs[0] policy
     /* 2012106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012118 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2012121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2012142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012148 */     // GIR_Coverage, 16319,
     /* 2012148 */     GIR_EraseRootFromParent_Done,
     /* 2012149 */   // Label 26839: @2012149
     /* 2012149 */   GIM_Try, /*On fail goto*//*Label 26840*/ GIMT_Encode4(2012254), // Rule ID 16320 //
     /* 2012154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2012162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2012165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2012168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2012171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012204 */     // MIs[1] Operand 1
     /* 2012204 */     // No operand predicates
     /* 2012204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012208 */     // MIs[0] round
     /* 2012208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012211 */     // MIs[0] policy
     /* 2012211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012223 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2012226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2012247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012249 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012253 */     // GIR_Coverage, 16320,
     /* 2012253 */     GIR_EraseRootFromParent_Done,
     /* 2012254 */   // Label 26840: @2012254
     /* 2012254 */   GIM_Try, /*On fail goto*//*Label 26841*/ GIMT_Encode4(2012359), // Rule ID 16323 //
     /* 2012259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2012267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2012270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2012273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2012276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012309 */     // MIs[1] Operand 1
     /* 2012309 */     // No operand predicates
     /* 2012309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012313 */     // MIs[0] round
     /* 2012313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012316 */     // MIs[0] policy
     /* 2012316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012328 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2012331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2012352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012358 */     // GIR_Coverage, 16323,
     /* 2012358 */     GIR_EraseRootFromParent_Done,
     /* 2012359 */   // Label 26841: @2012359
     /* 2012359 */   GIM_Try, /*On fail goto*//*Label 26842*/ GIMT_Encode4(2012464), // Rule ID 16324 //
     /* 2012364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2012372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2012375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2012378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2012381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012414 */     // MIs[1] Operand 1
     /* 2012414 */     // No operand predicates
     /* 2012414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012418 */     // MIs[0] round
     /* 2012418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012421 */     // MIs[0] policy
     /* 2012421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012433 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2012436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2012457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012463 */     // GIR_Coverage, 16324,
     /* 2012463 */     GIR_EraseRootFromParent_Done,
     /* 2012464 */   // Label 26842: @2012464
     /* 2012464 */   GIM_Try, /*On fail goto*//*Label 26843*/ GIMT_Encode4(2012569), // Rule ID 16327 //
     /* 2012469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2012477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2012480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2012483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2012486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012519 */     // MIs[1] Operand 1
     /* 2012519 */     // No operand predicates
     /* 2012519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012523 */     // MIs[0] round
     /* 2012523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012526 */     // MIs[0] policy
     /* 2012526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012538 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2012541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2012562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012568 */     // GIR_Coverage, 16327,
     /* 2012568 */     GIR_EraseRootFromParent_Done,
     /* 2012569 */   // Label 26843: @2012569
     /* 2012569 */   GIM_Try, /*On fail goto*//*Label 26844*/ GIMT_Encode4(2012674), // Rule ID 16328 //
     /* 2012574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2012582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2012585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2012588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2012591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012624 */     // MIs[1] Operand 1
     /* 2012624 */     // No operand predicates
     /* 2012624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012628 */     // MIs[0] round
     /* 2012628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012631 */     // MIs[0] policy
     /* 2012631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012643 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2012646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2012667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012669 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012673 */     // GIR_Coverage, 16328,
     /* 2012673 */     GIR_EraseRootFromParent_Done,
     /* 2012674 */   // Label 26844: @2012674
     /* 2012674 */   GIM_Try, /*On fail goto*//*Label 26845*/ GIMT_Encode4(2012779), // Rule ID 16331 //
     /* 2012679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2012687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2012690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2012693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2012696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2012702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012729 */     // MIs[1] Operand 1
     /* 2012729 */     // No operand predicates
     /* 2012729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012733 */     // MIs[0] round
     /* 2012733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012736 */     // MIs[0] policy
     /* 2012736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012748 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2012751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2012772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012774 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012778 */     // GIR_Coverage, 16331,
     /* 2012778 */     GIR_EraseRootFromParent_Done,
     /* 2012779 */   // Label 26845: @2012779
     /* 2012779 */   GIM_Try, /*On fail goto*//*Label 26846*/ GIMT_Encode4(2012884), // Rule ID 16332 //
     /* 2012784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2012792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2012795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2012798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2012801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2012807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012834 */     // MIs[1] Operand 1
     /* 2012834 */     // No operand predicates
     /* 2012834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012838 */     // MIs[0] round
     /* 2012838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012841 */     // MIs[0] policy
     /* 2012841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012853 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2012856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2012877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012879 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012883 */     // GIR_Coverage, 16332,
     /* 2012883 */     GIR_EraseRootFromParent_Done,
     /* 2012884 */   // Label 26846: @2012884
     /* 2012884 */   GIM_Try, /*On fail goto*//*Label 26847*/ GIMT_Encode4(2012989), // Rule ID 16335 //
     /* 2012889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2012897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2012900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2012903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2012906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2012912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012939 */     // MIs[1] Operand 1
     /* 2012939 */     // No operand predicates
     /* 2012939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012943 */     // MIs[0] round
     /* 2012943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012946 */     // MIs[0] policy
     /* 2012946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2012961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012988 */     // GIR_Coverage, 16335,
     /* 2012988 */     GIR_EraseRootFromParent_Done,
     /* 2012989 */   // Label 26847: @2012989
     /* 2012989 */   GIM_Try, /*On fail goto*//*Label 26848*/ GIMT_Encode4(2013094), // Rule ID 16336 //
     /* 2012994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2013005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2013008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2013011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013044 */     // MIs[1] Operand 1
     /* 2013044 */     // No operand predicates
     /* 2013044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013048 */     // MIs[0] round
     /* 2013048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013051 */     // MIs[0] policy
     /* 2013051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013063 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2013066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013089 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013093 */     // GIR_Coverage, 16336,
     /* 2013093 */     GIR_EraseRootFromParent_Done,
     /* 2013094 */   // Label 26848: @2013094
     /* 2013094 */   GIM_Try, /*On fail goto*//*Label 26849*/ GIMT_Encode4(2013199), // Rule ID 16339 //
     /* 2013099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2013110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2013113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2013116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013149 */     // MIs[1] Operand 1
     /* 2013149 */     // No operand predicates
     /* 2013149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013153 */     // MIs[0] round
     /* 2013153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013156 */     // MIs[0] policy
     /* 2013156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013168 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2013171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013198 */     // GIR_Coverage, 16339,
     /* 2013198 */     GIR_EraseRootFromParent_Done,
     /* 2013199 */   // Label 26849: @2013199
     /* 2013199 */   GIM_Try, /*On fail goto*//*Label 26850*/ GIMT_Encode4(2013304), // Rule ID 16340 //
     /* 2013204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2013215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2013218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2013221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013254 */     // MIs[1] Operand 1
     /* 2013254 */     // No operand predicates
     /* 2013254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013258 */     // MIs[0] round
     /* 2013258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013261 */     // MIs[0] policy
     /* 2013261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013273 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2013276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013303 */     // GIR_Coverage, 16340,
     /* 2013303 */     GIR_EraseRootFromParent_Done,
     /* 2013304 */   // Label 26850: @2013304
     /* 2013304 */   GIM_Try, /*On fail goto*//*Label 26851*/ GIMT_Encode4(2013409), // Rule ID 16343 //
     /* 2013309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2013320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2013323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2013326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013359 */     // MIs[1] Operand 1
     /* 2013359 */     // No operand predicates
     /* 2013359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013363 */     // MIs[0] round
     /* 2013363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013366 */     // MIs[0] policy
     /* 2013366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2013381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013404 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013408 */     // GIR_Coverage, 16343,
     /* 2013408 */     GIR_EraseRootFromParent_Done,
     /* 2013409 */   // Label 26851: @2013409
     /* 2013409 */   GIM_Try, /*On fail goto*//*Label 26852*/ GIMT_Encode4(2013514), // Rule ID 16344 //
     /* 2013414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2013425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2013428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2013431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013464 */     // MIs[1] Operand 1
     /* 2013464 */     // No operand predicates
     /* 2013464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013468 */     // MIs[0] round
     /* 2013468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013471 */     // MIs[0] policy
     /* 2013471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013483 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2013486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013513 */     // GIR_Coverage, 16344,
     /* 2013513 */     GIR_EraseRootFromParent_Done,
     /* 2013514 */   // Label 26852: @2013514
     /* 2013514 */   GIM_Try, /*On fail goto*//*Label 26853*/ GIMT_Encode4(2013619), // Rule ID 16347 //
     /* 2013519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2013530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2013533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2013536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2013549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013569 */     // MIs[1] Operand 1
     /* 2013569 */     // No operand predicates
     /* 2013569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013573 */     // MIs[0] round
     /* 2013573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013576 */     // MIs[0] policy
     /* 2013576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013588 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2013591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013618 */     // GIR_Coverage, 16347,
     /* 2013618 */     GIR_EraseRootFromParent_Done,
     /* 2013619 */   // Label 26853: @2013619
     /* 2013619 */   GIM_Try, /*On fail goto*//*Label 26854*/ GIMT_Encode4(2013724), // Rule ID 16348 //
     /* 2013624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2013635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2013638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2013641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2013654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013674 */     // MIs[1] Operand 1
     /* 2013674 */     // No operand predicates
     /* 2013674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013678 */     // MIs[0] round
     /* 2013678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013681 */     // MIs[0] policy
     /* 2013681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013693 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2013696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013723 */     // GIR_Coverage, 16348,
     /* 2013723 */     GIR_EraseRootFromParent_Done,
     /* 2013724 */   // Label 26854: @2013724
     /* 2013724 */   GIM_Try, /*On fail goto*//*Label 26855*/ GIMT_Encode4(2013829), // Rule ID 16351 //
     /* 2013729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2013740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2013743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2013746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2013752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2013759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013779 */     // MIs[1] Operand 1
     /* 2013779 */     // No operand predicates
     /* 2013779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013783 */     // MIs[0] round
     /* 2013783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013786 */     // MIs[0] policy
     /* 2013786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013798 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2013801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013828 */     // GIR_Coverage, 16351,
     /* 2013828 */     GIR_EraseRootFromParent_Done,
     /* 2013829 */   // Label 26855: @2013829
     /* 2013829 */   GIM_Try, /*On fail goto*//*Label 26856*/ GIMT_Encode4(2013934), // Rule ID 16352 //
     /* 2013834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2013845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2013848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2013851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2013857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2013864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013884 */     // MIs[1] Operand 1
     /* 2013884 */     // No operand predicates
     /* 2013884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013888 */     // MIs[0] round
     /* 2013888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013891 */     // MIs[0] policy
     /* 2013891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013903 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2013906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013933 */     // GIR_Coverage, 16352,
     /* 2013933 */     GIR_EraseRootFromParent_Done,
     /* 2013934 */   // Label 26856: @2013934
     /* 2013934 */   GIM_Try, /*On fail goto*//*Label 26857*/ GIMT_Encode4(2014039), // Rule ID 16355 //
     /* 2013939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2013942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2013947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2013950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2013953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2013956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013989 */     // MIs[1] Operand 1
     /* 2013989 */     // No operand predicates
     /* 2013989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013993 */     // MIs[0] round
     /* 2013993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013996 */     // MIs[0] policy
     /* 2013996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014008 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2014011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014038 */     // GIR_Coverage, 16355,
     /* 2014038 */     GIR_EraseRootFromParent_Done,
     /* 2014039 */   // Label 26857: @2014039
     /* 2014039 */   GIM_Try, /*On fail goto*//*Label 26858*/ GIMT_Encode4(2014144), // Rule ID 16356 //
     /* 2014044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2014047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2014055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2014058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2014061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014094 */     // MIs[1] Operand 1
     /* 2014094 */     // No operand predicates
     /* 2014094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014098 */     // MIs[0] round
     /* 2014098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014101 */     // MIs[0] policy
     /* 2014101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014113 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2014116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014139 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014143 */     // GIR_Coverage, 16356,
     /* 2014143 */     GIR_EraseRootFromParent_Done,
     /* 2014144 */   // Label 26858: @2014144
     /* 2014144 */   GIM_Try, /*On fail goto*//*Label 26859*/ GIMT_Encode4(2014249), // Rule ID 16359 //
     /* 2014149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2014152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2014160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2014163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2014166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014199 */     // MIs[1] Operand 1
     /* 2014199 */     // No operand predicates
     /* 2014199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014203 */     // MIs[0] round
     /* 2014203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014206 */     // MIs[0] policy
     /* 2014206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014218 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2014221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014244 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014248 */     // GIR_Coverage, 16359,
     /* 2014248 */     GIR_EraseRootFromParent_Done,
     /* 2014249 */   // Label 26859: @2014249
     /* 2014249 */   GIM_Try, /*On fail goto*//*Label 26860*/ GIMT_Encode4(2014354), // Rule ID 16360 //
     /* 2014254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2014257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2014265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2014268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2014271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014304 */     // MIs[1] Operand 1
     /* 2014304 */     // No operand predicates
     /* 2014304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014308 */     // MIs[0] round
     /* 2014308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014311 */     // MIs[0] policy
     /* 2014311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014323 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2014326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014349 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014353 */     // GIR_Coverage, 16360,
     /* 2014353 */     GIR_EraseRootFromParent_Done,
     /* 2014354 */   // Label 26860: @2014354
     /* 2014354 */   GIM_Try, /*On fail goto*//*Label 26861*/ GIMT_Encode4(2014459), // Rule ID 16363 //
     /* 2014359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2014362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2014370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2014373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2014376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2014389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014409 */     // MIs[1] Operand 1
     /* 2014409 */     // No operand predicates
     /* 2014409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014413 */     // MIs[0] round
     /* 2014413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014416 */     // MIs[0] policy
     /* 2014416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014428 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2014431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014454 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014458 */     // GIR_Coverage, 16363,
     /* 2014458 */     GIR_EraseRootFromParent_Done,
     /* 2014459 */   // Label 26861: @2014459
     /* 2014459 */   GIM_Try, /*On fail goto*//*Label 26862*/ GIMT_Encode4(2014564), // Rule ID 16364 //
     /* 2014464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2014467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2014475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2014478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2014481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2014494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014514 */     // MIs[1] Operand 1
     /* 2014514 */     // No operand predicates
     /* 2014514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014518 */     // MIs[0] round
     /* 2014518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014521 */     // MIs[0] policy
     /* 2014521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014533 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2014536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014563 */     // GIR_Coverage, 16364,
     /* 2014563 */     GIR_EraseRootFromParent_Done,
     /* 2014564 */   // Label 26862: @2014564
     /* 2014564 */   GIM_Try, /*On fail goto*//*Label 26863*/ GIMT_Encode4(2014669), // Rule ID 16367 //
     /* 2014569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2014572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2014580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2014583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2014586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2014599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014619 */     // MIs[1] Operand 1
     /* 2014619 */     // No operand predicates
     /* 2014619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014623 */     // MIs[0] round
     /* 2014623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014626 */     // MIs[0] policy
     /* 2014626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014638 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2014641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014668 */     // GIR_Coverage, 16367,
     /* 2014668 */     GIR_EraseRootFromParent_Done,
     /* 2014669 */   // Label 26863: @2014669
     /* 2014669 */   GIM_Try, /*On fail goto*//*Label 26864*/ GIMT_Encode4(2014774), // Rule ID 16368 //
     /* 2014674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2014677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2014682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2014685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2014688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2014691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2014704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014724 */     // MIs[1] Operand 1
     /* 2014724 */     // No operand predicates
     /* 2014724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014728 */     // MIs[0] round
     /* 2014728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014731 */     // MIs[0] policy
     /* 2014731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014743 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2014746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014773 */     // GIR_Coverage, 16368,
     /* 2014773 */     GIR_EraseRootFromParent_Done,
     /* 2014774 */   // Label 26864: @2014774
     /* 2014774 */   GIM_Try, /*On fail goto*//*Label 26865*/ GIMT_Encode4(2014879), // Rule ID 16491 //
     /* 2014779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2014787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2014790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2014793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2014796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2014799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014829 */     // MIs[1] Operand 1
     /* 2014829 */     // No operand predicates
     /* 2014829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014833 */     // MIs[0] round
     /* 2014833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014836 */     // MIs[0] policy
     /* 2014836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014848 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2014851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014878 */     // GIR_Coverage, 16491,
     /* 2014878 */     GIR_EraseRootFromParent_Done,
     /* 2014879 */   // Label 26865: @2014879
     /* 2014879 */   GIM_Try, /*On fail goto*//*Label 26866*/ GIMT_Encode4(2014984), // Rule ID 16492 //
     /* 2014884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2014892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2014895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2014898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2014901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2014904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2014926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2014930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2014934 */     // MIs[1] Operand 1
     /* 2014934 */     // No operand predicates
     /* 2014934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014938 */     // MIs[0] round
     /* 2014938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014941 */     // MIs[0] policy
     /* 2014941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2014946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014953 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2014956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2014965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2014982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014983 */     // GIR_Coverage, 16492,
     /* 2014983 */     GIR_EraseRootFromParent_Done,
     /* 2014984 */   // Label 26866: @2014984
     /* 2014984 */   GIM_Try, /*On fail goto*//*Label 26867*/ GIMT_Encode4(2015089), // Rule ID 16495 //
     /* 2014989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2014997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2015000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2015003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2015006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015039 */     // MIs[1] Operand 1
     /* 2015039 */     // No operand predicates
     /* 2015039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015043 */     // MIs[0] round
     /* 2015043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015046 */     // MIs[0] policy
     /* 2015046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015058 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2015061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015088 */     // GIR_Coverage, 16495,
     /* 2015088 */     GIR_EraseRootFromParent_Done,
     /* 2015089 */   // Label 26867: @2015089
     /* 2015089 */   GIM_Try, /*On fail goto*//*Label 26868*/ GIMT_Encode4(2015194), // Rule ID 16496 //
     /* 2015094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2015102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2015105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2015108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2015111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015144 */     // MIs[1] Operand 1
     /* 2015144 */     // No operand predicates
     /* 2015144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015148 */     // MIs[0] round
     /* 2015148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015151 */     // MIs[0] policy
     /* 2015151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015163 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2015166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015189 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015193 */     // GIR_Coverage, 16496,
     /* 2015193 */     GIR_EraseRootFromParent_Done,
     /* 2015194 */   // Label 26868: @2015194
     /* 2015194 */   GIM_Try, /*On fail goto*//*Label 26869*/ GIMT_Encode4(2015299), // Rule ID 16499 //
     /* 2015199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2015207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2015210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2015213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2015216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015249 */     // MIs[1] Operand 1
     /* 2015249 */     // No operand predicates
     /* 2015249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015253 */     // MIs[0] round
     /* 2015253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015256 */     // MIs[0] policy
     /* 2015256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015268 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2015271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015298 */     // GIR_Coverage, 16499,
     /* 2015298 */     GIR_EraseRootFromParent_Done,
     /* 2015299 */   // Label 26869: @2015299
     /* 2015299 */   GIM_Try, /*On fail goto*//*Label 26870*/ GIMT_Encode4(2015404), // Rule ID 16500 //
     /* 2015304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2015312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2015315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2015318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2015321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015354 */     // MIs[1] Operand 1
     /* 2015354 */     // No operand predicates
     /* 2015354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015358 */     // MIs[0] round
     /* 2015358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015361 */     // MIs[0] policy
     /* 2015361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015373 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2015376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015403 */     // GIR_Coverage, 16500,
     /* 2015403 */     GIR_EraseRootFromParent_Done,
     /* 2015404 */   // Label 26870: @2015404
     /* 2015404 */   GIM_Try, /*On fail goto*//*Label 26871*/ GIMT_Encode4(2015509), // Rule ID 16503 //
     /* 2015409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2015417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2015420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2015423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2015426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015459 */     // MIs[1] Operand 1
     /* 2015459 */     // No operand predicates
     /* 2015459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015463 */     // MIs[0] round
     /* 2015463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015466 */     // MIs[0] policy
     /* 2015466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015478 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2015481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015504 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015508 */     // GIR_Coverage, 16503,
     /* 2015508 */     GIR_EraseRootFromParent_Done,
     /* 2015509 */   // Label 26871: @2015509
     /* 2015509 */   GIM_Try, /*On fail goto*//*Label 26872*/ GIMT_Encode4(2015614), // Rule ID 16504 //
     /* 2015514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2015522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2015525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2015528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2015531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015564 */     // MIs[1] Operand 1
     /* 2015564 */     // No operand predicates
     /* 2015564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015568 */     // MIs[0] round
     /* 2015568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015571 */     // MIs[0] policy
     /* 2015571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015583 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2015586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015613 */     // GIR_Coverage, 16504,
     /* 2015613 */     GIR_EraseRootFromParent_Done,
     /* 2015614 */   // Label 26872: @2015614
     /* 2015614 */   GIM_Try, /*On fail goto*//*Label 26873*/ GIMT_Encode4(2015719), // Rule ID 16507 //
     /* 2015619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2015627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2015630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2015633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2015636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015669 */     // MIs[1] Operand 1
     /* 2015669 */     // No operand predicates
     /* 2015669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015673 */     // MIs[0] round
     /* 2015673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015676 */     // MIs[0] policy
     /* 2015676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015688 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11383:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2015691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015718 */     // GIR_Coverage, 16507,
     /* 2015718 */     GIR_EraseRootFromParent_Done,
     /* 2015719 */   // Label 26873: @2015719
     /* 2015719 */   GIM_Try, /*On fail goto*//*Label 26874*/ GIMT_Encode4(2015824), // Rule ID 16508 //
     /* 2015724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2015732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2015735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2015738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2015741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015774 */     // MIs[1] Operand 1
     /* 2015774 */     // No operand predicates
     /* 2015774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015778 */     // MIs[0] round
     /* 2015778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015781 */     // MIs[0] policy
     /* 2015781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015793 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11383:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2015796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015823 */     // GIR_Coverage, 16508,
     /* 2015823 */     GIR_EraseRootFromParent_Done,
     /* 2015824 */   // Label 26874: @2015824
     /* 2015824 */   GIM_Try, /*On fail goto*//*Label 26875*/ GIMT_Encode4(2015929), // Rule ID 16511 //
     /* 2015829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2015837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2015840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2015843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2015846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2015849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2015852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015879 */     // MIs[1] Operand 1
     /* 2015879 */     // No operand predicates
     /* 2015879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015883 */     // MIs[0] round
     /* 2015883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015886 */     // MIs[0] policy
     /* 2015886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015898 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11383:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2015901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2015910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015924 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2015927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015928 */     // GIR_Coverage, 16511,
     /* 2015928 */     GIR_EraseRootFromParent_Done,
     /* 2015929 */   // Label 26875: @2015929
     /* 2015929 */   GIM_Try, /*On fail goto*//*Label 26876*/ GIMT_Encode4(2016034), // Rule ID 16512 //
     /* 2015934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2015942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2015945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2015948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2015951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2015954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2015957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2015976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2015980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2015984 */     // MIs[1] Operand 1
     /* 2015984 */     // No operand predicates
     /* 2015984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015988 */     // MIs[0] round
     /* 2015988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015991 */     // MIs[0] policy
     /* 2015991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2015996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016003 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11383:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2016006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016033 */     // GIR_Coverage, 16512,
     /* 2016033 */     GIR_EraseRootFromParent_Done,
     /* 2016034 */   // Label 26876: @2016034
     /* 2016034 */   GIM_Try, /*On fail goto*//*Label 26877*/ GIMT_Encode4(2016139), // Rule ID 16515 //
     /* 2016039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2016050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2016053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2016056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016089 */     // MIs[1] Operand 1
     /* 2016089 */     // No operand predicates
     /* 2016089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016093 */     // MIs[0] round
     /* 2016093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016096 */     // MIs[0] policy
     /* 2016096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016108 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2016111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016134 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016138 */     // GIR_Coverage, 16515,
     /* 2016138 */     GIR_EraseRootFromParent_Done,
     /* 2016139 */   // Label 26877: @2016139
     /* 2016139 */   GIM_Try, /*On fail goto*//*Label 26878*/ GIMT_Encode4(2016244), // Rule ID 16516 //
     /* 2016144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2016155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2016158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2016161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016194 */     // MIs[1] Operand 1
     /* 2016194 */     // No operand predicates
     /* 2016194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016198 */     // MIs[0] round
     /* 2016198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016201 */     // MIs[0] policy
     /* 2016201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016213 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2016216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016243 */     // GIR_Coverage, 16516,
     /* 2016243 */     GIR_EraseRootFromParent_Done,
     /* 2016244 */   // Label 26878: @2016244
     /* 2016244 */   GIM_Try, /*On fail goto*//*Label 26879*/ GIMT_Encode4(2016349), // Rule ID 16519 //
     /* 2016249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2016260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2016263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2016266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016299 */     // MIs[1] Operand 1
     /* 2016299 */     // No operand predicates
     /* 2016299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016303 */     // MIs[0] round
     /* 2016303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016306 */     // MIs[0] policy
     /* 2016306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016318 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2016321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016348 */     // GIR_Coverage, 16519,
     /* 2016348 */     GIR_EraseRootFromParent_Done,
     /* 2016349 */   // Label 26879: @2016349
     /* 2016349 */   GIM_Try, /*On fail goto*//*Label 26880*/ GIMT_Encode4(2016454), // Rule ID 16520 //
     /* 2016354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2016365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2016368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2016371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016404 */     // MIs[1] Operand 1
     /* 2016404 */     // No operand predicates
     /* 2016404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016408 */     // MIs[0] round
     /* 2016408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016411 */     // MIs[0] policy
     /* 2016411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016423 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2016426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016453 */     // GIR_Coverage, 16520,
     /* 2016453 */     GIR_EraseRootFromParent_Done,
     /* 2016454 */   // Label 26880: @2016454
     /* 2016454 */   GIM_Try, /*On fail goto*//*Label 26881*/ GIMT_Encode4(2016559), // Rule ID 16523 //
     /* 2016459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2016470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2016473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2016476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016509 */     // MIs[1] Operand 1
     /* 2016509 */     // No operand predicates
     /* 2016509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016513 */     // MIs[0] round
     /* 2016513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016516 */     // MIs[0] policy
     /* 2016516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2016531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016554 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016558 */     // GIR_Coverage, 16523,
     /* 2016558 */     GIR_EraseRootFromParent_Done,
     /* 2016559 */   // Label 26881: @2016559
     /* 2016559 */   GIM_Try, /*On fail goto*//*Label 26882*/ GIMT_Encode4(2016664), // Rule ID 16524 //
     /* 2016564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2016575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2016578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2016581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016614 */     // MIs[1] Operand 1
     /* 2016614 */     // No operand predicates
     /* 2016614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016618 */     // MIs[0] round
     /* 2016618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016621 */     // MIs[0] policy
     /* 2016621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2016636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016663 */     // GIR_Coverage, 16524,
     /* 2016663 */     GIR_EraseRootFromParent_Done,
     /* 2016664 */   // Label 26882: @2016664
     /* 2016664 */   GIM_Try, /*On fail goto*//*Label 26883*/ GIMT_Encode4(2016769), // Rule ID 16527 //
     /* 2016669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2016680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2016683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2016686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2016699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016719 */     // MIs[1] Operand 1
     /* 2016719 */     // No operand predicates
     /* 2016719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016723 */     // MIs[0] round
     /* 2016723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016726 */     // MIs[0] policy
     /* 2016726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016738 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11383:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2016741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016764 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016768 */     // GIR_Coverage, 16527,
     /* 2016768 */     GIR_EraseRootFromParent_Done,
     /* 2016769 */   // Label 26883: @2016769
     /* 2016769 */   GIM_Try, /*On fail goto*//*Label 26884*/ GIMT_Encode4(2016874), // Rule ID 16528 //
     /* 2016774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2016785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2016788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2016791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2016794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2016804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016824 */     // MIs[1] Operand 1
     /* 2016824 */     // No operand predicates
     /* 2016824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016828 */     // MIs[0] round
     /* 2016828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016831 */     // MIs[0] policy
     /* 2016831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016843 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11383:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2016846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016869 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016873 */     // GIR_Coverage, 16528,
     /* 2016873 */     GIR_EraseRootFromParent_Done,
     /* 2016874 */   // Label 26884: @2016874
     /* 2016874 */   GIM_Try, /*On fail goto*//*Label 26885*/ GIMT_Encode4(2016979), // Rule ID 16531 //
     /* 2016879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2016890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2016893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2016896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2016899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2016902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2016909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2016921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2016925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2016929 */     // MIs[1] Operand 1
     /* 2016929 */     // No operand predicates
     /* 2016929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016933 */     // MIs[0] round
     /* 2016933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016936 */     // MIs[0] policy
     /* 2016936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2016941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016948 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11383:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2016951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2016960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2016977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016978 */     // GIR_Coverage, 16531,
     /* 2016978 */     GIR_EraseRootFromParent_Done,
     /* 2016979 */   // Label 26885: @2016979
     /* 2016979 */   GIM_Try, /*On fail goto*//*Label 26886*/ GIMT_Encode4(2017084), // Rule ID 16532 //
     /* 2016984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2016992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2016995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2016998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2017001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2017007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017034 */     // MIs[1] Operand 1
     /* 2017034 */     // No operand predicates
     /* 2017034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017038 */     // MIs[0] round
     /* 2017038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017041 */     // MIs[0] policy
     /* 2017041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017053 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11383:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2017056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017079 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017083 */     // GIR_Coverage, 16532,
     /* 2017083 */     GIR_EraseRootFromParent_Done,
     /* 2017084 */   // Label 26886: @2017084
     /* 2017084 */   GIM_Try, /*On fail goto*//*Label 26887*/ GIMT_Encode4(2017189), // Rule ID 16535 //
     /* 2017089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2017092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2017100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2017103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2017106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017139 */     // MIs[1] Operand 1
     /* 2017139 */     // No operand predicates
     /* 2017139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017143 */     // MIs[0] round
     /* 2017143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017146 */     // MIs[0] policy
     /* 2017146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017158 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2017161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017188 */     // GIR_Coverage, 16535,
     /* 2017188 */     GIR_EraseRootFromParent_Done,
     /* 2017189 */   // Label 26887: @2017189
     /* 2017189 */   GIM_Try, /*On fail goto*//*Label 26888*/ GIMT_Encode4(2017294), // Rule ID 16536 //
     /* 2017194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2017197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2017205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2017208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2017211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017244 */     // MIs[1] Operand 1
     /* 2017244 */     // No operand predicates
     /* 2017244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017248 */     // MIs[0] round
     /* 2017248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017251 */     // MIs[0] policy
     /* 2017251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017263 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2017266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017293 */     // GIR_Coverage, 16536,
     /* 2017293 */     GIR_EraseRootFromParent_Done,
     /* 2017294 */   // Label 26888: @2017294
     /* 2017294 */   GIM_Try, /*On fail goto*//*Label 26889*/ GIMT_Encode4(2017399), // Rule ID 16539 //
     /* 2017299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2017302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2017310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2017313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2017316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017349 */     // MIs[1] Operand 1
     /* 2017349 */     // No operand predicates
     /* 2017349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017353 */     // MIs[0] round
     /* 2017353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017356 */     // MIs[0] policy
     /* 2017356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017368 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2017371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017398 */     // GIR_Coverage, 16539,
     /* 2017398 */     GIR_EraseRootFromParent_Done,
     /* 2017399 */   // Label 26889: @2017399
     /* 2017399 */   GIM_Try, /*On fail goto*//*Label 26890*/ GIMT_Encode4(2017504), // Rule ID 16540 //
     /* 2017404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2017407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2017415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2017418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2017421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017454 */     // MIs[1] Operand 1
     /* 2017454 */     // No operand predicates
     /* 2017454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017458 */     // MIs[0] round
     /* 2017458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017461 */     // MIs[0] policy
     /* 2017461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017473 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2017476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017503 */     // GIR_Coverage, 16540,
     /* 2017503 */     GIR_EraseRootFromParent_Done,
     /* 2017504 */   // Label 26890: @2017504
     /* 2017504 */   GIM_Try, /*On fail goto*//*Label 26891*/ GIMT_Encode4(2017609), // Rule ID 16543 //
     /* 2017509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2017512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2017520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2017523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2017526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017559 */     // MIs[1] Operand 1
     /* 2017559 */     // No operand predicates
     /* 2017559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017563 */     // MIs[0] round
     /* 2017563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017566 */     // MIs[0] policy
     /* 2017566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017578 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11383:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2017581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017608 */     // GIR_Coverage, 16543,
     /* 2017608 */     GIR_EraseRootFromParent_Done,
     /* 2017609 */   // Label 26891: @2017609
     /* 2017609 */   GIM_Try, /*On fail goto*//*Label 26892*/ GIMT_Encode4(2017714), // Rule ID 16544 //
     /* 2017614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2017617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2017625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2017628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2017631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017664 */     // MIs[1] Operand 1
     /* 2017664 */     // No operand predicates
     /* 2017664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017668 */     // MIs[0] round
     /* 2017668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017671 */     // MIs[0] policy
     /* 2017671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017683 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11383:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2017686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017713 */     // GIR_Coverage, 16544,
     /* 2017713 */     GIR_EraseRootFromParent_Done,
     /* 2017714 */   // Label 26892: @2017714
     /* 2017714 */   GIM_Try, /*On fail goto*//*Label 26893*/ GIMT_Encode4(2017819), // Rule ID 16547 //
     /* 2017719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2017722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2017730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2017733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2017736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2017739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017769 */     // MIs[1] Operand 1
     /* 2017769 */     // No operand predicates
     /* 2017769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017773 */     // MIs[0] round
     /* 2017773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017776 */     // MIs[0] policy
     /* 2017776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017788 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11383:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2017791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017818 */     // GIR_Coverage, 16547,
     /* 2017818 */     GIR_EraseRootFromParent_Done,
     /* 2017819 */   // Label 26893: @2017819
     /* 2017819 */   GIM_Try, /*On fail goto*//*Label 26894*/ GIMT_Encode4(2017924), // Rule ID 16548 //
     /* 2017824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2017827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2017832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2017835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2017838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2017841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2017844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2017866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2017870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2017874 */     // MIs[1] Operand 1
     /* 2017874 */     // No operand predicates
     /* 2017874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017878 */     // MIs[0] round
     /* 2017878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017881 */     // MIs[0] policy
     /* 2017881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2017886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017893 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11383:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2017896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2017905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017919 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2017922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017923 */     // GIR_Coverage, 16548,
     /* 2017923 */     GIR_EraseRootFromParent_Done,
     /* 2017924 */   // Label 26894: @2017924
     /* 2017924 */   GIM_Try, /*On fail goto*//*Label 26895*/ GIMT_Encode4(2018011), // Rule ID 2627 //
     /* 2017929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2017932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2017937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2017940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2017943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2017946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017960 */     // MIs[0] passthru
     /* 2017960 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2017965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017973 */     // MIs[0] round
     /* 2017973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017976 */     // MIs[0] policy
     /* 2017976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017986 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2017989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018010 */     // GIR_Coverage, 2627,
     /* 2018010 */     GIR_EraseRootFromParent_Done,
     /* 2018011 */   // Label 26895: @2018011
     /* 2018011 */   GIM_Try, /*On fail goto*//*Label 26896*/ GIMT_Encode4(2018098), // Rule ID 2628 //
     /* 2018016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2018019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2018024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2018027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2018030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2018033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018047 */     // MIs[0] passthru
     /* 2018047 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2018052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018060 */     // MIs[0] round
     /* 2018060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018063 */     // MIs[0] policy
     /* 2018063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018073 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2018076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018097 */     // GIR_Coverage, 2628,
     /* 2018097 */     GIR_EraseRootFromParent_Done,
     /* 2018098 */   // Label 26896: @2018098
     /* 2018098 */   GIM_Try, /*On fail goto*//*Label 26897*/ GIMT_Encode4(2018185), // Rule ID 16999 //
     /* 2018103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2018106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2018111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2018114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2018117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2018120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018134 */     // MIs[0] passthru
     /* 2018134 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2018139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018147 */     // MIs[0] round
     /* 2018147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018150 */     // MIs[0] policy
     /* 2018150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018160 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2018163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018184 */     // GIR_Coverage, 16999,
     /* 2018184 */     GIR_EraseRootFromParent_Done,
     /* 2018185 */   // Label 26897: @2018185
     /* 2018185 */   GIM_Try, /*On fail goto*//*Label 26898*/ GIMT_Encode4(2018272), // Rule ID 17000 //
     /* 2018190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2018193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2018198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2018201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2018204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2018207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018221 */     // MIs[0] passthru
     /* 2018221 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2018226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018234 */     // MIs[0] round
     /* 2018234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018237 */     // MIs[0] policy
     /* 2018237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018247 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2018250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018271 */     // GIR_Coverage, 17000,
     /* 2018271 */     GIR_EraseRootFromParent_Done,
     /* 2018272 */   // Label 26898: @2018272
     /* 2018272 */   GIM_Try, /*On fail goto*//*Label 26899*/ GIMT_Encode4(2018359), // Rule ID 17009 //
     /* 2018277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2018280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2018285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2018288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2018291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2018294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018308 */     // MIs[0] passthru
     /* 2018308 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2018313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018321 */     // MIs[0] round
     /* 2018321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018324 */     // MIs[0] policy
     /* 2018324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018334 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2018337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018358 */     // GIR_Coverage, 17009,
     /* 2018358 */     GIR_EraseRootFromParent_Done,
     /* 2018359 */   // Label 26899: @2018359
     /* 2018359 */   GIM_Try, /*On fail goto*//*Label 26900*/ GIMT_Encode4(2018446), // Rule ID 17010 //
     /* 2018364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2018367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2018372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2018375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2018378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2018381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018395 */     // MIs[0] passthru
     /* 2018395 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2018400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018408 */     // MIs[0] round
     /* 2018408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018411 */     // MIs[0] policy
     /* 2018411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018421 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2018424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018445 */     // GIR_Coverage, 17010,
     /* 2018445 */     GIR_EraseRootFromParent_Done,
     /* 2018446 */   // Label 26900: @2018446
     /* 2018446 */   GIM_Try, /*On fail goto*//*Label 26901*/ GIMT_Encode4(2018533), // Rule ID 17019 //
     /* 2018451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2018454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2018459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2018462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2018465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2018468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018482 */     // MIs[0] passthru
     /* 2018482 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2018487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018495 */     // MIs[0] round
     /* 2018495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018498 */     // MIs[0] policy
     /* 2018498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018508 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2018511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018532 */     // GIR_Coverage, 17019,
     /* 2018532 */     GIR_EraseRootFromParent_Done,
     /* 2018533 */   // Label 26901: @2018533
     /* 2018533 */   GIM_Try, /*On fail goto*//*Label 26902*/ GIMT_Encode4(2018620), // Rule ID 17020 //
     /* 2018538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2018541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2018546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2018549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2018552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2018555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018569 */     // MIs[0] passthru
     /* 2018569 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2018574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018582 */     // MIs[0] round
     /* 2018582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018585 */     // MIs[0] policy
     /* 2018585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018595 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2018598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018619 */     // GIR_Coverage, 17020,
     /* 2018619 */     GIR_EraseRootFromParent_Done,
     /* 2018620 */   // Label 26902: @2018620
     /* 2018620 */   GIM_Try, /*On fail goto*//*Label 26903*/ GIMT_Encode4(2018707), // Rule ID 17029 //
     /* 2018625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2018628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2018633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2018636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2018639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2018642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2018652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018656 */     // MIs[0] passthru
     /* 2018656 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2018661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018669 */     // MIs[0] round
     /* 2018669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018672 */     // MIs[0] policy
     /* 2018672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018682 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2018685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018706 */     // GIR_Coverage, 17029,
     /* 2018706 */     GIR_EraseRootFromParent_Done,
     /* 2018707 */   // Label 26903: @2018707
     /* 2018707 */   GIM_Try, /*On fail goto*//*Label 26904*/ GIMT_Encode4(2018794), // Rule ID 17030 //
     /* 2018712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2018715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2018720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2018723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2018726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2018729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2018739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018743 */     // MIs[0] passthru
     /* 2018743 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2018748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018756 */     // MIs[0] round
     /* 2018756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018759 */     // MIs[0] policy
     /* 2018759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018769 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2018772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018793 */     // GIR_Coverage, 17030,
     /* 2018793 */     GIR_EraseRootFromParent_Done,
     /* 2018794 */   // Label 26904: @2018794
     /* 2018794 */   GIM_Try, /*On fail goto*//*Label 26905*/ GIMT_Encode4(2018881), // Rule ID 17039 //
     /* 2018799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2018802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2018807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2018810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2018813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2018816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018830 */     // MIs[0] passthru
     /* 2018830 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2018835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018843 */     // MIs[0] round
     /* 2018843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018846 */     // MIs[0] policy
     /* 2018846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018856 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2018859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018880 */     // GIR_Coverage, 17039,
     /* 2018880 */     GIR_EraseRootFromParent_Done,
     /* 2018881 */   // Label 26905: @2018881
     /* 2018881 */   GIM_Try, /*On fail goto*//*Label 26906*/ GIMT_Encode4(2018968), // Rule ID 17040 //
     /* 2018886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2018889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2018894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2018897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2018900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2018903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018917 */     // MIs[0] passthru
     /* 2018917 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2018922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018930 */     // MIs[0] round
     /* 2018930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018933 */     // MIs[0] policy
     /* 2018933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018943 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2018946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018967 */     // GIR_Coverage, 17040,
     /* 2018967 */     GIR_EraseRootFromParent_Done,
     /* 2018968 */   // Label 26906: @2018968
     /* 2018968 */   GIM_Try, /*On fail goto*//*Label 26907*/ GIMT_Encode4(2019055), // Rule ID 17049 //
     /* 2018973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2018976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2018981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2018984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2018987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2018990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019004 */     // MIs[0] passthru
     /* 2019004 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019017 */     // MIs[0] round
     /* 2019017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019020 */     // MIs[0] policy
     /* 2019020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019030 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2019033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019054 */     // GIR_Coverage, 17049,
     /* 2019054 */     GIR_EraseRootFromParent_Done,
     /* 2019055 */   // Label 26907: @2019055
     /* 2019055 */   GIM_Try, /*On fail goto*//*Label 26908*/ GIMT_Encode4(2019142), // Rule ID 17050 //
     /* 2019060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2019063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2019071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2019074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2019077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019091 */     // MIs[0] passthru
     /* 2019091 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019104 */     // MIs[0] round
     /* 2019104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019107 */     // MIs[0] policy
     /* 2019107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019117 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2019120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019141 */     // GIR_Coverage, 17050,
     /* 2019141 */     GIR_EraseRootFromParent_Done,
     /* 2019142 */   // Label 26908: @2019142
     /* 2019142 */   GIM_Try, /*On fail goto*//*Label 26909*/ GIMT_Encode4(2019229), // Rule ID 17059 //
     /* 2019147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2019150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2019158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2019161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2019164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019178 */     // MIs[0] passthru
     /* 2019178 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019191 */     // MIs[0] round
     /* 2019191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019194 */     // MIs[0] policy
     /* 2019194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019204 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2019207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019228 */     // GIR_Coverage, 17059,
     /* 2019228 */     GIR_EraseRootFromParent_Done,
     /* 2019229 */   // Label 26909: @2019229
     /* 2019229 */   GIM_Try, /*On fail goto*//*Label 26910*/ GIMT_Encode4(2019316), // Rule ID 17060 //
     /* 2019234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2019237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2019245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2019248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2019251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019265 */     // MIs[0] passthru
     /* 2019265 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019278 */     // MIs[0] round
     /* 2019278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019281 */     // MIs[0] policy
     /* 2019281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019291 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2019294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019315 */     // GIR_Coverage, 17060,
     /* 2019315 */     GIR_EraseRootFromParent_Done,
     /* 2019316 */   // Label 26910: @2019316
     /* 2019316 */   GIM_Try, /*On fail goto*//*Label 26911*/ GIMT_Encode4(2019403), // Rule ID 17069 //
     /* 2019321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2019324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2019332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2019335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2019338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2019348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019352 */     // MIs[0] passthru
     /* 2019352 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019365 */     // MIs[0] round
     /* 2019365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019368 */     // MIs[0] policy
     /* 2019368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019378 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2019381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019402 */     // GIR_Coverage, 17069,
     /* 2019402 */     GIR_EraseRootFromParent_Done,
     /* 2019403 */   // Label 26911: @2019403
     /* 2019403 */   GIM_Try, /*On fail goto*//*Label 26912*/ GIMT_Encode4(2019490), // Rule ID 17070 //
     /* 2019408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2019411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2019416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2019419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2019422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2019425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2019435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019439 */     // MIs[0] passthru
     /* 2019439 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019452 */     // MIs[0] round
     /* 2019452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019455 */     // MIs[0] policy
     /* 2019455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019465 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2019468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019489 */     // GIR_Coverage, 17070,
     /* 2019489 */     GIR_EraseRootFromParent_Done,
     /* 2019490 */   // Label 26912: @2019490
     /* 2019490 */   GIM_Try, /*On fail goto*//*Label 26913*/ GIMT_Encode4(2019577), // Rule ID 17115 //
     /* 2019495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2019498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2019503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2019506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2019509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2019512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019526 */     // MIs[0] passthru
     /* 2019526 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019539 */     // MIs[0] round
     /* 2019539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019542 */     // MIs[0] policy
     /* 2019542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019552 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2019555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019576 */     // GIR_Coverage, 17115,
     /* 2019576 */     GIR_EraseRootFromParent_Done,
     /* 2019577 */   // Label 26913: @2019577
     /* 2019577 */   GIM_Try, /*On fail goto*//*Label 26914*/ GIMT_Encode4(2019664), // Rule ID 17116 //
     /* 2019582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2019585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2019590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2019593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2019596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2019599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019613 */     // MIs[0] passthru
     /* 2019613 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019626 */     // MIs[0] round
     /* 2019626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019629 */     // MIs[0] policy
     /* 2019629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019639 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2019642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019663 */     // GIR_Coverage, 17116,
     /* 2019663 */     GIR_EraseRootFromParent_Done,
     /* 2019664 */   // Label 26914: @2019664
     /* 2019664 */   GIM_Try, /*On fail goto*//*Label 26915*/ GIMT_Encode4(2019751), // Rule ID 17125 //
     /* 2019669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2019672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2019677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2019686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019700 */     // MIs[0] passthru
     /* 2019700 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019713 */     // MIs[0] round
     /* 2019713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019716 */     // MIs[0] policy
     /* 2019716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019726 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2019729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019750 */     // GIR_Coverage, 17125,
     /* 2019750 */     GIR_EraseRootFromParent_Done,
     /* 2019751 */   // Label 26915: @2019751
     /* 2019751 */   GIM_Try, /*On fail goto*//*Label 26916*/ GIMT_Encode4(2019838), // Rule ID 17126 //
     /* 2019756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2019759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2019764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2019773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019787 */     // MIs[0] passthru
     /* 2019787 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019800 */     // MIs[0] round
     /* 2019800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019803 */     // MIs[0] policy
     /* 2019803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019813 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2019816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019837 */     // GIR_Coverage, 17126,
     /* 2019837 */     GIR_EraseRootFromParent_Done,
     /* 2019838 */   // Label 26916: @2019838
     /* 2019838 */   GIM_Try, /*On fail goto*//*Label 26917*/ GIMT_Encode4(2019925), // Rule ID 17135 //
     /* 2019843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2019846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2019851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2019854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2019857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2019860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019874 */     // MIs[0] passthru
     /* 2019874 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019887 */     // MIs[0] round
     /* 2019887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019890 */     // MIs[0] policy
     /* 2019890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019900 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2019903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019924 */     // GIR_Coverage, 17135,
     /* 2019924 */     GIR_EraseRootFromParent_Done,
     /* 2019925 */   // Label 26917: @2019925
     /* 2019925 */   GIM_Try, /*On fail goto*//*Label 26918*/ GIMT_Encode4(2020012), // Rule ID 17136 //
     /* 2019930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2019933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2019938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2019941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2019944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2019947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019961 */     // MIs[0] passthru
     /* 2019961 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2019966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019974 */     // MIs[0] round
     /* 2019974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019977 */     // MIs[0] policy
     /* 2019977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019987 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2019990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020011 */     // GIR_Coverage, 17136,
     /* 2020011 */     GIR_EraseRootFromParent_Done,
     /* 2020012 */   // Label 26918: @2020012
     /* 2020012 */   GIM_Try, /*On fail goto*//*Label 26919*/ GIMT_Encode4(2020099), // Rule ID 17145 //
     /* 2020017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2020020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2020025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2020028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2020031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2020034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020048 */     // MIs[0] passthru
     /* 2020048 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020061 */     // MIs[0] round
     /* 2020061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020064 */     // MIs[0] policy
     /* 2020064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020074 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2020077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020098 */     // GIR_Coverage, 17145,
     /* 2020098 */     GIR_EraseRootFromParent_Done,
     /* 2020099 */   // Label 26919: @2020099
     /* 2020099 */   GIM_Try, /*On fail goto*//*Label 26920*/ GIMT_Encode4(2020186), // Rule ID 17146 //
     /* 2020104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2020107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2020112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2020115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2020118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2020121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020135 */     // MIs[0] passthru
     /* 2020135 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020148 */     // MIs[0] round
     /* 2020148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020151 */     // MIs[0] policy
     /* 2020151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020161 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2020164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020185 */     // GIR_Coverage, 17146,
     /* 2020185 */     GIR_EraseRootFromParent_Done,
     /* 2020186 */   // Label 26920: @2020186
     /* 2020186 */   GIM_Try, /*On fail goto*//*Label 26921*/ GIMT_Encode4(2020273), // Rule ID 17155 //
     /* 2020191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2020194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2020199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2020202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2020205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2020208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2020211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020222 */     // MIs[0] passthru
     /* 2020222 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020235 */     // MIs[0] round
     /* 2020235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020238 */     // MIs[0] policy
     /* 2020238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020248 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2020251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020272 */     // GIR_Coverage, 17155,
     /* 2020272 */     GIR_EraseRootFromParent_Done,
     /* 2020273 */   // Label 26921: @2020273
     /* 2020273 */   GIM_Try, /*On fail goto*//*Label 26922*/ GIMT_Encode4(2020360), // Rule ID 17156 //
     /* 2020278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2020281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2020286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2020289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2020292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2020295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2020298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020309 */     // MIs[0] passthru
     /* 2020309 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020322 */     // MIs[0] round
     /* 2020322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020325 */     // MIs[0] policy
     /* 2020325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020335 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2020338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020359 */     // GIR_Coverage, 17156,
     /* 2020359 */     GIR_EraseRootFromParent_Done,
     /* 2020360 */   // Label 26922: @2020360
     /* 2020360 */   GIM_Try, /*On fail goto*//*Label 26923*/ GIMT_Encode4(2020447), // Rule ID 17165 //
     /* 2020365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2020368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2020373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2020376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2020379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2020382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020396 */     // MIs[0] passthru
     /* 2020396 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020409 */     // MIs[0] round
     /* 2020409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020412 */     // MIs[0] policy
     /* 2020412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020422 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2020425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020446 */     // GIR_Coverage, 17165,
     /* 2020446 */     GIR_EraseRootFromParent_Done,
     /* 2020447 */   // Label 26923: @2020447
     /* 2020447 */   GIM_Try, /*On fail goto*//*Label 26924*/ GIMT_Encode4(2020534), // Rule ID 17166 //
     /* 2020452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2020455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2020460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2020463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2020466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2020469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020483 */     // MIs[0] passthru
     /* 2020483 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020496 */     // MIs[0] round
     /* 2020496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020499 */     // MIs[0] policy
     /* 2020499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020509 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2020512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020533 */     // GIR_Coverage, 17166,
     /* 2020533 */     GIR_EraseRootFromParent_Done,
     /* 2020534 */   // Label 26924: @2020534
     /* 2020534 */   GIM_Try, /*On fail goto*//*Label 26925*/ GIMT_Encode4(2020621), // Rule ID 17175 //
     /* 2020539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2020542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2020547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2020550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2020553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2020556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020570 */     // MIs[0] passthru
     /* 2020570 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020583 */     // MIs[0] round
     /* 2020583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020586 */     // MIs[0] policy
     /* 2020586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020596 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2020599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020620 */     // GIR_Coverage, 17175,
     /* 2020620 */     GIR_EraseRootFromParent_Done,
     /* 2020621 */   // Label 26925: @2020621
     /* 2020621 */   GIM_Try, /*On fail goto*//*Label 26926*/ GIMT_Encode4(2020708), // Rule ID 17176 //
     /* 2020626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2020629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2020634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2020637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2020640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2020643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020657 */     // MIs[0] passthru
     /* 2020657 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020670 */     // MIs[0] round
     /* 2020670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020673 */     // MIs[0] policy
     /* 2020673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020683 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2020686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020707 */     // GIR_Coverage, 17176,
     /* 2020707 */     GIR_EraseRootFromParent_Done,
     /* 2020708 */   // Label 26926: @2020708
     /* 2020708 */   GIM_Try, /*On fail goto*//*Label 26927*/ GIMT_Encode4(2020795), // Rule ID 17185 //
     /* 2020713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2020716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2020721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2020724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2020727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2020730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020744 */     // MIs[0] passthru
     /* 2020744 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020757 */     // MIs[0] round
     /* 2020757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020760 */     // MIs[0] policy
     /* 2020760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020770 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2020773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020794 */     // GIR_Coverage, 17185,
     /* 2020794 */     GIR_EraseRootFromParent_Done,
     /* 2020795 */   // Label 26927: @2020795
     /* 2020795 */   GIM_Try, /*On fail goto*//*Label 26928*/ GIMT_Encode4(2020882), // Rule ID 17186 //
     /* 2020800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2020803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2020808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2020811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2020814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2020817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020831 */     // MIs[0] passthru
     /* 2020831 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020844 */     // MIs[0] round
     /* 2020844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020847 */     // MIs[0] policy
     /* 2020847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020857 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2020860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020881 */     // GIR_Coverage, 17186,
     /* 2020881 */     GIR_EraseRootFromParent_Done,
     /* 2020882 */   // Label 26928: @2020882
     /* 2020882 */   GIM_Try, /*On fail goto*//*Label 26929*/ GIMT_Encode4(2020969), // Rule ID 17195 //
     /* 2020887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2020890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2020895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2020898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2020901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2020904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020918 */     // MIs[0] passthru
     /* 2020918 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2020923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020931 */     // MIs[0] round
     /* 2020931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020934 */     // MIs[0] policy
     /* 2020934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020944 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2020947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020968 */     // GIR_Coverage, 17195,
     /* 2020968 */     GIR_EraseRootFromParent_Done,
     /* 2020969 */   // Label 26929: @2020969
     /* 2020969 */   GIM_Try, /*On fail goto*//*Label 26930*/ GIMT_Encode4(2021056), // Rule ID 17196 //
     /* 2020974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2020977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2020982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2020985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2020988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2020991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2021001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021005 */     // MIs[0] passthru
     /* 2021005 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2021010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021018 */     // MIs[0] round
     /* 2021018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021021 */     // MIs[0] policy
     /* 2021021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021031 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2021034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021055 */     // GIR_Coverage, 17196,
     /* 2021055 */     GIR_EraseRootFromParent_Done,
     /* 2021056 */   // Label 26930: @2021056
     /* 2021056 */   GIM_Try, /*On fail goto*//*Label 26931*/ GIMT_Encode4(2021147), // Rule ID 2585 //
     /* 2021061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2021069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2021072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2021075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2021078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2021081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021107 */     // MIs[0] round
     /* 2021107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021110 */     // MIs[0] policy
     /* 2021110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021120 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2021123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021146 */     // GIR_Coverage, 2585,
     /* 2021146 */     GIR_EraseRootFromParent_Done,
     /* 2021147 */   // Label 26931: @2021147
     /* 2021147 */   GIM_Try, /*On fail goto*//*Label 26932*/ GIMT_Encode4(2021238), // Rule ID 2586 //
     /* 2021152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2021160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2021163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2021166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2021169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2021172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021198 */     // MIs[0] round
     /* 2021198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021201 */     // MIs[0] policy
     /* 2021201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021211 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2021214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021237 */     // GIR_Coverage, 2586,
     /* 2021237 */     GIR_EraseRootFromParent_Done,
     /* 2021238 */   // Label 26932: @2021238
     /* 2021238 */   GIM_Try, /*On fail goto*//*Label 26933*/ GIMT_Encode4(2021329), // Rule ID 2629 //
     /* 2021243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2021246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2021251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2021254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2021257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2021260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2021263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021289 */     // MIs[0] round
     /* 2021289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021292 */     // MIs[0] policy
     /* 2021292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021302 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2021305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021328 */     // GIR_Coverage, 2629,
     /* 2021328 */     GIR_EraseRootFromParent_Done,
     /* 2021329 */   // Label 26933: @2021329
     /* 2021329 */   GIM_Try, /*On fail goto*//*Label 26934*/ GIMT_Encode4(2021420), // Rule ID 2630 //
     /* 2021334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2021337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2021342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2021345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2021348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2021351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2021354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021380 */     // MIs[0] round
     /* 2021380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021383 */     // MIs[0] policy
     /* 2021383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021393 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2021396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021419 */     // GIR_Coverage, 2630,
     /* 2021419 */     GIR_EraseRootFromParent_Done,
     /* 2021420 */   // Label 26934: @2021420
     /* 2021420 */   GIM_Try, /*On fail goto*//*Label 26935*/ GIMT_Encode4(2021511), // Rule ID 2637 //
     /* 2021425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2021428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2021433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2021436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2021439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2021442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2021445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021471 */     // MIs[0] round
     /* 2021471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021474 */     // MIs[0] policy
     /* 2021474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021484 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2021487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2021491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021510 */     // GIR_Coverage, 2637,
     /* 2021510 */     GIR_EraseRootFromParent_Done,
     /* 2021511 */   // Label 26935: @2021511
     /* 2021511 */   GIM_Try, /*On fail goto*//*Label 26936*/ GIMT_Encode4(2021602), // Rule ID 2638 //
     /* 2021516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2021519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2021524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2021527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2021530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2021533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2021536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021562 */     // MIs[0] round
     /* 2021562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021565 */     // MIs[0] policy
     /* 2021565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021575 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2021578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2021582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021601 */     // GIR_Coverage, 2638,
     /* 2021601 */     GIR_EraseRootFromParent_Done,
     /* 2021602 */   // Label 26936: @2021602
     /* 2021602 */   GIM_Try, /*On fail goto*//*Label 26937*/ GIMT_Encode4(2021693), // Rule ID 14787 //
     /* 2021607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2021615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2021618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2021621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2021624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2021627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021653 */     // MIs[0] round
     /* 2021653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021656 */     // MIs[0] policy
     /* 2021656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021666 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2021669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021692 */     // GIR_Coverage, 14787,
     /* 2021692 */     GIR_EraseRootFromParent_Done,
     /* 2021693 */   // Label 26937: @2021693
     /* 2021693 */   GIM_Try, /*On fail goto*//*Label 26938*/ GIMT_Encode4(2021784), // Rule ID 14788 //
     /* 2021698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2021706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2021709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2021712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2021715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2021718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021744 */     // MIs[0] round
     /* 2021744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021747 */     // MIs[0] policy
     /* 2021747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021757 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2021760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021783 */     // GIR_Coverage, 14788,
     /* 2021783 */     GIR_EraseRootFromParent_Done,
     /* 2021784 */   // Label 26938: @2021784
     /* 2021784 */   GIM_Try, /*On fail goto*//*Label 26939*/ GIMT_Encode4(2021875), // Rule ID 14791 //
     /* 2021789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2021797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2021800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2021803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2021806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2021809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021835 */     // MIs[0] round
     /* 2021835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021838 */     // MIs[0] policy
     /* 2021838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021848 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2021851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021874 */     // GIR_Coverage, 14791,
     /* 2021874 */     GIR_EraseRootFromParent_Done,
     /* 2021875 */   // Label 26939: @2021875
     /* 2021875 */   GIM_Try, /*On fail goto*//*Label 26940*/ GIMT_Encode4(2021966), // Rule ID 14792 //
     /* 2021880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2021888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2021891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2021894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2021897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2021900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021926 */     // MIs[0] round
     /* 2021926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021929 */     // MIs[0] policy
     /* 2021929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021939 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2021942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021965 */     // GIR_Coverage, 14792,
     /* 2021965 */     GIR_EraseRootFromParent_Done,
     /* 2021966 */   // Label 26940: @2021966
     /* 2021966 */   GIM_Try, /*On fail goto*//*Label 26941*/ GIMT_Encode4(2022057), // Rule ID 14795 //
     /* 2021971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2021979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2021982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2021985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2021988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2021991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022017 */     // MIs[0] round
     /* 2022017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022020 */     // MIs[0] policy
     /* 2022020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022030 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2022033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022056 */     // GIR_Coverage, 14795,
     /* 2022056 */     GIR_EraseRootFromParent_Done,
     /* 2022057 */   // Label 26941: @2022057
     /* 2022057 */   GIM_Try, /*On fail goto*//*Label 26942*/ GIMT_Encode4(2022148), // Rule ID 14796 //
     /* 2022062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2022073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2022076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2022079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2022082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022108 */     // MIs[0] round
     /* 2022108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022111 */     // MIs[0] policy
     /* 2022111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022121 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2022124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022147 */     // GIR_Coverage, 14796,
     /* 2022147 */     GIR_EraseRootFromParent_Done,
     /* 2022148 */   // Label 26942: @2022148
     /* 2022148 */   GIM_Try, /*On fail goto*//*Label 26943*/ GIMT_Encode4(2022239), // Rule ID 14799 //
     /* 2022153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2022164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2022167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2022170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2022173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022199 */     // MIs[0] round
     /* 2022199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022202 */     // MIs[0] policy
     /* 2022202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022212 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2022215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022238 */     // GIR_Coverage, 14799,
     /* 2022238 */     GIR_EraseRootFromParent_Done,
     /* 2022239 */   // Label 26943: @2022239
     /* 2022239 */   GIM_Try, /*On fail goto*//*Label 26944*/ GIMT_Encode4(2022330), // Rule ID 14800 //
     /* 2022244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2022255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2022258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2022261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2022264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022290 */     // MIs[0] round
     /* 2022290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022293 */     // MIs[0] policy
     /* 2022293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022303 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2022306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022329 */     // GIR_Coverage, 14800,
     /* 2022329 */     GIR_EraseRootFromParent_Done,
     /* 2022330 */   // Label 26944: @2022330
     /* 2022330 */   GIM_Try, /*On fail goto*//*Label 26945*/ GIMT_Encode4(2022421), // Rule ID 14803 //
     /* 2022335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2022346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2022349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2022352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2022355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022381 */     // MIs[0] round
     /* 2022381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022384 */     // MIs[0] policy
     /* 2022384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022394 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2022397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022420 */     // GIR_Coverage, 14803,
     /* 2022420 */     GIR_EraseRootFromParent_Done,
     /* 2022421 */   // Label 26945: @2022421
     /* 2022421 */   GIM_Try, /*On fail goto*//*Label 26946*/ GIMT_Encode4(2022512), // Rule ID 14804 //
     /* 2022426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2022437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2022440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2022443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2022446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022472 */     // MIs[0] round
     /* 2022472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022475 */     // MIs[0] policy
     /* 2022475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022485 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2022488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022511 */     // GIR_Coverage, 14804,
     /* 2022511 */     GIR_EraseRootFromParent_Done,
     /* 2022512 */   // Label 26946: @2022512
     /* 2022512 */   GIM_Try, /*On fail goto*//*Label 26947*/ GIMT_Encode4(2022603), // Rule ID 14807 //
     /* 2022517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2022528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2022531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2022534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2022537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022563 */     // MIs[0] round
     /* 2022563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022566 */     // MIs[0] policy
     /* 2022566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022576 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2022579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022602 */     // GIR_Coverage, 14807,
     /* 2022602 */     GIR_EraseRootFromParent_Done,
     /* 2022603 */   // Label 26947: @2022603
     /* 2022603 */   GIM_Try, /*On fail goto*//*Label 26948*/ GIMT_Encode4(2022694), // Rule ID 14808 //
     /* 2022608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2022619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2022622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2022625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2022628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022654 */     // MIs[0] round
     /* 2022654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022657 */     // MIs[0] policy
     /* 2022657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022667 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2022670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022693 */     // GIR_Coverage, 14808,
     /* 2022693 */     GIR_EraseRootFromParent_Done,
     /* 2022694 */   // Label 26948: @2022694
     /* 2022694 */   GIM_Try, /*On fail goto*//*Label 26949*/ GIMT_Encode4(2022785), // Rule ID 14811 //
     /* 2022699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2022710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2022713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2022716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2022719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2022722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022745 */     // MIs[0] round
     /* 2022745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022748 */     // MIs[0] policy
     /* 2022748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022758 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2022761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022784 */     // GIR_Coverage, 14811,
     /* 2022784 */     GIR_EraseRootFromParent_Done,
     /* 2022785 */   // Label 26949: @2022785
     /* 2022785 */   GIM_Try, /*On fail goto*//*Label 26950*/ GIMT_Encode4(2022876), // Rule ID 14812 //
     /* 2022790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2022801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2022804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2022807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2022810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2022813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022836 */     // MIs[0] round
     /* 2022836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022839 */     // MIs[0] policy
     /* 2022839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022849 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2022852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022875 */     // GIR_Coverage, 14812,
     /* 2022875 */     GIR_EraseRootFromParent_Done,
     /* 2022876 */   // Label 26950: @2022876
     /* 2022876 */   GIM_Try, /*On fail goto*//*Label 26951*/ GIMT_Encode4(2022967), // Rule ID 14815 //
     /* 2022881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2022892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2022895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2022898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2022901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022927 */     // MIs[0] round
     /* 2022927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022930 */     // MIs[0] policy
     /* 2022930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022940 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2022943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022966 */     // GIR_Coverage, 14815,
     /* 2022966 */     GIR_EraseRootFromParent_Done,
     /* 2022967 */   // Label 26951: @2022967
     /* 2022967 */   GIM_Try, /*On fail goto*//*Label 26952*/ GIMT_Encode4(2023058), // Rule ID 14816 //
     /* 2022972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2022983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2022986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2022989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2022992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023018 */     // MIs[0] round
     /* 2023018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023021 */     // MIs[0] policy
     /* 2023021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023031 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2023034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023057 */     // GIR_Coverage, 14816,
     /* 2023057 */     GIR_EraseRootFromParent_Done,
     /* 2023058 */   // Label 26952: @2023058
     /* 2023058 */   GIM_Try, /*On fail goto*//*Label 26953*/ GIMT_Encode4(2023149), // Rule ID 14819 //
     /* 2023063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2023066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2023074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2023077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2023080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2023083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023109 */     // MIs[0] round
     /* 2023109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023112 */     // MIs[0] policy
     /* 2023112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023122 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2023125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2023145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023148 */     // GIR_Coverage, 14819,
     /* 2023148 */     GIR_EraseRootFromParent_Done,
     /* 2023149 */   // Label 26953: @2023149
     /* 2023149 */   GIM_Try, /*On fail goto*//*Label 26954*/ GIMT_Encode4(2023240), // Rule ID 14820 //
     /* 2023154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2023157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2023165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2023168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2023171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2023174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023200 */     // MIs[0] round
     /* 2023200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023203 */     // MIs[0] policy
     /* 2023203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023213 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2023216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2023236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023239 */     // GIR_Coverage, 14820,
     /* 2023239 */     GIR_EraseRootFromParent_Done,
     /* 2023240 */   // Label 26954: @2023240
     /* 2023240 */   GIM_Try, /*On fail goto*//*Label 26955*/ GIMT_Encode4(2023331), // Rule ID 14823 //
     /* 2023245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2023256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2023259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2023262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2023265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2023268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023291 */     // MIs[0] round
     /* 2023291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023294 */     // MIs[0] policy
     /* 2023294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023304 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2023307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023330 */     // GIR_Coverage, 14823,
     /* 2023330 */     GIR_EraseRootFromParent_Done,
     /* 2023331 */   // Label 26955: @2023331
     /* 2023331 */   GIM_Try, /*On fail goto*//*Label 26956*/ GIMT_Encode4(2023422), // Rule ID 14824 //
     /* 2023336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2023347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2023350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2023353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2023356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2023359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023382 */     // MIs[0] round
     /* 2023382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023385 */     // MIs[0] policy
     /* 2023385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023395 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2023398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023421 */     // GIR_Coverage, 14824,
     /* 2023421 */     GIR_EraseRootFromParent_Done,
     /* 2023422 */   // Label 26956: @2023422
     /* 2023422 */   GIM_Try, /*On fail goto*//*Label 26957*/ GIMT_Encode4(2023513), // Rule ID 14827 //
     /* 2023427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2023438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2023441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2023444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2023447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2023450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023473 */     // MIs[0] round
     /* 2023473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023476 */     // MIs[0] policy
     /* 2023476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023486 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2023489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023512 */     // GIR_Coverage, 14827,
     /* 2023512 */     GIR_EraseRootFromParent_Done,
     /* 2023513 */   // Label 26957: @2023513
     /* 2023513 */   GIM_Try, /*On fail goto*//*Label 26958*/ GIMT_Encode4(2023604), // Rule ID 14828 //
     /* 2023518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2023529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2023532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2023535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2023538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2023541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023564 */     // MIs[0] round
     /* 2023564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023567 */     // MIs[0] policy
     /* 2023567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023577 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2023580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023603 */     // GIR_Coverage, 14828,
     /* 2023603 */     GIR_EraseRootFromParent_Done,
     /* 2023604 */   // Label 26958: @2023604
     /* 2023604 */   GIM_Try, /*On fail goto*//*Label 26959*/ GIMT_Encode4(2023695), // Rule ID 14831 //
     /* 2023609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2023620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2023623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2023626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2023629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2023632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2023639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023655 */     // MIs[0] round
     /* 2023655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023658 */     // MIs[0] policy
     /* 2023658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023668 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2023671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023694 */     // GIR_Coverage, 14831,
     /* 2023694 */     GIR_EraseRootFromParent_Done,
     /* 2023695 */   // Label 26959: @2023695
     /* 2023695 */   GIM_Try, /*On fail goto*//*Label 26960*/ GIMT_Encode4(2023786), // Rule ID 14832 //
     /* 2023700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2023711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2023714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2023717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2023720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2023723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2023730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023746 */     // MIs[0] round
     /* 2023746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023749 */     // MIs[0] policy
     /* 2023749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023759 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2023762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023785 */     // GIR_Coverage, 14832,
     /* 2023785 */     GIR_EraseRootFromParent_Done,
     /* 2023786 */   // Label 26960: @2023786
     /* 2023786 */   GIM_Try, /*On fail goto*//*Label 26961*/ GIMT_Encode4(2023877), // Rule ID 14835 //
     /* 2023791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2023802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2023805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2023808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2023811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023837 */     // MIs[0] round
     /* 2023837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023840 */     // MIs[0] policy
     /* 2023840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023850 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2023853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023876 */     // GIR_Coverage, 14835,
     /* 2023876 */     GIR_EraseRootFromParent_Done,
     /* 2023877 */   // Label 26961: @2023877
     /* 2023877 */   GIM_Try, /*On fail goto*//*Label 26962*/ GIMT_Encode4(2023968), // Rule ID 14836 //
     /* 2023882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2023893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2023896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2023899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2023902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023928 */     // MIs[0] round
     /* 2023928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023931 */     // MIs[0] policy
     /* 2023931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023941 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2023944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023967 */     // GIR_Coverage, 14836,
     /* 2023967 */     GIR_EraseRootFromParent_Done,
     /* 2023968 */   // Label 26962: @2023968
     /* 2023968 */   GIM_Try, /*On fail goto*//*Label 26963*/ GIMT_Encode4(2024059), // Rule ID 14839 //
     /* 2023973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2023984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2023987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2023990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2023993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2023996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024019 */     // MIs[0] round
     /* 2024019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024022 */     // MIs[0] policy
     /* 2024022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024032 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2024035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024058 */     // GIR_Coverage, 14839,
     /* 2024058 */     GIR_EraseRootFromParent_Done,
     /* 2024059 */   // Label 26963: @2024059
     /* 2024059 */   GIM_Try, /*On fail goto*//*Label 26964*/ GIMT_Encode4(2024150), // Rule ID 14840 //
     /* 2024064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2024075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2024078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2024081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2024084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2024087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024110 */     // MIs[0] round
     /* 2024110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024113 */     // MIs[0] policy
     /* 2024113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024123 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2024126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024149 */     // GIR_Coverage, 14840,
     /* 2024149 */     GIR_EraseRootFromParent_Done,
     /* 2024150 */   // Label 26964: @2024150
     /* 2024150 */   GIM_Try, /*On fail goto*//*Label 26965*/ GIMT_Encode4(2024241), // Rule ID 14843 //
     /* 2024155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2024166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2024169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2024172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2024175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2024178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024201 */     // MIs[0] round
     /* 2024201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024204 */     // MIs[0] policy
     /* 2024204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024214 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2024217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024240 */     // GIR_Coverage, 14843,
     /* 2024240 */     GIR_EraseRootFromParent_Done,
     /* 2024241 */   // Label 26965: @2024241
     /* 2024241 */   GIM_Try, /*On fail goto*//*Label 26966*/ GIMT_Encode4(2024332), // Rule ID 14844 //
     /* 2024246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2024257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2024260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2024263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2024266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2024269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024292 */     // MIs[0] round
     /* 2024292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024295 */     // MIs[0] policy
     /* 2024295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024305 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2024308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024331 */     // GIR_Coverage, 14844,
     /* 2024331 */     GIR_EraseRootFromParent_Done,
     /* 2024332 */   // Label 26966: @2024332
     /* 2024332 */   GIM_Try, /*On fail goto*//*Label 26967*/ GIMT_Encode4(2024423), // Rule ID 14847 //
     /* 2024337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2024348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2024351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2024354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2024357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024383 */     // MIs[0] round
     /* 2024383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024386 */     // MIs[0] policy
     /* 2024386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024396 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2024399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024422 */     // GIR_Coverage, 14847,
     /* 2024422 */     GIR_EraseRootFromParent_Done,
     /* 2024423 */   // Label 26967: @2024423
     /* 2024423 */   GIM_Try, /*On fail goto*//*Label 26968*/ GIMT_Encode4(2024514), // Rule ID 14848 //
     /* 2024428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2024439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2024442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2024445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2024448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024474 */     // MIs[0] round
     /* 2024474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024477 */     // MIs[0] policy
     /* 2024477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024487 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2024490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024513 */     // GIR_Coverage, 14848,
     /* 2024513 */     GIR_EraseRootFromParent_Done,
     /* 2024514 */   // Label 26968: @2024514
     /* 2024514 */   GIM_Try, /*On fail goto*//*Label 26969*/ GIMT_Encode4(2024605), // Rule ID 14851 //
     /* 2024519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2024530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2024533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2024536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2024539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024565 */     // MIs[0] round
     /* 2024565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024568 */     // MIs[0] policy
     /* 2024568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024578 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2024581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024604 */     // GIR_Coverage, 14851,
     /* 2024604 */     GIR_EraseRootFromParent_Done,
     /* 2024605 */   // Label 26969: @2024605
     /* 2024605 */   GIM_Try, /*On fail goto*//*Label 26970*/ GIMT_Encode4(2024696), // Rule ID 14852 //
     /* 2024610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2024621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2024624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2024627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2024630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024656 */     // MIs[0] round
     /* 2024656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024659 */     // MIs[0] policy
     /* 2024659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024669 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2024672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024695 */     // GIR_Coverage, 14852,
     /* 2024695 */     GIR_EraseRootFromParent_Done,
     /* 2024696 */   // Label 26970: @2024696
     /* 2024696 */   GIM_Try, /*On fail goto*//*Label 26971*/ GIMT_Encode4(2024787), // Rule ID 14855 //
     /* 2024701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2024712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2024715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2024718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2024721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2024724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024747 */     // MIs[0] round
     /* 2024747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024750 */     // MIs[0] policy
     /* 2024750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024760 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2024763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024786 */     // GIR_Coverage, 14855,
     /* 2024786 */     GIR_EraseRootFromParent_Done,
     /* 2024787 */   // Label 26971: @2024787
     /* 2024787 */   GIM_Try, /*On fail goto*//*Label 26972*/ GIMT_Encode4(2024878), // Rule ID 14856 //
     /* 2024792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2024803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2024806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2024809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2024812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2024815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024838 */     // MIs[0] round
     /* 2024838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024841 */     // MIs[0] policy
     /* 2024841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024851 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2024854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024877 */     // GIR_Coverage, 14856,
     /* 2024877 */     GIR_EraseRootFromParent_Done,
     /* 2024878 */   // Label 26972: @2024878
     /* 2024878 */   GIM_Try, /*On fail goto*//*Label 26973*/ GIMT_Encode4(2024969), // Rule ID 14859 //
     /* 2024883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2024886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2024894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2024897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2024900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2024903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024929 */     // MIs[0] round
     /* 2024929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024932 */     // MIs[0] policy
     /* 2024932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024942 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2024945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024968 */     // GIR_Coverage, 14859,
     /* 2024968 */     GIR_EraseRootFromParent_Done,
     /* 2024969 */   // Label 26973: @2024969
     /* 2024969 */   GIM_Try, /*On fail goto*//*Label 26974*/ GIMT_Encode4(2025060), // Rule ID 14860 //
     /* 2024974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2024977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2024985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2024988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2024991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2024994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025020 */     // MIs[0] round
     /* 2025020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025023 */     // MIs[0] policy
     /* 2025023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025033 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2025036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2025056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025059 */     // GIR_Coverage, 14860,
     /* 2025059 */     GIR_EraseRootFromParent_Done,
     /* 2025060 */   // Label 26974: @2025060
     /* 2025060 */   GIM_Try, /*On fail goto*//*Label 26975*/ GIMT_Encode4(2025151), // Rule ID 14863 //
     /* 2025065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2025068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2025076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2025079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2025082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2025085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025111 */     // MIs[0] round
     /* 2025111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025114 */     // MIs[0] policy
     /* 2025114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025124 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2025127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2025147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025150 */     // GIR_Coverage, 14863,
     /* 2025150 */     GIR_EraseRootFromParent_Done,
     /* 2025151 */   // Label 26975: @2025151
     /* 2025151 */   GIM_Try, /*On fail goto*//*Label 26976*/ GIMT_Encode4(2025242), // Rule ID 14864 //
     /* 2025156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2025159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2025167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2025170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2025173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2025176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025202 */     // MIs[0] round
     /* 2025202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025205 */     // MIs[0] policy
     /* 2025205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025215 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2025218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2025238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025241 */     // GIR_Coverage, 14864,
     /* 2025241 */     GIR_EraseRootFromParent_Done,
     /* 2025242 */   // Label 26976: @2025242
     /* 2025242 */   GIM_Try, /*On fail goto*//*Label 26977*/ GIMT_Encode4(2025333), // Rule ID 14867 //
     /* 2025247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2025250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2025258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2025261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2025264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2025267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025293 */     // MIs[0] round
     /* 2025293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025296 */     // MIs[0] policy
     /* 2025296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025306 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2025309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2025329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025332 */     // GIR_Coverage, 14867,
     /* 2025332 */     GIR_EraseRootFromParent_Done,
     /* 2025333 */   // Label 26977: @2025333
     /* 2025333 */   GIM_Try, /*On fail goto*//*Label 26978*/ GIMT_Encode4(2025424), // Rule ID 14868 //
     /* 2025338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2025341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2025349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2025352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2025355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2025358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025384 */     // MIs[0] round
     /* 2025384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025387 */     // MIs[0] policy
     /* 2025387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025397 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2025400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2025420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025423 */     // GIR_Coverage, 14868,
     /* 2025423 */     GIR_EraseRootFromParent_Done,
     /* 2025424 */   // Label 26978: @2025424
     /* 2025424 */   GIM_Try, /*On fail goto*//*Label 26979*/ GIMT_Encode4(2025515), // Rule ID 14871 //
     /* 2025429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2025440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2025443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2025446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2025449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2025471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025475 */     // MIs[0] round
     /* 2025475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025478 */     // MIs[0] policy
     /* 2025478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025488 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2025491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025514 */     // GIR_Coverage, 14871,
     /* 2025514 */     GIR_EraseRootFromParent_Done,
     /* 2025515 */   // Label 26979: @2025515
     /* 2025515 */   GIM_Try, /*On fail goto*//*Label 26980*/ GIMT_Encode4(2025606), // Rule ID 14872 //
     /* 2025520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2025531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2025534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2025537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2025540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2025562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025566 */     // MIs[0] round
     /* 2025566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025569 */     // MIs[0] policy
     /* 2025569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025579 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2025582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025605 */     // GIR_Coverage, 14872,
     /* 2025605 */     GIR_EraseRootFromParent_Done,
     /* 2025606 */   // Label 26980: @2025606
     /* 2025606 */   GIM_Try, /*On fail goto*//*Label 26981*/ GIMT_Encode4(2025697), // Rule ID 14875 //
     /* 2025611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2025622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2025625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2025628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2025631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2025634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2025653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025657 */     // MIs[0] round
     /* 2025657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025660 */     // MIs[0] policy
     /* 2025660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025670 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2025673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025696 */     // GIR_Coverage, 14875,
     /* 2025696 */     GIR_EraseRootFromParent_Done,
     /* 2025697 */   // Label 26981: @2025697
     /* 2025697 */   GIM_Try, /*On fail goto*//*Label 26982*/ GIMT_Encode4(2025788), // Rule ID 14876 //
     /* 2025702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2025713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2025716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2025719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2025722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2025725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2025744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025748 */     // MIs[0] round
     /* 2025748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025751 */     // MIs[0] policy
     /* 2025751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025761 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2025764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025787 */     // GIR_Coverage, 14876,
     /* 2025787 */     GIR_EraseRootFromParent_Done,
     /* 2025788 */   // Label 26982: @2025788
     /* 2025788 */   GIM_Try, /*On fail goto*//*Label 26983*/ GIMT_Encode4(2025879), // Rule ID 14879 //
     /* 2025793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2025804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2025807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2025810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2025813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2025835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025839 */     // MIs[0] round
     /* 2025839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025842 */     // MIs[0] policy
     /* 2025842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025852 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2025855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025878 */     // GIR_Coverage, 14879,
     /* 2025878 */     GIR_EraseRootFromParent_Done,
     /* 2025879 */   // Label 26983: @2025879
     /* 2025879 */   GIM_Try, /*On fail goto*//*Label 26984*/ GIMT_Encode4(2025970), // Rule ID 14880 //
     /* 2025884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2025895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2025898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2025901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2025904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2025926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025930 */     // MIs[0] round
     /* 2025930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025933 */     // MIs[0] policy
     /* 2025933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025943 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2025946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025969 */     // GIR_Coverage, 14880,
     /* 2025969 */     GIR_EraseRootFromParent_Done,
     /* 2025970 */   // Label 26984: @2025970
     /* 2025970 */   GIM_Try, /*On fail goto*//*Label 26985*/ GIMT_Encode4(2026061), // Rule ID 14883 //
     /* 2025975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2025983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2025986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2025989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2025992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2025995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2026017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026021 */     // MIs[0] round
     /* 2026021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026024 */     // MIs[0] policy
     /* 2026024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026034 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2026037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026060 */     // GIR_Coverage, 14883,
     /* 2026060 */     GIR_EraseRootFromParent_Done,
     /* 2026061 */   // Label 26985: @2026061
     /* 2026061 */   GIM_Try, /*On fail goto*//*Label 26986*/ GIMT_Encode4(2026152), // Rule ID 14884 //
     /* 2026066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2026077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2026080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2026083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2026108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026112 */     // MIs[0] round
     /* 2026112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026115 */     // MIs[0] policy
     /* 2026115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026125 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2026128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026151 */     // GIR_Coverage, 14884,
     /* 2026151 */     GIR_EraseRootFromParent_Done,
     /* 2026152 */   // Label 26986: @2026152
     /* 2026152 */   GIM_Try, /*On fail goto*//*Label 26987*/ GIMT_Encode4(2026243), // Rule ID 14887 //
     /* 2026157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2026168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2026171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2026174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2026177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2026199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026203 */     // MIs[0] round
     /* 2026203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026206 */     // MIs[0] policy
     /* 2026206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026216 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2026219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026242 */     // GIR_Coverage, 14887,
     /* 2026242 */     GIR_EraseRootFromParent_Done,
     /* 2026243 */   // Label 26987: @2026243
     /* 2026243 */   GIM_Try, /*On fail goto*//*Label 26988*/ GIMT_Encode4(2026334), // Rule ID 14888 //
     /* 2026248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2026259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2026262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2026265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2026290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026294 */     // MIs[0] round
     /* 2026294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026297 */     // MIs[0] policy
     /* 2026297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026307 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2026310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026333 */     // GIR_Coverage, 14888,
     /* 2026333 */     GIR_EraseRootFromParent_Done,
     /* 2026334 */   // Label 26988: @2026334
     /* 2026334 */   GIM_Try, /*On fail goto*//*Label 26989*/ GIMT_Encode4(2026425), // Rule ID 14891 //
     /* 2026339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2026350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2026353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2026356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2026359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2026381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026385 */     // MIs[0] round
     /* 2026385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026388 */     // MIs[0] policy
     /* 2026388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026398 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2026401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026424 */     // GIR_Coverage, 14891,
     /* 2026424 */     GIR_EraseRootFromParent_Done,
     /* 2026425 */   // Label 26989: @2026425
     /* 2026425 */   GIM_Try, /*On fail goto*//*Label 26990*/ GIMT_Encode4(2026516), // Rule ID 14892 //
     /* 2026430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2026441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2026444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2026447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2026472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026476 */     // MIs[0] round
     /* 2026476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026479 */     // MIs[0] policy
     /* 2026479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026489 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2026492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026515 */     // GIR_Coverage, 14892,
     /* 2026515 */     GIR_EraseRootFromParent_Done,
     /* 2026516 */   // Label 26990: @2026516
     /* 2026516 */   GIM_Try, /*On fail goto*//*Label 26991*/ GIMT_Encode4(2026607), // Rule ID 14895 //
     /* 2026521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2026532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2026535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2026538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2026541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2026563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026567 */     // MIs[0] round
     /* 2026567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026570 */     // MIs[0] policy
     /* 2026570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026580 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2026583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026606 */     // GIR_Coverage, 14895,
     /* 2026606 */     GIR_EraseRootFromParent_Done,
     /* 2026607 */   // Label 26991: @2026607
     /* 2026607 */   GIM_Try, /*On fail goto*//*Label 26992*/ GIMT_Encode4(2026698), // Rule ID 14896 //
     /* 2026612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2026623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2026626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2026629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2026654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026658 */     // MIs[0] round
     /* 2026658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026661 */     // MIs[0] policy
     /* 2026661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026671 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2026674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026697 */     // GIR_Coverage, 14896,
     /* 2026697 */     GIR_EraseRootFromParent_Done,
     /* 2026698 */   // Label 26992: @2026698
     /* 2026698 */   GIM_Try, /*On fail goto*//*Label 26993*/ GIMT_Encode4(2026789), // Rule ID 14899 //
     /* 2026703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2026714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2026717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2026720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2026723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2026745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026749 */     // MIs[0] round
     /* 2026749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026752 */     // MIs[0] policy
     /* 2026752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026762 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2026765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026788 */     // GIR_Coverage, 14899,
     /* 2026788 */     GIR_EraseRootFromParent_Done,
     /* 2026789 */   // Label 26993: @2026789
     /* 2026789 */   GIM_Try, /*On fail goto*//*Label 26994*/ GIMT_Encode4(2026880), // Rule ID 14900 //
     /* 2026794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2026805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2026808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2026811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2026836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026840 */     // MIs[0] round
     /* 2026840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026843 */     // MIs[0] policy
     /* 2026843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026853 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2026856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026879 */     // GIR_Coverage, 14900,
     /* 2026879 */     GIR_EraseRootFromParent_Done,
     /* 2026880 */   // Label 26994: @2026880
     /* 2026880 */   GIM_Try, /*On fail goto*//*Label 26995*/ GIMT_Encode4(2026971), // Rule ID 14903 //
     /* 2026885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2026896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2026899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2026902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2026905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2026927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026931 */     // MIs[0] round
     /* 2026931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026934 */     // MIs[0] policy
     /* 2026934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026944 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2026947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026970 */     // GIR_Coverage, 14903,
     /* 2026970 */     GIR_EraseRootFromParent_Done,
     /* 2026971 */   // Label 26995: @2026971
     /* 2026971 */   GIM_Try, /*On fail goto*//*Label 26996*/ GIMT_Encode4(2027062), // Rule ID 14904 //
     /* 2026976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2026984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2026987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2026990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2026993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027022 */     // MIs[0] round
     /* 2027022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027025 */     // MIs[0] policy
     /* 2027025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027035 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2027038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027061 */     // GIR_Coverage, 14904,
     /* 2027061 */     GIR_EraseRootFromParent_Done,
     /* 2027062 */   // Label 26996: @2027062
     /* 2027062 */   GIM_Try, /*On fail goto*//*Label 26997*/ GIMT_Encode4(2027153), // Rule ID 14907 //
     /* 2027067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2027070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2027078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2027081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2027084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027113 */     // MIs[0] round
     /* 2027113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027116 */     // MIs[0] policy
     /* 2027116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027126 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2027129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2027149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027152 */     // GIR_Coverage, 14907,
     /* 2027152 */     GIR_EraseRootFromParent_Done,
     /* 2027153 */   // Label 26997: @2027153
     /* 2027153 */   GIM_Try, /*On fail goto*//*Label 26998*/ GIMT_Encode4(2027244), // Rule ID 14908 //
     /* 2027158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2027161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2027169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2027172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2027175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027204 */     // MIs[0] round
     /* 2027204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027207 */     // MIs[0] policy
     /* 2027207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027217 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2027220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2027240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027243 */     // GIR_Coverage, 14908,
     /* 2027243 */     GIR_EraseRootFromParent_Done,
     /* 2027244 */   // Label 26998: @2027244
     /* 2027244 */   GIM_Try, /*On fail goto*//*Label 26999*/ GIMT_Encode4(2027335), // Rule ID 14911 //
     /* 2027249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2027260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2027263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2027266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2027272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2027279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027295 */     // MIs[0] round
     /* 2027295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027298 */     // MIs[0] policy
     /* 2027298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027308 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2027311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027334 */     // GIR_Coverage, 14911,
     /* 2027334 */     GIR_EraseRootFromParent_Done,
     /* 2027335 */   // Label 26999: @2027335
     /* 2027335 */   GIM_Try, /*On fail goto*//*Label 27000*/ GIMT_Encode4(2027426), // Rule ID 14912 //
     /* 2027340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2027351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2027354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2027357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2027363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2027370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027386 */     // MIs[0] round
     /* 2027386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027389 */     // MIs[0] policy
     /* 2027389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027399 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2027402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027425 */     // GIR_Coverage, 14912,
     /* 2027425 */     GIR_EraseRootFromParent_Done,
     /* 2027426 */   // Label 27000: @2027426
     /* 2027426 */   GIM_Try, /*On fail goto*//*Label 27001*/ GIMT_Encode4(2027517), // Rule ID 14915 //
     /* 2027431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2027442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2027445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2027448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2027454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2027461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027477 */     // MIs[0] round
     /* 2027477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027480 */     // MIs[0] policy
     /* 2027480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027490 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2027493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027516 */     // GIR_Coverage, 14915,
     /* 2027516 */     GIR_EraseRootFromParent_Done,
     /* 2027517 */   // Label 27001: @2027517
     /* 2027517 */   GIM_Try, /*On fail goto*//*Label 27002*/ GIMT_Encode4(2027608), // Rule ID 14916 //
     /* 2027522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2027533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2027536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2027539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2027545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2027552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027568 */     // MIs[0] round
     /* 2027568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027571 */     // MIs[0] policy
     /* 2027571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027581 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2027584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027607 */     // GIR_Coverage, 14916,
     /* 2027607 */     GIR_EraseRootFromParent_Done,
     /* 2027608 */   // Label 27002: @2027608
     /* 2027608 */   GIM_Try, /*On fail goto*//*Label 27003*/ GIMT_Encode4(2027699), // Rule ID 14919 //
     /* 2027613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2027624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2027627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2027630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2027636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2027643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027659 */     // MIs[0] round
     /* 2027659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027662 */     // MIs[0] policy
     /* 2027662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027672 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2027675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027698 */     // GIR_Coverage, 14919,
     /* 2027698 */     GIR_EraseRootFromParent_Done,
     /* 2027699 */   // Label 27003: @2027699
     /* 2027699 */   GIM_Try, /*On fail goto*//*Label 27004*/ GIMT_Encode4(2027790), // Rule ID 14920 //
     /* 2027704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2027715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2027718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2027721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2027727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2027734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027750 */     // MIs[0] round
     /* 2027750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027753 */     // MIs[0] policy
     /* 2027753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027763 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2027766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027789 */     // GIR_Coverage, 14920,
     /* 2027789 */     GIR_EraseRootFromParent_Done,
     /* 2027790 */   // Label 27004: @2027790
     /* 2027790 */   GIM_Try, /*On fail goto*//*Label 27005*/ GIMT_Encode4(2027881), // Rule ID 14923 //
     /* 2027795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2027806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2027809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2027812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2027825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027841 */     // MIs[0] round
     /* 2027841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027844 */     // MIs[0] policy
     /* 2027844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027854 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2027857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027880 */     // GIR_Coverage, 14923,
     /* 2027880 */     GIR_EraseRootFromParent_Done,
     /* 2027881 */   // Label 27005: @2027881
     /* 2027881 */   GIM_Try, /*On fail goto*//*Label 27006*/ GIMT_Encode4(2027972), // Rule ID 14924 //
     /* 2027886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2027897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2027900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2027903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2027916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2027928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027932 */     // MIs[0] round
     /* 2027932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027935 */     // MIs[0] policy
     /* 2027935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027945 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2027948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027971 */     // GIR_Coverage, 14924,
     /* 2027971 */     GIR_EraseRootFromParent_Done,
     /* 2027972 */   // Label 27006: @2027972
     /* 2027972 */   GIM_Try, /*On fail goto*//*Label 27007*/ GIMT_Encode4(2028063), // Rule ID 14927 //
     /* 2027977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2027985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2027988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2027991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2027994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028023 */     // MIs[0] round
     /* 2028023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028026 */     // MIs[0] policy
     /* 2028026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028036 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2028039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028062 */     // GIR_Coverage, 14927,
     /* 2028062 */     GIR_EraseRootFromParent_Done,
     /* 2028063 */   // Label 27007: @2028063
     /* 2028063 */   GIM_Try, /*On fail goto*//*Label 27008*/ GIMT_Encode4(2028154), // Rule ID 14928 //
     /* 2028068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2028079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2028082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2028085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028114 */     // MIs[0] round
     /* 2028114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028117 */     // MIs[0] policy
     /* 2028117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028127 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2028130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028153 */     // GIR_Coverage, 14928,
     /* 2028153 */     GIR_EraseRootFromParent_Done,
     /* 2028154 */   // Label 27008: @2028154
     /* 2028154 */   GIM_Try, /*On fail goto*//*Label 27009*/ GIMT_Encode4(2028245), // Rule ID 14931 //
     /* 2028159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2028170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2028173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2028176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2028182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028205 */     // MIs[0] round
     /* 2028205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028208 */     // MIs[0] policy
     /* 2028208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028218 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2028221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028244 */     // GIR_Coverage, 14931,
     /* 2028244 */     GIR_EraseRootFromParent_Done,
     /* 2028245 */   // Label 27009: @2028245
     /* 2028245 */   GIM_Try, /*On fail goto*//*Label 27010*/ GIMT_Encode4(2028336), // Rule ID 14932 //
     /* 2028250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2028261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2028264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2028267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2028273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028296 */     // MIs[0] round
     /* 2028296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028299 */     // MIs[0] policy
     /* 2028299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028309 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2028312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028335 */     // GIR_Coverage, 14932,
     /* 2028335 */     GIR_EraseRootFromParent_Done,
     /* 2028336 */   // Label 27010: @2028336
     /* 2028336 */   GIM_Try, /*On fail goto*//*Label 27011*/ GIMT_Encode4(2028427), // Rule ID 14935 //
     /* 2028341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2028352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2028355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2028358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028387 */     // MIs[0] round
     /* 2028387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028390 */     // MIs[0] policy
     /* 2028390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028400 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2028403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028426 */     // GIR_Coverage, 14935,
     /* 2028426 */     GIR_EraseRootFromParent_Done,
     /* 2028427 */   // Label 27011: @2028427
     /* 2028427 */   GIM_Try, /*On fail goto*//*Label 27012*/ GIMT_Encode4(2028518), // Rule ID 14936 //
     /* 2028432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2028443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2028446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2028449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028478 */     // MIs[0] round
     /* 2028478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028481 */     // MIs[0] policy
     /* 2028481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028491 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2028494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028517 */     // GIR_Coverage, 14936,
     /* 2028517 */     GIR_EraseRootFromParent_Done,
     /* 2028518 */   // Label 27012: @2028518
     /* 2028518 */   GIM_Try, /*On fail goto*//*Label 27013*/ GIMT_Encode4(2028609), // Rule ID 14939 //
     /* 2028523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2028534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2028537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2028540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028569 */     // MIs[0] round
     /* 2028569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028572 */     // MIs[0] policy
     /* 2028572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028582 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2028585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028608 */     // GIR_Coverage, 14939,
     /* 2028608 */     GIR_EraseRootFromParent_Done,
     /* 2028609 */   // Label 27013: @2028609
     /* 2028609 */   GIM_Try, /*On fail goto*//*Label 27014*/ GIMT_Encode4(2028700), // Rule ID 14940 //
     /* 2028614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2028625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2028628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2028631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028660 */     // MIs[0] round
     /* 2028660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028663 */     // MIs[0] policy
     /* 2028663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028673 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2028676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028699 */     // GIR_Coverage, 14940,
     /* 2028699 */     GIR_EraseRootFromParent_Done,
     /* 2028700 */   // Label 27014: @2028700
     /* 2028700 */   GIM_Try, /*On fail goto*//*Label 27015*/ GIMT_Encode4(2028791), // Rule ID 14943 //
     /* 2028705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2028716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2028719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2028722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028751 */     // MIs[0] round
     /* 2028751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028754 */     // MIs[0] policy
     /* 2028754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028764 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2028767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028790 */     // GIR_Coverage, 14943,
     /* 2028790 */     GIR_EraseRootFromParent_Done,
     /* 2028791 */   // Label 27015: @2028791
     /* 2028791 */   GIM_Try, /*On fail goto*//*Label 27016*/ GIMT_Encode4(2028882), // Rule ID 14944 //
     /* 2028796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2028807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2028810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2028813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028842 */     // MIs[0] round
     /* 2028842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028845 */     // MIs[0] policy
     /* 2028845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028855 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2028858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028881 */     // GIR_Coverage, 14944,
     /* 2028881 */     GIR_EraseRootFromParent_Done,
     /* 2028882 */   // Label 27016: @2028882
     /* 2028882 */   GIM_Try, /*On fail goto*//*Label 27017*/ GIMT_Encode4(2028973), // Rule ID 14947 //
     /* 2028887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2028890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2028898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2028901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2028904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028933 */     // MIs[0] round
     /* 2028933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028936 */     // MIs[0] policy
     /* 2028936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028946 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2028949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028972 */     // GIR_Coverage, 14947,
     /* 2028972 */     GIR_EraseRootFromParent_Done,
     /* 2028973 */   // Label 27017: @2028973
     /* 2028973 */   GIM_Try, /*On fail goto*//*Label 27018*/ GIMT_Encode4(2029064), // Rule ID 14948 //
     /* 2028978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2028981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2028986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2028989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2028992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2028995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2029001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029024 */     // MIs[0] round
     /* 2029024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029027 */     // MIs[0] policy
     /* 2029027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029037 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2029040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2029060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029063 */     // GIR_Coverage, 14948,
     /* 2029063 */     GIR_EraseRootFromParent_Done,
     /* 2029064 */   // Label 27018: @2029064
     /* 2029064 */   GIM_Try, /*On fail goto*//*Label 27019*/ GIMT_Encode4(2029155), // Rule ID 14951 //
     /* 2029069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2029072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2029080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2029083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2029086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029115 */     // MIs[0] round
     /* 2029115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029118 */     // MIs[0] policy
     /* 2029118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029128 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2029131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2029151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029154 */     // GIR_Coverage, 14951,
     /* 2029154 */     GIR_EraseRootFromParent_Done,
     /* 2029155 */   // Label 27019: @2029155
     /* 2029155 */   GIM_Try, /*On fail goto*//*Label 27020*/ GIMT_Encode4(2029246), // Rule ID 14952 //
     /* 2029160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2029163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2029171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2029174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2029177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029206 */     // MIs[0] round
     /* 2029206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029209 */     // MIs[0] policy
     /* 2029209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029219 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2029222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2029242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029245 */     // GIR_Coverage, 14952,
     /* 2029245 */     GIR_EraseRootFromParent_Done,
     /* 2029246 */   // Label 27020: @2029246
     /* 2029246 */   GIM_Try, /*On fail goto*//*Label 27021*/ GIMT_Encode4(2029337), // Rule ID 14955 //
     /* 2029251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2029254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2029262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2029265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2029268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029297 */     // MIs[0] round
     /* 2029297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029300 */     // MIs[0] policy
     /* 2029300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029310 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2029313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2029333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029336 */     // GIR_Coverage, 14955,
     /* 2029336 */     GIR_EraseRootFromParent_Done,
     /* 2029337 */   // Label 27021: @2029337
     /* 2029337 */   GIM_Try, /*On fail goto*//*Label 27022*/ GIMT_Encode4(2029428), // Rule ID 14956 //
     /* 2029342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2029345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2029350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2029353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2029356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2029359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029388 */     // MIs[0] round
     /* 2029388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029391 */     // MIs[0] policy
     /* 2029391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029401 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2029404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2029424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029427 */     // GIR_Coverage, 14956,
     /* 2029427 */     GIR_EraseRootFromParent_Done,
     /* 2029428 */   // Label 27022: @2029428
     /* 2029428 */   GIM_Try, /*On fail goto*//*Label 27023*/ GIMT_Encode4(2029519), // Rule ID 14959 //
     /* 2029433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2029441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2029444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2029447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2029450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2029453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2029456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029479 */     // MIs[0] round
     /* 2029479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029482 */     // MIs[0] policy
     /* 2029482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029492 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2029495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029518 */     // GIR_Coverage, 14959,
     /* 2029518 */     GIR_EraseRootFromParent_Done,
     /* 2029519 */   // Label 27023: @2029519
     /* 2029519 */   GIM_Try, /*On fail goto*//*Label 27024*/ GIMT_Encode4(2029610), // Rule ID 14960 //
     /* 2029524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2029532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2029535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2029538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2029541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2029544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2029547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029570 */     // MIs[0] round
     /* 2029570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029573 */     // MIs[0] policy
     /* 2029573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029583 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2029586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029609 */     // GIR_Coverage, 14960,
     /* 2029609 */     GIR_EraseRootFromParent_Done,
     /* 2029610 */   // Label 27024: @2029610
     /* 2029610 */   GIM_Try, /*On fail goto*//*Label 27025*/ GIMT_Encode4(2029701), // Rule ID 14963 //
     /* 2029615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2029623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2029626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2029629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2029632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2029635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2029638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029661 */     // MIs[0] round
     /* 2029661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029664 */     // MIs[0] policy
     /* 2029664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029674 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2029677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029700 */     // GIR_Coverage, 14963,
     /* 2029700 */     GIR_EraseRootFromParent_Done,
     /* 2029701 */   // Label 27025: @2029701
     /* 2029701 */   GIM_Try, /*On fail goto*//*Label 27026*/ GIMT_Encode4(2029792), // Rule ID 14964 //
     /* 2029706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2029714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2029717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2029720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2029723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2029726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2029729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029752 */     // MIs[0] round
     /* 2029752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029755 */     // MIs[0] policy
     /* 2029755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029765 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2029768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029791 */     // GIR_Coverage, 14964,
     /* 2029791 */     GIR_EraseRootFromParent_Done,
     /* 2029792 */   // Label 27026: @2029792
     /* 2029792 */   GIM_Try, /*On fail goto*//*Label 27027*/ GIMT_Encode4(2029883), // Rule ID 14967 //
     /* 2029797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2029805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2029808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2029811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2029814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2029817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029843 */     // MIs[0] round
     /* 2029843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029846 */     // MIs[0] policy
     /* 2029846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029856 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2029859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029882 */     // GIR_Coverage, 14967,
     /* 2029882 */     GIR_EraseRootFromParent_Done,
     /* 2029883 */   // Label 27027: @2029883
     /* 2029883 */   GIM_Try, /*On fail goto*//*Label 27028*/ GIMT_Encode4(2029974), // Rule ID 14968 //
     /* 2029888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2029896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2029899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2029902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2029905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2029908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029934 */     // MIs[0] round
     /* 2029934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029937 */     // MIs[0] policy
     /* 2029937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029947 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2029950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029973 */     // GIR_Coverage, 14968,
     /* 2029973 */     GIR_EraseRootFromParent_Done,
     /* 2029974 */   // Label 27028: @2029974
     /* 2029974 */   GIM_Try, /*On fail goto*//*Label 27029*/ GIMT_Encode4(2030065), // Rule ID 14971 //
     /* 2029979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2029987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2029990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2029993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2029996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2029999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030025 */     // MIs[0] round
     /* 2030025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030028 */     // MIs[0] policy
     /* 2030028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030038 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2030041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030064 */     // GIR_Coverage, 14971,
     /* 2030064 */     GIR_EraseRootFromParent_Done,
     /* 2030065 */   // Label 27029: @2030065
     /* 2030065 */   GIM_Try, /*On fail goto*//*Label 27030*/ GIMT_Encode4(2030156), // Rule ID 14972 //
     /* 2030070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2030081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2030084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2030087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2030090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030116 */     // MIs[0] round
     /* 2030116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030119 */     // MIs[0] policy
     /* 2030119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030129 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2030132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030155 */     // GIR_Coverage, 14972,
     /* 2030155 */     GIR_EraseRootFromParent_Done,
     /* 2030156 */   // Label 27030: @2030156
     /* 2030156 */   GIM_Try, /*On fail goto*//*Label 27031*/ GIMT_Encode4(2030247), // Rule ID 14975 //
     /* 2030161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2030172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2030175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2030178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2030181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030207 */     // MIs[0] round
     /* 2030207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030210 */     // MIs[0] policy
     /* 2030210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030220 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2030223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030246 */     // GIR_Coverage, 14975,
     /* 2030246 */     GIR_EraseRootFromParent_Done,
     /* 2030247 */   // Label 27031: @2030247
     /* 2030247 */   GIM_Try, /*On fail goto*//*Label 27032*/ GIMT_Encode4(2030338), // Rule ID 14976 //
     /* 2030252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2030263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2030266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2030269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2030272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030298 */     // MIs[0] round
     /* 2030298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030301 */     // MIs[0] policy
     /* 2030301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030311 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2030314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030337 */     // GIR_Coverage, 14976,
     /* 2030337 */     GIR_EraseRootFromParent_Done,
     /* 2030338 */   // Label 27032: @2030338
     /* 2030338 */   GIM_Try, /*On fail goto*//*Label 27033*/ GIMT_Encode4(2030429), // Rule ID 14979 //
     /* 2030343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2030354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2030357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2030360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2030363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030389 */     // MIs[0] round
     /* 2030389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030392 */     // MIs[0] policy
     /* 2030392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030402 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2030405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030428 */     // GIR_Coverage, 14979,
     /* 2030428 */     GIR_EraseRootFromParent_Done,
     /* 2030429 */   // Label 27033: @2030429
     /* 2030429 */   GIM_Try, /*On fail goto*//*Label 27034*/ GIMT_Encode4(2030520), // Rule ID 14980 //
     /* 2030434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2030445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2030448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2030451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2030454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030480 */     // MIs[0] round
     /* 2030480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030483 */     // MIs[0] policy
     /* 2030483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030493 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2030496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030519 */     // GIR_Coverage, 14980,
     /* 2030519 */     GIR_EraseRootFromParent_Done,
     /* 2030520 */   // Label 27034: @2030520
     /* 2030520 */   GIM_Try, /*On fail goto*//*Label 27035*/ GIMT_Encode4(2030611), // Rule ID 14983 //
     /* 2030525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2030536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2030539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2030542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2030545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030571 */     // MIs[0] round
     /* 2030571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030574 */     // MIs[0] policy
     /* 2030574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030584 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2030587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030610 */     // GIR_Coverage, 14983,
     /* 2030610 */     GIR_EraseRootFromParent_Done,
     /* 2030611 */   // Label 27035: @2030611
     /* 2030611 */   GIM_Try, /*On fail goto*//*Label 27036*/ GIMT_Encode4(2030702), // Rule ID 14984 //
     /* 2030616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2030627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2030630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2030633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2030636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030662 */     // MIs[0] round
     /* 2030662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030665 */     // MIs[0] policy
     /* 2030665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030675 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2030678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030701 */     // GIR_Coverage, 14984,
     /* 2030701 */     GIR_EraseRootFromParent_Done,
     /* 2030702 */   // Label 27036: @2030702
     /* 2030702 */   GIM_Try, /*On fail goto*//*Label 27037*/ GIMT_Encode4(2030793), // Rule ID 14987 //
     /* 2030707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2030718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2030721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2030724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2030727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030753 */     // MIs[0] round
     /* 2030753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030756 */     // MIs[0] policy
     /* 2030756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030766 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2030769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030792 */     // GIR_Coverage, 14987,
     /* 2030792 */     GIR_EraseRootFromParent_Done,
     /* 2030793 */   // Label 27037: @2030793
     /* 2030793 */   GIM_Try, /*On fail goto*//*Label 27038*/ GIMT_Encode4(2030884), // Rule ID 14988 //
     /* 2030798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2030809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2030812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2030815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2030818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030844 */     // MIs[0] round
     /* 2030844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030847 */     // MIs[0] policy
     /* 2030847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030857 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2030860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030883 */     // GIR_Coverage, 14988,
     /* 2030883 */     GIR_EraseRootFromParent_Done,
     /* 2030884 */   // Label 27038: @2030884
     /* 2030884 */   GIM_Try, /*On fail goto*//*Label 27039*/ GIMT_Encode4(2030975), // Rule ID 14991 //
     /* 2030889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2030900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2030903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2030906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2030909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030935 */     // MIs[0] round
     /* 2030935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030938 */     // MIs[0] policy
     /* 2030938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030948 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2030951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030974 */     // GIR_Coverage, 14991,
     /* 2030974 */     GIR_EraseRootFromParent_Done,
     /* 2030975 */   // Label 27039: @2030975
     /* 2030975 */   GIM_Try, /*On fail goto*//*Label 27040*/ GIMT_Encode4(2031066), // Rule ID 14992 //
     /* 2030980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2030991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2030994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2030997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2031000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031026 */     // MIs[0] round
     /* 2031026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031029 */     // MIs[0] policy
     /* 2031029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031039 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2031042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031065 */     // GIR_Coverage, 14992,
     /* 2031065 */     GIR_EraseRootFromParent_Done,
     /* 2031066 */   // Label 27040: @2031066
     /* 2031066 */   GIM_Try, /*On fail goto*//*Label 27041*/ GIMT_Encode4(2031157), // Rule ID 14995 //
     /* 2031071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2031074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2031082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2031085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2031088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2031091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031117 */     // MIs[0] round
     /* 2031117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031120 */     // MIs[0] policy
     /* 2031120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031130 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2031133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2031153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031156 */     // GIR_Coverage, 14995,
     /* 2031156 */     GIR_EraseRootFromParent_Done,
     /* 2031157 */   // Label 27041: @2031157
     /* 2031157 */   GIM_Try, /*On fail goto*//*Label 27042*/ GIMT_Encode4(2031248), // Rule ID 14996 //
     /* 2031162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2031165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2031173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2031176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2031179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2031182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031208 */     // MIs[0] round
     /* 2031208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031211 */     // MIs[0] policy
     /* 2031211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031221 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2031224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2031244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031247 */     // GIR_Coverage, 14996,
     /* 2031247 */     GIR_EraseRootFromParent_Done,
     /* 2031248 */   // Label 27042: @2031248
     /* 2031248 */   GIM_Try, /*On fail goto*//*Label 27043*/ GIMT_Encode4(2031339), // Rule ID 14999 //
     /* 2031253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2031264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2031267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2031270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2031273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2031276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031299 */     // MIs[0] round
     /* 2031299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031302 */     // MIs[0] policy
     /* 2031302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031312 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2031315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031338 */     // GIR_Coverage, 14999,
     /* 2031338 */     GIR_EraseRootFromParent_Done,
     /* 2031339 */   // Label 27043: @2031339
     /* 2031339 */   GIM_Try, /*On fail goto*//*Label 27044*/ GIMT_Encode4(2031430), // Rule ID 15000 //
     /* 2031344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2031355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2031358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2031361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2031364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2031367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031390 */     // MIs[0] round
     /* 2031390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031393 */     // MIs[0] policy
     /* 2031393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031403 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2031406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031429 */     // GIR_Coverage, 15000,
     /* 2031429 */     GIR_EraseRootFromParent_Done,
     /* 2031430 */   // Label 27044: @2031430
     /* 2031430 */   GIM_Try, /*On fail goto*//*Label 27045*/ GIMT_Encode4(2031521), // Rule ID 15003 //
     /* 2031435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2031446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2031449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2031452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2031455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2031458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031481 */     // MIs[0] round
     /* 2031481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031484 */     // MIs[0] policy
     /* 2031484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031494 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2031497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031520 */     // GIR_Coverage, 15003,
     /* 2031520 */     GIR_EraseRootFromParent_Done,
     /* 2031521 */   // Label 27045: @2031521
     /* 2031521 */   GIM_Try, /*On fail goto*//*Label 27046*/ GIMT_Encode4(2031612), // Rule ID 15004 //
     /* 2031526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2031537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2031540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2031543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2031546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2031549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031572 */     // MIs[0] round
     /* 2031572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031575 */     // MIs[0] policy
     /* 2031575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031585 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2031588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031611 */     // GIR_Coverage, 15004,
     /* 2031611 */     GIR_EraseRootFromParent_Done,
     /* 2031612 */   // Label 27046: @2031612
     /* 2031612 */   GIM_Try, /*On fail goto*//*Label 27047*/ GIMT_Encode4(2031703), // Rule ID 15007 //
     /* 2031617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2031628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2031631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2031634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2031637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2031640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2031647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031663 */     // MIs[0] round
     /* 2031663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031666 */     // MIs[0] policy
     /* 2031666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031676 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2031679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031702 */     // GIR_Coverage, 15007,
     /* 2031702 */     GIR_EraseRootFromParent_Done,
     /* 2031703 */   // Label 27047: @2031703
     /* 2031703 */   GIM_Try, /*On fail goto*//*Label 27048*/ GIMT_Encode4(2031794), // Rule ID 15008 //
     /* 2031708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2031719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2031722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2031725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2031728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2031731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2031738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031754 */     // MIs[0] round
     /* 2031754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031757 */     // MIs[0] policy
     /* 2031757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031767 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2031770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031793 */     // GIR_Coverage, 15008,
     /* 2031793 */     GIR_EraseRootFromParent_Done,
     /* 2031794 */   // Label 27048: @2031794
     /* 2031794 */   GIM_Try, /*On fail goto*//*Label 27049*/ GIMT_Encode4(2031885), // Rule ID 15011 //
     /* 2031799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2031810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2031813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2031816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2031819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031845 */     // MIs[0] round
     /* 2031845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031848 */     // MIs[0] policy
     /* 2031848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031858 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2031861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031884 */     // GIR_Coverage, 15011,
     /* 2031884 */     GIR_EraseRootFromParent_Done,
     /* 2031885 */   // Label 27049: @2031885
     /* 2031885 */   GIM_Try, /*On fail goto*//*Label 27050*/ GIMT_Encode4(2031976), // Rule ID 15012 //
     /* 2031890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2031901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2031904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2031907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2031910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031936 */     // MIs[0] round
     /* 2031936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031939 */     // MIs[0] policy
     /* 2031939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031949 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2031952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031975 */     // GIR_Coverage, 15012,
     /* 2031975 */     GIR_EraseRootFromParent_Done,
     /* 2031976 */   // Label 27050: @2031976
     /* 2031976 */   GIM_Try, /*On fail goto*//*Label 27051*/ GIMT_Encode4(2032067), // Rule ID 15015 //
     /* 2031981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2031992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2031995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2031998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2032001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2032011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032027 */     // MIs[0] round
     /* 2032027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032030 */     // MIs[0] policy
     /* 2032030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032040 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2032043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032066 */     // GIR_Coverage, 15015,
     /* 2032066 */     GIR_EraseRootFromParent_Done,
     /* 2032067 */   // Label 27051: @2032067
     /* 2032067 */   GIM_Try, /*On fail goto*//*Label 27052*/ GIMT_Encode4(2032158), // Rule ID 15016 //
     /* 2032072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2032083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2032086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2032089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2032092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2032102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032118 */     // MIs[0] round
     /* 2032118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032121 */     // MIs[0] policy
     /* 2032121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032131 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2032134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032157 */     // GIR_Coverage, 15016,
     /* 2032157 */     GIR_EraseRootFromParent_Done,
     /* 2032158 */   // Label 27052: @2032158
     /* 2032158 */   GIM_Try, /*On fail goto*//*Label 27053*/ GIMT_Encode4(2032249), // Rule ID 15019 //
     /* 2032163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2032174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2032177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2032180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2032183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2032186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032209 */     // MIs[0] round
     /* 2032209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032212 */     // MIs[0] policy
     /* 2032212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032222 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2032225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032248 */     // GIR_Coverage, 15019,
     /* 2032248 */     GIR_EraseRootFromParent_Done,
     /* 2032249 */   // Label 27053: @2032249
     /* 2032249 */   GIM_Try, /*On fail goto*//*Label 27054*/ GIMT_Encode4(2032340), // Rule ID 15020 //
     /* 2032254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2032265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2032268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2032271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2032274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2032277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032300 */     // MIs[0] round
     /* 2032300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032303 */     // MIs[0] policy
     /* 2032303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032313 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2032316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2032336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032339 */     // GIR_Coverage, 15020,
     /* 2032339 */     GIR_EraseRootFromParent_Done,
     /* 2032340 */   // Label 27054: @2032340
     /* 2032340 */   GIM_Try, /*On fail goto*//*Label 27055*/ GIMT_Encode4(2032431), // Rule ID 15023 //
     /* 2032345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2032356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2032359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2032362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2032365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032391 */     // MIs[0] round
     /* 2032391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032394 */     // MIs[0] policy
     /* 2032394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032404 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2032407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032430 */     // GIR_Coverage, 15023,
     /* 2032430 */     GIR_EraseRootFromParent_Done,
     /* 2032431 */   // Label 27055: @2032431
     /* 2032431 */   GIM_Try, /*On fail goto*//*Label 27056*/ GIMT_Encode4(2032522), // Rule ID 15024 //
     /* 2032436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2032447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2032450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2032453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2032456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032482 */     // MIs[0] round
     /* 2032482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032485 */     // MIs[0] policy
     /* 2032485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032495 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2032498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032521 */     // GIR_Coverage, 15024,
     /* 2032521 */     GIR_EraseRootFromParent_Done,
     /* 2032522 */   // Label 27056: @2032522
     /* 2032522 */   GIM_Try, /*On fail goto*//*Label 27057*/ GIMT_Encode4(2032613), // Rule ID 15027 //
     /* 2032527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2032538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2032541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2032544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2032547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2032557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032573 */     // MIs[0] round
     /* 2032573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032576 */     // MIs[0] policy
     /* 2032576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2032589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032612 */     // GIR_Coverage, 15027,
     /* 2032612 */     GIR_EraseRootFromParent_Done,
     /* 2032613 */   // Label 27057: @2032613
     /* 2032613 */   GIM_Try, /*On fail goto*//*Label 27058*/ GIMT_Encode4(2032704), // Rule ID 15028 //
     /* 2032618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2032629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2032632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2032635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2032638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2032648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032664 */     // MIs[0] round
     /* 2032664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032667 */     // MIs[0] policy
     /* 2032667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032677 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2032680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032703 */     // GIR_Coverage, 15028,
     /* 2032703 */     GIR_EraseRootFromParent_Done,
     /* 2032704 */   // Label 27058: @2032704
     /* 2032704 */   GIM_Try, /*On fail goto*//*Label 27059*/ GIMT_Encode4(2032795), // Rule ID 15031 //
     /* 2032709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2032720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2032723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2032726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2032729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032755 */     // MIs[0] round
     /* 2032755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032758 */     // MIs[0] policy
     /* 2032758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032768 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2032771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032794 */     // GIR_Coverage, 15031,
     /* 2032794 */     GIR_EraseRootFromParent_Done,
     /* 2032795 */   // Label 27059: @2032795
     /* 2032795 */   GIM_Try, /*On fail goto*//*Label 27060*/ GIMT_Encode4(2032886), // Rule ID 15032 //
     /* 2032800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2032811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2032814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2032817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2032820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032846 */     // MIs[0] round
     /* 2032846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032849 */     // MIs[0] policy
     /* 2032849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032859 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2032862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032885 */     // GIR_Coverage, 15032,
     /* 2032885 */     GIR_EraseRootFromParent_Done,
     /* 2032886 */   // Label 27060: @2032886
     /* 2032886 */   GIM_Try, /*On fail goto*//*Label 27061*/ GIMT_Encode4(2032977), // Rule ID 15035 //
     /* 2032891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2032894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2032902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2032905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2032908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2032911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032937 */     // MIs[0] round
     /* 2032937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032940 */     // MIs[0] policy
     /* 2032940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032950 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2032953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032976 */     // GIR_Coverage, 15035,
     /* 2032976 */     GIR_EraseRootFromParent_Done,
     /* 2032977 */   // Label 27061: @2032977
     /* 2032977 */   GIM_Try, /*On fail goto*//*Label 27062*/ GIMT_Encode4(2033068), // Rule ID 15036 //
     /* 2032982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2032985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2032993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2032996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2032999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2033002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2033005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033028 */     // MIs[0] round
     /* 2033028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033031 */     // MIs[0] policy
     /* 2033031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033041 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2033044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2033064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033067 */     // GIR_Coverage, 15036,
     /* 2033067 */     GIR_EraseRootFromParent_Done,
     /* 2033068 */   // Label 27062: @2033068
     /* 2033068 */   GIM_Try, /*On fail goto*//*Label 27063*/ GIMT_Encode4(2033159), // Rule ID 15039 //
     /* 2033073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2033076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2033084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2033087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2033090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2033093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033119 */     // MIs[0] round
     /* 2033119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033122 */     // MIs[0] policy
     /* 2033122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033132 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2033135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2033155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033158 */     // GIR_Coverage, 15039,
     /* 2033158 */     GIR_EraseRootFromParent_Done,
     /* 2033159 */   // Label 27063: @2033159
     /* 2033159 */   GIM_Try, /*On fail goto*//*Label 27064*/ GIMT_Encode4(2033250), // Rule ID 15040 //
     /* 2033164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2033167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2033175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2033178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2033181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2033184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033210 */     // MIs[0] round
     /* 2033210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033213 */     // MIs[0] policy
     /* 2033213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033223 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2033226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2033246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033249 */     // GIR_Coverage, 15040,
     /* 2033249 */     GIR_EraseRootFromParent_Done,
     /* 2033250 */   // Label 27064: @2033250
     /* 2033250 */   GIM_Try, /*On fail goto*//*Label 27065*/ GIMT_Encode4(2033341), // Rule ID 15043 //
     /* 2033255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2033258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2033266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2033269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2033272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2033275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033301 */     // MIs[0] round
     /* 2033301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033304 */     // MIs[0] policy
     /* 2033304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033314 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2033317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2033337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033340 */     // GIR_Coverage, 15043,
     /* 2033340 */     GIR_EraseRootFromParent_Done,
     /* 2033341 */   // Label 27065: @2033341
     /* 2033341 */   GIM_Try, /*On fail goto*//*Label 27066*/ GIMT_Encode4(2033432), // Rule ID 15044 //
     /* 2033346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2033349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2033357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2033360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2033363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2033366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033392 */     // MIs[0] round
     /* 2033392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033395 */     // MIs[0] policy
     /* 2033395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033405 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2033408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2033428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033431 */     // GIR_Coverage, 15044,
     /* 2033431 */     GIR_EraseRootFromParent_Done,
     /* 2033432 */   // Label 27066: @2033432
     /* 2033432 */   GIM_Try, /*On fail goto*//*Label 27067*/ GIMT_Encode4(2033523), // Rule ID 15047 //
     /* 2033437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2033448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2033451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2033454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2033460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033483 */     // MIs[0] round
     /* 2033483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033486 */     // MIs[0] policy
     /* 2033486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2033499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033522 */     // GIR_Coverage, 15047,
     /* 2033522 */     GIR_EraseRootFromParent_Done,
     /* 2033523 */   // Label 27067: @2033523
     /* 2033523 */   GIM_Try, /*On fail goto*//*Label 27068*/ GIMT_Encode4(2033614), // Rule ID 15048 //
     /* 2033528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2033539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2033542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2033545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2033551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033574 */     // MIs[0] round
     /* 2033574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033577 */     // MIs[0] policy
     /* 2033577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033587 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2033590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033613 */     // GIR_Coverage, 15048,
     /* 2033613 */     GIR_EraseRootFromParent_Done,
     /* 2033614 */   // Label 27068: @2033614
     /* 2033614 */   GIM_Try, /*On fail goto*//*Label 27069*/ GIMT_Encode4(2033705), // Rule ID 15051 //
     /* 2033619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2033630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2033633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2033636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2033642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033665 */     // MIs[0] round
     /* 2033665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033668 */     // MIs[0] policy
     /* 2033668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033678 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2033681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033704 */     // GIR_Coverage, 15051,
     /* 2033704 */     GIR_EraseRootFromParent_Done,
     /* 2033705 */   // Label 27069: @2033705
     /* 2033705 */   GIM_Try, /*On fail goto*//*Label 27070*/ GIMT_Encode4(2033796), // Rule ID 15052 //
     /* 2033710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2033721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2033724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2033727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2033733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033756 */     // MIs[0] round
     /* 2033756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033759 */     // MIs[0] policy
     /* 2033759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033769 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2033772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033795 */     // GIR_Coverage, 15052,
     /* 2033795 */     GIR_EraseRootFromParent_Done,
     /* 2033796 */   // Label 27070: @2033796
     /* 2033796 */   GIM_Try, /*On fail goto*//*Label 27071*/ GIMT_Encode4(2033887), // Rule ID 15055 //
     /* 2033801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2033812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2033815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2033818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033847 */     // MIs[0] round
     /* 2033847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033850 */     // MIs[0] policy
     /* 2033850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033860 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2033863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033886 */     // GIR_Coverage, 15055,
     /* 2033886 */     GIR_EraseRootFromParent_Done,
     /* 2033887 */   // Label 27071: @2033887
     /* 2033887 */   GIM_Try, /*On fail goto*//*Label 27072*/ GIMT_Encode4(2033978), // Rule ID 15056 //
     /* 2033892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2033903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2033906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2033909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033938 */     // MIs[0] round
     /* 2033938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033941 */     // MIs[0] policy
     /* 2033941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033951 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2033954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033977 */     // GIR_Coverage, 15056,
     /* 2033977 */     GIR_EraseRootFromParent_Done,
     /* 2033978 */   // Label 27072: @2033978
     /* 2033978 */   GIM_Try, /*On fail goto*//*Label 27073*/ GIMT_Encode4(2034069), // Rule ID 15059 //
     /* 2033983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2033991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2033994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2033997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2034000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034029 */     // MIs[0] round
     /* 2034029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034032 */     // MIs[0] policy
     /* 2034032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034042 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2034045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034068 */     // GIR_Coverage, 15059,
     /* 2034068 */     GIR_EraseRootFromParent_Done,
     /* 2034069 */   // Label 27073: @2034069
     /* 2034069 */   GIM_Try, /*On fail goto*//*Label 27074*/ GIMT_Encode4(2034160), // Rule ID 15060 //
     /* 2034074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2034085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2034088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2034091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034120 */     // MIs[0] round
     /* 2034120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034123 */     // MIs[0] policy
     /* 2034123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034133 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2034136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034159 */     // GIR_Coverage, 15060,
     /* 2034159 */     GIR_EraseRootFromParent_Done,
     /* 2034160 */   // Label 27074: @2034160
     /* 2034160 */   GIM_Try, /*On fail goto*//*Label 27075*/ GIMT_Encode4(2034251), // Rule ID 15063 //
     /* 2034165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2034176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2034179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2034182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034211 */     // MIs[0] round
     /* 2034211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034214 */     // MIs[0] policy
     /* 2034214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034224 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2034227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034250 */     // GIR_Coverage, 15063,
     /* 2034250 */     GIR_EraseRootFromParent_Done,
     /* 2034251 */   // Label 27075: @2034251
     /* 2034251 */   GIM_Try, /*On fail goto*//*Label 27076*/ GIMT_Encode4(2034342), // Rule ID 15064 //
     /* 2034256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2034267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2034270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2034273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034302 */     // MIs[0] round
     /* 2034302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034305 */     // MIs[0] policy
     /* 2034305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034315 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2034318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034341 */     // GIR_Coverage, 15064,
     /* 2034341 */     GIR_EraseRootFromParent_Done,
     /* 2034342 */   // Label 27076: @2034342
     /* 2034342 */   GIM_Try, /*On fail goto*//*Label 27077*/ GIMT_Encode4(2034433), // Rule ID 15067 //
     /* 2034347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2034358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2034361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2034364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034393 */     // MIs[0] round
     /* 2034393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034396 */     // MIs[0] policy
     /* 2034396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034406 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2034409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034432 */     // GIR_Coverage, 15067,
     /* 2034432 */     GIR_EraseRootFromParent_Done,
     /* 2034433 */   // Label 27077: @2034433
     /* 2034433 */   GIM_Try, /*On fail goto*//*Label 27078*/ GIMT_Encode4(2034524), // Rule ID 15068 //
     /* 2034438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2034449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2034452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2034455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034484 */     // MIs[0] round
     /* 2034484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034487 */     // MIs[0] policy
     /* 2034487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034497 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2034500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034523 */     // GIR_Coverage, 15068,
     /* 2034523 */     GIR_EraseRootFromParent_Done,
     /* 2034524 */   // Label 27078: @2034524
     /* 2034524 */   GIM_Try, /*On fail goto*//*Label 27079*/ GIMT_Encode4(2034615), // Rule ID 15071 //
     /* 2034529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2034540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2034543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2034546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034575 */     // MIs[0] round
     /* 2034575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034578 */     // MIs[0] policy
     /* 2034578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034588 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2034591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034614 */     // GIR_Coverage, 15071,
     /* 2034614 */     GIR_EraseRootFromParent_Done,
     /* 2034615 */   // Label 27079: @2034615
     /* 2034615 */   GIM_Try, /*On fail goto*//*Label 27080*/ GIMT_Encode4(2034706), // Rule ID 15072 //
     /* 2034620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2034631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2034634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2034637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034666 */     // MIs[0] round
     /* 2034666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034669 */     // MIs[0] policy
     /* 2034669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034679 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11062:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2034682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034705 */     // GIR_Coverage, 15072,
     /* 2034705 */     GIR_EraseRootFromParent_Done,
     /* 2034706 */   // Label 27080: @2034706
     /* 2034706 */   GIM_Try, /*On fail goto*//*Label 27081*/ GIMT_Encode4(2034797), // Rule ID 15075 //
     /* 2034711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2034722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2034725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2034728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034757 */     // MIs[0] round
     /* 2034757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034760 */     // MIs[0] policy
     /* 2034760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034770 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2034773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034796 */     // GIR_Coverage, 15075,
     /* 2034796 */     GIR_EraseRootFromParent_Done,
     /* 2034797 */   // Label 27081: @2034797
     /* 2034797 */   GIM_Try, /*On fail goto*//*Label 27082*/ GIMT_Encode4(2034888), // Rule ID 15076 //
     /* 2034802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2034813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2034816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2034819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034848 */     // MIs[0] round
     /* 2034848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034851 */     // MIs[0] policy
     /* 2034851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034861 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2034864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034887 */     // GIR_Coverage, 15076,
     /* 2034887 */     GIR_EraseRootFromParent_Done,
     /* 2034888 */   // Label 27082: @2034888
     /* 2034888 */   GIM_Try, /*On fail goto*//*Label 27083*/ GIMT_Encode4(2034979), // Rule ID 15079 //
     /* 2034893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2034904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2034907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2034910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034939 */     // MIs[0] round
     /* 2034939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034942 */     // MIs[0] policy
     /* 2034942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034952 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2034955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034978 */     // GIR_Coverage, 15079,
     /* 2034978 */     GIR_EraseRootFromParent_Done,
     /* 2034979 */   // Label 27083: @2034979
     /* 2034979 */   GIM_Try, /*On fail goto*//*Label 27084*/ GIMT_Encode4(2035070), // Rule ID 15080 //
     /* 2034984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2034992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2034995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2034998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2035001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035030 */     // MIs[0] round
     /* 2035030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035033 */     // MIs[0] policy
     /* 2035033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035043 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2035046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035069 */     // GIR_Coverage, 15080,
     /* 2035069 */     GIR_EraseRootFromParent_Done,
     /* 2035070 */   // Label 27084: @2035070
     /* 2035070 */   GIM_Try, /*On fail goto*//*Label 27085*/ GIMT_Encode4(2035161), // Rule ID 15083 //
     /* 2035075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2035078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2035086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2035089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2035092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035121 */     // MIs[0] round
     /* 2035121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035124 */     // MIs[0] policy
     /* 2035124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035134 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2035137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2035157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035160 */     // GIR_Coverage, 15083,
     /* 2035160 */     GIR_EraseRootFromParent_Done,
     /* 2035161 */   // Label 27085: @2035161
     /* 2035161 */   GIM_Try, /*On fail goto*//*Label 27086*/ GIMT_Encode4(2035252), // Rule ID 15084 //
     /* 2035166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2035169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2035177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2035180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2035183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035212 */     // MIs[0] round
     /* 2035212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035215 */     // MIs[0] policy
     /* 2035215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035225 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2035228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2035248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035251 */     // GIR_Coverage, 15084,
     /* 2035251 */     GIR_EraseRootFromParent_Done,
     /* 2035252 */   // Label 27086: @2035252
     /* 2035252 */   GIM_Try, /*On fail goto*//*Label 27087*/ GIMT_Encode4(2035343), // Rule ID 15087 //
     /* 2035257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2035268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2035271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2035274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2035280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2035287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035303 */     // MIs[0] round
     /* 2035303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035306 */     // MIs[0] policy
     /* 2035306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035316 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2035319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035342 */     // GIR_Coverage, 15087,
     /* 2035342 */     GIR_EraseRootFromParent_Done,
     /* 2035343 */   // Label 27087: @2035343
     /* 2035343 */   GIM_Try, /*On fail goto*//*Label 27088*/ GIMT_Encode4(2035434), // Rule ID 15088 //
     /* 2035348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2035359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2035362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2035365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2035371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2035378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035394 */     // MIs[0] round
     /* 2035394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035397 */     // MIs[0] policy
     /* 2035397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035407 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2035410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035433 */     // GIR_Coverage, 15088,
     /* 2035433 */     GIR_EraseRootFromParent_Done,
     /* 2035434 */   // Label 27088: @2035434
     /* 2035434 */   GIM_Try, /*On fail goto*//*Label 27089*/ GIMT_Encode4(2035525), // Rule ID 15091 //
     /* 2035439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2035450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2035453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2035456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2035462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2035469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035485 */     // MIs[0] round
     /* 2035485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035488 */     // MIs[0] policy
     /* 2035488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035498 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2035501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035524 */     // GIR_Coverage, 15091,
     /* 2035524 */     GIR_EraseRootFromParent_Done,
     /* 2035525 */   // Label 27089: @2035525
     /* 2035525 */   GIM_Try, /*On fail goto*//*Label 27090*/ GIMT_Encode4(2035616), // Rule ID 15092 //
     /* 2035530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2035541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2035544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2035547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2035553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2035560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035576 */     // MIs[0] round
     /* 2035576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035579 */     // MIs[0] policy
     /* 2035579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035589 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2035592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035615 */     // GIR_Coverage, 15092,
     /* 2035615 */     GIR_EraseRootFromParent_Done,
     /* 2035616 */   // Label 27090: @2035616
     /* 2035616 */   GIM_Try, /*On fail goto*//*Label 27091*/ GIMT_Encode4(2035707), // Rule ID 15095 //
     /* 2035621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2035632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2035635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2035638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2035644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2035651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035667 */     // MIs[0] round
     /* 2035667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035670 */     // MIs[0] policy
     /* 2035670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035680 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2035683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035706 */     // GIR_Coverage, 15095,
     /* 2035706 */     GIR_EraseRootFromParent_Done,
     /* 2035707 */   // Label 27091: @2035707
     /* 2035707 */   GIM_Try, /*On fail goto*//*Label 27092*/ GIMT_Encode4(2035798), // Rule ID 15096 //
     /* 2035712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2035723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2035726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2035729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2035735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2035742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035758 */     // MIs[0] round
     /* 2035758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035761 */     // MIs[0] policy
     /* 2035761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035771 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2035774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035797 */     // GIR_Coverage, 15096,
     /* 2035797 */     GIR_EraseRootFromParent_Done,
     /* 2035798 */   // Label 27092: @2035798
     /* 2035798 */   GIM_Try, /*On fail goto*//*Label 27093*/ GIMT_Encode4(2035889), // Rule ID 15099 //
     /* 2035803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2035814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2035817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2035820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2035833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035849 */     // MIs[0] round
     /* 2035849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035852 */     // MIs[0] policy
     /* 2035852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035862 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2035865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035888 */     // GIR_Coverage, 15099,
     /* 2035888 */     GIR_EraseRootFromParent_Done,
     /* 2035889 */   // Label 27093: @2035889
     /* 2035889 */   GIM_Try, /*On fail goto*//*Label 27094*/ GIMT_Encode4(2035980), // Rule ID 15100 //
     /* 2035894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2035905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2035908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2035911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2035924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035940 */     // MIs[0] round
     /* 2035940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035943 */     // MIs[0] policy
     /* 2035943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035953 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2035956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035979 */     // GIR_Coverage, 15100,
     /* 2035979 */     GIR_EraseRootFromParent_Done,
     /* 2035980 */   // Label 27094: @2035980
     /* 2035980 */   GIM_Try, /*On fail goto*//*Label 27095*/ GIMT_Encode4(2036071), // Rule ID 15103 //
     /* 2035985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2035993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2035996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2035999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2036002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2036008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2036015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036031 */     // MIs[0] round
     /* 2036031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036034 */     // MIs[0] policy
     /* 2036034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036044 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2036047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036070 */     // GIR_Coverage, 15103,
     /* 2036070 */     GIR_EraseRootFromParent_Done,
     /* 2036071 */   // Label 27095: @2036071
     /* 2036071 */   GIM_Try, /*On fail goto*//*Label 27096*/ GIMT_Encode4(2036162), // Rule ID 15104 //
     /* 2036076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2036087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2036090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2036093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2036099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2036106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036122 */     // MIs[0] round
     /* 2036122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036125 */     // MIs[0] policy
     /* 2036125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036135 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2036138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036161 */     // GIR_Coverage, 15104,
     /* 2036161 */     GIR_EraseRootFromParent_Done,
     /* 2036162 */   // Label 27096: @2036162
     /* 2036162 */   GIM_Try, /*On fail goto*//*Label 27097*/ GIMT_Encode4(2036253), // Rule ID 15107 //
     /* 2036167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2036178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2036181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2036184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2036190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036213 */     // MIs[0] round
     /* 2036213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036216 */     // MIs[0] policy
     /* 2036216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036226 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2036229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036252 */     // GIR_Coverage, 15107,
     /* 2036252 */     GIR_EraseRootFromParent_Done,
     /* 2036253 */   // Label 27097: @2036253
     /* 2036253 */   GIM_Try, /*On fail goto*//*Label 27098*/ GIMT_Encode4(2036344), // Rule ID 15108 //
     /* 2036258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2036269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2036272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2036275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2036281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036304 */     // MIs[0] round
     /* 2036304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036307 */     // MIs[0] policy
     /* 2036307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036317 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2036320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036343 */     // GIR_Coverage, 15108,
     /* 2036343 */     GIR_EraseRootFromParent_Done,
     /* 2036344 */   // Label 27098: @2036344
     /* 2036344 */   GIM_Try, /*On fail goto*//*Label 27099*/ GIMT_Encode4(2036435), // Rule ID 15111 //
     /* 2036349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2036360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2036363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2036366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036395 */     // MIs[0] round
     /* 2036395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036398 */     // MIs[0] policy
     /* 2036398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036408 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2036411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036434 */     // GIR_Coverage, 15111,
     /* 2036434 */     GIR_EraseRootFromParent_Done,
     /* 2036435 */   // Label 27099: @2036435
     /* 2036435 */   GIM_Try, /*On fail goto*//*Label 27100*/ GIMT_Encode4(2036526), // Rule ID 15112 //
     /* 2036440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2036451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2036454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2036457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036486 */     // MIs[0] round
     /* 2036486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036489 */     // MIs[0] policy
     /* 2036489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036499 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2036502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036525 */     // GIR_Coverage, 15112,
     /* 2036525 */     GIR_EraseRootFromParent_Done,
     /* 2036526 */   // Label 27100: @2036526
     /* 2036526 */   GIM_Try, /*On fail goto*//*Label 27101*/ GIMT_Encode4(2036617), // Rule ID 15115 //
     /* 2036531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2036542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2036545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2036548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2036554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2036561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036577 */     // MIs[0] round
     /* 2036577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036580 */     // MIs[0] policy
     /* 2036580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036590 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2036593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036616 */     // GIR_Coverage, 15115,
     /* 2036616 */     GIR_EraseRootFromParent_Done,
     /* 2036617 */   // Label 27101: @2036617
     /* 2036617 */   GIM_Try, /*On fail goto*//*Label 27102*/ GIMT_Encode4(2036708), // Rule ID 15116 //
     /* 2036622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2036633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2036636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2036639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2036645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2036652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036668 */     // MIs[0] round
     /* 2036668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036671 */     // MIs[0] policy
     /* 2036671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036681 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2036684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036707 */     // GIR_Coverage, 15116,
     /* 2036707 */     GIR_EraseRootFromParent_Done,
     /* 2036708 */   // Label 27102: @2036708
     /* 2036708 */   GIM_Try, /*On fail goto*//*Label 27103*/ GIMT_Encode4(2036799), // Rule ID 15119 //
     /* 2036713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2036724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2036727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2036730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2036736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036759 */     // MIs[0] round
     /* 2036759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036762 */     // MIs[0] policy
     /* 2036762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036772 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2036775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036798 */     // GIR_Coverage, 15119,
     /* 2036798 */     GIR_EraseRootFromParent_Done,
     /* 2036799 */   // Label 27103: @2036799
     /* 2036799 */   GIM_Try, /*On fail goto*//*Label 27104*/ GIMT_Encode4(2036890), // Rule ID 15120 //
     /* 2036804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2036815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2036818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2036821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2036827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036850 */     // MIs[0] round
     /* 2036850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036853 */     // MIs[0] policy
     /* 2036853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036863 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2036866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036889 */     // GIR_Coverage, 15120,
     /* 2036889 */     GIR_EraseRootFromParent_Done,
     /* 2036890 */   // Label 27104: @2036890
     /* 2036890 */   GIM_Try, /*On fail goto*//*Label 27105*/ GIMT_Encode4(2036981), // Rule ID 15123 //
     /* 2036895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2036898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2036906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2036909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2036912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036941 */     // MIs[0] round
     /* 2036941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036944 */     // MIs[0] policy
     /* 2036944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036954 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2036957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036980 */     // GIR_Coverage, 15123,
     /* 2036980 */     GIR_EraseRootFromParent_Done,
     /* 2036981 */   // Label 27105: @2036981
     /* 2036981 */   GIM_Try, /*On fail goto*//*Label 27106*/ GIMT_Encode4(2037072), // Rule ID 15124 //
     /* 2036986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2036989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2036994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2036997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2037000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2037003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2037009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037032 */     // MIs[0] round
     /* 2037032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037035 */     // MIs[0] policy
     /* 2037035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037045 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2037048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2037068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037071 */     // GIR_Coverage, 15124,
     /* 2037071 */     GIR_EraseRootFromParent_Done,
     /* 2037072 */   // Label 27106: @2037072
     /* 2037072 */   GIM_Try, /*On fail goto*//*Label 27107*/ GIMT_Encode4(2037163), // Rule ID 15127 //
     /* 2037077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2037080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2037088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2037091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2037094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037123 */     // MIs[0] round
     /* 2037123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037126 */     // MIs[0] policy
     /* 2037126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037136 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2037139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2037159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037162 */     // GIR_Coverage, 15127,
     /* 2037162 */     GIR_EraseRootFromParent_Done,
     /* 2037163 */   // Label 27107: @2037163
     /* 2037163 */   GIM_Try, /*On fail goto*//*Label 27108*/ GIMT_Encode4(2037254), // Rule ID 15128 //
     /* 2037168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2037171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2037179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2037182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2037185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037214 */     // MIs[0] round
     /* 2037214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037217 */     // MIs[0] policy
     /* 2037217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037227 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2037230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2037250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037253 */     // GIR_Coverage, 15128,
     /* 2037253 */     GIR_EraseRootFromParent_Done,
     /* 2037254 */   // Label 27108: @2037254
     /* 2037254 */   GIM_Try, /*On fail goto*//*Label 27109*/ GIMT_Encode4(2037345), // Rule ID 15131 //
     /* 2037259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2037262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2037270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2037273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2037276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037305 */     // MIs[0] round
     /* 2037305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037308 */     // MIs[0] policy
     /* 2037308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037318 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2037321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2037341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037344 */     // GIR_Coverage, 15131,
     /* 2037344 */     GIR_EraseRootFromParent_Done,
     /* 2037345 */   // Label 27109: @2037345
     /* 2037345 */   GIM_Try, /*On fail goto*//*Label 27110*/ GIMT_Encode4(2037436), // Rule ID 15132 //
     /* 2037350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2037353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2037358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2037361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2037364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2037367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037396 */     // MIs[0] round
     /* 2037396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037399 */     // MIs[0] policy
     /* 2037399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037409 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2037412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2037432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037435 */     // GIR_Coverage, 15132,
     /* 2037435 */     GIR_EraseRootFromParent_Done,
     /* 2037436 */   // Label 27110: @2037436
     /* 2037436 */   GIM_Try, /*On fail goto*//*Label 27111*/ GIMT_Encode4(2037527), // Rule ID 15135 //
     /* 2037441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2037449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2037452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2037455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2037458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2037461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2037464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037487 */     // MIs[0] round
     /* 2037487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037490 */     // MIs[0] policy
     /* 2037490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037500 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2037503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037526 */     // GIR_Coverage, 15135,
     /* 2037526 */     GIR_EraseRootFromParent_Done,
     /* 2037527 */   // Label 27111: @2037527
     /* 2037527 */   GIM_Try, /*On fail goto*//*Label 27112*/ GIMT_Encode4(2037618), // Rule ID 15136 //
     /* 2037532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2037540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2037543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2037546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2037549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2037552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2037555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037578 */     // MIs[0] round
     /* 2037578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037581 */     // MIs[0] policy
     /* 2037581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037591 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2037594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037617 */     // GIR_Coverage, 15136,
     /* 2037617 */     GIR_EraseRootFromParent_Done,
     /* 2037618 */   // Label 27112: @2037618
     /* 2037618 */   GIM_Try, /*On fail goto*//*Label 27113*/ GIMT_Encode4(2037709), // Rule ID 15139 //
     /* 2037623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2037631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2037634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2037637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2037640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2037643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2037646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037669 */     // MIs[0] round
     /* 2037669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037672 */     // MIs[0] policy
     /* 2037672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037682 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2037685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037708 */     // GIR_Coverage, 15139,
     /* 2037708 */     GIR_EraseRootFromParent_Done,
     /* 2037709 */   // Label 27113: @2037709
     /* 2037709 */   GIM_Try, /*On fail goto*//*Label 27114*/ GIMT_Encode4(2037800), // Rule ID 15140 //
     /* 2037714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2037722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2037725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2037728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2037731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2037734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2037737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037760 */     // MIs[0] round
     /* 2037760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037763 */     // MIs[0] policy
     /* 2037763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037773 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2037776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037799 */     // GIR_Coverage, 15140,
     /* 2037799 */     GIR_EraseRootFromParent_Done,
     /* 2037800 */   // Label 27114: @2037800
     /* 2037800 */   GIM_Try, /*On fail goto*//*Label 27115*/ GIMT_Encode4(2037891), // Rule ID 15143 //
     /* 2037805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2037813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2037816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2037819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2037822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2037825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037851 */     // MIs[0] round
     /* 2037851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037854 */     // MIs[0] policy
     /* 2037854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037864 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2037867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037890 */     // GIR_Coverage, 15143,
     /* 2037890 */     GIR_EraseRootFromParent_Done,
     /* 2037891 */   // Label 27115: @2037891
     /* 2037891 */   GIM_Try, /*On fail goto*//*Label 27116*/ GIMT_Encode4(2037982), // Rule ID 15144 //
     /* 2037896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2037904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2037907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2037910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2037913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2037916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037942 */     // MIs[0] round
     /* 2037942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037945 */     // MIs[0] policy
     /* 2037945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037955 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2037958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037981 */     // GIR_Coverage, 15144,
     /* 2037981 */     GIR_EraseRootFromParent_Done,
     /* 2037982 */   // Label 27116: @2037982
     /* 2037982 */   GIM_Try, /*On fail goto*//*Label 27117*/ GIMT_Encode4(2038073), // Rule ID 15147 //
     /* 2037987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2037995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2037998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2038001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2038004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2038007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038033 */     // MIs[0] round
     /* 2038033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038036 */     // MIs[0] policy
     /* 2038036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2038049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038072 */     // GIR_Coverage, 15147,
     /* 2038072 */     GIR_EraseRootFromParent_Done,
     /* 2038073 */   // Label 27117: @2038073
     /* 2038073 */   GIM_Try, /*On fail goto*//*Label 27118*/ GIMT_Encode4(2038164), // Rule ID 15148 //
     /* 2038078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2038089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2038092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2038095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2038098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038124 */     // MIs[0] round
     /* 2038124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038127 */     // MIs[0] policy
     /* 2038127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038137 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2038140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038163 */     // GIR_Coverage, 15148,
     /* 2038163 */     GIR_EraseRootFromParent_Done,
     /* 2038164 */   // Label 27118: @2038164
     /* 2038164 */   GIM_Try, /*On fail goto*//*Label 27119*/ GIMT_Encode4(2038255), // Rule ID 15151 //
     /* 2038169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2038180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2038183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2038186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2038189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038215 */     // MIs[0] round
     /* 2038215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038218 */     // MIs[0] policy
     /* 2038218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038228 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2038231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038254 */     // GIR_Coverage, 15151,
     /* 2038254 */     GIR_EraseRootFromParent_Done,
     /* 2038255 */   // Label 27119: @2038255
     /* 2038255 */   GIM_Try, /*On fail goto*//*Label 27120*/ GIMT_Encode4(2038346), // Rule ID 15152 //
     /* 2038260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2038271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2038274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2038277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2038280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038306 */     // MIs[0] round
     /* 2038306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038309 */     // MIs[0] policy
     /* 2038309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038319 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2038322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038345 */     // GIR_Coverage, 15152,
     /* 2038345 */     GIR_EraseRootFromParent_Done,
     /* 2038346 */   // Label 27120: @2038346
     /* 2038346 */   GIM_Try, /*On fail goto*//*Label 27121*/ GIMT_Encode4(2038437), // Rule ID 15155 //
     /* 2038351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2038362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2038365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2038368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2038371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038397 */     // MIs[0] round
     /* 2038397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038400 */     // MIs[0] policy
     /* 2038400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038410 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2038413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038436 */     // GIR_Coverage, 15155,
     /* 2038436 */     GIR_EraseRootFromParent_Done,
     /* 2038437 */   // Label 27121: @2038437
     /* 2038437 */   GIM_Try, /*On fail goto*//*Label 27122*/ GIMT_Encode4(2038528), // Rule ID 15156 //
     /* 2038442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2038453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2038456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2038459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2038462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038488 */     // MIs[0] round
     /* 2038488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038491 */     // MIs[0] policy
     /* 2038491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038501 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2038504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038527 */     // GIR_Coverage, 15156,
     /* 2038527 */     GIR_EraseRootFromParent_Done,
     /* 2038528 */   // Label 27122: @2038528
     /* 2038528 */   GIM_Try, /*On fail goto*//*Label 27123*/ GIMT_Encode4(2038619), // Rule ID 15159 //
     /* 2038533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2038544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2038547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2038550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2038553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038579 */     // MIs[0] round
     /* 2038579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038582 */     // MIs[0] policy
     /* 2038582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038592 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2038595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038618 */     // GIR_Coverage, 15159,
     /* 2038618 */     GIR_EraseRootFromParent_Done,
     /* 2038619 */   // Label 27123: @2038619
     /* 2038619 */   GIM_Try, /*On fail goto*//*Label 27124*/ GIMT_Encode4(2038710), // Rule ID 15160 //
     /* 2038624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2038635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2038638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2038641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2038644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038670 */     // MIs[0] round
     /* 2038670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038673 */     // MIs[0] policy
     /* 2038673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038683 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2038686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038709 */     // GIR_Coverage, 15160,
     /* 2038709 */     GIR_EraseRootFromParent_Done,
     /* 2038710 */   // Label 27124: @2038710
     /* 2038710 */   GIM_Try, /*On fail goto*//*Label 27125*/ GIMT_Encode4(2038801), // Rule ID 15163 //
     /* 2038715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2038726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2038729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2038732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2038735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038761 */     // MIs[0] round
     /* 2038761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038764 */     // MIs[0] policy
     /* 2038764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038774 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2038777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038800 */     // GIR_Coverage, 15163,
     /* 2038800 */     GIR_EraseRootFromParent_Done,
     /* 2038801 */   // Label 27125: @2038801
     /* 2038801 */   GIM_Try, /*On fail goto*//*Label 27126*/ GIMT_Encode4(2038892), // Rule ID 15164 //
     /* 2038806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2038817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2038820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2038823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2038826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038852 */     // MIs[0] round
     /* 2038852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038855 */     // MIs[0] policy
     /* 2038855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038865 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2038868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038891 */     // GIR_Coverage, 15164,
     /* 2038891 */     GIR_EraseRootFromParent_Done,
     /* 2038892 */   // Label 27126: @2038892
     /* 2038892 */   GIM_Try, /*On fail goto*//*Label 27127*/ GIMT_Encode4(2038983), // Rule ID 15167 //
     /* 2038897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2038908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2038911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2038914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2038917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038943 */     // MIs[0] round
     /* 2038943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038946 */     // MIs[0] policy
     /* 2038946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038956 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2038959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038982 */     // GIR_Coverage, 15167,
     /* 2038982 */     GIR_EraseRootFromParent_Done,
     /* 2038983 */   // Label 27127: @2038983
     /* 2038983 */   GIM_Try, /*On fail goto*//*Label 27128*/ GIMT_Encode4(2039074), // Rule ID 15168 //
     /* 2038988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2038999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2039002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2039005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2039008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039034 */     // MIs[0] round
     /* 2039034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039037 */     // MIs[0] policy
     /* 2039037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039047 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2039050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039073 */     // GIR_Coverage, 15168,
     /* 2039073 */     GIR_EraseRootFromParent_Done,
     /* 2039074 */   // Label 27128: @2039074
     /* 2039074 */   GIM_Try, /*On fail goto*//*Label 27129*/ GIMT_Encode4(2039165), // Rule ID 15171 //
     /* 2039079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2039082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2039090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2039093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2039096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2039099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039125 */     // MIs[0] round
     /* 2039125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039128 */     // MIs[0] policy
     /* 2039128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039138 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2039141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2039161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039164 */     // GIR_Coverage, 15171,
     /* 2039164 */     GIR_EraseRootFromParent_Done,
     /* 2039165 */   // Label 27129: @2039165
     /* 2039165 */   GIM_Try, /*On fail goto*//*Label 27130*/ GIMT_Encode4(2039256), // Rule ID 15172 //
     /* 2039170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2039173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2039181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2039184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2039187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2039190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039216 */     // MIs[0] round
     /* 2039216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039219 */     // MIs[0] policy
     /* 2039219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039229 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2039232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2039252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039255 */     // GIR_Coverage, 15172,
     /* 2039255 */     GIR_EraseRootFromParent_Done,
     /* 2039256 */   // Label 27130: @2039256
     /* 2039256 */   GIM_Try, /*On fail goto*//*Label 27131*/ GIMT_Encode4(2039347), // Rule ID 15175 //
     /* 2039261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2039272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2039275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2039278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2039281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2039284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2039291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039307 */     // MIs[0] round
     /* 2039307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039310 */     // MIs[0] policy
     /* 2039310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039320 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2039323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039346 */     // GIR_Coverage, 15175,
     /* 2039346 */     GIR_EraseRootFromParent_Done,
     /* 2039347 */   // Label 27131: @2039347
     /* 2039347 */   GIM_Try, /*On fail goto*//*Label 27132*/ GIMT_Encode4(2039438), // Rule ID 15176 //
     /* 2039352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2039363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2039366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2039369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2039372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2039375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2039382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039398 */     // MIs[0] round
     /* 2039398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039401 */     // MIs[0] policy
     /* 2039401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039411 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2039414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039437 */     // GIR_Coverage, 15176,
     /* 2039437 */     GIR_EraseRootFromParent_Done,
     /* 2039438 */   // Label 27132: @2039438
     /* 2039438 */   GIM_Try, /*On fail goto*//*Label 27133*/ GIMT_Encode4(2039529), // Rule ID 15179 //
     /* 2039443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2039454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2039457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2039460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2039463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2039466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2039473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039489 */     // MIs[0] round
     /* 2039489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039492 */     // MIs[0] policy
     /* 2039492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039502 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2039505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039528 */     // GIR_Coverage, 15179,
     /* 2039528 */     GIR_EraseRootFromParent_Done,
     /* 2039529 */   // Label 27133: @2039529
     /* 2039529 */   GIM_Try, /*On fail goto*//*Label 27134*/ GIMT_Encode4(2039620), // Rule ID 15180 //
     /* 2039534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2039545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2039548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2039551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2039554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2039557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2039564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039580 */     // MIs[0] round
     /* 2039580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039583 */     // MIs[0] policy
     /* 2039583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039593 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2039596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039619 */     // GIR_Coverage, 15180,
     /* 2039619 */     GIR_EraseRootFromParent_Done,
     /* 2039620 */   // Label 27134: @2039620
     /* 2039620 */   GIM_Try, /*On fail goto*//*Label 27135*/ GIMT_Encode4(2039711), // Rule ID 15183 //
     /* 2039625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2039636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2039639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2039642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2039645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2039648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2039655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039671 */     // MIs[0] round
     /* 2039671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039674 */     // MIs[0] policy
     /* 2039674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039684 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2039687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039710 */     // GIR_Coverage, 15183,
     /* 2039710 */     GIR_EraseRootFromParent_Done,
     /* 2039711 */   // Label 27135: @2039711
     /* 2039711 */   GIM_Try, /*On fail goto*//*Label 27136*/ GIMT_Encode4(2039802), // Rule ID 15184 //
     /* 2039716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2039727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2039730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2039733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2039736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2039739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2039746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039762 */     // MIs[0] round
     /* 2039762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039765 */     // MIs[0] policy
     /* 2039765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039775 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2039778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039801 */     // GIR_Coverage, 15184,
     /* 2039801 */     GIR_EraseRootFromParent_Done,
     /* 2039802 */   // Label 27136: @2039802
     /* 2039802 */   GIM_Try, /*On fail goto*//*Label 27137*/ GIMT_Encode4(2039893), // Rule ID 15187 //
     /* 2039807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2039818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2039821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2039824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2039827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2039837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039853 */     // MIs[0] round
     /* 2039853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039856 */     // MIs[0] policy
     /* 2039856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039866 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2039869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039892 */     // GIR_Coverage, 15187,
     /* 2039892 */     GIR_EraseRootFromParent_Done,
     /* 2039893 */   // Label 27137: @2039893
     /* 2039893 */   GIM_Try, /*On fail goto*//*Label 27138*/ GIMT_Encode4(2039984), // Rule ID 15188 //
     /* 2039898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2039909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2039912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2039915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2039918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2039928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039944 */     // MIs[0] round
     /* 2039944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039947 */     // MIs[0] policy
     /* 2039947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039957 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2039960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039983 */     // GIR_Coverage, 15188,
     /* 2039983 */     GIR_EraseRootFromParent_Done,
     /* 2039984 */   // Label 27138: @2039984
     /* 2039984 */   GIM_Try, /*On fail goto*//*Label 27139*/ GIMT_Encode4(2040075), // Rule ID 15191 //
     /* 2039989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2040000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2040003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2040006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2040009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040035 */     // MIs[0] round
     /* 2040035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040038 */     // MIs[0] policy
     /* 2040038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040048 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2040051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040074 */     // GIR_Coverage, 15191,
     /* 2040074 */     GIR_EraseRootFromParent_Done,
     /* 2040075 */   // Label 27139: @2040075
     /* 2040075 */   GIM_Try, /*On fail goto*//*Label 27140*/ GIMT_Encode4(2040166), // Rule ID 15192 //
     /* 2040080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2040091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2040094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2040097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2040100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040126 */     // MIs[0] round
     /* 2040126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040129 */     // MIs[0] policy
     /* 2040129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040139 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2040142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040165 */     // GIR_Coverage, 15192,
     /* 2040165 */     GIR_EraseRootFromParent_Done,
     /* 2040166 */   // Label 27140: @2040166
     /* 2040166 */   GIM_Try, /*On fail goto*//*Label 27141*/ GIMT_Encode4(2040257), // Rule ID 15195 //
     /* 2040171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2040182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2040185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2040188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2040191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2040194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040217 */     // MIs[0] round
     /* 2040217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040220 */     // MIs[0] policy
     /* 2040220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040230 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2040233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040256 */     // GIR_Coverage, 15195,
     /* 2040256 */     GIR_EraseRootFromParent_Done,
     /* 2040257 */   // Label 27141: @2040257
     /* 2040257 */   GIM_Try, /*On fail goto*//*Label 27142*/ GIMT_Encode4(2040348), // Rule ID 15196 //
     /* 2040262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2040273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2040276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2040279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2040282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2040285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040308 */     // MIs[0] round
     /* 2040308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040311 */     // MIs[0] policy
     /* 2040311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040321 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2040324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040347 */     // GIR_Coverage, 15196,
     /* 2040347 */     GIR_EraseRootFromParent_Done,
     /* 2040348 */   // Label 27142: @2040348
     /* 2040348 */   GIM_Try, /*On fail goto*//*Label 27143*/ GIMT_Encode4(2040439), // Rule ID 15199 //
     /* 2040353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2040364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2040367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2040370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2040373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040399 */     // MIs[0] round
     /* 2040399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040402 */     // MIs[0] policy
     /* 2040402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040412 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2040415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040438 */     // GIR_Coverage, 15199,
     /* 2040438 */     GIR_EraseRootFromParent_Done,
     /* 2040439 */   // Label 27143: @2040439
     /* 2040439 */   GIM_Try, /*On fail goto*//*Label 27144*/ GIMT_Encode4(2040530), // Rule ID 15200 //
     /* 2040444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2040455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2040458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2040461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2040464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040490 */     // MIs[0] round
     /* 2040490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040493 */     // MIs[0] policy
     /* 2040493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040503 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2040506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040529 */     // GIR_Coverage, 15200,
     /* 2040529 */     GIR_EraseRootFromParent_Done,
     /* 2040530 */   // Label 27144: @2040530
     /* 2040530 */   GIM_Try, /*On fail goto*//*Label 27145*/ GIMT_Encode4(2040621), // Rule ID 15203 //
     /* 2040535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2040546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2040549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2040552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2040555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2040558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040581 */     // MIs[0] round
     /* 2040581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040584 */     // MIs[0] policy
     /* 2040584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040594 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2040597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040620 */     // GIR_Coverage, 15203,
     /* 2040620 */     GIR_EraseRootFromParent_Done,
     /* 2040621 */   // Label 27145: @2040621
     /* 2040621 */   GIM_Try, /*On fail goto*//*Label 27146*/ GIMT_Encode4(2040712), // Rule ID 15204 //
     /* 2040626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2040637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2040640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2040643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2040646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2040649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040672 */     // MIs[0] round
     /* 2040672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040675 */     // MIs[0] policy
     /* 2040675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040685 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2040688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040711 */     // GIR_Coverage, 15204,
     /* 2040711 */     GIR_EraseRootFromParent_Done,
     /* 2040712 */   // Label 27146: @2040712
     /* 2040712 */   GIM_Try, /*On fail goto*//*Label 27147*/ GIMT_Encode4(2040803), // Rule ID 15207 //
     /* 2040717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2040728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2040731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2040734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2040737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040763 */     // MIs[0] round
     /* 2040763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040766 */     // MIs[0] policy
     /* 2040766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040776 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2040779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040802 */     // GIR_Coverage, 15207,
     /* 2040802 */     GIR_EraseRootFromParent_Done,
     /* 2040803 */   // Label 27147: @2040803
     /* 2040803 */   GIM_Try, /*On fail goto*//*Label 27148*/ GIMT_Encode4(2040894), // Rule ID 15208 //
     /* 2040808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2040819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2040822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2040825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2040828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040854 */     // MIs[0] round
     /* 2040854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040857 */     // MIs[0] policy
     /* 2040857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040867 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2040870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040893 */     // GIR_Coverage, 15208,
     /* 2040893 */     GIR_EraseRootFromParent_Done,
     /* 2040894 */   // Label 27148: @2040894
     /* 2040894 */   GIM_Try, /*On fail goto*//*Label 27149*/ GIMT_Encode4(2040985), // Rule ID 15211 //
     /* 2040899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2040902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2040910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2040913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2040916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2040919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040945 */     // MIs[0] round
     /* 2040945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040948 */     // MIs[0] policy
     /* 2040948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2040961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040984 */     // GIR_Coverage, 15211,
     /* 2040984 */     GIR_EraseRootFromParent_Done,
     /* 2040985 */   // Label 27149: @2040985
     /* 2040985 */   GIM_Try, /*On fail goto*//*Label 27150*/ GIMT_Encode4(2041076), // Rule ID 15212 //
     /* 2040990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2040993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2041001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2041004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2041007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2041010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2041013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041036 */     // MIs[0] round
     /* 2041036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041039 */     // MIs[0] policy
     /* 2041039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041049 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2041052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2041072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041075 */     // GIR_Coverage, 15212,
     /* 2041075 */     GIR_EraseRootFromParent_Done,
     /* 2041076 */   // Label 27150: @2041076
     /* 2041076 */   GIM_Try, /*On fail goto*//*Label 27151*/ GIMT_Encode4(2041167), // Rule ID 15215 //
     /* 2041081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2041084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2041092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2041095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2041098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2041101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041127 */     // MIs[0] round
     /* 2041127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041130 */     // MIs[0] policy
     /* 2041130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041140 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2041143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2041163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041166 */     // GIR_Coverage, 15215,
     /* 2041166 */     GIR_EraseRootFromParent_Done,
     /* 2041167 */   // Label 27151: @2041167
     /* 2041167 */   GIM_Try, /*On fail goto*//*Label 27152*/ GIMT_Encode4(2041258), // Rule ID 15216 //
     /* 2041172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2041175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2041183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2041186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2041189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2041192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041218 */     // MIs[0] round
     /* 2041218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041221 */     // MIs[0] policy
     /* 2041221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041231 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2041234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2041254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041257 */     // GIR_Coverage, 15216,
     /* 2041257 */     GIR_EraseRootFromParent_Done,
     /* 2041258 */   // Label 27152: @2041258
     /* 2041258 */   GIM_Try, /*On fail goto*//*Label 27153*/ GIMT_Encode4(2041349), // Rule ID 15219 //
     /* 2041263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2041266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2041274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2041277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2041280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2041283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041309 */     // MIs[0] round
     /* 2041309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041312 */     // MIs[0] policy
     /* 2041312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2041325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2041345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041348 */     // GIR_Coverage, 15219,
     /* 2041348 */     GIR_EraseRootFromParent_Done,
     /* 2041349 */   // Label 27153: @2041349
     /* 2041349 */   GIM_Try, /*On fail goto*//*Label 27154*/ GIMT_Encode4(2041440), // Rule ID 15220 //
     /* 2041354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2041357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2041365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2041368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2041371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2041374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041400 */     // MIs[0] round
     /* 2041400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041403 */     // MIs[0] policy
     /* 2041403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041413 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2041416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2041436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041439 */     // GIR_Coverage, 15220,
     /* 2041439 */     GIR_EraseRootFromParent_Done,
     /* 2041440 */   // Label 27154: @2041440
     /* 2041440 */   GIM_Try, /*On fail goto*//*Label 27155*/ GIMT_Encode4(2041531), // Rule ID 15223 //
     /* 2041445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2041456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2041459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2041462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2041468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041491 */     // MIs[0] round
     /* 2041491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041494 */     // MIs[0] policy
     /* 2041494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041504 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2041507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041530 */     // GIR_Coverage, 15223,
     /* 2041530 */     GIR_EraseRootFromParent_Done,
     /* 2041531 */   // Label 27155: @2041531
     /* 2041531 */   GIM_Try, /*On fail goto*//*Label 27156*/ GIMT_Encode4(2041622), // Rule ID 15224 //
     /* 2041536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2041547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2041550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2041553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2041559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041582 */     // MIs[0] round
     /* 2041582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041585 */     // MIs[0] policy
     /* 2041585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041595 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2041598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041621 */     // GIR_Coverage, 15224,
     /* 2041621 */     GIR_EraseRootFromParent_Done,
     /* 2041622 */   // Label 27156: @2041622
     /* 2041622 */   GIM_Try, /*On fail goto*//*Label 27157*/ GIMT_Encode4(2041713), // Rule ID 15227 //
     /* 2041627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2041638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2041641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2041644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2041650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041673 */     // MIs[0] round
     /* 2041673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041676 */     // MIs[0] policy
     /* 2041676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041686 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2041689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041712 */     // GIR_Coverage, 15227,
     /* 2041712 */     GIR_EraseRootFromParent_Done,
     /* 2041713 */   // Label 27157: @2041713
     /* 2041713 */   GIM_Try, /*On fail goto*//*Label 27158*/ GIMT_Encode4(2041804), // Rule ID 15228 //
     /* 2041718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2041729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2041732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2041735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2041741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041764 */     // MIs[0] round
     /* 2041764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041767 */     // MIs[0] policy
     /* 2041767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041777 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2041780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041803 */     // GIR_Coverage, 15228,
     /* 2041803 */     GIR_EraseRootFromParent_Done,
     /* 2041804 */   // Label 27158: @2041804
     /* 2041804 */   GIM_Try, /*On fail goto*//*Label 27159*/ GIMT_Encode4(2041895), // Rule ID 15231 //
     /* 2041809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2041820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2041823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2041826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041855 */     // MIs[0] round
     /* 2041855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041858 */     // MIs[0] policy
     /* 2041858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041868 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2041871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041894 */     // GIR_Coverage, 15231,
     /* 2041894 */     GIR_EraseRootFromParent_Done,
     /* 2041895 */   // Label 27159: @2041895
     /* 2041895 */   GIM_Try, /*On fail goto*//*Label 27160*/ GIMT_Encode4(2041986), // Rule ID 15232 //
     /* 2041900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2041911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2041914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2041917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041946 */     // MIs[0] round
     /* 2041946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041949 */     // MIs[0] policy
     /* 2041949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041959 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2041962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041985 */     // GIR_Coverage, 15232,
     /* 2041985 */     GIR_EraseRootFromParent_Done,
     /* 2041986 */   // Label 27160: @2041986
     /* 2041986 */   GIM_Try, /*On fail goto*//*Label 27161*/ GIMT_Encode4(2042077), // Rule ID 15235 //
     /* 2041991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2041999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2042002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2042005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2042008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042037 */     // MIs[0] round
     /* 2042037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042040 */     // MIs[0] policy
     /* 2042040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042050 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2042053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042076 */     // GIR_Coverage, 15235,
     /* 2042076 */     GIR_EraseRootFromParent_Done,
     /* 2042077 */   // Label 27161: @2042077
     /* 2042077 */   GIM_Try, /*On fail goto*//*Label 27162*/ GIMT_Encode4(2042168), // Rule ID 15236 //
     /* 2042082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2042093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2042096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2042099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042128 */     // MIs[0] round
     /* 2042128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042131 */     // MIs[0] policy
     /* 2042131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042141 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2042144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042167 */     // GIR_Coverage, 15236,
     /* 2042167 */     GIR_EraseRootFromParent_Done,
     /* 2042168 */   // Label 27162: @2042168
     /* 2042168 */   GIM_Try, /*On fail goto*//*Label 27163*/ GIMT_Encode4(2042259), // Rule ID 15239 //
     /* 2042173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2042184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2042187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2042190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042219 */     // MIs[0] round
     /* 2042219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042222 */     // MIs[0] policy
     /* 2042222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042232 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2042235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042258 */     // GIR_Coverage, 15239,
     /* 2042258 */     GIR_EraseRootFromParent_Done,
     /* 2042259 */   // Label 27163: @2042259
     /* 2042259 */   GIM_Try, /*On fail goto*//*Label 27164*/ GIMT_Encode4(2042350), // Rule ID 15240 //
     /* 2042264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2042275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2042278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2042281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042310 */     // MIs[0] round
     /* 2042310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042313 */     // MIs[0] policy
     /* 2042313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042323 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2042326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042349 */     // GIR_Coverage, 15240,
     /* 2042349 */     GIR_EraseRootFromParent_Done,
     /* 2042350 */   // Label 27164: @2042350
     /* 2042350 */   GIM_Try, /*On fail goto*//*Label 27165*/ GIMT_Encode4(2042441), // Rule ID 15243 //
     /* 2042355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2042366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2042369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2042372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042401 */     // MIs[0] round
     /* 2042401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042404 */     // MIs[0] policy
     /* 2042404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042414 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2042417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042440 */     // GIR_Coverage, 15243,
     /* 2042440 */     GIR_EraseRootFromParent_Done,
     /* 2042441 */   // Label 27165: @2042441
     /* 2042441 */   GIM_Try, /*On fail goto*//*Label 27166*/ GIMT_Encode4(2042532), // Rule ID 15244 //
     /* 2042446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2042457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2042460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2042463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042492 */     // MIs[0] round
     /* 2042492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042495 */     // MIs[0] policy
     /* 2042495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042505 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2042508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042531 */     // GIR_Coverage, 15244,
     /* 2042531 */     GIR_EraseRootFromParent_Done,
     /* 2042532 */   // Label 27166: @2042532
     /* 2042532 */   GIM_Try, /*On fail goto*//*Label 27167*/ GIMT_Encode4(2042623), // Rule ID 15247 //
     /* 2042537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2042548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2042551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2042554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042583 */     // MIs[0] round
     /* 2042583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042586 */     // MIs[0] policy
     /* 2042586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042596 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2042599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042622 */     // GIR_Coverage, 15247,
     /* 2042622 */     GIR_EraseRootFromParent_Done,
     /* 2042623 */   // Label 27167: @2042623
     /* 2042623 */   GIM_Try, /*On fail goto*//*Label 27168*/ GIMT_Encode4(2042714), // Rule ID 15248 //
     /* 2042628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2042639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2042642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2042645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042674 */     // MIs[0] round
     /* 2042674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042677 */     // MIs[0] policy
     /* 2042677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042687 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2042690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042713 */     // GIR_Coverage, 15248,
     /* 2042713 */     GIR_EraseRootFromParent_Done,
     /* 2042714 */   // Label 27168: @2042714
     /* 2042714 */   GIM_Try, /*On fail goto*//*Label 27169*/ GIMT_Encode4(2042805), // Rule ID 15251 //
     /* 2042719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2042730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2042733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2042736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042765 */     // MIs[0] round
     /* 2042765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042768 */     // MIs[0] policy
     /* 2042768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2042781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042804 */     // GIR_Coverage, 15251,
     /* 2042804 */     GIR_EraseRootFromParent_Done,
     /* 2042805 */   // Label 27169: @2042805
     /* 2042805 */   GIM_Try, /*On fail goto*//*Label 27170*/ GIMT_Encode4(2042896), // Rule ID 15252 //
     /* 2042810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2042821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2042824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2042827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042856 */     // MIs[0] round
     /* 2042856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042859 */     // MIs[0] policy
     /* 2042859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042869 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2042872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042895 */     // GIR_Coverage, 15252,
     /* 2042895 */     GIR_EraseRootFromParent_Done,
     /* 2042896 */   // Label 27170: @2042896
     /* 2042896 */   GIM_Try, /*On fail goto*//*Label 27171*/ GIMT_Encode4(2042987), // Rule ID 15255 //
     /* 2042901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2042909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2042912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2042915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2042918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042947 */     // MIs[0] round
     /* 2042947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042950 */     // MIs[0] policy
     /* 2042950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042960 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2042963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042986 */     // GIR_Coverage, 15255,
     /* 2042986 */     GIR_EraseRootFromParent_Done,
     /* 2042987 */   // Label 27171: @2042987
     /* 2042987 */   GIM_Try, /*On fail goto*//*Label 27172*/ GIMT_Encode4(2043078), // Rule ID 15256 //
     /* 2042992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2043003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2043006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2043009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043038 */     // MIs[0] round
     /* 2043038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043041 */     // MIs[0] policy
     /* 2043041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043051 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2043054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043077 */     // GIR_Coverage, 15256,
     /* 2043077 */     GIR_EraseRootFromParent_Done,
     /* 2043078 */   // Label 27172: @2043078
     /* 2043078 */   GIM_Try, /*On fail goto*//*Label 27173*/ GIMT_Encode4(2043169), // Rule ID 15259 //
     /* 2043083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2043086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2043094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2043097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2043100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043129 */     // MIs[0] round
     /* 2043129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043132 */     // MIs[0] policy
     /* 2043132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043142 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2043145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2043165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043168 */     // GIR_Coverage, 15259,
     /* 2043168 */     GIR_EraseRootFromParent_Done,
     /* 2043169 */   // Label 27173: @2043169
     /* 2043169 */   GIM_Try, /*On fail goto*//*Label 27174*/ GIMT_Encode4(2043260), // Rule ID 15260 //
     /* 2043174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2043177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2043185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2043188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2043191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043220 */     // MIs[0] round
     /* 2043220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043223 */     // MIs[0] policy
     /* 2043223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043233 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2043236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2043256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043259 */     // GIR_Coverage, 15260,
     /* 2043259 */     GIR_EraseRootFromParent_Done,
     /* 2043260 */   // Label 27174: @2043260
     /* 2043260 */   GIM_Try, /*On fail goto*//*Label 27175*/ GIMT_Encode4(2043351), // Rule ID 15263 //
     /* 2043265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2043276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2043279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2043282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2043288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2043295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043311 */     // MIs[0] round
     /* 2043311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043314 */     // MIs[0] policy
     /* 2043314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043324 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2043327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043350 */     // GIR_Coverage, 15263,
     /* 2043350 */     GIR_EraseRootFromParent_Done,
     /* 2043351 */   // Label 27175: @2043351
     /* 2043351 */   GIM_Try, /*On fail goto*//*Label 27176*/ GIMT_Encode4(2043442), // Rule ID 15264 //
     /* 2043356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2043367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2043370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2043373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2043379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2043386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043402 */     // MIs[0] round
     /* 2043402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043405 */     // MIs[0] policy
     /* 2043405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043415 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2043418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043441 */     // GIR_Coverage, 15264,
     /* 2043441 */     GIR_EraseRootFromParent_Done,
     /* 2043442 */   // Label 27176: @2043442
     /* 2043442 */   GIM_Try, /*On fail goto*//*Label 27177*/ GIMT_Encode4(2043533), // Rule ID 15267 //
     /* 2043447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2043458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2043461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2043464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2043470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2043477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043493 */     // MIs[0] round
     /* 2043493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043496 */     // MIs[0] policy
     /* 2043496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043506 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2043509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043532 */     // GIR_Coverage, 15267,
     /* 2043532 */     GIR_EraseRootFromParent_Done,
     /* 2043533 */   // Label 27177: @2043533
     /* 2043533 */   GIM_Try, /*On fail goto*//*Label 27178*/ GIMT_Encode4(2043624), // Rule ID 15268 //
     /* 2043538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2043549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2043552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2043555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2043561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2043568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043584 */     // MIs[0] round
     /* 2043584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043587 */     // MIs[0] policy
     /* 2043587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043597 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2043600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043623 */     // GIR_Coverage, 15268,
     /* 2043623 */     GIR_EraseRootFromParent_Done,
     /* 2043624 */   // Label 27178: @2043624
     /* 2043624 */   GIM_Try, /*On fail goto*//*Label 27179*/ GIMT_Encode4(2043715), // Rule ID 15271 //
     /* 2043629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2043640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2043643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2043646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2043652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2043659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043675 */     // MIs[0] round
     /* 2043675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043678 */     // MIs[0] policy
     /* 2043678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043688 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2043691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043714 */     // GIR_Coverage, 15271,
     /* 2043714 */     GIR_EraseRootFromParent_Done,
     /* 2043715 */   // Label 27179: @2043715
     /* 2043715 */   GIM_Try, /*On fail goto*//*Label 27180*/ GIMT_Encode4(2043806), // Rule ID 15272 //
     /* 2043720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2043731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2043734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2043737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2043743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2043750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043766 */     // MIs[0] round
     /* 2043766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043769 */     // MIs[0] policy
     /* 2043769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043779 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2043782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043805 */     // GIR_Coverage, 15272,
     /* 2043805 */     GIR_EraseRootFromParent_Done,
     /* 2043806 */   // Label 27180: @2043806
     /* 2043806 */   GIM_Try, /*On fail goto*//*Label 27181*/ GIMT_Encode4(2043897), // Rule ID 15275 //
     /* 2043811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2043822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2043825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2043828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2043841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043857 */     // MIs[0] round
     /* 2043857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043860 */     // MIs[0] policy
     /* 2043860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043870 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2043873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043896 */     // GIR_Coverage, 15275,
     /* 2043896 */     GIR_EraseRootFromParent_Done,
     /* 2043897 */   // Label 27181: @2043897
     /* 2043897 */   GIM_Try, /*On fail goto*//*Label 27182*/ GIMT_Encode4(2043988), // Rule ID 15276 //
     /* 2043902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2043910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2043913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2043916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2043919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2043932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043948 */     // MIs[0] round
     /* 2043948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043951 */     // MIs[0] policy
     /* 2043951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043961 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2043964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043987 */     // GIR_Coverage, 15276,
     /* 2043987 */     GIR_EraseRootFromParent_Done,
     /* 2043988 */   // Label 27182: @2043988
     /* 2043988 */   GIM_Try, /*On fail goto*//*Label 27183*/ GIMT_Encode4(2044079), // Rule ID 15279 //
     /* 2043993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2044004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2044007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2044010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044039 */     // MIs[0] round
     /* 2044039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044042 */     // MIs[0] policy
     /* 2044042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044052 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2044055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044078 */     // GIR_Coverage, 15279,
     /* 2044078 */     GIR_EraseRootFromParent_Done,
     /* 2044079 */   // Label 27183: @2044079
     /* 2044079 */   GIM_Try, /*On fail goto*//*Label 27184*/ GIMT_Encode4(2044170), // Rule ID 15280 //
     /* 2044084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2044095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2044098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2044101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044130 */     // MIs[0] round
     /* 2044130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044133 */     // MIs[0] policy
     /* 2044133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044143 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2044146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044169 */     // GIR_Coverage, 15280,
     /* 2044169 */     GIR_EraseRootFromParent_Done,
     /* 2044170 */   // Label 27184: @2044170
     /* 2044170 */   GIM_Try, /*On fail goto*//*Label 27185*/ GIMT_Encode4(2044261), // Rule ID 15283 //
     /* 2044175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2044186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2044189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2044192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2044198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044221 */     // MIs[0] round
     /* 2044221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044224 */     // MIs[0] policy
     /* 2044224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044234 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2044237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044260 */     // GIR_Coverage, 15283,
     /* 2044260 */     GIR_EraseRootFromParent_Done,
     /* 2044261 */   // Label 27185: @2044261
     /* 2044261 */   GIM_Try, /*On fail goto*//*Label 27186*/ GIMT_Encode4(2044352), // Rule ID 15284 //
     /* 2044266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2044277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2044280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2044283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2044289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044312 */     // MIs[0] round
     /* 2044312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044315 */     // MIs[0] policy
     /* 2044315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044325 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2044328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044351 */     // GIR_Coverage, 15284,
     /* 2044351 */     GIR_EraseRootFromParent_Done,
     /* 2044352 */   // Label 27186: @2044352
     /* 2044352 */   GIM_Try, /*On fail goto*//*Label 27187*/ GIMT_Encode4(2044443), // Rule ID 15287 //
     /* 2044357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2044368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2044371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2044374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2044380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044403 */     // MIs[0] round
     /* 2044403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044406 */     // MIs[0] policy
     /* 2044406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044416 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2044419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044442 */     // GIR_Coverage, 15287,
     /* 2044442 */     GIR_EraseRootFromParent_Done,
     /* 2044443 */   // Label 27187: @2044443
     /* 2044443 */   GIM_Try, /*On fail goto*//*Label 27188*/ GIMT_Encode4(2044534), // Rule ID 15288 //
     /* 2044448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2044459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2044462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2044465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2044471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044494 */     // MIs[0] round
     /* 2044494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044497 */     // MIs[0] policy
     /* 2044497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044507 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2044510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044533 */     // GIR_Coverage, 15288,
     /* 2044533 */     GIR_EraseRootFromParent_Done,
     /* 2044534 */   // Label 27188: @2044534
     /* 2044534 */   GIM_Try, /*On fail goto*//*Label 27189*/ GIMT_Encode4(2044625), // Rule ID 15291 //
     /* 2044539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2044550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2044553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2044556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2044562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044585 */     // MIs[0] round
     /* 2044585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044588 */     // MIs[0] policy
     /* 2044588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044598 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2044601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044624 */     // GIR_Coverage, 15291,
     /* 2044624 */     GIR_EraseRootFromParent_Done,
     /* 2044625 */   // Label 27189: @2044625
     /* 2044625 */   GIM_Try, /*On fail goto*//*Label 27190*/ GIMT_Encode4(2044716), // Rule ID 15292 //
     /* 2044630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2044641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2044644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2044647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2044653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044676 */     // MIs[0] round
     /* 2044676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044679 */     // MIs[0] policy
     /* 2044679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044689 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2044692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044715 */     // GIR_Coverage, 15292,
     /* 2044715 */     GIR_EraseRootFromParent_Done,
     /* 2044716 */   // Label 27190: @2044716
     /* 2044716 */   GIM_Try, /*On fail goto*//*Label 27191*/ GIMT_Encode4(2044807), // Rule ID 15295 //
     /* 2044721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2044732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2044735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2044738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044767 */     // MIs[0] round
     /* 2044767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044770 */     // MIs[0] policy
     /* 2044770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044780 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2044783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044806 */     // GIR_Coverage, 15295,
     /* 2044806 */     GIR_EraseRootFromParent_Done,
     /* 2044807 */   // Label 27191: @2044807
     /* 2044807 */   GIM_Try, /*On fail goto*//*Label 27192*/ GIMT_Encode4(2044898), // Rule ID 15296 //
     /* 2044812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2044823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2044826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2044829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044858 */     // MIs[0] round
     /* 2044858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044861 */     // MIs[0] policy
     /* 2044861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044871 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2044874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044897 */     // GIR_Coverage, 15296,
     /* 2044897 */     GIR_EraseRootFromParent_Done,
     /* 2044898 */   // Label 27192: @2044898
     /* 2044898 */   GIM_Try, /*On fail goto*//*Label 27193*/ GIMT_Encode4(2044989), // Rule ID 15299 //
     /* 2044903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2044906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2044911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2044914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2044917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2044920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044949 */     // MIs[0] round
     /* 2044949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044952 */     // MIs[0] policy
     /* 2044952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044962 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2044965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044988 */     // GIR_Coverage, 15299,
     /* 2044988 */     GIR_EraseRootFromParent_Done,
     /* 2044989 */   // Label 27193: @2044989
     /* 2044989 */   GIM_Try, /*On fail goto*//*Label 27194*/ GIMT_Encode4(2045080), // Rule ID 15300 //
     /* 2044994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2044997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2045005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2045008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2045011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2045017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045040 */     // MIs[0] round
     /* 2045040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045043 */     // MIs[0] policy
     /* 2045043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045053 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2045056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2045076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045079 */     // GIR_Coverage, 15300,
     /* 2045079 */     GIR_EraseRootFromParent_Done,
     /* 2045080 */   // Label 27194: @2045080
     /* 2045080 */   GIM_Try, /*On fail goto*//*Label 27195*/ GIMT_Encode4(2045171), // Rule ID 15303 //
     /* 2045085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2045088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2045096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2045099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2045102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045131 */     // MIs[0] round
     /* 2045131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045134 */     // MIs[0] policy
     /* 2045134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045144 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2045147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2045167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045170 */     // GIR_Coverage, 15303,
     /* 2045170 */     GIR_EraseRootFromParent_Done,
     /* 2045171 */   // Label 27195: @2045171
     /* 2045171 */   GIM_Try, /*On fail goto*//*Label 27196*/ GIMT_Encode4(2045262), // Rule ID 15304 //
     /* 2045176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2045179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2045187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2045190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2045193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045222 */     // MIs[0] round
     /* 2045222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045225 */     // MIs[0] policy
     /* 2045225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045235 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2045238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2045258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045261 */     // GIR_Coverage, 15304,
     /* 2045261 */     GIR_EraseRootFromParent_Done,
     /* 2045262 */   // Label 27196: @2045262
     /* 2045262 */   GIM_Try, /*On fail goto*//*Label 27197*/ GIMT_Encode4(2045353), // Rule ID 15307 //
     /* 2045267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2045270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2045278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2045281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2045284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045313 */     // MIs[0] round
     /* 2045313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045316 */     // MIs[0] policy
     /* 2045316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045326 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2045329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2045349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045352 */     // GIR_Coverage, 15307,
     /* 2045352 */     GIR_EraseRootFromParent_Done,
     /* 2045353 */   // Label 27197: @2045353
     /* 2045353 */   GIM_Try, /*On fail goto*//*Label 27198*/ GIMT_Encode4(2045444), // Rule ID 15308 //
     /* 2045358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2045361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2045366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2045369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2045372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2045375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045404 */     // MIs[0] round
     /* 2045404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045407 */     // MIs[0] policy
     /* 2045407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045417 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2045420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2045440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045443 */     // GIR_Coverage, 15308,
     /* 2045443 */     GIR_EraseRootFromParent_Done,
     /* 2045444 */   // Label 27198: @2045444
     /* 2045444 */   GIM_Try, /*On fail goto*//*Label 27199*/ GIMT_Encode4(2045535), // Rule ID 15311 //
     /* 2045449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2045457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2045460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2045463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2045466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2045469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2045472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045495 */     // MIs[0] round
     /* 2045495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045498 */     // MIs[0] policy
     /* 2045498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045508 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2045511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045534 */     // GIR_Coverage, 15311,
     /* 2045534 */     GIR_EraseRootFromParent_Done,
     /* 2045535 */   // Label 27199: @2045535
     /* 2045535 */   GIM_Try, /*On fail goto*//*Label 27200*/ GIMT_Encode4(2045626), // Rule ID 15312 //
     /* 2045540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2045548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2045551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2045554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2045557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2045560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2045563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045586 */     // MIs[0] round
     /* 2045586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045589 */     // MIs[0] policy
     /* 2045589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045599 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2045602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045625 */     // GIR_Coverage, 15312,
     /* 2045625 */     GIR_EraseRootFromParent_Done,
     /* 2045626 */   // Label 27200: @2045626
     /* 2045626 */   GIM_Try, /*On fail goto*//*Label 27201*/ GIMT_Encode4(2045717), // Rule ID 15315 //
     /* 2045631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2045639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2045642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2045645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2045648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2045651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2045654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045677 */     // MIs[0] round
     /* 2045677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045680 */     // MIs[0] policy
     /* 2045680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045690 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2045693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045716 */     // GIR_Coverage, 15315,
     /* 2045716 */     GIR_EraseRootFromParent_Done,
     /* 2045717 */   // Label 27201: @2045717
     /* 2045717 */   GIM_Try, /*On fail goto*//*Label 27202*/ GIMT_Encode4(2045808), // Rule ID 15316 //
     /* 2045722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2045730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2045733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2045736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2045739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2045742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2045745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045768 */     // MIs[0] round
     /* 2045768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045771 */     // MIs[0] policy
     /* 2045771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045781 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2045784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045807 */     // GIR_Coverage, 15316,
     /* 2045807 */     GIR_EraseRootFromParent_Done,
     /* 2045808 */   // Label 27202: @2045808
     /* 2045808 */   GIM_Try, /*On fail goto*//*Label 27203*/ GIMT_Encode4(2045899), // Rule ID 15319 //
     /* 2045813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2045821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2045824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2045827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2045830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2045833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045859 */     // MIs[0] round
     /* 2045859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045862 */     // MIs[0] policy
     /* 2045862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045872 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2045875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045898 */     // GIR_Coverage, 15319,
     /* 2045898 */     GIR_EraseRootFromParent_Done,
     /* 2045899 */   // Label 27203: @2045899
     /* 2045899 */   GIM_Try, /*On fail goto*//*Label 27204*/ GIMT_Encode4(2045990), // Rule ID 15320 //
     /* 2045904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2045912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2045915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2045918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2045921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2045924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045950 */     // MIs[0] round
     /* 2045950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045953 */     // MIs[0] policy
     /* 2045953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045963 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2045966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045989 */     // GIR_Coverage, 15320,
     /* 2045989 */     GIR_EraseRootFromParent_Done,
     /* 2045990 */   // Label 27204: @2045990
     /* 2045990 */   GIM_Try, /*On fail goto*//*Label 27205*/ GIMT_Encode4(2046081), // Rule ID 15323 //
     /* 2045995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2046006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2046009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2046012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2046015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046041 */     // MIs[0] round
     /* 2046041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046044 */     // MIs[0] policy
     /* 2046044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046054 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2046057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046080 */     // GIR_Coverage, 15323,
     /* 2046080 */     GIR_EraseRootFromParent_Done,
     /* 2046081 */   // Label 27205: @2046081
     /* 2046081 */   GIM_Try, /*On fail goto*//*Label 27206*/ GIMT_Encode4(2046172), // Rule ID 15324 //
     /* 2046086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2046097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2046100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2046103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2046106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046132 */     // MIs[0] round
     /* 2046132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046135 */     // MIs[0] policy
     /* 2046135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046145 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2046148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046171 */     // GIR_Coverage, 15324,
     /* 2046171 */     GIR_EraseRootFromParent_Done,
     /* 2046172 */   // Label 27206: @2046172
     /* 2046172 */   GIM_Try, /*On fail goto*//*Label 27207*/ GIMT_Encode4(2046263), // Rule ID 15327 //
     /* 2046177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2046188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2046191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2046194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2046197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046223 */     // MIs[0] round
     /* 2046223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046226 */     // MIs[0] policy
     /* 2046226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046236 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2046239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046262 */     // GIR_Coverage, 15327,
     /* 2046262 */     GIR_EraseRootFromParent_Done,
     /* 2046263 */   // Label 27207: @2046263
     /* 2046263 */   GIM_Try, /*On fail goto*//*Label 27208*/ GIMT_Encode4(2046354), // Rule ID 15328 //
     /* 2046268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2046279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2046282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2046285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2046288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046314 */     // MIs[0] round
     /* 2046314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046317 */     // MIs[0] policy
     /* 2046317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046327 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2046330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046353 */     // GIR_Coverage, 15328,
     /* 2046353 */     GIR_EraseRootFromParent_Done,
     /* 2046354 */   // Label 27208: @2046354
     /* 2046354 */   GIM_Try, /*On fail goto*//*Label 27209*/ GIMT_Encode4(2046445), // Rule ID 15331 //
     /* 2046359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2046370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2046373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2046376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2046379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046405 */     // MIs[0] round
     /* 2046405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046408 */     // MIs[0] policy
     /* 2046408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046418 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2046421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046444 */     // GIR_Coverage, 15331,
     /* 2046444 */     GIR_EraseRootFromParent_Done,
     /* 2046445 */   // Label 27209: @2046445
     /* 2046445 */   GIM_Try, /*On fail goto*//*Label 27210*/ GIMT_Encode4(2046536), // Rule ID 15332 //
     /* 2046450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2046461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2046464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2046467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2046470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046496 */     // MIs[0] round
     /* 2046496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046499 */     // MIs[0] policy
     /* 2046499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046509 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2046512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046535 */     // GIR_Coverage, 15332,
     /* 2046535 */     GIR_EraseRootFromParent_Done,
     /* 2046536 */   // Label 27210: @2046536
     /* 2046536 */   GIM_Try, /*On fail goto*//*Label 27211*/ GIMT_Encode4(2046627), // Rule ID 15335 //
     /* 2046541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2046552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2046555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2046558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2046561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046587 */     // MIs[0] round
     /* 2046587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046590 */     // MIs[0] policy
     /* 2046590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046600 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2046603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046626 */     // GIR_Coverage, 15335,
     /* 2046626 */     GIR_EraseRootFromParent_Done,
     /* 2046627 */   // Label 27211: @2046627
     /* 2046627 */   GIM_Try, /*On fail goto*//*Label 27212*/ GIMT_Encode4(2046718), // Rule ID 15336 //
     /* 2046632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2046643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2046646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2046649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2046652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046678 */     // MIs[0] round
     /* 2046678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046681 */     // MIs[0] policy
     /* 2046681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046691 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2046694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046717 */     // GIR_Coverage, 15336,
     /* 2046717 */     GIR_EraseRootFromParent_Done,
     /* 2046718 */   // Label 27212: @2046718
     /* 2046718 */   GIM_Try, /*On fail goto*//*Label 27213*/ GIMT_Encode4(2046809), // Rule ID 15339 //
     /* 2046723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2046734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2046737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2046740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2046743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046769 */     // MIs[0] round
     /* 2046769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046772 */     // MIs[0] policy
     /* 2046772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046782 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2046785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046808 */     // GIR_Coverage, 15339,
     /* 2046808 */     GIR_EraseRootFromParent_Done,
     /* 2046809 */   // Label 27213: @2046809
     /* 2046809 */   GIM_Try, /*On fail goto*//*Label 27214*/ GIMT_Encode4(2046900), // Rule ID 15340 //
     /* 2046814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2046825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2046828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2046831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2046834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046860 */     // MIs[0] round
     /* 2046860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046863 */     // MIs[0] policy
     /* 2046863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046873 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2046876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046899 */     // GIR_Coverage, 15340,
     /* 2046899 */     GIR_EraseRootFromParent_Done,
     /* 2046900 */   // Label 27214: @2046900
     /* 2046900 */   GIM_Try, /*On fail goto*//*Label 27215*/ GIMT_Encode4(2046991), // Rule ID 15343 //
     /* 2046905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2046916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2046919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2046922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2046925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046951 */     // MIs[0] round
     /* 2046951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046954 */     // MIs[0] policy
     /* 2046954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046964 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2046967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046990 */     // GIR_Coverage, 15343,
     /* 2046990 */     GIR_EraseRootFromParent_Done,
     /* 2046991 */   // Label 27215: @2046991
     /* 2046991 */   GIM_Try, /*On fail goto*//*Label 27216*/ GIMT_Encode4(2047082), // Rule ID 15344 //
     /* 2046996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2047007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2047010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2047013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2047016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047042 */     // MIs[0] round
     /* 2047042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047045 */     // MIs[0] policy
     /* 2047045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047055 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2047058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2047078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047081 */     // GIR_Coverage, 15344,
     /* 2047081 */     GIR_EraseRootFromParent_Done,
     /* 2047082 */   // Label 27216: @2047082
     /* 2047082 */   GIM_Try, /*On fail goto*//*Label 27217*/ GIMT_Encode4(2047173), // Rule ID 15347 //
     /* 2047087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2047090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2047098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2047101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2047104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2047107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047133 */     // MIs[0] round
     /* 2047133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047136 */     // MIs[0] policy
     /* 2047136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047146 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2047149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2047169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047172 */     // GIR_Coverage, 15347,
     /* 2047172 */     GIR_EraseRootFromParent_Done,
     /* 2047173 */   // Label 27217: @2047173
     /* 2047173 */   GIM_Try, /*On fail goto*//*Label 27218*/ GIMT_Encode4(2047264), // Rule ID 15348 //
     /* 2047178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2047181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2047189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2047192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2047195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2047198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047224 */     // MIs[0] round
     /* 2047224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047227 */     // MIs[0] policy
     /* 2047227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047237 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2047240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2047260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047263 */     // GIR_Coverage, 15348,
     /* 2047263 */     GIR_EraseRootFromParent_Done,
     /* 2047264 */   // Label 27218: @2047264
     /* 2047264 */   GIM_Try, /*On fail goto*//*Label 27219*/ GIMT_Encode4(2047355), // Rule ID 15351 //
     /* 2047269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2047280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2047283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2047286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2047289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2047292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2047299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047315 */     // MIs[0] round
     /* 2047315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047318 */     // MIs[0] policy
     /* 2047318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047328 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2047331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047354 */     // GIR_Coverage, 15351,
     /* 2047354 */     GIR_EraseRootFromParent_Done,
     /* 2047355 */   // Label 27219: @2047355
     /* 2047355 */   GIM_Try, /*On fail goto*//*Label 27220*/ GIMT_Encode4(2047446), // Rule ID 15352 //
     /* 2047360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2047371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2047374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2047377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2047380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2047383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2047390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047406 */     // MIs[0] round
     /* 2047406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047409 */     // MIs[0] policy
     /* 2047409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047419 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2047422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047445 */     // GIR_Coverage, 15352,
     /* 2047445 */     GIR_EraseRootFromParent_Done,
     /* 2047446 */   // Label 27220: @2047446
     /* 2047446 */   GIM_Try, /*On fail goto*//*Label 27221*/ GIMT_Encode4(2047537), // Rule ID 15355 //
     /* 2047451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2047462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2047465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2047468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2047471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2047474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2047481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047497 */     // MIs[0] round
     /* 2047497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047500 */     // MIs[0] policy
     /* 2047500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047510 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2047513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047536 */     // GIR_Coverage, 15355,
     /* 2047536 */     GIR_EraseRootFromParent_Done,
     /* 2047537 */   // Label 27221: @2047537
     /* 2047537 */   GIM_Try, /*On fail goto*//*Label 27222*/ GIMT_Encode4(2047628), // Rule ID 15356 //
     /* 2047542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2047553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2047556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2047559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2047562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2047565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2047572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047588 */     // MIs[0] round
     /* 2047588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047591 */     // MIs[0] policy
     /* 2047591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047601 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2047604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047627 */     // GIR_Coverage, 15356,
     /* 2047627 */     GIR_EraseRootFromParent_Done,
     /* 2047628 */   // Label 27222: @2047628
     /* 2047628 */   GIM_Try, /*On fail goto*//*Label 27223*/ GIMT_Encode4(2047719), // Rule ID 15359 //
     /* 2047633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2047644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2047647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2047650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2047653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2047656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2047663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047679 */     // MIs[0] round
     /* 2047679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047682 */     // MIs[0] policy
     /* 2047682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047692 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2047695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047718 */     // GIR_Coverage, 15359,
     /* 2047718 */     GIR_EraseRootFromParent_Done,
     /* 2047719 */   // Label 27223: @2047719
     /* 2047719 */   GIM_Try, /*On fail goto*//*Label 27224*/ GIMT_Encode4(2047810), // Rule ID 15360 //
     /* 2047724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2047735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2047738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2047741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2047744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2047747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2047754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047770 */     // MIs[0] round
     /* 2047770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047773 */     // MIs[0] policy
     /* 2047773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047783 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2047786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047809 */     // GIR_Coverage, 15360,
     /* 2047809 */     GIR_EraseRootFromParent_Done,
     /* 2047810 */   // Label 27224: @2047810
     /* 2047810 */   GIM_Try, /*On fail goto*//*Label 27225*/ GIMT_Encode4(2047901), // Rule ID 15363 //
     /* 2047815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2047826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2047829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2047832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2047835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2047845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047861 */     // MIs[0] round
     /* 2047861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047864 */     // MIs[0] policy
     /* 2047864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047874 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2047877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047900 */     // GIR_Coverage, 15363,
     /* 2047900 */     GIR_EraseRootFromParent_Done,
     /* 2047901 */   // Label 27225: @2047901
     /* 2047901 */   GIM_Try, /*On fail goto*//*Label 27226*/ GIMT_Encode4(2047992), // Rule ID 15364 //
     /* 2047906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2047917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2047920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2047923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2047926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2047936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047952 */     // MIs[0] round
     /* 2047952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047955 */     // MIs[0] policy
     /* 2047955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047965 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2047968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047991 */     // GIR_Coverage, 15364,
     /* 2047991 */     GIR_EraseRootFromParent_Done,
     /* 2047992 */   // Label 27226: @2047992
     /* 2047992 */   GIM_Try, /*On fail goto*//*Label 27227*/ GIMT_Encode4(2048083), // Rule ID 15367 //
     /* 2047997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2048008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2048011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2048014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2048017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048043 */     // MIs[0] round
     /* 2048043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048046 */     // MIs[0] policy
     /* 2048046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048056 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2048059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048082 */     // GIR_Coverage, 15367,
     /* 2048082 */     GIR_EraseRootFromParent_Done,
     /* 2048083 */   // Label 27227: @2048083
     /* 2048083 */   GIM_Try, /*On fail goto*//*Label 27228*/ GIMT_Encode4(2048174), // Rule ID 15368 //
     /* 2048088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2048099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2048102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2048105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2048108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048134 */     // MIs[0] round
     /* 2048134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048137 */     // MIs[0] policy
     /* 2048137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048147 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2048150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048173 */     // GIR_Coverage, 15368,
     /* 2048173 */     GIR_EraseRootFromParent_Done,
     /* 2048174 */   // Label 27228: @2048174
     /* 2048174 */   GIM_Try, /*On fail goto*//*Label 27229*/ GIMT_Encode4(2048265), // Rule ID 15371 //
     /* 2048179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2048190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2048193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2048196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2048199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2048202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048225 */     // MIs[0] round
     /* 2048225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048228 */     // MIs[0] policy
     /* 2048228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048238 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2048241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048264 */     // GIR_Coverage, 15371,
     /* 2048264 */     GIR_EraseRootFromParent_Done,
     /* 2048265 */   // Label 27229: @2048265
     /* 2048265 */   GIM_Try, /*On fail goto*//*Label 27230*/ GIMT_Encode4(2048356), // Rule ID 15372 //
     /* 2048270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2048281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2048284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2048287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2048290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2048293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048316 */     // MIs[0] round
     /* 2048316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048319 */     // MIs[0] policy
     /* 2048319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048329 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2048332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048355 */     // GIR_Coverage, 15372,
     /* 2048355 */     GIR_EraseRootFromParent_Done,
     /* 2048356 */   // Label 27230: @2048356
     /* 2048356 */   GIM_Try, /*On fail goto*//*Label 27231*/ GIMT_Encode4(2048447), // Rule ID 15375 //
     /* 2048361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2048372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2048375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2048378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2048381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2048384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048407 */     // MIs[0] round
     /* 2048407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048410 */     // MIs[0] policy
     /* 2048410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048420 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2048423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048446 */     // GIR_Coverage, 15375,
     /* 2048446 */     GIR_EraseRootFromParent_Done,
     /* 2048447 */   // Label 27231: @2048447
     /* 2048447 */   GIM_Try, /*On fail goto*//*Label 27232*/ GIMT_Encode4(2048538), // Rule ID 15376 //
     /* 2048452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2048463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2048466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2048469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2048472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2048475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048498 */     // MIs[0] round
     /* 2048498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048501 */     // MIs[0] policy
     /* 2048501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048511 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2048514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048537 */     // GIR_Coverage, 15376,
     /* 2048537 */     GIR_EraseRootFromParent_Done,
     /* 2048538 */   // Label 27232: @2048538
     /* 2048538 */   GIM_Try, /*On fail goto*//*Label 27233*/ GIMT_Encode4(2048629), // Rule ID 15379 //
     /* 2048543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2048554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2048557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2048560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2048563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2048566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048589 */     // MIs[0] round
     /* 2048589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048592 */     // MIs[0] policy
     /* 2048592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048602 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2048605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048628 */     // GIR_Coverage, 15379,
     /* 2048628 */     GIR_EraseRootFromParent_Done,
     /* 2048629 */   // Label 27233: @2048629
     /* 2048629 */   GIM_Try, /*On fail goto*//*Label 27234*/ GIMT_Encode4(2048720), // Rule ID 15380 //
     /* 2048634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2048645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2048648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2048651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2048654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2048657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048680 */     // MIs[0] round
     /* 2048680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048683 */     // MIs[0] policy
     /* 2048683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048693 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2048696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048719 */     // GIR_Coverage, 15380,
     /* 2048719 */     GIR_EraseRootFromParent_Done,
     /* 2048720 */   // Label 27234: @2048720
     /* 2048720 */   GIM_Try, /*On fail goto*//*Label 27235*/ GIMT_Encode4(2048811), // Rule ID 15383 //
     /* 2048725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2048736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2048739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2048742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2048745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048771 */     // MIs[0] round
     /* 2048771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048774 */     // MIs[0] policy
     /* 2048774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048784 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2048787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048810 */     // GIR_Coverage, 15383,
     /* 2048810 */     GIR_EraseRootFromParent_Done,
     /* 2048811 */   // Label 27235: @2048811
     /* 2048811 */   GIM_Try, /*On fail goto*//*Label 27236*/ GIMT_Encode4(2048902), // Rule ID 15384 //
     /* 2048816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2048827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2048830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2048833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2048836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048862 */     // MIs[0] round
     /* 2048862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048865 */     // MIs[0] policy
     /* 2048865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048875 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2048878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048901 */     // GIR_Coverage, 15384,
     /* 2048901 */     GIR_EraseRootFromParent_Done,
     /* 2048902 */   // Label 27236: @2048902
     /* 2048902 */   GIM_Try, /*On fail goto*//*Label 27237*/ GIMT_Encode4(2048993), // Rule ID 15387 //
     /* 2048907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2048910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2048918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2048921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2048924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2048927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048953 */     // MIs[0] round
     /* 2048953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048956 */     // MIs[0] policy
     /* 2048956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048966 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2048969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048992 */     // GIR_Coverage, 15387,
     /* 2048992 */     GIR_EraseRootFromParent_Done,
     /* 2048993 */   // Label 27237: @2048993
     /* 2048993 */   GIM_Try, /*On fail goto*//*Label 27238*/ GIMT_Encode4(2049084), // Rule ID 15388 //
     /* 2048998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2049001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2049009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2049012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2049015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2049018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2049021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049044 */     // MIs[0] round
     /* 2049044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049047 */     // MIs[0] policy
     /* 2049047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049057 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2049060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049083 */     // GIR_Coverage, 15388,
     /* 2049083 */     GIR_EraseRootFromParent_Done,
     /* 2049084 */   // Label 27238: @2049084
     /* 2049084 */   GIM_Try, /*On fail goto*//*Label 27239*/ GIMT_Encode4(2049175), // Rule ID 15391 //
     /* 2049089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2049092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2049100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2049103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2049106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2049109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049135 */     // MIs[0] round
     /* 2049135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049138 */     // MIs[0] policy
     /* 2049138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049148 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2049151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049174 */     // GIR_Coverage, 15391,
     /* 2049174 */     GIR_EraseRootFromParent_Done,
     /* 2049175 */   // Label 27239: @2049175
     /* 2049175 */   GIM_Try, /*On fail goto*//*Label 27240*/ GIMT_Encode4(2049266), // Rule ID 15392 //
     /* 2049180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2049183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2049191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2049194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2049197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2049200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049226 */     // MIs[0] round
     /* 2049226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049229 */     // MIs[0] policy
     /* 2049229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049239 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2049242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049265 */     // GIR_Coverage, 15392,
     /* 2049265 */     GIR_EraseRootFromParent_Done,
     /* 2049266 */   // Label 27240: @2049266
     /* 2049266 */   GIM_Try, /*On fail goto*//*Label 27241*/ GIMT_Encode4(2049357), // Rule ID 15395 //
     /* 2049271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2049274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2049282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2049285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2049288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2049291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049317 */     // MIs[0] round
     /* 2049317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049320 */     // MIs[0] policy
     /* 2049320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049330 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2049333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049356 */     // GIR_Coverage, 15395,
     /* 2049356 */     GIR_EraseRootFromParent_Done,
     /* 2049357 */   // Label 27241: @2049357
     /* 2049357 */   GIM_Try, /*On fail goto*//*Label 27242*/ GIMT_Encode4(2049448), // Rule ID 15396 //
     /* 2049362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2049365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2049373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2049376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2049379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2049382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049408 */     // MIs[0] round
     /* 2049408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049411 */     // MIs[0] policy
     /* 2049411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049421 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2049424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049447 */     // GIR_Coverage, 15396,
     /* 2049447 */     GIR_EraseRootFromParent_Done,
     /* 2049448 */   // Label 27242: @2049448
     /* 2049448 */   GIM_Try, /*On fail goto*//*Label 27243*/ GIMT_Encode4(2049539), // Rule ID 15399 //
     /* 2049453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2049464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2049467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2049470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2049476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049499 */     // MIs[0] round
     /* 2049499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049502 */     // MIs[0] policy
     /* 2049502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049512 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2049515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049538 */     // GIR_Coverage, 15399,
     /* 2049538 */     GIR_EraseRootFromParent_Done,
     /* 2049539 */   // Label 27243: @2049539
     /* 2049539 */   GIM_Try, /*On fail goto*//*Label 27244*/ GIMT_Encode4(2049630), // Rule ID 15400 //
     /* 2049544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2049555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2049558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2049561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2049564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2049567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049590 */     // MIs[0] round
     /* 2049590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049593 */     // MIs[0] policy
     /* 2049593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049603 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2049606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049629 */     // GIR_Coverage, 15400,
     /* 2049629 */     GIR_EraseRootFromParent_Done,
     /* 2049630 */   // Label 27244: @2049630
     /* 2049630 */   GIM_Try, /*On fail goto*//*Label 27245*/ GIMT_Encode4(2049721), // Rule ID 15403 //
     /* 2049635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2049646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2049649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2049652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2049658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049681 */     // MIs[0] round
     /* 2049681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049684 */     // MIs[0] policy
     /* 2049684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049694 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2049697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049720 */     // GIR_Coverage, 15403,
     /* 2049720 */     GIR_EraseRootFromParent_Done,
     /* 2049721 */   // Label 27245: @2049721
     /* 2049721 */   GIM_Try, /*On fail goto*//*Label 27246*/ GIMT_Encode4(2049812), // Rule ID 15404 //
     /* 2049726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2049737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2049740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2049743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2049746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2049749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049772 */     // MIs[0] round
     /* 2049772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049775 */     // MIs[0] policy
     /* 2049775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049785 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2049788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049811 */     // GIR_Coverage, 15404,
     /* 2049811 */     GIR_EraseRootFromParent_Done,
     /* 2049812 */   // Label 27246: @2049812
     /* 2049812 */   GIM_Try, /*On fail goto*//*Label 27247*/ GIMT_Encode4(2049903), // Rule ID 15407 //
     /* 2049817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2049828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2049831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2049834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049863 */     // MIs[0] round
     /* 2049863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049866 */     // MIs[0] policy
     /* 2049866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049876 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2049879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049902 */     // GIR_Coverage, 15407,
     /* 2049902 */     GIR_EraseRootFromParent_Done,
     /* 2049903 */   // Label 27247: @2049903
     /* 2049903 */   GIM_Try, /*On fail goto*//*Label 27248*/ GIMT_Encode4(2049994), // Rule ID 15408 //
     /* 2049908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2049916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2049919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2049922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2049925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2049928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049954 */     // MIs[0] round
     /* 2049954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049957 */     // MIs[0] policy
     /* 2049957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049967 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2049970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049993 */     // GIR_Coverage, 15408,
     /* 2049993 */     GIR_EraseRootFromParent_Done,
     /* 2049994 */   // Label 27248: @2049994
     /* 2049994 */   GIM_Try, /*On fail goto*//*Label 27249*/ GIMT_Encode4(2050085), // Rule ID 15411 //
     /* 2049999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2050010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2050013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2050016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050045 */     // MIs[0] round
     /* 2050045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050048 */     // MIs[0] policy
     /* 2050048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050058 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2050061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050084 */     // GIR_Coverage, 15411,
     /* 2050084 */     GIR_EraseRootFromParent_Done,
     /* 2050085 */   // Label 27249: @2050085
     /* 2050085 */   GIM_Try, /*On fail goto*//*Label 27250*/ GIMT_Encode4(2050176), // Rule ID 15412 //
     /* 2050090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2050101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2050104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2050107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050136 */     // MIs[0] round
     /* 2050136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050139 */     // MIs[0] policy
     /* 2050139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050149 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2050152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050175 */     // GIR_Coverage, 15412,
     /* 2050175 */     GIR_EraseRootFromParent_Done,
     /* 2050176 */   // Label 27250: @2050176
     /* 2050176 */   GIM_Try, /*On fail goto*//*Label 27251*/ GIMT_Encode4(2050267), // Rule ID 15415 //
     /* 2050181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2050192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2050195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2050198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050227 */     // MIs[0] round
     /* 2050227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050230 */     // MIs[0] policy
     /* 2050230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050240 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2050243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050266 */     // GIR_Coverage, 15415,
     /* 2050266 */     GIR_EraseRootFromParent_Done,
     /* 2050267 */   // Label 27251: @2050267
     /* 2050267 */   GIM_Try, /*On fail goto*//*Label 27252*/ GIMT_Encode4(2050358), // Rule ID 15416 //
     /* 2050272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2050283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2050286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2050289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050318 */     // MIs[0] round
     /* 2050318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050321 */     // MIs[0] policy
     /* 2050321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050331 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2050334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050357 */     // GIR_Coverage, 15416,
     /* 2050357 */     GIR_EraseRootFromParent_Done,
     /* 2050358 */   // Label 27252: @2050358
     /* 2050358 */   GIM_Try, /*On fail goto*//*Label 27253*/ GIMT_Encode4(2050449), // Rule ID 15419 //
     /* 2050363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2050374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2050377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2050380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050409 */     // MIs[0] round
     /* 2050409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050412 */     // MIs[0] policy
     /* 2050412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050422 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2050425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050448 */     // GIR_Coverage, 15419,
     /* 2050448 */     GIR_EraseRootFromParent_Done,
     /* 2050449 */   // Label 27253: @2050449
     /* 2050449 */   GIM_Try, /*On fail goto*//*Label 27254*/ GIMT_Encode4(2050540), // Rule ID 15420 //
     /* 2050454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2050465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2050468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2050471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050500 */     // MIs[0] round
     /* 2050500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050503 */     // MIs[0] policy
     /* 2050503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050513 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2050516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050539 */     // GIR_Coverage, 15420,
     /* 2050539 */     GIR_EraseRootFromParent_Done,
     /* 2050540 */   // Label 27254: @2050540
     /* 2050540 */   GIM_Try, /*On fail goto*//*Label 27255*/ GIMT_Encode4(2050631), // Rule ID 15423 //
     /* 2050545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2050556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2050559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2050562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050591 */     // MIs[0] round
     /* 2050591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050594 */     // MIs[0] policy
     /* 2050594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050604 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2050607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050630 */     // GIR_Coverage, 15423,
     /* 2050630 */     GIR_EraseRootFromParent_Done,
     /* 2050631 */   // Label 27255: @2050631
     /* 2050631 */   GIM_Try, /*On fail goto*//*Label 27256*/ GIMT_Encode4(2050722), // Rule ID 15424 //
     /* 2050636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2050647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2050650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2050653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050682 */     // MIs[0] round
     /* 2050682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050685 */     // MIs[0] policy
     /* 2050685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050695 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2050698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050721 */     // GIR_Coverage, 15424,
     /* 2050721 */     GIR_EraseRootFromParent_Done,
     /* 2050722 */   // Label 27256: @2050722
     /* 2050722 */   GIM_Try, /*On fail goto*//*Label 27257*/ GIMT_Encode4(2050813), // Rule ID 15427 //
     /* 2050727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2050738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2050741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2050744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050773 */     // MIs[0] round
     /* 2050773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050776 */     // MIs[0] policy
     /* 2050776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050786 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2050789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050812 */     // GIR_Coverage, 15427,
     /* 2050812 */     GIR_EraseRootFromParent_Done,
     /* 2050813 */   // Label 27257: @2050813
     /* 2050813 */   GIM_Try, /*On fail goto*//*Label 27258*/ GIMT_Encode4(2050904), // Rule ID 15428 //
     /* 2050818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2050829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2050832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2050835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050864 */     // MIs[0] round
     /* 2050864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050867 */     // MIs[0] policy
     /* 2050867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050877 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2050880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050903 */     // GIR_Coverage, 15428,
     /* 2050903 */     GIR_EraseRootFromParent_Done,
     /* 2050904 */   // Label 27258: @2050904
     /* 2050904 */   GIM_Try, /*On fail goto*//*Label 27259*/ GIMT_Encode4(2050995), // Rule ID 15431 //
     /* 2050909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2050917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2050920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2050923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2050926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050955 */     // MIs[0] round
     /* 2050955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050958 */     // MIs[0] policy
     /* 2050958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050968 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2050971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050994 */     // GIR_Coverage, 15431,
     /* 2050994 */     GIR_EraseRootFromParent_Done,
     /* 2050995 */   // Label 27259: @2050995
     /* 2050995 */   GIM_Try, /*On fail goto*//*Label 27260*/ GIMT_Encode4(2051086), // Rule ID 15432 //
     /* 2051000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2051011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2051014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2051017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051046 */     // MIs[0] round
     /* 2051046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051049 */     // MIs[0] policy
     /* 2051049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051059 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2051062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051085 */     // GIR_Coverage, 15432,
     /* 2051085 */     GIR_EraseRootFromParent_Done,
     /* 2051086 */   // Label 27260: @2051086
     /* 2051086 */   GIM_Try, /*On fail goto*//*Label 27261*/ GIMT_Encode4(2051177), // Rule ID 15435 //
     /* 2051091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2051094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2051102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2051105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2051108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051137 */     // MIs[0] round
     /* 2051137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051140 */     // MIs[0] policy
     /* 2051140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051150 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2051153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2051173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051176 */     // GIR_Coverage, 15435,
     /* 2051176 */     GIR_EraseRootFromParent_Done,
     /* 2051177 */   // Label 27261: @2051177
     /* 2051177 */   GIM_Try, /*On fail goto*//*Label 27262*/ GIMT_Encode4(2051268), // Rule ID 15436 //
     /* 2051182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2051185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2051193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2051196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2051199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051228 */     // MIs[0] round
     /* 2051228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051231 */     // MIs[0] policy
     /* 2051231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051241 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2051244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2051264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051267 */     // GIR_Coverage, 15436,
     /* 2051267 */     GIR_EraseRootFromParent_Done,
     /* 2051268 */   // Label 27262: @2051268
     /* 2051268 */   GIM_Try, /*On fail goto*//*Label 27263*/ GIMT_Encode4(2051359), // Rule ID 15439 //
     /* 2051273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2051284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2051287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2051290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2051296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2051303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051319 */     // MIs[0] round
     /* 2051319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051322 */     // MIs[0] policy
     /* 2051322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051332 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2051335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051358 */     // GIR_Coverage, 15439,
     /* 2051358 */     GIR_EraseRootFromParent_Done,
     /* 2051359 */   // Label 27263: @2051359
     /* 2051359 */   GIM_Try, /*On fail goto*//*Label 27264*/ GIMT_Encode4(2051450), // Rule ID 15440 //
     /* 2051364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2051375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2051378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2051381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2051387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2051394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051410 */     // MIs[0] round
     /* 2051410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051413 */     // MIs[0] policy
     /* 2051413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051423 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2051426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051449 */     // GIR_Coverage, 15440,
     /* 2051449 */     GIR_EraseRootFromParent_Done,
     /* 2051450 */   // Label 27264: @2051450
     /* 2051450 */   GIM_Try, /*On fail goto*//*Label 27265*/ GIMT_Encode4(2051541), // Rule ID 15443 //
     /* 2051455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2051466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2051469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2051472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2051478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2051485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051501 */     // MIs[0] round
     /* 2051501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051504 */     // MIs[0] policy
     /* 2051504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051514 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2051517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051540 */     // GIR_Coverage, 15443,
     /* 2051540 */     GIR_EraseRootFromParent_Done,
     /* 2051541 */   // Label 27265: @2051541
     /* 2051541 */   GIM_Try, /*On fail goto*//*Label 27266*/ GIMT_Encode4(2051632), // Rule ID 15444 //
     /* 2051546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2051557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2051560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2051563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2051569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2051576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051592 */     // MIs[0] round
     /* 2051592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051595 */     // MIs[0] policy
     /* 2051595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051605 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2051608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051631 */     // GIR_Coverage, 15444,
     /* 2051631 */     GIR_EraseRootFromParent_Done,
     /* 2051632 */   // Label 27266: @2051632
     /* 2051632 */   GIM_Try, /*On fail goto*//*Label 27267*/ GIMT_Encode4(2051723), // Rule ID 15447 //
     /* 2051637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2051648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2051651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2051654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2051660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2051667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051683 */     // MIs[0] round
     /* 2051683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051686 */     // MIs[0] policy
     /* 2051686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051696 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2051699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051722 */     // GIR_Coverage, 15447,
     /* 2051722 */     GIR_EraseRootFromParent_Done,
     /* 2051723 */   // Label 27267: @2051723
     /* 2051723 */   GIM_Try, /*On fail goto*//*Label 27268*/ GIMT_Encode4(2051814), // Rule ID 15448 //
     /* 2051728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2051739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2051742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2051745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2051751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2051758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051774 */     // MIs[0] round
     /* 2051774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051777 */     // MIs[0] policy
     /* 2051777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051787 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2051790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051813 */     // GIR_Coverage, 15448,
     /* 2051813 */     GIR_EraseRootFromParent_Done,
     /* 2051814 */   // Label 27268: @2051814
     /* 2051814 */   GIM_Try, /*On fail goto*//*Label 27269*/ GIMT_Encode4(2051905), // Rule ID 15451 //
     /* 2051819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2051830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2051833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2051836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2051849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051865 */     // MIs[0] round
     /* 2051865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051868 */     // MIs[0] policy
     /* 2051868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051878 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2051881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051904 */     // GIR_Coverage, 15451,
     /* 2051904 */     GIR_EraseRootFromParent_Done,
     /* 2051905 */   // Label 27269: @2051905
     /* 2051905 */   GIM_Try, /*On fail goto*//*Label 27270*/ GIMT_Encode4(2051996), // Rule ID 15452 //
     /* 2051910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2051918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2051921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2051924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2051927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2051940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051956 */     // MIs[0] round
     /* 2051956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051959 */     // MIs[0] policy
     /* 2051959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051969 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2051972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051995 */     // GIR_Coverage, 15452,
     /* 2051995 */     GIR_EraseRootFromParent_Done,
     /* 2051996 */   // Label 27270: @2051996
     /* 2051996 */   GIM_Try, /*On fail goto*//*Label 27271*/ GIMT_Encode4(2052087), // Rule ID 15455 //
     /* 2052001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2052012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2052015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2052018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2052031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052047 */     // MIs[0] round
     /* 2052047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052050 */     // MIs[0] policy
     /* 2052050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052060 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2052063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052086 */     // GIR_Coverage, 15455,
     /* 2052086 */     GIR_EraseRootFromParent_Done,
     /* 2052087 */   // Label 27271: @2052087
     /* 2052087 */   GIM_Try, /*On fail goto*//*Label 27272*/ GIMT_Encode4(2052178), // Rule ID 15456 //
     /* 2052092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2052103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2052106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2052109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2052122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052138 */     // MIs[0] round
     /* 2052138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052141 */     // MIs[0] policy
     /* 2052141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052151 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2052154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052177 */     // GIR_Coverage, 15456,
     /* 2052177 */     GIR_EraseRootFromParent_Done,
     /* 2052178 */   // Label 27272: @2052178
     /* 2052178 */   GIM_Try, /*On fail goto*//*Label 27273*/ GIMT_Encode4(2052269), // Rule ID 15459 //
     /* 2052183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2052194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2052197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2052200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2052206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052229 */     // MIs[0] round
     /* 2052229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052232 */     // MIs[0] policy
     /* 2052232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052242 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2052245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052268 */     // GIR_Coverage, 15459,
     /* 2052268 */     GIR_EraseRootFromParent_Done,
     /* 2052269 */   // Label 27273: @2052269
     /* 2052269 */   GIM_Try, /*On fail goto*//*Label 27274*/ GIMT_Encode4(2052360), // Rule ID 15460 //
     /* 2052274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2052285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2052288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2052291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2052297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052320 */     // MIs[0] round
     /* 2052320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052323 */     // MIs[0] policy
     /* 2052323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052333 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2052336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052359 */     // GIR_Coverage, 15460,
     /* 2052359 */     GIR_EraseRootFromParent_Done,
     /* 2052360 */   // Label 27274: @2052360
     /* 2052360 */   GIM_Try, /*On fail goto*//*Label 27275*/ GIMT_Encode4(2052451), // Rule ID 15463 //
     /* 2052365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2052376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2052379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2052382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2052388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052411 */     // MIs[0] round
     /* 2052411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052414 */     // MIs[0] policy
     /* 2052414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052424 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2052427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052450 */     // GIR_Coverage, 15463,
     /* 2052450 */     GIR_EraseRootFromParent_Done,
     /* 2052451 */   // Label 27275: @2052451
     /* 2052451 */   GIM_Try, /*On fail goto*//*Label 27276*/ GIMT_Encode4(2052542), // Rule ID 15464 //
     /* 2052456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2052467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2052470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2052473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2052479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052502 */     // MIs[0] round
     /* 2052502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052505 */     // MIs[0] policy
     /* 2052505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052515 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2052518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052541 */     // GIR_Coverage, 15464,
     /* 2052541 */     GIR_EraseRootFromParent_Done,
     /* 2052542 */   // Label 27276: @2052542
     /* 2052542 */   GIM_Try, /*On fail goto*//*Label 27277*/ GIMT_Encode4(2052633), // Rule ID 15467 //
     /* 2052547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2052558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2052561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2052564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2052570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2052577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052593 */     // MIs[0] round
     /* 2052593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052596 */     // MIs[0] policy
     /* 2052596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052606 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2052609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052632 */     // GIR_Coverage, 15467,
     /* 2052632 */     GIR_EraseRootFromParent_Done,
     /* 2052633 */   // Label 27277: @2052633
     /* 2052633 */   GIM_Try, /*On fail goto*//*Label 27278*/ GIMT_Encode4(2052724), // Rule ID 15468 //
     /* 2052638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2052649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2052652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2052655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2052661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2052668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052684 */     // MIs[0] round
     /* 2052684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052687 */     // MIs[0] policy
     /* 2052687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052697 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2052700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052723 */     // GIR_Coverage, 15468,
     /* 2052723 */     GIR_EraseRootFromParent_Done,
     /* 2052724 */   // Label 27278: @2052724
     /* 2052724 */   GIM_Try, /*On fail goto*//*Label 27279*/ GIMT_Encode4(2052815), // Rule ID 15471 //
     /* 2052729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2052740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2052743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2052746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052775 */     // MIs[0] round
     /* 2052775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052778 */     // MIs[0] policy
     /* 2052778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052788 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2052791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052814 */     // GIR_Coverage, 15471,
     /* 2052814 */     GIR_EraseRootFromParent_Done,
     /* 2052815 */   // Label 27279: @2052815
     /* 2052815 */   GIM_Try, /*On fail goto*//*Label 27280*/ GIMT_Encode4(2052906), // Rule ID 15472 //
     /* 2052820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2052831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2052834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2052837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052866 */     // MIs[0] round
     /* 2052866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052869 */     // MIs[0] policy
     /* 2052869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052879 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2052882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052905 */     // GIR_Coverage, 15472,
     /* 2052905 */     GIR_EraseRootFromParent_Done,
     /* 2052906 */   // Label 27280: @2052906
     /* 2052906 */   GIM_Try, /*On fail goto*//*Label 27281*/ GIMT_Encode4(2052997), // Rule ID 15475 //
     /* 2052911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2052914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2052919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2052922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2052925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2052928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052957 */     // MIs[0] round
     /* 2052957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052960 */     // MIs[0] policy
     /* 2052960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052970 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2052973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2052993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052996 */     // GIR_Coverage, 15475,
     /* 2052996 */     GIR_EraseRootFromParent_Done,
     /* 2052997 */   // Label 27281: @2052997
     /* 2052997 */   GIM_Try, /*On fail goto*//*Label 27282*/ GIMT_Encode4(2053088), // Rule ID 15476 //
     /* 2053002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2053005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2053013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2053016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2053019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2053025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053048 */     // MIs[0] round
     /* 2053048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053051 */     // MIs[0] policy
     /* 2053051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053061 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2053064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2053084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053087 */     // GIR_Coverage, 15476,
     /* 2053087 */     GIR_EraseRootFromParent_Done,
     /* 2053088 */   // Label 27282: @2053088
     /* 2053088 */   GIM_Try, /*On fail goto*//*Label 27283*/ GIMT_Encode4(2053179), // Rule ID 15479 //
     /* 2053093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2053096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2053104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2053107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2053110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053139 */     // MIs[0] round
     /* 2053139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053142 */     // MIs[0] policy
     /* 2053142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053152 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2053155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2053175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053178 */     // GIR_Coverage, 15479,
     /* 2053178 */     GIR_EraseRootFromParent_Done,
     /* 2053179 */   // Label 27283: @2053179
     /* 2053179 */   GIM_Try, /*On fail goto*//*Label 27284*/ GIMT_Encode4(2053270), // Rule ID 15480 //
     /* 2053184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2053187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2053195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2053198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2053201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053230 */     // MIs[0] round
     /* 2053230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053233 */     // MIs[0] policy
     /* 2053233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053243 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2053246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2053266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053269 */     // GIR_Coverage, 15480,
     /* 2053269 */     GIR_EraseRootFromParent_Done,
     /* 2053270 */   // Label 27284: @2053270
     /* 2053270 */   GIM_Try, /*On fail goto*//*Label 27285*/ GIMT_Encode4(2053361), // Rule ID 15483 //
     /* 2053275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2053278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2053286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2053289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2053292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053321 */     // MIs[0] round
     /* 2053321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053324 */     // MIs[0] policy
     /* 2053324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053334 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2053337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2053357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053360 */     // GIR_Coverage, 15483,
     /* 2053360 */     GIR_EraseRootFromParent_Done,
     /* 2053361 */   // Label 27285: @2053361
     /* 2053361 */   GIM_Try, /*On fail goto*//*Label 27286*/ GIMT_Encode4(2053452), // Rule ID 15484 //
     /* 2053366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2053369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2053374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2053377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2053380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2053383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053412 */     // MIs[0] round
     /* 2053412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053415 */     // MIs[0] policy
     /* 2053415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053425 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2053428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2053448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053451 */     // GIR_Coverage, 15484,
     /* 2053451 */     GIR_EraseRootFromParent_Done,
     /* 2053452 */   // Label 27286: @2053452
     /* 2053452 */   GIM_Try, /*On fail goto*//*Label 27287*/ GIMT_Encode4(2053546), // Rule ID 15487 //
     /* 2053457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2053465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2053468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2053471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2053474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2053477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2053480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053503 */     // MIs[0] round
     /* 2053503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053506 */     // MIs[0] policy
     /* 2053506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053516 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2053519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2053544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053545 */     // GIR_Coverage, 15487,
     /* 2053545 */     GIR_EraseRootFromParent_Done,
     /* 2053546 */   // Label 27287: @2053546
     /* 2053546 */   GIM_Try, /*On fail goto*//*Label 27288*/ GIMT_Encode4(2053640), // Rule ID 15488 //
     /* 2053551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2053559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2053562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2053565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2053568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2053571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2053574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053597 */     // MIs[0] round
     /* 2053597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053600 */     // MIs[0] policy
     /* 2053600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053610 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2053613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2053638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053639 */     // GIR_Coverage, 15488,
     /* 2053639 */     GIR_EraseRootFromParent_Done,
     /* 2053640 */   // Label 27288: @2053640
     /* 2053640 */   GIM_Try, /*On fail goto*//*Label 27289*/ GIMT_Encode4(2053734), // Rule ID 15491 //
     /* 2053645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2053653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2053656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2053659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2053662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2053665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2053668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053691 */     // MIs[0] round
     /* 2053691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053694 */     // MIs[0] policy
     /* 2053694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053704 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2053707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053729 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2053732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053733 */     // GIR_Coverage, 15491,
     /* 2053733 */     GIR_EraseRootFromParent_Done,
     /* 2053734 */   // Label 27289: @2053734
     /* 2053734 */   GIM_Try, /*On fail goto*//*Label 27290*/ GIMT_Encode4(2053828), // Rule ID 15492 //
     /* 2053739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2053747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2053750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2053753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2053756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2053759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2053762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053785 */     // MIs[0] round
     /* 2053785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053788 */     // MIs[0] policy
     /* 2053788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053798 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2053801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053823 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2053826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053827 */     // GIR_Coverage, 15492,
     /* 2053827 */     GIR_EraseRootFromParent_Done,
     /* 2053828 */   // Label 27290: @2053828
     /* 2053828 */   GIM_Try, /*On fail goto*//*Label 27291*/ GIMT_Encode4(2053922), // Rule ID 15495 //
     /* 2053833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2053841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2053844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2053847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2053850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2053853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053879 */     // MIs[0] round
     /* 2053879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053882 */     // MIs[0] policy
     /* 2053882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053892 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2053895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053917 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2053920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053921 */     // GIR_Coverage, 15495,
     /* 2053921 */     GIR_EraseRootFromParent_Done,
     /* 2053922 */   // Label 27291: @2053922
     /* 2053922 */   GIM_Try, /*On fail goto*//*Label 27292*/ GIMT_Encode4(2054016), // Rule ID 15496 //
     /* 2053927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2053935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2053938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2053941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2053944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2053947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053973 */     // MIs[0] round
     /* 2053973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053976 */     // MIs[0] policy
     /* 2053976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053986 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2053989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054011 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054015 */     // GIR_Coverage, 15496,
     /* 2054015 */     GIR_EraseRootFromParent_Done,
     /* 2054016 */   // Label 27292: @2054016
     /* 2054016 */   GIM_Try, /*On fail goto*//*Label 27293*/ GIMT_Encode4(2054110), // Rule ID 15499 //
     /* 2054021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2054032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2054035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2054038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2054041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054067 */     // MIs[0] round
     /* 2054067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054070 */     // MIs[0] policy
     /* 2054070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054080 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2054083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054109 */     // GIR_Coverage, 15499,
     /* 2054109 */     GIR_EraseRootFromParent_Done,
     /* 2054110 */   // Label 27293: @2054110
     /* 2054110 */   GIM_Try, /*On fail goto*//*Label 27294*/ GIMT_Encode4(2054204), // Rule ID 15500 //
     /* 2054115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2054126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2054129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2054132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2054135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054161 */     // MIs[0] round
     /* 2054161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054164 */     // MIs[0] policy
     /* 2054164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054174 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2054177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054199 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054203 */     // GIR_Coverage, 15500,
     /* 2054203 */     GIR_EraseRootFromParent_Done,
     /* 2054204 */   // Label 27294: @2054204
     /* 2054204 */   GIM_Try, /*On fail goto*//*Label 27295*/ GIMT_Encode4(2054298), // Rule ID 15503 //
     /* 2054209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2054220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2054223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2054226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2054229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054255 */     // MIs[0] round
     /* 2054255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054258 */     // MIs[0] policy
     /* 2054258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054268 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2054271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054297 */     // GIR_Coverage, 15503,
     /* 2054297 */     GIR_EraseRootFromParent_Done,
     /* 2054298 */   // Label 27295: @2054298
     /* 2054298 */   GIM_Try, /*On fail goto*//*Label 27296*/ GIMT_Encode4(2054392), // Rule ID 15504 //
     /* 2054303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2054314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2054317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2054320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2054323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054349 */     // MIs[0] round
     /* 2054349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054352 */     // MIs[0] policy
     /* 2054352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054362 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2054365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054387 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054391 */     // GIR_Coverage, 15504,
     /* 2054391 */     GIR_EraseRootFromParent_Done,
     /* 2054392 */   // Label 27296: @2054392
     /* 2054392 */   GIM_Try, /*On fail goto*//*Label 27297*/ GIMT_Encode4(2054486), // Rule ID 15507 //
     /* 2054397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2054408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2054411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2054414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2054417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054443 */     // MIs[0] round
     /* 2054443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054446 */     // MIs[0] policy
     /* 2054446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054456 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2054459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054485 */     // GIR_Coverage, 15507,
     /* 2054485 */     GIR_EraseRootFromParent_Done,
     /* 2054486 */   // Label 27297: @2054486
     /* 2054486 */   GIM_Try, /*On fail goto*//*Label 27298*/ GIMT_Encode4(2054580), // Rule ID 15508 //
     /* 2054491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2054502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2054505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2054508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2054511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054537 */     // MIs[0] round
     /* 2054537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054540 */     // MIs[0] policy
     /* 2054540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054550 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2054553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054579 */     // GIR_Coverage, 15508,
     /* 2054579 */     GIR_EraseRootFromParent_Done,
     /* 2054580 */   // Label 27298: @2054580
     /* 2054580 */   GIM_Try, /*On fail goto*//*Label 27299*/ GIMT_Encode4(2054674), // Rule ID 15511 //
     /* 2054585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2054596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2054599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2054602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2054605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054631 */     // MIs[0] round
     /* 2054631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054634 */     // MIs[0] policy
     /* 2054634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054644 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2054647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054669 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054673 */     // GIR_Coverage, 15511,
     /* 2054673 */     GIR_EraseRootFromParent_Done,
     /* 2054674 */   // Label 27299: @2054674
     /* 2054674 */   GIM_Try, /*On fail goto*//*Label 27300*/ GIMT_Encode4(2054768), // Rule ID 15512 //
     /* 2054679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2054690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2054693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2054696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2054699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054725 */     // MIs[0] round
     /* 2054725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054728 */     // MIs[0] policy
     /* 2054728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054738 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2054741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054763 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054767 */     // GIR_Coverage, 15512,
     /* 2054767 */     GIR_EraseRootFromParent_Done,
     /* 2054768 */   // Label 27300: @2054768
     /* 2054768 */   GIM_Try, /*On fail goto*//*Label 27301*/ GIMT_Encode4(2054862), // Rule ID 15515 //
     /* 2054773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2054784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2054787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2054790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2054793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054819 */     // MIs[0] round
     /* 2054819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054822 */     // MIs[0] policy
     /* 2054822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2054835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054861 */     // GIR_Coverage, 15515,
     /* 2054861 */     GIR_EraseRootFromParent_Done,
     /* 2054862 */   // Label 27301: @2054862
     /* 2054862 */   GIM_Try, /*On fail goto*//*Label 27302*/ GIMT_Encode4(2054956), // Rule ID 15516 //
     /* 2054867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2054878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2054881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2054884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2054887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054913 */     // MIs[0] round
     /* 2054913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054916 */     // MIs[0] policy
     /* 2054916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054926 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2054929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054955 */     // GIR_Coverage, 15516,
     /* 2054955 */     GIR_EraseRootFromParent_Done,
     /* 2054956 */   // Label 27302: @2054956
     /* 2054956 */   GIM_Try, /*On fail goto*//*Label 27303*/ GIMT_Encode4(2055050), // Rule ID 15519 //
     /* 2054961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2054972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2054975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2054978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2054981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055007 */     // MIs[0] round
     /* 2055007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055010 */     // MIs[0] policy
     /* 2055010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055020 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2055023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055045 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055049 */     // GIR_Coverage, 15519,
     /* 2055049 */     GIR_EraseRootFromParent_Done,
     /* 2055050 */   // Label 27303: @2055050
     /* 2055050 */   GIM_Try, /*On fail goto*//*Label 27304*/ GIMT_Encode4(2055144), // Rule ID 15520 //
     /* 2055055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2055066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2055069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2055072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2055075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055101 */     // MIs[0] round
     /* 2055101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055104 */     // MIs[0] policy
     /* 2055104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2055117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055139 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055143 */     // GIR_Coverage, 15520,
     /* 2055143 */     GIR_EraseRootFromParent_Done,
     /* 2055144 */   // Label 27304: @2055144
     /* 2055144 */   GIM_Try, /*On fail goto*//*Label 27305*/ GIMT_Encode4(2055238), // Rule ID 15523 //
     /* 2055149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2055160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2055163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2055166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2055169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2055172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2055179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055195 */     // MIs[0] round
     /* 2055195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055198 */     // MIs[0] policy
     /* 2055198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055208 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2055211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055233 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055237 */     // GIR_Coverage, 15523,
     /* 2055237 */     GIR_EraseRootFromParent_Done,
     /* 2055238 */   // Label 27305: @2055238
     /* 2055238 */   GIM_Try, /*On fail goto*//*Label 27306*/ GIMT_Encode4(2055332), // Rule ID 15524 //
     /* 2055243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2055254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2055257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2055260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2055263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2055266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2055273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055289 */     // MIs[0] round
     /* 2055289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055292 */     // MIs[0] policy
     /* 2055292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055302 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2055305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055331 */     // GIR_Coverage, 15524,
     /* 2055331 */     GIR_EraseRootFromParent_Done,
     /* 2055332 */   // Label 27306: @2055332
     /* 2055332 */   GIM_Try, /*On fail goto*//*Label 27307*/ GIMT_Encode4(2055426), // Rule ID 15527 //
     /* 2055337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2055348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2055351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2055354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2055357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2055360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2055367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055383 */     // MIs[0] round
     /* 2055383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055386 */     // MIs[0] policy
     /* 2055386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055396 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2055399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055425 */     // GIR_Coverage, 15527,
     /* 2055425 */     GIR_EraseRootFromParent_Done,
     /* 2055426 */   // Label 27307: @2055426
     /* 2055426 */   GIM_Try, /*On fail goto*//*Label 27308*/ GIMT_Encode4(2055520), // Rule ID 15528 //
     /* 2055431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2055442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2055445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2055448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2055451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2055454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2055461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055477 */     // MIs[0] round
     /* 2055477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055480 */     // MIs[0] policy
     /* 2055480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055490 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2055493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055515 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055519 */     // GIR_Coverage, 15528,
     /* 2055519 */     GIR_EraseRootFromParent_Done,
     /* 2055520 */   // Label 27308: @2055520
     /* 2055520 */   GIM_Try, /*On fail goto*//*Label 27309*/ GIMT_Encode4(2055614), // Rule ID 15531 //
     /* 2055525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2055536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2055539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2055542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2055545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2055548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2055555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055571 */     // MIs[0] round
     /* 2055571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055574 */     // MIs[0] policy
     /* 2055574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055584 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2055587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055613 */     // GIR_Coverage, 15531,
     /* 2055613 */     GIR_EraseRootFromParent_Done,
     /* 2055614 */   // Label 27309: @2055614
     /* 2055614 */   GIM_Try, /*On fail goto*//*Label 27310*/ GIMT_Encode4(2055708), // Rule ID 15532 //
     /* 2055619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2055630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2055633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2055636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2055639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2055642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2055649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055665 */     // MIs[0] round
     /* 2055665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055668 */     // MIs[0] policy
     /* 2055668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055678 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2055681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055703 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055707 */     // GIR_Coverage, 15532,
     /* 2055707 */     GIR_EraseRootFromParent_Done,
     /* 2055708 */   // Label 27310: @2055708
     /* 2055708 */   GIM_Try, /*On fail goto*//*Label 27311*/ GIMT_Encode4(2055802), // Rule ID 15535 //
     /* 2055713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2055724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2055727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2055730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2055733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2055743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055759 */     // MIs[0] round
     /* 2055759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055762 */     // MIs[0] policy
     /* 2055762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055772 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2055775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055801 */     // GIR_Coverage, 15535,
     /* 2055801 */     GIR_EraseRootFromParent_Done,
     /* 2055802 */   // Label 27311: @2055802
     /* 2055802 */   GIM_Try, /*On fail goto*//*Label 27312*/ GIMT_Encode4(2055896), // Rule ID 15536 //
     /* 2055807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2055818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2055821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2055824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2055827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2055837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055853 */     // MIs[0] round
     /* 2055853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055856 */     // MIs[0] policy
     /* 2055856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055866 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2055869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055891 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055895 */     // GIR_Coverage, 15536,
     /* 2055895 */     GIR_EraseRootFromParent_Done,
     /* 2055896 */   // Label 27312: @2055896
     /* 2055896 */   GIM_Try, /*On fail goto*//*Label 27313*/ GIMT_Encode4(2055990), // Rule ID 15539 //
     /* 2055901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2055912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2055915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2055918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2055921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2055924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2055931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055947 */     // MIs[0] round
     /* 2055947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055950 */     // MIs[0] policy
     /* 2055950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055960 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2055963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055989 */     // GIR_Coverage, 15539,
     /* 2055989 */     GIR_EraseRootFromParent_Done,
     /* 2055990 */   // Label 27313: @2055990
     /* 2055990 */   GIM_Try, /*On fail goto*//*Label 27314*/ GIMT_Encode4(2056084), // Rule ID 15540 //
     /* 2055995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2056006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2056009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2056012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2056015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056041 */     // MIs[0] round
     /* 2056041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056044 */     // MIs[0] policy
     /* 2056044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056054 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2056057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056079 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056083 */     // GIR_Coverage, 15540,
     /* 2056083 */     GIR_EraseRootFromParent_Done,
     /* 2056084 */   // Label 27314: @2056084
     /* 2056084 */   GIM_Try, /*On fail goto*//*Label 27315*/ GIMT_Encode4(2056178), // Rule ID 15543 //
     /* 2056089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2056100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2056103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2056106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2056109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2056112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056135 */     // MIs[0] round
     /* 2056135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056138 */     // MIs[0] policy
     /* 2056138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056148 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2056151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056173 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056177 */     // GIR_Coverage, 15543,
     /* 2056177 */     GIR_EraseRootFromParent_Done,
     /* 2056178 */   // Label 27315: @2056178
     /* 2056178 */   GIM_Try, /*On fail goto*//*Label 27316*/ GIMT_Encode4(2056272), // Rule ID 15544 //
     /* 2056183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2056194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2056197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2056200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2056203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2056206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056229 */     // MIs[0] round
     /* 2056229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056232 */     // MIs[0] policy
     /* 2056232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056242 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2056245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056267 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056271 */     // GIR_Coverage, 15544,
     /* 2056271 */     GIR_EraseRootFromParent_Done,
     /* 2056272 */   // Label 27316: @2056272
     /* 2056272 */   GIM_Try, /*On fail goto*//*Label 27317*/ GIMT_Encode4(2056366), // Rule ID 15547 //
     /* 2056277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2056288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2056291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2056294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2056297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2056300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056323 */     // MIs[0] round
     /* 2056323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056326 */     // MIs[0] policy
     /* 2056326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056336 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2056339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056361 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056365 */     // GIR_Coverage, 15547,
     /* 2056365 */     GIR_EraseRootFromParent_Done,
     /* 2056366 */   // Label 27317: @2056366
     /* 2056366 */   GIM_Try, /*On fail goto*//*Label 27318*/ GIMT_Encode4(2056460), // Rule ID 15548 //
     /* 2056371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2056382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2056385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2056388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2056391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2056394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056417 */     // MIs[0] round
     /* 2056417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056420 */     // MIs[0] policy
     /* 2056420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2056433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056455 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056459 */     // GIR_Coverage, 15548,
     /* 2056459 */     GIR_EraseRootFromParent_Done,
     /* 2056460 */   // Label 27318: @2056460
     /* 2056460 */   GIM_Try, /*On fail goto*//*Label 27319*/ GIMT_Encode4(2056554), // Rule ID 15551 //
     /* 2056465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2056476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2056479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2056482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2056485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056511 */     // MIs[0] round
     /* 2056511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056514 */     // MIs[0] policy
     /* 2056514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056524 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2056527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056549 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056553 */     // GIR_Coverage, 15551,
     /* 2056553 */     GIR_EraseRootFromParent_Done,
     /* 2056554 */   // Label 27319: @2056554
     /* 2056554 */   GIM_Try, /*On fail goto*//*Label 27320*/ GIMT_Encode4(2056648), // Rule ID 15552 //
     /* 2056559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2056570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2056573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2056576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2056579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056605 */     // MIs[0] round
     /* 2056605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056608 */     // MIs[0] policy
     /* 2056608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056618 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2056621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056643 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056647 */     // GIR_Coverage, 15552,
     /* 2056647 */     GIR_EraseRootFromParent_Done,
     /* 2056648 */   // Label 27320: @2056648
     /* 2056648 */   GIM_Try, /*On fail goto*//*Label 27321*/ GIMT_Encode4(2056742), // Rule ID 15555 //
     /* 2056653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2056664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2056667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2056670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2056673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056699 */     // MIs[0] round
     /* 2056699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056702 */     // MIs[0] policy
     /* 2056702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056712 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2056715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056741 */     // GIR_Coverage, 15555,
     /* 2056741 */     GIR_EraseRootFromParent_Done,
     /* 2056742 */   // Label 27321: @2056742
     /* 2056742 */   GIM_Try, /*On fail goto*//*Label 27322*/ GIMT_Encode4(2056836), // Rule ID 15556 //
     /* 2056747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2056758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2056761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2056764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2056767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056793 */     // MIs[0] round
     /* 2056793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056796 */     // MIs[0] policy
     /* 2056796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056806 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2056809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056831 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056835 */     // GIR_Coverage, 15556,
     /* 2056835 */     GIR_EraseRootFromParent_Done,
     /* 2056836 */   // Label 27322: @2056836
     /* 2056836 */   GIM_Try, /*On fail goto*//*Label 27323*/ GIMT_Encode4(2056930), // Rule ID 15559 //
     /* 2056841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2056852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2056855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2056858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2056861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2056864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056887 */     // MIs[0] round
     /* 2056887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056890 */     // MIs[0] policy
     /* 2056890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056900 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2056903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056925 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056929 */     // GIR_Coverage, 15559,
     /* 2056929 */     GIR_EraseRootFromParent_Done,
     /* 2056930 */   // Label 27323: @2056930
     /* 2056930 */   GIM_Try, /*On fail goto*//*Label 27324*/ GIMT_Encode4(2057024), // Rule ID 15560 //
     /* 2056935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2056946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2056949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2056952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2056955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2056958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056981 */     // MIs[0] round
     /* 2056981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056984 */     // MIs[0] policy
     /* 2056984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056994 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2056997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057019 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057023 */     // GIR_Coverage, 15560,
     /* 2057023 */     GIR_EraseRootFromParent_Done,
     /* 2057024 */   // Label 27324: @2057024
     /* 2057024 */   GIM_Try, /*On fail goto*//*Label 27325*/ GIMT_Encode4(2057118), // Rule ID 15563 //
     /* 2057029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2057040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2057043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2057046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2057052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057075 */     // MIs[0] round
     /* 2057075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057078 */     // MIs[0] policy
     /* 2057078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057088 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2057091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057113 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057117 */     // GIR_Coverage, 15563,
     /* 2057117 */     GIR_EraseRootFromParent_Done,
     /* 2057118 */   // Label 27325: @2057118
     /* 2057118 */   GIM_Try, /*On fail goto*//*Label 27326*/ GIMT_Encode4(2057212), // Rule ID 15564 //
     /* 2057123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2057134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2057137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2057140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2057143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2057146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057169 */     // MIs[0] round
     /* 2057169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057172 */     // MIs[0] policy
     /* 2057172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057182 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2057185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057211 */     // GIR_Coverage, 15564,
     /* 2057211 */     GIR_EraseRootFromParent_Done,
     /* 2057212 */   // Label 27326: @2057212
     /* 2057212 */   GIM_Try, /*On fail goto*//*Label 27327*/ GIMT_Encode4(2057306), // Rule ID 15567 //
     /* 2057217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2057228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2057231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2057234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057263 */     // MIs[0] round
     /* 2057263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057266 */     // MIs[0] policy
     /* 2057266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057276 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2057279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057301 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057305 */     // GIR_Coverage, 15567,
     /* 2057305 */     GIR_EraseRootFromParent_Done,
     /* 2057306 */   // Label 27327: @2057306
     /* 2057306 */   GIM_Try, /*On fail goto*//*Label 27328*/ GIMT_Encode4(2057400), // Rule ID 15568 //
     /* 2057311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2057322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2057325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2057328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2057331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057357 */     // MIs[0] round
     /* 2057357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057360 */     // MIs[0] policy
     /* 2057360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057370 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2057373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057395 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057399 */     // GIR_Coverage, 15568,
     /* 2057399 */     GIR_EraseRootFromParent_Done,
     /* 2057400 */   // Label 27328: @2057400
     /* 2057400 */   GIM_Try, /*On fail goto*//*Label 27329*/ GIMT_Encode4(2057494), // Rule ID 15571 //
     /* 2057405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2057416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2057419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2057422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2057428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057451 */     // MIs[0] round
     /* 2057451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057454 */     // MIs[0] policy
     /* 2057454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057464 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2057467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057493 */     // GIR_Coverage, 15571,
     /* 2057493 */     GIR_EraseRootFromParent_Done,
     /* 2057494 */   // Label 27329: @2057494
     /* 2057494 */   GIM_Try, /*On fail goto*//*Label 27330*/ GIMT_Encode4(2057588), // Rule ID 15572 //
     /* 2057499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2057510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2057513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2057516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2057519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2057522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057545 */     // MIs[0] round
     /* 2057545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057548 */     // MIs[0] policy
     /* 2057548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057558 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2057561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057587 */     // GIR_Coverage, 15572,
     /* 2057587 */     GIR_EraseRootFromParent_Done,
     /* 2057588 */   // Label 27330: @2057588
     /* 2057588 */   GIM_Try, /*On fail goto*//*Label 27331*/ GIMT_Encode4(2057682), // Rule ID 15575 //
     /* 2057593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2057604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2057607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2057610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2057616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057639 */     // MIs[0] round
     /* 2057639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057642 */     // MIs[0] policy
     /* 2057642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057652 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2057655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057677 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057681 */     // GIR_Coverage, 15575,
     /* 2057681 */     GIR_EraseRootFromParent_Done,
     /* 2057682 */   // Label 27331: @2057682
     /* 2057682 */   GIM_Try, /*On fail goto*//*Label 27332*/ GIMT_Encode4(2057776), // Rule ID 15576 //
     /* 2057687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2057698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2057701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2057704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2057707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2057710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057733 */     // MIs[0] round
     /* 2057733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057736 */     // MIs[0] policy
     /* 2057736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057746 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2057749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057771 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057775 */     // GIR_Coverage, 15576,
     /* 2057775 */     GIR_EraseRootFromParent_Done,
     /* 2057776 */   // Label 27332: @2057776
     /* 2057776 */   GIM_Try, /*On fail goto*//*Label 27333*/ GIMT_Encode4(2057870), // Rule ID 15579 //
     /* 2057781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2057792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2057795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2057798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2057804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057827 */     // MIs[0] round
     /* 2057827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057830 */     // MIs[0] policy
     /* 2057830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057840 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2057843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057865 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057869 */     // GIR_Coverage, 15579,
     /* 2057869 */     GIR_EraseRootFromParent_Done,
     /* 2057870 */   // Label 27333: @2057870
     /* 2057870 */   GIM_Try, /*On fail goto*//*Label 27334*/ GIMT_Encode4(2057964), // Rule ID 15580 //
     /* 2057875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2057886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2057889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2057892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2057895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2057898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2057917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057921 */     // MIs[0] round
     /* 2057921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057924 */     // MIs[0] policy
     /* 2057924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057934 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2057937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057963 */     // GIR_Coverage, 15580,
     /* 2057963 */     GIR_EraseRootFromParent_Done,
     /* 2057964 */   // Label 27334: @2057964
     /* 2057964 */   GIM_Try, /*On fail goto*//*Label 27335*/ GIMT_Encode4(2058058), // Rule ID 15583 //
     /* 2057969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2057977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2057980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2057983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2057986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2057989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058015 */     // MIs[0] round
     /* 2058015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058018 */     // MIs[0] policy
     /* 2058018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058028 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2058031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058053 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058057 */     // GIR_Coverage, 15583,
     /* 2058057 */     GIR_EraseRootFromParent_Done,
     /* 2058058 */   // Label 27335: @2058058
     /* 2058058 */   GIM_Try, /*On fail goto*//*Label 27336*/ GIMT_Encode4(2058152), // Rule ID 15584 //
     /* 2058063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2058074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2058077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2058080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2058086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058109 */     // MIs[0] round
     /* 2058109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058112 */     // MIs[0] policy
     /* 2058112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058122 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2058125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058147 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058151 */     // GIR_Coverage, 15584,
     /* 2058151 */     GIR_EraseRootFromParent_Done,
     /* 2058152 */   // Label 27336: @2058152
     /* 2058152 */   GIM_Try, /*On fail goto*//*Label 27337*/ GIMT_Encode4(2058246), // Rule ID 15587 //
     /* 2058157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2058168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2058171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2058174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058203 */     // MIs[0] round
     /* 2058203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058206 */     // MIs[0] policy
     /* 2058206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2058219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058245 */     // GIR_Coverage, 15587,
     /* 2058245 */     GIR_EraseRootFromParent_Done,
     /* 2058246 */   // Label 27337: @2058246
     /* 2058246 */   GIM_Try, /*On fail goto*//*Label 27338*/ GIMT_Encode4(2058340), // Rule ID 15588 //
     /* 2058251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2058262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2058265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2058268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058297 */     // MIs[0] round
     /* 2058297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058300 */     // MIs[0] policy
     /* 2058300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058310 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2058313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058335 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058339 */     // GIR_Coverage, 15588,
     /* 2058339 */     GIR_EraseRootFromParent_Done,
     /* 2058340 */   // Label 27338: @2058340
     /* 2058340 */   GIM_Try, /*On fail goto*//*Label 27339*/ GIMT_Encode4(2058434), // Rule ID 15591 //
     /* 2058345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2058356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2058359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2058362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058391 */     // MIs[0] round
     /* 2058391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058394 */     // MIs[0] policy
     /* 2058394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058404 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2058407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058429 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058433 */     // GIR_Coverage, 15591,
     /* 2058433 */     GIR_EraseRootFromParent_Done,
     /* 2058434 */   // Label 27339: @2058434
     /* 2058434 */   GIM_Try, /*On fail goto*//*Label 27340*/ GIMT_Encode4(2058528), // Rule ID 15592 //
     /* 2058439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2058450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2058453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2058456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058485 */     // MIs[0] round
     /* 2058485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058488 */     // MIs[0] policy
     /* 2058488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058498 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2058501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058527 */     // GIR_Coverage, 15592,
     /* 2058527 */     GIR_EraseRootFromParent_Done,
     /* 2058528 */   // Label 27340: @2058528
     /* 2058528 */   GIM_Try, /*On fail goto*//*Label 27341*/ GIMT_Encode4(2058622), // Rule ID 15595 //
     /* 2058533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2058544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2058547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2058550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2058556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2058563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058579 */     // MIs[0] round
     /* 2058579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058582 */     // MIs[0] policy
     /* 2058582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058592 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2058595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058621 */     // GIR_Coverage, 15595,
     /* 2058621 */     GIR_EraseRootFromParent_Done,
     /* 2058622 */   // Label 27341: @2058622
     /* 2058622 */   GIM_Try, /*On fail goto*//*Label 27342*/ GIMT_Encode4(2058716), // Rule ID 15596 //
     /* 2058627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2058638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2058641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2058644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2058650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2058657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058673 */     // MIs[0] round
     /* 2058673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058676 */     // MIs[0] policy
     /* 2058676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058686 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2058689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058711 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058715 */     // GIR_Coverage, 15596,
     /* 2058715 */     GIR_EraseRootFromParent_Done,
     /* 2058716 */   // Label 27342: @2058716
     /* 2058716 */   GIM_Try, /*On fail goto*//*Label 27343*/ GIMT_Encode4(2058810), // Rule ID 15599 //
     /* 2058721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2058732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2058735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2058738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2058744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2058751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058767 */     // MIs[0] round
     /* 2058767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058770 */     // MIs[0] policy
     /* 2058770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058780 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2058783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058805 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058809 */     // GIR_Coverage, 15599,
     /* 2058809 */     GIR_EraseRootFromParent_Done,
     /* 2058810 */   // Label 27343: @2058810
     /* 2058810 */   GIM_Try, /*On fail goto*//*Label 27344*/ GIMT_Encode4(2058904), // Rule ID 15600 //
     /* 2058815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2058826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2058829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2058832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2058838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2058845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058861 */     // MIs[0] round
     /* 2058861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058864 */     // MIs[0] policy
     /* 2058864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058874 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2058877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058899 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058903 */     // GIR_Coverage, 15600,
     /* 2058903 */     GIR_EraseRootFromParent_Done,
     /* 2058904 */   // Label 27344: @2058904
     /* 2058904 */   GIM_Try, /*On fail goto*//*Label 27345*/ GIMT_Encode4(2058998), // Rule ID 15603 //
     /* 2058909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2058917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2058920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2058923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2058926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2058932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2058939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058955 */     // MIs[0] round
     /* 2058955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058958 */     // MIs[0] policy
     /* 2058958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058968 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2058971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058993 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2058996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058997 */     // GIR_Coverage, 15603,
     /* 2058997 */     GIR_EraseRootFromParent_Done,
     /* 2058998 */   // Label 27345: @2058998
     /* 2058998 */   GIM_Try, /*On fail goto*//*Label 27346*/ GIMT_Encode4(2059092), // Rule ID 15604 //
     /* 2059003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2059014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2059017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2059020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2059026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2059033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059049 */     // MIs[0] round
     /* 2059049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059052 */     // MIs[0] policy
     /* 2059052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059062 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2059065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059087 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059091 */     // GIR_Coverage, 15604,
     /* 2059091 */     GIR_EraseRootFromParent_Done,
     /* 2059092 */   // Label 27346: @2059092
     /* 2059092 */   GIM_Try, /*On fail goto*//*Label 27347*/ GIMT_Encode4(2059186), // Rule ID 15607 //
     /* 2059097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2059108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2059111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2059114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2059127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059143 */     // MIs[0] round
     /* 2059143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059146 */     // MIs[0] policy
     /* 2059146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2059159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059181 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059185 */     // GIR_Coverage, 15607,
     /* 2059185 */     GIR_EraseRootFromParent_Done,
     /* 2059186 */   // Label 27347: @2059186
     /* 2059186 */   GIM_Try, /*On fail goto*//*Label 27348*/ GIMT_Encode4(2059280), // Rule ID 15608 //
     /* 2059191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2059202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2059205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2059208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2059221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059237 */     // MIs[0] round
     /* 2059237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059240 */     // MIs[0] policy
     /* 2059240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059250 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2059253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059279 */     // GIR_Coverage, 15608,
     /* 2059279 */     GIR_EraseRootFromParent_Done,
     /* 2059280 */   // Label 27348: @2059280
     /* 2059280 */   GIM_Try, /*On fail goto*//*Label 27349*/ GIMT_Encode4(2059374), // Rule ID 15611 //
     /* 2059285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2059296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2059299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2059302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2059308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2059315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059331 */     // MIs[0] round
     /* 2059331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059334 */     // MIs[0] policy
     /* 2059334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059344 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2059347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059369 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059373 */     // GIR_Coverage, 15611,
     /* 2059373 */     GIR_EraseRootFromParent_Done,
     /* 2059374 */   // Label 27349: @2059374
     /* 2059374 */   GIM_Try, /*On fail goto*//*Label 27350*/ GIMT_Encode4(2059468), // Rule ID 15612 //
     /* 2059379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2059390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2059393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2059396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2059402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2059409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059425 */     // MIs[0] round
     /* 2059425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059428 */     // MIs[0] policy
     /* 2059428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059438 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2059441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059463 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059467 */     // GIR_Coverage, 15612,
     /* 2059467 */     GIR_EraseRootFromParent_Done,
     /* 2059468 */   // Label 27350: @2059468
     /* 2059468 */   GIM_Try, /*On fail goto*//*Label 27351*/ GIMT_Encode4(2059562), // Rule ID 15615 //
     /* 2059473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2059484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2059487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2059490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2059496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2059503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059519 */     // MIs[0] round
     /* 2059519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059522 */     // MIs[0] policy
     /* 2059522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059532 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2059535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059561 */     // GIR_Coverage, 15615,
     /* 2059561 */     GIR_EraseRootFromParent_Done,
     /* 2059562 */   // Label 27351: @2059562
     /* 2059562 */   GIM_Try, /*On fail goto*//*Label 27352*/ GIMT_Encode4(2059656), // Rule ID 15616 //
     /* 2059567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2059578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2059581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2059584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2059590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2059597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059613 */     // MIs[0] round
     /* 2059613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059616 */     // MIs[0] policy
     /* 2059616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059626 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2059629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059655 */     // GIR_Coverage, 15616,
     /* 2059655 */     GIR_EraseRootFromParent_Done,
     /* 2059656 */   // Label 27352: @2059656
     /* 2059656 */   GIM_Try, /*On fail goto*//*Label 27353*/ GIMT_Encode4(2059750), // Rule ID 15619 //
     /* 2059661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2059672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2059675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2059678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2059691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059707 */     // MIs[0] round
     /* 2059707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059710 */     // MIs[0] policy
     /* 2059710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059720 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2059723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059749 */     // GIR_Coverage, 15619,
     /* 2059749 */     GIR_EraseRootFromParent_Done,
     /* 2059750 */   // Label 27353: @2059750
     /* 2059750 */   GIM_Try, /*On fail goto*//*Label 27354*/ GIMT_Encode4(2059844), // Rule ID 15620 //
     /* 2059755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2059766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2059769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2059772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2059785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059801 */     // MIs[0] round
     /* 2059801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059804 */     // MIs[0] policy
     /* 2059804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059814 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2059817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059839 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059843 */     // GIR_Coverage, 15620,
     /* 2059843 */     GIR_EraseRootFromParent_Done,
     /* 2059844 */   // Label 27354: @2059844
     /* 2059844 */   GIM_Try, /*On fail goto*//*Label 27355*/ GIMT_Encode4(2059938), // Rule ID 15623 //
     /* 2059849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2059860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2059863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2059866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2059879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059895 */     // MIs[0] round
     /* 2059895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059898 */     // MIs[0] policy
     /* 2059898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059908 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2059911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059933 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2059936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059937 */     // GIR_Coverage, 15623,
     /* 2059937 */     GIR_EraseRootFromParent_Done,
     /* 2059938 */   // Label 27355: @2059938
     /* 2059938 */   GIM_Try, /*On fail goto*//*Label 27356*/ GIMT_Encode4(2060032), // Rule ID 15624 //
     /* 2059943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2059951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2059954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2059957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2059960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2059973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059989 */     // MIs[0] round
     /* 2059989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059992 */     // MIs[0] policy
     /* 2059992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060002 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2060005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060031 */     // GIR_Coverage, 15624,
     /* 2060031 */     GIR_EraseRootFromParent_Done,
     /* 2060032 */   // Label 27356: @2060032
     /* 2060032 */   GIM_Try, /*On fail goto*//*Label 27357*/ GIMT_Encode4(2060126), // Rule ID 15627 //
     /* 2060037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2060048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2060051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2060054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060083 */     // MIs[0] round
     /* 2060083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060086 */     // MIs[0] policy
     /* 2060086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2060099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060125 */     // GIR_Coverage, 15627,
     /* 2060125 */     GIR_EraseRootFromParent_Done,
     /* 2060126 */   // Label 27357: @2060126
     /* 2060126 */   GIM_Try, /*On fail goto*//*Label 27358*/ GIMT_Encode4(2060220), // Rule ID 15628 //
     /* 2060131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2060142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2060145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2060148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060177 */     // MIs[0] round
     /* 2060177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060180 */     // MIs[0] policy
     /* 2060180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060190 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2060193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060215 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060219 */     // GIR_Coverage, 15628,
     /* 2060219 */     GIR_EraseRootFromParent_Done,
     /* 2060220 */   // Label 27358: @2060220
     /* 2060220 */   GIM_Try, /*On fail goto*//*Label 27359*/ GIMT_Encode4(2060314), // Rule ID 15631 //
     /* 2060225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2060228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2060236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2060239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2060242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2060245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2060248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060271 */     // MIs[0] round
     /* 2060271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060274 */     // MIs[0] policy
     /* 2060274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2060287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060309 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060313 */     // GIR_Coverage, 15631,
     /* 2060313 */     GIR_EraseRootFromParent_Done,
     /* 2060314 */   // Label 27359: @2060314
     /* 2060314 */   GIM_Try, /*On fail goto*//*Label 27360*/ GIMT_Encode4(2060408), // Rule ID 15632 //
     /* 2060319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2060322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2060330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2060333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2060336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2060339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2060342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060365 */     // MIs[0] round
     /* 2060365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060368 */     // MIs[0] policy
     /* 2060368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060378 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2060381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060403 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060407 */     // GIR_Coverage, 15632,
     /* 2060407 */     GIR_EraseRootFromParent_Done,
     /* 2060408 */   // Label 27360: @2060408
     /* 2060408 */   GIM_Try, /*On fail goto*//*Label 27361*/ GIMT_Encode4(2060502), // Rule ID 15635 //
     /* 2060413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2060416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2060424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2060427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2060430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2060433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2060436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060459 */     // MIs[0] round
     /* 2060459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060462 */     // MIs[0] policy
     /* 2060462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060472 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2060475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060501 */     // GIR_Coverage, 15635,
     /* 2060501 */     GIR_EraseRootFromParent_Done,
     /* 2060502 */   // Label 27361: @2060502
     /* 2060502 */   GIM_Try, /*On fail goto*//*Label 27362*/ GIMT_Encode4(2060596), // Rule ID 15636 //
     /* 2060507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2060510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2060518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2060521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2060524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2060527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2060530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060553 */     // MIs[0] round
     /* 2060553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060556 */     // MIs[0] policy
     /* 2060556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060566 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2060569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060595 */     // GIR_Coverage, 15636,
     /* 2060595 */     GIR_EraseRootFromParent_Done,
     /* 2060596 */   // Label 27362: @2060596
     /* 2060596 */   GIM_Try, /*On fail goto*//*Label 27363*/ GIMT_Encode4(2060690), // Rule ID 15639 //
     /* 2060601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2060604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2060612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2060615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2060618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2060621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2060624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060647 */     // MIs[0] round
     /* 2060647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060650 */     // MIs[0] policy
     /* 2060650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060660 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2060663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060685 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060689 */     // GIR_Coverage, 15639,
     /* 2060689 */     GIR_EraseRootFromParent_Done,
     /* 2060690 */   // Label 27363: @2060690
     /* 2060690 */   GIM_Try, /*On fail goto*//*Label 27364*/ GIMT_Encode4(2060784), // Rule ID 15640 //
     /* 2060695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2060698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2060706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2060709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2060712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2060715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2060718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060741 */     // MIs[0] round
     /* 2060741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060744 */     // MIs[0] policy
     /* 2060744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060754 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2060757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060783 */     // GIR_Coverage, 15640,
     /* 2060783 */     GIR_EraseRootFromParent_Done,
     /* 2060784 */   // Label 27364: @2060784
     /* 2060784 */   GIM_Try, /*On fail goto*//*Label 27365*/ GIMT_Encode4(2060878), // Rule ID 15643 //
     /* 2060789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2060792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2060800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2060803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2060806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2060809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060835 */     // MIs[0] round
     /* 2060835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060838 */     // MIs[0] policy
     /* 2060838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060848 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2060851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060873 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060877 */     // GIR_Coverage, 15643,
     /* 2060877 */     GIR_EraseRootFromParent_Done,
     /* 2060878 */   // Label 27365: @2060878
     /* 2060878 */   GIM_Try, /*On fail goto*//*Label 27366*/ GIMT_Encode4(2060972), // Rule ID 15644 //
     /* 2060883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2060886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2060894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2060897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2060900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2060903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060929 */     // MIs[0] round
     /* 2060929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060932 */     // MIs[0] policy
     /* 2060932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060942 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2060945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060967 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2060970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060971 */     // GIR_Coverage, 15644,
     /* 2060971 */     GIR_EraseRootFromParent_Done,
     /* 2060972 */   // Label 27366: @2060972
     /* 2060972 */   GIM_Try, /*On fail goto*//*Label 27367*/ GIMT_Encode4(2061066), // Rule ID 15647 //
     /* 2060977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2060980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2060985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2060988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2060991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2060994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061023 */     // MIs[0] round
     /* 2061023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061026 */     // MIs[0] policy
     /* 2061026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061036 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2061039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061061 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061065 */     // GIR_Coverage, 15647,
     /* 2061065 */     GIR_EraseRootFromParent_Done,
     /* 2061066 */   // Label 27367: @2061066
     /* 2061066 */   GIM_Try, /*On fail goto*//*Label 27368*/ GIMT_Encode4(2061160), // Rule ID 15648 //
     /* 2061071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2061074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2061082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2061085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2061088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061117 */     // MIs[0] round
     /* 2061117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061120 */     // MIs[0] policy
     /* 2061120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061130 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2061133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061155 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061159 */     // GIR_Coverage, 15648,
     /* 2061159 */     GIR_EraseRootFromParent_Done,
     /* 2061160 */   // Label 27368: @2061160
     /* 2061160 */   GIM_Try, /*On fail goto*//*Label 27369*/ GIMT_Encode4(2061254), // Rule ID 15651 //
     /* 2061165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2061168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2061176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2061179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2061182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2061188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061211 */     // MIs[0] round
     /* 2061211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061214 */     // MIs[0] policy
     /* 2061214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061224 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2061227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061249 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061253 */     // GIR_Coverage, 15651,
     /* 2061253 */     GIR_EraseRootFromParent_Done,
     /* 2061254 */   // Label 27369: @2061254
     /* 2061254 */   GIM_Try, /*On fail goto*//*Label 27370*/ GIMT_Encode4(2061348), // Rule ID 15652 //
     /* 2061259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2061262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2061270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2061273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2061276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2061282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061305 */     // MIs[0] round
     /* 2061305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061308 */     // MIs[0] policy
     /* 2061308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061318 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2061321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061343 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061347 */     // GIR_Coverage, 15652,
     /* 2061347 */     GIR_EraseRootFromParent_Done,
     /* 2061348 */   // Label 27370: @2061348
     /* 2061348 */   GIM_Try, /*On fail goto*//*Label 27371*/ GIMT_Encode4(2061442), // Rule ID 15655 //
     /* 2061353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2061356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2061364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2061367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2061370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061399 */     // MIs[0] round
     /* 2061399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061402 */     // MIs[0] policy
     /* 2061402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061412 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2061415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061437 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061441 */     // GIR_Coverage, 15655,
     /* 2061441 */     GIR_EraseRootFromParent_Done,
     /* 2061442 */   // Label 27371: @2061442
     /* 2061442 */   GIM_Try, /*On fail goto*//*Label 27372*/ GIMT_Encode4(2061536), // Rule ID 15656 //
     /* 2061447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2061450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2061458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2061461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2061464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061493 */     // MIs[0] round
     /* 2061493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061496 */     // MIs[0] policy
     /* 2061496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061506 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2061509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061535 */     // GIR_Coverage, 15656,
     /* 2061535 */     GIR_EraseRootFromParent_Done,
     /* 2061536 */   // Label 27372: @2061536
     /* 2061536 */   GIM_Try, /*On fail goto*//*Label 27373*/ GIMT_Encode4(2061630), // Rule ID 15659 //
     /* 2061541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2061544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2061552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2061555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2061558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061587 */     // MIs[0] round
     /* 2061587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061590 */     // MIs[0] policy
     /* 2061590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061600 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2061603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061629 */     // GIR_Coverage, 15659,
     /* 2061629 */     GIR_EraseRootFromParent_Done,
     /* 2061630 */   // Label 27373: @2061630
     /* 2061630 */   GIM_Try, /*On fail goto*//*Label 27374*/ GIMT_Encode4(2061724), // Rule ID 15660 //
     /* 2061635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2061638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2061643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2061646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2061649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2061652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061681 */     // MIs[0] round
     /* 2061681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061684 */     // MIs[0] policy
     /* 2061684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061694 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2061697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2061722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061723 */     // GIR_Coverage, 15660,
     /* 2061723 */     GIR_EraseRootFromParent_Done,
     /* 2061724 */   // Label 27374: @2061724
     /* 2061724 */   GIM_Try, /*On fail goto*//*Label 27375*/ GIMT_Encode4(2061815), // Rule ID 15663 //
     /* 2061729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2061737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2061740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2061743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2061746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2061749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061775 */     // MIs[0] round
     /* 2061775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061778 */     // MIs[0] policy
     /* 2061778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061788 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2061791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061814 */     // GIR_Coverage, 15663,
     /* 2061814 */     GIR_EraseRootFromParent_Done,
     /* 2061815 */   // Label 27375: @2061815
     /* 2061815 */   GIM_Try, /*On fail goto*//*Label 27376*/ GIMT_Encode4(2061906), // Rule ID 15664 //
     /* 2061820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2061828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2061831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2061834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2061837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2061840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061866 */     // MIs[0] round
     /* 2061866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061869 */     // MIs[0] policy
     /* 2061869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061879 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2061882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061905 */     // GIR_Coverage, 15664,
     /* 2061905 */     GIR_EraseRootFromParent_Done,
     /* 2061906 */   // Label 27376: @2061906
     /* 2061906 */   GIM_Try, /*On fail goto*//*Label 27377*/ GIMT_Encode4(2061997), // Rule ID 15667 //
     /* 2061911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2061919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2061922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2061925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2061928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2061931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2061934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061957 */     // MIs[0] round
     /* 2061957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061960 */     // MIs[0] policy
     /* 2061960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061970 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2061973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061996 */     // GIR_Coverage, 15667,
     /* 2061996 */     GIR_EraseRootFromParent_Done,
     /* 2061997 */   // Label 27377: @2061997
     /* 2061997 */   GIM_Try, /*On fail goto*//*Label 27378*/ GIMT_Encode4(2062088), // Rule ID 15668 //
     /* 2062002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2062013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2062016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2062019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2062022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062048 */     // MIs[0] round
     /* 2062048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062051 */     // MIs[0] policy
     /* 2062051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062061 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2062064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062087 */     // GIR_Coverage, 15668,
     /* 2062087 */     GIR_EraseRootFromParent_Done,
     /* 2062088 */   // Label 27378: @2062088
     /* 2062088 */   GIM_Try, /*On fail goto*//*Label 27379*/ GIMT_Encode4(2062179), // Rule ID 15671 //
     /* 2062093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2062104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2062107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2062110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2062113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062139 */     // MIs[0] round
     /* 2062139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062142 */     // MIs[0] policy
     /* 2062142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062152 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2062155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062178 */     // GIR_Coverage, 15671,
     /* 2062178 */     GIR_EraseRootFromParent_Done,
     /* 2062179 */   // Label 27379: @2062179
     /* 2062179 */   GIM_Try, /*On fail goto*//*Label 27380*/ GIMT_Encode4(2062270), // Rule ID 15672 //
     /* 2062184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2062195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2062198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2062201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2062204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062230 */     // MIs[0] round
     /* 2062230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062233 */     // MIs[0] policy
     /* 2062233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062243 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2062246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062269 */     // GIR_Coverage, 15672,
     /* 2062269 */     GIR_EraseRootFromParent_Done,
     /* 2062270 */   // Label 27380: @2062270
     /* 2062270 */   GIM_Try, /*On fail goto*//*Label 27381*/ GIMT_Encode4(2062361), // Rule ID 15675 //
     /* 2062275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2062286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2062289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2062292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2062295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062321 */     // MIs[0] round
     /* 2062321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062324 */     // MIs[0] policy
     /* 2062324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062334 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2062337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2062357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062360 */     // GIR_Coverage, 15675,
     /* 2062360 */     GIR_EraseRootFromParent_Done,
     /* 2062361 */   // Label 27381: @2062361
     /* 2062361 */   GIM_Try, /*On fail goto*//*Label 27382*/ GIMT_Encode4(2062452), // Rule ID 15676 //
     /* 2062366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2062377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2062380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2062383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2062386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062412 */     // MIs[0] round
     /* 2062412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062415 */     // MIs[0] policy
     /* 2062415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062425 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2062428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2062448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062451 */     // GIR_Coverage, 15676,
     /* 2062451 */     GIR_EraseRootFromParent_Done,
     /* 2062452 */   // Label 27382: @2062452
     /* 2062452 */   GIM_Try, /*On fail goto*//*Label 27383*/ GIMT_Encode4(2062543), // Rule ID 15679 //
     /* 2062457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2062468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2062471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2062474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2062477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062503 */     // MIs[0] round
     /* 2062503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062506 */     // MIs[0] policy
     /* 2062506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062516 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2062519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2062539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062542 */     // GIR_Coverage, 15679,
     /* 2062542 */     GIR_EraseRootFromParent_Done,
     /* 2062543 */   // Label 27383: @2062543
     /* 2062543 */   GIM_Try, /*On fail goto*//*Label 27384*/ GIMT_Encode4(2062634), // Rule ID 15680 //
     /* 2062548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2062559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2062562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2062565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2062568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062594 */     // MIs[0] round
     /* 2062594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062597 */     // MIs[0] policy
     /* 2062597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062607 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2062610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2062630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062633 */     // GIR_Coverage, 15680,
     /* 2062633 */     GIR_EraseRootFromParent_Done,
     /* 2062634 */   // Label 27384: @2062634
     /* 2062634 */   GIM_Try, /*On fail goto*//*Label 27385*/ GIMT_Encode4(2062725), // Rule ID 15683 //
     /* 2062639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2062650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2062653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2062656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2062659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062685 */     // MIs[0] round
     /* 2062685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062688 */     // MIs[0] policy
     /* 2062688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062698 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2062701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062724 */     // GIR_Coverage, 15683,
     /* 2062724 */     GIR_EraseRootFromParent_Done,
     /* 2062725 */   // Label 27385: @2062725
     /* 2062725 */   GIM_Try, /*On fail goto*//*Label 27386*/ GIMT_Encode4(2062816), // Rule ID 15684 //
     /* 2062730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2062741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2062744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2062747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2062750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062776 */     // MIs[0] round
     /* 2062776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062779 */     // MIs[0] policy
     /* 2062779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062789 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2062792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062815 */     // GIR_Coverage, 15684,
     /* 2062815 */     GIR_EraseRootFromParent_Done,
     /* 2062816 */   // Label 27386: @2062816
     /* 2062816 */   GIM_Try, /*On fail goto*//*Label 27387*/ GIMT_Encode4(2062907), // Rule ID 15687 //
     /* 2062821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2062832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2062835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2062838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2062841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062867 */     // MIs[0] round
     /* 2062867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062870 */     // MIs[0] policy
     /* 2062870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062880 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2062883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062906 */     // GIR_Coverage, 15687,
     /* 2062906 */     GIR_EraseRootFromParent_Done,
     /* 2062907 */   // Label 27387: @2062907
     /* 2062907 */   GIM_Try, /*On fail goto*//*Label 27388*/ GIMT_Encode4(2062998), // Rule ID 15688 //
     /* 2062912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2062923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2062926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2062929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2062932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062958 */     // MIs[0] round
     /* 2062958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062961 */     // MIs[0] policy
     /* 2062961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062971 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2062974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062997 */     // GIR_Coverage, 15688,
     /* 2062997 */     GIR_EraseRootFromParent_Done,
     /* 2062998 */   // Label 27388: @2062998
     /* 2062998 */   GIM_Try, /*On fail goto*//*Label 27389*/ GIMT_Encode4(2063089), // Rule ID 15691 //
     /* 2063003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2063014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2063017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2063020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2063023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063049 */     // MIs[0] round
     /* 2063049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063052 */     // MIs[0] policy
     /* 2063052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063062 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2063065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063088 */     // GIR_Coverage, 15691,
     /* 2063088 */     GIR_EraseRootFromParent_Done,
     /* 2063089 */   // Label 27389: @2063089
     /* 2063089 */   GIM_Try, /*On fail goto*//*Label 27390*/ GIMT_Encode4(2063180), // Rule ID 15692 //
     /* 2063094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2063105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2063108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2063111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2063114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063140 */     // MIs[0] round
     /* 2063140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063143 */     // MIs[0] policy
     /* 2063143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063153 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2063156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063179 */     // GIR_Coverage, 15692,
     /* 2063179 */     GIR_EraseRootFromParent_Done,
     /* 2063180 */   // Label 27390: @2063180
     /* 2063180 */   GIM_Try, /*On fail goto*//*Label 27391*/ GIMT_Encode4(2063271), // Rule ID 15695 //
     /* 2063185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2063196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2063199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2063202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2063205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063231 */     // MIs[0] round
     /* 2063231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063234 */     // MIs[0] policy
     /* 2063234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063244 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2063247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063270 */     // GIR_Coverage, 15695,
     /* 2063270 */     GIR_EraseRootFromParent_Done,
     /* 2063271 */   // Label 27391: @2063271
     /* 2063271 */   GIM_Try, /*On fail goto*//*Label 27392*/ GIMT_Encode4(2063362), // Rule ID 15696 //
     /* 2063276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2063287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2063290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2063293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2063296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063322 */     // MIs[0] round
     /* 2063322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063325 */     // MIs[0] policy
     /* 2063325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063335 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2063338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063361 */     // GIR_Coverage, 15696,
     /* 2063361 */     GIR_EraseRootFromParent_Done,
     /* 2063362 */   // Label 27392: @2063362
     /* 2063362 */   GIM_Try, /*On fail goto*//*Label 27393*/ GIMT_Encode4(2063453), // Rule ID 15699 //
     /* 2063367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2063370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2063378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2063381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2063384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2063387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063413 */     // MIs[0] round
     /* 2063413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063416 */     // MIs[0] policy
     /* 2063416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063426 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2063429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2063449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063452 */     // GIR_Coverage, 15699,
     /* 2063452 */     GIR_EraseRootFromParent_Done,
     /* 2063453 */   // Label 27393: @2063453
     /* 2063453 */   GIM_Try, /*On fail goto*//*Label 27394*/ GIMT_Encode4(2063544), // Rule ID 15700 //
     /* 2063458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2063461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2063469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2063472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2063475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2063478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063504 */     // MIs[0] round
     /* 2063504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063507 */     // MIs[0] policy
     /* 2063507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063517 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2063520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2063540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063543 */     // GIR_Coverage, 15700,
     /* 2063543 */     GIR_EraseRootFromParent_Done,
     /* 2063544 */   // Label 27394: @2063544
     /* 2063544 */   GIM_Try, /*On fail goto*//*Label 27395*/ GIMT_Encode4(2063635), // Rule ID 15703 //
     /* 2063549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2063560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2063563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2063566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2063569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2063572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2063579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063595 */     // MIs[0] round
     /* 2063595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063598 */     // MIs[0] policy
     /* 2063598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063608 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2063611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063634 */     // GIR_Coverage, 15703,
     /* 2063634 */     GIR_EraseRootFromParent_Done,
     /* 2063635 */   // Label 27395: @2063635
     /* 2063635 */   GIM_Try, /*On fail goto*//*Label 27396*/ GIMT_Encode4(2063726), // Rule ID 15704 //
     /* 2063640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2063651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2063654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2063657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2063660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2063663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2063670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063686 */     // MIs[0] round
     /* 2063686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063689 */     // MIs[0] policy
     /* 2063689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063699 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2063702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063725 */     // GIR_Coverage, 15704,
     /* 2063725 */     GIR_EraseRootFromParent_Done,
     /* 2063726 */   // Label 27396: @2063726
     /* 2063726 */   GIM_Try, /*On fail goto*//*Label 27397*/ GIMT_Encode4(2063817), // Rule ID 15707 //
     /* 2063731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2063742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2063745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2063748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2063751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2063754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2063761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063777 */     // MIs[0] round
     /* 2063777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063780 */     // MIs[0] policy
     /* 2063780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063790 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2063793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063816 */     // GIR_Coverage, 15707,
     /* 2063816 */     GIR_EraseRootFromParent_Done,
     /* 2063817 */   // Label 27397: @2063817
     /* 2063817 */   GIM_Try, /*On fail goto*//*Label 27398*/ GIMT_Encode4(2063908), // Rule ID 15708 //
     /* 2063822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2063833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2063836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2063839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2063842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2063845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2063852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063868 */     // MIs[0] round
     /* 2063868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063871 */     // MIs[0] policy
     /* 2063871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063881 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2063884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063907 */     // GIR_Coverage, 15708,
     /* 2063907 */     GIR_EraseRootFromParent_Done,
     /* 2063908 */   // Label 27398: @2063908
     /* 2063908 */   GIM_Try, /*On fail goto*//*Label 27399*/ GIMT_Encode4(2063999), // Rule ID 15711 //
     /* 2063913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2063924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2063927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2063930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2063933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2063936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2063943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063959 */     // MIs[0] round
     /* 2063959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063962 */     // MIs[0] policy
     /* 2063962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063972 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2063975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063998 */     // GIR_Coverage, 15711,
     /* 2063998 */     GIR_EraseRootFromParent_Done,
     /* 2063999 */   // Label 27399: @2063999
     /* 2063999 */   GIM_Try, /*On fail goto*//*Label 27400*/ GIMT_Encode4(2064090), // Rule ID 15712 //
     /* 2064004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2064015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2064018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2064021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2064024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2064027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064050 */     // MIs[0] round
     /* 2064050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064053 */     // MIs[0] policy
     /* 2064053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064063 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2064066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064089 */     // GIR_Coverage, 15712,
     /* 2064089 */     GIR_EraseRootFromParent_Done,
     /* 2064090 */   // Label 27400: @2064090
     /* 2064090 */   GIM_Try, /*On fail goto*//*Label 27401*/ GIMT_Encode4(2064181), // Rule ID 15715 //
     /* 2064095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2064106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2064109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2064112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2064115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064141 */     // MIs[0] round
     /* 2064141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064144 */     // MIs[0] policy
     /* 2064144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064154 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2064157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064180 */     // GIR_Coverage, 15715,
     /* 2064180 */     GIR_EraseRootFromParent_Done,
     /* 2064181 */   // Label 27401: @2064181
     /* 2064181 */   GIM_Try, /*On fail goto*//*Label 27402*/ GIMT_Encode4(2064272), // Rule ID 15716 //
     /* 2064186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2064197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2064200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2064203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2064206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064232 */     // MIs[0] round
     /* 2064232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064235 */     // MIs[0] policy
     /* 2064235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064245 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2064248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064271 */     // GIR_Coverage, 15716,
     /* 2064271 */     GIR_EraseRootFromParent_Done,
     /* 2064272 */   // Label 27402: @2064272
     /* 2064272 */   GIM_Try, /*On fail goto*//*Label 27403*/ GIMT_Encode4(2064363), // Rule ID 15719 //
     /* 2064277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2064288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2064291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2064294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2064297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064323 */     // MIs[0] round
     /* 2064323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064326 */     // MIs[0] policy
     /* 2064326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064336 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2064339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064362 */     // GIR_Coverage, 15719,
     /* 2064362 */     GIR_EraseRootFromParent_Done,
     /* 2064363 */   // Label 27403: @2064363
     /* 2064363 */   GIM_Try, /*On fail goto*//*Label 27404*/ GIMT_Encode4(2064454), // Rule ID 15720 //
     /* 2064368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2064379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2064382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2064385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2064388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064414 */     // MIs[0] round
     /* 2064414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064417 */     // MIs[0] policy
     /* 2064417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064427 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2064430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064453 */     // GIR_Coverage, 15720,
     /* 2064453 */     GIR_EraseRootFromParent_Done,
     /* 2064454 */   // Label 27404: @2064454
     /* 2064454 */   GIM_Try, /*On fail goto*//*Label 27405*/ GIMT_Encode4(2064545), // Rule ID 15723 //
     /* 2064459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2064470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2064473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2064476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2064479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2064482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064505 */     // MIs[0] round
     /* 2064505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064508 */     // MIs[0] policy
     /* 2064508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064518 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2064521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064544 */     // GIR_Coverage, 15723,
     /* 2064544 */     GIR_EraseRootFromParent_Done,
     /* 2064545 */   // Label 27405: @2064545
     /* 2064545 */   GIM_Try, /*On fail goto*//*Label 27406*/ GIMT_Encode4(2064636), // Rule ID 15724 //
     /* 2064550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2064561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2064564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2064567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2064570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2064573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064596 */     // MIs[0] round
     /* 2064596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064599 */     // MIs[0] policy
     /* 2064599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064609 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2064612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064635 */     // GIR_Coverage, 15724,
     /* 2064635 */     GIR_EraseRootFromParent_Done,
     /* 2064636 */   // Label 27406: @2064636
     /* 2064636 */   GIM_Try, /*On fail goto*//*Label 27407*/ GIMT_Encode4(2064727), // Rule ID 15727 //
     /* 2064641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2064652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2064655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2064658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2064661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064687 */     // MIs[0] round
     /* 2064687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064690 */     // MIs[0] policy
     /* 2064690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064700 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2064703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064726 */     // GIR_Coverage, 15727,
     /* 2064726 */     GIR_EraseRootFromParent_Done,
     /* 2064727 */   // Label 27407: @2064727
     /* 2064727 */   GIM_Try, /*On fail goto*//*Label 27408*/ GIMT_Encode4(2064818), // Rule ID 15728 //
     /* 2064732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2064743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2064746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2064749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2064752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064778 */     // MIs[0] round
     /* 2064778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064781 */     // MIs[0] policy
     /* 2064781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064791 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2064794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064817 */     // GIR_Coverage, 15728,
     /* 2064817 */     GIR_EraseRootFromParent_Done,
     /* 2064818 */   // Label 27408: @2064818
     /* 2064818 */   GIM_Try, /*On fail goto*//*Label 27409*/ GIMT_Encode4(2064909), // Rule ID 15731 //
     /* 2064823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2064834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2064837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2064840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2064843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064869 */     // MIs[0] round
     /* 2064869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064872 */     // MIs[0] policy
     /* 2064872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064882 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2064885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064908 */     // GIR_Coverage, 15731,
     /* 2064908 */     GIR_EraseRootFromParent_Done,
     /* 2064909 */   // Label 27409: @2064909
     /* 2064909 */   GIM_Try, /*On fail goto*//*Label 27410*/ GIMT_Encode4(2065000), // Rule ID 15732 //
     /* 2064914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2064925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2064928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2064931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2064934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064960 */     // MIs[0] round
     /* 2064960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064963 */     // MIs[0] policy
     /* 2064963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064973 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2064976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064999 */     // GIR_Coverage, 15732,
     /* 2064999 */     GIR_EraseRootFromParent_Done,
     /* 2065000 */   // Label 27410: @2065000
     /* 2065000 */   GIM_Try, /*On fail goto*//*Label 27411*/ GIMT_Encode4(2065091), // Rule ID 15735 //
     /* 2065005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2065016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2065019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2065022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2065025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065051 */     // MIs[0] round
     /* 2065051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065054 */     // MIs[0] policy
     /* 2065054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065064 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2065067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065090 */     // GIR_Coverage, 15735,
     /* 2065090 */     GIR_EraseRootFromParent_Done,
     /* 2065091 */   // Label 27411: @2065091
     /* 2065091 */   GIM_Try, /*On fail goto*//*Label 27412*/ GIMT_Encode4(2065182), // Rule ID 15736 //
     /* 2065096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2065107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2065110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2065113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2065116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065142 */     // MIs[0] round
     /* 2065142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065145 */     // MIs[0] policy
     /* 2065145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065155 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2065158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065181 */     // GIR_Coverage, 15736,
     /* 2065181 */     GIR_EraseRootFromParent_Done,
     /* 2065182 */   // Label 27412: @2065182
     /* 2065182 */   GIM_Try, /*On fail goto*//*Label 27413*/ GIMT_Encode4(2065273), // Rule ID 15739 //
     /* 2065187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2065190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2065198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2065201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2065204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2065207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2065210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065233 */     // MIs[0] round
     /* 2065233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065236 */     // MIs[0] policy
     /* 2065236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2065249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2065269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065272 */     // GIR_Coverage, 15739,
     /* 2065272 */     GIR_EraseRootFromParent_Done,
     /* 2065273 */   // Label 27413: @2065273
     /* 2065273 */   GIM_Try, /*On fail goto*//*Label 27414*/ GIMT_Encode4(2065364), // Rule ID 15740 //
     /* 2065278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2065281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2065289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2065292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2065295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2065298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2065301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065324 */     // MIs[0] round
     /* 2065324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065327 */     // MIs[0] policy
     /* 2065327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065337 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2065340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2065360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065363 */     // GIR_Coverage, 15740,
     /* 2065363 */     GIR_EraseRootFromParent_Done,
     /* 2065364 */   // Label 27414: @2065364
     /* 2065364 */   GIM_Try, /*On fail goto*//*Label 27415*/ GIMT_Encode4(2065455), // Rule ID 15743 //
     /* 2065369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2065372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2065380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2065383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2065386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2065389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065415 */     // MIs[0] round
     /* 2065415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065418 */     // MIs[0] policy
     /* 2065418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065428 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2065431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2065451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065454 */     // GIR_Coverage, 15743,
     /* 2065454 */     GIR_EraseRootFromParent_Done,
     /* 2065455 */   // Label 27415: @2065455
     /* 2065455 */   GIM_Try, /*On fail goto*//*Label 27416*/ GIMT_Encode4(2065546), // Rule ID 15744 //
     /* 2065460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2065463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2065471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2065474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2065477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2065480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065506 */     // MIs[0] round
     /* 2065506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065509 */     // MIs[0] policy
     /* 2065509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065519 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2065522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2065542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065545 */     // GIR_Coverage, 15744,
     /* 2065545 */     GIR_EraseRootFromParent_Done,
     /* 2065546 */   // Label 27416: @2065546
     /* 2065546 */   GIM_Try, /*On fail goto*//*Label 27417*/ GIMT_Encode4(2065637), // Rule ID 15747 //
     /* 2065551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2065554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2065562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2065565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2065568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2065571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065597 */     // MIs[0] round
     /* 2065597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065600 */     // MIs[0] policy
     /* 2065600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065610 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2065613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2065633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065636 */     // GIR_Coverage, 15747,
     /* 2065636 */     GIR_EraseRootFromParent_Done,
     /* 2065637 */   // Label 27417: @2065637
     /* 2065637 */   GIM_Try, /*On fail goto*//*Label 27418*/ GIMT_Encode4(2065728), // Rule ID 15748 //
     /* 2065642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2065645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2065653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2065656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2065659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2065662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065688 */     // MIs[0] round
     /* 2065688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065691 */     // MIs[0] policy
     /* 2065691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065701 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2065704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2065724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065727 */     // GIR_Coverage, 15748,
     /* 2065727 */     GIR_EraseRootFromParent_Done,
     /* 2065728 */   // Label 27418: @2065728
     /* 2065728 */   GIM_Try, /*On fail goto*//*Label 27419*/ GIMT_Encode4(2065819), // Rule ID 15751 //
     /* 2065733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2065744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2065747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2065750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2065753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2065756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065779 */     // MIs[0] round
     /* 2065779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065782 */     // MIs[0] policy
     /* 2065782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065792 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2065795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065818 */     // GIR_Coverage, 15751,
     /* 2065818 */     GIR_EraseRootFromParent_Done,
     /* 2065819 */   // Label 27419: @2065819
     /* 2065819 */   GIM_Try, /*On fail goto*//*Label 27420*/ GIMT_Encode4(2065910), // Rule ID 15752 //
     /* 2065824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2065835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2065838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2065841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2065844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2065847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065870 */     // MIs[0] round
     /* 2065870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065873 */     // MIs[0] policy
     /* 2065873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065883 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2065886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065909 */     // GIR_Coverage, 15752,
     /* 2065909 */     GIR_EraseRootFromParent_Done,
     /* 2065910 */   // Label 27420: @2065910
     /* 2065910 */   GIM_Try, /*On fail goto*//*Label 27421*/ GIMT_Encode4(2066001), // Rule ID 15755 //
     /* 2065915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2065923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2065926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2065929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2065932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2065935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2065938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065961 */     // MIs[0] round
     /* 2065961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065964 */     // MIs[0] policy
     /* 2065964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065974 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2065977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066000 */     // GIR_Coverage, 15755,
     /* 2066000 */     GIR_EraseRootFromParent_Done,
     /* 2066001 */   // Label 27421: @2066001
     /* 2066001 */   GIM_Try, /*On fail goto*//*Label 27422*/ GIMT_Encode4(2066092), // Rule ID 15756 //
     /* 2066006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2066017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2066020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2066023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2066026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066052 */     // MIs[0] round
     /* 2066052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066055 */     // MIs[0] policy
     /* 2066055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066065 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2066068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066091 */     // GIR_Coverage, 15756,
     /* 2066091 */     GIR_EraseRootFromParent_Done,
     /* 2066092 */   // Label 27422: @2066092
     /* 2066092 */   GIM_Try, /*On fail goto*//*Label 27423*/ GIMT_Encode4(2066183), // Rule ID 15759 //
     /* 2066097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2066108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2066111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2066114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2066117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066143 */     // MIs[0] round
     /* 2066143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066146 */     // MIs[0] policy
     /* 2066146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066156 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2066159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066182 */     // GIR_Coverage, 15759,
     /* 2066182 */     GIR_EraseRootFromParent_Done,
     /* 2066183 */   // Label 27423: @2066183
     /* 2066183 */   GIM_Try, /*On fail goto*//*Label 27424*/ GIMT_Encode4(2066274), // Rule ID 15760 //
     /* 2066188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2066199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2066202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2066205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2066208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066234 */     // MIs[0] round
     /* 2066234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066237 */     // MIs[0] policy
     /* 2066237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066247 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2066250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066273 */     // GIR_Coverage, 15760,
     /* 2066273 */     GIR_EraseRootFromParent_Done,
     /* 2066274 */   // Label 27424: @2066274
     /* 2066274 */   GIM_Try, /*On fail goto*//*Label 27425*/ GIMT_Encode4(2066365), // Rule ID 15763 //
     /* 2066279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2066290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2066293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2066296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2066299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066325 */     // MIs[0] round
     /* 2066325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066328 */     // MIs[0] policy
     /* 2066328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066338 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2066341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2066361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066364 */     // GIR_Coverage, 15763,
     /* 2066364 */     GIR_EraseRootFromParent_Done,
     /* 2066365 */   // Label 27425: @2066365
     /* 2066365 */   GIM_Try, /*On fail goto*//*Label 27426*/ GIMT_Encode4(2066456), // Rule ID 15764 //
     /* 2066370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2066381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2066384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2066387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2066390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066416 */     // MIs[0] round
     /* 2066416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066419 */     // MIs[0] policy
     /* 2066419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066429 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2066432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2066452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066455 */     // GIR_Coverage, 15764,
     /* 2066455 */     GIR_EraseRootFromParent_Done,
     /* 2066456 */   // Label 27426: @2066456
     /* 2066456 */   GIM_Try, /*On fail goto*//*Label 27427*/ GIMT_Encode4(2066547), // Rule ID 15767 //
     /* 2066461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2066472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2066475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2066478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2066481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066507 */     // MIs[0] round
     /* 2066507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066510 */     // MIs[0] policy
     /* 2066510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066520 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2066523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2066543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066546 */     // GIR_Coverage, 15767,
     /* 2066546 */     GIR_EraseRootFromParent_Done,
     /* 2066547 */   // Label 27427: @2066547
     /* 2066547 */   GIM_Try, /*On fail goto*//*Label 27428*/ GIMT_Encode4(2066638), // Rule ID 15768 //
     /* 2066552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2066563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2066566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2066569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2066572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066598 */     // MIs[0] round
     /* 2066598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066601 */     // MIs[0] policy
     /* 2066601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066611 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2066614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2066634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066637 */     // GIR_Coverage, 15768,
     /* 2066637 */     GIR_EraseRootFromParent_Done,
     /* 2066638 */   // Label 27428: @2066638
     /* 2066638 */   GIM_Try, /*On fail goto*//*Label 27429*/ GIMT_Encode4(2066729), // Rule ID 15771 //
     /* 2066643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2066654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2066657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2066660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2066663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066689 */     // MIs[0] round
     /* 2066689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066692 */     // MIs[0] policy
     /* 2066692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066702 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2066705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066728 */     // GIR_Coverage, 15771,
     /* 2066728 */     GIR_EraseRootFromParent_Done,
     /* 2066729 */   // Label 27429: @2066729
     /* 2066729 */   GIM_Try, /*On fail goto*//*Label 27430*/ GIMT_Encode4(2066820), // Rule ID 15772 //
     /* 2066734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2066745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2066748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2066751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2066754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066780 */     // MIs[0] round
     /* 2066780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066783 */     // MIs[0] policy
     /* 2066783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066793 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2066796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066819 */     // GIR_Coverage, 15772,
     /* 2066819 */     GIR_EraseRootFromParent_Done,
     /* 2066820 */   // Label 27430: @2066820
     /* 2066820 */   GIM_Try, /*On fail goto*//*Label 27431*/ GIMT_Encode4(2066911), // Rule ID 15775 //
     /* 2066825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2066836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2066839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2066842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2066845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066871 */     // MIs[0] round
     /* 2066871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066874 */     // MIs[0] policy
     /* 2066874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066884 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2066887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066910 */     // GIR_Coverage, 15775,
     /* 2066910 */     GIR_EraseRootFromParent_Done,
     /* 2066911 */   // Label 27431: @2066911
     /* 2066911 */   GIM_Try, /*On fail goto*//*Label 27432*/ GIMT_Encode4(2067002), // Rule ID 15776 //
     /* 2066916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2066924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2066927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2066930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2066933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2066936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066962 */     // MIs[0] round
     /* 2066962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066965 */     // MIs[0] policy
     /* 2066965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066975 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2066978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067001 */     // GIR_Coverage, 15776,
     /* 2067001 */     GIR_EraseRootFromParent_Done,
     /* 2067002 */   // Label 27432: @2067002
     /* 2067002 */   GIM_Try, /*On fail goto*//*Label 27433*/ GIMT_Encode4(2067093), // Rule ID 15779 //
     /* 2067007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2067018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2067021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2067024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067053 */     // MIs[0] round
     /* 2067053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067056 */     // MIs[0] policy
     /* 2067056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067066 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2067069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067092 */     // GIR_Coverage, 15779,
     /* 2067092 */     GIR_EraseRootFromParent_Done,
     /* 2067093 */   // Label 27433: @2067093
     /* 2067093 */   GIM_Try, /*On fail goto*//*Label 27434*/ GIMT_Encode4(2067184), // Rule ID 15780 //
     /* 2067098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2067109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2067112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2067115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067144 */     // MIs[0] round
     /* 2067144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067147 */     // MIs[0] policy
     /* 2067147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067157 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2067160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067183 */     // GIR_Coverage, 15780,
     /* 2067183 */     GIR_EraseRootFromParent_Done,
     /* 2067184 */   // Label 27434: @2067184
     /* 2067184 */   GIM_Try, /*On fail goto*//*Label 27435*/ GIMT_Encode4(2067275), // Rule ID 15783 //
     /* 2067189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2067200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2067203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2067206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067235 */     // MIs[0] round
     /* 2067235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067238 */     // MIs[0] policy
     /* 2067238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067248 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2067251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067274 */     // GIR_Coverage, 15783,
     /* 2067274 */     GIR_EraseRootFromParent_Done,
     /* 2067275 */   // Label 27435: @2067275
     /* 2067275 */   GIM_Try, /*On fail goto*//*Label 27436*/ GIMT_Encode4(2067366), // Rule ID 15784 //
     /* 2067280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2067291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2067294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2067297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067326 */     // MIs[0] round
     /* 2067326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067329 */     // MIs[0] policy
     /* 2067329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067339 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2067342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067365 */     // GIR_Coverage, 15784,
     /* 2067365 */     GIR_EraseRootFromParent_Done,
     /* 2067366 */   // Label 27436: @2067366
     /* 2067366 */   GIM_Try, /*On fail goto*//*Label 27437*/ GIMT_Encode4(2067457), // Rule ID 15787 //
     /* 2067371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2067374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2067382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2067385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2067388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067417 */     // MIs[0] round
     /* 2067417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067420 */     // MIs[0] policy
     /* 2067420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067430 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2067433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2067453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067456 */     // GIR_Coverage, 15787,
     /* 2067456 */     GIR_EraseRootFromParent_Done,
     /* 2067457 */   // Label 27437: @2067457
     /* 2067457 */   GIM_Try, /*On fail goto*//*Label 27438*/ GIMT_Encode4(2067548), // Rule ID 15788 //
     /* 2067462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2067465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2067473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2067476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2067479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067508 */     // MIs[0] round
     /* 2067508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067511 */     // MIs[0] policy
     /* 2067511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2067524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2067544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067547 */     // GIR_Coverage, 15788,
     /* 2067547 */     GIR_EraseRootFromParent_Done,
     /* 2067548 */   // Label 27438: @2067548
     /* 2067548 */   GIM_Try, /*On fail goto*//*Label 27439*/ GIMT_Encode4(2067639), // Rule ID 15791 //
     /* 2067553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2067564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2067567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2067570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2067576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2067583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067599 */     // MIs[0] round
     /* 2067599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067602 */     // MIs[0] policy
     /* 2067602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067612 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2067615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067638 */     // GIR_Coverage, 15791,
     /* 2067638 */     GIR_EraseRootFromParent_Done,
     /* 2067639 */   // Label 27439: @2067639
     /* 2067639 */   GIM_Try, /*On fail goto*//*Label 27440*/ GIMT_Encode4(2067730), // Rule ID 15792 //
     /* 2067644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2067655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2067658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2067661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2067667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2067674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067690 */     // MIs[0] round
     /* 2067690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067693 */     // MIs[0] policy
     /* 2067693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067703 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2067706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067729 */     // GIR_Coverage, 15792,
     /* 2067729 */     GIR_EraseRootFromParent_Done,
     /* 2067730 */   // Label 27440: @2067730
     /* 2067730 */   GIM_Try, /*On fail goto*//*Label 27441*/ GIMT_Encode4(2067821), // Rule ID 15795 //
     /* 2067735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2067746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2067749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2067752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2067758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067781 */     // MIs[0] round
     /* 2067781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067784 */     // MIs[0] policy
     /* 2067784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067794 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2067797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067820 */     // GIR_Coverage, 15795,
     /* 2067820 */     GIR_EraseRootFromParent_Done,
     /* 2067821 */   // Label 27441: @2067821
     /* 2067821 */   GIM_Try, /*On fail goto*//*Label 27442*/ GIMT_Encode4(2067912), // Rule ID 15796 //
     /* 2067826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2067837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2067840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2067843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2067849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067872 */     // MIs[0] round
     /* 2067872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067875 */     // MIs[0] policy
     /* 2067875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067885 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2067888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067911 */     // GIR_Coverage, 15796,
     /* 2067911 */     GIR_EraseRootFromParent_Done,
     /* 2067912 */   // Label 27442: @2067912
     /* 2067912 */   GIM_Try, /*On fail goto*//*Label 27443*/ GIMT_Encode4(2068003), // Rule ID 15799 //
     /* 2067917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2067925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2067928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2067931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2067934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2067940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067963 */     // MIs[0] round
     /* 2067963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067966 */     // MIs[0] policy
     /* 2067966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067976 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2067979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068002 */     // GIR_Coverage, 15799,
     /* 2068002 */     GIR_EraseRootFromParent_Done,
     /* 2068003 */   // Label 27443: @2068003
     /* 2068003 */   GIM_Try, /*On fail goto*//*Label 27444*/ GIMT_Encode4(2068094), // Rule ID 15800 //
     /* 2068008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2068019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2068022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2068025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2068031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2068038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068054 */     // MIs[0] round
     /* 2068054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068057 */     // MIs[0] policy
     /* 2068057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068067 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2068070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068093 */     // GIR_Coverage, 15800,
     /* 2068093 */     GIR_EraseRootFromParent_Done,
     /* 2068094 */   // Label 27444: @2068094
     /* 2068094 */   GIM_Try, /*On fail goto*//*Label 27445*/ GIMT_Encode4(2068185), // Rule ID 15803 //
     /* 2068099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2068110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2068113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2068116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068145 */     // MIs[0] round
     /* 2068145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068148 */     // MIs[0] policy
     /* 2068148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068158 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2068161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068184 */     // GIR_Coverage, 15803,
     /* 2068184 */     GIR_EraseRootFromParent_Done,
     /* 2068185 */   // Label 27445: @2068185
     /* 2068185 */   GIM_Try, /*On fail goto*//*Label 27446*/ GIMT_Encode4(2068276), // Rule ID 15804 //
     /* 2068190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2068201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2068204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2068207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068236 */     // MIs[0] round
     /* 2068236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068239 */     // MIs[0] policy
     /* 2068239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068249 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2068252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068275 */     // GIR_Coverage, 15804,
     /* 2068275 */     GIR_EraseRootFromParent_Done,
     /* 2068276 */   // Label 27446: @2068276
     /* 2068276 */   GIM_Try, /*On fail goto*//*Label 27447*/ GIMT_Encode4(2068367), // Rule ID 15807 //
     /* 2068281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2068292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2068295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2068298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2068304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068327 */     // MIs[0] round
     /* 2068327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068330 */     // MIs[0] policy
     /* 2068330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068340 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2068343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068366 */     // GIR_Coverage, 15807,
     /* 2068366 */     GIR_EraseRootFromParent_Done,
     /* 2068367 */   // Label 27447: @2068367
     /* 2068367 */   GIM_Try, /*On fail goto*//*Label 27448*/ GIMT_Encode4(2068458), // Rule ID 15808 //
     /* 2068372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2068383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2068386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2068389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2068395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068418 */     // MIs[0] round
     /* 2068418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068421 */     // MIs[0] policy
     /* 2068421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068431 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2068434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068457 */     // GIR_Coverage, 15808,
     /* 2068457 */     GIR_EraseRootFromParent_Done,
     /* 2068458 */   // Label 27448: @2068458
     /* 2068458 */   GIM_Try, /*On fail goto*//*Label 27449*/ GIMT_Encode4(2068549), // Rule ID 15811 //
     /* 2068463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2068474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2068477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2068480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2068486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2068493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068509 */     // MIs[0] round
     /* 2068509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068512 */     // MIs[0] policy
     /* 2068512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068522 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2068525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068548 */     // GIR_Coverage, 15811,
     /* 2068548 */     GIR_EraseRootFromParent_Done,
     /* 2068549 */   // Label 27449: @2068549
     /* 2068549 */   GIM_Try, /*On fail goto*//*Label 27450*/ GIMT_Encode4(2068640), // Rule ID 15812 //
     /* 2068554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2068565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2068568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2068571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2068577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2068584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068600 */     // MIs[0] round
     /* 2068600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068603 */     // MIs[0] policy
     /* 2068603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068613 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2068616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068639 */     // GIR_Coverage, 15812,
     /* 2068639 */     GIR_EraseRootFromParent_Done,
     /* 2068640 */   // Label 27450: @2068640
     /* 2068640 */   GIM_Try, /*On fail goto*//*Label 27451*/ GIMT_Encode4(2068731), // Rule ID 15815 //
     /* 2068645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2068656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2068659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2068662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068691 */     // MIs[0] round
     /* 2068691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068694 */     // MIs[0] policy
     /* 2068694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068704 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2068707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068730 */     // GIR_Coverage, 15815,
     /* 2068730 */     GIR_EraseRootFromParent_Done,
     /* 2068731 */   // Label 27451: @2068731
     /* 2068731 */   GIM_Try, /*On fail goto*//*Label 27452*/ GIMT_Encode4(2068822), // Rule ID 15816 //
     /* 2068736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2068747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2068750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2068753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068782 */     // MIs[0] round
     /* 2068782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068785 */     // MIs[0] policy
     /* 2068785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068795 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2068798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068821 */     // GIR_Coverage, 15816,
     /* 2068821 */     GIR_EraseRootFromParent_Done,
     /* 2068822 */   // Label 27452: @2068822
     /* 2068822 */   GIM_Try, /*On fail goto*//*Label 27453*/ GIMT_Encode4(2068913), // Rule ID 15819 //
     /* 2068827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2068838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2068841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2068844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068873 */     // MIs[0] round
     /* 2068873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068876 */     // MIs[0] policy
     /* 2068876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2068889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068912 */     // GIR_Coverage, 15819,
     /* 2068912 */     GIR_EraseRootFromParent_Done,
     /* 2068913 */   // Label 27453: @2068913
     /* 2068913 */   GIM_Try, /*On fail goto*//*Label 27454*/ GIMT_Encode4(2069004), // Rule ID 15820 //
     /* 2068918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2068926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2068929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2068932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2068935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068964 */     // MIs[0] round
     /* 2068964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068967 */     // MIs[0] policy
     /* 2068967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068977 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2068980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069003 */     // GIR_Coverage, 15820,
     /* 2069003 */     GIR_EraseRootFromParent_Done,
     /* 2069004 */   // Label 27454: @2069004
     /* 2069004 */   GIM_Try, /*On fail goto*//*Label 27455*/ GIMT_Encode4(2069095), // Rule ID 15823 //
     /* 2069009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2069020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2069023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2069026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069055 */     // MIs[0] round
     /* 2069055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069058 */     // MIs[0] policy
     /* 2069058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069068 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2069071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069094 */     // GIR_Coverage, 15823,
     /* 2069094 */     GIR_EraseRootFromParent_Done,
     /* 2069095 */   // Label 27455: @2069095
     /* 2069095 */   GIM_Try, /*On fail goto*//*Label 27456*/ GIMT_Encode4(2069186), // Rule ID 15824 //
     /* 2069100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2069111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2069114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2069117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069146 */     // MIs[0] round
     /* 2069146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069149 */     // MIs[0] policy
     /* 2069149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069159 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2069162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069185 */     // GIR_Coverage, 15824,
     /* 2069185 */     GIR_EraseRootFromParent_Done,
     /* 2069186 */   // Label 27456: @2069186
     /* 2069186 */   GIM_Try, /*On fail goto*//*Label 27457*/ GIMT_Encode4(2069277), // Rule ID 15827 //
     /* 2069191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2069194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2069202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2069205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2069208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2069214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069237 */     // MIs[0] round
     /* 2069237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069240 */     // MIs[0] policy
     /* 2069240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069250 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2069253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069276 */     // GIR_Coverage, 15827,
     /* 2069276 */     GIR_EraseRootFromParent_Done,
     /* 2069277 */   // Label 27457: @2069277
     /* 2069277 */   GIM_Try, /*On fail goto*//*Label 27458*/ GIMT_Encode4(2069368), // Rule ID 15828 //
     /* 2069282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2069285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2069293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2069296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2069299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2069305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069328 */     // MIs[0] round
     /* 2069328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069331 */     // MIs[0] policy
     /* 2069331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069341 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11501:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2069344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069367 */     // GIR_Coverage, 15828,
     /* 2069367 */     GIR_EraseRootFromParent_Done,
     /* 2069368 */   // Label 27458: @2069368
     /* 2069368 */   GIM_Try, /*On fail goto*//*Label 27459*/ GIMT_Encode4(2069459), // Rule ID 15831 //
     /* 2069373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2069376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2069384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2069387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2069390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2069396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069419 */     // MIs[0] round
     /* 2069419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069422 */     // MIs[0] policy
     /* 2069422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069432 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2069435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069458 */     // GIR_Coverage, 15831,
     /* 2069458 */     GIR_EraseRootFromParent_Done,
     /* 2069459 */   // Label 27459: @2069459
     /* 2069459 */   GIM_Try, /*On fail goto*//*Label 27460*/ GIMT_Encode4(2069550), // Rule ID 15832 //
     /* 2069464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2069467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2069475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2069478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2069481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2069487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069510 */     // MIs[0] round
     /* 2069510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069513 */     // MIs[0] policy
     /* 2069513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069523 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11501:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2069526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069549 */     // GIR_Coverage, 15832,
     /* 2069549 */     GIR_EraseRootFromParent_Done,
     /* 2069550 */   // Label 27460: @2069550
     /* 2069550 */   GIM_Try, /*On fail goto*//*Label 27461*/ GIMT_Encode4(2069641), // Rule ID 15835 //
     /* 2069555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2069558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2069566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2069569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2069572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069601 */     // MIs[0] round
     /* 2069601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069604 */     // MIs[0] policy
     /* 2069604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069614 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2069617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069640 */     // GIR_Coverage, 15835,
     /* 2069640 */     GIR_EraseRootFromParent_Done,
     /* 2069641 */   // Label 27461: @2069641
     /* 2069641 */   GIM_Try, /*On fail goto*//*Label 27462*/ GIMT_Encode4(2069732), // Rule ID 15836 //
     /* 2069646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2069649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2069654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2069657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2069660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2069663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069692 */     // MIs[0] round
     /* 2069692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069695 */     // MIs[0] policy
     /* 2069695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069705 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11501:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2069708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069731 */     // GIR_Coverage, 15836,
     /* 2069731 */     GIR_EraseRootFromParent_Done,
     /* 2069732 */   // Label 27462: @2069732
     /* 2069732 */   GIM_Try, /*On fail goto*//*Label 27463*/ GIMT_Encode4(2069823), // Rule ID 15927 //
     /* 2069737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2069745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2069748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2069751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2069754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2069757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069783 */     // MIs[0] round
     /* 2069783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069786 */     // MIs[0] policy
     /* 2069786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069796 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2069799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069822 */     // GIR_Coverage, 15927,
     /* 2069822 */     GIR_EraseRootFromParent_Done,
     /* 2069823 */   // Label 27463: @2069823
     /* 2069823 */   GIM_Try, /*On fail goto*//*Label 27464*/ GIMT_Encode4(2069914), // Rule ID 15928 //
     /* 2069828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2069836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2069839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2069842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2069845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2069848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069874 */     // MIs[0] round
     /* 2069874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069877 */     // MIs[0] policy
     /* 2069877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069887 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2069890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069913 */     // GIR_Coverage, 15928,
     /* 2069913 */     GIR_EraseRootFromParent_Done,
     /* 2069914 */   // Label 27464: @2069914
     /* 2069914 */   GIM_Try, /*On fail goto*//*Label 27465*/ GIMT_Encode4(2070005), // Rule ID 15931 //
     /* 2069919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2069927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2069930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2069933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2069936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2069939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2069942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069965 */     // MIs[0] round
     /* 2069965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069968 */     // MIs[0] policy
     /* 2069968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069978 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2069981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070004 */     // GIR_Coverage, 15931,
     /* 2070004 */     GIR_EraseRootFromParent_Done,
     /* 2070005 */   // Label 27465: @2070005
     /* 2070005 */   GIM_Try, /*On fail goto*//*Label 27466*/ GIMT_Encode4(2070096), // Rule ID 15932 //
     /* 2070010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2070021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2070024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2070027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2070030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070056 */     // MIs[0] round
     /* 2070056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070059 */     // MIs[0] policy
     /* 2070059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070069 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2070072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070095 */     // GIR_Coverage, 15932,
     /* 2070095 */     GIR_EraseRootFromParent_Done,
     /* 2070096 */   // Label 27466: @2070096
     /* 2070096 */   GIM_Try, /*On fail goto*//*Label 27467*/ GIMT_Encode4(2070187), // Rule ID 15935 //
     /* 2070101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2070112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2070115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2070118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2070121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070147 */     // MIs[0] round
     /* 2070147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070150 */     // MIs[0] policy
     /* 2070150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070160 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2070163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070186 */     // GIR_Coverage, 15935,
     /* 2070186 */     GIR_EraseRootFromParent_Done,
     /* 2070187 */   // Label 27467: @2070187
     /* 2070187 */   GIM_Try, /*On fail goto*//*Label 27468*/ GIMT_Encode4(2070278), // Rule ID 15936 //
     /* 2070192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2070203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2070206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2070209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2070212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070238 */     // MIs[0] round
     /* 2070238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070241 */     // MIs[0] policy
     /* 2070241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070251 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2070254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070277 */     // GIR_Coverage, 15936,
     /* 2070277 */     GIR_EraseRootFromParent_Done,
     /* 2070278 */   // Label 27468: @2070278
     /* 2070278 */   GIM_Try, /*On fail goto*//*Label 27469*/ GIMT_Encode4(2070369), // Rule ID 15939 //
     /* 2070283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2070294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2070297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2070300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2070303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070329 */     // MIs[0] round
     /* 2070329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070332 */     // MIs[0] policy
     /* 2070332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070342 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2070345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070368 */     // GIR_Coverage, 15939,
     /* 2070368 */     GIR_EraseRootFromParent_Done,
     /* 2070369 */   // Label 27469: @2070369
     /* 2070369 */   GIM_Try, /*On fail goto*//*Label 27470*/ GIMT_Encode4(2070460), // Rule ID 15940 //
     /* 2070374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2070385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2070388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2070391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2070394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070420 */     // MIs[0] round
     /* 2070420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070423 */     // MIs[0] policy
     /* 2070423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070433 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2070436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070459 */     // GIR_Coverage, 15940,
     /* 2070459 */     GIR_EraseRootFromParent_Done,
     /* 2070460 */   // Label 27470: @2070460
     /* 2070460 */   GIM_Try, /*On fail goto*//*Label 27471*/ GIMT_Encode4(2070551), // Rule ID 15943 //
     /* 2070465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2070476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2070479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2070482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2070485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070511 */     // MIs[0] round
     /* 2070511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070514 */     // MIs[0] policy
     /* 2070514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070524 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2070527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070550 */     // GIR_Coverage, 15943,
     /* 2070550 */     GIR_EraseRootFromParent_Done,
     /* 2070551 */   // Label 27471: @2070551
     /* 2070551 */   GIM_Try, /*On fail goto*//*Label 27472*/ GIMT_Encode4(2070642), // Rule ID 15944 //
     /* 2070556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2070567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2070570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2070573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2070576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070602 */     // MIs[0] round
     /* 2070602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070605 */     // MIs[0] policy
     /* 2070605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070615 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2070618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070641 */     // GIR_Coverage, 15944,
     /* 2070641 */     GIR_EraseRootFromParent_Done,
     /* 2070642 */   // Label 27472: @2070642
     /* 2070642 */   GIM_Try, /*On fail goto*//*Label 27473*/ GIMT_Encode4(2070733), // Rule ID 15947 //
     /* 2070647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2070658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2070661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2070664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2070667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070693 */     // MIs[0] round
     /* 2070693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070696 */     // MIs[0] policy
     /* 2070696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070706 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2070709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070732 */     // GIR_Coverage, 15947,
     /* 2070732 */     GIR_EraseRootFromParent_Done,
     /* 2070733 */   // Label 27473: @2070733
     /* 2070733 */   GIM_Try, /*On fail goto*//*Label 27474*/ GIMT_Encode4(2070824), // Rule ID 15948 //
     /* 2070738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2070749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2070752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2070755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2070758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070784 */     // MIs[0] round
     /* 2070784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070787 */     // MIs[0] policy
     /* 2070787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070797 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2070800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070823 */     // GIR_Coverage, 15948,
     /* 2070823 */     GIR_EraseRootFromParent_Done,
     /* 2070824 */   // Label 27474: @2070824
     /* 2070824 */   GIM_Try, /*On fail goto*//*Label 27475*/ GIMT_Encode4(2070915), // Rule ID 15951 //
     /* 2070829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2070840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2070843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2070846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2070849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070875 */     // MIs[0] round
     /* 2070875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070878 */     // MIs[0] policy
     /* 2070878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070888 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2070891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070914 */     // GIR_Coverage, 15951,
     /* 2070914 */     GIR_EraseRootFromParent_Done,
     /* 2070915 */   // Label 27475: @2070915
     /* 2070915 */   GIM_Try, /*On fail goto*//*Label 27476*/ GIMT_Encode4(2071006), // Rule ID 15952 //
     /* 2070920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2070931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2070934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2070937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2070940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070966 */     // MIs[0] round
     /* 2070966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070969 */     // MIs[0] policy
     /* 2070969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070979 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2070982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071005 */     // GIR_Coverage, 15952,
     /* 2071005 */     GIR_EraseRootFromParent_Done,
     /* 2071006 */   // Label 27476: @2071006
     /* 2071006 */   GIM_Try, /*On fail goto*//*Label 27477*/ GIMT_Encode4(2071097), // Rule ID 15955 //
     /* 2071011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2071022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2071025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2071028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2071031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071057 */     // MIs[0] round
     /* 2071057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071060 */     // MIs[0] policy
     /* 2071060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071070 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2071073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071096 */     // GIR_Coverage, 15955,
     /* 2071096 */     GIR_EraseRootFromParent_Done,
     /* 2071097 */   // Label 27477: @2071097
     /* 2071097 */   GIM_Try, /*On fail goto*//*Label 27478*/ GIMT_Encode4(2071188), // Rule ID 15956 //
     /* 2071102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2071113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2071116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2071119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2071122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071148 */     // MIs[0] round
     /* 2071148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071151 */     // MIs[0] policy
     /* 2071151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071161 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2071164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071187 */     // GIR_Coverage, 15956,
     /* 2071187 */     GIR_EraseRootFromParent_Done,
     /* 2071188 */   // Label 27478: @2071188
     /* 2071188 */   GIM_Try, /*On fail goto*//*Label 27479*/ GIMT_Encode4(2071279), // Rule ID 15959 //
     /* 2071193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2071204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2071207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2071210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2071213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071239 */     // MIs[0] round
     /* 2071239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071242 */     // MIs[0] policy
     /* 2071242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071252 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2071255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2071275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071278 */     // GIR_Coverage, 15959,
     /* 2071278 */     GIR_EraseRootFromParent_Done,
     /* 2071279 */   // Label 27479: @2071279
     /* 2071279 */   GIM_Try, /*On fail goto*//*Label 27480*/ GIMT_Encode4(2071370), // Rule ID 15960 //
     /* 2071284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2071295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2071298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2071301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2071304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071330 */     // MIs[0] round
     /* 2071330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071333 */     // MIs[0] policy
     /* 2071333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071343 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2071346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2071366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071369 */     // GIR_Coverage, 15960,
     /* 2071369 */     GIR_EraseRootFromParent_Done,
     /* 2071370 */   // Label 27480: @2071370
     /* 2071370 */   GIM_Try, /*On fail goto*//*Label 27481*/ GIMT_Encode4(2071461), // Rule ID 15963 //
     /* 2071375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2071378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2071386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2071389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2071392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2071395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071421 */     // MIs[0] round
     /* 2071421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071424 */     // MIs[0] policy
     /* 2071424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071434 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2071437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071460 */     // GIR_Coverage, 15963,
     /* 2071460 */     GIR_EraseRootFromParent_Done,
     /* 2071461 */   // Label 27481: @2071461
     /* 2071461 */   GIM_Try, /*On fail goto*//*Label 27482*/ GIMT_Encode4(2071552), // Rule ID 15964 //
     /* 2071466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2071469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2071477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2071480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2071483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2071486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071512 */     // MIs[0] round
     /* 2071512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071515 */     // MIs[0] policy
     /* 2071515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071525 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2071528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071551 */     // GIR_Coverage, 15964,
     /* 2071551 */     GIR_EraseRootFromParent_Done,
     /* 2071552 */   // Label 27482: @2071552
     /* 2071552 */   GIM_Try, /*On fail goto*//*Label 27483*/ GIMT_Encode4(2071643), // Rule ID 15967 //
     /* 2071557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2071568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2071571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2071574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2071577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2071580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2071587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071603 */     // MIs[0] round
     /* 2071603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071606 */     // MIs[0] policy
     /* 2071606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071616 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2071619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071642 */     // GIR_Coverage, 15967,
     /* 2071642 */     GIR_EraseRootFromParent_Done,
     /* 2071643 */   // Label 27483: @2071643
     /* 2071643 */   GIM_Try, /*On fail goto*//*Label 27484*/ GIMT_Encode4(2071734), // Rule ID 15968 //
     /* 2071648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2071659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2071662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2071665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2071668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2071671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2071678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071694 */     // MIs[0] round
     /* 2071694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071697 */     // MIs[0] policy
     /* 2071697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071707 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2071710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071733 */     // GIR_Coverage, 15968,
     /* 2071733 */     GIR_EraseRootFromParent_Done,
     /* 2071734 */   // Label 27484: @2071734
     /* 2071734 */   GIM_Try, /*On fail goto*//*Label 27485*/ GIMT_Encode4(2071825), // Rule ID 15971 //
     /* 2071739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2071750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2071753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2071756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2071759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2071762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2071769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071785 */     // MIs[0] round
     /* 2071785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071788 */     // MIs[0] policy
     /* 2071788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071798 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2071801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071824 */     // GIR_Coverage, 15971,
     /* 2071824 */     GIR_EraseRootFromParent_Done,
     /* 2071825 */   // Label 27485: @2071825
     /* 2071825 */   GIM_Try, /*On fail goto*//*Label 27486*/ GIMT_Encode4(2071916), // Rule ID 15972 //
     /* 2071830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2071841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2071844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2071847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2071850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2071853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2071860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071876 */     // MIs[0] round
     /* 2071876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071879 */     // MIs[0] policy
     /* 2071879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071889 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2071892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071915 */     // GIR_Coverage, 15972,
     /* 2071915 */     GIR_EraseRootFromParent_Done,
     /* 2071916 */   // Label 27486: @2071916
     /* 2071916 */   GIM_Try, /*On fail goto*//*Label 27487*/ GIMT_Encode4(2072007), // Rule ID 15975 //
     /* 2071921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2071932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2071935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2071938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2071941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2071944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2071951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071967 */     // MIs[0] round
     /* 2071967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071970 */     // MIs[0] policy
     /* 2071970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071980 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2071983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072006 */     // GIR_Coverage, 15975,
     /* 2072006 */     GIR_EraseRootFromParent_Done,
     /* 2072007 */   // Label 27487: @2072007
     /* 2072007 */   GIM_Try, /*On fail goto*//*Label 27488*/ GIMT_Encode4(2072098), // Rule ID 15976 //
     /* 2072012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2072023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2072026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2072029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2072032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2072035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2072042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072058 */     // MIs[0] round
     /* 2072058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072061 */     // MIs[0] policy
     /* 2072061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072071 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2072074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072097 */     // GIR_Coverage, 15976,
     /* 2072097 */     GIR_EraseRootFromParent_Done,
     /* 2072098 */   // Label 27488: @2072098
     /* 2072098 */   GIM_Try, /*On fail goto*//*Label 27489*/ GIMT_Encode4(2072189), // Rule ID 15979 //
     /* 2072103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2072114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2072117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2072120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2072123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072149 */     // MIs[0] round
     /* 2072149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072152 */     // MIs[0] policy
     /* 2072152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072162 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2072165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072188 */     // GIR_Coverage, 15979,
     /* 2072188 */     GIR_EraseRootFromParent_Done,
     /* 2072189 */   // Label 27489: @2072189
     /* 2072189 */   GIM_Try, /*On fail goto*//*Label 27490*/ GIMT_Encode4(2072280), // Rule ID 15980 //
     /* 2072194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2072205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2072208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2072211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2072214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072240 */     // MIs[0] round
     /* 2072240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072243 */     // MIs[0] policy
     /* 2072243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072253 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2072256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072279 */     // GIR_Coverage, 15980,
     /* 2072279 */     GIR_EraseRootFromParent_Done,
     /* 2072280 */   // Label 27490: @2072280
     /* 2072280 */   GIM_Try, /*On fail goto*//*Label 27491*/ GIMT_Encode4(2072371), // Rule ID 15983 //
     /* 2072285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2072296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2072299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2072302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2072305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2072308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072331 */     // MIs[0] round
     /* 2072331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072334 */     // MIs[0] policy
     /* 2072334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072344 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2072347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072370 */     // GIR_Coverage, 15983,
     /* 2072370 */     GIR_EraseRootFromParent_Done,
     /* 2072371 */   // Label 27491: @2072371
     /* 2072371 */   GIM_Try, /*On fail goto*//*Label 27492*/ GIMT_Encode4(2072462), // Rule ID 15984 //
     /* 2072376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2072387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2072390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2072393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2072396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2072399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072422 */     // MIs[0] round
     /* 2072422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072425 */     // MIs[0] policy
     /* 2072425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072435 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2072438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072461 */     // GIR_Coverage, 15984,
     /* 2072461 */     GIR_EraseRootFromParent_Done,
     /* 2072462 */   // Label 27492: @2072462
     /* 2072462 */   GIM_Try, /*On fail goto*//*Label 27493*/ GIMT_Encode4(2072553), // Rule ID 15987 //
     /* 2072467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2072478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2072481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2072484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2072487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2072490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2072497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072513 */     // MIs[0] round
     /* 2072513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072516 */     // MIs[0] policy
     /* 2072516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072526 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2072529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072552 */     // GIR_Coverage, 15987,
     /* 2072552 */     GIR_EraseRootFromParent_Done,
     /* 2072553 */   // Label 27493: @2072553
     /* 2072553 */   GIM_Try, /*On fail goto*//*Label 27494*/ GIMT_Encode4(2072644), // Rule ID 15988 //
     /* 2072558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2072569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2072572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2072575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2072578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2072581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2072588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072604 */     // MIs[0] round
     /* 2072604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072607 */     // MIs[0] policy
     /* 2072607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072617 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2072620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072643 */     // GIR_Coverage, 15988,
     /* 2072643 */     GIR_EraseRootFromParent_Done,
     /* 2072644 */   // Label 27494: @2072644
     /* 2072644 */   GIM_Try, /*On fail goto*//*Label 27495*/ GIMT_Encode4(2072735), // Rule ID 15991 //
     /* 2072649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2072660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2072663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2072666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2072669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072695 */     // MIs[0] round
     /* 2072695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072698 */     // MIs[0] policy
     /* 2072698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2072711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072734 */     // GIR_Coverage, 15991,
     /* 2072734 */     GIR_EraseRootFromParent_Done,
     /* 2072735 */   // Label 27495: @2072735
     /* 2072735 */   GIM_Try, /*On fail goto*//*Label 27496*/ GIMT_Encode4(2072826), // Rule ID 15992 //
     /* 2072740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2072751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2072754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2072757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2072760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072786 */     // MIs[0] round
     /* 2072786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072789 */     // MIs[0] policy
     /* 2072789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072799 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2072802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072825 */     // GIR_Coverage, 15992,
     /* 2072825 */     GIR_EraseRootFromParent_Done,
     /* 2072826 */   // Label 27496: @2072826
     /* 2072826 */   GIM_Try, /*On fail goto*//*Label 27497*/ GIMT_Encode4(2072917), // Rule ID 15995 //
     /* 2072831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2072842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2072845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2072848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2072851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072877 */     // MIs[0] round
     /* 2072877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072880 */     // MIs[0] policy
     /* 2072880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072890 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2072893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072916 */     // GIR_Coverage, 15995,
     /* 2072916 */     GIR_EraseRootFromParent_Done,
     /* 2072917 */   // Label 27497: @2072917
     /* 2072917 */   GIM_Try, /*On fail goto*//*Label 27498*/ GIMT_Encode4(2073008), // Rule ID 15996 //
     /* 2072922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2072933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2072936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2072939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2072942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072968 */     // MIs[0] round
     /* 2072968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072971 */     // MIs[0] policy
     /* 2072971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072981 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2072984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073007 */     // GIR_Coverage, 15996,
     /* 2073007 */     GIR_EraseRootFromParent_Done,
     /* 2073008 */   // Label 27498: @2073008
     /* 2073008 */   GIM_Try, /*On fail goto*//*Label 27499*/ GIMT_Encode4(2073099), // Rule ID 15999 //
     /* 2073013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2073024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2073027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2073030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2073033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073059 */     // MIs[0] round
     /* 2073059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073062 */     // MIs[0] policy
     /* 2073062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073072 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2073075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073098 */     // GIR_Coverage, 15999,
     /* 2073098 */     GIR_EraseRootFromParent_Done,
     /* 2073099 */   // Label 27499: @2073099
     /* 2073099 */   GIM_Try, /*On fail goto*//*Label 27500*/ GIMT_Encode4(2073190), // Rule ID 16000 //
     /* 2073104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2073115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2073118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2073121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2073124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073150 */     // MIs[0] round
     /* 2073150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073153 */     // MIs[0] policy
     /* 2073153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073163 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2073166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073189 */     // GIR_Coverage, 16000,
     /* 2073189 */     GIR_EraseRootFromParent_Done,
     /* 2073190 */   // Label 27500: @2073190
     /* 2073190 */   GIM_Try, /*On fail goto*//*Label 27501*/ GIMT_Encode4(2073281), // Rule ID 16003 //
     /* 2073195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2073198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2073206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2073209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2073212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2073215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2073218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073241 */     // MIs[0] round
     /* 2073241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073244 */     // MIs[0] policy
     /* 2073244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073254 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2073257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073280 */     // GIR_Coverage, 16003,
     /* 2073280 */     GIR_EraseRootFromParent_Done,
     /* 2073281 */   // Label 27501: @2073281
     /* 2073281 */   GIM_Try, /*On fail goto*//*Label 27502*/ GIMT_Encode4(2073372), // Rule ID 16004 //
     /* 2073286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2073289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2073297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2073300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2073303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2073306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2073309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073332 */     // MIs[0] round
     /* 2073332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073335 */     // MIs[0] policy
     /* 2073335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073345 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2073348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073371 */     // GIR_Coverage, 16004,
     /* 2073371 */     GIR_EraseRootFromParent_Done,
     /* 2073372 */   // Label 27502: @2073372
     /* 2073372 */   GIM_Try, /*On fail goto*//*Label 27503*/ GIMT_Encode4(2073463), // Rule ID 16007 //
     /* 2073377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2073380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2073388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2073391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2073394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2073397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2073400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073423 */     // MIs[0] round
     /* 2073423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073426 */     // MIs[0] policy
     /* 2073426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073436 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2073439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073462 */     // GIR_Coverage, 16007,
     /* 2073462 */     GIR_EraseRootFromParent_Done,
     /* 2073463 */   // Label 27503: @2073463
     /* 2073463 */   GIM_Try, /*On fail goto*//*Label 27504*/ GIMT_Encode4(2073554), // Rule ID 16008 //
     /* 2073468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2073471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2073479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2073482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2073485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2073488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2073491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073514 */     // MIs[0] round
     /* 2073514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073517 */     // MIs[0] policy
     /* 2073517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073527 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2073530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073553 */     // GIR_Coverage, 16008,
     /* 2073553 */     GIR_EraseRootFromParent_Done,
     /* 2073554 */   // Label 27504: @2073554
     /* 2073554 */   GIM_Try, /*On fail goto*//*Label 27505*/ GIMT_Encode4(2073645), // Rule ID 16011 //
     /* 2073559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2073562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2073570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2073573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2073576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2073579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073605 */     // MIs[0] round
     /* 2073605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073608 */     // MIs[0] policy
     /* 2073608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073618 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2073621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073644 */     // GIR_Coverage, 16011,
     /* 2073644 */     GIR_EraseRootFromParent_Done,
     /* 2073645 */   // Label 27505: @2073645
     /* 2073645 */   GIM_Try, /*On fail goto*//*Label 27506*/ GIMT_Encode4(2073736), // Rule ID 16012 //
     /* 2073650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2073653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2073661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2073664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2073667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2073670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073696 */     // MIs[0] round
     /* 2073696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073699 */     // MIs[0] policy
     /* 2073699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073709 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2073712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073735 */     // GIR_Coverage, 16012,
     /* 2073735 */     GIR_EraseRootFromParent_Done,
     /* 2073736 */   // Label 27506: @2073736
     /* 2073736 */   GIM_Try, /*On fail goto*//*Label 27507*/ GIMT_Encode4(2073827), // Rule ID 16015 //
     /* 2073741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2073752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2073755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2073758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2073761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2073764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073787 */     // MIs[0] round
     /* 2073787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073790 */     // MIs[0] policy
     /* 2073790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073800 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2073803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073826 */     // GIR_Coverage, 16015,
     /* 2073826 */     GIR_EraseRootFromParent_Done,
     /* 2073827 */   // Label 27507: @2073827
     /* 2073827 */   GIM_Try, /*On fail goto*//*Label 27508*/ GIMT_Encode4(2073918), // Rule ID 16016 //
     /* 2073832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2073843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2073846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2073849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2073852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2073855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073878 */     // MIs[0] round
     /* 2073878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073881 */     // MIs[0] policy
     /* 2073881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073891 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2073894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073917 */     // GIR_Coverage, 16016,
     /* 2073917 */     GIR_EraseRootFromParent_Done,
     /* 2073918 */   // Label 27508: @2073918
     /* 2073918 */   GIM_Try, /*On fail goto*//*Label 27509*/ GIMT_Encode4(2074009), // Rule ID 16019 //
     /* 2073923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2073931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2073934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2073937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2073940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2073943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2073946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2073965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073969 */     // MIs[0] round
     /* 2073969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073972 */     // MIs[0] policy
     /* 2073972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073982 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2073985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2074005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074008 */     // GIR_Coverage, 16019,
     /* 2074008 */     GIR_EraseRootFromParent_Done,
     /* 2074009 */   // Label 27509: @2074009
     /* 2074009 */   GIM_Try, /*On fail goto*//*Label 27510*/ GIMT_Encode4(2074100), // Rule ID 16020 //
     /* 2074014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2074025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2074028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2074031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074060 */     // MIs[0] round
     /* 2074060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074063 */     // MIs[0] policy
     /* 2074063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074073 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2074076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2074096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074099 */     // GIR_Coverage, 16020,
     /* 2074099 */     GIR_EraseRootFromParent_Done,
     /* 2074100 */   // Label 27510: @2074100
     /* 2074100 */   GIM_Try, /*On fail goto*//*Label 27511*/ GIMT_Encode4(2074191), // Rule ID 16023 //
     /* 2074105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2074116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2074119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2074122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074151 */     // MIs[0] round
     /* 2074151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074154 */     // MIs[0] policy
     /* 2074154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074164 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2074167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2074187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074190 */     // GIR_Coverage, 16023,
     /* 2074190 */     GIR_EraseRootFromParent_Done,
     /* 2074191 */   // Label 27511: @2074191
     /* 2074191 */   GIM_Try, /*On fail goto*//*Label 27512*/ GIMT_Encode4(2074282), // Rule ID 16024 //
     /* 2074196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2074207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2074210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2074213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074242 */     // MIs[0] round
     /* 2074242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074245 */     // MIs[0] policy
     /* 2074245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074255 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2074258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2074278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074281 */     // GIR_Coverage, 16024,
     /* 2074281 */     GIR_EraseRootFromParent_Done,
     /* 2074282 */   // Label 27512: @2074282
     /* 2074282 */   GIM_Try, /*On fail goto*//*Label 27513*/ GIMT_Encode4(2074373), // Rule ID 16027 //
     /* 2074287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2074298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2074301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2074304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074333 */     // MIs[0] round
     /* 2074333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074336 */     // MIs[0] policy
     /* 2074336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2074349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074372 */     // GIR_Coverage, 16027,
     /* 2074372 */     GIR_EraseRootFromParent_Done,
     /* 2074373 */   // Label 27513: @2074373
     /* 2074373 */   GIM_Try, /*On fail goto*//*Label 27514*/ GIMT_Encode4(2074464), // Rule ID 16028 //
     /* 2074378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2074389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2074392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2074395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074424 */     // MIs[0] round
     /* 2074424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074427 */     // MIs[0] policy
     /* 2074427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074437 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2074440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074463 */     // GIR_Coverage, 16028,
     /* 2074463 */     GIR_EraseRootFromParent_Done,
     /* 2074464 */   // Label 27514: @2074464
     /* 2074464 */   GIM_Try, /*On fail goto*//*Label 27515*/ GIMT_Encode4(2074555), // Rule ID 16031 //
     /* 2074469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2074480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2074483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2074486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074515 */     // MIs[0] round
     /* 2074515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074518 */     // MIs[0] policy
     /* 2074518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074528 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2074531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074554 */     // GIR_Coverage, 16031,
     /* 2074554 */     GIR_EraseRootFromParent_Done,
     /* 2074555 */   // Label 27515: @2074555
     /* 2074555 */   GIM_Try, /*On fail goto*//*Label 27516*/ GIMT_Encode4(2074646), // Rule ID 16032 //
     /* 2074560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2074571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2074574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2074577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074606 */     // MIs[0] round
     /* 2074606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074609 */     // MIs[0] policy
     /* 2074609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074619 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2074622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074645 */     // GIR_Coverage, 16032,
     /* 2074645 */     GIR_EraseRootFromParent_Done,
     /* 2074646 */   // Label 27516: @2074646
     /* 2074646 */   GIM_Try, /*On fail goto*//*Label 27517*/ GIMT_Encode4(2074737), // Rule ID 16035 //
     /* 2074651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2074662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2074665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2074668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074697 */     // MIs[0] round
     /* 2074697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074700 */     // MIs[0] policy
     /* 2074700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074710 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2074713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074736 */     // GIR_Coverage, 16035,
     /* 2074736 */     GIR_EraseRootFromParent_Done,
     /* 2074737 */   // Label 27517: @2074737
     /* 2074737 */   GIM_Try, /*On fail goto*//*Label 27518*/ GIMT_Encode4(2074828), // Rule ID 16036 //
     /* 2074742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2074753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2074756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2074759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074788 */     // MIs[0] round
     /* 2074788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074791 */     // MIs[0] policy
     /* 2074791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074801 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2074804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074827 */     // GIR_Coverage, 16036,
     /* 2074827 */     GIR_EraseRootFromParent_Done,
     /* 2074828 */   // Label 27518: @2074828
     /* 2074828 */   GIM_Try, /*On fail goto*//*Label 27519*/ GIMT_Encode4(2074919), // Rule ID 16039 //
     /* 2074833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2074844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2074847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2074850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074879 */     // MIs[0] round
     /* 2074879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074882 */     // MIs[0] policy
     /* 2074882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074892 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2074895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2074915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074918 */     // GIR_Coverage, 16039,
     /* 2074918 */     GIR_EraseRootFromParent_Done,
     /* 2074919 */   // Label 27519: @2074919
     /* 2074919 */   GIM_Try, /*On fail goto*//*Label 27520*/ GIMT_Encode4(2075010), // Rule ID 16040 //
     /* 2074924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2074932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2074935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2074938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2074941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074970 */     // MIs[0] round
     /* 2074970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074973 */     // MIs[0] policy
     /* 2074973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074983 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2074986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075009 */     // GIR_Coverage, 16040,
     /* 2075009 */     GIR_EraseRootFromParent_Done,
     /* 2075010 */   // Label 27520: @2075010
     /* 2075010 */   GIM_Try, /*On fail goto*//*Label 27521*/ GIMT_Encode4(2075101), // Rule ID 16043 //
     /* 2075015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2075026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2075029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2075032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075061 */     // MIs[0] round
     /* 2075061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075064 */     // MIs[0] policy
     /* 2075064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075074 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2075077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075100 */     // GIR_Coverage, 16043,
     /* 2075100 */     GIR_EraseRootFromParent_Done,
     /* 2075101 */   // Label 27521: @2075101
     /* 2075101 */   GIM_Try, /*On fail goto*//*Label 27522*/ GIMT_Encode4(2075192), // Rule ID 16044 //
     /* 2075106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2075117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2075120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2075123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075152 */     // MIs[0] round
     /* 2075152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075155 */     // MIs[0] policy
     /* 2075155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075165 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2075168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075191 */     // GIR_Coverage, 16044,
     /* 2075191 */     GIR_EraseRootFromParent_Done,
     /* 2075192 */   // Label 27522: @2075192
     /* 2075192 */   GIM_Try, /*On fail goto*//*Label 27523*/ GIMT_Encode4(2075283), // Rule ID 16047 //
     /* 2075197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2075208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2075211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2075214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075243 */     // MIs[0] round
     /* 2075243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075246 */     // MIs[0] policy
     /* 2075246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2075259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075282 */     // GIR_Coverage, 16047,
     /* 2075282 */     GIR_EraseRootFromParent_Done,
     /* 2075283 */   // Label 27523: @2075283
     /* 2075283 */   GIM_Try, /*On fail goto*//*Label 27524*/ GIMT_Encode4(2075374), // Rule ID 16048 //
     /* 2075288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2075299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2075302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2075305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075334 */     // MIs[0] round
     /* 2075334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075337 */     // MIs[0] policy
     /* 2075337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075347 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2075350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075373 */     // GIR_Coverage, 16048,
     /* 2075373 */     GIR_EraseRootFromParent_Done,
     /* 2075374 */   // Label 27524: @2075374
     /* 2075374 */   GIM_Try, /*On fail goto*//*Label 27525*/ GIMT_Encode4(2075465), // Rule ID 16051 //
     /* 2075379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2075382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2075390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2075393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2075396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075425 */     // MIs[0] round
     /* 2075425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075428 */     // MIs[0] policy
     /* 2075428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075438 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2075441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075464 */     // GIR_Coverage, 16051,
     /* 2075464 */     GIR_EraseRootFromParent_Done,
     /* 2075465 */   // Label 27525: @2075465
     /* 2075465 */   GIM_Try, /*On fail goto*//*Label 27526*/ GIMT_Encode4(2075556), // Rule ID 16052 //
     /* 2075470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2075473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2075481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2075484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2075487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075516 */     // MIs[0] round
     /* 2075516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075519 */     // MIs[0] policy
     /* 2075519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075529 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2075532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075555 */     // GIR_Coverage, 16052,
     /* 2075555 */     GIR_EraseRootFromParent_Done,
     /* 2075556 */   // Label 27526: @2075556
     /* 2075556 */   GIM_Try, /*On fail goto*//*Label 27527*/ GIMT_Encode4(2075647), // Rule ID 16055 //
     /* 2075561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2075572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2075575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2075578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2075584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2075591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075607 */     // MIs[0] round
     /* 2075607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075610 */     // MIs[0] policy
     /* 2075610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075620 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2075623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075646 */     // GIR_Coverage, 16055,
     /* 2075646 */     GIR_EraseRootFromParent_Done,
     /* 2075647 */   // Label 27527: @2075647
     /* 2075647 */   GIM_Try, /*On fail goto*//*Label 27528*/ GIMT_Encode4(2075738), // Rule ID 16056 //
     /* 2075652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2075663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2075666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2075669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2075675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2075682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075698 */     // MIs[0] round
     /* 2075698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075701 */     // MIs[0] policy
     /* 2075701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075711 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2075714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075737 */     // GIR_Coverage, 16056,
     /* 2075737 */     GIR_EraseRootFromParent_Done,
     /* 2075738 */   // Label 27528: @2075738
     /* 2075738 */   GIM_Try, /*On fail goto*//*Label 27529*/ GIMT_Encode4(2075829), // Rule ID 16059 //
     /* 2075743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2075754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2075757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2075760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2075766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2075773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075789 */     // MIs[0] round
     /* 2075789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075792 */     // MIs[0] policy
     /* 2075792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075802 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2075805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075828 */     // GIR_Coverage, 16059,
     /* 2075828 */     GIR_EraseRootFromParent_Done,
     /* 2075829 */   // Label 27529: @2075829
     /* 2075829 */   GIM_Try, /*On fail goto*//*Label 27530*/ GIMT_Encode4(2075920), // Rule ID 16060 //
     /* 2075834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2075845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2075848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2075851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2075857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2075864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075880 */     // MIs[0] round
     /* 2075880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075883 */     // MIs[0] policy
     /* 2075883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075893 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2075896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075919 */     // GIR_Coverage, 16060,
     /* 2075919 */     GIR_EraseRootFromParent_Done,
     /* 2075920 */   // Label 27530: @2075920
     /* 2075920 */   GIM_Try, /*On fail goto*//*Label 27531*/ GIMT_Encode4(2076011), // Rule ID 16063 //
     /* 2075925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2075933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2075936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2075939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2075942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2075948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2075955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075971 */     // MIs[0] round
     /* 2075971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075974 */     // MIs[0] policy
     /* 2075974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075984 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2075987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076010 */     // GIR_Coverage, 16063,
     /* 2076010 */     GIR_EraseRootFromParent_Done,
     /* 2076011 */   // Label 27531: @2076011
     /* 2076011 */   GIM_Try, /*On fail goto*//*Label 27532*/ GIMT_Encode4(2076102), // Rule ID 16064 //
     /* 2076016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2076027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2076030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2076033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2076039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2076046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076062 */     // MIs[0] round
     /* 2076062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076065 */     // MIs[0] policy
     /* 2076065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076075 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2076078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076101 */     // GIR_Coverage, 16064,
     /* 2076101 */     GIR_EraseRootFromParent_Done,
     /* 2076102 */   // Label 27532: @2076102
     /* 2076102 */   GIM_Try, /*On fail goto*//*Label 27533*/ GIMT_Encode4(2076193), // Rule ID 16067 //
     /* 2076107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2076118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2076121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2076124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076153 */     // MIs[0] round
     /* 2076153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076156 */     // MIs[0] policy
     /* 2076156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076166 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2076169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076192 */     // GIR_Coverage, 16067,
     /* 2076192 */     GIR_EraseRootFromParent_Done,
     /* 2076193 */   // Label 27533: @2076193
     /* 2076193 */   GIM_Try, /*On fail goto*//*Label 27534*/ GIMT_Encode4(2076284), // Rule ID 16068 //
     /* 2076198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2076209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2076212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2076215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076244 */     // MIs[0] round
     /* 2076244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076247 */     // MIs[0] policy
     /* 2076247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076257 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2076260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076283 */     // GIR_Coverage, 16068,
     /* 2076283 */     GIR_EraseRootFromParent_Done,
     /* 2076284 */   // Label 27534: @2076284
     /* 2076284 */   GIM_Try, /*On fail goto*//*Label 27535*/ GIMT_Encode4(2076375), // Rule ID 16071 //
     /* 2076289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2076300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2076303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2076306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2076312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2076319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076335 */     // MIs[0] round
     /* 2076335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076338 */     // MIs[0] policy
     /* 2076338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076348 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2076351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076374 */     // GIR_Coverage, 16071,
     /* 2076374 */     GIR_EraseRootFromParent_Done,
     /* 2076375 */   // Label 27535: @2076375
     /* 2076375 */   GIM_Try, /*On fail goto*//*Label 27536*/ GIMT_Encode4(2076466), // Rule ID 16072 //
     /* 2076380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2076391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2076394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2076397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2076403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2076410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076426 */     // MIs[0] round
     /* 2076426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076429 */     // MIs[0] policy
     /* 2076429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076439 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2076442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076465 */     // GIR_Coverage, 16072,
     /* 2076465 */     GIR_EraseRootFromParent_Done,
     /* 2076466 */   // Label 27536: @2076466
     /* 2076466 */   GIM_Try, /*On fail goto*//*Label 27537*/ GIMT_Encode4(2076557), // Rule ID 16075 //
     /* 2076471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2076482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2076485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2076488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2076494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2076501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076517 */     // MIs[0] round
     /* 2076517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076520 */     // MIs[0] policy
     /* 2076520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076530 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2076533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076556 */     // GIR_Coverage, 16075,
     /* 2076556 */     GIR_EraseRootFromParent_Done,
     /* 2076557 */   // Label 27537: @2076557
     /* 2076557 */   GIM_Try, /*On fail goto*//*Label 27538*/ GIMT_Encode4(2076648), // Rule ID 16076 //
     /* 2076562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2076573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2076576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2076579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2076585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2076592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076608 */     // MIs[0] round
     /* 2076608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076611 */     // MIs[0] policy
     /* 2076611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076621 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2076624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076647 */     // GIR_Coverage, 16076,
     /* 2076647 */     GIR_EraseRootFromParent_Done,
     /* 2076648 */   // Label 27538: @2076648
     /* 2076648 */   GIM_Try, /*On fail goto*//*Label 27539*/ GIMT_Encode4(2076739), // Rule ID 16079 //
     /* 2076653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2076664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2076667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2076670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076699 */     // MIs[0] round
     /* 2076699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076702 */     // MIs[0] policy
     /* 2076702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076712 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2076715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076738 */     // GIR_Coverage, 16079,
     /* 2076738 */     GIR_EraseRootFromParent_Done,
     /* 2076739 */   // Label 27539: @2076739
     /* 2076739 */   GIM_Try, /*On fail goto*//*Label 27540*/ GIMT_Encode4(2076830), // Rule ID 16080 //
     /* 2076744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2076755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2076758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2076761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076790 */     // MIs[0] round
     /* 2076790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076793 */     // MIs[0] policy
     /* 2076793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076803 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2076806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076829 */     // GIR_Coverage, 16080,
     /* 2076829 */     GIR_EraseRootFromParent_Done,
     /* 2076830 */   // Label 27540: @2076830
     /* 2076830 */   GIM_Try, /*On fail goto*//*Label 27541*/ GIMT_Encode4(2076921), // Rule ID 16083 //
     /* 2076835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2076846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2076849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2076852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2076865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076881 */     // MIs[0] round
     /* 2076881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076884 */     // MIs[0] policy
     /* 2076884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076894 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2076897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076920 */     // GIR_Coverage, 16083,
     /* 2076920 */     GIR_EraseRootFromParent_Done,
     /* 2076921 */   // Label 27541: @2076921
     /* 2076921 */   GIM_Try, /*On fail goto*//*Label 27542*/ GIMT_Encode4(2077012), // Rule ID 16084 //
     /* 2076926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2076934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2076937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2076940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2076943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2076956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076972 */     // MIs[0] round
     /* 2076972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076975 */     // MIs[0] policy
     /* 2076975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076985 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2076988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077011 */     // GIR_Coverage, 16084,
     /* 2077011 */     GIR_EraseRootFromParent_Done,
     /* 2077012 */   // Label 27542: @2077012
     /* 2077012 */   GIM_Try, /*On fail goto*//*Label 27543*/ GIMT_Encode4(2077103), // Rule ID 16087 //
     /* 2077017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2077028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2077031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2077034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077063 */     // MIs[0] round
     /* 2077063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077066 */     // MIs[0] policy
     /* 2077066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077076 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2077079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077102 */     // GIR_Coverage, 16087,
     /* 2077102 */     GIR_EraseRootFromParent_Done,
     /* 2077103 */   // Label 27543: @2077103
     /* 2077103 */   GIM_Try, /*On fail goto*//*Label 27544*/ GIMT_Encode4(2077194), // Rule ID 16088 //
     /* 2077108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2077119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2077122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2077125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077154 */     // MIs[0] round
     /* 2077154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077157 */     // MIs[0] policy
     /* 2077157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077167 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2077170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077193 */     // GIR_Coverage, 16088,
     /* 2077193 */     GIR_EraseRootFromParent_Done,
     /* 2077194 */   // Label 27544: @2077194
     /* 2077194 */   GIM_Try, /*On fail goto*//*Label 27545*/ GIMT_Encode4(2077285), // Rule ID 16091 //
     /* 2077199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2077202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2077210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2077213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2077216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2077222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077245 */     // MIs[0] round
     /* 2077245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077248 */     // MIs[0] policy
     /* 2077248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2077261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077284 */     // GIR_Coverage, 16091,
     /* 2077284 */     GIR_EraseRootFromParent_Done,
     /* 2077285 */   // Label 27545: @2077285
     /* 2077285 */   GIM_Try, /*On fail goto*//*Label 27546*/ GIMT_Encode4(2077376), // Rule ID 16092 //
     /* 2077290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2077293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2077301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2077304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2077307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2077313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077336 */     // MIs[0] round
     /* 2077336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077339 */     // MIs[0] policy
     /* 2077339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077349 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11499:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2077352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077375 */     // GIR_Coverage, 16092,
     /* 2077375 */     GIR_EraseRootFromParent_Done,
     /* 2077376 */   // Label 27546: @2077376
     /* 2077376 */   GIM_Try, /*On fail goto*//*Label 27547*/ GIMT_Encode4(2077467), // Rule ID 16095 //
     /* 2077381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2077384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2077392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2077395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2077398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2077404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077427 */     // MIs[0] round
     /* 2077427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077430 */     // MIs[0] policy
     /* 2077430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077440 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2077443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077466 */     // GIR_Coverage, 16095,
     /* 2077466 */     GIR_EraseRootFromParent_Done,
     /* 2077467 */   // Label 27547: @2077467
     /* 2077467 */   GIM_Try, /*On fail goto*//*Label 27548*/ GIMT_Encode4(2077558), // Rule ID 16096 //
     /* 2077472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2077475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2077483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2077486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2077489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2077495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077518 */     // MIs[0] round
     /* 2077518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077521 */     // MIs[0] policy
     /* 2077521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077531 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11499:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2077534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077557 */     // GIR_Coverage, 16096,
     /* 2077557 */     GIR_EraseRootFromParent_Done,
     /* 2077558 */   // Label 27548: @2077558
     /* 2077558 */   GIM_Try, /*On fail goto*//*Label 27549*/ GIMT_Encode4(2077649), // Rule ID 16099 //
     /* 2077563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2077566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2077574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2077577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2077580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077609 */     // MIs[0] round
     /* 2077609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077612 */     // MIs[0] policy
     /* 2077612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077622 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2077625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077648 */     // GIR_Coverage, 16099,
     /* 2077648 */     GIR_EraseRootFromParent_Done,
     /* 2077649 */   // Label 27549: @2077649
     /* 2077649 */   GIM_Try, /*On fail goto*//*Label 27550*/ GIMT_Encode4(2077740), // Rule ID 16100 //
     /* 2077654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2077657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2077662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2077665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2077668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2077671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077700 */     // MIs[0] round
     /* 2077700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077703 */     // MIs[0] policy
     /* 2077703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077713 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11499:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2077716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077739 */     // GIR_Coverage, 16100,
     /* 2077739 */     GIR_EraseRootFromParent_Done,
     /* 2077740 */   // Label 27550: @2077740
     /* 2077740 */   GIM_Try, /*On fail goto*//*Label 27551*/ GIMT_Encode4(2077834), // Rule ID 16191 //
     /* 2077745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2077753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2077756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2077759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2077762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2077765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077791 */     // MIs[0] round
     /* 2077791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077794 */     // MIs[0] policy
     /* 2077794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077804 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2077807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077833 */     // GIR_Coverage, 16191,
     /* 2077833 */     GIR_EraseRootFromParent_Done,
     /* 2077834 */   // Label 27551: @2077834
     /* 2077834 */   GIM_Try, /*On fail goto*//*Label 27552*/ GIMT_Encode4(2077928), // Rule ID 16192 //
     /* 2077839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2077847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2077850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2077853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2077856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2077859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077885 */     // MIs[0] round
     /* 2077885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077888 */     // MIs[0] policy
     /* 2077888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077898 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2077901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2077921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077927 */     // GIR_Coverage, 16192,
     /* 2077927 */     GIR_EraseRootFromParent_Done,
     /* 2077928 */   // Label 27552: @2077928
     /* 2077928 */   GIM_Try, /*On fail goto*//*Label 27553*/ GIMT_Encode4(2078022), // Rule ID 16195 //
     /* 2077933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2077941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2077944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2077947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2077950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2077953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2077956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077979 */     // MIs[0] round
     /* 2077979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077982 */     // MIs[0] policy
     /* 2077982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077992 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2077995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078021 */     // GIR_Coverage, 16195,
     /* 2078021 */     GIR_EraseRootFromParent_Done,
     /* 2078022 */   // Label 27553: @2078022
     /* 2078022 */   GIM_Try, /*On fail goto*//*Label 27554*/ GIMT_Encode4(2078116), // Rule ID 16196 //
     /* 2078027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2078038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2078041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2078044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2078047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078073 */     // MIs[0] round
     /* 2078073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078076 */     // MIs[0] policy
     /* 2078076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078086 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2078089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078115 */     // GIR_Coverage, 16196,
     /* 2078115 */     GIR_EraseRootFromParent_Done,
     /* 2078116 */   // Label 27554: @2078116
     /* 2078116 */   GIM_Try, /*On fail goto*//*Label 27555*/ GIMT_Encode4(2078210), // Rule ID 16199 //
     /* 2078121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2078132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2078135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2078138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2078141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078167 */     // MIs[0] round
     /* 2078167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078170 */     // MIs[0] policy
     /* 2078170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078180 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2078183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078209 */     // GIR_Coverage, 16199,
     /* 2078209 */     GIR_EraseRootFromParent_Done,
     /* 2078210 */   // Label 27555: @2078210
     /* 2078210 */   GIM_Try, /*On fail goto*//*Label 27556*/ GIMT_Encode4(2078304), // Rule ID 16200 //
     /* 2078215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2078226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2078229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2078232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2078235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078261 */     // MIs[0] round
     /* 2078261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078264 */     // MIs[0] policy
     /* 2078264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078274 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2078277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078303 */     // GIR_Coverage, 16200,
     /* 2078303 */     GIR_EraseRootFromParent_Done,
     /* 2078304 */   // Label 27556: @2078304
     /* 2078304 */   GIM_Try, /*On fail goto*//*Label 27557*/ GIMT_Encode4(2078398), // Rule ID 16203 //
     /* 2078309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2078320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2078323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2078326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2078329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078355 */     // MIs[0] round
     /* 2078355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078358 */     // MIs[0] policy
     /* 2078358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078368 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2078371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078393 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078397 */     // GIR_Coverage, 16203,
     /* 2078397 */     GIR_EraseRootFromParent_Done,
     /* 2078398 */   // Label 27557: @2078398
     /* 2078398 */   GIM_Try, /*On fail goto*//*Label 27558*/ GIMT_Encode4(2078492), // Rule ID 16204 //
     /* 2078403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2078414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2078417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2078420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2078423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078449 */     // MIs[0] round
     /* 2078449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078452 */     // MIs[0] policy
     /* 2078452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078462 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2078465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078487 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078491 */     // GIR_Coverage, 16204,
     /* 2078491 */     GIR_EraseRootFromParent_Done,
     /* 2078492 */   // Label 27558: @2078492
     /* 2078492 */   GIM_Try, /*On fail goto*//*Label 27559*/ GIMT_Encode4(2078586), // Rule ID 16207 //
     /* 2078497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2078508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2078511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2078514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2078517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078543 */     // MIs[0] round
     /* 2078543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078546 */     // MIs[0] policy
     /* 2078546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078556 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2078559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078585 */     // GIR_Coverage, 16207,
     /* 2078585 */     GIR_EraseRootFromParent_Done,
     /* 2078586 */   // Label 27559: @2078586
     /* 2078586 */   GIM_Try, /*On fail goto*//*Label 27560*/ GIMT_Encode4(2078680), // Rule ID 16208 //
     /* 2078591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2078602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2078605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2078608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2078611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078637 */     // MIs[0] round
     /* 2078637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078640 */     // MIs[0] policy
     /* 2078640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078650 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2078653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078679 */     // GIR_Coverage, 16208,
     /* 2078679 */     GIR_EraseRootFromParent_Done,
     /* 2078680 */   // Label 27560: @2078680
     /* 2078680 */   GIM_Try, /*On fail goto*//*Label 27561*/ GIMT_Encode4(2078774), // Rule ID 16211 //
     /* 2078685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2078696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2078699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2078702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2078705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2078708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078731 */     // MIs[0] round
     /* 2078731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078734 */     // MIs[0] policy
     /* 2078734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078744 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2078747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078773 */     // GIR_Coverage, 16211,
     /* 2078773 */     GIR_EraseRootFromParent_Done,
     /* 2078774 */   // Label 27561: @2078774
     /* 2078774 */   GIM_Try, /*On fail goto*//*Label 27562*/ GIMT_Encode4(2078868), // Rule ID 16212 //
     /* 2078779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2078790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2078793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2078796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2078799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2078802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078825 */     // MIs[0] round
     /* 2078825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078828 */     // MIs[0] policy
     /* 2078828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078838 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2078841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078863 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078867 */     // GIR_Coverage, 16212,
     /* 2078867 */     GIR_EraseRootFromParent_Done,
     /* 2078868 */   // Label 27562: @2078868
     /* 2078868 */   GIM_Try, /*On fail goto*//*Label 27563*/ GIMT_Encode4(2078962), // Rule ID 16215 //
     /* 2078873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2078884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2078887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2078890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2078893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2078896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078919 */     // MIs[0] round
     /* 2078919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078922 */     // MIs[0] policy
     /* 2078922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078932 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2078935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078961 */     // GIR_Coverage, 16215,
     /* 2078961 */     GIR_EraseRootFromParent_Done,
     /* 2078962 */   // Label 27563: @2078962
     /* 2078962 */   GIM_Try, /*On fail goto*//*Label 27564*/ GIMT_Encode4(2079056), // Rule ID 16216 //
     /* 2078967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2078978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2078981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2078984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2078987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2078990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079013 */     // MIs[0] round
     /* 2079013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079016 */     // MIs[0] policy
     /* 2079016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079026 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2079029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079051 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079055 */     // GIR_Coverage, 16216,
     /* 2079055 */     GIR_EraseRootFromParent_Done,
     /* 2079056 */   // Label 27564: @2079056
     /* 2079056 */   GIM_Try, /*On fail goto*//*Label 27565*/ GIMT_Encode4(2079150), // Rule ID 16219 //
     /* 2079061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2079072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2079075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2079078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2079081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079107 */     // MIs[0] round
     /* 2079107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079110 */     // MIs[0] policy
     /* 2079110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079120 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2079123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079145 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079149 */     // GIR_Coverage, 16219,
     /* 2079149 */     GIR_EraseRootFromParent_Done,
     /* 2079150 */   // Label 27565: @2079150
     /* 2079150 */   GIM_Try, /*On fail goto*//*Label 27566*/ GIMT_Encode4(2079244), // Rule ID 16220 //
     /* 2079155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2079166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2079169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2079172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2079175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079201 */     // MIs[0] round
     /* 2079201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079204 */     // MIs[0] policy
     /* 2079204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079214 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2079217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079243 */     // GIR_Coverage, 16220,
     /* 2079243 */     GIR_EraseRootFromParent_Done,
     /* 2079244 */   // Label 27566: @2079244
     /* 2079244 */   GIM_Try, /*On fail goto*//*Label 27567*/ GIMT_Encode4(2079338), // Rule ID 16223 //
     /* 2079249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2079260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2079263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2079266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2079269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079295 */     // MIs[0] round
     /* 2079295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079298 */     // MIs[0] policy
     /* 2079298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079308 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2079311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079337 */     // GIR_Coverage, 16223,
     /* 2079337 */     GIR_EraseRootFromParent_Done,
     /* 2079338 */   // Label 27567: @2079338
     /* 2079338 */   GIM_Try, /*On fail goto*//*Label 27568*/ GIMT_Encode4(2079432), // Rule ID 16224 //
     /* 2079343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2079354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2079357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2079360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2079363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079389 */     // MIs[0] round
     /* 2079389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079392 */     // MIs[0] policy
     /* 2079392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079402 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2079405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079427 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079431 */     // GIR_Coverage, 16224,
     /* 2079431 */     GIR_EraseRootFromParent_Done,
     /* 2079432 */   // Label 27568: @2079432
     /* 2079432 */   GIM_Try, /*On fail goto*//*Label 27569*/ GIMT_Encode4(2079526), // Rule ID 16227 //
     /* 2079437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2079448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2079451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2079454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2079457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2079467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079483 */     // MIs[0] round
     /* 2079483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079486 */     // MIs[0] policy
     /* 2079486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079496 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2079499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079525 */     // GIR_Coverage, 16227,
     /* 2079525 */     GIR_EraseRootFromParent_Done,
     /* 2079526 */   // Label 27569: @2079526
     /* 2079526 */   GIM_Try, /*On fail goto*//*Label 27570*/ GIMT_Encode4(2079620), // Rule ID 16228 //
     /* 2079531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2079542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2079545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2079548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2079551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2079561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079577 */     // MIs[0] round
     /* 2079577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079580 */     // MIs[0] policy
     /* 2079580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079590 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2079593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079619 */     // GIR_Coverage, 16228,
     /* 2079619 */     GIR_EraseRootFromParent_Done,
     /* 2079620 */   // Label 27570: @2079620
     /* 2079620 */   GIM_Try, /*On fail goto*//*Label 27571*/ GIMT_Encode4(2079714), // Rule ID 16231 //
     /* 2079625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2079636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2079639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2079642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2079645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2079648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2079655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079671 */     // MIs[0] round
     /* 2079671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079674 */     // MIs[0] policy
     /* 2079674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079684 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2079687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079713 */     // GIR_Coverage, 16231,
     /* 2079713 */     GIR_EraseRootFromParent_Done,
     /* 2079714 */   // Label 27571: @2079714
     /* 2079714 */   GIM_Try, /*On fail goto*//*Label 27572*/ GIMT_Encode4(2079808), // Rule ID 16232 //
     /* 2079719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2079730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2079733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2079736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2079739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2079742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2079749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079765 */     // MIs[0] round
     /* 2079765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079768 */     // MIs[0] policy
     /* 2079768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079778 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2079781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079807 */     // GIR_Coverage, 16232,
     /* 2079807 */     GIR_EraseRootFromParent_Done,
     /* 2079808 */   // Label 27572: @2079808
     /* 2079808 */   GIM_Try, /*On fail goto*//*Label 27573*/ GIMT_Encode4(2079902), // Rule ID 16235 //
     /* 2079813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2079816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2079824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2079827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2079830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2079833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079859 */     // MIs[0] round
     /* 2079859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079862 */     // MIs[0] policy
     /* 2079862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079872 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2079875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2079895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079901 */     // GIR_Coverage, 16235,
     /* 2079901 */     GIR_EraseRootFromParent_Done,
     /* 2079902 */   // Label 27573: @2079902
     /* 2079902 */   GIM_Try, /*On fail goto*//*Label 27574*/ GIMT_Encode4(2079996), // Rule ID 16236 //
     /* 2079907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2079910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2079915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2079918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2079921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2079924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2079927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079953 */     // MIs[0] round
     /* 2079953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079956 */     // MIs[0] policy
     /* 2079956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079966 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2079969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2079989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079995 */     // GIR_Coverage, 16236,
     /* 2079995 */     GIR_EraseRootFromParent_Done,
     /* 2079996 */   // Label 27574: @2079996
     /* 2079996 */   GIM_Try, /*On fail goto*//*Label 27575*/ GIMT_Encode4(2080090), // Rule ID 16239 //
     /* 2080001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2080004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2080012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2080015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2080018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2080021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080047 */     // MIs[0] round
     /* 2080047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080050 */     // MIs[0] policy
     /* 2080050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080060 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2080063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080089 */     // GIR_Coverage, 16239,
     /* 2080089 */     GIR_EraseRootFromParent_Done,
     /* 2080090 */   // Label 27575: @2080090
     /* 2080090 */   GIM_Try, /*On fail goto*//*Label 27576*/ GIMT_Encode4(2080184), // Rule ID 16240 //
     /* 2080095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2080098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2080106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2080109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2080112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2080115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080141 */     // MIs[0] round
     /* 2080141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080144 */     // MIs[0] policy
     /* 2080144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080154 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2080157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080183 */     // GIR_Coverage, 16240,
     /* 2080183 */     GIR_EraseRootFromParent_Done,
     /* 2080184 */   // Label 27576: @2080184
     /* 2080184 */   GIM_Try, /*On fail goto*//*Label 27577*/ GIMT_Encode4(2080278), // Rule ID 16243 //
     /* 2080189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2080192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2080200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2080203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2080206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2080209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080235 */     // MIs[0] round
     /* 2080235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080238 */     // MIs[0] policy
     /* 2080238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080248 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2080251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080277 */     // GIR_Coverage, 16243,
     /* 2080277 */     GIR_EraseRootFromParent_Done,
     /* 2080278 */   // Label 27577: @2080278
     /* 2080278 */   GIM_Try, /*On fail goto*//*Label 27578*/ GIMT_Encode4(2080372), // Rule ID 16244 //
     /* 2080283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2080286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2080294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2080297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2080300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2080303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080329 */     // MIs[0] round
     /* 2080329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080332 */     // MIs[0] policy
     /* 2080332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2080345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080367 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080371 */     // GIR_Coverage, 16244,
     /* 2080371 */     GIR_EraseRootFromParent_Done,
     /* 2080372 */   // Label 27578: @2080372
     /* 2080372 */   GIM_Try, /*On fail goto*//*Label 27579*/ GIMT_Encode4(2080466), // Rule ID 16247 //
     /* 2080377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2080380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2080388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2080391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2080394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2080397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080423 */     // MIs[0] round
     /* 2080423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080426 */     // MIs[0] policy
     /* 2080426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080436 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2080439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080461 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080465 */     // GIR_Coverage, 16247,
     /* 2080465 */     GIR_EraseRootFromParent_Done,
     /* 2080466 */   // Label 27579: @2080466
     /* 2080466 */   GIM_Try, /*On fail goto*//*Label 27580*/ GIMT_Encode4(2080560), // Rule ID 16248 //
     /* 2080471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2080474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2080482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2080485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2080488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2080491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080517 */     // MIs[0] round
     /* 2080517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080520 */     // MIs[0] policy
     /* 2080520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080530 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2080533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080555 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080559 */     // GIR_Coverage, 16248,
     /* 2080559 */     GIR_EraseRootFromParent_Done,
     /* 2080560 */   // Label 27580: @2080560
     /* 2080560 */   GIM_Try, /*On fail goto*//*Label 27581*/ GIMT_Encode4(2080654), // Rule ID 16251 //
     /* 2080565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2080576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2080579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2080582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2080585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080611 */     // MIs[0] round
     /* 2080611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080614 */     // MIs[0] policy
     /* 2080614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080624 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2080627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080649 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080653 */     // GIR_Coverage, 16251,
     /* 2080653 */     GIR_EraseRootFromParent_Done,
     /* 2080654 */   // Label 27581: @2080654
     /* 2080654 */   GIM_Try, /*On fail goto*//*Label 27582*/ GIMT_Encode4(2080748), // Rule ID 16252 //
     /* 2080659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2080670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2080673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2080676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2080679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080705 */     // MIs[0] round
     /* 2080705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080708 */     // MIs[0] policy
     /* 2080708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080718 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2080721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080747 */     // GIR_Coverage, 16252,
     /* 2080747 */     GIR_EraseRootFromParent_Done,
     /* 2080748 */   // Label 27582: @2080748
     /* 2080748 */   GIM_Try, /*On fail goto*//*Label 27583*/ GIMT_Encode4(2080842), // Rule ID 16255 //
     /* 2080753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2080764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2080767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2080770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2080773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080799 */     // MIs[0] round
     /* 2080799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080802 */     // MIs[0] policy
     /* 2080802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080812 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2080815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080841 */     // GIR_Coverage, 16255,
     /* 2080841 */     GIR_EraseRootFromParent_Done,
     /* 2080842 */   // Label 27583: @2080842
     /* 2080842 */   GIM_Try, /*On fail goto*//*Label 27584*/ GIMT_Encode4(2080936), // Rule ID 16256 //
     /* 2080847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2080858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2080861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2080864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2080867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080893 */     // MIs[0] round
     /* 2080893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080896 */     // MIs[0] policy
     /* 2080896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080906 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2080909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080935 */     // GIR_Coverage, 16256,
     /* 2080935 */     GIR_EraseRootFromParent_Done,
     /* 2080936 */   // Label 27584: @2080936
     /* 2080936 */   GIM_Try, /*On fail goto*//*Label 27585*/ GIMT_Encode4(2081030), // Rule ID 16259 //
     /* 2080941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2080949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2080952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2080955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2080958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2080961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2080983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080987 */     // MIs[0] round
     /* 2080987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080990 */     // MIs[0] policy
     /* 2080990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081000 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2081003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081025 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081029 */     // GIR_Coverage, 16259,
     /* 2081029 */     GIR_EraseRootFromParent_Done,
     /* 2081030 */   // Label 27585: @2081030
     /* 2081030 */   GIM_Try, /*On fail goto*//*Label 27586*/ GIMT_Encode4(2081124), // Rule ID 16260 //
     /* 2081035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2081046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2081049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2081052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081081 */     // MIs[0] round
     /* 2081081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081084 */     // MIs[0] policy
     /* 2081084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081094 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2081097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081123 */     // GIR_Coverage, 16260,
     /* 2081123 */     GIR_EraseRootFromParent_Done,
     /* 2081124 */   // Label 27586: @2081124
     /* 2081124 */   GIM_Try, /*On fail goto*//*Label 27587*/ GIMT_Encode4(2081218), // Rule ID 16263 //
     /* 2081129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2081140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2081143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2081146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081175 */     // MIs[0] round
     /* 2081175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081178 */     // MIs[0] policy
     /* 2081178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081188 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2081191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081213 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081217 */     // GIR_Coverage, 16263,
     /* 2081217 */     GIR_EraseRootFromParent_Done,
     /* 2081218 */   // Label 27587: @2081218
     /* 2081218 */   GIM_Try, /*On fail goto*//*Label 27588*/ GIMT_Encode4(2081312), // Rule ID 16264 //
     /* 2081223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2081234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2081237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2081240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081269 */     // MIs[0] round
     /* 2081269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081272 */     // MIs[0] policy
     /* 2081272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081282 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2081285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081311 */     // GIR_Coverage, 16264,
     /* 2081311 */     GIR_EraseRootFromParent_Done,
     /* 2081312 */   // Label 27588: @2081312
     /* 2081312 */   GIM_Try, /*On fail goto*//*Label 27589*/ GIMT_Encode4(2081406), // Rule ID 16267 //
     /* 2081317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2081328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2081331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2081334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2081340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081363 */     // MIs[0] round
     /* 2081363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081366 */     // MIs[0] policy
     /* 2081366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081376 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2081379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081401 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081405 */     // GIR_Coverage, 16267,
     /* 2081405 */     GIR_EraseRootFromParent_Done,
     /* 2081406 */   // Label 27589: @2081406
     /* 2081406 */   GIM_Try, /*On fail goto*//*Label 27590*/ GIMT_Encode4(2081500), // Rule ID 16268 //
     /* 2081411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2081422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2081425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2081428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2081434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081457 */     // MIs[0] round
     /* 2081457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081460 */     // MIs[0] policy
     /* 2081460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081470 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2081473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081499 */     // GIR_Coverage, 16268,
     /* 2081499 */     GIR_EraseRootFromParent_Done,
     /* 2081500 */   // Label 27590: @2081500
     /* 2081500 */   GIM_Try, /*On fail goto*//*Label 27591*/ GIMT_Encode4(2081594), // Rule ID 16271 //
     /* 2081505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2081516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2081519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2081522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2081528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081551 */     // MIs[0] round
     /* 2081551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081554 */     // MIs[0] policy
     /* 2081554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081564 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2081567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081593 */     // GIR_Coverage, 16271,
     /* 2081593 */     GIR_EraseRootFromParent_Done,
     /* 2081594 */   // Label 27591: @2081594
     /* 2081594 */   GIM_Try, /*On fail goto*//*Label 27592*/ GIMT_Encode4(2081688), // Rule ID 16272 //
     /* 2081599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2081610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2081613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2081616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2081622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081645 */     // MIs[0] round
     /* 2081645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081648 */     // MIs[0] policy
     /* 2081648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081658 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2081661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081687 */     // GIR_Coverage, 16272,
     /* 2081687 */     GIR_EraseRootFromParent_Done,
     /* 2081688 */   // Label 27592: @2081688
     /* 2081688 */   GIM_Try, /*On fail goto*//*Label 27593*/ GIMT_Encode4(2081782), // Rule ID 16275 //
     /* 2081693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2081704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2081707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2081710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081739 */     // MIs[0] round
     /* 2081739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081742 */     // MIs[0] policy
     /* 2081742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081752 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2081755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081781 */     // GIR_Coverage, 16275,
     /* 2081781 */     GIR_EraseRootFromParent_Done,
     /* 2081782 */   // Label 27593: @2081782
     /* 2081782 */   GIM_Try, /*On fail goto*//*Label 27594*/ GIMT_Encode4(2081876), // Rule ID 16276 //
     /* 2081787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2081798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2081801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2081804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081833 */     // MIs[0] round
     /* 2081833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081836 */     // MIs[0] policy
     /* 2081836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2081849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081875 */     // GIR_Coverage, 16276,
     /* 2081875 */     GIR_EraseRootFromParent_Done,
     /* 2081876 */   // Label 27594: @2081876
     /* 2081876 */   GIM_Try, /*On fail goto*//*Label 27595*/ GIMT_Encode4(2081970), // Rule ID 16279 //
     /* 2081881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2081892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2081895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2081898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081927 */     // MIs[0] round
     /* 2081927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081930 */     // MIs[0] policy
     /* 2081930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081940 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2081943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081969 */     // GIR_Coverage, 16279,
     /* 2081969 */     GIR_EraseRootFromParent_Done,
     /* 2081970 */   // Label 27595: @2081970
     /* 2081970 */   GIM_Try, /*On fail goto*//*Label 27596*/ GIMT_Encode4(2082064), // Rule ID 16280 //
     /* 2081975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2081983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2081986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2081989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2081992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082021 */     // MIs[0] round
     /* 2082021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082024 */     // MIs[0] policy
     /* 2082024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082034 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2082037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082063 */     // GIR_Coverage, 16280,
     /* 2082063 */     GIR_EraseRootFromParent_Done,
     /* 2082064 */   // Label 27596: @2082064
     /* 2082064 */   GIM_Try, /*On fail goto*//*Label 27597*/ GIMT_Encode4(2082158), // Rule ID 16283 //
     /* 2082069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2082080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2082083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2082086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082115 */     // MIs[0] round
     /* 2082115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082118 */     // MIs[0] policy
     /* 2082118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082128 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2082131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082157 */     // GIR_Coverage, 16283,
     /* 2082157 */     GIR_EraseRootFromParent_Done,
     /* 2082158 */   // Label 27597: @2082158
     /* 2082158 */   GIM_Try, /*On fail goto*//*Label 27598*/ GIMT_Encode4(2082252), // Rule ID 16284 //
     /* 2082163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2082174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2082177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2082180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082209 */     // MIs[0] round
     /* 2082209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082212 */     // MIs[0] policy
     /* 2082212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082222 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2082225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082251 */     // GIR_Coverage, 16284,
     /* 2082251 */     GIR_EraseRootFromParent_Done,
     /* 2082252 */   // Label 27598: @2082252
     /* 2082252 */   GIM_Try, /*On fail goto*//*Label 27599*/ GIMT_Encode4(2082346), // Rule ID 16287 //
     /* 2082257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2082268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2082271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2082274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2082287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082303 */     // MIs[0] round
     /* 2082303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082306 */     // MIs[0] policy
     /* 2082306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082316 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2082319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082341 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082345 */     // GIR_Coverage, 16287,
     /* 2082345 */     GIR_EraseRootFromParent_Done,
     /* 2082346 */   // Label 27599: @2082346
     /* 2082346 */   GIM_Try, /*On fail goto*//*Label 27600*/ GIMT_Encode4(2082440), // Rule ID 16288 //
     /* 2082351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2082362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2082365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2082368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2082381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082397 */     // MIs[0] round
     /* 2082397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082400 */     // MIs[0] policy
     /* 2082400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082410 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2082413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082435 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082439 */     // GIR_Coverage, 16288,
     /* 2082439 */     GIR_EraseRootFromParent_Done,
     /* 2082440 */   // Label 27600: @2082440
     /* 2082440 */   GIM_Try, /*On fail goto*//*Label 27601*/ GIMT_Encode4(2082534), // Rule ID 16291 //
     /* 2082445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2082456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2082459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2082462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2082468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082491 */     // MIs[0] round
     /* 2082491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082494 */     // MIs[0] policy
     /* 2082494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082504 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2082507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082529 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082533 */     // GIR_Coverage, 16291,
     /* 2082533 */     GIR_EraseRootFromParent_Done,
     /* 2082534 */   // Label 27601: @2082534
     /* 2082534 */   GIM_Try, /*On fail goto*//*Label 27602*/ GIMT_Encode4(2082628), // Rule ID 16292 //
     /* 2082539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2082550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2082553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2082556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2082562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082585 */     // MIs[0] round
     /* 2082585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082588 */     // MIs[0] policy
     /* 2082588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082598 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2082601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082627 */     // GIR_Coverage, 16292,
     /* 2082627 */     GIR_EraseRootFromParent_Done,
     /* 2082628 */   // Label 27602: @2082628
     /* 2082628 */   GIM_Try, /*On fail goto*//*Label 27603*/ GIMT_Encode4(2082722), // Rule ID 16295 //
     /* 2082633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2082636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2082644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2082647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2082650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082679 */     // MIs[0] round
     /* 2082679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082682 */     // MIs[0] policy
     /* 2082682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082692 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2082695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082717 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082721 */     // GIR_Coverage, 16295,
     /* 2082721 */     GIR_EraseRootFromParent_Done,
     /* 2082722 */   // Label 27603: @2082722
     /* 2082722 */   GIM_Try, /*On fail goto*//*Label 27604*/ GIMT_Encode4(2082816), // Rule ID 16296 //
     /* 2082727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2082730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2082738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2082741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2082744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082773 */     // MIs[0] round
     /* 2082773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082776 */     // MIs[0] policy
     /* 2082776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2082789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082815 */     // GIR_Coverage, 16296,
     /* 2082815 */     GIR_EraseRootFromParent_Done,
     /* 2082816 */   // Label 27604: @2082816
     /* 2082816 */   GIM_Try, /*On fail goto*//*Label 27605*/ GIMT_Encode4(2082910), // Rule ID 16299 //
     /* 2082821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2082824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2082832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2082835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2082838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082867 */     // MIs[0] round
     /* 2082867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082870 */     // MIs[0] policy
     /* 2082870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2082883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082909 */     // GIR_Coverage, 16299,
     /* 2082909 */     GIR_EraseRootFromParent_Done,
     /* 2082910 */   // Label 27605: @2082910
     /* 2082910 */   GIM_Try, /*On fail goto*//*Label 27606*/ GIMT_Encode4(2083004), // Rule ID 16300 //
     /* 2082915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2082918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2082923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2082926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2082929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2082932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082961 */     // MIs[0] round
     /* 2082961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082964 */     // MIs[0] policy
     /* 2082964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082974 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2082977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083003 */     // GIR_Coverage, 16300,
     /* 2083003 */     GIR_EraseRootFromParent_Done,
     /* 2083004 */   // Label 27606: @2083004
     /* 2083004 */   GIM_Try, /*On fail goto*//*Label 27607*/ GIMT_Encode4(2083098), // Rule ID 16303 //
     /* 2083009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2083012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2083020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2083023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2083026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083055 */     // MIs[0] round
     /* 2083055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083058 */     // MIs[0] policy
     /* 2083058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083068 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2083071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083093 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083097 */     // GIR_Coverage, 16303,
     /* 2083097 */     GIR_EraseRootFromParent_Done,
     /* 2083098 */   // Label 27607: @2083098
     /* 2083098 */   GIM_Try, /*On fail goto*//*Label 27608*/ GIMT_Encode4(2083192), // Rule ID 16304 //
     /* 2083103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2083106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2083114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2083117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2083120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083149 */     // MIs[0] round
     /* 2083149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083152 */     // MIs[0] policy
     /* 2083152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083162 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11385:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2083165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083187 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083191 */     // GIR_Coverage, 16304,
     /* 2083191 */     GIR_EraseRootFromParent_Done,
     /* 2083192 */   // Label 27608: @2083192
     /* 2083192 */   GIM_Try, /*On fail goto*//*Label 27609*/ GIMT_Encode4(2083286), // Rule ID 16307 //
     /* 2083197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2083200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2083208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2083211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2083214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2083227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083243 */     // MIs[0] round
     /* 2083243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083246 */     // MIs[0] policy
     /* 2083246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083256 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2083259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083281 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083285 */     // GIR_Coverage, 16307,
     /* 2083285 */     GIR_EraseRootFromParent_Done,
     /* 2083286 */   // Label 27609: @2083286
     /* 2083286 */   GIM_Try, /*On fail goto*//*Label 27610*/ GIMT_Encode4(2083380), // Rule ID 16308 //
     /* 2083291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2083294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2083299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2083302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2083305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2083308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2083321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083337 */     // MIs[0] round
     /* 2083337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083340 */     // MIs[0] policy
     /* 2083340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083350 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11385:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2083353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083375 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083379 */     // GIR_Coverage, 16308,
     /* 2083379 */     GIR_EraseRootFromParent_Done,
     /* 2083380 */   // Label 27610: @2083380
     /* 2083380 */   GIM_Try, /*On fail goto*//*Label 27611*/ GIMT_Encode4(2083474), // Rule ID 16371 //
     /* 2083385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2083393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2083396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2083399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2083402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2083405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083431 */     // MIs[0] round
     /* 2083431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083434 */     // MIs[0] policy
     /* 2083434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083444 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2083447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083473 */     // GIR_Coverage, 16371,
     /* 2083473 */     GIR_EraseRootFromParent_Done,
     /* 2083474 */   // Label 27611: @2083474
     /* 2083474 */   GIM_Try, /*On fail goto*//*Label 27612*/ GIMT_Encode4(2083568), // Rule ID 16372 //
     /* 2083479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2083487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2083490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2083493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2083496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2083499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083525 */     // MIs[0] round
     /* 2083525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083528 */     // MIs[0] policy
     /* 2083528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083538 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2083541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083567 */     // GIR_Coverage, 16372,
     /* 2083567 */     GIR_EraseRootFromParent_Done,
     /* 2083568 */   // Label 27612: @2083568
     /* 2083568 */   GIM_Try, /*On fail goto*//*Label 27613*/ GIMT_Encode4(2083662), // Rule ID 16375 //
     /* 2083573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2083581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2083584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2083587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2083590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2083593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083619 */     // MIs[0] round
     /* 2083619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083622 */     // MIs[0] policy
     /* 2083622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083632 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2083635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083657 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083661 */     // GIR_Coverage, 16375,
     /* 2083661 */     GIR_EraseRootFromParent_Done,
     /* 2083662 */   // Label 27613: @2083662
     /* 2083662 */   GIM_Try, /*On fail goto*//*Label 27614*/ GIMT_Encode4(2083756), // Rule ID 16376 //
     /* 2083667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2083675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2083678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2083681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2083684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2083687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083713 */     // MIs[0] round
     /* 2083713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083716 */     // MIs[0] policy
     /* 2083716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083726 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2083729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083755 */     // GIR_Coverage, 16376,
     /* 2083755 */     GIR_EraseRootFromParent_Done,
     /* 2083756 */   // Label 27614: @2083756
     /* 2083756 */   GIM_Try, /*On fail goto*//*Label 27615*/ GIMT_Encode4(2083850), // Rule ID 16379 //
     /* 2083761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2083769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2083772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2083775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2083778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2083781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083807 */     // MIs[0] round
     /* 2083807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083810 */     // MIs[0] policy
     /* 2083810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083820 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2083823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083849 */     // GIR_Coverage, 16379,
     /* 2083849 */     GIR_EraseRootFromParent_Done,
     /* 2083850 */   // Label 27615: @2083850
     /* 2083850 */   GIM_Try, /*On fail goto*//*Label 27616*/ GIMT_Encode4(2083944), // Rule ID 16380 //
     /* 2083855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2083863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2083866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2083869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2083872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2083875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083901 */     // MIs[0] round
     /* 2083901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083904 */     // MIs[0] policy
     /* 2083904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083914 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2083917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083943 */     // GIR_Coverage, 16380,
     /* 2083943 */     GIR_EraseRootFromParent_Done,
     /* 2083944 */   // Label 27616: @2083944
     /* 2083944 */   GIM_Try, /*On fail goto*//*Label 27617*/ GIMT_Encode4(2084038), // Rule ID 16383 //
     /* 2083949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2083957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2083960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2083963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2083966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2083969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083995 */     // MIs[0] round
     /* 2083995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083998 */     // MIs[0] policy
     /* 2083998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2084011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084037 */     // GIR_Coverage, 16383,
     /* 2084037 */     GIR_EraseRootFromParent_Done,
     /* 2084038 */   // Label 27617: @2084038
     /* 2084038 */   GIM_Try, /*On fail goto*//*Label 27618*/ GIMT_Encode4(2084132), // Rule ID 16384 //
     /* 2084043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2084054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2084057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2084060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2084063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084089 */     // MIs[0] round
     /* 2084089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084092 */     // MIs[0] policy
     /* 2084092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2084105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084131 */     // GIR_Coverage, 16384,
     /* 2084131 */     GIR_EraseRootFromParent_Done,
     /* 2084132 */   // Label 27618: @2084132
     /* 2084132 */   GIM_Try, /*On fail goto*//*Label 27619*/ GIMT_Encode4(2084226), // Rule ID 16387 //
     /* 2084137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2084148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2084151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2084154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2084157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2084160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084183 */     // MIs[0] round
     /* 2084183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084186 */     // MIs[0] policy
     /* 2084186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084196 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11383:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2084199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084225 */     // GIR_Coverage, 16387,
     /* 2084225 */     GIR_EraseRootFromParent_Done,
     /* 2084226 */   // Label 27619: @2084226
     /* 2084226 */   GIM_Try, /*On fail goto*//*Label 27620*/ GIMT_Encode4(2084320), // Rule ID 16388 //
     /* 2084231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2084242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2084245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2084248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2084251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2084254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084277 */     // MIs[0] round
     /* 2084277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084280 */     // MIs[0] policy
     /* 2084280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084290 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11383:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2084293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084319 */     // GIR_Coverage, 16388,
     /* 2084319 */     GIR_EraseRootFromParent_Done,
     /* 2084320 */   // Label 27620: @2084320
     /* 2084320 */   GIM_Try, /*On fail goto*//*Label 27621*/ GIMT_Encode4(2084414), // Rule ID 16391 //
     /* 2084325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2084336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2084339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2084342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2084345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2084348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084371 */     // MIs[0] round
     /* 2084371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084374 */     // MIs[0] policy
     /* 2084374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084384 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11383:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2084387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084409 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084413 */     // GIR_Coverage, 16391,
     /* 2084413 */     GIR_EraseRootFromParent_Done,
     /* 2084414 */   // Label 27621: @2084414
     /* 2084414 */   GIM_Try, /*On fail goto*//*Label 27622*/ GIMT_Encode4(2084508), // Rule ID 16392 //
     /* 2084419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2084430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2084433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2084436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2084439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2084442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084465 */     // MIs[0] round
     /* 2084465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084468 */     // MIs[0] policy
     /* 2084468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084478 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11383:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2084481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084503 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084507 */     // GIR_Coverage, 16392,
     /* 2084507 */     GIR_EraseRootFromParent_Done,
     /* 2084508 */   // Label 27622: @2084508
     /* 2084508 */   GIM_Try, /*On fail goto*//*Label 27623*/ GIMT_Encode4(2084602), // Rule ID 16395 //
     /* 2084513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2084524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2084527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2084530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2084533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084559 */     // MIs[0] round
     /* 2084559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084562 */     // MIs[0] policy
     /* 2084562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084572 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2084575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084601 */     // GIR_Coverage, 16395,
     /* 2084601 */     GIR_EraseRootFromParent_Done,
     /* 2084602 */   // Label 27623: @2084602
     /* 2084602 */   GIM_Try, /*On fail goto*//*Label 27624*/ GIMT_Encode4(2084696), // Rule ID 16396 //
     /* 2084607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2084618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2084621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2084624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2084627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084653 */     // MIs[0] round
     /* 2084653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084656 */     // MIs[0] policy
     /* 2084656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084666 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2084669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084691 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084695 */     // GIR_Coverage, 16396,
     /* 2084695 */     GIR_EraseRootFromParent_Done,
     /* 2084696 */   // Label 27624: @2084696
     /* 2084696 */   GIM_Try, /*On fail goto*//*Label 27625*/ GIMT_Encode4(2084790), // Rule ID 16399 //
     /* 2084701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2084712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2084715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2084718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2084721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084747 */     // MIs[0] round
     /* 2084747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084750 */     // MIs[0] policy
     /* 2084750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084760 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2084763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084789 */     // GIR_Coverage, 16399,
     /* 2084789 */     GIR_EraseRootFromParent_Done,
     /* 2084790 */   // Label 27625: @2084790
     /* 2084790 */   GIM_Try, /*On fail goto*//*Label 27626*/ GIMT_Encode4(2084884), // Rule ID 16400 //
     /* 2084795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2084806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2084809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2084812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2084815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084841 */     // MIs[0] round
     /* 2084841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084844 */     // MIs[0] policy
     /* 2084844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084854 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2084857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084879 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084883 */     // GIR_Coverage, 16400,
     /* 2084883 */     GIR_EraseRootFromParent_Done,
     /* 2084884 */   // Label 27626: @2084884
     /* 2084884 */   GIM_Try, /*On fail goto*//*Label 27627*/ GIMT_Encode4(2084978), // Rule ID 16403 //
     /* 2084889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2084900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2084903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2084906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2084909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084935 */     // MIs[0] round
     /* 2084935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084938 */     // MIs[0] policy
     /* 2084938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2084951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084977 */     // GIR_Coverage, 16403,
     /* 2084977 */     GIR_EraseRootFromParent_Done,
     /* 2084978 */   // Label 27627: @2084978
     /* 2084978 */   GIM_Try, /*On fail goto*//*Label 27628*/ GIMT_Encode4(2085072), // Rule ID 16404 //
     /* 2084983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2084994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2084997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2085000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2085003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085029 */     // MIs[0] round
     /* 2085029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085032 */     // MIs[0] policy
     /* 2085032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085042 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2085045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085067 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085071 */     // GIR_Coverage, 16404,
     /* 2085071 */     GIR_EraseRootFromParent_Done,
     /* 2085072 */   // Label 27628: @2085072
     /* 2085072 */   GIM_Try, /*On fail goto*//*Label 27629*/ GIMT_Encode4(2085166), // Rule ID 16407 //
     /* 2085077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2085088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2085091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2085094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2085097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085123 */     // MIs[0] round
     /* 2085123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085126 */     // MIs[0] policy
     /* 2085126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085136 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11383:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2085139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085161 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085165 */     // GIR_Coverage, 16407,
     /* 2085165 */     GIR_EraseRootFromParent_Done,
     /* 2085166 */   // Label 27629: @2085166
     /* 2085166 */   GIM_Try, /*On fail goto*//*Label 27630*/ GIMT_Encode4(2085260), // Rule ID 16408 //
     /* 2085171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2085182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2085185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2085188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2085191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085217 */     // MIs[0] round
     /* 2085217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085220 */     // MIs[0] policy
     /* 2085220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085230 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11383:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2085233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085259 */     // GIR_Coverage, 16408,
     /* 2085259 */     GIR_EraseRootFromParent_Done,
     /* 2085260 */   // Label 27630: @2085260
     /* 2085260 */   GIM_Try, /*On fail goto*//*Label 27631*/ GIMT_Encode4(2085354), // Rule ID 16411 //
     /* 2085265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2085276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2085279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2085282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2085285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085311 */     // MIs[0] round
     /* 2085311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085314 */     // MIs[0] policy
     /* 2085314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085324 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11383:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2085327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085349 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085353 */     // GIR_Coverage, 16411,
     /* 2085353 */     GIR_EraseRootFromParent_Done,
     /* 2085354 */   // Label 27631: @2085354
     /* 2085354 */   GIM_Try, /*On fail goto*//*Label 27632*/ GIMT_Encode4(2085448), // Rule ID 16412 //
     /* 2085359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2085370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2085373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2085376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2085379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085405 */     // MIs[0] round
     /* 2085405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085408 */     // MIs[0] policy
     /* 2085408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085418 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11383:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2085421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085443 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085447 */     // GIR_Coverage, 16412,
     /* 2085447 */     GIR_EraseRootFromParent_Done,
     /* 2085448 */   // Label 27632: @2085448
     /* 2085448 */   GIM_Try, /*On fail goto*//*Label 27633*/ GIMT_Encode4(2085542), // Rule ID 16415 //
     /* 2085453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2085456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2085464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2085467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2085470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2085473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2085476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085499 */     // MIs[0] round
     /* 2085499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085502 */     // MIs[0] policy
     /* 2085502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085512 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2085515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085537 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085541 */     // GIR_Coverage, 16415,
     /* 2085541 */     GIR_EraseRootFromParent_Done,
     /* 2085542 */   // Label 27633: @2085542
     /* 2085542 */   GIM_Try, /*On fail goto*//*Label 27634*/ GIMT_Encode4(2085636), // Rule ID 16416 //
     /* 2085547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2085550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2085558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2085561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2085564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2085567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2085570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085593 */     // MIs[0] round
     /* 2085593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085596 */     // MIs[0] policy
     /* 2085596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085606 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2085609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085635 */     // GIR_Coverage, 16416,
     /* 2085635 */     GIR_EraseRootFromParent_Done,
     /* 2085636 */   // Label 27634: @2085636
     /* 2085636 */   GIM_Try, /*On fail goto*//*Label 27635*/ GIMT_Encode4(2085730), // Rule ID 16419 //
     /* 2085641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2085644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2085652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2085655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2085658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2085661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2085664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085687 */     // MIs[0] round
     /* 2085687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085690 */     // MIs[0] policy
     /* 2085690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085700 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2085703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085729 */     // GIR_Coverage, 16419,
     /* 2085729 */     GIR_EraseRootFromParent_Done,
     /* 2085730 */   // Label 27635: @2085730
     /* 2085730 */   GIM_Try, /*On fail goto*//*Label 27636*/ GIMT_Encode4(2085824), // Rule ID 16420 //
     /* 2085735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2085738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2085746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2085749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2085752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2085755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2085758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085781 */     // MIs[0] round
     /* 2085781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085784 */     // MIs[0] policy
     /* 2085784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085794 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2085797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085823 */     // GIR_Coverage, 16420,
     /* 2085823 */     GIR_EraseRootFromParent_Done,
     /* 2085824 */   // Label 27636: @2085824
     /* 2085824 */   GIM_Try, /*On fail goto*//*Label 27637*/ GIMT_Encode4(2085918), // Rule ID 16423 //
     /* 2085829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2085832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2085840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2085843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2085846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2085849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085875 */     // MIs[0] round
     /* 2085875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085878 */     // MIs[0] policy
     /* 2085878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085888 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11383:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2085891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2085916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085917 */     // GIR_Coverage, 16423,
     /* 2085917 */     GIR_EraseRootFromParent_Done,
     /* 2085918 */   // Label 27637: @2085918
     /* 2085918 */   GIM_Try, /*On fail goto*//*Label 27638*/ GIMT_Encode4(2086012), // Rule ID 16424 //
     /* 2085923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2085926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2085931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2085934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2085937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2085940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2085943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085969 */     // MIs[0] round
     /* 2085969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085972 */     // MIs[0] policy
     /* 2085972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085982 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11383:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2085985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086011 */     // GIR_Coverage, 16424,
     /* 2086011 */     GIR_EraseRootFromParent_Done,
     /* 2086012 */   // Label 27638: @2086012
     /* 2086012 */   GIM_Try, /*On fail goto*//*Label 27639*/ GIMT_Encode4(2086106), // Rule ID 16427 //
     /* 2086017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2086020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2086028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2086031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2086034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2086037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086063 */     // MIs[0] round
     /* 2086063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086066 */     // MIs[0] policy
     /* 2086066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086076 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11383:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2086079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086105 */     // GIR_Coverage, 16427,
     /* 2086105 */     GIR_EraseRootFromParent_Done,
     /* 2086106 */   // Label 27639: @2086106
     /* 2086106 */   GIM_Try, /*On fail goto*//*Label 27640*/ GIMT_Encode4(2086200), // Rule ID 16428 //
     /* 2086111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2086114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2086122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2086125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2086128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2086131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086157 */     // MIs[0] round
     /* 2086157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086160 */     // MIs[0] policy
     /* 2086160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086170 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11383:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2086173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086195 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086199 */     // GIR_Coverage, 16428,
     /* 2086199 */     GIR_EraseRootFromParent_Done,
     /* 2086200 */   // Label 27640: @2086200
     /* 2086200 */   GIM_Try, /*On fail goto*//*Label 27641*/ GIMT_Encode4(2086294), // Rule ID 16431 //
     /* 2086205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2086216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2086219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2086222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2086228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086251 */     // MIs[0] round
     /* 2086251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086254 */     // MIs[0] policy
     /* 2086254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086264 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2086267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086293 */     // GIR_Coverage, 16431,
     /* 2086293 */     GIR_EraseRootFromParent_Done,
     /* 2086294 */   // Label 27641: @2086294
     /* 2086294 */   GIM_Try, /*On fail goto*//*Label 27642*/ GIMT_Encode4(2086388), // Rule ID 16432 //
     /* 2086299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2086310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2086313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2086316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2086319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2086322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086345 */     // MIs[0] round
     /* 2086345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086348 */     // MIs[0] policy
     /* 2086348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086358 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2086361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086387 */     // GIR_Coverage, 16432,
     /* 2086387 */     GIR_EraseRootFromParent_Done,
     /* 2086388 */   // Label 27642: @2086388
     /* 2086388 */   GIM_Try, /*On fail goto*//*Label 27643*/ GIMT_Encode4(2086482), // Rule ID 16435 //
     /* 2086393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2086404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2086407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2086410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086439 */     // MIs[0] round
     /* 2086439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086442 */     // MIs[0] policy
     /* 2086442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086452 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2086455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086477 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086481 */     // GIR_Coverage, 16435,
     /* 2086481 */     GIR_EraseRootFromParent_Done,
     /* 2086482 */   // Label 27643: @2086482
     /* 2086482 */   GIM_Try, /*On fail goto*//*Label 27644*/ GIMT_Encode4(2086576), // Rule ID 16436 //
     /* 2086487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2086498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2086501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2086504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2086507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086533 */     // MIs[0] round
     /* 2086533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086536 */     // MIs[0] policy
     /* 2086536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086546 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2086549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086571 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086575 */     // GIR_Coverage, 16436,
     /* 2086575 */     GIR_EraseRootFromParent_Done,
     /* 2086576 */   // Label 27644: @2086576
     /* 2086576 */   GIM_Try, /*On fail goto*//*Label 27645*/ GIMT_Encode4(2086670), // Rule ID 16439 //
     /* 2086581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2086592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2086595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2086598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086627 */     // MIs[0] round
     /* 2086627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086630 */     // MIs[0] policy
     /* 2086630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086640 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2086643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086665 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086669 */     // GIR_Coverage, 16439,
     /* 2086669 */     GIR_EraseRootFromParent_Done,
     /* 2086670 */   // Label 27645: @2086670
     /* 2086670 */   GIM_Try, /*On fail goto*//*Label 27646*/ GIMT_Encode4(2086764), // Rule ID 16440 //
     /* 2086675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2086686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2086689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2086692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2086695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086721 */     // MIs[0] round
     /* 2086721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086724 */     // MIs[0] policy
     /* 2086724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086734 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2086737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086763 */     // GIR_Coverage, 16440,
     /* 2086763 */     GIR_EraseRootFromParent_Done,
     /* 2086764 */   // Label 27646: @2086764
     /* 2086764 */   GIM_Try, /*On fail goto*//*Label 27647*/ GIMT_Encode4(2086858), // Rule ID 16443 //
     /* 2086769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2086780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2086783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2086786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086815 */     // MIs[0] round
     /* 2086815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086818 */     // MIs[0] policy
     /* 2086818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2086831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086857 */     // GIR_Coverage, 16443,
     /* 2086857 */     GIR_EraseRootFromParent_Done,
     /* 2086858 */   // Label 27647: @2086858
     /* 2086858 */   GIM_Try, /*On fail goto*//*Label 27648*/ GIMT_Encode4(2086952), // Rule ID 16444 //
     /* 2086863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2086874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2086877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2086880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2086883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086909 */     // MIs[0] round
     /* 2086909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086912 */     // MIs[0] policy
     /* 2086912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086922 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2086925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2086945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2086950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086951 */     // GIR_Coverage, 16444,
     /* 2086951 */     GIR_EraseRootFromParent_Done,
     /* 2086952 */   // Label 27648: @2086952
     /* 2086952 */   GIM_Try, /*On fail goto*//*Label 27649*/ GIMT_Encode4(2087046), // Rule ID 16447 //
     /* 2086957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2086965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2086968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2086971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2086974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2086980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087003 */     // MIs[0] round
     /* 2087003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087006 */     // MIs[0] policy
     /* 2087006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087016 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11383:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2087019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087045 */     // GIR_Coverage, 16447,
     /* 2087045 */     GIR_EraseRootFromParent_Done,
     /* 2087046 */   // Label 27649: @2087046
     /* 2087046 */   GIM_Try, /*On fail goto*//*Label 27650*/ GIMT_Encode4(2087140), // Rule ID 16448 //
     /* 2087051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2087062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2087065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2087068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2087074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2087081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087097 */     // MIs[0] round
     /* 2087097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087100 */     // MIs[0] policy
     /* 2087100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087110 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11383:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2087113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087135 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087139 */     // GIR_Coverage, 16448,
     /* 2087139 */     GIR_EraseRootFromParent_Done,
     /* 2087140 */   // Label 27650: @2087140
     /* 2087140 */   GIM_Try, /*On fail goto*//*Label 27651*/ GIMT_Encode4(2087234), // Rule ID 16451 //
     /* 2087145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2087156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2087159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2087162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2087168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2087175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2087183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087191 */     // MIs[0] round
     /* 2087191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087194 */     // MIs[0] policy
     /* 2087194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087204 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11383:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2087207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087229 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087233 */     // GIR_Coverage, 16451,
     /* 2087233 */     GIR_EraseRootFromParent_Done,
     /* 2087234 */   // Label 27651: @2087234
     /* 2087234 */   GIM_Try, /*On fail goto*//*Label 27652*/ GIMT_Encode4(2087328), // Rule ID 16452 //
     /* 2087239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2087250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2087253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2087256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2087262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2087269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2087277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087285 */     // MIs[0] round
     /* 2087285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087288 */     // MIs[0] policy
     /* 2087288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087298 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11383:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2087301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087323 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087327 */     // GIR_Coverage, 16452,
     /* 2087327 */     GIR_EraseRootFromParent_Done,
     /* 2087328 */   // Label 27652: @2087328
     /* 2087328 */   GIM_Try, /*On fail goto*//*Label 27653*/ GIMT_Encode4(2087422), // Rule ID 16455 //
     /* 2087333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2087344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2087347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2087350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087379 */     // MIs[0] round
     /* 2087379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087382 */     // MIs[0] policy
     /* 2087382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087392 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2087395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087421 */     // GIR_Coverage, 16455,
     /* 2087421 */     GIR_EraseRootFromParent_Done,
     /* 2087422 */   // Label 27653: @2087422
     /* 2087422 */   GIM_Try, /*On fail goto*//*Label 27654*/ GIMT_Encode4(2087516), // Rule ID 16456 //
     /* 2087427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2087438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2087441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2087444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087473 */     // MIs[0] round
     /* 2087473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087476 */     // MIs[0] policy
     /* 2087476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087486 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2087489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087511 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087515 */     // GIR_Coverage, 16456,
     /* 2087515 */     GIR_EraseRootFromParent_Done,
     /* 2087516 */   // Label 27654: @2087516
     /* 2087516 */   GIM_Try, /*On fail goto*//*Label 27655*/ GIMT_Encode4(2087610), // Rule ID 16459 //
     /* 2087521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2087532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2087535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2087538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087567 */     // MIs[0] round
     /* 2087567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087570 */     // MIs[0] policy
     /* 2087570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087580 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2087583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087605 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087609 */     // GIR_Coverage, 16459,
     /* 2087609 */     GIR_EraseRootFromParent_Done,
     /* 2087610 */   // Label 27655: @2087610
     /* 2087610 */   GIM_Try, /*On fail goto*//*Label 27656*/ GIMT_Encode4(2087704), // Rule ID 16460 //
     /* 2087615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2087626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2087629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2087632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087661 */     // MIs[0] round
     /* 2087661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087664 */     // MIs[0] policy
     /* 2087664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087674 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2087677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087699 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087703 */     // GIR_Coverage, 16460,
     /* 2087703 */     GIR_EraseRootFromParent_Done,
     /* 2087704 */   // Label 27656: @2087704
     /* 2087704 */   GIM_Try, /*On fail goto*//*Label 27657*/ GIMT_Encode4(2087798), // Rule ID 16463 //
     /* 2087709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2087720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2087723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2087726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087755 */     // MIs[0] round
     /* 2087755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087758 */     // MIs[0] policy
     /* 2087758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087768 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2087771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087797 */     // GIR_Coverage, 16463,
     /* 2087797 */     GIR_EraseRootFromParent_Done,
     /* 2087798 */   // Label 27657: @2087798
     /* 2087798 */   GIM_Try, /*On fail goto*//*Label 27658*/ GIMT_Encode4(2087892), // Rule ID 16464 //
     /* 2087803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2087814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2087817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2087820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087849 */     // MIs[0] round
     /* 2087849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087852 */     // MIs[0] policy
     /* 2087852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087862 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2087865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087891 */     // GIR_Coverage, 16464,
     /* 2087891 */     GIR_EraseRootFromParent_Done,
     /* 2087892 */   // Label 27658: @2087892
     /* 2087892 */   GIM_Try, /*On fail goto*//*Label 27659*/ GIMT_Encode4(2087986), // Rule ID 16467 //
     /* 2087897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2087908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2087911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2087914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2087920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2087927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2087931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2087935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2087939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087943 */     // MIs[0] round
     /* 2087943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087946 */     // MIs[0] policy
     /* 2087946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087956 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11383:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2087959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087981 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2087984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087985 */     // GIR_Coverage, 16467,
     /* 2087985 */     GIR_EraseRootFromParent_Done,
     /* 2087986 */   // Label 27659: @2087986
     /* 2087986 */   GIM_Try, /*On fail goto*//*Label 27660*/ GIMT_Encode4(2088080), // Rule ID 16468 //
     /* 2087991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2087999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2088002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2088005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2088008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088037 */     // MIs[0] round
     /* 2088037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088040 */     // MIs[0] policy
     /* 2088040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088050 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11383:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2088053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088079 */     // GIR_Coverage, 16468,
     /* 2088079 */     GIR_EraseRootFromParent_Done,
     /* 2088080 */   // Label 27660: @2088080
     /* 2088080 */   GIM_Try, /*On fail goto*//*Label 27661*/ GIMT_Encode4(2088174), // Rule ID 16471 //
     /* 2088085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2088096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2088099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2088102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088131 */     // MIs[0] round
     /* 2088131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088134 */     // MIs[0] policy
     /* 2088134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088144 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11383:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2088147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088173 */     // GIR_Coverage, 16471,
     /* 2088173 */     GIR_EraseRootFromParent_Done,
     /* 2088174 */   // Label 27661: @2088174
     /* 2088174 */   GIM_Try, /*On fail goto*//*Label 27662*/ GIMT_Encode4(2088268), // Rule ID 16472 //
     /* 2088179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2088190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2088193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2088196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088225 */     // MIs[0] round
     /* 2088225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088228 */     // MIs[0] policy
     /* 2088228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088238 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11383:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2088241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088267 */     // GIR_Coverage, 16472,
     /* 2088267 */     GIR_EraseRootFromParent_Done,
     /* 2088268 */   // Label 27662: @2088268
     /* 2088268 */   GIM_Try, /*On fail goto*//*Label 27663*/ GIMT_Encode4(2088362), // Rule ID 16475 //
     /* 2088273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2088276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2088284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2088287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2088290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088319 */     // MIs[0] round
     /* 2088319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088322 */     // MIs[0] policy
     /* 2088322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088332 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2088335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088361 */     // GIR_Coverage, 16475,
     /* 2088361 */     GIR_EraseRootFromParent_Done,
     /* 2088362 */   // Label 27663: @2088362
     /* 2088362 */   GIM_Try, /*On fail goto*//*Label 27664*/ GIMT_Encode4(2088456), // Rule ID 16476 //
     /* 2088367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2088370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2088378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2088381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2088384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088413 */     // MIs[0] round
     /* 2088413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088416 */     // MIs[0] policy
     /* 2088416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088426 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2088429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088455 */     // GIR_Coverage, 16476,
     /* 2088455 */     GIR_EraseRootFromParent_Done,
     /* 2088456 */   // Label 27664: @2088456
     /* 2088456 */   GIM_Try, /*On fail goto*//*Label 27665*/ GIMT_Encode4(2088550), // Rule ID 16479 //
     /* 2088461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2088464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2088472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2088475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2088478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088507 */     // MIs[0] round
     /* 2088507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088510 */     // MIs[0] policy
     /* 2088510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088520 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2088523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088545 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088549 */     // GIR_Coverage, 16479,
     /* 2088549 */     GIR_EraseRootFromParent_Done,
     /* 2088550 */   // Label 27665: @2088550
     /* 2088550 */   GIM_Try, /*On fail goto*//*Label 27666*/ GIMT_Encode4(2088644), // Rule ID 16480 //
     /* 2088555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2088558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2088566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2088569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2088572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088601 */     // MIs[0] round
     /* 2088601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088604 */     // MIs[0] policy
     /* 2088604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088614 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2088617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088643 */     // GIR_Coverage, 16480,
     /* 2088643 */     GIR_EraseRootFromParent_Done,
     /* 2088644 */   // Label 27666: @2088644
     /* 2088644 */   GIM_Try, /*On fail goto*//*Label 27667*/ GIMT_Encode4(2088738), // Rule ID 16483 //
     /* 2088649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2088652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2088660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2088663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2088666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088695 */     // MIs[0] round
     /* 2088695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088698 */     // MIs[0] policy
     /* 2088698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11383:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2088711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088737 */     // GIR_Coverage, 16483,
     /* 2088737 */     GIR_EraseRootFromParent_Done,
     /* 2088738 */   // Label 27667: @2088738
     /* 2088738 */   GIM_Try, /*On fail goto*//*Label 27668*/ GIMT_Encode4(2088832), // Rule ID 16484 //
     /* 2088743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2088746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2088754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2088757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2088760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088789 */     // MIs[0] round
     /* 2088789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088792 */     // MIs[0] policy
     /* 2088792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088802 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11383:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2088805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088827 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088831 */     // GIR_Coverage, 16484,
     /* 2088831 */     GIR_EraseRootFromParent_Done,
     /* 2088832 */   // Label 27668: @2088832
     /* 2088832 */   GIM_Try, /*On fail goto*//*Label 27669*/ GIMT_Encode4(2088926), // Rule ID 16487 //
     /* 2088837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2088840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2088848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2088851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2088854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088883 */     // MIs[0] round
     /* 2088883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088886 */     // MIs[0] policy
     /* 2088886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088896 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11383:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2088899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2088924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088925 */     // GIR_Coverage, 16487,
     /* 2088925 */     GIR_EraseRootFromParent_Done,
     /* 2088926 */   // Label 27669: @2088926
     /* 2088926 */   GIM_Try, /*On fail goto*//*Label 27670*/ GIMT_Encode4(2089020), // Rule ID 16488 //
     /* 2088931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2088934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2088939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2088942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2088945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2088948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2088973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088977 */     // MIs[0] round
     /* 2088977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088980 */     // MIs[0] policy
     /* 2088980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088990 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11383:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2088993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2089018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089019 */     // GIR_Coverage, 16488,
     /* 2089019 */     GIR_EraseRootFromParent_Done,
     /* 2089020 */   // Label 27670: @2089020
     /* 2089020 */   GIM_Try, /*On fail goto*//*Label 27671*/ GIMT_Encode4(2089111), // Rule ID 16551 //
     /* 2089025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2089028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2089033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2089036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2089039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2089042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2089045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089071 */     // MIs[0] round
     /* 2089071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089074 */     // MIs[0] policy
     /* 2089074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089084 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2089087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089110 */     // GIR_Coverage, 16551,
     /* 2089110 */     GIR_EraseRootFromParent_Done,
     /* 2089111 */   // Label 27671: @2089111
     /* 2089111 */   GIM_Try, /*On fail goto*//*Label 27672*/ GIMT_Encode4(2089202), // Rule ID 16552 //
     /* 2089116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2089119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2089124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2089127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2089130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2089133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2089136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089162 */     // MIs[0] round
     /* 2089162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089165 */     // MIs[0] policy
     /* 2089165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089175 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2089178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089201 */     // GIR_Coverage, 16552,
     /* 2089201 */     GIR_EraseRootFromParent_Done,
     /* 2089202 */   // Label 27672: @2089202
     /* 2089202 */   GIM_Try, /*On fail goto*//*Label 27673*/ GIMT_Encode4(2089293), // Rule ID 16555 //
     /* 2089207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2089210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2089215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2089218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2089221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2089224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2089227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089253 */     // MIs[0] round
     /* 2089253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089256 */     // MIs[0] policy
     /* 2089256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089266 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2089269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089292 */     // GIR_Coverage, 16555,
     /* 2089292 */     GIR_EraseRootFromParent_Done,
     /* 2089293 */   // Label 27673: @2089293
     /* 2089293 */   GIM_Try, /*On fail goto*//*Label 27674*/ GIMT_Encode4(2089384), // Rule ID 16556 //
     /* 2089298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2089301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2089306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2089309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2089312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2089315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2089318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089344 */     // MIs[0] round
     /* 2089344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089347 */     // MIs[0] policy
     /* 2089347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089357 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2089360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089383 */     // GIR_Coverage, 16556,
     /* 2089383 */     GIR_EraseRootFromParent_Done,
     /* 2089384 */   // Label 27674: @2089384
     /* 2089384 */   GIM_Try, /*On fail goto*//*Label 27675*/ GIMT_Encode4(2089475), // Rule ID 16559 //
     /* 2089389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2089392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2089397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2089400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2089403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2089406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2089409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089435 */     // MIs[0] round
     /* 2089435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089438 */     // MIs[0] policy
     /* 2089438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089448 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2089451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089474 */     // GIR_Coverage, 16559,
     /* 2089474 */     GIR_EraseRootFromParent_Done,
     /* 2089475 */   // Label 27675: @2089475
     /* 2089475 */   GIM_Try, /*On fail goto*//*Label 27676*/ GIMT_Encode4(2089566), // Rule ID 16560 //
     /* 2089480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2089483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2089488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2089491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2089494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2089497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2089500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089526 */     // MIs[0] round
     /* 2089526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089529 */     // MIs[0] policy
     /* 2089529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089539 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2089542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089565 */     // GIR_Coverage, 16560,
     /* 2089565 */     GIR_EraseRootFromParent_Done,
     /* 2089566 */   // Label 27676: @2089566
     /* 2089566 */   GIM_Try, /*On fail goto*//*Label 27677*/ GIMT_Encode4(2089657), // Rule ID 16563 //
     /* 2089571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2089574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2089579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2089582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2089585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2089588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2089591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089617 */     // MIs[0] round
     /* 2089617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089620 */     // MIs[0] policy
     /* 2089620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089630 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2089633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089656 */     // GIR_Coverage, 16563,
     /* 2089656 */     GIR_EraseRootFromParent_Done,
     /* 2089657 */   // Label 27677: @2089657
     /* 2089657 */   GIM_Try, /*On fail goto*//*Label 27678*/ GIMT_Encode4(2089748), // Rule ID 16564 //
     /* 2089662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2089665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2089670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2089673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2089676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2089679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2089682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089708 */     // MIs[0] round
     /* 2089708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089711 */     // MIs[0] policy
     /* 2089711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089721 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2089724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089747 */     // GIR_Coverage, 16564,
     /* 2089747 */     GIR_EraseRootFromParent_Done,
     /* 2089748 */   // Label 27678: @2089748
     /* 2089748 */   GIM_Try, /*On fail goto*//*Label 27679*/ GIMT_Encode4(2089839), // Rule ID 16567 //
     /* 2089753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2089756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2089761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2089764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2089767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2089770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2089773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089799 */     // MIs[0] round
     /* 2089799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089802 */     // MIs[0] policy
     /* 2089802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089812 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2089815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089838 */     // GIR_Coverage, 16567,
     /* 2089838 */     GIR_EraseRootFromParent_Done,
     /* 2089839 */   // Label 27679: @2089839
     /* 2089839 */   GIM_Try, /*On fail goto*//*Label 27680*/ GIMT_Encode4(2089930), // Rule ID 16568 //
     /* 2089844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2089847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2089852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2089855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2089858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2089861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2089864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089890 */     // MIs[0] round
     /* 2089890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089893 */     // MIs[0] policy
     /* 2089893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089903 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2089906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089929 */     // GIR_Coverage, 16568,
     /* 2089929 */     GIR_EraseRootFromParent_Done,
     /* 2089930 */   // Label 27680: @2089930
     /* 2089930 */   GIM_Try, /*On fail goto*//*Label 27681*/ GIMT_Encode4(2090021), // Rule ID 16571 //
     /* 2089935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2089938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2089943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2089946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2089949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2089952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2089955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089981 */     // MIs[0] round
     /* 2089981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089984 */     // MIs[0] policy
     /* 2089984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089994 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2089997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2090017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090020 */     // GIR_Coverage, 16571,
     /* 2090020 */     GIR_EraseRootFromParent_Done,
     /* 2090021 */   // Label 27681: @2090021
     /* 2090021 */   GIM_Try, /*On fail goto*//*Label 27682*/ GIMT_Encode4(2090112), // Rule ID 16572 //
     /* 2090026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2090029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2090037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2090040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2090043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2090046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090072 */     // MIs[0] round
     /* 2090072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090075 */     // MIs[0] policy
     /* 2090075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090085 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2090088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2090108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090111 */     // GIR_Coverage, 16572,
     /* 2090111 */     GIR_EraseRootFromParent_Done,
     /* 2090112 */   // Label 27682: @2090112
     /* 2090112 */   GIM_Try, /*On fail goto*//*Label 27683*/ GIMT_Encode4(2090203), // Rule ID 16575 //
     /* 2090117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2090120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2090128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2090131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2090134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2090137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090163 */     // MIs[0] round
     /* 2090163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090166 */     // MIs[0] policy
     /* 2090166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090176 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2090179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090202 */     // GIR_Coverage, 16575,
     /* 2090202 */     GIR_EraseRootFromParent_Done,
     /* 2090203 */   // Label 27683: @2090203
     /* 2090203 */   GIM_Try, /*On fail goto*//*Label 27684*/ GIMT_Encode4(2090294), // Rule ID 16576 //
     /* 2090208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2090211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2090219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2090222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2090225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2090228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090254 */     // MIs[0] round
     /* 2090254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090257 */     // MIs[0] policy
     /* 2090257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090267 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2090270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090293 */     // GIR_Coverage, 16576,
     /* 2090293 */     GIR_EraseRootFromParent_Done,
     /* 2090294 */   // Label 27684: @2090294
     /* 2090294 */   GIM_Try, /*On fail goto*//*Label 27685*/ GIMT_Encode4(2090385), // Rule ID 16579 //
     /* 2090299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2090302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2090310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2090313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2090316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2090319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2090322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090345 */     // MIs[0] round
     /* 2090345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090348 */     // MIs[0] policy
     /* 2090348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090358 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2090361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090384 */     // GIR_Coverage, 16579,
     /* 2090384 */     GIR_EraseRootFromParent_Done,
     /* 2090385 */   // Label 27685: @2090385
     /* 2090385 */   GIM_Try, /*On fail goto*//*Label 27686*/ GIMT_Encode4(2090476), // Rule ID 16580 //
     /* 2090390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2090393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2090401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2090404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2090407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2090410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2090413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090436 */     // MIs[0] round
     /* 2090436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090439 */     // MIs[0] policy
     /* 2090439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090449 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2090452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090472 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090475 */     // GIR_Coverage, 16580,
     /* 2090475 */     GIR_EraseRootFromParent_Done,
     /* 2090476 */   // Label 27686: @2090476
     /* 2090476 */   GIM_Try, /*On fail goto*//*Label 27687*/ GIMT_Encode4(2090567), // Rule ID 16583 //
     /* 2090481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2090484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2090492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2090495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2090498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2090501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2090504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2090511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090527 */     // MIs[0] round
     /* 2090527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090530 */     // MIs[0] policy
     /* 2090530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090540 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2090543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090566 */     // GIR_Coverage, 16583,
     /* 2090566 */     GIR_EraseRootFromParent_Done,
     /* 2090567 */   // Label 27687: @2090567
     /* 2090567 */   GIM_Try, /*On fail goto*//*Label 27688*/ GIMT_Encode4(2090658), // Rule ID 16584 //
     /* 2090572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2090575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2090583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2090586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2090589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2090592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2090595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2090602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090618 */     // MIs[0] round
     /* 2090618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090621 */     // MIs[0] policy
     /* 2090621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090631 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2090634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090657 */     // GIR_Coverage, 16584,
     /* 2090657 */     GIR_EraseRootFromParent_Done,
     /* 2090658 */   // Label 27688: @2090658
     /* 2090658 */   GIM_Try, /*On fail goto*//*Label 27689*/ GIMT_Encode4(2090749), // Rule ID 16587 //
     /* 2090663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2090666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2090674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2090677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2090680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2090683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090709 */     // MIs[0] round
     /* 2090709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090712 */     // MIs[0] policy
     /* 2090712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090722 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2090725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090748 */     // GIR_Coverage, 16587,
     /* 2090748 */     GIR_EraseRootFromParent_Done,
     /* 2090749 */   // Label 27689: @2090749
     /* 2090749 */   GIM_Try, /*On fail goto*//*Label 27690*/ GIMT_Encode4(2090840), // Rule ID 16588 //
     /* 2090754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2090757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2090765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2090768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2090771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2090774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090800 */     // MIs[0] round
     /* 2090800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090803 */     // MIs[0] policy
     /* 2090803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090813 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2090816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090839 */     // GIR_Coverage, 16588,
     /* 2090839 */     GIR_EraseRootFromParent_Done,
     /* 2090840 */   // Label 27690: @2090840
     /* 2090840 */   GIM_Try, /*On fail goto*//*Label 27691*/ GIMT_Encode4(2090931), // Rule ID 16591 //
     /* 2090845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2090848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2090856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2090859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2090862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2090865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090891 */     // MIs[0] round
     /* 2090891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090894 */     // MIs[0] policy
     /* 2090894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090904 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2090907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090930 */     // GIR_Coverage, 16591,
     /* 2090930 */     GIR_EraseRootFromParent_Done,
     /* 2090931 */   // Label 27691: @2090931
     /* 2090931 */   GIM_Try, /*On fail goto*//*Label 27692*/ GIMT_Encode4(2091022), // Rule ID 16592 //
     /* 2090936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2090939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2090944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2090947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2090950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2090953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2090956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090982 */     // MIs[0] round
     /* 2090982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090985 */     // MIs[0] policy
     /* 2090985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090995 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2090998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091021 */     // GIR_Coverage, 16592,
     /* 2091021 */     GIR_EraseRootFromParent_Done,
     /* 2091022 */   // Label 27692: @2091022
     /* 2091022 */   GIM_Try, /*On fail goto*//*Label 27693*/ GIMT_Encode4(2091113), // Rule ID 16595 //
     /* 2091027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2091030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2091038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2091041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2091044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2091047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2091057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091073 */     // MIs[0] round
     /* 2091073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091076 */     // MIs[0] policy
     /* 2091076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091086 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2091089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091112 */     // GIR_Coverage, 16595,
     /* 2091112 */     GIR_EraseRootFromParent_Done,
     /* 2091113 */   // Label 27693: @2091113
     /* 2091113 */   GIM_Try, /*On fail goto*//*Label 27694*/ GIMT_Encode4(2091204), // Rule ID 16596 //
     /* 2091118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2091121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2091129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2091132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2091135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2091138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2091148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091164 */     // MIs[0] round
     /* 2091164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091167 */     // MIs[0] policy
     /* 2091167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091177 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2091180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091203 */     // GIR_Coverage, 16596,
     /* 2091203 */     GIR_EraseRootFromParent_Done,
     /* 2091204 */   // Label 27694: @2091204
     /* 2091204 */   GIM_Try, /*On fail goto*//*Label 27695*/ GIMT_Encode4(2091295), // Rule ID 16599 //
     /* 2091209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2091212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2091220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2091223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2091226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2091229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091255 */     // MIs[0] round
     /* 2091255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091258 */     // MIs[0] policy
     /* 2091258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091268 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2091271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2091291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091294 */     // GIR_Coverage, 16599,
     /* 2091294 */     GIR_EraseRootFromParent_Done,
     /* 2091295 */   // Label 27695: @2091295
     /* 2091295 */   GIM_Try, /*On fail goto*//*Label 27696*/ GIMT_Encode4(2091386), // Rule ID 16600 //
     /* 2091300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2091303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2091311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2091314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2091317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2091320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091346 */     // MIs[0] round
     /* 2091346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091349 */     // MIs[0] policy
     /* 2091349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091359 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2091362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2091382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091385 */     // GIR_Coverage, 16600,
     /* 2091385 */     GIR_EraseRootFromParent_Done,
     /* 2091386 */   // Label 27696: @2091386
     /* 2091386 */   GIM_Try, /*On fail goto*//*Label 27697*/ GIMT_Encode4(2091477), // Rule ID 16603 //
     /* 2091391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2091394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2091402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2091405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2091408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2091411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091437 */     // MIs[0] round
     /* 2091437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091440 */     // MIs[0] policy
     /* 2091440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091450 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2091453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2091473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091476 */     // GIR_Coverage, 16603,
     /* 2091476 */     GIR_EraseRootFromParent_Done,
     /* 2091477 */   // Label 27697: @2091477
     /* 2091477 */   GIM_Try, /*On fail goto*//*Label 27698*/ GIMT_Encode4(2091568), // Rule ID 16604 //
     /* 2091482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2091485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2091493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2091496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2091499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2091502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091528 */     // MIs[0] round
     /* 2091528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091531 */     // MIs[0] policy
     /* 2091531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091541 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2091544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2091564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091567 */     // GIR_Coverage, 16604,
     /* 2091567 */     GIR_EraseRootFromParent_Done,
     /* 2091568 */   // Label 27698: @2091568
     /* 2091568 */   GIM_Try, /*On fail goto*//*Label 27699*/ GIMT_Encode4(2091659), // Rule ID 16607 //
     /* 2091573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2091576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2091584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2091587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2091590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2091593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2091603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091619 */     // MIs[0] round
     /* 2091619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091622 */     // MIs[0] policy
     /* 2091622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091632 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2091635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2091655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091658 */     // GIR_Coverage, 16607,
     /* 2091658 */     GIR_EraseRootFromParent_Done,
     /* 2091659 */   // Label 27699: @2091659
     /* 2091659 */   GIM_Try, /*On fail goto*//*Label 27700*/ GIMT_Encode4(2091750), // Rule ID 16608 //
     /* 2091664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2091667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2091675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2091678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2091681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2091684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2091694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091710 */     // MIs[0] round
     /* 2091710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091713 */     // MIs[0] policy
     /* 2091713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091723 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2091726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2091746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091749 */     // GIR_Coverage, 16608,
     /* 2091749 */     GIR_EraseRootFromParent_Done,
     /* 2091750 */   // Label 27700: @2091750
     /* 2091750 */   GIM_Try, /*On fail goto*//*Label 27701*/ GIMT_Encode4(2091841), // Rule ID 16611 //
     /* 2091755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2091758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2091766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2091769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2091772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2091775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2091797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091801 */     // MIs[0] round
     /* 2091801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091804 */     // MIs[0] policy
     /* 2091804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091814 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2091817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091840 */     // GIR_Coverage, 16611,
     /* 2091840 */     GIR_EraseRootFromParent_Done,
     /* 2091841 */   // Label 27701: @2091841
     /* 2091841 */   GIM_Try, /*On fail goto*//*Label 27702*/ GIMT_Encode4(2091932), // Rule ID 16612 //
     /* 2091846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2091849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2091857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2091860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2091863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2091866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2091888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091892 */     // MIs[0] round
     /* 2091892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091895 */     // MIs[0] policy
     /* 2091895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091905 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2091908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091931 */     // GIR_Coverage, 16612,
     /* 2091931 */     GIR_EraseRootFromParent_Done,
     /* 2091932 */   // Label 27702: @2091932
     /* 2091932 */   GIM_Try, /*On fail goto*//*Label 27703*/ GIMT_Encode4(2092023), // Rule ID 16615 //
     /* 2091937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2091940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2091945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2091948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2091951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2091954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2091957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2091979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091983 */     // MIs[0] round
     /* 2091983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091986 */     // MIs[0] policy
     /* 2091986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091996 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2091999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092022 */     // GIR_Coverage, 16615,
     /* 2092022 */     GIR_EraseRootFromParent_Done,
     /* 2092023 */   // Label 27703: @2092023
     /* 2092023 */   GIM_Try, /*On fail goto*//*Label 27704*/ GIMT_Encode4(2092114), // Rule ID 16616 //
     /* 2092028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2092031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2092039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2092042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2092045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2092048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2092070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092074 */     // MIs[0] round
     /* 2092074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092077 */     // MIs[0] policy
     /* 2092077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092087 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2092090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092113 */     // GIR_Coverage, 16616,
     /* 2092113 */     GIR_EraseRootFromParent_Done,
     /* 2092114 */   // Label 27704: @2092114
     /* 2092114 */   GIM_Try, /*On fail goto*//*Label 27705*/ GIMT_Encode4(2092205), // Rule ID 16619 //
     /* 2092119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2092122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2092130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2092133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2092136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2092161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092165 */     // MIs[0] round
     /* 2092165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092168 */     // MIs[0] policy
     /* 2092168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092178 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2092181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092204 */     // GIR_Coverage, 16619,
     /* 2092204 */     GIR_EraseRootFromParent_Done,
     /* 2092205 */   // Label 27705: @2092205
     /* 2092205 */   GIM_Try, /*On fail goto*//*Label 27706*/ GIMT_Encode4(2092296), // Rule ID 16620 //
     /* 2092210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2092213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2092221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2092224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2092227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2092252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092256 */     // MIs[0] round
     /* 2092256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092259 */     // MIs[0] policy
     /* 2092259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092269 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2092272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092295 */     // GIR_Coverage, 16620,
     /* 2092295 */     GIR_EraseRootFromParent_Done,
     /* 2092296 */   // Label 27706: @2092296
     /* 2092296 */   GIM_Try, /*On fail goto*//*Label 27707*/ GIMT_Encode4(2092387), // Rule ID 16623 //
     /* 2092301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2092304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2092312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2092315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2092318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2092321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2092343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092347 */     // MIs[0] round
     /* 2092347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092350 */     // MIs[0] policy
     /* 2092350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092360 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2092363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092386 */     // GIR_Coverage, 16623,
     /* 2092386 */     GIR_EraseRootFromParent_Done,
     /* 2092387 */   // Label 27707: @2092387
     /* 2092387 */   GIM_Try, /*On fail goto*//*Label 27708*/ GIMT_Encode4(2092478), // Rule ID 16624 //
     /* 2092392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2092395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2092403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2092406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2092409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2092412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2092434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092438 */     // MIs[0] round
     /* 2092438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092441 */     // MIs[0] policy
     /* 2092441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092451 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2092454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092477 */     // GIR_Coverage, 16624,
     /* 2092477 */     GIR_EraseRootFromParent_Done,
     /* 2092478 */   // Label 27708: @2092478
     /* 2092478 */   GIM_Try, /*On fail goto*//*Label 27709*/ GIMT_Encode4(2092569), // Rule ID 16627 //
     /* 2092483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2092486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2092494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2092497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2092500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2092525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092529 */     // MIs[0] round
     /* 2092529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092532 */     // MIs[0] policy
     /* 2092532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092542 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2092545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092568 */     // GIR_Coverage, 16627,
     /* 2092568 */     GIR_EraseRootFromParent_Done,
     /* 2092569 */   // Label 27709: @2092569
     /* 2092569 */   GIM_Try, /*On fail goto*//*Label 27710*/ GIMT_Encode4(2092660), // Rule ID 16628 //
     /* 2092574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2092577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2092585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2092588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2092591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2092616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092620 */     // MIs[0] round
     /* 2092620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092623 */     // MIs[0] policy
     /* 2092623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092633 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2092636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092659 */     // GIR_Coverage, 16628,
     /* 2092659 */     GIR_EraseRootFromParent_Done,
     /* 2092660 */   // Label 27710: @2092660
     /* 2092660 */   GIM_Try, /*On fail goto*//*Label 27711*/ GIMT_Encode4(2092751), // Rule ID 16631 //
     /* 2092665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2092668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2092676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2092679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2092682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2092685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2092707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092711 */     // MIs[0] round
     /* 2092711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092714 */     // MIs[0] policy
     /* 2092714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092724 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2092727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092750 */     // GIR_Coverage, 16631,
     /* 2092750 */     GIR_EraseRootFromParent_Done,
     /* 2092751 */   // Label 27711: @2092751
     /* 2092751 */   GIM_Try, /*On fail goto*//*Label 27712*/ GIMT_Encode4(2092842), // Rule ID 16632 //
     /* 2092756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2092759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2092767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2092770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2092773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2092776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092779 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2092798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092802 */     // MIs[0] round
     /* 2092802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092805 */     // MIs[0] policy
     /* 2092805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092815 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2092818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092841 */     // GIR_Coverage, 16632,
     /* 2092841 */     GIR_EraseRootFromParent_Done,
     /* 2092842 */   // Label 27712: @2092842
     /* 2092842 */   GIM_Try, /*On fail goto*//*Label 27713*/ GIMT_Encode4(2092933), // Rule ID 16635 //
     /* 2092847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2092850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2092858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2092861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2092864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2092867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2092889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092893 */     // MIs[0] round
     /* 2092893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092896 */     // MIs[0] policy
     /* 2092896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092906 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2092909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092932 */     // GIR_Coverage, 16635,
     /* 2092932 */     GIR_EraseRootFromParent_Done,
     /* 2092933 */   // Label 27713: @2092933
     /* 2092933 */   GIM_Try, /*On fail goto*//*Label 27714*/ GIMT_Encode4(2093024), // Rule ID 16636 //
     /* 2092938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2092941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2092946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2092949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2092952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2092955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2092958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2092980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092984 */     // MIs[0] round
     /* 2092984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092987 */     // MIs[0] policy
     /* 2092987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092997 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2093000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093023 */     // GIR_Coverage, 16636,
     /* 2093023 */     GIR_EraseRootFromParent_Done,
     /* 2093024 */   // Label 27714: @2093024
     /* 2093024 */   GIM_Try, /*On fail goto*//*Label 27715*/ GIMT_Encode4(2093115), // Rule ID 16639 //
     /* 2093029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2093032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2093040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2093043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2093046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2093052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093075 */     // MIs[0] round
     /* 2093075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093078 */     // MIs[0] policy
     /* 2093078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093088 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2093091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093114 */     // GIR_Coverage, 16639,
     /* 2093114 */     GIR_EraseRootFromParent_Done,
     /* 2093115 */   // Label 27715: @2093115
     /* 2093115 */   GIM_Try, /*On fail goto*//*Label 27716*/ GIMT_Encode4(2093206), // Rule ID 16640 //
     /* 2093120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2093123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2093131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2093134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2093137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2093143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093166 */     // MIs[0] round
     /* 2093166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093169 */     // MIs[0] policy
     /* 2093169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093179 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2093182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093205 */     // GIR_Coverage, 16640,
     /* 2093205 */     GIR_EraseRootFromParent_Done,
     /* 2093206 */   // Label 27716: @2093206
     /* 2093206 */   GIM_Try, /*On fail goto*//*Label 27717*/ GIMT_Encode4(2093297), // Rule ID 16643 //
     /* 2093211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2093214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2093222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2093225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2093228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2093234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2093241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093257 */     // MIs[0] round
     /* 2093257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093260 */     // MIs[0] policy
     /* 2093260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093270 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2093273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093296 */     // GIR_Coverage, 16643,
     /* 2093296 */     GIR_EraseRootFromParent_Done,
     /* 2093297 */   // Label 27717: @2093297
     /* 2093297 */   GIM_Try, /*On fail goto*//*Label 27718*/ GIMT_Encode4(2093388), // Rule ID 16644 //
     /* 2093302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2093305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2093313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2093316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2093319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2093325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2093332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093348 */     // MIs[0] round
     /* 2093348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093351 */     // MIs[0] policy
     /* 2093351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093361 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2093364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093387 */     // GIR_Coverage, 16644,
     /* 2093387 */     GIR_EraseRootFromParent_Done,
     /* 2093388 */   // Label 27718: @2093388
     /* 2093388 */   GIM_Try, /*On fail goto*//*Label 27719*/ GIMT_Encode4(2093479), // Rule ID 16647 //
     /* 2093393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2093396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2093404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2093407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2093410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093439 */     // MIs[0] round
     /* 2093439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093442 */     // MIs[0] policy
     /* 2093442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093452 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2093455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093478 */     // GIR_Coverage, 16647,
     /* 2093478 */     GIR_EraseRootFromParent_Done,
     /* 2093479 */   // Label 27719: @2093479
     /* 2093479 */   GIM_Try, /*On fail goto*//*Label 27720*/ GIMT_Encode4(2093570), // Rule ID 16648 //
     /* 2093484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2093487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2093495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2093498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2093501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093530 */     // MIs[0] round
     /* 2093530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093533 */     // MIs[0] policy
     /* 2093533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093543 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2093546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093569 */     // GIR_Coverage, 16648,
     /* 2093569 */     GIR_EraseRootFromParent_Done,
     /* 2093570 */   // Label 27720: @2093570
     /* 2093570 */   GIM_Try, /*On fail goto*//*Label 27721*/ GIMT_Encode4(2093661), // Rule ID 16651 //
     /* 2093575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2093578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2093586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2093589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2093592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093621 */     // MIs[0] round
     /* 2093621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093624 */     // MIs[0] policy
     /* 2093624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093634 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2093637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093660 */     // GIR_Coverage, 16651,
     /* 2093660 */     GIR_EraseRootFromParent_Done,
     /* 2093661 */   // Label 27721: @2093661
     /* 2093661 */   GIM_Try, /*On fail goto*//*Label 27722*/ GIMT_Encode4(2093752), // Rule ID 16652 //
     /* 2093666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2093669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2093677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2093680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2093683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093712 */     // MIs[0] round
     /* 2093712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093715 */     // MIs[0] policy
     /* 2093715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093725 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2093728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093751 */     // GIR_Coverage, 16652,
     /* 2093751 */     GIR_EraseRootFromParent_Done,
     /* 2093752 */   // Label 27722: @2093752
     /* 2093752 */   GIM_Try, /*On fail goto*//*Label 27723*/ GIMT_Encode4(2093843), // Rule ID 16655 //
     /* 2093757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2093760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2093768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2093771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2093774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2093780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2093787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093803 */     // MIs[0] round
     /* 2093803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093806 */     // MIs[0] policy
     /* 2093806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093816 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2093819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093842 */     // GIR_Coverage, 16655,
     /* 2093842 */     GIR_EraseRootFromParent_Done,
     /* 2093843 */   // Label 27723: @2093843
     /* 2093843 */   GIM_Try, /*On fail goto*//*Label 27724*/ GIMT_Encode4(2093934), // Rule ID 16656 //
     /* 2093848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2093851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2093859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2093862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2093865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2093871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2093878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093894 */     // MIs[0] round
     /* 2093894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093897 */     // MIs[0] policy
     /* 2093897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093907 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2093910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093933 */     // GIR_Coverage, 16656,
     /* 2093933 */     GIR_EraseRootFromParent_Done,
     /* 2093934 */   // Label 27724: @2093934
     /* 2093934 */   GIM_Try, /*On fail goto*//*Label 27725*/ GIMT_Encode4(2094025), // Rule ID 16659 //
     /* 2093939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2093942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2093947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2093950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2093953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2093956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2093981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093985 */     // MIs[0] round
     /* 2093985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093988 */     // MIs[0] policy
     /* 2093988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093998 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2094001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094024 */     // GIR_Coverage, 16659,
     /* 2094024 */     GIR_EraseRootFromParent_Done,
     /* 2094025 */   // Label 27725: @2094025
     /* 2094025 */   GIM_Try, /*On fail goto*//*Label 27726*/ GIMT_Encode4(2094116), // Rule ID 16660 //
     /* 2094030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2094033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2094041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2094044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2094047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2094053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2094072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094076 */     // MIs[0] round
     /* 2094076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094079 */     // MIs[0] policy
     /* 2094079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094089 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2094092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094115 */     // GIR_Coverage, 16660,
     /* 2094115 */     GIR_EraseRootFromParent_Done,
     /* 2094116 */   // Label 27726: @2094116
     /* 2094116 */   GIM_Try, /*On fail goto*//*Label 27727*/ GIMT_Encode4(2094207), // Rule ID 16663 //
     /* 2094121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2094124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2094132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2094135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2094138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2094163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094167 */     // MIs[0] round
     /* 2094167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094170 */     // MIs[0] policy
     /* 2094170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094180 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2094183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094206 */     // GIR_Coverage, 16663,
     /* 2094206 */     GIR_EraseRootFromParent_Done,
     /* 2094207 */   // Label 27727: @2094207
     /* 2094207 */   GIM_Try, /*On fail goto*//*Label 27728*/ GIMT_Encode4(2094298), // Rule ID 16664 //
     /* 2094212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2094215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2094223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2094226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2094229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2094254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094258 */     // MIs[0] round
     /* 2094258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094261 */     // MIs[0] policy
     /* 2094261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094271 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2094274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094297 */     // GIR_Coverage, 16664,
     /* 2094297 */     GIR_EraseRootFromParent_Done,
     /* 2094298 */   // Label 27728: @2094298
     /* 2094298 */   GIM_Try, /*On fail goto*//*Label 27729*/ GIMT_Encode4(2094389), // Rule ID 16667 //
     /* 2094303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2094306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2094314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2094317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2094320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2094333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2094345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094349 */     // MIs[0] round
     /* 2094349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094352 */     // MIs[0] policy
     /* 2094352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094362 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2094365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094388 */     // GIR_Coverage, 16667,
     /* 2094388 */     GIR_EraseRootFromParent_Done,
     /* 2094389 */   // Label 27729: @2094389
     /* 2094389 */   GIM_Try, /*On fail goto*//*Label 27730*/ GIMT_Encode4(2094480), // Rule ID 16668 //
     /* 2094394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2094397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2094402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2094405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2094408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2094411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2094424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2094436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094440 */     // MIs[0] round
     /* 2094440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094443 */     // MIs[0] policy
     /* 2094443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094453 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2094456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094479 */     // GIR_Coverage, 16668,
     /* 2094479 */     GIR_EraseRootFromParent_Done,
     /* 2094480 */   // Label 27730: @2094480
     /* 2094480 */   GIM_Try, /*On fail goto*//*Label 27731*/ GIMT_Encode4(2094571), // Rule ID 16671 //
     /* 2094485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2094488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2094493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2094496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2094499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2094502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2094505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2094508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094531 */     // MIs[0] round
     /* 2094531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094534 */     // MIs[0] policy
     /* 2094534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094544 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2094547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094570 */     // GIR_Coverage, 16671,
     /* 2094570 */     GIR_EraseRootFromParent_Done,
     /* 2094571 */   // Label 27731: @2094571
     /* 2094571 */   GIM_Try, /*On fail goto*//*Label 27732*/ GIMT_Encode4(2094662), // Rule ID 16672 //
     /* 2094576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2094579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2094584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2094587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2094590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2094593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2094596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2094599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094622 */     // MIs[0] round
     /* 2094622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094625 */     // MIs[0] policy
     /* 2094625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094635 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2094638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094661 */     // GIR_Coverage, 16672,
     /* 2094661 */     GIR_EraseRootFromParent_Done,
     /* 2094662 */   // Label 27732: @2094662
     /* 2094662 */   GIM_Try, /*On fail goto*//*Label 27733*/ GIMT_Encode4(2094753), // Rule ID 16675 //
     /* 2094667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2094670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2094675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2094678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2094681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2094684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2094687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2094690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094713 */     // MIs[0] round
     /* 2094713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094716 */     // MIs[0] policy
     /* 2094716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094726 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2094729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094752 */     // GIR_Coverage, 16675,
     /* 2094752 */     GIR_EraseRootFromParent_Done,
     /* 2094753 */   // Label 27733: @2094753
     /* 2094753 */   GIM_Try, /*On fail goto*//*Label 27734*/ GIMT_Encode4(2094844), // Rule ID 16676 //
     /* 2094758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2094761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2094766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2094769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2094772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2094775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2094778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2094781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094804 */     // MIs[0] round
     /* 2094804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094807 */     // MIs[0] policy
     /* 2094807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094817 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2094820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094843 */     // GIR_Coverage, 16676,
     /* 2094843 */     GIR_EraseRootFromParent_Done,
     /* 2094844 */   // Label 27734: @2094844
     /* 2094844 */   GIM_Try, /*On fail goto*//*Label 27735*/ GIMT_Encode4(2094935), // Rule ID 16679 //
     /* 2094849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2094852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2094857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2094860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2094863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2094866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2094869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2094872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094895 */     // MIs[0] round
     /* 2094895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094898 */     // MIs[0] policy
     /* 2094898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094908 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2094911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094934 */     // GIR_Coverage, 16679,
     /* 2094934 */     GIR_EraseRootFromParent_Done,
     /* 2094935 */   // Label 27735: @2094935
     /* 2094935 */   GIM_Try, /*On fail goto*//*Label 27736*/ GIMT_Encode4(2095026), // Rule ID 16680 //
     /* 2094940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2094943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2094948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2094951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2094954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2094957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2094960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2094963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094986 */     // MIs[0] round
     /* 2094986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094989 */     // MIs[0] policy
     /* 2094989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094999 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2095002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095025 */     // GIR_Coverage, 16680,
     /* 2095025 */     GIR_EraseRootFromParent_Done,
     /* 2095026 */   // Label 27736: @2095026
     /* 2095026 */   GIM_Try, /*On fail goto*//*Label 27737*/ GIMT_Encode4(2095117), // Rule ID 16683 //
     /* 2095031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2095034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2095042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2095045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2095048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2095051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095077 */     // MIs[0] round
     /* 2095077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095080 */     // MIs[0] policy
     /* 2095080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095090 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2095093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095116 */     // GIR_Coverage, 16683,
     /* 2095116 */     GIR_EraseRootFromParent_Done,
     /* 2095117 */   // Label 27737: @2095117
     /* 2095117 */   GIM_Try, /*On fail goto*//*Label 27738*/ GIMT_Encode4(2095208), // Rule ID 16684 //
     /* 2095122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2095125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2095133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2095136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2095139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2095142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095168 */     // MIs[0] round
     /* 2095168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095171 */     // MIs[0] policy
     /* 2095171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095181 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2095184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095207 */     // GIR_Coverage, 16684,
     /* 2095207 */     GIR_EraseRootFromParent_Done,
     /* 2095208 */   // Label 27738: @2095208
     /* 2095208 */   GIM_Try, /*On fail goto*//*Label 27739*/ GIMT_Encode4(2095299), // Rule ID 16687 //
     /* 2095213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2095216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2095224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2095227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2095230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2095233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095259 */     // MIs[0] round
     /* 2095259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095262 */     // MIs[0] policy
     /* 2095262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095272 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2095275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095298 */     // GIR_Coverage, 16687,
     /* 2095298 */     GIR_EraseRootFromParent_Done,
     /* 2095299 */   // Label 27739: @2095299
     /* 2095299 */   GIM_Try, /*On fail goto*//*Label 27740*/ GIMT_Encode4(2095390), // Rule ID 16688 //
     /* 2095304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2095307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2095315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2095318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2095321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2095324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095350 */     // MIs[0] round
     /* 2095350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095353 */     // MIs[0] policy
     /* 2095353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095363 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2095366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095389 */     // GIR_Coverage, 16688,
     /* 2095389 */     GIR_EraseRootFromParent_Done,
     /* 2095390 */   // Label 27740: @2095390
     /* 2095390 */   GIM_Try, /*On fail goto*//*Label 27741*/ GIMT_Encode4(2095481), // Rule ID 16691 //
     /* 2095395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2095398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2095406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2095409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2095412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2095415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095441 */     // MIs[0] round
     /* 2095441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095444 */     // MIs[0] policy
     /* 2095444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095454 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2095457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095480 */     // GIR_Coverage, 16691,
     /* 2095480 */     GIR_EraseRootFromParent_Done,
     /* 2095481 */   // Label 27741: @2095481
     /* 2095481 */   GIM_Try, /*On fail goto*//*Label 27742*/ GIMT_Encode4(2095572), // Rule ID 16692 //
     /* 2095486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2095489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2095497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2095500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2095503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2095506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095532 */     // MIs[0] round
     /* 2095532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095535 */     // MIs[0] policy
     /* 2095535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095545 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2095548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095571 */     // GIR_Coverage, 16692,
     /* 2095571 */     GIR_EraseRootFromParent_Done,
     /* 2095572 */   // Label 27742: @2095572
     /* 2095572 */   GIM_Try, /*On fail goto*//*Label 27743*/ GIMT_Encode4(2095663), // Rule ID 16695 //
     /* 2095577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2095580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2095588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2095591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2095594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2095597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095623 */     // MIs[0] round
     /* 2095623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095626 */     // MIs[0] policy
     /* 2095626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095636 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2095639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095662 */     // GIR_Coverage, 16695,
     /* 2095662 */     GIR_EraseRootFromParent_Done,
     /* 2095663 */   // Label 27743: @2095663
     /* 2095663 */   GIM_Try, /*On fail goto*//*Label 27744*/ GIMT_Encode4(2095754), // Rule ID 16696 //
     /* 2095668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2095671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2095679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2095682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2095685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2095688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095714 */     // MIs[0] round
     /* 2095714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095717 */     // MIs[0] policy
     /* 2095717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095727 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2095730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095753 */     // GIR_Coverage, 16696,
     /* 2095753 */     GIR_EraseRootFromParent_Done,
     /* 2095754 */   // Label 27744: @2095754
     /* 2095754 */   GIM_Try, /*On fail goto*//*Label 27745*/ GIMT_Encode4(2095845), // Rule ID 16699 //
     /* 2095759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2095762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2095770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2095773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2095776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2095779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2095782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095805 */     // MIs[0] round
     /* 2095805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095808 */     // MIs[0] policy
     /* 2095808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095818 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2095821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095844 */     // GIR_Coverage, 16699,
     /* 2095844 */     GIR_EraseRootFromParent_Done,
     /* 2095845 */   // Label 27745: @2095845
     /* 2095845 */   GIM_Try, /*On fail goto*//*Label 27746*/ GIMT_Encode4(2095936), // Rule ID 16700 //
     /* 2095850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2095853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2095861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2095864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2095867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2095870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2095873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095896 */     // MIs[0] round
     /* 2095896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095899 */     // MIs[0] policy
     /* 2095899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095909 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2095912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095935 */     // GIR_Coverage, 16700,
     /* 2095935 */     GIR_EraseRootFromParent_Done,
     /* 2095936 */   // Label 27746: @2095936
     /* 2095936 */   GIM_Try, /*On fail goto*//*Label 27747*/ GIMT_Encode4(2096027), // Rule ID 16703 //
     /* 2095941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2095944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2095952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2095955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2095958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2095961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2095964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2095971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095987 */     // MIs[0] round
     /* 2095987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095990 */     // MIs[0] policy
     /* 2095990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096000 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2096003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096026 */     // GIR_Coverage, 16703,
     /* 2096026 */     GIR_EraseRootFromParent_Done,
     /* 2096027 */   // Label 27747: @2096027
     /* 2096027 */   GIM_Try, /*On fail goto*//*Label 27748*/ GIMT_Encode4(2096118), // Rule ID 16704 //
     /* 2096032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2096035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2096043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2096046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2096049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2096052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2096055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2096062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096078 */     // MIs[0] round
     /* 2096078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096081 */     // MIs[0] policy
     /* 2096081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096091 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2096094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096117 */     // GIR_Coverage, 16704,
     /* 2096117 */     GIR_EraseRootFromParent_Done,
     /* 2096118 */   // Label 27748: @2096118
     /* 2096118 */   GIM_Try, /*On fail goto*//*Label 27749*/ GIMT_Encode4(2096209), // Rule ID 16707 //
     /* 2096123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2096126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2096134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2096137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2096140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2096143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096169 */     // MIs[0] round
     /* 2096169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096172 */     // MIs[0] policy
     /* 2096172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096182 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2096185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096208 */     // GIR_Coverage, 16707,
     /* 2096208 */     GIR_EraseRootFromParent_Done,
     /* 2096209 */   // Label 27749: @2096209
     /* 2096209 */   GIM_Try, /*On fail goto*//*Label 27750*/ GIMT_Encode4(2096300), // Rule ID 16708 //
     /* 2096214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2096217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2096225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2096228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2096231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2096234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096260 */     // MIs[0] round
     /* 2096260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096263 */     // MIs[0] policy
     /* 2096263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096273 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2096276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096299 */     // GIR_Coverage, 16708,
     /* 2096299 */     GIR_EraseRootFromParent_Done,
     /* 2096300 */   // Label 27750: @2096300
     /* 2096300 */   GIM_Try, /*On fail goto*//*Label 27751*/ GIMT_Encode4(2096391), // Rule ID 16711 //
     /* 2096305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2096308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2096316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2096319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2096322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2096325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2096335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096351 */     // MIs[0] round
     /* 2096351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096354 */     // MIs[0] policy
     /* 2096354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096364 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2096367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096390 */     // GIR_Coverage, 16711,
     /* 2096390 */     GIR_EraseRootFromParent_Done,
     /* 2096391 */   // Label 27751: @2096391
     /* 2096391 */   GIM_Try, /*On fail goto*//*Label 27752*/ GIMT_Encode4(2096482), // Rule ID 16712 //
     /* 2096396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2096399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2096407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2096410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2096413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2096416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2096426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096442 */     // MIs[0] round
     /* 2096442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096445 */     // MIs[0] policy
     /* 2096445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096455 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2096458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096481 */     // GIR_Coverage, 16712,
     /* 2096481 */     GIR_EraseRootFromParent_Done,
     /* 2096482 */   // Label 27752: @2096482
     /* 2096482 */   GIM_Try, /*On fail goto*//*Label 27753*/ GIMT_Encode4(2096573), // Rule ID 16715 //
     /* 2096487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2096490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2096498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2096501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2096504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2096507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2096510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2096517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096533 */     // MIs[0] round
     /* 2096533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096536 */     // MIs[0] policy
     /* 2096536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096546 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2096549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096572 */     // GIR_Coverage, 16715,
     /* 2096572 */     GIR_EraseRootFromParent_Done,
     /* 2096573 */   // Label 27753: @2096573
     /* 2096573 */   GIM_Try, /*On fail goto*//*Label 27754*/ GIMT_Encode4(2096664), // Rule ID 16716 //
     /* 2096578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2096581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2096589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2096592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2096595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2096598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2096601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2096608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096624 */     // MIs[0] round
     /* 2096624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096627 */     // MIs[0] policy
     /* 2096627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096637 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2096640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096663 */     // GIR_Coverage, 16716,
     /* 2096663 */     GIR_EraseRootFromParent_Done,
     /* 2096664 */   // Label 27754: @2096664
     /* 2096664 */   GIM_Try, /*On fail goto*//*Label 27755*/ GIMT_Encode4(2096755), // Rule ID 16719 //
     /* 2096669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2096672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2096680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2096683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2096686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2096689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096715 */     // MIs[0] round
     /* 2096715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096718 */     // MIs[0] policy
     /* 2096718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096728 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2096731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2096751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096754 */     // GIR_Coverage, 16719,
     /* 2096754 */     GIR_EraseRootFromParent_Done,
     /* 2096755 */   // Label 27755: @2096755
     /* 2096755 */   GIM_Try, /*On fail goto*//*Label 27756*/ GIMT_Encode4(2096846), // Rule ID 16720 //
     /* 2096760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2096763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2096771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2096774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2096777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2096780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096806 */     // MIs[0] round
     /* 2096806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096809 */     // MIs[0] policy
     /* 2096809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096819 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2096822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2096842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096845 */     // GIR_Coverage, 16720,
     /* 2096845 */     GIR_EraseRootFromParent_Done,
     /* 2096846 */   // Label 27756: @2096846
     /* 2096846 */   GIM_Try, /*On fail goto*//*Label 27757*/ GIMT_Encode4(2096937), // Rule ID 16723 //
     /* 2096851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2096854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2096862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2096865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2096868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2096871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2096881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096897 */     // MIs[0] round
     /* 2096897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096900 */     // MIs[0] policy
     /* 2096900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096910 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2096913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2096933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096936 */     // GIR_Coverage, 16723,
     /* 2096936 */     GIR_EraseRootFromParent_Done,
     /* 2096937 */   // Label 27757: @2096937
     /* 2096937 */   GIM_Try, /*On fail goto*//*Label 27758*/ GIMT_Encode4(2097028), // Rule ID 16724 //
     /* 2096942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2096945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2096950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2096953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2096956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2096959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2096962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2096972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096988 */     // MIs[0] round
     /* 2096988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096991 */     // MIs[0] policy
     /* 2096991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097001 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2097004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097027 */     // GIR_Coverage, 16724,
     /* 2097027 */     GIR_EraseRootFromParent_Done,
     /* 2097028 */   // Label 27758: @2097028
     /* 2097028 */   GIM_Try, /*On fail goto*//*Label 27759*/ GIMT_Encode4(2097119), // Rule ID 16727 //
     /* 2097033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2097036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2097044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2097047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2097050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2097053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097079 */     // MIs[0] round
     /* 2097079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097082 */     // MIs[0] policy
     /* 2097082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097092 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2097095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097118 */     // GIR_Coverage, 16727,
     /* 2097118 */     GIR_EraseRootFromParent_Done,
     /* 2097119 */   // Label 27759: @2097119
     /* 2097119 */   GIM_Try, /*On fail goto*//*Label 27760*/ GIMT_Encode4(2097210), // Rule ID 16728 //
     /* 2097124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2097127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2097135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2097138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2097141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2097144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097170 */     // MIs[0] round
     /* 2097170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097173 */     // MIs[0] policy
     /* 2097173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097183 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2097186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097209 */     // GIR_Coverage, 16728,
     /* 2097209 */     GIR_EraseRootFromParent_Done,
     /* 2097210 */   // Label 27760: @2097210
     /* 2097210 */   GIM_Try, /*On fail goto*//*Label 27761*/ GIMT_Encode4(2097301), // Rule ID 16731 //
     /* 2097215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2097218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2097226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2097229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2097232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2097235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2097257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097261 */     // MIs[0] round
     /* 2097261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097264 */     // MIs[0] policy
     /* 2097264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097274 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2097277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097300 */     // GIR_Coverage, 16731,
     /* 2097300 */     GIR_EraseRootFromParent_Done,
     /* 2097301 */   // Label 27761: @2097301
     /* 2097301 */   GIM_Try, /*On fail goto*//*Label 27762*/ GIMT_Encode4(2097392), // Rule ID 16732 //
     /* 2097306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2097309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2097317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2097320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2097323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2097326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2097348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097352 */     // MIs[0] round
     /* 2097352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097355 */     // MIs[0] policy
     /* 2097355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097365 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2097368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097391 */     // GIR_Coverage, 16732,
     /* 2097391 */     GIR_EraseRootFromParent_Done,
     /* 2097392 */   // Label 27762: @2097392
     /* 2097392 */   GIM_Try, /*On fail goto*//*Label 27763*/ GIMT_Encode4(2097483), // Rule ID 16735 //
     /* 2097397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2097400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2097408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2097411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2097414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2097417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2097439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097443 */     // MIs[0] round
     /* 2097443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097446 */     // MIs[0] policy
     /* 2097446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097456 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2097459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097482 */     // GIR_Coverage, 16735,
     /* 2097482 */     GIR_EraseRootFromParent_Done,
     /* 2097483 */   // Label 27763: @2097483
     /* 2097483 */   GIM_Try, /*On fail goto*//*Label 27764*/ GIMT_Encode4(2097574), // Rule ID 16736 //
     /* 2097488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2097491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2097499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2097502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2097505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2097508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2097530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097534 */     // MIs[0] round
     /* 2097534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097537 */     // MIs[0] policy
     /* 2097537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097547 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2097550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097573 */     // GIR_Coverage, 16736,
     /* 2097573 */     GIR_EraseRootFromParent_Done,
     /* 2097574 */   // Label 27764: @2097574
     /* 2097574 */   GIM_Try, /*On fail goto*//*Label 27765*/ GIMT_Encode4(2097665), // Rule ID 16739 //
     /* 2097579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2097582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2097590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2097593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2097596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2097599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2097621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097625 */     // MIs[0] round
     /* 2097625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097628 */     // MIs[0] policy
     /* 2097628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097638 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2097641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097664 */     // GIR_Coverage, 16739,
     /* 2097664 */     GIR_EraseRootFromParent_Done,
     /* 2097665 */   // Label 27765: @2097665
     /* 2097665 */   GIM_Try, /*On fail goto*//*Label 27766*/ GIMT_Encode4(2097756), // Rule ID 16740 //
     /* 2097670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2097673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2097681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2097684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2097687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2097690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2097712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097716 */     // MIs[0] round
     /* 2097716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097719 */     // MIs[0] policy
     /* 2097719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097729 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2097732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097755 */     // GIR_Coverage, 16740,
     /* 2097755 */     GIR_EraseRootFromParent_Done,
     /* 2097756 */   // Label 27766: @2097756
     /* 2097756 */   GIM_Try, /*On fail goto*//*Label 27767*/ GIMT_Encode4(2097847), // Rule ID 16743 //
     /* 2097761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2097764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2097772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2097775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2097778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2097781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2097784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2097803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097807 */     // MIs[0] round
     /* 2097807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097810 */     // MIs[0] policy
     /* 2097810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097820 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2097823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097846 */     // GIR_Coverage, 16743,
     /* 2097846 */     GIR_EraseRootFromParent_Done,
     /* 2097847 */   // Label 27767: @2097847
     /* 2097847 */   GIM_Try, /*On fail goto*//*Label 27768*/ GIMT_Encode4(2097938), // Rule ID 16744 //
     /* 2097852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2097855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2097863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2097866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2097869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2097872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2097875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2097894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097898 */     // MIs[0] round
     /* 2097898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097901 */     // MIs[0] policy
     /* 2097901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097911 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2097914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097937 */     // GIR_Coverage, 16744,
     /* 2097937 */     GIR_EraseRootFromParent_Done,
     /* 2097938 */   // Label 27768: @2097938
     /* 2097938 */   GIM_Try, /*On fail goto*//*Label 27769*/ GIMT_Encode4(2098029), // Rule ID 16747 //
     /* 2097943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2097946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2097951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2097954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2097957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2097960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2097963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2097985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097989 */     // MIs[0] round
     /* 2097989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097992 */     // MIs[0] policy
     /* 2097992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098002 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2098005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098028 */     // GIR_Coverage, 16747,
     /* 2098028 */     GIR_EraseRootFromParent_Done,
     /* 2098029 */   // Label 27769: @2098029
     /* 2098029 */   GIM_Try, /*On fail goto*//*Label 27770*/ GIMT_Encode4(2098120), // Rule ID 16748 //
     /* 2098034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2098037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2098045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2098048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2098051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2098057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2098076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098080 */     // MIs[0] round
     /* 2098080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098083 */     // MIs[0] policy
     /* 2098083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098093 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2098096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098119 */     // GIR_Coverage, 16748,
     /* 2098119 */     GIR_EraseRootFromParent_Done,
     /* 2098120 */   // Label 27770: @2098120
     /* 2098120 */   GIM_Try, /*On fail goto*//*Label 27771*/ GIMT_Encode4(2098211), // Rule ID 16751 //
     /* 2098125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2098128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2098136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2098139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2098142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2098145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2098167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098171 */     // MIs[0] round
     /* 2098171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098174 */     // MIs[0] policy
     /* 2098174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098184 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2098187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098210 */     // GIR_Coverage, 16751,
     /* 2098210 */     GIR_EraseRootFromParent_Done,
     /* 2098211 */   // Label 27771: @2098211
     /* 2098211 */   GIM_Try, /*On fail goto*//*Label 27772*/ GIMT_Encode4(2098302), // Rule ID 16752 //
     /* 2098216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2098219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2098227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2098230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2098233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2098236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2098258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098262 */     // MIs[0] round
     /* 2098262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098265 */     // MIs[0] policy
     /* 2098265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098275 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2098278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2098298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098301 */     // GIR_Coverage, 16752,
     /* 2098301 */     GIR_EraseRootFromParent_Done,
     /* 2098302 */   // Label 27772: @2098302
     /* 2098302 */   GIM_Try, /*On fail goto*//*Label 27773*/ GIMT_Encode4(2098393), // Rule ID 16755 //
     /* 2098307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2098310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2098318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2098321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2098324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098353 */     // MIs[0] round
     /* 2098353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098356 */     // MIs[0] policy
     /* 2098356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098366 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2098369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098392 */     // GIR_Coverage, 16755,
     /* 2098392 */     GIR_EraseRootFromParent_Done,
     /* 2098393 */   // Label 27773: @2098393
     /* 2098393 */   GIM_Try, /*On fail goto*//*Label 27774*/ GIMT_Encode4(2098484), // Rule ID 16756 //
     /* 2098398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2098401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2098409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2098412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2098415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098444 */     // MIs[0] round
     /* 2098444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098447 */     // MIs[0] policy
     /* 2098447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098457 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2098460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098483 */     // GIR_Coverage, 16756,
     /* 2098483 */     GIR_EraseRootFromParent_Done,
     /* 2098484 */   // Label 27774: @2098484
     /* 2098484 */   GIM_Try, /*On fail goto*//*Label 27775*/ GIMT_Encode4(2098575), // Rule ID 16759 //
     /* 2098489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2098492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2098500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2098503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2098506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2098512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098535 */     // MIs[0] round
     /* 2098535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098538 */     // MIs[0] policy
     /* 2098538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098548 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2098551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098574 */     // GIR_Coverage, 16759,
     /* 2098574 */     GIR_EraseRootFromParent_Done,
     /* 2098575 */   // Label 27775: @2098575
     /* 2098575 */   GIM_Try, /*On fail goto*//*Label 27776*/ GIMT_Encode4(2098666), // Rule ID 16760 //
     /* 2098580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2098583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2098591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2098594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2098597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2098603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098626 */     // MIs[0] round
     /* 2098626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098629 */     // MIs[0] policy
     /* 2098629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098639 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2098642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098665 */     // GIR_Coverage, 16760,
     /* 2098665 */     GIR_EraseRootFromParent_Done,
     /* 2098666 */   // Label 27776: @2098666
     /* 2098666 */   GIM_Try, /*On fail goto*//*Label 27777*/ GIMT_Encode4(2098757), // Rule ID 16763 //
     /* 2098671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2098674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2098682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2098685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2098688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2098694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2098701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098717 */     // MIs[0] round
     /* 2098717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098720 */     // MIs[0] policy
     /* 2098720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098730 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2098733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098756 */     // GIR_Coverage, 16763,
     /* 2098756 */     GIR_EraseRootFromParent_Done,
     /* 2098757 */   // Label 27777: @2098757
     /* 2098757 */   GIM_Try, /*On fail goto*//*Label 27778*/ GIMT_Encode4(2098848), // Rule ID 16764 //
     /* 2098762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2098765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2098773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2098776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2098779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2098782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2098785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2098792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2098804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098808 */     // MIs[0] round
     /* 2098808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098811 */     // MIs[0] policy
     /* 2098811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098821 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2098824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098847 */     // GIR_Coverage, 16764,
     /* 2098847 */     GIR_EraseRootFromParent_Done,
     /* 2098848 */   // Label 27778: @2098848
     /* 2098848 */   GIM_Try, /*On fail goto*//*Label 27779*/ GIMT_Encode4(2098939), // Rule ID 16767 //
     /* 2098853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2098856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2098864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2098867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2098870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2098895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098899 */     // MIs[0] round
     /* 2098899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098902 */     // MIs[0] policy
     /* 2098902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098912 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2098915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098938 */     // GIR_Coverage, 16767,
     /* 2098938 */     GIR_EraseRootFromParent_Done,
     /* 2098939 */   // Label 27779: @2098939
     /* 2098939 */   GIM_Try, /*On fail goto*//*Label 27780*/ GIMT_Encode4(2099030), // Rule ID 16768 //
     /* 2098944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2098947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2098952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2098955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2098958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2098961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2098986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098990 */     // MIs[0] round
     /* 2098990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098993 */     // MIs[0] policy
     /* 2098993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099003 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2099006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099029 */     // GIR_Coverage, 16768,
     /* 2099029 */     GIR_EraseRootFromParent_Done,
     /* 2099030 */   // Label 27780: @2099030
     /* 2099030 */   GIM_Try, /*On fail goto*//*Label 27781*/ GIMT_Encode4(2099121), // Rule ID 16771 //
     /* 2099035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2099038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2099046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2099049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2099052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099081 */     // MIs[0] round
     /* 2099081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099084 */     // MIs[0] policy
     /* 2099084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099094 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2099097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099120 */     // GIR_Coverage, 16771,
     /* 2099120 */     GIR_EraseRootFromParent_Done,
     /* 2099121 */   // Label 27781: @2099121
     /* 2099121 */   GIM_Try, /*On fail goto*//*Label 27782*/ GIMT_Encode4(2099212), // Rule ID 16772 //
     /* 2099126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2099129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2099137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2099140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2099143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099172 */     // MIs[0] round
     /* 2099172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099175 */     // MIs[0] policy
     /* 2099175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099185 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2099188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099211 */     // GIR_Coverage, 16772,
     /* 2099211 */     GIR_EraseRootFromParent_Done,
     /* 2099212 */   // Label 27782: @2099212
     /* 2099212 */   GIM_Try, /*On fail goto*//*Label 27783*/ GIMT_Encode4(2099303), // Rule ID 16775 //
     /* 2099217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2099220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2099228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2099231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2099234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2099240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2099247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099263 */     // MIs[0] round
     /* 2099263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099266 */     // MIs[0] policy
     /* 2099266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099276 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2099279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099302 */     // GIR_Coverage, 16775,
     /* 2099302 */     GIR_EraseRootFromParent_Done,
     /* 2099303 */   // Label 27783: @2099303
     /* 2099303 */   GIM_Try, /*On fail goto*//*Label 27784*/ GIMT_Encode4(2099394), // Rule ID 16776 //
     /* 2099308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2099311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2099319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2099322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2099325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2099331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2099338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2099350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099354 */     // MIs[0] round
     /* 2099354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099357 */     // MIs[0] policy
     /* 2099357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099367 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2099370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099393 */     // GIR_Coverage, 16776,
     /* 2099393 */     GIR_EraseRootFromParent_Done,
     /* 2099394 */   // Label 27784: @2099394
     /* 2099394 */   GIM_Try, /*On fail goto*//*Label 27785*/ GIMT_Encode4(2099485), // Rule ID 16779 //
     /* 2099399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2099402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2099410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2099413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2099416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2099441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099445 */     // MIs[0] round
     /* 2099445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099448 */     // MIs[0] policy
     /* 2099448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099458 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2099461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099484 */     // GIR_Coverage, 16779,
     /* 2099484 */     GIR_EraseRootFromParent_Done,
     /* 2099485 */   // Label 27785: @2099485
     /* 2099485 */   GIM_Try, /*On fail goto*//*Label 27786*/ GIMT_Encode4(2099576), // Rule ID 16780 //
     /* 2099490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2099493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2099501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2099504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2099507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2099532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099536 */     // MIs[0] round
     /* 2099536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099539 */     // MIs[0] policy
     /* 2099539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099549 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2099552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099575 */     // GIR_Coverage, 16780,
     /* 2099575 */     GIR_EraseRootFromParent_Done,
     /* 2099576 */   // Label 27786: @2099576
     /* 2099576 */   GIM_Try, /*On fail goto*//*Label 27787*/ GIMT_Encode4(2099667), // Rule ID 16783 //
     /* 2099581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2099584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2099592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2099595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2099598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2099623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099627 */     // MIs[0] round
     /* 2099627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099630 */     // MIs[0] policy
     /* 2099630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099640 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2099643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099666 */     // GIR_Coverage, 16783,
     /* 2099666 */     GIR_EraseRootFromParent_Done,
     /* 2099667 */   // Label 27787: @2099667
     /* 2099667 */   GIM_Try, /*On fail goto*//*Label 27788*/ GIMT_Encode4(2099758), // Rule ID 16784 //
     /* 2099672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2099675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2099683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2099686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2099689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2099714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099718 */     // MIs[0] round
     /* 2099718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099721 */     // MIs[0] policy
     /* 2099721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099731 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2099734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099757 */     // GIR_Coverage, 16784,
     /* 2099757 */     GIR_EraseRootFromParent_Done,
     /* 2099758 */   // Label 27788: @2099758
     /* 2099758 */   GIM_Try, /*On fail goto*//*Label 27789*/ GIMT_Encode4(2099849), // Rule ID 16787 //
     /* 2099763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2099766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2099774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2099777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2099780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2099793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2099805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099809 */     // MIs[0] round
     /* 2099809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099812 */     // MIs[0] policy
     /* 2099812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099822 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2099825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099848 */     // GIR_Coverage, 16787,
     /* 2099848 */     GIR_EraseRootFromParent_Done,
     /* 2099849 */   // Label 27789: @2099849
     /* 2099849 */   GIM_Try, /*On fail goto*//*Label 27790*/ GIMT_Encode4(2099940), // Rule ID 16788 //
     /* 2099854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2099857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2099862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2099865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2099868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2099871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2099884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2099896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099900 */     // MIs[0] round
     /* 2099900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099903 */     // MIs[0] policy
     /* 2099903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099913 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2099916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2099936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099939 */     // GIR_Coverage, 16788,
     /* 2099939 */     GIR_EraseRootFromParent_Done,
     /* 2099940 */   // Label 27790: @2099940
     /* 2099940 */   GIM_Try, /*On fail goto*//*Label 27791*/ GIMT_Encode4(2100031), // Rule ID 16791 //
     /* 2099945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2099948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2099953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2099956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2099959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2099962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099991 */     // MIs[0] round
     /* 2099991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099994 */     // MIs[0] policy
     /* 2099994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100004 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2100007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100030 */     // GIR_Coverage, 16791,
     /* 2100030 */     GIR_EraseRootFromParent_Done,
     /* 2100031 */   // Label 27791: @2100031
     /* 2100031 */   GIM_Try, /*On fail goto*//*Label 27792*/ GIMT_Encode4(2100122), // Rule ID 16792 //
     /* 2100036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2100039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2100044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2100047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2100050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2100053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100082 */     // MIs[0] round
     /* 2100082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100085 */     // MIs[0] policy
     /* 2100085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100095 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2100098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100121 */     // GIR_Coverage, 16792,
     /* 2100121 */     GIR_EraseRootFromParent_Done,
     /* 2100122 */   // Label 27792: @2100122
     /* 2100122 */   GIM_Try, /*On fail goto*//*Label 27793*/ GIMT_Encode4(2100213), // Rule ID 16795 //
     /* 2100127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2100130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2100135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2100138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2100141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2100144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100173 */     // MIs[0] round
     /* 2100173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100176 */     // MIs[0] policy
     /* 2100176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100186 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2100189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100212 */     // GIR_Coverage, 16795,
     /* 2100212 */     GIR_EraseRootFromParent_Done,
     /* 2100213 */   // Label 27793: @2100213
     /* 2100213 */   GIM_Try, /*On fail goto*//*Label 27794*/ GIMT_Encode4(2100304), // Rule ID 16796 //
     /* 2100218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2100221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2100226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2100229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2100232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2100235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100264 */     // MIs[0] round
     /* 2100264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100267 */     // MIs[0] policy
     /* 2100267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100277 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2100280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100303 */     // GIR_Coverage, 16796,
     /* 2100303 */     GIR_EraseRootFromParent_Done,
     /* 2100304 */   // Label 27794: @2100304
     /* 2100304 */   GIM_Try, /*On fail goto*//*Label 27795*/ GIMT_Encode4(2100395), // Rule ID 16799 //
     /* 2100309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2100312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2100317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2100320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2100323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2100326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100355 */     // MIs[0] round
     /* 2100355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100358 */     // MIs[0] policy
     /* 2100358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100368 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2100371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100394 */     // GIR_Coverage, 16799,
     /* 2100394 */     GIR_EraseRootFromParent_Done,
     /* 2100395 */   // Label 27795: @2100395
     /* 2100395 */   GIM_Try, /*On fail goto*//*Label 27796*/ GIMT_Encode4(2100486), // Rule ID 16800 //
     /* 2100400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2100403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2100408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2100411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2100414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2100417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100446 */     // MIs[0] round
     /* 2100446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100449 */     // MIs[0] policy
     /* 2100449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100459 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2100462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100485 */     // GIR_Coverage, 16800,
     /* 2100485 */     GIR_EraseRootFromParent_Done,
     /* 2100486 */   // Label 27796: @2100486
     /* 2100486 */   GIM_Try, /*On fail goto*//*Label 27797*/ GIMT_Encode4(2100577), // Rule ID 16803 //
     /* 2100491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2100494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2100499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2100502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2100505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2100508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100537 */     // MIs[0] round
     /* 2100537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100540 */     // MIs[0] policy
     /* 2100540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100550 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2100553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100576 */     // GIR_Coverage, 16803,
     /* 2100576 */     GIR_EraseRootFromParent_Done,
     /* 2100577 */   // Label 27797: @2100577
     /* 2100577 */   GIM_Try, /*On fail goto*//*Label 27798*/ GIMT_Encode4(2100668), // Rule ID 16804 //
     /* 2100582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2100585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2100590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2100593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2100596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2100599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100628 */     // MIs[0] round
     /* 2100628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100631 */     // MIs[0] policy
     /* 2100631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100641 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2100644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100667 */     // GIR_Coverage, 16804,
     /* 2100667 */     GIR_EraseRootFromParent_Done,
     /* 2100668 */   // Label 27798: @2100668
     /* 2100668 */   GIM_Try, /*On fail goto*//*Label 27799*/ GIMT_Encode4(2100759), // Rule ID 16807 //
     /* 2100673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2100676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2100681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2100684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2100687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2100690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100719 */     // MIs[0] round
     /* 2100719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100722 */     // MIs[0] policy
     /* 2100722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100732 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2100735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100758 */     // GIR_Coverage, 16807,
     /* 2100758 */     GIR_EraseRootFromParent_Done,
     /* 2100759 */   // Label 27799: @2100759
     /* 2100759 */   GIM_Try, /*On fail goto*//*Label 27800*/ GIMT_Encode4(2100850), // Rule ID 16808 //
     /* 2100764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2100767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2100772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2100775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2100778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2100781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100810 */     // MIs[0] round
     /* 2100810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100813 */     // MIs[0] policy
     /* 2100813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100823 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2100826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100849 */     // GIR_Coverage, 16808,
     /* 2100849 */     GIR_EraseRootFromParent_Done,
     /* 2100850 */   // Label 27800: @2100850
     /* 2100850 */   GIM_Try, /*On fail goto*//*Label 27801*/ GIMT_Encode4(2100941), // Rule ID 16811 //
     /* 2100855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2100858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2100863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2100866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2100869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2100872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2100897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100901 */     // MIs[0] round
     /* 2100901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100904 */     // MIs[0] policy
     /* 2100904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100914 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2100917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2100937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100940 */     // GIR_Coverage, 16811,
     /* 2100940 */     GIR_EraseRootFromParent_Done,
     /* 2100941 */   // Label 27801: @2100941
     /* 2100941 */   GIM_Try, /*On fail goto*//*Label 27802*/ GIMT_Encode4(2101032), // Rule ID 16812 //
     /* 2100946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2100949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2100954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2100957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2100960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2100963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100969 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2100988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100992 */     // MIs[0] round
     /* 2100992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100995 */     // MIs[0] policy
     /* 2100995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101005 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2101008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2101028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101031 */     // GIR_Coverage, 16812,
     /* 2101031 */     GIR_EraseRootFromParent_Done,
     /* 2101032 */   // Label 27802: @2101032
     /* 2101032 */   GIM_Try, /*On fail goto*//*Label 27803*/ GIMT_Encode4(2101123), // Rule ID 16815 //
     /* 2101037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2101040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2101048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2101051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2101054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101083 */     // MIs[0] round
     /* 2101083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101086 */     // MIs[0] policy
     /* 2101086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101096 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2101099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101122 */     // GIR_Coverage, 16815,
     /* 2101122 */     GIR_EraseRootFromParent_Done,
     /* 2101123 */   // Label 27803: @2101123
     /* 2101123 */   GIM_Try, /*On fail goto*//*Label 27804*/ GIMT_Encode4(2101214), // Rule ID 16816 //
     /* 2101128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2101131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2101139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2101142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2101145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101174 */     // MIs[0] round
     /* 2101174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101177 */     // MIs[0] policy
     /* 2101177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101187 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2101190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101213 */     // GIR_Coverage, 16816,
     /* 2101213 */     GIR_EraseRootFromParent_Done,
     /* 2101214 */   // Label 27804: @2101214
     /* 2101214 */   GIM_Try, /*On fail goto*//*Label 27805*/ GIMT_Encode4(2101305), // Rule ID 16819 //
     /* 2101219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2101222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2101230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2101233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2101236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2101242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101265 */     // MIs[0] round
     /* 2101265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101268 */     // MIs[0] policy
     /* 2101268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101278 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2101281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101304 */     // GIR_Coverage, 16819,
     /* 2101304 */     GIR_EraseRootFromParent_Done,
     /* 2101305 */   // Label 27805: @2101305
     /* 2101305 */   GIM_Try, /*On fail goto*//*Label 27806*/ GIMT_Encode4(2101396), // Rule ID 16820 //
     /* 2101310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2101313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2101321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2101324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2101327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2101333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101356 */     // MIs[0] round
     /* 2101356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101359 */     // MIs[0] policy
     /* 2101359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101369 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2101372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101395 */     // GIR_Coverage, 16820,
     /* 2101395 */     GIR_EraseRootFromParent_Done,
     /* 2101396 */   // Label 27806: @2101396
     /* 2101396 */   GIM_Try, /*On fail goto*//*Label 27807*/ GIMT_Encode4(2101487), // Rule ID 16823 //
     /* 2101401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2101404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2101412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2101415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2101418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2101424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101447 */     // MIs[0] round
     /* 2101447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101450 */     // MIs[0] policy
     /* 2101450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101460 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2101463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101486 */     // GIR_Coverage, 16823,
     /* 2101486 */     GIR_EraseRootFromParent_Done,
     /* 2101487 */   // Label 27807: @2101487
     /* 2101487 */   GIM_Try, /*On fail goto*//*Label 27808*/ GIMT_Encode4(2101578), // Rule ID 16824 //
     /* 2101492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2101495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2101503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2101506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2101509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2101512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2101515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2101534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101538 */     // MIs[0] round
     /* 2101538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101541 */     // MIs[0] policy
     /* 2101541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101551 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2101554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101577 */     // GIR_Coverage, 16824,
     /* 2101577 */     GIR_EraseRootFromParent_Done,
     /* 2101578 */   // Label 27808: @2101578
     /* 2101578 */   GIM_Try, /*On fail goto*//*Label 27809*/ GIMT_Encode4(2101669), // Rule ID 16827 //
     /* 2101583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2101586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2101594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2101597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2101600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101629 */     // MIs[0] round
     /* 2101629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101632 */     // MIs[0] policy
     /* 2101632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101642 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2101645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101668 */     // GIR_Coverage, 16827,
     /* 2101668 */     GIR_EraseRootFromParent_Done,
     /* 2101669 */   // Label 27809: @2101669
     /* 2101669 */   GIM_Try, /*On fail goto*//*Label 27810*/ GIMT_Encode4(2101760), // Rule ID 16828 //
     /* 2101674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2101677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2101685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2101688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2101691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101720 */     // MIs[0] round
     /* 2101720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101723 */     // MIs[0] policy
     /* 2101723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101733 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2101736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101759 */     // GIR_Coverage, 16828,
     /* 2101759 */     GIR_EraseRootFromParent_Done,
     /* 2101760 */   // Label 27810: @2101760
     /* 2101760 */   GIM_Try, /*On fail goto*//*Label 27811*/ GIMT_Encode4(2101851), // Rule ID 16831 //
     /* 2101765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2101768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2101776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2101779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2101782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101811 */     // MIs[0] round
     /* 2101811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101814 */     // MIs[0] policy
     /* 2101814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101824 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2101827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101850 */     // GIR_Coverage, 16831,
     /* 2101850 */     GIR_EraseRootFromParent_Done,
     /* 2101851 */   // Label 27811: @2101851
     /* 2101851 */   GIM_Try, /*On fail goto*//*Label 27812*/ GIMT_Encode4(2101942), // Rule ID 16832 //
     /* 2101856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2101859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2101867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2101870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2101873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101902 */     // MIs[0] round
     /* 2101902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101905 */     // MIs[0] policy
     /* 2101905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101915 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2101918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101941 */     // GIR_Coverage, 16832,
     /* 2101941 */     GIR_EraseRootFromParent_Done,
     /* 2101942 */   // Label 27812: @2101942
     /* 2101942 */   GIM_Try, /*On fail goto*//*Label 27813*/ GIMT_Encode4(2102033), // Rule ID 16835 //
     /* 2101947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2101950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2101955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2101958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2101961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2101964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2101970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101993 */     // MIs[0] round
     /* 2101993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101996 */     // MIs[0] policy
     /* 2101996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102006 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2102009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102032 */     // GIR_Coverage, 16835,
     /* 2102032 */     GIR_EraseRootFromParent_Done,
     /* 2102033 */   // Label 27813: @2102033
     /* 2102033 */   GIM_Try, /*On fail goto*//*Label 27814*/ GIMT_Encode4(2102124), // Rule ID 16836 //
     /* 2102038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2102041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2102049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2102052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2102055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2102058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2102061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2102068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2102080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102084 */     // MIs[0] round
     /* 2102084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102087 */     // MIs[0] policy
     /* 2102087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102097 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2102100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102123 */     // GIR_Coverage, 16836,
     /* 2102123 */     GIR_EraseRootFromParent_Done,
     /* 2102124 */   // Label 27814: @2102124
     /* 2102124 */   GIM_Try, /*On fail goto*//*Label 27815*/ GIMT_Encode4(2102215), // Rule ID 16839 //
     /* 2102129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2102132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2102140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2102143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2102146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2102149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2102171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102175 */     // MIs[0] round
     /* 2102175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102178 */     // MIs[0] policy
     /* 2102178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102188 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2102191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102214 */     // GIR_Coverage, 16839,
     /* 2102214 */     GIR_EraseRootFromParent_Done,
     /* 2102215 */   // Label 27815: @2102215
     /* 2102215 */   GIM_Try, /*On fail goto*//*Label 27816*/ GIMT_Encode4(2102306), // Rule ID 16840 //
     /* 2102220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2102223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2102231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2102234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2102237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2102240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2102262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102266 */     // MIs[0] round
     /* 2102266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102269 */     // MIs[0] policy
     /* 2102269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102279 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2102282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102302 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102305 */     // GIR_Coverage, 16840,
     /* 2102305 */     GIR_EraseRootFromParent_Done,
     /* 2102306 */   // Label 27816: @2102306
     /* 2102306 */   GIM_Try, /*On fail goto*//*Label 27817*/ GIMT_Encode4(2102397), // Rule ID 16843 //
     /* 2102311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2102314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2102322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2102325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2102328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2102331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2102353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102357 */     // MIs[0] round
     /* 2102357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102360 */     // MIs[0] policy
     /* 2102360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102370 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2102373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102396 */     // GIR_Coverage, 16843,
     /* 2102396 */     GIR_EraseRootFromParent_Done,
     /* 2102397 */   // Label 27817: @2102397
     /* 2102397 */   GIM_Try, /*On fail goto*//*Label 27818*/ GIMT_Encode4(2102488), // Rule ID 16844 //
     /* 2102402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2102405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2102413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2102416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2102419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2102422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2102444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102448 */     // MIs[0] round
     /* 2102448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102451 */     // MIs[0] policy
     /* 2102451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102461 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2102464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102487 */     // GIR_Coverage, 16844,
     /* 2102487 */     GIR_EraseRootFromParent_Done,
     /* 2102488 */   // Label 27818: @2102488
     /* 2102488 */   GIM_Try, /*On fail goto*//*Label 27819*/ GIMT_Encode4(2102579), // Rule ID 16847 //
     /* 2102493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2102496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2102504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2102507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2102510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2102513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2102523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2102535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102539 */     // MIs[0] round
     /* 2102539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102542 */     // MIs[0] policy
     /* 2102542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102552 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2102555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102578 */     // GIR_Coverage, 16847,
     /* 2102578 */     GIR_EraseRootFromParent_Done,
     /* 2102579 */   // Label 27819: @2102579
     /* 2102579 */   GIM_Try, /*On fail goto*//*Label 27820*/ GIMT_Encode4(2102670), // Rule ID 16848 //
     /* 2102584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2102587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2102592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2102595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2102598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2102601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2102604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2102614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2102626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102630 */     // MIs[0] round
     /* 2102630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102633 */     // MIs[0] policy
     /* 2102633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102643 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2102646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2102666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102669 */     // GIR_Coverage, 16848,
     /* 2102669 */     GIR_EraseRootFromParent_Done,
     /* 2102670 */   // Label 27820: @2102670
     /* 2102670 */   GIM_Try, /*On fail goto*//*Label 27821*/ GIMT_Encode4(2102761), // Rule ID 16851 //
     /* 2102675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2102678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2102683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2102686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2102689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2102692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2102695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102721 */     // MIs[0] round
     /* 2102721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102724 */     // MIs[0] policy
     /* 2102724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102734 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2102737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102760 */     // GIR_Coverage, 16851,
     /* 2102760 */     GIR_EraseRootFromParent_Done,
     /* 2102761 */   // Label 27821: @2102761
     /* 2102761 */   GIM_Try, /*On fail goto*//*Label 27822*/ GIMT_Encode4(2102852), // Rule ID 16852 //
     /* 2102766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2102769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2102774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2102777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2102780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2102783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2102786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102789 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102812 */     // MIs[0] round
     /* 2102812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102815 */     // MIs[0] policy
     /* 2102815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102825 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2102828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102851 */     // GIR_Coverage, 16852,
     /* 2102851 */     GIR_EraseRootFromParent_Done,
     /* 2102852 */   // Label 27822: @2102852
     /* 2102852 */   GIM_Try, /*On fail goto*//*Label 27823*/ GIMT_Encode4(2102943), // Rule ID 16855 //
     /* 2102857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2102860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2102865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2102868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2102871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2102874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2102877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102903 */     // MIs[0] round
     /* 2102903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102906 */     // MIs[0] policy
     /* 2102906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102916 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2102919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102942 */     // GIR_Coverage, 16855,
     /* 2102942 */     GIR_EraseRootFromParent_Done,
     /* 2102943 */   // Label 27823: @2102943
     /* 2102943 */   GIM_Try, /*On fail goto*//*Label 27824*/ GIMT_Encode4(2103034), // Rule ID 16856 //
     /* 2102948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2102951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2102956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2102959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2102962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2102965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2102968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102994 */     // MIs[0] round
     /* 2102994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102997 */     // MIs[0] policy
     /* 2102997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103007 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2103010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103033 */     // GIR_Coverage, 16856,
     /* 2103033 */     GIR_EraseRootFromParent_Done,
     /* 2103034 */   // Label 27824: @2103034
     /* 2103034 */   GIM_Try, /*On fail goto*//*Label 27825*/ GIMT_Encode4(2103125), // Rule ID 16859 //
     /* 2103039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2103042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2103047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2103050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2103053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2103056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2103059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103085 */     // MIs[0] round
     /* 2103085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103088 */     // MIs[0] policy
     /* 2103088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103098 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2103101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103124 */     // GIR_Coverage, 16859,
     /* 2103124 */     GIR_EraseRootFromParent_Done,
     /* 2103125 */   // Label 27825: @2103125
     /* 2103125 */   GIM_Try, /*On fail goto*//*Label 27826*/ GIMT_Encode4(2103216), // Rule ID 16860 //
     /* 2103130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2103133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2103138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2103141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2103144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2103147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2103150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103176 */     // MIs[0] round
     /* 2103176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103179 */     // MIs[0] policy
     /* 2103179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103189 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2103192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103215 */     // GIR_Coverage, 16860,
     /* 2103215 */     GIR_EraseRootFromParent_Done,
     /* 2103216 */   // Label 27826: @2103216
     /* 2103216 */   GIM_Try, /*On fail goto*//*Label 27827*/ GIMT_Encode4(2103307), // Rule ID 16863 //
     /* 2103221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2103224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2103229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2103232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2103235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2103238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2103241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103267 */     // MIs[0] round
     /* 2103267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103270 */     // MIs[0] policy
     /* 2103270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103280 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2103283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103306 */     // GIR_Coverage, 16863,
     /* 2103306 */     GIR_EraseRootFromParent_Done,
     /* 2103307 */   // Label 27827: @2103307
     /* 2103307 */   GIM_Try, /*On fail goto*//*Label 27828*/ GIMT_Encode4(2103398), // Rule ID 16864 //
     /* 2103312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2103315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2103320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2103323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2103326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2103329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2103332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103358 */     // MIs[0] round
     /* 2103358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103361 */     // MIs[0] policy
     /* 2103361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103371 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2103374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103397 */     // GIR_Coverage, 16864,
     /* 2103397 */     GIR_EraseRootFromParent_Done,
     /* 2103398 */   // Label 27828: @2103398
     /* 2103398 */   GIM_Try, /*On fail goto*//*Label 27829*/ GIMT_Encode4(2103489), // Rule ID 16867 //
     /* 2103403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2103406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2103411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2103414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2103417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2103420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2103423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2103426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103449 */     // MIs[0] round
     /* 2103449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103452 */     // MIs[0] policy
     /* 2103452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103462 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2103465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103488 */     // GIR_Coverage, 16867,
     /* 2103488 */     GIR_EraseRootFromParent_Done,
     /* 2103489 */   // Label 27829: @2103489
     /* 2103489 */   GIM_Try, /*On fail goto*//*Label 27830*/ GIMT_Encode4(2103580), // Rule ID 16868 //
     /* 2103494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2103497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2103502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2103505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2103508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2103511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2103514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2103517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103540 */     // MIs[0] round
     /* 2103540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103543 */     // MIs[0] policy
     /* 2103543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103553 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2103556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103579 */     // GIR_Coverage, 16868,
     /* 2103579 */     GIR_EraseRootFromParent_Done,
     /* 2103580 */   // Label 27830: @2103580
     /* 2103580 */   GIM_Try, /*On fail goto*//*Label 27831*/ GIMT_Encode4(2103671), // Rule ID 16871 //
     /* 2103585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2103588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2103593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2103596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2103599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2103602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2103605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103631 */     // MIs[0] round
     /* 2103631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103634 */     // MIs[0] policy
     /* 2103634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103644 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2103647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103670 */     // GIR_Coverage, 16871,
     /* 2103670 */     GIR_EraseRootFromParent_Done,
     /* 2103671 */   // Label 27831: @2103671
     /* 2103671 */   GIM_Try, /*On fail goto*//*Label 27832*/ GIMT_Encode4(2103762), // Rule ID 16872 //
     /* 2103676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2103679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2103684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2103687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2103690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2103693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2103696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103722 */     // MIs[0] round
     /* 2103722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103725 */     // MIs[0] policy
     /* 2103725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103735 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2103738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103761 */     // GIR_Coverage, 16872,
     /* 2103761 */     GIR_EraseRootFromParent_Done,
     /* 2103762 */   // Label 27832: @2103762
     /* 2103762 */   GIM_Try, /*On fail goto*//*Label 27833*/ GIMT_Encode4(2103853), // Rule ID 16875 //
     /* 2103767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2103770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2103775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2103778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2103781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2103784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2103787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103813 */     // MIs[0] round
     /* 2103813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103816 */     // MIs[0] policy
     /* 2103816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103826 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2103829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103852 */     // GIR_Coverage, 16875,
     /* 2103852 */     GIR_EraseRootFromParent_Done,
     /* 2103853 */   // Label 27833: @2103853
     /* 2103853 */   GIM_Try, /*On fail goto*//*Label 27834*/ GIMT_Encode4(2103944), // Rule ID 16876 //
     /* 2103858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2103861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2103866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2103869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2103872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2103875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2103878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103904 */     // MIs[0] round
     /* 2103904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103907 */     // MIs[0] policy
     /* 2103907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103917 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2103920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103943 */     // GIR_Coverage, 16876,
     /* 2103943 */     GIR_EraseRootFromParent_Done,
     /* 2103944 */   // Label 27834: @2103944
     /* 2103944 */   GIM_Try, /*On fail goto*//*Label 27835*/ GIMT_Encode4(2104035), // Rule ID 16879 //
     /* 2103949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2103952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2103957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2103960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2103963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2103966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2103969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103995 */     // MIs[0] round
     /* 2103995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103998 */     // MIs[0] policy
     /* 2103998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104008 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2104011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104034 */     // GIR_Coverage, 16879,
     /* 2104034 */     GIR_EraseRootFromParent_Done,
     /* 2104035 */   // Label 27835: @2104035
     /* 2104035 */   GIM_Try, /*On fail goto*//*Label 27836*/ GIMT_Encode4(2104126), // Rule ID 16880 //
     /* 2104040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2104043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2104051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2104054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2104057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2104060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104063 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104086 */     // MIs[0] round
     /* 2104086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104089 */     // MIs[0] policy
     /* 2104089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104099 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2104102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104125 */     // GIR_Coverage, 16880,
     /* 2104125 */     GIR_EraseRootFromParent_Done,
     /* 2104126 */   // Label 27836: @2104126
     /* 2104126 */   GIM_Try, /*On fail goto*//*Label 27837*/ GIMT_Encode4(2104217), // Rule ID 16883 //
     /* 2104131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2104134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2104142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2104145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2104148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2104151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104177 */     // MIs[0] round
     /* 2104177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104180 */     // MIs[0] policy
     /* 2104180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104190 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2104193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104216 */     // GIR_Coverage, 16883,
     /* 2104216 */     GIR_EraseRootFromParent_Done,
     /* 2104217 */   // Label 27837: @2104217
     /* 2104217 */   GIM_Try, /*On fail goto*//*Label 27838*/ GIMT_Encode4(2104308), // Rule ID 16884 //
     /* 2104222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2104225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2104233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2104236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2104239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2104242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104268 */     // MIs[0] round
     /* 2104268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104271 */     // MIs[0] policy
     /* 2104271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104281 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2104284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104307 */     // GIR_Coverage, 16884,
     /* 2104307 */     GIR_EraseRootFromParent_Done,
     /* 2104308 */   // Label 27838: @2104308
     /* 2104308 */   GIM_Try, /*On fail goto*//*Label 27839*/ GIMT_Encode4(2104399), // Rule ID 16887 //
     /* 2104313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2104324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2104327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2104330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2104333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2104336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2104355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104359 */     // MIs[0] round
     /* 2104359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104362 */     // MIs[0] policy
     /* 2104362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104372 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2104375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104398 */     // GIR_Coverage, 16887,
     /* 2104398 */     GIR_EraseRootFromParent_Done,
     /* 2104399 */   // Label 27839: @2104399
     /* 2104399 */   GIM_Try, /*On fail goto*//*Label 27840*/ GIMT_Encode4(2104490), // Rule ID 16888 //
     /* 2104404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2104415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2104418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2104421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2104424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2104427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2104446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104450 */     // MIs[0] round
     /* 2104450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104453 */     // MIs[0] policy
     /* 2104453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104463 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2104466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104489 */     // GIR_Coverage, 16888,
     /* 2104489 */     GIR_EraseRootFromParent_Done,
     /* 2104490 */   // Label 27840: @2104490
     /* 2104490 */   GIM_Try, /*On fail goto*//*Label 27841*/ GIMT_Encode4(2104581), // Rule ID 16891 //
     /* 2104495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2104506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2104509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2104512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2104515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2104537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104541 */     // MIs[0] round
     /* 2104541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104544 */     // MIs[0] policy
     /* 2104544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104554 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2104557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104580 */     // GIR_Coverage, 16891,
     /* 2104580 */     GIR_EraseRootFromParent_Done,
     /* 2104581 */   // Label 27841: @2104581
     /* 2104581 */   GIM_Try, /*On fail goto*//*Label 27842*/ GIMT_Encode4(2104672), // Rule ID 16892 //
     /* 2104586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2104597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2104600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2104603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2104606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2104628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104632 */     // MIs[0] round
     /* 2104632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104635 */     // MIs[0] policy
     /* 2104635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104645 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2104648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104671 */     // GIR_Coverage, 16892,
     /* 2104671 */     GIR_EraseRootFromParent_Done,
     /* 2104672 */   // Label 27842: @2104672
     /* 2104672 */   GIM_Try, /*On fail goto*//*Label 27843*/ GIMT_Encode4(2104763), // Rule ID 16895 //
     /* 2104677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2104688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2104691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2104694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2104697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2104719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104723 */     // MIs[0] round
     /* 2104723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104726 */     // MIs[0] policy
     /* 2104726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104736 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2104739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104762 */     // GIR_Coverage, 16895,
     /* 2104762 */     GIR_EraseRootFromParent_Done,
     /* 2104763 */   // Label 27843: @2104763
     /* 2104763 */   GIM_Try, /*On fail goto*//*Label 27844*/ GIMT_Encode4(2104854), // Rule ID 16896 //
     /* 2104768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2104779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2104782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2104785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2104788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2104810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104814 */     // MIs[0] round
     /* 2104814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104817 */     // MIs[0] policy
     /* 2104817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104827 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2104830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104853 */     // GIR_Coverage, 16896,
     /* 2104853 */     GIR_EraseRootFromParent_Done,
     /* 2104854 */   // Label 27844: @2104854
     /* 2104854 */   GIM_Try, /*On fail goto*//*Label 27845*/ GIMT_Encode4(2104945), // Rule ID 16899 //
     /* 2104859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2104870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2104873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2104876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2104879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2104901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104905 */     // MIs[0] round
     /* 2104905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104908 */     // MIs[0] policy
     /* 2104908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104918 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2104921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104944 */     // GIR_Coverage, 16899,
     /* 2104944 */     GIR_EraseRootFromParent_Done,
     /* 2104945 */   // Label 27845: @2104945
     /* 2104945 */   GIM_Try, /*On fail goto*//*Label 27846*/ GIMT_Encode4(2105036), // Rule ID 16900 //
     /* 2104950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2104958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2104961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2104964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2104967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2104970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2104992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104996 */     // MIs[0] round
     /* 2104996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104999 */     // MIs[0] policy
     /* 2104999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105009 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2105012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105035 */     // GIR_Coverage, 16900,
     /* 2105035 */     GIR_EraseRootFromParent_Done,
     /* 2105036 */   // Label 27846: @2105036
     /* 2105036 */   GIM_Try, /*On fail goto*//*Label 27847*/ GIMT_Encode4(2105127), // Rule ID 16903 //
     /* 2105041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2105044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2105052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2105055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2105058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2105064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105087 */     // MIs[0] round
     /* 2105087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105090 */     // MIs[0] policy
     /* 2105090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105100 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2105103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105126 */     // GIR_Coverage, 16903,
     /* 2105126 */     GIR_EraseRootFromParent_Done,
     /* 2105127 */   // Label 27847: @2105127
     /* 2105127 */   GIM_Try, /*On fail goto*//*Label 27848*/ GIMT_Encode4(2105218), // Rule ID 16904 //
     /* 2105132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2105135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2105143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2105146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2105149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2105155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2105174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105178 */     // MIs[0] round
     /* 2105178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105181 */     // MIs[0] policy
     /* 2105181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105191 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2105194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105217 */     // GIR_Coverage, 16904,
     /* 2105217 */     GIR_EraseRootFromParent_Done,
     /* 2105218 */   // Label 27848: @2105218
     /* 2105218 */   GIM_Try, /*On fail goto*//*Label 27849*/ GIMT_Encode4(2105309), // Rule ID 16907 //
     /* 2105223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2105234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2105237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2105240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2105265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105269 */     // MIs[0] round
     /* 2105269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105272 */     // MIs[0] policy
     /* 2105272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105282 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2105285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105308 */     // GIR_Coverage, 16907,
     /* 2105308 */     GIR_EraseRootFromParent_Done,
     /* 2105309 */   // Label 27849: @2105309
     /* 2105309 */   GIM_Try, /*On fail goto*//*Label 27850*/ GIMT_Encode4(2105400), // Rule ID 16908 //
     /* 2105314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2105325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2105328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2105331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2105356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105360 */     // MIs[0] round
     /* 2105360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105363 */     // MIs[0] policy
     /* 2105363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105373 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2105376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105399 */     // GIR_Coverage, 16908,
     /* 2105399 */     GIR_EraseRootFromParent_Done,
     /* 2105400 */   // Label 27850: @2105400
     /* 2105400 */   GIM_Try, /*On fail goto*//*Label 27851*/ GIMT_Encode4(2105491), // Rule ID 16911 //
     /* 2105405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2105416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2105419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2105422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2105447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105451 */     // MIs[0] round
     /* 2105451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105454 */     // MIs[0] policy
     /* 2105454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105464 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2105467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105490 */     // GIR_Coverage, 16911,
     /* 2105490 */     GIR_EraseRootFromParent_Done,
     /* 2105491 */   // Label 27851: @2105491
     /* 2105491 */   GIM_Try, /*On fail goto*//*Label 27852*/ GIMT_Encode4(2105582), // Rule ID 16912 //
     /* 2105496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2105507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2105510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2105513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2105538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105542 */     // MIs[0] round
     /* 2105542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105545 */     // MIs[0] policy
     /* 2105545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105555 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2105558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105581 */     // GIR_Coverage, 16912,
     /* 2105581 */     GIR_EraseRootFromParent_Done,
     /* 2105582 */   // Label 27852: @2105582
     /* 2105582 */   GIM_Try, /*On fail goto*//*Label 27853*/ GIMT_Encode4(2105673), // Rule ID 16915 //
     /* 2105587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2105598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2105601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2105604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2105617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2105629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105633 */     // MIs[0] round
     /* 2105633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105636 */     // MIs[0] policy
     /* 2105636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105646 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2105649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105672 */     // GIR_Coverage, 16915,
     /* 2105672 */     GIR_EraseRootFromParent_Done,
     /* 2105673 */   // Label 27853: @2105673
     /* 2105673 */   GIM_Try, /*On fail goto*//*Label 27854*/ GIMT_Encode4(2105764), // Rule ID 16916 //
     /* 2105678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2105689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2105692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2105695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2105708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2105720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105724 */     // MIs[0] round
     /* 2105724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105727 */     // MIs[0] policy
     /* 2105727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105737 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2105740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105763 */     // GIR_Coverage, 16916,
     /* 2105763 */     GIR_EraseRootFromParent_Done,
     /* 2105764 */   // Label 27854: @2105764
     /* 2105764 */   GIM_Try, /*On fail goto*//*Label 27855*/ GIMT_Encode4(2105855), // Rule ID 16919 //
     /* 2105769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2105780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2105783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2105786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2105811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105815 */     // MIs[0] round
     /* 2105815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105818 */     // MIs[0] policy
     /* 2105818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105828 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2105831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105854 */     // GIR_Coverage, 16919,
     /* 2105854 */     GIR_EraseRootFromParent_Done,
     /* 2105855 */   // Label 27855: @2105855
     /* 2105855 */   GIM_Try, /*On fail goto*//*Label 27856*/ GIMT_Encode4(2105946), // Rule ID 16920 //
     /* 2105860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2105868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2105871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2105874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2105877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2105902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105906 */     // MIs[0] round
     /* 2105906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105909 */     // MIs[0] policy
     /* 2105909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105919 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2105922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105945 */     // GIR_Coverage, 16920,
     /* 2105945 */     GIR_EraseRootFromParent_Done,
     /* 2105946 */   // Label 27856: @2105946
     /* 2105946 */   GIM_Try, /*On fail goto*//*Label 27857*/ GIMT_Encode4(2106037), // Rule ID 16923 //
     /* 2105951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2105954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2105959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2105962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2105965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2105968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2105971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105997 */     // MIs[0] round
     /* 2105997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106000 */     // MIs[0] policy
     /* 2106000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106010 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2106013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106036 */     // GIR_Coverage, 16923,
     /* 2106036 */     GIR_EraseRootFromParent_Done,
     /* 2106037 */   // Label 27857: @2106037
     /* 2106037 */   GIM_Try, /*On fail goto*//*Label 27858*/ GIMT_Encode4(2106128), // Rule ID 16924 //
     /* 2106042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2106050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2106053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2106056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2106059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2106062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106088 */     // MIs[0] round
     /* 2106088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106091 */     // MIs[0] policy
     /* 2106091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106101 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2106104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106127 */     // GIR_Coverage, 16924,
     /* 2106127 */     GIR_EraseRootFromParent_Done,
     /* 2106128 */   // Label 27858: @2106128
     /* 2106128 */   GIM_Try, /*On fail goto*//*Label 27859*/ GIMT_Encode4(2106219), // Rule ID 16927 //
     /* 2106133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2106141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2106144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2106147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2106150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2106153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2106156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106179 */     // MIs[0] round
     /* 2106179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106182 */     // MIs[0] policy
     /* 2106182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106192 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2106195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106218 */     // GIR_Coverage, 16927,
     /* 2106218 */     GIR_EraseRootFromParent_Done,
     /* 2106219 */   // Label 27859: @2106219
     /* 2106219 */   GIM_Try, /*On fail goto*//*Label 27860*/ GIMT_Encode4(2106310), // Rule ID 16928 //
     /* 2106224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2106232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2106235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2106238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2106241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2106244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2106247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106270 */     // MIs[0] round
     /* 2106270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106273 */     // MIs[0] policy
     /* 2106273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106283 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2106286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106309 */     // GIR_Coverage, 16928,
     /* 2106309 */     GIR_EraseRootFromParent_Done,
     /* 2106310 */   // Label 27860: @2106310
     /* 2106310 */   GIM_Try, /*On fail goto*//*Label 27861*/ GIMT_Encode4(2106401), // Rule ID 16931 //
     /* 2106315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2106323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2106326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2106329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2106332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2106335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106361 */     // MIs[0] round
     /* 2106361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106364 */     // MIs[0] policy
     /* 2106364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106374 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2106377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106400 */     // GIR_Coverage, 16931,
     /* 2106400 */     GIR_EraseRootFromParent_Done,
     /* 2106401 */   // Label 27861: @2106401
     /* 2106401 */   GIM_Try, /*On fail goto*//*Label 27862*/ GIMT_Encode4(2106492), // Rule ID 16932 //
     /* 2106406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2106414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2106417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2106420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2106423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2106426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106452 */     // MIs[0] round
     /* 2106452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106455 */     // MIs[0] policy
     /* 2106455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106465 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2106468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106491 */     // GIR_Coverage, 16932,
     /* 2106491 */     GIR_EraseRootFromParent_Done,
     /* 2106492 */   // Label 27862: @2106492
     /* 2106492 */   GIM_Try, /*On fail goto*//*Label 27863*/ GIMT_Encode4(2106583), // Rule ID 16935 //
     /* 2106497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2106505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2106508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2106511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2106514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2106517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106543 */     // MIs[0] round
     /* 2106543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106546 */     // MIs[0] policy
     /* 2106546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106556 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2106559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106582 */     // GIR_Coverage, 16935,
     /* 2106582 */     GIR_EraseRootFromParent_Done,
     /* 2106583 */   // Label 27863: @2106583
     /* 2106583 */   GIM_Try, /*On fail goto*//*Label 27864*/ GIMT_Encode4(2106674), // Rule ID 16936 //
     /* 2106588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2106596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2106599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2106602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2106605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2106608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106634 */     // MIs[0] round
     /* 2106634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106637 */     // MIs[0] policy
     /* 2106637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106647 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2106650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106673 */     // GIR_Coverage, 16936,
     /* 2106673 */     GIR_EraseRootFromParent_Done,
     /* 2106674 */   // Label 27864: @2106674
     /* 2106674 */   GIM_Try, /*On fail goto*//*Label 27865*/ GIMT_Encode4(2106765), // Rule ID 16939 //
     /* 2106679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2106687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2106690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2106693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2106696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2106699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106725 */     // MIs[0] round
     /* 2106725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106728 */     // MIs[0] policy
     /* 2106728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106738 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2106741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106764 */     // GIR_Coverage, 16939,
     /* 2106764 */     GIR_EraseRootFromParent_Done,
     /* 2106765 */   // Label 27865: @2106765
     /* 2106765 */   GIM_Try, /*On fail goto*//*Label 27866*/ GIMT_Encode4(2106856), // Rule ID 16940 //
     /* 2106770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2106778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2106781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2106784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2106787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2106790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106816 */     // MIs[0] round
     /* 2106816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106819 */     // MIs[0] policy
     /* 2106819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106829 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2106832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106855 */     // GIR_Coverage, 16940,
     /* 2106855 */     GIR_EraseRootFromParent_Done,
     /* 2106856 */   // Label 27866: @2106856
     /* 2106856 */   GIM_Try, /*On fail goto*//*Label 27867*/ GIMT_Encode4(2106947), // Rule ID 16943 //
     /* 2106861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2106864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2106869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2106872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2106875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2106878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2106881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106907 */     // MIs[0] round
     /* 2106907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106910 */     // MIs[0] policy
     /* 2106910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106920 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2106923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106946 */     // GIR_Coverage, 16943,
     /* 2106946 */     GIR_EraseRootFromParent_Done,
     /* 2106947 */   // Label 27867: @2106947
     /* 2106947 */   GIM_Try, /*On fail goto*//*Label 27868*/ GIMT_Encode4(2107038), // Rule ID 16944 //
     /* 2106952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2106955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2106960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2106963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2106966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2106969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2106972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106998 */     // MIs[0] round
     /* 2106998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107001 */     // MIs[0] policy
     /* 2107001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107011 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2107014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107037 */     // GIR_Coverage, 16944,
     /* 2107037 */     GIR_EraseRootFromParent_Done,
     /* 2107038 */   // Label 27868: @2107038
     /* 2107038 */   GIM_Try, /*On fail goto*//*Label 27869*/ GIMT_Encode4(2107129), // Rule ID 16947 //
     /* 2107043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2107046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2107054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2107057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2107060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2107063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107089 */     // MIs[0] round
     /* 2107089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107092 */     // MIs[0] policy
     /* 2107092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107102 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2107105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107128 */     // GIR_Coverage, 16947,
     /* 2107128 */     GIR_EraseRootFromParent_Done,
     /* 2107129 */   // Label 27869: @2107129
     /* 2107129 */   GIM_Try, /*On fail goto*//*Label 27870*/ GIMT_Encode4(2107220), // Rule ID 16948 //
     /* 2107134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2107137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2107145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2107148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2107151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2107154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107180 */     // MIs[0] round
     /* 2107180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107183 */     // MIs[0] policy
     /* 2107183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107193 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2107196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107219 */     // GIR_Coverage, 16948,
     /* 2107219 */     GIR_EraseRootFromParent_Done,
     /* 2107220 */   // Label 27870: @2107220
     /* 2107220 */   GIM_Try, /*On fail goto*//*Label 27871*/ GIMT_Encode4(2107311), // Rule ID 16951 //
     /* 2107225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2107228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2107236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2107239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2107242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2107245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107271 */     // MIs[0] round
     /* 2107271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107274 */     // MIs[0] policy
     /* 2107274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107284 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2107287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107310 */     // GIR_Coverage, 16951,
     /* 2107310 */     GIR_EraseRootFromParent_Done,
     /* 2107311 */   // Label 27871: @2107311
     /* 2107311 */   GIM_Try, /*On fail goto*//*Label 27872*/ GIMT_Encode4(2107402), // Rule ID 16952 //
     /* 2107316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2107319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2107327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2107330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2107333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2107336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107339 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107362 */     // MIs[0] round
     /* 2107362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107365 */     // MIs[0] policy
     /* 2107365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107375 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2107378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107401 */     // GIR_Coverage, 16952,
     /* 2107401 */     GIR_EraseRootFromParent_Done,
     /* 2107402 */   // Label 27872: @2107402
     /* 2107402 */   GIM_Try, /*On fail goto*//*Label 27873*/ GIMT_Encode4(2107493), // Rule ID 16955 //
     /* 2107407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2107410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2107418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2107421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2107424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2107427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107453 */     // MIs[0] round
     /* 2107453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107456 */     // MIs[0] policy
     /* 2107456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107466 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2107469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107492 */     // GIR_Coverage, 16955,
     /* 2107492 */     GIR_EraseRootFromParent_Done,
     /* 2107493 */   // Label 27873: @2107493
     /* 2107493 */   GIM_Try, /*On fail goto*//*Label 27874*/ GIMT_Encode4(2107584), // Rule ID 16956 //
     /* 2107498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2107501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2107509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2107512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2107515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2107518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107544 */     // MIs[0] round
     /* 2107544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107547 */     // MIs[0] policy
     /* 2107547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107557 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2107560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107583 */     // GIR_Coverage, 16956,
     /* 2107583 */     GIR_EraseRootFromParent_Done,
     /* 2107584 */   // Label 27874: @2107584
     /* 2107584 */   GIM_Try, /*On fail goto*//*Label 27875*/ GIMT_Encode4(2107675), // Rule ID 16959 //
     /* 2107589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2107600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2107603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2107606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2107609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2107631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107635 */     // MIs[0] round
     /* 2107635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107638 */     // MIs[0] policy
     /* 2107638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107648 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2107651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107674 */     // GIR_Coverage, 16959,
     /* 2107674 */     GIR_EraseRootFromParent_Done,
     /* 2107675 */   // Label 27875: @2107675
     /* 2107675 */   GIM_Try, /*On fail goto*//*Label 27876*/ GIMT_Encode4(2107766), // Rule ID 16960 //
     /* 2107680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2107683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2107691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2107694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2107697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2107700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2107722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107726 */     // MIs[0] round
     /* 2107726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107729 */     // MIs[0] policy
     /* 2107729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107739 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2107742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107765 */     // GIR_Coverage, 16960,
     /* 2107765 */     GIR_EraseRootFromParent_Done,
     /* 2107766 */   // Label 27876: @2107766
     /* 2107766 */   GIM_Try, /*On fail goto*//*Label 27877*/ GIMT_Encode4(2107857), // Rule ID 16963 //
     /* 2107771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2107782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2107785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2107788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2107791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2107813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107817 */     // MIs[0] round
     /* 2107817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107820 */     // MIs[0] policy
     /* 2107820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107830 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2107833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107856 */     // GIR_Coverage, 16963,
     /* 2107856 */     GIR_EraseRootFromParent_Done,
     /* 2107857 */   // Label 27877: @2107857
     /* 2107857 */   GIM_Try, /*On fail goto*//*Label 27878*/ GIMT_Encode4(2107948), // Rule ID 16964 //
     /* 2107862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2107865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2107873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2107876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2107879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2107882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2107904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107908 */     // MIs[0] round
     /* 2107908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107911 */     // MIs[0] policy
     /* 2107911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107921 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2107924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107947 */     // GIR_Coverage, 16964,
     /* 2107947 */     GIR_EraseRootFromParent_Done,
     /* 2107948 */   // Label 27878: @2107948
     /* 2107948 */   GIM_Try, /*On fail goto*//*Label 27879*/ GIMT_Encode4(2108039), // Rule ID 16967 //
     /* 2107953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2107961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2107964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2107967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2107970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2107973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2107995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107999 */     // MIs[0] round
     /* 2107999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108002 */     // MIs[0] policy
     /* 2108002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108012 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2108015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108038 */     // GIR_Coverage, 16967,
     /* 2108038 */     GIR_EraseRootFromParent_Done,
     /* 2108039 */   // Label 27879: @2108039
     /* 2108039 */   GIM_Try, /*On fail goto*//*Label 27880*/ GIMT_Encode4(2108130), // Rule ID 16968 //
     /* 2108044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2108047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2108055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2108058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2108061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2108064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2108086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108090 */     // MIs[0] round
     /* 2108090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108093 */     // MIs[0] policy
     /* 2108093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108103 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2108106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108129 */     // GIR_Coverage, 16968,
     /* 2108129 */     GIR_EraseRootFromParent_Done,
     /* 2108130 */   // Label 27880: @2108130
     /* 2108130 */   GIM_Try, /*On fail goto*//*Label 27881*/ GIMT_Encode4(2108221), // Rule ID 16971 //
     /* 2108135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2108138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2108146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2108149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2108152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2108155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2108177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108181 */     // MIs[0] round
     /* 2108181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108184 */     // MIs[0] policy
     /* 2108184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108194 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2108197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108220 */     // GIR_Coverage, 16971,
     /* 2108220 */     GIR_EraseRootFromParent_Done,
     /* 2108221 */   // Label 27881: @2108221
     /* 2108221 */   GIM_Try, /*On fail goto*//*Label 27882*/ GIMT_Encode4(2108312), // Rule ID 16972 //
     /* 2108226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2108229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2108237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2108240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2108243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2108246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2108268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108272 */     // MIs[0] round
     /* 2108272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108275 */     // MIs[0] policy
     /* 2108275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108285 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2108288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108311 */     // GIR_Coverage, 16972,
     /* 2108311 */     GIR_EraseRootFromParent_Done,
     /* 2108312 */   // Label 27882: @2108312
     /* 2108312 */   GIM_Try, /*On fail goto*//*Label 27883*/ GIMT_Encode4(2108403), // Rule ID 16975 //
     /* 2108317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2108320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2108328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2108331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2108334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2108337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2108340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2108359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108363 */     // MIs[0] round
     /* 2108363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108366 */     // MIs[0] policy
     /* 2108366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108376 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2108379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108402 */     // GIR_Coverage, 16975,
     /* 2108402 */     GIR_EraseRootFromParent_Done,
     /* 2108403 */   // Label 27883: @2108403
     /* 2108403 */   GIM_Try, /*On fail goto*//*Label 27884*/ GIMT_Encode4(2108494), // Rule ID 16976 //
     /* 2108408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2108411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2108419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2108422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2108425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2108428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2108431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2108450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108454 */     // MIs[0] round
     /* 2108454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108457 */     // MIs[0] policy
     /* 2108457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108467 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2108470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108490 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108493 */     // GIR_Coverage, 16976,
     /* 2108493 */     GIR_EraseRootFromParent_Done,
     /* 2108494 */   // Label 27884: @2108494
     /* 2108494 */   GIM_Try, /*On fail goto*//*Label 27885*/ GIMT_Encode4(2108585), // Rule ID 16979 //
     /* 2108499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2108510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2108513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2108516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2108519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2108541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108545 */     // MIs[0] round
     /* 2108545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108548 */     // MIs[0] policy
     /* 2108548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108558 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2108561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108584 */     // GIR_Coverage, 16979,
     /* 2108584 */     GIR_EraseRootFromParent_Done,
     /* 2108585 */   // Label 27885: @2108585
     /* 2108585 */   GIM_Try, /*On fail goto*//*Label 27886*/ GIMT_Encode4(2108676), // Rule ID 16980 //
     /* 2108590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2108601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2108604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2108607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2108610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2108632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108636 */     // MIs[0] round
     /* 2108636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108639 */     // MIs[0] policy
     /* 2108639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108649 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2108652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108675 */     // GIR_Coverage, 16980,
     /* 2108675 */     GIR_EraseRootFromParent_Done,
     /* 2108676 */   // Label 27886: @2108676
     /* 2108676 */   GIM_Try, /*On fail goto*//*Label 27887*/ GIMT_Encode4(2108767), // Rule ID 16983 //
     /* 2108681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2108692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2108695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2108698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2108701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2108723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108727 */     // MIs[0] round
     /* 2108727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108730 */     // MIs[0] policy
     /* 2108730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108740 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2108743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108766 */     // GIR_Coverage, 16983,
     /* 2108766 */     GIR_EraseRootFromParent_Done,
     /* 2108767 */   // Label 27887: @2108767
     /* 2108767 */   GIM_Try, /*On fail goto*//*Label 27888*/ GIMT_Encode4(2108858), // Rule ID 16984 //
     /* 2108772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2108783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2108786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2108789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2108792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2108814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108818 */     // MIs[0] round
     /* 2108818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108821 */     // MIs[0] policy
     /* 2108821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108831 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2108834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108857 */     // GIR_Coverage, 16984,
     /* 2108857 */     GIR_EraseRootFromParent_Done,
     /* 2108858 */   // Label 27888: @2108858
     /* 2108858 */   GIM_Try, /*On fail goto*//*Label 27889*/ GIMT_Encode4(2108949), // Rule ID 16987 //
     /* 2108863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2108874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2108877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2108880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2108883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2108905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108909 */     // MIs[0] round
     /* 2108909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108912 */     // MIs[0] policy
     /* 2108912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108922 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2108925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108948 */     // GIR_Coverage, 16987,
     /* 2108948 */     GIR_EraseRootFromParent_Done,
     /* 2108949 */   // Label 27889: @2108949
     /* 2108949 */   GIM_Try, /*On fail goto*//*Label 27890*/ GIMT_Encode4(2109040), // Rule ID 16988 //
     /* 2108954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2108962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2108965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2108968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2108971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2108974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2108996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109000 */     // MIs[0] round
     /* 2109000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109003 */     // MIs[0] policy
     /* 2109003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109013 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2109016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109039 */     // GIR_Coverage, 16988,
     /* 2109039 */     GIR_EraseRootFromParent_Done,
     /* 2109040 */   // Label 27890: @2109040
     /* 2109040 */   GIM_Try, /*On fail goto*//*Label 27891*/ GIMT_Encode4(2109131), // Rule ID 16991 //
     /* 2109045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2109048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2109056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2109059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2109062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2109087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109091 */     // MIs[0] round
     /* 2109091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109094 */     // MIs[0] policy
     /* 2109094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109104 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2109107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109130 */     // GIR_Coverage, 16991,
     /* 2109130 */     GIR_EraseRootFromParent_Done,
     /* 2109131 */   // Label 27891: @2109131
     /* 2109131 */   GIM_Try, /*On fail goto*//*Label 27892*/ GIMT_Encode4(2109222), // Rule ID 16992 //
     /* 2109136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2109139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2109144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2109147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2109150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2109153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2109178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109182 */     // MIs[0] round
     /* 2109182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109185 */     // MIs[0] policy
     /* 2109185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109195 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2109198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109221 */     // GIR_Coverage, 16992,
     /* 2109221 */     GIR_EraseRootFromParent_Done,
     /* 2109222 */   // Label 27892: @2109222
     /* 2109222 */   GIM_Try, /*On fail goto*//*Label 27893*/ GIMT_Encode4(2109313), // Rule ID 17001 //
     /* 2109227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2109235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2109238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2109241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2109244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2109247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109273 */     // MIs[0] round
     /* 2109273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109276 */     // MIs[0] policy
     /* 2109276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109286 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2109289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109312 */     // GIR_Coverage, 17001,
     /* 2109312 */     GIR_EraseRootFromParent_Done,
     /* 2109313 */   // Label 27893: @2109313
     /* 2109313 */   GIM_Try, /*On fail goto*//*Label 27894*/ GIMT_Encode4(2109404), // Rule ID 17002 //
     /* 2109318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2109326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2109329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2109332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2109335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2109338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109364 */     // MIs[0] round
     /* 2109364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109367 */     // MIs[0] policy
     /* 2109367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109377 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2109380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109403 */     // GIR_Coverage, 17002,
     /* 2109403 */     GIR_EraseRootFromParent_Done,
     /* 2109404 */   // Label 27894: @2109404
     /* 2109404 */   GIM_Try, /*On fail goto*//*Label 27895*/ GIMT_Encode4(2109495), // Rule ID 17011 //
     /* 2109409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2109417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2109420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2109423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2109426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2109429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109455 */     // MIs[0] round
     /* 2109455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109458 */     // MIs[0] policy
     /* 2109458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109468 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2109471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109494 */     // GIR_Coverage, 17011,
     /* 2109494 */     GIR_EraseRootFromParent_Done,
     /* 2109495 */   // Label 27895: @2109495
     /* 2109495 */   GIM_Try, /*On fail goto*//*Label 27896*/ GIMT_Encode4(2109586), // Rule ID 17012 //
     /* 2109500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2109508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2109511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2109514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2109517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2109520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109546 */     // MIs[0] round
     /* 2109546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109549 */     // MIs[0] policy
     /* 2109549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109559 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2109562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109585 */     // GIR_Coverage, 17012,
     /* 2109585 */     GIR_EraseRootFromParent_Done,
     /* 2109586 */   // Label 27896: @2109586
     /* 2109586 */   GIM_Try, /*On fail goto*//*Label 27897*/ GIMT_Encode4(2109677), // Rule ID 17021 //
     /* 2109591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2109599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2109602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2109605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2109608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2109611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109637 */     // MIs[0] round
     /* 2109637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109640 */     // MIs[0] policy
     /* 2109640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109650 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2109653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109676 */     // GIR_Coverage, 17021,
     /* 2109676 */     GIR_EraseRootFromParent_Done,
     /* 2109677 */   // Label 27897: @2109677
     /* 2109677 */   GIM_Try, /*On fail goto*//*Label 27898*/ GIMT_Encode4(2109768), // Rule ID 17022 //
     /* 2109682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2109690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2109693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2109696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2109699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2109702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109728 */     // MIs[0] round
     /* 2109728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109731 */     // MIs[0] policy
     /* 2109731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109741 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2109744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109767 */     // GIR_Coverage, 17022,
     /* 2109767 */     GIR_EraseRootFromParent_Done,
     /* 2109768 */   // Label 27898: @2109768
     /* 2109768 */   GIM_Try, /*On fail goto*//*Label 27899*/ GIMT_Encode4(2109859), // Rule ID 17031 //
     /* 2109773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2109781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2109784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2109787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2109790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2109793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2109796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109819 */     // MIs[0] round
     /* 2109819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109822 */     // MIs[0] policy
     /* 2109822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109832 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2109835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109858 */     // GIR_Coverage, 17031,
     /* 2109858 */     GIR_EraseRootFromParent_Done,
     /* 2109859 */   // Label 27899: @2109859
     /* 2109859 */   GIM_Try, /*On fail goto*//*Label 27900*/ GIMT_Encode4(2109950), // Rule ID 17032 //
     /* 2109864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2109872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2109875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2109878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2109881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2109884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2109887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109910 */     // MIs[0] round
     /* 2109910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109913 */     // MIs[0] policy
     /* 2109913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109923 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2109926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109949 */     // GIR_Coverage, 17032,
     /* 2109949 */     GIR_EraseRootFromParent_Done,
     /* 2109950 */   // Label 27900: @2109950
     /* 2109950 */   GIM_Try, /*On fail goto*//*Label 27901*/ GIMT_Encode4(2110041), // Rule ID 17041 //
     /* 2109955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2109958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2109963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2109966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2109969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2109972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2109975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110001 */     // MIs[0] round
     /* 2110001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110004 */     // MIs[0] policy
     /* 2110004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110014 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2110017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110040 */     // GIR_Coverage, 17041,
     /* 2110040 */     GIR_EraseRootFromParent_Done,
     /* 2110041 */   // Label 27901: @2110041
     /* 2110041 */   GIM_Try, /*On fail goto*//*Label 27902*/ GIMT_Encode4(2110132), // Rule ID 17042 //
     /* 2110046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2110057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2110060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2110063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2110066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110092 */     // MIs[0] round
     /* 2110092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110095 */     // MIs[0] policy
     /* 2110095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110105 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2110108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110131 */     // GIR_Coverage, 17042,
     /* 2110131 */     GIR_EraseRootFromParent_Done,
     /* 2110132 */   // Label 27902: @2110132
     /* 2110132 */   GIM_Try, /*On fail goto*//*Label 27903*/ GIMT_Encode4(2110223), // Rule ID 17051 //
     /* 2110137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2110140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2110148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2110151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2110154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2110157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110183 */     // MIs[0] round
     /* 2110183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110186 */     // MIs[0] policy
     /* 2110186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110196 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2110199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110222 */     // GIR_Coverage, 17051,
     /* 2110222 */     GIR_EraseRootFromParent_Done,
     /* 2110223 */   // Label 27903: @2110223
     /* 2110223 */   GIM_Try, /*On fail goto*//*Label 27904*/ GIMT_Encode4(2110314), // Rule ID 17052 //
     /* 2110228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2110239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2110242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2110245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2110248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110274 */     // MIs[0] round
     /* 2110274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110277 */     // MIs[0] policy
     /* 2110277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110287 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2110290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110313 */     // GIR_Coverage, 17052,
     /* 2110313 */     GIR_EraseRootFromParent_Done,
     /* 2110314 */   // Label 27904: @2110314
     /* 2110314 */   GIM_Try, /*On fail goto*//*Label 27905*/ GIMT_Encode4(2110405), // Rule ID 17061 //
     /* 2110319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2110322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2110330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2110333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2110336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2110339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110365 */     // MIs[0] round
     /* 2110365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110368 */     // MIs[0] policy
     /* 2110368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110378 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2110381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110404 */     // GIR_Coverage, 17061,
     /* 2110404 */     GIR_EraseRootFromParent_Done,
     /* 2110405 */   // Label 27905: @2110405
     /* 2110405 */   GIM_Try, /*On fail goto*//*Label 27906*/ GIMT_Encode4(2110496), // Rule ID 17062 //
     /* 2110410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2110421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2110424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2110427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2110430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110456 */     // MIs[0] round
     /* 2110456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110459 */     // MIs[0] policy
     /* 2110459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110469 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2110472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110495 */     // GIR_Coverage, 17062,
     /* 2110495 */     GIR_EraseRootFromParent_Done,
     /* 2110496 */   // Label 27906: @2110496
     /* 2110496 */   GIM_Try, /*On fail goto*//*Label 27907*/ GIMT_Encode4(2110587), // Rule ID 17071 //
     /* 2110501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2110504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2110512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2110515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2110518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2110521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110547 */     // MIs[0] round
     /* 2110547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110550 */     // MIs[0] policy
     /* 2110550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110560 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2110563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110586 */     // GIR_Coverage, 17071,
     /* 2110586 */     GIR_EraseRootFromParent_Done,
     /* 2110587 */   // Label 27907: @2110587
     /* 2110587 */   GIM_Try, /*On fail goto*//*Label 27908*/ GIMT_Encode4(2110678), // Rule ID 17072 //
     /* 2110592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2110603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2110606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2110609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2110612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110638 */     // MIs[0] round
     /* 2110638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110641 */     // MIs[0] policy
     /* 2110641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110651 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2110654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110677 */     // GIR_Coverage, 17072,
     /* 2110677 */     GIR_EraseRootFromParent_Done,
     /* 2110678 */   // Label 27908: @2110678
     /* 2110678 */   GIM_Try, /*On fail goto*//*Label 27909*/ GIMT_Encode4(2110769), // Rule ID 17075 //
     /* 2110683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2110686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2110694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2110697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2110700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110729 */     // MIs[0] round
     /* 2110729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110732 */     // MIs[0] policy
     /* 2110732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110742 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2110745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110768 */     // GIR_Coverage, 17075,
     /* 2110768 */     GIR_EraseRootFromParent_Done,
     /* 2110769 */   // Label 27909: @2110769
     /* 2110769 */   GIM_Try, /*On fail goto*//*Label 27910*/ GIMT_Encode4(2110860), // Rule ID 17076 //
     /* 2110774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2110785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2110788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2110791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110820 */     // MIs[0] round
     /* 2110820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110823 */     // MIs[0] policy
     /* 2110823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110833 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2110836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110859 */     // GIR_Coverage, 17076,
     /* 2110859 */     GIR_EraseRootFromParent_Done,
     /* 2110860 */   // Label 27910: @2110860
     /* 2110860 */   GIM_Try, /*On fail goto*//*Label 27911*/ GIMT_Encode4(2110951), // Rule ID 17079 //
     /* 2110865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2110868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2110876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2110879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2110882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110911 */     // MIs[0] round
     /* 2110911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110914 */     // MIs[0] policy
     /* 2110914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110924 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2110927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110950 */     // GIR_Coverage, 17079,
     /* 2110950 */     GIR_EraseRootFromParent_Done,
     /* 2110951 */   // Label 27911: @2110951
     /* 2110951 */   GIM_Try, /*On fail goto*//*Label 27912*/ GIMT_Encode4(2111042), // Rule ID 17080 //
     /* 2110956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2110964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2110967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2110970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2110973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111002 */     // MIs[0] round
     /* 2111002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111005 */     // MIs[0] policy
     /* 2111005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111015 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2111018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111041 */     // GIR_Coverage, 17080,
     /* 2111041 */     GIR_EraseRootFromParent_Done,
     /* 2111042 */   // Label 27912: @2111042
     /* 2111042 */   GIM_Try, /*On fail goto*//*Label 27913*/ GIMT_Encode4(2111133), // Rule ID 17083 //
     /* 2111047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2111050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2111058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2111061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2111064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2111067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2111089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111093 */     // MIs[0] round
     /* 2111093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111096 */     // MIs[0] policy
     /* 2111096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111106 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2111109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111132 */     // GIR_Coverage, 17083,
     /* 2111132 */     GIR_EraseRootFromParent_Done,
     /* 2111133 */   // Label 27913: @2111133
     /* 2111133 */   GIM_Try, /*On fail goto*//*Label 27914*/ GIMT_Encode4(2111224), // Rule ID 17084 //
     /* 2111138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2111141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2111149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2111152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2111155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2111158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2111180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111184 */     // MIs[0] round
     /* 2111184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111187 */     // MIs[0] policy
     /* 2111187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111197 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2111200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111223 */     // GIR_Coverage, 17084,
     /* 2111223 */     GIR_EraseRootFromParent_Done,
     /* 2111224 */   // Label 27914: @2111224
     /* 2111224 */   GIM_Try, /*On fail goto*//*Label 27915*/ GIMT_Encode4(2111315), // Rule ID 17087 //
     /* 2111229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2111232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2111240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2111243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2111246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2111249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2111271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111275 */     // MIs[0] round
     /* 2111275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111278 */     // MIs[0] policy
     /* 2111278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111288 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2111291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111314 */     // GIR_Coverage, 17087,
     /* 2111314 */     GIR_EraseRootFromParent_Done,
     /* 2111315 */   // Label 27915: @2111315
     /* 2111315 */   GIM_Try, /*On fail goto*//*Label 27916*/ GIMT_Encode4(2111406), // Rule ID 17088 //
     /* 2111320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2111323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2111331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2111334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2111337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2111340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2111362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111366 */     // MIs[0] round
     /* 2111366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111369 */     // MIs[0] policy
     /* 2111369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111379 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2111382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111405 */     // GIR_Coverage, 17088,
     /* 2111405 */     GIR_EraseRootFromParent_Done,
     /* 2111406 */   // Label 27916: @2111406
     /* 2111406 */   GIM_Try, /*On fail goto*//*Label 27917*/ GIMT_Encode4(2111497), // Rule ID 17091 //
     /* 2111411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2111414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2111422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2111425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2111428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2111431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2111434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2111453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111457 */     // MIs[0] round
     /* 2111457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111460 */     // MIs[0] policy
     /* 2111460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111470 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2111473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111496 */     // GIR_Coverage, 17091,
     /* 2111496 */     GIR_EraseRootFromParent_Done,
     /* 2111497 */   // Label 27917: @2111497
     /* 2111497 */   GIM_Try, /*On fail goto*//*Label 27918*/ GIMT_Encode4(2111588), // Rule ID 17092 //
     /* 2111502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2111505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2111513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2111516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2111519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2111522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2111525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2111544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111548 */     // MIs[0] round
     /* 2111548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111551 */     // MIs[0] policy
     /* 2111551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111561 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2111564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111587 */     // GIR_Coverage, 17092,
     /* 2111587 */     GIR_EraseRootFromParent_Done,
     /* 2111588 */   // Label 27918: @2111588
     /* 2111588 */   GIM_Try, /*On fail goto*//*Label 27919*/ GIMT_Encode4(2111679), // Rule ID 17095 //
     /* 2111593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2111604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2111607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2111610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2111635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111639 */     // MIs[0] round
     /* 2111639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111642 */     // MIs[0] policy
     /* 2111642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111652 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2111655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111678 */     // GIR_Coverage, 17095,
     /* 2111678 */     GIR_EraseRootFromParent_Done,
     /* 2111679 */   // Label 27919: @2111679
     /* 2111679 */   GIM_Try, /*On fail goto*//*Label 27920*/ GIMT_Encode4(2111770), // Rule ID 17096 //
     /* 2111684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2111695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2111698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2111701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2111726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111730 */     // MIs[0] round
     /* 2111730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111733 */     // MIs[0] policy
     /* 2111733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111743 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2111746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111769 */     // GIR_Coverage, 17096,
     /* 2111769 */     GIR_EraseRootFromParent_Done,
     /* 2111770 */   // Label 27920: @2111770
     /* 2111770 */   GIM_Try, /*On fail goto*//*Label 27921*/ GIMT_Encode4(2111861), // Rule ID 17099 //
     /* 2111775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2111786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2111789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2111792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2111817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111821 */     // MIs[0] round
     /* 2111821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111824 */     // MIs[0] policy
     /* 2111824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111834 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2111837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111860 */     // GIR_Coverage, 17099,
     /* 2111860 */     GIR_EraseRootFromParent_Done,
     /* 2111861 */   // Label 27921: @2111861
     /* 2111861 */   GIM_Try, /*On fail goto*//*Label 27922*/ GIMT_Encode4(2111952), // Rule ID 17100 //
     /* 2111866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2111869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2111877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2111880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2111883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2111908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111912 */     // MIs[0] round
     /* 2111912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111915 */     // MIs[0] policy
     /* 2111915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111925 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2111928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111951 */     // GIR_Coverage, 17100,
     /* 2111951 */     GIR_EraseRootFromParent_Done,
     /* 2111952 */   // Label 27922: @2111952
     /* 2111952 */   GIM_Try, /*On fail goto*//*Label 27923*/ GIMT_Encode4(2112043), // Rule ID 17103 //
     /* 2111957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2111960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2111965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2111968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2111971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2111974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2111999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112003 */     // MIs[0] round
     /* 2112003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112006 */     // MIs[0] policy
     /* 2112006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112016 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2112019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112042 */     // GIR_Coverage, 17103,
     /* 2112042 */     GIR_EraseRootFromParent_Done,
     /* 2112043 */   // Label 27923: @2112043
     /* 2112043 */   GIM_Try, /*On fail goto*//*Label 27924*/ GIMT_Encode4(2112134), // Rule ID 17104 //
     /* 2112048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2112051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2112059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2112062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2112065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2112068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2112090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112094 */     // MIs[0] round
     /* 2112094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112097 */     // MIs[0] policy
     /* 2112097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112107 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2112110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112133 */     // GIR_Coverage, 17104,
     /* 2112133 */     GIR_EraseRootFromParent_Done,
     /* 2112134 */   // Label 27924: @2112134
     /* 2112134 */   GIM_Try, /*On fail goto*//*Label 27925*/ GIMT_Encode4(2112225), // Rule ID 17107 //
     /* 2112139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2112142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2112150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2112153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2112156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2112159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2112181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112185 */     // MIs[0] round
     /* 2112185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112188 */     // MIs[0] policy
     /* 2112188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112198 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2112201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112224 */     // GIR_Coverage, 17107,
     /* 2112224 */     GIR_EraseRootFromParent_Done,
     /* 2112225 */   // Label 27925: @2112225
     /* 2112225 */   GIM_Try, /*On fail goto*//*Label 27926*/ GIMT_Encode4(2112316), // Rule ID 17108 //
     /* 2112230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2112233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2112238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2112241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2112244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2112247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2112250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2112272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112276 */     // MIs[0] round
     /* 2112276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112279 */     // MIs[0] policy
     /* 2112279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112289 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2112292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112315 */     // GIR_Coverage, 17108,
     /* 2112315 */     GIR_EraseRootFromParent_Done,
     /* 2112316 */   // Label 27926: @2112316
     /* 2112316 */   GIM_Try, /*On fail goto*//*Label 27927*/ GIMT_Encode4(2112407), // Rule ID 17117 //
     /* 2112321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2112329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2112332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2112335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2112338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2112341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112367 */     // MIs[0] round
     /* 2112367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112370 */     // MIs[0] policy
     /* 2112370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112380 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2112383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112406 */     // GIR_Coverage, 17117,
     /* 2112406 */     GIR_EraseRootFromParent_Done,
     /* 2112407 */   // Label 27927: @2112407
     /* 2112407 */   GIM_Try, /*On fail goto*//*Label 27928*/ GIMT_Encode4(2112498), // Rule ID 17118 //
     /* 2112412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2112420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2112423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2112426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2112429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2112432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112458 */     // MIs[0] round
     /* 2112458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112461 */     // MIs[0] policy
     /* 2112461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112471 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2112474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112497 */     // GIR_Coverage, 17118,
     /* 2112497 */     GIR_EraseRootFromParent_Done,
     /* 2112498 */   // Label 27928: @2112498
     /* 2112498 */   GIM_Try, /*On fail goto*//*Label 27929*/ GIMT_Encode4(2112589), // Rule ID 17127 //
     /* 2112503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2112511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2112514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2112517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2112520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2112523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112549 */     // MIs[0] round
     /* 2112549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112552 */     // MIs[0] policy
     /* 2112552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112562 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2112565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112588 */     // GIR_Coverage, 17127,
     /* 2112588 */     GIR_EraseRootFromParent_Done,
     /* 2112589 */   // Label 27929: @2112589
     /* 2112589 */   GIM_Try, /*On fail goto*//*Label 27930*/ GIMT_Encode4(2112680), // Rule ID 17128 //
     /* 2112594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2112602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2112605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2112608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2112611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2112614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112640 */     // MIs[0] round
     /* 2112640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112643 */     // MIs[0] policy
     /* 2112643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112653 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2112656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112679 */     // GIR_Coverage, 17128,
     /* 2112679 */     GIR_EraseRootFromParent_Done,
     /* 2112680 */   // Label 27930: @2112680
     /* 2112680 */   GIM_Try, /*On fail goto*//*Label 27931*/ GIMT_Encode4(2112771), // Rule ID 17137 //
     /* 2112685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2112693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2112696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2112699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2112702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2112705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112731 */     // MIs[0] round
     /* 2112731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112734 */     // MIs[0] policy
     /* 2112734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112744 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2112747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112770 */     // GIR_Coverage, 17137,
     /* 2112770 */     GIR_EraseRootFromParent_Done,
     /* 2112771 */   // Label 27931: @2112771
     /* 2112771 */   GIM_Try, /*On fail goto*//*Label 27932*/ GIMT_Encode4(2112862), // Rule ID 17138 //
     /* 2112776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2112784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2112787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2112790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2112793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2112796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112822 */     // MIs[0] round
     /* 2112822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112825 */     // MIs[0] policy
     /* 2112825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112835 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2112838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112861 */     // GIR_Coverage, 17138,
     /* 2112861 */     GIR_EraseRootFromParent_Done,
     /* 2112862 */   // Label 27932: @2112862
     /* 2112862 */   GIM_Try, /*On fail goto*//*Label 27933*/ GIMT_Encode4(2112953), // Rule ID 17147 //
     /* 2112867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2112870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2112875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2112884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2112887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112913 */     // MIs[0] round
     /* 2112913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112916 */     // MIs[0] policy
     /* 2112916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112926 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2112929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112952 */     // GIR_Coverage, 17147,
     /* 2112952 */     GIR_EraseRootFromParent_Done,
     /* 2112953 */   // Label 27933: @2112953
     /* 2112953 */   GIM_Try, /*On fail goto*//*Label 27934*/ GIMT_Encode4(2113044), // Rule ID 17148 //
     /* 2112958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2112961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2112966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2112975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2112978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113004 */     // MIs[0] round
     /* 2113004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113007 */     // MIs[0] policy
     /* 2113007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113017 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2113020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113043 */     // GIR_Coverage, 17148,
     /* 2113043 */     GIR_EraseRootFromParent_Done,
     /* 2113044 */   // Label 27934: @2113044
     /* 2113044 */   GIM_Try, /*On fail goto*//*Label 27935*/ GIMT_Encode4(2113135), // Rule ID 17157 //
     /* 2113049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2113052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2113060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2113063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2113066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2113069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2113072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113095 */     // MIs[0] round
     /* 2113095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113098 */     // MIs[0] policy
     /* 2113098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113108 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2113111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113134 */     // GIR_Coverage, 17157,
     /* 2113134 */     GIR_EraseRootFromParent_Done,
     /* 2113135 */   // Label 27935: @2113135
     /* 2113135 */   GIM_Try, /*On fail goto*//*Label 27936*/ GIMT_Encode4(2113226), // Rule ID 17158 //
     /* 2113140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2113143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2113151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2113154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2113157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2113160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2113163 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113186 */     // MIs[0] round
     /* 2113186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113189 */     // MIs[0] policy
     /* 2113189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113199 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2113202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113225 */     // GIR_Coverage, 17158,
     /* 2113225 */     GIR_EraseRootFromParent_Done,
     /* 2113226 */   // Label 27936: @2113226
     /* 2113226 */   GIM_Try, /*On fail goto*//*Label 27937*/ GIMT_Encode4(2113317), // Rule ID 17167 //
     /* 2113231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2113242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2113245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2113248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2113251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113277 */     // MIs[0] round
     /* 2113277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113280 */     // MIs[0] policy
     /* 2113280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113290 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2113293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113316 */     // GIR_Coverage, 17167,
     /* 2113316 */     GIR_EraseRootFromParent_Done,
     /* 2113317 */   // Label 27937: @2113317
     /* 2113317 */   GIM_Try, /*On fail goto*//*Label 27938*/ GIMT_Encode4(2113408), // Rule ID 17168 //
     /* 2113322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2113333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2113336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2113339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2113342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113368 */     // MIs[0] round
     /* 2113368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113371 */     // MIs[0] policy
     /* 2113371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113381 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2113384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113407 */     // GIR_Coverage, 17168,
     /* 2113407 */     GIR_EraseRootFromParent_Done,
     /* 2113408 */   // Label 27938: @2113408
     /* 2113408 */   GIM_Try, /*On fail goto*//*Label 27939*/ GIMT_Encode4(2113499), // Rule ID 17177 //
     /* 2113413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2113424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2113427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2113430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2113433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113459 */     // MIs[0] round
     /* 2113459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113462 */     // MIs[0] policy
     /* 2113462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113472 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2113475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113498 */     // GIR_Coverage, 17177,
     /* 2113498 */     GIR_EraseRootFromParent_Done,
     /* 2113499 */   // Label 27939: @2113499
     /* 2113499 */   GIM_Try, /*On fail goto*//*Label 27940*/ GIMT_Encode4(2113590), // Rule ID 17178 //
     /* 2113504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2113515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2113518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2113521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2113524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113550 */     // MIs[0] round
     /* 2113550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113553 */     // MIs[0] policy
     /* 2113553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113563 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2113566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113589 */     // GIR_Coverage, 17178,
     /* 2113589 */     GIR_EraseRootFromParent_Done,
     /* 2113590 */   // Label 27940: @2113590
     /* 2113590 */   GIM_Try, /*On fail goto*//*Label 27941*/ GIMT_Encode4(2113681), // Rule ID 17187 //
     /* 2113595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2113606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2113609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2113612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2113615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113641 */     // MIs[0] round
     /* 2113641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113644 */     // MIs[0] policy
     /* 2113644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113654 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2113657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113680 */     // GIR_Coverage, 17187,
     /* 2113680 */     GIR_EraseRootFromParent_Done,
     /* 2113681 */   // Label 27941: @2113681
     /* 2113681 */   GIM_Try, /*On fail goto*//*Label 27942*/ GIMT_Encode4(2113772), // Rule ID 17188 //
     /* 2113686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2113697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2113700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2113703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2113706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113732 */     // MIs[0] round
     /* 2113732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113735 */     // MIs[0] policy
     /* 2113735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113745 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2113748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113771 */     // GIR_Coverage, 17188,
     /* 2113771 */     GIR_EraseRootFromParent_Done,
     /* 2113772 */   // Label 27942: @2113772
     /* 2113772 */   GIM_Try, /*On fail goto*//*Label 27943*/ GIMT_Encode4(2113863), // Rule ID 17197 //
     /* 2113777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2113780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2113788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2113791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2113794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2113797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113823 */     // MIs[0] round
     /* 2113823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113826 */     // MIs[0] policy
     /* 2113826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113836 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2113839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113862 */     // GIR_Coverage, 17197,
     /* 2113862 */     GIR_EraseRootFromParent_Done,
     /* 2113863 */   // Label 27943: @2113863
     /* 2113863 */   GIM_Try, /*On fail goto*//*Label 27944*/ GIMT_Encode4(2113954), // Rule ID 17198 //
     /* 2113868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2113871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2113879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2113882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2113885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2113888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113914 */     // MIs[0] round
     /* 2113914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113917 */     // MIs[0] policy
     /* 2113917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113927 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2113930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113953 */     // GIR_Coverage, 17198,
     /* 2113953 */     GIR_EraseRootFromParent_Done,
     /* 2113954 */   // Label 27944: @2113954
     /* 2113954 */   GIM_Try, /*On fail goto*//*Label 27945*/ GIMT_Encode4(2114045), // Rule ID 17201 //
     /* 2113959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2113962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2113967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2113970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2113973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2113976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114005 */     // MIs[0] round
     /* 2114005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114008 */     // MIs[0] policy
     /* 2114008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114018 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2114021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114044 */     // GIR_Coverage, 17201,
     /* 2114044 */     GIR_EraseRootFromParent_Done,
     /* 2114045 */   // Label 27945: @2114045
     /* 2114045 */   GIM_Try, /*On fail goto*//*Label 27946*/ GIMT_Encode4(2114136), // Rule ID 17202 //
     /* 2114050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2114061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2114064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2114067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114096 */     // MIs[0] round
     /* 2114096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114099 */     // MIs[0] policy
     /* 2114099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114109 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2114112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114135 */     // GIR_Coverage, 17202,
     /* 2114135 */     GIR_EraseRootFromParent_Done,
     /* 2114136 */   // Label 27946: @2114136
     /* 2114136 */   GIM_Try, /*On fail goto*//*Label 27947*/ GIMT_Encode4(2114227), // Rule ID 17205 //
     /* 2114141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2114152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2114155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2114158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114187 */     // MIs[0] round
     /* 2114187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114190 */     // MIs[0] policy
     /* 2114190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114200 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2114203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114226 */     // GIR_Coverage, 17205,
     /* 2114226 */     GIR_EraseRootFromParent_Done,
     /* 2114227 */   // Label 27947: @2114227
     /* 2114227 */   GIM_Try, /*On fail goto*//*Label 27948*/ GIMT_Encode4(2114318), // Rule ID 17206 //
     /* 2114232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2114243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2114246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2114249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114278 */     // MIs[0] round
     /* 2114278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114281 */     // MIs[0] policy
     /* 2114281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114291 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2114294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114317 */     // GIR_Coverage, 17206,
     /* 2114317 */     GIR_EraseRootFromParent_Done,
     /* 2114318 */   // Label 27948: @2114318
     /* 2114318 */   GIM_Try, /*On fail goto*//*Label 27949*/ GIMT_Encode4(2114409), // Rule ID 17209 //
     /* 2114323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2114334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2114337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2114340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114369 */     // MIs[0] round
     /* 2114369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114372 */     // MIs[0] policy
     /* 2114372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114382 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2114385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114408 */     // GIR_Coverage, 17209,
     /* 2114408 */     GIR_EraseRootFromParent_Done,
     /* 2114409 */   // Label 27949: @2114409
     /* 2114409 */   GIM_Try, /*On fail goto*//*Label 27950*/ GIMT_Encode4(2114500), // Rule ID 17210 //
     /* 2114414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2114425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2114428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2114431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114460 */     // MIs[0] round
     /* 2114460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114463 */     // MIs[0] policy
     /* 2114463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114473 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2114476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114499 */     // GIR_Coverage, 17210,
     /* 2114499 */     GIR_EraseRootFromParent_Done,
     /* 2114500 */   // Label 27950: @2114500
     /* 2114500 */   GIM_Try, /*On fail goto*//*Label 27951*/ GIMT_Encode4(2114591), // Rule ID 17213 //
     /* 2114505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2114516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2114519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2114522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114551 */     // MIs[0] round
     /* 2114551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114554 */     // MIs[0] policy
     /* 2114554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114564 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2114567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114590 */     // GIR_Coverage, 17213,
     /* 2114590 */     GIR_EraseRootFromParent_Done,
     /* 2114591 */   // Label 27951: @2114591
     /* 2114591 */   GIM_Try, /*On fail goto*//*Label 27952*/ GIMT_Encode4(2114682), // Rule ID 17214 //
     /* 2114596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2114607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2114610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2114613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114642 */     // MIs[0] round
     /* 2114642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114645 */     // MIs[0] policy
     /* 2114645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114655 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2114658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114681 */     // GIR_Coverage, 17214,
     /* 2114681 */     GIR_EraseRootFromParent_Done,
     /* 2114682 */   // Label 27952: @2114682
     /* 2114682 */   GIM_Try, /*On fail goto*//*Label 27953*/ GIMT_Encode4(2114773), // Rule ID 17217 //
     /* 2114687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2114690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2114698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2114701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2114704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2114710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114733 */     // MIs[0] round
     /* 2114733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114736 */     // MIs[0] policy
     /* 2114736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114746 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2114749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114772 */     // GIR_Coverage, 17217,
     /* 2114772 */     GIR_EraseRootFromParent_Done,
     /* 2114773 */   // Label 27953: @2114773
     /* 2114773 */   GIM_Try, /*On fail goto*//*Label 27954*/ GIMT_Encode4(2114864), // Rule ID 17218 //
     /* 2114778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2114781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2114789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2114792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2114795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2114801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114824 */     // MIs[0] round
     /* 2114824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114827 */     // MIs[0] policy
     /* 2114827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114837 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2114840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114863 */     // GIR_Coverage, 17218,
     /* 2114863 */     GIR_EraseRootFromParent_Done,
     /* 2114864 */   // Label 27954: @2114864
     /* 2114864 */   GIM_Try, /*On fail goto*//*Label 27955*/ GIMT_Encode4(2114955), // Rule ID 17221 //
     /* 2114869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2114872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2114880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2114883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2114886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2114911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114915 */     // MIs[0] round
     /* 2114915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114918 */     // MIs[0] policy
     /* 2114918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114928 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2114931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114954 */     // GIR_Coverage, 17221,
     /* 2114954 */     GIR_EraseRootFromParent_Done,
     /* 2114955 */   // Label 27955: @2114955
     /* 2114955 */   GIM_Try, /*On fail goto*//*Label 27956*/ GIMT_Encode4(2115046), // Rule ID 17222 //
     /* 2114960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2114963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2114968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2114971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2114974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2114977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2115002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115006 */     // MIs[0] round
     /* 2115006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115009 */     // MIs[0] policy
     /* 2115009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115019 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2115022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115045 */     // GIR_Coverage, 17222,
     /* 2115045 */     GIR_EraseRootFromParent_Done,
     /* 2115046 */   // Label 27956: @2115046
     /* 2115046 */   GIM_Try, /*On fail goto*//*Label 27957*/ GIMT_Encode4(2115137), // Rule ID 17225 //
     /* 2115051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2115054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2115062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2115065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2115068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2115071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2115093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115097 */     // MIs[0] round
     /* 2115097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115100 */     // MIs[0] policy
     /* 2115100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115110 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2115113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115136 */     // GIR_Coverage, 17225,
     /* 2115136 */     GIR_EraseRootFromParent_Done,
     /* 2115137 */   // Label 27957: @2115137
     /* 2115137 */   GIM_Try, /*On fail goto*//*Label 27958*/ GIMT_Encode4(2115228), // Rule ID 17226 //
     /* 2115142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2115145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2115153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2115156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2115159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2115162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2115184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115188 */     // MIs[0] round
     /* 2115188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115191 */     // MIs[0] policy
     /* 2115191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115201 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2115204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115227 */     // GIR_Coverage, 17226,
     /* 2115227 */     GIR_EraseRootFromParent_Done,
     /* 2115228 */   // Label 27958: @2115228
     /* 2115228 */   GIM_Try, /*On fail goto*//*Label 27959*/ GIMT_Encode4(2115319), // Rule ID 17229 //
     /* 2115233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2115236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2115244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2115247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2115250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2115253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2115275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115279 */     // MIs[0] round
     /* 2115279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115282 */     // MIs[0] policy
     /* 2115282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115292 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2115295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115318 */     // GIR_Coverage, 17229,
     /* 2115318 */     GIR_EraseRootFromParent_Done,
     /* 2115319 */   // Label 27959: @2115319
     /* 2115319 */   GIM_Try, /*On fail goto*//*Label 27960*/ GIMT_Encode4(2115410), // Rule ID 17230 //
     /* 2115324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2115327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2115335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2115338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2115341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2115344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2115366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115370 */     // MIs[0] round
     /* 2115370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115373 */     // MIs[0] policy
     /* 2115373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115383 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2115386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115409 */     // GIR_Coverage, 17230,
     /* 2115409 */     GIR_EraseRootFromParent_Done,
     /* 2115410 */   // Label 27960: @2115410
     /* 2115410 */   GIM_Try, /*On fail goto*//*Label 27961*/ GIMT_Encode4(2115501), // Rule ID 17233 //
     /* 2115415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2115418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2115426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2115429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2115432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2115435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2115457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115461 */     // MIs[0] round
     /* 2115461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115464 */     // MIs[0] policy
     /* 2115464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115474 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2115477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115500 */     // GIR_Coverage, 17233,
     /* 2115500 */     GIR_EraseRootFromParent_Done,
     /* 2115501 */   // Label 27961: @2115501
     /* 2115501 */   GIM_Try, /*On fail goto*//*Label 27962*/ GIMT_Encode4(2115592), // Rule ID 17234 //
     /* 2115506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2115509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2115514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2115517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2115520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2115523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2115526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2115548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115552 */     // MIs[0] round
     /* 2115552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115555 */     // MIs[0] policy
     /* 2115555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115565 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2115568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115591 */     // GIR_Coverage, 17234,
     /* 2115591 */     GIR_EraseRootFromParent_Done,
     /* 2115592 */   // Label 27962: @2115592
     /* 2115592 */   GIM_Try, /*On fail goto*//*Label 27963*/ GIMT_Encode4(2115683), // Rule ID 17237 //
     /* 2115597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2115600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2115605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2115608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2115611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2115614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2115617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115643 */     // MIs[0] round
     /* 2115643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115646 */     // MIs[0] policy
     /* 2115646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115656 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2115659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115682 */     // GIR_Coverage, 17237,
     /* 2115682 */     GIR_EraseRootFromParent_Done,
     /* 2115683 */   // Label 27963: @2115683
     /* 2115683 */   GIM_Try, /*On fail goto*//*Label 27964*/ GIMT_Encode4(2115774), // Rule ID 17238 //
     /* 2115688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2115691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2115696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2115699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2115702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2115705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2115708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115734 */     // MIs[0] round
     /* 2115734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115737 */     // MIs[0] policy
     /* 2115737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115747 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2115750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115773 */     // GIR_Coverage, 17238,
     /* 2115773 */     GIR_EraseRootFromParent_Done,
     /* 2115774 */   // Label 27964: @2115774
     /* 2115774 */   GIM_Try, /*On fail goto*//*Label 27965*/ GIMT_Encode4(2115865), // Rule ID 17241 //
     /* 2115779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2115782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2115787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2115790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2115793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2115796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2115799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115825 */     // MIs[0] round
     /* 2115825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115828 */     // MIs[0] policy
     /* 2115828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115838 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2115841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115864 */     // GIR_Coverage, 17241,
     /* 2115864 */     GIR_EraseRootFromParent_Done,
     /* 2115865 */   // Label 27965: @2115865
     /* 2115865 */   GIM_Try, /*On fail goto*//*Label 27966*/ GIMT_Encode4(2115956), // Rule ID 17242 //
     /* 2115870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2115873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2115878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2115881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2115884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2115887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2115890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115916 */     // MIs[0] round
     /* 2115916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115919 */     // MIs[0] policy
     /* 2115919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115929 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2115932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115955 */     // GIR_Coverage, 17242,
     /* 2115955 */     GIR_EraseRootFromParent_Done,
     /* 2115956 */   // Label 27966: @2115956
     /* 2115956 */   GIM_Try, /*On fail goto*//*Label 27967*/ GIMT_Encode4(2116047), // Rule ID 17245 //
     /* 2115961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2115964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2115969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2115972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2115975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2115978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2115981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116007 */     // MIs[0] round
     /* 2116007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116010 */     // MIs[0] policy
     /* 2116010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116020 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2116023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116046 */     // GIR_Coverage, 17245,
     /* 2116046 */     GIR_EraseRootFromParent_Done,
     /* 2116047 */   // Label 27967: @2116047
     /* 2116047 */   GIM_Try, /*On fail goto*//*Label 27968*/ GIMT_Encode4(2116138), // Rule ID 17246 //
     /* 2116052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2116055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2116060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2116063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2116066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2116069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2116072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116098 */     // MIs[0] round
     /* 2116098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116101 */     // MIs[0] policy
     /* 2116101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116111 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2116114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116137 */     // GIR_Coverage, 17246,
     /* 2116137 */     GIR_EraseRootFromParent_Done,
     /* 2116138 */   // Label 27968: @2116138
     /* 2116138 */   GIM_Try, /*On fail goto*//*Label 27969*/ GIMT_Encode4(2116229), // Rule ID 17249 //
     /* 2116143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2116146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2116151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2116154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2116157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2116160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2116163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116189 */     // MIs[0] round
     /* 2116189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116192 */     // MIs[0] policy
     /* 2116192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116202 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2116205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116228 */     // GIR_Coverage, 17249,
     /* 2116228 */     GIR_EraseRootFromParent_Done,
     /* 2116229 */   // Label 27969: @2116229
     /* 2116229 */   GIM_Try, /*On fail goto*//*Label 27970*/ GIMT_Encode4(2116320), // Rule ID 17250 //
     /* 2116234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2116237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2116242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2116245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2116248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2116251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2116254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116280 */     // MIs[0] round
     /* 2116280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116283 */     // MIs[0] policy
     /* 2116283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116293 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2116296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116306 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116316 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116319 */     // GIR_Coverage, 17250,
     /* 2116319 */     GIR_EraseRootFromParent_Done,
     /* 2116320 */   // Label 27970: @2116320
     /* 2116320 */   GIM_Try, /*On fail goto*//*Label 27971*/ GIMT_Encode4(2116411), // Rule ID 17253 //
     /* 2116325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2116328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2116333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2116336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2116339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2116342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2116345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116371 */     // MIs[0] round
     /* 2116371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116374 */     // MIs[0] policy
     /* 2116374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116384 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2116387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116410 */     // GIR_Coverage, 17253,
     /* 2116410 */     GIR_EraseRootFromParent_Done,
     /* 2116411 */   // Label 27971: @2116411
     /* 2116411 */   GIM_Try, /*On fail goto*//*Label 27972*/ GIMT_Encode4(2116502), // Rule ID 17254 //
     /* 2116416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2116419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2116424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2116427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2116430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2116433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2116436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116462 */     // MIs[0] round
     /* 2116462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116465 */     // MIs[0] policy
     /* 2116465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116475 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2116478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116501 */     // GIR_Coverage, 17254,
     /* 2116501 */     GIR_EraseRootFromParent_Done,
     /* 2116502 */   // Label 27972: @2116502
     /* 2116502 */   GIM_Try, /*On fail goto*//*Label 27973*/ GIMT_Encode4(2116593), // Rule ID 17257 //
     /* 2116507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2116510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2116515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2116518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2116521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2116524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2116527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116553 */     // MIs[0] round
     /* 2116553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116556 */     // MIs[0] policy
     /* 2116556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116566 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2116569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2116589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116592 */     // GIR_Coverage, 17257,
     /* 2116592 */     GIR_EraseRootFromParent_Done,
     /* 2116593 */   // Label 27973: @2116593
     /* 2116593 */   GIM_Try, /*On fail goto*//*Label 27974*/ GIMT_Encode4(2116684), // Rule ID 17258 //
     /* 2116598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2116601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2116606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2116609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2116612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2116615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2116618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116644 */     // MIs[0] round
     /* 2116644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116647 */     // MIs[0] policy
     /* 2116647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116657 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2116660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2116680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116683 */     // GIR_Coverage, 17258,
     /* 2116683 */     GIR_EraseRootFromParent_Done,
     /* 2116684 */   // Label 27974: @2116684
     /* 2116684 */   GIM_Try, /*On fail goto*//*Label 27975*/ GIMT_Encode4(2116775), // Rule ID 17261 //
     /* 2116689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2116692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2116697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2116700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2116703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2116706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2116709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116735 */     // MIs[0] round
     /* 2116735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116738 */     // MIs[0] policy
     /* 2116738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116748 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2116751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116774 */     // GIR_Coverage, 17261,
     /* 2116774 */     GIR_EraseRootFromParent_Done,
     /* 2116775 */   // Label 27975: @2116775
     /* 2116775 */   GIM_Try, /*On fail goto*//*Label 27976*/ GIMT_Encode4(2116866), // Rule ID 17262 //
     /* 2116780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2116783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2116788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2116791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2116794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2116797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2116800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116826 */     // MIs[0] round
     /* 2116826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116829 */     // MIs[0] policy
     /* 2116829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116839 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2116842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116865 */     // GIR_Coverage, 17262,
     /* 2116865 */     GIR_EraseRootFromParent_Done,
     /* 2116866 */   // Label 27976: @2116866
     /* 2116866 */   GIM_Try, /*On fail goto*//*Label 27977*/ GIMT_Encode4(2116957), // Rule ID 17265 //
     /* 2116871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2116874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2116879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2116882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2116885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2116888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2116891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2116894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116917 */     // MIs[0] round
     /* 2116917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116920 */     // MIs[0] policy
     /* 2116920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116930 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2116933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116956 */     // GIR_Coverage, 17265,
     /* 2116956 */     GIR_EraseRootFromParent_Done,
     /* 2116957 */   // Label 27977: @2116957
     /* 2116957 */   GIM_Try, /*On fail goto*//*Label 27978*/ GIMT_Encode4(2117048), // Rule ID 17266 //
     /* 2116962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2116965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2116970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2116973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2116976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2116979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2116982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2116985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117008 */     // MIs[0] round
     /* 2117008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117011 */     // MIs[0] policy
     /* 2117011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117021 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2117024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117047 */     // GIR_Coverage, 17266,
     /* 2117047 */     GIR_EraseRootFromParent_Done,
     /* 2117048 */   // Label 27978: @2117048
     /* 2117048 */   GIM_Try, /*On fail goto*//*Label 27979*/ GIMT_Encode4(2117139), // Rule ID 17269 //
     /* 2117053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2117056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2117064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2117067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2117070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2117073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2117076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117099 */     // MIs[0] round
     /* 2117099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117102 */     // MIs[0] policy
     /* 2117102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117112 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2117115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117138 */     // GIR_Coverage, 17269,
     /* 2117138 */     GIR_EraseRootFromParent_Done,
     /* 2117139 */   // Label 27979: @2117139
     /* 2117139 */   GIM_Try, /*On fail goto*//*Label 27980*/ GIMT_Encode4(2117230), // Rule ID 17270 //
     /* 2117144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2117147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2117155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2117158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2117161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2117164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2117167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117190 */     // MIs[0] round
     /* 2117190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117193 */     // MIs[0] policy
     /* 2117193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117203 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2117206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117229 */     // GIR_Coverage, 17270,
     /* 2117229 */     GIR_EraseRootFromParent_Done,
     /* 2117230 */   // Label 27980: @2117230
     /* 2117230 */   GIM_Try, /*On fail goto*//*Label 27981*/ GIMT_Encode4(2117321), // Rule ID 17273 //
     /* 2117235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2117238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2117246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2117249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2117252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2117255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2117265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117281 */     // MIs[0] round
     /* 2117281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117284 */     // MIs[0] policy
     /* 2117284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117294 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2117297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117320 */     // GIR_Coverage, 17273,
     /* 2117320 */     GIR_EraseRootFromParent_Done,
     /* 2117321 */   // Label 27981: @2117321
     /* 2117321 */   GIM_Try, /*On fail goto*//*Label 27982*/ GIMT_Encode4(2117412), // Rule ID 17274 //
     /* 2117326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2117329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2117337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2117340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2117343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2117346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2117356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117372 */     // MIs[0] round
     /* 2117372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117375 */     // MIs[0] policy
     /* 2117375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117385 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2117388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117411 */     // GIR_Coverage, 17274,
     /* 2117411 */     GIR_EraseRootFromParent_Done,
     /* 2117412 */   // Label 27982: @2117412
     /* 2117412 */   GIM_Try, /*On fail goto*//*Label 27983*/ GIMT_Encode4(2117503), // Rule ID 17277 //
     /* 2117417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2117420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2117428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2117431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2117434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2117437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2117447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117463 */     // MIs[0] round
     /* 2117463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117466 */     // MIs[0] policy
     /* 2117466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117476 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2117479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117502 */     // GIR_Coverage, 17277,
     /* 2117502 */     GIR_EraseRootFromParent_Done,
     /* 2117503 */   // Label 27983: @2117503
     /* 2117503 */   GIM_Try, /*On fail goto*//*Label 27984*/ GIMT_Encode4(2117594), // Rule ID 17278 //
     /* 2117508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2117511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2117519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2117522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2117525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2117528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2117538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117554 */     // MIs[0] round
     /* 2117554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117557 */     // MIs[0] policy
     /* 2117557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117567 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2117570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117593 */     // GIR_Coverage, 17278,
     /* 2117593 */     GIR_EraseRootFromParent_Done,
     /* 2117594 */   // Label 27984: @2117594
     /* 2117594 */   GIM_Try, /*On fail goto*//*Label 27985*/ GIMT_Encode4(2117685), // Rule ID 17281 //
     /* 2117599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2117602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2117610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2117613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2117616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2117619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2117622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117645 */     // MIs[0] round
     /* 2117645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117648 */     // MIs[0] policy
     /* 2117648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117658 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2117661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117684 */     // GIR_Coverage, 17281,
     /* 2117684 */     GIR_EraseRootFromParent_Done,
     /* 2117685 */   // Label 27985: @2117685
     /* 2117685 */   GIM_Try, /*On fail goto*//*Label 27986*/ GIMT_Encode4(2117776), // Rule ID 17282 //
     /* 2117690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2117693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2117701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2117704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2117707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2117710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2117713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117736 */     // MIs[0] round
     /* 2117736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117739 */     // MIs[0] policy
     /* 2117739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117749 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2117752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117775 */     // GIR_Coverage, 17282,
     /* 2117775 */     GIR_EraseRootFromParent_Done,
     /* 2117776 */   // Label 27986: @2117776
     /* 2117776 */   GIM_Try, /*On fail goto*//*Label 27987*/ GIMT_Encode4(2117867), // Rule ID 17285 //
     /* 2117781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2117784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2117792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2117795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2117798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2117801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2117811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117827 */     // MIs[0] round
     /* 2117827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117830 */     // MIs[0] policy
     /* 2117830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117840 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2117843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2117863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117866 */     // GIR_Coverage, 17285,
     /* 2117866 */     GIR_EraseRootFromParent_Done,
     /* 2117867 */   // Label 27987: @2117867
     /* 2117867 */   GIM_Try, /*On fail goto*//*Label 27988*/ GIMT_Encode4(2117958), // Rule ID 17286 //
     /* 2117872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2117875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2117883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2117886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2117889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2117892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2117902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117918 */     // MIs[0] round
     /* 2117918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117921 */     // MIs[0] policy
     /* 2117921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117931 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2117934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2117954 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117957 */     // GIR_Coverage, 17286,
     /* 2117957 */     GIR_EraseRootFromParent_Done,
     /* 2117958 */   // Label 27988: @2117958
     /* 2117958 */   GIM_Try, /*On fail goto*//*Label 27989*/ GIMT_Encode4(2118049), // Rule ID 17289 //
     /* 2117963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2117966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2117971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2117974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2117977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2117980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2117983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2117993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118009 */     // MIs[0] round
     /* 2118009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118012 */     // MIs[0] policy
     /* 2118012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118022 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2118025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118048 */     // GIR_Coverage, 17289,
     /* 2118048 */     GIR_EraseRootFromParent_Done,
     /* 2118049 */   // Label 27989: @2118049
     /* 2118049 */   GIM_Try, /*On fail goto*//*Label 27990*/ GIMT_Encode4(2118140), // Rule ID 17290 //
     /* 2118054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2118057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2118065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2118068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2118071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2118074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118100 */     // MIs[0] round
     /* 2118100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118103 */     // MIs[0] policy
     /* 2118103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118113 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2118116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118139 */     // GIR_Coverage, 17290,
     /* 2118139 */     GIR_EraseRootFromParent_Done,
     /* 2118140 */   // Label 27990: @2118140
     /* 2118140 */   GIM_Try, /*On fail goto*//*Label 27991*/ GIMT_Encode4(2118231), // Rule ID 17293 //
     /* 2118145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2118148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2118156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2118159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2118162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2118165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118191 */     // MIs[0] round
     /* 2118191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118194 */     // MIs[0] policy
     /* 2118194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118204 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2118207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118230 */     // GIR_Coverage, 17293,
     /* 2118230 */     GIR_EraseRootFromParent_Done,
     /* 2118231 */   // Label 27991: @2118231
     /* 2118231 */   GIM_Try, /*On fail goto*//*Label 27992*/ GIMT_Encode4(2118322), // Rule ID 17294 //
     /* 2118236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2118239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2118247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2118250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2118253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2118256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118282 */     // MIs[0] round
     /* 2118282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118285 */     // MIs[0] policy
     /* 2118285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118295 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2118298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118321 */     // GIR_Coverage, 17294,
     /* 2118321 */     GIR_EraseRootFromParent_Done,
     /* 2118322 */   // Label 27992: @2118322
     /* 2118322 */   GIM_Try, /*On fail goto*//*Label 27993*/ GIMT_Encode4(2118413), // Rule ID 17297 //
     /* 2118327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2118330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2118338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2118341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2118344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2118347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2118369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118373 */     // MIs[0] round
     /* 2118373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118376 */     // MIs[0] policy
     /* 2118376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118386 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2118389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118412 */     // GIR_Coverage, 17297,
     /* 2118412 */     GIR_EraseRootFromParent_Done,
     /* 2118413 */   // Label 27993: @2118413
     /* 2118413 */   GIM_Try, /*On fail goto*//*Label 27994*/ GIMT_Encode4(2118504), // Rule ID 17298 //
     /* 2118418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2118421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2118429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2118432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2118435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2118438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2118460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118464 */     // MIs[0] round
     /* 2118464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118467 */     // MIs[0] policy
     /* 2118467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118477 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2118480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118503 */     // GIR_Coverage, 17298,
     /* 2118503 */     GIR_EraseRootFromParent_Done,
     /* 2118504 */   // Label 27994: @2118504
     /* 2118504 */   GIM_Try, /*On fail goto*//*Label 27995*/ GIMT_Encode4(2118595), // Rule ID 17301 //
     /* 2118509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2118512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2118520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2118523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2118526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2118529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2118532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2118551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118555 */     // MIs[0] round
     /* 2118555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118558 */     // MIs[0] policy
     /* 2118558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118568 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2118571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118594 */     // GIR_Coverage, 17301,
     /* 2118594 */     GIR_EraseRootFromParent_Done,
     /* 2118595 */   // Label 27995: @2118595
     /* 2118595 */   GIM_Try, /*On fail goto*//*Label 27996*/ GIMT_Encode4(2118686), // Rule ID 17302 //
     /* 2118600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2118603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2118611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2118614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2118617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2118620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2118623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2118642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118646 */     // MIs[0] round
     /* 2118646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118649 */     // MIs[0] policy
     /* 2118649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118659 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2118662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118685 */     // GIR_Coverage, 17302,
     /* 2118685 */     GIR_EraseRootFromParent_Done,
     /* 2118686 */   // Label 27996: @2118686
     /* 2118686 */   GIM_Try, /*On fail goto*//*Label 27997*/ GIMT_Encode4(2118777), // Rule ID 17305 //
     /* 2118691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2118694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2118702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2118705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2118708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2118711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2118733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118737 */     // MIs[0] round
     /* 2118737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118740 */     // MIs[0] policy
     /* 2118740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118750 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2118753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118776 */     // GIR_Coverage, 17305,
     /* 2118776 */     GIR_EraseRootFromParent_Done,
     /* 2118777 */   // Label 27997: @2118777
     /* 2118777 */   GIM_Try, /*On fail goto*//*Label 27998*/ GIMT_Encode4(2118868), // Rule ID 17306 //
     /* 2118782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2118785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2118793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2118796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2118799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2118802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2118824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118828 */     // MIs[0] round
     /* 2118828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118831 */     // MIs[0] policy
     /* 2118831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118841 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2118844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118867 */     // GIR_Coverage, 17306,
     /* 2118867 */     GIR_EraseRootFromParent_Done,
     /* 2118868 */   // Label 27998: @2118868
     /* 2118868 */   GIM_Try, /*On fail goto*//*Label 27999*/ GIMT_Encode4(2118959), // Rule ID 17309 //
     /* 2118873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2118876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2118884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2118887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2118890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2118893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2118915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118919 */     // MIs[0] round
     /* 2118919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118922 */     // MIs[0] policy
     /* 2118922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118932 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2118935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118958 */     // GIR_Coverage, 17309,
     /* 2118958 */     GIR_EraseRootFromParent_Done,
     /* 2118959 */   // Label 27999: @2118959
     /* 2118959 */   GIM_Try, /*On fail goto*//*Label 28000*/ GIMT_Encode4(2119050), // Rule ID 17310 //
     /* 2118964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2118967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2118972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2118975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2118978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2118981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2118984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119010 */     // MIs[0] round
     /* 2119010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119013 */     // MIs[0] policy
     /* 2119013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119023 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2119026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119049 */     // GIR_Coverage, 17310,
     /* 2119049 */     GIR_EraseRootFromParent_Done,
     /* 2119050 */   // Label 28000: @2119050
     /* 2119050 */   GIM_Try, /*On fail goto*//*Label 28001*/ GIMT_Encode4(2119141), // Rule ID 17313 //
     /* 2119055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2119058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2119066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2119069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2119072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2119097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119101 */     // MIs[0] round
     /* 2119101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119104 */     // MIs[0] policy
     /* 2119104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119114 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2119117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119140 */     // GIR_Coverage, 17313,
     /* 2119140 */     GIR_EraseRootFromParent_Done,
     /* 2119141 */   // Label 28001: @2119141
     /* 2119141 */   GIM_Try, /*On fail goto*//*Label 28002*/ GIMT_Encode4(2119232), // Rule ID 17314 //
     /* 2119146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2119149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2119157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2119160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2119163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2119188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119192 */     // MIs[0] round
     /* 2119192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119195 */     // MIs[0] policy
     /* 2119195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119205 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2119208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119231 */     // GIR_Coverage, 17314,
     /* 2119231 */     GIR_EraseRootFromParent_Done,
     /* 2119232 */   // Label 28002: @2119232
     /* 2119232 */   GIM_Try, /*On fail goto*//*Label 28003*/ GIMT_Encode4(2119323), // Rule ID 17317 //
     /* 2119237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2119240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2119248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2119251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2119254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2119257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2119279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119283 */     // MIs[0] round
     /* 2119283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119286 */     // MIs[0] policy
     /* 2119286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119296 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2119299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119322 */     // GIR_Coverage, 17317,
     /* 2119322 */     GIR_EraseRootFromParent_Done,
     /* 2119323 */   // Label 28003: @2119323
     /* 2119323 */   GIM_Try, /*On fail goto*//*Label 28004*/ GIMT_Encode4(2119414), // Rule ID 17318 //
     /* 2119328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2119331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2119339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2119342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2119345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2119348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2119370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119374 */     // MIs[0] round
     /* 2119374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119377 */     // MIs[0] policy
     /* 2119377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119387 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2119390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119400 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119410 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119413 */     // GIR_Coverage, 17318,
     /* 2119413 */     GIR_EraseRootFromParent_Done,
     /* 2119414 */   // Label 28004: @2119414
     /* 2119414 */   GIM_Try, /*On fail goto*//*Label 28005*/ GIMT_Encode4(2119505), // Rule ID 17321 //
     /* 2119419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2119422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2119430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2119433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2119436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119465 */     // MIs[0] round
     /* 2119465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119468 */     // MIs[0] policy
     /* 2119468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119478 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2119481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119504 */     // GIR_Coverage, 17321,
     /* 2119504 */     GIR_EraseRootFromParent_Done,
     /* 2119505 */   // Label 28005: @2119505
     /* 2119505 */   GIM_Try, /*On fail goto*//*Label 28006*/ GIMT_Encode4(2119596), // Rule ID 17322 //
     /* 2119510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2119513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2119521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2119524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2119527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119533 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119556 */     // MIs[0] round
     /* 2119556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119559 */     // MIs[0] policy
     /* 2119559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119569 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2119572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119595 */     // GIR_Coverage, 17322,
     /* 2119595 */     GIR_EraseRootFromParent_Done,
     /* 2119596 */   // Label 28006: @2119596
     /* 2119596 */   GIM_Try, /*On fail goto*//*Label 28007*/ GIMT_Encode4(2119687), // Rule ID 17325 //
     /* 2119601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2119604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2119612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2119615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2119618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2119624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119647 */     // MIs[0] round
     /* 2119647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119650 */     // MIs[0] policy
     /* 2119650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119660 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2119663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119686 */     // GIR_Coverage, 17325,
     /* 2119686 */     GIR_EraseRootFromParent_Done,
     /* 2119687 */   // Label 28007: @2119687
     /* 2119687 */   GIM_Try, /*On fail goto*//*Label 28008*/ GIMT_Encode4(2119778), // Rule ID 17326 //
     /* 2119692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2119695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2119703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2119706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2119709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2119715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119738 */     // MIs[0] round
     /* 2119738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119741 */     // MIs[0] policy
     /* 2119741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119751 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2119754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119777 */     // GIR_Coverage, 17326,
     /* 2119777 */     GIR_EraseRootFromParent_Done,
     /* 2119778 */   // Label 28008: @2119778
     /* 2119778 */   GIM_Try, /*On fail goto*//*Label 28009*/ GIMT_Encode4(2119869), // Rule ID 17329 //
     /* 2119783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2119786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2119794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2119797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2119800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2119806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119829 */     // MIs[0] round
     /* 2119829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119832 */     // MIs[0] policy
     /* 2119832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119842 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2119845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119868 */     // GIR_Coverage, 17329,
     /* 2119868 */     GIR_EraseRootFromParent_Done,
     /* 2119869 */   // Label 28009: @2119869
     /* 2119869 */   GIM_Try, /*On fail goto*//*Label 28010*/ GIMT_Encode4(2119960), // Rule ID 17330 //
     /* 2119874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2119877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2119885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2119888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2119891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2119897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119920 */     // MIs[0] round
     /* 2119920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119923 */     // MIs[0] policy
     /* 2119923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119933 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2119936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119959 */     // GIR_Coverage, 17330,
     /* 2119959 */     GIR_EraseRootFromParent_Done,
     /* 2119960 */   // Label 28010: @2119960
     /* 2119960 */   GIM_Try, /*On fail goto*//*Label 28011*/ GIMT_Encode4(2120051), // Rule ID 17333 //
     /* 2119965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2119968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2119973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2119976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2119979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2119982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120011 */     // MIs[0] round
     /* 2120011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120014 */     // MIs[0] policy
     /* 2120014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120024 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2120027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120050 */     // GIR_Coverage, 17333,
     /* 2120050 */     GIR_EraseRootFromParent_Done,
     /* 2120051 */   // Label 28011: @2120051
     /* 2120051 */   GIM_Try, /*On fail goto*//*Label 28012*/ GIMT_Encode4(2120142), // Rule ID 17334 //
     /* 2120056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2120059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2120067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2120070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2120073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120102 */     // MIs[0] round
     /* 2120102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120105 */     // MIs[0] policy
     /* 2120105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120115 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2120118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120141 */     // GIR_Coverage, 17334,
     /* 2120141 */     GIR_EraseRootFromParent_Done,
     /* 2120142 */   // Label 28012: @2120142
     /* 2120142 */   GIM_Try, /*On fail goto*//*Label 28013*/ GIMT_Encode4(2120233), // Rule ID 17337 //
     /* 2120147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2120150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2120158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2120161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2120164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120193 */     // MIs[0] round
     /* 2120193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120196 */     // MIs[0] policy
     /* 2120196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120206 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2120209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120232 */     // GIR_Coverage, 17337,
     /* 2120232 */     GIR_EraseRootFromParent_Done,
     /* 2120233 */   // Label 28013: @2120233
     /* 2120233 */   GIM_Try, /*On fail goto*//*Label 28014*/ GIMT_Encode4(2120324), // Rule ID 17338 //
     /* 2120238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2120241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2120249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2120252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2120255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120284 */     // MIs[0] round
     /* 2120284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120287 */     // MIs[0] policy
     /* 2120287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120297 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2120300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120323 */     // GIR_Coverage, 17338,
     /* 2120323 */     GIR_EraseRootFromParent_Done,
     /* 2120324 */   // Label 28014: @2120324
     /* 2120324 */   GIM_Try, /*On fail goto*//*Label 28015*/ GIMT_Encode4(2120415), // Rule ID 17341 //
     /* 2120329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2120332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2120340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2120343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2120346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2120352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2120359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120375 */     // MIs[0] round
     /* 2120375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120378 */     // MIs[0] policy
     /* 2120378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120388 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2120391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120414 */     // GIR_Coverage, 17341,
     /* 2120414 */     GIR_EraseRootFromParent_Done,
     /* 2120415 */   // Label 28015: @2120415
     /* 2120415 */   GIM_Try, /*On fail goto*//*Label 28016*/ GIMT_Encode4(2120506), // Rule ID 17342 //
     /* 2120420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2120423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2120431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2120434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2120437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2120443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2120450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120466 */     // MIs[0] round
     /* 2120466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120469 */     // MIs[0] policy
     /* 2120469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120479 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2120482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120505 */     // GIR_Coverage, 17342,
     /* 2120505 */     GIR_EraseRootFromParent_Done,
     /* 2120506 */   // Label 28016: @2120506
     /* 2120506 */   GIM_Try, /*On fail goto*//*Label 28017*/ GIMT_Encode4(2120597), // Rule ID 17345 //
     /* 2120511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2120514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2120522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2120525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2120528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2120553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120557 */     // MIs[0] round
     /* 2120557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120560 */     // MIs[0] policy
     /* 2120560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120570 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2120573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2120593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120596 */     // GIR_Coverage, 17345,
     /* 2120596 */     GIR_EraseRootFromParent_Done,
     /* 2120597 */   // Label 28017: @2120597
     /* 2120597 */   GIM_Try, /*On fail goto*//*Label 28018*/ GIMT_Encode4(2120688), // Rule ID 17346 //
     /* 2120602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2120605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2120613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2120616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2120619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2120644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120648 */     // MIs[0] round
     /* 2120648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120651 */     // MIs[0] policy
     /* 2120651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120661 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2120664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2120684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120687 */     // GIR_Coverage, 17346,
     /* 2120687 */     GIR_EraseRootFromParent_Done,
     /* 2120688 */   // Label 28018: @2120688
     /* 2120688 */   GIM_Try, /*On fail goto*//*Label 28019*/ GIMT_Encode4(2120779), // Rule ID 17349 //
     /* 2120693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2120696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2120704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2120707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2120710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2120735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120739 */     // MIs[0] round
     /* 2120739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120742 */     // MIs[0] policy
     /* 2120742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120752 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2120755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2120775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120778 */     // GIR_Coverage, 17349,
     /* 2120778 */     GIR_EraseRootFromParent_Done,
     /* 2120779 */   // Label 28019: @2120779
     /* 2120779 */   GIM_Try, /*On fail goto*//*Label 28020*/ GIMT_Encode4(2120870), // Rule ID 17350 //
     /* 2120784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2120787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2120795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2120798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2120801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2120826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120830 */     // MIs[0] round
     /* 2120830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120833 */     // MIs[0] policy
     /* 2120833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120843 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2120846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120856 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2120866 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120869 */     // GIR_Coverage, 17350,
     /* 2120869 */     GIR_EraseRootFromParent_Done,
     /* 2120870 */   // Label 28020: @2120870
     /* 2120870 */   GIM_Try, /*On fail goto*//*Label 28021*/ GIMT_Encode4(2120961), // Rule ID 17353 //
     /* 2120875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2120878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2120886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2120889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2120892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2120905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2120917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120921 */     // MIs[0] round
     /* 2120921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120924 */     // MIs[0] policy
     /* 2120924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120934 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2120937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2120957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120960 */     // GIR_Coverage, 17353,
     /* 2120960 */     GIR_EraseRootFromParent_Done,
     /* 2120961 */   // Label 28021: @2120961
     /* 2120961 */   GIM_Try, /*On fail goto*//*Label 28022*/ GIMT_Encode4(2121052), // Rule ID 17354 //
     /* 2120966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2120969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2120974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2120977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2120980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2120983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2120996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2121008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121012 */     // MIs[0] round
     /* 2121012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121015 */     // MIs[0] policy
     /* 2121015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121025 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2121028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2121048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121051 */     // GIR_Coverage, 17354,
     /* 2121051 */     GIR_EraseRootFromParent_Done,
     /* 2121052 */   // Label 28022: @2121052
     /* 2121052 */   GIM_Try, /*On fail goto*//*Label 28023*/ GIMT_Encode4(2121143), // Rule ID 17357 //
     /* 2121057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2121060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2121065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2121068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2121071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2121074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2121077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2121080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121103 */     // MIs[0] round
     /* 2121103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121106 */     // MIs[0] policy
     /* 2121106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121116 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2121119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121142 */     // GIR_Coverage, 17357,
     /* 2121142 */     GIR_EraseRootFromParent_Done,
     /* 2121143 */   // Label 28023: @2121143
     /* 2121143 */   GIM_Try, /*On fail goto*//*Label 28024*/ GIMT_Encode4(2121234), // Rule ID 17358 //
     /* 2121148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2121151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2121156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2121159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2121162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2121165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2121168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2121171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121194 */     // MIs[0] round
     /* 2121194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121197 */     // MIs[0] policy
     /* 2121197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121207 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2121210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121233 */     // GIR_Coverage, 17358,
     /* 2121233 */     GIR_EraseRootFromParent_Done,
     /* 2121234 */   // Label 28024: @2121234
     /* 2121234 */   GIM_Try, /*On fail goto*//*Label 28025*/ GIMT_Encode4(2121325), // Rule ID 17361 //
     /* 2121239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2121242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2121247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2121250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2121253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2121256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2121259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2121262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121285 */     // MIs[0] round
     /* 2121285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121288 */     // MIs[0] policy
     /* 2121288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121298 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2121301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121324 */     // GIR_Coverage, 17361,
     /* 2121324 */     GIR_EraseRootFromParent_Done,
     /* 2121325 */   // Label 28025: @2121325
     /* 2121325 */   GIM_Try, /*On fail goto*//*Label 28026*/ GIMT_Encode4(2121416), // Rule ID 17362 //
     /* 2121330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2121333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2121338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2121341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2121344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2121347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2121350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2121353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121376 */     // MIs[0] round
     /* 2121376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121379 */     // MIs[0] policy
     /* 2121379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121389 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2121392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121415 */     // GIR_Coverage, 17362,
     /* 2121415 */     GIR_EraseRootFromParent_Done,
     /* 2121416 */   // Label 28026: @2121416
     /* 2121416 */   GIM_Try, /*On fail goto*//*Label 28027*/ GIMT_Encode4(2121507), // Rule ID 17365 //
     /* 2121421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2121424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2121429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2121432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2121435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2121438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2121441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2121444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121467 */     // MIs[0] round
     /* 2121467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121470 */     // MIs[0] policy
     /* 2121470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121480 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2121483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121506 */     // GIR_Coverage, 17365,
     /* 2121506 */     GIR_EraseRootFromParent_Done,
     /* 2121507 */   // Label 28027: @2121507
     /* 2121507 */   GIM_Try, /*On fail goto*//*Label 28028*/ GIMT_Encode4(2121598), // Rule ID 17366 //
     /* 2121512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2121515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2121520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2121523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2121526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2121529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2121532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2121535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121558 */     // MIs[0] round
     /* 2121558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121561 */     // MIs[0] policy
     /* 2121561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121571 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2121574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121584 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121594 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121597 */     // GIR_Coverage, 17366,
     /* 2121597 */     GIR_EraseRootFromParent_Done,
     /* 2121598 */   // Label 28028: @2121598
     /* 2121598 */   GIM_Try, /*On fail goto*//*Label 28029*/ GIMT_Encode4(2121689), // Rule ID 17369 //
     /* 2121603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2121606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2121611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2121614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2121617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2121620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2121623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121649 */     // MIs[0] round
     /* 2121649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121652 */     // MIs[0] policy
     /* 2121652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121662 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2121665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121688 */     // GIR_Coverage, 17369,
     /* 2121688 */     GIR_EraseRootFromParent_Done,
     /* 2121689 */   // Label 28029: @2121689
     /* 2121689 */   GIM_Try, /*On fail goto*//*Label 28030*/ GIMT_Encode4(2121780), // Rule ID 17370 //
     /* 2121694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2121697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2121702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2121705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2121708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2121711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2121714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121740 */     // MIs[0] round
     /* 2121740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121743 */     // MIs[0] policy
     /* 2121743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121753 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2121756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121779 */     // GIR_Coverage, 17370,
     /* 2121779 */     GIR_EraseRootFromParent_Done,
     /* 2121780 */   // Label 28030: @2121780
     /* 2121780 */   GIM_Try, /*On fail goto*//*Label 28031*/ GIMT_Encode4(2121871), // Rule ID 17373 //
     /* 2121785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2121788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2121793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2121796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2121799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2121802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2121805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2121808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121831 */     // MIs[0] round
     /* 2121831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121834 */     // MIs[0] policy
     /* 2121834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121844 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2121847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121870 */     // GIR_Coverage, 17373,
     /* 2121870 */     GIR_EraseRootFromParent_Done,
     /* 2121871 */   // Label 28031: @2121871
     /* 2121871 */   GIM_Try, /*On fail goto*//*Label 28032*/ GIMT_Encode4(2121962), // Rule ID 17374 //
     /* 2121876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2121879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2121884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2121887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2121890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2121893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2121896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2121899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121922 */     // MIs[0] round
     /* 2121922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121925 */     // MIs[0] policy
     /* 2121925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121935 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2121938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121961 */     // GIR_Coverage, 17374,
     /* 2121961 */     GIR_EraseRootFromParent_Done,
     /* 2121962 */   // Label 28032: @2121962
     /* 2121962 */   GIM_Try, /*On fail goto*//*Label 28033*/ GIMT_Encode4(2122053), // Rule ID 17377 //
     /* 2121967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2121970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2121975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2121978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2121981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2121984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2121987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2121990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122013 */     // MIs[0] round
     /* 2122013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122016 */     // MIs[0] policy
     /* 2122016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122026 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2122029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122052 */     // GIR_Coverage, 17377,
     /* 2122052 */     GIR_EraseRootFromParent_Done,
     /* 2122053 */   // Label 28033: @2122053
     /* 2122053 */   GIM_Try, /*On fail goto*//*Label 28034*/ GIMT_Encode4(2122144), // Rule ID 17378 //
     /* 2122058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2122061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2122069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2122072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2122075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2122078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122104 */     // MIs[0] round
     /* 2122104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122107 */     // MIs[0] policy
     /* 2122107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122117 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2122120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122143 */     // GIR_Coverage, 17378,
     /* 2122143 */     GIR_EraseRootFromParent_Done,
     /* 2122144 */   // Label 28034: @2122144
     /* 2122144 */   GIM_Try, /*On fail goto*//*Label 28035*/ GIMT_Encode4(2122235), // Rule ID 17381 //
     /* 2122149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2122152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2122160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2122163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2122166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2122169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122195 */     // MIs[0] round
     /* 2122195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122198 */     // MIs[0] policy
     /* 2122198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122208 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2122211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122234 */     // GIR_Coverage, 17381,
     /* 2122234 */     GIR_EraseRootFromParent_Done,
     /* 2122235 */   // Label 28035: @2122235
     /* 2122235 */   GIM_Try, /*On fail goto*//*Label 28036*/ GIMT_Encode4(2122326), // Rule ID 17382 //
     /* 2122240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2122251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2122254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2122257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2122260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122286 */     // MIs[0] round
     /* 2122286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122289 */     // MIs[0] policy
     /* 2122289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122299 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2122302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122325 */     // GIR_Coverage, 17382,
     /* 2122325 */     GIR_EraseRootFromParent_Done,
     /* 2122326 */   // Label 28036: @2122326
     /* 2122326 */   GIM_Try, /*On fail goto*//*Label 28037*/ GIMT_Encode4(2122417), // Rule ID 17385 //
     /* 2122331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2122334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2122342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2122345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2122348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2122351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2122354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122377 */     // MIs[0] round
     /* 2122377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122380 */     // MIs[0] policy
     /* 2122380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122390 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2122393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122416 */     // GIR_Coverage, 17385,
     /* 2122416 */     GIR_EraseRootFromParent_Done,
     /* 2122417 */   // Label 28037: @2122417
     /* 2122417 */   GIM_Try, /*On fail goto*//*Label 28038*/ GIMT_Encode4(2122508), // Rule ID 17386 //
     /* 2122422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2122433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2122436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2122439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2122442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2122445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122468 */     // MIs[0] round
     /* 2122468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122471 */     // MIs[0] policy
     /* 2122471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122481 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2122484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122504 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122507 */     // GIR_Coverage, 17386,
     /* 2122507 */     GIR_EraseRootFromParent_Done,
     /* 2122508 */   // Label 28038: @2122508
     /* 2122508 */   GIM_Try, /*On fail goto*//*Label 28039*/ GIMT_Encode4(2122599), // Rule ID 17389 //
     /* 2122513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2122516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2122524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2122527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2122530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2122533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2122536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122559 */     // MIs[0] round
     /* 2122559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122562 */     // MIs[0] policy
     /* 2122562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122572 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2122575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122598 */     // GIR_Coverage, 17389,
     /* 2122598 */     GIR_EraseRootFromParent_Done,
     /* 2122599 */   // Label 28039: @2122599
     /* 2122599 */   GIM_Try, /*On fail goto*//*Label 28040*/ GIMT_Encode4(2122690), // Rule ID 17390 //
     /* 2122604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2122615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2122618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2122621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2122624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2122627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122650 */     // MIs[0] round
     /* 2122650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122653 */     // MIs[0] policy
     /* 2122653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122663 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2122666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122689 */     // GIR_Coverage, 17390,
     /* 2122689 */     GIR_EraseRootFromParent_Done,
     /* 2122690 */   // Label 28040: @2122690
     /* 2122690 */   GIM_Try, /*On fail goto*//*Label 28041*/ GIMT_Encode4(2122781), // Rule ID 17393 //
     /* 2122695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2122698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2122706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2122709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2122712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2122715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122741 */     // MIs[0] round
     /* 2122741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122744 */     // MIs[0] policy
     /* 2122744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122754 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2122757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122780 */     // GIR_Coverage, 17393,
     /* 2122780 */     GIR_EraseRootFromParent_Done,
     /* 2122781 */   // Label 28041: @2122781
     /* 2122781 */   GIM_Try, /*On fail goto*//*Label 28042*/ GIMT_Encode4(2122872), // Rule ID 17394 //
     /* 2122786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2122789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2122797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2122800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2122803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2122806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122832 */     // MIs[0] round
     /* 2122832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122835 */     // MIs[0] policy
     /* 2122835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122845 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2122848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122871 */     // GIR_Coverage, 17394,
     /* 2122871 */     GIR_EraseRootFromParent_Done,
     /* 2122872 */   // Label 28042: @2122872
     /* 2122872 */   GIM_Try, /*On fail goto*//*Label 28043*/ GIMT_Encode4(2122963), // Rule ID 17397 //
     /* 2122877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2122880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2122888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2122891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2122894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2122897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122923 */     // MIs[0] round
     /* 2122923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122926 */     // MIs[0] policy
     /* 2122926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122936 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2122939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122962 */     // GIR_Coverage, 17397,
     /* 2122962 */     GIR_EraseRootFromParent_Done,
     /* 2122963 */   // Label 28043: @2122963
     /* 2122963 */   GIM_Try, /*On fail goto*//*Label 28044*/ GIMT_Encode4(2123054), // Rule ID 17398 //
     /* 2122968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2122971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2122976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2122979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2122982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2122985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2122988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123014 */     // MIs[0] round
     /* 2123014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123017 */     // MIs[0] policy
     /* 2123017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123027 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2123030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123053 */     // GIR_Coverage, 17398,
     /* 2123053 */     GIR_EraseRootFromParent_Done,
     /* 2123054 */   // Label 28044: @2123054
     /* 2123054 */   GIM_Try, /*On fail goto*//*Label 28045*/ GIMT_Encode4(2123145), // Rule ID 17401 //
     /* 2123059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2123062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2123070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2123073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2123076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2123079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2123082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123105 */     // MIs[0] round
     /* 2123105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123108 */     // MIs[0] policy
     /* 2123108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123118 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2123121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123144 */     // GIR_Coverage, 17401,
     /* 2123144 */     GIR_EraseRootFromParent_Done,
     /* 2123145 */   // Label 28045: @2123145
     /* 2123145 */   GIM_Try, /*On fail goto*//*Label 28046*/ GIMT_Encode4(2123236), // Rule ID 17402 //
     /* 2123150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2123153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2123161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2123164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2123167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2123170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2123173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123196 */     // MIs[0] round
     /* 2123196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123199 */     // MIs[0] policy
     /* 2123199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123209 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2123212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123235 */     // GIR_Coverage, 17402,
     /* 2123235 */     GIR_EraseRootFromParent_Done,
     /* 2123236 */   // Label 28046: @2123236
     /* 2123236 */   GIM_Try, /*On fail goto*//*Label 28047*/ GIMT_Encode4(2123327), // Rule ID 17405 //
     /* 2123241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2123244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2123252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2123255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2123258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2123261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123287 */     // MIs[0] round
     /* 2123287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123290 */     // MIs[0] policy
     /* 2123290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123300 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2123303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2123323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123326 */     // GIR_Coverage, 17405,
     /* 2123326 */     GIR_EraseRootFromParent_Done,
     /* 2123327 */   // Label 28047: @2123327
     /* 2123327 */   GIM_Try, /*On fail goto*//*Label 28048*/ GIMT_Encode4(2123418), // Rule ID 17406 //
     /* 2123332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2123335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2123343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2123346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2123349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2123352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123378 */     // MIs[0] round
     /* 2123378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123381 */     // MIs[0] policy
     /* 2123381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123391 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2123394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2123414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123417 */     // GIR_Coverage, 17406,
     /* 2123417 */     GIR_EraseRootFromParent_Done,
     /* 2123418 */   // Label 28048: @2123418
     /* 2123418 */   GIM_Try, /*On fail goto*//*Label 28049*/ GIMT_Encode4(2123509), // Rule ID 17409 //
     /* 2123423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2123426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2123434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2123437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2123440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2123443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123469 */     // MIs[0] round
     /* 2123469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123472 */     // MIs[0] policy
     /* 2123472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123482 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2123485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2123505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123508 */     // GIR_Coverage, 17409,
     /* 2123508 */     GIR_EraseRootFromParent_Done,
     /* 2123509 */   // Label 28049: @2123509
     /* 2123509 */   GIM_Try, /*On fail goto*//*Label 28050*/ GIMT_Encode4(2123600), // Rule ID 17410 //
     /* 2123514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2123517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2123525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2123528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2123531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2123534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123560 */     // MIs[0] round
     /* 2123560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123563 */     // MIs[0] policy
     /* 2123563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123573 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2123576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2123596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123599 */     // GIR_Coverage, 17410,
     /* 2123599 */     GIR_EraseRootFromParent_Done,
     /* 2123600 */   // Label 28050: @2123600
     /* 2123600 */   GIM_Try, /*On fail goto*//*Label 28051*/ GIMT_Encode4(2123691), // Rule ID 17413 //
     /* 2123605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2123608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2123616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2123619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2123622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2123625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123651 */     // MIs[0] round
     /* 2123651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123654 */     // MIs[0] policy
     /* 2123654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123664 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2123667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2123687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123690 */     // GIR_Coverage, 17413,
     /* 2123690 */     GIR_EraseRootFromParent_Done,
     /* 2123691 */   // Label 28051: @2123691
     /* 2123691 */   GIM_Try, /*On fail goto*//*Label 28052*/ GIMT_Encode4(2123782), // Rule ID 17414 //
     /* 2123696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2123699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2123707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2123710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2123713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2123716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123742 */     // MIs[0] round
     /* 2123742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123745 */     // MIs[0] policy
     /* 2123745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123755 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2123758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2123778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123781 */     // GIR_Coverage, 17414,
     /* 2123781 */     GIR_EraseRootFromParent_Done,
     /* 2123782 */   // Label 28052: @2123782
     /* 2123782 */   GIM_Try, /*On fail goto*//*Label 28053*/ GIMT_Encode4(2123873), // Rule ID 17417 //
     /* 2123787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2123790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2123798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2123801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2123804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2123807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2123829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123833 */     // MIs[0] round
     /* 2123833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123836 */     // MIs[0] policy
     /* 2123836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123846 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2123849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123872 */     // GIR_Coverage, 17417,
     /* 2123872 */     GIR_EraseRootFromParent_Done,
     /* 2123873 */   // Label 28053: @2123873
     /* 2123873 */   GIM_Try, /*On fail goto*//*Label 28054*/ GIMT_Encode4(2123964), // Rule ID 17418 //
     /* 2123878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2123881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2123889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2123892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2123895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2123898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2123920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123924 */     // MIs[0] round
     /* 2123924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123927 */     // MIs[0] policy
     /* 2123927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123937 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2123940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123963 */     // GIR_Coverage, 17418,
     /* 2123963 */     GIR_EraseRootFromParent_Done,
     /* 2123964 */   // Label 28054: @2123964
     /* 2123964 */   GIM_Try, /*On fail goto*//*Label 28055*/ GIMT_Encode4(2124055), // Rule ID 17421 //
     /* 2123969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2123972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2123977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2123980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2123983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2123986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2123989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124015 */     // MIs[0] round
     /* 2124015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124018 */     // MIs[0] policy
     /* 2124018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124028 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2124031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124054 */     // GIR_Coverage, 17421,
     /* 2124054 */     GIR_EraseRootFromParent_Done,
     /* 2124055 */   // Label 28055: @2124055
     /* 2124055 */   GIM_Try, /*On fail goto*//*Label 28056*/ GIMT_Encode4(2124146), // Rule ID 17422 //
     /* 2124060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2124063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2124071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2124074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2124077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124106 */     // MIs[0] round
     /* 2124106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124109 */     // MIs[0] policy
     /* 2124109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124119 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2124122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124145 */     // GIR_Coverage, 17422,
     /* 2124145 */     GIR_EraseRootFromParent_Done,
     /* 2124146 */   // Label 28056: @2124146
     /* 2124146 */   GIM_Try, /*On fail goto*//*Label 28057*/ GIMT_Encode4(2124237), // Rule ID 17425 //
     /* 2124151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2124154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2124162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2124165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2124168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2124171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2124193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124197 */     // MIs[0] round
     /* 2124197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124200 */     // MIs[0] policy
     /* 2124200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124210 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2124213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124236 */     // GIR_Coverage, 17425,
     /* 2124236 */     GIR_EraseRootFromParent_Done,
     /* 2124237 */   // Label 28057: @2124237
     /* 2124237 */   GIM_Try, /*On fail goto*//*Label 28058*/ GIMT_Encode4(2124328), // Rule ID 17426 //
     /* 2124242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2124245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2124253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2124256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2124259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2124262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2124284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124288 */     // MIs[0] round
     /* 2124288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124291 */     // MIs[0] policy
     /* 2124291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124301 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2124304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124327 */     // GIR_Coverage, 17426,
     /* 2124327 */     GIR_EraseRootFromParent_Done,
     /* 2124328 */   // Label 28058: @2124328
     /* 2124328 */   GIM_Try, /*On fail goto*//*Label 28059*/ GIMT_Encode4(2124419), // Rule ID 17429 //
     /* 2124333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2124336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2124344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2124347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2124350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124379 */     // MIs[0] round
     /* 2124379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124382 */     // MIs[0] policy
     /* 2124382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124392 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2124395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124418 */     // GIR_Coverage, 17429,
     /* 2124418 */     GIR_EraseRootFromParent_Done,
     /* 2124419 */   // Label 28059: @2124419
     /* 2124419 */   GIM_Try, /*On fail goto*//*Label 28060*/ GIMT_Encode4(2124510), // Rule ID 17430 //
     /* 2124424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2124427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2124435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2124438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2124441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124470 */     // MIs[0] round
     /* 2124470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124473 */     // MIs[0] policy
     /* 2124473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124483 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2124486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124509 */     // GIR_Coverage, 17430,
     /* 2124509 */     GIR_EraseRootFromParent_Done,
     /* 2124510 */   // Label 28060: @2124510
     /* 2124510 */   GIM_Try, /*On fail goto*//*Label 28061*/ GIMT_Encode4(2124601), // Rule ID 17433 //
     /* 2124515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2124518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2124526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2124529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2124532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2124535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2124557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124561 */     // MIs[0] round
     /* 2124561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124564 */     // MIs[0] policy
     /* 2124564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124574 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2124577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124600 */     // GIR_Coverage, 17433,
     /* 2124600 */     GIR_EraseRootFromParent_Done,
     /* 2124601 */   // Label 28061: @2124601
     /* 2124601 */   GIM_Try, /*On fail goto*//*Label 28062*/ GIMT_Encode4(2124692), // Rule ID 17434 //
     /* 2124606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2124609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2124617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2124620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2124623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2124626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2124648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124652 */     // MIs[0] round
     /* 2124652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124655 */     // MIs[0] policy
     /* 2124655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124665 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2124668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124691 */     // GIR_Coverage, 17434,
     /* 2124691 */     GIR_EraseRootFromParent_Done,
     /* 2124692 */   // Label 28062: @2124692
     /* 2124692 */   GIM_Try, /*On fail goto*//*Label 28063*/ GIMT_Encode4(2124783), // Rule ID 17437 //
     /* 2124697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2124700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2124708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2124711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2124714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2124717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2124739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124743 */     // MIs[0] round
     /* 2124743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124746 */     // MIs[0] policy
     /* 2124746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124756 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2124759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124782 */     // GIR_Coverage, 17437,
     /* 2124782 */     GIR_EraseRootFromParent_Done,
     /* 2124783 */   // Label 28063: @2124783
     /* 2124783 */   GIM_Try, /*On fail goto*//*Label 28064*/ GIMT_Encode4(2124874), // Rule ID 17438 //
     /* 2124788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2124791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2124799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2124802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2124805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2124808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2124830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124834 */     // MIs[0] round
     /* 2124834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124837 */     // MIs[0] policy
     /* 2124837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124847 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2124850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124873 */     // GIR_Coverage, 17438,
     /* 2124873 */     GIR_EraseRootFromParent_Done,
     /* 2124874 */   // Label 28064: @2124874
     /* 2124874 */   GIM_Try, /*On fail goto*//*Label 28065*/ GIMT_Encode4(2124965), // Rule ID 17441 //
     /* 2124879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2124882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2124890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2124893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2124896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124925 */     // MIs[0] round
     /* 2124925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124928 */     // MIs[0] policy
     /* 2124928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124938 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2124941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124964 */     // GIR_Coverage, 17441,
     /* 2124964 */     GIR_EraseRootFromParent_Done,
     /* 2124965 */   // Label 28065: @2124965
     /* 2124965 */   GIM_Try, /*On fail goto*//*Label 28066*/ GIMT_Encode4(2125056), // Rule ID 17442 //
     /* 2124970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2124973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2124978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2124981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2124984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2124987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125016 */     // MIs[0] round
     /* 2125016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125019 */     // MIs[0] policy
     /* 2125019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125029 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2125032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125055 */     // GIR_Coverage, 17442,
     /* 2125055 */     GIR_EraseRootFromParent_Done,
     /* 2125056 */   // Label 28066: @2125056
     /* 2125056 */   GIM_Try, /*On fail goto*//*Label 28067*/ GIMT_Encode4(2125147), // Rule ID 17445 //
     /* 2125061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2125064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2125072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2125075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2125078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2125084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125107 */     // MIs[0] round
     /* 2125107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125110 */     // MIs[0] policy
     /* 2125110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125120 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2125123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125146 */     // GIR_Coverage, 17445,
     /* 2125146 */     GIR_EraseRootFromParent_Done,
     /* 2125147 */   // Label 28067: @2125147
     /* 2125147 */   GIM_Try, /*On fail goto*//*Label 28068*/ GIMT_Encode4(2125238), // Rule ID 17446 //
     /* 2125152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2125155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2125163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2125166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2125169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2125175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125198 */     // MIs[0] round
     /* 2125198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125201 */     // MIs[0] policy
     /* 2125201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125211 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2125214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125237 */     // GIR_Coverage, 17446,
     /* 2125237 */     GIR_EraseRootFromParent_Done,
     /* 2125238 */   // Label 28068: @2125238
     /* 2125238 */   GIM_Try, /*On fail goto*//*Label 28069*/ GIMT_Encode4(2125329), // Rule ID 17449 //
     /* 2125243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2125246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2125254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2125257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2125260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2125266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125289 */     // MIs[0] round
     /* 2125289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125292 */     // MIs[0] policy
     /* 2125292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125302 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2125305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125328 */     // GIR_Coverage, 17449,
     /* 2125328 */     GIR_EraseRootFromParent_Done,
     /* 2125329 */   // Label 28069: @2125329
     /* 2125329 */   GIM_Try, /*On fail goto*//*Label 28070*/ GIMT_Encode4(2125420), // Rule ID 17450 //
     /* 2125334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2125337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2125345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2125348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2125351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2125357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125380 */     // MIs[0] round
     /* 2125380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125383 */     // MIs[0] policy
     /* 2125383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125393 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2125396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125419 */     // GIR_Coverage, 17450,
     /* 2125419 */     GIR_EraseRootFromParent_Done,
     /* 2125420 */   // Label 28070: @2125420
     /* 2125420 */   GIM_Try, /*On fail goto*//*Label 28071*/ GIMT_Encode4(2125511), // Rule ID 17453 //
     /* 2125425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2125428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2125436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2125439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2125442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125471 */     // MIs[0] round
     /* 2125471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125474 */     // MIs[0] policy
     /* 2125474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125484 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2125487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125510 */     // GIR_Coverage, 17453,
     /* 2125510 */     GIR_EraseRootFromParent_Done,
     /* 2125511 */   // Label 28071: @2125511
     /* 2125511 */   GIM_Try, /*On fail goto*//*Label 28072*/ GIMT_Encode4(2125602), // Rule ID 17454 //
     /* 2125516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2125519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2125527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2125530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2125533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125562 */     // MIs[0] round
     /* 2125562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125565 */     // MIs[0] policy
     /* 2125565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125575 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2125578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125601 */     // GIR_Coverage, 17454,
     /* 2125601 */     GIR_EraseRootFromParent_Done,
     /* 2125602 */   // Label 28072: @2125602
     /* 2125602 */   GIM_Try, /*On fail goto*//*Label 28073*/ GIMT_Encode4(2125693), // Rule ID 17457 //
     /* 2125607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2125610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2125618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2125621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2125624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125653 */     // MIs[0] round
     /* 2125653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125656 */     // MIs[0] policy
     /* 2125656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125666 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2125669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125692 */     // GIR_Coverage, 17457,
     /* 2125692 */     GIR_EraseRootFromParent_Done,
     /* 2125693 */   // Label 28073: @2125693
     /* 2125693 */   GIM_Try, /*On fail goto*//*Label 28074*/ GIMT_Encode4(2125784), // Rule ID 17458 //
     /* 2125698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2125701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2125709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2125712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2125715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125744 */     // MIs[0] round
     /* 2125744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125747 */     // MIs[0] policy
     /* 2125747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125757 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2125760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125783 */     // GIR_Coverage, 17458,
     /* 2125783 */     GIR_EraseRootFromParent_Done,
     /* 2125784 */   // Label 28074: @2125784
     /* 2125784 */   GIM_Try, /*On fail goto*//*Label 28075*/ GIMT_Encode4(2125875), // Rule ID 17461 //
     /* 2125789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2125792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2125800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2125803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2125806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2125812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125835 */     // MIs[0] round
     /* 2125835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125838 */     // MIs[0] policy
     /* 2125838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125848 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2125851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125874 */     // GIR_Coverage, 17461,
     /* 2125874 */     GIR_EraseRootFromParent_Done,
     /* 2125875 */   // Label 28075: @2125875
     /* 2125875 */   GIM_Try, /*On fail goto*//*Label 28076*/ GIMT_Encode4(2125966), // Rule ID 17462 //
     /* 2125880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2125883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2125891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2125894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2125897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2125903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125926 */     // MIs[0] round
     /* 2125926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125929 */     // MIs[0] policy
     /* 2125929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125939 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2125942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125965 */     // GIR_Coverage, 17462,
     /* 2125965 */     GIR_EraseRootFromParent_Done,
     /* 2125966 */   // Label 28076: @2125966
     /* 2125966 */   GIM_Try, /*On fail goto*//*Label 28077*/ GIMT_Encode4(2126057), // Rule ID 17465 //
     /* 2125971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2125974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2125979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2125982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2125985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2125988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2125991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2126013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126017 */     // MIs[0] round
     /* 2126017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126020 */     // MIs[0] policy
     /* 2126020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126030 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2126033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126056 */     // GIR_Coverage, 17465,
     /* 2126056 */     GIR_EraseRootFromParent_Done,
     /* 2126057 */   // Label 28077: @2126057
     /* 2126057 */   GIM_Try, /*On fail goto*//*Label 28078*/ GIMT_Encode4(2126148), // Rule ID 17466 //
     /* 2126062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2126065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2126073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2126076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2126079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2126082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2126085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2126104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126108 */     // MIs[0] round
     /* 2126108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126111 */     // MIs[0] policy
     /* 2126111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126121 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2126124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126147 */     // GIR_Coverage, 17466,
     /* 2126147 */     GIR_EraseRootFromParent_Done,
     /* 2126148 */   // Label 28078: @2126148
     /* 2126148 */   GIM_Try, /*On fail goto*//*Label 28079*/ GIMT_Encode4(2126239), // Rule ID 17469 //
     /* 2126153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2126156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2126164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2126167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2126170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2126173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2126195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126199 */     // MIs[0] round
     /* 2126199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126202 */     // MIs[0] policy
     /* 2126202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126212 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2126215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126238 */     // GIR_Coverage, 17469,
     /* 2126238 */     GIR_EraseRootFromParent_Done,
     /* 2126239 */   // Label 28079: @2126239
     /* 2126239 */   GIM_Try, /*On fail goto*//*Label 28080*/ GIMT_Encode4(2126330), // Rule ID 17470 //
     /* 2126244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2126247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2126255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2126258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2126261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2126264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2126286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126290 */     // MIs[0] round
     /* 2126290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126293 */     // MIs[0] policy
     /* 2126293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126303 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2126306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126329 */     // GIR_Coverage, 17470,
     /* 2126329 */     GIR_EraseRootFromParent_Done,
     /* 2126330 */   // Label 28080: @2126330
     /* 2126330 */   GIM_Try, /*On fail goto*//*Label 28081*/ GIMT_Encode4(2126421), // Rule ID 17473 //
     /* 2126335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2126338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2126346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2126349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2126352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2126355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2126377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126381 */     // MIs[0] round
     /* 2126381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126384 */     // MIs[0] policy
     /* 2126384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126394 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2126397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126420 */     // GIR_Coverage, 17473,
     /* 2126420 */     GIR_EraseRootFromParent_Done,
     /* 2126421 */   // Label 28081: @2126421
     /* 2126421 */   GIM_Try, /*On fail goto*//*Label 28082*/ GIMT_Encode4(2126512), // Rule ID 17474 //
     /* 2126426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2126429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2126434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2126437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2126440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2126443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2126446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2126468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126472 */     // MIs[0] round
     /* 2126472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126475 */     // MIs[0] policy
     /* 2126475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126485 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2126488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2126508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126511 */     // GIR_Coverage, 17474,
     /* 2126511 */     GIR_EraseRootFromParent_Done,
     /* 2126512 */   // Label 28082: @2126512
     /* 2126512 */   GIM_Try, /*On fail goto*//*Label 28083*/ GIMT_Encode4(2126603), // Rule ID 17477 //
     /* 2126517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2126520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2126525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2126528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2126531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2126534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126563 */     // MIs[0] round
     /* 2126563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126566 */     // MIs[0] policy
     /* 2126566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126576 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2126579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126602 */     // GIR_Coverage, 17477,
     /* 2126602 */     GIR_EraseRootFromParent_Done,
     /* 2126603 */   // Label 28083: @2126603
     /* 2126603 */   GIM_Try, /*On fail goto*//*Label 28084*/ GIMT_Encode4(2126694), // Rule ID 17478 //
     /* 2126608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2126616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2126619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2126622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2126625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126654 */     // MIs[0] round
     /* 2126654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126657 */     // MIs[0] policy
     /* 2126657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126667 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2126670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126693 */     // GIR_Coverage, 17478,
     /* 2126693 */     GIR_EraseRootFromParent_Done,
     /* 2126694 */   // Label 28084: @2126694
     /* 2126694 */   GIM_Try, /*On fail goto*//*Label 28085*/ GIMT_Encode4(2126785), // Rule ID 17481 //
     /* 2126699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2126702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2126707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2126710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2126713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2126716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2126722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126745 */     // MIs[0] round
     /* 2126745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126748 */     // MIs[0] policy
     /* 2126748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126758 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2126761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126784 */     // GIR_Coverage, 17481,
     /* 2126784 */     GIR_EraseRootFromParent_Done,
     /* 2126785 */   // Label 28085: @2126785
     /* 2126785 */   GIM_Try, /*On fail goto*//*Label 28086*/ GIMT_Encode4(2126876), // Rule ID 17482 //
     /* 2126790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2126793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2126798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2126801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2126804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2126807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2126813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126836 */     // MIs[0] round
     /* 2126836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126839 */     // MIs[0] policy
     /* 2126839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126849 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2126852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126875 */     // GIR_Coverage, 17482,
     /* 2126875 */     GIR_EraseRootFromParent_Done,
     /* 2126876 */   // Label 28086: @2126876
     /* 2126876 */   GIM_Try, /*On fail goto*//*Label 28087*/ GIMT_Encode4(2126967), // Rule ID 17485 //
     /* 2126881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2126884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2126889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2126892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2126895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2126898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126927 */     // MIs[0] round
     /* 2126927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126930 */     // MIs[0] policy
     /* 2126930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126940 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2126943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126966 */     // GIR_Coverage, 17485,
     /* 2126966 */     GIR_EraseRootFromParent_Done,
     /* 2126967 */   // Label 28087: @2126967
     /* 2126967 */   GIM_Try, /*On fail goto*//*Label 28088*/ GIMT_Encode4(2127058), // Rule ID 17486 //
     /* 2126972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2126975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2126980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2126983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2126986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2126989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127018 */     // MIs[0] round
     /* 2127018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127021 */     // MIs[0] policy
     /* 2127021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127031 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2127034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127057 */     // GIR_Coverage, 17486,
     /* 2127057 */     GIR_EraseRootFromParent_Done,
     /* 2127058 */   // Label 28088: @2127058
     /* 2127058 */   GIM_Try, /*On fail goto*//*Label 28089*/ GIMT_Encode4(2127149), // Rule ID 17489 //
     /* 2127063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2127066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2127071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2127074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2127077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2127080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127109 */     // MIs[0] round
     /* 2127109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127112 */     // MIs[0] policy
     /* 2127112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127122 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2127125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127148 */     // GIR_Coverage, 17489,
     /* 2127148 */     GIR_EraseRootFromParent_Done,
     /* 2127149 */   // Label 28089: @2127149
     /* 2127149 */   GIM_Try, /*On fail goto*//*Label 28090*/ GIMT_Encode4(2127240), // Rule ID 17490 //
     /* 2127154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2127157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2127162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2127165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2127168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2127171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127200 */     // MIs[0] round
     /* 2127200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127203 */     // MIs[0] policy
     /* 2127203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127213 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2127216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127239 */     // GIR_Coverage, 17490,
     /* 2127239 */     GIR_EraseRootFromParent_Done,
     /* 2127240 */   // Label 28090: @2127240
     /* 2127240 */   GIM_Try, /*On fail goto*//*Label 28091*/ GIMT_Encode4(2127331), // Rule ID 17493 //
     /* 2127245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2127248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2127253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2127256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2127259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2127262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127291 */     // MIs[0] round
     /* 2127291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127294 */     // MIs[0] policy
     /* 2127294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127304 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2127307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127330 */     // GIR_Coverage, 17493,
     /* 2127330 */     GIR_EraseRootFromParent_Done,
     /* 2127331 */   // Label 28091: @2127331
     /* 2127331 */   GIM_Try, /*On fail goto*//*Label 28092*/ GIMT_Encode4(2127422), // Rule ID 17494 //
     /* 2127336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2127339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2127344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2127347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2127350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2127353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127382 */     // MIs[0] round
     /* 2127382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127385 */     // MIs[0] policy
     /* 2127385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127395 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2127398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127421 */     // GIR_Coverage, 17494,
     /* 2127421 */     GIR_EraseRootFromParent_Done,
     /* 2127422 */   // Label 28092: @2127422
     /* 2127422 */   GIM_Try, /*On fail goto*//*Label 28093*/ GIMT_Encode4(2127513), // Rule ID 17497 //
     /* 2127427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2127430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2127435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2127438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2127441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2127444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127473 */     // MIs[0] round
     /* 2127473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127476 */     // MIs[0] policy
     /* 2127476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127486 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2127489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127512 */     // GIR_Coverage, 17497,
     /* 2127512 */     GIR_EraseRootFromParent_Done,
     /* 2127513 */   // Label 28093: @2127513
     /* 2127513 */   GIM_Try, /*On fail goto*//*Label 28094*/ GIMT_Encode4(2127604), // Rule ID 17498 //
     /* 2127518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2127521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2127526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2127529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2127532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2127535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2127560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127564 */     // MIs[0] round
     /* 2127564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127567 */     // MIs[0] policy
     /* 2127567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127577 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2127580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127603 */     // GIR_Coverage, 17498,
     /* 2127603 */     GIR_EraseRootFromParent_Done,
     /* 2127604 */   // Label 28094: @2127604
     /* 2127604 */   GIM_Try, /*On fail goto*//*Label 28095*/ GIMT_Encode4(2127695), // Rule ID 17501 //
     /* 2127609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2127612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2127617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2127620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2127623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2127626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127655 */     // MIs[0] round
     /* 2127655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127658 */     // MIs[0] policy
     /* 2127658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127668 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2127671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127694 */     // GIR_Coverage, 17501,
     /* 2127694 */     GIR_EraseRootFromParent_Done,
     /* 2127695 */   // Label 28095: @2127695
     /* 2127695 */   GIM_Try, /*On fail goto*//*Label 28096*/ GIMT_Encode4(2127786), // Rule ID 17502 //
     /* 2127700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2127703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2127708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2127711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2127714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2127717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127746 */     // MIs[0] round
     /* 2127746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127749 */     // MIs[0] policy
     /* 2127749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127759 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2127762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127785 */     // GIR_Coverage, 17502,
     /* 2127785 */     GIR_EraseRootFromParent_Done,
     /* 2127786 */   // Label 28096: @2127786
     /* 2127786 */   GIM_Try, /*On fail goto*//*Label 28097*/ GIMT_Encode4(2127877), // Rule ID 17505 //
     /* 2127791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2127794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2127799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2127802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2127805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2127808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2127814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127837 */     // MIs[0] round
     /* 2127837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127840 */     // MIs[0] policy
     /* 2127840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127850 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2127853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127876 */     // GIR_Coverage, 17505,
     /* 2127876 */     GIR_EraseRootFromParent_Done,
     /* 2127877 */   // Label 28097: @2127877
     /* 2127877 */   GIM_Try, /*On fail goto*//*Label 28098*/ GIMT_Encode4(2127968), // Rule ID 17506 //
     /* 2127882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2127885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2127890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2127893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2127896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2127899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2127905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127928 */     // MIs[0] round
     /* 2127928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127931 */     // MIs[0] policy
     /* 2127931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127941 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2127944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127967 */     // GIR_Coverage, 17506,
     /* 2127967 */     GIR_EraseRootFromParent_Done,
     /* 2127968 */   // Label 28098: @2127968
     /* 2127968 */   GIM_Try, /*On fail goto*//*Label 28099*/ GIMT_Encode4(2128059), // Rule ID 17509 //
     /* 2127973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2127976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2127981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2127984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2127987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2127990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2127996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2128003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128019 */     // MIs[0] round
     /* 2128019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128022 */     // MIs[0] policy
     /* 2128022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128032 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2128035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128058 */     // GIR_Coverage, 17509,
     /* 2128058 */     GIR_EraseRootFromParent_Done,
     /* 2128059 */   // Label 28099: @2128059
     /* 2128059 */   GIM_Try, /*On fail goto*//*Label 28100*/ GIMT_Encode4(2128150), // Rule ID 17510 //
     /* 2128064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2128075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2128078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2128081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2128087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2128094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128110 */     // MIs[0] round
     /* 2128110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128113 */     // MIs[0] policy
     /* 2128113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128123 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2128126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128149 */     // GIR_Coverage, 17510,
     /* 2128149 */     GIR_EraseRootFromParent_Done,
     /* 2128150 */   // Label 28100: @2128150
     /* 2128150 */   GIM_Try, /*On fail goto*//*Label 28101*/ GIMT_Encode4(2128241), // Rule ID 17513 //
     /* 2128155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2128158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2128166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2128169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2128172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128201 */     // MIs[0] round
     /* 2128201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128204 */     // MIs[0] policy
     /* 2128204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128214 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2128217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128240 */     // GIR_Coverage, 17513,
     /* 2128240 */     GIR_EraseRootFromParent_Done,
     /* 2128241 */   // Label 28101: @2128241
     /* 2128241 */   GIM_Try, /*On fail goto*//*Label 28102*/ GIMT_Encode4(2128332), // Rule ID 17514 //
     /* 2128246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2128249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2128257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2128260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2128263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128292 */     // MIs[0] round
     /* 2128292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128295 */     // MIs[0] policy
     /* 2128295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128305 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2128308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128331 */     // GIR_Coverage, 17514,
     /* 2128331 */     GIR_EraseRootFromParent_Done,
     /* 2128332 */   // Label 28102: @2128332
     /* 2128332 */   GIM_Try, /*On fail goto*//*Label 28103*/ GIMT_Encode4(2128423), // Rule ID 17517 //
     /* 2128337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2128340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2128348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2128351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2128354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2128367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128383 */     // MIs[0] round
     /* 2128383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128386 */     // MIs[0] policy
     /* 2128386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128396 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2128399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128422 */     // GIR_Coverage, 17517,
     /* 2128422 */     GIR_EraseRootFromParent_Done,
     /* 2128423 */   // Label 28103: @2128423
     /* 2128423 */   GIM_Try, /*On fail goto*//*Label 28104*/ GIMT_Encode4(2128514), // Rule ID 17518 //
     /* 2128428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2128431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2128439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2128442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2128445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2128458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128474 */     // MIs[0] round
     /* 2128474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128477 */     // MIs[0] policy
     /* 2128477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128487 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2128490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128513 */     // GIR_Coverage, 17518,
     /* 2128513 */     GIR_EraseRootFromParent_Done,
     /* 2128514 */   // Label 28104: @2128514
     /* 2128514 */   GIM_Try, /*On fail goto*//*Label 28105*/ GIMT_Encode4(2128605), // Rule ID 17521 //
     /* 2128519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2128522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2128530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2128533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2128536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2128542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2128549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128565 */     // MIs[0] round
     /* 2128565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128568 */     // MIs[0] policy
     /* 2128568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128578 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2128581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128604 */     // GIR_Coverage, 17521,
     /* 2128604 */     GIR_EraseRootFromParent_Done,
     /* 2128605 */   // Label 28105: @2128605
     /* 2128605 */   GIM_Try, /*On fail goto*//*Label 28106*/ GIMT_Encode4(2128696), // Rule ID 17522 //
     /* 2128610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2128613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2128621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2128624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2128627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2128633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2128640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128656 */     // MIs[0] round
     /* 2128656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128659 */     // MIs[0] policy
     /* 2128659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128669 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2128672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128695 */     // GIR_Coverage, 17522,
     /* 2128695 */     GIR_EraseRootFromParent_Done,
     /* 2128696 */   // Label 28106: @2128696
     /* 2128696 */   GIM_Try, /*On fail goto*//*Label 28107*/ GIMT_Encode4(2128787), // Rule ID 17525 //
     /* 2128701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2128704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2128712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2128715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2128718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2128743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128747 */     // MIs[0] round
     /* 2128747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128750 */     // MIs[0] policy
     /* 2128750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128760 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2128763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128786 */     // GIR_Coverage, 17525,
     /* 2128786 */     GIR_EraseRootFromParent_Done,
     /* 2128787 */   // Label 28107: @2128787
     /* 2128787 */   GIM_Try, /*On fail goto*//*Label 28108*/ GIMT_Encode4(2128878), // Rule ID 17526 //
     /* 2128792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2128795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2128803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2128806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2128809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2128834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128838 */     // MIs[0] round
     /* 2128838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128841 */     // MIs[0] policy
     /* 2128841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128851 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2128854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128877 */     // GIR_Coverage, 17526,
     /* 2128877 */     GIR_EraseRootFromParent_Done,
     /* 2128878 */   // Label 28108: @2128878
     /* 2128878 */   GIM_Try, /*On fail goto*//*Label 28109*/ GIMT_Encode4(2128969), // Rule ID 17529 //
     /* 2128883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2128886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2128894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2128897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2128900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2128913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2128925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128929 */     // MIs[0] round
     /* 2128929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128932 */     // MIs[0] policy
     /* 2128932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128942 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2128945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128968 */     // GIR_Coverage, 17529,
     /* 2128968 */     GIR_EraseRootFromParent_Done,
     /* 2128969 */   // Label 28109: @2128969
     /* 2128969 */   GIM_Try, /*On fail goto*//*Label 28110*/ GIMT_Encode4(2129060), // Rule ID 17530 //
     /* 2128974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2128977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2128982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2128985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2128988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2128991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2129016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129020 */     // MIs[0] round
     /* 2129020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129023 */     // MIs[0] policy
     /* 2129023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129033 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2129036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129059 */     // GIR_Coverage, 17530,
     /* 2129059 */     GIR_EraseRootFromParent_Done,
     /* 2129060 */   // Label 28110: @2129060
     /* 2129060 */   GIM_Try, /*On fail goto*//*Label 28111*/ GIMT_Encode4(2129151), // Rule ID 17533 //
     /* 2129065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2129068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2129076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2129079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2129082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2129085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2129107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129111 */     // MIs[0] round
     /* 2129111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129114 */     // MIs[0] policy
     /* 2129114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129124 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2129127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129150 */     // GIR_Coverage, 17533,
     /* 2129150 */     GIR_EraseRootFromParent_Done,
     /* 2129151 */   // Label 28111: @2129151
     /* 2129151 */   GIM_Try, /*On fail goto*//*Label 28112*/ GIMT_Encode4(2129242), // Rule ID 17534 //
     /* 2129156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2129159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2129164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2129167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2129170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2129173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2129176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2129198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129202 */     // MIs[0] round
     /* 2129202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129205 */     // MIs[0] policy
     /* 2129205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129215 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2129218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129241 */     // GIR_Coverage, 17534,
     /* 2129241 */     GIR_EraseRootFromParent_Done,
     /* 2129242 */   // Label 28112: @2129242
     /* 2129242 */   GIM_Try, /*On fail goto*//*Label 28113*/ GIMT_Encode4(2129333), // Rule ID 17537 //
     /* 2129247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2129250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2129255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2129258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2129261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2129264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2129267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129293 */     // MIs[0] round
     /* 2129293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129296 */     // MIs[0] policy
     /* 2129296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129306 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2129309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129332 */     // GIR_Coverage, 17537,
     /* 2129332 */     GIR_EraseRootFromParent_Done,
     /* 2129333 */   // Label 28113: @2129333
     /* 2129333 */   GIM_Try, /*On fail goto*//*Label 28114*/ GIMT_Encode4(2129424), // Rule ID 17538 //
     /* 2129338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2129341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2129346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2129349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2129352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2129355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2129358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129384 */     // MIs[0] round
     /* 2129384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129387 */     // MIs[0] policy
     /* 2129387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129397 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2129400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129423 */     // GIR_Coverage, 17538,
     /* 2129423 */     GIR_EraseRootFromParent_Done,
     /* 2129424 */   // Label 28114: @2129424
     /* 2129424 */   GIM_Try, /*On fail goto*//*Label 28115*/ GIMT_Encode4(2129515), // Rule ID 17541 //
     /* 2129429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2129432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2129437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2129440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2129443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2129446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2129449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129475 */     // MIs[0] round
     /* 2129475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129478 */     // MIs[0] policy
     /* 2129478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129488 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2129491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129514 */     // GIR_Coverage, 17541,
     /* 2129514 */     GIR_EraseRootFromParent_Done,
     /* 2129515 */   // Label 28115: @2129515
     /* 2129515 */   GIM_Try, /*On fail goto*//*Label 28116*/ GIMT_Encode4(2129606), // Rule ID 17542 //
     /* 2129520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2129523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2129528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2129531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2129534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2129537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2129540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129566 */     // MIs[0] round
     /* 2129566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129569 */     // MIs[0] policy
     /* 2129569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129579 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2129582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129605 */     // GIR_Coverage, 17542,
     /* 2129605 */     GIR_EraseRootFromParent_Done,
     /* 2129606 */   // Label 28116: @2129606
     /* 2129606 */   GIM_Try, /*On fail goto*//*Label 28117*/ GIMT_Encode4(2129697), // Rule ID 17545 //
     /* 2129611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2129614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2129619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2129622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2129625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2129628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2129631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129657 */     // MIs[0] round
     /* 2129657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129660 */     // MIs[0] policy
     /* 2129660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129670 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2129673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129696 */     // GIR_Coverage, 17545,
     /* 2129696 */     GIR_EraseRootFromParent_Done,
     /* 2129697 */   // Label 28117: @2129697
     /* 2129697 */   GIM_Try, /*On fail goto*//*Label 28118*/ GIMT_Encode4(2129788), // Rule ID 17546 //
     /* 2129702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2129705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2129710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2129713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2129716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2129719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2129722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129748 */     // MIs[0] round
     /* 2129748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129751 */     // MIs[0] policy
     /* 2129751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129761 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2129764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129787 */     // GIR_Coverage, 17546,
     /* 2129787 */     GIR_EraseRootFromParent_Done,
     /* 2129788 */   // Label 28118: @2129788
     /* 2129788 */   GIM_Try, /*On fail goto*//*Label 28119*/ GIMT_Encode4(2129879), // Rule ID 17549 //
     /* 2129793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2129796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2129801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2129804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2129807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2129810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2129813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129839 */     // MIs[0] round
     /* 2129839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129842 */     // MIs[0] policy
     /* 2129842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129852 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2129855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129878 */     // GIR_Coverage, 17549,
     /* 2129878 */     GIR_EraseRootFromParent_Done,
     /* 2129879 */   // Label 28119: @2129879
     /* 2129879 */   GIM_Try, /*On fail goto*//*Label 28120*/ GIMT_Encode4(2129970), // Rule ID 17550 //
     /* 2129884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2129887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2129892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2129895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2129898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2129901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2129904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129930 */     // MIs[0] round
     /* 2129930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129933 */     // MIs[0] policy
     /* 2129933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129943 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2129946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129969 */     // GIR_Coverage, 17550,
     /* 2129969 */     GIR_EraseRootFromParent_Done,
     /* 2129970 */   // Label 28120: @2129970
     /* 2129970 */   GIM_Try, /*On fail goto*//*Label 28121*/ GIMT_Encode4(2130061), // Rule ID 17553 //
     /* 2129975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2129978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2129983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2129986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2129989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2129992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2129995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2129998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130021 */     // MIs[0] round
     /* 2130021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130024 */     // MIs[0] policy
     /* 2130024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130034 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2130037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130060 */     // GIR_Coverage, 17553,
     /* 2130060 */     GIR_EraseRootFromParent_Done,
     /* 2130061 */   // Label 28121: @2130061
     /* 2130061 */   GIM_Try, /*On fail goto*//*Label 28122*/ GIMT_Encode4(2130152), // Rule ID 17554 //
     /* 2130066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2130069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2130077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2130080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2130083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2130086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2130089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130112 */     // MIs[0] round
     /* 2130112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130115 */     // MIs[0] policy
     /* 2130115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130125 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2130128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130151 */     // GIR_Coverage, 17554,
     /* 2130151 */     GIR_EraseRootFromParent_Done,
     /* 2130152 */   // Label 28122: @2130152
     /* 2130152 */   GIM_Try, /*On fail goto*//*Label 28123*/ GIMT_Encode4(2130243), // Rule ID 17557 //
     /* 2130157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2130160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2130168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2130171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2130174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2130177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130203 */     // MIs[0] round
     /* 2130203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130206 */     // MIs[0] policy
     /* 2130206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130216 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2130219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130242 */     // GIR_Coverage, 17557,
     /* 2130242 */     GIR_EraseRootFromParent_Done,
     /* 2130243 */   // Label 28123: @2130243
     /* 2130243 */   GIM_Try, /*On fail goto*//*Label 28124*/ GIMT_Encode4(2130334), // Rule ID 17558 //
     /* 2130248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2130251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2130259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2130262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2130265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2130268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130294 */     // MIs[0] round
     /* 2130294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130297 */     // MIs[0] policy
     /* 2130297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130307 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2130310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130333 */     // GIR_Coverage, 17558,
     /* 2130333 */     GIR_EraseRootFromParent_Done,
     /* 2130334 */   // Label 28124: @2130334
     /* 2130334 */   GIM_Try, /*On fail goto*//*Label 28125*/ GIMT_Encode4(2130425), // Rule ID 17561 //
     /* 2130339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2130342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2130350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2130353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2130356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2130359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130385 */     // MIs[0] round
     /* 2130385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130388 */     // MIs[0] policy
     /* 2130388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130398 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2130401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130424 */     // GIR_Coverage, 17561,
     /* 2130424 */     GIR_EraseRootFromParent_Done,
     /* 2130425 */   // Label 28125: @2130425
     /* 2130425 */   GIM_Try, /*On fail goto*//*Label 28126*/ GIMT_Encode4(2130516), // Rule ID 17562 //
     /* 2130430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2130433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2130441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2130444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2130447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2130450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130476 */     // MIs[0] round
     /* 2130476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130479 */     // MIs[0] policy
     /* 2130479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130489 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2130492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130515 */     // GIR_Coverage, 17562,
     /* 2130515 */     GIR_EraseRootFromParent_Done,
     /* 2130516 */   // Label 28126: @2130516
     /* 2130516 */   GIM_Try, /*On fail goto*//*Label 28127*/ GIMT_Encode4(2130607), // Rule ID 17565 //
     /* 2130521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2130524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2130532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2130535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2130538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2130541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130567 */     // MIs[0] round
     /* 2130567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130570 */     // MIs[0] policy
     /* 2130570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130580 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2130583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130606 */     // GIR_Coverage, 17565,
     /* 2130606 */     GIR_EraseRootFromParent_Done,
     /* 2130607 */   // Label 28127: @2130607
     /* 2130607 */   GIM_Try, /*On fail goto*//*Label 28128*/ GIMT_Encode4(2130698), // Rule ID 17566 //
     /* 2130612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2130615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2130623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2130626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2130629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2130632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130658 */     // MIs[0] round
     /* 2130658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130661 */     // MIs[0] policy
     /* 2130661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130671 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2130674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130697 */     // GIR_Coverage, 17566,
     /* 2130697 */     GIR_EraseRootFromParent_Done,
     /* 2130698 */   // Label 28128: @2130698
     /* 2130698 */   GIM_Try, /*On fail goto*//*Label 28129*/ GIMT_Encode4(2130789), // Rule ID 17569 //
     /* 2130703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2130706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2130714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2130717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2130720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2130723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130749 */     // MIs[0] round
     /* 2130749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130752 */     // MIs[0] policy
     /* 2130752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130762 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2130765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130788 */     // GIR_Coverage, 17569,
     /* 2130788 */     GIR_EraseRootFromParent_Done,
     /* 2130789 */   // Label 28129: @2130789
     /* 2130789 */   GIM_Try, /*On fail goto*//*Label 28130*/ GIMT_Encode4(2130880), // Rule ID 17570 //
     /* 2130794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2130797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2130805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2130808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2130811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2130814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130840 */     // MIs[0] round
     /* 2130840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130843 */     // MIs[0] policy
     /* 2130843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130853 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2130856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130879 */     // GIR_Coverage, 17570,
     /* 2130879 */     GIR_EraseRootFromParent_Done,
     /* 2130880 */   // Label 28130: @2130880
     /* 2130880 */   GIM_Try, /*On fail goto*//*Label 28131*/ GIMT_Encode4(2130971), // Rule ID 17573 //
     /* 2130885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2130888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2130896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2130899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2130902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2130905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2130927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130931 */     // MIs[0] round
     /* 2130931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130934 */     // MIs[0] policy
     /* 2130934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130944 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2130947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130970 */     // GIR_Coverage, 17573,
     /* 2130970 */     GIR_EraseRootFromParent_Done,
     /* 2130971 */   // Label 28131: @2130971
     /* 2130971 */   GIM_Try, /*On fail goto*//*Label 28132*/ GIMT_Encode4(2131062), // Rule ID 17574 //
     /* 2130976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2130979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2130984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2130987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2130990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2130993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2130996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131022 */     // MIs[0] round
     /* 2131022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131025 */     // MIs[0] policy
     /* 2131025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131035 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2131038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131061 */     // GIR_Coverage, 17574,
     /* 2131061 */     GIR_EraseRootFromParent_Done,
     /* 2131062 */   // Label 28132: @2131062
     /* 2131062 */   GIM_Try, /*On fail goto*//*Label 28133*/ GIMT_Encode4(2131153), // Rule ID 17577 //
     /* 2131067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2131078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2131081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2131084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131113 */     // MIs[0] round
     /* 2131113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131116 */     // MIs[0] policy
     /* 2131116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131126 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2131129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131152 */     // GIR_Coverage, 17577,
     /* 2131152 */     GIR_EraseRootFromParent_Done,
     /* 2131153 */   // Label 28133: @2131153
     /* 2131153 */   GIM_Try, /*On fail goto*//*Label 28134*/ GIMT_Encode4(2131244), // Rule ID 17578 //
     /* 2131158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2131169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2131172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2131175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131204 */     // MIs[0] round
     /* 2131204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131207 */     // MIs[0] policy
     /* 2131207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131217 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2131220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131243 */     // GIR_Coverage, 17578,
     /* 2131243 */     GIR_EraseRootFromParent_Done,
     /* 2131244 */   // Label 28134: @2131244
     /* 2131244 */   GIM_Try, /*On fail goto*//*Label 28135*/ GIMT_Encode4(2131335), // Rule ID 17581 //
     /* 2131249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2131260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2131263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2131266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131295 */     // MIs[0] round
     /* 2131295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131298 */     // MIs[0] policy
     /* 2131298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131308 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2131311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131334 */     // GIR_Coverage, 17581,
     /* 2131334 */     GIR_EraseRootFromParent_Done,
     /* 2131335 */   // Label 28135: @2131335
     /* 2131335 */   GIM_Try, /*On fail goto*//*Label 28136*/ GIMT_Encode4(2131426), // Rule ID 17582 //
     /* 2131340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2131351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2131354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2131357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131386 */     // MIs[0] round
     /* 2131386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131389 */     // MIs[0] policy
     /* 2131389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131399 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2131402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131425 */     // GIR_Coverage, 17582,
     /* 2131425 */     GIR_EraseRootFromParent_Done,
     /* 2131426 */   // Label 28136: @2131426
     /* 2131426 */   GIM_Try, /*On fail goto*//*Label 28137*/ GIMT_Encode4(2131517), // Rule ID 17585 //
     /* 2131431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2131442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2131445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2131448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131477 */     // MIs[0] round
     /* 2131477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131480 */     // MIs[0] policy
     /* 2131480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131490 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2131493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131516 */     // GIR_Coverage, 17585,
     /* 2131516 */     GIR_EraseRootFromParent_Done,
     /* 2131517 */   // Label 28137: @2131517
     /* 2131517 */   GIM_Try, /*On fail goto*//*Label 28138*/ GIMT_Encode4(2131608), // Rule ID 17586 //
     /* 2131522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2131533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2131536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2131539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131568 */     // MIs[0] round
     /* 2131568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131571 */     // MIs[0] policy
     /* 2131571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131581 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2131584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131607 */     // GIR_Coverage, 17586,
     /* 2131607 */     GIR_EraseRootFromParent_Done,
     /* 2131608 */   // Label 28138: @2131608
     /* 2131608 */   GIM_Try, /*On fail goto*//*Label 28139*/ GIMT_Encode4(2131699), // Rule ID 17589 //
     /* 2131613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2131624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2131627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2131630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131659 */     // MIs[0] round
     /* 2131659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131662 */     // MIs[0] policy
     /* 2131662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131672 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2131675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131698 */     // GIR_Coverage, 17589,
     /* 2131698 */     GIR_EraseRootFromParent_Done,
     /* 2131699 */   // Label 28139: @2131699
     /* 2131699 */   GIM_Try, /*On fail goto*//*Label 28140*/ GIMT_Encode4(2131790), // Rule ID 17590 //
     /* 2131704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2131715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2131718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2131721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131750 */     // MIs[0] round
     /* 2131750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131753 */     // MIs[0] policy
     /* 2131753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131763 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2131766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131789 */     // GIR_Coverage, 17590,
     /* 2131789 */     GIR_EraseRootFromParent_Done,
     /* 2131790 */   // Label 28140: @2131790
     /* 2131790 */   GIM_Try, /*On fail goto*//*Label 28141*/ GIMT_Encode4(2131881), // Rule ID 17593 //
     /* 2131795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2131798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2131806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2131809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2131812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2131815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2131837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131841 */     // MIs[0] round
     /* 2131841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131844 */     // MIs[0] policy
     /* 2131844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131854 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2131857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131880 */     // GIR_Coverage, 17593,
     /* 2131880 */     GIR_EraseRootFromParent_Done,
     /* 2131881 */   // Label 28141: @2131881
     /* 2131881 */   GIM_Try, /*On fail goto*//*Label 28142*/ GIMT_Encode4(2131972), // Rule ID 17594 //
     /* 2131886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2131889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2131897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2131900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2131903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2131906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2131928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131932 */     // MIs[0] round
     /* 2131932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131935 */     // MIs[0] policy
     /* 2131935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131945 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2131948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131971 */     // GIR_Coverage, 17594,
     /* 2131971 */     GIR_EraseRootFromParent_Done,
     /* 2131972 */   // Label 28142: @2131972
     /* 2131972 */   GIM_Try, /*On fail goto*//*Label 28143*/ GIMT_Encode4(2132063), // Rule ID 17597 //
     /* 2131977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2131980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2131985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2131988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2131991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2131994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2131997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132023 */     // MIs[0] round
     /* 2132023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132026 */     // MIs[0] policy
     /* 2132026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132036 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2132039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132062 */     // GIR_Coverage, 17597,
     /* 2132062 */     GIR_EraseRootFromParent_Done,
     /* 2132063 */   // Label 28143: @2132063
     /* 2132063 */   GIM_Try, /*On fail goto*//*Label 28144*/ GIMT_Encode4(2132154), // Rule ID 17598 //
     /* 2132068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2132071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2132079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2132082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2132085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132114 */     // MIs[0] round
     /* 2132114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132117 */     // MIs[0] policy
     /* 2132117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132127 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2132130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132153 */     // GIR_Coverage, 17598,
     /* 2132153 */     GIR_EraseRootFromParent_Done,
     /* 2132154 */   // Label 28144: @2132154
     /* 2132154 */   GIM_Try, /*On fail goto*//*Label 28145*/ GIMT_Encode4(2132245), // Rule ID 17601 //
     /* 2132159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2132162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2132170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2132173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2132176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132205 */     // MIs[0] round
     /* 2132205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132208 */     // MIs[0] policy
     /* 2132208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132218 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2132221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132244 */     // GIR_Coverage, 17601,
     /* 2132244 */     GIR_EraseRootFromParent_Done,
     /* 2132245 */   // Label 28145: @2132245
     /* 2132245 */   GIM_Try, /*On fail goto*//*Label 28146*/ GIMT_Encode4(2132336), // Rule ID 17602 //
     /* 2132250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2132253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2132261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2132264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2132267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132296 */     // MIs[0] round
     /* 2132296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132299 */     // MIs[0] policy
     /* 2132299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132309 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2132312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132335 */     // GIR_Coverage, 17602,
     /* 2132335 */     GIR_EraseRootFromParent_Done,
     /* 2132336 */   // Label 28146: @2132336
     /* 2132336 */   GIM_Try, /*On fail goto*//*Label 28147*/ GIMT_Encode4(2132427), // Rule ID 17605 //
     /* 2132341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2132344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2132352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2132355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2132358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132387 */     // MIs[0] round
     /* 2132387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132390 */     // MIs[0] policy
     /* 2132390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132400 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2132403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132426 */     // GIR_Coverage, 17605,
     /* 2132426 */     GIR_EraseRootFromParent_Done,
     /* 2132427 */   // Label 28147: @2132427
     /* 2132427 */   GIM_Try, /*On fail goto*//*Label 28148*/ GIMT_Encode4(2132518), // Rule ID 17606 //
     /* 2132432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2132435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2132440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2132443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2132446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2132449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132478 */     // MIs[0] round
     /* 2132478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132481 */     // MIs[0] policy
     /* 2132481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132491 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2132494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132517 */     // GIR_Coverage, 17606,
     /* 2132517 */     GIR_EraseRootFromParent_Done,
     /* 2132518 */   // Label 28148: @2132518
     /* 2132518 */   GIM_Try, /*On fail goto*//*Label 28149*/ GIMT_Encode4(2132609), // Rule ID 17609 //
     /* 2132523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2132526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2132531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2132534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2132537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2132540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2132543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132569 */     // MIs[0] round
     /* 2132569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132572 */     // MIs[0] policy
     /* 2132572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132582 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2132585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2132589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132608 */     // GIR_Coverage, 17609,
     /* 2132608 */     GIR_EraseRootFromParent_Done,
     /* 2132609 */   // Label 28149: @2132609
     /* 2132609 */   GIM_Try, /*On fail goto*//*Label 28150*/ GIMT_Encode4(2132700), // Rule ID 17610 //
     /* 2132614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2132617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2132622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2132625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2132628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2132631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2132634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132660 */     // MIs[0] round
     /* 2132660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132663 */     // MIs[0] policy
     /* 2132663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132673 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2132676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2132680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132699 */     // GIR_Coverage, 17610,
     /* 2132699 */     GIR_EraseRootFromParent_Done,
     /* 2132700 */   // Label 28150: @2132700
     /* 2132700 */   GIM_Try, /*On fail goto*//*Label 28151*/ GIMT_Encode4(2132791), // Rule ID 17613 //
     /* 2132705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2132708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2132713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2132716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2132719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2132722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2132725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132751 */     // MIs[0] round
     /* 2132751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132754 */     // MIs[0] policy
     /* 2132754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132764 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2132767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2132771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132790 */     // GIR_Coverage, 17613,
     /* 2132790 */     GIR_EraseRootFromParent_Done,
     /* 2132791 */   // Label 28151: @2132791
     /* 2132791 */   GIM_Try, /*On fail goto*//*Label 28152*/ GIMT_Encode4(2132882), // Rule ID 17614 //
     /* 2132796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2132799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2132804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2132807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2132810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2132813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2132816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132842 */     // MIs[0] round
     /* 2132842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132845 */     // MIs[0] policy
     /* 2132845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132855 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2132858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2132862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132881 */     // GIR_Coverage, 17614,
     /* 2132881 */     GIR_EraseRootFromParent_Done,
     /* 2132882 */   // Label 28152: @2132882
     /* 2132882 */   GIM_Try, /*On fail goto*//*Label 28153*/ GIMT_Encode4(2132973), // Rule ID 17617 //
     /* 2132887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2132890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2132895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2132898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2132901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2132904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2132907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132933 */     // MIs[0] round
     /* 2132933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132936 */     // MIs[0] policy
     /* 2132936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132946 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2132949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2132953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132972 */     // GIR_Coverage, 17617,
     /* 2132972 */     GIR_EraseRootFromParent_Done,
     /* 2132973 */   // Label 28153: @2132973
     /* 2132973 */   GIM_Try, /*On fail goto*//*Label 28154*/ GIMT_Encode4(2133064), // Rule ID 17618 //
     /* 2132978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2132981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2132986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2132989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2132992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2132995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2132998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133024 */     // MIs[0] round
     /* 2133024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133027 */     // MIs[0] policy
     /* 2133027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133037 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2133040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133063 */     // GIR_Coverage, 17618,
     /* 2133063 */     GIR_EraseRootFromParent_Done,
     /* 2133064 */   // Label 28154: @2133064
     /* 2133064 */   GIM_Try, /*On fail goto*//*Label 28155*/ GIMT_Encode4(2133155), // Rule ID 17621 //
     /* 2133069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2133072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2133077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2133080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2133083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2133089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133115 */     // MIs[0] round
     /* 2133115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133118 */     // MIs[0] policy
     /* 2133118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133128 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2133131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133154 */     // GIR_Coverage, 17621,
     /* 2133154 */     GIR_EraseRootFromParent_Done,
     /* 2133155 */   // Label 28155: @2133155
     /* 2133155 */   GIM_Try, /*On fail goto*//*Label 28156*/ GIMT_Encode4(2133246), // Rule ID 17622 //
     /* 2133160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2133163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2133168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2133171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2133174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2133180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133206 */     // MIs[0] round
     /* 2133206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133209 */     // MIs[0] policy
     /* 2133209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133219 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2133222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133245 */     // GIR_Coverage, 17622,
     /* 2133245 */     GIR_EraseRootFromParent_Done,
     /* 2133246 */   // Label 28156: @2133246
     /* 2133246 */   GIM_Try, /*On fail goto*//*Label 28157*/ GIMT_Encode4(2133337), // Rule ID 17625 //
     /* 2133251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2133254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2133259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2133262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2133265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2133268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2133271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133297 */     // MIs[0] round
     /* 2133297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133300 */     // MIs[0] policy
     /* 2133300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133310 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2133313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2133333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133336 */     // GIR_Coverage, 17625,
     /* 2133336 */     GIR_EraseRootFromParent_Done,
     /* 2133337 */   // Label 28157: @2133337
     /* 2133337 */   GIM_Try, /*On fail goto*//*Label 28158*/ GIMT_Encode4(2133428), // Rule ID 17626 //
     /* 2133342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2133345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2133350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2133353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2133356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2133359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2133362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133388 */     // MIs[0] round
     /* 2133388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133391 */     // MIs[0] policy
     /* 2133391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133401 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2133404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2133424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133427 */     // GIR_Coverage, 17626,
     /* 2133427 */     GIR_EraseRootFromParent_Done,
     /* 2133428 */   // Label 28158: @2133428
     /* 2133428 */   GIM_Try, /*On fail goto*//*Label 28159*/ GIMT_Encode4(2133519), // Rule ID 17629 //
     /* 2133433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2133436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2133441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2133444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2133447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2133450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2133453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133479 */     // MIs[0] round
     /* 2133479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133482 */     // MIs[0] policy
     /* 2133482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133492 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2133495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133518 */     // GIR_Coverage, 17629,
     /* 2133518 */     GIR_EraseRootFromParent_Done,
     /* 2133519 */   // Label 28159: @2133519
     /* 2133519 */   GIM_Try, /*On fail goto*//*Label 28160*/ GIMT_Encode4(2133610), // Rule ID 17630 //
     /* 2133524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2133527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2133532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2133535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2133538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2133541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2133544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133570 */     // MIs[0] round
     /* 2133570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133573 */     // MIs[0] policy
     /* 2133573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133583 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2133586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133609 */     // GIR_Coverage, 17630,
     /* 2133609 */     GIR_EraseRootFromParent_Done,
     /* 2133610 */   // Label 28160: @2133610
     /* 2133610 */   GIM_Try, /*On fail goto*//*Label 28161*/ GIMT_Encode4(2133701), // Rule ID 17633 //
     /* 2133615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2133618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2133623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2133626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2133629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2133632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2133635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2133638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133661 */     // MIs[0] round
     /* 2133661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133664 */     // MIs[0] policy
     /* 2133664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133674 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2133677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133700 */     // GIR_Coverage, 17633,
     /* 2133700 */     GIR_EraseRootFromParent_Done,
     /* 2133701 */   // Label 28161: @2133701
     /* 2133701 */   GIM_Try, /*On fail goto*//*Label 28162*/ GIMT_Encode4(2133792), // Rule ID 17634 //
     /* 2133706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2133709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2133714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2133717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2133720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2133723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2133726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2133729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2133736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2133748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133752 */     // MIs[0] round
     /* 2133752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133755 */     // MIs[0] policy
     /* 2133755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133765 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2133768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133791 */     // GIR_Coverage, 17634,
     /* 2133791 */     GIR_EraseRootFromParent_Done,
     /* 2133792 */   // Label 28162: @2133792
     /* 2133792 */   GIM_Try, /*On fail goto*//*Label 28163*/ GIMT_Encode4(2133883), // Rule ID 17637 //
     /* 2133797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2133800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2133805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2133808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2133811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2133814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2133817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2133820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133843 */     // MIs[0] round
     /* 2133843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133846 */     // MIs[0] policy
     /* 2133846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133856 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2133859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133882 */     // GIR_Coverage, 17637,
     /* 2133882 */     GIR_EraseRootFromParent_Done,
     /* 2133883 */   // Label 28163: @2133883
     /* 2133883 */   GIM_Try, /*On fail goto*//*Label 28164*/ GIMT_Encode4(2133974), // Rule ID 17638 //
     /* 2133888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2133891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2133896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2133899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2133902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2133905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2133908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2133911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133934 */     // MIs[0] round
     /* 2133934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133937 */     // MIs[0] policy
     /* 2133937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133947 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2133950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133973 */     // GIR_Coverage, 17638,
     /* 2133973 */     GIR_EraseRootFromParent_Done,
     /* 2133974 */   // Label 28164: @2133974
     /* 2133974 */   GIM_Try, /*On fail goto*//*Label 28165*/ GIMT_Encode4(2134065), // Rule ID 17641 //
     /* 2133979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2133982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2133987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2133990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2133993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2133996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2133999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134025 */     // MIs[0] round
     /* 2134025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134028 */     // MIs[0] policy
     /* 2134028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134038 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2134041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134064 */     // GIR_Coverage, 17641,
     /* 2134064 */     GIR_EraseRootFromParent_Done,
     /* 2134065 */   // Label 28165: @2134065
     /* 2134065 */   GIM_Try, /*On fail goto*//*Label 28166*/ GIMT_Encode4(2134156), // Rule ID 17642 //
     /* 2134070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2134081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2134084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2134087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2134090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134116 */     // MIs[0] round
     /* 2134116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134119 */     // MIs[0] policy
     /* 2134119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134129 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2134132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134155 */     // GIR_Coverage, 17642,
     /* 2134155 */     GIR_EraseRootFromParent_Done,
     /* 2134156 */   // Label 28166: @2134156
     /* 2134156 */   GIM_Try, /*On fail goto*//*Label 28167*/ GIMT_Encode4(2134247), // Rule ID 17645 //
     /* 2134161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2134164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2134172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2134175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2134178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2134181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134207 */     // MIs[0] round
     /* 2134207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134210 */     // MIs[0] policy
     /* 2134210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134220 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2134223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134246 */     // GIR_Coverage, 17645,
     /* 2134246 */     GIR_EraseRootFromParent_Done,
     /* 2134247 */   // Label 28167: @2134247
     /* 2134247 */   GIM_Try, /*On fail goto*//*Label 28168*/ GIMT_Encode4(2134338), // Rule ID 17646 //
     /* 2134252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2134263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2134266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2134269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2134272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134298 */     // MIs[0] round
     /* 2134298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134301 */     // MIs[0] policy
     /* 2134301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134311 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2134314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134337 */     // GIR_Coverage, 17646,
     /* 2134337 */     GIR_EraseRootFromParent_Done,
     /* 2134338 */   // Label 28168: @2134338
     /* 2134338 */   GIM_Try, /*On fail goto*//*Label 28169*/ GIMT_Encode4(2134429), // Rule ID 17649 //
     /* 2134343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2134346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2134354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2134357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2134360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2134363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2134366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2134373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134389 */     // MIs[0] round
     /* 2134389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134392 */     // MIs[0] policy
     /* 2134392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134402 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2134405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134428 */     // GIR_Coverage, 17649,
     /* 2134428 */     GIR_EraseRootFromParent_Done,
     /* 2134429 */   // Label 28169: @2134429
     /* 2134429 */   GIM_Try, /*On fail goto*//*Label 28170*/ GIMT_Encode4(2134520), // Rule ID 17650 //
     /* 2134434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2134445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2134448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2134451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2134454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2134457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2134464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134480 */     // MIs[0] round
     /* 2134480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134483 */     // MIs[0] policy
     /* 2134483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134493 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2134496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134519 */     // GIR_Coverage, 17650,
     /* 2134519 */     GIR_EraseRootFromParent_Done,
     /* 2134520 */   // Label 28170: @2134520
     /* 2134520 */   GIM_Try, /*On fail goto*//*Label 28171*/ GIMT_Encode4(2134611), // Rule ID 17653 //
     /* 2134525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2134528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2134536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2134539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2134542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2134545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134571 */     // MIs[0] round
     /* 2134571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134574 */     // MIs[0] policy
     /* 2134574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134584 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2134587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134610 */     // GIR_Coverage, 17653,
     /* 2134610 */     GIR_EraseRootFromParent_Done,
     /* 2134611 */   // Label 28171: @2134611
     /* 2134611 */   GIM_Try, /*On fail goto*//*Label 28172*/ GIMT_Encode4(2134702), // Rule ID 17654 //
     /* 2134616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2134619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2134627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2134630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2134633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2134636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134662 */     // MIs[0] round
     /* 2134662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134665 */     // MIs[0] policy
     /* 2134665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134675 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2134678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134701 */     // GIR_Coverage, 17654,
     /* 2134701 */     GIR_EraseRootFromParent_Done,
     /* 2134702 */   // Label 28172: @2134702
     /* 2134702 */   GIM_Try, /*On fail goto*//*Label 28173*/ GIMT_Encode4(2134793), // Rule ID 17657 //
     /* 2134707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2134710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2134718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2134721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2134724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2134727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134753 */     // MIs[0] round
     /* 2134753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134756 */     // MIs[0] policy
     /* 2134756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134766 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2134769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134792 */     // GIR_Coverage, 17657,
     /* 2134792 */     GIR_EraseRootFromParent_Done,
     /* 2134793 */   // Label 28173: @2134793
     /* 2134793 */   GIM_Try, /*On fail goto*//*Label 28174*/ GIMT_Encode4(2134884), // Rule ID 17658 //
     /* 2134798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2134801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2134809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2134812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2134815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2134818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134844 */     // MIs[0] round
     /* 2134844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134847 */     // MIs[0] policy
     /* 2134847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134857 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2134860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134883 */     // GIR_Coverage, 17658,
     /* 2134883 */     GIR_EraseRootFromParent_Done,
     /* 2134884 */   // Label 28174: @2134884
     /* 2134884 */   GIM_Try, /*On fail goto*//*Label 28175*/ GIMT_Encode4(2134975), // Rule ID 17661 //
     /* 2134889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2134892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2134900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2134903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2134906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2134909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2134919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134935 */     // MIs[0] round
     /* 2134935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134938 */     // MIs[0] policy
     /* 2134938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134948 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2134951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134974 */     // GIR_Coverage, 17661,
     /* 2134974 */     GIR_EraseRootFromParent_Done,
     /* 2134975 */   // Label 28175: @2134975
     /* 2134975 */   GIM_Try, /*On fail goto*//*Label 28176*/ GIMT_Encode4(2135066), // Rule ID 17662 //
     /* 2134980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2134983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2134988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2134991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2134994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2134997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2135000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135026 */     // MIs[0] round
     /* 2135026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135029 */     // MIs[0] policy
     /* 2135029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135039 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2135042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135065 */     // GIR_Coverage, 17662,
     /* 2135065 */     GIR_EraseRootFromParent_Done,
     /* 2135066 */   // Label 28176: @2135066
     /* 2135066 */   GIM_Try, /*On fail goto*//*Label 28177*/ GIMT_Encode4(2135157), // Rule ID 17665 //
     /* 2135071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2135074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2135082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2135085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2135088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2135091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2135094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2135109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135117 */     // MIs[0] round
     /* 2135117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135120 */     // MIs[0] policy
     /* 2135120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135130 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2135133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135156 */     // GIR_Coverage, 17665,
     /* 2135156 */     GIR_EraseRootFromParent_Done,
     /* 2135157 */   // Label 28177: @2135157
     /* 2135157 */   GIM_Try, /*On fail goto*//*Label 28178*/ GIMT_Encode4(2135248), // Rule ID 17666 //
     /* 2135162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2135173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2135176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2135179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2135182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2135185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2135200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135208 */     // MIs[0] round
     /* 2135208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135211 */     // MIs[0] policy
     /* 2135211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135221 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2135224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135247 */     // GIR_Coverage, 17666,
     /* 2135247 */     GIR_EraseRootFromParent_Done,
     /* 2135248 */   // Label 28178: @2135248
     /* 2135248 */   GIM_Try, /*On fail goto*//*Label 28179*/ GIMT_Encode4(2135339), // Rule ID 17669 //
     /* 2135253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2135256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2135264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2135267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2135270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2135273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2135276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2135291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135299 */     // MIs[0] round
     /* 2135299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135302 */     // MIs[0] policy
     /* 2135302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135312 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2135315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135338 */     // GIR_Coverage, 17669,
     /* 2135338 */     GIR_EraseRootFromParent_Done,
     /* 2135339 */   // Label 28179: @2135339
     /* 2135339 */   GIM_Try, /*On fail goto*//*Label 28180*/ GIMT_Encode4(2135430), // Rule ID 17670 //
     /* 2135344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2135355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2135358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2135361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2135364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2135367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2135382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135390 */     // MIs[0] round
     /* 2135390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135393 */     // MIs[0] policy
     /* 2135393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135403 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2135406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135429 */     // GIR_Coverage, 17670,
     /* 2135429 */     GIR_EraseRootFromParent_Done,
     /* 2135430 */   // Label 28180: @2135430
     /* 2135430 */   GIM_Try, /*On fail goto*//*Label 28181*/ GIMT_Encode4(2135521), // Rule ID 17673 //
     /* 2135435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2135438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2135446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2135449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2135452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2135455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2135458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2135473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135481 */     // MIs[0] round
     /* 2135481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135484 */     // MIs[0] policy
     /* 2135484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135494 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2135497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135520 */     // GIR_Coverage, 17673,
     /* 2135520 */     GIR_EraseRootFromParent_Done,
     /* 2135521 */   // Label 28181: @2135521
     /* 2135521 */   GIM_Try, /*On fail goto*//*Label 28182*/ GIMT_Encode4(2135612), // Rule ID 17674 //
     /* 2135526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2135529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2135537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2135540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2135543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2135546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2135549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2135564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135572 */     // MIs[0] round
     /* 2135572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135575 */     // MIs[0] policy
     /* 2135575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135585 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2135588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135611 */     // GIR_Coverage, 17674,
     /* 2135611 */     GIR_EraseRootFromParent_Done,
     /* 2135612 */   // Label 28182: @2135612
     /* 2135612 */   GIM_Try, /*On fail goto*//*Label 28183*/ GIMT_Encode4(2135703), // Rule ID 17677 //
     /* 2135617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2135620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2135628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2135631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2135634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2135637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2135655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135663 */     // MIs[0] round
     /* 2135663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135666 */     // MIs[0] policy
     /* 2135666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135676 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2135679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135702 */     // GIR_Coverage, 17677,
     /* 2135702 */     GIR_EraseRootFromParent_Done,
     /* 2135703 */   // Label 28183: @2135703
     /* 2135703 */   GIM_Try, /*On fail goto*//*Label 28184*/ GIMT_Encode4(2135794), // Rule ID 17678 //
     /* 2135708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2135719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2135722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2135725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2135728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2135746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135754 */     // MIs[0] round
     /* 2135754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135757 */     // MIs[0] policy
     /* 2135757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135767 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2135770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135793 */     // GIR_Coverage, 17678,
     /* 2135793 */     GIR_EraseRootFromParent_Done,
     /* 2135794 */   // Label 28184: @2135794
     /* 2135794 */   GIM_Try, /*On fail goto*//*Label 28185*/ GIMT_Encode4(2135885), // Rule ID 17681 //
     /* 2135799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2135802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2135810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2135813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2135816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2135819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2135822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2135837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135845 */     // MIs[0] round
     /* 2135845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135848 */     // MIs[0] policy
     /* 2135848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135858 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2135861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135884 */     // GIR_Coverage, 17681,
     /* 2135884 */     GIR_EraseRootFromParent_Done,
     /* 2135885 */   // Label 28185: @2135885
     /* 2135885 */   GIM_Try, /*On fail goto*//*Label 28186*/ GIMT_Encode4(2135976), // Rule ID 17682 //
     /* 2135890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2135893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2135901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2135904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2135907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2135910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2135913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2135928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135936 */     // MIs[0] round
     /* 2135936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135939 */     // MIs[0] policy
     /* 2135939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135949 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2135952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135975 */     // GIR_Coverage, 17682,
     /* 2135975 */     GIR_EraseRootFromParent_Done,
     /* 2135976 */   // Label 28186: @2135976
     /* 2135976 */   GIM_Try, /*On fail goto*//*Label 28187*/ GIMT_Encode4(2136067), // Rule ID 17685 //
     /* 2135981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2135984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2135989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2135992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2135995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2135998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2136001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2136019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136027 */     // MIs[0] round
     /* 2136027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136030 */     // MIs[0] policy
     /* 2136030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136040 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2136043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136066 */     // GIR_Coverage, 17685,
     /* 2136066 */     GIR_EraseRootFromParent_Done,
     /* 2136067 */   // Label 28187: @2136067
     /* 2136067 */   GIM_Try, /*On fail goto*//*Label 28188*/ GIMT_Encode4(2136158), // Rule ID 17686 //
     /* 2136072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2136075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2136083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2136086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2136089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2136092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2136110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136118 */     // MIs[0] round
     /* 2136118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136121 */     // MIs[0] policy
     /* 2136121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136131 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2136134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136157 */     // GIR_Coverage, 17686,
     /* 2136157 */     GIR_EraseRootFromParent_Done,
     /* 2136158 */   // Label 28188: @2136158
     /* 2136158 */   GIM_Try, /*On fail goto*//*Label 28189*/ GIMT_Encode4(2136249), // Rule ID 17689 //
     /* 2136163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2136174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2136177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2136183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136209 */     // MIs[0] round
     /* 2136209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136212 */     // MIs[0] policy
     /* 2136212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136222 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2136225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136248 */     // GIR_Coverage, 17689,
     /* 2136248 */     GIR_EraseRootFromParent_Done,
     /* 2136249 */   // Label 28189: @2136249
     /* 2136249 */   GIM_Try, /*On fail goto*//*Label 28190*/ GIMT_Encode4(2136340), // Rule ID 17690 //
     /* 2136254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2136257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2136265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2136268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2136274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136300 */     // MIs[0] round
     /* 2136300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136303 */     // MIs[0] policy
     /* 2136303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136313 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2136316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136339 */     // GIR_Coverage, 17690,
     /* 2136339 */     GIR_EraseRootFromParent_Done,
     /* 2136340 */   // Label 28190: @2136340
     /* 2136340 */   GIM_Try, /*On fail goto*//*Label 28191*/ GIMT_Encode4(2136431), // Rule ID 17693 //
     /* 2136345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2136356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2136359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2136365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2136368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136391 */     // MIs[0] round
     /* 2136391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136394 */     // MIs[0] policy
     /* 2136394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136404 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2136407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136430 */     // GIR_Coverage, 17693,
     /* 2136430 */     GIR_EraseRootFromParent_Done,
     /* 2136431 */   // Label 28191: @2136431
     /* 2136431 */   GIM_Try, /*On fail goto*//*Label 28192*/ GIMT_Encode4(2136522), // Rule ID 17694 //
     /* 2136436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2136439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2136447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2136450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2136456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2136459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136482 */     // MIs[0] round
     /* 2136482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136485 */     // MIs[0] policy
     /* 2136485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136495 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2136498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136521 */     // GIR_Coverage, 17694,
     /* 2136521 */     GIR_EraseRootFromParent_Done,
     /* 2136522 */   // Label 28192: @2136522
     /* 2136522 */   GIM_Try, /*On fail goto*//*Label 28193*/ GIMT_Encode4(2136613), // Rule ID 17697 //
     /* 2136527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2136538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2136541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2136547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2136550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136573 */     // MIs[0] round
     /* 2136573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136576 */     // MIs[0] policy
     /* 2136576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136586 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2136589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136612 */     // GIR_Coverage, 17697,
     /* 2136612 */     GIR_EraseRootFromParent_Done,
     /* 2136613 */   // Label 28193: @2136613
     /* 2136613 */   GIM_Try, /*On fail goto*//*Label 28194*/ GIMT_Encode4(2136704), // Rule ID 17698 //
     /* 2136618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2136621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2136629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2136632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2136638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2136641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136664 */     // MIs[0] round
     /* 2136664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136667 */     // MIs[0] policy
     /* 2136667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136677 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2136680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136703 */     // GIR_Coverage, 17698,
     /* 2136703 */     GIR_EraseRootFromParent_Done,
     /* 2136704 */   // Label 28194: @2136704
     /* 2136704 */   GIM_Try, /*On fail goto*//*Label 28195*/ GIMT_Encode4(2136795), // Rule ID 17701 //
     /* 2136709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2136712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2136720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2136723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2136726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2136729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136755 */     // MIs[0] round
     /* 2136755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136758 */     // MIs[0] policy
     /* 2136758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136768 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2136771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136794 */     // GIR_Coverage, 17701,
     /* 2136794 */     GIR_EraseRootFromParent_Done,
     /* 2136795 */   // Label 28195: @2136795
     /* 2136795 */   GIM_Try, /*On fail goto*//*Label 28196*/ GIMT_Encode4(2136886), // Rule ID 17702 //
     /* 2136800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2136803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2136811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2136814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2136817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2136820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136846 */     // MIs[0] round
     /* 2136846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136849 */     // MIs[0] policy
     /* 2136849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136859 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2136862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136885 */     // GIR_Coverage, 17702,
     /* 2136885 */     GIR_EraseRootFromParent_Done,
     /* 2136886 */   // Label 28196: @2136886
     /* 2136886 */   GIM_Try, /*On fail goto*//*Label 28197*/ GIMT_Encode4(2136977), // Rule ID 17705 //
     /* 2136891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2136894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2136902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2136905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2136908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2136911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136937 */     // MIs[0] round
     /* 2136937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136940 */     // MIs[0] policy
     /* 2136940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136950 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2136953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136976 */     // GIR_Coverage, 17705,
     /* 2136976 */     GIR_EraseRootFromParent_Done,
     /* 2136977 */   // Label 28197: @2136977
     /* 2136977 */   GIM_Try, /*On fail goto*//*Label 28198*/ GIMT_Encode4(2137068), // Rule ID 17706 //
     /* 2136982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2136985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2136990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2136993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2136996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2136999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2137002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137028 */     // MIs[0] round
     /* 2137028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137031 */     // MIs[0] policy
     /* 2137031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137041 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2137044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137067 */     // GIR_Coverage, 17706,
     /* 2137067 */     GIR_EraseRootFromParent_Done,
     /* 2137068 */   // Label 28198: @2137068
     /* 2137068 */   GIM_Try, /*On fail goto*//*Label 28199*/ GIMT_Encode4(2137159), // Rule ID 17709 //
     /* 2137073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2137076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2137084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2137087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2137093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2137096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137119 */     // MIs[0] round
     /* 2137119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137122 */     // MIs[0] policy
     /* 2137122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137132 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2137135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137158 */     // GIR_Coverage, 17709,
     /* 2137158 */     GIR_EraseRootFromParent_Done,
     /* 2137159 */   // Label 28199: @2137159
     /* 2137159 */   GIM_Try, /*On fail goto*//*Label 28200*/ GIMT_Encode4(2137250), // Rule ID 17710 //
     /* 2137164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2137167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2137175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2137178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2137184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2137187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137210 */     // MIs[0] round
     /* 2137210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137213 */     // MIs[0] policy
     /* 2137213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137223 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2137226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137249 */     // GIR_Coverage, 17710,
     /* 2137249 */     GIR_EraseRootFromParent_Done,
     /* 2137250 */   // Label 28200: @2137250
     /* 2137250 */   GIM_Try, /*On fail goto*//*Label 28201*/ GIMT_Encode4(2137341), // Rule ID 17713 //
     /* 2137255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2137258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2137266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2137269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2137272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2137275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137301 */     // MIs[0] round
     /* 2137301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137304 */     // MIs[0] policy
     /* 2137304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137314 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2137317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137340 */     // GIR_Coverage, 17713,
     /* 2137340 */     GIR_EraseRootFromParent_Done,
     /* 2137341 */   // Label 28201: @2137341
     /* 2137341 */   GIM_Try, /*On fail goto*//*Label 28202*/ GIMT_Encode4(2137432), // Rule ID 17714 //
     /* 2137346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2137349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2137357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2137360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2137363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2137366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137392 */     // MIs[0] round
     /* 2137392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137395 */     // MIs[0] policy
     /* 2137395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137405 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2137408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137431 */     // GIR_Coverage, 17714,
     /* 2137431 */     GIR_EraseRootFromParent_Done,
     /* 2137432 */   // Label 28202: @2137432
     /* 2137432 */   GIM_Try, /*On fail goto*//*Label 28203*/ GIMT_Encode4(2137523), // Rule ID 17717 //
     /* 2137437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2137440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2137448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2137451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2137454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2137457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137483 */     // MIs[0] round
     /* 2137483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137486 */     // MIs[0] policy
     /* 2137486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137496 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2137499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137522 */     // GIR_Coverage, 17717,
     /* 2137522 */     GIR_EraseRootFromParent_Done,
     /* 2137523 */   // Label 28203: @2137523
     /* 2137523 */   GIM_Try, /*On fail goto*//*Label 28204*/ GIMT_Encode4(2137614), // Rule ID 17718 //
     /* 2137528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2137531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2137539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2137542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2137545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2137548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137574 */     // MIs[0] round
     /* 2137574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137577 */     // MIs[0] policy
     /* 2137577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137587 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2137590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137613 */     // GIR_Coverage, 17718,
     /* 2137613 */     GIR_EraseRootFromParent_Done,
     /* 2137614 */   // Label 28204: @2137614
     /* 2137614 */   GIM_Try, /*On fail goto*//*Label 28205*/ GIMT_Encode4(2137705), // Rule ID 17721 //
     /* 2137619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2137622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2137630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2137633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2137636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2137639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137665 */     // MIs[0] round
     /* 2137665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137668 */     // MIs[0] policy
     /* 2137668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137678 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2137681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137704 */     // GIR_Coverage, 17721,
     /* 2137704 */     GIR_EraseRootFromParent_Done,
     /* 2137705 */   // Label 28205: @2137705
     /* 2137705 */   GIM_Try, /*On fail goto*//*Label 28206*/ GIMT_Encode4(2137796), // Rule ID 17722 //
     /* 2137710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2137713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2137718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2137721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2137724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2137727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2137730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137756 */     // MIs[0] round
     /* 2137756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137759 */     // MIs[0] policy
     /* 2137759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137769 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2137772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137795 */     // GIR_Coverage, 17722,
     /* 2137795 */     GIR_EraseRootFromParent_Done,
     /* 2137796 */   // Label 28206: @2137796
     /* 2137796 */   GIM_Try, /*On fail goto*//*Label 28207*/ GIMT_Encode4(2137887), // Rule ID 17725 //
     /* 2137801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2137804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2137809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2137812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2137815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2137818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2137821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137847 */     // MIs[0] round
     /* 2137847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137850 */     // MIs[0] policy
     /* 2137850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137860 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2137863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137886 */     // GIR_Coverage, 17725,
     /* 2137886 */     GIR_EraseRootFromParent_Done,
     /* 2137887 */   // Label 28207: @2137887
     /* 2137887 */   GIM_Try, /*On fail goto*//*Label 28208*/ GIMT_Encode4(2137978), // Rule ID 17726 //
     /* 2137892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2137895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2137900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2137903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2137906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2137909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2137912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137938 */     // MIs[0] round
     /* 2137938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137941 */     // MIs[0] policy
     /* 2137941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137951 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2137954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137977 */     // GIR_Coverage, 17726,
     /* 2137977 */     GIR_EraseRootFromParent_Done,
     /* 2137978 */   // Label 28208: @2137978
     /* 2137978 */   GIM_Try, /*On fail goto*//*Label 28209*/ GIMT_Encode4(2138069), // Rule ID 17729 //
     /* 2137983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2137986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2137991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2137994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2137997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2138000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2138003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138029 */     // MIs[0] round
     /* 2138029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138032 */     // MIs[0] policy
     /* 2138032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138042 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2138045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138068 */     // GIR_Coverage, 17729,
     /* 2138068 */     GIR_EraseRootFromParent_Done,
     /* 2138069 */   // Label 28209: @2138069
     /* 2138069 */   GIM_Try, /*On fail goto*//*Label 28210*/ GIMT_Encode4(2138160), // Rule ID 17730 //
     /* 2138074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2138077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2138082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2138085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2138088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2138091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2138094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138120 */     // MIs[0] round
     /* 2138120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138123 */     // MIs[0] policy
     /* 2138123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138133 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2138136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138159 */     // GIR_Coverage, 17730,
     /* 2138159 */     GIR_EraseRootFromParent_Done,
     /* 2138160 */   // Label 28210: @2138160
     /* 2138160 */   GIM_Try, /*On fail goto*//*Label 28211*/ GIMT_Encode4(2138251), // Rule ID 17733 //
     /* 2138165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2138173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2138176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2138179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2138182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2138185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138211 */     // MIs[0] round
     /* 2138211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138214 */     // MIs[0] policy
     /* 2138214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138224 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2138227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138250 */     // GIR_Coverage, 17733,
     /* 2138250 */     GIR_EraseRootFromParent_Done,
     /* 2138251 */   // Label 28211: @2138251
     /* 2138251 */   GIM_Try, /*On fail goto*//*Label 28212*/ GIMT_Encode4(2138342), // Rule ID 17734 //
     /* 2138256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2138259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2138264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2138267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2138270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2138273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2138276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138302 */     // MIs[0] round
     /* 2138302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138305 */     // MIs[0] policy
     /* 2138305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138315 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2138318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138341 */     // GIR_Coverage, 17734,
     /* 2138341 */     GIR_EraseRootFromParent_Done,
     /* 2138342 */   // Label 28212: @2138342
     /* 2138342 */   GIM_Try, /*On fail goto*//*Label 28213*/ GIMT_Encode4(2138433), // Rule ID 17737 //
     /* 2138347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2138350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2138355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2138358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2138361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2138364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2138367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138393 */     // MIs[0] round
     /* 2138393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138396 */     // MIs[0] policy
     /* 2138396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138406 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2138409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138432 */     // GIR_Coverage, 17737,
     /* 2138432 */     GIR_EraseRootFromParent_Done,
     /* 2138433 */   // Label 28213: @2138433
     /* 2138433 */   GIM_Try, /*On fail goto*//*Label 28214*/ GIMT_Encode4(2138524), // Rule ID 17738 //
     /* 2138438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2138441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2138446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2138449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2138452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2138455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2138458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138484 */     // MIs[0] round
     /* 2138484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138487 */     // MIs[0] policy
     /* 2138487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138497 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2138500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138523 */     // GIR_Coverage, 17738,
     /* 2138523 */     GIR_EraseRootFromParent_Done,
     /* 2138524 */   // Label 28214: @2138524
     /* 2138524 */   GIM_Try, /*On fail goto*//*Label 28215*/ GIMT_Encode4(2138615), // Rule ID 17741 //
     /* 2138529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2138537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2138540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2138543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2138546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2138549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138575 */     // MIs[0] round
     /* 2138575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138578 */     // MIs[0] policy
     /* 2138578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138588 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2138591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138614 */     // GIR_Coverage, 17741,
     /* 2138614 */     GIR_EraseRootFromParent_Done,
     /* 2138615 */   // Label 28215: @2138615
     /* 2138615 */   GIM_Try, /*On fail goto*//*Label 28216*/ GIMT_Encode4(2138706), // Rule ID 17742 //
     /* 2138620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2138623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2138628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2138631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2138634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2138637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2138640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138666 */     // MIs[0] round
     /* 2138666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138669 */     // MIs[0] policy
     /* 2138669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138679 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2138682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138705 */     // GIR_Coverage, 17742,
     /* 2138705 */     GIR_EraseRootFromParent_Done,
     /* 2138706 */   // Label 28216: @2138706
     /* 2138706 */   GIM_Try, /*On fail goto*//*Label 28217*/ GIMT_Encode4(2138797), // Rule ID 17745 //
     /* 2138711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2138714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2138719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2138722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2138725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2138728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2138731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138757 */     // MIs[0] round
     /* 2138757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138760 */     // MIs[0] policy
     /* 2138760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138770 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2138773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138796 */     // GIR_Coverage, 17745,
     /* 2138796 */     GIR_EraseRootFromParent_Done,
     /* 2138797 */   // Label 28217: @2138797
     /* 2138797 */   GIM_Try, /*On fail goto*//*Label 28218*/ GIMT_Encode4(2138888), // Rule ID 17746 //
     /* 2138802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2138805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2138810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2138813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2138816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2138819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2138822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138848 */     // MIs[0] round
     /* 2138848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138851 */     // MIs[0] policy
     /* 2138851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138861 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2138864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138887 */     // GIR_Coverage, 17746,
     /* 2138887 */     GIR_EraseRootFromParent_Done,
     /* 2138888 */   // Label 28218: @2138888
     /* 2138888 */   GIM_Try, /*On fail goto*//*Label 28219*/ GIMT_Encode4(2138979), // Rule ID 17749 //
     /* 2138893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2138896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2138901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2138904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2138907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2138910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2138913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138939 */     // MIs[0] round
     /* 2138939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138942 */     // MIs[0] policy
     /* 2138942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138952 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2138955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138978 */     // GIR_Coverage, 17749,
     /* 2138978 */     GIR_EraseRootFromParent_Done,
     /* 2138979 */   // Label 28219: @2138979
     /* 2138979 */   GIM_Try, /*On fail goto*//*Label 28220*/ GIMT_Encode4(2139070), // Rule ID 17750 //
     /* 2138984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2138987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2138992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2138995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2138998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2139001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2139004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2139007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139030 */     // MIs[0] round
     /* 2139030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139033 */     // MIs[0] policy
     /* 2139033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139043 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2139046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139069 */     // GIR_Coverage, 17750,
     /* 2139069 */     GIR_EraseRootFromParent_Done,
     /* 2139070 */   // Label 28220: @2139070
     /* 2139070 */   GIM_Try, /*On fail goto*//*Label 28221*/ GIMT_Encode4(2139161), // Rule ID 17753 //
     /* 2139075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2139086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2139089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2139092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2139095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2139098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139121 */     // MIs[0] round
     /* 2139121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139124 */     // MIs[0] policy
     /* 2139124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139134 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2139137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139160 */     // GIR_Coverage, 17753,
     /* 2139160 */     GIR_EraseRootFromParent_Done,
     /* 2139161 */   // Label 28221: @2139161
     /* 2139161 */   GIM_Try, /*On fail goto*//*Label 28222*/ GIMT_Encode4(2139252), // Rule ID 17754 //
     /* 2139166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2139177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2139180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2139183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2139186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2139189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139212 */     // MIs[0] round
     /* 2139212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139215 */     // MIs[0] policy
     /* 2139215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139225 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2139228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139251 */     // GIR_Coverage, 17754,
     /* 2139251 */     GIR_EraseRootFromParent_Done,
     /* 2139252 */   // Label 28222: @2139252
     /* 2139252 */   GIM_Try, /*On fail goto*//*Label 28223*/ GIMT_Encode4(2139343), // Rule ID 17757 //
     /* 2139257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2139268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2139271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2139274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2139277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2139280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2139287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139303 */     // MIs[0] round
     /* 2139303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139306 */     // MIs[0] policy
     /* 2139306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139316 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2139319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139342 */     // GIR_Coverage, 17757,
     /* 2139342 */     GIR_EraseRootFromParent_Done,
     /* 2139343 */   // Label 28223: @2139343
     /* 2139343 */   GIM_Try, /*On fail goto*//*Label 28224*/ GIMT_Encode4(2139434), // Rule ID 17758 //
     /* 2139348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2139359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2139362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2139365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2139368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2139371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2139378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139394 */     // MIs[0] round
     /* 2139394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139397 */     // MIs[0] policy
     /* 2139397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139407 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2139410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139433 */     // GIR_Coverage, 17758,
     /* 2139433 */     GIR_EraseRootFromParent_Done,
     /* 2139434 */   // Label 28224: @2139434
     /* 2139434 */   GIM_Try, /*On fail goto*//*Label 28225*/ GIMT_Encode4(2139525), // Rule ID 17761 //
     /* 2139439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2139442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2139450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2139453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2139456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2139459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139485 */     // MIs[0] round
     /* 2139485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139488 */     // MIs[0] policy
     /* 2139488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139498 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2139501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139524 */     // GIR_Coverage, 17761,
     /* 2139524 */     GIR_EraseRootFromParent_Done,
     /* 2139525 */   // Label 28225: @2139525
     /* 2139525 */   GIM_Try, /*On fail goto*//*Label 28226*/ GIMT_Encode4(2139616), // Rule ID 17762 //
     /* 2139530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2139533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2139541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2139544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2139547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2139550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139576 */     // MIs[0] round
     /* 2139576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139579 */     // MIs[0] policy
     /* 2139579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139589 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2139592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139615 */     // GIR_Coverage, 17762,
     /* 2139615 */     GIR_EraseRootFromParent_Done,
     /* 2139616 */   // Label 28226: @2139616
     /* 2139616 */   GIM_Try, /*On fail goto*//*Label 28227*/ GIMT_Encode4(2139707), // Rule ID 17765 //
     /* 2139621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2139624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2139632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2139635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2139638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2139641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2139644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139667 */     // MIs[0] round
     /* 2139667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139670 */     // MIs[0] policy
     /* 2139670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139680 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2139683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139706 */     // GIR_Coverage, 17765,
     /* 2139706 */     GIR_EraseRootFromParent_Done,
     /* 2139707 */   // Label 28227: @2139707
     /* 2139707 */   GIM_Try, /*On fail goto*//*Label 28228*/ GIMT_Encode4(2139798), // Rule ID 17766 //
     /* 2139712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2139715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2139723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2139726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2139729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2139732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2139735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139758 */     // MIs[0] round
     /* 2139758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139761 */     // MIs[0] policy
     /* 2139761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139771 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2139774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139797 */     // GIR_Coverage, 17766,
     /* 2139797 */     GIR_EraseRootFromParent_Done,
     /* 2139798 */   // Label 28228: @2139798
     /* 2139798 */   GIM_Try, /*On fail goto*//*Label 28229*/ GIMT_Encode4(2139889), // Rule ID 17769 //
     /* 2139803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2139806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2139814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2139817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2139820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2139823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2139826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2139833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139849 */     // MIs[0] round
     /* 2139849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139852 */     // MIs[0] policy
     /* 2139852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139862 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2139865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139888 */     // GIR_Coverage, 17769,
     /* 2139888 */     GIR_EraseRootFromParent_Done,
     /* 2139889 */   // Label 28229: @2139889
     /* 2139889 */   GIM_Try, /*On fail goto*//*Label 28230*/ GIMT_Encode4(2139980), // Rule ID 17770 //
     /* 2139894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2139897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2139905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2139908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2139911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2139914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2139917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2139924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139940 */     // MIs[0] round
     /* 2139940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139943 */     // MIs[0] policy
     /* 2139943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139953 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2139956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139979 */     // GIR_Coverage, 17770,
     /* 2139979 */     GIR_EraseRootFromParent_Done,
     /* 2139980 */   // Label 28230: @2139980
     /* 2139980 */   GIM_Try, /*On fail goto*//*Label 28231*/ GIMT_Encode4(2140071), // Rule ID 17773 //
     /* 2139985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2139988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2139993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2139996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2139999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2140002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2140005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2140008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140031 */     // MIs[0] round
     /* 2140031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140034 */     // MIs[0] policy
     /* 2140034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140044 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2140047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140070 */     // GIR_Coverage, 17773,
     /* 2140070 */     GIR_EraseRootFromParent_Done,
     /* 2140071 */   // Label 28231: @2140071
     /* 2140071 */   GIM_Try, /*On fail goto*//*Label 28232*/ GIMT_Encode4(2140162), // Rule ID 17774 //
     /* 2140076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2140079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2140087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2140090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2140093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2140096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2140099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140122 */     // MIs[0] round
     /* 2140122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140125 */     // MIs[0] policy
     /* 2140125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140135 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2140138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140161 */     // GIR_Coverage, 17774,
     /* 2140161 */     GIR_EraseRootFromParent_Done,
     /* 2140162 */   // Label 28232: @2140162
     /* 2140162 */   GIM_Try, /*On fail goto*//*Label 28233*/ GIMT_Encode4(2140253), // Rule ID 17777 //
     /* 2140167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2140170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2140178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2140181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2140184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2140187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140213 */     // MIs[0] round
     /* 2140213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140216 */     // MIs[0] policy
     /* 2140216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140226 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2140229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140252 */     // GIR_Coverage, 17777,
     /* 2140252 */     GIR_EraseRootFromParent_Done,
     /* 2140253 */   // Label 28233: @2140253
     /* 2140253 */   GIM_Try, /*On fail goto*//*Label 28234*/ GIMT_Encode4(2140344), // Rule ID 17778 //
     /* 2140258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2140261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2140269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2140272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2140275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2140278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140304 */     // MIs[0] round
     /* 2140304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140307 */     // MIs[0] policy
     /* 2140307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140317 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2140320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140343 */     // GIR_Coverage, 17778,
     /* 2140343 */     GIR_EraseRootFromParent_Done,
     /* 2140344 */   // Label 28234: @2140344
     /* 2140344 */   GIM_Try, /*On fail goto*//*Label 28235*/ GIMT_Encode4(2140435), // Rule ID 17781 //
     /* 2140349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2140352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2140360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2140363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2140366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2140369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140395 */     // MIs[0] round
     /* 2140395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140398 */     // MIs[0] policy
     /* 2140398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140408 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2140411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140434 */     // GIR_Coverage, 17781,
     /* 2140434 */     GIR_EraseRootFromParent_Done,
     /* 2140435 */   // Label 28235: @2140435
     /* 2140435 */   GIM_Try, /*On fail goto*//*Label 28236*/ GIMT_Encode4(2140526), // Rule ID 17782 //
     /* 2140440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2140443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2140451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2140454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2140457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2140460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140486 */     // MIs[0] round
     /* 2140486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140489 */     // MIs[0] policy
     /* 2140489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140499 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2140502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140525 */     // GIR_Coverage, 17782,
     /* 2140525 */     GIR_EraseRootFromParent_Done,
     /* 2140526 */   // Label 28236: @2140526
     /* 2140526 */   GIM_Try, /*On fail goto*//*Label 28237*/ GIMT_Encode4(2140617), // Rule ID 17785 //
     /* 2140531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2140542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2140545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2140548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2140551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2140554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2140569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140577 */     // MIs[0] round
     /* 2140577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140580 */     // MIs[0] policy
     /* 2140580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140590 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2140593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140616 */     // GIR_Coverage, 17785,
     /* 2140616 */     GIR_EraseRootFromParent_Done,
     /* 2140617 */   // Label 28237: @2140617
     /* 2140617 */   GIM_Try, /*On fail goto*//*Label 28238*/ GIMT_Encode4(2140708), // Rule ID 17786 //
     /* 2140622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2140633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2140636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2140639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2140642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2140645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2140660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140668 */     // MIs[0] round
     /* 2140668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140671 */     // MIs[0] policy
     /* 2140671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140681 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2140684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140707 */     // GIR_Coverage, 17786,
     /* 2140707 */     GIR_EraseRootFromParent_Done,
     /* 2140708 */   // Label 28238: @2140708
     /* 2140708 */   GIM_Try, /*On fail goto*//*Label 28239*/ GIMT_Encode4(2140799), // Rule ID 17789 //
     /* 2140713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2140724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2140727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2140730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2140733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2140736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2140751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140759 */     // MIs[0] round
     /* 2140759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140762 */     // MIs[0] policy
     /* 2140762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140772 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2140775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140798 */     // GIR_Coverage, 17789,
     /* 2140798 */     GIR_EraseRootFromParent_Done,
     /* 2140799 */   // Label 28239: @2140799
     /* 2140799 */   GIM_Try, /*On fail goto*//*Label 28240*/ GIMT_Encode4(2140890), // Rule ID 17790 //
     /* 2140804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2140815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2140818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2140821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2140824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2140827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2140842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140850 */     // MIs[0] round
     /* 2140850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140853 */     // MIs[0] policy
     /* 2140853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140863 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2140866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140889 */     // GIR_Coverage, 17790,
     /* 2140889 */     GIR_EraseRootFromParent_Done,
     /* 2140890 */   // Label 28240: @2140890
     /* 2140890 */   GIM_Try, /*On fail goto*//*Label 28241*/ GIMT_Encode4(2140981), // Rule ID 17793 //
     /* 2140895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2140898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2140906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2140909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2140912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2140915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2140918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2140925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2140933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2140937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140941 */     // MIs[0] round
     /* 2140941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140944 */     // MIs[0] policy
     /* 2140944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140954 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2140957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140980 */     // GIR_Coverage, 17793,
     /* 2140980 */     GIR_EraseRootFromParent_Done,
     /* 2140981 */   // Label 28241: @2140981
     /* 2140981 */   GIM_Try, /*On fail goto*//*Label 28242*/ GIMT_Encode4(2141072), // Rule ID 17794 //
     /* 2140986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2140989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2140994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2140997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2141000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2141003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2141006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2141024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141032 */     // MIs[0] round
     /* 2141032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141035 */     // MIs[0] policy
     /* 2141035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141045 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2141048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141071 */     // GIR_Coverage, 17794,
     /* 2141071 */     GIR_EraseRootFromParent_Done,
     /* 2141072 */   // Label 28242: @2141072
     /* 2141072 */   GIM_Try, /*On fail goto*//*Label 28243*/ GIMT_Encode4(2141163), // Rule ID 17797 //
     /* 2141077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2141080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2141088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2141091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2141097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141123 */     // MIs[0] round
     /* 2141123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141126 */     // MIs[0] policy
     /* 2141126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141136 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2141139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141162 */     // GIR_Coverage, 17797,
     /* 2141162 */     GIR_EraseRootFromParent_Done,
     /* 2141163 */   // Label 28243: @2141163
     /* 2141163 */   GIM_Try, /*On fail goto*//*Label 28244*/ GIMT_Encode4(2141254), // Rule ID 17798 //
     /* 2141168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2141171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2141179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2141182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2141188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141214 */     // MIs[0] round
     /* 2141214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141217 */     // MIs[0] policy
     /* 2141217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141227 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2141230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141253 */     // GIR_Coverage, 17798,
     /* 2141253 */     GIR_EraseRootFromParent_Done,
     /* 2141254 */   // Label 28244: @2141254
     /* 2141254 */   GIM_Try, /*On fail goto*//*Label 28245*/ GIMT_Encode4(2141345), // Rule ID 17801 //
     /* 2141259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2141262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2141270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2141273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2141276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2141279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2141297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141305 */     // MIs[0] round
     /* 2141305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141308 */     // MIs[0] policy
     /* 2141308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141318 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2141321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141344 */     // GIR_Coverage, 17801,
     /* 2141344 */     GIR_EraseRootFromParent_Done,
     /* 2141345 */   // Label 28245: @2141345
     /* 2141345 */   GIM_Try, /*On fail goto*//*Label 28246*/ GIMT_Encode4(2141436), // Rule ID 17802 //
     /* 2141350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2141353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2141361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2141364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2141367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2141370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2141388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141396 */     // MIs[0] round
     /* 2141396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141399 */     // MIs[0] policy
     /* 2141399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141409 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2141412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141435 */     // GIR_Coverage, 17802,
     /* 2141435 */     GIR_EraseRootFromParent_Done,
     /* 2141436 */   // Label 28246: @2141436
     /* 2141436 */   GIM_Try, /*On fail goto*//*Label 28247*/ GIMT_Encode4(2141527), // Rule ID 17805 //
     /* 2141441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2141444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2141452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2141455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2141458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2141461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2141479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141487 */     // MIs[0] round
     /* 2141487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141490 */     // MIs[0] policy
     /* 2141490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141500 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2141503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141526 */     // GIR_Coverage, 17805,
     /* 2141526 */     GIR_EraseRootFromParent_Done,
     /* 2141527 */   // Label 28247: @2141527
     /* 2141527 */   GIM_Try, /*On fail goto*//*Label 28248*/ GIMT_Encode4(2141618), // Rule ID 17806 //
     /* 2141532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2141535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2141543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2141546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2141549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2141552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2141570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141578 */     // MIs[0] round
     /* 2141578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141581 */     // MIs[0] policy
     /* 2141581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141591 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2141594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141617 */     // GIR_Coverage, 17806,
     /* 2141617 */     GIR_EraseRootFromParent_Done,
     /* 2141618 */   // Label 28248: @2141618
     /* 2141618 */   GIM_Try, /*On fail goto*//*Label 28249*/ GIMT_Encode4(2141709), // Rule ID 17809 //
     /* 2141623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2141626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2141634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2141637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2141643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141669 */     // MIs[0] round
     /* 2141669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141672 */     // MIs[0] policy
     /* 2141672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141682 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2141685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141708 */     // GIR_Coverage, 17809,
     /* 2141708 */     GIR_EraseRootFromParent_Done,
     /* 2141709 */   // Label 28249: @2141709
     /* 2141709 */   GIM_Try, /*On fail goto*//*Label 28250*/ GIMT_Encode4(2141800), // Rule ID 17810 //
     /* 2141714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2141717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2141725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2141728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2141734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141760 */     // MIs[0] round
     /* 2141760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141763 */     // MIs[0] policy
     /* 2141763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141773 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2141776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141799 */     // GIR_Coverage, 17810,
     /* 2141799 */     GIR_EraseRootFromParent_Done,
     /* 2141800 */   // Label 28250: @2141800
     /* 2141800 */   GIM_Try, /*On fail goto*//*Label 28251*/ GIMT_Encode4(2141891), // Rule ID 17813 //
     /* 2141805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2141808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2141816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2141819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2141825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2141828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141851 */     // MIs[0] round
     /* 2141851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141854 */     // MIs[0] policy
     /* 2141854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141864 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2141867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141890 */     // GIR_Coverage, 17813,
     /* 2141890 */     GIR_EraseRootFromParent_Done,
     /* 2141891 */   // Label 28251: @2141891
     /* 2141891 */   GIM_Try, /*On fail goto*//*Label 28252*/ GIMT_Encode4(2141982), // Rule ID 17814 //
     /* 2141896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2141899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2141907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2141910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2141916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2141919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141942 */     // MIs[0] round
     /* 2141942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141945 */     // MIs[0] policy
     /* 2141945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141955 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2141958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141981 */     // GIR_Coverage, 17814,
     /* 2141981 */     GIR_EraseRootFromParent_Done,
     /* 2141982 */   // Label 28252: @2141982
     /* 2141982 */   GIM_Try, /*On fail goto*//*Label 28253*/ GIMT_Encode4(2142073), // Rule ID 17817 //
     /* 2141987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2141990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2141995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2141998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2142001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2142007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2142010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142033 */     // MIs[0] round
     /* 2142033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142036 */     // MIs[0] policy
     /* 2142036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142046 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2142049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142072 */     // GIR_Coverage, 17817,
     /* 2142072 */     GIR_EraseRootFromParent_Done,
     /* 2142073 */   // Label 28253: @2142073
     /* 2142073 */   GIM_Try, /*On fail goto*//*Label 28254*/ GIMT_Encode4(2142164), // Rule ID 17818 //
     /* 2142078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2142089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2142092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2142098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2142101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142124 */     // MIs[0] round
     /* 2142124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142127 */     // MIs[0] policy
     /* 2142127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142137 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2142140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142163 */     // GIR_Coverage, 17818,
     /* 2142163 */     GIR_EraseRootFromParent_Done,
     /* 2142164 */   // Label 28254: @2142164
     /* 2142164 */   GIM_Try, /*On fail goto*//*Label 28255*/ GIMT_Encode4(2142255), // Rule ID 17821 //
     /* 2142169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2142180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2142183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2142189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142215 */     // MIs[0] round
     /* 2142215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142218 */     // MIs[0] policy
     /* 2142218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142228 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2142231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142254 */     // GIR_Coverage, 17821,
     /* 2142254 */     GIR_EraseRootFromParent_Done,
     /* 2142255 */   // Label 28255: @2142255
     /* 2142255 */   GIM_Try, /*On fail goto*//*Label 28256*/ GIMT_Encode4(2142346), // Rule ID 17822 //
     /* 2142260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2142263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2142271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2142274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2142280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142306 */     // MIs[0] round
     /* 2142306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142309 */     // MIs[0] policy
     /* 2142309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142319 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2142322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142345 */     // GIR_Coverage, 17822,
     /* 2142345 */     GIR_EraseRootFromParent_Done,
     /* 2142346 */   // Label 28256: @2142346
     /* 2142346 */   GIM_Try, /*On fail goto*//*Label 28257*/ GIMT_Encode4(2142437), // Rule ID 17825 //
     /* 2142351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2142362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2142365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2142371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142397 */     // MIs[0] round
     /* 2142397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142400 */     // MIs[0] policy
     /* 2142400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142410 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2142413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142436 */     // GIR_Coverage, 17825,
     /* 2142436 */     GIR_EraseRootFromParent_Done,
     /* 2142437 */   // Label 28257: @2142437
     /* 2142437 */   GIM_Try, /*On fail goto*//*Label 28258*/ GIMT_Encode4(2142528), // Rule ID 17826 //
     /* 2142442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2142445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2142453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2142456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2142462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142488 */     // MIs[0] round
     /* 2142488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142491 */     // MIs[0] policy
     /* 2142491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142501 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2142504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142527 */     // GIR_Coverage, 17826,
     /* 2142527 */     GIR_EraseRootFromParent_Done,
     /* 2142528 */   // Label 28258: @2142528
     /* 2142528 */   GIM_Try, /*On fail goto*//*Label 28259*/ GIMT_Encode4(2142619), // Rule ID 17829 //
     /* 2142533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2142544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2142547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2142553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2142556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142579 */     // MIs[0] round
     /* 2142579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142582 */     // MIs[0] policy
     /* 2142582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142592 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2142595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142618 */     // GIR_Coverage, 17829,
     /* 2142618 */     GIR_EraseRootFromParent_Done,
     /* 2142619 */   // Label 28259: @2142619
     /* 2142619 */   GIM_Try, /*On fail goto*//*Label 28260*/ GIMT_Encode4(2142710), // Rule ID 17830 //
     /* 2142624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2142627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2142635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2142638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2142644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2142647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142670 */     // MIs[0] round
     /* 2142670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142673 */     // MIs[0] policy
     /* 2142673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142683 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2142686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142709 */     // GIR_Coverage, 17830,
     /* 2142709 */     GIR_EraseRootFromParent_Done,
     /* 2142710 */   // Label 28260: @2142710
     /* 2142710 */   GIM_Try, /*On fail goto*//*Label 28261*/ GIMT_Encode4(2142801), // Rule ID 17833 //
     /* 2142715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2142718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2142726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2142729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2142732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2142735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2142753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142761 */     // MIs[0] round
     /* 2142761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142764 */     // MIs[0] policy
     /* 2142764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142774 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2142777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142800 */     // GIR_Coverage, 17833,
     /* 2142800 */     GIR_EraseRootFromParent_Done,
     /* 2142801 */   // Label 28261: @2142801
     /* 2142801 */   GIM_Try, /*On fail goto*//*Label 28262*/ GIMT_Encode4(2142892), // Rule ID 17834 //
     /* 2142806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2142809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2142817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2142820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2142823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2142826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2142844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142852 */     // MIs[0] round
     /* 2142852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142855 */     // MIs[0] policy
     /* 2142855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142865 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2142868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142891 */     // GIR_Coverage, 17834,
     /* 2142891 */     GIR_EraseRootFromParent_Done,
     /* 2142892 */   // Label 28262: @2142892
     /* 2142892 */   GIM_Try, /*On fail goto*//*Label 28263*/ GIMT_Encode4(2142983), // Rule ID 17837 //
     /* 2142897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2142900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2142908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2142911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2142914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2142917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2142935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142943 */     // MIs[0] round
     /* 2142943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142946 */     // MIs[0] policy
     /* 2142946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142956 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2142959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142982 */     // GIR_Coverage, 17837,
     /* 2142982 */     GIR_EraseRootFromParent_Done,
     /* 2142983 */   // Label 28263: @2142983
     /* 2142983 */   GIM_Try, /*On fail goto*//*Label 28264*/ GIMT_Encode4(2143074), // Rule ID 17838 //
     /* 2142988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2142991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2142996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2142999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2143002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2143008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143034 */     // MIs[0] round
     /* 2143034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143037 */     // MIs[0] policy
     /* 2143037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143047 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2143050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143073 */     // GIR_Coverage, 17838,
     /* 2143073 */     GIR_EraseRootFromParent_Done,
     /* 2143074 */   // Label 28264: @2143074
     /* 2143074 */   GIM_Try, /*On fail goto*//*Label 28265*/ GIMT_Encode4(2143165), // Rule ID 17841 //
     /* 2143079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2143082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2143090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2143093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2143099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143125 */     // MIs[0] round
     /* 2143125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143128 */     // MIs[0] policy
     /* 2143128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143138 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2143141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143164 */     // GIR_Coverage, 17841,
     /* 2143164 */     GIR_EraseRootFromParent_Done,
     /* 2143165 */   // Label 28265: @2143165
     /* 2143165 */   GIM_Try, /*On fail goto*//*Label 28266*/ GIMT_Encode4(2143256), // Rule ID 17842 //
     /* 2143170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2143173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2143178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2143181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2143184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2143190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143216 */     // MIs[0] round
     /* 2143216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143219 */     // MIs[0] policy
     /* 2143219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143229 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2143232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143255 */     // GIR_Coverage, 17842,
     /* 2143255 */     GIR_EraseRootFromParent_Done,
     /* 2143256 */   // Label 28266: @2143256
     /* 2143256 */   GIM_Try, /*On fail goto*//*Label 28267*/ GIMT_Encode4(2143347), // Rule ID 17845 //
     /* 2143261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2143264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2143272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2143275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2143278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2143281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143307 */     // MIs[0] round
     /* 2143307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143310 */     // MIs[0] policy
     /* 2143310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143320 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2143323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143346 */     // GIR_Coverage, 17845,
     /* 2143346 */     GIR_EraseRootFromParent_Done,
     /* 2143347 */   // Label 28267: @2143347
     /* 2143347 */   GIM_Try, /*On fail goto*//*Label 28268*/ GIMT_Encode4(2143438), // Rule ID 17846 //
     /* 2143352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2143363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2143366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2143369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2143372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143398 */     // MIs[0] round
     /* 2143398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143401 */     // MIs[0] policy
     /* 2143401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143411 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2143414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143437 */     // GIR_Coverage, 17846,
     /* 2143437 */     GIR_EraseRootFromParent_Done,
     /* 2143438 */   // Label 28268: @2143438
     /* 2143438 */   GIM_Try, /*On fail goto*//*Label 28269*/ GIMT_Encode4(2143529), // Rule ID 17849 //
     /* 2143443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2143446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2143454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2143457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2143460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2143463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143489 */     // MIs[0] round
     /* 2143489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143492 */     // MIs[0] policy
     /* 2143492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143502 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2143505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143528 */     // GIR_Coverage, 17849,
     /* 2143528 */     GIR_EraseRootFromParent_Done,
     /* 2143529 */   // Label 28269: @2143529
     /* 2143529 */   GIM_Try, /*On fail goto*//*Label 28270*/ GIMT_Encode4(2143620), // Rule ID 17850 //
     /* 2143534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2143545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2143548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2143551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2143554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143580 */     // MIs[0] round
     /* 2143580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143583 */     // MIs[0] policy
     /* 2143583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143593 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2143596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143619 */     // GIR_Coverage, 17850,
     /* 2143619 */     GIR_EraseRootFromParent_Done,
     /* 2143620 */   // Label 28270: @2143620
     /* 2143620 */   GIM_Try, /*On fail goto*//*Label 28271*/ GIMT_Encode4(2143711), // Rule ID 17853 //
     /* 2143625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2143628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2143636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2143639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2143642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2143645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143671 */     // MIs[0] round
     /* 2143671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143674 */     // MIs[0] policy
     /* 2143674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143684 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2143687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143710 */     // GIR_Coverage, 17853,
     /* 2143710 */     GIR_EraseRootFromParent_Done,
     /* 2143711 */   // Label 28271: @2143711
     /* 2143711 */   GIM_Try, /*On fail goto*//*Label 28272*/ GIMT_Encode4(2143802), // Rule ID 17854 //
     /* 2143716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2143719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2143727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2143730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2143733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2143736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143762 */     // MIs[0] round
     /* 2143762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143765 */     // MIs[0] policy
     /* 2143765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143775 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2143778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143801 */     // GIR_Coverage, 17854,
     /* 2143801 */     GIR_EraseRootFromParent_Done,
     /* 2143802 */   // Label 28272: @2143802
     /* 2143802 */   GIM_Try, /*On fail goto*//*Label 28273*/ GIMT_Encode4(2143893), // Rule ID 17857 //
     /* 2143807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2143810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2143818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2143821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2143824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2143827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143853 */     // MIs[0] round
     /* 2143853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143856 */     // MIs[0] policy
     /* 2143856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143866 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2143869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143892 */     // GIR_Coverage, 17857,
     /* 2143892 */     GIR_EraseRootFromParent_Done,
     /* 2143893 */   // Label 28273: @2143893
     /* 2143893 */   GIM_Try, /*On fail goto*//*Label 28274*/ GIMT_Encode4(2143984), // Rule ID 17858 //
     /* 2143898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2143909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2143912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2143915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2143918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143944 */     // MIs[0] round
     /* 2143944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143947 */     // MIs[0] policy
     /* 2143947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143957 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2143960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143983 */     // GIR_Coverage, 17858,
     /* 2143983 */     GIR_EraseRootFromParent_Done,
     /* 2143984 */   // Label 28274: @2143984
     /* 2143984 */   GIM_Try, /*On fail goto*//*Label 28275*/ GIMT_Encode4(2144075), // Rule ID 17861 //
     /* 2143989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2143992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2144000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2144003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2144006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2144009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144035 */     // MIs[0] round
     /* 2144035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144038 */     // MIs[0] policy
     /* 2144038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144048 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2144051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144074 */     // GIR_Coverage, 17861,
     /* 2144074 */     GIR_EraseRootFromParent_Done,
     /* 2144075 */   // Label 28275: @2144075
     /* 2144075 */   GIM_Try, /*On fail goto*//*Label 28276*/ GIMT_Encode4(2144166), // Rule ID 17862 //
     /* 2144080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2144083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2144091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2144094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2144097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2144100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144126 */     // MIs[0] round
     /* 2144126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144129 */     // MIs[0] policy
     /* 2144129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144139 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2144142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144165 */     // GIR_Coverage, 17862,
     /* 2144165 */     GIR_EraseRootFromParent_Done,
     /* 2144166 */   // Label 28276: @2144166
     /* 2144166 */   GIM_Try, /*On fail goto*//*Label 28277*/ GIMT_Encode4(2144257), // Rule ID 17865 //
     /* 2144171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2144174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2144182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2144185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2144188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2144191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144217 */     // MIs[0] round
     /* 2144217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144220 */     // MIs[0] policy
     /* 2144220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144230 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2144233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144256 */     // GIR_Coverage, 17865,
     /* 2144256 */     GIR_EraseRootFromParent_Done,
     /* 2144257 */   // Label 28277: @2144257
     /* 2144257 */   GIM_Try, /*On fail goto*//*Label 28278*/ GIMT_Encode4(2144348), // Rule ID 17866 //
     /* 2144262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2144265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2144273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2144276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2144279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2144282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144308 */     // MIs[0] round
     /* 2144308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144311 */     // MIs[0] policy
     /* 2144311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144321 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2144324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144347 */     // GIR_Coverage, 17866,
     /* 2144347 */     GIR_EraseRootFromParent_Done,
     /* 2144348 */   // Label 28278: @2144348
     /* 2144348 */   GIM_Try, /*On fail goto*//*Label 28279*/ GIMT_Encode4(2144439), // Rule ID 17869 //
     /* 2144353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2144364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2144367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2144370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2144373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144399 */     // MIs[0] round
     /* 2144399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144402 */     // MIs[0] policy
     /* 2144402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144412 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2144415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144438 */     // GIR_Coverage, 17869,
     /* 2144438 */     GIR_EraseRootFromParent_Done,
     /* 2144439 */   // Label 28279: @2144439
     /* 2144439 */   GIM_Try, /*On fail goto*//*Label 28280*/ GIMT_Encode4(2144530), // Rule ID 17870 //
     /* 2144444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2144455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2144458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2144461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2144464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144490 */     // MIs[0] round
     /* 2144490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144493 */     // MIs[0] policy
     /* 2144493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144503 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2144506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144529 */     // GIR_Coverage, 17870,
     /* 2144529 */     GIR_EraseRootFromParent_Done,
     /* 2144530 */   // Label 28280: @2144530
     /* 2144530 */   GIM_Try, /*On fail goto*//*Label 28281*/ GIMT_Encode4(2144621), // Rule ID 17873 //
     /* 2144535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2144546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2144549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2144552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2144555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2144558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144581 */     // MIs[0] round
     /* 2144581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144584 */     // MIs[0] policy
     /* 2144584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144594 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2144597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144620 */     // GIR_Coverage, 17873,
     /* 2144620 */     GIR_EraseRootFromParent_Done,
     /* 2144621 */   // Label 28281: @2144621
     /* 2144621 */   GIM_Try, /*On fail goto*//*Label 28282*/ GIMT_Encode4(2144712), // Rule ID 17874 //
     /* 2144626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2144637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2144640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2144643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2144646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2144649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144672 */     // MIs[0] round
     /* 2144672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144675 */     // MIs[0] policy
     /* 2144675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144685 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2144688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144711 */     // GIR_Coverage, 17874,
     /* 2144711 */     GIR_EraseRootFromParent_Done,
     /* 2144712 */   // Label 28282: @2144712
     /* 2144712 */   GIM_Try, /*On fail goto*//*Label 28283*/ GIMT_Encode4(2144803), // Rule ID 17877 //
     /* 2144717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2144728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2144731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2144734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2144737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2144740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144763 */     // MIs[0] round
     /* 2144763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144766 */     // MIs[0] policy
     /* 2144766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144776 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2144779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144802 */     // GIR_Coverage, 17877,
     /* 2144802 */     GIR_EraseRootFromParent_Done,
     /* 2144803 */   // Label 28283: @2144803
     /* 2144803 */   GIM_Try, /*On fail goto*//*Label 28284*/ GIMT_Encode4(2144894), // Rule ID 17878 //
     /* 2144808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2144819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2144822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2144825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2144828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2144831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144854 */     // MIs[0] round
     /* 2144854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144857 */     // MIs[0] policy
     /* 2144857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144867 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2144870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144893 */     // GIR_Coverage, 17878,
     /* 2144893 */     GIR_EraseRootFromParent_Done,
     /* 2144894 */   // Label 28284: @2144894
     /* 2144894 */   GIM_Try, /*On fail goto*//*Label 28285*/ GIMT_Encode4(2144985), // Rule ID 17881 //
     /* 2144899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2144902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2144910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2144913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2144916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2144919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2144922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144945 */     // MIs[0] round
     /* 2144945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144948 */     // MIs[0] policy
     /* 2144948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144958 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2144961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144984 */     // GIR_Coverage, 17881,
     /* 2144984 */     GIR_EraseRootFromParent_Done,
     /* 2144985 */   // Label 28285: @2144985
     /* 2144985 */   GIM_Try, /*On fail goto*//*Label 28286*/ GIMT_Encode4(2145076), // Rule ID 17882 //
     /* 2144990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2144993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2144998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2145001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2145004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2145007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2145010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145036 */     // MIs[0] round
     /* 2145036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145039 */     // MIs[0] policy
     /* 2145039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145049 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2145052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145075 */     // GIR_Coverage, 17882,
     /* 2145075 */     GIR_EraseRootFromParent_Done,
     /* 2145076 */   // Label 28286: @2145076
     /* 2145076 */   GIM_Try, /*On fail goto*//*Label 28287*/ GIMT_Encode4(2145167), // Rule ID 17885 //
     /* 2145081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2145084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2145092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2145095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2145098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2145101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145127 */     // MIs[0] round
     /* 2145127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145130 */     // MIs[0] policy
     /* 2145130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145140 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2145143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145166 */     // GIR_Coverage, 17885,
     /* 2145166 */     GIR_EraseRootFromParent_Done,
     /* 2145167 */   // Label 28287: @2145167
     /* 2145167 */   GIM_Try, /*On fail goto*//*Label 28288*/ GIMT_Encode4(2145258), // Rule ID 17886 //
     /* 2145172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2145175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2145183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2145186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2145189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2145192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145218 */     // MIs[0] round
     /* 2145218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145221 */     // MIs[0] policy
     /* 2145221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145231 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2145234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145257 */     // GIR_Coverage, 17886,
     /* 2145257 */     GIR_EraseRootFromParent_Done,
     /* 2145258 */   // Label 28288: @2145258
     /* 2145258 */   GIM_Try, /*On fail goto*//*Label 28289*/ GIMT_Encode4(2145349), // Rule ID 17889 //
     /* 2145263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2145266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2145274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2145277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2145280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2145283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2145286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145309 */     // MIs[0] round
     /* 2145309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145312 */     // MIs[0] policy
     /* 2145312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145322 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2145325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145348 */     // GIR_Coverage, 17889,
     /* 2145348 */     GIR_EraseRootFromParent_Done,
     /* 2145349 */   // Label 28289: @2145349
     /* 2145349 */   GIM_Try, /*On fail goto*//*Label 28290*/ GIMT_Encode4(2145440), // Rule ID 17890 //
     /* 2145354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2145357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2145365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2145368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2145371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2145374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2145377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145400 */     // MIs[0] round
     /* 2145400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145403 */     // MIs[0] policy
     /* 2145403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145413 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2145416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145439 */     // GIR_Coverage, 17890,
     /* 2145439 */     GIR_EraseRootFromParent_Done,
     /* 2145440 */   // Label 28290: @2145440
     /* 2145440 */   GIM_Try, /*On fail goto*//*Label 28291*/ GIMT_Encode4(2145531), // Rule ID 17893 //
     /* 2145445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2145448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2145456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2145459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2145462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2145465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145491 */     // MIs[0] round
     /* 2145491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145494 */     // MIs[0] policy
     /* 2145494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145504 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2145507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145530 */     // GIR_Coverage, 17893,
     /* 2145530 */     GIR_EraseRootFromParent_Done,
     /* 2145531 */   // Label 28291: @2145531
     /* 2145531 */   GIM_Try, /*On fail goto*//*Label 28292*/ GIMT_Encode4(2145622), // Rule ID 17894 //
     /* 2145536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2145539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2145547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2145550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2145553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2145556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145582 */     // MIs[0] round
     /* 2145582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145585 */     // MIs[0] policy
     /* 2145585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145595 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2145598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145621 */     // GIR_Coverage, 17894,
     /* 2145621 */     GIR_EraseRootFromParent_Done,
     /* 2145622 */   // Label 28292: @2145622
     /* 2145622 */   GIM_Try, /*On fail goto*//*Label 28293*/ GIMT_Encode4(2145713), // Rule ID 17897 //
     /* 2145627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2145630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2145638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2145641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2145644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2145647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145673 */     // MIs[0] round
     /* 2145673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145676 */     // MIs[0] policy
     /* 2145676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145686 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2145689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145712 */     // GIR_Coverage, 17897,
     /* 2145712 */     GIR_EraseRootFromParent_Done,
     /* 2145713 */   // Label 28293: @2145713
     /* 2145713 */   GIM_Try, /*On fail goto*//*Label 28294*/ GIMT_Encode4(2145804), // Rule ID 17898 //
     /* 2145718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2145721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2145729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2145732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2145735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2145738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145764 */     // MIs[0] round
     /* 2145764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145767 */     // MIs[0] policy
     /* 2145767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145777 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2145780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145803 */     // GIR_Coverage, 17898,
     /* 2145803 */     GIR_EraseRootFromParent_Done,
     /* 2145804 */   // Label 28294: @2145804
     /* 2145804 */   GIM_Try, /*On fail goto*//*Label 28295*/ GIMT_Encode4(2145895), // Rule ID 17901 //
     /* 2145809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2145812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2145820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2145823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2145826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2145829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145855 */     // MIs[0] round
     /* 2145855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145858 */     // MIs[0] policy
     /* 2145858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145868 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2145871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145894 */     // GIR_Coverage, 17901,
     /* 2145894 */     GIR_EraseRootFromParent_Done,
     /* 2145895 */   // Label 28295: @2145895
     /* 2145895 */   GIM_Try, /*On fail goto*//*Label 28296*/ GIMT_Encode4(2145986), // Rule ID 17902 //
     /* 2145900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2145903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2145911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2145914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2145917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2145920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145946 */     // MIs[0] round
     /* 2145946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145949 */     // MIs[0] policy
     /* 2145949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145959 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2145962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145985 */     // GIR_Coverage, 17902,
     /* 2145985 */     GIR_EraseRootFromParent_Done,
     /* 2145986 */   // Label 28296: @2145986
     /* 2145986 */   GIM_Try, /*On fail goto*//*Label 28297*/ GIMT_Encode4(2146077), // Rule ID 17905 //
     /* 2145991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2145999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2146002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2146005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2146008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2146011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2146029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146037 */     // MIs[0] round
     /* 2146037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146040 */     // MIs[0] policy
     /* 2146040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146050 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2146053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146076 */     // GIR_Coverage, 17905,
     /* 2146076 */     GIR_EraseRootFromParent_Done,
     /* 2146077 */   // Label 28297: @2146077
     /* 2146077 */   GIM_Try, /*On fail goto*//*Label 28298*/ GIMT_Encode4(2146168), // Rule ID 17906 //
     /* 2146082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2146093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2146096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2146099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2146102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2146120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146128 */     // MIs[0] round
     /* 2146128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146131 */     // MIs[0] policy
     /* 2146131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146141 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2146144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146167 */     // GIR_Coverage, 17906,
     /* 2146167 */     GIR_EraseRootFromParent_Done,
     /* 2146168 */   // Label 28298: @2146168
     /* 2146168 */   GIM_Try, /*On fail goto*//*Label 28299*/ GIMT_Encode4(2146259), // Rule ID 17909 //
     /* 2146173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2146176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2146184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2146187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2146190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2146193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2146211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146219 */     // MIs[0] round
     /* 2146219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146222 */     // MIs[0] policy
     /* 2146222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146232 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2146235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146258 */     // GIR_Coverage, 17909,
     /* 2146258 */     GIR_EraseRootFromParent_Done,
     /* 2146259 */   // Label 28299: @2146259
     /* 2146259 */   GIM_Try, /*On fail goto*//*Label 28300*/ GIMT_Encode4(2146350), // Rule ID 17910 //
     /* 2146264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2146275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2146278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2146281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2146284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2146302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146310 */     // MIs[0] round
     /* 2146310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146313 */     // MIs[0] policy
     /* 2146313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146323 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2146326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146349 */     // GIR_Coverage, 17910,
     /* 2146349 */     GIR_EraseRootFromParent_Done,
     /* 2146350 */   // Label 28300: @2146350
     /* 2146350 */   GIM_Try, /*On fail goto*//*Label 28301*/ GIMT_Encode4(2146441), // Rule ID 17913 //
     /* 2146355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2146366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2146369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2146372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2146375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2146393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146401 */     // MIs[0] round
     /* 2146401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146404 */     // MIs[0] policy
     /* 2146404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146414 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2146417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146440 */     // GIR_Coverage, 17913,
     /* 2146440 */     GIR_EraseRootFromParent_Done,
     /* 2146441 */   // Label 28301: @2146441
     /* 2146441 */   GIM_Try, /*On fail goto*//*Label 28302*/ GIMT_Encode4(2146532), // Rule ID 17914 //
     /* 2146446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2146449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2146457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2146460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2146463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2146466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2146484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146492 */     // MIs[0] round
     /* 2146492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146495 */     // MIs[0] policy
     /* 2146495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146505 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2146508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146531 */     // GIR_Coverage, 17914,
     /* 2146531 */     GIR_EraseRootFromParent_Done,
     /* 2146532 */   // Label 28302: @2146532
     /* 2146532 */   GIM_Try, /*On fail goto*//*Label 28303*/ GIMT_Encode4(2146623), // Rule ID 17917 //
     /* 2146537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2146540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2146548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2146551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2146554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2146557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2146575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146583 */     // MIs[0] round
     /* 2146583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146586 */     // MIs[0] policy
     /* 2146586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146596 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2146599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146622 */     // GIR_Coverage, 17917,
     /* 2146622 */     GIR_EraseRootFromParent_Done,
     /* 2146623 */   // Label 28303: @2146623
     /* 2146623 */   GIM_Try, /*On fail goto*//*Label 28304*/ GIMT_Encode4(2146714), // Rule ID 17918 //
     /* 2146628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2146639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2146642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2146645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2146648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2146666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146674 */     // MIs[0] round
     /* 2146674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146677 */     // MIs[0] policy
     /* 2146677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146687 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2146690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146713 */     // GIR_Coverage, 17918,
     /* 2146713 */     GIR_EraseRootFromParent_Done,
     /* 2146714 */   // Label 28304: @2146714
     /* 2146714 */   GIM_Try, /*On fail goto*//*Label 28305*/ GIMT_Encode4(2146805), // Rule ID 17921 //
     /* 2146719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2146730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2146733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2146736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2146739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2146757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146765 */     // MIs[0] round
     /* 2146765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146768 */     // MIs[0] policy
     /* 2146768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146778 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2146781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146804 */     // GIR_Coverage, 17921,
     /* 2146804 */     GIR_EraseRootFromParent_Done,
     /* 2146805 */   // Label 28305: @2146805
     /* 2146805 */   GIM_Try, /*On fail goto*//*Label 28306*/ GIMT_Encode4(2146896), // Rule ID 17922 //
     /* 2146810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2146813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2146821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2146824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2146827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2146830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2146848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146856 */     // MIs[0] round
     /* 2146856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146859 */     // MIs[0] policy
     /* 2146859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146869 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2146872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146895 */     // GIR_Coverage, 17922,
     /* 2146895 */     GIR_EraseRootFromParent_Done,
     /* 2146896 */   // Label 28306: @2146896
     /* 2146896 */   GIM_Try, /*On fail goto*//*Label 28307*/ GIMT_Encode4(2146987), // Rule ID 17925 //
     /* 2146901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2146904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2146909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2146912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2146915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2146918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2146921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2146939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146947 */     // MIs[0] round
     /* 2146947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146950 */     // MIs[0] policy
     /* 2146950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146960 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2146963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146986 */     // GIR_Coverage, 17925,
     /* 2146986 */     GIR_EraseRootFromParent_Done,
     /* 2146987 */   // Label 28307: @2146987
     /* 2146987 */   GIM_Try, /*On fail goto*//*Label 28308*/ GIMT_Encode4(2147078), // Rule ID 17926 //
     /* 2146992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2146995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2147003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2147006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2147009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2147012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2147030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147038 */     // MIs[0] round
     /* 2147038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147041 */     // MIs[0] policy
     /* 2147041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147051 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2147054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147077 */     // GIR_Coverage, 17926,
     /* 2147077 */     GIR_EraseRootFromParent_Done,
     /* 2147078 */   // Label 28308: @2147078
     /* 2147078 */   GIM_Try, /*On fail goto*//*Label 28309*/ GIMT_Encode4(2147169), // Rule ID 17929 //
     /* 2147083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2147086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2147094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2147097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2147103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147129 */     // MIs[0] round
     /* 2147129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147132 */     // MIs[0] policy
     /* 2147132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147142 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2147145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147168 */     // GIR_Coverage, 17929,
     /* 2147168 */     GIR_EraseRootFromParent_Done,
     /* 2147169 */   // Label 28309: @2147169
     /* 2147169 */   GIM_Try, /*On fail goto*//*Label 28310*/ GIMT_Encode4(2147260), // Rule ID 17930 //
     /* 2147174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2147185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2147188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2147194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147220 */     // MIs[0] round
     /* 2147220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147223 */     // MIs[0] policy
     /* 2147223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147233 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2147236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147259 */     // GIR_Coverage, 17930,
     /* 2147259 */     GIR_EraseRootFromParent_Done,
     /* 2147260 */   // Label 28310: @2147260
     /* 2147260 */   GIM_Try, /*On fail goto*//*Label 28311*/ GIMT_Encode4(2147351), // Rule ID 17933 //
     /* 2147265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2147268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2147276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2147279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2147285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2147288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147311 */     // MIs[0] round
     /* 2147311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147314 */     // MIs[0] policy
     /* 2147314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147324 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2147327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147350 */     // GIR_Coverage, 17933,
     /* 2147350 */     GIR_EraseRootFromParent_Done,
     /* 2147351 */   // Label 28311: @2147351
     /* 2147351 */   GIM_Try, /*On fail goto*//*Label 28312*/ GIMT_Encode4(2147442), // Rule ID 17934 //
     /* 2147356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2147367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2147370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2147376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2147379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147402 */     // MIs[0] round
     /* 2147402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147405 */     // MIs[0] policy
     /* 2147405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147415 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2147418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147441 */     // GIR_Coverage, 17934,
     /* 2147441 */     GIR_EraseRootFromParent_Done,
     /* 2147442 */   // Label 28312: @2147442
     /* 2147442 */   GIM_Try, /*On fail goto*//*Label 28313*/ GIMT_Encode4(2147533), // Rule ID 17937 //
     /* 2147447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2147450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2147458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2147461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2147467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2147470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147493 */     // MIs[0] round
     /* 2147493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147496 */     // MIs[0] policy
     /* 2147496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147506 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2147509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147532 */     // GIR_Coverage, 17937,
     /* 2147532 */     GIR_EraseRootFromParent_Done,
     /* 2147533 */   // Label 28313: @2147533
     /* 2147533 */   GIM_Try, /*On fail goto*//*Label 28314*/ GIMT_Encode4(2147624), // Rule ID 17938 //
     /* 2147538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2147549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2147552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2147558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2147561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147584 */     // MIs[0] round
     /* 2147584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147587 */     // MIs[0] policy
     /* 2147587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147597 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2147600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147623 */     // GIR_Coverage, 17938,
     /* 2147623 */     GIR_EraseRootFromParent_Done,
     /* 2147624 */   // Label 28314: @2147624
     /* 2147624 */   GIM_Try, /*On fail goto*//*Label 28315*/ GIMT_Encode4(2147715), // Rule ID 17941 //
     /* 2147629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2147632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2147640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2147643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2147646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2147649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2147667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147675 */     // MIs[0] round
     /* 2147675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147678 */     // MIs[0] policy
     /* 2147678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147688 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2147691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147714 */     // GIR_Coverage, 17941,
     /* 2147714 */     GIR_EraseRootFromParent_Done,
     /* 2147715 */   // Label 28315: @2147715
     /* 2147715 */   GIM_Try, /*On fail goto*//*Label 28316*/ GIMT_Encode4(2147806), // Rule ID 17942 //
     /* 2147720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2147723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2147731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2147734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2147737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2147740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2147758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147766 */     // MIs[0] round
     /* 2147766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147769 */     // MIs[0] policy
     /* 2147769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147779 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2147782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147805 */     // GIR_Coverage, 17942,
     /* 2147805 */     GIR_EraseRootFromParent_Done,
     /* 2147806 */   // Label 28316: @2147806
     /* 2147806 */   GIM_Try, /*On fail goto*//*Label 28317*/ GIMT_Encode4(2147897), // Rule ID 17945 //
     /* 2147811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2147814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2147822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2147825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2147828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2147831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2147849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147857 */     // MIs[0] round
     /* 2147857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147860 */     // MIs[0] policy
     /* 2147860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147870 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2147873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147896 */     // GIR_Coverage, 17945,
     /* 2147896 */     GIR_EraseRootFromParent_Done,
     /* 2147897 */   // Label 28317: @2147897
     /* 2147897 */   GIM_Try, /*On fail goto*//*Label 28318*/ GIMT_Encode4(2147988), // Rule ID 17946 //
     /* 2147902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2147905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2147910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2147913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2147916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2147919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2147922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2147940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147948 */     // MIs[0] round
     /* 2147948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147951 */     // MIs[0] policy
     /* 2147951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147961 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2147964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147987 */     // GIR_Coverage, 17946,
     /* 2147987 */     GIR_EraseRootFromParent_Done,
     /* 2147988 */   // Label 28318: @2147988
     /* 2147988 */   GIM_Try, /*On fail goto*//*Label 28319*/ GIMT_Encode4(2148079), // Rule ID 17949 //
     /* 2147993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2147996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2148004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2148007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2148013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2148016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148039 */     // MIs[0] round
     /* 2148039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148042 */     // MIs[0] policy
     /* 2148042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148052 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2148055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148078 */     // GIR_Coverage, 17949,
     /* 2148078 */     GIR_EraseRootFromParent_Done,
     /* 2148079 */   // Label 28319: @2148079
     /* 2148079 */   GIM_Try, /*On fail goto*//*Label 28320*/ GIMT_Encode4(2148170), // Rule ID 17950 //
     /* 2148084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2148087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2148095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2148098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2148104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2148107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148130 */     // MIs[0] round
     /* 2148130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148133 */     // MIs[0] policy
     /* 2148133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148143 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2148146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148169 */     // GIR_Coverage, 17950,
     /* 2148169 */     GIR_EraseRootFromParent_Done,
     /* 2148170 */   // Label 28320: @2148170
     /* 2148170 */   GIM_Try, /*On fail goto*//*Label 28321*/ GIMT_Encode4(2148261), // Rule ID 17953 //
     /* 2148175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2148178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2148186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2148189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2148195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148221 */     // MIs[0] round
     /* 2148221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148224 */     // MIs[0] policy
     /* 2148224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148234 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2148237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148260 */     // GIR_Coverage, 17953,
     /* 2148260 */     GIR_EraseRootFromParent_Done,
     /* 2148261 */   // Label 28321: @2148261
     /* 2148261 */   GIM_Try, /*On fail goto*//*Label 28322*/ GIMT_Encode4(2148352), // Rule ID 17954 //
     /* 2148266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2148269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2148277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2148280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2148286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148312 */     // MIs[0] round
     /* 2148312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148315 */     // MIs[0] policy
     /* 2148315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148325 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2148328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148351 */     // GIR_Coverage, 17954,
     /* 2148351 */     GIR_EraseRootFromParent_Done,
     /* 2148352 */   // Label 28322: @2148352
     /* 2148352 */   GIM_Try, /*On fail goto*//*Label 28323*/ GIMT_Encode4(2148443), // Rule ID 17957 //
     /* 2148357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2148360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2148368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2148371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2148377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148403 */     // MIs[0] round
     /* 2148403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148406 */     // MIs[0] policy
     /* 2148406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148416 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2148419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148442 */     // GIR_Coverage, 17957,
     /* 2148442 */     GIR_EraseRootFromParent_Done,
     /* 2148443 */   // Label 28323: @2148443
     /* 2148443 */   GIM_Try, /*On fail goto*//*Label 28324*/ GIMT_Encode4(2148534), // Rule ID 17958 //
     /* 2148448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2148451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2148459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2148462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2148468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148494 */     // MIs[0] round
     /* 2148494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148497 */     // MIs[0] policy
     /* 2148497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148507 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2148510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148533 */     // GIR_Coverage, 17958,
     /* 2148533 */     GIR_EraseRootFromParent_Done,
     /* 2148534 */   // Label 28324: @2148534
     /* 2148534 */   GIM_Try, /*On fail goto*//*Label 28325*/ GIMT_Encode4(2148625), // Rule ID 17961 //
     /* 2148539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2148542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2148550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2148553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2148559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148585 */     // MIs[0] round
     /* 2148585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148588 */     // MIs[0] policy
     /* 2148588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148598 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2148601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148624 */     // GIR_Coverage, 17961,
     /* 2148624 */     GIR_EraseRootFromParent_Done,
     /* 2148625 */   // Label 28325: @2148625
     /* 2148625 */   GIM_Try, /*On fail goto*//*Label 28326*/ GIMT_Encode4(2148716), // Rule ID 17962 //
     /* 2148630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2148633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2148638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2148641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2148644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2148650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148676 */     // MIs[0] round
     /* 2148676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148679 */     // MIs[0] policy
     /* 2148679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148689 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11114:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2148692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2148712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148715 */     // GIR_Coverage, 17962,
     /* 2148715 */     GIR_EraseRootFromParent_Done,
     /* 2148716 */   // Label 28326: @2148716
     /* 2148716 */   GIM_Try, /*On fail goto*//*Label 28327*/ GIMT_Encode4(2148807), // Rule ID 17965 //
     /* 2148721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2148729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2148732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2148735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2148738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2148741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148767 */     // MIs[0] round
     /* 2148767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148770 */     // MIs[0] policy
     /* 2148770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148780 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2148783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148806 */     // GIR_Coverage, 17965,
     /* 2148806 */     GIR_EraseRootFromParent_Done,
     /* 2148807 */   // Label 28327: @2148807
     /* 2148807 */   GIM_Try, /*On fail goto*//*Label 28328*/ GIMT_Encode4(2148898), // Rule ID 17966 //
     /* 2148812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2148820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2148823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2148826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2148829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2148832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148858 */     // MIs[0] round
     /* 2148858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148861 */     // MIs[0] policy
     /* 2148861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148871 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2148874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148897 */     // GIR_Coverage, 17966,
     /* 2148897 */     GIR_EraseRootFromParent_Done,
     /* 2148898 */   // Label 28328: @2148898
     /* 2148898 */   GIM_Try, /*On fail goto*//*Label 28329*/ GIMT_Encode4(2148989), // Rule ID 17969 //
     /* 2148903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2148911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2148914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2148917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2148920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2148923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148949 */     // MIs[0] round
     /* 2148949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148952 */     // MIs[0] policy
     /* 2148952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148962 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2148965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148988 */     // GIR_Coverage, 17969,
     /* 2148988 */     GIR_EraseRootFromParent_Done,
     /* 2148989 */   // Label 28329: @2148989
     /* 2148989 */   GIM_Try, /*On fail goto*//*Label 28330*/ GIMT_Encode4(2149080), // Rule ID 17970 //
     /* 2148994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2149002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2149005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2149008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2149011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2149014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149040 */     // MIs[0] round
     /* 2149040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149043 */     // MIs[0] policy
     /* 2149043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149053 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2149056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149079 */     // GIR_Coverage, 17970,
     /* 2149079 */     GIR_EraseRootFromParent_Done,
     /* 2149080 */   // Label 28330: @2149080
     /* 2149080 */   GIM_Try, /*On fail goto*//*Label 28331*/ GIMT_Encode4(2149171), // Rule ID 17973 //
     /* 2149085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2149088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2149093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2149096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2149099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2149102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2149105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149131 */     // MIs[0] round
     /* 2149131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149134 */     // MIs[0] policy
     /* 2149134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149144 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2149147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149170 */     // GIR_Coverage, 17973,
     /* 2149170 */     GIR_EraseRootFromParent_Done,
     /* 2149171 */   // Label 28331: @2149171
     /* 2149171 */   GIM_Try, /*On fail goto*//*Label 28332*/ GIMT_Encode4(2149262), // Rule ID 17974 //
     /* 2149176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2149179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2149184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2149187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2149190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2149193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2149196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149222 */     // MIs[0] round
     /* 2149222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149225 */     // MIs[0] policy
     /* 2149225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149235 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2149238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149261 */     // GIR_Coverage, 17974,
     /* 2149261 */     GIR_EraseRootFromParent_Done,
     /* 2149262 */   // Label 28332: @2149262
     /* 2149262 */   GIM_Try, /*On fail goto*//*Label 28333*/ GIMT_Encode4(2149353), // Rule ID 17977 //
     /* 2149267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2149270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2149275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2149278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2149281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2149284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2149287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149313 */     // MIs[0] round
     /* 2149313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149316 */     // MIs[0] policy
     /* 2149316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149326 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2149329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149352 */     // GIR_Coverage, 17977,
     /* 2149352 */     GIR_EraseRootFromParent_Done,
     /* 2149353 */   // Label 28333: @2149353
     /* 2149353 */   GIM_Try, /*On fail goto*//*Label 28334*/ GIMT_Encode4(2149444), // Rule ID 17978 //
     /* 2149358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2149361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2149366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2149369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2149372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2149375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2149378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149404 */     // MIs[0] round
     /* 2149404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149407 */     // MIs[0] policy
     /* 2149407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149417 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2149420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149443 */     // GIR_Coverage, 17978,
     /* 2149443 */     GIR_EraseRootFromParent_Done,
     /* 2149444 */   // Label 28334: @2149444
     /* 2149444 */   GIM_Try, /*On fail goto*//*Label 28335*/ GIMT_Encode4(2149535), // Rule ID 17981 //
     /* 2149449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2149452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2149457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2149460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2149463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2149466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2149469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149495 */     // MIs[0] round
     /* 2149495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149498 */     // MIs[0] policy
     /* 2149498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149508 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2149511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149534 */     // GIR_Coverage, 17981,
     /* 2149534 */     GIR_EraseRootFromParent_Done,
     /* 2149535 */   // Label 28335: @2149535
     /* 2149535 */   GIM_Try, /*On fail goto*//*Label 28336*/ GIMT_Encode4(2149626), // Rule ID 17982 //
     /* 2149540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2149543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2149548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2149551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2149554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2149557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2149560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149586 */     // MIs[0] round
     /* 2149586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149589 */     // MIs[0] policy
     /* 2149589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149599 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2149602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149625 */     // GIR_Coverage, 17982,
     /* 2149625 */     GIR_EraseRootFromParent_Done,
     /* 2149626 */   // Label 28336: @2149626
     /* 2149626 */   GIM_Try, /*On fail goto*//*Label 28337*/ GIMT_Encode4(2149717), // Rule ID 17985 //
     /* 2149631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2149634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2149639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2149642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2149645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2149648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2149651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149677 */     // MIs[0] round
     /* 2149677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149680 */     // MIs[0] policy
     /* 2149680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149690 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2149693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149716 */     // GIR_Coverage, 17985,
     /* 2149716 */     GIR_EraseRootFromParent_Done,
     /* 2149717 */   // Label 28337: @2149717
     /* 2149717 */   GIM_Try, /*On fail goto*//*Label 28338*/ GIMT_Encode4(2149808), // Rule ID 17986 //
     /* 2149722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2149725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2149730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2149733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2149736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2149739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2149742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149768 */     // MIs[0] round
     /* 2149768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149771 */     // MIs[0] policy
     /* 2149771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149781 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2149784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149807 */     // GIR_Coverage, 17986,
     /* 2149807 */     GIR_EraseRootFromParent_Done,
     /* 2149808 */   // Label 28338: @2149808
     /* 2149808 */   GIM_Try, /*On fail goto*//*Label 28339*/ GIMT_Encode4(2149899), // Rule ID 17989 //
     /* 2149813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2149816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2149821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2149824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2149827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2149830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2149833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149859 */     // MIs[0] round
     /* 2149859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149862 */     // MIs[0] policy
     /* 2149862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149872 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2149875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149898 */     // GIR_Coverage, 17989,
     /* 2149898 */     GIR_EraseRootFromParent_Done,
     /* 2149899 */   // Label 28339: @2149899
     /* 2149899 */   GIM_Try, /*On fail goto*//*Label 28340*/ GIMT_Encode4(2149990), // Rule ID 17990 //
     /* 2149904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2149907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2149912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2149915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2149918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2149921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2149924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149950 */     // MIs[0] round
     /* 2149950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149953 */     // MIs[0] policy
     /* 2149953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149963 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2149966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149989 */     // GIR_Coverage, 17990,
     /* 2149989 */     GIR_EraseRootFromParent_Done,
     /* 2149990 */   // Label 28340: @2149990
     /* 2149990 */   GIM_Try, /*On fail goto*//*Label 28341*/ GIMT_Encode4(2150081), // Rule ID 17993 //
     /* 2149995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2149998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2150006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2150009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2150012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2150015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2150018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150041 */     // MIs[0] round
     /* 2150041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150044 */     // MIs[0] policy
     /* 2150044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150054 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2150057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150080 */     // GIR_Coverage, 17993,
     /* 2150080 */     GIR_EraseRootFromParent_Done,
     /* 2150081 */   // Label 28341: @2150081
     /* 2150081 */   GIM_Try, /*On fail goto*//*Label 28342*/ GIMT_Encode4(2150172), // Rule ID 17994 //
     /* 2150086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2150097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2150100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2150103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2150106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2150109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150132 */     // MIs[0] round
     /* 2150132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150135 */     // MIs[0] policy
     /* 2150135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150145 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2150148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150171 */     // GIR_Coverage, 17994,
     /* 2150171 */     GIR_EraseRootFromParent_Done,
     /* 2150172 */   // Label 28342: @2150172
     /* 2150172 */   GIM_Try, /*On fail goto*//*Label 28343*/ GIMT_Encode4(2150263), // Rule ID 17997 //
     /* 2150177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2150188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2150191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2150194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2150197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2150200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150223 */     // MIs[0] round
     /* 2150223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150226 */     // MIs[0] policy
     /* 2150226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150236 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2150239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150262 */     // GIR_Coverage, 17997,
     /* 2150262 */     GIR_EraseRootFromParent_Done,
     /* 2150263 */   // Label 28343: @2150263
     /* 2150263 */   GIM_Try, /*On fail goto*//*Label 28344*/ GIMT_Encode4(2150354), // Rule ID 17998 //
     /* 2150268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2150279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2150282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2150285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2150288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2150291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150314 */     // MIs[0] round
     /* 2150314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150317 */     // MIs[0] policy
     /* 2150317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150327 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2150330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150353 */     // GIR_Coverage, 17998,
     /* 2150353 */     GIR_EraseRootFromParent_Done,
     /* 2150354 */   // Label 28344: @2150354
     /* 2150354 */   GIM_Try, /*On fail goto*//*Label 28345*/ GIMT_Encode4(2150445), // Rule ID 18001 //
     /* 2150359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2150370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2150373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2150376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2150379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2150389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150405 */     // MIs[0] round
     /* 2150405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150408 */     // MIs[0] policy
     /* 2150408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150418 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2150421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150444 */     // GIR_Coverage, 18001,
     /* 2150444 */     GIR_EraseRootFromParent_Done,
     /* 2150445 */   // Label 28345: @2150445
     /* 2150445 */   GIM_Try, /*On fail goto*//*Label 28346*/ GIMT_Encode4(2150536), // Rule ID 18002 //
     /* 2150450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2150461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2150464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2150467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2150470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2150480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150496 */     // MIs[0] round
     /* 2150496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150499 */     // MIs[0] policy
     /* 2150499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150509 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2150512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150535 */     // GIR_Coverage, 18002,
     /* 2150535 */     GIR_EraseRootFromParent_Done,
     /* 2150536 */   // Label 28346: @2150536
     /* 2150536 */   GIM_Try, /*On fail goto*//*Label 28347*/ GIMT_Encode4(2150627), // Rule ID 18005 //
     /* 2150541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2150552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2150555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2150558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2150561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150587 */     // MIs[0] round
     /* 2150587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150590 */     // MIs[0] policy
     /* 2150590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150600 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2150603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150626 */     // GIR_Coverage, 18005,
     /* 2150626 */     GIR_EraseRootFromParent_Done,
     /* 2150627 */   // Label 28347: @2150627
     /* 2150627 */   GIM_Try, /*On fail goto*//*Label 28348*/ GIMT_Encode4(2150718), // Rule ID 18006 //
     /* 2150632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2150643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2150646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2150649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2150652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150678 */     // MIs[0] round
     /* 2150678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150681 */     // MIs[0] policy
     /* 2150681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150691 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2150694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150717 */     // GIR_Coverage, 18006,
     /* 2150717 */     GIR_EraseRootFromParent_Done,
     /* 2150718 */   // Label 28348: @2150718
     /* 2150718 */   GIM_Try, /*On fail goto*//*Label 28349*/ GIMT_Encode4(2150809), // Rule ID 18009 //
     /* 2150723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2150734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2150737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2150740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2150743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2150746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150769 */     // MIs[0] round
     /* 2150769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150772 */     // MIs[0] policy
     /* 2150772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150782 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2150785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150808 */     // GIR_Coverage, 18009,
     /* 2150808 */     GIR_EraseRootFromParent_Done,
     /* 2150809 */   // Label 28349: @2150809
     /* 2150809 */   GIM_Try, /*On fail goto*//*Label 28350*/ GIMT_Encode4(2150900), // Rule ID 18010 //
     /* 2150814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2150825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2150828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2150831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2150834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2150837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150860 */     // MIs[0] round
     /* 2150860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150863 */     // MIs[0] policy
     /* 2150863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150873 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2150876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150899 */     // GIR_Coverage, 18010,
     /* 2150899 */     GIR_EraseRootFromParent_Done,
     /* 2150900 */   // Label 28350: @2150900
     /* 2150900 */   GIM_Try, /*On fail goto*//*Label 28351*/ GIMT_Encode4(2150991), // Rule ID 18013 //
     /* 2150905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2150908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2150913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2150916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2150919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2150922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2150925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2150935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150951 */     // MIs[0] round
     /* 2150951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150954 */     // MIs[0] policy
     /* 2150954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150964 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2150967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150990 */     // GIR_Coverage, 18013,
     /* 2150990 */     GIR_EraseRootFromParent_Done,
     /* 2150991 */   // Label 28351: @2150991
     /* 2150991 */   GIM_Try, /*On fail goto*//*Label 28352*/ GIMT_Encode4(2151082), // Rule ID 18014 //
     /* 2150996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2150999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2151007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2151010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2151013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2151016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151042 */     // MIs[0] round
     /* 2151042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151045 */     // MIs[0] policy
     /* 2151045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151055 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2151058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151081 */     // GIR_Coverage, 18014,
     /* 2151081 */     GIR_EraseRootFromParent_Done,
     /* 2151082 */   // Label 28352: @2151082
     /* 2151082 */   GIM_Try, /*On fail goto*//*Label 28353*/ GIMT_Encode4(2151173), // Rule ID 18017 //
     /* 2151087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2151090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2151098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2151101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2151104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2151107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151133 */     // MIs[0] round
     /* 2151133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151136 */     // MIs[0] policy
     /* 2151136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151146 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2151149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151172 */     // GIR_Coverage, 18017,
     /* 2151172 */     GIR_EraseRootFromParent_Done,
     /* 2151173 */   // Label 28353: @2151173
     /* 2151173 */   GIM_Try, /*On fail goto*//*Label 28354*/ GIMT_Encode4(2151264), // Rule ID 18018 //
     /* 2151178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2151181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2151189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2151192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2151195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2151198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151224 */     // MIs[0] round
     /* 2151224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151227 */     // MIs[0] policy
     /* 2151227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151237 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2151240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151263 */     // GIR_Coverage, 18018,
     /* 2151263 */     GIR_EraseRootFromParent_Done,
     /* 2151264 */   // Label 28354: @2151264
     /* 2151264 */   GIM_Try, /*On fail goto*//*Label 28355*/ GIMT_Encode4(2151355), // Rule ID 18021 //
     /* 2151269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2151272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2151280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2151283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2151286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2151289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151315 */     // MIs[0] round
     /* 2151315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151318 */     // MIs[0] policy
     /* 2151318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151328 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2151331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151354 */     // GIR_Coverage, 18021,
     /* 2151354 */     GIR_EraseRootFromParent_Done,
     /* 2151355 */   // Label 28355: @2151355
     /* 2151355 */   GIM_Try, /*On fail goto*//*Label 28356*/ GIMT_Encode4(2151446), // Rule ID 18022 //
     /* 2151360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2151363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2151371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2151374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2151377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2151380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151406 */     // MIs[0] round
     /* 2151406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151409 */     // MIs[0] policy
     /* 2151409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151419 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2151422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151445 */     // GIR_Coverage, 18022,
     /* 2151445 */     GIR_EraseRootFromParent_Done,
     /* 2151446 */   // Label 28356: @2151446
     /* 2151446 */   GIM_Try, /*On fail goto*//*Label 28357*/ GIMT_Encode4(2151537), // Rule ID 18025 //
     /* 2151451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2151462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2151465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2151468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2151471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2151489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151497 */     // MIs[0] round
     /* 2151497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151500 */     // MIs[0] policy
     /* 2151500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151510 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2151513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151536 */     // GIR_Coverage, 18025,
     /* 2151536 */     GIR_EraseRootFromParent_Done,
     /* 2151537 */   // Label 28357: @2151537
     /* 2151537 */   GIM_Try, /*On fail goto*//*Label 28358*/ GIMT_Encode4(2151628), // Rule ID 18026 //
     /* 2151542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2151553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2151556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2151559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2151562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2151580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151588 */     // MIs[0] round
     /* 2151588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151591 */     // MIs[0] policy
     /* 2151591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151601 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2151604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151627 */     // GIR_Coverage, 18026,
     /* 2151627 */     GIR_EraseRootFromParent_Done,
     /* 2151628 */   // Label 28358: @2151628
     /* 2151628 */   GIM_Try, /*On fail goto*//*Label 28359*/ GIMT_Encode4(2151719), // Rule ID 18029 //
     /* 2151633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2151636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2151644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2151647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2151650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2151653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2151671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151679 */     // MIs[0] round
     /* 2151679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151682 */     // MIs[0] policy
     /* 2151682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151692 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2151695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151718 */     // GIR_Coverage, 18029,
     /* 2151718 */     GIR_EraseRootFromParent_Done,
     /* 2151719 */   // Label 28359: @2151719
     /* 2151719 */   GIM_Try, /*On fail goto*//*Label 28360*/ GIMT_Encode4(2151810), // Rule ID 18030 //
     /* 2151724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2151735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2151738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2151741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2151744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2151762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151770 */     // MIs[0] round
     /* 2151770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151773 */     // MIs[0] policy
     /* 2151773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151783 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2151786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151809 */     // GIR_Coverage, 18030,
     /* 2151809 */     GIR_EraseRootFromParent_Done,
     /* 2151810 */   // Label 28360: @2151810
     /* 2151810 */   GIM_Try, /*On fail goto*//*Label 28361*/ GIMT_Encode4(2151901), // Rule ID 18033 //
     /* 2151815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2151826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2151829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2151832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2151835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2151853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151861 */     // MIs[0] round
     /* 2151861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151864 */     // MIs[0] policy
     /* 2151864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151874 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2151877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151900 */     // GIR_Coverage, 18033,
     /* 2151900 */     GIR_EraseRootFromParent_Done,
     /* 2151901 */   // Label 28361: @2151901
     /* 2151901 */   GIM_Try, /*On fail goto*//*Label 28362*/ GIMT_Encode4(2151992), // Rule ID 18034 //
     /* 2151906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2151914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2151917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2151920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2151923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2151926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2151944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151952 */     // MIs[0] round
     /* 2151952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151955 */     // MIs[0] policy
     /* 2151955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151965 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2151968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151991 */     // GIR_Coverage, 18034,
     /* 2151991 */     GIR_EraseRootFromParent_Done,
     /* 2151992 */   // Label 28362: @2151992
     /* 2151992 */   GIM_Try, /*On fail goto*//*Label 28363*/ GIMT_Encode4(2152083), // Rule ID 18037 //
     /* 2151997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2152008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2152011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2152017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152043 */     // MIs[0] round
     /* 2152043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152046 */     // MIs[0] policy
     /* 2152046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152056 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2152059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152082 */     // GIR_Coverage, 18037,
     /* 2152082 */     GIR_EraseRootFromParent_Done,
     /* 2152083 */   // Label 28363: @2152083
     /* 2152083 */   GIM_Try, /*On fail goto*//*Label 28364*/ GIMT_Encode4(2152174), // Rule ID 18038 //
     /* 2152088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2152099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2152102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2152108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152134 */     // MIs[0] round
     /* 2152134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152137 */     // MIs[0] policy
     /* 2152137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152147 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2152150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152173 */     // GIR_Coverage, 18038,
     /* 2152173 */     GIR_EraseRootFromParent_Done,
     /* 2152174 */   // Label 28364: @2152174
     /* 2152174 */   GIM_Try, /*On fail goto*//*Label 28365*/ GIMT_Encode4(2152265), // Rule ID 18041 //
     /* 2152179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2152190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2152193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2152196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2152199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2152217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152225 */     // MIs[0] round
     /* 2152225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152228 */     // MIs[0] policy
     /* 2152228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152238 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2152241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152264 */     // GIR_Coverage, 18041,
     /* 2152264 */     GIR_EraseRootFromParent_Done,
     /* 2152265 */   // Label 28365: @2152265
     /* 2152265 */   GIM_Try, /*On fail goto*//*Label 28366*/ GIMT_Encode4(2152356), // Rule ID 18042 //
     /* 2152270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2152281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2152284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2152287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2152290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2152308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152316 */     // MIs[0] round
     /* 2152316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152319 */     // MIs[0] policy
     /* 2152319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152329 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2152332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152355 */     // GIR_Coverage, 18042,
     /* 2152355 */     GIR_EraseRootFromParent_Done,
     /* 2152356 */   // Label 28366: @2152356
     /* 2152356 */   GIM_Try, /*On fail goto*//*Label 28367*/ GIMT_Encode4(2152447), // Rule ID 18045 //
     /* 2152361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2152372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2152375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2152378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2152381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2152399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152407 */     // MIs[0] round
     /* 2152407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152410 */     // MIs[0] policy
     /* 2152410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152420 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2152423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152446 */     // GIR_Coverage, 18045,
     /* 2152446 */     GIR_EraseRootFromParent_Done,
     /* 2152447 */   // Label 28367: @2152447
     /* 2152447 */   GIM_Try, /*On fail goto*//*Label 28368*/ GIMT_Encode4(2152538), // Rule ID 18046 //
     /* 2152452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2152463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2152466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2152469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2152472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2152490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152498 */     // MIs[0] round
     /* 2152498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152501 */     // MIs[0] policy
     /* 2152501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152511 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2152514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152537 */     // GIR_Coverage, 18046,
     /* 2152537 */     GIR_EraseRootFromParent_Done,
     /* 2152538 */   // Label 28368: @2152538
     /* 2152538 */   GIM_Try, /*On fail goto*//*Label 28369*/ GIMT_Encode4(2152629), // Rule ID 18049 //
     /* 2152543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2152554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2152557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2152563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152589 */     // MIs[0] round
     /* 2152589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152592 */     // MIs[0] policy
     /* 2152592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152602 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2152605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152628 */     // GIR_Coverage, 18049,
     /* 2152628 */     GIR_EraseRootFromParent_Done,
     /* 2152629 */   // Label 28369: @2152629
     /* 2152629 */   GIM_Try, /*On fail goto*//*Label 28370*/ GIMT_Encode4(2152720), // Rule ID 18050 //
     /* 2152634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2152645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2152648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2152654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2152664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2152676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152680 */     // MIs[0] round
     /* 2152680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152683 */     // MIs[0] policy
     /* 2152683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152693 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2152696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152719 */     // GIR_Coverage, 18050,
     /* 2152719 */     GIR_EraseRootFromParent_Done,
     /* 2152720 */   // Label 28370: @2152720
     /* 2152720 */   GIM_Try, /*On fail goto*//*Label 28371*/ GIMT_Encode4(2152811), // Rule ID 18053 //
     /* 2152725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2152736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2152739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2152745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2152748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152771 */     // MIs[0] round
     /* 2152771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152774 */     // MIs[0] policy
     /* 2152774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152784 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2152787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152810 */     // GIR_Coverage, 18053,
     /* 2152810 */     GIR_EraseRootFromParent_Done,
     /* 2152811 */   // Label 28371: @2152811
     /* 2152811 */   GIM_Try, /*On fail goto*//*Label 28372*/ GIMT_Encode4(2152902), // Rule ID 18054 //
     /* 2152816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2152827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2152830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2152836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2152839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152862 */     // MIs[0] round
     /* 2152862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152865 */     // MIs[0] policy
     /* 2152865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152875 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2152878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152901 */     // GIR_Coverage, 18054,
     /* 2152901 */     GIR_EraseRootFromParent_Done,
     /* 2152902 */   // Label 28372: @2152902
     /* 2152902 */   GIM_Try, /*On fail goto*//*Label 28373*/ GIMT_Encode4(2152993), // Rule ID 18057 //
     /* 2152907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2152915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2152918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2152921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2152927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2152930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152953 */     // MIs[0] round
     /* 2152953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152956 */     // MIs[0] policy
     /* 2152956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152966 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2152969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152992 */     // GIR_Coverage, 18057,
     /* 2152992 */     GIR_EraseRootFromParent_Done,
     /* 2152993 */   // Label 28373: @2152993
     /* 2152993 */   GIM_Try, /*On fail goto*//*Label 28374*/ GIMT_Encode4(2153084), // Rule ID 18058 //
     /* 2152998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2153009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2153012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2153018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2153021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2153028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153044 */     // MIs[0] round
     /* 2153044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153047 */     // MIs[0] policy
     /* 2153047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153057 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2153060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153083 */     // GIR_Coverage, 18058,
     /* 2153083 */     GIR_EraseRootFromParent_Done,
     /* 2153084 */   // Label 28374: @2153084
     /* 2153084 */   GIM_Try, /*On fail goto*//*Label 28375*/ GIMT_Encode4(2153175), // Rule ID 18061 //
     /* 2153089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2153100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2153103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2153109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153135 */     // MIs[0] round
     /* 2153135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153138 */     // MIs[0] policy
     /* 2153138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153148 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2153151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153174 */     // GIR_Coverage, 18061,
     /* 2153174 */     GIR_EraseRootFromParent_Done,
     /* 2153175 */   // Label 28375: @2153175
     /* 2153175 */   GIM_Try, /*On fail goto*//*Label 28376*/ GIMT_Encode4(2153266), // Rule ID 18062 //
     /* 2153180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2153191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2153194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2153200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153226 */     // MIs[0] round
     /* 2153226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153229 */     // MIs[0] policy
     /* 2153229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153239 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2153242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153265 */     // GIR_Coverage, 18062,
     /* 2153265 */     GIR_EraseRootFromParent_Done,
     /* 2153266 */   // Label 28376: @2153266
     /* 2153266 */   GIM_Try, /*On fail goto*//*Label 28377*/ GIMT_Encode4(2153357), // Rule ID 18065 //
     /* 2153271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2153282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2153285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2153291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153317 */     // MIs[0] round
     /* 2153317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153320 */     // MIs[0] policy
     /* 2153320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153330 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2153333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153356 */     // GIR_Coverage, 18065,
     /* 2153356 */     GIR_EraseRootFromParent_Done,
     /* 2153357 */   // Label 28377: @2153357
     /* 2153357 */   GIM_Try, /*On fail goto*//*Label 28378*/ GIMT_Encode4(2153448), // Rule ID 18066 //
     /* 2153362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2153373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2153376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2153382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153408 */     // MIs[0] round
     /* 2153408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153411 */     // MIs[0] policy
     /* 2153411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153421 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2153424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153447 */     // GIR_Coverage, 18066,
     /* 2153447 */     GIR_EraseRootFromParent_Done,
     /* 2153448 */   // Label 28378: @2153448
     /* 2153448 */   GIM_Try, /*On fail goto*//*Label 28379*/ GIMT_Encode4(2153539), // Rule ID 18069 //
     /* 2153453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2153464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2153467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2153473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2153476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2153483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153499 */     // MIs[0] round
     /* 2153499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153502 */     // MIs[0] policy
     /* 2153502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153512 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2153515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153538 */     // GIR_Coverage, 18069,
     /* 2153538 */     GIR_EraseRootFromParent_Done,
     /* 2153539 */   // Label 28379: @2153539
     /* 2153539 */   GIM_Try, /*On fail goto*//*Label 28380*/ GIMT_Encode4(2153630), // Rule ID 18070 //
     /* 2153544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2153555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2153558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2153564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2153567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2153574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153590 */     // MIs[0] round
     /* 2153590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153593 */     // MIs[0] policy
     /* 2153593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153603 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2153606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153629 */     // GIR_Coverage, 18070,
     /* 2153629 */     GIR_EraseRootFromParent_Done,
     /* 2153630 */   // Label 28380: @2153630
     /* 2153630 */   GIM_Try, /*On fail goto*//*Label 28381*/ GIMT_Encode4(2153721), // Rule ID 18073 //
     /* 2153635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2153638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2153646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2153649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2153652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2153655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2153673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153681 */     // MIs[0] round
     /* 2153681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153684 */     // MIs[0] policy
     /* 2153684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153694 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2153697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153720 */     // GIR_Coverage, 18073,
     /* 2153720 */     GIR_EraseRootFromParent_Done,
     /* 2153721 */   // Label 28381: @2153721
     /* 2153721 */   GIM_Try, /*On fail goto*//*Label 28382*/ GIMT_Encode4(2153812), // Rule ID 18074 //
     /* 2153726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2153729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2153737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2153740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2153743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2153746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2153764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153772 */     // MIs[0] round
     /* 2153772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153775 */     // MIs[0] policy
     /* 2153775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153785 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2153788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153811 */     // GIR_Coverage, 18074,
     /* 2153811 */     GIR_EraseRootFromParent_Done,
     /* 2153812 */   // Label 28382: @2153812
     /* 2153812 */   GIM_Try, /*On fail goto*//*Label 28383*/ GIMT_Encode4(2153903), // Rule ID 18077 //
     /* 2153817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2153820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2153828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2153831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2153834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2153837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2153855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153863 */     // MIs[0] round
     /* 2153863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153866 */     // MIs[0] policy
     /* 2153866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153876 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2153879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153902 */     // GIR_Coverage, 18077,
     /* 2153902 */     GIR_EraseRootFromParent_Done,
     /* 2153903 */   // Label 28383: @2153903
     /* 2153903 */   GIM_Try, /*On fail goto*//*Label 28384*/ GIMT_Encode4(2153994), // Rule ID 18078 //
     /* 2153908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2153911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2153916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2153919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2153922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2153925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2153928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2153946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153954 */     // MIs[0] round
     /* 2153954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153957 */     // MIs[0] policy
     /* 2153957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153967 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2153970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153993 */     // GIR_Coverage, 18078,
     /* 2153993 */     GIR_EraseRootFromParent_Done,
     /* 2153994 */   // Label 28384: @2153994
     /* 2153994 */   GIM_Try, /*On fail goto*//*Label 28385*/ GIMT_Encode4(2154085), // Rule ID 18081 //
     /* 2153999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2154002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2154010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2154013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2154019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154045 */     // MIs[0] round
     /* 2154045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154048 */     // MIs[0] policy
     /* 2154048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154058 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2154061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154084 */     // GIR_Coverage, 18081,
     /* 2154084 */     GIR_EraseRootFromParent_Done,
     /* 2154085 */   // Label 28385: @2154085
     /* 2154085 */   GIM_Try, /*On fail goto*//*Label 28386*/ GIMT_Encode4(2154176), // Rule ID 18082 //
     /* 2154090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2154093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2154098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2154101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2154104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2154110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154136 */     // MIs[0] round
     /* 2154136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154139 */     // MIs[0] policy
     /* 2154139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154149 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2154152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154175 */     // GIR_Coverage, 18082,
     /* 2154175 */     GIR_EraseRootFromParent_Done,
     /* 2154176 */   // Label 28386: @2154176
     /* 2154176 */   GIM_Try, /*On fail goto*//*Label 28387*/ GIMT_Encode4(2154267), // Rule ID 18085 //
     /* 2154181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2154189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2154192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2154195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2154198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2154201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154227 */     // MIs[0] round
     /* 2154227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154230 */     // MIs[0] policy
     /* 2154230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154240 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2154243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154266 */     // GIR_Coverage, 18085,
     /* 2154266 */     GIR_EraseRootFromParent_Done,
     /* 2154267 */   // Label 28387: @2154267
     /* 2154267 */   GIM_Try, /*On fail goto*//*Label 28388*/ GIMT_Encode4(2154358), // Rule ID 18086 //
     /* 2154272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2154280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2154283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2154286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2154289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2154292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154318 */     // MIs[0] round
     /* 2154318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154321 */     // MIs[0] policy
     /* 2154321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154331 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2154334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154357 */     // GIR_Coverage, 18086,
     /* 2154357 */     GIR_EraseRootFromParent_Done,
     /* 2154358 */   // Label 28388: @2154358
     /* 2154358 */   GIM_Try, /*On fail goto*//*Label 28389*/ GIMT_Encode4(2154449), // Rule ID 18089 //
     /* 2154363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2154371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2154374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2154377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2154380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2154383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154409 */     // MIs[0] round
     /* 2154409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154412 */     // MIs[0] policy
     /* 2154412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154422 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2154425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154448 */     // GIR_Coverage, 18089,
     /* 2154448 */     GIR_EraseRootFromParent_Done,
     /* 2154449 */   // Label 28389: @2154449
     /* 2154449 */   GIM_Try, /*On fail goto*//*Label 28390*/ GIMT_Encode4(2154540), // Rule ID 18090 //
     /* 2154454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2154462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2154465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2154468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2154471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2154474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154500 */     // MIs[0] round
     /* 2154500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154503 */     // MIs[0] policy
     /* 2154503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154513 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2154516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154539 */     // GIR_Coverage, 18090,
     /* 2154539 */     GIR_EraseRootFromParent_Done,
     /* 2154540 */   // Label 28390: @2154540
     /* 2154540 */   GIM_Try, /*On fail goto*//*Label 28391*/ GIMT_Encode4(2154631), // Rule ID 18093 //
     /* 2154545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2154553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2154556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2154559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2154562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2154565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154591 */     // MIs[0] round
     /* 2154591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154594 */     // MIs[0] policy
     /* 2154594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154604 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2154607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154630 */     // GIR_Coverage, 18093,
     /* 2154630 */     GIR_EraseRootFromParent_Done,
     /* 2154631 */   // Label 28391: @2154631
     /* 2154631 */   GIM_Try, /*On fail goto*//*Label 28392*/ GIMT_Encode4(2154722), // Rule ID 18094 //
     /* 2154636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2154644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2154647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2154650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2154653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2154656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154682 */     // MIs[0] round
     /* 2154682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154685 */     // MIs[0] policy
     /* 2154685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154695 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2154698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154721 */     // GIR_Coverage, 18094,
     /* 2154721 */     GIR_EraseRootFromParent_Done,
     /* 2154722 */   // Label 28392: @2154722
     /* 2154722 */   GIM_Try, /*On fail goto*//*Label 28393*/ GIMT_Encode4(2154813), // Rule ID 18097 //
     /* 2154727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2154735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2154738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2154741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2154744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2154747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154773 */     // MIs[0] round
     /* 2154773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154776 */     // MIs[0] policy
     /* 2154776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154786 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2154789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154812 */     // GIR_Coverage, 18097,
     /* 2154812 */     GIR_EraseRootFromParent_Done,
     /* 2154813 */   // Label 28393: @2154813
     /* 2154813 */   GIM_Try, /*On fail goto*//*Label 28394*/ GIMT_Encode4(2154904), // Rule ID 18098 //
     /* 2154818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2154821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2154826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2154829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2154832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2154835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2154838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154864 */     // MIs[0] round
     /* 2154864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154867 */     // MIs[0] policy
     /* 2154867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154877 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2154880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2154900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154903 */     // GIR_Coverage, 18098,
     /* 2154903 */     GIR_EraseRootFromParent_Done,
     /* 2154904 */   // Label 28394: @2154904
     /* 2154904 */   GIM_Try, /*On fail goto*//*Label 28395*/ GIMT_Encode4(2154995), // Rule ID 18101 //
     /* 2154909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2154917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2154920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2154923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2154926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2154929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154955 */     // MIs[0] round
     /* 2154955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154958 */     // MIs[0] policy
     /* 2154958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154968 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2154971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154994 */     // GIR_Coverage, 18101,
     /* 2154994 */     GIR_EraseRootFromParent_Done,
     /* 2154995 */   // Label 28395: @2154995
     /* 2154995 */   GIM_Try, /*On fail goto*//*Label 28396*/ GIMT_Encode4(2155086), // Rule ID 18102 //
     /* 2155000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2155011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2155014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2155017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2155020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155046 */     // MIs[0] round
     /* 2155046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155049 */     // MIs[0] policy
     /* 2155049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155059 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2155062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155085 */     // GIR_Coverage, 18102,
     /* 2155085 */     GIR_EraseRootFromParent_Done,
     /* 2155086 */   // Label 28396: @2155086
     /* 2155086 */   GIM_Try, /*On fail goto*//*Label 28397*/ GIMT_Encode4(2155177), // Rule ID 18105 //
     /* 2155091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2155094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2155102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2155105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2155108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2155111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155137 */     // MIs[0] round
     /* 2155137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155140 */     // MIs[0] policy
     /* 2155140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155150 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2155153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155176 */     // GIR_Coverage, 18105,
     /* 2155176 */     GIR_EraseRootFromParent_Done,
     /* 2155177 */   // Label 28397: @2155177
     /* 2155177 */   GIM_Try, /*On fail goto*//*Label 28398*/ GIMT_Encode4(2155268), // Rule ID 18106 //
     /* 2155182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2155185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2155193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2155196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2155199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2155202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155228 */     // MIs[0] round
     /* 2155228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155231 */     // MIs[0] policy
     /* 2155231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155241 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2155244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155267 */     // GIR_Coverage, 18106,
     /* 2155267 */     GIR_EraseRootFromParent_Done,
     /* 2155268 */   // Label 28398: @2155268
     /* 2155268 */   GIM_Try, /*On fail goto*//*Label 28399*/ GIMT_Encode4(2155359), // Rule ID 18109 //
     /* 2155273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2155284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2155287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2155290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2155293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155319 */     // MIs[0] round
     /* 2155319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155322 */     // MIs[0] policy
     /* 2155322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155332 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2155335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155358 */     // GIR_Coverage, 18109,
     /* 2155358 */     GIR_EraseRootFromParent_Done,
     /* 2155359 */   // Label 28399: @2155359
     /* 2155359 */   GIM_Try, /*On fail goto*//*Label 28400*/ GIMT_Encode4(2155450), // Rule ID 18110 //
     /* 2155364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2155375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2155378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2155381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2155384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155410 */     // MIs[0] round
     /* 2155410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155413 */     // MIs[0] policy
     /* 2155413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155423 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2155426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155449 */     // GIR_Coverage, 18110,
     /* 2155449 */     GIR_EraseRootFromParent_Done,
     /* 2155450 */   // Label 28400: @2155450
     /* 2155450 */   GIM_Try, /*On fail goto*//*Label 28401*/ GIMT_Encode4(2155541), // Rule ID 18113 //
     /* 2155455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2155466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2155469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2155472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2155475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2155478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155501 */     // MIs[0] round
     /* 2155501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155504 */     // MIs[0] policy
     /* 2155504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155514 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2155517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155540 */     // GIR_Coverage, 18113,
     /* 2155540 */     GIR_EraseRootFromParent_Done,
     /* 2155541 */   // Label 28401: @2155541
     /* 2155541 */   GIM_Try, /*On fail goto*//*Label 28402*/ GIMT_Encode4(2155632), // Rule ID 18114 //
     /* 2155546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2155557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2155560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2155563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2155566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2155569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155592 */     // MIs[0] round
     /* 2155592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155595 */     // MIs[0] policy
     /* 2155595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155605 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2155608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155631 */     // GIR_Coverage, 18114,
     /* 2155631 */     GIR_EraseRootFromParent_Done,
     /* 2155632 */   // Label 28402: @2155632
     /* 2155632 */   GIM_Try, /*On fail goto*//*Label 28403*/ GIMT_Encode4(2155723), // Rule ID 18117 //
     /* 2155637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2155648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2155651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2155654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2155657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2155660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155683 */     // MIs[0] round
     /* 2155683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155686 */     // MIs[0] policy
     /* 2155686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155696 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2155699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155722 */     // GIR_Coverage, 18117,
     /* 2155722 */     GIR_EraseRootFromParent_Done,
     /* 2155723 */   // Label 28403: @2155723
     /* 2155723 */   GIM_Try, /*On fail goto*//*Label 28404*/ GIMT_Encode4(2155814), // Rule ID 18118 //
     /* 2155728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2155739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2155742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2155745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2155748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2155751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155774 */     // MIs[0] round
     /* 2155774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155777 */     // MIs[0] policy
     /* 2155777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155787 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2155790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155813 */     // GIR_Coverage, 18118,
     /* 2155813 */     GIR_EraseRootFromParent_Done,
     /* 2155814 */   // Label 28404: @2155814
     /* 2155814 */   GIM_Try, /*On fail goto*//*Label 28405*/ GIMT_Encode4(2155905), // Rule ID 18121 //
     /* 2155819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2155822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2155830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2155833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2155836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2155839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155865 */     // MIs[0] round
     /* 2155865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155868 */     // MIs[0] policy
     /* 2155868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155878 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2155881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155904 */     // GIR_Coverage, 18121,
     /* 2155904 */     GIR_EraseRootFromParent_Done,
     /* 2155905 */   // Label 28405: @2155905
     /* 2155905 */   GIM_Try, /*On fail goto*//*Label 28406*/ GIMT_Encode4(2155996), // Rule ID 18122 //
     /* 2155910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2155918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2155921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2155924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2155927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2155930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155956 */     // MIs[0] round
     /* 2155956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155959 */     // MIs[0] policy
     /* 2155959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155969 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2155972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155995 */     // GIR_Coverage, 18122,
     /* 2155995 */     GIR_EraseRootFromParent_Done,
     /* 2155996 */   // Label 28406: @2155996
     /* 2155996 */   GIM_Try, /*On fail goto*//*Label 28407*/ GIMT_Encode4(2156087), // Rule ID 18125 //
     /* 2156001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2156004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2156012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2156015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2156018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2156021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156047 */     // MIs[0] round
     /* 2156047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156050 */     // MIs[0] policy
     /* 2156050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156060 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2156063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156086 */     // GIR_Coverage, 18125,
     /* 2156086 */     GIR_EraseRootFromParent_Done,
     /* 2156087 */   // Label 28407: @2156087
     /* 2156087 */   GIM_Try, /*On fail goto*//*Label 28408*/ GIMT_Encode4(2156178), // Rule ID 18126 //
     /* 2156092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2156095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2156103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2156106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2156109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2156112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156138 */     // MIs[0] round
     /* 2156138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156141 */     // MIs[0] policy
     /* 2156141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156151 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2156154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156177 */     // GIR_Coverage, 18126,
     /* 2156177 */     GIR_EraseRootFromParent_Done,
     /* 2156178 */   // Label 28408: @2156178
     /* 2156178 */   GIM_Try, /*On fail goto*//*Label 28409*/ GIMT_Encode4(2156269), // Rule ID 18129 //
     /* 2156183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2156186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2156194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2156197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2156200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2156203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2156206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156229 */     // MIs[0] round
     /* 2156229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156232 */     // MIs[0] policy
     /* 2156232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156242 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2156245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156268 */     // GIR_Coverage, 18129,
     /* 2156268 */     GIR_EraseRootFromParent_Done,
     /* 2156269 */   // Label 28409: @2156269
     /* 2156269 */   GIM_Try, /*On fail goto*//*Label 28410*/ GIMT_Encode4(2156360), // Rule ID 18130 //
     /* 2156274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2156277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2156285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2156288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2156291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2156294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2156297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156320 */     // MIs[0] round
     /* 2156320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156323 */     // MIs[0] policy
     /* 2156323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156333 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2156336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156359 */     // GIR_Coverage, 18130,
     /* 2156359 */     GIR_EraseRootFromParent_Done,
     /* 2156360 */   // Label 28410: @2156360
     /* 2156360 */   GIM_Try, /*On fail goto*//*Label 28411*/ GIMT_Encode4(2156451), // Rule ID 18133 //
     /* 2156365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2156368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2156376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2156379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2156382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2156385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156411 */     // MIs[0] round
     /* 2156411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156414 */     // MIs[0] policy
     /* 2156414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156424 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2156427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156450 */     // GIR_Coverage, 18133,
     /* 2156450 */     GIR_EraseRootFromParent_Done,
     /* 2156451 */   // Label 28411: @2156451
     /* 2156451 */   GIM_Try, /*On fail goto*//*Label 28412*/ GIMT_Encode4(2156542), // Rule ID 18134 //
     /* 2156456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2156459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2156467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2156470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2156473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2156476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156502 */     // MIs[0] round
     /* 2156502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156505 */     // MIs[0] policy
     /* 2156505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156515 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2156518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156541 */     // GIR_Coverage, 18134,
     /* 2156541 */     GIR_EraseRootFromParent_Done,
     /* 2156542 */   // Label 28412: @2156542
     /* 2156542 */   GIM_Try, /*On fail goto*//*Label 28413*/ GIMT_Encode4(2156633), // Rule ID 18137 //
     /* 2156547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2156550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2156558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2156561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2156564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2156567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156593 */     // MIs[0] round
     /* 2156593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156596 */     // MIs[0] policy
     /* 2156596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156606 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2156609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156632 */     // GIR_Coverage, 18137,
     /* 2156632 */     GIR_EraseRootFromParent_Done,
     /* 2156633 */   // Label 28413: @2156633
     /* 2156633 */   GIM_Try, /*On fail goto*//*Label 28414*/ GIMT_Encode4(2156724), // Rule ID 18138 //
     /* 2156638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2156641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2156649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2156652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2156655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2156658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156684 */     // MIs[0] round
     /* 2156684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156687 */     // MIs[0] policy
     /* 2156687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156697 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2156700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156723 */     // GIR_Coverage, 18138,
     /* 2156723 */     GIR_EraseRootFromParent_Done,
     /* 2156724 */   // Label 28414: @2156724
     /* 2156724 */   GIM_Try, /*On fail goto*//*Label 28415*/ GIMT_Encode4(2156815), // Rule ID 18141 //
     /* 2156729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2156732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2156740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2156743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2156746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2156749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156775 */     // MIs[0] round
     /* 2156775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156778 */     // MIs[0] policy
     /* 2156778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156788 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2156791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156814 */     // GIR_Coverage, 18141,
     /* 2156814 */     GIR_EraseRootFromParent_Done,
     /* 2156815 */   // Label 28415: @2156815
     /* 2156815 */   GIM_Try, /*On fail goto*//*Label 28416*/ GIMT_Encode4(2156906), // Rule ID 18142 //
     /* 2156820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2156823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2156831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2156834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2156837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2156840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156866 */     // MIs[0] round
     /* 2156866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156869 */     // MIs[0] policy
     /* 2156869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156879 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2156882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156905 */     // GIR_Coverage, 18142,
     /* 2156905 */     GIR_EraseRootFromParent_Done,
     /* 2156906 */   // Label 28416: @2156906
     /* 2156906 */   GIM_Try, /*On fail goto*//*Label 28417*/ GIMT_Encode4(2156997), // Rule ID 18145 //
     /* 2156911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2156919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2156922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2156925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2156928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2156931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2156949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156957 */     // MIs[0] round
     /* 2156957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156960 */     // MIs[0] policy
     /* 2156960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156970 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2156973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156996 */     // GIR_Coverage, 18145,
     /* 2156996 */     GIR_EraseRootFromParent_Done,
     /* 2156997 */   // Label 28417: @2156997
     /* 2156997 */   GIM_Try, /*On fail goto*//*Label 28418*/ GIMT_Encode4(2157088), // Rule ID 18146 //
     /* 2157002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2157013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2157016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2157019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2157022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2157040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157048 */     // MIs[0] round
     /* 2157048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157051 */     // MIs[0] policy
     /* 2157051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157061 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2157064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157087 */     // GIR_Coverage, 18146,
     /* 2157087 */     GIR_EraseRootFromParent_Done,
     /* 2157088 */   // Label 28418: @2157088
     /* 2157088 */   GIM_Try, /*On fail goto*//*Label 28419*/ GIMT_Encode4(2157179), // Rule ID 18149 //
     /* 2157093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2157096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2157104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2157107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2157110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2157113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2157131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157139 */     // MIs[0] round
     /* 2157139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157142 */     // MIs[0] policy
     /* 2157142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157152 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2157155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157178 */     // GIR_Coverage, 18149,
     /* 2157178 */     GIR_EraseRootFromParent_Done,
     /* 2157179 */   // Label 28419: @2157179
     /* 2157179 */   GIM_Try, /*On fail goto*//*Label 28420*/ GIMT_Encode4(2157270), // Rule ID 18150 //
     /* 2157184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2157195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2157198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2157201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2157204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2157222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157230 */     // MIs[0] round
     /* 2157230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157233 */     // MIs[0] policy
     /* 2157233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157243 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2157246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157269 */     // GIR_Coverage, 18150,
     /* 2157269 */     GIR_EraseRootFromParent_Done,
     /* 2157270 */   // Label 28420: @2157270
     /* 2157270 */   GIM_Try, /*On fail goto*//*Label 28421*/ GIMT_Encode4(2157361), // Rule ID 18153 //
     /* 2157275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2157278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2157286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2157289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2157292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2157295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2157313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157321 */     // MIs[0] round
     /* 2157321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157324 */     // MIs[0] policy
     /* 2157324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157334 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2157337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157360 */     // GIR_Coverage, 18153,
     /* 2157360 */     GIR_EraseRootFromParent_Done,
     /* 2157361 */   // Label 28421: @2157361
     /* 2157361 */   GIM_Try, /*On fail goto*//*Label 28422*/ GIMT_Encode4(2157452), // Rule ID 18154 //
     /* 2157366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2157377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2157380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2157383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2157386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2157404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157412 */     // MIs[0] round
     /* 2157412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157415 */     // MIs[0] policy
     /* 2157415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157425 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2157428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157451 */     // GIR_Coverage, 18154,
     /* 2157451 */     GIR_EraseRootFromParent_Done,
     /* 2157452 */   // Label 28422: @2157452
     /* 2157452 */   GIM_Try, /*On fail goto*//*Label 28423*/ GIMT_Encode4(2157543), // Rule ID 18157 //
     /* 2157457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2157460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2157468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2157471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2157474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2157477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2157495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157503 */     // MIs[0] round
     /* 2157503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157506 */     // MIs[0] policy
     /* 2157506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157516 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2157519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157542 */     // GIR_Coverage, 18157,
     /* 2157542 */     GIR_EraseRootFromParent_Done,
     /* 2157543 */   // Label 28423: @2157543
     /* 2157543 */   GIM_Try, /*On fail goto*//*Label 28424*/ GIMT_Encode4(2157634), // Rule ID 18158 //
     /* 2157548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2157559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2157562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2157565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2157568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2157586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157594 */     // MIs[0] round
     /* 2157594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157597 */     // MIs[0] policy
     /* 2157597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157607 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2157610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157633 */     // GIR_Coverage, 18158,
     /* 2157633 */     GIR_EraseRootFromParent_Done,
     /* 2157634 */   // Label 28424: @2157634
     /* 2157634 */   GIM_Try, /*On fail goto*//*Label 28425*/ GIMT_Encode4(2157725), // Rule ID 18161 //
     /* 2157639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2157642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2157650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2157653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2157656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2157659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2157677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157685 */     // MIs[0] round
     /* 2157685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157688 */     // MIs[0] policy
     /* 2157688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157698 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2157701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157724 */     // GIR_Coverage, 18161,
     /* 2157724 */     GIR_EraseRootFromParent_Done,
     /* 2157725 */   // Label 28425: @2157725
     /* 2157725 */   GIM_Try, /*On fail goto*//*Label 28426*/ GIMT_Encode4(2157816), // Rule ID 18162 //
     /* 2157730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2157741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2157744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2157747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2157750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2157768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157776 */     // MIs[0] round
     /* 2157776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157779 */     // MIs[0] policy
     /* 2157779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157789 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2157792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157815 */     // GIR_Coverage, 18162,
     /* 2157815 */     GIR_EraseRootFromParent_Done,
     /* 2157816 */   // Label 28426: @2157816
     /* 2157816 */   GIM_Try, /*On fail goto*//*Label 28427*/ GIMT_Encode4(2157907), // Rule ID 18165 //
     /* 2157821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2157824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2157832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2157835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2157838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2157841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2157859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157867 */     // MIs[0] round
     /* 2157867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157870 */     // MIs[0] policy
     /* 2157870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157880 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2157883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157906 */     // GIR_Coverage, 18165,
     /* 2157906 */     GIR_EraseRootFromParent_Done,
     /* 2157907 */   // Label 28427: @2157907
     /* 2157907 */   GIM_Try, /*On fail goto*//*Label 28428*/ GIMT_Encode4(2157998), // Rule ID 18166 //
     /* 2157912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2157915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2157920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2157923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2157926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2157929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2157932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2157950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157958 */     // MIs[0] round
     /* 2157958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157961 */     // MIs[0] policy
     /* 2157961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157971 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2157974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157997 */     // GIR_Coverage, 18166,
     /* 2157997 */     GIR_EraseRootFromParent_Done,
     /* 2157998 */   // Label 28428: @2157998
     /* 2157998 */   GIM_Try, /*On fail goto*//*Label 28429*/ GIMT_Encode4(2158089), // Rule ID 18169 //
     /* 2158003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2158014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2158017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2158023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158049 */     // MIs[0] round
     /* 2158049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158052 */     // MIs[0] policy
     /* 2158052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158062 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2158065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158088 */     // GIR_Coverage, 18169,
     /* 2158088 */     GIR_EraseRootFromParent_Done,
     /* 2158089 */   // Label 28429: @2158089
     /* 2158089 */   GIM_Try, /*On fail goto*//*Label 28430*/ GIMT_Encode4(2158180), // Rule ID 18170 //
     /* 2158094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2158105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2158108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2158114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158140 */     // MIs[0] round
     /* 2158140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158143 */     // MIs[0] policy
     /* 2158143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158153 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2158156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158179 */     // GIR_Coverage, 18170,
     /* 2158179 */     GIR_EraseRootFromParent_Done,
     /* 2158180 */   // Label 28430: @2158180
     /* 2158180 */   GIM_Try, /*On fail goto*//*Label 28431*/ GIMT_Encode4(2158271), // Rule ID 18173 //
     /* 2158185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2158196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2158199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2158205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2158208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158231 */     // MIs[0] round
     /* 2158231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158234 */     // MIs[0] policy
     /* 2158234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158244 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2158247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158270 */     // GIR_Coverage, 18173,
     /* 2158270 */     GIR_EraseRootFromParent_Done,
     /* 2158271 */   // Label 28431: @2158271
     /* 2158271 */   GIM_Try, /*On fail goto*//*Label 28432*/ GIMT_Encode4(2158362), // Rule ID 18174 //
     /* 2158276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2158287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2158290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2158296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2158299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158322 */     // MIs[0] round
     /* 2158322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158325 */     // MIs[0] policy
     /* 2158325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158335 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2158338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158361 */     // GIR_Coverage, 18174,
     /* 2158361 */     GIR_EraseRootFromParent_Done,
     /* 2158362 */   // Label 28432: @2158362
     /* 2158362 */   GIM_Try, /*On fail goto*//*Label 28433*/ GIMT_Encode4(2158453), // Rule ID 18177 //
     /* 2158367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2158378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2158381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2158387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2158390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158413 */     // MIs[0] round
     /* 2158413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158416 */     // MIs[0] policy
     /* 2158416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158426 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2158429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158452 */     // GIR_Coverage, 18177,
     /* 2158452 */     GIR_EraseRootFromParent_Done,
     /* 2158453 */   // Label 28433: @2158453
     /* 2158453 */   GIM_Try, /*On fail goto*//*Label 28434*/ GIMT_Encode4(2158544), // Rule ID 18178 //
     /* 2158458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2158469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2158472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2158478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2158481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158504 */     // MIs[0] round
     /* 2158504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158507 */     // MIs[0] policy
     /* 2158507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158517 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2158520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158543 */     // GIR_Coverage, 18178,
     /* 2158543 */     GIR_EraseRootFromParent_Done,
     /* 2158544 */   // Label 28434: @2158544
     /* 2158544 */   GIM_Try, /*On fail goto*//*Label 28435*/ GIMT_Encode4(2158635), // Rule ID 18181 //
     /* 2158549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2158552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2158560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2158563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2158569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158595 */     // MIs[0] round
     /* 2158595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158598 */     // MIs[0] policy
     /* 2158598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158608 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2158611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158634 */     // GIR_Coverage, 18181,
     /* 2158634 */     GIR_EraseRootFromParent_Done,
     /* 2158635 */   // Label 28435: @2158635
     /* 2158635 */   GIM_Try, /*On fail goto*//*Label 28436*/ GIMT_Encode4(2158726), // Rule ID 18182 //
     /* 2158640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2158651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2158654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2158660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158686 */     // MIs[0] round
     /* 2158686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158689 */     // MIs[0] policy
     /* 2158689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158699 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2158702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158725 */     // GIR_Coverage, 18182,
     /* 2158725 */     GIR_EraseRootFromParent_Done,
     /* 2158726 */   // Label 28436: @2158726
     /* 2158726 */   GIM_Try, /*On fail goto*//*Label 28437*/ GIMT_Encode4(2158817), // Rule ID 18185 //
     /* 2158731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2158734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2158742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2158745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2158751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158777 */     // MIs[0] round
     /* 2158777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158780 */     // MIs[0] policy
     /* 2158780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158790 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2158793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158816 */     // GIR_Coverage, 18185,
     /* 2158816 */     GIR_EraseRootFromParent_Done,
     /* 2158817 */   // Label 28437: @2158817
     /* 2158817 */   GIM_Try, /*On fail goto*//*Label 28438*/ GIMT_Encode4(2158908), // Rule ID 18186 //
     /* 2158822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2158833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2158836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2158842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158868 */     // MIs[0] round
     /* 2158868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158871 */     // MIs[0] policy
     /* 2158871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158881 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2158884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158907 */     // GIR_Coverage, 18186,
     /* 2158907 */     GIR_EraseRootFromParent_Done,
     /* 2158908 */   // Label 28438: @2158908
     /* 2158908 */   GIM_Try, /*On fail goto*//*Label 28439*/ GIMT_Encode4(2158999), // Rule ID 18189 //
     /* 2158913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2158916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2158921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2158924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2158927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2158933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2158936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2158943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2158955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158959 */     // MIs[0] round
     /* 2158959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158962 */     // MIs[0] policy
     /* 2158962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158972 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2158975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158998 */     // GIR_Coverage, 18189,
     /* 2158998 */     GIR_EraseRootFromParent_Done,
     /* 2158999 */   // Label 28439: @2158999
     /* 2158999 */   GIM_Try, /*On fail goto*//*Label 28440*/ GIMT_Encode4(2159090), // Rule ID 18190 //
     /* 2159004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2159007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2159015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2159018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2159024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159050 */     // MIs[0] round
     /* 2159050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159053 */     // MIs[0] policy
     /* 2159053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159063 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2159066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159089 */     // GIR_Coverage, 18190,
     /* 2159089 */     GIR_EraseRootFromParent_Done,
     /* 2159090 */   // Label 28440: @2159090
     /* 2159090 */   GIM_Try, /*On fail goto*//*Label 28441*/ GIMT_Encode4(2159181), // Rule ID 18193 //
     /* 2159095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2159098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2159106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2159109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2159115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2159118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159141 */     // MIs[0] round
     /* 2159141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159144 */     // MIs[0] policy
     /* 2159144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159154 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2159157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159180 */     // GIR_Coverage, 18193,
     /* 2159180 */     GIR_EraseRootFromParent_Done,
     /* 2159181 */   // Label 28441: @2159181
     /* 2159181 */   GIM_Try, /*On fail goto*//*Label 28442*/ GIMT_Encode4(2159272), // Rule ID 18194 //
     /* 2159186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2159189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2159197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2159200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2159206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2159209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159232 */     // MIs[0] round
     /* 2159232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159235 */     // MIs[0] policy
     /* 2159235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159245 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2159248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159271 */     // GIR_Coverage, 18194,
     /* 2159271 */     GIR_EraseRootFromParent_Done,
     /* 2159272 */   // Label 28442: @2159272
     /* 2159272 */   GIM_Try, /*On fail goto*//*Label 28443*/ GIMT_Encode4(2159363), // Rule ID 18197 //
     /* 2159277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2159280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2159288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2159291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2159297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159323 */     // MIs[0] round
     /* 2159323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159326 */     // MIs[0] policy
     /* 2159326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159336 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2159339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159362 */     // GIR_Coverage, 18197,
     /* 2159362 */     GIR_EraseRootFromParent_Done,
     /* 2159363 */   // Label 28443: @2159363
     /* 2159363 */   GIM_Try, /*On fail goto*//*Label 28444*/ GIMT_Encode4(2159454), // Rule ID 18198 //
     /* 2159368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2159371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2159379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2159382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2159388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159414 */     // MIs[0] round
     /* 2159414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159417 */     // MIs[0] policy
     /* 2159417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159427 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2159430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159453 */     // GIR_Coverage, 18198,
     /* 2159453 */     GIR_EraseRootFromParent_Done,
     /* 2159454 */   // Label 28444: @2159454
     /* 2159454 */   GIM_Try, /*On fail goto*//*Label 28445*/ GIMT_Encode4(2159545), // Rule ID 18201 //
     /* 2159459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2159462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2159470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2159473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2159479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159505 */     // MIs[0] round
     /* 2159505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159508 */     // MIs[0] policy
     /* 2159508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159518 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2159521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159544 */     // GIR_Coverage, 18201,
     /* 2159544 */     GIR_EraseRootFromParent_Done,
     /* 2159545 */   // Label 28445: @2159545
     /* 2159545 */   GIM_Try, /*On fail goto*//*Label 28446*/ GIMT_Encode4(2159636), // Rule ID 18202 //
     /* 2159550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2159553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2159558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2159561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2159564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2159570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159596 */     // MIs[0] round
     /* 2159596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159599 */     // MIs[0] policy
     /* 2159599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159609 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2159612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159635 */     // GIR_Coverage, 18202,
     /* 2159635 */     GIR_EraseRootFromParent_Done,
     /* 2159636 */   // Label 28446: @2159636
     /* 2159636 */   GIM_Try, /*On fail goto*//*Label 28447*/ GIMT_Encode4(2159727), // Rule ID 18205 //
     /* 2159641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2159649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2159652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2159655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2159658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2159661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159687 */     // MIs[0] round
     /* 2159687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159690 */     // MIs[0] policy
     /* 2159690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159700 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2159703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159726 */     // GIR_Coverage, 18205,
     /* 2159726 */     GIR_EraseRootFromParent_Done,
     /* 2159727 */   // Label 28447: @2159727
     /* 2159727 */   GIM_Try, /*On fail goto*//*Label 28448*/ GIMT_Encode4(2159818), // Rule ID 18206 //
     /* 2159732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2159740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2159743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2159746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2159749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2159752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159778 */     // MIs[0] round
     /* 2159778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159781 */     // MIs[0] policy
     /* 2159781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159791 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2159794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159817 */     // GIR_Coverage, 18206,
     /* 2159817 */     GIR_EraseRootFromParent_Done,
     /* 2159818 */   // Label 28448: @2159818
     /* 2159818 */   GIM_Try, /*On fail goto*//*Label 28449*/ GIMT_Encode4(2159909), // Rule ID 18209 //
     /* 2159823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2159831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2159834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2159837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2159840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2159843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2159846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159869 */     // MIs[0] round
     /* 2159869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159872 */     // MIs[0] policy
     /* 2159872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159882 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2159885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159908 */     // GIR_Coverage, 18209,
     /* 2159908 */     GIR_EraseRootFromParent_Done,
     /* 2159909 */   // Label 28449: @2159909
     /* 2159909 */   GIM_Try, /*On fail goto*//*Label 28450*/ GIMT_Encode4(2160000), // Rule ID 18210 //
     /* 2159914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2159922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2159925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2159928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2159931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2159934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2159937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159960 */     // MIs[0] round
     /* 2159960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159963 */     // MIs[0] policy
     /* 2159963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159973 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2159976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159999 */     // GIR_Coverage, 18210,
     /* 2159999 */     GIR_EraseRootFromParent_Done,
     /* 2160000 */   // Label 28450: @2160000
     /* 2160000 */   GIM_Try, /*On fail goto*//*Label 28451*/ GIMT_Encode4(2160091), // Rule ID 18213 //
     /* 2160005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2160008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2160013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2160016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2160019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2160022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2160025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160051 */     // MIs[0] round
     /* 2160051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160054 */     // MIs[0] policy
     /* 2160054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160064 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2160067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160090 */     // GIR_Coverage, 18213,
     /* 2160090 */     GIR_EraseRootFromParent_Done,
     /* 2160091 */   // Label 28451: @2160091
     /* 2160091 */   GIM_Try, /*On fail goto*//*Label 28452*/ GIMT_Encode4(2160182), // Rule ID 18214 //
     /* 2160096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2160099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2160104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2160107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2160110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2160113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2160116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160142 */     // MIs[0] round
     /* 2160142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160145 */     // MIs[0] policy
     /* 2160145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160155 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2160158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160181 */     // GIR_Coverage, 18214,
     /* 2160181 */     GIR_EraseRootFromParent_Done,
     /* 2160182 */   // Label 28452: @2160182
     /* 2160182 */   GIM_Try, /*On fail goto*//*Label 28453*/ GIMT_Encode4(2160273), // Rule ID 18217 //
     /* 2160187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2160190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2160195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2160198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2160201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2160204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2160207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160233 */     // MIs[0] round
     /* 2160233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160236 */     // MIs[0] policy
     /* 2160236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160246 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2160249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160272 */     // GIR_Coverage, 18217,
     /* 2160272 */     GIR_EraseRootFromParent_Done,
     /* 2160273 */   // Label 28453: @2160273
     /* 2160273 */   GIM_Try, /*On fail goto*//*Label 28454*/ GIMT_Encode4(2160364), // Rule ID 18218 //
     /* 2160278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2160281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2160286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2160289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2160292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2160295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2160298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160324 */     // MIs[0] round
     /* 2160324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160327 */     // MIs[0] policy
     /* 2160327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160337 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2160340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160363 */     // GIR_Coverage, 18218,
     /* 2160363 */     GIR_EraseRootFromParent_Done,
     /* 2160364 */   // Label 28454: @2160364
     /* 2160364 */   GIM_Try, /*On fail goto*//*Label 28455*/ GIMT_Encode4(2160455), // Rule ID 18221 //
     /* 2160369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2160372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2160377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2160380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2160383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2160386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2160389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160415 */     // MIs[0] round
     /* 2160415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160418 */     // MIs[0] policy
     /* 2160418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160428 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2160431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160454 */     // GIR_Coverage, 18221,
     /* 2160454 */     GIR_EraseRootFromParent_Done,
     /* 2160455 */   // Label 28455: @2160455
     /* 2160455 */   GIM_Try, /*On fail goto*//*Label 28456*/ GIMT_Encode4(2160546), // Rule ID 18222 //
     /* 2160460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2160463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2160468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2160471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2160474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2160477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2160480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160506 */     // MIs[0] round
     /* 2160506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160509 */     // MIs[0] policy
     /* 2160509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160519 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2160522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160545 */     // GIR_Coverage, 18222,
     /* 2160545 */     GIR_EraseRootFromParent_Done,
     /* 2160546 */   // Label 28456: @2160546
     /* 2160546 */   GIM_Try, /*On fail goto*//*Label 28457*/ GIMT_Encode4(2160637), // Rule ID 18225 //
     /* 2160551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2160554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2160559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2160562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2160565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2160568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2160571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160597 */     // MIs[0] round
     /* 2160597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160600 */     // MIs[0] policy
     /* 2160600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160610 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2160613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160636 */     // GIR_Coverage, 18225,
     /* 2160636 */     GIR_EraseRootFromParent_Done,
     /* 2160637 */   // Label 28457: @2160637
     /* 2160637 */   GIM_Try, /*On fail goto*//*Label 28458*/ GIMT_Encode4(2160728), // Rule ID 18226 //
     /* 2160642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2160645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2160650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2160653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2160656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2160659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2160662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160688 */     // MIs[0] round
     /* 2160688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160691 */     // MIs[0] policy
     /* 2160691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160701 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2160704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160727 */     // GIR_Coverage, 18226,
     /* 2160727 */     GIR_EraseRootFromParent_Done,
     /* 2160728 */   // Label 28458: @2160728
     /* 2160728 */   GIM_Try, /*On fail goto*//*Label 28459*/ GIMT_Encode4(2160819), // Rule ID 18229 //
     /* 2160733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2160736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2160741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2160744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2160747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2160750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2160753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160779 */     // MIs[0] round
     /* 2160779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160782 */     // MIs[0] policy
     /* 2160782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160792 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2160795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160818 */     // GIR_Coverage, 18229,
     /* 2160818 */     GIR_EraseRootFromParent_Done,
     /* 2160819 */   // Label 28459: @2160819
     /* 2160819 */   GIM_Try, /*On fail goto*//*Label 28460*/ GIMT_Encode4(2160910), // Rule ID 18230 //
     /* 2160824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2160827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2160832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2160835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2160838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2160841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2160844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160870 */     // MIs[0] round
     /* 2160870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160873 */     // MIs[0] policy
     /* 2160873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160883 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2160886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160909 */     // GIR_Coverage, 18230,
     /* 2160909 */     GIR_EraseRootFromParent_Done,
     /* 2160910 */   // Label 28460: @2160910
     /* 2160910 */   GIM_Try, /*On fail goto*//*Label 28461*/ GIMT_Encode4(2161001), // Rule ID 18233 //
     /* 2160915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2160918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2160923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2160926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2160929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2160932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2160935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2160938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160961 */     // MIs[0] round
     /* 2160961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160964 */     // MIs[0] policy
     /* 2160964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160974 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2160977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161000 */     // GIR_Coverage, 18233,
     /* 2161000 */     GIR_EraseRootFromParent_Done,
     /* 2161001 */   // Label 28461: @2161001
     /* 2161001 */   GIM_Try, /*On fail goto*//*Label 28462*/ GIMT_Encode4(2161092), // Rule ID 18234 //
     /* 2161006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2161017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2161020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2161023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2161026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2161029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161052 */     // MIs[0] round
     /* 2161052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161055 */     // MIs[0] policy
     /* 2161055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161065 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2161068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161091 */     // GIR_Coverage, 18234,
     /* 2161091 */     GIR_EraseRootFromParent_Done,
     /* 2161092 */   // Label 28462: @2161092
     /* 2161092 */   GIM_Try, /*On fail goto*//*Label 28463*/ GIMT_Encode4(2161183), // Rule ID 18237 //
     /* 2161097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2161108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2161111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2161114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2161117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2161120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161143 */     // MIs[0] round
     /* 2161143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161146 */     // MIs[0] policy
     /* 2161146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161156 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2161159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161182 */     // GIR_Coverage, 18237,
     /* 2161182 */     GIR_EraseRootFromParent_Done,
     /* 2161183 */   // Label 28463: @2161183
     /* 2161183 */   GIM_Try, /*On fail goto*//*Label 28464*/ GIMT_Encode4(2161274), // Rule ID 18238 //
     /* 2161188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2161199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2161202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2161205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2161208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2161211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161234 */     // MIs[0] round
     /* 2161234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161237 */     // MIs[0] policy
     /* 2161237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161247 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2161250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161273 */     // GIR_Coverage, 18238,
     /* 2161273 */     GIR_EraseRootFromParent_Done,
     /* 2161274 */   // Label 28464: @2161274
     /* 2161274 */   GIM_Try, /*On fail goto*//*Label 28465*/ GIMT_Encode4(2161365), // Rule ID 18241 //
     /* 2161279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2161282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2161290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2161293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2161296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2161299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161325 */     // MIs[0] round
     /* 2161325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161328 */     // MIs[0] policy
     /* 2161328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161338 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2161341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161364 */     // GIR_Coverage, 18241,
     /* 2161364 */     GIR_EraseRootFromParent_Done,
     /* 2161365 */   // Label 28465: @2161365
     /* 2161365 */   GIM_Try, /*On fail goto*//*Label 28466*/ GIMT_Encode4(2161456), // Rule ID 18242 //
     /* 2161370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2161373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2161381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2161384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2161387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2161390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161416 */     // MIs[0] round
     /* 2161416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161419 */     // MIs[0] policy
     /* 2161419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161429 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2161432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161455 */     // GIR_Coverage, 18242,
     /* 2161455 */     GIR_EraseRootFromParent_Done,
     /* 2161456 */   // Label 28466: @2161456
     /* 2161456 */   GIM_Try, /*On fail goto*//*Label 28467*/ GIMT_Encode4(2161547), // Rule ID 18245 //
     /* 2161461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2161464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2161472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2161475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2161478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2161481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161507 */     // MIs[0] round
     /* 2161507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161510 */     // MIs[0] policy
     /* 2161510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161520 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2161523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161546 */     // GIR_Coverage, 18245,
     /* 2161546 */     GIR_EraseRootFromParent_Done,
     /* 2161547 */   // Label 28467: @2161547
     /* 2161547 */   GIM_Try, /*On fail goto*//*Label 28468*/ GIMT_Encode4(2161638), // Rule ID 18246 //
     /* 2161552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2161555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2161563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2161566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2161569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2161572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161598 */     // MIs[0] round
     /* 2161598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161601 */     // MIs[0] policy
     /* 2161601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161611 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2161614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161637 */     // GIR_Coverage, 18246,
     /* 2161637 */     GIR_EraseRootFromParent_Done,
     /* 2161638 */   // Label 28468: @2161638
     /* 2161638 */   GIM_Try, /*On fail goto*//*Label 28469*/ GIMT_Encode4(2161729), // Rule ID 18249 //
     /* 2161643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2161646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2161654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2161657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2161660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2161663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2161666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161689 */     // MIs[0] round
     /* 2161689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161692 */     // MIs[0] policy
     /* 2161692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161702 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2161705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161728 */     // GIR_Coverage, 18249,
     /* 2161728 */     GIR_EraseRootFromParent_Done,
     /* 2161729 */   // Label 28469: @2161729
     /* 2161729 */   GIM_Try, /*On fail goto*//*Label 28470*/ GIMT_Encode4(2161820), // Rule ID 18250 //
     /* 2161734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2161737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2161745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2161748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2161751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2161754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2161757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161780 */     // MIs[0] round
     /* 2161780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161783 */     // MIs[0] policy
     /* 2161783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161793 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2161796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161819 */     // GIR_Coverage, 18250,
     /* 2161819 */     GIR_EraseRootFromParent_Done,
     /* 2161820 */   // Label 28470: @2161820
     /* 2161820 */   GIM_Try, /*On fail goto*//*Label 28471*/ GIMT_Encode4(2161911), // Rule ID 18253 //
     /* 2161825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2161828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2161836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2161839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2161842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2161845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161871 */     // MIs[0] round
     /* 2161871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161874 */     // MIs[0] policy
     /* 2161874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161884 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2161887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161910 */     // GIR_Coverage, 18253,
     /* 2161910 */     GIR_EraseRootFromParent_Done,
     /* 2161911 */   // Label 28471: @2161911
     /* 2161911 */   GIM_Try, /*On fail goto*//*Label 28472*/ GIMT_Encode4(2162002), // Rule ID 18254 //
     /* 2161916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2161919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2161924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2161927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2161930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2161933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2161936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161962 */     // MIs[0] round
     /* 2161962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161965 */     // MIs[0] policy
     /* 2161965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161975 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2161978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162001 */     // GIR_Coverage, 18254,
     /* 2162001 */     GIR_EraseRootFromParent_Done,
     /* 2162002 */   // Label 28472: @2162002
     /* 2162002 */   GIM_Try, /*On fail goto*//*Label 28473*/ GIMT_Encode4(2162093), // Rule ID 18257 //
     /* 2162007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2162010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2162018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2162021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2162024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2162027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162053 */     // MIs[0] round
     /* 2162053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162056 */     // MIs[0] policy
     /* 2162056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162066 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2162069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162092 */     // GIR_Coverage, 18257,
     /* 2162092 */     GIR_EraseRootFromParent_Done,
     /* 2162093 */   // Label 28473: @2162093
     /* 2162093 */   GIM_Try, /*On fail goto*//*Label 28474*/ GIMT_Encode4(2162184), // Rule ID 18258 //
     /* 2162098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2162101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2162109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2162112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2162115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2162118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162144 */     // MIs[0] round
     /* 2162144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162147 */     // MIs[0] policy
     /* 2162147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162157 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2162160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162183 */     // GIR_Coverage, 18258,
     /* 2162183 */     GIR_EraseRootFromParent_Done,
     /* 2162184 */   // Label 28474: @2162184
     /* 2162184 */   GIM_Try, /*On fail goto*//*Label 28475*/ GIMT_Encode4(2162275), // Rule ID 18261 //
     /* 2162189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2162192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2162200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2162203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2162206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2162209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162235 */     // MIs[0] round
     /* 2162235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162238 */     // MIs[0] policy
     /* 2162238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162248 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2162251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162274 */     // GIR_Coverage, 18261,
     /* 2162274 */     GIR_EraseRootFromParent_Done,
     /* 2162275 */   // Label 28475: @2162275
     /* 2162275 */   GIM_Try, /*On fail goto*//*Label 28476*/ GIMT_Encode4(2162366), // Rule ID 18262 //
     /* 2162280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2162283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2162291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2162294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2162297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2162300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162326 */     // MIs[0] round
     /* 2162326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162329 */     // MIs[0] policy
     /* 2162329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162339 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2162342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162365 */     // GIR_Coverage, 18262,
     /* 2162365 */     GIR_EraseRootFromParent_Done,
     /* 2162366 */   // Label 28476: @2162366
     /* 2162366 */   GIM_Try, /*On fail goto*//*Label 28477*/ GIMT_Encode4(2162457), // Rule ID 18265 //
     /* 2162371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2162382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2162385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2162388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2162391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2162409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162417 */     // MIs[0] round
     /* 2162417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162420 */     // MIs[0] policy
     /* 2162420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162430 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2162433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162456 */     // GIR_Coverage, 18265,
     /* 2162456 */     GIR_EraseRootFromParent_Done,
     /* 2162457 */   // Label 28477: @2162457
     /* 2162457 */   GIM_Try, /*On fail goto*//*Label 28478*/ GIMT_Encode4(2162548), // Rule ID 18266 //
     /* 2162462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2162473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2162476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2162479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2162482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2162500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162508 */     // MIs[0] round
     /* 2162508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162511 */     // MIs[0] policy
     /* 2162511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162521 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2162524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162547 */     // GIR_Coverage, 18266,
     /* 2162547 */     GIR_EraseRootFromParent_Done,
     /* 2162548 */   // Label 28478: @2162548
     /* 2162548 */   GIM_Try, /*On fail goto*//*Label 28479*/ GIMT_Encode4(2162639), // Rule ID 18269 //
     /* 2162553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2162564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2162567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2162570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2162573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2162591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162599 */     // MIs[0] round
     /* 2162599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162602 */     // MIs[0] policy
     /* 2162602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162612 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2162615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162638 */     // GIR_Coverage, 18269,
     /* 2162638 */     GIR_EraseRootFromParent_Done,
     /* 2162639 */   // Label 28479: @2162639
     /* 2162639 */   GIM_Try, /*On fail goto*//*Label 28480*/ GIMT_Encode4(2162730), // Rule ID 18270 //
     /* 2162644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2162647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2162655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2162658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2162661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2162664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2162682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162690 */     // MIs[0] round
     /* 2162690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162693 */     // MIs[0] policy
     /* 2162693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162703 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2162706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162729 */     // GIR_Coverage, 18270,
     /* 2162729 */     GIR_EraseRootFromParent_Done,
     /* 2162730 */   // Label 28480: @2162730
     /* 2162730 */   GIM_Try, /*On fail goto*//*Label 28481*/ GIMT_Encode4(2162821), // Rule ID 18273 //
     /* 2162735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2162746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2162749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2162752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2162755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2162773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162781 */     // MIs[0] round
     /* 2162781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162784 */     // MIs[0] policy
     /* 2162784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162794 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2162797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162820 */     // GIR_Coverage, 18273,
     /* 2162820 */     GIR_EraseRootFromParent_Done,
     /* 2162821 */   // Label 28481: @2162821
     /* 2162821 */   GIM_Try, /*On fail goto*//*Label 28482*/ GIMT_Encode4(2162912), // Rule ID 18274 //
     /* 2162826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2162837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2162840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2162843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2162846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2162864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162872 */     // MIs[0] round
     /* 2162872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162875 */     // MIs[0] policy
     /* 2162875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162885 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2162888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162911 */     // GIR_Coverage, 18274,
     /* 2162911 */     GIR_EraseRootFromParent_Done,
     /* 2162912 */   // Label 28482: @2162912
     /* 2162912 */   GIM_Try, /*On fail goto*//*Label 28483*/ GIMT_Encode4(2163003), // Rule ID 18277 //
     /* 2162917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2162920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2162925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2162928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2162931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2162934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2162937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2162955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162963 */     // MIs[0] round
     /* 2162963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162966 */     // MIs[0] policy
     /* 2162966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162976 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2162979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163002 */     // GIR_Coverage, 18277,
     /* 2163002 */     GIR_EraseRootFromParent_Done,
     /* 2163003 */   // Label 28483: @2163003
     /* 2163003 */   GIM_Try, /*On fail goto*//*Label 28484*/ GIMT_Encode4(2163094), // Rule ID 18278 //
     /* 2163008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2163019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2163022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2163028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163054 */     // MIs[0] round
     /* 2163054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163057 */     // MIs[0] policy
     /* 2163057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163067 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2163070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163093 */     // GIR_Coverage, 18278,
     /* 2163093 */     GIR_EraseRootFromParent_Done,
     /* 2163094 */   // Label 28484: @2163094
     /* 2163094 */   GIM_Try, /*On fail goto*//*Label 28485*/ GIMT_Encode4(2163185), // Rule ID 18281 //
     /* 2163099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2163102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2163110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2163113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2163116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2163119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2163137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163145 */     // MIs[0] round
     /* 2163145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163148 */     // MIs[0] policy
     /* 2163148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163158 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2163161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163184 */     // GIR_Coverage, 18281,
     /* 2163184 */     GIR_EraseRootFromParent_Done,
     /* 2163185 */   // Label 28485: @2163185
     /* 2163185 */   GIM_Try, /*On fail goto*//*Label 28486*/ GIMT_Encode4(2163276), // Rule ID 18282 //
     /* 2163190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2163193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2163201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2163204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2163207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2163210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2163228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163236 */     // MIs[0] round
     /* 2163236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163239 */     // MIs[0] policy
     /* 2163239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163249 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2163252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163275 */     // GIR_Coverage, 18282,
     /* 2163275 */     GIR_EraseRootFromParent_Done,
     /* 2163276 */   // Label 28486: @2163276
     /* 2163276 */   GIM_Try, /*On fail goto*//*Label 28487*/ GIMT_Encode4(2163367), // Rule ID 18285 //
     /* 2163281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2163284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2163292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2163295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2163298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2163301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2163319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163327 */     // MIs[0] round
     /* 2163327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163330 */     // MIs[0] policy
     /* 2163330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163340 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2163343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163366 */     // GIR_Coverage, 18285,
     /* 2163366 */     GIR_EraseRootFromParent_Done,
     /* 2163367 */   // Label 28487: @2163367
     /* 2163367 */   GIM_Try, /*On fail goto*//*Label 28488*/ GIMT_Encode4(2163458), // Rule ID 18286 //
     /* 2163372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2163375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2163383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2163386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2163389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2163392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2163410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163418 */     // MIs[0] round
     /* 2163418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163421 */     // MIs[0] policy
     /* 2163421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163431 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2163434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163457 */     // GIR_Coverage, 18286,
     /* 2163457 */     GIR_EraseRootFromParent_Done,
     /* 2163458 */   // Label 28488: @2163458
     /* 2163458 */   GIM_Try, /*On fail goto*//*Label 28489*/ GIMT_Encode4(2163549), // Rule ID 18289 //
     /* 2163463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2163474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2163477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2163483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163509 */     // MIs[0] round
     /* 2163509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163512 */     // MIs[0] policy
     /* 2163512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163522 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2163525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163548 */     // GIR_Coverage, 18289,
     /* 2163548 */     GIR_EraseRootFromParent_Done,
     /* 2163549 */   // Label 28489: @2163549
     /* 2163549 */   GIM_Try, /*On fail goto*//*Label 28490*/ GIMT_Encode4(2163640), // Rule ID 18290 //
     /* 2163554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2163565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2163568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2163574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163600 */     // MIs[0] round
     /* 2163600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163603 */     // MIs[0] policy
     /* 2163603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163613 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2163616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163639 */     // GIR_Coverage, 18290,
     /* 2163639 */     GIR_EraseRootFromParent_Done,
     /* 2163640 */   // Label 28490: @2163640
     /* 2163640 */   GIM_Try, /*On fail goto*//*Label 28491*/ GIMT_Encode4(2163731), // Rule ID 18293 //
     /* 2163645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2163656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2163659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2163665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2163668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163691 */     // MIs[0] round
     /* 2163691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163694 */     // MIs[0] policy
     /* 2163694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163704 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2163707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163730 */     // GIR_Coverage, 18293,
     /* 2163730 */     GIR_EraseRootFromParent_Done,
     /* 2163731 */   // Label 28491: @2163731
     /* 2163731 */   GIM_Try, /*On fail goto*//*Label 28492*/ GIMT_Encode4(2163822), // Rule ID 18294 //
     /* 2163736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2163747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2163750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2163756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2163759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2163766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2163778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163782 */     // MIs[0] round
     /* 2163782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163785 */     // MIs[0] policy
     /* 2163785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163795 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2163798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163821 */     // GIR_Coverage, 18294,
     /* 2163821 */     GIR_EraseRootFromParent_Done,
     /* 2163822 */   // Label 28492: @2163822
     /* 2163822 */   GIM_Try, /*On fail goto*//*Label 28493*/ GIMT_Encode4(2163913), // Rule ID 18297 //
     /* 2163827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2163838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2163841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2163847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2163850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163873 */     // MIs[0] round
     /* 2163873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163876 */     // MIs[0] policy
     /* 2163876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163886 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2163889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163912 */     // GIR_Coverage, 18297,
     /* 2163912 */     GIR_EraseRootFromParent_Done,
     /* 2163913 */   // Label 28493: @2163913
     /* 2163913 */   GIM_Try, /*On fail goto*//*Label 28494*/ GIMT_Encode4(2164004), // Rule ID 18298 //
     /* 2163918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2163926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2163929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2163932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2163938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2163941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163964 */     // MIs[0] round
     /* 2163964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163967 */     // MIs[0] policy
     /* 2163967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163977 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2163980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164003 */     // GIR_Coverage, 18298,
     /* 2164003 */     GIR_EraseRootFromParent_Done,
     /* 2164004 */   // Label 28494: @2164004
     /* 2164004 */   GIM_Try, /*On fail goto*//*Label 28495*/ GIMT_Encode4(2164095), // Rule ID 18301 //
     /* 2164009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2164012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2164020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2164023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2164029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164055 */     // MIs[0] round
     /* 2164055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164058 */     // MIs[0] policy
     /* 2164058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164068 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2164071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164094 */     // GIR_Coverage, 18301,
     /* 2164094 */     GIR_EraseRootFromParent_Done,
     /* 2164095 */   // Label 28495: @2164095
     /* 2164095 */   GIM_Try, /*On fail goto*//*Label 28496*/ GIMT_Encode4(2164186), // Rule ID 18302 //
     /* 2164100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2164103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2164111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2164114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2164120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164146 */     // MIs[0] round
     /* 2164146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164149 */     // MIs[0] policy
     /* 2164149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164159 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2164162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164185 */     // GIR_Coverage, 18302,
     /* 2164185 */     GIR_EraseRootFromParent_Done,
     /* 2164186 */   // Label 28496: @2164186
     /* 2164186 */   GIM_Try, /*On fail goto*//*Label 28497*/ GIMT_Encode4(2164277), // Rule ID 18305 //
     /* 2164191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2164194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2164202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2164205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2164211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164237 */     // MIs[0] round
     /* 2164237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164240 */     // MIs[0] policy
     /* 2164240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164250 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2164253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164276 */     // GIR_Coverage, 18305,
     /* 2164276 */     GIR_EraseRootFromParent_Done,
     /* 2164277 */   // Label 28497: @2164277
     /* 2164277 */   GIM_Try, /*On fail goto*//*Label 28498*/ GIMT_Encode4(2164368), // Rule ID 18306 //
     /* 2164282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2164285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2164293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2164296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2164302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164328 */     // MIs[0] round
     /* 2164328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164331 */     // MIs[0] policy
     /* 2164331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164341 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2164344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164367 */     // GIR_Coverage, 18306,
     /* 2164367 */     GIR_EraseRootFromParent_Done,
     /* 2164368 */   // Label 28498: @2164368
     /* 2164368 */   GIM_Try, /*On fail goto*//*Label 28499*/ GIMT_Encode4(2164459), // Rule ID 18309 //
     /* 2164373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2164376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2164384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2164387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2164393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2164396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2164403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164419 */     // MIs[0] round
     /* 2164419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164422 */     // MIs[0] policy
     /* 2164422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164432 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2164435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164458 */     // GIR_Coverage, 18309,
     /* 2164458 */     GIR_EraseRootFromParent_Done,
     /* 2164459 */   // Label 28499: @2164459
     /* 2164459 */   GIM_Try, /*On fail goto*//*Label 28500*/ GIMT_Encode4(2164550), // Rule ID 18310 //
     /* 2164464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2164467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2164475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2164478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2164484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2164487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2164494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164510 */     // MIs[0] round
     /* 2164510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164513 */     // MIs[0] policy
     /* 2164513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164523 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2164526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164549 */     // GIR_Coverage, 18310,
     /* 2164549 */     GIR_EraseRootFromParent_Done,
     /* 2164550 */   // Label 28500: @2164550
     /* 2164550 */   GIM_Try, /*On fail goto*//*Label 28501*/ GIMT_Encode4(2164641), // Rule ID 18313 //
     /* 2164555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2164558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2164566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2164569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2164572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2164575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2164593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164601 */     // MIs[0] round
     /* 2164601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164604 */     // MIs[0] policy
     /* 2164604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164614 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2164617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164640 */     // GIR_Coverage, 18313,
     /* 2164640 */     GIR_EraseRootFromParent_Done,
     /* 2164641 */   // Label 28501: @2164641
     /* 2164641 */   GIM_Try, /*On fail goto*//*Label 28502*/ GIMT_Encode4(2164732), // Rule ID 18314 //
     /* 2164646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2164649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2164657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2164660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2164663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2164666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2164684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164692 */     // MIs[0] round
     /* 2164692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164695 */     // MIs[0] policy
     /* 2164695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164705 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2164708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164731 */     // GIR_Coverage, 18314,
     /* 2164731 */     GIR_EraseRootFromParent_Done,
     /* 2164732 */   // Label 28502: @2164732
     /* 2164732 */   GIM_Try, /*On fail goto*//*Label 28503*/ GIMT_Encode4(2164823), // Rule ID 18317 //
     /* 2164737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2164740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2164748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2164751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2164754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2164757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2164775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164783 */     // MIs[0] round
     /* 2164783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164786 */     // MIs[0] policy
     /* 2164786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164796 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2164799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164822 */     // GIR_Coverage, 18317,
     /* 2164822 */     GIR_EraseRootFromParent_Done,
     /* 2164823 */   // Label 28503: @2164823
     /* 2164823 */   GIM_Try, /*On fail goto*//*Label 28504*/ GIMT_Encode4(2164914), // Rule ID 18318 //
     /* 2164828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2164831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2164839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2164842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2164845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2164848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2164866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164874 */     // MIs[0] round
     /* 2164874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164877 */     // MIs[0] policy
     /* 2164877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164887 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2164890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164913 */     // GIR_Coverage, 18318,
     /* 2164913 */     GIR_EraseRootFromParent_Done,
     /* 2164914 */   // Label 28504: @2164914
     /* 2164914 */   GIM_Try, /*On fail goto*//*Label 28505*/ GIMT_Encode4(2165005), // Rule ID 18321 //
     /* 2164919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2164922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2164927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2164930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2164933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2164936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2164939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2164949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2164957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164965 */     // MIs[0] round
     /* 2164965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164968 */     // MIs[0] policy
     /* 2164968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164978 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2164981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165004 */     // GIR_Coverage, 18321,
     /* 2165004 */     GIR_EraseRootFromParent_Done,
     /* 2165005 */   // Label 28505: @2165005
     /* 2165005 */   GIM_Try, /*On fail goto*//*Label 28506*/ GIMT_Encode4(2165096), // Rule ID 18322 //
     /* 2165010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2165013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2165018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2165021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2165024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2165030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165056 */     // MIs[0] round
     /* 2165056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165059 */     // MIs[0] policy
     /* 2165059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165069 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2165072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165095 */     // GIR_Coverage, 18322,
     /* 2165095 */     GIR_EraseRootFromParent_Done,
     /* 2165096 */   // Label 28506: @2165096
     /* 2165096 */   GIM_Try, /*On fail goto*//*Label 28507*/ GIMT_Encode4(2165187), // Rule ID 18325 //
     /* 2165101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2165109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2165112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2165115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2165118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2165121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2165124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165147 */     // MIs[0] round
     /* 2165147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165150 */     // MIs[0] policy
     /* 2165150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165160 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2165163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165186 */     // GIR_Coverage, 18325,
     /* 2165186 */     GIR_EraseRootFromParent_Done,
     /* 2165187 */   // Label 28507: @2165187
     /* 2165187 */   GIM_Try, /*On fail goto*//*Label 28508*/ GIMT_Encode4(2165278), // Rule ID 18326 //
     /* 2165192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2165195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2165200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2165203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2165206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2165209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2165212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2165215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165238 */     // MIs[0] round
     /* 2165238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165241 */     // MIs[0] policy
     /* 2165241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165251 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2165254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165277 */     // GIR_Coverage, 18326,
     /* 2165277 */     GIR_EraseRootFromParent_Done,
     /* 2165278 */   // Label 28508: @2165278
     /* 2165278 */   GIM_Try, /*On fail goto*//*Label 28509*/ GIMT_Encode4(2165369), // Rule ID 18329 //
     /* 2165283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2165291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2165294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2165297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2165300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2165303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165329 */     // MIs[0] round
     /* 2165329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165332 */     // MIs[0] policy
     /* 2165332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165342 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2165345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165368 */     // GIR_Coverage, 18329,
     /* 2165368 */     GIR_EraseRootFromParent_Done,
     /* 2165369 */   // Label 28509: @2165369
     /* 2165369 */   GIM_Try, /*On fail goto*//*Label 28510*/ GIMT_Encode4(2165460), // Rule ID 18330 //
     /* 2165374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2165377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2165382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2165385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2165388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2165391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2165394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165420 */     // MIs[0] round
     /* 2165420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165423 */     // MIs[0] policy
     /* 2165423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165433 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2165436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165459 */     // GIR_Coverage, 18330,
     /* 2165459 */     GIR_EraseRootFromParent_Done,
     /* 2165460 */   // Label 28510: @2165460
     /* 2165460 */   GIM_Try, /*On fail goto*//*Label 28511*/ GIMT_Encode4(2165551), // Rule ID 18333 //
     /* 2165465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2165473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2165476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2165479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2165482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2165485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2165488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165511 */     // MIs[0] round
     /* 2165511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165514 */     // MIs[0] policy
     /* 2165514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165524 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2165527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165550 */     // GIR_Coverage, 18333,
     /* 2165550 */     GIR_EraseRootFromParent_Done,
     /* 2165551 */   // Label 28511: @2165551
     /* 2165551 */   GIM_Try, /*On fail goto*//*Label 28512*/ GIMT_Encode4(2165642), // Rule ID 18334 //
     /* 2165556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2165564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2165567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2165570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2165573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2165576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2165579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165602 */     // MIs[0] round
     /* 2165602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165605 */     // MIs[0] policy
     /* 2165605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165615 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2165618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165641 */     // GIR_Coverage, 18334,
     /* 2165641 */     GIR_EraseRootFromParent_Done,
     /* 2165642 */   // Label 28512: @2165642
     /* 2165642 */   GIM_Try, /*On fail goto*//*Label 28513*/ GIMT_Encode4(2165733), // Rule ID 18337 //
     /* 2165647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2165655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2165658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2165661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2165664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2165667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165693 */     // MIs[0] round
     /* 2165693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165696 */     // MIs[0] policy
     /* 2165696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165706 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2165709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165732 */     // GIR_Coverage, 18337,
     /* 2165732 */     GIR_EraseRootFromParent_Done,
     /* 2165733 */   // Label 28513: @2165733
     /* 2165733 */   GIM_Try, /*On fail goto*//*Label 28514*/ GIMT_Encode4(2165824), // Rule ID 18338 //
     /* 2165738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2165741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2165746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2165749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2165752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2165755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2165758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165784 */     // MIs[0] round
     /* 2165784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165787 */     // MIs[0] policy
     /* 2165787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165797 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2165800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165823 */     // GIR_Coverage, 18338,
     /* 2165823 */     GIR_EraseRootFromParent_Done,
     /* 2165824 */   // Label 28514: @2165824
     /* 2165824 */   GIM_Try, /*On fail goto*//*Label 28515*/ GIMT_Encode4(2165915), // Rule ID 18341 //
     /* 2165829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2165837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2165840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2165843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2165846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2165849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165875 */     // MIs[0] round
     /* 2165875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165878 */     // MIs[0] policy
     /* 2165878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165888 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2165891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165914 */     // GIR_Coverage, 18341,
     /* 2165914 */     GIR_EraseRootFromParent_Done,
     /* 2165915 */   // Label 28515: @2165915
     /* 2165915 */   GIM_Try, /*On fail goto*//*Label 28516*/ GIMT_Encode4(2166006), // Rule ID 18342 //
     /* 2165920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2165928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2165931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2165934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2165937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2165940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165966 */     // MIs[0] round
     /* 2165966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165969 */     // MIs[0] policy
     /* 2165969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165979 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2165982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166005 */     // GIR_Coverage, 18342,
     /* 2166005 */     GIR_EraseRootFromParent_Done,
     /* 2166006 */   // Label 28516: @2166006
     /* 2166006 */   GIM_Try, /*On fail goto*//*Label 28517*/ GIMT_Encode4(2166097), // Rule ID 18345 //
     /* 2166011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2166014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2166022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2166025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2166028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2166031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166057 */     // MIs[0] round
     /* 2166057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166060 */     // MIs[0] policy
     /* 2166060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166070 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2166073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166096 */     // GIR_Coverage, 18345,
     /* 2166096 */     GIR_EraseRootFromParent_Done,
     /* 2166097 */   // Label 28517: @2166097
     /* 2166097 */   GIM_Try, /*On fail goto*//*Label 28518*/ GIMT_Encode4(2166188), // Rule ID 18346 //
     /* 2166102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2166105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2166113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2166116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2166119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2166122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166148 */     // MIs[0] round
     /* 2166148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166151 */     // MIs[0] policy
     /* 2166151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166161 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2166164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166187 */     // GIR_Coverage, 18346,
     /* 2166187 */     GIR_EraseRootFromParent_Done,
     /* 2166188 */   // Label 28518: @2166188
     /* 2166188 */   GIM_Try, /*On fail goto*//*Label 28519*/ GIMT_Encode4(2166279), // Rule ID 18349 //
     /* 2166193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2166204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2166207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2166210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2166213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2166223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166239 */     // MIs[0] round
     /* 2166239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166242 */     // MIs[0] policy
     /* 2166242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166252 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2166255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166278 */     // GIR_Coverage, 18349,
     /* 2166278 */     GIR_EraseRootFromParent_Done,
     /* 2166279 */   // Label 28519: @2166279
     /* 2166279 */   GIM_Try, /*On fail goto*//*Label 28520*/ GIMT_Encode4(2166370), // Rule ID 18350 //
     /* 2166284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2166295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2166298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2166301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2166304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2166314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166330 */     // MIs[0] round
     /* 2166330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166333 */     // MIs[0] policy
     /* 2166333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166343 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2166346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166369 */     // GIR_Coverage, 18350,
     /* 2166369 */     GIR_EraseRootFromParent_Done,
     /* 2166370 */   // Label 28520: @2166370
     /* 2166370 */   GIM_Try, /*On fail goto*//*Label 28521*/ GIMT_Encode4(2166461), // Rule ID 18353 //
     /* 2166375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2166386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2166389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2166392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2166395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2166398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166421 */     // MIs[0] round
     /* 2166421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166424 */     // MIs[0] policy
     /* 2166424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166434 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2166437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166460 */     // GIR_Coverage, 18353,
     /* 2166460 */     GIR_EraseRootFromParent_Done,
     /* 2166461 */   // Label 28521: @2166461
     /* 2166461 */   GIM_Try, /*On fail goto*//*Label 28522*/ GIMT_Encode4(2166552), // Rule ID 18354 //
     /* 2166466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2166477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2166480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2166483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2166486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2166489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166512 */     // MIs[0] round
     /* 2166512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166515 */     // MIs[0] policy
     /* 2166515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166525 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2166528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166551 */     // GIR_Coverage, 18354,
     /* 2166551 */     GIR_EraseRootFromParent_Done,
     /* 2166552 */   // Label 28522: @2166552
     /* 2166552 */   GIM_Try, /*On fail goto*//*Label 28523*/ GIMT_Encode4(2166643), // Rule ID 18357 //
     /* 2166557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2166568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2166571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2166574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2166577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2166580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166603 */     // MIs[0] round
     /* 2166603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166606 */     // MIs[0] policy
     /* 2166606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166616 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2166619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166642 */     // GIR_Coverage, 18357,
     /* 2166642 */     GIR_EraseRootFromParent_Done,
     /* 2166643 */   // Label 28523: @2166643
     /* 2166643 */   GIM_Try, /*On fail goto*//*Label 28524*/ GIMT_Encode4(2166734), // Rule ID 18358 //
     /* 2166648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2166659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2166662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2166665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2166668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2166671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166694 */     // MIs[0] round
     /* 2166694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166697 */     // MIs[0] policy
     /* 2166697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166707 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2166710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166733 */     // GIR_Coverage, 18358,
     /* 2166733 */     GIR_EraseRootFromParent_Done,
     /* 2166734 */   // Label 28524: @2166734
     /* 2166734 */   GIM_Try, /*On fail goto*//*Label 28525*/ GIMT_Encode4(2166825), // Rule ID 18361 //
     /* 2166739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2166742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2166750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2166753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2166756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2166759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2166769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166785 */     // MIs[0] round
     /* 2166785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166788 */     // MIs[0] policy
     /* 2166788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166798 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2166801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166824 */     // GIR_Coverage, 18361,
     /* 2166824 */     GIR_EraseRootFromParent_Done,
     /* 2166825 */   // Label 28525: @2166825
     /* 2166825 */   GIM_Try, /*On fail goto*//*Label 28526*/ GIMT_Encode4(2166916), // Rule ID 18362 //
     /* 2166830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2166833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2166841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2166844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2166847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2166850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2166860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166876 */     // MIs[0] round
     /* 2166876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166879 */     // MIs[0] policy
     /* 2166879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166889 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2166892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166915 */     // GIR_Coverage, 18362,
     /* 2166915 */     GIR_EraseRootFromParent_Done,
     /* 2166916 */   // Label 28526: @2166916
     /* 2166916 */   GIM_Try, /*On fail goto*//*Label 28527*/ GIMT_Encode4(2167007), // Rule ID 18365 //
     /* 2166921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2166924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2166929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2166932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2166935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2166938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2166941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166967 */     // MIs[0] round
     /* 2166967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166970 */     // MIs[0] policy
     /* 2166970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166980 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2166983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167006 */     // GIR_Coverage, 18365,
     /* 2167006 */     GIR_EraseRootFromParent_Done,
     /* 2167007 */   // Label 28527: @2167007
     /* 2167007 */   GIM_Try, /*On fail goto*//*Label 28528*/ GIMT_Encode4(2167098), // Rule ID 18366 //
     /* 2167012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2167015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2167023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2167026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2167029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2167032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167058 */     // MIs[0] round
     /* 2167058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167061 */     // MIs[0] policy
     /* 2167061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167071 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2167074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167097 */     // GIR_Coverage, 18366,
     /* 2167097 */     GIR_EraseRootFromParent_Done,
     /* 2167098 */   // Label 28528: @2167098
     /* 2167098 */   GIM_Try, /*On fail goto*//*Label 28529*/ GIMT_Encode4(2167189), // Rule ID 18369 //
     /* 2167103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2167114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2167117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2167120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2167123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2167126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167149 */     // MIs[0] round
     /* 2167149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167152 */     // MIs[0] policy
     /* 2167152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167162 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2167165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167188 */     // GIR_Coverage, 18369,
     /* 2167188 */     GIR_EraseRootFromParent_Done,
     /* 2167189 */   // Label 28529: @2167189
     /* 2167189 */   GIM_Try, /*On fail goto*//*Label 28530*/ GIMT_Encode4(2167280), // Rule ID 18370 //
     /* 2167194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2167197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2167205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2167208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2167211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2167214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2167217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167240 */     // MIs[0] round
     /* 2167240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167243 */     // MIs[0] policy
     /* 2167243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167253 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2167256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167279 */     // GIR_Coverage, 18370,
     /* 2167279 */     GIR_EraseRootFromParent_Done,
     /* 2167280 */   // Label 28530: @2167280
     /* 2167280 */   GIM_Try, /*On fail goto*//*Label 28531*/ GIMT_Encode4(2167371), // Rule ID 18373 //
     /* 2167285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2167288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2167296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2167299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2167302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2167305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167331 */     // MIs[0] round
     /* 2167331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167334 */     // MIs[0] policy
     /* 2167334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167344 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2167347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167370 */     // GIR_Coverage, 18373,
     /* 2167370 */     GIR_EraseRootFromParent_Done,
     /* 2167371 */   // Label 28531: @2167371
     /* 2167371 */   GIM_Try, /*On fail goto*//*Label 28532*/ GIMT_Encode4(2167462), // Rule ID 18374 //
     /* 2167376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2167379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2167387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2167390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2167393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2167396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167422 */     // MIs[0] round
     /* 2167422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167425 */     // MIs[0] policy
     /* 2167425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167435 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2167438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167461 */     // GIR_Coverage, 18374,
     /* 2167461 */     GIR_EraseRootFromParent_Done,
     /* 2167462 */   // Label 28532: @2167462
     /* 2167462 */   GIM_Try, /*On fail goto*//*Label 28533*/ GIMT_Encode4(2167553), // Rule ID 18377 //
     /* 2167467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2167470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2167478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2167481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2167484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2167487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167513 */     // MIs[0] round
     /* 2167513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167516 */     // MIs[0] policy
     /* 2167516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167526 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2167529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167552 */     // GIR_Coverage, 18377,
     /* 2167552 */     GIR_EraseRootFromParent_Done,
     /* 2167553 */   // Label 28533: @2167553
     /* 2167553 */   GIM_Try, /*On fail goto*//*Label 28534*/ GIMT_Encode4(2167644), // Rule ID 18378 //
     /* 2167558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2167561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2167569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2167572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2167575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2167578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167604 */     // MIs[0] round
     /* 2167604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167607 */     // MIs[0] policy
     /* 2167607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167617 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2167620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167643 */     // GIR_Coverage, 18378,
     /* 2167643 */     GIR_EraseRootFromParent_Done,
     /* 2167644 */   // Label 28534: @2167644
     /* 2167644 */   GIM_Try, /*On fail goto*//*Label 28535*/ GIMT_Encode4(2167735), // Rule ID 18381 //
     /* 2167649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2167652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2167660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2167663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2167666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2167669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167695 */     // MIs[0] round
     /* 2167695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167698 */     // MIs[0] policy
     /* 2167698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167708 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2167711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167734 */     // GIR_Coverage, 18381,
     /* 2167734 */     GIR_EraseRootFromParent_Done,
     /* 2167735 */   // Label 28535: @2167735
     /* 2167735 */   GIM_Try, /*On fail goto*//*Label 28536*/ GIMT_Encode4(2167826), // Rule ID 18382 //
     /* 2167740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2167743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2167751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2167754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2167757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2167760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167786 */     // MIs[0] round
     /* 2167786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167789 */     // MIs[0] policy
     /* 2167789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167799 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2167802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2167822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167825 */     // GIR_Coverage, 18382,
     /* 2167825 */     GIR_EraseRootFromParent_Done,
     /* 2167826 */   // Label 28536: @2167826
     /* 2167826 */   GIM_Try, /*On fail goto*//*Label 28537*/ GIMT_Encode4(2167917), // Rule ID 18385 //
     /* 2167831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2167842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2167845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2167848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2167851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2167869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167877 */     // MIs[0] round
     /* 2167877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167880 */     // MIs[0] policy
     /* 2167880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167890 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2167893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167916 */     // GIR_Coverage, 18385,
     /* 2167916 */     GIR_EraseRootFromParent_Done,
     /* 2167917 */   // Label 28537: @2167917
     /* 2167917 */   GIM_Try, /*On fail goto*//*Label 28538*/ GIMT_Encode4(2168008), // Rule ID 18386 //
     /* 2167922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2167930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2167933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2167936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2167939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2167942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2167960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167968 */     // MIs[0] round
     /* 2167968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167971 */     // MIs[0] policy
     /* 2167971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167981 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2167984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168007 */     // GIR_Coverage, 18386,
     /* 2168007 */     GIR_EraseRootFromParent_Done,
     /* 2168008 */   // Label 28538: @2168008
     /* 2168008 */   GIM_Try, /*On fail goto*//*Label 28539*/ GIMT_Encode4(2168099), // Rule ID 18389 //
     /* 2168013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2168016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2168024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2168027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2168030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2168033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2168051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168059 */     // MIs[0] round
     /* 2168059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168062 */     // MIs[0] policy
     /* 2168062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168072 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2168075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168098 */     // GIR_Coverage, 18389,
     /* 2168098 */     GIR_EraseRootFromParent_Done,
     /* 2168099 */   // Label 28539: @2168099
     /* 2168099 */   GIM_Try, /*On fail goto*//*Label 28540*/ GIMT_Encode4(2168190), // Rule ID 18390 //
     /* 2168104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2168107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2168115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2168118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2168121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2168124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2168142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168150 */     // MIs[0] round
     /* 2168150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168153 */     // MIs[0] policy
     /* 2168153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168163 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2168166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168189 */     // GIR_Coverage, 18390,
     /* 2168189 */     GIR_EraseRootFromParent_Done,
     /* 2168190 */   // Label 28540: @2168190
     /* 2168190 */   GIM_Try, /*On fail goto*//*Label 28541*/ GIMT_Encode4(2168281), // Rule ID 18393 //
     /* 2168195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2168198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2168206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2168209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2168212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2168215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2168233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168241 */     // MIs[0] round
     /* 2168241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168244 */     // MIs[0] policy
     /* 2168244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168254 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2168257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168280 */     // GIR_Coverage, 18393,
     /* 2168280 */     GIR_EraseRootFromParent_Done,
     /* 2168281 */   // Label 28541: @2168281
     /* 2168281 */   GIM_Try, /*On fail goto*//*Label 28542*/ GIMT_Encode4(2168372), // Rule ID 18394 //
     /* 2168286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2168297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2168300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2168303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2168306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2168324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168332 */     // MIs[0] round
     /* 2168332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168335 */     // MIs[0] policy
     /* 2168335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168345 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2168348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168371 */     // GIR_Coverage, 18394,
     /* 2168371 */     GIR_EraseRootFromParent_Done,
     /* 2168372 */   // Label 28542: @2168372
     /* 2168372 */   GIM_Try, /*On fail goto*//*Label 28543*/ GIMT_Encode4(2168463), // Rule ID 18397 //
     /* 2168377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2168380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2168388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2168391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2168394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2168397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2168415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168423 */     // MIs[0] round
     /* 2168423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168426 */     // MIs[0] policy
     /* 2168426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168436 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2168439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168462 */     // GIR_Coverage, 18397,
     /* 2168462 */     GIR_EraseRootFromParent_Done,
     /* 2168463 */   // Label 28543: @2168463
     /* 2168463 */   GIM_Try, /*On fail goto*//*Label 28544*/ GIMT_Encode4(2168554), // Rule ID 18398 //
     /* 2168468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2168471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2168479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2168482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2168485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2168488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2168506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168514 */     // MIs[0] round
     /* 2168514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168517 */     // MIs[0] policy
     /* 2168517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168527 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2168530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168553 */     // GIR_Coverage, 18398,
     /* 2168553 */     GIR_EraseRootFromParent_Done,
     /* 2168554 */   // Label 28544: @2168554
     /* 2168554 */   GIM_Try, /*On fail goto*//*Label 28545*/ GIMT_Encode4(2168645), // Rule ID 18401 //
     /* 2168559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2168562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2168570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2168573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2168576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2168579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2168597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168605 */     // MIs[0] round
     /* 2168605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168608 */     // MIs[0] policy
     /* 2168608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168618 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2168621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168644 */     // GIR_Coverage, 18401,
     /* 2168644 */     GIR_EraseRootFromParent_Done,
     /* 2168645 */   // Label 28545: @2168645
     /* 2168645 */   GIM_Try, /*On fail goto*//*Label 28546*/ GIMT_Encode4(2168736), // Rule ID 18402 //
     /* 2168650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2168661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2168664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2168667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2168670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2168688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168696 */     // MIs[0] round
     /* 2168696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168699 */     // MIs[0] policy
     /* 2168699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168709 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2168712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168735 */     // GIR_Coverage, 18402,
     /* 2168735 */     GIR_EraseRootFromParent_Done,
     /* 2168736 */   // Label 28546: @2168736
     /* 2168736 */   GIM_Try, /*On fail goto*//*Label 28547*/ GIMT_Encode4(2168827), // Rule ID 18405 //
     /* 2168741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2168744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2168752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2168755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2168758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2168761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2168779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168787 */     // MIs[0] round
     /* 2168787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168790 */     // MIs[0] policy
     /* 2168790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168800 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2168803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168826 */     // GIR_Coverage, 18405,
     /* 2168826 */     GIR_EraseRootFromParent_Done,
     /* 2168827 */   // Label 28547: @2168827
     /* 2168827 */   GIM_Try, /*On fail goto*//*Label 28548*/ GIMT_Encode4(2168918), // Rule ID 18406 //
     /* 2168832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2168835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2168843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2168846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2168849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2168852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2168870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168878 */     // MIs[0] round
     /* 2168878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168881 */     // MIs[0] policy
     /* 2168881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168891 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2168894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168917 */     // GIR_Coverage, 18406,
     /* 2168917 */     GIR_EraseRootFromParent_Done,
     /* 2168918 */   // Label 28548: @2168918
     /* 2168918 */   GIM_Try, /*On fail goto*//*Label 28549*/ GIMT_Encode4(2169009), // Rule ID 18409 //
     /* 2168923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2168926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2168931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2168934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2168937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2168940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2168943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2168961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168969 */     // MIs[0] round
     /* 2168969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168972 */     // MIs[0] policy
     /* 2168972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168982 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2168985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169008 */     // GIR_Coverage, 18409,
     /* 2169008 */     GIR_EraseRootFromParent_Done,
     /* 2169009 */   // Label 28549: @2169009
     /* 2169009 */   GIM_Try, /*On fail goto*//*Label 28550*/ GIMT_Encode4(2169100), // Rule ID 18410 //
     /* 2169014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2169025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2169028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2169034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169060 */     // MIs[0] round
     /* 2169060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169063 */     // MIs[0] policy
     /* 2169063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169073 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2169076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169099 */     // GIR_Coverage, 18410,
     /* 2169099 */     GIR_EraseRootFromParent_Done,
     /* 2169100 */   // Label 28550: @2169100
     /* 2169100 */   GIM_Try, /*On fail goto*//*Label 28551*/ GIMT_Encode4(2169191), // Rule ID 18413 //
     /* 2169105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2169116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2169119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2169125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2169128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169151 */     // MIs[0] round
     /* 2169151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169154 */     // MIs[0] policy
     /* 2169154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169164 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2169167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169190 */     // GIR_Coverage, 18413,
     /* 2169190 */     GIR_EraseRootFromParent_Done,
     /* 2169191 */   // Label 28551: @2169191
     /* 2169191 */   GIM_Try, /*On fail goto*//*Label 28552*/ GIMT_Encode4(2169282), // Rule ID 18414 //
     /* 2169196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2169207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2169210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2169216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2169219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169242 */     // MIs[0] round
     /* 2169242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169245 */     // MIs[0] policy
     /* 2169245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169255 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2169258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169281 */     // GIR_Coverage, 18414,
     /* 2169281 */     GIR_EraseRootFromParent_Done,
     /* 2169282 */   // Label 28552: @2169282
     /* 2169282 */   GIM_Try, /*On fail goto*//*Label 28553*/ GIMT_Encode4(2169373), // Rule ID 18417 //
     /* 2169287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2169298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2169301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2169307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2169310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169333 */     // MIs[0] round
     /* 2169333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169336 */     // MIs[0] policy
     /* 2169336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169346 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2169349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169372 */     // GIR_Coverage, 18417,
     /* 2169372 */     GIR_EraseRootFromParent_Done,
     /* 2169373 */   // Label 28553: @2169373
     /* 2169373 */   GIM_Try, /*On fail goto*//*Label 28554*/ GIMT_Encode4(2169464), // Rule ID 18418 //
     /* 2169378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2169389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2169392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2169398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2169401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169424 */     // MIs[0] round
     /* 2169424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169427 */     // MIs[0] policy
     /* 2169427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169437 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2169440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169463 */     // GIR_Coverage, 18418,
     /* 2169463 */     GIR_EraseRootFromParent_Done,
     /* 2169464 */   // Label 28554: @2169464
     /* 2169464 */   GIM_Try, /*On fail goto*//*Label 28555*/ GIMT_Encode4(2169555), // Rule ID 18421 //
     /* 2169469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2169472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2169480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2169483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2169489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169515 */     // MIs[0] round
     /* 2169515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169518 */     // MIs[0] policy
     /* 2169518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169528 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2169531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169554 */     // GIR_Coverage, 18421,
     /* 2169554 */     GIR_EraseRootFromParent_Done,
     /* 2169555 */   // Label 28555: @2169555
     /* 2169555 */   GIM_Try, /*On fail goto*//*Label 28556*/ GIMT_Encode4(2169646), // Rule ID 18422 //
     /* 2169560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2169563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2169571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2169574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2169580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169606 */     // MIs[0] round
     /* 2169606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169609 */     // MIs[0] policy
     /* 2169609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169619 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2169622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169645 */     // GIR_Coverage, 18422,
     /* 2169645 */     GIR_EraseRootFromParent_Done,
     /* 2169646 */   // Label 28556: @2169646
     /* 2169646 */   GIM_Try, /*On fail goto*//*Label 28557*/ GIMT_Encode4(2169737), // Rule ID 18425 //
     /* 2169651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2169654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2169662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2169665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2169671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169697 */     // MIs[0] round
     /* 2169697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169700 */     // MIs[0] policy
     /* 2169700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169710 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2169713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169736 */     // GIR_Coverage, 18425,
     /* 2169736 */     GIR_EraseRootFromParent_Done,
     /* 2169737 */   // Label 28557: @2169737
     /* 2169737 */   GIM_Try, /*On fail goto*//*Label 28558*/ GIMT_Encode4(2169828), // Rule ID 18426 //
     /* 2169742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2169745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2169753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2169756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2169762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169788 */     // MIs[0] round
     /* 2169788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169791 */     // MIs[0] policy
     /* 2169791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169801 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2169804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169827 */     // GIR_Coverage, 18426,
     /* 2169827 */     GIR_EraseRootFromParent_Done,
     /* 2169828 */   // Label 28558: @2169828
     /* 2169828 */   GIM_Try, /*On fail goto*//*Label 28559*/ GIMT_Encode4(2169919), // Rule ID 18429 //
     /* 2169833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2169836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2169844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2169847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2169853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2169856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169879 */     // MIs[0] round
     /* 2169879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169882 */     // MIs[0] policy
     /* 2169882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169892 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2169895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169918 */     // GIR_Coverage, 18429,
     /* 2169918 */     GIR_EraseRootFromParent_Done,
     /* 2169919 */   // Label 28559: @2169919
     /* 2169919 */   GIM_Try, /*On fail goto*//*Label 28560*/ GIMT_Encode4(2170010), // Rule ID 18430 //
     /* 2169924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2169927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2169932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2169935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2169938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2169944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2169947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169970 */     // MIs[0] round
     /* 2169970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169973 */     // MIs[0] policy
     /* 2169973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169983 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2169986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170009 */     // GIR_Coverage, 18430,
     /* 2170009 */     GIR_EraseRootFromParent_Done,
     /* 2170010 */   // Label 28560: @2170010
     /* 2170010 */   GIM_Try, /*On fail goto*//*Label 28561*/ GIMT_Encode4(2170101), // Rule ID 18433 //
     /* 2170015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2170018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2170026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2170029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2170035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170061 */     // MIs[0] round
     /* 2170061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170064 */     // MIs[0] policy
     /* 2170064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170074 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2170077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170100 */     // GIR_Coverage, 18433,
     /* 2170100 */     GIR_EraseRootFromParent_Done,
     /* 2170101 */   // Label 28561: @2170101
     /* 2170101 */   GIM_Try, /*On fail goto*//*Label 28562*/ GIMT_Encode4(2170192), // Rule ID 18434 //
     /* 2170106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2170109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2170117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2170120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2170126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170152 */     // MIs[0] round
     /* 2170152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170155 */     // MIs[0] policy
     /* 2170155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170165 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11116:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2170168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170191 */     // GIR_Coverage, 18434,
     /* 2170191 */     GIR_EraseRootFromParent_Done,
     /* 2170192 */   // Label 28562: @2170192
     /* 2170192 */   GIM_Try, /*On fail goto*//*Label 28563*/ GIMT_Encode4(2170283), // Rule ID 18437 //
     /* 2170197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2170200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2170208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2170211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2170217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170243 */     // MIs[0] round
     /* 2170243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170246 */     // MIs[0] policy
     /* 2170246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170256 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2170259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170282 */     // GIR_Coverage, 18437,
     /* 2170282 */     GIR_EraseRootFromParent_Done,
     /* 2170283 */   // Label 28563: @2170283
     /* 2170283 */   GIM_Try, /*On fail goto*//*Label 28564*/ GIMT_Encode4(2170374), // Rule ID 18438 //
     /* 2170288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2170291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2170299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2170302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2170308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170334 */     // MIs[0] round
     /* 2170334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170337 */     // MIs[0] policy
     /* 2170337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170347 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11116:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2170350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170373 */     // GIR_Coverage, 18438,
     /* 2170373 */     GIR_EraseRootFromParent_Done,
     /* 2170374 */   // Label 28564: @2170374
     /* 2170374 */   GIM_Try, /*On fail goto*//*Label 28565*/ GIMT_Encode4(2170465), // Rule ID 18441 //
     /* 2170379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2170382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2170390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2170393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2170399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170425 */     // MIs[0] round
     /* 2170425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170428 */     // MIs[0] policy
     /* 2170428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170438 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2170441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170464 */     // GIR_Coverage, 18441,
     /* 2170464 */     GIR_EraseRootFromParent_Done,
     /* 2170465 */   // Label 28565: @2170465
     /* 2170465 */   GIM_Try, /*On fail goto*//*Label 28566*/ GIMT_Encode4(2170556), // Rule ID 18442 //
     /* 2170470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2170473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2170478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2170481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2170484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2170490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170516 */     // MIs[0] round
     /* 2170516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170519 */     // MIs[0] policy
     /* 2170519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170529 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11116:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2170532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170555 */     // GIR_Coverage, 18442,
     /* 2170555 */     GIR_EraseRootFromParent_Done,
     /* 2170556 */   // Label 28566: @2170556
     /* 2170556 */   GIM_Try, /*On fail goto*//*Label 28567*/ GIMT_Encode4(2170647), // Rule ID 18445 //
     /* 2170561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2170569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2170572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2170575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2170578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2170581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170607 */     // MIs[0] round
     /* 2170607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170610 */     // MIs[0] policy
     /* 2170610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170620 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2170623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170646 */     // GIR_Coverage, 18445,
     /* 2170646 */     GIR_EraseRootFromParent_Done,
     /* 2170647 */   // Label 28567: @2170647
     /* 2170647 */   GIM_Try, /*On fail goto*//*Label 28568*/ GIMT_Encode4(2170738), // Rule ID 18446 //
     /* 2170652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2170660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2170663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2170666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2170669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2170672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170698 */     // MIs[0] round
     /* 2170698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170701 */     // MIs[0] policy
     /* 2170701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170711 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2170714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170737 */     // GIR_Coverage, 18446,
     /* 2170737 */     GIR_EraseRootFromParent_Done,
     /* 2170738 */   // Label 28568: @2170738
     /* 2170738 */   GIM_Try, /*On fail goto*//*Label 28569*/ GIMT_Encode4(2170829), // Rule ID 18449 //
     /* 2170743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2170751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2170754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2170757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2170760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2170763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170789 */     // MIs[0] round
     /* 2170789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170792 */     // MIs[0] policy
     /* 2170792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170802 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2170805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170828 */     // GIR_Coverage, 18449,
     /* 2170828 */     GIR_EraseRootFromParent_Done,
     /* 2170829 */   // Label 28569: @2170829
     /* 2170829 */   GIM_Try, /*On fail goto*//*Label 28570*/ GIMT_Encode4(2170920), // Rule ID 18450 //
     /* 2170834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2170842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2170845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2170848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2170851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2170854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170880 */     // MIs[0] round
     /* 2170880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170883 */     // MIs[0] policy
     /* 2170883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170893 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2170896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170919 */     // GIR_Coverage, 18450,
     /* 2170919 */     GIR_EraseRootFromParent_Done,
     /* 2170920 */   // Label 28570: @2170920
     /* 2170920 */   GIM_Try, /*On fail goto*//*Label 28571*/ GIMT_Encode4(2171011), // Rule ID 18453 //
     /* 2170925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2170928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2170933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2170936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2170939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2170942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2170945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2170948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2170955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2170967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170971 */     // MIs[0] round
     /* 2170971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170974 */     // MIs[0] policy
     /* 2170974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170984 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2170987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171010 */     // GIR_Coverage, 18453,
     /* 2171010 */     GIR_EraseRootFromParent_Done,
     /* 2171011 */   // Label 28571: @2171011
     /* 2171011 */   GIM_Try, /*On fail goto*//*Label 28572*/ GIMT_Encode4(2171102), // Rule ID 18454 //
     /* 2171016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2171019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2171027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2171030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2171033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2171036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171062 */     // MIs[0] round
     /* 2171062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171065 */     // MIs[0] policy
     /* 2171065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171075 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2171078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171101 */     // GIR_Coverage, 18454,
     /* 2171101 */     GIR_EraseRootFromParent_Done,
     /* 2171102 */   // Label 28572: @2171102
     /* 2171102 */   GIM_Try, /*On fail goto*//*Label 28573*/ GIMT_Encode4(2171193), // Rule ID 18457 //
     /* 2171107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2171110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2171118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2171121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2171124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2171127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171153 */     // MIs[0] round
     /* 2171153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171156 */     // MIs[0] policy
     /* 2171156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171166 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2171169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171192 */     // GIR_Coverage, 18457,
     /* 2171192 */     GIR_EraseRootFromParent_Done,
     /* 2171193 */   // Label 28573: @2171193
     /* 2171193 */   GIM_Try, /*On fail goto*//*Label 28574*/ GIMT_Encode4(2171284), // Rule ID 18458 //
     /* 2171198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2171201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2171209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2171212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2171215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2171218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171244 */     // MIs[0] round
     /* 2171244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171247 */     // MIs[0] policy
     /* 2171247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171257 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2171260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171283 */     // GIR_Coverage, 18458,
     /* 2171283 */     GIR_EraseRootFromParent_Done,
     /* 2171284 */   // Label 28574: @2171284
     /* 2171284 */   GIM_Try, /*On fail goto*//*Label 28575*/ GIMT_Encode4(2171375), // Rule ID 18461 //
     /* 2171289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2171292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2171300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2171303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2171306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2171309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171335 */     // MIs[0] round
     /* 2171335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171338 */     // MIs[0] policy
     /* 2171338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171348 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2171351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171374 */     // GIR_Coverage, 18461,
     /* 2171374 */     GIR_EraseRootFromParent_Done,
     /* 2171375 */   // Label 28575: @2171375
     /* 2171375 */   GIM_Try, /*On fail goto*//*Label 28576*/ GIMT_Encode4(2171466), // Rule ID 18462 //
     /* 2171380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2171383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2171391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2171394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2171397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2171400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171426 */     // MIs[0] round
     /* 2171426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171429 */     // MIs[0] policy
     /* 2171429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171439 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2171442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171465 */     // GIR_Coverage, 18462,
     /* 2171465 */     GIR_EraseRootFromParent_Done,
     /* 2171466 */   // Label 28576: @2171466
     /* 2171466 */   GIM_Try, /*On fail goto*//*Label 28577*/ GIMT_Encode4(2171557), // Rule ID 18465 //
     /* 2171471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2171474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2171482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2171485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2171488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2171491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171517 */     // MIs[0] round
     /* 2171517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171520 */     // MIs[0] policy
     /* 2171520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171530 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2171533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171556 */     // GIR_Coverage, 18465,
     /* 2171556 */     GIR_EraseRootFromParent_Done,
     /* 2171557 */   // Label 28577: @2171557
     /* 2171557 */   GIM_Try, /*On fail goto*//*Label 28578*/ GIMT_Encode4(2171648), // Rule ID 18466 //
     /* 2171562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2171565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2171573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2171576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2171579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2171582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171608 */     // MIs[0] round
     /* 2171608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171611 */     // MIs[0] policy
     /* 2171611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171621 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2171624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171647 */     // GIR_Coverage, 18466,
     /* 2171647 */     GIR_EraseRootFromParent_Done,
     /* 2171648 */   // Label 28578: @2171648
     /* 2171648 */   GIM_Try, /*On fail goto*//*Label 28579*/ GIMT_Encode4(2171739), // Rule ID 18469 //
     /* 2171653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2171656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2171664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2171667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2171670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2171673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171699 */     // MIs[0] round
     /* 2171699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171702 */     // MIs[0] policy
     /* 2171702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171712 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2171715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171738 */     // GIR_Coverage, 18469,
     /* 2171738 */     GIR_EraseRootFromParent_Done,
     /* 2171739 */   // Label 28579: @2171739
     /* 2171739 */   GIM_Try, /*On fail goto*//*Label 28580*/ GIMT_Encode4(2171830), // Rule ID 18470 //
     /* 2171744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2171747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2171755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2171758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2171761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2171764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171790 */     // MIs[0] round
     /* 2171790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171793 */     // MIs[0] policy
     /* 2171793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171803 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2171806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171829 */     // GIR_Coverage, 18470,
     /* 2171829 */     GIR_EraseRootFromParent_Done,
     /* 2171830 */   // Label 28580: @2171830
     /* 2171830 */   GIM_Try, /*On fail goto*//*Label 28581*/ GIMT_Encode4(2171921), // Rule ID 18473 //
     /* 2171835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2171838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2171846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2171849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2171852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2171855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2171858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171881 */     // MIs[0] round
     /* 2171881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171884 */     // MIs[0] policy
     /* 2171884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171894 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2171897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171920 */     // GIR_Coverage, 18473,
     /* 2171920 */     GIR_EraseRootFromParent_Done,
     /* 2171921 */   // Label 28581: @2171921
     /* 2171921 */   GIM_Try, /*On fail goto*//*Label 28582*/ GIMT_Encode4(2172012), // Rule ID 18474 //
     /* 2171926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2171929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2171937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2171940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2171943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2171946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2171949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171972 */     // MIs[0] round
     /* 2171972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171975 */     // MIs[0] policy
     /* 2171975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171985 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2171988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172011 */     // GIR_Coverage, 18474,
     /* 2172011 */     GIR_EraseRootFromParent_Done,
     /* 2172012 */   // Label 28582: @2172012
     /* 2172012 */   GIM_Try, /*On fail goto*//*Label 28583*/ GIMT_Encode4(2172103), // Rule ID 18477 //
     /* 2172017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2172020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2172028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2172031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2172034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2172037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2172040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172063 */     // MIs[0] round
     /* 2172063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172066 */     // MIs[0] policy
     /* 2172066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172076 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2172079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172102 */     // GIR_Coverage, 18477,
     /* 2172102 */     GIR_EraseRootFromParent_Done,
     /* 2172103 */   // Label 28583: @2172103
     /* 2172103 */   GIM_Try, /*On fail goto*//*Label 28584*/ GIMT_Encode4(2172194), // Rule ID 18478 //
     /* 2172108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2172119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2172122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2172125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2172128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2172131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172154 */     // MIs[0] round
     /* 2172154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172157 */     // MIs[0] policy
     /* 2172157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172167 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2172170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172193 */     // GIR_Coverage, 18478,
     /* 2172193 */     GIR_EraseRootFromParent_Done,
     /* 2172194 */   // Label 28584: @2172194
     /* 2172194 */   GIM_Try, /*On fail goto*//*Label 28585*/ GIMT_Encode4(2172285), // Rule ID 18481 //
     /* 2172199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2172202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2172210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2172213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2172216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2172219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172245 */     // MIs[0] round
     /* 2172245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172248 */     // MIs[0] policy
     /* 2172248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172258 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2172261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172284 */     // GIR_Coverage, 18481,
     /* 2172284 */     GIR_EraseRootFromParent_Done,
     /* 2172285 */   // Label 28585: @2172285
     /* 2172285 */   GIM_Try, /*On fail goto*//*Label 28586*/ GIMT_Encode4(2172376), // Rule ID 18482 //
     /* 2172290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2172293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2172301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2172304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2172307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2172310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172336 */     // MIs[0] round
     /* 2172336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172339 */     // MIs[0] policy
     /* 2172339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172349 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2172352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172375 */     // GIR_Coverage, 18482,
     /* 2172375 */     GIR_EraseRootFromParent_Done,
     /* 2172376 */   // Label 28586: @2172376
     /* 2172376 */   GIM_Try, /*On fail goto*//*Label 28587*/ GIMT_Encode4(2172467), // Rule ID 18485 //
     /* 2172381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2172384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2172392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2172395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2172398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2172401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2172411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172427 */     // MIs[0] round
     /* 2172427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172430 */     // MIs[0] policy
     /* 2172430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172440 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2172443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172466 */     // GIR_Coverage, 18485,
     /* 2172466 */     GIR_EraseRootFromParent_Done,
     /* 2172467 */   // Label 28587: @2172467
     /* 2172467 */   GIM_Try, /*On fail goto*//*Label 28588*/ GIMT_Encode4(2172558), // Rule ID 18486 //
     /* 2172472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2172475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2172483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2172486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2172489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2172492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2172502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172518 */     // MIs[0] round
     /* 2172518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172521 */     // MIs[0] policy
     /* 2172521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172531 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2172534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172557 */     // GIR_Coverage, 18486,
     /* 2172557 */     GIR_EraseRootFromParent_Done,
     /* 2172558 */   // Label 28588: @2172558
     /* 2172558 */   GIM_Try, /*On fail goto*//*Label 28589*/ GIMT_Encode4(2172649), // Rule ID 18489 //
     /* 2172563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2172566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2172574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2172577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2172580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2172583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2172586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172609 */     // MIs[0] round
     /* 2172609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172612 */     // MIs[0] policy
     /* 2172612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172622 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2172625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172648 */     // GIR_Coverage, 18489,
     /* 2172648 */     GIR_EraseRootFromParent_Done,
     /* 2172649 */   // Label 28589: @2172649
     /* 2172649 */   GIM_Try, /*On fail goto*//*Label 28590*/ GIMT_Encode4(2172740), // Rule ID 18490 //
     /* 2172654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2172657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2172665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2172668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2172671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2172674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2172677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172700 */     // MIs[0] round
     /* 2172700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172703 */     // MIs[0] policy
     /* 2172703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172713 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2172716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172739 */     // GIR_Coverage, 18490,
     /* 2172739 */     GIR_EraseRootFromParent_Done,
     /* 2172740 */   // Label 28590: @2172740
     /* 2172740 */   GIM_Try, /*On fail goto*//*Label 28591*/ GIMT_Encode4(2172831), // Rule ID 18493 //
     /* 2172745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2172748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2172756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2172759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2172762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2172765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172791 */     // MIs[0] round
     /* 2172791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172794 */     // MIs[0] policy
     /* 2172794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172804 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2172807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172830 */     // GIR_Coverage, 18493,
     /* 2172830 */     GIR_EraseRootFromParent_Done,
     /* 2172831 */   // Label 28591: @2172831
     /* 2172831 */   GIM_Try, /*On fail goto*//*Label 28592*/ GIMT_Encode4(2172922), // Rule ID 18494 //
     /* 2172836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2172839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2172847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2172850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2172853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2172856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172882 */     // MIs[0] round
     /* 2172882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172885 */     // MIs[0] policy
     /* 2172885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172895 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2172898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172921 */     // GIR_Coverage, 18494,
     /* 2172921 */     GIR_EraseRootFromParent_Done,
     /* 2172922 */   // Label 28592: @2172922
     /* 2172922 */   GIM_Try, /*On fail goto*//*Label 28593*/ GIMT_Encode4(2173013), // Rule ID 18497 //
     /* 2172927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2172930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2172935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2172938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2172941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2172944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2172947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2172957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172973 */     // MIs[0] round
     /* 2172973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172976 */     // MIs[0] policy
     /* 2172976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172986 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2172989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173012 */     // GIR_Coverage, 18497,
     /* 2173012 */     GIR_EraseRootFromParent_Done,
     /* 2173013 */   // Label 28593: @2173013
     /* 2173013 */   GIM_Try, /*On fail goto*//*Label 28594*/ GIMT_Encode4(2173104), // Rule ID 18498 //
     /* 2173018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2173021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2173029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2173032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2173035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2173038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173064 */     // MIs[0] round
     /* 2173064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173067 */     // MIs[0] policy
     /* 2173067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173077 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2173080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173103 */     // GIR_Coverage, 18498,
     /* 2173103 */     GIR_EraseRootFromParent_Done,
     /* 2173104 */   // Label 28594: @2173104
     /* 2173104 */   GIM_Try, /*On fail goto*//*Label 28595*/ GIMT_Encode4(2173195), // Rule ID 18501 //
     /* 2173109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2173112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2173120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2173123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2173126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2173129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173155 */     // MIs[0] round
     /* 2173155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173158 */     // MIs[0] policy
     /* 2173158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173168 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2173171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173194 */     // GIR_Coverage, 18501,
     /* 2173194 */     GIR_EraseRootFromParent_Done,
     /* 2173195 */   // Label 28595: @2173195
     /* 2173195 */   GIM_Try, /*On fail goto*//*Label 28596*/ GIMT_Encode4(2173286), // Rule ID 18502 //
     /* 2173200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2173203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2173211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2173214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2173217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2173220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173246 */     // MIs[0] round
     /* 2173246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173249 */     // MIs[0] policy
     /* 2173249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173259 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2173262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173285 */     // GIR_Coverage, 18502,
     /* 2173285 */     GIR_EraseRootFromParent_Done,
     /* 2173286 */   // Label 28596: @2173286
     /* 2173286 */   GIM_Try, /*On fail goto*//*Label 28597*/ GIMT_Encode4(2173377), // Rule ID 18505 //
     /* 2173291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2173302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2173305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2173308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2173311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2173329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173337 */     // MIs[0] round
     /* 2173337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173340 */     // MIs[0] policy
     /* 2173340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173350 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2173353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173376 */     // GIR_Coverage, 18505,
     /* 2173376 */     GIR_EraseRootFromParent_Done,
     /* 2173377 */   // Label 28597: @2173377
     /* 2173377 */   GIM_Try, /*On fail goto*//*Label 28598*/ GIMT_Encode4(2173468), // Rule ID 18506 //
     /* 2173382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2173393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2173396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2173399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2173402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2173420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173428 */     // MIs[0] round
     /* 2173428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173431 */     // MIs[0] policy
     /* 2173431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173441 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2173444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173467 */     // GIR_Coverage, 18506,
     /* 2173467 */     GIR_EraseRootFromParent_Done,
     /* 2173468 */   // Label 28598: @2173468
     /* 2173468 */   GIM_Try, /*On fail goto*//*Label 28599*/ GIMT_Encode4(2173559), // Rule ID 18509 //
     /* 2173473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2173484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2173487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2173490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2173493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2173511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173519 */     // MIs[0] round
     /* 2173519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173522 */     // MIs[0] policy
     /* 2173522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173532 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2173535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173558 */     // GIR_Coverage, 18509,
     /* 2173558 */     GIR_EraseRootFromParent_Done,
     /* 2173559 */   // Label 28599: @2173559
     /* 2173559 */   GIM_Try, /*On fail goto*//*Label 28600*/ GIMT_Encode4(2173650), // Rule ID 18510 //
     /* 2173564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2173575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2173578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2173581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2173584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2173602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173610 */     // MIs[0] round
     /* 2173610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173613 */     // MIs[0] policy
     /* 2173613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173623 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2173626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173649 */     // GIR_Coverage, 18510,
     /* 2173649 */     GIR_EraseRootFromParent_Done,
     /* 2173650 */   // Label 28600: @2173650
     /* 2173650 */   GIM_Try, /*On fail goto*//*Label 28601*/ GIMT_Encode4(2173741), // Rule ID 18513 //
     /* 2173655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2173658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2173666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2173669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2173672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2173675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2173693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173701 */     // MIs[0] round
     /* 2173701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173704 */     // MIs[0] policy
     /* 2173704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173714 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2173717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173740 */     // GIR_Coverage, 18513,
     /* 2173740 */     GIR_EraseRootFromParent_Done,
     /* 2173741 */   // Label 28601: @2173741
     /* 2173741 */   GIM_Try, /*On fail goto*//*Label 28602*/ GIMT_Encode4(2173832), // Rule ID 18514 //
     /* 2173746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2173749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2173757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2173760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2173763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2173766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2173784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173792 */     // MIs[0] round
     /* 2173792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173795 */     // MIs[0] policy
     /* 2173795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173805 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2173808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173831 */     // GIR_Coverage, 18514,
     /* 2173831 */     GIR_EraseRootFromParent_Done,
     /* 2173832 */   // Label 28602: @2173832
     /* 2173832 */   GIM_Try, /*On fail goto*//*Label 28603*/ GIMT_Encode4(2173923), // Rule ID 18517 //
     /* 2173837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2173840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2173848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2173851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2173854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2173857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2173875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173883 */     // MIs[0] round
     /* 2173883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173886 */     // MIs[0] policy
     /* 2173886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173896 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2173899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173922 */     // GIR_Coverage, 18517,
     /* 2173922 */     GIR_EraseRootFromParent_Done,
     /* 2173923 */   // Label 28603: @2173923
     /* 2173923 */   GIM_Try, /*On fail goto*//*Label 28604*/ GIMT_Encode4(2174014), // Rule ID 18518 //
     /* 2173928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2173931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2173936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2173939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2173942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2173945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2173948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2173966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173974 */     // MIs[0] round
     /* 2173974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173977 */     // MIs[0] policy
     /* 2173977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173987 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2173990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174013 */     // GIR_Coverage, 18518,
     /* 2174013 */     GIR_EraseRootFromParent_Done,
     /* 2174014 */   // Label 28604: @2174014
     /* 2174014 */   GIM_Try, /*On fail goto*//*Label 28605*/ GIMT_Encode4(2174105), // Rule ID 18521 //
     /* 2174019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2174022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2174030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2174033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2174036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2174039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174065 */     // MIs[0] round
     /* 2174065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174068 */     // MIs[0] policy
     /* 2174068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174078 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2174081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174104 */     // GIR_Coverage, 18521,
     /* 2174104 */     GIR_EraseRootFromParent_Done,
     /* 2174105 */   // Label 28605: @2174105
     /* 2174105 */   GIM_Try, /*On fail goto*//*Label 28606*/ GIMT_Encode4(2174196), // Rule ID 18522 //
     /* 2174110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2174113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2174121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2174124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2174127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2174130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174156 */     // MIs[0] round
     /* 2174156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174159 */     // MIs[0] policy
     /* 2174159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174169 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2174172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174195 */     // GIR_Coverage, 18522,
     /* 2174195 */     GIR_EraseRootFromParent_Done,
     /* 2174196 */   // Label 28606: @2174196
     /* 2174196 */   GIM_Try, /*On fail goto*//*Label 28607*/ GIMT_Encode4(2174287), // Rule ID 18525 //
     /* 2174201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2174204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2174212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2174215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2174218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2174221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2174239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174247 */     // MIs[0] round
     /* 2174247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174250 */     // MIs[0] policy
     /* 2174250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174260 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2174263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174286 */     // GIR_Coverage, 18525,
     /* 2174286 */     GIR_EraseRootFromParent_Done,
     /* 2174287 */   // Label 28607: @2174287
     /* 2174287 */   GIM_Try, /*On fail goto*//*Label 28608*/ GIMT_Encode4(2174378), // Rule ID 18526 //
     /* 2174292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2174295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2174303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2174306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2174309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2174312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2174330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174338 */     // MIs[0] round
     /* 2174338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174341 */     // MIs[0] policy
     /* 2174341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174351 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2174354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174377 */     // GIR_Coverage, 18526,
     /* 2174377 */     GIR_EraseRootFromParent_Done,
     /* 2174378 */   // Label 28608: @2174378
     /* 2174378 */   GIM_Try, /*On fail goto*//*Label 28609*/ GIMT_Encode4(2174469), // Rule ID 18529 //
     /* 2174383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2174386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2174394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2174397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2174403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174429 */     // MIs[0] round
     /* 2174429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174432 */     // MIs[0] policy
     /* 2174432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174442 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2174445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174468 */     // GIR_Coverage, 18529,
     /* 2174468 */     GIR_EraseRootFromParent_Done,
     /* 2174469 */   // Label 28609: @2174469
     /* 2174469 */   GIM_Try, /*On fail goto*//*Label 28610*/ GIMT_Encode4(2174560), // Rule ID 18530 //
     /* 2174474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2174477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2174485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2174488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2174494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174520 */     // MIs[0] round
     /* 2174520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174523 */     // MIs[0] policy
     /* 2174523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174533 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2174536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174559 */     // GIR_Coverage, 18530,
     /* 2174559 */     GIR_EraseRootFromParent_Done,
     /* 2174560 */   // Label 28610: @2174560
     /* 2174560 */   GIM_Try, /*On fail goto*//*Label 28611*/ GIMT_Encode4(2174651), // Rule ID 18533 //
     /* 2174565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2174568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2174576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2174579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2174585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2174588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174611 */     // MIs[0] round
     /* 2174611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174614 */     // MIs[0] policy
     /* 2174614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174624 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2174627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174650 */     // GIR_Coverage, 18533,
     /* 2174650 */     GIR_EraseRootFromParent_Done,
     /* 2174651 */   // Label 28611: @2174651
     /* 2174651 */   GIM_Try, /*On fail goto*//*Label 28612*/ GIMT_Encode4(2174742), // Rule ID 18534 //
     /* 2174656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2174659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2174667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2174670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2174676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2174679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174702 */     // MIs[0] round
     /* 2174702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174705 */     // MIs[0] policy
     /* 2174705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174715 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2174718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174741 */     // GIR_Coverage, 18534,
     /* 2174741 */     GIR_EraseRootFromParent_Done,
     /* 2174742 */   // Label 28612: @2174742
     /* 2174742 */   GIM_Try, /*On fail goto*//*Label 28613*/ GIMT_Encode4(2174833), // Rule ID 18537 //
     /* 2174747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2174750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2174758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2174761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2174767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2174770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174793 */     // MIs[0] round
     /* 2174793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174796 */     // MIs[0] policy
     /* 2174796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174806 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2174809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174832 */     // GIR_Coverage, 18537,
     /* 2174832 */     GIR_EraseRootFromParent_Done,
     /* 2174833 */   // Label 28613: @2174833
     /* 2174833 */   GIM_Try, /*On fail goto*//*Label 28614*/ GIMT_Encode4(2174924), // Rule ID 18538 //
     /* 2174838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2174841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2174849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2174852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2174858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2174861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174884 */     // MIs[0] round
     /* 2174884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174887 */     // MIs[0] policy
     /* 2174887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174897 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2174900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174923 */     // GIR_Coverage, 18538,
     /* 2174923 */     GIR_EraseRootFromParent_Done,
     /* 2174924 */   // Label 28614: @2174924
     /* 2174924 */   GIM_Try, /*On fail goto*//*Label 28615*/ GIMT_Encode4(2175015), // Rule ID 18541 //
     /* 2174929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2174932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2174937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2174940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2174943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2174946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2174949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174975 */     // MIs[0] round
     /* 2174975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174978 */     // MIs[0] policy
     /* 2174978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174988 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2174991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175014 */     // GIR_Coverage, 18541,
     /* 2175014 */     GIR_EraseRootFromParent_Done,
     /* 2175015 */   // Label 28615: @2175015
     /* 2175015 */   GIM_Try, /*On fail goto*//*Label 28616*/ GIMT_Encode4(2175106), // Rule ID 18542 //
     /* 2175020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2175023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2175031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2175034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2175040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175066 */     // MIs[0] round
     /* 2175066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175069 */     // MIs[0] policy
     /* 2175069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175079 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2175082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175105 */     // GIR_Coverage, 18542,
     /* 2175105 */     GIR_EraseRootFromParent_Done,
     /* 2175106 */   // Label 28616: @2175106
     /* 2175106 */   GIM_Try, /*On fail goto*//*Label 28617*/ GIMT_Encode4(2175197), // Rule ID 18545 //
     /* 2175111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2175114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2175122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2175125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2175131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175157 */     // MIs[0] round
     /* 2175157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175160 */     // MIs[0] policy
     /* 2175160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175170 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2175173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175196 */     // GIR_Coverage, 18545,
     /* 2175196 */     GIR_EraseRootFromParent_Done,
     /* 2175197 */   // Label 28617: @2175197
     /* 2175197 */   GIM_Try, /*On fail goto*//*Label 28618*/ GIMT_Encode4(2175288), // Rule ID 18546 //
     /* 2175202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2175205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2175213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2175216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2175222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175248 */     // MIs[0] round
     /* 2175248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175251 */     // MIs[0] policy
     /* 2175251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175261 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2175264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175287 */     // GIR_Coverage, 18546,
     /* 2175287 */     GIR_EraseRootFromParent_Done,
     /* 2175288 */   // Label 28618: @2175288
     /* 2175288 */   GIM_Try, /*On fail goto*//*Label 28619*/ GIMT_Encode4(2175379), // Rule ID 18549 //
     /* 2175293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2175296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2175304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2175307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2175313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2175316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2175323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175339 */     // MIs[0] round
     /* 2175339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175342 */     // MIs[0] policy
     /* 2175342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175352 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2175355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175378 */     // GIR_Coverage, 18549,
     /* 2175378 */     GIR_EraseRootFromParent_Done,
     /* 2175379 */   // Label 28619: @2175379
     /* 2175379 */   GIM_Try, /*On fail goto*//*Label 28620*/ GIMT_Encode4(2175470), // Rule ID 18550 //
     /* 2175384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2175387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2175395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2175398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2175404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2175407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2175414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175430 */     // MIs[0] round
     /* 2175430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175433 */     // MIs[0] policy
     /* 2175433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175443 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2175446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175469 */     // GIR_Coverage, 18550,
     /* 2175469 */     GIR_EraseRootFromParent_Done,
     /* 2175470 */   // Label 28620: @2175470
     /* 2175470 */   GIM_Try, /*On fail goto*//*Label 28621*/ GIMT_Encode4(2175561), // Rule ID 18553 //
     /* 2175475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2175478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2175486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2175489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2175492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2175495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2175513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175521 */     // MIs[0] round
     /* 2175521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175524 */     // MIs[0] policy
     /* 2175524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175534 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2175537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175560 */     // GIR_Coverage, 18553,
     /* 2175560 */     GIR_EraseRootFromParent_Done,
     /* 2175561 */   // Label 28621: @2175561
     /* 2175561 */   GIM_Try, /*On fail goto*//*Label 28622*/ GIMT_Encode4(2175652), // Rule ID 18554 //
     /* 2175566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2175569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2175577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2175580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2175583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2175586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2175604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175612 */     // MIs[0] round
     /* 2175612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175615 */     // MIs[0] policy
     /* 2175615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175625 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2175628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175651 */     // GIR_Coverage, 18554,
     /* 2175651 */     GIR_EraseRootFromParent_Done,
     /* 2175652 */   // Label 28622: @2175652
     /* 2175652 */   GIM_Try, /*On fail goto*//*Label 28623*/ GIMT_Encode4(2175743), // Rule ID 18557 //
     /* 2175657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2175660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2175668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2175671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2175674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2175677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2175695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175703 */     // MIs[0] round
     /* 2175703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175706 */     // MIs[0] policy
     /* 2175706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175716 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2175719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175742 */     // GIR_Coverage, 18557,
     /* 2175742 */     GIR_EraseRootFromParent_Done,
     /* 2175743 */   // Label 28623: @2175743
     /* 2175743 */   GIM_Try, /*On fail goto*//*Label 28624*/ GIMT_Encode4(2175834), // Rule ID 18558 //
     /* 2175748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2175751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2175759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2175762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2175765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2175768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2175786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175794 */     // MIs[0] round
     /* 2175794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175797 */     // MIs[0] policy
     /* 2175797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175807 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2175810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175833 */     // GIR_Coverage, 18558,
     /* 2175833 */     GIR_EraseRootFromParent_Done,
     /* 2175834 */   // Label 28624: @2175834
     /* 2175834 */   GIM_Try, /*On fail goto*//*Label 28625*/ GIMT_Encode4(2175925), // Rule ID 18561 //
     /* 2175839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2175842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2175850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2175853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2175856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2175859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2175869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2175877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175885 */     // MIs[0] round
     /* 2175885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175888 */     // MIs[0] policy
     /* 2175888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175898 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2175901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175924 */     // GIR_Coverage, 18561,
     /* 2175924 */     GIR_EraseRootFromParent_Done,
     /* 2175925 */   // Label 28625: @2175925
     /* 2175925 */   GIM_Try, /*On fail goto*//*Label 28626*/ GIMT_Encode4(2176016), // Rule ID 18562 //
     /* 2175930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2175933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2175938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2175941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2175944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2175947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2175950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2175960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2175968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175976 */     // MIs[0] round
     /* 2175976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175979 */     // MIs[0] policy
     /* 2175979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175989 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2175992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176015 */     // GIR_Coverage, 18562,
     /* 2176015 */     GIR_EraseRootFromParent_Done,
     /* 2176016 */   // Label 28626: @2176016
     /* 2176016 */   GIM_Try, /*On fail goto*//*Label 28627*/ GIMT_Encode4(2176107), // Rule ID 18565 //
     /* 2176021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2176024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2176029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2176032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2176035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2176038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2176041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2176044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176067 */     // MIs[0] round
     /* 2176067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176070 */     // MIs[0] policy
     /* 2176070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176080 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2176083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176106 */     // GIR_Coverage, 18565,
     /* 2176106 */     GIR_EraseRootFromParent_Done,
     /* 2176107 */   // Label 28627: @2176107
     /* 2176107 */   GIM_Try, /*On fail goto*//*Label 28628*/ GIMT_Encode4(2176198), // Rule ID 18566 //
     /* 2176112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2176115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2176120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2176123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2176126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2176129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2176132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2176135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176158 */     // MIs[0] round
     /* 2176158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176161 */     // MIs[0] policy
     /* 2176161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176171 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2176174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176197 */     // GIR_Coverage, 18566,
     /* 2176197 */     GIR_EraseRootFromParent_Done,
     /* 2176198 */   // Label 28628: @2176198
     /* 2176198 */   GIM_Try, /*On fail goto*//*Label 28629*/ GIMT_Encode4(2176289), // Rule ID 18569 //
     /* 2176203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2176206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2176211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2176214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2176217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2176220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2176223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2176226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176249 */     // MIs[0] round
     /* 2176249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176252 */     // MIs[0] policy
     /* 2176252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176262 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2176265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176288 */     // GIR_Coverage, 18569,
     /* 2176288 */     GIR_EraseRootFromParent_Done,
     /* 2176289 */   // Label 28629: @2176289
     /* 2176289 */   GIM_Try, /*On fail goto*//*Label 28630*/ GIMT_Encode4(2176380), // Rule ID 18570 //
     /* 2176294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2176297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2176302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2176305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2176308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2176311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2176314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2176317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176340 */     // MIs[0] round
     /* 2176340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176343 */     // MIs[0] policy
     /* 2176343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176353 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2176356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176379 */     // GIR_Coverage, 18570,
     /* 2176379 */     GIR_EraseRootFromParent_Done,
     /* 2176380 */   // Label 28630: @2176380
     /* 2176380 */   GIM_Try, /*On fail goto*//*Label 28631*/ GIMT_Encode4(2176471), // Rule ID 18573 //
     /* 2176385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2176388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2176393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2176396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2176399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2176402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2176405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176431 */     // MIs[0] round
     /* 2176431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176434 */     // MIs[0] policy
     /* 2176434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176444 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2176447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176470 */     // GIR_Coverage, 18573,
     /* 2176470 */     GIR_EraseRootFromParent_Done,
     /* 2176471 */   // Label 28631: @2176471
     /* 2176471 */   GIM_Try, /*On fail goto*//*Label 28632*/ GIMT_Encode4(2176562), // Rule ID 18574 //
     /* 2176476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2176479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2176484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2176487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2176490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2176493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2176496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176499 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176522 */     // MIs[0] round
     /* 2176522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176525 */     // MIs[0] policy
     /* 2176525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176535 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2176538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176558 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176561 */     // GIR_Coverage, 18574,
     /* 2176561 */     GIR_EraseRootFromParent_Done,
     /* 2176562 */   // Label 28632: @2176562
     /* 2176562 */   GIM_Try, /*On fail goto*//*Label 28633*/ GIMT_Encode4(2176653), // Rule ID 18577 //
     /* 2176567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2176570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2176575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2176578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2176581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2176584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2176587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176613 */     // MIs[0] round
     /* 2176613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176616 */     // MIs[0] policy
     /* 2176616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176626 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2176629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176652 */     // GIR_Coverage, 18577,
     /* 2176652 */     GIR_EraseRootFromParent_Done,
     /* 2176653 */   // Label 28633: @2176653
     /* 2176653 */   GIM_Try, /*On fail goto*//*Label 28634*/ GIMT_Encode4(2176744), // Rule ID 18578 //
     /* 2176658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2176661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2176666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2176669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2176672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2176675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2176678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176704 */     // MIs[0] round
     /* 2176704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176707 */     // MIs[0] policy
     /* 2176707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176717 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2176720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176743 */     // GIR_Coverage, 18578,
     /* 2176743 */     GIR_EraseRootFromParent_Done,
     /* 2176744 */   // Label 28634: @2176744
     /* 2176744 */   GIM_Try, /*On fail goto*//*Label 28635*/ GIMT_Encode4(2176835), // Rule ID 18581 //
     /* 2176749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2176752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2176757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2176760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2176763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2176766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2176769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2176772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176795 */     // MIs[0] round
     /* 2176795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176798 */     // MIs[0] policy
     /* 2176798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176808 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2176811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176834 */     // GIR_Coverage, 18581,
     /* 2176834 */     GIR_EraseRootFromParent_Done,
     /* 2176835 */   // Label 28635: @2176835
     /* 2176835 */   GIM_Try, /*On fail goto*//*Label 28636*/ GIMT_Encode4(2176926), // Rule ID 18582 //
     /* 2176840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2176843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2176848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2176851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2176854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2176857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2176860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2176863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176886 */     // MIs[0] round
     /* 2176886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176889 */     // MIs[0] policy
     /* 2176889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176899 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2176902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176925 */     // GIR_Coverage, 18582,
     /* 2176925 */     GIR_EraseRootFromParent_Done,
     /* 2176926 */   // Label 28636: @2176926
     /* 2176926 */   GIM_Try, /*On fail goto*//*Label 28637*/ GIMT_Encode4(2177017), // Rule ID 18585 //
     /* 2176931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2176934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2176939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2176942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2176945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2176948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2176951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2176954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176977 */     // MIs[0] round
     /* 2176977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176980 */     // MIs[0] policy
     /* 2176980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176990 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2176993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177016 */     // GIR_Coverage, 18585,
     /* 2177016 */     GIR_EraseRootFromParent_Done,
     /* 2177017 */   // Label 28637: @2177017
     /* 2177017 */   GIM_Try, /*On fail goto*//*Label 28638*/ GIMT_Encode4(2177108), // Rule ID 18586 //
     /* 2177022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2177025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2177033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2177036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2177039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2177042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177068 */     // MIs[0] round
     /* 2177068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177071 */     // MIs[0] policy
     /* 2177071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177081 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2177084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177107 */     // GIR_Coverage, 18586,
     /* 2177107 */     GIR_EraseRootFromParent_Done,
     /* 2177108 */   // Label 28638: @2177108
     /* 2177108 */   GIM_Try, /*On fail goto*//*Label 28639*/ GIMT_Encode4(2177199), // Rule ID 18589 //
     /* 2177113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2177116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2177124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2177127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2177130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2177133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177159 */     // MIs[0] round
     /* 2177159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177162 */     // MIs[0] policy
     /* 2177162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177172 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2177175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177198 */     // GIR_Coverage, 18589,
     /* 2177198 */     GIR_EraseRootFromParent_Done,
     /* 2177199 */   // Label 28639: @2177199
     /* 2177199 */   GIM_Try, /*On fail goto*//*Label 28640*/ GIMT_Encode4(2177290), // Rule ID 18590 //
     /* 2177204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2177207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2177215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2177218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2177221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2177224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177250 */     // MIs[0] round
     /* 2177250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177253 */     // MIs[0] policy
     /* 2177253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177263 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2177266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177289 */     // GIR_Coverage, 18590,
     /* 2177289 */     GIR_EraseRootFromParent_Done,
     /* 2177290 */   // Label 28640: @2177290
     /* 2177290 */   GIM_Try, /*On fail goto*//*Label 28641*/ GIMT_Encode4(2177381), // Rule ID 18593 //
     /* 2177295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2177298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2177306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2177309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2177312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2177315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177341 */     // MIs[0] round
     /* 2177341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177344 */     // MIs[0] policy
     /* 2177344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177354 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2177357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177367 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177377 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177380 */     // GIR_Coverage, 18593,
     /* 2177380 */     GIR_EraseRootFromParent_Done,
     /* 2177381 */   // Label 28641: @2177381
     /* 2177381 */   GIM_Try, /*On fail goto*//*Label 28642*/ GIMT_Encode4(2177472), // Rule ID 18594 //
     /* 2177386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2177389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2177397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2177400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2177403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2177406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177432 */     // MIs[0] round
     /* 2177432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177435 */     // MIs[0] policy
     /* 2177435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177445 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2177448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177471 */     // GIR_Coverage, 18594,
     /* 2177471 */     GIR_EraseRootFromParent_Done,
     /* 2177472 */   // Label 28642: @2177472
     /* 2177472 */   GIM_Try, /*On fail goto*//*Label 28643*/ GIMT_Encode4(2177563), // Rule ID 18597 //
     /* 2177477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2177480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2177488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2177491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2177494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2177497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177523 */     // MIs[0] round
     /* 2177523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177526 */     // MIs[0] policy
     /* 2177526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177536 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2177539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177562 */     // GIR_Coverage, 18597,
     /* 2177562 */     GIR_EraseRootFromParent_Done,
     /* 2177563 */   // Label 28643: @2177563
     /* 2177563 */   GIM_Try, /*On fail goto*//*Label 28644*/ GIMT_Encode4(2177654), // Rule ID 18598 //
     /* 2177568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2177571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2177579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2177582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2177585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2177588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177614 */     // MIs[0] round
     /* 2177614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177617 */     // MIs[0] policy
     /* 2177617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177627 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2177630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177653 */     // GIR_Coverage, 18598,
     /* 2177653 */     GIR_EraseRootFromParent_Done,
     /* 2177654 */   // Label 28644: @2177654
     /* 2177654 */   GIM_Try, /*On fail goto*//*Label 28645*/ GIMT_Encode4(2177745), // Rule ID 18601 //
     /* 2177659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2177662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2177670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2177673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2177676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2177679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2177697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177705 */     // MIs[0] round
     /* 2177705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177708 */     // MIs[0] policy
     /* 2177708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177718 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2177721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177744 */     // GIR_Coverage, 18601,
     /* 2177744 */     GIR_EraseRootFromParent_Done,
     /* 2177745 */   // Label 28645: @2177745
     /* 2177745 */   GIM_Try, /*On fail goto*//*Label 28646*/ GIMT_Encode4(2177836), // Rule ID 18602 //
     /* 2177750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2177753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2177761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2177764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2177767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2177770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2177788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177796 */     // MIs[0] round
     /* 2177796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177799 */     // MIs[0] policy
     /* 2177799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177809 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2177812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177822 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177832 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177835 */     // GIR_Coverage, 18602,
     /* 2177835 */     GIR_EraseRootFromParent_Done,
     /* 2177836 */   // Label 28646: @2177836
     /* 2177836 */   GIM_Try, /*On fail goto*//*Label 28647*/ GIMT_Encode4(2177927), // Rule ID 18605 //
     /* 2177841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2177844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2177852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2177855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2177858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2177861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2177879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177887 */     // MIs[0] round
     /* 2177887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177890 */     // MIs[0] policy
     /* 2177890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177900 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2177903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177926 */     // GIR_Coverage, 18605,
     /* 2177926 */     GIR_EraseRootFromParent_Done,
     /* 2177927 */   // Label 28647: @2177927
     /* 2177927 */   GIM_Try, /*On fail goto*//*Label 28648*/ GIMT_Encode4(2178018), // Rule ID 18606 //
     /* 2177932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2177935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2177940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2177943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2177946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2177949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2177952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2177970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177978 */     // MIs[0] round
     /* 2177978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177981 */     // MIs[0] policy
     /* 2177981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177991 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2177994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178014 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178017 */     // GIR_Coverage, 18606,
     /* 2178017 */     GIR_EraseRootFromParent_Done,
     /* 2178018 */   // Label 28648: @2178018
     /* 2178018 */   GIM_Try, /*On fail goto*//*Label 28649*/ GIMT_Encode4(2178109), // Rule ID 18609 //
     /* 2178023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2178026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2178034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2178037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2178040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2178043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2178061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178069 */     // MIs[0] round
     /* 2178069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178072 */     // MIs[0] policy
     /* 2178072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178082 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2178085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178108 */     // GIR_Coverage, 18609,
     /* 2178108 */     GIR_EraseRootFromParent_Done,
     /* 2178109 */   // Label 28649: @2178109
     /* 2178109 */   GIM_Try, /*On fail goto*//*Label 28650*/ GIMT_Encode4(2178200), // Rule ID 18610 //
     /* 2178114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2178117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2178125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2178128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2178131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2178134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2178152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178160 */     // MIs[0] round
     /* 2178160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178163 */     // MIs[0] policy
     /* 2178163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178173 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2178176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178199 */     // GIR_Coverage, 18610,
     /* 2178199 */     GIR_EraseRootFromParent_Done,
     /* 2178200 */   // Label 28650: @2178200
     /* 2178200 */   GIM_Try, /*On fail goto*//*Label 28651*/ GIMT_Encode4(2178291), // Rule ID 18613 //
     /* 2178205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2178208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2178216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2178219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2178222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2178225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2178243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178251 */     // MIs[0] round
     /* 2178251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178254 */     // MIs[0] policy
     /* 2178254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178264 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2178267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178290 */     // GIR_Coverage, 18613,
     /* 2178290 */     GIR_EraseRootFromParent_Done,
     /* 2178291 */   // Label 28651: @2178291
     /* 2178291 */   GIM_Try, /*On fail goto*//*Label 28652*/ GIMT_Encode4(2178382), // Rule ID 18614 //
     /* 2178296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2178299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2178307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2178310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2178313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2178316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2178334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178342 */     // MIs[0] round
     /* 2178342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178345 */     // MIs[0] policy
     /* 2178345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178355 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2178358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178381 */     // GIR_Coverage, 18614,
     /* 2178381 */     GIR_EraseRootFromParent_Done,
     /* 2178382 */   // Label 28652: @2178382
     /* 2178382 */   GIM_Try, /*On fail goto*//*Label 28653*/ GIMT_Encode4(2178473), // Rule ID 18617 //
     /* 2178387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2178390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2178398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2178401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2178404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2178407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2178410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2178425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178433 */     // MIs[0] round
     /* 2178433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178436 */     // MIs[0] policy
     /* 2178436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178446 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2178449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178472 */     // GIR_Coverage, 18617,
     /* 2178472 */     GIR_EraseRootFromParent_Done,
     /* 2178473 */   // Label 28653: @2178473
     /* 2178473 */   GIM_Try, /*On fail goto*//*Label 28654*/ GIMT_Encode4(2178564), // Rule ID 18618 //
     /* 2178478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2178481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2178489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2178492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2178495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2178498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2178501 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2178516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178524 */     // MIs[0] round
     /* 2178524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178527 */     // MIs[0] policy
     /* 2178527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178537 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2178540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178563 */     // GIR_Coverage, 18618,
     /* 2178563 */     GIR_EraseRootFromParent_Done,
     /* 2178564 */   // Label 28654: @2178564
     /* 2178564 */   GIM_Try, /*On fail goto*//*Label 28655*/ GIMT_Encode4(2178655), // Rule ID 18621 //
     /* 2178569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2178572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2178580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2178583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2178586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2178589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2178607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178615 */     // MIs[0] round
     /* 2178615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178618 */     // MIs[0] policy
     /* 2178618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178628 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2178631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178654 */     // GIR_Coverage, 18621,
     /* 2178654 */     GIR_EraseRootFromParent_Done,
     /* 2178655 */   // Label 28655: @2178655
     /* 2178655 */   GIM_Try, /*On fail goto*//*Label 28656*/ GIMT_Encode4(2178746), // Rule ID 18622 //
     /* 2178660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2178663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2178671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2178674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2178677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2178680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2178698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178706 */     // MIs[0] round
     /* 2178706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178709 */     // MIs[0] policy
     /* 2178709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178719 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2178722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178745 */     // GIR_Coverage, 18622,
     /* 2178745 */     GIR_EraseRootFromParent_Done,
     /* 2178746 */   // Label 28656: @2178746
     /* 2178746 */   GIM_Try, /*On fail goto*//*Label 28657*/ GIMT_Encode4(2178837), // Rule ID 18625 //
     /* 2178751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2178754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2178762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2178765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2178768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2178771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2178789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178797 */     // MIs[0] round
     /* 2178797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178800 */     // MIs[0] policy
     /* 2178800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178810 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2178813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178836 */     // GIR_Coverage, 18625,
     /* 2178836 */     GIR_EraseRootFromParent_Done,
     /* 2178837 */   // Label 28657: @2178837
     /* 2178837 */   GIM_Try, /*On fail goto*//*Label 28658*/ GIMT_Encode4(2178928), // Rule ID 18626 //
     /* 2178842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2178845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2178853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2178856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2178859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2178862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2178880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178888 */     // MIs[0] round
     /* 2178888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178891 */     // MIs[0] policy
     /* 2178891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178901 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2178904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178927 */     // GIR_Coverage, 18626,
     /* 2178927 */     GIR_EraseRootFromParent_Done,
     /* 2178928 */   // Label 28658: @2178928
     /* 2178928 */   GIM_Try, /*On fail goto*//*Label 28659*/ GIMT_Encode4(2179019), // Rule ID 18629 //
     /* 2178933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2178936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2178941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2178944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2178947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2178950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2178953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2178971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178979 */     // MIs[0] round
     /* 2178979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178982 */     // MIs[0] policy
     /* 2178982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178992 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2178995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179018 */     // GIR_Coverage, 18629,
     /* 2179018 */     GIR_EraseRootFromParent_Done,
     /* 2179019 */   // Label 28659: @2179019
     /* 2179019 */   GIM_Try, /*On fail goto*//*Label 28660*/ GIMT_Encode4(2179110), // Rule ID 18630 //
     /* 2179024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2179027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2179035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2179038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2179041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2179044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2179062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179070 */     // MIs[0] round
     /* 2179070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179073 */     // MIs[0] policy
     /* 2179073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179083 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2179086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179109 */     // GIR_Coverage, 18630,
     /* 2179109 */     GIR_EraseRootFromParent_Done,
     /* 2179110 */   // Label 28660: @2179110
     /* 2179110 */   GIM_Try, /*On fail goto*//*Label 28661*/ GIMT_Encode4(2179201), // Rule ID 18633 //
     /* 2179115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2179118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2179126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2179129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2179132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2179135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2179145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2179153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179161 */     // MIs[0] round
     /* 2179161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179164 */     // MIs[0] policy
     /* 2179164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179174 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2179177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179200 */     // GIR_Coverage, 18633,
     /* 2179200 */     GIR_EraseRootFromParent_Done,
     /* 2179201 */   // Label 28661: @2179201
     /* 2179201 */   GIM_Try, /*On fail goto*//*Label 28662*/ GIMT_Encode4(2179292), // Rule ID 18634 //
     /* 2179206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2179209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2179214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2179217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2179220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2179223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2179226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2179236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2179244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179252 */     // MIs[0] round
     /* 2179252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179255 */     // MIs[0] policy
     /* 2179255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179265 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2179268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179291 */     // GIR_Coverage, 18634,
     /* 2179291 */     GIR_EraseRootFromParent_Done,
     /* 2179292 */   // Label 28662: @2179292
     /* 2179292 */   GIM_Try, /*On fail goto*//*Label 28663*/ GIMT_Encode4(2179383), // Rule ID 18637 //
     /* 2179297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2179305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2179308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2179311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2179314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2179317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179343 */     // MIs[0] round
     /* 2179343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179346 */     // MIs[0] policy
     /* 2179346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179356 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2179359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179382 */     // GIR_Coverage, 18637,
     /* 2179382 */     GIR_EraseRootFromParent_Done,
     /* 2179383 */   // Label 28663: @2179383
     /* 2179383 */   GIM_Try, /*On fail goto*//*Label 28664*/ GIMT_Encode4(2179474), // Rule ID 18638 //
     /* 2179388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2179396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2179399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2179402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2179405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2179408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179434 */     // MIs[0] round
     /* 2179434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179437 */     // MIs[0] policy
     /* 2179437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179447 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2179450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179473 */     // GIR_Coverage, 18638,
     /* 2179473 */     GIR_EraseRootFromParent_Done,
     /* 2179474 */   // Label 28664: @2179474
     /* 2179474 */   GIM_Try, /*On fail goto*//*Label 28665*/ GIMT_Encode4(2179565), // Rule ID 18641 //
     /* 2179479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2179487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2179490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2179493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2179496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2179499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179525 */     // MIs[0] round
     /* 2179525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179528 */     // MIs[0] policy
     /* 2179528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179538 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2179541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179564 */     // GIR_Coverage, 18641,
     /* 2179564 */     GIR_EraseRootFromParent_Done,
     /* 2179565 */   // Label 28665: @2179565
     /* 2179565 */   GIM_Try, /*On fail goto*//*Label 28666*/ GIMT_Encode4(2179656), // Rule ID 18642 //
     /* 2179570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2179578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2179581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2179584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2179587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2179590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179616 */     // MIs[0] round
     /* 2179616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179619 */     // MIs[0] policy
     /* 2179619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179629 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2179632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179655 */     // GIR_Coverage, 18642,
     /* 2179655 */     GIR_EraseRootFromParent_Done,
     /* 2179656 */   // Label 28666: @2179656
     /* 2179656 */   GIM_Try, /*On fail goto*//*Label 28667*/ GIMT_Encode4(2179747), // Rule ID 18645 //
     /* 2179661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2179669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2179672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2179675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2179678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2179681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179707 */     // MIs[0] round
     /* 2179707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179710 */     // MIs[0] policy
     /* 2179710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179720 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2179723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179746 */     // GIR_Coverage, 18645,
     /* 2179746 */     GIR_EraseRootFromParent_Done,
     /* 2179747 */   // Label 28667: @2179747
     /* 2179747 */   GIM_Try, /*On fail goto*//*Label 28668*/ GIMT_Encode4(2179838), // Rule ID 18646 //
     /* 2179752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2179760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2179763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2179766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2179769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2179772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179798 */     // MIs[0] round
     /* 2179798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179801 */     // MIs[0] policy
     /* 2179801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179811 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2179814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179837 */     // GIR_Coverage, 18646,
     /* 2179837 */     GIR_EraseRootFromParent_Done,
     /* 2179838 */   // Label 28668: @2179838
     /* 2179838 */   GIM_Try, /*On fail goto*//*Label 28669*/ GIMT_Encode4(2179929), // Rule ID 18649 //
     /* 2179843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2179851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2179854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2179857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2179860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2179863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179889 */     // MIs[0] round
     /* 2179889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179892 */     // MIs[0] policy
     /* 2179892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179902 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2179905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179928 */     // GIR_Coverage, 18649,
     /* 2179928 */     GIR_EraseRootFromParent_Done,
     /* 2179929 */   // Label 28669: @2179929
     /* 2179929 */   GIM_Try, /*On fail goto*//*Label 28670*/ GIMT_Encode4(2180020), // Rule ID 18650 //
     /* 2179934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2179942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2179945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2179948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2179951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2179954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179980 */     // MIs[0] round
     /* 2179980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179983 */     // MIs[0] policy
     /* 2179983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179993 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2179996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180019 */     // GIR_Coverage, 18650,
     /* 2180019 */     GIR_EraseRootFromParent_Done,
     /* 2180020 */   // Label 28670: @2180020
     /* 2180020 */   GIM_Try, /*On fail goto*//*Label 28671*/ GIMT_Encode4(2180111), // Rule ID 18653 //
     /* 2180025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2180028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2180036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2180039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2180042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2180045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2180048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180071 */     // MIs[0] round
     /* 2180071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180074 */     // MIs[0] policy
     /* 2180074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180084 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2180087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180110 */     // GIR_Coverage, 18653,
     /* 2180110 */     GIR_EraseRootFromParent_Done,
     /* 2180111 */   // Label 28671: @2180111
     /* 2180111 */   GIM_Try, /*On fail goto*//*Label 28672*/ GIMT_Encode4(2180202), // Rule ID 18654 //
     /* 2180116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2180119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2180127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2180130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2180133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2180136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2180139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180162 */     // MIs[0] round
     /* 2180162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180165 */     // MIs[0] policy
     /* 2180165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180175 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2180178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180201 */     // GIR_Coverage, 18654,
     /* 2180201 */     GIR_EraseRootFromParent_Done,
     /* 2180202 */   // Label 28672: @2180202
     /* 2180202 */   GIM_Try, /*On fail goto*//*Label 28673*/ GIMT_Encode4(2180293), // Rule ID 18657 //
     /* 2180207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2180218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2180221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2180224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2180227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180253 */     // MIs[0] round
     /* 2180253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180256 */     // MIs[0] policy
     /* 2180256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180266 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2180269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180292 */     // GIR_Coverage, 18657,
     /* 2180292 */     GIR_EraseRootFromParent_Done,
     /* 2180293 */   // Label 28673: @2180293
     /* 2180293 */   GIM_Try, /*On fail goto*//*Label 28674*/ GIMT_Encode4(2180384), // Rule ID 18658 //
     /* 2180298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2180309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2180312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2180315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2180318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180344 */     // MIs[0] round
     /* 2180344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180347 */     // MIs[0] policy
     /* 2180347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180357 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2180360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180383 */     // GIR_Coverage, 18658,
     /* 2180383 */     GIR_EraseRootFromParent_Done,
     /* 2180384 */   // Label 28674: @2180384
     /* 2180384 */   GIM_Try, /*On fail goto*//*Label 28675*/ GIMT_Encode4(2180475), // Rule ID 18661 //
     /* 2180389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2180400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2180403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2180406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2180409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180435 */     // MIs[0] round
     /* 2180435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180438 */     // MIs[0] policy
     /* 2180438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180448 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2180451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180474 */     // GIR_Coverage, 18661,
     /* 2180474 */     GIR_EraseRootFromParent_Done,
     /* 2180475 */   // Label 28675: @2180475
     /* 2180475 */   GIM_Try, /*On fail goto*//*Label 28676*/ GIMT_Encode4(2180566), // Rule ID 18662 //
     /* 2180480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2180491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2180494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2180497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2180500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180526 */     // MIs[0] round
     /* 2180526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180529 */     // MIs[0] policy
     /* 2180529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180539 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2180542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180565 */     // GIR_Coverage, 18662,
     /* 2180565 */     GIR_EraseRootFromParent_Done,
     /* 2180566 */   // Label 28676: @2180566
     /* 2180566 */   GIM_Try, /*On fail goto*//*Label 28677*/ GIMT_Encode4(2180657), // Rule ID 18665 //
     /* 2180571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2180582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2180585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2180588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2180591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180617 */     // MIs[0] round
     /* 2180617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180620 */     // MIs[0] policy
     /* 2180620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180630 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2180633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180656 */     // GIR_Coverage, 18665,
     /* 2180656 */     GIR_EraseRootFromParent_Done,
     /* 2180657 */   // Label 28677: @2180657
     /* 2180657 */   GIM_Try, /*On fail goto*//*Label 28678*/ GIMT_Encode4(2180748), // Rule ID 18666 //
     /* 2180662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2180673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2180676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2180679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2180682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180708 */     // MIs[0] round
     /* 2180708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180711 */     // MIs[0] policy
     /* 2180711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180721 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2180724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180747 */     // GIR_Coverage, 18666,
     /* 2180747 */     GIR_EraseRootFromParent_Done,
     /* 2180748 */   // Label 28678: @2180748
     /* 2180748 */   GIM_Try, /*On fail goto*//*Label 28679*/ GIMT_Encode4(2180839), // Rule ID 18669 //
     /* 2180753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2180764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2180767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2180770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2180773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180799 */     // MIs[0] round
     /* 2180799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180802 */     // MIs[0] policy
     /* 2180802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180812 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2180815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180838 */     // GIR_Coverage, 18669,
     /* 2180838 */     GIR_EraseRootFromParent_Done,
     /* 2180839 */   // Label 28679: @2180839
     /* 2180839 */   GIM_Try, /*On fail goto*//*Label 28680*/ GIMT_Encode4(2180930), // Rule ID 18670 //
     /* 2180844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2180855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2180858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2180861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2180864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180890 */     // MIs[0] round
     /* 2180890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180893 */     // MIs[0] policy
     /* 2180893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180903 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2180906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180929 */     // GIR_Coverage, 18670,
     /* 2180929 */     GIR_EraseRootFromParent_Done,
     /* 2180930 */   // Label 28680: @2180930
     /* 2180930 */   GIM_Try, /*On fail goto*//*Label 28681*/ GIMT_Encode4(2181021), // Rule ID 18673 //
     /* 2180935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2180938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2180943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2180946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2180949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2180955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180981 */     // MIs[0] round
     /* 2180981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180984 */     // MIs[0] policy
     /* 2180984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180994 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2180997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181020 */     // GIR_Coverage, 18673,
     /* 2181020 */     GIR_EraseRootFromParent_Done,
     /* 2181021 */   // Label 28681: @2181021
     /* 2181021 */   GIM_Try, /*On fail goto*//*Label 28682*/ GIMT_Encode4(2181112), // Rule ID 18674 //
     /* 2181026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2181037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2181040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2181046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181072 */     // MIs[0] round
     /* 2181072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181075 */     // MIs[0] policy
     /* 2181075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181085 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2181088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181111 */     // GIR_Coverage, 18674,
     /* 2181111 */     GIR_EraseRootFromParent_Done,
     /* 2181112 */   // Label 28682: @2181112
     /* 2181112 */   GIM_Try, /*On fail goto*//*Label 28683*/ GIMT_Encode4(2181203), // Rule ID 18677 //
     /* 2181117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2181128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2181131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2181137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181163 */     // MIs[0] round
     /* 2181163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181166 */     // MIs[0] policy
     /* 2181166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181176 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2181179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181202 */     // GIR_Coverage, 18677,
     /* 2181202 */     GIR_EraseRootFromParent_Done,
     /* 2181203 */   // Label 28683: @2181203
     /* 2181203 */   GIM_Try, /*On fail goto*//*Label 28684*/ GIMT_Encode4(2181294), // Rule ID 18678 //
     /* 2181208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2181219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2181222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2181228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181254 */     // MIs[0] round
     /* 2181254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181257 */     // MIs[0] policy
     /* 2181257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181267 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2181270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181293 */     // GIR_Coverage, 18678,
     /* 2181293 */     GIR_EraseRootFromParent_Done,
     /* 2181294 */   // Label 28684: @2181294
     /* 2181294 */   GIM_Try, /*On fail goto*//*Label 28685*/ GIMT_Encode4(2181385), // Rule ID 18681 //
     /* 2181299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2181310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2181313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2181319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181345 */     // MIs[0] round
     /* 2181345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181348 */     // MIs[0] policy
     /* 2181348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181358 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2181361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181384 */     // GIR_Coverage, 18681,
     /* 2181384 */     GIR_EraseRootFromParent_Done,
     /* 2181385 */   // Label 28685: @2181385
     /* 2181385 */   GIM_Try, /*On fail goto*//*Label 28686*/ GIMT_Encode4(2181476), // Rule ID 18682 //
     /* 2181390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2181401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2181404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2181410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181436 */     // MIs[0] round
     /* 2181436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181439 */     // MIs[0] policy
     /* 2181439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181449 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2181452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181472 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181475 */     // GIR_Coverage, 18682,
     /* 2181475 */     GIR_EraseRootFromParent_Done,
     /* 2181476 */   // Label 28686: @2181476
     /* 2181476 */   GIM_Try, /*On fail goto*//*Label 28687*/ GIMT_Encode4(2181567), // Rule ID 18685 //
     /* 2181481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2181492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2181495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2181501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181527 */     // MIs[0] round
     /* 2181527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181530 */     // MIs[0] policy
     /* 2181530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181540 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2181543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181566 */     // GIR_Coverage, 18685,
     /* 2181566 */     GIR_EraseRootFromParent_Done,
     /* 2181567 */   // Label 28687: @2181567
     /* 2181567 */   GIM_Try, /*On fail goto*//*Label 28688*/ GIMT_Encode4(2181658), // Rule ID 18686 //
     /* 2181572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2181583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2181586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2181592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181618 */     // MIs[0] round
     /* 2181618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181621 */     // MIs[0] policy
     /* 2181621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181631 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2181634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181657 */     // GIR_Coverage, 18686,
     /* 2181657 */     GIR_EraseRootFromParent_Done,
     /* 2181658 */   // Label 28688: @2181658
     /* 2181658 */   GIM_Try, /*On fail goto*//*Label 28689*/ GIMT_Encode4(2181749), // Rule ID 18689 //
     /* 2181663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2181674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2181677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2181683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2181686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181709 */     // MIs[0] round
     /* 2181709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181712 */     // MIs[0] policy
     /* 2181712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181722 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2181725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181748 */     // GIR_Coverage, 18689,
     /* 2181748 */     GIR_EraseRootFromParent_Done,
     /* 2181749 */   // Label 28689: @2181749
     /* 2181749 */   GIM_Try, /*On fail goto*//*Label 28690*/ GIMT_Encode4(2181840), // Rule ID 18690 //
     /* 2181754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2181765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2181768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2181774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2181777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181800 */     // MIs[0] round
     /* 2181800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181803 */     // MIs[0] policy
     /* 2181803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181813 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2181816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181839 */     // GIR_Coverage, 18690,
     /* 2181839 */     GIR_EraseRootFromParent_Done,
     /* 2181840 */   // Label 28690: @2181840
     /* 2181840 */   GIM_Try, /*On fail goto*//*Label 28691*/ GIMT_Encode4(2181931), // Rule ID 18693 //
     /* 2181845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2181848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2181856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2181859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2181862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2181865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2181883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181891 */     // MIs[0] round
     /* 2181891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181894 */     // MIs[0] policy
     /* 2181894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181904 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2181907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181930 */     // GIR_Coverage, 18693,
     /* 2181930 */     GIR_EraseRootFromParent_Done,
     /* 2181931 */   // Label 28691: @2181931
     /* 2181931 */   GIM_Try, /*On fail goto*//*Label 28692*/ GIMT_Encode4(2182022), // Rule ID 18694 //
     /* 2181936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2181939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2181944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2181947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2181950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2181953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2181956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2181974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181982 */     // MIs[0] round
     /* 2181982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181985 */     // MIs[0] policy
     /* 2181985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181995 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2181998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182021 */     // GIR_Coverage, 18694,
     /* 2182021 */     GIR_EraseRootFromParent_Done,
     /* 2182022 */   // Label 28692: @2182022
     /* 2182022 */   GIM_Try, /*On fail goto*//*Label 28693*/ GIMT_Encode4(2182113), // Rule ID 18697 //
     /* 2182027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2182030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2182038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2182041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2182044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2182047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182073 */     // MIs[0] round
     /* 2182073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182076 */     // MIs[0] policy
     /* 2182076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182086 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2182089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182112 */     // GIR_Coverage, 18697,
     /* 2182112 */     GIR_EraseRootFromParent_Done,
     /* 2182113 */   // Label 28693: @2182113
     /* 2182113 */   GIM_Try, /*On fail goto*//*Label 28694*/ GIMT_Encode4(2182204), // Rule ID 18698 //
     /* 2182118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2182121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2182129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2182132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2182135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2182138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182164 */     // MIs[0] round
     /* 2182164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182167 */     // MIs[0] policy
     /* 2182167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182177 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2182180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182203 */     // GIR_Coverage, 18698,
     /* 2182203 */     GIR_EraseRootFromParent_Done,
     /* 2182204 */   // Label 28694: @2182204
     /* 2182204 */   GIM_Try, /*On fail goto*//*Label 28695*/ GIMT_Encode4(2182295), // Rule ID 18701 //
     /* 2182209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2182212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2182220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2182223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2182226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2182229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182255 */     // MIs[0] round
     /* 2182255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182258 */     // MIs[0] policy
     /* 2182258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182268 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2182271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182294 */     // GIR_Coverage, 18701,
     /* 2182294 */     GIR_EraseRootFromParent_Done,
     /* 2182295 */   // Label 28695: @2182295
     /* 2182295 */   GIM_Try, /*On fail goto*//*Label 28696*/ GIMT_Encode4(2182386), // Rule ID 18702 //
     /* 2182300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2182303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2182311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2182314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2182317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2182320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182346 */     // MIs[0] round
     /* 2182346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182349 */     // MIs[0] policy
     /* 2182349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182359 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2182362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182385 */     // GIR_Coverage, 18702,
     /* 2182385 */     GIR_EraseRootFromParent_Done,
     /* 2182386 */   // Label 28696: @2182386
     /* 2182386 */   GIM_Try, /*On fail goto*//*Label 28697*/ GIMT_Encode4(2182477), // Rule ID 18705 //
     /* 2182391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2182394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2182402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2182405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2182408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2182411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182437 */     // MIs[0] round
     /* 2182437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182440 */     // MIs[0] policy
     /* 2182440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182450 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2182453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182476 */     // GIR_Coverage, 18705,
     /* 2182476 */     GIR_EraseRootFromParent_Done,
     /* 2182477 */   // Label 28697: @2182477
     /* 2182477 */   GIM_Try, /*On fail goto*//*Label 28698*/ GIMT_Encode4(2182568), // Rule ID 18706 //
     /* 2182482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2182485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2182490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2182493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2182496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2182499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2182502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2182520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182528 */     // MIs[0] round
     /* 2182528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182531 */     // MIs[0] policy
     /* 2182531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182541 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2182544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182567 */     // GIR_Coverage, 18706,
     /* 2182567 */     GIR_EraseRootFromParent_Done,
     /* 2182568 */   // Label 28698: @2182568
     /* 2182568 */   GIM_Try, /*On fail goto*//*Label 28699*/ GIMT_Encode4(2182659), // Rule ID 18709 //
     /* 2182573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2182581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2182584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2182587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2182590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2182593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182619 */     // MIs[0] round
     /* 2182619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182622 */     // MIs[0] policy
     /* 2182622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182632 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2182635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182658 */     // GIR_Coverage, 18709,
     /* 2182658 */     GIR_EraseRootFromParent_Done,
     /* 2182659 */   // Label 28699: @2182659
     /* 2182659 */   GIM_Try, /*On fail goto*//*Label 28700*/ GIMT_Encode4(2182750), // Rule ID 18710 //
     /* 2182664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2182672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2182675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2182678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2182681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2182684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182710 */     // MIs[0] round
     /* 2182710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182713 */     // MIs[0] policy
     /* 2182713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182723 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2182726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182749 */     // GIR_Coverage, 18710,
     /* 2182749 */     GIR_EraseRootFromParent_Done,
     /* 2182750 */   // Label 28700: @2182750
     /* 2182750 */   GIM_Try, /*On fail goto*//*Label 28701*/ GIMT_Encode4(2182841), // Rule ID 18713 //
     /* 2182755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2182763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2182766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2182769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2182772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2182775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182801 */     // MIs[0] round
     /* 2182801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182804 */     // MIs[0] policy
     /* 2182804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182814 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2182817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182840 */     // GIR_Coverage, 18713,
     /* 2182840 */     GIR_EraseRootFromParent_Done,
     /* 2182841 */   // Label 28701: @2182841
     /* 2182841 */   GIM_Try, /*On fail goto*//*Label 28702*/ GIMT_Encode4(2182932), // Rule ID 18714 //
     /* 2182846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2182854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2182857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2182860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2182863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2182866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182892 */     // MIs[0] round
     /* 2182892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182895 */     // MIs[0] policy
     /* 2182895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182905 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2182908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182931 */     // GIR_Coverage, 18714,
     /* 2182931 */     GIR_EraseRootFromParent_Done,
     /* 2182932 */   // Label 28702: @2182932
     /* 2182932 */   GIM_Try, /*On fail goto*//*Label 28703*/ GIMT_Encode4(2183023), // Rule ID 18717 //
     /* 2182937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2182945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2182948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2182951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2182954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2182957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182983 */     // MIs[0] round
     /* 2182983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182986 */     // MIs[0] policy
     /* 2182986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182996 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2182999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183022 */     // GIR_Coverage, 18717,
     /* 2183022 */     GIR_EraseRootFromParent_Done,
     /* 2183023 */   // Label 28703: @2183023
     /* 2183023 */   GIM_Try, /*On fail goto*//*Label 28704*/ GIMT_Encode4(2183114), // Rule ID 18718 //
     /* 2183028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2183031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2183036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2183039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2183042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2183045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2183048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183074 */     // MIs[0] round
     /* 2183074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183077 */     // MIs[0] policy
     /* 2183077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183087 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2183090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183113 */     // GIR_Coverage, 18718,
     /* 2183113 */     GIR_EraseRootFromParent_Done,
     /* 2183114 */   // Label 28704: @2183114
     /* 2183114 */   GIM_Try, /*On fail goto*//*Label 28705*/ GIMT_Encode4(2183205), // Rule ID 18721 //
     /* 2183119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2183122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2183127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2183130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2183133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2183136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2183139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183165 */     // MIs[0] round
     /* 2183165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183168 */     // MIs[0] policy
     /* 2183168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183178 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2183181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183204 */     // GIR_Coverage, 18721,
     /* 2183204 */     GIR_EraseRootFromParent_Done,
     /* 2183205 */   // Label 28705: @2183205
     /* 2183205 */   GIM_Try, /*On fail goto*//*Label 28706*/ GIMT_Encode4(2183296), // Rule ID 18722 //
     /* 2183210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2183213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2183218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2183221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2183224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2183227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2183230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183256 */     // MIs[0] round
     /* 2183256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183259 */     // MIs[0] policy
     /* 2183259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183269 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2183272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183295 */     // GIR_Coverage, 18722,
     /* 2183295 */     GIR_EraseRootFromParent_Done,
     /* 2183296 */   // Label 28706: @2183296
     /* 2183296 */   GIM_Try, /*On fail goto*//*Label 28707*/ GIMT_Encode4(2183387), // Rule ID 18725 //
     /* 2183301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2183304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2183309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2183312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2183315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2183318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2183321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2183324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183347 */     // MIs[0] round
     /* 2183347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183350 */     // MIs[0] policy
     /* 2183350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183360 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2183363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183386 */     // GIR_Coverage, 18725,
     /* 2183386 */     GIR_EraseRootFromParent_Done,
     /* 2183387 */   // Label 28707: @2183387
     /* 2183387 */   GIM_Try, /*On fail goto*//*Label 28708*/ GIMT_Encode4(2183478), // Rule ID 18726 //
     /* 2183392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2183395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2183400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2183403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2183406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2183409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2183412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2183415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183438 */     // MIs[0] round
     /* 2183438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183441 */     // MIs[0] policy
     /* 2183441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183451 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2183454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183477 */     // GIR_Coverage, 18726,
     /* 2183477 */     GIR_EraseRootFromParent_Done,
     /* 2183478 */   // Label 28708: @2183478
     /* 2183478 */   GIM_Try, /*On fail goto*//*Label 28709*/ GIMT_Encode4(2183569), // Rule ID 18729 //
     /* 2183483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2183491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2183494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2183497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2183500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2183503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183529 */     // MIs[0] round
     /* 2183529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183532 */     // MIs[0] policy
     /* 2183532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183542 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2183545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183568 */     // GIR_Coverage, 18729,
     /* 2183568 */     GIR_EraseRootFromParent_Done,
     /* 2183569 */   // Label 28709: @2183569
     /* 2183569 */   GIM_Try, /*On fail goto*//*Label 28710*/ GIMT_Encode4(2183660), // Rule ID 18730 //
     /* 2183574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2183582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2183585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2183588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2183591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2183594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183620 */     // MIs[0] round
     /* 2183620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183623 */     // MIs[0] policy
     /* 2183623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183633 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2183636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183659 */     // GIR_Coverage, 18730,
     /* 2183659 */     GIR_EraseRootFromParent_Done,
     /* 2183660 */   // Label 28710: @2183660
     /* 2183660 */   GIM_Try, /*On fail goto*//*Label 28711*/ GIMT_Encode4(2183751), // Rule ID 18733 //
     /* 2183665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2183673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2183676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2183679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2183682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2183685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183711 */     // MIs[0] round
     /* 2183711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183714 */     // MIs[0] policy
     /* 2183714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183724 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2183727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183750 */     // GIR_Coverage, 18733,
     /* 2183750 */     GIR_EraseRootFromParent_Done,
     /* 2183751 */   // Label 28711: @2183751
     /* 2183751 */   GIM_Try, /*On fail goto*//*Label 28712*/ GIMT_Encode4(2183842), // Rule ID 18734 //
     /* 2183756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2183764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2183767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2183770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2183773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2183776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183779 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183802 */     // MIs[0] round
     /* 2183802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183805 */     // MIs[0] policy
     /* 2183805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183815 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2183818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183841 */     // GIR_Coverage, 18734,
     /* 2183841 */     GIR_EraseRootFromParent_Done,
     /* 2183842 */   // Label 28712: @2183842
     /* 2183842 */   GIM_Try, /*On fail goto*//*Label 28713*/ GIMT_Encode4(2183933), // Rule ID 18737 //
     /* 2183847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2183855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2183858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2183861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2183864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2183867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183893 */     // MIs[0] round
     /* 2183893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183896 */     // MIs[0] policy
     /* 2183896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183906 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2183909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183932 */     // GIR_Coverage, 18737,
     /* 2183932 */     GIR_EraseRootFromParent_Done,
     /* 2183933 */   // Label 28713: @2183933
     /* 2183933 */   GIM_Try, /*On fail goto*//*Label 28714*/ GIMT_Encode4(2184024), // Rule ID 18738 //
     /* 2183938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2183946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2183949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2183952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2183955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2183958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183984 */     // MIs[0] round
     /* 2183984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183987 */     // MIs[0] policy
     /* 2183987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183997 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2184000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184023 */     // GIR_Coverage, 18738,
     /* 2184023 */     GIR_EraseRootFromParent_Done,
     /* 2184024 */   // Label 28714: @2184024
     /* 2184024 */   GIM_Try, /*On fail goto*//*Label 28715*/ GIMT_Encode4(2184115), // Rule ID 18741 //
     /* 2184029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2184032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2184040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2184043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2184046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2184049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184075 */     // MIs[0] round
     /* 2184075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184078 */     // MIs[0] policy
     /* 2184078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184088 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2184091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184114 */     // GIR_Coverage, 18741,
     /* 2184114 */     GIR_EraseRootFromParent_Done,
     /* 2184115 */   // Label 28715: @2184115
     /* 2184115 */   GIM_Try, /*On fail goto*//*Label 28716*/ GIMT_Encode4(2184206), // Rule ID 18742 //
     /* 2184120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2184123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2184131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2184134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2184137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2184140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184166 */     // MIs[0] round
     /* 2184166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184169 */     // MIs[0] policy
     /* 2184169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184179 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2184182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184205 */     // GIR_Coverage, 18742,
     /* 2184205 */     GIR_EraseRootFromParent_Done,
     /* 2184206 */   // Label 28716: @2184206
     /* 2184206 */   GIM_Try, /*On fail goto*//*Label 28717*/ GIMT_Encode4(2184297), // Rule ID 18745 //
     /* 2184211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2184222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2184225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2184228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2184231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184257 */     // MIs[0] round
     /* 2184257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184260 */     // MIs[0] policy
     /* 2184260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184270 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2184273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184296 */     // GIR_Coverage, 18745,
     /* 2184296 */     GIR_EraseRootFromParent_Done,
     /* 2184297 */   // Label 28717: @2184297
     /* 2184297 */   GIM_Try, /*On fail goto*//*Label 28718*/ GIMT_Encode4(2184388), // Rule ID 18746 //
     /* 2184302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2184313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2184316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2184319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2184322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184348 */     // MIs[0] round
     /* 2184348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184351 */     // MIs[0] policy
     /* 2184351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184361 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2184364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184387 */     // GIR_Coverage, 18746,
     /* 2184387 */     GIR_EraseRootFromParent_Done,
     /* 2184388 */   // Label 28718: @2184388
     /* 2184388 */   GIM_Try, /*On fail goto*//*Label 28719*/ GIMT_Encode4(2184479), // Rule ID 18749 //
     /* 2184393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2184404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2184407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2184410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2184413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184439 */     // MIs[0] round
     /* 2184439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184442 */     // MIs[0] policy
     /* 2184442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184452 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2184455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184478 */     // GIR_Coverage, 18749,
     /* 2184478 */     GIR_EraseRootFromParent_Done,
     /* 2184479 */   // Label 28719: @2184479
     /* 2184479 */   GIM_Try, /*On fail goto*//*Label 28720*/ GIMT_Encode4(2184570), // Rule ID 18750 //
     /* 2184484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2184495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2184498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2184501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2184504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184530 */     // MIs[0] round
     /* 2184530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184533 */     // MIs[0] policy
     /* 2184533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184543 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2184546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184569 */     // GIR_Coverage, 18750,
     /* 2184569 */     GIR_EraseRootFromParent_Done,
     /* 2184570 */   // Label 28720: @2184570
     /* 2184570 */   GIM_Try, /*On fail goto*//*Label 28721*/ GIMT_Encode4(2184661), // Rule ID 18753 //
     /* 2184575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2184586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2184589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2184592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2184595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184621 */     // MIs[0] round
     /* 2184621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184624 */     // MIs[0] policy
     /* 2184624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184634 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2184637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184660 */     // GIR_Coverage, 18753,
     /* 2184660 */     GIR_EraseRootFromParent_Done,
     /* 2184661 */   // Label 28721: @2184661
     /* 2184661 */   GIM_Try, /*On fail goto*//*Label 28722*/ GIMT_Encode4(2184752), // Rule ID 18754 //
     /* 2184666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2184677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2184680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2184683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2184686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184712 */     // MIs[0] round
     /* 2184712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184715 */     // MIs[0] policy
     /* 2184715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184725 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2184728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184751 */     // GIR_Coverage, 18754,
     /* 2184751 */     GIR_EraseRootFromParent_Done,
     /* 2184752 */   // Label 28722: @2184752
     /* 2184752 */   GIM_Try, /*On fail goto*//*Label 28723*/ GIMT_Encode4(2184843), // Rule ID 18757 //
     /* 2184757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2184768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2184771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2184774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2184777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184803 */     // MIs[0] round
     /* 2184803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184806 */     // MIs[0] policy
     /* 2184806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184816 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2184819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184842 */     // GIR_Coverage, 18757,
     /* 2184842 */     GIR_EraseRootFromParent_Done,
     /* 2184843 */   // Label 28723: @2184843
     /* 2184843 */   GIM_Try, /*On fail goto*//*Label 28724*/ GIMT_Encode4(2184934), // Rule ID 18758 //
     /* 2184848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2184851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2184859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2184862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2184865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2184868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184894 */     // MIs[0] round
     /* 2184894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184897 */     // MIs[0] policy
     /* 2184897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184907 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2184910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184933 */     // GIR_Coverage, 18758,
     /* 2184933 */     GIR_EraseRootFromParent_Done,
     /* 2184934 */   // Label 28724: @2184934
     /* 2184934 */   GIM_Try, /*On fail goto*//*Label 28725*/ GIMT_Encode4(2185025), // Rule ID 18761 //
     /* 2184939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2184942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2184947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2184950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2184953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2184956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2184959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2184962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2184977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184985 */     // MIs[0] round
     /* 2184985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184988 */     // MIs[0] policy
     /* 2184988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184998 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2185001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185024 */     // GIR_Coverage, 18761,
     /* 2185024 */     GIR_EraseRootFromParent_Done,
     /* 2185025 */   // Label 28725: @2185025
     /* 2185025 */   GIM_Try, /*On fail goto*//*Label 28726*/ GIMT_Encode4(2185116), // Rule ID 18762 //
     /* 2185030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2185033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2185041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2185044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2185050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2185053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185076 */     // MIs[0] round
     /* 2185076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185079 */     // MIs[0] policy
     /* 2185079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185089 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2185092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185115 */     // GIR_Coverage, 18762,
     /* 2185115 */     GIR_EraseRootFromParent_Done,
     /* 2185116 */   // Label 28726: @2185116
     /* 2185116 */   GIM_Try, /*On fail goto*//*Label 28727*/ GIMT_Encode4(2185207), // Rule ID 18765 //
     /* 2185121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2185132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2185135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2185138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2185141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185167 */     // MIs[0] round
     /* 2185167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185170 */     // MIs[0] policy
     /* 2185170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185180 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2185183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185206 */     // GIR_Coverage, 18765,
     /* 2185206 */     GIR_EraseRootFromParent_Done,
     /* 2185207 */   // Label 28727: @2185207
     /* 2185207 */   GIM_Try, /*On fail goto*//*Label 28728*/ GIMT_Encode4(2185298), // Rule ID 18766 //
     /* 2185212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2185223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2185226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2185229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2185232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185258 */     // MIs[0] round
     /* 2185258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185261 */     // MIs[0] policy
     /* 2185261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185271 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2185274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185297 */     // GIR_Coverage, 18766,
     /* 2185297 */     GIR_EraseRootFromParent_Done,
     /* 2185298 */   // Label 28728: @2185298
     /* 2185298 */   GIM_Try, /*On fail goto*//*Label 28729*/ GIMT_Encode4(2185389), // Rule ID 18769 //
     /* 2185303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2185314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2185317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2185320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2185323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185349 */     // MIs[0] round
     /* 2185349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185352 */     // MIs[0] policy
     /* 2185352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185362 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2185365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185388 */     // GIR_Coverage, 18769,
     /* 2185388 */     GIR_EraseRootFromParent_Done,
     /* 2185389 */   // Label 28729: @2185389
     /* 2185389 */   GIM_Try, /*On fail goto*//*Label 28730*/ GIMT_Encode4(2185480), // Rule ID 18770 //
     /* 2185394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2185405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2185408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2185411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2185414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185440 */     // MIs[0] round
     /* 2185440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185443 */     // MIs[0] policy
     /* 2185443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185453 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11203:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2185456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185479 */     // GIR_Coverage, 18770,
     /* 2185479 */     GIR_EraseRootFromParent_Done,
     /* 2185480 */   // Label 28730: @2185480
     /* 2185480 */   GIM_Try, /*On fail goto*//*Label 28731*/ GIMT_Encode4(2185571), // Rule ID 18773 //
     /* 2185485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2185496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2185499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2185502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2185505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2185515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185531 */     // MIs[0] round
     /* 2185531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185534 */     // MIs[0] policy
     /* 2185534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185544 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2185547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185570 */     // GIR_Coverage, 18773,
     /* 2185570 */     GIR_EraseRootFromParent_Done,
     /* 2185571 */   // Label 28731: @2185571
     /* 2185571 */   GIM_Try, /*On fail goto*//*Label 28732*/ GIMT_Encode4(2185662), // Rule ID 18774 //
     /* 2185576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2185587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2185590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2185593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2185596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2185606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185622 */     // MIs[0] round
     /* 2185622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185625 */     // MIs[0] policy
     /* 2185625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185635 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11203:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2185638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185661 */     // GIR_Coverage, 18774,
     /* 2185661 */     GIR_EraseRootFromParent_Done,
     /* 2185662 */   // Label 28732: @2185662
     /* 2185662 */   GIM_Try, /*On fail goto*//*Label 28733*/ GIMT_Encode4(2185753), // Rule ID 18777 //
     /* 2185667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2185670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2185678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2185681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2185684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2185687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185713 */     // MIs[0] round
     /* 2185713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185716 */     // MIs[0] policy
     /* 2185716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185726 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2185729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185752 */     // GIR_Coverage, 18777,
     /* 2185752 */     GIR_EraseRootFromParent_Done,
     /* 2185753 */   // Label 28733: @2185753
     /* 2185753 */   GIM_Try, /*On fail goto*//*Label 28734*/ GIMT_Encode4(2185844), // Rule ID 18778 //
     /* 2185758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2185761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2185766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2185769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2185772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2185775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2185778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2185788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185804 */     // MIs[0] round
     /* 2185804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185807 */     // MIs[0] policy
     /* 2185807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185817 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11203:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2185820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185843 */     // GIR_Coverage, 18778,
     /* 2185843 */     GIR_EraseRootFromParent_Done,
     /* 2185844 */   // Label 28734: @2185844
     /* 2185844 */   GIM_Try, /*On fail goto*//*Label 28735*/ GIMT_Encode4(2185935), // Rule ID 18781 //
     /* 2185849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2185852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2185857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2185860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2185863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2185866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2185869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185895 */     // MIs[0] round
     /* 2185895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185898 */     // MIs[0] policy
     /* 2185898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185908 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2185911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185934 */     // GIR_Coverage, 18781,
     /* 2185934 */     GIR_EraseRootFromParent_Done,
     /* 2185935 */   // Label 28735: @2185935
     /* 2185935 */   GIM_Try, /*On fail goto*//*Label 28736*/ GIMT_Encode4(2186026), // Rule ID 18782 //
     /* 2185940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2185943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2185948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2185951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2185954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2185957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2185960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185986 */     // MIs[0] round
     /* 2185986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185989 */     // MIs[0] policy
     /* 2185989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185999 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2186002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186025 */     // GIR_Coverage, 18782,
     /* 2186025 */     GIR_EraseRootFromParent_Done,
     /* 2186026 */   // Label 28736: @2186026
     /* 2186026 */   GIM_Try, /*On fail goto*//*Label 28737*/ GIMT_Encode4(2186117), // Rule ID 18785 //
     /* 2186031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2186034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2186039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2186042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2186045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2186048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2186051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186077 */     // MIs[0] round
     /* 2186077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186080 */     // MIs[0] policy
     /* 2186080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186090 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2186093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186116 */     // GIR_Coverage, 18785,
     /* 2186116 */     GIR_EraseRootFromParent_Done,
     /* 2186117 */   // Label 28737: @2186117
     /* 2186117 */   GIM_Try, /*On fail goto*//*Label 28738*/ GIMT_Encode4(2186208), // Rule ID 18786 //
     /* 2186122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2186130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2186133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2186136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2186139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2186142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186168 */     // MIs[0] round
     /* 2186168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186171 */     // MIs[0] policy
     /* 2186171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186181 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2186184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186207 */     // GIR_Coverage, 18786,
     /* 2186207 */     GIR_EraseRootFromParent_Done,
     /* 2186208 */   // Label 28738: @2186208
     /* 2186208 */   GIM_Try, /*On fail goto*//*Label 28739*/ GIMT_Encode4(2186299), // Rule ID 18789 //
     /* 2186213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2186216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2186221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2186224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2186227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2186230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2186233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186259 */     // MIs[0] round
     /* 2186259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186262 */     // MIs[0] policy
     /* 2186262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186272 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2186275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186298 */     // GIR_Coverage, 18789,
     /* 2186298 */     GIR_EraseRootFromParent_Done,
     /* 2186299 */   // Label 28739: @2186299
     /* 2186299 */   GIM_Try, /*On fail goto*//*Label 28740*/ GIMT_Encode4(2186390), // Rule ID 18790 //
     /* 2186304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2186312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2186315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2186318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2186321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2186324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186350 */     // MIs[0] round
     /* 2186350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186353 */     // MIs[0] policy
     /* 2186353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186363 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2186366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186389 */     // GIR_Coverage, 18790,
     /* 2186389 */     GIR_EraseRootFromParent_Done,
     /* 2186390 */   // Label 28740: @2186390
     /* 2186390 */   GIM_Try, /*On fail goto*//*Label 28741*/ GIMT_Encode4(2186481), // Rule ID 18793 //
     /* 2186395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2186398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2186403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2186406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2186409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2186412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2186415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186441 */     // MIs[0] round
     /* 2186441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186444 */     // MIs[0] policy
     /* 2186444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186454 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2186457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186480 */     // GIR_Coverage, 18793,
     /* 2186480 */     GIR_EraseRootFromParent_Done,
     /* 2186481 */   // Label 28741: @2186481
     /* 2186481 */   GIM_Try, /*On fail goto*//*Label 28742*/ GIMT_Encode4(2186572), // Rule ID 18794 //
     /* 2186486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2186494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2186497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2186500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2186503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2186506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186532 */     // MIs[0] round
     /* 2186532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186535 */     // MIs[0] policy
     /* 2186535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186545 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2186548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186571 */     // GIR_Coverage, 18794,
     /* 2186571 */     GIR_EraseRootFromParent_Done,
     /* 2186572 */   // Label 28742: @2186572
     /* 2186572 */   GIM_Try, /*On fail goto*//*Label 28743*/ GIMT_Encode4(2186663), // Rule ID 18797 //
     /* 2186577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2186580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2186585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2186588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2186591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2186594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2186597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2186600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186623 */     // MIs[0] round
     /* 2186623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186626 */     // MIs[0] policy
     /* 2186626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186636 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2186639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186662 */     // GIR_Coverage, 18797,
     /* 2186662 */     GIR_EraseRootFromParent_Done,
     /* 2186663 */   // Label 28743: @2186663
     /* 2186663 */   GIM_Try, /*On fail goto*//*Label 28744*/ GIMT_Encode4(2186754), // Rule ID 18798 //
     /* 2186668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2186671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2186676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2186679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2186682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2186685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2186688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2186691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186714 */     // MIs[0] round
     /* 2186714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186717 */     // MIs[0] policy
     /* 2186717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186727 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2186730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186753 */     // GIR_Coverage, 18798,
     /* 2186753 */     GIR_EraseRootFromParent_Done,
     /* 2186754 */   // Label 28744: @2186754
     /* 2186754 */   GIM_Try, /*On fail goto*//*Label 28745*/ GIMT_Encode4(2186845), // Rule ID 18801 //
     /* 2186759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2186767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2186770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2186773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2186776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2186779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186805 */     // MIs[0] round
     /* 2186805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186808 */     // MIs[0] policy
     /* 2186808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186818 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2186821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186844 */     // GIR_Coverage, 18801,
     /* 2186844 */     GIR_EraseRootFromParent_Done,
     /* 2186845 */   // Label 28745: @2186845
     /* 2186845 */   GIM_Try, /*On fail goto*//*Label 28746*/ GIMT_Encode4(2186936), // Rule ID 18802 //
     /* 2186850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2186853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2186858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2186861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2186864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2186867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2186870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186896 */     // MIs[0] round
     /* 2186896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186899 */     // MIs[0] policy
     /* 2186899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186909 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2186912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186935 */     // GIR_Coverage, 18802,
     /* 2186935 */     GIR_EraseRootFromParent_Done,
     /* 2186936 */   // Label 28746: @2186936
     /* 2186936 */   GIM_Try, /*On fail goto*//*Label 28747*/ GIMT_Encode4(2187027), // Rule ID 18805 //
     /* 2186941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2186944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2186949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2186952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2186955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2186958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2186961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2186964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186987 */     // MIs[0] round
     /* 2186987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186990 */     // MIs[0] policy
     /* 2186990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187000 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2187003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187026 */     // GIR_Coverage, 18805,
     /* 2187026 */     GIR_EraseRootFromParent_Done,
     /* 2187027 */   // Label 28747: @2187027
     /* 2187027 */   GIM_Try, /*On fail goto*//*Label 28748*/ GIMT_Encode4(2187118), // Rule ID 18806 //
     /* 2187032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2187035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2187043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2187046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2187049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2187052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187078 */     // MIs[0] round
     /* 2187078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187081 */     // MIs[0] policy
     /* 2187081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187091 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2187094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187117 */     // GIR_Coverage, 18806,
     /* 2187117 */     GIR_EraseRootFromParent_Done,
     /* 2187118 */   // Label 28748: @2187118
     /* 2187118 */   GIM_Try, /*On fail goto*//*Label 28749*/ GIMT_Encode4(2187209), // Rule ID 18809 //
     /* 2187123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2187126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2187134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2187137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2187140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2187143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187169 */     // MIs[0] round
     /* 2187169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187172 */     // MIs[0] policy
     /* 2187172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187182 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2187185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187208 */     // GIR_Coverage, 18809,
     /* 2187208 */     GIR_EraseRootFromParent_Done,
     /* 2187209 */   // Label 28749: @2187209
     /* 2187209 */   GIM_Try, /*On fail goto*//*Label 28750*/ GIMT_Encode4(2187300), // Rule ID 18810 //
     /* 2187214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2187217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2187225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2187228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2187231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2187234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187260 */     // MIs[0] round
     /* 2187260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187263 */     // MIs[0] policy
     /* 2187263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187273 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2187276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187299 */     // GIR_Coverage, 18810,
     /* 2187299 */     GIR_EraseRootFromParent_Done,
     /* 2187300 */   // Label 28750: @2187300
     /* 2187300 */   GIM_Try, /*On fail goto*//*Label 28751*/ GIMT_Encode4(2187391), // Rule ID 18813 //
     /* 2187305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2187308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2187316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2187319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2187322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2187325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187351 */     // MIs[0] round
     /* 2187351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187354 */     // MIs[0] policy
     /* 2187354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187364 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2187367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187390 */     // GIR_Coverage, 18813,
     /* 2187390 */     GIR_EraseRootFromParent_Done,
     /* 2187391 */   // Label 28751: @2187391
     /* 2187391 */   GIM_Try, /*On fail goto*//*Label 28752*/ GIMT_Encode4(2187482), // Rule ID 18814 //
     /* 2187396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2187399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2187407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2187410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2187413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2187416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187442 */     // MIs[0] round
     /* 2187442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187445 */     // MIs[0] policy
     /* 2187445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187455 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2187458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187481 */     // GIR_Coverage, 18814,
     /* 2187481 */     GIR_EraseRootFromParent_Done,
     /* 2187482 */   // Label 28752: @2187482
     /* 2187482 */   GIM_Try, /*On fail goto*//*Label 28753*/ GIMT_Encode4(2187573), // Rule ID 18817 //
     /* 2187487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2187498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2187501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2187504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2187507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2187510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2187525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187533 */     // MIs[0] round
     /* 2187533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187536 */     // MIs[0] policy
     /* 2187536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187546 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2187549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187572 */     // GIR_Coverage, 18817,
     /* 2187572 */     GIR_EraseRootFromParent_Done,
     /* 2187573 */   // Label 28753: @2187573
     /* 2187573 */   GIM_Try, /*On fail goto*//*Label 28754*/ GIMT_Encode4(2187664), // Rule ID 18818 //
     /* 2187578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2187589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2187592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2187595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2187598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2187601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2187616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187624 */     // MIs[0] round
     /* 2187624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187627 */     // MIs[0] policy
     /* 2187627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187637 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2187640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187663 */     // GIR_Coverage, 18818,
     /* 2187663 */     GIR_EraseRootFromParent_Done,
     /* 2187664 */   // Label 28754: @2187664
     /* 2187664 */   GIM_Try, /*On fail goto*//*Label 28755*/ GIMT_Encode4(2187755), // Rule ID 18821 //
     /* 2187669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2187680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2187683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2187686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2187689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2187707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187715 */     // MIs[0] round
     /* 2187715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187718 */     // MIs[0] policy
     /* 2187718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187728 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2187731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187754 */     // GIR_Coverage, 18821,
     /* 2187754 */     GIR_EraseRootFromParent_Done,
     /* 2187755 */   // Label 28755: @2187755
     /* 2187755 */   GIM_Try, /*On fail goto*//*Label 28756*/ GIMT_Encode4(2187846), // Rule ID 18822 //
     /* 2187760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2187771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2187774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2187777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2187780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2187798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187806 */     // MIs[0] round
     /* 2187806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187809 */     // MIs[0] policy
     /* 2187809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187819 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2187822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187845 */     // GIR_Coverage, 18822,
     /* 2187845 */     GIR_EraseRootFromParent_Done,
     /* 2187846 */   // Label 28756: @2187846
     /* 2187846 */   GIM_Try, /*On fail goto*//*Label 28757*/ GIMT_Encode4(2187937), // Rule ID 18825 //
     /* 2187851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2187854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2187862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2187865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2187868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2187871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2187889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187897 */     // MIs[0] round
     /* 2187897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187900 */     // MIs[0] policy
     /* 2187900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187910 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2187913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187936 */     // GIR_Coverage, 18825,
     /* 2187936 */     GIR_EraseRootFromParent_Done,
     /* 2187937 */   // Label 28757: @2187937
     /* 2187937 */   GIM_Try, /*On fail goto*//*Label 28758*/ GIMT_Encode4(2188028), // Rule ID 18826 //
     /* 2187942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2187945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2187950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2187953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2187956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2187959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2187962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2187980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187988 */     // MIs[0] round
     /* 2187988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187991 */     // MIs[0] policy
     /* 2187991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188001 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2188004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188027 */     // GIR_Coverage, 18826,
     /* 2188027 */     GIR_EraseRootFromParent_Done,
     /* 2188028 */   // Label 28758: @2188028
     /* 2188028 */   GIM_Try, /*On fail goto*//*Label 28759*/ GIMT_Encode4(2188119), // Rule ID 18829 //
     /* 2188033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2188036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2188044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2188047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2188050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2188053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2188071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188079 */     // MIs[0] round
     /* 2188079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188082 */     // MIs[0] policy
     /* 2188082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188092 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2188095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188118 */     // GIR_Coverage, 18829,
     /* 2188118 */     GIR_EraseRootFromParent_Done,
     /* 2188119 */   // Label 28759: @2188119
     /* 2188119 */   GIM_Try, /*On fail goto*//*Label 28760*/ GIMT_Encode4(2188210), // Rule ID 18830 //
     /* 2188124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2188127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2188135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2188138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2188141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2188144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2188162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188170 */     // MIs[0] round
     /* 2188170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188173 */     // MIs[0] policy
     /* 2188173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188183 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2188186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188209 */     // GIR_Coverage, 18830,
     /* 2188209 */     GIR_EraseRootFromParent_Done,
     /* 2188210 */   // Label 28760: @2188210
     /* 2188210 */   GIM_Try, /*On fail goto*//*Label 28761*/ GIMT_Encode4(2188301), // Rule ID 18833 //
     /* 2188215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2188218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2188226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2188229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2188232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2188235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2188238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2188253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188261 */     // MIs[0] round
     /* 2188261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188264 */     // MIs[0] policy
     /* 2188264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188274 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2188277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188300 */     // GIR_Coverage, 18833,
     /* 2188300 */     GIR_EraseRootFromParent_Done,
     /* 2188301 */   // Label 28761: @2188301
     /* 2188301 */   GIM_Try, /*On fail goto*//*Label 28762*/ GIMT_Encode4(2188392), // Rule ID 18834 //
     /* 2188306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2188309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2188317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2188320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2188323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2188326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2188329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2188344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188352 */     // MIs[0] round
     /* 2188352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188355 */     // MIs[0] policy
     /* 2188355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188365 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2188368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188391 */     // GIR_Coverage, 18834,
     /* 2188391 */     GIR_EraseRootFromParent_Done,
     /* 2188392 */   // Label 28762: @2188392
     /* 2188392 */   GIM_Try, /*On fail goto*//*Label 28763*/ GIMT_Encode4(2188483), // Rule ID 18837 //
     /* 2188397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2188408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2188411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2188414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2188417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2188435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188443 */     // MIs[0] round
     /* 2188443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188446 */     // MIs[0] policy
     /* 2188446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188456 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2188459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188482 */     // GIR_Coverage, 18837,
     /* 2188482 */     GIR_EraseRootFromParent_Done,
     /* 2188483 */   // Label 28763: @2188483
     /* 2188483 */   GIM_Try, /*On fail goto*//*Label 28764*/ GIMT_Encode4(2188574), // Rule ID 18838 //
     /* 2188488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2188499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2188502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2188505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2188508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2188526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188534 */     // MIs[0] round
     /* 2188534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188537 */     // MIs[0] policy
     /* 2188537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188547 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2188550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188573 */     // GIR_Coverage, 18838,
     /* 2188573 */     GIR_EraseRootFromParent_Done,
     /* 2188574 */   // Label 28764: @2188574
     /* 2188574 */   GIM_Try, /*On fail goto*//*Label 28765*/ GIMT_Encode4(2188665), // Rule ID 18841 //
     /* 2188579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2188590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2188593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2188596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2188599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2188609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2188617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188625 */     // MIs[0] round
     /* 2188625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188628 */     // MIs[0] policy
     /* 2188628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188638 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2188641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188664 */     // GIR_Coverage, 18841,
     /* 2188664 */     GIR_EraseRootFromParent_Done,
     /* 2188665 */   // Label 28765: @2188665
     /* 2188665 */   GIM_Try, /*On fail goto*//*Label 28766*/ GIMT_Encode4(2188756), // Rule ID 18842 //
     /* 2188670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2188681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2188684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2188687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2188690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2188700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2188708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188716 */     // MIs[0] round
     /* 2188716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188719 */     // MIs[0] policy
     /* 2188719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188729 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2188732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188755 */     // GIR_Coverage, 18842,
     /* 2188755 */     GIR_EraseRootFromParent_Done,
     /* 2188756 */   // Label 28766: @2188756
     /* 2188756 */   GIM_Try, /*On fail goto*//*Label 28767*/ GIMT_Encode4(2188847), // Rule ID 18845 //
     /* 2188761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2188772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2188775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2188778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2188781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2188799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188807 */     // MIs[0] round
     /* 2188807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188810 */     // MIs[0] policy
     /* 2188810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188820 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2188823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188846 */     // GIR_Coverage, 18845,
     /* 2188846 */     GIR_EraseRootFromParent_Done,
     /* 2188847 */   // Label 28767: @2188847
     /* 2188847 */   GIM_Try, /*On fail goto*//*Label 28768*/ GIMT_Encode4(2188938), // Rule ID 18846 //
     /* 2188852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2188855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2188863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2188866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2188869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2188872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2188882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2188890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188898 */     // MIs[0] round
     /* 2188898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188901 */     // MIs[0] policy
     /* 2188901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188911 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2188914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188937 */     // GIR_Coverage, 18846,
     /* 2188937 */     GIR_EraseRootFromParent_Done,
     /* 2188938 */   // Label 28768: @2188938
     /* 2188938 */   GIM_Try, /*On fail goto*//*Label 28769*/ GIMT_Encode4(2189029), // Rule ID 18849 //
     /* 2188943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2188946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2188951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2188954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2188957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2188960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2188963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2188973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2188977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2188981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2188985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188989 */     // MIs[0] round
     /* 2188989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188992 */     // MIs[0] policy
     /* 2188992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189002 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2189005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189028 */     // GIR_Coverage, 18849,
     /* 2189028 */     GIR_EraseRootFromParent_Done,
     /* 2189029 */   // Label 28769: @2189029
     /* 2189029 */   GIM_Try, /*On fail goto*//*Label 28770*/ GIMT_Encode4(2189120), // Rule ID 18850 //
     /* 2189034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2189037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2189042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2189045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2189048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2189051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2189054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189080 */     // MIs[0] round
     /* 2189080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189083 */     // MIs[0] policy
     /* 2189083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189093 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2189096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189119 */     // GIR_Coverage, 18850,
     /* 2189119 */     GIR_EraseRootFromParent_Done,
     /* 2189120 */   // Label 28770: @2189120
     /* 2189120 */   GIM_Try, /*On fail goto*//*Label 28771*/ GIMT_Encode4(2189211), // Rule ID 63759 //
     /* 2189125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2189128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2189133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2189136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2189139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2189142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2189145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2189148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189171 */     // MIs[0] round
     /* 2189171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189174 */     // MIs[0] policy
     /* 2189174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189184 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10998:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2189187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2189191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189210 */     // GIR_Coverage, 63759,
     /* 2189210 */     GIR_EraseRootFromParent_Done,
     /* 2189211 */   // Label 28771: @2189211
     /* 2189211 */   GIM_Try, /*On fail goto*//*Label 28772*/ GIMT_Encode4(2189302), // Rule ID 63760 //
     /* 2189216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2189219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2189224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2189227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2189230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2189233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2189236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2189239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189262 */     // MIs[0] round
     /* 2189262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189265 */     // MIs[0] policy
     /* 2189265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189275 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10998:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2189278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2189282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189301 */     // GIR_Coverage, 63760,
     /* 2189301 */     GIR_EraseRootFromParent_Done,
     /* 2189302 */   // Label 28772: @2189302
     /* 2189302 */   GIM_Try, /*On fail goto*//*Label 28773*/ GIMT_Encode4(2189393), // Rule ID 63763 //
     /* 2189307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2189310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2189315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2189318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2189321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2189324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2189327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189353 */     // MIs[0] round
     /* 2189353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189356 */     // MIs[0] policy
     /* 2189356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189366 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10998:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2189369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2189373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189392 */     // GIR_Coverage, 63763,
     /* 2189392 */     GIR_EraseRootFromParent_Done,
     /* 2189393 */   // Label 28773: @2189393
     /* 2189393 */   GIM_Try, /*On fail goto*//*Label 28774*/ GIMT_Encode4(2189484), // Rule ID 63764 //
     /* 2189398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2189401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2189406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2189409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2189412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2189415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2189418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189444 */     // MIs[0] round
     /* 2189444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189447 */     // MIs[0] policy
     /* 2189447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189457 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10998:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2189460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2189464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189483 */     // GIR_Coverage, 63764,
     /* 2189483 */     GIR_EraseRootFromParent_Done,
     /* 2189484 */   // Label 28774: @2189484
     /* 2189484 */   GIM_Try, /*On fail goto*//*Label 28775*/ GIMT_Encode4(2189575), // Rule ID 63767 //
     /* 2189489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2189492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2189497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2189500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2189503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2189506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2189509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2189512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189535 */     // MIs[0] round
     /* 2189535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189538 */     // MIs[0] policy
     /* 2189538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189548 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10998:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2189551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2189555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189574 */     // GIR_Coverage, 63767,
     /* 2189574 */     GIR_EraseRootFromParent_Done,
     /* 2189575 */   // Label 28775: @2189575
     /* 2189575 */   GIM_Try, /*On fail goto*//*Label 28776*/ GIMT_Encode4(2189666), // Rule ID 63768 //
     /* 2189580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2189583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2189588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2189591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2189594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2189597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2189600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2189603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189626 */     // MIs[0] round
     /* 2189626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189629 */     // MIs[0] policy
     /* 2189629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189639 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10998:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2189642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2189646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189665 */     // GIR_Coverage, 63768,
     /* 2189665 */     GIR_EraseRootFromParent_Done,
     /* 2189666 */   // Label 28776: @2189666
     /* 2189666 */   GIM_Try, /*On fail goto*//*Label 28777*/ GIMT_Encode4(2189757), // Rule ID 63771 //
     /* 2189671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2189674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2189679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2189682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2189685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2189688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2189691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189717 */     // MIs[0] round
     /* 2189717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189720 */     // MIs[0] policy
     /* 2189720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189730 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10998:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2189733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2189737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189756 */     // GIR_Coverage, 63771,
     /* 2189756 */     GIR_EraseRootFromParent_Done,
     /* 2189757 */   // Label 28777: @2189757
     /* 2189757 */   GIM_Try, /*On fail goto*//*Label 28778*/ GIMT_Encode4(2189848), // Rule ID 63772 //
     /* 2189762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2189765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2189770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2189773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2189776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2189779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2189782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189808 */     // MIs[0] round
     /* 2189808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189811 */     // MIs[0] policy
     /* 2189811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189821 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10998:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2189824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2189828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189847 */     // GIR_Coverage, 63772,
     /* 2189847 */     GIR_EraseRootFromParent_Done,
     /* 2189848 */   // Label 28778: @2189848
     /* 2189848 */   GIM_Try, /*On fail goto*//*Label 28779*/ GIMT_Encode4(2189939), // Rule ID 63775 //
     /* 2189853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2189856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2189861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2189864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2189867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2189870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2189873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189899 */     // MIs[0] round
     /* 2189899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189902 */     // MIs[0] policy
     /* 2189902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189912 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10998:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2189915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2189919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189938 */     // GIR_Coverage, 63775,
     /* 2189938 */     GIR_EraseRootFromParent_Done,
     /* 2189939 */   // Label 28779: @2189939
     /* 2189939 */   GIM_Try, /*On fail goto*//*Label 28780*/ GIMT_Encode4(2190030), // Rule ID 63776 //
     /* 2189944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2189947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2189952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2189955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2189958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2189961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2189964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189990 */     // MIs[0] round
     /* 2189990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189993 */     // MIs[0] policy
     /* 2189993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190003 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10998:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2190006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190029 */     // GIR_Coverage, 63776,
     /* 2190029 */     GIR_EraseRootFromParent_Done,
     /* 2190030 */   // Label 28780: @2190030
     /* 2190030 */   GIM_Try, /*On fail goto*//*Label 28781*/ GIMT_Encode4(2190121), // Rule ID 63779 //
     /* 2190035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2190038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2190043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2190046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2190049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2190052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190081 */     // MIs[0] round
     /* 2190081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190084 */     // MIs[0] policy
     /* 2190084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190094 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10996:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2190097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190120 */     // GIR_Coverage, 63779,
     /* 2190120 */     GIR_EraseRootFromParent_Done,
     /* 2190121 */   // Label 28781: @2190121
     /* 2190121 */   GIM_Try, /*On fail goto*//*Label 28782*/ GIMT_Encode4(2190212), // Rule ID 63780 //
     /* 2190126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2190129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2190134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2190137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2190140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2190143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190172 */     // MIs[0] round
     /* 2190172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190175 */     // MIs[0] policy
     /* 2190175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190185 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10996:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2190188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190211 */     // GIR_Coverage, 63780,
     /* 2190211 */     GIR_EraseRootFromParent_Done,
     /* 2190212 */   // Label 28782: @2190212
     /* 2190212 */   GIM_Try, /*On fail goto*//*Label 28783*/ GIMT_Encode4(2190303), // Rule ID 63783 //
     /* 2190217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2190220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2190225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2190228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2190231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2190234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190263 */     // MIs[0] round
     /* 2190263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190266 */     // MIs[0] policy
     /* 2190266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190276 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10996:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2190279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190302 */     // GIR_Coverage, 63783,
     /* 2190302 */     GIR_EraseRootFromParent_Done,
     /* 2190303 */   // Label 28783: @2190303
     /* 2190303 */   GIM_Try, /*On fail goto*//*Label 28784*/ GIMT_Encode4(2190394), // Rule ID 63784 //
     /* 2190308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2190311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2190316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2190319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2190322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2190325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190354 */     // MIs[0] round
     /* 2190354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190357 */     // MIs[0] policy
     /* 2190357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190367 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10996:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2190370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190393 */     // GIR_Coverage, 63784,
     /* 2190393 */     GIR_EraseRootFromParent_Done,
     /* 2190394 */   // Label 28784: @2190394
     /* 2190394 */   GIM_Try, /*On fail goto*//*Label 28785*/ GIMT_Encode4(2190485), // Rule ID 63787 //
     /* 2190399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2190402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2190407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2190410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2190413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2190416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190445 */     // MIs[0] round
     /* 2190445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190448 */     // MIs[0] policy
     /* 2190448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190458 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10996:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2190461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190484 */     // GIR_Coverage, 63787,
     /* 2190484 */     GIR_EraseRootFromParent_Done,
     /* 2190485 */   // Label 28785: @2190485
     /* 2190485 */   GIM_Try, /*On fail goto*//*Label 28786*/ GIMT_Encode4(2190576), // Rule ID 63788 //
     /* 2190490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2190493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2190498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2190501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2190504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2190507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190536 */     // MIs[0] round
     /* 2190536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190539 */     // MIs[0] policy
     /* 2190539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190549 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10996:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2190552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190575 */     // GIR_Coverage, 63788,
     /* 2190575 */     GIR_EraseRootFromParent_Done,
     /* 2190576 */   // Label 28786: @2190576
     /* 2190576 */   GIM_Try, /*On fail goto*//*Label 28787*/ GIMT_Encode4(2190667), // Rule ID 63791 //
     /* 2190581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2190584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2190589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2190592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2190595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2190598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190627 */     // MIs[0] round
     /* 2190627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190630 */     // MIs[0] policy
     /* 2190630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190640 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10996:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2190643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190666 */     // GIR_Coverage, 63791,
     /* 2190666 */     GIR_EraseRootFromParent_Done,
     /* 2190667 */   // Label 28787: @2190667
     /* 2190667 */   GIM_Try, /*On fail goto*//*Label 28788*/ GIMT_Encode4(2190758), // Rule ID 63792 //
     /* 2190672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2190675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2190680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2190683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2190686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2190689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190718 */     // MIs[0] round
     /* 2190718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190721 */     // MIs[0] policy
     /* 2190721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190731 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10996:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2190734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190757 */     // GIR_Coverage, 63792,
     /* 2190757 */     GIR_EraseRootFromParent_Done,
     /* 2190758 */   // Label 28788: @2190758
     /* 2190758 */   GIM_Try, /*On fail goto*//*Label 28789*/ GIMT_Encode4(2190849), // Rule ID 63795 //
     /* 2190763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2190766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2190771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2190774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2190777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2190780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2190786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2190793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190809 */     // MIs[0] round
     /* 2190809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190812 */     // MIs[0] policy
     /* 2190812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190822 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10996:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2190825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190848 */     // GIR_Coverage, 63795,
     /* 2190848 */     GIR_EraseRootFromParent_Done,
     /* 2190849 */   // Label 28789: @2190849
     /* 2190849 */   GIM_Try, /*On fail goto*//*Label 28790*/ GIMT_Encode4(2190940), // Rule ID 63796 //
     /* 2190854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2190857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2190862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2190865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2190868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2190871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2190877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2190884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190900 */     // MIs[0] round
     /* 2190900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190903 */     // MIs[0] policy
     /* 2190903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190913 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10996:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2190916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190939 */     // GIR_Coverage, 63796,
     /* 2190939 */     GIR_EraseRootFromParent_Done,
     /* 2190940 */   // Label 28790: @2190940
     /* 2190940 */   GIM_Reject,
     /* 2190941 */ // Label 26746: @2190941
     /* 2190941 */ GIM_Reject,
     /* 2190942 */ // Label 38: @2190942
     /* 2190942 */ GIM_Try, /*On fail goto*//*Label 28791*/ GIMT_Encode4(2191025), // Rule ID 35 //
     /* 2190947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2190950 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 2190953 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules),
     /* 2190958 */   // MIs[0] Operand 1
     /* 2190958 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 2190962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRX5RegClassID),
     /* 2190966 */   // MIs[0] ptr
     /* 2190966 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2190970 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRJALRRegClassID),
     /* 2190974 */   // MIs[0] accessinfo
     /* 2190974 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 2190977 */   // (intrinsic_void 192:{ *:[iPTR] }, X5:{ *:[i64] }, GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 2190977 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2190981 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X5), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190987 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X5
     /* 2190991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::HWASAN_CHECK_MEMACCESS_SHORTGRANULES),
     /* 2190994 */   GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 2190996 */   GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 2190998 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X1*/0,
     /* 2191001 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X6*/1,
     /* 2191004 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X7*/2,
     /* 2191007 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X28*/3,
     /* 2191010 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X29*/4,
     /* 2191013 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X30*/5,
     /* 2191016 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X31*/6,
     /* 2191019 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2191023 */   GIR_RootConstrainSelectedInstOperands,
     /* 2191024 */   // GIR_Coverage, 35,
     /* 2191024 */   GIR_EraseRootFromParent_Done,
     /* 2191025 */ // Label 28791: @2191025
     /* 2191025 */ GIM_Try, /*On fail goto*//*Label 28792*/ GIMT_Encode4(2191930),
     /* 2191030 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 2191033 */   GIM_Try, /*On fail goto*//*Label 28793*/ GIMT_Encode4(2191105), // Rule ID 606 //
     /* 2191038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2191041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i32),
     /* 2191046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2191049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191059 */     // MIs[0] addr
     /* 2191059 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2191063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191075 */     // MIs[0] ordering
     /* 2191075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2191078 */     // (intrinsic_w_chain:{ *:[i32] } 10932:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2191078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2191081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2191084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2191086 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2191091 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2191093 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2191095 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2191097 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2191099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2191103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191104 */     // GIR_Coverage, 606,
     /* 2191104 */     GIR_EraseRootFromParent_Done,
     /* 2191105 */   // Label 28793: @2191105
     /* 2191105 */   GIM_Try, /*On fail goto*//*Label 28794*/ GIMT_Encode4(2191177), // Rule ID 607 //
     /* 2191110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2191113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i32),
     /* 2191118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2191121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191131 */     // MIs[0] addr
     /* 2191131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2191135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191147 */     // MIs[0] ordering
     /* 2191147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2191150 */     // (intrinsic_w_chain:{ *:[i32] } 10918:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2191150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2191153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2191156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2191158 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2191163 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2191165 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2191167 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2191169 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2191171 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2191175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191176 */     // GIR_Coverage, 607,
     /* 2191176 */     GIR_EraseRootFromParent_Done,
     /* 2191177 */   // Label 28794: @2191177
     /* 2191177 */   GIM_Try, /*On fail goto*//*Label 28795*/ GIMT_Encode4(2191249), // Rule ID 608 //
     /* 2191182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2191185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i32),
     /* 2191190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2191193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191203 */     // MIs[0] addr
     /* 2191203 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2191207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191219 */     // MIs[0] ordering
     /* 2191219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2191222 */     // (intrinsic_w_chain:{ *:[i32] } 10926:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2191222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2191225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2191228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2191230 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2191235 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2191237 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2191239 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2191241 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2191243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2191247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191248 */     // GIR_Coverage, 608,
     /* 2191248 */     GIR_EraseRootFromParent_Done,
     /* 2191249 */   // Label 28795: @2191249
     /* 2191249 */   GIM_Try, /*On fail goto*//*Label 28796*/ GIMT_Encode4(2191321), // Rule ID 609 //
     /* 2191254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2191257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i32),
     /* 2191262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2191265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191275 */     // MIs[0] addr
     /* 2191275 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2191279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191291 */     // MIs[0] ordering
     /* 2191291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2191294 */     // (intrinsic_w_chain:{ *:[i32] } 10924:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2191294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2191297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2191300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2191302 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2191307 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2191309 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2191311 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2191313 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2191315 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2191319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191320 */     // GIR_Coverage, 609,
     /* 2191320 */     GIR_EraseRootFromParent_Done,
     /* 2191321 */   // Label 28796: @2191321
     /* 2191321 */   GIM_Try, /*On fail goto*//*Label 28797*/ GIMT_Encode4(2191401), // Rule ID 612 //
     /* 2191326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2191329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i32),
     /* 2191334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2191337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191347 */     // MIs[0] addr
     /* 2191347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2191351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191363 */     // MIs[0] ordering
     /* 2191363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2191366 */     // (intrinsic_w_chain:{ *:[i32] } 10928:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2191366 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2191369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2191372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2191375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2191377 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2191382 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2191387 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2191389 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2191391 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2191393 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2191395 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2191399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191400 */     // GIR_Coverage, 612,
     /* 2191400 */     GIR_EraseRootFromParent_Done,
     /* 2191401 */   // Label 28797: @2191401
     /* 2191401 */   GIM_Try, /*On fail goto*//*Label 28798*/ GIMT_Encode4(2191481), // Rule ID 613 //
     /* 2191406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2191409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i32),
     /* 2191414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2191417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191427 */     // MIs[0] addr
     /* 2191427 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2191431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191443 */     // MIs[0] ordering
     /* 2191443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2191446 */     // (intrinsic_w_chain:{ *:[i32] } 10930:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2191446 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2191449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2191452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2191455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2191457 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2191462 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2191467 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2191469 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2191471 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2191473 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2191475 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2191479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191480 */     // GIR_Coverage, 613,
     /* 2191480 */     GIR_EraseRootFromParent_Done,
     /* 2191481 */   // Label 28798: @2191481
     /* 2191481 */   GIM_Try, /*On fail goto*//*Label 28799*/ GIMT_Encode4(2191553), // Rule ID 619 //
     /* 2191486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2191489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i64),
     /* 2191494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2191497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2191500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2191503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191507 */     // MIs[0] addr
     /* 2191507 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2191511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191523 */     // MIs[0] ordering
     /* 2191523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2191526 */     // (intrinsic_w_chain:{ *:[i64] } 10933:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2191526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2191529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2191532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2191534 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2191539 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2191541 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2191543 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2191545 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2191547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2191551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191552 */     // GIR_Coverage, 619,
     /* 2191552 */     GIR_EraseRootFromParent_Done,
     /* 2191553 */   // Label 28799: @2191553
     /* 2191553 */   GIM_Try, /*On fail goto*//*Label 28800*/ GIMT_Encode4(2191625), // Rule ID 620 //
     /* 2191558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2191561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i64),
     /* 2191566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2191569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2191572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2191575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191579 */     // MIs[0] addr
     /* 2191579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2191583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191595 */     // MIs[0] ordering
     /* 2191595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2191598 */     // (intrinsic_w_chain:{ *:[i64] } 10919:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2191598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2191601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2191604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2191606 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2191611 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2191613 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2191615 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2191617 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2191619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2191623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191624 */     // GIR_Coverage, 620,
     /* 2191624 */     GIR_EraseRootFromParent_Done,
     /* 2191625 */   // Label 28800: @2191625
     /* 2191625 */   GIM_Try, /*On fail goto*//*Label 28801*/ GIMT_Encode4(2191697), // Rule ID 621 //
     /* 2191630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2191633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i64),
     /* 2191638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2191641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2191644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2191647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191651 */     // MIs[0] addr
     /* 2191651 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2191655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191667 */     // MIs[0] ordering
     /* 2191667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2191670 */     // (intrinsic_w_chain:{ *:[i64] } 10927:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2191670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2191673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2191676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2191678 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2191683 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2191685 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2191687 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2191689 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2191691 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2191695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191696 */     // GIR_Coverage, 621,
     /* 2191696 */     GIR_EraseRootFromParent_Done,
     /* 2191697 */   // Label 28801: @2191697
     /* 2191697 */   GIM_Try, /*On fail goto*//*Label 28802*/ GIMT_Encode4(2191769), // Rule ID 622 //
     /* 2191702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2191705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i64),
     /* 2191710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2191713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2191716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2191719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191723 */     // MIs[0] addr
     /* 2191723 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2191727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191739 */     // MIs[0] ordering
     /* 2191739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2191742 */     // (intrinsic_w_chain:{ *:[i64] } 10925:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2191742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2191745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2191748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2191750 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2191755 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2191757 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2191759 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2191761 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2191763 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2191767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191768 */     // GIR_Coverage, 622,
     /* 2191768 */     GIR_EraseRootFromParent_Done,
     /* 2191769 */   // Label 28802: @2191769
     /* 2191769 */   GIM_Try, /*On fail goto*//*Label 28803*/ GIMT_Encode4(2191849), // Rule ID 625 //
     /* 2191774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2191777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i64),
     /* 2191782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2191785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2191788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2191791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191795 */     // MIs[0] addr
     /* 2191795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2191799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191811 */     // MIs[0] ordering
     /* 2191811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2191814 */     // (intrinsic_w_chain:{ *:[i64] } 10929:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2191814 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2191817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2191820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2191823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2191825 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2191830 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2191835 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2191837 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2191839 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2191841 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2191843 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2191847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191848 */     // GIR_Coverage, 625,
     /* 2191848 */     GIR_EraseRootFromParent_Done,
     /* 2191849 */   // Label 28803: @2191849
     /* 2191849 */   GIM_Try, /*On fail goto*//*Label 28804*/ GIMT_Encode4(2191929), // Rule ID 626 //
     /* 2191854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2191857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i64),
     /* 2191862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2191865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2191868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2191871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191875 */     // MIs[0] addr
     /* 2191875 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2191879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191891 */     // MIs[0] ordering
     /* 2191891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2191894 */     // (intrinsic_w_chain:{ *:[i64] } 10931:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2191894 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2191897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2191900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2191903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2191905 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2191910 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2191915 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2191917 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2191919 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2191921 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2191923 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2191927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191928 */     // GIR_Coverage, 626,
     /* 2191928 */     GIR_EraseRootFromParent_Done,
     /* 2191929 */   // Label 28804: @2191929
     /* 2191929 */   GIM_Reject,
     /* 2191930 */ // Label 28792: @2191930
     /* 2191930 */ GIM_Try, /*On fail goto*//*Label 28805*/ GIMT_Encode4(2192457),
     /* 2191935 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /* 2191938 */   GIM_Try, /*On fail goto*//*Label 28806*/ GIMT_Encode4(2192027), // Rule ID 610 //
     /* 2191943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2191946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i32),
     /* 2191951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2191954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2191960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2191963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191967 */     // MIs[0] addr
     /* 2191967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2191971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191987 */     // MIs[0] ordering
     /* 2191987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191990 */     // (intrinsic_w_chain:{ *:[i32] } 10920:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2191990 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2191993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2191996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2191999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192001 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192006 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192011 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192013 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192015 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192017 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2192019 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2192021 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192026 */     // GIR_Coverage, 610,
     /* 2192026 */     GIR_EraseRootFromParent_Done,
     /* 2192027 */   // Label 28806: @2192027
     /* 2192027 */   GIM_Try, /*On fail goto*//*Label 28807*/ GIMT_Encode4(2192116), // Rule ID 611 //
     /* 2192032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i32),
     /* 2192040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2192052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192056 */     // MIs[0] addr
     /* 2192056 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192076 */     // MIs[0] ordering
     /* 2192076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192079 */     // (intrinsic_w_chain:{ *:[i32] } 10922:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2192079 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2192082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2192088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192090 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192095 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192100 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192102 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192104 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192106 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2192108 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2192110 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192115 */     // GIR_Coverage, 611,
     /* 2192115 */     GIR_EraseRootFromParent_Done,
     /* 2192116 */   // Label 28807: @2192116
     /* 2192116 */   GIM_Try, /*On fail goto*//*Label 28808*/ GIMT_Encode4(2192205), // Rule ID 623 //
     /* 2192121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2192124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i64),
     /* 2192129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2192132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2192135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2192138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2192141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192145 */     // MIs[0] addr
     /* 2192145 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192165 */     // MIs[0] ordering
     /* 2192165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192168 */     // (intrinsic_w_chain:{ *:[i64] } 10921:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2192168 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2192171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2192177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192179 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192184 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192189 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192191 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192193 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192195 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2192197 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2192199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192204 */     // GIR_Coverage, 623,
     /* 2192204 */     GIR_EraseRootFromParent_Done,
     /* 2192205 */   // Label 28808: @2192205
     /* 2192205 */   GIM_Try, /*On fail goto*//*Label 28809*/ GIMT_Encode4(2192294), // Rule ID 624 //
     /* 2192210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2192213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i64),
     /* 2192218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2192221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2192224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2192227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2192230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192234 */     // MIs[0] addr
     /* 2192234 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192254 */     // MIs[0] ordering
     /* 2192254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192257 */     // (intrinsic_w_chain:{ *:[i64] } 10923:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2192257 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2192260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2192266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192268 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192273 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192278 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192280 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2192282 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2192284 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2192286 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2192288 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192293 */     // GIR_Coverage, 624,
     /* 2192293 */     GIR_EraseRootFromParent_Done,
     /* 2192294 */   // Label 28809: @2192294
     /* 2192294 */   GIM_Try, /*On fail goto*//*Label 28810*/ GIMT_Encode4(2192375), // Rule ID 642 //
     /* 2192299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2192302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i32),
     /* 2192307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2192310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2192316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2192319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192323 */     // MIs[0] addr
     /* 2192323 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192343 */     // MIs[0] ordering
     /* 2192343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192346 */     // (intrinsic_w_chain:{ *:[i32] } 10934:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2192346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2192352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192354 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192359 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192361 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2192363 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2192365 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2192367 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2192369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192374 */     // GIR_Coverage, 642,
     /* 2192374 */     GIR_EraseRootFromParent_Done,
     /* 2192375 */   // Label 28810: @2192375
     /* 2192375 */   GIM_Try, /*On fail goto*//*Label 28811*/ GIMT_Encode4(2192456), // Rule ID 643 //
     /* 2192380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2192383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i64),
     /* 2192388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2192391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2192394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2192397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2192400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192404 */     // MIs[0] addr
     /* 2192404 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2192408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2192424 */     // MIs[0] ordering
     /* 2192424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192427 */     // (intrinsic_w_chain:{ *:[i64] } 10935:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2192427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2192430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2192433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2192435 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2192440 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2192442 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2192444 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2192446 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2192448 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2192450 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2192454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192455 */     // GIR_Coverage, 643,
     /* 2192455 */     GIR_EraseRootFromParent_Done,
     /* 2192456 */   // Label 28811: @2192456
     /* 2192456 */   GIM_Reject,
     /* 2192457 */ // Label 28805: @2192457
     /* 2192457 */ GIM_Reject,
     /* 2192458 */ // Label 39: @2192458
     /* 2192458 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(32), /*)*//*default:*//*Label 28827*/ GIMT_Encode4(2195578),
     /* 2192469 */ /*GILLT_nxv1s16*//*Label 28812*/ GIMT_Encode4(2192569),
     /* 2192473 */ /*GILLT_nxv1s32*//*Label 28813*/ GIMT_Encode4(2192673),
     /* 2192477 */ /*GILLT_nxv1s64*//*Label 28814*/ GIMT_Encode4(2192890), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2192489 */ /*GILLT_nxv2s16*//*Label 28815*/ GIMT_Encode4(2193215),
     /* 2192493 */ /*GILLT_nxv2s32*//*Label 28816*/ GIMT_Encode4(2193319),
     /* 2192497 */ /*GILLT_nxv2s64*//*Label 28817*/ GIMT_Encode4(2193536), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2192509 */ /*GILLT_nxv4s16*//*Label 28818*/ GIMT_Encode4(2193861),
     /* 2192513 */ /*GILLT_nxv4s32*//*Label 28819*/ GIMT_Encode4(2193965),
     /* 2192517 */ /*GILLT_nxv4s64*//*Label 28820*/ GIMT_Encode4(2194182), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2192529 */ /*GILLT_nxv8s16*//*Label 28821*/ GIMT_Encode4(2194507),
     /* 2192533 */ /*GILLT_nxv8s32*//*Label 28822*/ GIMT_Encode4(2194611),
     /* 2192537 */ /*GILLT_nxv8s64*//*Label 28823*/ GIMT_Encode4(2194828), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2192549 */ /*GILLT_nxv16s16*//*Label 28824*/ GIMT_Encode4(2195153),
     /* 2192553 */ /*GILLT_nxv16s32*//*Label 28825*/ GIMT_Encode4(2195257), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2192565 */ /*GILLT_nxv32s16*//*Label 28826*/ GIMT_Encode4(2195474),
     /* 2192569 */ // Label 28812: @2192569
     /* 2192569 */ GIM_Try, /*On fail goto*//*Label 28828*/ GIMT_Encode4(2192672),
     /* 2192574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2192577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192585 */   GIM_Try, /*On fail goto*//*Label 28829*/ GIMT_Encode4(2192628), // Rule ID 47029 //
     /* 2192590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2192593 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2192593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2192596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2192610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192627 */     // GIR_Coverage, 47029,
     /* 2192627 */     GIR_EraseRootFromParent_Done,
     /* 2192628 */   // Label 28829: @2192628
     /* 2192628 */   GIM_Try, /*On fail goto*//*Label 28830*/ GIMT_Encode4(2192671), // Rule ID 47030 //
     /* 2192633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2192636 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2192636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2192639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2192653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192670 */     // GIR_Coverage, 47030,
     /* 2192670 */     GIR_EraseRootFromParent_Done,
     /* 2192671 */   // Label 28830: @2192671
     /* 2192671 */   GIM_Reject,
     /* 2192672 */ // Label 28828: @2192672
     /* 2192672 */ GIM_Reject,
     /* 2192673 */ // Label 28813: @2192673
     /* 2192673 */ GIM_Try, /*On fail goto*//*Label 28831*/ GIMT_Encode4(2192727), // Rule ID 47053 //
     /* 2192678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2192681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2192684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192692 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2192692 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2192695 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192699 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192704 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2192709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192711 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192714 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192725 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192726 */   // GIR_Coverage, 47053,
     /* 2192726 */   GIR_EraseRootFromParent_Done,
     /* 2192727 */ // Label 28831: @2192727
     /* 2192727 */ GIM_Try, /*On fail goto*//*Label 28832*/ GIMT_Encode4(2192781), // Rule ID 47054 //
     /* 2192732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2192735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2192738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192746 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2192746 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2192749 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192753 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192758 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2192763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192765 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192768 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192779 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192780 */   // GIR_Coverage, 47054,
     /* 2192780 */   GIR_EraseRootFromParent_Done,
     /* 2192781 */ // Label 28832: @2192781
     /* 2192781 */ GIM_Try, /*On fail goto*//*Label 28833*/ GIMT_Encode4(2192835), // Rule ID 47119 //
     /* 2192786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2192789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2192792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192800 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2192800 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2192803 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192807 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192812 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2192817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192819 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192822 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192833 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192834 */   // GIR_Coverage, 47119,
     /* 2192834 */   GIR_EraseRootFromParent_Done,
     /* 2192835 */ // Label 28833: @2192835
     /* 2192835 */ GIM_Try, /*On fail goto*//*Label 28834*/ GIMT_Encode4(2192889), // Rule ID 47120 //
     /* 2192840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2192843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2192846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192854 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2192854 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2192857 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192861 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192866 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2192871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192873 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192876 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192887 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192888 */   // GIR_Coverage, 47120,
     /* 2192888 */   GIR_EraseRootFromParent_Done,
     /* 2192889 */ // Label 28834: @2192889
     /* 2192889 */ GIM_Reject,
     /* 2192890 */ // Label 28814: @2192890
     /* 2192890 */ GIM_Try, /*On fail goto*//*Label 28835*/ GIMT_Encode4(2192944), // Rule ID 47073 //
     /* 2192895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2192898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2192901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192909 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2192909 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2192912 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192916 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192921 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2192926 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192928 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192931 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2192939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192942 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192943 */   // GIR_Coverage, 47073,
     /* 2192943 */   GIR_EraseRootFromParent_Done,
     /* 2192944 */ // Label 28835: @2192944
     /* 2192944 */ GIM_Try, /*On fail goto*//*Label 28836*/ GIMT_Encode4(2192998), // Rule ID 47074 //
     /* 2192949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2192952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2192955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192963 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2192963 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2192966 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192970 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192975 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2192980 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192982 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192985 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2192993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192996 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192997 */   // GIR_Coverage, 47074,
     /* 2192997 */   GIR_EraseRootFromParent_Done,
     /* 2192998 */ // Label 28836: @2192998
     /* 2192998 */ GIM_Try, /*On fail goto*//*Label 28837*/ GIMT_Encode4(2193052), // Rule ID 47139 //
     /* 2193003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2193006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2193009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193017 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193017 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2193020 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193024 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193029 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2193034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193036 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193039 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193050 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193051 */   // GIR_Coverage, 47139,
     /* 2193051 */   GIR_EraseRootFromParent_Done,
     /* 2193052 */ // Label 28837: @2193052
     /* 2193052 */ GIM_Try, /*On fail goto*//*Label 28838*/ GIMT_Encode4(2193106), // Rule ID 47140 //
     /* 2193057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2193060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2193063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193071 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193071 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2193074 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193078 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193083 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2193088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193090 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193093 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193104 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193105 */   // GIR_Coverage, 47140,
     /* 2193105 */   GIR_EraseRootFromParent_Done,
     /* 2193106 */ // Label 28838: @2193106
     /* 2193106 */ GIM_Try, /*On fail goto*//*Label 28839*/ GIMT_Encode4(2193160), // Rule ID 47173 //
     /* 2193111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2193114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2193117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193125 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193125 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2193128 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193132 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193137 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2193142 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193144 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193147 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193159 */   // GIR_Coverage, 47173,
     /* 2193159 */   GIR_EraseRootFromParent_Done,
     /* 2193160 */ // Label 28839: @2193160
     /* 2193160 */ GIM_Try, /*On fail goto*//*Label 28840*/ GIMT_Encode4(2193214), // Rule ID 47174 //
     /* 2193165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2193168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2193171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193179 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193179 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2193182 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193186 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193191 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2193196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193198 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193201 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193212 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193213 */   // GIR_Coverage, 47174,
     /* 2193213 */   GIR_EraseRootFromParent_Done,
     /* 2193214 */ // Label 28840: @2193214
     /* 2193214 */ GIM_Reject,
     /* 2193215 */ // Label 28815: @2193215
     /* 2193215 */ GIM_Try, /*On fail goto*//*Label 28841*/ GIMT_Encode4(2193318),
     /* 2193220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2193223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193227 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193231 */   GIM_Try, /*On fail goto*//*Label 28842*/ GIMT_Encode4(2193274), // Rule ID 47033 //
     /* 2193236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2193239 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2193242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2193256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193273 */     // GIR_Coverage, 47033,
     /* 2193273 */     GIR_EraseRootFromParent_Done,
     /* 2193274 */   // Label 28842: @2193274
     /* 2193274 */   GIM_Try, /*On fail goto*//*Label 28843*/ GIMT_Encode4(2193317), // Rule ID 47034 //
     /* 2193279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2193282 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2193285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2193299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193316 */     // GIR_Coverage, 47034,
     /* 2193316 */     GIR_EraseRootFromParent_Done,
     /* 2193317 */   // Label 28843: @2193317
     /* 2193317 */   GIM_Reject,
     /* 2193318 */ // Label 28841: @2193318
     /* 2193318 */ GIM_Reject,
     /* 2193319 */ // Label 28816: @2193319
     /* 2193319 */ GIM_Try, /*On fail goto*//*Label 28844*/ GIMT_Encode4(2193373), // Rule ID 47057 //
     /* 2193324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2193327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2193330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193338 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193338 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2193341 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193345 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193350 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2193355 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193357 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193360 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193372 */   // GIR_Coverage, 47057,
     /* 2193372 */   GIR_EraseRootFromParent_Done,
     /* 2193373 */ // Label 28844: @2193373
     /* 2193373 */ GIM_Try, /*On fail goto*//*Label 28845*/ GIMT_Encode4(2193427), // Rule ID 47058 //
     /* 2193378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2193381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2193384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193392 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193392 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2193395 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193399 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193404 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2193409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193411 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193414 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193425 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193426 */   // GIR_Coverage, 47058,
     /* 2193426 */   GIR_EraseRootFromParent_Done,
     /* 2193427 */ // Label 28845: @2193427
     /* 2193427 */ GIM_Try, /*On fail goto*//*Label 28846*/ GIMT_Encode4(2193481), // Rule ID 47123 //
     /* 2193432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2193435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2193438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193446 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193446 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2193449 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193453 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193458 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2193463 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193465 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193468 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193480 */   // GIR_Coverage, 47123,
     /* 2193480 */   GIR_EraseRootFromParent_Done,
     /* 2193481 */ // Label 28846: @2193481
     /* 2193481 */ GIM_Try, /*On fail goto*//*Label 28847*/ GIMT_Encode4(2193535), // Rule ID 47124 //
     /* 2193486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2193489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2193492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193500 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193500 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2193503 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193507 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193512 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2193517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193519 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193522 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193533 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193534 */   // GIR_Coverage, 47124,
     /* 2193534 */   GIR_EraseRootFromParent_Done,
     /* 2193535 */ // Label 28847: @2193535
     /* 2193535 */ GIM_Reject,
     /* 2193536 */ // Label 28817: @2193536
     /* 2193536 */ GIM_Try, /*On fail goto*//*Label 28848*/ GIMT_Encode4(2193590), // Rule ID 47077 //
     /* 2193541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2193544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2193547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193555 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193555 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2193558 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193562 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193567 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2193572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193574 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193577 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193589 */   // GIR_Coverage, 47077,
     /* 2193589 */   GIR_EraseRootFromParent_Done,
     /* 2193590 */ // Label 28848: @2193590
     /* 2193590 */ GIM_Try, /*On fail goto*//*Label 28849*/ GIMT_Encode4(2193644), // Rule ID 47078 //
     /* 2193595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2193598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2193601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193609 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193609 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2193612 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193616 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193621 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2193626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193628 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193631 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193642 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193643 */   // GIR_Coverage, 47078,
     /* 2193643 */   GIR_EraseRootFromParent_Done,
     /* 2193644 */ // Label 28849: @2193644
     /* 2193644 */ GIM_Try, /*On fail goto*//*Label 28850*/ GIMT_Encode4(2193698), // Rule ID 47143 //
     /* 2193649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2193652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2193655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193663 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193663 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2193666 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193670 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193675 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2193680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193682 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193685 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193696 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193697 */   // GIR_Coverage, 47143,
     /* 2193697 */   GIR_EraseRootFromParent_Done,
     /* 2193698 */ // Label 28850: @2193698
     /* 2193698 */ GIM_Try, /*On fail goto*//*Label 28851*/ GIMT_Encode4(2193752), // Rule ID 47144 //
     /* 2193703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2193706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2193709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193717 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193717 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2193720 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193724 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193729 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2193734 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193736 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193739 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193750 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193751 */   // GIR_Coverage, 47144,
     /* 2193751 */   GIR_EraseRootFromParent_Done,
     /* 2193752 */ // Label 28851: @2193752
     /* 2193752 */ GIM_Try, /*On fail goto*//*Label 28852*/ GIMT_Encode4(2193806), // Rule ID 47177 //
     /* 2193757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2193760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2193763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193771 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193771 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2193774 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193778 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193783 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193785 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2193788 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193790 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193793 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193804 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193805 */   // GIR_Coverage, 47177,
     /* 2193805 */   GIR_EraseRootFromParent_Done,
     /* 2193806 */ // Label 28852: @2193806
     /* 2193806 */ GIM_Try, /*On fail goto*//*Label 28853*/ GIMT_Encode4(2193860), // Rule ID 47178 //
     /* 2193811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2193814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2193817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193825 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193825 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2193828 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193832 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193837 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2193842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193844 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193847 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193858 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193859 */   // GIR_Coverage, 47178,
     /* 2193859 */   GIR_EraseRootFromParent_Done,
     /* 2193860 */ // Label 28853: @2193860
     /* 2193860 */ GIM_Reject,
     /* 2193861 */ // Label 28818: @2193861
     /* 2193861 */ GIM_Try, /*On fail goto*//*Label 28854*/ GIMT_Encode4(2193964),
     /* 2193866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2193869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193877 */   GIM_Try, /*On fail goto*//*Label 28855*/ GIMT_Encode4(2193920), // Rule ID 47037 //
     /* 2193882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2193885 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2193888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2193902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193919 */     // GIR_Coverage, 47037,
     /* 2193919 */     GIR_EraseRootFromParent_Done,
     /* 2193920 */   // Label 28855: @2193920
     /* 2193920 */   GIM_Try, /*On fail goto*//*Label 28856*/ GIMT_Encode4(2193963), // Rule ID 47038 //
     /* 2193925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2193928 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2193931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2193945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193962 */     // GIR_Coverage, 47038,
     /* 2193962 */     GIR_EraseRootFromParent_Done,
     /* 2193963 */   // Label 28856: @2193963
     /* 2193963 */   GIM_Reject,
     /* 2193964 */ // Label 28854: @2193964
     /* 2193964 */ GIM_Reject,
     /* 2193965 */ // Label 28819: @2193965
     /* 2193965 */ GIM_Try, /*On fail goto*//*Label 28857*/ GIMT_Encode4(2194019), // Rule ID 47061 //
     /* 2193970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2193973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2193976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193984 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193984 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2193987 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193991 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193996 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193998 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2194001 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194003 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194006 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194017 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194018 */   // GIR_Coverage, 47061,
     /* 2194018 */   GIR_EraseRootFromParent_Done,
     /* 2194019 */ // Label 28857: @2194019
     /* 2194019 */ GIM_Try, /*On fail goto*//*Label 28858*/ GIMT_Encode4(2194073), // Rule ID 47062 //
     /* 2194024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2194030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194038 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194038 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2194041 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194045 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194050 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2194055 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194057 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194060 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194071 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194072 */   // GIR_Coverage, 47062,
     /* 2194072 */   GIR_EraseRootFromParent_Done,
     /* 2194073 */ // Label 28858: @2194073
     /* 2194073 */ GIM_Try, /*On fail goto*//*Label 28859*/ GIMT_Encode4(2194127), // Rule ID 47127 //
     /* 2194078 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2194084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194092 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194092 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2194095 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194099 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194104 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2194109 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194111 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194114 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194125 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194126 */   // GIR_Coverage, 47127,
     /* 2194126 */   GIR_EraseRootFromParent_Done,
     /* 2194127 */ // Label 28859: @2194127
     /* 2194127 */ GIM_Try, /*On fail goto*//*Label 28860*/ GIMT_Encode4(2194181), // Rule ID 47128 //
     /* 2194132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2194138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194146 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194146 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2194149 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194153 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194158 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194160 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2194163 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194165 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194168 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194179 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194180 */   // GIR_Coverage, 47128,
     /* 2194180 */   GIR_EraseRootFromParent_Done,
     /* 2194181 */ // Label 28860: @2194181
     /* 2194181 */ GIM_Reject,
     /* 2194182 */ // Label 28820: @2194182
     /* 2194182 */ GIM_Try, /*On fail goto*//*Label 28861*/ GIMT_Encode4(2194236), // Rule ID 47081 //
     /* 2194187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2194193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194201 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194201 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2194204 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194208 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194213 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2194218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194220 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194223 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194235 */   // GIR_Coverage, 47081,
     /* 2194235 */   GIR_EraseRootFromParent_Done,
     /* 2194236 */ // Label 28861: @2194236
     /* 2194236 */ GIM_Try, /*On fail goto*//*Label 28862*/ GIMT_Encode4(2194290), // Rule ID 47082 //
     /* 2194241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2194247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194255 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194255 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2194258 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194262 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194267 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2194272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194274 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194277 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194288 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194289 */   // GIR_Coverage, 47082,
     /* 2194289 */   GIR_EraseRootFromParent_Done,
     /* 2194290 */ // Label 28862: @2194290
     /* 2194290 */ GIM_Try, /*On fail goto*//*Label 28863*/ GIMT_Encode4(2194344), // Rule ID 47147 //
     /* 2194295 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2194301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194309 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194309 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2194312 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194316 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194321 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2194326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194328 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194331 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194342 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194343 */   // GIR_Coverage, 47147,
     /* 2194343 */   GIR_EraseRootFromParent_Done,
     /* 2194344 */ // Label 28863: @2194344
     /* 2194344 */ GIM_Try, /*On fail goto*//*Label 28864*/ GIMT_Encode4(2194398), // Rule ID 47148 //
     /* 2194349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2194355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194359 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194363 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194363 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2194366 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194370 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194375 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2194380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194382 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194385 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194396 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194397 */   // GIR_Coverage, 47148,
     /* 2194397 */   GIR_EraseRootFromParent_Done,
     /* 2194398 */ // Label 28864: @2194398
     /* 2194398 */ GIM_Try, /*On fail goto*//*Label 28865*/ GIMT_Encode4(2194452), // Rule ID 47181 //
     /* 2194403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2194409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194417 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194417 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2194420 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194424 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194429 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194431 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2194434 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194436 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194439 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194450 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194451 */   // GIR_Coverage, 47181,
     /* 2194451 */   GIR_EraseRootFromParent_Done,
     /* 2194452 */ // Label 28865: @2194452
     /* 2194452 */ GIM_Try, /*On fail goto*//*Label 28866*/ GIMT_Encode4(2194506), // Rule ID 47182 //
     /* 2194457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2194463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194467 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194471 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194471 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2194474 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194478 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194483 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194485 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2194488 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194490 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194493 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194504 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194505 */   // GIR_Coverage, 47182,
     /* 2194505 */   GIR_EraseRootFromParent_Done,
     /* 2194506 */ // Label 28866: @2194506
     /* 2194506 */ GIM_Reject,
     /* 2194507 */ // Label 28821: @2194507
     /* 2194507 */ GIM_Try, /*On fail goto*//*Label 28867*/ GIMT_Encode4(2194610),
     /* 2194512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2194515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194519 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194523 */   GIM_Try, /*On fail goto*//*Label 28868*/ GIMT_Encode4(2194566), // Rule ID 47041 //
     /* 2194528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194531 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2194534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2194548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194565 */     // GIR_Coverage, 47041,
     /* 2194565 */     GIR_EraseRootFromParent_Done,
     /* 2194566 */   // Label 28868: @2194566
     /* 2194566 */   GIM_Try, /*On fail goto*//*Label 28869*/ GIMT_Encode4(2194609), // Rule ID 47042 //
     /* 2194571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194574 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2194577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2194591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194608 */     // GIR_Coverage, 47042,
     /* 2194608 */     GIR_EraseRootFromParent_Done,
     /* 2194609 */   // Label 28869: @2194609
     /* 2194609 */   GIM_Reject,
     /* 2194610 */ // Label 28867: @2194610
     /* 2194610 */ GIM_Reject,
     /* 2194611 */ // Label 28822: @2194611
     /* 2194611 */ GIM_Try, /*On fail goto*//*Label 28870*/ GIMT_Encode4(2194665), // Rule ID 47065 //
     /* 2194616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2194622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194630 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194630 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2194633 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194637 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194642 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194644 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2194647 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194649 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194652 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194663 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194664 */   // GIR_Coverage, 47065,
     /* 2194664 */   GIR_EraseRootFromParent_Done,
     /* 2194665 */ // Label 28870: @2194665
     /* 2194665 */ GIM_Try, /*On fail goto*//*Label 28871*/ GIMT_Encode4(2194719), // Rule ID 47066 //
     /* 2194670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2194676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194684 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194684 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2194687 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194691 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194696 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194698 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2194701 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194703 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194706 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194717 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194718 */   // GIR_Coverage, 47066,
     /* 2194718 */   GIR_EraseRootFromParent_Done,
     /* 2194719 */ // Label 28871: @2194719
     /* 2194719 */ GIM_Try, /*On fail goto*//*Label 28872*/ GIMT_Encode4(2194773), // Rule ID 47131 //
     /* 2194724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2194730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194738 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194738 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2194741 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194745 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194750 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2194755 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194757 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194760 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194771 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194772 */   // GIR_Coverage, 47131,
     /* 2194772 */   GIR_EraseRootFromParent_Done,
     /* 2194773 */ // Label 28872: @2194773
     /* 2194773 */ GIM_Try, /*On fail goto*//*Label 28873*/ GIMT_Encode4(2194827), // Rule ID 47132 //
     /* 2194778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2194784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194792 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194792 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2194795 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194799 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194804 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2194809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194811 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194814 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194825 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194826 */   // GIR_Coverage, 47132,
     /* 2194826 */   GIR_EraseRootFromParent_Done,
     /* 2194827 */ // Label 28873: @2194827
     /* 2194827 */ GIM_Reject,
     /* 2194828 */ // Label 28823: @2194828
     /* 2194828 */ GIM_Try, /*On fail goto*//*Label 28874*/ GIMT_Encode4(2194882), // Rule ID 47085 //
     /* 2194833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2194839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194847 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194847 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2194850 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194854 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194859 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2194864 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194866 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194869 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194880 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194881 */   // GIR_Coverage, 47085,
     /* 2194881 */   GIR_EraseRootFromParent_Done,
     /* 2194882 */ // Label 28874: @2194882
     /* 2194882 */ GIM_Try, /*On fail goto*//*Label 28875*/ GIMT_Encode4(2194936), // Rule ID 47086 //
     /* 2194887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2194893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194897 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194901 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194901 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2194904 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194908 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194913 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2194918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194920 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194923 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194934 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194935 */   // GIR_Coverage, 47086,
     /* 2194935 */   GIR_EraseRootFromParent_Done,
     /* 2194936 */ // Label 28875: @2194936
     /* 2194936 */ GIM_Try, /*On fail goto*//*Label 28876*/ GIMT_Encode4(2194990), // Rule ID 47151 //
     /* 2194941 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2194944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2194947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194951 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194955 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194955 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2194958 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194962 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194967 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2194972 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194974 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194977 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194988 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194989 */   // GIR_Coverage, 47151,
     /* 2194989 */   GIR_EraseRootFromParent_Done,
     /* 2194990 */ // Label 28876: @2194990
     /* 2194990 */ GIM_Try, /*On fail goto*//*Label 28877*/ GIMT_Encode4(2195044), // Rule ID 47152 //
     /* 2194995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2194998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2195001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2195005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195009 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195009 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2195012 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195016 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195021 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2195026 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195028 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195031 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195042 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195043 */   // GIR_Coverage, 47152,
     /* 2195043 */   GIR_EraseRootFromParent_Done,
     /* 2195044 */ // Label 28877: @2195044
     /* 2195044 */ GIM_Try, /*On fail goto*//*Label 28878*/ GIMT_Encode4(2195098), // Rule ID 47185 //
     /* 2195049 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2195052 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2195055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2195059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195063 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195063 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2195066 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195070 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195075 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195077 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2195080 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195082 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195085 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195096 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195097 */   // GIR_Coverage, 47185,
     /* 2195097 */   GIR_EraseRootFromParent_Done,
     /* 2195098 */ // Label 28878: @2195098
     /* 2195098 */ GIM_Try, /*On fail goto*//*Label 28879*/ GIMT_Encode4(2195152), // Rule ID 47186 //
     /* 2195103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2195109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2195113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195117 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195117 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2195120 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195124 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195129 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195131 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2195134 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195136 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195139 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195150 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195151 */   // GIR_Coverage, 47186,
     /* 2195151 */   GIR_EraseRootFromParent_Done,
     /* 2195152 */ // Label 28879: @2195152
     /* 2195152 */ GIM_Reject,
     /* 2195153 */ // Label 28824: @2195153
     /* 2195153 */ GIM_Try, /*On fail goto*//*Label 28880*/ GIMT_Encode4(2195256),
     /* 2195158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2195161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195169 */   GIM_Try, /*On fail goto*//*Label 28881*/ GIMT_Encode4(2195212), // Rule ID 47045 //
     /* 2195174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195177 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2195180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2195194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195211 */     // GIR_Coverage, 47045,
     /* 2195211 */     GIR_EraseRootFromParent_Done,
     /* 2195212 */   // Label 28881: @2195212
     /* 2195212 */   GIM_Try, /*On fail goto*//*Label 28882*/ GIMT_Encode4(2195255), // Rule ID 47046 //
     /* 2195217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195220 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2195223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2195237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195254 */     // GIR_Coverage, 47046,
     /* 2195254 */     GIR_EraseRootFromParent_Done,
     /* 2195255 */   // Label 28882: @2195255
     /* 2195255 */   GIM_Reject,
     /* 2195256 */ // Label 28880: @2195256
     /* 2195256 */ GIM_Reject,
     /* 2195257 */ // Label 28825: @2195257
     /* 2195257 */ GIM_Try, /*On fail goto*//*Label 28883*/ GIMT_Encode4(2195311), // Rule ID 47069 //
     /* 2195262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2195268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2195272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195276 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195276 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2195279 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195283 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195288 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2195293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195295 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195298 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195309 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195310 */   // GIR_Coverage, 47069,
     /* 2195310 */   GIR_EraseRootFromParent_Done,
     /* 2195311 */ // Label 28883: @2195311
     /* 2195311 */ GIM_Try, /*On fail goto*//*Label 28884*/ GIMT_Encode4(2195365), // Rule ID 47070 //
     /* 2195316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2195322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2195326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195330 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195330 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2195333 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195337 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195342 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2195347 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195349 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195352 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195363 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195364 */   // GIR_Coverage, 47070,
     /* 2195364 */   GIR_EraseRootFromParent_Done,
     /* 2195365 */ // Label 28884: @2195365
     /* 2195365 */ GIM_Try, /*On fail goto*//*Label 28885*/ GIMT_Encode4(2195419), // Rule ID 47135 //
     /* 2195370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2195376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2195380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195384 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195384 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2195387 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195391 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195396 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2195401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195403 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195406 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195417 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195418 */   // GIR_Coverage, 47135,
     /* 2195418 */   GIR_EraseRootFromParent_Done,
     /* 2195419 */ // Label 28885: @2195419
     /* 2195419 */ GIM_Try, /*On fail goto*//*Label 28886*/ GIMT_Encode4(2195473), // Rule ID 47136 //
     /* 2195424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2195430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2195434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195438 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195438 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2195441 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195445 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195450 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195452 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2195455 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195457 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195460 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195471 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195472 */   // GIR_Coverage, 47136,
     /* 2195472 */   GIR_EraseRootFromParent_Done,
     /* 2195473 */ // Label 28886: @2195473
     /* 2195473 */ GIM_Reject,
     /* 2195474 */ // Label 28826: @2195474
     /* 2195474 */ GIM_Try, /*On fail goto*//*Label 28887*/ GIMT_Encode4(2195577),
     /* 2195479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2195482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2195486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195490 */   GIM_Try, /*On fail goto*//*Label 28888*/ GIMT_Encode4(2195533), // Rule ID 47049 //
     /* 2195495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195498 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2195501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2195515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195532 */     // GIR_Coverage, 47049,
     /* 2195532 */     GIR_EraseRootFromParent_Done,
     /* 2195533 */   // Label 28888: @2195533
     /* 2195533 */   GIM_Try, /*On fail goto*//*Label 28889*/ GIMT_Encode4(2195576), // Rule ID 47050 //
     /* 2195538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195541 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2195544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2195558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195575 */     // GIR_Coverage, 47050,
     /* 2195575 */     GIR_EraseRootFromParent_Done,
     /* 2195576 */   // Label 28889: @2195576
     /* 2195576 */   GIM_Reject,
     /* 2195577 */ // Label 28887: @2195577
     /* 2195577 */ GIM_Reject,
     /* 2195578 */ // Label 28827: @2195578
     /* 2195578 */ GIM_Reject,
     /* 2195579 */ // Label 40: @2195579
     /* 2195579 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 28907*/ GIMT_Encode4(2199053),
     /* 2195590 */ /*GILLT_s32*//*Label 28890*/ GIMT_Encode4(2195706),
     /* 2195594 */ /*GILLT_s64*//*Label 28891*/ GIMT_Encode4(2195880), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2195606 */ /*GILLT_nxv1s16*//*Label 28892*/ GIMT_Encode4(2196044),
     /* 2195610 */ /*GILLT_nxv1s32*//*Label 28893*/ GIMT_Encode4(2196148),
     /* 2195614 */ /*GILLT_nxv1s64*//*Label 28894*/ GIMT_Encode4(2196365), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2195626 */ /*GILLT_nxv2s16*//*Label 28895*/ GIMT_Encode4(2196690),
     /* 2195630 */ /*GILLT_nxv2s32*//*Label 28896*/ GIMT_Encode4(2196794),
     /* 2195634 */ /*GILLT_nxv2s64*//*Label 28897*/ GIMT_Encode4(2197011), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2195646 */ /*GILLT_nxv4s16*//*Label 28898*/ GIMT_Encode4(2197336),
     /* 2195650 */ /*GILLT_nxv4s32*//*Label 28899*/ GIMT_Encode4(2197440),
     /* 2195654 */ /*GILLT_nxv4s64*//*Label 28900*/ GIMT_Encode4(2197657), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2195666 */ /*GILLT_nxv8s16*//*Label 28901*/ GIMT_Encode4(2197982),
     /* 2195670 */ /*GILLT_nxv8s32*//*Label 28902*/ GIMT_Encode4(2198086),
     /* 2195674 */ /*GILLT_nxv8s64*//*Label 28903*/ GIMT_Encode4(2198303), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2195686 */ /*GILLT_nxv16s16*//*Label 28904*/ GIMT_Encode4(2198628),
     /* 2195690 */ /*GILLT_nxv16s32*//*Label 28905*/ GIMT_Encode4(2198732), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2195702 */ /*GILLT_nxv32s16*//*Label 28906*/ GIMT_Encode4(2198949),
     /* 2195706 */ // Label 28890: @2195706
     /* 2195706 */ GIM_Try, /*On fail goto*//*Label 28908*/ GIMT_Encode4(2195879),
     /* 2195711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2195714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195722 */   GIM_Try, /*On fail goto*//*Label 28909*/ GIMT_Encode4(2195764), // Rule ID 64243 //
     /* 2195727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode1),
     /* 2195730 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2195730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2195733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2195737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195742 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2195746 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2195749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2195754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2195762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195763 */     // GIR_Coverage, 64243,
     /* 2195763 */     GIR_EraseRootFromParent_Done,
     /* 2195764 */   // Label 28909: @2195764
     /* 2195764 */   GIM_Try, /*On fail goto*//*Label 28910*/ GIMT_Encode4(2195806), // Rule ID 64245 //
     /* 2195769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2195772 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2195772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2195775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2195779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195784 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2195788 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2195791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2195796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2195804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195805 */     // GIR_Coverage, 64245,
     /* 2195805 */     GIR_EraseRootFromParent_Done,
     /* 2195806 */   // Label 28910: @2195806
     /* 2195806 */   GIM_Try, /*On fail goto*//*Label 28911*/ GIMT_Encode4(2195848), // Rule ID 64246 //
     /* 2195811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode1),
     /* 2195814 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2195814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2195817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2195821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195826 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2195830 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2195833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2195838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2195846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195847 */     // GIR_Coverage, 64246,
     /* 2195847 */     GIR_EraseRootFromParent_Done,
     /* 2195848 */   // Label 28911: @2195848
     /* 2195848 */   GIM_Try, /*On fail goto*//*Label 28912*/ GIMT_Encode4(2195863), // Rule ID 64248 //
     /* 2195853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2195856 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2195856 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2195861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195862 */     // GIR_Coverage, 64248,
     /* 2195862 */     GIR_Done,
     /* 2195863 */   // Label 28912: @2195863
     /* 2195863 */   GIM_Try, /*On fail goto*//*Label 28913*/ GIMT_Encode4(2195878), // Rule ID 64249 //
     /* 2195868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2195871 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2195871 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2195876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195877 */     // GIR_Coverage, 64249,
     /* 2195877 */     GIR_Done,
     /* 2195878 */   // Label 28913: @2195878
     /* 2195878 */   GIM_Reject,
     /* 2195879 */ // Label 28908: @2195879
     /* 2195879 */ GIM_Reject,
     /* 2195880 */ // Label 28891: @2195880
     /* 2195880 */ GIM_Try, /*On fail goto*//*Label 28914*/ GIMT_Encode4(2195911), // Rule ID 64233 //
     /* 2195885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2195888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2195891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195899 */   // (sext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i32] }:$src, 0:{ *:[i64] })
     /* 2195899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2195902 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195904 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2195906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2195909 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195910 */   // GIR_Coverage, 64233,
     /* 2195910 */   GIR_EraseRootFromParent_Done,
     /* 2195911 */ // Label 28914: @2195911
     /* 2195911 */ GIM_Try, /*On fail goto*//*Label 28915*/ GIMT_Encode4(2195964), // Rule ID 64242 //
     /* 2195916 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode0),
     /* 2195919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2195922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195930 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2195930 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2195933 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2195937 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195942 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2195946 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2195949 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2195954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195956 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2195962 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195963 */   // GIR_Coverage, 64242,
     /* 2195963 */   GIR_EraseRootFromParent_Done,
     /* 2195964 */ // Label 28915: @2195964
     /* 2195964 */ GIM_Try, /*On fail goto*//*Label 28916*/ GIMT_Encode4(2196017), // Rule ID 64244 //
     /* 2195969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2195972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2195975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195983 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2195983 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2195986 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2195990 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195995 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2195999 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2196002 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2196007 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196009 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2196015 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196016 */   // GIR_Coverage, 64244,
     /* 2196016 */   GIR_EraseRootFromParent_Done,
     /* 2196017 */ // Label 28916: @2196017
     /* 2196017 */ GIM_Try, /*On fail goto*//*Label 28917*/ GIMT_Encode4(2196043), // Rule ID 64250 //
     /* 2196022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2196025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2196028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2196032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2196036 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2196036 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2196041 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196042 */   // GIR_Coverage, 64250,
     /* 2196042 */   GIR_Done,
     /* 2196043 */ // Label 28917: @2196043
     /* 2196043 */ GIM_Reject,
     /* 2196044 */ // Label 28892: @2196044
     /* 2196044 */ GIM_Try, /*On fail goto*//*Label 28918*/ GIMT_Encode4(2196147),
     /* 2196049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2196052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196060 */   GIM_Try, /*On fail goto*//*Label 28919*/ GIMT_Encode4(2196103), // Rule ID 47087 //
     /* 2196065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196068 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2196071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2196085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196102 */     // GIR_Coverage, 47087,
     /* 2196102 */     GIR_EraseRootFromParent_Done,
     /* 2196103 */   // Label 28919: @2196103
     /* 2196103 */   GIM_Try, /*On fail goto*//*Label 28920*/ GIMT_Encode4(2196146), // Rule ID 47088 //
     /* 2196108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196111 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2196114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2196128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196145 */     // GIR_Coverage, 47088,
     /* 2196145 */     GIR_EraseRootFromParent_Done,
     /* 2196146 */   // Label 28920: @2196146
     /* 2196146 */   GIM_Reject,
     /* 2196147 */ // Label 28918: @2196147
     /* 2196147 */ GIM_Reject,
     /* 2196148 */ // Label 28893: @2196148
     /* 2196148 */ GIM_Try, /*On fail goto*//*Label 28921*/ GIMT_Encode4(2196202), // Rule ID 47099 //
     /* 2196153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2196159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196167 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196167 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2196170 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196174 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196179 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2196184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196186 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196189 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196201 */   // GIR_Coverage, 47099,
     /* 2196201 */   GIR_EraseRootFromParent_Done,
     /* 2196202 */ // Label 28921: @2196202
     /* 2196202 */ GIM_Try, /*On fail goto*//*Label 28922*/ GIMT_Encode4(2196256), // Rule ID 47100 //
     /* 2196207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2196213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196221 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196221 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2196224 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196228 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196233 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2196238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196240 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196243 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196254 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196255 */   // GIR_Coverage, 47100,
     /* 2196255 */   GIR_EraseRootFromParent_Done,
     /* 2196256 */ // Label 28922: @2196256
     /* 2196256 */ GIM_Try, /*On fail goto*//*Label 28923*/ GIMT_Encode4(2196310), // Rule ID 47153 //
     /* 2196261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2196267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196275 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196275 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2196278 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196282 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196287 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2196292 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196294 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196297 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196308 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196309 */   // GIR_Coverage, 47153,
     /* 2196309 */   GIR_EraseRootFromParent_Done,
     /* 2196310 */ // Label 28923: @2196310
     /* 2196310 */ GIM_Try, /*On fail goto*//*Label 28924*/ GIMT_Encode4(2196364), // Rule ID 47154 //
     /* 2196315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2196321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196329 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196329 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2196332 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196336 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196341 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2196346 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196348 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196351 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196362 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196363 */   // GIR_Coverage, 47154,
     /* 2196363 */   GIR_EraseRootFromParent_Done,
     /* 2196364 */ // Label 28924: @2196364
     /* 2196364 */ GIM_Reject,
     /* 2196365 */ // Label 28894: @2196365
     /* 2196365 */ GIM_Try, /*On fail goto*//*Label 28925*/ GIMT_Encode4(2196419), // Rule ID 47109 //
     /* 2196370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2196376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196384 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196384 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2196387 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196391 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196396 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2196401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196403 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196406 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196417 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196418 */   // GIR_Coverage, 47109,
     /* 2196418 */   GIR_EraseRootFromParent_Done,
     /* 2196419 */ // Label 28925: @2196419
     /* 2196419 */ GIM_Try, /*On fail goto*//*Label 28926*/ GIMT_Encode4(2196473), // Rule ID 47110 //
     /* 2196424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2196430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196438 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196438 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2196441 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196445 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196450 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196452 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2196455 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196457 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196460 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196471 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196472 */   // GIR_Coverage, 47110,
     /* 2196472 */   GIR_EraseRootFromParent_Done,
     /* 2196473 */ // Label 28926: @2196473
     /* 2196473 */ GIM_Try, /*On fail goto*//*Label 28927*/ GIMT_Encode4(2196527), // Rule ID 47163 //
     /* 2196478 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2196484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196488 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196492 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196492 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2196495 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196499 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196504 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2196509 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196511 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196514 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196525 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196526 */   // GIR_Coverage, 47163,
     /* 2196526 */   GIR_EraseRootFromParent_Done,
     /* 2196527 */ // Label 28927: @2196527
     /* 2196527 */ GIM_Try, /*On fail goto*//*Label 28928*/ GIMT_Encode4(2196581), // Rule ID 47164 //
     /* 2196532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2196538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196546 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196546 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2196549 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196553 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196558 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2196563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196565 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196568 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196580 */   // GIR_Coverage, 47164,
     /* 2196580 */   GIR_EraseRootFromParent_Done,
     /* 2196581 */ // Label 28928: @2196581
     /* 2196581 */ GIM_Try, /*On fail goto*//*Label 28929*/ GIMT_Encode4(2196635), // Rule ID 47187 //
     /* 2196586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2196592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196600 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196600 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2196603 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196607 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196612 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2196617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196619 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196622 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196634 */   // GIR_Coverage, 47187,
     /* 2196634 */   GIR_EraseRootFromParent_Done,
     /* 2196635 */ // Label 28929: @2196635
     /* 2196635 */ GIM_Try, /*On fail goto*//*Label 28930*/ GIMT_Encode4(2196689), // Rule ID 47188 //
     /* 2196640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2196646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196654 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196654 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2196657 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196661 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196666 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2196671 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196673 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196676 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196687 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196688 */   // GIR_Coverage, 47188,
     /* 2196688 */   GIR_EraseRootFromParent_Done,
     /* 2196689 */ // Label 28930: @2196689
     /* 2196689 */ GIM_Reject,
     /* 2196690 */ // Label 28895: @2196690
     /* 2196690 */ GIM_Try, /*On fail goto*//*Label 28931*/ GIMT_Encode4(2196793),
     /* 2196695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2196698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196706 */   GIM_Try, /*On fail goto*//*Label 28932*/ GIMT_Encode4(2196749), // Rule ID 47089 //
     /* 2196711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196714 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2196717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2196731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196748 */     // GIR_Coverage, 47089,
     /* 2196748 */     GIR_EraseRootFromParent_Done,
     /* 2196749 */   // Label 28932: @2196749
     /* 2196749 */   GIM_Try, /*On fail goto*//*Label 28933*/ GIMT_Encode4(2196792), // Rule ID 47090 //
     /* 2196754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196757 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2196760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2196774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196791 */     // GIR_Coverage, 47090,
     /* 2196791 */     GIR_EraseRootFromParent_Done,
     /* 2196792 */   // Label 28933: @2196792
     /* 2196792 */   GIM_Reject,
     /* 2196793 */ // Label 28931: @2196793
     /* 2196793 */ GIM_Reject,
     /* 2196794 */ // Label 28896: @2196794
     /* 2196794 */ GIM_Try, /*On fail goto*//*Label 28934*/ GIMT_Encode4(2196848), // Rule ID 47101 //
     /* 2196799 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2196805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196813 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196813 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2196816 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196820 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196825 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2196830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196832 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196835 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196846 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196847 */   // GIR_Coverage, 47101,
     /* 2196847 */   GIR_EraseRootFromParent_Done,
     /* 2196848 */ // Label 28934: @2196848
     /* 2196848 */ GIM_Try, /*On fail goto*//*Label 28935*/ GIMT_Encode4(2196902), // Rule ID 47102 //
     /* 2196853 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2196859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196867 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196867 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2196870 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196874 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196879 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2196884 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196886 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196889 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196900 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196901 */   // GIR_Coverage, 47102,
     /* 2196901 */   GIR_EraseRootFromParent_Done,
     /* 2196902 */ // Label 28935: @2196902
     /* 2196902 */ GIM_Try, /*On fail goto*//*Label 28936*/ GIMT_Encode4(2196956), // Rule ID 47155 //
     /* 2196907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2196913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196917 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196921 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196921 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2196924 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196928 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196933 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196935 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2196938 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196940 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196943 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196954 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196955 */   // GIR_Coverage, 47155,
     /* 2196955 */   GIR_EraseRootFromParent_Done,
     /* 2196956 */ // Label 28936: @2196956
     /* 2196956 */ GIM_Try, /*On fail goto*//*Label 28937*/ GIMT_Encode4(2197010), // Rule ID 47156 //
     /* 2196961 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2196967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196975 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196975 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2196978 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196982 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196987 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2196992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196994 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196997 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197008 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197009 */   // GIR_Coverage, 47156,
     /* 2197009 */   GIR_EraseRootFromParent_Done,
     /* 2197010 */ // Label 28937: @2197010
     /* 2197010 */ GIM_Reject,
     /* 2197011 */ // Label 28897: @2197011
     /* 2197011 */ GIM_Try, /*On fail goto*//*Label 28938*/ GIMT_Encode4(2197065), // Rule ID 47111 //
     /* 2197016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2197019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2197022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197030 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197030 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2197033 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197037 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197042 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2197047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197049 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197052 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197064 */   // GIR_Coverage, 47111,
     /* 2197064 */   GIR_EraseRootFromParent_Done,
     /* 2197065 */ // Label 28938: @2197065
     /* 2197065 */ GIM_Try, /*On fail goto*//*Label 28939*/ GIMT_Encode4(2197119), // Rule ID 47112 //
     /* 2197070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2197073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2197076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197084 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197084 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2197087 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197091 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197096 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197098 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2197101 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197103 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197106 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197117 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197118 */   // GIR_Coverage, 47112,
     /* 2197118 */   GIR_EraseRootFromParent_Done,
     /* 2197119 */ // Label 28939: @2197119
     /* 2197119 */ GIM_Try, /*On fail goto*//*Label 28940*/ GIMT_Encode4(2197173), // Rule ID 47165 //
     /* 2197124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2197127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2197130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197134 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197138 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197138 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2197141 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197145 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197150 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2197155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197157 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197160 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197171 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197172 */   // GIR_Coverage, 47165,
     /* 2197172 */   GIR_EraseRootFromParent_Done,
     /* 2197173 */ // Label 28940: @2197173
     /* 2197173 */ GIM_Try, /*On fail goto*//*Label 28941*/ GIMT_Encode4(2197227), // Rule ID 47166 //
     /* 2197178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2197181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2197184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197192 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197192 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2197195 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197199 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197204 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2197209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197211 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197214 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197225 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197226 */   // GIR_Coverage, 47166,
     /* 2197226 */   GIR_EraseRootFromParent_Done,
     /* 2197227 */ // Label 28941: @2197227
     /* 2197227 */ GIM_Try, /*On fail goto*//*Label 28942*/ GIMT_Encode4(2197281), // Rule ID 47189 //
     /* 2197232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2197235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2197238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197242 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197246 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197246 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2197249 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197253 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197258 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197260 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2197263 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197265 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197268 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197279 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197280 */   // GIR_Coverage, 47189,
     /* 2197280 */   GIR_EraseRootFromParent_Done,
     /* 2197281 */ // Label 28942: @2197281
     /* 2197281 */ GIM_Try, /*On fail goto*//*Label 28943*/ GIMT_Encode4(2197335), // Rule ID 47190 //
     /* 2197286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2197289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2197292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197300 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197300 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2197303 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197307 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197312 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197314 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2197317 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197319 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197322 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197333 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197334 */   // GIR_Coverage, 47190,
     /* 2197334 */   GIR_EraseRootFromParent_Done,
     /* 2197335 */ // Label 28943: @2197335
     /* 2197335 */ GIM_Reject,
     /* 2197336 */ // Label 28898: @2197336
     /* 2197336 */ GIM_Try, /*On fail goto*//*Label 28944*/ GIMT_Encode4(2197439),
     /* 2197341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2197344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197352 */   GIM_Try, /*On fail goto*//*Label 28945*/ GIMT_Encode4(2197395), // Rule ID 47091 //
     /* 2197357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197360 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2197363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2197377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197394 */     // GIR_Coverage, 47091,
     /* 2197394 */     GIR_EraseRootFromParent_Done,
     /* 2197395 */   // Label 28945: @2197395
     /* 2197395 */   GIM_Try, /*On fail goto*//*Label 28946*/ GIMT_Encode4(2197438), // Rule ID 47092 //
     /* 2197400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197403 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2197406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2197420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197437 */     // GIR_Coverage, 47092,
     /* 2197437 */     GIR_EraseRootFromParent_Done,
     /* 2197438 */   // Label 28946: @2197438
     /* 2197438 */   GIM_Reject,
     /* 2197439 */ // Label 28944: @2197439
     /* 2197439 */ GIM_Reject,
     /* 2197440 */ // Label 28899: @2197440
     /* 2197440 */ GIM_Try, /*On fail goto*//*Label 28947*/ GIMT_Encode4(2197494), // Rule ID 47103 //
     /* 2197445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2197451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197459 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197459 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2197462 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197466 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197471 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2197476 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197478 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197481 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197492 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197493 */   // GIR_Coverage, 47103,
     /* 2197493 */   GIR_EraseRootFromParent_Done,
     /* 2197494 */ // Label 28947: @2197494
     /* 2197494 */ GIM_Try, /*On fail goto*//*Label 28948*/ GIMT_Encode4(2197548), // Rule ID 47104 //
     /* 2197499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2197505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197509 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197513 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197513 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2197516 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197520 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197525 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2197530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197532 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197535 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197546 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197547 */   // GIR_Coverage, 47104,
     /* 2197547 */   GIR_EraseRootFromParent_Done,
     /* 2197548 */ // Label 28948: @2197548
     /* 2197548 */ GIM_Try, /*On fail goto*//*Label 28949*/ GIMT_Encode4(2197602), // Rule ID 47157 //
     /* 2197553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2197559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197567 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197567 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2197570 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197574 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197579 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2197584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197586 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197589 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197600 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197601 */   // GIR_Coverage, 47157,
     /* 2197601 */   GIR_EraseRootFromParent_Done,
     /* 2197602 */ // Label 28949: @2197602
     /* 2197602 */ GIM_Try, /*On fail goto*//*Label 28950*/ GIMT_Encode4(2197656), // Rule ID 47158 //
     /* 2197607 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2197613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197621 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197621 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2197624 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197628 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197633 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197635 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2197638 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197640 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197643 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197654 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197655 */   // GIR_Coverage, 47158,
     /* 2197655 */   GIR_EraseRootFromParent_Done,
     /* 2197656 */ // Label 28950: @2197656
     /* 2197656 */ GIM_Reject,
     /* 2197657 */ // Label 28900: @2197657
     /* 2197657 */ GIM_Try, /*On fail goto*//*Label 28951*/ GIMT_Encode4(2197711), // Rule ID 47113 //
     /* 2197662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2197665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2197668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197676 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197676 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2197679 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197683 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197688 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2197693 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197695 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197698 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197709 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197710 */   // GIR_Coverage, 47113,
     /* 2197710 */   GIR_EraseRootFromParent_Done,
     /* 2197711 */ // Label 28951: @2197711
     /* 2197711 */ GIM_Try, /*On fail goto*//*Label 28952*/ GIMT_Encode4(2197765), // Rule ID 47114 //
     /* 2197716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2197719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2197722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197730 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197730 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2197733 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197737 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197742 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2197747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197749 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197752 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197764 */   // GIR_Coverage, 47114,
     /* 2197764 */   GIR_EraseRootFromParent_Done,
     /* 2197765 */ // Label 28952: @2197765
     /* 2197765 */ GIM_Try, /*On fail goto*//*Label 28953*/ GIMT_Encode4(2197819), // Rule ID 47167 //
     /* 2197770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2197773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2197776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197784 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197784 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2197787 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197791 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197796 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2197801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197803 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197806 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197817 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197818 */   // GIR_Coverage, 47167,
     /* 2197818 */   GIR_EraseRootFromParent_Done,
     /* 2197819 */ // Label 28953: @2197819
     /* 2197819 */ GIM_Try, /*On fail goto*//*Label 28954*/ GIMT_Encode4(2197873), // Rule ID 47168 //
     /* 2197824 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2197827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2197830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197838 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197838 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2197841 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197845 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197850 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2197855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197857 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197860 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197871 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197872 */   // GIR_Coverage, 47168,
     /* 2197872 */   GIR_EraseRootFromParent_Done,
     /* 2197873 */ // Label 28954: @2197873
     /* 2197873 */ GIM_Try, /*On fail goto*//*Label 28955*/ GIMT_Encode4(2197927), // Rule ID 47191 //
     /* 2197878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2197881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2197884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197892 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197892 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2197895 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197899 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197904 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2197909 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197911 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197914 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197925 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197926 */   // GIR_Coverage, 47191,
     /* 2197926 */   GIR_EraseRootFromParent_Done,
     /* 2197927 */ // Label 28955: @2197927
     /* 2197927 */ GIM_Try, /*On fail goto*//*Label 28956*/ GIMT_Encode4(2197981), // Rule ID 47192 //
     /* 2197932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2197935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2197938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197946 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197946 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2197949 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197953 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197958 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2197963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197965 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197968 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197979 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197980 */   // GIR_Coverage, 47192,
     /* 2197980 */   GIR_EraseRootFromParent_Done,
     /* 2197981 */ // Label 28956: @2197981
     /* 2197981 */ GIM_Reject,
     /* 2197982 */ // Label 28901: @2197982
     /* 2197982 */ GIM_Try, /*On fail goto*//*Label 28957*/ GIMT_Encode4(2198085),
     /* 2197987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2197990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197998 */   GIM_Try, /*On fail goto*//*Label 28958*/ GIMT_Encode4(2198041), // Rule ID 47093 //
     /* 2198003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198006 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2198009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2198023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198040 */     // GIR_Coverage, 47093,
     /* 2198040 */     GIR_EraseRootFromParent_Done,
     /* 2198041 */   // Label 28958: @2198041
     /* 2198041 */   GIM_Try, /*On fail goto*//*Label 28959*/ GIMT_Encode4(2198084), // Rule ID 47094 //
     /* 2198046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198049 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2198052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2198066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198083 */     // GIR_Coverage, 47094,
     /* 2198083 */     GIR_EraseRootFromParent_Done,
     /* 2198084 */   // Label 28959: @2198084
     /* 2198084 */   GIM_Reject,
     /* 2198085 */ // Label 28957: @2198085
     /* 2198085 */ GIM_Reject,
     /* 2198086 */ // Label 28902: @2198086
     /* 2198086 */ GIM_Try, /*On fail goto*//*Label 28960*/ GIMT_Encode4(2198140), // Rule ID 47105 //
     /* 2198091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2198097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198105 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198105 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2198108 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198112 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198117 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2198122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198124 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198127 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198138 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198139 */   // GIR_Coverage, 47105,
     /* 2198139 */   GIR_EraseRootFromParent_Done,
     /* 2198140 */ // Label 28960: @2198140
     /* 2198140 */ GIM_Try, /*On fail goto*//*Label 28961*/ GIMT_Encode4(2198194), // Rule ID 47106 //
     /* 2198145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2198151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198159 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198159 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2198162 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198166 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198171 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198173 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2198176 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198178 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198181 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198192 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198193 */   // GIR_Coverage, 47106,
     /* 2198193 */   GIR_EraseRootFromParent_Done,
     /* 2198194 */ // Label 28961: @2198194
     /* 2198194 */ GIM_Try, /*On fail goto*//*Label 28962*/ GIMT_Encode4(2198248), // Rule ID 47159 //
     /* 2198199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2198205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198213 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198213 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2198216 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198220 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198225 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2198230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198232 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198235 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198246 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198247 */   // GIR_Coverage, 47159,
     /* 2198247 */   GIR_EraseRootFromParent_Done,
     /* 2198248 */ // Label 28962: @2198248
     /* 2198248 */ GIM_Try, /*On fail goto*//*Label 28963*/ GIMT_Encode4(2198302), // Rule ID 47160 //
     /* 2198253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2198259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198267 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198267 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2198270 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198274 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198279 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198281 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2198284 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198286 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198289 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198300 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198301 */   // GIR_Coverage, 47160,
     /* 2198301 */   GIR_EraseRootFromParent_Done,
     /* 2198302 */ // Label 28963: @2198302
     /* 2198302 */ GIM_Reject,
     /* 2198303 */ // Label 28903: @2198303
     /* 2198303 */ GIM_Try, /*On fail goto*//*Label 28964*/ GIMT_Encode4(2198357), // Rule ID 47115 //
     /* 2198308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2198314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198322 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198322 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2198325 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198329 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198334 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198336 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2198339 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198341 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198344 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198355 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198356 */   // GIR_Coverage, 47115,
     /* 2198356 */   GIR_EraseRootFromParent_Done,
     /* 2198357 */ // Label 28964: @2198357
     /* 2198357 */ GIM_Try, /*On fail goto*//*Label 28965*/ GIMT_Encode4(2198411), // Rule ID 47116 //
     /* 2198362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2198368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198376 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198376 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2198379 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198383 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198388 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2198393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198395 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198398 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198409 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198410 */   // GIR_Coverage, 47116,
     /* 2198410 */   GIR_EraseRootFromParent_Done,
     /* 2198411 */ // Label 28965: @2198411
     /* 2198411 */ GIM_Try, /*On fail goto*//*Label 28966*/ GIMT_Encode4(2198465), // Rule ID 47169 //
     /* 2198416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2198422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198426 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198430 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198430 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2198433 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198437 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198442 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2198447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198449 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198452 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198463 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198464 */   // GIR_Coverage, 47169,
     /* 2198464 */   GIR_EraseRootFromParent_Done,
     /* 2198465 */ // Label 28966: @2198465
     /* 2198465 */ GIM_Try, /*On fail goto*//*Label 28967*/ GIMT_Encode4(2198519), // Rule ID 47170 //
     /* 2198470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2198476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198484 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198484 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2198487 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198491 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198496 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198498 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2198501 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198503 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198506 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198517 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198518 */   // GIR_Coverage, 47170,
     /* 2198518 */   GIR_EraseRootFromParent_Done,
     /* 2198519 */ // Label 28967: @2198519
     /* 2198519 */ GIM_Try, /*On fail goto*//*Label 28968*/ GIMT_Encode4(2198573), // Rule ID 47193 //
     /* 2198524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2198530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198538 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198538 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2198541 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198545 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198550 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198552 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2198555 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198557 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198560 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198571 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198572 */   // GIR_Coverage, 47193,
     /* 2198572 */   GIR_EraseRootFromParent_Done,
     /* 2198573 */ // Label 28968: @2198573
     /* 2198573 */ GIM_Try, /*On fail goto*//*Label 28969*/ GIMT_Encode4(2198627), // Rule ID 47194 //
     /* 2198578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2198584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198592 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198592 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2198595 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198599 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198604 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198606 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2198609 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198611 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198614 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198625 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198626 */   // GIR_Coverage, 47194,
     /* 2198626 */   GIR_EraseRootFromParent_Done,
     /* 2198627 */ // Label 28969: @2198627
     /* 2198627 */ GIM_Reject,
     /* 2198628 */ // Label 28904: @2198628
     /* 2198628 */ GIM_Try, /*On fail goto*//*Label 28970*/ GIMT_Encode4(2198731),
     /* 2198633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2198636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198644 */   GIM_Try, /*On fail goto*//*Label 28971*/ GIMT_Encode4(2198687), // Rule ID 47095 //
     /* 2198649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198652 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2198655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2198669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198686 */     // GIR_Coverage, 47095,
     /* 2198686 */     GIR_EraseRootFromParent_Done,
     /* 2198687 */   // Label 28971: @2198687
     /* 2198687 */   GIM_Try, /*On fail goto*//*Label 28972*/ GIMT_Encode4(2198730), // Rule ID 47096 //
     /* 2198692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198695 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2198698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2198712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198729 */     // GIR_Coverage, 47096,
     /* 2198729 */     GIR_EraseRootFromParent_Done,
     /* 2198730 */   // Label 28972: @2198730
     /* 2198730 */   GIM_Reject,
     /* 2198731 */ // Label 28970: @2198731
     /* 2198731 */ GIM_Reject,
     /* 2198732 */ // Label 28905: @2198732
     /* 2198732 */ GIM_Try, /*On fail goto*//*Label 28973*/ GIMT_Encode4(2198786), // Rule ID 47107 //
     /* 2198737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2198743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198751 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198751 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2198754 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198758 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198763 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2198768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198770 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198773 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198784 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198785 */   // GIR_Coverage, 47107,
     /* 2198785 */   GIR_EraseRootFromParent_Done,
     /* 2198786 */ // Label 28973: @2198786
     /* 2198786 */ GIM_Try, /*On fail goto*//*Label 28974*/ GIMT_Encode4(2198840), // Rule ID 47108 //
     /* 2198791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2198797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198801 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198805 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198805 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2198808 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198812 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198817 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2198822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198824 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198827 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198838 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198839 */   // GIR_Coverage, 47108,
     /* 2198839 */   GIR_EraseRootFromParent_Done,
     /* 2198840 */ // Label 28974: @2198840
     /* 2198840 */ GIM_Try, /*On fail goto*//*Label 28975*/ GIMT_Encode4(2198894), // Rule ID 47161 //
     /* 2198845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2198851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198859 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198859 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2198862 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198866 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198871 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198873 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2198876 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198878 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198881 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198892 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198893 */   // GIR_Coverage, 47161,
     /* 2198893 */   GIR_EraseRootFromParent_Done,
     /* 2198894 */ // Label 28975: @2198894
     /* 2198894 */ GIM_Try, /*On fail goto*//*Label 28976*/ GIMT_Encode4(2198948), // Rule ID 47162 //
     /* 2198899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2198905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198913 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198913 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2198916 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198920 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198925 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2198930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198932 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198935 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198946 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198947 */   // GIR_Coverage, 47162,
     /* 2198947 */   GIR_EraseRootFromParent_Done,
     /* 2198948 */ // Label 28976: @2198948
     /* 2198948 */ GIM_Reject,
     /* 2198949 */ // Label 28906: @2198949
     /* 2198949 */ GIM_Try, /*On fail goto*//*Label 28977*/ GIMT_Encode4(2199052),
     /* 2198954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2198957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198961 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198965 */   GIM_Try, /*On fail goto*//*Label 28978*/ GIMT_Encode4(2199008), // Rule ID 47097 //
     /* 2198970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198973 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2198976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2198990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199007 */     // GIR_Coverage, 47097,
     /* 2199007 */     GIR_EraseRootFromParent_Done,
     /* 2199008 */   // Label 28978: @2199008
     /* 2199008 */   GIM_Try, /*On fail goto*//*Label 28979*/ GIMT_Encode4(2199051), // Rule ID 47098 //
     /* 2199013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199016 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2199019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2199033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2199040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199050 */     // GIR_Coverage, 47098,
     /* 2199050 */     GIR_EraseRootFromParent_Done,
     /* 2199051 */   // Label 28979: @2199051
     /* 2199051 */   GIM_Reject,
     /* 2199052 */ // Label 28977: @2199052
     /* 2199052 */ GIM_Reject,
     /* 2199053 */ // Label 28907: @2199053
     /* 2199053 */ GIM_Reject,
     /* 2199054 */ // Label 41: @2199054
     /* 2199054 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 28982*/ GIMT_Encode4(2199602),
     /* 2199065 */ /*GILLT_s32*//*Label 28980*/ GIMT_Encode4(2199073),
     /* 2199069 */ /*GILLT_s64*//*Label 28981*/ GIMT_Encode4(2199305),
     /* 2199073 */ // Label 28980: @2199073
     /* 2199073 */ GIM_Try, /*On fail goto*//*Label 28983*/ GIMT_Encode4(2199304),
     /* 2199078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2199081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2199085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2199089 */   GIM_Try, /*On fail goto*//*Label 28984*/ GIMT_Encode4(2199117), // Rule ID 63872 //
     /* 2199094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2199097 */     // MIs[0] Operand 2
     /* 2199097 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2199108 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2199108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2199111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199116 */     // GIR_Coverage, 63872,
     /* 2199116 */     GIR_EraseRootFromParent_Done,
     /* 2199117 */   // Label 28984: @2199117
     /* 2199117 */   GIM_Try, /*On fail goto*//*Label 28985*/ GIMT_Encode4(2199145), // Rule ID 63874 //
     /* 2199122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2199125 */     // MIs[0] Operand 2
     /* 2199125 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2199136 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2199136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2199139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199144 */     // GIR_Coverage, 63874,
     /* 2199144 */     GIR_EraseRootFromParent_Done,
     /* 2199145 */   // Label 28985: @2199145
     /* 2199145 */   GIM_Try, /*On fail goto*//*Label 28986*/ GIMT_Encode4(2199173), // Rule ID 2384 //
     /* 2199150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2199153 */     // MIs[0] Operand 2
     /* 2199153 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2199164 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2199164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2199167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199172 */     // GIR_Coverage, 2384,
     /* 2199172 */     GIR_EraseRootFromParent_Done,
     /* 2199173 */   // Label 28986: @2199173
     /* 2199173 */   GIM_Try, /*On fail goto*//*Label 28987*/ GIMT_Encode4(2199201), // Rule ID 2386 //
     /* 2199178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2199181 */     // MIs[0] Operand 2
     /* 2199181 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2199192 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2199192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2199195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199200 */     // GIR_Coverage, 2386,
     /* 2199200 */     GIR_EraseRootFromParent_Done,
     /* 2199201 */   // Label 28987: @2199201
     /* 2199201 */   GIM_Try, /*On fail goto*//*Label 28988*/ GIMT_Encode4(2199235), // Rule ID 61958 //
     /* 2199206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2199209 */     // MIs[0] Operand 2
     /* 2199209 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2199220 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 15:{ *:[i32] }, 0:{ *:[i32] })
     /* 2199220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2199223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2199230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2199233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199234 */     // GIR_Coverage, 61958,
     /* 2199234 */     GIR_EraseRootFromParent_Done,
     /* 2199235 */   // Label 28988: @2199235
     /* 2199235 */   GIM_Try, /*On fail goto*//*Label 28989*/ GIMT_Encode4(2199269), // Rule ID 61960 //
     /* 2199240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2199243 */     // MIs[0] Operand 2
     /* 2199243 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2199254 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 7:{ *:[i32] }, 0:{ *:[i32] })
     /* 2199254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2199257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2199264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2199267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199268 */     // GIR_Coverage, 61960,
     /* 2199268 */     GIR_EraseRootFromParent_Done,
     /* 2199269 */   // Label 28989: @2199269
     /* 2199269 */   GIM_Try, /*On fail goto*//*Label 28990*/ GIMT_Encode4(2199303), // Rule ID 61962 //
     /* 2199274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2199277 */     // MIs[0] Operand 2
     /* 2199277 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2199288 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2199288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2199291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2199298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2199301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199302 */     // GIR_Coverage, 61962,
     /* 2199302 */     GIR_EraseRootFromParent_Done,
     /* 2199303 */   // Label 28990: @2199303
     /* 2199303 */   GIM_Reject,
     /* 2199304 */ // Label 28983: @2199304
     /* 2199304 */ GIM_Reject,
     /* 2199305 */ // Label 28981: @2199305
     /* 2199305 */ GIM_Try, /*On fail goto*//*Label 28991*/ GIMT_Encode4(2199601),
     /* 2199310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2199313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2199317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2199321 */   GIM_Try, /*On fail goto*//*Label 28992*/ GIMT_Encode4(2199349), // Rule ID 63871 //
     /* 2199326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2199329 */     // MIs[0] Operand 2
     /* 2199329 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2199340 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2199340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2199343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199348 */     // GIR_Coverage, 63871,
     /* 2199348 */     GIR_EraseRootFromParent_Done,
     /* 2199349 */   // Label 28992: @2199349
     /* 2199349 */   GIM_Try, /*On fail goto*//*Label 28993*/ GIMT_Encode4(2199377), // Rule ID 63873 //
     /* 2199354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2199357 */     // MIs[0] Operand 2
     /* 2199357 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2199368 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2199368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2199371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199376 */     // GIR_Coverage, 63873,
     /* 2199376 */     GIR_EraseRootFromParent_Done,
     /* 2199377 */   // Label 28993: @2199377
     /* 2199377 */   GIM_Try, /*On fail goto*//*Label 28994*/ GIMT_Encode4(2199408), // Rule ID 256 //
     /* 2199382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2199385 */     // MIs[0] Operand 2
     /* 2199385 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2199396 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2199396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2199399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2199406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199407 */     // GIR_Coverage, 256,
     /* 2199407 */     GIR_EraseRootFromParent_Done,
     /* 2199408 */   // Label 28994: @2199408
     /* 2199408 */   GIM_Try, /*On fail goto*//*Label 28995*/ GIMT_Encode4(2199436), // Rule ID 2383 //
     /* 2199413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2199416 */     // MIs[0] Operand 2
     /* 2199416 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2199427 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2199427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2199430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199435 */     // GIR_Coverage, 2383,
     /* 2199435 */     GIR_EraseRootFromParent_Done,
     /* 2199436 */   // Label 28995: @2199436
     /* 2199436 */   GIM_Try, /*On fail goto*//*Label 28996*/ GIMT_Encode4(2199464), // Rule ID 2385 //
     /* 2199441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2199444 */     // MIs[0] Operand 2
     /* 2199444 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2199455 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2199455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2199458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199463 */     // GIR_Coverage, 2385,
     /* 2199463 */     GIR_EraseRootFromParent_Done,
     /* 2199464 */   // Label 28996: @2199464
     /* 2199464 */   GIM_Try, /*On fail goto*//*Label 28997*/ GIMT_Encode4(2199498), // Rule ID 61956 //
     /* 2199469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2199472 */     // MIs[0] Operand 2
     /* 2199472 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2199483 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 31:{ *:[i64] }, 0:{ *:[i64] })
     /* 2199483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2199486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 2199493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2199496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199497 */     // GIR_Coverage, 61956,
     /* 2199497 */     GIR_EraseRootFromParent_Done,
     /* 2199498 */   // Label 28997: @2199498
     /* 2199498 */   GIM_Try, /*On fail goto*//*Label 28998*/ GIMT_Encode4(2199532), // Rule ID 61957 //
     /* 2199503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2199506 */     // MIs[0] Operand 2
     /* 2199506 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2199517 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 15:{ *:[i64] }, 0:{ *:[i64] })
     /* 2199517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2199520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2199527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2199530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199531 */     // GIR_Coverage, 61957,
     /* 2199531 */     GIR_EraseRootFromParent_Done,
     /* 2199532 */   // Label 28998: @2199532
     /* 2199532 */   GIM_Try, /*On fail goto*//*Label 28999*/ GIMT_Encode4(2199566), // Rule ID 61959 //
     /* 2199537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2199540 */     // MIs[0] Operand 2
     /* 2199540 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2199551 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] }, 0:{ *:[i64] })
     /* 2199551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2199554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2199561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2199564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199565 */     // GIR_Coverage, 61959,
     /* 2199565 */     GIR_EraseRootFromParent_Done,
     /* 2199566 */   // Label 28999: @2199566
     /* 2199566 */   GIM_Try, /*On fail goto*//*Label 29000*/ GIMT_Encode4(2199600), // Rule ID 61961 //
     /* 2199571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2199574 */     // MIs[0] Operand 2
     /* 2199574 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2199585 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2199585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2199588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2199595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2199598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199599 */     // GIR_Coverage, 61961,
     /* 2199599 */     GIR_EraseRootFromParent_Done,
     /* 2199600 */   // Label 29000: @2199600
     /* 2199600 */   GIM_Reject,
     /* 2199601 */ // Label 28991: @2199601
     /* 2199601 */ GIM_Reject,
     /* 2199602 */ // Label 28982: @2199602
     /* 2199602 */ GIM_Reject,
     /* 2199603 */ // Label 42: @2199603
     /* 2199603 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 29018*/ GIMT_Encode4(2203289),
     /* 2199614 */ /*GILLT_s32*//*Label 29001*/ GIMT_Encode4(2199730),
     /* 2199618 */ /*GILLT_s64*//*Label 29002*/ GIMT_Encode4(2200026), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2199630 */ /*GILLT_nxv1s16*//*Label 29003*/ GIMT_Encode4(2200280),
     /* 2199634 */ /*GILLT_nxv1s32*//*Label 29004*/ GIMT_Encode4(2200384),
     /* 2199638 */ /*GILLT_nxv1s64*//*Label 29005*/ GIMT_Encode4(2200601), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2199650 */ /*GILLT_nxv2s16*//*Label 29006*/ GIMT_Encode4(2200926),
     /* 2199654 */ /*GILLT_nxv2s32*//*Label 29007*/ GIMT_Encode4(2201030),
     /* 2199658 */ /*GILLT_nxv2s64*//*Label 29008*/ GIMT_Encode4(2201247), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2199670 */ /*GILLT_nxv4s16*//*Label 29009*/ GIMT_Encode4(2201572),
     /* 2199674 */ /*GILLT_nxv4s32*//*Label 29010*/ GIMT_Encode4(2201676),
     /* 2199678 */ /*GILLT_nxv4s64*//*Label 29011*/ GIMT_Encode4(2201893), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2199690 */ /*GILLT_nxv8s16*//*Label 29012*/ GIMT_Encode4(2202218),
     /* 2199694 */ /*GILLT_nxv8s32*//*Label 29013*/ GIMT_Encode4(2202322),
     /* 2199698 */ /*GILLT_nxv8s64*//*Label 29014*/ GIMT_Encode4(2202539), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2199710 */ /*GILLT_nxv16s16*//*Label 29015*/ GIMT_Encode4(2202864),
     /* 2199714 */ /*GILLT_nxv16s32*//*Label 29016*/ GIMT_Encode4(2202968), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2199726 */ /*GILLT_nxv32s16*//*Label 29017*/ GIMT_Encode4(2203185),
     /* 2199730 */ // Label 29001: @2199730
     /* 2199730 */ GIM_Try, /*On fail goto*//*Label 29019*/ GIMT_Encode4(2200025),
     /* 2199735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2199738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2199742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2199746 */   GIM_Try, /*On fail goto*//*Label 29020*/ GIMT_Encode4(2199788), // Rule ID 64238 //
     /* 2199751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2199754 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2199754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2199757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2199761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199766 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2199770 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2199773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2199778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2199786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199787 */     // GIR_Coverage, 64238,
     /* 2199787 */     GIR_EraseRootFromParent_Done,
     /* 2199788 */   // Label 29020: @2199788
     /* 2199788 */   GIM_Try, /*On fail goto*//*Label 29021*/ GIMT_Encode4(2199830), // Rule ID 64240 //
     /* 2199793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2199796 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2199796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2199799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2199803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199808 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2199812 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2199815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2199820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2199828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199829 */     // GIR_Coverage, 64240,
     /* 2199829 */     GIR_EraseRootFromParent_Done,
     /* 2199830 */   // Label 29021: @2199830
     /* 2199830 */   GIM_Try, /*On fail goto*//*Label 29022*/ GIMT_Encode4(2199872), // Rule ID 64241 //
     /* 2199835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2199838 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2199838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2199841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2199845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199850 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2199854 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2199857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2199862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2199870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199871 */     // GIR_Coverage, 64241,
     /* 2199871 */     GIR_EraseRootFromParent_Done,
     /* 2199872 */   // Label 29022: @2199872
     /* 2199872 */   GIM_Try, /*On fail goto*//*Label 29023*/ GIMT_Encode4(2199887), // Rule ID 64251 //
     /* 2199877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /* 2199880 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2199880 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2199885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199886 */     // GIR_Coverage, 64251,
     /* 2199886 */     GIR_Done,
     /* 2199887 */   // Label 29023: @2199887
     /* 2199887 */   GIM_Try, /*On fail goto*//*Label 29024*/ GIMT_Encode4(2199902), // Rule ID 64252 //
     /* 2199892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /* 2199895 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2199895 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2199900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199901 */     // GIR_Coverage, 64252,
     /* 2199901 */     GIR_Done,
     /* 2199902 */   // Label 29024: @2199902
     /* 2199902 */   GIM_Try, /*On fail goto*//*Label 29025*/ GIMT_Encode4(2199917), // Rule ID 64254 //
     /* 2199907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2199910 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2199910 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2199915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199916 */     // GIR_Coverage, 64254,
     /* 2199916 */     GIR_Done,
     /* 2199917 */   // Label 29025: @2199917
     /* 2199917 */   GIM_Try, /*On fail goto*//*Label 29026*/ GIMT_Encode4(2199932), // Rule ID 64255 //
     /* 2199922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode1),
     /* 2199925 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2199925 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2199930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199931 */     // GIR_Coverage, 64255,
     /* 2199931 */     GIR_Done,
     /* 2199932 */   // Label 29026: @2199932
     /* 2199932 */   GIM_Try, /*On fail goto*//*Label 29027*/ GIMT_Encode4(2199955), // Rule ID 64256 //
     /* 2199937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /* 2199940 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2199940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2199943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2199947 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2199953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199954 */     // GIR_Coverage, 64256,
     /* 2199954 */     GIR_EraseRootFromParent_Done,
     /* 2199955 */   // Label 29027: @2199955
     /* 2199955 */   GIM_Try, /*On fail goto*//*Label 29028*/ GIMT_Encode4(2199978), // Rule ID 64257 //
     /* 2199960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /* 2199963 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2199963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2199966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2199970 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2199976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199977 */     // GIR_Coverage, 64257,
     /* 2199977 */     GIR_EraseRootFromParent_Done,
     /* 2199978 */   // Label 29028: @2199978
     /* 2199978 */   GIM_Try, /*On fail goto*//*Label 29029*/ GIMT_Encode4(2200001), // Rule ID 64259 //
     /* 2199983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2199986 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2199986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2199989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2199993 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2199999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200000 */     // GIR_Coverage, 64259,
     /* 2200000 */     GIR_EraseRootFromParent_Done,
     /* 2200001 */   // Label 29029: @2200001
     /* 2200001 */   GIM_Try, /*On fail goto*//*Label 29030*/ GIMT_Encode4(2200024), // Rule ID 64260 //
     /* 2200006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1),
     /* 2200009 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2200009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2200012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2200016 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2200022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200023 */     // GIR_Coverage, 64260,
     /* 2200023 */     GIR_EraseRootFromParent_Done,
     /* 2200024 */   // Label 29030: @2200024
     /* 2200024 */   GIM_Reject,
     /* 2200025 */ // Label 29019: @2200025
     /* 2200025 */ GIM_Reject,
     /* 2200026 */ // Label 29002: @2200026
     /* 2200026 */ GIM_Try, /*On fail goto*//*Label 29031*/ GIMT_Encode4(2200079), // Rule ID 64236 //
     /* 2200031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2200034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2200037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200045 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i32] }:$src, 32:{ *:[i64] }), 32:{ *:[i64] })
     /* 2200045 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2200048 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2200052 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200057 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2200061 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2200064 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2200069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200071 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /* 2200077 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200078 */   // GIR_Coverage, 64236,
     /* 2200078 */   GIR_EraseRootFromParent_Done,
     /* 2200079 */ // Label 29031: @2200079
     /* 2200079 */ GIM_Try, /*On fail goto*//*Label 29032*/ GIMT_Encode4(2200132), // Rule ID 64237 //
     /* 2200084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2200087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2200090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200098 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2200098 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2200101 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2200105 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200110 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2200114 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2200117 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2200122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200124 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2200130 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200131 */   // GIR_Coverage, 64237,
     /* 2200131 */   GIR_EraseRootFromParent_Done,
     /* 2200132 */ // Label 29032: @2200132
     /* 2200132 */ GIM_Try, /*On fail goto*//*Label 29033*/ GIMT_Encode4(2200185), // Rule ID 64239 //
     /* 2200137 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2200140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2200143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200151 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2200151 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2200154 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2200158 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200163 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2200167 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2200170 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2200175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200177 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2200183 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200184 */   // GIR_Coverage, 64239,
     /* 2200184 */   GIR_EraseRootFromParent_Done,
     /* 2200185 */ // Label 29033: @2200185
     /* 2200185 */ GIM_Try, /*On fail goto*//*Label 29034*/ GIMT_Encode4(2200219), // Rule ID 64247 //
     /* 2200190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2200193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2200196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200204 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i32] }:$src, X0:{ *:[i64] })
     /* 2200204 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /* 2200207 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200209 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2200211 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2200217 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200218 */   // GIR_Coverage, 64247,
     /* 2200218 */   GIR_EraseRootFromParent_Done,
     /* 2200219 */ // Label 29034: @2200219
     /* 2200219 */ GIM_Try, /*On fail goto*//*Label 29035*/ GIMT_Encode4(2200245), // Rule ID 64253 //
     /* 2200224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2200227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2200230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200238 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2200238 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2200243 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200244 */   // GIR_Coverage, 64253,
     /* 2200244 */   GIR_Done,
     /* 2200245 */ // Label 29035: @2200245
     /* 2200245 */ GIM_Try, /*On fail goto*//*Label 29036*/ GIMT_Encode4(2200279), // Rule ID 64258 //
     /* 2200250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2200253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2200256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2200264 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i64] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2200264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2200267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200269 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2200271 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2200277 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200278 */   // GIR_Coverage, 64258,
     /* 2200278 */   GIR_EraseRootFromParent_Done,
     /* 2200279 */ // Label 29036: @2200279
     /* 2200279 */ GIM_Reject,
     /* 2200280 */ // Label 29003: @2200280
     /* 2200280 */ GIM_Try, /*On fail goto*//*Label 29037*/ GIMT_Encode4(2200383),
     /* 2200285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2200288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200296 */   GIM_Try, /*On fail goto*//*Label 29038*/ GIMT_Encode4(2200339), // Rule ID 45523 //
     /* 2200301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200304 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2200307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2200321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200338 */     // GIR_Coverage, 45523,
     /* 2200338 */     GIR_EraseRootFromParent_Done,
     /* 2200339 */   // Label 29038: @2200339
     /* 2200339 */   GIM_Try, /*On fail goto*//*Label 29039*/ GIMT_Encode4(2200382), // Rule ID 45524 //
     /* 2200344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200347 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2200350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2200364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200381 */     // GIR_Coverage, 45524,
     /* 2200381 */     GIR_EraseRootFromParent_Done,
     /* 2200382 */   // Label 29039: @2200382
     /* 2200382 */   GIM_Reject,
     /* 2200383 */ // Label 29037: @2200383
     /* 2200383 */ GIM_Reject,
     /* 2200384 */ // Label 29004: @2200384
     /* 2200384 */ GIM_Try, /*On fail goto*//*Label 29040*/ GIMT_Encode4(2200438), // Rule ID 47051 //
     /* 2200389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2200395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200399 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200403 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200403 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2200406 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200410 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200415 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200417 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2200420 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200422 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200425 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200436 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200437 */   // GIR_Coverage, 47051,
     /* 2200437 */   GIR_EraseRootFromParent_Done,
     /* 2200438 */ // Label 29040: @2200438
     /* 2200438 */ GIM_Try, /*On fail goto*//*Label 29041*/ GIMT_Encode4(2200492), // Rule ID 47052 //
     /* 2200443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2200449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200453 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200457 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200457 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2200460 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200464 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200469 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2200474 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200476 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200479 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200490 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200491 */   // GIR_Coverage, 47052,
     /* 2200491 */   GIR_EraseRootFromParent_Done,
     /* 2200492 */ // Label 29041: @2200492
     /* 2200492 */ GIM_Try, /*On fail goto*//*Label 29042*/ GIMT_Encode4(2200546), // Rule ID 47117 //
     /* 2200497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2200503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200507 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200511 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200511 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2200514 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200518 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200523 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2200528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200530 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200533 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200545 */   // GIR_Coverage, 47117,
     /* 2200545 */   GIR_EraseRootFromParent_Done,
     /* 2200546 */ // Label 29042: @2200546
     /* 2200546 */ GIM_Try, /*On fail goto*//*Label 29043*/ GIMT_Encode4(2200600), // Rule ID 47118 //
     /* 2200551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2200557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200565 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200565 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2200568 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200572 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200577 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2200582 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200584 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200587 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200598 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200599 */   // GIR_Coverage, 47118,
     /* 2200599 */   GIR_EraseRootFromParent_Done,
     /* 2200600 */ // Label 29043: @2200600
     /* 2200600 */ GIM_Reject,
     /* 2200601 */ // Label 29005: @2200601
     /* 2200601 */ GIM_Try, /*On fail goto*//*Label 29044*/ GIMT_Encode4(2200655), // Rule ID 47071 //
     /* 2200606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2200609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2200612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200620 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200620 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2200623 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200627 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200632 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2200637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200639 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200642 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200654 */   // GIR_Coverage, 47071,
     /* 2200654 */   GIR_EraseRootFromParent_Done,
     /* 2200655 */ // Label 29044: @2200655
     /* 2200655 */ GIM_Try, /*On fail goto*//*Label 29045*/ GIMT_Encode4(2200709), // Rule ID 47072 //
     /* 2200660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2200663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2200666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200674 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200674 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2200677 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200681 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200686 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2200691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200693 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200696 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200707 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200708 */   // GIR_Coverage, 47072,
     /* 2200708 */   GIR_EraseRootFromParent_Done,
     /* 2200709 */ // Label 29045: @2200709
     /* 2200709 */ GIM_Try, /*On fail goto*//*Label 29046*/ GIMT_Encode4(2200763), // Rule ID 47137 //
     /* 2200714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2200717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2200720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200728 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200728 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2200731 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200735 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200740 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2200745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200747 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200750 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200761 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200762 */   // GIR_Coverage, 47137,
     /* 2200762 */   GIR_EraseRootFromParent_Done,
     /* 2200763 */ // Label 29046: @2200763
     /* 2200763 */ GIM_Try, /*On fail goto*//*Label 29047*/ GIMT_Encode4(2200817), // Rule ID 47138 //
     /* 2200768 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2200771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2200774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200782 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200782 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2200785 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200789 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200794 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2200799 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200801 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200804 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200815 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200816 */   // GIR_Coverage, 47138,
     /* 2200816 */   GIR_EraseRootFromParent_Done,
     /* 2200817 */ // Label 29047: @2200817
     /* 2200817 */ GIM_Try, /*On fail goto*//*Label 29048*/ GIMT_Encode4(2200871), // Rule ID 47171 //
     /* 2200822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2200825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2200828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200832 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200836 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200836 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2200839 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200843 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200848 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200850 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2200853 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200855 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200858 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200869 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200870 */   // GIR_Coverage, 47171,
     /* 2200870 */   GIR_EraseRootFromParent_Done,
     /* 2200871 */ // Label 29048: @2200871
     /* 2200871 */ GIM_Try, /*On fail goto*//*Label 29049*/ GIMT_Encode4(2200925), // Rule ID 47172 //
     /* 2200876 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2200879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2200882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200890 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200890 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2200893 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200897 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200902 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2200907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200909 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200912 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200923 */   GIR_RootConstrainSelectedInstOperands,
     /* 2200924 */   // GIR_Coverage, 47172,
     /* 2200924 */   GIR_EraseRootFromParent_Done,
     /* 2200925 */ // Label 29049: @2200925
     /* 2200925 */ GIM_Reject,
     /* 2200926 */ // Label 29006: @2200926
     /* 2200926 */ GIM_Try, /*On fail goto*//*Label 29050*/ GIMT_Encode4(2201029),
     /* 2200931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2200934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200942 */   GIM_Try, /*On fail goto*//*Label 29051*/ GIMT_Encode4(2200985), // Rule ID 47031 //
     /* 2200947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200950 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2200953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2200967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2200974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200984 */     // GIR_Coverage, 47031,
     /* 2200984 */     GIR_EraseRootFromParent_Done,
     /* 2200985 */   // Label 29051: @2200985
     /* 2200985 */   GIM_Try, /*On fail goto*//*Label 29052*/ GIMT_Encode4(2201028), // Rule ID 47032 //
     /* 2200990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200993 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2200996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2201010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201027 */     // GIR_Coverage, 47032,
     /* 2201027 */     GIR_EraseRootFromParent_Done,
     /* 2201028 */   // Label 29052: @2201028
     /* 2201028 */   GIM_Reject,
     /* 2201029 */ // Label 29050: @2201029
     /* 2201029 */ GIM_Reject,
     /* 2201030 */ // Label 29007: @2201030
     /* 2201030 */ GIM_Try, /*On fail goto*//*Label 29053*/ GIMT_Encode4(2201084), // Rule ID 47055 //
     /* 2201035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2201041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201049 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201049 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2201052 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201056 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201061 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2201066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201068 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201071 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201082 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201083 */   // GIR_Coverage, 47055,
     /* 2201083 */   GIR_EraseRootFromParent_Done,
     /* 2201084 */ // Label 29053: @2201084
     /* 2201084 */ GIM_Try, /*On fail goto*//*Label 29054*/ GIMT_Encode4(2201138), // Rule ID 47056 //
     /* 2201089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2201095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201103 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201103 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2201106 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201110 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201115 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201117 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2201120 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201122 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201125 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201136 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201137 */   // GIR_Coverage, 47056,
     /* 2201137 */   GIR_EraseRootFromParent_Done,
     /* 2201138 */ // Label 29054: @2201138
     /* 2201138 */ GIM_Try, /*On fail goto*//*Label 29055*/ GIMT_Encode4(2201192), // Rule ID 47121 //
     /* 2201143 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2201149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201157 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201157 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2201160 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201164 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201169 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201171 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2201174 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201176 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201179 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201190 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201191 */   // GIR_Coverage, 47121,
     /* 2201191 */   GIR_EraseRootFromParent_Done,
     /* 2201192 */ // Label 29055: @2201192
     /* 2201192 */ GIM_Try, /*On fail goto*//*Label 29056*/ GIMT_Encode4(2201246), // Rule ID 47122 //
     /* 2201197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2201203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201207 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201211 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201211 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2201214 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201218 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201223 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201225 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2201228 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201230 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201233 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201244 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201245 */   // GIR_Coverage, 47122,
     /* 2201245 */   GIR_EraseRootFromParent_Done,
     /* 2201246 */ // Label 29056: @2201246
     /* 2201246 */ GIM_Reject,
     /* 2201247 */ // Label 29008: @2201247
     /* 2201247 */ GIM_Try, /*On fail goto*//*Label 29057*/ GIMT_Encode4(2201301), // Rule ID 47075 //
     /* 2201252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2201255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2201258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201266 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201266 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2201269 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201273 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201278 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2201283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201285 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201288 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2201296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201299 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201300 */   // GIR_Coverage, 47075,
     /* 2201300 */   GIR_EraseRootFromParent_Done,
     /* 2201301 */ // Label 29057: @2201301
     /* 2201301 */ GIM_Try, /*On fail goto*//*Label 29058*/ GIMT_Encode4(2201355), // Rule ID 47076 //
     /* 2201306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2201309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2201312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201320 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201320 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2201323 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201327 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201332 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2201337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201339 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201342 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2201350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201353 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201354 */   // GIR_Coverage, 47076,
     /* 2201354 */   GIR_EraseRootFromParent_Done,
     /* 2201355 */ // Label 29058: @2201355
     /* 2201355 */ GIM_Try, /*On fail goto*//*Label 29059*/ GIMT_Encode4(2201409), // Rule ID 47141 //
     /* 2201360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2201363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2201366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201374 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201374 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2201377 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201381 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201386 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2201391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201393 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201396 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2201404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201407 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201408 */   // GIR_Coverage, 47141,
     /* 2201408 */   GIR_EraseRootFromParent_Done,
     /* 2201409 */ // Label 29059: @2201409
     /* 2201409 */ GIM_Try, /*On fail goto*//*Label 29060*/ GIMT_Encode4(2201463), // Rule ID 47142 //
     /* 2201414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2201417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2201420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201428 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201428 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2201431 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201435 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201440 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201442 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2201445 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201447 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201450 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2201458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201461 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201462 */   // GIR_Coverage, 47142,
     /* 2201462 */   GIR_EraseRootFromParent_Done,
     /* 2201463 */ // Label 29060: @2201463
     /* 2201463 */ GIM_Try, /*On fail goto*//*Label 29061*/ GIMT_Encode4(2201517), // Rule ID 47175 //
     /* 2201468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2201471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2201474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201482 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201482 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2201485 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201489 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201494 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2201499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201501 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201504 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2201512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201515 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201516 */   // GIR_Coverage, 47175,
     /* 2201516 */   GIR_EraseRootFromParent_Done,
     /* 2201517 */ // Label 29061: @2201517
     /* 2201517 */ GIM_Try, /*On fail goto*//*Label 29062*/ GIMT_Encode4(2201571), // Rule ID 47176 //
     /* 2201522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2201525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2201528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201536 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201536 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2201539 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201543 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201548 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2201553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201555 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201558 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2201566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201569 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201570 */   // GIR_Coverage, 47176,
     /* 2201570 */   GIR_EraseRootFromParent_Done,
     /* 2201571 */ // Label 29062: @2201571
     /* 2201571 */ GIM_Reject,
     /* 2201572 */ // Label 29009: @2201572
     /* 2201572 */ GIM_Try, /*On fail goto*//*Label 29063*/ GIMT_Encode4(2201675),
     /* 2201577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2201580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201588 */   GIM_Try, /*On fail goto*//*Label 29064*/ GIMT_Encode4(2201631), // Rule ID 47035 //
     /* 2201593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201596 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2201599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2201613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201630 */     // GIR_Coverage, 47035,
     /* 2201630 */     GIR_EraseRootFromParent_Done,
     /* 2201631 */   // Label 29064: @2201631
     /* 2201631 */   GIM_Try, /*On fail goto*//*Label 29065*/ GIMT_Encode4(2201674), // Rule ID 47036 //
     /* 2201636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201639 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2201642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2201656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201673 */     // GIR_Coverage, 47036,
     /* 2201673 */     GIR_EraseRootFromParent_Done,
     /* 2201674 */   // Label 29065: @2201674
     /* 2201674 */   GIM_Reject,
     /* 2201675 */ // Label 29063: @2201675
     /* 2201675 */ GIM_Reject,
     /* 2201676 */ // Label 29010: @2201676
     /* 2201676 */ GIM_Try, /*On fail goto*//*Label 29066*/ GIMT_Encode4(2201730), // Rule ID 47059 //
     /* 2201681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2201687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201695 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201695 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2201698 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201702 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201707 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2201712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201714 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201717 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201728 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201729 */   // GIR_Coverage, 47059,
     /* 2201729 */   GIR_EraseRootFromParent_Done,
     /* 2201730 */ // Label 29066: @2201730
     /* 2201730 */ GIM_Try, /*On fail goto*//*Label 29067*/ GIMT_Encode4(2201784), // Rule ID 47060 //
     /* 2201735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2201741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201745 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201749 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201749 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2201752 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201756 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201761 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2201766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201768 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201771 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201783 */   // GIR_Coverage, 47060,
     /* 2201783 */   GIR_EraseRootFromParent_Done,
     /* 2201784 */ // Label 29067: @2201784
     /* 2201784 */ GIM_Try, /*On fail goto*//*Label 29068*/ GIMT_Encode4(2201838), // Rule ID 47125 //
     /* 2201789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2201795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201803 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201803 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2201806 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201810 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201815 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201817 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2201820 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201822 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201825 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201836 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201837 */   // GIR_Coverage, 47125,
     /* 2201837 */   GIR_EraseRootFromParent_Done,
     /* 2201838 */ // Label 29068: @2201838
     /* 2201838 */ GIM_Try, /*On fail goto*//*Label 29069*/ GIMT_Encode4(2201892), // Rule ID 47126 //
     /* 2201843 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2201849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201857 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201857 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2201860 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201864 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201869 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2201874 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201876 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201879 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201890 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201891 */   // GIR_Coverage, 47126,
     /* 2201891 */   GIR_EraseRootFromParent_Done,
     /* 2201892 */ // Label 29069: @2201892
     /* 2201892 */ GIM_Reject,
     /* 2201893 */ // Label 29011: @2201893
     /* 2201893 */ GIM_Try, /*On fail goto*//*Label 29070*/ GIMT_Encode4(2201947), // Rule ID 47079 //
     /* 2201898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2201901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2201904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201912 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201912 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2201915 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201919 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201924 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2201929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201931 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201934 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2201942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201945 */   GIR_RootConstrainSelectedInstOperands,
     /* 2201946 */   // GIR_Coverage, 47079,
     /* 2201946 */   GIR_EraseRootFromParent_Done,
     /* 2201947 */ // Label 29070: @2201947
     /* 2201947 */ GIM_Try, /*On fail goto*//*Label 29071*/ GIMT_Encode4(2202001), // Rule ID 47080 //
     /* 2201952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2201955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2201958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201966 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201966 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2201969 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201973 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201978 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2201983 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201985 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201988 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2201990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2201996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202000 */   // GIR_Coverage, 47080,
     /* 2202000 */   GIR_EraseRootFromParent_Done,
     /* 2202001 */ // Label 29071: @2202001
     /* 2202001 */ GIM_Try, /*On fail goto*//*Label 29072*/ GIMT_Encode4(2202055), // Rule ID 47145 //
     /* 2202006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2202012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202020 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202020 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2202023 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202027 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202032 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202034 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2202037 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202039 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202042 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202053 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202054 */   // GIR_Coverage, 47145,
     /* 2202054 */   GIR_EraseRootFromParent_Done,
     /* 2202055 */ // Label 29072: @2202055
     /* 2202055 */ GIM_Try, /*On fail goto*//*Label 29073*/ GIMT_Encode4(2202109), // Rule ID 47146 //
     /* 2202060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2202066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202070 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202074 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202074 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2202077 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202081 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202086 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2202091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202093 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202096 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202107 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202108 */   // GIR_Coverage, 47146,
     /* 2202108 */   GIR_EraseRootFromParent_Done,
     /* 2202109 */ // Label 29073: @2202109
     /* 2202109 */ GIM_Try, /*On fail goto*//*Label 29074*/ GIMT_Encode4(2202163), // Rule ID 47179 //
     /* 2202114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2202120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202128 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202128 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2202131 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202135 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202140 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2202145 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202147 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202150 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202161 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202162 */   // GIR_Coverage, 47179,
     /* 2202162 */   GIR_EraseRootFromParent_Done,
     /* 2202163 */ // Label 29074: @2202163
     /* 2202163 */ GIM_Try, /*On fail goto*//*Label 29075*/ GIMT_Encode4(2202217), // Rule ID 47180 //
     /* 2202168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2202174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202182 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202182 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2202185 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202189 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202194 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2202199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202201 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202204 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202216 */   // GIR_Coverage, 47180,
     /* 2202216 */   GIR_EraseRootFromParent_Done,
     /* 2202217 */ // Label 29075: @2202217
     /* 2202217 */ GIM_Reject,
     /* 2202218 */ // Label 29012: @2202218
     /* 2202218 */ GIM_Try, /*On fail goto*//*Label 29076*/ GIMT_Encode4(2202321),
     /* 2202223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2202226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202234 */   GIM_Try, /*On fail goto*//*Label 29077*/ GIMT_Encode4(2202277), // Rule ID 47039 //
     /* 2202239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202242 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2202245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2202259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202276 */     // GIR_Coverage, 47039,
     /* 2202276 */     GIR_EraseRootFromParent_Done,
     /* 2202277 */   // Label 29077: @2202277
     /* 2202277 */   GIM_Try, /*On fail goto*//*Label 29078*/ GIMT_Encode4(2202320), // Rule ID 47040 //
     /* 2202282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202285 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2202288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2202302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202319 */     // GIR_Coverage, 47040,
     /* 2202319 */     GIR_EraseRootFromParent_Done,
     /* 2202320 */   // Label 29078: @2202320
     /* 2202320 */   GIM_Reject,
     /* 2202321 */ // Label 29076: @2202321
     /* 2202321 */ GIM_Reject,
     /* 2202322 */ // Label 29013: @2202322
     /* 2202322 */ GIM_Try, /*On fail goto*//*Label 29079*/ GIMT_Encode4(2202376), // Rule ID 47063 //
     /* 2202327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2202333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202341 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202341 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2202344 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202348 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202353 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2202358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202360 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202363 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202374 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202375 */   // GIR_Coverage, 47063,
     /* 2202375 */   GIR_EraseRootFromParent_Done,
     /* 2202376 */ // Label 29079: @2202376
     /* 2202376 */ GIM_Try, /*On fail goto*//*Label 29080*/ GIMT_Encode4(2202430), // Rule ID 47064 //
     /* 2202381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2202387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202395 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202395 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2202398 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202402 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202407 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2202412 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202414 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202417 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202428 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202429 */   // GIR_Coverage, 47064,
     /* 2202429 */   GIR_EraseRootFromParent_Done,
     /* 2202430 */ // Label 29080: @2202430
     /* 2202430 */ GIM_Try, /*On fail goto*//*Label 29081*/ GIMT_Encode4(2202484), // Rule ID 47129 //
     /* 2202435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2202441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202449 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202449 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2202452 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202456 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202461 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2202466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202468 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202471 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202482 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202483 */   // GIR_Coverage, 47129,
     /* 2202483 */   GIR_EraseRootFromParent_Done,
     /* 2202484 */ // Label 29081: @2202484
     /* 2202484 */ GIM_Try, /*On fail goto*//*Label 29082*/ GIMT_Encode4(2202538), // Rule ID 47130 //
     /* 2202489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2202495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202503 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202503 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2202506 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202510 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202515 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2202520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202522 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202525 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202537 */   // GIR_Coverage, 47130,
     /* 2202537 */   GIR_EraseRootFromParent_Done,
     /* 2202538 */ // Label 29082: @2202538
     /* 2202538 */ GIM_Reject,
     /* 2202539 */ // Label 29014: @2202539
     /* 2202539 */ GIM_Try, /*On fail goto*//*Label 29083*/ GIMT_Encode4(2202593), // Rule ID 47083 //
     /* 2202544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2202550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202558 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202558 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2202561 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202565 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202570 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2202575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202577 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202580 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202591 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202592 */   // GIR_Coverage, 47083,
     /* 2202592 */   GIR_EraseRootFromParent_Done,
     /* 2202593 */ // Label 29083: @2202593
     /* 2202593 */ GIM_Try, /*On fail goto*//*Label 29084*/ GIMT_Encode4(2202647), // Rule ID 47084 //
     /* 2202598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2202604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202612 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202612 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2202615 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202619 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202624 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2202629 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202631 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202634 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202645 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202646 */   // GIR_Coverage, 47084,
     /* 2202646 */   GIR_EraseRootFromParent_Done,
     /* 2202647 */ // Label 29084: @2202647
     /* 2202647 */ GIM_Try, /*On fail goto*//*Label 29085*/ GIMT_Encode4(2202701), // Rule ID 47149 //
     /* 2202652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2202658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202666 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202666 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2202669 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202673 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202678 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2202683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202685 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202688 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202699 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202700 */   // GIR_Coverage, 47149,
     /* 2202700 */   GIR_EraseRootFromParent_Done,
     /* 2202701 */ // Label 29085: @2202701
     /* 2202701 */ GIM_Try, /*On fail goto*//*Label 29086*/ GIMT_Encode4(2202755), // Rule ID 47150 //
     /* 2202706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2202712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202720 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202720 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2202723 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202727 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202732 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2202737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202739 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202742 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202753 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202754 */   // GIR_Coverage, 47150,
     /* 2202754 */   GIR_EraseRootFromParent_Done,
     /* 2202755 */ // Label 29086: @2202755
     /* 2202755 */ GIM_Try, /*On fail goto*//*Label 29087*/ GIMT_Encode4(2202809), // Rule ID 47183 //
     /* 2202760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2202766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202774 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202774 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2202777 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202781 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202786 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2202791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202793 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202796 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202808 */   // GIR_Coverage, 47183,
     /* 2202808 */   GIR_EraseRootFromParent_Done,
     /* 2202809 */ // Label 29087: @2202809
     /* 2202809 */ GIM_Try, /*On fail goto*//*Label 29088*/ GIMT_Encode4(2202863), // Rule ID 47184 //
     /* 2202814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2202820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202828 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202828 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2202831 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202835 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202840 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2202845 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202847 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202850 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202861 */   GIR_RootConstrainSelectedInstOperands,
     /* 2202862 */   // GIR_Coverage, 47184,
     /* 2202862 */   GIR_EraseRootFromParent_Done,
     /* 2202863 */ // Label 29088: @2202863
     /* 2202863 */ GIM_Reject,
     /* 2202864 */ // Label 29015: @2202864
     /* 2202864 */ GIM_Try, /*On fail goto*//*Label 29089*/ GIMT_Encode4(2202967),
     /* 2202869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2202872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202880 */   GIM_Try, /*On fail goto*//*Label 29090*/ GIMT_Encode4(2202923), // Rule ID 47043 //
     /* 2202885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202888 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2202891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2202905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202922 */     // GIR_Coverage, 47043,
     /* 2202922 */     GIR_EraseRootFromParent_Done,
     /* 2202923 */   // Label 29090: @2202923
     /* 2202923 */   GIM_Try, /*On fail goto*//*Label 29091*/ GIMT_Encode4(2202966), // Rule ID 47044 //
     /* 2202928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202931 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2202934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2202948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2202955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202965 */     // GIR_Coverage, 47044,
     /* 2202965 */     GIR_EraseRootFromParent_Done,
     /* 2202966 */   // Label 29091: @2202966
     /* 2202966 */   GIM_Reject,
     /* 2202967 */ // Label 29089: @2202967
     /* 2202967 */ GIM_Reject,
     /* 2202968 */ // Label 29016: @2202968
     /* 2202968 */ GIM_Try, /*On fail goto*//*Label 29092*/ GIMT_Encode4(2203022), // Rule ID 47067 //
     /* 2202973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2202979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202987 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202987 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2202990 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202994 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202999 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2203004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203006 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203009 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203021 */   // GIR_Coverage, 47067,
     /* 2203021 */   GIR_EraseRootFromParent_Done,
     /* 2203022 */ // Label 29092: @2203022
     /* 2203022 */ GIM_Try, /*On fail goto*//*Label 29093*/ GIMT_Encode4(2203076), // Rule ID 47068 //
     /* 2203027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2203033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203041 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203041 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2203044 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203048 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203053 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2203058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203060 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203063 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203074 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203075 */   // GIR_Coverage, 47068,
     /* 2203075 */   GIR_EraseRootFromParent_Done,
     /* 2203076 */ // Label 29093: @2203076
     /* 2203076 */ GIM_Try, /*On fail goto*//*Label 29094*/ GIMT_Encode4(2203130), // Rule ID 47133 //
     /* 2203081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2203087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203095 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203095 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2203098 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203102 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203107 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2203112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203114 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203117 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203128 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203129 */   // GIR_Coverage, 47133,
     /* 2203129 */   GIR_EraseRootFromParent_Done,
     /* 2203130 */ // Label 29094: @2203130
     /* 2203130 */ GIM_Try, /*On fail goto*//*Label 29095*/ GIMT_Encode4(2203184), // Rule ID 47134 //
     /* 2203135 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2203141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203149 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203149 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2203152 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203156 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203161 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2203166 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203168 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203171 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203182 */   GIR_RootConstrainSelectedInstOperands,
     /* 2203183 */   // GIR_Coverage, 47134,
     /* 2203183 */   GIR_EraseRootFromParent_Done,
     /* 2203184 */ // Label 29095: @2203184
     /* 2203184 */ GIM_Reject,
     /* 2203185 */ // Label 29017: @2203185
     /* 2203185 */ GIM_Try, /*On fail goto*//*Label 29096*/ GIMT_Encode4(2203288),
     /* 2203190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2203193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203201 */   GIM_Try, /*On fail goto*//*Label 29097*/ GIMT_Encode4(2203244), // Rule ID 47047 //
     /* 2203206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203209 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2203212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2203226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203243 */     // GIR_Coverage, 47047,
     /* 2203243 */     GIR_EraseRootFromParent_Done,
     /* 2203244 */   // Label 29097: @2203244
     /* 2203244 */   GIM_Try, /*On fail goto*//*Label 29098*/ GIMT_Encode4(2203287), // Rule ID 47048 //
     /* 2203249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203252 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2203255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2203269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2203276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203286 */     // GIR_Coverage, 47048,
     /* 2203286 */     GIR_EraseRootFromParent_Done,
     /* 2203287 */   // Label 29098: @2203287
     /* 2203287 */   GIM_Reject,
     /* 2203288 */ // Label 29096: @2203288
     /* 2203288 */ GIM_Reject,
     /* 2203289 */ // Label 29018: @2203289
     /* 2203289 */ GIM_Reject,
     /* 2203290 */ // Label 43: @2203290
     /* 2203290 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29123*/ GIMT_Encode4(2211885),
     /* 2203301 */ /*GILLT_s32*//*Label 29099*/ GIMT_Encode4(2203425),
     /* 2203305 */ /*GILLT_s64*//*Label 29100*/ GIMT_Encode4(2203550), GIMT_Encode4(0),
     /* 2203313 */ /*GILLT_nxv1s8*//*Label 29101*/ GIMT_Encode4(2203895),
     /* 2203317 */ /*GILLT_nxv1s16*//*Label 29102*/ GIMT_Encode4(2204010),
     /* 2203321 */ /*GILLT_nxv1s32*//*Label 29103*/ GIMT_Encode4(2204489),
     /* 2203325 */ /*GILLT_nxv1s64*//*Label 29104*/ GIMT_Encode4(2204968), GIMT_Encode4(0),
     /* 2203333 */ /*GILLT_nxv2s8*//*Label 29105*/ GIMT_Encode4(2205447),
     /* 2203337 */ /*GILLT_nxv2s16*//*Label 29106*/ GIMT_Encode4(2205562),
     /* 2203341 */ /*GILLT_nxv2s32*//*Label 29107*/ GIMT_Encode4(2206041),
     /* 2203345 */ /*GILLT_nxv2s64*//*Label 29108*/ GIMT_Encode4(2206520), GIMT_Encode4(0),
     /* 2203353 */ /*GILLT_nxv4s8*//*Label 29109*/ GIMT_Encode4(2206999),
     /* 2203357 */ /*GILLT_nxv4s16*//*Label 29110*/ GIMT_Encode4(2207114),
     /* 2203361 */ /*GILLT_nxv4s32*//*Label 29111*/ GIMT_Encode4(2207593),
     /* 2203365 */ /*GILLT_nxv4s64*//*Label 29112*/ GIMT_Encode4(2208072), GIMT_Encode4(0),
     /* 2203373 */ /*GILLT_nxv8s8*//*Label 29113*/ GIMT_Encode4(2208551),
     /* 2203377 */ /*GILLT_nxv8s16*//*Label 29114*/ GIMT_Encode4(2208666),
     /* 2203381 */ /*GILLT_nxv8s32*//*Label 29115*/ GIMT_Encode4(2209145),
     /* 2203385 */ /*GILLT_nxv8s64*//*Label 29116*/ GIMT_Encode4(2209624), GIMT_Encode4(0),
     /* 2203393 */ /*GILLT_nxv16s8*//*Label 29117*/ GIMT_Encode4(2210103),
     /* 2203397 */ /*GILLT_nxv16s16*//*Label 29118*/ GIMT_Encode4(2210218),
     /* 2203401 */ /*GILLT_nxv16s32*//*Label 29119*/ GIMT_Encode4(2210697), GIMT_Encode4(0),
     /* 2203409 */ /*GILLT_nxv32s8*//*Label 29120*/ GIMT_Encode4(2211176),
     /* 2203413 */ /*GILLT_nxv32s16*//*Label 29121*/ GIMT_Encode4(2211291), GIMT_Encode4(0),
     /* 2203421 */ /*GILLT_nxv64s8*//*Label 29122*/ GIMT_Encode4(2211770),
     /* 2203425 */ // Label 29099: @2203425
     /* 2203425 */ GIM_Try, /*On fail goto*//*Label 29124*/ GIMT_Encode4(2203549),
     /* 2203430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2203433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2203436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2203440 */   GIM_Try, /*On fail goto*//*Label 29125*/ GIMT_Encode4(2203477), // Rule ID 2340 //
     /* 2203445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /* 2203448 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2203452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2203459 */     // (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2)
     /* 2203459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2203462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203464 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2203470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2203475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203476 */     // GIR_Coverage, 2340,
     /* 2203476 */     GIR_EraseRootFromParent_Done,
     /* 2203477 */   // Label 29125: @2203477
     /* 2203477 */   GIM_Try, /*On fail goto*//*Label 29126*/ GIMT_Encode4(2203515), // Rule ID 91 //
     /* 2203482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2203485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2203489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2203493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2203497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2203501 */     // MIs[1] Operand 1
     /* 2203501 */     // No operand predicates
     /* 2203501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2203503 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2203503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2203506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2203513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203514 */     // GIR_Coverage, 91,
     /* 2203514 */     GIR_EraseRootFromParent_Done,
     /* 2203515 */   // Label 29126: @2203515
     /* 2203515 */   GIM_Try, /*On fail goto*//*Label 29127*/ GIMT_Encode4(2203548), // Rule ID 105 //
     /* 2203520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2203523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2203527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2203534 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SLL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2203534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2203537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2203546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203547 */     // GIR_Coverage, 105,
     /* 2203547 */     GIR_EraseRootFromParent_Done,
     /* 2203548 */   // Label 29127: @2203548
     /* 2203548 */   GIM_Reject,
     /* 2203549 */ // Label 29124: @2203549
     /* 2203549 */ GIM_Reject,
     /* 2203550 */ // Label 29100: @2203550
     /* 2203550 */ GIM_Try, /*On fail goto*//*Label 29128*/ GIMT_Encode4(2203894),
     /* 2203555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2203558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2203561 */   GIM_Try, /*On fail goto*//*Label 29129*/ GIMT_Encode4(2203655), // Rule ID 253 //
     /* 2203566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2203569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2203573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2203577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2203581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2203585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2203589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2203594 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2203605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2203609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2203613 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2203617 */     // MIs[2] Operand 1
     /* 2203617 */     // No operand predicates
     /* 2203617 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2203619 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt))
     /* 2203619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2203622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2203626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203631 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2203635 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2203638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2203643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203648 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // shamt
     /* 2203653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203654 */     // GIR_Coverage, 253,
     /* 2203654 */     GIR_EraseRootFromParent_Done,
     /* 2203655 */   // Label 29129: @2203655
     /* 2203655 */   GIM_Try, /*On fail goto*//*Label 29130*/ GIMT_Encode4(2203727), // Rule ID 2458 //
     /* 2203660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2203663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2203667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2203671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2203675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2203679 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2203683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2203688 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2203699 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2203703 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2203707 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2203711 */     // MIs[2] Operand 1
     /* 2203711 */     // No operand predicates
     /* 2203711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2203713 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SLLI_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2203713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /* 2203716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2203722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2203725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203726 */     // GIR_Coverage, 2458,
     /* 2203726 */     GIR_EraseRootFromParent_Done,
     /* 2203727 */   // Label 29130: @2203727
     /* 2203727 */   GIM_Try, /*On fail goto*//*Label 29131*/ GIMT_Encode4(2203768), // Rule ID 2339 //
     /* 2203732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /* 2203735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2203739 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2203743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2203750 */     // (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2)
     /* 2203750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2203753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203755 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2203761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2203766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203767 */     // GIR_Coverage, 2339,
     /* 2203767 */     GIR_EraseRootFromParent_Done,
     /* 2203768 */   // Label 29131: @2203768
     /* 2203768 */   GIM_Try, /*On fail goto*//*Label 29132*/ GIMT_Encode4(2203814), // Rule ID 268 //
     /* 2203773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2203776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2203780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2203784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2203788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2203792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2203796 */     // MIs[1] Operand 1
     /* 2203796 */     // No operand predicates
     /* 2203796 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10011),
     /* 2203800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2203802 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)<<P:Predicate_anonymous_10011>>  =>  (SLLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2203802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLIW),
     /* 2203805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2203812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203813 */     // GIR_Coverage, 268,
     /* 2203813 */     GIR_EraseRootFromParent_Done,
     /* 2203814 */   // Label 29132: @2203814
     /* 2203814 */   GIM_Try, /*On fail goto*//*Label 29133*/ GIMT_Encode4(2203856), // Rule ID 90 //
     /* 2203819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2203822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2203826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2203830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2203834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2203838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2203842 */     // MIs[1] Operand 1
     /* 2203842 */     // No operand predicates
     /* 2203842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2203844 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2203844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2203847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2203854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203855 */     // GIR_Coverage, 90,
     /* 2203855 */     GIR_EraseRootFromParent_Done,
     /* 2203856 */   // Label 29133: @2203856
     /* 2203856 */   GIM_Try, /*On fail goto*//*Label 29134*/ GIMT_Encode4(2203893), // Rule ID 104 //
     /* 2203861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2203864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2203868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2203872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2203879 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2203879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2203882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2203891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203892 */     // GIR_Coverage, 104,
     /* 2203892 */     GIR_EraseRootFromParent_Done,
     /* 2203893 */   // Label 29134: @2203893
     /* 2203893 */   GIM_Reject,
     /* 2203894 */ // Label 29128: @2203894
     /* 2203894 */ GIM_Reject,
     /* 2203895 */ // Label 29101: @2203895
     /* 2203895 */ GIM_Try, /*On fail goto*//*Label 29135*/ GIMT_Encode4(2204009),
     /* 2203900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2203903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2203906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203918 */   GIM_Try, /*On fail goto*//*Label 29136*/ GIMT_Encode4(2203963), // Rule ID 47591 //
     /* 2203923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203926 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2203929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2203943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2203952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203962 */     // GIR_Coverage, 47591,
     /* 2203962 */     GIR_EraseRootFromParent_Done,
     /* 2203963 */   // Label 29136: @2203963
     /* 2203963 */   GIM_Try, /*On fail goto*//*Label 29137*/ GIMT_Encode4(2204008), // Rule ID 47592 //
     /* 2203968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203971 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2203974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2203988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2203997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204007 */     // GIR_Coverage, 47592,
     /* 2204007 */     GIR_EraseRootFromParent_Done,
     /* 2204008 */   // Label 29137: @2204008
     /* 2204008 */   GIM_Reject,
     /* 2204009 */ // Label 29135: @2204009
     /* 2204009 */ GIM_Reject,
     /* 2204010 */ // Label 29102: @2204010
     /* 2204010 */ GIM_Try, /*On fail goto*//*Label 29138*/ GIMT_Encode4(2204488),
     /* 2204015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2204018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2204021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204025 */   GIM_Try, /*On fail goto*//*Label 29139*/ GIMT_Encode4(2204114), // Rule ID 58899 //
     /* 2204030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2204033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2204045 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2204047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2204060 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2204064 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2204066 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204073 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2204076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2204090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2204099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2204103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204113 */     // GIR_Coverage, 58899,
     /* 2204113 */     GIR_EraseRootFromParent_Done,
     /* 2204114 */   // Label 29139: @2204114
     /* 2204114 */   GIM_Try, /*On fail goto*//*Label 29140*/ GIMT_Encode4(2204203), // Rule ID 58900 //
     /* 2204119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2204122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2204134 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2204136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2204149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2204153 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2204155 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204160 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204162 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2204165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2204179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2204188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2204192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204202 */     // GIR_Coverage, 58900,
     /* 2204202 */     GIR_EraseRootFromParent_Done,
     /* 2204203 */   // Label 29140: @2204203
     /* 2204203 */   GIM_Try, /*On fail goto*//*Label 29141*/ GIMT_Encode4(2204292), // Rule ID 58901 //
     /* 2204208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2204211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2204223 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2204225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2204242 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2204244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204251 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2204254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2204268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2204277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2204281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204291 */     // GIR_Coverage, 58901,
     /* 2204291 */     GIR_EraseRootFromParent_Done,
     /* 2204292 */   // Label 29141: @2204292
     /* 2204292 */   GIM_Try, /*On fail goto*//*Label 29142*/ GIMT_Encode4(2204381), // Rule ID 58902 //
     /* 2204297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2204300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2204312 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2204314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2204331 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2204333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204340 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2204343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2204357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2204366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2204370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204380 */     // GIR_Coverage, 58902,
     /* 2204380 */     GIR_EraseRootFromParent_Done,
     /* 2204381 */   // Label 29142: @2204381
     /* 2204381 */   GIM_Try, /*On fail goto*//*Label 29143*/ GIMT_Encode4(2204434), // Rule ID 47603 //
     /* 2204386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204397 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2204400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2204414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2204421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2204423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204433 */     // GIR_Coverage, 47603,
     /* 2204433 */     GIR_EraseRootFromParent_Done,
     /* 2204434 */   // Label 29143: @2204434
     /* 2204434 */   GIM_Try, /*On fail goto*//*Label 29144*/ GIMT_Encode4(2204487), // Rule ID 47604 //
     /* 2204439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204450 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2204453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2204467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2204474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2204476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204486 */     // GIR_Coverage, 47604,
     /* 2204486 */     GIR_EraseRootFromParent_Done,
     /* 2204487 */   // Label 29144: @2204487
     /* 2204487 */   GIM_Reject,
     /* 2204488 */ // Label 29138: @2204488
     /* 2204488 */ GIM_Reject,
     /* 2204489 */ // Label 29103: @2204489
     /* 2204489 */ GIM_Try, /*On fail goto*//*Label 29145*/ GIMT_Encode4(2204967),
     /* 2204494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2204497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2204500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204504 */   GIM_Try, /*On fail goto*//*Label 29146*/ GIMT_Encode4(2204593), // Rule ID 58947 //
     /* 2204509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2204512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2204524 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2204526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2204539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2204543 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2204545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204550 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204552 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2204555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2204569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2204578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2204582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204592 */     // GIR_Coverage, 58947,
     /* 2204592 */     GIR_EraseRootFromParent_Done,
     /* 2204593 */   // Label 29146: @2204593
     /* 2204593 */   GIM_Try, /*On fail goto*//*Label 29147*/ GIMT_Encode4(2204682), // Rule ID 58948 //
     /* 2204598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2204601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2204613 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2204615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2204628 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2204632 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2204634 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204639 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204641 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2204644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2204658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2204667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2204671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204681 */     // GIR_Coverage, 58948,
     /* 2204681 */     GIR_EraseRootFromParent_Done,
     /* 2204682 */   // Label 29147: @2204682
     /* 2204682 */   GIM_Try, /*On fail goto*//*Label 29148*/ GIMT_Encode4(2204771), // Rule ID 58949 //
     /* 2204687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2204690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2204702 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2204704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204717 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2204721 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2204723 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204728 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204730 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2204733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2204747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2204756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2204760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204770 */     // GIR_Coverage, 58949,
     /* 2204770 */     GIR_EraseRootFromParent_Done,
     /* 2204771 */   // Label 29148: @2204771
     /* 2204771 */   GIM_Try, /*On fail goto*//*Label 29149*/ GIMT_Encode4(2204860), // Rule ID 58950 //
     /* 2204776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2204779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2204791 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2204793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204806 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2204810 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2204812 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204817 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204819 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2204822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2204836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2204845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2204849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204859 */     // GIR_Coverage, 58950,
     /* 2204859 */     GIR_EraseRootFromParent_Done,
     /* 2204860 */   // Label 29149: @2204860
     /* 2204860 */   GIM_Try, /*On fail goto*//*Label 29150*/ GIMT_Encode4(2204913), // Rule ID 47611 //
     /* 2204865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204876 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2204879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2204893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2204900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2204902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204912 */     // GIR_Coverage, 47611,
     /* 2204912 */     GIR_EraseRootFromParent_Done,
     /* 2204913 */   // Label 29150: @2204913
     /* 2204913 */   GIM_Try, /*On fail goto*//*Label 29151*/ GIMT_Encode4(2204966), // Rule ID 47612 //
     /* 2204918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204929 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2204932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2204946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2204953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2204955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204965 */     // GIR_Coverage, 47612,
     /* 2204965 */     GIR_EraseRootFromParent_Done,
     /* 2204966 */   // Label 29151: @2204966
     /* 2204966 */   GIM_Reject,
     /* 2204967 */ // Label 29145: @2204967
     /* 2204967 */ GIM_Reject,
     /* 2204968 */ // Label 29104: @2204968
     /* 2204968 */ GIM_Try, /*On fail goto*//*Label 29152*/ GIMT_Encode4(2205446),
     /* 2204973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2204976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2204979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204983 */   GIM_Try, /*On fail goto*//*Label 29153*/ GIMT_Encode4(2205072), // Rule ID 58987 //
     /* 2204988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2204991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2205003 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2205018 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2205022 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205024 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205029 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205031 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2205034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2205048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2205067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205071 */     // GIR_Coverage, 58987,
     /* 2205071 */     GIR_EraseRootFromParent_Done,
     /* 2205072 */   // Label 29153: @2205072
     /* 2205072 */   GIM_Try, /*On fail goto*//*Label 29154*/ GIMT_Encode4(2205161), // Rule ID 58988 //
     /* 2205077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2205080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2205092 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205099 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205103 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2205107 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2205111 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205113 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205118 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205120 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2205123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2205137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2205156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205160 */     // GIR_Coverage, 58988,
     /* 2205160 */     GIR_EraseRootFromParent_Done,
     /* 2205161 */   // Label 29154: @2205161
     /* 2205161 */   GIM_Try, /*On fail goto*//*Label 29155*/ GIMT_Encode4(2205250), // Rule ID 58989 //
     /* 2205166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2205169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2205181 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205188 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205192 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205196 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2205200 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205202 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205207 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205209 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2205212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2205226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2205245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205249 */     // GIR_Coverage, 58989,
     /* 2205249 */     GIR_EraseRootFromParent_Done,
     /* 2205250 */   // Label 29155: @2205250
     /* 2205250 */   GIM_Try, /*On fail goto*//*Label 29156*/ GIMT_Encode4(2205339), // Rule ID 58990 //
     /* 2205255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2205258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2205270 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2205289 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205291 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205296 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205298 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2205301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2205315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2205334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205338 */     // GIR_Coverage, 58990,
     /* 2205338 */     GIR_EraseRootFromParent_Done,
     /* 2205339 */   // Label 29156: @2205339
     /* 2205339 */   GIM_Try, /*On fail goto*//*Label 29157*/ GIMT_Encode4(2205392), // Rule ID 47627 //
     /* 2205344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2205347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205355 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2205358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2205372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2205387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205391 */     // GIR_Coverage, 47627,
     /* 2205391 */     GIR_EraseRootFromParent_Done,
     /* 2205392 */   // Label 29157: @2205392
     /* 2205392 */   GIM_Try, /*On fail goto*//*Label 29158*/ GIMT_Encode4(2205445), // Rule ID 47628 //
     /* 2205397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2205400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205408 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2205411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2205425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2205440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205444 */     // GIR_Coverage, 47628,
     /* 2205444 */     GIR_EraseRootFromParent_Done,
     /* 2205445 */   // Label 29158: @2205445
     /* 2205445 */   GIM_Reject,
     /* 2205446 */ // Label 29152: @2205446
     /* 2205446 */ GIM_Reject,
     /* 2205447 */ // Label 29105: @2205447
     /* 2205447 */ GIM_Try, /*On fail goto*//*Label 29159*/ GIMT_Encode4(2205561),
     /* 2205452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2205455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2205458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205466 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205470 */   GIM_Try, /*On fail goto*//*Label 29160*/ GIMT_Encode4(2205515), // Rule ID 47595 //
     /* 2205475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2205478 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2205481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2205495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205514 */     // GIR_Coverage, 47595,
     /* 2205514 */     GIR_EraseRootFromParent_Done,
     /* 2205515 */   // Label 29160: @2205515
     /* 2205515 */   GIM_Try, /*On fail goto*//*Label 29161*/ GIMT_Encode4(2205560), // Rule ID 47596 //
     /* 2205520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2205523 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2205526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2205540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205559 */     // GIR_Coverage, 47596,
     /* 2205559 */     GIR_EraseRootFromParent_Done,
     /* 2205560 */   // Label 29161: @2205560
     /* 2205560 */   GIM_Reject,
     /* 2205561 */ // Label 29159: @2205561
     /* 2205561 */ GIM_Reject,
     /* 2205562 */ // Label 29106: @2205562
     /* 2205562 */ GIM_Try, /*On fail goto*//*Label 29162*/ GIMT_Encode4(2206040),
     /* 2205567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2205570 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2205573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205577 */   GIM_Try, /*On fail goto*//*Label 29163*/ GIMT_Encode4(2205666), // Rule ID 58907 //
     /* 2205582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2205585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2205597 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2205612 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2205616 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205618 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205623 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205625 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2205628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2205642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205665 */     // GIR_Coverage, 58907,
     /* 2205665 */     GIR_EraseRootFromParent_Done,
     /* 2205666 */   // Label 29163: @2205666
     /* 2205666 */   GIM_Try, /*On fail goto*//*Label 29164*/ GIMT_Encode4(2205755), // Rule ID 58908 //
     /* 2205671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2205674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2205686 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2205701 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2205705 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205707 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205712 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205714 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2205717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2205731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205754 */     // GIR_Coverage, 58908,
     /* 2205754 */     GIR_EraseRootFromParent_Done,
     /* 2205755 */   // Label 29164: @2205755
     /* 2205755 */   GIM_Try, /*On fail goto*//*Label 29165*/ GIMT_Encode4(2205844), // Rule ID 58909 //
     /* 2205760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2205763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2205775 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205782 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205786 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205790 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2205794 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205796 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205801 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205803 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2205806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2205820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205843 */     // GIR_Coverage, 58909,
     /* 2205843 */     GIR_EraseRootFromParent_Done,
     /* 2205844 */   // Label 29165: @2205844
     /* 2205844 */   GIM_Try, /*On fail goto*//*Label 29166*/ GIMT_Encode4(2205933), // Rule ID 58910 //
     /* 2205849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2205852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2205864 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205866 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205871 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205875 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205879 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2205883 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205885 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205890 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205892 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2205895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2205909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205932 */     // GIR_Coverage, 58910,
     /* 2205932 */     GIR_EraseRootFromParent_Done,
     /* 2205933 */   // Label 29166: @2205933
     /* 2205933 */   GIM_Try, /*On fail goto*//*Label 29167*/ GIMT_Encode4(2205986), // Rule ID 47607 //
     /* 2205938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2205941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205949 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2205952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2205966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205985 */     // GIR_Coverage, 47607,
     /* 2205985 */     GIR_EraseRootFromParent_Done,
     /* 2205986 */   // Label 29167: @2205986
     /* 2205986 */   GIM_Try, /*On fail goto*//*Label 29168*/ GIMT_Encode4(2206039), // Rule ID 47608 //
     /* 2205991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2205994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206002 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2206005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2206019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206038 */     // GIR_Coverage, 47608,
     /* 2206038 */     GIR_EraseRootFromParent_Done,
     /* 2206039 */   // Label 29168: @2206039
     /* 2206039 */   GIM_Reject,
     /* 2206040 */ // Label 29162: @2206040
     /* 2206040 */ GIM_Reject,
     /* 2206041 */ // Label 29107: @2206041
     /* 2206041 */ GIM_Try, /*On fail goto*//*Label 29169*/ GIMT_Encode4(2206519),
     /* 2206046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2206049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2206052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206056 */   GIM_Try, /*On fail goto*//*Label 29170*/ GIMT_Encode4(2206145), // Rule ID 58955 //
     /* 2206061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2206064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2206076 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2206095 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206097 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206102 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206104 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2206107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206144 */     // GIR_Coverage, 58955,
     /* 2206144 */     GIR_EraseRootFromParent_Done,
     /* 2206145 */   // Label 29170: @2206145
     /* 2206145 */   GIM_Try, /*On fail goto*//*Label 29171*/ GIMT_Encode4(2206234), // Rule ID 58956 //
     /* 2206150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2206153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2206165 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2206184 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206193 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2206196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206233 */     // GIR_Coverage, 58956,
     /* 2206233 */     GIR_EraseRootFromParent_Done,
     /* 2206234 */   // Label 29171: @2206234
     /* 2206234 */   GIM_Try, /*On fail goto*//*Label 29172*/ GIMT_Encode4(2206323), // Rule ID 58957 //
     /* 2206239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2206242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2206254 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206269 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2206273 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206282 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2206285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206322 */     // GIR_Coverage, 58957,
     /* 2206322 */     GIR_EraseRootFromParent_Done,
     /* 2206323 */   // Label 29172: @2206323
     /* 2206323 */   GIM_Try, /*On fail goto*//*Label 29173*/ GIMT_Encode4(2206412), // Rule ID 58958 //
     /* 2206328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2206331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2206343 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2206362 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206364 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206371 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2206374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2206388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206411 */     // GIR_Coverage, 58958,
     /* 2206411 */     GIR_EraseRootFromParent_Done,
     /* 2206412 */   // Label 29173: @2206412
     /* 2206412 */   GIM_Try, /*On fail goto*//*Label 29174*/ GIMT_Encode4(2206465), // Rule ID 47623 //
     /* 2206417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206428 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2206431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2206445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206464 */     // GIR_Coverage, 47623,
     /* 2206464 */     GIR_EraseRootFromParent_Done,
     /* 2206465 */   // Label 29174: @2206465
     /* 2206465 */   GIM_Try, /*On fail goto*//*Label 29175*/ GIMT_Encode4(2206518), // Rule ID 47624 //
     /* 2206470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206481 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2206484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2206498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206517 */     // GIR_Coverage, 47624,
     /* 2206517 */     GIR_EraseRootFromParent_Done,
     /* 2206518 */   // Label 29175: @2206518
     /* 2206518 */   GIM_Reject,
     /* 2206519 */ // Label 29169: @2206519
     /* 2206519 */ GIM_Reject,
     /* 2206520 */ // Label 29108: @2206520
     /* 2206520 */ GIM_Try, /*On fail goto*//*Label 29176*/ GIMT_Encode4(2206998),
     /* 2206525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2206528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2206531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2206535 */   GIM_Try, /*On fail goto*//*Label 29177*/ GIMT_Encode4(2206624), // Rule ID 58995 //
     /* 2206540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2206543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2206555 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2206574 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206576 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206581 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206583 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2206586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2206600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206623 */     // GIR_Coverage, 58995,
     /* 2206623 */     GIR_EraseRootFromParent_Done,
     /* 2206624 */   // Label 29177: @2206624
     /* 2206624 */   GIM_Try, /*On fail goto*//*Label 29178*/ GIMT_Encode4(2206713), // Rule ID 58996 //
     /* 2206629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2206632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2206644 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2206663 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206665 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206670 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206672 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2206675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2206689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206712 */     // GIR_Coverage, 58996,
     /* 2206712 */     GIR_EraseRootFromParent_Done,
     /* 2206713 */   // Label 29178: @2206713
     /* 2206713 */   GIM_Try, /*On fail goto*//*Label 29179*/ GIMT_Encode4(2206802), // Rule ID 58997 //
     /* 2206718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2206721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2206733 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2206752 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206754 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206761 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2206764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2206778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206801 */     // GIR_Coverage, 58997,
     /* 2206801 */     GIR_EraseRootFromParent_Done,
     /* 2206802 */   // Label 29179: @2206802
     /* 2206802 */   GIM_Try, /*On fail goto*//*Label 29180*/ GIMT_Encode4(2206891), // Rule ID 58998 //
     /* 2206807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2206810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2206822 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2206841 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206848 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206850 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2206853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2206867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206890 */     // GIR_Coverage, 58998,
     /* 2206890 */     GIR_EraseRootFromParent_Done,
     /* 2206891 */   // Label 29180: @2206891
     /* 2206891 */   GIM_Try, /*On fail goto*//*Label 29181*/ GIMT_Encode4(2206944), // Rule ID 47667 //
     /* 2206896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2206899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2206903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2206907 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2206910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2206924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2206939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206943 */     // GIR_Coverage, 47667,
     /* 2206943 */     GIR_EraseRootFromParent_Done,
     /* 2206944 */   // Label 29181: @2206944
     /* 2206944 */   GIM_Try, /*On fail goto*//*Label 29182*/ GIMT_Encode4(2206997), // Rule ID 47668 //
     /* 2206949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2206952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2206956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2206960 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2206963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2206977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2206992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206996 */     // GIR_Coverage, 47668,
     /* 2206996 */     GIR_EraseRootFromParent_Done,
     /* 2206997 */   // Label 29182: @2206997
     /* 2206997 */   GIM_Reject,
     /* 2206998 */ // Label 29176: @2206998
     /* 2206998 */ GIM_Reject,
     /* 2206999 */ // Label 29109: @2206999
     /* 2206999 */ GIM_Try, /*On fail goto*//*Label 29183*/ GIMT_Encode4(2207113),
     /* 2207004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2207007 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2207010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207018 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207022 */   GIM_Try, /*On fail goto*//*Label 29184*/ GIMT_Encode4(2207067), // Rule ID 47599 //
     /* 2207027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207030 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2207033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2207047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207066 */     // GIR_Coverage, 47599,
     /* 2207066 */     GIR_EraseRootFromParent_Done,
     /* 2207067 */   // Label 29184: @2207067
     /* 2207067 */   GIM_Try, /*On fail goto*//*Label 29185*/ GIMT_Encode4(2207112), // Rule ID 47600 //
     /* 2207072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207075 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2207078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2207092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207111 */     // GIR_Coverage, 47600,
     /* 2207111 */     GIR_EraseRootFromParent_Done,
     /* 2207112 */   // Label 29185: @2207112
     /* 2207112 */   GIM_Reject,
     /* 2207113 */ // Label 29183: @2207113
     /* 2207113 */ GIM_Reject,
     /* 2207114 */ // Label 29110: @2207114
     /* 2207114 */ GIM_Try, /*On fail goto*//*Label 29186*/ GIMT_Encode4(2207592),
     /* 2207119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2207122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2207125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207129 */   GIM_Try, /*On fail goto*//*Label 29187*/ GIMT_Encode4(2207218), // Rule ID 58915 //
     /* 2207134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2207137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2207149 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2207168 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207170 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207175 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207177 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2207180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2207194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207217 */     // GIR_Coverage, 58915,
     /* 2207217 */     GIR_EraseRootFromParent_Done,
     /* 2207218 */   // Label 29187: @2207218
     /* 2207218 */   GIM_Try, /*On fail goto*//*Label 29188*/ GIMT_Encode4(2207307), // Rule ID 58916 //
     /* 2207223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2207226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2207238 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207245 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207249 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207253 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2207257 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207259 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207264 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207266 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2207269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2207283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207306 */     // GIR_Coverage, 58916,
     /* 2207306 */     GIR_EraseRootFromParent_Done,
     /* 2207307 */   // Label 29188: @2207307
     /* 2207307 */   GIM_Try, /*On fail goto*//*Label 29189*/ GIMT_Encode4(2207396), // Rule ID 58917 //
     /* 2207312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2207315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2207327 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207334 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207338 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207342 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2207346 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207348 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207353 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207355 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2207358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2207372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207395 */     // GIR_Coverage, 58917,
     /* 2207395 */     GIR_EraseRootFromParent_Done,
     /* 2207396 */   // Label 29189: @2207396
     /* 2207396 */   GIM_Try, /*On fail goto*//*Label 29190*/ GIMT_Encode4(2207485), // Rule ID 58918 //
     /* 2207401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2207404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2207416 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207423 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207427 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207431 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2207435 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207437 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207444 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2207447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2207461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207484 */     // GIR_Coverage, 58918,
     /* 2207484 */     GIR_EraseRootFromParent_Done,
     /* 2207485 */   // Label 29190: @2207485
     /* 2207485 */   GIM_Try, /*On fail goto*//*Label 29191*/ GIMT_Encode4(2207538), // Rule ID 47619 //
     /* 2207490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207501 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2207504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2207518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207537 */     // GIR_Coverage, 47619,
     /* 2207537 */     GIR_EraseRootFromParent_Done,
     /* 2207538 */   // Label 29191: @2207538
     /* 2207538 */   GIM_Try, /*On fail goto*//*Label 29192*/ GIMT_Encode4(2207591), // Rule ID 47620 //
     /* 2207543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207554 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2207557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2207571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207590 */     // GIR_Coverage, 47620,
     /* 2207590 */     GIR_EraseRootFromParent_Done,
     /* 2207591 */   // Label 29192: @2207591
     /* 2207591 */   GIM_Reject,
     /* 2207592 */ // Label 29186: @2207592
     /* 2207592 */ GIM_Reject,
     /* 2207593 */ // Label 29111: @2207593
     /* 2207593 */ GIM_Try, /*On fail goto*//*Label 29193*/ GIMT_Encode4(2208071),
     /* 2207598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2207601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2207604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207608 */   GIM_Try, /*On fail goto*//*Label 29194*/ GIMT_Encode4(2207697), // Rule ID 58963 //
     /* 2207613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2207616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2207628 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2207647 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207649 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207654 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207656 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2207659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2207673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207696 */     // GIR_Coverage, 58963,
     /* 2207696 */     GIR_EraseRootFromParent_Done,
     /* 2207697 */   // Label 29194: @2207697
     /* 2207697 */   GIM_Try, /*On fail goto*//*Label 29195*/ GIMT_Encode4(2207786), // Rule ID 58964 //
     /* 2207702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2207705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2207717 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2207732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2207736 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207738 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207743 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207745 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2207748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2207762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207785 */     // GIR_Coverage, 58964,
     /* 2207785 */     GIR_EraseRootFromParent_Done,
     /* 2207786 */   // Label 29195: @2207786
     /* 2207786 */   GIM_Try, /*On fail goto*//*Label 29196*/ GIMT_Encode4(2207875), // Rule ID 58965 //
     /* 2207791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2207794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2207806 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2207825 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207832 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207834 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2207837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2207851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207874 */     // GIR_Coverage, 58965,
     /* 2207874 */     GIR_EraseRootFromParent_Done,
     /* 2207875 */   // Label 29196: @2207875
     /* 2207875 */   GIM_Try, /*On fail goto*//*Label 29197*/ GIMT_Encode4(2207964), // Rule ID 58966 //
     /* 2207880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2207883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2207895 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2207897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2207910 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2207914 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2207916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207923 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2207926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2207940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2207949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2207953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207963 */     // GIR_Coverage, 58966,
     /* 2207963 */     GIR_EraseRootFromParent_Done,
     /* 2207964 */   // Label 29197: @2207964
     /* 2207964 */   GIM_Try, /*On fail goto*//*Label 29198*/ GIMT_Encode4(2208017), // Rule ID 47655 //
     /* 2207969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207980 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2207983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2207997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208016 */     // GIR_Coverage, 47655,
     /* 2208016 */     GIR_EraseRootFromParent_Done,
     /* 2208017 */   // Label 29198: @2208017
     /* 2208017 */   GIM_Try, /*On fail goto*//*Label 29199*/ GIMT_Encode4(2208070), // Rule ID 47656 //
     /* 2208022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208033 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2208036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2208050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208069 */     // GIR_Coverage, 47656,
     /* 2208069 */     GIR_EraseRootFromParent_Done,
     /* 2208070 */   // Label 29199: @2208070
     /* 2208070 */   GIM_Reject,
     /* 2208071 */ // Label 29193: @2208071
     /* 2208071 */ GIM_Reject,
     /* 2208072 */ // Label 29112: @2208072
     /* 2208072 */ GIM_Try, /*On fail goto*//*Label 29200*/ GIMT_Encode4(2208550),
     /* 2208077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2208080 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2208083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208087 */   GIM_Try, /*On fail goto*//*Label 29201*/ GIMT_Encode4(2208176), // Rule ID 59003 //
     /* 2208092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2208095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2208107 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208114 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208118 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208122 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2208126 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208128 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208133 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208135 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2208138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2208152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208175 */     // GIR_Coverage, 59003,
     /* 2208175 */     GIR_EraseRootFromParent_Done,
     /* 2208176 */   // Label 29201: @2208176
     /* 2208176 */   GIM_Try, /*On fail goto*//*Label 29202*/ GIMT_Encode4(2208265), // Rule ID 59004 //
     /* 2208181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2208184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2208196 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208211 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2208215 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208217 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208222 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208224 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2208227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2208241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208264 */     // GIR_Coverage, 59004,
     /* 2208264 */     GIR_EraseRootFromParent_Done,
     /* 2208265 */   // Label 29202: @2208265
     /* 2208265 */   GIM_Try, /*On fail goto*//*Label 29203*/ GIMT_Encode4(2208354), // Rule ID 59005 //
     /* 2208270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2208273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2208285 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208300 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2208304 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208306 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208311 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208313 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2208316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2208330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208353 */     // GIR_Coverage, 59005,
     /* 2208353 */     GIR_EraseRootFromParent_Done,
     /* 2208354 */   // Label 29203: @2208354
     /* 2208354 */   GIM_Try, /*On fail goto*//*Label 29204*/ GIMT_Encode4(2208443), // Rule ID 59006 //
     /* 2208359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2208362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2208374 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208389 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2208393 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208395 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208402 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2208405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2208419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208442 */     // GIR_Coverage, 59006,
     /* 2208442 */     GIR_EraseRootFromParent_Done,
     /* 2208443 */   // Label 29204: @2208443
     /* 2208443 */   GIM_Try, /*On fail goto*//*Label 29205*/ GIMT_Encode4(2208496), // Rule ID 47671 //
     /* 2208448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2208451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208459 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2208462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2208476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208495 */     // GIR_Coverage, 47671,
     /* 2208495 */     GIR_EraseRootFromParent_Done,
     /* 2208496 */   // Label 29205: @2208496
     /* 2208496 */   GIM_Try, /*On fail goto*//*Label 29206*/ GIMT_Encode4(2208549), // Rule ID 47672 //
     /* 2208501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2208504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208512 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2208515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2208529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208548 */     // GIR_Coverage, 47672,
     /* 2208548 */     GIR_EraseRootFromParent_Done,
     /* 2208549 */   // Label 29206: @2208549
     /* 2208549 */   GIM_Reject,
     /* 2208550 */ // Label 29200: @2208550
     /* 2208550 */ GIM_Reject,
     /* 2208551 */ // Label 29113: @2208551
     /* 2208551 */ GIM_Try, /*On fail goto*//*Label 29207*/ GIMT_Encode4(2208665),
     /* 2208556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2208559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2208562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208574 */   GIM_Try, /*On fail goto*//*Label 29208*/ GIMT_Encode4(2208619), // Rule ID 47615 //
     /* 2208579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208582 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2208585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2208599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208618 */     // GIR_Coverage, 47615,
     /* 2208618 */     GIR_EraseRootFromParent_Done,
     /* 2208619 */   // Label 29208: @2208619
     /* 2208619 */   GIM_Try, /*On fail goto*//*Label 29209*/ GIMT_Encode4(2208664), // Rule ID 47616 //
     /* 2208624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208627 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2208630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2208644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208663 */     // GIR_Coverage, 47616,
     /* 2208663 */     GIR_EraseRootFromParent_Done,
     /* 2208664 */   // Label 29209: @2208664
     /* 2208664 */   GIM_Reject,
     /* 2208665 */ // Label 29207: @2208665
     /* 2208665 */ GIM_Reject,
     /* 2208666 */ // Label 29114: @2208666
     /* 2208666 */ GIM_Try, /*On fail goto*//*Label 29210*/ GIMT_Encode4(2209144),
     /* 2208671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2208674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2208677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208681 */   GIM_Try, /*On fail goto*//*Label 29211*/ GIMT_Encode4(2208770), // Rule ID 58923 //
     /* 2208686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2208689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2208701 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2208720 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208722 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208729 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2208732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2208746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208769 */     // GIR_Coverage, 58923,
     /* 2208769 */     GIR_EraseRootFromParent_Done,
     /* 2208770 */   // Label 29211: @2208770
     /* 2208770 */   GIM_Try, /*On fail goto*//*Label 29212*/ GIMT_Encode4(2208859), // Rule ID 58924 //
     /* 2208775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2208778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2208790 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2208805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2208809 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208811 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208818 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2208821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2208835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208858 */     // GIR_Coverage, 58924,
     /* 2208858 */     GIR_EraseRootFromParent_Done,
     /* 2208859 */   // Label 29212: @2208859
     /* 2208859 */   GIM_Try, /*On fail goto*//*Label 29213*/ GIMT_Encode4(2208948), // Rule ID 58925 //
     /* 2208864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2208867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2208879 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208881 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2208898 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208900 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208905 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208907 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2208910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2208924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2208933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2208937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208947 */     // GIR_Coverage, 58925,
     /* 2208947 */     GIR_EraseRootFromParent_Done,
     /* 2208948 */   // Label 29213: @2208948
     /* 2208948 */   GIM_Try, /*On fail goto*//*Label 29214*/ GIMT_Encode4(2209037), // Rule ID 58926 //
     /* 2208953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2208956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2208960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2208968 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2208970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2208979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2208983 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2208987 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2208989 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208994 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2208996 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2208999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2209013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209036 */     // GIR_Coverage, 58926,
     /* 2209036 */     GIR_EraseRootFromParent_Done,
     /* 2209037 */   // Label 29214: @2209037
     /* 2209037 */   GIM_Try, /*On fail goto*//*Label 29215*/ GIMT_Encode4(2209090), // Rule ID 47643 //
     /* 2209042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209053 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2209056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2209070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209089 */     // GIR_Coverage, 47643,
     /* 2209089 */     GIR_EraseRootFromParent_Done,
     /* 2209090 */   // Label 29215: @2209090
     /* 2209090 */   GIM_Try, /*On fail goto*//*Label 29216*/ GIMT_Encode4(2209143), // Rule ID 47644 //
     /* 2209095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209106 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2209109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2209123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209142 */     // GIR_Coverage, 47644,
     /* 2209142 */     GIR_EraseRootFromParent_Done,
     /* 2209143 */   // Label 29216: @2209143
     /* 2209143 */   GIM_Reject,
     /* 2209144 */ // Label 29210: @2209144
     /* 2209144 */ GIM_Reject,
     /* 2209145 */ // Label 29115: @2209145
     /* 2209145 */ GIM_Try, /*On fail goto*//*Label 29217*/ GIMT_Encode4(2209623),
     /* 2209150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2209153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2209156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209160 */   GIM_Try, /*On fail goto*//*Label 29218*/ GIMT_Encode4(2209249), // Rule ID 58971 //
     /* 2209165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2209168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2209180 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209182 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209187 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209191 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209195 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2209199 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209201 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209206 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209208 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2209211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2209225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209248 */     // GIR_Coverage, 58971,
     /* 2209248 */     GIR_EraseRootFromParent_Done,
     /* 2209249 */   // Label 29218: @2209249
     /* 2209249 */   GIM_Try, /*On fail goto*//*Label 29219*/ GIMT_Encode4(2209338), // Rule ID 58972 //
     /* 2209254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2209257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2209269 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209271 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209276 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209280 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209284 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2209288 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209290 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209295 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209297 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2209300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2209314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209337 */     // GIR_Coverage, 58972,
     /* 2209337 */     GIR_EraseRootFromParent_Done,
     /* 2209338 */   // Label 29219: @2209338
     /* 2209338 */   GIM_Try, /*On fail goto*//*Label 29220*/ GIMT_Encode4(2209427), // Rule ID 58973 //
     /* 2209343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2209346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2209358 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209365 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209369 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209373 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2209377 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209379 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209384 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209386 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2209389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2209403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209426 */     // GIR_Coverage, 58973,
     /* 2209426 */     GIR_EraseRootFromParent_Done,
     /* 2209427 */   // Label 29220: @2209427
     /* 2209427 */   GIM_Try, /*On fail goto*//*Label 29221*/ GIMT_Encode4(2209516), // Rule ID 58974 //
     /* 2209432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2209435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2209447 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209454 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209458 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209462 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2209466 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209468 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209473 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209475 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2209478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2209492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209515 */     // GIR_Coverage, 58974,
     /* 2209515 */     GIR_EraseRootFromParent_Done,
     /* 2209516 */   // Label 29221: @2209516
     /* 2209516 */   GIM_Try, /*On fail goto*//*Label 29222*/ GIMT_Encode4(2209569), // Rule ID 47659 //
     /* 2209521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209532 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2209535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2209549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209568 */     // GIR_Coverage, 47659,
     /* 2209568 */     GIR_EraseRootFromParent_Done,
     /* 2209569 */   // Label 29222: @2209569
     /* 2209569 */   GIM_Try, /*On fail goto*//*Label 29223*/ GIMT_Encode4(2209622), // Rule ID 47660 //
     /* 2209574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209585 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2209588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2209602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209621 */     // GIR_Coverage, 47660,
     /* 2209621 */     GIR_EraseRootFromParent_Done,
     /* 2209622 */   // Label 29223: @2209622
     /* 2209622 */   GIM_Reject,
     /* 2209623 */ // Label 29217: @2209623
     /* 2209623 */ GIM_Reject,
     /* 2209624 */ // Label 29116: @2209624
     /* 2209624 */ GIM_Try, /*On fail goto*//*Label 29224*/ GIMT_Encode4(2210102),
     /* 2209629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2209632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2209635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209639 */   GIM_Try, /*On fail goto*//*Label 29225*/ GIMT_Encode4(2209728), // Rule ID 59011 //
     /* 2209644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2209647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2209659 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209674 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2209678 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209680 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209685 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209687 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2209690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2209704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209727 */     // GIR_Coverage, 59011,
     /* 2209727 */     GIR_EraseRootFromParent_Done,
     /* 2209728 */   // Label 29225: @2209728
     /* 2209728 */   GIM_Try, /*On fail goto*//*Label 29226*/ GIMT_Encode4(2209817), // Rule ID 59012 //
     /* 2209733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2209736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2209748 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209750 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209755 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209759 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2209763 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2209767 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209769 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209774 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209776 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2209779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2209793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209816 */     // GIR_Coverage, 59012,
     /* 2209816 */     GIR_EraseRootFromParent_Done,
     /* 2209817 */   // Label 29226: @2209817
     /* 2209817 */   GIM_Try, /*On fail goto*//*Label 29227*/ GIMT_Encode4(2209906), // Rule ID 59013 //
     /* 2209822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2209825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2209837 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209839 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209844 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209848 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209852 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2209856 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209858 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209863 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209865 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2209868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2209882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209905 */     // GIR_Coverage, 59013,
     /* 2209905 */     GIR_EraseRootFromParent_Done,
     /* 2209906 */   // Label 29227: @2209906
     /* 2209906 */   GIM_Try, /*On fail goto*//*Label 29228*/ GIMT_Encode4(2209995), // Rule ID 59014 //
     /* 2209911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2209914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2209918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2209926 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2209928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2209937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2209941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2209945 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2209947 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209952 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2209954 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2209957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2209971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2209980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2209984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209994 */     // GIR_Coverage, 59014,
     /* 2209994 */     GIR_EraseRootFromParent_Done,
     /* 2209995 */   // Label 29228: @2209995
     /* 2209995 */   GIM_Try, /*On fail goto*//*Label 29229*/ GIMT_Encode4(2210048), // Rule ID 47675 //
     /* 2210000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2210003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210011 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2210014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2210028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2210043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210047 */     // GIR_Coverage, 47675,
     /* 2210047 */     GIR_EraseRootFromParent_Done,
     /* 2210048 */   // Label 29229: @2210048
     /* 2210048 */   GIM_Try, /*On fail goto*//*Label 29230*/ GIMT_Encode4(2210101), // Rule ID 47676 //
     /* 2210053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2210056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210064 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2210067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2210081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2210096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210100 */     // GIR_Coverage, 47676,
     /* 2210100 */     GIR_EraseRootFromParent_Done,
     /* 2210101 */   // Label 29230: @2210101
     /* 2210101 */   GIM_Reject,
     /* 2210102 */ // Label 29224: @2210102
     /* 2210102 */ GIM_Reject,
     /* 2210103 */ // Label 29117: @2210103
     /* 2210103 */ GIM_Try, /*On fail goto*//*Label 29231*/ GIMT_Encode4(2210217),
     /* 2210108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2210111 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2210114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210122 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210126 */   GIM_Try, /*On fail goto*//*Label 29232*/ GIMT_Encode4(2210171), // Rule ID 47631 //
     /* 2210131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210134 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2210137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2210151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210170 */     // GIR_Coverage, 47631,
     /* 2210170 */     GIR_EraseRootFromParent_Done,
     /* 2210171 */   // Label 29232: @2210171
     /* 2210171 */   GIM_Try, /*On fail goto*//*Label 29233*/ GIMT_Encode4(2210216), // Rule ID 47632 //
     /* 2210176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210179 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2210182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2210196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210215 */     // GIR_Coverage, 47632,
     /* 2210215 */     GIR_EraseRootFromParent_Done,
     /* 2210216 */   // Label 29233: @2210216
     /* 2210216 */   GIM_Reject,
     /* 2210217 */ // Label 29231: @2210217
     /* 2210217 */ GIM_Reject,
     /* 2210218 */ // Label 29118: @2210218
     /* 2210218 */ GIM_Try, /*On fail goto*//*Label 29234*/ GIMT_Encode4(2210696),
     /* 2210223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2210226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2210229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210233 */   GIM_Try, /*On fail goto*//*Label 29235*/ GIMT_Encode4(2210322), // Rule ID 58931 //
     /* 2210238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2210253 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210268 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2210272 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210274 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210279 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210281 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2210284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2210298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210321 */     // GIR_Coverage, 58931,
     /* 2210321 */     GIR_EraseRootFromParent_Done,
     /* 2210322 */   // Label 29235: @2210322
     /* 2210322 */   GIM_Try, /*On fail goto*//*Label 29236*/ GIMT_Encode4(2210411), // Rule ID 58932 //
     /* 2210327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2210342 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210344 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210349 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210353 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210357 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2210361 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210363 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210368 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210370 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2210373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2210387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210410 */     // GIR_Coverage, 58932,
     /* 2210410 */     GIR_EraseRootFromParent_Done,
     /* 2210411 */   // Label 29236: @2210411
     /* 2210411 */   GIM_Try, /*On fail goto*//*Label 29237*/ GIMT_Encode4(2210500), // Rule ID 58933 //
     /* 2210416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2210431 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210438 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210442 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210446 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2210450 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210452 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210457 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210459 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2210462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2210476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210499 */     // GIR_Coverage, 58933,
     /* 2210499 */     GIR_EraseRootFromParent_Done,
     /* 2210500 */   // Label 29237: @2210500
     /* 2210500 */   GIM_Try, /*On fail goto*//*Label 29238*/ GIMT_Encode4(2210589), // Rule ID 58934 //
     /* 2210505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2210520 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210535 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2210539 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210541 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210546 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210548 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2210551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2210565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210588 */     // GIR_Coverage, 58934,
     /* 2210588 */     GIR_EraseRootFromParent_Done,
     /* 2210589 */   // Label 29238: @2210589
     /* 2210589 */   GIM_Try, /*On fail goto*//*Label 29239*/ GIMT_Encode4(2210642), // Rule ID 47647 //
     /* 2210594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210605 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2210608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2210622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210641 */     // GIR_Coverage, 47647,
     /* 2210641 */     GIR_EraseRootFromParent_Done,
     /* 2210642 */   // Label 29239: @2210642
     /* 2210642 */   GIM_Try, /*On fail goto*//*Label 29240*/ GIMT_Encode4(2210695), // Rule ID 47648 //
     /* 2210647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210658 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2210661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2210675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210694 */     // GIR_Coverage, 47648,
     /* 2210694 */     GIR_EraseRootFromParent_Done,
     /* 2210695 */   // Label 29240: @2210695
     /* 2210695 */   GIM_Reject,
     /* 2210696 */ // Label 29234: @2210696
     /* 2210696 */ GIM_Reject,
     /* 2210697 */ // Label 29119: @2210697
     /* 2210697 */ GIM_Try, /*On fail goto*//*Label 29241*/ GIMT_Encode4(2211175),
     /* 2210702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2210705 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2210708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210712 */   GIM_Try, /*On fail goto*//*Label 29242*/ GIMT_Encode4(2210801), // Rule ID 58979 //
     /* 2210717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2210732 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210747 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2210751 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210753 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210758 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210760 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2210763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2210777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210800 */     // GIR_Coverage, 58979,
     /* 2210800 */     GIR_EraseRootFromParent_Done,
     /* 2210801 */   // Label 29242: @2210801
     /* 2210801 */   GIM_Try, /*On fail goto*//*Label 29243*/ GIMT_Encode4(2210890), // Rule ID 58980 //
     /* 2210806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2210821 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2210836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2210840 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210842 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210847 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210849 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2210852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2210866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210889 */     // GIR_Coverage, 58980,
     /* 2210889 */     GIR_EraseRootFromParent_Done,
     /* 2210890 */   // Label 29243: @2210890
     /* 2210890 */   GIM_Try, /*On fail goto*//*Label 29244*/ GIMT_Encode4(2210979), // Rule ID 58981 //
     /* 2210895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2210898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2210910 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2210912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2210929 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2210931 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210936 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210938 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2210941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2210955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2210964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2210968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210978 */     // GIR_Coverage, 58981,
     /* 2210978 */     GIR_EraseRootFromParent_Done,
     /* 2210979 */   // Label 29244: @2210979
     /* 2210979 */   GIM_Try, /*On fail goto*//*Label 29245*/ GIMT_Encode4(2211068), // Rule ID 58982 //
     /* 2210984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2210987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2210995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2210999 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211001 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2211018 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211020 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211025 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211027 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2211030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2211044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211067 */     // GIR_Coverage, 58982,
     /* 2211067 */     GIR_EraseRootFromParent_Done,
     /* 2211068 */   // Label 29245: @2211068
     /* 2211068 */   GIM_Try, /*On fail goto*//*Label 29246*/ GIMT_Encode4(2211121), // Rule ID 47663 //
     /* 2211073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211084 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2211087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2211101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211120 */     // GIR_Coverage, 47663,
     /* 2211120 */     GIR_EraseRootFromParent_Done,
     /* 2211121 */   // Label 29246: @2211121
     /* 2211121 */   GIM_Try, /*On fail goto*//*Label 29247*/ GIMT_Encode4(2211174), // Rule ID 47664 //
     /* 2211126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211137 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2211140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2211154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211173 */     // GIR_Coverage, 47664,
     /* 2211173 */     GIR_EraseRootFromParent_Done,
     /* 2211174 */   // Label 29247: @2211174
     /* 2211174 */   GIM_Reject,
     /* 2211175 */ // Label 29241: @2211175
     /* 2211175 */ GIM_Reject,
     /* 2211176 */ // Label 29120: @2211176
     /* 2211176 */ GIM_Try, /*On fail goto*//*Label 29248*/ GIMT_Encode4(2211290),
     /* 2211181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2211184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2211187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211195 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211199 */   GIM_Try, /*On fail goto*//*Label 29249*/ GIMT_Encode4(2211244), // Rule ID 47635 //
     /* 2211204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211207 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2211210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2211224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211243 */     // GIR_Coverage, 47635,
     /* 2211243 */     GIR_EraseRootFromParent_Done,
     /* 2211244 */   // Label 29249: @2211244
     /* 2211244 */   GIM_Try, /*On fail goto*//*Label 29250*/ GIMT_Encode4(2211289), // Rule ID 47636 //
     /* 2211249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211252 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2211255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2211269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211288 */     // GIR_Coverage, 47636,
     /* 2211288 */     GIR_EraseRootFromParent_Done,
     /* 2211289 */   // Label 29250: @2211289
     /* 2211289 */   GIM_Reject,
     /* 2211290 */ // Label 29248: @2211290
     /* 2211290 */ GIM_Reject,
     /* 2211291 */ // Label 29121: @2211291
     /* 2211291 */ GIM_Try, /*On fail goto*//*Label 29251*/ GIMT_Encode4(2211769),
     /* 2211296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2211299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2211302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211306 */   GIM_Try, /*On fail goto*//*Label 29252*/ GIMT_Encode4(2211395), // Rule ID 58939 //
     /* 2211311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2211314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2211326 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2211345 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211347 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211352 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211354 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2211357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2211371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211394 */     // GIR_Coverage, 58939,
     /* 2211394 */     GIR_EraseRootFromParent_Done,
     /* 2211395 */   // Label 29252: @2211395
     /* 2211395 */   GIM_Try, /*On fail goto*//*Label 29253*/ GIMT_Encode4(2211484), // Rule ID 58940 //
     /* 2211400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2211403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2211415 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211422 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211426 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2211430 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2211434 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211436 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211441 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211443 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2211446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2211460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211483 */     // GIR_Coverage, 58940,
     /* 2211483 */     GIR_EraseRootFromParent_Done,
     /* 2211484 */   // Label 29253: @2211484
     /* 2211484 */   GIM_Try, /*On fail goto*//*Label 29254*/ GIMT_Encode4(2211573), // Rule ID 58941 //
     /* 2211489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2211492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2211504 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211506 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211511 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211515 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211519 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2211523 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211525 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211530 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211532 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2211535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2211549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211572 */     // GIR_Coverage, 58941,
     /* 2211572 */     GIR_EraseRootFromParent_Done,
     /* 2211573 */   // Label 29254: @2211573
     /* 2211573 */   GIM_Try, /*On fail goto*//*Label 29255*/ GIMT_Encode4(2211662), // Rule ID 58942 //
     /* 2211578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2211581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2211585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2211593 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2211595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2211604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2211608 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2211612 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2211614 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211619 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2211621 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2211624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2211638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2211647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2211651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211661 */     // GIR_Coverage, 58942,
     /* 2211661 */     GIR_EraseRootFromParent_Done,
     /* 2211662 */   // Label 29255: @2211662
     /* 2211662 */   GIM_Try, /*On fail goto*//*Label 29256*/ GIMT_Encode4(2211715), // Rule ID 47651 //
     /* 2211667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211678 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2211681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2211695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211714 */     // GIR_Coverage, 47651,
     /* 2211714 */     GIR_EraseRootFromParent_Done,
     /* 2211715 */   // Label 29256: @2211715
     /* 2211715 */   GIM_Try, /*On fail goto*//*Label 29257*/ GIMT_Encode4(2211768), // Rule ID 47652 //
     /* 2211720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211731 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2211734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2211748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211767 */     // GIR_Coverage, 47652,
     /* 2211767 */     GIR_EraseRootFromParent_Done,
     /* 2211768 */   // Label 29257: @2211768
     /* 2211768 */   GIM_Reject,
     /* 2211769 */ // Label 29251: @2211769
     /* 2211769 */ GIM_Reject,
     /* 2211770 */ // Label 29122: @2211770
     /* 2211770 */ GIM_Try, /*On fail goto*//*Label 29258*/ GIMT_Encode4(2211884),
     /* 2211775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2211778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2211781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211785 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211793 */   GIM_Try, /*On fail goto*//*Label 29259*/ GIMT_Encode4(2211838), // Rule ID 47639 //
     /* 2211798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211801 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2211804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2211818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211837 */     // GIR_Coverage, 47639,
     /* 2211837 */     GIR_EraseRootFromParent_Done,
     /* 2211838 */   // Label 29259: @2211838
     /* 2211838 */   GIM_Try, /*On fail goto*//*Label 29260*/ GIMT_Encode4(2211883), // Rule ID 47640 //
     /* 2211843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211846 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2211849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2211863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211882 */     // GIR_Coverage, 47640,
     /* 2211882 */     GIR_EraseRootFromParent_Done,
     /* 2211883 */   // Label 29260: @2211883
     /* 2211883 */   GIM_Reject,
     /* 2211884 */ // Label 29258: @2211884
     /* 2211884 */ GIM_Reject,
     /* 2211885 */ // Label 29123: @2211885
     /* 2211885 */ GIM_Reject,
     /* 2211886 */ // Label 44: @2211886
     /* 2211886 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29285*/ GIMT_Encode4(2214916),
     /* 2211897 */ /*GILLT_s32*//*Label 29261*/ GIMT_Encode4(2212021),
     /* 2211901 */ /*GILLT_s64*//*Label 29262*/ GIMT_Encode4(2212105), GIMT_Encode4(0),
     /* 2211909 */ /*GILLT_nxv1s8*//*Label 29263*/ GIMT_Encode4(2212386),
     /* 2211913 */ /*GILLT_nxv1s16*//*Label 29264*/ GIMT_Encode4(2212501),
     /* 2211917 */ /*GILLT_nxv1s32*//*Label 29265*/ GIMT_Encode4(2212616),
     /* 2211921 */ /*GILLT_nxv1s64*//*Label 29266*/ GIMT_Encode4(2212731), GIMT_Encode4(0),
     /* 2211929 */ /*GILLT_nxv2s8*//*Label 29267*/ GIMT_Encode4(2212846),
     /* 2211933 */ /*GILLT_nxv2s16*//*Label 29268*/ GIMT_Encode4(2212961),
     /* 2211937 */ /*GILLT_nxv2s32*//*Label 29269*/ GIMT_Encode4(2213076),
     /* 2211941 */ /*GILLT_nxv2s64*//*Label 29270*/ GIMT_Encode4(2213191), GIMT_Encode4(0),
     /* 2211949 */ /*GILLT_nxv4s8*//*Label 29271*/ GIMT_Encode4(2213306),
     /* 2211953 */ /*GILLT_nxv4s16*//*Label 29272*/ GIMT_Encode4(2213421),
     /* 2211957 */ /*GILLT_nxv4s32*//*Label 29273*/ GIMT_Encode4(2213536),
     /* 2211961 */ /*GILLT_nxv4s64*//*Label 29274*/ GIMT_Encode4(2213651), GIMT_Encode4(0),
     /* 2211969 */ /*GILLT_nxv8s8*//*Label 29275*/ GIMT_Encode4(2213766),
     /* 2211973 */ /*GILLT_nxv8s16*//*Label 29276*/ GIMT_Encode4(2213881),
     /* 2211977 */ /*GILLT_nxv8s32*//*Label 29277*/ GIMT_Encode4(2213996),
     /* 2211981 */ /*GILLT_nxv8s64*//*Label 29278*/ GIMT_Encode4(2214111), GIMT_Encode4(0),
     /* 2211989 */ /*GILLT_nxv16s8*//*Label 29279*/ GIMT_Encode4(2214226),
     /* 2211993 */ /*GILLT_nxv16s16*//*Label 29280*/ GIMT_Encode4(2214341),
     /* 2211997 */ /*GILLT_nxv16s32*//*Label 29281*/ GIMT_Encode4(2214456), GIMT_Encode4(0),
     /* 2212005 */ /*GILLT_nxv32s8*//*Label 29282*/ GIMT_Encode4(2214571),
     /* 2212009 */ /*GILLT_nxv32s16*//*Label 29283*/ GIMT_Encode4(2214686), GIMT_Encode4(0),
     /* 2212017 */ /*GILLT_nxv64s8*//*Label 29284*/ GIMT_Encode4(2214801),
     /* 2212021 */ // Label 29261: @2212021
     /* 2212021 */ GIM_Try, /*On fail goto*//*Label 29286*/ GIMT_Encode4(2212104),
     /* 2212026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2212029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2212032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212036 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212040 */   GIM_Try, /*On fail goto*//*Label 29287*/ GIMT_Encode4(2212074), // Rule ID 93 //
     /* 2212045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2212048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2212052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2212056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2212060 */     // MIs[1] Operand 1
     /* 2212060 */     // No operand predicates
     /* 2212060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2212062 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2212062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2212065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2212072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212073 */     // GIR_Coverage, 93,
     /* 2212073 */     GIR_EraseRootFromParent_Done,
     /* 2212074 */   // Label 29287: @2212074
     /* 2212074 */   GIM_Try, /*On fail goto*//*Label 29288*/ GIMT_Encode4(2212103), // Rule ID 107 //
     /* 2212079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2212082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2212089 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2212089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2212092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2212101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212102 */     // GIR_Coverage, 107,
     /* 2212102 */     GIR_EraseRootFromParent_Done,
     /* 2212103 */   // Label 29288: @2212103
     /* 2212103 */   GIM_Reject,
     /* 2212104 */ // Label 29286: @2212104
     /* 2212104 */ GIM_Reject,
     /* 2212105 */ // Label 29262: @2212105
     /* 2212105 */ GIM_Try, /*On fail goto*//*Label 29289*/ GIMT_Encode4(2212385),
     /* 2212110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2212113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2212116 */   GIM_Try, /*On fail goto*//*Label 29290*/ GIMT_Encode4(2212188), // Rule ID 257 //
     /* 2212121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2212124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2212136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2212140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2212144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212149 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2212160 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212164 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2212168 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2212172 */     // MIs[2] Operand 1
     /* 2212172 */     // No operand predicates
     /* 2212172 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212174 */     // (srl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2212174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /* 2212177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2212183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2212186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212187 */     // GIR_Coverage, 257,
     /* 2212187 */     GIR_EraseRootFromParent_Done,
     /* 2212188 */   // Label 29290: @2212188
     /* 2212188 */   GIM_Try, /*On fail goto*//*Label 29291*/ GIMT_Encode4(2212233), // Rule ID 61972 //
     /* 2212193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2212196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2212208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2212212 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2212216 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10013),
     /* 2212220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2212222 */     // (srl:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })<<P:Predicate_anonymous_10013>>  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2212222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2212225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2212231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212232 */     // GIR_Coverage, 61972,
     /* 2212232 */     GIR_EraseRootFromParent_Done,
     /* 2212233 */   // Label 29291: @2212233
     /* 2212233 */   GIM_Try, /*On fail goto*//*Label 29292*/ GIMT_Encode4(2212305), // Rule ID 269 //
     /* 2212238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2212241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2212249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2212253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2212257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212262 */     // MIs[1] Operand 2
     /* 2212262 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2212273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2212277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2212281 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2212285 */     // MIs[2] Operand 1
     /* 2212285 */     // No operand predicates
     /* 2212285 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10013),
     /* 2212289 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2212291 */     // (srl:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)<<P:Predicate_anonymous_10013>>  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2212291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2212294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2212300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2212303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212304 */     // GIR_Coverage, 269,
     /* 2212304 */     GIR_EraseRootFromParent_Done,
     /* 2212305 */   // Label 29292: @2212305
     /* 2212305 */   GIM_Try, /*On fail goto*//*Label 29293*/ GIMT_Encode4(2212347), // Rule ID 92 //
     /* 2212310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2212313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2212325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2212329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2212333 */     // MIs[1] Operand 1
     /* 2212333 */     // No operand predicates
     /* 2212333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2212335 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2212335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2212338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2212345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212346 */     // GIR_Coverage, 92,
     /* 2212346 */     GIR_EraseRootFromParent_Done,
     /* 2212347 */   // Label 29293: @2212347
     /* 2212347 */   GIM_Try, /*On fail goto*//*Label 29294*/ GIMT_Encode4(2212384), // Rule ID 106 //
     /* 2212352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2212355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2212363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2212370 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2212370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2212373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2212382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212383 */     // GIR_Coverage, 106,
     /* 2212383 */     GIR_EraseRootFromParent_Done,
     /* 2212384 */   // Label 29294: @2212384
     /* 2212384 */   GIM_Reject,
     /* 2212385 */ // Label 29289: @2212385
     /* 2212385 */ GIM_Reject,
     /* 2212386 */ // Label 29263: @2212386
     /* 2212386 */ GIM_Try, /*On fail goto*//*Label 29295*/ GIMT_Encode4(2212500),
     /* 2212391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2212394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2212397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212409 */   GIM_Try, /*On fail goto*//*Label 29296*/ GIMT_Encode4(2212454), // Rule ID 47723 //
     /* 2212414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212417 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2212420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2212434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212453 */     // GIR_Coverage, 47723,
     /* 2212453 */     GIR_EraseRootFromParent_Done,
     /* 2212454 */   // Label 29296: @2212454
     /* 2212454 */   GIM_Try, /*On fail goto*//*Label 29297*/ GIMT_Encode4(2212499), // Rule ID 47724 //
     /* 2212459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212462 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2212465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2212479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212498 */     // GIR_Coverage, 47724,
     /* 2212498 */     GIR_EraseRootFromParent_Done,
     /* 2212499 */   // Label 29297: @2212499
     /* 2212499 */   GIM_Reject,
     /* 2212500 */ // Label 29295: @2212500
     /* 2212500 */ GIM_Reject,
     /* 2212501 */ // Label 29264: @2212501
     /* 2212501 */ GIM_Try, /*On fail goto*//*Label 29298*/ GIMT_Encode4(2212615),
     /* 2212506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2212509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2212512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212524 */   GIM_Try, /*On fail goto*//*Label 29299*/ GIMT_Encode4(2212569), // Rule ID 47735 //
     /* 2212529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212532 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2212535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2212549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212568 */     // GIR_Coverage, 47735,
     /* 2212568 */     GIR_EraseRootFromParent_Done,
     /* 2212569 */   // Label 29299: @2212569
     /* 2212569 */   GIM_Try, /*On fail goto*//*Label 29300*/ GIMT_Encode4(2212614), // Rule ID 47736 //
     /* 2212574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212577 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2212580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2212594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212613 */     // GIR_Coverage, 47736,
     /* 2212613 */     GIR_EraseRootFromParent_Done,
     /* 2212614 */   // Label 29300: @2212614
     /* 2212614 */   GIM_Reject,
     /* 2212615 */ // Label 29298: @2212615
     /* 2212615 */ GIM_Reject,
     /* 2212616 */ // Label 29265: @2212616
     /* 2212616 */ GIM_Try, /*On fail goto*//*Label 29301*/ GIMT_Encode4(2212730),
     /* 2212621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2212624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2212627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212635 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212639 */   GIM_Try, /*On fail goto*//*Label 29302*/ GIMT_Encode4(2212684), // Rule ID 47743 //
     /* 2212644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212647 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2212650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2212664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212683 */     // GIR_Coverage, 47743,
     /* 2212683 */     GIR_EraseRootFromParent_Done,
     /* 2212684 */   // Label 29302: @2212684
     /* 2212684 */   GIM_Try, /*On fail goto*//*Label 29303*/ GIMT_Encode4(2212729), // Rule ID 47744 //
     /* 2212689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212692 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2212695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2212709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212728 */     // GIR_Coverage, 47744,
     /* 2212728 */     GIR_EraseRootFromParent_Done,
     /* 2212729 */   // Label 29303: @2212729
     /* 2212729 */   GIM_Reject,
     /* 2212730 */ // Label 29301: @2212730
     /* 2212730 */ GIM_Reject,
     /* 2212731 */ // Label 29266: @2212731
     /* 2212731 */ GIM_Try, /*On fail goto*//*Label 29304*/ GIMT_Encode4(2212845),
     /* 2212736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2212739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2212742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212750 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212754 */   GIM_Try, /*On fail goto*//*Label 29305*/ GIMT_Encode4(2212799), // Rule ID 47759 //
     /* 2212759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2212762 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2212765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2212779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212798 */     // GIR_Coverage, 47759,
     /* 2212798 */     GIR_EraseRootFromParent_Done,
     /* 2212799 */   // Label 29305: @2212799
     /* 2212799 */   GIM_Try, /*On fail goto*//*Label 29306*/ GIMT_Encode4(2212844), // Rule ID 47760 //
     /* 2212804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2212807 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2212810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2212824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212843 */     // GIR_Coverage, 47760,
     /* 2212843 */     GIR_EraseRootFromParent_Done,
     /* 2212844 */   // Label 29306: @2212844
     /* 2212844 */   GIM_Reject,
     /* 2212845 */ // Label 29304: @2212845
     /* 2212845 */ GIM_Reject,
     /* 2212846 */ // Label 29267: @2212846
     /* 2212846 */ GIM_Try, /*On fail goto*//*Label 29307*/ GIMT_Encode4(2212960),
     /* 2212851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2212854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2212857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212865 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212869 */   GIM_Try, /*On fail goto*//*Label 29308*/ GIMT_Encode4(2212914), // Rule ID 47727 //
     /* 2212874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212877 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2212880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2212894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212913 */     // GIR_Coverage, 47727,
     /* 2212913 */     GIR_EraseRootFromParent_Done,
     /* 2212914 */   // Label 29308: @2212914
     /* 2212914 */   GIM_Try, /*On fail goto*//*Label 29309*/ GIMT_Encode4(2212959), // Rule ID 47728 //
     /* 2212919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212922 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2212925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2212939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212958 */     // GIR_Coverage, 47728,
     /* 2212958 */     GIR_EraseRootFromParent_Done,
     /* 2212959 */   // Label 29309: @2212959
     /* 2212959 */   GIM_Reject,
     /* 2212960 */ // Label 29307: @2212960
     /* 2212960 */ GIM_Reject,
     /* 2212961 */ // Label 29268: @2212961
     /* 2212961 */ GIM_Try, /*On fail goto*//*Label 29310*/ GIMT_Encode4(2213075),
     /* 2212966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2212969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2212972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212984 */   GIM_Try, /*On fail goto*//*Label 29311*/ GIMT_Encode4(2213029), // Rule ID 47739 //
     /* 2212989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212992 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2212995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2213009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213028 */     // GIR_Coverage, 47739,
     /* 2213028 */     GIR_EraseRootFromParent_Done,
     /* 2213029 */   // Label 29311: @2213029
     /* 2213029 */   GIM_Try, /*On fail goto*//*Label 29312*/ GIMT_Encode4(2213074), // Rule ID 47740 //
     /* 2213034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213037 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2213040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2213054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213073 */     // GIR_Coverage, 47740,
     /* 2213073 */     GIR_EraseRootFromParent_Done,
     /* 2213074 */   // Label 29312: @2213074
     /* 2213074 */   GIM_Reject,
     /* 2213075 */ // Label 29310: @2213075
     /* 2213075 */ GIM_Reject,
     /* 2213076 */ // Label 29269: @2213076
     /* 2213076 */ GIM_Try, /*On fail goto*//*Label 29313*/ GIMT_Encode4(2213190),
     /* 2213081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2213084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2213087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213099 */   GIM_Try, /*On fail goto*//*Label 29314*/ GIMT_Encode4(2213144), // Rule ID 47755 //
     /* 2213104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213107 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2213110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2213124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213143 */     // GIR_Coverage, 47755,
     /* 2213143 */     GIR_EraseRootFromParent_Done,
     /* 2213144 */   // Label 29314: @2213144
     /* 2213144 */   GIM_Try, /*On fail goto*//*Label 29315*/ GIMT_Encode4(2213189), // Rule ID 47756 //
     /* 2213149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213152 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2213155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2213169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213188 */     // GIR_Coverage, 47756,
     /* 2213188 */     GIR_EraseRootFromParent_Done,
     /* 2213189 */   // Label 29315: @2213189
     /* 2213189 */   GIM_Reject,
     /* 2213190 */ // Label 29313: @2213190
     /* 2213190 */ GIM_Reject,
     /* 2213191 */ // Label 29270: @2213191
     /* 2213191 */ GIM_Try, /*On fail goto*//*Label 29316*/ GIMT_Encode4(2213305),
     /* 2213196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2213199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2213202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213210 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213214 */   GIM_Try, /*On fail goto*//*Label 29317*/ GIMT_Encode4(2213259), // Rule ID 47799 //
     /* 2213219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2213222 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2213225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2213239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213258 */     // GIR_Coverage, 47799,
     /* 2213258 */     GIR_EraseRootFromParent_Done,
     /* 2213259 */   // Label 29317: @2213259
     /* 2213259 */   GIM_Try, /*On fail goto*//*Label 29318*/ GIMT_Encode4(2213304), // Rule ID 47800 //
     /* 2213264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2213267 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2213270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2213284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213303 */     // GIR_Coverage, 47800,
     /* 2213303 */     GIR_EraseRootFromParent_Done,
     /* 2213304 */   // Label 29318: @2213304
     /* 2213304 */   GIM_Reject,
     /* 2213305 */ // Label 29316: @2213305
     /* 2213305 */ GIM_Reject,
     /* 2213306 */ // Label 29271: @2213306
     /* 2213306 */ GIM_Try, /*On fail goto*//*Label 29319*/ GIMT_Encode4(2213420),
     /* 2213311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2213314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2213317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213329 */   GIM_Try, /*On fail goto*//*Label 29320*/ GIMT_Encode4(2213374), // Rule ID 47731 //
     /* 2213334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213337 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2213340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2213354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213373 */     // GIR_Coverage, 47731,
     /* 2213373 */     GIR_EraseRootFromParent_Done,
     /* 2213374 */   // Label 29320: @2213374
     /* 2213374 */   GIM_Try, /*On fail goto*//*Label 29321*/ GIMT_Encode4(2213419), // Rule ID 47732 //
     /* 2213379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213382 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2213385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2213399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213418 */     // GIR_Coverage, 47732,
     /* 2213418 */     GIR_EraseRootFromParent_Done,
     /* 2213419 */   // Label 29321: @2213419
     /* 2213419 */   GIM_Reject,
     /* 2213420 */ // Label 29319: @2213420
     /* 2213420 */ GIM_Reject,
     /* 2213421 */ // Label 29272: @2213421
     /* 2213421 */ GIM_Try, /*On fail goto*//*Label 29322*/ GIMT_Encode4(2213535),
     /* 2213426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2213429 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2213432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213440 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213444 */   GIM_Try, /*On fail goto*//*Label 29323*/ GIMT_Encode4(2213489), // Rule ID 47751 //
     /* 2213449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213452 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2213455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2213469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213488 */     // GIR_Coverage, 47751,
     /* 2213488 */     GIR_EraseRootFromParent_Done,
     /* 2213489 */   // Label 29323: @2213489
     /* 2213489 */   GIM_Try, /*On fail goto*//*Label 29324*/ GIMT_Encode4(2213534), // Rule ID 47752 //
     /* 2213494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213497 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2213500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2213514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213533 */     // GIR_Coverage, 47752,
     /* 2213533 */     GIR_EraseRootFromParent_Done,
     /* 2213534 */   // Label 29324: @2213534
     /* 2213534 */   GIM_Reject,
     /* 2213535 */ // Label 29322: @2213535
     /* 2213535 */ GIM_Reject,
     /* 2213536 */ // Label 29273: @2213536
     /* 2213536 */ GIM_Try, /*On fail goto*//*Label 29325*/ GIMT_Encode4(2213650),
     /* 2213541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2213544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2213547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213555 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213559 */   GIM_Try, /*On fail goto*//*Label 29326*/ GIMT_Encode4(2213604), // Rule ID 47787 //
     /* 2213564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213567 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2213570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2213584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213603 */     // GIR_Coverage, 47787,
     /* 2213603 */     GIR_EraseRootFromParent_Done,
     /* 2213604 */   // Label 29326: @2213604
     /* 2213604 */   GIM_Try, /*On fail goto*//*Label 29327*/ GIMT_Encode4(2213649), // Rule ID 47788 //
     /* 2213609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213612 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2213615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2213629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213648 */     // GIR_Coverage, 47788,
     /* 2213648 */     GIR_EraseRootFromParent_Done,
     /* 2213649 */   // Label 29327: @2213649
     /* 2213649 */   GIM_Reject,
     /* 2213650 */ // Label 29325: @2213650
     /* 2213650 */ GIM_Reject,
     /* 2213651 */ // Label 29274: @2213651
     /* 2213651 */ GIM_Try, /*On fail goto*//*Label 29328*/ GIMT_Encode4(2213765),
     /* 2213656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2213659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2213662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213674 */   GIM_Try, /*On fail goto*//*Label 29329*/ GIMT_Encode4(2213719), // Rule ID 47803 //
     /* 2213679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2213682 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2213685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2213699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213718 */     // GIR_Coverage, 47803,
     /* 2213718 */     GIR_EraseRootFromParent_Done,
     /* 2213719 */   // Label 29329: @2213719
     /* 2213719 */   GIM_Try, /*On fail goto*//*Label 29330*/ GIMT_Encode4(2213764), // Rule ID 47804 //
     /* 2213724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2213727 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2213730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2213744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213763 */     // GIR_Coverage, 47804,
     /* 2213763 */     GIR_EraseRootFromParent_Done,
     /* 2213764 */   // Label 29330: @2213764
     /* 2213764 */   GIM_Reject,
     /* 2213765 */ // Label 29328: @2213765
     /* 2213765 */ GIM_Reject,
     /* 2213766 */ // Label 29275: @2213766
     /* 2213766 */ GIM_Try, /*On fail goto*//*Label 29331*/ GIMT_Encode4(2213880),
     /* 2213771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2213774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2213777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213789 */   GIM_Try, /*On fail goto*//*Label 29332*/ GIMT_Encode4(2213834), // Rule ID 47747 //
     /* 2213794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213797 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2213800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2213814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213833 */     // GIR_Coverage, 47747,
     /* 2213833 */     GIR_EraseRootFromParent_Done,
     /* 2213834 */   // Label 29332: @2213834
     /* 2213834 */   GIM_Try, /*On fail goto*//*Label 29333*/ GIMT_Encode4(2213879), // Rule ID 47748 //
     /* 2213839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213842 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2213845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2213859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213878 */     // GIR_Coverage, 47748,
     /* 2213878 */     GIR_EraseRootFromParent_Done,
     /* 2213879 */   // Label 29333: @2213879
     /* 2213879 */   GIM_Reject,
     /* 2213880 */ // Label 29331: @2213880
     /* 2213880 */ GIM_Reject,
     /* 2213881 */ // Label 29276: @2213881
     /* 2213881 */ GIM_Try, /*On fail goto*//*Label 29334*/ GIMT_Encode4(2213995),
     /* 2213886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2213889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2213892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213900 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213904 */   GIM_Try, /*On fail goto*//*Label 29335*/ GIMT_Encode4(2213949), // Rule ID 47775 //
     /* 2213909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213912 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2213915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2213929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213948 */     // GIR_Coverage, 47775,
     /* 2213948 */     GIR_EraseRootFromParent_Done,
     /* 2213949 */   // Label 29335: @2213949
     /* 2213949 */   GIM_Try, /*On fail goto*//*Label 29336*/ GIMT_Encode4(2213994), // Rule ID 47776 //
     /* 2213954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213957 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2213960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2213974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213993 */     // GIR_Coverage, 47776,
     /* 2213993 */     GIR_EraseRootFromParent_Done,
     /* 2213994 */   // Label 29336: @2213994
     /* 2213994 */   GIM_Reject,
     /* 2213995 */ // Label 29334: @2213995
     /* 2213995 */ GIM_Reject,
     /* 2213996 */ // Label 29277: @2213996
     /* 2213996 */ GIM_Try, /*On fail goto*//*Label 29337*/ GIMT_Encode4(2214110),
     /* 2214001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2214004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2214007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214019 */   GIM_Try, /*On fail goto*//*Label 29338*/ GIMT_Encode4(2214064), // Rule ID 47791 //
     /* 2214024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214027 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2214030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2214044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214063 */     // GIR_Coverage, 47791,
     /* 2214063 */     GIR_EraseRootFromParent_Done,
     /* 2214064 */   // Label 29338: @2214064
     /* 2214064 */   GIM_Try, /*On fail goto*//*Label 29339*/ GIMT_Encode4(2214109), // Rule ID 47792 //
     /* 2214069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214072 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2214075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2214089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214108 */     // GIR_Coverage, 47792,
     /* 2214108 */     GIR_EraseRootFromParent_Done,
     /* 2214109 */   // Label 29339: @2214109
     /* 2214109 */   GIM_Reject,
     /* 2214110 */ // Label 29337: @2214110
     /* 2214110 */ GIM_Reject,
     /* 2214111 */ // Label 29278: @2214111
     /* 2214111 */ GIM_Try, /*On fail goto*//*Label 29340*/ GIMT_Encode4(2214225),
     /* 2214116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2214119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2214122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214134 */   GIM_Try, /*On fail goto*//*Label 29341*/ GIMT_Encode4(2214179), // Rule ID 47807 //
     /* 2214139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2214142 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2214145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2214159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214178 */     // GIR_Coverage, 47807,
     /* 2214178 */     GIR_EraseRootFromParent_Done,
     /* 2214179 */   // Label 29341: @2214179
     /* 2214179 */   GIM_Try, /*On fail goto*//*Label 29342*/ GIMT_Encode4(2214224), // Rule ID 47808 //
     /* 2214184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2214187 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2214190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2214204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214223 */     // GIR_Coverage, 47808,
     /* 2214223 */     GIR_EraseRootFromParent_Done,
     /* 2214224 */   // Label 29342: @2214224
     /* 2214224 */   GIM_Reject,
     /* 2214225 */ // Label 29340: @2214225
     /* 2214225 */ GIM_Reject,
     /* 2214226 */ // Label 29279: @2214226
     /* 2214226 */ GIM_Try, /*On fail goto*//*Label 29343*/ GIMT_Encode4(2214340),
     /* 2214231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2214234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2214237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214241 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214245 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214249 */   GIM_Try, /*On fail goto*//*Label 29344*/ GIMT_Encode4(2214294), // Rule ID 47763 //
     /* 2214254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214257 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2214260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2214274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214293 */     // GIR_Coverage, 47763,
     /* 2214293 */     GIR_EraseRootFromParent_Done,
     /* 2214294 */   // Label 29344: @2214294
     /* 2214294 */   GIM_Try, /*On fail goto*//*Label 29345*/ GIMT_Encode4(2214339), // Rule ID 47764 //
     /* 2214299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214302 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2214305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2214319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214338 */     // GIR_Coverage, 47764,
     /* 2214338 */     GIR_EraseRootFromParent_Done,
     /* 2214339 */   // Label 29345: @2214339
     /* 2214339 */   GIM_Reject,
     /* 2214340 */ // Label 29343: @2214340
     /* 2214340 */ GIM_Reject,
     /* 2214341 */ // Label 29280: @2214341
     /* 2214341 */ GIM_Try, /*On fail goto*//*Label 29346*/ GIMT_Encode4(2214455),
     /* 2214346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2214349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2214352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214364 */   GIM_Try, /*On fail goto*//*Label 29347*/ GIMT_Encode4(2214409), // Rule ID 47779 //
     /* 2214369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214372 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2214375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2214389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214408 */     // GIR_Coverage, 47779,
     /* 2214408 */     GIR_EraseRootFromParent_Done,
     /* 2214409 */   // Label 29347: @2214409
     /* 2214409 */   GIM_Try, /*On fail goto*//*Label 29348*/ GIMT_Encode4(2214454), // Rule ID 47780 //
     /* 2214414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214417 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2214420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2214434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214453 */     // GIR_Coverage, 47780,
     /* 2214453 */     GIR_EraseRootFromParent_Done,
     /* 2214454 */   // Label 29348: @2214454
     /* 2214454 */   GIM_Reject,
     /* 2214455 */ // Label 29346: @2214455
     /* 2214455 */ GIM_Reject,
     /* 2214456 */ // Label 29281: @2214456
     /* 2214456 */ GIM_Try, /*On fail goto*//*Label 29349*/ GIMT_Encode4(2214570),
     /* 2214461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2214464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2214467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214479 */   GIM_Try, /*On fail goto*//*Label 29350*/ GIMT_Encode4(2214524), // Rule ID 47795 //
     /* 2214484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214487 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2214490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2214504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214523 */     // GIR_Coverage, 47795,
     /* 2214523 */     GIR_EraseRootFromParent_Done,
     /* 2214524 */   // Label 29350: @2214524
     /* 2214524 */   GIM_Try, /*On fail goto*//*Label 29351*/ GIMT_Encode4(2214569), // Rule ID 47796 //
     /* 2214529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214532 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2214535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2214549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214568 */     // GIR_Coverage, 47796,
     /* 2214568 */     GIR_EraseRootFromParent_Done,
     /* 2214569 */   // Label 29351: @2214569
     /* 2214569 */   GIM_Reject,
     /* 2214570 */ // Label 29349: @2214570
     /* 2214570 */ GIM_Reject,
     /* 2214571 */ // Label 29282: @2214571
     /* 2214571 */ GIM_Try, /*On fail goto*//*Label 29352*/ GIMT_Encode4(2214685),
     /* 2214576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2214579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2214582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214594 */   GIM_Try, /*On fail goto*//*Label 29353*/ GIMT_Encode4(2214639), // Rule ID 47767 //
     /* 2214599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214602 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2214605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2214619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214638 */     // GIR_Coverage, 47767,
     /* 2214638 */     GIR_EraseRootFromParent_Done,
     /* 2214639 */   // Label 29353: @2214639
     /* 2214639 */   GIM_Try, /*On fail goto*//*Label 29354*/ GIMT_Encode4(2214684), // Rule ID 47768 //
     /* 2214644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214647 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2214650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2214664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214683 */     // GIR_Coverage, 47768,
     /* 2214683 */     GIR_EraseRootFromParent_Done,
     /* 2214684 */   // Label 29354: @2214684
     /* 2214684 */   GIM_Reject,
     /* 2214685 */ // Label 29352: @2214685
     /* 2214685 */ GIM_Reject,
     /* 2214686 */ // Label 29283: @2214686
     /* 2214686 */ GIM_Try, /*On fail goto*//*Label 29355*/ GIMT_Encode4(2214800),
     /* 2214691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2214694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2214697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214705 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214709 */   GIM_Try, /*On fail goto*//*Label 29356*/ GIMT_Encode4(2214754), // Rule ID 47783 //
     /* 2214714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214717 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2214720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2214734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214753 */     // GIR_Coverage, 47783,
     /* 2214753 */     GIR_EraseRootFromParent_Done,
     /* 2214754 */   // Label 29356: @2214754
     /* 2214754 */   GIM_Try, /*On fail goto*//*Label 29357*/ GIMT_Encode4(2214799), // Rule ID 47784 //
     /* 2214759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214762 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2214765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2214779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214798 */     // GIR_Coverage, 47784,
     /* 2214798 */     GIR_EraseRootFromParent_Done,
     /* 2214799 */   // Label 29357: @2214799
     /* 2214799 */   GIM_Reject,
     /* 2214800 */ // Label 29355: @2214800
     /* 2214800 */ GIM_Reject,
     /* 2214801 */ // Label 29284: @2214801
     /* 2214801 */ GIM_Try, /*On fail goto*//*Label 29358*/ GIMT_Encode4(2214915),
     /* 2214806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2214809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2214812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214820 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214824 */   GIM_Try, /*On fail goto*//*Label 29359*/ GIMT_Encode4(2214869), // Rule ID 47771 //
     /* 2214829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214832 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2214835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2214849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214868 */     // GIR_Coverage, 47771,
     /* 2214868 */     GIR_EraseRootFromParent_Done,
     /* 2214869 */   // Label 29359: @2214869
     /* 2214869 */   GIM_Try, /*On fail goto*//*Label 29360*/ GIMT_Encode4(2214914), // Rule ID 47772 //
     /* 2214874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214877 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2214880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2214894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214913 */     // GIR_Coverage, 47772,
     /* 2214913 */     GIR_EraseRootFromParent_Done,
     /* 2214914 */   // Label 29360: @2214914
     /* 2214914 */   GIM_Reject,
     /* 2214915 */ // Label 29358: @2214915
     /* 2214915 */ GIM_Reject,
     /* 2214916 */ // Label 29285: @2214916
     /* 2214916 */ GIM_Reject,
     /* 2214917 */ // Label 45: @2214917
     /* 2214917 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29385*/ GIMT_Encode4(2217855),
     /* 2214928 */ /*GILLT_s32*//*Label 29361*/ GIMT_Encode4(2215052),
     /* 2214932 */ /*GILLT_s64*//*Label 29362*/ GIMT_Encode4(2215136), GIMT_Encode4(0),
     /* 2214940 */ /*GILLT_nxv1s8*//*Label 29363*/ GIMT_Encode4(2215325),
     /* 2214944 */ /*GILLT_nxv1s16*//*Label 29364*/ GIMT_Encode4(2215440),
     /* 2214948 */ /*GILLT_nxv1s32*//*Label 29365*/ GIMT_Encode4(2215555),
     /* 2214952 */ /*GILLT_nxv1s64*//*Label 29366*/ GIMT_Encode4(2215670), GIMT_Encode4(0),
     /* 2214960 */ /*GILLT_nxv2s8*//*Label 29367*/ GIMT_Encode4(2215785),
     /* 2214964 */ /*GILLT_nxv2s16*//*Label 29368*/ GIMT_Encode4(2215900),
     /* 2214968 */ /*GILLT_nxv2s32*//*Label 29369*/ GIMT_Encode4(2216015),
     /* 2214972 */ /*GILLT_nxv2s64*//*Label 29370*/ GIMT_Encode4(2216130), GIMT_Encode4(0),
     /* 2214980 */ /*GILLT_nxv4s8*//*Label 29371*/ GIMT_Encode4(2216245),
     /* 2214984 */ /*GILLT_nxv4s16*//*Label 29372*/ GIMT_Encode4(2216360),
     /* 2214988 */ /*GILLT_nxv4s32*//*Label 29373*/ GIMT_Encode4(2216475),
     /* 2214992 */ /*GILLT_nxv4s64*//*Label 29374*/ GIMT_Encode4(2216590), GIMT_Encode4(0),
     /* 2215000 */ /*GILLT_nxv8s8*//*Label 29375*/ GIMT_Encode4(2216705),
     /* 2215004 */ /*GILLT_nxv8s16*//*Label 29376*/ GIMT_Encode4(2216820),
     /* 2215008 */ /*GILLT_nxv8s32*//*Label 29377*/ GIMT_Encode4(2216935),
     /* 2215012 */ /*GILLT_nxv8s64*//*Label 29378*/ GIMT_Encode4(2217050), GIMT_Encode4(0),
     /* 2215020 */ /*GILLT_nxv16s8*//*Label 29379*/ GIMT_Encode4(2217165),
     /* 2215024 */ /*GILLT_nxv16s16*//*Label 29380*/ GIMT_Encode4(2217280),
     /* 2215028 */ /*GILLT_nxv16s32*//*Label 29381*/ GIMT_Encode4(2217395), GIMT_Encode4(0),
     /* 2215036 */ /*GILLT_nxv32s8*//*Label 29382*/ GIMT_Encode4(2217510),
     /* 2215040 */ /*GILLT_nxv32s16*//*Label 29383*/ GIMT_Encode4(2217625), GIMT_Encode4(0),
     /* 2215048 */ /*GILLT_nxv64s8*//*Label 29384*/ GIMT_Encode4(2217740),
     /* 2215052 */ // Label 29361: @2215052
     /* 2215052 */ GIM_Try, /*On fail goto*//*Label 29386*/ GIMT_Encode4(2215135),
     /* 2215057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2215060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2215063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215071 */   GIM_Try, /*On fail goto*//*Label 29387*/ GIMT_Encode4(2215105), // Rule ID 95 //
     /* 2215076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2215079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2215083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2215087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2215091 */     // MIs[1] Operand 1
     /* 2215091 */     // No operand predicates
     /* 2215091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2215093 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2215093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2215096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2215103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215104 */     // GIR_Coverage, 95,
     /* 2215104 */     GIR_EraseRootFromParent_Done,
     /* 2215105 */   // Label 29387: @2215105
     /* 2215105 */   GIM_Try, /*On fail goto*//*Label 29388*/ GIMT_Encode4(2215134), // Rule ID 109 //
     /* 2215110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2215113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2215120 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRA:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2215120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2215123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2215132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215133 */     // GIR_Coverage, 109,
     /* 2215133 */     GIR_EraseRootFromParent_Done,
     /* 2215134 */   // Label 29388: @2215134
     /* 2215134 */   GIM_Reject,
     /* 2215135 */ // Label 29386: @2215135
     /* 2215135 */ GIM_Reject,
     /* 2215136 */ // Label 29362: @2215136
     /* 2215136 */ GIM_Try, /*On fail goto*//*Label 29389*/ GIMT_Encode4(2215324),
     /* 2215141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2215144 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2215147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215151 */   GIM_Try, /*On fail goto*//*Label 29390*/ GIMT_Encode4(2215188), // Rule ID 61971 //
     /* 2215156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2215159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2215163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2215167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2215171 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2215175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2215177 */     // (sra:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2215177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2215180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2215186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215187 */     // GIR_Coverage, 61971,
     /* 2215187 */     GIR_EraseRootFromParent_Done,
     /* 2215188 */   // Label 29390: @2215188
     /* 2215188 */   GIM_Try, /*On fail goto*//*Label 29391*/ GIMT_Encode4(2215252), // Rule ID 259 //
     /* 2215193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2215196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2215200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2215204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2215208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215213 */     // MIs[1] Operand 2
     /* 2215213 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2215224 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2215228 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2215232 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2215236 */     // MIs[2] Operand 1
     /* 2215236 */     // No operand predicates
     /* 2215236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2215238 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2215238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2215241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2215247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2215250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215251 */     // GIR_Coverage, 259,
     /* 2215251 */     GIR_EraseRootFromParent_Done,
     /* 2215252 */   // Label 29391: @2215252
     /* 2215252 */   GIM_Try, /*On fail goto*//*Label 29392*/ GIMT_Encode4(2215290), // Rule ID 94 //
     /* 2215257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2215260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2215268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2215272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2215276 */     // MIs[1] Operand 1
     /* 2215276 */     // No operand predicates
     /* 2215276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2215278 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2215278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2215281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2215288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215289 */     // GIR_Coverage, 94,
     /* 2215289 */     GIR_EraseRootFromParent_Done,
     /* 2215290 */   // Label 29392: @2215290
     /* 2215290 */   GIM_Try, /*On fail goto*//*Label 29393*/ GIMT_Encode4(2215323), // Rule ID 108 //
     /* 2215295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2215298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2215309 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRA:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2215309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2215312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2215321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215322 */     // GIR_Coverage, 108,
     /* 2215322 */     GIR_EraseRootFromParent_Done,
     /* 2215323 */   // Label 29393: @2215323
     /* 2215323 */   GIM_Reject,
     /* 2215324 */ // Label 29389: @2215324
     /* 2215324 */ GIM_Reject,
     /* 2215325 */ // Label 29363: @2215325
     /* 2215325 */ GIM_Try, /*On fail goto*//*Label 29394*/ GIMT_Encode4(2215439),
     /* 2215330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2215333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2215336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215344 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215348 */   GIM_Try, /*On fail goto*//*Label 29395*/ GIMT_Encode4(2215393), // Rule ID 47855 //
     /* 2215353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215356 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2215359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2215373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215392 */     // GIR_Coverage, 47855,
     /* 2215392 */     GIR_EraseRootFromParent_Done,
     /* 2215393 */   // Label 29395: @2215393
     /* 2215393 */   GIM_Try, /*On fail goto*//*Label 29396*/ GIMT_Encode4(2215438), // Rule ID 47856 //
     /* 2215398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215401 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2215404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2215418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215437 */     // GIR_Coverage, 47856,
     /* 2215437 */     GIR_EraseRootFromParent_Done,
     /* 2215438 */   // Label 29396: @2215438
     /* 2215438 */   GIM_Reject,
     /* 2215439 */ // Label 29394: @2215439
     /* 2215439 */ GIM_Reject,
     /* 2215440 */ // Label 29364: @2215440
     /* 2215440 */ GIM_Try, /*On fail goto*//*Label 29397*/ GIMT_Encode4(2215554),
     /* 2215445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2215448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2215451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215459 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215463 */   GIM_Try, /*On fail goto*//*Label 29398*/ GIMT_Encode4(2215508), // Rule ID 47867 //
     /* 2215468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215471 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2215474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2215488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215507 */     // GIR_Coverage, 47867,
     /* 2215507 */     GIR_EraseRootFromParent_Done,
     /* 2215508 */   // Label 29398: @2215508
     /* 2215508 */   GIM_Try, /*On fail goto*//*Label 29399*/ GIMT_Encode4(2215553), // Rule ID 47868 //
     /* 2215513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215516 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2215519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2215533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215552 */     // GIR_Coverage, 47868,
     /* 2215552 */     GIR_EraseRootFromParent_Done,
     /* 2215553 */   // Label 29399: @2215553
     /* 2215553 */   GIM_Reject,
     /* 2215554 */ // Label 29397: @2215554
     /* 2215554 */ GIM_Reject,
     /* 2215555 */ // Label 29365: @2215555
     /* 2215555 */ GIM_Try, /*On fail goto*//*Label 29400*/ GIMT_Encode4(2215669),
     /* 2215560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2215563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2215566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215574 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215578 */   GIM_Try, /*On fail goto*//*Label 29401*/ GIMT_Encode4(2215623), // Rule ID 47875 //
     /* 2215583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215586 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2215589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2215603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215622 */     // GIR_Coverage, 47875,
     /* 2215622 */     GIR_EraseRootFromParent_Done,
     /* 2215623 */   // Label 29401: @2215623
     /* 2215623 */   GIM_Try, /*On fail goto*//*Label 29402*/ GIMT_Encode4(2215668), // Rule ID 47876 //
     /* 2215628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215631 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2215634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2215648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215667 */     // GIR_Coverage, 47876,
     /* 2215667 */     GIR_EraseRootFromParent_Done,
     /* 2215668 */   // Label 29402: @2215668
     /* 2215668 */   GIM_Reject,
     /* 2215669 */ // Label 29400: @2215669
     /* 2215669 */ GIM_Reject,
     /* 2215670 */ // Label 29366: @2215670
     /* 2215670 */ GIM_Try, /*On fail goto*//*Label 29403*/ GIMT_Encode4(2215784),
     /* 2215675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2215678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2215681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215689 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215693 */   GIM_Try, /*On fail goto*//*Label 29404*/ GIMT_Encode4(2215738), // Rule ID 47891 //
     /* 2215698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2215701 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2215704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2215718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215737 */     // GIR_Coverage, 47891,
     /* 2215737 */     GIR_EraseRootFromParent_Done,
     /* 2215738 */   // Label 29404: @2215738
     /* 2215738 */   GIM_Try, /*On fail goto*//*Label 29405*/ GIMT_Encode4(2215783), // Rule ID 47892 //
     /* 2215743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2215746 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2215749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2215763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215782 */     // GIR_Coverage, 47892,
     /* 2215782 */     GIR_EraseRootFromParent_Done,
     /* 2215783 */   // Label 29405: @2215783
     /* 2215783 */   GIM_Reject,
     /* 2215784 */ // Label 29403: @2215784
     /* 2215784 */ GIM_Reject,
     /* 2215785 */ // Label 29367: @2215785
     /* 2215785 */ GIM_Try, /*On fail goto*//*Label 29406*/ GIMT_Encode4(2215899),
     /* 2215790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2215793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2215796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215804 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215808 */   GIM_Try, /*On fail goto*//*Label 29407*/ GIMT_Encode4(2215853), // Rule ID 47859 //
     /* 2215813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215816 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2215819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2215833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215852 */     // GIR_Coverage, 47859,
     /* 2215852 */     GIR_EraseRootFromParent_Done,
     /* 2215853 */   // Label 29407: @2215853
     /* 2215853 */   GIM_Try, /*On fail goto*//*Label 29408*/ GIMT_Encode4(2215898), // Rule ID 47860 //
     /* 2215858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215861 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2215864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2215878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215897 */     // GIR_Coverage, 47860,
     /* 2215897 */     GIR_EraseRootFromParent_Done,
     /* 2215898 */   // Label 29408: @2215898
     /* 2215898 */   GIM_Reject,
     /* 2215899 */ // Label 29406: @2215899
     /* 2215899 */ GIM_Reject,
     /* 2215900 */ // Label 29368: @2215900
     /* 2215900 */ GIM_Try, /*On fail goto*//*Label 29409*/ GIMT_Encode4(2216014),
     /* 2215905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2215908 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2215911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215919 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215923 */   GIM_Try, /*On fail goto*//*Label 29410*/ GIMT_Encode4(2215968), // Rule ID 47871 //
     /* 2215928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215931 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2215934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2215948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215967 */     // GIR_Coverage, 47871,
     /* 2215967 */     GIR_EraseRootFromParent_Done,
     /* 2215968 */   // Label 29410: @2215968
     /* 2215968 */   GIM_Try, /*On fail goto*//*Label 29411*/ GIMT_Encode4(2216013), // Rule ID 47872 //
     /* 2215973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215976 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2215979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2215993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216012 */     // GIR_Coverage, 47872,
     /* 2216012 */     GIR_EraseRootFromParent_Done,
     /* 2216013 */   // Label 29411: @2216013
     /* 2216013 */   GIM_Reject,
     /* 2216014 */ // Label 29409: @2216014
     /* 2216014 */ GIM_Reject,
     /* 2216015 */ // Label 29369: @2216015
     /* 2216015 */ GIM_Try, /*On fail goto*//*Label 29412*/ GIMT_Encode4(2216129),
     /* 2216020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2216023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2216026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216034 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216038 */   GIM_Try, /*On fail goto*//*Label 29413*/ GIMT_Encode4(2216083), // Rule ID 47887 //
     /* 2216043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216046 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2216049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2216063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216082 */     // GIR_Coverage, 47887,
     /* 2216082 */     GIR_EraseRootFromParent_Done,
     /* 2216083 */   // Label 29413: @2216083
     /* 2216083 */   GIM_Try, /*On fail goto*//*Label 29414*/ GIMT_Encode4(2216128), // Rule ID 47888 //
     /* 2216088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216091 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2216094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2216108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216127 */     // GIR_Coverage, 47888,
     /* 2216127 */     GIR_EraseRootFromParent_Done,
     /* 2216128 */   // Label 29414: @2216128
     /* 2216128 */   GIM_Reject,
     /* 2216129 */ // Label 29412: @2216129
     /* 2216129 */ GIM_Reject,
     /* 2216130 */ // Label 29370: @2216130
     /* 2216130 */ GIM_Try, /*On fail goto*//*Label 29415*/ GIMT_Encode4(2216244),
     /* 2216135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2216138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2216141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216153 */   GIM_Try, /*On fail goto*//*Label 29416*/ GIMT_Encode4(2216198), // Rule ID 47931 //
     /* 2216158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2216161 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2216164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2216178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216197 */     // GIR_Coverage, 47931,
     /* 2216197 */     GIR_EraseRootFromParent_Done,
     /* 2216198 */   // Label 29416: @2216198
     /* 2216198 */   GIM_Try, /*On fail goto*//*Label 29417*/ GIMT_Encode4(2216243), // Rule ID 47932 //
     /* 2216203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2216206 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2216209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2216223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216242 */     // GIR_Coverage, 47932,
     /* 2216242 */     GIR_EraseRootFromParent_Done,
     /* 2216243 */   // Label 29417: @2216243
     /* 2216243 */   GIM_Reject,
     /* 2216244 */ // Label 29415: @2216244
     /* 2216244 */ GIM_Reject,
     /* 2216245 */ // Label 29371: @2216245
     /* 2216245 */ GIM_Try, /*On fail goto*//*Label 29418*/ GIMT_Encode4(2216359),
     /* 2216250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2216253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2216256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216268 */   GIM_Try, /*On fail goto*//*Label 29419*/ GIMT_Encode4(2216313), // Rule ID 47863 //
     /* 2216273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216276 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2216279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2216293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216312 */     // GIR_Coverage, 47863,
     /* 2216312 */     GIR_EraseRootFromParent_Done,
     /* 2216313 */   // Label 29419: @2216313
     /* 2216313 */   GIM_Try, /*On fail goto*//*Label 29420*/ GIMT_Encode4(2216358), // Rule ID 47864 //
     /* 2216318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216321 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2216324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2216338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216357 */     // GIR_Coverage, 47864,
     /* 2216357 */     GIR_EraseRootFromParent_Done,
     /* 2216358 */   // Label 29420: @2216358
     /* 2216358 */   GIM_Reject,
     /* 2216359 */ // Label 29418: @2216359
     /* 2216359 */ GIM_Reject,
     /* 2216360 */ // Label 29372: @2216360
     /* 2216360 */ GIM_Try, /*On fail goto*//*Label 29421*/ GIMT_Encode4(2216474),
     /* 2216365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2216368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2216371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216383 */   GIM_Try, /*On fail goto*//*Label 29422*/ GIMT_Encode4(2216428), // Rule ID 47883 //
     /* 2216388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216391 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2216394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2216408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216427 */     // GIR_Coverage, 47883,
     /* 2216427 */     GIR_EraseRootFromParent_Done,
     /* 2216428 */   // Label 29422: @2216428
     /* 2216428 */   GIM_Try, /*On fail goto*//*Label 29423*/ GIMT_Encode4(2216473), // Rule ID 47884 //
     /* 2216433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216436 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2216439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2216453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216472 */     // GIR_Coverage, 47884,
     /* 2216472 */     GIR_EraseRootFromParent_Done,
     /* 2216473 */   // Label 29423: @2216473
     /* 2216473 */   GIM_Reject,
     /* 2216474 */ // Label 29421: @2216474
     /* 2216474 */ GIM_Reject,
     /* 2216475 */ // Label 29373: @2216475
     /* 2216475 */ GIM_Try, /*On fail goto*//*Label 29424*/ GIMT_Encode4(2216589),
     /* 2216480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2216483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2216486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216498 */   GIM_Try, /*On fail goto*//*Label 29425*/ GIMT_Encode4(2216543), // Rule ID 47919 //
     /* 2216503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216506 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2216509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2216523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216542 */     // GIR_Coverage, 47919,
     /* 2216542 */     GIR_EraseRootFromParent_Done,
     /* 2216543 */   // Label 29425: @2216543
     /* 2216543 */   GIM_Try, /*On fail goto*//*Label 29426*/ GIMT_Encode4(2216588), // Rule ID 47920 //
     /* 2216548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216551 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2216554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2216568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216587 */     // GIR_Coverage, 47920,
     /* 2216587 */     GIR_EraseRootFromParent_Done,
     /* 2216588 */   // Label 29426: @2216588
     /* 2216588 */   GIM_Reject,
     /* 2216589 */ // Label 29424: @2216589
     /* 2216589 */ GIM_Reject,
     /* 2216590 */ // Label 29374: @2216590
     /* 2216590 */ GIM_Try, /*On fail goto*//*Label 29427*/ GIMT_Encode4(2216704),
     /* 2216595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2216598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2216601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216613 */   GIM_Try, /*On fail goto*//*Label 29428*/ GIMT_Encode4(2216658), // Rule ID 47935 //
     /* 2216618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2216621 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2216624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2216638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216657 */     // GIR_Coverage, 47935,
     /* 2216657 */     GIR_EraseRootFromParent_Done,
     /* 2216658 */   // Label 29428: @2216658
     /* 2216658 */   GIM_Try, /*On fail goto*//*Label 29429*/ GIMT_Encode4(2216703), // Rule ID 47936 //
     /* 2216663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2216666 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2216669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2216683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216702 */     // GIR_Coverage, 47936,
     /* 2216702 */     GIR_EraseRootFromParent_Done,
     /* 2216703 */   // Label 29429: @2216703
     /* 2216703 */   GIM_Reject,
     /* 2216704 */ // Label 29427: @2216704
     /* 2216704 */ GIM_Reject,
     /* 2216705 */ // Label 29375: @2216705
     /* 2216705 */ GIM_Try, /*On fail goto*//*Label 29430*/ GIMT_Encode4(2216819),
     /* 2216710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2216713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2216716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216724 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216728 */   GIM_Try, /*On fail goto*//*Label 29431*/ GIMT_Encode4(2216773), // Rule ID 47879 //
     /* 2216733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216736 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2216739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2216753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216772 */     // GIR_Coverage, 47879,
     /* 2216772 */     GIR_EraseRootFromParent_Done,
     /* 2216773 */   // Label 29431: @2216773
     /* 2216773 */   GIM_Try, /*On fail goto*//*Label 29432*/ GIMT_Encode4(2216818), // Rule ID 47880 //
     /* 2216778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216781 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2216784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2216798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216817 */     // GIR_Coverage, 47880,
     /* 2216817 */     GIR_EraseRootFromParent_Done,
     /* 2216818 */   // Label 29432: @2216818
     /* 2216818 */   GIM_Reject,
     /* 2216819 */ // Label 29430: @2216819
     /* 2216819 */ GIM_Reject,
     /* 2216820 */ // Label 29376: @2216820
     /* 2216820 */ GIM_Try, /*On fail goto*//*Label 29433*/ GIMT_Encode4(2216934),
     /* 2216825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2216828 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2216831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216839 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216843 */   GIM_Try, /*On fail goto*//*Label 29434*/ GIMT_Encode4(2216888), // Rule ID 47907 //
     /* 2216848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216851 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2216854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2216868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216887 */     // GIR_Coverage, 47907,
     /* 2216887 */     GIR_EraseRootFromParent_Done,
     /* 2216888 */   // Label 29434: @2216888
     /* 2216888 */   GIM_Try, /*On fail goto*//*Label 29435*/ GIMT_Encode4(2216933), // Rule ID 47908 //
     /* 2216893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216896 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2216899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2216913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216932 */     // GIR_Coverage, 47908,
     /* 2216932 */     GIR_EraseRootFromParent_Done,
     /* 2216933 */   // Label 29435: @2216933
     /* 2216933 */   GIM_Reject,
     /* 2216934 */ // Label 29433: @2216934
     /* 2216934 */ GIM_Reject,
     /* 2216935 */ // Label 29377: @2216935
     /* 2216935 */ GIM_Try, /*On fail goto*//*Label 29436*/ GIMT_Encode4(2217049),
     /* 2216940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2216943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2216946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216954 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216958 */   GIM_Try, /*On fail goto*//*Label 29437*/ GIMT_Encode4(2217003), // Rule ID 47923 //
     /* 2216963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216966 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2216969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2216983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217002 */     // GIR_Coverage, 47923,
     /* 2217002 */     GIR_EraseRootFromParent_Done,
     /* 2217003 */   // Label 29437: @2217003
     /* 2217003 */   GIM_Try, /*On fail goto*//*Label 29438*/ GIMT_Encode4(2217048), // Rule ID 47924 //
     /* 2217008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217011 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2217014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2217028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217047 */     // GIR_Coverage, 47924,
     /* 2217047 */     GIR_EraseRootFromParent_Done,
     /* 2217048 */   // Label 29438: @2217048
     /* 2217048 */   GIM_Reject,
     /* 2217049 */ // Label 29436: @2217049
     /* 2217049 */ GIM_Reject,
     /* 2217050 */ // Label 29378: @2217050
     /* 2217050 */ GIM_Try, /*On fail goto*//*Label 29439*/ GIMT_Encode4(2217164),
     /* 2217055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2217058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2217061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217069 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217073 */   GIM_Try, /*On fail goto*//*Label 29440*/ GIMT_Encode4(2217118), // Rule ID 47939 //
     /* 2217078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2217081 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2217084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2217098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217117 */     // GIR_Coverage, 47939,
     /* 2217117 */     GIR_EraseRootFromParent_Done,
     /* 2217118 */   // Label 29440: @2217118
     /* 2217118 */   GIM_Try, /*On fail goto*//*Label 29441*/ GIMT_Encode4(2217163), // Rule ID 47940 //
     /* 2217123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2217126 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2217129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2217143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217162 */     // GIR_Coverage, 47940,
     /* 2217162 */     GIR_EraseRootFromParent_Done,
     /* 2217163 */   // Label 29441: @2217163
     /* 2217163 */   GIM_Reject,
     /* 2217164 */ // Label 29439: @2217164
     /* 2217164 */ GIM_Reject,
     /* 2217165 */ // Label 29379: @2217165
     /* 2217165 */ GIM_Try, /*On fail goto*//*Label 29442*/ GIMT_Encode4(2217279),
     /* 2217170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2217173 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2217176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217184 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217188 */   GIM_Try, /*On fail goto*//*Label 29443*/ GIMT_Encode4(2217233), // Rule ID 47895 //
     /* 2217193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217196 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2217199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2217213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217232 */     // GIR_Coverage, 47895,
     /* 2217232 */     GIR_EraseRootFromParent_Done,
     /* 2217233 */   // Label 29443: @2217233
     /* 2217233 */   GIM_Try, /*On fail goto*//*Label 29444*/ GIMT_Encode4(2217278), // Rule ID 47896 //
     /* 2217238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217241 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2217244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2217258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217277 */     // GIR_Coverage, 47896,
     /* 2217277 */     GIR_EraseRootFromParent_Done,
     /* 2217278 */   // Label 29444: @2217278
     /* 2217278 */   GIM_Reject,
     /* 2217279 */ // Label 29442: @2217279
     /* 2217279 */ GIM_Reject,
     /* 2217280 */ // Label 29380: @2217280
     /* 2217280 */ GIM_Try, /*On fail goto*//*Label 29445*/ GIMT_Encode4(2217394),
     /* 2217285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2217288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2217291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217299 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217303 */   GIM_Try, /*On fail goto*//*Label 29446*/ GIMT_Encode4(2217348), // Rule ID 47911 //
     /* 2217308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217311 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2217314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2217328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217347 */     // GIR_Coverage, 47911,
     /* 2217347 */     GIR_EraseRootFromParent_Done,
     /* 2217348 */   // Label 29446: @2217348
     /* 2217348 */   GIM_Try, /*On fail goto*//*Label 29447*/ GIMT_Encode4(2217393), // Rule ID 47912 //
     /* 2217353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217356 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2217359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2217373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217392 */     // GIR_Coverage, 47912,
     /* 2217392 */     GIR_EraseRootFromParent_Done,
     /* 2217393 */   // Label 29447: @2217393
     /* 2217393 */   GIM_Reject,
     /* 2217394 */ // Label 29445: @2217394
     /* 2217394 */ GIM_Reject,
     /* 2217395 */ // Label 29381: @2217395
     /* 2217395 */ GIM_Try, /*On fail goto*//*Label 29448*/ GIMT_Encode4(2217509),
     /* 2217400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2217403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2217406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217414 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217418 */   GIM_Try, /*On fail goto*//*Label 29449*/ GIMT_Encode4(2217463), // Rule ID 47927 //
     /* 2217423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217426 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2217429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2217443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217462 */     // GIR_Coverage, 47927,
     /* 2217462 */     GIR_EraseRootFromParent_Done,
     /* 2217463 */   // Label 29449: @2217463
     /* 2217463 */   GIM_Try, /*On fail goto*//*Label 29450*/ GIMT_Encode4(2217508), // Rule ID 47928 //
     /* 2217468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217471 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2217474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2217488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217507 */     // GIR_Coverage, 47928,
     /* 2217507 */     GIR_EraseRootFromParent_Done,
     /* 2217508 */   // Label 29450: @2217508
     /* 2217508 */   GIM_Reject,
     /* 2217509 */ // Label 29448: @2217509
     /* 2217509 */ GIM_Reject,
     /* 2217510 */ // Label 29382: @2217510
     /* 2217510 */ GIM_Try, /*On fail goto*//*Label 29451*/ GIMT_Encode4(2217624),
     /* 2217515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2217518 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2217521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217529 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217533 */   GIM_Try, /*On fail goto*//*Label 29452*/ GIMT_Encode4(2217578), // Rule ID 47899 //
     /* 2217538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217541 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2217544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2217558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217577 */     // GIR_Coverage, 47899,
     /* 2217577 */     GIR_EraseRootFromParent_Done,
     /* 2217578 */   // Label 29452: @2217578
     /* 2217578 */   GIM_Try, /*On fail goto*//*Label 29453*/ GIMT_Encode4(2217623), // Rule ID 47900 //
     /* 2217583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217586 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2217589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2217603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217622 */     // GIR_Coverage, 47900,
     /* 2217622 */     GIR_EraseRootFromParent_Done,
     /* 2217623 */   // Label 29453: @2217623
     /* 2217623 */   GIM_Reject,
     /* 2217624 */ // Label 29451: @2217624
     /* 2217624 */ GIM_Reject,
     /* 2217625 */ // Label 29383: @2217625
     /* 2217625 */ GIM_Try, /*On fail goto*//*Label 29454*/ GIMT_Encode4(2217739),
     /* 2217630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2217633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2217636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217648 */   GIM_Try, /*On fail goto*//*Label 29455*/ GIMT_Encode4(2217693), // Rule ID 47915 //
     /* 2217653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217656 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2217659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2217673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217692 */     // GIR_Coverage, 47915,
     /* 2217692 */     GIR_EraseRootFromParent_Done,
     /* 2217693 */   // Label 29455: @2217693
     /* 2217693 */   GIM_Try, /*On fail goto*//*Label 29456*/ GIMT_Encode4(2217738), // Rule ID 47916 //
     /* 2217698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217701 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2217704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2217718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217737 */     // GIR_Coverage, 47916,
     /* 2217737 */     GIR_EraseRootFromParent_Done,
     /* 2217738 */   // Label 29456: @2217738
     /* 2217738 */   GIM_Reject,
     /* 2217739 */ // Label 29454: @2217739
     /* 2217739 */ GIM_Reject,
     /* 2217740 */ // Label 29384: @2217740
     /* 2217740 */ GIM_Try, /*On fail goto*//*Label 29457*/ GIMT_Encode4(2217854),
     /* 2217745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2217748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2217751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217759 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217763 */   GIM_Try, /*On fail goto*//*Label 29458*/ GIMT_Encode4(2217808), // Rule ID 47903 //
     /* 2217768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217771 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2217774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2217788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217807 */     // GIR_Coverage, 47903,
     /* 2217807 */     GIR_EraseRootFromParent_Done,
     /* 2217808 */   // Label 29458: @2217808
     /* 2217808 */   GIM_Try, /*On fail goto*//*Label 29459*/ GIMT_Encode4(2217853), // Rule ID 47904 //
     /* 2217813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217816 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2217819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2217833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217852 */     // GIR_Coverage, 47904,
     /* 2217852 */     GIR_EraseRootFromParent_Done,
     /* 2217853 */   // Label 29459: @2217853
     /* 2217853 */   GIM_Reject,
     /* 2217854 */ // Label 29457: @2217854
     /* 2217854 */ GIM_Reject,
     /* 2217855 */ // Label 29385: @2217855
     /* 2217855 */ GIM_Reject,
     /* 2217856 */ // Label 46: @2217856
     /* 2217856 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29484*/ GIMT_Encode4(2220795),
     /* 2217867 */ /*GILLT_s32*//*Label 29460*/ GIMT_Encode4(2217991),
     /* 2217871 */ /*GILLT_s64*//*Label 29461*/ GIMT_Encode4(2218128), GIMT_Encode4(0),
     /* 2217879 */ /*GILLT_nxv1s8*//*Label 29462*/ GIMT_Encode4(2218265),
     /* 2217883 */ /*GILLT_nxv1s16*//*Label 29463*/ GIMT_Encode4(2218380),
     /* 2217887 */ /*GILLT_nxv1s32*//*Label 29464*/ GIMT_Encode4(2218495),
     /* 2217891 */ /*GILLT_nxv1s64*//*Label 29465*/ GIMT_Encode4(2218610), GIMT_Encode4(0),
     /* 2217899 */ /*GILLT_nxv2s8*//*Label 29466*/ GIMT_Encode4(2218725),
     /* 2217903 */ /*GILLT_nxv2s16*//*Label 29467*/ GIMT_Encode4(2218840),
     /* 2217907 */ /*GILLT_nxv2s32*//*Label 29468*/ GIMT_Encode4(2218955),
     /* 2217911 */ /*GILLT_nxv2s64*//*Label 29469*/ GIMT_Encode4(2219070), GIMT_Encode4(0),
     /* 2217919 */ /*GILLT_nxv4s8*//*Label 29470*/ GIMT_Encode4(2219185),
     /* 2217923 */ /*GILLT_nxv4s16*//*Label 29471*/ GIMT_Encode4(2219300),
     /* 2217927 */ /*GILLT_nxv4s32*//*Label 29472*/ GIMT_Encode4(2219415),
     /* 2217931 */ /*GILLT_nxv4s64*//*Label 29473*/ GIMT_Encode4(2219530), GIMT_Encode4(0),
     /* 2217939 */ /*GILLT_nxv8s8*//*Label 29474*/ GIMT_Encode4(2219645),
     /* 2217943 */ /*GILLT_nxv8s16*//*Label 29475*/ GIMT_Encode4(2219760),
     /* 2217947 */ /*GILLT_nxv8s32*//*Label 29476*/ GIMT_Encode4(2219875),
     /* 2217951 */ /*GILLT_nxv8s64*//*Label 29477*/ GIMT_Encode4(2219990), GIMT_Encode4(0),
     /* 2217959 */ /*GILLT_nxv16s8*//*Label 29478*/ GIMT_Encode4(2220105),
     /* 2217963 */ /*GILLT_nxv16s16*//*Label 29479*/ GIMT_Encode4(2220220),
     /* 2217967 */ /*GILLT_nxv16s32*//*Label 29480*/ GIMT_Encode4(2220335), GIMT_Encode4(0),
     /* 2217975 */ /*GILLT_nxv32s8*//*Label 29481*/ GIMT_Encode4(2220450),
     /* 2217979 */ /*GILLT_nxv32s16*//*Label 29482*/ GIMT_Encode4(2220565), GIMT_Encode4(0),
     /* 2217987 */ /*GILLT_nxv64s8*//*Label 29483*/ GIMT_Encode4(2220680),
     /* 2217991 */ // Label 29460: @2217991
     /* 2217991 */ GIM_Try, /*On fail goto*//*Label 29485*/ GIMT_Encode4(2218127),
     /* 2217996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2217999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2218002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218010 */   GIM_Try, /*On fail goto*//*Label 29486*/ GIMT_Encode4(2218044), // Rule ID 2322 //
     /* 2218015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2218018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2218022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2218026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2218030 */     // MIs[1] Operand 1
     /* 2218030 */     // No operand predicates
     /* 2218030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2218032 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2218032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2218035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2218042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218043 */     // GIR_Coverage, 2322,
     /* 2218043 */     GIR_EraseRootFromParent_Done,
     /* 2218044 */   // Label 29486: @2218044
     /* 2218044 */   GIM_Try, /*On fail goto*//*Label 29487*/ GIMT_Encode4(2218078), // Rule ID 61953 //
     /* 2218049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2218052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2218056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2218060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2218064 */     // MIs[1] Operand 1
     /* 2218064 */     // No operand predicates
     /* 2218064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2218066 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2218066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2218069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2218076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218077 */     // GIR_Coverage, 61953,
     /* 2218077 */     GIR_EraseRootFromParent_Done,
     /* 2218078 */   // Label 29487: @2218078
     /* 2218078 */   GIM_Try, /*On fail goto*//*Label 29488*/ GIMT_Encode4(2218107), // Rule ID 2320 //
     /* 2218083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2218086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2218093 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2218093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2218096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2218105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218106 */     // GIR_Coverage, 2320,
     /* 2218106 */     GIR_EraseRootFromParent_Done,
     /* 2218107 */   // Label 29488: @2218107
     /* 2218107 */   GIM_Try, /*On fail goto*//*Label 29489*/ GIMT_Encode4(2218126), // Rule ID 63848 //
     /* 2218112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2218115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218119 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2218119 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2218124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218125 */     // GIR_Coverage, 63848,
     /* 2218125 */     GIR_Done,
     /* 2218126 */   // Label 29489: @2218126
     /* 2218126 */   GIM_Reject,
     /* 2218127 */ // Label 29485: @2218127
     /* 2218127 */ GIM_Reject,
     /* 2218128 */ // Label 29461: @2218128
     /* 2218128 */ GIM_Try, /*On fail goto*//*Label 29490*/ GIMT_Encode4(2218264),
     /* 2218133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2218136 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2218139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218147 */   GIM_Try, /*On fail goto*//*Label 29491*/ GIMT_Encode4(2218181), // Rule ID 2321 //
     /* 2218152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2218155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2218159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2218163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2218167 */     // MIs[1] Operand 1
     /* 2218167 */     // No operand predicates
     /* 2218167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2218169 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2218169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2218172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2218179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218180 */     // GIR_Coverage, 2321,
     /* 2218180 */     GIR_EraseRootFromParent_Done,
     /* 2218181 */   // Label 29491: @2218181
     /* 2218181 */   GIM_Try, /*On fail goto*//*Label 29492*/ GIMT_Encode4(2218215), // Rule ID 61952 //
     /* 2218186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2218189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2218193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2218197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2218201 */     // MIs[1] Operand 1
     /* 2218201 */     // No operand predicates
     /* 2218201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2218203 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2218203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2218206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2218213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218214 */     // GIR_Coverage, 61952,
     /* 2218214 */     GIR_EraseRootFromParent_Done,
     /* 2218215 */   // Label 29492: @2218215
     /* 2218215 */   GIM_Try, /*On fail goto*//*Label 29493*/ GIMT_Encode4(2218244), // Rule ID 2319 //
     /* 2218220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2218223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2218230 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2218230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2218233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2218242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218243 */     // GIR_Coverage, 2319,
     /* 2218243 */     GIR_EraseRootFromParent_Done,
     /* 2218244 */   // Label 29493: @2218244
     /* 2218244 */   GIM_Try, /*On fail goto*//*Label 29494*/ GIMT_Encode4(2218263), // Rule ID 63847 //
     /* 2218249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2218252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218256 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2218256 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2218261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218262 */     // GIR_Coverage, 63847,
     /* 2218262 */     GIR_Done,
     /* 2218263 */   // Label 29494: @2218263
     /* 2218263 */   GIM_Reject,
     /* 2218264 */ // Label 29490: @2218264
     /* 2218264 */ GIM_Reject,
     /* 2218265 */ // Label 29462: @2218265
     /* 2218265 */ GIM_Try, /*On fail goto*//*Label 29495*/ GIMT_Encode4(2218379),
     /* 2218270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2218273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2218276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218288 */   GIM_Try, /*On fail goto*//*Label 29496*/ GIMT_Encode4(2218333), // Rule ID 58767 //
     /* 2218293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218296 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2218299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2218313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218332 */     // GIR_Coverage, 58767,
     /* 2218332 */     GIR_EraseRootFromParent_Done,
     /* 2218333 */   // Label 29496: @2218333
     /* 2218333 */   GIM_Try, /*On fail goto*//*Label 29497*/ GIMT_Encode4(2218378), // Rule ID 58768 //
     /* 2218338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218341 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2218344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2218358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218377 */     // GIR_Coverage, 58768,
     /* 2218377 */     GIR_EraseRootFromParent_Done,
     /* 2218378 */   // Label 29497: @2218378
     /* 2218378 */   GIM_Reject,
     /* 2218379 */ // Label 29495: @2218379
     /* 2218379 */ GIM_Reject,
     /* 2218380 */ // Label 29463: @2218380
     /* 2218380 */ GIM_Try, /*On fail goto*//*Label 29498*/ GIMT_Encode4(2218494),
     /* 2218385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2218388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2218391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218399 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218403 */   GIM_Try, /*On fail goto*//*Label 29499*/ GIMT_Encode4(2218448), // Rule ID 58779 //
     /* 2218408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218411 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2218414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2218428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218447 */     // GIR_Coverage, 58779,
     /* 2218447 */     GIR_EraseRootFromParent_Done,
     /* 2218448 */   // Label 29499: @2218448
     /* 2218448 */   GIM_Try, /*On fail goto*//*Label 29500*/ GIMT_Encode4(2218493), // Rule ID 58780 //
     /* 2218453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218456 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2218459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2218473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218492 */     // GIR_Coverage, 58780,
     /* 2218492 */     GIR_EraseRootFromParent_Done,
     /* 2218493 */   // Label 29500: @2218493
     /* 2218493 */   GIM_Reject,
     /* 2218494 */ // Label 29498: @2218494
     /* 2218494 */ GIM_Reject,
     /* 2218495 */ // Label 29464: @2218495
     /* 2218495 */ GIM_Try, /*On fail goto*//*Label 29501*/ GIMT_Encode4(2218609),
     /* 2218500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2218503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2218506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218514 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218518 */   GIM_Try, /*On fail goto*//*Label 29502*/ GIMT_Encode4(2218563), // Rule ID 58787 //
     /* 2218523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218526 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2218529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2218543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218562 */     // GIR_Coverage, 58787,
     /* 2218562 */     GIR_EraseRootFromParent_Done,
     /* 2218563 */   // Label 29502: @2218563
     /* 2218563 */   GIM_Try, /*On fail goto*//*Label 29503*/ GIMT_Encode4(2218608), // Rule ID 58788 //
     /* 2218568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218571 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2218574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2218588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218607 */     // GIR_Coverage, 58788,
     /* 2218607 */     GIR_EraseRootFromParent_Done,
     /* 2218608 */   // Label 29503: @2218608
     /* 2218608 */   GIM_Reject,
     /* 2218609 */ // Label 29501: @2218609
     /* 2218609 */ GIM_Reject,
     /* 2218610 */ // Label 29465: @2218610
     /* 2218610 */ GIM_Try, /*On fail goto*//*Label 29504*/ GIMT_Encode4(2218724),
     /* 2218615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2218618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2218621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218629 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218633 */   GIM_Try, /*On fail goto*//*Label 29505*/ GIMT_Encode4(2218678), // Rule ID 58803 //
     /* 2218638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2218641 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2218644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2218658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218677 */     // GIR_Coverage, 58803,
     /* 2218677 */     GIR_EraseRootFromParent_Done,
     /* 2218678 */   // Label 29505: @2218678
     /* 2218678 */   GIM_Try, /*On fail goto*//*Label 29506*/ GIMT_Encode4(2218723), // Rule ID 58804 //
     /* 2218683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2218686 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2218689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2218703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218722 */     // GIR_Coverage, 58804,
     /* 2218722 */     GIR_EraseRootFromParent_Done,
     /* 2218723 */   // Label 29506: @2218723
     /* 2218723 */   GIM_Reject,
     /* 2218724 */ // Label 29504: @2218724
     /* 2218724 */ GIM_Reject,
     /* 2218725 */ // Label 29466: @2218725
     /* 2218725 */ GIM_Try, /*On fail goto*//*Label 29507*/ GIMT_Encode4(2218839),
     /* 2218730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2218733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2218736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218748 */   GIM_Try, /*On fail goto*//*Label 29508*/ GIMT_Encode4(2218793), // Rule ID 58771 //
     /* 2218753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218756 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2218759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2218773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218792 */     // GIR_Coverage, 58771,
     /* 2218792 */     GIR_EraseRootFromParent_Done,
     /* 2218793 */   // Label 29508: @2218793
     /* 2218793 */   GIM_Try, /*On fail goto*//*Label 29509*/ GIMT_Encode4(2218838), // Rule ID 58772 //
     /* 2218798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218801 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2218804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2218818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218837 */     // GIR_Coverage, 58772,
     /* 2218837 */     GIR_EraseRootFromParent_Done,
     /* 2218838 */   // Label 29509: @2218838
     /* 2218838 */   GIM_Reject,
     /* 2218839 */ // Label 29507: @2218839
     /* 2218839 */ GIM_Reject,
     /* 2218840 */ // Label 29467: @2218840
     /* 2218840 */ GIM_Try, /*On fail goto*//*Label 29510*/ GIMT_Encode4(2218954),
     /* 2218845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2218848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2218851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218859 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218863 */   GIM_Try, /*On fail goto*//*Label 29511*/ GIMT_Encode4(2218908), // Rule ID 58783 //
     /* 2218868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218871 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2218874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2218888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218907 */     // GIR_Coverage, 58783,
     /* 2218907 */     GIR_EraseRootFromParent_Done,
     /* 2218908 */   // Label 29511: @2218908
     /* 2218908 */   GIM_Try, /*On fail goto*//*Label 29512*/ GIMT_Encode4(2218953), // Rule ID 58784 //
     /* 2218913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218916 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2218919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2218933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218952 */     // GIR_Coverage, 58784,
     /* 2218952 */     GIR_EraseRootFromParent_Done,
     /* 2218953 */   // Label 29512: @2218953
     /* 2218953 */   GIM_Reject,
     /* 2218954 */ // Label 29510: @2218954
     /* 2218954 */ GIM_Reject,
     /* 2218955 */ // Label 29468: @2218955
     /* 2218955 */ GIM_Try, /*On fail goto*//*Label 29513*/ GIMT_Encode4(2219069),
     /* 2218960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2218963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2218966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218974 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218978 */   GIM_Try, /*On fail goto*//*Label 29514*/ GIMT_Encode4(2219023), // Rule ID 58799 //
     /* 2218983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218986 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2218989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2219003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219022 */     // GIR_Coverage, 58799,
     /* 2219022 */     GIR_EraseRootFromParent_Done,
     /* 2219023 */   // Label 29514: @2219023
     /* 2219023 */   GIM_Try, /*On fail goto*//*Label 29515*/ GIMT_Encode4(2219068), // Rule ID 58800 //
     /* 2219028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219031 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2219034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2219048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219067 */     // GIR_Coverage, 58800,
     /* 2219067 */     GIR_EraseRootFromParent_Done,
     /* 2219068 */   // Label 29515: @2219068
     /* 2219068 */   GIM_Reject,
     /* 2219069 */ // Label 29513: @2219069
     /* 2219069 */ GIM_Reject,
     /* 2219070 */ // Label 29469: @2219070
     /* 2219070 */ GIM_Try, /*On fail goto*//*Label 29516*/ GIMT_Encode4(2219184),
     /* 2219075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2219078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2219081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219093 */   GIM_Try, /*On fail goto*//*Label 29517*/ GIMT_Encode4(2219138), // Rule ID 58843 //
     /* 2219098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2219101 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2219104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2219118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219137 */     // GIR_Coverage, 58843,
     /* 2219137 */     GIR_EraseRootFromParent_Done,
     /* 2219138 */   // Label 29517: @2219138
     /* 2219138 */   GIM_Try, /*On fail goto*//*Label 29518*/ GIMT_Encode4(2219183), // Rule ID 58844 //
     /* 2219143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2219146 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2219149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2219163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219182 */     // GIR_Coverage, 58844,
     /* 2219182 */     GIR_EraseRootFromParent_Done,
     /* 2219183 */   // Label 29518: @2219183
     /* 2219183 */   GIM_Reject,
     /* 2219184 */ // Label 29516: @2219184
     /* 2219184 */ GIM_Reject,
     /* 2219185 */ // Label 29470: @2219185
     /* 2219185 */ GIM_Try, /*On fail goto*//*Label 29519*/ GIMT_Encode4(2219299),
     /* 2219190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2219193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2219196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219204 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219208 */   GIM_Try, /*On fail goto*//*Label 29520*/ GIMT_Encode4(2219253), // Rule ID 58775 //
     /* 2219213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219216 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2219219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2219233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219252 */     // GIR_Coverage, 58775,
     /* 2219252 */     GIR_EraseRootFromParent_Done,
     /* 2219253 */   // Label 29520: @2219253
     /* 2219253 */   GIM_Try, /*On fail goto*//*Label 29521*/ GIMT_Encode4(2219298), // Rule ID 58776 //
     /* 2219258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219261 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2219264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2219278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219297 */     // GIR_Coverage, 58776,
     /* 2219297 */     GIR_EraseRootFromParent_Done,
     /* 2219298 */   // Label 29521: @2219298
     /* 2219298 */   GIM_Reject,
     /* 2219299 */ // Label 29519: @2219299
     /* 2219299 */ GIM_Reject,
     /* 2219300 */ // Label 29471: @2219300
     /* 2219300 */ GIM_Try, /*On fail goto*//*Label 29522*/ GIMT_Encode4(2219414),
     /* 2219305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2219308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2219311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219315 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219319 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219323 */   GIM_Try, /*On fail goto*//*Label 29523*/ GIMT_Encode4(2219368), // Rule ID 58795 //
     /* 2219328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219331 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2219334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2219348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219367 */     // GIR_Coverage, 58795,
     /* 2219367 */     GIR_EraseRootFromParent_Done,
     /* 2219368 */   // Label 29523: @2219368
     /* 2219368 */   GIM_Try, /*On fail goto*//*Label 29524*/ GIMT_Encode4(2219413), // Rule ID 58796 //
     /* 2219373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219376 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2219379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2219393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219412 */     // GIR_Coverage, 58796,
     /* 2219412 */     GIR_EraseRootFromParent_Done,
     /* 2219413 */   // Label 29524: @2219413
     /* 2219413 */   GIM_Reject,
     /* 2219414 */ // Label 29522: @2219414
     /* 2219414 */ GIM_Reject,
     /* 2219415 */ // Label 29472: @2219415
     /* 2219415 */ GIM_Try, /*On fail goto*//*Label 29525*/ GIMT_Encode4(2219529),
     /* 2219420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2219423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2219426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219434 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219438 */   GIM_Try, /*On fail goto*//*Label 29526*/ GIMT_Encode4(2219483), // Rule ID 58831 //
     /* 2219443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219446 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2219449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2219463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219482 */     // GIR_Coverage, 58831,
     /* 2219482 */     GIR_EraseRootFromParent_Done,
     /* 2219483 */   // Label 29526: @2219483
     /* 2219483 */   GIM_Try, /*On fail goto*//*Label 29527*/ GIMT_Encode4(2219528), // Rule ID 58832 //
     /* 2219488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219491 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2219494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2219508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219527 */     // GIR_Coverage, 58832,
     /* 2219527 */     GIR_EraseRootFromParent_Done,
     /* 2219528 */   // Label 29527: @2219528
     /* 2219528 */   GIM_Reject,
     /* 2219529 */ // Label 29525: @2219529
     /* 2219529 */ GIM_Reject,
     /* 2219530 */ // Label 29473: @2219530
     /* 2219530 */ GIM_Try, /*On fail goto*//*Label 29528*/ GIMT_Encode4(2219644),
     /* 2219535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2219538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2219541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219549 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219553 */   GIM_Try, /*On fail goto*//*Label 29529*/ GIMT_Encode4(2219598), // Rule ID 58847 //
     /* 2219558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2219561 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2219564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2219578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219597 */     // GIR_Coverage, 58847,
     /* 2219597 */     GIR_EraseRootFromParent_Done,
     /* 2219598 */   // Label 29529: @2219598
     /* 2219598 */   GIM_Try, /*On fail goto*//*Label 29530*/ GIMT_Encode4(2219643), // Rule ID 58848 //
     /* 2219603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2219606 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2219609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2219623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219642 */     // GIR_Coverage, 58848,
     /* 2219642 */     GIR_EraseRootFromParent_Done,
     /* 2219643 */   // Label 29530: @2219643
     /* 2219643 */   GIM_Reject,
     /* 2219644 */ // Label 29528: @2219644
     /* 2219644 */ GIM_Reject,
     /* 2219645 */ // Label 29474: @2219645
     /* 2219645 */ GIM_Try, /*On fail goto*//*Label 29531*/ GIMT_Encode4(2219759),
     /* 2219650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2219653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2219656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219660 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219664 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219668 */   GIM_Try, /*On fail goto*//*Label 29532*/ GIMT_Encode4(2219713), // Rule ID 58791 //
     /* 2219673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219676 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2219679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2219693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219712 */     // GIR_Coverage, 58791,
     /* 2219712 */     GIR_EraseRootFromParent_Done,
     /* 2219713 */   // Label 29532: @2219713
     /* 2219713 */   GIM_Try, /*On fail goto*//*Label 29533*/ GIMT_Encode4(2219758), // Rule ID 58792 //
     /* 2219718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219721 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2219724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2219738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219757 */     // GIR_Coverage, 58792,
     /* 2219757 */     GIR_EraseRootFromParent_Done,
     /* 2219758 */   // Label 29533: @2219758
     /* 2219758 */   GIM_Reject,
     /* 2219759 */ // Label 29531: @2219759
     /* 2219759 */ GIM_Reject,
     /* 2219760 */ // Label 29475: @2219760
     /* 2219760 */ GIM_Try, /*On fail goto*//*Label 29534*/ GIMT_Encode4(2219874),
     /* 2219765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2219768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2219771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219779 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219783 */   GIM_Try, /*On fail goto*//*Label 29535*/ GIMT_Encode4(2219828), // Rule ID 58819 //
     /* 2219788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219791 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2219794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2219808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219827 */     // GIR_Coverage, 58819,
     /* 2219827 */     GIR_EraseRootFromParent_Done,
     /* 2219828 */   // Label 29535: @2219828
     /* 2219828 */   GIM_Try, /*On fail goto*//*Label 29536*/ GIMT_Encode4(2219873), // Rule ID 58820 //
     /* 2219833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219836 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2219839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2219853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219872 */     // GIR_Coverage, 58820,
     /* 2219872 */     GIR_EraseRootFromParent_Done,
     /* 2219873 */   // Label 29536: @2219873
     /* 2219873 */   GIM_Reject,
     /* 2219874 */ // Label 29534: @2219874
     /* 2219874 */ GIM_Reject,
     /* 2219875 */ // Label 29476: @2219875
     /* 2219875 */ GIM_Try, /*On fail goto*//*Label 29537*/ GIMT_Encode4(2219989),
     /* 2219880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2219883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2219886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219894 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219898 */   GIM_Try, /*On fail goto*//*Label 29538*/ GIMT_Encode4(2219943), // Rule ID 58835 //
     /* 2219903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2219906 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2219906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2219909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2219923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219942 */     // GIR_Coverage, 58835,
     /* 2219942 */     GIR_EraseRootFromParent_Done,
     /* 2219943 */   // Label 29538: @2219943
     /* 2219943 */   GIM_Try, /*On fail goto*//*Label 29539*/ GIMT_Encode4(2219988), // Rule ID 58836 //
     /* 2219948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2219951 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2219951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2219954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2219958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2219968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2219977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2219986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219987 */     // GIR_Coverage, 58836,
     /* 2219987 */     GIR_EraseRootFromParent_Done,
     /* 2219988 */   // Label 29539: @2219988
     /* 2219988 */   GIM_Reject,
     /* 2219989 */ // Label 29537: @2219989
     /* 2219989 */ GIM_Reject,
     /* 2219990 */ // Label 29477: @2219990
     /* 2219990 */ GIM_Try, /*On fail goto*//*Label 29540*/ GIMT_Encode4(2220104),
     /* 2219995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2219998 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2220001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220009 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220013 */   GIM_Try, /*On fail goto*//*Label 29541*/ GIMT_Encode4(2220058), // Rule ID 58851 //
     /* 2220018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2220021 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2220024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2220038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220057 */     // GIR_Coverage, 58851,
     /* 2220057 */     GIR_EraseRootFromParent_Done,
     /* 2220058 */   // Label 29541: @2220058
     /* 2220058 */   GIM_Try, /*On fail goto*//*Label 29542*/ GIMT_Encode4(2220103), // Rule ID 58852 //
     /* 2220063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2220066 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2220069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2220083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220102 */     // GIR_Coverage, 58852,
     /* 2220102 */     GIR_EraseRootFromParent_Done,
     /* 2220103 */   // Label 29542: @2220103
     /* 2220103 */   GIM_Reject,
     /* 2220104 */ // Label 29540: @2220104
     /* 2220104 */ GIM_Reject,
     /* 2220105 */ // Label 29478: @2220105
     /* 2220105 */ GIM_Try, /*On fail goto*//*Label 29543*/ GIMT_Encode4(2220219),
     /* 2220110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2220113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2220116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220124 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2220128 */   GIM_Try, /*On fail goto*//*Label 29544*/ GIMT_Encode4(2220173), // Rule ID 58807 //
     /* 2220133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220136 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2220139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2220153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220172 */     // GIR_Coverage, 58807,
     /* 2220172 */     GIR_EraseRootFromParent_Done,
     /* 2220173 */   // Label 29544: @2220173
     /* 2220173 */   GIM_Try, /*On fail goto*//*Label 29545*/ GIMT_Encode4(2220218), // Rule ID 58808 //
     /* 2220178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220181 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2220184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2220198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220217 */     // GIR_Coverage, 58808,
     /* 2220217 */     GIR_EraseRootFromParent_Done,
     /* 2220218 */   // Label 29545: @2220218
     /* 2220218 */   GIM_Reject,
     /* 2220219 */ // Label 29543: @2220219
     /* 2220219 */ GIM_Reject,
     /* 2220220 */ // Label 29479: @2220220
     /* 2220220 */ GIM_Try, /*On fail goto*//*Label 29546*/ GIMT_Encode4(2220334),
     /* 2220225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2220228 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2220231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220235 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220239 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220243 */   GIM_Try, /*On fail goto*//*Label 29547*/ GIMT_Encode4(2220288), // Rule ID 58823 //
     /* 2220248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220251 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2220254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2220268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220287 */     // GIR_Coverage, 58823,
     /* 2220287 */     GIR_EraseRootFromParent_Done,
     /* 2220288 */   // Label 29547: @2220288
     /* 2220288 */   GIM_Try, /*On fail goto*//*Label 29548*/ GIMT_Encode4(2220333), // Rule ID 58824 //
     /* 2220293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220296 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2220299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2220313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220332 */     // GIR_Coverage, 58824,
     /* 2220332 */     GIR_EraseRootFromParent_Done,
     /* 2220333 */   // Label 29548: @2220333
     /* 2220333 */   GIM_Reject,
     /* 2220334 */ // Label 29546: @2220334
     /* 2220334 */ GIM_Reject,
     /* 2220335 */ // Label 29480: @2220335
     /* 2220335 */ GIM_Try, /*On fail goto*//*Label 29549*/ GIMT_Encode4(2220449),
     /* 2220340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2220343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2220346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220354 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220358 */   GIM_Try, /*On fail goto*//*Label 29550*/ GIMT_Encode4(2220403), // Rule ID 58839 //
     /* 2220363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220366 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2220369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2220383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220402 */     // GIR_Coverage, 58839,
     /* 2220402 */     GIR_EraseRootFromParent_Done,
     /* 2220403 */   // Label 29550: @2220403
     /* 2220403 */   GIM_Try, /*On fail goto*//*Label 29551*/ GIMT_Encode4(2220448), // Rule ID 58840 //
     /* 2220408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220411 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2220414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2220428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220447 */     // GIR_Coverage, 58840,
     /* 2220447 */     GIR_EraseRootFromParent_Done,
     /* 2220448 */   // Label 29551: @2220448
     /* 2220448 */   GIM_Reject,
     /* 2220449 */ // Label 29549: @2220449
     /* 2220449 */ GIM_Reject,
     /* 2220450 */ // Label 29481: @2220450
     /* 2220450 */ GIM_Try, /*On fail goto*//*Label 29552*/ GIMT_Encode4(2220564),
     /* 2220455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2220458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2220461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220469 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2220473 */   GIM_Try, /*On fail goto*//*Label 29553*/ GIMT_Encode4(2220518), // Rule ID 58811 //
     /* 2220478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220481 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2220484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2220498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220517 */     // GIR_Coverage, 58811,
     /* 2220517 */     GIR_EraseRootFromParent_Done,
     /* 2220518 */   // Label 29553: @2220518
     /* 2220518 */   GIM_Try, /*On fail goto*//*Label 29554*/ GIMT_Encode4(2220563), // Rule ID 58812 //
     /* 2220523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220526 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2220529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2220543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220562 */     // GIR_Coverage, 58812,
     /* 2220562 */     GIR_EraseRootFromParent_Done,
     /* 2220563 */   // Label 29554: @2220563
     /* 2220563 */   GIM_Reject,
     /* 2220564 */ // Label 29552: @2220564
     /* 2220564 */ GIM_Reject,
     /* 2220565 */ // Label 29482: @2220565
     /* 2220565 */ GIM_Try, /*On fail goto*//*Label 29555*/ GIMT_Encode4(2220679),
     /* 2220570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2220573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2220576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220584 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220588 */   GIM_Try, /*On fail goto*//*Label 29556*/ GIMT_Encode4(2220633), // Rule ID 58827 //
     /* 2220593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220596 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2220599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2220613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220632 */     // GIR_Coverage, 58827,
     /* 2220632 */     GIR_EraseRootFromParent_Done,
     /* 2220633 */   // Label 29556: @2220633
     /* 2220633 */   GIM_Try, /*On fail goto*//*Label 29557*/ GIMT_Encode4(2220678), // Rule ID 58828 //
     /* 2220638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220641 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2220644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2220658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220677 */     // GIR_Coverage, 58828,
     /* 2220677 */     GIR_EraseRootFromParent_Done,
     /* 2220678 */   // Label 29557: @2220678
     /* 2220678 */   GIM_Reject,
     /* 2220679 */ // Label 29555: @2220679
     /* 2220679 */ GIM_Reject,
     /* 2220680 */ // Label 29483: @2220680
     /* 2220680 */ GIM_Try, /*On fail goto*//*Label 29558*/ GIMT_Encode4(2220794),
     /* 2220685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2220688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2220691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220699 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2220703 */   GIM_Try, /*On fail goto*//*Label 29559*/ GIMT_Encode4(2220748), // Rule ID 58815 //
     /* 2220708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220711 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2220714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2220728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220747 */     // GIR_Coverage, 58815,
     /* 2220747 */     GIR_EraseRootFromParent_Done,
     /* 2220748 */   // Label 29559: @2220748
     /* 2220748 */   GIM_Try, /*On fail goto*//*Label 29560*/ GIMT_Encode4(2220793), // Rule ID 58816 //
     /* 2220753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220756 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2220759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2220773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2220782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220792 */     // GIR_Coverage, 58816,
     /* 2220792 */     GIR_EraseRootFromParent_Done,
     /* 2220793 */   // Label 29560: @2220793
     /* 2220793 */   GIM_Reject,
     /* 2220794 */ // Label 29558: @2220794
     /* 2220794 */ GIM_Reject,
     /* 2220795 */ // Label 29484: @2220795
     /* 2220795 */ GIM_Reject,
     /* 2220796 */ // Label 47: @2220796
     /* 2220796 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29585*/ GIMT_Encode4(2223705),
     /* 2220807 */ /*GILLT_s32*//*Label 29561*/ GIMT_Encode4(2220931),
     /* 2220811 */ /*GILLT_s64*//*Label 29562*/ GIMT_Encode4(2221053), GIMT_Encode4(0),
     /* 2220819 */ /*GILLT_nxv1s8*//*Label 29563*/ GIMT_Encode4(2221175),
     /* 2220823 */ /*GILLT_nxv1s16*//*Label 29564*/ GIMT_Encode4(2221290),
     /* 2220827 */ /*GILLT_nxv1s32*//*Label 29565*/ GIMT_Encode4(2221405),
     /* 2220831 */ /*GILLT_nxv1s64*//*Label 29566*/ GIMT_Encode4(2221520), GIMT_Encode4(0),
     /* 2220839 */ /*GILLT_nxv2s8*//*Label 29567*/ GIMT_Encode4(2221635),
     /* 2220843 */ /*GILLT_nxv2s16*//*Label 29568*/ GIMT_Encode4(2221750),
     /* 2220847 */ /*GILLT_nxv2s32*//*Label 29569*/ GIMT_Encode4(2221865),
     /* 2220851 */ /*GILLT_nxv2s64*//*Label 29570*/ GIMT_Encode4(2221980), GIMT_Encode4(0),
     /* 2220859 */ /*GILLT_nxv4s8*//*Label 29571*/ GIMT_Encode4(2222095),
     /* 2220863 */ /*GILLT_nxv4s16*//*Label 29572*/ GIMT_Encode4(2222210),
     /* 2220867 */ /*GILLT_nxv4s32*//*Label 29573*/ GIMT_Encode4(2222325),
     /* 2220871 */ /*GILLT_nxv4s64*//*Label 29574*/ GIMT_Encode4(2222440), GIMT_Encode4(0),
     /* 2220879 */ /*GILLT_nxv8s8*//*Label 29575*/ GIMT_Encode4(2222555),
     /* 2220883 */ /*GILLT_nxv8s16*//*Label 29576*/ GIMT_Encode4(2222670),
     /* 2220887 */ /*GILLT_nxv8s32*//*Label 29577*/ GIMT_Encode4(2222785),
     /* 2220891 */ /*GILLT_nxv8s64*//*Label 29578*/ GIMT_Encode4(2222900), GIMT_Encode4(0),
     /* 2220899 */ /*GILLT_nxv16s8*//*Label 29579*/ GIMT_Encode4(2223015),
     /* 2220903 */ /*GILLT_nxv16s16*//*Label 29580*/ GIMT_Encode4(2223130),
     /* 2220907 */ /*GILLT_nxv16s32*//*Label 29581*/ GIMT_Encode4(2223245), GIMT_Encode4(0),
     /* 2220915 */ /*GILLT_nxv32s8*//*Label 29582*/ GIMT_Encode4(2223360),
     /* 2220919 */ /*GILLT_nxv32s16*//*Label 29583*/ GIMT_Encode4(2223475), GIMT_Encode4(0),
     /* 2220927 */ /*GILLT_nxv64s8*//*Label 29584*/ GIMT_Encode4(2223590),
     /* 2220931 */ // Label 29561: @2220931
     /* 2220931 */ GIM_Try, /*On fail goto*//*Label 29586*/ GIMT_Encode4(2221052),
     /* 2220936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2220939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2220942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220950 */   GIM_Try, /*On fail goto*//*Label 29587*/ GIMT_Encode4(2220986), // Rule ID 2324 //
     /* 2220955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2220958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2220962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2220966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2220970 */     // MIs[1] Operand 1
     /* 2220970 */     // No operand predicates
     /* 2220970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2220972 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2220972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2220975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2220979 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2220984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220985 */     // GIR_Coverage, 2324,
     /* 2220985 */     GIR_EraseRootFromParent_Done,
     /* 2220986 */   // Label 29587: @2220986
     /* 2220986 */   GIM_Try, /*On fail goto*//*Label 29588*/ GIMT_Encode4(2221022), // Rule ID 61955 //
     /* 2220991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2220994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2220998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2221002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2221006 */     // MIs[1] Operand 1
     /* 2221006 */     // No operand predicates
     /* 2221006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2221008 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2221008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2221011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221015 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2221020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221021 */     // GIR_Coverage, 61955,
     /* 2221021 */     GIR_EraseRootFromParent_Done,
     /* 2221022 */   // Label 29588: @2221022
     /* 2221022 */   GIM_Try, /*On fail goto*//*Label 29589*/ GIMT_Encode4(2221051), // Rule ID 2318 //
     /* 2221027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2221030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2221037 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2221037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2221040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2221049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221050 */     // GIR_Coverage, 2318,
     /* 2221050 */     GIR_EraseRootFromParent_Done,
     /* 2221051 */   // Label 29589: @2221051
     /* 2221051 */   GIM_Reject,
     /* 2221052 */ // Label 29586: @2221052
     /* 2221052 */ GIM_Reject,
     /* 2221053 */ // Label 29562: @2221053
     /* 2221053 */ GIM_Try, /*On fail goto*//*Label 29590*/ GIMT_Encode4(2221174),
     /* 2221058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2221061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2221064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221072 */   GIM_Try, /*On fail goto*//*Label 29591*/ GIMT_Encode4(2221108), // Rule ID 2323 //
     /* 2221077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2221080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2221084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2221088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2221092 */     // MIs[1] Operand 1
     /* 2221092 */     // No operand predicates
     /* 2221092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2221094 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2221094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2221097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221101 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2221106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221107 */     // GIR_Coverage, 2323,
     /* 2221107 */     GIR_EraseRootFromParent_Done,
     /* 2221108 */   // Label 29591: @2221108
     /* 2221108 */   GIM_Try, /*On fail goto*//*Label 29592*/ GIMT_Encode4(2221144), // Rule ID 61954 //
     /* 2221113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2221116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2221120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2221124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2221128 */     // MIs[1] Operand 1
     /* 2221128 */     // No operand predicates
     /* 2221128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2221130 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2221130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2221133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221137 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2221142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221143 */     // GIR_Coverage, 61954,
     /* 2221143 */     GIR_EraseRootFromParent_Done,
     /* 2221144 */   // Label 29592: @2221144
     /* 2221144 */   GIM_Try, /*On fail goto*//*Label 29593*/ GIMT_Encode4(2221173), // Rule ID 2317 //
     /* 2221149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2221152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2221159 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2221159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2221162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2221171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221172 */     // GIR_Coverage, 2317,
     /* 2221172 */     GIR_EraseRootFromParent_Done,
     /* 2221173 */   // Label 29593: @2221173
     /* 2221173 */   GIM_Reject,
     /* 2221174 */ // Label 29590: @2221174
     /* 2221174 */ GIM_Reject,
     /* 2221175 */ // Label 29563: @2221175
     /* 2221175 */ GIM_Try, /*On fail goto*//*Label 29594*/ GIMT_Encode4(2221289),
     /* 2221180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2221183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2221186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221198 */   GIM_Try, /*On fail goto*//*Label 29595*/ GIMT_Encode4(2221243), // Rule ID 58635 //
     /* 2221203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221206 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2221209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2221223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221242 */     // GIR_Coverage, 58635,
     /* 2221242 */     GIR_EraseRootFromParent_Done,
     /* 2221243 */   // Label 29595: @2221243
     /* 2221243 */   GIM_Try, /*On fail goto*//*Label 29596*/ GIMT_Encode4(2221288), // Rule ID 58636 //
     /* 2221248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221251 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2221254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2221268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221287 */     // GIR_Coverage, 58636,
     /* 2221287 */     GIR_EraseRootFromParent_Done,
     /* 2221288 */   // Label 29596: @2221288
     /* 2221288 */   GIM_Reject,
     /* 2221289 */ // Label 29594: @2221289
     /* 2221289 */ GIM_Reject,
     /* 2221290 */ // Label 29564: @2221290
     /* 2221290 */ GIM_Try, /*On fail goto*//*Label 29597*/ GIMT_Encode4(2221404),
     /* 2221295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2221298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2221301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221313 */   GIM_Try, /*On fail goto*//*Label 29598*/ GIMT_Encode4(2221358), // Rule ID 58647 //
     /* 2221318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221321 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2221324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2221338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221357 */     // GIR_Coverage, 58647,
     /* 2221357 */     GIR_EraseRootFromParent_Done,
     /* 2221358 */   // Label 29598: @2221358
     /* 2221358 */   GIM_Try, /*On fail goto*//*Label 29599*/ GIMT_Encode4(2221403), // Rule ID 58648 //
     /* 2221363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221366 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2221369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2221383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221402 */     // GIR_Coverage, 58648,
     /* 2221402 */     GIR_EraseRootFromParent_Done,
     /* 2221403 */   // Label 29599: @2221403
     /* 2221403 */   GIM_Reject,
     /* 2221404 */ // Label 29597: @2221404
     /* 2221404 */ GIM_Reject,
     /* 2221405 */ // Label 29565: @2221405
     /* 2221405 */ GIM_Try, /*On fail goto*//*Label 29600*/ GIMT_Encode4(2221519),
     /* 2221410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2221413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2221416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221428 */   GIM_Try, /*On fail goto*//*Label 29601*/ GIMT_Encode4(2221473), // Rule ID 58655 //
     /* 2221433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221436 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2221439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2221453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221472 */     // GIR_Coverage, 58655,
     /* 2221472 */     GIR_EraseRootFromParent_Done,
     /* 2221473 */   // Label 29601: @2221473
     /* 2221473 */   GIM_Try, /*On fail goto*//*Label 29602*/ GIMT_Encode4(2221518), // Rule ID 58656 //
     /* 2221478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221481 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2221484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2221498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221517 */     // GIR_Coverage, 58656,
     /* 2221517 */     GIR_EraseRootFromParent_Done,
     /* 2221518 */   // Label 29602: @2221518
     /* 2221518 */   GIM_Reject,
     /* 2221519 */ // Label 29600: @2221519
     /* 2221519 */ GIM_Reject,
     /* 2221520 */ // Label 29566: @2221520
     /* 2221520 */ GIM_Try, /*On fail goto*//*Label 29603*/ GIMT_Encode4(2221634),
     /* 2221525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2221528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2221531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221543 */   GIM_Try, /*On fail goto*//*Label 29604*/ GIMT_Encode4(2221588), // Rule ID 58671 //
     /* 2221548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2221551 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2221554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2221568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221587 */     // GIR_Coverage, 58671,
     /* 2221587 */     GIR_EraseRootFromParent_Done,
     /* 2221588 */   // Label 29604: @2221588
     /* 2221588 */   GIM_Try, /*On fail goto*//*Label 29605*/ GIMT_Encode4(2221633), // Rule ID 58672 //
     /* 2221593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2221596 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2221599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2221613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221632 */     // GIR_Coverage, 58672,
     /* 2221632 */     GIR_EraseRootFromParent_Done,
     /* 2221633 */   // Label 29605: @2221633
     /* 2221633 */   GIM_Reject,
     /* 2221634 */ // Label 29603: @2221634
     /* 2221634 */ GIM_Reject,
     /* 2221635 */ // Label 29567: @2221635
     /* 2221635 */ GIM_Try, /*On fail goto*//*Label 29606*/ GIMT_Encode4(2221749),
     /* 2221640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2221643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2221646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221658 */   GIM_Try, /*On fail goto*//*Label 29607*/ GIMT_Encode4(2221703), // Rule ID 58639 //
     /* 2221663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221666 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2221669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2221683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221702 */     // GIR_Coverage, 58639,
     /* 2221702 */     GIR_EraseRootFromParent_Done,
     /* 2221703 */   // Label 29607: @2221703
     /* 2221703 */   GIM_Try, /*On fail goto*//*Label 29608*/ GIMT_Encode4(2221748), // Rule ID 58640 //
     /* 2221708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221711 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2221714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2221728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221747 */     // GIR_Coverage, 58640,
     /* 2221747 */     GIR_EraseRootFromParent_Done,
     /* 2221748 */   // Label 29608: @2221748
     /* 2221748 */   GIM_Reject,
     /* 2221749 */ // Label 29606: @2221749
     /* 2221749 */ GIM_Reject,
     /* 2221750 */ // Label 29568: @2221750
     /* 2221750 */ GIM_Try, /*On fail goto*//*Label 29609*/ GIMT_Encode4(2221864),
     /* 2221755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2221758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2221761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221773 */   GIM_Try, /*On fail goto*//*Label 29610*/ GIMT_Encode4(2221818), // Rule ID 58651 //
     /* 2221778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221781 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2221784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2221798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221817 */     // GIR_Coverage, 58651,
     /* 2221817 */     GIR_EraseRootFromParent_Done,
     /* 2221818 */   // Label 29610: @2221818
     /* 2221818 */   GIM_Try, /*On fail goto*//*Label 29611*/ GIMT_Encode4(2221863), // Rule ID 58652 //
     /* 2221823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221826 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2221829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2221843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221862 */     // GIR_Coverage, 58652,
     /* 2221862 */     GIR_EraseRootFromParent_Done,
     /* 2221863 */   // Label 29611: @2221863
     /* 2221863 */   GIM_Reject,
     /* 2221864 */ // Label 29609: @2221864
     /* 2221864 */ GIM_Reject,
     /* 2221865 */ // Label 29569: @2221865
     /* 2221865 */ GIM_Try, /*On fail goto*//*Label 29612*/ GIMT_Encode4(2221979),
     /* 2221870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2221873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2221876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221888 */   GIM_Try, /*On fail goto*//*Label 29613*/ GIMT_Encode4(2221933), // Rule ID 58667 //
     /* 2221893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221896 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2221899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2221913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221932 */     // GIR_Coverage, 58667,
     /* 2221932 */     GIR_EraseRootFromParent_Done,
     /* 2221933 */   // Label 29613: @2221933
     /* 2221933 */   GIM_Try, /*On fail goto*//*Label 29614*/ GIMT_Encode4(2221978), // Rule ID 58668 //
     /* 2221938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221941 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2221944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2221958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2221965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2221967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221977 */     // GIR_Coverage, 58668,
     /* 2221977 */     GIR_EraseRootFromParent_Done,
     /* 2221978 */   // Label 29614: @2221978
     /* 2221978 */   GIM_Reject,
     /* 2221979 */ // Label 29612: @2221979
     /* 2221979 */ GIM_Reject,
     /* 2221980 */ // Label 29570: @2221980
     /* 2221980 */ GIM_Try, /*On fail goto*//*Label 29615*/ GIMT_Encode4(2222094),
     /* 2221985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2221988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2221991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221999 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222003 */   GIM_Try, /*On fail goto*//*Label 29616*/ GIMT_Encode4(2222048), // Rule ID 58711 //
     /* 2222008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2222011 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2222014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2222028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222047 */     // GIR_Coverage, 58711,
     /* 2222047 */     GIR_EraseRootFromParent_Done,
     /* 2222048 */   // Label 29616: @2222048
     /* 2222048 */   GIM_Try, /*On fail goto*//*Label 29617*/ GIMT_Encode4(2222093), // Rule ID 58712 //
     /* 2222053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2222056 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2222059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2222073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222092 */     // GIR_Coverage, 58712,
     /* 2222092 */     GIR_EraseRootFromParent_Done,
     /* 2222093 */   // Label 29617: @2222093
     /* 2222093 */   GIM_Reject,
     /* 2222094 */ // Label 29615: @2222094
     /* 2222094 */ GIM_Reject,
     /* 2222095 */ // Label 29571: @2222095
     /* 2222095 */ GIM_Try, /*On fail goto*//*Label 29618*/ GIMT_Encode4(2222209),
     /* 2222100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2222103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2222106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222118 */   GIM_Try, /*On fail goto*//*Label 29619*/ GIMT_Encode4(2222163), // Rule ID 58643 //
     /* 2222123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222126 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2222129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2222143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222162 */     // GIR_Coverage, 58643,
     /* 2222162 */     GIR_EraseRootFromParent_Done,
     /* 2222163 */   // Label 29619: @2222163
     /* 2222163 */   GIM_Try, /*On fail goto*//*Label 29620*/ GIMT_Encode4(2222208), // Rule ID 58644 //
     /* 2222168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222171 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2222174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2222188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222207 */     // GIR_Coverage, 58644,
     /* 2222207 */     GIR_EraseRootFromParent_Done,
     /* 2222208 */   // Label 29620: @2222208
     /* 2222208 */   GIM_Reject,
     /* 2222209 */ // Label 29618: @2222209
     /* 2222209 */ GIM_Reject,
     /* 2222210 */ // Label 29572: @2222210
     /* 2222210 */ GIM_Try, /*On fail goto*//*Label 29621*/ GIMT_Encode4(2222324),
     /* 2222215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2222218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2222221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222225 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222233 */   GIM_Try, /*On fail goto*//*Label 29622*/ GIMT_Encode4(2222278), // Rule ID 58663 //
     /* 2222238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222241 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2222244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2222258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222277 */     // GIR_Coverage, 58663,
     /* 2222277 */     GIR_EraseRootFromParent_Done,
     /* 2222278 */   // Label 29622: @2222278
     /* 2222278 */   GIM_Try, /*On fail goto*//*Label 29623*/ GIMT_Encode4(2222323), // Rule ID 58664 //
     /* 2222283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222286 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2222289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2222303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222322 */     // GIR_Coverage, 58664,
     /* 2222322 */     GIR_EraseRootFromParent_Done,
     /* 2222323 */   // Label 29623: @2222323
     /* 2222323 */   GIM_Reject,
     /* 2222324 */ // Label 29621: @2222324
     /* 2222324 */ GIM_Reject,
     /* 2222325 */ // Label 29573: @2222325
     /* 2222325 */ GIM_Try, /*On fail goto*//*Label 29624*/ GIMT_Encode4(2222439),
     /* 2222330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2222333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2222336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222344 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222348 */   GIM_Try, /*On fail goto*//*Label 29625*/ GIMT_Encode4(2222393), // Rule ID 58699 //
     /* 2222353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222356 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2222359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2222373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222392 */     // GIR_Coverage, 58699,
     /* 2222392 */     GIR_EraseRootFromParent_Done,
     /* 2222393 */   // Label 29625: @2222393
     /* 2222393 */   GIM_Try, /*On fail goto*//*Label 29626*/ GIMT_Encode4(2222438), // Rule ID 58700 //
     /* 2222398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222401 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2222404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2222418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222437 */     // GIR_Coverage, 58700,
     /* 2222437 */     GIR_EraseRootFromParent_Done,
     /* 2222438 */   // Label 29626: @2222438
     /* 2222438 */   GIM_Reject,
     /* 2222439 */ // Label 29624: @2222439
     /* 2222439 */ GIM_Reject,
     /* 2222440 */ // Label 29574: @2222440
     /* 2222440 */ GIM_Try, /*On fail goto*//*Label 29627*/ GIMT_Encode4(2222554),
     /* 2222445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2222448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2222451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222459 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222463 */   GIM_Try, /*On fail goto*//*Label 29628*/ GIMT_Encode4(2222508), // Rule ID 58715 //
     /* 2222468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2222471 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2222474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2222488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222507 */     // GIR_Coverage, 58715,
     /* 2222507 */     GIR_EraseRootFromParent_Done,
     /* 2222508 */   // Label 29628: @2222508
     /* 2222508 */   GIM_Try, /*On fail goto*//*Label 29629*/ GIMT_Encode4(2222553), // Rule ID 58716 //
     /* 2222513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2222516 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2222519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2222533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222552 */     // GIR_Coverage, 58716,
     /* 2222552 */     GIR_EraseRootFromParent_Done,
     /* 2222553 */   // Label 29629: @2222553
     /* 2222553 */   GIM_Reject,
     /* 2222554 */ // Label 29627: @2222554
     /* 2222554 */ GIM_Reject,
     /* 2222555 */ // Label 29575: @2222555
     /* 2222555 */ GIM_Try, /*On fail goto*//*Label 29630*/ GIMT_Encode4(2222669),
     /* 2222560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2222563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2222566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222574 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222578 */   GIM_Try, /*On fail goto*//*Label 29631*/ GIMT_Encode4(2222623), // Rule ID 58659 //
     /* 2222583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222586 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2222589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2222603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222622 */     // GIR_Coverage, 58659,
     /* 2222622 */     GIR_EraseRootFromParent_Done,
     /* 2222623 */   // Label 29631: @2222623
     /* 2222623 */   GIM_Try, /*On fail goto*//*Label 29632*/ GIMT_Encode4(2222668), // Rule ID 58660 //
     /* 2222628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222631 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2222634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2222648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222667 */     // GIR_Coverage, 58660,
     /* 2222667 */     GIR_EraseRootFromParent_Done,
     /* 2222668 */   // Label 29632: @2222668
     /* 2222668 */   GIM_Reject,
     /* 2222669 */ // Label 29630: @2222669
     /* 2222669 */ GIM_Reject,
     /* 2222670 */ // Label 29576: @2222670
     /* 2222670 */ GIM_Try, /*On fail goto*//*Label 29633*/ GIMT_Encode4(2222784),
     /* 2222675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2222678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2222681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222689 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222693 */   GIM_Try, /*On fail goto*//*Label 29634*/ GIMT_Encode4(2222738), // Rule ID 58687 //
     /* 2222698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222701 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2222704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2222718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222737 */     // GIR_Coverage, 58687,
     /* 2222737 */     GIR_EraseRootFromParent_Done,
     /* 2222738 */   // Label 29634: @2222738
     /* 2222738 */   GIM_Try, /*On fail goto*//*Label 29635*/ GIMT_Encode4(2222783), // Rule ID 58688 //
     /* 2222743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222746 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2222749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2222763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222782 */     // GIR_Coverage, 58688,
     /* 2222782 */     GIR_EraseRootFromParent_Done,
     /* 2222783 */   // Label 29635: @2222783
     /* 2222783 */   GIM_Reject,
     /* 2222784 */ // Label 29633: @2222784
     /* 2222784 */ GIM_Reject,
     /* 2222785 */ // Label 29577: @2222785
     /* 2222785 */ GIM_Try, /*On fail goto*//*Label 29636*/ GIMT_Encode4(2222899),
     /* 2222790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2222793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2222796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222804 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222808 */   GIM_Try, /*On fail goto*//*Label 29637*/ GIMT_Encode4(2222853), // Rule ID 58703 //
     /* 2222813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222816 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2222819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2222833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222852 */     // GIR_Coverage, 58703,
     /* 2222852 */     GIR_EraseRootFromParent_Done,
     /* 2222853 */   // Label 29637: @2222853
     /* 2222853 */   GIM_Try, /*On fail goto*//*Label 29638*/ GIMT_Encode4(2222898), // Rule ID 58704 //
     /* 2222858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222861 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2222864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2222878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222897 */     // GIR_Coverage, 58704,
     /* 2222897 */     GIR_EraseRootFromParent_Done,
     /* 2222898 */   // Label 29638: @2222898
     /* 2222898 */   GIM_Reject,
     /* 2222899 */ // Label 29636: @2222899
     /* 2222899 */ GIM_Reject,
     /* 2222900 */ // Label 29578: @2222900
     /* 2222900 */ GIM_Try, /*On fail goto*//*Label 29639*/ GIMT_Encode4(2223014),
     /* 2222905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2222908 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2222911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222919 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222923 */   GIM_Try, /*On fail goto*//*Label 29640*/ GIMT_Encode4(2222968), // Rule ID 58719 //
     /* 2222928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2222931 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2222934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2222948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2222955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2222957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222967 */     // GIR_Coverage, 58719,
     /* 2222967 */     GIR_EraseRootFromParent_Done,
     /* 2222968 */   // Label 29640: @2222968
     /* 2222968 */   GIM_Try, /*On fail goto*//*Label 29641*/ GIMT_Encode4(2223013), // Rule ID 58720 //
     /* 2222973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2222976 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2222979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2222993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223012 */     // GIR_Coverage, 58720,
     /* 2223012 */     GIR_EraseRootFromParent_Done,
     /* 2223013 */   // Label 29641: @2223013
     /* 2223013 */   GIM_Reject,
     /* 2223014 */ // Label 29639: @2223014
     /* 2223014 */ GIM_Reject,
     /* 2223015 */ // Label 29579: @2223015
     /* 2223015 */ GIM_Try, /*On fail goto*//*Label 29642*/ GIMT_Encode4(2223129),
     /* 2223020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2223023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2223026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223034 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223038 */   GIM_Try, /*On fail goto*//*Label 29643*/ GIMT_Encode4(2223083), // Rule ID 58675 //
     /* 2223043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223046 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2223049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2223063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223082 */     // GIR_Coverage, 58675,
     /* 2223082 */     GIR_EraseRootFromParent_Done,
     /* 2223083 */   // Label 29643: @2223083
     /* 2223083 */   GIM_Try, /*On fail goto*//*Label 29644*/ GIMT_Encode4(2223128), // Rule ID 58676 //
     /* 2223088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223091 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2223094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2223108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223127 */     // GIR_Coverage, 58676,
     /* 2223127 */     GIR_EraseRootFromParent_Done,
     /* 2223128 */   // Label 29644: @2223128
     /* 2223128 */   GIM_Reject,
     /* 2223129 */ // Label 29642: @2223129
     /* 2223129 */ GIM_Reject,
     /* 2223130 */ // Label 29580: @2223130
     /* 2223130 */ GIM_Try, /*On fail goto*//*Label 29645*/ GIMT_Encode4(2223244),
     /* 2223135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2223138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2223141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223153 */   GIM_Try, /*On fail goto*//*Label 29646*/ GIMT_Encode4(2223198), // Rule ID 58691 //
     /* 2223158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223161 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2223164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2223178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223197 */     // GIR_Coverage, 58691,
     /* 2223197 */     GIR_EraseRootFromParent_Done,
     /* 2223198 */   // Label 29646: @2223198
     /* 2223198 */   GIM_Try, /*On fail goto*//*Label 29647*/ GIMT_Encode4(2223243), // Rule ID 58692 //
     /* 2223203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223206 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2223209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2223223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223242 */     // GIR_Coverage, 58692,
     /* 2223242 */     GIR_EraseRootFromParent_Done,
     /* 2223243 */   // Label 29647: @2223243
     /* 2223243 */   GIM_Reject,
     /* 2223244 */ // Label 29645: @2223244
     /* 2223244 */ GIM_Reject,
     /* 2223245 */ // Label 29581: @2223245
     /* 2223245 */ GIM_Try, /*On fail goto*//*Label 29648*/ GIMT_Encode4(2223359),
     /* 2223250 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2223253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2223256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223268 */   GIM_Try, /*On fail goto*//*Label 29649*/ GIMT_Encode4(2223313), // Rule ID 58707 //
     /* 2223273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223276 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2223279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2223293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223312 */     // GIR_Coverage, 58707,
     /* 2223312 */     GIR_EraseRootFromParent_Done,
     /* 2223313 */   // Label 29649: @2223313
     /* 2223313 */   GIM_Try, /*On fail goto*//*Label 29650*/ GIMT_Encode4(2223358), // Rule ID 58708 //
     /* 2223318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223321 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2223324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2223338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223357 */     // GIR_Coverage, 58708,
     /* 2223357 */     GIR_EraseRootFromParent_Done,
     /* 2223358 */   // Label 29650: @2223358
     /* 2223358 */   GIM_Reject,
     /* 2223359 */ // Label 29648: @2223359
     /* 2223359 */ GIM_Reject,
     /* 2223360 */ // Label 29582: @2223360
     /* 2223360 */ GIM_Try, /*On fail goto*//*Label 29651*/ GIMT_Encode4(2223474),
     /* 2223365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2223368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2223371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223383 */   GIM_Try, /*On fail goto*//*Label 29652*/ GIMT_Encode4(2223428), // Rule ID 58679 //
     /* 2223388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223391 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2223394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2223408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223427 */     // GIR_Coverage, 58679,
     /* 2223427 */     GIR_EraseRootFromParent_Done,
     /* 2223428 */   // Label 29652: @2223428
     /* 2223428 */   GIM_Try, /*On fail goto*//*Label 29653*/ GIMT_Encode4(2223473), // Rule ID 58680 //
     /* 2223433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223436 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2223439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2223453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223472 */     // GIR_Coverage, 58680,
     /* 2223472 */     GIR_EraseRootFromParent_Done,
     /* 2223473 */   // Label 29653: @2223473
     /* 2223473 */   GIM_Reject,
     /* 2223474 */ // Label 29651: @2223474
     /* 2223474 */ GIM_Reject,
     /* 2223475 */ // Label 29583: @2223475
     /* 2223475 */ GIM_Try, /*On fail goto*//*Label 29654*/ GIMT_Encode4(2223589),
     /* 2223480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2223483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2223486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223498 */   GIM_Try, /*On fail goto*//*Label 29655*/ GIMT_Encode4(2223543), // Rule ID 58695 //
     /* 2223503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223506 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2223509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2223523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223542 */     // GIR_Coverage, 58695,
     /* 2223542 */     GIR_EraseRootFromParent_Done,
     /* 2223543 */   // Label 29655: @2223543
     /* 2223543 */   GIM_Try, /*On fail goto*//*Label 29656*/ GIMT_Encode4(2223588), // Rule ID 58696 //
     /* 2223548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223551 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2223554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2223568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223587 */     // GIR_Coverage, 58696,
     /* 2223587 */     GIR_EraseRootFromParent_Done,
     /* 2223588 */   // Label 29656: @2223588
     /* 2223588 */   GIM_Reject,
     /* 2223589 */ // Label 29654: @2223589
     /* 2223589 */ GIM_Reject,
     /* 2223590 */ // Label 29584: @2223590
     /* 2223590 */ GIM_Try, /*On fail goto*//*Label 29657*/ GIMT_Encode4(2223704),
     /* 2223595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2223598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2223601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223613 */   GIM_Try, /*On fail goto*//*Label 29658*/ GIMT_Encode4(2223658), // Rule ID 58683 //
     /* 2223618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223621 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2223624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2223638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223657 */     // GIR_Coverage, 58683,
     /* 2223657 */     GIR_EraseRootFromParent_Done,
     /* 2223658 */   // Label 29658: @2223658
     /* 2223658 */   GIM_Try, /*On fail goto*//*Label 29659*/ GIMT_Encode4(2223703), // Rule ID 58684 //
     /* 2223663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223666 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2223669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2223683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223702 */     // GIR_Coverage, 58684,
     /* 2223702 */     GIR_EraseRootFromParent_Done,
     /* 2223703 */   // Label 29659: @2223703
     /* 2223703 */   GIM_Reject,
     /* 2223704 */ // Label 29657: @2223704
     /* 2223704 */ GIM_Reject,
     /* 2223705 */ // Label 29585: @2223705
     /* 2223705 */ GIM_Reject,
     /* 2223706 */ // Label 48: @2223706
     /* 2223706 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(33), /*)*//*default:*//*Label 29669*/ GIMT_Encode4(2250368),
     /* 2223717 */ /*GILLT_s32*//*Label 29660*/ GIMT_Encode4(2223837),
     /* 2223721 */ /*GILLT_s64*//*Label 29661*/ GIMT_Encode4(2226631),
     /* 2223725 */ /*GILLT_nxv1s1*//*Label 29662*/ GIMT_Encode4(2229425), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2223745 */ /*GILLT_nxv2s1*//*Label 29663*/ GIMT_Encode4(2233266), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2223765 */ /*GILLT_nxv4s1*//*Label 29664*/ GIMT_Encode4(2237107), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2223785 */ /*GILLT_nxv8s1*//*Label 29665*/ GIMT_Encode4(2240948), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2223805 */ /*GILLT_nxv16s1*//*Label 29666*/ GIMT_Encode4(2244789), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2223821 */ /*GILLT_nxv32s1*//*Label 29667*/ GIMT_Encode4(2247670), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2223833 */ /*GILLT_nxv64s1*//*Label 29668*/ GIMT_Encode4(2249591),
     /* 2223837 */ // Label 29660: @2223837
     /* 2223837 */ GIM_Try, /*On fail goto*//*Label 29670*/ GIMT_Encode4(2223880), // Rule ID 159 //
     /* 2223842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2223845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2223848 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2223851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223855 */   // MIs[0] Operand 1
     /* 2223855 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2223860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223864 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2223868 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] })
     /* 2223868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2223871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223873 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2223875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223879 */   // GIR_Coverage, 159,
     /* 2223879 */   GIR_EraseRootFromParent_Done,
     /* 2223880 */ // Label 29670: @2223880
     /* 2223880 */ GIM_Try, /*On fail goto*//*Label 29671*/ GIMT_Encode4(2223923), // Rule ID 64124 //
     /* 2223885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2223888 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2223891 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2223894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223898 */   // MIs[0] Operand 1
     /* 2223898 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2223903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223907 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2223911 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2223911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2223914 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223916 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2223918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2223921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223922 */   // GIR_Coverage, 64124,
     /* 2223922 */   GIR_EraseRootFromParent_Done,
     /* 2223923 */ // Label 29671: @2223923
     /* 2223923 */ GIM_Try, /*On fail goto*//*Label 29672*/ GIMT_Encode4(2223969), // Rule ID 64130 //
     /* 2223928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2223931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2223934 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2223937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223941 */   // MIs[0] Operand 1
     /* 2223941 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2223946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223950 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2223954 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2223954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2223957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223959 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2223965 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2223967 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223968 */   // GIR_Coverage, 64130,
     /* 2223968 */   GIR_EraseRootFromParent_Done,
     /* 2223969 */ // Label 29672: @2223969
     /* 2223969 */ GIM_Try, /*On fail goto*//*Label 29673*/ GIMT_Encode4(2224012), // Rule ID 64160 //
     /* 2223974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2223977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2223980 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2223983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223987 */   // MIs[0] Operand 1
     /* 2223987 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2223992 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223996 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2224000 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2224000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2224003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224005 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2224007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2224010 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224011 */   // GIR_Coverage, 64160,
     /* 2224011 */   GIR_EraseRootFromParent_Done,
     /* 2224012 */ // Label 29673: @2224012
     /* 2224012 */ GIM_Try, /*On fail goto*//*Label 29674*/ GIMT_Encode4(2224058), // Rule ID 64166 //
     /* 2224017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2224020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2224023 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2224026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224030 */   // MIs[0] Operand 1
     /* 2224030 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2224035 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224039 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2224043 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2224043 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2224046 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224048 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2224054 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2224056 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224057 */   // GIR_Coverage, 64166,
     /* 2224057 */   GIR_EraseRootFromParent_Done,
     /* 2224058 */ // Label 29674: @2224058
     /* 2224058 */ GIM_Try, /*On fail goto*//*Label 29675*/ GIMT_Encode4(2224111), // Rule ID 149 //
     /* 2224063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2224066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2224069 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2224072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224076 */   // MIs[0] Operand 1
     /* 2224076 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2224081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224085 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2224089 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2224093 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2224097 */   // MIs[1] Operand 1
     /* 2224097 */   // No operand predicates
     /* 2224097 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2224099 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2224099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2224102 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224104 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2224106 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2224109 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224110 */   // GIR_Coverage, 149,
     /* 2224110 */   GIR_EraseRootFromParent_Done,
     /* 2224111 */ // Label 29675: @2224111
     /* 2224111 */ GIM_Try, /*On fail goto*//*Label 29676*/ GIMT_Encode4(2224164), // Rule ID 153 //
     /* 2224116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2224119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2224122 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2224125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224129 */   // MIs[0] Operand 1
     /* 2224129 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2224134 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224138 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2224142 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2224146 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2224150 */   // MIs[1] Operand 1
     /* 2224150 */   // No operand predicates
     /* 2224150 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2224152 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2224152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2224155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224157 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2224159 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2224162 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224163 */   // GIR_Coverage, 153,
     /* 2224163 */   GIR_EraseRootFromParent_Done,
     /* 2224164 */ // Label 29676: @2224164
     /* 2224164 */ GIM_Try, /*On fail goto*//*Label 29677*/ GIMT_Encode4(2224217), // Rule ID 64116 //
     /* 2224169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2224172 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2224175 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2224178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224182 */   // MIs[0] Operand 1
     /* 2224182 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2224187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224191 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2224195 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2224199 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2224203 */   // MIs[1] Operand 1
     /* 2224203 */   // No operand predicates
     /* 2224203 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2224205 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2224205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2224208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224210 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2224212 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2224215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224216 */   // GIR_Coverage, 64116,
     /* 2224216 */   GIR_EraseRootFromParent_Done,
     /* 2224217 */ // Label 29677: @2224217
     /* 2224217 */ GIM_Try, /*On fail goto*//*Label 29678*/ GIMT_Encode4(2224270), // Rule ID 64120 //
     /* 2224222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2224225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2224228 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2224231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224235 */   // MIs[0] Operand 1
     /* 2224235 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2224240 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224244 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2224248 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2224252 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2224256 */   // MIs[1] Operand 1
     /* 2224256 */   // No operand predicates
     /* 2224256 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2224258 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2224258 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2224261 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224263 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2224265 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2224268 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224269 */   // GIR_Coverage, 64120,
     /* 2224269 */   GIR_EraseRootFromParent_Done,
     /* 2224270 */ // Label 29678: @2224270
     /* 2224270 */ GIM_Try, /*On fail goto*//*Label 29679*/ GIMT_Encode4(2224347), // Rule ID 64126 //
     /* 2224275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2224278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2224281 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2224284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224288 */   // MIs[0] Operand 1
     /* 2224288 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2224293 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224297 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2224301 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2224305 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2224309 */   // MIs[1] Operand 1
     /* 2224309 */   // No operand predicates
     /* 2224309 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2224311 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2224311 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2224314 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2224318 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224323 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2224327 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2224332 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2224337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224339 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2224345 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224346 */   // GIR_Coverage, 64126,
     /* 2224346 */   GIR_EraseRootFromParent_Done,
     /* 2224347 */ // Label 29679: @2224347
     /* 2224347 */ GIM_Try, /*On fail goto*//*Label 29680*/ GIMT_Encode4(2224427), // Rule ID 64132 //
     /* 2224352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2224355 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2224358 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2224361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224365 */   // MIs[0] Operand 1
     /* 2224365 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2224370 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224374 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2224378 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2224382 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2224386 */   // MIs[1] Operand 1
     /* 2224386 */   // No operand predicates
     /* 2224386 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2224388 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2224388 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2224391 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2224395 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224400 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2224404 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2224409 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2224414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224416 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2224422 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224425 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224426 */   // GIR_Coverage, 64132,
     /* 2224426 */   GIR_EraseRootFromParent_Done,
     /* 2224427 */ // Label 29680: @2224427
     /* 2224427 */ GIM_Try, /*On fail goto*//*Label 29681*/ GIMT_Encode4(2224504), // Rule ID 64136 //
     /* 2224432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2224435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2224438 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2224441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224445 */   // MIs[0] Operand 1
     /* 2224445 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2224450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224454 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2224458 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2224462 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2224466 */   // MIs[1] Operand 1
     /* 2224466 */   // No operand predicates
     /* 2224466 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2224468 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2224468 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2224471 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2224475 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224480 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2224484 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2224489 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224491 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2224494 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224496 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2224502 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224503 */   // GIR_Coverage, 64136,
     /* 2224503 */   GIR_EraseRootFromParent_Done,
     /* 2224504 */ // Label 29681: @2224504
     /* 2224504 */ GIM_Try, /*On fail goto*//*Label 29682*/ GIMT_Encode4(2224581), // Rule ID 64140 //
     /* 2224509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2224512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2224515 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2224518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224522 */   // MIs[0] Operand 1
     /* 2224522 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2224527 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224531 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2224535 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2224539 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2224543 */   // MIs[1] Operand 1
     /* 2224543 */   // No operand predicates
     /* 2224543 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2224545 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2224545 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2224548 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2224552 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224557 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2224561 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2224566 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2224571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224573 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2224579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224580 */   // GIR_Coverage, 64140,
     /* 2224580 */   GIR_EraseRootFromParent_Done,
     /* 2224581 */ // Label 29682: @2224581
     /* 2224581 */ GIM_Try, /*On fail goto*//*Label 29683*/ GIMT_Encode4(2224656), // Rule ID 64144 //
     /* 2224586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2224589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2224592 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2224595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224599 */   // MIs[0] Operand 1
     /* 2224599 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2224604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224608 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2224612 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2224616 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2224620 */   // MIs[1] Operand 1
     /* 2224620 */   // No operand predicates
     /* 2224620 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2224622 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2224622 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2224625 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2224629 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224634 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2224638 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2224641 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2224646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224648 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2224654 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224655 */   // GIR_Coverage, 64144,
     /* 2224655 */   GIR_EraseRootFromParent_Done,
     /* 2224656 */ // Label 29683: @2224656
     /* 2224656 */ GIM_Try, /*On fail goto*//*Label 29684*/ GIMT_Encode4(2224731), // Rule ID 64148 //
     /* 2224661 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2224664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2224667 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2224670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224674 */   // MIs[0] Operand 1
     /* 2224674 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2224679 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224683 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2224687 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2224691 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2224695 */   // MIs[1] Operand 1
     /* 2224695 */   // No operand predicates
     /* 2224695 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2224697 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2224697 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2224700 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2224704 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224709 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2224713 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2224716 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224718 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2224721 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224723 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2224729 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224730 */   // GIR_Coverage, 64148,
     /* 2224730 */   GIR_EraseRootFromParent_Done,
     /* 2224731 */ // Label 29684: @2224731
     /* 2224731 */ GIM_Try, /*On fail goto*//*Label 29685*/ GIMT_Encode4(2224786), // Rule ID 64152 //
     /* 2224736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2224739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2224742 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2224745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224749 */   // MIs[0] Operand 1
     /* 2224749 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2224754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224758 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2224762 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2224766 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2224770 */   // MIs[1] Operand 1
     /* 2224770 */   // No operand predicates
     /* 2224770 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2224772 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2224772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2224775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224777 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2224779 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2224784 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224785 */   // GIR_Coverage, 64152,
     /* 2224785 */   GIR_EraseRootFromParent_Done,
     /* 2224786 */ // Label 29685: @2224786
     /* 2224786 */ GIM_Try, /*On fail goto*//*Label 29686*/ GIMT_Encode4(2224841), // Rule ID 64156 //
     /* 2224791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2224794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2224797 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2224800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224804 */   // MIs[0] Operand 1
     /* 2224804 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2224809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224813 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2224817 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2224821 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2224825 */   // MIs[1] Operand 1
     /* 2224825 */   // No operand predicates
     /* 2224825 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2224827 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2224827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2224830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224832 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2224834 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2224839 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224840 */   // GIR_Coverage, 64156,
     /* 2224840 */   GIR_EraseRootFromParent_Done,
     /* 2224841 */ // Label 29686: @2224841
     /* 2224841 */ GIM_Try, /*On fail goto*//*Label 29687*/ GIMT_Encode4(2224918), // Rule ID 64162 //
     /* 2224846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2224849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2224852 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2224855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224859 */   // MIs[0] Operand 1
     /* 2224859 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2224864 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224868 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2224872 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2224876 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2224880 */   // MIs[1] Operand 1
     /* 2224880 */   // No operand predicates
     /* 2224880 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2224882 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2224882 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2224885 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2224889 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224894 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2224898 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2224903 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2224908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224910 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2224916 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224917 */   // GIR_Coverage, 64162,
     /* 2224917 */   GIR_EraseRootFromParent_Done,
     /* 2224918 */ // Label 29687: @2224918
     /* 2224918 */ GIM_Try, /*On fail goto*//*Label 29688*/ GIMT_Encode4(2224998), // Rule ID 64168 //
     /* 2224923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2224926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2224929 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2224932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224936 */   // MIs[0] Operand 1
     /* 2224936 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2224941 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224945 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2224949 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2224953 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2224957 */   // MIs[1] Operand 1
     /* 2224957 */   // No operand predicates
     /* 2224957 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2224959 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2224959 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2224962 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2224966 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224971 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2224975 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2224980 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2224985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224987 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2224993 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224996 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224997 */   // GIR_Coverage, 64168,
     /* 2224997 */   GIR_EraseRootFromParent_Done,
     /* 2224998 */ // Label 29688: @2224998
     /* 2224998 */ GIM_Try, /*On fail goto*//*Label 29689*/ GIMT_Encode4(2225075), // Rule ID 64172 //
     /* 2225003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225009 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225016 */   // MIs[0] Operand 1
     /* 2225016 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2225021 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225025 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225029 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225033 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2225037 */   // MIs[1] Operand 1
     /* 2225037 */   // No operand predicates
     /* 2225037 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225039 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2225039 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225042 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225046 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225051 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225055 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2225060 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2225065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225067 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225073 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225074 */   // GIR_Coverage, 64172,
     /* 2225074 */   GIR_EraseRootFromParent_Done,
     /* 2225075 */ // Label 29689: @2225075
     /* 2225075 */ GIM_Try, /*On fail goto*//*Label 29690*/ GIMT_Encode4(2225152), // Rule ID 64176 //
     /* 2225080 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225086 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225093 */   // MIs[0] Operand 1
     /* 2225093 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2225098 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225102 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225106 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225110 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2225114 */   // MIs[1] Operand 1
     /* 2225114 */   // No operand predicates
     /* 2225114 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225116 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2225116 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225119 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2225123 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225128 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225132 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2225137 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2225142 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225144 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225150 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225151 */   // GIR_Coverage, 64176,
     /* 2225151 */   GIR_EraseRootFromParent_Done,
     /* 2225152 */ // Label 29690: @2225152
     /* 2225152 */ GIM_Try, /*On fail goto*//*Label 29691*/ GIMT_Encode4(2225227), // Rule ID 64180 //
     /* 2225157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225163 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225170 */   // MIs[0] Operand 1
     /* 2225170 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2225175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225179 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225183 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225187 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225191 */   // MIs[1] Operand 1
     /* 2225191 */   // No operand predicates
     /* 2225191 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225193 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2225193 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225196 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225200 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225205 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225209 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2225212 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2225217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225219 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225225 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225226 */   // GIR_Coverage, 64180,
     /* 2225226 */   GIR_EraseRootFromParent_Done,
     /* 2225227 */ // Label 29691: @2225227
     /* 2225227 */ GIM_Try, /*On fail goto*//*Label 29692*/ GIMT_Encode4(2225302), // Rule ID 64184 //
     /* 2225232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225238 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225245 */   // MIs[0] Operand 1
     /* 2225245 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2225250 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225254 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225258 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225262 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2225266 */   // MIs[1] Operand 1
     /* 2225266 */   // No operand predicates
     /* 2225266 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225268 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2225268 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225271 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2225275 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225280 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225284 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2225287 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2225292 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225294 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225300 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225301 */   // GIR_Coverage, 64184,
     /* 2225301 */   GIR_EraseRootFromParent_Done,
     /* 2225302 */ // Label 29692: @2225302
     /* 2225302 */ GIM_Try, /*On fail goto*//*Label 29693*/ GIMT_Encode4(2225357), // Rule ID 64188 //
     /* 2225307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225313 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225320 */   // MIs[0] Operand 1
     /* 2225320 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2225325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225329 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225333 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225337 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2225341 */   // MIs[1] Operand 1
     /* 2225341 */   // No operand predicates
     /* 2225341 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225343 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2225343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225346 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225348 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225350 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2225355 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225356 */   // GIR_Coverage, 64188,
     /* 2225356 */   GIR_EraseRootFromParent_Done,
     /* 2225357 */ // Label 29693: @2225357
     /* 2225357 */ GIM_Try, /*On fail goto*//*Label 29694*/ GIMT_Encode4(2225412), // Rule ID 64192 //
     /* 2225362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225368 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225375 */   // MIs[0] Operand 1
     /* 2225375 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2225380 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225384 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2225388 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2225392 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2225396 */   // MIs[1] Operand 1
     /* 2225396 */   // No operand predicates
     /* 2225396 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2225398 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2225398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2225401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225403 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225405 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2225410 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225411 */   // GIR_Coverage, 64192,
     /* 2225411 */   GIR_EraseRootFromParent_Done,
     /* 2225412 */ // Label 29694: @2225412
     /* 2225412 */ GIM_Try, /*On fail goto*//*Label 29695*/ GIMT_Encode4(2225454), // Rule ID 63860 //
     /* 2225417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2225420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225423 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225430 */   // MIs[0] Operand 1
     /* 2225430 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2225435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225439 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225443 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2225443 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2225446 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225448 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225450 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225452 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225453 */   // GIR_Coverage, 63860,
     /* 2225453 */   GIR_EraseRootFromParent_Done,
     /* 2225454 */ // Label 29695: @2225454
     /* 2225454 */ GIM_Try, /*On fail goto*//*Label 29696*/ GIMT_Encode4(2225496), // Rule ID 63862 //
     /* 2225459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2225462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225465 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225472 */   // MIs[0] Operand 1
     /* 2225472 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2225477 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225481 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225485 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2225485 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2225488 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225490 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225492 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225495 */   // GIR_Coverage, 63862,
     /* 2225495 */   GIR_EraseRootFromParent_Done,
     /* 2225496 */ // Label 29696: @2225496
     /* 2225496 */ GIM_Try, /*On fail goto*//*Label 29697*/ GIMT_Encode4(2225538), // Rule ID 147 //
     /* 2225501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225507 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225514 */   // MIs[0] Operand 1
     /* 2225514 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2225519 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225523 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225527 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2225527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2225530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225532 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225534 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225537 */   // GIR_Coverage, 147,
     /* 2225537 */   GIR_EraseRootFromParent_Done,
     /* 2225538 */ // Label 29697: @2225538
     /* 2225538 */ GIM_Try, /*On fail goto*//*Label 29698*/ GIMT_Encode4(2225580), // Rule ID 151 //
     /* 2225543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2225549 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2225552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225556 */   // MIs[0] Operand 1
     /* 2225556 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2225561 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225565 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225569 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2225569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2225572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225574 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225576 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225578 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225579 */   // GIR_Coverage, 151,
     /* 2225579 */   GIR_EraseRootFromParent_Done,
     /* 2225580 */ // Label 29698: @2225580
     /* 2225580 */ GIM_Try, /*On fail goto*//*Label 29699*/ GIMT_Encode4(2225622), // Rule ID 64118 //
     /* 2225585 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225588 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225591 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2225594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225598 */   // MIs[0] Operand 1
     /* 2225598 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2225603 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225607 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225611 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2225611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2225614 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225616 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225618 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225620 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225621 */   // GIR_Coverage, 64118,
     /* 2225621 */   GIR_EraseRootFromParent_Done,
     /* 2225622 */ // Label 29699: @2225622
     /* 2225622 */ GIM_Try, /*On fail goto*//*Label 29700*/ GIMT_Encode4(2225664), // Rule ID 64122 //
     /* 2225627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225633 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2225636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225640 */   // MIs[0] Operand 1
     /* 2225640 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2225645 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225649 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225653 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2225653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2225656 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225658 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225660 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225662 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225663 */   // GIR_Coverage, 64122,
     /* 2225663 */   GIR_EraseRootFromParent_Done,
     /* 2225664 */ // Label 29700: @2225664
     /* 2225664 */ GIM_Try, /*On fail goto*//*Label 29701*/ GIMT_Encode4(2225730), // Rule ID 64128 //
     /* 2225669 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225675 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2225678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225682 */   // MIs[0] Operand 1
     /* 2225682 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2225687 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225691 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225695 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2225695 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225698 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2225702 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225707 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225711 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2225715 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2225720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225722 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225728 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225729 */   // GIR_Coverage, 64128,
     /* 2225729 */   GIR_EraseRootFromParent_Done,
     /* 2225730 */ // Label 29701: @2225730
     /* 2225730 */ GIM_Try, /*On fail goto*//*Label 29702*/ GIMT_Encode4(2225799), // Rule ID 64134 //
     /* 2225735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225741 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2225744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225748 */   // MIs[0] Operand 1
     /* 2225748 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225757 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225761 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2225761 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225764 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2225768 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225773 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225777 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2225781 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2225786 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225788 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225794 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225797 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225798 */   // GIR_Coverage, 64134,
     /* 2225798 */   GIR_EraseRootFromParent_Done,
     /* 2225799 */ // Label 29702: @2225799
     /* 2225799 */ GIM_Try, /*On fail goto*//*Label 29703*/ GIMT_Encode4(2225841), // Rule ID 64138 //
     /* 2225804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225810 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2225813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225817 */   // MIs[0] Operand 1
     /* 2225817 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2225822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225826 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225830 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2225830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2225833 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225835 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225837 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225839 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225840 */   // GIR_Coverage, 64138,
     /* 2225840 */   GIR_EraseRootFromParent_Done,
     /* 2225841 */ // Label 29703: @2225841
     /* 2225841 */ GIM_Try, /*On fail goto*//*Label 29704*/ GIMT_Encode4(2225883), // Rule ID 64142 //
     /* 2225846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225852 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2225855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225859 */   // MIs[0] Operand 1
     /* 2225859 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2225864 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225868 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225872 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2225872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2225875 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225877 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225879 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225881 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225882 */   // GIR_Coverage, 64142,
     /* 2225882 */   GIR_EraseRootFromParent_Done,
     /* 2225883 */ // Label 29704: @2225883
     /* 2225883 */ GIM_Try, /*On fail goto*//*Label 29705*/ GIMT_Encode4(2225949), // Rule ID 64146 //
     /* 2225888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225891 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225894 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2225897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225901 */   // MIs[0] Operand 1
     /* 2225901 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2225906 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225910 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225914 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2225914 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225917 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2225921 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225926 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225930 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2225934 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2225939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225941 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2225947 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225948 */   // GIR_Coverage, 64146,
     /* 2225948 */   GIR_EraseRootFromParent_Done,
     /* 2225949 */ // Label 29705: @2225949
     /* 2225949 */ GIM_Try, /*On fail goto*//*Label 29706*/ GIMT_Encode4(2226015), // Rule ID 64150 //
     /* 2225954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2225957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2225960 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2225963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225967 */   // MIs[0] Operand 1
     /* 2225967 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2225972 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225976 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2225980 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2225980 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2225983 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2225987 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225992 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2225996 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2226000 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226005 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226007 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226013 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226014 */   // GIR_Coverage, 64150,
     /* 2226014 */   GIR_EraseRootFromParent_Done,
     /* 2226015 */ // Label 29706: @2226015
     /* 2226015 */ GIM_Try, /*On fail goto*//*Label 29707*/ GIMT_Encode4(2226081), // Rule ID 64154 //
     /* 2226020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226026 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2226029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226033 */   // MIs[0] Operand 1
     /* 2226033 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2226038 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226042 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226046 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2226046 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226049 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2226053 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226058 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2226062 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226066 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226073 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226079 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226080 */   // GIR_Coverage, 64154,
     /* 2226080 */   GIR_EraseRootFromParent_Done,
     /* 2226081 */ // Label 29707: @2226081
     /* 2226081 */ GIM_Try, /*On fail goto*//*Label 29708*/ GIMT_Encode4(2226147), // Rule ID 64158 //
     /* 2226086 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2226092 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2226095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226099 */   // MIs[0] Operand 1
     /* 2226099 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2226104 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226108 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226112 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2226112 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226115 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2226119 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226124 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2226128 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226132 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226134 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226137 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226139 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226145 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226146 */   // GIR_Coverage, 64158,
     /* 2226146 */   GIR_EraseRootFromParent_Done,
     /* 2226147 */ // Label 29708: @2226147
     /* 2226147 */ GIM_Try, /*On fail goto*//*Label 29709*/ GIMT_Encode4(2226213), // Rule ID 64164 //
     /* 2226152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226158 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226165 */   // MIs[0] Operand 1
     /* 2226165 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2226170 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226174 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226178 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2226178 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226181 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2226185 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226190 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226194 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2226198 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226205 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226211 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226212 */   // GIR_Coverage, 64164,
     /* 2226212 */   GIR_EraseRootFromParent_Done,
     /* 2226213 */ // Label 29709: @2226213
     /* 2226213 */ GIM_Try, /*On fail goto*//*Label 29710*/ GIMT_Encode4(2226282), // Rule ID 64170 //
     /* 2226218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226224 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226231 */   // MIs[0] Operand 1
     /* 2226231 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2226236 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226240 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226244 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2226244 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226247 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2226251 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226256 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226260 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2226264 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226266 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2226269 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226271 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2226277 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226280 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226281 */   // GIR_Coverage, 64170,
     /* 2226281 */   GIR_EraseRootFromParent_Done,
     /* 2226282 */ // Label 29710: @2226282
     /* 2226282 */ GIM_Try, /*On fail goto*//*Label 29711*/ GIMT_Encode4(2226324), // Rule ID 64174 //
     /* 2226287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226293 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226300 */   // MIs[0] Operand 1
     /* 2226300 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2226305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226309 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226313 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2226313 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2226316 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226318 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226320 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226322 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226323 */   // GIR_Coverage, 64174,
     /* 2226323 */   GIR_EraseRootFromParent_Done,
     /* 2226324 */ // Label 29711: @2226324
     /* 2226324 */ GIM_Try, /*On fail goto*//*Label 29712*/ GIMT_Encode4(2226366), // Rule ID 64178 //
     /* 2226329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226335 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226342 */   // MIs[0] Operand 1
     /* 2226342 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2226347 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226351 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226355 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2226355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2226358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226360 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226362 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226365 */   // GIR_Coverage, 64178,
     /* 2226365 */   GIR_EraseRootFromParent_Done,
     /* 2226366 */ // Label 29712: @2226366
     /* 2226366 */ GIM_Try, /*On fail goto*//*Label 29713*/ GIMT_Encode4(2226432), // Rule ID 64182 //
     /* 2226371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226377 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226384 */   // MIs[0] Operand 1
     /* 2226384 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2226389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226393 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226397 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2226397 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226400 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2226404 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226409 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226413 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2226417 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226422 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226424 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226430 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226431 */   // GIR_Coverage, 64182,
     /* 2226431 */   GIR_EraseRootFromParent_Done,
     /* 2226432 */ // Label 29713: @2226432
     /* 2226432 */ GIM_Try, /*On fail goto*//*Label 29714*/ GIMT_Encode4(2226498), // Rule ID 64186 //
     /* 2226437 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226443 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226450 */   // MIs[0] Operand 1
     /* 2226450 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2226455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226459 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226463 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2226463 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226466 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2226470 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226475 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226479 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2226483 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226485 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226488 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226490 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226496 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226497 */   // GIR_Coverage, 64186,
     /* 2226497 */   GIR_EraseRootFromParent_Done,
     /* 2226498 */ // Label 29714: @2226498
     /* 2226498 */ GIM_Try, /*On fail goto*//*Label 29715*/ GIMT_Encode4(2226564), // Rule ID 64190 //
     /* 2226503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226509 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226516 */   // MIs[0] Operand 1
     /* 2226516 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2226521 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226525 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226529 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2226529 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226532 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2226536 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226541 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2226545 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226549 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226554 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226556 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226562 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226563 */   // GIR_Coverage, 64190,
     /* 2226563 */   GIR_EraseRootFromParent_Done,
     /* 2226564 */ // Label 29715: @2226564
     /* 2226564 */ GIM_Try, /*On fail goto*//*Label 29716*/ GIMT_Encode4(2226630), // Rule ID 64194 //
     /* 2226569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2226572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2226575 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2226578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226582 */   // MIs[0] Operand 1
     /* 2226582 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2226587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226591 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226595 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2226595 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2226598 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2226602 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226607 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2226611 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2226615 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2226620 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226622 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226629 */   // GIR_Coverage, 64194,
     /* 2226629 */   GIR_EraseRootFromParent_Done,
     /* 2226630 */ // Label 29716: @2226630
     /* 2226630 */ GIM_Reject,
     /* 2226631 */ // Label 29661: @2226631
     /* 2226631 */ GIM_Try, /*On fail goto*//*Label 29717*/ GIMT_Encode4(2226674), // Rule ID 158 //
     /* 2226636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2226639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2226642 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2226645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226649 */   // MIs[0] Operand 1
     /* 2226649 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2226654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226658 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2226662 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] })
     /* 2226662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226667 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226672 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226673 */   // GIR_Coverage, 158,
     /* 2226673 */   GIR_EraseRootFromParent_Done,
     /* 2226674 */ // Label 29717: @2226674
     /* 2226674 */ GIM_Try, /*On fail goto*//*Label 29718*/ GIMT_Encode4(2226717), // Rule ID 64123 //
     /* 2226679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2226682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2226685 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2226688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226692 */   // MIs[0] Operand 1
     /* 2226692 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2226697 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226701 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2226705 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2226705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226710 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226716 */   // GIR_Coverage, 64123,
     /* 2226716 */   GIR_EraseRootFromParent_Done,
     /* 2226717 */ // Label 29718: @2226717
     /* 2226717 */ GIM_Try, /*On fail goto*//*Label 29719*/ GIMT_Encode4(2226763), // Rule ID 64129 //
     /* 2226722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2226725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2226728 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2226731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226735 */   // MIs[0] Operand 1
     /* 2226735 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2226740 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226744 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2226748 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2226748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2226751 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226753 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2226759 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226761 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226762 */   // GIR_Coverage, 64129,
     /* 2226762 */   GIR_EraseRootFromParent_Done,
     /* 2226763 */ // Label 29719: @2226763
     /* 2226763 */ GIM_Try, /*On fail goto*//*Label 29720*/ GIMT_Encode4(2226806), // Rule ID 64159 //
     /* 2226768 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2226771 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2226774 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2226777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226781 */   // MIs[0] Operand 1
     /* 2226781 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2226786 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226790 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2226794 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2226794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226799 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2226804 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226805 */   // GIR_Coverage, 64159,
     /* 2226805 */   GIR_EraseRootFromParent_Done,
     /* 2226806 */ // Label 29720: @2226806
     /* 2226806 */ GIM_Try, /*On fail goto*//*Label 29721*/ GIMT_Encode4(2226852), // Rule ID 64165 //
     /* 2226811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2226814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2226817 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2226820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226824 */   // MIs[0] Operand 1
     /* 2226824 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2226829 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226833 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2226837 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2226837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2226840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226842 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2226848 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226850 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226851 */   // GIR_Coverage, 64165,
     /* 2226851 */   GIR_EraseRootFromParent_Done,
     /* 2226852 */ // Label 29721: @2226852
     /* 2226852 */ GIM_Try, /*On fail goto*//*Label 29722*/ GIMT_Encode4(2226905), // Rule ID 148 //
     /* 2226857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2226860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2226863 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2226866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226870 */   // MIs[0] Operand 1
     /* 2226870 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2226875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226879 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226883 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226887 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2226891 */   // MIs[1] Operand 1
     /* 2226891 */   // No operand predicates
     /* 2226891 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226893 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2226893 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2226896 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226898 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226900 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2226903 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226904 */   // GIR_Coverage, 148,
     /* 2226904 */   GIR_EraseRootFromParent_Done,
     /* 2226905 */ // Label 29722: @2226905
     /* 2226905 */ GIM_Try, /*On fail goto*//*Label 29723*/ GIMT_Encode4(2226958), // Rule ID 152 //
     /* 2226910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2226913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2226916 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2226919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226923 */   // MIs[0] Operand 1
     /* 2226923 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2226928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226932 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226936 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226940 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2226944 */   // MIs[1] Operand 1
     /* 2226944 */   // No operand predicates
     /* 2226944 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226946 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2226946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2226949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226951 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226953 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2226956 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226957 */   // GIR_Coverage, 152,
     /* 2226957 */   GIR_EraseRootFromParent_Done,
     /* 2226958 */ // Label 29723: @2226958
     /* 2226958 */ GIM_Try, /*On fail goto*//*Label 29724*/ GIMT_Encode4(2227011), // Rule ID 64115 //
     /* 2226963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2226966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2226969 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2226972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226976 */   // MIs[0] Operand 1
     /* 2226976 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2226981 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2226985 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2226989 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2226993 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2226997 */   // MIs[1] Operand 1
     /* 2226997 */   // No operand predicates
     /* 2226997 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2226999 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2226999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2227002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227004 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227006 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2227009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227010 */   // GIR_Coverage, 64115,
     /* 2227010 */   GIR_EraseRootFromParent_Done,
     /* 2227011 */ // Label 29724: @2227011
     /* 2227011 */ GIM_Try, /*On fail goto*//*Label 29725*/ GIMT_Encode4(2227064), // Rule ID 64119 //
     /* 2227016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2227022 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2227025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227029 */   // MIs[0] Operand 1
     /* 2227029 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2227034 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227038 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2227042 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2227046 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2227050 */   // MIs[1] Operand 1
     /* 2227050 */   // No operand predicates
     /* 2227050 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2227052 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2227052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2227055 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227057 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227059 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2227062 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227063 */   // GIR_Coverage, 64119,
     /* 2227063 */   GIR_EraseRootFromParent_Done,
     /* 2227064 */ // Label 29725: @2227064
     /* 2227064 */ GIM_Try, /*On fail goto*//*Label 29726*/ GIMT_Encode4(2227141), // Rule ID 64125 //
     /* 2227069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2227075 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2227078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227082 */   // MIs[0] Operand 1
     /* 2227082 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2227087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227091 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2227095 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2227099 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2227103 */   // MIs[1] Operand 1
     /* 2227103 */   // No operand predicates
     /* 2227103 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2227105 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2227105 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227108 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2227112 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227117 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227121 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2227126 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2227131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227133 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227139 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227140 */   // GIR_Coverage, 64125,
     /* 2227140 */   GIR_EraseRootFromParent_Done,
     /* 2227141 */ // Label 29726: @2227141
     /* 2227141 */ GIM_Try, /*On fail goto*//*Label 29727*/ GIMT_Encode4(2227221), // Rule ID 64131 //
     /* 2227146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2227152 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2227155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227159 */   // MIs[0] Operand 1
     /* 2227159 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2227164 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227168 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2227172 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2227176 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2227180 */   // MIs[1] Operand 1
     /* 2227180 */   // No operand predicates
     /* 2227180 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2227182 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2227182 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227185 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2227189 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227194 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227198 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2227203 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227210 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2227216 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227219 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227220 */   // GIR_Coverage, 64131,
     /* 2227220 */   GIR_EraseRootFromParent_Done,
     /* 2227221 */ // Label 29727: @2227221
     /* 2227221 */ GIM_Try, /*On fail goto*//*Label 29728*/ GIMT_Encode4(2227298), // Rule ID 64135 //
     /* 2227226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2227232 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2227235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227239 */   // MIs[0] Operand 1
     /* 2227239 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2227244 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227248 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2227252 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2227256 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2227260 */   // MIs[1] Operand 1
     /* 2227260 */   // No operand predicates
     /* 2227260 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2227262 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2227262 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227265 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2227269 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227274 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227278 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2227283 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227290 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227296 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227297 */   // GIR_Coverage, 64135,
     /* 2227297 */   GIR_EraseRootFromParent_Done,
     /* 2227298 */ // Label 29728: @2227298
     /* 2227298 */ GIM_Try, /*On fail goto*//*Label 29729*/ GIMT_Encode4(2227375), // Rule ID 64139 //
     /* 2227303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2227309 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2227312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227316 */   // MIs[0] Operand 1
     /* 2227316 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2227321 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227325 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2227329 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2227333 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2227337 */   // MIs[1] Operand 1
     /* 2227337 */   // No operand predicates
     /* 2227337 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2227339 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2227339 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227342 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2227346 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227351 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227355 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2227360 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227365 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227367 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227373 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227374 */   // GIR_Coverage, 64139,
     /* 2227374 */   GIR_EraseRootFromParent_Done,
     /* 2227375 */ // Label 29729: @2227375
     /* 2227375 */ GIM_Try, /*On fail goto*//*Label 29730*/ GIMT_Encode4(2227450), // Rule ID 64143 //
     /* 2227380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2227386 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2227389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227393 */   // MIs[0] Operand 1
     /* 2227393 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2227398 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227402 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2227406 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2227410 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2227414 */   // MIs[1] Operand 1
     /* 2227414 */   // No operand predicates
     /* 2227414 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2227416 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2227416 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227419 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2227423 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227428 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227432 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2227435 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227442 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227448 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227449 */   // GIR_Coverage, 64143,
     /* 2227449 */   GIR_EraseRootFromParent_Done,
     /* 2227450 */ // Label 29730: @2227450
     /* 2227450 */ GIM_Try, /*On fail goto*//*Label 29731*/ GIMT_Encode4(2227525), // Rule ID 64147 //
     /* 2227455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2227461 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2227464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227468 */   // MIs[0] Operand 1
     /* 2227468 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2227473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227477 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2227481 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2227485 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2227489 */   // MIs[1] Operand 1
     /* 2227489 */   // No operand predicates
     /* 2227489 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2227491 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2227491 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227494 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2227498 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227503 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227507 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2227510 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227515 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227517 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227523 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227524 */   // GIR_Coverage, 64147,
     /* 2227524 */   GIR_EraseRootFromParent_Done,
     /* 2227525 */ // Label 29731: @2227525
     /* 2227525 */ GIM_Try, /*On fail goto*//*Label 29732*/ GIMT_Encode4(2227580), // Rule ID 64151 //
     /* 2227530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2227536 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2227539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227543 */   // MIs[0] Operand 1
     /* 2227543 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2227548 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227552 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2227556 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2227560 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2227564 */   // MIs[1] Operand 1
     /* 2227564 */   // No operand predicates
     /* 2227564 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2227566 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2227566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2227569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227571 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227573 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2227578 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227579 */   // GIR_Coverage, 64151,
     /* 2227579 */   GIR_EraseRootFromParent_Done,
     /* 2227580 */ // Label 29732: @2227580
     /* 2227580 */ GIM_Try, /*On fail goto*//*Label 29733*/ GIMT_Encode4(2227635), // Rule ID 64155 //
     /* 2227585 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227588 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2227591 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2227594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227598 */   // MIs[0] Operand 1
     /* 2227598 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2227603 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227607 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2227611 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2227615 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2227619 */   // MIs[1] Operand 1
     /* 2227619 */   // No operand predicates
     /* 2227619 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2227621 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2227621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2227624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227626 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227628 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2227633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227634 */   // GIR_Coverage, 64155,
     /* 2227634 */   GIR_EraseRootFromParent_Done,
     /* 2227635 */ // Label 29733: @2227635
     /* 2227635 */ GIM_Try, /*On fail goto*//*Label 29734*/ GIMT_Encode4(2227712), // Rule ID 64161 //
     /* 2227640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2227646 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2227649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227653 */   // MIs[0] Operand 1
     /* 2227653 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2227658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227662 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2227666 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2227670 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2227674 */   // MIs[1] Operand 1
     /* 2227674 */   // No operand predicates
     /* 2227674 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2227676 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2227676 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227679 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2227683 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227688 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227692 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2227697 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2227702 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227704 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227710 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227711 */   // GIR_Coverage, 64161,
     /* 2227711 */   GIR_EraseRootFromParent_Done,
     /* 2227712 */ // Label 29734: @2227712
     /* 2227712 */ GIM_Try, /*On fail goto*//*Label 29735*/ GIMT_Encode4(2227792), // Rule ID 64167 //
     /* 2227717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227720 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2227723 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2227726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227730 */   // MIs[0] Operand 1
     /* 2227730 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2227735 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227739 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2227743 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2227747 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2227751 */   // MIs[1] Operand 1
     /* 2227751 */   // No operand predicates
     /* 2227751 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2227753 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2227753 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227756 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2227760 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227765 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227769 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2227774 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2227779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227781 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2227787 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227790 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227791 */   // GIR_Coverage, 64167,
     /* 2227791 */   GIR_EraseRootFromParent_Done,
     /* 2227792 */ // Label 29735: @2227792
     /* 2227792 */ GIM_Try, /*On fail goto*//*Label 29736*/ GIMT_Encode4(2227869), // Rule ID 64171 //
     /* 2227797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2227803 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2227806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227810 */   // MIs[0] Operand 1
     /* 2227810 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2227815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227819 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2227823 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2227827 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2227831 */   // MIs[1] Operand 1
     /* 2227831 */   // No operand predicates
     /* 2227831 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2227833 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2227833 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227836 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2227840 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227845 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227849 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2227854 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227861 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227868 */   // GIR_Coverage, 64171,
     /* 2227868 */   GIR_EraseRootFromParent_Done,
     /* 2227869 */ // Label 29736: @2227869
     /* 2227869 */ GIM_Try, /*On fail goto*//*Label 29737*/ GIMT_Encode4(2227946), // Rule ID 64175 //
     /* 2227874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2227880 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2227883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227887 */   // MIs[0] Operand 1
     /* 2227887 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2227892 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227896 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2227900 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2227904 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2227908 */   // MIs[1] Operand 1
     /* 2227908 */   // No operand predicates
     /* 2227908 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2227910 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2227910 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227913 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2227917 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227922 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2227926 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2227931 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2227936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227938 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2227944 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227945 */   // GIR_Coverage, 64175,
     /* 2227945 */   GIR_EraseRootFromParent_Done,
     /* 2227946 */ // Label 29737: @2227946
     /* 2227946 */ GIM_Try, /*On fail goto*//*Label 29738*/ GIMT_Encode4(2228021), // Rule ID 64179 //
     /* 2227951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2227954 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2227957 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2227960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227964 */   // MIs[0] Operand 1
     /* 2227964 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2227969 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2227973 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2227977 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2227981 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2227985 */   // MIs[1] Operand 1
     /* 2227985 */   // No operand predicates
     /* 2227985 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2227987 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2227987 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2227990 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2227994 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227999 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228003 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2228006 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228013 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228019 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228020 */   // GIR_Coverage, 64179,
     /* 2228020 */   GIR_EraseRootFromParent_Done,
     /* 2228021 */ // Label 29738: @2228021
     /* 2228021 */ GIM_Try, /*On fail goto*//*Label 29739*/ GIMT_Encode4(2228096), // Rule ID 64183 //
     /* 2228026 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228032 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228039 */   // MIs[0] Operand 1
     /* 2228039 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2228044 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228048 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228052 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228056 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2228060 */   // MIs[1] Operand 1
     /* 2228060 */   // No operand predicates
     /* 2228060 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228062 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2228062 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228065 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2228069 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228074 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228078 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2228081 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228083 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228086 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228088 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228094 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228095 */   // GIR_Coverage, 64183,
     /* 2228095 */   GIR_EraseRootFromParent_Done,
     /* 2228096 */ // Label 29739: @2228096
     /* 2228096 */ GIM_Try, /*On fail goto*//*Label 29740*/ GIMT_Encode4(2228151), // Rule ID 64187 //
     /* 2228101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228107 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228114 */   // MIs[0] Operand 1
     /* 2228114 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2228119 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228123 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228127 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228131 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2228135 */   // MIs[1] Operand 1
     /* 2228135 */   // No operand predicates
     /* 2228135 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228137 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2228137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228142 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228144 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2228149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228150 */   // GIR_Coverage, 64187,
     /* 2228150 */   GIR_EraseRootFromParent_Done,
     /* 2228151 */ // Label 29740: @2228151
     /* 2228151 */ GIM_Try, /*On fail goto*//*Label 29741*/ GIMT_Encode4(2228206), // Rule ID 64191 //
     /* 2228156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228159 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228162 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228169 */   // MIs[0] Operand 1
     /* 2228169 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2228174 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228178 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2228182 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2228186 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2228190 */   // MIs[1] Operand 1
     /* 2228190 */   // No operand predicates
     /* 2228190 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2228192 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2228192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2228195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228197 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228199 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2228204 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228205 */   // GIR_Coverage, 64191,
     /* 2228205 */   GIR_EraseRootFromParent_Done,
     /* 2228206 */ // Label 29741: @2228206
     /* 2228206 */ GIM_Try, /*On fail goto*//*Label 29742*/ GIMT_Encode4(2228248), // Rule ID 63859 //
     /* 2228211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2228214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228217 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228224 */   // MIs[0] Operand 1
     /* 2228224 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2228229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228233 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228237 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2228237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2228240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228242 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228244 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228246 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228247 */   // GIR_Coverage, 63859,
     /* 2228247 */   GIR_EraseRootFromParent_Done,
     /* 2228248 */ // Label 29742: @2228248
     /* 2228248 */ GIM_Try, /*On fail goto*//*Label 29743*/ GIMT_Encode4(2228290), // Rule ID 63861 //
     /* 2228253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2228256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228259 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228266 */   // MIs[0] Operand 1
     /* 2228266 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2228271 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228275 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228279 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2228279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2228282 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228284 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228286 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228288 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228289 */   // GIR_Coverage, 63861,
     /* 2228289 */   GIR_EraseRootFromParent_Done,
     /* 2228290 */ // Label 29743: @2228290
     /* 2228290 */ GIM_Try, /*On fail goto*//*Label 29744*/ GIMT_Encode4(2228332), // Rule ID 146 //
     /* 2228295 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228301 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228308 */   // MIs[0] Operand 1
     /* 2228308 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2228313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228317 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228321 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2228321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2228324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228326 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228328 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228331 */   // GIR_Coverage, 146,
     /* 2228331 */   GIR_EraseRootFromParent_Done,
     /* 2228332 */ // Label 29744: @2228332
     /* 2228332 */ GIM_Try, /*On fail goto*//*Label 29745*/ GIMT_Encode4(2228374), // Rule ID 150 //
     /* 2228337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228343 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228350 */   // MIs[0] Operand 1
     /* 2228350 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2228355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228359 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228363 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2228363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228368 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228370 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228372 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228373 */   // GIR_Coverage, 150,
     /* 2228373 */   GIR_EraseRootFromParent_Done,
     /* 2228374 */ // Label 29745: @2228374
     /* 2228374 */ GIM_Try, /*On fail goto*//*Label 29746*/ GIMT_Encode4(2228416), // Rule ID 64117 //
     /* 2228379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228385 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2228388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228392 */   // MIs[0] Operand 1
     /* 2228392 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2228397 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228401 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228405 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2228405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228410 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228412 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228414 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228415 */   // GIR_Coverage, 64117,
     /* 2228415 */   GIR_EraseRootFromParent_Done,
     /* 2228416 */ // Label 29746: @2228416
     /* 2228416 */ GIM_Try, /*On fail goto*//*Label 29747*/ GIMT_Encode4(2228458), // Rule ID 64121 //
     /* 2228421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228427 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2228430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228434 */   // MIs[0] Operand 1
     /* 2228434 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2228439 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228443 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228447 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2228447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2228450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228452 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228454 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228457 */   // GIR_Coverage, 64121,
     /* 2228457 */   GIR_EraseRootFromParent_Done,
     /* 2228458 */ // Label 29747: @2228458
     /* 2228458 */ GIM_Try, /*On fail goto*//*Label 29748*/ GIMT_Encode4(2228524), // Rule ID 64127 //
     /* 2228463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228469 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2228472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228476 */   // MIs[0] Operand 1
     /* 2228476 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228481 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228485 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228489 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2228489 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228492 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2228496 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228501 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228505 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2228509 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228511 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228514 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228516 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228522 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228523 */   // GIR_Coverage, 64127,
     /* 2228523 */   GIR_EraseRootFromParent_Done,
     /* 2228524 */ // Label 29748: @2228524
     /* 2228524 */ GIM_Try, /*On fail goto*//*Label 29749*/ GIMT_Encode4(2228593), // Rule ID 64133 //
     /* 2228529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228535 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2228538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228542 */   // MIs[0] Operand 1
     /* 2228542 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2228547 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228551 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228555 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2228555 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228558 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2228562 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228567 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228571 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2228575 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228582 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228588 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228591 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228592 */   // GIR_Coverage, 64133,
     /* 2228592 */   GIR_EraseRootFromParent_Done,
     /* 2228593 */ // Label 29749: @2228593
     /* 2228593 */ GIM_Try, /*On fail goto*//*Label 29750*/ GIMT_Encode4(2228635), // Rule ID 64137 //
     /* 2228598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228604 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2228607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228611 */   // MIs[0] Operand 1
     /* 2228611 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2228616 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228620 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228624 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2228624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228627 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228629 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228631 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228634 */   // GIR_Coverage, 64137,
     /* 2228634 */   GIR_EraseRootFromParent_Done,
     /* 2228635 */ // Label 29750: @2228635
     /* 2228635 */ GIM_Try, /*On fail goto*//*Label 29751*/ GIMT_Encode4(2228677), // Rule ID 64141 //
     /* 2228640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228646 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2228649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228653 */   // MIs[0] Operand 1
     /* 2228653 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2228658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228662 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228666 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2228666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2228669 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228671 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228673 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228675 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228676 */   // GIR_Coverage, 64141,
     /* 2228676 */   GIR_EraseRootFromParent_Done,
     /* 2228677 */ // Label 29751: @2228677
     /* 2228677 */ GIM_Try, /*On fail goto*//*Label 29752*/ GIMT_Encode4(2228743), // Rule ID 64145 //
     /* 2228682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228688 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2228691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228695 */   // MIs[0] Operand 1
     /* 2228695 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2228700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228704 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228708 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2228708 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228711 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228715 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228720 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228724 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2228728 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228735 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228741 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228742 */   // GIR_Coverage, 64145,
     /* 2228742 */   GIR_EraseRootFromParent_Done,
     /* 2228743 */ // Label 29752: @2228743
     /* 2228743 */ GIM_Try, /*On fail goto*//*Label 29753*/ GIMT_Encode4(2228809), // Rule ID 64149 //
     /* 2228748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228754 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2228757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228761 */   // MIs[0] Operand 1
     /* 2228761 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2228766 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228770 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228774 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2228774 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228777 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2228781 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228786 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228790 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2228794 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228799 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228801 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228808 */   // GIR_Coverage, 64149,
     /* 2228808 */   GIR_EraseRootFromParent_Done,
     /* 2228809 */ // Label 29753: @2228809
     /* 2228809 */ GIM_Try, /*On fail goto*//*Label 29754*/ GIMT_Encode4(2228875), // Rule ID 64153 //
     /* 2228814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228817 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228820 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2228823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228827 */   // MIs[0] Operand 1
     /* 2228827 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2228832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228836 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228840 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2228840 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228843 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2228847 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228852 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2228856 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228860 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228867 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228873 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228874 */   // GIR_Coverage, 64153,
     /* 2228874 */   GIR_EraseRootFromParent_Done,
     /* 2228875 */ // Label 29754: @2228875
     /* 2228875 */ GIM_Try, /*On fail goto*//*Label 29755*/ GIMT_Encode4(2228941), // Rule ID 64157 //
     /* 2228880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2228886 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2228889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228893 */   // MIs[0] Operand 1
     /* 2228893 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2228898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228902 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228906 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2228906 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228909 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2228913 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228918 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2228922 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228926 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2228931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228933 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2228939 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228940 */   // GIR_Coverage, 64157,
     /* 2228940 */   GIR_EraseRootFromParent_Done,
     /* 2228941 */ // Label 29755: @2228941
     /* 2228941 */ GIM_Try, /*On fail goto*//*Label 29756*/ GIMT_Encode4(2229007), // Rule ID 64163 //
     /* 2228946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2228949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2228952 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2228955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228959 */   // MIs[0] Operand 1
     /* 2228959 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228964 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228968 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2228972 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2228972 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2228975 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2228979 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228984 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2228988 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2228992 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2228997 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228999 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229005 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229006 */   // GIR_Coverage, 64163,
     /* 2229006 */   GIR_EraseRootFromParent_Done,
     /* 2229007 */ // Label 29756: @2229007
     /* 2229007 */ GIM_Try, /*On fail goto*//*Label 29757*/ GIMT_Encode4(2229076), // Rule ID 64169 //
     /* 2229012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229018 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229025 */   // MIs[0] Operand 1
     /* 2229025 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2229030 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229034 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229038 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2229038 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229041 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2229045 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229050 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229054 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2229058 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229060 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229063 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229065 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2229071 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229074 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229075 */   // GIR_Coverage, 64169,
     /* 2229075 */   GIR_EraseRootFromParent_Done,
     /* 2229076 */ // Label 29757: @2229076
     /* 2229076 */ GIM_Try, /*On fail goto*//*Label 29758*/ GIMT_Encode4(2229118), // Rule ID 64173 //
     /* 2229081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229087 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229094 */   // MIs[0] Operand 1
     /* 2229094 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2229099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229103 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229107 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2229107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229112 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229114 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229116 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229117 */   // GIR_Coverage, 64173,
     /* 2229117 */   GIR_EraseRootFromParent_Done,
     /* 2229118 */ // Label 29758: @2229118
     /* 2229118 */ GIM_Try, /*On fail goto*//*Label 29759*/ GIMT_Encode4(2229160), // Rule ID 64177 //
     /* 2229123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229129 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229136 */   // MIs[0] Operand 1
     /* 2229136 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2229141 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229145 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229149 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2229149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2229152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229154 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229156 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229159 */   // GIR_Coverage, 64177,
     /* 2229159 */   GIR_EraseRootFromParent_Done,
     /* 2229160 */ // Label 29759: @2229160
     /* 2229160 */ GIM_Try, /*On fail goto*//*Label 29760*/ GIMT_Encode4(2229226), // Rule ID 64181 //
     /* 2229165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229171 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229178 */   // MIs[0] Operand 1
     /* 2229178 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2229183 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229187 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229191 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2229191 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229194 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229198 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229203 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229207 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2229211 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229216 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229218 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229224 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229225 */   // GIR_Coverage, 64181,
     /* 2229225 */   GIR_EraseRootFromParent_Done,
     /* 2229226 */ // Label 29760: @2229226
     /* 2229226 */ GIM_Try, /*On fail goto*//*Label 29761*/ GIMT_Encode4(2229292), // Rule ID 64185 //
     /* 2229231 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229237 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229244 */   // MIs[0] Operand 1
     /* 2229244 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2229249 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229253 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229257 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2229257 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229260 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2229264 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229269 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229273 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2229277 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229282 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229284 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229290 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229291 */   // GIR_Coverage, 64185,
     /* 2229291 */   GIR_EraseRootFromParent_Done,
     /* 2229292 */ // Label 29761: @2229292
     /* 2229292 */ GIM_Try, /*On fail goto*//*Label 29762*/ GIMT_Encode4(2229358), // Rule ID 64189 //
     /* 2229297 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229303 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229310 */   // MIs[0] Operand 1
     /* 2229310 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2229315 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229319 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229323 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2229323 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229326 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2229330 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229335 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2229339 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229343 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229350 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229356 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229357 */   // GIR_Coverage, 64189,
     /* 2229357 */   GIR_EraseRootFromParent_Done,
     /* 2229358 */ // Label 29762: @2229358
     /* 2229358 */ GIM_Try, /*On fail goto*//*Label 29763*/ GIMT_Encode4(2229424), // Rule ID 64193 //
     /* 2229363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2229366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2229369 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2229372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229376 */   // MIs[0] Operand 1
     /* 2229376 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2229381 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229385 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2229389 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2229389 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2229392 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2229396 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229401 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2229405 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2229409 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2229414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229416 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2229422 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229423 */   // GIR_Coverage, 64193,
     /* 2229423 */   GIR_EraseRootFromParent_Done,
     /* 2229424 */ // Label 29763: @2229424
     /* 2229424 */ GIM_Reject,
     /* 2229425 */ // Label 29662: @2229425
     /* 2229425 */ GIM_Try, /*On fail goto*//*Label 29764*/ GIMT_Encode4(2229473), // Rule ID 45505 //
     /* 2229430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2229436 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2229439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229443 */   // MIs[0] Operand 1
     /* 2229443 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2229448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229452 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229456 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2229459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229461 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229463 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229471 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229472 */   // GIR_Coverage, 45505,
     /* 2229472 */   GIR_EraseRootFromParent_Done,
     /* 2229473 */ // Label 29764: @2229473
     /* 2229473 */ GIM_Try, /*On fail goto*//*Label 29765*/ GIMT_Encode4(2229521), // Rule ID 45506 //
     /* 2229478 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2229484 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2229487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229491 */   // MIs[0] Operand 1
     /* 2229491 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2229496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229500 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229504 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2229507 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229509 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229511 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229519 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229520 */   // GIR_Coverage, 45506,
     /* 2229520 */   GIR_EraseRootFromParent_Done,
     /* 2229521 */ // Label 29765: @2229521
     /* 2229521 */ GIM_Try, /*On fail goto*//*Label 29766*/ GIMT_Encode4(2229569), // Rule ID 45507 //
     /* 2229526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2229532 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2229535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229539 */   // MIs[0] Operand 1
     /* 2229539 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2229544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229548 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229552 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229552 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2229555 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229557 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2229559 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229567 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229568 */   // GIR_Coverage, 45507,
     /* 2229568 */   GIR_EraseRootFromParent_Done,
     /* 2229569 */ // Label 29766: @2229569
     /* 2229569 */ GIM_Try, /*On fail goto*//*Label 29767*/ GIMT_Encode4(2229617), // Rule ID 45508 //
     /* 2229574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2229580 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2229583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229587 */   // MIs[0] Operand 1
     /* 2229587 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2229592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229596 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229600 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2229603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229605 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2229607 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229616 */   // GIR_Coverage, 45508,
     /* 2229616 */   GIR_EraseRootFromParent_Done,
     /* 2229617 */ // Label 29767: @2229617
     /* 2229617 */ GIM_Try, /*On fail goto*//*Label 29768*/ GIMT_Encode4(2229665), // Rule ID 48035 //
     /* 2229622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2229628 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2229631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229635 */   // MIs[0] Operand 1
     /* 2229635 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2229640 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229644 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229648 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2229648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2229651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229653 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229655 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229663 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229664 */   // GIR_Coverage, 48035,
     /* 2229664 */   GIR_EraseRootFromParent_Done,
     /* 2229665 */ // Label 29768: @2229665
     /* 2229665 */ GIM_Try, /*On fail goto*//*Label 29769*/ GIMT_Encode4(2229713), // Rule ID 48036 //
     /* 2229670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2229676 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2229679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229683 */   // MIs[0] Operand 1
     /* 2229683 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2229688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229692 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229696 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2229696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2229699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229701 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229703 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229712 */   // GIR_Coverage, 48036,
     /* 2229712 */   GIR_EraseRootFromParent_Done,
     /* 2229713 */ // Label 29769: @2229713
     /* 2229713 */ GIM_Try, /*On fail goto*//*Label 29770*/ GIMT_Encode4(2229761), // Rule ID 48039 //
     /* 2229718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2229724 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2229727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229731 */   // MIs[0] Operand 1
     /* 2229731 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2229736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229740 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229744 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2229744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2229747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229749 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229751 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229759 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229760 */   // GIR_Coverage, 48039,
     /* 2229760 */   GIR_EraseRootFromParent_Done,
     /* 2229761 */ // Label 29770: @2229761
     /* 2229761 */ GIM_Try, /*On fail goto*//*Label 29771*/ GIMT_Encode4(2229809), // Rule ID 48040 //
     /* 2229766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2229772 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2229775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229779 */   // MIs[0] Operand 1
     /* 2229779 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2229784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229788 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229792 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2229792 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2229795 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229797 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229799 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229808 */   // GIR_Coverage, 48040,
     /* 2229808 */   GIR_EraseRootFromParent_Done,
     /* 2229809 */ // Label 29771: @2229809
     /* 2229809 */ GIM_Try, /*On fail goto*//*Label 29772*/ GIMT_Encode4(2229857), // Rule ID 48047 //
     /* 2229814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2229817 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2229820 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2229823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229827 */   // MIs[0] Operand 1
     /* 2229827 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2229832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229836 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229840 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2229840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2229843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229845 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229847 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229856 */   // GIR_Coverage, 48047,
     /* 2229856 */   GIR_EraseRootFromParent_Done,
     /* 2229857 */ // Label 29772: @2229857
     /* 2229857 */ GIM_Try, /*On fail goto*//*Label 29773*/ GIMT_Encode4(2229905), // Rule ID 48048 //
     /* 2229862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2229865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2229868 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2229871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229875 */   // MIs[0] Operand 1
     /* 2229875 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2229880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229884 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229888 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2229888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2229891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229893 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229895 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229903 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229904 */   // GIR_Coverage, 48048,
     /* 2229904 */   GIR_EraseRootFromParent_Done,
     /* 2229905 */ // Label 29773: @2229905
     /* 2229905 */ GIM_Try, /*On fail goto*//*Label 29774*/ GIMT_Encode4(2229953), // Rule ID 48073 //
     /* 2229910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2229916 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2229919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229923 */   // MIs[0] Operand 1
     /* 2229923 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2229928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229932 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229936 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2229939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229941 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229943 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229951 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229952 */   // GIR_Coverage, 48073,
     /* 2229952 */   GIR_EraseRootFromParent_Done,
     /* 2229953 */ // Label 29774: @2229953
     /* 2229953 */ GIM_Try, /*On fail goto*//*Label 29775*/ GIMT_Encode4(2230001), // Rule ID 48074 //
     /* 2229958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2229964 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2229967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229971 */   // MIs[0] Operand 1
     /* 2229971 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2229976 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229980 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229984 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2229987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229989 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229991 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230000 */   // GIR_Coverage, 48074,
     /* 2230000 */   GIR_EraseRootFromParent_Done,
     /* 2230001 */ // Label 29775: @2230001
     /* 2230001 */ GIM_Try, /*On fail goto*//*Label 29776*/ GIMT_Encode4(2230049), // Rule ID 48079 //
     /* 2230006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2230012 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2230015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230019 */   // MIs[0] Operand 1
     /* 2230019 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2230024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230028 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230032 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2230032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2230035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230037 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230039 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230047 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230048 */   // GIR_Coverage, 48079,
     /* 2230048 */   GIR_EraseRootFromParent_Done,
     /* 2230049 */ // Label 29776: @2230049
     /* 2230049 */ GIM_Try, /*On fail goto*//*Label 29777*/ GIMT_Encode4(2230097), // Rule ID 48080 //
     /* 2230054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2230060 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2230063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230067 */   // MIs[0] Operand 1
     /* 2230067 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2230072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230076 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230080 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2230080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2230083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230085 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230087 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230096 */   // GIR_Coverage, 48080,
     /* 2230096 */   GIR_EraseRootFromParent_Done,
     /* 2230097 */ // Label 29777: @2230097
     /* 2230097 */ GIM_Try, /*On fail goto*//*Label 29778*/ GIMT_Encode4(2230145), // Rule ID 48083 //
     /* 2230102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2230108 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2230111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230115 */   // MIs[0] Operand 1
     /* 2230115 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2230120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230124 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230128 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2230128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2230131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230133 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230135 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230144 */   // GIR_Coverage, 48083,
     /* 2230144 */   GIR_EraseRootFromParent_Done,
     /* 2230145 */ // Label 29778: @2230145
     /* 2230145 */ GIM_Try, /*On fail goto*//*Label 29779*/ GIMT_Encode4(2230193), // Rule ID 48084 //
     /* 2230150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2230156 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2230159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230163 */   // MIs[0] Operand 1
     /* 2230163 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2230168 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230172 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230176 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2230176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2230179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230181 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230183 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230191 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230192 */   // GIR_Coverage, 48084,
     /* 2230192 */   GIR_EraseRootFromParent_Done,
     /* 2230193 */ // Label 29779: @2230193
     /* 2230193 */ GIM_Try, /*On fail goto*//*Label 29780*/ GIMT_Encode4(2230241), // Rule ID 48091 //
     /* 2230198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2230201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2230204 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2230207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230211 */   // MIs[0] Operand 1
     /* 2230211 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2230216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230220 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230224 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2230224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2230227 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230229 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230231 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2230239 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230240 */   // GIR_Coverage, 48091,
     /* 2230240 */   GIR_EraseRootFromParent_Done,
     /* 2230241 */ // Label 29780: @2230241
     /* 2230241 */ GIM_Try, /*On fail goto*//*Label 29781*/ GIMT_Encode4(2230289), // Rule ID 48092 //
     /* 2230246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2230249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2230252 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2230255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230259 */   // MIs[0] Operand 1
     /* 2230259 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2230264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230268 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230272 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2230272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2230275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230277 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230279 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2230287 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230288 */   // GIR_Coverage, 48092,
     /* 2230288 */   GIR_EraseRootFromParent_Done,
     /* 2230289 */ // Label 29781: @2230289
     /* 2230289 */ GIM_Try, /*On fail goto*//*Label 29782*/ GIMT_Encode4(2230337), // Rule ID 48117 //
     /* 2230294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2230300 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2230303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230307 */   // MIs[0] Operand 1
     /* 2230307 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2230312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230316 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230320 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2230323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230325 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230327 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230335 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230336 */   // GIR_Coverage, 48117,
     /* 2230336 */   GIR_EraseRootFromParent_Done,
     /* 2230337 */ // Label 29782: @2230337
     /* 2230337 */ GIM_Try, /*On fail goto*//*Label 29783*/ GIMT_Encode4(2230385), // Rule ID 48118 //
     /* 2230342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2230348 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2230351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230355 */   // MIs[0] Operand 1
     /* 2230355 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2230360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230364 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230368 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2230371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230373 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230375 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230384 */   // GIR_Coverage, 48118,
     /* 2230384 */   GIR_EraseRootFromParent_Done,
     /* 2230385 */ // Label 29783: @2230385
     /* 2230385 */ GIM_Try, /*On fail goto*//*Label 29784*/ GIMT_Encode4(2230433), // Rule ID 48123 //
     /* 2230390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2230396 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2230399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230403 */   // MIs[0] Operand 1
     /* 2230403 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2230408 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230412 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230416 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2230416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2230419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230421 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230423 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230432 */   // GIR_Coverage, 48123,
     /* 2230432 */   GIR_EraseRootFromParent_Done,
     /* 2230433 */ // Label 29784: @2230433
     /* 2230433 */ GIM_Try, /*On fail goto*//*Label 29785*/ GIMT_Encode4(2230481), // Rule ID 48124 //
     /* 2230438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2230444 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2230447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230451 */   // MIs[0] Operand 1
     /* 2230451 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2230456 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230460 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230464 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2230464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2230467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230469 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230471 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230480 */   // GIR_Coverage, 48124,
     /* 2230480 */   GIR_EraseRootFromParent_Done,
     /* 2230481 */ // Label 29785: @2230481
     /* 2230481 */ GIM_Try, /*On fail goto*//*Label 29786*/ GIMT_Encode4(2230529), // Rule ID 48127 //
     /* 2230486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2230492 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2230495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230499 */   // MIs[0] Operand 1
     /* 2230499 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2230504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230508 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230512 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2230512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2230515 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230517 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230519 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230527 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230528 */   // GIR_Coverage, 48127,
     /* 2230528 */   GIR_EraseRootFromParent_Done,
     /* 2230529 */ // Label 29786: @2230529
     /* 2230529 */ GIM_Try, /*On fail goto*//*Label 29787*/ GIMT_Encode4(2230577), // Rule ID 48128 //
     /* 2230534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2230540 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2230543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230547 */   // MIs[0] Operand 1
     /* 2230547 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2230552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230556 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230560 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2230560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2230563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230565 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230567 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230575 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230576 */   // GIR_Coverage, 48128,
     /* 2230576 */   GIR_EraseRootFromParent_Done,
     /* 2230577 */ // Label 29787: @2230577
     /* 2230577 */ GIM_Try, /*On fail goto*//*Label 29788*/ GIMT_Encode4(2230625), // Rule ID 48135 //
     /* 2230582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2230585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2230588 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2230591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230595 */   // MIs[0] Operand 1
     /* 2230595 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2230600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230604 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230608 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2230608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2230611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230613 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230615 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2230623 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230624 */   // GIR_Coverage, 48135,
     /* 2230624 */   GIR_EraseRootFromParent_Done,
     /* 2230625 */ // Label 29788: @2230625
     /* 2230625 */ GIM_Try, /*On fail goto*//*Label 29789*/ GIMT_Encode4(2230673), // Rule ID 48136 //
     /* 2230630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2230633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2230636 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2230639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230643 */   // MIs[0] Operand 1
     /* 2230643 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2230648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230652 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230656 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2230656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2230659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230661 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230663 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2230671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230672 */   // GIR_Coverage, 48136,
     /* 2230672 */   GIR_EraseRootFromParent_Done,
     /* 2230673 */ // Label 29789: @2230673
     /* 2230673 */ GIM_Try, /*On fail goto*//*Label 29790*/ GIMT_Encode4(2230721), // Rule ID 48165 //
     /* 2230678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2230684 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2230687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230691 */   // MIs[0] Operand 1
     /* 2230691 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230700 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230704 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2230704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2230707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230709 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230711 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230719 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230720 */   // GIR_Coverage, 48165,
     /* 2230720 */   GIR_EraseRootFromParent_Done,
     /* 2230721 */ // Label 29790: @2230721
     /* 2230721 */ GIM_Try, /*On fail goto*//*Label 29791*/ GIMT_Encode4(2230769), // Rule ID 48166 //
     /* 2230726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230729 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2230732 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2230735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230739 */   // MIs[0] Operand 1
     /* 2230739 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230748 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230752 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2230752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2230755 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230757 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230759 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230768 */   // GIR_Coverage, 48166,
     /* 2230768 */   GIR_EraseRootFromParent_Done,
     /* 2230769 */ // Label 29791: @2230769
     /* 2230769 */ GIM_Try, /*On fail goto*//*Label 29792*/ GIMT_Encode4(2230817), // Rule ID 48169 //
     /* 2230774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2230780 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2230783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230787 */   // MIs[0] Operand 1
     /* 2230787 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230792 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230796 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230800 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2230800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2230803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230805 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230807 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230815 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230816 */   // GIR_Coverage, 48169,
     /* 2230816 */   GIR_EraseRootFromParent_Done,
     /* 2230817 */ // Label 29792: @2230817
     /* 2230817 */ GIM_Try, /*On fail goto*//*Label 29793*/ GIMT_Encode4(2230865), // Rule ID 48170 //
     /* 2230822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230825 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2230828 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2230831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230835 */   // MIs[0] Operand 1
     /* 2230835 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230840 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230844 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230848 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2230848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2230851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230853 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230855 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230863 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230864 */   // GIR_Coverage, 48170,
     /* 2230864 */   GIR_EraseRootFromParent_Done,
     /* 2230865 */ // Label 29793: @2230865
     /* 2230865 */ GIM_Try, /*On fail goto*//*Label 29794*/ GIMT_Encode4(2230913), // Rule ID 48177 //
     /* 2230870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2230873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2230876 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2230879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230883 */   // MIs[0] Operand 1
     /* 2230883 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230888 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230892 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230896 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2230896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2230899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230901 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230903 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2230911 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230912 */   // GIR_Coverage, 48177,
     /* 2230912 */   GIR_EraseRootFromParent_Done,
     /* 2230913 */ // Label 29794: @2230913
     /* 2230913 */ GIM_Try, /*On fail goto*//*Label 29795*/ GIMT_Encode4(2230961), // Rule ID 48178 //
     /* 2230918 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2230921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2230924 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2230927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230931 */   // MIs[0] Operand 1
     /* 2230931 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230936 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230940 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230944 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2230944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2230947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230949 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230951 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2230959 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230960 */   // GIR_Coverage, 48178,
     /* 2230960 */   GIR_EraseRootFromParent_Done,
     /* 2230961 */ // Label 29795: @2230961
     /* 2230961 */ GIM_Try, /*On fail goto*//*Label 29796*/ GIMT_Encode4(2231009), // Rule ID 48203 //
     /* 2230966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2230972 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2230975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230979 */   // MIs[0] Operand 1
     /* 2230979 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2230984 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230988 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230992 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230992 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2230995 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230997 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230999 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231007 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231008 */   // GIR_Coverage, 48203,
     /* 2231008 */   GIR_EraseRootFromParent_Done,
     /* 2231009 */ // Label 29796: @2231009
     /* 2231009 */ GIM_Try, /*On fail goto*//*Label 29797*/ GIMT_Encode4(2231057), // Rule ID 48204 //
     /* 2231014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231020 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231027 */   // MIs[0] Operand 1
     /* 2231027 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2231032 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231036 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231040 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2231043 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231045 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231047 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231056 */   // GIR_Coverage, 48204,
     /* 2231056 */   GIR_EraseRootFromParent_Done,
     /* 2231057 */ // Label 29797: @2231057
     /* 2231057 */ GIM_Try, /*On fail goto*//*Label 29798*/ GIMT_Encode4(2231105), // Rule ID 48209 //
     /* 2231062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231068 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231075 */   // MIs[0] Operand 1
     /* 2231075 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2231080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231084 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231088 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2231088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2231091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231093 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231095 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231104 */   // GIR_Coverage, 48209,
     /* 2231104 */   GIR_EraseRootFromParent_Done,
     /* 2231105 */ // Label 29798: @2231105
     /* 2231105 */ GIM_Try, /*On fail goto*//*Label 29799*/ GIMT_Encode4(2231153), // Rule ID 48210 //
     /* 2231110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231116 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231123 */   // MIs[0] Operand 1
     /* 2231123 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2231128 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231132 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231136 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2231136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2231139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231141 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231143 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231151 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231152 */   // GIR_Coverage, 48210,
     /* 2231152 */   GIR_EraseRootFromParent_Done,
     /* 2231153 */ // Label 29799: @2231153
     /* 2231153 */ GIM_Try, /*On fail goto*//*Label 29800*/ GIMT_Encode4(2231201), // Rule ID 48213 //
     /* 2231158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231164 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231171 */   // MIs[0] Operand 1
     /* 2231171 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2231176 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231180 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231184 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2231184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2231187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231189 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231191 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231200 */   // GIR_Coverage, 48213,
     /* 2231200 */   GIR_EraseRootFromParent_Done,
     /* 2231201 */ // Label 29800: @2231201
     /* 2231201 */ GIM_Try, /*On fail goto*//*Label 29801*/ GIMT_Encode4(2231249), // Rule ID 48214 //
     /* 2231206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231212 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231219 */   // MIs[0] Operand 1
     /* 2231219 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2231224 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231228 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231232 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2231232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2231235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231237 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231239 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231247 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231248 */   // GIR_Coverage, 48214,
     /* 2231248 */   GIR_EraseRootFromParent_Done,
     /* 2231249 */ // Label 29801: @2231249
     /* 2231249 */ GIM_Try, /*On fail goto*//*Label 29802*/ GIMT_Encode4(2231297), // Rule ID 48221 //
     /* 2231254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2231257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231260 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231267 */   // MIs[0] Operand 1
     /* 2231267 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2231272 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231276 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231280 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2231280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2231283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231285 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231287 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231295 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231296 */   // GIR_Coverage, 48221,
     /* 2231296 */   GIR_EraseRootFromParent_Done,
     /* 2231297 */ // Label 29802: @2231297
     /* 2231297 */ GIM_Try, /*On fail goto*//*Label 29803*/ GIMT_Encode4(2231345), // Rule ID 48222 //
     /* 2231302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2231305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231308 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231315 */   // MIs[0] Operand 1
     /* 2231315 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2231320 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231324 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231328 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2231328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2231331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231333 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231335 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231343 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231344 */   // GIR_Coverage, 48222,
     /* 2231344 */   GIR_EraseRootFromParent_Done,
     /* 2231345 */ // Label 29803: @2231345
     /* 2231345 */ GIM_Try, /*On fail goto*//*Label 29804*/ GIMT_Encode4(2231393), // Rule ID 48247 //
     /* 2231350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231356 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231363 */   // MIs[0] Operand 1
     /* 2231363 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2231368 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231372 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231376 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2231379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231381 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231383 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231392 */   // GIR_Coverage, 48247,
     /* 2231392 */   GIR_EraseRootFromParent_Done,
     /* 2231393 */ // Label 29804: @2231393
     /* 2231393 */ GIM_Try, /*On fail goto*//*Label 29805*/ GIMT_Encode4(2231441), // Rule ID 48248 //
     /* 2231398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231404 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231411 */   // MIs[0] Operand 1
     /* 2231411 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2231416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231420 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231424 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2231427 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231429 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231431 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231439 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231440 */   // GIR_Coverage, 48248,
     /* 2231440 */   GIR_EraseRootFromParent_Done,
     /* 2231441 */ // Label 29805: @2231441
     /* 2231441 */ GIM_Try, /*On fail goto*//*Label 29806*/ GIMT_Encode4(2231489), // Rule ID 48253 //
     /* 2231446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231452 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231459 */   // MIs[0] Operand 1
     /* 2231459 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2231464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231468 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231472 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2231472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2231475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231477 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231479 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231488 */   // GIR_Coverage, 48253,
     /* 2231488 */   GIR_EraseRootFromParent_Done,
     /* 2231489 */ // Label 29806: @2231489
     /* 2231489 */ GIM_Try, /*On fail goto*//*Label 29807*/ GIMT_Encode4(2231537), // Rule ID 48254 //
     /* 2231494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231500 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231507 */   // MIs[0] Operand 1
     /* 2231507 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2231512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231516 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231520 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2231520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2231523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231525 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231527 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231535 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231536 */   // GIR_Coverage, 48254,
     /* 2231536 */   GIR_EraseRootFromParent_Done,
     /* 2231537 */ // Label 29807: @2231537
     /* 2231537 */ GIM_Try, /*On fail goto*//*Label 29808*/ GIMT_Encode4(2231585), // Rule ID 48257 //
     /* 2231542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231545 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231548 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231555 */   // MIs[0] Operand 1
     /* 2231555 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2231560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231564 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231568 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2231568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2231571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231573 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231575 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231583 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231584 */   // GIR_Coverage, 48257,
     /* 2231584 */   GIR_EraseRootFromParent_Done,
     /* 2231585 */ // Label 29808: @2231585
     /* 2231585 */ GIM_Try, /*On fail goto*//*Label 29809*/ GIMT_Encode4(2231633), // Rule ID 48258 //
     /* 2231590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231596 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231603 */   // MIs[0] Operand 1
     /* 2231603 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2231608 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231612 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231616 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2231616 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2231619 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231621 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231623 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231631 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231632 */   // GIR_Coverage, 48258,
     /* 2231632 */   GIR_EraseRootFromParent_Done,
     /* 2231633 */ // Label 29809: @2231633
     /* 2231633 */ GIM_Try, /*On fail goto*//*Label 29810*/ GIMT_Encode4(2231681), // Rule ID 48265 //
     /* 2231638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2231641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231644 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231651 */   // MIs[0] Operand 1
     /* 2231651 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2231656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231660 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231664 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2231664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2231667 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231669 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231671 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231679 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231680 */   // GIR_Coverage, 48265,
     /* 2231680 */   GIR_EraseRootFromParent_Done,
     /* 2231681 */ // Label 29810: @2231681
     /* 2231681 */ GIM_Try, /*On fail goto*//*Label 29811*/ GIMT_Encode4(2231729), // Rule ID 48266 //
     /* 2231686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2231689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2231692 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2231695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231699 */   // MIs[0] Operand 1
     /* 2231699 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2231704 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231708 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231712 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2231712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2231715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231717 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231719 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231727 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231728 */   // GIR_Coverage, 48266,
     /* 2231728 */   GIR_EraseRootFromParent_Done,
     /* 2231729 */ // Label 29811: @2231729
     /* 2231729 */ GIM_Try, /*On fail goto*//*Label 29812*/ GIMT_Encode4(2231777), // Rule ID 48291 //
     /* 2231734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231740 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231747 */   // MIs[0] Operand 1
     /* 2231747 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2231752 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231756 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231760 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2231763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231765 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231767 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231775 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231776 */   // GIR_Coverage, 48291,
     /* 2231776 */   GIR_EraseRootFromParent_Done,
     /* 2231777 */ // Label 29812: @2231777
     /* 2231777 */ GIM_Try, /*On fail goto*//*Label 29813*/ GIMT_Encode4(2231825), // Rule ID 48292 //
     /* 2231782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2231788 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2231791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231795 */   // MIs[0] Operand 1
     /* 2231795 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2231800 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231804 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231808 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231808 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2231811 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231813 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231815 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231823 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231824 */   // GIR_Coverage, 48292,
     /* 2231824 */   GIR_EraseRootFromParent_Done,
     /* 2231825 */ // Label 29813: @2231825
     /* 2231825 */ GIM_Try, /*On fail goto*//*Label 29814*/ GIMT_Encode4(2231873), // Rule ID 48297 //
     /* 2231830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231836 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231843 */   // MIs[0] Operand 1
     /* 2231843 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2231848 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231852 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231856 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2231856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2231859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231861 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231863 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231871 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231872 */   // GIR_Coverage, 48297,
     /* 2231872 */   GIR_EraseRootFromParent_Done,
     /* 2231873 */ // Label 29814: @2231873
     /* 2231873 */ GIM_Try, /*On fail goto*//*Label 29815*/ GIMT_Encode4(2231921), // Rule ID 48298 //
     /* 2231878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231881 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2231884 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2231887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231891 */   // MIs[0] Operand 1
     /* 2231891 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2231896 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231900 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231904 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2231904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2231907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231909 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231911 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231919 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231920 */   // GIR_Coverage, 48298,
     /* 2231920 */   GIR_EraseRootFromParent_Done,
     /* 2231921 */ // Label 29815: @2231921
     /* 2231921 */ GIM_Try, /*On fail goto*//*Label 29816*/ GIMT_Encode4(2231969), // Rule ID 48301 //
     /* 2231926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231929 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231932 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231939 */   // MIs[0] Operand 1
     /* 2231939 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2231944 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231948 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231952 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2231952 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2231955 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231957 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231959 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231967 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231968 */   // GIR_Coverage, 48301,
     /* 2231968 */   GIR_EraseRootFromParent_Done,
     /* 2231969 */ // Label 29816: @2231969
     /* 2231969 */ GIM_Try, /*On fail goto*//*Label 29817*/ GIMT_Encode4(2232017), // Rule ID 48302 //
     /* 2231974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2231980 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2231983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231987 */   // MIs[0] Operand 1
     /* 2231987 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2231992 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231996 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232000 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2232000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2232003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232005 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232007 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232015 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232016 */   // GIR_Coverage, 48302,
     /* 2232016 */   GIR_EraseRootFromParent_Done,
     /* 2232017 */ // Label 29817: @2232017
     /* 2232017 */ GIM_Try, /*On fail goto*//*Label 29818*/ GIMT_Encode4(2232065), // Rule ID 48309 //
     /* 2232022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232025 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232028 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232035 */   // MIs[0] Operand 1
     /* 2232035 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2232040 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232044 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232048 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2232048 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2232051 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232053 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232055 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232064 */   // GIR_Coverage, 48309,
     /* 2232064 */   GIR_EraseRootFromParent_Done,
     /* 2232065 */ // Label 29818: @2232065
     /* 2232065 */ GIM_Try, /*On fail goto*//*Label 29819*/ GIMT_Encode4(2232113), // Rule ID 48310 //
     /* 2232070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232076 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232083 */   // MIs[0] Operand 1
     /* 2232083 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2232088 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232092 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232096 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2232096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2232099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232101 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232103 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232111 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232112 */   // GIR_Coverage, 48310,
     /* 2232112 */   GIR_EraseRootFromParent_Done,
     /* 2232113 */ // Label 29819: @2232113
     /* 2232113 */ GIM_Try, /*On fail goto*//*Label 29820*/ GIMT_Encode4(2232161), // Rule ID 48335 //
     /* 2232118 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232124 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232131 */   // MIs[0] Operand 1
     /* 2232131 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2232136 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232140 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232144 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2232147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232149 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232151 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232159 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232160 */   // GIR_Coverage, 48335,
     /* 2232160 */   GIR_EraseRootFromParent_Done,
     /* 2232161 */ // Label 29820: @2232161
     /* 2232161 */ GIM_Try, /*On fail goto*//*Label 29821*/ GIMT_Encode4(2232209), // Rule ID 48336 //
     /* 2232166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232172 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232179 */   // MIs[0] Operand 1
     /* 2232179 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2232184 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232188 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232192 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2232195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232197 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232199 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232208 */   // GIR_Coverage, 48336,
     /* 2232208 */   GIR_EraseRootFromParent_Done,
     /* 2232209 */ // Label 29821: @2232209
     /* 2232209 */ GIM_Try, /*On fail goto*//*Label 29822*/ GIMT_Encode4(2232257), // Rule ID 48341 //
     /* 2232214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232220 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232227 */   // MIs[0] Operand 1
     /* 2232227 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2232232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232236 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232240 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2232240 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2232243 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232245 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232247 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232255 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232256 */   // GIR_Coverage, 48341,
     /* 2232256 */   GIR_EraseRootFromParent_Done,
     /* 2232257 */ // Label 29822: @2232257
     /* 2232257 */ GIM_Try, /*On fail goto*//*Label 29823*/ GIMT_Encode4(2232305), // Rule ID 48342 //
     /* 2232262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232268 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232275 */   // MIs[0] Operand 1
     /* 2232275 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2232280 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232284 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232288 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2232288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2232291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232293 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232295 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232303 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232304 */   // GIR_Coverage, 48342,
     /* 2232304 */   GIR_EraseRootFromParent_Done,
     /* 2232305 */ // Label 29823: @2232305
     /* 2232305 */ GIM_Try, /*On fail goto*//*Label 29824*/ GIMT_Encode4(2232353), // Rule ID 48345 //
     /* 2232310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232316 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232323 */   // MIs[0] Operand 1
     /* 2232323 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2232328 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232332 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232336 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2232336 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2232339 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232341 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232343 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232351 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232352 */   // GIR_Coverage, 48345,
     /* 2232352 */   GIR_EraseRootFromParent_Done,
     /* 2232353 */ // Label 29824: @2232353
     /* 2232353 */ GIM_Try, /*On fail goto*//*Label 29825*/ GIMT_Encode4(2232401), // Rule ID 48346 //
     /* 2232358 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232364 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232371 */   // MIs[0] Operand 1
     /* 2232371 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2232376 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232380 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232384 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2232384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2232387 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232389 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232391 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232400 */   // GIR_Coverage, 48346,
     /* 2232400 */   GIR_EraseRootFromParent_Done,
     /* 2232401 */ // Label 29825: @2232401
     /* 2232401 */ GIM_Try, /*On fail goto*//*Label 29826*/ GIMT_Encode4(2232449), // Rule ID 48353 //
     /* 2232406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232412 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232419 */   // MIs[0] Operand 1
     /* 2232419 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2232424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232428 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232432 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2232432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2232435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232437 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232439 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232447 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232448 */   // GIR_Coverage, 48353,
     /* 2232448 */   GIR_EraseRootFromParent_Done,
     /* 2232449 */ // Label 29826: @2232449
     /* 2232449 */ GIM_Try, /*On fail goto*//*Label 29827*/ GIMT_Encode4(2232497), // Rule ID 48354 //
     /* 2232454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232460 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232467 */   // MIs[0] Operand 1
     /* 2232467 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2232472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232476 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232480 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2232480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2232483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232485 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232487 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232496 */   // GIR_Coverage, 48354,
     /* 2232496 */   GIR_EraseRootFromParent_Done,
     /* 2232497 */ // Label 29827: @2232497
     /* 2232497 */ GIM_Try, /*On fail goto*//*Label 29828*/ GIMT_Encode4(2232545), // Rule ID 48379 //
     /* 2232502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232508 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232515 */   // MIs[0] Operand 1
     /* 2232515 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2232520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232524 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232528 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2232531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232533 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232535 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232543 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232544 */   // GIR_Coverage, 48379,
     /* 2232544 */   GIR_EraseRootFromParent_Done,
     /* 2232545 */ // Label 29828: @2232545
     /* 2232545 */ GIM_Try, /*On fail goto*//*Label 29829*/ GIMT_Encode4(2232593), // Rule ID 48380 //
     /* 2232550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232556 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232563 */   // MIs[0] Operand 1
     /* 2232563 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2232568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232572 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232576 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2232579 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232581 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232583 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232591 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232592 */   // GIR_Coverage, 48380,
     /* 2232592 */   GIR_EraseRootFromParent_Done,
     /* 2232593 */ // Label 29829: @2232593
     /* 2232593 */ GIM_Try, /*On fail goto*//*Label 29830*/ GIMT_Encode4(2232641), // Rule ID 48385 //
     /* 2232598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232604 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232611 */   // MIs[0] Operand 1
     /* 2232611 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2232616 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232620 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232624 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2232624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2232627 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232629 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232631 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232639 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232640 */   // GIR_Coverage, 48385,
     /* 2232640 */   GIR_EraseRootFromParent_Done,
     /* 2232641 */ // Label 29830: @2232641
     /* 2232641 */ GIM_Try, /*On fail goto*//*Label 29831*/ GIMT_Encode4(2232689), // Rule ID 48386 //
     /* 2232646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232649 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232652 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232659 */   // MIs[0] Operand 1
     /* 2232659 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2232664 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232668 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232672 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2232672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2232675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232677 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232679 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232687 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232688 */   // GIR_Coverage, 48386,
     /* 2232688 */   GIR_EraseRootFromParent_Done,
     /* 2232689 */ // Label 29831: @2232689
     /* 2232689 */ GIM_Try, /*On fail goto*//*Label 29832*/ GIMT_Encode4(2232737), // Rule ID 48389 //
     /* 2232694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232697 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232700 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232707 */   // MIs[0] Operand 1
     /* 2232707 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2232712 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232716 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232720 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2232720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2232723 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232725 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232727 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232735 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232736 */   // GIR_Coverage, 48389,
     /* 2232736 */   GIR_EraseRootFromParent_Done,
     /* 2232737 */ // Label 29832: @2232737
     /* 2232737 */ GIM_Try, /*On fail goto*//*Label 29833*/ GIMT_Encode4(2232785), // Rule ID 48390 //
     /* 2232742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232748 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2232751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232755 */   // MIs[0] Operand 1
     /* 2232755 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2232760 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232764 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232768 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2232768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2232771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232773 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232775 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232783 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232784 */   // GIR_Coverage, 48390,
     /* 2232784 */   GIR_EraseRootFromParent_Done,
     /* 2232785 */ // Label 29833: @2232785
     /* 2232785 */ GIM_Try, /*On fail goto*//*Label 29834*/ GIMT_Encode4(2232833), // Rule ID 48397 //
     /* 2232790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232796 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232803 */   // MIs[0] Operand 1
     /* 2232803 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2232808 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232812 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232816 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2232816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2232819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232821 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232823 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232832 */   // GIR_Coverage, 48397,
     /* 2232832 */   GIR_EraseRootFromParent_Done,
     /* 2232833 */ // Label 29834: @2232833
     /* 2232833 */ GIM_Try, /*On fail goto*//*Label 29835*/ GIMT_Encode4(2232881), // Rule ID 48398 //
     /* 2232838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232844 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2232847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232851 */   // MIs[0] Operand 1
     /* 2232851 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2232856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232860 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232864 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2232864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2232867 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232869 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232871 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232879 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232880 */   // GIR_Coverage, 48398,
     /* 2232880 */   GIR_EraseRootFromParent_Done,
     /* 2232881 */ // Label 29835: @2232881
     /* 2232881 */ GIM_Try, /*On fail goto*//*Label 29836*/ GIMT_Encode4(2232929), // Rule ID 48423 //
     /* 2232886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232892 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232899 */   // MIs[0] Operand 1
     /* 2232899 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2232904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232908 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232912 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2232915 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232917 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232919 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232927 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232928 */   // GIR_Coverage, 48423,
     /* 2232928 */   GIR_EraseRootFromParent_Done,
     /* 2232929 */ // Label 29836: @2232929
     /* 2232929 */ GIM_Try, /*On fail goto*//*Label 29837*/ GIMT_Encode4(2232977), // Rule ID 48424 //
     /* 2232934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232940 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2232943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232947 */   // MIs[0] Operand 1
     /* 2232947 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2232952 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232956 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232960 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2232963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232965 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232967 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232975 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232976 */   // GIR_Coverage, 48424,
     /* 2232976 */   GIR_EraseRootFromParent_Done,
     /* 2232977 */ // Label 29837: @2232977
     /* 2232977 */ GIM_Try, /*On fail goto*//*Label 29838*/ GIMT_Encode4(2233025), // Rule ID 48429 //
     /* 2232982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232988 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232995 */   // MIs[0] Operand 1
     /* 2232995 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2233000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233004 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233008 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2233008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2233011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233013 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233015 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233023 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233024 */   // GIR_Coverage, 48429,
     /* 2233024 */   GIR_EraseRootFromParent_Done,
     /* 2233025 */ // Label 29838: @2233025
     /* 2233025 */ GIM_Try, /*On fail goto*//*Label 29839*/ GIMT_Encode4(2233073), // Rule ID 48430 //
     /* 2233030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2233036 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233043 */   // MIs[0] Operand 1
     /* 2233043 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2233048 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233052 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233056 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2233056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2233059 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233061 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233063 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233071 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233072 */   // GIR_Coverage, 48430,
     /* 2233072 */   GIR_EraseRootFromParent_Done,
     /* 2233073 */ // Label 29839: @2233073
     /* 2233073 */ GIM_Try, /*On fail goto*//*Label 29840*/ GIMT_Encode4(2233121), // Rule ID 48433 //
     /* 2233078 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233084 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233091 */   // MIs[0] Operand 1
     /* 2233091 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2233096 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233100 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233104 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2233104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2233107 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233109 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233111 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233119 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233120 */   // GIR_Coverage, 48433,
     /* 2233120 */   GIR_EraseRootFromParent_Done,
     /* 2233121 */ // Label 29840: @2233121
     /* 2233121 */ GIM_Try, /*On fail goto*//*Label 29841*/ GIMT_Encode4(2233169), // Rule ID 48434 //
     /* 2233126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233132 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2233135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233139 */   // MIs[0] Operand 1
     /* 2233139 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2233144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233148 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233152 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2233152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2233155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233157 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233159 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233167 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233168 */   // GIR_Coverage, 48434,
     /* 2233168 */   GIR_EraseRootFromParent_Done,
     /* 2233169 */ // Label 29841: @2233169
     /* 2233169 */ GIM_Try, /*On fail goto*//*Label 29842*/ GIMT_Encode4(2233217), // Rule ID 48441 //
     /* 2233174 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2233177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2233180 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2233183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233187 */   // MIs[0] Operand 1
     /* 2233187 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2233192 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233196 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233200 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2233200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2233203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233205 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233207 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233216 */   // GIR_Coverage, 48441,
     /* 2233216 */   GIR_EraseRootFromParent_Done,
     /* 2233217 */ // Label 29842: @2233217
     /* 2233217 */ GIM_Try, /*On fail goto*//*Label 29843*/ GIMT_Encode4(2233265), // Rule ID 48442 //
     /* 2233222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2233225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2233228 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2233231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233235 */   // MIs[0] Operand 1
     /* 2233235 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2233240 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233244 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233248 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2233248 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2233251 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233253 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233255 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233264 */   // GIR_Coverage, 48442,
     /* 2233264 */   GIR_EraseRootFromParent_Done,
     /* 2233265 */ // Label 29843: @2233265
     /* 2233265 */ GIM_Reject,
     /* 2233266 */ // Label 29663: @2233266
     /* 2233266 */ GIM_Try, /*On fail goto*//*Label 29844*/ GIMT_Encode4(2233314), // Rule ID 48031 //
     /* 2233271 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2233277 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2233280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233284 */   // MIs[0] Operand 1
     /* 2233284 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2233289 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233293 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233297 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233297 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2233300 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233302 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233304 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233313 */   // GIR_Coverage, 48031,
     /* 2233313 */   GIR_EraseRootFromParent_Done,
     /* 2233314 */ // Label 29844: @2233314
     /* 2233314 */ GIM_Try, /*On fail goto*//*Label 29845*/ GIMT_Encode4(2233362), // Rule ID 48032 //
     /* 2233319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2233325 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2233328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233332 */   // MIs[0] Operand 1
     /* 2233332 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2233337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233341 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233345 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2233348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233350 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233352 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233360 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233361 */   // GIR_Coverage, 48032,
     /* 2233361 */   GIR_EraseRootFromParent_Done,
     /* 2233362 */ // Label 29845: @2233362
     /* 2233362 */ GIM_Try, /*On fail goto*//*Label 29846*/ GIMT_Encode4(2233410), // Rule ID 48037 //
     /* 2233367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2233373 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2233376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233380 */   // MIs[0] Operand 1
     /* 2233380 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2233385 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233389 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233393 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2233393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2233396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233398 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233400 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233408 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233409 */   // GIR_Coverage, 48037,
     /* 2233409 */   GIR_EraseRootFromParent_Done,
     /* 2233410 */ // Label 29846: @2233410
     /* 2233410 */ GIM_Try, /*On fail goto*//*Label 29847*/ GIMT_Encode4(2233458), // Rule ID 48038 //
     /* 2233415 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2233421 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2233424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233428 */   // MIs[0] Operand 1
     /* 2233428 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2233433 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233437 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233441 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2233441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2233444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233446 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233448 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233457 */   // GIR_Coverage, 48038,
     /* 2233457 */   GIR_EraseRootFromParent_Done,
     /* 2233458 */ // Label 29847: @2233458
     /* 2233458 */ GIM_Try, /*On fail goto*//*Label 29848*/ GIMT_Encode4(2233506), // Rule ID 48045 //
     /* 2233463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2233469 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2233472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233476 */   // MIs[0] Operand 1
     /* 2233476 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2233481 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233485 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233489 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2233489 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2233492 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233494 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233496 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233504 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233505 */   // GIR_Coverage, 48045,
     /* 2233505 */   GIR_EraseRootFromParent_Done,
     /* 2233506 */ // Label 29848: @2233506
     /* 2233506 */ GIM_Try, /*On fail goto*//*Label 29849*/ GIMT_Encode4(2233554), // Rule ID 48046 //
     /* 2233511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2233517 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2233520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233524 */   // MIs[0] Operand 1
     /* 2233524 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2233529 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233533 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233537 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2233537 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2233540 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233542 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233544 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233552 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233553 */   // GIR_Coverage, 48046,
     /* 2233553 */   GIR_EraseRootFromParent_Done,
     /* 2233554 */ // Label 29849: @2233554
     /* 2233554 */ GIM_Try, /*On fail goto*//*Label 29850*/ GIMT_Encode4(2233602), // Rule ID 48067 //
     /* 2233559 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2233562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2233565 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2233568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233572 */   // MIs[0] Operand 1
     /* 2233572 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2233577 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233581 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233585 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2233585 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2233588 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233590 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233592 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233600 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233601 */   // GIR_Coverage, 48067,
     /* 2233601 */   GIR_EraseRootFromParent_Done,
     /* 2233602 */ // Label 29850: @2233602
     /* 2233602 */ GIM_Try, /*On fail goto*//*Label 29851*/ GIMT_Encode4(2233650), // Rule ID 48068 //
     /* 2233607 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2233610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2233613 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2233616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233620 */   // MIs[0] Operand 1
     /* 2233620 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2233625 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233629 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233633 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2233633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2233636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233638 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233640 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233648 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233649 */   // GIR_Coverage, 48068,
     /* 2233649 */   GIR_EraseRootFromParent_Done,
     /* 2233650 */ // Label 29851: @2233650
     /* 2233650 */ GIM_Try, /*On fail goto*//*Label 29852*/ GIMT_Encode4(2233698), // Rule ID 48075 //
     /* 2233655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2233661 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2233664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233668 */   // MIs[0] Operand 1
     /* 2233668 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2233673 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233677 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233681 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2233684 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233686 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233688 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233696 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233697 */   // GIR_Coverage, 48075,
     /* 2233697 */   GIR_EraseRootFromParent_Done,
     /* 2233698 */ // Label 29852: @2233698
     /* 2233698 */ GIM_Try, /*On fail goto*//*Label 29853*/ GIMT_Encode4(2233746), // Rule ID 48076 //
     /* 2233703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2233709 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2233712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233716 */   // MIs[0] Operand 1
     /* 2233716 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2233721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233725 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233729 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2233732 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233734 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233736 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233744 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233745 */   // GIR_Coverage, 48076,
     /* 2233745 */   GIR_EraseRootFromParent_Done,
     /* 2233746 */ // Label 29853: @2233746
     /* 2233746 */ GIM_Try, /*On fail goto*//*Label 29854*/ GIMT_Encode4(2233794), // Rule ID 48081 //
     /* 2233751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2233757 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2233760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233764 */   // MIs[0] Operand 1
     /* 2233764 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2233769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233773 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233777 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2233777 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2233780 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233782 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233784 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233792 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233793 */   // GIR_Coverage, 48081,
     /* 2233793 */   GIR_EraseRootFromParent_Done,
     /* 2233794 */ // Label 29854: @2233794
     /* 2233794 */ GIM_Try, /*On fail goto*//*Label 29855*/ GIMT_Encode4(2233842), // Rule ID 48082 //
     /* 2233799 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233802 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2233805 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2233808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233812 */   // MIs[0] Operand 1
     /* 2233812 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2233817 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233821 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233825 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2233825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2233828 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233830 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233832 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233840 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233841 */   // GIR_Coverage, 48082,
     /* 2233841 */   GIR_EraseRootFromParent_Done,
     /* 2233842 */ // Label 29855: @2233842
     /* 2233842 */ GIM_Try, /*On fail goto*//*Label 29856*/ GIMT_Encode4(2233890), // Rule ID 48089 //
     /* 2233847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233850 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2233853 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2233856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233860 */   // MIs[0] Operand 1
     /* 2233860 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2233865 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233869 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233873 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2233873 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2233876 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233878 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233880 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233888 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233889 */   // GIR_Coverage, 48089,
     /* 2233889 */   GIR_EraseRootFromParent_Done,
     /* 2233890 */ // Label 29856: @2233890
     /* 2233890 */ GIM_Try, /*On fail goto*//*Label 29857*/ GIMT_Encode4(2233938), // Rule ID 48090 //
     /* 2233895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233898 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2233901 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2233904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233908 */   // MIs[0] Operand 1
     /* 2233908 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2233913 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233917 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233921 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2233921 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2233924 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233926 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233928 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233936 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233937 */   // GIR_Coverage, 48090,
     /* 2233937 */   GIR_EraseRootFromParent_Done,
     /* 2233938 */ // Label 29857: @2233938
     /* 2233938 */ GIM_Try, /*On fail goto*//*Label 29858*/ GIMT_Encode4(2233986), // Rule ID 48111 //
     /* 2233943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2233946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2233949 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2233952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233956 */   // MIs[0] Operand 1
     /* 2233956 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2233961 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233965 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233969 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2233969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2233972 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233974 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233976 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233984 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233985 */   // GIR_Coverage, 48111,
     /* 2233985 */   GIR_EraseRootFromParent_Done,
     /* 2233986 */ // Label 29858: @2233986
     /* 2233986 */ GIM_Try, /*On fail goto*//*Label 29859*/ GIMT_Encode4(2234034), // Rule ID 48112 //
     /* 2233991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2233994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2233997 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2234000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234004 */   // MIs[0] Operand 1
     /* 2234004 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2234009 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234013 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234017 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2234017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2234020 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234022 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234024 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234033 */   // GIR_Coverage, 48112,
     /* 2234033 */   GIR_EraseRootFromParent_Done,
     /* 2234034 */ // Label 29859: @2234034
     /* 2234034 */ GIM_Try, /*On fail goto*//*Label 29860*/ GIMT_Encode4(2234082), // Rule ID 48119 //
     /* 2234039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2234045 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2234048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234052 */   // MIs[0] Operand 1
     /* 2234052 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2234057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234061 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234065 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2234068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234070 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234072 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234080 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234081 */   // GIR_Coverage, 48119,
     /* 2234081 */   GIR_EraseRootFromParent_Done,
     /* 2234082 */ // Label 29860: @2234082
     /* 2234082 */ GIM_Try, /*On fail goto*//*Label 29861*/ GIMT_Encode4(2234130), // Rule ID 48120 //
     /* 2234087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2234093 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2234096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234100 */   // MIs[0] Operand 1
     /* 2234100 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2234105 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234109 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234113 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2234116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234118 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234120 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234128 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234129 */   // GIR_Coverage, 48120,
     /* 2234129 */   GIR_EraseRootFromParent_Done,
     /* 2234130 */ // Label 29861: @2234130
     /* 2234130 */ GIM_Try, /*On fail goto*//*Label 29862*/ GIMT_Encode4(2234178), // Rule ID 48125 //
     /* 2234135 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2234141 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2234144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234148 */   // MIs[0] Operand 1
     /* 2234148 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2234153 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234157 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234161 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2234161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2234164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234166 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234168 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234176 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234177 */   // GIR_Coverage, 48125,
     /* 2234177 */   GIR_EraseRootFromParent_Done,
     /* 2234178 */ // Label 29862: @2234178
     /* 2234178 */ GIM_Try, /*On fail goto*//*Label 29863*/ GIMT_Encode4(2234226), // Rule ID 48126 //
     /* 2234183 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2234189 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2234192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234196 */   // MIs[0] Operand 1
     /* 2234196 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2234201 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234205 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234209 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2234209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2234212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234214 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234216 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234224 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234225 */   // GIR_Coverage, 48126,
     /* 2234225 */   GIR_EraseRootFromParent_Done,
     /* 2234226 */ // Label 29863: @2234226
     /* 2234226 */ GIM_Try, /*On fail goto*//*Label 29864*/ GIMT_Encode4(2234274), // Rule ID 48133 //
     /* 2234231 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2234237 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2234240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234244 */   // MIs[0] Operand 1
     /* 2234244 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2234249 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234253 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234257 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2234257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2234260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234262 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234264 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234272 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234273 */   // GIR_Coverage, 48133,
     /* 2234273 */   GIR_EraseRootFromParent_Done,
     /* 2234274 */ // Label 29864: @2234274
     /* 2234274 */ GIM_Try, /*On fail goto*//*Label 29865*/ GIMT_Encode4(2234322), // Rule ID 48134 //
     /* 2234279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2234285 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2234288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234292 */   // MIs[0] Operand 1
     /* 2234292 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2234297 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234301 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234305 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2234305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2234308 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234310 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234312 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234321 */   // GIR_Coverage, 48134,
     /* 2234321 */   GIR_EraseRootFromParent_Done,
     /* 2234322 */ // Label 29865: @2234322
     /* 2234322 */ GIM_Try, /*On fail goto*//*Label 29866*/ GIMT_Encode4(2234370), // Rule ID 48155 //
     /* 2234327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2234330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2234333 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2234336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234340 */   // MIs[0] Operand 1
     /* 2234340 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2234345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234349 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234353 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2234353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2234356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234358 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234360 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234368 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234369 */   // GIR_Coverage, 48155,
     /* 2234369 */   GIR_EraseRootFromParent_Done,
     /* 2234370 */ // Label 29866: @2234370
     /* 2234370 */ GIM_Try, /*On fail goto*//*Label 29867*/ GIMT_Encode4(2234418), // Rule ID 48156 //
     /* 2234375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2234378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2234381 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2234384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234388 */   // MIs[0] Operand 1
     /* 2234388 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2234393 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234397 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234401 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2234401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2234404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234406 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234408 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234416 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234417 */   // GIR_Coverage, 48156,
     /* 2234417 */   GIR_EraseRootFromParent_Done,
     /* 2234418 */ // Label 29867: @2234418
     /* 2234418 */ GIM_Try, /*On fail goto*//*Label 29868*/ GIMT_Encode4(2234466), // Rule ID 48161 //
     /* 2234423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2234429 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2234432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234436 */   // MIs[0] Operand 1
     /* 2234436 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2234441 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234445 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234449 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234449 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2234452 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234454 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234456 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234464 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234465 */   // GIR_Coverage, 48161,
     /* 2234465 */   GIR_EraseRootFromParent_Done,
     /* 2234466 */ // Label 29868: @2234466
     /* 2234466 */ GIM_Try, /*On fail goto*//*Label 29869*/ GIMT_Encode4(2234514), // Rule ID 48162 //
     /* 2234471 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2234477 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2234480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234484 */   // MIs[0] Operand 1
     /* 2234484 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2234489 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234493 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234497 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234497 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2234500 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234502 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234504 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234512 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234513 */   // GIR_Coverage, 48162,
     /* 2234513 */   GIR_EraseRootFromParent_Done,
     /* 2234514 */ // Label 29869: @2234514
     /* 2234514 */ GIM_Try, /*On fail goto*//*Label 29870*/ GIMT_Encode4(2234562), // Rule ID 48167 //
     /* 2234519 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2234525 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2234528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234532 */   // MIs[0] Operand 1
     /* 2234532 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2234537 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234541 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234545 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2234545 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2234548 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234550 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234552 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234560 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234561 */   // GIR_Coverage, 48167,
     /* 2234561 */   GIR_EraseRootFromParent_Done,
     /* 2234562 */ // Label 29870: @2234562
     /* 2234562 */ GIM_Try, /*On fail goto*//*Label 29871*/ GIMT_Encode4(2234610), // Rule ID 48168 //
     /* 2234567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234570 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2234573 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2234576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234580 */   // MIs[0] Operand 1
     /* 2234580 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2234585 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234589 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234593 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2234593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2234596 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234598 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234600 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234608 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234609 */   // GIR_Coverage, 48168,
     /* 2234609 */   GIR_EraseRootFromParent_Done,
     /* 2234610 */ // Label 29871: @2234610
     /* 2234610 */ GIM_Try, /*On fail goto*//*Label 29872*/ GIMT_Encode4(2234658), // Rule ID 48175 //
     /* 2234615 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2234621 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2234624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234628 */   // MIs[0] Operand 1
     /* 2234628 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2234633 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234637 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234641 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2234641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2234644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234646 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234648 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234656 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234657 */   // GIR_Coverage, 48175,
     /* 2234657 */   GIR_EraseRootFromParent_Done,
     /* 2234658 */ // Label 29872: @2234658
     /* 2234658 */ GIM_Try, /*On fail goto*//*Label 29873*/ GIMT_Encode4(2234706), // Rule ID 48176 //
     /* 2234663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2234669 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2234672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234676 */   // MIs[0] Operand 1
     /* 2234676 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2234681 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234685 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234689 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2234689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2234692 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234694 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234696 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234704 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234705 */   // GIR_Coverage, 48176,
     /* 2234705 */   GIR_EraseRootFromParent_Done,
     /* 2234706 */ // Label 29873: @2234706
     /* 2234706 */ GIM_Try, /*On fail goto*//*Label 29874*/ GIMT_Encode4(2234754), // Rule ID 48197 //
     /* 2234711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2234714 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2234717 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2234720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234724 */   // MIs[0] Operand 1
     /* 2234724 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2234729 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234733 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234737 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2234737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2234740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234742 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234744 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234752 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234753 */   // GIR_Coverage, 48197,
     /* 2234753 */   GIR_EraseRootFromParent_Done,
     /* 2234754 */ // Label 29874: @2234754
     /* 2234754 */ GIM_Try, /*On fail goto*//*Label 29875*/ GIMT_Encode4(2234802), // Rule ID 48198 //
     /* 2234759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2234762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2234765 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2234768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234772 */   // MIs[0] Operand 1
     /* 2234772 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2234777 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234781 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234785 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2234785 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2234788 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234790 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234792 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234800 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234801 */   // GIR_Coverage, 48198,
     /* 2234801 */   GIR_EraseRootFromParent_Done,
     /* 2234802 */ // Label 29875: @2234802
     /* 2234802 */ GIM_Try, /*On fail goto*//*Label 29876*/ GIMT_Encode4(2234850), // Rule ID 48205 //
     /* 2234807 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2234813 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2234816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234820 */   // MIs[0] Operand 1
     /* 2234820 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2234825 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234829 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234833 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2234836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234838 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234840 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234848 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234849 */   // GIR_Coverage, 48205,
     /* 2234849 */   GIR_EraseRootFromParent_Done,
     /* 2234850 */ // Label 29876: @2234850
     /* 2234850 */ GIM_Try, /*On fail goto*//*Label 29877*/ GIMT_Encode4(2234898), // Rule ID 48206 //
     /* 2234855 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2234861 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2234864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234868 */   // MIs[0] Operand 1
     /* 2234868 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2234873 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234877 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234881 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2234884 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234886 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234888 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234896 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234897 */   // GIR_Coverage, 48206,
     /* 2234897 */   GIR_EraseRootFromParent_Done,
     /* 2234898 */ // Label 29877: @2234898
     /* 2234898 */ GIM_Try, /*On fail goto*//*Label 29878*/ GIMT_Encode4(2234946), // Rule ID 48211 //
     /* 2234903 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234906 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2234909 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2234912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234916 */   // MIs[0] Operand 1
     /* 2234916 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2234921 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234925 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234929 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2234929 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2234932 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234934 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234936 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234944 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234945 */   // GIR_Coverage, 48211,
     /* 2234945 */   GIR_EraseRootFromParent_Done,
     /* 2234946 */ // Label 29878: @2234946
     /* 2234946 */ GIM_Try, /*On fail goto*//*Label 29879*/ GIMT_Encode4(2234994), // Rule ID 48212 //
     /* 2234951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234954 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2234957 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2234960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234964 */   // MIs[0] Operand 1
     /* 2234964 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2234969 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234973 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234977 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2234977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2234980 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234982 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234984 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234992 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234993 */   // GIR_Coverage, 48212,
     /* 2234993 */   GIR_EraseRootFromParent_Done,
     /* 2234994 */ // Label 29879: @2234994
     /* 2234994 */ GIM_Try, /*On fail goto*//*Label 29880*/ GIMT_Encode4(2235042), // Rule ID 48219 //
     /* 2234999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235002 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235005 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235012 */   // MIs[0] Operand 1
     /* 2235012 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2235017 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235021 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235025 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2235025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2235028 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235030 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235032 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235040 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235041 */   // GIR_Coverage, 48219,
     /* 2235041 */   GIR_EraseRootFromParent_Done,
     /* 2235042 */ // Label 29880: @2235042
     /* 2235042 */ GIM_Try, /*On fail goto*//*Label 29881*/ GIMT_Encode4(2235090), // Rule ID 48220 //
     /* 2235047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235050 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235053 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235060 */   // MIs[0] Operand 1
     /* 2235060 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2235065 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235069 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235073 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2235073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2235076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235078 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235080 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235088 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235089 */   // GIR_Coverage, 48220,
     /* 2235089 */   GIR_EraseRootFromParent_Done,
     /* 2235090 */ // Label 29881: @2235090
     /* 2235090 */ GIM_Try, /*On fail goto*//*Label 29882*/ GIMT_Encode4(2235138), // Rule ID 48241 //
     /* 2235095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235098 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235101 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235108 */   // MIs[0] Operand 1
     /* 2235108 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2235113 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235117 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235121 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235121 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2235124 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235126 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235128 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235136 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235137 */   // GIR_Coverage, 48241,
     /* 2235137 */   GIR_EraseRootFromParent_Done,
     /* 2235138 */ // Label 29882: @2235138
     /* 2235138 */ GIM_Try, /*On fail goto*//*Label 29883*/ GIMT_Encode4(2235186), // Rule ID 48242 //
     /* 2235143 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235149 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235156 */   // MIs[0] Operand 1
     /* 2235156 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2235161 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235165 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235169 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2235169 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2235172 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235174 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235176 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235184 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235185 */   // GIR_Coverage, 48242,
     /* 2235185 */   GIR_EraseRootFromParent_Done,
     /* 2235186 */ // Label 29883: @2235186
     /* 2235186 */ GIM_Try, /*On fail goto*//*Label 29884*/ GIMT_Encode4(2235234), // Rule ID 48249 //
     /* 2235191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235197 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235204 */   // MIs[0] Operand 1
     /* 2235204 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2235209 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235213 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235217 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235217 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2235220 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235222 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235224 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235232 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235233 */   // GIR_Coverage, 48249,
     /* 2235233 */   GIR_EraseRootFromParent_Done,
     /* 2235234 */ // Label 29884: @2235234
     /* 2235234 */ GIM_Try, /*On fail goto*//*Label 29885*/ GIMT_Encode4(2235282), // Rule ID 48250 //
     /* 2235239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235245 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235252 */   // MIs[0] Operand 1
     /* 2235252 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2235257 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235261 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235265 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2235268 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235270 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235272 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235280 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235281 */   // GIR_Coverage, 48250,
     /* 2235281 */   GIR_EraseRootFromParent_Done,
     /* 2235282 */ // Label 29885: @2235282
     /* 2235282 */ GIM_Try, /*On fail goto*//*Label 29886*/ GIMT_Encode4(2235330), // Rule ID 48255 //
     /* 2235287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235293 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235300 */   // MIs[0] Operand 1
     /* 2235300 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2235305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235309 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235313 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2235313 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2235316 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235318 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235320 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235328 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235329 */   // GIR_Coverage, 48255,
     /* 2235329 */   GIR_EraseRootFromParent_Done,
     /* 2235330 */ // Label 29886: @2235330
     /* 2235330 */ GIM_Try, /*On fail goto*//*Label 29887*/ GIMT_Encode4(2235378), // Rule ID 48256 //
     /* 2235335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235341 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235348 */   // MIs[0] Operand 1
     /* 2235348 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2235353 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235357 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235361 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2235361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2235364 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235366 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235368 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235376 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235377 */   // GIR_Coverage, 48256,
     /* 2235377 */   GIR_EraseRootFromParent_Done,
     /* 2235378 */ // Label 29887: @2235378
     /* 2235378 */ GIM_Try, /*On fail goto*//*Label 29888*/ GIMT_Encode4(2235426), // Rule ID 48263 //
     /* 2235383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235389 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235396 */   // MIs[0] Operand 1
     /* 2235396 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2235401 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235405 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235409 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2235409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2235412 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235414 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235416 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235424 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235425 */   // GIR_Coverage, 48263,
     /* 2235425 */   GIR_EraseRootFromParent_Done,
     /* 2235426 */ // Label 29888: @2235426
     /* 2235426 */ GIM_Try, /*On fail goto*//*Label 29889*/ GIMT_Encode4(2235474), // Rule ID 48264 //
     /* 2235431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235437 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235444 */   // MIs[0] Operand 1
     /* 2235444 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2235449 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235453 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235457 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2235457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2235460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235462 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235464 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235472 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235473 */   // GIR_Coverage, 48264,
     /* 2235473 */   GIR_EraseRootFromParent_Done,
     /* 2235474 */ // Label 29889: @2235474
     /* 2235474 */ GIM_Try, /*On fail goto*//*Label 29890*/ GIMT_Encode4(2235522), // Rule ID 48285 //
     /* 2235479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235482 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235485 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235492 */   // MIs[0] Operand 1
     /* 2235492 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2235497 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235501 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235505 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235505 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2235508 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235510 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235512 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235520 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235521 */   // GIR_Coverage, 48285,
     /* 2235521 */   GIR_EraseRootFromParent_Done,
     /* 2235522 */ // Label 29890: @2235522
     /* 2235522 */ GIM_Try, /*On fail goto*//*Label 29891*/ GIMT_Encode4(2235570), // Rule ID 48286 //
     /* 2235527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235533 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235540 */   // MIs[0] Operand 1
     /* 2235540 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2235545 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235549 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235553 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2235553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2235556 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235558 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235560 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235568 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235569 */   // GIR_Coverage, 48286,
     /* 2235569 */   GIR_EraseRootFromParent_Done,
     /* 2235570 */ // Label 29891: @2235570
     /* 2235570 */ GIM_Try, /*On fail goto*//*Label 29892*/ GIMT_Encode4(2235618), // Rule ID 48293 //
     /* 2235575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235578 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235581 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235588 */   // MIs[0] Operand 1
     /* 2235588 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2235593 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235597 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235601 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2235604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235606 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235608 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235616 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235617 */   // GIR_Coverage, 48293,
     /* 2235617 */   GIR_EraseRootFromParent_Done,
     /* 2235618 */ // Label 29892: @2235618
     /* 2235618 */ GIM_Try, /*On fail goto*//*Label 29893*/ GIMT_Encode4(2235666), // Rule ID 48294 //
     /* 2235623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235629 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235636 */   // MIs[0] Operand 1
     /* 2235636 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2235641 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235645 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235649 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2235652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235654 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235656 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235664 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235665 */   // GIR_Coverage, 48294,
     /* 2235665 */   GIR_EraseRootFromParent_Done,
     /* 2235666 */ // Label 29893: @2235666
     /* 2235666 */ GIM_Try, /*On fail goto*//*Label 29894*/ GIMT_Encode4(2235714), // Rule ID 48299 //
     /* 2235671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235677 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235684 */   // MIs[0] Operand 1
     /* 2235684 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2235689 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235693 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235697 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2235697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2235700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235702 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235704 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235712 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235713 */   // GIR_Coverage, 48299,
     /* 2235713 */   GIR_EraseRootFromParent_Done,
     /* 2235714 */ // Label 29894: @2235714
     /* 2235714 */ GIM_Try, /*On fail goto*//*Label 29895*/ GIMT_Encode4(2235762), // Rule ID 48300 //
     /* 2235719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235725 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235732 */   // MIs[0] Operand 1
     /* 2235732 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2235737 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235741 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235745 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2235745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2235748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235750 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235752 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235760 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235761 */   // GIR_Coverage, 48300,
     /* 2235761 */   GIR_EraseRootFromParent_Done,
     /* 2235762 */ // Label 29895: @2235762
     /* 2235762 */ GIM_Try, /*On fail goto*//*Label 29896*/ GIMT_Encode4(2235810), // Rule ID 48307 //
     /* 2235767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235770 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235773 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235780 */   // MIs[0] Operand 1
     /* 2235780 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2235785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235789 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235793 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2235793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2235796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235798 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235800 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235808 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235809 */   // GIR_Coverage, 48307,
     /* 2235809 */   GIR_EraseRootFromParent_Done,
     /* 2235810 */ // Label 29896: @2235810
     /* 2235810 */ GIM_Try, /*On fail goto*//*Label 29897*/ GIMT_Encode4(2235858), // Rule ID 48308 //
     /* 2235815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235821 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2235824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235828 */   // MIs[0] Operand 1
     /* 2235828 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2235833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235837 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235841 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2235841 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2235844 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235846 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235848 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235856 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235857 */   // GIR_Coverage, 48308,
     /* 2235857 */   GIR_EraseRootFromParent_Done,
     /* 2235858 */ // Label 29897: @2235858
     /* 2235858 */ GIM_Try, /*On fail goto*//*Label 29898*/ GIMT_Encode4(2235906), // Rule ID 48329 //
     /* 2235863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235869 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235876 */   // MIs[0] Operand 1
     /* 2235876 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2235881 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235885 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235889 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2235892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235894 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235896 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235904 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235905 */   // GIR_Coverage, 48329,
     /* 2235905 */   GIR_EraseRootFromParent_Done,
     /* 2235906 */ // Label 29898: @2235906
     /* 2235906 */ GIM_Try, /*On fail goto*//*Label 29899*/ GIMT_Encode4(2235954), // Rule ID 48330 //
     /* 2235911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2235917 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2235920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235924 */   // MIs[0] Operand 1
     /* 2235924 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2235929 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235933 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235937 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2235937 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2235940 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235942 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235944 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235952 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235953 */   // GIR_Coverage, 48330,
     /* 2235953 */   GIR_EraseRootFromParent_Done,
     /* 2235954 */ // Label 29899: @2235954
     /* 2235954 */ GIM_Try, /*On fail goto*//*Label 29900*/ GIMT_Encode4(2236002), // Rule ID 48337 //
     /* 2235959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235962 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235965 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2235968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235972 */   // MIs[0] Operand 1
     /* 2235972 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2235977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235981 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235985 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2235988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235990 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235992 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236000 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236001 */   // GIR_Coverage, 48337,
     /* 2236001 */   GIR_EraseRootFromParent_Done,
     /* 2236002 */ // Label 29900: @2236002
     /* 2236002 */ GIM_Try, /*On fail goto*//*Label 29901*/ GIMT_Encode4(2236050), // Rule ID 48338 //
     /* 2236007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236013 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236020 */   // MIs[0] Operand 1
     /* 2236020 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2236025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236029 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236033 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2236036 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236038 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236040 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236048 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236049 */   // GIR_Coverage, 48338,
     /* 2236049 */   GIR_EraseRootFromParent_Done,
     /* 2236050 */ // Label 29901: @2236050
     /* 2236050 */ GIM_Try, /*On fail goto*//*Label 29902*/ GIMT_Encode4(2236098), // Rule ID 48343 //
     /* 2236055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236061 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236068 */   // MIs[0] Operand 1
     /* 2236068 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2236073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236077 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236081 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236081 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2236084 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236086 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236088 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236096 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236097 */   // GIR_Coverage, 48343,
     /* 2236097 */   GIR_EraseRootFromParent_Done,
     /* 2236098 */ // Label 29902: @2236098
     /* 2236098 */ GIM_Try, /*On fail goto*//*Label 29903*/ GIMT_Encode4(2236146), // Rule ID 48344 //
     /* 2236103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236109 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236116 */   // MIs[0] Operand 1
     /* 2236116 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2236121 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236125 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236129 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2236132 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236134 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236136 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236144 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236145 */   // GIR_Coverage, 48344,
     /* 2236145 */   GIR_EraseRootFromParent_Done,
     /* 2236146 */ // Label 29903: @2236146
     /* 2236146 */ GIM_Try, /*On fail goto*//*Label 29904*/ GIMT_Encode4(2236194), // Rule ID 48351 //
     /* 2236151 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236154 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236157 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236164 */   // MIs[0] Operand 1
     /* 2236164 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2236169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236173 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236177 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2236177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2236180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236182 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236184 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236192 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236193 */   // GIR_Coverage, 48351,
     /* 2236193 */   GIR_EraseRootFromParent_Done,
     /* 2236194 */ // Label 29904: @2236194
     /* 2236194 */ GIM_Try, /*On fail goto*//*Label 29905*/ GIMT_Encode4(2236242), // Rule ID 48352 //
     /* 2236199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236205 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236212 */   // MIs[0] Operand 1
     /* 2236212 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2236217 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236221 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236225 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2236225 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2236228 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236230 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236232 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236240 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236241 */   // GIR_Coverage, 48352,
     /* 2236241 */   GIR_EraseRootFromParent_Done,
     /* 2236242 */ // Label 29905: @2236242
     /* 2236242 */ GIM_Try, /*On fail goto*//*Label 29906*/ GIMT_Encode4(2236290), // Rule ID 48373 //
     /* 2236247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2236250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236253 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236260 */   // MIs[0] Operand 1
     /* 2236260 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2236265 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236269 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236273 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2236273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2236276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236278 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236280 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236288 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236289 */   // GIR_Coverage, 48373,
     /* 2236289 */   GIR_EraseRootFromParent_Done,
     /* 2236290 */ // Label 29906: @2236290
     /* 2236290 */ GIM_Try, /*On fail goto*//*Label 29907*/ GIMT_Encode4(2236338), // Rule ID 48374 //
     /* 2236295 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2236298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236301 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236308 */   // MIs[0] Operand 1
     /* 2236308 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2236313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236317 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236321 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2236321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2236324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236326 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236328 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236336 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236337 */   // GIR_Coverage, 48374,
     /* 2236337 */   GIR_EraseRootFromParent_Done,
     /* 2236338 */ // Label 29907: @2236338
     /* 2236338 */ GIM_Try, /*On fail goto*//*Label 29908*/ GIMT_Encode4(2236386), // Rule ID 48381 //
     /* 2236343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236349 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236356 */   // MIs[0] Operand 1
     /* 2236356 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2236361 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236365 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236369 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2236372 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236374 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236376 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236384 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236385 */   // GIR_Coverage, 48381,
     /* 2236385 */   GIR_EraseRootFromParent_Done,
     /* 2236386 */ // Label 29908: @2236386
     /* 2236386 */ GIM_Try, /*On fail goto*//*Label 29909*/ GIMT_Encode4(2236434), // Rule ID 48382 //
     /* 2236391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236397 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236404 */   // MIs[0] Operand 1
     /* 2236404 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2236409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236413 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236417 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236417 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2236420 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236422 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236424 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236433 */   // GIR_Coverage, 48382,
     /* 2236433 */   GIR_EraseRootFromParent_Done,
     /* 2236434 */ // Label 29909: @2236434
     /* 2236434 */ GIM_Try, /*On fail goto*//*Label 29910*/ GIMT_Encode4(2236482), // Rule ID 48387 //
     /* 2236439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236445 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236452 */   // MIs[0] Operand 1
     /* 2236452 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2236457 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236461 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236465 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2236468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236470 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236472 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236480 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236481 */   // GIR_Coverage, 48387,
     /* 2236481 */   GIR_EraseRootFromParent_Done,
     /* 2236482 */ // Label 29910: @2236482
     /* 2236482 */ GIM_Try, /*On fail goto*//*Label 29911*/ GIMT_Encode4(2236530), // Rule ID 48388 //
     /* 2236487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236490 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236493 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236500 */   // MIs[0] Operand 1
     /* 2236500 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2236505 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236509 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236513 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2236516 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236518 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236520 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236529 */   // GIR_Coverage, 48388,
     /* 2236529 */   GIR_EraseRootFromParent_Done,
     /* 2236530 */ // Label 29911: @2236530
     /* 2236530 */ GIM_Try, /*On fail goto*//*Label 29912*/ GIMT_Encode4(2236578), // Rule ID 48395 //
     /* 2236535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236541 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236548 */   // MIs[0] Operand 1
     /* 2236548 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2236553 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236557 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236561 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2236561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2236564 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236566 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236568 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236576 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236577 */   // GIR_Coverage, 48395,
     /* 2236577 */   GIR_EraseRootFromParent_Done,
     /* 2236578 */ // Label 29912: @2236578
     /* 2236578 */ GIM_Try, /*On fail goto*//*Label 29913*/ GIMT_Encode4(2236626), // Rule ID 48396 //
     /* 2236583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236589 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236596 */   // MIs[0] Operand 1
     /* 2236596 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2236601 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236605 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236609 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2236609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2236612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236614 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236616 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236624 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236625 */   // GIR_Coverage, 48396,
     /* 2236625 */   GIR_EraseRootFromParent_Done,
     /* 2236626 */ // Label 29913: @2236626
     /* 2236626 */ GIM_Try, /*On fail goto*//*Label 29914*/ GIMT_Encode4(2236674), // Rule ID 48417 //
     /* 2236631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2236634 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236637 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236644 */   // MIs[0] Operand 1
     /* 2236644 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2236649 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236653 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236657 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2236657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2236660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236662 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236664 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236672 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236673 */   // GIR_Coverage, 48417,
     /* 2236673 */   GIR_EraseRootFromParent_Done,
     /* 2236674 */ // Label 29914: @2236674
     /* 2236674 */ GIM_Try, /*On fail goto*//*Label 29915*/ GIMT_Encode4(2236722), // Rule ID 48418 //
     /* 2236679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2236682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236685 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2236688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236692 */   // MIs[0] Operand 1
     /* 2236692 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2236697 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236701 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236705 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2236705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2236708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236710 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236712 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236720 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236721 */   // GIR_Coverage, 48418,
     /* 2236721 */   GIR_EraseRootFromParent_Done,
     /* 2236722 */ // Label 29915: @2236722
     /* 2236722 */ GIM_Try, /*On fail goto*//*Label 29916*/ GIMT_Encode4(2236770), // Rule ID 48425 //
     /* 2236727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236733 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236740 */   // MIs[0] Operand 1
     /* 2236740 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2236745 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236749 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236753 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2236756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236758 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236760 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236768 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236769 */   // GIR_Coverage, 48425,
     /* 2236769 */   GIR_EraseRootFromParent_Done,
     /* 2236770 */ // Label 29916: @2236770
     /* 2236770 */ GIM_Try, /*On fail goto*//*Label 29917*/ GIMT_Encode4(2236818), // Rule ID 48426 //
     /* 2236775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2236781 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2236784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236788 */   // MIs[0] Operand 1
     /* 2236788 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2236793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236797 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236801 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2236804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236806 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236808 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236816 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236817 */   // GIR_Coverage, 48426,
     /* 2236817 */   GIR_EraseRootFromParent_Done,
     /* 2236818 */ // Label 29917: @2236818
     /* 2236818 */ GIM_Try, /*On fail goto*//*Label 29918*/ GIMT_Encode4(2236866), // Rule ID 48431 //
     /* 2236823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236829 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236836 */   // MIs[0] Operand 1
     /* 2236836 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2236841 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236845 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236849 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2236852 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236854 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236856 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236864 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236865 */   // GIR_Coverage, 48431,
     /* 2236865 */   GIR_EraseRootFromParent_Done,
     /* 2236866 */ // Label 29918: @2236866
     /* 2236866 */ GIM_Try, /*On fail goto*//*Label 29919*/ GIMT_Encode4(2236914), // Rule ID 48432 //
     /* 2236871 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236877 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236884 */   // MIs[0] Operand 1
     /* 2236884 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2236889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236893 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236897 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2236900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236902 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236904 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236912 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236913 */   // GIR_Coverage, 48432,
     /* 2236913 */   GIR_EraseRootFromParent_Done,
     /* 2236914 */ // Label 29919: @2236914
     /* 2236914 */ GIM_Try, /*On fail goto*//*Label 29920*/ GIMT_Encode4(2236962), // Rule ID 48439 //
     /* 2236919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236925 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236932 */   // MIs[0] Operand 1
     /* 2236932 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2236937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236941 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236945 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2236945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2236948 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236950 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236952 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236960 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236961 */   // GIR_Coverage, 48439,
     /* 2236961 */   GIR_EraseRootFromParent_Done,
     /* 2236962 */ // Label 29920: @2236962
     /* 2236962 */ GIM_Try, /*On fail goto*//*Label 29921*/ GIMT_Encode4(2237010), // Rule ID 48440 //
     /* 2236967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2236973 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236980 */   // MIs[0] Operand 1
     /* 2236980 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2236985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236989 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236993 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2236993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2236996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236998 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237000 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237008 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237009 */   // GIR_Coverage, 48440,
     /* 2237009 */   GIR_EraseRootFromParent_Done,
     /* 2237010 */ // Label 29921: @2237010
     /* 2237010 */ GIM_Try, /*On fail goto*//*Label 29922*/ GIMT_Encode4(2237058), // Rule ID 48461 //
     /* 2237015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237021 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237028 */   // MIs[0] Operand 1
     /* 2237028 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2237033 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237037 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237041 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2237044 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237046 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237048 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237056 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237057 */   // GIR_Coverage, 48461,
     /* 2237057 */   GIR_EraseRootFromParent_Done,
     /* 2237058 */ // Label 29922: @2237058
     /* 2237058 */ GIM_Try, /*On fail goto*//*Label 29923*/ GIMT_Encode4(2237106), // Rule ID 48462 //
     /* 2237063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2237069 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2237072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237076 */   // MIs[0] Operand 1
     /* 2237076 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2237081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237085 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237089 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2237092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237094 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237096 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237104 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237105 */   // GIR_Coverage, 48462,
     /* 2237105 */   GIR_EraseRootFromParent_Done,
     /* 2237106 */ // Label 29923: @2237106
     /* 2237106 */ GIM_Reject,
     /* 2237107 */ // Label 29664: @2237107
     /* 2237107 */ GIM_Try, /*On fail goto*//*Label 29924*/ GIMT_Encode4(2237155), // Rule ID 48033 //
     /* 2237112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237115 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2237118 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2237121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237125 */   // MIs[0] Operand 1
     /* 2237125 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2237130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237134 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237138 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2237141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237143 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237145 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237153 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237154 */   // GIR_Coverage, 48033,
     /* 2237154 */   GIR_EraseRootFromParent_Done,
     /* 2237155 */ // Label 29924: @2237155
     /* 2237155 */ GIM_Try, /*On fail goto*//*Label 29925*/ GIMT_Encode4(2237203), // Rule ID 48034 //
     /* 2237160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2237166 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2237169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237173 */   // MIs[0] Operand 1
     /* 2237173 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2237178 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237182 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237186 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237186 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2237189 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237191 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237193 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237201 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237202 */   // GIR_Coverage, 48034,
     /* 2237202 */   GIR_EraseRootFromParent_Done,
     /* 2237203 */ // Label 29925: @2237203
     /* 2237203 */ GIM_Try, /*On fail goto*//*Label 29926*/ GIMT_Encode4(2237251), // Rule ID 48043 //
     /* 2237208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2237214 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2237217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237221 */   // MIs[0] Operand 1
     /* 2237221 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2237226 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237230 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237234 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2237234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2237237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237239 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237241 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237249 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237250 */   // GIR_Coverage, 48043,
     /* 2237250 */   GIR_EraseRootFromParent_Done,
     /* 2237251 */ // Label 29926: @2237251
     /* 2237251 */ GIM_Try, /*On fail goto*//*Label 29927*/ GIMT_Encode4(2237299), // Rule ID 48044 //
     /* 2237256 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2237262 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2237265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237269 */   // MIs[0] Operand 1
     /* 2237269 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2237274 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237278 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237282 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2237282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2237285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237287 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237289 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237297 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237298 */   // GIR_Coverage, 48044,
     /* 2237298 */   GIR_EraseRootFromParent_Done,
     /* 2237299 */ // Label 29927: @2237299
     /* 2237299 */ GIM_Try, /*On fail goto*//*Label 29928*/ GIMT_Encode4(2237347), // Rule ID 48061 //
     /* 2237304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2237310 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2237313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237317 */   // MIs[0] Operand 1
     /* 2237317 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2237322 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237326 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237330 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2237330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2237333 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237335 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237337 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237345 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237346 */   // GIR_Coverage, 48061,
     /* 2237346 */   GIR_EraseRootFromParent_Done,
     /* 2237347 */ // Label 29928: @2237347
     /* 2237347 */ GIM_Try, /*On fail goto*//*Label 29929*/ GIMT_Encode4(2237395), // Rule ID 48062 //
     /* 2237352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237355 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2237358 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2237361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237365 */   // MIs[0] Operand 1
     /* 2237365 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2237370 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237374 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237378 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2237378 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2237381 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237383 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237385 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237393 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237394 */   // GIR_Coverage, 48062,
     /* 2237394 */   GIR_EraseRootFromParent_Done,
     /* 2237395 */ // Label 29929: @2237395
     /* 2237395 */ GIM_Try, /*On fail goto*//*Label 29930*/ GIMT_Encode4(2237443), // Rule ID 48069 //
     /* 2237400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2237406 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2237409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237413 */   // MIs[0] Operand 1
     /* 2237413 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2237418 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237422 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237426 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2237429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237431 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237433 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237441 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237442 */   // GIR_Coverage, 48069,
     /* 2237442 */   GIR_EraseRootFromParent_Done,
     /* 2237443 */ // Label 29930: @2237443
     /* 2237443 */ GIM_Try, /*On fail goto*//*Label 29931*/ GIMT_Encode4(2237491), // Rule ID 48070 //
     /* 2237448 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2237454 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2237457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237461 */   // MIs[0] Operand 1
     /* 2237461 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2237466 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237470 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237474 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237474 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2237477 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237479 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237481 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237489 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237490 */   // GIR_Coverage, 48070,
     /* 2237490 */   GIR_EraseRootFromParent_Done,
     /* 2237491 */ // Label 29931: @2237491
     /* 2237491 */ GIM_Try, /*On fail goto*//*Label 29932*/ GIMT_Encode4(2237539), // Rule ID 48077 //
     /* 2237496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2237502 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2237505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237509 */   // MIs[0] Operand 1
     /* 2237509 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2237514 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237518 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237522 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2237525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237527 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237529 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237537 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237538 */   // GIR_Coverage, 48077,
     /* 2237538 */   GIR_EraseRootFromParent_Done,
     /* 2237539 */ // Label 29932: @2237539
     /* 2237539 */ GIM_Try, /*On fail goto*//*Label 29933*/ GIMT_Encode4(2237587), // Rule ID 48078 //
     /* 2237544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2237550 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2237553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237557 */   // MIs[0] Operand 1
     /* 2237557 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2237562 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237566 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237570 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2237573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237575 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237577 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237585 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237586 */   // GIR_Coverage, 48078,
     /* 2237586 */   GIR_EraseRootFromParent_Done,
     /* 2237587 */ // Label 29933: @2237587
     /* 2237587 */ GIM_Try, /*On fail goto*//*Label 29934*/ GIMT_Encode4(2237635), // Rule ID 48087 //
     /* 2237592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2237598 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2237601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237605 */   // MIs[0] Operand 1
     /* 2237605 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2237610 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237614 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237618 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2237618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2237621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237623 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237625 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237634 */   // GIR_Coverage, 48087,
     /* 2237634 */   GIR_EraseRootFromParent_Done,
     /* 2237635 */ // Label 29934: @2237635
     /* 2237635 */ GIM_Try, /*On fail goto*//*Label 29935*/ GIMT_Encode4(2237683), // Rule ID 48088 //
     /* 2237640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2237646 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2237649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237653 */   // MIs[0] Operand 1
     /* 2237653 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2237658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237662 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237666 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2237666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2237669 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237671 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237673 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237681 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237682 */   // GIR_Coverage, 48088,
     /* 2237682 */   GIR_EraseRootFromParent_Done,
     /* 2237683 */ // Label 29935: @2237683
     /* 2237683 */ GIM_Try, /*On fail goto*//*Label 29936*/ GIMT_Encode4(2237731), // Rule ID 48105 //
     /* 2237688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2237694 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2237697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237701 */   // MIs[0] Operand 1
     /* 2237701 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2237706 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237710 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237714 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2237714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2237717 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237719 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237721 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237729 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237730 */   // GIR_Coverage, 48105,
     /* 2237730 */   GIR_EraseRootFromParent_Done,
     /* 2237731 */ // Label 29936: @2237731
     /* 2237731 */ GIM_Try, /*On fail goto*//*Label 29937*/ GIMT_Encode4(2237779), // Rule ID 48106 //
     /* 2237736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2237742 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2237745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237749 */   // MIs[0] Operand 1
     /* 2237749 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2237754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237758 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237762 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2237762 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2237765 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237767 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237769 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237778 */   // GIR_Coverage, 48106,
     /* 2237778 */   GIR_EraseRootFromParent_Done,
     /* 2237779 */ // Label 29937: @2237779
     /* 2237779 */ GIM_Try, /*On fail goto*//*Label 29938*/ GIMT_Encode4(2237827), // Rule ID 48113 //
     /* 2237784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2237790 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2237793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237797 */   // MIs[0] Operand 1
     /* 2237797 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2237802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237806 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237810 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2237813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237815 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237817 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237825 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237826 */   // GIR_Coverage, 48113,
     /* 2237826 */   GIR_EraseRootFromParent_Done,
     /* 2237827 */ // Label 29938: @2237827
     /* 2237827 */ GIM_Try, /*On fail goto*//*Label 29939*/ GIMT_Encode4(2237875), // Rule ID 48114 //
     /* 2237832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237835 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2237838 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2237841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237845 */   // MIs[0] Operand 1
     /* 2237845 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2237850 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237854 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237858 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2237861 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237863 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237865 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237873 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237874 */   // GIR_Coverage, 48114,
     /* 2237874 */   GIR_EraseRootFromParent_Done,
     /* 2237875 */ // Label 29939: @2237875
     /* 2237875 */ GIM_Try, /*On fail goto*//*Label 29940*/ GIMT_Encode4(2237923), // Rule ID 48121 //
     /* 2237880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2237886 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2237889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237893 */   // MIs[0] Operand 1
     /* 2237893 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2237898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237902 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237906 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2237909 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237911 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237913 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237922 */   // GIR_Coverage, 48121,
     /* 2237922 */   GIR_EraseRootFromParent_Done,
     /* 2237923 */ // Label 29940: @2237923
     /* 2237923 */ GIM_Try, /*On fail goto*//*Label 29941*/ GIMT_Encode4(2237971), // Rule ID 48122 //
     /* 2237928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2237934 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2237937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237941 */   // MIs[0] Operand 1
     /* 2237941 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2237946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237950 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237954 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2237957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237959 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237961 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237970 */   // GIR_Coverage, 48122,
     /* 2237970 */   GIR_EraseRootFromParent_Done,
     /* 2237971 */ // Label 29941: @2237971
     /* 2237971 */ GIM_Try, /*On fail goto*//*Label 29942*/ GIMT_Encode4(2238019), // Rule ID 48131 //
     /* 2237976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2237982 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2237985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237989 */   // MIs[0] Operand 1
     /* 2237989 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2237994 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237998 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238002 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2238002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2238005 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238007 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238009 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238017 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238018 */   // GIR_Coverage, 48131,
     /* 2238018 */   GIR_EraseRootFromParent_Done,
     /* 2238019 */ // Label 29942: @2238019
     /* 2238019 */ GIM_Try, /*On fail goto*//*Label 29943*/ GIMT_Encode4(2238067), // Rule ID 48132 //
     /* 2238024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238027 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2238030 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2238033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238037 */   // MIs[0] Operand 1
     /* 2238037 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2238042 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238046 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238050 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2238053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238055 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238057 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238065 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238066 */   // GIR_Coverage, 48132,
     /* 2238066 */   GIR_EraseRootFromParent_Done,
     /* 2238067 */ // Label 29943: @2238067
     /* 2238067 */ GIM_Try, /*On fail goto*//*Label 29944*/ GIMT_Encode4(2238115), // Rule ID 48149 //
     /* 2238072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238078 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238085 */   // MIs[0] Operand 1
     /* 2238085 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2238090 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238094 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238098 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238098 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2238101 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238103 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238105 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238113 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238114 */   // GIR_Coverage, 48149,
     /* 2238114 */   GIR_EraseRootFromParent_Done,
     /* 2238115 */ // Label 29944: @2238115
     /* 2238115 */ GIM_Try, /*On fail goto*//*Label 29945*/ GIMT_Encode4(2238163), // Rule ID 48150 //
     /* 2238120 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238126 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238133 */   // MIs[0] Operand 1
     /* 2238133 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2238138 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238142 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238146 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2238146 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2238149 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238151 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238153 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238161 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238162 */   // GIR_Coverage, 48150,
     /* 2238162 */   GIR_EraseRootFromParent_Done,
     /* 2238163 */ // Label 29945: @2238163
     /* 2238163 */ GIM_Try, /*On fail goto*//*Label 29946*/ GIMT_Encode4(2238211), // Rule ID 48157 //
     /* 2238168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2238174 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2238177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238181 */   // MIs[0] Operand 1
     /* 2238181 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2238186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238190 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238194 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2238194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2238197 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238199 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238201 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238209 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238210 */   // GIR_Coverage, 48157,
     /* 2238210 */   GIR_EraseRootFromParent_Done,
     /* 2238211 */ // Label 29946: @2238211
     /* 2238211 */ GIM_Try, /*On fail goto*//*Label 29947*/ GIMT_Encode4(2238259), // Rule ID 48158 //
     /* 2238216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2238222 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2238225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238229 */   // MIs[0] Operand 1
     /* 2238229 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2238234 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238238 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238242 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2238242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2238245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238247 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238249 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238257 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238258 */   // GIR_Coverage, 48158,
     /* 2238258 */   GIR_EraseRootFromParent_Done,
     /* 2238259 */ // Label 29947: @2238259
     /* 2238259 */ GIM_Try, /*On fail goto*//*Label 29948*/ GIMT_Encode4(2238307), // Rule ID 48163 //
     /* 2238264 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2238270 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2238273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238277 */   // MIs[0] Operand 1
     /* 2238277 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2238282 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238286 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238290 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2238293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238295 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238297 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238305 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238306 */   // GIR_Coverage, 48163,
     /* 2238306 */   GIR_EraseRootFromParent_Done,
     /* 2238307 */ // Label 29948: @2238307
     /* 2238307 */ GIM_Try, /*On fail goto*//*Label 29949*/ GIMT_Encode4(2238355), // Rule ID 48164 //
     /* 2238312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2238318 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2238321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238325 */   // MIs[0] Operand 1
     /* 2238325 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2238330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238334 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238338 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2238341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238343 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238345 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238353 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238354 */   // GIR_Coverage, 48164,
     /* 2238354 */   GIR_EraseRootFromParent_Done,
     /* 2238355 */ // Label 29949: @2238355
     /* 2238355 */ GIM_Try, /*On fail goto*//*Label 29950*/ GIMT_Encode4(2238403), // Rule ID 48173 //
     /* 2238360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2238366 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2238369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238373 */   // MIs[0] Operand 1
     /* 2238373 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2238378 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238382 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238386 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2238386 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2238389 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238391 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238393 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238401 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238402 */   // GIR_Coverage, 48173,
     /* 2238402 */   GIR_EraseRootFromParent_Done,
     /* 2238403 */ // Label 29950: @2238403
     /* 2238403 */ GIM_Try, /*On fail goto*//*Label 29951*/ GIMT_Encode4(2238451), // Rule ID 48174 //
     /* 2238408 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2238414 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2238417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238421 */   // MIs[0] Operand 1
     /* 2238421 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2238426 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238430 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238434 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2238437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238439 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238441 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238450 */   // GIR_Coverage, 48174,
     /* 2238450 */   GIR_EraseRootFromParent_Done,
     /* 2238451 */ // Label 29951: @2238451
     /* 2238451 */ GIM_Try, /*On fail goto*//*Label 29952*/ GIMT_Encode4(2238499), // Rule ID 48191 //
     /* 2238456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238462 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238469 */   // MIs[0] Operand 1
     /* 2238469 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2238474 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238478 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238482 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238482 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2238485 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238487 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238489 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238497 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238498 */   // GIR_Coverage, 48191,
     /* 2238498 */   GIR_EraseRootFromParent_Done,
     /* 2238499 */ // Label 29952: @2238499
     /* 2238499 */ GIM_Try, /*On fail goto*//*Label 29953*/ GIMT_Encode4(2238547), // Rule ID 48192 //
     /* 2238504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238507 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238510 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238517 */   // MIs[0] Operand 1
     /* 2238517 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2238522 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238526 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238530 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2238530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2238533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238535 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238537 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238545 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238546 */   // GIR_Coverage, 48192,
     /* 2238546 */   GIR_EraseRootFromParent_Done,
     /* 2238547 */ // Label 29953: @2238547
     /* 2238547 */ GIM_Try, /*On fail goto*//*Label 29954*/ GIMT_Encode4(2238595), // Rule ID 48199 //
     /* 2238552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2238558 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2238561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238565 */   // MIs[0] Operand 1
     /* 2238565 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2238570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238574 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238578 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2238578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2238581 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238583 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238585 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238593 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238594 */   // GIR_Coverage, 48199,
     /* 2238594 */   GIR_EraseRootFromParent_Done,
     /* 2238595 */ // Label 29954: @2238595
     /* 2238595 */ GIM_Try, /*On fail goto*//*Label 29955*/ GIMT_Encode4(2238643), // Rule ID 48200 //
     /* 2238600 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2238606 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2238609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238613 */   // MIs[0] Operand 1
     /* 2238613 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2238618 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238622 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238626 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2238626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2238629 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238631 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238633 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238641 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238642 */   // GIR_Coverage, 48200,
     /* 2238642 */   GIR_EraseRootFromParent_Done,
     /* 2238643 */ // Label 29955: @2238643
     /* 2238643 */ GIM_Try, /*On fail goto*//*Label 29956*/ GIMT_Encode4(2238691), // Rule ID 48207 //
     /* 2238648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238651 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2238654 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2238657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238661 */   // MIs[0] Operand 1
     /* 2238661 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2238666 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238670 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238674 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2238677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238679 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238681 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238689 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238690 */   // GIR_Coverage, 48207,
     /* 2238690 */   GIR_EraseRootFromParent_Done,
     /* 2238691 */ // Label 29956: @2238691
     /* 2238691 */ GIM_Try, /*On fail goto*//*Label 29957*/ GIMT_Encode4(2238739), // Rule ID 48208 //
     /* 2238696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2238702 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2238705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238709 */   // MIs[0] Operand 1
     /* 2238709 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2238714 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238718 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238722 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2238725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238727 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238729 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238737 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238738 */   // GIR_Coverage, 48208,
     /* 2238738 */   GIR_EraseRootFromParent_Done,
     /* 2238739 */ // Label 29957: @2238739
     /* 2238739 */ GIM_Try, /*On fail goto*//*Label 29958*/ GIMT_Encode4(2238787), // Rule ID 48217 //
     /* 2238744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2238750 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2238753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238757 */   // MIs[0] Operand 1
     /* 2238757 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2238762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238766 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238770 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2238770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2238773 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238775 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238777 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238785 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238786 */   // GIR_Coverage, 48217,
     /* 2238786 */   GIR_EraseRootFromParent_Done,
     /* 2238787 */ // Label 29958: @2238787
     /* 2238787 */ GIM_Try, /*On fail goto*//*Label 29959*/ GIMT_Encode4(2238835), // Rule ID 48218 //
     /* 2238792 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2238798 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2238801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238805 */   // MIs[0] Operand 1
     /* 2238805 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2238810 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238814 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238818 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238818 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2238821 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238823 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238825 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238833 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238834 */   // GIR_Coverage, 48218,
     /* 2238834 */   GIR_EraseRootFromParent_Done,
     /* 2238835 */ // Label 29959: @2238835
     /* 2238835 */ GIM_Try, /*On fail goto*//*Label 29960*/ GIMT_Encode4(2238883), // Rule ID 48235 //
     /* 2238840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238846 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238853 */   // MIs[0] Operand 1
     /* 2238853 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2238858 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238862 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238866 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238866 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2238869 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238871 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238873 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238881 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238882 */   // GIR_Coverage, 48235,
     /* 2238882 */   GIR_EraseRootFromParent_Done,
     /* 2238883 */ // Label 29960: @2238883
     /* 2238883 */ GIM_Try, /*On fail goto*//*Label 29961*/ GIMT_Encode4(2238931), // Rule ID 48236 //
     /* 2238888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238891 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238894 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238901 */   // MIs[0] Operand 1
     /* 2238901 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2238906 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238910 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238914 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2238914 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2238917 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238919 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238921 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238929 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238930 */   // GIR_Coverage, 48236,
     /* 2238930 */   GIR_EraseRootFromParent_Done,
     /* 2238931 */ // Label 29961: @2238931
     /* 2238931 */ GIM_Try, /*On fail goto*//*Label 29962*/ GIMT_Encode4(2238979), // Rule ID 48243 //
     /* 2238936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2238942 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2238945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238949 */   // MIs[0] Operand 1
     /* 2238949 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2238954 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238958 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238962 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2238962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2238965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238967 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238969 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238977 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238978 */   // GIR_Coverage, 48243,
     /* 2238978 */   GIR_EraseRootFromParent_Done,
     /* 2238979 */ // Label 29962: @2238979
     /* 2238979 */ GIM_Try, /*On fail goto*//*Label 29963*/ GIMT_Encode4(2239027), // Rule ID 48244 //
     /* 2238984 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2238990 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2238993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238997 */   // MIs[0] Operand 1
     /* 2238997 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2239002 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239006 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239010 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2239010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2239013 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239015 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239017 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239025 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239026 */   // GIR_Coverage, 48244,
     /* 2239026 */   GIR_EraseRootFromParent_Done,
     /* 2239027 */ // Label 29963: @2239027
     /* 2239027 */ GIM_Try, /*On fail goto*//*Label 29964*/ GIMT_Encode4(2239075), // Rule ID 48251 //
     /* 2239032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239038 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239045 */   // MIs[0] Operand 1
     /* 2239045 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2239050 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239054 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239058 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239058 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2239061 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239063 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239065 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239073 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239074 */   // GIR_Coverage, 48251,
     /* 2239074 */   GIR_EraseRootFromParent_Done,
     /* 2239075 */ // Label 29964: @2239075
     /* 2239075 */ GIM_Try, /*On fail goto*//*Label 29965*/ GIMT_Encode4(2239123), // Rule ID 48252 //
     /* 2239080 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239086 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239093 */   // MIs[0] Operand 1
     /* 2239093 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2239098 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239102 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239106 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2239109 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239111 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239113 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239121 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239122 */   // GIR_Coverage, 48252,
     /* 2239122 */   GIR_EraseRootFromParent_Done,
     /* 2239123 */ // Label 29965: @2239123
     /* 2239123 */ GIM_Try, /*On fail goto*//*Label 29966*/ GIMT_Encode4(2239171), // Rule ID 48261 //
     /* 2239128 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239134 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239141 */   // MIs[0] Operand 1
     /* 2239141 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2239146 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239150 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239154 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2239154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2239157 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239159 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239161 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239169 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239170 */   // GIR_Coverage, 48261,
     /* 2239170 */   GIR_EraseRootFromParent_Done,
     /* 2239171 */ // Label 29966: @2239171
     /* 2239171 */ GIM_Try, /*On fail goto*//*Label 29967*/ GIMT_Encode4(2239219), // Rule ID 48262 //
     /* 2239176 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239182 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239189 */   // MIs[0] Operand 1
     /* 2239189 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2239194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239198 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239202 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2239202 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2239205 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239207 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239209 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239217 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239218 */   // GIR_Coverage, 48262,
     /* 2239218 */   GIR_EraseRootFromParent_Done,
     /* 2239219 */ // Label 29967: @2239219
     /* 2239219 */ GIM_Try, /*On fail goto*//*Label 29968*/ GIMT_Encode4(2239267), // Rule ID 48279 //
     /* 2239224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239230 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239237 */   // MIs[0] Operand 1
     /* 2239237 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2239242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239246 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239250 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2239250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2239253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239255 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239257 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239265 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239266 */   // GIR_Coverage, 48279,
     /* 2239266 */   GIR_EraseRootFromParent_Done,
     /* 2239267 */ // Label 29968: @2239267
     /* 2239267 */ GIM_Try, /*On fail goto*//*Label 29969*/ GIMT_Encode4(2239315), // Rule ID 48280 //
     /* 2239272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239278 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239285 */   // MIs[0] Operand 1
     /* 2239285 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2239290 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239294 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239298 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2239298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2239301 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239303 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239305 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239313 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239314 */   // GIR_Coverage, 48280,
     /* 2239314 */   GIR_EraseRootFromParent_Done,
     /* 2239315 */ // Label 29969: @2239315
     /* 2239315 */ GIM_Try, /*On fail goto*//*Label 29970*/ GIMT_Encode4(2239363), // Rule ID 48287 //
     /* 2239320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239323 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239326 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239333 */   // MIs[0] Operand 1
     /* 2239333 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2239338 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239342 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239346 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2239346 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2239349 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239351 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239353 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239361 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239362 */   // GIR_Coverage, 48287,
     /* 2239362 */   GIR_EraseRootFromParent_Done,
     /* 2239363 */ // Label 29970: @2239363
     /* 2239363 */ GIM_Try, /*On fail goto*//*Label 29971*/ GIMT_Encode4(2239411), // Rule ID 48288 //
     /* 2239368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239374 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239381 */   // MIs[0] Operand 1
     /* 2239381 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2239386 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239390 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239394 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2239394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2239397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239399 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239401 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239409 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239410 */   // GIR_Coverage, 48288,
     /* 2239410 */   GIR_EraseRootFromParent_Done,
     /* 2239411 */ // Label 29971: @2239411
     /* 2239411 */ GIM_Try, /*On fail goto*//*Label 29972*/ GIMT_Encode4(2239459), // Rule ID 48295 //
     /* 2239416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239419 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239422 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239429 */   // MIs[0] Operand 1
     /* 2239429 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2239434 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239438 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239442 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239442 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2239445 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239447 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239449 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239457 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239458 */   // GIR_Coverage, 48295,
     /* 2239458 */   GIR_EraseRootFromParent_Done,
     /* 2239459 */ // Label 29972: @2239459
     /* 2239459 */ GIM_Try, /*On fail goto*//*Label 29973*/ GIMT_Encode4(2239507), // Rule ID 48296 //
     /* 2239464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239467 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239470 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239477 */   // MIs[0] Operand 1
     /* 2239477 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2239482 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239486 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239490 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2239493 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239495 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239497 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239505 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239506 */   // GIR_Coverage, 48296,
     /* 2239506 */   GIR_EraseRootFromParent_Done,
     /* 2239507 */ // Label 29973: @2239507
     /* 2239507 */ GIM_Try, /*On fail goto*//*Label 29974*/ GIMT_Encode4(2239555), // Rule ID 48305 //
     /* 2239512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239518 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239525 */   // MIs[0] Operand 1
     /* 2239525 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2239530 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239534 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239538 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2239538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2239541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239543 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239545 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239553 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239554 */   // GIR_Coverage, 48305,
     /* 2239554 */   GIR_EraseRootFromParent_Done,
     /* 2239555 */ // Label 29974: @2239555
     /* 2239555 */ GIM_Try, /*On fail goto*//*Label 29975*/ GIMT_Encode4(2239603), // Rule ID 48306 //
     /* 2239560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239566 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239573 */   // MIs[0] Operand 1
     /* 2239573 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2239578 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239582 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239586 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2239586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2239589 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239591 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239593 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239601 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239602 */   // GIR_Coverage, 48306,
     /* 2239602 */   GIR_EraseRootFromParent_Done,
     /* 2239603 */ // Label 29975: @2239603
     /* 2239603 */ GIM_Try, /*On fail goto*//*Label 29976*/ GIMT_Encode4(2239651), // Rule ID 48323 //
     /* 2239608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239614 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239621 */   // MIs[0] Operand 1
     /* 2239621 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2239626 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239630 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239634 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2239634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2239637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239639 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239641 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239650 */   // GIR_Coverage, 48323,
     /* 2239650 */   GIR_EraseRootFromParent_Done,
     /* 2239651 */ // Label 29976: @2239651
     /* 2239651 */ GIM_Try, /*On fail goto*//*Label 29977*/ GIMT_Encode4(2239699), // Rule ID 48324 //
     /* 2239656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239662 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2239665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239669 */   // MIs[0] Operand 1
     /* 2239669 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2239674 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239678 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239682 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2239682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2239685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239687 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239689 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239697 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239698 */   // GIR_Coverage, 48324,
     /* 2239698 */   GIR_EraseRootFromParent_Done,
     /* 2239699 */ // Label 29977: @2239699
     /* 2239699 */ GIM_Try, /*On fail goto*//*Label 29978*/ GIMT_Encode4(2239747), // Rule ID 48331 //
     /* 2239704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239710 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239717 */   // MIs[0] Operand 1
     /* 2239717 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2239722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239726 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239730 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2239730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2239733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239735 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239737 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239745 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239746 */   // GIR_Coverage, 48331,
     /* 2239746 */   GIR_EraseRootFromParent_Done,
     /* 2239747 */ // Label 29978: @2239747
     /* 2239747 */ GIM_Try, /*On fail goto*//*Label 29979*/ GIMT_Encode4(2239795), // Rule ID 48332 //
     /* 2239752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239758 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239765 */   // MIs[0] Operand 1
     /* 2239765 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2239770 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239774 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239778 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2239778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2239781 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239783 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239785 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239793 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239794 */   // GIR_Coverage, 48332,
     /* 2239794 */   GIR_EraseRootFromParent_Done,
     /* 2239795 */ // Label 29979: @2239795
     /* 2239795 */ GIM_Try, /*On fail goto*//*Label 29980*/ GIMT_Encode4(2239843), // Rule ID 48339 //
     /* 2239800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239806 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239813 */   // MIs[0] Operand 1
     /* 2239813 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2239818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239822 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239826 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2239829 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239831 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239833 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239841 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239842 */   // GIR_Coverage, 48339,
     /* 2239842 */   GIR_EraseRootFromParent_Done,
     /* 2239843 */ // Label 29980: @2239843
     /* 2239843 */ GIM_Try, /*On fail goto*//*Label 29981*/ GIMT_Encode4(2239891), // Rule ID 48340 //
     /* 2239848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239854 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2239857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239861 */   // MIs[0] Operand 1
     /* 2239861 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2239866 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239870 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239874 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2239877 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239879 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239881 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239889 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239890 */   // GIR_Coverage, 48340,
     /* 2239890 */   GIR_EraseRootFromParent_Done,
     /* 2239891 */ // Label 29981: @2239891
     /* 2239891 */ GIM_Try, /*On fail goto*//*Label 29982*/ GIMT_Encode4(2239939), // Rule ID 48349 //
     /* 2239896 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239902 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239909 */   // MIs[0] Operand 1
     /* 2239909 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2239914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239918 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239922 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2239922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2239925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239927 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239929 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239937 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239938 */   // GIR_Coverage, 48349,
     /* 2239938 */   GIR_EraseRootFromParent_Done,
     /* 2239939 */ // Label 29982: @2239939
     /* 2239939 */ GIM_Try, /*On fail goto*//*Label 29983*/ GIMT_Encode4(2239987), // Rule ID 48350 //
     /* 2239944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239950 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2239953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239957 */   // MIs[0] Operand 1
     /* 2239957 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2239962 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239966 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239970 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2239970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2239973 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239975 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239977 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239985 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239986 */   // GIR_Coverage, 48350,
     /* 2239986 */   GIR_EraseRootFromParent_Done,
     /* 2239987 */ // Label 29983: @2239987
     /* 2239987 */ GIM_Try, /*On fail goto*//*Label 29984*/ GIMT_Encode4(2240035), // Rule ID 48367 //
     /* 2239992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239998 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240005 */   // MIs[0] Operand 1
     /* 2240005 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2240010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240014 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240018 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2240021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240023 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240025 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240033 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240034 */   // GIR_Coverage, 48367,
     /* 2240034 */   GIR_EraseRootFromParent_Done,
     /* 2240035 */ // Label 29984: @2240035
     /* 2240035 */ GIM_Try, /*On fail goto*//*Label 29985*/ GIMT_Encode4(2240083), // Rule ID 48368 //
     /* 2240040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240046 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240053 */   // MIs[0] Operand 1
     /* 2240053 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2240058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240062 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240066 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2240069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240071 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240073 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240081 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240082 */   // GIR_Coverage, 48368,
     /* 2240082 */   GIR_EraseRootFromParent_Done,
     /* 2240083 */ // Label 29985: @2240083
     /* 2240083 */ GIM_Try, /*On fail goto*//*Label 29986*/ GIMT_Encode4(2240131), // Rule ID 48375 //
     /* 2240088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240094 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240101 */   // MIs[0] Operand 1
     /* 2240101 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2240106 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240110 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240114 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2240117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240119 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240121 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240129 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240130 */   // GIR_Coverage, 48375,
     /* 2240130 */   GIR_EraseRootFromParent_Done,
     /* 2240131 */ // Label 29986: @2240131
     /* 2240131 */ GIM_Try, /*On fail goto*//*Label 29987*/ GIMT_Encode4(2240179), // Rule ID 48376 //
     /* 2240136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240142 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240149 */   // MIs[0] Operand 1
     /* 2240149 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2240154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240158 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240162 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2240162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2240165 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240167 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240169 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240177 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240178 */   // GIR_Coverage, 48376,
     /* 2240178 */   GIR_EraseRootFromParent_Done,
     /* 2240179 */ // Label 29987: @2240179
     /* 2240179 */ GIM_Try, /*On fail goto*//*Label 29988*/ GIMT_Encode4(2240227), // Rule ID 48383 //
     /* 2240184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240190 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240197 */   // MIs[0] Operand 1
     /* 2240197 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2240202 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240206 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240210 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2240213 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240215 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240217 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240225 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240226 */   // GIR_Coverage, 48383,
     /* 2240226 */   GIR_EraseRootFromParent_Done,
     /* 2240227 */ // Label 29988: @2240227
     /* 2240227 */ GIM_Try, /*On fail goto*//*Label 29989*/ GIMT_Encode4(2240275), // Rule ID 48384 //
     /* 2240232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240238 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240245 */   // MIs[0] Operand 1
     /* 2240245 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2240250 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240254 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240258 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240258 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2240261 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240263 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240265 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240273 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240274 */   // GIR_Coverage, 48384,
     /* 2240274 */   GIR_EraseRootFromParent_Done,
     /* 2240275 */ // Label 29989: @2240275
     /* 2240275 */ GIM_Try, /*On fail goto*//*Label 29990*/ GIMT_Encode4(2240323), // Rule ID 48393 //
     /* 2240280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240286 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240293 */   // MIs[0] Operand 1
     /* 2240293 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2240298 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240302 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240306 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240306 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2240309 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240311 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240313 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240321 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240322 */   // GIR_Coverage, 48393,
     /* 2240322 */   GIR_EraseRootFromParent_Done,
     /* 2240323 */ // Label 29990: @2240323
     /* 2240323 */ GIM_Try, /*On fail goto*//*Label 29991*/ GIMT_Encode4(2240371), // Rule ID 48394 //
     /* 2240328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240331 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240334 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240341 */   // MIs[0] Operand 1
     /* 2240341 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2240346 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240350 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240354 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2240357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240359 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240361 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240369 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240370 */   // GIR_Coverage, 48394,
     /* 2240370 */   GIR_EraseRootFromParent_Done,
     /* 2240371 */ // Label 29991: @2240371
     /* 2240371 */ GIM_Try, /*On fail goto*//*Label 29992*/ GIMT_Encode4(2240419), // Rule ID 48411 //
     /* 2240376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240382 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240389 */   // MIs[0] Operand 1
     /* 2240389 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2240394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240398 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240402 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2240405 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240407 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240409 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240417 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240418 */   // GIR_Coverage, 48411,
     /* 2240418 */   GIR_EraseRootFromParent_Done,
     /* 2240419 */ // Label 29992: @2240419
     /* 2240419 */ GIM_Try, /*On fail goto*//*Label 29993*/ GIMT_Encode4(2240467), // Rule ID 48412 //
     /* 2240424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240427 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240430 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240437 */   // MIs[0] Operand 1
     /* 2240437 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2240442 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240446 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240450 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2240453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240455 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240457 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240465 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240466 */   // GIR_Coverage, 48412,
     /* 2240466 */   GIR_EraseRootFromParent_Done,
     /* 2240467 */ // Label 29993: @2240467
     /* 2240467 */ GIM_Try, /*On fail goto*//*Label 29994*/ GIMT_Encode4(2240515), // Rule ID 48419 //
     /* 2240472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240478 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240485 */   // MIs[0] Operand 1
     /* 2240485 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2240490 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240494 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240498 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240498 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2240501 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240503 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240505 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240513 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240514 */   // GIR_Coverage, 48419,
     /* 2240514 */   GIR_EraseRootFromParent_Done,
     /* 2240515 */ // Label 29994: @2240515
     /* 2240515 */ GIM_Try, /*On fail goto*//*Label 29995*/ GIMT_Encode4(2240563), // Rule ID 48420 //
     /* 2240520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240523 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240526 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240533 */   // MIs[0] Operand 1
     /* 2240533 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2240538 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240542 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240546 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2240546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2240549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240551 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240553 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240561 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240562 */   // GIR_Coverage, 48420,
     /* 2240562 */   GIR_EraseRootFromParent_Done,
     /* 2240563 */ // Label 29995: @2240563
     /* 2240563 */ GIM_Try, /*On fail goto*//*Label 29996*/ GIMT_Encode4(2240611), // Rule ID 48427 //
     /* 2240568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240574 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240581 */   // MIs[0] Operand 1
     /* 2240581 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2240586 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240590 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240594 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240594 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2240597 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240599 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240601 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240609 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240610 */   // GIR_Coverage, 48427,
     /* 2240610 */   GIR_EraseRootFromParent_Done,
     /* 2240611 */ // Label 29996: @2240611
     /* 2240611 */ GIM_Try, /*On fail goto*//*Label 29997*/ GIMT_Encode4(2240659), // Rule ID 48428 //
     /* 2240616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2240622 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2240625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240629 */   // MIs[0] Operand 1
     /* 2240629 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2240634 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240638 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240642 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2240645 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240647 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240649 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240657 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240658 */   // GIR_Coverage, 48428,
     /* 2240658 */   GIR_EraseRootFromParent_Done,
     /* 2240659 */ // Label 29997: @2240659
     /* 2240659 */ GIM_Try, /*On fail goto*//*Label 29998*/ GIMT_Encode4(2240707), // Rule ID 48437 //
     /* 2240664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240670 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240677 */   // MIs[0] Operand 1
     /* 2240677 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2240682 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240686 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240690 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2240693 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240695 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240697 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240705 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240706 */   // GIR_Coverage, 48437,
     /* 2240706 */   GIR_EraseRootFromParent_Done,
     /* 2240707 */ // Label 29998: @2240707
     /* 2240707 */ GIM_Try, /*On fail goto*//*Label 29999*/ GIMT_Encode4(2240755), // Rule ID 48438 //
     /* 2240712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240718 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2240721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240725 */   // MIs[0] Operand 1
     /* 2240725 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2240730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240734 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240738 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2240741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240743 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240745 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240753 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240754 */   // GIR_Coverage, 48438,
     /* 2240754 */   GIR_EraseRootFromParent_Done,
     /* 2240755 */ // Label 29999: @2240755
     /* 2240755 */ GIM_Try, /*On fail goto*//*Label 30000*/ GIMT_Encode4(2240803), // Rule ID 48455 //
     /* 2240760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240763 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240766 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240773 */   // MIs[0] Operand 1
     /* 2240773 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2240778 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240782 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240786 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240786 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2240789 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240791 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240793 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240801 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240802 */   // GIR_Coverage, 48455,
     /* 2240802 */   GIR_EraseRootFromParent_Done,
     /* 2240803 */ // Label 30000: @2240803
     /* 2240803 */ GIM_Try, /*On fail goto*//*Label 30001*/ GIMT_Encode4(2240851), // Rule ID 48456 //
     /* 2240808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2240814 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2240817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240821 */   // MIs[0] Operand 1
     /* 2240821 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2240826 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240830 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240834 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2240837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240839 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240841 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240849 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240850 */   // GIR_Coverage, 48456,
     /* 2240850 */   GIR_EraseRootFromParent_Done,
     /* 2240851 */ // Label 30001: @2240851
     /* 2240851 */ GIM_Try, /*On fail goto*//*Label 30002*/ GIMT_Encode4(2240899), // Rule ID 48463 //
     /* 2240856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2240859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240862 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240869 */   // MIs[0] Operand 1
     /* 2240869 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2240874 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240878 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240882 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2240885 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240887 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240889 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240897 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240898 */   // GIR_Coverage, 48463,
     /* 2240898 */   GIR_EraseRootFromParent_Done,
     /* 2240899 */ // Label 30002: @2240899
     /* 2240899 */ GIM_Try, /*On fail goto*//*Label 30003*/ GIMT_Encode4(2240947), // Rule ID 48464 //
     /* 2240904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2240910 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2240913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240917 */   // MIs[0] Operand 1
     /* 2240917 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2240922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240926 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240930 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2240930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2240933 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240935 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240937 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240945 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240946 */   // GIR_Coverage, 48464,
     /* 2240946 */   GIR_EraseRootFromParent_Done,
     /* 2240947 */ // Label 30003: @2240947
     /* 2240947 */ GIM_Reject,
     /* 2240948 */ // Label 29665: @2240948
     /* 2240948 */ GIM_Try, /*On fail goto*//*Label 30004*/ GIMT_Encode4(2240996), // Rule ID 48041 //
     /* 2240953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2240959 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2240962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240966 */   // MIs[0] Operand 1
     /* 2240966 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2240971 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240975 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240979 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2240982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240984 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240986 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240994 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240995 */   // GIR_Coverage, 48041,
     /* 2240995 */   GIR_EraseRootFromParent_Done,
     /* 2240996 */ // Label 30004: @2240996
     /* 2240996 */ GIM_Try, /*On fail goto*//*Label 30005*/ GIMT_Encode4(2241044), // Rule ID 48042 //
     /* 2241001 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2241007 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2241010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241014 */   // MIs[0] Operand 1
     /* 2241014 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2241019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241023 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241027 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2241030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241032 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241034 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241042 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241043 */   // GIR_Coverage, 48042,
     /* 2241043 */   GIR_EraseRootFromParent_Done,
     /* 2241044 */ // Label 30005: @2241044
     /* 2241044 */ GIM_Try, /*On fail goto*//*Label 30006*/ GIMT_Encode4(2241092), // Rule ID 48055 //
     /* 2241049 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2241055 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2241058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241062 */   // MIs[0] Operand 1
     /* 2241062 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2241067 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241071 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241075 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2241078 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241080 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241082 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241090 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241091 */   // GIR_Coverage, 48055,
     /* 2241091 */   GIR_EraseRootFromParent_Done,
     /* 2241092 */ // Label 30006: @2241092
     /* 2241092 */ GIM_Try, /*On fail goto*//*Label 30007*/ GIMT_Encode4(2241140), // Rule ID 48056 //
     /* 2241097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2241103 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2241106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241110 */   // MIs[0] Operand 1
     /* 2241110 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2241115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241119 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241123 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241123 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2241126 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241128 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241130 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241138 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241139 */   // GIR_Coverage, 48056,
     /* 2241139 */   GIR_EraseRootFromParent_Done,
     /* 2241140 */ // Label 30007: @2241140
     /* 2241140 */ GIM_Try, /*On fail goto*//*Label 30008*/ GIMT_Encode4(2241188), // Rule ID 48063 //
     /* 2241145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2241151 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2241154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241158 */   // MIs[0] Operand 1
     /* 2241158 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2241163 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241167 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241171 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241171 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2241174 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241176 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241178 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241186 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241187 */   // GIR_Coverage, 48063,
     /* 2241187 */   GIR_EraseRootFromParent_Done,
     /* 2241188 */ // Label 30008: @2241188
     /* 2241188 */ GIM_Try, /*On fail goto*//*Label 30009*/ GIMT_Encode4(2241236), // Rule ID 48064 //
     /* 2241193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2241199 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2241202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241206 */   // MIs[0] Operand 1
     /* 2241206 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2241211 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241215 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241219 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2241222 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241224 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241226 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241235 */   // GIR_Coverage, 48064,
     /* 2241235 */   GIR_EraseRootFromParent_Done,
     /* 2241236 */ // Label 30009: @2241236
     /* 2241236 */ GIM_Try, /*On fail goto*//*Label 30010*/ GIMT_Encode4(2241284), // Rule ID 48071 //
     /* 2241241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2241244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2241247 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2241250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241254 */   // MIs[0] Operand 1
     /* 2241254 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2241259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241263 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241267 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2241267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2241270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241272 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241274 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241283 */   // GIR_Coverage, 48071,
     /* 2241283 */   GIR_EraseRootFromParent_Done,
     /* 2241284 */ // Label 30010: @2241284
     /* 2241284 */ GIM_Try, /*On fail goto*//*Label 30011*/ GIMT_Encode4(2241332), // Rule ID 48072 //
     /* 2241289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2241292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2241295 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2241298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241302 */   // MIs[0] Operand 1
     /* 2241302 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2241307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241311 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241315 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2241315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2241318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241320 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241322 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241331 */   // GIR_Coverage, 48072,
     /* 2241331 */   GIR_EraseRootFromParent_Done,
     /* 2241332 */ // Label 30011: @2241332
     /* 2241332 */ GIM_Try, /*On fail goto*//*Label 30012*/ GIMT_Encode4(2241380), // Rule ID 48085 //
     /* 2241337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2241343 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2241346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241350 */   // MIs[0] Operand 1
     /* 2241350 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2241355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241359 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241363 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2241366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241368 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241370 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241378 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241379 */   // GIR_Coverage, 48085,
     /* 2241379 */   GIR_EraseRootFromParent_Done,
     /* 2241380 */ // Label 30012: @2241380
     /* 2241380 */ GIM_Try, /*On fail goto*//*Label 30013*/ GIMT_Encode4(2241428), // Rule ID 48086 //
     /* 2241385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2241391 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2241394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241398 */   // MIs[0] Operand 1
     /* 2241398 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2241403 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241407 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241411 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2241414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241416 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241418 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241427 */   // GIR_Coverage, 48086,
     /* 2241427 */   GIR_EraseRootFromParent_Done,
     /* 2241428 */ // Label 30013: @2241428
     /* 2241428 */ GIM_Try, /*On fail goto*//*Label 30014*/ GIMT_Encode4(2241476), // Rule ID 48099 //
     /* 2241433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2241439 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2241442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241446 */   // MIs[0] Operand 1
     /* 2241446 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2241451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241455 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241459 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2241462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241464 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241466 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241475 */   // GIR_Coverage, 48099,
     /* 2241475 */   GIR_EraseRootFromParent_Done,
     /* 2241476 */ // Label 30014: @2241476
     /* 2241476 */ GIM_Try, /*On fail goto*//*Label 30015*/ GIMT_Encode4(2241524), // Rule ID 48100 //
     /* 2241481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2241487 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2241490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241494 */   // MIs[0] Operand 1
     /* 2241494 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2241499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241503 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241507 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2241510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241512 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241514 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241522 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241523 */   // GIR_Coverage, 48100,
     /* 2241523 */   GIR_EraseRootFromParent_Done,
     /* 2241524 */ // Label 30015: @2241524
     /* 2241524 */ GIM_Try, /*On fail goto*//*Label 30016*/ GIMT_Encode4(2241572), // Rule ID 48107 //
     /* 2241529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2241535 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2241538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241542 */   // MIs[0] Operand 1
     /* 2241542 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2241547 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241551 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241555 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2241558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241560 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241562 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241570 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241571 */   // GIR_Coverage, 48107,
     /* 2241571 */   GIR_EraseRootFromParent_Done,
     /* 2241572 */ // Label 30016: @2241572
     /* 2241572 */ GIM_Try, /*On fail goto*//*Label 30017*/ GIMT_Encode4(2241620), // Rule ID 48108 //
     /* 2241577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2241583 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2241586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241590 */   // MIs[0] Operand 1
     /* 2241590 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2241595 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241599 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241603 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2241606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241608 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241610 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241618 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241619 */   // GIR_Coverage, 48108,
     /* 2241619 */   GIR_EraseRootFromParent_Done,
     /* 2241620 */ // Label 30017: @2241620
     /* 2241620 */ GIM_Try, /*On fail goto*//*Label 30018*/ GIMT_Encode4(2241668), // Rule ID 48115 //
     /* 2241625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2241628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2241631 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2241634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241638 */   // MIs[0] Operand 1
     /* 2241638 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2241643 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241647 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241651 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2241651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2241654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241656 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241658 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241666 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241667 */   // GIR_Coverage, 48115,
     /* 2241667 */   GIR_EraseRootFromParent_Done,
     /* 2241668 */ // Label 30018: @2241668
     /* 2241668 */ GIM_Try, /*On fail goto*//*Label 30019*/ GIMT_Encode4(2241716), // Rule ID 48116 //
     /* 2241673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2241676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2241679 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2241682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241686 */   // MIs[0] Operand 1
     /* 2241686 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2241691 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241695 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241699 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2241699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2241702 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241704 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241706 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241714 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241715 */   // GIR_Coverage, 48116,
     /* 2241715 */   GIR_EraseRootFromParent_Done,
     /* 2241716 */ // Label 30019: @2241716
     /* 2241716 */ GIM_Try, /*On fail goto*//*Label 30020*/ GIMT_Encode4(2241764), // Rule ID 48129 //
     /* 2241721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241724 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2241727 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2241730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241734 */   // MIs[0] Operand 1
     /* 2241734 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2241739 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241743 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241747 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2241750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241752 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241754 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241762 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241763 */   // GIR_Coverage, 48129,
     /* 2241763 */   GIR_EraseRootFromParent_Done,
     /* 2241764 */ // Label 30020: @2241764
     /* 2241764 */ GIM_Try, /*On fail goto*//*Label 30021*/ GIMT_Encode4(2241812), // Rule ID 48130 //
     /* 2241769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2241775 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2241778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241782 */   // MIs[0] Operand 1
     /* 2241782 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2241787 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241791 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241795 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241795 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2241798 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241800 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241802 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241811 */   // GIR_Coverage, 48130,
     /* 2241811 */   GIR_EraseRootFromParent_Done,
     /* 2241812 */ // Label 30021: @2241812
     /* 2241812 */ GIM_Try, /*On fail goto*//*Label 30022*/ GIMT_Encode4(2241860), // Rule ID 48143 //
     /* 2241817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2241823 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2241826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241830 */   // MIs[0] Operand 1
     /* 2241830 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2241835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241839 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241843 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2241846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241848 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241850 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241858 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241859 */   // GIR_Coverage, 48143,
     /* 2241859 */   GIR_EraseRootFromParent_Done,
     /* 2241860 */ // Label 30022: @2241860
     /* 2241860 */ GIM_Try, /*On fail goto*//*Label 30023*/ GIMT_Encode4(2241908), // Rule ID 48144 //
     /* 2241865 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2241871 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2241874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241878 */   // MIs[0] Operand 1
     /* 2241878 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2241883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241887 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241891 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2241894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241896 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241898 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241906 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241907 */   // GIR_Coverage, 48144,
     /* 2241907 */   GIR_EraseRootFromParent_Done,
     /* 2241908 */ // Label 30023: @2241908
     /* 2241908 */ GIM_Try, /*On fail goto*//*Label 30024*/ GIMT_Encode4(2241956), // Rule ID 48151 //
     /* 2241913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2241919 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2241922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241926 */   // MIs[0] Operand 1
     /* 2241926 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2241931 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241935 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241939 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2241942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241944 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241946 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241954 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241955 */   // GIR_Coverage, 48151,
     /* 2241955 */   GIR_EraseRootFromParent_Done,
     /* 2241956 */ // Label 30024: @2241956
     /* 2241956 */ GIM_Try, /*On fail goto*//*Label 30025*/ GIMT_Encode4(2242004), // Rule ID 48152 //
     /* 2241961 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2241967 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2241970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241974 */   // MIs[0] Operand 1
     /* 2241974 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2241979 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241983 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241987 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241987 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2241990 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241992 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241994 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242002 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242003 */   // GIR_Coverage, 48152,
     /* 2242003 */   GIR_EraseRootFromParent_Done,
     /* 2242004 */ // Label 30025: @2242004
     /* 2242004 */ GIM_Try, /*On fail goto*//*Label 30026*/ GIMT_Encode4(2242052), // Rule ID 48159 //
     /* 2242009 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242012 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242015 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2242018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242022 */   // MIs[0] Operand 1
     /* 2242022 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2242027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242031 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242035 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2242038 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242040 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242042 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242050 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242051 */   // GIR_Coverage, 48159,
     /* 2242051 */   GIR_EraseRootFromParent_Done,
     /* 2242052 */ // Label 30026: @2242052
     /* 2242052 */ GIM_Try, /*On fail goto*//*Label 30027*/ GIMT_Encode4(2242100), // Rule ID 48160 //
     /* 2242057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242063 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2242066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242070 */   // MIs[0] Operand 1
     /* 2242070 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2242075 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242079 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242083 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242083 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2242086 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242088 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242090 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242099 */   // GIR_Coverage, 48160,
     /* 2242099 */   GIR_EraseRootFromParent_Done,
     /* 2242100 */ // Label 30027: @2242100
     /* 2242100 */ GIM_Try, /*On fail goto*//*Label 30028*/ GIMT_Encode4(2242148), // Rule ID 48171 //
     /* 2242105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242108 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242111 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242118 */   // MIs[0] Operand 1
     /* 2242118 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2242123 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242127 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242131 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242131 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2242134 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242136 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242138 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242146 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242147 */   // GIR_Coverage, 48171,
     /* 2242147 */   GIR_EraseRootFromParent_Done,
     /* 2242148 */ // Label 30028: @2242148
     /* 2242148 */ GIM_Try, /*On fail goto*//*Label 30029*/ GIMT_Encode4(2242196), // Rule ID 48172 //
     /* 2242153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242156 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242159 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242166 */   // MIs[0] Operand 1
     /* 2242166 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2242171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242175 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242179 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2242182 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242184 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242186 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242194 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242195 */   // GIR_Coverage, 48172,
     /* 2242195 */   GIR_EraseRootFromParent_Done,
     /* 2242196 */ // Label 30029: @2242196
     /* 2242196 */ GIM_Try, /*On fail goto*//*Label 30030*/ GIMT_Encode4(2242244), // Rule ID 48185 //
     /* 2242201 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2242207 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2242210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242214 */   // MIs[0] Operand 1
     /* 2242214 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2242219 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242223 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242227 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2242230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242232 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242234 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242242 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242243 */   // GIR_Coverage, 48185,
     /* 2242243 */   GIR_EraseRootFromParent_Done,
     /* 2242244 */ // Label 30030: @2242244
     /* 2242244 */ GIM_Try, /*On fail goto*//*Label 30031*/ GIMT_Encode4(2242292), // Rule ID 48186 //
     /* 2242249 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2242255 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2242258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242262 */   // MIs[0] Operand 1
     /* 2242262 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2242267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242271 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242275 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2242275 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2242278 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242280 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242282 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242290 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242291 */   // GIR_Coverage, 48186,
     /* 2242291 */   GIR_EraseRootFromParent_Done,
     /* 2242292 */ // Label 30031: @2242292
     /* 2242292 */ GIM_Try, /*On fail goto*//*Label 30032*/ GIMT_Encode4(2242340), // Rule ID 48193 //
     /* 2242297 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242303 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2242306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242310 */   // MIs[0] Operand 1
     /* 2242310 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2242315 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242319 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242323 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2242326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242328 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242330 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242338 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242339 */   // GIR_Coverage, 48193,
     /* 2242339 */   GIR_EraseRootFromParent_Done,
     /* 2242340 */ // Label 30032: @2242340
     /* 2242340 */ GIM_Try, /*On fail goto*//*Label 30033*/ GIMT_Encode4(2242388), // Rule ID 48194 //
     /* 2242345 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242351 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2242354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242358 */   // MIs[0] Operand 1
     /* 2242358 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2242363 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242367 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242371 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2242374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242376 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242378 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242386 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242387 */   // GIR_Coverage, 48194,
     /* 2242387 */   GIR_EraseRootFromParent_Done,
     /* 2242388 */ // Label 30033: @2242388
     /* 2242388 */ GIM_Try, /*On fail goto*//*Label 30034*/ GIMT_Encode4(2242436), // Rule ID 48201 //
     /* 2242393 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242399 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2242402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242406 */   // MIs[0] Operand 1
     /* 2242406 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2242411 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242415 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242419 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2242422 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242424 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242426 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242434 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242435 */   // GIR_Coverage, 48201,
     /* 2242435 */   GIR_EraseRootFromParent_Done,
     /* 2242436 */ // Label 30034: @2242436
     /* 2242436 */ GIM_Try, /*On fail goto*//*Label 30035*/ GIMT_Encode4(2242484), // Rule ID 48202 //
     /* 2242441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242447 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2242450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242454 */   // MIs[0] Operand 1
     /* 2242454 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2242459 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242463 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242467 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2242470 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242472 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242474 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242482 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242483 */   // GIR_Coverage, 48202,
     /* 2242483 */   GIR_EraseRootFromParent_Done,
     /* 2242484 */ // Label 30035: @2242484
     /* 2242484 */ GIM_Try, /*On fail goto*//*Label 30036*/ GIMT_Encode4(2242532), // Rule ID 48215 //
     /* 2242489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242492 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242495 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242502 */   // MIs[0] Operand 1
     /* 2242502 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2242507 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242511 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242515 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2242518 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242520 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242522 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242530 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242531 */   // GIR_Coverage, 48215,
     /* 2242531 */   GIR_EraseRootFromParent_Done,
     /* 2242532 */ // Label 30036: @2242532
     /* 2242532 */ GIM_Try, /*On fail goto*//*Label 30037*/ GIMT_Encode4(2242580), // Rule ID 48216 //
     /* 2242537 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242543 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242550 */   // MIs[0] Operand 1
     /* 2242550 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2242555 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242559 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242563 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2242566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242568 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242570 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242578 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242579 */   // GIR_Coverage, 48216,
     /* 2242579 */   GIR_EraseRootFromParent_Done,
     /* 2242580 */ // Label 30037: @2242580
     /* 2242580 */ GIM_Try, /*On fail goto*//*Label 30038*/ GIMT_Encode4(2242628), // Rule ID 48229 //
     /* 2242585 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242588 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2242591 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2242594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242598 */   // MIs[0] Operand 1
     /* 2242598 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2242603 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242607 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242611 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2242614 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242616 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242618 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242626 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242627 */   // GIR_Coverage, 48229,
     /* 2242627 */   GIR_EraseRootFromParent_Done,
     /* 2242628 */ // Label 30038: @2242628
     /* 2242628 */ GIM_Try, /*On fail goto*//*Label 30039*/ GIMT_Encode4(2242676), // Rule ID 48230 //
     /* 2242633 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2242639 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2242642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242646 */   // MIs[0] Operand 1
     /* 2242646 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2242651 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242655 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242659 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2242659 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2242662 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242664 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242666 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242674 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242675 */   // GIR_Coverage, 48230,
     /* 2242675 */   GIR_EraseRootFromParent_Done,
     /* 2242676 */ // Label 30039: @2242676
     /* 2242676 */ GIM_Try, /*On fail goto*//*Label 30040*/ GIMT_Encode4(2242724), // Rule ID 48237 //
     /* 2242681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242684 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242687 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2242690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242694 */   // MIs[0] Operand 1
     /* 2242694 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2242699 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242703 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242707 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242707 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2242710 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242712 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242714 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242722 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242723 */   // GIR_Coverage, 48237,
     /* 2242723 */   GIR_EraseRootFromParent_Done,
     /* 2242724 */ // Label 30040: @2242724
     /* 2242724 */ GIM_Try, /*On fail goto*//*Label 30041*/ GIMT_Encode4(2242772), // Rule ID 48238 //
     /* 2242729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242732 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242735 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2242738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242742 */   // MIs[0] Operand 1
     /* 2242742 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2242747 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242751 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242755 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242755 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2242758 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242760 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242762 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242770 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242771 */   // GIR_Coverage, 48238,
     /* 2242771 */   GIR_EraseRootFromParent_Done,
     /* 2242772 */ // Label 30041: @2242772
     /* 2242772 */ GIM_Try, /*On fail goto*//*Label 30042*/ GIMT_Encode4(2242820), // Rule ID 48245 //
     /* 2242777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242780 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242783 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2242786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242790 */   // MIs[0] Operand 1
     /* 2242790 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2242795 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242799 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242803 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2242803 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2242806 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242808 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242810 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242818 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242819 */   // GIR_Coverage, 48245,
     /* 2242819 */   GIR_EraseRootFromParent_Done,
     /* 2242820 */ // Label 30042: @2242820
     /* 2242820 */ GIM_Try, /*On fail goto*//*Label 30043*/ GIMT_Encode4(2242868), // Rule ID 48246 //
     /* 2242825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242828 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242831 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2242834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242838 */   // MIs[0] Operand 1
     /* 2242838 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2242843 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242847 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242851 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2242851 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2242854 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242856 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242858 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242867 */   // GIR_Coverage, 48246,
     /* 2242867 */   GIR_EraseRootFromParent_Done,
     /* 2242868 */ // Label 30043: @2242868
     /* 2242868 */ GIM_Try, /*On fail goto*//*Label 30044*/ GIMT_Encode4(2242916), // Rule ID 48259 //
     /* 2242873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242879 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242886 */   // MIs[0] Operand 1
     /* 2242886 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2242891 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242895 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242899 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2242902 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242904 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242906 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242914 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242915 */   // GIR_Coverage, 48259,
     /* 2242915 */   GIR_EraseRootFromParent_Done,
     /* 2242916 */ // Label 30044: @2242916
     /* 2242916 */ GIM_Try, /*On fail goto*//*Label 30045*/ GIMT_Encode4(2242964), // Rule ID 48260 //
     /* 2242921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242924 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242927 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2242930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242934 */   // MIs[0] Operand 1
     /* 2242934 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2242939 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242943 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242947 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242947 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2242950 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242952 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242954 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242962 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242963 */   // GIR_Coverage, 48260,
     /* 2242963 */   GIR_EraseRootFromParent_Done,
     /* 2242964 */ // Label 30045: @2242964
     /* 2242964 */ GIM_Try, /*On fail goto*//*Label 30046*/ GIMT_Encode4(2243012), // Rule ID 48273 //
     /* 2242969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2242975 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2242978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242982 */   // MIs[0] Operand 1
     /* 2242982 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2242987 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242991 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242995 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2242998 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243000 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243002 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243010 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243011 */   // GIR_Coverage, 48273,
     /* 2243011 */   GIR_EraseRootFromParent_Done,
     /* 2243012 */ // Label 30046: @2243012
     /* 2243012 */ GIM_Try, /*On fail goto*//*Label 30047*/ GIMT_Encode4(2243060), // Rule ID 48274 //
     /* 2243017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243023 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243030 */   // MIs[0] Operand 1
     /* 2243030 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2243035 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243039 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243043 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243043 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2243046 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243048 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243050 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243058 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243059 */   // GIR_Coverage, 48274,
     /* 2243059 */   GIR_EraseRootFromParent_Done,
     /* 2243060 */ // Label 30047: @2243060
     /* 2243060 */ GIM_Try, /*On fail goto*//*Label 30048*/ GIMT_Encode4(2243108), // Rule ID 48281 //
     /* 2243065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243068 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243071 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243078 */   // MIs[0] Operand 1
     /* 2243078 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2243083 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243087 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243091 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243091 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2243094 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243096 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243098 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243106 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243107 */   // GIR_Coverage, 48281,
     /* 2243107 */   GIR_EraseRootFromParent_Done,
     /* 2243108 */ // Label 30048: @2243108
     /* 2243108 */ GIM_Try, /*On fail goto*//*Label 30049*/ GIMT_Encode4(2243156), // Rule ID 48282 //
     /* 2243113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243119 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243126 */   // MIs[0] Operand 1
     /* 2243126 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2243131 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243135 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243139 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2243142 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243144 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243146 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243154 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243155 */   // GIR_Coverage, 48282,
     /* 2243155 */   GIR_EraseRootFromParent_Done,
     /* 2243156 */ // Label 30049: @2243156
     /* 2243156 */ GIM_Try, /*On fail goto*//*Label 30050*/ GIMT_Encode4(2243204), // Rule ID 48289 //
     /* 2243161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2243164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243167 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243174 */   // MIs[0] Operand 1
     /* 2243174 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2243179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243183 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243187 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2243187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2243190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243192 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243194 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243202 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243203 */   // GIR_Coverage, 48289,
     /* 2243203 */   GIR_EraseRootFromParent_Done,
     /* 2243204 */ // Label 30050: @2243204
     /* 2243204 */ GIM_Try, /*On fail goto*//*Label 30051*/ GIMT_Encode4(2243252), // Rule ID 48290 //
     /* 2243209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2243212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243215 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243222 */   // MIs[0] Operand 1
     /* 2243222 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2243227 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243231 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243235 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2243235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2243238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243240 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243242 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243250 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243251 */   // GIR_Coverage, 48290,
     /* 2243251 */   GIR_EraseRootFromParent_Done,
     /* 2243252 */ // Label 30051: @2243252
     /* 2243252 */ GIM_Try, /*On fail goto*//*Label 30052*/ GIMT_Encode4(2243300), // Rule ID 48303 //
     /* 2243257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243263 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243270 */   // MIs[0] Operand 1
     /* 2243270 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2243275 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243279 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243283 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2243286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243288 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243290 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243298 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243299 */   // GIR_Coverage, 48303,
     /* 2243299 */   GIR_EraseRootFromParent_Done,
     /* 2243300 */ // Label 30052: @2243300
     /* 2243300 */ GIM_Try, /*On fail goto*//*Label 30053*/ GIMT_Encode4(2243348), // Rule ID 48304 //
     /* 2243305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243311 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243318 */   // MIs[0] Operand 1
     /* 2243318 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2243323 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243327 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243331 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2243334 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243336 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243338 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243346 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243347 */   // GIR_Coverage, 48304,
     /* 2243347 */   GIR_EraseRootFromParent_Done,
     /* 2243348 */ // Label 30053: @2243348
     /* 2243348 */ GIM_Try, /*On fail goto*//*Label 30054*/ GIMT_Encode4(2243396), // Rule ID 48317 //
     /* 2243353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243359 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243366 */   // MIs[0] Operand 1
     /* 2243366 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2243371 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243375 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243379 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243379 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2243382 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243384 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243386 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243394 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243395 */   // GIR_Coverage, 48317,
     /* 2243395 */   GIR_EraseRootFromParent_Done,
     /* 2243396 */ // Label 30054: @2243396
     /* 2243396 */ GIM_Try, /*On fail goto*//*Label 30055*/ GIMT_Encode4(2243444), // Rule ID 48318 //
     /* 2243401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243404 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243407 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243414 */   // MIs[0] Operand 1
     /* 2243414 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2243419 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243423 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243427 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2243430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243432 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243434 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243442 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243443 */   // GIR_Coverage, 48318,
     /* 2243443 */   GIR_EraseRootFromParent_Done,
     /* 2243444 */ // Label 30055: @2243444
     /* 2243444 */ GIM_Try, /*On fail goto*//*Label 30056*/ GIMT_Encode4(2243492), // Rule ID 48325 //
     /* 2243449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243455 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243462 */   // MIs[0] Operand 1
     /* 2243462 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2243467 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243471 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243475 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2243478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243480 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243482 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243490 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243491 */   // GIR_Coverage, 48325,
     /* 2243491 */   GIR_EraseRootFromParent_Done,
     /* 2243492 */ // Label 30056: @2243492
     /* 2243492 */ GIM_Try, /*On fail goto*//*Label 30057*/ GIMT_Encode4(2243540), // Rule ID 48326 //
     /* 2243497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243503 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243510 */   // MIs[0] Operand 1
     /* 2243510 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2243515 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243519 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243523 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243523 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2243526 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243528 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243530 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243538 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243539 */   // GIR_Coverage, 48326,
     /* 2243539 */   GIR_EraseRootFromParent_Done,
     /* 2243540 */ // Label 30057: @2243540
     /* 2243540 */ GIM_Try, /*On fail goto*//*Label 30058*/ GIMT_Encode4(2243588), // Rule ID 48333 //
     /* 2243545 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2243548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243551 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243558 */   // MIs[0] Operand 1
     /* 2243558 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2243563 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243567 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243571 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2243571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2243574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243576 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243578 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243586 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243587 */   // GIR_Coverage, 48333,
     /* 2243587 */   GIR_EraseRootFromParent_Done,
     /* 2243588 */ // Label 30058: @2243588
     /* 2243588 */ GIM_Try, /*On fail goto*//*Label 30059*/ GIMT_Encode4(2243636), // Rule ID 48334 //
     /* 2243593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2243596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243599 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243606 */   // MIs[0] Operand 1
     /* 2243606 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2243611 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243615 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243619 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2243619 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2243622 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243624 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243626 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243634 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243635 */   // GIR_Coverage, 48334,
     /* 2243635 */   GIR_EraseRootFromParent_Done,
     /* 2243636 */ // Label 30059: @2243636
     /* 2243636 */ GIM_Try, /*On fail goto*//*Label 30060*/ GIMT_Encode4(2243684), // Rule ID 48347 //
     /* 2243641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243647 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243654 */   // MIs[0] Operand 1
     /* 2243654 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2243659 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243663 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243667 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2243670 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243672 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243674 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243682 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243683 */   // GIR_Coverage, 48347,
     /* 2243683 */   GIR_EraseRootFromParent_Done,
     /* 2243684 */ // Label 30060: @2243684
     /* 2243684 */ GIM_Try, /*On fail goto*//*Label 30061*/ GIMT_Encode4(2243732), // Rule ID 48348 //
     /* 2243689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2243695 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2243698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243702 */   // MIs[0] Operand 1
     /* 2243702 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2243707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243711 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243715 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243715 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2243718 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243720 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243722 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243730 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243731 */   // GIR_Coverage, 48348,
     /* 2243731 */   GIR_EraseRootFromParent_Done,
     /* 2243732 */ // Label 30061: @2243732
     /* 2243732 */ GIM_Try, /*On fail goto*//*Label 30062*/ GIMT_Encode4(2243780), // Rule ID 48361 //
     /* 2243737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243740 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243743 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243750 */   // MIs[0] Operand 1
     /* 2243750 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2243755 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243759 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243763 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2243766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243768 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243770 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243778 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243779 */   // GIR_Coverage, 48361,
     /* 2243779 */   GIR_EraseRootFromParent_Done,
     /* 2243780 */ // Label 30062: @2243780
     /* 2243780 */ GIM_Try, /*On fail goto*//*Label 30063*/ GIMT_Encode4(2243828), // Rule ID 48362 //
     /* 2243785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2243791 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2243794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243798 */   // MIs[0] Operand 1
     /* 2243798 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2243803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243807 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2243811 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243811 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2243814 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243816 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243818 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243826 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243827 */   // GIR_Coverage, 48362,
     /* 2243827 */   GIR_EraseRootFromParent_Done,
     /* 2243828 */ // Label 30063: @2243828
     /* 2243828 */ GIM_Try, /*On fail goto*//*Label 30064*/ GIMT_Encode4(2243876), // Rule ID 48369 //
     /* 2243833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243839 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243846 */   // MIs[0] Operand 1
     /* 2243846 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2243851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243855 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243859 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2243859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2243862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243864 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243866 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243875 */   // GIR_Coverage, 48369,
     /* 2243875 */   GIR_EraseRootFromParent_Done,
     /* 2243876 */ // Label 30064: @2243876
     /* 2243876 */ GIM_Try, /*On fail goto*//*Label 30065*/ GIMT_Encode4(2243924), // Rule ID 48370 //
     /* 2243881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2243887 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2243890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243894 */   // MIs[0] Operand 1
     /* 2243894 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2243899 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243903 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243907 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2243907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2243910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243912 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243914 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243922 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243923 */   // GIR_Coverage, 48370,
     /* 2243923 */   GIR_EraseRootFromParent_Done,
     /* 2243924 */ // Label 30065: @2243924
     /* 2243924 */ GIM_Try, /*On fail goto*//*Label 30066*/ GIMT_Encode4(2243972), // Rule ID 48377 //
     /* 2243929 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2243932 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243935 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243942 */   // MIs[0] Operand 1
     /* 2243942 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2243947 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243951 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243955 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2243955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2243958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243960 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243962 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243970 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243971 */   // GIR_Coverage, 48377,
     /* 2243971 */   GIR_EraseRootFromParent_Done,
     /* 2243972 */ // Label 30066: @2243972
     /* 2243972 */ GIM_Try, /*On fail goto*//*Label 30067*/ GIMT_Encode4(2244020), // Rule ID 48378 //
     /* 2243977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2243980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243983 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2243986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243990 */   // MIs[0] Operand 1
     /* 2243990 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2243995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243999 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244003 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2244003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2244006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244008 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244010 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244018 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244019 */   // GIR_Coverage, 48378,
     /* 2244019 */   GIR_EraseRootFromParent_Done,
     /* 2244020 */ // Label 30067: @2244020
     /* 2244020 */ GIM_Try, /*On fail goto*//*Label 30068*/ GIMT_Encode4(2244068), // Rule ID 48391 //
     /* 2244025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244031 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244038 */   // MIs[0] Operand 1
     /* 2244038 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2244043 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244047 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244051 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2244054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244056 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244058 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244066 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244067 */   // GIR_Coverage, 48391,
     /* 2244067 */   GIR_EraseRootFromParent_Done,
     /* 2244068 */ // Label 30068: @2244068
     /* 2244068 */ GIM_Try, /*On fail goto*//*Label 30069*/ GIMT_Encode4(2244116), // Rule ID 48392 //
     /* 2244073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244079 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244086 */   // MIs[0] Operand 1
     /* 2244086 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2244091 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244095 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244099 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2244102 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244104 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244106 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244114 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244115 */   // GIR_Coverage, 48392,
     /* 2244115 */   GIR_EraseRootFromParent_Done,
     /* 2244116 */ // Label 30069: @2244116
     /* 2244116 */ GIM_Try, /*On fail goto*//*Label 30070*/ GIMT_Encode4(2244164), // Rule ID 48405 //
     /* 2244121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244127 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244134 */   // MIs[0] Operand 1
     /* 2244134 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2244139 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244143 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244147 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2244150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244152 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244154 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244162 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244163 */   // GIR_Coverage, 48405,
     /* 2244163 */   GIR_EraseRootFromParent_Done,
     /* 2244164 */ // Label 30070: @2244164
     /* 2244164 */ GIM_Try, /*On fail goto*//*Label 30071*/ GIMT_Encode4(2244212), // Rule ID 48406 //
     /* 2244169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244172 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244175 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244182 */   // MIs[0] Operand 1
     /* 2244182 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2244187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244191 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244195 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2244198 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244200 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244202 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244210 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244211 */   // GIR_Coverage, 48406,
     /* 2244211 */   GIR_EraseRootFromParent_Done,
     /* 2244212 */ // Label 30071: @2244212
     /* 2244212 */ GIM_Try, /*On fail goto*//*Label 30072*/ GIMT_Encode4(2244260), // Rule ID 48413 //
     /* 2244217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244220 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244223 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244230 */   // MIs[0] Operand 1
     /* 2244230 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2244235 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244239 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244243 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2244243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2244246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244248 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244250 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244258 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244259 */   // GIR_Coverage, 48413,
     /* 2244259 */   GIR_EraseRootFromParent_Done,
     /* 2244260 */ // Label 30072: @2244260
     /* 2244260 */ GIM_Try, /*On fail goto*//*Label 30073*/ GIMT_Encode4(2244308), // Rule ID 48414 //
     /* 2244265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244271 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244278 */   // MIs[0] Operand 1
     /* 2244278 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2244283 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244287 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244291 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2244291 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2244294 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244296 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244298 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244306 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244307 */   // GIR_Coverage, 48414,
     /* 2244307 */   GIR_EraseRootFromParent_Done,
     /* 2244308 */ // Label 30073: @2244308
     /* 2244308 */ GIM_Try, /*On fail goto*//*Label 30074*/ GIMT_Encode4(2244356), // Rule ID 48421 //
     /* 2244313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244319 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244326 */   // MIs[0] Operand 1
     /* 2244326 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2244331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244335 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244339 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2244339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2244342 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244344 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244346 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244354 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244355 */   // GIR_Coverage, 48421,
     /* 2244355 */   GIR_EraseRootFromParent_Done,
     /* 2244356 */ // Label 30074: @2244356
     /* 2244356 */ GIM_Try, /*On fail goto*//*Label 30075*/ GIMT_Encode4(2244404), // Rule ID 48422 //
     /* 2244361 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244367 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244374 */   // MIs[0] Operand 1
     /* 2244374 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2244379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244383 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244387 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2244387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2244390 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244392 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244394 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244402 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244403 */   // GIR_Coverage, 48422,
     /* 2244403 */   GIR_EraseRootFromParent_Done,
     /* 2244404 */ // Label 30075: @2244404
     /* 2244404 */ GIM_Try, /*On fail goto*//*Label 30076*/ GIMT_Encode4(2244452), // Rule ID 48435 //
     /* 2244409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244415 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244422 */   // MIs[0] Operand 1
     /* 2244422 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2244427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244431 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244435 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2244438 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244440 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244442 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244450 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244451 */   // GIR_Coverage, 48435,
     /* 2244451 */   GIR_EraseRootFromParent_Done,
     /* 2244452 */ // Label 30076: @2244452
     /* 2244452 */ GIM_Try, /*On fail goto*//*Label 30077*/ GIMT_Encode4(2244500), // Rule ID 48436 //
     /* 2244457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2244463 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2244466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244470 */   // MIs[0] Operand 1
     /* 2244470 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2244475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244479 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244483 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2244486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244488 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244490 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244498 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244499 */   // GIR_Coverage, 48436,
     /* 2244499 */   GIR_EraseRootFromParent_Done,
     /* 2244500 */ // Label 30077: @2244500
     /* 2244500 */ GIM_Try, /*On fail goto*//*Label 30078*/ GIMT_Encode4(2244548), // Rule ID 48449 //
     /* 2244505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244511 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244518 */   // MIs[0] Operand 1
     /* 2244518 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2244523 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244527 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244531 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2244534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244536 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244538 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244546 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244547 */   // GIR_Coverage, 48449,
     /* 2244547 */   GIR_EraseRootFromParent_Done,
     /* 2244548 */ // Label 30078: @2244548
     /* 2244548 */ GIM_Try, /*On fail goto*//*Label 30079*/ GIMT_Encode4(2244596), // Rule ID 48450 //
     /* 2244553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244559 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244566 */   // MIs[0] Operand 1
     /* 2244566 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2244571 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244575 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244579 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2244582 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244584 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244586 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244594 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244595 */   // GIR_Coverage, 48450,
     /* 2244595 */   GIR_EraseRootFromParent_Done,
     /* 2244596 */ // Label 30079: @2244596
     /* 2244596 */ GIM_Try, /*On fail goto*//*Label 30080*/ GIMT_Encode4(2244644), // Rule ID 48457 //
     /* 2244601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244607 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244614 */   // MIs[0] Operand 1
     /* 2244614 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2244619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244623 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244627 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2244627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2244630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244632 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244634 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244642 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244643 */   // GIR_Coverage, 48457,
     /* 2244643 */   GIR_EraseRootFromParent_Done,
     /* 2244644 */ // Label 30080: @2244644
     /* 2244644 */ GIM_Try, /*On fail goto*//*Label 30081*/ GIMT_Encode4(2244692), // Rule ID 48458 //
     /* 2244649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2244655 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2244658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244662 */   // MIs[0] Operand 1
     /* 2244662 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2244667 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244671 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244675 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2244675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2244678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244680 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244682 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244690 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244691 */   // GIR_Coverage, 48458,
     /* 2244691 */   GIR_EraseRootFromParent_Done,
     /* 2244692 */ // Label 30081: @2244692
     /* 2244692 */ GIM_Try, /*On fail goto*//*Label 30082*/ GIMT_Encode4(2244740), // Rule ID 48465 //
     /* 2244697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2244700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244703 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244710 */   // MIs[0] Operand 1
     /* 2244710 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2244715 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244719 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244723 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2244723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2244726 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244728 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244730 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244738 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244739 */   // GIR_Coverage, 48465,
     /* 2244739 */   GIR_EraseRootFromParent_Done,
     /* 2244740 */ // Label 30082: @2244740
     /* 2244740 */ GIM_Try, /*On fail goto*//*Label 30083*/ GIMT_Encode4(2244788), // Rule ID 48466 //
     /* 2244745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2244748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2244751 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2244754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244758 */   // MIs[0] Operand 1
     /* 2244758 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2244763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244767 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244771 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2244771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2244774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244776 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244778 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244786 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244787 */   // GIR_Coverage, 48466,
     /* 2244787 */   GIR_EraseRootFromParent_Done,
     /* 2244788 */ // Label 30083: @2244788
     /* 2244788 */ GIM_Reject,
     /* 2244789 */ // Label 29666: @2244789
     /* 2244789 */ GIM_Try, /*On fail goto*//*Label 30084*/ GIMT_Encode4(2244837), // Rule ID 48049 //
     /* 2244794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2244800 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2244803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244807 */   // MIs[0] Operand 1
     /* 2244807 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2244812 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244816 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244820 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244820 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2244823 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244825 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244827 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244835 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244836 */   // GIR_Coverage, 48049,
     /* 2244836 */   GIR_EraseRootFromParent_Done,
     /* 2244837 */ // Label 30084: @2244837
     /* 2244837 */ GIM_Try, /*On fail goto*//*Label 30085*/ GIMT_Encode4(2244885), // Rule ID 48050 //
     /* 2244842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2244848 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2244851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244855 */   // MIs[0] Operand 1
     /* 2244855 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2244860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244864 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244868 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2244871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244873 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244875 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244883 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244884 */   // GIR_Coverage, 48050,
     /* 2244884 */   GIR_EraseRootFromParent_Done,
     /* 2244885 */ // Label 30085: @2244885
     /* 2244885 */ GIM_Try, /*On fail goto*//*Label 30086*/ GIMT_Encode4(2244933), // Rule ID 48057 //
     /* 2244890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2244896 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2244899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244903 */   // MIs[0] Operand 1
     /* 2244903 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2244908 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244912 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244916 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244916 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2244919 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244921 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244923 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244931 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244932 */   // GIR_Coverage, 48057,
     /* 2244932 */   GIR_EraseRootFromParent_Done,
     /* 2244933 */ // Label 30086: @2244933
     /* 2244933 */ GIM_Try, /*On fail goto*//*Label 30087*/ GIMT_Encode4(2244981), // Rule ID 48058 //
     /* 2244938 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2244944 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2244947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244951 */   // MIs[0] Operand 1
     /* 2244951 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2244956 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244960 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244964 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2244967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244969 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244971 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244979 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244980 */   // GIR_Coverage, 48058,
     /* 2244980 */   GIR_EraseRootFromParent_Done,
     /* 2244981 */ // Label 30087: @2244981
     /* 2244981 */ GIM_Try, /*On fail goto*//*Label 30088*/ GIMT_Encode4(2245029), // Rule ID 48065 //
     /* 2244986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2244992 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2244995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244999 */   // MIs[0] Operand 1
     /* 2244999 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2245004 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245008 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245012 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2245015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245017 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245019 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245027 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245028 */   // GIR_Coverage, 48065,
     /* 2245028 */   GIR_EraseRootFromParent_Done,
     /* 2245029 */ // Label 30088: @2245029
     /* 2245029 */ GIM_Try, /*On fail goto*//*Label 30089*/ GIMT_Encode4(2245077), // Rule ID 48066 //
     /* 2245034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2245040 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2245043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245047 */   // MIs[0] Operand 1
     /* 2245047 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2245052 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245056 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245060 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245060 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2245063 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245065 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245067 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245075 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245076 */   // GIR_Coverage, 48066,
     /* 2245076 */   GIR_EraseRootFromParent_Done,
     /* 2245077 */ // Label 30089: @2245077
     /* 2245077 */ GIM_Try, /*On fail goto*//*Label 30090*/ GIMT_Encode4(2245125), // Rule ID 48093 //
     /* 2245082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245085 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2245088 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2245091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245095 */   // MIs[0] Operand 1
     /* 2245095 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2245100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245104 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245108 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245108 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2245111 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245113 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245115 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245123 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245124 */   // GIR_Coverage, 48093,
     /* 2245124 */   GIR_EraseRootFromParent_Done,
     /* 2245125 */ // Label 30090: @2245125
     /* 2245125 */ GIM_Try, /*On fail goto*//*Label 30091*/ GIMT_Encode4(2245173), // Rule ID 48094 //
     /* 2245130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2245136 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2245139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245143 */   // MIs[0] Operand 1
     /* 2245143 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2245148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245152 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245156 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245156 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2245159 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245161 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245163 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245171 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245172 */   // GIR_Coverage, 48094,
     /* 2245172 */   GIR_EraseRootFromParent_Done,
     /* 2245173 */ // Label 30091: @2245173
     /* 2245173 */ GIM_Try, /*On fail goto*//*Label 30092*/ GIMT_Encode4(2245221), // Rule ID 48101 //
     /* 2245178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2245184 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2245187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245191 */   // MIs[0] Operand 1
     /* 2245191 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2245196 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245200 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245204 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2245204 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2245207 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245209 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245211 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245219 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245220 */   // GIR_Coverage, 48101,
     /* 2245220 */   GIR_EraseRootFromParent_Done,
     /* 2245221 */ // Label 30092: @2245221
     /* 2245221 */ GIM_Try, /*On fail goto*//*Label 30093*/ GIMT_Encode4(2245269), // Rule ID 48102 //
     /* 2245226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2245232 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2245235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245239 */   // MIs[0] Operand 1
     /* 2245239 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2245244 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245248 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245252 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2245255 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245257 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245259 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245267 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245268 */   // GIR_Coverage, 48102,
     /* 2245268 */   GIR_EraseRootFromParent_Done,
     /* 2245269 */ // Label 30093: @2245269
     /* 2245269 */ GIM_Try, /*On fail goto*//*Label 30094*/ GIMT_Encode4(2245317), // Rule ID 48109 //
     /* 2245274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2245280 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2245283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245287 */   // MIs[0] Operand 1
     /* 2245287 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2245292 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245296 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245300 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245300 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2245303 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245305 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245307 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245316 */   // GIR_Coverage, 48109,
     /* 2245316 */   GIR_EraseRootFromParent_Done,
     /* 2245317 */ // Label 30094: @2245317
     /* 2245317 */ GIM_Try, /*On fail goto*//*Label 30095*/ GIMT_Encode4(2245365), // Rule ID 48110 //
     /* 2245322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2245328 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2245331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245335 */   // MIs[0] Operand 1
     /* 2245335 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2245340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245344 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245348 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2245351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245353 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245355 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245363 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245364 */   // GIR_Coverage, 48110,
     /* 2245364 */   GIR_EraseRootFromParent_Done,
     /* 2245365 */ // Label 30095: @2245365
     /* 2245365 */ GIM_Try, /*On fail goto*//*Label 30096*/ GIMT_Encode4(2245413), // Rule ID 48137 //
     /* 2245370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2245376 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2245379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245383 */   // MIs[0] Operand 1
     /* 2245383 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2245388 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245392 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245396 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2245399 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245401 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245403 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245411 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245412 */   // GIR_Coverage, 48137,
     /* 2245412 */   GIR_EraseRootFromParent_Done,
     /* 2245413 */ // Label 30096: @2245413
     /* 2245413 */ GIM_Try, /*On fail goto*//*Label 30097*/ GIMT_Encode4(2245461), // Rule ID 48138 //
     /* 2245418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2245424 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2245427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245431 */   // MIs[0] Operand 1
     /* 2245431 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2245436 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245440 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245444 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2245447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245449 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245451 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245459 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245460 */   // GIR_Coverage, 48138,
     /* 2245460 */   GIR_EraseRootFromParent_Done,
     /* 2245461 */ // Label 30097: @2245461
     /* 2245461 */ GIM_Try, /*On fail goto*//*Label 30098*/ GIMT_Encode4(2245509), // Rule ID 48145 //
     /* 2245466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2245472 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2245475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245479 */   // MIs[0] Operand 1
     /* 2245479 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2245484 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245488 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245492 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2245492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2245495 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245497 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245499 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245508 */   // GIR_Coverage, 48145,
     /* 2245508 */   GIR_EraseRootFromParent_Done,
     /* 2245509 */ // Label 30098: @2245509
     /* 2245509 */ GIM_Try, /*On fail goto*//*Label 30099*/ GIMT_Encode4(2245557), // Rule ID 48146 //
     /* 2245514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2245520 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2245523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245527 */   // MIs[0] Operand 1
     /* 2245527 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2245532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245536 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245540 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2245543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245545 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245547 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245555 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245556 */   // GIR_Coverage, 48146,
     /* 2245556 */   GIR_EraseRootFromParent_Done,
     /* 2245557 */ // Label 30099: @2245557
     /* 2245557 */ GIM_Try, /*On fail goto*//*Label 30100*/ GIMT_Encode4(2245605), // Rule ID 48153 //
     /* 2245562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2245568 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2245571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245575 */   // MIs[0] Operand 1
     /* 2245575 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2245580 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245584 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245588 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2245591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245593 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245595 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245603 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245604 */   // GIR_Coverage, 48153,
     /* 2245604 */   GIR_EraseRootFromParent_Done,
     /* 2245605 */ // Label 30100: @2245605
     /* 2245605 */ GIM_Try, /*On fail goto*//*Label 30101*/ GIMT_Encode4(2245653), // Rule ID 48154 //
     /* 2245610 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2245616 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2245619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245623 */   // MIs[0] Operand 1
     /* 2245623 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2245628 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245632 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245636 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245636 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2245639 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245641 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245643 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245651 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245652 */   // GIR_Coverage, 48154,
     /* 2245652 */   GIR_EraseRootFromParent_Done,
     /* 2245653 */ // Label 30101: @2245653
     /* 2245653 */ GIM_Try, /*On fail goto*//*Label 30102*/ GIMT_Encode4(2245701), // Rule ID 48179 //
     /* 2245658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2245664 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2245667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245671 */   // MIs[0] Operand 1
     /* 2245671 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245676 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245680 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245684 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2245687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245689 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245691 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245699 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245700 */   // GIR_Coverage, 48179,
     /* 2245700 */   GIR_EraseRootFromParent_Done,
     /* 2245701 */ // Label 30102: @2245701
     /* 2245701 */ GIM_Try, /*On fail goto*//*Label 30103*/ GIMT_Encode4(2245749), // Rule ID 48180 //
     /* 2245706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2245712 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2245715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245719 */   // MIs[0] Operand 1
     /* 2245719 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245724 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245728 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245732 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2245735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245737 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245739 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245747 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245748 */   // GIR_Coverage, 48180,
     /* 2245748 */   GIR_EraseRootFromParent_Done,
     /* 2245749 */ // Label 30103: @2245749
     /* 2245749 */ GIM_Try, /*On fail goto*//*Label 30104*/ GIMT_Encode4(2245797), // Rule ID 48187 //
     /* 2245754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2245760 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2245763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245767 */   // MIs[0] Operand 1
     /* 2245767 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245776 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245780 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2245780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2245783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245785 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245787 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245795 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245796 */   // GIR_Coverage, 48187,
     /* 2245796 */   GIR_EraseRootFromParent_Done,
     /* 2245797 */ // Label 30104: @2245797
     /* 2245797 */ GIM_Try, /*On fail goto*//*Label 30105*/ GIMT_Encode4(2245845), // Rule ID 48188 //
     /* 2245802 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245805 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2245808 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2245811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245815 */   // MIs[0] Operand 1
     /* 2245815 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245820 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245824 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245828 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2245828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2245831 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245833 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245835 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245843 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245844 */   // GIR_Coverage, 48188,
     /* 2245844 */   GIR_EraseRootFromParent_Done,
     /* 2245845 */ // Label 30105: @2245845
     /* 2245845 */ GIM_Try, /*On fail goto*//*Label 30106*/ GIMT_Encode4(2245893), // Rule ID 48195 //
     /* 2245850 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2245856 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2245859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245863 */   // MIs[0] Operand 1
     /* 2245863 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245872 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245876 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2245876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2245879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245881 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245883 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245891 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245892 */   // GIR_Coverage, 48195,
     /* 2245892 */   GIR_EraseRootFromParent_Done,
     /* 2245893 */ // Label 30106: @2245893
     /* 2245893 */ GIM_Try, /*On fail goto*//*Label 30107*/ GIMT_Encode4(2245941), // Rule ID 48196 //
     /* 2245898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2245904 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2245907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245911 */   // MIs[0] Operand 1
     /* 2245911 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245916 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245920 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245924 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2245924 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2245927 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245929 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245931 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245939 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245940 */   // GIR_Coverage, 48196,
     /* 2245940 */   GIR_EraseRootFromParent_Done,
     /* 2245941 */ // Label 30107: @2245941
     /* 2245941 */ GIM_Try, /*On fail goto*//*Label 30108*/ GIMT_Encode4(2245989), // Rule ID 48223 //
     /* 2245946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2245952 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2245955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2245959 */   // MIs[0] Operand 1
     /* 2245959 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2245964 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245968 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245972 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245972 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2245975 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245977 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245979 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245987 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245988 */   // GIR_Coverage, 48223,
     /* 2245988 */   GIR_EraseRootFromParent_Done,
     /* 2245989 */ // Label 30108: @2245989
     /* 2245989 */ GIM_Try, /*On fail goto*//*Label 30109*/ GIMT_Encode4(2246037), // Rule ID 48224 //
     /* 2245994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245997 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246000 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246007 */   // MIs[0] Operand 1
     /* 2246007 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2246012 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246016 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246020 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2246023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246025 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246027 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246035 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246036 */   // GIR_Coverage, 48224,
     /* 2246036 */   GIR_EraseRootFromParent_Done,
     /* 2246037 */ // Label 30109: @2246037
     /* 2246037 */ GIM_Try, /*On fail goto*//*Label 30110*/ GIMT_Encode4(2246085), // Rule ID 48231 //
     /* 2246042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246048 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246055 */   // MIs[0] Operand 1
     /* 2246055 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2246060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246064 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246068 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2246071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246073 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246075 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246083 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246084 */   // GIR_Coverage, 48231,
     /* 2246084 */   GIR_EraseRootFromParent_Done,
     /* 2246085 */ // Label 30110: @2246085
     /* 2246085 */ GIM_Try, /*On fail goto*//*Label 30111*/ GIMT_Encode4(2246133), // Rule ID 48232 //
     /* 2246090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246093 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246096 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246103 */   // MIs[0] Operand 1
     /* 2246103 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2246108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246112 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246116 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246116 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2246119 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246121 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246123 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246131 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246132 */   // GIR_Coverage, 48232,
     /* 2246132 */   GIR_EraseRootFromParent_Done,
     /* 2246133 */ // Label 30111: @2246133
     /* 2246133 */ GIM_Try, /*On fail goto*//*Label 30112*/ GIMT_Encode4(2246181), // Rule ID 48239 //
     /* 2246138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246144 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246151 */   // MIs[0] Operand 1
     /* 2246151 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2246156 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246160 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246164 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2246167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246169 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246171 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246179 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246180 */   // GIR_Coverage, 48239,
     /* 2246180 */   GIR_EraseRootFromParent_Done,
     /* 2246181 */ // Label 30112: @2246181
     /* 2246181 */ GIM_Try, /*On fail goto*//*Label 30113*/ GIMT_Encode4(2246229), // Rule ID 48240 //
     /* 2246186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246189 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246192 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246199 */   // MIs[0] Operand 1
     /* 2246199 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2246204 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246208 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246212 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2246215 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246217 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246219 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246227 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246228 */   // GIR_Coverage, 48240,
     /* 2246228 */   GIR_EraseRootFromParent_Done,
     /* 2246229 */ // Label 30113: @2246229
     /* 2246229 */ GIM_Try, /*On fail goto*//*Label 30114*/ GIMT_Encode4(2246277), // Rule ID 48267 //
     /* 2246234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246237 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246240 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246247 */   // MIs[0] Operand 1
     /* 2246247 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2246252 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246256 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246260 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246260 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2246263 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246265 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246267 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246275 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246276 */   // GIR_Coverage, 48267,
     /* 2246276 */   GIR_EraseRootFromParent_Done,
     /* 2246277 */ // Label 30114: @2246277
     /* 2246277 */ GIM_Try, /*On fail goto*//*Label 30115*/ GIMT_Encode4(2246325), // Rule ID 48268 //
     /* 2246282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246285 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246288 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246295 */   // MIs[0] Operand 1
     /* 2246295 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2246300 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246304 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246308 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2246311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246313 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246315 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246323 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246324 */   // GIR_Coverage, 48268,
     /* 2246324 */   GIR_EraseRootFromParent_Done,
     /* 2246325 */ // Label 30115: @2246325
     /* 2246325 */ GIM_Try, /*On fail goto*//*Label 30116*/ GIMT_Encode4(2246373), // Rule ID 48275 //
     /* 2246330 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246336 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246343 */   // MIs[0] Operand 1
     /* 2246343 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2246348 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246352 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246356 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246356 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2246359 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246361 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246363 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246372 */   // GIR_Coverage, 48275,
     /* 2246372 */   GIR_EraseRootFromParent_Done,
     /* 2246373 */ // Label 30116: @2246373
     /* 2246373 */ GIM_Try, /*On fail goto*//*Label 30117*/ GIMT_Encode4(2246421), // Rule ID 48276 //
     /* 2246378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246384 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246391 */   // MIs[0] Operand 1
     /* 2246391 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2246396 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246400 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246404 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2246407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246409 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246411 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246419 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246420 */   // GIR_Coverage, 48276,
     /* 2246420 */   GIR_EraseRootFromParent_Done,
     /* 2246421 */ // Label 30117: @2246421
     /* 2246421 */ GIM_Try, /*On fail goto*//*Label 30118*/ GIMT_Encode4(2246469), // Rule ID 48283 //
     /* 2246426 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246429 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246432 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246439 */   // MIs[0] Operand 1
     /* 2246439 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2246444 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246448 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246452 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246452 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2246455 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246457 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246459 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246467 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246468 */   // GIR_Coverage, 48283,
     /* 2246468 */   GIR_EraseRootFromParent_Done,
     /* 2246469 */ // Label 30118: @2246469
     /* 2246469 */ GIM_Try, /*On fail goto*//*Label 30119*/ GIMT_Encode4(2246517), // Rule ID 48284 //
     /* 2246474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246480 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246487 */   // MIs[0] Operand 1
     /* 2246487 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2246492 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246496 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246500 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2246503 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246505 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246507 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246515 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246516 */   // GIR_Coverage, 48284,
     /* 2246516 */   GIR_EraseRootFromParent_Done,
     /* 2246517 */ // Label 30119: @2246517
     /* 2246517 */ GIM_Try, /*On fail goto*//*Label 30120*/ GIMT_Encode4(2246565), // Rule ID 48311 //
     /* 2246522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246528 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246535 */   // MIs[0] Operand 1
     /* 2246535 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2246540 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246544 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246548 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2246551 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246553 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246555 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246563 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246564 */   // GIR_Coverage, 48311,
     /* 2246564 */   GIR_EraseRootFromParent_Done,
     /* 2246565 */ // Label 30120: @2246565
     /* 2246565 */ GIM_Try, /*On fail goto*//*Label 30121*/ GIMT_Encode4(2246613), // Rule ID 48312 //
     /* 2246570 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246576 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246583 */   // MIs[0] Operand 1
     /* 2246583 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2246588 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246592 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246596 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246596 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2246599 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246601 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246603 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246611 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246612 */   // GIR_Coverage, 48312,
     /* 2246612 */   GIR_EraseRootFromParent_Done,
     /* 2246613 */ // Label 30121: @2246613
     /* 2246613 */ GIM_Try, /*On fail goto*//*Label 30122*/ GIMT_Encode4(2246661), // Rule ID 48319 //
     /* 2246618 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246624 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246631 */   // MIs[0] Operand 1
     /* 2246631 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2246636 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246640 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246644 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246644 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2246647 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246649 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246651 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246659 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246660 */   // GIR_Coverage, 48319,
     /* 2246660 */   GIR_EraseRootFromParent_Done,
     /* 2246661 */ // Label 30122: @2246661
     /* 2246661 */ GIM_Try, /*On fail goto*//*Label 30123*/ GIMT_Encode4(2246709), // Rule ID 48320 //
     /* 2246666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246672 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246679 */   // MIs[0] Operand 1
     /* 2246679 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2246684 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246688 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246692 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2246695 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246697 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246699 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246707 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246708 */   // GIR_Coverage, 48320,
     /* 2246708 */   GIR_EraseRootFromParent_Done,
     /* 2246709 */ // Label 30123: @2246709
     /* 2246709 */ GIM_Try, /*On fail goto*//*Label 30124*/ GIMT_Encode4(2246757), // Rule ID 48327 //
     /* 2246714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246717 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246720 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246727 */   // MIs[0] Operand 1
     /* 2246727 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2246732 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246736 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246740 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2246740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2246743 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246745 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246747 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246755 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246756 */   // GIR_Coverage, 48327,
     /* 2246756 */   GIR_EraseRootFromParent_Done,
     /* 2246757 */ // Label 30124: @2246757
     /* 2246757 */ GIM_Try, /*On fail goto*//*Label 30125*/ GIMT_Encode4(2246805), // Rule ID 48328 //
     /* 2246762 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2246768 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2246771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246775 */   // MIs[0] Operand 1
     /* 2246775 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2246780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246784 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246788 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2246788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2246791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246793 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246795 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246803 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246804 */   // GIR_Coverage, 48328,
     /* 2246804 */   GIR_EraseRootFromParent_Done,
     /* 2246805 */ // Label 30125: @2246805
     /* 2246805 */ GIM_Try, /*On fail goto*//*Label 30126*/ GIMT_Encode4(2246853), // Rule ID 48355 //
     /* 2246810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246816 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246823 */   // MIs[0] Operand 1
     /* 2246823 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2246828 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246832 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246836 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2246836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2246839 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246841 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246843 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246851 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246852 */   // GIR_Coverage, 48355,
     /* 2246852 */   GIR_EraseRootFromParent_Done,
     /* 2246853 */ // Label 30126: @2246853
     /* 2246853 */ GIM_Try, /*On fail goto*//*Label 30127*/ GIMT_Encode4(2246901), // Rule ID 48356 //
     /* 2246858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246861 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2246864 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2246867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246871 */   // MIs[0] Operand 1
     /* 2246871 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2246876 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246880 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2246884 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2246884 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2246887 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246889 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246891 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2246899 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246900 */   // GIR_Coverage, 48356,
     /* 2246900 */   GIR_EraseRootFromParent_Done,
     /* 2246901 */ // Label 30127: @2246901
     /* 2246901 */ GIM_Try, /*On fail goto*//*Label 30128*/ GIMT_Encode4(2246949), // Rule ID 48363 //
     /* 2246906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2246909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246912 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246919 */   // MIs[0] Operand 1
     /* 2246919 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2246924 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246928 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246932 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2246932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2246935 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246937 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246939 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246947 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246948 */   // GIR_Coverage, 48363,
     /* 2246948 */   GIR_EraseRootFromParent_Done,
     /* 2246949 */ // Label 30128: @2246949
     /* 2246949 */ GIM_Try, /*On fail goto*//*Label 30129*/ GIMT_Encode4(2246997), // Rule ID 48364 //
     /* 2246954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2246957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2246960 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2246963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246967 */   // MIs[0] Operand 1
     /* 2246967 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2246972 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246976 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246980 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2246980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2246983 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246985 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246987 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2246989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246995 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246996 */   // GIR_Coverage, 48364,
     /* 2246996 */   GIR_EraseRootFromParent_Done,
     /* 2246997 */ // Label 30129: @2246997
     /* 2246997 */ GIM_Try, /*On fail goto*//*Label 30130*/ GIMT_Encode4(2247045), // Rule ID 48371 //
     /* 2247002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247005 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247008 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247015 */   // MIs[0] Operand 1
     /* 2247015 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2247020 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247024 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247028 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2247031 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247033 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247035 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247043 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247044 */   // GIR_Coverage, 48371,
     /* 2247044 */   GIR_EraseRootFromParent_Done,
     /* 2247045 */ // Label 30130: @2247045
     /* 2247045 */ GIM_Try, /*On fail goto*//*Label 30131*/ GIMT_Encode4(2247093), // Rule ID 48372 //
     /* 2247050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247056 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247063 */   // MIs[0] Operand 1
     /* 2247063 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2247068 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247072 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247076 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2247079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247081 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247083 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247092 */   // GIR_Coverage, 48372,
     /* 2247092 */   GIR_EraseRootFromParent_Done,
     /* 2247093 */ // Label 30131: @2247093
     /* 2247093 */ GIM_Try, /*On fail goto*//*Label 30132*/ GIMT_Encode4(2247141), // Rule ID 48399 //
     /* 2247098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247104 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247111 */   // MIs[0] Operand 1
     /* 2247111 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2247116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247120 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247124 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2247127 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247129 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247131 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247139 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247140 */   // GIR_Coverage, 48399,
     /* 2247140 */   GIR_EraseRootFromParent_Done,
     /* 2247141 */ // Label 30132: @2247141
     /* 2247141 */ GIM_Try, /*On fail goto*//*Label 30133*/ GIMT_Encode4(2247189), // Rule ID 48400 //
     /* 2247146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247152 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247159 */   // MIs[0] Operand 1
     /* 2247159 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2247164 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247168 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247172 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2247175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247177 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247179 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247187 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247188 */   // GIR_Coverage, 48400,
     /* 2247188 */   GIR_EraseRootFromParent_Done,
     /* 2247189 */ // Label 30133: @2247189
     /* 2247189 */ GIM_Try, /*On fail goto*//*Label 30134*/ GIMT_Encode4(2247237), // Rule ID 48407 //
     /* 2247194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247200 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247207 */   // MIs[0] Operand 1
     /* 2247207 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2247212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247216 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247220 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2247223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247225 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247227 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247235 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247236 */   // GIR_Coverage, 48407,
     /* 2247236 */   GIR_EraseRootFromParent_Done,
     /* 2247237 */ // Label 30134: @2247237
     /* 2247237 */ GIM_Try, /*On fail goto*//*Label 30135*/ GIMT_Encode4(2247285), // Rule ID 48408 //
     /* 2247242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247248 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247255 */   // MIs[0] Operand 1
     /* 2247255 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2247260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247264 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247268 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2247271 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247273 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247275 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247284 */   // GIR_Coverage, 48408,
     /* 2247284 */   GIR_EraseRootFromParent_Done,
     /* 2247285 */ // Label 30135: @2247285
     /* 2247285 */ GIM_Try, /*On fail goto*//*Label 30136*/ GIMT_Encode4(2247333), // Rule ID 48415 //
     /* 2247290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247296 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247303 */   // MIs[0] Operand 1
     /* 2247303 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2247308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247312 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247316 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247316 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2247319 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247321 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247323 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247331 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247332 */   // GIR_Coverage, 48415,
     /* 2247332 */   GIR_EraseRootFromParent_Done,
     /* 2247333 */ // Label 30136: @2247333
     /* 2247333 */ GIM_Try, /*On fail goto*//*Label 30137*/ GIMT_Encode4(2247381), // Rule ID 48416 //
     /* 2247338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247344 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247351 */   // MIs[0] Operand 1
     /* 2247351 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2247356 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247360 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247364 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2247367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247369 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247371 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247379 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247380 */   // GIR_Coverage, 48416,
     /* 2247380 */   GIR_EraseRootFromParent_Done,
     /* 2247381 */ // Label 30137: @2247381
     /* 2247381 */ GIM_Try, /*On fail goto*//*Label 30138*/ GIMT_Encode4(2247429), // Rule ID 48443 //
     /* 2247386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247389 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247392 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247399 */   // MIs[0] Operand 1
     /* 2247399 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2247404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247408 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247412 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2247415 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247417 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247419 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247427 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247428 */   // GIR_Coverage, 48443,
     /* 2247428 */   GIR_EraseRootFromParent_Done,
     /* 2247429 */ // Label 30138: @2247429
     /* 2247429 */ GIM_Try, /*On fail goto*//*Label 30139*/ GIMT_Encode4(2247477), // Rule ID 48444 //
     /* 2247434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2247440 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2247443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247447 */   // MIs[0] Operand 1
     /* 2247447 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2247452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247456 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247460 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2247463 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247465 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247467 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247475 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247476 */   // GIR_Coverage, 48444,
     /* 2247476 */   GIR_EraseRootFromParent_Done,
     /* 2247477 */ // Label 30139: @2247477
     /* 2247477 */ GIM_Try, /*On fail goto*//*Label 30140*/ GIMT_Encode4(2247525), // Rule ID 48451 //
     /* 2247482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247488 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247495 */   // MIs[0] Operand 1
     /* 2247495 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2247500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247504 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247508 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2247511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247513 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247515 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247523 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247524 */   // GIR_Coverage, 48451,
     /* 2247524 */   GIR_EraseRootFromParent_Done,
     /* 2247525 */ // Label 30140: @2247525
     /* 2247525 */ GIM_Try, /*On fail goto*//*Label 30141*/ GIMT_Encode4(2247573), // Rule ID 48452 //
     /* 2247530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2247536 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2247539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247543 */   // MIs[0] Operand 1
     /* 2247543 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2247548 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247552 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247556 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2247559 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247561 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247563 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247571 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247572 */   // GIR_Coverage, 48452,
     /* 2247572 */   GIR_EraseRootFromParent_Done,
     /* 2247573 */ // Label 30141: @2247573
     /* 2247573 */ GIM_Try, /*On fail goto*//*Label 30142*/ GIMT_Encode4(2247621), // Rule ID 48459 //
     /* 2247578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247584 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247591 */   // MIs[0] Operand 1
     /* 2247591 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2247596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247600 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247604 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2247607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247609 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247611 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247619 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247620 */   // GIR_Coverage, 48459,
     /* 2247620 */   GIR_EraseRootFromParent_Done,
     /* 2247621 */ // Label 30142: @2247621
     /* 2247621 */ GIM_Try, /*On fail goto*//*Label 30143*/ GIMT_Encode4(2247669), // Rule ID 48460 //
     /* 2247626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2247632 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2247635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247639 */   // MIs[0] Operand 1
     /* 2247639 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2247644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247648 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247652 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2247655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247657 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247659 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2247661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247667 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247668 */   // GIR_Coverage, 48460,
     /* 2247668 */   GIR_EraseRootFromParent_Done,
     /* 2247669 */ // Label 30143: @2247669
     /* 2247669 */ GIM_Reject,
     /* 2247670 */ // Label 29667: @2247670
     /* 2247670 */ GIM_Try, /*On fail goto*//*Label 30144*/ GIMT_Encode4(2247718), // Rule ID 48051 //
     /* 2247675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2247681 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2247684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247688 */   // MIs[0] Operand 1
     /* 2247688 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2247693 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247697 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247701 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2247704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247706 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247708 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247716 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247717 */   // GIR_Coverage, 48051,
     /* 2247717 */   GIR_EraseRootFromParent_Done,
     /* 2247718 */ // Label 30144: @2247718
     /* 2247718 */ GIM_Try, /*On fail goto*//*Label 30145*/ GIMT_Encode4(2247766), // Rule ID 48052 //
     /* 2247723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2247729 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2247732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247736 */   // MIs[0] Operand 1
     /* 2247736 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2247741 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247745 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247749 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247749 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2247752 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247754 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247756 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247765 */   // GIR_Coverage, 48052,
     /* 2247765 */   GIR_EraseRootFromParent_Done,
     /* 2247766 */ // Label 30145: @2247766
     /* 2247766 */ GIM_Try, /*On fail goto*//*Label 30146*/ GIMT_Encode4(2247814), // Rule ID 48059 //
     /* 2247771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2247777 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2247780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247784 */   // MIs[0] Operand 1
     /* 2247784 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2247789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247793 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247797 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247797 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2247800 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247802 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247804 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247813 */   // GIR_Coverage, 48059,
     /* 2247813 */   GIR_EraseRootFromParent_Done,
     /* 2247814 */ // Label 30146: @2247814
     /* 2247814 */ GIM_Try, /*On fail goto*//*Label 30147*/ GIMT_Encode4(2247862), // Rule ID 48060 //
     /* 2247819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2247825 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2247828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247832 */   // MIs[0] Operand 1
     /* 2247832 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2247837 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247841 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247845 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2247848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247850 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247852 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247860 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247861 */   // GIR_Coverage, 48060,
     /* 2247861 */   GIR_EraseRootFromParent_Done,
     /* 2247862 */ // Label 30147: @2247862
     /* 2247862 */ GIM_Try, /*On fail goto*//*Label 30148*/ GIMT_Encode4(2247910), // Rule ID 48095 //
     /* 2247867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2247873 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2247876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247880 */   // MIs[0] Operand 1
     /* 2247880 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2247885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247889 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247893 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2247893 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2247896 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247898 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247900 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247908 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247909 */   // GIR_Coverage, 48095,
     /* 2247909 */   GIR_EraseRootFromParent_Done,
     /* 2247910 */ // Label 30148: @2247910
     /* 2247910 */ GIM_Try, /*On fail goto*//*Label 30149*/ GIMT_Encode4(2247958), // Rule ID 48096 //
     /* 2247915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2247918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2247921 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2247924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247928 */   // MIs[0] Operand 1
     /* 2247928 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2247933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247937 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2247941 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2247941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2247944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247946 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247948 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2247956 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247957 */   // GIR_Coverage, 48096,
     /* 2247957 */   GIR_EraseRootFromParent_Done,
     /* 2247958 */ // Label 30149: @2247958
     /* 2247958 */ GIM_Try, /*On fail goto*//*Label 30150*/ GIMT_Encode4(2248006), // Rule ID 48103 //
     /* 2247963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2247966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2247969 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2247972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247976 */   // MIs[0] Operand 1
     /* 2247976 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2247981 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247985 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2247989 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2247992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247994 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247996 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248004 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248005 */   // GIR_Coverage, 48103,
     /* 2248005 */   GIR_EraseRootFromParent_Done,
     /* 2248006 */ // Label 30150: @2248006
     /* 2248006 */ GIM_Try, /*On fail goto*//*Label 30151*/ GIMT_Encode4(2248054), // Rule ID 48104 //
     /* 2248011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2248017 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2248020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248024 */   // MIs[0] Operand 1
     /* 2248024 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2248029 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248033 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248037 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2248040 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248042 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248044 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248052 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248053 */   // GIR_Coverage, 48104,
     /* 2248053 */   GIR_EraseRootFromParent_Done,
     /* 2248054 */ // Label 30151: @2248054
     /* 2248054 */ GIM_Try, /*On fail goto*//*Label 30152*/ GIMT_Encode4(2248102), // Rule ID 48139 //
     /* 2248059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2248065 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2248068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248072 */   // MIs[0] Operand 1
     /* 2248072 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2248077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248081 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248085 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2248088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248090 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248092 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248100 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248101 */   // GIR_Coverage, 48139,
     /* 2248101 */   GIR_EraseRootFromParent_Done,
     /* 2248102 */ // Label 30152: @2248102
     /* 2248102 */ GIM_Try, /*On fail goto*//*Label 30153*/ GIMT_Encode4(2248150), // Rule ID 48140 //
     /* 2248107 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2248113 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2248116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248120 */   // MIs[0] Operand 1
     /* 2248120 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2248125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248129 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248133 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2248136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248138 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248140 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248148 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248149 */   // GIR_Coverage, 48140,
     /* 2248149 */   GIR_EraseRootFromParent_Done,
     /* 2248150 */ // Label 30153: @2248150
     /* 2248150 */ GIM_Try, /*On fail goto*//*Label 30154*/ GIMT_Encode4(2248198), // Rule ID 48147 //
     /* 2248155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2248161 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2248164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248168 */   // MIs[0] Operand 1
     /* 2248168 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2248173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248177 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248181 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2248184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248186 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248188 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248196 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248197 */   // GIR_Coverage, 48147,
     /* 2248197 */   GIR_EraseRootFromParent_Done,
     /* 2248198 */ // Label 30154: @2248198
     /* 2248198 */ GIM_Try, /*On fail goto*//*Label 30155*/ GIMT_Encode4(2248246), // Rule ID 48148 //
     /* 2248203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2248209 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2248212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248216 */   // MIs[0] Operand 1
     /* 2248216 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2248221 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248225 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248229 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2248232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248234 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248236 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248244 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248245 */   // GIR_Coverage, 48148,
     /* 2248245 */   GIR_EraseRootFromParent_Done,
     /* 2248246 */ // Label 30155: @2248246
     /* 2248246 */ GIM_Try, /*On fail goto*//*Label 30156*/ GIMT_Encode4(2248294), // Rule ID 48181 //
     /* 2248251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2248257 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2248260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248264 */   // MIs[0] Operand 1
     /* 2248264 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2248269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248273 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248277 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2248280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248282 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248284 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248292 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248293 */   // GIR_Coverage, 48181,
     /* 2248293 */   GIR_EraseRootFromParent_Done,
     /* 2248294 */ // Label 30156: @2248294
     /* 2248294 */ GIM_Try, /*On fail goto*//*Label 30157*/ GIMT_Encode4(2248342), // Rule ID 48182 //
     /* 2248299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2248305 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2248308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248312 */   // MIs[0] Operand 1
     /* 2248312 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2248317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248321 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248325 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2248328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248330 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248332 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248340 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248341 */   // GIR_Coverage, 48182,
     /* 2248341 */   GIR_EraseRootFromParent_Done,
     /* 2248342 */ // Label 30157: @2248342
     /* 2248342 */ GIM_Try, /*On fail goto*//*Label 30158*/ GIMT_Encode4(2248390), // Rule ID 48189 //
     /* 2248347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2248353 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2248356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248360 */   // MIs[0] Operand 1
     /* 2248360 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2248365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248369 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248373 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248373 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2248376 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248378 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248380 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248388 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248389 */   // GIR_Coverage, 48189,
     /* 2248389 */   GIR_EraseRootFromParent_Done,
     /* 2248390 */ // Label 30158: @2248390
     /* 2248390 */ GIM_Try, /*On fail goto*//*Label 30159*/ GIMT_Encode4(2248438), // Rule ID 48190 //
     /* 2248395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2248401 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2248404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248408 */   // MIs[0] Operand 1
     /* 2248408 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2248413 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248417 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248421 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2248424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248426 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248428 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248436 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248437 */   // GIR_Coverage, 48190,
     /* 2248437 */   GIR_EraseRootFromParent_Done,
     /* 2248438 */ // Label 30159: @2248438
     /* 2248438 */ GIM_Try, /*On fail goto*//*Label 30160*/ GIMT_Encode4(2248486), // Rule ID 48225 //
     /* 2248443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248446 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2248449 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2248452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248456 */   // MIs[0] Operand 1
     /* 2248456 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2248461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248465 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248469 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2248472 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248474 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248476 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248484 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248485 */   // GIR_Coverage, 48225,
     /* 2248485 */   GIR_EraseRootFromParent_Done,
     /* 2248486 */ // Label 30160: @2248486
     /* 2248486 */ GIM_Try, /*On fail goto*//*Label 30161*/ GIMT_Encode4(2248534), // Rule ID 48226 //
     /* 2248491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2248497 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2248500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248504 */   // MIs[0] Operand 1
     /* 2248504 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2248509 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248513 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248517 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2248520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248522 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248524 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248532 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248533 */   // GIR_Coverage, 48226,
     /* 2248533 */   GIR_EraseRootFromParent_Done,
     /* 2248534 */ // Label 30161: @2248534
     /* 2248534 */ GIM_Try, /*On fail goto*//*Label 30162*/ GIMT_Encode4(2248582), // Rule ID 48233 //
     /* 2248539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2248545 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2248548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248552 */   // MIs[0] Operand 1
     /* 2248552 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2248557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248561 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248565 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2248568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248570 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248572 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248580 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248581 */   // GIR_Coverage, 48233,
     /* 2248581 */   GIR_EraseRootFromParent_Done,
     /* 2248582 */ // Label 30162: @2248582
     /* 2248582 */ GIM_Try, /*On fail goto*//*Label 30163*/ GIMT_Encode4(2248630), // Rule ID 48234 //
     /* 2248587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2248593 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2248596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248600 */   // MIs[0] Operand 1
     /* 2248600 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2248605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248609 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248613 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2248616 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248618 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248620 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248629 */   // GIR_Coverage, 48234,
     /* 2248629 */   GIR_EraseRootFromParent_Done,
     /* 2248630 */ // Label 30163: @2248630
     /* 2248630 */ GIM_Try, /*On fail goto*//*Label 30164*/ GIMT_Encode4(2248678), // Rule ID 48269 //
     /* 2248635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248638 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2248641 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2248644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248648 */   // MIs[0] Operand 1
     /* 2248648 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2248653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248657 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248661 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248661 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2248664 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248666 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248668 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248677 */   // GIR_Coverage, 48269,
     /* 2248677 */   GIR_EraseRootFromParent_Done,
     /* 2248678 */ // Label 30164: @2248678
     /* 2248678 */ GIM_Try, /*On fail goto*//*Label 30165*/ GIMT_Encode4(2248726), // Rule ID 48270 //
     /* 2248683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2248689 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2248692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248696 */   // MIs[0] Operand 1
     /* 2248696 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2248701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248705 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248709 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2248712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248714 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248716 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248724 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248725 */   // GIR_Coverage, 48270,
     /* 2248725 */   GIR_EraseRootFromParent_Done,
     /* 2248726 */ // Label 30165: @2248726
     /* 2248726 */ GIM_Try, /*On fail goto*//*Label 30166*/ GIMT_Encode4(2248774), // Rule ID 48277 //
     /* 2248731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248734 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2248737 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2248740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248744 */   // MIs[0] Operand 1
     /* 2248744 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2248749 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248753 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248757 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2248760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248762 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248764 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248773 */   // GIR_Coverage, 48277,
     /* 2248773 */   GIR_EraseRootFromParent_Done,
     /* 2248774 */ // Label 30166: @2248774
     /* 2248774 */ GIM_Try, /*On fail goto*//*Label 30167*/ GIMT_Encode4(2248822), // Rule ID 48278 //
     /* 2248779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2248785 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2248788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248792 */   // MIs[0] Operand 1
     /* 2248792 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2248797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248801 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248805 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2248808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248810 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248812 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2248814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248821 */   // GIR_Coverage, 48278,
     /* 2248821 */   GIR_EraseRootFromParent_Done,
     /* 2248822 */ // Label 30167: @2248822
     /* 2248822 */ GIM_Try, /*On fail goto*//*Label 30168*/ GIMT_Encode4(2248870), // Rule ID 48313 //
     /* 2248827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2248833 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2248836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248840 */   // MIs[0] Operand 1
     /* 2248840 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248849 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248853 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2248853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2248856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248858 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248860 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248868 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248869 */   // GIR_Coverage, 48313,
     /* 2248869 */   GIR_EraseRootFromParent_Done,
     /* 2248870 */ // Label 30168: @2248870
     /* 2248870 */ GIM_Try, /*On fail goto*//*Label 30169*/ GIMT_Encode4(2248918), // Rule ID 48314 //
     /* 2248875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2248881 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2248884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248888 */   // MIs[0] Operand 1
     /* 2248888 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248893 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248897 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248901 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2248901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2248904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248906 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248908 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2248916 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248917 */   // GIR_Coverage, 48314,
     /* 2248917 */   GIR_EraseRootFromParent_Done,
     /* 2248918 */ // Label 30169: @2248918
     /* 2248918 */ GIM_Try, /*On fail goto*//*Label 30170*/ GIMT_Encode4(2248966), // Rule ID 48321 //
     /* 2248923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2248926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2248929 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2248932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248936 */   // MIs[0] Operand 1
     /* 2248936 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248941 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248945 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248949 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2248952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248954 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248956 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248964 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248965 */   // GIR_Coverage, 48321,
     /* 2248965 */   GIR_EraseRootFromParent_Done,
     /* 2248966 */ // Label 30170: @2248966
     /* 2248966 */ GIM_Try, /*On fail goto*//*Label 30171*/ GIMT_Encode4(2249014), // Rule ID 48322 //
     /* 2248971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2248974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2248977 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2248980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248984 */   // MIs[0] Operand 1
     /* 2248984 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248989 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248993 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248997 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2249000 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249002 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249004 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249013 */   // GIR_Coverage, 48322,
     /* 2249013 */   GIR_EraseRootFromParent_Done,
     /* 2249014 */ // Label 30171: @2249014
     /* 2249014 */ GIM_Try, /*On fail goto*//*Label 30172*/ GIMT_Encode4(2249062), // Rule ID 48357 //
     /* 2249019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249025 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249032 */   // MIs[0] Operand 1
     /* 2249032 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2249037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249041 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249045 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2249048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249050 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249052 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249060 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249061 */   // GIR_Coverage, 48357,
     /* 2249061 */   GIR_EraseRootFromParent_Done,
     /* 2249062 */ // Label 30172: @2249062
     /* 2249062 */ GIM_Try, /*On fail goto*//*Label 30173*/ GIMT_Encode4(2249110), // Rule ID 48358 //
     /* 2249067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249073 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249080 */   // MIs[0] Operand 1
     /* 2249080 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2249085 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249089 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249093 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2249096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249098 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249100 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249108 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249109 */   // GIR_Coverage, 48358,
     /* 2249109 */   GIR_EraseRootFromParent_Done,
     /* 2249110 */ // Label 30173: @2249110
     /* 2249110 */ GIM_Try, /*On fail goto*//*Label 30174*/ GIMT_Encode4(2249158), // Rule ID 48365 //
     /* 2249115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249121 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249128 */   // MIs[0] Operand 1
     /* 2249128 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2249133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249137 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249141 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2249144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249146 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249148 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249157 */   // GIR_Coverage, 48365,
     /* 2249157 */   GIR_EraseRootFromParent_Done,
     /* 2249158 */ // Label 30174: @2249158
     /* 2249158 */ GIM_Try, /*On fail goto*//*Label 30175*/ GIMT_Encode4(2249206), // Rule ID 48366 //
     /* 2249163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249169 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249176 */   // MIs[0] Operand 1
     /* 2249176 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2249181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249185 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249189 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2249192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249194 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249196 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249204 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249205 */   // GIR_Coverage, 48366,
     /* 2249205 */   GIR_EraseRootFromParent_Done,
     /* 2249206 */ // Label 30175: @2249206
     /* 2249206 */ GIM_Try, /*On fail goto*//*Label 30176*/ GIMT_Encode4(2249254), // Rule ID 48401 //
     /* 2249211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249217 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249224 */   // MIs[0] Operand 1
     /* 2249224 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2249229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249233 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249237 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2249240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249242 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249244 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249252 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249253 */   // GIR_Coverage, 48401,
     /* 2249253 */   GIR_EraseRootFromParent_Done,
     /* 2249254 */ // Label 30176: @2249254
     /* 2249254 */ GIM_Try, /*On fail goto*//*Label 30177*/ GIMT_Encode4(2249302), // Rule ID 48402 //
     /* 2249259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249265 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249272 */   // MIs[0] Operand 1
     /* 2249272 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2249277 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249281 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249285 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2249288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249290 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249292 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249300 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249301 */   // GIR_Coverage, 48402,
     /* 2249301 */   GIR_EraseRootFromParent_Done,
     /* 2249302 */ // Label 30177: @2249302
     /* 2249302 */ GIM_Try, /*On fail goto*//*Label 30178*/ GIMT_Encode4(2249350), // Rule ID 48409 //
     /* 2249307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249313 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249320 */   // MIs[0] Operand 1
     /* 2249320 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2249325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249329 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249333 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2249336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249338 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249340 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249348 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249349 */   // GIR_Coverage, 48409,
     /* 2249349 */   GIR_EraseRootFromParent_Done,
     /* 2249350 */ // Label 30178: @2249350
     /* 2249350 */ GIM_Try, /*On fail goto*//*Label 30179*/ GIMT_Encode4(2249398), // Rule ID 48410 //
     /* 2249355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249361 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249368 */   // MIs[0] Operand 1
     /* 2249368 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2249373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249377 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249381 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2249384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249386 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249388 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249396 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249397 */   // GIR_Coverage, 48410,
     /* 2249397 */   GIR_EraseRootFromParent_Done,
     /* 2249398 */ // Label 30179: @2249398
     /* 2249398 */ GIM_Try, /*On fail goto*//*Label 30180*/ GIMT_Encode4(2249446), // Rule ID 48445 //
     /* 2249403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249409 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249416 */   // MIs[0] Operand 1
     /* 2249416 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249425 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249429 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2249432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249434 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249436 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249444 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249445 */   // GIR_Coverage, 48445,
     /* 2249445 */   GIR_EraseRootFromParent_Done,
     /* 2249446 */ // Label 30180: @2249446
     /* 2249446 */ GIM_Try, /*On fail goto*//*Label 30181*/ GIMT_Encode4(2249494), // Rule ID 48446 //
     /* 2249451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2249457 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2249460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249464 */   // MIs[0] Operand 1
     /* 2249464 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249469 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249473 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249477 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2249480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249482 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249484 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249492 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249493 */   // GIR_Coverage, 48446,
     /* 2249493 */   GIR_EraseRootFromParent_Done,
     /* 2249494 */ // Label 30181: @2249494
     /* 2249494 */ GIM_Try, /*On fail goto*//*Label 30182*/ GIMT_Encode4(2249542), // Rule ID 48453 //
     /* 2249499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249502 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249505 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249512 */   // MIs[0] Operand 1
     /* 2249512 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249521 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249525 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2249528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249530 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249532 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249540 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249541 */   // GIR_Coverage, 48453,
     /* 2249541 */   GIR_EraseRootFromParent_Done,
     /* 2249542 */ // Label 30182: @2249542
     /* 2249542 */ GIM_Try, /*On fail goto*//*Label 30183*/ GIMT_Encode4(2249590), // Rule ID 48454 //
     /* 2249547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2249553 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2249556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249560 */   // MIs[0] Operand 1
     /* 2249560 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249569 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249573 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2249576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249578 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249580 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249589 */   // GIR_Coverage, 48454,
     /* 2249589 */   GIR_EraseRootFromParent_Done,
     /* 2249590 */ // Label 30183: @2249590
     /* 2249590 */ GIM_Reject,
     /* 2249591 */ // Label 29668: @2249591
     /* 2249591 */ GIM_Try, /*On fail goto*//*Label 30184*/ GIMT_Encode4(2250367),
     /* 2249596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2249599 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2249602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249606 */   GIM_Try, /*On fail goto*//*Label 30185*/ GIMT_Encode4(2249644), // Rule ID 48053 //
     /* 2249611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249614 */     // MIs[0] Operand 1
     /* 2249614 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249627 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2249630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249643 */     // GIR_Coverage, 48053,
     /* 2249643 */     GIR_EraseRootFromParent_Done,
     /* 2249644 */   // Label 30185: @2249644
     /* 2249644 */   GIM_Try, /*On fail goto*//*Label 30186*/ GIMT_Encode4(2249682), // Rule ID 48054 //
     /* 2249649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249652 */     // MIs[0] Operand 1
     /* 2249652 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249665 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2249668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249681 */     // GIR_Coverage, 48054,
     /* 2249681 */     GIR_EraseRootFromParent_Done,
     /* 2249682 */   // Label 30186: @2249682
     /* 2249682 */   GIM_Try, /*On fail goto*//*Label 30187*/ GIMT_Encode4(2249720), // Rule ID 48097 //
     /* 2249687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249690 */     // MIs[0] Operand 1
     /* 2249690 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249703 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2249706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249719 */     // GIR_Coverage, 48097,
     /* 2249719 */     GIR_EraseRootFromParent_Done,
     /* 2249720 */   // Label 30187: @2249720
     /* 2249720 */   GIM_Try, /*On fail goto*//*Label 30188*/ GIMT_Encode4(2249758), // Rule ID 48098 //
     /* 2249725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249728 */     // MIs[0] Operand 1
     /* 2249728 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249741 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2249744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249757 */     // GIR_Coverage, 48098,
     /* 2249757 */     GIR_EraseRootFromParent_Done,
     /* 2249758 */   // Label 30188: @2249758
     /* 2249758 */   GIM_Try, /*On fail goto*//*Label 30189*/ GIMT_Encode4(2249796), // Rule ID 48141 //
     /* 2249763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249766 */     // MIs[0] Operand 1
     /* 2249766 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2249771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249779 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2249782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249795 */     // GIR_Coverage, 48141,
     /* 2249795 */     GIR_EraseRootFromParent_Done,
     /* 2249796 */   // Label 30189: @2249796
     /* 2249796 */   GIM_Try, /*On fail goto*//*Label 30190*/ GIMT_Encode4(2249834), // Rule ID 48142 //
     /* 2249801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249804 */     // MIs[0] Operand 1
     /* 2249804 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2249809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249817 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2249820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249833 */     // GIR_Coverage, 48142,
     /* 2249833 */     GIR_EraseRootFromParent_Done,
     /* 2249834 */   // Label 30190: @2249834
     /* 2249834 */   GIM_Try, /*On fail goto*//*Label 30191*/ GIMT_Encode4(2249872), // Rule ID 48183 //
     /* 2249839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249842 */     // MIs[0] Operand 1
     /* 2249842 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249855 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2249858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249871 */     // GIR_Coverage, 48183,
     /* 2249871 */     GIR_EraseRootFromParent_Done,
     /* 2249872 */   // Label 30191: @2249872
     /* 2249872 */   GIM_Try, /*On fail goto*//*Label 30192*/ GIMT_Encode4(2249910), // Rule ID 48184 //
     /* 2249877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249880 */     // MIs[0] Operand 1
     /* 2249880 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249893 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2249896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249909 */     // GIR_Coverage, 48184,
     /* 2249909 */     GIR_EraseRootFromParent_Done,
     /* 2249910 */   // Label 30192: @2249910
     /* 2249910 */   GIM_Try, /*On fail goto*//*Label 30193*/ GIMT_Encode4(2249948), // Rule ID 48227 //
     /* 2249915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249918 */     // MIs[0] Operand 1
     /* 2249918 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2249923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249931 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2249934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249947 */     // GIR_Coverage, 48227,
     /* 2249947 */     GIR_EraseRootFromParent_Done,
     /* 2249948 */   // Label 30193: @2249948
     /* 2249948 */   GIM_Try, /*On fail goto*//*Label 30194*/ GIMT_Encode4(2249986), // Rule ID 48228 //
     /* 2249953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249956 */     // MIs[0] Operand 1
     /* 2249956 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2249961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249969 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2249972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249985 */     // GIR_Coverage, 48228,
     /* 2249985 */     GIR_EraseRootFromParent_Done,
     /* 2249986 */   // Label 30194: @2249986
     /* 2249986 */   GIM_Try, /*On fail goto*//*Label 30195*/ GIMT_Encode4(2250024), // Rule ID 48271 //
     /* 2249991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249994 */     // MIs[0] Operand 1
     /* 2249994 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2249999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250007 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2250010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250023 */     // GIR_Coverage, 48271,
     /* 2250023 */     GIR_EraseRootFromParent_Done,
     /* 2250024 */   // Label 30195: @2250024
     /* 2250024 */   GIM_Try, /*On fail goto*//*Label 30196*/ GIMT_Encode4(2250062), // Rule ID 48272 //
     /* 2250029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250032 */     // MIs[0] Operand 1
     /* 2250032 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2250037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250045 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2250048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250061 */     // GIR_Coverage, 48272,
     /* 2250061 */     GIR_EraseRootFromParent_Done,
     /* 2250062 */   // Label 30196: @2250062
     /* 2250062 */   GIM_Try, /*On fail goto*//*Label 30197*/ GIMT_Encode4(2250100), // Rule ID 48315 //
     /* 2250067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250070 */     // MIs[0] Operand 1
     /* 2250070 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250083 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250099 */     // GIR_Coverage, 48315,
     /* 2250099 */     GIR_EraseRootFromParent_Done,
     /* 2250100 */   // Label 30197: @2250100
     /* 2250100 */   GIM_Try, /*On fail goto*//*Label 30198*/ GIMT_Encode4(2250138), // Rule ID 48316 //
     /* 2250105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250108 */     // MIs[0] Operand 1
     /* 2250108 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2250113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250121 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250137 */     // GIR_Coverage, 48316,
     /* 2250137 */     GIR_EraseRootFromParent_Done,
     /* 2250138 */   // Label 30198: @2250138
     /* 2250138 */   GIM_Try, /*On fail goto*//*Label 30199*/ GIMT_Encode4(2250176), // Rule ID 48359 //
     /* 2250143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250146 */     // MIs[0] Operand 1
     /* 2250146 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250159 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250175 */     // GIR_Coverage, 48359,
     /* 2250175 */     GIR_EraseRootFromParent_Done,
     /* 2250176 */   // Label 30199: @2250176
     /* 2250176 */   GIM_Try, /*On fail goto*//*Label 30200*/ GIMT_Encode4(2250214), // Rule ID 48360 //
     /* 2250181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250184 */     // MIs[0] Operand 1
     /* 2250184 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2250189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250197 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2250200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250213 */     // GIR_Coverage, 48360,
     /* 2250213 */     GIR_EraseRootFromParent_Done,
     /* 2250214 */   // Label 30200: @2250214
     /* 2250214 */   GIM_Try, /*On fail goto*//*Label 30201*/ GIMT_Encode4(2250252), // Rule ID 48403 //
     /* 2250219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250222 */     // MIs[0] Operand 1
     /* 2250222 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250235 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2250238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250251 */     // GIR_Coverage, 48403,
     /* 2250251 */     GIR_EraseRootFromParent_Done,
     /* 2250252 */   // Label 30201: @2250252
     /* 2250252 */   GIM_Try, /*On fail goto*//*Label 30202*/ GIMT_Encode4(2250290), // Rule ID 48404 //
     /* 2250257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250260 */     // MIs[0] Operand 1
     /* 2250260 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2250265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250273 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2250276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250289 */     // GIR_Coverage, 48404,
     /* 2250289 */     GIR_EraseRootFromParent_Done,
     /* 2250290 */   // Label 30202: @2250290
     /* 2250290 */   GIM_Try, /*On fail goto*//*Label 30203*/ GIMT_Encode4(2250328), // Rule ID 48447 //
     /* 2250295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250298 */     // MIs[0] Operand 1
     /* 2250298 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2250303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250311 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2250314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250327 */     // GIR_Coverage, 48447,
     /* 2250327 */     GIR_EraseRootFromParent_Done,
     /* 2250328 */   // Label 30203: @2250328
     /* 2250328 */   GIM_Try, /*On fail goto*//*Label 30204*/ GIMT_Encode4(2250366), // Rule ID 48448 //
     /* 2250333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250336 */     // MIs[0] Operand 1
     /* 2250336 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2250341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2250349 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2250352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250365 */     // GIR_Coverage, 48448,
     /* 2250365 */     GIR_EraseRootFromParent_Done,
     /* 2250366 */   // Label 30204: @2250366
     /* 2250366 */   GIM_Reject,
     /* 2250367 */ // Label 30184: @2250367
     /* 2250367 */ GIM_Reject,
     /* 2250368 */ // Label 29669: @2250368
     /* 2250368 */ GIM_Reject,
     /* 2250369 */ // Label 49: @2250369
     /* 2250369 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(30), /*)*//*default:*//*Label 30213*/ GIMT_Encode4(2257830),
     /* 2250380 */ /*GILLT_s32*//*Label 30205*/ GIMT_Encode4(2250488),
     /* 2250384 */ /*GILLT_s64*//*Label 30206*/ GIMT_Encode4(2251245),
     /* 2250388 */ /*GILLT_nxv1s1*//*Label 30207*/ GIMT_Encode4(2252128), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2250408 */ /*GILLT_nxv2s1*//*Label 30208*/ GIMT_Encode4(2253281), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2250428 */ /*GILLT_nxv4s1*//*Label 30209*/ GIMT_Encode4(2254434), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2250448 */ /*GILLT_nxv8s1*//*Label 30210*/ GIMT_Encode4(2255587), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2250468 */ /*GILLT_nxv16s1*//*Label 30211*/ GIMT_Encode4(2256740), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2250484 */ /*GILLT_nxv32s1*//*Label 30212*/ GIMT_Encode4(2257509),
     /* 2250488 */ // Label 30205: @2250488
     /* 2250488 */ GIM_Try, /*On fail goto*//*Label 30214*/ GIMT_Encode4(2250530), // Rule ID 1225 //
     /* 2250493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2250496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2250499 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2250502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2250506 */   // MIs[0] Operand 1
     /* 2250506 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2250511 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2250515 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2250519 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2250519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2250522 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250524 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250526 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250529 */   // GIR_Coverage, 1225,
     /* 2250529 */   GIR_EraseRootFromParent_Done,
     /* 2250530 */ // Label 30214: @2250530
     /* 2250530 */ GIM_Try, /*On fail goto*//*Label 30215*/ GIMT_Encode4(2250572), // Rule ID 1229 //
     /* 2250535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2250538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2250541 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2250544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2250548 */   // MIs[0] Operand 1
     /* 2250548 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2250553 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2250557 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2250561 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2250561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2250564 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250566 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250568 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250570 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250571 */   // GIR_Coverage, 1229,
     /* 2250571 */   GIR_EraseRootFromParent_Done,
     /* 2250572 */ // Label 30215: @2250572
     /* 2250572 */ GIM_Try, /*On fail goto*//*Label 30216*/ GIMT_Encode4(2250614), // Rule ID 1273 //
     /* 2250577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2250580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2250583 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2250586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2250590 */   // MIs[0] Operand 1
     /* 2250590 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2250595 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2250599 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2250603 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2250603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2250606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250608 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250610 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250612 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250613 */   // GIR_Coverage, 1273,
     /* 2250613 */   GIR_EraseRootFromParent_Done,
     /* 2250614 */ // Label 30216: @2250614
     /* 2250614 */ GIM_Try, /*On fail goto*//*Label 30217*/ GIMT_Encode4(2250656), // Rule ID 1277 //
     /* 2250619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2250622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2250625 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2250628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2250632 */   // MIs[0] Operand 1
     /* 2250632 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2250637 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2250641 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2250645 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2250645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2250648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250650 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250652 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250654 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250655 */   // GIR_Coverage, 1277,
     /* 2250655 */   GIR_EraseRootFromParent_Done,
     /* 2250656 */ // Label 30217: @2250656
     /* 2250656 */ GIM_Try, /*On fail goto*//*Label 30218*/ GIMT_Encode4(2250698), // Rule ID 1289 //
     /* 2250661 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2250664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2250667 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2250670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2250674 */   // MIs[0] Operand 1
     /* 2250674 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2250679 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2250683 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2250687 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2250687 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2250690 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250692 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250694 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250696 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250697 */   // GIR_Coverage, 1289,
     /* 2250697 */   GIR_EraseRootFromParent_Done,
     /* 2250698 */ // Label 30218: @2250698
     /* 2250698 */ GIM_Try, /*On fail goto*//*Label 30219*/ GIMT_Encode4(2250740), // Rule ID 1293 //
     /* 2250703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2250706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2250709 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2250712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2250716 */   // MIs[0] Operand 1
     /* 2250716 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2250721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2250725 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2250729 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2250729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2250732 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250734 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250736 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250738 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250739 */   // GIR_Coverage, 1293,
     /* 2250739 */   GIR_EraseRootFromParent_Done,
     /* 2250740 */ // Label 30219: @2250740
     /* 2250740 */ GIM_Try, /*On fail goto*//*Label 30220*/ GIMT_Encode4(2250782), // Rule ID 1605 //
     /* 2250745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2250748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2250751 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2250754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2250758 */   // MIs[0] Operand 1
     /* 2250758 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2250763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2250767 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2250771 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2250771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2250774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250776 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250778 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250780 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250781 */   // GIR_Coverage, 1605,
     /* 2250781 */   GIR_EraseRootFromParent_Done,
     /* 2250782 */ // Label 30220: @2250782
     /* 2250782 */ GIM_Try, /*On fail goto*//*Label 30221*/ GIMT_Encode4(2250824), // Rule ID 1609 //
     /* 2250787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2250790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2250793 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2250796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2250800 */   // MIs[0] Operand 1
     /* 2250800 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2250805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2250809 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2250813 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2250813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2250816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250818 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250820 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250822 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250823 */   // GIR_Coverage, 1609,
     /* 2250823 */   GIR_EraseRootFromParent_Done,
     /* 2250824 */ // Label 30221: @2250824
     /* 2250824 */ GIM_Try, /*On fail goto*//*Label 30222*/ GIMT_Encode4(2250866), // Rule ID 1647 //
     /* 2250829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2250832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2250835 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2250838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2250842 */   // MIs[0] Operand 1
     /* 2250842 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2250847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2250851 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2250855 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2250855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2250858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250860 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250862 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250864 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250865 */   // GIR_Coverage, 1647,
     /* 2250865 */   GIR_EraseRootFromParent_Done,
     /* 2250866 */ // Label 30222: @2250866
     /* 2250866 */ GIM_Try, /*On fail goto*//*Label 30223*/ GIMT_Encode4(2250908), // Rule ID 1655 //
     /* 2250871 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2250874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2250877 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2250880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2250884 */   // MIs[0] Operand 1
     /* 2250884 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2250889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2250893 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2250897 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2250897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2250900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250902 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250904 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250906 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250907 */   // GIR_Coverage, 1655,
     /* 2250907 */   GIR_EraseRootFromParent_Done,
     /* 2250908 */ // Label 30223: @2250908
     /* 2250908 */ GIM_Try, /*On fail goto*//*Label 30224*/ GIMT_Encode4(2250950), // Rule ID 1683 //
     /* 2250913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2250916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2250919 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2250922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2250926 */   // MIs[0] Operand 1
     /* 2250926 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2250931 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2250935 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2250939 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2250939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2250942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250944 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250946 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250948 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250949 */   // GIR_Coverage, 1683,
     /* 2250949 */   GIR_EraseRootFromParent_Done,
     /* 2250950 */ // Label 30224: @2250950
     /* 2250950 */ GIM_Try, /*On fail goto*//*Label 30225*/ GIMT_Encode4(2250992), // Rule ID 1691 //
     /* 2250955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2250958 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2250961 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2250964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2250968 */   // MIs[0] Operand 1
     /* 2250968 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2250973 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2250977 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2250981 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2250981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2250984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250986 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250988 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250990 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250991 */   // GIR_Coverage, 1691,
     /* 2250991 */   GIR_EraseRootFromParent_Done,
     /* 2250992 */ // Label 30225: @2250992
     /* 2250992 */ GIM_Try, /*On fail goto*//*Label 30226*/ GIMT_Encode4(2251034), // Rule ID 1938 //
     /* 2250997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2251000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2251003 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2251006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251010 */   // MIs[0] Operand 1
     /* 2251010 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2251015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2251019 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2251023 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2251023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2251026 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251028 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251030 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251033 */   // GIR_Coverage, 1938,
     /* 2251033 */   GIR_EraseRootFromParent_Done,
     /* 2251034 */ // Label 30226: @2251034
     /* 2251034 */ GIM_Try, /*On fail goto*//*Label 30227*/ GIMT_Encode4(2251076), // Rule ID 1942 //
     /* 2251039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2251042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2251045 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2251048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251052 */   // MIs[0] Operand 1
     /* 2251052 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2251057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2251061 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2251065 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2251065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2251068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251070 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251072 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251074 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251075 */   // GIR_Coverage, 1942,
     /* 2251075 */   GIR_EraseRootFromParent_Done,
     /* 2251076 */ // Label 30227: @2251076
     /* 2251076 */ GIM_Try, /*On fail goto*//*Label 30228*/ GIMT_Encode4(2251118), // Rule ID 1986 //
     /* 2251081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2251084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2251087 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2251090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251094 */   // MIs[0] Operand 1
     /* 2251094 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2251099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2251103 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2251107 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2251107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2251110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251112 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251114 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251116 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251117 */   // GIR_Coverage, 1986,
     /* 2251117 */   GIR_EraseRootFromParent_Done,
     /* 2251118 */ // Label 30228: @2251118
     /* 2251118 */ GIM_Try, /*On fail goto*//*Label 30229*/ GIMT_Encode4(2251160), // Rule ID 1990 //
     /* 2251123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2251126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2251129 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2251132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251136 */   // MIs[0] Operand 1
     /* 2251136 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2251141 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2251145 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2251149 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2251149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2251152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251154 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251156 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251159 */   // GIR_Coverage, 1990,
     /* 2251159 */   GIR_EraseRootFromParent_Done,
     /* 2251160 */ // Label 30229: @2251160
     /* 2251160 */ GIM_Try, /*On fail goto*//*Label 30230*/ GIMT_Encode4(2251202), // Rule ID 2002 //
     /* 2251165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2251168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2251171 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2251174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251178 */   // MIs[0] Operand 1
     /* 2251178 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2251183 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2251187 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2251191 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2251191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2251194 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251196 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251198 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251201 */   // GIR_Coverage, 2002,
     /* 2251201 */   GIR_EraseRootFromParent_Done,
     /* 2251202 */ // Label 30230: @2251202
     /* 2251202 */ GIM_Try, /*On fail goto*//*Label 30231*/ GIMT_Encode4(2251244), // Rule ID 2006 //
     /* 2251207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2251210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2251213 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2251216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251220 */   // MIs[0] Operand 1
     /* 2251220 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2251225 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2251229 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2251233 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2251233 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2251236 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251238 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251240 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251242 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251243 */   // GIR_Coverage, 2006,
     /* 2251243 */   GIR_EraseRootFromParent_Done,
     /* 2251244 */ // Label 30231: @2251244
     /* 2251244 */ GIM_Reject,
     /* 2251245 */ // Label 30206: @2251245
     /* 2251245 */ GIM_Try, /*On fail goto*//*Label 30232*/ GIMT_Encode4(2251287), // Rule ID 1224 //
     /* 2251250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2251253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2251256 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2251259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251263 */   // MIs[0] Operand 1
     /* 2251263 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2251268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251272 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251276 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2251276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2251279 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251281 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251283 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251285 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251286 */   // GIR_Coverage, 1224,
     /* 2251286 */   GIR_EraseRootFromParent_Done,
     /* 2251287 */ // Label 30232: @2251287
     /* 2251287 */ GIM_Try, /*On fail goto*//*Label 30233*/ GIMT_Encode4(2251329), // Rule ID 1228 //
     /* 2251292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2251295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2251298 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2251301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251305 */   // MIs[0] Operand 1
     /* 2251305 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2251310 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251314 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251318 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2251318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2251321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251323 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251325 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251327 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251328 */   // GIR_Coverage, 1228,
     /* 2251328 */   GIR_EraseRootFromParent_Done,
     /* 2251329 */ // Label 30233: @2251329
     /* 2251329 */ GIM_Try, /*On fail goto*//*Label 30234*/ GIMT_Encode4(2251371), // Rule ID 1272 //
     /* 2251334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2251337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2251340 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2251343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251347 */   // MIs[0] Operand 1
     /* 2251347 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2251352 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251356 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251360 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2251360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2251363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251365 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251367 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251369 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251370 */   // GIR_Coverage, 1272,
     /* 2251370 */   GIR_EraseRootFromParent_Done,
     /* 2251371 */ // Label 30234: @2251371
     /* 2251371 */ GIM_Try, /*On fail goto*//*Label 30235*/ GIMT_Encode4(2251413), // Rule ID 1276 //
     /* 2251376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2251379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2251382 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2251385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251389 */   // MIs[0] Operand 1
     /* 2251389 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2251394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251398 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251402 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2251402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2251405 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251407 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251409 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251411 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251412 */   // GIR_Coverage, 1276,
     /* 2251412 */   GIR_EraseRootFromParent_Done,
     /* 2251413 */ // Label 30235: @2251413
     /* 2251413 */ GIM_Try, /*On fail goto*//*Label 30236*/ GIMT_Encode4(2251455), // Rule ID 1288 //
     /* 2251418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2251421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2251424 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2251427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251431 */   // MIs[0] Operand 1
     /* 2251431 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2251436 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251440 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2251444 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2251444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2251447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251449 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251451 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251453 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251454 */   // GIR_Coverage, 1288,
     /* 2251454 */   GIR_EraseRootFromParent_Done,
     /* 2251455 */ // Label 30236: @2251455
     /* 2251455 */ GIM_Try, /*On fail goto*//*Label 30237*/ GIMT_Encode4(2251497), // Rule ID 1292 //
     /* 2251460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2251463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2251466 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2251469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251473 */   // MIs[0] Operand 1
     /* 2251473 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2251478 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251482 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2251486 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2251486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2251489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251491 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251493 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251496 */   // GIR_Coverage, 1292,
     /* 2251496 */   GIR_EraseRootFromParent_Done,
     /* 2251497 */ // Label 30237: @2251497
     /* 2251497 */ GIM_Try, /*On fail goto*//*Label 30238*/ GIMT_Encode4(2251539), // Rule ID 1604 //
     /* 2251502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2251505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2251508 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2251511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251515 */   // MIs[0] Operand 1
     /* 2251515 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2251520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2251524 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2251528 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2251528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2251531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251533 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251535 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251537 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251538 */   // GIR_Coverage, 1604,
     /* 2251538 */   GIR_EraseRootFromParent_Done,
     /* 2251539 */ // Label 30238: @2251539
     /* 2251539 */ GIM_Try, /*On fail goto*//*Label 30239*/ GIMT_Encode4(2251581), // Rule ID 1608 //
     /* 2251544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2251547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2251550 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2251553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251557 */   // MIs[0] Operand 1
     /* 2251557 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2251562 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2251566 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2251570 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2251570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2251573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251575 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251577 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251580 */   // GIR_Coverage, 1608,
     /* 2251580 */   GIR_EraseRootFromParent_Done,
     /* 2251581 */ // Label 30239: @2251581
     /* 2251581 */ GIM_Try, /*On fail goto*//*Label 30240*/ GIMT_Encode4(2251623), // Rule ID 1611 //
     /* 2251586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2251589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2251592 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2251595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251599 */   // MIs[0] Operand 1
     /* 2251599 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2251604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251608 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251612 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2251612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_INX),
     /* 2251615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251617 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251619 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251621 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251622 */   // GIR_Coverage, 1611,
     /* 2251622 */   GIR_EraseRootFromParent_Done,
     /* 2251623 */ // Label 30240: @2251623
     /* 2251623 */ GIM_Try, /*On fail goto*//*Label 30241*/ GIMT_Encode4(2251665), // Rule ID 1646 //
     /* 2251628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2251631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2251634 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2251637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251641 */   // MIs[0] Operand 1
     /* 2251641 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2251646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2251650 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2251654 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2251654 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2251657 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251659 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251661 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251663 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251664 */   // GIR_Coverage, 1646,
     /* 2251664 */   GIR_EraseRootFromParent_Done,
     /* 2251665 */ // Label 30241: @2251665
     /* 2251665 */ GIM_Try, /*On fail goto*//*Label 30242*/ GIMT_Encode4(2251707), // Rule ID 1654 //
     /* 2251670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2251673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2251676 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2251679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251683 */   // MIs[0] Operand 1
     /* 2251683 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2251688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2251692 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2251696 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2251696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2251699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251701 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251703 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251705 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251706 */   // GIR_Coverage, 1654,
     /* 2251706 */   GIR_EraseRootFromParent_Done,
     /* 2251707 */ // Label 30242: @2251707
     /* 2251707 */ GIM_Try, /*On fail goto*//*Label 30243*/ GIMT_Encode4(2251749), // Rule ID 1663 //
     /* 2251712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2251715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2251718 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2251721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251725 */   // MIs[0] Operand 1
     /* 2251725 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2251730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251734 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251738 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2251738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_INX),
     /* 2251741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251743 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251745 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251747 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251748 */   // GIR_Coverage, 1663,
     /* 2251748 */   GIR_EraseRootFromParent_Done,
     /* 2251749 */ // Label 30243: @2251749
     /* 2251749 */ GIM_Try, /*On fail goto*//*Label 30244*/ GIMT_Encode4(2251791), // Rule ID 1667 //
     /* 2251754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2251757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2251760 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2251763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251767 */   // MIs[0] Operand 1
     /* 2251767 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2251772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251776 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251780 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2251780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_INX),
     /* 2251783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251785 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251787 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251790 */   // GIR_Coverage, 1667,
     /* 2251790 */   GIR_EraseRootFromParent_Done,
     /* 2251791 */ // Label 30244: @2251791
     /* 2251791 */ GIM_Try, /*On fail goto*//*Label 30245*/ GIMT_Encode4(2251833), // Rule ID 1682 //
     /* 2251796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2251799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2251802 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2251805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251809 */   // MIs[0] Operand 1
     /* 2251809 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2251814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2251818 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2251822 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2251822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2251825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251827 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251829 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251832 */   // GIR_Coverage, 1682,
     /* 2251832 */   GIR_EraseRootFromParent_Done,
     /* 2251833 */ // Label 30245: @2251833
     /* 2251833 */ GIM_Try, /*On fail goto*//*Label 30246*/ GIMT_Encode4(2251875), // Rule ID 1690 //
     /* 2251838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2251841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2251844 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2251847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251851 */   // MIs[0] Operand 1
     /* 2251851 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2251856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2251860 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2251864 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2251864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2251867 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251869 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251871 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251873 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251874 */   // GIR_Coverage, 1690,
     /* 2251874 */   GIR_EraseRootFromParent_Done,
     /* 2251875 */ // Label 30246: @2251875
     /* 2251875 */ GIM_Try, /*On fail goto*//*Label 30247*/ GIMT_Encode4(2251917), // Rule ID 1937 //
     /* 2251880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2251883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2251886 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2251889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251893 */   // MIs[0] Operand 1
     /* 2251893 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2251898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2251902 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2251906 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2251906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2251909 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251911 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251913 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251916 */   // GIR_Coverage, 1937,
     /* 2251916 */   GIR_EraseRootFromParent_Done,
     /* 2251917 */ // Label 30247: @2251917
     /* 2251917 */ GIM_Try, /*On fail goto*//*Label 30248*/ GIMT_Encode4(2251959), // Rule ID 1941 //
     /* 2251922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2251925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2251928 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2251931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251935 */   // MIs[0] Operand 1
     /* 2251935 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2251940 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2251944 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2251948 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2251948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2251951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251953 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251955 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251957 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251958 */   // GIR_Coverage, 1941,
     /* 2251958 */   GIR_EraseRootFromParent_Done,
     /* 2251959 */ // Label 30248: @2251959
     /* 2251959 */ GIM_Try, /*On fail goto*//*Label 30249*/ GIMT_Encode4(2252001), // Rule ID 1985 //
     /* 2251964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2251967 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2251970 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2251973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2251977 */   // MIs[0] Operand 1
     /* 2251977 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2251982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2251986 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2251990 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2251990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2251993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251995 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251997 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252000 */   // GIR_Coverage, 1985,
     /* 2252000 */   GIR_EraseRootFromParent_Done,
     /* 2252001 */ // Label 30249: @2252001
     /* 2252001 */ GIM_Try, /*On fail goto*//*Label 30250*/ GIMT_Encode4(2252043), // Rule ID 1989 //
     /* 2252006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2252009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252012 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252019 */   // MIs[0] Operand 1
     /* 2252019 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252028 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252032 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2252035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252037 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252039 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252041 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252042 */   // GIR_Coverage, 1989,
     /* 2252042 */   GIR_EraseRootFromParent_Done,
     /* 2252043 */ // Label 30250: @2252043
     /* 2252043 */ GIM_Try, /*On fail goto*//*Label 30251*/ GIMT_Encode4(2252085), // Rule ID 2001 //
     /* 2252048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2252051 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252054 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252061 */   // MIs[0] Operand 1
     /* 2252061 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252066 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252070 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2252074 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252074 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2252077 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252079 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252081 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252083 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252084 */   // GIR_Coverage, 2001,
     /* 2252084 */   GIR_EraseRootFromParent_Done,
     /* 2252085 */ // Label 30251: @2252085
     /* 2252085 */ GIM_Try, /*On fail goto*//*Label 30252*/ GIMT_Encode4(2252127), // Rule ID 2005 //
     /* 2252090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2252093 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2252096 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2252099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2252103 */   // MIs[0] Operand 1
     /* 2252103 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252112 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2252116 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2252116 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2252119 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252121 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252123 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252125 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252126 */   // GIR_Coverage, 2005,
     /* 2252126 */   GIR_EraseRootFromParent_Done,
     /* 2252127 */ // Label 30252: @2252127
     /* 2252127 */ GIM_Reject,
     /* 2252128 */ // Label 30207: @2252128
     /* 2252128 */ GIM_Try, /*On fail goto*//*Label 30253*/ GIMT_Encode4(2252176), // Rule ID 56393 //
     /* 2252133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2252136 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2252139 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2252142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252146 */   // MIs[0] Operand 1
     /* 2252146 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252151 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252155 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252159 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2252162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252164 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252166 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252174 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252175 */   // GIR_Coverage, 56393,
     /* 2252175 */   GIR_EraseRootFromParent_Done,
     /* 2252176 */ // Label 30253: @2252176
     /* 2252176 */ GIM_Try, /*On fail goto*//*Label 30254*/ GIMT_Encode4(2252224), // Rule ID 56394 //
     /* 2252181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2252184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2252187 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2252190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252194 */   // MIs[0] Operand 1
     /* 2252194 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252199 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252203 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252207 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2252210 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252212 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252214 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252222 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252223 */   // GIR_Coverage, 56394,
     /* 2252223 */   GIR_EraseRootFromParent_Done,
     /* 2252224 */ // Label 30254: @2252224
     /* 2252224 */ GIM_Try, /*On fail goto*//*Label 30255*/ GIMT_Encode4(2252272), // Rule ID 56413 //
     /* 2252229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2252232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2252235 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2252238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252242 */   // MIs[0] Operand 1
     /* 2252242 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252251 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252255 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2252255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2252258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252260 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252262 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252270 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252271 */   // GIR_Coverage, 56413,
     /* 2252271 */   GIR_EraseRootFromParent_Done,
     /* 2252272 */ // Label 30255: @2252272
     /* 2252272 */ GIM_Try, /*On fail goto*//*Label 30256*/ GIMT_Encode4(2252320), // Rule ID 56414 //
     /* 2252277 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2252280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2252283 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2252286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252290 */   // MIs[0] Operand 1
     /* 2252290 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252299 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252303 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2252303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2252306 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252308 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252310 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252318 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252319 */   // GIR_Coverage, 56414,
     /* 2252319 */   GIR_EraseRootFromParent_Done,
     /* 2252320 */ // Label 30256: @2252320
     /* 2252320 */ GIM_Try, /*On fail goto*//*Label 30257*/ GIMT_Encode4(2252368), // Rule ID 56443 //
     /* 2252325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2252328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2252331 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2252334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252338 */   // MIs[0] Operand 1
     /* 2252338 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252347 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252351 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2252351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2252354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252356 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252358 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252366 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252367 */   // GIR_Coverage, 56443,
     /* 2252367 */   GIR_EraseRootFromParent_Done,
     /* 2252368 */ // Label 30257: @2252368
     /* 2252368 */ GIM_Try, /*On fail goto*//*Label 30258*/ GIMT_Encode4(2252416), // Rule ID 56444 //
     /* 2252373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2252376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2252379 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2252382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252386 */   // MIs[0] Operand 1
     /* 2252386 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252391 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252395 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252399 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2252399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2252402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252404 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252406 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252414 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252415 */   // GIR_Coverage, 56444,
     /* 2252415 */   GIR_EraseRootFromParent_Done,
     /* 2252416 */ // Label 30258: @2252416
     /* 2252416 */ GIM_Try, /*On fail goto*//*Label 30259*/ GIMT_Encode4(2252464), // Rule ID 56693 //
     /* 2252421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2252424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2252427 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2252430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252434 */   // MIs[0] Operand 1
     /* 2252434 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2252439 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252443 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252447 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2252450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252452 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252454 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252462 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252463 */   // GIR_Coverage, 56693,
     /* 2252463 */   GIR_EraseRootFromParent_Done,
     /* 2252464 */ // Label 30259: @2252464
     /* 2252464 */ GIM_Try, /*On fail goto*//*Label 30260*/ GIMT_Encode4(2252512), // Rule ID 56694 //
     /* 2252469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2252472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2252475 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2252478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252482 */   // MIs[0] Operand 1
     /* 2252482 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2252487 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252491 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252495 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252495 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2252498 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252500 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252502 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252510 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252511 */   // GIR_Coverage, 56694,
     /* 2252511 */   GIR_EraseRootFromParent_Done,
     /* 2252512 */ // Label 30260: @2252512
     /* 2252512 */ GIM_Try, /*On fail goto*//*Label 30261*/ GIMT_Encode4(2252560), // Rule ID 56713 //
     /* 2252517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2252520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2252523 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2252526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252530 */   // MIs[0] Operand 1
     /* 2252530 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2252535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252539 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252543 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2252543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2252546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252548 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252550 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252558 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252559 */   // GIR_Coverage, 56713,
     /* 2252559 */   GIR_EraseRootFromParent_Done,
     /* 2252560 */ // Label 30261: @2252560
     /* 2252560 */ GIM_Try, /*On fail goto*//*Label 30262*/ GIMT_Encode4(2252608), // Rule ID 56714 //
     /* 2252565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2252568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2252571 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2252574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252578 */   // MIs[0] Operand 1
     /* 2252578 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2252583 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252587 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252591 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2252591 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2252594 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252596 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252598 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252606 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252607 */   // GIR_Coverage, 56714,
     /* 2252607 */   GIR_EraseRootFromParent_Done,
     /* 2252608 */ // Label 30262: @2252608
     /* 2252608 */ GIM_Try, /*On fail goto*//*Label 30263*/ GIMT_Encode4(2252656), // Rule ID 56743 //
     /* 2252613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2252616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2252619 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2252622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252626 */   // MIs[0] Operand 1
     /* 2252626 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2252631 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252635 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252639 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2252639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2252642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252644 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252646 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252654 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252655 */   // GIR_Coverage, 56743,
     /* 2252655 */   GIR_EraseRootFromParent_Done,
     /* 2252656 */ // Label 30263: @2252656
     /* 2252656 */ GIM_Try, /*On fail goto*//*Label 30264*/ GIMT_Encode4(2252704), // Rule ID 56744 //
     /* 2252661 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2252664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2252667 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2252670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252674 */   // MIs[0] Operand 1
     /* 2252674 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2252679 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252683 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252687 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2252687 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2252690 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252692 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252694 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252703 */   // GIR_Coverage, 56744,
     /* 2252703 */   GIR_EraseRootFromParent_Done,
     /* 2252704 */ // Label 30264: @2252704
     /* 2252704 */ GIM_Try, /*On fail goto*//*Label 30265*/ GIMT_Encode4(2252752), // Rule ID 56993 //
     /* 2252709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2252712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2252715 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2252718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252722 */   // MIs[0] Operand 1
     /* 2252722 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252731 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252735 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2252738 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252740 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252742 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252750 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252751 */   // GIR_Coverage, 56993,
     /* 2252751 */   GIR_EraseRootFromParent_Done,
     /* 2252752 */ // Label 30265: @2252752
     /* 2252752 */ GIM_Try, /*On fail goto*//*Label 30266*/ GIMT_Encode4(2252800), // Rule ID 56994 //
     /* 2252757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2252760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2252763 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2252766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252770 */   // MIs[0] Operand 1
     /* 2252770 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252775 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252779 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252783 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2252786 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252788 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252790 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252798 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252799 */   // GIR_Coverage, 56994,
     /* 2252799 */   GIR_EraseRootFromParent_Done,
     /* 2252800 */ // Label 30266: @2252800
     /* 2252800 */ GIM_Try, /*On fail goto*//*Label 30267*/ GIMT_Encode4(2252848), // Rule ID 57013 //
     /* 2252805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2252808 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2252811 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2252814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252818 */   // MIs[0] Operand 1
     /* 2252818 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252823 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252827 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252831 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2252831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2252834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252836 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252838 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252846 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252847 */   // GIR_Coverage, 57013,
     /* 2252847 */   GIR_EraseRootFromParent_Done,
     /* 2252848 */ // Label 30267: @2252848
     /* 2252848 */ GIM_Try, /*On fail goto*//*Label 30268*/ GIMT_Encode4(2252896), // Rule ID 57014 //
     /* 2252853 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2252856 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2252859 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2252862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252866 */   // MIs[0] Operand 1
     /* 2252866 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252871 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252875 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252879 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2252879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2252882 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252884 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252886 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252894 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252895 */   // GIR_Coverage, 57014,
     /* 2252895 */   GIR_EraseRootFromParent_Done,
     /* 2252896 */ // Label 30268: @2252896
     /* 2252896 */ GIM_Try, /*On fail goto*//*Label 30269*/ GIMT_Encode4(2252944), // Rule ID 57043 //
     /* 2252901 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2252904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2252907 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2252910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252914 */   // MIs[0] Operand 1
     /* 2252914 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252919 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252923 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252927 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2252927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2252930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252932 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252934 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252942 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252943 */   // GIR_Coverage, 57043,
     /* 2252943 */   GIR_EraseRootFromParent_Done,
     /* 2252944 */ // Label 30269: @2252944
     /* 2252944 */ GIM_Try, /*On fail goto*//*Label 30270*/ GIMT_Encode4(2252992), // Rule ID 57044 //
     /* 2252949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2252952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2252955 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2252958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252962 */   // MIs[0] Operand 1
     /* 2252962 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252971 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252975 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2252975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2252978 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252980 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252982 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252990 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252991 */   // GIR_Coverage, 57044,
     /* 2252991 */   GIR_EraseRootFromParent_Done,
     /* 2252992 */ // Label 30270: @2252992
     /* 2252992 */ GIM_Try, /*On fail goto*//*Label 30271*/ GIMT_Encode4(2253040), // Rule ID 57293 //
     /* 2252997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2253000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253003 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2253006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253010 */   // MIs[0] Operand 1
     /* 2253010 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253019 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253023 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2253026 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253028 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253030 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253039 */   // GIR_Coverage, 57293,
     /* 2253039 */   GIR_EraseRootFromParent_Done,
     /* 2253040 */ // Label 30271: @2253040
     /* 2253040 */ GIM_Try, /*On fail goto*//*Label 30272*/ GIMT_Encode4(2253088), // Rule ID 57294 //
     /* 2253045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2253048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253051 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2253054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253058 */   // MIs[0] Operand 1
     /* 2253058 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253067 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253071 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2253074 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253076 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253078 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253086 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253087 */   // GIR_Coverage, 57294,
     /* 2253087 */   GIR_EraseRootFromParent_Done,
     /* 2253088 */ // Label 30272: @2253088
     /* 2253088 */ GIM_Try, /*On fail goto*//*Label 30273*/ GIMT_Encode4(2253136), // Rule ID 57313 //
     /* 2253093 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2253096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2253099 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2253102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253106 */   // MIs[0] Operand 1
     /* 2253106 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253115 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253119 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2253122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253124 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253126 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253134 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253135 */   // GIR_Coverage, 57313,
     /* 2253135 */   GIR_EraseRootFromParent_Done,
     /* 2253136 */ // Label 30273: @2253136
     /* 2253136 */ GIM_Try, /*On fail goto*//*Label 30274*/ GIMT_Encode4(2253184), // Rule ID 57314 //
     /* 2253141 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2253144 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2253147 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2253150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253154 */   // MIs[0] Operand 1
     /* 2253154 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253159 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253163 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253167 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253167 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2253170 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253172 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253174 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253182 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253183 */   // GIR_Coverage, 57314,
     /* 2253183 */   GIR_EraseRootFromParent_Done,
     /* 2253184 */ // Label 30274: @2253184
     /* 2253184 */ GIM_Try, /*On fail goto*//*Label 30275*/ GIMT_Encode4(2253232), // Rule ID 57343 //
     /* 2253189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2253192 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2253195 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2253198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253202 */   // MIs[0] Operand 1
     /* 2253202 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253211 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253215 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2253215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2253218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253220 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253222 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253230 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253231 */   // GIR_Coverage, 57343,
     /* 2253231 */   GIR_EraseRootFromParent_Done,
     /* 2253232 */ // Label 30275: @2253232
     /* 2253232 */ GIM_Try, /*On fail goto*//*Label 30276*/ GIMT_Encode4(2253280), // Rule ID 57344 //
     /* 2253237 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2253240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2253243 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2253246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253250 */   // MIs[0] Operand 1
     /* 2253250 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253255 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253259 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253263 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2253263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2253266 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253268 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253270 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253278 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253279 */   // GIR_Coverage, 57344,
     /* 2253279 */   GIR_EraseRootFromParent_Done,
     /* 2253280 */ // Label 30276: @2253280
     /* 2253280 */ GIM_Reject,
     /* 2253281 */ // Label 30208: @2253281
     /* 2253281 */ GIM_Try, /*On fail goto*//*Label 30277*/ GIMT_Encode4(2253329), // Rule ID 56403 //
     /* 2253286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2253289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2253292 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2253295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253299 */   // MIs[0] Operand 1
     /* 2253299 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253304 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253308 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253312 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2253315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253317 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253319 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253327 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253328 */   // GIR_Coverage, 56403,
     /* 2253328 */   GIR_EraseRootFromParent_Done,
     /* 2253329 */ // Label 30277: @2253329
     /* 2253329 */ GIM_Try, /*On fail goto*//*Label 30278*/ GIMT_Encode4(2253377), // Rule ID 56404 //
     /* 2253334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2253337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2253340 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2253343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253347 */   // MIs[0] Operand 1
     /* 2253347 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253352 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253356 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253360 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2253363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253365 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253367 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253375 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253376 */   // GIR_Coverage, 56404,
     /* 2253376 */   GIR_EraseRootFromParent_Done,
     /* 2253377 */ // Label 30278: @2253377
     /* 2253377 */ GIM_Try, /*On fail goto*//*Label 30279*/ GIMT_Encode4(2253425), // Rule ID 56433 //
     /* 2253382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2253385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2253388 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2253391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253395 */   // MIs[0] Operand 1
     /* 2253395 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253400 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253404 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253408 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2253411 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253413 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253415 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253424 */   // GIR_Coverage, 56433,
     /* 2253424 */   GIR_EraseRootFromParent_Done,
     /* 2253425 */ // Label 30279: @2253425
     /* 2253425 */ GIM_Try, /*On fail goto*//*Label 30280*/ GIMT_Encode4(2253473), // Rule ID 56434 //
     /* 2253430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2253433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2253436 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2253439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253443 */   // MIs[0] Operand 1
     /* 2253443 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253452 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253456 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2253459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253461 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253463 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253471 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253472 */   // GIR_Coverage, 56434,
     /* 2253472 */   GIR_EraseRootFromParent_Done,
     /* 2253473 */ // Label 30280: @2253473
     /* 2253473 */ GIM_Try, /*On fail goto*//*Label 30281*/ GIMT_Encode4(2253521), // Rule ID 56513 //
     /* 2253478 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2253481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2253484 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2253487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253491 */   // MIs[0] Operand 1
     /* 2253491 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253500 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253504 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2253504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2253507 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253509 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253511 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253519 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253520 */   // GIR_Coverage, 56513,
     /* 2253520 */   GIR_EraseRootFromParent_Done,
     /* 2253521 */ // Label 30281: @2253521
     /* 2253521 */ GIM_Try, /*On fail goto*//*Label 30282*/ GIMT_Encode4(2253569), // Rule ID 56514 //
     /* 2253526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2253529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2253532 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2253535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253539 */   // MIs[0] Operand 1
     /* 2253539 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2253544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253548 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253552 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2253552 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2253555 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253557 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253559 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253567 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253568 */   // GIR_Coverage, 56514,
     /* 2253568 */   GIR_EraseRootFromParent_Done,
     /* 2253569 */ // Label 30282: @2253569
     /* 2253569 */ GIM_Try, /*On fail goto*//*Label 30283*/ GIMT_Encode4(2253617), // Rule ID 56703 //
     /* 2253574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2253577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2253580 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2253583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253587 */   // MIs[0] Operand 1
     /* 2253587 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2253592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253596 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253600 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2253603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253605 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253607 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253616 */   // GIR_Coverage, 56703,
     /* 2253616 */   GIR_EraseRootFromParent_Done,
     /* 2253617 */ // Label 30283: @2253617
     /* 2253617 */ GIM_Try, /*On fail goto*//*Label 30284*/ GIMT_Encode4(2253665), // Rule ID 56704 //
     /* 2253622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2253625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2253628 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2253631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253635 */   // MIs[0] Operand 1
     /* 2253635 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2253640 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253644 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253648 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2253651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253653 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253655 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253663 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253664 */   // GIR_Coverage, 56704,
     /* 2253664 */   GIR_EraseRootFromParent_Done,
     /* 2253665 */ // Label 30284: @2253665
     /* 2253665 */ GIM_Try, /*On fail goto*//*Label 30285*/ GIMT_Encode4(2253713), // Rule ID 56733 //
     /* 2253670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2253673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2253676 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2253679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253683 */   // MIs[0] Operand 1
     /* 2253683 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2253688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253692 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253696 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2253699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253701 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253703 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253712 */   // GIR_Coverage, 56733,
     /* 2253712 */   GIR_EraseRootFromParent_Done,
     /* 2253713 */ // Label 30285: @2253713
     /* 2253713 */ GIM_Try, /*On fail goto*//*Label 30286*/ GIMT_Encode4(2253761), // Rule ID 56734 //
     /* 2253718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2253721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2253724 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2253727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253731 */   // MIs[0] Operand 1
     /* 2253731 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2253736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253740 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253744 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2253747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253749 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253751 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253759 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253760 */   // GIR_Coverage, 56734,
     /* 2253760 */   GIR_EraseRootFromParent_Done,
     /* 2253761 */ // Label 30286: @2253761
     /* 2253761 */ GIM_Try, /*On fail goto*//*Label 30287*/ GIMT_Encode4(2253809), // Rule ID 56813 //
     /* 2253766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2253769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2253772 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2253775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253779 */   // MIs[0] Operand 1
     /* 2253779 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2253784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253788 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253792 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2253792 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2253795 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253797 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253799 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253808 */   // GIR_Coverage, 56813,
     /* 2253808 */   GIR_EraseRootFromParent_Done,
     /* 2253809 */ // Label 30287: @2253809
     /* 2253809 */ GIM_Try, /*On fail goto*//*Label 30288*/ GIMT_Encode4(2253857), // Rule ID 56814 //
     /* 2253814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2253817 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2253820 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2253823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253827 */   // MIs[0] Operand 1
     /* 2253827 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2253832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253836 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253840 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2253840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2253843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253845 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253847 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253856 */   // GIR_Coverage, 56814,
     /* 2253856 */   GIR_EraseRootFromParent_Done,
     /* 2253857 */ // Label 30288: @2253857
     /* 2253857 */ GIM_Try, /*On fail goto*//*Label 30289*/ GIMT_Encode4(2253905), // Rule ID 57003 //
     /* 2253862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2253865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2253868 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2253871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253875 */   // MIs[0] Operand 1
     /* 2253875 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253884 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253888 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2253891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253893 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253895 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253903 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253904 */   // GIR_Coverage, 57003,
     /* 2253904 */   GIR_EraseRootFromParent_Done,
     /* 2253905 */ // Label 30289: @2253905
     /* 2253905 */ GIM_Try, /*On fail goto*//*Label 30290*/ GIMT_Encode4(2253953), // Rule ID 57004 //
     /* 2253910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2253913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2253916 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2253919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253923 */   // MIs[0] Operand 1
     /* 2253923 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253932 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253936 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2253939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253941 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253943 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253951 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253952 */   // GIR_Coverage, 57004,
     /* 2253952 */   GIR_EraseRootFromParent_Done,
     /* 2253953 */ // Label 30290: @2253953
     /* 2253953 */ GIM_Try, /*On fail goto*//*Label 30291*/ GIMT_Encode4(2254001), // Rule ID 57033 //
     /* 2253958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2253961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2253964 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2253967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253971 */   // MIs[0] Operand 1
     /* 2253971 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253976 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253980 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253984 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2253987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253989 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253991 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254000 */   // GIR_Coverage, 57033,
     /* 2254000 */   GIR_EraseRootFromParent_Done,
     /* 2254001 */ // Label 30291: @2254001
     /* 2254001 */ GIM_Try, /*On fail goto*//*Label 30292*/ GIMT_Encode4(2254049), // Rule ID 57034 //
     /* 2254006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2254009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2254012 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2254015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254019 */   // MIs[0] Operand 1
     /* 2254019 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254028 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254032 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2254035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254037 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254039 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254047 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254048 */   // GIR_Coverage, 57034,
     /* 2254048 */   GIR_EraseRootFromParent_Done,
     /* 2254049 */ // Label 30292: @2254049
     /* 2254049 */ GIM_Try, /*On fail goto*//*Label 30293*/ GIMT_Encode4(2254097), // Rule ID 57113 //
     /* 2254054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2254057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2254060 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2254063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254067 */   // MIs[0] Operand 1
     /* 2254067 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254076 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254080 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2254083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254085 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254087 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254096 */   // GIR_Coverage, 57113,
     /* 2254096 */   GIR_EraseRootFromParent_Done,
     /* 2254097 */ // Label 30293: @2254097
     /* 2254097 */ GIM_Try, /*On fail goto*//*Label 30294*/ GIMT_Encode4(2254145), // Rule ID 57114 //
     /* 2254102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2254105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2254108 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2254111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254115 */   // MIs[0] Operand 1
     /* 2254115 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2254120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254124 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254128 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2254131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254133 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254135 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254144 */   // GIR_Coverage, 57114,
     /* 2254144 */   GIR_EraseRootFromParent_Done,
     /* 2254145 */ // Label 30294: @2254145
     /* 2254145 */ GIM_Try, /*On fail goto*//*Label 30295*/ GIMT_Encode4(2254193), // Rule ID 57303 //
     /* 2254150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254156 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254163 */   // MIs[0] Operand 1
     /* 2254163 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254168 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254172 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254176 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2254179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254181 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254183 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254191 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254192 */   // GIR_Coverage, 57303,
     /* 2254192 */   GIR_EraseRootFromParent_Done,
     /* 2254193 */ // Label 30295: @2254193
     /* 2254193 */ GIM_Try, /*On fail goto*//*Label 30296*/ GIMT_Encode4(2254241), // Rule ID 57304 //
     /* 2254198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254204 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254211 */   // MIs[0] Operand 1
     /* 2254211 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254220 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254224 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2254227 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254229 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254231 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254239 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254240 */   // GIR_Coverage, 57304,
     /* 2254240 */   GIR_EraseRootFromParent_Done,
     /* 2254241 */ // Label 30296: @2254241
     /* 2254241 */ GIM_Try, /*On fail goto*//*Label 30297*/ GIMT_Encode4(2254289), // Rule ID 57333 //
     /* 2254246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2254249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2254252 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2254255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254259 */   // MIs[0] Operand 1
     /* 2254259 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254268 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254272 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2254275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254277 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254279 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254287 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254288 */   // GIR_Coverage, 57333,
     /* 2254288 */   GIR_EraseRootFromParent_Done,
     /* 2254289 */ // Label 30297: @2254289
     /* 2254289 */ GIM_Try, /*On fail goto*//*Label 30298*/ GIMT_Encode4(2254337), // Rule ID 57334 //
     /* 2254294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2254297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2254300 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2254303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254307 */   // MIs[0] Operand 1
     /* 2254307 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254316 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254320 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2254323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254325 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254327 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254335 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254336 */   // GIR_Coverage, 57334,
     /* 2254336 */   GIR_EraseRootFromParent_Done,
     /* 2254337 */ // Label 30298: @2254337
     /* 2254337 */ GIM_Try, /*On fail goto*//*Label 30299*/ GIMT_Encode4(2254385), // Rule ID 57413 //
     /* 2254342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2254345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2254348 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2254351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254355 */   // MIs[0] Operand 1
     /* 2254355 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254364 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254368 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2254371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254373 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254375 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254384 */   // GIR_Coverage, 57413,
     /* 2254384 */   GIR_EraseRootFromParent_Done,
     /* 2254385 */ // Label 30299: @2254385
     /* 2254385 */ GIM_Try, /*On fail goto*//*Label 30300*/ GIMT_Encode4(2254433), // Rule ID 57414 //
     /* 2254390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2254393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2254396 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2254399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254403 */   // MIs[0] Operand 1
     /* 2254403 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2254408 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254412 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254416 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2254419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254421 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254423 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254432 */   // GIR_Coverage, 57414,
     /* 2254432 */   GIR_EraseRootFromParent_Done,
     /* 2254433 */ // Label 30300: @2254433
     /* 2254433 */ GIM_Reject,
     /* 2254434 */ // Label 30209: @2254434
     /* 2254434 */ GIM_Try, /*On fail goto*//*Label 30301*/ GIMT_Encode4(2254482), // Rule ID 56423 //
     /* 2254439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2254445 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2254448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254452 */   // MIs[0] Operand 1
     /* 2254452 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254457 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254461 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254465 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2254468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254470 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254472 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254480 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254481 */   // GIR_Coverage, 56423,
     /* 2254481 */   GIR_EraseRootFromParent_Done,
     /* 2254482 */ // Label 30301: @2254482
     /* 2254482 */ GIM_Try, /*On fail goto*//*Label 30302*/ GIMT_Encode4(2254530), // Rule ID 56424 //
     /* 2254487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254490 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2254493 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2254496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254500 */   // MIs[0] Operand 1
     /* 2254500 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254505 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254509 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254513 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2254516 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254518 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254520 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254529 */   // GIR_Coverage, 56424,
     /* 2254529 */   GIR_EraseRootFromParent_Done,
     /* 2254530 */ // Label 30302: @2254530
     /* 2254530 */ GIM_Try, /*On fail goto*//*Label 30303*/ GIMT_Encode4(2254578), // Rule ID 56483 //
     /* 2254535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2254538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2254541 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2254544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254548 */   // MIs[0] Operand 1
     /* 2254548 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254553 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254557 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254561 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2254564 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254566 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254568 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254576 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254577 */   // GIR_Coverage, 56483,
     /* 2254577 */   GIR_EraseRootFromParent_Done,
     /* 2254578 */ // Label 30303: @2254578
     /* 2254578 */ GIM_Try, /*On fail goto*//*Label 30304*/ GIMT_Encode4(2254626), // Rule ID 56484 //
     /* 2254583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2254586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2254589 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2254592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254596 */   // MIs[0] Operand 1
     /* 2254596 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254601 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254605 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254609 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2254612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254614 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254616 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254624 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254625 */   // GIR_Coverage, 56484,
     /* 2254625 */   GIR_EraseRootFromParent_Done,
     /* 2254626 */ // Label 30304: @2254626
     /* 2254626 */ GIM_Try, /*On fail goto*//*Label 30305*/ GIMT_Encode4(2254674), // Rule ID 56523 //
     /* 2254631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2254634 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2254637 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2254640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254644 */   // MIs[0] Operand 1
     /* 2254644 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254649 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254653 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254657 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2254660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254662 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254664 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254672 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254673 */   // GIR_Coverage, 56523,
     /* 2254673 */   GIR_EraseRootFromParent_Done,
     /* 2254674 */ // Label 30305: @2254674
     /* 2254674 */ GIM_Try, /*On fail goto*//*Label 30306*/ GIMT_Encode4(2254722), // Rule ID 56524 //
     /* 2254679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2254682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2254685 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2254688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254692 */   // MIs[0] Operand 1
     /* 2254692 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2254697 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254701 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254705 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2254708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254710 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254712 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254720 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254721 */   // GIR_Coverage, 56524,
     /* 2254721 */   GIR_EraseRootFromParent_Done,
     /* 2254722 */ // Label 30306: @2254722
     /* 2254722 */ GIM_Try, /*On fail goto*//*Label 30307*/ GIMT_Encode4(2254770), // Rule ID 56723 //
     /* 2254727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2254733 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2254736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254740 */   // MIs[0] Operand 1
     /* 2254740 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254745 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254749 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254753 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2254756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254758 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254760 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254768 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254769 */   // GIR_Coverage, 56723,
     /* 2254769 */   GIR_EraseRootFromParent_Done,
     /* 2254770 */ // Label 30307: @2254770
     /* 2254770 */ GIM_Try, /*On fail goto*//*Label 30308*/ GIMT_Encode4(2254818), // Rule ID 56724 //
     /* 2254775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2254781 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2254784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254788 */   // MIs[0] Operand 1
     /* 2254788 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254797 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254801 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2254804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254806 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254808 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254816 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254817 */   // GIR_Coverage, 56724,
     /* 2254817 */   GIR_EraseRootFromParent_Done,
     /* 2254818 */ // Label 30308: @2254818
     /* 2254818 */ GIM_Try, /*On fail goto*//*Label 30309*/ GIMT_Encode4(2254866), // Rule ID 56783 //
     /* 2254823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2254826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2254829 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2254832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254836 */   // MIs[0] Operand 1
     /* 2254836 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254841 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254845 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254849 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2254852 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254854 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254856 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254864 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254865 */   // GIR_Coverage, 56783,
     /* 2254865 */   GIR_EraseRootFromParent_Done,
     /* 2254866 */ // Label 30309: @2254866
     /* 2254866 */ GIM_Try, /*On fail goto*//*Label 30310*/ GIMT_Encode4(2254914), // Rule ID 56784 //
     /* 2254871 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2254874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2254877 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2254880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254884 */   // MIs[0] Operand 1
     /* 2254884 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254893 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254897 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2254900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254902 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254904 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254912 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254913 */   // GIR_Coverage, 56784,
     /* 2254913 */   GIR_EraseRootFromParent_Done,
     /* 2254914 */ // Label 30310: @2254914
     /* 2254914 */ GIM_Try, /*On fail goto*//*Label 30311*/ GIMT_Encode4(2254962), // Rule ID 56823 //
     /* 2254919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2254922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2254925 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2254928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254932 */   // MIs[0] Operand 1
     /* 2254932 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254941 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254945 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2254948 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254950 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254952 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254960 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254961 */   // GIR_Coverage, 56823,
     /* 2254961 */   GIR_EraseRootFromParent_Done,
     /* 2254962 */ // Label 30311: @2254962
     /* 2254962 */ GIM_Try, /*On fail goto*//*Label 30312*/ GIMT_Encode4(2255010), // Rule ID 56824 //
     /* 2254967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2254970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2254973 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2254976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254980 */   // MIs[0] Operand 1
     /* 2254980 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2254985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254989 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254993 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2254996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254998 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255000 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255008 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255009 */   // GIR_Coverage, 56824,
     /* 2255009 */   GIR_EraseRootFromParent_Done,
     /* 2255010 */ // Label 30312: @2255010
     /* 2255010 */ GIM_Try, /*On fail goto*//*Label 30313*/ GIMT_Encode4(2255058), // Rule ID 57023 //
     /* 2255015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2255018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2255021 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2255024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255028 */   // MIs[0] Operand 1
     /* 2255028 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255033 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255037 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255041 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2255044 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255046 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255048 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255056 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255057 */   // GIR_Coverage, 57023,
     /* 2255057 */   GIR_EraseRootFromParent_Done,
     /* 2255058 */ // Label 30313: @2255058
     /* 2255058 */ GIM_Try, /*On fail goto*//*Label 30314*/ GIMT_Encode4(2255106), // Rule ID 57024 //
     /* 2255063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2255066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2255069 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2255072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255076 */   // MIs[0] Operand 1
     /* 2255076 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255085 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255089 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2255092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255094 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255096 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255104 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255105 */   // GIR_Coverage, 57024,
     /* 2255105 */   GIR_EraseRootFromParent_Done,
     /* 2255106 */ // Label 30314: @2255106
     /* 2255106 */ GIM_Try, /*On fail goto*//*Label 30315*/ GIMT_Encode4(2255154), // Rule ID 57083 //
     /* 2255111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2255117 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2255120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255124 */   // MIs[0] Operand 1
     /* 2255124 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255129 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255133 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255137 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2255140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255142 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255144 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255152 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255153 */   // GIR_Coverage, 57083,
     /* 2255153 */   GIR_EraseRootFromParent_Done,
     /* 2255154 */ // Label 30315: @2255154
     /* 2255154 */ GIM_Try, /*On fail goto*//*Label 30316*/ GIMT_Encode4(2255202), // Rule ID 57084 //
     /* 2255159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2255165 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2255168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255172 */   // MIs[0] Operand 1
     /* 2255172 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255177 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255181 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255185 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255185 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2255188 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255190 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255192 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255201 */   // GIR_Coverage, 57084,
     /* 2255201 */   GIR_EraseRootFromParent_Done,
     /* 2255202 */ // Label 30316: @2255202
     /* 2255202 */ GIM_Try, /*On fail goto*//*Label 30317*/ GIMT_Encode4(2255250), // Rule ID 57123 //
     /* 2255207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2255213 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2255216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255220 */   // MIs[0] Operand 1
     /* 2255220 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255225 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255229 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255233 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255233 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2255236 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255238 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255240 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255248 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255249 */   // GIR_Coverage, 57123,
     /* 2255249 */   GIR_EraseRootFromParent_Done,
     /* 2255250 */ // Label 30317: @2255250
     /* 2255250 */ GIM_Try, /*On fail goto*//*Label 30318*/ GIMT_Encode4(2255298), // Rule ID 57124 //
     /* 2255255 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2255258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2255261 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2255264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255268 */   // MIs[0] Operand 1
     /* 2255268 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2255273 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255277 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255281 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255281 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2255284 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255286 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255288 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255296 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255297 */   // GIR_Coverage, 57124,
     /* 2255297 */   GIR_EraseRootFromParent_Done,
     /* 2255298 */ // Label 30318: @2255298
     /* 2255298 */ GIM_Try, /*On fail goto*//*Label 30319*/ GIMT_Encode4(2255346), // Rule ID 57323 //
     /* 2255303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2255306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2255309 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2255312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255316 */   // MIs[0] Operand 1
     /* 2255316 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255321 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255325 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255329 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2255332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255334 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255336 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255344 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255345 */   // GIR_Coverage, 57323,
     /* 2255345 */   GIR_EraseRootFromParent_Done,
     /* 2255346 */ // Label 30319: @2255346
     /* 2255346 */ GIM_Try, /*On fail goto*//*Label 30320*/ GIMT_Encode4(2255394), // Rule ID 57324 //
     /* 2255351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2255354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2255357 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2255360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255364 */   // MIs[0] Operand 1
     /* 2255364 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255369 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255373 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255377 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2255380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255382 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255384 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255392 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255393 */   // GIR_Coverage, 57324,
     /* 2255393 */   GIR_EraseRootFromParent_Done,
     /* 2255394 */ // Label 30320: @2255394
     /* 2255394 */ GIM_Try, /*On fail goto*//*Label 30321*/ GIMT_Encode4(2255442), // Rule ID 57383 //
     /* 2255399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255402 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2255405 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2255408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255412 */   // MIs[0] Operand 1
     /* 2255412 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255421 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255425 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2255428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255430 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255432 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255440 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255441 */   // GIR_Coverage, 57383,
     /* 2255441 */   GIR_EraseRootFromParent_Done,
     /* 2255442 */ // Label 30321: @2255442
     /* 2255442 */ GIM_Try, /*On fail goto*//*Label 30322*/ GIMT_Encode4(2255490), // Rule ID 57384 //
     /* 2255447 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2255453 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2255456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255460 */   // MIs[0] Operand 1
     /* 2255460 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255465 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255469 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255473 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2255476 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255478 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255480 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255488 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255489 */   // GIR_Coverage, 57384,
     /* 2255489 */   GIR_EraseRootFromParent_Done,
     /* 2255490 */ // Label 30322: @2255490
     /* 2255490 */ GIM_Try, /*On fail goto*//*Label 30323*/ GIMT_Encode4(2255538), // Rule ID 57423 //
     /* 2255495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2255501 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2255504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255508 */   // MIs[0] Operand 1
     /* 2255508 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255513 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255517 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255521 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2255524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255526 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255528 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255537 */   // GIR_Coverage, 57423,
     /* 2255537 */   GIR_EraseRootFromParent_Done,
     /* 2255538 */ // Label 30323: @2255538
     /* 2255538 */ GIM_Try, /*On fail goto*//*Label 30324*/ GIMT_Encode4(2255586), // Rule ID 57424 //
     /* 2255543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2255546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2255549 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2255552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255556 */   // MIs[0] Operand 1
     /* 2255556 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2255561 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255565 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255569 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2255572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255574 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255576 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255584 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255585 */   // GIR_Coverage, 57424,
     /* 2255585 */   GIR_EraseRootFromParent_Done,
     /* 2255586 */ // Label 30324: @2255586
     /* 2255586 */ GIM_Reject,
     /* 2255587 */ // Label 30210: @2255587
     /* 2255587 */ GIM_Try, /*On fail goto*//*Label 30325*/ GIMT_Encode4(2255635), // Rule ID 56453 //
     /* 2255592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2255595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2255598 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2255601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255605 */   // MIs[0] Operand 1
     /* 2255605 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255610 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255614 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255618 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2255621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255623 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255625 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255634 */   // GIR_Coverage, 56453,
     /* 2255634 */   GIR_EraseRootFromParent_Done,
     /* 2255635 */ // Label 30325: @2255635
     /* 2255635 */ GIM_Try, /*On fail goto*//*Label 30326*/ GIMT_Encode4(2255683), // Rule ID 56454 //
     /* 2255640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2255643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2255646 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2255649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255653 */   // MIs[0] Operand 1
     /* 2255653 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255662 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255666 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2255669 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255671 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255673 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255681 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255682 */   // GIR_Coverage, 56454,
     /* 2255682 */   GIR_EraseRootFromParent_Done,
     /* 2255683 */ // Label 30326: @2255683
     /* 2255683 */ GIM_Try, /*On fail goto*//*Label 30327*/ GIMT_Encode4(2255731), // Rule ID 56493 //
     /* 2255688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2255694 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2255697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255701 */   // MIs[0] Operand 1
     /* 2255701 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255706 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255710 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255714 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2255717 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255719 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255721 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255729 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255730 */   // GIR_Coverage, 56493,
     /* 2255730 */   GIR_EraseRootFromParent_Done,
     /* 2255731 */ // Label 30327: @2255731
     /* 2255731 */ GIM_Try, /*On fail goto*//*Label 30328*/ GIMT_Encode4(2255779), // Rule ID 56494 //
     /* 2255736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2255742 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2255745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255749 */   // MIs[0] Operand 1
     /* 2255749 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255758 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255762 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255762 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2255765 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255767 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255769 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255778 */   // GIR_Coverage, 56494,
     /* 2255778 */   GIR_EraseRootFromParent_Done,
     /* 2255779 */ // Label 30328: @2255779
     /* 2255779 */ GIM_Try, /*On fail goto*//*Label 30329*/ GIMT_Encode4(2255827), // Rule ID 56533 //
     /* 2255784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2255790 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2255793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255797 */   // MIs[0] Operand 1
     /* 2255797 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255806 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255810 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2255813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255815 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255817 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255825 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255826 */   // GIR_Coverage, 56533,
     /* 2255826 */   GIR_EraseRootFromParent_Done,
     /* 2255827 */ // Label 30329: @2255827
     /* 2255827 */ GIM_Try, /*On fail goto*//*Label 30330*/ GIMT_Encode4(2255875), // Rule ID 56534 //
     /* 2255832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2255835 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2255838 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2255841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255845 */   // MIs[0] Operand 1
     /* 2255845 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2255850 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255854 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255858 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2255861 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255863 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255865 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255873 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255874 */   // GIR_Coverage, 56534,
     /* 2255874 */   GIR_EraseRootFromParent_Done,
     /* 2255875 */ // Label 30330: @2255875
     /* 2255875 */ GIM_Try, /*On fail goto*//*Label 30331*/ GIMT_Encode4(2255923), // Rule ID 56753 //
     /* 2255880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2255883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2255886 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2255889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255893 */   // MIs[0] Operand 1
     /* 2255893 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255902 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255906 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2255909 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255911 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255913 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255922 */   // GIR_Coverage, 56753,
     /* 2255922 */   GIR_EraseRootFromParent_Done,
     /* 2255923 */ // Label 30331: @2255923
     /* 2255923 */ GIM_Try, /*On fail goto*//*Label 30332*/ GIMT_Encode4(2255971), // Rule ID 56754 //
     /* 2255928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2255931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2255934 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2255937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255941 */   // MIs[0] Operand 1
     /* 2255941 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255950 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255954 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2255957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255959 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255961 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255970 */   // GIR_Coverage, 56754,
     /* 2255970 */   GIR_EraseRootFromParent_Done,
     /* 2255971 */ // Label 30332: @2255971
     /* 2255971 */ GIM_Try, /*On fail goto*//*Label 30333*/ GIMT_Encode4(2256019), // Rule ID 56793 //
     /* 2255976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2255982 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2255985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255989 */   // MIs[0] Operand 1
     /* 2255989 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2255994 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255998 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256002 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2256005 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256007 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256009 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256017 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256018 */   // GIR_Coverage, 56793,
     /* 2256018 */   GIR_EraseRootFromParent_Done,
     /* 2256019 */ // Label 30333: @2256019
     /* 2256019 */ GIM_Try, /*On fail goto*//*Label 30334*/ GIMT_Encode4(2256067), // Rule ID 56794 //
     /* 2256024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2256027 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2256030 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2256033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256037 */   // MIs[0] Operand 1
     /* 2256037 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256042 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256046 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256050 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2256053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256055 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256057 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256065 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256066 */   // GIR_Coverage, 56794,
     /* 2256066 */   GIR_EraseRootFromParent_Done,
     /* 2256067 */ // Label 30334: @2256067
     /* 2256067 */ GIM_Try, /*On fail goto*//*Label 30335*/ GIMT_Encode4(2256115), // Rule ID 56833 //
     /* 2256072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2256075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2256078 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2256081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256085 */   // MIs[0] Operand 1
     /* 2256085 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256090 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256094 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256098 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256098 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2256101 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256103 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256105 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256113 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256114 */   // GIR_Coverage, 56833,
     /* 2256114 */   GIR_EraseRootFromParent_Done,
     /* 2256115 */ // Label 30335: @2256115
     /* 2256115 */ GIM_Try, /*On fail goto*//*Label 30336*/ GIMT_Encode4(2256163), // Rule ID 56834 //
     /* 2256120 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2256123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2256126 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2256129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256133 */   // MIs[0] Operand 1
     /* 2256133 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256138 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256142 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256146 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256146 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2256149 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256151 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256153 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256161 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256162 */   // GIR_Coverage, 56834,
     /* 2256162 */   GIR_EraseRootFromParent_Done,
     /* 2256163 */ // Label 30336: @2256163
     /* 2256163 */ GIM_Try, /*On fail goto*//*Label 30337*/ GIMT_Encode4(2256211), // Rule ID 57053 //
     /* 2256168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2256174 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2256177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256181 */   // MIs[0] Operand 1
     /* 2256181 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256190 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256194 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2256197 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256199 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256201 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256209 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256210 */   // GIR_Coverage, 57053,
     /* 2256210 */   GIR_EraseRootFromParent_Done,
     /* 2256211 */ // Label 30337: @2256211
     /* 2256211 */ GIM_Try, /*On fail goto*//*Label 30338*/ GIMT_Encode4(2256259), // Rule ID 57054 //
     /* 2256216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2256222 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2256225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256229 */   // MIs[0] Operand 1
     /* 2256229 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256234 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256238 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256242 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2256245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256247 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256249 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256257 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256258 */   // GIR_Coverage, 57054,
     /* 2256258 */   GIR_EraseRootFromParent_Done,
     /* 2256259 */ // Label 30338: @2256259
     /* 2256259 */ GIM_Try, /*On fail goto*//*Label 30339*/ GIMT_Encode4(2256307), // Rule ID 57093 //
     /* 2256264 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2256267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2256270 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2256273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256277 */   // MIs[0] Operand 1
     /* 2256277 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256282 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256286 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256290 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2256293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256295 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256297 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256305 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256306 */   // GIR_Coverage, 57093,
     /* 2256306 */   GIR_EraseRootFromParent_Done,
     /* 2256307 */ // Label 30339: @2256307
     /* 2256307 */ GIM_Try, /*On fail goto*//*Label 30340*/ GIMT_Encode4(2256355), // Rule ID 57094 //
     /* 2256312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2256315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2256318 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2256321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256325 */   // MIs[0] Operand 1
     /* 2256325 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256334 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256338 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2256341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256343 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256345 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256353 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256354 */   // GIR_Coverage, 57094,
     /* 2256354 */   GIR_EraseRootFromParent_Done,
     /* 2256355 */ // Label 30340: @2256355
     /* 2256355 */ GIM_Try, /*On fail goto*//*Label 30341*/ GIMT_Encode4(2256403), // Rule ID 57133 //
     /* 2256360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2256363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2256366 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2256369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256373 */   // MIs[0] Operand 1
     /* 2256373 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256378 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256382 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256386 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256386 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2256389 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256391 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256393 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256401 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256402 */   // GIR_Coverage, 57133,
     /* 2256402 */   GIR_EraseRootFromParent_Done,
     /* 2256403 */ // Label 30341: @2256403
     /* 2256403 */ GIM_Try, /*On fail goto*//*Label 30342*/ GIMT_Encode4(2256451), // Rule ID 57134 //
     /* 2256408 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2256411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2256414 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2256417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256421 */   // MIs[0] Operand 1
     /* 2256421 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2256426 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256430 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256434 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2256437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256439 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256441 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256450 */   // GIR_Coverage, 57134,
     /* 2256450 */   GIR_EraseRootFromParent_Done,
     /* 2256451 */ // Label 30342: @2256451
     /* 2256451 */ GIM_Try, /*On fail goto*//*Label 30343*/ GIMT_Encode4(2256499), // Rule ID 57353 //
     /* 2256456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2256462 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2256465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256469 */   // MIs[0] Operand 1
     /* 2256469 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256474 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256478 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256482 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256482 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2256485 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256487 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256489 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256497 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256498 */   // GIR_Coverage, 57353,
     /* 2256498 */   GIR_EraseRootFromParent_Done,
     /* 2256499 */ // Label 30343: @2256499
     /* 2256499 */ GIM_Try, /*On fail goto*//*Label 30344*/ GIMT_Encode4(2256547), // Rule ID 57354 //
     /* 2256504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256507 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2256510 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2256513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256517 */   // MIs[0] Operand 1
     /* 2256517 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256522 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256526 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256530 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2256533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256535 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256537 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256545 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256546 */   // GIR_Coverage, 57354,
     /* 2256546 */   GIR_EraseRootFromParent_Done,
     /* 2256547 */ // Label 30344: @2256547
     /* 2256547 */ GIM_Try, /*On fail goto*//*Label 30345*/ GIMT_Encode4(2256595), // Rule ID 57393 //
     /* 2256552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2256555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2256558 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2256561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256565 */   // MIs[0] Operand 1
     /* 2256565 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256574 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256578 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2256581 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256583 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256585 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256593 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256594 */   // GIR_Coverage, 57393,
     /* 2256594 */   GIR_EraseRootFromParent_Done,
     /* 2256595 */ // Label 30345: @2256595
     /* 2256595 */ GIM_Try, /*On fail goto*//*Label 30346*/ GIMT_Encode4(2256643), // Rule ID 57394 //
     /* 2256600 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2256603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2256606 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2256609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256613 */   // MIs[0] Operand 1
     /* 2256613 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256618 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256622 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256626 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2256629 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256631 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256633 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256641 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256642 */   // GIR_Coverage, 57394,
     /* 2256642 */   GIR_EraseRootFromParent_Done,
     /* 2256643 */ // Label 30346: @2256643
     /* 2256643 */ GIM_Try, /*On fail goto*//*Label 30347*/ GIMT_Encode4(2256691), // Rule ID 57433 //
     /* 2256648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2256651 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2256654 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2256657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256661 */   // MIs[0] Operand 1
     /* 2256661 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256666 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256670 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256674 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2256677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256679 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256681 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256689 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256690 */   // GIR_Coverage, 57433,
     /* 2256690 */   GIR_EraseRootFromParent_Done,
     /* 2256691 */ // Label 30347: @2256691
     /* 2256691 */ GIM_Try, /*On fail goto*//*Label 30348*/ GIMT_Encode4(2256739), // Rule ID 57434 //
     /* 2256696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2256699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2256702 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2256705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256709 */   // MIs[0] Operand 1
     /* 2256709 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2256714 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256718 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256722 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2256725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256727 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256729 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256737 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256738 */   // GIR_Coverage, 57434,
     /* 2256738 */   GIR_EraseRootFromParent_Done,
     /* 2256739 */ // Label 30348: @2256739
     /* 2256739 */ GIM_Reject,
     /* 2256740 */ // Label 30211: @2256740
     /* 2256740 */ GIM_Try, /*On fail goto*//*Label 30349*/ GIMT_Encode4(2256788), // Rule ID 56463 //
     /* 2256745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2256751 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2256754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256758 */   // MIs[0] Operand 1
     /* 2256758 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256767 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256771 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2256774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256776 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256778 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256786 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256787 */   // GIR_Coverage, 56463,
     /* 2256787 */   GIR_EraseRootFromParent_Done,
     /* 2256788 */ // Label 30349: @2256788
     /* 2256788 */ GIM_Try, /*On fail goto*//*Label 30350*/ GIMT_Encode4(2256836), // Rule ID 56464 //
     /* 2256793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2256799 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2256802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256806 */   // MIs[0] Operand 1
     /* 2256806 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256811 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256815 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256819 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2256822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256824 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256826 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256834 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256835 */   // GIR_Coverage, 56464,
     /* 2256835 */   GIR_EraseRootFromParent_Done,
     /* 2256836 */ // Label 30350: @2256836
     /* 2256836 */ GIM_Try, /*On fail goto*//*Label 30351*/ GIMT_Encode4(2256884), // Rule ID 56503 //
     /* 2256841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2256844 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2256847 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2256850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256854 */   // MIs[0] Operand 1
     /* 2256854 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256859 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256863 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256867 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2256870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256872 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256874 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256883 */   // GIR_Coverage, 56503,
     /* 2256883 */   GIR_EraseRootFromParent_Done,
     /* 2256884 */ // Label 30351: @2256884
     /* 2256884 */ GIM_Try, /*On fail goto*//*Label 30352*/ GIMT_Encode4(2256932), // Rule ID 56504 //
     /* 2256889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2256892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2256895 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2256898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256902 */   // MIs[0] Operand 1
     /* 2256902 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2256907 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256911 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256915 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2256918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256920 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256922 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256930 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256931 */   // GIR_Coverage, 56504,
     /* 2256931 */   GIR_EraseRootFromParent_Done,
     /* 2256932 */ // Label 30352: @2256932
     /* 2256932 */ GIM_Try, /*On fail goto*//*Label 30353*/ GIMT_Encode4(2256980), // Rule ID 56763 //
     /* 2256937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256940 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2256943 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2256946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256950 */   // MIs[0] Operand 1
     /* 2256950 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2256955 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256959 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256963 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2256966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256968 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256970 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256979 */   // GIR_Coverage, 56763,
     /* 2256979 */   GIR_EraseRootFromParent_Done,
     /* 2256980 */ // Label 30353: @2256980
     /* 2256980 */ GIM_Try, /*On fail goto*//*Label 30354*/ GIMT_Encode4(2257028), // Rule ID 56764 //
     /* 2256985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2256991 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2256994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256998 */   // MIs[0] Operand 1
     /* 2256998 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257003 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257007 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257011 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257011 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2257014 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257016 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257018 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257026 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257027 */   // GIR_Coverage, 56764,
     /* 2257027 */   GIR_EraseRootFromParent_Done,
     /* 2257028 */ // Label 30354: @2257028
     /* 2257028 */ GIM_Try, /*On fail goto*//*Label 30355*/ GIMT_Encode4(2257076), // Rule ID 56803 //
     /* 2257033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2257036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2257039 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2257042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257046 */   // MIs[0] Operand 1
     /* 2257046 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257051 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257055 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257059 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2257062 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257064 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257066 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257074 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257075 */   // GIR_Coverage, 56803,
     /* 2257075 */   GIR_EraseRootFromParent_Done,
     /* 2257076 */ // Label 30355: @2257076
     /* 2257076 */ GIM_Try, /*On fail goto*//*Label 30356*/ GIMT_Encode4(2257124), // Rule ID 56804 //
     /* 2257081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2257084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2257087 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2257090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257094 */   // MIs[0] Operand 1
     /* 2257094 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257103 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257107 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2257110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257112 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257114 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257122 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257123 */   // GIR_Coverage, 56804,
     /* 2257123 */   GIR_EraseRootFromParent_Done,
     /* 2257124 */ // Label 30356: @2257124
     /* 2257124 */ GIM_Try, /*On fail goto*//*Label 30357*/ GIMT_Encode4(2257172), // Rule ID 57063 //
     /* 2257129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2257135 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2257138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257142 */   // MIs[0] Operand 1
     /* 2257142 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257147 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257151 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257155 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2257158 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257160 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257162 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257170 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257171 */   // GIR_Coverage, 57063,
     /* 2257171 */   GIR_EraseRootFromParent_Done,
     /* 2257172 */ // Label 30357: @2257172
     /* 2257172 */ GIM_Try, /*On fail goto*//*Label 30358*/ GIMT_Encode4(2257220), // Rule ID 57064 //
     /* 2257177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2257183 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2257186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257190 */   // MIs[0] Operand 1
     /* 2257190 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257195 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257199 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257203 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2257206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257208 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257210 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257218 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257219 */   // GIR_Coverage, 57064,
     /* 2257219 */   GIR_EraseRootFromParent_Done,
     /* 2257220 */ // Label 30358: @2257220
     /* 2257220 */ GIM_Try, /*On fail goto*//*Label 30359*/ GIMT_Encode4(2257268), // Rule ID 57103 //
     /* 2257225 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2257228 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2257231 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2257234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257238 */   // MIs[0] Operand 1
     /* 2257238 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257243 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257247 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257251 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2257254 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257256 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257258 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257266 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257267 */   // GIR_Coverage, 57103,
     /* 2257267 */   GIR_EraseRootFromParent_Done,
     /* 2257268 */ // Label 30359: @2257268
     /* 2257268 */ GIM_Try, /*On fail goto*//*Label 30360*/ GIMT_Encode4(2257316), // Rule ID 57104 //
     /* 2257273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2257276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2257279 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2257282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257286 */   // MIs[0] Operand 1
     /* 2257286 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257291 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257295 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257299 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2257302 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257304 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257306 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257314 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257315 */   // GIR_Coverage, 57104,
     /* 2257315 */   GIR_EraseRootFromParent_Done,
     /* 2257316 */ // Label 30360: @2257316
     /* 2257316 */ GIM_Try, /*On fail goto*//*Label 30361*/ GIMT_Encode4(2257364), // Rule ID 57363 //
     /* 2257321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2257327 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2257330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257334 */   // MIs[0] Operand 1
     /* 2257334 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257339 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257343 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257347 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2257350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257352 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257354 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257362 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257363 */   // GIR_Coverage, 57363,
     /* 2257363 */   GIR_EraseRootFromParent_Done,
     /* 2257364 */ // Label 30361: @2257364
     /* 2257364 */ GIM_Try, /*On fail goto*//*Label 30362*/ GIMT_Encode4(2257412), // Rule ID 57364 //
     /* 2257369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2257375 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2257378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257382 */   // MIs[0] Operand 1
     /* 2257382 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257387 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257391 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257395 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2257398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257400 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257402 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257410 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257411 */   // GIR_Coverage, 57364,
     /* 2257411 */   GIR_EraseRootFromParent_Done,
     /* 2257412 */ // Label 30362: @2257412
     /* 2257412 */ GIM_Try, /*On fail goto*//*Label 30363*/ GIMT_Encode4(2257460), // Rule ID 57403 //
     /* 2257417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2257420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2257423 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2257426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257430 */   // MIs[0] Operand 1
     /* 2257430 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257439 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257443 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257443 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2257446 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257448 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257450 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257458 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257459 */   // GIR_Coverage, 57403,
     /* 2257459 */   GIR_EraseRootFromParent_Done,
     /* 2257460 */ // Label 30363: @2257460
     /* 2257460 */ GIM_Try, /*On fail goto*//*Label 30364*/ GIMT_Encode4(2257508), // Rule ID 57404 //
     /* 2257465 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2257468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2257471 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2257474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257478 */   // MIs[0] Operand 1
     /* 2257478 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257483 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257487 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257491 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257491 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2257494 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257496 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257498 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257506 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257507 */   // GIR_Coverage, 57404,
     /* 2257507 */   GIR_EraseRootFromParent_Done,
     /* 2257508 */ // Label 30364: @2257508
     /* 2257508 */ GIM_Reject,
     /* 2257509 */ // Label 30212: @2257509
     /* 2257509 */ GIM_Try, /*On fail goto*//*Label 30365*/ GIMT_Encode4(2257829),
     /* 2257514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2257517 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2257520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257524 */   GIM_Try, /*On fail goto*//*Label 30366*/ GIMT_Encode4(2257562), // Rule ID 56473 //
     /* 2257529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257532 */     // MIs[0] Operand 1
     /* 2257532 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257545 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2257548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257561 */     // GIR_Coverage, 56473,
     /* 2257561 */     GIR_EraseRootFromParent_Done,
     /* 2257562 */   // Label 30366: @2257562
     /* 2257562 */   GIM_Try, /*On fail goto*//*Label 30367*/ GIMT_Encode4(2257600), // Rule ID 56474 //
     /* 2257567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257570 */     // MIs[0] Operand 1
     /* 2257570 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2257575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257583 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2257586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257599 */     // GIR_Coverage, 56474,
     /* 2257599 */     GIR_EraseRootFromParent_Done,
     /* 2257600 */   // Label 30367: @2257600
     /* 2257600 */   GIM_Try, /*On fail goto*//*Label 30368*/ GIMT_Encode4(2257638), // Rule ID 56773 //
     /* 2257605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257608 */     // MIs[0] Operand 1
     /* 2257608 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257621 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2257624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257637 */     // GIR_Coverage, 56773,
     /* 2257637 */     GIR_EraseRootFromParent_Done,
     /* 2257638 */   // Label 30368: @2257638
     /* 2257638 */   GIM_Try, /*On fail goto*//*Label 30369*/ GIMT_Encode4(2257676), // Rule ID 56774 //
     /* 2257643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257646 */     // MIs[0] Operand 1
     /* 2257646 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2257651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257659 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2257662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257675 */     // GIR_Coverage, 56774,
     /* 2257675 */     GIR_EraseRootFromParent_Done,
     /* 2257676 */   // Label 30369: @2257676
     /* 2257676 */   GIM_Try, /*On fail goto*//*Label 30370*/ GIMT_Encode4(2257714), // Rule ID 57073 //
     /* 2257681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257684 */     // MIs[0] Operand 1
     /* 2257684 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257697 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2257700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257713 */     // GIR_Coverage, 57073,
     /* 2257713 */     GIR_EraseRootFromParent_Done,
     /* 2257714 */   // Label 30370: @2257714
     /* 2257714 */   GIM_Try, /*On fail goto*//*Label 30371*/ GIMT_Encode4(2257752), // Rule ID 57074 //
     /* 2257719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257722 */     // MIs[0] Operand 1
     /* 2257722 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2257727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257735 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2257738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257751 */     // GIR_Coverage, 57074,
     /* 2257751 */     GIR_EraseRootFromParent_Done,
     /* 2257752 */   // Label 30371: @2257752
     /* 2257752 */   GIM_Try, /*On fail goto*//*Label 30372*/ GIMT_Encode4(2257790), // Rule ID 57373 //
     /* 2257757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257760 */     // MIs[0] Operand 1
     /* 2257760 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257773 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2257776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257789 */     // GIR_Coverage, 57373,
     /* 2257789 */     GIR_EraseRootFromParent_Done,
     /* 2257790 */   // Label 30372: @2257790
     /* 2257790 */   GIM_Try, /*On fail goto*//*Label 30373*/ GIMT_Encode4(2257828), // Rule ID 57374 //
     /* 2257795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257798 */     // MIs[0] Operand 1
     /* 2257798 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2257803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257811 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2257814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257827 */     // GIR_Coverage, 57374,
     /* 2257827 */     GIR_EraseRootFromParent_Done,
     /* 2257828 */   // Label 30373: @2257828
     /* 2257828 */   GIM_Reject,
     /* 2257829 */ // Label 30365: @2257829
     /* 2257829 */ GIM_Reject,
     /* 2257830 */ // Label 30213: @2257830
     /* 2257830 */ GIM_Reject,
     /* 2257831 */ // Label 50: @2257831
     /* 2257831 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30398*/ GIMT_Encode4(2262222),
     /* 2257842 */ /*GILLT_s32*//*Label 30374*/ GIMT_Encode4(2257966),
     /* 2257846 */ /*GILLT_s64*//*Label 30375*/ GIMT_Encode4(2258114), GIMT_Encode4(0),
     /* 2257854 */ /*GILLT_nxv1s8*//*Label 30376*/ GIMT_Encode4(2258262),
     /* 2257858 */ /*GILLT_nxv1s16*//*Label 30377*/ GIMT_Encode4(2258382),
     /* 2257862 */ /*GILLT_nxv1s32*//*Label 30378*/ GIMT_Encode4(2258590),
     /* 2257866 */ /*GILLT_nxv1s64*//*Label 30379*/ GIMT_Encode4(2258798), GIMT_Encode4(0),
     /* 2257874 */ /*GILLT_nxv2s8*//*Label 30380*/ GIMT_Encode4(2259006),
     /* 2257878 */ /*GILLT_nxv2s16*//*Label 30381*/ GIMT_Encode4(2259126),
     /* 2257882 */ /*GILLT_nxv2s32*//*Label 30382*/ GIMT_Encode4(2259334),
     /* 2257886 */ /*GILLT_nxv2s64*//*Label 30383*/ GIMT_Encode4(2259542), GIMT_Encode4(0),
     /* 2257894 */ /*GILLT_nxv4s8*//*Label 30384*/ GIMT_Encode4(2259750),
     /* 2257898 */ /*GILLT_nxv4s16*//*Label 30385*/ GIMT_Encode4(2259870),
     /* 2257902 */ /*GILLT_nxv4s32*//*Label 30386*/ GIMT_Encode4(2260078),
     /* 2257906 */ /*GILLT_nxv4s64*//*Label 30387*/ GIMT_Encode4(2260286), GIMT_Encode4(0),
     /* 2257914 */ /*GILLT_nxv8s8*//*Label 30388*/ GIMT_Encode4(2260494),
     /* 2257918 */ /*GILLT_nxv8s16*//*Label 30389*/ GIMT_Encode4(2260614),
     /* 2257922 */ /*GILLT_nxv8s32*//*Label 30390*/ GIMT_Encode4(2260822),
     /* 2257926 */ /*GILLT_nxv8s64*//*Label 30391*/ GIMT_Encode4(2261030), GIMT_Encode4(0),
     /* 2257934 */ /*GILLT_nxv16s8*//*Label 30392*/ GIMT_Encode4(2261238),
     /* 2257938 */ /*GILLT_nxv16s16*//*Label 30393*/ GIMT_Encode4(2261358),
     /* 2257942 */ /*GILLT_nxv16s32*//*Label 30394*/ GIMT_Encode4(2261566), GIMT_Encode4(0),
     /* 2257950 */ /*GILLT_nxv32s8*//*Label 30395*/ GIMT_Encode4(2261774),
     /* 2257954 */ /*GILLT_nxv32s16*//*Label 30396*/ GIMT_Encode4(2261894), GIMT_Encode4(0),
     /* 2257962 */ /*GILLT_nxv64s8*//*Label 30397*/ GIMT_Encode4(2262102),
     /* 2257966 */ // Label 30374: @2257966
     /* 2257966 */ GIM_Try, /*On fail goto*//*Label 30399*/ GIMT_Encode4(2258113),
     /* 2257971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2257974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2257977 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2257980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257988 */   GIM_Try, /*On fail goto*//*Label 30400*/ GIMT_Encode4(2258021), // Rule ID 61983 //
     /* 2257993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2257996 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2258000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2258004 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, 0:{ *:[i32] }, GPR:{ *:[i32] }:$b)  =>  (TH_MVNEZ:{ *:[i32] } GPR:{ *:[i32] }:$b, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2258004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2258007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2258009 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2258011 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2258017 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2258019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258020 */     // GIR_Coverage, 61983,
     /* 2258020 */     GIR_EraseRootFromParent_Done,
     /* 2258021 */   // Label 30400: @2258021
     /* 2258021 */   GIM_Try, /*On fail goto*//*Label 30401*/ GIMT_Encode4(2258054), // Rule ID 61981 //
     /* 2258026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2258029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2258033 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2258037 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, 0:{ *:[i32] })  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2258037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2258040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2258042 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2258044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2258050 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2258052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258053 */     // GIR_Coverage, 61981,
     /* 2258053 */     GIR_EraseRootFromParent_Done,
     /* 2258054 */   // Label 30401: @2258054
     /* 2258054 */   GIM_Try, /*On fail goto*//*Label 30402*/ GIMT_Encode4(2258083), // Rule ID 61979 //
     /* 2258059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2258062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2258066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2258070 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$cond)
     /* 2258070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2258073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2258075 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2258077 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2258079 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2258081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258082 */     // GIR_Coverage, 61979,
     /* 2258082 */     GIR_EraseRootFromParent_Done,
     /* 2258083 */   // Label 30402: @2258083
     /* 2258083 */   GIM_Try, /*On fail goto*//*Label 30403*/ GIMT_Encode4(2258112), // Rule ID 63982 //
     /* 2258088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode1),
     /* 2258091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2258095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2258099 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /* 2258099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2258102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2258108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2258110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258111 */     // GIR_Coverage, 63982,
     /* 2258111 */     GIR_EraseRootFromParent_Done,
     /* 2258112 */   // Label 30403: @2258112
     /* 2258112 */   GIM_Reject,
     /* 2258113 */ // Label 30399: @2258113
     /* 2258113 */ GIM_Reject,
     /* 2258114 */ // Label 30375: @2258114
     /* 2258114 */ GIM_Try, /*On fail goto*//*Label 30404*/ GIMT_Encode4(2258261),
     /* 2258119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2258122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2258125 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2258128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2258132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2258136 */   GIM_Try, /*On fail goto*//*Label 30405*/ GIMT_Encode4(2258169), // Rule ID 61982 //
     /* 2258141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2258144 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2258148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2258152 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, 0:{ *:[i64] }, GPR:{ *:[i64] }:$b)  =>  (TH_MVNEZ:{ *:[i64] } GPR:{ *:[i64] }:$b, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2258152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2258155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2258157 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2258159 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2258165 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2258167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258168 */     // GIR_Coverage, 61982,
     /* 2258168 */     GIR_EraseRootFromParent_Done,
     /* 2258169 */   // Label 30405: @2258169
     /* 2258169 */   GIM_Try, /*On fail goto*//*Label 30406*/ GIMT_Encode4(2258202), // Rule ID 61980 //
     /* 2258174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2258177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2258181 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2258185 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, 0:{ *:[i64] })  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2258185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2258188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2258190 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2258192 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2258198 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2258200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258201 */     // GIR_Coverage, 61980,
     /* 2258201 */     GIR_EraseRootFromParent_Done,
     /* 2258202 */   // Label 30406: @2258202
     /* 2258202 */   GIM_Try, /*On fail goto*//*Label 30407*/ GIMT_Encode4(2258231), // Rule ID 61978 //
     /* 2258207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2258210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2258214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2258218 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b)  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b, GPR:{ *:[i64] }:$cond)
     /* 2258218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2258221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2258223 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2258225 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2258227 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2258229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258230 */     // GIR_Coverage, 61978,
     /* 2258230 */     GIR_EraseRootFromParent_Done,
     /* 2258231 */   // Label 30407: @2258231
     /* 2258231 */   GIM_Try, /*On fail goto*//*Label 30408*/ GIMT_Encode4(2258260), // Rule ID 63981 //
     /* 2258236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode0),
     /* 2258239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2258243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2258247 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs3)
     /* 2258247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2258250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2258256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2258258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258259 */     // GIR_Coverage, 63981,
     /* 2258259 */     GIR_EraseRootFromParent_Done,
     /* 2258260 */   // Label 30408: @2258260
     /* 2258260 */   GIM_Reject,
     /* 2258261 */ // Label 30404: @2258261
     /* 2258261 */ GIM_Reject,
     /* 2258262 */ // Label 30376: @2258262
     /* 2258262 */ GIM_Try, /*On fail goto*//*Label 30409*/ GIMT_Encode4(2258381),
     /* 2258267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2258270 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2258273 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2258276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2258280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2258284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258288 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258292 */   GIM_Try, /*On fail goto*//*Label 30410*/ GIMT_Encode4(2258336), // Rule ID 51783 //
     /* 2258297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258300 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2258303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2258317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258326 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2258328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258335 */     // GIR_Coverage, 51783,
     /* 2258335 */     GIR_EraseRootFromParent_Done,
     /* 2258336 */   // Label 30410: @2258336
     /* 2258336 */   GIM_Try, /*On fail goto*//*Label 30411*/ GIMT_Encode4(2258380), // Rule ID 51784 //
     /* 2258341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258344 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2258347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2258361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258370 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2258372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258379 */     // GIR_Coverage, 51784,
     /* 2258379 */     GIR_EraseRootFromParent_Done,
     /* 2258380 */   // Label 30411: @2258380
     /* 2258380 */   GIM_Reject,
     /* 2258381 */ // Label 30409: @2258381
     /* 2258381 */ GIM_Reject,
     /* 2258382 */ // Label 30377: @2258382
     /* 2258382 */ GIM_Try, /*On fail goto*//*Label 30412*/ GIMT_Encode4(2258589),
     /* 2258387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2258390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2258393 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2258396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2258400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2258404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258408 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258412 */   GIM_Try, /*On fail goto*//*Label 30413*/ GIMT_Encode4(2258456), // Rule ID 51801 //
     /* 2258417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258420 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2258423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2258437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258446 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2258448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258455 */     // GIR_Coverage, 51801,
     /* 2258455 */     GIR_EraseRootFromParent_Done,
     /* 2258456 */   // Label 30413: @2258456
     /* 2258456 */   GIM_Try, /*On fail goto*//*Label 30414*/ GIMT_Encode4(2258500), // Rule ID 51802 //
     /* 2258461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258464 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2258467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2258481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258490 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2258492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258499 */     // GIR_Coverage, 51802,
     /* 2258499 */     GIR_EraseRootFromParent_Done,
     /* 2258500 */   // Label 30414: @2258500
     /* 2258500 */   GIM_Try, /*On fail goto*//*Label 30415*/ GIMT_Encode4(2258544), // Rule ID 57443 //
     /* 2258505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258508 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2258511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2258525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258534 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2258536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258543 */     // GIR_Coverage, 57443,
     /* 2258543 */     GIR_EraseRootFromParent_Done,
     /* 2258544 */   // Label 30415: @2258544
     /* 2258544 */   GIM_Try, /*On fail goto*//*Label 30416*/ GIMT_Encode4(2258588), // Rule ID 57444 //
     /* 2258549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258552 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2258555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2258569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258578 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2258580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258587 */     // GIR_Coverage, 57444,
     /* 2258587 */     GIR_EraseRootFromParent_Done,
     /* 2258588 */   // Label 30416: @2258588
     /* 2258588 */   GIM_Reject,
     /* 2258589 */ // Label 30412: @2258589
     /* 2258589 */ GIM_Reject,
     /* 2258590 */ // Label 30378: @2258590
     /* 2258590 */ GIM_Try, /*On fail goto*//*Label 30417*/ GIMT_Encode4(2258797),
     /* 2258595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2258598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2258601 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2258604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2258608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2258612 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258616 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258620 */   GIM_Try, /*On fail goto*//*Label 30418*/ GIMT_Encode4(2258664), // Rule ID 51813 //
     /* 2258625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258628 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2258631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2258645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258654 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2258656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258663 */     // GIR_Coverage, 51813,
     /* 2258663 */     GIR_EraseRootFromParent_Done,
     /* 2258664 */   // Label 30418: @2258664
     /* 2258664 */   GIM_Try, /*On fail goto*//*Label 30419*/ GIMT_Encode4(2258708), // Rule ID 51814 //
     /* 2258669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258672 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2258675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2258689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258698 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2258700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258707 */     // GIR_Coverage, 51814,
     /* 2258707 */     GIR_EraseRootFromParent_Done,
     /* 2258708 */   // Label 30419: @2258708
     /* 2258708 */   GIM_Try, /*On fail goto*//*Label 30420*/ GIMT_Encode4(2258752), // Rule ID 57463 //
     /* 2258713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258716 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2258719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2258733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258742 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2258744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258751 */     // GIR_Coverage, 57463,
     /* 2258751 */     GIR_EraseRootFromParent_Done,
     /* 2258752 */   // Label 30420: @2258752
     /* 2258752 */   GIM_Try, /*On fail goto*//*Label 30421*/ GIMT_Encode4(2258796), // Rule ID 57464 //
     /* 2258757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258760 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2258763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2258777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258786 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2258788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258795 */     // GIR_Coverage, 57464,
     /* 2258795 */     GIR_EraseRootFromParent_Done,
     /* 2258796 */   // Label 30421: @2258796
     /* 2258796 */   GIM_Reject,
     /* 2258797 */ // Label 30417: @2258797
     /* 2258797 */ GIM_Reject,
     /* 2258798 */ // Label 30379: @2258798
     /* 2258798 */ GIM_Try, /*On fail goto*//*Label 30422*/ GIMT_Encode4(2259005),
     /* 2258803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2258806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2258809 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2258812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2258816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2258820 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258824 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258828 */   GIM_Try, /*On fail goto*//*Label 30423*/ GIMT_Encode4(2258872), // Rule ID 51837 //
     /* 2258833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2258836 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2258836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2258839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2258853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258862 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2258864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258871 */     // GIR_Coverage, 51837,
     /* 2258871 */     GIR_EraseRootFromParent_Done,
     /* 2258872 */   // Label 30423: @2258872
     /* 2258872 */   GIM_Try, /*On fail goto*//*Label 30424*/ GIMT_Encode4(2258916), // Rule ID 51838 //
     /* 2258877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2258880 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2258880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2258883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2258897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258906 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2258908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258915 */     // GIR_Coverage, 51838,
     /* 2258915 */     GIR_EraseRootFromParent_Done,
     /* 2258916 */   // Label 30424: @2258916
     /* 2258916 */   GIM_Try, /*On fail goto*//*Label 30425*/ GIMT_Encode4(2258960), // Rule ID 57493 //
     /* 2258921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2258924 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2258924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2258927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2258941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258950 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2258952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258959 */     // GIR_Coverage, 57493,
     /* 2258959 */     GIR_EraseRootFromParent_Done,
     /* 2258960 */   // Label 30425: @2258960
     /* 2258960 */   GIM_Try, /*On fail goto*//*Label 30426*/ GIMT_Encode4(2259004), // Rule ID 57494 //
     /* 2258965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2258968 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2258968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2258971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2258985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258994 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2258996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259003 */     // GIR_Coverage, 57494,
     /* 2259003 */     GIR_EraseRootFromParent_Done,
     /* 2259004 */   // Label 30426: @2259004
     /* 2259004 */   GIM_Reject,
     /* 2259005 */ // Label 30422: @2259005
     /* 2259005 */ GIM_Reject,
     /* 2259006 */ // Label 30380: @2259006
     /* 2259006 */ GIM_Try, /*On fail goto*//*Label 30427*/ GIMT_Encode4(2259125),
     /* 2259011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2259014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2259017 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2259020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2259024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259032 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259036 */   GIM_Try, /*On fail goto*//*Label 30428*/ GIMT_Encode4(2259080), // Rule ID 51789 //
     /* 2259041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259044 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2259047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2259061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259070 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259079 */     // GIR_Coverage, 51789,
     /* 2259079 */     GIR_EraseRootFromParent_Done,
     /* 2259080 */   // Label 30428: @2259080
     /* 2259080 */   GIM_Try, /*On fail goto*//*Label 30429*/ GIMT_Encode4(2259124), // Rule ID 51790 //
     /* 2259085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259088 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2259091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2259105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259114 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259123 */     // GIR_Coverage, 51790,
     /* 2259123 */     GIR_EraseRootFromParent_Done,
     /* 2259124 */   // Label 30429: @2259124
     /* 2259124 */   GIM_Reject,
     /* 2259125 */ // Label 30427: @2259125
     /* 2259125 */ GIM_Reject,
     /* 2259126 */ // Label 30381: @2259126
     /* 2259126 */ GIM_Try, /*On fail goto*//*Label 30430*/ GIMT_Encode4(2259333),
     /* 2259131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2259134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2259137 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2259140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2259144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259152 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259156 */   GIM_Try, /*On fail goto*//*Label 30431*/ GIMT_Encode4(2259200), // Rule ID 51807 //
     /* 2259161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259164 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2259167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2259181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259190 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259199 */     // GIR_Coverage, 51807,
     /* 2259199 */     GIR_EraseRootFromParent_Done,
     /* 2259200 */   // Label 30431: @2259200
     /* 2259200 */   GIM_Try, /*On fail goto*//*Label 30432*/ GIMT_Encode4(2259244), // Rule ID 51808 //
     /* 2259205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259208 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2259211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2259225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259234 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259243 */     // GIR_Coverage, 51808,
     /* 2259243 */     GIR_EraseRootFromParent_Done,
     /* 2259244 */   // Label 30432: @2259244
     /* 2259244 */   GIM_Try, /*On fail goto*//*Label 30433*/ GIMT_Encode4(2259288), // Rule ID 57453 //
     /* 2259249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259252 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2259255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2259269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259278 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259287 */     // GIR_Coverage, 57453,
     /* 2259287 */     GIR_EraseRootFromParent_Done,
     /* 2259288 */   // Label 30433: @2259288
     /* 2259288 */   GIM_Try, /*On fail goto*//*Label 30434*/ GIMT_Encode4(2259332), // Rule ID 57454 //
     /* 2259293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259296 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2259299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2259313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259322 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259331 */     // GIR_Coverage, 57454,
     /* 2259331 */     GIR_EraseRootFromParent_Done,
     /* 2259332 */   // Label 30434: @2259332
     /* 2259332 */   GIM_Reject,
     /* 2259333 */ // Label 30430: @2259333
     /* 2259333 */ GIM_Reject,
     /* 2259334 */ // Label 30382: @2259334
     /* 2259334 */ GIM_Try, /*On fail goto*//*Label 30435*/ GIMT_Encode4(2259541),
     /* 2259339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2259342 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2259345 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2259348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2259352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259356 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259360 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259364 */   GIM_Try, /*On fail goto*//*Label 30436*/ GIMT_Encode4(2259408), // Rule ID 51831 //
     /* 2259369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259372 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2259372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2259375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2259389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259398 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259407 */     // GIR_Coverage, 51831,
     /* 2259407 */     GIR_EraseRootFromParent_Done,
     /* 2259408 */   // Label 30436: @2259408
     /* 2259408 */   GIM_Try, /*On fail goto*//*Label 30437*/ GIMT_Encode4(2259452), // Rule ID 51832 //
     /* 2259413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259416 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2259416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2259419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2259433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259442 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259451 */     // GIR_Coverage, 51832,
     /* 2259451 */     GIR_EraseRootFromParent_Done,
     /* 2259452 */   // Label 30437: @2259452
     /* 2259452 */   GIM_Try, /*On fail goto*//*Label 30438*/ GIMT_Encode4(2259496), // Rule ID 57483 //
     /* 2259457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259460 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2259460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2259463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2259477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259486 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259495 */     // GIR_Coverage, 57483,
     /* 2259495 */     GIR_EraseRootFromParent_Done,
     /* 2259496 */   // Label 30438: @2259496
     /* 2259496 */   GIM_Try, /*On fail goto*//*Label 30439*/ GIMT_Encode4(2259540), // Rule ID 57484 //
     /* 2259501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259504 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2259504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2259507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2259521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259530 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259539 */     // GIR_Coverage, 57484,
     /* 2259539 */     GIR_EraseRootFromParent_Done,
     /* 2259540 */   // Label 30439: @2259540
     /* 2259540 */   GIM_Reject,
     /* 2259541 */ // Label 30435: @2259541
     /* 2259541 */ GIM_Reject,
     /* 2259542 */ // Label 30383: @2259542
     /* 2259542 */ GIM_Try, /*On fail goto*//*Label 30440*/ GIMT_Encode4(2259749),
     /* 2259547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2259550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2259553 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2259556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2259560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259564 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259568 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259572 */   GIM_Try, /*On fail goto*//*Label 30441*/ GIMT_Encode4(2259616), // Rule ID 51897 //
     /* 2259577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2259580 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2259580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2259583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2259597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259606 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259615 */     // GIR_Coverage, 51897,
     /* 2259615 */     GIR_EraseRootFromParent_Done,
     /* 2259616 */   // Label 30441: @2259616
     /* 2259616 */   GIM_Try, /*On fail goto*//*Label 30442*/ GIMT_Encode4(2259660), // Rule ID 51898 //
     /* 2259621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2259624 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2259624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2259627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2259641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259650 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259659 */     // GIR_Coverage, 51898,
     /* 2259659 */     GIR_EraseRootFromParent_Done,
     /* 2259660 */   // Label 30442: @2259660
     /* 2259660 */   GIM_Try, /*On fail goto*//*Label 30443*/ GIMT_Encode4(2259704), // Rule ID 57563 //
     /* 2259665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2259668 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2259668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2259671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2259685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259694 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259703 */     // GIR_Coverage, 57563,
     /* 2259703 */     GIR_EraseRootFromParent_Done,
     /* 2259704 */   // Label 30443: @2259704
     /* 2259704 */   GIM_Try, /*On fail goto*//*Label 30444*/ GIMT_Encode4(2259748), // Rule ID 57564 //
     /* 2259709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2259712 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2259712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2259715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2259729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259738 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259747 */     // GIR_Coverage, 57564,
     /* 2259747 */     GIR_EraseRootFromParent_Done,
     /* 2259748 */   // Label 30444: @2259748
     /* 2259748 */   GIM_Reject,
     /* 2259749 */ // Label 30440: @2259749
     /* 2259749 */ GIM_Reject,
     /* 2259750 */ // Label 30384: @2259750
     /* 2259750 */ GIM_Try, /*On fail goto*//*Label 30445*/ GIMT_Encode4(2259869),
     /* 2259755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2259758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2259761 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2259764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2259768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259776 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259780 */   GIM_Try, /*On fail goto*//*Label 30446*/ GIMT_Encode4(2259824), // Rule ID 51795 //
     /* 2259785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259788 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2259791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2259805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259814 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259823 */     // GIR_Coverage, 51795,
     /* 2259823 */     GIR_EraseRootFromParent_Done,
     /* 2259824 */   // Label 30446: @2259824
     /* 2259824 */   GIM_Try, /*On fail goto*//*Label 30447*/ GIMT_Encode4(2259868), // Rule ID 51796 //
     /* 2259829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259832 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2259835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2259849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259858 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259867 */     // GIR_Coverage, 51796,
     /* 2259867 */     GIR_EraseRootFromParent_Done,
     /* 2259868 */   // Label 30447: @2259868
     /* 2259868 */   GIM_Reject,
     /* 2259869 */ // Label 30445: @2259869
     /* 2259869 */ GIM_Reject,
     /* 2259870 */ // Label 30385: @2259870
     /* 2259870 */ GIM_Try, /*On fail goto*//*Label 30448*/ GIMT_Encode4(2260077),
     /* 2259875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2259878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2259881 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2259884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2259888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259892 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259896 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259900 */   GIM_Try, /*On fail goto*//*Label 30449*/ GIMT_Encode4(2259944), // Rule ID 51825 //
     /* 2259905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259908 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2259911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2259925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259934 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259943 */     // GIR_Coverage, 51825,
     /* 2259943 */     GIR_EraseRootFromParent_Done,
     /* 2259944 */   // Label 30449: @2259944
     /* 2259944 */   GIM_Try, /*On fail goto*//*Label 30450*/ GIMT_Encode4(2259988), // Rule ID 51826 //
     /* 2259949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259952 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2259955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2259969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259978 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2259980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259987 */     // GIR_Coverage, 51826,
     /* 2259987 */     GIR_EraseRootFromParent_Done,
     /* 2259988 */   // Label 30450: @2259988
     /* 2259988 */   GIM_Try, /*On fail goto*//*Label 30451*/ GIMT_Encode4(2260032), // Rule ID 57473 //
     /* 2259993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259996 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2259999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260022 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260031 */     // GIR_Coverage, 57473,
     /* 2260031 */     GIR_EraseRootFromParent_Done,
     /* 2260032 */   // Label 30451: @2260032
     /* 2260032 */   GIM_Try, /*On fail goto*//*Label 30452*/ GIMT_Encode4(2260076), // Rule ID 57474 //
     /* 2260037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260040 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2260043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260066 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260075 */     // GIR_Coverage, 57474,
     /* 2260075 */     GIR_EraseRootFromParent_Done,
     /* 2260076 */   // Label 30452: @2260076
     /* 2260076 */   GIM_Reject,
     /* 2260077 */ // Label 30448: @2260077
     /* 2260077 */ GIM_Reject,
     /* 2260078 */ // Label 30386: @2260078
     /* 2260078 */ GIM_Try, /*On fail goto*//*Label 30453*/ GIMT_Encode4(2260285),
     /* 2260083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2260086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2260089 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2260092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2260096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260104 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260108 */   GIM_Try, /*On fail goto*//*Label 30454*/ GIMT_Encode4(2260152), // Rule ID 51879 //
     /* 2260113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260116 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2260119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2260133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260142 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260151 */     // GIR_Coverage, 51879,
     /* 2260151 */     GIR_EraseRootFromParent_Done,
     /* 2260152 */   // Label 30454: @2260152
     /* 2260152 */   GIM_Try, /*On fail goto*//*Label 30455*/ GIMT_Encode4(2260196), // Rule ID 51880 //
     /* 2260157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260160 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2260163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2260177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260186 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260195 */     // GIR_Coverage, 51880,
     /* 2260195 */     GIR_EraseRootFromParent_Done,
     /* 2260196 */   // Label 30455: @2260196
     /* 2260196 */   GIM_Try, /*On fail goto*//*Label 30456*/ GIMT_Encode4(2260240), // Rule ID 57533 //
     /* 2260201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260204 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2260207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2260221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260230 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260239 */     // GIR_Coverage, 57533,
     /* 2260239 */     GIR_EraseRootFromParent_Done,
     /* 2260240 */   // Label 30456: @2260240
     /* 2260240 */   GIM_Try, /*On fail goto*//*Label 30457*/ GIMT_Encode4(2260284), // Rule ID 57534 //
     /* 2260245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260248 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2260251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2260265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260274 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260283 */     // GIR_Coverage, 57534,
     /* 2260283 */     GIR_EraseRootFromParent_Done,
     /* 2260284 */   // Label 30457: @2260284
     /* 2260284 */   GIM_Reject,
     /* 2260285 */ // Label 30453: @2260285
     /* 2260285 */ GIM_Reject,
     /* 2260286 */ // Label 30387: @2260286
     /* 2260286 */ GIM_Try, /*On fail goto*//*Label 30458*/ GIMT_Encode4(2260493),
     /* 2260291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2260294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2260297 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2260300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2260304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260312 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260316 */   GIM_Try, /*On fail goto*//*Label 30459*/ GIMT_Encode4(2260360), // Rule ID 51903 //
     /* 2260321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260324 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2260327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2260341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260350 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260359 */     // GIR_Coverage, 51903,
     /* 2260359 */     GIR_EraseRootFromParent_Done,
     /* 2260360 */   // Label 30459: @2260360
     /* 2260360 */   GIM_Try, /*On fail goto*//*Label 30460*/ GIMT_Encode4(2260404), // Rule ID 51904 //
     /* 2260365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260368 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2260371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2260385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260394 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260403 */     // GIR_Coverage, 51904,
     /* 2260403 */     GIR_EraseRootFromParent_Done,
     /* 2260404 */   // Label 30460: @2260404
     /* 2260404 */   GIM_Try, /*On fail goto*//*Label 30461*/ GIMT_Encode4(2260448), // Rule ID 57573 //
     /* 2260409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260412 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2260415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2260429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260438 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260447 */     // GIR_Coverage, 57573,
     /* 2260447 */     GIR_EraseRootFromParent_Done,
     /* 2260448 */   // Label 30461: @2260448
     /* 2260448 */   GIM_Try, /*On fail goto*//*Label 30462*/ GIMT_Encode4(2260492), // Rule ID 57574 //
     /* 2260453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260456 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2260459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2260473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260482 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260491 */     // GIR_Coverage, 57574,
     /* 2260491 */     GIR_EraseRootFromParent_Done,
     /* 2260492 */   // Label 30462: @2260492
     /* 2260492 */   GIM_Reject,
     /* 2260493 */ // Label 30458: @2260493
     /* 2260493 */ GIM_Reject,
     /* 2260494 */ // Label 30388: @2260494
     /* 2260494 */ GIM_Try, /*On fail goto*//*Label 30463*/ GIMT_Encode4(2260613),
     /* 2260499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2260502 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2260505 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2260508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260516 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260520 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260524 */   GIM_Try, /*On fail goto*//*Label 30464*/ GIMT_Encode4(2260568), // Rule ID 51819 //
     /* 2260529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260532 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2260535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260558 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260567 */     // GIR_Coverage, 51819,
     /* 2260567 */     GIR_EraseRootFromParent_Done,
     /* 2260568 */   // Label 30464: @2260568
     /* 2260568 */   GIM_Try, /*On fail goto*//*Label 30465*/ GIMT_Encode4(2260612), // Rule ID 51820 //
     /* 2260573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260576 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2260579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2260593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260602 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260611 */     // GIR_Coverage, 51820,
     /* 2260611 */     GIR_EraseRootFromParent_Done,
     /* 2260612 */   // Label 30465: @2260612
     /* 2260612 */   GIM_Reject,
     /* 2260613 */ // Label 30463: @2260613
     /* 2260613 */ GIM_Reject,
     /* 2260614 */ // Label 30389: @2260614
     /* 2260614 */ GIM_Try, /*On fail goto*//*Label 30466*/ GIMT_Encode4(2260821),
     /* 2260619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2260622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2260625 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2260628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2260632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260636 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260640 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260644 */   GIM_Try, /*On fail goto*//*Label 30467*/ GIMT_Encode4(2260688), // Rule ID 51861 //
     /* 2260649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260652 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2260655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2260669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260678 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260687 */     // GIR_Coverage, 51861,
     /* 2260687 */     GIR_EraseRootFromParent_Done,
     /* 2260688 */   // Label 30467: @2260688
     /* 2260688 */   GIM_Try, /*On fail goto*//*Label 30468*/ GIMT_Encode4(2260732), // Rule ID 51862 //
     /* 2260693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260696 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2260699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2260713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260722 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260731 */     // GIR_Coverage, 51862,
     /* 2260731 */     GIR_EraseRootFromParent_Done,
     /* 2260732 */   // Label 30468: @2260732
     /* 2260732 */   GIM_Try, /*On fail goto*//*Label 30469*/ GIMT_Encode4(2260776), // Rule ID 57503 //
     /* 2260737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260740 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2260743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2260757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260766 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260775 */     // GIR_Coverage, 57503,
     /* 2260775 */     GIR_EraseRootFromParent_Done,
     /* 2260776 */   // Label 30469: @2260776
     /* 2260776 */   GIM_Try, /*On fail goto*//*Label 30470*/ GIMT_Encode4(2260820), // Rule ID 57504 //
     /* 2260781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260784 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2260787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2260801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260810 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260819 */     // GIR_Coverage, 57504,
     /* 2260819 */     GIR_EraseRootFromParent_Done,
     /* 2260820 */   // Label 30470: @2260820
     /* 2260820 */   GIM_Reject,
     /* 2260821 */ // Label 30466: @2260821
     /* 2260821 */ GIM_Reject,
     /* 2260822 */ // Label 30390: @2260822
     /* 2260822 */ GIM_Try, /*On fail goto*//*Label 30471*/ GIMT_Encode4(2261029),
     /* 2260827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2260830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2260833 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2260836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2260840 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260844 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260848 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260852 */   GIM_Try, /*On fail goto*//*Label 30472*/ GIMT_Encode4(2260896), // Rule ID 51885 //
     /* 2260857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260860 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2260863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2260877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260886 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260895 */     // GIR_Coverage, 51885,
     /* 2260895 */     GIR_EraseRootFromParent_Done,
     /* 2260896 */   // Label 30472: @2260896
     /* 2260896 */   GIM_Try, /*On fail goto*//*Label 30473*/ GIMT_Encode4(2260940), // Rule ID 51886 //
     /* 2260901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260904 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2260907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2260921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260930 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260939 */     // GIR_Coverage, 51886,
     /* 2260939 */     GIR_EraseRootFromParent_Done,
     /* 2260940 */   // Label 30473: @2260940
     /* 2260940 */   GIM_Try, /*On fail goto*//*Label 30474*/ GIMT_Encode4(2260984), // Rule ID 57543 //
     /* 2260945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260948 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2260951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2260965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260974 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2260976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260983 */     // GIR_Coverage, 57543,
     /* 2260983 */     GIR_EraseRootFromParent_Done,
     /* 2260984 */   // Label 30474: @2260984
     /* 2260984 */   GIM_Try, /*On fail goto*//*Label 30475*/ GIMT_Encode4(2261028), // Rule ID 57544 //
     /* 2260989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260992 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2260995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2261009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261018 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261027 */     // GIR_Coverage, 57544,
     /* 2261027 */     GIR_EraseRootFromParent_Done,
     /* 2261028 */   // Label 30475: @2261028
     /* 2261028 */   GIM_Reject,
     /* 2261029 */ // Label 30471: @2261029
     /* 2261029 */ GIM_Reject,
     /* 2261030 */ // Label 30391: @2261030
     /* 2261030 */ GIM_Try, /*On fail goto*//*Label 30476*/ GIMT_Encode4(2261237),
     /* 2261035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2261038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2261041 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2261044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2261048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261052 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261056 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261060 */   GIM_Try, /*On fail goto*//*Label 30477*/ GIMT_Encode4(2261104), // Rule ID 51909 //
     /* 2261065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2261068 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2261068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2261071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2261085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261094 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261103 */     // GIR_Coverage, 51909,
     /* 2261103 */     GIR_EraseRootFromParent_Done,
     /* 2261104 */   // Label 30477: @2261104
     /* 2261104 */   GIM_Try, /*On fail goto*//*Label 30478*/ GIMT_Encode4(2261148), // Rule ID 51910 //
     /* 2261109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2261112 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2261112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2261115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2261129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261138 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261147 */     // GIR_Coverage, 51910,
     /* 2261147 */     GIR_EraseRootFromParent_Done,
     /* 2261148 */   // Label 30478: @2261148
     /* 2261148 */   GIM_Try, /*On fail goto*//*Label 30479*/ GIMT_Encode4(2261192), // Rule ID 57583 //
     /* 2261153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2261156 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2261156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2261159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2261173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261182 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261191 */     // GIR_Coverage, 57583,
     /* 2261191 */     GIR_EraseRootFromParent_Done,
     /* 2261192 */   // Label 30479: @2261192
     /* 2261192 */   GIM_Try, /*On fail goto*//*Label 30480*/ GIMT_Encode4(2261236), // Rule ID 57584 //
     /* 2261197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2261200 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2261200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2261203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2261217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261226 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261235 */     // GIR_Coverage, 57584,
     /* 2261235 */     GIR_EraseRootFromParent_Done,
     /* 2261236 */   // Label 30480: @2261236
     /* 2261236 */   GIM_Reject,
     /* 2261237 */ // Label 30476: @2261237
     /* 2261237 */ GIM_Reject,
     /* 2261238 */ // Label 30392: @2261238
     /* 2261238 */ GIM_Try, /*On fail goto*//*Label 30481*/ GIMT_Encode4(2261357),
     /* 2261243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2261246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2261249 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2261252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2261256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261264 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261268 */   GIM_Try, /*On fail goto*//*Label 30482*/ GIMT_Encode4(2261312), // Rule ID 51843 //
     /* 2261273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261276 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2261279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261302 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261311 */     // GIR_Coverage, 51843,
     /* 2261311 */     GIR_EraseRootFromParent_Done,
     /* 2261312 */   // Label 30482: @2261312
     /* 2261312 */   GIM_Try, /*On fail goto*//*Label 30483*/ GIMT_Encode4(2261356), // Rule ID 51844 //
     /* 2261317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261320 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2261323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2261337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261346 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261355 */     // GIR_Coverage, 51844,
     /* 2261355 */     GIR_EraseRootFromParent_Done,
     /* 2261356 */   // Label 30483: @2261356
     /* 2261356 */   GIM_Reject,
     /* 2261357 */ // Label 30481: @2261357
     /* 2261357 */ GIM_Reject,
     /* 2261358 */ // Label 30393: @2261358
     /* 2261358 */ GIM_Try, /*On fail goto*//*Label 30484*/ GIMT_Encode4(2261565),
     /* 2261363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2261366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2261369 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2261372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2261376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261380 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261384 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261388 */   GIM_Try, /*On fail goto*//*Label 30485*/ GIMT_Encode4(2261432), // Rule ID 51867 //
     /* 2261393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261396 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2261399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2261413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261422 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261431 */     // GIR_Coverage, 51867,
     /* 2261431 */     GIR_EraseRootFromParent_Done,
     /* 2261432 */   // Label 30485: @2261432
     /* 2261432 */   GIM_Try, /*On fail goto*//*Label 30486*/ GIMT_Encode4(2261476), // Rule ID 51868 //
     /* 2261437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261440 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2261443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2261457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261466 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261475 */     // GIR_Coverage, 51868,
     /* 2261475 */     GIR_EraseRootFromParent_Done,
     /* 2261476 */   // Label 30486: @2261476
     /* 2261476 */   GIM_Try, /*On fail goto*//*Label 30487*/ GIMT_Encode4(2261520), // Rule ID 57513 //
     /* 2261481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261484 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2261487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2261501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261510 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261519 */     // GIR_Coverage, 57513,
     /* 2261519 */     GIR_EraseRootFromParent_Done,
     /* 2261520 */   // Label 30487: @2261520
     /* 2261520 */   GIM_Try, /*On fail goto*//*Label 30488*/ GIMT_Encode4(2261564), // Rule ID 57514 //
     /* 2261525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261528 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2261531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2261545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261554 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261563 */     // GIR_Coverage, 57514,
     /* 2261563 */     GIR_EraseRootFromParent_Done,
     /* 2261564 */   // Label 30488: @2261564
     /* 2261564 */   GIM_Reject,
     /* 2261565 */ // Label 30484: @2261565
     /* 2261565 */ GIM_Reject,
     /* 2261566 */ // Label 30394: @2261566
     /* 2261566 */ GIM_Try, /*On fail goto*//*Label 30489*/ GIMT_Encode4(2261773),
     /* 2261571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2261574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2261577 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2261580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2261584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261588 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261592 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261596 */   GIM_Try, /*On fail goto*//*Label 30490*/ GIMT_Encode4(2261640), // Rule ID 51891 //
     /* 2261601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261604 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2261607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2261621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261630 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261639 */     // GIR_Coverage, 51891,
     /* 2261639 */     GIR_EraseRootFromParent_Done,
     /* 2261640 */   // Label 30490: @2261640
     /* 2261640 */   GIM_Try, /*On fail goto*//*Label 30491*/ GIMT_Encode4(2261684), // Rule ID 51892 //
     /* 2261645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261648 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2261651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2261665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261674 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261683 */     // GIR_Coverage, 51892,
     /* 2261683 */     GIR_EraseRootFromParent_Done,
     /* 2261684 */   // Label 30491: @2261684
     /* 2261684 */   GIM_Try, /*On fail goto*//*Label 30492*/ GIMT_Encode4(2261728), // Rule ID 57553 //
     /* 2261689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261692 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2261695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2261709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261718 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261727 */     // GIR_Coverage, 57553,
     /* 2261727 */     GIR_EraseRootFromParent_Done,
     /* 2261728 */   // Label 30492: @2261728
     /* 2261728 */   GIM_Try, /*On fail goto*//*Label 30493*/ GIMT_Encode4(2261772), // Rule ID 57554 //
     /* 2261733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261736 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2261739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2261753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261762 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261771 */     // GIR_Coverage, 57554,
     /* 2261771 */     GIR_EraseRootFromParent_Done,
     /* 2261772 */   // Label 30493: @2261772
     /* 2261772 */   GIM_Reject,
     /* 2261773 */ // Label 30489: @2261773
     /* 2261773 */ GIM_Reject,
     /* 2261774 */ // Label 30395: @2261774
     /* 2261774 */ GIM_Try, /*On fail goto*//*Label 30494*/ GIMT_Encode4(2261893),
     /* 2261779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2261782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2261785 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2261788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2261792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261800 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261804 */   GIM_Try, /*On fail goto*//*Label 30495*/ GIMT_Encode4(2261848), // Rule ID 51849 //
     /* 2261809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261812 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2261815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2261829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261838 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261847 */     // GIR_Coverage, 51849,
     /* 2261847 */     GIR_EraseRootFromParent_Done,
     /* 2261848 */   // Label 30495: @2261848
     /* 2261848 */   GIM_Try, /*On fail goto*//*Label 30496*/ GIMT_Encode4(2261892), // Rule ID 51850 //
     /* 2261853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261856 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2261859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2261873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261882 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261891 */     // GIR_Coverage, 51850,
     /* 2261891 */     GIR_EraseRootFromParent_Done,
     /* 2261892 */   // Label 30496: @2261892
     /* 2261892 */   GIM_Reject,
     /* 2261893 */ // Label 30494: @2261893
     /* 2261893 */ GIM_Reject,
     /* 2261894 */ // Label 30396: @2261894
     /* 2261894 */ GIM_Try, /*On fail goto*//*Label 30497*/ GIMT_Encode4(2262101),
     /* 2261899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2261902 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2261905 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2261908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2261912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261916 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261920 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261924 */   GIM_Try, /*On fail goto*//*Label 30498*/ GIMT_Encode4(2261968), // Rule ID 51873 //
     /* 2261929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261932 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2261935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2261949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261958 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2261960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261967 */     // GIR_Coverage, 51873,
     /* 2261967 */     GIR_EraseRootFromParent_Done,
     /* 2261968 */   // Label 30498: @2261968
     /* 2261968 */   GIM_Try, /*On fail goto*//*Label 30499*/ GIMT_Encode4(2262012), // Rule ID 51874 //
     /* 2261973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261976 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2261979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2261993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262002 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262011 */     // GIR_Coverage, 51874,
     /* 2262011 */     GIR_EraseRootFromParent_Done,
     /* 2262012 */   // Label 30499: @2262012
     /* 2262012 */   GIM_Try, /*On fail goto*//*Label 30500*/ GIMT_Encode4(2262056), // Rule ID 57523 //
     /* 2262017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262020 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2262023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262046 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262055 */     // GIR_Coverage, 57523,
     /* 2262055 */     GIR_EraseRootFromParent_Done,
     /* 2262056 */   // Label 30500: @2262056
     /* 2262056 */   GIM_Try, /*On fail goto*//*Label 30501*/ GIMT_Encode4(2262100), // Rule ID 57524 //
     /* 2262061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262064 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2262067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262090 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262099 */     // GIR_Coverage, 57524,
     /* 2262099 */     GIR_EraseRootFromParent_Done,
     /* 2262100 */   // Label 30501: @2262100
     /* 2262100 */   GIM_Reject,
     /* 2262101 */ // Label 30497: @2262101
     /* 2262101 */ GIM_Reject,
     /* 2262102 */ // Label 30397: @2262102
     /* 2262102 */ GIM_Try, /*On fail goto*//*Label 30502*/ GIMT_Encode4(2262221),
     /* 2262107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /* 2262110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2262113 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2262116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2262120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262124 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262128 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262132 */   GIM_Try, /*On fail goto*//*Label 30503*/ GIMT_Encode4(2262176), // Rule ID 51855 //
     /* 2262137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262140 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2262143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262166 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262175 */     // GIR_Coverage, 51855,
     /* 2262175 */     GIR_EraseRootFromParent_Done,
     /* 2262176 */   // Label 30503: @2262176
     /* 2262176 */   GIM_Try, /*On fail goto*//*Label 30504*/ GIMT_Encode4(2262220), // Rule ID 51856 //
     /* 2262181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262184 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2262187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2262201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262210 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2262212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262219 */     // GIR_Coverage, 51856,
     /* 2262219 */     GIR_EraseRootFromParent_Done,
     /* 2262220 */   // Label 30504: @2262220
     /* 2262220 */   GIM_Reject,
     /* 2262221 */ // Label 30502: @2262221
     /* 2262221 */ GIM_Reject,
     /* 2262222 */ // Label 30398: @2262222
     /* 2262222 */ GIM_Reject,
     /* 2262223 */ // Label 51: @2262223
     /* 2262223 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30529*/ GIMT_Encode4(2264956),
     /* 2262234 */ /*GILLT_s32*//*Label 30505*/ GIMT_Encode4(2262358),
     /* 2262238 */ /*GILLT_s64*//*Label 30506*/ GIMT_Encode4(2262392), GIMT_Encode4(0),
     /* 2262246 */ /*GILLT_nxv1s8*//*Label 30507*/ GIMT_Encode4(2262426),
     /* 2262250 */ /*GILLT_nxv1s16*//*Label 30508*/ GIMT_Encode4(2262541),
     /* 2262254 */ /*GILLT_nxv1s32*//*Label 30509*/ GIMT_Encode4(2262656),
     /* 2262258 */ /*GILLT_nxv1s64*//*Label 30510*/ GIMT_Encode4(2262771), GIMT_Encode4(0),
     /* 2262266 */ /*GILLT_nxv2s8*//*Label 30511*/ GIMT_Encode4(2262886),
     /* 2262270 */ /*GILLT_nxv2s16*//*Label 30512*/ GIMT_Encode4(2263001),
     /* 2262274 */ /*GILLT_nxv2s32*//*Label 30513*/ GIMT_Encode4(2263116),
     /* 2262278 */ /*GILLT_nxv2s64*//*Label 30514*/ GIMT_Encode4(2263231), GIMT_Encode4(0),
     /* 2262286 */ /*GILLT_nxv4s8*//*Label 30515*/ GIMT_Encode4(2263346),
     /* 2262290 */ /*GILLT_nxv4s16*//*Label 30516*/ GIMT_Encode4(2263461),
     /* 2262294 */ /*GILLT_nxv4s32*//*Label 30517*/ GIMT_Encode4(2263576),
     /* 2262298 */ /*GILLT_nxv4s64*//*Label 30518*/ GIMT_Encode4(2263691), GIMT_Encode4(0),
     /* 2262306 */ /*GILLT_nxv8s8*//*Label 30519*/ GIMT_Encode4(2263806),
     /* 2262310 */ /*GILLT_nxv8s16*//*Label 30520*/ GIMT_Encode4(2263921),
     /* 2262314 */ /*GILLT_nxv8s32*//*Label 30521*/ GIMT_Encode4(2264036),
     /* 2262318 */ /*GILLT_nxv8s64*//*Label 30522*/ GIMT_Encode4(2264151), GIMT_Encode4(0),
     /* 2262326 */ /*GILLT_nxv16s8*//*Label 30523*/ GIMT_Encode4(2264266),
     /* 2262330 */ /*GILLT_nxv16s16*//*Label 30524*/ GIMT_Encode4(2264381),
     /* 2262334 */ /*GILLT_nxv16s32*//*Label 30525*/ GIMT_Encode4(2264496), GIMT_Encode4(0),
     /* 2262342 */ /*GILLT_nxv32s8*//*Label 30526*/ GIMT_Encode4(2264611),
     /* 2262346 */ /*GILLT_nxv32s16*//*Label 30527*/ GIMT_Encode4(2264726), GIMT_Encode4(0),
     /* 2262354 */ /*GILLT_nxv64s8*//*Label 30528*/ GIMT_Encode4(2264841),
     /* 2262358 */ // Label 30505: @2262358
     /* 2262358 */ GIM_Try, /*On fail goto*//*Label 30530*/ GIMT_Encode4(2262391), // Rule ID 293 //
     /* 2262363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2262366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2262369 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2262372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262380 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262384 */   // (mulhu:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULHU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2262384 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2262389 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262390 */   // GIR_Coverage, 293,
     /* 2262390 */   GIR_Done,
     /* 2262391 */ // Label 30530: @2262391
     /* 2262391 */ GIM_Reject,
     /* 2262392 */ // Label 30506: @2262392
     /* 2262392 */ GIM_Try, /*On fail goto*//*Label 30531*/ GIMT_Encode4(2262425), // Rule ID 292 //
     /* 2262397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2262400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2262403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2262406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262414 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2262418 */   // (mulhu:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULHU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2262418 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2262423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262424 */   // GIR_Coverage, 292,
     /* 2262424 */   GIR_Done,
     /* 2262425 */ // Label 30531: @2262425
     /* 2262425 */ GIM_Reject,
     /* 2262426 */ // Label 30507: @2262426
     /* 2262426 */ GIM_Try, /*On fail goto*//*Label 30532*/ GIMT_Encode4(2262540),
     /* 2262431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2262434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2262437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262445 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262449 */   GIM_Try, /*On fail goto*//*Label 30533*/ GIMT_Encode4(2262494), // Rule ID 50559 //
     /* 2262454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262457 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2262460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2262474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262493 */     // GIR_Coverage, 50559,
     /* 2262493 */     GIR_EraseRootFromParent_Done,
     /* 2262494 */   // Label 30533: @2262494
     /* 2262494 */   GIM_Try, /*On fail goto*//*Label 30534*/ GIMT_Encode4(2262539), // Rule ID 50560 //
     /* 2262499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262502 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2262505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2262519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262538 */     // GIR_Coverage, 50560,
     /* 2262538 */     GIR_EraseRootFromParent_Done,
     /* 2262539 */   // Label 30534: @2262539
     /* 2262539 */   GIM_Reject,
     /* 2262540 */ // Label 30532: @2262540
     /* 2262540 */ GIM_Reject,
     /* 2262541 */ // Label 30508: @2262541
     /* 2262541 */ GIM_Try, /*On fail goto*//*Label 30535*/ GIMT_Encode4(2262655),
     /* 2262546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2262549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2262552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262564 */   GIM_Try, /*On fail goto*//*Label 30536*/ GIMT_Encode4(2262609), // Rule ID 50571 //
     /* 2262569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262572 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2262575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2262589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262608 */     // GIR_Coverage, 50571,
     /* 2262608 */     GIR_EraseRootFromParent_Done,
     /* 2262609 */   // Label 30536: @2262609
     /* 2262609 */   GIM_Try, /*On fail goto*//*Label 30537*/ GIMT_Encode4(2262654), // Rule ID 50572 //
     /* 2262614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262617 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2262620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2262634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262653 */     // GIR_Coverage, 50572,
     /* 2262653 */     GIR_EraseRootFromParent_Done,
     /* 2262654 */   // Label 30537: @2262654
     /* 2262654 */   GIM_Reject,
     /* 2262655 */ // Label 30535: @2262655
     /* 2262655 */ GIM_Reject,
     /* 2262656 */ // Label 30509: @2262656
     /* 2262656 */ GIM_Try, /*On fail goto*//*Label 30538*/ GIMT_Encode4(2262770),
     /* 2262661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2262664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2262667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262675 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262679 */   GIM_Try, /*On fail goto*//*Label 30539*/ GIMT_Encode4(2262724), // Rule ID 50579 //
     /* 2262684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262687 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2262690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2262704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262723 */     // GIR_Coverage, 50579,
     /* 2262723 */     GIR_EraseRootFromParent_Done,
     /* 2262724 */   // Label 30539: @2262724
     /* 2262724 */   GIM_Try, /*On fail goto*//*Label 30540*/ GIMT_Encode4(2262769), // Rule ID 50580 //
     /* 2262729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262732 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2262735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2262749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262768 */     // GIR_Coverage, 50580,
     /* 2262768 */     GIR_EraseRootFromParent_Done,
     /* 2262769 */   // Label 30540: @2262769
     /* 2262769 */   GIM_Reject,
     /* 2262770 */ // Label 30538: @2262770
     /* 2262770 */ GIM_Reject,
     /* 2262771 */ // Label 30510: @2262771
     /* 2262771 */ GIM_Try, /*On fail goto*//*Label 30541*/ GIMT_Encode4(2262885),
     /* 2262776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2262779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2262782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262790 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262794 */   GIM_Try, /*On fail goto*//*Label 30542*/ GIMT_Encode4(2262839), // Rule ID 50647 //
     /* 2262799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2262802 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2262805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2262819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262838 */     // GIR_Coverage, 50647,
     /* 2262838 */     GIR_EraseRootFromParent_Done,
     /* 2262839 */   // Label 30542: @2262839
     /* 2262839 */   GIM_Try, /*On fail goto*//*Label 30543*/ GIMT_Encode4(2262884), // Rule ID 50648 //
     /* 2262844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2262847 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2262850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2262864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262883 */     // GIR_Coverage, 50648,
     /* 2262883 */     GIR_EraseRootFromParent_Done,
     /* 2262884 */   // Label 30543: @2262884
     /* 2262884 */   GIM_Reject,
     /* 2262885 */ // Label 30541: @2262885
     /* 2262885 */ GIM_Reject,
     /* 2262886 */ // Label 30511: @2262886
     /* 2262886 */ GIM_Try, /*On fail goto*//*Label 30544*/ GIMT_Encode4(2263000),
     /* 2262891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2262894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2262897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262905 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262909 */   GIM_Try, /*On fail goto*//*Label 30545*/ GIMT_Encode4(2262954), // Rule ID 50563 //
     /* 2262914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262917 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2262920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2262934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262953 */     // GIR_Coverage, 50563,
     /* 2262953 */     GIR_EraseRootFromParent_Done,
     /* 2262954 */   // Label 30545: @2262954
     /* 2262954 */   GIM_Try, /*On fail goto*//*Label 30546*/ GIMT_Encode4(2262999), // Rule ID 50564 //
     /* 2262959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262962 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2262965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2262979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262998 */     // GIR_Coverage, 50564,
     /* 2262998 */     GIR_EraseRootFromParent_Done,
     /* 2262999 */   // Label 30546: @2262999
     /* 2262999 */   GIM_Reject,
     /* 2263000 */ // Label 30544: @2263000
     /* 2263000 */ GIM_Reject,
     /* 2263001 */ // Label 30512: @2263001
     /* 2263001 */ GIM_Try, /*On fail goto*//*Label 30547*/ GIMT_Encode4(2263115),
     /* 2263006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2263009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2263012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263020 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263024 */   GIM_Try, /*On fail goto*//*Label 30548*/ GIMT_Encode4(2263069), // Rule ID 50575 //
     /* 2263029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263032 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2263035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2263049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263068 */     // GIR_Coverage, 50575,
     /* 2263068 */     GIR_EraseRootFromParent_Done,
     /* 2263069 */   // Label 30548: @2263069
     /* 2263069 */   GIM_Try, /*On fail goto*//*Label 30549*/ GIMT_Encode4(2263114), // Rule ID 50576 //
     /* 2263074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263077 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2263080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2263094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263113 */     // GIR_Coverage, 50576,
     /* 2263113 */     GIR_EraseRootFromParent_Done,
     /* 2263114 */   // Label 30549: @2263114
     /* 2263114 */   GIM_Reject,
     /* 2263115 */ // Label 30547: @2263115
     /* 2263115 */ GIM_Reject,
     /* 2263116 */ // Label 30513: @2263116
     /* 2263116 */ GIM_Try, /*On fail goto*//*Label 30550*/ GIMT_Encode4(2263230),
     /* 2263121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2263124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2263127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263139 */   GIM_Try, /*On fail goto*//*Label 30551*/ GIMT_Encode4(2263184), // Rule ID 50591 //
     /* 2263144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263147 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2263150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2263164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263183 */     // GIR_Coverage, 50591,
     /* 2263183 */     GIR_EraseRootFromParent_Done,
     /* 2263184 */   // Label 30551: @2263184
     /* 2263184 */   GIM_Try, /*On fail goto*//*Label 30552*/ GIMT_Encode4(2263229), // Rule ID 50592 //
     /* 2263189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263192 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2263195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2263209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263228 */     // GIR_Coverage, 50592,
     /* 2263228 */     GIR_EraseRootFromParent_Done,
     /* 2263229 */   // Label 30552: @2263229
     /* 2263229 */   GIM_Reject,
     /* 2263230 */ // Label 30550: @2263230
     /* 2263230 */ GIM_Reject,
     /* 2263231 */ // Label 30514: @2263231
     /* 2263231 */ GIM_Try, /*On fail goto*//*Label 30553*/ GIMT_Encode4(2263345),
     /* 2263236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2263239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2263242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263250 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263254 */   GIM_Try, /*On fail goto*//*Label 30554*/ GIMT_Encode4(2263299), // Rule ID 50651 //
     /* 2263259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2263262 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2263265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2263279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263298 */     // GIR_Coverage, 50651,
     /* 2263298 */     GIR_EraseRootFromParent_Done,
     /* 2263299 */   // Label 30554: @2263299
     /* 2263299 */   GIM_Try, /*On fail goto*//*Label 30555*/ GIMT_Encode4(2263344), // Rule ID 50652 //
     /* 2263304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2263307 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2263310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2263324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263343 */     // GIR_Coverage, 50652,
     /* 2263343 */     GIR_EraseRootFromParent_Done,
     /* 2263344 */   // Label 30555: @2263344
     /* 2263344 */   GIM_Reject,
     /* 2263345 */ // Label 30553: @2263345
     /* 2263345 */ GIM_Reject,
     /* 2263346 */ // Label 30515: @2263346
     /* 2263346 */ GIM_Try, /*On fail goto*//*Label 30556*/ GIMT_Encode4(2263460),
     /* 2263351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2263354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2263357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263369 */   GIM_Try, /*On fail goto*//*Label 30557*/ GIMT_Encode4(2263414), // Rule ID 50567 //
     /* 2263374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263377 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2263380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2263394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263413 */     // GIR_Coverage, 50567,
     /* 2263413 */     GIR_EraseRootFromParent_Done,
     /* 2263414 */   // Label 30557: @2263414
     /* 2263414 */   GIM_Try, /*On fail goto*//*Label 30558*/ GIMT_Encode4(2263459), // Rule ID 50568 //
     /* 2263419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263422 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2263425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2263439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263458 */     // GIR_Coverage, 50568,
     /* 2263458 */     GIR_EraseRootFromParent_Done,
     /* 2263459 */   // Label 30558: @2263459
     /* 2263459 */   GIM_Reject,
     /* 2263460 */ // Label 30556: @2263460
     /* 2263460 */ GIM_Reject,
     /* 2263461 */ // Label 30516: @2263461
     /* 2263461 */ GIM_Try, /*On fail goto*//*Label 30559*/ GIMT_Encode4(2263575),
     /* 2263466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2263469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2263472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263484 */   GIM_Try, /*On fail goto*//*Label 30560*/ GIMT_Encode4(2263529), // Rule ID 50587 //
     /* 2263489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263492 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2263495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2263509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263528 */     // GIR_Coverage, 50587,
     /* 2263528 */     GIR_EraseRootFromParent_Done,
     /* 2263529 */   // Label 30560: @2263529
     /* 2263529 */   GIM_Try, /*On fail goto*//*Label 30561*/ GIMT_Encode4(2263574), // Rule ID 50588 //
     /* 2263534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263537 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2263540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2263554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263573 */     // GIR_Coverage, 50588,
     /* 2263573 */     GIR_EraseRootFromParent_Done,
     /* 2263574 */   // Label 30561: @2263574
     /* 2263574 */   GIM_Reject,
     /* 2263575 */ // Label 30559: @2263575
     /* 2263575 */ GIM_Reject,
     /* 2263576 */ // Label 30517: @2263576
     /* 2263576 */ GIM_Try, /*On fail goto*//*Label 30562*/ GIMT_Encode4(2263690),
     /* 2263581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2263584 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2263587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263595 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263599 */   GIM_Try, /*On fail goto*//*Label 30563*/ GIMT_Encode4(2263644), // Rule ID 50619 //
     /* 2263604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263607 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2263610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2263624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263643 */     // GIR_Coverage, 50619,
     /* 2263643 */     GIR_EraseRootFromParent_Done,
     /* 2263644 */   // Label 30563: @2263644
     /* 2263644 */   GIM_Try, /*On fail goto*//*Label 30564*/ GIMT_Encode4(2263689), // Rule ID 50620 //
     /* 2263649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263652 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2263655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2263669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263688 */     // GIR_Coverage, 50620,
     /* 2263688 */     GIR_EraseRootFromParent_Done,
     /* 2263689 */   // Label 30564: @2263689
     /* 2263689 */   GIM_Reject,
     /* 2263690 */ // Label 30562: @2263690
     /* 2263690 */ GIM_Reject,
     /* 2263691 */ // Label 30518: @2263691
     /* 2263691 */ GIM_Try, /*On fail goto*//*Label 30565*/ GIMT_Encode4(2263805),
     /* 2263696 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2263699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2263702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263710 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263714 */   GIM_Try, /*On fail goto*//*Label 30566*/ GIMT_Encode4(2263759), // Rule ID 50655 //
     /* 2263719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2263722 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2263725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2263739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263758 */     // GIR_Coverage, 50655,
     /* 2263758 */     GIR_EraseRootFromParent_Done,
     /* 2263759 */   // Label 30566: @2263759
     /* 2263759 */   GIM_Try, /*On fail goto*//*Label 30567*/ GIMT_Encode4(2263804), // Rule ID 50656 //
     /* 2263764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2263767 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2263770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2263784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263803 */     // GIR_Coverage, 50656,
     /* 2263803 */     GIR_EraseRootFromParent_Done,
     /* 2263804 */   // Label 30567: @2263804
     /* 2263804 */   GIM_Reject,
     /* 2263805 */ // Label 30565: @2263805
     /* 2263805 */ GIM_Reject,
     /* 2263806 */ // Label 30519: @2263806
     /* 2263806 */ GIM_Try, /*On fail goto*//*Label 30568*/ GIMT_Encode4(2263920),
     /* 2263811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2263814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2263817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263825 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263829 */   GIM_Try, /*On fail goto*//*Label 30569*/ GIMT_Encode4(2263874), // Rule ID 50583 //
     /* 2263834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263837 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2263840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2263854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263873 */     // GIR_Coverage, 50583,
     /* 2263873 */     GIR_EraseRootFromParent_Done,
     /* 2263874 */   // Label 30569: @2263874
     /* 2263874 */   GIM_Try, /*On fail goto*//*Label 30570*/ GIMT_Encode4(2263919), // Rule ID 50584 //
     /* 2263879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263882 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2263885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2263899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263918 */     // GIR_Coverage, 50584,
     /* 2263918 */     GIR_EraseRootFromParent_Done,
     /* 2263919 */   // Label 30570: @2263919
     /* 2263919 */   GIM_Reject,
     /* 2263920 */ // Label 30568: @2263920
     /* 2263920 */ GIM_Reject,
     /* 2263921 */ // Label 30520: @2263921
     /* 2263921 */ GIM_Try, /*On fail goto*//*Label 30571*/ GIMT_Encode4(2264035),
     /* 2263926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2263929 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2263932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263940 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263944 */   GIM_Try, /*On fail goto*//*Label 30572*/ GIMT_Encode4(2263989), // Rule ID 50607 //
     /* 2263949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263952 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2263955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2263969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263988 */     // GIR_Coverage, 50607,
     /* 2263988 */     GIR_EraseRootFromParent_Done,
     /* 2263989 */   // Label 30572: @2263989
     /* 2263989 */   GIM_Try, /*On fail goto*//*Label 30573*/ GIMT_Encode4(2264034), // Rule ID 50608 //
     /* 2263994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263997 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2264000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2264014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264033 */     // GIR_Coverage, 50608,
     /* 2264033 */     GIR_EraseRootFromParent_Done,
     /* 2264034 */   // Label 30573: @2264034
     /* 2264034 */   GIM_Reject,
     /* 2264035 */ // Label 30571: @2264035
     /* 2264035 */ GIM_Reject,
     /* 2264036 */ // Label 30521: @2264036
     /* 2264036 */ GIM_Try, /*On fail goto*//*Label 30574*/ GIMT_Encode4(2264150),
     /* 2264041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2264044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2264047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264051 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264055 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264059 */   GIM_Try, /*On fail goto*//*Label 30575*/ GIMT_Encode4(2264104), // Rule ID 50623 //
     /* 2264064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264067 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2264070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2264084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264103 */     // GIR_Coverage, 50623,
     /* 2264103 */     GIR_EraseRootFromParent_Done,
     /* 2264104 */   // Label 30575: @2264104
     /* 2264104 */   GIM_Try, /*On fail goto*//*Label 30576*/ GIMT_Encode4(2264149), // Rule ID 50624 //
     /* 2264109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264112 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2264115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2264129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264148 */     // GIR_Coverage, 50624,
     /* 2264148 */     GIR_EraseRootFromParent_Done,
     /* 2264149 */   // Label 30576: @2264149
     /* 2264149 */   GIM_Reject,
     /* 2264150 */ // Label 30574: @2264150
     /* 2264150 */ GIM_Reject,
     /* 2264151 */ // Label 30522: @2264151
     /* 2264151 */ GIM_Try, /*On fail goto*//*Label 30577*/ GIMT_Encode4(2264265),
     /* 2264156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2264159 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2264162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264170 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264174 */   GIM_Try, /*On fail goto*//*Label 30578*/ GIMT_Encode4(2264219), // Rule ID 50659 //
     /* 2264179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2264182 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2264185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2264199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264218 */     // GIR_Coverage, 50659,
     /* 2264218 */     GIR_EraseRootFromParent_Done,
     /* 2264219 */   // Label 30578: @2264219
     /* 2264219 */   GIM_Try, /*On fail goto*//*Label 30579*/ GIMT_Encode4(2264264), // Rule ID 50660 //
     /* 2264224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2264227 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2264230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2264244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264263 */     // GIR_Coverage, 50660,
     /* 2264263 */     GIR_EraseRootFromParent_Done,
     /* 2264264 */   // Label 30579: @2264264
     /* 2264264 */   GIM_Reject,
     /* 2264265 */ // Label 30577: @2264265
     /* 2264265 */ GIM_Reject,
     /* 2264266 */ // Label 30523: @2264266
     /* 2264266 */ GIM_Try, /*On fail goto*//*Label 30580*/ GIMT_Encode4(2264380),
     /* 2264271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2264274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2264277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264285 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264289 */   GIM_Try, /*On fail goto*//*Label 30581*/ GIMT_Encode4(2264334), // Rule ID 50595 //
     /* 2264294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264297 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2264300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2264314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264333 */     // GIR_Coverage, 50595,
     /* 2264333 */     GIR_EraseRootFromParent_Done,
     /* 2264334 */   // Label 30581: @2264334
     /* 2264334 */   GIM_Try, /*On fail goto*//*Label 30582*/ GIMT_Encode4(2264379), // Rule ID 50596 //
     /* 2264339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264342 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2264345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2264359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264378 */     // GIR_Coverage, 50596,
     /* 2264378 */     GIR_EraseRootFromParent_Done,
     /* 2264379 */   // Label 30582: @2264379
     /* 2264379 */   GIM_Reject,
     /* 2264380 */ // Label 30580: @2264380
     /* 2264380 */ GIM_Reject,
     /* 2264381 */ // Label 30524: @2264381
     /* 2264381 */ GIM_Try, /*On fail goto*//*Label 30583*/ GIMT_Encode4(2264495),
     /* 2264386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2264389 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2264392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264396 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264400 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264404 */   GIM_Try, /*On fail goto*//*Label 30584*/ GIMT_Encode4(2264449), // Rule ID 50611 //
     /* 2264409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264412 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2264415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2264429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264448 */     // GIR_Coverage, 50611,
     /* 2264448 */     GIR_EraseRootFromParent_Done,
     /* 2264449 */   // Label 30584: @2264449
     /* 2264449 */   GIM_Try, /*On fail goto*//*Label 30585*/ GIMT_Encode4(2264494), // Rule ID 50612 //
     /* 2264454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264457 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2264460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2264474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264493 */     // GIR_Coverage, 50612,
     /* 2264493 */     GIR_EraseRootFromParent_Done,
     /* 2264494 */   // Label 30585: @2264494
     /* 2264494 */   GIM_Reject,
     /* 2264495 */ // Label 30583: @2264495
     /* 2264495 */ GIM_Reject,
     /* 2264496 */ // Label 30525: @2264496
     /* 2264496 */ GIM_Try, /*On fail goto*//*Label 30586*/ GIMT_Encode4(2264610),
     /* 2264501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2264504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2264507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264515 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264519 */   GIM_Try, /*On fail goto*//*Label 30587*/ GIMT_Encode4(2264564), // Rule ID 50627 //
     /* 2264524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264527 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2264530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2264544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264563 */     // GIR_Coverage, 50627,
     /* 2264563 */     GIR_EraseRootFromParent_Done,
     /* 2264564 */   // Label 30587: @2264564
     /* 2264564 */   GIM_Try, /*On fail goto*//*Label 30588*/ GIMT_Encode4(2264609), // Rule ID 50628 //
     /* 2264569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264572 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2264575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2264589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264608 */     // GIR_Coverage, 50628,
     /* 2264608 */     GIR_EraseRootFromParent_Done,
     /* 2264609 */   // Label 30588: @2264609
     /* 2264609 */   GIM_Reject,
     /* 2264610 */ // Label 30586: @2264610
     /* 2264610 */ GIM_Reject,
     /* 2264611 */ // Label 30526: @2264611
     /* 2264611 */ GIM_Try, /*On fail goto*//*Label 30589*/ GIMT_Encode4(2264725),
     /* 2264616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2264619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2264622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264634 */   GIM_Try, /*On fail goto*//*Label 30590*/ GIMT_Encode4(2264679), // Rule ID 50599 //
     /* 2264639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264642 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2264645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2264659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264678 */     // GIR_Coverage, 50599,
     /* 2264678 */     GIR_EraseRootFromParent_Done,
     /* 2264679 */   // Label 30590: @2264679
     /* 2264679 */   GIM_Try, /*On fail goto*//*Label 30591*/ GIMT_Encode4(2264724), // Rule ID 50600 //
     /* 2264684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264687 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2264690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2264704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264723 */     // GIR_Coverage, 50600,
     /* 2264723 */     GIR_EraseRootFromParent_Done,
     /* 2264724 */   // Label 30591: @2264724
     /* 2264724 */   GIM_Reject,
     /* 2264725 */ // Label 30589: @2264725
     /* 2264725 */ GIM_Reject,
     /* 2264726 */ // Label 30527: @2264726
     /* 2264726 */ GIM_Try, /*On fail goto*//*Label 30592*/ GIMT_Encode4(2264840),
     /* 2264731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2264734 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2264737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264745 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264749 */   GIM_Try, /*On fail goto*//*Label 30593*/ GIMT_Encode4(2264794), // Rule ID 50615 //
     /* 2264754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264757 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2264760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2264774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264793 */     // GIR_Coverage, 50615,
     /* 2264793 */     GIR_EraseRootFromParent_Done,
     /* 2264794 */   // Label 30593: @2264794
     /* 2264794 */   GIM_Try, /*On fail goto*//*Label 30594*/ GIMT_Encode4(2264839), // Rule ID 50616 //
     /* 2264799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264802 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2264805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2264819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264838 */     // GIR_Coverage, 50616,
     /* 2264838 */     GIR_EraseRootFromParent_Done,
     /* 2264839 */   // Label 30594: @2264839
     /* 2264839 */   GIM_Reject,
     /* 2264840 */ // Label 30592: @2264840
     /* 2264840 */ GIM_Reject,
     /* 2264841 */ // Label 30528: @2264841
     /* 2264841 */ GIM_Try, /*On fail goto*//*Label 30595*/ GIMT_Encode4(2264955),
     /* 2264846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2264849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2264852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264864 */   GIM_Try, /*On fail goto*//*Label 30596*/ GIMT_Encode4(2264909), // Rule ID 50603 //
     /* 2264869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264872 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2264875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2264889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264908 */     // GIR_Coverage, 50603,
     /* 2264908 */     GIR_EraseRootFromParent_Done,
     /* 2264909 */   // Label 30596: @2264909
     /* 2264909 */   GIM_Try, /*On fail goto*//*Label 30597*/ GIMT_Encode4(2264954), // Rule ID 50604 //
     /* 2264914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264917 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2264920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2264934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264953 */     // GIR_Coverage, 50604,
     /* 2264953 */     GIR_EraseRootFromParent_Done,
     /* 2264954 */   // Label 30597: @2264954
     /* 2264954 */   GIM_Reject,
     /* 2264955 */ // Label 30595: @2264955
     /* 2264955 */ GIM_Reject,
     /* 2264956 */ // Label 30529: @2264956
     /* 2264956 */ GIM_Reject,
     /* 2264957 */ // Label 52: @2264957
     /* 2264957 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30622*/ GIMT_Encode4(2267690),
     /* 2264968 */ /*GILLT_s32*//*Label 30598*/ GIMT_Encode4(2265092),
     /* 2264972 */ /*GILLT_s64*//*Label 30599*/ GIMT_Encode4(2265126), GIMT_Encode4(0),
     /* 2264980 */ /*GILLT_nxv1s8*//*Label 30600*/ GIMT_Encode4(2265160),
     /* 2264984 */ /*GILLT_nxv1s16*//*Label 30601*/ GIMT_Encode4(2265275),
     /* 2264988 */ /*GILLT_nxv1s32*//*Label 30602*/ GIMT_Encode4(2265390),
     /* 2264992 */ /*GILLT_nxv1s64*//*Label 30603*/ GIMT_Encode4(2265505), GIMT_Encode4(0),
     /* 2265000 */ /*GILLT_nxv2s8*//*Label 30604*/ GIMT_Encode4(2265620),
     /* 2265004 */ /*GILLT_nxv2s16*//*Label 30605*/ GIMT_Encode4(2265735),
     /* 2265008 */ /*GILLT_nxv2s32*//*Label 30606*/ GIMT_Encode4(2265850),
     /* 2265012 */ /*GILLT_nxv2s64*//*Label 30607*/ GIMT_Encode4(2265965), GIMT_Encode4(0),
     /* 2265020 */ /*GILLT_nxv4s8*//*Label 30608*/ GIMT_Encode4(2266080),
     /* 2265024 */ /*GILLT_nxv4s16*//*Label 30609*/ GIMT_Encode4(2266195),
     /* 2265028 */ /*GILLT_nxv4s32*//*Label 30610*/ GIMT_Encode4(2266310),
     /* 2265032 */ /*GILLT_nxv4s64*//*Label 30611*/ GIMT_Encode4(2266425), GIMT_Encode4(0),
     /* 2265040 */ /*GILLT_nxv8s8*//*Label 30612*/ GIMT_Encode4(2266540),
     /* 2265044 */ /*GILLT_nxv8s16*//*Label 30613*/ GIMT_Encode4(2266655),
     /* 2265048 */ /*GILLT_nxv8s32*//*Label 30614*/ GIMT_Encode4(2266770),
     /* 2265052 */ /*GILLT_nxv8s64*//*Label 30615*/ GIMT_Encode4(2266885), GIMT_Encode4(0),
     /* 2265060 */ /*GILLT_nxv16s8*//*Label 30616*/ GIMT_Encode4(2267000),
     /* 2265064 */ /*GILLT_nxv16s16*//*Label 30617*/ GIMT_Encode4(2267115),
     /* 2265068 */ /*GILLT_nxv16s32*//*Label 30618*/ GIMT_Encode4(2267230), GIMT_Encode4(0),
     /* 2265076 */ /*GILLT_nxv32s8*//*Label 30619*/ GIMT_Encode4(2267345),
     /* 2265080 */ /*GILLT_nxv32s16*//*Label 30620*/ GIMT_Encode4(2267460), GIMT_Encode4(0),
     /* 2265088 */ /*GILLT_nxv64s8*//*Label 30621*/ GIMT_Encode4(2267575),
     /* 2265092 */ // Label 30598: @2265092
     /* 2265092 */ GIM_Try, /*On fail goto*//*Label 30623*/ GIMT_Encode4(2265125), // Rule ID 291 //
     /* 2265097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2265100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2265103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2265106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2265110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2265114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2265118 */   // (mulhs:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2265118 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2265123 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265124 */   // GIR_Coverage, 291,
     /* 2265124 */   GIR_Done,
     /* 2265125 */ // Label 30623: @2265125
     /* 2265125 */ GIM_Reject,
     /* 2265126 */ // Label 30599: @2265126
     /* 2265126 */ GIM_Try, /*On fail goto*//*Label 30624*/ GIMT_Encode4(2265159), // Rule ID 290 //
     /* 2265131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2265134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2265137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2265140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2265144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2265148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2265152 */   // (mulhs:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2265152 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2265157 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265158 */   // GIR_Coverage, 290,
     /* 2265158 */   GIR_Done,
     /* 2265159 */ // Label 30624: @2265159
     /* 2265159 */ GIM_Reject,
     /* 2265160 */ // Label 30600: @2265160
     /* 2265160 */ GIM_Try, /*On fail goto*//*Label 30625*/ GIMT_Encode4(2265274),
     /* 2265165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2265168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2265171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265183 */   GIM_Try, /*On fail goto*//*Label 30626*/ GIMT_Encode4(2265228), // Rule ID 50487 //
     /* 2265188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265191 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2265194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2265208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265227 */     // GIR_Coverage, 50487,
     /* 2265227 */     GIR_EraseRootFromParent_Done,
     /* 2265228 */   // Label 30626: @2265228
     /* 2265228 */   GIM_Try, /*On fail goto*//*Label 30627*/ GIMT_Encode4(2265273), // Rule ID 50488 //
     /* 2265233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265236 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2265239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2265253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265272 */     // GIR_Coverage, 50488,
     /* 2265272 */     GIR_EraseRootFromParent_Done,
     /* 2265273 */   // Label 30627: @2265273
     /* 2265273 */   GIM_Reject,
     /* 2265274 */ // Label 30625: @2265274
     /* 2265274 */ GIM_Reject,
     /* 2265275 */ // Label 30601: @2265275
     /* 2265275 */ GIM_Try, /*On fail goto*//*Label 30628*/ GIMT_Encode4(2265389),
     /* 2265280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2265283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2265286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265298 */   GIM_Try, /*On fail goto*//*Label 30629*/ GIMT_Encode4(2265343), // Rule ID 50499 //
     /* 2265303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265306 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2265309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2265323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265342 */     // GIR_Coverage, 50499,
     /* 2265342 */     GIR_EraseRootFromParent_Done,
     /* 2265343 */   // Label 30629: @2265343
     /* 2265343 */   GIM_Try, /*On fail goto*//*Label 30630*/ GIMT_Encode4(2265388), // Rule ID 50500 //
     /* 2265348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265351 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2265354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2265368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265387 */     // GIR_Coverage, 50500,
     /* 2265387 */     GIR_EraseRootFromParent_Done,
     /* 2265388 */   // Label 30630: @2265388
     /* 2265388 */   GIM_Reject,
     /* 2265389 */ // Label 30628: @2265389
     /* 2265389 */ GIM_Reject,
     /* 2265390 */ // Label 30602: @2265390
     /* 2265390 */ GIM_Try, /*On fail goto*//*Label 30631*/ GIMT_Encode4(2265504),
     /* 2265395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2265398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2265401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265413 */   GIM_Try, /*On fail goto*//*Label 30632*/ GIMT_Encode4(2265458), // Rule ID 50507 //
     /* 2265418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265421 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2265424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2265438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265457 */     // GIR_Coverage, 50507,
     /* 2265457 */     GIR_EraseRootFromParent_Done,
     /* 2265458 */   // Label 30632: @2265458
     /* 2265458 */   GIM_Try, /*On fail goto*//*Label 30633*/ GIMT_Encode4(2265503), // Rule ID 50508 //
     /* 2265463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265466 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2265469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2265483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265502 */     // GIR_Coverage, 50508,
     /* 2265502 */     GIR_EraseRootFromParent_Done,
     /* 2265503 */   // Label 30633: @2265503
     /* 2265503 */   GIM_Reject,
     /* 2265504 */ // Label 30631: @2265504
     /* 2265504 */ GIM_Reject,
     /* 2265505 */ // Label 30603: @2265505
     /* 2265505 */ GIM_Try, /*On fail goto*//*Label 30634*/ GIMT_Encode4(2265619),
     /* 2265510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2265513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2265516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265528 */   GIM_Try, /*On fail goto*//*Label 30635*/ GIMT_Encode4(2265573), // Rule ID 50631 //
     /* 2265533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2265536 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2265539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2265553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265572 */     // GIR_Coverage, 50631,
     /* 2265572 */     GIR_EraseRootFromParent_Done,
     /* 2265573 */   // Label 30635: @2265573
     /* 2265573 */   GIM_Try, /*On fail goto*//*Label 30636*/ GIMT_Encode4(2265618), // Rule ID 50632 //
     /* 2265578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2265581 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2265584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2265598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265617 */     // GIR_Coverage, 50632,
     /* 2265617 */     GIR_EraseRootFromParent_Done,
     /* 2265618 */   // Label 30636: @2265618
     /* 2265618 */   GIM_Reject,
     /* 2265619 */ // Label 30634: @2265619
     /* 2265619 */ GIM_Reject,
     /* 2265620 */ // Label 30604: @2265620
     /* 2265620 */ GIM_Try, /*On fail goto*//*Label 30637*/ GIMT_Encode4(2265734),
     /* 2265625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2265628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2265631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265639 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265643 */   GIM_Try, /*On fail goto*//*Label 30638*/ GIMT_Encode4(2265688), // Rule ID 50491 //
     /* 2265648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265651 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2265654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2265668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265687 */     // GIR_Coverage, 50491,
     /* 2265687 */     GIR_EraseRootFromParent_Done,
     /* 2265688 */   // Label 30638: @2265688
     /* 2265688 */   GIM_Try, /*On fail goto*//*Label 30639*/ GIMT_Encode4(2265733), // Rule ID 50492 //
     /* 2265693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265696 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2265699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2265713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265732 */     // GIR_Coverage, 50492,
     /* 2265732 */     GIR_EraseRootFromParent_Done,
     /* 2265733 */   // Label 30639: @2265733
     /* 2265733 */   GIM_Reject,
     /* 2265734 */ // Label 30637: @2265734
     /* 2265734 */ GIM_Reject,
     /* 2265735 */ // Label 30605: @2265735
     /* 2265735 */ GIM_Try, /*On fail goto*//*Label 30640*/ GIMT_Encode4(2265849),
     /* 2265740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2265743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2265746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265758 */   GIM_Try, /*On fail goto*//*Label 30641*/ GIMT_Encode4(2265803), // Rule ID 50503 //
     /* 2265763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265766 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2265769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2265783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265802 */     // GIR_Coverage, 50503,
     /* 2265802 */     GIR_EraseRootFromParent_Done,
     /* 2265803 */   // Label 30641: @2265803
     /* 2265803 */   GIM_Try, /*On fail goto*//*Label 30642*/ GIMT_Encode4(2265848), // Rule ID 50504 //
     /* 2265808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265811 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2265814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2265828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265847 */     // GIR_Coverage, 50504,
     /* 2265847 */     GIR_EraseRootFromParent_Done,
     /* 2265848 */   // Label 30642: @2265848
     /* 2265848 */   GIM_Reject,
     /* 2265849 */ // Label 30640: @2265849
     /* 2265849 */ GIM_Reject,
     /* 2265850 */ // Label 30606: @2265850
     /* 2265850 */ GIM_Try, /*On fail goto*//*Label 30643*/ GIMT_Encode4(2265964),
     /* 2265855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2265858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2265861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265873 */   GIM_Try, /*On fail goto*//*Label 30644*/ GIMT_Encode4(2265918), // Rule ID 50519 //
     /* 2265878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265881 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2265884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2265898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265917 */     // GIR_Coverage, 50519,
     /* 2265917 */     GIR_EraseRootFromParent_Done,
     /* 2265918 */   // Label 30644: @2265918
     /* 2265918 */   GIM_Try, /*On fail goto*//*Label 30645*/ GIMT_Encode4(2265963), // Rule ID 50520 //
     /* 2265923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265926 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2265929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2265943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265962 */     // GIR_Coverage, 50520,
     /* 2265962 */     GIR_EraseRootFromParent_Done,
     /* 2265963 */   // Label 30645: @2265963
     /* 2265963 */   GIM_Reject,
     /* 2265964 */ // Label 30643: @2265964
     /* 2265964 */ GIM_Reject,
     /* 2265965 */ // Label 30607: @2265965
     /* 2265965 */ GIM_Try, /*On fail goto*//*Label 30646*/ GIMT_Encode4(2266079),
     /* 2265970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2265973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2265976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265984 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265988 */   GIM_Try, /*On fail goto*//*Label 30647*/ GIMT_Encode4(2266033), // Rule ID 50635 //
     /* 2265993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2265996 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2265999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2266013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266032 */     // GIR_Coverage, 50635,
     /* 2266032 */     GIR_EraseRootFromParent_Done,
     /* 2266033 */   // Label 30647: @2266033
     /* 2266033 */   GIM_Try, /*On fail goto*//*Label 30648*/ GIMT_Encode4(2266078), // Rule ID 50636 //
     /* 2266038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2266041 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2266044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2266058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266077 */     // GIR_Coverage, 50636,
     /* 2266077 */     GIR_EraseRootFromParent_Done,
     /* 2266078 */   // Label 30648: @2266078
     /* 2266078 */   GIM_Reject,
     /* 2266079 */ // Label 30646: @2266079
     /* 2266079 */ GIM_Reject,
     /* 2266080 */ // Label 30608: @2266080
     /* 2266080 */ GIM_Try, /*On fail goto*//*Label 30649*/ GIMT_Encode4(2266194),
     /* 2266085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2266088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2266091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266103 */   GIM_Try, /*On fail goto*//*Label 30650*/ GIMT_Encode4(2266148), // Rule ID 50495 //
     /* 2266108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266111 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2266114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2266128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266147 */     // GIR_Coverage, 50495,
     /* 2266147 */     GIR_EraseRootFromParent_Done,
     /* 2266148 */   // Label 30650: @2266148
     /* 2266148 */   GIM_Try, /*On fail goto*//*Label 30651*/ GIMT_Encode4(2266193), // Rule ID 50496 //
     /* 2266153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266156 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2266159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2266173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266192 */     // GIR_Coverage, 50496,
     /* 2266192 */     GIR_EraseRootFromParent_Done,
     /* 2266193 */   // Label 30651: @2266193
     /* 2266193 */   GIM_Reject,
     /* 2266194 */ // Label 30649: @2266194
     /* 2266194 */ GIM_Reject,
     /* 2266195 */ // Label 30609: @2266195
     /* 2266195 */ GIM_Try, /*On fail goto*//*Label 30652*/ GIMT_Encode4(2266309),
     /* 2266200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2266203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2266206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266214 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266218 */   GIM_Try, /*On fail goto*//*Label 30653*/ GIMT_Encode4(2266263), // Rule ID 50515 //
     /* 2266223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266226 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2266229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2266243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266262 */     // GIR_Coverage, 50515,
     /* 2266262 */     GIR_EraseRootFromParent_Done,
     /* 2266263 */   // Label 30653: @2266263
     /* 2266263 */   GIM_Try, /*On fail goto*//*Label 30654*/ GIMT_Encode4(2266308), // Rule ID 50516 //
     /* 2266268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266271 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2266274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2266288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266307 */     // GIR_Coverage, 50516,
     /* 2266307 */     GIR_EraseRootFromParent_Done,
     /* 2266308 */   // Label 30654: @2266308
     /* 2266308 */   GIM_Reject,
     /* 2266309 */ // Label 30652: @2266309
     /* 2266309 */ GIM_Reject,
     /* 2266310 */ // Label 30610: @2266310
     /* 2266310 */ GIM_Try, /*On fail goto*//*Label 30655*/ GIMT_Encode4(2266424),
     /* 2266315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2266318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2266321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266329 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266333 */   GIM_Try, /*On fail goto*//*Label 30656*/ GIMT_Encode4(2266378), // Rule ID 50547 //
     /* 2266338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266341 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2266344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2266358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266377 */     // GIR_Coverage, 50547,
     /* 2266377 */     GIR_EraseRootFromParent_Done,
     /* 2266378 */   // Label 30656: @2266378
     /* 2266378 */   GIM_Try, /*On fail goto*//*Label 30657*/ GIMT_Encode4(2266423), // Rule ID 50548 //
     /* 2266383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266386 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2266389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2266403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266422 */     // GIR_Coverage, 50548,
     /* 2266422 */     GIR_EraseRootFromParent_Done,
     /* 2266423 */   // Label 30657: @2266423
     /* 2266423 */   GIM_Reject,
     /* 2266424 */ // Label 30655: @2266424
     /* 2266424 */ GIM_Reject,
     /* 2266425 */ // Label 30611: @2266425
     /* 2266425 */ GIM_Try, /*On fail goto*//*Label 30658*/ GIMT_Encode4(2266539),
     /* 2266430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2266433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2266436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266444 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266448 */   GIM_Try, /*On fail goto*//*Label 30659*/ GIMT_Encode4(2266493), // Rule ID 50639 //
     /* 2266453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2266456 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2266459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2266473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266492 */     // GIR_Coverage, 50639,
     /* 2266492 */     GIR_EraseRootFromParent_Done,
     /* 2266493 */   // Label 30659: @2266493
     /* 2266493 */   GIM_Try, /*On fail goto*//*Label 30660*/ GIMT_Encode4(2266538), // Rule ID 50640 //
     /* 2266498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2266501 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2266504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2266518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266537 */     // GIR_Coverage, 50640,
     /* 2266537 */     GIR_EraseRootFromParent_Done,
     /* 2266538 */   // Label 30660: @2266538
     /* 2266538 */   GIM_Reject,
     /* 2266539 */ // Label 30658: @2266539
     /* 2266539 */ GIM_Reject,
     /* 2266540 */ // Label 30612: @2266540
     /* 2266540 */ GIM_Try, /*On fail goto*//*Label 30661*/ GIMT_Encode4(2266654),
     /* 2266545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2266548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2266551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266563 */   GIM_Try, /*On fail goto*//*Label 30662*/ GIMT_Encode4(2266608), // Rule ID 50511 //
     /* 2266568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266571 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2266574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2266588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266607 */     // GIR_Coverage, 50511,
     /* 2266607 */     GIR_EraseRootFromParent_Done,
     /* 2266608 */   // Label 30662: @2266608
     /* 2266608 */   GIM_Try, /*On fail goto*//*Label 30663*/ GIMT_Encode4(2266653), // Rule ID 50512 //
     /* 2266613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266616 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2266619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2266633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266652 */     // GIR_Coverage, 50512,
     /* 2266652 */     GIR_EraseRootFromParent_Done,
     /* 2266653 */   // Label 30663: @2266653
     /* 2266653 */   GIM_Reject,
     /* 2266654 */ // Label 30661: @2266654
     /* 2266654 */ GIM_Reject,
     /* 2266655 */ // Label 30613: @2266655
     /* 2266655 */ GIM_Try, /*On fail goto*//*Label 30664*/ GIMT_Encode4(2266769),
     /* 2266660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2266663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2266666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266674 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266678 */   GIM_Try, /*On fail goto*//*Label 30665*/ GIMT_Encode4(2266723), // Rule ID 50535 //
     /* 2266683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266686 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2266689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2266703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266722 */     // GIR_Coverage, 50535,
     /* 2266722 */     GIR_EraseRootFromParent_Done,
     /* 2266723 */   // Label 30665: @2266723
     /* 2266723 */   GIM_Try, /*On fail goto*//*Label 30666*/ GIMT_Encode4(2266768), // Rule ID 50536 //
     /* 2266728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266731 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2266734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2266748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266767 */     // GIR_Coverage, 50536,
     /* 2266767 */     GIR_EraseRootFromParent_Done,
     /* 2266768 */   // Label 30666: @2266768
     /* 2266768 */   GIM_Reject,
     /* 2266769 */ // Label 30664: @2266769
     /* 2266769 */ GIM_Reject,
     /* 2266770 */ // Label 30614: @2266770
     /* 2266770 */ GIM_Try, /*On fail goto*//*Label 30667*/ GIMT_Encode4(2266884),
     /* 2266775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2266778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2266781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266785 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266793 */   GIM_Try, /*On fail goto*//*Label 30668*/ GIMT_Encode4(2266838), // Rule ID 50551 //
     /* 2266798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266801 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2266804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2266818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266837 */     // GIR_Coverage, 50551,
     /* 2266837 */     GIR_EraseRootFromParent_Done,
     /* 2266838 */   // Label 30668: @2266838
     /* 2266838 */   GIM_Try, /*On fail goto*//*Label 30669*/ GIMT_Encode4(2266883), // Rule ID 50552 //
     /* 2266843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266846 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2266849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2266863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266882 */     // GIR_Coverage, 50552,
     /* 2266882 */     GIR_EraseRootFromParent_Done,
     /* 2266883 */   // Label 30669: @2266883
     /* 2266883 */   GIM_Reject,
     /* 2266884 */ // Label 30667: @2266884
     /* 2266884 */ GIM_Reject,
     /* 2266885 */ // Label 30615: @2266885
     /* 2266885 */ GIM_Try, /*On fail goto*//*Label 30670*/ GIMT_Encode4(2266999),
     /* 2266890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2266893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2266896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266908 */   GIM_Try, /*On fail goto*//*Label 30671*/ GIMT_Encode4(2266953), // Rule ID 50643 //
     /* 2266913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2266916 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2266919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2266933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266952 */     // GIR_Coverage, 50643,
     /* 2266952 */     GIR_EraseRootFromParent_Done,
     /* 2266953 */   // Label 30671: @2266953
     /* 2266953 */   GIM_Try, /*On fail goto*//*Label 30672*/ GIMT_Encode4(2266998), // Rule ID 50644 //
     /* 2266958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2266961 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2266964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2266978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266997 */     // GIR_Coverage, 50644,
     /* 2266997 */     GIR_EraseRootFromParent_Done,
     /* 2266998 */   // Label 30672: @2266998
     /* 2266998 */   GIM_Reject,
     /* 2266999 */ // Label 30670: @2266999
     /* 2266999 */ GIM_Reject,
     /* 2267000 */ // Label 30616: @2267000
     /* 2267000 */ GIM_Try, /*On fail goto*//*Label 30673*/ GIMT_Encode4(2267114),
     /* 2267005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2267008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2267011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267023 */   GIM_Try, /*On fail goto*//*Label 30674*/ GIMT_Encode4(2267068), // Rule ID 50523 //
     /* 2267028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267031 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2267034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267067 */     // GIR_Coverage, 50523,
     /* 2267067 */     GIR_EraseRootFromParent_Done,
     /* 2267068 */   // Label 30674: @2267068
     /* 2267068 */   GIM_Try, /*On fail goto*//*Label 30675*/ GIMT_Encode4(2267113), // Rule ID 50524 //
     /* 2267073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267076 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2267079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2267093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267112 */     // GIR_Coverage, 50524,
     /* 2267112 */     GIR_EraseRootFromParent_Done,
     /* 2267113 */   // Label 30675: @2267113
     /* 2267113 */   GIM_Reject,
     /* 2267114 */ // Label 30673: @2267114
     /* 2267114 */ GIM_Reject,
     /* 2267115 */ // Label 30617: @2267115
     /* 2267115 */ GIM_Try, /*On fail goto*//*Label 30676*/ GIMT_Encode4(2267229),
     /* 2267120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2267123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2267126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267134 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267138 */   GIM_Try, /*On fail goto*//*Label 30677*/ GIMT_Encode4(2267183), // Rule ID 50539 //
     /* 2267143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267146 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2267149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2267163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267182 */     // GIR_Coverage, 50539,
     /* 2267182 */     GIR_EraseRootFromParent_Done,
     /* 2267183 */   // Label 30677: @2267183
     /* 2267183 */   GIM_Try, /*On fail goto*//*Label 30678*/ GIMT_Encode4(2267228), // Rule ID 50540 //
     /* 2267188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267191 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2267194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2267208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267227 */     // GIR_Coverage, 50540,
     /* 2267227 */     GIR_EraseRootFromParent_Done,
     /* 2267228 */   // Label 30678: @2267228
     /* 2267228 */   GIM_Reject,
     /* 2267229 */ // Label 30676: @2267229
     /* 2267229 */ GIM_Reject,
     /* 2267230 */ // Label 30618: @2267230
     /* 2267230 */ GIM_Try, /*On fail goto*//*Label 30679*/ GIMT_Encode4(2267344),
     /* 2267235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2267238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2267241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267249 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267253 */   GIM_Try, /*On fail goto*//*Label 30680*/ GIMT_Encode4(2267298), // Rule ID 50555 //
     /* 2267258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267261 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2267264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2267278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267297 */     // GIR_Coverage, 50555,
     /* 2267297 */     GIR_EraseRootFromParent_Done,
     /* 2267298 */   // Label 30680: @2267298
     /* 2267298 */   GIM_Try, /*On fail goto*//*Label 30681*/ GIMT_Encode4(2267343), // Rule ID 50556 //
     /* 2267303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267306 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2267309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2267323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267342 */     // GIR_Coverage, 50556,
     /* 2267342 */     GIR_EraseRootFromParent_Done,
     /* 2267343 */   // Label 30681: @2267343
     /* 2267343 */   GIM_Reject,
     /* 2267344 */ // Label 30679: @2267344
     /* 2267344 */ GIM_Reject,
     /* 2267345 */ // Label 30619: @2267345
     /* 2267345 */ GIM_Try, /*On fail goto*//*Label 30682*/ GIMT_Encode4(2267459),
     /* 2267350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2267353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2267356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267368 */   GIM_Try, /*On fail goto*//*Label 30683*/ GIMT_Encode4(2267413), // Rule ID 50527 //
     /* 2267373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267376 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2267379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2267393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267412 */     // GIR_Coverage, 50527,
     /* 2267412 */     GIR_EraseRootFromParent_Done,
     /* 2267413 */   // Label 30683: @2267413
     /* 2267413 */   GIM_Try, /*On fail goto*//*Label 30684*/ GIMT_Encode4(2267458), // Rule ID 50528 //
     /* 2267418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267421 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2267424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2267438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267457 */     // GIR_Coverage, 50528,
     /* 2267457 */     GIR_EraseRootFromParent_Done,
     /* 2267458 */   // Label 30684: @2267458
     /* 2267458 */   GIM_Reject,
     /* 2267459 */ // Label 30682: @2267459
     /* 2267459 */ GIM_Reject,
     /* 2267460 */ // Label 30620: @2267460
     /* 2267460 */ GIM_Try, /*On fail goto*//*Label 30685*/ GIMT_Encode4(2267574),
     /* 2267465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2267468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2267471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267483 */   GIM_Try, /*On fail goto*//*Label 30686*/ GIMT_Encode4(2267528), // Rule ID 50543 //
     /* 2267488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267491 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2267494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2267508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267527 */     // GIR_Coverage, 50543,
     /* 2267527 */     GIR_EraseRootFromParent_Done,
     /* 2267528 */   // Label 30686: @2267528
     /* 2267528 */   GIM_Try, /*On fail goto*//*Label 30687*/ GIMT_Encode4(2267573), // Rule ID 50544 //
     /* 2267533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267536 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2267539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2267553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267572 */     // GIR_Coverage, 50544,
     /* 2267572 */     GIR_EraseRootFromParent_Done,
     /* 2267573 */   // Label 30687: @2267573
     /* 2267573 */   GIM_Reject,
     /* 2267574 */ // Label 30685: @2267574
     /* 2267574 */ GIM_Reject,
     /* 2267575 */ // Label 30621: @2267575
     /* 2267575 */ GIM_Try, /*On fail goto*//*Label 30688*/ GIMT_Encode4(2267689),
     /* 2267580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2267583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2267586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267598 */   GIM_Try, /*On fail goto*//*Label 30689*/ GIMT_Encode4(2267643), // Rule ID 50531 //
     /* 2267603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267606 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2267609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2267623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267642 */     // GIR_Coverage, 50531,
     /* 2267642 */     GIR_EraseRootFromParent_Done,
     /* 2267643 */   // Label 30689: @2267643
     /* 2267643 */   GIM_Try, /*On fail goto*//*Label 30690*/ GIMT_Encode4(2267688), // Rule ID 50532 //
     /* 2267648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267651 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2267654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2267668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267687 */     // GIR_Coverage, 50532,
     /* 2267687 */     GIR_EraseRootFromParent_Done,
     /* 2267688 */   // Label 30690: @2267688
     /* 2267688 */   GIM_Reject,
     /* 2267689 */ // Label 30688: @2267689
     /* 2267689 */ GIM_Reject,
     /* 2267690 */ // Label 30622: @2267690
     /* 2267690 */ GIM_Reject,
     /* 2267691 */ // Label 53: @2267691
     /* 2267691 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 30713*/ GIMT_Encode4(2270476),
     /* 2267702 */ /*GILLT_nxv1s8*//*Label 30691*/ GIMT_Encode4(2267814),
     /* 2267706 */ /*GILLT_nxv1s16*//*Label 30692*/ GIMT_Encode4(2267935),
     /* 2267710 */ /*GILLT_nxv1s32*//*Label 30693*/ GIMT_Encode4(2268056),
     /* 2267714 */ /*GILLT_nxv1s64*//*Label 30694*/ GIMT_Encode4(2268177), GIMT_Encode4(0),
     /* 2267722 */ /*GILLT_nxv2s8*//*Label 30695*/ GIMT_Encode4(2268298),
     /* 2267726 */ /*GILLT_nxv2s16*//*Label 30696*/ GIMT_Encode4(2268419),
     /* 2267730 */ /*GILLT_nxv2s32*//*Label 30697*/ GIMT_Encode4(2268540),
     /* 2267734 */ /*GILLT_nxv2s64*//*Label 30698*/ GIMT_Encode4(2268661), GIMT_Encode4(0),
     /* 2267742 */ /*GILLT_nxv4s8*//*Label 30699*/ GIMT_Encode4(2268782),
     /* 2267746 */ /*GILLT_nxv4s16*//*Label 30700*/ GIMT_Encode4(2268903),
     /* 2267750 */ /*GILLT_nxv4s32*//*Label 30701*/ GIMT_Encode4(2269024),
     /* 2267754 */ /*GILLT_nxv4s64*//*Label 30702*/ GIMT_Encode4(2269145), GIMT_Encode4(0),
     /* 2267762 */ /*GILLT_nxv8s8*//*Label 30703*/ GIMT_Encode4(2269266),
     /* 2267766 */ /*GILLT_nxv8s16*//*Label 30704*/ GIMT_Encode4(2269387),
     /* 2267770 */ /*GILLT_nxv8s32*//*Label 30705*/ GIMT_Encode4(2269508),
     /* 2267774 */ /*GILLT_nxv8s64*//*Label 30706*/ GIMT_Encode4(2269629), GIMT_Encode4(0),
     /* 2267782 */ /*GILLT_nxv16s8*//*Label 30707*/ GIMT_Encode4(2269750),
     /* 2267786 */ /*GILLT_nxv16s16*//*Label 30708*/ GIMT_Encode4(2269871),
     /* 2267790 */ /*GILLT_nxv16s32*//*Label 30709*/ GIMT_Encode4(2269992), GIMT_Encode4(0),
     /* 2267798 */ /*GILLT_nxv32s8*//*Label 30710*/ GIMT_Encode4(2270113),
     /* 2267802 */ /*GILLT_nxv32s16*//*Label 30711*/ GIMT_Encode4(2270234), GIMT_Encode4(0),
     /* 2267810 */ /*GILLT_nxv64s8*//*Label 30712*/ GIMT_Encode4(2270355),
     /* 2267814 */ // Label 30691: @2267814
     /* 2267814 */ GIM_Try, /*On fail goto*//*Label 30714*/ GIMT_Encode4(2267934),
     /* 2267819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2267822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2267825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267837 */   GIM_Try, /*On fail goto*//*Label 30715*/ GIMT_Encode4(2267885), // Rule ID 52047 //
     /* 2267842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267845 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2267848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2267862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2267883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267884 */     // GIR_Coverage, 52047,
     /* 2267884 */     GIR_EraseRootFromParent_Done,
     /* 2267885 */   // Label 30715: @2267885
     /* 2267885 */   GIM_Try, /*On fail goto*//*Label 30716*/ GIMT_Encode4(2267933), // Rule ID 52048 //
     /* 2267890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267893 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2267896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2267910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2267931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267932 */     // GIR_Coverage, 52048,
     /* 2267932 */     GIR_EraseRootFromParent_Done,
     /* 2267933 */   // Label 30716: @2267933
     /* 2267933 */   GIM_Reject,
     /* 2267934 */ // Label 30714: @2267934
     /* 2267934 */ GIM_Reject,
     /* 2267935 */ // Label 30692: @2267935
     /* 2267935 */ GIM_Try, /*On fail goto*//*Label 30717*/ GIMT_Encode4(2268055),
     /* 2267940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2267943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2267946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267954 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267958 */   GIM_Try, /*On fail goto*//*Label 30718*/ GIMT_Encode4(2268006), // Rule ID 52059 //
     /* 2267963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267966 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2267969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2267983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268005 */     // GIR_Coverage, 52059,
     /* 2268005 */     GIR_EraseRootFromParent_Done,
     /* 2268006 */   // Label 30718: @2268006
     /* 2268006 */   GIM_Try, /*On fail goto*//*Label 30719*/ GIMT_Encode4(2268054), // Rule ID 52060 //
     /* 2268011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268014 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2268017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2268031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268053 */     // GIR_Coverage, 52060,
     /* 2268053 */     GIR_EraseRootFromParent_Done,
     /* 2268054 */   // Label 30719: @2268054
     /* 2268054 */   GIM_Reject,
     /* 2268055 */ // Label 30717: @2268055
     /* 2268055 */ GIM_Reject,
     /* 2268056 */ // Label 30693: @2268056
     /* 2268056 */ GIM_Try, /*On fail goto*//*Label 30720*/ GIMT_Encode4(2268176),
     /* 2268061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2268064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2268067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268075 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268079 */   GIM_Try, /*On fail goto*//*Label 30721*/ GIMT_Encode4(2268127), // Rule ID 52067 //
     /* 2268084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268087 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2268090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2268104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268122 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268126 */     // GIR_Coverage, 52067,
     /* 2268126 */     GIR_EraseRootFromParent_Done,
     /* 2268127 */   // Label 30721: @2268127
     /* 2268127 */   GIM_Try, /*On fail goto*//*Label 30722*/ GIMT_Encode4(2268175), // Rule ID 52068 //
     /* 2268132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268135 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2268138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2268152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268170 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268174 */     // GIR_Coverage, 52068,
     /* 2268174 */     GIR_EraseRootFromParent_Done,
     /* 2268175 */   // Label 30722: @2268175
     /* 2268175 */   GIM_Reject,
     /* 2268176 */ // Label 30720: @2268176
     /* 2268176 */ GIM_Reject,
     /* 2268177 */ // Label 30694: @2268177
     /* 2268177 */ GIM_Try, /*On fail goto*//*Label 30723*/ GIMT_Encode4(2268297),
     /* 2268182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2268185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2268188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268196 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268200 */   GIM_Try, /*On fail goto*//*Label 30724*/ GIMT_Encode4(2268248), // Rule ID 52083 //
     /* 2268205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2268208 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2268211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2268225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268247 */     // GIR_Coverage, 52083,
     /* 2268247 */     GIR_EraseRootFromParent_Done,
     /* 2268248 */   // Label 30724: @2268248
     /* 2268248 */   GIM_Try, /*On fail goto*//*Label 30725*/ GIMT_Encode4(2268296), // Rule ID 52084 //
     /* 2268253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2268256 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2268259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2268273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268295 */     // GIR_Coverage, 52084,
     /* 2268295 */     GIR_EraseRootFromParent_Done,
     /* 2268296 */   // Label 30725: @2268296
     /* 2268296 */   GIM_Reject,
     /* 2268297 */ // Label 30723: @2268297
     /* 2268297 */ GIM_Reject,
     /* 2268298 */ // Label 30695: @2268298
     /* 2268298 */ GIM_Try, /*On fail goto*//*Label 30726*/ GIMT_Encode4(2268418),
     /* 2268303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2268306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2268309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268321 */   GIM_Try, /*On fail goto*//*Label 30727*/ GIMT_Encode4(2268369), // Rule ID 52051 //
     /* 2268326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268329 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2268332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2268346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268364 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268368 */     // GIR_Coverage, 52051,
     /* 2268368 */     GIR_EraseRootFromParent_Done,
     /* 2268369 */   // Label 30727: @2268369
     /* 2268369 */   GIM_Try, /*On fail goto*//*Label 30728*/ GIMT_Encode4(2268417), // Rule ID 52052 //
     /* 2268374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268377 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2268380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2268394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268412 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268416 */     // GIR_Coverage, 52052,
     /* 2268416 */     GIR_EraseRootFromParent_Done,
     /* 2268417 */   // Label 30728: @2268417
     /* 2268417 */   GIM_Reject,
     /* 2268418 */ // Label 30726: @2268418
     /* 2268418 */ GIM_Reject,
     /* 2268419 */ // Label 30696: @2268419
     /* 2268419 */ GIM_Try, /*On fail goto*//*Label 30729*/ GIMT_Encode4(2268539),
     /* 2268424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2268427 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2268430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268442 */   GIM_Try, /*On fail goto*//*Label 30730*/ GIMT_Encode4(2268490), // Rule ID 52063 //
     /* 2268447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268450 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2268453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2268467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268489 */     // GIR_Coverage, 52063,
     /* 2268489 */     GIR_EraseRootFromParent_Done,
     /* 2268490 */   // Label 30730: @2268490
     /* 2268490 */   GIM_Try, /*On fail goto*//*Label 30731*/ GIMT_Encode4(2268538), // Rule ID 52064 //
     /* 2268495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268498 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2268501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2268515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268533 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268537 */     // GIR_Coverage, 52064,
     /* 2268537 */     GIR_EraseRootFromParent_Done,
     /* 2268538 */   // Label 30731: @2268538
     /* 2268538 */   GIM_Reject,
     /* 2268539 */ // Label 30729: @2268539
     /* 2268539 */ GIM_Reject,
     /* 2268540 */ // Label 30697: @2268540
     /* 2268540 */ GIM_Try, /*On fail goto*//*Label 30732*/ GIMT_Encode4(2268660),
     /* 2268545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2268548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2268551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268563 */   GIM_Try, /*On fail goto*//*Label 30733*/ GIMT_Encode4(2268611), // Rule ID 52079 //
     /* 2268568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268571 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2268574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2268588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268610 */     // GIR_Coverage, 52079,
     /* 2268610 */     GIR_EraseRootFromParent_Done,
     /* 2268611 */   // Label 30733: @2268611
     /* 2268611 */   GIM_Try, /*On fail goto*//*Label 30734*/ GIMT_Encode4(2268659), // Rule ID 52080 //
     /* 2268616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268619 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2268622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2268636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268658 */     // GIR_Coverage, 52080,
     /* 2268658 */     GIR_EraseRootFromParent_Done,
     /* 2268659 */   // Label 30734: @2268659
     /* 2268659 */   GIM_Reject,
     /* 2268660 */ // Label 30732: @2268660
     /* 2268660 */ GIM_Reject,
     /* 2268661 */ // Label 30698: @2268661
     /* 2268661 */ GIM_Try, /*On fail goto*//*Label 30735*/ GIMT_Encode4(2268781),
     /* 2268666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2268669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2268672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268684 */   GIM_Try, /*On fail goto*//*Label 30736*/ GIMT_Encode4(2268732), // Rule ID 52123 //
     /* 2268689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2268692 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2268695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2268709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268731 */     // GIR_Coverage, 52123,
     /* 2268731 */     GIR_EraseRootFromParent_Done,
     /* 2268732 */   // Label 30736: @2268732
     /* 2268732 */   GIM_Try, /*On fail goto*//*Label 30737*/ GIMT_Encode4(2268780), // Rule ID 52124 //
     /* 2268737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2268740 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2268743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2268757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268779 */     // GIR_Coverage, 52124,
     /* 2268779 */     GIR_EraseRootFromParent_Done,
     /* 2268780 */   // Label 30737: @2268780
     /* 2268780 */   GIM_Reject,
     /* 2268781 */ // Label 30735: @2268781
     /* 2268781 */ GIM_Reject,
     /* 2268782 */ // Label 30699: @2268782
     /* 2268782 */ GIM_Try, /*On fail goto*//*Label 30738*/ GIMT_Encode4(2268902),
     /* 2268787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2268790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2268793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268801 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268805 */   GIM_Try, /*On fail goto*//*Label 30739*/ GIMT_Encode4(2268853), // Rule ID 52055 //
     /* 2268810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268813 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2268816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2268830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268852 */     // GIR_Coverage, 52055,
     /* 2268852 */     GIR_EraseRootFromParent_Done,
     /* 2268853 */   // Label 30739: @2268853
     /* 2268853 */   GIM_Try, /*On fail goto*//*Label 30740*/ GIMT_Encode4(2268901), // Rule ID 52056 //
     /* 2268858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268861 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2268864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2268878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268896 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268900 */     // GIR_Coverage, 52056,
     /* 2268900 */     GIR_EraseRootFromParent_Done,
     /* 2268901 */   // Label 30740: @2268901
     /* 2268901 */   GIM_Reject,
     /* 2268902 */ // Label 30738: @2268902
     /* 2268902 */ GIM_Reject,
     /* 2268903 */ // Label 30700: @2268903
     /* 2268903 */ GIM_Try, /*On fail goto*//*Label 30741*/ GIMT_Encode4(2269023),
     /* 2268908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2268911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2268914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268926 */   GIM_Try, /*On fail goto*//*Label 30742*/ GIMT_Encode4(2268974), // Rule ID 52075 //
     /* 2268931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268934 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2268937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2268951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268969 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268973 */     // GIR_Coverage, 52075,
     /* 2268973 */     GIR_EraseRootFromParent_Done,
     /* 2268974 */   // Label 30742: @2268974
     /* 2268974 */   GIM_Try, /*On fail goto*//*Label 30743*/ GIMT_Encode4(2269022), // Rule ID 52076 //
     /* 2268979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268982 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2268985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2268999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269021 */     // GIR_Coverage, 52076,
     /* 2269021 */     GIR_EraseRootFromParent_Done,
     /* 2269022 */   // Label 30743: @2269022
     /* 2269022 */   GIM_Reject,
     /* 2269023 */ // Label 30741: @2269023
     /* 2269023 */ GIM_Reject,
     /* 2269024 */ // Label 30701: @2269024
     /* 2269024 */ GIM_Try, /*On fail goto*//*Label 30744*/ GIMT_Encode4(2269144),
     /* 2269029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2269032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2269035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269039 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269043 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269047 */   GIM_Try, /*On fail goto*//*Label 30745*/ GIMT_Encode4(2269095), // Rule ID 52111 //
     /* 2269052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269055 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2269058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2269072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269094 */     // GIR_Coverage, 52111,
     /* 2269094 */     GIR_EraseRootFromParent_Done,
     /* 2269095 */   // Label 30745: @2269095
     /* 2269095 */   GIM_Try, /*On fail goto*//*Label 30746*/ GIMT_Encode4(2269143), // Rule ID 52112 //
     /* 2269100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269103 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2269106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2269120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269142 */     // GIR_Coverage, 52112,
     /* 2269142 */     GIR_EraseRootFromParent_Done,
     /* 2269143 */   // Label 30746: @2269143
     /* 2269143 */   GIM_Reject,
     /* 2269144 */ // Label 30744: @2269144
     /* 2269144 */ GIM_Reject,
     /* 2269145 */ // Label 30702: @2269145
     /* 2269145 */ GIM_Try, /*On fail goto*//*Label 30747*/ GIMT_Encode4(2269265),
     /* 2269150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2269153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2269156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269164 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269168 */   GIM_Try, /*On fail goto*//*Label 30748*/ GIMT_Encode4(2269216), // Rule ID 52127 //
     /* 2269173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2269176 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2269179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2269193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269215 */     // GIR_Coverage, 52127,
     /* 2269215 */     GIR_EraseRootFromParent_Done,
     /* 2269216 */   // Label 30748: @2269216
     /* 2269216 */   GIM_Try, /*On fail goto*//*Label 30749*/ GIMT_Encode4(2269264), // Rule ID 52128 //
     /* 2269221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2269224 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2269227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2269241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269263 */     // GIR_Coverage, 52128,
     /* 2269263 */     GIR_EraseRootFromParent_Done,
     /* 2269264 */   // Label 30749: @2269264
     /* 2269264 */   GIM_Reject,
     /* 2269265 */ // Label 30747: @2269265
     /* 2269265 */ GIM_Reject,
     /* 2269266 */ // Label 30703: @2269266
     /* 2269266 */ GIM_Try, /*On fail goto*//*Label 30750*/ GIMT_Encode4(2269386),
     /* 2269271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2269274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2269277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269285 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269289 */   GIM_Try, /*On fail goto*//*Label 30751*/ GIMT_Encode4(2269337), // Rule ID 52071 //
     /* 2269294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269297 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2269300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2269314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269336 */     // GIR_Coverage, 52071,
     /* 2269336 */     GIR_EraseRootFromParent_Done,
     /* 2269337 */   // Label 30751: @2269337
     /* 2269337 */   GIM_Try, /*On fail goto*//*Label 30752*/ GIMT_Encode4(2269385), // Rule ID 52072 //
     /* 2269342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269345 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2269348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2269362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269380 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269384 */     // GIR_Coverage, 52072,
     /* 2269384 */     GIR_EraseRootFromParent_Done,
     /* 2269385 */   // Label 30752: @2269385
     /* 2269385 */   GIM_Reject,
     /* 2269386 */ // Label 30750: @2269386
     /* 2269386 */ GIM_Reject,
     /* 2269387 */ // Label 30704: @2269387
     /* 2269387 */ GIM_Try, /*On fail goto*//*Label 30753*/ GIMT_Encode4(2269507),
     /* 2269392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2269395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2269398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269406 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269410 */   GIM_Try, /*On fail goto*//*Label 30754*/ GIMT_Encode4(2269458), // Rule ID 52099 //
     /* 2269415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269418 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2269421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2269435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269457 */     // GIR_Coverage, 52099,
     /* 2269457 */     GIR_EraseRootFromParent_Done,
     /* 2269458 */   // Label 30754: @2269458
     /* 2269458 */   GIM_Try, /*On fail goto*//*Label 30755*/ GIMT_Encode4(2269506), // Rule ID 52100 //
     /* 2269463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269466 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2269469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2269483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269505 */     // GIR_Coverage, 52100,
     /* 2269505 */     GIR_EraseRootFromParent_Done,
     /* 2269506 */   // Label 30755: @2269506
     /* 2269506 */   GIM_Reject,
     /* 2269507 */ // Label 30753: @2269507
     /* 2269507 */ GIM_Reject,
     /* 2269508 */ // Label 30705: @2269508
     /* 2269508 */ GIM_Try, /*On fail goto*//*Label 30756*/ GIMT_Encode4(2269628),
     /* 2269513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2269516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2269519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269527 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269531 */   GIM_Try, /*On fail goto*//*Label 30757*/ GIMT_Encode4(2269579), // Rule ID 52115 //
     /* 2269536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269539 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2269542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2269556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269578 */     // GIR_Coverage, 52115,
     /* 2269578 */     GIR_EraseRootFromParent_Done,
     /* 2269579 */   // Label 30757: @2269579
     /* 2269579 */   GIM_Try, /*On fail goto*//*Label 30758*/ GIMT_Encode4(2269627), // Rule ID 52116 //
     /* 2269584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269587 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2269590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2269604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269622 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269626 */     // GIR_Coverage, 52116,
     /* 2269626 */     GIR_EraseRootFromParent_Done,
     /* 2269627 */   // Label 30758: @2269627
     /* 2269627 */   GIM_Reject,
     /* 2269628 */ // Label 30756: @2269628
     /* 2269628 */ GIM_Reject,
     /* 2269629 */ // Label 30706: @2269629
     /* 2269629 */ GIM_Try, /*On fail goto*//*Label 30759*/ GIMT_Encode4(2269749),
     /* 2269634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2269637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2269640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269652 */   GIM_Try, /*On fail goto*//*Label 30760*/ GIMT_Encode4(2269700), // Rule ID 52131 //
     /* 2269657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2269660 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2269663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2269677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269699 */     // GIR_Coverage, 52131,
     /* 2269699 */     GIR_EraseRootFromParent_Done,
     /* 2269700 */   // Label 30760: @2269700
     /* 2269700 */   GIM_Try, /*On fail goto*//*Label 30761*/ GIMT_Encode4(2269748), // Rule ID 52132 //
     /* 2269705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2269708 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2269711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2269725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269747 */     // GIR_Coverage, 52132,
     /* 2269747 */     GIR_EraseRootFromParent_Done,
     /* 2269748 */   // Label 30761: @2269748
     /* 2269748 */   GIM_Reject,
     /* 2269749 */ // Label 30759: @2269749
     /* 2269749 */ GIM_Reject,
     /* 2269750 */ // Label 30707: @2269750
     /* 2269750 */ GIM_Try, /*On fail goto*//*Label 30762*/ GIMT_Encode4(2269870),
     /* 2269755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2269758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2269761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269773 */   GIM_Try, /*On fail goto*//*Label 30763*/ GIMT_Encode4(2269821), // Rule ID 52087 //
     /* 2269778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269781 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2269784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2269798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269820 */     // GIR_Coverage, 52087,
     /* 2269820 */     GIR_EraseRootFromParent_Done,
     /* 2269821 */   // Label 30763: @2269821
     /* 2269821 */   GIM_Try, /*On fail goto*//*Label 30764*/ GIMT_Encode4(2269869), // Rule ID 52088 //
     /* 2269826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269829 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2269832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2269846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269868 */     // GIR_Coverage, 52088,
     /* 2269868 */     GIR_EraseRootFromParent_Done,
     /* 2269869 */   // Label 30764: @2269869
     /* 2269869 */   GIM_Reject,
     /* 2269870 */ // Label 30762: @2269870
     /* 2269870 */ GIM_Reject,
     /* 2269871 */ // Label 30708: @2269871
     /* 2269871 */ GIM_Try, /*On fail goto*//*Label 30765*/ GIMT_Encode4(2269991),
     /* 2269876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2269879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2269882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269890 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269894 */   GIM_Try, /*On fail goto*//*Label 30766*/ GIMT_Encode4(2269942), // Rule ID 52103 //
     /* 2269899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269902 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2269905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2269919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269941 */     // GIR_Coverage, 52103,
     /* 2269941 */     GIR_EraseRootFromParent_Done,
     /* 2269942 */   // Label 30766: @2269942
     /* 2269942 */   GIM_Try, /*On fail goto*//*Label 30767*/ GIMT_Encode4(2269990), // Rule ID 52104 //
     /* 2269947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269950 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2269953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2269967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269989 */     // GIR_Coverage, 52104,
     /* 2269989 */     GIR_EraseRootFromParent_Done,
     /* 2269990 */   // Label 30767: @2269990
     /* 2269990 */   GIM_Reject,
     /* 2269991 */ // Label 30765: @2269991
     /* 2269991 */ GIM_Reject,
     /* 2269992 */ // Label 30709: @2269992
     /* 2269992 */ GIM_Try, /*On fail goto*//*Label 30768*/ GIMT_Encode4(2270112),
     /* 2269997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2270000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2270003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270011 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270015 */   GIM_Try, /*On fail goto*//*Label 30769*/ GIMT_Encode4(2270063), // Rule ID 52119 //
     /* 2270020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270023 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2270026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2270040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270058 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270062 */     // GIR_Coverage, 52119,
     /* 2270062 */     GIR_EraseRootFromParent_Done,
     /* 2270063 */   // Label 30769: @2270063
     /* 2270063 */   GIM_Try, /*On fail goto*//*Label 30770*/ GIMT_Encode4(2270111), // Rule ID 52120 //
     /* 2270068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270071 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2270074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2270088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270110 */     // GIR_Coverage, 52120,
     /* 2270110 */     GIR_EraseRootFromParent_Done,
     /* 2270111 */   // Label 30770: @2270111
     /* 2270111 */   GIM_Reject,
     /* 2270112 */ // Label 30768: @2270112
     /* 2270112 */ GIM_Reject,
     /* 2270113 */ // Label 30710: @2270113
     /* 2270113 */ GIM_Try, /*On fail goto*//*Label 30771*/ GIMT_Encode4(2270233),
     /* 2270118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2270121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2270124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270136 */   GIM_Try, /*On fail goto*//*Label 30772*/ GIMT_Encode4(2270184), // Rule ID 52091 //
     /* 2270141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270144 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2270147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2270161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270183 */     // GIR_Coverage, 52091,
     /* 2270183 */     GIR_EraseRootFromParent_Done,
     /* 2270184 */   // Label 30772: @2270184
     /* 2270184 */   GIM_Try, /*On fail goto*//*Label 30773*/ GIMT_Encode4(2270232), // Rule ID 52092 //
     /* 2270189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270192 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2270195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2270209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270231 */     // GIR_Coverage, 52092,
     /* 2270231 */     GIR_EraseRootFromParent_Done,
     /* 2270232 */   // Label 30773: @2270232
     /* 2270232 */   GIM_Reject,
     /* 2270233 */ // Label 30771: @2270233
     /* 2270233 */ GIM_Reject,
     /* 2270234 */ // Label 30711: @2270234
     /* 2270234 */ GIM_Try, /*On fail goto*//*Label 30774*/ GIMT_Encode4(2270354),
     /* 2270239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2270242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2270245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270253 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270257 */   GIM_Try, /*On fail goto*//*Label 30775*/ GIMT_Encode4(2270305), // Rule ID 52107 //
     /* 2270262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270265 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2270268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2270282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270304 */     // GIR_Coverage, 52107,
     /* 2270304 */     GIR_EraseRootFromParent_Done,
     /* 2270305 */   // Label 30775: @2270305
     /* 2270305 */   GIM_Try, /*On fail goto*//*Label 30776*/ GIMT_Encode4(2270353), // Rule ID 52108 //
     /* 2270310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270313 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2270316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2270330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270348 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270352 */     // GIR_Coverage, 52108,
     /* 2270352 */     GIR_EraseRootFromParent_Done,
     /* 2270353 */   // Label 30776: @2270353
     /* 2270353 */   GIM_Reject,
     /* 2270354 */ // Label 30774: @2270354
     /* 2270354 */ GIM_Reject,
     /* 2270355 */ // Label 30712: @2270355
     /* 2270355 */ GIM_Try, /*On fail goto*//*Label 30777*/ GIMT_Encode4(2270475),
     /* 2270360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2270363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2270366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270378 */   GIM_Try, /*On fail goto*//*Label 30778*/ GIMT_Encode4(2270426), // Rule ID 52095 //
     /* 2270383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270386 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2270389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2270403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270425 */     // GIR_Coverage, 52095,
     /* 2270425 */     GIR_EraseRootFromParent_Done,
     /* 2270426 */   // Label 30778: @2270426
     /* 2270426 */   GIM_Try, /*On fail goto*//*Label 30779*/ GIMT_Encode4(2270474), // Rule ID 52096 //
     /* 2270431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270434 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2270437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2270451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270473 */     // GIR_Coverage, 52096,
     /* 2270473 */     GIR_EraseRootFromParent_Done,
     /* 2270474 */   // Label 30779: @2270474
     /* 2270474 */   GIM_Reject,
     /* 2270475 */ // Label 30777: @2270475
     /* 2270475 */ GIM_Reject,
     /* 2270476 */ // Label 30713: @2270476
     /* 2270476 */ GIM_Reject,
     /* 2270477 */ // Label 54: @2270477
     /* 2270477 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 30802*/ GIMT_Encode4(2273262),
     /* 2270488 */ /*GILLT_nxv1s8*//*Label 30780*/ GIMT_Encode4(2270600),
     /* 2270492 */ /*GILLT_nxv1s16*//*Label 30781*/ GIMT_Encode4(2270721),
     /* 2270496 */ /*GILLT_nxv1s32*//*Label 30782*/ GIMT_Encode4(2270842),
     /* 2270500 */ /*GILLT_nxv1s64*//*Label 30783*/ GIMT_Encode4(2270963), GIMT_Encode4(0),
     /* 2270508 */ /*GILLT_nxv2s8*//*Label 30784*/ GIMT_Encode4(2271084),
     /* 2270512 */ /*GILLT_nxv2s16*//*Label 30785*/ GIMT_Encode4(2271205),
     /* 2270516 */ /*GILLT_nxv2s32*//*Label 30786*/ GIMT_Encode4(2271326),
     /* 2270520 */ /*GILLT_nxv2s64*//*Label 30787*/ GIMT_Encode4(2271447), GIMT_Encode4(0),
     /* 2270528 */ /*GILLT_nxv4s8*//*Label 30788*/ GIMT_Encode4(2271568),
     /* 2270532 */ /*GILLT_nxv4s16*//*Label 30789*/ GIMT_Encode4(2271689),
     /* 2270536 */ /*GILLT_nxv4s32*//*Label 30790*/ GIMT_Encode4(2271810),
     /* 2270540 */ /*GILLT_nxv4s64*//*Label 30791*/ GIMT_Encode4(2271931), GIMT_Encode4(0),
     /* 2270548 */ /*GILLT_nxv8s8*//*Label 30792*/ GIMT_Encode4(2272052),
     /* 2270552 */ /*GILLT_nxv8s16*//*Label 30793*/ GIMT_Encode4(2272173),
     /* 2270556 */ /*GILLT_nxv8s32*//*Label 30794*/ GIMT_Encode4(2272294),
     /* 2270560 */ /*GILLT_nxv8s64*//*Label 30795*/ GIMT_Encode4(2272415), GIMT_Encode4(0),
     /* 2270568 */ /*GILLT_nxv16s8*//*Label 30796*/ GIMT_Encode4(2272536),
     /* 2270572 */ /*GILLT_nxv16s16*//*Label 30797*/ GIMT_Encode4(2272657),
     /* 2270576 */ /*GILLT_nxv16s32*//*Label 30798*/ GIMT_Encode4(2272778), GIMT_Encode4(0),
     /* 2270584 */ /*GILLT_nxv32s8*//*Label 30799*/ GIMT_Encode4(2272899),
     /* 2270588 */ /*GILLT_nxv32s16*//*Label 30800*/ GIMT_Encode4(2273020), GIMT_Encode4(0),
     /* 2270596 */ /*GILLT_nxv64s8*//*Label 30801*/ GIMT_Encode4(2273141),
     /* 2270600 */ // Label 30780: @2270600
     /* 2270600 */ GIM_Try, /*On fail goto*//*Label 30803*/ GIMT_Encode4(2270720),
     /* 2270605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2270608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2270611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270623 */   GIM_Try, /*On fail goto*//*Label 30804*/ GIMT_Encode4(2270671), // Rule ID 51915 //
     /* 2270628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270631 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2270634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2270648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270670 */     // GIR_Coverage, 51915,
     /* 2270670 */     GIR_EraseRootFromParent_Done,
     /* 2270671 */   // Label 30804: @2270671
     /* 2270671 */   GIM_Try, /*On fail goto*//*Label 30805*/ GIMT_Encode4(2270719), // Rule ID 51916 //
     /* 2270676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270679 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2270682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2270696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270718 */     // GIR_Coverage, 51916,
     /* 2270718 */     GIR_EraseRootFromParent_Done,
     /* 2270719 */   // Label 30805: @2270719
     /* 2270719 */   GIM_Reject,
     /* 2270720 */ // Label 30803: @2270720
     /* 2270720 */ GIM_Reject,
     /* 2270721 */ // Label 30781: @2270721
     /* 2270721 */ GIM_Try, /*On fail goto*//*Label 30806*/ GIMT_Encode4(2270841),
     /* 2270726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2270729 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2270732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270736 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270740 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270744 */   GIM_Try, /*On fail goto*//*Label 30807*/ GIMT_Encode4(2270792), // Rule ID 51927 //
     /* 2270749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270752 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2270755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2270769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270791 */     // GIR_Coverage, 51927,
     /* 2270791 */     GIR_EraseRootFromParent_Done,
     /* 2270792 */   // Label 30807: @2270792
     /* 2270792 */   GIM_Try, /*On fail goto*//*Label 30808*/ GIMT_Encode4(2270840), // Rule ID 51928 //
     /* 2270797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270800 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2270803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2270817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270839 */     // GIR_Coverage, 51928,
     /* 2270839 */     GIR_EraseRootFromParent_Done,
     /* 2270840 */   // Label 30808: @2270840
     /* 2270840 */   GIM_Reject,
     /* 2270841 */ // Label 30806: @2270841
     /* 2270841 */ GIM_Reject,
     /* 2270842 */ // Label 30782: @2270842
     /* 2270842 */ GIM_Try, /*On fail goto*//*Label 30809*/ GIMT_Encode4(2270962),
     /* 2270847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2270850 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2270853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270861 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270865 */   GIM_Try, /*On fail goto*//*Label 30810*/ GIMT_Encode4(2270913), // Rule ID 51935 //
     /* 2270870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270873 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2270876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2270890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270908 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270912 */     // GIR_Coverage, 51935,
     /* 2270912 */     GIR_EraseRootFromParent_Done,
     /* 2270913 */   // Label 30810: @2270913
     /* 2270913 */   GIM_Try, /*On fail goto*//*Label 30811*/ GIMT_Encode4(2270961), // Rule ID 51936 //
     /* 2270918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270921 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2270924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2270938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270956 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270960 */     // GIR_Coverage, 51936,
     /* 2270960 */     GIR_EraseRootFromParent_Done,
     /* 2270961 */   // Label 30811: @2270961
     /* 2270961 */   GIM_Reject,
     /* 2270962 */ // Label 30809: @2270962
     /* 2270962 */ GIM_Reject,
     /* 2270963 */ // Label 30783: @2270963
     /* 2270963 */ GIM_Try, /*On fail goto*//*Label 30812*/ GIMT_Encode4(2271083),
     /* 2270968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2270971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2270974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270986 */   GIM_Try, /*On fail goto*//*Label 30813*/ GIMT_Encode4(2271034), // Rule ID 51951 //
     /* 2270991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2270994 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2270997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2271011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271033 */     // GIR_Coverage, 51951,
     /* 2271033 */     GIR_EraseRootFromParent_Done,
     /* 2271034 */   // Label 30813: @2271034
     /* 2271034 */   GIM_Try, /*On fail goto*//*Label 30814*/ GIMT_Encode4(2271082), // Rule ID 51952 //
     /* 2271039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2271042 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2271045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2271059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271077 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271081 */     // GIR_Coverage, 51952,
     /* 2271081 */     GIR_EraseRootFromParent_Done,
     /* 2271082 */   // Label 30814: @2271082
     /* 2271082 */   GIM_Reject,
     /* 2271083 */ // Label 30812: @2271083
     /* 2271083 */ GIM_Reject,
     /* 2271084 */ // Label 30784: @2271084
     /* 2271084 */ GIM_Try, /*On fail goto*//*Label 30815*/ GIMT_Encode4(2271204),
     /* 2271089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2271092 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2271095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271103 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271107 */   GIM_Try, /*On fail goto*//*Label 30816*/ GIMT_Encode4(2271155), // Rule ID 51919 //
     /* 2271112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271115 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2271118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2271132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271154 */     // GIR_Coverage, 51919,
     /* 2271154 */     GIR_EraseRootFromParent_Done,
     /* 2271155 */   // Label 30816: @2271155
     /* 2271155 */   GIM_Try, /*On fail goto*//*Label 30817*/ GIMT_Encode4(2271203), // Rule ID 51920 //
     /* 2271160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271163 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2271166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2271180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271198 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271202 */     // GIR_Coverage, 51920,
     /* 2271202 */     GIR_EraseRootFromParent_Done,
     /* 2271203 */   // Label 30817: @2271203
     /* 2271203 */   GIM_Reject,
     /* 2271204 */ // Label 30815: @2271204
     /* 2271204 */ GIM_Reject,
     /* 2271205 */ // Label 30785: @2271205
     /* 2271205 */ GIM_Try, /*On fail goto*//*Label 30818*/ GIMT_Encode4(2271325),
     /* 2271210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2271213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2271216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271224 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271228 */   GIM_Try, /*On fail goto*//*Label 30819*/ GIMT_Encode4(2271276), // Rule ID 51931 //
     /* 2271233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271236 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2271239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2271253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271275 */     // GIR_Coverage, 51931,
     /* 2271275 */     GIR_EraseRootFromParent_Done,
     /* 2271276 */   // Label 30819: @2271276
     /* 2271276 */   GIM_Try, /*On fail goto*//*Label 30820*/ GIMT_Encode4(2271324), // Rule ID 51932 //
     /* 2271281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271284 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2271287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2271301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271319 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271323 */     // GIR_Coverage, 51932,
     /* 2271323 */     GIR_EraseRootFromParent_Done,
     /* 2271324 */   // Label 30820: @2271324
     /* 2271324 */   GIM_Reject,
     /* 2271325 */ // Label 30818: @2271325
     /* 2271325 */ GIM_Reject,
     /* 2271326 */ // Label 30786: @2271326
     /* 2271326 */ GIM_Try, /*On fail goto*//*Label 30821*/ GIMT_Encode4(2271446),
     /* 2271331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2271334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2271337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271349 */   GIM_Try, /*On fail goto*//*Label 30822*/ GIMT_Encode4(2271397), // Rule ID 51947 //
     /* 2271354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271357 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2271360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2271374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271396 */     // GIR_Coverage, 51947,
     /* 2271396 */     GIR_EraseRootFromParent_Done,
     /* 2271397 */   // Label 30822: @2271397
     /* 2271397 */   GIM_Try, /*On fail goto*//*Label 30823*/ GIMT_Encode4(2271445), // Rule ID 51948 //
     /* 2271402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271405 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2271408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2271422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271440 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271444 */     // GIR_Coverage, 51948,
     /* 2271444 */     GIR_EraseRootFromParent_Done,
     /* 2271445 */   // Label 30823: @2271445
     /* 2271445 */   GIM_Reject,
     /* 2271446 */ // Label 30821: @2271446
     /* 2271446 */ GIM_Reject,
     /* 2271447 */ // Label 30787: @2271447
     /* 2271447 */ GIM_Try, /*On fail goto*//*Label 30824*/ GIMT_Encode4(2271567),
     /* 2271452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2271455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2271458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271466 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271470 */   GIM_Try, /*On fail goto*//*Label 30825*/ GIMT_Encode4(2271518), // Rule ID 51991 //
     /* 2271475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2271478 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2271481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2271495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271513 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271517 */     // GIR_Coverage, 51991,
     /* 2271517 */     GIR_EraseRootFromParent_Done,
     /* 2271518 */   // Label 30825: @2271518
     /* 2271518 */   GIM_Try, /*On fail goto*//*Label 30826*/ GIMT_Encode4(2271566), // Rule ID 51992 //
     /* 2271523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2271526 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2271529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2271543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271565 */     // GIR_Coverage, 51992,
     /* 2271565 */     GIR_EraseRootFromParent_Done,
     /* 2271566 */   // Label 30826: @2271566
     /* 2271566 */   GIM_Reject,
     /* 2271567 */ // Label 30824: @2271567
     /* 2271567 */ GIM_Reject,
     /* 2271568 */ // Label 30788: @2271568
     /* 2271568 */ GIM_Try, /*On fail goto*//*Label 30827*/ GIMT_Encode4(2271688),
     /* 2271573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2271576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2271579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271591 */   GIM_Try, /*On fail goto*//*Label 30828*/ GIMT_Encode4(2271639), // Rule ID 51923 //
     /* 2271596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271599 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2271602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2271616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271638 */     // GIR_Coverage, 51923,
     /* 2271638 */     GIR_EraseRootFromParent_Done,
     /* 2271639 */   // Label 30828: @2271639
     /* 2271639 */   GIM_Try, /*On fail goto*//*Label 30829*/ GIMT_Encode4(2271687), // Rule ID 51924 //
     /* 2271644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271647 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2271650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2271664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271686 */     // GIR_Coverage, 51924,
     /* 2271686 */     GIR_EraseRootFromParent_Done,
     /* 2271687 */   // Label 30829: @2271687
     /* 2271687 */   GIM_Reject,
     /* 2271688 */ // Label 30827: @2271688
     /* 2271688 */ GIM_Reject,
     /* 2271689 */ // Label 30789: @2271689
     /* 2271689 */ GIM_Try, /*On fail goto*//*Label 30830*/ GIMT_Encode4(2271809),
     /* 2271694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2271697 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2271700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271708 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271712 */   GIM_Try, /*On fail goto*//*Label 30831*/ GIMT_Encode4(2271760), // Rule ID 51943 //
     /* 2271717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271720 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2271723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271727 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2271737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271739 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271755 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271759 */     // GIR_Coverage, 51943,
     /* 2271759 */     GIR_EraseRootFromParent_Done,
     /* 2271760 */   // Label 30831: @2271760
     /* 2271760 */   GIM_Try, /*On fail goto*//*Label 30832*/ GIMT_Encode4(2271808), // Rule ID 51944 //
     /* 2271765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271768 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2271771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2271785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271807 */     // GIR_Coverage, 51944,
     /* 2271807 */     GIR_EraseRootFromParent_Done,
     /* 2271808 */   // Label 30832: @2271808
     /* 2271808 */   GIM_Reject,
     /* 2271809 */ // Label 30830: @2271809
     /* 2271809 */ GIM_Reject,
     /* 2271810 */ // Label 30790: @2271810
     /* 2271810 */ GIM_Try, /*On fail goto*//*Label 30833*/ GIMT_Encode4(2271930),
     /* 2271815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2271818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2271821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271829 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271833 */   GIM_Try, /*On fail goto*//*Label 30834*/ GIMT_Encode4(2271881), // Rule ID 51979 //
     /* 2271838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271841 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2271844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2271858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271880 */     // GIR_Coverage, 51979,
     /* 2271880 */     GIR_EraseRootFromParent_Done,
     /* 2271881 */   // Label 30834: @2271881
     /* 2271881 */   GIM_Try, /*On fail goto*//*Label 30835*/ GIMT_Encode4(2271929), // Rule ID 51980 //
     /* 2271886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271889 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2271892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2271906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271924 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271928 */     // GIR_Coverage, 51980,
     /* 2271928 */     GIR_EraseRootFromParent_Done,
     /* 2271929 */   // Label 30835: @2271929
     /* 2271929 */   GIM_Reject,
     /* 2271930 */ // Label 30833: @2271930
     /* 2271930 */ GIM_Reject,
     /* 2271931 */ // Label 30791: @2271931
     /* 2271931 */ GIM_Try, /*On fail goto*//*Label 30836*/ GIMT_Encode4(2272051),
     /* 2271936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2271939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2271942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271950 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271954 */   GIM_Try, /*On fail goto*//*Label 30837*/ GIMT_Encode4(2272002), // Rule ID 51995 //
     /* 2271959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2271962 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2271965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2271979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272001 */     // GIR_Coverage, 51995,
     /* 2272001 */     GIR_EraseRootFromParent_Done,
     /* 2272002 */   // Label 30837: @2272002
     /* 2272002 */   GIM_Try, /*On fail goto*//*Label 30838*/ GIMT_Encode4(2272050), // Rule ID 51996 //
     /* 2272007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2272010 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2272013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2272027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272045 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272049 */     // GIR_Coverage, 51996,
     /* 2272049 */     GIR_EraseRootFromParent_Done,
     /* 2272050 */   // Label 30838: @2272050
     /* 2272050 */   GIM_Reject,
     /* 2272051 */ // Label 30836: @2272051
     /* 2272051 */ GIM_Reject,
     /* 2272052 */ // Label 30792: @2272052
     /* 2272052 */ GIM_Try, /*On fail goto*//*Label 30839*/ GIMT_Encode4(2272172),
     /* 2272057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2272060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2272063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272071 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272075 */   GIM_Try, /*On fail goto*//*Label 30840*/ GIMT_Encode4(2272123), // Rule ID 51939 //
     /* 2272080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272083 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2272086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2272100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272122 */     // GIR_Coverage, 51939,
     /* 2272122 */     GIR_EraseRootFromParent_Done,
     /* 2272123 */   // Label 30840: @2272123
     /* 2272123 */   GIM_Try, /*On fail goto*//*Label 30841*/ GIMT_Encode4(2272171), // Rule ID 51940 //
     /* 2272128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272131 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2272134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2272148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272166 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272170 */     // GIR_Coverage, 51940,
     /* 2272170 */     GIR_EraseRootFromParent_Done,
     /* 2272171 */   // Label 30841: @2272171
     /* 2272171 */   GIM_Reject,
     /* 2272172 */ // Label 30839: @2272172
     /* 2272172 */ GIM_Reject,
     /* 2272173 */ // Label 30793: @2272173
     /* 2272173 */ GIM_Try, /*On fail goto*//*Label 30842*/ GIMT_Encode4(2272293),
     /* 2272178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2272181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2272184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272192 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272196 */   GIM_Try, /*On fail goto*//*Label 30843*/ GIMT_Encode4(2272244), // Rule ID 51967 //
     /* 2272201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272204 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2272207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2272221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272243 */     // GIR_Coverage, 51967,
     /* 2272243 */     GIR_EraseRootFromParent_Done,
     /* 2272244 */   // Label 30843: @2272244
     /* 2272244 */   GIM_Try, /*On fail goto*//*Label 30844*/ GIMT_Encode4(2272292), // Rule ID 51968 //
     /* 2272249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272252 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2272255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2272269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272287 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272291 */     // GIR_Coverage, 51968,
     /* 2272291 */     GIR_EraseRootFromParent_Done,
     /* 2272292 */   // Label 30844: @2272292
     /* 2272292 */   GIM_Reject,
     /* 2272293 */ // Label 30842: @2272293
     /* 2272293 */ GIM_Reject,
     /* 2272294 */ // Label 30794: @2272294
     /* 2272294 */ GIM_Try, /*On fail goto*//*Label 30845*/ GIMT_Encode4(2272414),
     /* 2272299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2272302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2272305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272317 */   GIM_Try, /*On fail goto*//*Label 30846*/ GIMT_Encode4(2272365), // Rule ID 51983 //
     /* 2272322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272325 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2272328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2272342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272364 */     // GIR_Coverage, 51983,
     /* 2272364 */     GIR_EraseRootFromParent_Done,
     /* 2272365 */   // Label 30846: @2272365
     /* 2272365 */   GIM_Try, /*On fail goto*//*Label 30847*/ GIMT_Encode4(2272413), // Rule ID 51984 //
     /* 2272370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272373 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2272376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2272390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272412 */     // GIR_Coverage, 51984,
     /* 2272412 */     GIR_EraseRootFromParent_Done,
     /* 2272413 */   // Label 30847: @2272413
     /* 2272413 */   GIM_Reject,
     /* 2272414 */ // Label 30845: @2272414
     /* 2272414 */ GIM_Reject,
     /* 2272415 */ // Label 30795: @2272415
     /* 2272415 */ GIM_Try, /*On fail goto*//*Label 30848*/ GIMT_Encode4(2272535),
     /* 2272420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2272423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2272426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272434 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272438 */   GIM_Try, /*On fail goto*//*Label 30849*/ GIMT_Encode4(2272486), // Rule ID 51999 //
     /* 2272443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2272446 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2272449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2272463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272485 */     // GIR_Coverage, 51999,
     /* 2272485 */     GIR_EraseRootFromParent_Done,
     /* 2272486 */   // Label 30849: @2272486
     /* 2272486 */   GIM_Try, /*On fail goto*//*Label 30850*/ GIMT_Encode4(2272534), // Rule ID 52000 //
     /* 2272491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2272494 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2272497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2272511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272529 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272533 */     // GIR_Coverage, 52000,
     /* 2272533 */     GIR_EraseRootFromParent_Done,
     /* 2272534 */   // Label 30850: @2272534
     /* 2272534 */   GIM_Reject,
     /* 2272535 */ // Label 30848: @2272535
     /* 2272535 */ GIM_Reject,
     /* 2272536 */ // Label 30796: @2272536
     /* 2272536 */ GIM_Try, /*On fail goto*//*Label 30851*/ GIMT_Encode4(2272656),
     /* 2272541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2272544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2272547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272555 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272559 */   GIM_Try, /*On fail goto*//*Label 30852*/ GIMT_Encode4(2272607), // Rule ID 51955 //
     /* 2272564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272567 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2272570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2272584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272606 */     // GIR_Coverage, 51955,
     /* 2272606 */     GIR_EraseRootFromParent_Done,
     /* 2272607 */   // Label 30852: @2272607
     /* 2272607 */   GIM_Try, /*On fail goto*//*Label 30853*/ GIMT_Encode4(2272655), // Rule ID 51956 //
     /* 2272612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272615 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2272618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2272632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272654 */     // GIR_Coverage, 51956,
     /* 2272654 */     GIR_EraseRootFromParent_Done,
     /* 2272655 */   // Label 30853: @2272655
     /* 2272655 */   GIM_Reject,
     /* 2272656 */ // Label 30851: @2272656
     /* 2272656 */ GIM_Reject,
     /* 2272657 */ // Label 30797: @2272657
     /* 2272657 */ GIM_Try, /*On fail goto*//*Label 30854*/ GIMT_Encode4(2272777),
     /* 2272662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2272665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2272668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272676 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272680 */   GIM_Try, /*On fail goto*//*Label 30855*/ GIMT_Encode4(2272728), // Rule ID 51971 //
     /* 2272685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272688 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2272691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2272705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272723 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272727 */     // GIR_Coverage, 51971,
     /* 2272727 */     GIR_EraseRootFromParent_Done,
     /* 2272728 */   // Label 30855: @2272728
     /* 2272728 */   GIM_Try, /*On fail goto*//*Label 30856*/ GIMT_Encode4(2272776), // Rule ID 51972 //
     /* 2272733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272736 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2272739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2272753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272771 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272775 */     // GIR_Coverage, 51972,
     /* 2272775 */     GIR_EraseRootFromParent_Done,
     /* 2272776 */   // Label 30856: @2272776
     /* 2272776 */   GIM_Reject,
     /* 2272777 */ // Label 30854: @2272777
     /* 2272777 */ GIM_Reject,
     /* 2272778 */ // Label 30798: @2272778
     /* 2272778 */ GIM_Try, /*On fail goto*//*Label 30857*/ GIMT_Encode4(2272898),
     /* 2272783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2272786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2272789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272801 */   GIM_Try, /*On fail goto*//*Label 30858*/ GIMT_Encode4(2272849), // Rule ID 51987 //
     /* 2272806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272809 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2272812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2272826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272844 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272848 */     // GIR_Coverage, 51987,
     /* 2272848 */     GIR_EraseRootFromParent_Done,
     /* 2272849 */   // Label 30858: @2272849
     /* 2272849 */   GIM_Try, /*On fail goto*//*Label 30859*/ GIMT_Encode4(2272897), // Rule ID 51988 //
     /* 2272854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272857 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2272860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2272874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272896 */     // GIR_Coverage, 51988,
     /* 2272896 */     GIR_EraseRootFromParent_Done,
     /* 2272897 */   // Label 30859: @2272897
     /* 2272897 */   GIM_Reject,
     /* 2272898 */ // Label 30857: @2272898
     /* 2272898 */ GIM_Reject,
     /* 2272899 */ // Label 30799: @2272899
     /* 2272899 */ GIM_Try, /*On fail goto*//*Label 30860*/ GIMT_Encode4(2273019),
     /* 2272904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2272907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2272910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272922 */   GIM_Try, /*On fail goto*//*Label 30861*/ GIMT_Encode4(2272970), // Rule ID 51959 //
     /* 2272927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272930 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2272933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2272947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272969 */     // GIR_Coverage, 51959,
     /* 2272969 */     GIR_EraseRootFromParent_Done,
     /* 2272970 */   // Label 30861: @2272970
     /* 2272970 */   GIM_Try, /*On fail goto*//*Label 30862*/ GIMT_Encode4(2273018), // Rule ID 51960 //
     /* 2272975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272978 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2272981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2272995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273017 */     // GIR_Coverage, 51960,
     /* 2273017 */     GIR_EraseRootFromParent_Done,
     /* 2273018 */   // Label 30862: @2273018
     /* 2273018 */   GIM_Reject,
     /* 2273019 */ // Label 30860: @2273019
     /* 2273019 */ GIM_Reject,
     /* 2273020 */ // Label 30800: @2273020
     /* 2273020 */ GIM_Try, /*On fail goto*//*Label 30863*/ GIMT_Encode4(2273140),
     /* 2273025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2273028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2273031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273043 */   GIM_Try, /*On fail goto*//*Label 30864*/ GIMT_Encode4(2273091), // Rule ID 51975 //
     /* 2273048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273051 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2273054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2273068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273090 */     // GIR_Coverage, 51975,
     /* 2273090 */     GIR_EraseRootFromParent_Done,
     /* 2273091 */   // Label 30864: @2273091
     /* 2273091 */   GIM_Try, /*On fail goto*//*Label 30865*/ GIMT_Encode4(2273139), // Rule ID 51976 //
     /* 2273096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273099 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2273102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2273116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273134 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273138 */     // GIR_Coverage, 51976,
     /* 2273138 */     GIR_EraseRootFromParent_Done,
     /* 2273139 */   // Label 30865: @2273139
     /* 2273139 */   GIM_Reject,
     /* 2273140 */ // Label 30863: @2273140
     /* 2273140 */ GIM_Reject,
     /* 2273141 */ // Label 30801: @2273141
     /* 2273141 */ GIM_Try, /*On fail goto*//*Label 30866*/ GIMT_Encode4(2273261),
     /* 2273146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2273149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2273152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273164 */   GIM_Try, /*On fail goto*//*Label 30867*/ GIMT_Encode4(2273212), // Rule ID 51963 //
     /* 2273169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273172 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2273175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2273189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273211 */     // GIR_Coverage, 51963,
     /* 2273211 */     GIR_EraseRootFromParent_Done,
     /* 2273212 */   // Label 30867: @2273212
     /* 2273212 */   GIM_Try, /*On fail goto*//*Label 30868*/ GIMT_Encode4(2273260), // Rule ID 51964 //
     /* 2273217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273220 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2273223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2273237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273259 */     // GIR_Coverage, 51964,
     /* 2273259 */     GIR_EraseRootFromParent_Done,
     /* 2273260 */   // Label 30868: @2273260
     /* 2273260 */   GIM_Reject,
     /* 2273261 */ // Label 30866: @2273261
     /* 2273261 */ GIM_Reject,
     /* 2273262 */ // Label 30802: @2273262
     /* 2273262 */ GIM_Reject,
     /* 2273263 */ // Label 55: @2273263
     /* 2273263 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 30891*/ GIMT_Encode4(2276048),
     /* 2273274 */ /*GILLT_nxv1s8*//*Label 30869*/ GIMT_Encode4(2273386),
     /* 2273278 */ /*GILLT_nxv1s16*//*Label 30870*/ GIMT_Encode4(2273507),
     /* 2273282 */ /*GILLT_nxv1s32*//*Label 30871*/ GIMT_Encode4(2273628),
     /* 2273286 */ /*GILLT_nxv1s64*//*Label 30872*/ GIMT_Encode4(2273749), GIMT_Encode4(0),
     /* 2273294 */ /*GILLT_nxv2s8*//*Label 30873*/ GIMT_Encode4(2273870),
     /* 2273298 */ /*GILLT_nxv2s16*//*Label 30874*/ GIMT_Encode4(2273991),
     /* 2273302 */ /*GILLT_nxv2s32*//*Label 30875*/ GIMT_Encode4(2274112),
     /* 2273306 */ /*GILLT_nxv2s64*//*Label 30876*/ GIMT_Encode4(2274233), GIMT_Encode4(0),
     /* 2273314 */ /*GILLT_nxv4s8*//*Label 30877*/ GIMT_Encode4(2274354),
     /* 2273318 */ /*GILLT_nxv4s16*//*Label 30878*/ GIMT_Encode4(2274475),
     /* 2273322 */ /*GILLT_nxv4s32*//*Label 30879*/ GIMT_Encode4(2274596),
     /* 2273326 */ /*GILLT_nxv4s64*//*Label 30880*/ GIMT_Encode4(2274717), GIMT_Encode4(0),
     /* 2273334 */ /*GILLT_nxv8s8*//*Label 30881*/ GIMT_Encode4(2274838),
     /* 2273338 */ /*GILLT_nxv8s16*//*Label 30882*/ GIMT_Encode4(2274959),
     /* 2273342 */ /*GILLT_nxv8s32*//*Label 30883*/ GIMT_Encode4(2275080),
     /* 2273346 */ /*GILLT_nxv8s64*//*Label 30884*/ GIMT_Encode4(2275201), GIMT_Encode4(0),
     /* 2273354 */ /*GILLT_nxv16s8*//*Label 30885*/ GIMT_Encode4(2275322),
     /* 2273358 */ /*GILLT_nxv16s16*//*Label 30886*/ GIMT_Encode4(2275443),
     /* 2273362 */ /*GILLT_nxv16s32*//*Label 30887*/ GIMT_Encode4(2275564), GIMT_Encode4(0),
     /* 2273370 */ /*GILLT_nxv32s8*//*Label 30888*/ GIMT_Encode4(2275685),
     /* 2273374 */ /*GILLT_nxv32s16*//*Label 30889*/ GIMT_Encode4(2275806), GIMT_Encode4(0),
     /* 2273382 */ /*GILLT_nxv64s8*//*Label 30890*/ GIMT_Encode4(2275927),
     /* 2273386 */ // Label 30869: @2273386
     /* 2273386 */ GIM_Try, /*On fail goto*//*Label 30892*/ GIMT_Encode4(2273506),
     /* 2273391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2273394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2273397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273409 */   GIM_Try, /*On fail goto*//*Label 30893*/ GIMT_Encode4(2273457), // Rule ID 52267 //
     /* 2273414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273417 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2273420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2273434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273456 */     // GIR_Coverage, 52267,
     /* 2273456 */     GIR_EraseRootFromParent_Done,
     /* 2273457 */   // Label 30893: @2273457
     /* 2273457 */   GIM_Try, /*On fail goto*//*Label 30894*/ GIMT_Encode4(2273505), // Rule ID 52268 //
     /* 2273462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273465 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2273468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2273482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273504 */     // GIR_Coverage, 52268,
     /* 2273504 */     GIR_EraseRootFromParent_Done,
     /* 2273505 */   // Label 30894: @2273505
     /* 2273505 */   GIM_Reject,
     /* 2273506 */ // Label 30892: @2273506
     /* 2273506 */ GIM_Reject,
     /* 2273507 */ // Label 30870: @2273507
     /* 2273507 */ GIM_Try, /*On fail goto*//*Label 30895*/ GIMT_Encode4(2273627),
     /* 2273512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2273515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2273518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273530 */   GIM_Try, /*On fail goto*//*Label 30896*/ GIMT_Encode4(2273578), // Rule ID 52279 //
     /* 2273535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273538 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2273541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2273555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273577 */     // GIR_Coverage, 52279,
     /* 2273577 */     GIR_EraseRootFromParent_Done,
     /* 2273578 */   // Label 30896: @2273578
     /* 2273578 */   GIM_Try, /*On fail goto*//*Label 30897*/ GIMT_Encode4(2273626), // Rule ID 52280 //
     /* 2273583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273586 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2273589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2273603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273625 */     // GIR_Coverage, 52280,
     /* 2273625 */     GIR_EraseRootFromParent_Done,
     /* 2273626 */   // Label 30897: @2273626
     /* 2273626 */   GIM_Reject,
     /* 2273627 */ // Label 30895: @2273627
     /* 2273627 */ GIM_Reject,
     /* 2273628 */ // Label 30871: @2273628
     /* 2273628 */ GIM_Try, /*On fail goto*//*Label 30898*/ GIMT_Encode4(2273748),
     /* 2273633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2273636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2273639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273651 */   GIM_Try, /*On fail goto*//*Label 30899*/ GIMT_Encode4(2273699), // Rule ID 52287 //
     /* 2273656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273659 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2273662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2273676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273698 */     // GIR_Coverage, 52287,
     /* 2273698 */     GIR_EraseRootFromParent_Done,
     /* 2273699 */   // Label 30899: @2273699
     /* 2273699 */   GIM_Try, /*On fail goto*//*Label 30900*/ GIMT_Encode4(2273747), // Rule ID 52288 //
     /* 2273704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273707 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2273710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2273724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273746 */     // GIR_Coverage, 52288,
     /* 2273746 */     GIR_EraseRootFromParent_Done,
     /* 2273747 */   // Label 30900: @2273747
     /* 2273747 */   GIM_Reject,
     /* 2273748 */ // Label 30898: @2273748
     /* 2273748 */ GIM_Reject,
     /* 2273749 */ // Label 30872: @2273749
     /* 2273749 */ GIM_Try, /*On fail goto*//*Label 30901*/ GIMT_Encode4(2273869),
     /* 2273754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2273757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2273760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273772 */   GIM_Try, /*On fail goto*//*Label 30902*/ GIMT_Encode4(2273820), // Rule ID 52303 //
     /* 2273777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2273780 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2273783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2273797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273819 */     // GIR_Coverage, 52303,
     /* 2273819 */     GIR_EraseRootFromParent_Done,
     /* 2273820 */   // Label 30902: @2273820
     /* 2273820 */   GIM_Try, /*On fail goto*//*Label 30903*/ GIMT_Encode4(2273868), // Rule ID 52304 //
     /* 2273825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2273828 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2273831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2273845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273863 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273867 */     // GIR_Coverage, 52304,
     /* 2273867 */     GIR_EraseRootFromParent_Done,
     /* 2273868 */   // Label 30903: @2273868
     /* 2273868 */   GIM_Reject,
     /* 2273869 */ // Label 30901: @2273869
     /* 2273869 */ GIM_Reject,
     /* 2273870 */ // Label 30873: @2273870
     /* 2273870 */ GIM_Try, /*On fail goto*//*Label 30904*/ GIMT_Encode4(2273990),
     /* 2273875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2273878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2273881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273885 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273893 */   GIM_Try, /*On fail goto*//*Label 30905*/ GIMT_Encode4(2273941), // Rule ID 52271 //
     /* 2273898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273901 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2273904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2273918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273936 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273940 */     // GIR_Coverage, 52271,
     /* 2273940 */     GIR_EraseRootFromParent_Done,
     /* 2273941 */   // Label 30905: @2273941
     /* 2273941 */   GIM_Try, /*On fail goto*//*Label 30906*/ GIMT_Encode4(2273989), // Rule ID 52272 //
     /* 2273946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273949 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2273952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2273966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273988 */     // GIR_Coverage, 52272,
     /* 2273988 */     GIR_EraseRootFromParent_Done,
     /* 2273989 */   // Label 30906: @2273989
     /* 2273989 */   GIM_Reject,
     /* 2273990 */ // Label 30904: @2273990
     /* 2273990 */ GIM_Reject,
     /* 2273991 */ // Label 30874: @2273991
     /* 2273991 */ GIM_Try, /*On fail goto*//*Label 30907*/ GIMT_Encode4(2274111),
     /* 2273996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2273999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2274002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274014 */   GIM_Try, /*On fail goto*//*Label 30908*/ GIMT_Encode4(2274062), // Rule ID 52283 //
     /* 2274019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274022 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2274025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2274039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274061 */     // GIR_Coverage, 52283,
     /* 2274061 */     GIR_EraseRootFromParent_Done,
     /* 2274062 */   // Label 30908: @2274062
     /* 2274062 */   GIM_Try, /*On fail goto*//*Label 30909*/ GIMT_Encode4(2274110), // Rule ID 52284 //
     /* 2274067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274070 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2274073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2274087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274109 */     // GIR_Coverage, 52284,
     /* 2274109 */     GIR_EraseRootFromParent_Done,
     /* 2274110 */   // Label 30909: @2274110
     /* 2274110 */   GIM_Reject,
     /* 2274111 */ // Label 30907: @2274111
     /* 2274111 */ GIM_Reject,
     /* 2274112 */ // Label 30875: @2274112
     /* 2274112 */ GIM_Try, /*On fail goto*//*Label 30910*/ GIMT_Encode4(2274232),
     /* 2274117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2274120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2274123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274131 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274135 */   GIM_Try, /*On fail goto*//*Label 30911*/ GIMT_Encode4(2274183), // Rule ID 52299 //
     /* 2274140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274143 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2274146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2274160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274178 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274182 */     // GIR_Coverage, 52299,
     /* 2274182 */     GIR_EraseRootFromParent_Done,
     /* 2274183 */   // Label 30911: @2274183
     /* 2274183 */   GIM_Try, /*On fail goto*//*Label 30912*/ GIMT_Encode4(2274231), // Rule ID 52300 //
     /* 2274188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274191 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2274194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2274208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274230 */     // GIR_Coverage, 52300,
     /* 2274230 */     GIR_EraseRootFromParent_Done,
     /* 2274231 */   // Label 30912: @2274231
     /* 2274231 */   GIM_Reject,
     /* 2274232 */ // Label 30910: @2274232
     /* 2274232 */ GIM_Reject,
     /* 2274233 */ // Label 30876: @2274233
     /* 2274233 */ GIM_Try, /*On fail goto*//*Label 30913*/ GIMT_Encode4(2274353),
     /* 2274238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2274241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2274244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274252 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274256 */   GIM_Try, /*On fail goto*//*Label 30914*/ GIMT_Encode4(2274304), // Rule ID 52343 //
     /* 2274261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2274264 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2274267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2274281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274303 */     // GIR_Coverage, 52343,
     /* 2274303 */     GIR_EraseRootFromParent_Done,
     /* 2274304 */   // Label 30914: @2274304
     /* 2274304 */   GIM_Try, /*On fail goto*//*Label 30915*/ GIMT_Encode4(2274352), // Rule ID 52344 //
     /* 2274309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2274312 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2274315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2274329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274351 */     // GIR_Coverage, 52344,
     /* 2274351 */     GIR_EraseRootFromParent_Done,
     /* 2274352 */   // Label 30915: @2274352
     /* 2274352 */   GIM_Reject,
     /* 2274353 */ // Label 30913: @2274353
     /* 2274353 */ GIM_Reject,
     /* 2274354 */ // Label 30877: @2274354
     /* 2274354 */ GIM_Try, /*On fail goto*//*Label 30916*/ GIMT_Encode4(2274474),
     /* 2274359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2274362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2274365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274377 */   GIM_Try, /*On fail goto*//*Label 30917*/ GIMT_Encode4(2274425), // Rule ID 52275 //
     /* 2274382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274385 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2274388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2274402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274424 */     // GIR_Coverage, 52275,
     /* 2274424 */     GIR_EraseRootFromParent_Done,
     /* 2274425 */   // Label 30917: @2274425
     /* 2274425 */   GIM_Try, /*On fail goto*//*Label 30918*/ GIMT_Encode4(2274473), // Rule ID 52276 //
     /* 2274430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274433 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2274436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2274450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274468 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274472 */     // GIR_Coverage, 52276,
     /* 2274472 */     GIR_EraseRootFromParent_Done,
     /* 2274473 */   // Label 30918: @2274473
     /* 2274473 */   GIM_Reject,
     /* 2274474 */ // Label 30916: @2274474
     /* 2274474 */ GIM_Reject,
     /* 2274475 */ // Label 30878: @2274475
     /* 2274475 */ GIM_Try, /*On fail goto*//*Label 30919*/ GIMT_Encode4(2274595),
     /* 2274480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2274483 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2274486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274498 */   GIM_Try, /*On fail goto*//*Label 30920*/ GIMT_Encode4(2274546), // Rule ID 52295 //
     /* 2274503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274506 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2274509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2274523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274545 */     // GIR_Coverage, 52295,
     /* 2274545 */     GIR_EraseRootFromParent_Done,
     /* 2274546 */   // Label 30920: @2274546
     /* 2274546 */   GIM_Try, /*On fail goto*//*Label 30921*/ GIMT_Encode4(2274594), // Rule ID 52296 //
     /* 2274551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274554 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2274557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2274571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274593 */     // GIR_Coverage, 52296,
     /* 2274593 */     GIR_EraseRootFromParent_Done,
     /* 2274594 */   // Label 30921: @2274594
     /* 2274594 */   GIM_Reject,
     /* 2274595 */ // Label 30919: @2274595
     /* 2274595 */ GIM_Reject,
     /* 2274596 */ // Label 30879: @2274596
     /* 2274596 */ GIM_Try, /*On fail goto*//*Label 30922*/ GIMT_Encode4(2274716),
     /* 2274601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2274604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2274607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274619 */   GIM_Try, /*On fail goto*//*Label 30923*/ GIMT_Encode4(2274667), // Rule ID 52331 //
     /* 2274624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274627 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2274630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2274644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274666 */     // GIR_Coverage, 52331,
     /* 2274666 */     GIR_EraseRootFromParent_Done,
     /* 2274667 */   // Label 30923: @2274667
     /* 2274667 */   GIM_Try, /*On fail goto*//*Label 30924*/ GIMT_Encode4(2274715), // Rule ID 52332 //
     /* 2274672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274675 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2274678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2274692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274714 */     // GIR_Coverage, 52332,
     /* 2274714 */     GIR_EraseRootFromParent_Done,
     /* 2274715 */   // Label 30924: @2274715
     /* 2274715 */   GIM_Reject,
     /* 2274716 */ // Label 30922: @2274716
     /* 2274716 */ GIM_Reject,
     /* 2274717 */ // Label 30880: @2274717
     /* 2274717 */ GIM_Try, /*On fail goto*//*Label 30925*/ GIMT_Encode4(2274837),
     /* 2274722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2274725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2274728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274740 */   GIM_Try, /*On fail goto*//*Label 30926*/ GIMT_Encode4(2274788), // Rule ID 52347 //
     /* 2274745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2274748 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2274751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2274765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274787 */     // GIR_Coverage, 52347,
     /* 2274787 */     GIR_EraseRootFromParent_Done,
     /* 2274788 */   // Label 30926: @2274788
     /* 2274788 */   GIM_Try, /*On fail goto*//*Label 30927*/ GIMT_Encode4(2274836), // Rule ID 52348 //
     /* 2274793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2274796 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2274799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2274813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274831 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274835 */     // GIR_Coverage, 52348,
     /* 2274835 */     GIR_EraseRootFromParent_Done,
     /* 2274836 */   // Label 30927: @2274836
     /* 2274836 */   GIM_Reject,
     /* 2274837 */ // Label 30925: @2274837
     /* 2274837 */ GIM_Reject,
     /* 2274838 */ // Label 30881: @2274838
     /* 2274838 */ GIM_Try, /*On fail goto*//*Label 30928*/ GIMT_Encode4(2274958),
     /* 2274843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2274846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2274849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274861 */   GIM_Try, /*On fail goto*//*Label 30929*/ GIMT_Encode4(2274909), // Rule ID 52291 //
     /* 2274866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274869 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2274872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2274886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274908 */     // GIR_Coverage, 52291,
     /* 2274908 */     GIR_EraseRootFromParent_Done,
     /* 2274909 */   // Label 30929: @2274909
     /* 2274909 */   GIM_Try, /*On fail goto*//*Label 30930*/ GIMT_Encode4(2274957), // Rule ID 52292 //
     /* 2274914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274917 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2274920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2274934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274956 */     // GIR_Coverage, 52292,
     /* 2274956 */     GIR_EraseRootFromParent_Done,
     /* 2274957 */   // Label 30930: @2274957
     /* 2274957 */   GIM_Reject,
     /* 2274958 */ // Label 30928: @2274958
     /* 2274958 */ GIM_Reject,
     /* 2274959 */ // Label 30882: @2274959
     /* 2274959 */ GIM_Try, /*On fail goto*//*Label 30931*/ GIMT_Encode4(2275079),
     /* 2274964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2274967 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2274970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274974 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274978 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274982 */   GIM_Try, /*On fail goto*//*Label 30932*/ GIMT_Encode4(2275030), // Rule ID 52319 //
     /* 2274987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274990 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2274993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2275007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275025 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275029 */     // GIR_Coverage, 52319,
     /* 2275029 */     GIR_EraseRootFromParent_Done,
     /* 2275030 */   // Label 30932: @2275030
     /* 2275030 */   GIM_Try, /*On fail goto*//*Label 30933*/ GIMT_Encode4(2275078), // Rule ID 52320 //
     /* 2275035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275038 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2275041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2275055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275073 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275077 */     // GIR_Coverage, 52320,
     /* 2275077 */     GIR_EraseRootFromParent_Done,
     /* 2275078 */   // Label 30933: @2275078
     /* 2275078 */   GIM_Reject,
     /* 2275079 */ // Label 30931: @2275079
     /* 2275079 */ GIM_Reject,
     /* 2275080 */ // Label 30883: @2275080
     /* 2275080 */ GIM_Try, /*On fail goto*//*Label 30934*/ GIMT_Encode4(2275200),
     /* 2275085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2275088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2275091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275103 */   GIM_Try, /*On fail goto*//*Label 30935*/ GIMT_Encode4(2275151), // Rule ID 52335 //
     /* 2275108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275111 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2275114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2275128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275150 */     // GIR_Coverage, 52335,
     /* 2275150 */     GIR_EraseRootFromParent_Done,
     /* 2275151 */   // Label 30935: @2275151
     /* 2275151 */   GIM_Try, /*On fail goto*//*Label 30936*/ GIMT_Encode4(2275199), // Rule ID 52336 //
     /* 2275156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275159 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2275162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2275176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275198 */     // GIR_Coverage, 52336,
     /* 2275198 */     GIR_EraseRootFromParent_Done,
     /* 2275199 */   // Label 30936: @2275199
     /* 2275199 */   GIM_Reject,
     /* 2275200 */ // Label 30934: @2275200
     /* 2275200 */ GIM_Reject,
     /* 2275201 */ // Label 30884: @2275201
     /* 2275201 */ GIM_Try, /*On fail goto*//*Label 30937*/ GIMT_Encode4(2275321),
     /* 2275206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2275209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2275212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275224 */   GIM_Try, /*On fail goto*//*Label 30938*/ GIMT_Encode4(2275272), // Rule ID 52351 //
     /* 2275229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2275232 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2275235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2275249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275267 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275271 */     // GIR_Coverage, 52351,
     /* 2275271 */     GIR_EraseRootFromParent_Done,
     /* 2275272 */   // Label 30938: @2275272
     /* 2275272 */   GIM_Try, /*On fail goto*//*Label 30939*/ GIMT_Encode4(2275320), // Rule ID 52352 //
     /* 2275277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2275280 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2275283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2275297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275319 */     // GIR_Coverage, 52352,
     /* 2275319 */     GIR_EraseRootFromParent_Done,
     /* 2275320 */   // Label 30939: @2275320
     /* 2275320 */   GIM_Reject,
     /* 2275321 */ // Label 30937: @2275321
     /* 2275321 */ GIM_Reject,
     /* 2275322 */ // Label 30885: @2275322
     /* 2275322 */ GIM_Try, /*On fail goto*//*Label 30940*/ GIMT_Encode4(2275442),
     /* 2275327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2275330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2275333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275341 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275345 */   GIM_Try, /*On fail goto*//*Label 30941*/ GIMT_Encode4(2275393), // Rule ID 52307 //
     /* 2275350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275353 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2275356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2275370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275388 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275392 */     // GIR_Coverage, 52307,
     /* 2275392 */     GIR_EraseRootFromParent_Done,
     /* 2275393 */   // Label 30941: @2275393
     /* 2275393 */   GIM_Try, /*On fail goto*//*Label 30942*/ GIMT_Encode4(2275441), // Rule ID 52308 //
     /* 2275398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275401 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2275404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2275418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275440 */     // GIR_Coverage, 52308,
     /* 2275440 */     GIR_EraseRootFromParent_Done,
     /* 2275441 */   // Label 30942: @2275441
     /* 2275441 */   GIM_Reject,
     /* 2275442 */ // Label 30940: @2275442
     /* 2275442 */ GIM_Reject,
     /* 2275443 */ // Label 30886: @2275443
     /* 2275443 */ GIM_Try, /*On fail goto*//*Label 30943*/ GIMT_Encode4(2275563),
     /* 2275448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2275451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2275454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275466 */   GIM_Try, /*On fail goto*//*Label 30944*/ GIMT_Encode4(2275514), // Rule ID 52323 //
     /* 2275471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275474 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2275477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2275491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275513 */     // GIR_Coverage, 52323,
     /* 2275513 */     GIR_EraseRootFromParent_Done,
     /* 2275514 */   // Label 30944: @2275514
     /* 2275514 */   GIM_Try, /*On fail goto*//*Label 30945*/ GIMT_Encode4(2275562), // Rule ID 52324 //
     /* 2275519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275522 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2275525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2275539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275561 */     // GIR_Coverage, 52324,
     /* 2275561 */     GIR_EraseRootFromParent_Done,
     /* 2275562 */   // Label 30945: @2275562
     /* 2275562 */   GIM_Reject,
     /* 2275563 */ // Label 30943: @2275563
     /* 2275563 */ GIM_Reject,
     /* 2275564 */ // Label 30887: @2275564
     /* 2275564 */ GIM_Try, /*On fail goto*//*Label 30946*/ GIMT_Encode4(2275684),
     /* 2275569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2275572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2275575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275583 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275587 */   GIM_Try, /*On fail goto*//*Label 30947*/ GIMT_Encode4(2275635), // Rule ID 52339 //
     /* 2275592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275595 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2275598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2275612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275634 */     // GIR_Coverage, 52339,
     /* 2275634 */     GIR_EraseRootFromParent_Done,
     /* 2275635 */   // Label 30947: @2275635
     /* 2275635 */   GIM_Try, /*On fail goto*//*Label 30948*/ GIMT_Encode4(2275683), // Rule ID 52340 //
     /* 2275640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275643 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2275646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2275660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275682 */     // GIR_Coverage, 52340,
     /* 2275682 */     GIR_EraseRootFromParent_Done,
     /* 2275683 */   // Label 30948: @2275683
     /* 2275683 */   GIM_Reject,
     /* 2275684 */ // Label 30946: @2275684
     /* 2275684 */ GIM_Reject,
     /* 2275685 */ // Label 30888: @2275685
     /* 2275685 */ GIM_Try, /*On fail goto*//*Label 30949*/ GIMT_Encode4(2275805),
     /* 2275690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2275693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2275696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275704 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275708 */   GIM_Try, /*On fail goto*//*Label 30950*/ GIMT_Encode4(2275756), // Rule ID 52311 //
     /* 2275713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275716 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2275719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2275733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275755 */     // GIR_Coverage, 52311,
     /* 2275755 */     GIR_EraseRootFromParent_Done,
     /* 2275756 */   // Label 30950: @2275756
     /* 2275756 */   GIM_Try, /*On fail goto*//*Label 30951*/ GIMT_Encode4(2275804), // Rule ID 52312 //
     /* 2275761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275764 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2275767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2275781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275803 */     // GIR_Coverage, 52312,
     /* 2275803 */     GIR_EraseRootFromParent_Done,
     /* 2275804 */   // Label 30951: @2275804
     /* 2275804 */   GIM_Reject,
     /* 2275805 */ // Label 30949: @2275805
     /* 2275805 */ GIM_Reject,
     /* 2275806 */ // Label 30889: @2275806
     /* 2275806 */ GIM_Try, /*On fail goto*//*Label 30952*/ GIMT_Encode4(2275926),
     /* 2275811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2275814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2275817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275825 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275829 */   GIM_Try, /*On fail goto*//*Label 30953*/ GIMT_Encode4(2275877), // Rule ID 52327 //
     /* 2275834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275837 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2275840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2275854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275876 */     // GIR_Coverage, 52327,
     /* 2275876 */     GIR_EraseRootFromParent_Done,
     /* 2275877 */   // Label 30953: @2275877
     /* 2275877 */   GIM_Try, /*On fail goto*//*Label 30954*/ GIMT_Encode4(2275925), // Rule ID 52328 //
     /* 2275882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2275885 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2275888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2275902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275924 */     // GIR_Coverage, 52328,
     /* 2275924 */     GIR_EraseRootFromParent_Done,
     /* 2275925 */   // Label 30954: @2275925
     /* 2275925 */   GIM_Reject,
     /* 2275926 */ // Label 30952: @2275926
     /* 2275926 */ GIM_Reject,
     /* 2275927 */ // Label 30890: @2275927
     /* 2275927 */ GIM_Try, /*On fail goto*//*Label 30955*/ GIMT_Encode4(2276047),
     /* 2275932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2275935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2275938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275950 */   GIM_Try, /*On fail goto*//*Label 30956*/ GIMT_Encode4(2275998), // Rule ID 52315 //
     /* 2275955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2275958 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2275961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2275975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275993 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2275996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275997 */     // GIR_Coverage, 52315,
     /* 2275997 */     GIR_EraseRootFromParent_Done,
     /* 2275998 */   // Label 30956: @2275998
     /* 2275998 */   GIM_Try, /*On fail goto*//*Label 30957*/ GIMT_Encode4(2276046), // Rule ID 52316 //
     /* 2276003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276006 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2276009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2276023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276045 */     // GIR_Coverage, 52316,
     /* 2276045 */     GIR_EraseRootFromParent_Done,
     /* 2276046 */   // Label 30957: @2276046
     /* 2276046 */   GIM_Reject,
     /* 2276047 */ // Label 30955: @2276047
     /* 2276047 */ GIM_Reject,
     /* 2276048 */ // Label 30891: @2276048
     /* 2276048 */ GIM_Reject,
     /* 2276049 */ // Label 56: @2276049
     /* 2276049 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 30980*/ GIMT_Encode4(2278834),
     /* 2276060 */ /*GILLT_nxv1s8*//*Label 30958*/ GIMT_Encode4(2276172),
     /* 2276064 */ /*GILLT_nxv1s16*//*Label 30959*/ GIMT_Encode4(2276293),
     /* 2276068 */ /*GILLT_nxv1s32*//*Label 30960*/ GIMT_Encode4(2276414),
     /* 2276072 */ /*GILLT_nxv1s64*//*Label 30961*/ GIMT_Encode4(2276535), GIMT_Encode4(0),
     /* 2276080 */ /*GILLT_nxv2s8*//*Label 30962*/ GIMT_Encode4(2276656),
     /* 2276084 */ /*GILLT_nxv2s16*//*Label 30963*/ GIMT_Encode4(2276777),
     /* 2276088 */ /*GILLT_nxv2s32*//*Label 30964*/ GIMT_Encode4(2276898),
     /* 2276092 */ /*GILLT_nxv2s64*//*Label 30965*/ GIMT_Encode4(2277019), GIMT_Encode4(0),
     /* 2276100 */ /*GILLT_nxv4s8*//*Label 30966*/ GIMT_Encode4(2277140),
     /* 2276104 */ /*GILLT_nxv4s16*//*Label 30967*/ GIMT_Encode4(2277261),
     /* 2276108 */ /*GILLT_nxv4s32*//*Label 30968*/ GIMT_Encode4(2277382),
     /* 2276112 */ /*GILLT_nxv4s64*//*Label 30969*/ GIMT_Encode4(2277503), GIMT_Encode4(0),
     /* 2276120 */ /*GILLT_nxv8s8*//*Label 30970*/ GIMT_Encode4(2277624),
     /* 2276124 */ /*GILLT_nxv8s16*//*Label 30971*/ GIMT_Encode4(2277745),
     /* 2276128 */ /*GILLT_nxv8s32*//*Label 30972*/ GIMT_Encode4(2277866),
     /* 2276132 */ /*GILLT_nxv8s64*//*Label 30973*/ GIMT_Encode4(2277987), GIMT_Encode4(0),
     /* 2276140 */ /*GILLT_nxv16s8*//*Label 30974*/ GIMT_Encode4(2278108),
     /* 2276144 */ /*GILLT_nxv16s16*//*Label 30975*/ GIMT_Encode4(2278229),
     /* 2276148 */ /*GILLT_nxv16s32*//*Label 30976*/ GIMT_Encode4(2278350), GIMT_Encode4(0),
     /* 2276156 */ /*GILLT_nxv32s8*//*Label 30977*/ GIMT_Encode4(2278471),
     /* 2276160 */ /*GILLT_nxv32s16*//*Label 30978*/ GIMT_Encode4(2278592), GIMT_Encode4(0),
     /* 2276168 */ /*GILLT_nxv64s8*//*Label 30979*/ GIMT_Encode4(2278713),
     /* 2276172 */ // Label 30958: @2276172
     /* 2276172 */ GIM_Try, /*On fail goto*//*Label 30981*/ GIMT_Encode4(2276292),
     /* 2276177 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2276180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2276183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276195 */   GIM_Try, /*On fail goto*//*Label 30982*/ GIMT_Encode4(2276243), // Rule ID 52179 //
     /* 2276200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276203 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2276206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2276220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276242 */     // GIR_Coverage, 52179,
     /* 2276242 */     GIR_EraseRootFromParent_Done,
     /* 2276243 */   // Label 30982: @2276243
     /* 2276243 */   GIM_Try, /*On fail goto*//*Label 30983*/ GIMT_Encode4(2276291), // Rule ID 52180 //
     /* 2276248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276251 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2276254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2276268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276290 */     // GIR_Coverage, 52180,
     /* 2276290 */     GIR_EraseRootFromParent_Done,
     /* 2276291 */   // Label 30983: @2276291
     /* 2276291 */   GIM_Reject,
     /* 2276292 */ // Label 30981: @2276292
     /* 2276292 */ GIM_Reject,
     /* 2276293 */ // Label 30959: @2276293
     /* 2276293 */ GIM_Try, /*On fail goto*//*Label 30984*/ GIMT_Encode4(2276413),
     /* 2276298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2276301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2276304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276316 */   GIM_Try, /*On fail goto*//*Label 30985*/ GIMT_Encode4(2276364), // Rule ID 52191 //
     /* 2276321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276324 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2276327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2276341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276363 */     // GIR_Coverage, 52191,
     /* 2276363 */     GIR_EraseRootFromParent_Done,
     /* 2276364 */   // Label 30985: @2276364
     /* 2276364 */   GIM_Try, /*On fail goto*//*Label 30986*/ GIMT_Encode4(2276412), // Rule ID 52192 //
     /* 2276369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276372 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2276375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2276389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276411 */     // GIR_Coverage, 52192,
     /* 2276411 */     GIR_EraseRootFromParent_Done,
     /* 2276412 */   // Label 30986: @2276412
     /* 2276412 */   GIM_Reject,
     /* 2276413 */ // Label 30984: @2276413
     /* 2276413 */ GIM_Reject,
     /* 2276414 */ // Label 30960: @2276414
     /* 2276414 */ GIM_Try, /*On fail goto*//*Label 30987*/ GIMT_Encode4(2276534),
     /* 2276419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2276422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2276425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276433 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276437 */   GIM_Try, /*On fail goto*//*Label 30988*/ GIMT_Encode4(2276485), // Rule ID 52199 //
     /* 2276442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276445 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2276448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2276462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276484 */     // GIR_Coverage, 52199,
     /* 2276484 */     GIR_EraseRootFromParent_Done,
     /* 2276485 */   // Label 30988: @2276485
     /* 2276485 */   GIM_Try, /*On fail goto*//*Label 30989*/ GIMT_Encode4(2276533), // Rule ID 52200 //
     /* 2276490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276493 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2276496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2276510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276532 */     // GIR_Coverage, 52200,
     /* 2276532 */     GIR_EraseRootFromParent_Done,
     /* 2276533 */   // Label 30989: @2276533
     /* 2276533 */   GIM_Reject,
     /* 2276534 */ // Label 30987: @2276534
     /* 2276534 */ GIM_Reject,
     /* 2276535 */ // Label 30961: @2276535
     /* 2276535 */ GIM_Try, /*On fail goto*//*Label 30990*/ GIMT_Encode4(2276655),
     /* 2276540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2276543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2276546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276554 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276558 */   GIM_Try, /*On fail goto*//*Label 30991*/ GIMT_Encode4(2276606), // Rule ID 52215 //
     /* 2276563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2276566 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2276569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2276583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276601 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276605 */     // GIR_Coverage, 52215,
     /* 2276605 */     GIR_EraseRootFromParent_Done,
     /* 2276606 */   // Label 30991: @2276606
     /* 2276606 */   GIM_Try, /*On fail goto*//*Label 30992*/ GIMT_Encode4(2276654), // Rule ID 52216 //
     /* 2276611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2276614 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2276617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2276631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276649 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276653 */     // GIR_Coverage, 52216,
     /* 2276653 */     GIR_EraseRootFromParent_Done,
     /* 2276654 */   // Label 30992: @2276654
     /* 2276654 */   GIM_Reject,
     /* 2276655 */ // Label 30990: @2276655
     /* 2276655 */ GIM_Reject,
     /* 2276656 */ // Label 30962: @2276656
     /* 2276656 */ GIM_Try, /*On fail goto*//*Label 30993*/ GIMT_Encode4(2276776),
     /* 2276661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2276664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2276667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276675 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276679 */   GIM_Try, /*On fail goto*//*Label 30994*/ GIMT_Encode4(2276727), // Rule ID 52183 //
     /* 2276684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276687 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2276690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2276704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276726 */     // GIR_Coverage, 52183,
     /* 2276726 */     GIR_EraseRootFromParent_Done,
     /* 2276727 */   // Label 30994: @2276727
     /* 2276727 */   GIM_Try, /*On fail goto*//*Label 30995*/ GIMT_Encode4(2276775), // Rule ID 52184 //
     /* 2276732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276735 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2276738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2276752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276770 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276774 */     // GIR_Coverage, 52184,
     /* 2276774 */     GIR_EraseRootFromParent_Done,
     /* 2276775 */   // Label 30995: @2276775
     /* 2276775 */   GIM_Reject,
     /* 2276776 */ // Label 30993: @2276776
     /* 2276776 */ GIM_Reject,
     /* 2276777 */ // Label 30963: @2276777
     /* 2276777 */ GIM_Try, /*On fail goto*//*Label 30996*/ GIMT_Encode4(2276897),
     /* 2276782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2276785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2276788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276800 */   GIM_Try, /*On fail goto*//*Label 30997*/ GIMT_Encode4(2276848), // Rule ID 52195 //
     /* 2276805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276808 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2276811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2276825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276843 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276847 */     // GIR_Coverage, 52195,
     /* 2276847 */     GIR_EraseRootFromParent_Done,
     /* 2276848 */   // Label 30997: @2276848
     /* 2276848 */   GIM_Try, /*On fail goto*//*Label 30998*/ GIMT_Encode4(2276896), // Rule ID 52196 //
     /* 2276853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276856 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2276859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2276873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276891 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276895 */     // GIR_Coverage, 52196,
     /* 2276895 */     GIR_EraseRootFromParent_Done,
     /* 2276896 */   // Label 30998: @2276896
     /* 2276896 */   GIM_Reject,
     /* 2276897 */ // Label 30996: @2276897
     /* 2276897 */ GIM_Reject,
     /* 2276898 */ // Label 30964: @2276898
     /* 2276898 */ GIM_Try, /*On fail goto*//*Label 30999*/ GIMT_Encode4(2277018),
     /* 2276903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2276906 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2276909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276917 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276921 */   GIM_Try, /*On fail goto*//*Label 31000*/ GIMT_Encode4(2276969), // Rule ID 52211 //
     /* 2276926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2276929 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2276932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2276946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276964 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2276967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276968 */     // GIR_Coverage, 52211,
     /* 2276968 */     GIR_EraseRootFromParent_Done,
     /* 2276969 */   // Label 31000: @2276969
     /* 2276969 */   GIM_Try, /*On fail goto*//*Label 31001*/ GIMT_Encode4(2277017), // Rule ID 52212 //
     /* 2276974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2276977 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2276980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2276994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277016 */     // GIR_Coverage, 52212,
     /* 2277016 */     GIR_EraseRootFromParent_Done,
     /* 2277017 */   // Label 31001: @2277017
     /* 2277017 */   GIM_Reject,
     /* 2277018 */ // Label 30999: @2277018
     /* 2277018 */ GIM_Reject,
     /* 2277019 */ // Label 30965: @2277019
     /* 2277019 */ GIM_Try, /*On fail goto*//*Label 31002*/ GIMT_Encode4(2277139),
     /* 2277024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2277027 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2277030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277038 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277042 */   GIM_Try, /*On fail goto*//*Label 31003*/ GIMT_Encode4(2277090), // Rule ID 52255 //
     /* 2277047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2277050 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2277053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2277067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277089 */     // GIR_Coverage, 52255,
     /* 2277089 */     GIR_EraseRootFromParent_Done,
     /* 2277090 */   // Label 31003: @2277090
     /* 2277090 */   GIM_Try, /*On fail goto*//*Label 31004*/ GIMT_Encode4(2277138), // Rule ID 52256 //
     /* 2277095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2277098 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2277101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2277115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277137 */     // GIR_Coverage, 52256,
     /* 2277137 */     GIR_EraseRootFromParent_Done,
     /* 2277138 */   // Label 31004: @2277138
     /* 2277138 */   GIM_Reject,
     /* 2277139 */ // Label 31002: @2277139
     /* 2277139 */ GIM_Reject,
     /* 2277140 */ // Label 30966: @2277140
     /* 2277140 */ GIM_Try, /*On fail goto*//*Label 31005*/ GIMT_Encode4(2277260),
     /* 2277145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2277148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2277151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277159 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277163 */   GIM_Try, /*On fail goto*//*Label 31006*/ GIMT_Encode4(2277211), // Rule ID 52187 //
     /* 2277168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277171 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2277174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2277188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277210 */     // GIR_Coverage, 52187,
     /* 2277210 */     GIR_EraseRootFromParent_Done,
     /* 2277211 */   // Label 31006: @2277211
     /* 2277211 */   GIM_Try, /*On fail goto*//*Label 31007*/ GIMT_Encode4(2277259), // Rule ID 52188 //
     /* 2277216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277219 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2277222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2277236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277254 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277258 */     // GIR_Coverage, 52188,
     /* 2277258 */     GIR_EraseRootFromParent_Done,
     /* 2277259 */   // Label 31007: @2277259
     /* 2277259 */   GIM_Reject,
     /* 2277260 */ // Label 31005: @2277260
     /* 2277260 */ GIM_Reject,
     /* 2277261 */ // Label 30967: @2277261
     /* 2277261 */ GIM_Try, /*On fail goto*//*Label 31008*/ GIMT_Encode4(2277381),
     /* 2277266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2277269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2277272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277276 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277280 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277284 */   GIM_Try, /*On fail goto*//*Label 31009*/ GIMT_Encode4(2277332), // Rule ID 52207 //
     /* 2277289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277292 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2277295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2277309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277331 */     // GIR_Coverage, 52207,
     /* 2277331 */     GIR_EraseRootFromParent_Done,
     /* 2277332 */   // Label 31009: @2277332
     /* 2277332 */   GIM_Try, /*On fail goto*//*Label 31010*/ GIMT_Encode4(2277380), // Rule ID 52208 //
     /* 2277337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277340 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2277343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2277357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277375 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277379 */     // GIR_Coverage, 52208,
     /* 2277379 */     GIR_EraseRootFromParent_Done,
     /* 2277380 */   // Label 31010: @2277380
     /* 2277380 */   GIM_Reject,
     /* 2277381 */ // Label 31008: @2277381
     /* 2277381 */ GIM_Reject,
     /* 2277382 */ // Label 30968: @2277382
     /* 2277382 */ GIM_Try, /*On fail goto*//*Label 31011*/ GIMT_Encode4(2277502),
     /* 2277387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2277390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2277393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277401 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277405 */   GIM_Try, /*On fail goto*//*Label 31012*/ GIMT_Encode4(2277453), // Rule ID 52243 //
     /* 2277410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277413 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2277416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2277430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277448 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277452 */     // GIR_Coverage, 52243,
     /* 2277452 */     GIR_EraseRootFromParent_Done,
     /* 2277453 */   // Label 31012: @2277453
     /* 2277453 */   GIM_Try, /*On fail goto*//*Label 31013*/ GIMT_Encode4(2277501), // Rule ID 52244 //
     /* 2277458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277461 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2277464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2277478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277496 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277500 */     // GIR_Coverage, 52244,
     /* 2277500 */     GIR_EraseRootFromParent_Done,
     /* 2277501 */   // Label 31013: @2277501
     /* 2277501 */   GIM_Reject,
     /* 2277502 */ // Label 31011: @2277502
     /* 2277502 */ GIM_Reject,
     /* 2277503 */ // Label 30969: @2277503
     /* 2277503 */ GIM_Try, /*On fail goto*//*Label 31014*/ GIMT_Encode4(2277623),
     /* 2277508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2277511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2277514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277522 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277526 */   GIM_Try, /*On fail goto*//*Label 31015*/ GIMT_Encode4(2277574), // Rule ID 52259 //
     /* 2277531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2277534 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2277537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2277551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277573 */     // GIR_Coverage, 52259,
     /* 2277573 */     GIR_EraseRootFromParent_Done,
     /* 2277574 */   // Label 31015: @2277574
     /* 2277574 */   GIM_Try, /*On fail goto*//*Label 31016*/ GIMT_Encode4(2277622), // Rule ID 52260 //
     /* 2277579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2277582 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2277585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2277599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277621 */     // GIR_Coverage, 52260,
     /* 2277621 */     GIR_EraseRootFromParent_Done,
     /* 2277622 */   // Label 31016: @2277622
     /* 2277622 */   GIM_Reject,
     /* 2277623 */ // Label 31014: @2277623
     /* 2277623 */ GIM_Reject,
     /* 2277624 */ // Label 30970: @2277624
     /* 2277624 */ GIM_Try, /*On fail goto*//*Label 31017*/ GIMT_Encode4(2277744),
     /* 2277629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2277632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2277635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277643 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277647 */   GIM_Try, /*On fail goto*//*Label 31018*/ GIMT_Encode4(2277695), // Rule ID 52203 //
     /* 2277652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277655 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2277658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2277672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277694 */     // GIR_Coverage, 52203,
     /* 2277694 */     GIR_EraseRootFromParent_Done,
     /* 2277695 */   // Label 31018: @2277695
     /* 2277695 */   GIM_Try, /*On fail goto*//*Label 31019*/ GIMT_Encode4(2277743), // Rule ID 52204 //
     /* 2277700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277703 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2277706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2277720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277742 */     // GIR_Coverage, 52204,
     /* 2277742 */     GIR_EraseRootFromParent_Done,
     /* 2277743 */   // Label 31019: @2277743
     /* 2277743 */   GIM_Reject,
     /* 2277744 */ // Label 31017: @2277744
     /* 2277744 */ GIM_Reject,
     /* 2277745 */ // Label 30971: @2277745
     /* 2277745 */ GIM_Try, /*On fail goto*//*Label 31020*/ GIMT_Encode4(2277865),
     /* 2277750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2277753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2277756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277764 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277768 */   GIM_Try, /*On fail goto*//*Label 31021*/ GIMT_Encode4(2277816), // Rule ID 52231 //
     /* 2277773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277776 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2277779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2277793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277815 */     // GIR_Coverage, 52231,
     /* 2277815 */     GIR_EraseRootFromParent_Done,
     /* 2277816 */   // Label 31021: @2277816
     /* 2277816 */   GIM_Try, /*On fail goto*//*Label 31022*/ GIMT_Encode4(2277864), // Rule ID 52232 //
     /* 2277821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277824 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2277827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2277841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277863 */     // GIR_Coverage, 52232,
     /* 2277863 */     GIR_EraseRootFromParent_Done,
     /* 2277864 */   // Label 31022: @2277864
     /* 2277864 */   GIM_Reject,
     /* 2277865 */ // Label 31020: @2277865
     /* 2277865 */ GIM_Reject,
     /* 2277866 */ // Label 30972: @2277866
     /* 2277866 */ GIM_Try, /*On fail goto*//*Label 31023*/ GIMT_Encode4(2277986),
     /* 2277871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2277874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2277877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277889 */   GIM_Try, /*On fail goto*//*Label 31024*/ GIMT_Encode4(2277937), // Rule ID 52247 //
     /* 2277894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2277897 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2277900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2277914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277936 */     // GIR_Coverage, 52247,
     /* 2277936 */     GIR_EraseRootFromParent_Done,
     /* 2277937 */   // Label 31024: @2277937
     /* 2277937 */   GIM_Try, /*On fail goto*//*Label 31025*/ GIMT_Encode4(2277985), // Rule ID 52248 //
     /* 2277942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2277945 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2277948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2277962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2277983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277984 */     // GIR_Coverage, 52248,
     /* 2277984 */     GIR_EraseRootFromParent_Done,
     /* 2277985 */   // Label 31025: @2277985
     /* 2277985 */   GIM_Reject,
     /* 2277986 */ // Label 31023: @2277986
     /* 2277986 */ GIM_Reject,
     /* 2277987 */ // Label 30973: @2277987
     /* 2277987 */ GIM_Try, /*On fail goto*//*Label 31026*/ GIMT_Encode4(2278107),
     /* 2277992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2277995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2277998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278006 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278010 */   GIM_Try, /*On fail goto*//*Label 31027*/ GIMT_Encode4(2278058), // Rule ID 52263 //
     /* 2278015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2278018 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2278021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2278035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278053 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278057 */     // GIR_Coverage, 52263,
     /* 2278057 */     GIR_EraseRootFromParent_Done,
     /* 2278058 */   // Label 31027: @2278058
     /* 2278058 */   GIM_Try, /*On fail goto*//*Label 31028*/ GIMT_Encode4(2278106), // Rule ID 52264 //
     /* 2278063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2278066 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2278069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2278083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278105 */     // GIR_Coverage, 52264,
     /* 2278105 */     GIR_EraseRootFromParent_Done,
     /* 2278106 */   // Label 31028: @2278106
     /* 2278106 */   GIM_Reject,
     /* 2278107 */ // Label 31026: @2278107
     /* 2278107 */ GIM_Reject,
     /* 2278108 */ // Label 30974: @2278108
     /* 2278108 */ GIM_Try, /*On fail goto*//*Label 31029*/ GIMT_Encode4(2278228),
     /* 2278113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2278116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2278119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278127 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278131 */   GIM_Try, /*On fail goto*//*Label 31030*/ GIMT_Encode4(2278179), // Rule ID 52219 //
     /* 2278136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278139 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2278142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2278156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278178 */     // GIR_Coverage, 52219,
     /* 2278178 */     GIR_EraseRootFromParent_Done,
     /* 2278179 */   // Label 31030: @2278179
     /* 2278179 */   GIM_Try, /*On fail goto*//*Label 31031*/ GIMT_Encode4(2278227), // Rule ID 52220 //
     /* 2278184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278187 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2278190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2278204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278226 */     // GIR_Coverage, 52220,
     /* 2278226 */     GIR_EraseRootFromParent_Done,
     /* 2278227 */   // Label 31031: @2278227
     /* 2278227 */   GIM_Reject,
     /* 2278228 */ // Label 31029: @2278228
     /* 2278228 */ GIM_Reject,
     /* 2278229 */ // Label 30975: @2278229
     /* 2278229 */ GIM_Try, /*On fail goto*//*Label 31032*/ GIMT_Encode4(2278349),
     /* 2278234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2278237 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2278240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278248 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278252 */   GIM_Try, /*On fail goto*//*Label 31033*/ GIMT_Encode4(2278300), // Rule ID 52235 //
     /* 2278257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278260 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2278263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2278277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278299 */     // GIR_Coverage, 52235,
     /* 2278299 */     GIR_EraseRootFromParent_Done,
     /* 2278300 */   // Label 31033: @2278300
     /* 2278300 */   GIM_Try, /*On fail goto*//*Label 31034*/ GIMT_Encode4(2278348), // Rule ID 52236 //
     /* 2278305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278308 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2278311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2278325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278343 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278347 */     // GIR_Coverage, 52236,
     /* 2278347 */     GIR_EraseRootFromParent_Done,
     /* 2278348 */   // Label 31034: @2278348
     /* 2278348 */   GIM_Reject,
     /* 2278349 */ // Label 31032: @2278349
     /* 2278349 */ GIM_Reject,
     /* 2278350 */ // Label 30976: @2278350
     /* 2278350 */ GIM_Try, /*On fail goto*//*Label 31035*/ GIMT_Encode4(2278470),
     /* 2278355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2278358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2278361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278365 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278369 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278373 */   GIM_Try, /*On fail goto*//*Label 31036*/ GIMT_Encode4(2278421), // Rule ID 52251 //
     /* 2278378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278381 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2278384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2278398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278420 */     // GIR_Coverage, 52251,
     /* 2278420 */     GIR_EraseRootFromParent_Done,
     /* 2278421 */   // Label 31036: @2278421
     /* 2278421 */   GIM_Try, /*On fail goto*//*Label 31037*/ GIMT_Encode4(2278469), // Rule ID 52252 //
     /* 2278426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278429 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2278432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2278446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278468 */     // GIR_Coverage, 52252,
     /* 2278468 */     GIR_EraseRootFromParent_Done,
     /* 2278469 */   // Label 31037: @2278469
     /* 2278469 */   GIM_Reject,
     /* 2278470 */ // Label 31035: @2278470
     /* 2278470 */ GIM_Reject,
     /* 2278471 */ // Label 30977: @2278471
     /* 2278471 */ GIM_Try, /*On fail goto*//*Label 31038*/ GIMT_Encode4(2278591),
     /* 2278476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2278479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2278482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278490 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278494 */   GIM_Try, /*On fail goto*//*Label 31039*/ GIMT_Encode4(2278542), // Rule ID 52223 //
     /* 2278499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278502 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2278505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2278519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278537 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278541 */     // GIR_Coverage, 52223,
     /* 2278541 */     GIR_EraseRootFromParent_Done,
     /* 2278542 */   // Label 31039: @2278542
     /* 2278542 */   GIM_Try, /*On fail goto*//*Label 31040*/ GIMT_Encode4(2278590), // Rule ID 52224 //
     /* 2278547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278550 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2278553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2278567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278585 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278589 */     // GIR_Coverage, 52224,
     /* 2278589 */     GIR_EraseRootFromParent_Done,
     /* 2278590 */   // Label 31040: @2278590
     /* 2278590 */   GIM_Reject,
     /* 2278591 */ // Label 31038: @2278591
     /* 2278591 */ GIM_Reject,
     /* 2278592 */ // Label 30978: @2278592
     /* 2278592 */ GIM_Try, /*On fail goto*//*Label 31041*/ GIMT_Encode4(2278712),
     /* 2278597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2278600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2278603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278611 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278615 */   GIM_Try, /*On fail goto*//*Label 31042*/ GIMT_Encode4(2278663), // Rule ID 52239 //
     /* 2278620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278623 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2278626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2278640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278662 */     // GIR_Coverage, 52239,
     /* 2278662 */     GIR_EraseRootFromParent_Done,
     /* 2278663 */   // Label 31042: @2278663
     /* 2278663 */   GIM_Try, /*On fail goto*//*Label 31043*/ GIMT_Encode4(2278711), // Rule ID 52240 //
     /* 2278668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278671 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2278674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2278688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278710 */     // GIR_Coverage, 52240,
     /* 2278710 */     GIR_EraseRootFromParent_Done,
     /* 2278711 */   // Label 31043: @2278711
     /* 2278711 */   GIM_Reject,
     /* 2278712 */ // Label 31041: @2278712
     /* 2278712 */ GIM_Reject,
     /* 2278713 */ // Label 30979: @2278713
     /* 2278713 */ GIM_Try, /*On fail goto*//*Label 31044*/ GIMT_Encode4(2278833),
     /* 2278718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2278721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2278724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278732 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278736 */   GIM_Try, /*On fail goto*//*Label 31045*/ GIMT_Encode4(2278784), // Rule ID 52227 //
     /* 2278741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278744 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2278747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2278761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278783 */     // GIR_Coverage, 52227,
     /* 2278783 */     GIR_EraseRootFromParent_Done,
     /* 2278784 */   // Label 31045: @2278784
     /* 2278784 */   GIM_Try, /*On fail goto*//*Label 31046*/ GIMT_Encode4(2278832), // Rule ID 52228 //
     /* 2278789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278792 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2278795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2278809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278827 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2278830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278831 */     // GIR_Coverage, 52228,
     /* 2278831 */     GIR_EraseRootFromParent_Done,
     /* 2278832 */   // Label 31046: @2278832
     /* 2278832 */   GIM_Reject,
     /* 2278833 */ // Label 31044: @2278833
     /* 2278833 */ GIM_Reject,
     /* 2278834 */ // Label 30980: @2278834
     /* 2278834 */ GIM_Reject,
     /* 2278835 */ // Label 57: @2278835
     /* 2278835 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31065*/ GIMT_Encode4(2281262),
     /* 2278846 */ /*GILLT_s16*//*Label 31047*/ GIMT_Encode4(2278966),
     /* 2278850 */ /*GILLT_s32*//*Label 31048*/ GIMT_Encode4(2279115),
     /* 2278854 */ /*GILLT_s64*//*Label 31049*/ GIMT_Encode4(2279264), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2278866 */ /*GILLT_nxv1s16*//*Label 31050*/ GIMT_Encode4(2279447),
     /* 2278870 */ /*GILLT_nxv1s32*//*Label 31051*/ GIMT_Encode4(2279568),
     /* 2278874 */ /*GILLT_nxv1s64*//*Label 31052*/ GIMT_Encode4(2279689), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2278886 */ /*GILLT_nxv2s16*//*Label 31053*/ GIMT_Encode4(2279810),
     /* 2278890 */ /*GILLT_nxv2s32*//*Label 31054*/ GIMT_Encode4(2279931),
     /* 2278894 */ /*GILLT_nxv2s64*//*Label 31055*/ GIMT_Encode4(2280052), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2278906 */ /*GILLT_nxv4s16*//*Label 31056*/ GIMT_Encode4(2280173),
     /* 2278910 */ /*GILLT_nxv4s32*//*Label 31057*/ GIMT_Encode4(2280294),
     /* 2278914 */ /*GILLT_nxv4s64*//*Label 31058*/ GIMT_Encode4(2280415), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2278926 */ /*GILLT_nxv8s16*//*Label 31059*/ GIMT_Encode4(2280536),
     /* 2278930 */ /*GILLT_nxv8s32*//*Label 31060*/ GIMT_Encode4(2280657),
     /* 2278934 */ /*GILLT_nxv8s64*//*Label 31061*/ GIMT_Encode4(2280778), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2278946 */ /*GILLT_nxv16s16*//*Label 31062*/ GIMT_Encode4(2280899),
     /* 2278950 */ /*GILLT_nxv16s32*//*Label 31063*/ GIMT_Encode4(2281020), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2278962 */ /*GILLT_nxv32s16*//*Label 31064*/ GIMT_Encode4(2281141),
     /* 2278966 */ // Label 31047: @2278966
     /* 2278966 */ GIM_Try, /*On fail goto*//*Label 31066*/ GIMT_Encode4(2279114),
     /* 2278971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2278974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2278977 */   GIM_Try, /*On fail goto*//*Label 31067*/ GIMT_Encode4(2279011), // Rule ID 1817 //
     /* 2278982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2278985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2278997 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2278997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2279000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279010 */     // GIR_Coverage, 1817,
     /* 2279010 */     GIR_EraseRootFromParent_Done,
     /* 2279011 */   // Label 31067: @2279011
     /* 2279011 */   GIM_Try, /*On fail goto*//*Label 31068*/ GIMT_Encode4(2279045), // Rule ID 1818 //
     /* 2279016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2279019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279031 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2279031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2279034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279044 */     // GIR_Coverage, 1818,
     /* 2279044 */     GIR_EraseRootFromParent_Done,
     /* 2279045 */   // Label 31068: @2279045
     /* 2279045 */   GIM_Try, /*On fail goto*//*Label 31069*/ GIMT_Encode4(2279079), // Rule ID 1821 //
     /* 2279050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2279053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279065 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2279065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2279068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279078 */     // GIR_Coverage, 1821,
     /* 2279078 */     GIR_EraseRootFromParent_Done,
     /* 2279079 */   // Label 31069: @2279079
     /* 2279079 */   GIM_Try, /*On fail goto*//*Label 31070*/ GIMT_Encode4(2279113), // Rule ID 1822 //
     /* 2279084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2279087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279099 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2279099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2279102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279112 */     // GIR_Coverage, 1822,
     /* 2279112 */     GIR_EraseRootFromParent_Done,
     /* 2279113 */   // Label 31070: @2279113
     /* 2279113 */   GIM_Reject,
     /* 2279114 */ // Label 31066: @2279114
     /* 2279114 */ GIM_Reject,
     /* 2279115 */ // Label 31048: @2279115
     /* 2279115 */ GIM_Try, /*On fail goto*//*Label 31071*/ GIMT_Encode4(2279263),
     /* 2279120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2279126 */   GIM_Try, /*On fail goto*//*Label 31072*/ GIMT_Encode4(2279160), // Rule ID 1108 //
     /* 2279131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2279134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279146 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2279146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2279149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279159 */     // GIR_Coverage, 1108,
     /* 2279159 */     GIR_EraseRootFromParent_Done,
     /* 2279160 */   // Label 31072: @2279160
     /* 2279160 */   GIM_Try, /*On fail goto*//*Label 31073*/ GIMT_Encode4(2279194), // Rule ID 1109 //
     /* 2279165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2279168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279180 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2279180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2279183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279193 */     // GIR_Coverage, 1109,
     /* 2279193 */     GIR_EraseRootFromParent_Done,
     /* 2279194 */   // Label 31073: @2279194
     /* 2279194 */   GIM_Try, /*On fail goto*//*Label 31074*/ GIMT_Encode4(2279228), // Rule ID 1112 //
     /* 2279199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2279202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279214 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2279214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2279217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279227 */     // GIR_Coverage, 1112,
     /* 2279227 */     GIR_EraseRootFromParent_Done,
     /* 2279228 */   // Label 31074: @2279228
     /* 2279228 */   GIM_Try, /*On fail goto*//*Label 31075*/ GIMT_Encode4(2279262), // Rule ID 1113 //
     /* 2279233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2279236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279248 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2279248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2279251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279261 */     // GIR_Coverage, 1113,
     /* 2279261 */     GIR_EraseRootFromParent_Done,
     /* 2279262 */   // Label 31075: @2279262
     /* 2279262 */   GIM_Reject,
     /* 2279263 */ // Label 31071: @2279263
     /* 2279263 */ GIM_Reject,
     /* 2279264 */ // Label 31049: @2279264
     /* 2279264 */ GIM_Try, /*On fail goto*//*Label 31076*/ GIMT_Encode4(2279446),
     /* 2279269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2279272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2279275 */   GIM_Try, /*On fail goto*//*Label 31077*/ GIMT_Encode4(2279309), // Rule ID 1443 //
     /* 2279280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2279283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2279287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2279291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2279295 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2279295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2279298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279308 */     // GIR_Coverage, 1443,
     /* 2279308 */     GIR_EraseRootFromParent_Done,
     /* 2279309 */   // Label 31077: @2279309
     /* 2279309 */   GIM_Try, /*On fail goto*//*Label 31078*/ GIMT_Encode4(2279343), // Rule ID 1444 //
     /* 2279314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2279317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2279321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2279325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2279329 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2279329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2279332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279342 */     // GIR_Coverage, 1444,
     /* 2279342 */     GIR_EraseRootFromParent_Done,
     /* 2279343 */   // Label 31078: @2279343
     /* 2279343 */   GIM_Try, /*On fail goto*//*Label 31079*/ GIMT_Encode4(2279377), // Rule ID 1447 //
     /* 2279348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2279351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2279355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2279359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2279363 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2279363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2279366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279376 */     // GIR_Coverage, 1447,
     /* 2279376 */     GIR_EraseRootFromParent_Done,
     /* 2279377 */   // Label 31079: @2279377
     /* 2279377 */   GIM_Try, /*On fail goto*//*Label 31080*/ GIMT_Encode4(2279411), // Rule ID 1448 //
     /* 2279382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2279385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2279389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2279393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2279397 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2279397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2279400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279410 */     // GIR_Coverage, 1448,
     /* 2279410 */     GIR_EraseRootFromParent_Done,
     /* 2279411 */   // Label 31080: @2279411
     /* 2279411 */   GIM_Try, /*On fail goto*//*Label 31081*/ GIMT_Encode4(2279445), // Rule ID 1450 //
     /* 2279416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2279419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2279423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2279427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2279431 */     // (fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2279431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2279434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279444 */     // GIR_Coverage, 1450,
     /* 2279444 */     GIR_EraseRootFromParent_Done,
     /* 2279445 */   // Label 31081: @2279445
     /* 2279445 */   GIM_Reject,
     /* 2279446 */ // Label 31076: @2279446
     /* 2279446 */ GIM_Reject,
     /* 2279447 */ // Label 31050: @2279447
     /* 2279447 */ GIM_Try, /*On fail goto*//*Label 31082*/ GIMT_Encode4(2279567),
     /* 2279452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2279455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2279458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279466 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279470 */   GIM_Try, /*On fail goto*//*Label 31083*/ GIMT_Encode4(2279518), // Rule ID 45487 //
     /* 2279475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2279478 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2279481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2279495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279517 */     // GIR_Coverage, 45487,
     /* 2279517 */     GIR_EraseRootFromParent_Done,
     /* 2279518 */   // Label 31083: @2279518
     /* 2279518 */   GIM_Try, /*On fail goto*//*Label 31084*/ GIMT_Encode4(2279566), // Rule ID 45488 //
     /* 2279523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2279526 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2279529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2279543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279565 */     // GIR_Coverage, 45488,
     /* 2279565 */     GIR_EraseRootFromParent_Done,
     /* 2279566 */   // Label 31084: @2279566
     /* 2279566 */   GIM_Reject,
     /* 2279567 */ // Label 31082: @2279567
     /* 2279567 */ GIM_Reject,
     /* 2279568 */ // Label 31051: @2279568
     /* 2279568 */ GIM_Try, /*On fail goto*//*Label 31085*/ GIMT_Encode4(2279688),
     /* 2279573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2279576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2279579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279591 */   GIM_Try, /*On fail goto*//*Label 31086*/ GIMT_Encode4(2279639), // Rule ID 52843 //
     /* 2279596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2279599 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2279602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2279616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279638 */     // GIR_Coverage, 52843,
     /* 2279638 */     GIR_EraseRootFromParent_Done,
     /* 2279639 */   // Label 31086: @2279639
     /* 2279639 */   GIM_Try, /*On fail goto*//*Label 31087*/ GIMT_Encode4(2279687), // Rule ID 52844 //
     /* 2279644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2279647 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2279650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2279664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279686 */     // GIR_Coverage, 52844,
     /* 2279686 */     GIR_EraseRootFromParent_Done,
     /* 2279687 */   // Label 31087: @2279687
     /* 2279687 */   GIM_Reject,
     /* 2279688 */ // Label 31085: @2279688
     /* 2279688 */ GIM_Reject,
     /* 2279689 */ // Label 31052: @2279689
     /* 2279689 */ GIM_Try, /*On fail goto*//*Label 31088*/ GIMT_Encode4(2279809),
     /* 2279694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2279697 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2279700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279708 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279712 */   GIM_Try, /*On fail goto*//*Label 31089*/ GIMT_Encode4(2279760), // Rule ID 52879 //
     /* 2279717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2279720 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2279723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279727 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2279737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279739 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279759 */     // GIR_Coverage, 52879,
     /* 2279759 */     GIR_EraseRootFromParent_Done,
     /* 2279760 */   // Label 31089: @2279760
     /* 2279760 */   GIM_Try, /*On fail goto*//*Label 31090*/ GIMT_Encode4(2279808), // Rule ID 52880 //
     /* 2279765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2279768 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2279771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2279785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279807 */     // GIR_Coverage, 52880,
     /* 2279807 */     GIR_EraseRootFromParent_Done,
     /* 2279808 */   // Label 31090: @2279808
     /* 2279808 */   GIM_Reject,
     /* 2279809 */ // Label 31088: @2279809
     /* 2279809 */ GIM_Reject,
     /* 2279810 */ // Label 31053: @2279810
     /* 2279810 */ GIM_Try, /*On fail goto*//*Label 31091*/ GIMT_Encode4(2279930),
     /* 2279815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2279818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2279821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279829 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279833 */   GIM_Try, /*On fail goto*//*Label 31092*/ GIMT_Encode4(2279881), // Rule ID 52831 //
     /* 2279838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2279841 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2279844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2279858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279880 */     // GIR_Coverage, 52831,
     /* 2279880 */     GIR_EraseRootFromParent_Done,
     /* 2279881 */   // Label 31092: @2279881
     /* 2279881 */   GIM_Try, /*On fail goto*//*Label 31093*/ GIMT_Encode4(2279929), // Rule ID 52832 //
     /* 2279886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2279889 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2279892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2279906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279928 */     // GIR_Coverage, 52832,
     /* 2279928 */     GIR_EraseRootFromParent_Done,
     /* 2279929 */   // Label 31093: @2279929
     /* 2279929 */   GIM_Reject,
     /* 2279930 */ // Label 31091: @2279930
     /* 2279930 */ GIM_Reject,
     /* 2279931 */ // Label 31054: @2279931
     /* 2279931 */ GIM_Try, /*On fail goto*//*Label 31094*/ GIMT_Encode4(2280051),
     /* 2279936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2279939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2279942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279950 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279954 */   GIM_Try, /*On fail goto*//*Label 31095*/ GIMT_Encode4(2280002), // Rule ID 52867 //
     /* 2279959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2279962 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2279965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2279979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280001 */     // GIR_Coverage, 52867,
     /* 2280001 */     GIR_EraseRootFromParent_Done,
     /* 2280002 */   // Label 31095: @2280002
     /* 2280002 */   GIM_Try, /*On fail goto*//*Label 31096*/ GIMT_Encode4(2280050), // Rule ID 52868 //
     /* 2280007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2280010 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2280013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2280027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280049 */     // GIR_Coverage, 52868,
     /* 2280049 */     GIR_EraseRootFromParent_Done,
     /* 2280050 */   // Label 31096: @2280050
     /* 2280050 */   GIM_Reject,
     /* 2280051 */ // Label 31094: @2280051
     /* 2280051 */ GIM_Reject,
     /* 2280052 */ // Label 31055: @2280052
     /* 2280052 */ GIM_Try, /*On fail goto*//*Label 31097*/ GIMT_Encode4(2280172),
     /* 2280057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2280060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2280063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280071 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280075 */   GIM_Try, /*On fail goto*//*Label 31098*/ GIMT_Encode4(2280123), // Rule ID 52963 //
     /* 2280080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2280083 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2280086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2280100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280122 */     // GIR_Coverage, 52963,
     /* 2280122 */     GIR_EraseRootFromParent_Done,
     /* 2280123 */   // Label 31098: @2280123
     /* 2280123 */   GIM_Try, /*On fail goto*//*Label 31099*/ GIMT_Encode4(2280171), // Rule ID 52964 //
     /* 2280128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2280131 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2280134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2280148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280170 */     // GIR_Coverage, 52964,
     /* 2280170 */     GIR_EraseRootFromParent_Done,
     /* 2280171 */   // Label 31099: @2280171
     /* 2280171 */   GIM_Reject,
     /* 2280172 */ // Label 31097: @2280172
     /* 2280172 */ GIM_Reject,
     /* 2280173 */ // Label 31056: @2280173
     /* 2280173 */ GIM_Try, /*On fail goto*//*Label 31100*/ GIMT_Encode4(2280293),
     /* 2280178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2280181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2280184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280192 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280196 */   GIM_Try, /*On fail goto*//*Label 31101*/ GIMT_Encode4(2280244), // Rule ID 52855 //
     /* 2280201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2280204 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2280207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2280221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280243 */     // GIR_Coverage, 52855,
     /* 2280243 */     GIR_EraseRootFromParent_Done,
     /* 2280244 */   // Label 31101: @2280244
     /* 2280244 */   GIM_Try, /*On fail goto*//*Label 31102*/ GIMT_Encode4(2280292), // Rule ID 52856 //
     /* 2280249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2280252 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2280255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2280269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280291 */     // GIR_Coverage, 52856,
     /* 2280291 */     GIR_EraseRootFromParent_Done,
     /* 2280292 */   // Label 31102: @2280292
     /* 2280292 */   GIM_Reject,
     /* 2280293 */ // Label 31100: @2280293
     /* 2280293 */ GIM_Reject,
     /* 2280294 */ // Label 31057: @2280294
     /* 2280294 */ GIM_Try, /*On fail goto*//*Label 31103*/ GIMT_Encode4(2280414),
     /* 2280299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2280302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2280305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280317 */   GIM_Try, /*On fail goto*//*Label 31104*/ GIMT_Encode4(2280365), // Rule ID 52927 //
     /* 2280322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2280325 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2280328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2280342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280364 */     // GIR_Coverage, 52927,
     /* 2280364 */     GIR_EraseRootFromParent_Done,
     /* 2280365 */   // Label 31104: @2280365
     /* 2280365 */   GIM_Try, /*On fail goto*//*Label 31105*/ GIMT_Encode4(2280413), // Rule ID 52928 //
     /* 2280370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2280373 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2280376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2280390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280412 */     // GIR_Coverage, 52928,
     /* 2280412 */     GIR_EraseRootFromParent_Done,
     /* 2280413 */   // Label 31105: @2280413
     /* 2280413 */   GIM_Reject,
     /* 2280414 */ // Label 31103: @2280414
     /* 2280414 */ GIM_Reject,
     /* 2280415 */ // Label 31058: @2280415
     /* 2280415 */ GIM_Try, /*On fail goto*//*Label 31106*/ GIMT_Encode4(2280535),
     /* 2280420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2280423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2280426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280434 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280438 */   GIM_Try, /*On fail goto*//*Label 31107*/ GIMT_Encode4(2280486), // Rule ID 52975 //
     /* 2280443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2280446 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2280449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2280463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280485 */     // GIR_Coverage, 52975,
     /* 2280485 */     GIR_EraseRootFromParent_Done,
     /* 2280486 */   // Label 31107: @2280486
     /* 2280486 */   GIM_Try, /*On fail goto*//*Label 31108*/ GIMT_Encode4(2280534), // Rule ID 52976 //
     /* 2280491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2280494 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2280497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2280511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280533 */     // GIR_Coverage, 52976,
     /* 2280533 */     GIR_EraseRootFromParent_Done,
     /* 2280534 */   // Label 31108: @2280534
     /* 2280534 */   GIM_Reject,
     /* 2280535 */ // Label 31106: @2280535
     /* 2280535 */ GIM_Reject,
     /* 2280536 */ // Label 31059: @2280536
     /* 2280536 */ GIM_Try, /*On fail goto*//*Label 31109*/ GIMT_Encode4(2280656),
     /* 2280541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2280544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2280547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280555 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280559 */   GIM_Try, /*On fail goto*//*Label 31110*/ GIMT_Encode4(2280607), // Rule ID 52891 //
     /* 2280564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2280567 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2280570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2280584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280606 */     // GIR_Coverage, 52891,
     /* 2280606 */     GIR_EraseRootFromParent_Done,
     /* 2280607 */   // Label 31110: @2280607
     /* 2280607 */   GIM_Try, /*On fail goto*//*Label 31111*/ GIMT_Encode4(2280655), // Rule ID 52892 //
     /* 2280612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2280615 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2280618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2280632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280654 */     // GIR_Coverage, 52892,
     /* 2280654 */     GIR_EraseRootFromParent_Done,
     /* 2280655 */   // Label 31111: @2280655
     /* 2280655 */   GIM_Reject,
     /* 2280656 */ // Label 31109: @2280656
     /* 2280656 */ GIM_Reject,
     /* 2280657 */ // Label 31060: @2280657
     /* 2280657 */ GIM_Try, /*On fail goto*//*Label 31112*/ GIMT_Encode4(2280777),
     /* 2280662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2280665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2280668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280676 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280680 */   GIM_Try, /*On fail goto*//*Label 31113*/ GIMT_Encode4(2280728), // Rule ID 52939 //
     /* 2280685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2280688 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2280691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2280705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280727 */     // GIR_Coverage, 52939,
     /* 2280727 */     GIR_EraseRootFromParent_Done,
     /* 2280728 */   // Label 31113: @2280728
     /* 2280728 */   GIM_Try, /*On fail goto*//*Label 31114*/ GIMT_Encode4(2280776), // Rule ID 52940 //
     /* 2280733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2280736 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2280739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2280753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280775 */     // GIR_Coverage, 52940,
     /* 2280775 */     GIR_EraseRootFromParent_Done,
     /* 2280776 */   // Label 31114: @2280776
     /* 2280776 */   GIM_Reject,
     /* 2280777 */ // Label 31112: @2280777
     /* 2280777 */ GIM_Reject,
     /* 2280778 */ // Label 31061: @2280778
     /* 2280778 */ GIM_Try, /*On fail goto*//*Label 31115*/ GIMT_Encode4(2280898),
     /* 2280783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2280786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2280789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280801 */   GIM_Try, /*On fail goto*//*Label 31116*/ GIMT_Encode4(2280849), // Rule ID 52987 //
     /* 2280806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2280809 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2280812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2280826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280848 */     // GIR_Coverage, 52987,
     /* 2280848 */     GIR_EraseRootFromParent_Done,
     /* 2280849 */   // Label 31116: @2280849
     /* 2280849 */   GIM_Try, /*On fail goto*//*Label 31117*/ GIMT_Encode4(2280897), // Rule ID 52988 //
     /* 2280854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2280857 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2280860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2280874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280896 */     // GIR_Coverage, 52988,
     /* 2280896 */     GIR_EraseRootFromParent_Done,
     /* 2280897 */   // Label 31117: @2280897
     /* 2280897 */   GIM_Reject,
     /* 2280898 */ // Label 31115: @2280898
     /* 2280898 */ GIM_Reject,
     /* 2280899 */ // Label 31062: @2280899
     /* 2280899 */ GIM_Try, /*On fail goto*//*Label 31118*/ GIMT_Encode4(2281019),
     /* 2280904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2280907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2280910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280922 */   GIM_Try, /*On fail goto*//*Label 31119*/ GIMT_Encode4(2280970), // Rule ID 52903 //
     /* 2280927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2280930 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2280933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2280947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280969 */     // GIR_Coverage, 52903,
     /* 2280969 */     GIR_EraseRootFromParent_Done,
     /* 2280970 */   // Label 31119: @2280970
     /* 2280970 */   GIM_Try, /*On fail goto*//*Label 31120*/ GIMT_Encode4(2281018), // Rule ID 52904 //
     /* 2280975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2280978 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2280981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2280995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281017 */     // GIR_Coverage, 52904,
     /* 2281017 */     GIR_EraseRootFromParent_Done,
     /* 2281018 */   // Label 31120: @2281018
     /* 2281018 */   GIM_Reject,
     /* 2281019 */ // Label 31118: @2281019
     /* 2281019 */ GIM_Reject,
     /* 2281020 */ // Label 31063: @2281020
     /* 2281020 */ GIM_Try, /*On fail goto*//*Label 31121*/ GIMT_Encode4(2281140),
     /* 2281025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2281028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2281031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281043 */   GIM_Try, /*On fail goto*//*Label 31122*/ GIMT_Encode4(2281091), // Rule ID 52951 //
     /* 2281048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2281051 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2281054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2281068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281090 */     // GIR_Coverage, 52951,
     /* 2281090 */     GIR_EraseRootFromParent_Done,
     /* 2281091 */   // Label 31122: @2281091
     /* 2281091 */   GIM_Try, /*On fail goto*//*Label 31123*/ GIMT_Encode4(2281139), // Rule ID 52952 //
     /* 2281096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2281099 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2281102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2281116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281138 */     // GIR_Coverage, 52952,
     /* 2281138 */     GIR_EraseRootFromParent_Done,
     /* 2281139 */   // Label 31123: @2281139
     /* 2281139 */   GIM_Reject,
     /* 2281140 */ // Label 31121: @2281140
     /* 2281140 */ GIM_Reject,
     /* 2281141 */ // Label 31064: @2281141
     /* 2281141 */ GIM_Try, /*On fail goto*//*Label 31124*/ GIMT_Encode4(2281261),
     /* 2281146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2281149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2281152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281164 */   GIM_Try, /*On fail goto*//*Label 31125*/ GIMT_Encode4(2281212), // Rule ID 52915 //
     /* 2281169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2281172 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2281175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2281189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281211 */     // GIR_Coverage, 52915,
     /* 2281211 */     GIR_EraseRootFromParent_Done,
     /* 2281212 */   // Label 31125: @2281212
     /* 2281212 */   GIM_Try, /*On fail goto*//*Label 31126*/ GIMT_Encode4(2281260), // Rule ID 52916 //
     /* 2281217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2281220 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2281223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2281237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281259 */     // GIR_Coverage, 52916,
     /* 2281259 */     GIR_EraseRootFromParent_Done,
     /* 2281260 */   // Label 31126: @2281260
     /* 2281260 */   GIM_Reject,
     /* 2281261 */ // Label 31124: @2281261
     /* 2281261 */ GIM_Reject,
     /* 2281262 */ // Label 31065: @2281262
     /* 2281262 */ GIM_Reject,
     /* 2281263 */ // Label 58: @2281263
     /* 2281263 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31145*/ GIMT_Encode4(2283690),
     /* 2281274 */ /*GILLT_s16*//*Label 31127*/ GIMT_Encode4(2281394),
     /* 2281278 */ /*GILLT_s32*//*Label 31128*/ GIMT_Encode4(2281543),
     /* 2281282 */ /*GILLT_s64*//*Label 31129*/ GIMT_Encode4(2281692), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2281294 */ /*GILLT_nxv1s16*//*Label 31130*/ GIMT_Encode4(2281875),
     /* 2281298 */ /*GILLT_nxv1s32*//*Label 31131*/ GIMT_Encode4(2281996),
     /* 2281302 */ /*GILLT_nxv1s64*//*Label 31132*/ GIMT_Encode4(2282117), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2281314 */ /*GILLT_nxv2s16*//*Label 31133*/ GIMT_Encode4(2282238),
     /* 2281318 */ /*GILLT_nxv2s32*//*Label 31134*/ GIMT_Encode4(2282359),
     /* 2281322 */ /*GILLT_nxv2s64*//*Label 31135*/ GIMT_Encode4(2282480), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2281334 */ /*GILLT_nxv4s16*//*Label 31136*/ GIMT_Encode4(2282601),
     /* 2281338 */ /*GILLT_nxv4s32*//*Label 31137*/ GIMT_Encode4(2282722),
     /* 2281342 */ /*GILLT_nxv4s64*//*Label 31138*/ GIMT_Encode4(2282843), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2281354 */ /*GILLT_nxv8s16*//*Label 31139*/ GIMT_Encode4(2282964),
     /* 2281358 */ /*GILLT_nxv8s32*//*Label 31140*/ GIMT_Encode4(2283085),
     /* 2281362 */ /*GILLT_nxv8s64*//*Label 31141*/ GIMT_Encode4(2283206), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2281374 */ /*GILLT_nxv16s16*//*Label 31142*/ GIMT_Encode4(2283327),
     /* 2281378 */ /*GILLT_nxv16s32*//*Label 31143*/ GIMT_Encode4(2283448), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2281390 */ /*GILLT_nxv32s16*//*Label 31144*/ GIMT_Encode4(2283569),
     /* 2281394 */ // Label 31127: @2281394
     /* 2281394 */ GIM_Try, /*On fail goto*//*Label 31146*/ GIMT_Encode4(2281542),
     /* 2281399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2281402 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2281405 */   GIM_Try, /*On fail goto*//*Label 31147*/ GIMT_Encode4(2281439), // Rule ID 1825 //
     /* 2281410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2281413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281425 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2281425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2281428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281438 */     // GIR_Coverage, 1825,
     /* 2281438 */     GIR_EraseRootFromParent_Done,
     /* 2281439 */   // Label 31147: @2281439
     /* 2281439 */   GIM_Try, /*On fail goto*//*Label 31148*/ GIMT_Encode4(2281473), // Rule ID 1826 //
     /* 2281444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2281447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281459 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2281459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2281462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281472 */     // GIR_Coverage, 1826,
     /* 2281472 */     GIR_EraseRootFromParent_Done,
     /* 2281473 */   // Label 31148: @2281473
     /* 2281473 */   GIM_Try, /*On fail goto*//*Label 31149*/ GIMT_Encode4(2281507), // Rule ID 1829 //
     /* 2281478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2281481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281493 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2281493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2281496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281506 */     // GIR_Coverage, 1829,
     /* 2281506 */     GIR_EraseRootFromParent_Done,
     /* 2281507 */   // Label 31149: @2281507
     /* 2281507 */   GIM_Try, /*On fail goto*//*Label 31150*/ GIMT_Encode4(2281541), // Rule ID 1830 //
     /* 2281512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2281515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281527 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2281527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2281530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281540 */     // GIR_Coverage, 1830,
     /* 2281540 */     GIR_EraseRootFromParent_Done,
     /* 2281541 */   // Label 31150: @2281541
     /* 2281541 */   GIM_Reject,
     /* 2281542 */ // Label 31146: @2281542
     /* 2281542 */ GIM_Reject,
     /* 2281543 */ // Label 31128: @2281543
     /* 2281543 */ GIM_Try, /*On fail goto*//*Label 31151*/ GIMT_Encode4(2281691),
     /* 2281548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2281551 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2281554 */   GIM_Try, /*On fail goto*//*Label 31152*/ GIMT_Encode4(2281588), // Rule ID 1116 //
     /* 2281559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2281562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281574 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2281574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2281577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281587 */     // GIR_Coverage, 1116,
     /* 2281587 */     GIR_EraseRootFromParent_Done,
     /* 2281588 */   // Label 31152: @2281588
     /* 2281588 */   GIM_Try, /*On fail goto*//*Label 31153*/ GIMT_Encode4(2281622), // Rule ID 1117 //
     /* 2281593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2281596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281608 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2281608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2281611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281621 */     // GIR_Coverage, 1117,
     /* 2281621 */     GIR_EraseRootFromParent_Done,
     /* 2281622 */   // Label 31153: @2281622
     /* 2281622 */   GIM_Try, /*On fail goto*//*Label 31154*/ GIMT_Encode4(2281656), // Rule ID 1120 //
     /* 2281627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2281630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2281634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2281638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2281642 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2281642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2281645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281655 */     // GIR_Coverage, 1120,
     /* 2281655 */     GIR_EraseRootFromParent_Done,
     /* 2281656 */   // Label 31154: @2281656
     /* 2281656 */   GIM_Try, /*On fail goto*//*Label 31155*/ GIMT_Encode4(2281690), // Rule ID 1121 //
     /* 2281661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2281664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2281668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2281672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2281676 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2281676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2281679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281689 */     // GIR_Coverage, 1121,
     /* 2281689 */     GIR_EraseRootFromParent_Done,
     /* 2281690 */   // Label 31155: @2281690
     /* 2281690 */   GIM_Reject,
     /* 2281691 */ // Label 31151: @2281691
     /* 2281691 */ GIM_Reject,
     /* 2281692 */ // Label 31129: @2281692
     /* 2281692 */ GIM_Try, /*On fail goto*//*Label 31156*/ GIMT_Encode4(2281874),
     /* 2281697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2281700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2281703 */   GIM_Try, /*On fail goto*//*Label 31157*/ GIMT_Encode4(2281737), // Rule ID 1453 //
     /* 2281708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2281711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281723 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2281723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2281726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281736 */     // GIR_Coverage, 1453,
     /* 2281736 */     GIR_EraseRootFromParent_Done,
     /* 2281737 */   // Label 31157: @2281737
     /* 2281737 */   GIM_Try, /*On fail goto*//*Label 31158*/ GIMT_Encode4(2281771), // Rule ID 1454 //
     /* 2281742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2281745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281757 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2281757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2281760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281770 */     // GIR_Coverage, 1454,
     /* 2281770 */     GIR_EraseRootFromParent_Done,
     /* 2281771 */   // Label 31158: @2281771
     /* 2281771 */   GIM_Try, /*On fail goto*//*Label 31159*/ GIMT_Encode4(2281805), // Rule ID 1457 //
     /* 2281776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2281779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281791 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2281791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2281794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281804 */     // GIR_Coverage, 1457,
     /* 2281804 */     GIR_EraseRootFromParent_Done,
     /* 2281805 */   // Label 31159: @2281805
     /* 2281805 */   GIM_Try, /*On fail goto*//*Label 31160*/ GIMT_Encode4(2281839), // Rule ID 1458 //
     /* 2281810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2281813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2281825 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2281825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2281828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281838 */     // GIR_Coverage, 1458,
     /* 2281838 */     GIR_EraseRootFromParent_Done,
     /* 2281839 */   // Label 31160: @2281839
     /* 2281839 */   GIM_Try, /*On fail goto*//*Label 31161*/ GIMT_Encode4(2281873), // Rule ID 1460 //
     /* 2281844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2281847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2281859 */     // (fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2281859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2281862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281872 */     // GIR_Coverage, 1460,
     /* 2281872 */     GIR_EraseRootFromParent_Done,
     /* 2281873 */   // Label 31161: @2281873
     /* 2281873 */   GIM_Reject,
     /* 2281874 */ // Label 31156: @2281874
     /* 2281874 */ GIM_Reject,
     /* 2281875 */ // Label 31130: @2281875
     /* 2281875 */ GIM_Try, /*On fail goto*//*Label 31162*/ GIMT_Encode4(2281995),
     /* 2281880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2281883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2281886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281894 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2281898 */   GIM_Try, /*On fail goto*//*Label 31163*/ GIMT_Encode4(2281946), // Rule ID 52999 //
     /* 2281903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2281906 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2281909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2281923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281945 */     // GIR_Coverage, 52999,
     /* 2281945 */     GIR_EraseRootFromParent_Done,
     /* 2281946 */   // Label 31163: @2281946
     /* 2281946 */   GIM_Try, /*On fail goto*//*Label 31164*/ GIMT_Encode4(2281994), // Rule ID 53000 //
     /* 2281951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2281954 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2281957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2281971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281993 */     // GIR_Coverage, 53000,
     /* 2281993 */     GIR_EraseRootFromParent_Done,
     /* 2281994 */   // Label 31164: @2281994
     /* 2281994 */   GIM_Reject,
     /* 2281995 */ // Label 31162: @2281995
     /* 2281995 */ GIM_Reject,
     /* 2281996 */ // Label 31131: @2281996
     /* 2281996 */ GIM_Try, /*On fail goto*//*Label 31165*/ GIMT_Encode4(2282116),
     /* 2282001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2282004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2282007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282019 */   GIM_Try, /*On fail goto*//*Label 31166*/ GIMT_Encode4(2282067), // Rule ID 53023 //
     /* 2282024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2282027 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2282030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2282044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282066 */     // GIR_Coverage, 53023,
     /* 2282066 */     GIR_EraseRootFromParent_Done,
     /* 2282067 */   // Label 31166: @2282067
     /* 2282067 */   GIM_Try, /*On fail goto*//*Label 31167*/ GIMT_Encode4(2282115), // Rule ID 53024 //
     /* 2282072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2282075 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2282078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2282092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282114 */     // GIR_Coverage, 53024,
     /* 2282114 */     GIR_EraseRootFromParent_Done,
     /* 2282115 */   // Label 31167: @2282115
     /* 2282115 */   GIM_Reject,
     /* 2282116 */ // Label 31165: @2282116
     /* 2282116 */ GIM_Reject,
     /* 2282117 */ // Label 31132: @2282117
     /* 2282117 */ GIM_Try, /*On fail goto*//*Label 31168*/ GIMT_Encode4(2282237),
     /* 2282122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2282125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2282128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282136 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282140 */   GIM_Try, /*On fail goto*//*Label 31169*/ GIMT_Encode4(2282188), // Rule ID 53059 //
     /* 2282145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2282148 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2282151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2282165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282187 */     // GIR_Coverage, 53059,
     /* 2282187 */     GIR_EraseRootFromParent_Done,
     /* 2282188 */   // Label 31169: @2282188
     /* 2282188 */   GIM_Try, /*On fail goto*//*Label 31170*/ GIMT_Encode4(2282236), // Rule ID 53060 //
     /* 2282193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2282196 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2282199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2282213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282235 */     // GIR_Coverage, 53060,
     /* 2282235 */     GIR_EraseRootFromParent_Done,
     /* 2282236 */   // Label 31170: @2282236
     /* 2282236 */   GIM_Reject,
     /* 2282237 */ // Label 31168: @2282237
     /* 2282237 */ GIM_Reject,
     /* 2282238 */ // Label 31133: @2282238
     /* 2282238 */ GIM_Try, /*On fail goto*//*Label 31171*/ GIMT_Encode4(2282358),
     /* 2282243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2282246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2282249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282257 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282261 */   GIM_Try, /*On fail goto*//*Label 31172*/ GIMT_Encode4(2282309), // Rule ID 53011 //
     /* 2282266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282269 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2282272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2282286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282308 */     // GIR_Coverage, 53011,
     /* 2282308 */     GIR_EraseRootFromParent_Done,
     /* 2282309 */   // Label 31172: @2282309
     /* 2282309 */   GIM_Try, /*On fail goto*//*Label 31173*/ GIMT_Encode4(2282357), // Rule ID 53012 //
     /* 2282314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2282317 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2282320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2282334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282356 */     // GIR_Coverage, 53012,
     /* 2282356 */     GIR_EraseRootFromParent_Done,
     /* 2282357 */   // Label 31173: @2282357
     /* 2282357 */   GIM_Reject,
     /* 2282358 */ // Label 31171: @2282358
     /* 2282358 */ GIM_Reject,
     /* 2282359 */ // Label 31134: @2282359
     /* 2282359 */ GIM_Try, /*On fail goto*//*Label 31174*/ GIMT_Encode4(2282479),
     /* 2282364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2282367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2282370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282374 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282378 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282382 */   GIM_Try, /*On fail goto*//*Label 31175*/ GIMT_Encode4(2282430), // Rule ID 53047 //
     /* 2282387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2282390 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2282393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2282407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282429 */     // GIR_Coverage, 53047,
     /* 2282429 */     GIR_EraseRootFromParent_Done,
     /* 2282430 */   // Label 31175: @2282430
     /* 2282430 */   GIM_Try, /*On fail goto*//*Label 31176*/ GIMT_Encode4(2282478), // Rule ID 53048 //
     /* 2282435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2282438 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2282441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2282455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282477 */     // GIR_Coverage, 53048,
     /* 2282477 */     GIR_EraseRootFromParent_Done,
     /* 2282478 */   // Label 31176: @2282478
     /* 2282478 */   GIM_Reject,
     /* 2282479 */ // Label 31174: @2282479
     /* 2282479 */ GIM_Reject,
     /* 2282480 */ // Label 31135: @2282480
     /* 2282480 */ GIM_Try, /*On fail goto*//*Label 31177*/ GIMT_Encode4(2282600),
     /* 2282485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2282488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2282491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282503 */   GIM_Try, /*On fail goto*//*Label 31178*/ GIMT_Encode4(2282551), // Rule ID 53143 //
     /* 2282508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2282511 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2282514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2282528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282550 */     // GIR_Coverage, 53143,
     /* 2282550 */     GIR_EraseRootFromParent_Done,
     /* 2282551 */   // Label 31178: @2282551
     /* 2282551 */   GIM_Try, /*On fail goto*//*Label 31179*/ GIMT_Encode4(2282599), // Rule ID 53144 //
     /* 2282556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2282559 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2282562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2282576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282598 */     // GIR_Coverage, 53144,
     /* 2282598 */     GIR_EraseRootFromParent_Done,
     /* 2282599 */   // Label 31179: @2282599
     /* 2282599 */   GIM_Reject,
     /* 2282600 */ // Label 31177: @2282600
     /* 2282600 */ GIM_Reject,
     /* 2282601 */ // Label 31136: @2282601
     /* 2282601 */ GIM_Try, /*On fail goto*//*Label 31180*/ GIMT_Encode4(2282721),
     /* 2282606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2282609 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2282612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282620 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282624 */   GIM_Try, /*On fail goto*//*Label 31181*/ GIMT_Encode4(2282672), // Rule ID 53035 //
     /* 2282629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282632 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2282635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2282649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282671 */     // GIR_Coverage, 53035,
     /* 2282671 */     GIR_EraseRootFromParent_Done,
     /* 2282672 */   // Label 31181: @2282672
     /* 2282672 */   GIM_Try, /*On fail goto*//*Label 31182*/ GIMT_Encode4(2282720), // Rule ID 53036 //
     /* 2282677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2282680 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2282683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2282697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282719 */     // GIR_Coverage, 53036,
     /* 2282719 */     GIR_EraseRootFromParent_Done,
     /* 2282720 */   // Label 31182: @2282720
     /* 2282720 */   GIM_Reject,
     /* 2282721 */ // Label 31180: @2282721
     /* 2282721 */ GIM_Reject,
     /* 2282722 */ // Label 31137: @2282722
     /* 2282722 */ GIM_Try, /*On fail goto*//*Label 31183*/ GIMT_Encode4(2282842),
     /* 2282727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2282730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2282733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282737 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282741 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282745 */   GIM_Try, /*On fail goto*//*Label 31184*/ GIMT_Encode4(2282793), // Rule ID 53107 //
     /* 2282750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2282753 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2282756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2282770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282792 */     // GIR_Coverage, 53107,
     /* 2282792 */     GIR_EraseRootFromParent_Done,
     /* 2282793 */   // Label 31184: @2282793
     /* 2282793 */   GIM_Try, /*On fail goto*//*Label 31185*/ GIMT_Encode4(2282841), // Rule ID 53108 //
     /* 2282798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2282801 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2282804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2282818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282840 */     // GIR_Coverage, 53108,
     /* 2282840 */     GIR_EraseRootFromParent_Done,
     /* 2282841 */   // Label 31185: @2282841
     /* 2282841 */   GIM_Reject,
     /* 2282842 */ // Label 31183: @2282842
     /* 2282842 */ GIM_Reject,
     /* 2282843 */ // Label 31138: @2282843
     /* 2282843 */ GIM_Try, /*On fail goto*//*Label 31186*/ GIMT_Encode4(2282963),
     /* 2282848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2282851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2282854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282862 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282866 */   GIM_Try, /*On fail goto*//*Label 31187*/ GIMT_Encode4(2282914), // Rule ID 53155 //
     /* 2282871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2282874 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2282877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2282891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282913 */     // GIR_Coverage, 53155,
     /* 2282913 */     GIR_EraseRootFromParent_Done,
     /* 2282914 */   // Label 31187: @2282914
     /* 2282914 */   GIM_Try, /*On fail goto*//*Label 31188*/ GIMT_Encode4(2282962), // Rule ID 53156 //
     /* 2282919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2282922 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2282925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2282939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282961 */     // GIR_Coverage, 53156,
     /* 2282961 */     GIR_EraseRootFromParent_Done,
     /* 2282962 */   // Label 31188: @2282962
     /* 2282962 */   GIM_Reject,
     /* 2282963 */ // Label 31186: @2282963
     /* 2282963 */ GIM_Reject,
     /* 2282964 */ // Label 31139: @2282964
     /* 2282964 */ GIM_Try, /*On fail goto*//*Label 31189*/ GIMT_Encode4(2283084),
     /* 2282969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2282972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2282975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2282987 */   GIM_Try, /*On fail goto*//*Label 31190*/ GIMT_Encode4(2283035), // Rule ID 53071 //
     /* 2282992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282995 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2282998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2283012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283034 */     // GIR_Coverage, 53071,
     /* 2283034 */     GIR_EraseRootFromParent_Done,
     /* 2283035 */   // Label 31190: @2283035
     /* 2283035 */   GIM_Try, /*On fail goto*//*Label 31191*/ GIMT_Encode4(2283083), // Rule ID 53072 //
     /* 2283040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2283043 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2283046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2283060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283082 */     // GIR_Coverage, 53072,
     /* 2283082 */     GIR_EraseRootFromParent_Done,
     /* 2283083 */   // Label 31191: @2283083
     /* 2283083 */   GIM_Reject,
     /* 2283084 */ // Label 31189: @2283084
     /* 2283084 */ GIM_Reject,
     /* 2283085 */ // Label 31140: @2283085
     /* 2283085 */ GIM_Try, /*On fail goto*//*Label 31192*/ GIMT_Encode4(2283205),
     /* 2283090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2283093 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2283096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283104 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283108 */   GIM_Try, /*On fail goto*//*Label 31193*/ GIMT_Encode4(2283156), // Rule ID 53119 //
     /* 2283113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2283116 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2283119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2283133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283155 */     // GIR_Coverage, 53119,
     /* 2283155 */     GIR_EraseRootFromParent_Done,
     /* 2283156 */   // Label 31193: @2283156
     /* 2283156 */   GIM_Try, /*On fail goto*//*Label 31194*/ GIMT_Encode4(2283204), // Rule ID 53120 //
     /* 2283161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2283164 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2283167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2283181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283203 */     // GIR_Coverage, 53120,
     /* 2283203 */     GIR_EraseRootFromParent_Done,
     /* 2283204 */   // Label 31194: @2283204
     /* 2283204 */   GIM_Reject,
     /* 2283205 */ // Label 31192: @2283205
     /* 2283205 */ GIM_Reject,
     /* 2283206 */ // Label 31141: @2283206
     /* 2283206 */ GIM_Try, /*On fail goto*//*Label 31195*/ GIMT_Encode4(2283326),
     /* 2283211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2283214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2283217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283225 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283229 */   GIM_Try, /*On fail goto*//*Label 31196*/ GIMT_Encode4(2283277), // Rule ID 53167 //
     /* 2283234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2283237 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2283240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2283254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2283272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283276 */     // GIR_Coverage, 53167,
     /* 2283276 */     GIR_EraseRootFromParent_Done,
     /* 2283277 */   // Label 31196: @2283277
     /* 2283277 */   GIM_Try, /*On fail goto*//*Label 31197*/ GIMT_Encode4(2283325), // Rule ID 53168 //
     /* 2283282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2283285 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2283288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2283302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2283320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283324 */     // GIR_Coverage, 53168,
     /* 2283324 */     GIR_EraseRootFromParent_Done,
     /* 2283325 */   // Label 31197: @2283325
     /* 2283325 */   GIM_Reject,
     /* 2283326 */ // Label 31195: @2283326
     /* 2283326 */ GIM_Reject,
     /* 2283327 */ // Label 31142: @2283327
     /* 2283327 */ GIM_Try, /*On fail goto*//*Label 31198*/ GIMT_Encode4(2283447),
     /* 2283332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2283335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2283338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283346 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283350 */   GIM_Try, /*On fail goto*//*Label 31199*/ GIMT_Encode4(2283398), // Rule ID 53083 //
     /* 2283355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2283358 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2283361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2283375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283397 */     // GIR_Coverage, 53083,
     /* 2283397 */     GIR_EraseRootFromParent_Done,
     /* 2283398 */   // Label 31199: @2283398
     /* 2283398 */   GIM_Try, /*On fail goto*//*Label 31200*/ GIMT_Encode4(2283446), // Rule ID 53084 //
     /* 2283403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2283406 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2283409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2283423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283445 */     // GIR_Coverage, 53084,
     /* 2283445 */     GIR_EraseRootFromParent_Done,
     /* 2283446 */   // Label 31200: @2283446
     /* 2283446 */   GIM_Reject,
     /* 2283447 */ // Label 31198: @2283447
     /* 2283447 */ GIM_Reject,
     /* 2283448 */ // Label 31143: @2283448
     /* 2283448 */ GIM_Try, /*On fail goto*//*Label 31201*/ GIMT_Encode4(2283568),
     /* 2283453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2283456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2283459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283467 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283471 */   GIM_Try, /*On fail goto*//*Label 31202*/ GIMT_Encode4(2283519), // Rule ID 53131 //
     /* 2283476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2283479 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2283482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2283496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283518 */     // GIR_Coverage, 53131,
     /* 2283518 */     GIR_EraseRootFromParent_Done,
     /* 2283519 */   // Label 31202: @2283519
     /* 2283519 */   GIM_Try, /*On fail goto*//*Label 31203*/ GIMT_Encode4(2283567), // Rule ID 53132 //
     /* 2283524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2283527 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2283530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2283544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283566 */     // GIR_Coverage, 53132,
     /* 2283566 */     GIR_EraseRootFromParent_Done,
     /* 2283567 */   // Label 31203: @2283567
     /* 2283567 */   GIM_Reject,
     /* 2283568 */ // Label 31201: @2283568
     /* 2283568 */ GIM_Reject,
     /* 2283569 */ // Label 31144: @2283569
     /* 2283569 */ GIM_Try, /*On fail goto*//*Label 31204*/ GIMT_Encode4(2283689),
     /* 2283574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2283577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2283580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283588 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2283592 */   GIM_Try, /*On fail goto*//*Label 31205*/ GIMT_Encode4(2283640), // Rule ID 53095 //
     /* 2283597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2283600 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2283603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2283617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283639 */     // GIR_Coverage, 53095,
     /* 2283639 */     GIR_EraseRootFromParent_Done,
     /* 2283640 */   // Label 31205: @2283640
     /* 2283640 */   GIM_Try, /*On fail goto*//*Label 31206*/ GIMT_Encode4(2283688), // Rule ID 53096 //
     /* 2283645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2283648 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2283651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2283665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283687 */     // GIR_Coverage, 53096,
     /* 2283687 */     GIR_EraseRootFromParent_Done,
     /* 2283688 */   // Label 31206: @2283688
     /* 2283688 */   GIM_Reject,
     /* 2283689 */ // Label 31204: @2283689
     /* 2283689 */ GIM_Reject,
     /* 2283690 */ // Label 31145: @2283690
     /* 2283690 */ GIM_Reject,
     /* 2283691 */ // Label 59: @2283691
     /* 2283691 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31225*/ GIMT_Encode4(2286118),
     /* 2283702 */ /*GILLT_s16*//*Label 31207*/ GIMT_Encode4(2283822),
     /* 2283706 */ /*GILLT_s32*//*Label 31208*/ GIMT_Encode4(2283971),
     /* 2283710 */ /*GILLT_s64*//*Label 31209*/ GIMT_Encode4(2284120), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2283722 */ /*GILLT_nxv1s16*//*Label 31210*/ GIMT_Encode4(2284303),
     /* 2283726 */ /*GILLT_nxv1s32*//*Label 31211*/ GIMT_Encode4(2284424),
     /* 2283730 */ /*GILLT_nxv1s64*//*Label 31212*/ GIMT_Encode4(2284545), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2283742 */ /*GILLT_nxv2s16*//*Label 31213*/ GIMT_Encode4(2284666),
     /* 2283746 */ /*GILLT_nxv2s32*//*Label 31214*/ GIMT_Encode4(2284787),
     /* 2283750 */ /*GILLT_nxv2s64*//*Label 31215*/ GIMT_Encode4(2284908), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2283762 */ /*GILLT_nxv4s16*//*Label 31216*/ GIMT_Encode4(2285029),
     /* 2283766 */ /*GILLT_nxv4s32*//*Label 31217*/ GIMT_Encode4(2285150),
     /* 2283770 */ /*GILLT_nxv4s64*//*Label 31218*/ GIMT_Encode4(2285271), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2283782 */ /*GILLT_nxv8s16*//*Label 31219*/ GIMT_Encode4(2285392),
     /* 2283786 */ /*GILLT_nxv8s32*//*Label 31220*/ GIMT_Encode4(2285513),
     /* 2283790 */ /*GILLT_nxv8s64*//*Label 31221*/ GIMT_Encode4(2285634), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2283802 */ /*GILLT_nxv16s16*//*Label 31222*/ GIMT_Encode4(2285755),
     /* 2283806 */ /*GILLT_nxv16s32*//*Label 31223*/ GIMT_Encode4(2285876), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2283818 */ /*GILLT_nxv32s16*//*Label 31224*/ GIMT_Encode4(2285997),
     /* 2283822 */ // Label 31207: @2283822
     /* 2283822 */ GIM_Try, /*On fail goto*//*Label 31226*/ GIMT_Encode4(2283970),
     /* 2283827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2283830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2283833 */   GIM_Try, /*On fail goto*//*Label 31227*/ GIMT_Encode4(2283867), // Rule ID 1833 //
     /* 2283838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2283841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283853 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2283853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2283856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283866 */     // GIR_Coverage, 1833,
     /* 2283866 */     GIR_EraseRootFromParent_Done,
     /* 2283867 */   // Label 31227: @2283867
     /* 2283867 */   GIM_Try, /*On fail goto*//*Label 31228*/ GIMT_Encode4(2283901), // Rule ID 1834 //
     /* 2283872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2283875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2283887 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2283887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2283890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283900 */     // GIR_Coverage, 1834,
     /* 2283900 */     GIR_EraseRootFromParent_Done,
     /* 2283901 */   // Label 31228: @2283901
     /* 2283901 */   GIM_Try, /*On fail goto*//*Label 31229*/ GIMT_Encode4(2283935), // Rule ID 1837 //
     /* 2283906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2283909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283921 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2283921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2283924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283934 */     // GIR_Coverage, 1837,
     /* 2283934 */     GIR_EraseRootFromParent_Done,
     /* 2283935 */   // Label 31229: @2283935
     /* 2283935 */   GIM_Try, /*On fail goto*//*Label 31230*/ GIMT_Encode4(2283969), // Rule ID 1838 //
     /* 2283940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2283943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2283955 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2283955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2283958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283968 */     // GIR_Coverage, 1838,
     /* 2283968 */     GIR_EraseRootFromParent_Done,
     /* 2283969 */   // Label 31230: @2283969
     /* 2283969 */   GIM_Reject,
     /* 2283970 */ // Label 31226: @2283970
     /* 2283970 */ GIM_Reject,
     /* 2283971 */ // Label 31208: @2283971
     /* 2283971 */ GIM_Try, /*On fail goto*//*Label 31231*/ GIMT_Encode4(2284119),
     /* 2283976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2283982 */   GIM_Try, /*On fail goto*//*Label 31232*/ GIMT_Encode4(2284016), // Rule ID 1124 //
     /* 2283987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2283990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284002 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2284002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2284005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284015 */     // GIR_Coverage, 1124,
     /* 2284015 */     GIR_EraseRootFromParent_Done,
     /* 2284016 */   // Label 31232: @2284016
     /* 2284016 */   GIM_Try, /*On fail goto*//*Label 31233*/ GIMT_Encode4(2284050), // Rule ID 1125 //
     /* 2284021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2284024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284036 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2284036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2284039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284049 */     // GIR_Coverage, 1125,
     /* 2284049 */     GIR_EraseRootFromParent_Done,
     /* 2284050 */   // Label 31233: @2284050
     /* 2284050 */   GIM_Try, /*On fail goto*//*Label 31234*/ GIMT_Encode4(2284084), // Rule ID 1128 //
     /* 2284055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2284058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284070 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2284070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2284073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284083 */     // GIR_Coverage, 1128,
     /* 2284083 */     GIR_EraseRootFromParent_Done,
     /* 2284084 */   // Label 31234: @2284084
     /* 2284084 */   GIM_Try, /*On fail goto*//*Label 31235*/ GIMT_Encode4(2284118), // Rule ID 1129 //
     /* 2284089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2284092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284104 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2284104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2284107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284117 */     // GIR_Coverage, 1129,
     /* 2284117 */     GIR_EraseRootFromParent_Done,
     /* 2284118 */   // Label 31235: @2284118
     /* 2284118 */   GIM_Reject,
     /* 2284119 */ // Label 31231: @2284119
     /* 2284119 */ GIM_Reject,
     /* 2284120 */ // Label 31209: @2284120
     /* 2284120 */ GIM_Try, /*On fail goto*//*Label 31236*/ GIMT_Encode4(2284302),
     /* 2284125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2284128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2284131 */   GIM_Try, /*On fail goto*//*Label 31237*/ GIMT_Encode4(2284165), // Rule ID 1463 //
     /* 2284136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2284139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284151 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2284151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2284154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284164 */     // GIR_Coverage, 1463,
     /* 2284164 */     GIR_EraseRootFromParent_Done,
     /* 2284165 */   // Label 31237: @2284165
     /* 2284165 */   GIM_Try, /*On fail goto*//*Label 31238*/ GIMT_Encode4(2284199), // Rule ID 1464 //
     /* 2284170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2284173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284185 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2284185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2284188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284198 */     // GIR_Coverage, 1464,
     /* 2284198 */     GIR_EraseRootFromParent_Done,
     /* 2284199 */   // Label 31238: @2284199
     /* 2284199 */   GIM_Try, /*On fail goto*//*Label 31239*/ GIMT_Encode4(2284233), // Rule ID 1467 //
     /* 2284204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2284207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2284211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2284215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2284219 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2284219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2284222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284232 */     // GIR_Coverage, 1467,
     /* 2284232 */     GIR_EraseRootFromParent_Done,
     /* 2284233 */   // Label 31239: @2284233
     /* 2284233 */   GIM_Try, /*On fail goto*//*Label 31240*/ GIMT_Encode4(2284267), // Rule ID 1468 //
     /* 2284238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2284241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2284245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2284249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2284253 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2284253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2284256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284266 */     // GIR_Coverage, 1468,
     /* 2284266 */     GIR_EraseRootFromParent_Done,
     /* 2284267 */   // Label 31240: @2284267
     /* 2284267 */   GIM_Try, /*On fail goto*//*Label 31241*/ GIMT_Encode4(2284301), // Rule ID 1470 //
     /* 2284272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2284275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2284279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2284283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2284287 */     // (fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2284287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2284290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284300 */     // GIR_Coverage, 1470,
     /* 2284300 */     GIR_EraseRootFromParent_Done,
     /* 2284301 */   // Label 31241: @2284301
     /* 2284301 */   GIM_Reject,
     /* 2284302 */ // Label 31236: @2284302
     /* 2284302 */ GIM_Reject,
     /* 2284303 */ // Label 31210: @2284303
     /* 2284303 */ GIM_Try, /*On fail goto*//*Label 31242*/ GIMT_Encode4(2284423),
     /* 2284308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2284311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2284314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284322 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284326 */   GIM_Try, /*On fail goto*//*Label 31243*/ GIMT_Encode4(2284374), // Rule ID 53767 //
     /* 2284331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2284334 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2284337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2284351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284373 */     // GIR_Coverage, 53767,
     /* 2284373 */     GIR_EraseRootFromParent_Done,
     /* 2284374 */   // Label 31243: @2284374
     /* 2284374 */   GIM_Try, /*On fail goto*//*Label 31244*/ GIMT_Encode4(2284422), // Rule ID 53768 //
     /* 2284379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2284382 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2284385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2284399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284421 */     // GIR_Coverage, 53768,
     /* 2284421 */     GIR_EraseRootFromParent_Done,
     /* 2284422 */   // Label 31244: @2284422
     /* 2284422 */   GIM_Reject,
     /* 2284423 */ // Label 31242: @2284423
     /* 2284423 */ GIM_Reject,
     /* 2284424 */ // Label 31211: @2284424
     /* 2284424 */ GIM_Try, /*On fail goto*//*Label 31245*/ GIMT_Encode4(2284544),
     /* 2284429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2284432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2284435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284439 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284443 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284447 */   GIM_Try, /*On fail goto*//*Label 31246*/ GIMT_Encode4(2284495), // Rule ID 53791 //
     /* 2284452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2284455 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2284458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2284472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284494 */     // GIR_Coverage, 53791,
     /* 2284494 */     GIR_EraseRootFromParent_Done,
     /* 2284495 */   // Label 31246: @2284495
     /* 2284495 */   GIM_Try, /*On fail goto*//*Label 31247*/ GIMT_Encode4(2284543), // Rule ID 53792 //
     /* 2284500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2284503 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2284506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2284520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284542 */     // GIR_Coverage, 53792,
     /* 2284542 */     GIR_EraseRootFromParent_Done,
     /* 2284543 */   // Label 31247: @2284543
     /* 2284543 */   GIM_Reject,
     /* 2284544 */ // Label 31245: @2284544
     /* 2284544 */ GIM_Reject,
     /* 2284545 */ // Label 31212: @2284545
     /* 2284545 */ GIM_Try, /*On fail goto*//*Label 31248*/ GIMT_Encode4(2284665),
     /* 2284550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2284553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2284556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284564 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284568 */   GIM_Try, /*On fail goto*//*Label 31249*/ GIMT_Encode4(2284616), // Rule ID 53827 //
     /* 2284573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284576 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2284579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2284593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284615 */     // GIR_Coverage, 53827,
     /* 2284615 */     GIR_EraseRootFromParent_Done,
     /* 2284616 */   // Label 31249: @2284616
     /* 2284616 */   GIM_Try, /*On fail goto*//*Label 31250*/ GIMT_Encode4(2284664), // Rule ID 53828 //
     /* 2284621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284624 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2284627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2284641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284663 */     // GIR_Coverage, 53828,
     /* 2284663 */     GIR_EraseRootFromParent_Done,
     /* 2284664 */   // Label 31250: @2284664
     /* 2284664 */   GIM_Reject,
     /* 2284665 */ // Label 31248: @2284665
     /* 2284665 */ GIM_Reject,
     /* 2284666 */ // Label 31213: @2284666
     /* 2284666 */ GIM_Try, /*On fail goto*//*Label 31251*/ GIMT_Encode4(2284786),
     /* 2284671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2284674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2284677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284689 */   GIM_Try, /*On fail goto*//*Label 31252*/ GIMT_Encode4(2284737), // Rule ID 53779 //
     /* 2284694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2284697 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2284700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2284714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284736 */     // GIR_Coverage, 53779,
     /* 2284736 */     GIR_EraseRootFromParent_Done,
     /* 2284737 */   // Label 31252: @2284737
     /* 2284737 */   GIM_Try, /*On fail goto*//*Label 31253*/ GIMT_Encode4(2284785), // Rule ID 53780 //
     /* 2284742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2284745 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2284748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2284762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284784 */     // GIR_Coverage, 53780,
     /* 2284784 */     GIR_EraseRootFromParent_Done,
     /* 2284785 */   // Label 31253: @2284785
     /* 2284785 */   GIM_Reject,
     /* 2284786 */ // Label 31251: @2284786
     /* 2284786 */ GIM_Reject,
     /* 2284787 */ // Label 31214: @2284787
     /* 2284787 */ GIM_Try, /*On fail goto*//*Label 31254*/ GIMT_Encode4(2284907),
     /* 2284792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2284795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2284798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2284810 */   GIM_Try, /*On fail goto*//*Label 31255*/ GIMT_Encode4(2284858), // Rule ID 53815 //
     /* 2284815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2284818 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2284821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2284835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284857 */     // GIR_Coverage, 53815,
     /* 2284857 */     GIR_EraseRootFromParent_Done,
     /* 2284858 */   // Label 31255: @2284858
     /* 2284858 */   GIM_Try, /*On fail goto*//*Label 31256*/ GIMT_Encode4(2284906), // Rule ID 53816 //
     /* 2284863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2284866 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2284869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2284883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284905 */     // GIR_Coverage, 53816,
     /* 2284905 */     GIR_EraseRootFromParent_Done,
     /* 2284906 */   // Label 31256: @2284906
     /* 2284906 */   GIM_Reject,
     /* 2284907 */ // Label 31254: @2284907
     /* 2284907 */ GIM_Reject,
     /* 2284908 */ // Label 31215: @2284908
     /* 2284908 */ GIM_Try, /*On fail goto*//*Label 31257*/ GIMT_Encode4(2285028),
     /* 2284913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2284916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2284919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284927 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284931 */   GIM_Try, /*On fail goto*//*Label 31258*/ GIMT_Encode4(2284979), // Rule ID 53911 //
     /* 2284936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2284939 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2284942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2284956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284978 */     // GIR_Coverage, 53911,
     /* 2284978 */     GIR_EraseRootFromParent_Done,
     /* 2284979 */   // Label 31258: @2284979
     /* 2284979 */   GIM_Try, /*On fail goto*//*Label 31259*/ GIMT_Encode4(2285027), // Rule ID 53912 //
     /* 2284984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2284987 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2284990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2285004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285026 */     // GIR_Coverage, 53912,
     /* 2285026 */     GIR_EraseRootFromParent_Done,
     /* 2285027 */   // Label 31259: @2285027
     /* 2285027 */   GIM_Reject,
     /* 2285028 */ // Label 31257: @2285028
     /* 2285028 */ GIM_Reject,
     /* 2285029 */ // Label 31216: @2285029
     /* 2285029 */ GIM_Try, /*On fail goto*//*Label 31260*/ GIMT_Encode4(2285149),
     /* 2285034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2285037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2285040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285048 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285052 */   GIM_Try, /*On fail goto*//*Label 31261*/ GIMT_Encode4(2285100), // Rule ID 53803 //
     /* 2285057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285060 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2285063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2285077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285099 */     // GIR_Coverage, 53803,
     /* 2285099 */     GIR_EraseRootFromParent_Done,
     /* 2285100 */   // Label 31261: @2285100
     /* 2285100 */   GIM_Try, /*On fail goto*//*Label 31262*/ GIMT_Encode4(2285148), // Rule ID 53804 //
     /* 2285105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285108 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2285111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2285125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285147 */     // GIR_Coverage, 53804,
     /* 2285147 */     GIR_EraseRootFromParent_Done,
     /* 2285148 */   // Label 31262: @2285148
     /* 2285148 */   GIM_Reject,
     /* 2285149 */ // Label 31260: @2285149
     /* 2285149 */ GIM_Reject,
     /* 2285150 */ // Label 31217: @2285150
     /* 2285150 */ GIM_Try, /*On fail goto*//*Label 31263*/ GIMT_Encode4(2285270),
     /* 2285155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2285158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2285161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285173 */   GIM_Try, /*On fail goto*//*Label 31264*/ GIMT_Encode4(2285221), // Rule ID 53875 //
     /* 2285178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2285181 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2285184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2285198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285220 */     // GIR_Coverage, 53875,
     /* 2285220 */     GIR_EraseRootFromParent_Done,
     /* 2285221 */   // Label 31264: @2285221
     /* 2285221 */   GIM_Try, /*On fail goto*//*Label 31265*/ GIMT_Encode4(2285269), // Rule ID 53876 //
     /* 2285226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2285229 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2285232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2285246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285268 */     // GIR_Coverage, 53876,
     /* 2285268 */     GIR_EraseRootFromParent_Done,
     /* 2285269 */   // Label 31265: @2285269
     /* 2285269 */   GIM_Reject,
     /* 2285270 */ // Label 31263: @2285270
     /* 2285270 */ GIM_Reject,
     /* 2285271 */ // Label 31218: @2285271
     /* 2285271 */ GIM_Try, /*On fail goto*//*Label 31266*/ GIMT_Encode4(2285391),
     /* 2285276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2285279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2285282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285290 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285294 */   GIM_Try, /*On fail goto*//*Label 31267*/ GIMT_Encode4(2285342), // Rule ID 53923 //
     /* 2285299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2285302 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2285305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2285319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285341 */     // GIR_Coverage, 53923,
     /* 2285341 */     GIR_EraseRootFromParent_Done,
     /* 2285342 */   // Label 31267: @2285342
     /* 2285342 */   GIM_Try, /*On fail goto*//*Label 31268*/ GIMT_Encode4(2285390), // Rule ID 53924 //
     /* 2285347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2285350 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2285353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2285367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285389 */     // GIR_Coverage, 53924,
     /* 2285389 */     GIR_EraseRootFromParent_Done,
     /* 2285390 */   // Label 31268: @2285390
     /* 2285390 */   GIM_Reject,
     /* 2285391 */ // Label 31266: @2285391
     /* 2285391 */ GIM_Reject,
     /* 2285392 */ // Label 31219: @2285392
     /* 2285392 */ GIM_Try, /*On fail goto*//*Label 31269*/ GIMT_Encode4(2285512),
     /* 2285397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2285400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2285403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285411 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285415 */   GIM_Try, /*On fail goto*//*Label 31270*/ GIMT_Encode4(2285463), // Rule ID 53839 //
     /* 2285420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285423 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2285426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2285440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285462 */     // GIR_Coverage, 53839,
     /* 2285462 */     GIR_EraseRootFromParent_Done,
     /* 2285463 */   // Label 31270: @2285463
     /* 2285463 */   GIM_Try, /*On fail goto*//*Label 31271*/ GIMT_Encode4(2285511), // Rule ID 53840 //
     /* 2285468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285471 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2285474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2285488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285510 */     // GIR_Coverage, 53840,
     /* 2285510 */     GIR_EraseRootFromParent_Done,
     /* 2285511 */   // Label 31271: @2285511
     /* 2285511 */   GIM_Reject,
     /* 2285512 */ // Label 31269: @2285512
     /* 2285512 */ GIM_Reject,
     /* 2285513 */ // Label 31220: @2285513
     /* 2285513 */ GIM_Try, /*On fail goto*//*Label 31272*/ GIMT_Encode4(2285633),
     /* 2285518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2285521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2285524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285536 */   GIM_Try, /*On fail goto*//*Label 31273*/ GIMT_Encode4(2285584), // Rule ID 53887 //
     /* 2285541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2285544 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2285547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2285561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285583 */     // GIR_Coverage, 53887,
     /* 2285583 */     GIR_EraseRootFromParent_Done,
     /* 2285584 */   // Label 31273: @2285584
     /* 2285584 */   GIM_Try, /*On fail goto*//*Label 31274*/ GIMT_Encode4(2285632), // Rule ID 53888 //
     /* 2285589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2285592 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2285595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2285609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285631 */     // GIR_Coverage, 53888,
     /* 2285631 */     GIR_EraseRootFromParent_Done,
     /* 2285632 */   // Label 31274: @2285632
     /* 2285632 */   GIM_Reject,
     /* 2285633 */ // Label 31272: @2285633
     /* 2285633 */ GIM_Reject,
     /* 2285634 */ // Label 31221: @2285634
     /* 2285634 */ GIM_Try, /*On fail goto*//*Label 31275*/ GIMT_Encode4(2285754),
     /* 2285639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2285642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2285645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285657 */   GIM_Try, /*On fail goto*//*Label 31276*/ GIMT_Encode4(2285705), // Rule ID 53935 //
     /* 2285662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2285665 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2285668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2285682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285704 */     // GIR_Coverage, 53935,
     /* 2285704 */     GIR_EraseRootFromParent_Done,
     /* 2285705 */   // Label 31276: @2285705
     /* 2285705 */   GIM_Try, /*On fail goto*//*Label 31277*/ GIMT_Encode4(2285753), // Rule ID 53936 //
     /* 2285710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2285713 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2285716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2285730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285752 */     // GIR_Coverage, 53936,
     /* 2285752 */     GIR_EraseRootFromParent_Done,
     /* 2285753 */   // Label 31277: @2285753
     /* 2285753 */   GIM_Reject,
     /* 2285754 */ // Label 31275: @2285754
     /* 2285754 */ GIM_Reject,
     /* 2285755 */ // Label 31222: @2285755
     /* 2285755 */ GIM_Try, /*On fail goto*//*Label 31278*/ GIMT_Encode4(2285875),
     /* 2285760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2285763 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2285766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285774 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285778 */   GIM_Try, /*On fail goto*//*Label 31279*/ GIMT_Encode4(2285826), // Rule ID 53851 //
     /* 2285783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285786 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2285789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2285803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285825 */     // GIR_Coverage, 53851,
     /* 2285825 */     GIR_EraseRootFromParent_Done,
     /* 2285826 */   // Label 31279: @2285826
     /* 2285826 */   GIM_Try, /*On fail goto*//*Label 31280*/ GIMT_Encode4(2285874), // Rule ID 53852 //
     /* 2285831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285834 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2285837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2285851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285873 */     // GIR_Coverage, 53852,
     /* 2285873 */     GIR_EraseRootFromParent_Done,
     /* 2285874 */   // Label 31280: @2285874
     /* 2285874 */   GIM_Reject,
     /* 2285875 */ // Label 31278: @2285875
     /* 2285875 */ GIM_Reject,
     /* 2285876 */ // Label 31223: @2285876
     /* 2285876 */ GIM_Try, /*On fail goto*//*Label 31281*/ GIMT_Encode4(2285996),
     /* 2285881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2285884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2285887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285899 */   GIM_Try, /*On fail goto*//*Label 31282*/ GIMT_Encode4(2285947), // Rule ID 53899 //
     /* 2285904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2285907 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2285910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2285924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285946 */     // GIR_Coverage, 53899,
     /* 2285946 */     GIR_EraseRootFromParent_Done,
     /* 2285947 */   // Label 31282: @2285947
     /* 2285947 */   GIM_Try, /*On fail goto*//*Label 31283*/ GIMT_Encode4(2285995), // Rule ID 53900 //
     /* 2285952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2285955 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2285958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2285972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285994 */     // GIR_Coverage, 53900,
     /* 2285994 */     GIR_EraseRootFromParent_Done,
     /* 2285995 */   // Label 31283: @2285995
     /* 2285995 */   GIM_Reject,
     /* 2285996 */ // Label 31281: @2285996
     /* 2285996 */ GIM_Reject,
     /* 2285997 */ // Label 31224: @2285997
     /* 2285997 */ GIM_Try, /*On fail goto*//*Label 31284*/ GIMT_Encode4(2286117),
     /* 2286002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2286005 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2286008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286016 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286020 */   GIM_Try, /*On fail goto*//*Label 31285*/ GIMT_Encode4(2286068), // Rule ID 53863 //
     /* 2286025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2286028 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2286031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2286045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286067 */     // GIR_Coverage, 53863,
     /* 2286067 */     GIR_EraseRootFromParent_Done,
     /* 2286068 */   // Label 31285: @2286068
     /* 2286068 */   GIM_Try, /*On fail goto*//*Label 31286*/ GIMT_Encode4(2286116), // Rule ID 53864 //
     /* 2286073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286076 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2286079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2286093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286115 */     // GIR_Coverage, 53864,
     /* 2286115 */     GIR_EraseRootFromParent_Done,
     /* 2286116 */   // Label 31286: @2286116
     /* 2286116 */   GIM_Reject,
     /* 2286117 */ // Label 31284: @2286117
     /* 2286117 */ GIM_Reject,
     /* 2286118 */ // Label 31225: @2286118
     /* 2286118 */ GIM_Reject,
     /* 2286119 */ // Label 60: @2286119
     /* 2286119 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31305*/ GIMT_Encode4(2302763),
     /* 2286130 */ /*GILLT_s16*//*Label 31287*/ GIMT_Encode4(2286250),
     /* 2286134 */ /*GILLT_s32*//*Label 31288*/ GIMT_Encode4(2287686),
     /* 2286138 */ /*GILLT_s64*//*Label 31289*/ GIMT_Encode4(2289122), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2286150 */ /*GILLT_nxv1s16*//*Label 31290*/ GIMT_Encode4(2290913),
     /* 2286154 */ /*GILLT_nxv1s32*//*Label 31291*/ GIMT_Encode4(2291703),
     /* 2286158 */ /*GILLT_nxv1s64*//*Label 31292*/ GIMT_Encode4(2292493), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2286170 */ /*GILLT_nxv2s16*//*Label 31293*/ GIMT_Encode4(2293283),
     /* 2286174 */ /*GILLT_nxv2s32*//*Label 31294*/ GIMT_Encode4(2294073),
     /* 2286178 */ /*GILLT_nxv2s64*//*Label 31295*/ GIMT_Encode4(2294863), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2286190 */ /*GILLT_nxv4s16*//*Label 31296*/ GIMT_Encode4(2295653),
     /* 2286194 */ /*GILLT_nxv4s32*//*Label 31297*/ GIMT_Encode4(2296443),
     /* 2286198 */ /*GILLT_nxv4s64*//*Label 31298*/ GIMT_Encode4(2297233), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2286210 */ /*GILLT_nxv8s16*//*Label 31299*/ GIMT_Encode4(2298023),
     /* 2286214 */ /*GILLT_nxv8s32*//*Label 31300*/ GIMT_Encode4(2298813),
     /* 2286218 */ /*GILLT_nxv8s64*//*Label 31301*/ GIMT_Encode4(2299603), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2286230 */ /*GILLT_nxv16s16*//*Label 31302*/ GIMT_Encode4(2300393),
     /* 2286234 */ /*GILLT_nxv16s32*//*Label 31303*/ GIMT_Encode4(2301183), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2286246 */ /*GILLT_nxv32s16*//*Label 31304*/ GIMT_Encode4(2301973),
     /* 2286250 */ // Label 31287: @2286250
     /* 2286250 */ GIM_Try, /*On fail goto*//*Label 31306*/ GIMT_Encode4(2287685),
     /* 2286255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2286261 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2286264 */   GIM_Try, /*On fail goto*//*Label 31307*/ GIMT_Encode4(2286336), // Rule ID 1874 //
     /* 2286269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2286272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2286280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2286301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286309 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286314 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2286316 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2286316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2286319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2286331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286335 */     // GIR_Coverage, 1874,
     /* 2286335 */     GIR_EraseRootFromParent_Done,
     /* 2286336 */   // Label 31307: @2286336
     /* 2286336 */   GIM_Try, /*On fail goto*//*Label 31308*/ GIMT_Encode4(2286408), // Rule ID 1875 //
     /* 2286341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2286344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2286352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2286373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286381 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2286388 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2286388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2286391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2286403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286407 */     // GIR_Coverage, 1875,
     /* 2286407 */     GIR_EraseRootFromParent_Done,
     /* 2286408 */   // Label 31308: @2286408
     /* 2286408 */   GIM_Try, /*On fail goto*//*Label 31309*/ GIMT_Encode4(2286480), // Rule ID 1907 //
     /* 2286413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2286416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2286424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2286445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286453 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2286460 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2286460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2286463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2286475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286479 */     // GIR_Coverage, 1907,
     /* 2286479 */     GIR_EraseRootFromParent_Done,
     /* 2286480 */   // Label 31309: @2286480
     /* 2286480 */   GIM_Try, /*On fail goto*//*Label 31310*/ GIMT_Encode4(2286552), // Rule ID 1908 //
     /* 2286485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2286488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2286496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286513 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2286517 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286521 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286525 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286530 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2286532 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2286532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2286535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2286547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286551 */     // GIR_Coverage, 1908,
     /* 2286551 */     GIR_EraseRootFromParent_Done,
     /* 2286552 */   // Label 31310: @2286552
     /* 2286552 */   GIM_Try, /*On fail goto*//*Label 31311*/ GIMT_Encode4(2286624), // Rule ID 64303 //
     /* 2286557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2286560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2286572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286585 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2286589 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286593 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286597 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286602 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2286604 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2286604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2286607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2286615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2286619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286623 */     // GIR_Coverage, 64303,
     /* 2286623 */     GIR_EraseRootFromParent_Done,
     /* 2286624 */   // Label 31311: @2286624
     /* 2286624 */   GIM_Try, /*On fail goto*//*Label 31312*/ GIMT_Encode4(2286696), // Rule ID 64304 //
     /* 2286629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2286632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2286644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2286661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286674 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2286676 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2286676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2286679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2286687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2286691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286695 */     // GIR_Coverage, 64304,
     /* 2286695 */     GIR_EraseRootFromParent_Done,
     /* 2286696 */   // Label 31312: @2286696
     /* 2286696 */   GIM_Try, /*On fail goto*//*Label 31313*/ GIMT_Encode4(2286768), // Rule ID 64311 //
     /* 2286701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2286704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2286716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2286733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286741 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2286748 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2286748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2286751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2286759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2286763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286767 */     // GIR_Coverage, 64311,
     /* 2286767 */     GIR_EraseRootFromParent_Done,
     /* 2286768 */   // Label 31313: @2286768
     /* 2286768 */   GIM_Try, /*On fail goto*//*Label 31314*/ GIMT_Encode4(2286840), // Rule ID 64312 //
     /* 2286773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2286776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2286788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286792 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2286805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286813 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286818 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2286820 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2286820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2286823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2286831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2286835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286839 */     // GIR_Coverage, 64312,
     /* 2286839 */     GIR_EraseRootFromParent_Done,
     /* 2286840 */   // Label 31314: @2286840
     /* 2286840 */   GIM_Try, /*On fail goto*//*Label 31315*/ GIMT_Encode4(2286897), // Rule ID 1870 //
     /* 2286845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2286848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2286856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2286879 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2286879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2286882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2286892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286896 */     // GIR_Coverage, 1870,
     /* 2286896 */     GIR_EraseRootFromParent_Done,
     /* 2286897 */   // Label 31315: @2286897
     /* 2286897 */   GIM_Try, /*On fail goto*//*Label 31316*/ GIMT_Encode4(2286954), // Rule ID 1871 //
     /* 2286902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2286905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2286913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2286936 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2286936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2286939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2286949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286953 */     // GIR_Coverage, 1871,
     /* 2286953 */     GIR_EraseRootFromParent_Done,
     /* 2286954 */   // Label 31316: @2286954
     /* 2286954 */   GIM_Try, /*On fail goto*//*Label 31317*/ GIMT_Encode4(2287011), // Rule ID 1903 //
     /* 2286959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2286962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2286970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2286978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2286991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2286993 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2286993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2286996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2287006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287010 */     // GIR_Coverage, 1903,
     /* 2287010 */     GIR_EraseRootFromParent_Done,
     /* 2287011 */   // Label 31317: @2287011
     /* 2287011 */   GIM_Try, /*On fail goto*//*Label 31318*/ GIMT_Encode4(2287068), // Rule ID 1904 //
     /* 2287016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2287019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2287035 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287050 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2287050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2287053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2287063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287067 */     // GIR_Coverage, 1904,
     /* 2287067 */     GIR_EraseRootFromParent_Done,
     /* 2287068 */   // Label 31318: @2287068
     /* 2287068 */   GIM_Try, /*On fail goto*//*Label 31319*/ GIMT_Encode4(2287125), // Rule ID 64299 //
     /* 2287073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2287076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2287088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2287096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287107 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2287107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2287110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2287118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2287120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287124 */     // GIR_Coverage, 64299,
     /* 2287124 */     GIR_EraseRootFromParent_Done,
     /* 2287125 */   // Label 31319: @2287125
     /* 2287125 */   GIM_Try, /*On fail goto*//*Label 31320*/ GIMT_Encode4(2287182), // Rule ID 64300 //
     /* 2287130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2287133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2287145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2287153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287164 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2287164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2287167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2287175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2287177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287181 */     // GIR_Coverage, 64300,
     /* 2287181 */     GIR_EraseRootFromParent_Done,
     /* 2287182 */   // Label 31320: @2287182
     /* 2287182 */   GIM_Try, /*On fail goto*//*Label 31321*/ GIMT_Encode4(2287239), // Rule ID 64307 //
     /* 2287187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2287190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2287202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2287210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287221 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2287221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2287224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2287232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2287234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287238 */     // GIR_Coverage, 64307,
     /* 2287238 */     GIR_EraseRootFromParent_Done,
     /* 2287239 */   // Label 31321: @2287239
     /* 2287239 */   GIM_Try, /*On fail goto*//*Label 31322*/ GIMT_Encode4(2287296), // Rule ID 64308 //
     /* 2287244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2287247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2287259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2287267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287278 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2287278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2287281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2287289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2287291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287295 */     // GIR_Coverage, 64308,
     /* 2287295 */     GIR_EraseRootFromParent_Done,
     /* 2287296 */   // Label 31322: @2287296
     /* 2287296 */   GIM_Try, /*On fail goto*//*Label 31323*/ GIMT_Encode4(2287353), // Rule ID 1866 //
     /* 2287301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2287304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2287320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2287328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287335 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2287335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2287338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2287348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287352 */     // GIR_Coverage, 1866,
     /* 2287352 */     GIR_EraseRootFromParent_Done,
     /* 2287353 */   // Label 31323: @2287353
     /* 2287353 */   GIM_Try, /*On fail goto*//*Label 31324*/ GIMT_Encode4(2287410), // Rule ID 1867 //
     /* 2287358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2287361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2287377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2287385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287392 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2287392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2287395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2287405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287409 */     // GIR_Coverage, 1867,
     /* 2287409 */     GIR_EraseRootFromParent_Done,
     /* 2287410 */   // Label 31324: @2287410
     /* 2287410 */   GIM_Try, /*On fail goto*//*Label 31325*/ GIMT_Encode4(2287467), // Rule ID 1899 //
     /* 2287415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2287418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2287434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2287442 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287449 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2287449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2287452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2287462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287466 */     // GIR_Coverage, 1899,
     /* 2287466 */     GIR_EraseRootFromParent_Done,
     /* 2287467 */   // Label 31325: @2287467
     /* 2287467 */   GIM_Try, /*On fail goto*//*Label 31326*/ GIMT_Encode4(2287524), // Rule ID 1900 //
     /* 2287472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2287475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2287491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2287499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287506 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2287506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2287509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2287519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287523 */     // GIR_Coverage, 1900,
     /* 2287523 */     GIR_EraseRootFromParent_Done,
     /* 2287524 */   // Label 31326: @2287524
     /* 2287524 */   GIM_Try, /*On fail goto*//*Label 31327*/ GIMT_Encode4(2287564), // Rule ID 1862 //
     /* 2287529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2287532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287548 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2287548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2287551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2287559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287563 */     // GIR_Coverage, 1862,
     /* 2287563 */     GIR_EraseRootFromParent_Done,
     /* 2287564 */   // Label 31327: @2287564
     /* 2287564 */   GIM_Try, /*On fail goto*//*Label 31328*/ GIMT_Encode4(2287604), // Rule ID 1863 //
     /* 2287569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2287572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287588 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2287588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2287591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2287599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287603 */     // GIR_Coverage, 1863,
     /* 2287603 */     GIR_EraseRootFromParent_Done,
     /* 2287604 */   // Label 31328: @2287604
     /* 2287604 */   GIM_Try, /*On fail goto*//*Label 31329*/ GIMT_Encode4(2287644), // Rule ID 1895 //
     /* 2287609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2287612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287628 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2287628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2287631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2287639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287643 */     // GIR_Coverage, 1895,
     /* 2287643 */     GIR_EraseRootFromParent_Done,
     /* 2287644 */   // Label 31329: @2287644
     /* 2287644 */   GIM_Try, /*On fail goto*//*Label 31330*/ GIMT_Encode4(2287684), // Rule ID 1896 //
     /* 2287649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2287652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2287668 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2287668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2287671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2287679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287683 */     // GIR_Coverage, 1896,
     /* 2287683 */     GIR_EraseRootFromParent_Done,
     /* 2287684 */   // Label 31330: @2287684
     /* 2287684 */   GIM_Reject,
     /* 2287685 */ // Label 31306: @2287685
     /* 2287685 */ GIM_Reject,
     /* 2287686 */ // Label 31288: @2287686
     /* 2287686 */ GIM_Try, /*On fail goto*//*Label 31331*/ GIMT_Encode4(2289121),
     /* 2287691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2287694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2287697 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2287700 */   GIM_Try, /*On fail goto*//*Label 31332*/ GIMT_Encode4(2287772), // Rule ID 1173 //
     /* 2287705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2287708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2287712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2287724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2287729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2287733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2287737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2287745 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2287750 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2287752 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2287752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2287755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2287767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287771 */     // GIR_Coverage, 1173,
     /* 2287771 */     GIR_EraseRootFromParent_Done,
     /* 2287772 */   // Label 31332: @2287772
     /* 2287772 */   GIM_Try, /*On fail goto*//*Label 31333*/ GIMT_Encode4(2287844), // Rule ID 1174 //
     /* 2287777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2287780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2287784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287792 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2287796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2287801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2287805 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2287809 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287813 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2287817 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2287822 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2287824 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2287824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2287827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2287839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287843 */     // GIR_Coverage, 1174,
     /* 2287843 */     GIR_EraseRootFromParent_Done,
     /* 2287844 */   // Label 31333: @2287844
     /* 2287844 */   GIM_Try, /*On fail goto*//*Label 31334*/ GIMT_Encode4(2287916), // Rule ID 1194 //
     /* 2287849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2287852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2287856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2287868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2287873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2287877 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2287881 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287885 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2287889 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2287894 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2287896 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2287896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2287899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2287911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287915 */     // GIR_Coverage, 1194,
     /* 2287915 */     GIR_EraseRootFromParent_Done,
     /* 2287916 */   // Label 31334: @2287916
     /* 2287916 */   GIM_Try, /*On fail goto*//*Label 31335*/ GIMT_Encode4(2287988), // Rule ID 1195 //
     /* 2287921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2287924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2287928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2287940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2287945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2287949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2287953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287957 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2287961 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2287966 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2287968 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2287968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2287971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2287983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287987 */     // GIR_Coverage, 1195,
     /* 2287987 */     GIR_EraseRootFromParent_Done,
     /* 2287988 */   // Label 31335: @2287988
     /* 2287988 */   GIM_Try, /*On fail goto*//*Label 31336*/ GIMT_Encode4(2288060), // Rule ID 64267 //
     /* 2287993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2287996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288033 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288038 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288040 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2288040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2288043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288059 */     // GIR_Coverage, 64267,
     /* 2288059 */     GIR_EraseRootFromParent_Done,
     /* 2288060 */   // Label 31336: @2288060
     /* 2288060 */   GIM_Try, /*On fail goto*//*Label 31337*/ GIMT_Encode4(2288132), // Rule ID 64268 //
     /* 2288065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2288068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288093 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288097 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288101 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288105 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288112 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2288112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2288115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288131 */     // GIR_Coverage, 64268,
     /* 2288131 */     GIR_EraseRootFromParent_Done,
     /* 2288132 */   // Label 31337: @2288132
     /* 2288132 */   GIM_Try, /*On fail goto*//*Label 31338*/ GIMT_Encode4(2288204), // Rule ID 64275 //
     /* 2288137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2288140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288165 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288169 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288173 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288177 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288182 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288184 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2288184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2288187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288203 */     // GIR_Coverage, 64275,
     /* 2288203 */     GIR_EraseRootFromParent_Done,
     /* 2288204 */   // Label 31338: @2288204
     /* 2288204 */   GIM_Try, /*On fail goto*//*Label 31339*/ GIMT_Encode4(2288276), // Rule ID 64276 //
     /* 2288209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2288212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288245 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288249 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288256 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2288256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2288259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2288271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288275 */     // GIR_Coverage, 64276,
     /* 2288275 */     GIR_EraseRootFromParent_Done,
     /* 2288276 */   // Label 31339: @2288276
     /* 2288276 */   GIM_Try, /*On fail goto*//*Label 31340*/ GIMT_Encode4(2288333), // Rule ID 1169 //
     /* 2288281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2288284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288300 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288315 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2288315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2288318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288332 */     // GIR_Coverage, 1169,
     /* 2288332 */     GIR_EraseRootFromParent_Done,
     /* 2288333 */   // Label 31340: @2288333
     /* 2288333 */   GIM_Try, /*On fail goto*//*Label 31341*/ GIMT_Encode4(2288390), // Rule ID 1170 //
     /* 2288338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2288341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288372 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2288372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2288375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288389 */     // GIR_Coverage, 1170,
     /* 2288389 */     GIR_EraseRootFromParent_Done,
     /* 2288390 */   // Label 31341: @2288390
     /* 2288390 */   GIM_Try, /*On fail goto*//*Label 31342*/ GIMT_Encode4(2288447), // Rule ID 1190 //
     /* 2288395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2288398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288414 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288429 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2288429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2288432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288446 */     // GIR_Coverage, 1190,
     /* 2288446 */     GIR_EraseRootFromParent_Done,
     /* 2288447 */   // Label 31342: @2288447
     /* 2288447 */   GIM_Try, /*On fail goto*//*Label 31343*/ GIMT_Encode4(2288504), // Rule ID 1191 //
     /* 2288452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2288455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288486 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2288486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2288489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288503 */     // GIR_Coverage, 1191,
     /* 2288503 */     GIR_EraseRootFromParent_Done,
     /* 2288504 */   // Label 31343: @2288504
     /* 2288504 */   GIM_Try, /*On fail goto*//*Label 31344*/ GIMT_Encode4(2288561), // Rule ID 64263 //
     /* 2288509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2288512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288543 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2288543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2288546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288560 */     // GIR_Coverage, 64263,
     /* 2288560 */     GIR_EraseRootFromParent_Done,
     /* 2288561 */   // Label 31344: @2288561
     /* 2288561 */   GIM_Try, /*On fail goto*//*Label 31345*/ GIMT_Encode4(2288618), // Rule ID 64264 //
     /* 2288566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2288569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288600 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2288600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2288603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288617 */     // GIR_Coverage, 64264,
     /* 2288617 */     GIR_EraseRootFromParent_Done,
     /* 2288618 */   // Label 31345: @2288618
     /* 2288618 */   GIM_Try, /*On fail goto*//*Label 31346*/ GIMT_Encode4(2288675), // Rule ID 64271 //
     /* 2288623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2288626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288657 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2288657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2288660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288674 */     // GIR_Coverage, 64271,
     /* 2288674 */     GIR_EraseRootFromParent_Done,
     /* 2288675 */   // Label 31346: @2288675
     /* 2288675 */   GIM_Try, /*On fail goto*//*Label 31347*/ GIMT_Encode4(2288732), // Rule ID 64272 //
     /* 2288680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2288683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288714 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2288714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2288717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2288725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288731 */     // GIR_Coverage, 64272,
     /* 2288731 */     GIR_EraseRootFromParent_Done,
     /* 2288732 */   // Label 31347: @2288732
     /* 2288732 */   GIM_Try, /*On fail goto*//*Label 31348*/ GIMT_Encode4(2288789), // Rule ID 1165 //
     /* 2288737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2288740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2288756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288771 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2288771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2288774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2288784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288788 */     // GIR_Coverage, 1165,
     /* 2288788 */     GIR_EraseRootFromParent_Done,
     /* 2288789 */   // Label 31348: @2288789
     /* 2288789 */   GIM_Try, /*On fail goto*//*Label 31349*/ GIMT_Encode4(2288846), // Rule ID 1166 //
     /* 2288794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2288797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2288813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288821 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288828 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2288828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2288831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2288841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288845 */     // GIR_Coverage, 1166,
     /* 2288845 */     GIR_EraseRootFromParent_Done,
     /* 2288846 */   // Label 31349: @2288846
     /* 2288846 */   GIM_Try, /*On fail goto*//*Label 31350*/ GIMT_Encode4(2288903), // Rule ID 1186 //
     /* 2288851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2288854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2288870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288874 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288885 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2288885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2288888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2288898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288902 */     // GIR_Coverage, 1186,
     /* 2288902 */     GIR_EraseRootFromParent_Done,
     /* 2288903 */   // Label 31350: @2288903
     /* 2288903 */   GIM_Try, /*On fail goto*//*Label 31351*/ GIMT_Encode4(2288960), // Rule ID 1187 //
     /* 2288908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2288911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2288927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2288935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2288940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288942 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2288942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2288945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2288955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288959 */     // GIR_Coverage, 1187,
     /* 2288959 */     GIR_EraseRootFromParent_Done,
     /* 2288960 */   // Label 31351: @2288960
     /* 2288960 */   GIM_Try, /*On fail goto*//*Label 31352*/ GIMT_Encode4(2289000), // Rule ID 1161 //
     /* 2288965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2288968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288984 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2288984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2288987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2288995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288999 */     // GIR_Coverage, 1161,
     /* 2288999 */     GIR_EraseRootFromParent_Done,
     /* 2289000 */   // Label 31352: @2289000
     /* 2289000 */   GIM_Try, /*On fail goto*//*Label 31353*/ GIMT_Encode4(2289040), // Rule ID 1162 //
     /* 2289005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2289008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2289024 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2289024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2289027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289039 */     // GIR_Coverage, 1162,
     /* 2289039 */     GIR_EraseRootFromParent_Done,
     /* 2289040 */   // Label 31353: @2289040
     /* 2289040 */   GIM_Try, /*On fail goto*//*Label 31354*/ GIMT_Encode4(2289080), // Rule ID 1182 //
     /* 2289045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2289048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289064 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2289064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2289067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289079 */     // GIR_Coverage, 1182,
     /* 2289079 */     GIR_EraseRootFromParent_Done,
     /* 2289080 */   // Label 31354: @2289080
     /* 2289080 */   GIM_Try, /*On fail goto*//*Label 31355*/ GIMT_Encode4(2289120), // Rule ID 1183 //
     /* 2289085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2289088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2289104 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2289104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2289107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289119 */     // GIR_Coverage, 1183,
     /* 2289119 */     GIR_EraseRootFromParent_Done,
     /* 2289120 */   // Label 31355: @2289120
     /* 2289120 */   GIM_Reject,
     /* 2289121 */ // Label 31331: @2289121
     /* 2289121 */ GIM_Reject,
     /* 2289122 */ // Label 31289: @2289122
     /* 2289122 */ GIM_Try, /*On fail goto*//*Label 31356*/ GIMT_Encode4(2290912),
     /* 2289127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2289133 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2289136 */   GIM_Try, /*On fail goto*//*Label 31357*/ GIMT_Encode4(2289208), // Rule ID 1510 //
     /* 2289141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2289144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289181 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289186 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289188 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2289188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2289191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289207 */     // GIR_Coverage, 1510,
     /* 2289207 */     GIR_EraseRootFromParent_Done,
     /* 2289208 */   // Label 31357: @2289208
     /* 2289208 */   GIM_Try, /*On fail goto*//*Label 31358*/ GIMT_Encode4(2289280), // Rule ID 1511 //
     /* 2289213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2289216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289253 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289258 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289260 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2289260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2289263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289279 */     // GIR_Coverage, 1511,
     /* 2289279 */     GIR_EraseRootFromParent_Done,
     /* 2289280 */   // Label 31358: @2289280
     /* 2289280 */   GIM_Try, /*On fail goto*//*Label 31359*/ GIMT_Encode4(2289352), // Rule ID 1533 //
     /* 2289285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2289288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2289292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2289309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2289313 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289317 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289321 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289325 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2289330 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289332 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2289332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2289335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289351 */     // GIR_Coverage, 1533,
     /* 2289351 */     GIR_EraseRootFromParent_Done,
     /* 2289352 */   // Label 31359: @2289352
     /* 2289352 */   GIM_Try, /*On fail goto*//*Label 31360*/ GIMT_Encode4(2289424), // Rule ID 1565 //
     /* 2289357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2289360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2289364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2289381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2289385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289393 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289397 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2289402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289404 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2289404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2289407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289423 */     // GIR_Coverage, 1565,
     /* 2289423 */     GIR_EraseRootFromParent_Done,
     /* 2289424 */   // Label 31360: @2289424
     /* 2289424 */   GIM_Try, /*On fail goto*//*Label 31361*/ GIMT_Encode4(2289496), // Rule ID 1566 //
     /* 2289429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2289432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2289436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289448 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2289453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2289457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289469 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2289474 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289476 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2289476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2289479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289495 */     // GIR_Coverage, 1566,
     /* 2289495 */     GIR_EraseRootFromParent_Done,
     /* 2289496 */   // Label 31361: @2289496
     /* 2289496 */   GIM_Try, /*On fail goto*//*Label 31362*/ GIMT_Encode4(2289568), // Rule ID 64283 //
     /* 2289501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2289504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289537 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289541 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289546 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289548 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2289548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2289551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289567 */     // GIR_Coverage, 64283,
     /* 2289567 */     GIR_EraseRootFromParent_Done,
     /* 2289568 */   // Label 31362: @2289568
     /* 2289568 */   GIM_Try, /*On fail goto*//*Label 31363*/ GIMT_Encode4(2289640), // Rule ID 64284 //
     /* 2289573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2289576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289613 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289618 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289620 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2289620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2289623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289639 */     // GIR_Coverage, 64284,
     /* 2289639 */     GIR_EraseRootFromParent_Done,
     /* 2289640 */   // Label 31363: @2289640
     /* 2289640 */   GIM_Try, /*On fail goto*//*Label 31364*/ GIMT_Encode4(2289712), // Rule ID 64288 //
     /* 2289645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2289648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2289652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2289656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2289673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289681 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289685 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2289690 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289692 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2289692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2289695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289711 */     // GIR_Coverage, 64288,
     /* 2289711 */     GIR_EraseRootFromParent_Done,
     /* 2289712 */   // Label 31364: @2289712
     /* 2289712 */   GIM_Try, /*On fail goto*//*Label 31365*/ GIMT_Encode4(2289784), // Rule ID 64295 //
     /* 2289717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2289720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2289724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2289728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2289745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2289762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289764 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2289764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2289767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289783 */     // GIR_Coverage, 64295,
     /* 2289783 */     GIR_EraseRootFromParent_Done,
     /* 2289784 */   // Label 31365: @2289784
     /* 2289784 */   GIM_Try, /*On fail goto*//*Label 31366*/ GIMT_Encode4(2289856), // Rule ID 64296 //
     /* 2289789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2289792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2289796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2289800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2289817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289821 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289825 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289829 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2289834 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289836 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2289836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2289839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2289847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2289851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289855 */     // GIR_Coverage, 64296,
     /* 2289855 */     GIR_EraseRootFromParent_Done,
     /* 2289856 */   // Label 31366: @2289856
     /* 2289856 */   GIM_Try, /*On fail goto*//*Label 31367*/ GIMT_Encode4(2289913), // Rule ID 1506 //
     /* 2289861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2289864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289895 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2289895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2289898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289912 */     // GIR_Coverage, 1506,
     /* 2289912 */     GIR_EraseRootFromParent_Done,
     /* 2289913 */   // Label 31367: @2289913
     /* 2289913 */   GIM_Try, /*On fail goto*//*Label 31368*/ GIMT_Encode4(2289970), // Rule ID 1507 //
     /* 2289918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2289921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2289950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289952 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2289952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2289955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2289965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289969 */     // GIR_Coverage, 1507,
     /* 2289969 */     GIR_EraseRootFromParent_Done,
     /* 2289970 */   // Label 31368: @2289970
     /* 2289970 */   GIM_Try, /*On fail goto*//*Label 31369*/ GIMT_Encode4(2290027), // Rule ID 1531 //
     /* 2289975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2289978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2289982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2289994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2289999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290009 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2290009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2290012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290026 */     // GIR_Coverage, 1531,
     /* 2290026 */     GIR_EraseRootFromParent_Done,
     /* 2290027 */   // Label 31369: @2290027
     /* 2290027 */   GIM_Try, /*On fail goto*//*Label 31370*/ GIMT_Encode4(2290084), // Rule ID 1561 //
     /* 2290032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2290035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290066 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2290066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2290069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290083 */     // GIR_Coverage, 1561,
     /* 2290083 */     GIR_EraseRootFromParent_Done,
     /* 2290084 */   // Label 31370: @2290084
     /* 2290084 */   GIM_Try, /*On fail goto*//*Label 31371*/ GIMT_Encode4(2290141), // Rule ID 1562 //
     /* 2290089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2290092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290104 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290123 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2290123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2290126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290140 */     // GIR_Coverage, 1562,
     /* 2290140 */     GIR_EraseRootFromParent_Done,
     /* 2290141 */   // Label 31371: @2290141
     /* 2290141 */   GIM_Try, /*On fail goto*//*Label 31372*/ GIMT_Encode4(2290198), // Rule ID 64279 //
     /* 2290146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2290149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290180 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2290180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2290183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290197 */     // GIR_Coverage, 64279,
     /* 2290197 */     GIR_EraseRootFromParent_Done,
     /* 2290198 */   // Label 31372: @2290198
     /* 2290198 */   GIM_Try, /*On fail goto*//*Label 31373*/ GIMT_Encode4(2290255), // Rule ID 64280 //
     /* 2290203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2290206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290226 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290237 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2290237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2290240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290254 */     // GIR_Coverage, 64280,
     /* 2290254 */     GIR_EraseRootFromParent_Done,
     /* 2290255 */   // Label 31373: @2290255
     /* 2290255 */   GIM_Try, /*On fail goto*//*Label 31374*/ GIMT_Encode4(2290312), // Rule ID 64286 //
     /* 2290260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2290263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290294 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2290294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2290297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290311 */     // GIR_Coverage, 64286,
     /* 2290311 */     GIR_EraseRootFromParent_Done,
     /* 2290312 */   // Label 31374: @2290312
     /* 2290312 */   GIM_Try, /*On fail goto*//*Label 31375*/ GIMT_Encode4(2290369), // Rule ID 64291 //
     /* 2290317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2290320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290351 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2290351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2290354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290368 */     // GIR_Coverage, 64291,
     /* 2290368 */     GIR_EraseRootFromParent_Done,
     /* 2290369 */   // Label 31375: @2290369
     /* 2290369 */   GIM_Try, /*On fail goto*//*Label 31376*/ GIMT_Encode4(2290426), // Rule ID 64292 //
     /* 2290374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2290377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290408 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2290408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2290411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2290419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290425 */     // GIR_Coverage, 64292,
     /* 2290425 */     GIR_EraseRootFromParent_Done,
     /* 2290426 */   // Label 31376: @2290426
     /* 2290426 */   GIM_Try, /*On fail goto*//*Label 31377*/ GIMT_Encode4(2290483), // Rule ID 1502 //
     /* 2290431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2290434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290465 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2290465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2290468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290482 */     // GIR_Coverage, 1502,
     /* 2290482 */     GIR_EraseRootFromParent_Done,
     /* 2290483 */   // Label 31377: @2290483
     /* 2290483 */   GIM_Try, /*On fail goto*//*Label 31378*/ GIMT_Encode4(2290540), // Rule ID 1503 //
     /* 2290488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2290491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290522 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2290522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2290525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290539 */     // GIR_Coverage, 1503,
     /* 2290539 */     GIR_EraseRootFromParent_Done,
     /* 2290540 */   // Label 31378: @2290540
     /* 2290540 */   GIM_Try, /*On fail goto*//*Label 31379*/ GIMT_Encode4(2290597), // Rule ID 1529 //
     /* 2290545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2290548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290579 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2290579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2290582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290596 */     // GIR_Coverage, 1529,
     /* 2290596 */     GIR_EraseRootFromParent_Done,
     /* 2290597 */   // Label 31379: @2290597
     /* 2290597 */   GIM_Try, /*On fail goto*//*Label 31380*/ GIMT_Encode4(2290654), // Rule ID 1557 //
     /* 2290602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2290605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290636 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2290636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2290639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290653 */     // GIR_Coverage, 1557,
     /* 2290653 */     GIR_EraseRootFromParent_Done,
     /* 2290654 */   // Label 31380: @2290654
     /* 2290654 */   GIM_Try, /*On fail goto*//*Label 31381*/ GIMT_Encode4(2290711), // Rule ID 1558 //
     /* 2290659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2290662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2290686 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290693 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2290693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2290696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2290706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290710 */     // GIR_Coverage, 1558,
     /* 2290710 */     GIR_EraseRootFromParent_Done,
     /* 2290711 */   // Label 31381: @2290711
     /* 2290711 */   GIM_Try, /*On fail goto*//*Label 31382*/ GIMT_Encode4(2290751), // Rule ID 1498 //
     /* 2290716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2290719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290735 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2290735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2290738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290750 */     // GIR_Coverage, 1498,
     /* 2290750 */     GIR_EraseRootFromParent_Done,
     /* 2290751 */   // Label 31382: @2290751
     /* 2290751 */   GIM_Try, /*On fail goto*//*Label 31383*/ GIMT_Encode4(2290791), // Rule ID 1499 //
     /* 2290756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2290759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2290775 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2290775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2290778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290790 */     // GIR_Coverage, 1499,
     /* 2290790 */     GIR_EraseRootFromParent_Done,
     /* 2290791 */   // Label 31383: @2290791
     /* 2290791 */   GIM_Try, /*On fail goto*//*Label 31384*/ GIMT_Encode4(2290831), // Rule ID 1527 //
     /* 2290796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2290799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2290815 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2290815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2290818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290830 */     // GIR_Coverage, 1527,
     /* 2290830 */     GIR_EraseRootFromParent_Done,
     /* 2290831 */   // Label 31384: @2290831
     /* 2290831 */   GIM_Try, /*On fail goto*//*Label 31385*/ GIMT_Encode4(2290871), // Rule ID 1553 //
     /* 2290836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2290839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290855 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2290855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2290858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290870 */     // GIR_Coverage, 1553,
     /* 2290870 */     GIR_EraseRootFromParent_Done,
     /* 2290871 */   // Label 31385: @2290871
     /* 2290871 */   GIM_Try, /*On fail goto*//*Label 31386*/ GIMT_Encode4(2290911), // Rule ID 1554 //
     /* 2290876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2290879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2290895 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2290895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2290898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2290906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290910 */     // GIR_Coverage, 1554,
     /* 2290910 */     GIR_EraseRootFromParent_Done,
     /* 2290911 */   // Label 31386: @2290911
     /* 2290911 */   GIM_Reject,
     /* 2290912 */ // Label 31356: @2290912
     /* 2290912 */ GIM_Reject,
     /* 2290913 */ // Label 31290: @2290913
     /* 2290913 */ GIM_Try, /*On fail goto*//*Label 31387*/ GIMT_Encode4(2291702),
     /* 2290918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2290921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2290924 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2290927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290931 */   GIM_Try, /*On fail goto*//*Label 31388*/ GIMT_Encode4(2291008), // Rule ID 54381 //
     /* 2290936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2290939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2290951 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290968 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2290972 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290977 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290979 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2290979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2290982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2290994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291007 */     // GIR_Coverage, 54381,
     /* 2291007 */     GIR_EraseRootFromParent_Done,
     /* 2291008 */   // Label 31388: @2291008
     /* 2291008 */   GIM_Try, /*On fail goto*//*Label 31389*/ GIMT_Encode4(2291085), // Rule ID 54382 //
     /* 2291013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2291016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2291028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2291049 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291054 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291056 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2291059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2291071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291084 */     // GIR_Coverage, 54382,
     /* 2291084 */     GIR_EraseRootFromParent_Done,
     /* 2291085 */   // Label 31389: @2291085
     /* 2291085 */   GIM_Try, /*On fail goto*//*Label 31390*/ GIMT_Encode4(2291162), // Rule ID 71107 //
     /* 2291090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2291093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2291109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291114 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291118 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291122 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2291126 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291131 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291133 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2291136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2291140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2291148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291161 */     // GIR_Coverage, 71107,
     /* 2291161 */     GIR_EraseRootFromParent_Done,
     /* 2291162 */   // Label 31390: @2291162
     /* 2291162 */   GIM_Try, /*On fail goto*//*Label 31391*/ GIMT_Encode4(2291239), // Rule ID 71108 //
     /* 2291167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2291170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2291186 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291199 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2291203 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291208 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291210 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2291213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2291217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2291225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291238 */     // GIR_Coverage, 71108,
     /* 2291238 */     GIR_EraseRootFromParent_Done,
     /* 2291239 */   // Label 31391: @2291239
     /* 2291239 */   GIM_Try, /*On fail goto*//*Label 31392*/ GIMT_Encode4(2291301), // Rule ID 54385 //
     /* 2291244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2291247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2291259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291274 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2291277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291300 */     // GIR_Coverage, 54385,
     /* 2291300 */     GIR_EraseRootFromParent_Done,
     /* 2291301 */   // Label 31392: @2291301
     /* 2291301 */   GIM_Try, /*On fail goto*//*Label 31393*/ GIMT_Encode4(2291363), // Rule ID 54386 //
     /* 2291306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2291309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2291321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291336 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2291339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291362 */     // GIR_Coverage, 54386,
     /* 2291362 */     GIR_EraseRootFromParent_Done,
     /* 2291363 */   // Label 31393: @2291363
     /* 2291363 */   GIM_Try, /*On fail goto*//*Label 31394*/ GIMT_Encode4(2291425), // Rule ID 71111 //
     /* 2291368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2291371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2291387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291398 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2291401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2291405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291424 */     // GIR_Coverage, 71111,
     /* 2291424 */     GIR_EraseRootFromParent_Done,
     /* 2291425 */   // Label 31394: @2291425
     /* 2291425 */   GIM_Try, /*On fail goto*//*Label 31395*/ GIMT_Encode4(2291487), // Rule ID 71112 //
     /* 2291430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2291433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2291449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291460 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2291463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2291467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291486 */     // GIR_Coverage, 71112,
     /* 2291486 */     GIR_EraseRootFromParent_Done,
     /* 2291487 */   // Label 31395: @2291487
     /* 2291487 */   GIM_Try, /*On fail goto*//*Label 31396*/ GIMT_Encode4(2291549), // Rule ID 54377 //
     /* 2291492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2291495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2291507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2291515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291522 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2291525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2291535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291548 */     // GIR_Coverage, 54377,
     /* 2291548 */     GIR_EraseRootFromParent_Done,
     /* 2291549 */   // Label 31396: @2291549
     /* 2291549 */   GIM_Try, /*On fail goto*//*Label 31397*/ GIMT_Encode4(2291611), // Rule ID 54378 //
     /* 2291554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2291557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2291569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2291577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291584 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2291587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2291597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291610 */     // GIR_Coverage, 54378,
     /* 2291610 */     GIR_EraseRootFromParent_Done,
     /* 2291611 */   // Label 31397: @2291611
     /* 2291611 */   GIM_Try, /*On fail goto*//*Label 31398*/ GIMT_Encode4(2291656), // Rule ID 54373 //
     /* 2291616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2291619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291631 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2291634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291655 */     // GIR_Coverage, 54373,
     /* 2291655 */     GIR_EraseRootFromParent_Done,
     /* 2291656 */   // Label 31398: @2291656
     /* 2291656 */   GIM_Try, /*On fail goto*//*Label 31399*/ GIMT_Encode4(2291701), // Rule ID 54374 //
     /* 2291661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2291664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291676 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2291679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291700 */     // GIR_Coverage, 54374,
     /* 2291700 */     GIR_EraseRootFromParent_Done,
     /* 2291701 */   // Label 31399: @2291701
     /* 2291701 */   GIM_Reject,
     /* 2291702 */ // Label 31387: @2291702
     /* 2291702 */ GIM_Reject,
     /* 2291703 */ // Label 31291: @2291703
     /* 2291703 */ GIM_Try, /*On fail goto*//*Label 31400*/ GIMT_Encode4(2292492),
     /* 2291708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2291711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2291714 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2291717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291721 */   GIM_Try, /*On fail goto*//*Label 31401*/ GIMT_Encode4(2291798), // Rule ID 54509 //
     /* 2291726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2291729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2291741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291750 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291754 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291758 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2291762 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291767 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291769 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2291772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2291784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291797 */     // GIR_Coverage, 54509,
     /* 2291797 */     GIR_EraseRootFromParent_Done,
     /* 2291798 */   // Label 31401: @2291798
     /* 2291798 */   GIM_Try, /*On fail goto*//*Label 31402*/ GIMT_Encode4(2291875), // Rule ID 54510 //
     /* 2291803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2291806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2291818 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2291839 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291844 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291846 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2291849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2291861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291874 */     // GIR_Coverage, 54510,
     /* 2291874 */     GIR_EraseRootFromParent_Done,
     /* 2291875 */   // Label 31402: @2291875
     /* 2291875 */   GIM_Try, /*On fail goto*//*Label 31403*/ GIMT_Encode4(2291952), // Rule ID 71219 //
     /* 2291880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2291883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2291899 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291904 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291908 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291912 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2291916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291923 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2291926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2291930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2291938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291951 */     // GIR_Coverage, 71219,
     /* 2291951 */     GIR_EraseRootFromParent_Done,
     /* 2291952 */   // Label 31403: @2291952
     /* 2291952 */   GIM_Try, /*On fail goto*//*Label 31404*/ GIMT_Encode4(2292029), // Rule ID 71220 //
     /* 2291957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2291960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2291976 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291989 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2291993 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291998 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292000 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2292003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292028 */     // GIR_Coverage, 71220,
     /* 2292028 */     GIR_EraseRootFromParent_Done,
     /* 2292029 */   // Label 31404: @2292029
     /* 2292029 */   GIM_Try, /*On fail goto*//*Label 31405*/ GIMT_Encode4(2292091), // Rule ID 54513 //
     /* 2292034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2292037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2292049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292064 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2292067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292090 */     // GIR_Coverage, 54513,
     /* 2292090 */     GIR_EraseRootFromParent_Done,
     /* 2292091 */   // Label 31405: @2292091
     /* 2292091 */   GIM_Try, /*On fail goto*//*Label 31406*/ GIMT_Encode4(2292153), // Rule ID 54514 //
     /* 2292096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2292099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2292111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292126 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2292129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292152 */     // GIR_Coverage, 54514,
     /* 2292152 */     GIR_EraseRootFromParent_Done,
     /* 2292153 */   // Label 31406: @2292153
     /* 2292153 */   GIM_Try, /*On fail goto*//*Label 31407*/ GIMT_Encode4(2292215), // Rule ID 71223 //
     /* 2292158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2292161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2292177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292188 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2292191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292214 */     // GIR_Coverage, 71223,
     /* 2292214 */     GIR_EraseRootFromParent_Done,
     /* 2292215 */   // Label 31407: @2292215
     /* 2292215 */   GIM_Try, /*On fail goto*//*Label 31408*/ GIMT_Encode4(2292277), // Rule ID 71224 //
     /* 2292220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2292223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2292239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292250 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2292253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292276 */     // GIR_Coverage, 71224,
     /* 2292276 */     GIR_EraseRootFromParent_Done,
     /* 2292277 */   // Label 31408: @2292277
     /* 2292277 */   GIM_Try, /*On fail goto*//*Label 31409*/ GIMT_Encode4(2292339), // Rule ID 54505 //
     /* 2292282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2292285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2292305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292312 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2292315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2292325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292338 */     // GIR_Coverage, 54505,
     /* 2292338 */     GIR_EraseRootFromParent_Done,
     /* 2292339 */   // Label 31409: @2292339
     /* 2292339 */   GIM_Try, /*On fail goto*//*Label 31410*/ GIMT_Encode4(2292401), // Rule ID 54506 //
     /* 2292344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2292347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2292367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292374 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2292377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2292387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292400 */     // GIR_Coverage, 54506,
     /* 2292400 */     GIR_EraseRootFromParent_Done,
     /* 2292401 */   // Label 31410: @2292401
     /* 2292401 */   GIM_Try, /*On fail goto*//*Label 31411*/ GIMT_Encode4(2292446), // Rule ID 54501 //
     /* 2292406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2292409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292421 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2292424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292445 */     // GIR_Coverage, 54501,
     /* 2292445 */     GIR_EraseRootFromParent_Done,
     /* 2292446 */   // Label 31411: @2292446
     /* 2292446 */   GIM_Try, /*On fail goto*//*Label 31412*/ GIMT_Encode4(2292491), // Rule ID 54502 //
     /* 2292451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2292454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292466 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2292469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292490 */     // GIR_Coverage, 54502,
     /* 2292490 */     GIR_EraseRootFromParent_Done,
     /* 2292491 */   // Label 31412: @2292491
     /* 2292491 */   GIM_Reject,
     /* 2292492 */ // Label 31400: @2292492
     /* 2292492 */ GIM_Reject,
     /* 2292493 */ // Label 31292: @2292493
     /* 2292493 */ GIM_Try, /*On fail goto*//*Label 31413*/ GIMT_Encode4(2293282),
     /* 2292498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2292501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2292504 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2292507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292511 */   GIM_Try, /*On fail goto*//*Label 31414*/ GIMT_Encode4(2292588), // Rule ID 54701 //
     /* 2292516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2292519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2292531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292548 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2292552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292557 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292559 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2292562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2292583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292587 */     // GIR_Coverage, 54701,
     /* 2292587 */     GIR_EraseRootFromParent_Done,
     /* 2292588 */   // Label 31414: @2292588
     /* 2292588 */   GIM_Try, /*On fail goto*//*Label 31415*/ GIMT_Encode4(2292665), // Rule ID 54702 //
     /* 2292593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2292596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2292608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2292629 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292634 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292636 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2292639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2292660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292664 */     // GIR_Coverage, 54702,
     /* 2292664 */     GIR_EraseRootFromParent_Done,
     /* 2292665 */   // Label 31415: @2292665
     /* 2292665 */   GIM_Try, /*On fail goto*//*Label 31416*/ GIMT_Encode4(2292742), // Rule ID 71387 //
     /* 2292670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2292673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2292689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2292706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292713 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2292716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2292737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292741 */     // GIR_Coverage, 71387,
     /* 2292741 */     GIR_EraseRootFromParent_Done,
     /* 2292742 */   // Label 31416: @2292742
     /* 2292742 */   GIM_Try, /*On fail goto*//*Label 31417*/ GIMT_Encode4(2292819), // Rule ID 71388 //
     /* 2292747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2292750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2292766 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292771 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292775 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292779 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2292783 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292788 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292790 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2292793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2292814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292818 */     // GIR_Coverage, 71388,
     /* 2292818 */     GIR_EraseRootFromParent_Done,
     /* 2292819 */   // Label 31417: @2292819
     /* 2292819 */   GIM_Try, /*On fail goto*//*Label 31418*/ GIMT_Encode4(2292881), // Rule ID 54705 //
     /* 2292824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2292827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2292839 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292854 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2292857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2292876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292880 */     // GIR_Coverage, 54705,
     /* 2292880 */     GIR_EraseRootFromParent_Done,
     /* 2292881 */   // Label 31418: @2292881
     /* 2292881 */   GIM_Try, /*On fail goto*//*Label 31419*/ GIMT_Encode4(2292943), // Rule ID 54706 //
     /* 2292886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2292889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2292901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292916 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2292919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2292938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292942 */     // GIR_Coverage, 54706,
     /* 2292942 */     GIR_EraseRootFromParent_Done,
     /* 2292943 */   // Label 31419: @2292943
     /* 2292943 */   GIM_Try, /*On fail goto*//*Label 31420*/ GIMT_Encode4(2293005), // Rule ID 71391 //
     /* 2292948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2292951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2292967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292978 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2292981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293004 */     // GIR_Coverage, 71391,
     /* 2293004 */     GIR_EraseRootFromParent_Done,
     /* 2293005 */   // Label 31420: @2293005
     /* 2293005 */   GIM_Try, /*On fail goto*//*Label 31421*/ GIMT_Encode4(2293067), // Rule ID 71392 //
     /* 2293010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2293013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2293029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293040 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2293043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293066 */     // GIR_Coverage, 71392,
     /* 2293066 */     GIR_EraseRootFromParent_Done,
     /* 2293067 */   // Label 31421: @2293067
     /* 2293067 */   GIM_Try, /*On fail goto*//*Label 31422*/ GIMT_Encode4(2293129), // Rule ID 54697 //
     /* 2293072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2293075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2293095 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293102 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2293105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293128 */     // GIR_Coverage, 54697,
     /* 2293128 */     GIR_EraseRootFromParent_Done,
     /* 2293129 */   // Label 31422: @2293129
     /* 2293129 */   GIM_Try, /*On fail goto*//*Label 31423*/ GIMT_Encode4(2293191), // Rule ID 54698 //
     /* 2293134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2293137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2293157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293164 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2293167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293190 */     // GIR_Coverage, 54698,
     /* 2293190 */     GIR_EraseRootFromParent_Done,
     /* 2293191 */   // Label 31423: @2293191
     /* 2293191 */   GIM_Try, /*On fail goto*//*Label 31424*/ GIMT_Encode4(2293236), // Rule ID 54693 //
     /* 2293196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2293199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293211 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2293214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293235 */     // GIR_Coverage, 54693,
     /* 2293235 */     GIR_EraseRootFromParent_Done,
     /* 2293236 */   // Label 31424: @2293236
     /* 2293236 */   GIM_Try, /*On fail goto*//*Label 31425*/ GIMT_Encode4(2293281), // Rule ID 54694 //
     /* 2293241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2293244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293256 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2293259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293280 */     // GIR_Coverage, 54694,
     /* 2293280 */     GIR_EraseRootFromParent_Done,
     /* 2293281 */   // Label 31425: @2293281
     /* 2293281 */   GIM_Reject,
     /* 2293282 */ // Label 31413: @2293282
     /* 2293282 */ GIM_Reject,
     /* 2293283 */ // Label 31293: @2293283
     /* 2293283 */ GIM_Try, /*On fail goto*//*Label 31426*/ GIMT_Encode4(2294072),
     /* 2293288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2293291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2293294 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2293297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293301 */   GIM_Try, /*On fail goto*//*Label 31427*/ GIMT_Encode4(2293378), // Rule ID 54445 //
     /* 2293306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2293321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2293342 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293347 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293349 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2293352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293377 */     // GIR_Coverage, 54445,
     /* 2293377 */     GIR_EraseRootFromParent_Done,
     /* 2293378 */   // Label 31427: @2293378
     /* 2293378 */   GIM_Try, /*On fail goto*//*Label 31428*/ GIMT_Encode4(2293455), // Rule ID 54446 //
     /* 2293383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2293398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293407 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293411 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293415 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2293419 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293424 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293426 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2293429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293454 */     // GIR_Coverage, 54446,
     /* 2293454 */     GIR_EraseRootFromParent_Done,
     /* 2293455 */   // Label 31428: @2293455
     /* 2293455 */   GIM_Try, /*On fail goto*//*Label 31429*/ GIMT_Encode4(2293532), // Rule ID 71163 //
     /* 2293460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2293479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293484 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293488 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293492 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2293496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293501 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293503 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2293506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293531 */     // GIR_Coverage, 71163,
     /* 2293531 */     GIR_EraseRootFromParent_Done,
     /* 2293532 */   // Label 31429: @2293532
     /* 2293532 */   GIM_Try, /*On fail goto*//*Label 31430*/ GIMT_Encode4(2293609), // Rule ID 71164 //
     /* 2293537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2293556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2293573 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293578 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293580 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2293583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293608 */     // GIR_Coverage, 71164,
     /* 2293608 */     GIR_EraseRootFromParent_Done,
     /* 2293609 */   // Label 31430: @2293609
     /* 2293609 */   GIM_Try, /*On fail goto*//*Label 31431*/ GIMT_Encode4(2293671), // Rule ID 54449 //
     /* 2293614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2293629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293644 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2293647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293670 */     // GIR_Coverage, 54449,
     /* 2293670 */     GIR_EraseRootFromParent_Done,
     /* 2293671 */   // Label 31431: @2293671
     /* 2293671 */   GIM_Try, /*On fail goto*//*Label 31432*/ GIMT_Encode4(2293733), // Rule ID 54450 //
     /* 2293676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2293691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293706 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2293709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293732 */     // GIR_Coverage, 54450,
     /* 2293732 */     GIR_EraseRootFromParent_Done,
     /* 2293733 */   // Label 31432: @2293733
     /* 2293733 */   GIM_Try, /*On fail goto*//*Label 31433*/ GIMT_Encode4(2293795), // Rule ID 71167 //
     /* 2293738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2293757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293768 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2293771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293794 */     // GIR_Coverage, 71167,
     /* 2293794 */     GIR_EraseRootFromParent_Done,
     /* 2293795 */   // Label 31433: @2293795
     /* 2293795 */   GIM_Try, /*On fail goto*//*Label 31434*/ GIMT_Encode4(2293857), // Rule ID 71168 //
     /* 2293800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2293819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293830 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2293833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293856 */     // GIR_Coverage, 71168,
     /* 2293856 */     GIR_EraseRootFromParent_Done,
     /* 2293857 */   // Label 31434: @2293857
     /* 2293857 */   GIM_Try, /*On fail goto*//*Label 31435*/ GIMT_Encode4(2293919), // Rule ID 54441 //
     /* 2293862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2293885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293892 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2293895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293918 */     // GIR_Coverage, 54441,
     /* 2293918 */     GIR_EraseRootFromParent_Done,
     /* 2293919 */   // Label 31435: @2293919
     /* 2293919 */   GIM_Try, /*On fail goto*//*Label 31436*/ GIMT_Encode4(2293981), // Rule ID 54442 //
     /* 2293924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2293947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293954 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2293957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293980 */     // GIR_Coverage, 54442,
     /* 2293980 */     GIR_EraseRootFromParent_Done,
     /* 2293981 */   // Label 31436: @2293981
     /* 2293981 */   GIM_Try, /*On fail goto*//*Label 31437*/ GIMT_Encode4(2294026), // Rule ID 54437 //
     /* 2293986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294001 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2294004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294025 */     // GIR_Coverage, 54437,
     /* 2294025 */     GIR_EraseRootFromParent_Done,
     /* 2294026 */   // Label 31437: @2294026
     /* 2294026 */   GIM_Try, /*On fail goto*//*Label 31438*/ GIMT_Encode4(2294071), // Rule ID 54438 //
     /* 2294031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2294034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294046 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2294049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294070 */     // GIR_Coverage, 54438,
     /* 2294070 */     GIR_EraseRootFromParent_Done,
     /* 2294071 */   // Label 31438: @2294071
     /* 2294071 */   GIM_Reject,
     /* 2294072 */ // Label 31426: @2294072
     /* 2294072 */ GIM_Reject,
     /* 2294073 */ // Label 31294: @2294073
     /* 2294073 */ GIM_Try, /*On fail goto*//*Label 31439*/ GIMT_Encode4(2294862),
     /* 2294078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2294081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2294084 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2294087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294091 */   GIM_Try, /*On fail goto*//*Label 31440*/ GIMT_Encode4(2294168), // Rule ID 54637 //
     /* 2294096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2294111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2294132 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294137 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294139 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2294142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294167 */     // GIR_Coverage, 54637,
     /* 2294167 */     GIR_EraseRootFromParent_Done,
     /* 2294168 */   // Label 31440: @2294168
     /* 2294168 */   GIM_Try, /*On fail goto*//*Label 31441*/ GIMT_Encode4(2294245), // Rule ID 54638 //
     /* 2294173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2294188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2294209 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294214 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294216 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2294219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294244 */     // GIR_Coverage, 54638,
     /* 2294244 */     GIR_EraseRootFromParent_Done,
     /* 2294245 */   // Label 31441: @2294245
     /* 2294245 */   GIM_Try, /*On fail goto*//*Label 31442*/ GIMT_Encode4(2294322), // Rule ID 71331 //
     /* 2294250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2294269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2294286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294291 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294293 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2294296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294321 */     // GIR_Coverage, 71331,
     /* 2294321 */     GIR_EraseRootFromParent_Done,
     /* 2294322 */   // Label 31442: @2294322
     /* 2294322 */   GIM_Try, /*On fail goto*//*Label 31443*/ GIMT_Encode4(2294399), // Rule ID 71332 //
     /* 2294327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294342 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2294346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294351 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294355 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294359 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2294363 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294368 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294370 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2294373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294398 */     // GIR_Coverage, 71332,
     /* 2294398 */     GIR_EraseRootFromParent_Done,
     /* 2294399 */   // Label 31443: @2294399
     /* 2294399 */   GIM_Try, /*On fail goto*//*Label 31444*/ GIMT_Encode4(2294461), // Rule ID 54641 //
     /* 2294404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2294419 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294434 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2294437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294460 */     // GIR_Coverage, 54641,
     /* 2294460 */     GIR_EraseRootFromParent_Done,
     /* 2294461 */   // Label 31444: @2294461
     /* 2294461 */   GIM_Try, /*On fail goto*//*Label 31445*/ GIMT_Encode4(2294523), // Rule ID 54642 //
     /* 2294466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2294481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294496 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2294499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294522 */     // GIR_Coverage, 54642,
     /* 2294522 */     GIR_EraseRootFromParent_Done,
     /* 2294523 */   // Label 31445: @2294523
     /* 2294523 */   GIM_Try, /*On fail goto*//*Label 31446*/ GIMT_Encode4(2294585), // Rule ID 71335 //
     /* 2294528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2294547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294558 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2294561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294584 */     // GIR_Coverage, 71335,
     /* 2294584 */     GIR_EraseRootFromParent_Done,
     /* 2294585 */   // Label 31446: @2294585
     /* 2294585 */   GIM_Try, /*On fail goto*//*Label 31447*/ GIMT_Encode4(2294647), // Rule ID 71336 //
     /* 2294590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2294609 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294620 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2294623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294646 */     // GIR_Coverage, 71336,
     /* 2294646 */     GIR_EraseRootFromParent_Done,
     /* 2294647 */   // Label 31447: @2294647
     /* 2294647 */   GIM_Try, /*On fail goto*//*Label 31448*/ GIMT_Encode4(2294709), // Rule ID 54633 //
     /* 2294652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2294667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2294675 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294682 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2294685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2294695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294708 */     // GIR_Coverage, 54633,
     /* 2294708 */     GIR_EraseRootFromParent_Done,
     /* 2294709 */   // Label 31448: @2294709
     /* 2294709 */   GIM_Try, /*On fail goto*//*Label 31449*/ GIMT_Encode4(2294771), // Rule ID 54634 //
     /* 2294714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2294729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2294737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294744 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2294747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2294757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294770 */     // GIR_Coverage, 54634,
     /* 2294770 */     GIR_EraseRootFromParent_Done,
     /* 2294771 */   // Label 31449: @2294771
     /* 2294771 */   GIM_Try, /*On fail goto*//*Label 31450*/ GIMT_Encode4(2294816), // Rule ID 54629 //
     /* 2294776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294791 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2294794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294815 */     // GIR_Coverage, 54629,
     /* 2294815 */     GIR_EraseRootFromParent_Done,
     /* 2294816 */   // Label 31450: @2294816
     /* 2294816 */   GIM_Try, /*On fail goto*//*Label 31451*/ GIMT_Encode4(2294861), // Rule ID 54630 //
     /* 2294821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294836 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2294839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294860 */     // GIR_Coverage, 54630,
     /* 2294860 */     GIR_EraseRootFromParent_Done,
     /* 2294861 */   // Label 31451: @2294861
     /* 2294861 */   GIM_Reject,
     /* 2294862 */ // Label 31439: @2294862
     /* 2294862 */ GIM_Reject,
     /* 2294863 */ // Label 31295: @2294863
     /* 2294863 */ GIM_Try, /*On fail goto*//*Label 31452*/ GIMT_Encode4(2295652),
     /* 2294868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2294871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2294874 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2294877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294881 */   GIM_Try, /*On fail goto*//*Label 31453*/ GIMT_Encode4(2294958), // Rule ID 55149 //
     /* 2294886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2294901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294910 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294914 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294918 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2294922 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294927 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294929 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2294932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294957 */     // GIR_Coverage, 55149,
     /* 2294957 */     GIR_EraseRootFromParent_Done,
     /* 2294958 */   // Label 31453: @2294958
     /* 2294958 */   GIM_Try, /*On fail goto*//*Label 31454*/ GIMT_Encode4(2295035), // Rule ID 55150 //
     /* 2294963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2294978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294987 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294991 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294995 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2294999 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295004 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295006 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2295009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295034 */     // GIR_Coverage, 55150,
     /* 2295034 */     GIR_EraseRootFromParent_Done,
     /* 2295035 */   // Label 31454: @2295035
     /* 2295035 */   GIM_Try, /*On fail goto*//*Label 31455*/ GIMT_Encode4(2295112), // Rule ID 71779 //
     /* 2295040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2295043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2295059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2295076 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295081 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295083 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2295086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295111 */     // GIR_Coverage, 71779,
     /* 2295111 */     GIR_EraseRootFromParent_Done,
     /* 2295112 */   // Label 31455: @2295112
     /* 2295112 */   GIM_Try, /*On fail goto*//*Label 31456*/ GIMT_Encode4(2295189), // Rule ID 71780 //
     /* 2295117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2295136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2295153 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295158 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295160 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2295163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295188 */     // GIR_Coverage, 71780,
     /* 2295188 */     GIR_EraseRootFromParent_Done,
     /* 2295189 */   // Label 31456: @2295189
     /* 2295189 */   GIM_Try, /*On fail goto*//*Label 31457*/ GIMT_Encode4(2295251), // Rule ID 55153 //
     /* 2295194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2295197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2295209 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295224 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2295227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295250 */     // GIR_Coverage, 55153,
     /* 2295250 */     GIR_EraseRootFromParent_Done,
     /* 2295251 */   // Label 31457: @2295251
     /* 2295251 */   GIM_Try, /*On fail goto*//*Label 31458*/ GIMT_Encode4(2295313), // Rule ID 55154 //
     /* 2295256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2295271 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295286 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2295289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295312 */     // GIR_Coverage, 55154,
     /* 2295312 */     GIR_EraseRootFromParent_Done,
     /* 2295313 */   // Label 31458: @2295313
     /* 2295313 */   GIM_Try, /*On fail goto*//*Label 31459*/ GIMT_Encode4(2295375), // Rule ID 71783 //
     /* 2295318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2295321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2295337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295348 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2295351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295374 */     // GIR_Coverage, 71783,
     /* 2295374 */     GIR_EraseRootFromParent_Done,
     /* 2295375 */   // Label 31459: @2295375
     /* 2295375 */   GIM_Try, /*On fail goto*//*Label 31460*/ GIMT_Encode4(2295437), // Rule ID 71784 //
     /* 2295380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2295399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295410 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2295413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295436 */     // GIR_Coverage, 71784,
     /* 2295436 */     GIR_EraseRootFromParent_Done,
     /* 2295437 */   // Label 31460: @2295437
     /* 2295437 */   GIM_Try, /*On fail goto*//*Label 31461*/ GIMT_Encode4(2295499), // Rule ID 55145 //
     /* 2295442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2295445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2295457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2295465 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295472 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2295475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2295485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295498 */     // GIR_Coverage, 55145,
     /* 2295498 */     GIR_EraseRootFromParent_Done,
     /* 2295499 */   // Label 31461: @2295499
     /* 2295499 */   GIM_Try, /*On fail goto*//*Label 31462*/ GIMT_Encode4(2295561), // Rule ID 55146 //
     /* 2295504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2295519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2295527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295534 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2295537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2295547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295560 */     // GIR_Coverage, 55146,
     /* 2295560 */     GIR_EraseRootFromParent_Done,
     /* 2295561 */   // Label 31462: @2295561
     /* 2295561 */   GIM_Try, /*On fail goto*//*Label 31463*/ GIMT_Encode4(2295606), // Rule ID 55141 //
     /* 2295566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2295569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295581 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2295584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295605 */     // GIR_Coverage, 55141,
     /* 2295605 */     GIR_EraseRootFromParent_Done,
     /* 2295606 */   // Label 31463: @2295606
     /* 2295606 */   GIM_Try, /*On fail goto*//*Label 31464*/ GIMT_Encode4(2295651), // Rule ID 55142 //
     /* 2295611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295626 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2295629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295650 */     // GIR_Coverage, 55142,
     /* 2295650 */     GIR_EraseRootFromParent_Done,
     /* 2295651 */   // Label 31464: @2295651
     /* 2295651 */   GIM_Reject,
     /* 2295652 */ // Label 31452: @2295652
     /* 2295652 */ GIM_Reject,
     /* 2295653 */ // Label 31296: @2295653
     /* 2295653 */ GIM_Try, /*On fail goto*//*Label 31465*/ GIMT_Encode4(2296442),
     /* 2295658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2295661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2295664 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2295667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295671 */   GIM_Try, /*On fail goto*//*Label 31466*/ GIMT_Encode4(2295748), // Rule ID 54573 //
     /* 2295676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2295691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2295712 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295717 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295719 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2295722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295747 */     // GIR_Coverage, 54573,
     /* 2295747 */     GIR_EraseRootFromParent_Done,
     /* 2295748 */   // Label 31466: @2295748
     /* 2295748 */   GIM_Try, /*On fail goto*//*Label 31467*/ GIMT_Encode4(2295825), // Rule ID 54574 //
     /* 2295753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2295768 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2295789 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295794 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295796 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2295799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295824 */     // GIR_Coverage, 54574,
     /* 2295824 */     GIR_EraseRootFromParent_Done,
     /* 2295825 */   // Label 31467: @2295825
     /* 2295825 */   GIM_Try, /*On fail goto*//*Label 31468*/ GIMT_Encode4(2295902), // Rule ID 71275 //
     /* 2295830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2295849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2295866 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295871 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295873 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2295876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295901 */     // GIR_Coverage, 71275,
     /* 2295901 */     GIR_EraseRootFromParent_Done,
     /* 2295902 */   // Label 31468: @2295902
     /* 2295902 */   GIM_Try, /*On fail goto*//*Label 31469*/ GIMT_Encode4(2295979), // Rule ID 71276 //
     /* 2295907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2295926 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295931 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295935 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295939 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2295943 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295948 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295950 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2295953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295978 */     // GIR_Coverage, 71276,
     /* 2295978 */     GIR_EraseRootFromParent_Done,
     /* 2295979 */   // Label 31469: @2295979
     /* 2295979 */   GIM_Try, /*On fail goto*//*Label 31470*/ GIMT_Encode4(2296041), // Rule ID 54577 //
     /* 2295984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2295999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296014 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2296017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296040 */     // GIR_Coverage, 54577,
     /* 2296040 */     GIR_EraseRootFromParent_Done,
     /* 2296041 */   // Label 31470: @2296041
     /* 2296041 */   GIM_Try, /*On fail goto*//*Label 31471*/ GIMT_Encode4(2296103), // Rule ID 54578 //
     /* 2296046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2296049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2296061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296076 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2296079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296102 */     // GIR_Coverage, 54578,
     /* 2296102 */     GIR_EraseRootFromParent_Done,
     /* 2296103 */   // Label 31471: @2296103
     /* 2296103 */   GIM_Try, /*On fail goto*//*Label 31472*/ GIMT_Encode4(2296165), // Rule ID 71279 //
     /* 2296108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2296111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296123 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2296127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296138 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2296141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296164 */     // GIR_Coverage, 71279,
     /* 2296164 */     GIR_EraseRootFromParent_Done,
     /* 2296165 */   // Label 31472: @2296165
     /* 2296165 */   GIM_Try, /*On fail goto*//*Label 31473*/ GIMT_Encode4(2296227), // Rule ID 71280 //
     /* 2296170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2296173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2296189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296200 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2296203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296226 */     // GIR_Coverage, 71280,
     /* 2296226 */     GIR_EraseRootFromParent_Done,
     /* 2296227 */   // Label 31473: @2296227
     /* 2296227 */   GIM_Try, /*On fail goto*//*Label 31474*/ GIMT_Encode4(2296289), // Rule ID 54569 //
     /* 2296232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2296235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2296247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2296255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296262 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2296265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2296275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296288 */     // GIR_Coverage, 54569,
     /* 2296288 */     GIR_EraseRootFromParent_Done,
     /* 2296289 */   // Label 31474: @2296289
     /* 2296289 */   GIM_Try, /*On fail goto*//*Label 31475*/ GIMT_Encode4(2296351), // Rule ID 54570 //
     /* 2296294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2296297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2296309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2296317 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296324 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2296327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2296337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296350 */     // GIR_Coverage, 54570,
     /* 2296350 */     GIR_EraseRootFromParent_Done,
     /* 2296351 */   // Label 31475: @2296351
     /* 2296351 */   GIM_Try, /*On fail goto*//*Label 31476*/ GIMT_Encode4(2296396), // Rule ID 54565 //
     /* 2296356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2296359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296371 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2296374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296395 */     // GIR_Coverage, 54565,
     /* 2296395 */     GIR_EraseRootFromParent_Done,
     /* 2296396 */   // Label 31476: @2296396
     /* 2296396 */   GIM_Try, /*On fail goto*//*Label 31477*/ GIMT_Encode4(2296441), // Rule ID 54566 //
     /* 2296401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2296404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296416 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2296419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296440 */     // GIR_Coverage, 54566,
     /* 2296440 */     GIR_EraseRootFromParent_Done,
     /* 2296441 */   // Label 31477: @2296441
     /* 2296441 */   GIM_Reject,
     /* 2296442 */ // Label 31465: @2296442
     /* 2296442 */ GIM_Reject,
     /* 2296443 */ // Label 31297: @2296443
     /* 2296443 */ GIM_Try, /*On fail goto*//*Label 31478*/ GIMT_Encode4(2297232),
     /* 2296448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2296451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2296454 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2296457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296461 */   GIM_Try, /*On fail goto*//*Label 31479*/ GIMT_Encode4(2296538), // Rule ID 54957 //
     /* 2296466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2296481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296490 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296494 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296498 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2296502 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296507 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296509 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2296512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296537 */     // GIR_Coverage, 54957,
     /* 2296537 */     GIR_EraseRootFromParent_Done,
     /* 2296538 */   // Label 31479: @2296538
     /* 2296538 */   GIM_Try, /*On fail goto*//*Label 31480*/ GIMT_Encode4(2296615), // Rule ID 54958 //
     /* 2296543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2296558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2296579 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296584 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296586 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2296589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296614 */     // GIR_Coverage, 54958,
     /* 2296614 */     GIR_EraseRootFromParent_Done,
     /* 2296615 */   // Label 31480: @2296615
     /* 2296615 */   GIM_Try, /*On fail goto*//*Label 31481*/ GIMT_Encode4(2296692), // Rule ID 71611 //
     /* 2296620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2296639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2296656 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296661 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296663 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2296666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296691 */     // GIR_Coverage, 71611,
     /* 2296691 */     GIR_EraseRootFromParent_Done,
     /* 2296692 */   // Label 31481: @2296692
     /* 2296692 */   GIM_Try, /*On fail goto*//*Label 31482*/ GIMT_Encode4(2296769), // Rule ID 71612 //
     /* 2296697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2296716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296729 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2296733 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296738 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296740 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2296743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296768 */     // GIR_Coverage, 71612,
     /* 2296768 */     GIR_EraseRootFromParent_Done,
     /* 2296769 */   // Label 31482: @2296769
     /* 2296769 */   GIM_Try, /*On fail goto*//*Label 31483*/ GIMT_Encode4(2296831), // Rule ID 54961 //
     /* 2296774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2296789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296804 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2296807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296830 */     // GIR_Coverage, 54961,
     /* 2296830 */     GIR_EraseRootFromParent_Done,
     /* 2296831 */   // Label 31483: @2296831
     /* 2296831 */   GIM_Try, /*On fail goto*//*Label 31484*/ GIMT_Encode4(2296893), // Rule ID 54962 //
     /* 2296836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2296851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296866 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2296869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296892 */     // GIR_Coverage, 54962,
     /* 2296892 */     GIR_EraseRootFromParent_Done,
     /* 2296893 */   // Label 31484: @2296893
     /* 2296893 */   GIM_Try, /*On fail goto*//*Label 31485*/ GIMT_Encode4(2296955), // Rule ID 71615 //
     /* 2296898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2296917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296928 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2296931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296954 */     // GIR_Coverage, 71615,
     /* 2296954 */     GIR_EraseRootFromParent_Done,
     /* 2296955 */   // Label 31485: @2296955
     /* 2296955 */   GIM_Try, /*On fail goto*//*Label 31486*/ GIMT_Encode4(2297017), // Rule ID 71616 //
     /* 2296960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2296979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296990 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2296993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2297012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297016 */     // GIR_Coverage, 71616,
     /* 2297016 */     GIR_EraseRootFromParent_Done,
     /* 2297017 */   // Label 31486: @2297017
     /* 2297017 */   GIM_Try, /*On fail goto*//*Label 31487*/ GIMT_Encode4(2297079), // Rule ID 54953 //
     /* 2297022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2297025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2297045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297052 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2297055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2297074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297078 */     // GIR_Coverage, 54953,
     /* 2297078 */     GIR_EraseRootFromParent_Done,
     /* 2297079 */   // Label 31487: @2297079
     /* 2297079 */   GIM_Try, /*On fail goto*//*Label 31488*/ GIMT_Encode4(2297141), // Rule ID 54954 //
     /* 2297084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2297087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2297107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297114 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2297117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2297136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297140 */     // GIR_Coverage, 54954,
     /* 2297140 */     GIR_EraseRootFromParent_Done,
     /* 2297141 */   // Label 31488: @2297141
     /* 2297141 */   GIM_Try, /*On fail goto*//*Label 31489*/ GIMT_Encode4(2297186), // Rule ID 54949 //
     /* 2297146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2297149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297161 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2297164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2297181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297185 */     // GIR_Coverage, 54949,
     /* 2297185 */     GIR_EraseRootFromParent_Done,
     /* 2297186 */   // Label 31489: @2297186
     /* 2297186 */   GIM_Try, /*On fail goto*//*Label 31490*/ GIMT_Encode4(2297231), // Rule ID 54950 //
     /* 2297191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2297194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297206 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2297209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2297226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297230 */     // GIR_Coverage, 54950,
     /* 2297230 */     GIR_EraseRootFromParent_Done,
     /* 2297231 */   // Label 31490: @2297231
     /* 2297231 */   GIM_Reject,
     /* 2297232 */ // Label 31478: @2297232
     /* 2297232 */ GIM_Reject,
     /* 2297233 */ // Label 31298: @2297233
     /* 2297233 */ GIM_Try, /*On fail goto*//*Label 31491*/ GIMT_Encode4(2298022),
     /* 2297238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2297241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2297244 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2297247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297251 */   GIM_Try, /*On fail goto*//*Label 31492*/ GIMT_Encode4(2297328), // Rule ID 55213 //
     /* 2297256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2297271 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2297292 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297297 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297299 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2297302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297327 */     // GIR_Coverage, 55213,
     /* 2297327 */     GIR_EraseRootFromParent_Done,
     /* 2297328 */   // Label 31492: @2297328
     /* 2297328 */   GIM_Try, /*On fail goto*//*Label 31493*/ GIMT_Encode4(2297405), // Rule ID 55214 //
     /* 2297333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2297348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2297369 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297374 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297376 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2297379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297404 */     // GIR_Coverage, 55214,
     /* 2297404 */     GIR_EraseRootFromParent_Done,
     /* 2297405 */   // Label 31493: @2297405
     /* 2297405 */   GIM_Try, /*On fail goto*//*Label 31494*/ GIMT_Encode4(2297482), // Rule ID 71835 //
     /* 2297410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2297429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2297446 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297451 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297453 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2297456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297481 */     // GIR_Coverage, 71835,
     /* 2297481 */     GIR_EraseRootFromParent_Done,
     /* 2297482 */   // Label 31494: @2297482
     /* 2297482 */   GIM_Try, /*On fail goto*//*Label 31495*/ GIMT_Encode4(2297559), // Rule ID 71836 //
     /* 2297487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2297506 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297511 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297515 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297519 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2297523 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297528 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297530 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2297533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297558 */     // GIR_Coverage, 71836,
     /* 2297558 */     GIR_EraseRootFromParent_Done,
     /* 2297559 */   // Label 31495: @2297559
     /* 2297559 */   GIM_Try, /*On fail goto*//*Label 31496*/ GIMT_Encode4(2297621), // Rule ID 55217 //
     /* 2297564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2297579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297594 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2297597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297620 */     // GIR_Coverage, 55217,
     /* 2297620 */     GIR_EraseRootFromParent_Done,
     /* 2297621 */   // Label 31496: @2297621
     /* 2297621 */   GIM_Try, /*On fail goto*//*Label 31497*/ GIMT_Encode4(2297683), // Rule ID 55218 //
     /* 2297626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2297641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297656 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2297659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297682 */     // GIR_Coverage, 55218,
     /* 2297682 */     GIR_EraseRootFromParent_Done,
     /* 2297683 */   // Label 31497: @2297683
     /* 2297683 */   GIM_Try, /*On fail goto*//*Label 31498*/ GIMT_Encode4(2297745), // Rule ID 71839 //
     /* 2297688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2297707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297718 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2297721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297744 */     // GIR_Coverage, 71839,
     /* 2297744 */     GIR_EraseRootFromParent_Done,
     /* 2297745 */   // Label 31498: @2297745
     /* 2297745 */   GIM_Try, /*On fail goto*//*Label 31499*/ GIMT_Encode4(2297807), // Rule ID 71840 //
     /* 2297750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2297769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297780 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2297783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297806 */     // GIR_Coverage, 71840,
     /* 2297806 */     GIR_EraseRootFromParent_Done,
     /* 2297807 */   // Label 31499: @2297807
     /* 2297807 */   GIM_Try, /*On fail goto*//*Label 31500*/ GIMT_Encode4(2297869), // Rule ID 55209 //
     /* 2297812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2297835 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297842 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2297845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297868 */     // GIR_Coverage, 55209,
     /* 2297868 */     GIR_EraseRootFromParent_Done,
     /* 2297869 */   // Label 31500: @2297869
     /* 2297869 */   GIM_Try, /*On fail goto*//*Label 31501*/ GIMT_Encode4(2297931), // Rule ID 55210 //
     /* 2297874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2297897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297904 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2297907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297930 */     // GIR_Coverage, 55210,
     /* 2297930 */     GIR_EraseRootFromParent_Done,
     /* 2297931 */   // Label 31501: @2297931
     /* 2297931 */   GIM_Try, /*On fail goto*//*Label 31502*/ GIMT_Encode4(2297976), // Rule ID 55205 //
     /* 2297936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2297939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297951 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2297954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297975 */     // GIR_Coverage, 55205,
     /* 2297975 */     GIR_EraseRootFromParent_Done,
     /* 2297976 */   // Label 31502: @2297976
     /* 2297976 */   GIM_Try, /*On fail goto*//*Label 31503*/ GIMT_Encode4(2298021), // Rule ID 55206 //
     /* 2297981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2297984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297996 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2297999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2298016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298020 */     // GIR_Coverage, 55206,
     /* 2298020 */     GIR_EraseRootFromParent_Done,
     /* 2298021 */   // Label 31503: @2298021
     /* 2298021 */   GIM_Reject,
     /* 2298022 */ // Label 31491: @2298022
     /* 2298022 */ GIM_Reject,
     /* 2298023 */ // Label 31299: @2298023
     /* 2298023 */ GIM_Try, /*On fail goto*//*Label 31504*/ GIMT_Encode4(2298812),
     /* 2298028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2298031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2298034 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2298037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298041 */   GIM_Try, /*On fail goto*//*Label 31505*/ GIMT_Encode4(2298118), // Rule ID 54765 //
     /* 2298046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2298049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2298061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298070 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298074 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298078 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2298082 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298087 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298089 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2298092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298117 */     // GIR_Coverage, 54765,
     /* 2298117 */     GIR_EraseRootFromParent_Done,
     /* 2298118 */   // Label 31505: @2298118
     /* 2298118 */   GIM_Try, /*On fail goto*//*Label 31506*/ GIMT_Encode4(2298195), // Rule ID 54766 //
     /* 2298123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2298126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2298138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2298159 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298164 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298166 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2298169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298194 */     // GIR_Coverage, 54766,
     /* 2298194 */     GIR_EraseRootFromParent_Done,
     /* 2298195 */   // Label 31506: @2298195
     /* 2298195 */   GIM_Try, /*On fail goto*//*Label 31507*/ GIMT_Encode4(2298272), // Rule ID 71443 //
     /* 2298200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2298203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2298219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298224 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298228 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298232 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2298236 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298241 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298243 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2298246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298271 */     // GIR_Coverage, 71443,
     /* 2298271 */     GIR_EraseRootFromParent_Done,
     /* 2298272 */   // Label 31507: @2298272
     /* 2298272 */   GIM_Try, /*On fail goto*//*Label 31508*/ GIMT_Encode4(2298349), // Rule ID 71444 //
     /* 2298277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2298280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2298296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2298313 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298318 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298320 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2298323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298348 */     // GIR_Coverage, 71444,
     /* 2298348 */     GIR_EraseRootFromParent_Done,
     /* 2298349 */   // Label 31508: @2298349
     /* 2298349 */   GIM_Try, /*On fail goto*//*Label 31509*/ GIMT_Encode4(2298411), // Rule ID 54769 //
     /* 2298354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2298357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2298369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298384 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2298387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298410 */     // GIR_Coverage, 54769,
     /* 2298410 */     GIR_EraseRootFromParent_Done,
     /* 2298411 */   // Label 31509: @2298411
     /* 2298411 */   GIM_Try, /*On fail goto*//*Label 31510*/ GIMT_Encode4(2298473), // Rule ID 54770 //
     /* 2298416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2298419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2298431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298446 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2298449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298472 */     // GIR_Coverage, 54770,
     /* 2298472 */     GIR_EraseRootFromParent_Done,
     /* 2298473 */   // Label 31510: @2298473
     /* 2298473 */   GIM_Try, /*On fail goto*//*Label 31511*/ GIMT_Encode4(2298535), // Rule ID 71447 //
     /* 2298478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2298481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2298497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298508 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2298511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298534 */     // GIR_Coverage, 71447,
     /* 2298534 */     GIR_EraseRootFromParent_Done,
     /* 2298535 */   // Label 31511: @2298535
     /* 2298535 */   GIM_Try, /*On fail goto*//*Label 31512*/ GIMT_Encode4(2298597), // Rule ID 71448 //
     /* 2298540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2298543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2298551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2298559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298570 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2298573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2298577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298596 */     // GIR_Coverage, 71448,
     /* 2298596 */     GIR_EraseRootFromParent_Done,
     /* 2298597 */   // Label 31512: @2298597
     /* 2298597 */   GIM_Try, /*On fail goto*//*Label 31513*/ GIMT_Encode4(2298659), // Rule ID 54761 //
     /* 2298602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2298605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2298617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2298625 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298632 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2298635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2298645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298658 */     // GIR_Coverage, 54761,
     /* 2298658 */     GIR_EraseRootFromParent_Done,
     /* 2298659 */   // Label 31513: @2298659
     /* 2298659 */   GIM_Try, /*On fail goto*//*Label 31514*/ GIMT_Encode4(2298721), // Rule ID 54762 //
     /* 2298664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2298667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2298679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2298687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2298694 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2298697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2298707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298720 */     // GIR_Coverage, 54762,
     /* 2298720 */     GIR_EraseRootFromParent_Done,
     /* 2298721 */   // Label 31514: @2298721
     /* 2298721 */   GIM_Try, /*On fail goto*//*Label 31515*/ GIMT_Encode4(2298766), // Rule ID 54757 //
     /* 2298726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2298729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298741 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2298744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298765 */     // GIR_Coverage, 54757,
     /* 2298765 */     GIR_EraseRootFromParent_Done,
     /* 2298766 */   // Label 31515: @2298766
     /* 2298766 */   GIM_Try, /*On fail goto*//*Label 31516*/ GIMT_Encode4(2298811), // Rule ID 54758 //
     /* 2298771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2298774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298786 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2298789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298810 */     // GIR_Coverage, 54758,
     /* 2298810 */     GIR_EraseRootFromParent_Done,
     /* 2298811 */   // Label 31516: @2298811
     /* 2298811 */   GIM_Reject,
     /* 2298812 */ // Label 31504: @2298812
     /* 2298812 */ GIM_Reject,
     /* 2298813 */ // Label 31300: @2298813
     /* 2298813 */ GIM_Try, /*On fail goto*//*Label 31517*/ GIMT_Encode4(2299602),
     /* 2298818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2298821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2298824 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2298827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298831 */   GIM_Try, /*On fail goto*//*Label 31518*/ GIMT_Encode4(2298908), // Rule ID 55021 //
     /* 2298836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2298851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298860 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298864 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298868 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2298872 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298877 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298879 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2298879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2298882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298907 */     // GIR_Coverage, 55021,
     /* 2298907 */     GIR_EraseRootFromParent_Done,
     /* 2298908 */   // Label 31518: @2298908
     /* 2298908 */   GIM_Try, /*On fail goto*//*Label 31519*/ GIMT_Encode4(2298985), // Rule ID 55022 //
     /* 2298913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2298920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2298928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298937 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2298941 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2298945 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2298949 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298954 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2298956 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2298959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2298967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2298971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298984 */     // GIR_Coverage, 55022,
     /* 2298984 */     GIR_EraseRootFromParent_Done,
     /* 2298985 */   // Label 31519: @2298985
     /* 2298985 */   GIM_Try, /*On fail goto*//*Label 31520*/ GIMT_Encode4(2299062), // Rule ID 71667 //
     /* 2298990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2299009 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2299026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299031 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299033 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2299036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299061 */     // GIR_Coverage, 71667,
     /* 2299061 */     GIR_EraseRootFromParent_Done,
     /* 2299062 */   // Label 31520: @2299062
     /* 2299062 */   GIM_Try, /*On fail goto*//*Label 31521*/ GIMT_Encode4(2299139), // Rule ID 71668 //
     /* 2299067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2299070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2299086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2299103 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299108 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299110 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2299113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299138 */     // GIR_Coverage, 71668,
     /* 2299138 */     GIR_EraseRootFromParent_Done,
     /* 2299139 */   // Label 31521: @2299139
     /* 2299139 */   GIM_Try, /*On fail goto*//*Label 31522*/ GIMT_Encode4(2299201), // Rule ID 55025 //
     /* 2299144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2299147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2299159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299174 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2299177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299200 */     // GIR_Coverage, 55025,
     /* 2299200 */     GIR_EraseRootFromParent_Done,
     /* 2299201 */   // Label 31522: @2299201
     /* 2299201 */   GIM_Try, /*On fail goto*//*Label 31523*/ GIMT_Encode4(2299263), // Rule ID 55026 //
     /* 2299206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2299209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2299221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299236 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2299239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299262 */     // GIR_Coverage, 55026,
     /* 2299262 */     GIR_EraseRootFromParent_Done,
     /* 2299263 */   // Label 31523: @2299263
     /* 2299263 */   GIM_Try, /*On fail goto*//*Label 31524*/ GIMT_Encode4(2299325), // Rule ID 71671 //
     /* 2299268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2299271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2299287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299298 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2299301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299324 */     // GIR_Coverage, 71671,
     /* 2299324 */     GIR_EraseRootFromParent_Done,
     /* 2299325 */   // Label 31524: @2299325
     /* 2299325 */   GIM_Try, /*On fail goto*//*Label 31525*/ GIMT_Encode4(2299387), // Rule ID 71672 //
     /* 2299330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2299333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2299349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299360 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2299363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299386 */     // GIR_Coverage, 71672,
     /* 2299386 */     GIR_EraseRootFromParent_Done,
     /* 2299387 */   // Label 31525: @2299387
     /* 2299387 */   GIM_Try, /*On fail goto*//*Label 31526*/ GIMT_Encode4(2299449), // Rule ID 55017 //
     /* 2299392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2299395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2299415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299422 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2299425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2299435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299448 */     // GIR_Coverage, 55017,
     /* 2299448 */     GIR_EraseRootFromParent_Done,
     /* 2299449 */   // Label 31526: @2299449
     /* 2299449 */   GIM_Try, /*On fail goto*//*Label 31527*/ GIMT_Encode4(2299511), // Rule ID 55018 //
     /* 2299454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2299457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2299469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2299477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299484 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2299487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2299497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299510 */     // GIR_Coverage, 55018,
     /* 2299510 */     GIR_EraseRootFromParent_Done,
     /* 2299511 */   // Label 31527: @2299511
     /* 2299511 */   GIM_Try, /*On fail goto*//*Label 31528*/ GIMT_Encode4(2299556), // Rule ID 55013 //
     /* 2299516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2299519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299531 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2299534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299555 */     // GIR_Coverage, 55013,
     /* 2299555 */     GIR_EraseRootFromParent_Done,
     /* 2299556 */   // Label 31528: @2299556
     /* 2299556 */   GIM_Try, /*On fail goto*//*Label 31529*/ GIMT_Encode4(2299601), // Rule ID 55014 //
     /* 2299561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2299564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299576 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2299579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299600 */     // GIR_Coverage, 55014,
     /* 2299600 */     GIR_EraseRootFromParent_Done,
     /* 2299601 */   // Label 31529: @2299601
     /* 2299601 */   GIM_Reject,
     /* 2299602 */ // Label 31517: @2299602
     /* 2299602 */ GIM_Reject,
     /* 2299603 */ // Label 31301: @2299603
     /* 2299603 */ GIM_Try, /*On fail goto*//*Label 31530*/ GIMT_Encode4(2300392),
     /* 2299608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2299611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2299614 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2299617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299621 */   GIM_Try, /*On fail goto*//*Label 31531*/ GIMT_Encode4(2299698), // Rule ID 55277 //
     /* 2299626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2299641 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299658 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2299662 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299667 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299669 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2299672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299697 */     // GIR_Coverage, 55277,
     /* 2299697 */     GIR_EraseRootFromParent_Done,
     /* 2299698 */   // Label 31531: @2299698
     /* 2299698 */   GIM_Try, /*On fail goto*//*Label 31532*/ GIMT_Encode4(2299775), // Rule ID 55278 //
     /* 2299703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2299718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299735 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2299739 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299744 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299746 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2299749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299774 */     // GIR_Coverage, 55278,
     /* 2299774 */     GIR_EraseRootFromParent_Done,
     /* 2299775 */   // Label 31532: @2299775
     /* 2299775 */   GIM_Try, /*On fail goto*//*Label 31533*/ GIMT_Encode4(2299852), // Rule ID 71891 //
     /* 2299780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2299799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2299816 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299823 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2299826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299851 */     // GIR_Coverage, 71891,
     /* 2299851 */     GIR_EraseRootFromParent_Done,
     /* 2299852 */   // Label 31533: @2299852
     /* 2299852 */   GIM_Try, /*On fail goto*//*Label 31534*/ GIMT_Encode4(2299929), // Rule ID 71892 //
     /* 2299857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2299868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2299876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299881 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2299885 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299889 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2299893 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299898 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2299900 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2299900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2299903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2299907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2299915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299928 */     // GIR_Coverage, 71892,
     /* 2299928 */     GIR_EraseRootFromParent_Done,
     /* 2299929 */   // Label 31534: @2299929
     /* 2299929 */   GIM_Try, /*On fail goto*//*Label 31535*/ GIMT_Encode4(2299991), // Rule ID 55281 //
     /* 2299934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2299941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2299945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2299949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2299964 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2299964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2299967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2299971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2299975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2299977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2299989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299990 */     // GIR_Coverage, 55281,
     /* 2299990 */     GIR_EraseRootFromParent_Done,
     /* 2299991 */   // Label 31535: @2299991
     /* 2299991 */   GIM_Try, /*On fail goto*//*Label 31536*/ GIMT_Encode4(2300053), // Rule ID 55282 //
     /* 2299996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2300011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300026 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2300029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300052 */     // GIR_Coverage, 55282,
     /* 2300052 */     GIR_EraseRootFromParent_Done,
     /* 2300053 */   // Label 31536: @2300053
     /* 2300053 */   GIM_Try, /*On fail goto*//*Label 31537*/ GIMT_Encode4(2300115), // Rule ID 71895 //
     /* 2300058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2300061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2300077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300088 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2300091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300114 */     // GIR_Coverage, 71895,
     /* 2300114 */     GIR_EraseRootFromParent_Done,
     /* 2300115 */   // Label 31537: @2300115
     /* 2300115 */   GIM_Try, /*On fail goto*//*Label 31538*/ GIMT_Encode4(2300177), // Rule ID 71896 //
     /* 2300120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2300123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2300139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300150 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2300153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300176 */     // GIR_Coverage, 71896,
     /* 2300176 */     GIR_EraseRootFromParent_Done,
     /* 2300177 */   // Label 31538: @2300177
     /* 2300177 */   GIM_Try, /*On fail goto*//*Label 31539*/ GIMT_Encode4(2300239), // Rule ID 55273 //
     /* 2300182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2300185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2300197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2300205 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300212 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2300215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2300225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300238 */     // GIR_Coverage, 55273,
     /* 2300238 */     GIR_EraseRootFromParent_Done,
     /* 2300239 */   // Label 31539: @2300239
     /* 2300239 */   GIM_Try, /*On fail goto*//*Label 31540*/ GIMT_Encode4(2300301), // Rule ID 55274 //
     /* 2300244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2300247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2300259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2300267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300274 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2300277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2300287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300300 */     // GIR_Coverage, 55274,
     /* 2300300 */     GIR_EraseRootFromParent_Done,
     /* 2300301 */   // Label 31540: @2300301
     /* 2300301 */   GIM_Try, /*On fail goto*//*Label 31541*/ GIMT_Encode4(2300346), // Rule ID 55269 //
     /* 2300306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2300309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300321 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2300324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300345 */     // GIR_Coverage, 55269,
     /* 2300345 */     GIR_EraseRootFromParent_Done,
     /* 2300346 */   // Label 31541: @2300346
     /* 2300346 */   GIM_Try, /*On fail goto*//*Label 31542*/ GIMT_Encode4(2300391), // Rule ID 55270 //
     /* 2300351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2300354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300366 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2300369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300390 */     // GIR_Coverage, 55270,
     /* 2300390 */     GIR_EraseRootFromParent_Done,
     /* 2300391 */   // Label 31542: @2300391
     /* 2300391 */   GIM_Reject,
     /* 2300392 */ // Label 31530: @2300392
     /* 2300392 */ GIM_Reject,
     /* 2300393 */ // Label 31302: @2300393
     /* 2300393 */ GIM_Try, /*On fail goto*//*Label 31543*/ GIMT_Encode4(2301182),
     /* 2300398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2300401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2300404 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2300407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300411 */   GIM_Try, /*On fail goto*//*Label 31544*/ GIMT_Encode4(2300488), // Rule ID 54829 //
     /* 2300416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2300431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2300452 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300457 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300459 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2300462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300487 */     // GIR_Coverage, 54829,
     /* 2300487 */     GIR_EraseRootFromParent_Done,
     /* 2300488 */   // Label 31544: @2300488
     /* 2300488 */   GIM_Try, /*On fail goto*//*Label 31545*/ GIMT_Encode4(2300565), // Rule ID 54830 //
     /* 2300493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2300508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300525 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2300529 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300534 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300536 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2300539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300564 */     // GIR_Coverage, 54830,
     /* 2300564 */     GIR_EraseRootFromParent_Done,
     /* 2300565 */   // Label 31545: @2300565
     /* 2300565 */   GIM_Try, /*On fail goto*//*Label 31546*/ GIMT_Encode4(2300642), // Rule ID 71499 //
     /* 2300570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2300589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2300606 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300613 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2300616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300641 */     // GIR_Coverage, 71499,
     /* 2300641 */     GIR_EraseRootFromParent_Done,
     /* 2300642 */   // Label 31546: @2300642
     /* 2300642 */   GIM_Try, /*On fail goto*//*Label 31547*/ GIMT_Encode4(2300719), // Rule ID 71500 //
     /* 2300647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2300666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2300675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300679 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2300683 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300688 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2300690 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2300693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2300705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300718 */     // GIR_Coverage, 71500,
     /* 2300718 */     GIR_EraseRootFromParent_Done,
     /* 2300719 */   // Label 31547: @2300719
     /* 2300719 */   GIM_Try, /*On fail goto*//*Label 31548*/ GIMT_Encode4(2300781), // Rule ID 54833 //
     /* 2300724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2300739 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300754 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2300757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300780 */     // GIR_Coverage, 54833,
     /* 2300780 */     GIR_EraseRootFromParent_Done,
     /* 2300781 */   // Label 31548: @2300781
     /* 2300781 */   GIM_Try, /*On fail goto*//*Label 31549*/ GIMT_Encode4(2300843), // Rule ID 54834 //
     /* 2300786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2300793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2300801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300816 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2300819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2300823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300842 */     // GIR_Coverage, 54834,
     /* 2300842 */     GIR_EraseRootFromParent_Done,
     /* 2300843 */   // Label 31549: @2300843
     /* 2300843 */   GIM_Try, /*On fail goto*//*Label 31550*/ GIMT_Encode4(2300905), // Rule ID 71503 //
     /* 2300848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2300867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300878 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2300878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2300881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300904 */     // GIR_Coverage, 71503,
     /* 2300904 */     GIR_EraseRootFromParent_Done,
     /* 2300905 */   // Label 31550: @2300905
     /* 2300905 */   GIM_Try, /*On fail goto*//*Label 31551*/ GIMT_Encode4(2300967), // Rule ID 71504 //
     /* 2300910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2300921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2300929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2300940 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2300940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2300943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2300947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2300951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2300953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2300965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300966 */     // GIR_Coverage, 71504,
     /* 2300966 */     GIR_EraseRootFromParent_Done,
     /* 2300967 */   // Label 31551: @2300967
     /* 2300967 */   GIM_Try, /*On fail goto*//*Label 31552*/ GIMT_Encode4(2301029), // Rule ID 54825 //
     /* 2300972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2300987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2300991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2300995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301002 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2301005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2301015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301028 */     // GIR_Coverage, 54825,
     /* 2301028 */     GIR_EraseRootFromParent_Done,
     /* 2301029 */   // Label 31552: @2301029
     /* 2301029 */   GIM_Try, /*On fail goto*//*Label 31553*/ GIMT_Encode4(2301091), // Rule ID 54826 //
     /* 2301034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2301037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2301057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301064 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2301067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2301077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301090 */     // GIR_Coverage, 54826,
     /* 2301090 */     GIR_EraseRootFromParent_Done,
     /* 2301091 */   // Label 31553: @2301091
     /* 2301091 */   GIM_Try, /*On fail goto*//*Label 31554*/ GIMT_Encode4(2301136), // Rule ID 54821 //
     /* 2301096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2301099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301111 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2301114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301135 */     // GIR_Coverage, 54821,
     /* 2301135 */     GIR_EraseRootFromParent_Done,
     /* 2301136 */   // Label 31554: @2301136
     /* 2301136 */   GIM_Try, /*On fail goto*//*Label 31555*/ GIMT_Encode4(2301181), // Rule ID 54822 //
     /* 2301141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2301144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301156 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2301159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301180 */     // GIR_Coverage, 54822,
     /* 2301180 */     GIR_EraseRootFromParent_Done,
     /* 2301181 */   // Label 31555: @2301181
     /* 2301181 */   GIM_Reject,
     /* 2301182 */ // Label 31543: @2301182
     /* 2301182 */ GIM_Reject,
     /* 2301183 */ // Label 31303: @2301183
     /* 2301183 */ GIM_Try, /*On fail goto*//*Label 31556*/ GIMT_Encode4(2301972),
     /* 2301188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2301191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2301194 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2301197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301201 */   GIM_Try, /*On fail goto*//*Label 31557*/ GIMT_Encode4(2301278), // Rule ID 55085 //
     /* 2301206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2301221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2301242 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301247 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301249 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2301252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301277 */     // GIR_Coverage, 55085,
     /* 2301277 */     GIR_EraseRootFromParent_Done,
     /* 2301278 */   // Label 31557: @2301278
     /* 2301278 */   GIM_Try, /*On fail goto*//*Label 31558*/ GIMT_Encode4(2301355), // Rule ID 55086 //
     /* 2301283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2301298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301307 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301311 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301315 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2301319 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301324 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301326 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2301329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301354 */     // GIR_Coverage, 55086,
     /* 2301354 */     GIR_EraseRootFromParent_Done,
     /* 2301355 */   // Label 31558: @2301355
     /* 2301355 */   GIM_Try, /*On fail goto*//*Label 31559*/ GIMT_Encode4(2301432), // Rule ID 71723 //
     /* 2301360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2301379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301392 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2301396 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301401 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301403 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2301406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301431 */     // GIR_Coverage, 71723,
     /* 2301431 */     GIR_EraseRootFromParent_Done,
     /* 2301432 */   // Label 31559: @2301432
     /* 2301432 */   GIM_Try, /*On fail goto*//*Label 31560*/ GIMT_Encode4(2301509), // Rule ID 71724 //
     /* 2301437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2301456 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301461 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2301465 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301469 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2301473 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2301480 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2301483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2301495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301508 */     // GIR_Coverage, 71724,
     /* 2301508 */     GIR_EraseRootFromParent_Done,
     /* 2301509 */   // Label 31560: @2301509
     /* 2301509 */   GIM_Try, /*On fail goto*//*Label 31561*/ GIMT_Encode4(2301571), // Rule ID 55089 //
     /* 2301514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2301529 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301544 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2301547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301570 */     // GIR_Coverage, 55089,
     /* 2301570 */     GIR_EraseRootFromParent_Done,
     /* 2301571 */   // Label 31561: @2301571
     /* 2301571 */   GIM_Try, /*On fail goto*//*Label 31562*/ GIMT_Encode4(2301633), // Rule ID 55090 //
     /* 2301576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2301583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2301591 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301606 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2301609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301632 */     // GIR_Coverage, 55090,
     /* 2301632 */     GIR_EraseRootFromParent_Done,
     /* 2301633 */   // Label 31562: @2301633
     /* 2301633 */   GIM_Try, /*On fail goto*//*Label 31563*/ GIMT_Encode4(2301695), // Rule ID 71727 //
     /* 2301638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2301657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301668 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2301671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301694 */     // GIR_Coverage, 71727,
     /* 2301694 */     GIR_EraseRootFromParent_Done,
     /* 2301695 */   // Label 31563: @2301695
     /* 2301695 */   GIM_Try, /*On fail goto*//*Label 31564*/ GIMT_Encode4(2301757), // Rule ID 71728 //
     /* 2301700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2301711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2301719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301730 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2301733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2301737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2301741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301756 */     // GIR_Coverage, 71728,
     /* 2301756 */     GIR_EraseRootFromParent_Done,
     /* 2301757 */   // Label 31564: @2301757
     /* 2301757 */   GIM_Try, /*On fail goto*//*Label 31565*/ GIMT_Encode4(2301819), // Rule ID 55081 //
     /* 2301762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2301785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301792 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2301795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2301805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301818 */     // GIR_Coverage, 55081,
     /* 2301818 */     GIR_EraseRootFromParent_Done,
     /* 2301819 */   // Label 31565: @2301819
     /* 2301819 */   GIM_Try, /*On fail goto*//*Label 31566*/ GIMT_Encode4(2301881), // Rule ID 55082 //
     /* 2301824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2301839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2301843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2301847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2301854 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2301857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2301867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301880 */     // GIR_Coverage, 55082,
     /* 2301880 */     GIR_EraseRootFromParent_Done,
     /* 2301881 */   // Label 31566: @2301881
     /* 2301881 */   GIM_Try, /*On fail goto*//*Label 31567*/ GIMT_Encode4(2301926), // Rule ID 55077 //
     /* 2301886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301901 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2301901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2301904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301925 */     // GIR_Coverage, 55077,
     /* 2301925 */     GIR_EraseRootFromParent_Done,
     /* 2301926 */   // Label 31567: @2301926
     /* 2301926 */   GIM_Try, /*On fail goto*//*Label 31568*/ GIMT_Encode4(2301971), // Rule ID 55078 //
     /* 2301931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301946 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2301946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2301949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2301953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2301957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2301969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301970 */     // GIR_Coverage, 55078,
     /* 2301970 */     GIR_EraseRootFromParent_Done,
     /* 2301971 */   // Label 31568: @2301971
     /* 2301971 */   GIM_Reject,
     /* 2301972 */ // Label 31556: @2301972
     /* 2301972 */ GIM_Reject,
     /* 2301973 */ // Label 31304: @2301973
     /* 2301973 */ GIM_Try, /*On fail goto*//*Label 31569*/ GIMT_Encode4(2302762),
     /* 2301978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2301981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2301984 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2301987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301991 */   GIM_Try, /*On fail goto*//*Label 31570*/ GIMT_Encode4(2302068), // Rule ID 54893 //
     /* 2301996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2301999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2302011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302020 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302024 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302028 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2302032 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302037 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302039 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2302042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302067 */     // GIR_Coverage, 54893,
     /* 2302067 */     GIR_EraseRootFromParent_Done,
     /* 2302068 */   // Label 31570: @2302068
     /* 2302068 */   GIM_Try, /*On fail goto*//*Label 31571*/ GIMT_Encode4(2302145), // Rule ID 54894 //
     /* 2302073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2302088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302097 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302101 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302105 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2302109 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302114 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302116 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2302119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302144 */     // GIR_Coverage, 54894,
     /* 2302144 */     GIR_EraseRootFromParent_Done,
     /* 2302145 */   // Label 31571: @2302145
     /* 2302145 */   GIM_Try, /*On fail goto*//*Label 31572*/ GIMT_Encode4(2302222), // Rule ID 71555 //
     /* 2302150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2302169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2302186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302193 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2302196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302221 */     // GIR_Coverage, 71555,
     /* 2302221 */     GIR_EraseRootFromParent_Done,
     /* 2302222 */   // Label 31572: @2302222
     /* 2302222 */   GIM_Try, /*On fail goto*//*Label 31573*/ GIMT_Encode4(2302299), // Rule ID 71556 //
     /* 2302227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2302246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2302255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2302263 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302268 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2302270 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2302273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2302285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302298 */     // GIR_Coverage, 71556,
     /* 2302298 */     GIR_EraseRootFromParent_Done,
     /* 2302299 */   // Label 31573: @2302299
     /* 2302299 */   GIM_Try, /*On fail goto*//*Label 31574*/ GIMT_Encode4(2302361), // Rule ID 54897 //
     /* 2302304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302315 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2302319 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302334 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2302337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302360 */     // GIR_Coverage, 54897,
     /* 2302360 */     GIR_EraseRootFromParent_Done,
     /* 2302361 */   // Label 31574: @2302361
     /* 2302361 */   GIM_Try, /*On fail goto*//*Label 31575*/ GIMT_Encode4(2302423), // Rule ID 54898 //
     /* 2302366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2302373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2302381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302396 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2302399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302422 */     // GIR_Coverage, 54898,
     /* 2302422 */     GIR_EraseRootFromParent_Done,
     /* 2302423 */   // Label 31575: @2302423
     /* 2302423 */   GIM_Try, /*On fail goto*//*Label 31576*/ GIMT_Encode4(2302485), // Rule ID 71559 //
     /* 2302428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2302447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302458 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2302461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302484 */     // GIR_Coverage, 71559,
     /* 2302484 */     GIR_EraseRootFromParent_Done,
     /* 2302485 */   // Label 31576: @2302485
     /* 2302485 */   GIM_Try, /*On fail goto*//*Label 31577*/ GIMT_Encode4(2302547), // Rule ID 71560 //
     /* 2302490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2302501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2302509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302520 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2302523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2302527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2302531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302546 */     // GIR_Coverage, 71560,
     /* 2302546 */     GIR_EraseRootFromParent_Done,
     /* 2302547 */   // Label 31577: @2302547
     /* 2302547 */   GIM_Try, /*On fail goto*//*Label 31578*/ GIMT_Encode4(2302609), // Rule ID 54889 //
     /* 2302552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2302567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2302575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302582 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2302585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2302595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302608 */     // GIR_Coverage, 54889,
     /* 2302608 */     GIR_EraseRootFromParent_Done,
     /* 2302609 */   // Label 31578: @2302609
     /* 2302609 */   GIM_Try, /*On fail goto*//*Label 31579*/ GIMT_Encode4(2302671), // Rule ID 54890 //
     /* 2302614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2302629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2302633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2302637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2302644 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2302647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2302657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302670 */     // GIR_Coverage, 54890,
     /* 2302670 */     GIR_EraseRootFromParent_Done,
     /* 2302671 */   // Label 31579: @2302671
     /* 2302671 */   GIM_Try, /*On fail goto*//*Label 31580*/ GIMT_Encode4(2302716), // Rule ID 54885 //
     /* 2302676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302691 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2302691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2302694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302715 */     // GIR_Coverage, 54885,
     /* 2302715 */     GIR_EraseRootFromParent_Done,
     /* 2302716 */   // Label 31580: @2302716
     /* 2302716 */   GIM_Try, /*On fail goto*//*Label 31581*/ GIMT_Encode4(2302761), // Rule ID 54886 //
     /* 2302721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302736 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2302736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2302739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2302743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2302747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2302759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302760 */     // GIR_Coverage, 54886,
     /* 2302760 */     GIR_EraseRootFromParent_Done,
     /* 2302761 */   // Label 31581: @2302761
     /* 2302761 */   GIM_Reject,
     /* 2302762 */ // Label 31569: @2302762
     /* 2302762 */ GIM_Reject,
     /* 2302763 */ // Label 31305: @2302763
     /* 2302763 */ GIM_Reject,
     /* 2302764 */ // Label 61: @2302764
     /* 2302764 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31600*/ GIMT_Encode4(2305191),
     /* 2302775 */ /*GILLT_s16*//*Label 31582*/ GIMT_Encode4(2302895),
     /* 2302779 */ /*GILLT_s32*//*Label 31583*/ GIMT_Encode4(2303044),
     /* 2302783 */ /*GILLT_s64*//*Label 31584*/ GIMT_Encode4(2303193), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2302795 */ /*GILLT_nxv1s16*//*Label 31585*/ GIMT_Encode4(2303376),
     /* 2302799 */ /*GILLT_nxv1s32*//*Label 31586*/ GIMT_Encode4(2303497),
     /* 2302803 */ /*GILLT_nxv1s64*//*Label 31587*/ GIMT_Encode4(2303618), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2302815 */ /*GILLT_nxv2s16*//*Label 31588*/ GIMT_Encode4(2303739),
     /* 2302819 */ /*GILLT_nxv2s32*//*Label 31589*/ GIMT_Encode4(2303860),
     /* 2302823 */ /*GILLT_nxv2s64*//*Label 31590*/ GIMT_Encode4(2303981), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2302835 */ /*GILLT_nxv4s16*//*Label 31591*/ GIMT_Encode4(2304102),
     /* 2302839 */ /*GILLT_nxv4s32*//*Label 31592*/ GIMT_Encode4(2304223),
     /* 2302843 */ /*GILLT_nxv4s64*//*Label 31593*/ GIMT_Encode4(2304344), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2302855 */ /*GILLT_nxv8s16*//*Label 31594*/ GIMT_Encode4(2304465),
     /* 2302859 */ /*GILLT_nxv8s32*//*Label 31595*/ GIMT_Encode4(2304586),
     /* 2302863 */ /*GILLT_nxv8s64*//*Label 31596*/ GIMT_Encode4(2304707), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2302875 */ /*GILLT_nxv16s16*//*Label 31597*/ GIMT_Encode4(2304828),
     /* 2302879 */ /*GILLT_nxv16s32*//*Label 31598*/ GIMT_Encode4(2304949), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2302891 */ /*GILLT_nxv32s16*//*Label 31599*/ GIMT_Encode4(2305070),
     /* 2302895 */ // Label 31582: @2302895
     /* 2302895 */ GIM_Try, /*On fail goto*//*Label 31601*/ GIMT_Encode4(2303043),
     /* 2302900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2302903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2302906 */   GIM_Try, /*On fail goto*//*Label 31602*/ GIMT_Encode4(2302940), // Rule ID 1841 //
     /* 2302911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2302914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2302918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2302922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2302926 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2302926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2302929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302939 */     // GIR_Coverage, 1841,
     /* 2302939 */     GIR_EraseRootFromParent_Done,
     /* 2302940 */   // Label 31602: @2302940
     /* 2302940 */   GIM_Try, /*On fail goto*//*Label 31603*/ GIMT_Encode4(2302974), // Rule ID 1842 //
     /* 2302945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2302948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2302952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2302956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2302960 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2302960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2302963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302973 */     // GIR_Coverage, 1842,
     /* 2302973 */     GIR_EraseRootFromParent_Done,
     /* 2302974 */   // Label 31603: @2302974
     /* 2302974 */   GIM_Try, /*On fail goto*//*Label 31604*/ GIMT_Encode4(2303008), // Rule ID 1845 //
     /* 2302979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2302982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2302986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2302990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2302994 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2302994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2302997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303007 */     // GIR_Coverage, 1845,
     /* 2303007 */     GIR_EraseRootFromParent_Done,
     /* 2303008 */   // Label 31604: @2303008
     /* 2303008 */   GIM_Try, /*On fail goto*//*Label 31605*/ GIMT_Encode4(2303042), // Rule ID 1846 //
     /* 2303013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2303016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2303020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2303024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2303028 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2303028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2303031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303041 */     // GIR_Coverage, 1846,
     /* 2303041 */     GIR_EraseRootFromParent_Done,
     /* 2303042 */   // Label 31605: @2303042
     /* 2303042 */   GIM_Reject,
     /* 2303043 */ // Label 31601: @2303043
     /* 2303043 */ GIM_Reject,
     /* 2303044 */ // Label 31583: @2303044
     /* 2303044 */ GIM_Try, /*On fail goto*//*Label 31606*/ GIMT_Encode4(2303192),
     /* 2303049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2303052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2303055 */   GIM_Try, /*On fail goto*//*Label 31607*/ GIMT_Encode4(2303089), // Rule ID 1132 //
     /* 2303060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2303063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2303067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2303071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2303075 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2303075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2303078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303088 */     // GIR_Coverage, 1132,
     /* 2303088 */     GIR_EraseRootFromParent_Done,
     /* 2303089 */   // Label 31607: @2303089
     /* 2303089 */   GIM_Try, /*On fail goto*//*Label 31608*/ GIMT_Encode4(2303123), // Rule ID 1133 //
     /* 2303094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2303097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2303101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2303105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2303109 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2303109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2303112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303122 */     // GIR_Coverage, 1133,
     /* 2303122 */     GIR_EraseRootFromParent_Done,
     /* 2303123 */   // Label 31608: @2303123
     /* 2303123 */   GIM_Try, /*On fail goto*//*Label 31609*/ GIMT_Encode4(2303157), // Rule ID 1136 //
     /* 2303128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2303131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2303135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2303139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2303143 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2303143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2303146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303156 */     // GIR_Coverage, 1136,
     /* 2303156 */     GIR_EraseRootFromParent_Done,
     /* 2303157 */   // Label 31609: @2303157
     /* 2303157 */   GIM_Try, /*On fail goto*//*Label 31610*/ GIMT_Encode4(2303191), // Rule ID 1137 //
     /* 2303162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2303165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2303169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2303173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2303177 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2303177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2303180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303190 */     // GIR_Coverage, 1137,
     /* 2303190 */     GIR_EraseRootFromParent_Done,
     /* 2303191 */   // Label 31610: @2303191
     /* 2303191 */   GIM_Reject,
     /* 2303192 */ // Label 31606: @2303192
     /* 2303192 */ GIM_Reject,
     /* 2303193 */ // Label 31584: @2303193
     /* 2303193 */ GIM_Try, /*On fail goto*//*Label 31611*/ GIMT_Encode4(2303375),
     /* 2303198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2303201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2303204 */   GIM_Try, /*On fail goto*//*Label 31612*/ GIMT_Encode4(2303238), // Rule ID 1473 //
     /* 2303209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2303212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2303216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2303220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2303224 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2303224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2303227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303237 */     // GIR_Coverage, 1473,
     /* 2303237 */     GIR_EraseRootFromParent_Done,
     /* 2303238 */   // Label 31612: @2303238
     /* 2303238 */   GIM_Try, /*On fail goto*//*Label 31613*/ GIMT_Encode4(2303272), // Rule ID 1474 //
     /* 2303243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2303246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2303250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2303254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2303258 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2303258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2303261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303271 */     // GIR_Coverage, 1474,
     /* 2303271 */     GIR_EraseRootFromParent_Done,
     /* 2303272 */   // Label 31613: @2303272
     /* 2303272 */   GIM_Try, /*On fail goto*//*Label 31614*/ GIMT_Encode4(2303306), // Rule ID 1477 //
     /* 2303277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2303280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2303284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2303288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2303292 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2303292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2303295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303305 */     // GIR_Coverage, 1477,
     /* 2303305 */     GIR_EraseRootFromParent_Done,
     /* 2303306 */   // Label 31614: @2303306
     /* 2303306 */   GIM_Try, /*On fail goto*//*Label 31615*/ GIMT_Encode4(2303340), // Rule ID 1478 //
     /* 2303311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2303314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2303318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2303322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2303326 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2303326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2303329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303339 */     // GIR_Coverage, 1478,
     /* 2303339 */     GIR_EraseRootFromParent_Done,
     /* 2303340 */   // Label 31615: @2303340
     /* 2303340 */   GIM_Try, /*On fail goto*//*Label 31616*/ GIMT_Encode4(2303374), // Rule ID 1480 //
     /* 2303345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2303348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2303352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2303356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2303360 */     // (fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2303360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2303363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303373 */     // GIR_Coverage, 1480,
     /* 2303373 */     GIR_EraseRootFromParent_Done,
     /* 2303374 */   // Label 31616: @2303374
     /* 2303374 */   GIM_Reject,
     /* 2303375 */ // Label 31611: @2303375
     /* 2303375 */ GIM_Reject,
     /* 2303376 */ // Label 31585: @2303376
     /* 2303376 */ GIM_Try, /*On fail goto*//*Label 31617*/ GIMT_Encode4(2303496),
     /* 2303381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2303384 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2303387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303395 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303399 */   GIM_Try, /*On fail goto*//*Label 31618*/ GIMT_Encode4(2303447), // Rule ID 53947 //
     /* 2303404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2303407 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2303410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2303424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303446 */     // GIR_Coverage, 53947,
     /* 2303446 */     GIR_EraseRootFromParent_Done,
     /* 2303447 */   // Label 31618: @2303447
     /* 2303447 */   GIM_Try, /*On fail goto*//*Label 31619*/ GIMT_Encode4(2303495), // Rule ID 53948 //
     /* 2303452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2303455 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2303458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2303472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303494 */     // GIR_Coverage, 53948,
     /* 2303494 */     GIR_EraseRootFromParent_Done,
     /* 2303495 */   // Label 31619: @2303495
     /* 2303495 */   GIM_Reject,
     /* 2303496 */ // Label 31617: @2303496
     /* 2303496 */ GIM_Reject,
     /* 2303497 */ // Label 31586: @2303497
     /* 2303497 */ GIM_Try, /*On fail goto*//*Label 31620*/ GIMT_Encode4(2303617),
     /* 2303502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2303505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2303508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303516 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303520 */   GIM_Try, /*On fail goto*//*Label 31621*/ GIMT_Encode4(2303568), // Rule ID 53971 //
     /* 2303525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303528 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2303531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2303545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303567 */     // GIR_Coverage, 53971,
     /* 2303567 */     GIR_EraseRootFromParent_Done,
     /* 2303568 */   // Label 31621: @2303568
     /* 2303568 */   GIM_Try, /*On fail goto*//*Label 31622*/ GIMT_Encode4(2303616), // Rule ID 53972 //
     /* 2303573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303576 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2303579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2303593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303615 */     // GIR_Coverage, 53972,
     /* 2303615 */     GIR_EraseRootFromParent_Done,
     /* 2303616 */   // Label 31622: @2303616
     /* 2303616 */   GIM_Reject,
     /* 2303617 */ // Label 31620: @2303617
     /* 2303617 */ GIM_Reject,
     /* 2303618 */ // Label 31587: @2303618
     /* 2303618 */ GIM_Try, /*On fail goto*//*Label 31623*/ GIMT_Encode4(2303738),
     /* 2303623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2303626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2303629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303633 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303637 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303641 */   GIM_Try, /*On fail goto*//*Label 31624*/ GIMT_Encode4(2303689), // Rule ID 54007 //
     /* 2303646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2303649 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2303652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2303666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303688 */     // GIR_Coverage, 54007,
     /* 2303688 */     GIR_EraseRootFromParent_Done,
     /* 2303689 */   // Label 31624: @2303689
     /* 2303689 */   GIM_Try, /*On fail goto*//*Label 31625*/ GIMT_Encode4(2303737), // Rule ID 54008 //
     /* 2303694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2303697 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2303700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2303714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303736 */     // GIR_Coverage, 54008,
     /* 2303736 */     GIR_EraseRootFromParent_Done,
     /* 2303737 */   // Label 31625: @2303737
     /* 2303737 */   GIM_Reject,
     /* 2303738 */ // Label 31623: @2303738
     /* 2303738 */ GIM_Reject,
     /* 2303739 */ // Label 31588: @2303739
     /* 2303739 */ GIM_Try, /*On fail goto*//*Label 31626*/ GIMT_Encode4(2303859),
     /* 2303744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2303747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2303750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303758 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303762 */   GIM_Try, /*On fail goto*//*Label 31627*/ GIMT_Encode4(2303810), // Rule ID 53959 //
     /* 2303767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2303770 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2303773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2303787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303809 */     // GIR_Coverage, 53959,
     /* 2303809 */     GIR_EraseRootFromParent_Done,
     /* 2303810 */   // Label 31627: @2303810
     /* 2303810 */   GIM_Try, /*On fail goto*//*Label 31628*/ GIMT_Encode4(2303858), // Rule ID 53960 //
     /* 2303815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2303818 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2303821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2303835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303857 */     // GIR_Coverage, 53960,
     /* 2303857 */     GIR_EraseRootFromParent_Done,
     /* 2303858 */   // Label 31628: @2303858
     /* 2303858 */   GIM_Reject,
     /* 2303859 */ // Label 31626: @2303859
     /* 2303859 */ GIM_Reject,
     /* 2303860 */ // Label 31589: @2303860
     /* 2303860 */ GIM_Try, /*On fail goto*//*Label 31629*/ GIMT_Encode4(2303980),
     /* 2303865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2303868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2303871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303875 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303879 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303883 */   GIM_Try, /*On fail goto*//*Label 31630*/ GIMT_Encode4(2303931), // Rule ID 53995 //
     /* 2303888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303891 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2303894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2303908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303930 */     // GIR_Coverage, 53995,
     /* 2303930 */     GIR_EraseRootFromParent_Done,
     /* 2303931 */   // Label 31630: @2303931
     /* 2303931 */   GIM_Try, /*On fail goto*//*Label 31631*/ GIMT_Encode4(2303979), // Rule ID 53996 //
     /* 2303936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303939 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2303942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2303956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303978 */     // GIR_Coverage, 53996,
     /* 2303978 */     GIR_EraseRootFromParent_Done,
     /* 2303979 */   // Label 31631: @2303979
     /* 2303979 */   GIM_Reject,
     /* 2303980 */ // Label 31629: @2303980
     /* 2303980 */ GIM_Reject,
     /* 2303981 */ // Label 31590: @2303981
     /* 2303981 */ GIM_Try, /*On fail goto*//*Label 31632*/ GIMT_Encode4(2304101),
     /* 2303986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2303989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2303992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304004 */   GIM_Try, /*On fail goto*//*Label 31633*/ GIMT_Encode4(2304052), // Rule ID 54091 //
     /* 2304009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2304012 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2304015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2304029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304051 */     // GIR_Coverage, 54091,
     /* 2304051 */     GIR_EraseRootFromParent_Done,
     /* 2304052 */   // Label 31633: @2304052
     /* 2304052 */   GIM_Try, /*On fail goto*//*Label 31634*/ GIMT_Encode4(2304100), // Rule ID 54092 //
     /* 2304057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2304060 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2304063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2304077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304099 */     // GIR_Coverage, 54092,
     /* 2304099 */     GIR_EraseRootFromParent_Done,
     /* 2304100 */   // Label 31634: @2304100
     /* 2304100 */   GIM_Reject,
     /* 2304101 */ // Label 31632: @2304101
     /* 2304101 */ GIM_Reject,
     /* 2304102 */ // Label 31591: @2304102
     /* 2304102 */ GIM_Try, /*On fail goto*//*Label 31635*/ GIMT_Encode4(2304222),
     /* 2304107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2304110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2304113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304121 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304125 */   GIM_Try, /*On fail goto*//*Label 31636*/ GIMT_Encode4(2304173), // Rule ID 53983 //
     /* 2304130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304133 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2304136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2304150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304172 */     // GIR_Coverage, 53983,
     /* 2304172 */     GIR_EraseRootFromParent_Done,
     /* 2304173 */   // Label 31636: @2304173
     /* 2304173 */   GIM_Try, /*On fail goto*//*Label 31637*/ GIMT_Encode4(2304221), // Rule ID 53984 //
     /* 2304178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304181 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2304184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2304198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304220 */     // GIR_Coverage, 53984,
     /* 2304220 */     GIR_EraseRootFromParent_Done,
     /* 2304221 */   // Label 31637: @2304221
     /* 2304221 */   GIM_Reject,
     /* 2304222 */ // Label 31635: @2304222
     /* 2304222 */ GIM_Reject,
     /* 2304223 */ // Label 31592: @2304223
     /* 2304223 */ GIM_Try, /*On fail goto*//*Label 31638*/ GIMT_Encode4(2304343),
     /* 2304228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2304231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2304234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304246 */   GIM_Try, /*On fail goto*//*Label 31639*/ GIMT_Encode4(2304294), // Rule ID 54055 //
     /* 2304251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2304254 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2304257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2304271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304293 */     // GIR_Coverage, 54055,
     /* 2304293 */     GIR_EraseRootFromParent_Done,
     /* 2304294 */   // Label 31639: @2304294
     /* 2304294 */   GIM_Try, /*On fail goto*//*Label 31640*/ GIMT_Encode4(2304342), // Rule ID 54056 //
     /* 2304299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2304302 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2304305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2304319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304341 */     // GIR_Coverage, 54056,
     /* 2304341 */     GIR_EraseRootFromParent_Done,
     /* 2304342 */   // Label 31640: @2304342
     /* 2304342 */   GIM_Reject,
     /* 2304343 */ // Label 31638: @2304343
     /* 2304343 */ GIM_Reject,
     /* 2304344 */ // Label 31593: @2304344
     /* 2304344 */ GIM_Try, /*On fail goto*//*Label 31641*/ GIMT_Encode4(2304464),
     /* 2304349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2304352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2304355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304359 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304363 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304367 */   GIM_Try, /*On fail goto*//*Label 31642*/ GIMT_Encode4(2304415), // Rule ID 54103 //
     /* 2304372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2304375 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2304378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2304392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304414 */     // GIR_Coverage, 54103,
     /* 2304414 */     GIR_EraseRootFromParent_Done,
     /* 2304415 */   // Label 31642: @2304415
     /* 2304415 */   GIM_Try, /*On fail goto*//*Label 31643*/ GIMT_Encode4(2304463), // Rule ID 54104 //
     /* 2304420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2304423 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2304426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2304440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304462 */     // GIR_Coverage, 54104,
     /* 2304462 */     GIR_EraseRootFromParent_Done,
     /* 2304463 */   // Label 31643: @2304463
     /* 2304463 */   GIM_Reject,
     /* 2304464 */ // Label 31641: @2304464
     /* 2304464 */ GIM_Reject,
     /* 2304465 */ // Label 31594: @2304465
     /* 2304465 */ GIM_Try, /*On fail goto*//*Label 31644*/ GIMT_Encode4(2304585),
     /* 2304470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2304473 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2304476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304484 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304488 */   GIM_Try, /*On fail goto*//*Label 31645*/ GIMT_Encode4(2304536), // Rule ID 54019 //
     /* 2304493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304496 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2304499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2304513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304535 */     // GIR_Coverage, 54019,
     /* 2304535 */     GIR_EraseRootFromParent_Done,
     /* 2304536 */   // Label 31645: @2304536
     /* 2304536 */   GIM_Try, /*On fail goto*//*Label 31646*/ GIMT_Encode4(2304584), // Rule ID 54020 //
     /* 2304541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304544 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2304547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2304561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304583 */     // GIR_Coverage, 54020,
     /* 2304583 */     GIR_EraseRootFromParent_Done,
     /* 2304584 */   // Label 31646: @2304584
     /* 2304584 */   GIM_Reject,
     /* 2304585 */ // Label 31644: @2304585
     /* 2304585 */ GIM_Reject,
     /* 2304586 */ // Label 31595: @2304586
     /* 2304586 */ GIM_Try, /*On fail goto*//*Label 31647*/ GIMT_Encode4(2304706),
     /* 2304591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2304594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2304597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304609 */   GIM_Try, /*On fail goto*//*Label 31648*/ GIMT_Encode4(2304657), // Rule ID 54067 //
     /* 2304614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2304617 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2304620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2304634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304656 */     // GIR_Coverage, 54067,
     /* 2304656 */     GIR_EraseRootFromParent_Done,
     /* 2304657 */   // Label 31648: @2304657
     /* 2304657 */   GIM_Try, /*On fail goto*//*Label 31649*/ GIMT_Encode4(2304705), // Rule ID 54068 //
     /* 2304662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2304665 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2304668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2304682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304704 */     // GIR_Coverage, 54068,
     /* 2304704 */     GIR_EraseRootFromParent_Done,
     /* 2304705 */   // Label 31649: @2304705
     /* 2304705 */   GIM_Reject,
     /* 2304706 */ // Label 31647: @2304706
     /* 2304706 */ GIM_Reject,
     /* 2304707 */ // Label 31596: @2304707
     /* 2304707 */ GIM_Try, /*On fail goto*//*Label 31650*/ GIMT_Encode4(2304827),
     /* 2304712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2304715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2304718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304730 */   GIM_Try, /*On fail goto*//*Label 31651*/ GIMT_Encode4(2304778), // Rule ID 54115 //
     /* 2304735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2304738 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2304741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2304755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304777 */     // GIR_Coverage, 54115,
     /* 2304777 */     GIR_EraseRootFromParent_Done,
     /* 2304778 */   // Label 31651: @2304778
     /* 2304778 */   GIM_Try, /*On fail goto*//*Label 31652*/ GIMT_Encode4(2304826), // Rule ID 54116 //
     /* 2304783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2304786 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2304789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2304803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304825 */     // GIR_Coverage, 54116,
     /* 2304825 */     GIR_EraseRootFromParent_Done,
     /* 2304826 */   // Label 31652: @2304826
     /* 2304826 */   GIM_Reject,
     /* 2304827 */ // Label 31650: @2304827
     /* 2304827 */ GIM_Reject,
     /* 2304828 */ // Label 31597: @2304828
     /* 2304828 */ GIM_Try, /*On fail goto*//*Label 31653*/ GIMT_Encode4(2304948),
     /* 2304833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2304836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2304839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304851 */   GIM_Try, /*On fail goto*//*Label 31654*/ GIMT_Encode4(2304899), // Rule ID 54031 //
     /* 2304856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304859 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2304862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2304876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304898 */     // GIR_Coverage, 54031,
     /* 2304898 */     GIR_EraseRootFromParent_Done,
     /* 2304899 */   // Label 31654: @2304899
     /* 2304899 */   GIM_Try, /*On fail goto*//*Label 31655*/ GIMT_Encode4(2304947), // Rule ID 54032 //
     /* 2304904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304907 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2304910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2304924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304946 */     // GIR_Coverage, 54032,
     /* 2304946 */     GIR_EraseRootFromParent_Done,
     /* 2304947 */   // Label 31655: @2304947
     /* 2304947 */   GIM_Reject,
     /* 2304948 */ // Label 31653: @2304948
     /* 2304948 */ GIM_Reject,
     /* 2304949 */ // Label 31598: @2304949
     /* 2304949 */ GIM_Try, /*On fail goto*//*Label 31656*/ GIMT_Encode4(2305069),
     /* 2304954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2304957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2304960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304972 */   GIM_Try, /*On fail goto*//*Label 31657*/ GIMT_Encode4(2305020), // Rule ID 54079 //
     /* 2304977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2304980 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2304983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2304997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305019 */     // GIR_Coverage, 54079,
     /* 2305019 */     GIR_EraseRootFromParent_Done,
     /* 2305020 */   // Label 31657: @2305020
     /* 2305020 */   GIM_Try, /*On fail goto*//*Label 31658*/ GIMT_Encode4(2305068), // Rule ID 54080 //
     /* 2305025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305028 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2305031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2305045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305067 */     // GIR_Coverage, 54080,
     /* 2305067 */     GIR_EraseRootFromParent_Done,
     /* 2305068 */   // Label 31658: @2305068
     /* 2305068 */   GIM_Reject,
     /* 2305069 */ // Label 31656: @2305069
     /* 2305069 */ GIM_Reject,
     /* 2305070 */ // Label 31599: @2305070
     /* 2305070 */ GIM_Try, /*On fail goto*//*Label 31659*/ GIMT_Encode4(2305190),
     /* 2305075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2305078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2305081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2305085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2305089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2305093 */   GIM_Try, /*On fail goto*//*Label 31660*/ GIMT_Encode4(2305141), // Rule ID 54043 //
     /* 2305098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2305101 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2305104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2305118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305140 */     // GIR_Coverage, 54043,
     /* 2305140 */     GIR_EraseRootFromParent_Done,
     /* 2305141 */   // Label 31660: @2305141
     /* 2305141 */   GIM_Try, /*On fail goto*//*Label 31661*/ GIMT_Encode4(2305189), // Rule ID 54044 //
     /* 2305146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2305149 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2305152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2305166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305188 */     // GIR_Coverage, 54044,
     /* 2305188 */     GIR_EraseRootFromParent_Done,
     /* 2305189 */   // Label 31661: @2305189
     /* 2305189 */   GIM_Reject,
     /* 2305190 */ // Label 31659: @2305190
     /* 2305190 */ GIM_Reject,
     /* 2305191 */ // Label 31600: @2305191
     /* 2305191 */ GIM_Reject,
     /* 2305192 */ // Label 62: @2305192
     /* 2305192 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31680*/ GIMT_Encode4(2307162),
     /* 2305203 */ /*GILLT_s16*//*Label 31662*/ GIMT_Encode4(2305323),
     /* 2305207 */ /*GILLT_s32*//*Label 31663*/ GIMT_Encode4(2305387),
     /* 2305211 */ /*GILLT_s64*//*Label 31664*/ GIMT_Encode4(2305451), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2305223 */ /*GILLT_nxv1s16*//*Label 31665*/ GIMT_Encode4(2305542),
     /* 2305227 */ /*GILLT_nxv1s32*//*Label 31666*/ GIMT_Encode4(2305650),
     /* 2305231 */ /*GILLT_nxv1s64*//*Label 31667*/ GIMT_Encode4(2305758), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2305243 */ /*GILLT_nxv2s16*//*Label 31668*/ GIMT_Encode4(2305866),
     /* 2305247 */ /*GILLT_nxv2s32*//*Label 31669*/ GIMT_Encode4(2305974),
     /* 2305251 */ /*GILLT_nxv2s64*//*Label 31670*/ GIMT_Encode4(2306082), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2305263 */ /*GILLT_nxv4s16*//*Label 31671*/ GIMT_Encode4(2306190),
     /* 2305267 */ /*GILLT_nxv4s32*//*Label 31672*/ GIMT_Encode4(2306298),
     /* 2305271 */ /*GILLT_nxv4s64*//*Label 31673*/ GIMT_Encode4(2306406), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2305283 */ /*GILLT_nxv8s16*//*Label 31674*/ GIMT_Encode4(2306514),
     /* 2305287 */ /*GILLT_nxv8s32*//*Label 31675*/ GIMT_Encode4(2306622),
     /* 2305291 */ /*GILLT_nxv8s64*//*Label 31676*/ GIMT_Encode4(2306730), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2305303 */ /*GILLT_nxv16s16*//*Label 31677*/ GIMT_Encode4(2306838),
     /* 2305307 */ /*GILLT_nxv16s32*//*Label 31678*/ GIMT_Encode4(2306946), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2305319 */ /*GILLT_nxv32s16*//*Label 31679*/ GIMT_Encode4(2307054),
     /* 2305323 */ // Label 31662: @2305323
     /* 2305323 */ GIM_Try, /*On fail goto*//*Label 31681*/ GIMT_Encode4(2305386),
     /* 2305328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305331 */   GIM_Try, /*On fail goto*//*Label 31682*/ GIMT_Encode4(2305358), // Rule ID 1851 //
     /* 2305336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2305339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305347 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2305347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2305350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305357 */     // GIR_Coverage, 1851,
     /* 2305357 */     GIR_EraseRootFromParent_Done,
     /* 2305358 */   // Label 31682: @2305358
     /* 2305358 */   GIM_Try, /*On fail goto*//*Label 31683*/ GIMT_Encode4(2305385), // Rule ID 1884 //
     /* 2305363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2305366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305374 */     // (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2305374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2305377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305384 */     // GIR_Coverage, 1884,
     /* 2305384 */     GIR_EraseRootFromParent_Done,
     /* 2305385 */   // Label 31683: @2305385
     /* 2305385 */   GIM_Reject,
     /* 2305386 */ // Label 31681: @2305386
     /* 2305386 */ GIM_Reject,
     /* 2305387 */ // Label 31663: @2305387
     /* 2305387 */ GIM_Try, /*On fail goto*//*Label 31684*/ GIMT_Encode4(2305450),
     /* 2305392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2305395 */   GIM_Try, /*On fail goto*//*Label 31685*/ GIMT_Encode4(2305422), // Rule ID 1142 //
     /* 2305400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2305403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305411 */     // (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2305411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2305414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305421 */     // GIR_Coverage, 1142,
     /* 2305421 */     GIR_EraseRootFromParent_Done,
     /* 2305422 */   // Label 31685: @2305422
     /* 2305422 */   GIM_Try, /*On fail goto*//*Label 31686*/ GIMT_Encode4(2305449), // Rule ID 1150 //
     /* 2305427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2305430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2305434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2305438 */     // (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2305438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2305441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305448 */     // GIR_Coverage, 1150,
     /* 2305448 */     GIR_EraseRootFromParent_Done,
     /* 2305449 */   // Label 31686: @2305449
     /* 2305449 */   GIM_Reject,
     /* 2305450 */ // Label 31684: @2305450
     /* 2305450 */ GIM_Reject,
     /* 2305451 */ // Label 31664: @2305451
     /* 2305451 */ GIM_Try, /*On fail goto*//*Label 31687*/ GIMT_Encode4(2305541),
     /* 2305456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2305459 */   GIM_Try, /*On fail goto*//*Label 31688*/ GIMT_Encode4(2305486), // Rule ID 1485 //
     /* 2305464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2305467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2305471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2305475 */     // (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2305475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2305478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305485 */     // GIR_Coverage, 1485,
     /* 2305485 */     GIR_EraseRootFromParent_Done,
     /* 2305486 */   // Label 31688: @2305486
     /* 2305486 */   GIM_Try, /*On fail goto*//*Label 31689*/ GIMT_Encode4(2305513), // Rule ID 1518 //
     /* 2305491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2305494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305502 */     // (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2305502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2305505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305512 */     // GIR_Coverage, 1518,
     /* 2305512 */     GIR_EraseRootFromParent_Done,
     /* 2305513 */   // Label 31689: @2305513
     /* 2305513 */   GIM_Try, /*On fail goto*//*Label 31690*/ GIMT_Encode4(2305540), // Rule ID 1540 //
     /* 2305518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2305521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2305525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2305529 */     // (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2305529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2305532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305539 */     // GIR_Coverage, 1540,
     /* 2305539 */     GIR_EraseRootFromParent_Done,
     /* 2305540 */   // Label 31690: @2305540
     /* 2305540 */   GIM_Reject,
     /* 2305541 */ // Label 31687: @2305541
     /* 2305541 */ GIM_Reject,
     /* 2305542 */ // Label 31665: @2305542
     /* 2305542 */ GIM_Try, /*On fail goto*//*Label 31691*/ GIMT_Encode4(2305649),
     /* 2305547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2305550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305558 */   GIM_Try, /*On fail goto*//*Label 31692*/ GIMT_Encode4(2305603), // Rule ID 55785 //
     /* 2305563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2305566 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2305569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2305583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2305590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2305592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305602 */     // GIR_Coverage, 55785,
     /* 2305602 */     GIR_EraseRootFromParent_Done,
     /* 2305603 */   // Label 31692: @2305603
     /* 2305603 */   GIM_Try, /*On fail goto*//*Label 31693*/ GIMT_Encode4(2305648), // Rule ID 55786 //
     /* 2305608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2305611 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2305614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2305628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2305635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2305637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305647 */     // GIR_Coverage, 55786,
     /* 2305647 */     GIR_EraseRootFromParent_Done,
     /* 2305648 */   // Label 31693: @2305648
     /* 2305648 */   GIM_Reject,
     /* 2305649 */ // Label 31691: @2305649
     /* 2305649 */ GIM_Reject,
     /* 2305650 */ // Label 31666: @2305650
     /* 2305650 */ GIM_Try, /*On fail goto*//*Label 31694*/ GIMT_Encode4(2305757),
     /* 2305655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2305658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305666 */   GIM_Try, /*On fail goto*//*Label 31695*/ GIMT_Encode4(2305711), // Rule ID 55825 //
     /* 2305671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305674 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2305677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2305691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2305698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2305700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305710 */     // GIR_Coverage, 55825,
     /* 2305710 */     GIR_EraseRootFromParent_Done,
     /* 2305711 */   // Label 31695: @2305711
     /* 2305711 */   GIM_Try, /*On fail goto*//*Label 31696*/ GIMT_Encode4(2305756), // Rule ID 55826 //
     /* 2305716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305719 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2305722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2305736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2305743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2305745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305755 */     // GIR_Coverage, 55826,
     /* 2305755 */     GIR_EraseRootFromParent_Done,
     /* 2305756 */   // Label 31696: @2305756
     /* 2305756 */   GIM_Reject,
     /* 2305757 */ // Label 31694: @2305757
     /* 2305757 */ GIM_Reject,
     /* 2305758 */ // Label 31667: @2305758
     /* 2305758 */ GIM_Try, /*On fail goto*//*Label 31697*/ GIMT_Encode4(2305865),
     /* 2305763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2305766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305774 */   GIM_Try, /*On fail goto*//*Label 31698*/ GIMT_Encode4(2305819), // Rule ID 55885 //
     /* 2305779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2305782 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2305785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2305799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2305806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2305808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305818 */     // GIR_Coverage, 55885,
     /* 2305818 */     GIR_EraseRootFromParent_Done,
     /* 2305819 */   // Label 31698: @2305819
     /* 2305819 */   GIM_Try, /*On fail goto*//*Label 31699*/ GIMT_Encode4(2305864), // Rule ID 55886 //
     /* 2305824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2305827 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2305830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2305844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2305851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2305853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305863 */     // GIR_Coverage, 55886,
     /* 2305863 */     GIR_EraseRootFromParent_Done,
     /* 2305864 */   // Label 31699: @2305864
     /* 2305864 */   GIM_Reject,
     /* 2305865 */ // Label 31697: @2305865
     /* 2305865 */ GIM_Reject,
     /* 2305866 */ // Label 31668: @2305866
     /* 2305866 */ GIM_Try, /*On fail goto*//*Label 31700*/ GIMT_Encode4(2305973),
     /* 2305871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2305874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305882 */   GIM_Try, /*On fail goto*//*Label 31701*/ GIMT_Encode4(2305927), // Rule ID 55805 //
     /* 2305887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2305890 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2305893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2305907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2305914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2305916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305926 */     // GIR_Coverage, 55805,
     /* 2305926 */     GIR_EraseRootFromParent_Done,
     /* 2305927 */   // Label 31701: @2305927
     /* 2305927 */   GIM_Try, /*On fail goto*//*Label 31702*/ GIMT_Encode4(2305972), // Rule ID 55806 //
     /* 2305932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2305935 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2305938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2305952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2305959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2305961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305971 */     // GIR_Coverage, 55806,
     /* 2305971 */     GIR_EraseRootFromParent_Done,
     /* 2305972 */   // Label 31702: @2305972
     /* 2305972 */   GIM_Reject,
     /* 2305973 */ // Label 31700: @2305973
     /* 2305973 */ GIM_Reject,
     /* 2305974 */ // Label 31669: @2305974
     /* 2305974 */ GIM_Try, /*On fail goto*//*Label 31703*/ GIMT_Encode4(2306081),
     /* 2305979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305990 */   GIM_Try, /*On fail goto*//*Label 31704*/ GIMT_Encode4(2306035), // Rule ID 55865 //
     /* 2305995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305998 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2306001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2306015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306034 */     // GIR_Coverage, 55865,
     /* 2306034 */     GIR_EraseRootFromParent_Done,
     /* 2306035 */   // Label 31704: @2306035
     /* 2306035 */   GIM_Try, /*On fail goto*//*Label 31705*/ GIMT_Encode4(2306080), // Rule ID 55866 //
     /* 2306040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2306043 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2306046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2306060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306079 */     // GIR_Coverage, 55866,
     /* 2306079 */     GIR_EraseRootFromParent_Done,
     /* 2306080 */   // Label 31705: @2306080
     /* 2306080 */   GIM_Reject,
     /* 2306081 */ // Label 31703: @2306081
     /* 2306081 */ GIM_Reject,
     /* 2306082 */ // Label 31670: @2306082
     /* 2306082 */ GIM_Try, /*On fail goto*//*Label 31706*/ GIMT_Encode4(2306189),
     /* 2306087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2306090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306098 */   GIM_Try, /*On fail goto*//*Label 31707*/ GIMT_Encode4(2306143), // Rule ID 56025 //
     /* 2306103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306106 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2306109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2306123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306142 */     // GIR_Coverage, 56025,
     /* 2306142 */     GIR_EraseRootFromParent_Done,
     /* 2306143 */   // Label 31707: @2306143
     /* 2306143 */   GIM_Try, /*On fail goto*//*Label 31708*/ GIMT_Encode4(2306188), // Rule ID 56026 //
     /* 2306148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306151 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2306154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2306168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306187 */     // GIR_Coverage, 56026,
     /* 2306187 */     GIR_EraseRootFromParent_Done,
     /* 2306188 */   // Label 31708: @2306188
     /* 2306188 */   GIM_Reject,
     /* 2306189 */ // Label 31706: @2306189
     /* 2306189 */ GIM_Reject,
     /* 2306190 */ // Label 31671: @2306190
     /* 2306190 */ GIM_Try, /*On fail goto*//*Label 31709*/ GIMT_Encode4(2306297),
     /* 2306195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2306198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306206 */   GIM_Try, /*On fail goto*//*Label 31710*/ GIMT_Encode4(2306251), // Rule ID 55845 //
     /* 2306211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306214 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2306217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2306231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306250 */     // GIR_Coverage, 55845,
     /* 2306250 */     GIR_EraseRootFromParent_Done,
     /* 2306251 */   // Label 31710: @2306251
     /* 2306251 */   GIM_Try, /*On fail goto*//*Label 31711*/ GIMT_Encode4(2306296), // Rule ID 55846 //
     /* 2306256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306259 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2306262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2306276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306295 */     // GIR_Coverage, 55846,
     /* 2306295 */     GIR_EraseRootFromParent_Done,
     /* 2306296 */   // Label 31711: @2306296
     /* 2306296 */   GIM_Reject,
     /* 2306297 */ // Label 31709: @2306297
     /* 2306297 */ GIM_Reject,
     /* 2306298 */ // Label 31672: @2306298
     /* 2306298 */ GIM_Try, /*On fail goto*//*Label 31712*/ GIMT_Encode4(2306405),
     /* 2306303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2306306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306314 */   GIM_Try, /*On fail goto*//*Label 31713*/ GIMT_Encode4(2306359), // Rule ID 55965 //
     /* 2306319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2306322 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2306325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2306339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306358 */     // GIR_Coverage, 55965,
     /* 2306358 */     GIR_EraseRootFromParent_Done,
     /* 2306359 */   // Label 31713: @2306359
     /* 2306359 */   GIM_Try, /*On fail goto*//*Label 31714*/ GIMT_Encode4(2306404), // Rule ID 55966 //
     /* 2306364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2306367 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2306370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2306384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306403 */     // GIR_Coverage, 55966,
     /* 2306403 */     GIR_EraseRootFromParent_Done,
     /* 2306404 */   // Label 31714: @2306404
     /* 2306404 */   GIM_Reject,
     /* 2306405 */ // Label 31712: @2306405
     /* 2306405 */ GIM_Reject,
     /* 2306406 */ // Label 31673: @2306406
     /* 2306406 */ GIM_Try, /*On fail goto*//*Label 31715*/ GIMT_Encode4(2306513),
     /* 2306411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2306414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306422 */   GIM_Try, /*On fail goto*//*Label 31716*/ GIMT_Encode4(2306467), // Rule ID 56045 //
     /* 2306427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306430 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2306433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2306447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306466 */     // GIR_Coverage, 56045,
     /* 2306466 */     GIR_EraseRootFromParent_Done,
     /* 2306467 */   // Label 31716: @2306467
     /* 2306467 */   GIM_Try, /*On fail goto*//*Label 31717*/ GIMT_Encode4(2306512), // Rule ID 56046 //
     /* 2306472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306475 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2306478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2306492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306511 */     // GIR_Coverage, 56046,
     /* 2306511 */     GIR_EraseRootFromParent_Done,
     /* 2306512 */   // Label 31717: @2306512
     /* 2306512 */   GIM_Reject,
     /* 2306513 */ // Label 31715: @2306513
     /* 2306513 */ GIM_Reject,
     /* 2306514 */ // Label 31674: @2306514
     /* 2306514 */ GIM_Try, /*On fail goto*//*Label 31718*/ GIMT_Encode4(2306621),
     /* 2306519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2306522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306526 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306530 */   GIM_Try, /*On fail goto*//*Label 31719*/ GIMT_Encode4(2306575), // Rule ID 55905 //
     /* 2306535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306538 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2306541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2306555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306574 */     // GIR_Coverage, 55905,
     /* 2306574 */     GIR_EraseRootFromParent_Done,
     /* 2306575 */   // Label 31719: @2306575
     /* 2306575 */   GIM_Try, /*On fail goto*//*Label 31720*/ GIMT_Encode4(2306620), // Rule ID 55906 //
     /* 2306580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306583 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2306586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2306600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306619 */     // GIR_Coverage, 55906,
     /* 2306619 */     GIR_EraseRootFromParent_Done,
     /* 2306620 */   // Label 31720: @2306620
     /* 2306620 */   GIM_Reject,
     /* 2306621 */ // Label 31718: @2306621
     /* 2306621 */ GIM_Reject,
     /* 2306622 */ // Label 31675: @2306622
     /* 2306622 */ GIM_Try, /*On fail goto*//*Label 31721*/ GIMT_Encode4(2306729),
     /* 2306627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2306630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306638 */   GIM_Try, /*On fail goto*//*Label 31722*/ GIMT_Encode4(2306683), // Rule ID 55985 //
     /* 2306643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2306646 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2306649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2306663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306665 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306682 */     // GIR_Coverage, 55985,
     /* 2306682 */     GIR_EraseRootFromParent_Done,
     /* 2306683 */   // Label 31722: @2306683
     /* 2306683 */   GIM_Try, /*On fail goto*//*Label 31723*/ GIMT_Encode4(2306728), // Rule ID 55986 //
     /* 2306688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2306691 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2306694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2306708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306727 */     // GIR_Coverage, 55986,
     /* 2306727 */     GIR_EraseRootFromParent_Done,
     /* 2306728 */   // Label 31723: @2306728
     /* 2306728 */   GIM_Reject,
     /* 2306729 */ // Label 31721: @2306729
     /* 2306729 */ GIM_Reject,
     /* 2306730 */ // Label 31676: @2306730
     /* 2306730 */ GIM_Try, /*On fail goto*//*Label 31724*/ GIMT_Encode4(2306837),
     /* 2306735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2306738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306746 */   GIM_Try, /*On fail goto*//*Label 31725*/ GIMT_Encode4(2306791), // Rule ID 56065 //
     /* 2306751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2306754 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2306757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2306771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306790 */     // GIR_Coverage, 56065,
     /* 2306790 */     GIR_EraseRootFromParent_Done,
     /* 2306791 */   // Label 31725: @2306791
     /* 2306791 */   GIM_Try, /*On fail goto*//*Label 31726*/ GIMT_Encode4(2306836), // Rule ID 56066 //
     /* 2306796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306799 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2306802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2306816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306835 */     // GIR_Coverage, 56066,
     /* 2306835 */     GIR_EraseRootFromParent_Done,
     /* 2306836 */   // Label 31726: @2306836
     /* 2306836 */   GIM_Reject,
     /* 2306837 */ // Label 31724: @2306837
     /* 2306837 */ GIM_Reject,
     /* 2306838 */ // Label 31677: @2306838
     /* 2306838 */ GIM_Try, /*On fail goto*//*Label 31727*/ GIMT_Encode4(2306945),
     /* 2306843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2306846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306854 */   GIM_Try, /*On fail goto*//*Label 31728*/ GIMT_Encode4(2306899), // Rule ID 55925 //
     /* 2306859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306862 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2306865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2306879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306898 */     // GIR_Coverage, 55925,
     /* 2306898 */     GIR_EraseRootFromParent_Done,
     /* 2306899 */   // Label 31728: @2306899
     /* 2306899 */   GIM_Try, /*On fail goto*//*Label 31729*/ GIMT_Encode4(2306944), // Rule ID 55926 //
     /* 2306904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306907 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2306910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2306924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306943 */     // GIR_Coverage, 55926,
     /* 2306943 */     GIR_EraseRootFromParent_Done,
     /* 2306944 */   // Label 31729: @2306944
     /* 2306944 */   GIM_Reject,
     /* 2306945 */ // Label 31727: @2306945
     /* 2306945 */ GIM_Reject,
     /* 2306946 */ // Label 31678: @2306946
     /* 2306946 */ GIM_Try, /*On fail goto*//*Label 31730*/ GIMT_Encode4(2307053),
     /* 2306951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2306954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306962 */   GIM_Try, /*On fail goto*//*Label 31731*/ GIMT_Encode4(2307007), // Rule ID 56005 //
     /* 2306967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2306970 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2306973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2306987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2306996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307006 */     // GIR_Coverage, 56005,
     /* 2307006 */     GIR_EraseRootFromParent_Done,
     /* 2307007 */   // Label 31731: @2307007
     /* 2307007 */   GIM_Try, /*On fail goto*//*Label 31732*/ GIMT_Encode4(2307052), // Rule ID 56006 //
     /* 2307012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2307015 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2307018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2307032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307051 */     // GIR_Coverage, 56006,
     /* 2307051 */     GIR_EraseRootFromParent_Done,
     /* 2307052 */   // Label 31732: @2307052
     /* 2307052 */   GIM_Reject,
     /* 2307053 */ // Label 31730: @2307053
     /* 2307053 */ GIM_Reject,
     /* 2307054 */ // Label 31679: @2307054
     /* 2307054 */ GIM_Try, /*On fail goto*//*Label 31733*/ GIMT_Encode4(2307161),
     /* 2307059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2307062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2307070 */   GIM_Try, /*On fail goto*//*Label 31734*/ GIMT_Encode4(2307115), // Rule ID 55945 //
     /* 2307075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2307078 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2307081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2307095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307114 */     // GIR_Coverage, 55945,
     /* 2307114 */     GIR_EraseRootFromParent_Done,
     /* 2307115 */   // Label 31734: @2307115
     /* 2307115 */   GIM_Try, /*On fail goto*//*Label 31735*/ GIMT_Encode4(2307160), // Rule ID 55946 //
     /* 2307120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2307123 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2307126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2307140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2307149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307159 */     // GIR_Coverage, 55946,
     /* 2307159 */     GIR_EraseRootFromParent_Done,
     /* 2307160 */   // Label 31735: @2307160
     /* 2307160 */   GIM_Reject,
     /* 2307161 */ // Label 31733: @2307161
     /* 2307161 */ GIM_Reject,
     /* 2307162 */ // Label 31680: @2307162
     /* 2307162 */ GIM_Reject,
     /* 2307163 */ // Label 63: @2307163
     /* 2307163 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 31738*/ GIMT_Encode4(2307615),
     /* 2307174 */ /*GILLT_s32*//*Label 31736*/ GIMT_Encode4(2307182),
     /* 2307178 */ /*GILLT_s64*//*Label 31737*/ GIMT_Encode4(2307304),
     /* 2307182 */ // Label 31736: @2307182
     /* 2307182 */ GIM_Try, /*On fail goto*//*Label 31739*/ GIMT_Encode4(2307303),
     /* 2307187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307190 */   GIM_Try, /*On fail goto*//*Label 31740*/ GIMT_Encode4(2307218), // Rule ID 2025 //
     /* 2307195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2307198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307206 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2307206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2307209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2307216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307217 */     // GIR_Coverage, 2025,
     /* 2307217 */     GIR_EraseRootFromParent_Done,
     /* 2307218 */   // Label 31740: @2307218
     /* 2307218 */   GIM_Try, /*On fail goto*//*Label 31741*/ GIMT_Encode4(2307246), // Rule ID 2026 //
     /* 2307223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2307226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307234 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2307234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2307237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2307244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307245 */     // GIR_Coverage, 2026,
     /* 2307245 */     GIR_EraseRootFromParent_Done,
     /* 2307246 */   // Label 31741: @2307246
     /* 2307246 */   GIM_Try, /*On fail goto*//*Label 31742*/ GIMT_Encode4(2307274), // Rule ID 2041 //
     /* 2307251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2307254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307262 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2307262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2307265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2307272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307273 */     // GIR_Coverage, 2041,
     /* 2307273 */     GIR_EraseRootFromParent_Done,
     /* 2307274 */   // Label 31742: @2307274
     /* 2307274 */   GIM_Try, /*On fail goto*//*Label 31743*/ GIMT_Encode4(2307302), // Rule ID 2042 //
     /* 2307279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2307282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307290 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2307290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2307293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2307300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307301 */     // GIR_Coverage, 2042,
     /* 2307301 */     GIR_EraseRootFromParent_Done,
     /* 2307302 */   // Label 31743: @2307302
     /* 2307302 */   GIM_Reject,
     /* 2307303 */ // Label 31739: @2307303
     /* 2307303 */ GIM_Reject,
     /* 2307304 */ // Label 31737: @2307304
     /* 2307304 */ GIM_Try, /*On fail goto*//*Label 31744*/ GIMT_Encode4(2307335), // Rule ID 1427 //
     /* 2307309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2307312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2307319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307323 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2307323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2307326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307328 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2307333 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307334 */   // GIR_Coverage, 1427,
     /* 2307334 */   GIR_EraseRootFromParent_Done,
     /* 2307335 */ // Label 31744: @2307335
     /* 2307335 */ GIM_Try, /*On fail goto*//*Label 31745*/ GIMT_Encode4(2307366), // Rule ID 1428 //
     /* 2307340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2307343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2307350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307354 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2307354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2307357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307359 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2307364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307365 */   // GIR_Coverage, 1428,
     /* 2307365 */   GIR_EraseRootFromParent_Done,
     /* 2307366 */ // Label 31745: @2307366
     /* 2307366 */ GIM_Try, /*On fail goto*//*Label 31746*/ GIMT_Encode4(2307397), // Rule ID 1432 //
     /* 2307371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2307374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307385 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_INX:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2307385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2307388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307390 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2307395 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307396 */   // GIR_Coverage, 1432,
     /* 2307396 */   GIR_EraseRootFromParent_Done,
     /* 2307397 */ // Label 31746: @2307397
     /* 2307397 */ GIM_Try, /*On fail goto*//*Label 31747*/ GIMT_Encode4(2307428), // Rule ID 1439 //
     /* 2307402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2307405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2307412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307416 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2307416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2307419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307421 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2307426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307427 */   // GIR_Coverage, 1439,
     /* 2307427 */   GIR_EraseRootFromParent_Done,
     /* 2307428 */ // Label 31747: @2307428
     /* 2307428 */ GIM_Try, /*On fail goto*//*Label 31748*/ GIMT_Encode4(2307459), // Rule ID 1440 //
     /* 2307433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2307436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2307443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307447 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2307447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2307450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307452 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2307457 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307458 */   // GIR_Coverage, 1440,
     /* 2307458 */   GIR_EraseRootFromParent_Done,
     /* 2307459 */ // Label 31748: @2307459
     /* 2307459 */ GIM_Try, /*On fail goto*//*Label 31749*/ GIMT_Encode4(2307490), // Rule ID 2159 //
     /* 2307464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2307467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2307474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307478 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2307478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2307481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307483 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2307488 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307489 */   // GIR_Coverage, 2159,
     /* 2307489 */   GIR_EraseRootFromParent_Done,
     /* 2307490 */ // Label 31749: @2307490
     /* 2307490 */ GIM_Try, /*On fail goto*//*Label 31750*/ GIMT_Encode4(2307521), // Rule ID 2160 //
     /* 2307495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2307498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2307505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307509 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2307509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2307512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307514 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2307519 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307520 */   // GIR_Coverage, 2160,
     /* 2307520 */   GIR_EraseRootFromParent_Done,
     /* 2307521 */ // Label 31750: @2307521
     /* 2307521 */ GIM_Try, /*On fail goto*//*Label 31751*/ GIMT_Encode4(2307552), // Rule ID 2171 //
     /* 2307526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2307529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2307536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307540 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2307540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2307543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307545 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2307550 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307551 */   // GIR_Coverage, 2171,
     /* 2307551 */   GIR_EraseRootFromParent_Done,
     /* 2307552 */ // Label 31751: @2307552
     /* 2307552 */ GIM_Try, /*On fail goto*//*Label 31752*/ GIMT_Encode4(2307583), // Rule ID 2172 //
     /* 2307557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2307560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2307567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307571 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2307571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2307574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307576 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2307581 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307582 */   // GIR_Coverage, 2172,
     /* 2307582 */   GIR_EraseRootFromParent_Done,
     /* 2307583 */ // Label 31752: @2307583
     /* 2307583 */ GIM_Try, /*On fail goto*//*Label 31753*/ GIMT_Encode4(2307614), // Rule ID 2180 //
     /* 2307588 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2307591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307602 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_INX:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2307602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2307605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307607 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2307612 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307613 */   // GIR_Coverage, 2180,
     /* 2307613 */   GIR_EraseRootFromParent_Done,
     /* 2307614 */ // Label 31753: @2307614
     /* 2307614 */ GIM_Reject,
     /* 2307615 */ // Label 31738: @2307615
     /* 2307615 */ GIM_Reject,
     /* 2307616 */ // Label 64: @2307616
     /* 2307616 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(28), /*)*//*default:*//*Label 31765*/ GIMT_Encode4(2309151),
     /* 2307627 */ /*GILLT_s16*//*Label 31754*/ GIMT_Encode4(2307731),
     /* 2307631 */ /*GILLT_s32*//*Label 31755*/ GIMT_Encode4(2308011), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2307647 */ /*GILLT_nxv1s16*//*Label 31756*/ GIMT_Encode4(2308161),
     /* 2307651 */ /*GILLT_nxv1s32*//*Label 31757*/ GIMT_Encode4(2308271), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2307667 */ /*GILLT_nxv2s16*//*Label 31758*/ GIMT_Encode4(2308381),
     /* 2307671 */ /*GILLT_nxv2s32*//*Label 31759*/ GIMT_Encode4(2308491), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2307687 */ /*GILLT_nxv4s16*//*Label 31760*/ GIMT_Encode4(2308601),
     /* 2307691 */ /*GILLT_nxv4s32*//*Label 31761*/ GIMT_Encode4(2308711), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2307707 */ /*GILLT_nxv8s16*//*Label 31762*/ GIMT_Encode4(2308821),
     /* 2307711 */ /*GILLT_nxv8s32*//*Label 31763*/ GIMT_Encode4(2308931), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2307727 */ /*GILLT_nxv16s16*//*Label 31764*/ GIMT_Encode4(2309041),
     /* 2307731 */ // Label 31754: @2307731
     /* 2307731 */ GIM_Try, /*On fail goto*//*Label 31766*/ GIMT_Encode4(2307762), // Rule ID 2021 //
     /* 2307736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2307739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307750 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2307750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2307753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307755 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307760 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307761 */   // GIR_Coverage, 2021,
     /* 2307761 */   GIR_EraseRootFromParent_Done,
     /* 2307762 */ // Label 31766: @2307762
     /* 2307762 */ GIM_Try, /*On fail goto*//*Label 31767*/ GIMT_Encode4(2307793), // Rule ID 2022 //
     /* 2307767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2307770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307777 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2307781 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2307781 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2307784 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307786 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307791 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307792 */   // GIR_Coverage, 2022,
     /* 2307792 */   GIR_EraseRootFromParent_Done,
     /* 2307793 */ // Label 31767: @2307793
     /* 2307793 */ GIM_Try, /*On fail goto*//*Label 31768*/ GIMT_Encode4(2307824), // Rule ID 2037 //
     /* 2307798 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2307801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307812 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2307812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2307815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307817 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307822 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307823 */   // GIR_Coverage, 2037,
     /* 2307823 */   GIR_EraseRootFromParent_Done,
     /* 2307824 */ // Label 31768: @2307824
     /* 2307824 */ GIM_Try, /*On fail goto*//*Label 31769*/ GIMT_Encode4(2307855), // Rule ID 2038 //
     /* 2307829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2307832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307839 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2307843 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2307843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2307846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307848 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307853 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307854 */   // GIR_Coverage, 2038,
     /* 2307854 */   GIR_EraseRootFromParent_Done,
     /* 2307855 */ // Label 31769: @2307855
     /* 2307855 */ GIM_Try, /*On fail goto*//*Label 31770*/ GIMT_Encode4(2307886), // Rule ID 2155 //
     /* 2307860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2307863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2307866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2307874 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2307874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2307877 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307879 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307884 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307885 */   // GIR_Coverage, 2155,
     /* 2307885 */   GIR_EraseRootFromParent_Done,
     /* 2307886 */ // Label 31770: @2307886
     /* 2307886 */ GIM_Try, /*On fail goto*//*Label 31771*/ GIMT_Encode4(2307917), // Rule ID 2156 //
     /* 2307891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2307894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2307897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2307905 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2307905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2307908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307910 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307916 */   // GIR_Coverage, 2156,
     /* 2307916 */   GIR_EraseRootFromParent_Done,
     /* 2307917 */ // Label 31771: @2307917
     /* 2307917 */ GIM_Try, /*On fail goto*//*Label 31772*/ GIMT_Encode4(2307948), // Rule ID 2167 //
     /* 2307922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2307925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2307928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2307936 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2307936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2307939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307941 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307946 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307947 */   // GIR_Coverage, 2167,
     /* 2307947 */   GIR_EraseRootFromParent_Done,
     /* 2307948 */ // Label 31772: @2307948
     /* 2307948 */ GIM_Try, /*On fail goto*//*Label 31773*/ GIMT_Encode4(2307979), // Rule ID 2168 //
     /* 2307953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2307956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2307959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2307967 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2307967 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2307970 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307972 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307977 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307978 */   // GIR_Coverage, 2168,
     /* 2307978 */   GIR_EraseRootFromParent_Done,
     /* 2307979 */ // Label 31773: @2307979
     /* 2307979 */ GIM_Try, /*On fail goto*//*Label 31774*/ GIMT_Encode4(2308010), // Rule ID 2178 //
     /* 2307984 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2307987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2307990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307998 */   // (fpround:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_INX:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2307998 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2308001 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308003 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308008 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308009 */   // GIR_Coverage, 2178,
     /* 2308009 */   GIR_EraseRootFromParent_Done,
     /* 2308010 */ // Label 31774: @2308010
     /* 2308010 */ GIM_Reject,
     /* 2308011 */ // Label 31755: @2308011
     /* 2308011 */ GIM_Try, /*On fail goto*//*Label 31775*/ GIMT_Encode4(2308160),
     /* 2308016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2308019 */   GIM_Try, /*On fail goto*//*Label 31776*/ GIMT_Encode4(2308047), // Rule ID 1423 //
     /* 2308024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2308027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308035 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2308035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2308038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308046 */     // GIR_Coverage, 1423,
     /* 2308046 */     GIR_EraseRootFromParent_Done,
     /* 2308047 */   // Label 31776: @2308047
     /* 2308047 */   GIM_Try, /*On fail goto*//*Label 31777*/ GIMT_Encode4(2308075), // Rule ID 1424 //
     /* 2308052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2308055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2308063 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2308063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2308066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308074 */     // GIR_Coverage, 1424,
     /* 2308074 */     GIR_EraseRootFromParent_Done,
     /* 2308075 */   // Label 31777: @2308075
     /* 2308075 */   GIM_Try, /*On fail goto*//*Label 31778*/ GIMT_Encode4(2308103), // Rule ID 1430 //
     /* 2308080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2308083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308091 */     // (fpround:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_INX:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2308091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2308094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308102 */     // GIR_Coverage, 1430,
     /* 2308102 */     GIR_EraseRootFromParent_Done,
     /* 2308103 */   // Label 31778: @2308103
     /* 2308103 */   GIM_Try, /*On fail goto*//*Label 31779*/ GIMT_Encode4(2308131), // Rule ID 1435 //
     /* 2308108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2308111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308119 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2308119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2308122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308130 */     // GIR_Coverage, 1435,
     /* 2308130 */     GIR_EraseRootFromParent_Done,
     /* 2308131 */   // Label 31779: @2308131
     /* 2308131 */   GIM_Try, /*On fail goto*//*Label 31780*/ GIMT_Encode4(2308159), // Rule ID 1436 //
     /* 2308136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2308139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2308147 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2308147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2308150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308158 */     // GIR_Coverage, 1436,
     /* 2308158 */     GIR_EraseRootFromParent_Done,
     /* 2308159 */   // Label 31780: @2308159
     /* 2308159 */   GIM_Reject,
     /* 2308160 */ // Label 31775: @2308160
     /* 2308160 */ GIM_Reject,
     /* 2308161 */ // Label 31756: @2308161
     /* 2308161 */ GIM_Try, /*On fail goto*//*Label 31781*/ GIMT_Encode4(2308270),
     /* 2308166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2308169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308177 */   GIM_Try, /*On fail goto*//*Label 31782*/ GIMT_Encode4(2308223), // Rule ID 58253 //
     /* 2308182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2308185 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2308188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2308202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308222 */     // GIR_Coverage, 58253,
     /* 2308222 */     GIR_EraseRootFromParent_Done,
     /* 2308223 */   // Label 31782: @2308223
     /* 2308223 */   GIM_Try, /*On fail goto*//*Label 31783*/ GIMT_Encode4(2308269), // Rule ID 58254 //
     /* 2308228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2308231 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2308234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2308248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308268 */     // GIR_Coverage, 58254,
     /* 2308268 */     GIR_EraseRootFromParent_Done,
     /* 2308269 */   // Label 31783: @2308269
     /* 2308269 */   GIM_Reject,
     /* 2308270 */ // Label 31781: @2308270
     /* 2308270 */ GIM_Reject,
     /* 2308271 */ // Label 31757: @2308271
     /* 2308271 */ GIM_Try, /*On fail goto*//*Label 31784*/ GIMT_Encode4(2308380),
     /* 2308276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2308279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308287 */   GIM_Try, /*On fail goto*//*Label 31785*/ GIMT_Encode4(2308333), // Rule ID 58263 //
     /* 2308292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2308295 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2308298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2308312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308332 */     // GIR_Coverage, 58263,
     /* 2308332 */     GIR_EraseRootFromParent_Done,
     /* 2308333 */   // Label 31785: @2308333
     /* 2308333 */   GIM_Try, /*On fail goto*//*Label 31786*/ GIMT_Encode4(2308379), // Rule ID 58264 //
     /* 2308338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2308341 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2308344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2308358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308378 */     // GIR_Coverage, 58264,
     /* 2308378 */     GIR_EraseRootFromParent_Done,
     /* 2308379 */   // Label 31786: @2308379
     /* 2308379 */   GIM_Reject,
     /* 2308380 */ // Label 31784: @2308380
     /* 2308380 */ GIM_Reject,
     /* 2308381 */ // Label 31758: @2308381
     /* 2308381 */ GIM_Try, /*On fail goto*//*Label 31787*/ GIMT_Encode4(2308490),
     /* 2308386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2308389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308397 */   GIM_Try, /*On fail goto*//*Label 31788*/ GIMT_Encode4(2308443), // Rule ID 58255 //
     /* 2308402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2308405 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2308408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2308422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308442 */     // GIR_Coverage, 58255,
     /* 2308442 */     GIR_EraseRootFromParent_Done,
     /* 2308443 */   // Label 31788: @2308443
     /* 2308443 */   GIM_Try, /*On fail goto*//*Label 31789*/ GIMT_Encode4(2308489), // Rule ID 58256 //
     /* 2308448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2308451 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2308454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2308468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308488 */     // GIR_Coverage, 58256,
     /* 2308488 */     GIR_EraseRootFromParent_Done,
     /* 2308489 */   // Label 31789: @2308489
     /* 2308489 */   GIM_Reject,
     /* 2308490 */ // Label 31787: @2308490
     /* 2308490 */ GIM_Reject,
     /* 2308491 */ // Label 31759: @2308491
     /* 2308491 */ GIM_Try, /*On fail goto*//*Label 31790*/ GIMT_Encode4(2308600),
     /* 2308496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2308499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308507 */   GIM_Try, /*On fail goto*//*Label 31791*/ GIMT_Encode4(2308553), // Rule ID 58265 //
     /* 2308512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2308515 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2308518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2308532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308552 */     // GIR_Coverage, 58265,
     /* 2308552 */     GIR_EraseRootFromParent_Done,
     /* 2308553 */   // Label 31791: @2308553
     /* 2308553 */   GIM_Try, /*On fail goto*//*Label 31792*/ GIMT_Encode4(2308599), // Rule ID 58266 //
     /* 2308558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2308561 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2308564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2308578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308598 */     // GIR_Coverage, 58266,
     /* 2308598 */     GIR_EraseRootFromParent_Done,
     /* 2308599 */   // Label 31792: @2308599
     /* 2308599 */   GIM_Reject,
     /* 2308600 */ // Label 31790: @2308600
     /* 2308600 */ GIM_Reject,
     /* 2308601 */ // Label 31760: @2308601
     /* 2308601 */ GIM_Try, /*On fail goto*//*Label 31793*/ GIMT_Encode4(2308710),
     /* 2308606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2308609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308617 */   GIM_Try, /*On fail goto*//*Label 31794*/ GIMT_Encode4(2308663), // Rule ID 58257 //
     /* 2308622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2308625 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2308628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2308642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308662 */     // GIR_Coverage, 58257,
     /* 2308662 */     GIR_EraseRootFromParent_Done,
     /* 2308663 */   // Label 31794: @2308663
     /* 2308663 */   GIM_Try, /*On fail goto*//*Label 31795*/ GIMT_Encode4(2308709), // Rule ID 58258 //
     /* 2308668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2308671 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2308674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2308688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308708 */     // GIR_Coverage, 58258,
     /* 2308708 */     GIR_EraseRootFromParent_Done,
     /* 2308709 */   // Label 31795: @2308709
     /* 2308709 */   GIM_Reject,
     /* 2308710 */ // Label 31793: @2308710
     /* 2308710 */ GIM_Reject,
     /* 2308711 */ // Label 31761: @2308711
     /* 2308711 */ GIM_Try, /*On fail goto*//*Label 31796*/ GIMT_Encode4(2308820),
     /* 2308716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2308719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308727 */   GIM_Try, /*On fail goto*//*Label 31797*/ GIMT_Encode4(2308773), // Rule ID 58267 //
     /* 2308732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2308735 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2308738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2308752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308772 */     // GIR_Coverage, 58267,
     /* 2308772 */     GIR_EraseRootFromParent_Done,
     /* 2308773 */   // Label 31797: @2308773
     /* 2308773 */   GIM_Try, /*On fail goto*//*Label 31798*/ GIMT_Encode4(2308819), // Rule ID 58268 //
     /* 2308778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2308781 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2308784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2308798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308818 */     // GIR_Coverage, 58268,
     /* 2308818 */     GIR_EraseRootFromParent_Done,
     /* 2308819 */   // Label 31798: @2308819
     /* 2308819 */   GIM_Reject,
     /* 2308820 */ // Label 31796: @2308820
     /* 2308820 */ GIM_Reject,
     /* 2308821 */ // Label 31762: @2308821
     /* 2308821 */ GIM_Try, /*On fail goto*//*Label 31799*/ GIMT_Encode4(2308930),
     /* 2308826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2308829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308833 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308837 */   GIM_Try, /*On fail goto*//*Label 31800*/ GIMT_Encode4(2308883), // Rule ID 58259 //
     /* 2308842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2308845 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2308848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2308862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308882 */     // GIR_Coverage, 58259,
     /* 2308882 */     GIR_EraseRootFromParent_Done,
     /* 2308883 */   // Label 31800: @2308883
     /* 2308883 */   GIM_Try, /*On fail goto*//*Label 31801*/ GIMT_Encode4(2308929), // Rule ID 58260 //
     /* 2308888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2308891 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2308894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2308908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308928 */     // GIR_Coverage, 58260,
     /* 2308928 */     GIR_EraseRootFromParent_Done,
     /* 2308929 */   // Label 31801: @2308929
     /* 2308929 */   GIM_Reject,
     /* 2308930 */ // Label 31799: @2308930
     /* 2308930 */ GIM_Reject,
     /* 2308931 */ // Label 31763: @2308931
     /* 2308931 */ GIM_Try, /*On fail goto*//*Label 31802*/ GIMT_Encode4(2309040),
     /* 2308936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2308939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308947 */   GIM_Try, /*On fail goto*//*Label 31803*/ GIMT_Encode4(2308993), // Rule ID 58269 //
     /* 2308952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2308955 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2308958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2308972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308992 */     // GIR_Coverage, 58269,
     /* 2308992 */     GIR_EraseRootFromParent_Done,
     /* 2308993 */   // Label 31803: @2308993
     /* 2308993 */   GIM_Try, /*On fail goto*//*Label 31804*/ GIMT_Encode4(2309039), // Rule ID 58270 //
     /* 2308998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2309001 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2309004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2309018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309038 */     // GIR_Coverage, 58270,
     /* 2309038 */     GIR_EraseRootFromParent_Done,
     /* 2309039 */   // Label 31804: @2309039
     /* 2309039 */   GIM_Reject,
     /* 2309040 */ // Label 31802: @2309040
     /* 2309040 */ GIM_Reject,
     /* 2309041 */ // Label 31764: @2309041
     /* 2309041 */ GIM_Try, /*On fail goto*//*Label 31805*/ GIMT_Encode4(2309150),
     /* 2309046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2309049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2309057 */   GIM_Try, /*On fail goto*//*Label 31806*/ GIMT_Encode4(2309103), // Rule ID 58261 //
     /* 2309062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2309065 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2309068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2309082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309102 */     // GIR_Coverage, 58261,
     /* 2309102 */     GIR_EraseRootFromParent_Done,
     /* 2309103 */   // Label 31806: @2309103
     /* 2309103 */   GIM_Try, /*On fail goto*//*Label 31807*/ GIMT_Encode4(2309149), // Rule ID 58262 //
     /* 2309108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2309111 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2309114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2309128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309148 */     // GIR_Coverage, 58262,
     /* 2309148 */     GIR_EraseRootFromParent_Done,
     /* 2309149 */   // Label 31807: @2309149
     /* 2309149 */   GIM_Reject,
     /* 2309150 */ // Label 31805: @2309150
     /* 2309150 */ GIM_Reject,
     /* 2309151 */ // Label 31765: @2309151
     /* 2309151 */ GIM_Reject,
     /* 2309152 */ // Label 65: @2309152
     /* 2309152 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 31831*/ GIMT_Encode4(2314037),
     /* 2309163 */ /*GILLT_s32*//*Label 31808*/ GIMT_Encode4(2309279),
     /* 2309167 */ /*GILLT_s64*//*Label 31809*/ GIMT_Encode4(2309652), GIMT_Encode4(0),
     /* 2309175 */ /*GILLT_nxv1s8*//*Label 31810*/ GIMT_Encode4(2309839),
     /* 2309179 */ /*GILLT_nxv1s16*//*Label 31811*/ GIMT_Encode4(2309943),
     /* 2309183 */ /*GILLT_nxv1s32*//*Label 31812*/ GIMT_Encode4(2310160),
     /* 2309187 */ /*GILLT_nxv1s64*//*Label 31813*/ GIMT_Encode4(2310485), GIMT_Encode4(0),
     /* 2309195 */ /*GILLT_nxv2s8*//*Label 31814*/ GIMT_Encode4(2310702),
     /* 2309199 */ /*GILLT_nxv2s16*//*Label 31815*/ GIMT_Encode4(2310806),
     /* 2309203 */ /*GILLT_nxv2s32*//*Label 31816*/ GIMT_Encode4(2311023),
     /* 2309207 */ /*GILLT_nxv2s64*//*Label 31817*/ GIMT_Encode4(2311348), GIMT_Encode4(0),
     /* 2309215 */ /*GILLT_nxv4s8*//*Label 31818*/ GIMT_Encode4(2311565),
     /* 2309219 */ /*GILLT_nxv4s16*//*Label 31819*/ GIMT_Encode4(2311669),
     /* 2309223 */ /*GILLT_nxv4s32*//*Label 31820*/ GIMT_Encode4(2311886),
     /* 2309227 */ /*GILLT_nxv4s64*//*Label 31821*/ GIMT_Encode4(2312211), GIMT_Encode4(0),
     /* 2309235 */ /*GILLT_nxv8s8*//*Label 31822*/ GIMT_Encode4(2312428),
     /* 2309239 */ /*GILLT_nxv8s16*//*Label 31823*/ GIMT_Encode4(2312532),
     /* 2309243 */ /*GILLT_nxv8s32*//*Label 31824*/ GIMT_Encode4(2312749),
     /* 2309247 */ /*GILLT_nxv8s64*//*Label 31825*/ GIMT_Encode4(2313074), GIMT_Encode4(0),
     /* 2309255 */ /*GILLT_nxv16s8*//*Label 31826*/ GIMT_Encode4(2313291),
     /* 2309259 */ /*GILLT_nxv16s16*//*Label 31827*/ GIMT_Encode4(2313395),
     /* 2309263 */ /*GILLT_nxv16s32*//*Label 31828*/ GIMT_Encode4(2313612), GIMT_Encode4(0),
     /* 2309271 */ /*GILLT_nxv32s8*//*Label 31829*/ GIMT_Encode4(2313829),
     /* 2309275 */ /*GILLT_nxv32s16*//*Label 31830*/ GIMT_Encode4(2313933),
     /* 2309279 */ // Label 31808: @2309279
     /* 2309279 */ GIM_Try, /*On fail goto*//*Label 31832*/ GIMT_Encode4(2309310), // Rule ID 1315 //
     /* 2309284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2309287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309298 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2309298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2309301 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309303 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309308 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309309 */   // GIR_Coverage, 1315,
     /* 2309309 */   GIR_EraseRootFromParent_Done,
     /* 2309310 */ // Label 31832: @2309310
     /* 2309310 */ GIM_Try, /*On fail goto*//*Label 31833*/ GIMT_Encode4(2309341), // Rule ID 1316 //
     /* 2309315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2309318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309329 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2309329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2309332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309334 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309339 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309340 */   // GIR_Coverage, 1316,
     /* 2309340 */   GIR_EraseRootFromParent_Done,
     /* 2309341 */ // Label 31833: @2309341
     /* 2309341 */ GIM_Try, /*On fail goto*//*Label 31834*/ GIMT_Encode4(2309372), // Rule ID 1341 //
     /* 2309346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2309349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309360 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2309360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2309363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309365 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309370 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309371 */   // GIR_Coverage, 1341,
     /* 2309371 */   GIR_EraseRootFromParent_Done,
     /* 2309372 */ // Label 31834: @2309372
     /* 2309372 */ GIM_Try, /*On fail goto*//*Label 31835*/ GIMT_Encode4(2309403), // Rule ID 1342 //
     /* 2309377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2309380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309391 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2309391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2309394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309396 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309401 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309402 */   // GIR_Coverage, 1342,
     /* 2309402 */   GIR_EraseRootFromParent_Done,
     /* 2309403 */ // Label 31835: @2309403
     /* 2309403 */ GIM_Try, /*On fail goto*//*Label 31836*/ GIMT_Encode4(2309434), // Rule ID 1709 //
     /* 2309408 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2309411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309422 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2309422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2309425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309427 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309433 */   // GIR_Coverage, 1709,
     /* 2309433 */   GIR_EraseRootFromParent_Done,
     /* 2309434 */ // Label 31836: @2309434
     /* 2309434 */ GIM_Try, /*On fail goto*//*Label 31837*/ GIMT_Encode4(2309465), // Rule ID 1710 //
     /* 2309439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2309442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309453 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2309453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2309456 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309458 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309463 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309464 */   // GIR_Coverage, 1710,
     /* 2309464 */   GIR_EraseRootFromParent_Done,
     /* 2309465 */ // Label 31837: @2309465
     /* 2309465 */ GIM_Try, /*On fail goto*//*Label 31838*/ GIMT_Encode4(2309496), // Rule ID 1735 //
     /* 2309470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2309473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309484 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2309484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2309487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309489 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309495 */   // GIR_Coverage, 1735,
     /* 2309495 */   GIR_EraseRootFromParent_Done,
     /* 2309496 */ // Label 31838: @2309496
     /* 2309496 */ GIM_Try, /*On fail goto*//*Label 31839*/ GIMT_Encode4(2309527), // Rule ID 1736 //
     /* 2309501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2309504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309515 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2309515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2309518 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309520 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309525 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309526 */   // GIR_Coverage, 1736,
     /* 2309526 */   GIR_EraseRootFromParent_Done,
     /* 2309527 */ // Label 31839: @2309527
     /* 2309527 */ GIM_Try, /*On fail goto*//*Label 31840*/ GIMT_Encode4(2309558), // Rule ID 2051 //
     /* 2309532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2309535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309546 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2309546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2309549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309551 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309556 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309557 */   // GIR_Coverage, 2051,
     /* 2309557 */   GIR_EraseRootFromParent_Done,
     /* 2309558 */ // Label 31840: @2309558
     /* 2309558 */ GIM_Try, /*On fail goto*//*Label 31841*/ GIMT_Encode4(2309589), // Rule ID 2052 //
     /* 2309563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2309566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309577 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2309577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2309580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309582 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309587 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309588 */   // GIR_Coverage, 2052,
     /* 2309588 */   GIR_EraseRootFromParent_Done,
     /* 2309589 */ // Label 31841: @2309589
     /* 2309589 */ GIM_Try, /*On fail goto*//*Label 31842*/ GIMT_Encode4(2309620), // Rule ID 2077 //
     /* 2309594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2309597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309608 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2309608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2309611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309613 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309618 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309619 */   // GIR_Coverage, 2077,
     /* 2309619 */   GIR_EraseRootFromParent_Done,
     /* 2309620 */ // Label 31842: @2309620
     /* 2309620 */ GIM_Try, /*On fail goto*//*Label 31843*/ GIMT_Encode4(2309651), // Rule ID 2078 //
     /* 2309625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2309628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309639 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2309639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2309642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309644 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309650 */   // GIR_Coverage, 2078,
     /* 2309650 */   GIR_EraseRootFromParent_Done,
     /* 2309651 */ // Label 31843: @2309651
     /* 2309651 */ GIM_Reject,
     /* 2309652 */ // Label 31809: @2309652
     /* 2309652 */ GIM_Try, /*On fail goto*//*Label 31844*/ GIMT_Encode4(2309683), // Rule ID 1372 //
     /* 2309657 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2309660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309667 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309671 */   // (fp_to_sint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2309671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2309674 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309676 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309681 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309682 */   // GIR_Coverage, 1372,
     /* 2309682 */   GIR_EraseRootFromParent_Done,
     /* 2309683 */ // Label 31844: @2309683
     /* 2309683 */ GIM_Try, /*On fail goto*//*Label 31845*/ GIMT_Encode4(2309714), // Rule ID 1400 //
     /* 2309688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2309691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309698 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309702 */   // (fp_to_sint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2309702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2309705 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309707 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309712 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309713 */   // GIR_Coverage, 1400,
     /* 2309713 */   GIR_EraseRootFromParent_Done,
     /* 2309714 */ // Label 31845: @2309714
     /* 2309714 */ GIM_Try, /*On fail goto*//*Label 31846*/ GIMT_Encode4(2309745), // Rule ID 1772 //
     /* 2309719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2309722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309729 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309733 */   // (fp_to_sint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2309733 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2309736 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309738 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309743 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309744 */   // GIR_Coverage, 1772,
     /* 2309744 */   GIR_EraseRootFromParent_Done,
     /* 2309745 */ // Label 31846: @2309745
     /* 2309745 */ GIM_Try, /*On fail goto*//*Label 31847*/ GIMT_Encode4(2309776), // Rule ID 1800 //
     /* 2309750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2309753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309764 */   // (fp_to_sint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2309764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2309767 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309769 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309774 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309775 */   // GIR_Coverage, 1800,
     /* 2309775 */   GIR_EraseRootFromParent_Done,
     /* 2309776 */ // Label 31847: @2309776
     /* 2309776 */ GIM_Try, /*On fail goto*//*Label 31848*/ GIMT_Encode4(2309807), // Rule ID 2106 //
     /* 2309781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2309784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309795 */   // (fp_to_sint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2309795 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2309798 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309800 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309805 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309806 */   // GIR_Coverage, 2106,
     /* 2309806 */   GIR_EraseRootFromParent_Done,
     /* 2309807 */ // Label 31848: @2309807
     /* 2309807 */ GIM_Try, /*On fail goto*//*Label 31849*/ GIMT_Encode4(2309838), // Rule ID 2132 //
     /* 2309812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2309815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309822 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309826 */   // (fp_to_sint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2309826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2309829 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309831 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309836 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309837 */   // GIR_Coverage, 2132,
     /* 2309837 */   GIR_EraseRootFromParent_Done,
     /* 2309838 */ // Label 31849: @2309838
     /* 2309838 */ GIM_Reject,
     /* 2309839 */ // Label 31810: @2309839
     /* 2309839 */ GIM_Try, /*On fail goto*//*Label 31850*/ GIMT_Encode4(2309942),
     /* 2309844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2309847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309855 */   GIM_Try, /*On fail goto*//*Label 31851*/ GIMT_Encode4(2309898), // Rule ID 45547 //
     /* 2309860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2309863 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2309866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2309880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309897 */     // GIR_Coverage, 45547,
     /* 2309897 */     GIR_EraseRootFromParent_Done,
     /* 2309898 */   // Label 31851: @2309898
     /* 2309898 */   GIM_Try, /*On fail goto*//*Label 31852*/ GIMT_Encode4(2309941), // Rule ID 45548 //
     /* 2309903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2309906 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2309909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2309923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309940 */     // GIR_Coverage, 45548,
     /* 2309940 */     GIR_EraseRootFromParent_Done,
     /* 2309941 */   // Label 31852: @2309941
     /* 2309941 */   GIM_Reject,
     /* 2309942 */ // Label 31850: @2309942
     /* 2309942 */ GIM_Reject,
     /* 2309943 */ // Label 31811: @2309943
     /* 2309943 */ GIM_Try, /*On fail goto*//*Label 31853*/ GIMT_Encode4(2309997), // Rule ID 45531 //
     /* 2309948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2309951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2309954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309962 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309962 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2309965 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309969 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309974 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309976 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2309979 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309981 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309984 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309995 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309996 */   // GIR_Coverage, 45531,
     /* 2309996 */   GIR_EraseRootFromParent_Done,
     /* 2309997 */ // Label 31853: @2309997
     /* 2309997 */ GIM_Try, /*On fail goto*//*Label 31854*/ GIMT_Encode4(2310051), // Rule ID 45532 //
     /* 2310002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2310005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2310008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310016 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310016 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2310019 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310023 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310028 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2310033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310035 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310038 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310049 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310050 */   // GIR_Coverage, 45532,
     /* 2310050 */   GIR_EraseRootFromParent_Done,
     /* 2310051 */ // Label 31854: @2310051
     /* 2310051 */ GIM_Try, /*On fail goto*//*Label 31855*/ GIMT_Encode4(2310105), // Rule ID 58091 //
     /* 2310056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2310059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310070 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310070 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2310073 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310077 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310082 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2310087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310089 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310092 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310104 */   // GIR_Coverage, 58091,
     /* 2310104 */   GIR_EraseRootFromParent_Done,
     /* 2310105 */ // Label 31855: @2310105
     /* 2310105 */ GIM_Try, /*On fail goto*//*Label 31856*/ GIMT_Encode4(2310159), // Rule ID 58092 //
     /* 2310110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2310113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310124 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310124 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2310127 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310131 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310136 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2310141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310143 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310146 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310157 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310158 */   // GIR_Coverage, 58092,
     /* 2310158 */   GIR_EraseRootFromParent_Done,
     /* 2310159 */ // Label 31856: @2310159
     /* 2310159 */ GIM_Reject,
     /* 2310160 */ // Label 31812: @2310160
     /* 2310160 */ GIM_Try, /*On fail goto*//*Label 31857*/ GIMT_Encode4(2310214), // Rule ID 45539 //
     /* 2310165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2310168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2310171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310179 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310179 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2310182 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310186 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310191 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2310196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310198 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310201 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310212 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310213 */   // GIR_Coverage, 45539,
     /* 2310213 */   GIR_EraseRootFromParent_Done,
     /* 2310214 */ // Label 31857: @2310214
     /* 2310214 */ GIM_Try, /*On fail goto*//*Label 31858*/ GIMT_Encode4(2310268), // Rule ID 45540 //
     /* 2310219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2310222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2310225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310229 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310233 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310233 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2310236 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310240 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310245 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2310250 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310252 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310255 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310266 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310267 */   // GIR_Coverage, 45540,
     /* 2310267 */   GIR_EraseRootFromParent_Done,
     /* 2310268 */ // Label 31858: @2310268
     /* 2310268 */ GIM_Try, /*On fail goto*//*Label 31859*/ GIMT_Encode4(2310322), // Rule ID 57659 //
     /* 2310273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2310276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310287 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310287 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2310290 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310294 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310299 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2310304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310306 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310309 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310321 */   // GIR_Coverage, 57659,
     /* 2310321 */   GIR_EraseRootFromParent_Done,
     /* 2310322 */ // Label 31859: @2310322
     /* 2310322 */ GIM_Try, /*On fail goto*//*Label 31860*/ GIMT_Encode4(2310376), // Rule ID 57660 //
     /* 2310327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2310330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310341 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310341 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2310344 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310348 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310353 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2310358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310360 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310363 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310374 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310375 */   // GIR_Coverage, 57660,
     /* 2310375 */   GIR_EraseRootFromParent_Done,
     /* 2310376 */ // Label 31860: @2310376
     /* 2310376 */ GIM_Try, /*On fail goto*//*Label 31861*/ GIMT_Encode4(2310430), // Rule ID 58111 //
     /* 2310381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2310384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2310387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310395 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310395 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2310398 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310402 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310407 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2310412 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310414 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310417 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310428 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310429 */   // GIR_Coverage, 58111,
     /* 2310429 */   GIR_EraseRootFromParent_Done,
     /* 2310430 */ // Label 31861: @2310430
     /* 2310430 */ GIM_Try, /*On fail goto*//*Label 31862*/ GIMT_Encode4(2310484), // Rule ID 58112 //
     /* 2310435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2310438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2310441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310449 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310449 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2310452 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310456 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310461 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2310466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310468 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310471 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310482 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310483 */   // GIR_Coverage, 58112,
     /* 2310483 */   GIR_EraseRootFromParent_Done,
     /* 2310484 */ // Label 31862: @2310484
     /* 2310484 */ GIM_Reject,
     /* 2310485 */ // Label 31813: @2310485
     /* 2310485 */ GIM_Try, /*On fail goto*//*Label 31863*/ GIMT_Encode4(2310539), // Rule ID 57671 //
     /* 2310490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2310493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2310496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310504 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310504 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2310507 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310511 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310516 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2310521 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310523 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310526 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310537 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310538 */   // GIR_Coverage, 57671,
     /* 2310538 */   GIR_EraseRootFromParent_Done,
     /* 2310539 */ // Label 31863: @2310539
     /* 2310539 */ GIM_Try, /*On fail goto*//*Label 31864*/ GIMT_Encode4(2310593), // Rule ID 57672 //
     /* 2310544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2310547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2310550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310558 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310558 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2310561 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310565 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310570 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2310575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310577 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310580 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310591 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310592 */   // GIR_Coverage, 57672,
     /* 2310592 */   GIR_EraseRootFromParent_Done,
     /* 2310593 */ // Label 31864: @2310593
     /* 2310593 */ GIM_Try, /*On fail goto*//*Label 31865*/ GIMT_Encode4(2310647), // Rule ID 57903 //
     /* 2310598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2310601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310612 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310612 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2310615 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310619 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310624 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2310629 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310631 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310634 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310645 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310646 */   // GIR_Coverage, 57903,
     /* 2310646 */   GIR_EraseRootFromParent_Done,
     /* 2310647 */ // Label 31865: @2310647
     /* 2310647 */ GIM_Try, /*On fail goto*//*Label 31866*/ GIMT_Encode4(2310701), // Rule ID 57904 //
     /* 2310652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2310655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310666 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310666 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2310669 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310673 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310678 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2310683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310685 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310688 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310699 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310700 */   // GIR_Coverage, 57904,
     /* 2310700 */   GIR_EraseRootFromParent_Done,
     /* 2310701 */ // Label 31866: @2310701
     /* 2310701 */ GIM_Reject,
     /* 2310702 */ // Label 31814: @2310702
     /* 2310702 */ GIM_Try, /*On fail goto*//*Label 31867*/ GIMT_Encode4(2310805),
     /* 2310707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2310710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310714 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310718 */   GIM_Try, /*On fail goto*//*Label 31868*/ GIMT_Encode4(2310761), // Rule ID 58071 //
     /* 2310723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2310726 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2310729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2310743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310760 */     // GIR_Coverage, 58071,
     /* 2310760 */     GIR_EraseRootFromParent_Done,
     /* 2310761 */   // Label 31868: @2310761
     /* 2310761 */   GIM_Try, /*On fail goto*//*Label 31869*/ GIMT_Encode4(2310804), // Rule ID 58072 //
     /* 2310766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2310769 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2310772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2310786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310803 */     // GIR_Coverage, 58072,
     /* 2310803 */     GIR_EraseRootFromParent_Done,
     /* 2310804 */   // Label 31869: @2310804
     /* 2310804 */   GIM_Reject,
     /* 2310805 */ // Label 31867: @2310805
     /* 2310805 */ GIM_Reject,
     /* 2310806 */ // Label 31815: @2310806
     /* 2310806 */ GIM_Try, /*On fail goto*//*Label 31870*/ GIMT_Encode4(2310860), // Rule ID 57655 //
     /* 2310811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2310814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2310817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310825 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310825 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2310828 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310832 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310837 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2310842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310844 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310847 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310858 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310859 */   // GIR_Coverage, 57655,
     /* 2310859 */   GIR_EraseRootFromParent_Done,
     /* 2310860 */ // Label 31870: @2310860
     /* 2310860 */ GIM_Try, /*On fail goto*//*Label 31871*/ GIMT_Encode4(2310914), // Rule ID 57656 //
     /* 2310865 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2310868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2310871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310875 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310879 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310879 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2310882 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310886 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310891 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310893 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2310896 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310898 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310901 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310912 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310913 */   // GIR_Coverage, 57656,
     /* 2310913 */   GIR_EraseRootFromParent_Done,
     /* 2310914 */ // Label 31871: @2310914
     /* 2310914 */ GIM_Try, /*On fail goto*//*Label 31872*/ GIMT_Encode4(2310968), // Rule ID 58095 //
     /* 2310919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2310922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2310925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310933 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310933 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2310936 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310940 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310945 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310947 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2310950 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310952 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310955 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310966 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310967 */   // GIR_Coverage, 58095,
     /* 2310967 */   GIR_EraseRootFromParent_Done,
     /* 2310968 */ // Label 31872: @2310968
     /* 2310968 */ GIM_Try, /*On fail goto*//*Label 31873*/ GIMT_Encode4(2311022), // Rule ID 58096 //
     /* 2310973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2310976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2310979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310987 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310987 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2310990 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310994 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310999 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2311004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311006 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311009 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311021 */   // GIR_Coverage, 58096,
     /* 2311021 */   GIR_EraseRootFromParent_Done,
     /* 2311022 */ // Label 31873: @2311022
     /* 2311022 */ GIM_Reject,
     /* 2311023 */ // Label 31816: @2311023
     /* 2311023 */ GIM_Try, /*On fail goto*//*Label 31874*/ GIMT_Encode4(2311077), // Rule ID 57667 //
     /* 2311028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2311031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2311034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311042 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311042 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2311045 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311049 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311054 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2311059 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311061 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311064 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311075 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311076 */   // GIR_Coverage, 57667,
     /* 2311076 */   GIR_EraseRootFromParent_Done,
     /* 2311077 */ // Label 31874: @2311077
     /* 2311077 */ GIM_Try, /*On fail goto*//*Label 31875*/ GIMT_Encode4(2311131), // Rule ID 57668 //
     /* 2311082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2311085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2311088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311092 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311096 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311096 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2311099 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311103 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311108 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2311113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311115 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311118 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311129 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311130 */   // GIR_Coverage, 57668,
     /* 2311130 */   GIR_EraseRootFromParent_Done,
     /* 2311131 */ // Label 31875: @2311131
     /* 2311131 */ GIM_Try, /*On fail goto*//*Label 31876*/ GIMT_Encode4(2311185), // Rule ID 57887 //
     /* 2311136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2311139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2311142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311150 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311150 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2311153 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311157 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311162 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2311167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311169 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311172 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311183 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311184 */   // GIR_Coverage, 57887,
     /* 2311184 */   GIR_EraseRootFromParent_Done,
     /* 2311185 */ // Label 31876: @2311185
     /* 2311185 */ GIM_Try, /*On fail goto*//*Label 31877*/ GIMT_Encode4(2311239), // Rule ID 57888 //
     /* 2311190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2311193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2311196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311204 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311204 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2311207 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311211 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311216 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2311221 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311223 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311226 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311237 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311238 */   // GIR_Coverage, 57888,
     /* 2311238 */   GIR_EraseRootFromParent_Done,
     /* 2311239 */ // Label 31877: @2311239
     /* 2311239 */ GIM_Try, /*On fail goto*//*Label 31878*/ GIMT_Encode4(2311293), // Rule ID 58115 //
     /* 2311244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2311247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2311250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311258 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311258 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2311261 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311265 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311270 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2311275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311277 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311280 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311291 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311292 */   // GIR_Coverage, 58115,
     /* 2311292 */   GIR_EraseRootFromParent_Done,
     /* 2311293 */ // Label 31878: @2311293
     /* 2311293 */ GIM_Try, /*On fail goto*//*Label 31879*/ GIMT_Encode4(2311347), // Rule ID 58116 //
     /* 2311298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2311301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2311304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311312 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311312 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2311315 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311319 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311324 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2311329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311331 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311334 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311345 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311346 */   // GIR_Coverage, 58116,
     /* 2311346 */   GIR_EraseRootFromParent_Done,
     /* 2311347 */ // Label 31879: @2311347
     /* 2311347 */ GIM_Reject,
     /* 2311348 */ // Label 31817: @2311348
     /* 2311348 */ GIM_Try, /*On fail goto*//*Label 31880*/ GIMT_Encode4(2311402), // Rule ID 57699 //
     /* 2311353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2311356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2311359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311367 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311367 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2311370 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311374 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311379 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2311384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311386 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311389 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311400 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311401 */   // GIR_Coverage, 57699,
     /* 2311401 */   GIR_EraseRootFromParent_Done,
     /* 2311402 */ // Label 31880: @2311402
     /* 2311402 */ GIM_Try, /*On fail goto*//*Label 31881*/ GIMT_Encode4(2311456), // Rule ID 57700 //
     /* 2311407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2311410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2311413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311421 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311421 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2311424 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311428 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311433 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2311438 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311440 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311443 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311455 */   // GIR_Coverage, 57700,
     /* 2311455 */   GIR_EraseRootFromParent_Done,
     /* 2311456 */ // Label 31881: @2311456
     /* 2311456 */ GIM_Try, /*On fail goto*//*Label 31882*/ GIMT_Encode4(2311510), // Rule ID 57907 //
     /* 2311461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2311464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2311467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311475 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311475 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2311478 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311482 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311487 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311489 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2311492 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311494 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311497 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311508 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311509 */   // GIR_Coverage, 57907,
     /* 2311509 */   GIR_EraseRootFromParent_Done,
     /* 2311510 */ // Label 31882: @2311510
     /* 2311510 */ GIM_Try, /*On fail goto*//*Label 31883*/ GIMT_Encode4(2311564), // Rule ID 57908 //
     /* 2311515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2311518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2311521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311529 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311529 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2311532 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311536 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311541 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2311546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311548 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311551 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311562 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311563 */   // GIR_Coverage, 57908,
     /* 2311563 */   GIR_EraseRootFromParent_Done,
     /* 2311564 */ // Label 31883: @2311564
     /* 2311564 */ GIM_Reject,
     /* 2311565 */ // Label 31818: @2311565
     /* 2311565 */ GIM_Try, /*On fail goto*//*Label 31884*/ GIMT_Encode4(2311668),
     /* 2311570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2311573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311577 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311581 */   GIM_Try, /*On fail goto*//*Label 31885*/ GIMT_Encode4(2311624), // Rule ID 58075 //
     /* 2311586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2311589 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2311592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2311606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311623 */     // GIR_Coverage, 58075,
     /* 2311623 */     GIR_EraseRootFromParent_Done,
     /* 2311624 */   // Label 31885: @2311624
     /* 2311624 */   GIM_Try, /*On fail goto*//*Label 31886*/ GIMT_Encode4(2311667), // Rule ID 58076 //
     /* 2311629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2311632 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2311635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2311649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311666 */     // GIR_Coverage, 58076,
     /* 2311666 */     GIR_EraseRootFromParent_Done,
     /* 2311667 */   // Label 31886: @2311667
     /* 2311667 */   GIM_Reject,
     /* 2311668 */ // Label 31884: @2311668
     /* 2311668 */ GIM_Reject,
     /* 2311669 */ // Label 31819: @2311669
     /* 2311669 */ GIM_Try, /*On fail goto*//*Label 31887*/ GIMT_Encode4(2311723), // Rule ID 57663 //
     /* 2311674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2311677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2311680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311688 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311688 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2311691 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311695 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311700 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2311705 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311707 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311710 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311721 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311722 */   // GIR_Coverage, 57663,
     /* 2311722 */   GIR_EraseRootFromParent_Done,
     /* 2311723 */ // Label 31887: @2311723
     /* 2311723 */ GIM_Try, /*On fail goto*//*Label 31888*/ GIMT_Encode4(2311777), // Rule ID 57664 //
     /* 2311728 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2311731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2311734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311742 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311742 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2311745 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311749 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311754 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2311759 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311761 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311764 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311775 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311776 */   // GIR_Coverage, 57664,
     /* 2311776 */   GIR_EraseRootFromParent_Done,
     /* 2311777 */ // Label 31888: @2311777
     /* 2311777 */ GIM_Try, /*On fail goto*//*Label 31889*/ GIMT_Encode4(2311831), // Rule ID 58099 //
     /* 2311782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2311785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2311788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311796 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311796 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2311799 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311803 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311808 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2311813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311815 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311818 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311829 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311830 */   // GIR_Coverage, 58099,
     /* 2311830 */   GIR_EraseRootFromParent_Done,
     /* 2311831 */ // Label 31889: @2311831
     /* 2311831 */ GIM_Try, /*On fail goto*//*Label 31890*/ GIMT_Encode4(2311885), // Rule ID 58100 //
     /* 2311836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2311839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2311842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311850 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311850 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2311853 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311857 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311862 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2311867 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311869 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311872 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311883 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311884 */   // GIR_Coverage, 58100,
     /* 2311884 */   GIR_EraseRootFromParent_Done,
     /* 2311885 */ // Label 31890: @2311885
     /* 2311885 */ GIM_Reject,
     /* 2311886 */ // Label 31820: @2311886
     /* 2311886 */ GIM_Try, /*On fail goto*//*Label 31891*/ GIMT_Encode4(2311940), // Rule ID 57687 //
     /* 2311891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2311894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2311897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311905 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311905 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2311908 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311912 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311917 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2311922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311924 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311927 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311938 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311939 */   // GIR_Coverage, 57687,
     /* 2311939 */   GIR_EraseRootFromParent_Done,
     /* 2311940 */ // Label 31891: @2311940
     /* 2311940 */ GIM_Try, /*On fail goto*//*Label 31892*/ GIMT_Encode4(2311994), // Rule ID 57688 //
     /* 2311945 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2311948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2311951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311959 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311959 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2311962 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311966 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311971 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2311976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311978 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311981 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311992 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311993 */   // GIR_Coverage, 57688,
     /* 2311993 */   GIR_EraseRootFromParent_Done,
     /* 2311994 */ // Label 31892: @2311994
     /* 2311994 */ GIM_Try, /*On fail goto*//*Label 31893*/ GIMT_Encode4(2312048), // Rule ID 57891 //
     /* 2311999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2312002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2312005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312013 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312013 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2312016 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312020 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312025 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2312030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312032 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312035 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312046 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312047 */   // GIR_Coverage, 57891,
     /* 2312047 */   GIR_EraseRootFromParent_Done,
     /* 2312048 */ // Label 31893: @2312048
     /* 2312048 */ GIM_Try, /*On fail goto*//*Label 31894*/ GIMT_Encode4(2312102), // Rule ID 57892 //
     /* 2312053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2312059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312067 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312067 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2312070 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312074 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312079 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312081 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2312084 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312086 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312089 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312100 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312101 */   // GIR_Coverage, 57892,
     /* 2312101 */   GIR_EraseRootFromParent_Done,
     /* 2312102 */ // Label 31894: @2312102
     /* 2312102 */ GIM_Try, /*On fail goto*//*Label 31895*/ GIMT_Encode4(2312156), // Rule ID 58119 //
     /* 2312107 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2312110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2312113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312121 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312121 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2312124 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312128 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312133 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2312138 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312140 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312143 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312154 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312155 */   // GIR_Coverage, 58119,
     /* 2312155 */   GIR_EraseRootFromParent_Done,
     /* 2312156 */ // Label 31895: @2312156
     /* 2312156 */ GIM_Try, /*On fail goto*//*Label 31896*/ GIMT_Encode4(2312210), // Rule ID 58120 //
     /* 2312161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2312164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2312167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312175 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312175 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2312178 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312182 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312187 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2312192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312194 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312197 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312208 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312209 */   // GIR_Coverage, 58120,
     /* 2312209 */   GIR_EraseRootFromParent_Done,
     /* 2312210 */ // Label 31896: @2312210
     /* 2312210 */ GIM_Reject,
     /* 2312211 */ // Label 31821: @2312211
     /* 2312211 */ GIM_Try, /*On fail goto*//*Label 31897*/ GIMT_Encode4(2312265), // Rule ID 57703 //
     /* 2312216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2312219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2312222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312230 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312230 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2312233 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312237 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312242 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2312247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312249 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312252 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312264 */   // GIR_Coverage, 57703,
     /* 2312264 */   GIR_EraseRootFromParent_Done,
     /* 2312265 */ // Label 31897: @2312265
     /* 2312265 */ GIM_Try, /*On fail goto*//*Label 31898*/ GIMT_Encode4(2312319), // Rule ID 57704 //
     /* 2312270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2312273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2312276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312284 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312284 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2312287 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312291 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312296 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2312301 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312303 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312306 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312318 */   // GIR_Coverage, 57704,
     /* 2312318 */   GIR_EraseRootFromParent_Done,
     /* 2312319 */ // Label 31898: @2312319
     /* 2312319 */ GIM_Try, /*On fail goto*//*Label 31899*/ GIMT_Encode4(2312373), // Rule ID 57911 //
     /* 2312324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2312327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2312330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312338 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312338 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2312341 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312345 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312350 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2312355 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312357 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312360 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312372 */   // GIR_Coverage, 57911,
     /* 2312372 */   GIR_EraseRootFromParent_Done,
     /* 2312373 */ // Label 31899: @2312373
     /* 2312373 */ GIM_Try, /*On fail goto*//*Label 31900*/ GIMT_Encode4(2312427), // Rule ID 57912 //
     /* 2312378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2312381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2312384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312392 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312392 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2312395 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312399 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312404 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2312409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312411 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312414 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312425 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312426 */   // GIR_Coverage, 57912,
     /* 2312426 */   GIR_EraseRootFromParent_Done,
     /* 2312427 */ // Label 31900: @2312427
     /* 2312427 */ GIM_Reject,
     /* 2312428 */ // Label 31822: @2312428
     /* 2312428 */ GIM_Try, /*On fail goto*//*Label 31901*/ GIMT_Encode4(2312531),
     /* 2312433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2312436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312444 */   GIM_Try, /*On fail goto*//*Label 31902*/ GIMT_Encode4(2312487), // Rule ID 58079 //
     /* 2312449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2312452 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2312455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2312469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312486 */     // GIR_Coverage, 58079,
     /* 2312486 */     GIR_EraseRootFromParent_Done,
     /* 2312487 */   // Label 31902: @2312487
     /* 2312487 */   GIM_Try, /*On fail goto*//*Label 31903*/ GIMT_Encode4(2312530), // Rule ID 58080 //
     /* 2312492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312495 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2312498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2312512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312529 */     // GIR_Coverage, 58080,
     /* 2312529 */     GIR_EraseRootFromParent_Done,
     /* 2312530 */   // Label 31903: @2312530
     /* 2312530 */   GIM_Reject,
     /* 2312531 */ // Label 31901: @2312531
     /* 2312531 */ GIM_Reject,
     /* 2312532 */ // Label 31823: @2312532
     /* 2312532 */ GIM_Try, /*On fail goto*//*Label 31904*/ GIMT_Encode4(2312586), // Rule ID 57675 //
     /* 2312537 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2312540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2312543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312551 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312551 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2312554 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312558 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312563 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2312568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312570 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312573 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312584 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312585 */   // GIR_Coverage, 57675,
     /* 2312585 */   GIR_EraseRootFromParent_Done,
     /* 2312586 */ // Label 31904: @2312586
     /* 2312586 */ GIM_Try, /*On fail goto*//*Label 31905*/ GIMT_Encode4(2312640), // Rule ID 57676 //
     /* 2312591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2312597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312605 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312605 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2312608 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312612 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312617 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312619 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2312622 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312624 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312627 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312638 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312639 */   // GIR_Coverage, 57676,
     /* 2312639 */   GIR_EraseRootFromParent_Done,
     /* 2312640 */ // Label 31905: @2312640
     /* 2312640 */ GIM_Try, /*On fail goto*//*Label 31906*/ GIMT_Encode4(2312694), // Rule ID 58103 //
     /* 2312645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2312648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2312651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312655 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312659 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312659 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2312662 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312666 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312671 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2312676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312678 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312681 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312692 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312693 */   // GIR_Coverage, 58103,
     /* 2312693 */   GIR_EraseRootFromParent_Done,
     /* 2312694 */ // Label 31906: @2312694
     /* 2312694 */ GIM_Try, /*On fail goto*//*Label 31907*/ GIMT_Encode4(2312748), // Rule ID 58104 //
     /* 2312699 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2312702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2312705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312709 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312713 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312713 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2312716 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312720 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312725 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2312730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312732 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312735 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312746 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312747 */   // GIR_Coverage, 58104,
     /* 2312747 */   GIR_EraseRootFromParent_Done,
     /* 2312748 */ // Label 31907: @2312748
     /* 2312748 */ GIM_Reject,
     /* 2312749 */ // Label 31824: @2312749
     /* 2312749 */ GIM_Try, /*On fail goto*//*Label 31908*/ GIMT_Encode4(2312803), // Rule ID 57691 //
     /* 2312754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2312757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2312760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312768 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312768 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2312771 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312775 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312780 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2312785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312787 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312790 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312801 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312802 */   // GIR_Coverage, 57691,
     /* 2312802 */   GIR_EraseRootFromParent_Done,
     /* 2312803 */ // Label 31908: @2312803
     /* 2312803 */ GIM_Try, /*On fail goto*//*Label 31909*/ GIMT_Encode4(2312857), // Rule ID 57692 //
     /* 2312808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2312811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2312814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312822 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312822 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2312825 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312829 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312834 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2312839 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312841 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312844 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312856 */   // GIR_Coverage, 57692,
     /* 2312856 */   GIR_EraseRootFromParent_Done,
     /* 2312857 */ // Label 31909: @2312857
     /* 2312857 */ GIM_Try, /*On fail goto*//*Label 31910*/ GIMT_Encode4(2312911), // Rule ID 57895 //
     /* 2312862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2312865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2312868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312876 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312876 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2312879 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312883 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312888 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2312893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312895 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312898 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312909 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312910 */   // GIR_Coverage, 57895,
     /* 2312910 */   GIR_EraseRootFromParent_Done,
     /* 2312911 */ // Label 31910: @2312911
     /* 2312911 */ GIM_Try, /*On fail goto*//*Label 31911*/ GIMT_Encode4(2312965), // Rule ID 57896 //
     /* 2312916 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2312922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312930 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312930 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2312933 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312937 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312942 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2312947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312949 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312952 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312963 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312964 */   // GIR_Coverage, 57896,
     /* 2312964 */   GIR_EraseRootFromParent_Done,
     /* 2312965 */ // Label 31911: @2312965
     /* 2312965 */ GIM_Try, /*On fail goto*//*Label 31912*/ GIMT_Encode4(2313019), // Rule ID 58123 //
     /* 2312970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2312973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2312976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2312984 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312984 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2312987 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312991 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312996 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312998 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2313001 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313003 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313006 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313017 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313018 */   // GIR_Coverage, 58123,
     /* 2313018 */   GIR_EraseRootFromParent_Done,
     /* 2313019 */ // Label 31912: @2313019
     /* 2313019 */ GIM_Try, /*On fail goto*//*Label 31913*/ GIMT_Encode4(2313073), // Rule ID 58124 //
     /* 2313024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2313027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2313030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313038 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313038 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2313041 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313045 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313050 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2313055 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313057 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313060 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313071 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313072 */   // GIR_Coverage, 58124,
     /* 2313072 */   GIR_EraseRootFromParent_Done,
     /* 2313073 */ // Label 31913: @2313073
     /* 2313073 */ GIM_Reject,
     /* 2313074 */ // Label 31825: @2313074
     /* 2313074 */ GIM_Try, /*On fail goto*//*Label 31914*/ GIMT_Encode4(2313128), // Rule ID 57707 //
     /* 2313079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2313082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2313085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313093 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313093 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2313096 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313100 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313105 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2313110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313112 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313115 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313126 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313127 */   // GIR_Coverage, 57707,
     /* 2313127 */   GIR_EraseRootFromParent_Done,
     /* 2313128 */ // Label 31914: @2313128
     /* 2313128 */ GIM_Try, /*On fail goto*//*Label 31915*/ GIMT_Encode4(2313182), // Rule ID 57708 //
     /* 2313133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2313136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2313139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313147 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313147 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2313150 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313154 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313159 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2313164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313166 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313169 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313180 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313181 */   // GIR_Coverage, 57708,
     /* 2313181 */   GIR_EraseRootFromParent_Done,
     /* 2313182 */ // Label 31915: @2313182
     /* 2313182 */ GIM_Try, /*On fail goto*//*Label 31916*/ GIMT_Encode4(2313236), // Rule ID 57915 //
     /* 2313187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2313190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2313193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313201 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313201 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2313204 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313208 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313213 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2313218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313220 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313223 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313235 */   // GIR_Coverage, 57915,
     /* 2313235 */   GIR_EraseRootFromParent_Done,
     /* 2313236 */ // Label 31916: @2313236
     /* 2313236 */ GIM_Try, /*On fail goto*//*Label 31917*/ GIMT_Encode4(2313290), // Rule ID 57916 //
     /* 2313241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2313244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2313247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313255 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313255 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2313258 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313262 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313267 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2313272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313274 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313277 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313288 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313289 */   // GIR_Coverage, 57916,
     /* 2313289 */   GIR_EraseRootFromParent_Done,
     /* 2313290 */ // Label 31917: @2313290
     /* 2313290 */ GIM_Reject,
     /* 2313291 */ // Label 31826: @2313291
     /* 2313291 */ GIM_Try, /*On fail goto*//*Label 31918*/ GIMT_Encode4(2313394),
     /* 2313296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2313299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313307 */   GIM_Try, /*On fail goto*//*Label 31919*/ GIMT_Encode4(2313350), // Rule ID 58083 //
     /* 2313312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313315 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2313318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2313332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313349 */     // GIR_Coverage, 58083,
     /* 2313349 */     GIR_EraseRootFromParent_Done,
     /* 2313350 */   // Label 31919: @2313350
     /* 2313350 */   GIM_Try, /*On fail goto*//*Label 31920*/ GIMT_Encode4(2313393), // Rule ID 58084 //
     /* 2313355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313358 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2313361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2313375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313392 */     // GIR_Coverage, 58084,
     /* 2313392 */     GIR_EraseRootFromParent_Done,
     /* 2313393 */   // Label 31920: @2313393
     /* 2313393 */   GIM_Reject,
     /* 2313394 */ // Label 31918: @2313394
     /* 2313394 */ GIM_Reject,
     /* 2313395 */ // Label 31827: @2313395
     /* 2313395 */ GIM_Try, /*On fail goto*//*Label 31921*/ GIMT_Encode4(2313449), // Rule ID 57679 //
     /* 2313400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2313406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313414 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313414 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2313417 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313421 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313426 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2313431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313433 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313436 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313447 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313448 */   // GIR_Coverage, 57679,
     /* 2313448 */   GIR_EraseRootFromParent_Done,
     /* 2313449 */ // Label 31921: @2313449
     /* 2313449 */ GIM_Try, /*On fail goto*//*Label 31922*/ GIMT_Encode4(2313503), // Rule ID 57680 //
     /* 2313454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2313460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313464 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313468 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313468 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2313471 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313475 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313480 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313482 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2313485 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313487 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313490 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313501 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313502 */   // GIR_Coverage, 57680,
     /* 2313502 */   GIR_EraseRootFromParent_Done,
     /* 2313503 */ // Label 31922: @2313503
     /* 2313503 */ GIM_Try, /*On fail goto*//*Label 31923*/ GIMT_Encode4(2313557), // Rule ID 58107 //
     /* 2313508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2313511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2313514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313522 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313522 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2313525 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313529 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313534 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313536 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2313539 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313541 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313544 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313555 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313556 */   // GIR_Coverage, 58107,
     /* 2313556 */   GIR_EraseRootFromParent_Done,
     /* 2313557 */ // Label 31923: @2313557
     /* 2313557 */ GIM_Try, /*On fail goto*//*Label 31924*/ GIMT_Encode4(2313611), // Rule ID 58108 //
     /* 2313562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2313565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2313568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313576 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313576 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2313579 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313583 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313588 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2313593 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313595 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313598 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313609 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313610 */   // GIR_Coverage, 58108,
     /* 2313610 */   GIR_EraseRootFromParent_Done,
     /* 2313611 */ // Label 31924: @2313611
     /* 2313611 */ GIM_Reject,
     /* 2313612 */ // Label 31828: @2313612
     /* 2313612 */ GIM_Try, /*On fail goto*//*Label 31925*/ GIMT_Encode4(2313666), // Rule ID 57695 //
     /* 2313617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2313620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2313623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313627 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313631 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313631 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2313634 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313638 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313643 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2313648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313650 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313653 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313664 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313665 */   // GIR_Coverage, 57695,
     /* 2313665 */   GIR_EraseRootFromParent_Done,
     /* 2313666 */ // Label 31925: @2313666
     /* 2313666 */ GIM_Try, /*On fail goto*//*Label 31926*/ GIMT_Encode4(2313720), // Rule ID 57696 //
     /* 2313671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2313674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2313677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313685 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313685 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2313688 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313692 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313697 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2313702 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313704 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313707 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313718 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313719 */   // GIR_Coverage, 57696,
     /* 2313719 */   GIR_EraseRootFromParent_Done,
     /* 2313720 */ // Label 31926: @2313720
     /* 2313720 */ GIM_Try, /*On fail goto*//*Label 31927*/ GIMT_Encode4(2313774), // Rule ID 57899 //
     /* 2313725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2313731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313739 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313739 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2313742 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313746 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313751 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2313756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313758 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313761 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313773 */   // GIR_Coverage, 57899,
     /* 2313773 */   GIR_EraseRootFromParent_Done,
     /* 2313774 */ // Label 31927: @2313774
     /* 2313774 */ GIM_Try, /*On fail goto*//*Label 31928*/ GIMT_Encode4(2313828), // Rule ID 57900 //
     /* 2313779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2313785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313793 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313793 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2313796 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313800 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313805 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2313810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313812 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313815 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313826 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313827 */   // GIR_Coverage, 57900,
     /* 2313827 */   GIR_EraseRootFromParent_Done,
     /* 2313828 */ // Label 31928: @2313828
     /* 2313828 */ GIM_Reject,
     /* 2313829 */ // Label 31829: @2313829
     /* 2313829 */ GIM_Try, /*On fail goto*//*Label 31929*/ GIMT_Encode4(2313932),
     /* 2313834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2313837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313845 */   GIM_Try, /*On fail goto*//*Label 31930*/ GIMT_Encode4(2313888), // Rule ID 58087 //
     /* 2313850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313853 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2313856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2313870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313887 */     // GIR_Coverage, 58087,
     /* 2313887 */     GIR_EraseRootFromParent_Done,
     /* 2313888 */   // Label 31930: @2313888
     /* 2313888 */   GIM_Try, /*On fail goto*//*Label 31931*/ GIMT_Encode4(2313931), // Rule ID 58088 //
     /* 2313893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313896 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2313899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2313913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313930 */     // GIR_Coverage, 58088,
     /* 2313930 */     GIR_EraseRootFromParent_Done,
     /* 2313931 */   // Label 31931: @2313931
     /* 2313931 */   GIM_Reject,
     /* 2313932 */ // Label 31929: @2313932
     /* 2313932 */ GIM_Reject,
     /* 2313933 */ // Label 31830: @2313933
     /* 2313933 */ GIM_Try, /*On fail goto*//*Label 31932*/ GIMT_Encode4(2314036),
     /* 2313938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2313941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313945 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313949 */   GIM_Try, /*On fail goto*//*Label 31933*/ GIMT_Encode4(2313992), // Rule ID 57683 //
     /* 2313954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313957 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2313960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2313974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313991 */     // GIR_Coverage, 57683,
     /* 2313991 */     GIR_EraseRootFromParent_Done,
     /* 2313992 */   // Label 31933: @2313992
     /* 2313992 */   GIM_Try, /*On fail goto*//*Label 31934*/ GIMT_Encode4(2314035), // Rule ID 57684 //
     /* 2313997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314000 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2314003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2314017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314034 */     // GIR_Coverage, 57684,
     /* 2314034 */     GIR_EraseRootFromParent_Done,
     /* 2314035 */   // Label 31934: @2314035
     /* 2314035 */   GIM_Reject,
     /* 2314036 */ // Label 31932: @2314036
     /* 2314036 */ GIM_Reject,
     /* 2314037 */ // Label 31831: @2314037
     /* 2314037 */ GIM_Reject,
     /* 2314038 */ // Label 66: @2314038
     /* 2314038 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 31958*/ GIMT_Encode4(2318923),
     /* 2314049 */ /*GILLT_s32*//*Label 31935*/ GIMT_Encode4(2314165),
     /* 2314053 */ /*GILLT_s64*//*Label 31936*/ GIMT_Encode4(2314538), GIMT_Encode4(0),
     /* 2314061 */ /*GILLT_nxv1s8*//*Label 31937*/ GIMT_Encode4(2314725),
     /* 2314065 */ /*GILLT_nxv1s16*//*Label 31938*/ GIMT_Encode4(2314829),
     /* 2314069 */ /*GILLT_nxv1s32*//*Label 31939*/ GIMT_Encode4(2315046),
     /* 2314073 */ /*GILLT_nxv1s64*//*Label 31940*/ GIMT_Encode4(2315371), GIMT_Encode4(0),
     /* 2314081 */ /*GILLT_nxv2s8*//*Label 31941*/ GIMT_Encode4(2315588),
     /* 2314085 */ /*GILLT_nxv2s16*//*Label 31942*/ GIMT_Encode4(2315692),
     /* 2314089 */ /*GILLT_nxv2s32*//*Label 31943*/ GIMT_Encode4(2315909),
     /* 2314093 */ /*GILLT_nxv2s64*//*Label 31944*/ GIMT_Encode4(2316234), GIMT_Encode4(0),
     /* 2314101 */ /*GILLT_nxv4s8*//*Label 31945*/ GIMT_Encode4(2316451),
     /* 2314105 */ /*GILLT_nxv4s16*//*Label 31946*/ GIMT_Encode4(2316555),
     /* 2314109 */ /*GILLT_nxv4s32*//*Label 31947*/ GIMT_Encode4(2316772),
     /* 2314113 */ /*GILLT_nxv4s64*//*Label 31948*/ GIMT_Encode4(2317097), GIMT_Encode4(0),
     /* 2314121 */ /*GILLT_nxv8s8*//*Label 31949*/ GIMT_Encode4(2317314),
     /* 2314125 */ /*GILLT_nxv8s16*//*Label 31950*/ GIMT_Encode4(2317418),
     /* 2314129 */ /*GILLT_nxv8s32*//*Label 31951*/ GIMT_Encode4(2317635),
     /* 2314133 */ /*GILLT_nxv8s64*//*Label 31952*/ GIMT_Encode4(2317960), GIMT_Encode4(0),
     /* 2314141 */ /*GILLT_nxv16s8*//*Label 31953*/ GIMT_Encode4(2318177),
     /* 2314145 */ /*GILLT_nxv16s16*//*Label 31954*/ GIMT_Encode4(2318281),
     /* 2314149 */ /*GILLT_nxv16s32*//*Label 31955*/ GIMT_Encode4(2318498), GIMT_Encode4(0),
     /* 2314157 */ /*GILLT_nxv32s8*//*Label 31956*/ GIMT_Encode4(2318715),
     /* 2314161 */ /*GILLT_nxv32s16*//*Label 31957*/ GIMT_Encode4(2318819),
     /* 2314165 */ // Label 31935: @2314165
     /* 2314165 */ GIM_Try, /*On fail goto*//*Label 31959*/ GIMT_Encode4(2314196), // Rule ID 1319 //
     /* 2314170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2314173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2314176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2314184 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2314184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2314187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314189 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314194 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314195 */   // GIR_Coverage, 1319,
     /* 2314195 */   GIR_EraseRootFromParent_Done,
     /* 2314196 */ // Label 31959: @2314196
     /* 2314196 */ GIM_Try, /*On fail goto*//*Label 31960*/ GIMT_Encode4(2314227), // Rule ID 1320 //
     /* 2314201 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2314204 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2314207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2314215 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2314215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2314218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314220 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314225 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314226 */   // GIR_Coverage, 1320,
     /* 2314226 */   GIR_EraseRootFromParent_Done,
     /* 2314227 */ // Label 31960: @2314227
     /* 2314227 */ GIM_Try, /*On fail goto*//*Label 31961*/ GIMT_Encode4(2314258), // Rule ID 1345 //
     /* 2314232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2314235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2314238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314242 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2314246 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2314246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2314249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314251 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314256 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314257 */   // GIR_Coverage, 1345,
     /* 2314257 */   GIR_EraseRootFromParent_Done,
     /* 2314258 */ // Label 31961: @2314258
     /* 2314258 */ GIM_Try, /*On fail goto*//*Label 31962*/ GIMT_Encode4(2314289), // Rule ID 1346 //
     /* 2314263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2314266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2314269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2314277 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2314277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2314280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314282 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314287 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314288 */   // GIR_Coverage, 1346,
     /* 2314288 */   GIR_EraseRootFromParent_Done,
     /* 2314289 */ // Label 31962: @2314289
     /* 2314289 */ GIM_Try, /*On fail goto*//*Label 31963*/ GIMT_Encode4(2314320), // Rule ID 1713 //
     /* 2314294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2314297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2314308 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2314308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2314311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314313 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314318 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314319 */   // GIR_Coverage, 1713,
     /* 2314319 */   GIR_EraseRootFromParent_Done,
     /* 2314320 */ // Label 31963: @2314320
     /* 2314320 */ GIM_Try, /*On fail goto*//*Label 31964*/ GIMT_Encode4(2314351), // Rule ID 1714 //
     /* 2314325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2314328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2314339 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2314339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2314342 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314344 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314349 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314350 */   // GIR_Coverage, 1714,
     /* 2314350 */   GIR_EraseRootFromParent_Done,
     /* 2314351 */ // Label 31964: @2314351
     /* 2314351 */ GIM_Try, /*On fail goto*//*Label 31965*/ GIMT_Encode4(2314382), // Rule ID 1739 //
     /* 2314356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2314359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2314370 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2314370 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2314373 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314375 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314380 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314381 */   // GIR_Coverage, 1739,
     /* 2314381 */   GIR_EraseRootFromParent_Done,
     /* 2314382 */ // Label 31965: @2314382
     /* 2314382 */ GIM_Try, /*On fail goto*//*Label 31966*/ GIMT_Encode4(2314413), // Rule ID 1740 //
     /* 2314387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2314390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2314401 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2314401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2314404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314406 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314411 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314412 */   // GIR_Coverage, 1740,
     /* 2314412 */   GIR_EraseRootFromParent_Done,
     /* 2314413 */ // Label 31966: @2314413
     /* 2314413 */ GIM_Try, /*On fail goto*//*Label 31967*/ GIMT_Encode4(2314444), // Rule ID 2055 //
     /* 2314418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2314421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2314424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314428 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2314432 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2314432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2314435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314437 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314442 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314443 */   // GIR_Coverage, 2055,
     /* 2314443 */   GIR_EraseRootFromParent_Done,
     /* 2314444 */ // Label 31967: @2314444
     /* 2314444 */ GIM_Try, /*On fail goto*//*Label 31968*/ GIMT_Encode4(2314475), // Rule ID 2056 //
     /* 2314449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2314452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2314455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2314463 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2314463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2314466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314468 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314473 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314474 */   // GIR_Coverage, 2056,
     /* 2314474 */   GIR_EraseRootFromParent_Done,
     /* 2314475 */ // Label 31968: @2314475
     /* 2314475 */ GIM_Try, /*On fail goto*//*Label 31969*/ GIMT_Encode4(2314506), // Rule ID 2081 //
     /* 2314480 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2314483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2314486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2314494 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2314494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2314497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314499 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314504 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314505 */   // GIR_Coverage, 2081,
     /* 2314505 */   GIR_EraseRootFromParent_Done,
     /* 2314506 */ // Label 31969: @2314506
     /* 2314506 */ GIM_Try, /*On fail goto*//*Label 31970*/ GIMT_Encode4(2314537), // Rule ID 2082 //
     /* 2314511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2314514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2314517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2314525 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2314525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2314528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314530 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314535 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314536 */   // GIR_Coverage, 2082,
     /* 2314536 */   GIR_EraseRootFromParent_Done,
     /* 2314537 */ // Label 31970: @2314537
     /* 2314537 */ GIM_Reject,
     /* 2314538 */ // Label 31936: @2314538
     /* 2314538 */ GIM_Try, /*On fail goto*//*Label 31971*/ GIMT_Encode4(2314569), // Rule ID 1374 //
     /* 2314543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2314546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2314549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2314557 */   // (fp_to_uint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2314557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S),
     /* 2314560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314562 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314567 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314568 */   // GIR_Coverage, 1374,
     /* 2314568 */   GIR_EraseRootFromParent_Done,
     /* 2314569 */ // Label 31971: @2314569
     /* 2314569 */ GIM_Try, /*On fail goto*//*Label 31972*/ GIMT_Encode4(2314600), // Rule ID 1402 //
     /* 2314574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2314577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2314580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2314588 */   // (fp_to_uint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2314588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S_INX),
     /* 2314591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314593 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314598 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314599 */   // GIR_Coverage, 1402,
     /* 2314599 */   GIR_EraseRootFromParent_Done,
     /* 2314600 */ // Label 31972: @2314600
     /* 2314600 */ GIM_Try, /*On fail goto*//*Label 31973*/ GIMT_Encode4(2314631), // Rule ID 1774 //
     /* 2314605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2314608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2314619 */   // (fp_to_uint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2314619 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D),
     /* 2314622 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314624 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314629 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314630 */   // GIR_Coverage, 1774,
     /* 2314630 */   GIR_EraseRootFromParent_Done,
     /* 2314631 */ // Label 31973: @2314631
     /* 2314631 */ GIM_Try, /*On fail goto*//*Label 31974*/ GIMT_Encode4(2314662), // Rule ID 1802 //
     /* 2314636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2314639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314650 */   // (fp_to_uint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2314650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D_INX),
     /* 2314653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314655 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314660 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314661 */   // GIR_Coverage, 1802,
     /* 2314661 */   GIR_EraseRootFromParent_Done,
     /* 2314662 */ // Label 31974: @2314662
     /* 2314662 */ GIM_Try, /*On fail goto*//*Label 31975*/ GIMT_Encode4(2314693), // Rule ID 2108 //
     /* 2314667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2314670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2314673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314677 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2314681 */   // (fp_to_uint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2314681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H),
     /* 2314684 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314686 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314691 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314692 */   // GIR_Coverage, 2108,
     /* 2314692 */   GIR_EraseRootFromParent_Done,
     /* 2314693 */ // Label 31975: @2314693
     /* 2314693 */ GIM_Try, /*On fail goto*//*Label 31976*/ GIMT_Encode4(2314724), // Rule ID 2134 //
     /* 2314698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2314701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2314704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2314712 */   // (fp_to_uint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2314712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H_INX),
     /* 2314715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314717 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314722 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314723 */   // GIR_Coverage, 2134,
     /* 2314723 */   GIR_EraseRootFromParent_Done,
     /* 2314724 */ // Label 31976: @2314724
     /* 2314724 */ GIM_Reject,
     /* 2314725 */ // Label 31937: @2314725
     /* 2314725 */ GIM_Try, /*On fail goto*//*Label 31977*/ GIMT_Encode4(2314828),
     /* 2314730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2314733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314737 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314741 */   GIM_Try, /*On fail goto*//*Label 31978*/ GIMT_Encode4(2314784), // Rule ID 58127 //
     /* 2314746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314749 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2314752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2314766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314783 */     // GIR_Coverage, 58127,
     /* 2314783 */     GIR_EraseRootFromParent_Done,
     /* 2314784 */   // Label 31978: @2314784
     /* 2314784 */   GIM_Try, /*On fail goto*//*Label 31979*/ GIMT_Encode4(2314827), // Rule ID 58128 //
     /* 2314789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314792 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2314795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2314809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314826 */     // GIR_Coverage, 58128,
     /* 2314826 */     GIR_EraseRootFromParent_Done,
     /* 2314827 */   // Label 31979: @2314827
     /* 2314827 */   GIM_Reject,
     /* 2314828 */ // Label 31977: @2314828
     /* 2314828 */ GIM_Reject,
     /* 2314829 */ // Label 31938: @2314829
     /* 2314829 */ GIM_Try, /*On fail goto*//*Label 31980*/ GIMT_Encode4(2314883), // Rule ID 57711 //
     /* 2314834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2314840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314844 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314848 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314848 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2314851 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314855 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314860 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2314865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314867 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314870 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314881 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314882 */   // GIR_Coverage, 57711,
     /* 2314882 */   GIR_EraseRootFromParent_Done,
     /* 2314883 */ // Label 31980: @2314883
     /* 2314883 */ GIM_Try, /*On fail goto*//*Label 31981*/ GIMT_Encode4(2314937), // Rule ID 57712 //
     /* 2314888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2314894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314902 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314902 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2314905 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314909 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314914 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314916 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2314919 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314921 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314924 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314935 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314936 */   // GIR_Coverage, 57712,
     /* 2314936 */   GIR_EraseRootFromParent_Done,
     /* 2314937 */ // Label 31981: @2314937
     /* 2314937 */ GIM_Try, /*On fail goto*//*Label 31982*/ GIMT_Encode4(2314991), // Rule ID 58151 //
     /* 2314942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2314945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2314948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314956 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314956 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2314959 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314963 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314968 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2314973 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314975 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314978 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314989 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314990 */   // GIR_Coverage, 58151,
     /* 2314990 */   GIR_EraseRootFromParent_Done,
     /* 2314991 */ // Label 31982: @2314991
     /* 2314991 */ GIM_Try, /*On fail goto*//*Label 31983*/ GIMT_Encode4(2315045), // Rule ID 58152 //
     /* 2314996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2314999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2315002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315010 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315010 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2315013 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315017 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315022 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2315027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315029 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315032 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315043 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315044 */   // GIR_Coverage, 58152,
     /* 2315044 */   GIR_EraseRootFromParent_Done,
     /* 2315045 */ // Label 31983: @2315045
     /* 2315045 */ GIM_Reject,
     /* 2315046 */ // Label 31939: @2315046
     /* 2315046 */ GIM_Try, /*On fail goto*//*Label 31984*/ GIMT_Encode4(2315100), // Rule ID 57719 //
     /* 2315051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2315054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2315057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315065 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315065 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2315068 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315072 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315077 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315079 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2315082 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315084 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315087 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315099 */   // GIR_Coverage, 57719,
     /* 2315099 */   GIR_EraseRootFromParent_Done,
     /* 2315100 */ // Label 31984: @2315100
     /* 2315100 */ GIM_Try, /*On fail goto*//*Label 31985*/ GIMT_Encode4(2315154), // Rule ID 57720 //
     /* 2315105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2315108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2315111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315119 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315119 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2315122 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315126 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315131 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2315136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315138 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315141 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315152 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315153 */   // GIR_Coverage, 57720,
     /* 2315153 */   GIR_EraseRootFromParent_Done,
     /* 2315154 */ // Label 31985: @2315154
     /* 2315154 */ GIM_Try, /*On fail goto*//*Label 31986*/ GIMT_Encode4(2315208), // Rule ID 57919 //
     /* 2315159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2315165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315173 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315173 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2315176 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315180 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315185 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2315190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315192 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315195 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315207 */   // GIR_Coverage, 57919,
     /* 2315207 */   GIR_EraseRootFromParent_Done,
     /* 2315208 */ // Label 31986: @2315208
     /* 2315208 */ GIM_Try, /*On fail goto*//*Label 31987*/ GIMT_Encode4(2315262), // Rule ID 57920 //
     /* 2315213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2315219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315227 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315227 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2315230 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315234 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315239 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2315244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315246 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315249 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315260 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315261 */   // GIR_Coverage, 57920,
     /* 2315261 */   GIR_EraseRootFromParent_Done,
     /* 2315262 */ // Label 31987: @2315262
     /* 2315262 */ GIM_Try, /*On fail goto*//*Label 31988*/ GIMT_Encode4(2315316), // Rule ID 58171 //
     /* 2315267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2315270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2315273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315281 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315281 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2315284 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315288 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315293 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2315298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315300 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315303 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315314 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315315 */   // GIR_Coverage, 58171,
     /* 2315315 */   GIR_EraseRootFromParent_Done,
     /* 2315316 */ // Label 31988: @2315316
     /* 2315316 */ GIM_Try, /*On fail goto*//*Label 31989*/ GIMT_Encode4(2315370), // Rule ID 58172 //
     /* 2315321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2315324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2315327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315335 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315335 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2315338 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315342 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315347 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2315352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315354 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315357 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315368 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315369 */   // GIR_Coverage, 58172,
     /* 2315369 */   GIR_EraseRootFromParent_Done,
     /* 2315370 */ // Label 31989: @2315370
     /* 2315370 */ GIM_Reject,
     /* 2315371 */ // Label 31940: @2315371
     /* 2315371 */ GIM_Try, /*On fail goto*//*Label 31990*/ GIMT_Encode4(2315425), // Rule ID 57731 //
     /* 2315376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2315379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2315382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315390 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315390 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2315393 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315397 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315402 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2315407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315409 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315412 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315424 */   // GIR_Coverage, 57731,
     /* 2315424 */   GIR_EraseRootFromParent_Done,
     /* 2315425 */ // Label 31990: @2315425
     /* 2315425 */ GIM_Try, /*On fail goto*//*Label 31991*/ GIMT_Encode4(2315479), // Rule ID 57732 //
     /* 2315430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2315433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2315436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315444 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315444 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2315447 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315451 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315456 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2315461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315463 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315466 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315477 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315478 */   // GIR_Coverage, 57732,
     /* 2315478 */   GIR_EraseRootFromParent_Done,
     /* 2315479 */ // Label 31991: @2315479
     /* 2315479 */ GIM_Try, /*On fail goto*//*Label 31992*/ GIMT_Encode4(2315533), // Rule ID 57939 //
     /* 2315484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2315487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2315490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315498 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315498 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2315501 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315505 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315510 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2315515 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315517 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315520 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315532 */   // GIR_Coverage, 57939,
     /* 2315532 */   GIR_EraseRootFromParent_Done,
     /* 2315533 */ // Label 31992: @2315533
     /* 2315533 */ GIM_Try, /*On fail goto*//*Label 31993*/ GIMT_Encode4(2315587), // Rule ID 57940 //
     /* 2315538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2315541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2315544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315552 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315552 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2315555 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315559 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315564 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2315569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315571 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315574 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315585 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315586 */   // GIR_Coverage, 57940,
     /* 2315586 */   GIR_EraseRootFromParent_Done,
     /* 2315587 */ // Label 31993: @2315587
     /* 2315587 */ GIM_Reject,
     /* 2315588 */ // Label 31941: @2315588
     /* 2315588 */ GIM_Try, /*On fail goto*//*Label 31994*/ GIMT_Encode4(2315691),
     /* 2315593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2315596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315604 */   GIM_Try, /*On fail goto*//*Label 31995*/ GIMT_Encode4(2315647), // Rule ID 58131 //
     /* 2315609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315612 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2315615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2315629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315646 */     // GIR_Coverage, 58131,
     /* 2315646 */     GIR_EraseRootFromParent_Done,
     /* 2315647 */   // Label 31995: @2315647
     /* 2315647 */   GIM_Try, /*On fail goto*//*Label 31996*/ GIMT_Encode4(2315690), // Rule ID 58132 //
     /* 2315652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315655 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2315658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2315672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315689 */     // GIR_Coverage, 58132,
     /* 2315689 */     GIR_EraseRootFromParent_Done,
     /* 2315690 */   // Label 31996: @2315690
     /* 2315690 */   GIM_Reject,
     /* 2315691 */ // Label 31994: @2315691
     /* 2315691 */ GIM_Reject,
     /* 2315692 */ // Label 31942: @2315692
     /* 2315692 */ GIM_Try, /*On fail goto*//*Label 31997*/ GIMT_Encode4(2315746), // Rule ID 57715 //
     /* 2315697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2315703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315707 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315711 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315711 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2315714 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315718 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315723 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315725 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2315728 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315730 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315733 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315744 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315745 */   // GIR_Coverage, 57715,
     /* 2315745 */   GIR_EraseRootFromParent_Done,
     /* 2315746 */ // Label 31997: @2315746
     /* 2315746 */ GIM_Try, /*On fail goto*//*Label 31998*/ GIMT_Encode4(2315800), // Rule ID 57716 //
     /* 2315751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2315757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315765 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315765 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2315768 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315772 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315777 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2315782 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315784 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315787 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315798 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315799 */   // GIR_Coverage, 57716,
     /* 2315799 */   GIR_EraseRootFromParent_Done,
     /* 2315800 */ // Label 31998: @2315800
     /* 2315800 */ GIM_Try, /*On fail goto*//*Label 31999*/ GIMT_Encode4(2315854), // Rule ID 58155 //
     /* 2315805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2315808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2315811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315819 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315819 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2315822 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315826 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315831 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2315836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315838 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315841 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315852 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315853 */   // GIR_Coverage, 58155,
     /* 2315853 */   GIR_EraseRootFromParent_Done,
     /* 2315854 */ // Label 31999: @2315854
     /* 2315854 */ GIM_Try, /*On fail goto*//*Label 32000*/ GIMT_Encode4(2315908), // Rule ID 58156 //
     /* 2315859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2315862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2315865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315873 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315873 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2315876 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315880 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315885 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2315890 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315892 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315895 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315906 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315907 */   // GIR_Coverage, 58156,
     /* 2315907 */   GIR_EraseRootFromParent_Done,
     /* 2315908 */ // Label 32000: @2315908
     /* 2315908 */ GIM_Reject,
     /* 2315909 */ // Label 31943: @2315909
     /* 2315909 */ GIM_Try, /*On fail goto*//*Label 32001*/ GIMT_Encode4(2315963), // Rule ID 57727 //
     /* 2315914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2315917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2315920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315928 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315928 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2315931 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315935 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315940 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2315945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315947 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315950 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315961 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315962 */   // GIR_Coverage, 57727,
     /* 2315962 */   GIR_EraseRootFromParent_Done,
     /* 2315963 */ // Label 32001: @2315963
     /* 2315963 */ GIM_Try, /*On fail goto*//*Label 32002*/ GIMT_Encode4(2316017), // Rule ID 57728 //
     /* 2315968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2315971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2315974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315982 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315982 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2315985 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315989 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315994 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2315999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316001 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316004 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316015 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316016 */   // GIR_Coverage, 57728,
     /* 2316016 */   GIR_EraseRootFromParent_Done,
     /* 2316017 */ // Label 32002: @2316017
     /* 2316017 */ GIM_Try, /*On fail goto*//*Label 32003*/ GIMT_Encode4(2316071), // Rule ID 57923 //
     /* 2316022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2316028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316036 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316036 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2316039 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316043 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316048 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2316053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316055 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316058 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316069 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316070 */   // GIR_Coverage, 57923,
     /* 2316070 */   GIR_EraseRootFromParent_Done,
     /* 2316071 */ // Label 32003: @2316071
     /* 2316071 */ GIM_Try, /*On fail goto*//*Label 32004*/ GIMT_Encode4(2316125), // Rule ID 57924 //
     /* 2316076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2316082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316090 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316090 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2316093 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316097 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316102 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2316107 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316109 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316112 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316123 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316124 */   // GIR_Coverage, 57924,
     /* 2316124 */   GIR_EraseRootFromParent_Done,
     /* 2316125 */ // Label 32004: @2316125
     /* 2316125 */ GIM_Try, /*On fail goto*//*Label 32005*/ GIMT_Encode4(2316179), // Rule ID 58175 //
     /* 2316130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2316133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2316136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316144 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316144 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2316147 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316151 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316156 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2316161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316163 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316166 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316177 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316178 */   // GIR_Coverage, 58175,
     /* 2316178 */   GIR_EraseRootFromParent_Done,
     /* 2316179 */ // Label 32005: @2316179
     /* 2316179 */ GIM_Try, /*On fail goto*//*Label 32006*/ GIMT_Encode4(2316233), // Rule ID 58176 //
     /* 2316184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2316187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2316190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316198 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316198 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2316201 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316205 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316210 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2316215 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316217 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316220 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316231 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316232 */   // GIR_Coverage, 58176,
     /* 2316232 */   GIR_EraseRootFromParent_Done,
     /* 2316233 */ // Label 32006: @2316233
     /* 2316233 */ GIM_Reject,
     /* 2316234 */ // Label 31944: @2316234
     /* 2316234 */ GIM_Try, /*On fail goto*//*Label 32007*/ GIMT_Encode4(2316288), // Rule ID 57759 //
     /* 2316239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2316242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2316245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316253 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316253 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2316256 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316260 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316265 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2316270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316272 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316275 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316286 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316287 */   // GIR_Coverage, 57759,
     /* 2316287 */   GIR_EraseRootFromParent_Done,
     /* 2316288 */ // Label 32007: @2316288
     /* 2316288 */ GIM_Try, /*On fail goto*//*Label 32008*/ GIMT_Encode4(2316342), // Rule ID 57760 //
     /* 2316293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2316296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2316299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316307 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316307 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2316310 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316314 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316319 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2316324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316326 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316329 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316340 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316341 */   // GIR_Coverage, 57760,
     /* 2316341 */   GIR_EraseRootFromParent_Done,
     /* 2316342 */ // Label 32008: @2316342
     /* 2316342 */ GIM_Try, /*On fail goto*//*Label 32009*/ GIMT_Encode4(2316396), // Rule ID 57943 //
     /* 2316347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2316350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2316353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316361 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316361 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2316364 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316368 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316373 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2316378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316380 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316383 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316394 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316395 */   // GIR_Coverage, 57943,
     /* 2316395 */   GIR_EraseRootFromParent_Done,
     /* 2316396 */ // Label 32009: @2316396
     /* 2316396 */ GIM_Try, /*On fail goto*//*Label 32010*/ GIMT_Encode4(2316450), // Rule ID 57944 //
     /* 2316401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2316404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2316407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316411 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316415 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316415 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2316418 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316422 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316427 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2316432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316434 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316437 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316448 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316449 */   // GIR_Coverage, 57944,
     /* 2316449 */   GIR_EraseRootFromParent_Done,
     /* 2316450 */ // Label 32010: @2316450
     /* 2316450 */ GIM_Reject,
     /* 2316451 */ // Label 31945: @2316451
     /* 2316451 */ GIM_Try, /*On fail goto*//*Label 32011*/ GIMT_Encode4(2316554),
     /* 2316456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316467 */   GIM_Try, /*On fail goto*//*Label 32012*/ GIMT_Encode4(2316510), // Rule ID 58135 //
     /* 2316472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316475 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2316478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2316492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316509 */     // GIR_Coverage, 58135,
     /* 2316509 */     GIR_EraseRootFromParent_Done,
     /* 2316510 */   // Label 32012: @2316510
     /* 2316510 */   GIM_Try, /*On fail goto*//*Label 32013*/ GIMT_Encode4(2316553), // Rule ID 58136 //
     /* 2316515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316518 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2316521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2316535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316552 */     // GIR_Coverage, 58136,
     /* 2316552 */     GIR_EraseRootFromParent_Done,
     /* 2316553 */   // Label 32013: @2316553
     /* 2316553 */   GIM_Reject,
     /* 2316554 */ // Label 32011: @2316554
     /* 2316554 */ GIM_Reject,
     /* 2316555 */ // Label 31946: @2316555
     /* 2316555 */ GIM_Try, /*On fail goto*//*Label 32014*/ GIMT_Encode4(2316609), // Rule ID 57723 //
     /* 2316560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316574 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316574 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2316577 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316581 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316586 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2316591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316593 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316596 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316607 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316608 */   // GIR_Coverage, 57723,
     /* 2316608 */   GIR_EraseRootFromParent_Done,
     /* 2316609 */ // Label 32014: @2316609
     /* 2316609 */ GIM_Try, /*On fail goto*//*Label 32015*/ GIMT_Encode4(2316663), // Rule ID 57724 //
     /* 2316614 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316624 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316628 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316628 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2316631 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316635 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316640 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2316645 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316647 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316650 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316662 */   // GIR_Coverage, 57724,
     /* 2316662 */   GIR_EraseRootFromParent_Done,
     /* 2316663 */ // Label 32015: @2316663
     /* 2316663 */ GIM_Try, /*On fail goto*//*Label 32016*/ GIMT_Encode4(2316717), // Rule ID 58159 //
     /* 2316668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2316671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2316674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316682 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316682 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2316685 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316689 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316694 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2316699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316701 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316704 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316716 */   // GIR_Coverage, 58159,
     /* 2316716 */   GIR_EraseRootFromParent_Done,
     /* 2316717 */ // Label 32016: @2316717
     /* 2316717 */ GIM_Try, /*On fail goto*//*Label 32017*/ GIMT_Encode4(2316771), // Rule ID 58160 //
     /* 2316722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2316725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2316728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316736 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316736 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2316739 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316743 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316748 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2316753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316755 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316758 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316769 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316770 */   // GIR_Coverage, 58160,
     /* 2316770 */   GIR_EraseRootFromParent_Done,
     /* 2316771 */ // Label 32017: @2316771
     /* 2316771 */ GIM_Reject,
     /* 2316772 */ // Label 31947: @2316772
     /* 2316772 */ GIM_Try, /*On fail goto*//*Label 32018*/ GIMT_Encode4(2316826), // Rule ID 57747 //
     /* 2316777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2316780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2316783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316791 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316791 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2316794 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316798 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316803 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2316808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316810 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316813 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316825 */   // GIR_Coverage, 57747,
     /* 2316825 */   GIR_EraseRootFromParent_Done,
     /* 2316826 */ // Label 32018: @2316826
     /* 2316826 */ GIM_Try, /*On fail goto*//*Label 32019*/ GIMT_Encode4(2316880), // Rule ID 57748 //
     /* 2316831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2316834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2316837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316845 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316845 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2316848 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316852 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316857 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2316862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316864 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316867 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316879 */   // GIR_Coverage, 57748,
     /* 2316879 */   GIR_EraseRootFromParent_Done,
     /* 2316880 */ // Label 32019: @2316880
     /* 2316880 */ GIM_Try, /*On fail goto*//*Label 32020*/ GIMT_Encode4(2316934), // Rule ID 57927 //
     /* 2316885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316899 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316899 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2316902 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316906 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316911 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2316916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316918 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316921 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316932 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316933 */   // GIR_Coverage, 57927,
     /* 2316933 */   GIR_EraseRootFromParent_Done,
     /* 2316934 */ // Label 32020: @2316934
     /* 2316934 */ GIM_Try, /*On fail goto*//*Label 32021*/ GIMT_Encode4(2316988), // Rule ID 57928 //
     /* 2316939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316953 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316953 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2316956 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316960 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316965 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316967 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2316970 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316972 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316975 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316986 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316987 */   // GIR_Coverage, 57928,
     /* 2316987 */   GIR_EraseRootFromParent_Done,
     /* 2316988 */ // Label 32021: @2316988
     /* 2316988 */ GIM_Try, /*On fail goto*//*Label 32022*/ GIMT_Encode4(2317042), // Rule ID 58179 //
     /* 2316993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2316996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2316999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317007 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317007 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2317010 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317014 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317019 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2317024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317026 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317029 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317040 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317041 */   // GIR_Coverage, 58179,
     /* 2317041 */   GIR_EraseRootFromParent_Done,
     /* 2317042 */ // Label 32022: @2317042
     /* 2317042 */ GIM_Try, /*On fail goto*//*Label 32023*/ GIMT_Encode4(2317096), // Rule ID 58180 //
     /* 2317047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2317050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2317053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317057 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317061 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317061 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2317064 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317068 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317073 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2317078 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317080 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317083 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317094 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317095 */   // GIR_Coverage, 58180,
     /* 2317095 */   GIR_EraseRootFromParent_Done,
     /* 2317096 */ // Label 32023: @2317096
     /* 2317096 */ GIM_Reject,
     /* 2317097 */ // Label 31948: @2317097
     /* 2317097 */ GIM_Try, /*On fail goto*//*Label 32024*/ GIMT_Encode4(2317151), // Rule ID 57763 //
     /* 2317102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2317105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2317108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317116 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317116 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2317119 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317123 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317128 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2317133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317135 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317138 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317150 */   // GIR_Coverage, 57763,
     /* 2317150 */   GIR_EraseRootFromParent_Done,
     /* 2317151 */ // Label 32024: @2317151
     /* 2317151 */ GIM_Try, /*On fail goto*//*Label 32025*/ GIMT_Encode4(2317205), // Rule ID 57764 //
     /* 2317156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2317159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2317162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317170 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317170 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2317173 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317177 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317182 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2317187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317189 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317192 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317204 */   // GIR_Coverage, 57764,
     /* 2317204 */   GIR_EraseRootFromParent_Done,
     /* 2317205 */ // Label 32025: @2317205
     /* 2317205 */ GIM_Try, /*On fail goto*//*Label 32026*/ GIMT_Encode4(2317259), // Rule ID 57947 //
     /* 2317210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2317213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317224 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317224 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2317227 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317231 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317236 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2317241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317243 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317246 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317257 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317258 */   // GIR_Coverage, 57947,
     /* 2317258 */   GIR_EraseRootFromParent_Done,
     /* 2317259 */ // Label 32026: @2317259
     /* 2317259 */ GIM_Try, /*On fail goto*//*Label 32027*/ GIMT_Encode4(2317313), // Rule ID 57948 //
     /* 2317264 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2317267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317278 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317278 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2317281 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317285 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317290 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2317295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317297 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317300 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317311 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317312 */   // GIR_Coverage, 57948,
     /* 2317312 */   GIR_EraseRootFromParent_Done,
     /* 2317313 */ // Label 32027: @2317313
     /* 2317313 */ GIM_Reject,
     /* 2317314 */ // Label 31949: @2317314
     /* 2317314 */ GIM_Try, /*On fail goto*//*Label 32028*/ GIMT_Encode4(2317417),
     /* 2317319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317330 */   GIM_Try, /*On fail goto*//*Label 32029*/ GIMT_Encode4(2317373), // Rule ID 58139 //
     /* 2317335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317338 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2317341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2317355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317372 */     // GIR_Coverage, 58139,
     /* 2317372 */     GIR_EraseRootFromParent_Done,
     /* 2317373 */   // Label 32029: @2317373
     /* 2317373 */   GIM_Try, /*On fail goto*//*Label 32030*/ GIMT_Encode4(2317416), // Rule ID 58140 //
     /* 2317378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317381 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2317384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2317398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317415 */     // GIR_Coverage, 58140,
     /* 2317415 */     GIR_EraseRootFromParent_Done,
     /* 2317416 */   // Label 32030: @2317416
     /* 2317416 */   GIM_Reject,
     /* 2317417 */ // Label 32028: @2317417
     /* 2317417 */ GIM_Reject,
     /* 2317418 */ // Label 31950: @2317418
     /* 2317418 */ GIM_Try, /*On fail goto*//*Label 32031*/ GIMT_Encode4(2317472), // Rule ID 57735 //
     /* 2317423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317437 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317437 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2317440 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317444 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317449 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2317454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317456 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317459 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317470 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317471 */   // GIR_Coverage, 57735,
     /* 2317471 */   GIR_EraseRootFromParent_Done,
     /* 2317472 */ // Label 32031: @2317472
     /* 2317472 */ GIM_Try, /*On fail goto*//*Label 32032*/ GIMT_Encode4(2317526), // Rule ID 57736 //
     /* 2317477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317487 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317491 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317491 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2317494 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317498 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317503 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317505 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2317508 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317510 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317513 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317524 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317525 */   // GIR_Coverage, 57736,
     /* 2317525 */   GIR_EraseRootFromParent_Done,
     /* 2317526 */ // Label 32032: @2317526
     /* 2317526 */ GIM_Try, /*On fail goto*//*Label 32033*/ GIMT_Encode4(2317580), // Rule ID 58163 //
     /* 2317531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2317534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2317537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317545 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317545 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2317548 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317552 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317557 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2317562 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317564 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317567 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317578 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317579 */   // GIR_Coverage, 58163,
     /* 2317579 */   GIR_EraseRootFromParent_Done,
     /* 2317580 */ // Label 32033: @2317580
     /* 2317580 */ GIM_Try, /*On fail goto*//*Label 32034*/ GIMT_Encode4(2317634), // Rule ID 58164 //
     /* 2317585 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2317588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2317591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317599 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317599 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2317602 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317606 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317611 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2317616 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317618 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317621 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317632 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317633 */   // GIR_Coverage, 58164,
     /* 2317633 */   GIR_EraseRootFromParent_Done,
     /* 2317634 */ // Label 32034: @2317634
     /* 2317634 */ GIM_Reject,
     /* 2317635 */ // Label 31951: @2317635
     /* 2317635 */ GIM_Try, /*On fail goto*//*Label 32035*/ GIMT_Encode4(2317689), // Rule ID 57751 //
     /* 2317640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2317643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2317646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317654 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317654 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2317657 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317661 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317666 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2317671 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317673 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317676 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317687 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317688 */   // GIR_Coverage, 57751,
     /* 2317688 */   GIR_EraseRootFromParent_Done,
     /* 2317689 */ // Label 32035: @2317689
     /* 2317689 */ GIM_Try, /*On fail goto*//*Label 32036*/ GIMT_Encode4(2317743), // Rule ID 57752 //
     /* 2317694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2317697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2317700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317708 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317708 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2317711 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317715 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317720 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2317725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317727 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317730 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317741 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317742 */   // GIR_Coverage, 57752,
     /* 2317742 */   GIR_EraseRootFromParent_Done,
     /* 2317743 */ // Label 32036: @2317743
     /* 2317743 */ GIM_Try, /*On fail goto*//*Label 32037*/ GIMT_Encode4(2317797), // Rule ID 57931 //
     /* 2317748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317762 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317762 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2317765 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317769 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317774 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2317779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317781 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317784 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317795 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317796 */   // GIR_Coverage, 57931,
     /* 2317796 */   GIR_EraseRootFromParent_Done,
     /* 2317797 */ // Label 32037: @2317797
     /* 2317797 */ GIM_Try, /*On fail goto*//*Label 32038*/ GIMT_Encode4(2317851), // Rule ID 57932 //
     /* 2317802 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317816 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317816 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2317819 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317823 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317828 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2317833 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317835 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317838 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317849 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317850 */   // GIR_Coverage, 57932,
     /* 2317850 */   GIR_EraseRootFromParent_Done,
     /* 2317851 */ // Label 32038: @2317851
     /* 2317851 */ GIM_Try, /*On fail goto*//*Label 32039*/ GIMT_Encode4(2317905), // Rule ID 58183 //
     /* 2317856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2317859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2317862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2317870 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317870 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2317873 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317877 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317882 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317884 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2317887 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317889 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317892 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317903 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317904 */   // GIR_Coverage, 58183,
     /* 2317904 */   GIR_EraseRootFromParent_Done,
     /* 2317905 */ // Label 32039: @2317905
     /* 2317905 */ GIM_Try, /*On fail goto*//*Label 32040*/ GIMT_Encode4(2317959), // Rule ID 58184 //
     /* 2317910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2317913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2317916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2317924 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317924 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2317927 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317931 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317936 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2317941 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317943 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317946 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317957 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317958 */   // GIR_Coverage, 58184,
     /* 2317958 */   GIR_EraseRootFromParent_Done,
     /* 2317959 */ // Label 32040: @2317959
     /* 2317959 */ GIM_Reject,
     /* 2317960 */ // Label 31952: @2317960
     /* 2317960 */ GIM_Try, /*On fail goto*//*Label 32041*/ GIMT_Encode4(2318014), // Rule ID 57767 //
     /* 2317965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2317968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2317971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2317975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2317979 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317979 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2317982 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317986 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317991 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2317996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317998 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318001 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318013 */   // GIR_Coverage, 57767,
     /* 2318013 */   GIR_EraseRootFromParent_Done,
     /* 2318014 */ // Label 32041: @2318014
     /* 2318014 */ GIM_Try, /*On fail goto*//*Label 32042*/ GIMT_Encode4(2318068), // Rule ID 57768 //
     /* 2318019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2318022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2318025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318033 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318033 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2318036 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318040 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318045 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2318050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318052 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318055 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318066 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318067 */   // GIR_Coverage, 57768,
     /* 2318067 */   GIR_EraseRootFromParent_Done,
     /* 2318068 */ // Label 32042: @2318068
     /* 2318068 */ GIM_Try, /*On fail goto*//*Label 32043*/ GIMT_Encode4(2318122), // Rule ID 57951 //
     /* 2318073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2318076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318087 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318087 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2318090 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318094 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318099 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2318104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318106 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318109 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318121 */   // GIR_Coverage, 57951,
     /* 2318121 */   GIR_EraseRootFromParent_Done,
     /* 2318122 */ // Label 32043: @2318122
     /* 2318122 */ GIM_Try, /*On fail goto*//*Label 32044*/ GIMT_Encode4(2318176), // Rule ID 57952 //
     /* 2318127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2318130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318141 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318141 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2318144 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318148 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318153 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2318158 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318160 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318163 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318174 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318175 */   // GIR_Coverage, 57952,
     /* 2318175 */   GIR_EraseRootFromParent_Done,
     /* 2318176 */ // Label 32044: @2318176
     /* 2318176 */ GIM_Reject,
     /* 2318177 */ // Label 31953: @2318177
     /* 2318177 */ GIM_Try, /*On fail goto*//*Label 32045*/ GIMT_Encode4(2318280),
     /* 2318182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2318185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318193 */   GIM_Try, /*On fail goto*//*Label 32046*/ GIMT_Encode4(2318236), // Rule ID 58143 //
     /* 2318198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318201 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2318204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2318218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318235 */     // GIR_Coverage, 58143,
     /* 2318235 */     GIR_EraseRootFromParent_Done,
     /* 2318236 */   // Label 32046: @2318236
     /* 2318236 */   GIM_Try, /*On fail goto*//*Label 32047*/ GIMT_Encode4(2318279), // Rule ID 58144 //
     /* 2318241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318244 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2318247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2318261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318278 */     // GIR_Coverage, 58144,
     /* 2318278 */     GIR_EraseRootFromParent_Done,
     /* 2318279 */   // Label 32047: @2318279
     /* 2318279 */   GIM_Reject,
     /* 2318280 */ // Label 32045: @2318280
     /* 2318280 */ GIM_Reject,
     /* 2318281 */ // Label 31954: @2318281
     /* 2318281 */ GIM_Try, /*On fail goto*//*Label 32048*/ GIMT_Encode4(2318335), // Rule ID 57739 //
     /* 2318286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2318292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318300 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318300 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2318303 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318307 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318312 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318314 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2318317 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318319 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318322 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318333 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318334 */   // GIR_Coverage, 57739,
     /* 2318334 */   GIR_EraseRootFromParent_Done,
     /* 2318335 */ // Label 32048: @2318335
     /* 2318335 */ GIM_Try, /*On fail goto*//*Label 32049*/ GIMT_Encode4(2318389), // Rule ID 57740 //
     /* 2318340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2318346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318354 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318354 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2318357 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318361 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318366 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2318371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318373 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318376 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318387 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318388 */   // GIR_Coverage, 57740,
     /* 2318388 */   GIR_EraseRootFromParent_Done,
     /* 2318389 */ // Label 32049: @2318389
     /* 2318389 */ GIM_Try, /*On fail goto*//*Label 32050*/ GIMT_Encode4(2318443), // Rule ID 58167 //
     /* 2318394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2318397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2318400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318408 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318408 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2318411 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318415 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318420 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2318425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318427 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318430 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318441 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318442 */   // GIR_Coverage, 58167,
     /* 2318442 */   GIR_EraseRootFromParent_Done,
     /* 2318443 */ // Label 32050: @2318443
     /* 2318443 */ GIM_Try, /*On fail goto*//*Label 32051*/ GIMT_Encode4(2318497), // Rule ID 58168 //
     /* 2318448 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2318451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2318454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318462 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318462 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2318465 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318469 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318474 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318476 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2318479 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318481 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318484 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318496 */   // GIR_Coverage, 58168,
     /* 2318496 */   GIR_EraseRootFromParent_Done,
     /* 2318497 */ // Label 32051: @2318497
     /* 2318497 */ GIM_Reject,
     /* 2318498 */ // Label 31955: @2318498
     /* 2318498 */ GIM_Try, /*On fail goto*//*Label 32052*/ GIMT_Encode4(2318552), // Rule ID 57755 //
     /* 2318503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2318506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2318509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318517 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318517 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2318520 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318524 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318529 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2318534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318536 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318539 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318550 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318551 */   // GIR_Coverage, 57755,
     /* 2318551 */   GIR_EraseRootFromParent_Done,
     /* 2318552 */ // Label 32052: @2318552
     /* 2318552 */ GIM_Try, /*On fail goto*//*Label 32053*/ GIMT_Encode4(2318606), // Rule ID 57756 //
     /* 2318557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2318560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2318563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318571 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318571 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2318574 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318578 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318583 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318585 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2318588 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318590 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318593 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318604 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318605 */   // GIR_Coverage, 57756,
     /* 2318605 */   GIR_EraseRootFromParent_Done,
     /* 2318606 */ // Label 32053: @2318606
     /* 2318606 */ GIM_Try, /*On fail goto*//*Label 32054*/ GIMT_Encode4(2318660), // Rule ID 57935 //
     /* 2318611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2318617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318625 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318625 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2318628 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318632 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318637 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2318642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318644 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318647 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318659 */   // GIR_Coverage, 57935,
     /* 2318659 */   GIR_EraseRootFromParent_Done,
     /* 2318660 */ // Label 32054: @2318660
     /* 2318660 */ GIM_Try, /*On fail goto*//*Label 32055*/ GIMT_Encode4(2318714), // Rule ID 57936 //
     /* 2318665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2318671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318675 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318679 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318679 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2318682 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318686 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318691 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2318696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318698 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318701 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318712 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318713 */   // GIR_Coverage, 57936,
     /* 2318713 */   GIR_EraseRootFromParent_Done,
     /* 2318714 */ // Label 32055: @2318714
     /* 2318714 */ GIM_Reject,
     /* 2318715 */ // Label 31956: @2318715
     /* 2318715 */ GIM_Try, /*On fail goto*//*Label 32056*/ GIMT_Encode4(2318818),
     /* 2318720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2318723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318727 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318731 */   GIM_Try, /*On fail goto*//*Label 32057*/ GIMT_Encode4(2318774), // Rule ID 58147 //
     /* 2318736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318739 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2318742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2318756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318773 */     // GIR_Coverage, 58147,
     /* 2318773 */     GIR_EraseRootFromParent_Done,
     /* 2318774 */   // Label 32057: @2318774
     /* 2318774 */   GIM_Try, /*On fail goto*//*Label 32058*/ GIMT_Encode4(2318817), // Rule ID 58148 //
     /* 2318779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318782 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2318785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2318799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318816 */     // GIR_Coverage, 58148,
     /* 2318816 */     GIR_EraseRootFromParent_Done,
     /* 2318817 */   // Label 32058: @2318817
     /* 2318817 */   GIM_Reject,
     /* 2318818 */ // Label 32056: @2318818
     /* 2318818 */ GIM_Reject,
     /* 2318819 */ // Label 31957: @2318819
     /* 2318819 */ GIM_Try, /*On fail goto*//*Label 32059*/ GIMT_Encode4(2318922),
     /* 2318824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2318827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318835 */   GIM_Try, /*On fail goto*//*Label 32060*/ GIMT_Encode4(2318878), // Rule ID 57743 //
     /* 2318840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318843 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2318846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2318860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318877 */     // GIR_Coverage, 57743,
     /* 2318877 */     GIR_EraseRootFromParent_Done,
     /* 2318878 */   // Label 32060: @2318878
     /* 2318878 */   GIM_Try, /*On fail goto*//*Label 32061*/ GIMT_Encode4(2318921), // Rule ID 57744 //
     /* 2318883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318886 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2318889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2318903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318920 */     // GIR_Coverage, 57744,
     /* 2318920 */     GIR_EraseRootFromParent_Done,
     /* 2318921 */   // Label 32061: @2318921
     /* 2318921 */   GIM_Reject,
     /* 2318922 */ // Label 32059: @2318922
     /* 2318922 */ GIM_Reject,
     /* 2318923 */ // Label 31958: @2318923
     /* 2318923 */ GIM_Reject,
     /* 2318924 */ // Label 67: @2318924
     /* 2318924 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32080*/ GIMT_Encode4(2324209),
     /* 2318935 */ /*GILLT_s16*//*Label 32062*/ GIMT_Encode4(2319055),
     /* 2318939 */ /*GILLT_s32*//*Label 32063*/ GIMT_Encode4(2319316),
     /* 2318943 */ /*GILLT_s64*//*Label 32064*/ GIMT_Encode4(2319577), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2318955 */ /*GILLT_nxv1s16*//*Label 32065*/ GIMT_Encode4(2319838),
     /* 2318959 */ /*GILLT_nxv1s32*//*Label 32066*/ GIMT_Encode4(2320175),
     /* 2318963 */ /*GILLT_nxv1s64*//*Label 32067*/ GIMT_Encode4(2320512), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2318975 */ /*GILLT_nxv2s16*//*Label 32068*/ GIMT_Encode4(2320735),
     /* 2318979 */ /*GILLT_nxv2s32*//*Label 32069*/ GIMT_Encode4(2321072),
     /* 2318983 */ /*GILLT_nxv2s64*//*Label 32070*/ GIMT_Encode4(2321409), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2318995 */ /*GILLT_nxv4s16*//*Label 32071*/ GIMT_Encode4(2321632),
     /* 2318999 */ /*GILLT_nxv4s32*//*Label 32072*/ GIMT_Encode4(2321969),
     /* 2319003 */ /*GILLT_nxv4s64*//*Label 32073*/ GIMT_Encode4(2322306), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2319015 */ /*GILLT_nxv8s16*//*Label 32074*/ GIMT_Encode4(2322529),
     /* 2319019 */ /*GILLT_nxv8s32*//*Label 32075*/ GIMT_Encode4(2322866),
     /* 2319023 */ /*GILLT_nxv8s64*//*Label 32076*/ GIMT_Encode4(2323203), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2319035 */ /*GILLT_nxv16s16*//*Label 32077*/ GIMT_Encode4(2323426),
     /* 2319039 */ /*GILLT_nxv16s32*//*Label 32078*/ GIMT_Encode4(2323763), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2319051 */ /*GILLT_nxv32s16*//*Label 32079*/ GIMT_Encode4(2323986),
     /* 2319055 */ // Label 32062: @2319055
     /* 2319055 */ GIM_Try, /*On fail goto*//*Label 32081*/ GIMT_Encode4(2319092), // Rule ID 2120 //
     /* 2319060 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2319063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2319070 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2319077 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2319077 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2319080 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319082 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2319087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319090 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319091 */   // GIR_Coverage, 2120,
     /* 2319091 */   GIR_EraseRootFromParent_Done,
     /* 2319092 */ // Label 32081: @2319092
     /* 2319092 */ GIM_Try, /*On fail goto*//*Label 32082*/ GIMT_Encode4(2319129), // Rule ID 2146 //
     /* 2319097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2319100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2319107 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2319114 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2319114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2319117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319119 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2319124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319127 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319128 */   // GIR_Coverage, 2146,
     /* 2319128 */   GIR_EraseRootFromParent_Done,
     /* 2319129 */ // Label 32082: @2319129
     /* 2319129 */ GIM_Try, /*On fail goto*//*Label 32083*/ GIMT_Encode4(2319160), // Rule ID 2069 //
     /* 2319134 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2319137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2319140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2319144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319148 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2319148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2319151 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319153 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319159 */   // GIR_Coverage, 2069,
     /* 2319159 */   GIR_EraseRootFromParent_Done,
     /* 2319160 */ // Label 32083: @2319160
     /* 2319160 */ GIM_Try, /*On fail goto*//*Label 32084*/ GIMT_Encode4(2319191), // Rule ID 2070 //
     /* 2319165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2319168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2319171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2319175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319179 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2319179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2319182 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319184 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319189 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319190 */   // GIR_Coverage, 2070,
     /* 2319190 */   GIR_EraseRootFromParent_Done,
     /* 2319191 */ // Label 32084: @2319191
     /* 2319191 */ GIM_Try, /*On fail goto*//*Label 32085*/ GIMT_Encode4(2319222), // Rule ID 2095 //
     /* 2319196 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2319199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2319202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2319206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319210 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2319210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2319213 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319215 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319220 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319221 */   // GIR_Coverage, 2095,
     /* 2319221 */   GIR_EraseRootFromParent_Done,
     /* 2319222 */ // Label 32085: @2319222
     /* 2319222 */ GIM_Try, /*On fail goto*//*Label 32086*/ GIMT_Encode4(2319253), // Rule ID 2096 //
     /* 2319227 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2319230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2319233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2319237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319241 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2319241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2319244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319246 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319251 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319252 */   // GIR_Coverage, 2096,
     /* 2319252 */   GIR_EraseRootFromParent_Done,
     /* 2319253 */ // Label 32086: @2319253
     /* 2319253 */ GIM_Try, /*On fail goto*//*Label 32087*/ GIMT_Encode4(2319284), // Rule ID 2124 //
     /* 2319258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2319261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2319268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319272 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2319272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L),
     /* 2319275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319277 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319283 */   // GIR_Coverage, 2124,
     /* 2319283 */   GIR_EraseRootFromParent_Done,
     /* 2319284 */ // Label 32087: @2319284
     /* 2319284 */ GIM_Try, /*On fail goto*//*Label 32088*/ GIMT_Encode4(2319315), // Rule ID 2150 //
     /* 2319289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2319292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2319299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319303 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2319303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L_INX),
     /* 2319306 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319308 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319313 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319314 */   // GIR_Coverage, 2150,
     /* 2319314 */   GIR_EraseRootFromParent_Done,
     /* 2319315 */ // Label 32088: @2319315
     /* 2319315 */ GIM_Reject,
     /* 2319316 */ // Label 32063: @2319316
     /* 2319316 */ GIM_Try, /*On fail goto*//*Label 32089*/ GIMT_Encode4(2319353), // Rule ID 1386 //
     /* 2319321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2319324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2319331 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2319338 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2319338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2319341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319343 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2319348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319351 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319352 */   // GIR_Coverage, 1386,
     /* 2319352 */   GIR_EraseRootFromParent_Done,
     /* 2319353 */ // Label 32089: @2319353
     /* 2319353 */ GIM_Try, /*On fail goto*//*Label 32090*/ GIMT_Encode4(2319390), // Rule ID 1414 //
     /* 2319358 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2319361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2319368 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2319375 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2319375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2319378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319380 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2319385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319388 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319389 */   // GIR_Coverage, 1414,
     /* 2319389 */   GIR_EraseRootFromParent_Done,
     /* 2319390 */ // Label 32090: @2319390
     /* 2319390 */ GIM_Try, /*On fail goto*//*Label 32091*/ GIMT_Encode4(2319421), // Rule ID 1333 //
     /* 2319395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2319398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2319401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2319405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319409 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2319409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2319412 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319414 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319419 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319420 */   // GIR_Coverage, 1333,
     /* 2319420 */   GIR_EraseRootFromParent_Done,
     /* 2319421 */ // Label 32091: @2319421
     /* 2319421 */ GIM_Try, /*On fail goto*//*Label 32092*/ GIMT_Encode4(2319452), // Rule ID 1334 //
     /* 2319426 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2319429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2319432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2319436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319440 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2319440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2319443 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319445 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319450 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319451 */   // GIR_Coverage, 1334,
     /* 2319451 */   GIR_EraseRootFromParent_Done,
     /* 2319452 */ // Label 32092: @2319452
     /* 2319452 */ GIM_Try, /*On fail goto*//*Label 32093*/ GIMT_Encode4(2319483), // Rule ID 1359 //
     /* 2319457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2319460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2319463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2319467 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319471 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2319471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2319474 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319476 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319481 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319482 */   // GIR_Coverage, 1359,
     /* 2319482 */   GIR_EraseRootFromParent_Done,
     /* 2319483 */ // Label 32093: @2319483
     /* 2319483 */ GIM_Try, /*On fail goto*//*Label 32094*/ GIMT_Encode4(2319514), // Rule ID 1360 //
     /* 2319488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2319491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2319494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2319498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319502 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2319502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2319505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319507 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319512 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319513 */   // GIR_Coverage, 1360,
     /* 2319513 */   GIR_EraseRootFromParent_Done,
     /* 2319514 */ // Label 32094: @2319514
     /* 2319514 */ GIM_Try, /*On fail goto*//*Label 32095*/ GIMT_Encode4(2319545), // Rule ID 1390 //
     /* 2319519 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2319522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2319529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319533 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2319533 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L),
     /* 2319536 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319538 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319543 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319544 */   // GIR_Coverage, 1390,
     /* 2319544 */   GIR_EraseRootFromParent_Done,
     /* 2319545 */ // Label 32095: @2319545
     /* 2319545 */ GIM_Try, /*On fail goto*//*Label 32096*/ GIMT_Encode4(2319576), // Rule ID 1418 //
     /* 2319550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2319553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2319560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319564 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2319564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L_INX),
     /* 2319567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319569 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319574 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319575 */   // GIR_Coverage, 1418,
     /* 2319575 */   GIR_EraseRootFromParent_Done,
     /* 2319576 */ // Label 32096: @2319576
     /* 2319576 */ GIM_Reject,
     /* 2319577 */ // Label 32064: @2319577
     /* 2319577 */ GIM_Try, /*On fail goto*//*Label 32097*/ GIMT_Encode4(2319614), // Rule ID 1766 //
     /* 2319582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2319585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2319592 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2319599 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2319599 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2319602 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319604 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2319609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2319612 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319613 */   // GIR_Coverage, 1766,
     /* 2319613 */   GIR_EraseRootFromParent_Done,
     /* 2319614 */ // Label 32097: @2319614
     /* 2319614 */ GIM_Try, /*On fail goto*//*Label 32098*/ GIMT_Encode4(2319651), // Rule ID 1794 //
     /* 2319619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2319622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319629 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2319636 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2319636 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_INX),
     /* 2319639 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319641 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2319646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2319649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319650 */   // GIR_Coverage, 1794,
     /* 2319650 */   GIR_EraseRootFromParent_Done,
     /* 2319651 */ // Label 32098: @2319651
     /* 2319651 */ GIM_Try, /*On fail goto*//*Label 32099*/ GIMT_Encode4(2319682), // Rule ID 1727 //
     /* 2319656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2319659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2319662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2319666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319670 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2319670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2319673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319675 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2319680 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319681 */   // GIR_Coverage, 1727,
     /* 2319681 */   GIR_EraseRootFromParent_Done,
     /* 2319682 */ // Label 32099: @2319682
     /* 2319682 */ GIM_Try, /*On fail goto*//*Label 32100*/ GIMT_Encode4(2319713), // Rule ID 1728 //
     /* 2319687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2319690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2319693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2319697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319701 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2319701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2319704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319706 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2319711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319712 */   // GIR_Coverage, 1728,
     /* 2319712 */   GIR_EraseRootFromParent_Done,
     /* 2319713 */ // Label 32100: @2319713
     /* 2319713 */ GIM_Try, /*On fail goto*//*Label 32101*/ GIMT_Encode4(2319744), // Rule ID 1753 //
     /* 2319718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2319721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2319724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2319728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319732 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2319732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2319735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319737 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2319742 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319743 */   // GIR_Coverage, 1753,
     /* 2319743 */   GIR_EraseRootFromParent_Done,
     /* 2319744 */ // Label 32101: @2319744
     /* 2319744 */ GIM_Try, /*On fail goto*//*Label 32102*/ GIMT_Encode4(2319775), // Rule ID 1754 //
     /* 2319749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2319752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2319755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2319759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319763 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2319763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2319766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319768 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2319773 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319774 */   // GIR_Coverage, 1754,
     /* 2319774 */   GIR_EraseRootFromParent_Done,
     /* 2319775 */ // Label 32102: @2319775
     /* 2319775 */ GIM_Try, /*On fail goto*//*Label 32103*/ GIMT_Encode4(2319806), // Rule ID 1784 //
     /* 2319780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2319783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2319790 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319794 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2319794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L),
     /* 2319797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319799 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319804 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319805 */   // GIR_Coverage, 1784,
     /* 2319805 */   GIR_EraseRootFromParent_Done,
     /* 2319806 */ // Label 32103: @2319806
     /* 2319806 */ GIM_Try, /*On fail goto*//*Label 32104*/ GIMT_Encode4(2319837), // Rule ID 1812 //
     /* 2319811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2319814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319825 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2319825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L_INX),
     /* 2319828 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319830 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319835 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319836 */   // GIR_Coverage, 1812,
     /* 2319836 */   GIR_EraseRootFromParent_Done,
     /* 2319837 */ // Label 32104: @2319837
     /* 2319837 */ GIM_Reject,
     /* 2319838 */ // Label 32065: @2319838
     /* 2319838 */ GIM_Try, /*On fail goto*//*Label 32105*/ GIMT_Encode4(2319895), // Rule ID 45527 //
     /* 2319843 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2319849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319857 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319857 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2319860 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319864 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319869 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2319874 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319876 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319879 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319893 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319894 */   // GIR_Coverage, 45527,
     /* 2319894 */   GIR_EraseRootFromParent_Done,
     /* 2319895 */ // Label 32105: @2319895
     /* 2319895 */ GIM_Try, /*On fail goto*//*Label 32106*/ GIMT_Encode4(2319952), // Rule ID 45528 //
     /* 2319900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2319906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319914 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319914 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2319917 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319921 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319926 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2319931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319933 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319936 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319950 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319951 */   // GIR_Coverage, 45528,
     /* 2319951 */   GIR_EraseRootFromParent_Done,
     /* 2319952 */ // Label 32106: @2319952
     /* 2319952 */ GIM_Try, /*On fail goto*//*Label 32107*/ GIMT_Encode4(2320006), // Rule ID 45535 //
     /* 2319957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2319963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319971 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319971 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2319974 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319978 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319983 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2319988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319990 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319993 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320004 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320005 */   // GIR_Coverage, 45535,
     /* 2320005 */   GIR_EraseRootFromParent_Done,
     /* 2320006 */ // Label 32107: @2320006
     /* 2320006 */ GIM_Try, /*On fail goto*//*Label 32108*/ GIMT_Encode4(2320060), // Rule ID 45536 //
     /* 2320011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2320017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320025 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320025 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2320028 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320032 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320037 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2320042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320044 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320047 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320058 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320059 */   // GIR_Coverage, 45536,
     /* 2320059 */   GIR_EraseRootFromParent_Done,
     /* 2320060 */ // Label 32108: @2320060
     /* 2320060 */ GIM_Try, /*On fail goto*//*Label 32109*/ GIMT_Encode4(2320117), // Rule ID 45543 //
     /* 2320065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2320071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320079 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320079 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2320082 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320086 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320091 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2320096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320098 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320101 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320115 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320116 */   // GIR_Coverage, 45543,
     /* 2320116 */   GIR_EraseRootFromParent_Done,
     /* 2320117 */ // Label 32109: @2320117
     /* 2320117 */ GIM_Try, /*On fail goto*//*Label 32110*/ GIMT_Encode4(2320174), // Rule ID 45544 //
     /* 2320122 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2320128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320136 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320136 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2320139 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320143 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320148 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2320153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320155 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320158 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320172 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320173 */   // GIR_Coverage, 45544,
     /* 2320173 */   GIR_EraseRootFromParent_Done,
     /* 2320174 */ // Label 32110: @2320174
     /* 2320174 */ GIM_Reject,
     /* 2320175 */ // Label 32066: @2320175
     /* 2320175 */ GIM_Try, /*On fail goto*//*Label 32111*/ GIMT_Encode4(2320232), // Rule ID 57775 //
     /* 2320180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2320183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2320186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320194 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320194 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2320197 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320201 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320206 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320208 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2320211 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320213 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320216 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320230 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320231 */   // GIR_Coverage, 57775,
     /* 2320231 */   GIR_EraseRootFromParent_Done,
     /* 2320232 */ // Label 32111: @2320232
     /* 2320232 */ GIM_Try, /*On fail goto*//*Label 32112*/ GIMT_Encode4(2320289), // Rule ID 57776 //
     /* 2320237 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2320240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2320243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320247 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320251 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320251 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2320254 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320258 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320263 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2320268 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320270 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320273 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320287 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320288 */   // GIR_Coverage, 57776,
     /* 2320288 */   GIR_EraseRootFromParent_Done,
     /* 2320289 */ // Label 32112: @2320289
     /* 2320289 */ GIM_Try, /*On fail goto*//*Label 32113*/ GIMT_Encode4(2320343), // Rule ID 57975 //
     /* 2320294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2320297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2320300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320308 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320308 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2320311 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320315 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320320 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320322 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2320325 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320327 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320330 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320341 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320342 */   // GIR_Coverage, 57975,
     /* 2320342 */   GIR_EraseRootFromParent_Done,
     /* 2320343 */ // Label 32113: @2320343
     /* 2320343 */ GIM_Try, /*On fail goto*//*Label 32114*/ GIMT_Encode4(2320397), // Rule ID 57976 //
     /* 2320348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2320351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2320354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320362 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320362 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2320365 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320369 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320374 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2320379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320381 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320384 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320395 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320396 */   // GIR_Coverage, 57976,
     /* 2320396 */   GIR_EraseRootFromParent_Done,
     /* 2320397 */ // Label 32114: @2320397
     /* 2320397 */ GIM_Try, /*On fail goto*//*Label 32115*/ GIMT_Encode4(2320454), // Rule ID 58203 //
     /* 2320402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2320405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2320408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320416 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320416 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2320419 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320423 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320428 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2320433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320435 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320438 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320452 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320453 */   // GIR_Coverage, 58203,
     /* 2320453 */   GIR_EraseRootFromParent_Done,
     /* 2320454 */ // Label 32115: @2320454
     /* 2320454 */ GIM_Try, /*On fail goto*//*Label 32116*/ GIMT_Encode4(2320511), // Rule ID 58204 //
     /* 2320459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2320462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2320465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320473 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320473 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2320476 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320480 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320485 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2320490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320492 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320495 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320509 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320510 */   // GIR_Coverage, 58204,
     /* 2320510 */   GIR_EraseRootFromParent_Done,
     /* 2320511 */ // Label 32116: @2320511
     /* 2320511 */ GIM_Reject,
     /* 2320512 */ // Label 32067: @2320512
     /* 2320512 */ GIM_Try, /*On fail goto*//*Label 32117*/ GIMT_Encode4(2320569), // Rule ID 57787 //
     /* 2320517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2320520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2320523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320531 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320531 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2320534 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320538 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320543 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320545 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2320548 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320550 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320553 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320567 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320568 */   // GIR_Coverage, 57787,
     /* 2320568 */   GIR_EraseRootFromParent_Done,
     /* 2320569 */ // Label 32117: @2320569
     /* 2320569 */ GIM_Try, /*On fail goto*//*Label 32118*/ GIMT_Encode4(2320626), // Rule ID 57788 //
     /* 2320574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2320577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2320580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320588 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320588 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2320591 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320595 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320600 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2320605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320607 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320610 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320624 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320625 */   // GIR_Coverage, 57788,
     /* 2320625 */   GIR_EraseRootFromParent_Done,
     /* 2320626 */ // Label 32118: @2320626
     /* 2320626 */ GIM_Try, /*On fail goto*//*Label 32119*/ GIMT_Encode4(2320680), // Rule ID 57995 //
     /* 2320631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2320634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2320637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320641 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320645 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320645 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2320648 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320652 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320657 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320659 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2320662 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320664 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320667 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320678 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320679 */   // GIR_Coverage, 57995,
     /* 2320679 */   GIR_EraseRootFromParent_Done,
     /* 2320680 */ // Label 32119: @2320680
     /* 2320680 */ GIM_Try, /*On fail goto*//*Label 32120*/ GIMT_Encode4(2320734), // Rule ID 57996 //
     /* 2320685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2320688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2320691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320699 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320699 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2320702 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320706 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320711 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2320716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320718 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320721 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320732 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320733 */   // GIR_Coverage, 57996,
     /* 2320733 */   GIR_EraseRootFromParent_Done,
     /* 2320734 */ // Label 32120: @2320734
     /* 2320734 */ GIM_Reject,
     /* 2320735 */ // Label 32068: @2320735
     /* 2320735 */ GIM_Try, /*On fail goto*//*Label 32121*/ GIMT_Encode4(2320792), // Rule ID 57771 //
     /* 2320740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2320746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320754 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320754 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2320757 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320761 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320766 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2320771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320773 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320776 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320790 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320791 */   // GIR_Coverage, 57771,
     /* 2320791 */   GIR_EraseRootFromParent_Done,
     /* 2320792 */ // Label 32121: @2320792
     /* 2320792 */ GIM_Try, /*On fail goto*//*Label 32122*/ GIMT_Encode4(2320849), // Rule ID 57772 //
     /* 2320797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2320803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320807 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320811 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320811 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2320814 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320818 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320823 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2320828 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320830 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320833 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320847 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320848 */   // GIR_Coverage, 57772,
     /* 2320848 */   GIR_EraseRootFromParent_Done,
     /* 2320849 */ // Label 32122: @2320849
     /* 2320849 */ GIM_Try, /*On fail goto*//*Label 32123*/ GIMT_Encode4(2320903), // Rule ID 57955 //
     /* 2320854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2320860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320868 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320868 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2320871 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320875 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320880 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2320885 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320887 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320890 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320901 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320902 */   // GIR_Coverage, 57955,
     /* 2320902 */   GIR_EraseRootFromParent_Done,
     /* 2320903 */ // Label 32123: @2320903
     /* 2320903 */ GIM_Try, /*On fail goto*//*Label 32124*/ GIMT_Encode4(2320957), // Rule ID 57956 //
     /* 2320908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2320914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320922 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320922 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2320925 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320929 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320934 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2320939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320941 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320944 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320955 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320956 */   // GIR_Coverage, 57956,
     /* 2320956 */   GIR_EraseRootFromParent_Done,
     /* 2320957 */ // Label 32124: @2320957
     /* 2320957 */ GIM_Try, /*On fail goto*//*Label 32125*/ GIMT_Encode4(2321014), // Rule ID 58187 //
     /* 2320962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2320968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320972 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320976 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320976 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2320979 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320983 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320988 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2320993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320995 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320998 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321013 */   // GIR_Coverage, 58187,
     /* 2321013 */   GIR_EraseRootFromParent_Done,
     /* 2321014 */ // Label 32125: @2321014
     /* 2321014 */ GIM_Try, /*On fail goto*//*Label 32126*/ GIMT_Encode4(2321071), // Rule ID 58188 //
     /* 2321019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2321025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321033 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321033 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2321036 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321040 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321045 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2321050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321052 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321055 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321069 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321070 */   // GIR_Coverage, 58188,
     /* 2321070 */   GIR_EraseRootFromParent_Done,
     /* 2321071 */ // Label 32126: @2321071
     /* 2321071 */ GIM_Reject,
     /* 2321072 */ // Label 32069: @2321072
     /* 2321072 */ GIM_Try, /*On fail goto*//*Label 32127*/ GIMT_Encode4(2321129), // Rule ID 57783 //
     /* 2321077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2321080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2321083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321087 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321091 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321091 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2321094 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321098 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321103 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2321108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321110 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321113 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321127 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321128 */   // GIR_Coverage, 57783,
     /* 2321128 */   GIR_EraseRootFromParent_Done,
     /* 2321129 */ // Label 32127: @2321129
     /* 2321129 */ GIM_Try, /*On fail goto*//*Label 32128*/ GIMT_Encode4(2321186), // Rule ID 57784 //
     /* 2321134 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2321137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2321140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321148 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321148 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2321151 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321155 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321160 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2321165 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321167 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321170 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321184 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321185 */   // GIR_Coverage, 57784,
     /* 2321185 */   GIR_EraseRootFromParent_Done,
     /* 2321186 */ // Label 32128: @2321186
     /* 2321186 */ GIM_Try, /*On fail goto*//*Label 32129*/ GIMT_Encode4(2321240), // Rule ID 57979 //
     /* 2321191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2321194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2321197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321205 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321205 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2321208 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321212 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321217 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2321222 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321224 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321227 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321238 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321239 */   // GIR_Coverage, 57979,
     /* 2321239 */   GIR_EraseRootFromParent_Done,
     /* 2321240 */ // Label 32129: @2321240
     /* 2321240 */ GIM_Try, /*On fail goto*//*Label 32130*/ GIMT_Encode4(2321294), // Rule ID 57980 //
     /* 2321245 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2321248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2321251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321259 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321259 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2321262 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321266 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321271 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2321276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321278 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321281 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321292 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321293 */   // GIR_Coverage, 57980,
     /* 2321293 */   GIR_EraseRootFromParent_Done,
     /* 2321294 */ // Label 32130: @2321294
     /* 2321294 */ GIM_Try, /*On fail goto*//*Label 32131*/ GIMT_Encode4(2321351), // Rule ID 58207 //
     /* 2321299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2321302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2321305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321313 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321313 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2321316 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321320 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321325 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2321330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321332 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321335 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321349 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321350 */   // GIR_Coverage, 58207,
     /* 2321350 */   GIR_EraseRootFromParent_Done,
     /* 2321351 */ // Label 32131: @2321351
     /* 2321351 */ GIM_Try, /*On fail goto*//*Label 32132*/ GIMT_Encode4(2321408), // Rule ID 58208 //
     /* 2321356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2321359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2321362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321370 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321370 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2321373 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321377 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321382 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2321387 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321389 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321392 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321406 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321407 */   // GIR_Coverage, 58208,
     /* 2321407 */   GIR_EraseRootFromParent_Done,
     /* 2321408 */ // Label 32132: @2321408
     /* 2321408 */ GIM_Reject,
     /* 2321409 */ // Label 32070: @2321409
     /* 2321409 */ GIM_Try, /*On fail goto*//*Label 32133*/ GIMT_Encode4(2321466), // Rule ID 57815 //
     /* 2321414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2321417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2321420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321428 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321428 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2321431 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321435 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321440 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321442 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2321445 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321447 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321450 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2321461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321464 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321465 */   // GIR_Coverage, 57815,
     /* 2321465 */   GIR_EraseRootFromParent_Done,
     /* 2321466 */ // Label 32133: @2321466
     /* 2321466 */ GIM_Try, /*On fail goto*//*Label 32134*/ GIMT_Encode4(2321523), // Rule ID 57816 //
     /* 2321471 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2321474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2321477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321485 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321485 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2321488 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321492 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321497 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2321502 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321504 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321507 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2321518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321521 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321522 */   // GIR_Coverage, 57816,
     /* 2321522 */   GIR_EraseRootFromParent_Done,
     /* 2321523 */ // Label 32134: @2321523
     /* 2321523 */ GIM_Try, /*On fail goto*//*Label 32135*/ GIMT_Encode4(2321577), // Rule ID 57999 //
     /* 2321528 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2321531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2321534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321542 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321542 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2321545 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321549 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321554 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2321559 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321561 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321564 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321575 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321576 */   // GIR_Coverage, 57999,
     /* 2321576 */   GIR_EraseRootFromParent_Done,
     /* 2321577 */ // Label 32135: @2321577
     /* 2321577 */ GIM_Try, /*On fail goto*//*Label 32136*/ GIMT_Encode4(2321631), // Rule ID 58000 //
     /* 2321582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2321585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2321588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321596 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321596 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2321599 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321603 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321608 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2321613 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321615 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321618 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321629 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321630 */   // GIR_Coverage, 58000,
     /* 2321630 */   GIR_EraseRootFromParent_Done,
     /* 2321631 */ // Label 32136: @2321631
     /* 2321631 */ GIM_Reject,
     /* 2321632 */ // Label 32071: @2321632
     /* 2321632 */ GIM_Try, /*On fail goto*//*Label 32137*/ GIMT_Encode4(2321689), // Rule ID 57779 //
     /* 2321637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2321643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321651 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321651 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2321654 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321658 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321663 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2321668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321670 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321673 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321687 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321688 */   // GIR_Coverage, 57779,
     /* 2321688 */   GIR_EraseRootFromParent_Done,
     /* 2321689 */ // Label 32137: @2321689
     /* 2321689 */ GIM_Try, /*On fail goto*//*Label 32138*/ GIMT_Encode4(2321746), // Rule ID 57780 //
     /* 2321694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2321700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321708 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321708 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2321711 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321715 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321720 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2321725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321727 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321730 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321744 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321745 */   // GIR_Coverage, 57780,
     /* 2321745 */   GIR_EraseRootFromParent_Done,
     /* 2321746 */ // Label 32138: @2321746
     /* 2321746 */ GIM_Try, /*On fail goto*//*Label 32139*/ GIMT_Encode4(2321800), // Rule ID 57959 //
     /* 2321751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2321757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321765 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321765 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2321768 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321772 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321777 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2321782 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321784 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321787 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321798 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321799 */   // GIR_Coverage, 57959,
     /* 2321799 */   GIR_EraseRootFromParent_Done,
     /* 2321800 */ // Label 32139: @2321800
     /* 2321800 */ GIM_Try, /*On fail goto*//*Label 32140*/ GIMT_Encode4(2321854), // Rule ID 57960 //
     /* 2321805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2321811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321819 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321819 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2321822 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321826 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321831 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2321836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321838 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321841 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321852 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321853 */   // GIR_Coverage, 57960,
     /* 2321853 */   GIR_EraseRootFromParent_Done,
     /* 2321854 */ // Label 32140: @2321854
     /* 2321854 */ GIM_Try, /*On fail goto*//*Label 32141*/ GIMT_Encode4(2321911), // Rule ID 58191 //
     /* 2321859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2321865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321873 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321873 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2321876 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321880 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321885 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2321890 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321892 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321895 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321909 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321910 */   // GIR_Coverage, 58191,
     /* 2321910 */   GIR_EraseRootFromParent_Done,
     /* 2321911 */ // Label 32141: @2321911
     /* 2321911 */ GIM_Try, /*On fail goto*//*Label 32142*/ GIMT_Encode4(2321968), // Rule ID 58192 //
     /* 2321916 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2321922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321930 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321930 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2321933 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321937 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321942 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2321947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321949 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321952 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321966 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321967 */   // GIR_Coverage, 58192,
     /* 2321967 */   GIR_EraseRootFromParent_Done,
     /* 2321968 */ // Label 32142: @2321968
     /* 2321968 */ GIM_Reject,
     /* 2321969 */ // Label 32072: @2321969
     /* 2321969 */ GIM_Try, /*On fail goto*//*Label 32143*/ GIMT_Encode4(2322026), // Rule ID 57803 //
     /* 2321974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2321977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2321980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321988 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321988 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2321991 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321995 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322000 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2322005 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322007 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322010 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322024 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322025 */   // GIR_Coverage, 57803,
     /* 2322025 */   GIR_EraseRootFromParent_Done,
     /* 2322026 */ // Label 32143: @2322026
     /* 2322026 */ GIM_Try, /*On fail goto*//*Label 32144*/ GIMT_Encode4(2322083), // Rule ID 57804 //
     /* 2322031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2322034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2322037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322045 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322045 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2322048 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322052 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322057 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2322062 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322064 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322067 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322081 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322082 */   // GIR_Coverage, 57804,
     /* 2322082 */   GIR_EraseRootFromParent_Done,
     /* 2322083 */ // Label 32144: @2322083
     /* 2322083 */ GIM_Try, /*On fail goto*//*Label 32145*/ GIMT_Encode4(2322137), // Rule ID 57983 //
     /* 2322088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2322091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2322094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322102 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322102 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2322105 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322109 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322114 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322116 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2322119 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322121 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322124 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322135 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322136 */   // GIR_Coverage, 57983,
     /* 2322136 */   GIR_EraseRootFromParent_Done,
     /* 2322137 */ // Label 32145: @2322137
     /* 2322137 */ GIM_Try, /*On fail goto*//*Label 32146*/ GIMT_Encode4(2322191), // Rule ID 57984 //
     /* 2322142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2322145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2322148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322152 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322156 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322156 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2322159 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322163 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322168 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2322173 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322175 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322178 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322189 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322190 */   // GIR_Coverage, 57984,
     /* 2322190 */   GIR_EraseRootFromParent_Done,
     /* 2322191 */ // Label 32146: @2322191
     /* 2322191 */ GIM_Try, /*On fail goto*//*Label 32147*/ GIMT_Encode4(2322248), // Rule ID 58211 //
     /* 2322196 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2322199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2322202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322210 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322210 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2322213 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322217 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322222 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2322227 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322229 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322232 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322246 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322247 */   // GIR_Coverage, 58211,
     /* 2322247 */   GIR_EraseRootFromParent_Done,
     /* 2322248 */ // Label 32147: @2322248
     /* 2322248 */ GIM_Try, /*On fail goto*//*Label 32148*/ GIMT_Encode4(2322305), // Rule ID 58212 //
     /* 2322253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2322256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2322259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322267 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322267 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2322270 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322274 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322279 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322281 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2322284 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322286 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322289 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322303 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322304 */   // GIR_Coverage, 58212,
     /* 2322304 */   GIR_EraseRootFromParent_Done,
     /* 2322305 */ // Label 32148: @2322305
     /* 2322305 */ GIM_Reject,
     /* 2322306 */ // Label 32073: @2322306
     /* 2322306 */ GIM_Try, /*On fail goto*//*Label 32149*/ GIMT_Encode4(2322363), // Rule ID 57819 //
     /* 2322311 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2322314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2322317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322325 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322325 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2322328 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322332 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322337 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2322342 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322344 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322347 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322361 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322362 */   // GIR_Coverage, 57819,
     /* 2322362 */   GIR_EraseRootFromParent_Done,
     /* 2322363 */ // Label 32149: @2322363
     /* 2322363 */ GIM_Try, /*On fail goto*//*Label 32150*/ GIMT_Encode4(2322420), // Rule ID 57820 //
     /* 2322368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2322371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2322374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322382 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322382 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2322385 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322389 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322394 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2322399 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322401 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322404 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322418 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322419 */   // GIR_Coverage, 57820,
     /* 2322419 */   GIR_EraseRootFromParent_Done,
     /* 2322420 */ // Label 32150: @2322420
     /* 2322420 */ GIM_Try, /*On fail goto*//*Label 32151*/ GIMT_Encode4(2322474), // Rule ID 58003 //
     /* 2322425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2322428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2322431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322439 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322439 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2322442 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322446 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322451 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2322456 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322458 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322461 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322472 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322473 */   // GIR_Coverage, 58003,
     /* 2322473 */   GIR_EraseRootFromParent_Done,
     /* 2322474 */ // Label 32151: @2322474
     /* 2322474 */ GIM_Try, /*On fail goto*//*Label 32152*/ GIMT_Encode4(2322528), // Rule ID 58004 //
     /* 2322479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2322482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2322485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322489 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322493 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322493 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2322496 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322500 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322505 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2322510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322512 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322515 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322526 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322527 */   // GIR_Coverage, 58004,
     /* 2322527 */   GIR_EraseRootFromParent_Done,
     /* 2322528 */ // Label 32152: @2322528
     /* 2322528 */ GIM_Reject,
     /* 2322529 */ // Label 32074: @2322529
     /* 2322529 */ GIM_Try, /*On fail goto*//*Label 32153*/ GIMT_Encode4(2322586), // Rule ID 57791 //
     /* 2322534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2322540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322548 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322548 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2322551 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322555 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322560 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2322565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322567 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322570 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322584 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322585 */   // GIR_Coverage, 57791,
     /* 2322585 */   GIR_EraseRootFromParent_Done,
     /* 2322586 */ // Label 32153: @2322586
     /* 2322586 */ GIM_Try, /*On fail goto*//*Label 32154*/ GIMT_Encode4(2322643), // Rule ID 57792 //
     /* 2322591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2322597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322605 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322605 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2322608 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322612 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322617 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322619 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2322622 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322624 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322627 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322641 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322642 */   // GIR_Coverage, 57792,
     /* 2322642 */   GIR_EraseRootFromParent_Done,
     /* 2322643 */ // Label 32154: @2322643
     /* 2322643 */ GIM_Try, /*On fail goto*//*Label 32155*/ GIMT_Encode4(2322697), // Rule ID 57963 //
     /* 2322648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2322654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322662 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322662 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2322665 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322669 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322674 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2322679 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322681 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322684 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322695 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322696 */   // GIR_Coverage, 57963,
     /* 2322696 */   GIR_EraseRootFromParent_Done,
     /* 2322697 */ // Label 32155: @2322697
     /* 2322697 */ GIM_Try, /*On fail goto*//*Label 32156*/ GIMT_Encode4(2322751), // Rule ID 57964 //
     /* 2322702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2322708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322716 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322716 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2322719 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322723 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322728 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2322733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322735 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322738 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322749 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322750 */   // GIR_Coverage, 57964,
     /* 2322750 */   GIR_EraseRootFromParent_Done,
     /* 2322751 */ // Label 32156: @2322751
     /* 2322751 */ GIM_Try, /*On fail goto*//*Label 32157*/ GIMT_Encode4(2322808), // Rule ID 58195 //
     /* 2322756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2322762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322770 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322770 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2322773 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322777 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322782 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2322787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322789 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322792 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322806 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322807 */   // GIR_Coverage, 58195,
     /* 2322807 */   GIR_EraseRootFromParent_Done,
     /* 2322808 */ // Label 32157: @2322808
     /* 2322808 */ GIM_Try, /*On fail goto*//*Label 32158*/ GIMT_Encode4(2322865), // Rule ID 58196 //
     /* 2322813 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2322819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322827 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322827 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2322830 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322834 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322839 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322841 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2322844 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322846 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322849 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322851 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322863 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322864 */   // GIR_Coverage, 58196,
     /* 2322864 */   GIR_EraseRootFromParent_Done,
     /* 2322865 */ // Label 32158: @2322865
     /* 2322865 */ GIM_Reject,
     /* 2322866 */ // Label 32075: @2322866
     /* 2322866 */ GIM_Try, /*On fail goto*//*Label 32159*/ GIMT_Encode4(2322923), // Rule ID 57807 //
     /* 2322871 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2322874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2322877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322885 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322885 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2322888 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322892 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322897 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2322902 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322904 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322907 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322922 */   // GIR_Coverage, 57807,
     /* 2322922 */   GIR_EraseRootFromParent_Done,
     /* 2322923 */ // Label 32159: @2322923
     /* 2322923 */ GIM_Try, /*On fail goto*//*Label 32160*/ GIMT_Encode4(2322980), // Rule ID 57808 //
     /* 2322928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2322931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2322934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322942 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322942 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2322945 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322949 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322954 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2322959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322961 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322964 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322979 */   // GIR_Coverage, 57808,
     /* 2322979 */   GIR_EraseRootFromParent_Done,
     /* 2322980 */ // Label 32160: @2322980
     /* 2322980 */ GIM_Try, /*On fail goto*//*Label 32161*/ GIMT_Encode4(2323034), // Rule ID 57987 //
     /* 2322985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2322988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2322991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322999 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322999 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323002 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323006 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323011 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2323016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323018 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323021 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323033 */   // GIR_Coverage, 57987,
     /* 2323033 */   GIR_EraseRootFromParent_Done,
     /* 2323034 */ // Label 32161: @2323034
     /* 2323034 */ GIM_Try, /*On fail goto*//*Label 32162*/ GIMT_Encode4(2323088), // Rule ID 57988 //
     /* 2323039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2323042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2323045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323053 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323053 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323056 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323060 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323065 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2323070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323072 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323075 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323086 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323087 */   // GIR_Coverage, 57988,
     /* 2323087 */   GIR_EraseRootFromParent_Done,
     /* 2323088 */ // Label 32162: @2323088
     /* 2323088 */ GIM_Try, /*On fail goto*//*Label 32163*/ GIMT_Encode4(2323145), // Rule ID 58215 //
     /* 2323093 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2323096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2323099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323107 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323107 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323110 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323114 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323119 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323121 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2323124 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323126 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323129 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323144 */   // GIR_Coverage, 58215,
     /* 2323144 */   GIR_EraseRootFromParent_Done,
     /* 2323145 */ // Label 32163: @2323145
     /* 2323145 */ GIM_Try, /*On fail goto*//*Label 32164*/ GIMT_Encode4(2323202), // Rule ID 58216 //
     /* 2323150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2323153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2323156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323164 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323164 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323167 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323171 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323176 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323178 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2323181 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323183 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323186 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323201 */   // GIR_Coverage, 58216,
     /* 2323201 */   GIR_EraseRootFromParent_Done,
     /* 2323202 */ // Label 32164: @2323202
     /* 2323202 */ GIM_Reject,
     /* 2323203 */ // Label 32076: @2323203
     /* 2323203 */ GIM_Try, /*On fail goto*//*Label 32165*/ GIMT_Encode4(2323260), // Rule ID 57823 //
     /* 2323208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2323211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2323214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323222 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323222 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2323225 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323229 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323234 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2323239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323241 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323244 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323258 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323259 */   // GIR_Coverage, 57823,
     /* 2323259 */   GIR_EraseRootFromParent_Done,
     /* 2323260 */ // Label 32165: @2323260
     /* 2323260 */ GIM_Try, /*On fail goto*//*Label 32166*/ GIMT_Encode4(2323317), // Rule ID 57824 //
     /* 2323265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2323268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2323271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323279 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323279 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2323282 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323286 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323291 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2323296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323298 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323301 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323316 */   // GIR_Coverage, 57824,
     /* 2323316 */   GIR_EraseRootFromParent_Done,
     /* 2323317 */ // Label 32166: @2323317
     /* 2323317 */ GIM_Try, /*On fail goto*//*Label 32167*/ GIMT_Encode4(2323371), // Rule ID 58007 //
     /* 2323322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2323325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2323328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323336 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323336 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2323339 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323343 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323348 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2323353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323355 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323358 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323369 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323370 */   // GIR_Coverage, 58007,
     /* 2323370 */   GIR_EraseRootFromParent_Done,
     /* 2323371 */ // Label 32167: @2323371
     /* 2323371 */ GIM_Try, /*On fail goto*//*Label 32168*/ GIMT_Encode4(2323425), // Rule ID 58008 //
     /* 2323376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2323379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2323382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323390 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323390 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2323393 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323397 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323402 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2323407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323409 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323412 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323424 */   // GIR_Coverage, 58008,
     /* 2323424 */   GIR_EraseRootFromParent_Done,
     /* 2323425 */ // Label 32168: @2323425
     /* 2323425 */ GIM_Reject,
     /* 2323426 */ // Label 32077: @2323426
     /* 2323426 */ GIM_Try, /*On fail goto*//*Label 32169*/ GIMT_Encode4(2323483), // Rule ID 57795 //
     /* 2323431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2323437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323445 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323445 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2323448 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323452 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323457 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2323462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323464 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323467 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323481 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323482 */   // GIR_Coverage, 57795,
     /* 2323482 */   GIR_EraseRootFromParent_Done,
     /* 2323483 */ // Label 32169: @2323483
     /* 2323483 */ GIM_Try, /*On fail goto*//*Label 32170*/ GIMT_Encode4(2323540), // Rule ID 57796 //
     /* 2323488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2323494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323502 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323502 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2323505 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323509 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323514 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2323519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323521 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323524 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323538 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323539 */   // GIR_Coverage, 57796,
     /* 2323539 */   GIR_EraseRootFromParent_Done,
     /* 2323540 */ // Label 32170: @2323540
     /* 2323540 */ GIM_Try, /*On fail goto*//*Label 32171*/ GIMT_Encode4(2323594), // Rule ID 57967 //
     /* 2323545 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2323551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323559 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323559 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2323562 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323566 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323571 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2323576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323578 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323581 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323592 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323593 */   // GIR_Coverage, 57967,
     /* 2323593 */   GIR_EraseRootFromParent_Done,
     /* 2323594 */ // Label 32171: @2323594
     /* 2323594 */ GIM_Try, /*On fail goto*//*Label 32172*/ GIMT_Encode4(2323648), // Rule ID 57968 //
     /* 2323599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2323605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323613 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323613 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2323616 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323620 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323625 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2323630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323632 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323635 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323646 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323647 */   // GIR_Coverage, 57968,
     /* 2323647 */   GIR_EraseRootFromParent_Done,
     /* 2323648 */ // Label 32172: @2323648
     /* 2323648 */ GIM_Try, /*On fail goto*//*Label 32173*/ GIMT_Encode4(2323705), // Rule ID 58199 //
     /* 2323653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2323659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323667 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323667 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2323670 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323674 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323679 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2323684 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323686 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323689 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323703 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323704 */   // GIR_Coverage, 58199,
     /* 2323704 */   GIR_EraseRootFromParent_Done,
     /* 2323705 */ // Label 32173: @2323705
     /* 2323705 */ GIM_Try, /*On fail goto*//*Label 32174*/ GIMT_Encode4(2323762), // Rule ID 58200 //
     /* 2323710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2323716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323724 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323724 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2323727 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323731 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323736 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2323741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323743 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323746 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323760 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323761 */   // GIR_Coverage, 58200,
     /* 2323761 */   GIR_EraseRootFromParent_Done,
     /* 2323762 */ // Label 32174: @2323762
     /* 2323762 */ GIM_Reject,
     /* 2323763 */ // Label 32078: @2323763
     /* 2323763 */ GIM_Try, /*On fail goto*//*Label 32175*/ GIMT_Encode4(2323820), // Rule ID 57811 //
     /* 2323768 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2323771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2323774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323782 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323782 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2323785 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323789 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323794 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2323799 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323801 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323804 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323818 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323819 */   // GIR_Coverage, 57811,
     /* 2323819 */   GIR_EraseRootFromParent_Done,
     /* 2323820 */ // Label 32175: @2323820
     /* 2323820 */ GIM_Try, /*On fail goto*//*Label 32176*/ GIMT_Encode4(2323877), // Rule ID 57812 //
     /* 2323825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2323828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2323831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323839 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323839 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2323842 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323846 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323851 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2323856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323858 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323861 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323875 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323876 */   // GIR_Coverage, 57812,
     /* 2323876 */   GIR_EraseRootFromParent_Done,
     /* 2323877 */ // Label 32176: @2323877
     /* 2323877 */ GIM_Try, /*On fail goto*//*Label 32177*/ GIMT_Encode4(2323931), // Rule ID 57991 //
     /* 2323882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2323885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2323888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323896 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323896 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2323899 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323903 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323908 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2323913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323915 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323918 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323929 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323930 */   // GIR_Coverage, 57991,
     /* 2323930 */   GIR_EraseRootFromParent_Done,
     /* 2323931 */ // Label 32177: @2323931
     /* 2323931 */ GIM_Try, /*On fail goto*//*Label 32178*/ GIMT_Encode4(2323985), // Rule ID 57992 //
     /* 2323936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2323939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2323942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323950 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323950 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2323953 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323957 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323962 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2323967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323969 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323972 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323983 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323984 */   // GIR_Coverage, 57992,
     /* 2323984 */   GIR_EraseRootFromParent_Done,
     /* 2323985 */ // Label 32178: @2323985
     /* 2323985 */ GIM_Reject,
     /* 2323986 */ // Label 32079: @2323986
     /* 2323986 */ GIM_Try, /*On fail goto*//*Label 32179*/ GIMT_Encode4(2324043), // Rule ID 57799 //
     /* 2323991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2323997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324005 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324005 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2324008 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324012 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324017 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324019 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2324022 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324024 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324027 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324041 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324042 */   // GIR_Coverage, 57799,
     /* 2324042 */   GIR_EraseRootFromParent_Done,
     /* 2324043 */ // Label 32179: @2324043
     /* 2324043 */ GIM_Try, /*On fail goto*//*Label 32180*/ GIMT_Encode4(2324100), // Rule ID 57800 //
     /* 2324048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2324054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324062 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324062 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2324065 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324069 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324074 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2324079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324081 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324084 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324099 */   // GIR_Coverage, 57800,
     /* 2324099 */   GIR_EraseRootFromParent_Done,
     /* 2324100 */ // Label 32180: @2324100
     /* 2324100 */ GIM_Try, /*On fail goto*//*Label 32181*/ GIMT_Encode4(2324154), // Rule ID 57971 //
     /* 2324105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2324111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324119 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324119 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2324122 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324126 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324131 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2324136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324138 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324141 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324152 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324153 */   // GIR_Coverage, 57971,
     /* 2324153 */   GIR_EraseRootFromParent_Done,
     /* 2324154 */ // Label 32181: @2324154
     /* 2324154 */ GIM_Try, /*On fail goto*//*Label 32182*/ GIMT_Encode4(2324208), // Rule ID 57972 //
     /* 2324159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2324165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324173 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324173 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2324176 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324180 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324185 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2324190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324192 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324195 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324207 */   // GIR_Coverage, 57972,
     /* 2324207 */   GIR_EraseRootFromParent_Done,
     /* 2324208 */ // Label 32182: @2324208
     /* 2324208 */ GIM_Reject,
     /* 2324209 */ // Label 32080: @2324209
     /* 2324209 */ GIM_Reject,
     /* 2324210 */ // Label 68: @2324210
     /* 2324210 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32201*/ GIMT_Encode4(2329495),
     /* 2324221 */ /*GILLT_s16*//*Label 32183*/ GIMT_Encode4(2324341),
     /* 2324225 */ /*GILLT_s32*//*Label 32184*/ GIMT_Encode4(2324602),
     /* 2324229 */ /*GILLT_s64*//*Label 32185*/ GIMT_Encode4(2324863), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2324241 */ /*GILLT_nxv1s16*//*Label 32186*/ GIMT_Encode4(2325124),
     /* 2324245 */ /*GILLT_nxv1s32*//*Label 32187*/ GIMT_Encode4(2325461),
     /* 2324249 */ /*GILLT_nxv1s64*//*Label 32188*/ GIMT_Encode4(2325798), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2324261 */ /*GILLT_nxv2s16*//*Label 32189*/ GIMT_Encode4(2326021),
     /* 2324265 */ /*GILLT_nxv2s32*//*Label 32190*/ GIMT_Encode4(2326358),
     /* 2324269 */ /*GILLT_nxv2s64*//*Label 32191*/ GIMT_Encode4(2326695), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2324281 */ /*GILLT_nxv4s16*//*Label 32192*/ GIMT_Encode4(2326918),
     /* 2324285 */ /*GILLT_nxv4s32*//*Label 32193*/ GIMT_Encode4(2327255),
     /* 2324289 */ /*GILLT_nxv4s64*//*Label 32194*/ GIMT_Encode4(2327592), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2324301 */ /*GILLT_nxv8s16*//*Label 32195*/ GIMT_Encode4(2327815),
     /* 2324305 */ /*GILLT_nxv8s32*//*Label 32196*/ GIMT_Encode4(2328152),
     /* 2324309 */ /*GILLT_nxv8s64*//*Label 32197*/ GIMT_Encode4(2328489), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2324321 */ /*GILLT_nxv16s16*//*Label 32198*/ GIMT_Encode4(2328712),
     /* 2324325 */ /*GILLT_nxv16s32*//*Label 32199*/ GIMT_Encode4(2329049), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2324337 */ /*GILLT_nxv32s16*//*Label 32200*/ GIMT_Encode4(2329272),
     /* 2324341 */ // Label 32183: @2324341
     /* 2324341 */ GIM_Try, /*On fail goto*//*Label 32202*/ GIMT_Encode4(2324378), // Rule ID 2122 //
     /* 2324346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2324349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2324352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2324356 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2324363 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2324363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2324366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324368 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2324373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324376 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324377 */   // GIR_Coverage, 2122,
     /* 2324377 */   GIR_EraseRootFromParent_Done,
     /* 2324378 */ // Label 32202: @2324378
     /* 2324378 */ GIM_Try, /*On fail goto*//*Label 32203*/ GIMT_Encode4(2324415), // Rule ID 2148 //
     /* 2324383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2324386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2324389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2324393 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2324400 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2324400 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2324403 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324405 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2324410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324414 */   // GIR_Coverage, 2148,
     /* 2324414 */   GIR_EraseRootFromParent_Done,
     /* 2324415 */ // Label 32203: @2324415
     /* 2324415 */ GIM_Try, /*On fail goto*//*Label 32204*/ GIMT_Encode4(2324446), // Rule ID 2073 //
     /* 2324420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2324423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2324426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2324430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324434 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2324434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2324437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324439 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324444 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324445 */   // GIR_Coverage, 2073,
     /* 2324445 */   GIR_EraseRootFromParent_Done,
     /* 2324446 */ // Label 32204: @2324446
     /* 2324446 */ GIM_Try, /*On fail goto*//*Label 32205*/ GIMT_Encode4(2324477), // Rule ID 2074 //
     /* 2324451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2324454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2324457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2324461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324465 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2324465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2324468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324470 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324475 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324476 */   // GIR_Coverage, 2074,
     /* 2324476 */   GIR_EraseRootFromParent_Done,
     /* 2324477 */ // Label 32205: @2324477
     /* 2324477 */ GIM_Try, /*On fail goto*//*Label 32206*/ GIMT_Encode4(2324508), // Rule ID 2099 //
     /* 2324482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2324485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2324488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2324492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324496 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2324496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2324499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324501 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324506 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324507 */   // GIR_Coverage, 2099,
     /* 2324507 */   GIR_EraseRootFromParent_Done,
     /* 2324508 */ // Label 32206: @2324508
     /* 2324508 */ GIM_Try, /*On fail goto*//*Label 32207*/ GIMT_Encode4(2324539), // Rule ID 2100 //
     /* 2324513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2324516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2324519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2324523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324527 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2324527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2324530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324532 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324537 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324538 */   // GIR_Coverage, 2100,
     /* 2324538 */   GIR_EraseRootFromParent_Done,
     /* 2324539 */ // Label 32207: @2324539
     /* 2324539 */ GIM_Try, /*On fail goto*//*Label 32208*/ GIMT_Encode4(2324570), // Rule ID 2126 //
     /* 2324544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2324547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2324550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2324554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324558 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2324558 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU),
     /* 2324561 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324563 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324568 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324569 */   // GIR_Coverage, 2126,
     /* 2324569 */   GIR_EraseRootFromParent_Done,
     /* 2324570 */ // Label 32208: @2324570
     /* 2324570 */ GIM_Try, /*On fail goto*//*Label 32209*/ GIMT_Encode4(2324601), // Rule ID 2152 //
     /* 2324575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2324578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2324581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2324585 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324589 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2324589 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU_INX),
     /* 2324592 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324594 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324599 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324600 */   // GIR_Coverage, 2152,
     /* 2324600 */   GIR_EraseRootFromParent_Done,
     /* 2324601 */ // Label 32209: @2324601
     /* 2324601 */ GIM_Reject,
     /* 2324602 */ // Label 32184: @2324602
     /* 2324602 */ GIM_Try, /*On fail goto*//*Label 32210*/ GIMT_Encode4(2324639), // Rule ID 1388 //
     /* 2324607 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2324610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2324613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2324617 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2324624 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2324624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2324627 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324629 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2324634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324637 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324638 */   // GIR_Coverage, 1388,
     /* 2324638 */   GIR_EraseRootFromParent_Done,
     /* 2324639 */ // Label 32210: @2324639
     /* 2324639 */ GIM_Try, /*On fail goto*//*Label 32211*/ GIMT_Encode4(2324676), // Rule ID 1416 //
     /* 2324644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2324647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2324650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2324654 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2324661 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2324661 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2324664 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324666 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2324671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324674 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324675 */   // GIR_Coverage, 1416,
     /* 2324675 */   GIR_EraseRootFromParent_Done,
     /* 2324676 */ // Label 32211: @2324676
     /* 2324676 */ GIM_Try, /*On fail goto*//*Label 32212*/ GIMT_Encode4(2324707), // Rule ID 1337 //
     /* 2324681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2324684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2324687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2324691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324695 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2324695 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2324698 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324700 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324705 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324706 */   // GIR_Coverage, 1337,
     /* 2324706 */   GIR_EraseRootFromParent_Done,
     /* 2324707 */ // Label 32212: @2324707
     /* 2324707 */ GIM_Try, /*On fail goto*//*Label 32213*/ GIMT_Encode4(2324738), // Rule ID 1338 //
     /* 2324712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2324715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2324718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2324722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324726 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2324726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2324729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324731 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324736 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324737 */   // GIR_Coverage, 1338,
     /* 2324737 */   GIR_EraseRootFromParent_Done,
     /* 2324738 */ // Label 32213: @2324738
     /* 2324738 */ GIM_Try, /*On fail goto*//*Label 32214*/ GIMT_Encode4(2324769), // Rule ID 1363 //
     /* 2324743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2324746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2324749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2324753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324757 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2324757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2324760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324762 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324768 */   // GIR_Coverage, 1363,
     /* 2324768 */   GIR_EraseRootFromParent_Done,
     /* 2324769 */ // Label 32214: @2324769
     /* 2324769 */ GIM_Try, /*On fail goto*//*Label 32215*/ GIMT_Encode4(2324800), // Rule ID 1364 //
     /* 2324774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2324777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2324780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2324784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324788 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2324788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2324791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324793 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324798 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324799 */   // GIR_Coverage, 1364,
     /* 2324799 */   GIR_EraseRootFromParent_Done,
     /* 2324800 */ // Label 32215: @2324800
     /* 2324800 */ GIM_Try, /*On fail goto*//*Label 32216*/ GIMT_Encode4(2324831), // Rule ID 1392 //
     /* 2324805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2324808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2324811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2324815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324819 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2324819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU),
     /* 2324822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324824 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324829 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324830 */   // GIR_Coverage, 1392,
     /* 2324830 */   GIR_EraseRootFromParent_Done,
     /* 2324831 */ // Label 32216: @2324831
     /* 2324831 */ GIM_Try, /*On fail goto*//*Label 32217*/ GIMT_Encode4(2324862), // Rule ID 1420 //
     /* 2324836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2324839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2324842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2324846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324850 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2324850 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU_INX),
     /* 2324853 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324855 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324860 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324861 */   // GIR_Coverage, 1420,
     /* 2324861 */   GIR_EraseRootFromParent_Done,
     /* 2324862 */ // Label 32217: @2324862
     /* 2324862 */ GIM_Reject,
     /* 2324863 */ // Label 32185: @2324863
     /* 2324863 */ GIM_Try, /*On fail goto*//*Label 32218*/ GIMT_Encode4(2324900), // Rule ID 1768 //
     /* 2324868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2324871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2324874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2324878 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2324885 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2324885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2324888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324890 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2324895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2324898 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324899 */   // GIR_Coverage, 1768,
     /* 2324899 */   GIR_EraseRootFromParent_Done,
     /* 2324900 */ // Label 32218: @2324900
     /* 2324900 */ GIM_Try, /*On fail goto*//*Label 32219*/ GIMT_Encode4(2324937), // Rule ID 1796 //
     /* 2324905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2324908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2324911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324915 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2324922 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2324922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_INX),
     /* 2324925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324927 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2324932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2324935 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324936 */   // GIR_Coverage, 1796,
     /* 2324936 */   GIR_EraseRootFromParent_Done,
     /* 2324937 */ // Label 32219: @2324937
     /* 2324937 */ GIM_Try, /*On fail goto*//*Label 32220*/ GIMT_Encode4(2324968), // Rule ID 1731 //
     /* 2324942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2324945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2324948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2324952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324956 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2324956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2324959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324961 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2324966 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324967 */   // GIR_Coverage, 1731,
     /* 2324967 */   GIR_EraseRootFromParent_Done,
     /* 2324968 */ // Label 32220: @2324968
     /* 2324968 */ GIM_Try, /*On fail goto*//*Label 32221*/ GIMT_Encode4(2324999), // Rule ID 1732 //
     /* 2324973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2324976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2324979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2324983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2324987 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2324987 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2324990 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324992 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2324997 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324998 */   // GIR_Coverage, 1732,
     /* 2324998 */   GIR_EraseRootFromParent_Done,
     /* 2324999 */ // Label 32221: @2324999
     /* 2324999 */ GIM_Try, /*On fail goto*//*Label 32222*/ GIMT_Encode4(2325030), // Rule ID 1757 //
     /* 2325004 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2325007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2325014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325018 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2325018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2325021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325023 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2325028 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325029 */   // GIR_Coverage, 1757,
     /* 2325029 */   GIR_EraseRootFromParent_Done,
     /* 2325030 */ // Label 32222: @2325030
     /* 2325030 */ GIM_Try, /*On fail goto*//*Label 32223*/ GIMT_Encode4(2325061), // Rule ID 1758 //
     /* 2325035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2325038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2325045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325049 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2325049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2325052 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325054 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2325059 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325060 */   // GIR_Coverage, 1758,
     /* 2325060 */   GIR_EraseRootFromParent_Done,
     /* 2325061 */ // Label 32223: @2325061
     /* 2325061 */ GIM_Try, /*On fail goto*//*Label 32224*/ GIMT_Encode4(2325092), // Rule ID 1786 //
     /* 2325066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2325069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2325076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325080 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2325080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU),
     /* 2325083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325085 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325090 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325091 */   // GIR_Coverage, 1786,
     /* 2325091 */   GIR_EraseRootFromParent_Done,
     /* 2325092 */ // Label 32224: @2325092
     /* 2325092 */ GIM_Try, /*On fail goto*//*Label 32225*/ GIMT_Encode4(2325123), // Rule ID 1814 //
     /* 2325097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2325100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325111 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2325111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU_INX),
     /* 2325114 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325116 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325121 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325122 */   // GIR_Coverage, 1814,
     /* 2325122 */   GIR_EraseRootFromParent_Done,
     /* 2325123 */ // Label 32225: @2325123
     /* 2325123 */ GIM_Reject,
     /* 2325124 */ // Label 32186: @2325124
     /* 2325124 */ GIM_Try, /*On fail goto*//*Label 32226*/ GIMT_Encode4(2325181), // Rule ID 57827 //
     /* 2325129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2325135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325143 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325143 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2325146 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325150 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325155 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2325160 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325162 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325165 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325179 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325180 */   // GIR_Coverage, 57827,
     /* 2325180 */   GIR_EraseRootFromParent_Done,
     /* 2325181 */ // Label 32226: @2325181
     /* 2325181 */ GIM_Try, /*On fail goto*//*Label 32227*/ GIMT_Encode4(2325238), // Rule ID 57828 //
     /* 2325186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2325192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325200 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325200 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2325203 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325207 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325212 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2325217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325219 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325222 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325236 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325237 */   // GIR_Coverage, 57828,
     /* 2325237 */   GIR_EraseRootFromParent_Done,
     /* 2325238 */ // Label 32227: @2325238
     /* 2325238 */ GIM_Try, /*On fail goto*//*Label 32228*/ GIMT_Encode4(2325292), // Rule ID 58011 //
     /* 2325243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2325249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325257 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325257 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2325260 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325264 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325269 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325271 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2325274 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325276 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325279 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325290 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325291 */   // GIR_Coverage, 58011,
     /* 2325291 */   GIR_EraseRootFromParent_Done,
     /* 2325292 */ // Label 32228: @2325292
     /* 2325292 */ GIM_Try, /*On fail goto*//*Label 32229*/ GIMT_Encode4(2325346), // Rule ID 58012 //
     /* 2325297 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2325303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325311 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325311 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2325314 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325318 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325323 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2325328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325330 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325333 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325344 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325345 */   // GIR_Coverage, 58012,
     /* 2325345 */   GIR_EraseRootFromParent_Done,
     /* 2325346 */ // Label 32229: @2325346
     /* 2325346 */ GIM_Try, /*On fail goto*//*Label 32230*/ GIMT_Encode4(2325403), // Rule ID 58219 //
     /* 2325351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2325354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2325357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325365 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325365 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2325368 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325372 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325377 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325379 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2325382 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325384 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325387 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325401 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325402 */   // GIR_Coverage, 58219,
     /* 2325402 */   GIR_EraseRootFromParent_Done,
     /* 2325403 */ // Label 32230: @2325403
     /* 2325403 */ GIM_Try, /*On fail goto*//*Label 32231*/ GIMT_Encode4(2325460), // Rule ID 58220 //
     /* 2325408 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2325411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2325414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325422 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325422 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2325425 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325429 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325434 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325436 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2325439 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325441 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325444 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325458 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325459 */   // GIR_Coverage, 58220,
     /* 2325459 */   GIR_EraseRootFromParent_Done,
     /* 2325460 */ // Label 32231: @2325460
     /* 2325460 */ GIM_Reject,
     /* 2325461 */ // Label 32187: @2325461
     /* 2325461 */ GIM_Try, /*On fail goto*//*Label 32232*/ GIMT_Encode4(2325518), // Rule ID 57835 //
     /* 2325466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2325469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2325472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325480 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325480 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2325483 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325487 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325492 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2325497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325499 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325502 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325516 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325517 */   // GIR_Coverage, 57835,
     /* 2325517 */   GIR_EraseRootFromParent_Done,
     /* 2325518 */ // Label 32232: @2325518
     /* 2325518 */ GIM_Try, /*On fail goto*//*Label 32233*/ GIMT_Encode4(2325575), // Rule ID 57836 //
     /* 2325523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2325526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2325529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325537 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325537 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2325540 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325544 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325549 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2325554 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325556 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325559 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325573 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325574 */   // GIR_Coverage, 57836,
     /* 2325574 */   GIR_EraseRootFromParent_Done,
     /* 2325575 */ // Label 32233: @2325575
     /* 2325575 */ GIM_Try, /*On fail goto*//*Label 32234*/ GIMT_Encode4(2325629), // Rule ID 58035 //
     /* 2325580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2325583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2325586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325594 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325594 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2325597 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325601 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325606 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2325611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325613 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325616 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325628 */   // GIR_Coverage, 58035,
     /* 2325628 */   GIR_EraseRootFromParent_Done,
     /* 2325629 */ // Label 32234: @2325629
     /* 2325629 */ GIM_Try, /*On fail goto*//*Label 32235*/ GIMT_Encode4(2325683), // Rule ID 58036 //
     /* 2325634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2325637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2325640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325648 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325648 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2325651 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325655 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325660 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2325665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325667 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325670 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325681 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325682 */   // GIR_Coverage, 58036,
     /* 2325682 */   GIR_EraseRootFromParent_Done,
     /* 2325683 */ // Label 32235: @2325683
     /* 2325683 */ GIM_Try, /*On fail goto*//*Label 32236*/ GIMT_Encode4(2325740), // Rule ID 58239 //
     /* 2325688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2325691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2325694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325698 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325702 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325702 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2325705 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325709 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325714 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2325719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325721 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325724 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325738 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325739 */   // GIR_Coverage, 58239,
     /* 2325739 */   GIR_EraseRootFromParent_Done,
     /* 2325740 */ // Label 32236: @2325740
     /* 2325740 */ GIM_Try, /*On fail goto*//*Label 32237*/ GIMT_Encode4(2325797), // Rule ID 58240 //
     /* 2325745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2325748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2325751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325759 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325759 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2325762 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325766 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325771 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2325776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325778 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325781 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325795 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325796 */   // GIR_Coverage, 58240,
     /* 2325796 */   GIR_EraseRootFromParent_Done,
     /* 2325797 */ // Label 32237: @2325797
     /* 2325797 */ GIM_Reject,
     /* 2325798 */ // Label 32188: @2325798
     /* 2325798 */ GIM_Try, /*On fail goto*//*Label 32238*/ GIMT_Encode4(2325855), // Rule ID 57847 //
     /* 2325803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2325806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2325809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325817 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325817 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2325820 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325824 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325829 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2325834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325836 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325839 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2325850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325853 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325854 */   // GIR_Coverage, 57847,
     /* 2325854 */   GIR_EraseRootFromParent_Done,
     /* 2325855 */ // Label 32238: @2325855
     /* 2325855 */ GIM_Try, /*On fail goto*//*Label 32239*/ GIMT_Encode4(2325912), // Rule ID 57848 //
     /* 2325860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2325863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2325866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325874 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325874 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2325877 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325881 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325886 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2325891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325893 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325896 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2325907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325910 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325911 */   // GIR_Coverage, 57848,
     /* 2325911 */   GIR_EraseRootFromParent_Done,
     /* 2325912 */ // Label 32239: @2325912
     /* 2325912 */ GIM_Try, /*On fail goto*//*Label 32240*/ GIMT_Encode4(2325966), // Rule ID 58055 //
     /* 2325917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2325920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2325923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325931 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325931 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2325934 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325938 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325943 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2325948 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325950 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325953 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325964 */   GIR_RootConstrainSelectedInstOperands,
     /* 2325965 */   // GIR_Coverage, 58055,
     /* 2325965 */   GIR_EraseRootFromParent_Done,
     /* 2325966 */ // Label 32240: @2325966
     /* 2325966 */ GIM_Try, /*On fail goto*//*Label 32241*/ GIMT_Encode4(2326020), // Rule ID 58056 //
     /* 2325971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2325974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2325977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325985 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325985 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2325988 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325992 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325997 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2326002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326004 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326007 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326018 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326019 */   // GIR_Coverage, 58056,
     /* 2326019 */   GIR_EraseRootFromParent_Done,
     /* 2326020 */ // Label 32241: @2326020
     /* 2326020 */ GIM_Reject,
     /* 2326021 */ // Label 32189: @2326021
     /* 2326021 */ GIM_Try, /*On fail goto*//*Label 32242*/ GIMT_Encode4(2326078), // Rule ID 57831 //
     /* 2326026 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2326032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326036 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326040 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326040 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2326043 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326047 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326052 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2326057 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326059 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326062 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326076 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326077 */   // GIR_Coverage, 57831,
     /* 2326077 */   GIR_EraseRootFromParent_Done,
     /* 2326078 */ // Label 32242: @2326078
     /* 2326078 */ GIM_Try, /*On fail goto*//*Label 32243*/ GIMT_Encode4(2326135), // Rule ID 57832 //
     /* 2326083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2326089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326097 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326097 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2326100 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326104 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326109 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2326114 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326116 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326119 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326134 */   // GIR_Coverage, 57832,
     /* 2326134 */   GIR_EraseRootFromParent_Done,
     /* 2326135 */ // Label 32243: @2326135
     /* 2326135 */ GIM_Try, /*On fail goto*//*Label 32244*/ GIMT_Encode4(2326189), // Rule ID 58015 //
     /* 2326140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2326146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326154 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326154 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2326157 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326161 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326166 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2326171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326173 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326176 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326187 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326188 */   // GIR_Coverage, 58015,
     /* 2326188 */   GIR_EraseRootFromParent_Done,
     /* 2326189 */ // Label 32244: @2326189
     /* 2326189 */ GIM_Try, /*On fail goto*//*Label 32245*/ GIMT_Encode4(2326243), // Rule ID 58016 //
     /* 2326194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326197 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2326200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326208 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326208 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2326211 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326215 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326220 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2326225 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326227 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326230 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326241 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326242 */   // GIR_Coverage, 58016,
     /* 2326242 */   GIR_EraseRootFromParent_Done,
     /* 2326243 */ // Label 32245: @2326243
     /* 2326243 */ GIM_Try, /*On fail goto*//*Label 32246*/ GIMT_Encode4(2326300), // Rule ID 58223 //
     /* 2326248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2326254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326258 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326262 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326262 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2326265 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326269 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326274 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2326279 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326281 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326284 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326298 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326299 */   // GIR_Coverage, 58223,
     /* 2326299 */   GIR_EraseRootFromParent_Done,
     /* 2326300 */ // Label 32246: @2326300
     /* 2326300 */ GIM_Try, /*On fail goto*//*Label 32247*/ GIMT_Encode4(2326357), // Rule ID 58224 //
     /* 2326305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2326311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326315 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326319 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326319 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2326322 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326326 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326331 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2326336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326338 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326341 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326355 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326356 */   // GIR_Coverage, 58224,
     /* 2326356 */   GIR_EraseRootFromParent_Done,
     /* 2326357 */ // Label 32247: @2326357
     /* 2326357 */ GIM_Reject,
     /* 2326358 */ // Label 32190: @2326358
     /* 2326358 */ GIM_Try, /*On fail goto*//*Label 32248*/ GIMT_Encode4(2326415), // Rule ID 57843 //
     /* 2326363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2326366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2326369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326377 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326377 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2326380 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326384 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326389 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2326394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326396 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326399 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326414 */   // GIR_Coverage, 57843,
     /* 2326414 */   GIR_EraseRootFromParent_Done,
     /* 2326415 */ // Label 32248: @2326415
     /* 2326415 */ GIM_Try, /*On fail goto*//*Label 32249*/ GIMT_Encode4(2326472), // Rule ID 57844 //
     /* 2326420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2326423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2326426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326434 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326434 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2326437 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326441 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326446 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2326451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326453 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326456 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326470 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326471 */   // GIR_Coverage, 57844,
     /* 2326471 */   GIR_EraseRootFromParent_Done,
     /* 2326472 */ // Label 32249: @2326472
     /* 2326472 */ GIM_Try, /*On fail goto*//*Label 32250*/ GIMT_Encode4(2326526), // Rule ID 58039 //
     /* 2326477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2326480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2326483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326487 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326491 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326491 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2326494 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326498 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326503 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326505 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2326508 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326510 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326513 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326524 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326525 */   // GIR_Coverage, 58039,
     /* 2326525 */   GIR_EraseRootFromParent_Done,
     /* 2326526 */ // Label 32250: @2326526
     /* 2326526 */ GIM_Try, /*On fail goto*//*Label 32251*/ GIMT_Encode4(2326580), // Rule ID 58040 //
     /* 2326531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2326534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2326537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326545 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326545 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2326548 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326552 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326557 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2326562 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326564 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326567 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326578 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326579 */   // GIR_Coverage, 58040,
     /* 2326579 */   GIR_EraseRootFromParent_Done,
     /* 2326580 */ // Label 32251: @2326580
     /* 2326580 */ GIM_Try, /*On fail goto*//*Label 32252*/ GIMT_Encode4(2326637), // Rule ID 58243 //
     /* 2326585 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2326588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2326591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326599 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326599 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2326602 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326606 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326611 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2326616 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326618 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326621 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326635 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326636 */   // GIR_Coverage, 58243,
     /* 2326636 */   GIR_EraseRootFromParent_Done,
     /* 2326637 */ // Label 32252: @2326637
     /* 2326637 */ GIM_Try, /*On fail goto*//*Label 32253*/ GIMT_Encode4(2326694), // Rule ID 58244 //
     /* 2326642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2326645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2326648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326656 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326656 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2326659 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326663 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326668 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2326673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326675 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326678 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326692 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326693 */   // GIR_Coverage, 58244,
     /* 2326693 */   GIR_EraseRootFromParent_Done,
     /* 2326694 */ // Label 32253: @2326694
     /* 2326694 */ GIM_Reject,
     /* 2326695 */ // Label 32191: @2326695
     /* 2326695 */ GIM_Try, /*On fail goto*//*Label 32254*/ GIMT_Encode4(2326752), // Rule ID 57875 //
     /* 2326700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2326703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2326706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326714 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326714 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2326717 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326721 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326726 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2326731 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326733 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326736 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326750 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326751 */   // GIR_Coverage, 57875,
     /* 2326751 */   GIR_EraseRootFromParent_Done,
     /* 2326752 */ // Label 32254: @2326752
     /* 2326752 */ GIM_Try, /*On fail goto*//*Label 32255*/ GIMT_Encode4(2326809), // Rule ID 57876 //
     /* 2326757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2326760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2326763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326771 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326771 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2326774 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326778 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326783 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326785 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2326788 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326790 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326793 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326808 */   // GIR_Coverage, 57876,
     /* 2326808 */   GIR_EraseRootFromParent_Done,
     /* 2326809 */ // Label 32255: @2326809
     /* 2326809 */ GIM_Try, /*On fail goto*//*Label 32256*/ GIMT_Encode4(2326863), // Rule ID 58059 //
     /* 2326814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2326817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2326820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326828 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326828 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2326831 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326835 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326840 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2326845 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326847 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326850 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326861 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326862 */   // GIR_Coverage, 58059,
     /* 2326862 */   GIR_EraseRootFromParent_Done,
     /* 2326863 */ // Label 32256: @2326863
     /* 2326863 */ GIM_Try, /*On fail goto*//*Label 32257*/ GIMT_Encode4(2326917), // Rule ID 58060 //
     /* 2326868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2326871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2326874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326882 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326882 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2326885 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326889 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326894 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2326899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326901 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326904 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326916 */   // GIR_Coverage, 58060,
     /* 2326916 */   GIR_EraseRootFromParent_Done,
     /* 2326917 */ // Label 32257: @2326917
     /* 2326917 */ GIM_Reject,
     /* 2326918 */ // Label 32192: @2326918
     /* 2326918 */ GIM_Try, /*On fail goto*//*Label 32258*/ GIMT_Encode4(2326975), // Rule ID 57839 //
     /* 2326923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2326926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2326929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326933 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326937 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326937 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2326940 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326944 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326949 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2326954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326956 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326959 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2326964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326973 */   GIR_RootConstrainSelectedInstOperands,
     /* 2326974 */   // GIR_Coverage, 57839,
     /* 2326974 */   GIR_EraseRootFromParent_Done,
     /* 2326975 */ // Label 32258: @2326975
     /* 2326975 */ GIM_Try, /*On fail goto*//*Label 32259*/ GIMT_Encode4(2327032), // Rule ID 57840 //
     /* 2326980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2326983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2326986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326994 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326994 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2326997 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327001 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327006 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2327011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327013 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327016 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327030 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327031 */   // GIR_Coverage, 57840,
     /* 2327031 */   GIR_EraseRootFromParent_Done,
     /* 2327032 */ // Label 32259: @2327032
     /* 2327032 */ GIM_Try, /*On fail goto*//*Label 32260*/ GIMT_Encode4(2327086), // Rule ID 58019 //
     /* 2327037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2327043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327047 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327051 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327051 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2327054 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327058 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327063 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2327068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327070 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327073 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327084 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327085 */   // GIR_Coverage, 58019,
     /* 2327085 */   GIR_EraseRootFromParent_Done,
     /* 2327086 */ // Label 32260: @2327086
     /* 2327086 */ GIM_Try, /*On fail goto*//*Label 32261*/ GIMT_Encode4(2327140), // Rule ID 58020 //
     /* 2327091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2327097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327105 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327105 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2327108 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327112 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327117 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2327122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327124 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327127 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327138 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327139 */   // GIR_Coverage, 58020,
     /* 2327139 */   GIR_EraseRootFromParent_Done,
     /* 2327140 */ // Label 32261: @2327140
     /* 2327140 */ GIM_Try, /*On fail goto*//*Label 32262*/ GIMT_Encode4(2327197), // Rule ID 58227 //
     /* 2327145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2327151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327159 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327159 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2327162 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327166 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327171 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327173 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2327176 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327178 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327181 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327195 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327196 */   // GIR_Coverage, 58227,
     /* 2327196 */   GIR_EraseRootFromParent_Done,
     /* 2327197 */ // Label 32262: @2327197
     /* 2327197 */ GIM_Try, /*On fail goto*//*Label 32263*/ GIMT_Encode4(2327254), // Rule ID 58228 //
     /* 2327202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2327208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327216 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327216 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2327219 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327223 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327228 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2327233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327235 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327238 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327252 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327253 */   // GIR_Coverage, 58228,
     /* 2327253 */   GIR_EraseRootFromParent_Done,
     /* 2327254 */ // Label 32263: @2327254
     /* 2327254 */ GIM_Reject,
     /* 2327255 */ // Label 32193: @2327255
     /* 2327255 */ GIM_Try, /*On fail goto*//*Label 32264*/ GIMT_Encode4(2327312), // Rule ID 57863 //
     /* 2327260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2327263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2327266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327274 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327274 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2327277 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327281 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327286 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2327291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327293 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327296 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327310 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327311 */   // GIR_Coverage, 57863,
     /* 2327311 */   GIR_EraseRootFromParent_Done,
     /* 2327312 */ // Label 32264: @2327312
     /* 2327312 */ GIM_Try, /*On fail goto*//*Label 32265*/ GIMT_Encode4(2327369), // Rule ID 57864 //
     /* 2327317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2327320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2327323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327331 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327331 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2327334 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327338 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327343 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2327348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327350 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327353 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327367 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327368 */   // GIR_Coverage, 57864,
     /* 2327368 */   GIR_EraseRootFromParent_Done,
     /* 2327369 */ // Label 32265: @2327369
     /* 2327369 */ GIM_Try, /*On fail goto*//*Label 32266*/ GIMT_Encode4(2327423), // Rule ID 58043 //
     /* 2327374 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2327377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2327380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327384 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327388 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327388 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2327391 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327395 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327400 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2327405 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327407 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327410 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327421 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327422 */   // GIR_Coverage, 58043,
     /* 2327422 */   GIR_EraseRootFromParent_Done,
     /* 2327423 */ // Label 32266: @2327423
     /* 2327423 */ GIM_Try, /*On fail goto*//*Label 32267*/ GIMT_Encode4(2327477), // Rule ID 58044 //
     /* 2327428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2327431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2327434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327442 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327442 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2327445 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327449 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327454 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2327459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327461 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327464 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327475 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327476 */   // GIR_Coverage, 58044,
     /* 2327476 */   GIR_EraseRootFromParent_Done,
     /* 2327477 */ // Label 32267: @2327477
     /* 2327477 */ GIM_Try, /*On fail goto*//*Label 32268*/ GIMT_Encode4(2327534), // Rule ID 58247 //
     /* 2327482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2327485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2327488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327496 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327496 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2327499 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327503 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327508 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2327513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327515 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327518 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327532 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327533 */   // GIR_Coverage, 58247,
     /* 2327533 */   GIR_EraseRootFromParent_Done,
     /* 2327534 */ // Label 32268: @2327534
     /* 2327534 */ GIM_Try, /*On fail goto*//*Label 32269*/ GIMT_Encode4(2327591), // Rule ID 58248 //
     /* 2327539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2327542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2327545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327549 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327553 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327553 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2327556 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327560 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327565 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2327570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327572 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327575 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327589 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327590 */   // GIR_Coverage, 58248,
     /* 2327590 */   GIR_EraseRootFromParent_Done,
     /* 2327591 */ // Label 32269: @2327591
     /* 2327591 */ GIM_Reject,
     /* 2327592 */ // Label 32194: @2327592
     /* 2327592 */ GIM_Try, /*On fail goto*//*Label 32270*/ GIMT_Encode4(2327649), // Rule ID 57879 //
     /* 2327597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2327600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2327603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327611 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327611 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2327614 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327618 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327623 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2327628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327630 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327633 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327647 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327648 */   // GIR_Coverage, 57879,
     /* 2327648 */   GIR_EraseRootFromParent_Done,
     /* 2327649 */ // Label 32270: @2327649
     /* 2327649 */ GIM_Try, /*On fail goto*//*Label 32271*/ GIMT_Encode4(2327706), // Rule ID 57880 //
     /* 2327654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2327657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2327660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327668 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327668 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2327671 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327675 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327680 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2327685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327687 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327690 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327704 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327705 */   // GIR_Coverage, 57880,
     /* 2327705 */   GIR_EraseRootFromParent_Done,
     /* 2327706 */ // Label 32271: @2327706
     /* 2327706 */ GIM_Try, /*On fail goto*//*Label 32272*/ GIMT_Encode4(2327760), // Rule ID 58063 //
     /* 2327711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2327714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2327717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327721 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327725 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327725 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2327728 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327732 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327737 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2327742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327744 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327747 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327759 */   // GIR_Coverage, 58063,
     /* 2327759 */   GIR_EraseRootFromParent_Done,
     /* 2327760 */ // Label 32272: @2327760
     /* 2327760 */ GIM_Try, /*On fail goto*//*Label 32273*/ GIMT_Encode4(2327814), // Rule ID 58064 //
     /* 2327765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2327768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2327771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327779 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327779 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2327782 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327786 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327791 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2327796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327798 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327801 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327813 */   // GIR_Coverage, 58064,
     /* 2327813 */   GIR_EraseRootFromParent_Done,
     /* 2327814 */ // Label 32273: @2327814
     /* 2327814 */ GIM_Reject,
     /* 2327815 */ // Label 32195: @2327815
     /* 2327815 */ GIM_Try, /*On fail goto*//*Label 32274*/ GIMT_Encode4(2327872), // Rule ID 57851 //
     /* 2327820 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2327826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327834 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327834 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2327837 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327841 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327846 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2327851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327853 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327856 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327870 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327871 */   // GIR_Coverage, 57851,
     /* 2327871 */   GIR_EraseRootFromParent_Done,
     /* 2327872 */ // Label 32274: @2327872
     /* 2327872 */ GIM_Try, /*On fail goto*//*Label 32275*/ GIMT_Encode4(2327929), // Rule ID 57852 //
     /* 2327877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2327883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327891 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327891 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2327894 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327898 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327903 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2327908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327910 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327913 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2327918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327927 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327928 */   // GIR_Coverage, 57852,
     /* 2327928 */   GIR_EraseRootFromParent_Done,
     /* 2327929 */ // Label 32275: @2327929
     /* 2327929 */ GIM_Try, /*On fail goto*//*Label 32276*/ GIMT_Encode4(2327983), // Rule ID 58023 //
     /* 2327934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2327937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2327940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327948 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327948 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2327951 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327955 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327960 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2327965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327967 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327970 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327982 */   // GIR_Coverage, 58023,
     /* 2327982 */   GIR_EraseRootFromParent_Done,
     /* 2327983 */ // Label 32276: @2327983
     /* 2327983 */ GIM_Try, /*On fail goto*//*Label 32277*/ GIMT_Encode4(2328037), // Rule ID 58024 //
     /* 2327988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2327991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2327994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328002 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328002 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2328005 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328009 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328014 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2328019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328021 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328024 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328035 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328036 */   // GIR_Coverage, 58024,
     /* 2328036 */   GIR_EraseRootFromParent_Done,
     /* 2328037 */ // Label 32277: @2328037
     /* 2328037 */ GIM_Try, /*On fail goto*//*Label 32278*/ GIMT_Encode4(2328094), // Rule ID 58231 //
     /* 2328042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2328048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328056 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328056 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2328059 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328063 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328068 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2328073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328075 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328078 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328092 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328093 */   // GIR_Coverage, 58231,
     /* 2328093 */   GIR_EraseRootFromParent_Done,
     /* 2328094 */ // Label 32278: @2328094
     /* 2328094 */ GIM_Try, /*On fail goto*//*Label 32279*/ GIMT_Encode4(2328151), // Rule ID 58232 //
     /* 2328099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2328105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328113 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328113 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2328116 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328120 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328125 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2328130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328132 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328135 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328150 */   // GIR_Coverage, 58232,
     /* 2328150 */   GIR_EraseRootFromParent_Done,
     /* 2328151 */ // Label 32279: @2328151
     /* 2328151 */ GIM_Reject,
     /* 2328152 */ // Label 32196: @2328152
     /* 2328152 */ GIM_Try, /*On fail goto*//*Label 32280*/ GIMT_Encode4(2328209), // Rule ID 57867 //
     /* 2328157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2328160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2328163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328171 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328171 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2328174 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328178 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328183 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328185 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2328188 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328190 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328193 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328208 */   // GIR_Coverage, 57867,
     /* 2328208 */   GIR_EraseRootFromParent_Done,
     /* 2328209 */ // Label 32280: @2328209
     /* 2328209 */ GIM_Try, /*On fail goto*//*Label 32281*/ GIMT_Encode4(2328266), // Rule ID 57868 //
     /* 2328214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2328217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2328220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328228 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328228 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2328231 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328235 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328240 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2328245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328247 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328250 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328264 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328265 */   // GIR_Coverage, 57868,
     /* 2328265 */   GIR_EraseRootFromParent_Done,
     /* 2328266 */ // Label 32281: @2328266
     /* 2328266 */ GIM_Try, /*On fail goto*//*Label 32282*/ GIMT_Encode4(2328320), // Rule ID 58047 //
     /* 2328271 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2328274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2328277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328285 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328285 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2328288 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328292 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328297 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2328302 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328304 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328307 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328318 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328319 */   // GIR_Coverage, 58047,
     /* 2328319 */   GIR_EraseRootFromParent_Done,
     /* 2328320 */ // Label 32282: @2328320
     /* 2328320 */ GIM_Try, /*On fail goto*//*Label 32283*/ GIMT_Encode4(2328374), // Rule ID 58048 //
     /* 2328325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2328328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2328331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328339 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328339 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2328342 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328346 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328351 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2328356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328358 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328361 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328372 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328373 */   // GIR_Coverage, 58048,
     /* 2328373 */   GIR_EraseRootFromParent_Done,
     /* 2328374 */ // Label 32283: @2328374
     /* 2328374 */ GIM_Try, /*On fail goto*//*Label 32284*/ GIMT_Encode4(2328431), // Rule ID 58251 //
     /* 2328379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2328382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2328385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2328393 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328393 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2328396 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328400 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328405 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2328410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328412 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328415 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328429 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328430 */   // GIR_Coverage, 58251,
     /* 2328430 */   GIR_EraseRootFromParent_Done,
     /* 2328431 */ // Label 32284: @2328431
     /* 2328431 */ GIM_Try, /*On fail goto*//*Label 32285*/ GIMT_Encode4(2328488), // Rule ID 58252 //
     /* 2328436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2328439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2328442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2328450 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328450 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2328453 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328457 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328462 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2328467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328469 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328472 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328486 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328487 */   // GIR_Coverage, 58252,
     /* 2328487 */   GIR_EraseRootFromParent_Done,
     /* 2328488 */ // Label 32285: @2328488
     /* 2328488 */ GIM_Reject,
     /* 2328489 */ // Label 32197: @2328489
     /* 2328489 */ GIM_Try, /*On fail goto*//*Label 32286*/ GIMT_Encode4(2328546), // Rule ID 57883 //
     /* 2328494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2328497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2328500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2328504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2328508 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328508 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2328511 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328515 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328520 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2328525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328527 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328530 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2328541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328545 */   // GIR_Coverage, 57883,
     /* 2328545 */   GIR_EraseRootFromParent_Done,
     /* 2328546 */ // Label 32286: @2328546
     /* 2328546 */ GIM_Try, /*On fail goto*//*Label 32287*/ GIMT_Encode4(2328603), // Rule ID 57884 //
     /* 2328551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2328554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2328557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2328561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2328565 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328565 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2328568 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328572 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328577 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2328582 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328584 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328587 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2328598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328601 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328602 */   // GIR_Coverage, 57884,
     /* 2328602 */   GIR_EraseRootFromParent_Done,
     /* 2328603 */ // Label 32287: @2328603
     /* 2328603 */ GIM_Try, /*On fail goto*//*Label 32288*/ GIMT_Encode4(2328657), // Rule ID 58067 //
     /* 2328608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2328611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2328614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2328618 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328622 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328622 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2328625 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328629 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328634 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328636 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2328639 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328641 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328644 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328655 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328656 */   // GIR_Coverage, 58067,
     /* 2328656 */   GIR_EraseRootFromParent_Done,
     /* 2328657 */ // Label 32288: @2328657
     /* 2328657 */ GIM_Try, /*On fail goto*//*Label 32289*/ GIMT_Encode4(2328711), // Rule ID 58068 //
     /* 2328662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2328665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2328668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2328672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328676 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328676 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2328679 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328683 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328688 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2328693 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328695 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328698 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328709 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328710 */   // GIR_Coverage, 58068,
     /* 2328710 */   GIR_EraseRootFromParent_Done,
     /* 2328711 */ // Label 32289: @2328711
     /* 2328711 */ GIM_Reject,
     /* 2328712 */ // Label 32198: @2328712
     /* 2328712 */ GIM_Try, /*On fail goto*//*Label 32290*/ GIMT_Encode4(2328769), // Rule ID 57855 //
     /* 2328717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2328723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328727 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328731 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328731 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2328734 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328738 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328743 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2328748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328750 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328753 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328768 */   // GIR_Coverage, 57855,
     /* 2328768 */   GIR_EraseRootFromParent_Done,
     /* 2328769 */ // Label 32290: @2328769
     /* 2328769 */ GIM_Try, /*On fail goto*//*Label 32291*/ GIMT_Encode4(2328826), // Rule ID 57856 //
     /* 2328774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2328780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328788 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328788 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2328791 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328795 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328800 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2328805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328807 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328810 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328825 */   // GIR_Coverage, 57856,
     /* 2328825 */   GIR_EraseRootFromParent_Done,
     /* 2328826 */ // Label 32291: @2328826
     /* 2328826 */ GIM_Try, /*On fail goto*//*Label 32292*/ GIMT_Encode4(2328880), // Rule ID 58027 //
     /* 2328831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2328837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328845 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328845 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2328848 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328852 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328857 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2328862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328864 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328867 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328879 */   // GIR_Coverage, 58027,
     /* 2328879 */   GIR_EraseRootFromParent_Done,
     /* 2328880 */ // Label 32292: @2328880
     /* 2328880 */ GIM_Try, /*On fail goto*//*Label 32293*/ GIMT_Encode4(2328934), // Rule ID 58028 //
     /* 2328885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2328891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328899 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328899 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2328902 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328906 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328911 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2328916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328918 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328921 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328932 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328933 */   // GIR_Coverage, 58028,
     /* 2328933 */   GIR_EraseRootFromParent_Done,
     /* 2328934 */ // Label 32293: @2328934
     /* 2328934 */ GIM_Try, /*On fail goto*//*Label 32294*/ GIMT_Encode4(2328991), // Rule ID 58235 //
     /* 2328939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2328942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2328945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2328949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2328953 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328953 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2328956 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328960 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328965 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328967 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2328970 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328972 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328975 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328989 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328990 */   // GIR_Coverage, 58235,
     /* 2328990 */   GIR_EraseRootFromParent_Done,
     /* 2328991 */ // Label 32294: @2328991
     /* 2328991 */ GIM_Try, /*On fail goto*//*Label 32295*/ GIMT_Encode4(2329048), // Rule ID 58236 //
     /* 2328996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2328999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2329002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329010 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329010 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2329013 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329017 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329022 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2329027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329029 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329032 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329046 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329047 */   // GIR_Coverage, 58236,
     /* 2329047 */   GIR_EraseRootFromParent_Done,
     /* 2329048 */ // Label 32295: @2329048
     /* 2329048 */ GIM_Reject,
     /* 2329049 */ // Label 32199: @2329049
     /* 2329049 */ GIM_Try, /*On fail goto*//*Label 32296*/ GIMT_Encode4(2329106), // Rule ID 57871 //
     /* 2329054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2329057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2329060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329068 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329068 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2329071 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329075 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329080 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2329085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329087 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329090 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329104 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329105 */   // GIR_Coverage, 57871,
     /* 2329105 */   GIR_EraseRootFromParent_Done,
     /* 2329106 */ // Label 32296: @2329106
     /* 2329106 */ GIM_Try, /*On fail goto*//*Label 32297*/ GIMT_Encode4(2329163), // Rule ID 57872 //
     /* 2329111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2329117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329125 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329125 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2329128 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329132 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329137 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2329142 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329144 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329147 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329161 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329162 */   // GIR_Coverage, 57872,
     /* 2329162 */   GIR_EraseRootFromParent_Done,
     /* 2329163 */ // Label 32297: @2329163
     /* 2329163 */ GIM_Try, /*On fail goto*//*Label 32298*/ GIMT_Encode4(2329217), // Rule ID 58051 //
     /* 2329168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2329171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2329174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329182 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329182 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2329185 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329189 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329194 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2329199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329201 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329204 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329216 */   // GIR_Coverage, 58051,
     /* 2329216 */   GIR_EraseRootFromParent_Done,
     /* 2329217 */ // Label 32298: @2329217
     /* 2329217 */ GIM_Try, /*On fail goto*//*Label 32299*/ GIMT_Encode4(2329271), // Rule ID 58052 //
     /* 2329222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2329225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2329228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329236 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329236 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2329239 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329243 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329248 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2329253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329255 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329258 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329270 */   // GIR_Coverage, 58052,
     /* 2329270 */   GIR_EraseRootFromParent_Done,
     /* 2329271 */ // Label 32299: @2329271
     /* 2329271 */ GIM_Reject,
     /* 2329272 */ // Label 32200: @2329272
     /* 2329272 */ GIM_Try, /*On fail goto*//*Label 32300*/ GIMT_Encode4(2329329), // Rule ID 57859 //
     /* 2329277 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2329283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329291 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329291 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2329294 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329298 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329303 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2329308 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329310 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329313 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329327 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329328 */   // GIR_Coverage, 57859,
     /* 2329328 */   GIR_EraseRootFromParent_Done,
     /* 2329329 */ // Label 32300: @2329329
     /* 2329329 */ GIM_Try, /*On fail goto*//*Label 32301*/ GIMT_Encode4(2329386), // Rule ID 57860 //
     /* 2329334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2329340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329344 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329348 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329348 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2329351 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329355 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329360 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2329365 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329367 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329370 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329384 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329385 */   // GIR_Coverage, 57860,
     /* 2329385 */   GIR_EraseRootFromParent_Done,
     /* 2329386 */ // Label 32301: @2329386
     /* 2329386 */ GIM_Try, /*On fail goto*//*Label 32302*/ GIMT_Encode4(2329440), // Rule ID 58031 //
     /* 2329391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2329394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2329397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329405 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329405 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2329408 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329412 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329417 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2329422 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329424 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329427 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329438 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329439 */   // GIR_Coverage, 58031,
     /* 2329439 */   GIR_EraseRootFromParent_Done,
     /* 2329440 */ // Label 32302: @2329440
     /* 2329440 */ GIM_Try, /*On fail goto*//*Label 32303*/ GIMT_Encode4(2329494), // Rule ID 58032 //
     /* 2329445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2329448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2329451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329459 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329459 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2329462 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329466 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329471 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2329476 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329478 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329481 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329492 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329493 */   // GIR_Coverage, 58032,
     /* 2329493 */   GIR_EraseRootFromParent_Done,
     /* 2329494 */ // Label 32303: @2329494
     /* 2329494 */ GIM_Reject,
     /* 2329495 */ // Label 32201: @2329495
     /* 2329495 */ GIM_Reject,
     /* 2329496 */ // Label 69: @2329496
     /* 2329496 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32322*/ GIMT_Encode4(2331466),
     /* 2329507 */ /*GILLT_s16*//*Label 32304*/ GIMT_Encode4(2329627),
     /* 2329511 */ /*GILLT_s32*//*Label 32305*/ GIMT_Encode4(2329691),
     /* 2329515 */ /*GILLT_s64*//*Label 32306*/ GIMT_Encode4(2329755), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2329527 */ /*GILLT_nxv1s16*//*Label 32307*/ GIMT_Encode4(2329846),
     /* 2329531 */ /*GILLT_nxv1s32*//*Label 32308*/ GIMT_Encode4(2329954),
     /* 2329535 */ /*GILLT_nxv1s64*//*Label 32309*/ GIMT_Encode4(2330062), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2329547 */ /*GILLT_nxv2s16*//*Label 32310*/ GIMT_Encode4(2330170),
     /* 2329551 */ /*GILLT_nxv2s32*//*Label 32311*/ GIMT_Encode4(2330278),
     /* 2329555 */ /*GILLT_nxv2s64*//*Label 32312*/ GIMT_Encode4(2330386), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2329567 */ /*GILLT_nxv4s16*//*Label 32313*/ GIMT_Encode4(2330494),
     /* 2329571 */ /*GILLT_nxv4s32*//*Label 32314*/ GIMT_Encode4(2330602),
     /* 2329575 */ /*GILLT_nxv4s64*//*Label 32315*/ GIMT_Encode4(2330710), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2329587 */ /*GILLT_nxv8s16*//*Label 32316*/ GIMT_Encode4(2330818),
     /* 2329591 */ /*GILLT_nxv8s32*//*Label 32317*/ GIMT_Encode4(2330926),
     /* 2329595 */ /*GILLT_nxv8s64*//*Label 32318*/ GIMT_Encode4(2331034), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2329607 */ /*GILLT_nxv16s16*//*Label 32319*/ GIMT_Encode4(2331142),
     /* 2329611 */ /*GILLT_nxv16s32*//*Label 32320*/ GIMT_Encode4(2331250), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2329623 */ /*GILLT_nxv32s16*//*Label 32321*/ GIMT_Encode4(2331358),
     /* 2329627 */ // Label 32304: @2329627
     /* 2329627 */ GIM_Try, /*On fail goto*//*Label 32323*/ GIMT_Encode4(2329690),
     /* 2329632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2329635 */   GIM_Try, /*On fail goto*//*Label 32324*/ GIMT_Encode4(2329662), // Rule ID 1852 //
     /* 2329640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2329643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2329647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2329651 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2329651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H),
     /* 2329654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329661 */     // GIR_Coverage, 1852,
     /* 2329661 */     GIR_EraseRootFromParent_Done,
     /* 2329662 */   // Label 32324: @2329662
     /* 2329662 */   GIM_Try, /*On fail goto*//*Label 32325*/ GIMT_Encode4(2329689), // Rule ID 1885 //
     /* 2329667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2329670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2329674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2329678 */     // (fabs:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2329678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H_INX),
     /* 2329681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329688 */     // GIR_Coverage, 1885,
     /* 2329688 */     GIR_EraseRootFromParent_Done,
     /* 2329689 */   // Label 32325: @2329689
     /* 2329689 */   GIM_Reject,
     /* 2329690 */ // Label 32323: @2329690
     /* 2329690 */ GIM_Reject,
     /* 2329691 */ // Label 32305: @2329691
     /* 2329691 */ GIM_Try, /*On fail goto*//*Label 32326*/ GIMT_Encode4(2329754),
     /* 2329696 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2329699 */   GIM_Try, /*On fail goto*//*Label 32327*/ GIMT_Encode4(2329726), // Rule ID 1143 //
     /* 2329704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2329707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2329711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2329715 */     // (fabs:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2329715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S),
     /* 2329718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329725 */     // GIR_Coverage, 1143,
     /* 2329725 */     GIR_EraseRootFromParent_Done,
     /* 2329726 */   // Label 32327: @2329726
     /* 2329726 */   GIM_Try, /*On fail goto*//*Label 32328*/ GIMT_Encode4(2329753), // Rule ID 1151 //
     /* 2329731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2329734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2329738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2329742 */     // (fabs:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2329742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S_INX),
     /* 2329745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329752 */     // GIR_Coverage, 1151,
     /* 2329752 */     GIR_EraseRootFromParent_Done,
     /* 2329753 */   // Label 32328: @2329753
     /* 2329753 */   GIM_Reject,
     /* 2329754 */ // Label 32326: @2329754
     /* 2329754 */ GIM_Reject,
     /* 2329755 */ // Label 32306: @2329755
     /* 2329755 */ GIM_Try, /*On fail goto*//*Label 32329*/ GIMT_Encode4(2329845),
     /* 2329760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2329763 */   GIM_Try, /*On fail goto*//*Label 32330*/ GIMT_Encode4(2329790), // Rule ID 1486 //
     /* 2329768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2329771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2329775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2329779 */     // (fabs:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2329779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D),
     /* 2329782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329789 */     // GIR_Coverage, 1486,
     /* 2329789 */     GIR_EraseRootFromParent_Done,
     /* 2329790 */   // Label 32330: @2329790
     /* 2329790 */   GIM_Try, /*On fail goto*//*Label 32331*/ GIMT_Encode4(2329817), // Rule ID 1519 //
     /* 2329795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2329798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2329802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2329806 */     // (fabs:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2329806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_INX),
     /* 2329809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329816 */     // GIR_Coverage, 1519,
     /* 2329816 */     GIR_EraseRootFromParent_Done,
     /* 2329817 */   // Label 32331: @2329817
     /* 2329817 */   GIM_Try, /*On fail goto*//*Label 32332*/ GIMT_Encode4(2329844), // Rule ID 1541 //
     /* 2329822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2329825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2329829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2329833 */     // (fabs:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2329833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_IN32X),
     /* 2329836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329843 */     // GIR_Coverage, 1541,
     /* 2329843 */     GIR_EraseRootFromParent_Done,
     /* 2329844 */   // Label 32332: @2329844
     /* 2329844 */   GIM_Reject,
     /* 2329845 */ // Label 32329: @2329845
     /* 2329845 */ GIM_Reject,
     /* 2329846 */ // Label 32307: @2329846
     /* 2329846 */ GIM_Try, /*On fail goto*//*Label 32333*/ GIMT_Encode4(2329953),
     /* 2329851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2329854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329862 */   GIM_Try, /*On fail goto*//*Label 32334*/ GIMT_Encode4(2329907), // Rule ID 55783 //
     /* 2329867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2329870 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2329873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2329887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2329894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2329896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329906 */     // GIR_Coverage, 55783,
     /* 2329906 */     GIR_EraseRootFromParent_Done,
     /* 2329907 */   // Label 32334: @2329907
     /* 2329907 */   GIM_Try, /*On fail goto*//*Label 32335*/ GIMT_Encode4(2329952), // Rule ID 55784 //
     /* 2329912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2329915 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2329918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2329932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2329939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2329941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329951 */     // GIR_Coverage, 55784,
     /* 2329951 */     GIR_EraseRootFromParent_Done,
     /* 2329952 */   // Label 32335: @2329952
     /* 2329952 */   GIM_Reject,
     /* 2329953 */ // Label 32333: @2329953
     /* 2329953 */ GIM_Reject,
     /* 2329954 */ // Label 32308: @2329954
     /* 2329954 */ GIM_Try, /*On fail goto*//*Label 32336*/ GIMT_Encode4(2330061),
     /* 2329959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2329962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329966 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329970 */   GIM_Try, /*On fail goto*//*Label 32337*/ GIMT_Encode4(2330015), // Rule ID 55823 //
     /* 2329975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2329978 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2329981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2329995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330014 */     // GIR_Coverage, 55823,
     /* 2330014 */     GIR_EraseRootFromParent_Done,
     /* 2330015 */   // Label 32337: @2330015
     /* 2330015 */   GIM_Try, /*On fail goto*//*Label 32338*/ GIMT_Encode4(2330060), // Rule ID 55824 //
     /* 2330020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2330023 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2330026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2330040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330059 */     // GIR_Coverage, 55824,
     /* 2330059 */     GIR_EraseRootFromParent_Done,
     /* 2330060 */   // Label 32338: @2330060
     /* 2330060 */   GIM_Reject,
     /* 2330061 */ // Label 32336: @2330061
     /* 2330061 */ GIM_Reject,
     /* 2330062 */ // Label 32309: @2330062
     /* 2330062 */ GIM_Try, /*On fail goto*//*Label 32339*/ GIMT_Encode4(2330169),
     /* 2330067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2330070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330078 */   GIM_Try, /*On fail goto*//*Label 32340*/ GIMT_Encode4(2330123), // Rule ID 55883 //
     /* 2330083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2330086 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2330089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2330103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330122 */     // GIR_Coverage, 55883,
     /* 2330122 */     GIR_EraseRootFromParent_Done,
     /* 2330123 */   // Label 32340: @2330123
     /* 2330123 */   GIM_Try, /*On fail goto*//*Label 32341*/ GIMT_Encode4(2330168), // Rule ID 55884 //
     /* 2330128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2330131 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2330134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2330148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330167 */     // GIR_Coverage, 55884,
     /* 2330167 */     GIR_EraseRootFromParent_Done,
     /* 2330168 */   // Label 32341: @2330168
     /* 2330168 */   GIM_Reject,
     /* 2330169 */ // Label 32339: @2330169
     /* 2330169 */ GIM_Reject,
     /* 2330170 */ // Label 32310: @2330170
     /* 2330170 */ GIM_Try, /*On fail goto*//*Label 32342*/ GIMT_Encode4(2330277),
     /* 2330175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2330178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330186 */   GIM_Try, /*On fail goto*//*Label 32343*/ GIMT_Encode4(2330231), // Rule ID 55803 //
     /* 2330191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2330194 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2330197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2330211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330230 */     // GIR_Coverage, 55803,
     /* 2330230 */     GIR_EraseRootFromParent_Done,
     /* 2330231 */   // Label 32343: @2330231
     /* 2330231 */   GIM_Try, /*On fail goto*//*Label 32344*/ GIMT_Encode4(2330276), // Rule ID 55804 //
     /* 2330236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2330239 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2330242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2330256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330275 */     // GIR_Coverage, 55804,
     /* 2330275 */     GIR_EraseRootFromParent_Done,
     /* 2330276 */   // Label 32344: @2330276
     /* 2330276 */   GIM_Reject,
     /* 2330277 */ // Label 32342: @2330277
     /* 2330277 */ GIM_Reject,
     /* 2330278 */ // Label 32311: @2330278
     /* 2330278 */ GIM_Try, /*On fail goto*//*Label 32345*/ GIMT_Encode4(2330385),
     /* 2330283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2330286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330294 */   GIM_Try, /*On fail goto*//*Label 32346*/ GIMT_Encode4(2330339), // Rule ID 55863 //
     /* 2330299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2330302 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2330305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2330319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330338 */     // GIR_Coverage, 55863,
     /* 2330338 */     GIR_EraseRootFromParent_Done,
     /* 2330339 */   // Label 32346: @2330339
     /* 2330339 */   GIM_Try, /*On fail goto*//*Label 32347*/ GIMT_Encode4(2330384), // Rule ID 55864 //
     /* 2330344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2330347 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2330350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2330364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330383 */     // GIR_Coverage, 55864,
     /* 2330383 */     GIR_EraseRootFromParent_Done,
     /* 2330384 */   // Label 32347: @2330384
     /* 2330384 */   GIM_Reject,
     /* 2330385 */ // Label 32345: @2330385
     /* 2330385 */ GIM_Reject,
     /* 2330386 */ // Label 32312: @2330386
     /* 2330386 */ GIM_Try, /*On fail goto*//*Label 32348*/ GIMT_Encode4(2330493),
     /* 2330391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2330394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330402 */   GIM_Try, /*On fail goto*//*Label 32349*/ GIMT_Encode4(2330447), // Rule ID 56023 //
     /* 2330407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2330410 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2330413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330422 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2330427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330429 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330446 */     // GIR_Coverage, 56023,
     /* 2330446 */     GIR_EraseRootFromParent_Done,
     /* 2330447 */   // Label 32349: @2330447
     /* 2330447 */   GIM_Try, /*On fail goto*//*Label 32350*/ GIMT_Encode4(2330492), // Rule ID 56024 //
     /* 2330452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2330455 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2330458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2330472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330491 */     // GIR_Coverage, 56024,
     /* 2330491 */     GIR_EraseRootFromParent_Done,
     /* 2330492 */   // Label 32350: @2330492
     /* 2330492 */   GIM_Reject,
     /* 2330493 */ // Label 32348: @2330493
     /* 2330493 */ GIM_Reject,
     /* 2330494 */ // Label 32313: @2330494
     /* 2330494 */ GIM_Try, /*On fail goto*//*Label 32351*/ GIMT_Encode4(2330601),
     /* 2330499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2330502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330510 */   GIM_Try, /*On fail goto*//*Label 32352*/ GIMT_Encode4(2330555), // Rule ID 55843 //
     /* 2330515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2330518 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2330521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2330535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330554 */     // GIR_Coverage, 55843,
     /* 2330554 */     GIR_EraseRootFromParent_Done,
     /* 2330555 */   // Label 32352: @2330555
     /* 2330555 */   GIM_Try, /*On fail goto*//*Label 32353*/ GIMT_Encode4(2330600), // Rule ID 55844 //
     /* 2330560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2330563 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2330566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2330580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330599 */     // GIR_Coverage, 55844,
     /* 2330599 */     GIR_EraseRootFromParent_Done,
     /* 2330600 */   // Label 32353: @2330600
     /* 2330600 */   GIM_Reject,
     /* 2330601 */ // Label 32351: @2330601
     /* 2330601 */ GIM_Reject,
     /* 2330602 */ // Label 32314: @2330602
     /* 2330602 */ GIM_Try, /*On fail goto*//*Label 32354*/ GIMT_Encode4(2330709),
     /* 2330607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2330610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330618 */   GIM_Try, /*On fail goto*//*Label 32355*/ GIMT_Encode4(2330663), // Rule ID 55963 //
     /* 2330623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2330626 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2330629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2330643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330662 */     // GIR_Coverage, 55963,
     /* 2330662 */     GIR_EraseRootFromParent_Done,
     /* 2330663 */   // Label 32355: @2330663
     /* 2330663 */   GIM_Try, /*On fail goto*//*Label 32356*/ GIMT_Encode4(2330708), // Rule ID 55964 //
     /* 2330668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2330671 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2330674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2330688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330707 */     // GIR_Coverage, 55964,
     /* 2330707 */     GIR_EraseRootFromParent_Done,
     /* 2330708 */   // Label 32356: @2330708
     /* 2330708 */   GIM_Reject,
     /* 2330709 */ // Label 32354: @2330709
     /* 2330709 */ GIM_Reject,
     /* 2330710 */ // Label 32315: @2330710
     /* 2330710 */ GIM_Try, /*On fail goto*//*Label 32357*/ GIMT_Encode4(2330817),
     /* 2330715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2330718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330726 */   GIM_Try, /*On fail goto*//*Label 32358*/ GIMT_Encode4(2330771), // Rule ID 56043 //
     /* 2330731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2330734 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2330737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2330751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330770 */     // GIR_Coverage, 56043,
     /* 2330770 */     GIR_EraseRootFromParent_Done,
     /* 2330771 */   // Label 32358: @2330771
     /* 2330771 */   GIM_Try, /*On fail goto*//*Label 32359*/ GIMT_Encode4(2330816), // Rule ID 56044 //
     /* 2330776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2330779 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2330782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2330796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330815 */     // GIR_Coverage, 56044,
     /* 2330815 */     GIR_EraseRootFromParent_Done,
     /* 2330816 */   // Label 32359: @2330816
     /* 2330816 */   GIM_Reject,
     /* 2330817 */ // Label 32357: @2330817
     /* 2330817 */ GIM_Reject,
     /* 2330818 */ // Label 32316: @2330818
     /* 2330818 */ GIM_Try, /*On fail goto*//*Label 32360*/ GIMT_Encode4(2330925),
     /* 2330823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2330826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330834 */   GIM_Try, /*On fail goto*//*Label 32361*/ GIMT_Encode4(2330879), // Rule ID 55903 //
     /* 2330839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2330842 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2330845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2330859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330878 */     // GIR_Coverage, 55903,
     /* 2330878 */     GIR_EraseRootFromParent_Done,
     /* 2330879 */   // Label 32361: @2330879
     /* 2330879 */   GIM_Try, /*On fail goto*//*Label 32362*/ GIMT_Encode4(2330924), // Rule ID 55904 //
     /* 2330884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2330887 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2330890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2330904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330923 */     // GIR_Coverage, 55904,
     /* 2330923 */     GIR_EraseRootFromParent_Done,
     /* 2330924 */   // Label 32362: @2330924
     /* 2330924 */   GIM_Reject,
     /* 2330925 */ // Label 32360: @2330925
     /* 2330925 */ GIM_Reject,
     /* 2330926 */ // Label 32317: @2330926
     /* 2330926 */ GIM_Try, /*On fail goto*//*Label 32363*/ GIMT_Encode4(2331033),
     /* 2330931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2330934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330942 */   GIM_Try, /*On fail goto*//*Label 32364*/ GIMT_Encode4(2330987), // Rule ID 55983 //
     /* 2330947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2330950 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2330953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2330967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2330976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330986 */     // GIR_Coverage, 55983,
     /* 2330986 */     GIR_EraseRootFromParent_Done,
     /* 2330987 */   // Label 32364: @2330987
     /* 2330987 */   GIM_Try, /*On fail goto*//*Label 32365*/ GIMT_Encode4(2331032), // Rule ID 55984 //
     /* 2330992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2330995 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2330998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2331012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331031 */     // GIR_Coverage, 55984,
     /* 2331031 */     GIR_EraseRootFromParent_Done,
     /* 2331032 */   // Label 32365: @2331032
     /* 2331032 */   GIM_Reject,
     /* 2331033 */ // Label 32363: @2331033
     /* 2331033 */ GIM_Reject,
     /* 2331034 */ // Label 32318: @2331034
     /* 2331034 */ GIM_Try, /*On fail goto*//*Label 32366*/ GIMT_Encode4(2331141),
     /* 2331039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2331042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331046 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331050 */   GIM_Try, /*On fail goto*//*Label 32367*/ GIMT_Encode4(2331095), // Rule ID 56063 //
     /* 2331055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2331058 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2331061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2331075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2331090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331094 */     // GIR_Coverage, 56063,
     /* 2331094 */     GIR_EraseRootFromParent_Done,
     /* 2331095 */   // Label 32367: @2331095
     /* 2331095 */   GIM_Try, /*On fail goto*//*Label 32368*/ GIMT_Encode4(2331140), // Rule ID 56064 //
     /* 2331100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2331103 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2331106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2331120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2331135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331139 */     // GIR_Coverage, 56064,
     /* 2331139 */     GIR_EraseRootFromParent_Done,
     /* 2331140 */   // Label 32368: @2331140
     /* 2331140 */   GIM_Reject,
     /* 2331141 */ // Label 32366: @2331141
     /* 2331141 */ GIM_Reject,
     /* 2331142 */ // Label 32319: @2331142
     /* 2331142 */ GIM_Try, /*On fail goto*//*Label 32369*/ GIMT_Encode4(2331249),
     /* 2331147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2331150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331158 */   GIM_Try, /*On fail goto*//*Label 32370*/ GIMT_Encode4(2331203), // Rule ID 55923 //
     /* 2331163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2331166 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2331169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2331183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331202 */     // GIR_Coverage, 55923,
     /* 2331202 */     GIR_EraseRootFromParent_Done,
     /* 2331203 */   // Label 32370: @2331203
     /* 2331203 */   GIM_Try, /*On fail goto*//*Label 32371*/ GIMT_Encode4(2331248), // Rule ID 55924 //
     /* 2331208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2331211 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2331214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2331228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331247 */     // GIR_Coverage, 55924,
     /* 2331247 */     GIR_EraseRootFromParent_Done,
     /* 2331248 */   // Label 32371: @2331248
     /* 2331248 */   GIM_Reject,
     /* 2331249 */ // Label 32369: @2331249
     /* 2331249 */ GIM_Reject,
     /* 2331250 */ // Label 32320: @2331250
     /* 2331250 */ GIM_Try, /*On fail goto*//*Label 32372*/ GIMT_Encode4(2331357),
     /* 2331255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2331258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331266 */   GIM_Try, /*On fail goto*//*Label 32373*/ GIMT_Encode4(2331311), // Rule ID 56003 //
     /* 2331271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2331274 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2331277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2331291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331310 */     // GIR_Coverage, 56003,
     /* 2331310 */     GIR_EraseRootFromParent_Done,
     /* 2331311 */   // Label 32373: @2331311
     /* 2331311 */   GIM_Try, /*On fail goto*//*Label 32374*/ GIMT_Encode4(2331356), // Rule ID 56004 //
     /* 2331316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2331319 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2331322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2331336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331355 */     // GIR_Coverage, 56004,
     /* 2331355 */     GIR_EraseRootFromParent_Done,
     /* 2331356 */   // Label 32374: @2331356
     /* 2331356 */   GIM_Reject,
     /* 2331357 */ // Label 32372: @2331357
     /* 2331357 */ GIM_Reject,
     /* 2331358 */ // Label 32321: @2331358
     /* 2331358 */ GIM_Try, /*On fail goto*//*Label 32375*/ GIMT_Encode4(2331465),
     /* 2331363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2331366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331374 */   GIM_Try, /*On fail goto*//*Label 32376*/ GIMT_Encode4(2331419), // Rule ID 55943 //
     /* 2331379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2331382 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2331385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2331399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331418 */     // GIR_Coverage, 55943,
     /* 2331418 */     GIR_EraseRootFromParent_Done,
     /* 2331419 */   // Label 32376: @2331419
     /* 2331419 */   GIM_Try, /*On fail goto*//*Label 32377*/ GIMT_Encode4(2331464), // Rule ID 55944 //
     /* 2331424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2331427 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2331430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2331444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2331453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331463 */     // GIR_Coverage, 55944,
     /* 2331463 */     GIR_EraseRootFromParent_Done,
     /* 2331464 */   // Label 32377: @2331464
     /* 2331464 */   GIM_Reject,
     /* 2331465 */ // Label 32375: @2331465
     /* 2331465 */ GIM_Reject,
     /* 2331466 */ // Label 32322: @2331466
     /* 2331466 */ GIM_Reject,
     /* 2331467 */ // Label 70: @2331467
     /* 2331467 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32396*/ GIMT_Encode4(2337528),
     /* 2331478 */ /*GILLT_s16*//*Label 32378*/ GIMT_Encode4(2331598),
     /* 2331482 */ /*GILLT_s32*//*Label 32379*/ GIMT_Encode4(2332274),
     /* 2331486 */ /*GILLT_s64*//*Label 32380*/ GIMT_Encode4(2332950), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331498 */ /*GILLT_nxv1s16*//*Label 32381*/ GIMT_Encode4(2333763),
     /* 2331502 */ /*GILLT_nxv1s32*//*Label 32382*/ GIMT_Encode4(2334014),
     /* 2331506 */ /*GILLT_nxv1s64*//*Label 32383*/ GIMT_Encode4(2334265), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331518 */ /*GILLT_nxv2s16*//*Label 32384*/ GIMT_Encode4(2334516),
     /* 2331522 */ /*GILLT_nxv2s32*//*Label 32385*/ GIMT_Encode4(2334767),
     /* 2331526 */ /*GILLT_nxv2s64*//*Label 32386*/ GIMT_Encode4(2335018), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331538 */ /*GILLT_nxv4s16*//*Label 32387*/ GIMT_Encode4(2335269),
     /* 2331542 */ /*GILLT_nxv4s32*//*Label 32388*/ GIMT_Encode4(2335520),
     /* 2331546 */ /*GILLT_nxv4s64*//*Label 32389*/ GIMT_Encode4(2335771), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331558 */ /*GILLT_nxv8s16*//*Label 32390*/ GIMT_Encode4(2336022),
     /* 2331562 */ /*GILLT_nxv8s32*//*Label 32391*/ GIMT_Encode4(2336273),
     /* 2331566 */ /*GILLT_nxv8s64*//*Label 32392*/ GIMT_Encode4(2336524), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331578 */ /*GILLT_nxv16s16*//*Label 32393*/ GIMT_Encode4(2336775),
     /* 2331582 */ /*GILLT_nxv16s32*//*Label 32394*/ GIMT_Encode4(2337026), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2331594 */ /*GILLT_nxv32s16*//*Label 32395*/ GIMT_Encode4(2337277),
     /* 2331598 */ // Label 32378: @2331598
     /* 2331598 */ GIM_Try, /*On fail goto*//*Label 32397*/ GIMT_Encode4(2332273),
     /* 2331603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2331606 */   GIM_Try, /*On fail goto*//*Label 32398*/ GIMT_Encode4(2331657), // Rule ID 1857 //
     /* 2331611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2331614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2331617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2331621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2331625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2331629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2331633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2331637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2331642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2331644 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs2))  =>  (FSGNJN_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)
     /* 2331644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2331647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2331655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331656 */     // GIR_Coverage, 1857,
     /* 2331656 */     GIR_EraseRootFromParent_Done,
     /* 2331657 */   // Label 32398: @2331657
     /* 2331657 */   GIM_Try, /*On fail goto*//*Label 32399*/ GIMT_Encode4(2331708), // Rule ID 1890 //
     /* 2331662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2331665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2331668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2331672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2331676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2331680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2331684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2331688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2331693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2331695 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2))  =>  (FSGNJN_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)
     /* 2331695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2331698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2331706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331707 */     // GIR_Coverage, 1890,
     /* 2331707 */     GIR_EraseRootFromParent_Done,
     /* 2331708 */   // Label 32399: @2331708
     /* 2331708 */   GIM_Try, /*On fail goto*//*Label 32400*/ GIMT_Encode4(2331738), // Rule ID 1855 //
     /* 2331713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2331716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2331719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2331723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2331727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2331731 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2331731 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2331736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331737 */     // GIR_Coverage, 1855,
     /* 2331737 */     GIR_Done,
     /* 2331738 */   // Label 32400: @2331738
     /* 2331738 */   GIM_Try, /*On fail goto*//*Label 32401*/ GIMT_Encode4(2331794), // Rule ID 1858 //
     /* 2331743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2331746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2331749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2331753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2331757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2331761 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2331761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2331764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2331768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2331777 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2331780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2331785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331793 */     // GIR_Coverage, 1858,
     /* 2331793 */     GIR_EraseRootFromParent_Done,
     /* 2331794 */   // Label 32401: @2331794
     /* 2331794 */   GIM_Try, /*On fail goto*//*Label 32402*/ GIMT_Encode4(2331850), // Rule ID 1859 //
     /* 2331799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2331802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2331805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2331809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2331813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2331817 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2331817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2331820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2331824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2331833 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2331836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2331841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331849 */     // GIR_Coverage, 1859,
     /* 2331849 */     GIR_EraseRootFromParent_Done,
     /* 2331850 */   // Label 32402: @2331850
     /* 2331850 */   GIM_Try, /*On fail goto*//*Label 32403*/ GIMT_Encode4(2331880), // Rule ID 1888 //
     /* 2331855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2331858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2331861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2331865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2331869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2331873 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2331873 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2331878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331879 */     // GIR_Coverage, 1888,
     /* 2331879 */     GIR_Done,
     /* 2331880 */   // Label 32403: @2331880
     /* 2331880 */   GIM_Try, /*On fail goto*//*Label 32404*/ GIMT_Encode4(2331936), // Rule ID 1891 //
     /* 2331885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2331888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2331891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2331895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2331899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2331903 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2331903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2331906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2331910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331915 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2331919 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2331922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2331927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331935 */     // GIR_Coverage, 1891,
     /* 2331935 */     GIR_EraseRootFromParent_Done,
     /* 2331936 */   // Label 32404: @2331936
     /* 2331936 */   GIM_Try, /*On fail goto*//*Label 32405*/ GIMT_Encode4(2331992), // Rule ID 1892 //
     /* 2331941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2331944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2331947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2331951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2331955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2331959 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2331959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2331962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2331966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331971 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2331975 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2331978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2331983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331991 */     // GIR_Coverage, 1892,
     /* 2331991 */     GIR_EraseRootFromParent_Done,
     /* 2331992 */   // Label 32405: @2331992
     /* 2331992 */   GIM_Try, /*On fail goto*//*Label 32406*/ GIMT_Encode4(2332048), // Rule ID 2161 //
     /* 2331997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2332000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2332003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2332007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2332011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2332015 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2332015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2332018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2332022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332027 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2332031 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2332034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2332039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332047 */     // GIR_Coverage, 2161,
     /* 2332047 */     GIR_EraseRootFromParent_Done,
     /* 2332048 */   // Label 32406: @2332048
     /* 2332048 */   GIM_Try, /*On fail goto*//*Label 32407*/ GIMT_Encode4(2332104), // Rule ID 2162 //
     /* 2332053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2332056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2332059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2332063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2332067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2332071 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2332071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2332074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2332078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332083 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2332087 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2332090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2332095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332103 */     // GIR_Coverage, 2162,
     /* 2332103 */     GIR_EraseRootFromParent_Done,
     /* 2332104 */   // Label 32407: @2332104
     /* 2332104 */   GIM_Try, /*On fail goto*//*Label 32408*/ GIMT_Encode4(2332160), // Rule ID 2173 //
     /* 2332109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2332112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2332115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2332119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2332123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2332127 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2332127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2332130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2332134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332139 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2332143 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2332146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2332151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332159 */     // GIR_Coverage, 2173,
     /* 2332159 */     GIR_EraseRootFromParent_Done,
     /* 2332160 */   // Label 32408: @2332160
     /* 2332160 */   GIM_Try, /*On fail goto*//*Label 32409*/ GIMT_Encode4(2332216), // Rule ID 2174 //
     /* 2332165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2332168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2332171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2332175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2332179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2332183 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2332183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2332186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2332190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332195 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2332199 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2332202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2332207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332215 */     // GIR_Coverage, 2174,
     /* 2332215 */     GIR_EraseRootFromParent_Done,
     /* 2332216 */   // Label 32409: @2332216
     /* 2332216 */   GIM_Try, /*On fail goto*//*Label 32410*/ GIMT_Encode4(2332272), // Rule ID 2181 //
     /* 2332221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2332224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2332227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2332231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2332235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2332239 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_INX:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2332239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2332242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2332246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332251 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2332255 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2332258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2332263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332271 */     // GIR_Coverage, 2181,
     /* 2332271 */     GIR_EraseRootFromParent_Done,
     /* 2332272 */   // Label 32410: @2332272
     /* 2332272 */   GIM_Reject,
     /* 2332273 */ // Label 32397: @2332273
     /* 2332273 */ GIM_Reject,
     /* 2332274 */ // Label 32379: @2332274
     /* 2332274 */ GIM_Try, /*On fail goto*//*Label 32411*/ GIMT_Encode4(2332949),
     /* 2332279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2332282 */   GIM_Try, /*On fail goto*//*Label 32412*/ GIMT_Encode4(2332333), // Rule ID 1158 //
     /* 2332287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2332290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2332293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2332297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2332301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2332305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2332309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2332313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2332318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2332320 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs2))  =>  (FSGNJN_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)
     /* 2332320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2332323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2332331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332332 */     // GIR_Coverage, 1158,
     /* 2332332 */     GIR_EraseRootFromParent_Done,
     /* 2332333 */   // Label 32412: @2332333
     /* 2332333 */   GIM_Try, /*On fail goto*//*Label 32413*/ GIMT_Encode4(2332384), // Rule ID 1179 //
     /* 2332338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2332341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2332344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2332348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2332352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2332356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2332360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2332364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2332369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2332371 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2))  =>  (FSGNJN_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)
     /* 2332371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2332374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2332382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332383 */     // GIR_Coverage, 1179,
     /* 2332383 */     GIR_EraseRootFromParent_Done,
     /* 2332384 */   // Label 32413: @2332384
     /* 2332384 */   GIM_Try, /*On fail goto*//*Label 32414*/ GIMT_Encode4(2332414), // Rule ID 1154 //
     /* 2332389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2332392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2332395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2332399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2332403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2332407 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2332407 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2332412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332413 */     // GIR_Coverage, 1154,
     /* 2332413 */     GIR_Done,
     /* 2332414 */   // Label 32414: @2332414
     /* 2332414 */   GIM_Try, /*On fail goto*//*Label 32415*/ GIMT_Encode4(2332444), // Rule ID 1155 //
     /* 2332419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2332422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2332425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2332429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2332433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2332437 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2332437 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2332442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332443 */     // GIR_Coverage, 1155,
     /* 2332443 */     GIR_Done,
     /* 2332444 */   // Label 32415: @2332444
     /* 2332444 */   GIM_Try, /*On fail goto*//*Label 32416*/ GIMT_Encode4(2332500), // Rule ID 1494 //
     /* 2332449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2332452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2332455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2332459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2332463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2332467 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2332467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2332470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2332474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332479 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2332483 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2332486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2332491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332499 */     // GIR_Coverage, 1494,
     /* 2332499 */     GIR_EraseRootFromParent_Done,
     /* 2332500 */   // Label 32416: @2332500
     /* 2332500 */   GIM_Try, /*On fail goto*//*Label 32417*/ GIMT_Encode4(2332556), // Rule ID 1495 //
     /* 2332505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2332508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2332511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2332515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2332519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2332523 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2332523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2332526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2332530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332535 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2332539 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2332542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2332547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332555 */     // GIR_Coverage, 1495,
     /* 2332555 */     GIR_EraseRootFromParent_Done,
     /* 2332556 */   // Label 32417: @2332556
     /* 2332556 */   GIM_Try, /*On fail goto*//*Label 32418*/ GIMT_Encode4(2332612), // Rule ID 1525 //
     /* 2332561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2332564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2332567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2332571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2332575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2332579 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_INX:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2332579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2332582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2332586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332591 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2332595 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2332598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2332603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332611 */     // GIR_Coverage, 1525,
     /* 2332611 */     GIR_EraseRootFromParent_Done,
     /* 2332612 */   // Label 32418: @2332612
     /* 2332612 */   GIM_Try, /*On fail goto*//*Label 32419*/ GIMT_Encode4(2332668), // Rule ID 1549 //
     /* 2332617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2332620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2332623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2332627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2332631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2332635 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2332635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2332638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2332642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332647 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2332651 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2332654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2332659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332667 */     // GIR_Coverage, 1549,
     /* 2332667 */     GIR_EraseRootFromParent_Done,
     /* 2332668 */   // Label 32419: @2332668
     /* 2332668 */   GIM_Try, /*On fail goto*//*Label 32420*/ GIMT_Encode4(2332724), // Rule ID 1550 //
     /* 2332673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2332676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2332679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2332683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2332687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2332691 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2332691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2332694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2332698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332703 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2332707 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2332710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2332715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332723 */     // GIR_Coverage, 1550,
     /* 2332723 */     GIR_EraseRootFromParent_Done,
     /* 2332724 */   // Label 32420: @2332724
     /* 2332724 */   GIM_Try, /*On fail goto*//*Label 32421*/ GIMT_Encode4(2332780), // Rule ID 2033 //
     /* 2332729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2332732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2332735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2332739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2332743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2332747 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2332747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2332750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2332754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332759 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2332763 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2332766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2332771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332779 */     // GIR_Coverage, 2033,
     /* 2332779 */     GIR_EraseRootFromParent_Done,
     /* 2332780 */   // Label 32421: @2332780
     /* 2332780 */   GIM_Try, /*On fail goto*//*Label 32422*/ GIMT_Encode4(2332836), // Rule ID 2034 //
     /* 2332785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2332788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2332791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2332795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2332799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2332803 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2332803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2332806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2332810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332815 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2332819 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2332822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2332827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332835 */     // GIR_Coverage, 2034,
     /* 2332835 */     GIR_EraseRootFromParent_Done,
     /* 2332836 */   // Label 32422: @2332836
     /* 2332836 */   GIM_Try, /*On fail goto*//*Label 32423*/ GIMT_Encode4(2332892), // Rule ID 2047 //
     /* 2332841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2332844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2332847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2332851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2332855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2332859 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2332859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2332862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2332866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332871 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2332875 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2332878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2332883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332891 */     // GIR_Coverage, 2047,
     /* 2332891 */     GIR_EraseRootFromParent_Done,
     /* 2332892 */   // Label 32423: @2332892
     /* 2332892 */   GIM_Try, /*On fail goto*//*Label 32424*/ GIMT_Encode4(2332948), // Rule ID 2048 //
     /* 2332897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2332900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2332903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2332907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2332911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2332915 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2332915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2332918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2332922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332927 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2332931 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2332934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2332939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332947 */     // GIR_Coverage, 2048,
     /* 2332947 */     GIR_EraseRootFromParent_Done,
     /* 2332948 */   // Label 32424: @2332948
     /* 2332948 */   GIM_Reject,
     /* 2332949 */ // Label 32411: @2332949
     /* 2332949 */ GIM_Reject,
     /* 2332950 */ // Label 32380: @2332950
     /* 2332950 */ GIM_Try, /*On fail goto*//*Label 32425*/ GIMT_Encode4(2333762),
     /* 2332955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2332958 */   GIM_Try, /*On fail goto*//*Label 32426*/ GIMT_Encode4(2333009), // Rule ID 1491 //
     /* 2332963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2332966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2332969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2332973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2332977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2332981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2332985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2332989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2332994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2332996 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs2))  =>  (FSGNJN_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)
     /* 2332996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2332999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2333007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333008 */     // GIR_Coverage, 1491,
     /* 2333008 */     GIR_EraseRootFromParent_Done,
     /* 2333009 */   // Label 32426: @2333009
     /* 2333009 */   GIM_Try, /*On fail goto*//*Label 32427*/ GIMT_Encode4(2333060), // Rule ID 1523 //
     /* 2333014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2333017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2333020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2333032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2333036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2333040 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2333047 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)
     /* 2333047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2333050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2333058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333059 */     // GIR_Coverage, 1523,
     /* 2333059 */     GIR_EraseRootFromParent_Done,
     /* 2333060 */   // Label 32427: @2333060
     /* 2333060 */   GIM_Try, /*On fail goto*//*Label 32428*/ GIMT_Encode4(2333111), // Rule ID 1546 //
     /* 2333065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2333068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2333071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2333083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2333087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2333091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2333098 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)
     /* 2333098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2333101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2333109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333110 */     // GIR_Coverage, 1546,
     /* 2333110 */     GIR_EraseRootFromParent_Done,
     /* 2333111 */   // Label 32428: @2333111
     /* 2333111 */   GIM_Try, /*On fail goto*//*Label 32429*/ GIMT_Encode4(2333141), // Rule ID 1489 //
     /* 2333116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2333119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2333122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333134 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2333134 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2333139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333140 */     // GIR_Coverage, 1489,
     /* 2333140 */     GIR_Done,
     /* 2333141 */   // Label 32429: @2333141
     /* 2333141 */   GIM_Try, /*On fail goto*//*Label 32430*/ GIMT_Encode4(2333197), // Rule ID 1492 //
     /* 2333146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2333149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333164 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2333164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2333167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2333171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333176 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333180 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2333183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2333188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333196 */     // GIR_Coverage, 1492,
     /* 2333196 */     GIR_EraseRootFromParent_Done,
     /* 2333197 */   // Label 32430: @2333197
     /* 2333197 */   GIM_Try, /*On fail goto*//*Label 32431*/ GIMT_Encode4(2333253), // Rule ID 1493 //
     /* 2333202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2333205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333220 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2333220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2333223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2333227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333232 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333236 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2333239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2333244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333252 */     // GIR_Coverage, 1493,
     /* 2333252 */     GIR_EraseRootFromParent_Done,
     /* 2333253 */   // Label 32431: @2333253
     /* 2333253 */   GIM_Try, /*On fail goto*//*Label 32432*/ GIMT_Encode4(2333283), // Rule ID 1521 //
     /* 2333258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2333261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2333264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333276 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2333276 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2333281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333282 */     // GIR_Coverage, 1521,
     /* 2333282 */     GIR_Done,
     /* 2333283 */   // Label 32432: @2333283
     /* 2333283 */   GIM_Try, /*On fail goto*//*Label 32433*/ GIMT_Encode4(2333339), // Rule ID 1524 //
     /* 2333288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2333291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333306 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_INX:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2333306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2333309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2333313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333318 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333322 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2333325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2333330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333338 */     // GIR_Coverage, 1524,
     /* 2333338 */     GIR_EraseRootFromParent_Done,
     /* 2333339 */   // Label 32433: @2333339
     /* 2333339 */   GIM_Try, /*On fail goto*//*Label 32434*/ GIMT_Encode4(2333369), // Rule ID 1544 //
     /* 2333344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2333347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2333350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333362 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2333362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2333367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333368 */     // GIR_Coverage, 1544,
     /* 2333368 */     GIR_Done,
     /* 2333369 */   // Label 32434: @2333369
     /* 2333369 */   GIM_Try, /*On fail goto*//*Label 32435*/ GIMT_Encode4(2333425), // Rule ID 1547 //
     /* 2333374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2333377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333392 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2333392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2333395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2333399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333404 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333408 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2333411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2333416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333424 */     // GIR_Coverage, 1547,
     /* 2333424 */     GIR_EraseRootFromParent_Done,
     /* 2333425 */   // Label 32435: @2333425
     /* 2333425 */   GIM_Try, /*On fail goto*//*Label 32436*/ GIMT_Encode4(2333481), // Rule ID 1548 //
     /* 2333430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2333433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333448 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2333448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2333451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2333455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333460 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333464 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2333467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2333472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333480 */     // GIR_Coverage, 1548,
     /* 2333480 */     GIR_EraseRootFromParent_Done,
     /* 2333481 */   // Label 32436: @2333481
     /* 2333481 */   GIM_Try, /*On fail goto*//*Label 32437*/ GIMT_Encode4(2333537), // Rule ID 2163 //
     /* 2333486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2333489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333504 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2333504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2333507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2333511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333516 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333520 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2333523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2333528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333536 */     // GIR_Coverage, 2163,
     /* 2333536 */     GIR_EraseRootFromParent_Done,
     /* 2333537 */   // Label 32437: @2333537
     /* 2333537 */   GIM_Try, /*On fail goto*//*Label 32438*/ GIMT_Encode4(2333593), // Rule ID 2164 //
     /* 2333542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2333545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333560 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2333560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2333563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2333567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333572 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333576 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2333579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2333584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333592 */     // GIR_Coverage, 2164,
     /* 2333592 */     GIR_EraseRootFromParent_Done,
     /* 2333593 */   // Label 32438: @2333593
     /* 2333593 */   GIM_Try, /*On fail goto*//*Label 32439*/ GIMT_Encode4(2333649), // Rule ID 2175 //
     /* 2333598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2333601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333616 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2333616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2333619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2333623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333628 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333632 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2333635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2333640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333648 */     // GIR_Coverage, 2175,
     /* 2333648 */     GIR_EraseRootFromParent_Done,
     /* 2333649 */   // Label 32439: @2333649
     /* 2333649 */   GIM_Try, /*On fail goto*//*Label 32440*/ GIMT_Encode4(2333705), // Rule ID 2176 //
     /* 2333654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2333657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333672 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2333672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2333675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2333679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333684 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333688 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2333691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2333696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333704 */     // GIR_Coverage, 2176,
     /* 2333704 */     GIR_EraseRootFromParent_Done,
     /* 2333705 */   // Label 32440: @2333705
     /* 2333705 */   GIM_Try, /*On fail goto*//*Label 32441*/ GIMT_Encode4(2333761), // Rule ID 2182 //
     /* 2333710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2333713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333728 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_INX:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2333728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2333731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2333735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333740 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2333744 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2333747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2333752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333760 */     // GIR_Coverage, 2182,
     /* 2333760 */     GIR_EraseRootFromParent_Done,
     /* 2333761 */   // Label 32441: @2333761
     /* 2333761 */   GIM_Reject,
     /* 2333762 */ // Label 32425: @2333762
     /* 2333762 */ GIM_Reject,
     /* 2333763 */ // Label 32381: @2333763
     /* 2333763 */ GIM_Try, /*On fail goto*//*Label 32442*/ GIMT_Encode4(2334013),
     /* 2333768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2333771 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2333774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333782 */   GIM_Try, /*On fail goto*//*Label 32443*/ GIMT_Encode4(2333848), // Rule ID 55793 //
     /* 2333787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2333790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2333794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2333798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2333802 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2333809 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2333812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2333826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2333837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333847 */     // GIR_Coverage, 55793,
     /* 2333847 */     GIR_EraseRootFromParent_Done,
     /* 2333848 */   // Label 32443: @2333848
     /* 2333848 */   GIM_Try, /*On fail goto*//*Label 32444*/ GIMT_Encode4(2333914), // Rule ID 55794 //
     /* 2333853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2333856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2333860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2333864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2333868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2333875 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2333878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2333892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2333903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333913 */     // GIR_Coverage, 55794,
     /* 2333913 */     GIR_EraseRootFromParent_Done,
     /* 2333914 */   // Label 32444: @2333914
     /* 2333914 */   GIM_Try, /*On fail goto*//*Label 32445*/ GIMT_Encode4(2333963), // Rule ID 55787 //
     /* 2333919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2333922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333926 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2333929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2333943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333962 */     // GIR_Coverage, 55787,
     /* 2333962 */     GIR_EraseRootFromParent_Done,
     /* 2333963 */   // Label 32445: @2333963
     /* 2333963 */   GIM_Try, /*On fail goto*//*Label 32446*/ GIMT_Encode4(2334012), // Rule ID 55788 //
     /* 2333968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2333971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333975 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2333978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2333992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334011 */     // GIR_Coverage, 55788,
     /* 2334011 */     GIR_EraseRootFromParent_Done,
     /* 2334012 */   // Label 32446: @2334012
     /* 2334012 */   GIM_Reject,
     /* 2334013 */ // Label 32442: @2334013
     /* 2334013 */ GIM_Reject,
     /* 2334014 */ // Label 32382: @2334014
     /* 2334014 */ GIM_Try, /*On fail goto*//*Label 32447*/ GIMT_Encode4(2334264),
     /* 2334019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2334022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2334025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334033 */   GIM_Try, /*On fail goto*//*Label 32448*/ GIMT_Encode4(2334099), // Rule ID 55833 //
     /* 2334038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2334041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334049 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2334053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334060 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2334063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2334077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2334088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334098 */     // GIR_Coverage, 55833,
     /* 2334098 */     GIR_EraseRootFromParent_Done,
     /* 2334099 */   // Label 32448: @2334099
     /* 2334099 */   GIM_Try, /*On fail goto*//*Label 32449*/ GIMT_Encode4(2334165), // Rule ID 55834 //
     /* 2334104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2334107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2334119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334126 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2334129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2334143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2334154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334164 */     // GIR_Coverage, 55834,
     /* 2334164 */     GIR_EraseRootFromParent_Done,
     /* 2334165 */   // Label 32449: @2334165
     /* 2334165 */   GIM_Try, /*On fail goto*//*Label 32450*/ GIMT_Encode4(2334214), // Rule ID 55827 //
     /* 2334170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2334173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334177 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2334180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2334194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334213 */     // GIR_Coverage, 55827,
     /* 2334213 */     GIR_EraseRootFromParent_Done,
     /* 2334214 */   // Label 32450: @2334214
     /* 2334214 */   GIM_Try, /*On fail goto*//*Label 32451*/ GIMT_Encode4(2334263), // Rule ID 55828 //
     /* 2334219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2334222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334226 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2334229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2334243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334262 */     // GIR_Coverage, 55828,
     /* 2334262 */     GIR_EraseRootFromParent_Done,
     /* 2334263 */   // Label 32451: @2334263
     /* 2334263 */   GIM_Reject,
     /* 2334264 */ // Label 32447: @2334264
     /* 2334264 */ GIM_Reject,
     /* 2334265 */ // Label 32383: @2334265
     /* 2334265 */ GIM_Try, /*On fail goto*//*Label 32452*/ GIMT_Encode4(2334515),
     /* 2334270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2334273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2334276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334284 */   GIM_Try, /*On fail goto*//*Label 32453*/ GIMT_Encode4(2334350), // Rule ID 55893 //
     /* 2334289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2334292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2334304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334311 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2334314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2334328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2334339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2334345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334349 */     // GIR_Coverage, 55893,
     /* 2334349 */     GIR_EraseRootFromParent_Done,
     /* 2334350 */   // Label 32453: @2334350
     /* 2334350 */   GIM_Try, /*On fail goto*//*Label 32454*/ GIMT_Encode4(2334416), // Rule ID 55894 //
     /* 2334355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2334358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2334370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334377 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2334380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2334394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2334405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2334411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334415 */     // GIR_Coverage, 55894,
     /* 2334415 */     GIR_EraseRootFromParent_Done,
     /* 2334416 */   // Label 32454: @2334416
     /* 2334416 */   GIM_Try, /*On fail goto*//*Label 32455*/ GIMT_Encode4(2334465), // Rule ID 55887 //
     /* 2334421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2334424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334428 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2334431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2334445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2334460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334464 */     // GIR_Coverage, 55887,
     /* 2334464 */     GIR_EraseRootFromParent_Done,
     /* 2334465 */   // Label 32455: @2334465
     /* 2334465 */   GIM_Try, /*On fail goto*//*Label 32456*/ GIMT_Encode4(2334514), // Rule ID 55888 //
     /* 2334470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2334473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334477 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2334480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2334494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2334509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334513 */     // GIR_Coverage, 55888,
     /* 2334513 */     GIR_EraseRootFromParent_Done,
     /* 2334514 */   // Label 32456: @2334514
     /* 2334514 */   GIM_Reject,
     /* 2334515 */ // Label 32452: @2334515
     /* 2334515 */ GIM_Reject,
     /* 2334516 */ // Label 32384: @2334516
     /* 2334516 */ GIM_Try, /*On fail goto*//*Label 32457*/ GIMT_Encode4(2334766),
     /* 2334521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2334524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2334527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334535 */   GIM_Try, /*On fail goto*//*Label 32458*/ GIMT_Encode4(2334601), // Rule ID 55813 //
     /* 2334540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2334543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2334555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334562 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2334565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2334579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2334590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334600 */     // GIR_Coverage, 55813,
     /* 2334600 */     GIR_EraseRootFromParent_Done,
     /* 2334601 */   // Label 32458: @2334601
     /* 2334601 */   GIM_Try, /*On fail goto*//*Label 32459*/ GIMT_Encode4(2334667), // Rule ID 55814 //
     /* 2334606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2334609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2334621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334628 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2334631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2334645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2334656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334666 */     // GIR_Coverage, 55814,
     /* 2334666 */     GIR_EraseRootFromParent_Done,
     /* 2334667 */   // Label 32459: @2334667
     /* 2334667 */   GIM_Try, /*On fail goto*//*Label 32460*/ GIMT_Encode4(2334716), // Rule ID 55807 //
     /* 2334672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2334675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334679 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2334682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2334696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334715 */     // GIR_Coverage, 55807,
     /* 2334715 */     GIR_EraseRootFromParent_Done,
     /* 2334716 */   // Label 32460: @2334716
     /* 2334716 */   GIM_Try, /*On fail goto*//*Label 32461*/ GIMT_Encode4(2334765), // Rule ID 55808 //
     /* 2334721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2334724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334728 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2334731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2334745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334764 */     // GIR_Coverage, 55808,
     /* 2334764 */     GIR_EraseRootFromParent_Done,
     /* 2334765 */   // Label 32461: @2334765
     /* 2334765 */   GIM_Reject,
     /* 2334766 */ // Label 32457: @2334766
     /* 2334766 */ GIM_Reject,
     /* 2334767 */ // Label 32385: @2334767
     /* 2334767 */ GIM_Try, /*On fail goto*//*Label 32462*/ GIMT_Encode4(2335017),
     /* 2334772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2334775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2334778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334786 */   GIM_Try, /*On fail goto*//*Label 32463*/ GIMT_Encode4(2334852), // Rule ID 55873 //
     /* 2334791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2334794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2334806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334813 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2334816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2334830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2334841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334851 */     // GIR_Coverage, 55873,
     /* 2334851 */     GIR_EraseRootFromParent_Done,
     /* 2334852 */   // Label 32463: @2334852
     /* 2334852 */   GIM_Try, /*On fail goto*//*Label 32464*/ GIMT_Encode4(2334918), // Rule ID 55874 //
     /* 2334857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2334860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2334864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2334868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2334872 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334879 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2334882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2334896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2334907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334917 */     // GIR_Coverage, 55874,
     /* 2334917 */     GIR_EraseRootFromParent_Done,
     /* 2334918 */   // Label 32464: @2334918
     /* 2334918 */   GIM_Try, /*On fail goto*//*Label 32465*/ GIMT_Encode4(2334967), // Rule ID 55867 //
     /* 2334923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2334926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334930 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2334933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2334947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334966 */     // GIR_Coverage, 55867,
     /* 2334966 */     GIR_EraseRootFromParent_Done,
     /* 2334967 */   // Label 32465: @2334967
     /* 2334967 */   GIM_Try, /*On fail goto*//*Label 32466*/ GIMT_Encode4(2335016), // Rule ID 55868 //
     /* 2334972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2334975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334979 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2334982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2334996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335015 */     // GIR_Coverage, 55868,
     /* 2335015 */     GIR_EraseRootFromParent_Done,
     /* 2335016 */   // Label 32466: @2335016
     /* 2335016 */   GIM_Reject,
     /* 2335017 */ // Label 32462: @2335017
     /* 2335017 */ GIM_Reject,
     /* 2335018 */ // Label 32386: @2335018
     /* 2335018 */ GIM_Try, /*On fail goto*//*Label 32467*/ GIMT_Encode4(2335268),
     /* 2335023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2335026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2335029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335037 */   GIM_Try, /*On fail goto*//*Label 32468*/ GIMT_Encode4(2335103), // Rule ID 56033 //
     /* 2335042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2335045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2335057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335064 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2335067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2335081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2335098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335102 */     // GIR_Coverage, 56033,
     /* 2335102 */     GIR_EraseRootFromParent_Done,
     /* 2335103 */   // Label 32468: @2335103
     /* 2335103 */   GIM_Try, /*On fail goto*//*Label 32469*/ GIMT_Encode4(2335169), // Rule ID 56034 //
     /* 2335108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2335111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2335123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335130 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2335133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2335147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2335164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335168 */     // GIR_Coverage, 56034,
     /* 2335168 */     GIR_EraseRootFromParent_Done,
     /* 2335169 */   // Label 32469: @2335169
     /* 2335169 */   GIM_Try, /*On fail goto*//*Label 32470*/ GIMT_Encode4(2335218), // Rule ID 56027 //
     /* 2335174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2335177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335181 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2335184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2335198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2335213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335217 */     // GIR_Coverage, 56027,
     /* 2335217 */     GIR_EraseRootFromParent_Done,
     /* 2335218 */   // Label 32470: @2335218
     /* 2335218 */   GIM_Try, /*On fail goto*//*Label 32471*/ GIMT_Encode4(2335267), // Rule ID 56028 //
     /* 2335223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2335226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335230 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2335233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2335247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2335262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335266 */     // GIR_Coverage, 56028,
     /* 2335266 */     GIR_EraseRootFromParent_Done,
     /* 2335267 */   // Label 32471: @2335267
     /* 2335267 */   GIM_Reject,
     /* 2335268 */ // Label 32467: @2335268
     /* 2335268 */ GIM_Reject,
     /* 2335269 */ // Label 32387: @2335269
     /* 2335269 */ GIM_Try, /*On fail goto*//*Label 32472*/ GIMT_Encode4(2335519),
     /* 2335274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2335277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2335280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335288 */   GIM_Try, /*On fail goto*//*Label 32473*/ GIMT_Encode4(2335354), // Rule ID 55853 //
     /* 2335293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2335296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2335308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335315 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2335318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2335332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335353 */     // GIR_Coverage, 55853,
     /* 2335353 */     GIR_EraseRootFromParent_Done,
     /* 2335354 */   // Label 32473: @2335354
     /* 2335354 */   GIM_Try, /*On fail goto*//*Label 32474*/ GIMT_Encode4(2335420), // Rule ID 55854 //
     /* 2335359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2335362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2335374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335381 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2335384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2335398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335419 */     // GIR_Coverage, 55854,
     /* 2335419 */     GIR_EraseRootFromParent_Done,
     /* 2335420 */   // Label 32474: @2335420
     /* 2335420 */   GIM_Try, /*On fail goto*//*Label 32475*/ GIMT_Encode4(2335469), // Rule ID 55847 //
     /* 2335425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2335428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335432 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2335435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2335449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335468 */     // GIR_Coverage, 55847,
     /* 2335468 */     GIR_EraseRootFromParent_Done,
     /* 2335469 */   // Label 32475: @2335469
     /* 2335469 */   GIM_Try, /*On fail goto*//*Label 32476*/ GIMT_Encode4(2335518), // Rule ID 55848 //
     /* 2335474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2335477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335481 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2335484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2335498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335517 */     // GIR_Coverage, 55848,
     /* 2335517 */     GIR_EraseRootFromParent_Done,
     /* 2335518 */   // Label 32476: @2335518
     /* 2335518 */   GIM_Reject,
     /* 2335519 */ // Label 32472: @2335519
     /* 2335519 */ GIM_Reject,
     /* 2335520 */ // Label 32388: @2335520
     /* 2335520 */ GIM_Try, /*On fail goto*//*Label 32477*/ GIMT_Encode4(2335770),
     /* 2335525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2335528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2335531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335539 */   GIM_Try, /*On fail goto*//*Label 32478*/ GIMT_Encode4(2335605), // Rule ID 55973 //
     /* 2335544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2335547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2335559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335566 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2335569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2335583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335604 */     // GIR_Coverage, 55973,
     /* 2335604 */     GIR_EraseRootFromParent_Done,
     /* 2335605 */   // Label 32478: @2335605
     /* 2335605 */   GIM_Try, /*On fail goto*//*Label 32479*/ GIMT_Encode4(2335671), // Rule ID 55974 //
     /* 2335610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2335613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2335625 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335632 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2335635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2335649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335670 */     // GIR_Coverage, 55974,
     /* 2335670 */     GIR_EraseRootFromParent_Done,
     /* 2335671 */   // Label 32479: @2335671
     /* 2335671 */   GIM_Try, /*On fail goto*//*Label 32480*/ GIMT_Encode4(2335720), // Rule ID 55967 //
     /* 2335676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2335679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335683 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2335686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2335700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335719 */     // GIR_Coverage, 55967,
     /* 2335719 */     GIR_EraseRootFromParent_Done,
     /* 2335720 */   // Label 32480: @2335720
     /* 2335720 */   GIM_Try, /*On fail goto*//*Label 32481*/ GIMT_Encode4(2335769), // Rule ID 55968 //
     /* 2335725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2335728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2335732 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2335735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2335749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335768 */     // GIR_Coverage, 55968,
     /* 2335768 */     GIR_EraseRootFromParent_Done,
     /* 2335769 */   // Label 32481: @2335769
     /* 2335769 */   GIM_Reject,
     /* 2335770 */ // Label 32477: @2335770
     /* 2335770 */ GIM_Reject,
     /* 2335771 */ // Label 32389: @2335771
     /* 2335771 */ GIM_Try, /*On fail goto*//*Label 32482*/ GIMT_Encode4(2336021),
     /* 2335776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2335779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2335782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2335786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2335790 */   GIM_Try, /*On fail goto*//*Label 32483*/ GIMT_Encode4(2335856), // Rule ID 56053 //
     /* 2335795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2335798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2335810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2335815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335817 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2335820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2335834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2335851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335855 */     // GIR_Coverage, 56053,
     /* 2335855 */     GIR_EraseRootFromParent_Done,
     /* 2335856 */   // Label 32483: @2335856
     /* 2335856 */   GIM_Try, /*On fail goto*//*Label 32484*/ GIMT_Encode4(2335922), // Rule ID 56054 //
     /* 2335861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2335864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2335868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2335872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2335876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2335881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335883 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2335886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2335900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2335911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2335917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335921 */     // GIR_Coverage, 56054,
     /* 2335921 */     GIR_EraseRootFromParent_Done,
     /* 2335922 */   // Label 32484: @2335922
     /* 2335922 */   GIM_Try, /*On fail goto*//*Label 32485*/ GIMT_Encode4(2335971), // Rule ID 56047 //
     /* 2335927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2335930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2335934 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2335937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2335951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2335966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335970 */     // GIR_Coverage, 56047,
     /* 2335970 */     GIR_EraseRootFromParent_Done,
     /* 2335971 */   // Label 32485: @2335971
     /* 2335971 */   GIM_Try, /*On fail goto*//*Label 32486*/ GIMT_Encode4(2336020), // Rule ID 56048 //
     /* 2335976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2335979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2335983 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2335986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2336000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336019 */     // GIR_Coverage, 56048,
     /* 2336019 */     GIR_EraseRootFromParent_Done,
     /* 2336020 */   // Label 32486: @2336020
     /* 2336020 */   GIM_Reject,
     /* 2336021 */ // Label 32482: @2336021
     /* 2336021 */ GIM_Reject,
     /* 2336022 */ // Label 32390: @2336022
     /* 2336022 */ GIM_Try, /*On fail goto*//*Label 32487*/ GIMT_Encode4(2336272),
     /* 2336027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2336030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2336033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336041 */   GIM_Try, /*On fail goto*//*Label 32488*/ GIMT_Encode4(2336107), // Rule ID 55913 //
     /* 2336046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2336061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336068 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2336071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2336085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336106 */     // GIR_Coverage, 55913,
     /* 2336106 */     GIR_EraseRootFromParent_Done,
     /* 2336107 */   // Label 32488: @2336107
     /* 2336107 */   GIM_Try, /*On fail goto*//*Label 32489*/ GIMT_Encode4(2336173), // Rule ID 55914 //
     /* 2336112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336123 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2336127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336134 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2336137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2336151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336172 */     // GIR_Coverage, 55914,
     /* 2336172 */     GIR_EraseRootFromParent_Done,
     /* 2336173 */   // Label 32489: @2336173
     /* 2336173 */   GIM_Try, /*On fail goto*//*Label 32490*/ GIMT_Encode4(2336222), // Rule ID 55907 //
     /* 2336178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336185 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2336188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2336202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336221 */     // GIR_Coverage, 55907,
     /* 2336221 */     GIR_EraseRootFromParent_Done,
     /* 2336222 */   // Label 32490: @2336222
     /* 2336222 */   GIM_Try, /*On fail goto*//*Label 32491*/ GIMT_Encode4(2336271), // Rule ID 55908 //
     /* 2336227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336234 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2336237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2336251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336270 */     // GIR_Coverage, 55908,
     /* 2336270 */     GIR_EraseRootFromParent_Done,
     /* 2336271 */   // Label 32491: @2336271
     /* 2336271 */   GIM_Reject,
     /* 2336272 */ // Label 32487: @2336272
     /* 2336272 */ GIM_Reject,
     /* 2336273 */ // Label 32391: @2336273
     /* 2336273 */ GIM_Try, /*On fail goto*//*Label 32492*/ GIMT_Encode4(2336523),
     /* 2336278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2336281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2336284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336292 */   GIM_Try, /*On fail goto*//*Label 32493*/ GIMT_Encode4(2336358), // Rule ID 55993 //
     /* 2336297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2336312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336319 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2336322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2336336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336357 */     // GIR_Coverage, 55993,
     /* 2336357 */     GIR_EraseRootFromParent_Done,
     /* 2336358 */   // Label 32493: @2336358
     /* 2336358 */   GIM_Try, /*On fail goto*//*Label 32494*/ GIMT_Encode4(2336424), // Rule ID 55994 //
     /* 2336363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2336366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2336378 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336385 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2336388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2336402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336423 */     // GIR_Coverage, 55994,
     /* 2336423 */     GIR_EraseRootFromParent_Done,
     /* 2336424 */   // Label 32494: @2336424
     /* 2336424 */   GIM_Try, /*On fail goto*//*Label 32495*/ GIMT_Encode4(2336473), // Rule ID 55987 //
     /* 2336429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336436 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2336439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2336453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336472 */     // GIR_Coverage, 55987,
     /* 2336472 */     GIR_EraseRootFromParent_Done,
     /* 2336473 */   // Label 32495: @2336473
     /* 2336473 */   GIM_Try, /*On fail goto*//*Label 32496*/ GIMT_Encode4(2336522), // Rule ID 55988 //
     /* 2336478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2336481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336485 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2336488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2336502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336521 */     // GIR_Coverage, 55988,
     /* 2336521 */     GIR_EraseRootFromParent_Done,
     /* 2336522 */   // Label 32496: @2336522
     /* 2336522 */   GIM_Reject,
     /* 2336523 */ // Label 32492: @2336523
     /* 2336523 */ GIM_Reject,
     /* 2336524 */ // Label 32392: @2336524
     /* 2336524 */ GIM_Try, /*On fail goto*//*Label 32497*/ GIMT_Encode4(2336774),
     /* 2336529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2336532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2336535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2336539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2336543 */   GIM_Try, /*On fail goto*//*Label 32498*/ GIMT_Encode4(2336609), // Rule ID 56073 //
     /* 2336548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2336551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2336563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2336568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336570 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2336573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2336587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336608 */     // GIR_Coverage, 56073,
     /* 2336608 */     GIR_EraseRootFromParent_Done,
     /* 2336609 */   // Label 32498: @2336609
     /* 2336609 */   GIM_Try, /*On fail goto*//*Label 32499*/ GIMT_Encode4(2336675), // Rule ID 56074 //
     /* 2336614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2336617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2336629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2336634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336636 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2336639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2336653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336674 */     // GIR_Coverage, 56074,
     /* 2336674 */     GIR_EraseRootFromParent_Done,
     /* 2336675 */   // Label 32499: @2336675
     /* 2336675 */   GIM_Try, /*On fail goto*//*Label 32500*/ GIMT_Encode4(2336724), // Rule ID 56067 //
     /* 2336680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2336683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2336687 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2336690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2336704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336723 */     // GIR_Coverage, 56067,
     /* 2336723 */     GIR_EraseRootFromParent_Done,
     /* 2336724 */   // Label 32500: @2336724
     /* 2336724 */   GIM_Try, /*On fail goto*//*Label 32501*/ GIMT_Encode4(2336773), // Rule ID 56068 //
     /* 2336729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2336732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2336736 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2336739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2336753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336772 */     // GIR_Coverage, 56068,
     /* 2336772 */     GIR_EraseRootFromParent_Done,
     /* 2336773 */   // Label 32501: @2336773
     /* 2336773 */   GIM_Reject,
     /* 2336774 */ // Label 32497: @2336774
     /* 2336774 */ GIM_Reject,
     /* 2336775 */ // Label 32393: @2336775
     /* 2336775 */ GIM_Try, /*On fail goto*//*Label 32502*/ GIMT_Encode4(2337025),
     /* 2336780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2336783 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2336786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336790 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336794 */   GIM_Try, /*On fail goto*//*Label 32503*/ GIMT_Encode4(2336860), // Rule ID 55933 //
     /* 2336799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2336814 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336821 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2336824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2336838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336859 */     // GIR_Coverage, 55933,
     /* 2336859 */     GIR_EraseRootFromParent_Done,
     /* 2336860 */   // Label 32503: @2336860
     /* 2336860 */   GIM_Try, /*On fail goto*//*Label 32504*/ GIMT_Encode4(2336926), // Rule ID 55934 //
     /* 2336865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2336872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2336876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2336880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2336887 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2336890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2336904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2336915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336925 */     // GIR_Coverage, 55934,
     /* 2336925 */     GIR_EraseRootFromParent_Done,
     /* 2336926 */   // Label 32504: @2336926
     /* 2336926 */   GIM_Try, /*On fail goto*//*Label 32505*/ GIMT_Encode4(2336975), // Rule ID 55927 //
     /* 2336931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336938 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2336941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2336955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336974 */     // GIR_Coverage, 55927,
     /* 2336974 */     GIR_EraseRootFromParent_Done,
     /* 2336975 */   // Label 32505: @2336975
     /* 2336975 */   GIM_Try, /*On fail goto*//*Label 32506*/ GIMT_Encode4(2337024), // Rule ID 55928 //
     /* 2336980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336987 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2336990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2337004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337023 */     // GIR_Coverage, 55928,
     /* 2337023 */     GIR_EraseRootFromParent_Done,
     /* 2337024 */   // Label 32506: @2337024
     /* 2337024 */   GIM_Reject,
     /* 2337025 */ // Label 32502: @2337025
     /* 2337025 */ GIM_Reject,
     /* 2337026 */ // Label 32394: @2337026
     /* 2337026 */ GIM_Try, /*On fail goto*//*Label 32507*/ GIMT_Encode4(2337276),
     /* 2337031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2337034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2337037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337045 */   GIM_Try, /*On fail goto*//*Label 32508*/ GIMT_Encode4(2337111), // Rule ID 56013 //
     /* 2337050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2337053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2337065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337072 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2337075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2337089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337110 */     // GIR_Coverage, 56013,
     /* 2337110 */     GIR_EraseRootFromParent_Done,
     /* 2337111 */   // Label 32508: @2337111
     /* 2337111 */   GIM_Try, /*On fail goto*//*Label 32509*/ GIMT_Encode4(2337177), // Rule ID 56014 //
     /* 2337116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2337119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2337131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337138 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2337141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2337155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337176 */     // GIR_Coverage, 56014,
     /* 2337176 */     GIR_EraseRootFromParent_Done,
     /* 2337177 */   // Label 32509: @2337177
     /* 2337177 */   GIM_Try, /*On fail goto*//*Label 32510*/ GIMT_Encode4(2337226), // Rule ID 56007 //
     /* 2337182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2337185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337189 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2337192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2337206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337225 */     // GIR_Coverage, 56007,
     /* 2337225 */     GIR_EraseRootFromParent_Done,
     /* 2337226 */   // Label 32510: @2337226
     /* 2337226 */   GIM_Try, /*On fail goto*//*Label 32511*/ GIMT_Encode4(2337275), // Rule ID 56008 //
     /* 2337231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2337234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337238 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2337241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2337255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337274 */     // GIR_Coverage, 56008,
     /* 2337274 */     GIR_EraseRootFromParent_Done,
     /* 2337275 */   // Label 32511: @2337275
     /* 2337275 */   GIM_Reject,
     /* 2337276 */ // Label 32507: @2337276
     /* 2337276 */ GIM_Reject,
     /* 2337277 */ // Label 32395: @2337277
     /* 2337277 */ GIM_Try, /*On fail goto*//*Label 32512*/ GIMT_Encode4(2337527),
     /* 2337282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2337285 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2337288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337296 */   GIM_Try, /*On fail goto*//*Label 32513*/ GIMT_Encode4(2337362), // Rule ID 55953 //
     /* 2337301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2337304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2337316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337323 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2337326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2337340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337361 */     // GIR_Coverage, 55953,
     /* 2337361 */     GIR_EraseRootFromParent_Done,
     /* 2337362 */   // Label 32513: @2337362
     /* 2337362 */   GIM_Try, /*On fail goto*//*Label 32514*/ GIMT_Encode4(2337428), // Rule ID 55954 //
     /* 2337367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2337370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2337374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2337378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2337382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337389 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2337392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2337406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2337417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337427 */     // GIR_Coverage, 55954,
     /* 2337427 */     GIR_EraseRootFromParent_Done,
     /* 2337428 */   // Label 32514: @2337428
     /* 2337428 */   GIM_Try, /*On fail goto*//*Label 32515*/ GIMT_Encode4(2337477), // Rule ID 55947 //
     /* 2337433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2337436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337440 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2337443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2337457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337476 */     // GIR_Coverage, 55947,
     /* 2337476 */     GIR_EraseRootFromParent_Done,
     /* 2337477 */   // Label 32515: @2337477
     /* 2337477 */   GIM_Try, /*On fail goto*//*Label 32516*/ GIMT_Encode4(2337526), // Rule ID 55948 //
     /* 2337482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2337485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337489 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2337492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2337506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337525 */     // GIR_Coverage, 55948,
     /* 2337525 */     GIR_EraseRootFromParent_Done,
     /* 2337526 */   // Label 32516: @2337526
     /* 2337526 */   GIM_Reject,
     /* 2337527 */ // Label 32512: @2337527
     /* 2337527 */ GIM_Reject,
     /* 2337528 */ // Label 32396: @2337528
     /* 2337528 */ GIM_Reject,
     /* 2337529 */ // Label 71: @2337529
     /* 2337529 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32520*/ GIMT_Encode4(2337718),
     /* 2337540 */ /*GILLT_s16*//*Label 32517*/ GIMT_Encode4(2337552),
     /* 2337544 */ /*GILLT_s32*//*Label 32518*/ GIMT_Encode4(2337602),
     /* 2337548 */ /*GILLT_s64*//*Label 32519*/ GIMT_Encode4(2337652),
     /* 2337552 */ // Label 32517: @2337552
     /* 2337552 */ GIM_Try, /*On fail goto*//*Label 32521*/ GIMT_Encode4(2337601),
     /* 2337557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2337560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337568 */   GIM_Try, /*On fail goto*//*Label 32522*/ GIMT_Encode4(2337584), // Rule ID 1925 //
     /* 2337573 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2337573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2337576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337583 */     // GIR_Coverage, 1925,
     /* 2337583 */     GIR_EraseRootFromParent_Done,
     /* 2337584 */   // Label 32522: @2337584
     /* 2337584 */   GIM_Try, /*On fail goto*//*Label 32523*/ GIMT_Encode4(2337600), // Rule ID 1926 //
     /* 2337589 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2337589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2337592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337599 */     // GIR_Coverage, 1926,
     /* 2337599 */     GIR_EraseRootFromParent_Done,
     /* 2337600 */   // Label 32523: @2337600
     /* 2337600 */   GIM_Reject,
     /* 2337601 */ // Label 32521: @2337601
     /* 2337601 */ GIM_Reject,
     /* 2337602 */ // Label 32518: @2337602
     /* 2337602 */ GIM_Try, /*On fail goto*//*Label 32524*/ GIMT_Encode4(2337651),
     /* 2337607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2337610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2337614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2337618 */   GIM_Try, /*On fail goto*//*Label 32525*/ GIMT_Encode4(2337634), // Rule ID 1212 //
     /* 2337623 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2337623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2337626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337633 */     // GIR_Coverage, 1212,
     /* 2337633 */     GIR_EraseRootFromParent_Done,
     /* 2337634 */   // Label 32525: @2337634
     /* 2337634 */   GIM_Try, /*On fail goto*//*Label 32526*/ GIMT_Encode4(2337650), // Rule ID 1213 //
     /* 2337639 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2337639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2337642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337649 */     // GIR_Coverage, 1213,
     /* 2337649 */     GIR_EraseRootFromParent_Done,
     /* 2337650 */   // Label 32526: @2337650
     /* 2337650 */   GIM_Reject,
     /* 2337651 */ // Label 32524: @2337651
     /* 2337651 */ GIM_Reject,
     /* 2337652 */ // Label 32519: @2337652
     /* 2337652 */ GIM_Try, /*On fail goto*//*Label 32527*/ GIMT_Encode4(2337717),
     /* 2337657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2337660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2337664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2337668 */   GIM_Try, /*On fail goto*//*Label 32528*/ GIMT_Encode4(2337684), // Rule ID 1589 //
     /* 2337673 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2337673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2337676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337683 */     // GIR_Coverage, 1589,
     /* 2337683 */     GIR_EraseRootFromParent_Done,
     /* 2337684 */   // Label 32528: @2337684
     /* 2337684 */   GIM_Try, /*On fail goto*//*Label 32529*/ GIMT_Encode4(2337700), // Rule ID 1590 //
     /* 2337689 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2337689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2337692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337699 */     // GIR_Coverage, 1590,
     /* 2337699 */     GIR_EraseRootFromParent_Done,
     /* 2337700 */   // Label 32529: @2337700
     /* 2337700 */   GIM_Try, /*On fail goto*//*Label 32530*/ GIMT_Encode4(2337716), // Rule ID 1591 //
     /* 2337705 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2337705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2337708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337715 */     // GIR_Coverage, 1591,
     /* 2337715 */     GIR_EraseRootFromParent_Done,
     /* 2337716 */   // Label 32530: @2337716
     /* 2337716 */   GIM_Reject,
     /* 2337717 */ // Label 32527: @2337717
     /* 2337717 */ GIM_Reject,
     /* 2337718 */ // Label 32520: @2337718
     /* 2337718 */ GIM_Reject,
     /* 2337719 */ // Label 72: @2337719
     /* 2337719 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32549*/ GIMT_Encode4(2339803),
     /* 2337730 */ /*GILLT_s16*//*Label 32531*/ GIMT_Encode4(2337850),
     /* 2337734 */ /*GILLT_s32*//*Label 32532*/ GIMT_Encode4(2337917),
     /* 2337738 */ /*GILLT_s64*//*Label 32533*/ GIMT_Encode4(2337984), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2337750 */ /*GILLT_nxv1s16*//*Label 32534*/ GIMT_Encode4(2338078),
     /* 2337754 */ /*GILLT_nxv1s32*//*Label 32535*/ GIMT_Encode4(2338193),
     /* 2337758 */ /*GILLT_nxv1s64*//*Label 32536*/ GIMT_Encode4(2338308), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2337770 */ /*GILLT_nxv2s16*//*Label 32537*/ GIMT_Encode4(2338423),
     /* 2337774 */ /*GILLT_nxv2s32*//*Label 32538*/ GIMT_Encode4(2338538),
     /* 2337778 */ /*GILLT_nxv2s64*//*Label 32539*/ GIMT_Encode4(2338653), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2337790 */ /*GILLT_nxv4s16*//*Label 32540*/ GIMT_Encode4(2338768),
     /* 2337794 */ /*GILLT_nxv4s32*//*Label 32541*/ GIMT_Encode4(2338883),
     /* 2337798 */ /*GILLT_nxv4s64*//*Label 32542*/ GIMT_Encode4(2338998), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2337810 */ /*GILLT_nxv8s16*//*Label 32543*/ GIMT_Encode4(2339113),
     /* 2337814 */ /*GILLT_nxv8s32*//*Label 32544*/ GIMT_Encode4(2339228),
     /* 2337818 */ /*GILLT_nxv8s64*//*Label 32545*/ GIMT_Encode4(2339343), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2337830 */ /*GILLT_nxv16s16*//*Label 32546*/ GIMT_Encode4(2339458),
     /* 2337834 */ /*GILLT_nxv16s32*//*Label 32547*/ GIMT_Encode4(2339573), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2337846 */ /*GILLT_nxv32s16*//*Label 32548*/ GIMT_Encode4(2339688),
     /* 2337850 */ // Label 32531: @2337850
     /* 2337850 */ GIM_Try, /*On fail goto*//*Label 32550*/ GIMT_Encode4(2337916),
     /* 2337855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2337858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2337861 */   GIM_Try, /*On fail goto*//*Label 32551*/ GIMT_Encode4(2337888), // Rule ID 1913 //
     /* 2337866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2337869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337881 */     // (fminnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2337881 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2337886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337887 */     // GIR_Coverage, 1913,
     /* 2337887 */     GIR_Done,
     /* 2337888 */   // Label 32551: @2337888
     /* 2337888 */   GIM_Try, /*On fail goto*//*Label 32552*/ GIMT_Encode4(2337915), // Rule ID 1914 //
     /* 2337893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2337896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2337900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2337904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2337908 */     // (fminnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMIN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2337908 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H_INX),
     /* 2337913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337914 */     // GIR_Coverage, 1914,
     /* 2337914 */     GIR_Done,
     /* 2337915 */   // Label 32552: @2337915
     /* 2337915 */   GIM_Reject,
     /* 2337916 */ // Label 32550: @2337916
     /* 2337916 */ GIM_Reject,
     /* 2337917 */ // Label 32532: @2337917
     /* 2337917 */ GIM_Try, /*On fail goto*//*Label 32553*/ GIMT_Encode4(2337983),
     /* 2337922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2337925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2337928 */   GIM_Try, /*On fail goto*//*Label 32554*/ GIMT_Encode4(2337955), // Rule ID 1200 //
     /* 2337933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2337936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2337940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2337944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2337948 */     // (fminnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2337948 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2337953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337954 */     // GIR_Coverage, 1200,
     /* 2337954 */     GIR_Done,
     /* 2337955 */   // Label 32554: @2337955
     /* 2337955 */   GIM_Try, /*On fail goto*//*Label 32555*/ GIMT_Encode4(2337982), // Rule ID 1201 //
     /* 2337960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2337963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2337967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2337971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2337975 */     // (fminnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMIN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2337975 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S_INX),
     /* 2337980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337981 */     // GIR_Coverage, 1201,
     /* 2337981 */     GIR_Done,
     /* 2337982 */   // Label 32555: @2337982
     /* 2337982 */   GIM_Reject,
     /* 2337983 */ // Label 32553: @2337983
     /* 2337983 */ GIM_Reject,
     /* 2337984 */ // Label 32533: @2337984
     /* 2337984 */ GIM_Try, /*On fail goto*//*Label 32556*/ GIMT_Encode4(2338077),
     /* 2337989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2337992 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2337995 */   GIM_Try, /*On fail goto*//*Label 32557*/ GIMT_Encode4(2338022), // Rule ID 1571 //
     /* 2338000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2338003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2338007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2338011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2338015 */     // (fminnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2338015 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2338020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338021 */     // GIR_Coverage, 1571,
     /* 2338021 */     GIR_Done,
     /* 2338022 */   // Label 32557: @2338022
     /* 2338022 */   GIM_Try, /*On fail goto*//*Label 32558*/ GIMT_Encode4(2338049), // Rule ID 1572 //
     /* 2338027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2338030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2338034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2338038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2338042 */     // (fminnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMIN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2338042 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_IN32X),
     /* 2338047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338048 */     // GIR_Coverage, 1572,
     /* 2338048 */     GIR_Done,
     /* 2338049 */   // Label 32558: @2338049
     /* 2338049 */   GIM_Try, /*On fail goto*//*Label 32559*/ GIMT_Encode4(2338076), // Rule ID 1573 //
     /* 2338054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2338057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338069 */     // (fminnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMIN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2338069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_INX),
     /* 2338074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338075 */     // GIR_Coverage, 1573,
     /* 2338075 */     GIR_Done,
     /* 2338076 */   // Label 32559: @2338076
     /* 2338076 */   GIM_Reject,
     /* 2338077 */ // Label 32556: @2338077
     /* 2338077 */ GIM_Reject,
     /* 2338078 */ // Label 32534: @2338078
     /* 2338078 */ GIM_Try, /*On fail goto*//*Label 32560*/ GIMT_Encode4(2338192),
     /* 2338083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2338086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2338089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338101 */   GIM_Try, /*On fail goto*//*Label 32561*/ GIMT_Encode4(2338146), // Rule ID 45479 //
     /* 2338106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2338109 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2338112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2338126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338145 */     // GIR_Coverage, 45479,
     /* 2338145 */     GIR_EraseRootFromParent_Done,
     /* 2338146 */   // Label 32561: @2338146
     /* 2338146 */   GIM_Try, /*On fail goto*//*Label 32562*/ GIMT_Encode4(2338191), // Rule ID 45480 //
     /* 2338151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2338154 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2338157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2338171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338190 */     // GIR_Coverage, 45480,
     /* 2338190 */     GIR_EraseRootFromParent_Done,
     /* 2338191 */   // Label 32562: @2338191
     /* 2338191 */   GIM_Reject,
     /* 2338192 */ // Label 32560: @2338192
     /* 2338192 */ GIM_Reject,
     /* 2338193 */ // Label 32535: @2338193
     /* 2338193 */ GIM_Try, /*On fail goto*//*Label 32563*/ GIMT_Encode4(2338307),
     /* 2338198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2338201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2338204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338216 */   GIM_Try, /*On fail goto*//*Label 32564*/ GIMT_Encode4(2338261), // Rule ID 56085 //
     /* 2338221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2338224 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2338227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2338241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338260 */     // GIR_Coverage, 56085,
     /* 2338260 */     GIR_EraseRootFromParent_Done,
     /* 2338261 */   // Label 32564: @2338261
     /* 2338261 */   GIM_Try, /*On fail goto*//*Label 32565*/ GIMT_Encode4(2338306), // Rule ID 56086 //
     /* 2338266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2338269 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2338272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2338286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338305 */     // GIR_Coverage, 56086,
     /* 2338305 */     GIR_EraseRootFromParent_Done,
     /* 2338306 */   // Label 32565: @2338306
     /* 2338306 */   GIM_Reject,
     /* 2338307 */ // Label 32563: @2338307
     /* 2338307 */ GIM_Reject,
     /* 2338308 */ // Label 32536: @2338308
     /* 2338308 */ GIM_Try, /*On fail goto*//*Label 32566*/ GIMT_Encode4(2338422),
     /* 2338313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2338316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2338319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338327 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338331 */   GIM_Try, /*On fail goto*//*Label 32567*/ GIMT_Encode4(2338376), // Rule ID 56103 //
     /* 2338336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2338339 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2338342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2338356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338375 */     // GIR_Coverage, 56103,
     /* 2338375 */     GIR_EraseRootFromParent_Done,
     /* 2338376 */   // Label 32567: @2338376
     /* 2338376 */   GIM_Try, /*On fail goto*//*Label 32568*/ GIMT_Encode4(2338421), // Rule ID 56104 //
     /* 2338381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2338384 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2338387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2338401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338420 */     // GIR_Coverage, 56104,
     /* 2338420 */     GIR_EraseRootFromParent_Done,
     /* 2338421 */   // Label 32568: @2338421
     /* 2338421 */   GIM_Reject,
     /* 2338422 */ // Label 32566: @2338422
     /* 2338422 */ GIM_Reject,
     /* 2338423 */ // Label 32537: @2338423
     /* 2338423 */ GIM_Try, /*On fail goto*//*Label 32569*/ GIMT_Encode4(2338537),
     /* 2338428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2338431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2338434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338442 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338446 */   GIM_Try, /*On fail goto*//*Label 32570*/ GIMT_Encode4(2338491), // Rule ID 56079 //
     /* 2338451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2338454 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2338457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2338471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338490 */     // GIR_Coverage, 56079,
     /* 2338490 */     GIR_EraseRootFromParent_Done,
     /* 2338491 */   // Label 32570: @2338491
     /* 2338491 */   GIM_Try, /*On fail goto*//*Label 32571*/ GIMT_Encode4(2338536), // Rule ID 56080 //
     /* 2338496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2338499 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2338502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2338516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338535 */     // GIR_Coverage, 56080,
     /* 2338535 */     GIR_EraseRootFromParent_Done,
     /* 2338536 */   // Label 32571: @2338536
     /* 2338536 */   GIM_Reject,
     /* 2338537 */ // Label 32569: @2338537
     /* 2338537 */ GIM_Reject,
     /* 2338538 */ // Label 32538: @2338538
     /* 2338538 */ GIM_Try, /*On fail goto*//*Label 32572*/ GIMT_Encode4(2338652),
     /* 2338543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2338546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2338549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338561 */   GIM_Try, /*On fail goto*//*Label 32573*/ GIMT_Encode4(2338606), // Rule ID 56097 //
     /* 2338566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2338569 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2338572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2338586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338605 */     // GIR_Coverage, 56097,
     /* 2338605 */     GIR_EraseRootFromParent_Done,
     /* 2338606 */   // Label 32573: @2338606
     /* 2338606 */   GIM_Try, /*On fail goto*//*Label 32574*/ GIMT_Encode4(2338651), // Rule ID 56098 //
     /* 2338611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2338614 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2338617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2338631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338650 */     // GIR_Coverage, 56098,
     /* 2338650 */     GIR_EraseRootFromParent_Done,
     /* 2338651 */   // Label 32574: @2338651
     /* 2338651 */   GIM_Reject,
     /* 2338652 */ // Label 32572: @2338652
     /* 2338652 */ GIM_Reject,
     /* 2338653 */ // Label 32539: @2338653
     /* 2338653 */ GIM_Try, /*On fail goto*//*Label 32575*/ GIMT_Encode4(2338767),
     /* 2338658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2338661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2338664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338676 */   GIM_Try, /*On fail goto*//*Label 32576*/ GIMT_Encode4(2338721), // Rule ID 56145 //
     /* 2338681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2338684 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2338687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2338701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338720 */     // GIR_Coverage, 56145,
     /* 2338720 */     GIR_EraseRootFromParent_Done,
     /* 2338721 */   // Label 32576: @2338721
     /* 2338721 */   GIM_Try, /*On fail goto*//*Label 32577*/ GIMT_Encode4(2338766), // Rule ID 56146 //
     /* 2338726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2338729 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2338732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2338746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338765 */     // GIR_Coverage, 56146,
     /* 2338765 */     GIR_EraseRootFromParent_Done,
     /* 2338766 */   // Label 32577: @2338766
     /* 2338766 */   GIM_Reject,
     /* 2338767 */ // Label 32575: @2338767
     /* 2338767 */ GIM_Reject,
     /* 2338768 */ // Label 32540: @2338768
     /* 2338768 */ GIM_Try, /*On fail goto*//*Label 32578*/ GIMT_Encode4(2338882),
     /* 2338773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2338776 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2338779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338787 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338791 */   GIM_Try, /*On fail goto*//*Label 32579*/ GIMT_Encode4(2338836), // Rule ID 56091 //
     /* 2338796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2338799 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2338802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2338816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338835 */     // GIR_Coverage, 56091,
     /* 2338835 */     GIR_EraseRootFromParent_Done,
     /* 2338836 */   // Label 32579: @2338836
     /* 2338836 */   GIM_Try, /*On fail goto*//*Label 32580*/ GIMT_Encode4(2338881), // Rule ID 56092 //
     /* 2338841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2338844 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2338847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2338861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338880 */     // GIR_Coverage, 56092,
     /* 2338880 */     GIR_EraseRootFromParent_Done,
     /* 2338881 */   // Label 32580: @2338881
     /* 2338881 */   GIM_Reject,
     /* 2338882 */ // Label 32578: @2338882
     /* 2338882 */ GIM_Reject,
     /* 2338883 */ // Label 32541: @2338883
     /* 2338883 */ GIM_Try, /*On fail goto*//*Label 32581*/ GIMT_Encode4(2338997),
     /* 2338888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2338891 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2338894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338902 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338906 */   GIM_Try, /*On fail goto*//*Label 32582*/ GIMT_Encode4(2338951), // Rule ID 56127 //
     /* 2338911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2338914 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2338917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2338931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338950 */     // GIR_Coverage, 56127,
     /* 2338950 */     GIR_EraseRootFromParent_Done,
     /* 2338951 */   // Label 32582: @2338951
     /* 2338951 */   GIM_Try, /*On fail goto*//*Label 32583*/ GIMT_Encode4(2338996), // Rule ID 56128 //
     /* 2338956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2338959 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2338962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2338976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338995 */     // GIR_Coverage, 56128,
     /* 2338995 */     GIR_EraseRootFromParent_Done,
     /* 2338996 */   // Label 32583: @2338996
     /* 2338996 */   GIM_Reject,
     /* 2338997 */ // Label 32581: @2338997
     /* 2338997 */ GIM_Reject,
     /* 2338998 */ // Label 32542: @2338998
     /* 2338998 */ GIM_Try, /*On fail goto*//*Label 32584*/ GIMT_Encode4(2339112),
     /* 2339003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2339006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2339009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339017 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339021 */   GIM_Try, /*On fail goto*//*Label 32585*/ GIMT_Encode4(2339066), // Rule ID 56151 //
     /* 2339026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2339029 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2339032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2339046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2339061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339065 */     // GIR_Coverage, 56151,
     /* 2339065 */     GIR_EraseRootFromParent_Done,
     /* 2339066 */   // Label 32585: @2339066
     /* 2339066 */   GIM_Try, /*On fail goto*//*Label 32586*/ GIMT_Encode4(2339111), // Rule ID 56152 //
     /* 2339071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2339074 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2339077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2339091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2339106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339110 */     // GIR_Coverage, 56152,
     /* 2339110 */     GIR_EraseRootFromParent_Done,
     /* 2339111 */   // Label 32586: @2339111
     /* 2339111 */   GIM_Reject,
     /* 2339112 */ // Label 32584: @2339112
     /* 2339112 */ GIM_Reject,
     /* 2339113 */ // Label 32543: @2339113
     /* 2339113 */ GIM_Try, /*On fail goto*//*Label 32587*/ GIMT_Encode4(2339227),
     /* 2339118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2339121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2339124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2339128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2339132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2339136 */   GIM_Try, /*On fail goto*//*Label 32588*/ GIMT_Encode4(2339181), // Rule ID 56109 //
     /* 2339141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2339144 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2339147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2339161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339180 */     // GIR_Coverage, 56109,
     /* 2339180 */     GIR_EraseRootFromParent_Done,
     /* 2339181 */   // Label 32588: @2339181
     /* 2339181 */   GIM_Try, /*On fail goto*//*Label 32589*/ GIMT_Encode4(2339226), // Rule ID 56110 //
     /* 2339186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2339189 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2339192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2339206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339225 */     // GIR_Coverage, 56110,
     /* 2339225 */     GIR_EraseRootFromParent_Done,
     /* 2339226 */   // Label 32589: @2339226
     /* 2339226 */   GIM_Reject,
     /* 2339227 */ // Label 32587: @2339227
     /* 2339227 */ GIM_Reject,
     /* 2339228 */ // Label 32544: @2339228
     /* 2339228 */ GIM_Try, /*On fail goto*//*Label 32590*/ GIMT_Encode4(2339342),
     /* 2339233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2339236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2339239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339251 */   GIM_Try, /*On fail goto*//*Label 32591*/ GIMT_Encode4(2339296), // Rule ID 56133 //
     /* 2339256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2339259 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2339262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2339276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339295 */     // GIR_Coverage, 56133,
     /* 2339295 */     GIR_EraseRootFromParent_Done,
     /* 2339296 */   // Label 32591: @2339296
     /* 2339296 */   GIM_Try, /*On fail goto*//*Label 32592*/ GIMT_Encode4(2339341), // Rule ID 56134 //
     /* 2339301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2339304 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2339307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2339321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339340 */     // GIR_Coverage, 56134,
     /* 2339340 */     GIR_EraseRootFromParent_Done,
     /* 2339341 */   // Label 32592: @2339341
     /* 2339341 */   GIM_Reject,
     /* 2339342 */ // Label 32590: @2339342
     /* 2339342 */ GIM_Reject,
     /* 2339343 */ // Label 32545: @2339343
     /* 2339343 */ GIM_Try, /*On fail goto*//*Label 32593*/ GIMT_Encode4(2339457),
     /* 2339348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2339351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2339354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339366 */   GIM_Try, /*On fail goto*//*Label 32594*/ GIMT_Encode4(2339411), // Rule ID 56157 //
     /* 2339371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2339374 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2339377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2339391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2339406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339410 */     // GIR_Coverage, 56157,
     /* 2339410 */     GIR_EraseRootFromParent_Done,
     /* 2339411 */   // Label 32594: @2339411
     /* 2339411 */   GIM_Try, /*On fail goto*//*Label 32595*/ GIMT_Encode4(2339456), // Rule ID 56158 //
     /* 2339416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2339419 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2339422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2339436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2339451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339455 */     // GIR_Coverage, 56158,
     /* 2339455 */     GIR_EraseRootFromParent_Done,
     /* 2339456 */   // Label 32595: @2339456
     /* 2339456 */   GIM_Reject,
     /* 2339457 */ // Label 32593: @2339457
     /* 2339457 */ GIM_Reject,
     /* 2339458 */ // Label 32546: @2339458
     /* 2339458 */ GIM_Try, /*On fail goto*//*Label 32596*/ GIMT_Encode4(2339572),
     /* 2339463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2339466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2339469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339477 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339481 */   GIM_Try, /*On fail goto*//*Label 32597*/ GIMT_Encode4(2339526), // Rule ID 56115 //
     /* 2339486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2339489 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2339492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2339506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339525 */     // GIR_Coverage, 56115,
     /* 2339525 */     GIR_EraseRootFromParent_Done,
     /* 2339526 */   // Label 32597: @2339526
     /* 2339526 */   GIM_Try, /*On fail goto*//*Label 32598*/ GIMT_Encode4(2339571), // Rule ID 56116 //
     /* 2339531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2339534 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2339537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2339551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339570 */     // GIR_Coverage, 56116,
     /* 2339570 */     GIR_EraseRootFromParent_Done,
     /* 2339571 */   // Label 32598: @2339571
     /* 2339571 */   GIM_Reject,
     /* 2339572 */ // Label 32596: @2339572
     /* 2339572 */ GIM_Reject,
     /* 2339573 */ // Label 32547: @2339573
     /* 2339573 */ GIM_Try, /*On fail goto*//*Label 32599*/ GIMT_Encode4(2339687),
     /* 2339578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2339581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2339584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339596 */   GIM_Try, /*On fail goto*//*Label 32600*/ GIMT_Encode4(2339641), // Rule ID 56139 //
     /* 2339601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2339604 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2339607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2339621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339640 */     // GIR_Coverage, 56139,
     /* 2339640 */     GIR_EraseRootFromParent_Done,
     /* 2339641 */   // Label 32600: @2339641
     /* 2339641 */   GIM_Try, /*On fail goto*//*Label 32601*/ GIMT_Encode4(2339686), // Rule ID 56140 //
     /* 2339646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2339649 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2339652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2339666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339685 */     // GIR_Coverage, 56140,
     /* 2339685 */     GIR_EraseRootFromParent_Done,
     /* 2339686 */   // Label 32601: @2339686
     /* 2339686 */   GIM_Reject,
     /* 2339687 */ // Label 32599: @2339687
     /* 2339687 */ GIM_Reject,
     /* 2339688 */ // Label 32548: @2339688
     /* 2339688 */ GIM_Try, /*On fail goto*//*Label 32602*/ GIMT_Encode4(2339802),
     /* 2339693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2339696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2339699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339711 */   GIM_Try, /*On fail goto*//*Label 32603*/ GIMT_Encode4(2339756), // Rule ID 56121 //
     /* 2339716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2339719 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2339722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2339736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339755 */     // GIR_Coverage, 56121,
     /* 2339755 */     GIR_EraseRootFromParent_Done,
     /* 2339756 */   // Label 32603: @2339756
     /* 2339756 */   GIM_Try, /*On fail goto*//*Label 32604*/ GIMT_Encode4(2339801), // Rule ID 56122 //
     /* 2339761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2339764 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2339767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2339781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339800 */     // GIR_Coverage, 56122,
     /* 2339800 */     GIR_EraseRootFromParent_Done,
     /* 2339801 */   // Label 32604: @2339801
     /* 2339801 */   GIM_Reject,
     /* 2339802 */ // Label 32602: @2339802
     /* 2339802 */ GIM_Reject,
     /* 2339803 */ // Label 32549: @2339803
     /* 2339803 */ GIM_Reject,
     /* 2339804 */ // Label 73: @2339804
     /* 2339804 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32623*/ GIMT_Encode4(2341888),
     /* 2339815 */ /*GILLT_s16*//*Label 32605*/ GIMT_Encode4(2339935),
     /* 2339819 */ /*GILLT_s32*//*Label 32606*/ GIMT_Encode4(2340002),
     /* 2339823 */ /*GILLT_s64*//*Label 32607*/ GIMT_Encode4(2340069), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339835 */ /*GILLT_nxv1s16*//*Label 32608*/ GIMT_Encode4(2340163),
     /* 2339839 */ /*GILLT_nxv1s32*//*Label 32609*/ GIMT_Encode4(2340278),
     /* 2339843 */ /*GILLT_nxv1s64*//*Label 32610*/ GIMT_Encode4(2340393), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339855 */ /*GILLT_nxv2s16*//*Label 32611*/ GIMT_Encode4(2340508),
     /* 2339859 */ /*GILLT_nxv2s32*//*Label 32612*/ GIMT_Encode4(2340623),
     /* 2339863 */ /*GILLT_nxv2s64*//*Label 32613*/ GIMT_Encode4(2340738), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339875 */ /*GILLT_nxv4s16*//*Label 32614*/ GIMT_Encode4(2340853),
     /* 2339879 */ /*GILLT_nxv4s32*//*Label 32615*/ GIMT_Encode4(2340968),
     /* 2339883 */ /*GILLT_nxv4s64*//*Label 32616*/ GIMT_Encode4(2341083), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339895 */ /*GILLT_nxv8s16*//*Label 32617*/ GIMT_Encode4(2341198),
     /* 2339899 */ /*GILLT_nxv8s32*//*Label 32618*/ GIMT_Encode4(2341313),
     /* 2339903 */ /*GILLT_nxv8s64*//*Label 32619*/ GIMT_Encode4(2341428), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339915 */ /*GILLT_nxv16s16*//*Label 32620*/ GIMT_Encode4(2341543),
     /* 2339919 */ /*GILLT_nxv16s32*//*Label 32621*/ GIMT_Encode4(2341658), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339931 */ /*GILLT_nxv32s16*//*Label 32622*/ GIMT_Encode4(2341773),
     /* 2339935 */ // Label 32605: @2339935
     /* 2339935 */ GIM_Try, /*On fail goto*//*Label 32624*/ GIMT_Encode4(2340001),
     /* 2339940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2339943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2339946 */   GIM_Try, /*On fail goto*//*Label 32625*/ GIMT_Encode4(2339973), // Rule ID 1915 //
     /* 2339951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2339954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339966 */     // (fmaxnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2339966 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H),
     /* 2339971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339972 */     // GIR_Coverage, 1915,
     /* 2339972 */     GIR_Done,
     /* 2339973 */   // Label 32625: @2339973
     /* 2339973 */   GIM_Try, /*On fail goto*//*Label 32626*/ GIMT_Encode4(2340000), // Rule ID 1916 //
     /* 2339978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2339981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339993 */     // (fmaxnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMAX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2339993 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H_INX),
     /* 2339998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339999 */     // GIR_Coverage, 1916,
     /* 2339999 */     GIR_Done,
     /* 2340000 */   // Label 32626: @2340000
     /* 2340000 */   GIM_Reject,
     /* 2340001 */ // Label 32624: @2340001
     /* 2340001 */ GIM_Reject,
     /* 2340002 */ // Label 32606: @2340002
     /* 2340002 */ GIM_Try, /*On fail goto*//*Label 32627*/ GIMT_Encode4(2340068),
     /* 2340007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2340010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2340013 */   GIM_Try, /*On fail goto*//*Label 32628*/ GIMT_Encode4(2340040), // Rule ID 1202 //
     /* 2340018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2340021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2340025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2340029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2340033 */     // (fmaxnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2340033 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S),
     /* 2340038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340039 */     // GIR_Coverage, 1202,
     /* 2340039 */     GIR_Done,
     /* 2340040 */   // Label 32628: @2340040
     /* 2340040 */   GIM_Try, /*On fail goto*//*Label 32629*/ GIMT_Encode4(2340067), // Rule ID 1203 //
     /* 2340045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2340048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2340052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2340056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2340060 */     // (fmaxnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMAX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2340060 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S_INX),
     /* 2340065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340066 */     // GIR_Coverage, 1203,
     /* 2340066 */     GIR_Done,
     /* 2340067 */   // Label 32629: @2340067
     /* 2340067 */   GIM_Reject,
     /* 2340068 */ // Label 32627: @2340068
     /* 2340068 */ GIM_Reject,
     /* 2340069 */ // Label 32607: @2340069
     /* 2340069 */ GIM_Try, /*On fail goto*//*Label 32630*/ GIMT_Encode4(2340162),
     /* 2340074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2340077 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2340080 */   GIM_Try, /*On fail goto*//*Label 32631*/ GIMT_Encode4(2340107), // Rule ID 1574 //
     /* 2340085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2340088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2340092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2340096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2340100 */     // (fmaxnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2340100 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D),
     /* 2340105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340106 */     // GIR_Coverage, 1574,
     /* 2340106 */     GIR_Done,
     /* 2340107 */   // Label 32631: @2340107
     /* 2340107 */   GIM_Try, /*On fail goto*//*Label 32632*/ GIMT_Encode4(2340134), // Rule ID 1575 //
     /* 2340112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2340115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2340119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2340123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2340127 */     // (fmaxnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMAX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2340127 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_IN32X),
     /* 2340132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340133 */     // GIR_Coverage, 1575,
     /* 2340133 */     GIR_Done,
     /* 2340134 */   // Label 32632: @2340134
     /* 2340134 */   GIM_Try, /*On fail goto*//*Label 32633*/ GIMT_Encode4(2340161), // Rule ID 1576 //
     /* 2340139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2340142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340154 */     // (fmaxnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMAX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2340154 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_INX),
     /* 2340159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340160 */     // GIR_Coverage, 1576,
     /* 2340160 */     GIR_Done,
     /* 2340161 */   // Label 32633: @2340161
     /* 2340161 */   GIM_Reject,
     /* 2340162 */ // Label 32630: @2340162
     /* 2340162 */ GIM_Reject,
     /* 2340163 */ // Label 32608: @2340163
     /* 2340163 */ GIM_Try, /*On fail goto*//*Label 32634*/ GIMT_Encode4(2340277),
     /* 2340168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2340171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2340174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340182 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340186 */   GIM_Try, /*On fail goto*//*Label 32635*/ GIMT_Encode4(2340231), // Rule ID 56163 //
     /* 2340191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2340194 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2340197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2340211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340230 */     // GIR_Coverage, 56163,
     /* 2340230 */     GIR_EraseRootFromParent_Done,
     /* 2340231 */   // Label 32635: @2340231
     /* 2340231 */   GIM_Try, /*On fail goto*//*Label 32636*/ GIMT_Encode4(2340276), // Rule ID 56164 //
     /* 2340236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2340239 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2340242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2340256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340275 */     // GIR_Coverage, 56164,
     /* 2340275 */     GIR_EraseRootFromParent_Done,
     /* 2340276 */   // Label 32636: @2340276
     /* 2340276 */   GIM_Reject,
     /* 2340277 */ // Label 32634: @2340277
     /* 2340277 */ GIM_Reject,
     /* 2340278 */ // Label 32609: @2340278
     /* 2340278 */ GIM_Try, /*On fail goto*//*Label 32637*/ GIMT_Encode4(2340392),
     /* 2340283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2340286 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2340289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340293 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340297 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340301 */   GIM_Try, /*On fail goto*//*Label 32638*/ GIMT_Encode4(2340346), // Rule ID 56175 //
     /* 2340306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2340309 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2340312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2340326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340345 */     // GIR_Coverage, 56175,
     /* 2340345 */     GIR_EraseRootFromParent_Done,
     /* 2340346 */   // Label 32638: @2340346
     /* 2340346 */   GIM_Try, /*On fail goto*//*Label 32639*/ GIMT_Encode4(2340391), // Rule ID 56176 //
     /* 2340351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2340354 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2340357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2340371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340390 */     // GIR_Coverage, 56176,
     /* 2340390 */     GIR_EraseRootFromParent_Done,
     /* 2340391 */   // Label 32639: @2340391
     /* 2340391 */   GIM_Reject,
     /* 2340392 */ // Label 32637: @2340392
     /* 2340392 */ GIM_Reject,
     /* 2340393 */ // Label 32610: @2340393
     /* 2340393 */ GIM_Try, /*On fail goto*//*Label 32640*/ GIMT_Encode4(2340507),
     /* 2340398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2340401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2340404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340412 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340416 */   GIM_Try, /*On fail goto*//*Label 32641*/ GIMT_Encode4(2340461), // Rule ID 56193 //
     /* 2340421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2340424 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2340427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2340441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340460 */     // GIR_Coverage, 56193,
     /* 2340460 */     GIR_EraseRootFromParent_Done,
     /* 2340461 */   // Label 32641: @2340461
     /* 2340461 */   GIM_Try, /*On fail goto*//*Label 32642*/ GIMT_Encode4(2340506), // Rule ID 56194 //
     /* 2340466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2340469 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2340472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2340486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340505 */     // GIR_Coverage, 56194,
     /* 2340505 */     GIR_EraseRootFromParent_Done,
     /* 2340506 */   // Label 32642: @2340506
     /* 2340506 */   GIM_Reject,
     /* 2340507 */ // Label 32640: @2340507
     /* 2340507 */ GIM_Reject,
     /* 2340508 */ // Label 32611: @2340508
     /* 2340508 */ GIM_Try, /*On fail goto*//*Label 32643*/ GIMT_Encode4(2340622),
     /* 2340513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2340516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2340519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340527 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340531 */   GIM_Try, /*On fail goto*//*Label 32644*/ GIMT_Encode4(2340576), // Rule ID 56169 //
     /* 2340536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2340539 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2340542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2340556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340575 */     // GIR_Coverage, 56169,
     /* 2340575 */     GIR_EraseRootFromParent_Done,
     /* 2340576 */   // Label 32644: @2340576
     /* 2340576 */   GIM_Try, /*On fail goto*//*Label 32645*/ GIMT_Encode4(2340621), // Rule ID 56170 //
     /* 2340581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2340584 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2340587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2340601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340620 */     // GIR_Coverage, 56170,
     /* 2340620 */     GIR_EraseRootFromParent_Done,
     /* 2340621 */   // Label 32645: @2340621
     /* 2340621 */   GIM_Reject,
     /* 2340622 */ // Label 32643: @2340622
     /* 2340622 */ GIM_Reject,
     /* 2340623 */ // Label 32612: @2340623
     /* 2340623 */ GIM_Try, /*On fail goto*//*Label 32646*/ GIMT_Encode4(2340737),
     /* 2340628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2340631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2340634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340642 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340646 */   GIM_Try, /*On fail goto*//*Label 32647*/ GIMT_Encode4(2340691), // Rule ID 56187 //
     /* 2340651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2340654 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2340657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2340671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340690 */     // GIR_Coverage, 56187,
     /* 2340690 */     GIR_EraseRootFromParent_Done,
     /* 2340691 */   // Label 32647: @2340691
     /* 2340691 */   GIM_Try, /*On fail goto*//*Label 32648*/ GIMT_Encode4(2340736), // Rule ID 56188 //
     /* 2340696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2340699 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2340702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2340716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340735 */     // GIR_Coverage, 56188,
     /* 2340735 */     GIR_EraseRootFromParent_Done,
     /* 2340736 */   // Label 32648: @2340736
     /* 2340736 */   GIM_Reject,
     /* 2340737 */ // Label 32646: @2340737
     /* 2340737 */ GIM_Reject,
     /* 2340738 */ // Label 32613: @2340738
     /* 2340738 */ GIM_Try, /*On fail goto*//*Label 32649*/ GIMT_Encode4(2340852),
     /* 2340743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2340746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2340749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340761 */   GIM_Try, /*On fail goto*//*Label 32650*/ GIMT_Encode4(2340806), // Rule ID 56235 //
     /* 2340766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2340769 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2340772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2340786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340805 */     // GIR_Coverage, 56235,
     /* 2340805 */     GIR_EraseRootFromParent_Done,
     /* 2340806 */   // Label 32650: @2340806
     /* 2340806 */   GIM_Try, /*On fail goto*//*Label 32651*/ GIMT_Encode4(2340851), // Rule ID 56236 //
     /* 2340811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2340814 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2340817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2340831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340850 */     // GIR_Coverage, 56236,
     /* 2340850 */     GIR_EraseRootFromParent_Done,
     /* 2340851 */   // Label 32651: @2340851
     /* 2340851 */   GIM_Reject,
     /* 2340852 */ // Label 32649: @2340852
     /* 2340852 */ GIM_Reject,
     /* 2340853 */ // Label 32614: @2340853
     /* 2340853 */ GIM_Try, /*On fail goto*//*Label 32652*/ GIMT_Encode4(2340967),
     /* 2340858 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2340861 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2340864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340876 */   GIM_Try, /*On fail goto*//*Label 32653*/ GIMT_Encode4(2340921), // Rule ID 56181 //
     /* 2340881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2340884 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2340887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2340901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340920 */     // GIR_Coverage, 56181,
     /* 2340920 */     GIR_EraseRootFromParent_Done,
     /* 2340921 */   // Label 32653: @2340921
     /* 2340921 */   GIM_Try, /*On fail goto*//*Label 32654*/ GIMT_Encode4(2340966), // Rule ID 56182 //
     /* 2340926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2340929 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2340932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2340946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340965 */     // GIR_Coverage, 56182,
     /* 2340965 */     GIR_EraseRootFromParent_Done,
     /* 2340966 */   // Label 32654: @2340966
     /* 2340966 */   GIM_Reject,
     /* 2340967 */ // Label 32652: @2340967
     /* 2340967 */ GIM_Reject,
     /* 2340968 */ // Label 32615: @2340968
     /* 2340968 */ GIM_Try, /*On fail goto*//*Label 32655*/ GIMT_Encode4(2341082),
     /* 2340973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2340976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2340979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340987 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2340991 */   GIM_Try, /*On fail goto*//*Label 32656*/ GIMT_Encode4(2341036), // Rule ID 56217 //
     /* 2340996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2340999 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2341002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2341016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341035 */     // GIR_Coverage, 56217,
     /* 2341035 */     GIR_EraseRootFromParent_Done,
     /* 2341036 */   // Label 32656: @2341036
     /* 2341036 */   GIM_Try, /*On fail goto*//*Label 32657*/ GIMT_Encode4(2341081), // Rule ID 56218 //
     /* 2341041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2341044 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2341047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2341061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341080 */     // GIR_Coverage, 56218,
     /* 2341080 */     GIR_EraseRootFromParent_Done,
     /* 2341081 */   // Label 32657: @2341081
     /* 2341081 */   GIM_Reject,
     /* 2341082 */ // Label 32655: @2341082
     /* 2341082 */ GIM_Reject,
     /* 2341083 */ // Label 32616: @2341083
     /* 2341083 */ GIM_Try, /*On fail goto*//*Label 32658*/ GIMT_Encode4(2341197),
     /* 2341088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2341091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2341094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341102 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341106 */   GIM_Try, /*On fail goto*//*Label 32659*/ GIMT_Encode4(2341151), // Rule ID 56241 //
     /* 2341111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2341114 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2341117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2341131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341150 */     // GIR_Coverage, 56241,
     /* 2341150 */     GIR_EraseRootFromParent_Done,
     /* 2341151 */   // Label 32659: @2341151
     /* 2341151 */   GIM_Try, /*On fail goto*//*Label 32660*/ GIMT_Encode4(2341196), // Rule ID 56242 //
     /* 2341156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2341159 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2341162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2341176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341195 */     // GIR_Coverage, 56242,
     /* 2341195 */     GIR_EraseRootFromParent_Done,
     /* 2341196 */   // Label 32660: @2341196
     /* 2341196 */   GIM_Reject,
     /* 2341197 */ // Label 32658: @2341197
     /* 2341197 */ GIM_Reject,
     /* 2341198 */ // Label 32617: @2341198
     /* 2341198 */ GIM_Try, /*On fail goto*//*Label 32661*/ GIMT_Encode4(2341312),
     /* 2341203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2341206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2341209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341213 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341217 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341221 */   GIM_Try, /*On fail goto*//*Label 32662*/ GIMT_Encode4(2341266), // Rule ID 56199 //
     /* 2341226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341229 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2341232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2341246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341265 */     // GIR_Coverage, 56199,
     /* 2341265 */     GIR_EraseRootFromParent_Done,
     /* 2341266 */   // Label 32662: @2341266
     /* 2341266 */   GIM_Try, /*On fail goto*//*Label 32663*/ GIMT_Encode4(2341311), // Rule ID 56200 //
     /* 2341271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341274 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2341277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2341291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341310 */     // GIR_Coverage, 56200,
     /* 2341310 */     GIR_EraseRootFromParent_Done,
     /* 2341311 */   // Label 32663: @2341311
     /* 2341311 */   GIM_Reject,
     /* 2341312 */ // Label 32661: @2341312
     /* 2341312 */ GIM_Reject,
     /* 2341313 */ // Label 32618: @2341313
     /* 2341313 */ GIM_Try, /*On fail goto*//*Label 32664*/ GIMT_Encode4(2341427),
     /* 2341318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2341321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2341324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341332 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341336 */   GIM_Try, /*On fail goto*//*Label 32665*/ GIMT_Encode4(2341381), // Rule ID 56223 //
     /* 2341341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2341344 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2341347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2341361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341380 */     // GIR_Coverage, 56223,
     /* 2341380 */     GIR_EraseRootFromParent_Done,
     /* 2341381 */   // Label 32665: @2341381
     /* 2341381 */   GIM_Try, /*On fail goto*//*Label 32666*/ GIMT_Encode4(2341426), // Rule ID 56224 //
     /* 2341386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2341389 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2341392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2341406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341425 */     // GIR_Coverage, 56224,
     /* 2341425 */     GIR_EraseRootFromParent_Done,
     /* 2341426 */   // Label 32666: @2341426
     /* 2341426 */   GIM_Reject,
     /* 2341427 */ // Label 32664: @2341427
     /* 2341427 */ GIM_Reject,
     /* 2341428 */ // Label 32619: @2341428
     /* 2341428 */ GIM_Try, /*On fail goto*//*Label 32667*/ GIMT_Encode4(2341542),
     /* 2341433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2341436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2341439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341451 */   GIM_Try, /*On fail goto*//*Label 32668*/ GIMT_Encode4(2341496), // Rule ID 56247 //
     /* 2341456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2341459 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2341462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2341476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341495 */     // GIR_Coverage, 56247,
     /* 2341495 */     GIR_EraseRootFromParent_Done,
     /* 2341496 */   // Label 32668: @2341496
     /* 2341496 */   GIM_Try, /*On fail goto*//*Label 32669*/ GIMT_Encode4(2341541), // Rule ID 56248 //
     /* 2341501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2341504 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2341507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2341521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341540 */     // GIR_Coverage, 56248,
     /* 2341540 */     GIR_EraseRootFromParent_Done,
     /* 2341541 */   // Label 32669: @2341541
     /* 2341541 */   GIM_Reject,
     /* 2341542 */ // Label 32667: @2341542
     /* 2341542 */ GIM_Reject,
     /* 2341543 */ // Label 32620: @2341543
     /* 2341543 */ GIM_Try, /*On fail goto*//*Label 32670*/ GIMT_Encode4(2341657),
     /* 2341548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2341551 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2341554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341562 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341566 */   GIM_Try, /*On fail goto*//*Label 32671*/ GIMT_Encode4(2341611), // Rule ID 56205 //
     /* 2341571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341574 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2341577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2341591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341610 */     // GIR_Coverage, 56205,
     /* 2341610 */     GIR_EraseRootFromParent_Done,
     /* 2341611 */   // Label 32671: @2341611
     /* 2341611 */   GIM_Try, /*On fail goto*//*Label 32672*/ GIMT_Encode4(2341656), // Rule ID 56206 //
     /* 2341616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341619 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2341622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2341636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341655 */     // GIR_Coverage, 56206,
     /* 2341655 */     GIR_EraseRootFromParent_Done,
     /* 2341656 */   // Label 32672: @2341656
     /* 2341656 */   GIM_Reject,
     /* 2341657 */ // Label 32670: @2341657
     /* 2341657 */ GIM_Reject,
     /* 2341658 */ // Label 32621: @2341658
     /* 2341658 */ GIM_Try, /*On fail goto*//*Label 32673*/ GIMT_Encode4(2341772),
     /* 2341663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2341666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2341669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341677 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341681 */   GIM_Try, /*On fail goto*//*Label 32674*/ GIMT_Encode4(2341726), // Rule ID 56229 //
     /* 2341686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2341689 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2341692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2341706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341725 */     // GIR_Coverage, 56229,
     /* 2341725 */     GIR_EraseRootFromParent_Done,
     /* 2341726 */   // Label 32674: @2341726
     /* 2341726 */   GIM_Try, /*On fail goto*//*Label 32675*/ GIMT_Encode4(2341771), // Rule ID 56230 //
     /* 2341731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2341734 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2341737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2341751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341770 */     // GIR_Coverage, 56230,
     /* 2341770 */     GIR_EraseRootFromParent_Done,
     /* 2341771 */   // Label 32675: @2341771
     /* 2341771 */   GIM_Reject,
     /* 2341772 */ // Label 32673: @2341772
     /* 2341772 */ GIM_Reject,
     /* 2341773 */ // Label 32622: @2341773
     /* 2341773 */ GIM_Try, /*On fail goto*//*Label 32676*/ GIMT_Encode4(2341887),
     /* 2341778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2341781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2341784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341792 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2341796 */   GIM_Try, /*On fail goto*//*Label 32677*/ GIMT_Encode4(2341841), // Rule ID 56211 //
     /* 2341801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2341804 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2341807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2341821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341840 */     // GIR_Coverage, 56211,
     /* 2341840 */     GIR_EraseRootFromParent_Done,
     /* 2341841 */   // Label 32677: @2341841
     /* 2341841 */   GIM_Try, /*On fail goto*//*Label 32678*/ GIMT_Encode4(2341886), // Rule ID 56212 //
     /* 2341846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2341849 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2341852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2341866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341885 */     // GIR_Coverage, 56212,
     /* 2341885 */     GIR_EraseRootFromParent_Done,
     /* 2341886 */   // Label 32678: @2341886
     /* 2341886 */   GIM_Reject,
     /* 2341887 */ // Label 32676: @2341887
     /* 2341887 */ GIM_Reject,
     /* 2341888 */ // Label 32623: @2341888
     /* 2341888 */ GIM_Reject,
     /* 2341889 */ // Label 74: @2341889
     /* 2341889 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32682*/ GIMT_Encode4(2342014),
     /* 2341900 */ /*GILLT_s16*//*Label 32679*/ GIMT_Encode4(2341912),
     /* 2341904 */ /*GILLT_s32*//*Label 32680*/ GIMT_Encode4(2341946),
     /* 2341908 */ /*GILLT_s64*//*Label 32681*/ GIMT_Encode4(2341980),
     /* 2341912 */ // Label 32679: @2341912
     /* 2341912 */ GIM_Try, /*On fail goto*//*Label 32683*/ GIMT_Encode4(2341945), // Rule ID 2267 //
     /* 2341917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2341920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2341923 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2341926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2341930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2341934 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2341938 */   // (fminimum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMINM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2341938 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_H),
     /* 2341943 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341944 */   // GIR_Coverage, 2267,
     /* 2341944 */   GIR_Done,
     /* 2341945 */ // Label 32683: @2341945
     /* 2341945 */ GIM_Reject,
     /* 2341946 */ // Label 32680: @2341946
     /* 2341946 */ GIM_Try, /*On fail goto*//*Label 32684*/ GIMT_Encode4(2341979), // Rule ID 2185 //
     /* 2341951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2341954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2341957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2341960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2341964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2341968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2341972 */   // (fminimum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMINM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2341972 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_S),
     /* 2341977 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341978 */   // GIR_Coverage, 2185,
     /* 2341978 */   GIR_Done,
     /* 2341979 */ // Label 32684: @2341979
     /* 2341979 */ GIM_Reject,
     /* 2341980 */ // Label 32681: @2341980
     /* 2341980 */ GIM_Try, /*On fail goto*//*Label 32685*/ GIMT_Encode4(2342013), // Rule ID 2225 //
     /* 2341985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2341988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2341991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2341994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2341998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2342002 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2342006 */   // (fminimum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMINM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2342006 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_D),
     /* 2342011 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342012 */   // GIR_Coverage, 2225,
     /* 2342012 */   GIR_Done,
     /* 2342013 */ // Label 32685: @2342013
     /* 2342013 */ GIM_Reject,
     /* 2342014 */ // Label 32682: @2342014
     /* 2342014 */ GIM_Reject,
     /* 2342015 */ // Label 75: @2342015
     /* 2342015 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32689*/ GIMT_Encode4(2342140),
     /* 2342026 */ /*GILLT_s16*//*Label 32686*/ GIMT_Encode4(2342038),
     /* 2342030 */ /*GILLT_s32*//*Label 32687*/ GIMT_Encode4(2342072),
     /* 2342034 */ /*GILLT_s64*//*Label 32688*/ GIMT_Encode4(2342106),
     /* 2342038 */ // Label 32686: @2342038
     /* 2342038 */ GIM_Try, /*On fail goto*//*Label 32690*/ GIMT_Encode4(2342071), // Rule ID 2268 //
     /* 2342043 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2342046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2342049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2342052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2342056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2342060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2342064 */   // (fmaximum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAXM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2342064 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_H),
     /* 2342069 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342070 */   // GIR_Coverage, 2268,
     /* 2342070 */   GIR_Done,
     /* 2342071 */ // Label 32690: @2342071
     /* 2342071 */ GIM_Reject,
     /* 2342072 */ // Label 32687: @2342072
     /* 2342072 */ GIM_Try, /*On fail goto*//*Label 32691*/ GIMT_Encode4(2342105), // Rule ID 2186 //
     /* 2342077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2342080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2342083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2342086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2342090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2342094 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2342098 */   // (fmaximum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAXM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2342098 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_S),
     /* 2342103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342104 */   // GIR_Coverage, 2186,
     /* 2342104 */   GIR_Done,
     /* 2342105 */ // Label 32691: @2342105
     /* 2342105 */ GIM_Reject,
     /* 2342106 */ // Label 32688: @2342106
     /* 2342106 */ GIM_Try, /*On fail goto*//*Label 32692*/ GIMT_Encode4(2342139), // Rule ID 2226 //
     /* 2342111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2342114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2342117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2342120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2342124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2342128 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2342132 */   // (fmaximum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAXM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2342132 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_D),
     /* 2342137 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342138 */   // GIR_Coverage, 2226,
     /* 2342138 */   GIR_Done,
     /* 2342139 */ // Label 32692: @2342139
     /* 2342139 */ GIM_Reject,
     /* 2342140 */ // Label 32689: @2342140
     /* 2342140 */ GIM_Reject,
     /* 2342141 */ // Label 76: @2342141
     /* 2342141 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32717*/ GIMT_Encode4(2344916),
     /* 2342152 */ /*GILLT_s32*//*Label 32693*/ GIMT_Encode4(2342276),
     /* 2342156 */ /*GILLT_s64*//*Label 32694*/ GIMT_Encode4(2342331), GIMT_Encode4(0),
     /* 2342164 */ /*GILLT_nxv1s8*//*Label 32695*/ GIMT_Encode4(2342386),
     /* 2342168 */ /*GILLT_nxv1s16*//*Label 32696*/ GIMT_Encode4(2342501),
     /* 2342172 */ /*GILLT_nxv1s32*//*Label 32697*/ GIMT_Encode4(2342616),
     /* 2342176 */ /*GILLT_nxv1s64*//*Label 32698*/ GIMT_Encode4(2342731), GIMT_Encode4(0),
     /* 2342184 */ /*GILLT_nxv2s8*//*Label 32699*/ GIMT_Encode4(2342846),
     /* 2342188 */ /*GILLT_nxv2s16*//*Label 32700*/ GIMT_Encode4(2342961),
     /* 2342192 */ /*GILLT_nxv2s32*//*Label 32701*/ GIMT_Encode4(2343076),
     /* 2342196 */ /*GILLT_nxv2s64*//*Label 32702*/ GIMT_Encode4(2343191), GIMT_Encode4(0),
     /* 2342204 */ /*GILLT_nxv4s8*//*Label 32703*/ GIMT_Encode4(2343306),
     /* 2342208 */ /*GILLT_nxv4s16*//*Label 32704*/ GIMT_Encode4(2343421),
     /* 2342212 */ /*GILLT_nxv4s32*//*Label 32705*/ GIMT_Encode4(2343536),
     /* 2342216 */ /*GILLT_nxv4s64*//*Label 32706*/ GIMT_Encode4(2343651), GIMT_Encode4(0),
     /* 2342224 */ /*GILLT_nxv8s8*//*Label 32707*/ GIMT_Encode4(2343766),
     /* 2342228 */ /*GILLT_nxv8s16*//*Label 32708*/ GIMT_Encode4(2343881),
     /* 2342232 */ /*GILLT_nxv8s32*//*Label 32709*/ GIMT_Encode4(2343996),
     /* 2342236 */ /*GILLT_nxv8s64*//*Label 32710*/ GIMT_Encode4(2344111), GIMT_Encode4(0),
     /* 2342244 */ /*GILLT_nxv16s8*//*Label 32711*/ GIMT_Encode4(2344226),
     /* 2342248 */ /*GILLT_nxv16s16*//*Label 32712*/ GIMT_Encode4(2344341),
     /* 2342252 */ /*GILLT_nxv16s32*//*Label 32713*/ GIMT_Encode4(2344456), GIMT_Encode4(0),
     /* 2342260 */ /*GILLT_nxv32s8*//*Label 32714*/ GIMT_Encode4(2344571),
     /* 2342264 */ /*GILLT_nxv32s16*//*Label 32715*/ GIMT_Encode4(2344686), GIMT_Encode4(0),
     /* 2342272 */ /*GILLT_nxv64s8*//*Label 32716*/ GIMT_Encode4(2344801),
     /* 2342276 */ // Label 32693: @2342276
     /* 2342276 */ GIM_Try, /*On fail goto*//*Label 32718*/ GIMT_Encode4(2342330),
     /* 2342281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2342284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2342287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2342291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2342295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2342299 */   GIM_Try, /*On fail goto*//*Label 32719*/ GIMT_Encode4(2342314), // Rule ID 63864 //
     /* 2342304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2342307 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2342307 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2342312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342313 */     // GIR_Coverage, 63864,
     /* 2342313 */     GIR_Done,
     /* 2342314 */   // Label 32719: @2342314
     /* 2342314 */   GIM_Try, /*On fail goto*//*Label 32720*/ GIMT_Encode4(2342329), // Rule ID 2388 //
     /* 2342319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2342322 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2342322 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2342327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342328 */     // GIR_Coverage, 2388,
     /* 2342328 */     GIR_Done,
     /* 2342329 */   // Label 32720: @2342329
     /* 2342329 */   GIM_Reject,
     /* 2342330 */ // Label 32718: @2342330
     /* 2342330 */ GIM_Reject,
     /* 2342331 */ // Label 32694: @2342331
     /* 2342331 */ GIM_Try, /*On fail goto*//*Label 32721*/ GIMT_Encode4(2342385),
     /* 2342336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2342339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2342342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2342346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2342350 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2342354 */   GIM_Try, /*On fail goto*//*Label 32722*/ GIMT_Encode4(2342369), // Rule ID 63863 //
     /* 2342359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2342362 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2342362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2342367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342368 */     // GIR_Coverage, 63863,
     /* 2342368 */     GIR_Done,
     /* 2342369 */   // Label 32722: @2342369
     /* 2342369 */   GIM_Try, /*On fail goto*//*Label 32723*/ GIMT_Encode4(2342384), // Rule ID 2387 //
     /* 2342374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2342377 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2342377 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2342382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342383 */     // GIR_Coverage, 2387,
     /* 2342383 */     GIR_Done,
     /* 2342384 */   // Label 32723: @2342384
     /* 2342384 */   GIM_Reject,
     /* 2342385 */ // Label 32721: @2342385
     /* 2342385 */ GIM_Reject,
     /* 2342386 */ // Label 32695: @2342386
     /* 2342386 */ GIM_Try, /*On fail goto*//*Label 32724*/ GIMT_Encode4(2342500),
     /* 2342391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2342394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2342397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342409 */   GIM_Try, /*On fail goto*//*Label 32725*/ GIMT_Encode4(2342454), // Rule ID 50135 //
     /* 2342414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2342417 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2342420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2342434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342453 */     // GIR_Coverage, 50135,
     /* 2342453 */     GIR_EraseRootFromParent_Done,
     /* 2342454 */   // Label 32725: @2342454
     /* 2342454 */   GIM_Try, /*On fail goto*//*Label 32726*/ GIMT_Encode4(2342499), // Rule ID 50136 //
     /* 2342459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342462 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2342465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2342479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342498 */     // GIR_Coverage, 50136,
     /* 2342498 */     GIR_EraseRootFromParent_Done,
     /* 2342499 */   // Label 32726: @2342499
     /* 2342499 */   GIM_Reject,
     /* 2342500 */ // Label 32724: @2342500
     /* 2342500 */ GIM_Reject,
     /* 2342501 */ // Label 32696: @2342501
     /* 2342501 */ GIM_Try, /*On fail goto*//*Label 32727*/ GIMT_Encode4(2342615),
     /* 2342506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2342509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2342512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342524 */   GIM_Try, /*On fail goto*//*Label 32728*/ GIMT_Encode4(2342569), // Rule ID 50147 //
     /* 2342529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2342532 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2342535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2342549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342568 */     // GIR_Coverage, 50147,
     /* 2342568 */     GIR_EraseRootFromParent_Done,
     /* 2342569 */   // Label 32728: @2342569
     /* 2342569 */   GIM_Try, /*On fail goto*//*Label 32729*/ GIMT_Encode4(2342614), // Rule ID 50148 //
     /* 2342574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342577 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2342580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2342594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342613 */     // GIR_Coverage, 50148,
     /* 2342613 */     GIR_EraseRootFromParent_Done,
     /* 2342614 */   // Label 32729: @2342614
     /* 2342614 */   GIM_Reject,
     /* 2342615 */ // Label 32727: @2342615
     /* 2342615 */ GIM_Reject,
     /* 2342616 */ // Label 32697: @2342616
     /* 2342616 */ GIM_Try, /*On fail goto*//*Label 32730*/ GIMT_Encode4(2342730),
     /* 2342621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2342624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2342627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342635 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342639 */   GIM_Try, /*On fail goto*//*Label 32731*/ GIMT_Encode4(2342684), // Rule ID 50155 //
     /* 2342644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2342647 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2342650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2342664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342683 */     // GIR_Coverage, 50155,
     /* 2342683 */     GIR_EraseRootFromParent_Done,
     /* 2342684 */   // Label 32731: @2342684
     /* 2342684 */   GIM_Try, /*On fail goto*//*Label 32732*/ GIMT_Encode4(2342729), // Rule ID 50156 //
     /* 2342689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342692 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2342695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2342709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342728 */     // GIR_Coverage, 50156,
     /* 2342728 */     GIR_EraseRootFromParent_Done,
     /* 2342729 */   // Label 32732: @2342729
     /* 2342729 */   GIM_Reject,
     /* 2342730 */ // Label 32730: @2342730
     /* 2342730 */ GIM_Reject,
     /* 2342731 */ // Label 32698: @2342731
     /* 2342731 */ GIM_Try, /*On fail goto*//*Label 32733*/ GIMT_Encode4(2342845),
     /* 2342736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2342739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2342742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342750 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342754 */   GIM_Try, /*On fail goto*//*Label 32734*/ GIMT_Encode4(2342799), // Rule ID 50171 //
     /* 2342759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2342762 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2342765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2342779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342798 */     // GIR_Coverage, 50171,
     /* 2342798 */     GIR_EraseRootFromParent_Done,
     /* 2342799 */   // Label 32734: @2342799
     /* 2342799 */   GIM_Try, /*On fail goto*//*Label 32735*/ GIMT_Encode4(2342844), // Rule ID 50172 //
     /* 2342804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2342807 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2342810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2342824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342843 */     // GIR_Coverage, 50172,
     /* 2342843 */     GIR_EraseRootFromParent_Done,
     /* 2342844 */   // Label 32735: @2342844
     /* 2342844 */   GIM_Reject,
     /* 2342845 */ // Label 32733: @2342845
     /* 2342845 */ GIM_Reject,
     /* 2342846 */ // Label 32699: @2342846
     /* 2342846 */ GIM_Try, /*On fail goto*//*Label 32736*/ GIMT_Encode4(2342960),
     /* 2342851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2342854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2342857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342865 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342869 */   GIM_Try, /*On fail goto*//*Label 32737*/ GIMT_Encode4(2342914), // Rule ID 50139 //
     /* 2342874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2342877 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2342880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2342894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342913 */     // GIR_Coverage, 50139,
     /* 2342913 */     GIR_EraseRootFromParent_Done,
     /* 2342914 */   // Label 32737: @2342914
     /* 2342914 */   GIM_Try, /*On fail goto*//*Label 32738*/ GIMT_Encode4(2342959), // Rule ID 50140 //
     /* 2342919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342922 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2342925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2342939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342958 */     // GIR_Coverage, 50140,
     /* 2342958 */     GIR_EraseRootFromParent_Done,
     /* 2342959 */   // Label 32738: @2342959
     /* 2342959 */   GIM_Reject,
     /* 2342960 */ // Label 32736: @2342960
     /* 2342960 */ GIM_Reject,
     /* 2342961 */ // Label 32700: @2342961
     /* 2342961 */ GIM_Try, /*On fail goto*//*Label 32739*/ GIMT_Encode4(2343075),
     /* 2342966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2342969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2342972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342984 */   GIM_Try, /*On fail goto*//*Label 32740*/ GIMT_Encode4(2343029), // Rule ID 50151 //
     /* 2342989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2342992 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2342995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2343009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343028 */     // GIR_Coverage, 50151,
     /* 2343028 */     GIR_EraseRootFromParent_Done,
     /* 2343029 */   // Label 32740: @2343029
     /* 2343029 */   GIM_Try, /*On fail goto*//*Label 32741*/ GIMT_Encode4(2343074), // Rule ID 50152 //
     /* 2343034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343037 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2343040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2343054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343073 */     // GIR_Coverage, 50152,
     /* 2343073 */     GIR_EraseRootFromParent_Done,
     /* 2343074 */   // Label 32741: @2343074
     /* 2343074 */   GIM_Reject,
     /* 2343075 */ // Label 32739: @2343075
     /* 2343075 */ GIM_Reject,
     /* 2343076 */ // Label 32701: @2343076
     /* 2343076 */ GIM_Try, /*On fail goto*//*Label 32742*/ GIMT_Encode4(2343190),
     /* 2343081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2343084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2343087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343099 */   GIM_Try, /*On fail goto*//*Label 32743*/ GIMT_Encode4(2343144), // Rule ID 50167 //
     /* 2343104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343107 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2343110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2343124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343143 */     // GIR_Coverage, 50167,
     /* 2343143 */     GIR_EraseRootFromParent_Done,
     /* 2343144 */   // Label 32743: @2343144
     /* 2343144 */   GIM_Try, /*On fail goto*//*Label 32744*/ GIMT_Encode4(2343189), // Rule ID 50168 //
     /* 2343149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343152 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2343155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2343169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343188 */     // GIR_Coverage, 50168,
     /* 2343188 */     GIR_EraseRootFromParent_Done,
     /* 2343189 */   // Label 32744: @2343189
     /* 2343189 */   GIM_Reject,
     /* 2343190 */ // Label 32742: @2343190
     /* 2343190 */ GIM_Reject,
     /* 2343191 */ // Label 32702: @2343191
     /* 2343191 */ GIM_Try, /*On fail goto*//*Label 32745*/ GIMT_Encode4(2343305),
     /* 2343196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2343199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2343202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343210 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343214 */   GIM_Try, /*On fail goto*//*Label 32746*/ GIMT_Encode4(2343259), // Rule ID 50211 //
     /* 2343219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2343222 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2343225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2343239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343258 */     // GIR_Coverage, 50211,
     /* 2343258 */     GIR_EraseRootFromParent_Done,
     /* 2343259 */   // Label 32746: @2343259
     /* 2343259 */   GIM_Try, /*On fail goto*//*Label 32747*/ GIMT_Encode4(2343304), // Rule ID 50212 //
     /* 2343264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2343267 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2343270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2343284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343303 */     // GIR_Coverage, 50212,
     /* 2343303 */     GIR_EraseRootFromParent_Done,
     /* 2343304 */   // Label 32747: @2343304
     /* 2343304 */   GIM_Reject,
     /* 2343305 */ // Label 32745: @2343305
     /* 2343305 */ GIM_Reject,
     /* 2343306 */ // Label 32703: @2343306
     /* 2343306 */ GIM_Try, /*On fail goto*//*Label 32748*/ GIMT_Encode4(2343420),
     /* 2343311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2343314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2343317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343329 */   GIM_Try, /*On fail goto*//*Label 32749*/ GIMT_Encode4(2343374), // Rule ID 50143 //
     /* 2343334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343337 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2343340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2343354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343373 */     // GIR_Coverage, 50143,
     /* 2343373 */     GIR_EraseRootFromParent_Done,
     /* 2343374 */   // Label 32749: @2343374
     /* 2343374 */   GIM_Try, /*On fail goto*//*Label 32750*/ GIMT_Encode4(2343419), // Rule ID 50144 //
     /* 2343379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343382 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2343385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2343399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343418 */     // GIR_Coverage, 50144,
     /* 2343418 */     GIR_EraseRootFromParent_Done,
     /* 2343419 */   // Label 32750: @2343419
     /* 2343419 */   GIM_Reject,
     /* 2343420 */ // Label 32748: @2343420
     /* 2343420 */ GIM_Reject,
     /* 2343421 */ // Label 32704: @2343421
     /* 2343421 */ GIM_Try, /*On fail goto*//*Label 32751*/ GIMT_Encode4(2343535),
     /* 2343426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2343429 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2343432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343440 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343444 */   GIM_Try, /*On fail goto*//*Label 32752*/ GIMT_Encode4(2343489), // Rule ID 50163 //
     /* 2343449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343452 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2343455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2343469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343488 */     // GIR_Coverage, 50163,
     /* 2343488 */     GIR_EraseRootFromParent_Done,
     /* 2343489 */   // Label 32752: @2343489
     /* 2343489 */   GIM_Try, /*On fail goto*//*Label 32753*/ GIMT_Encode4(2343534), // Rule ID 50164 //
     /* 2343494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343497 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2343500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2343514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343533 */     // GIR_Coverage, 50164,
     /* 2343533 */     GIR_EraseRootFromParent_Done,
     /* 2343534 */   // Label 32753: @2343534
     /* 2343534 */   GIM_Reject,
     /* 2343535 */ // Label 32751: @2343535
     /* 2343535 */ GIM_Reject,
     /* 2343536 */ // Label 32705: @2343536
     /* 2343536 */ GIM_Try, /*On fail goto*//*Label 32754*/ GIMT_Encode4(2343650),
     /* 2343541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2343544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2343547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343555 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343559 */   GIM_Try, /*On fail goto*//*Label 32755*/ GIMT_Encode4(2343604), // Rule ID 50199 //
     /* 2343564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343567 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2343570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2343584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343603 */     // GIR_Coverage, 50199,
     /* 2343603 */     GIR_EraseRootFromParent_Done,
     /* 2343604 */   // Label 32755: @2343604
     /* 2343604 */   GIM_Try, /*On fail goto*//*Label 32756*/ GIMT_Encode4(2343649), // Rule ID 50200 //
     /* 2343609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343612 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2343615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2343629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343648 */     // GIR_Coverage, 50200,
     /* 2343648 */     GIR_EraseRootFromParent_Done,
     /* 2343649 */   // Label 32756: @2343649
     /* 2343649 */   GIM_Reject,
     /* 2343650 */ // Label 32754: @2343650
     /* 2343650 */ GIM_Reject,
     /* 2343651 */ // Label 32706: @2343651
     /* 2343651 */ GIM_Try, /*On fail goto*//*Label 32757*/ GIMT_Encode4(2343765),
     /* 2343656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2343659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2343662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343674 */   GIM_Try, /*On fail goto*//*Label 32758*/ GIMT_Encode4(2343719), // Rule ID 50215 //
     /* 2343679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2343682 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2343685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2343699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343718 */     // GIR_Coverage, 50215,
     /* 2343718 */     GIR_EraseRootFromParent_Done,
     /* 2343719 */   // Label 32758: @2343719
     /* 2343719 */   GIM_Try, /*On fail goto*//*Label 32759*/ GIMT_Encode4(2343764), // Rule ID 50216 //
     /* 2343724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2343727 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2343730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2343744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343763 */     // GIR_Coverage, 50216,
     /* 2343763 */     GIR_EraseRootFromParent_Done,
     /* 2343764 */   // Label 32759: @2343764
     /* 2343764 */   GIM_Reject,
     /* 2343765 */ // Label 32757: @2343765
     /* 2343765 */ GIM_Reject,
     /* 2343766 */ // Label 32707: @2343766
     /* 2343766 */ GIM_Try, /*On fail goto*//*Label 32760*/ GIMT_Encode4(2343880),
     /* 2343771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2343774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2343777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343789 */   GIM_Try, /*On fail goto*//*Label 32761*/ GIMT_Encode4(2343834), // Rule ID 50159 //
     /* 2343794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343797 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2343800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2343814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343833 */     // GIR_Coverage, 50159,
     /* 2343833 */     GIR_EraseRootFromParent_Done,
     /* 2343834 */   // Label 32761: @2343834
     /* 2343834 */   GIM_Try, /*On fail goto*//*Label 32762*/ GIMT_Encode4(2343879), // Rule ID 50160 //
     /* 2343839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343842 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2343845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2343859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343878 */     // GIR_Coverage, 50160,
     /* 2343878 */     GIR_EraseRootFromParent_Done,
     /* 2343879 */   // Label 32762: @2343879
     /* 2343879 */   GIM_Reject,
     /* 2343880 */ // Label 32760: @2343880
     /* 2343880 */ GIM_Reject,
     /* 2343881 */ // Label 32708: @2343881
     /* 2343881 */ GIM_Try, /*On fail goto*//*Label 32763*/ GIMT_Encode4(2343995),
     /* 2343886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2343889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2343892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343900 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343904 */   GIM_Try, /*On fail goto*//*Label 32764*/ GIMT_Encode4(2343949), // Rule ID 50187 //
     /* 2343909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343912 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2343915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2343929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343948 */     // GIR_Coverage, 50187,
     /* 2343948 */     GIR_EraseRootFromParent_Done,
     /* 2343949 */   // Label 32764: @2343949
     /* 2343949 */   GIM_Try, /*On fail goto*//*Label 32765*/ GIMT_Encode4(2343994), // Rule ID 50188 //
     /* 2343954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343957 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2343960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2343974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343993 */     // GIR_Coverage, 50188,
     /* 2343993 */     GIR_EraseRootFromParent_Done,
     /* 2343994 */   // Label 32765: @2343994
     /* 2343994 */   GIM_Reject,
     /* 2343995 */ // Label 32763: @2343995
     /* 2343995 */ GIM_Reject,
     /* 2343996 */ // Label 32709: @2343996
     /* 2343996 */ GIM_Try, /*On fail goto*//*Label 32766*/ GIMT_Encode4(2344110),
     /* 2344001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2344004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2344007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344019 */   GIM_Try, /*On fail goto*//*Label 32767*/ GIMT_Encode4(2344064), // Rule ID 50203 //
     /* 2344024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344027 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2344030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2344044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344063 */     // GIR_Coverage, 50203,
     /* 2344063 */     GIR_EraseRootFromParent_Done,
     /* 2344064 */   // Label 32767: @2344064
     /* 2344064 */   GIM_Try, /*On fail goto*//*Label 32768*/ GIMT_Encode4(2344109), // Rule ID 50204 //
     /* 2344069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344072 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2344075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2344089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344108 */     // GIR_Coverage, 50204,
     /* 2344108 */     GIR_EraseRootFromParent_Done,
     /* 2344109 */   // Label 32768: @2344109
     /* 2344109 */   GIM_Reject,
     /* 2344110 */ // Label 32766: @2344110
     /* 2344110 */ GIM_Reject,
     /* 2344111 */ // Label 32710: @2344111
     /* 2344111 */ GIM_Try, /*On fail goto*//*Label 32769*/ GIMT_Encode4(2344225),
     /* 2344116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2344119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2344122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344134 */   GIM_Try, /*On fail goto*//*Label 32770*/ GIMT_Encode4(2344179), // Rule ID 50219 //
     /* 2344139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2344142 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2344145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2344159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344178 */     // GIR_Coverage, 50219,
     /* 2344178 */     GIR_EraseRootFromParent_Done,
     /* 2344179 */   // Label 32770: @2344179
     /* 2344179 */   GIM_Try, /*On fail goto*//*Label 32771*/ GIMT_Encode4(2344224), // Rule ID 50220 //
     /* 2344184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2344187 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2344190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2344204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344223 */     // GIR_Coverage, 50220,
     /* 2344223 */     GIR_EraseRootFromParent_Done,
     /* 2344224 */   // Label 32771: @2344224
     /* 2344224 */   GIM_Reject,
     /* 2344225 */ // Label 32769: @2344225
     /* 2344225 */ GIM_Reject,
     /* 2344226 */ // Label 32711: @2344226
     /* 2344226 */ GIM_Try, /*On fail goto*//*Label 32772*/ GIMT_Encode4(2344340),
     /* 2344231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2344234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2344237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344241 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344245 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344249 */   GIM_Try, /*On fail goto*//*Label 32773*/ GIMT_Encode4(2344294), // Rule ID 50175 //
     /* 2344254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344257 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2344260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2344274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344293 */     // GIR_Coverage, 50175,
     /* 2344293 */     GIR_EraseRootFromParent_Done,
     /* 2344294 */   // Label 32773: @2344294
     /* 2344294 */   GIM_Try, /*On fail goto*//*Label 32774*/ GIMT_Encode4(2344339), // Rule ID 50176 //
     /* 2344299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344302 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2344305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2344319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344338 */     // GIR_Coverage, 50176,
     /* 2344338 */     GIR_EraseRootFromParent_Done,
     /* 2344339 */   // Label 32774: @2344339
     /* 2344339 */   GIM_Reject,
     /* 2344340 */ // Label 32772: @2344340
     /* 2344340 */ GIM_Reject,
     /* 2344341 */ // Label 32712: @2344341
     /* 2344341 */ GIM_Try, /*On fail goto*//*Label 32775*/ GIMT_Encode4(2344455),
     /* 2344346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2344349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2344352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344364 */   GIM_Try, /*On fail goto*//*Label 32776*/ GIMT_Encode4(2344409), // Rule ID 50191 //
     /* 2344369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344372 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2344375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2344389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344408 */     // GIR_Coverage, 50191,
     /* 2344408 */     GIR_EraseRootFromParent_Done,
     /* 2344409 */   // Label 32776: @2344409
     /* 2344409 */   GIM_Try, /*On fail goto*//*Label 32777*/ GIMT_Encode4(2344454), // Rule ID 50192 //
     /* 2344414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344417 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2344420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2344434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344453 */     // GIR_Coverage, 50192,
     /* 2344453 */     GIR_EraseRootFromParent_Done,
     /* 2344454 */   // Label 32777: @2344454
     /* 2344454 */   GIM_Reject,
     /* 2344455 */ // Label 32775: @2344455
     /* 2344455 */ GIM_Reject,
     /* 2344456 */ // Label 32713: @2344456
     /* 2344456 */ GIM_Try, /*On fail goto*//*Label 32778*/ GIMT_Encode4(2344570),
     /* 2344461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2344464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2344467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344479 */   GIM_Try, /*On fail goto*//*Label 32779*/ GIMT_Encode4(2344524), // Rule ID 50207 //
     /* 2344484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344487 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2344490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2344504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344523 */     // GIR_Coverage, 50207,
     /* 2344523 */     GIR_EraseRootFromParent_Done,
     /* 2344524 */   // Label 32779: @2344524
     /* 2344524 */   GIM_Try, /*On fail goto*//*Label 32780*/ GIMT_Encode4(2344569), // Rule ID 50208 //
     /* 2344529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344532 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2344535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2344549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344568 */     // GIR_Coverage, 50208,
     /* 2344568 */     GIR_EraseRootFromParent_Done,
     /* 2344569 */   // Label 32780: @2344569
     /* 2344569 */   GIM_Reject,
     /* 2344570 */ // Label 32778: @2344570
     /* 2344570 */ GIM_Reject,
     /* 2344571 */ // Label 32714: @2344571
     /* 2344571 */ GIM_Try, /*On fail goto*//*Label 32781*/ GIMT_Encode4(2344685),
     /* 2344576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2344579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2344582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344594 */   GIM_Try, /*On fail goto*//*Label 32782*/ GIMT_Encode4(2344639), // Rule ID 50179 //
     /* 2344599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344602 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2344605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2344619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344638 */     // GIR_Coverage, 50179,
     /* 2344638 */     GIR_EraseRootFromParent_Done,
     /* 2344639 */   // Label 32782: @2344639
     /* 2344639 */   GIM_Try, /*On fail goto*//*Label 32783*/ GIMT_Encode4(2344684), // Rule ID 50180 //
     /* 2344644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344647 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2344650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2344664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344683 */     // GIR_Coverage, 50180,
     /* 2344683 */     GIR_EraseRootFromParent_Done,
     /* 2344684 */   // Label 32783: @2344684
     /* 2344684 */   GIM_Reject,
     /* 2344685 */ // Label 32781: @2344685
     /* 2344685 */ GIM_Reject,
     /* 2344686 */ // Label 32715: @2344686
     /* 2344686 */ GIM_Try, /*On fail goto*//*Label 32784*/ GIMT_Encode4(2344800),
     /* 2344691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2344694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2344697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344705 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344709 */   GIM_Try, /*On fail goto*//*Label 32785*/ GIMT_Encode4(2344754), // Rule ID 50195 //
     /* 2344714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344717 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2344720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2344734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344753 */     // GIR_Coverage, 50195,
     /* 2344753 */     GIR_EraseRootFromParent_Done,
     /* 2344754 */   // Label 32785: @2344754
     /* 2344754 */   GIM_Try, /*On fail goto*//*Label 32786*/ GIMT_Encode4(2344799), // Rule ID 50196 //
     /* 2344759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344762 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2344765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2344779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344798 */     // GIR_Coverage, 50196,
     /* 2344798 */     GIR_EraseRootFromParent_Done,
     /* 2344799 */   // Label 32786: @2344799
     /* 2344799 */   GIM_Reject,
     /* 2344800 */ // Label 32784: @2344800
     /* 2344800 */ GIM_Reject,
     /* 2344801 */ // Label 32716: @2344801
     /* 2344801 */ GIM_Try, /*On fail goto*//*Label 32787*/ GIMT_Encode4(2344915),
     /* 2344806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2344809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2344812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344820 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344824 */   GIM_Try, /*On fail goto*//*Label 32788*/ GIMT_Encode4(2344869), // Rule ID 50183 //
     /* 2344829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344832 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2344835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2344849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344868 */     // GIR_Coverage, 50183,
     /* 2344868 */     GIR_EraseRootFromParent_Done,
     /* 2344869 */   // Label 32788: @2344869
     /* 2344869 */   GIM_Try, /*On fail goto*//*Label 32789*/ GIMT_Encode4(2344914), // Rule ID 50184 //
     /* 2344874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344877 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2344880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2344894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344913 */     // GIR_Coverage, 50184,
     /* 2344913 */     GIR_EraseRootFromParent_Done,
     /* 2344914 */   // Label 32789: @2344914
     /* 2344914 */   GIM_Reject,
     /* 2344915 */ // Label 32787: @2344915
     /* 2344915 */ GIM_Reject,
     /* 2344916 */ // Label 32717: @2344916
     /* 2344916 */ GIM_Reject,
     /* 2344917 */ // Label 77: @2344917
     /* 2344917 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32814*/ GIMT_Encode4(2347692),
     /* 2344928 */ /*GILLT_s32*//*Label 32790*/ GIMT_Encode4(2345052),
     /* 2344932 */ /*GILLT_s64*//*Label 32791*/ GIMT_Encode4(2345107), GIMT_Encode4(0),
     /* 2344940 */ /*GILLT_nxv1s8*//*Label 32792*/ GIMT_Encode4(2345162),
     /* 2344944 */ /*GILLT_nxv1s16*//*Label 32793*/ GIMT_Encode4(2345277),
     /* 2344948 */ /*GILLT_nxv1s32*//*Label 32794*/ GIMT_Encode4(2345392),
     /* 2344952 */ /*GILLT_nxv1s64*//*Label 32795*/ GIMT_Encode4(2345507), GIMT_Encode4(0),
     /* 2344960 */ /*GILLT_nxv2s8*//*Label 32796*/ GIMT_Encode4(2345622),
     /* 2344964 */ /*GILLT_nxv2s16*//*Label 32797*/ GIMT_Encode4(2345737),
     /* 2344968 */ /*GILLT_nxv2s32*//*Label 32798*/ GIMT_Encode4(2345852),
     /* 2344972 */ /*GILLT_nxv2s64*//*Label 32799*/ GIMT_Encode4(2345967), GIMT_Encode4(0),
     /* 2344980 */ /*GILLT_nxv4s8*//*Label 32800*/ GIMT_Encode4(2346082),
     /* 2344984 */ /*GILLT_nxv4s16*//*Label 32801*/ GIMT_Encode4(2346197),
     /* 2344988 */ /*GILLT_nxv4s32*//*Label 32802*/ GIMT_Encode4(2346312),
     /* 2344992 */ /*GILLT_nxv4s64*//*Label 32803*/ GIMT_Encode4(2346427), GIMT_Encode4(0),
     /* 2345000 */ /*GILLT_nxv8s8*//*Label 32804*/ GIMT_Encode4(2346542),
     /* 2345004 */ /*GILLT_nxv8s16*//*Label 32805*/ GIMT_Encode4(2346657),
     /* 2345008 */ /*GILLT_nxv8s32*//*Label 32806*/ GIMT_Encode4(2346772),
     /* 2345012 */ /*GILLT_nxv8s64*//*Label 32807*/ GIMT_Encode4(2346887), GIMT_Encode4(0),
     /* 2345020 */ /*GILLT_nxv16s8*//*Label 32808*/ GIMT_Encode4(2347002),
     /* 2345024 */ /*GILLT_nxv16s16*//*Label 32809*/ GIMT_Encode4(2347117),
     /* 2345028 */ /*GILLT_nxv16s32*//*Label 32810*/ GIMT_Encode4(2347232), GIMT_Encode4(0),
     /* 2345036 */ /*GILLT_nxv32s8*//*Label 32811*/ GIMT_Encode4(2347347),
     /* 2345040 */ /*GILLT_nxv32s16*//*Label 32812*/ GIMT_Encode4(2347462), GIMT_Encode4(0),
     /* 2345048 */ /*GILLT_nxv64s8*//*Label 32813*/ GIMT_Encode4(2347577),
     /* 2345052 */ // Label 32790: @2345052
     /* 2345052 */ GIM_Try, /*On fail goto*//*Label 32815*/ GIMT_Encode4(2345106),
     /* 2345057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2345060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2345063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345071 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345075 */   GIM_Try, /*On fail goto*//*Label 32816*/ GIMT_Encode4(2345090), // Rule ID 63868 //
     /* 2345080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2345083 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2345083 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2345088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345089 */     // GIR_Coverage, 63868,
     /* 2345089 */     GIR_Done,
     /* 2345090 */   // Label 32816: @2345090
     /* 2345090 */   GIM_Try, /*On fail goto*//*Label 32817*/ GIMT_Encode4(2345105), // Rule ID 2390 //
     /* 2345095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2345098 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2345098 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2345103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345104 */     // GIR_Coverage, 2390,
     /* 2345104 */     GIR_Done,
     /* 2345105 */   // Label 32817: @2345105
     /* 2345105 */   GIM_Reject,
     /* 2345106 */ // Label 32815: @2345106
     /* 2345106 */ GIM_Reject,
     /* 2345107 */ // Label 32791: @2345107
     /* 2345107 */ GIM_Try, /*On fail goto*//*Label 32818*/ GIMT_Encode4(2345161),
     /* 2345112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2345115 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2345118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345122 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345126 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345130 */   GIM_Try, /*On fail goto*//*Label 32819*/ GIMT_Encode4(2345145), // Rule ID 63867 //
     /* 2345135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2345138 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2345138 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2345143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345144 */     // GIR_Coverage, 63867,
     /* 2345144 */     GIR_Done,
     /* 2345145 */   // Label 32819: @2345145
     /* 2345145 */   GIM_Try, /*On fail goto*//*Label 32820*/ GIMT_Encode4(2345160), // Rule ID 2389 //
     /* 2345150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2345153 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2345153 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2345158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345159 */     // GIR_Coverage, 2389,
     /* 2345159 */     GIR_Done,
     /* 2345160 */   // Label 32820: @2345160
     /* 2345160 */   GIM_Reject,
     /* 2345161 */ // Label 32818: @2345161
     /* 2345161 */ GIM_Reject,
     /* 2345162 */ // Label 32792: @2345162
     /* 2345162 */ GIM_Try, /*On fail goto*//*Label 32821*/ GIMT_Encode4(2345276),
     /* 2345167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2345170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2345173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345177 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345185 */   GIM_Try, /*On fail goto*//*Label 32822*/ GIMT_Encode4(2345230), // Rule ID 50311 //
     /* 2345190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345193 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2345196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2345210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345229 */     // GIR_Coverage, 50311,
     /* 2345229 */     GIR_EraseRootFromParent_Done,
     /* 2345230 */   // Label 32822: @2345230
     /* 2345230 */   GIM_Try, /*On fail goto*//*Label 32823*/ GIMT_Encode4(2345275), // Rule ID 50312 //
     /* 2345235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345238 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2345241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2345255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345274 */     // GIR_Coverage, 50312,
     /* 2345274 */     GIR_EraseRootFromParent_Done,
     /* 2345275 */   // Label 32823: @2345275
     /* 2345275 */   GIM_Reject,
     /* 2345276 */ // Label 32821: @2345276
     /* 2345276 */ GIM_Reject,
     /* 2345277 */ // Label 32793: @2345277
     /* 2345277 */ GIM_Try, /*On fail goto*//*Label 32824*/ GIMT_Encode4(2345391),
     /* 2345282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2345285 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2345288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345296 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345300 */   GIM_Try, /*On fail goto*//*Label 32825*/ GIMT_Encode4(2345345), // Rule ID 50323 //
     /* 2345305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345308 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2345311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2345325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345344 */     // GIR_Coverage, 50323,
     /* 2345344 */     GIR_EraseRootFromParent_Done,
     /* 2345345 */   // Label 32825: @2345345
     /* 2345345 */   GIM_Try, /*On fail goto*//*Label 32826*/ GIMT_Encode4(2345390), // Rule ID 50324 //
     /* 2345350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345353 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2345356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2345370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345389 */     // GIR_Coverage, 50324,
     /* 2345389 */     GIR_EraseRootFromParent_Done,
     /* 2345390 */   // Label 32826: @2345390
     /* 2345390 */   GIM_Reject,
     /* 2345391 */ // Label 32824: @2345391
     /* 2345391 */ GIM_Reject,
     /* 2345392 */ // Label 32794: @2345392
     /* 2345392 */ GIM_Try, /*On fail goto*//*Label 32827*/ GIMT_Encode4(2345506),
     /* 2345397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2345400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2345403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345411 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345415 */   GIM_Try, /*On fail goto*//*Label 32828*/ GIMT_Encode4(2345460), // Rule ID 50331 //
     /* 2345420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345423 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2345426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2345440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345459 */     // GIR_Coverage, 50331,
     /* 2345459 */     GIR_EraseRootFromParent_Done,
     /* 2345460 */   // Label 32828: @2345460
     /* 2345460 */   GIM_Try, /*On fail goto*//*Label 32829*/ GIMT_Encode4(2345505), // Rule ID 50332 //
     /* 2345465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345468 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2345471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2345485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345504 */     // GIR_Coverage, 50332,
     /* 2345504 */     GIR_EraseRootFromParent_Done,
     /* 2345505 */   // Label 32829: @2345505
     /* 2345505 */   GIM_Reject,
     /* 2345506 */ // Label 32827: @2345506
     /* 2345506 */ GIM_Reject,
     /* 2345507 */ // Label 32795: @2345507
     /* 2345507 */ GIM_Try, /*On fail goto*//*Label 32830*/ GIMT_Encode4(2345621),
     /* 2345512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2345515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2345518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345530 */   GIM_Try, /*On fail goto*//*Label 32831*/ GIMT_Encode4(2345575), // Rule ID 50347 //
     /* 2345535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2345538 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2345541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2345555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345574 */     // GIR_Coverage, 50347,
     /* 2345574 */     GIR_EraseRootFromParent_Done,
     /* 2345575 */   // Label 32831: @2345575
     /* 2345575 */   GIM_Try, /*On fail goto*//*Label 32832*/ GIMT_Encode4(2345620), // Rule ID 50348 //
     /* 2345580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2345583 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2345586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2345600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345619 */     // GIR_Coverage, 50348,
     /* 2345619 */     GIR_EraseRootFromParent_Done,
     /* 2345620 */   // Label 32832: @2345620
     /* 2345620 */   GIM_Reject,
     /* 2345621 */ // Label 32830: @2345621
     /* 2345621 */ GIM_Reject,
     /* 2345622 */ // Label 32796: @2345622
     /* 2345622 */ GIM_Try, /*On fail goto*//*Label 32833*/ GIMT_Encode4(2345736),
     /* 2345627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2345630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2345633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345641 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345645 */   GIM_Try, /*On fail goto*//*Label 32834*/ GIMT_Encode4(2345690), // Rule ID 50315 //
     /* 2345650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345653 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2345656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2345670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345689 */     // GIR_Coverage, 50315,
     /* 2345689 */     GIR_EraseRootFromParent_Done,
     /* 2345690 */   // Label 32834: @2345690
     /* 2345690 */   GIM_Try, /*On fail goto*//*Label 32835*/ GIMT_Encode4(2345735), // Rule ID 50316 //
     /* 2345695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345698 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2345701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2345715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345734 */     // GIR_Coverage, 50316,
     /* 2345734 */     GIR_EraseRootFromParent_Done,
     /* 2345735 */   // Label 32835: @2345735
     /* 2345735 */   GIM_Reject,
     /* 2345736 */ // Label 32833: @2345736
     /* 2345736 */ GIM_Reject,
     /* 2345737 */ // Label 32797: @2345737
     /* 2345737 */ GIM_Try, /*On fail goto*//*Label 32836*/ GIMT_Encode4(2345851),
     /* 2345742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2345745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2345748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345756 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345760 */   GIM_Try, /*On fail goto*//*Label 32837*/ GIMT_Encode4(2345805), // Rule ID 50327 //
     /* 2345765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345768 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2345771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2345785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345804 */     // GIR_Coverage, 50327,
     /* 2345804 */     GIR_EraseRootFromParent_Done,
     /* 2345805 */   // Label 32837: @2345805
     /* 2345805 */   GIM_Try, /*On fail goto*//*Label 32838*/ GIMT_Encode4(2345850), // Rule ID 50328 //
     /* 2345810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345813 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2345816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2345830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345849 */     // GIR_Coverage, 50328,
     /* 2345849 */     GIR_EraseRootFromParent_Done,
     /* 2345850 */   // Label 32838: @2345850
     /* 2345850 */   GIM_Reject,
     /* 2345851 */ // Label 32836: @2345851
     /* 2345851 */ GIM_Reject,
     /* 2345852 */ // Label 32798: @2345852
     /* 2345852 */ GIM_Try, /*On fail goto*//*Label 32839*/ GIMT_Encode4(2345966),
     /* 2345857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2345860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2345863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345871 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345875 */   GIM_Try, /*On fail goto*//*Label 32840*/ GIMT_Encode4(2345920), // Rule ID 50343 //
     /* 2345880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345883 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2345886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2345900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345919 */     // GIR_Coverage, 50343,
     /* 2345919 */     GIR_EraseRootFromParent_Done,
     /* 2345920 */   // Label 32840: @2345920
     /* 2345920 */   GIM_Try, /*On fail goto*//*Label 32841*/ GIMT_Encode4(2345965), // Rule ID 50344 //
     /* 2345925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345928 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2345931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2345945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345964 */     // GIR_Coverage, 50344,
     /* 2345964 */     GIR_EraseRootFromParent_Done,
     /* 2345965 */   // Label 32841: @2345965
     /* 2345965 */   GIM_Reject,
     /* 2345966 */ // Label 32839: @2345966
     /* 2345966 */ GIM_Reject,
     /* 2345967 */ // Label 32799: @2345967
     /* 2345967 */ GIM_Try, /*On fail goto*//*Label 32842*/ GIMT_Encode4(2346081),
     /* 2345972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2345975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2345978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345982 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345986 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345990 */   GIM_Try, /*On fail goto*//*Label 32843*/ GIMT_Encode4(2346035), // Rule ID 50387 //
     /* 2345995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2345998 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2346001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2346015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346034 */     // GIR_Coverage, 50387,
     /* 2346034 */     GIR_EraseRootFromParent_Done,
     /* 2346035 */   // Label 32843: @2346035
     /* 2346035 */   GIM_Try, /*On fail goto*//*Label 32844*/ GIMT_Encode4(2346080), // Rule ID 50388 //
     /* 2346040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2346043 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2346046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2346060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346079 */     // GIR_Coverage, 50388,
     /* 2346079 */     GIR_EraseRootFromParent_Done,
     /* 2346080 */   // Label 32844: @2346080
     /* 2346080 */   GIM_Reject,
     /* 2346081 */ // Label 32842: @2346081
     /* 2346081 */ GIM_Reject,
     /* 2346082 */ // Label 32800: @2346082
     /* 2346082 */ GIM_Try, /*On fail goto*//*Label 32845*/ GIMT_Encode4(2346196),
     /* 2346087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2346090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2346093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346097 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346105 */   GIM_Try, /*On fail goto*//*Label 32846*/ GIMT_Encode4(2346150), // Rule ID 50319 //
     /* 2346110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346113 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2346116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2346130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346149 */     // GIR_Coverage, 50319,
     /* 2346149 */     GIR_EraseRootFromParent_Done,
     /* 2346150 */   // Label 32846: @2346150
     /* 2346150 */   GIM_Try, /*On fail goto*//*Label 32847*/ GIMT_Encode4(2346195), // Rule ID 50320 //
     /* 2346155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346158 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2346161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2346175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346194 */     // GIR_Coverage, 50320,
     /* 2346194 */     GIR_EraseRootFromParent_Done,
     /* 2346195 */   // Label 32847: @2346195
     /* 2346195 */   GIM_Reject,
     /* 2346196 */ // Label 32845: @2346196
     /* 2346196 */ GIM_Reject,
     /* 2346197 */ // Label 32801: @2346197
     /* 2346197 */ GIM_Try, /*On fail goto*//*Label 32848*/ GIMT_Encode4(2346311),
     /* 2346202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2346205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2346208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346220 */   GIM_Try, /*On fail goto*//*Label 32849*/ GIMT_Encode4(2346265), // Rule ID 50339 //
     /* 2346225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346228 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2346231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2346245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346264 */     // GIR_Coverage, 50339,
     /* 2346264 */     GIR_EraseRootFromParent_Done,
     /* 2346265 */   // Label 32849: @2346265
     /* 2346265 */   GIM_Try, /*On fail goto*//*Label 32850*/ GIMT_Encode4(2346310), // Rule ID 50340 //
     /* 2346270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346273 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2346276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2346290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346309 */     // GIR_Coverage, 50340,
     /* 2346309 */     GIR_EraseRootFromParent_Done,
     /* 2346310 */   // Label 32850: @2346310
     /* 2346310 */   GIM_Reject,
     /* 2346311 */ // Label 32848: @2346311
     /* 2346311 */ GIM_Reject,
     /* 2346312 */ // Label 32802: @2346312
     /* 2346312 */ GIM_Try, /*On fail goto*//*Label 32851*/ GIMT_Encode4(2346426),
     /* 2346317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2346320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2346323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346335 */   GIM_Try, /*On fail goto*//*Label 32852*/ GIMT_Encode4(2346380), // Rule ID 50375 //
     /* 2346340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346343 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2346346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2346360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346379 */     // GIR_Coverage, 50375,
     /* 2346379 */     GIR_EraseRootFromParent_Done,
     /* 2346380 */   // Label 32852: @2346380
     /* 2346380 */   GIM_Try, /*On fail goto*//*Label 32853*/ GIMT_Encode4(2346425), // Rule ID 50376 //
     /* 2346385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346388 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2346391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2346405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346424 */     // GIR_Coverage, 50376,
     /* 2346424 */     GIR_EraseRootFromParent_Done,
     /* 2346425 */   // Label 32853: @2346425
     /* 2346425 */   GIM_Reject,
     /* 2346426 */ // Label 32851: @2346426
     /* 2346426 */ GIM_Reject,
     /* 2346427 */ // Label 32803: @2346427
     /* 2346427 */ GIM_Try, /*On fail goto*//*Label 32854*/ GIMT_Encode4(2346541),
     /* 2346432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2346435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2346438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346446 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346450 */   GIM_Try, /*On fail goto*//*Label 32855*/ GIMT_Encode4(2346495), // Rule ID 50391 //
     /* 2346455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2346458 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2346461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2346475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346494 */     // GIR_Coverage, 50391,
     /* 2346494 */     GIR_EraseRootFromParent_Done,
     /* 2346495 */   // Label 32855: @2346495
     /* 2346495 */   GIM_Try, /*On fail goto*//*Label 32856*/ GIMT_Encode4(2346540), // Rule ID 50392 //
     /* 2346500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2346503 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2346506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2346520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346539 */     // GIR_Coverage, 50392,
     /* 2346539 */     GIR_EraseRootFromParent_Done,
     /* 2346540 */   // Label 32856: @2346540
     /* 2346540 */   GIM_Reject,
     /* 2346541 */ // Label 32854: @2346541
     /* 2346541 */ GIM_Reject,
     /* 2346542 */ // Label 32804: @2346542
     /* 2346542 */ GIM_Try, /*On fail goto*//*Label 32857*/ GIMT_Encode4(2346656),
     /* 2346547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2346550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2346553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346557 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346561 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346565 */   GIM_Try, /*On fail goto*//*Label 32858*/ GIMT_Encode4(2346610), // Rule ID 50335 //
     /* 2346570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346573 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2346576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2346590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346609 */     // GIR_Coverage, 50335,
     /* 2346609 */     GIR_EraseRootFromParent_Done,
     /* 2346610 */   // Label 32858: @2346610
     /* 2346610 */   GIM_Try, /*On fail goto*//*Label 32859*/ GIMT_Encode4(2346655), // Rule ID 50336 //
     /* 2346615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346618 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2346621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2346635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346654 */     // GIR_Coverage, 50336,
     /* 2346654 */     GIR_EraseRootFromParent_Done,
     /* 2346655 */   // Label 32859: @2346655
     /* 2346655 */   GIM_Reject,
     /* 2346656 */ // Label 32857: @2346656
     /* 2346656 */ GIM_Reject,
     /* 2346657 */ // Label 32805: @2346657
     /* 2346657 */ GIM_Try, /*On fail goto*//*Label 32860*/ GIMT_Encode4(2346771),
     /* 2346662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2346665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2346668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346676 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346680 */   GIM_Try, /*On fail goto*//*Label 32861*/ GIMT_Encode4(2346725), // Rule ID 50363 //
     /* 2346685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346688 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2346691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2346705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346724 */     // GIR_Coverage, 50363,
     /* 2346724 */     GIR_EraseRootFromParent_Done,
     /* 2346725 */   // Label 32861: @2346725
     /* 2346725 */   GIM_Try, /*On fail goto*//*Label 32862*/ GIMT_Encode4(2346770), // Rule ID 50364 //
     /* 2346730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346733 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2346736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2346750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346769 */     // GIR_Coverage, 50364,
     /* 2346769 */     GIR_EraseRootFromParent_Done,
     /* 2346770 */   // Label 32862: @2346770
     /* 2346770 */   GIM_Reject,
     /* 2346771 */ // Label 32860: @2346771
     /* 2346771 */ GIM_Reject,
     /* 2346772 */ // Label 32806: @2346772
     /* 2346772 */ GIM_Try, /*On fail goto*//*Label 32863*/ GIMT_Encode4(2346886),
     /* 2346777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2346780 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2346783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346791 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2346795 */   GIM_Try, /*On fail goto*//*Label 32864*/ GIMT_Encode4(2346840), // Rule ID 50379 //
     /* 2346800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346803 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2346806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2346820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346839 */     // GIR_Coverage, 50379,
     /* 2346839 */     GIR_EraseRootFromParent_Done,
     /* 2346840 */   // Label 32864: @2346840
     /* 2346840 */   GIM_Try, /*On fail goto*//*Label 32865*/ GIMT_Encode4(2346885), // Rule ID 50380 //
     /* 2346845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346848 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2346851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2346865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346884 */     // GIR_Coverage, 50380,
     /* 2346884 */     GIR_EraseRootFromParent_Done,
     /* 2346885 */   // Label 32865: @2346885
     /* 2346885 */   GIM_Reject,
     /* 2346886 */ // Label 32863: @2346886
     /* 2346886 */ GIM_Reject,
     /* 2346887 */ // Label 32807: @2346887
     /* 2346887 */ GIM_Try, /*On fail goto*//*Label 32866*/ GIMT_Encode4(2347001),
     /* 2346892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2346895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2346898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346906 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2346910 */   GIM_Try, /*On fail goto*//*Label 32867*/ GIMT_Encode4(2346955), // Rule ID 50395 //
     /* 2346915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2346918 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2346921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2346935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346954 */     // GIR_Coverage, 50395,
     /* 2346954 */     GIR_EraseRootFromParent_Done,
     /* 2346955 */   // Label 32867: @2346955
     /* 2346955 */   GIM_Try, /*On fail goto*//*Label 32868*/ GIMT_Encode4(2347000), // Rule ID 50396 //
     /* 2346960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2346963 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2346966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2346980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346999 */     // GIR_Coverage, 50396,
     /* 2346999 */     GIR_EraseRootFromParent_Done,
     /* 2347000 */   // Label 32868: @2347000
     /* 2347000 */   GIM_Reject,
     /* 2347001 */ // Label 32866: @2347001
     /* 2347001 */ GIM_Reject,
     /* 2347002 */ // Label 32808: @2347002
     /* 2347002 */ GIM_Try, /*On fail goto*//*Label 32869*/ GIMT_Encode4(2347116),
     /* 2347007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2347010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2347013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347017 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347021 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347025 */   GIM_Try, /*On fail goto*//*Label 32870*/ GIMT_Encode4(2347070), // Rule ID 50351 //
     /* 2347030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347033 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2347036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2347050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347069 */     // GIR_Coverage, 50351,
     /* 2347069 */     GIR_EraseRootFromParent_Done,
     /* 2347070 */   // Label 32870: @2347070
     /* 2347070 */   GIM_Try, /*On fail goto*//*Label 32871*/ GIMT_Encode4(2347115), // Rule ID 50352 //
     /* 2347075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347078 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2347081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2347095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347114 */     // GIR_Coverage, 50352,
     /* 2347114 */     GIR_EraseRootFromParent_Done,
     /* 2347115 */   // Label 32871: @2347115
     /* 2347115 */   GIM_Reject,
     /* 2347116 */ // Label 32869: @2347116
     /* 2347116 */ GIM_Reject,
     /* 2347117 */ // Label 32809: @2347117
     /* 2347117 */ GIM_Try, /*On fail goto*//*Label 32872*/ GIMT_Encode4(2347231),
     /* 2347122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2347125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2347128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347136 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347140 */   GIM_Try, /*On fail goto*//*Label 32873*/ GIMT_Encode4(2347185), // Rule ID 50367 //
     /* 2347145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347148 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2347151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2347165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347184 */     // GIR_Coverage, 50367,
     /* 2347184 */     GIR_EraseRootFromParent_Done,
     /* 2347185 */   // Label 32873: @2347185
     /* 2347185 */   GIM_Try, /*On fail goto*//*Label 32874*/ GIMT_Encode4(2347230), // Rule ID 50368 //
     /* 2347190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347193 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2347196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2347210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347229 */     // GIR_Coverage, 50368,
     /* 2347229 */     GIR_EraseRootFromParent_Done,
     /* 2347230 */   // Label 32874: @2347230
     /* 2347230 */   GIM_Reject,
     /* 2347231 */ // Label 32872: @2347231
     /* 2347231 */ GIM_Reject,
     /* 2347232 */ // Label 32810: @2347232
     /* 2347232 */ GIM_Try, /*On fail goto*//*Label 32875*/ GIMT_Encode4(2347346),
     /* 2347237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2347240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2347243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347247 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347251 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347255 */   GIM_Try, /*On fail goto*//*Label 32876*/ GIMT_Encode4(2347300), // Rule ID 50383 //
     /* 2347260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347263 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2347266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2347280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347299 */     // GIR_Coverage, 50383,
     /* 2347299 */     GIR_EraseRootFromParent_Done,
     /* 2347300 */   // Label 32876: @2347300
     /* 2347300 */   GIM_Try, /*On fail goto*//*Label 32877*/ GIMT_Encode4(2347345), // Rule ID 50384 //
     /* 2347305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347308 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2347311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2347325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347344 */     // GIR_Coverage, 50384,
     /* 2347344 */     GIR_EraseRootFromParent_Done,
     /* 2347345 */   // Label 32877: @2347345
     /* 2347345 */   GIM_Reject,
     /* 2347346 */ // Label 32875: @2347346
     /* 2347346 */ GIM_Reject,
     /* 2347347 */ // Label 32811: @2347347
     /* 2347347 */ GIM_Try, /*On fail goto*//*Label 32878*/ GIMT_Encode4(2347461),
     /* 2347352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2347355 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2347358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347366 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347370 */   GIM_Try, /*On fail goto*//*Label 32879*/ GIMT_Encode4(2347415), // Rule ID 50355 //
     /* 2347375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347378 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2347381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2347395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347414 */     // GIR_Coverage, 50355,
     /* 2347414 */     GIR_EraseRootFromParent_Done,
     /* 2347415 */   // Label 32879: @2347415
     /* 2347415 */   GIM_Try, /*On fail goto*//*Label 32880*/ GIMT_Encode4(2347460), // Rule ID 50356 //
     /* 2347420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347423 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2347426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2347440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347459 */     // GIR_Coverage, 50356,
     /* 2347459 */     GIR_EraseRootFromParent_Done,
     /* 2347460 */   // Label 32880: @2347460
     /* 2347460 */   GIM_Reject,
     /* 2347461 */ // Label 32878: @2347461
     /* 2347461 */ GIM_Reject,
     /* 2347462 */ // Label 32812: @2347462
     /* 2347462 */ GIM_Try, /*On fail goto*//*Label 32881*/ GIMT_Encode4(2347576),
     /* 2347467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2347470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2347473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347477 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347481 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347485 */   GIM_Try, /*On fail goto*//*Label 32882*/ GIMT_Encode4(2347530), // Rule ID 50371 //
     /* 2347490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347493 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2347496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2347510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347529 */     // GIR_Coverage, 50371,
     /* 2347529 */     GIR_EraseRootFromParent_Done,
     /* 2347530 */   // Label 32882: @2347530
     /* 2347530 */   GIM_Try, /*On fail goto*//*Label 32883*/ GIMT_Encode4(2347575), // Rule ID 50372 //
     /* 2347535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347538 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2347541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2347555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347574 */     // GIR_Coverage, 50372,
     /* 2347574 */     GIR_EraseRootFromParent_Done,
     /* 2347575 */   // Label 32883: @2347575
     /* 2347575 */   GIM_Reject,
     /* 2347576 */ // Label 32881: @2347576
     /* 2347576 */ GIM_Reject,
     /* 2347577 */ // Label 32813: @2347577
     /* 2347577 */ GIM_Try, /*On fail goto*//*Label 32884*/ GIMT_Encode4(2347691),
     /* 2347582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2347585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2347588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347600 */   GIM_Try, /*On fail goto*//*Label 32885*/ GIMT_Encode4(2347645), // Rule ID 50359 //
     /* 2347605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347608 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2347611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2347625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347644 */     // GIR_Coverage, 50359,
     /* 2347644 */     GIR_EraseRootFromParent_Done,
     /* 2347645 */   // Label 32885: @2347645
     /* 2347645 */   GIM_Try, /*On fail goto*//*Label 32886*/ GIMT_Encode4(2347690), // Rule ID 50360 //
     /* 2347650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347653 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2347656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2347670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347689 */     // GIR_Coverage, 50360,
     /* 2347689 */     GIR_EraseRootFromParent_Done,
     /* 2347690 */   // Label 32886: @2347690
     /* 2347690 */   GIM_Reject,
     /* 2347691 */ // Label 32884: @2347691
     /* 2347691 */ GIM_Reject,
     /* 2347692 */ // Label 32814: @2347692
     /* 2347692 */ GIM_Reject,
     /* 2347693 */ // Label 78: @2347693
     /* 2347693 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32911*/ GIMT_Encode4(2350468),
     /* 2347704 */ /*GILLT_s32*//*Label 32887*/ GIMT_Encode4(2347828),
     /* 2347708 */ /*GILLT_s64*//*Label 32888*/ GIMT_Encode4(2347883), GIMT_Encode4(0),
     /* 2347716 */ /*GILLT_nxv1s8*//*Label 32889*/ GIMT_Encode4(2347938),
     /* 2347720 */ /*GILLT_nxv1s16*//*Label 32890*/ GIMT_Encode4(2348053),
     /* 2347724 */ /*GILLT_nxv1s32*//*Label 32891*/ GIMT_Encode4(2348168),
     /* 2347728 */ /*GILLT_nxv1s64*//*Label 32892*/ GIMT_Encode4(2348283), GIMT_Encode4(0),
     /* 2347736 */ /*GILLT_nxv2s8*//*Label 32893*/ GIMT_Encode4(2348398),
     /* 2347740 */ /*GILLT_nxv2s16*//*Label 32894*/ GIMT_Encode4(2348513),
     /* 2347744 */ /*GILLT_nxv2s32*//*Label 32895*/ GIMT_Encode4(2348628),
     /* 2347748 */ /*GILLT_nxv2s64*//*Label 32896*/ GIMT_Encode4(2348743), GIMT_Encode4(0),
     /* 2347756 */ /*GILLT_nxv4s8*//*Label 32897*/ GIMT_Encode4(2348858),
     /* 2347760 */ /*GILLT_nxv4s16*//*Label 32898*/ GIMT_Encode4(2348973),
     /* 2347764 */ /*GILLT_nxv4s32*//*Label 32899*/ GIMT_Encode4(2349088),
     /* 2347768 */ /*GILLT_nxv4s64*//*Label 32900*/ GIMT_Encode4(2349203), GIMT_Encode4(0),
     /* 2347776 */ /*GILLT_nxv8s8*//*Label 32901*/ GIMT_Encode4(2349318),
     /* 2347780 */ /*GILLT_nxv8s16*//*Label 32902*/ GIMT_Encode4(2349433),
     /* 2347784 */ /*GILLT_nxv8s32*//*Label 32903*/ GIMT_Encode4(2349548),
     /* 2347788 */ /*GILLT_nxv8s64*//*Label 32904*/ GIMT_Encode4(2349663), GIMT_Encode4(0),
     /* 2347796 */ /*GILLT_nxv16s8*//*Label 32905*/ GIMT_Encode4(2349778),
     /* 2347800 */ /*GILLT_nxv16s16*//*Label 32906*/ GIMT_Encode4(2349893),
     /* 2347804 */ /*GILLT_nxv16s32*//*Label 32907*/ GIMT_Encode4(2350008), GIMT_Encode4(0),
     /* 2347812 */ /*GILLT_nxv32s8*//*Label 32908*/ GIMT_Encode4(2350123),
     /* 2347816 */ /*GILLT_nxv32s16*//*Label 32909*/ GIMT_Encode4(2350238), GIMT_Encode4(0),
     /* 2347824 */ /*GILLT_nxv64s8*//*Label 32910*/ GIMT_Encode4(2350353),
     /* 2347828 */ // Label 32887: @2347828
     /* 2347828 */ GIM_Try, /*On fail goto*//*Label 32912*/ GIMT_Encode4(2347882),
     /* 2347833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2347836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2347839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2347843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2347847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2347851 */   GIM_Try, /*On fail goto*//*Label 32913*/ GIMT_Encode4(2347866), // Rule ID 63866 //
     /* 2347856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2347859 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2347859 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2347864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347865 */     // GIR_Coverage, 63866,
     /* 2347865 */     GIR_Done,
     /* 2347866 */   // Label 32913: @2347866
     /* 2347866 */   GIM_Try, /*On fail goto*//*Label 32914*/ GIMT_Encode4(2347881), // Rule ID 2392 //
     /* 2347871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2347874 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2347874 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2347879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347880 */     // GIR_Coverage, 2392,
     /* 2347880 */     GIR_Done,
     /* 2347881 */   // Label 32914: @2347881
     /* 2347881 */   GIM_Reject,
     /* 2347882 */ // Label 32912: @2347882
     /* 2347882 */ GIM_Reject,
     /* 2347883 */ // Label 32888: @2347883
     /* 2347883 */ GIM_Try, /*On fail goto*//*Label 32915*/ GIMT_Encode4(2347937),
     /* 2347888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2347891 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2347894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2347898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2347902 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2347906 */   GIM_Try, /*On fail goto*//*Label 32916*/ GIMT_Encode4(2347921), // Rule ID 63865 //
     /* 2347911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2347914 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2347914 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2347919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347920 */     // GIR_Coverage, 63865,
     /* 2347920 */     GIR_Done,
     /* 2347921 */   // Label 32916: @2347921
     /* 2347921 */   GIM_Try, /*On fail goto*//*Label 32917*/ GIMT_Encode4(2347936), // Rule ID 2391 //
     /* 2347926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2347929 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2347929 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2347934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347935 */     // GIR_Coverage, 2391,
     /* 2347935 */     GIR_Done,
     /* 2347936 */   // Label 32917: @2347936
     /* 2347936 */   GIM_Reject,
     /* 2347937 */ // Label 32915: @2347937
     /* 2347937 */ GIM_Reject,
     /* 2347938 */ // Label 32889: @2347938
     /* 2347938 */ GIM_Try, /*On fail goto*//*Label 32918*/ GIMT_Encode4(2348052),
     /* 2347943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2347946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2347949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347957 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347961 */   GIM_Try, /*On fail goto*//*Label 32919*/ GIMT_Encode4(2348006), // Rule ID 50047 //
     /* 2347966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347969 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2347972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2347986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348005 */     // GIR_Coverage, 50047,
     /* 2348005 */     GIR_EraseRootFromParent_Done,
     /* 2348006 */   // Label 32919: @2348006
     /* 2348006 */   GIM_Try, /*On fail goto*//*Label 32920*/ GIMT_Encode4(2348051), // Rule ID 50048 //
     /* 2348011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348014 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2348017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2348031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348050 */     // GIR_Coverage, 50048,
     /* 2348050 */     GIR_EraseRootFromParent_Done,
     /* 2348051 */   // Label 32920: @2348051
     /* 2348051 */   GIM_Reject,
     /* 2348052 */ // Label 32918: @2348052
     /* 2348052 */ GIM_Reject,
     /* 2348053 */ // Label 32890: @2348053
     /* 2348053 */ GIM_Try, /*On fail goto*//*Label 32921*/ GIMT_Encode4(2348167),
     /* 2348058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2348061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2348064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348076 */   GIM_Try, /*On fail goto*//*Label 32922*/ GIMT_Encode4(2348121), // Rule ID 50059 //
     /* 2348081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348084 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2348087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2348101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348120 */     // GIR_Coverage, 50059,
     /* 2348120 */     GIR_EraseRootFromParent_Done,
     /* 2348121 */   // Label 32922: @2348121
     /* 2348121 */   GIM_Try, /*On fail goto*//*Label 32923*/ GIMT_Encode4(2348166), // Rule ID 50060 //
     /* 2348126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348129 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2348132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2348146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348165 */     // GIR_Coverage, 50060,
     /* 2348165 */     GIR_EraseRootFromParent_Done,
     /* 2348166 */   // Label 32923: @2348166
     /* 2348166 */   GIM_Reject,
     /* 2348167 */ // Label 32921: @2348167
     /* 2348167 */ GIM_Reject,
     /* 2348168 */ // Label 32891: @2348168
     /* 2348168 */ GIM_Try, /*On fail goto*//*Label 32924*/ GIMT_Encode4(2348282),
     /* 2348173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2348176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2348179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348191 */   GIM_Try, /*On fail goto*//*Label 32925*/ GIMT_Encode4(2348236), // Rule ID 50067 //
     /* 2348196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348199 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2348202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2348216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348235 */     // GIR_Coverage, 50067,
     /* 2348235 */     GIR_EraseRootFromParent_Done,
     /* 2348236 */   // Label 32925: @2348236
     /* 2348236 */   GIM_Try, /*On fail goto*//*Label 32926*/ GIMT_Encode4(2348281), // Rule ID 50068 //
     /* 2348241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348244 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2348247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2348261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348280 */     // GIR_Coverage, 50068,
     /* 2348280 */     GIR_EraseRootFromParent_Done,
     /* 2348281 */   // Label 32926: @2348281
     /* 2348281 */   GIM_Reject,
     /* 2348282 */ // Label 32924: @2348282
     /* 2348282 */ GIM_Reject,
     /* 2348283 */ // Label 32892: @2348283
     /* 2348283 */ GIM_Try, /*On fail goto*//*Label 32927*/ GIMT_Encode4(2348397),
     /* 2348288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2348291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2348294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348306 */   GIM_Try, /*On fail goto*//*Label 32928*/ GIMT_Encode4(2348351), // Rule ID 50083 //
     /* 2348311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2348314 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2348317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2348331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348350 */     // GIR_Coverage, 50083,
     /* 2348350 */     GIR_EraseRootFromParent_Done,
     /* 2348351 */   // Label 32928: @2348351
     /* 2348351 */   GIM_Try, /*On fail goto*//*Label 32929*/ GIMT_Encode4(2348396), // Rule ID 50084 //
     /* 2348356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2348359 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2348362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2348376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348395 */     // GIR_Coverage, 50084,
     /* 2348395 */     GIR_EraseRootFromParent_Done,
     /* 2348396 */   // Label 32929: @2348396
     /* 2348396 */   GIM_Reject,
     /* 2348397 */ // Label 32927: @2348397
     /* 2348397 */ GIM_Reject,
     /* 2348398 */ // Label 32893: @2348398
     /* 2348398 */ GIM_Try, /*On fail goto*//*Label 32930*/ GIMT_Encode4(2348512),
     /* 2348403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2348406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2348409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348421 */   GIM_Try, /*On fail goto*//*Label 32931*/ GIMT_Encode4(2348466), // Rule ID 50051 //
     /* 2348426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348429 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2348432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2348446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348465 */     // GIR_Coverage, 50051,
     /* 2348465 */     GIR_EraseRootFromParent_Done,
     /* 2348466 */   // Label 32931: @2348466
     /* 2348466 */   GIM_Try, /*On fail goto*//*Label 32932*/ GIMT_Encode4(2348511), // Rule ID 50052 //
     /* 2348471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348474 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2348477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2348491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348510 */     // GIR_Coverage, 50052,
     /* 2348510 */     GIR_EraseRootFromParent_Done,
     /* 2348511 */   // Label 32932: @2348511
     /* 2348511 */   GIM_Reject,
     /* 2348512 */ // Label 32930: @2348512
     /* 2348512 */ GIM_Reject,
     /* 2348513 */ // Label 32894: @2348513
     /* 2348513 */ GIM_Try, /*On fail goto*//*Label 32933*/ GIMT_Encode4(2348627),
     /* 2348518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2348521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2348524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348536 */   GIM_Try, /*On fail goto*//*Label 32934*/ GIMT_Encode4(2348581), // Rule ID 50063 //
     /* 2348541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348544 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2348547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2348561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348580 */     // GIR_Coverage, 50063,
     /* 2348580 */     GIR_EraseRootFromParent_Done,
     /* 2348581 */   // Label 32934: @2348581
     /* 2348581 */   GIM_Try, /*On fail goto*//*Label 32935*/ GIMT_Encode4(2348626), // Rule ID 50064 //
     /* 2348586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348589 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2348592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2348606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348625 */     // GIR_Coverage, 50064,
     /* 2348625 */     GIR_EraseRootFromParent_Done,
     /* 2348626 */   // Label 32935: @2348626
     /* 2348626 */   GIM_Reject,
     /* 2348627 */ // Label 32933: @2348627
     /* 2348627 */ GIM_Reject,
     /* 2348628 */ // Label 32895: @2348628
     /* 2348628 */ GIM_Try, /*On fail goto*//*Label 32936*/ GIMT_Encode4(2348742),
     /* 2348633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2348636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2348639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348651 */   GIM_Try, /*On fail goto*//*Label 32937*/ GIMT_Encode4(2348696), // Rule ID 50079 //
     /* 2348656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348659 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2348662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2348676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348695 */     // GIR_Coverage, 50079,
     /* 2348695 */     GIR_EraseRootFromParent_Done,
     /* 2348696 */   // Label 32937: @2348696
     /* 2348696 */   GIM_Try, /*On fail goto*//*Label 32938*/ GIMT_Encode4(2348741), // Rule ID 50080 //
     /* 2348701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348704 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2348707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2348721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348740 */     // GIR_Coverage, 50080,
     /* 2348740 */     GIR_EraseRootFromParent_Done,
     /* 2348741 */   // Label 32938: @2348741
     /* 2348741 */   GIM_Reject,
     /* 2348742 */ // Label 32936: @2348742
     /* 2348742 */ GIM_Reject,
     /* 2348743 */ // Label 32896: @2348743
     /* 2348743 */ GIM_Try, /*On fail goto*//*Label 32939*/ GIMT_Encode4(2348857),
     /* 2348748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2348751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2348754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348766 */   GIM_Try, /*On fail goto*//*Label 32940*/ GIMT_Encode4(2348811), // Rule ID 50123 //
     /* 2348771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2348774 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2348777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2348791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348810 */     // GIR_Coverage, 50123,
     /* 2348810 */     GIR_EraseRootFromParent_Done,
     /* 2348811 */   // Label 32940: @2348811
     /* 2348811 */   GIM_Try, /*On fail goto*//*Label 32941*/ GIMT_Encode4(2348856), // Rule ID 50124 //
     /* 2348816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2348819 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2348822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2348836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348855 */     // GIR_Coverage, 50124,
     /* 2348855 */     GIR_EraseRootFromParent_Done,
     /* 2348856 */   // Label 32941: @2348856
     /* 2348856 */   GIM_Reject,
     /* 2348857 */ // Label 32939: @2348857
     /* 2348857 */ GIM_Reject,
     /* 2348858 */ // Label 32897: @2348858
     /* 2348858 */ GIM_Try, /*On fail goto*//*Label 32942*/ GIMT_Encode4(2348972),
     /* 2348863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2348866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2348869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348881 */   GIM_Try, /*On fail goto*//*Label 32943*/ GIMT_Encode4(2348926), // Rule ID 50055 //
     /* 2348886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348889 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2348892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2348906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348925 */     // GIR_Coverage, 50055,
     /* 2348925 */     GIR_EraseRootFromParent_Done,
     /* 2348926 */   // Label 32943: @2348926
     /* 2348926 */   GIM_Try, /*On fail goto*//*Label 32944*/ GIMT_Encode4(2348971), // Rule ID 50056 //
     /* 2348931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348934 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2348937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2348951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348970 */     // GIR_Coverage, 50056,
     /* 2348970 */     GIR_EraseRootFromParent_Done,
     /* 2348971 */   // Label 32944: @2348971
     /* 2348971 */   GIM_Reject,
     /* 2348972 */ // Label 32942: @2348972
     /* 2348972 */ GIM_Reject,
     /* 2348973 */ // Label 32898: @2348973
     /* 2348973 */ GIM_Try, /*On fail goto*//*Label 32945*/ GIMT_Encode4(2349087),
     /* 2348978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2348981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2348984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348992 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348996 */   GIM_Try, /*On fail goto*//*Label 32946*/ GIMT_Encode4(2349041), // Rule ID 50075 //
     /* 2349001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349004 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2349007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2349021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349040 */     // GIR_Coverage, 50075,
     /* 2349040 */     GIR_EraseRootFromParent_Done,
     /* 2349041 */   // Label 32946: @2349041
     /* 2349041 */   GIM_Try, /*On fail goto*//*Label 32947*/ GIMT_Encode4(2349086), // Rule ID 50076 //
     /* 2349046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349049 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2349052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2349066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349085 */     // GIR_Coverage, 50076,
     /* 2349085 */     GIR_EraseRootFromParent_Done,
     /* 2349086 */   // Label 32947: @2349086
     /* 2349086 */   GIM_Reject,
     /* 2349087 */ // Label 32945: @2349087
     /* 2349087 */ GIM_Reject,
     /* 2349088 */ // Label 32899: @2349088
     /* 2349088 */ GIM_Try, /*On fail goto*//*Label 32948*/ GIMT_Encode4(2349202),
     /* 2349093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2349096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2349099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349107 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349111 */   GIM_Try, /*On fail goto*//*Label 32949*/ GIMT_Encode4(2349156), // Rule ID 50111 //
     /* 2349116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349119 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2349122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2349136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349155 */     // GIR_Coverage, 50111,
     /* 2349155 */     GIR_EraseRootFromParent_Done,
     /* 2349156 */   // Label 32949: @2349156
     /* 2349156 */   GIM_Try, /*On fail goto*//*Label 32950*/ GIMT_Encode4(2349201), // Rule ID 50112 //
     /* 2349161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349164 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2349167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2349181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349200 */     // GIR_Coverage, 50112,
     /* 2349200 */     GIR_EraseRootFromParent_Done,
     /* 2349201 */   // Label 32950: @2349201
     /* 2349201 */   GIM_Reject,
     /* 2349202 */ // Label 32948: @2349202
     /* 2349202 */ GIM_Reject,
     /* 2349203 */ // Label 32900: @2349203
     /* 2349203 */ GIM_Try, /*On fail goto*//*Label 32951*/ GIMT_Encode4(2349317),
     /* 2349208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2349211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2349214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349222 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349226 */   GIM_Try, /*On fail goto*//*Label 32952*/ GIMT_Encode4(2349271), // Rule ID 50127 //
     /* 2349231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2349234 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2349237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2349251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349270 */     // GIR_Coverage, 50127,
     /* 2349270 */     GIR_EraseRootFromParent_Done,
     /* 2349271 */   // Label 32952: @2349271
     /* 2349271 */   GIM_Try, /*On fail goto*//*Label 32953*/ GIMT_Encode4(2349316), // Rule ID 50128 //
     /* 2349276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2349279 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2349282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2349296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349315 */     // GIR_Coverage, 50128,
     /* 2349315 */     GIR_EraseRootFromParent_Done,
     /* 2349316 */   // Label 32953: @2349316
     /* 2349316 */   GIM_Reject,
     /* 2349317 */ // Label 32951: @2349317
     /* 2349317 */ GIM_Reject,
     /* 2349318 */ // Label 32901: @2349318
     /* 2349318 */ GIM_Try, /*On fail goto*//*Label 32954*/ GIMT_Encode4(2349432),
     /* 2349323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2349326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2349329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349341 */   GIM_Try, /*On fail goto*//*Label 32955*/ GIMT_Encode4(2349386), // Rule ID 50071 //
     /* 2349346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349349 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2349352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2349366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349385 */     // GIR_Coverage, 50071,
     /* 2349385 */     GIR_EraseRootFromParent_Done,
     /* 2349386 */   // Label 32955: @2349386
     /* 2349386 */   GIM_Try, /*On fail goto*//*Label 32956*/ GIMT_Encode4(2349431), // Rule ID 50072 //
     /* 2349391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349394 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2349397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2349411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349430 */     // GIR_Coverage, 50072,
     /* 2349430 */     GIR_EraseRootFromParent_Done,
     /* 2349431 */   // Label 32956: @2349431
     /* 2349431 */   GIM_Reject,
     /* 2349432 */ // Label 32954: @2349432
     /* 2349432 */ GIM_Reject,
     /* 2349433 */ // Label 32902: @2349433
     /* 2349433 */ GIM_Try, /*On fail goto*//*Label 32957*/ GIMT_Encode4(2349547),
     /* 2349438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2349441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2349444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349456 */   GIM_Try, /*On fail goto*//*Label 32958*/ GIMT_Encode4(2349501), // Rule ID 50099 //
     /* 2349461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349464 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2349467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2349481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349500 */     // GIR_Coverage, 50099,
     /* 2349500 */     GIR_EraseRootFromParent_Done,
     /* 2349501 */   // Label 32958: @2349501
     /* 2349501 */   GIM_Try, /*On fail goto*//*Label 32959*/ GIMT_Encode4(2349546), // Rule ID 50100 //
     /* 2349506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349509 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2349512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2349526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349545 */     // GIR_Coverage, 50100,
     /* 2349545 */     GIR_EraseRootFromParent_Done,
     /* 2349546 */   // Label 32959: @2349546
     /* 2349546 */   GIM_Reject,
     /* 2349547 */ // Label 32957: @2349547
     /* 2349547 */ GIM_Reject,
     /* 2349548 */ // Label 32903: @2349548
     /* 2349548 */ GIM_Try, /*On fail goto*//*Label 32960*/ GIMT_Encode4(2349662),
     /* 2349553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2349556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2349559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349571 */   GIM_Try, /*On fail goto*//*Label 32961*/ GIMT_Encode4(2349616), // Rule ID 50115 //
     /* 2349576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349579 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2349582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2349596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349615 */     // GIR_Coverage, 50115,
     /* 2349615 */     GIR_EraseRootFromParent_Done,
     /* 2349616 */   // Label 32961: @2349616
     /* 2349616 */   GIM_Try, /*On fail goto*//*Label 32962*/ GIMT_Encode4(2349661), // Rule ID 50116 //
     /* 2349621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349624 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2349627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2349641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349660 */     // GIR_Coverage, 50116,
     /* 2349660 */     GIR_EraseRootFromParent_Done,
     /* 2349661 */   // Label 32962: @2349661
     /* 2349661 */   GIM_Reject,
     /* 2349662 */ // Label 32960: @2349662
     /* 2349662 */ GIM_Reject,
     /* 2349663 */ // Label 32904: @2349663
     /* 2349663 */ GIM_Try, /*On fail goto*//*Label 32963*/ GIMT_Encode4(2349777),
     /* 2349668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2349671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2349674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349682 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349686 */   GIM_Try, /*On fail goto*//*Label 32964*/ GIMT_Encode4(2349731), // Rule ID 50131 //
     /* 2349691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2349694 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2349697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2349711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349730 */     // GIR_Coverage, 50131,
     /* 2349730 */     GIR_EraseRootFromParent_Done,
     /* 2349731 */   // Label 32964: @2349731
     /* 2349731 */   GIM_Try, /*On fail goto*//*Label 32965*/ GIMT_Encode4(2349776), // Rule ID 50132 //
     /* 2349736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2349739 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2349742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2349756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349775 */     // GIR_Coverage, 50132,
     /* 2349775 */     GIR_EraseRootFromParent_Done,
     /* 2349776 */   // Label 32965: @2349776
     /* 2349776 */   GIM_Reject,
     /* 2349777 */ // Label 32963: @2349777
     /* 2349777 */ GIM_Reject,
     /* 2349778 */ // Label 32905: @2349778
     /* 2349778 */ GIM_Try, /*On fail goto*//*Label 32966*/ GIMT_Encode4(2349892),
     /* 2349783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2349786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2349789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349801 */   GIM_Try, /*On fail goto*//*Label 32967*/ GIMT_Encode4(2349846), // Rule ID 50087 //
     /* 2349806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349809 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2349812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2349826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349845 */     // GIR_Coverage, 50087,
     /* 2349845 */     GIR_EraseRootFromParent_Done,
     /* 2349846 */   // Label 32967: @2349846
     /* 2349846 */   GIM_Try, /*On fail goto*//*Label 32968*/ GIMT_Encode4(2349891), // Rule ID 50088 //
     /* 2349851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349854 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2349857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2349871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349890 */     // GIR_Coverage, 50088,
     /* 2349890 */     GIR_EraseRootFromParent_Done,
     /* 2349891 */   // Label 32968: @2349891
     /* 2349891 */   GIM_Reject,
     /* 2349892 */ // Label 32966: @2349892
     /* 2349892 */ GIM_Reject,
     /* 2349893 */ // Label 32906: @2349893
     /* 2349893 */ GIM_Try, /*On fail goto*//*Label 32969*/ GIMT_Encode4(2350007),
     /* 2349898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2349901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2349904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349916 */   GIM_Try, /*On fail goto*//*Label 32970*/ GIMT_Encode4(2349961), // Rule ID 50103 //
     /* 2349921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349924 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2349927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2349941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349960 */     // GIR_Coverage, 50103,
     /* 2349960 */     GIR_EraseRootFromParent_Done,
     /* 2349961 */   // Label 32970: @2349961
     /* 2349961 */   GIM_Try, /*On fail goto*//*Label 32971*/ GIMT_Encode4(2350006), // Rule ID 50104 //
     /* 2349966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349969 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2349972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2349986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350005 */     // GIR_Coverage, 50104,
     /* 2350005 */     GIR_EraseRootFromParent_Done,
     /* 2350006 */   // Label 32971: @2350006
     /* 2350006 */   GIM_Reject,
     /* 2350007 */ // Label 32969: @2350007
     /* 2350007 */ GIM_Reject,
     /* 2350008 */ // Label 32907: @2350008
     /* 2350008 */ GIM_Try, /*On fail goto*//*Label 32972*/ GIMT_Encode4(2350122),
     /* 2350013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2350016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2350019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350031 */   GIM_Try, /*On fail goto*//*Label 32973*/ GIMT_Encode4(2350076), // Rule ID 50119 //
     /* 2350036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350039 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2350042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2350056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350075 */     // GIR_Coverage, 50119,
     /* 2350075 */     GIR_EraseRootFromParent_Done,
     /* 2350076 */   // Label 32973: @2350076
     /* 2350076 */   GIM_Try, /*On fail goto*//*Label 32974*/ GIMT_Encode4(2350121), // Rule ID 50120 //
     /* 2350081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350084 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2350087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2350101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350120 */     // GIR_Coverage, 50120,
     /* 2350120 */     GIR_EraseRootFromParent_Done,
     /* 2350121 */   // Label 32974: @2350121
     /* 2350121 */   GIM_Reject,
     /* 2350122 */ // Label 32972: @2350122
     /* 2350122 */ GIM_Reject,
     /* 2350123 */ // Label 32908: @2350123
     /* 2350123 */ GIM_Try, /*On fail goto*//*Label 32975*/ GIMT_Encode4(2350237),
     /* 2350128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2350131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2350134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350146 */   GIM_Try, /*On fail goto*//*Label 32976*/ GIMT_Encode4(2350191), // Rule ID 50091 //
     /* 2350151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350154 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2350157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2350171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350190 */     // GIR_Coverage, 50091,
     /* 2350190 */     GIR_EraseRootFromParent_Done,
     /* 2350191 */   // Label 32976: @2350191
     /* 2350191 */   GIM_Try, /*On fail goto*//*Label 32977*/ GIMT_Encode4(2350236), // Rule ID 50092 //
     /* 2350196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350199 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2350202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2350216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350235 */     // GIR_Coverage, 50092,
     /* 2350235 */     GIR_EraseRootFromParent_Done,
     /* 2350236 */   // Label 32977: @2350236
     /* 2350236 */   GIM_Reject,
     /* 2350237 */ // Label 32975: @2350237
     /* 2350237 */ GIM_Reject,
     /* 2350238 */ // Label 32909: @2350238
     /* 2350238 */ GIM_Try, /*On fail goto*//*Label 32978*/ GIMT_Encode4(2350352),
     /* 2350243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2350246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2350249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350257 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350261 */   GIM_Try, /*On fail goto*//*Label 32979*/ GIMT_Encode4(2350306), // Rule ID 50107 //
     /* 2350266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350269 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2350272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2350286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350305 */     // GIR_Coverage, 50107,
     /* 2350305 */     GIR_EraseRootFromParent_Done,
     /* 2350306 */   // Label 32979: @2350306
     /* 2350306 */   GIM_Try, /*On fail goto*//*Label 32980*/ GIMT_Encode4(2350351), // Rule ID 50108 //
     /* 2350311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350314 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2350317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2350331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350350 */     // GIR_Coverage, 50108,
     /* 2350350 */     GIR_EraseRootFromParent_Done,
     /* 2350351 */   // Label 32980: @2350351
     /* 2350351 */   GIM_Reject,
     /* 2350352 */ // Label 32978: @2350352
     /* 2350352 */ GIM_Reject,
     /* 2350353 */ // Label 32910: @2350353
     /* 2350353 */ GIM_Try, /*On fail goto*//*Label 32981*/ GIMT_Encode4(2350467),
     /* 2350358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2350361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2350364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350372 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2350376 */   GIM_Try, /*On fail goto*//*Label 32982*/ GIMT_Encode4(2350421), // Rule ID 50095 //
     /* 2350381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350384 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2350387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2350401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350420 */     // GIR_Coverage, 50095,
     /* 2350420 */     GIR_EraseRootFromParent_Done,
     /* 2350421 */   // Label 32982: @2350421
     /* 2350421 */   GIM_Try, /*On fail goto*//*Label 32983*/ GIMT_Encode4(2350466), // Rule ID 50096 //
     /* 2350426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350429 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2350432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2350446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350465 */     // GIR_Coverage, 50096,
     /* 2350465 */     GIR_EraseRootFromParent_Done,
     /* 2350466 */   // Label 32983: @2350466
     /* 2350466 */   GIM_Reject,
     /* 2350467 */ // Label 32981: @2350467
     /* 2350467 */ GIM_Reject,
     /* 2350468 */ // Label 32911: @2350468
     /* 2350468 */ GIM_Reject,
     /* 2350469 */ // Label 79: @2350469
     /* 2350469 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33008*/ GIMT_Encode4(2353244),
     /* 2350480 */ /*GILLT_s32*//*Label 32984*/ GIMT_Encode4(2350604),
     /* 2350484 */ /*GILLT_s64*//*Label 32985*/ GIMT_Encode4(2350659), GIMT_Encode4(0),
     /* 2350492 */ /*GILLT_nxv1s8*//*Label 32986*/ GIMT_Encode4(2350714),
     /* 2350496 */ /*GILLT_nxv1s16*//*Label 32987*/ GIMT_Encode4(2350829),
     /* 2350500 */ /*GILLT_nxv1s32*//*Label 32988*/ GIMT_Encode4(2350944),
     /* 2350504 */ /*GILLT_nxv1s64*//*Label 32989*/ GIMT_Encode4(2351059), GIMT_Encode4(0),
     /* 2350512 */ /*GILLT_nxv2s8*//*Label 32990*/ GIMT_Encode4(2351174),
     /* 2350516 */ /*GILLT_nxv2s16*//*Label 32991*/ GIMT_Encode4(2351289),
     /* 2350520 */ /*GILLT_nxv2s32*//*Label 32992*/ GIMT_Encode4(2351404),
     /* 2350524 */ /*GILLT_nxv2s64*//*Label 32993*/ GIMT_Encode4(2351519), GIMT_Encode4(0),
     /* 2350532 */ /*GILLT_nxv4s8*//*Label 32994*/ GIMT_Encode4(2351634),
     /* 2350536 */ /*GILLT_nxv4s16*//*Label 32995*/ GIMT_Encode4(2351749),
     /* 2350540 */ /*GILLT_nxv4s32*//*Label 32996*/ GIMT_Encode4(2351864),
     /* 2350544 */ /*GILLT_nxv4s64*//*Label 32997*/ GIMT_Encode4(2351979), GIMT_Encode4(0),
     /* 2350552 */ /*GILLT_nxv8s8*//*Label 32998*/ GIMT_Encode4(2352094),
     /* 2350556 */ /*GILLT_nxv8s16*//*Label 32999*/ GIMT_Encode4(2352209),
     /* 2350560 */ /*GILLT_nxv8s32*//*Label 33000*/ GIMT_Encode4(2352324),
     /* 2350564 */ /*GILLT_nxv8s64*//*Label 33001*/ GIMT_Encode4(2352439), GIMT_Encode4(0),
     /* 2350572 */ /*GILLT_nxv16s8*//*Label 33002*/ GIMT_Encode4(2352554),
     /* 2350576 */ /*GILLT_nxv16s16*//*Label 33003*/ GIMT_Encode4(2352669),
     /* 2350580 */ /*GILLT_nxv16s32*//*Label 33004*/ GIMT_Encode4(2352784), GIMT_Encode4(0),
     /* 2350588 */ /*GILLT_nxv32s8*//*Label 33005*/ GIMT_Encode4(2352899),
     /* 2350592 */ /*GILLT_nxv32s16*//*Label 33006*/ GIMT_Encode4(2353014), GIMT_Encode4(0),
     /* 2350600 */ /*GILLT_nxv64s8*//*Label 33007*/ GIMT_Encode4(2353129),
     /* 2350604 */ // Label 32984: @2350604
     /* 2350604 */ GIM_Try, /*On fail goto*//*Label 33009*/ GIMT_Encode4(2350658),
     /* 2350609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2350612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2350615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2350619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2350623 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2350627 */   GIM_Try, /*On fail goto*//*Label 33010*/ GIMT_Encode4(2350642), // Rule ID 63870 //
     /* 2350632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2350635 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2350635 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2350640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350641 */     // GIR_Coverage, 63870,
     /* 2350641 */     GIR_Done,
     /* 2350642 */   // Label 33010: @2350642
     /* 2350642 */   GIM_Try, /*On fail goto*//*Label 33011*/ GIMT_Encode4(2350657), // Rule ID 2394 //
     /* 2350647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2350650 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2350650 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2350655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350656 */     // GIR_Coverage, 2394,
     /* 2350656 */     GIR_Done,
     /* 2350657 */   // Label 33011: @2350657
     /* 2350657 */   GIM_Reject,
     /* 2350658 */ // Label 33009: @2350658
     /* 2350658 */ GIM_Reject,
     /* 2350659 */ // Label 32985: @2350659
     /* 2350659 */ GIM_Try, /*On fail goto*//*Label 33012*/ GIMT_Encode4(2350713),
     /* 2350664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2350667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2350670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2350674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2350678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2350682 */   GIM_Try, /*On fail goto*//*Label 33013*/ GIMT_Encode4(2350697), // Rule ID 63869 //
     /* 2350687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2350690 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2350690 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2350695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350696 */     // GIR_Coverage, 63869,
     /* 2350696 */     GIR_Done,
     /* 2350697 */   // Label 33013: @2350697
     /* 2350697 */   GIM_Try, /*On fail goto*//*Label 33014*/ GIMT_Encode4(2350712), // Rule ID 2393 //
     /* 2350702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2350705 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2350705 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2350710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350711 */     // GIR_Coverage, 2393,
     /* 2350711 */     GIR_Done,
     /* 2350712 */   // Label 33014: @2350712
     /* 2350712 */   GIM_Reject,
     /* 2350713 */ // Label 33012: @2350713
     /* 2350713 */ GIM_Reject,
     /* 2350714 */ // Label 32986: @2350714
     /* 2350714 */ GIM_Try, /*On fail goto*//*Label 33015*/ GIMT_Encode4(2350828),
     /* 2350719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2350722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2350725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350729 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350733 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350737 */   GIM_Try, /*On fail goto*//*Label 33016*/ GIMT_Encode4(2350782), // Rule ID 50223 //
     /* 2350742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350745 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2350748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2350762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350781 */     // GIR_Coverage, 50223,
     /* 2350781 */     GIR_EraseRootFromParent_Done,
     /* 2350782 */   // Label 33016: @2350782
     /* 2350782 */   GIM_Try, /*On fail goto*//*Label 33017*/ GIMT_Encode4(2350827), // Rule ID 50224 //
     /* 2350787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350790 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2350793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2350807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350826 */     // GIR_Coverage, 50224,
     /* 2350826 */     GIR_EraseRootFromParent_Done,
     /* 2350827 */   // Label 33017: @2350827
     /* 2350827 */   GIM_Reject,
     /* 2350828 */ // Label 33015: @2350828
     /* 2350828 */ GIM_Reject,
     /* 2350829 */ // Label 32987: @2350829
     /* 2350829 */ GIM_Try, /*On fail goto*//*Label 33018*/ GIMT_Encode4(2350943),
     /* 2350834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2350837 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2350840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350844 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350848 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350852 */   GIM_Try, /*On fail goto*//*Label 33019*/ GIMT_Encode4(2350897), // Rule ID 50235 //
     /* 2350857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350860 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2350863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2350877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350896 */     // GIR_Coverage, 50235,
     /* 2350896 */     GIR_EraseRootFromParent_Done,
     /* 2350897 */   // Label 33019: @2350897
     /* 2350897 */   GIM_Try, /*On fail goto*//*Label 33020*/ GIMT_Encode4(2350942), // Rule ID 50236 //
     /* 2350902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350905 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2350908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2350922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350941 */     // GIR_Coverage, 50236,
     /* 2350941 */     GIR_EraseRootFromParent_Done,
     /* 2350942 */   // Label 33020: @2350942
     /* 2350942 */   GIM_Reject,
     /* 2350943 */ // Label 33018: @2350943
     /* 2350943 */ GIM_Reject,
     /* 2350944 */ // Label 32988: @2350944
     /* 2350944 */ GIM_Try, /*On fail goto*//*Label 33021*/ GIMT_Encode4(2351058),
     /* 2350949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2350952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2350955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350963 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350967 */   GIM_Try, /*On fail goto*//*Label 33022*/ GIMT_Encode4(2351012), // Rule ID 50243 //
     /* 2350972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350975 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2350978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2350992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351011 */     // GIR_Coverage, 50243,
     /* 2351011 */     GIR_EraseRootFromParent_Done,
     /* 2351012 */   // Label 33022: @2351012
     /* 2351012 */   GIM_Try, /*On fail goto*//*Label 33023*/ GIMT_Encode4(2351057), // Rule ID 50244 //
     /* 2351017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351020 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2351023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2351037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351056 */     // GIR_Coverage, 50244,
     /* 2351056 */     GIR_EraseRootFromParent_Done,
     /* 2351057 */   // Label 33023: @2351057
     /* 2351057 */   GIM_Reject,
     /* 2351058 */ // Label 33021: @2351058
     /* 2351058 */ GIM_Reject,
     /* 2351059 */ // Label 32989: @2351059
     /* 2351059 */ GIM_Try, /*On fail goto*//*Label 33024*/ GIMT_Encode4(2351173),
     /* 2351064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2351067 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2351070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351078 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351082 */   GIM_Try, /*On fail goto*//*Label 33025*/ GIMT_Encode4(2351127), // Rule ID 50259 //
     /* 2351087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2351090 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2351093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2351107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351126 */     // GIR_Coverage, 50259,
     /* 2351126 */     GIR_EraseRootFromParent_Done,
     /* 2351127 */   // Label 33025: @2351127
     /* 2351127 */   GIM_Try, /*On fail goto*//*Label 33026*/ GIMT_Encode4(2351172), // Rule ID 50260 //
     /* 2351132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2351135 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2351138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2351152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351171 */     // GIR_Coverage, 50260,
     /* 2351171 */     GIR_EraseRootFromParent_Done,
     /* 2351172 */   // Label 33026: @2351172
     /* 2351172 */   GIM_Reject,
     /* 2351173 */ // Label 33024: @2351173
     /* 2351173 */ GIM_Reject,
     /* 2351174 */ // Label 32990: @2351174
     /* 2351174 */ GIM_Try, /*On fail goto*//*Label 33027*/ GIMT_Encode4(2351288),
     /* 2351179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2351182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2351185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351197 */   GIM_Try, /*On fail goto*//*Label 33028*/ GIMT_Encode4(2351242), // Rule ID 50227 //
     /* 2351202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351205 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2351208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2351222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351241 */     // GIR_Coverage, 50227,
     /* 2351241 */     GIR_EraseRootFromParent_Done,
     /* 2351242 */   // Label 33028: @2351242
     /* 2351242 */   GIM_Try, /*On fail goto*//*Label 33029*/ GIMT_Encode4(2351287), // Rule ID 50228 //
     /* 2351247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351250 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2351253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2351267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351286 */     // GIR_Coverage, 50228,
     /* 2351286 */     GIR_EraseRootFromParent_Done,
     /* 2351287 */   // Label 33029: @2351287
     /* 2351287 */   GIM_Reject,
     /* 2351288 */ // Label 33027: @2351288
     /* 2351288 */ GIM_Reject,
     /* 2351289 */ // Label 32991: @2351289
     /* 2351289 */ GIM_Try, /*On fail goto*//*Label 33030*/ GIMT_Encode4(2351403),
     /* 2351294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2351297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2351300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351312 */   GIM_Try, /*On fail goto*//*Label 33031*/ GIMT_Encode4(2351357), // Rule ID 50239 //
     /* 2351317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351320 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2351323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2351337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351356 */     // GIR_Coverage, 50239,
     /* 2351356 */     GIR_EraseRootFromParent_Done,
     /* 2351357 */   // Label 33031: @2351357
     /* 2351357 */   GIM_Try, /*On fail goto*//*Label 33032*/ GIMT_Encode4(2351402), // Rule ID 50240 //
     /* 2351362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351365 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2351368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2351382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351401 */     // GIR_Coverage, 50240,
     /* 2351401 */     GIR_EraseRootFromParent_Done,
     /* 2351402 */   // Label 33032: @2351402
     /* 2351402 */   GIM_Reject,
     /* 2351403 */ // Label 33030: @2351403
     /* 2351403 */ GIM_Reject,
     /* 2351404 */ // Label 32992: @2351404
     /* 2351404 */ GIM_Try, /*On fail goto*//*Label 33033*/ GIMT_Encode4(2351518),
     /* 2351409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2351412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2351415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351427 */   GIM_Try, /*On fail goto*//*Label 33034*/ GIMT_Encode4(2351472), // Rule ID 50255 //
     /* 2351432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351435 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2351438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2351452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351471 */     // GIR_Coverage, 50255,
     /* 2351471 */     GIR_EraseRootFromParent_Done,
     /* 2351472 */   // Label 33034: @2351472
     /* 2351472 */   GIM_Try, /*On fail goto*//*Label 33035*/ GIMT_Encode4(2351517), // Rule ID 50256 //
     /* 2351477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351480 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2351483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2351497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351516 */     // GIR_Coverage, 50256,
     /* 2351516 */     GIR_EraseRootFromParent_Done,
     /* 2351517 */   // Label 33035: @2351517
     /* 2351517 */   GIM_Reject,
     /* 2351518 */ // Label 33033: @2351518
     /* 2351518 */ GIM_Reject,
     /* 2351519 */ // Label 32993: @2351519
     /* 2351519 */ GIM_Try, /*On fail goto*//*Label 33036*/ GIMT_Encode4(2351633),
     /* 2351524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2351527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2351530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351538 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351542 */   GIM_Try, /*On fail goto*//*Label 33037*/ GIMT_Encode4(2351587), // Rule ID 50299 //
     /* 2351547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2351550 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2351553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2351567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351586 */     // GIR_Coverage, 50299,
     /* 2351586 */     GIR_EraseRootFromParent_Done,
     /* 2351587 */   // Label 33037: @2351587
     /* 2351587 */   GIM_Try, /*On fail goto*//*Label 33038*/ GIMT_Encode4(2351632), // Rule ID 50300 //
     /* 2351592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2351595 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2351598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2351612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351631 */     // GIR_Coverage, 50300,
     /* 2351631 */     GIR_EraseRootFromParent_Done,
     /* 2351632 */   // Label 33038: @2351632
     /* 2351632 */   GIM_Reject,
     /* 2351633 */ // Label 33036: @2351633
     /* 2351633 */ GIM_Reject,
     /* 2351634 */ // Label 32994: @2351634
     /* 2351634 */ GIM_Try, /*On fail goto*//*Label 33039*/ GIMT_Encode4(2351748),
     /* 2351639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2351642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2351645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351657 */   GIM_Try, /*On fail goto*//*Label 33040*/ GIMT_Encode4(2351702), // Rule ID 50231 //
     /* 2351662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351665 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2351668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2351682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351701 */     // GIR_Coverage, 50231,
     /* 2351701 */     GIR_EraseRootFromParent_Done,
     /* 2351702 */   // Label 33040: @2351702
     /* 2351702 */   GIM_Try, /*On fail goto*//*Label 33041*/ GIMT_Encode4(2351747), // Rule ID 50232 //
     /* 2351707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351710 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2351713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2351727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351746 */     // GIR_Coverage, 50232,
     /* 2351746 */     GIR_EraseRootFromParent_Done,
     /* 2351747 */   // Label 33041: @2351747
     /* 2351747 */   GIM_Reject,
     /* 2351748 */ // Label 33039: @2351748
     /* 2351748 */ GIM_Reject,
     /* 2351749 */ // Label 32995: @2351749
     /* 2351749 */ GIM_Try, /*On fail goto*//*Label 33042*/ GIMT_Encode4(2351863),
     /* 2351754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2351757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2351760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351772 */   GIM_Try, /*On fail goto*//*Label 33043*/ GIMT_Encode4(2351817), // Rule ID 50251 //
     /* 2351777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351780 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2351783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2351797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351816 */     // GIR_Coverage, 50251,
     /* 2351816 */     GIR_EraseRootFromParent_Done,
     /* 2351817 */   // Label 33043: @2351817
     /* 2351817 */   GIM_Try, /*On fail goto*//*Label 33044*/ GIMT_Encode4(2351862), // Rule ID 50252 //
     /* 2351822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351825 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2351828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2351842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351861 */     // GIR_Coverage, 50252,
     /* 2351861 */     GIR_EraseRootFromParent_Done,
     /* 2351862 */   // Label 33044: @2351862
     /* 2351862 */   GIM_Reject,
     /* 2351863 */ // Label 33042: @2351863
     /* 2351863 */ GIM_Reject,
     /* 2351864 */ // Label 32996: @2351864
     /* 2351864 */ GIM_Try, /*On fail goto*//*Label 33045*/ GIMT_Encode4(2351978),
     /* 2351869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2351872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2351875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351887 */   GIM_Try, /*On fail goto*//*Label 33046*/ GIMT_Encode4(2351932), // Rule ID 50287 //
     /* 2351892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351895 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2351898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2351912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351931 */     // GIR_Coverage, 50287,
     /* 2351931 */     GIR_EraseRootFromParent_Done,
     /* 2351932 */   // Label 33046: @2351932
     /* 2351932 */   GIM_Try, /*On fail goto*//*Label 33047*/ GIMT_Encode4(2351977), // Rule ID 50288 //
     /* 2351937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351940 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2351943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2351957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351976 */     // GIR_Coverage, 50288,
     /* 2351976 */     GIR_EraseRootFromParent_Done,
     /* 2351977 */   // Label 33047: @2351977
     /* 2351977 */   GIM_Reject,
     /* 2351978 */ // Label 33045: @2351978
     /* 2351978 */ GIM_Reject,
     /* 2351979 */ // Label 32997: @2351979
     /* 2351979 */ GIM_Try, /*On fail goto*//*Label 33048*/ GIMT_Encode4(2352093),
     /* 2351984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2351987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2351990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352002 */   GIM_Try, /*On fail goto*//*Label 33049*/ GIMT_Encode4(2352047), // Rule ID 50303 //
     /* 2352007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2352010 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2352013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2352027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352046 */     // GIR_Coverage, 50303,
     /* 2352046 */     GIR_EraseRootFromParent_Done,
     /* 2352047 */   // Label 33049: @2352047
     /* 2352047 */   GIM_Try, /*On fail goto*//*Label 33050*/ GIMT_Encode4(2352092), // Rule ID 50304 //
     /* 2352052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2352055 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2352058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2352072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352091 */     // GIR_Coverage, 50304,
     /* 2352091 */     GIR_EraseRootFromParent_Done,
     /* 2352092 */   // Label 33050: @2352092
     /* 2352092 */   GIM_Reject,
     /* 2352093 */ // Label 33048: @2352093
     /* 2352093 */ GIM_Reject,
     /* 2352094 */ // Label 32998: @2352094
     /* 2352094 */ GIM_Try, /*On fail goto*//*Label 33051*/ GIMT_Encode4(2352208),
     /* 2352099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2352102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2352105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352113 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352117 */   GIM_Try, /*On fail goto*//*Label 33052*/ GIMT_Encode4(2352162), // Rule ID 50247 //
     /* 2352122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352125 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2352128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2352142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352161 */     // GIR_Coverage, 50247,
     /* 2352161 */     GIR_EraseRootFromParent_Done,
     /* 2352162 */   // Label 33052: @2352162
     /* 2352162 */   GIM_Try, /*On fail goto*//*Label 33053*/ GIMT_Encode4(2352207), // Rule ID 50248 //
     /* 2352167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352170 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2352173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2352187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352206 */     // GIR_Coverage, 50248,
     /* 2352206 */     GIR_EraseRootFromParent_Done,
     /* 2352207 */   // Label 33053: @2352207
     /* 2352207 */   GIM_Reject,
     /* 2352208 */ // Label 33051: @2352208
     /* 2352208 */ GIM_Reject,
     /* 2352209 */ // Label 32999: @2352209
     /* 2352209 */ GIM_Try, /*On fail goto*//*Label 33054*/ GIMT_Encode4(2352323),
     /* 2352214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2352217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2352220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352232 */   GIM_Try, /*On fail goto*//*Label 33055*/ GIMT_Encode4(2352277), // Rule ID 50275 //
     /* 2352237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352240 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2352243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2352257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352276 */     // GIR_Coverage, 50275,
     /* 2352276 */     GIR_EraseRootFromParent_Done,
     /* 2352277 */   // Label 33055: @2352277
     /* 2352277 */   GIM_Try, /*On fail goto*//*Label 33056*/ GIMT_Encode4(2352322), // Rule ID 50276 //
     /* 2352282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352285 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2352288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2352302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352321 */     // GIR_Coverage, 50276,
     /* 2352321 */     GIR_EraseRootFromParent_Done,
     /* 2352322 */   // Label 33056: @2352322
     /* 2352322 */   GIM_Reject,
     /* 2352323 */ // Label 33054: @2352323
     /* 2352323 */ GIM_Reject,
     /* 2352324 */ // Label 33000: @2352324
     /* 2352324 */ GIM_Try, /*On fail goto*//*Label 33057*/ GIMT_Encode4(2352438),
     /* 2352329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2352332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2352335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352347 */   GIM_Try, /*On fail goto*//*Label 33058*/ GIMT_Encode4(2352392), // Rule ID 50291 //
     /* 2352352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352355 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2352358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2352372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352391 */     // GIR_Coverage, 50291,
     /* 2352391 */     GIR_EraseRootFromParent_Done,
     /* 2352392 */   // Label 33058: @2352392
     /* 2352392 */   GIM_Try, /*On fail goto*//*Label 33059*/ GIMT_Encode4(2352437), // Rule ID 50292 //
     /* 2352397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352400 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2352403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2352417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352436 */     // GIR_Coverage, 50292,
     /* 2352436 */     GIR_EraseRootFromParent_Done,
     /* 2352437 */   // Label 33059: @2352437
     /* 2352437 */   GIM_Reject,
     /* 2352438 */ // Label 33057: @2352438
     /* 2352438 */ GIM_Reject,
     /* 2352439 */ // Label 33001: @2352439
     /* 2352439 */ GIM_Try, /*On fail goto*//*Label 33060*/ GIMT_Encode4(2352553),
     /* 2352444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2352447 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2352450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352458 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352462 */   GIM_Try, /*On fail goto*//*Label 33061*/ GIMT_Encode4(2352507), // Rule ID 50307 //
     /* 2352467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2352470 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2352473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2352487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352506 */     // GIR_Coverage, 50307,
     /* 2352506 */     GIR_EraseRootFromParent_Done,
     /* 2352507 */   // Label 33061: @2352507
     /* 2352507 */   GIM_Try, /*On fail goto*//*Label 33062*/ GIMT_Encode4(2352552), // Rule ID 50308 //
     /* 2352512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2352515 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2352518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2352532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352551 */     // GIR_Coverage, 50308,
     /* 2352551 */     GIR_EraseRootFromParent_Done,
     /* 2352552 */   // Label 33062: @2352552
     /* 2352552 */   GIM_Reject,
     /* 2352553 */ // Label 33060: @2352553
     /* 2352553 */ GIM_Reject,
     /* 2352554 */ // Label 33002: @2352554
     /* 2352554 */ GIM_Try, /*On fail goto*//*Label 33063*/ GIMT_Encode4(2352668),
     /* 2352559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2352562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2352565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352573 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352577 */   GIM_Try, /*On fail goto*//*Label 33064*/ GIMT_Encode4(2352622), // Rule ID 50263 //
     /* 2352582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352585 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2352588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2352602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352621 */     // GIR_Coverage, 50263,
     /* 2352621 */     GIR_EraseRootFromParent_Done,
     /* 2352622 */   // Label 33064: @2352622
     /* 2352622 */   GIM_Try, /*On fail goto*//*Label 33065*/ GIMT_Encode4(2352667), // Rule ID 50264 //
     /* 2352627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352630 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2352633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2352647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352666 */     // GIR_Coverage, 50264,
     /* 2352666 */     GIR_EraseRootFromParent_Done,
     /* 2352667 */   // Label 33065: @2352667
     /* 2352667 */   GIM_Reject,
     /* 2352668 */ // Label 33063: @2352668
     /* 2352668 */ GIM_Reject,
     /* 2352669 */ // Label 33003: @2352669
     /* 2352669 */ GIM_Try, /*On fail goto*//*Label 33066*/ GIMT_Encode4(2352783),
     /* 2352674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2352677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2352680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352692 */   GIM_Try, /*On fail goto*//*Label 33067*/ GIMT_Encode4(2352737), // Rule ID 50279 //
     /* 2352697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352700 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2352703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2352717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352736 */     // GIR_Coverage, 50279,
     /* 2352736 */     GIR_EraseRootFromParent_Done,
     /* 2352737 */   // Label 33067: @2352737
     /* 2352737 */   GIM_Try, /*On fail goto*//*Label 33068*/ GIMT_Encode4(2352782), // Rule ID 50280 //
     /* 2352742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352745 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2352748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2352762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352781 */     // GIR_Coverage, 50280,
     /* 2352781 */     GIR_EraseRootFromParent_Done,
     /* 2352782 */   // Label 33068: @2352782
     /* 2352782 */   GIM_Reject,
     /* 2352783 */ // Label 33066: @2352783
     /* 2352783 */ GIM_Reject,
     /* 2352784 */ // Label 33004: @2352784
     /* 2352784 */ GIM_Try, /*On fail goto*//*Label 33069*/ GIMT_Encode4(2352898),
     /* 2352789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2352792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2352795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352807 */   GIM_Try, /*On fail goto*//*Label 33070*/ GIMT_Encode4(2352852), // Rule ID 50295 //
     /* 2352812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352815 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2352818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2352832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352851 */     // GIR_Coverage, 50295,
     /* 2352851 */     GIR_EraseRootFromParent_Done,
     /* 2352852 */   // Label 33070: @2352852
     /* 2352852 */   GIM_Try, /*On fail goto*//*Label 33071*/ GIMT_Encode4(2352897), // Rule ID 50296 //
     /* 2352857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352860 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2352863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2352877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352896 */     // GIR_Coverage, 50296,
     /* 2352896 */     GIR_EraseRootFromParent_Done,
     /* 2352897 */   // Label 33071: @2352897
     /* 2352897 */   GIM_Reject,
     /* 2352898 */ // Label 33069: @2352898
     /* 2352898 */ GIM_Reject,
     /* 2352899 */ // Label 33005: @2352899
     /* 2352899 */ GIM_Try, /*On fail goto*//*Label 33072*/ GIMT_Encode4(2353013),
     /* 2352904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2352907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2352910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352922 */   GIM_Try, /*On fail goto*//*Label 33073*/ GIMT_Encode4(2352967), // Rule ID 50267 //
     /* 2352927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352930 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2352933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2352947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352966 */     // GIR_Coverage, 50267,
     /* 2352966 */     GIR_EraseRootFromParent_Done,
     /* 2352967 */   // Label 33073: @2352967
     /* 2352967 */   GIM_Try, /*On fail goto*//*Label 33074*/ GIMT_Encode4(2353012), // Rule ID 50268 //
     /* 2352972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352975 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2352978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2352992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353011 */     // GIR_Coverage, 50268,
     /* 2353011 */     GIR_EraseRootFromParent_Done,
     /* 2353012 */   // Label 33074: @2353012
     /* 2353012 */   GIM_Reject,
     /* 2353013 */ // Label 33072: @2353013
     /* 2353013 */ GIM_Reject,
     /* 2353014 */ // Label 33006: @2353014
     /* 2353014 */ GIM_Try, /*On fail goto*//*Label 33075*/ GIMT_Encode4(2353128),
     /* 2353019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2353022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2353025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2353029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2353033 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2353037 */   GIM_Try, /*On fail goto*//*Label 33076*/ GIMT_Encode4(2353082), // Rule ID 50283 //
     /* 2353042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353045 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2353048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2353062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353081 */     // GIR_Coverage, 50283,
     /* 2353081 */     GIR_EraseRootFromParent_Done,
     /* 2353082 */   // Label 33076: @2353082
     /* 2353082 */   GIM_Try, /*On fail goto*//*Label 33077*/ GIMT_Encode4(2353127), // Rule ID 50284 //
     /* 2353087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353090 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2353093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2353107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353126 */     // GIR_Coverage, 50284,
     /* 2353126 */     GIR_EraseRootFromParent_Done,
     /* 2353127 */   // Label 33077: @2353127
     /* 2353127 */   GIM_Reject,
     /* 2353128 */ // Label 33075: @2353128
     /* 2353128 */ GIM_Reject,
     /* 2353129 */ // Label 33007: @2353129
     /* 2353129 */ GIM_Try, /*On fail goto*//*Label 33078*/ GIMT_Encode4(2353243),
     /* 2353134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2353137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2353140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2353144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2353148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2353152 */   GIM_Try, /*On fail goto*//*Label 33079*/ GIMT_Encode4(2353197), // Rule ID 50271 //
     /* 2353157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353160 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2353163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2353177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353196 */     // GIR_Coverage, 50271,
     /* 2353196 */     GIR_EraseRootFromParent_Done,
     /* 2353197 */   // Label 33079: @2353197
     /* 2353197 */   GIM_Try, /*On fail goto*//*Label 33080*/ GIMT_Encode4(2353242), // Rule ID 50272 //
     /* 2353202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353205 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2353208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2353222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353241 */     // GIR_Coverage, 50272,
     /* 2353241 */     GIR_EraseRootFromParent_Done,
     /* 2353242 */   // Label 33080: @2353242
     /* 2353242 */   GIM_Reject,
     /* 2353243 */ // Label 33078: @2353243
     /* 2353243 */ GIM_Reject,
     /* 2353244 */ // Label 33008: @2353244
     /* 2353244 */ GIM_Reject,
     /* 2353245 */ // Label 80: @2353245
     /* 2353245 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33083*/ GIMT_Encode4(2353402),
     /* 2353256 */ /*GILLT_s32*//*Label 33081*/ GIMT_Encode4(2353264),
     /* 2353260 */ /*GILLT_s64*//*Label 33082*/ GIMT_Encode4(2353333),
     /* 2353264 */ // Label 33081: @2353264
     /* 2353264 */ GIM_Try, /*On fail goto*//*Label 33084*/ GIMT_Encode4(2353332),
     /* 2353269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2353272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353276 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353280 */   GIM_Try, /*On fail goto*//*Label 33085*/ GIMT_Encode4(2353295), // Rule ID 63858 //
     /* 2353285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2353288 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_ABS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2353288 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2353293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353294 */     // GIR_Coverage, 63858,
     /* 2353294 */     GIR_Done,
     /* 2353295 */   // Label 33085: @2353295
     /* 2353295 */   GIM_Try, /*On fail goto*//*Label 33086*/ GIMT_Encode4(2353331), // Rule ID 61912 //
     /* 2353300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode1),
     /* 2353303 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (PseudoCCSUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, 2:{ *:[i32] }, GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2353303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2353306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2353308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2353316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2353319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353321 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2353327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353330 */     // GIR_Coverage, 61912,
     /* 2353330 */     GIR_EraseRootFromParent_Done,
     /* 2353331 */   // Label 33086: @2353331
     /* 2353331 */   GIM_Reject,
     /* 2353332 */ // Label 33084: @2353332
     /* 2353332 */ GIM_Reject,
     /* 2353333 */ // Label 33082: @2353333
     /* 2353333 */ GIM_Try, /*On fail goto*//*Label 33087*/ GIMT_Encode4(2353401),
     /* 2353338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2353341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353349 */   GIM_Try, /*On fail goto*//*Label 33088*/ GIMT_Encode4(2353364), // Rule ID 63857 //
     /* 2353354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2353357 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_ABS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2353357 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2353362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353363 */     // GIR_Coverage, 63857,
     /* 2353363 */     GIR_Done,
     /* 2353364 */   // Label 33088: @2353364
     /* 2353364 */   GIM_Try, /*On fail goto*//*Label 33089*/ GIMT_Encode4(2353400), // Rule ID 61911 //
     /* 2353369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode0),
     /* 2353372 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (PseudoCCSUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, 2:{ *:[i64] }, GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2353372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2353375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2353377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353379 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2353385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2353388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353390 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2353396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353399 */     // GIR_Coverage, 61911,
     /* 2353399 */     GIR_EraseRootFromParent_Done,
     /* 2353400 */   // Label 33089: @2353400
     /* 2353400 */   GIM_Reject,
     /* 2353401 */ // Label 33087: @2353401
     /* 2353401 */ GIM_Reject,
     /* 2353402 */ // Label 33083: @2353402
     /* 2353402 */ GIM_Reject,
     /* 2353403 */ // Label 81: @2353403
     /* 2353403 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33092*/ GIMT_Encode4(2353982),
     /* 2353414 */ /*GILLT_s32*//*Label 33090*/ GIMT_Encode4(2353422),
     /* 2353418 */ /*GILLT_s64*//*Label 33091*/ GIMT_Encode4(2353795),
     /* 2353422 */ // Label 33090: @2353422
     /* 2353422 */ GIM_Try, /*On fail goto*//*Label 33093*/ GIMT_Encode4(2353453), // Rule ID 1329 //
     /* 2353427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2353430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2353433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2353441 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2353441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2353444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353446 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353451 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353452 */   // GIR_Coverage, 1329,
     /* 2353452 */   GIR_EraseRootFromParent_Done,
     /* 2353453 */ // Label 33093: @2353453
     /* 2353453 */ GIM_Try, /*On fail goto*//*Label 33094*/ GIMT_Encode4(2353484), // Rule ID 1330 //
     /* 2353458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2353461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2353464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2353472 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2353472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2353475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353477 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353482 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353483 */   // GIR_Coverage, 1330,
     /* 2353483 */   GIR_EraseRootFromParent_Done,
     /* 2353484 */ // Label 33094: @2353484
     /* 2353484 */ GIM_Try, /*On fail goto*//*Label 33095*/ GIMT_Encode4(2353515), // Rule ID 1355 //
     /* 2353489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2353492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2353495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2353503 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2353503 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2353506 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353508 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353513 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353514 */   // GIR_Coverage, 1355,
     /* 2353514 */   GIR_EraseRootFromParent_Done,
     /* 2353515 */ // Label 33095: @2353515
     /* 2353515 */ GIM_Try, /*On fail goto*//*Label 33096*/ GIMT_Encode4(2353546), // Rule ID 1356 //
     /* 2353520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2353523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2353526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2353534 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2353534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2353537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353539 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353545 */   // GIR_Coverage, 1356,
     /* 2353545 */   GIR_EraseRootFromParent_Done,
     /* 2353546 */ // Label 33096: @2353546
     /* 2353546 */ GIM_Try, /*On fail goto*//*Label 33097*/ GIMT_Encode4(2353577), // Rule ID 1723 //
     /* 2353551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2353554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2353557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353565 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2353565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2353568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353570 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353575 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353576 */   // GIR_Coverage, 1723,
     /* 2353576 */   GIR_EraseRootFromParent_Done,
     /* 2353577 */ // Label 33097: @2353577
     /* 2353577 */ GIM_Try, /*On fail goto*//*Label 33098*/ GIMT_Encode4(2353608), // Rule ID 1724 //
     /* 2353582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2353585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2353588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353596 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2353596 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2353599 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353601 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353606 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353607 */   // GIR_Coverage, 1724,
     /* 2353607 */   GIR_EraseRootFromParent_Done,
     /* 2353608 */ // Label 33098: @2353608
     /* 2353608 */ GIM_Try, /*On fail goto*//*Label 33099*/ GIMT_Encode4(2353639), // Rule ID 1749 //
     /* 2353613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2353616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2353619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2353627 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2353627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2353630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353632 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353637 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353638 */   // GIR_Coverage, 1749,
     /* 2353638 */   GIR_EraseRootFromParent_Done,
     /* 2353639 */ // Label 33099: @2353639
     /* 2353639 */ GIM_Try, /*On fail goto*//*Label 33100*/ GIMT_Encode4(2353670), // Rule ID 1750 //
     /* 2353644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2353647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2353650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2353658 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2353658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2353661 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353663 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353668 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353669 */   // GIR_Coverage, 1750,
     /* 2353669 */   GIR_EraseRootFromParent_Done,
     /* 2353670 */ // Label 33100: @2353670
     /* 2353670 */ GIM_Try, /*On fail goto*//*Label 33101*/ GIMT_Encode4(2353701), // Rule ID 2065 //
     /* 2353675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2353678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2353681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2353689 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2353689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2353692 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353694 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353699 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353700 */   // GIR_Coverage, 2065,
     /* 2353700 */   GIR_EraseRootFromParent_Done,
     /* 2353701 */ // Label 33101: @2353701
     /* 2353701 */ GIM_Try, /*On fail goto*//*Label 33102*/ GIMT_Encode4(2353732), // Rule ID 2066 //
     /* 2353706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2353709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2353712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2353720 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2353720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2353723 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353725 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353730 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353731 */   // GIR_Coverage, 2066,
     /* 2353731 */   GIR_EraseRootFromParent_Done,
     /* 2353732 */ // Label 33102: @2353732
     /* 2353732 */ GIM_Try, /*On fail goto*//*Label 33103*/ GIMT_Encode4(2353763), // Rule ID 2091 //
     /* 2353737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2353740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2353743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2353751 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2353751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2353754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353756 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353761 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353762 */   // GIR_Coverage, 2091,
     /* 2353762 */   GIR_EraseRootFromParent_Done,
     /* 2353763 */ // Label 33103: @2353763
     /* 2353763 */ GIM_Try, /*On fail goto*//*Label 33104*/ GIMT_Encode4(2353794), // Rule ID 2092 //
     /* 2353768 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2353771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2353774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2353782 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2353782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2353785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353787 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353792 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353793 */   // GIR_Coverage, 2092,
     /* 2353793 */   GIR_EraseRootFromParent_Done,
     /* 2353794 */ // Label 33104: @2353794
     /* 2353794 */ GIM_Reject,
     /* 2353795 */ // Label 33091: @2353795
     /* 2353795 */ GIM_Try, /*On fail goto*//*Label 33105*/ GIMT_Encode4(2353826), // Rule ID 1382 //
     /* 2353800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2353803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2353806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2353814 */   // (lround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2353814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2353817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353819 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353825 */   // GIR_Coverage, 1382,
     /* 2353825 */   GIR_EraseRootFromParent_Done,
     /* 2353826 */ // Label 33105: @2353826
     /* 2353826 */ GIM_Try, /*On fail goto*//*Label 33106*/ GIMT_Encode4(2353857), // Rule ID 1410 //
     /* 2353831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2353834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2353837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2353845 */   // (lround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2353845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2353848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353850 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353856 */   // GIR_Coverage, 1410,
     /* 2353856 */   GIR_EraseRootFromParent_Done,
     /* 2353857 */ // Label 33106: @2353857
     /* 2353857 */ GIM_Try, /*On fail goto*//*Label 33107*/ GIMT_Encode4(2353888), // Rule ID 1780 //
     /* 2353862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2353865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2353868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353876 */   // (lround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2353876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2353879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353881 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353886 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353887 */   // GIR_Coverage, 1780,
     /* 2353887 */   GIR_EraseRootFromParent_Done,
     /* 2353888 */ // Label 33107: @2353888
     /* 2353888 */ GIM_Try, /*On fail goto*//*Label 33108*/ GIMT_Encode4(2353919), // Rule ID 1808 //
     /* 2353893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2353896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2353899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353907 */   // (lround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2353907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2353910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353912 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353917 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353918 */   // GIR_Coverage, 1808,
     /* 2353918 */   GIR_EraseRootFromParent_Done,
     /* 2353919 */ // Label 33108: @2353919
     /* 2353919 */ GIM_Try, /*On fail goto*//*Label 33109*/ GIMT_Encode4(2353950), // Rule ID 2116 //
     /* 2353924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2353927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2353930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2353938 */   // (lround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2353938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2353941 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353943 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353948 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353949 */   // GIR_Coverage, 2116,
     /* 2353949 */   GIR_EraseRootFromParent_Done,
     /* 2353950 */ // Label 33109: @2353950
     /* 2353950 */ GIM_Try, /*On fail goto*//*Label 33110*/ GIMT_Encode4(2353981), // Rule ID 2142 //
     /* 2353955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2353958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2353961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2353969 */   // (lround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2353969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2353972 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353974 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353979 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353980 */   // GIR_Coverage, 2142,
     /* 2353980 */   GIR_EraseRootFromParent_Done,
     /* 2353981 */ // Label 33110: @2353981
     /* 2353981 */ GIM_Reject,
     /* 2353982 */ // Label 33092: @2353982
     /* 2353982 */ GIM_Reject,
     /* 2353983 */ // Label 82: @2353983
     /* 2353983 */ GIM_Try, /*On fail goto*//*Label 33111*/ GIMT_Encode4(2354192),
     /* 2353988 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2353991 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33115*/ GIMT_Encode4(2354191),
     /* 2354002 */   /*GILLT_s16*//*Label 33112*/ GIMT_Encode4(2354014),
     /* 2354006 */   /*GILLT_s32*//*Label 33113*/ GIMT_Encode4(2354073),
     /* 2354010 */   /*GILLT_s64*//*Label 33114*/ GIMT_Encode4(2354132),
     /* 2354014 */   // Label 33112: @2354014
     /* 2354014 */   GIM_Try, /*On fail goto*//*Label 33116*/ GIMT_Encode4(2354072),
     /* 2354019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354023 */     GIM_Try, /*On fail goto*//*Label 33117*/ GIMT_Encode4(2354047), // Rule ID 2118 //
     /* 2354028 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2354031 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2354035 */       // (llround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2354035 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2354038 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354040 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354042 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354045 */       GIR_RootConstrainSelectedInstOperands,
     /* 2354046 */       // GIR_Coverage, 2118,
     /* 2354046 */       GIR_EraseRootFromParent_Done,
     /* 2354047 */     // Label 33117: @2354047
     /* 2354047 */     GIM_Try, /*On fail goto*//*Label 33118*/ GIMT_Encode4(2354071), // Rule ID 2144 //
     /* 2354052 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2354055 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2354059 */       // (llround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2354059 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2354062 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354064 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354066 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354069 */       GIR_RootConstrainSelectedInstOperands,
     /* 2354070 */       // GIR_Coverage, 2144,
     /* 2354070 */       GIR_EraseRootFromParent_Done,
     /* 2354071 */     // Label 33118: @2354071
     /* 2354071 */     GIM_Reject,
     /* 2354072 */   // Label 33116: @2354072
     /* 2354072 */   GIM_Reject,
     /* 2354073 */   // Label 33113: @2354073
     /* 2354073 */   GIM_Try, /*On fail goto*//*Label 33119*/ GIMT_Encode4(2354131),
     /* 2354078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354082 */     GIM_Try, /*On fail goto*//*Label 33120*/ GIMT_Encode4(2354106), // Rule ID 1384 //
     /* 2354087 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2354090 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2354094 */       // (llround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2354094 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2354097 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354099 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354101 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354104 */       GIR_RootConstrainSelectedInstOperands,
     /* 2354105 */       // GIR_Coverage, 1384,
     /* 2354105 */       GIR_EraseRootFromParent_Done,
     /* 2354106 */     // Label 33120: @2354106
     /* 2354106 */     GIM_Try, /*On fail goto*//*Label 33121*/ GIMT_Encode4(2354130), // Rule ID 1412 //
     /* 2354111 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2354114 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2354118 */       // (llround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2354118 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2354121 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354123 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354125 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354128 */       GIR_RootConstrainSelectedInstOperands,
     /* 2354129 */       // GIR_Coverage, 1412,
     /* 2354129 */       GIR_EraseRootFromParent_Done,
     /* 2354130 */     // Label 33121: @2354130
     /* 2354130 */     GIM_Reject,
     /* 2354131 */   // Label 33119: @2354131
     /* 2354131 */   GIM_Reject,
     /* 2354132 */   // Label 33114: @2354132
     /* 2354132 */   GIM_Try, /*On fail goto*//*Label 33122*/ GIMT_Encode4(2354190),
     /* 2354137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354141 */     GIM_Try, /*On fail goto*//*Label 33123*/ GIMT_Encode4(2354165), // Rule ID 1782 //
     /* 2354146 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2354149 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2354153 */       // (llround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2354153 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2354156 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354158 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354160 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354163 */       GIR_RootConstrainSelectedInstOperands,
     /* 2354164 */       // GIR_Coverage, 1782,
     /* 2354164 */       GIR_EraseRootFromParent_Done,
     /* 2354165 */     // Label 33123: @2354165
     /* 2354165 */     GIM_Try, /*On fail goto*//*Label 33124*/ GIMT_Encode4(2354189), // Rule ID 1810 //
     /* 2354170 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2354173 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354177 */       // (llround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2354177 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2354180 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354182 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354184 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354187 */       GIR_RootConstrainSelectedInstOperands,
     /* 2354188 */       // GIR_Coverage, 1810,
     /* 2354188 */       GIR_EraseRootFromParent_Done,
     /* 2354189 */     // Label 33124: @2354189
     /* 2354189 */     GIM_Reject,
     /* 2354190 */   // Label 33122: @2354190
     /* 2354190 */   GIM_Reject,
     /* 2354191 */   // Label 33115: @2354191
     /* 2354191 */   GIM_Reject,
     /* 2354192 */ // Label 33111: @2354192
     /* 2354192 */ GIM_Reject,
     /* 2354193 */ // Label 83: @2354193
     /* 2354193 */ GIM_Try, /*On fail goto*//*Label 33125*/ GIMT_Encode4(2354208), // Rule ID 4 //
     /* 2354198 */   // MIs[0] imm20
     /* 2354198 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 2354201 */   // (br (bb:{ *:[Other] }):$imm20)  =>  (PseudoBR (bb:{ *:[Other] }):$imm20)
     /* 2354201 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoBR),
     /* 2354206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354207 */   // GIR_Coverage, 4,
     /* 2354207 */   GIR_Done,
     /* 2354208 */ // Label 33125: @2354208
     /* 2354208 */ GIM_Reject,
     /* 2354209 */ // Label 84: @2354209
     /* 2354209 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33150*/ GIMT_Encode4(2356728),
     /* 2354220 */ /*GILLT_s32*//*Label 33126*/ GIMT_Encode4(2354344),
     /* 2354224 */ /*GILLT_s64*//*Label 33127*/ GIMT_Encode4(2354392), GIMT_Encode4(0),
     /* 2354232 */ /*GILLT_nxv1s8*//*Label 33128*/ GIMT_Encode4(2354440),
     /* 2354236 */ /*GILLT_nxv1s16*//*Label 33129*/ GIMT_Encode4(2354544),
     /* 2354240 */ /*GILLT_nxv1s32*//*Label 33130*/ GIMT_Encode4(2354648),
     /* 2354244 */ /*GILLT_nxv1s64*//*Label 33131*/ GIMT_Encode4(2354752), GIMT_Encode4(0),
     /* 2354252 */ /*GILLT_nxv2s8*//*Label 33132*/ GIMT_Encode4(2354856),
     /* 2354256 */ /*GILLT_nxv2s16*//*Label 33133*/ GIMT_Encode4(2354960),
     /* 2354260 */ /*GILLT_nxv2s32*//*Label 33134*/ GIMT_Encode4(2355064),
     /* 2354264 */ /*GILLT_nxv2s64*//*Label 33135*/ GIMT_Encode4(2355168), GIMT_Encode4(0),
     /* 2354272 */ /*GILLT_nxv4s8*//*Label 33136*/ GIMT_Encode4(2355272),
     /* 2354276 */ /*GILLT_nxv4s16*//*Label 33137*/ GIMT_Encode4(2355376),
     /* 2354280 */ /*GILLT_nxv4s32*//*Label 33138*/ GIMT_Encode4(2355480),
     /* 2354284 */ /*GILLT_nxv4s64*//*Label 33139*/ GIMT_Encode4(2355584), GIMT_Encode4(0),
     /* 2354292 */ /*GILLT_nxv8s8*//*Label 33140*/ GIMT_Encode4(2355688),
     /* 2354296 */ /*GILLT_nxv8s16*//*Label 33141*/ GIMT_Encode4(2355792),
     /* 2354300 */ /*GILLT_nxv8s32*//*Label 33142*/ GIMT_Encode4(2355896),
     /* 2354304 */ /*GILLT_nxv8s64*//*Label 33143*/ GIMT_Encode4(2356000), GIMT_Encode4(0),
     /* 2354312 */ /*GILLT_nxv16s8*//*Label 33144*/ GIMT_Encode4(2356104),
     /* 2354316 */ /*GILLT_nxv16s16*//*Label 33145*/ GIMT_Encode4(2356208),
     /* 2354320 */ /*GILLT_nxv16s32*//*Label 33146*/ GIMT_Encode4(2356312), GIMT_Encode4(0),
     /* 2354328 */ /*GILLT_nxv32s8*//*Label 33147*/ GIMT_Encode4(2356416),
     /* 2354332 */ /*GILLT_nxv32s16*//*Label 33148*/ GIMT_Encode4(2356520), GIMT_Encode4(0),
     /* 2354340 */ /*GILLT_nxv64s8*//*Label 33149*/ GIMT_Encode4(2356624),
     /* 2354344 */ // Label 33126: @2354344
     /* 2354344 */ GIM_Try, /*On fail goto*//*Label 33151*/ GIMT_Encode4(2354391),
     /* 2354349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2354352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354360 */   GIM_Try, /*On fail goto*//*Label 33152*/ GIMT_Encode4(2354375), // Rule ID 2376 //
     /* 2354365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2354368 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CTZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2354368 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2354373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354374 */     // GIR_Coverage, 2376,
     /* 2354374 */     GIR_Done,
     /* 2354375 */   // Label 33152: @2354375
     /* 2354375 */   GIM_Try, /*On fail goto*//*Label 33153*/ GIMT_Encode4(2354390), // Rule ID 63841 //
     /* 2354380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2354383 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2354383 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2354388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354389 */     // GIR_Coverage, 63841,
     /* 2354389 */     GIR_Done,
     /* 2354390 */   // Label 33153: @2354390
     /* 2354390 */   GIM_Reject,
     /* 2354391 */ // Label 33151: @2354391
     /* 2354391 */ GIM_Reject,
     /* 2354392 */ // Label 33127: @2354392
     /* 2354392 */ GIM_Try, /*On fail goto*//*Label 33154*/ GIMT_Encode4(2354439),
     /* 2354397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2354400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354408 */   GIM_Try, /*On fail goto*//*Label 33155*/ GIMT_Encode4(2354423), // Rule ID 2375 //
     /* 2354413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2354416 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2354416 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2354421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354422 */     // GIR_Coverage, 2375,
     /* 2354422 */     GIR_Done,
     /* 2354423 */   // Label 33155: @2354423
     /* 2354423 */   GIM_Try, /*On fail goto*//*Label 33156*/ GIMT_Encode4(2354438), // Rule ID 63840 //
     /* 2354428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2354431 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2354431 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2354436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354437 */     // GIR_Coverage, 63840,
     /* 2354437 */     GIR_Done,
     /* 2354438 */   // Label 33156: @2354438
     /* 2354438 */   GIM_Reject,
     /* 2354439 */ // Label 33154: @2354439
     /* 2354439 */ GIM_Reject,
     /* 2354440 */ // Label 33128: @2354440
     /* 2354440 */ GIM_Try, /*On fail goto*//*Label 33157*/ GIMT_Encode4(2354543),
     /* 2354445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2354448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354456 */   GIM_Try, /*On fail goto*//*Label 33158*/ GIMT_Encode4(2354499), // Rule ID 58547 //
     /* 2354461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2354464 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2354467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2354481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354498 */     // GIR_Coverage, 58547,
     /* 2354498 */     GIR_EraseRootFromParent_Done,
     /* 2354499 */   // Label 33158: @2354499
     /* 2354499 */   GIM_Try, /*On fail goto*//*Label 33159*/ GIMT_Encode4(2354542), // Rule ID 58548 //
     /* 2354504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2354507 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2354510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2354524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354541 */     // GIR_Coverage, 58548,
     /* 2354541 */     GIR_EraseRootFromParent_Done,
     /* 2354542 */   // Label 33159: @2354542
     /* 2354542 */   GIM_Reject,
     /* 2354543 */ // Label 33157: @2354543
     /* 2354543 */ GIM_Reject,
     /* 2354544 */ // Label 33129: @2354544
     /* 2354544 */ GIM_Try, /*On fail goto*//*Label 33160*/ GIMT_Encode4(2354647),
     /* 2354549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2354552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354560 */   GIM_Try, /*On fail goto*//*Label 33161*/ GIMT_Encode4(2354603), // Rule ID 58553 //
     /* 2354565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2354568 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2354571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2354585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354602 */     // GIR_Coverage, 58553,
     /* 2354602 */     GIR_EraseRootFromParent_Done,
     /* 2354603 */   // Label 33161: @2354603
     /* 2354603 */   GIM_Try, /*On fail goto*//*Label 33162*/ GIMT_Encode4(2354646), // Rule ID 58554 //
     /* 2354608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2354611 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2354614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2354628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354645 */     // GIR_Coverage, 58554,
     /* 2354645 */     GIR_EraseRootFromParent_Done,
     /* 2354646 */   // Label 33162: @2354646
     /* 2354646 */   GIM_Reject,
     /* 2354647 */ // Label 33160: @2354647
     /* 2354647 */ GIM_Reject,
     /* 2354648 */ // Label 33130: @2354648
     /* 2354648 */ GIM_Try, /*On fail goto*//*Label 33163*/ GIMT_Encode4(2354751),
     /* 2354653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2354656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354660 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354664 */   GIM_Try, /*On fail goto*//*Label 33164*/ GIMT_Encode4(2354707), // Rule ID 58557 //
     /* 2354669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2354672 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2354675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2354689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354706 */     // GIR_Coverage, 58557,
     /* 2354706 */     GIR_EraseRootFromParent_Done,
     /* 2354707 */   // Label 33164: @2354707
     /* 2354707 */   GIM_Try, /*On fail goto*//*Label 33165*/ GIMT_Encode4(2354750), // Rule ID 58558 //
     /* 2354712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2354715 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2354718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2354732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354749 */     // GIR_Coverage, 58558,
     /* 2354749 */     GIR_EraseRootFromParent_Done,
     /* 2354750 */   // Label 33165: @2354750
     /* 2354750 */   GIM_Reject,
     /* 2354751 */ // Label 33163: @2354751
     /* 2354751 */ GIM_Reject,
     /* 2354752 */ // Label 33131: @2354752
     /* 2354752 */ GIM_Try, /*On fail goto*//*Label 33166*/ GIMT_Encode4(2354855),
     /* 2354757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2354760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354768 */   GIM_Try, /*On fail goto*//*Label 33167*/ GIMT_Encode4(2354811), // Rule ID 58565 //
     /* 2354773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2354776 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2354779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2354793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354810 */     // GIR_Coverage, 58565,
     /* 2354810 */     GIR_EraseRootFromParent_Done,
     /* 2354811 */   // Label 33167: @2354811
     /* 2354811 */   GIM_Try, /*On fail goto*//*Label 33168*/ GIMT_Encode4(2354854), // Rule ID 58566 //
     /* 2354816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2354819 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2354822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2354836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354853 */     // GIR_Coverage, 58566,
     /* 2354853 */     GIR_EraseRootFromParent_Done,
     /* 2354854 */   // Label 33168: @2354854
     /* 2354854 */   GIM_Reject,
     /* 2354855 */ // Label 33166: @2354855
     /* 2354855 */ GIM_Reject,
     /* 2354856 */ // Label 33132: @2354856
     /* 2354856 */ GIM_Try, /*On fail goto*//*Label 33169*/ GIMT_Encode4(2354959),
     /* 2354861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2354864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354872 */   GIM_Try, /*On fail goto*//*Label 33170*/ GIMT_Encode4(2354915), // Rule ID 58549 //
     /* 2354877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2354880 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2354883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2354897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354914 */     // GIR_Coverage, 58549,
     /* 2354914 */     GIR_EraseRootFromParent_Done,
     /* 2354915 */   // Label 33170: @2354915
     /* 2354915 */   GIM_Try, /*On fail goto*//*Label 33171*/ GIMT_Encode4(2354958), // Rule ID 58550 //
     /* 2354920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2354923 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2354926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2354940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354957 */     // GIR_Coverage, 58550,
     /* 2354957 */     GIR_EraseRootFromParent_Done,
     /* 2354958 */   // Label 33171: @2354958
     /* 2354958 */   GIM_Reject,
     /* 2354959 */ // Label 33169: @2354959
     /* 2354959 */ GIM_Reject,
     /* 2354960 */ // Label 33133: @2354960
     /* 2354960 */ GIM_Try, /*On fail goto*//*Label 33172*/ GIMT_Encode4(2355063),
     /* 2354965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2354968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354972 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354976 */   GIM_Try, /*On fail goto*//*Label 33173*/ GIMT_Encode4(2355019), // Rule ID 58555 //
     /* 2354981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2354984 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2354987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2355001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355018 */     // GIR_Coverage, 58555,
     /* 2355018 */     GIR_EraseRootFromParent_Done,
     /* 2355019 */   // Label 33173: @2355019
     /* 2355019 */   GIM_Try, /*On fail goto*//*Label 33174*/ GIMT_Encode4(2355062), // Rule ID 58556 //
     /* 2355024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2355027 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2355030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2355044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355061 */     // GIR_Coverage, 58556,
     /* 2355061 */     GIR_EraseRootFromParent_Done,
     /* 2355062 */   // Label 33174: @2355062
     /* 2355062 */   GIM_Reject,
     /* 2355063 */ // Label 33172: @2355063
     /* 2355063 */ GIM_Reject,
     /* 2355064 */ // Label 33134: @2355064
     /* 2355064 */ GIM_Try, /*On fail goto*//*Label 33175*/ GIMT_Encode4(2355167),
     /* 2355069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2355072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355080 */   GIM_Try, /*On fail goto*//*Label 33176*/ GIMT_Encode4(2355123), // Rule ID 58563 //
     /* 2355085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2355088 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2355091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2355105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355122 */     // GIR_Coverage, 58563,
     /* 2355122 */     GIR_EraseRootFromParent_Done,
     /* 2355123 */   // Label 33176: @2355123
     /* 2355123 */   GIM_Try, /*On fail goto*//*Label 33177*/ GIMT_Encode4(2355166), // Rule ID 58564 //
     /* 2355128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2355131 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2355134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2355148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355165 */     // GIR_Coverage, 58564,
     /* 2355165 */     GIR_EraseRootFromParent_Done,
     /* 2355166 */   // Label 33177: @2355166
     /* 2355166 */   GIM_Reject,
     /* 2355167 */ // Label 33175: @2355167
     /* 2355167 */ GIM_Reject,
     /* 2355168 */ // Label 33135: @2355168
     /* 2355168 */ GIM_Try, /*On fail goto*//*Label 33178*/ GIMT_Encode4(2355271),
     /* 2355173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2355176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355184 */   GIM_Try, /*On fail goto*//*Label 33179*/ GIMT_Encode4(2355227), // Rule ID 58585 //
     /* 2355189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2355192 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2355195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2355209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355226 */     // GIR_Coverage, 58585,
     /* 2355226 */     GIR_EraseRootFromParent_Done,
     /* 2355227 */   // Label 33179: @2355227
     /* 2355227 */   GIM_Try, /*On fail goto*//*Label 33180*/ GIMT_Encode4(2355270), // Rule ID 58586 //
     /* 2355232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2355235 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2355238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2355252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355269 */     // GIR_Coverage, 58586,
     /* 2355269 */     GIR_EraseRootFromParent_Done,
     /* 2355270 */   // Label 33180: @2355270
     /* 2355270 */   GIM_Reject,
     /* 2355271 */ // Label 33178: @2355271
     /* 2355271 */ GIM_Reject,
     /* 2355272 */ // Label 33136: @2355272
     /* 2355272 */ GIM_Try, /*On fail goto*//*Label 33181*/ GIMT_Encode4(2355375),
     /* 2355277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2355280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355288 */   GIM_Try, /*On fail goto*//*Label 33182*/ GIMT_Encode4(2355331), // Rule ID 58551 //
     /* 2355293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2355296 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2355299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2355313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355330 */     // GIR_Coverage, 58551,
     /* 2355330 */     GIR_EraseRootFromParent_Done,
     /* 2355331 */   // Label 33182: @2355331
     /* 2355331 */   GIM_Try, /*On fail goto*//*Label 33183*/ GIMT_Encode4(2355374), // Rule ID 58552 //
     /* 2355336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2355339 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2355342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2355356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355373 */     // GIR_Coverage, 58552,
     /* 2355373 */     GIR_EraseRootFromParent_Done,
     /* 2355374 */   // Label 33183: @2355374
     /* 2355374 */   GIM_Reject,
     /* 2355375 */ // Label 33181: @2355375
     /* 2355375 */ GIM_Reject,
     /* 2355376 */ // Label 33137: @2355376
     /* 2355376 */ GIM_Try, /*On fail goto*//*Label 33184*/ GIMT_Encode4(2355479),
     /* 2355381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2355384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355392 */   GIM_Try, /*On fail goto*//*Label 33185*/ GIMT_Encode4(2355435), // Rule ID 58561 //
     /* 2355397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2355400 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2355403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2355417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355434 */     // GIR_Coverage, 58561,
     /* 2355434 */     GIR_EraseRootFromParent_Done,
     /* 2355435 */   // Label 33185: @2355435
     /* 2355435 */   GIM_Try, /*On fail goto*//*Label 33186*/ GIMT_Encode4(2355478), // Rule ID 58562 //
     /* 2355440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2355443 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2355446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2355460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355477 */     // GIR_Coverage, 58562,
     /* 2355477 */     GIR_EraseRootFromParent_Done,
     /* 2355478 */   // Label 33186: @2355478
     /* 2355478 */   GIM_Reject,
     /* 2355479 */ // Label 33184: @2355479
     /* 2355479 */ GIM_Reject,
     /* 2355480 */ // Label 33138: @2355480
     /* 2355480 */ GIM_Try, /*On fail goto*//*Label 33187*/ GIMT_Encode4(2355583),
     /* 2355485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2355488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355496 */   GIM_Try, /*On fail goto*//*Label 33188*/ GIMT_Encode4(2355539), // Rule ID 58579 //
     /* 2355501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2355504 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2355507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2355521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355538 */     // GIR_Coverage, 58579,
     /* 2355538 */     GIR_EraseRootFromParent_Done,
     /* 2355539 */   // Label 33188: @2355539
     /* 2355539 */   GIM_Try, /*On fail goto*//*Label 33189*/ GIMT_Encode4(2355582), // Rule ID 58580 //
     /* 2355544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2355547 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2355550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2355564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355581 */     // GIR_Coverage, 58580,
     /* 2355581 */     GIR_EraseRootFromParent_Done,
     /* 2355582 */   // Label 33189: @2355582
     /* 2355582 */   GIM_Reject,
     /* 2355583 */ // Label 33187: @2355583
     /* 2355583 */ GIM_Reject,
     /* 2355584 */ // Label 33139: @2355584
     /* 2355584 */ GIM_Try, /*On fail goto*//*Label 33190*/ GIMT_Encode4(2355687),
     /* 2355589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2355592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355600 */   GIM_Try, /*On fail goto*//*Label 33191*/ GIMT_Encode4(2355643), // Rule ID 58587 //
     /* 2355605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2355608 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2355611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2355625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355642 */     // GIR_Coverage, 58587,
     /* 2355642 */     GIR_EraseRootFromParent_Done,
     /* 2355643 */   // Label 33191: @2355643
     /* 2355643 */   GIM_Try, /*On fail goto*//*Label 33192*/ GIMT_Encode4(2355686), // Rule ID 58588 //
     /* 2355648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2355651 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2355654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2355668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355685 */     // GIR_Coverage, 58588,
     /* 2355685 */     GIR_EraseRootFromParent_Done,
     /* 2355686 */   // Label 33192: @2355686
     /* 2355686 */   GIM_Reject,
     /* 2355687 */ // Label 33190: @2355687
     /* 2355687 */ GIM_Reject,
     /* 2355688 */ // Label 33140: @2355688
     /* 2355688 */ GIM_Try, /*On fail goto*//*Label 33193*/ GIMT_Encode4(2355791),
     /* 2355693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2355696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355704 */   GIM_Try, /*On fail goto*//*Label 33194*/ GIMT_Encode4(2355747), // Rule ID 58559 //
     /* 2355709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2355712 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2355715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2355729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355746 */     // GIR_Coverage, 58559,
     /* 2355746 */     GIR_EraseRootFromParent_Done,
     /* 2355747 */   // Label 33194: @2355747
     /* 2355747 */   GIM_Try, /*On fail goto*//*Label 33195*/ GIMT_Encode4(2355790), // Rule ID 58560 //
     /* 2355752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2355755 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2355758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2355772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355789 */     // GIR_Coverage, 58560,
     /* 2355789 */     GIR_EraseRootFromParent_Done,
     /* 2355790 */   // Label 33195: @2355790
     /* 2355790 */   GIM_Reject,
     /* 2355791 */ // Label 33193: @2355791
     /* 2355791 */ GIM_Reject,
     /* 2355792 */ // Label 33141: @2355792
     /* 2355792 */ GIM_Try, /*On fail goto*//*Label 33196*/ GIMT_Encode4(2355895),
     /* 2355797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2355800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355808 */   GIM_Try, /*On fail goto*//*Label 33197*/ GIMT_Encode4(2355851), // Rule ID 58573 //
     /* 2355813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2355816 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2355819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2355833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355850 */     // GIR_Coverage, 58573,
     /* 2355850 */     GIR_EraseRootFromParent_Done,
     /* 2355851 */   // Label 33197: @2355851
     /* 2355851 */   GIM_Try, /*On fail goto*//*Label 33198*/ GIMT_Encode4(2355894), // Rule ID 58574 //
     /* 2355856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2355859 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2355862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2355876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355893 */     // GIR_Coverage, 58574,
     /* 2355893 */     GIR_EraseRootFromParent_Done,
     /* 2355894 */   // Label 33198: @2355894
     /* 2355894 */   GIM_Reject,
     /* 2355895 */ // Label 33196: @2355895
     /* 2355895 */ GIM_Reject,
     /* 2355896 */ // Label 33142: @2355896
     /* 2355896 */ GIM_Try, /*On fail goto*//*Label 33199*/ GIMT_Encode4(2355999),
     /* 2355901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2355904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355912 */   GIM_Try, /*On fail goto*//*Label 33200*/ GIMT_Encode4(2355955), // Rule ID 58581 //
     /* 2355917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2355920 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2355923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2355937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355954 */     // GIR_Coverage, 58581,
     /* 2355954 */     GIR_EraseRootFromParent_Done,
     /* 2355955 */   // Label 33200: @2355955
     /* 2355955 */   GIM_Try, /*On fail goto*//*Label 33201*/ GIMT_Encode4(2355998), // Rule ID 58582 //
     /* 2355960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2355963 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2355966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2355980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355997 */     // GIR_Coverage, 58582,
     /* 2355997 */     GIR_EraseRootFromParent_Done,
     /* 2355998 */   // Label 33201: @2355998
     /* 2355998 */   GIM_Reject,
     /* 2355999 */ // Label 33199: @2355999
     /* 2355999 */ GIM_Reject,
     /* 2356000 */ // Label 33143: @2356000
     /* 2356000 */ GIM_Try, /*On fail goto*//*Label 33202*/ GIMT_Encode4(2356103),
     /* 2356005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2356008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356016 */   GIM_Try, /*On fail goto*//*Label 33203*/ GIMT_Encode4(2356059), // Rule ID 58589 //
     /* 2356021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2356024 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2356027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2356041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356058 */     // GIR_Coverage, 58589,
     /* 2356058 */     GIR_EraseRootFromParent_Done,
     /* 2356059 */   // Label 33203: @2356059
     /* 2356059 */   GIM_Try, /*On fail goto*//*Label 33204*/ GIMT_Encode4(2356102), // Rule ID 58590 //
     /* 2356064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2356067 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2356070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2356084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356101 */     // GIR_Coverage, 58590,
     /* 2356101 */     GIR_EraseRootFromParent_Done,
     /* 2356102 */   // Label 33204: @2356102
     /* 2356102 */   GIM_Reject,
     /* 2356103 */ // Label 33202: @2356103
     /* 2356103 */ GIM_Reject,
     /* 2356104 */ // Label 33144: @2356104
     /* 2356104 */ GIM_Try, /*On fail goto*//*Label 33205*/ GIMT_Encode4(2356207),
     /* 2356109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2356112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356120 */   GIM_Try, /*On fail goto*//*Label 33206*/ GIMT_Encode4(2356163), // Rule ID 58567 //
     /* 2356125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356128 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2356131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2356145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356162 */     // GIR_Coverage, 58567,
     /* 2356162 */     GIR_EraseRootFromParent_Done,
     /* 2356163 */   // Label 33206: @2356163
     /* 2356163 */   GIM_Try, /*On fail goto*//*Label 33207*/ GIMT_Encode4(2356206), // Rule ID 58568 //
     /* 2356168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356171 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2356174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2356188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356205 */     // GIR_Coverage, 58568,
     /* 2356205 */     GIR_EraseRootFromParent_Done,
     /* 2356206 */   // Label 33207: @2356206
     /* 2356206 */   GIM_Reject,
     /* 2356207 */ // Label 33205: @2356207
     /* 2356207 */ GIM_Reject,
     /* 2356208 */ // Label 33145: @2356208
     /* 2356208 */ GIM_Try, /*On fail goto*//*Label 33208*/ GIMT_Encode4(2356311),
     /* 2356213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2356216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356224 */   GIM_Try, /*On fail goto*//*Label 33209*/ GIMT_Encode4(2356267), // Rule ID 58575 //
     /* 2356229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356232 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2356235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2356249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356266 */     // GIR_Coverage, 58575,
     /* 2356266 */     GIR_EraseRootFromParent_Done,
     /* 2356267 */   // Label 33209: @2356267
     /* 2356267 */   GIM_Try, /*On fail goto*//*Label 33210*/ GIMT_Encode4(2356310), // Rule ID 58576 //
     /* 2356272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356275 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2356278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2356292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356309 */     // GIR_Coverage, 58576,
     /* 2356309 */     GIR_EraseRootFromParent_Done,
     /* 2356310 */   // Label 33210: @2356310
     /* 2356310 */   GIM_Reject,
     /* 2356311 */ // Label 33208: @2356311
     /* 2356311 */ GIM_Reject,
     /* 2356312 */ // Label 33146: @2356312
     /* 2356312 */ GIM_Try, /*On fail goto*//*Label 33211*/ GIMT_Encode4(2356415),
     /* 2356317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2356320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356328 */   GIM_Try, /*On fail goto*//*Label 33212*/ GIMT_Encode4(2356371), // Rule ID 58583 //
     /* 2356333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356336 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2356339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2356353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356370 */     // GIR_Coverage, 58583,
     /* 2356370 */     GIR_EraseRootFromParent_Done,
     /* 2356371 */   // Label 33212: @2356371
     /* 2356371 */   GIM_Try, /*On fail goto*//*Label 33213*/ GIMT_Encode4(2356414), // Rule ID 58584 //
     /* 2356376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356379 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2356382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2356396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356413 */     // GIR_Coverage, 58584,
     /* 2356413 */     GIR_EraseRootFromParent_Done,
     /* 2356414 */   // Label 33213: @2356414
     /* 2356414 */   GIM_Reject,
     /* 2356415 */ // Label 33211: @2356415
     /* 2356415 */ GIM_Reject,
     /* 2356416 */ // Label 33147: @2356416
     /* 2356416 */ GIM_Try, /*On fail goto*//*Label 33214*/ GIMT_Encode4(2356519),
     /* 2356421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2356424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356428 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356432 */   GIM_Try, /*On fail goto*//*Label 33215*/ GIMT_Encode4(2356475), // Rule ID 58569 //
     /* 2356437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356440 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2356443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2356457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356474 */     // GIR_Coverage, 58569,
     /* 2356474 */     GIR_EraseRootFromParent_Done,
     /* 2356475 */   // Label 33215: @2356475
     /* 2356475 */   GIM_Try, /*On fail goto*//*Label 33216*/ GIMT_Encode4(2356518), // Rule ID 58570 //
     /* 2356480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356483 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2356486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2356500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356517 */     // GIR_Coverage, 58570,
     /* 2356517 */     GIR_EraseRootFromParent_Done,
     /* 2356518 */   // Label 33216: @2356518
     /* 2356518 */   GIM_Reject,
     /* 2356519 */ // Label 33214: @2356519
     /* 2356519 */ GIM_Reject,
     /* 2356520 */ // Label 33148: @2356520
     /* 2356520 */ GIM_Try, /*On fail goto*//*Label 33217*/ GIMT_Encode4(2356623),
     /* 2356525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2356528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356536 */   GIM_Try, /*On fail goto*//*Label 33218*/ GIMT_Encode4(2356579), // Rule ID 58577 //
     /* 2356541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356544 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2356547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2356561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356578 */     // GIR_Coverage, 58577,
     /* 2356578 */     GIR_EraseRootFromParent_Done,
     /* 2356579 */   // Label 33218: @2356579
     /* 2356579 */   GIM_Try, /*On fail goto*//*Label 33219*/ GIMT_Encode4(2356622), // Rule ID 58578 //
     /* 2356584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356587 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2356590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2356604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356621 */     // GIR_Coverage, 58578,
     /* 2356621 */     GIR_EraseRootFromParent_Done,
     /* 2356622 */   // Label 33219: @2356622
     /* 2356622 */   GIM_Reject,
     /* 2356623 */ // Label 33217: @2356623
     /* 2356623 */ GIM_Reject,
     /* 2356624 */ // Label 33149: @2356624
     /* 2356624 */ GIM_Try, /*On fail goto*//*Label 33220*/ GIMT_Encode4(2356727),
     /* 2356629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2356632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356640 */   GIM_Try, /*On fail goto*//*Label 33221*/ GIMT_Encode4(2356683), // Rule ID 58571 //
     /* 2356645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356648 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2356651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2356665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356682 */     // GIR_Coverage, 58571,
     /* 2356682 */     GIR_EraseRootFromParent_Done,
     /* 2356683 */   // Label 33221: @2356683
     /* 2356683 */   GIM_Try, /*On fail goto*//*Label 33222*/ GIMT_Encode4(2356726), // Rule ID 58572 //
     /* 2356688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356691 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2356694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2356708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356725 */     // GIR_Coverage, 58572,
     /* 2356725 */     GIR_EraseRootFromParent_Done,
     /* 2356726 */   // Label 33222: @2356726
     /* 2356726 */   GIM_Reject,
     /* 2356727 */ // Label 33220: @2356727
     /* 2356727 */ GIM_Reject,
     /* 2356728 */ // Label 33150: @2356728
     /* 2356728 */ GIM_Reject,
     /* 2356729 */ // Label 85: @2356729
     /* 2356729 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33247*/ GIMT_Encode4(2359386),
     /* 2356740 */ /*GILLT_s32*//*Label 33223*/ GIMT_Encode4(2356864),
     /* 2356744 */ /*GILLT_s64*//*Label 33224*/ GIMT_Encode4(2356981), GIMT_Encode4(0),
     /* 2356752 */ /*GILLT_nxv1s8*//*Label 33225*/ GIMT_Encode4(2357098),
     /* 2356756 */ /*GILLT_nxv1s16*//*Label 33226*/ GIMT_Encode4(2357202),
     /* 2356760 */ /*GILLT_nxv1s32*//*Label 33227*/ GIMT_Encode4(2357306),
     /* 2356764 */ /*GILLT_nxv1s64*//*Label 33228*/ GIMT_Encode4(2357410), GIMT_Encode4(0),
     /* 2356772 */ /*GILLT_nxv2s8*//*Label 33229*/ GIMT_Encode4(2357514),
     /* 2356776 */ /*GILLT_nxv2s16*//*Label 33230*/ GIMT_Encode4(2357618),
     /* 2356780 */ /*GILLT_nxv2s32*//*Label 33231*/ GIMT_Encode4(2357722),
     /* 2356784 */ /*GILLT_nxv2s64*//*Label 33232*/ GIMT_Encode4(2357826), GIMT_Encode4(0),
     /* 2356792 */ /*GILLT_nxv4s8*//*Label 33233*/ GIMT_Encode4(2357930),
     /* 2356796 */ /*GILLT_nxv4s16*//*Label 33234*/ GIMT_Encode4(2358034),
     /* 2356800 */ /*GILLT_nxv4s32*//*Label 33235*/ GIMT_Encode4(2358138),
     /* 2356804 */ /*GILLT_nxv4s64*//*Label 33236*/ GIMT_Encode4(2358242), GIMT_Encode4(0),
     /* 2356812 */ /*GILLT_nxv8s8*//*Label 33237*/ GIMT_Encode4(2358346),
     /* 2356816 */ /*GILLT_nxv8s16*//*Label 33238*/ GIMT_Encode4(2358450),
     /* 2356820 */ /*GILLT_nxv8s32*//*Label 33239*/ GIMT_Encode4(2358554),
     /* 2356824 */ /*GILLT_nxv8s64*//*Label 33240*/ GIMT_Encode4(2358658), GIMT_Encode4(0),
     /* 2356832 */ /*GILLT_nxv16s8*//*Label 33241*/ GIMT_Encode4(2358762),
     /* 2356836 */ /*GILLT_nxv16s16*//*Label 33242*/ GIMT_Encode4(2358866),
     /* 2356840 */ /*GILLT_nxv16s32*//*Label 33243*/ GIMT_Encode4(2358970), GIMT_Encode4(0),
     /* 2356848 */ /*GILLT_nxv32s8*//*Label 33244*/ GIMT_Encode4(2359074),
     /* 2356852 */ /*GILLT_nxv32s16*//*Label 33245*/ GIMT_Encode4(2359178), GIMT_Encode4(0),
     /* 2356860 */ /*GILLT_nxv64s8*//*Label 33246*/ GIMT_Encode4(2359282),
     /* 2356864 */ // Label 33223: @2356864
     /* 2356864 */ GIM_Try, /*On fail goto*//*Label 33248*/ GIMT_Encode4(2356980),
     /* 2356869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2356872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356876 */   GIM_Try, /*On fail goto*//*Label 33249*/ GIMT_Encode4(2356922), // Rule ID 61966 //
     /* 2356881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2356884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2356888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2356892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2356896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2356900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356905 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2356909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2356911 */     // (ctlz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (TH_FF0:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2356911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2356914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2356920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356921 */     // GIR_Coverage, 61966,
     /* 2356921 */     GIR_EraseRootFromParent_Done,
     /* 2356922 */   // Label 33249: @2356922
     /* 2356922 */   GIM_Try, /*On fail goto*//*Label 33250*/ GIMT_Encode4(2356941), // Rule ID 2374 //
     /* 2356927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2356930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356934 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CLZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2356934 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2356939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356940 */     // GIR_Coverage, 2374,
     /* 2356940 */     GIR_Done,
     /* 2356941 */   // Label 33250: @2356941
     /* 2356941 */   GIM_Try, /*On fail goto*//*Label 33251*/ GIMT_Encode4(2356960), // Rule ID 61964 //
     /* 2356946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2356949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356953 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2356953 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2356958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356959 */     // GIR_Coverage, 61964,
     /* 2356959 */     GIR_Done,
     /* 2356960 */   // Label 33251: @2356960
     /* 2356960 */   GIM_Try, /*On fail goto*//*Label 33252*/ GIMT_Encode4(2356979), // Rule ID 63843 //
     /* 2356965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2356968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356972 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FL1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2356972 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2356977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356978 */     // GIR_Coverage, 63843,
     /* 2356978 */     GIR_Done,
     /* 2356979 */   // Label 33252: @2356979
     /* 2356979 */   GIM_Reject,
     /* 2356980 */ // Label 33248: @2356980
     /* 2356980 */ GIM_Reject,
     /* 2356981 */ // Label 33224: @2356981
     /* 2356981 */ GIM_Try, /*On fail goto*//*Label 33253*/ GIMT_Encode4(2357097),
     /* 2356986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2356989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2356993 */   GIM_Try, /*On fail goto*//*Label 33254*/ GIMT_Encode4(2357039), // Rule ID 61965 //
     /* 2356998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2357001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2357005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2357009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2357013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2357017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2357022 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2357026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2357028 */     // (ctlz:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }))  =>  (TH_FF0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2357028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2357031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2357037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357038 */     // GIR_Coverage, 61965,
     /* 2357038 */     GIR_EraseRootFromParent_Done,
     /* 2357039 */   // Label 33254: @2357039
     /* 2357039 */   GIM_Try, /*On fail goto*//*Label 33255*/ GIMT_Encode4(2357058), // Rule ID 2373 //
     /* 2357044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2357047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2357051 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2357051 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2357056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357057 */     // GIR_Coverage, 2373,
     /* 2357057 */     GIR_Done,
     /* 2357058 */   // Label 33255: @2357058
     /* 2357058 */   GIM_Try, /*On fail goto*//*Label 33256*/ GIMT_Encode4(2357077), // Rule ID 61963 //
     /* 2357063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2357066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2357070 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2357070 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2357075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357076 */     // GIR_Coverage, 61963,
     /* 2357076 */     GIR_Done,
     /* 2357077 */   // Label 33256: @2357077
     /* 2357077 */   GIM_Try, /*On fail goto*//*Label 33257*/ GIMT_Encode4(2357096), // Rule ID 63842 //
     /* 2357082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2357085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2357089 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FL1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2357089 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2357094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357095 */     // GIR_Coverage, 63842,
     /* 2357095 */     GIR_Done,
     /* 2357096 */   // Label 33257: @2357096
     /* 2357096 */   GIM_Reject,
     /* 2357097 */ // Label 33253: @2357097
     /* 2357097 */ GIM_Reject,
     /* 2357098 */ // Label 33225: @2357098
     /* 2357098 */ GIM_Try, /*On fail goto*//*Label 33258*/ GIMT_Encode4(2357201),
     /* 2357103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2357106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357114 */   GIM_Try, /*On fail goto*//*Label 33259*/ GIMT_Encode4(2357157), // Rule ID 58503 //
     /* 2357119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357122 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2357125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2357139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357156 */     // GIR_Coverage, 58503,
     /* 2357156 */     GIR_EraseRootFromParent_Done,
     /* 2357157 */   // Label 33259: @2357157
     /* 2357157 */   GIM_Try, /*On fail goto*//*Label 33260*/ GIMT_Encode4(2357200), // Rule ID 58504 //
     /* 2357162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357165 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2357168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2357182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357199 */     // GIR_Coverage, 58504,
     /* 2357199 */     GIR_EraseRootFromParent_Done,
     /* 2357200 */   // Label 33260: @2357200
     /* 2357200 */   GIM_Reject,
     /* 2357201 */ // Label 33258: @2357201
     /* 2357201 */ GIM_Reject,
     /* 2357202 */ // Label 33226: @2357202
     /* 2357202 */ GIM_Try, /*On fail goto*//*Label 33261*/ GIMT_Encode4(2357305),
     /* 2357207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2357210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357218 */   GIM_Try, /*On fail goto*//*Label 33262*/ GIMT_Encode4(2357261), // Rule ID 58509 //
     /* 2357223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357226 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2357229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2357243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357260 */     // GIR_Coverage, 58509,
     /* 2357260 */     GIR_EraseRootFromParent_Done,
     /* 2357261 */   // Label 33262: @2357261
     /* 2357261 */   GIM_Try, /*On fail goto*//*Label 33263*/ GIMT_Encode4(2357304), // Rule ID 58510 //
     /* 2357266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357269 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2357272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2357286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357303 */     // GIR_Coverage, 58510,
     /* 2357303 */     GIR_EraseRootFromParent_Done,
     /* 2357304 */   // Label 33263: @2357304
     /* 2357304 */   GIM_Reject,
     /* 2357305 */ // Label 33261: @2357305
     /* 2357305 */ GIM_Reject,
     /* 2357306 */ // Label 33227: @2357306
     /* 2357306 */ GIM_Try, /*On fail goto*//*Label 33264*/ GIMT_Encode4(2357409),
     /* 2357311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2357314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357322 */   GIM_Try, /*On fail goto*//*Label 33265*/ GIMT_Encode4(2357365), // Rule ID 58513 //
     /* 2357327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357330 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2357333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2357347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357364 */     // GIR_Coverage, 58513,
     /* 2357364 */     GIR_EraseRootFromParent_Done,
     /* 2357365 */   // Label 33265: @2357365
     /* 2357365 */   GIM_Try, /*On fail goto*//*Label 33266*/ GIMT_Encode4(2357408), // Rule ID 58514 //
     /* 2357370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357373 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2357376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2357390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357407 */     // GIR_Coverage, 58514,
     /* 2357407 */     GIR_EraseRootFromParent_Done,
     /* 2357408 */   // Label 33266: @2357408
     /* 2357408 */   GIM_Reject,
     /* 2357409 */ // Label 33264: @2357409
     /* 2357409 */ GIM_Reject,
     /* 2357410 */ // Label 33228: @2357410
     /* 2357410 */ GIM_Try, /*On fail goto*//*Label 33267*/ GIMT_Encode4(2357513),
     /* 2357415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2357418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357426 */   GIM_Try, /*On fail goto*//*Label 33268*/ GIMT_Encode4(2357469), // Rule ID 58521 //
     /* 2357431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2357434 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2357437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2357451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357468 */     // GIR_Coverage, 58521,
     /* 2357468 */     GIR_EraseRootFromParent_Done,
     /* 2357469 */   // Label 33268: @2357469
     /* 2357469 */   GIM_Try, /*On fail goto*//*Label 33269*/ GIMT_Encode4(2357512), // Rule ID 58522 //
     /* 2357474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2357477 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2357480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2357494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357511 */     // GIR_Coverage, 58522,
     /* 2357511 */     GIR_EraseRootFromParent_Done,
     /* 2357512 */   // Label 33269: @2357512
     /* 2357512 */   GIM_Reject,
     /* 2357513 */ // Label 33267: @2357513
     /* 2357513 */ GIM_Reject,
     /* 2357514 */ // Label 33229: @2357514
     /* 2357514 */ GIM_Try, /*On fail goto*//*Label 33270*/ GIMT_Encode4(2357617),
     /* 2357519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2357522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357526 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357530 */   GIM_Try, /*On fail goto*//*Label 33271*/ GIMT_Encode4(2357573), // Rule ID 58505 //
     /* 2357535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357538 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2357541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2357555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357572 */     // GIR_Coverage, 58505,
     /* 2357572 */     GIR_EraseRootFromParent_Done,
     /* 2357573 */   // Label 33271: @2357573
     /* 2357573 */   GIM_Try, /*On fail goto*//*Label 33272*/ GIMT_Encode4(2357616), // Rule ID 58506 //
     /* 2357578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357581 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2357584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2357598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357615 */     // GIR_Coverage, 58506,
     /* 2357615 */     GIR_EraseRootFromParent_Done,
     /* 2357616 */   // Label 33272: @2357616
     /* 2357616 */   GIM_Reject,
     /* 2357617 */ // Label 33270: @2357617
     /* 2357617 */ GIM_Reject,
     /* 2357618 */ // Label 33230: @2357618
     /* 2357618 */ GIM_Try, /*On fail goto*//*Label 33273*/ GIMT_Encode4(2357721),
     /* 2357623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2357626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357634 */   GIM_Try, /*On fail goto*//*Label 33274*/ GIMT_Encode4(2357677), // Rule ID 58511 //
     /* 2357639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357642 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2357645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2357659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357676 */     // GIR_Coverage, 58511,
     /* 2357676 */     GIR_EraseRootFromParent_Done,
     /* 2357677 */   // Label 33274: @2357677
     /* 2357677 */   GIM_Try, /*On fail goto*//*Label 33275*/ GIMT_Encode4(2357720), // Rule ID 58512 //
     /* 2357682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357685 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2357688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2357702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357719 */     // GIR_Coverage, 58512,
     /* 2357719 */     GIR_EraseRootFromParent_Done,
     /* 2357720 */   // Label 33275: @2357720
     /* 2357720 */   GIM_Reject,
     /* 2357721 */ // Label 33273: @2357721
     /* 2357721 */ GIM_Reject,
     /* 2357722 */ // Label 33231: @2357722
     /* 2357722 */ GIM_Try, /*On fail goto*//*Label 33276*/ GIMT_Encode4(2357825),
     /* 2357727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2357730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357738 */   GIM_Try, /*On fail goto*//*Label 33277*/ GIMT_Encode4(2357781), // Rule ID 58519 //
     /* 2357743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357746 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2357749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2357763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357780 */     // GIR_Coverage, 58519,
     /* 2357780 */     GIR_EraseRootFromParent_Done,
     /* 2357781 */   // Label 33277: @2357781
     /* 2357781 */   GIM_Try, /*On fail goto*//*Label 33278*/ GIMT_Encode4(2357824), // Rule ID 58520 //
     /* 2357786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357789 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2357792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2357806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357823 */     // GIR_Coverage, 58520,
     /* 2357823 */     GIR_EraseRootFromParent_Done,
     /* 2357824 */   // Label 33278: @2357824
     /* 2357824 */   GIM_Reject,
     /* 2357825 */ // Label 33276: @2357825
     /* 2357825 */ GIM_Reject,
     /* 2357826 */ // Label 33232: @2357826
     /* 2357826 */ GIM_Try, /*On fail goto*//*Label 33279*/ GIMT_Encode4(2357929),
     /* 2357831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2357834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357842 */   GIM_Try, /*On fail goto*//*Label 33280*/ GIMT_Encode4(2357885), // Rule ID 58541 //
     /* 2357847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2357850 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2357853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2357867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357884 */     // GIR_Coverage, 58541,
     /* 2357884 */     GIR_EraseRootFromParent_Done,
     /* 2357885 */   // Label 33280: @2357885
     /* 2357885 */   GIM_Try, /*On fail goto*//*Label 33281*/ GIMT_Encode4(2357928), // Rule ID 58542 //
     /* 2357890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2357893 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2357896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2357910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357927 */     // GIR_Coverage, 58542,
     /* 2357927 */     GIR_EraseRootFromParent_Done,
     /* 2357928 */   // Label 33281: @2357928
     /* 2357928 */   GIM_Reject,
     /* 2357929 */ // Label 33279: @2357929
     /* 2357929 */ GIM_Reject,
     /* 2357930 */ // Label 33233: @2357930
     /* 2357930 */ GIM_Try, /*On fail goto*//*Label 33282*/ GIMT_Encode4(2358033),
     /* 2357935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2357938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357946 */   GIM_Try, /*On fail goto*//*Label 33283*/ GIMT_Encode4(2357989), // Rule ID 58507 //
     /* 2357951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357954 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2357957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2357971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357988 */     // GIR_Coverage, 58507,
     /* 2357988 */     GIR_EraseRootFromParent_Done,
     /* 2357989 */   // Label 33283: @2357989
     /* 2357989 */   GIM_Try, /*On fail goto*//*Label 33284*/ GIMT_Encode4(2358032), // Rule ID 58508 //
     /* 2357994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357997 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2358000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2358014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358031 */     // GIR_Coverage, 58508,
     /* 2358031 */     GIR_EraseRootFromParent_Done,
     /* 2358032 */   // Label 33284: @2358032
     /* 2358032 */   GIM_Reject,
     /* 2358033 */ // Label 33282: @2358033
     /* 2358033 */ GIM_Reject,
     /* 2358034 */ // Label 33234: @2358034
     /* 2358034 */ GIM_Try, /*On fail goto*//*Label 33285*/ GIMT_Encode4(2358137),
     /* 2358039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2358042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358046 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358050 */   GIM_Try, /*On fail goto*//*Label 33286*/ GIMT_Encode4(2358093), // Rule ID 58517 //
     /* 2358055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358058 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2358061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2358075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358092 */     // GIR_Coverage, 58517,
     /* 2358092 */     GIR_EraseRootFromParent_Done,
     /* 2358093 */   // Label 33286: @2358093
     /* 2358093 */   GIM_Try, /*On fail goto*//*Label 33287*/ GIMT_Encode4(2358136), // Rule ID 58518 //
     /* 2358098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358101 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2358104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2358118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358135 */     // GIR_Coverage, 58518,
     /* 2358135 */     GIR_EraseRootFromParent_Done,
     /* 2358136 */   // Label 33287: @2358136
     /* 2358136 */   GIM_Reject,
     /* 2358137 */ // Label 33285: @2358137
     /* 2358137 */ GIM_Reject,
     /* 2358138 */ // Label 33235: @2358138
     /* 2358138 */ GIM_Try, /*On fail goto*//*Label 33288*/ GIMT_Encode4(2358241),
     /* 2358143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2358146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358154 */   GIM_Try, /*On fail goto*//*Label 33289*/ GIMT_Encode4(2358197), // Rule ID 58535 //
     /* 2358159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358162 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2358165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2358179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358196 */     // GIR_Coverage, 58535,
     /* 2358196 */     GIR_EraseRootFromParent_Done,
     /* 2358197 */   // Label 33289: @2358197
     /* 2358197 */   GIM_Try, /*On fail goto*//*Label 33290*/ GIMT_Encode4(2358240), // Rule ID 58536 //
     /* 2358202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358205 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2358208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2358222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358239 */     // GIR_Coverage, 58536,
     /* 2358239 */     GIR_EraseRootFromParent_Done,
     /* 2358240 */   // Label 33290: @2358240
     /* 2358240 */   GIM_Reject,
     /* 2358241 */ // Label 33288: @2358241
     /* 2358241 */ GIM_Reject,
     /* 2358242 */ // Label 33236: @2358242
     /* 2358242 */ GIM_Try, /*On fail goto*//*Label 33291*/ GIMT_Encode4(2358345),
     /* 2358247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2358250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358258 */   GIM_Try, /*On fail goto*//*Label 33292*/ GIMT_Encode4(2358301), // Rule ID 58543 //
     /* 2358263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2358266 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2358269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2358283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358300 */     // GIR_Coverage, 58543,
     /* 2358300 */     GIR_EraseRootFromParent_Done,
     /* 2358301 */   // Label 33292: @2358301
     /* 2358301 */   GIM_Try, /*On fail goto*//*Label 33293*/ GIMT_Encode4(2358344), // Rule ID 58544 //
     /* 2358306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2358309 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2358312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2358326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358343 */     // GIR_Coverage, 58544,
     /* 2358343 */     GIR_EraseRootFromParent_Done,
     /* 2358344 */   // Label 33293: @2358344
     /* 2358344 */   GIM_Reject,
     /* 2358345 */ // Label 33291: @2358345
     /* 2358345 */ GIM_Reject,
     /* 2358346 */ // Label 33237: @2358346
     /* 2358346 */ GIM_Try, /*On fail goto*//*Label 33294*/ GIMT_Encode4(2358449),
     /* 2358351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2358354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358362 */   GIM_Try, /*On fail goto*//*Label 33295*/ GIMT_Encode4(2358405), // Rule ID 58515 //
     /* 2358367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358370 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2358373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2358387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358404 */     // GIR_Coverage, 58515,
     /* 2358404 */     GIR_EraseRootFromParent_Done,
     /* 2358405 */   // Label 33295: @2358405
     /* 2358405 */   GIM_Try, /*On fail goto*//*Label 33296*/ GIMT_Encode4(2358448), // Rule ID 58516 //
     /* 2358410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358413 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2358416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2358430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358447 */     // GIR_Coverage, 58516,
     /* 2358447 */     GIR_EraseRootFromParent_Done,
     /* 2358448 */   // Label 33296: @2358448
     /* 2358448 */   GIM_Reject,
     /* 2358449 */ // Label 33294: @2358449
     /* 2358449 */ GIM_Reject,
     /* 2358450 */ // Label 33238: @2358450
     /* 2358450 */ GIM_Try, /*On fail goto*//*Label 33297*/ GIMT_Encode4(2358553),
     /* 2358455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2358458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358462 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358466 */   GIM_Try, /*On fail goto*//*Label 33298*/ GIMT_Encode4(2358509), // Rule ID 58529 //
     /* 2358471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358474 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2358477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2358491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358508 */     // GIR_Coverage, 58529,
     /* 2358508 */     GIR_EraseRootFromParent_Done,
     /* 2358509 */   // Label 33298: @2358509
     /* 2358509 */   GIM_Try, /*On fail goto*//*Label 33299*/ GIMT_Encode4(2358552), // Rule ID 58530 //
     /* 2358514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358517 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2358520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2358534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358551 */     // GIR_Coverage, 58530,
     /* 2358551 */     GIR_EraseRootFromParent_Done,
     /* 2358552 */   // Label 33299: @2358552
     /* 2358552 */   GIM_Reject,
     /* 2358553 */ // Label 33297: @2358553
     /* 2358553 */ GIM_Reject,
     /* 2358554 */ // Label 33239: @2358554
     /* 2358554 */ GIM_Try, /*On fail goto*//*Label 33300*/ GIMT_Encode4(2358657),
     /* 2358559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2358562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358570 */   GIM_Try, /*On fail goto*//*Label 33301*/ GIMT_Encode4(2358613), // Rule ID 58537 //
     /* 2358575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358578 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2358581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2358595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358612 */     // GIR_Coverage, 58537,
     /* 2358612 */     GIR_EraseRootFromParent_Done,
     /* 2358613 */   // Label 33301: @2358613
     /* 2358613 */   GIM_Try, /*On fail goto*//*Label 33302*/ GIMT_Encode4(2358656), // Rule ID 58538 //
     /* 2358618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358621 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2358624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2358638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358655 */     // GIR_Coverage, 58538,
     /* 2358655 */     GIR_EraseRootFromParent_Done,
     /* 2358656 */   // Label 33302: @2358656
     /* 2358656 */   GIM_Reject,
     /* 2358657 */ // Label 33300: @2358657
     /* 2358657 */ GIM_Reject,
     /* 2358658 */ // Label 33240: @2358658
     /* 2358658 */ GIM_Try, /*On fail goto*//*Label 33303*/ GIMT_Encode4(2358761),
     /* 2358663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2358666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358674 */   GIM_Try, /*On fail goto*//*Label 33304*/ GIMT_Encode4(2358717), // Rule ID 58545 //
     /* 2358679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2358682 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2358685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2358699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358716 */     // GIR_Coverage, 58545,
     /* 2358716 */     GIR_EraseRootFromParent_Done,
     /* 2358717 */   // Label 33304: @2358717
     /* 2358717 */   GIM_Try, /*On fail goto*//*Label 33305*/ GIMT_Encode4(2358760), // Rule ID 58546 //
     /* 2358722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2358725 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2358728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2358742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358759 */     // GIR_Coverage, 58546,
     /* 2358759 */     GIR_EraseRootFromParent_Done,
     /* 2358760 */   // Label 33305: @2358760
     /* 2358760 */   GIM_Reject,
     /* 2358761 */ // Label 33303: @2358761
     /* 2358761 */ GIM_Reject,
     /* 2358762 */ // Label 33241: @2358762
     /* 2358762 */ GIM_Try, /*On fail goto*//*Label 33306*/ GIMT_Encode4(2358865),
     /* 2358767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2358770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358778 */   GIM_Try, /*On fail goto*//*Label 33307*/ GIMT_Encode4(2358821), // Rule ID 58523 //
     /* 2358783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358786 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2358789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2358803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358820 */     // GIR_Coverage, 58523,
     /* 2358820 */     GIR_EraseRootFromParent_Done,
     /* 2358821 */   // Label 33307: @2358821
     /* 2358821 */   GIM_Try, /*On fail goto*//*Label 33308*/ GIMT_Encode4(2358864), // Rule ID 58524 //
     /* 2358826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358829 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2358832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2358846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358863 */     // GIR_Coverage, 58524,
     /* 2358863 */     GIR_EraseRootFromParent_Done,
     /* 2358864 */   // Label 33308: @2358864
     /* 2358864 */   GIM_Reject,
     /* 2358865 */ // Label 33306: @2358865
     /* 2358865 */ GIM_Reject,
     /* 2358866 */ // Label 33242: @2358866
     /* 2358866 */ GIM_Try, /*On fail goto*//*Label 33309*/ GIMT_Encode4(2358969),
     /* 2358871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2358874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358882 */   GIM_Try, /*On fail goto*//*Label 33310*/ GIMT_Encode4(2358925), // Rule ID 58531 //
     /* 2358887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358890 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2358893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2358907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358924 */     // GIR_Coverage, 58531,
     /* 2358924 */     GIR_EraseRootFromParent_Done,
     /* 2358925 */   // Label 33310: @2358925
     /* 2358925 */   GIM_Try, /*On fail goto*//*Label 33311*/ GIMT_Encode4(2358968), // Rule ID 58532 //
     /* 2358930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2358933 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2358936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2358950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358967 */     // GIR_Coverage, 58532,
     /* 2358967 */     GIR_EraseRootFromParent_Done,
     /* 2358968 */   // Label 33311: @2358968
     /* 2358968 */   GIM_Reject,
     /* 2358969 */ // Label 33309: @2358969
     /* 2358969 */ GIM_Reject,
     /* 2358970 */ // Label 33243: @2358970
     /* 2358970 */ GIM_Try, /*On fail goto*//*Label 33312*/ GIMT_Encode4(2359073),
     /* 2358975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2358978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358982 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358986 */   GIM_Try, /*On fail goto*//*Label 33313*/ GIMT_Encode4(2359029), // Rule ID 58539 //
     /* 2358991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2358994 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2358997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2359011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359028 */     // GIR_Coverage, 58539,
     /* 2359028 */     GIR_EraseRootFromParent_Done,
     /* 2359029 */   // Label 33313: @2359029
     /* 2359029 */   GIM_Try, /*On fail goto*//*Label 33314*/ GIMT_Encode4(2359072), // Rule ID 58540 //
     /* 2359034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359037 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2359040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2359054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359071 */     // GIR_Coverage, 58540,
     /* 2359071 */     GIR_EraseRootFromParent_Done,
     /* 2359072 */   // Label 33314: @2359072
     /* 2359072 */   GIM_Reject,
     /* 2359073 */ // Label 33312: @2359073
     /* 2359073 */ GIM_Reject,
     /* 2359074 */ // Label 33244: @2359074
     /* 2359074 */ GIM_Try, /*On fail goto*//*Label 33315*/ GIMT_Encode4(2359177),
     /* 2359079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2359082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359090 */   GIM_Try, /*On fail goto*//*Label 33316*/ GIMT_Encode4(2359133), // Rule ID 58525 //
     /* 2359095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359098 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2359101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2359115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359132 */     // GIR_Coverage, 58525,
     /* 2359132 */     GIR_EraseRootFromParent_Done,
     /* 2359133 */   // Label 33316: @2359133
     /* 2359133 */   GIM_Try, /*On fail goto*//*Label 33317*/ GIMT_Encode4(2359176), // Rule ID 58526 //
     /* 2359138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359141 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2359144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2359158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359175 */     // GIR_Coverage, 58526,
     /* 2359175 */     GIR_EraseRootFromParent_Done,
     /* 2359176 */   // Label 33317: @2359176
     /* 2359176 */   GIM_Reject,
     /* 2359177 */ // Label 33315: @2359177
     /* 2359177 */ GIM_Reject,
     /* 2359178 */ // Label 33245: @2359178
     /* 2359178 */ GIM_Try, /*On fail goto*//*Label 33318*/ GIMT_Encode4(2359281),
     /* 2359183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2359186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359194 */   GIM_Try, /*On fail goto*//*Label 33319*/ GIMT_Encode4(2359237), // Rule ID 58533 //
     /* 2359199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359202 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2359205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2359219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359236 */     // GIR_Coverage, 58533,
     /* 2359236 */     GIR_EraseRootFromParent_Done,
     /* 2359237 */   // Label 33319: @2359237
     /* 2359237 */   GIM_Try, /*On fail goto*//*Label 33320*/ GIMT_Encode4(2359280), // Rule ID 58534 //
     /* 2359242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359245 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2359248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2359262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359279 */     // GIR_Coverage, 58534,
     /* 2359279 */     GIR_EraseRootFromParent_Done,
     /* 2359280 */   // Label 33320: @2359280
     /* 2359280 */   GIM_Reject,
     /* 2359281 */ // Label 33318: @2359281
     /* 2359281 */ GIM_Reject,
     /* 2359282 */ // Label 33246: @2359282
     /* 2359282 */ GIM_Try, /*On fail goto*//*Label 33321*/ GIMT_Encode4(2359385),
     /* 2359287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2359290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359298 */   GIM_Try, /*On fail goto*//*Label 33322*/ GIMT_Encode4(2359341), // Rule ID 58527 //
     /* 2359303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359306 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2359309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2359323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359340 */     // GIR_Coverage, 58527,
     /* 2359340 */     GIR_EraseRootFromParent_Done,
     /* 2359341 */   // Label 33322: @2359341
     /* 2359341 */   GIM_Try, /*On fail goto*//*Label 33323*/ GIMT_Encode4(2359384), // Rule ID 58528 //
     /* 2359346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359349 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2359352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2359366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359383 */     // GIR_Coverage, 58528,
     /* 2359383 */     GIR_EraseRootFromParent_Done,
     /* 2359384 */   // Label 33323: @2359384
     /* 2359384 */   GIM_Reject,
     /* 2359385 */ // Label 33321: @2359385
     /* 2359385 */ GIM_Reject,
     /* 2359386 */ // Label 33247: @2359386
     /* 2359386 */ GIM_Reject,
     /* 2359387 */ // Label 86: @2359387
     /* 2359387 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33348*/ GIMT_Encode4(2361937),
     /* 2359398 */ /*GILLT_s32*//*Label 33324*/ GIMT_Encode4(2359522),
     /* 2359402 */ /*GILLT_s64*//*Label 33325*/ GIMT_Encode4(2359570), GIMT_Encode4(0),
     /* 2359410 */ /*GILLT_nxv1s8*//*Label 33326*/ GIMT_Encode4(2359649),
     /* 2359414 */ /*GILLT_nxv1s16*//*Label 33327*/ GIMT_Encode4(2359753),
     /* 2359418 */ /*GILLT_nxv1s32*//*Label 33328*/ GIMT_Encode4(2359857),
     /* 2359422 */ /*GILLT_nxv1s64*//*Label 33329*/ GIMT_Encode4(2359961), GIMT_Encode4(0),
     /* 2359430 */ /*GILLT_nxv2s8*//*Label 33330*/ GIMT_Encode4(2360065),
     /* 2359434 */ /*GILLT_nxv2s16*//*Label 33331*/ GIMT_Encode4(2360169),
     /* 2359438 */ /*GILLT_nxv2s32*//*Label 33332*/ GIMT_Encode4(2360273),
     /* 2359442 */ /*GILLT_nxv2s64*//*Label 33333*/ GIMT_Encode4(2360377), GIMT_Encode4(0),
     /* 2359450 */ /*GILLT_nxv4s8*//*Label 33334*/ GIMT_Encode4(2360481),
     /* 2359454 */ /*GILLT_nxv4s16*//*Label 33335*/ GIMT_Encode4(2360585),
     /* 2359458 */ /*GILLT_nxv4s32*//*Label 33336*/ GIMT_Encode4(2360689),
     /* 2359462 */ /*GILLT_nxv4s64*//*Label 33337*/ GIMT_Encode4(2360793), GIMT_Encode4(0),
     /* 2359470 */ /*GILLT_nxv8s8*//*Label 33338*/ GIMT_Encode4(2360897),
     /* 2359474 */ /*GILLT_nxv8s16*//*Label 33339*/ GIMT_Encode4(2361001),
     /* 2359478 */ /*GILLT_nxv8s32*//*Label 33340*/ GIMT_Encode4(2361105),
     /* 2359482 */ /*GILLT_nxv8s64*//*Label 33341*/ GIMT_Encode4(2361209), GIMT_Encode4(0),
     /* 2359490 */ /*GILLT_nxv16s8*//*Label 33342*/ GIMT_Encode4(2361313),
     /* 2359494 */ /*GILLT_nxv16s16*//*Label 33343*/ GIMT_Encode4(2361417),
     /* 2359498 */ /*GILLT_nxv16s32*//*Label 33344*/ GIMT_Encode4(2361521), GIMT_Encode4(0),
     /* 2359506 */ /*GILLT_nxv32s8*//*Label 33345*/ GIMT_Encode4(2361625),
     /* 2359510 */ /*GILLT_nxv32s16*//*Label 33346*/ GIMT_Encode4(2361729), GIMT_Encode4(0),
     /* 2359518 */ /*GILLT_nxv64s8*//*Label 33347*/ GIMT_Encode4(2361833),
     /* 2359522 */ // Label 33324: @2359522
     /* 2359522 */ GIM_Try, /*On fail goto*//*Label 33349*/ GIMT_Encode4(2359569),
     /* 2359527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2359530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359538 */   GIM_Try, /*On fail goto*//*Label 33350*/ GIMT_Encode4(2359553), // Rule ID 2378 //
     /* 2359543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2359546 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CPOP:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2359546 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2359551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359552 */     // GIR_Coverage, 2378,
     /* 2359552 */     GIR_Done,
     /* 2359553 */   // Label 33350: @2359553
     /* 2359553 */   GIM_Try, /*On fail goto*//*Label 33351*/ GIMT_Encode4(2359568), // Rule ID 63846 //
     /* 2359558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2359561 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_CNT:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2359561 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2359566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359567 */     // GIR_Coverage, 63846,
     /* 2359567 */     GIR_Done,
     /* 2359568 */   // Label 33351: @2359568
     /* 2359568 */   GIM_Reject,
     /* 2359569 */ // Label 33349: @2359569
     /* 2359569 */ GIM_Reject,
     /* 2359570 */ // Label 33325: @2359570
     /* 2359570 */ GIM_Try, /*On fail goto*//*Label 33352*/ GIMT_Encode4(2359648),
     /* 2359575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2359578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359582 */   GIM_Try, /*On fail goto*//*Label 33353*/ GIMT_Encode4(2359609), // Rule ID 2381 //
     /* 2359587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2359590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2359597 */     // (ctpop:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (CPOPW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2359597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CPOPW),
     /* 2359600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2359607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359608 */     // GIR_Coverage, 2381,
     /* 2359608 */     GIR_EraseRootFromParent_Done,
     /* 2359609 */   // Label 33353: @2359609
     /* 2359609 */   GIM_Try, /*On fail goto*//*Label 33354*/ GIMT_Encode4(2359628), // Rule ID 2377 //
     /* 2359614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2359617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359621 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CPOP:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2359621 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2359626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359627 */     // GIR_Coverage, 2377,
     /* 2359627 */     GIR_Done,
     /* 2359628 */   // Label 33354: @2359628
     /* 2359628 */   GIM_Try, /*On fail goto*//*Label 33355*/ GIMT_Encode4(2359647), // Rule ID 63845 //
     /* 2359633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2359636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359640 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_CNT:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2359640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2359645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359646 */     // GIR_Coverage, 63845,
     /* 2359646 */     GIR_Done,
     /* 2359647 */   // Label 33355: @2359647
     /* 2359647 */   GIM_Reject,
     /* 2359648 */ // Label 33352: @2359648
     /* 2359648 */ GIM_Reject,
     /* 2359649 */ // Label 33326: @2359649
     /* 2359649 */ GIM_Try, /*On fail goto*//*Label 33356*/ GIMT_Encode4(2359752),
     /* 2359654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2359657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359665 */   GIM_Try, /*On fail goto*//*Label 33357*/ GIMT_Encode4(2359708), // Rule ID 58591 //
     /* 2359670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359673 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2359676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2359690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359707 */     // GIR_Coverage, 58591,
     /* 2359707 */     GIR_EraseRootFromParent_Done,
     /* 2359708 */   // Label 33357: @2359708
     /* 2359708 */   GIM_Try, /*On fail goto*//*Label 33358*/ GIMT_Encode4(2359751), // Rule ID 58592 //
     /* 2359713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359716 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2359719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2359733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359750 */     // GIR_Coverage, 58592,
     /* 2359750 */     GIR_EraseRootFromParent_Done,
     /* 2359751 */   // Label 33358: @2359751
     /* 2359751 */   GIM_Reject,
     /* 2359752 */ // Label 33356: @2359752
     /* 2359752 */ GIM_Reject,
     /* 2359753 */ // Label 33327: @2359753
     /* 2359753 */ GIM_Try, /*On fail goto*//*Label 33359*/ GIMT_Encode4(2359856),
     /* 2359758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2359761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359769 */   GIM_Try, /*On fail goto*//*Label 33360*/ GIMT_Encode4(2359812), // Rule ID 58597 //
     /* 2359774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359777 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2359780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2359794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359811 */     // GIR_Coverage, 58597,
     /* 2359811 */     GIR_EraseRootFromParent_Done,
     /* 2359812 */   // Label 33360: @2359812
     /* 2359812 */   GIM_Try, /*On fail goto*//*Label 33361*/ GIMT_Encode4(2359855), // Rule ID 58598 //
     /* 2359817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359820 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2359823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2359837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359854 */     // GIR_Coverage, 58598,
     /* 2359854 */     GIR_EraseRootFromParent_Done,
     /* 2359855 */   // Label 33361: @2359855
     /* 2359855 */   GIM_Reject,
     /* 2359856 */ // Label 33359: @2359856
     /* 2359856 */ GIM_Reject,
     /* 2359857 */ // Label 33328: @2359857
     /* 2359857 */ GIM_Try, /*On fail goto*//*Label 33362*/ GIMT_Encode4(2359960),
     /* 2359862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2359865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359873 */   GIM_Try, /*On fail goto*//*Label 33363*/ GIMT_Encode4(2359916), // Rule ID 58601 //
     /* 2359878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359881 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2359884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2359898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359915 */     // GIR_Coverage, 58601,
     /* 2359915 */     GIR_EraseRootFromParent_Done,
     /* 2359916 */   // Label 33363: @2359916
     /* 2359916 */   GIM_Try, /*On fail goto*//*Label 33364*/ GIMT_Encode4(2359959), // Rule ID 58602 //
     /* 2359921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2359924 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2359927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2359941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359958 */     // GIR_Coverage, 58602,
     /* 2359958 */     GIR_EraseRootFromParent_Done,
     /* 2359959 */   // Label 33364: @2359959
     /* 2359959 */   GIM_Reject,
     /* 2359960 */ // Label 33362: @2359960
     /* 2359960 */ GIM_Reject,
     /* 2359961 */ // Label 33329: @2359961
     /* 2359961 */ GIM_Try, /*On fail goto*//*Label 33365*/ GIMT_Encode4(2360064),
     /* 2359966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2359969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359977 */   GIM_Try, /*On fail goto*//*Label 33366*/ GIMT_Encode4(2360020), // Rule ID 58609 //
     /* 2359982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2359985 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359985 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2359988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359992 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359997 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2360002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360004 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360019 */     // GIR_Coverage, 58609,
     /* 2360019 */     GIR_EraseRootFromParent_Done,
     /* 2360020 */   // Label 33366: @2360020
     /* 2360020 */   GIM_Try, /*On fail goto*//*Label 33367*/ GIMT_Encode4(2360063), // Rule ID 58610 //
     /* 2360025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2360028 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2360031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2360045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360062 */     // GIR_Coverage, 58610,
     /* 2360062 */     GIR_EraseRootFromParent_Done,
     /* 2360063 */   // Label 33367: @2360063
     /* 2360063 */   GIM_Reject,
     /* 2360064 */ // Label 33365: @2360064
     /* 2360064 */ GIM_Reject,
     /* 2360065 */ // Label 33330: @2360065
     /* 2360065 */ GIM_Try, /*On fail goto*//*Label 33368*/ GIMT_Encode4(2360168),
     /* 2360070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2360073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360081 */   GIM_Try, /*On fail goto*//*Label 33369*/ GIMT_Encode4(2360124), // Rule ID 58593 //
     /* 2360086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360089 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2360092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2360106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360123 */     // GIR_Coverage, 58593,
     /* 2360123 */     GIR_EraseRootFromParent_Done,
     /* 2360124 */   // Label 33369: @2360124
     /* 2360124 */   GIM_Try, /*On fail goto*//*Label 33370*/ GIMT_Encode4(2360167), // Rule ID 58594 //
     /* 2360129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360132 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2360135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2360149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360166 */     // GIR_Coverage, 58594,
     /* 2360166 */     GIR_EraseRootFromParent_Done,
     /* 2360167 */   // Label 33370: @2360167
     /* 2360167 */   GIM_Reject,
     /* 2360168 */ // Label 33368: @2360168
     /* 2360168 */ GIM_Reject,
     /* 2360169 */ // Label 33331: @2360169
     /* 2360169 */ GIM_Try, /*On fail goto*//*Label 33371*/ GIMT_Encode4(2360272),
     /* 2360174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2360177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360181 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360185 */   GIM_Try, /*On fail goto*//*Label 33372*/ GIMT_Encode4(2360228), // Rule ID 58599 //
     /* 2360190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360193 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2360196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2360210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360227 */     // GIR_Coverage, 58599,
     /* 2360227 */     GIR_EraseRootFromParent_Done,
     /* 2360228 */   // Label 33372: @2360228
     /* 2360228 */   GIM_Try, /*On fail goto*//*Label 33373*/ GIMT_Encode4(2360271), // Rule ID 58600 //
     /* 2360233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360236 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2360239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2360253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360270 */     // GIR_Coverage, 58600,
     /* 2360270 */     GIR_EraseRootFromParent_Done,
     /* 2360271 */   // Label 33373: @2360271
     /* 2360271 */   GIM_Reject,
     /* 2360272 */ // Label 33371: @2360272
     /* 2360272 */ GIM_Reject,
     /* 2360273 */ // Label 33332: @2360273
     /* 2360273 */ GIM_Try, /*On fail goto*//*Label 33374*/ GIMT_Encode4(2360376),
     /* 2360278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2360281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360289 */   GIM_Try, /*On fail goto*//*Label 33375*/ GIMT_Encode4(2360332), // Rule ID 58607 //
     /* 2360294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360297 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2360300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2360314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360331 */     // GIR_Coverage, 58607,
     /* 2360331 */     GIR_EraseRootFromParent_Done,
     /* 2360332 */   // Label 33375: @2360332
     /* 2360332 */   GIM_Try, /*On fail goto*//*Label 33376*/ GIMT_Encode4(2360375), // Rule ID 58608 //
     /* 2360337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360340 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2360343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2360357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360374 */     // GIR_Coverage, 58608,
     /* 2360374 */     GIR_EraseRootFromParent_Done,
     /* 2360375 */   // Label 33376: @2360375
     /* 2360375 */   GIM_Reject,
     /* 2360376 */ // Label 33374: @2360376
     /* 2360376 */ GIM_Reject,
     /* 2360377 */ // Label 33333: @2360377
     /* 2360377 */ GIM_Try, /*On fail goto*//*Label 33377*/ GIMT_Encode4(2360480),
     /* 2360382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2360385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360393 */   GIM_Try, /*On fail goto*//*Label 33378*/ GIMT_Encode4(2360436), // Rule ID 58629 //
     /* 2360398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2360401 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2360404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2360418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360435 */     // GIR_Coverage, 58629,
     /* 2360435 */     GIR_EraseRootFromParent_Done,
     /* 2360436 */   // Label 33378: @2360436
     /* 2360436 */   GIM_Try, /*On fail goto*//*Label 33379*/ GIMT_Encode4(2360479), // Rule ID 58630 //
     /* 2360441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2360444 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2360447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2360461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360478 */     // GIR_Coverage, 58630,
     /* 2360478 */     GIR_EraseRootFromParent_Done,
     /* 2360479 */   // Label 33379: @2360479
     /* 2360479 */   GIM_Reject,
     /* 2360480 */ // Label 33377: @2360480
     /* 2360480 */ GIM_Reject,
     /* 2360481 */ // Label 33334: @2360481
     /* 2360481 */ GIM_Try, /*On fail goto*//*Label 33380*/ GIMT_Encode4(2360584),
     /* 2360486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2360489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360497 */   GIM_Try, /*On fail goto*//*Label 33381*/ GIMT_Encode4(2360540), // Rule ID 58595 //
     /* 2360502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360505 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2360508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2360522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360539 */     // GIR_Coverage, 58595,
     /* 2360539 */     GIR_EraseRootFromParent_Done,
     /* 2360540 */   // Label 33381: @2360540
     /* 2360540 */   GIM_Try, /*On fail goto*//*Label 33382*/ GIMT_Encode4(2360583), // Rule ID 58596 //
     /* 2360545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360548 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2360551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2360565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360582 */     // GIR_Coverage, 58596,
     /* 2360582 */     GIR_EraseRootFromParent_Done,
     /* 2360583 */   // Label 33382: @2360583
     /* 2360583 */   GIM_Reject,
     /* 2360584 */ // Label 33380: @2360584
     /* 2360584 */ GIM_Reject,
     /* 2360585 */ // Label 33335: @2360585
     /* 2360585 */ GIM_Try, /*On fail goto*//*Label 33383*/ GIMT_Encode4(2360688),
     /* 2360590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2360593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360601 */   GIM_Try, /*On fail goto*//*Label 33384*/ GIMT_Encode4(2360644), // Rule ID 58605 //
     /* 2360606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360609 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2360612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2360626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360643 */     // GIR_Coverage, 58605,
     /* 2360643 */     GIR_EraseRootFromParent_Done,
     /* 2360644 */   // Label 33384: @2360644
     /* 2360644 */   GIM_Try, /*On fail goto*//*Label 33385*/ GIMT_Encode4(2360687), // Rule ID 58606 //
     /* 2360649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360652 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2360655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2360669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360686 */     // GIR_Coverage, 58606,
     /* 2360686 */     GIR_EraseRootFromParent_Done,
     /* 2360687 */   // Label 33385: @2360687
     /* 2360687 */   GIM_Reject,
     /* 2360688 */ // Label 33383: @2360688
     /* 2360688 */ GIM_Reject,
     /* 2360689 */ // Label 33336: @2360689
     /* 2360689 */ GIM_Try, /*On fail goto*//*Label 33386*/ GIMT_Encode4(2360792),
     /* 2360694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2360697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360705 */   GIM_Try, /*On fail goto*//*Label 33387*/ GIMT_Encode4(2360748), // Rule ID 58623 //
     /* 2360710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360713 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2360716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2360730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360747 */     // GIR_Coverage, 58623,
     /* 2360747 */     GIR_EraseRootFromParent_Done,
     /* 2360748 */   // Label 33387: @2360748
     /* 2360748 */   GIM_Try, /*On fail goto*//*Label 33388*/ GIMT_Encode4(2360791), // Rule ID 58624 //
     /* 2360753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360756 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2360759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2360773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360790 */     // GIR_Coverage, 58624,
     /* 2360790 */     GIR_EraseRootFromParent_Done,
     /* 2360791 */   // Label 33388: @2360791
     /* 2360791 */   GIM_Reject,
     /* 2360792 */ // Label 33386: @2360792
     /* 2360792 */ GIM_Reject,
     /* 2360793 */ // Label 33337: @2360793
     /* 2360793 */ GIM_Try, /*On fail goto*//*Label 33389*/ GIMT_Encode4(2360896),
     /* 2360798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2360801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2360809 */   GIM_Try, /*On fail goto*//*Label 33390*/ GIMT_Encode4(2360852), // Rule ID 58631 //
     /* 2360814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2360817 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2360820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2360834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360851 */     // GIR_Coverage, 58631,
     /* 2360851 */     GIR_EraseRootFromParent_Done,
     /* 2360852 */   // Label 33390: @2360852
     /* 2360852 */   GIM_Try, /*On fail goto*//*Label 33391*/ GIMT_Encode4(2360895), // Rule ID 58632 //
     /* 2360857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2360860 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2360863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2360877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360894 */     // GIR_Coverage, 58632,
     /* 2360894 */     GIR_EraseRootFromParent_Done,
     /* 2360895 */   // Label 33391: @2360895
     /* 2360895 */   GIM_Reject,
     /* 2360896 */ // Label 33389: @2360896
     /* 2360896 */ GIM_Reject,
     /* 2360897 */ // Label 33338: @2360897
     /* 2360897 */ GIM_Try, /*On fail goto*//*Label 33392*/ GIMT_Encode4(2361000),
     /* 2360902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2360905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360913 */   GIM_Try, /*On fail goto*//*Label 33393*/ GIMT_Encode4(2360956), // Rule ID 58603 //
     /* 2360918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360921 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2360924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2360938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360955 */     // GIR_Coverage, 58603,
     /* 2360955 */     GIR_EraseRootFromParent_Done,
     /* 2360956 */   // Label 33393: @2360956
     /* 2360956 */   GIM_Try, /*On fail goto*//*Label 33394*/ GIMT_Encode4(2360999), // Rule ID 58604 //
     /* 2360961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360964 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2360967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2360981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360998 */     // GIR_Coverage, 58604,
     /* 2360998 */     GIR_EraseRootFromParent_Done,
     /* 2360999 */   // Label 33394: @2360999
     /* 2360999 */   GIM_Reject,
     /* 2361000 */ // Label 33392: @2361000
     /* 2361000 */ GIM_Reject,
     /* 2361001 */ // Label 33339: @2361001
     /* 2361001 */ GIM_Try, /*On fail goto*//*Label 33395*/ GIMT_Encode4(2361104),
     /* 2361006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2361009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361017 */   GIM_Try, /*On fail goto*//*Label 33396*/ GIMT_Encode4(2361060), // Rule ID 58617 //
     /* 2361022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361025 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2361028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2361042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361059 */     // GIR_Coverage, 58617,
     /* 2361059 */     GIR_EraseRootFromParent_Done,
     /* 2361060 */   // Label 33396: @2361060
     /* 2361060 */   GIM_Try, /*On fail goto*//*Label 33397*/ GIMT_Encode4(2361103), // Rule ID 58618 //
     /* 2361065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361068 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2361071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2361085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361102 */     // GIR_Coverage, 58618,
     /* 2361102 */     GIR_EraseRootFromParent_Done,
     /* 2361103 */   // Label 33397: @2361103
     /* 2361103 */   GIM_Reject,
     /* 2361104 */ // Label 33395: @2361104
     /* 2361104 */ GIM_Reject,
     /* 2361105 */ // Label 33340: @2361105
     /* 2361105 */ GIM_Try, /*On fail goto*//*Label 33398*/ GIMT_Encode4(2361208),
     /* 2361110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2361113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361121 */   GIM_Try, /*On fail goto*//*Label 33399*/ GIMT_Encode4(2361164), // Rule ID 58625 //
     /* 2361126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361129 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2361132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2361146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361163 */     // GIR_Coverage, 58625,
     /* 2361163 */     GIR_EraseRootFromParent_Done,
     /* 2361164 */   // Label 33399: @2361164
     /* 2361164 */   GIM_Try, /*On fail goto*//*Label 33400*/ GIMT_Encode4(2361207), // Rule ID 58626 //
     /* 2361169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361172 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2361175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2361189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361206 */     // GIR_Coverage, 58626,
     /* 2361206 */     GIR_EraseRootFromParent_Done,
     /* 2361207 */   // Label 33400: @2361207
     /* 2361207 */   GIM_Reject,
     /* 2361208 */ // Label 33398: @2361208
     /* 2361208 */ GIM_Reject,
     /* 2361209 */ // Label 33341: @2361209
     /* 2361209 */ GIM_Try, /*On fail goto*//*Label 33401*/ GIMT_Encode4(2361312),
     /* 2361214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2361217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361225 */   GIM_Try, /*On fail goto*//*Label 33402*/ GIMT_Encode4(2361268), // Rule ID 58633 //
     /* 2361230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2361233 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2361236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2361250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361267 */     // GIR_Coverage, 58633,
     /* 2361267 */     GIR_EraseRootFromParent_Done,
     /* 2361268 */   // Label 33402: @2361268
     /* 2361268 */   GIM_Try, /*On fail goto*//*Label 33403*/ GIMT_Encode4(2361311), // Rule ID 58634 //
     /* 2361273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2361276 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2361279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2361293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361310 */     // GIR_Coverage, 58634,
     /* 2361310 */     GIR_EraseRootFromParent_Done,
     /* 2361311 */   // Label 33403: @2361311
     /* 2361311 */   GIM_Reject,
     /* 2361312 */ // Label 33401: @2361312
     /* 2361312 */ GIM_Reject,
     /* 2361313 */ // Label 33342: @2361313
     /* 2361313 */ GIM_Try, /*On fail goto*//*Label 33404*/ GIMT_Encode4(2361416),
     /* 2361318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2361321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361329 */   GIM_Try, /*On fail goto*//*Label 33405*/ GIMT_Encode4(2361372), // Rule ID 58611 //
     /* 2361334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361337 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2361340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2361354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361371 */     // GIR_Coverage, 58611,
     /* 2361371 */     GIR_EraseRootFromParent_Done,
     /* 2361372 */   // Label 33405: @2361372
     /* 2361372 */   GIM_Try, /*On fail goto*//*Label 33406*/ GIMT_Encode4(2361415), // Rule ID 58612 //
     /* 2361377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361380 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2361383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2361397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361414 */     // GIR_Coverage, 58612,
     /* 2361414 */     GIR_EraseRootFromParent_Done,
     /* 2361415 */   // Label 33406: @2361415
     /* 2361415 */   GIM_Reject,
     /* 2361416 */ // Label 33404: @2361416
     /* 2361416 */ GIM_Reject,
     /* 2361417 */ // Label 33343: @2361417
     /* 2361417 */ GIM_Try, /*On fail goto*//*Label 33407*/ GIMT_Encode4(2361520),
     /* 2361422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2361425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361433 */   GIM_Try, /*On fail goto*//*Label 33408*/ GIMT_Encode4(2361476), // Rule ID 58619 //
     /* 2361438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361441 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2361444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2361458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361475 */     // GIR_Coverage, 58619,
     /* 2361475 */     GIR_EraseRootFromParent_Done,
     /* 2361476 */   // Label 33408: @2361476
     /* 2361476 */   GIM_Try, /*On fail goto*//*Label 33409*/ GIMT_Encode4(2361519), // Rule ID 58620 //
     /* 2361481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361484 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2361487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2361501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361518 */     // GIR_Coverage, 58620,
     /* 2361518 */     GIR_EraseRootFromParent_Done,
     /* 2361519 */   // Label 33409: @2361519
     /* 2361519 */   GIM_Reject,
     /* 2361520 */ // Label 33407: @2361520
     /* 2361520 */ GIM_Reject,
     /* 2361521 */ // Label 33344: @2361521
     /* 2361521 */ GIM_Try, /*On fail goto*//*Label 33410*/ GIMT_Encode4(2361624),
     /* 2361526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2361529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361537 */   GIM_Try, /*On fail goto*//*Label 33411*/ GIMT_Encode4(2361580), // Rule ID 58627 //
     /* 2361542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361545 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2361548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2361562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361579 */     // GIR_Coverage, 58627,
     /* 2361579 */     GIR_EraseRootFromParent_Done,
     /* 2361580 */   // Label 33411: @2361580
     /* 2361580 */   GIM_Try, /*On fail goto*//*Label 33412*/ GIMT_Encode4(2361623), // Rule ID 58628 //
     /* 2361585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361588 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2361591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2361605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361622 */     // GIR_Coverage, 58628,
     /* 2361622 */     GIR_EraseRootFromParent_Done,
     /* 2361623 */   // Label 33412: @2361623
     /* 2361623 */   GIM_Reject,
     /* 2361624 */ // Label 33410: @2361624
     /* 2361624 */ GIM_Reject,
     /* 2361625 */ // Label 33345: @2361625
     /* 2361625 */ GIM_Try, /*On fail goto*//*Label 33413*/ GIMT_Encode4(2361728),
     /* 2361630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2361633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361641 */   GIM_Try, /*On fail goto*//*Label 33414*/ GIMT_Encode4(2361684), // Rule ID 58613 //
     /* 2361646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361649 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2361652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2361666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361683 */     // GIR_Coverage, 58613,
     /* 2361683 */     GIR_EraseRootFromParent_Done,
     /* 2361684 */   // Label 33414: @2361684
     /* 2361684 */   GIM_Try, /*On fail goto*//*Label 33415*/ GIMT_Encode4(2361727), // Rule ID 58614 //
     /* 2361689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361692 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2361695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2361709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361726 */     // GIR_Coverage, 58614,
     /* 2361726 */     GIR_EraseRootFromParent_Done,
     /* 2361727 */   // Label 33415: @2361727
     /* 2361727 */   GIM_Reject,
     /* 2361728 */ // Label 33413: @2361728
     /* 2361728 */ GIM_Reject,
     /* 2361729 */ // Label 33346: @2361729
     /* 2361729 */ GIM_Try, /*On fail goto*//*Label 33416*/ GIMT_Encode4(2361832),
     /* 2361734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2361737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361745 */   GIM_Try, /*On fail goto*//*Label 33417*/ GIMT_Encode4(2361788), // Rule ID 58621 //
     /* 2361750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361753 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2361756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2361770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361787 */     // GIR_Coverage, 58621,
     /* 2361787 */     GIR_EraseRootFromParent_Done,
     /* 2361788 */   // Label 33417: @2361788
     /* 2361788 */   GIM_Try, /*On fail goto*//*Label 33418*/ GIMT_Encode4(2361831), // Rule ID 58622 //
     /* 2361793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361796 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2361799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2361813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361830 */     // GIR_Coverage, 58622,
     /* 2361830 */     GIR_EraseRootFromParent_Done,
     /* 2361831 */   // Label 33418: @2361831
     /* 2361831 */   GIM_Reject,
     /* 2361832 */ // Label 33416: @2361832
     /* 2361832 */ GIM_Reject,
     /* 2361833 */ // Label 33347: @2361833
     /* 2361833 */ GIM_Try, /*On fail goto*//*Label 33419*/ GIMT_Encode4(2361936),
     /* 2361838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2361841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361849 */   GIM_Try, /*On fail goto*//*Label 33420*/ GIMT_Encode4(2361892), // Rule ID 58615 //
     /* 2361854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361857 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2361860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2361874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361891 */     // GIR_Coverage, 58615,
     /* 2361891 */     GIR_EraseRootFromParent_Done,
     /* 2361892 */   // Label 33420: @2361892
     /* 2361892 */   GIM_Try, /*On fail goto*//*Label 33421*/ GIMT_Encode4(2361935), // Rule ID 58616 //
     /* 2361897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361900 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2361903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2361917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361934 */     // GIR_Coverage, 58616,
     /* 2361934 */     GIR_EraseRootFromParent_Done,
     /* 2361935 */   // Label 33421: @2361935
     /* 2361935 */   GIM_Reject,
     /* 2361936 */ // Label 33419: @2361936
     /* 2361936 */ GIM_Reject,
     /* 2361937 */ // Label 33348: @2361937
     /* 2361937 */ GIM_Reject,
     /* 2361938 */ // Label 87: @2361938
     /* 2361938 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33446*/ GIMT_Encode4(2364472),
     /* 2361949 */ /*GILLT_s32*//*Label 33422*/ GIMT_Encode4(2362073),
     /* 2361953 */ /*GILLT_s64*//*Label 33423*/ GIMT_Encode4(2362136), GIMT_Encode4(0),
     /* 2361961 */ /*GILLT_nxv1s8*//*Label 33424*/ GIMT_Encode4(2362184),
     /* 2361965 */ /*GILLT_nxv1s16*//*Label 33425*/ GIMT_Encode4(2362288),
     /* 2361969 */ /*GILLT_nxv1s32*//*Label 33426*/ GIMT_Encode4(2362392),
     /* 2361973 */ /*GILLT_nxv1s64*//*Label 33427*/ GIMT_Encode4(2362496), GIMT_Encode4(0),
     /* 2361981 */ /*GILLT_nxv2s8*//*Label 33428*/ GIMT_Encode4(2362600),
     /* 2361985 */ /*GILLT_nxv2s16*//*Label 33429*/ GIMT_Encode4(2362704),
     /* 2361989 */ /*GILLT_nxv2s32*//*Label 33430*/ GIMT_Encode4(2362808),
     /* 2361993 */ /*GILLT_nxv2s64*//*Label 33431*/ GIMT_Encode4(2362912), GIMT_Encode4(0),
     /* 2362001 */ /*GILLT_nxv4s8*//*Label 33432*/ GIMT_Encode4(2363016),
     /* 2362005 */ /*GILLT_nxv4s16*//*Label 33433*/ GIMT_Encode4(2363120),
     /* 2362009 */ /*GILLT_nxv4s32*//*Label 33434*/ GIMT_Encode4(2363224),
     /* 2362013 */ /*GILLT_nxv4s64*//*Label 33435*/ GIMT_Encode4(2363328), GIMT_Encode4(0),
     /* 2362021 */ /*GILLT_nxv8s8*//*Label 33436*/ GIMT_Encode4(2363432),
     /* 2362025 */ /*GILLT_nxv8s16*//*Label 33437*/ GIMT_Encode4(2363536),
     /* 2362029 */ /*GILLT_nxv8s32*//*Label 33438*/ GIMT_Encode4(2363640),
     /* 2362033 */ /*GILLT_nxv8s64*//*Label 33439*/ GIMT_Encode4(2363744), GIMT_Encode4(0),
     /* 2362041 */ /*GILLT_nxv16s8*//*Label 33440*/ GIMT_Encode4(2363848),
     /* 2362045 */ /*GILLT_nxv16s16*//*Label 33441*/ GIMT_Encode4(2363952),
     /* 2362049 */ /*GILLT_nxv16s32*//*Label 33442*/ GIMT_Encode4(2364056), GIMT_Encode4(0),
     /* 2362057 */ /*GILLT_nxv32s8*//*Label 33443*/ GIMT_Encode4(2364160),
     /* 2362061 */ /*GILLT_nxv32s16*//*Label 33444*/ GIMT_Encode4(2364264), GIMT_Encode4(0),
     /* 2362069 */ /*GILLT_nxv64s8*//*Label 33445*/ GIMT_Encode4(2364368),
     /* 2362073 */ // Label 33422: @2362073
     /* 2362073 */ GIM_Try, /*On fail goto*//*Label 33447*/ GIMT_Encode4(2362135),
     /* 2362078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2362081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362089 */   GIM_Try, /*On fail goto*//*Label 33448*/ GIMT_Encode4(2362104), // Rule ID 2395 //
     /* 2362094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0),
     /* 2362097 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2362097 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2362102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362103 */     // GIR_Coverage, 2395,
     /* 2362103 */     GIR_Done,
     /* 2362104 */   // Label 33448: @2362104
     /* 2362104 */   GIM_Try, /*On fail goto*//*Label 33449*/ GIMT_Encode4(2362119), // Rule ID 2396 //
     /* 2362109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1),
     /* 2362112 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2362112 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2362117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362118 */     // GIR_Coverage, 2396,
     /* 2362118 */     GIR_Done,
     /* 2362119 */   // Label 33449: @2362119
     /* 2362119 */   GIM_Try, /*On fail goto*//*Label 33450*/ GIMT_Encode4(2362134), // Rule ID 61968 //
     /* 2362124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2362127 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_REV:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2362127 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2362132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362133 */     // GIR_Coverage, 61968,
     /* 2362133 */     GIR_Done,
     /* 2362134 */   // Label 33450: @2362134
     /* 2362134 */   GIM_Reject,
     /* 2362135 */ // Label 33447: @2362135
     /* 2362135 */ GIM_Reject,
     /* 2362136 */ // Label 33423: @2362136
     /* 2362136 */ GIM_Try, /*On fail goto*//*Label 33451*/ GIMT_Encode4(2362183),
     /* 2362141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2362144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362152 */   GIM_Try, /*On fail goto*//*Label 33452*/ GIMT_Encode4(2362167), // Rule ID 2397 //
     /* 2362157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2362160 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (REV8_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2362160 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV64),
     /* 2362165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362166 */     // GIR_Coverage, 2397,
     /* 2362166 */     GIR_Done,
     /* 2362167 */   // Label 33452: @2362167
     /* 2362167 */   GIM_Try, /*On fail goto*//*Label 33453*/ GIMT_Encode4(2362182), // Rule ID 61967 //
     /* 2362172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2362175 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_REV:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2362175 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2362180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362181 */     // GIR_Coverage, 61967,
     /* 2362181 */     GIR_Done,
     /* 2362182 */   // Label 33453: @2362182
     /* 2362182 */   GIM_Reject,
     /* 2362183 */ // Label 33451: @2362183
     /* 2362183 */ GIM_Reject,
     /* 2362184 */ // Label 33424: @2362184
     /* 2362184 */ GIM_Try, /*On fail goto*//*Label 33454*/ GIMT_Encode4(2362287),
     /* 2362189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2362192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362200 */   GIM_Try, /*On fail goto*//*Label 33455*/ GIMT_Encode4(2362243), // Rule ID 58459 //
     /* 2362205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2362208 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2362211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2362225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362242 */     // GIR_Coverage, 58459,
     /* 2362242 */     GIR_EraseRootFromParent_Done,
     /* 2362243 */   // Label 33455: @2362243
     /* 2362243 */   GIM_Try, /*On fail goto*//*Label 33456*/ GIMT_Encode4(2362286), // Rule ID 58460 //
     /* 2362248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2362251 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2362254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2362268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362285 */     // GIR_Coverage, 58460,
     /* 2362285 */     GIR_EraseRootFromParent_Done,
     /* 2362286 */   // Label 33456: @2362286
     /* 2362286 */   GIM_Reject,
     /* 2362287 */ // Label 33454: @2362287
     /* 2362287 */ GIM_Reject,
     /* 2362288 */ // Label 33425: @2362288
     /* 2362288 */ GIM_Try, /*On fail goto*//*Label 33457*/ GIMT_Encode4(2362391),
     /* 2362293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2362296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362304 */   GIM_Try, /*On fail goto*//*Label 33458*/ GIMT_Encode4(2362347), // Rule ID 58465 //
     /* 2362309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2362312 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2362315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2362329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362346 */     // GIR_Coverage, 58465,
     /* 2362346 */     GIR_EraseRootFromParent_Done,
     /* 2362347 */   // Label 33458: @2362347
     /* 2362347 */   GIM_Try, /*On fail goto*//*Label 33459*/ GIMT_Encode4(2362390), // Rule ID 58466 //
     /* 2362352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2362355 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2362358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2362372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362389 */     // GIR_Coverage, 58466,
     /* 2362389 */     GIR_EraseRootFromParent_Done,
     /* 2362390 */   // Label 33459: @2362390
     /* 2362390 */   GIM_Reject,
     /* 2362391 */ // Label 33457: @2362391
     /* 2362391 */ GIM_Reject,
     /* 2362392 */ // Label 33426: @2362392
     /* 2362392 */ GIM_Try, /*On fail goto*//*Label 33460*/ GIMT_Encode4(2362495),
     /* 2362397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2362400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362408 */   GIM_Try, /*On fail goto*//*Label 33461*/ GIMT_Encode4(2362451), // Rule ID 58469 //
     /* 2362413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2362416 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2362419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2362433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362450 */     // GIR_Coverage, 58469,
     /* 2362450 */     GIR_EraseRootFromParent_Done,
     /* 2362451 */   // Label 33461: @2362451
     /* 2362451 */   GIM_Try, /*On fail goto*//*Label 33462*/ GIMT_Encode4(2362494), // Rule ID 58470 //
     /* 2362456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2362459 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2362462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2362476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362493 */     // GIR_Coverage, 58470,
     /* 2362493 */     GIR_EraseRootFromParent_Done,
     /* 2362494 */   // Label 33462: @2362494
     /* 2362494 */   GIM_Reject,
     /* 2362495 */ // Label 33460: @2362495
     /* 2362495 */ GIM_Reject,
     /* 2362496 */ // Label 33427: @2362496
     /* 2362496 */ GIM_Try, /*On fail goto*//*Label 33463*/ GIMT_Encode4(2362599),
     /* 2362501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2362504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362512 */   GIM_Try, /*On fail goto*//*Label 33464*/ GIMT_Encode4(2362555), // Rule ID 58477 //
     /* 2362517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2362520 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2362523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2362537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362554 */     // GIR_Coverage, 58477,
     /* 2362554 */     GIR_EraseRootFromParent_Done,
     /* 2362555 */   // Label 33464: @2362555
     /* 2362555 */   GIM_Try, /*On fail goto*//*Label 33465*/ GIMT_Encode4(2362598), // Rule ID 58478 //
     /* 2362560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2362563 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2362566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2362580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362597 */     // GIR_Coverage, 58478,
     /* 2362597 */     GIR_EraseRootFromParent_Done,
     /* 2362598 */   // Label 33465: @2362598
     /* 2362598 */   GIM_Reject,
     /* 2362599 */ // Label 33463: @2362599
     /* 2362599 */ GIM_Reject,
     /* 2362600 */ // Label 33428: @2362600
     /* 2362600 */ GIM_Try, /*On fail goto*//*Label 33466*/ GIMT_Encode4(2362703),
     /* 2362605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2362608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362612 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362616 */   GIM_Try, /*On fail goto*//*Label 33467*/ GIMT_Encode4(2362659), // Rule ID 58461 //
     /* 2362621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2362624 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2362627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2362641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362658 */     // GIR_Coverage, 58461,
     /* 2362658 */     GIR_EraseRootFromParent_Done,
     /* 2362659 */   // Label 33467: @2362659
     /* 2362659 */   GIM_Try, /*On fail goto*//*Label 33468*/ GIMT_Encode4(2362702), // Rule ID 58462 //
     /* 2362664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2362667 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2362670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2362684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362701 */     // GIR_Coverage, 58462,
     /* 2362701 */     GIR_EraseRootFromParent_Done,
     /* 2362702 */   // Label 33468: @2362702
     /* 2362702 */   GIM_Reject,
     /* 2362703 */ // Label 33466: @2362703
     /* 2362703 */ GIM_Reject,
     /* 2362704 */ // Label 33429: @2362704
     /* 2362704 */ GIM_Try, /*On fail goto*//*Label 33469*/ GIMT_Encode4(2362807),
     /* 2362709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2362712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362720 */   GIM_Try, /*On fail goto*//*Label 33470*/ GIMT_Encode4(2362763), // Rule ID 58467 //
     /* 2362725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2362728 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2362731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2362745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362762 */     // GIR_Coverage, 58467,
     /* 2362762 */     GIR_EraseRootFromParent_Done,
     /* 2362763 */   // Label 33470: @2362763
     /* 2362763 */   GIM_Try, /*On fail goto*//*Label 33471*/ GIMT_Encode4(2362806), // Rule ID 58468 //
     /* 2362768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2362771 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2362774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2362788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362805 */     // GIR_Coverage, 58468,
     /* 2362805 */     GIR_EraseRootFromParent_Done,
     /* 2362806 */   // Label 33471: @2362806
     /* 2362806 */   GIM_Reject,
     /* 2362807 */ // Label 33469: @2362807
     /* 2362807 */ GIM_Reject,
     /* 2362808 */ // Label 33430: @2362808
     /* 2362808 */ GIM_Try, /*On fail goto*//*Label 33472*/ GIMT_Encode4(2362911),
     /* 2362813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2362816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362824 */   GIM_Try, /*On fail goto*//*Label 33473*/ GIMT_Encode4(2362867), // Rule ID 58475 //
     /* 2362829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2362832 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2362835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2362849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362866 */     // GIR_Coverage, 58475,
     /* 2362866 */     GIR_EraseRootFromParent_Done,
     /* 2362867 */   // Label 33473: @2362867
     /* 2362867 */   GIM_Try, /*On fail goto*//*Label 33474*/ GIMT_Encode4(2362910), // Rule ID 58476 //
     /* 2362872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2362875 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2362878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2362892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362909 */     // GIR_Coverage, 58476,
     /* 2362909 */     GIR_EraseRootFromParent_Done,
     /* 2362910 */   // Label 33474: @2362910
     /* 2362910 */   GIM_Reject,
     /* 2362911 */ // Label 33472: @2362911
     /* 2362911 */ GIM_Reject,
     /* 2362912 */ // Label 33431: @2362912
     /* 2362912 */ GIM_Try, /*On fail goto*//*Label 33475*/ GIMT_Encode4(2363015),
     /* 2362917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2362920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2362928 */   GIM_Try, /*On fail goto*//*Label 33476*/ GIMT_Encode4(2362971), // Rule ID 58497 //
     /* 2362933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2362936 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2362939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2362953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362970 */     // GIR_Coverage, 58497,
     /* 2362970 */     GIR_EraseRootFromParent_Done,
     /* 2362971 */   // Label 33476: @2362971
     /* 2362971 */   GIM_Try, /*On fail goto*//*Label 33477*/ GIMT_Encode4(2363014), // Rule ID 58498 //
     /* 2362976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2362979 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2362982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2362996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363013 */     // GIR_Coverage, 58498,
     /* 2363013 */     GIR_EraseRootFromParent_Done,
     /* 2363014 */   // Label 33477: @2363014
     /* 2363014 */   GIM_Reject,
     /* 2363015 */ // Label 33475: @2363015
     /* 2363015 */ GIM_Reject,
     /* 2363016 */ // Label 33432: @2363016
     /* 2363016 */ GIM_Try, /*On fail goto*//*Label 33478*/ GIMT_Encode4(2363119),
     /* 2363021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2363024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363032 */   GIM_Try, /*On fail goto*//*Label 33479*/ GIMT_Encode4(2363075), // Rule ID 58463 //
     /* 2363037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2363040 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2363043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2363057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363074 */     // GIR_Coverage, 58463,
     /* 2363074 */     GIR_EraseRootFromParent_Done,
     /* 2363075 */   // Label 33479: @2363075
     /* 2363075 */   GIM_Try, /*On fail goto*//*Label 33480*/ GIMT_Encode4(2363118), // Rule ID 58464 //
     /* 2363080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2363083 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2363086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2363100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363117 */     // GIR_Coverage, 58464,
     /* 2363117 */     GIR_EraseRootFromParent_Done,
     /* 2363118 */   // Label 33480: @2363118
     /* 2363118 */   GIM_Reject,
     /* 2363119 */ // Label 33478: @2363119
     /* 2363119 */ GIM_Reject,
     /* 2363120 */ // Label 33433: @2363120
     /* 2363120 */ GIM_Try, /*On fail goto*//*Label 33481*/ GIMT_Encode4(2363223),
     /* 2363125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2363128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363136 */   GIM_Try, /*On fail goto*//*Label 33482*/ GIMT_Encode4(2363179), // Rule ID 58473 //
     /* 2363141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2363144 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2363147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2363161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363178 */     // GIR_Coverage, 58473,
     /* 2363178 */     GIR_EraseRootFromParent_Done,
     /* 2363179 */   // Label 33482: @2363179
     /* 2363179 */   GIM_Try, /*On fail goto*//*Label 33483*/ GIMT_Encode4(2363222), // Rule ID 58474 //
     /* 2363184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2363187 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2363190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2363204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363221 */     // GIR_Coverage, 58474,
     /* 2363221 */     GIR_EraseRootFromParent_Done,
     /* 2363222 */   // Label 33483: @2363222
     /* 2363222 */   GIM_Reject,
     /* 2363223 */ // Label 33481: @2363223
     /* 2363223 */ GIM_Reject,
     /* 2363224 */ // Label 33434: @2363224
     /* 2363224 */ GIM_Try, /*On fail goto*//*Label 33484*/ GIMT_Encode4(2363327),
     /* 2363229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2363232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363240 */   GIM_Try, /*On fail goto*//*Label 33485*/ GIMT_Encode4(2363283), // Rule ID 58491 //
     /* 2363245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2363248 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2363251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2363265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363282 */     // GIR_Coverage, 58491,
     /* 2363282 */     GIR_EraseRootFromParent_Done,
     /* 2363283 */   // Label 33485: @2363283
     /* 2363283 */   GIM_Try, /*On fail goto*//*Label 33486*/ GIMT_Encode4(2363326), // Rule ID 58492 //
     /* 2363288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2363291 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2363294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2363308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363325 */     // GIR_Coverage, 58492,
     /* 2363325 */     GIR_EraseRootFromParent_Done,
     /* 2363326 */   // Label 33486: @2363326
     /* 2363326 */   GIM_Reject,
     /* 2363327 */ // Label 33484: @2363327
     /* 2363327 */ GIM_Reject,
     /* 2363328 */ // Label 33435: @2363328
     /* 2363328 */ GIM_Try, /*On fail goto*//*Label 33487*/ GIMT_Encode4(2363431),
     /* 2363333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2363336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363344 */   GIM_Try, /*On fail goto*//*Label 33488*/ GIMT_Encode4(2363387), // Rule ID 58499 //
     /* 2363349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2363352 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2363355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2363369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363386 */     // GIR_Coverage, 58499,
     /* 2363386 */     GIR_EraseRootFromParent_Done,
     /* 2363387 */   // Label 33488: @2363387
     /* 2363387 */   GIM_Try, /*On fail goto*//*Label 33489*/ GIMT_Encode4(2363430), // Rule ID 58500 //
     /* 2363392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2363395 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2363398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2363412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363429 */     // GIR_Coverage, 58500,
     /* 2363429 */     GIR_EraseRootFromParent_Done,
     /* 2363430 */   // Label 33489: @2363430
     /* 2363430 */   GIM_Reject,
     /* 2363431 */ // Label 33487: @2363431
     /* 2363431 */ GIM_Reject,
     /* 2363432 */ // Label 33436: @2363432
     /* 2363432 */ GIM_Try, /*On fail goto*//*Label 33490*/ GIMT_Encode4(2363535),
     /* 2363437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2363440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363448 */   GIM_Try, /*On fail goto*//*Label 33491*/ GIMT_Encode4(2363491), // Rule ID 58471 //
     /* 2363453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2363456 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2363459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2363473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363490 */     // GIR_Coverage, 58471,
     /* 2363490 */     GIR_EraseRootFromParent_Done,
     /* 2363491 */   // Label 33491: @2363491
     /* 2363491 */   GIM_Try, /*On fail goto*//*Label 33492*/ GIMT_Encode4(2363534), // Rule ID 58472 //
     /* 2363496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2363499 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2363502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2363516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363533 */     // GIR_Coverage, 58472,
     /* 2363533 */     GIR_EraseRootFromParent_Done,
     /* 2363534 */   // Label 33492: @2363534
     /* 2363534 */   GIM_Reject,
     /* 2363535 */ // Label 33490: @2363535
     /* 2363535 */ GIM_Reject,
     /* 2363536 */ // Label 33437: @2363536
     /* 2363536 */ GIM_Try, /*On fail goto*//*Label 33493*/ GIMT_Encode4(2363639),
     /* 2363541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2363544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363552 */   GIM_Try, /*On fail goto*//*Label 33494*/ GIMT_Encode4(2363595), // Rule ID 58485 //
     /* 2363557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2363560 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2363563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2363577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363594 */     // GIR_Coverage, 58485,
     /* 2363594 */     GIR_EraseRootFromParent_Done,
     /* 2363595 */   // Label 33494: @2363595
     /* 2363595 */   GIM_Try, /*On fail goto*//*Label 33495*/ GIMT_Encode4(2363638), // Rule ID 58486 //
     /* 2363600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2363603 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2363606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2363620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363637 */     // GIR_Coverage, 58486,
     /* 2363637 */     GIR_EraseRootFromParent_Done,
     /* 2363638 */   // Label 33495: @2363638
     /* 2363638 */   GIM_Reject,
     /* 2363639 */ // Label 33493: @2363639
     /* 2363639 */ GIM_Reject,
     /* 2363640 */ // Label 33438: @2363640
     /* 2363640 */ GIM_Try, /*On fail goto*//*Label 33496*/ GIMT_Encode4(2363743),
     /* 2363645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2363648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363656 */   GIM_Try, /*On fail goto*//*Label 33497*/ GIMT_Encode4(2363699), // Rule ID 58493 //
     /* 2363661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2363664 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2363667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2363681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363698 */     // GIR_Coverage, 58493,
     /* 2363698 */     GIR_EraseRootFromParent_Done,
     /* 2363699 */   // Label 33497: @2363699
     /* 2363699 */   GIM_Try, /*On fail goto*//*Label 33498*/ GIMT_Encode4(2363742), // Rule ID 58494 //
     /* 2363704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2363707 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2363710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2363724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363741 */     // GIR_Coverage, 58494,
     /* 2363741 */     GIR_EraseRootFromParent_Done,
     /* 2363742 */   // Label 33498: @2363742
     /* 2363742 */   GIM_Reject,
     /* 2363743 */ // Label 33496: @2363743
     /* 2363743 */ GIM_Reject,
     /* 2363744 */ // Label 33439: @2363744
     /* 2363744 */ GIM_Try, /*On fail goto*//*Label 33499*/ GIMT_Encode4(2363847),
     /* 2363749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2363752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2363760 */   GIM_Try, /*On fail goto*//*Label 33500*/ GIMT_Encode4(2363803), // Rule ID 58501 //
     /* 2363765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2363768 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2363771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2363785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363802 */     // GIR_Coverage, 58501,
     /* 2363802 */     GIR_EraseRootFromParent_Done,
     /* 2363803 */   // Label 33500: @2363803
     /* 2363803 */   GIM_Try, /*On fail goto*//*Label 33501*/ GIMT_Encode4(2363846), // Rule ID 58502 //
     /* 2363808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2363811 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2363814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2363828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363845 */     // GIR_Coverage, 58502,
     /* 2363845 */     GIR_EraseRootFromParent_Done,
     /* 2363846 */   // Label 33501: @2363846
     /* 2363846 */   GIM_Reject,
     /* 2363847 */ // Label 33499: @2363847
     /* 2363847 */ GIM_Reject,
     /* 2363848 */ // Label 33440: @2363848
     /* 2363848 */ GIM_Try, /*On fail goto*//*Label 33502*/ GIMT_Encode4(2363951),
     /* 2363853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2363856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363864 */   GIM_Try, /*On fail goto*//*Label 33503*/ GIMT_Encode4(2363907), // Rule ID 58479 //
     /* 2363869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2363872 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2363875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2363889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363906 */     // GIR_Coverage, 58479,
     /* 2363906 */     GIR_EraseRootFromParent_Done,
     /* 2363907 */   // Label 33503: @2363907
     /* 2363907 */   GIM_Try, /*On fail goto*//*Label 33504*/ GIMT_Encode4(2363950), // Rule ID 58480 //
     /* 2363912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2363915 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2363918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2363932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363949 */     // GIR_Coverage, 58480,
     /* 2363949 */     GIR_EraseRootFromParent_Done,
     /* 2363950 */   // Label 33504: @2363950
     /* 2363950 */   GIM_Reject,
     /* 2363951 */ // Label 33502: @2363951
     /* 2363951 */ GIM_Reject,
     /* 2363952 */ // Label 33441: @2363952
     /* 2363952 */ GIM_Try, /*On fail goto*//*Label 33505*/ GIMT_Encode4(2364055),
     /* 2363957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2363960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363968 */   GIM_Try, /*On fail goto*//*Label 33506*/ GIMT_Encode4(2364011), // Rule ID 58487 //
     /* 2363973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2363976 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2363979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2363993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364010 */     // GIR_Coverage, 58487,
     /* 2364010 */     GIR_EraseRootFromParent_Done,
     /* 2364011 */   // Label 33506: @2364011
     /* 2364011 */   GIM_Try, /*On fail goto*//*Label 33507*/ GIMT_Encode4(2364054), // Rule ID 58488 //
     /* 2364016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364019 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2364022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2364036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364053 */     // GIR_Coverage, 58488,
     /* 2364053 */     GIR_EraseRootFromParent_Done,
     /* 2364054 */   // Label 33507: @2364054
     /* 2364054 */   GIM_Reject,
     /* 2364055 */ // Label 33505: @2364055
     /* 2364055 */ GIM_Reject,
     /* 2364056 */ // Label 33442: @2364056
     /* 2364056 */ GIM_Try, /*On fail goto*//*Label 33508*/ GIMT_Encode4(2364159),
     /* 2364061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2364064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364072 */   GIM_Try, /*On fail goto*//*Label 33509*/ GIMT_Encode4(2364115), // Rule ID 58495 //
     /* 2364077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364080 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2364083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2364097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364114 */     // GIR_Coverage, 58495,
     /* 2364114 */     GIR_EraseRootFromParent_Done,
     /* 2364115 */   // Label 33509: @2364115
     /* 2364115 */   GIM_Try, /*On fail goto*//*Label 33510*/ GIMT_Encode4(2364158), // Rule ID 58496 //
     /* 2364120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364123 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2364126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2364140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364157 */     // GIR_Coverage, 58496,
     /* 2364157 */     GIR_EraseRootFromParent_Done,
     /* 2364158 */   // Label 33510: @2364158
     /* 2364158 */   GIM_Reject,
     /* 2364159 */ // Label 33508: @2364159
     /* 2364159 */ GIM_Reject,
     /* 2364160 */ // Label 33443: @2364160
     /* 2364160 */ GIM_Try, /*On fail goto*//*Label 33511*/ GIMT_Encode4(2364263),
     /* 2364165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2364168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364176 */   GIM_Try, /*On fail goto*//*Label 33512*/ GIMT_Encode4(2364219), // Rule ID 58481 //
     /* 2364181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364184 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2364187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2364201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364218 */     // GIR_Coverage, 58481,
     /* 2364218 */     GIR_EraseRootFromParent_Done,
     /* 2364219 */   // Label 33512: @2364219
     /* 2364219 */   GIM_Try, /*On fail goto*//*Label 33513*/ GIMT_Encode4(2364262), // Rule ID 58482 //
     /* 2364224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364227 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2364230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2364244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364261 */     // GIR_Coverage, 58482,
     /* 2364261 */     GIR_EraseRootFromParent_Done,
     /* 2364262 */   // Label 33513: @2364262
     /* 2364262 */   GIM_Reject,
     /* 2364263 */ // Label 33511: @2364263
     /* 2364263 */ GIM_Reject,
     /* 2364264 */ // Label 33444: @2364264
     /* 2364264 */ GIM_Try, /*On fail goto*//*Label 33514*/ GIMT_Encode4(2364367),
     /* 2364269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2364272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364276 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364280 */   GIM_Try, /*On fail goto*//*Label 33515*/ GIMT_Encode4(2364323), // Rule ID 58489 //
     /* 2364285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364288 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2364291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2364305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364322 */     // GIR_Coverage, 58489,
     /* 2364322 */     GIR_EraseRootFromParent_Done,
     /* 2364323 */   // Label 33515: @2364323
     /* 2364323 */   GIM_Try, /*On fail goto*//*Label 33516*/ GIMT_Encode4(2364366), // Rule ID 58490 //
     /* 2364328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364331 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2364334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2364348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364365 */     // GIR_Coverage, 58490,
     /* 2364365 */     GIR_EraseRootFromParent_Done,
     /* 2364366 */   // Label 33516: @2364366
     /* 2364366 */   GIM_Reject,
     /* 2364367 */ // Label 33514: @2364367
     /* 2364367 */ GIM_Reject,
     /* 2364368 */ // Label 33445: @2364368
     /* 2364368 */ GIM_Try, /*On fail goto*//*Label 33517*/ GIMT_Encode4(2364471),
     /* 2364373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2364376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364384 */   GIM_Try, /*On fail goto*//*Label 33518*/ GIMT_Encode4(2364427), // Rule ID 58483 //
     /* 2364389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2364392 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2364395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2364409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364426 */     // GIR_Coverage, 58483,
     /* 2364426 */     GIR_EraseRootFromParent_Done,
     /* 2364427 */   // Label 33518: @2364427
     /* 2364427 */   GIM_Try, /*On fail goto*//*Label 33519*/ GIMT_Encode4(2364470), // Rule ID 58484 //
     /* 2364432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2364435 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2364438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2364452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364469 */     // GIR_Coverage, 58484,
     /* 2364469 */     GIR_EraseRootFromParent_Done,
     /* 2364470 */   // Label 33519: @2364470
     /* 2364470 */   GIM_Reject,
     /* 2364471 */ // Label 33517: @2364471
     /* 2364471 */ GIM_Reject,
     /* 2364472 */ // Label 33446: @2364472
     /* 2364472 */ GIM_Reject,
     /* 2364473 */ // Label 88: @2364473
     /* 2364473 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33544*/ GIMT_Encode4(2366966),
     /* 2364484 */ /*GILLT_s32*//*Label 33520*/ GIMT_Encode4(2364608),
     /* 2364488 */ /*GILLT_s64*//*Label 33521*/ GIMT_Encode4(2364643), GIMT_Encode4(0),
     /* 2364496 */ /*GILLT_nxv1s8*//*Label 33522*/ GIMT_Encode4(2364678),
     /* 2364500 */ /*GILLT_nxv1s16*//*Label 33523*/ GIMT_Encode4(2364782),
     /* 2364504 */ /*GILLT_nxv1s32*//*Label 33524*/ GIMT_Encode4(2364886),
     /* 2364508 */ /*GILLT_nxv1s64*//*Label 33525*/ GIMT_Encode4(2364990), GIMT_Encode4(0),
     /* 2364516 */ /*GILLT_nxv2s8*//*Label 33526*/ GIMT_Encode4(2365094),
     /* 2364520 */ /*GILLT_nxv2s16*//*Label 33527*/ GIMT_Encode4(2365198),
     /* 2364524 */ /*GILLT_nxv2s32*//*Label 33528*/ GIMT_Encode4(2365302),
     /* 2364528 */ /*GILLT_nxv2s64*//*Label 33529*/ GIMT_Encode4(2365406), GIMT_Encode4(0),
     /* 2364536 */ /*GILLT_nxv4s8*//*Label 33530*/ GIMT_Encode4(2365510),
     /* 2364540 */ /*GILLT_nxv4s16*//*Label 33531*/ GIMT_Encode4(2365614),
     /* 2364544 */ /*GILLT_nxv4s32*//*Label 33532*/ GIMT_Encode4(2365718),
     /* 2364548 */ /*GILLT_nxv4s64*//*Label 33533*/ GIMT_Encode4(2365822), GIMT_Encode4(0),
     /* 2364556 */ /*GILLT_nxv8s8*//*Label 33534*/ GIMT_Encode4(2365926),
     /* 2364560 */ /*GILLT_nxv8s16*//*Label 33535*/ GIMT_Encode4(2366030),
     /* 2364564 */ /*GILLT_nxv8s32*//*Label 33536*/ GIMT_Encode4(2366134),
     /* 2364568 */ /*GILLT_nxv8s64*//*Label 33537*/ GIMT_Encode4(2366238), GIMT_Encode4(0),
     /* 2364576 */ /*GILLT_nxv16s8*//*Label 33538*/ GIMT_Encode4(2366342),
     /* 2364580 */ /*GILLT_nxv16s16*//*Label 33539*/ GIMT_Encode4(2366446),
     /* 2364584 */ /*GILLT_nxv16s32*//*Label 33540*/ GIMT_Encode4(2366550), GIMT_Encode4(0),
     /* 2364592 */ /*GILLT_nxv32s8*//*Label 33541*/ GIMT_Encode4(2366654),
     /* 2364596 */ /*GILLT_nxv32s16*//*Label 33542*/ GIMT_Encode4(2366758), GIMT_Encode4(0),
     /* 2364604 */ /*GILLT_nxv64s8*//*Label 33543*/ GIMT_Encode4(2366862),
     /* 2364608 */ // Label 33520: @2364608
     /* 2364608 */ GIM_Try, /*On fail goto*//*Label 33545*/ GIMT_Encode4(2364642), // Rule ID 63851 //
     /* 2364613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2364616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2364619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364627 */   // (bitreverse:{ *:[i32] } GPR:{ *:[i32] }:$rs)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2364627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2364630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364632 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2364634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2364637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2364640 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364641 */   // GIR_Coverage, 63851,
     /* 2364641 */   GIR_EraseRootFromParent_Done,
     /* 2364642 */ // Label 33545: @2364642
     /* 2364642 */ GIM_Reject,
     /* 2364643 */ // Label 33521: @2364643
     /* 2364643 */ GIM_Try, /*On fail goto*//*Label 33546*/ GIMT_Encode4(2364677), // Rule ID 63850 //
     /* 2364648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2364651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2364654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364662 */   // (bitreverse:{ *:[i64] } GPR:{ *:[i64] }:$rs)  =>  (CV_BITREV:{ *:[i64] } GPR:{ *:[i64] }:$rs, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2364662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2364665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364667 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2364669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2364672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2364675 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364676 */   // GIR_Coverage, 63850,
     /* 2364676 */   GIR_EraseRootFromParent_Done,
     /* 2364677 */ // Label 33546: @2364677
     /* 2364677 */ GIM_Reject,
     /* 2364678 */ // Label 33522: @2364678
     /* 2364678 */ GIM_Try, /*On fail goto*//*Label 33547*/ GIMT_Encode4(2364781),
     /* 2364683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2364686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364694 */   GIM_Try, /*On fail goto*//*Label 33548*/ GIMT_Encode4(2364737), // Rule ID 58283 //
     /* 2364699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2364702 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2364705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2364719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364736 */     // GIR_Coverage, 58283,
     /* 2364736 */     GIR_EraseRootFromParent_Done,
     /* 2364737 */   // Label 33548: @2364737
     /* 2364737 */   GIM_Try, /*On fail goto*//*Label 33549*/ GIMT_Encode4(2364780), // Rule ID 58284 //
     /* 2364742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2364745 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2364748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2364762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364779 */     // GIR_Coverage, 58284,
     /* 2364779 */     GIR_EraseRootFromParent_Done,
     /* 2364780 */   // Label 33549: @2364780
     /* 2364780 */   GIM_Reject,
     /* 2364781 */ // Label 33547: @2364781
     /* 2364781 */ GIM_Reject,
     /* 2364782 */ // Label 33523: @2364782
     /* 2364782 */ GIM_Try, /*On fail goto*//*Label 33550*/ GIMT_Encode4(2364885),
     /* 2364787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2364790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364798 */   GIM_Try, /*On fail goto*//*Label 33551*/ GIMT_Encode4(2364841), // Rule ID 58421 //
     /* 2364803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2364806 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2364809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2364823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364840 */     // GIR_Coverage, 58421,
     /* 2364840 */     GIR_EraseRootFromParent_Done,
     /* 2364841 */   // Label 33551: @2364841
     /* 2364841 */   GIM_Try, /*On fail goto*//*Label 33552*/ GIMT_Encode4(2364884), // Rule ID 58422 //
     /* 2364846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2364849 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2364852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2364866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364883 */     // GIR_Coverage, 58422,
     /* 2364883 */     GIR_EraseRootFromParent_Done,
     /* 2364884 */   // Label 33552: @2364884
     /* 2364884 */   GIM_Reject,
     /* 2364885 */ // Label 33550: @2364885
     /* 2364885 */ GIM_Reject,
     /* 2364886 */ // Label 33524: @2364886
     /* 2364886 */ GIM_Try, /*On fail goto*//*Label 33553*/ GIMT_Encode4(2364989),
     /* 2364891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2364894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364902 */   GIM_Try, /*On fail goto*//*Label 33554*/ GIMT_Encode4(2364945), // Rule ID 58425 //
     /* 2364907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2364910 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2364913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2364927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364944 */     // GIR_Coverage, 58425,
     /* 2364944 */     GIR_EraseRootFromParent_Done,
     /* 2364945 */   // Label 33554: @2364945
     /* 2364945 */   GIM_Try, /*On fail goto*//*Label 33555*/ GIMT_Encode4(2364988), // Rule ID 58426 //
     /* 2364950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2364953 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2364956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2364970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364987 */     // GIR_Coverage, 58426,
     /* 2364987 */     GIR_EraseRootFromParent_Done,
     /* 2364988 */   // Label 33555: @2364988
     /* 2364988 */   GIM_Reject,
     /* 2364989 */ // Label 33553: @2364989
     /* 2364989 */ GIM_Reject,
     /* 2364990 */ // Label 33525: @2364990
     /* 2364990 */ GIM_Try, /*On fail goto*//*Label 33556*/ GIMT_Encode4(2365093),
     /* 2364995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2364998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365006 */   GIM_Try, /*On fail goto*//*Label 33557*/ GIMT_Encode4(2365049), // Rule ID 58433 //
     /* 2365011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2365014 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2365017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2365031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365048 */     // GIR_Coverage, 58433,
     /* 2365048 */     GIR_EraseRootFromParent_Done,
     /* 2365049 */   // Label 33557: @2365049
     /* 2365049 */   GIM_Try, /*On fail goto*//*Label 33558*/ GIMT_Encode4(2365092), // Rule ID 58434 //
     /* 2365054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2365057 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2365060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2365074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365091 */     // GIR_Coverage, 58434,
     /* 2365091 */     GIR_EraseRootFromParent_Done,
     /* 2365092 */   // Label 33558: @2365092
     /* 2365092 */   GIM_Reject,
     /* 2365093 */ // Label 33556: @2365093
     /* 2365093 */ GIM_Reject,
     /* 2365094 */ // Label 33526: @2365094
     /* 2365094 */ GIM_Try, /*On fail goto*//*Label 33559*/ GIMT_Encode4(2365197),
     /* 2365099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2365102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365110 */   GIM_Try, /*On fail goto*//*Label 33560*/ GIMT_Encode4(2365153), // Rule ID 58417 //
     /* 2365115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2365118 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2365121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2365135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365152 */     // GIR_Coverage, 58417,
     /* 2365152 */     GIR_EraseRootFromParent_Done,
     /* 2365153 */   // Label 33560: @2365153
     /* 2365153 */   GIM_Try, /*On fail goto*//*Label 33561*/ GIMT_Encode4(2365196), // Rule ID 58418 //
     /* 2365158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2365161 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2365164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2365178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365195 */     // GIR_Coverage, 58418,
     /* 2365195 */     GIR_EraseRootFromParent_Done,
     /* 2365196 */   // Label 33561: @2365196
     /* 2365196 */   GIM_Reject,
     /* 2365197 */ // Label 33559: @2365197
     /* 2365197 */ GIM_Reject,
     /* 2365198 */ // Label 33527: @2365198
     /* 2365198 */ GIM_Try, /*On fail goto*//*Label 33562*/ GIMT_Encode4(2365301),
     /* 2365203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2365206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365214 */   GIM_Try, /*On fail goto*//*Label 33563*/ GIMT_Encode4(2365257), // Rule ID 58423 //
     /* 2365219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2365222 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2365225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2365239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365256 */     // GIR_Coverage, 58423,
     /* 2365256 */     GIR_EraseRootFromParent_Done,
     /* 2365257 */   // Label 33563: @2365257
     /* 2365257 */   GIM_Try, /*On fail goto*//*Label 33564*/ GIMT_Encode4(2365300), // Rule ID 58424 //
     /* 2365262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2365265 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2365268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2365282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365299 */     // GIR_Coverage, 58424,
     /* 2365299 */     GIR_EraseRootFromParent_Done,
     /* 2365300 */   // Label 33564: @2365300
     /* 2365300 */   GIM_Reject,
     /* 2365301 */ // Label 33562: @2365301
     /* 2365301 */ GIM_Reject,
     /* 2365302 */ // Label 33528: @2365302
     /* 2365302 */ GIM_Try, /*On fail goto*//*Label 33565*/ GIMT_Encode4(2365405),
     /* 2365307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2365310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365318 */   GIM_Try, /*On fail goto*//*Label 33566*/ GIMT_Encode4(2365361), // Rule ID 58431 //
     /* 2365323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2365326 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2365329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2365343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365360 */     // GIR_Coverage, 58431,
     /* 2365360 */     GIR_EraseRootFromParent_Done,
     /* 2365361 */   // Label 33566: @2365361
     /* 2365361 */   GIM_Try, /*On fail goto*//*Label 33567*/ GIMT_Encode4(2365404), // Rule ID 58432 //
     /* 2365366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2365369 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2365372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2365386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365403 */     // GIR_Coverage, 58432,
     /* 2365403 */     GIR_EraseRootFromParent_Done,
     /* 2365404 */   // Label 33567: @2365404
     /* 2365404 */   GIM_Reject,
     /* 2365405 */ // Label 33565: @2365405
     /* 2365405 */ GIM_Reject,
     /* 2365406 */ // Label 33529: @2365406
     /* 2365406 */ GIM_Try, /*On fail goto*//*Label 33568*/ GIMT_Encode4(2365509),
     /* 2365411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2365414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365422 */   GIM_Try, /*On fail goto*//*Label 33569*/ GIMT_Encode4(2365465), // Rule ID 58453 //
     /* 2365427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2365430 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2365433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2365447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365464 */     // GIR_Coverage, 58453,
     /* 2365464 */     GIR_EraseRootFromParent_Done,
     /* 2365465 */   // Label 33569: @2365465
     /* 2365465 */   GIM_Try, /*On fail goto*//*Label 33570*/ GIMT_Encode4(2365508), // Rule ID 58454 //
     /* 2365470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2365473 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2365476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2365490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365507 */     // GIR_Coverage, 58454,
     /* 2365507 */     GIR_EraseRootFromParent_Done,
     /* 2365508 */   // Label 33570: @2365508
     /* 2365508 */   GIM_Reject,
     /* 2365509 */ // Label 33568: @2365509
     /* 2365509 */ GIM_Reject,
     /* 2365510 */ // Label 33530: @2365510
     /* 2365510 */ GIM_Try, /*On fail goto*//*Label 33571*/ GIMT_Encode4(2365613),
     /* 2365515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2365518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365526 */   GIM_Try, /*On fail goto*//*Label 33572*/ GIMT_Encode4(2365569), // Rule ID 58419 //
     /* 2365531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2365534 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2365537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2365551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365568 */     // GIR_Coverage, 58419,
     /* 2365568 */     GIR_EraseRootFromParent_Done,
     /* 2365569 */   // Label 33572: @2365569
     /* 2365569 */   GIM_Try, /*On fail goto*//*Label 33573*/ GIMT_Encode4(2365612), // Rule ID 58420 //
     /* 2365574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2365577 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2365580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2365594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365611 */     // GIR_Coverage, 58420,
     /* 2365611 */     GIR_EraseRootFromParent_Done,
     /* 2365612 */   // Label 33573: @2365612
     /* 2365612 */   GIM_Reject,
     /* 2365613 */ // Label 33571: @2365613
     /* 2365613 */ GIM_Reject,
     /* 2365614 */ // Label 33531: @2365614
     /* 2365614 */ GIM_Try, /*On fail goto*//*Label 33574*/ GIMT_Encode4(2365717),
     /* 2365619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2365622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365630 */   GIM_Try, /*On fail goto*//*Label 33575*/ GIMT_Encode4(2365673), // Rule ID 58429 //
     /* 2365635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2365638 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2365641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2365655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365672 */     // GIR_Coverage, 58429,
     /* 2365672 */     GIR_EraseRootFromParent_Done,
     /* 2365673 */   // Label 33575: @2365673
     /* 2365673 */   GIM_Try, /*On fail goto*//*Label 33576*/ GIMT_Encode4(2365716), // Rule ID 58430 //
     /* 2365678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2365681 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2365684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2365698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365715 */     // GIR_Coverage, 58430,
     /* 2365715 */     GIR_EraseRootFromParent_Done,
     /* 2365716 */   // Label 33576: @2365716
     /* 2365716 */   GIM_Reject,
     /* 2365717 */ // Label 33574: @2365717
     /* 2365717 */ GIM_Reject,
     /* 2365718 */ // Label 33532: @2365718
     /* 2365718 */ GIM_Try, /*On fail goto*//*Label 33577*/ GIMT_Encode4(2365821),
     /* 2365723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2365726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365734 */   GIM_Try, /*On fail goto*//*Label 33578*/ GIMT_Encode4(2365777), // Rule ID 58447 //
     /* 2365739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2365742 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2365745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2365759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365776 */     // GIR_Coverage, 58447,
     /* 2365776 */     GIR_EraseRootFromParent_Done,
     /* 2365777 */   // Label 33578: @2365777
     /* 2365777 */   GIM_Try, /*On fail goto*//*Label 33579*/ GIMT_Encode4(2365820), // Rule ID 58448 //
     /* 2365782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2365785 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2365788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2365802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365819 */     // GIR_Coverage, 58448,
     /* 2365819 */     GIR_EraseRootFromParent_Done,
     /* 2365820 */   // Label 33579: @2365820
     /* 2365820 */   GIM_Reject,
     /* 2365821 */ // Label 33577: @2365821
     /* 2365821 */ GIM_Reject,
     /* 2365822 */ // Label 33533: @2365822
     /* 2365822 */ GIM_Try, /*On fail goto*//*Label 33580*/ GIMT_Encode4(2365925),
     /* 2365827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2365830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365838 */   GIM_Try, /*On fail goto*//*Label 33581*/ GIMT_Encode4(2365881), // Rule ID 58455 //
     /* 2365843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2365846 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2365849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2365863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365880 */     // GIR_Coverage, 58455,
     /* 2365880 */     GIR_EraseRootFromParent_Done,
     /* 2365881 */   // Label 33581: @2365881
     /* 2365881 */   GIM_Try, /*On fail goto*//*Label 33582*/ GIMT_Encode4(2365924), // Rule ID 58456 //
     /* 2365886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2365889 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2365892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2365906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365923 */     // GIR_Coverage, 58456,
     /* 2365923 */     GIR_EraseRootFromParent_Done,
     /* 2365924 */   // Label 33582: @2365924
     /* 2365924 */   GIM_Reject,
     /* 2365925 */ // Label 33580: @2365925
     /* 2365925 */ GIM_Reject,
     /* 2365926 */ // Label 33534: @2365926
     /* 2365926 */ GIM_Try, /*On fail goto*//*Label 33583*/ GIMT_Encode4(2366029),
     /* 2365931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2365934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365942 */   GIM_Try, /*On fail goto*//*Label 33584*/ GIMT_Encode4(2365985), // Rule ID 58427 //
     /* 2365947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2365950 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2365953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2365967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365984 */     // GIR_Coverage, 58427,
     /* 2365984 */     GIR_EraseRootFromParent_Done,
     /* 2365985 */   // Label 33584: @2365985
     /* 2365985 */   GIM_Try, /*On fail goto*//*Label 33585*/ GIMT_Encode4(2366028), // Rule ID 58428 //
     /* 2365990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2365993 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2365996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2366010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366027 */     // GIR_Coverage, 58428,
     /* 2366027 */     GIR_EraseRootFromParent_Done,
     /* 2366028 */   // Label 33585: @2366028
     /* 2366028 */   GIM_Reject,
     /* 2366029 */ // Label 33583: @2366029
     /* 2366029 */ GIM_Reject,
     /* 2366030 */ // Label 33535: @2366030
     /* 2366030 */ GIM_Try, /*On fail goto*//*Label 33586*/ GIMT_Encode4(2366133),
     /* 2366035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2366038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366046 */   GIM_Try, /*On fail goto*//*Label 33587*/ GIMT_Encode4(2366089), // Rule ID 58441 //
     /* 2366051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366054 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2366057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2366071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366088 */     // GIR_Coverage, 58441,
     /* 2366088 */     GIR_EraseRootFromParent_Done,
     /* 2366089 */   // Label 33587: @2366089
     /* 2366089 */   GIM_Try, /*On fail goto*//*Label 33588*/ GIMT_Encode4(2366132), // Rule ID 58442 //
     /* 2366094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366097 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2366100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2366114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366131 */     // GIR_Coverage, 58442,
     /* 2366131 */     GIR_EraseRootFromParent_Done,
     /* 2366132 */   // Label 33588: @2366132
     /* 2366132 */   GIM_Reject,
     /* 2366133 */ // Label 33586: @2366133
     /* 2366133 */ GIM_Reject,
     /* 2366134 */ // Label 33536: @2366134
     /* 2366134 */ GIM_Try, /*On fail goto*//*Label 33589*/ GIMT_Encode4(2366237),
     /* 2366139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2366142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366150 */   GIM_Try, /*On fail goto*//*Label 33590*/ GIMT_Encode4(2366193), // Rule ID 58449 //
     /* 2366155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366158 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2366161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2366175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366192 */     // GIR_Coverage, 58449,
     /* 2366192 */     GIR_EraseRootFromParent_Done,
     /* 2366193 */   // Label 33590: @2366193
     /* 2366193 */   GIM_Try, /*On fail goto*//*Label 33591*/ GIMT_Encode4(2366236), // Rule ID 58450 //
     /* 2366198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366201 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2366204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2366218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366235 */     // GIR_Coverage, 58450,
     /* 2366235 */     GIR_EraseRootFromParent_Done,
     /* 2366236 */   // Label 33591: @2366236
     /* 2366236 */   GIM_Reject,
     /* 2366237 */ // Label 33589: @2366237
     /* 2366237 */ GIM_Reject,
     /* 2366238 */ // Label 33537: @2366238
     /* 2366238 */ GIM_Try, /*On fail goto*//*Label 33592*/ GIMT_Encode4(2366341),
     /* 2366243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2366246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366250 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366254 */   GIM_Try, /*On fail goto*//*Label 33593*/ GIMT_Encode4(2366297), // Rule ID 58457 //
     /* 2366259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2366262 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2366265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2366279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366296 */     // GIR_Coverage, 58457,
     /* 2366296 */     GIR_EraseRootFromParent_Done,
     /* 2366297 */   // Label 33593: @2366297
     /* 2366297 */   GIM_Try, /*On fail goto*//*Label 33594*/ GIMT_Encode4(2366340), // Rule ID 58458 //
     /* 2366302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2366305 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2366308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2366322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366339 */     // GIR_Coverage, 58458,
     /* 2366339 */     GIR_EraseRootFromParent_Done,
     /* 2366340 */   // Label 33594: @2366340
     /* 2366340 */   GIM_Reject,
     /* 2366341 */ // Label 33592: @2366341
     /* 2366341 */ GIM_Reject,
     /* 2366342 */ // Label 33538: @2366342
     /* 2366342 */ GIM_Try, /*On fail goto*//*Label 33595*/ GIMT_Encode4(2366445),
     /* 2366347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2366350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366358 */   GIM_Try, /*On fail goto*//*Label 33596*/ GIMT_Encode4(2366401), // Rule ID 58435 //
     /* 2366363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366366 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2366369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2366383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366400 */     // GIR_Coverage, 58435,
     /* 2366400 */     GIR_EraseRootFromParent_Done,
     /* 2366401 */   // Label 33596: @2366401
     /* 2366401 */   GIM_Try, /*On fail goto*//*Label 33597*/ GIMT_Encode4(2366444), // Rule ID 58436 //
     /* 2366406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366409 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2366412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2366426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366443 */     // GIR_Coverage, 58436,
     /* 2366443 */     GIR_EraseRootFromParent_Done,
     /* 2366444 */   // Label 33597: @2366444
     /* 2366444 */   GIM_Reject,
     /* 2366445 */ // Label 33595: @2366445
     /* 2366445 */ GIM_Reject,
     /* 2366446 */ // Label 33539: @2366446
     /* 2366446 */ GIM_Try, /*On fail goto*//*Label 33598*/ GIMT_Encode4(2366549),
     /* 2366451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2366454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366462 */   GIM_Try, /*On fail goto*//*Label 33599*/ GIMT_Encode4(2366505), // Rule ID 58443 //
     /* 2366467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366470 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2366473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2366487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366504 */     // GIR_Coverage, 58443,
     /* 2366504 */     GIR_EraseRootFromParent_Done,
     /* 2366505 */   // Label 33599: @2366505
     /* 2366505 */   GIM_Try, /*On fail goto*//*Label 33600*/ GIMT_Encode4(2366548), // Rule ID 58444 //
     /* 2366510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366513 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2366516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2366530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366547 */     // GIR_Coverage, 58444,
     /* 2366547 */     GIR_EraseRootFromParent_Done,
     /* 2366548 */   // Label 33600: @2366548
     /* 2366548 */   GIM_Reject,
     /* 2366549 */ // Label 33598: @2366549
     /* 2366549 */ GIM_Reject,
     /* 2366550 */ // Label 33540: @2366550
     /* 2366550 */ GIM_Try, /*On fail goto*//*Label 33601*/ GIMT_Encode4(2366653),
     /* 2366555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2366558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366566 */   GIM_Try, /*On fail goto*//*Label 33602*/ GIMT_Encode4(2366609), // Rule ID 58451 //
     /* 2366571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366574 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2366577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2366591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366608 */     // GIR_Coverage, 58451,
     /* 2366608 */     GIR_EraseRootFromParent_Done,
     /* 2366609 */   // Label 33602: @2366609
     /* 2366609 */   GIM_Try, /*On fail goto*//*Label 33603*/ GIMT_Encode4(2366652), // Rule ID 58452 //
     /* 2366614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366617 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2366620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2366634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366651 */     // GIR_Coverage, 58452,
     /* 2366651 */     GIR_EraseRootFromParent_Done,
     /* 2366652 */   // Label 33603: @2366652
     /* 2366652 */   GIM_Reject,
     /* 2366653 */ // Label 33601: @2366653
     /* 2366653 */ GIM_Reject,
     /* 2366654 */ // Label 33541: @2366654
     /* 2366654 */ GIM_Try, /*On fail goto*//*Label 33604*/ GIMT_Encode4(2366757),
     /* 2366659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2366662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366670 */   GIM_Try, /*On fail goto*//*Label 33605*/ GIMT_Encode4(2366713), // Rule ID 58437 //
     /* 2366675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366678 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2366681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2366695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366712 */     // GIR_Coverage, 58437,
     /* 2366712 */     GIR_EraseRootFromParent_Done,
     /* 2366713 */   // Label 33605: @2366713
     /* 2366713 */   GIM_Try, /*On fail goto*//*Label 33606*/ GIMT_Encode4(2366756), // Rule ID 58438 //
     /* 2366718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366721 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2366724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2366738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366755 */     // GIR_Coverage, 58438,
     /* 2366755 */     GIR_EraseRootFromParent_Done,
     /* 2366756 */   // Label 33606: @2366756
     /* 2366756 */   GIM_Reject,
     /* 2366757 */ // Label 33604: @2366757
     /* 2366757 */ GIM_Reject,
     /* 2366758 */ // Label 33542: @2366758
     /* 2366758 */ GIM_Try, /*On fail goto*//*Label 33607*/ GIMT_Encode4(2366861),
     /* 2366763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2366766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366774 */   GIM_Try, /*On fail goto*//*Label 33608*/ GIMT_Encode4(2366817), // Rule ID 58445 //
     /* 2366779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366782 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2366785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2366799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366816 */     // GIR_Coverage, 58445,
     /* 2366816 */     GIR_EraseRootFromParent_Done,
     /* 2366817 */   // Label 33608: @2366817
     /* 2366817 */   GIM_Try, /*On fail goto*//*Label 33609*/ GIMT_Encode4(2366860), // Rule ID 58446 //
     /* 2366822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366825 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2366828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2366842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366859 */     // GIR_Coverage, 58446,
     /* 2366859 */     GIR_EraseRootFromParent_Done,
     /* 2366860 */   // Label 33609: @2366860
     /* 2366860 */   GIM_Reject,
     /* 2366861 */ // Label 33607: @2366861
     /* 2366861 */ GIM_Reject,
     /* 2366862 */ // Label 33543: @2366862
     /* 2366862 */ GIM_Try, /*On fail goto*//*Label 33610*/ GIMT_Encode4(2366965),
     /* 2366867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2366870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366878 */   GIM_Try, /*On fail goto*//*Label 33611*/ GIMT_Encode4(2366921), // Rule ID 58439 //
     /* 2366883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2366886 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2366889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2366903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366920 */     // GIR_Coverage, 58439,
     /* 2366920 */     GIR_EraseRootFromParent_Done,
     /* 2366921 */   // Label 33611: @2366921
     /* 2366921 */   GIM_Try, /*On fail goto*//*Label 33612*/ GIMT_Encode4(2366964), // Rule ID 58440 //
     /* 2366926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2366929 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2366932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2366946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366963 */     // GIR_Coverage, 58440,
     /* 2366963 */     GIR_EraseRootFromParent_Done,
     /* 2366964 */   // Label 33612: @2366964
     /* 2366964 */   GIM_Reject,
     /* 2366965 */ // Label 33610: @2366965
     /* 2366965 */ GIM_Reject,
     /* 2366966 */ // Label 33544: @2366966
     /* 2366966 */ GIM_Reject,
     /* 2366967 */ // Label 89: @2366967
     /* 2366967 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33616*/ GIMT_Encode4(2367164),
     /* 2366978 */ /*GILLT_s16*//*Label 33613*/ GIMT_Encode4(2366990),
     /* 2366982 */ /*GILLT_s32*//*Label 33614*/ GIMT_Encode4(2367048),
     /* 2366986 */ /*GILLT_s64*//*Label 33615*/ GIMT_Encode4(2367106),
     /* 2366990 */ // Label 33613: @2366990
     /* 2366990 */ GIM_Try, /*On fail goto*//*Label 33617*/ GIMT_Encode4(2367047),
     /* 2366995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2366998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2367002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2367006 */   GIM_Try, /*On fail goto*//*Label 33618*/ GIMT_Encode4(2367026), // Rule ID 2291 //
     /* 2367011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2367014 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i64] })
     /* 2367014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2367017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367025 */     // GIR_Coverage, 2291,
     /* 2367025 */     GIR_EraseRootFromParent_Done,
     /* 2367026 */   // Label 33618: @2367026
     /* 2367026 */   GIM_Try, /*On fail goto*//*Label 33619*/ GIMT_Encode4(2367046), // Rule ID 2292 //
     /* 2367031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2367034 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i32] })
     /* 2367034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2367037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367045 */     // GIR_Coverage, 2292,
     /* 2367045 */     GIR_EraseRootFromParent_Done,
     /* 2367046 */   // Label 33619: @2367046
     /* 2367046 */   GIM_Reject,
     /* 2367047 */ // Label 33617: @2367047
     /* 2367047 */ GIM_Reject,
     /* 2367048 */ // Label 33614: @2367048
     /* 2367048 */ GIM_Try, /*On fail goto*//*Label 33620*/ GIMT_Encode4(2367105),
     /* 2367053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2367056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2367060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2367064 */   GIM_Try, /*On fail goto*//*Label 33621*/ GIMT_Encode4(2367084), // Rule ID 2209 //
     /* 2367069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2367072 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i64] })
     /* 2367072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2367075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367083 */     // GIR_Coverage, 2209,
     /* 2367083 */     GIR_EraseRootFromParent_Done,
     /* 2367084 */   // Label 33621: @2367084
     /* 2367084 */   GIM_Try, /*On fail goto*//*Label 33622*/ GIMT_Encode4(2367104), // Rule ID 2210 //
     /* 2367089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2367092 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i32] })
     /* 2367092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2367095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367103 */     // GIR_Coverage, 2210,
     /* 2367103 */     GIR_EraseRootFromParent_Done,
     /* 2367104 */   // Label 33622: @2367104
     /* 2367104 */   GIM_Reject,
     /* 2367105 */ // Label 33620: @2367105
     /* 2367105 */ GIM_Reject,
     /* 2367106 */ // Label 33615: @2367106
     /* 2367106 */ GIM_Try, /*On fail goto*//*Label 33623*/ GIMT_Encode4(2367163),
     /* 2367111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2367114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2367118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2367122 */   GIM_Try, /*On fail goto*//*Label 33624*/ GIMT_Encode4(2367142), // Rule ID 2249 //
     /* 2367127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2367130 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i64] })
     /* 2367130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2367133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367141 */     // GIR_Coverage, 2249,
     /* 2367141 */     GIR_EraseRootFromParent_Done,
     /* 2367142 */   // Label 33624: @2367142
     /* 2367142 */   GIM_Try, /*On fail goto*//*Label 33625*/ GIMT_Encode4(2367162), // Rule ID 2250 //
     /* 2367147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2367150 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i32] })
     /* 2367150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2367153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367161 */     // GIR_Coverage, 2250,
     /* 2367161 */     GIR_EraseRootFromParent_Done,
     /* 2367162 */   // Label 33625: @2367162
     /* 2367162 */   GIM_Reject,
     /* 2367163 */ // Label 33623: @2367163
     /* 2367163 */ GIM_Reject,
     /* 2367164 */ // Label 33616: @2367164
     /* 2367164 */ GIM_Reject,
     /* 2367165 */ // Label 90: @2367165
     /* 2367165 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33644*/ GIMT_Encode4(2369340),
     /* 2367176 */ /*GILLT_s16*//*Label 33626*/ GIMT_Encode4(2367296),
     /* 2367180 */ /*GILLT_s32*//*Label 33627*/ GIMT_Encode4(2367418),
     /* 2367184 */ /*GILLT_s64*//*Label 33628*/ GIMT_Encode4(2367540), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2367196 */ /*GILLT_nxv1s16*//*Label 33629*/ GIMT_Encode4(2367690),
     /* 2367200 */ /*GILLT_nxv1s32*//*Label 33630*/ GIMT_Encode4(2367800),
     /* 2367204 */ /*GILLT_nxv1s64*//*Label 33631*/ GIMT_Encode4(2367910), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2367216 */ /*GILLT_nxv2s16*//*Label 33632*/ GIMT_Encode4(2368020),
     /* 2367220 */ /*GILLT_nxv2s32*//*Label 33633*/ GIMT_Encode4(2368130),
     /* 2367224 */ /*GILLT_nxv2s64*//*Label 33634*/ GIMT_Encode4(2368240), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2367236 */ /*GILLT_nxv4s16*//*Label 33635*/ GIMT_Encode4(2368350),
     /* 2367240 */ /*GILLT_nxv4s32*//*Label 33636*/ GIMT_Encode4(2368460),
     /* 2367244 */ /*GILLT_nxv4s64*//*Label 33637*/ GIMT_Encode4(2368570), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2367256 */ /*GILLT_nxv8s16*//*Label 33638*/ GIMT_Encode4(2368680),
     /* 2367260 */ /*GILLT_nxv8s32*//*Label 33639*/ GIMT_Encode4(2368790),
     /* 2367264 */ /*GILLT_nxv8s64*//*Label 33640*/ GIMT_Encode4(2368900), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2367276 */ /*GILLT_nxv16s16*//*Label 33641*/ GIMT_Encode4(2369010),
     /* 2367280 */ /*GILLT_nxv16s32*//*Label 33642*/ GIMT_Encode4(2369120), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2367292 */ /*GILLT_nxv32s16*//*Label 33643*/ GIMT_Encode4(2369230),
     /* 2367296 */ // Label 33626: @2367296
     /* 2367296 */ GIM_Try, /*On fail goto*//*Label 33645*/ GIMT_Encode4(2367417),
     /* 2367301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2367304 */   GIM_Try, /*On fail goto*//*Label 33646*/ GIMT_Encode4(2367332), // Rule ID 1849 //
     /* 2367309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2367312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2367316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2367320 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2367320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2367323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367331 */     // GIR_Coverage, 1849,
     /* 2367331 */     GIR_EraseRootFromParent_Done,
     /* 2367332 */   // Label 33646: @2367332
     /* 2367332 */   GIM_Try, /*On fail goto*//*Label 33647*/ GIMT_Encode4(2367360), // Rule ID 1850 //
     /* 2367337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2367340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2367344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2367348 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2367348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2367351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367359 */     // GIR_Coverage, 1850,
     /* 2367359 */     GIR_EraseRootFromParent_Done,
     /* 2367360 */   // Label 33647: @2367360
     /* 2367360 */   GIM_Try, /*On fail goto*//*Label 33648*/ GIMT_Encode4(2367388), // Rule ID 1882 //
     /* 2367365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2367368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2367372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2367376 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2367376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2367379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367387 */     // GIR_Coverage, 1882,
     /* 2367387 */     GIR_EraseRootFromParent_Done,
     /* 2367388 */   // Label 33648: @2367388
     /* 2367388 */   GIM_Try, /*On fail goto*//*Label 33649*/ GIMT_Encode4(2367416), // Rule ID 1883 //
     /* 2367393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2367396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2367400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2367404 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2367404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2367407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367415 */     // GIR_Coverage, 1883,
     /* 2367415 */     GIR_EraseRootFromParent_Done,
     /* 2367416 */   // Label 33649: @2367416
     /* 2367416 */   GIM_Reject,
     /* 2367417 */ // Label 33645: @2367417
     /* 2367417 */ GIM_Reject,
     /* 2367418 */ // Label 33627: @2367418
     /* 2367418 */ GIM_Try, /*On fail goto*//*Label 33650*/ GIMT_Encode4(2367539),
     /* 2367423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2367426 */   GIM_Try, /*On fail goto*//*Label 33651*/ GIMT_Encode4(2367454), // Rule ID 1140 //
     /* 2367431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2367434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2367438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2367442 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2367442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2367445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367453 */     // GIR_Coverage, 1140,
     /* 2367453 */     GIR_EraseRootFromParent_Done,
     /* 2367454 */   // Label 33651: @2367454
     /* 2367454 */   GIM_Try, /*On fail goto*//*Label 33652*/ GIMT_Encode4(2367482), // Rule ID 1141 //
     /* 2367459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2367462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2367466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2367470 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2367470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2367473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367481 */     // GIR_Coverage, 1141,
     /* 2367481 */     GIR_EraseRootFromParent_Done,
     /* 2367482 */   // Label 33652: @2367482
     /* 2367482 */   GIM_Try, /*On fail goto*//*Label 33653*/ GIMT_Encode4(2367510), // Rule ID 1148 //
     /* 2367487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2367490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2367494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2367498 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2367498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2367501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367509 */     // GIR_Coverage, 1148,
     /* 2367509 */     GIR_EraseRootFromParent_Done,
     /* 2367510 */   // Label 33653: @2367510
     /* 2367510 */   GIM_Try, /*On fail goto*//*Label 33654*/ GIMT_Encode4(2367538), // Rule ID 1149 //
     /* 2367515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2367518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2367522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2367526 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2367526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2367529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367537 */     // GIR_Coverage, 1149,
     /* 2367537 */     GIR_EraseRootFromParent_Done,
     /* 2367538 */   // Label 33654: @2367538
     /* 2367538 */   GIM_Reject,
     /* 2367539 */ // Label 33650: @2367539
     /* 2367539 */ GIM_Reject,
     /* 2367540 */ // Label 33628: @2367540
     /* 2367540 */ GIM_Try, /*On fail goto*//*Label 33655*/ GIMT_Encode4(2367689),
     /* 2367545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2367548 */   GIM_Try, /*On fail goto*//*Label 33656*/ GIMT_Encode4(2367576), // Rule ID 1483 //
     /* 2367553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2367556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2367560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2367564 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2367564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2367567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367575 */     // GIR_Coverage, 1483,
     /* 2367575 */     GIR_EraseRootFromParent_Done,
     /* 2367576 */   // Label 33656: @2367576
     /* 2367576 */   GIM_Try, /*On fail goto*//*Label 33657*/ GIMT_Encode4(2367604), // Rule ID 1484 //
     /* 2367581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2367584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2367588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2367592 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2367592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2367595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367603 */     // GIR_Coverage, 1484,
     /* 2367603 */     GIR_EraseRootFromParent_Done,
     /* 2367604 */   // Label 33657: @2367604
     /* 2367604 */   GIM_Try, /*On fail goto*//*Label 33658*/ GIMT_Encode4(2367632), // Rule ID 1517 //
     /* 2367609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2367612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2367616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2367620 */     // (fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2367620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2367623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367631 */     // GIR_Coverage, 1517,
     /* 2367631 */     GIR_EraseRootFromParent_Done,
     /* 2367632 */   // Label 33658: @2367632
     /* 2367632 */   GIM_Try, /*On fail goto*//*Label 33659*/ GIMT_Encode4(2367660), // Rule ID 1538 //
     /* 2367637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2367640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2367644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2367648 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2367648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2367651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367659 */     // GIR_Coverage, 1538,
     /* 2367659 */     GIR_EraseRootFromParent_Done,
     /* 2367660 */   // Label 33659: @2367660
     /* 2367660 */   GIM_Try, /*On fail goto*//*Label 33660*/ GIMT_Encode4(2367688), // Rule ID 1539 //
     /* 2367665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2367668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2367672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2367676 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2367676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2367679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367687 */     // GIR_Coverage, 1539,
     /* 2367687 */     GIR_EraseRootFromParent_Done,
     /* 2367688 */   // Label 33660: @2367688
     /* 2367688 */   GIM_Reject,
     /* 2367689 */ // Label 33655: @2367689
     /* 2367689 */ GIM_Reject,
     /* 2367690 */ // Label 33629: @2367690
     /* 2367690 */ GIM_Try, /*On fail goto*//*Label 33661*/ GIMT_Encode4(2367799),
     /* 2367695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2367698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367706 */   GIM_Try, /*On fail goto*//*Label 33662*/ GIMT_Encode4(2367752), // Rule ID 55781 //
     /* 2367711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2367714 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2367717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2367731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2367738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367751 */     // GIR_Coverage, 55781,
     /* 2367751 */     GIR_EraseRootFromParent_Done,
     /* 2367752 */   // Label 33662: @2367752
     /* 2367752 */   GIM_Try, /*On fail goto*//*Label 33663*/ GIMT_Encode4(2367798), // Rule ID 55782 //
     /* 2367757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2367760 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2367763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2367777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2367784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367797 */     // GIR_Coverage, 55782,
     /* 2367797 */     GIR_EraseRootFromParent_Done,
     /* 2367798 */   // Label 33663: @2367798
     /* 2367798 */   GIM_Reject,
     /* 2367799 */ // Label 33661: @2367799
     /* 2367799 */ GIM_Reject,
     /* 2367800 */ // Label 33630: @2367800
     /* 2367800 */ GIM_Try, /*On fail goto*//*Label 33664*/ GIMT_Encode4(2367909),
     /* 2367805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2367808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367816 */   GIM_Try, /*On fail goto*//*Label 33665*/ GIMT_Encode4(2367862), // Rule ID 55821 //
     /* 2367821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2367824 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2367827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2367841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2367848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367861 */     // GIR_Coverage, 55821,
     /* 2367861 */     GIR_EraseRootFromParent_Done,
     /* 2367862 */   // Label 33665: @2367862
     /* 2367862 */   GIM_Try, /*On fail goto*//*Label 33666*/ GIMT_Encode4(2367908), // Rule ID 55822 //
     /* 2367867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2367870 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2367873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2367887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2367894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367907 */     // GIR_Coverage, 55822,
     /* 2367907 */     GIR_EraseRootFromParent_Done,
     /* 2367908 */   // Label 33666: @2367908
     /* 2367908 */   GIM_Reject,
     /* 2367909 */ // Label 33664: @2367909
     /* 2367909 */ GIM_Reject,
     /* 2367910 */ // Label 33631: @2367910
     /* 2367910 */ GIM_Try, /*On fail goto*//*Label 33667*/ GIMT_Encode4(2368019),
     /* 2367915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2367918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367922 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367926 */   GIM_Try, /*On fail goto*//*Label 33668*/ GIMT_Encode4(2367972), // Rule ID 55881 //
     /* 2367931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2367934 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2367937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2367951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2367958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367971 */     // GIR_Coverage, 55881,
     /* 2367971 */     GIR_EraseRootFromParent_Done,
     /* 2367972 */   // Label 33668: @2367972
     /* 2367972 */   GIM_Try, /*On fail goto*//*Label 33669*/ GIMT_Encode4(2368018), // Rule ID 55882 //
     /* 2367977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2367980 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2367983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2367997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368017 */     // GIR_Coverage, 55882,
     /* 2368017 */     GIR_EraseRootFromParent_Done,
     /* 2368018 */   // Label 33669: @2368018
     /* 2368018 */   GIM_Reject,
     /* 2368019 */ // Label 33667: @2368019
     /* 2368019 */ GIM_Reject,
     /* 2368020 */ // Label 33632: @2368020
     /* 2368020 */ GIM_Try, /*On fail goto*//*Label 33670*/ GIMT_Encode4(2368129),
     /* 2368025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2368028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368036 */   GIM_Try, /*On fail goto*//*Label 33671*/ GIMT_Encode4(2368082), // Rule ID 55801 //
     /* 2368041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2368044 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2368047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2368061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368081 */     // GIR_Coverage, 55801,
     /* 2368081 */     GIR_EraseRootFromParent_Done,
     /* 2368082 */   // Label 33671: @2368082
     /* 2368082 */   GIM_Try, /*On fail goto*//*Label 33672*/ GIMT_Encode4(2368128), // Rule ID 55802 //
     /* 2368087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2368090 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2368093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2368107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368127 */     // GIR_Coverage, 55802,
     /* 2368127 */     GIR_EraseRootFromParent_Done,
     /* 2368128 */   // Label 33672: @2368128
     /* 2368128 */   GIM_Reject,
     /* 2368129 */ // Label 33670: @2368129
     /* 2368129 */ GIM_Reject,
     /* 2368130 */ // Label 33633: @2368130
     /* 2368130 */ GIM_Try, /*On fail goto*//*Label 33673*/ GIMT_Encode4(2368239),
     /* 2368135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2368138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368146 */   GIM_Try, /*On fail goto*//*Label 33674*/ GIMT_Encode4(2368192), // Rule ID 55861 //
     /* 2368151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2368154 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2368157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2368171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368191 */     // GIR_Coverage, 55861,
     /* 2368191 */     GIR_EraseRootFromParent_Done,
     /* 2368192 */   // Label 33674: @2368192
     /* 2368192 */   GIM_Try, /*On fail goto*//*Label 33675*/ GIMT_Encode4(2368238), // Rule ID 55862 //
     /* 2368197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2368200 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2368203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2368217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368237 */     // GIR_Coverage, 55862,
     /* 2368237 */     GIR_EraseRootFromParent_Done,
     /* 2368238 */   // Label 33675: @2368238
     /* 2368238 */   GIM_Reject,
     /* 2368239 */ // Label 33673: @2368239
     /* 2368239 */ GIM_Reject,
     /* 2368240 */ // Label 33634: @2368240
     /* 2368240 */ GIM_Try, /*On fail goto*//*Label 33676*/ GIMT_Encode4(2368349),
     /* 2368245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2368248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368256 */   GIM_Try, /*On fail goto*//*Label 33677*/ GIMT_Encode4(2368302), // Rule ID 56021 //
     /* 2368261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2368264 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2368267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2368281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368301 */     // GIR_Coverage, 56021,
     /* 2368301 */     GIR_EraseRootFromParent_Done,
     /* 2368302 */   // Label 33677: @2368302
     /* 2368302 */   GIM_Try, /*On fail goto*//*Label 33678*/ GIMT_Encode4(2368348), // Rule ID 56022 //
     /* 2368307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2368310 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2368313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2368327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368347 */     // GIR_Coverage, 56022,
     /* 2368347 */     GIR_EraseRootFromParent_Done,
     /* 2368348 */   // Label 33678: @2368348
     /* 2368348 */   GIM_Reject,
     /* 2368349 */ // Label 33676: @2368349
     /* 2368349 */ GIM_Reject,
     /* 2368350 */ // Label 33635: @2368350
     /* 2368350 */ GIM_Try, /*On fail goto*//*Label 33679*/ GIMT_Encode4(2368459),
     /* 2368355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2368358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368366 */   GIM_Try, /*On fail goto*//*Label 33680*/ GIMT_Encode4(2368412), // Rule ID 55841 //
     /* 2368371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2368374 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2368377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2368391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368411 */     // GIR_Coverage, 55841,
     /* 2368411 */     GIR_EraseRootFromParent_Done,
     /* 2368412 */   // Label 33680: @2368412
     /* 2368412 */   GIM_Try, /*On fail goto*//*Label 33681*/ GIMT_Encode4(2368458), // Rule ID 55842 //
     /* 2368417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2368420 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2368423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2368437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368457 */     // GIR_Coverage, 55842,
     /* 2368457 */     GIR_EraseRootFromParent_Done,
     /* 2368458 */   // Label 33681: @2368458
     /* 2368458 */   GIM_Reject,
     /* 2368459 */ // Label 33679: @2368459
     /* 2368459 */ GIM_Reject,
     /* 2368460 */ // Label 33636: @2368460
     /* 2368460 */ GIM_Try, /*On fail goto*//*Label 33682*/ GIMT_Encode4(2368569),
     /* 2368465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2368468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368472 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368476 */   GIM_Try, /*On fail goto*//*Label 33683*/ GIMT_Encode4(2368522), // Rule ID 55961 //
     /* 2368481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2368484 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2368487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2368501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368521 */     // GIR_Coverage, 55961,
     /* 2368521 */     GIR_EraseRootFromParent_Done,
     /* 2368522 */   // Label 33683: @2368522
     /* 2368522 */   GIM_Try, /*On fail goto*//*Label 33684*/ GIMT_Encode4(2368568), // Rule ID 55962 //
     /* 2368527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2368530 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2368533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2368547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368567 */     // GIR_Coverage, 55962,
     /* 2368567 */     GIR_EraseRootFromParent_Done,
     /* 2368568 */   // Label 33684: @2368568
     /* 2368568 */   GIM_Reject,
     /* 2368569 */ // Label 33682: @2368569
     /* 2368569 */ GIM_Reject,
     /* 2368570 */ // Label 33637: @2368570
     /* 2368570 */ GIM_Try, /*On fail goto*//*Label 33685*/ GIMT_Encode4(2368679),
     /* 2368575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2368578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368586 */   GIM_Try, /*On fail goto*//*Label 33686*/ GIMT_Encode4(2368632), // Rule ID 56041 //
     /* 2368591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2368594 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2368597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2368611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368631 */     // GIR_Coverage, 56041,
     /* 2368631 */     GIR_EraseRootFromParent_Done,
     /* 2368632 */   // Label 33686: @2368632
     /* 2368632 */   GIM_Try, /*On fail goto*//*Label 33687*/ GIMT_Encode4(2368678), // Rule ID 56042 //
     /* 2368637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2368640 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2368643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2368657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368677 */     // GIR_Coverage, 56042,
     /* 2368677 */     GIR_EraseRootFromParent_Done,
     /* 2368678 */   // Label 33687: @2368678
     /* 2368678 */   GIM_Reject,
     /* 2368679 */ // Label 33685: @2368679
     /* 2368679 */ GIM_Reject,
     /* 2368680 */ // Label 33638: @2368680
     /* 2368680 */ GIM_Try, /*On fail goto*//*Label 33688*/ GIMT_Encode4(2368789),
     /* 2368685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2368688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368696 */   GIM_Try, /*On fail goto*//*Label 33689*/ GIMT_Encode4(2368742), // Rule ID 55901 //
     /* 2368701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2368704 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2368707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2368721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368741 */     // GIR_Coverage, 55901,
     /* 2368741 */     GIR_EraseRootFromParent_Done,
     /* 2368742 */   // Label 33689: @2368742
     /* 2368742 */   GIM_Try, /*On fail goto*//*Label 33690*/ GIMT_Encode4(2368788), // Rule ID 55902 //
     /* 2368747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2368750 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2368753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2368767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368787 */     // GIR_Coverage, 55902,
     /* 2368787 */     GIR_EraseRootFromParent_Done,
     /* 2368788 */   // Label 33690: @2368788
     /* 2368788 */   GIM_Reject,
     /* 2368789 */ // Label 33688: @2368789
     /* 2368789 */ GIM_Reject,
     /* 2368790 */ // Label 33639: @2368790
     /* 2368790 */ GIM_Try, /*On fail goto*//*Label 33691*/ GIMT_Encode4(2368899),
     /* 2368795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2368798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368806 */   GIM_Try, /*On fail goto*//*Label 33692*/ GIMT_Encode4(2368852), // Rule ID 55981 //
     /* 2368811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2368814 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2368817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2368831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368851 */     // GIR_Coverage, 55981,
     /* 2368851 */     GIR_EraseRootFromParent_Done,
     /* 2368852 */   // Label 33692: @2368852
     /* 2368852 */   GIM_Try, /*On fail goto*//*Label 33693*/ GIMT_Encode4(2368898), // Rule ID 55982 //
     /* 2368857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2368860 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2368863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2368877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368897 */     // GIR_Coverage, 55982,
     /* 2368897 */     GIR_EraseRootFromParent_Done,
     /* 2368898 */   // Label 33693: @2368898
     /* 2368898 */   GIM_Reject,
     /* 2368899 */ // Label 33691: @2368899
     /* 2368899 */ GIM_Reject,
     /* 2368900 */ // Label 33640: @2368900
     /* 2368900 */ GIM_Try, /*On fail goto*//*Label 33694*/ GIMT_Encode4(2369009),
     /* 2368905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2368908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368916 */   GIM_Try, /*On fail goto*//*Label 33695*/ GIMT_Encode4(2368962), // Rule ID 56061 //
     /* 2368921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2368924 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2368927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2368941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368961 */     // GIR_Coverage, 56061,
     /* 2368961 */     GIR_EraseRootFromParent_Done,
     /* 2368962 */   // Label 33695: @2368962
     /* 2368962 */   GIM_Try, /*On fail goto*//*Label 33696*/ GIMT_Encode4(2369008), // Rule ID 56062 //
     /* 2368967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2368970 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2368973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2368987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369007 */     // GIR_Coverage, 56062,
     /* 2369007 */     GIR_EraseRootFromParent_Done,
     /* 2369008 */   // Label 33696: @2369008
     /* 2369008 */   GIM_Reject,
     /* 2369009 */ // Label 33694: @2369009
     /* 2369009 */ GIM_Reject,
     /* 2369010 */ // Label 33641: @2369010
     /* 2369010 */ GIM_Try, /*On fail goto*//*Label 33697*/ GIMT_Encode4(2369119),
     /* 2369015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2369018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369026 */   GIM_Try, /*On fail goto*//*Label 33698*/ GIMT_Encode4(2369072), // Rule ID 55921 //
     /* 2369031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2369034 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2369037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2369051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369071 */     // GIR_Coverage, 55921,
     /* 2369071 */     GIR_EraseRootFromParent_Done,
     /* 2369072 */   // Label 33698: @2369072
     /* 2369072 */   GIM_Try, /*On fail goto*//*Label 33699*/ GIMT_Encode4(2369118), // Rule ID 55922 //
     /* 2369077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2369080 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2369083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2369097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369117 */     // GIR_Coverage, 55922,
     /* 2369117 */     GIR_EraseRootFromParent_Done,
     /* 2369118 */   // Label 33699: @2369118
     /* 2369118 */   GIM_Reject,
     /* 2369119 */ // Label 33697: @2369119
     /* 2369119 */ GIM_Reject,
     /* 2369120 */ // Label 33642: @2369120
     /* 2369120 */ GIM_Try, /*On fail goto*//*Label 33700*/ GIMT_Encode4(2369229),
     /* 2369125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2369128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369136 */   GIM_Try, /*On fail goto*//*Label 33701*/ GIMT_Encode4(2369182), // Rule ID 56001 //
     /* 2369141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2369144 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2369147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2369161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369181 */     // GIR_Coverage, 56001,
     /* 2369181 */     GIR_EraseRootFromParent_Done,
     /* 2369182 */   // Label 33701: @2369182
     /* 2369182 */   GIM_Try, /*On fail goto*//*Label 33702*/ GIMT_Encode4(2369228), // Rule ID 56002 //
     /* 2369187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2369190 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2369193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2369207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369227 */     // GIR_Coverage, 56002,
     /* 2369227 */     GIR_EraseRootFromParent_Done,
     /* 2369228 */   // Label 33702: @2369228
     /* 2369228 */   GIM_Reject,
     /* 2369229 */ // Label 33700: @2369229
     /* 2369229 */ GIM_Reject,
     /* 2369230 */ // Label 33643: @2369230
     /* 2369230 */ GIM_Try, /*On fail goto*//*Label 33703*/ GIMT_Encode4(2369339),
     /* 2369235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2369238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369242 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369246 */   GIM_Try, /*On fail goto*//*Label 33704*/ GIMT_Encode4(2369292), // Rule ID 55941 //
     /* 2369251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2369254 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2369257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2369271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369291 */     // GIR_Coverage, 55941,
     /* 2369291 */     GIR_EraseRootFromParent_Done,
     /* 2369292 */   // Label 33704: @2369292
     /* 2369292 */   GIM_Try, /*On fail goto*//*Label 33705*/ GIMT_Encode4(2369338), // Rule ID 55942 //
     /* 2369297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2369300 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2369303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2369317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2369324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369337 */     // GIR_Coverage, 55942,
     /* 2369337 */     GIR_EraseRootFromParent_Done,
     /* 2369338 */   // Label 33705: @2369338
     /* 2369338 */   GIM_Reject,
     /* 2369339 */ // Label 33703: @2369339
     /* 2369339 */ GIM_Reject,
     /* 2369340 */ // Label 33644: @2369340
     /* 2369340 */ GIM_Reject,
     /* 2369341 */ // Label 91: @2369341
     /* 2369341 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33709*/ GIMT_Encode4(2369538),
     /* 2369352 */ /*GILLT_s16*//*Label 33706*/ GIMT_Encode4(2369364),
     /* 2369356 */ /*GILLT_s32*//*Label 33707*/ GIMT_Encode4(2369422),
     /* 2369360 */ /*GILLT_s64*//*Label 33708*/ GIMT_Encode4(2369480),
     /* 2369364 */ // Label 33706: @2369364
     /* 2369364 */ GIM_Try, /*On fail goto*//*Label 33710*/ GIMT_Encode4(2369421),
     /* 2369369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2369372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369380 */   GIM_Try, /*On fail goto*//*Label 33711*/ GIMT_Encode4(2369400), // Rule ID 2287 //
     /* 2369385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2369388 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i64] })
     /* 2369388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2369391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2369398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369399 */     // GIR_Coverage, 2287,
     /* 2369399 */     GIR_EraseRootFromParent_Done,
     /* 2369400 */   // Label 33711: @2369400
     /* 2369400 */   GIM_Try, /*On fail goto*//*Label 33712*/ GIMT_Encode4(2369420), // Rule ID 2288 //
     /* 2369405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2369408 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i32] })
     /* 2369408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2369411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2369418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369419 */     // GIR_Coverage, 2288,
     /* 2369419 */     GIR_EraseRootFromParent_Done,
     /* 2369420 */   // Label 33712: @2369420
     /* 2369420 */   GIM_Reject,
     /* 2369421 */ // Label 33710: @2369421
     /* 2369421 */ GIM_Reject,
     /* 2369422 */ // Label 33707: @2369422
     /* 2369422 */ GIM_Try, /*On fail goto*//*Label 33713*/ GIMT_Encode4(2369479),
     /* 2369427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2369430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369438 */   GIM_Try, /*On fail goto*//*Label 33714*/ GIMT_Encode4(2369458), // Rule ID 2205 //
     /* 2369443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2369446 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i64] })
     /* 2369446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2369449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2369456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369457 */     // GIR_Coverage, 2205,
     /* 2369457 */     GIR_EraseRootFromParent_Done,
     /* 2369458 */   // Label 33714: @2369458
     /* 2369458 */   GIM_Try, /*On fail goto*//*Label 33715*/ GIMT_Encode4(2369478), // Rule ID 2206 //
     /* 2369463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2369466 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i32] })
     /* 2369466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2369469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2369476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369477 */     // GIR_Coverage, 2206,
     /* 2369477 */     GIR_EraseRootFromParent_Done,
     /* 2369478 */   // Label 33715: @2369478
     /* 2369478 */   GIM_Reject,
     /* 2369479 */ // Label 33713: @2369479
     /* 2369479 */ GIM_Reject,
     /* 2369480 */ // Label 33708: @2369480
     /* 2369480 */ GIM_Try, /*On fail goto*//*Label 33716*/ GIMT_Encode4(2369537),
     /* 2369485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2369488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369496 */   GIM_Try, /*On fail goto*//*Label 33717*/ GIMT_Encode4(2369516), // Rule ID 2245 //
     /* 2369501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2369504 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i64] })
     /* 2369504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2369507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2369514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369515 */     // GIR_Coverage, 2245,
     /* 2369515 */     GIR_EraseRootFromParent_Done,
     /* 2369516 */   // Label 33717: @2369516
     /* 2369516 */   GIM_Try, /*On fail goto*//*Label 33718*/ GIMT_Encode4(2369536), // Rule ID 2246 //
     /* 2369521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2369524 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i32] })
     /* 2369524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2369527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2369534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369535 */     // GIR_Coverage, 2246,
     /* 2369535 */     GIR_EraseRootFromParent_Done,
     /* 2369536 */   // Label 33718: @2369536
     /* 2369536 */   GIM_Reject,
     /* 2369537 */ // Label 33716: @2369537
     /* 2369537 */ GIM_Reject,
     /* 2369538 */ // Label 33709: @2369538
     /* 2369538 */ GIM_Reject,
     /* 2369539 */ // Label 92: @2369539
     /* 2369539 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33722*/ GIMT_Encode4(2369736),
     /* 2369550 */ /*GILLT_s16*//*Label 33719*/ GIMT_Encode4(2369562),
     /* 2369554 */ /*GILLT_s32*//*Label 33720*/ GIMT_Encode4(2369620),
     /* 2369558 */ /*GILLT_s64*//*Label 33721*/ GIMT_Encode4(2369678),
     /* 2369562 */ // Label 33719: @2369562
     /* 2369562 */ GIM_Try, /*On fail goto*//*Label 33723*/ GIMT_Encode4(2369619),
     /* 2369567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2369570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369578 */   GIM_Try, /*On fail goto*//*Label 33724*/ GIMT_Encode4(2369598), // Rule ID 2271 //
     /* 2369583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2369586 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2369586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2369589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369597 */     // GIR_Coverage, 2271,
     /* 2369597 */     GIR_EraseRootFromParent_Done,
     /* 2369598 */   // Label 33724: @2369598
     /* 2369598 */   GIM_Try, /*On fail goto*//*Label 33725*/ GIMT_Encode4(2369618), // Rule ID 2272 //
     /* 2369603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2369606 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2369606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2369609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369617 */     // GIR_Coverage, 2272,
     /* 2369617 */     GIR_EraseRootFromParent_Done,
     /* 2369618 */   // Label 33725: @2369618
     /* 2369618 */   GIM_Reject,
     /* 2369619 */ // Label 33723: @2369619
     /* 2369619 */ GIM_Reject,
     /* 2369620 */ // Label 33720: @2369620
     /* 2369620 */ GIM_Try, /*On fail goto*//*Label 33726*/ GIMT_Encode4(2369677),
     /* 2369625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2369628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369636 */   GIM_Try, /*On fail goto*//*Label 33727*/ GIMT_Encode4(2369656), // Rule ID 2189 //
     /* 2369641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2369644 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2369644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2369647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369655 */     // GIR_Coverage, 2189,
     /* 2369655 */     GIR_EraseRootFromParent_Done,
     /* 2369656 */   // Label 33727: @2369656
     /* 2369656 */   GIM_Try, /*On fail goto*//*Label 33728*/ GIMT_Encode4(2369676), // Rule ID 2190 //
     /* 2369661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2369664 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2369664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2369667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369675 */     // GIR_Coverage, 2190,
     /* 2369675 */     GIR_EraseRootFromParent_Done,
     /* 2369676 */   // Label 33728: @2369676
     /* 2369676 */   GIM_Reject,
     /* 2369677 */ // Label 33726: @2369677
     /* 2369677 */ GIM_Reject,
     /* 2369678 */ // Label 33721: @2369678
     /* 2369678 */ GIM_Try, /*On fail goto*//*Label 33729*/ GIMT_Encode4(2369735),
     /* 2369683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2369686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369694 */   GIM_Try, /*On fail goto*//*Label 33730*/ GIMT_Encode4(2369714), // Rule ID 2229 //
     /* 2369699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2369702 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2369702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2369705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369713 */     // GIR_Coverage, 2229,
     /* 2369713 */     GIR_EraseRootFromParent_Done,
     /* 2369714 */   // Label 33730: @2369714
     /* 2369714 */   GIM_Try, /*On fail goto*//*Label 33731*/ GIMT_Encode4(2369734), // Rule ID 2230 //
     /* 2369719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2369722 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2369722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2369725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369733 */     // GIR_Coverage, 2230,
     /* 2369733 */     GIR_EraseRootFromParent_Done,
     /* 2369734 */   // Label 33731: @2369734
     /* 2369734 */   GIM_Reject,
     /* 2369735 */ // Label 33729: @2369735
     /* 2369735 */ GIM_Reject,
     /* 2369736 */ // Label 33722: @2369736
     /* 2369736 */ GIM_Reject,
     /* 2369737 */ // Label 93: @2369737
     /* 2369737 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33735*/ GIMT_Encode4(2369934),
     /* 2369748 */ /*GILLT_s16*//*Label 33732*/ GIMT_Encode4(2369760),
     /* 2369752 */ /*GILLT_s32*//*Label 33733*/ GIMT_Encode4(2369818),
     /* 2369756 */ /*GILLT_s64*//*Label 33734*/ GIMT_Encode4(2369876),
     /* 2369760 */ // Label 33732: @2369760
     /* 2369760 */ GIM_Try, /*On fail goto*//*Label 33736*/ GIMT_Encode4(2369817),
     /* 2369765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2369768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2369776 */   GIM_Try, /*On fail goto*//*Label 33737*/ GIMT_Encode4(2369796), // Rule ID 2275 //
     /* 2369781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2369784 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2369784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2369787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369795 */     // GIR_Coverage, 2275,
     /* 2369795 */     GIR_EraseRootFromParent_Done,
     /* 2369796 */   // Label 33737: @2369796
     /* 2369796 */   GIM_Try, /*On fail goto*//*Label 33738*/ GIMT_Encode4(2369816), // Rule ID 2276 //
     /* 2369801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2369804 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2369804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2369807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369815 */     // GIR_Coverage, 2276,
     /* 2369815 */     GIR_EraseRootFromParent_Done,
     /* 2369816 */   // Label 33738: @2369816
     /* 2369816 */   GIM_Reject,
     /* 2369817 */ // Label 33736: @2369817
     /* 2369817 */ GIM_Reject,
     /* 2369818 */ // Label 33733: @2369818
     /* 2369818 */ GIM_Try, /*On fail goto*//*Label 33739*/ GIMT_Encode4(2369875),
     /* 2369823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2369826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2369834 */   GIM_Try, /*On fail goto*//*Label 33740*/ GIMT_Encode4(2369854), // Rule ID 2193 //
     /* 2369839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2369842 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2369842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2369845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369853 */     // GIR_Coverage, 2193,
     /* 2369853 */     GIR_EraseRootFromParent_Done,
     /* 2369854 */   // Label 33740: @2369854
     /* 2369854 */   GIM_Try, /*On fail goto*//*Label 33741*/ GIMT_Encode4(2369874), // Rule ID 2194 //
     /* 2369859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2369862 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2369862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2369865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369873 */     // GIR_Coverage, 2194,
     /* 2369873 */     GIR_EraseRootFromParent_Done,
     /* 2369874 */   // Label 33741: @2369874
     /* 2369874 */   GIM_Reject,
     /* 2369875 */ // Label 33739: @2369875
     /* 2369875 */ GIM_Reject,
     /* 2369876 */ // Label 33734: @2369876
     /* 2369876 */ GIM_Try, /*On fail goto*//*Label 33742*/ GIMT_Encode4(2369933),
     /* 2369881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2369884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2369892 */   GIM_Try, /*On fail goto*//*Label 33743*/ GIMT_Encode4(2369912), // Rule ID 2233 //
     /* 2369897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2369900 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2369900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2369903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369911 */     // GIR_Coverage, 2233,
     /* 2369911 */     GIR_EraseRootFromParent_Done,
     /* 2369912 */   // Label 33743: @2369912
     /* 2369912 */   GIM_Try, /*On fail goto*//*Label 33744*/ GIMT_Encode4(2369932), // Rule ID 2234 //
     /* 2369917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2369920 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2369920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2369923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369931 */     // GIR_Coverage, 2234,
     /* 2369931 */     GIR_EraseRootFromParent_Done,
     /* 2369932 */   // Label 33744: @2369932
     /* 2369932 */   GIM_Reject,
     /* 2369933 */ // Label 33742: @2369933
     /* 2369933 */ GIM_Reject,
     /* 2369934 */ // Label 33735: @2369934
     /* 2369934 */ GIM_Reject,
     /* 2369935 */ // Label 94: @2369935
     /* 2369935 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33763*/ GIMT_Encode4(2372362),
     /* 2369946 */ /*GILLT_s16*//*Label 33745*/ GIMT_Encode4(2370066),
     /* 2369950 */ /*GILLT_s32*//*Label 33746*/ GIMT_Encode4(2370215),
     /* 2369954 */ /*GILLT_s64*//*Label 33747*/ GIMT_Encode4(2370364), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2369966 */ /*GILLT_nxv1s16*//*Label 33748*/ GIMT_Encode4(2370547),
     /* 2369970 */ /*GILLT_nxv1s32*//*Label 33749*/ GIMT_Encode4(2370668),
     /* 2369974 */ /*GILLT_nxv1s64*//*Label 33750*/ GIMT_Encode4(2370789), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2369986 */ /*GILLT_nxv2s16*//*Label 33751*/ GIMT_Encode4(2370910),
     /* 2369990 */ /*GILLT_nxv2s32*//*Label 33752*/ GIMT_Encode4(2371031),
     /* 2369994 */ /*GILLT_nxv2s64*//*Label 33753*/ GIMT_Encode4(2371152), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2370006 */ /*GILLT_nxv4s16*//*Label 33754*/ GIMT_Encode4(2371273),
     /* 2370010 */ /*GILLT_nxv4s32*//*Label 33755*/ GIMT_Encode4(2371394),
     /* 2370014 */ /*GILLT_nxv4s64*//*Label 33756*/ GIMT_Encode4(2371515), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2370026 */ /*GILLT_nxv8s16*//*Label 33757*/ GIMT_Encode4(2371636),
     /* 2370030 */ /*GILLT_nxv8s32*//*Label 33758*/ GIMT_Encode4(2371757),
     /* 2370034 */ /*GILLT_nxv8s64*//*Label 33759*/ GIMT_Encode4(2371878), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2370046 */ /*GILLT_nxv16s16*//*Label 33760*/ GIMT_Encode4(2371999),
     /* 2370050 */ /*GILLT_nxv16s32*//*Label 33761*/ GIMT_Encode4(2372120), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2370062 */ /*GILLT_nxv32s16*//*Label 33762*/ GIMT_Encode4(2372241),
     /* 2370066 */ // Label 33745: @2370066
     /* 2370066 */ GIM_Try, /*On fail goto*//*Label 33764*/ GIMT_Encode4(2370214),
     /* 2370071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2370074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2370077 */   GIM_Try, /*On fail goto*//*Label 33765*/ GIMT_Encode4(2370111), // Rule ID 1815 //
     /* 2370082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2370085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2370089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2370093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2370097 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2370097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2370100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370110 */     // GIR_Coverage, 1815,
     /* 2370110 */     GIR_EraseRootFromParent_Done,
     /* 2370111 */   // Label 33765: @2370111
     /* 2370111 */   GIM_Try, /*On fail goto*//*Label 33766*/ GIMT_Encode4(2370145), // Rule ID 1816 //
     /* 2370116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2370119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2370123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2370127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2370131 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2370131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2370134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370144 */     // GIR_Coverage, 1816,
     /* 2370144 */     GIR_EraseRootFromParent_Done,
     /* 2370145 */   // Label 33766: @2370145
     /* 2370145 */   GIM_Try, /*On fail goto*//*Label 33767*/ GIMT_Encode4(2370179), // Rule ID 1819 //
     /* 2370150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2370153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2370157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2370161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2370165 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2370165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2370168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370178 */     // GIR_Coverage, 1819,
     /* 2370178 */     GIR_EraseRootFromParent_Done,
     /* 2370179 */   // Label 33767: @2370179
     /* 2370179 */   GIM_Try, /*On fail goto*//*Label 33768*/ GIMT_Encode4(2370213), // Rule ID 1820 //
     /* 2370184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2370187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2370191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2370195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2370199 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2370199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2370202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370212 */     // GIR_Coverage, 1820,
     /* 2370212 */     GIR_EraseRootFromParent_Done,
     /* 2370213 */   // Label 33768: @2370213
     /* 2370213 */   GIM_Reject,
     /* 2370214 */ // Label 33764: @2370214
     /* 2370214 */ GIM_Reject,
     /* 2370215 */ // Label 33746: @2370215
     /* 2370215 */ GIM_Try, /*On fail goto*//*Label 33769*/ GIMT_Encode4(2370363),
     /* 2370220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2370223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2370226 */   GIM_Try, /*On fail goto*//*Label 33770*/ GIMT_Encode4(2370260), // Rule ID 1106 //
     /* 2370231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2370234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2370238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2370242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2370246 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2370246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2370249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370259 */     // GIR_Coverage, 1106,
     /* 2370259 */     GIR_EraseRootFromParent_Done,
     /* 2370260 */   // Label 33770: @2370260
     /* 2370260 */   GIM_Try, /*On fail goto*//*Label 33771*/ GIMT_Encode4(2370294), // Rule ID 1107 //
     /* 2370265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2370268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2370272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2370276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2370280 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2370280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2370283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370293 */     // GIR_Coverage, 1107,
     /* 2370293 */     GIR_EraseRootFromParent_Done,
     /* 2370294 */   // Label 33771: @2370294
     /* 2370294 */   GIM_Try, /*On fail goto*//*Label 33772*/ GIMT_Encode4(2370328), // Rule ID 1110 //
     /* 2370299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2370302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2370306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2370310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2370314 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2370314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2370317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370327 */     // GIR_Coverage, 1110,
     /* 2370327 */     GIR_EraseRootFromParent_Done,
     /* 2370328 */   // Label 33772: @2370328
     /* 2370328 */   GIM_Try, /*On fail goto*//*Label 33773*/ GIMT_Encode4(2370362), // Rule ID 1111 //
     /* 2370333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2370336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2370340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2370344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2370348 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2370348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2370351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370361 */     // GIR_Coverage, 1111,
     /* 2370361 */     GIR_EraseRootFromParent_Done,
     /* 2370362 */   // Label 33773: @2370362
     /* 2370362 */   GIM_Reject,
     /* 2370363 */ // Label 33769: @2370363
     /* 2370363 */ GIM_Reject,
     /* 2370364 */ // Label 33747: @2370364
     /* 2370364 */ GIM_Try, /*On fail goto*//*Label 33774*/ GIMT_Encode4(2370546),
     /* 2370369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2370372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2370375 */   GIM_Try, /*On fail goto*//*Label 33775*/ GIMT_Encode4(2370409), // Rule ID 1441 //
     /* 2370380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2370383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2370387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2370391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2370395 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2370395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2370398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370408 */     // GIR_Coverage, 1441,
     /* 2370408 */     GIR_EraseRootFromParent_Done,
     /* 2370409 */   // Label 33775: @2370409
     /* 2370409 */   GIM_Try, /*On fail goto*//*Label 33776*/ GIMT_Encode4(2370443), // Rule ID 1442 //
     /* 2370414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2370417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2370421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2370425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2370429 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2370429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2370432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370442 */     // GIR_Coverage, 1442,
     /* 2370442 */     GIR_EraseRootFromParent_Done,
     /* 2370443 */   // Label 33776: @2370443
     /* 2370443 */   GIM_Try, /*On fail goto*//*Label 33777*/ GIMT_Encode4(2370477), // Rule ID 1445 //
     /* 2370448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2370451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2370455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2370459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2370463 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2370463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2370466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370476 */     // GIR_Coverage, 1445,
     /* 2370476 */     GIR_EraseRootFromParent_Done,
     /* 2370477 */   // Label 33777: @2370477
     /* 2370477 */   GIM_Try, /*On fail goto*//*Label 33778*/ GIMT_Encode4(2370511), // Rule ID 1446 //
     /* 2370482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2370485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2370489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2370493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2370497 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2370497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2370500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370510 */     // GIR_Coverage, 1446,
     /* 2370510 */     GIR_EraseRootFromParent_Done,
     /* 2370511 */   // Label 33778: @2370511
     /* 2370511 */   GIM_Try, /*On fail goto*//*Label 33779*/ GIMT_Encode4(2370545), // Rule ID 1449 //
     /* 2370516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2370519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2370523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2370527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2370531 */     // (strict_fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2370531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2370534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370544 */     // GIR_Coverage, 1449,
     /* 2370544 */     GIR_EraseRootFromParent_Done,
     /* 2370545 */   // Label 33779: @2370545
     /* 2370545 */   GIM_Reject,
     /* 2370546 */ // Label 33774: @2370546
     /* 2370546 */ GIM_Reject,
     /* 2370547 */ // Label 33748: @2370547
     /* 2370547 */ GIM_Try, /*On fail goto*//*Label 33780*/ GIMT_Encode4(2370667),
     /* 2370552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2370555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2370558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370570 */   GIM_Try, /*On fail goto*//*Label 33781*/ GIMT_Encode4(2370618), // Rule ID 45485 //
     /* 2370575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2370578 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2370581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2370595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370617 */     // GIR_Coverage, 45485,
     /* 2370617 */     GIR_EraseRootFromParent_Done,
     /* 2370618 */   // Label 33781: @2370618
     /* 2370618 */   GIM_Try, /*On fail goto*//*Label 33782*/ GIMT_Encode4(2370666), // Rule ID 45486 //
     /* 2370623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2370626 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2370629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2370643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370665 */     // GIR_Coverage, 45486,
     /* 2370665 */     GIR_EraseRootFromParent_Done,
     /* 2370666 */   // Label 33782: @2370666
     /* 2370666 */   GIM_Reject,
     /* 2370667 */ // Label 33780: @2370667
     /* 2370667 */ GIM_Reject,
     /* 2370668 */ // Label 33749: @2370668
     /* 2370668 */ GIM_Try, /*On fail goto*//*Label 33783*/ GIMT_Encode4(2370788),
     /* 2370673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2370676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2370679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370683 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370687 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370691 */   GIM_Try, /*On fail goto*//*Label 33784*/ GIMT_Encode4(2370739), // Rule ID 52841 //
     /* 2370696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2370699 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2370702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2370716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370738 */     // GIR_Coverage, 52841,
     /* 2370738 */     GIR_EraseRootFromParent_Done,
     /* 2370739 */   // Label 33784: @2370739
     /* 2370739 */   GIM_Try, /*On fail goto*//*Label 33785*/ GIMT_Encode4(2370787), // Rule ID 52842 //
     /* 2370744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2370747 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2370750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2370764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370786 */     // GIR_Coverage, 52842,
     /* 2370786 */     GIR_EraseRootFromParent_Done,
     /* 2370787 */   // Label 33785: @2370787
     /* 2370787 */   GIM_Reject,
     /* 2370788 */ // Label 33783: @2370788
     /* 2370788 */ GIM_Reject,
     /* 2370789 */ // Label 33750: @2370789
     /* 2370789 */ GIM_Try, /*On fail goto*//*Label 33786*/ GIMT_Encode4(2370909),
     /* 2370794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2370797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2370800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370808 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370812 */   GIM_Try, /*On fail goto*//*Label 33787*/ GIMT_Encode4(2370860), // Rule ID 52877 //
     /* 2370817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2370820 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2370823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2370837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370859 */     // GIR_Coverage, 52877,
     /* 2370859 */     GIR_EraseRootFromParent_Done,
     /* 2370860 */   // Label 33787: @2370860
     /* 2370860 */   GIM_Try, /*On fail goto*//*Label 33788*/ GIMT_Encode4(2370908), // Rule ID 52878 //
     /* 2370865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2370868 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2370871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2370885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370907 */     // GIR_Coverage, 52878,
     /* 2370907 */     GIR_EraseRootFromParent_Done,
     /* 2370908 */   // Label 33788: @2370908
     /* 2370908 */   GIM_Reject,
     /* 2370909 */ // Label 33786: @2370909
     /* 2370909 */ GIM_Reject,
     /* 2370910 */ // Label 33751: @2370910
     /* 2370910 */ GIM_Try, /*On fail goto*//*Label 33789*/ GIMT_Encode4(2371030),
     /* 2370915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2370918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2370921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370925 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370929 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370933 */   GIM_Try, /*On fail goto*//*Label 33790*/ GIMT_Encode4(2370981), // Rule ID 52829 //
     /* 2370938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2370941 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2370944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2370958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370980 */     // GIR_Coverage, 52829,
     /* 2370980 */     GIR_EraseRootFromParent_Done,
     /* 2370981 */   // Label 33790: @2370981
     /* 2370981 */   GIM_Try, /*On fail goto*//*Label 33791*/ GIMT_Encode4(2371029), // Rule ID 52830 //
     /* 2370986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2370989 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2370992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2371006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371028 */     // GIR_Coverage, 52830,
     /* 2371028 */     GIR_EraseRootFromParent_Done,
     /* 2371029 */   // Label 33791: @2371029
     /* 2371029 */   GIM_Reject,
     /* 2371030 */ // Label 33789: @2371030
     /* 2371030 */ GIM_Reject,
     /* 2371031 */ // Label 33752: @2371031
     /* 2371031 */ GIM_Try, /*On fail goto*//*Label 33792*/ GIMT_Encode4(2371151),
     /* 2371036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2371039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2371042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371046 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371050 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371054 */   GIM_Try, /*On fail goto*//*Label 33793*/ GIMT_Encode4(2371102), // Rule ID 52865 //
     /* 2371059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2371062 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2371065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2371079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371101 */     // GIR_Coverage, 52865,
     /* 2371101 */     GIR_EraseRootFromParent_Done,
     /* 2371102 */   // Label 33793: @2371102
     /* 2371102 */   GIM_Try, /*On fail goto*//*Label 33794*/ GIMT_Encode4(2371150), // Rule ID 52866 //
     /* 2371107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2371110 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2371113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2371127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371149 */     // GIR_Coverage, 52866,
     /* 2371149 */     GIR_EraseRootFromParent_Done,
     /* 2371150 */   // Label 33794: @2371150
     /* 2371150 */   GIM_Reject,
     /* 2371151 */ // Label 33792: @2371151
     /* 2371151 */ GIM_Reject,
     /* 2371152 */ // Label 33753: @2371152
     /* 2371152 */ GIM_Try, /*On fail goto*//*Label 33795*/ GIMT_Encode4(2371272),
     /* 2371157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2371160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2371163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371175 */   GIM_Try, /*On fail goto*//*Label 33796*/ GIMT_Encode4(2371223), // Rule ID 52961 //
     /* 2371180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2371183 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2371186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2371200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371222 */     // GIR_Coverage, 52961,
     /* 2371222 */     GIR_EraseRootFromParent_Done,
     /* 2371223 */   // Label 33796: @2371223
     /* 2371223 */   GIM_Try, /*On fail goto*//*Label 33797*/ GIMT_Encode4(2371271), // Rule ID 52962 //
     /* 2371228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2371231 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2371234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2371248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371270 */     // GIR_Coverage, 52962,
     /* 2371270 */     GIR_EraseRootFromParent_Done,
     /* 2371271 */   // Label 33797: @2371271
     /* 2371271 */   GIM_Reject,
     /* 2371272 */ // Label 33795: @2371272
     /* 2371272 */ GIM_Reject,
     /* 2371273 */ // Label 33754: @2371273
     /* 2371273 */ GIM_Try, /*On fail goto*//*Label 33798*/ GIMT_Encode4(2371393),
     /* 2371278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2371281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2371284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371292 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371296 */   GIM_Try, /*On fail goto*//*Label 33799*/ GIMT_Encode4(2371344), // Rule ID 52853 //
     /* 2371301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2371304 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2371307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2371321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371343 */     // GIR_Coverage, 52853,
     /* 2371343 */     GIR_EraseRootFromParent_Done,
     /* 2371344 */   // Label 33799: @2371344
     /* 2371344 */   GIM_Try, /*On fail goto*//*Label 33800*/ GIMT_Encode4(2371392), // Rule ID 52854 //
     /* 2371349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2371352 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2371355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2371369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371391 */     // GIR_Coverage, 52854,
     /* 2371391 */     GIR_EraseRootFromParent_Done,
     /* 2371392 */   // Label 33800: @2371392
     /* 2371392 */   GIM_Reject,
     /* 2371393 */ // Label 33798: @2371393
     /* 2371393 */ GIM_Reject,
     /* 2371394 */ // Label 33755: @2371394
     /* 2371394 */ GIM_Try, /*On fail goto*//*Label 33801*/ GIMT_Encode4(2371514),
     /* 2371399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2371402 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2371405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371413 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371417 */   GIM_Try, /*On fail goto*//*Label 33802*/ GIMT_Encode4(2371465), // Rule ID 52925 //
     /* 2371422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2371425 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2371428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2371442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371464 */     // GIR_Coverage, 52925,
     /* 2371464 */     GIR_EraseRootFromParent_Done,
     /* 2371465 */   // Label 33802: @2371465
     /* 2371465 */   GIM_Try, /*On fail goto*//*Label 33803*/ GIMT_Encode4(2371513), // Rule ID 52926 //
     /* 2371470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2371473 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2371476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2371490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371512 */     // GIR_Coverage, 52926,
     /* 2371512 */     GIR_EraseRootFromParent_Done,
     /* 2371513 */   // Label 33803: @2371513
     /* 2371513 */   GIM_Reject,
     /* 2371514 */ // Label 33801: @2371514
     /* 2371514 */ GIM_Reject,
     /* 2371515 */ // Label 33756: @2371515
     /* 2371515 */ GIM_Try, /*On fail goto*//*Label 33804*/ GIMT_Encode4(2371635),
     /* 2371520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2371523 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2371526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371534 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371538 */   GIM_Try, /*On fail goto*//*Label 33805*/ GIMT_Encode4(2371586), // Rule ID 52973 //
     /* 2371543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2371546 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2371549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2371563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371585 */     // GIR_Coverage, 52973,
     /* 2371585 */     GIR_EraseRootFromParent_Done,
     /* 2371586 */   // Label 33805: @2371586
     /* 2371586 */   GIM_Try, /*On fail goto*//*Label 33806*/ GIMT_Encode4(2371634), // Rule ID 52974 //
     /* 2371591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2371594 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2371597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2371611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371633 */     // GIR_Coverage, 52974,
     /* 2371633 */     GIR_EraseRootFromParent_Done,
     /* 2371634 */   // Label 33806: @2371634
     /* 2371634 */   GIM_Reject,
     /* 2371635 */ // Label 33804: @2371635
     /* 2371635 */ GIM_Reject,
     /* 2371636 */ // Label 33757: @2371636
     /* 2371636 */ GIM_Try, /*On fail goto*//*Label 33807*/ GIMT_Encode4(2371756),
     /* 2371641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2371644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2371647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371655 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371659 */   GIM_Try, /*On fail goto*//*Label 33808*/ GIMT_Encode4(2371707), // Rule ID 52889 //
     /* 2371664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2371667 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2371670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2371684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371706 */     // GIR_Coverage, 52889,
     /* 2371706 */     GIR_EraseRootFromParent_Done,
     /* 2371707 */   // Label 33808: @2371707
     /* 2371707 */   GIM_Try, /*On fail goto*//*Label 33809*/ GIMT_Encode4(2371755), // Rule ID 52890 //
     /* 2371712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2371715 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2371718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2371732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371754 */     // GIR_Coverage, 52890,
     /* 2371754 */     GIR_EraseRootFromParent_Done,
     /* 2371755 */   // Label 33809: @2371755
     /* 2371755 */   GIM_Reject,
     /* 2371756 */ // Label 33807: @2371756
     /* 2371756 */ GIM_Reject,
     /* 2371757 */ // Label 33758: @2371757
     /* 2371757 */ GIM_Try, /*On fail goto*//*Label 33810*/ GIMT_Encode4(2371877),
     /* 2371762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2371765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2371768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371780 */   GIM_Try, /*On fail goto*//*Label 33811*/ GIMT_Encode4(2371828), // Rule ID 52937 //
     /* 2371785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2371788 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2371791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2371805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371827 */     // GIR_Coverage, 52937,
     /* 2371827 */     GIR_EraseRootFromParent_Done,
     /* 2371828 */   // Label 33811: @2371828
     /* 2371828 */   GIM_Try, /*On fail goto*//*Label 33812*/ GIMT_Encode4(2371876), // Rule ID 52938 //
     /* 2371833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2371836 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2371839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2371853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371875 */     // GIR_Coverage, 52938,
     /* 2371875 */     GIR_EraseRootFromParent_Done,
     /* 2371876 */   // Label 33812: @2371876
     /* 2371876 */   GIM_Reject,
     /* 2371877 */ // Label 33810: @2371877
     /* 2371877 */ GIM_Reject,
     /* 2371878 */ // Label 33759: @2371878
     /* 2371878 */ GIM_Try, /*On fail goto*//*Label 33813*/ GIMT_Encode4(2371998),
     /* 2371883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2371886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2371889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371901 */   GIM_Try, /*On fail goto*//*Label 33814*/ GIMT_Encode4(2371949), // Rule ID 52985 //
     /* 2371906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2371909 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2371912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2371926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371948 */     // GIR_Coverage, 52985,
     /* 2371948 */     GIR_EraseRootFromParent_Done,
     /* 2371949 */   // Label 33814: @2371949
     /* 2371949 */   GIM_Try, /*On fail goto*//*Label 33815*/ GIMT_Encode4(2371997), // Rule ID 52986 //
     /* 2371954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2371957 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2371960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2371974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371996 */     // GIR_Coverage, 52986,
     /* 2371996 */     GIR_EraseRootFromParent_Done,
     /* 2371997 */   // Label 33815: @2371997
     /* 2371997 */   GIM_Reject,
     /* 2371998 */ // Label 33813: @2371998
     /* 2371998 */ GIM_Reject,
     /* 2371999 */ // Label 33760: @2371999
     /* 2371999 */ GIM_Try, /*On fail goto*//*Label 33816*/ GIMT_Encode4(2372119),
     /* 2372004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2372007 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2372010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2372014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2372018 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2372022 */   GIM_Try, /*On fail goto*//*Label 33817*/ GIMT_Encode4(2372070), // Rule ID 52901 //
     /* 2372027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2372030 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2372033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2372047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372069 */     // GIR_Coverage, 52901,
     /* 2372069 */     GIR_EraseRootFromParent_Done,
     /* 2372070 */   // Label 33817: @2372070
     /* 2372070 */   GIM_Try, /*On fail goto*//*Label 33818*/ GIMT_Encode4(2372118), // Rule ID 52902 //
     /* 2372075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2372078 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2372081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2372095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372117 */     // GIR_Coverage, 52902,
     /* 2372117 */     GIR_EraseRootFromParent_Done,
     /* 2372118 */   // Label 33818: @2372118
     /* 2372118 */   GIM_Reject,
     /* 2372119 */ // Label 33816: @2372119
     /* 2372119 */ GIM_Reject,
     /* 2372120 */ // Label 33761: @2372120
     /* 2372120 */ GIM_Try, /*On fail goto*//*Label 33819*/ GIMT_Encode4(2372240),
     /* 2372125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2372128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2372131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372135 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372139 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372143 */   GIM_Try, /*On fail goto*//*Label 33820*/ GIMT_Encode4(2372191), // Rule ID 52949 //
     /* 2372148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2372151 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2372154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2372168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372190 */     // GIR_Coverage, 52949,
     /* 2372190 */     GIR_EraseRootFromParent_Done,
     /* 2372191 */   // Label 33820: @2372191
     /* 2372191 */   GIM_Try, /*On fail goto*//*Label 33821*/ GIMT_Encode4(2372239), // Rule ID 52950 //
     /* 2372196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2372199 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2372202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2372216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372238 */     // GIR_Coverage, 52950,
     /* 2372238 */     GIR_EraseRootFromParent_Done,
     /* 2372239 */   // Label 33821: @2372239
     /* 2372239 */   GIM_Reject,
     /* 2372240 */ // Label 33819: @2372240
     /* 2372240 */ GIM_Reject,
     /* 2372241 */ // Label 33762: @2372241
     /* 2372241 */ GIM_Try, /*On fail goto*//*Label 33822*/ GIMT_Encode4(2372361),
     /* 2372246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2372249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2372252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372264 */   GIM_Try, /*On fail goto*//*Label 33823*/ GIMT_Encode4(2372312), // Rule ID 52913 //
     /* 2372269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2372272 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2372275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2372289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372311 */     // GIR_Coverage, 52913,
     /* 2372311 */     GIR_EraseRootFromParent_Done,
     /* 2372312 */   // Label 33823: @2372312
     /* 2372312 */   GIM_Try, /*On fail goto*//*Label 33824*/ GIMT_Encode4(2372360), // Rule ID 52914 //
     /* 2372317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2372320 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2372323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2372337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372359 */     // GIR_Coverage, 52914,
     /* 2372359 */     GIR_EraseRootFromParent_Done,
     /* 2372360 */   // Label 33824: @2372360
     /* 2372360 */   GIM_Reject,
     /* 2372361 */ // Label 33822: @2372361
     /* 2372361 */ GIM_Reject,
     /* 2372362 */ // Label 33763: @2372362
     /* 2372362 */ GIM_Reject,
     /* 2372363 */ // Label 95: @2372363
     /* 2372363 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33843*/ GIMT_Encode4(2374790),
     /* 2372374 */ /*GILLT_s16*//*Label 33825*/ GIMT_Encode4(2372494),
     /* 2372378 */ /*GILLT_s32*//*Label 33826*/ GIMT_Encode4(2372643),
     /* 2372382 */ /*GILLT_s64*//*Label 33827*/ GIMT_Encode4(2372792), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372394 */ /*GILLT_nxv1s16*//*Label 33828*/ GIMT_Encode4(2372975),
     /* 2372398 */ /*GILLT_nxv1s32*//*Label 33829*/ GIMT_Encode4(2373096),
     /* 2372402 */ /*GILLT_nxv1s64*//*Label 33830*/ GIMT_Encode4(2373217), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372414 */ /*GILLT_nxv2s16*//*Label 33831*/ GIMT_Encode4(2373338),
     /* 2372418 */ /*GILLT_nxv2s32*//*Label 33832*/ GIMT_Encode4(2373459),
     /* 2372422 */ /*GILLT_nxv2s64*//*Label 33833*/ GIMT_Encode4(2373580), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372434 */ /*GILLT_nxv4s16*//*Label 33834*/ GIMT_Encode4(2373701),
     /* 2372438 */ /*GILLT_nxv4s32*//*Label 33835*/ GIMT_Encode4(2373822),
     /* 2372442 */ /*GILLT_nxv4s64*//*Label 33836*/ GIMT_Encode4(2373943), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372454 */ /*GILLT_nxv8s16*//*Label 33837*/ GIMT_Encode4(2374064),
     /* 2372458 */ /*GILLT_nxv8s32*//*Label 33838*/ GIMT_Encode4(2374185),
     /* 2372462 */ /*GILLT_nxv8s64*//*Label 33839*/ GIMT_Encode4(2374306), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372474 */ /*GILLT_nxv16s16*//*Label 33840*/ GIMT_Encode4(2374427),
     /* 2372478 */ /*GILLT_nxv16s32*//*Label 33841*/ GIMT_Encode4(2374548), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372490 */ /*GILLT_nxv32s16*//*Label 33842*/ GIMT_Encode4(2374669),
     /* 2372494 */ // Label 33825: @2372494
     /* 2372494 */ GIM_Try, /*On fail goto*//*Label 33844*/ GIMT_Encode4(2372642),
     /* 2372499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2372502 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2372505 */   GIM_Try, /*On fail goto*//*Label 33845*/ GIMT_Encode4(2372539), // Rule ID 1823 //
     /* 2372510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2372513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372525 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2372525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2372528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372538 */     // GIR_Coverage, 1823,
     /* 2372538 */     GIR_EraseRootFromParent_Done,
     /* 2372539 */   // Label 33845: @2372539
     /* 2372539 */   GIM_Try, /*On fail goto*//*Label 33846*/ GIMT_Encode4(2372573), // Rule ID 1824 //
     /* 2372544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2372547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372559 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2372559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2372562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372572 */     // GIR_Coverage, 1824,
     /* 2372572 */     GIR_EraseRootFromParent_Done,
     /* 2372573 */   // Label 33846: @2372573
     /* 2372573 */   GIM_Try, /*On fail goto*//*Label 33847*/ GIMT_Encode4(2372607), // Rule ID 1827 //
     /* 2372578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2372581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372593 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2372593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2372596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372606 */     // GIR_Coverage, 1827,
     /* 2372606 */     GIR_EraseRootFromParent_Done,
     /* 2372607 */   // Label 33847: @2372607
     /* 2372607 */   GIM_Try, /*On fail goto*//*Label 33848*/ GIMT_Encode4(2372641), // Rule ID 1828 //
     /* 2372612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2372615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372627 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2372627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2372630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372640 */     // GIR_Coverage, 1828,
     /* 2372640 */     GIR_EraseRootFromParent_Done,
     /* 2372641 */   // Label 33848: @2372641
     /* 2372641 */   GIM_Reject,
     /* 2372642 */ // Label 33844: @2372642
     /* 2372642 */ GIM_Reject,
     /* 2372643 */ // Label 33826: @2372643
     /* 2372643 */ GIM_Try, /*On fail goto*//*Label 33849*/ GIMT_Encode4(2372791),
     /* 2372648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2372651 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2372654 */   GIM_Try, /*On fail goto*//*Label 33850*/ GIMT_Encode4(2372688), // Rule ID 1114 //
     /* 2372659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2372662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372674 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2372674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2372677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372687 */     // GIR_Coverage, 1114,
     /* 2372687 */     GIR_EraseRootFromParent_Done,
     /* 2372688 */   // Label 33850: @2372688
     /* 2372688 */   GIM_Try, /*On fail goto*//*Label 33851*/ GIMT_Encode4(2372722), // Rule ID 1115 //
     /* 2372693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2372696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372708 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2372708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2372711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372721 */     // GIR_Coverage, 1115,
     /* 2372721 */     GIR_EraseRootFromParent_Done,
     /* 2372722 */   // Label 33851: @2372722
     /* 2372722 */   GIM_Try, /*On fail goto*//*Label 33852*/ GIMT_Encode4(2372756), // Rule ID 1118 //
     /* 2372727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2372730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372742 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2372742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2372745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372755 */     // GIR_Coverage, 1118,
     /* 2372755 */     GIR_EraseRootFromParent_Done,
     /* 2372756 */   // Label 33852: @2372756
     /* 2372756 */   GIM_Try, /*On fail goto*//*Label 33853*/ GIMT_Encode4(2372790), // Rule ID 1119 //
     /* 2372761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2372764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372776 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2372776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2372779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372789 */     // GIR_Coverage, 1119,
     /* 2372789 */     GIR_EraseRootFromParent_Done,
     /* 2372790 */   // Label 33853: @2372790
     /* 2372790 */   GIM_Reject,
     /* 2372791 */ // Label 33849: @2372791
     /* 2372791 */ GIM_Reject,
     /* 2372792 */ // Label 33827: @2372792
     /* 2372792 */ GIM_Try, /*On fail goto*//*Label 33854*/ GIMT_Encode4(2372974),
     /* 2372797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2372800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2372803 */   GIM_Try, /*On fail goto*//*Label 33855*/ GIMT_Encode4(2372837), // Rule ID 1451 //
     /* 2372808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2372811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372823 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2372823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2372826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372836 */     // GIR_Coverage, 1451,
     /* 2372836 */     GIR_EraseRootFromParent_Done,
     /* 2372837 */   // Label 33855: @2372837
     /* 2372837 */   GIM_Try, /*On fail goto*//*Label 33856*/ GIMT_Encode4(2372871), // Rule ID 1452 //
     /* 2372842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2372845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372857 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2372857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2372860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372870 */     // GIR_Coverage, 1452,
     /* 2372870 */     GIR_EraseRootFromParent_Done,
     /* 2372871 */   // Label 33856: @2372871
     /* 2372871 */   GIM_Try, /*On fail goto*//*Label 33857*/ GIMT_Encode4(2372905), // Rule ID 1455 //
     /* 2372876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2372879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372891 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2372891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2372894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372904 */     // GIR_Coverage, 1455,
     /* 2372904 */     GIR_EraseRootFromParent_Done,
     /* 2372905 */   // Label 33857: @2372905
     /* 2372905 */   GIM_Try, /*On fail goto*//*Label 33858*/ GIMT_Encode4(2372939), // Rule ID 1456 //
     /* 2372910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2372913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2372925 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2372925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2372928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372938 */     // GIR_Coverage, 1456,
     /* 2372938 */     GIR_EraseRootFromParent_Done,
     /* 2372939 */   // Label 33858: @2372939
     /* 2372939 */   GIM_Try, /*On fail goto*//*Label 33859*/ GIMT_Encode4(2372973), // Rule ID 1459 //
     /* 2372944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2372947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372959 */     // (strict_fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2372959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2372962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372972 */     // GIR_Coverage, 1459,
     /* 2372972 */     GIR_EraseRootFromParent_Done,
     /* 2372973 */   // Label 33859: @2372973
     /* 2372973 */   GIM_Reject,
     /* 2372974 */ // Label 33854: @2372974
     /* 2372974 */ GIM_Reject,
     /* 2372975 */ // Label 33828: @2372975
     /* 2372975 */ GIM_Try, /*On fail goto*//*Label 33860*/ GIMT_Encode4(2373095),
     /* 2372980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2372983 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2372986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372994 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372998 */   GIM_Try, /*On fail goto*//*Label 33861*/ GIMT_Encode4(2373046), // Rule ID 52997 //
     /* 2373003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2373006 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2373009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2373023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373045 */     // GIR_Coverage, 52997,
     /* 2373045 */     GIR_EraseRootFromParent_Done,
     /* 2373046 */   // Label 33861: @2373046
     /* 2373046 */   GIM_Try, /*On fail goto*//*Label 33862*/ GIMT_Encode4(2373094), // Rule ID 52998 //
     /* 2373051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2373054 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2373057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2373071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373093 */     // GIR_Coverage, 52998,
     /* 2373093 */     GIR_EraseRootFromParent_Done,
     /* 2373094 */   // Label 33862: @2373094
     /* 2373094 */   GIM_Reject,
     /* 2373095 */ // Label 33860: @2373095
     /* 2373095 */ GIM_Reject,
     /* 2373096 */ // Label 33829: @2373096
     /* 2373096 */ GIM_Try, /*On fail goto*//*Label 33863*/ GIMT_Encode4(2373216),
     /* 2373101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2373104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2373107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373119 */   GIM_Try, /*On fail goto*//*Label 33864*/ GIMT_Encode4(2373167), // Rule ID 53021 //
     /* 2373124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2373127 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2373130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2373144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373166 */     // GIR_Coverage, 53021,
     /* 2373166 */     GIR_EraseRootFromParent_Done,
     /* 2373167 */   // Label 33864: @2373167
     /* 2373167 */   GIM_Try, /*On fail goto*//*Label 33865*/ GIMT_Encode4(2373215), // Rule ID 53022 //
     /* 2373172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2373175 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2373178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2373192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373214 */     // GIR_Coverage, 53022,
     /* 2373214 */     GIR_EraseRootFromParent_Done,
     /* 2373215 */   // Label 33865: @2373215
     /* 2373215 */   GIM_Reject,
     /* 2373216 */ // Label 33863: @2373216
     /* 2373216 */ GIM_Reject,
     /* 2373217 */ // Label 33830: @2373217
     /* 2373217 */ GIM_Try, /*On fail goto*//*Label 33866*/ GIMT_Encode4(2373337),
     /* 2373222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2373225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2373228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373236 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373240 */   GIM_Try, /*On fail goto*//*Label 33867*/ GIMT_Encode4(2373288), // Rule ID 53057 //
     /* 2373245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2373248 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2373251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2373265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373287 */     // GIR_Coverage, 53057,
     /* 2373287 */     GIR_EraseRootFromParent_Done,
     /* 2373288 */   // Label 33867: @2373288
     /* 2373288 */   GIM_Try, /*On fail goto*//*Label 33868*/ GIMT_Encode4(2373336), // Rule ID 53058 //
     /* 2373293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2373296 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2373299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2373313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373335 */     // GIR_Coverage, 53058,
     /* 2373335 */     GIR_EraseRootFromParent_Done,
     /* 2373336 */   // Label 33868: @2373336
     /* 2373336 */   GIM_Reject,
     /* 2373337 */ // Label 33866: @2373337
     /* 2373337 */ GIM_Reject,
     /* 2373338 */ // Label 33831: @2373338
     /* 2373338 */ GIM_Try, /*On fail goto*//*Label 33869*/ GIMT_Encode4(2373458),
     /* 2373343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2373346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2373349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373357 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373361 */   GIM_Try, /*On fail goto*//*Label 33870*/ GIMT_Encode4(2373409), // Rule ID 53009 //
     /* 2373366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2373369 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2373372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2373386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373408 */     // GIR_Coverage, 53009,
     /* 2373408 */     GIR_EraseRootFromParent_Done,
     /* 2373409 */   // Label 33870: @2373409
     /* 2373409 */   GIM_Try, /*On fail goto*//*Label 33871*/ GIMT_Encode4(2373457), // Rule ID 53010 //
     /* 2373414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2373417 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2373420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2373434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373456 */     // GIR_Coverage, 53010,
     /* 2373456 */     GIR_EraseRootFromParent_Done,
     /* 2373457 */   // Label 33871: @2373457
     /* 2373457 */   GIM_Reject,
     /* 2373458 */ // Label 33869: @2373458
     /* 2373458 */ GIM_Reject,
     /* 2373459 */ // Label 33832: @2373459
     /* 2373459 */ GIM_Try, /*On fail goto*//*Label 33872*/ GIMT_Encode4(2373579),
     /* 2373464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2373467 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2373470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373474 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373478 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373482 */   GIM_Try, /*On fail goto*//*Label 33873*/ GIMT_Encode4(2373530), // Rule ID 53045 //
     /* 2373487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2373490 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2373493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2373507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373509 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373529 */     // GIR_Coverage, 53045,
     /* 2373529 */     GIR_EraseRootFromParent_Done,
     /* 2373530 */   // Label 33873: @2373530
     /* 2373530 */   GIM_Try, /*On fail goto*//*Label 33874*/ GIMT_Encode4(2373578), // Rule ID 53046 //
     /* 2373535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2373538 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2373541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2373555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373577 */     // GIR_Coverage, 53046,
     /* 2373577 */     GIR_EraseRootFromParent_Done,
     /* 2373578 */   // Label 33874: @2373578
     /* 2373578 */   GIM_Reject,
     /* 2373579 */ // Label 33872: @2373579
     /* 2373579 */ GIM_Reject,
     /* 2373580 */ // Label 33833: @2373580
     /* 2373580 */ GIM_Try, /*On fail goto*//*Label 33875*/ GIMT_Encode4(2373700),
     /* 2373585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2373588 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2373591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373599 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373603 */   GIM_Try, /*On fail goto*//*Label 33876*/ GIMT_Encode4(2373651), // Rule ID 53141 //
     /* 2373608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2373611 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2373614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2373628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373650 */     // GIR_Coverage, 53141,
     /* 2373650 */     GIR_EraseRootFromParent_Done,
     /* 2373651 */   // Label 33876: @2373651
     /* 2373651 */   GIM_Try, /*On fail goto*//*Label 33877*/ GIMT_Encode4(2373699), // Rule ID 53142 //
     /* 2373656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2373659 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2373662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2373676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373698 */     // GIR_Coverage, 53142,
     /* 2373698 */     GIR_EraseRootFromParent_Done,
     /* 2373699 */   // Label 33877: @2373699
     /* 2373699 */   GIM_Reject,
     /* 2373700 */ // Label 33875: @2373700
     /* 2373700 */ GIM_Reject,
     /* 2373701 */ // Label 33834: @2373701
     /* 2373701 */ GIM_Try, /*On fail goto*//*Label 33878*/ GIMT_Encode4(2373821),
     /* 2373706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2373709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2373712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373720 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373724 */   GIM_Try, /*On fail goto*//*Label 33879*/ GIMT_Encode4(2373772), // Rule ID 53033 //
     /* 2373729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2373732 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2373735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2373749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373771 */     // GIR_Coverage, 53033,
     /* 2373771 */     GIR_EraseRootFromParent_Done,
     /* 2373772 */   // Label 33879: @2373772
     /* 2373772 */   GIM_Try, /*On fail goto*//*Label 33880*/ GIMT_Encode4(2373820), // Rule ID 53034 //
     /* 2373777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2373780 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2373783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2373797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373819 */     // GIR_Coverage, 53034,
     /* 2373819 */     GIR_EraseRootFromParent_Done,
     /* 2373820 */   // Label 33880: @2373820
     /* 2373820 */   GIM_Reject,
     /* 2373821 */ // Label 33878: @2373821
     /* 2373821 */ GIM_Reject,
     /* 2373822 */ // Label 33835: @2373822
     /* 2373822 */ GIM_Try, /*On fail goto*//*Label 33881*/ GIMT_Encode4(2373942),
     /* 2373827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2373830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2373833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373841 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373845 */   GIM_Try, /*On fail goto*//*Label 33882*/ GIMT_Encode4(2373893), // Rule ID 53105 //
     /* 2373850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2373853 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2373856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2373870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373892 */     // GIR_Coverage, 53105,
     /* 2373892 */     GIR_EraseRootFromParent_Done,
     /* 2373893 */   // Label 33882: @2373893
     /* 2373893 */   GIM_Try, /*On fail goto*//*Label 33883*/ GIMT_Encode4(2373941), // Rule ID 53106 //
     /* 2373898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2373901 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2373904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2373918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373940 */     // GIR_Coverage, 53106,
     /* 2373940 */     GIR_EraseRootFromParent_Done,
     /* 2373941 */   // Label 33883: @2373941
     /* 2373941 */   GIM_Reject,
     /* 2373942 */ // Label 33881: @2373942
     /* 2373942 */ GIM_Reject,
     /* 2373943 */ // Label 33836: @2373943
     /* 2373943 */ GIM_Try, /*On fail goto*//*Label 33884*/ GIMT_Encode4(2374063),
     /* 2373948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2373951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2373954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373962 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373966 */   GIM_Try, /*On fail goto*//*Label 33885*/ GIMT_Encode4(2374014), // Rule ID 53153 //
     /* 2373971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2373974 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2373977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2373991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374013 */     // GIR_Coverage, 53153,
     /* 2374013 */     GIR_EraseRootFromParent_Done,
     /* 2374014 */   // Label 33885: @2374014
     /* 2374014 */   GIM_Try, /*On fail goto*//*Label 33886*/ GIMT_Encode4(2374062), // Rule ID 53154 //
     /* 2374019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2374022 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2374025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2374039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374061 */     // GIR_Coverage, 53154,
     /* 2374061 */     GIR_EraseRootFromParent_Done,
     /* 2374062 */   // Label 33886: @2374062
     /* 2374062 */   GIM_Reject,
     /* 2374063 */ // Label 33884: @2374063
     /* 2374063 */ GIM_Reject,
     /* 2374064 */ // Label 33837: @2374064
     /* 2374064 */ GIM_Try, /*On fail goto*//*Label 33887*/ GIMT_Encode4(2374184),
     /* 2374069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2374072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2374075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2374079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2374083 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2374087 */   GIM_Try, /*On fail goto*//*Label 33888*/ GIMT_Encode4(2374135), // Rule ID 53069 //
     /* 2374092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2374095 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2374098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2374112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374134 */     // GIR_Coverage, 53069,
     /* 2374134 */     GIR_EraseRootFromParent_Done,
     /* 2374135 */   // Label 33888: @2374135
     /* 2374135 */   GIM_Try, /*On fail goto*//*Label 33889*/ GIMT_Encode4(2374183), // Rule ID 53070 //
     /* 2374140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2374143 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2374146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2374160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374182 */     // GIR_Coverage, 53070,
     /* 2374182 */     GIR_EraseRootFromParent_Done,
     /* 2374183 */   // Label 33889: @2374183
     /* 2374183 */   GIM_Reject,
     /* 2374184 */ // Label 33887: @2374184
     /* 2374184 */ GIM_Reject,
     /* 2374185 */ // Label 33838: @2374185
     /* 2374185 */ GIM_Try, /*On fail goto*//*Label 33890*/ GIMT_Encode4(2374305),
     /* 2374190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2374193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2374196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374204 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374208 */   GIM_Try, /*On fail goto*//*Label 33891*/ GIMT_Encode4(2374256), // Rule ID 53117 //
     /* 2374213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2374216 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2374219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2374233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374255 */     // GIR_Coverage, 53117,
     /* 2374255 */     GIR_EraseRootFromParent_Done,
     /* 2374256 */   // Label 33891: @2374256
     /* 2374256 */   GIM_Try, /*On fail goto*//*Label 33892*/ GIMT_Encode4(2374304), // Rule ID 53118 //
     /* 2374261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2374264 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2374267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2374281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374303 */     // GIR_Coverage, 53118,
     /* 2374303 */     GIR_EraseRootFromParent_Done,
     /* 2374304 */   // Label 33892: @2374304
     /* 2374304 */   GIM_Reject,
     /* 2374305 */ // Label 33890: @2374305
     /* 2374305 */ GIM_Reject,
     /* 2374306 */ // Label 33839: @2374306
     /* 2374306 */ GIM_Try, /*On fail goto*//*Label 33893*/ GIMT_Encode4(2374426),
     /* 2374311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2374314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2374317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374329 */   GIM_Try, /*On fail goto*//*Label 33894*/ GIMT_Encode4(2374377), // Rule ID 53165 //
     /* 2374334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2374337 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2374340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2374354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374376 */     // GIR_Coverage, 53165,
     /* 2374376 */     GIR_EraseRootFromParent_Done,
     /* 2374377 */   // Label 33894: @2374377
     /* 2374377 */   GIM_Try, /*On fail goto*//*Label 33895*/ GIMT_Encode4(2374425), // Rule ID 53166 //
     /* 2374382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2374385 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2374388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2374402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374424 */     // GIR_Coverage, 53166,
     /* 2374424 */     GIR_EraseRootFromParent_Done,
     /* 2374425 */   // Label 33895: @2374425
     /* 2374425 */   GIM_Reject,
     /* 2374426 */ // Label 33893: @2374426
     /* 2374426 */ GIM_Reject,
     /* 2374427 */ // Label 33840: @2374427
     /* 2374427 */ GIM_Try, /*On fail goto*//*Label 33896*/ GIMT_Encode4(2374547),
     /* 2374432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2374435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2374438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374446 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374450 */   GIM_Try, /*On fail goto*//*Label 33897*/ GIMT_Encode4(2374498), // Rule ID 53081 //
     /* 2374455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2374458 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2374461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2374475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374497 */     // GIR_Coverage, 53081,
     /* 2374497 */     GIR_EraseRootFromParent_Done,
     /* 2374498 */   // Label 33897: @2374498
     /* 2374498 */   GIM_Try, /*On fail goto*//*Label 33898*/ GIMT_Encode4(2374546), // Rule ID 53082 //
     /* 2374503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2374506 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2374509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2374523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374545 */     // GIR_Coverage, 53082,
     /* 2374545 */     GIR_EraseRootFromParent_Done,
     /* 2374546 */   // Label 33898: @2374546
     /* 2374546 */   GIM_Reject,
     /* 2374547 */ // Label 33896: @2374547
     /* 2374547 */ GIM_Reject,
     /* 2374548 */ // Label 33841: @2374548
     /* 2374548 */ GIM_Try, /*On fail goto*//*Label 33899*/ GIMT_Encode4(2374668),
     /* 2374553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2374556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2374559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374571 */   GIM_Try, /*On fail goto*//*Label 33900*/ GIMT_Encode4(2374619), // Rule ID 53129 //
     /* 2374576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2374579 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2374582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2374596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374618 */     // GIR_Coverage, 53129,
     /* 2374618 */     GIR_EraseRootFromParent_Done,
     /* 2374619 */   // Label 33900: @2374619
     /* 2374619 */   GIM_Try, /*On fail goto*//*Label 33901*/ GIMT_Encode4(2374667), // Rule ID 53130 //
     /* 2374624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2374627 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2374630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2374644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374666 */     // GIR_Coverage, 53130,
     /* 2374666 */     GIR_EraseRootFromParent_Done,
     /* 2374667 */   // Label 33901: @2374667
     /* 2374667 */   GIM_Reject,
     /* 2374668 */ // Label 33899: @2374668
     /* 2374668 */ GIM_Reject,
     /* 2374669 */ // Label 33842: @2374669
     /* 2374669 */ GIM_Try, /*On fail goto*//*Label 33902*/ GIMT_Encode4(2374789),
     /* 2374674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2374677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2374680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374692 */   GIM_Try, /*On fail goto*//*Label 33903*/ GIMT_Encode4(2374740), // Rule ID 53093 //
     /* 2374697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2374700 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2374703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2374717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374739 */     // GIR_Coverage, 53093,
     /* 2374739 */     GIR_EraseRootFromParent_Done,
     /* 2374740 */   // Label 33903: @2374740
     /* 2374740 */   GIM_Try, /*On fail goto*//*Label 33904*/ GIMT_Encode4(2374788), // Rule ID 53094 //
     /* 2374745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2374748 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2374751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2374765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374787 */     // GIR_Coverage, 53094,
     /* 2374787 */     GIR_EraseRootFromParent_Done,
     /* 2374788 */   // Label 33904: @2374788
     /* 2374788 */   GIM_Reject,
     /* 2374789 */ // Label 33902: @2374789
     /* 2374789 */ GIM_Reject,
     /* 2374790 */ // Label 33843: @2374790
     /* 2374790 */ GIM_Reject,
     /* 2374791 */ // Label 96: @2374791
     /* 2374791 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33923*/ GIMT_Encode4(2377218),
     /* 2374802 */ /*GILLT_s16*//*Label 33905*/ GIMT_Encode4(2374922),
     /* 2374806 */ /*GILLT_s32*//*Label 33906*/ GIMT_Encode4(2375071),
     /* 2374810 */ /*GILLT_s64*//*Label 33907*/ GIMT_Encode4(2375220), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374822 */ /*GILLT_nxv1s16*//*Label 33908*/ GIMT_Encode4(2375403),
     /* 2374826 */ /*GILLT_nxv1s32*//*Label 33909*/ GIMT_Encode4(2375524),
     /* 2374830 */ /*GILLT_nxv1s64*//*Label 33910*/ GIMT_Encode4(2375645), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374842 */ /*GILLT_nxv2s16*//*Label 33911*/ GIMT_Encode4(2375766),
     /* 2374846 */ /*GILLT_nxv2s32*//*Label 33912*/ GIMT_Encode4(2375887),
     /* 2374850 */ /*GILLT_nxv2s64*//*Label 33913*/ GIMT_Encode4(2376008), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374862 */ /*GILLT_nxv4s16*//*Label 33914*/ GIMT_Encode4(2376129),
     /* 2374866 */ /*GILLT_nxv4s32*//*Label 33915*/ GIMT_Encode4(2376250),
     /* 2374870 */ /*GILLT_nxv4s64*//*Label 33916*/ GIMT_Encode4(2376371), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374882 */ /*GILLT_nxv8s16*//*Label 33917*/ GIMT_Encode4(2376492),
     /* 2374886 */ /*GILLT_nxv8s32*//*Label 33918*/ GIMT_Encode4(2376613),
     /* 2374890 */ /*GILLT_nxv8s64*//*Label 33919*/ GIMT_Encode4(2376734), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374902 */ /*GILLT_nxv16s16*//*Label 33920*/ GIMT_Encode4(2376855),
     /* 2374906 */ /*GILLT_nxv16s32*//*Label 33921*/ GIMT_Encode4(2376976), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374918 */ /*GILLT_nxv32s16*//*Label 33922*/ GIMT_Encode4(2377097),
     /* 2374922 */ // Label 33905: @2374922
     /* 2374922 */ GIM_Try, /*On fail goto*//*Label 33924*/ GIMT_Encode4(2375070),
     /* 2374927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2374930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2374933 */   GIM_Try, /*On fail goto*//*Label 33925*/ GIMT_Encode4(2374967), // Rule ID 1831 //
     /* 2374938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2374941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374953 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2374953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2374956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374966 */     // GIR_Coverage, 1831,
     /* 2374966 */     GIR_EraseRootFromParent_Done,
     /* 2374967 */   // Label 33925: @2374967
     /* 2374967 */   GIM_Try, /*On fail goto*//*Label 33926*/ GIMT_Encode4(2375001), // Rule ID 1832 //
     /* 2374972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2374975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2374987 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2374987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2374990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375000 */     // GIR_Coverage, 1832,
     /* 2375000 */     GIR_EraseRootFromParent_Done,
     /* 2375001 */   // Label 33926: @2375001
     /* 2375001 */   GIM_Try, /*On fail goto*//*Label 33927*/ GIMT_Encode4(2375035), // Rule ID 1835 //
     /* 2375006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2375009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375021 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2375021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2375024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375034 */     // GIR_Coverage, 1835,
     /* 2375034 */     GIR_EraseRootFromParent_Done,
     /* 2375035 */   // Label 33927: @2375035
     /* 2375035 */   GIM_Try, /*On fail goto*//*Label 33928*/ GIMT_Encode4(2375069), // Rule ID 1836 //
     /* 2375040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2375043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375055 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2375055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2375058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375068 */     // GIR_Coverage, 1836,
     /* 2375068 */     GIR_EraseRootFromParent_Done,
     /* 2375069 */   // Label 33928: @2375069
     /* 2375069 */   GIM_Reject,
     /* 2375070 */ // Label 33924: @2375070
     /* 2375070 */ GIM_Reject,
     /* 2375071 */ // Label 33906: @2375071
     /* 2375071 */ GIM_Try, /*On fail goto*//*Label 33929*/ GIMT_Encode4(2375219),
     /* 2375076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2375079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2375082 */   GIM_Try, /*On fail goto*//*Label 33930*/ GIMT_Encode4(2375116), // Rule ID 1122 //
     /* 2375087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2375090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2375094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2375098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2375102 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2375102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2375105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375115 */     // GIR_Coverage, 1122,
     /* 2375115 */     GIR_EraseRootFromParent_Done,
     /* 2375116 */   // Label 33930: @2375116
     /* 2375116 */   GIM_Try, /*On fail goto*//*Label 33931*/ GIMT_Encode4(2375150), // Rule ID 1123 //
     /* 2375121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2375124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2375128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2375132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2375136 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2375136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2375139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375149 */     // GIR_Coverage, 1123,
     /* 2375149 */     GIR_EraseRootFromParent_Done,
     /* 2375150 */   // Label 33931: @2375150
     /* 2375150 */   GIM_Try, /*On fail goto*//*Label 33932*/ GIMT_Encode4(2375184), // Rule ID 1126 //
     /* 2375155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2375158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2375162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2375166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2375170 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2375170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2375173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375183 */     // GIR_Coverage, 1126,
     /* 2375183 */     GIR_EraseRootFromParent_Done,
     /* 2375184 */   // Label 33932: @2375184
     /* 2375184 */   GIM_Try, /*On fail goto*//*Label 33933*/ GIMT_Encode4(2375218), // Rule ID 1127 //
     /* 2375189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2375192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2375196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2375200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2375204 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2375204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2375207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375217 */     // GIR_Coverage, 1127,
     /* 2375217 */     GIR_EraseRootFromParent_Done,
     /* 2375218 */   // Label 33933: @2375218
     /* 2375218 */   GIM_Reject,
     /* 2375219 */ // Label 33929: @2375219
     /* 2375219 */ GIM_Reject,
     /* 2375220 */ // Label 33907: @2375220
     /* 2375220 */ GIM_Try, /*On fail goto*//*Label 33934*/ GIMT_Encode4(2375402),
     /* 2375225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2375228 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2375231 */   GIM_Try, /*On fail goto*//*Label 33935*/ GIMT_Encode4(2375265), // Rule ID 1461 //
     /* 2375236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2375239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2375243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2375247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2375251 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2375251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2375254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375264 */     // GIR_Coverage, 1461,
     /* 2375264 */     GIR_EraseRootFromParent_Done,
     /* 2375265 */   // Label 33935: @2375265
     /* 2375265 */   GIM_Try, /*On fail goto*//*Label 33936*/ GIMT_Encode4(2375299), // Rule ID 1462 //
     /* 2375270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2375273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2375277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2375281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2375285 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2375285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2375288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375298 */     // GIR_Coverage, 1462,
     /* 2375298 */     GIR_EraseRootFromParent_Done,
     /* 2375299 */   // Label 33936: @2375299
     /* 2375299 */   GIM_Try, /*On fail goto*//*Label 33937*/ GIMT_Encode4(2375333), // Rule ID 1465 //
     /* 2375304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2375307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2375311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2375315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2375319 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2375319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2375322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375332 */     // GIR_Coverage, 1465,
     /* 2375332 */     GIR_EraseRootFromParent_Done,
     /* 2375333 */   // Label 33937: @2375333
     /* 2375333 */   GIM_Try, /*On fail goto*//*Label 33938*/ GIMT_Encode4(2375367), // Rule ID 1466 //
     /* 2375338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2375341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2375345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2375349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2375353 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2375353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2375356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375366 */     // GIR_Coverage, 1466,
     /* 2375366 */     GIR_EraseRootFromParent_Done,
     /* 2375367 */   // Label 33938: @2375367
     /* 2375367 */   GIM_Try, /*On fail goto*//*Label 33939*/ GIMT_Encode4(2375401), // Rule ID 1469 //
     /* 2375372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2375375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2375379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2375383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2375387 */     // (strict_fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2375387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2375390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375400 */     // GIR_Coverage, 1469,
     /* 2375400 */     GIR_EraseRootFromParent_Done,
     /* 2375401 */   // Label 33939: @2375401
     /* 2375401 */   GIM_Reject,
     /* 2375402 */ // Label 33934: @2375402
     /* 2375402 */ GIM_Reject,
     /* 2375403 */ // Label 33908: @2375403
     /* 2375403 */ GIM_Try, /*On fail goto*//*Label 33940*/ GIMT_Encode4(2375523),
     /* 2375408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2375411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2375414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375422 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375426 */   GIM_Try, /*On fail goto*//*Label 33941*/ GIMT_Encode4(2375474), // Rule ID 53765 //
     /* 2375431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2375434 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2375437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2375451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375473 */     // GIR_Coverage, 53765,
     /* 2375473 */     GIR_EraseRootFromParent_Done,
     /* 2375474 */   // Label 33941: @2375474
     /* 2375474 */   GIM_Try, /*On fail goto*//*Label 33942*/ GIMT_Encode4(2375522), // Rule ID 53766 //
     /* 2375479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2375482 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2375485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2375499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375521 */     // GIR_Coverage, 53766,
     /* 2375521 */     GIR_EraseRootFromParent_Done,
     /* 2375522 */   // Label 33942: @2375522
     /* 2375522 */   GIM_Reject,
     /* 2375523 */ // Label 33940: @2375523
     /* 2375523 */ GIM_Reject,
     /* 2375524 */ // Label 33909: @2375524
     /* 2375524 */ GIM_Try, /*On fail goto*//*Label 33943*/ GIMT_Encode4(2375644),
     /* 2375529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2375532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2375535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375547 */   GIM_Try, /*On fail goto*//*Label 33944*/ GIMT_Encode4(2375595), // Rule ID 53789 //
     /* 2375552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2375555 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2375558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2375572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375594 */     // GIR_Coverage, 53789,
     /* 2375594 */     GIR_EraseRootFromParent_Done,
     /* 2375595 */   // Label 33944: @2375595
     /* 2375595 */   GIM_Try, /*On fail goto*//*Label 33945*/ GIMT_Encode4(2375643), // Rule ID 53790 //
     /* 2375600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2375603 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2375606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2375620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375642 */     // GIR_Coverage, 53790,
     /* 2375642 */     GIR_EraseRootFromParent_Done,
     /* 2375643 */   // Label 33945: @2375643
     /* 2375643 */   GIM_Reject,
     /* 2375644 */ // Label 33943: @2375644
     /* 2375644 */ GIM_Reject,
     /* 2375645 */ // Label 33910: @2375645
     /* 2375645 */ GIM_Try, /*On fail goto*//*Label 33946*/ GIMT_Encode4(2375765),
     /* 2375650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2375653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2375656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375660 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375664 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375668 */   GIM_Try, /*On fail goto*//*Label 33947*/ GIMT_Encode4(2375716), // Rule ID 53825 //
     /* 2375673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2375676 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2375679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2375693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375715 */     // GIR_Coverage, 53825,
     /* 2375715 */     GIR_EraseRootFromParent_Done,
     /* 2375716 */   // Label 33947: @2375716
     /* 2375716 */   GIM_Try, /*On fail goto*//*Label 33948*/ GIMT_Encode4(2375764), // Rule ID 53826 //
     /* 2375721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2375724 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2375727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2375741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375763 */     // GIR_Coverage, 53826,
     /* 2375763 */     GIR_EraseRootFromParent_Done,
     /* 2375764 */   // Label 33948: @2375764
     /* 2375764 */   GIM_Reject,
     /* 2375765 */ // Label 33946: @2375765
     /* 2375765 */ GIM_Reject,
     /* 2375766 */ // Label 33911: @2375766
     /* 2375766 */ GIM_Try, /*On fail goto*//*Label 33949*/ GIMT_Encode4(2375886),
     /* 2375771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2375774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2375777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375789 */   GIM_Try, /*On fail goto*//*Label 33950*/ GIMT_Encode4(2375837), // Rule ID 53777 //
     /* 2375794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2375797 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2375800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2375814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375836 */     // GIR_Coverage, 53777,
     /* 2375836 */     GIR_EraseRootFromParent_Done,
     /* 2375837 */   // Label 33950: @2375837
     /* 2375837 */   GIM_Try, /*On fail goto*//*Label 33951*/ GIMT_Encode4(2375885), // Rule ID 53778 //
     /* 2375842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2375845 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2375848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2375862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375884 */     // GIR_Coverage, 53778,
     /* 2375884 */     GIR_EraseRootFromParent_Done,
     /* 2375885 */   // Label 33951: @2375885
     /* 2375885 */   GIM_Reject,
     /* 2375886 */ // Label 33949: @2375886
     /* 2375886 */ GIM_Reject,
     /* 2375887 */ // Label 33912: @2375887
     /* 2375887 */ GIM_Try, /*On fail goto*//*Label 33952*/ GIMT_Encode4(2376007),
     /* 2375892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2375895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2375898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375906 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375910 */   GIM_Try, /*On fail goto*//*Label 33953*/ GIMT_Encode4(2375958), // Rule ID 53813 //
     /* 2375915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2375918 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2375921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2375935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375957 */     // GIR_Coverage, 53813,
     /* 2375957 */     GIR_EraseRootFromParent_Done,
     /* 2375958 */   // Label 33953: @2375958
     /* 2375958 */   GIM_Try, /*On fail goto*//*Label 33954*/ GIMT_Encode4(2376006), // Rule ID 53814 //
     /* 2375963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2375966 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2375969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2375983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376005 */     // GIR_Coverage, 53814,
     /* 2376005 */     GIR_EraseRootFromParent_Done,
     /* 2376006 */   // Label 33954: @2376006
     /* 2376006 */   GIM_Reject,
     /* 2376007 */ // Label 33952: @2376007
     /* 2376007 */ GIM_Reject,
     /* 2376008 */ // Label 33913: @2376008
     /* 2376008 */ GIM_Try, /*On fail goto*//*Label 33955*/ GIMT_Encode4(2376128),
     /* 2376013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2376016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2376019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376031 */   GIM_Try, /*On fail goto*//*Label 33956*/ GIMT_Encode4(2376079), // Rule ID 53909 //
     /* 2376036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2376039 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2376042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2376056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376078 */     // GIR_Coverage, 53909,
     /* 2376078 */     GIR_EraseRootFromParent_Done,
     /* 2376079 */   // Label 33956: @2376079
     /* 2376079 */   GIM_Try, /*On fail goto*//*Label 33957*/ GIMT_Encode4(2376127), // Rule ID 53910 //
     /* 2376084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2376087 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2376090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2376104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376126 */     // GIR_Coverage, 53910,
     /* 2376126 */     GIR_EraseRootFromParent_Done,
     /* 2376127 */   // Label 33957: @2376127
     /* 2376127 */   GIM_Reject,
     /* 2376128 */ // Label 33955: @2376128
     /* 2376128 */ GIM_Reject,
     /* 2376129 */ // Label 33914: @2376129
     /* 2376129 */ GIM_Try, /*On fail goto*//*Label 33958*/ GIMT_Encode4(2376249),
     /* 2376134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2376137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2376140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376152 */   GIM_Try, /*On fail goto*//*Label 33959*/ GIMT_Encode4(2376200), // Rule ID 53801 //
     /* 2376157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2376160 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2376163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2376177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376199 */     // GIR_Coverage, 53801,
     /* 2376199 */     GIR_EraseRootFromParent_Done,
     /* 2376200 */   // Label 33959: @2376200
     /* 2376200 */   GIM_Try, /*On fail goto*//*Label 33960*/ GIMT_Encode4(2376248), // Rule ID 53802 //
     /* 2376205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2376208 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2376211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2376225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376247 */     // GIR_Coverage, 53802,
     /* 2376247 */     GIR_EraseRootFromParent_Done,
     /* 2376248 */   // Label 33960: @2376248
     /* 2376248 */   GIM_Reject,
     /* 2376249 */ // Label 33958: @2376249
     /* 2376249 */ GIM_Reject,
     /* 2376250 */ // Label 33915: @2376250
     /* 2376250 */ GIM_Try, /*On fail goto*//*Label 33961*/ GIMT_Encode4(2376370),
     /* 2376255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2376258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2376261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376273 */   GIM_Try, /*On fail goto*//*Label 33962*/ GIMT_Encode4(2376321), // Rule ID 53873 //
     /* 2376278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2376281 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2376284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2376298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376320 */     // GIR_Coverage, 53873,
     /* 2376320 */     GIR_EraseRootFromParent_Done,
     /* 2376321 */   // Label 33962: @2376321
     /* 2376321 */   GIM_Try, /*On fail goto*//*Label 33963*/ GIMT_Encode4(2376369), // Rule ID 53874 //
     /* 2376326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2376329 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2376332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2376346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376368 */     // GIR_Coverage, 53874,
     /* 2376368 */     GIR_EraseRootFromParent_Done,
     /* 2376369 */   // Label 33963: @2376369
     /* 2376369 */   GIM_Reject,
     /* 2376370 */ // Label 33961: @2376370
     /* 2376370 */ GIM_Reject,
     /* 2376371 */ // Label 33916: @2376371
     /* 2376371 */ GIM_Try, /*On fail goto*//*Label 33964*/ GIMT_Encode4(2376491),
     /* 2376376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2376379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2376382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376394 */   GIM_Try, /*On fail goto*//*Label 33965*/ GIMT_Encode4(2376442), // Rule ID 53921 //
     /* 2376399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2376402 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2376405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2376419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376441 */     // GIR_Coverage, 53921,
     /* 2376441 */     GIR_EraseRootFromParent_Done,
     /* 2376442 */   // Label 33965: @2376442
     /* 2376442 */   GIM_Try, /*On fail goto*//*Label 33966*/ GIMT_Encode4(2376490), // Rule ID 53922 //
     /* 2376447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2376450 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2376453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2376467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376489 */     // GIR_Coverage, 53922,
     /* 2376489 */     GIR_EraseRootFromParent_Done,
     /* 2376490 */   // Label 33966: @2376490
     /* 2376490 */   GIM_Reject,
     /* 2376491 */ // Label 33964: @2376491
     /* 2376491 */ GIM_Reject,
     /* 2376492 */ // Label 33917: @2376492
     /* 2376492 */ GIM_Try, /*On fail goto*//*Label 33967*/ GIMT_Encode4(2376612),
     /* 2376497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2376500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2376503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376507 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376511 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376515 */   GIM_Try, /*On fail goto*//*Label 33968*/ GIMT_Encode4(2376563), // Rule ID 53837 //
     /* 2376520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2376523 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2376526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2376540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376562 */     // GIR_Coverage, 53837,
     /* 2376562 */     GIR_EraseRootFromParent_Done,
     /* 2376563 */   // Label 33968: @2376563
     /* 2376563 */   GIM_Try, /*On fail goto*//*Label 33969*/ GIMT_Encode4(2376611), // Rule ID 53838 //
     /* 2376568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2376571 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2376574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2376588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376610 */     // GIR_Coverage, 53838,
     /* 2376610 */     GIR_EraseRootFromParent_Done,
     /* 2376611 */   // Label 33969: @2376611
     /* 2376611 */   GIM_Reject,
     /* 2376612 */ // Label 33967: @2376612
     /* 2376612 */ GIM_Reject,
     /* 2376613 */ // Label 33918: @2376613
     /* 2376613 */ GIM_Try, /*On fail goto*//*Label 33970*/ GIMT_Encode4(2376733),
     /* 2376618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2376621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2376624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376632 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376636 */   GIM_Try, /*On fail goto*//*Label 33971*/ GIMT_Encode4(2376684), // Rule ID 53885 //
     /* 2376641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2376644 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2376647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2376661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376683 */     // GIR_Coverage, 53885,
     /* 2376683 */     GIR_EraseRootFromParent_Done,
     /* 2376684 */   // Label 33971: @2376684
     /* 2376684 */   GIM_Try, /*On fail goto*//*Label 33972*/ GIMT_Encode4(2376732), // Rule ID 53886 //
     /* 2376689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2376692 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2376695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2376709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376731 */     // GIR_Coverage, 53886,
     /* 2376731 */     GIR_EraseRootFromParent_Done,
     /* 2376732 */   // Label 33972: @2376732
     /* 2376732 */   GIM_Reject,
     /* 2376733 */ // Label 33970: @2376733
     /* 2376733 */ GIM_Reject,
     /* 2376734 */ // Label 33919: @2376734
     /* 2376734 */ GIM_Try, /*On fail goto*//*Label 33973*/ GIMT_Encode4(2376854),
     /* 2376739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2376742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2376745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376757 */   GIM_Try, /*On fail goto*//*Label 33974*/ GIMT_Encode4(2376805), // Rule ID 53933 //
     /* 2376762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2376765 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2376768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2376782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376804 */     // GIR_Coverage, 53933,
     /* 2376804 */     GIR_EraseRootFromParent_Done,
     /* 2376805 */   // Label 33974: @2376805
     /* 2376805 */   GIM_Try, /*On fail goto*//*Label 33975*/ GIMT_Encode4(2376853), // Rule ID 53934 //
     /* 2376810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2376813 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2376816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2376830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376852 */     // GIR_Coverage, 53934,
     /* 2376852 */     GIR_EraseRootFromParent_Done,
     /* 2376853 */   // Label 33975: @2376853
     /* 2376853 */   GIM_Reject,
     /* 2376854 */ // Label 33973: @2376854
     /* 2376854 */ GIM_Reject,
     /* 2376855 */ // Label 33920: @2376855
     /* 2376855 */ GIM_Try, /*On fail goto*//*Label 33976*/ GIMT_Encode4(2376975),
     /* 2376860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2376863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2376866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376874 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376878 */   GIM_Try, /*On fail goto*//*Label 33977*/ GIMT_Encode4(2376926), // Rule ID 53849 //
     /* 2376883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2376886 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2376889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2376903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376925 */     // GIR_Coverage, 53849,
     /* 2376925 */     GIR_EraseRootFromParent_Done,
     /* 2376926 */   // Label 33977: @2376926
     /* 2376926 */   GIM_Try, /*On fail goto*//*Label 33978*/ GIMT_Encode4(2376974), // Rule ID 53850 //
     /* 2376931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2376934 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2376937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2376951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376973 */     // GIR_Coverage, 53850,
     /* 2376973 */     GIR_EraseRootFromParent_Done,
     /* 2376974 */   // Label 33978: @2376974
     /* 2376974 */   GIM_Reject,
     /* 2376975 */ // Label 33976: @2376975
     /* 2376975 */ GIM_Reject,
     /* 2376976 */ // Label 33921: @2376976
     /* 2376976 */ GIM_Try, /*On fail goto*//*Label 33979*/ GIMT_Encode4(2377096),
     /* 2376981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2376984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2376987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376999 */   GIM_Try, /*On fail goto*//*Label 33980*/ GIMT_Encode4(2377047), // Rule ID 53897 //
     /* 2377004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2377007 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2377010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2377024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377046 */     // GIR_Coverage, 53897,
     /* 2377046 */     GIR_EraseRootFromParent_Done,
     /* 2377047 */   // Label 33980: @2377047
     /* 2377047 */   GIM_Try, /*On fail goto*//*Label 33981*/ GIMT_Encode4(2377095), // Rule ID 53898 //
     /* 2377052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2377055 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2377058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2377072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377094 */     // GIR_Coverage, 53898,
     /* 2377094 */     GIR_EraseRootFromParent_Done,
     /* 2377095 */   // Label 33981: @2377095
     /* 2377095 */   GIM_Reject,
     /* 2377096 */ // Label 33979: @2377096
     /* 2377096 */ GIM_Reject,
     /* 2377097 */ // Label 33922: @2377097
     /* 2377097 */ GIM_Try, /*On fail goto*//*Label 33982*/ GIMT_Encode4(2377217),
     /* 2377102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2377105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2377108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2377112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2377116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2377120 */   GIM_Try, /*On fail goto*//*Label 33983*/ GIMT_Encode4(2377168), // Rule ID 53861 //
     /* 2377125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2377128 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2377131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2377145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377167 */     // GIR_Coverage, 53861,
     /* 2377167 */     GIR_EraseRootFromParent_Done,
     /* 2377168 */   // Label 33983: @2377168
     /* 2377168 */   GIM_Try, /*On fail goto*//*Label 33984*/ GIMT_Encode4(2377216), // Rule ID 53862 //
     /* 2377173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2377176 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2377179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2377193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377215 */     // GIR_Coverage, 53862,
     /* 2377215 */     GIR_EraseRootFromParent_Done,
     /* 2377216 */   // Label 33984: @2377216
     /* 2377216 */   GIM_Reject,
     /* 2377217 */ // Label 33982: @2377217
     /* 2377217 */ GIM_Reject,
     /* 2377218 */ // Label 33923: @2377218
     /* 2377218 */ GIM_Reject,
     /* 2377219 */ // Label 97: @2377219
     /* 2377219 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34003*/ GIMT_Encode4(2379646),
     /* 2377230 */ /*GILLT_s16*//*Label 33985*/ GIMT_Encode4(2377350),
     /* 2377234 */ /*GILLT_s32*//*Label 33986*/ GIMT_Encode4(2377499),
     /* 2377238 */ /*GILLT_s64*//*Label 33987*/ GIMT_Encode4(2377648), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2377250 */ /*GILLT_nxv1s16*//*Label 33988*/ GIMT_Encode4(2377831),
     /* 2377254 */ /*GILLT_nxv1s32*//*Label 33989*/ GIMT_Encode4(2377952),
     /* 2377258 */ /*GILLT_nxv1s64*//*Label 33990*/ GIMT_Encode4(2378073), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2377270 */ /*GILLT_nxv2s16*//*Label 33991*/ GIMT_Encode4(2378194),
     /* 2377274 */ /*GILLT_nxv2s32*//*Label 33992*/ GIMT_Encode4(2378315),
     /* 2377278 */ /*GILLT_nxv2s64*//*Label 33993*/ GIMT_Encode4(2378436), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2377290 */ /*GILLT_nxv4s16*//*Label 33994*/ GIMT_Encode4(2378557),
     /* 2377294 */ /*GILLT_nxv4s32*//*Label 33995*/ GIMT_Encode4(2378678),
     /* 2377298 */ /*GILLT_nxv4s64*//*Label 33996*/ GIMT_Encode4(2378799), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2377310 */ /*GILLT_nxv8s16*//*Label 33997*/ GIMT_Encode4(2378920),
     /* 2377314 */ /*GILLT_nxv8s32*//*Label 33998*/ GIMT_Encode4(2379041),
     /* 2377318 */ /*GILLT_nxv8s64*//*Label 33999*/ GIMT_Encode4(2379162), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2377330 */ /*GILLT_nxv16s16*//*Label 34000*/ GIMT_Encode4(2379283),
     /* 2377334 */ /*GILLT_nxv16s32*//*Label 34001*/ GIMT_Encode4(2379404), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2377346 */ /*GILLT_nxv32s16*//*Label 34002*/ GIMT_Encode4(2379525),
     /* 2377350 */ // Label 33985: @2377350
     /* 2377350 */ GIM_Try, /*On fail goto*//*Label 34004*/ GIMT_Encode4(2377498),
     /* 2377355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2377358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2377361 */   GIM_Try, /*On fail goto*//*Label 34005*/ GIMT_Encode4(2377395), // Rule ID 1839 //
     /* 2377366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2377369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2377373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2377377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2377381 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2377381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2377384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377394 */     // GIR_Coverage, 1839,
     /* 2377394 */     GIR_EraseRootFromParent_Done,
     /* 2377395 */   // Label 34005: @2377395
     /* 2377395 */   GIM_Try, /*On fail goto*//*Label 34006*/ GIMT_Encode4(2377429), // Rule ID 1840 //
     /* 2377400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2377403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2377407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2377411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2377415 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2377415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2377418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377428 */     // GIR_Coverage, 1840,
     /* 2377428 */     GIR_EraseRootFromParent_Done,
     /* 2377429 */   // Label 34006: @2377429
     /* 2377429 */   GIM_Try, /*On fail goto*//*Label 34007*/ GIMT_Encode4(2377463), // Rule ID 1843 //
     /* 2377434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2377437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377449 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2377449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2377452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377462 */     // GIR_Coverage, 1843,
     /* 2377462 */     GIR_EraseRootFromParent_Done,
     /* 2377463 */   // Label 34007: @2377463
     /* 2377463 */   GIM_Try, /*On fail goto*//*Label 34008*/ GIMT_Encode4(2377497), // Rule ID 1844 //
     /* 2377468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2377471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2377483 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2377483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2377486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377496 */     // GIR_Coverage, 1844,
     /* 2377496 */     GIR_EraseRootFromParent_Done,
     /* 2377497 */   // Label 34008: @2377497
     /* 2377497 */   GIM_Reject,
     /* 2377498 */ // Label 34004: @2377498
     /* 2377498 */ GIM_Reject,
     /* 2377499 */ // Label 33986: @2377499
     /* 2377499 */ GIM_Try, /*On fail goto*//*Label 34009*/ GIMT_Encode4(2377647),
     /* 2377504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377507 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2377510 */   GIM_Try, /*On fail goto*//*Label 34010*/ GIMT_Encode4(2377544), // Rule ID 1130 //
     /* 2377515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2377518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377530 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2377530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2377533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377543 */     // GIR_Coverage, 1130,
     /* 2377543 */     GIR_EraseRootFromParent_Done,
     /* 2377544 */   // Label 34010: @2377544
     /* 2377544 */   GIM_Try, /*On fail goto*//*Label 34011*/ GIMT_Encode4(2377578), // Rule ID 1131 //
     /* 2377549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2377552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377564 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2377564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2377567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377577 */     // GIR_Coverage, 1131,
     /* 2377577 */     GIR_EraseRootFromParent_Done,
     /* 2377578 */   // Label 34011: @2377578
     /* 2377578 */   GIM_Try, /*On fail goto*//*Label 34012*/ GIMT_Encode4(2377612), // Rule ID 1134 //
     /* 2377583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2377586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377598 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2377598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2377601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377611 */     // GIR_Coverage, 1134,
     /* 2377611 */     GIR_EraseRootFromParent_Done,
     /* 2377612 */   // Label 34012: @2377612
     /* 2377612 */   GIM_Try, /*On fail goto*//*Label 34013*/ GIMT_Encode4(2377646), // Rule ID 1135 //
     /* 2377617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2377620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377632 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2377632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2377635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377645 */     // GIR_Coverage, 1135,
     /* 2377645 */     GIR_EraseRootFromParent_Done,
     /* 2377646 */   // Label 34013: @2377646
     /* 2377646 */   GIM_Reject,
     /* 2377647 */ // Label 34009: @2377647
     /* 2377647 */ GIM_Reject,
     /* 2377648 */ // Label 33987: @2377648
     /* 2377648 */ GIM_Try, /*On fail goto*//*Label 34014*/ GIMT_Encode4(2377830),
     /* 2377653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2377656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2377659 */   GIM_Try, /*On fail goto*//*Label 34015*/ GIMT_Encode4(2377693), // Rule ID 1471 //
     /* 2377664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2377667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377679 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2377679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2377682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377692 */     // GIR_Coverage, 1471,
     /* 2377692 */     GIR_EraseRootFromParent_Done,
     /* 2377693 */   // Label 34015: @2377693
     /* 2377693 */   GIM_Try, /*On fail goto*//*Label 34016*/ GIMT_Encode4(2377727), // Rule ID 1472 //
     /* 2377698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2377701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377713 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2377713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2377716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377726 */     // GIR_Coverage, 1472,
     /* 2377726 */     GIR_EraseRootFromParent_Done,
     /* 2377727 */   // Label 34016: @2377727
     /* 2377727 */   GIM_Try, /*On fail goto*//*Label 34017*/ GIMT_Encode4(2377761), // Rule ID 1475 //
     /* 2377732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2377735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377747 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2377747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2377750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377760 */     // GIR_Coverage, 1475,
     /* 2377760 */     GIR_EraseRootFromParent_Done,
     /* 2377761 */   // Label 34017: @2377761
     /* 2377761 */   GIM_Try, /*On fail goto*//*Label 34018*/ GIMT_Encode4(2377795), // Rule ID 1476 //
     /* 2377766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2377769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2377781 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2377781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2377784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377794 */     // GIR_Coverage, 1476,
     /* 2377794 */     GIR_EraseRootFromParent_Done,
     /* 2377795 */   // Label 34018: @2377795
     /* 2377795 */   GIM_Try, /*On fail goto*//*Label 34019*/ GIMT_Encode4(2377829), // Rule ID 1479 //
     /* 2377800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2377803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377815 */     // (strict_fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2377815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2377818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377828 */     // GIR_Coverage, 1479,
     /* 2377828 */     GIR_EraseRootFromParent_Done,
     /* 2377829 */   // Label 34019: @2377829
     /* 2377829 */   GIM_Reject,
     /* 2377830 */ // Label 34014: @2377830
     /* 2377830 */ GIM_Reject,
     /* 2377831 */ // Label 33988: @2377831
     /* 2377831 */ GIM_Try, /*On fail goto*//*Label 34020*/ GIMT_Encode4(2377951),
     /* 2377836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2377839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2377842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377850 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377854 */   GIM_Try, /*On fail goto*//*Label 34021*/ GIMT_Encode4(2377902), // Rule ID 53945 //
     /* 2377859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2377862 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2377865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2377879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377901 */     // GIR_Coverage, 53945,
     /* 2377901 */     GIR_EraseRootFromParent_Done,
     /* 2377902 */   // Label 34021: @2377902
     /* 2377902 */   GIM_Try, /*On fail goto*//*Label 34022*/ GIMT_Encode4(2377950), // Rule ID 53946 //
     /* 2377907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2377910 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2377913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2377927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377949 */     // GIR_Coverage, 53946,
     /* 2377949 */     GIR_EraseRootFromParent_Done,
     /* 2377950 */   // Label 34022: @2377950
     /* 2377950 */   GIM_Reject,
     /* 2377951 */ // Label 34020: @2377951
     /* 2377951 */ GIM_Reject,
     /* 2377952 */ // Label 33989: @2377952
     /* 2377952 */ GIM_Try, /*On fail goto*//*Label 34023*/ GIMT_Encode4(2378072),
     /* 2377957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2377960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2377963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377971 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377975 */   GIM_Try, /*On fail goto*//*Label 34024*/ GIMT_Encode4(2378023), // Rule ID 53969 //
     /* 2377980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2377983 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2377986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2378000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378022 */     // GIR_Coverage, 53969,
     /* 2378022 */     GIR_EraseRootFromParent_Done,
     /* 2378023 */   // Label 34024: @2378023
     /* 2378023 */   GIM_Try, /*On fail goto*//*Label 34025*/ GIMT_Encode4(2378071), // Rule ID 53970 //
     /* 2378028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2378031 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2378034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2378048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378070 */     // GIR_Coverage, 53970,
     /* 2378070 */     GIR_EraseRootFromParent_Done,
     /* 2378071 */   // Label 34025: @2378071
     /* 2378071 */   GIM_Reject,
     /* 2378072 */ // Label 34023: @2378072
     /* 2378072 */ GIM_Reject,
     /* 2378073 */ // Label 33990: @2378073
     /* 2378073 */ GIM_Try, /*On fail goto*//*Label 34026*/ GIMT_Encode4(2378193),
     /* 2378078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2378081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2378084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378096 */   GIM_Try, /*On fail goto*//*Label 34027*/ GIMT_Encode4(2378144), // Rule ID 54005 //
     /* 2378101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2378104 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2378107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2378121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378143 */     // GIR_Coverage, 54005,
     /* 2378143 */     GIR_EraseRootFromParent_Done,
     /* 2378144 */   // Label 34027: @2378144
     /* 2378144 */   GIM_Try, /*On fail goto*//*Label 34028*/ GIMT_Encode4(2378192), // Rule ID 54006 //
     /* 2378149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2378152 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2378155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2378169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378191 */     // GIR_Coverage, 54006,
     /* 2378191 */     GIR_EraseRootFromParent_Done,
     /* 2378192 */   // Label 34028: @2378192
     /* 2378192 */   GIM_Reject,
     /* 2378193 */ // Label 34026: @2378193
     /* 2378193 */ GIM_Reject,
     /* 2378194 */ // Label 33991: @2378194
     /* 2378194 */ GIM_Try, /*On fail goto*//*Label 34029*/ GIMT_Encode4(2378314),
     /* 2378199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2378202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2378205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378213 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378217 */   GIM_Try, /*On fail goto*//*Label 34030*/ GIMT_Encode4(2378265), // Rule ID 53957 //
     /* 2378222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2378225 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2378228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2378242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378264 */     // GIR_Coverage, 53957,
     /* 2378264 */     GIR_EraseRootFromParent_Done,
     /* 2378265 */   // Label 34030: @2378265
     /* 2378265 */   GIM_Try, /*On fail goto*//*Label 34031*/ GIMT_Encode4(2378313), // Rule ID 53958 //
     /* 2378270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2378273 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2378276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2378290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378312 */     // GIR_Coverage, 53958,
     /* 2378312 */     GIR_EraseRootFromParent_Done,
     /* 2378313 */   // Label 34031: @2378313
     /* 2378313 */   GIM_Reject,
     /* 2378314 */ // Label 34029: @2378314
     /* 2378314 */ GIM_Reject,
     /* 2378315 */ // Label 33992: @2378315
     /* 2378315 */ GIM_Try, /*On fail goto*//*Label 34032*/ GIMT_Encode4(2378435),
     /* 2378320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2378323 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2378326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378334 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378338 */   GIM_Try, /*On fail goto*//*Label 34033*/ GIMT_Encode4(2378386), // Rule ID 53993 //
     /* 2378343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2378346 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2378349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2378363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378385 */     // GIR_Coverage, 53993,
     /* 2378385 */     GIR_EraseRootFromParent_Done,
     /* 2378386 */   // Label 34033: @2378386
     /* 2378386 */   GIM_Try, /*On fail goto*//*Label 34034*/ GIMT_Encode4(2378434), // Rule ID 53994 //
     /* 2378391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2378394 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2378397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2378411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378433 */     // GIR_Coverage, 53994,
     /* 2378433 */     GIR_EraseRootFromParent_Done,
     /* 2378434 */   // Label 34034: @2378434
     /* 2378434 */   GIM_Reject,
     /* 2378435 */ // Label 34032: @2378435
     /* 2378435 */ GIM_Reject,
     /* 2378436 */ // Label 33993: @2378436
     /* 2378436 */ GIM_Try, /*On fail goto*//*Label 34035*/ GIMT_Encode4(2378556),
     /* 2378441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2378444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2378447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378459 */   GIM_Try, /*On fail goto*//*Label 34036*/ GIMT_Encode4(2378507), // Rule ID 54089 //
     /* 2378464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2378467 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2378470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2378484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378506 */     // GIR_Coverage, 54089,
     /* 2378506 */     GIR_EraseRootFromParent_Done,
     /* 2378507 */   // Label 34036: @2378507
     /* 2378507 */   GIM_Try, /*On fail goto*//*Label 34037*/ GIMT_Encode4(2378555), // Rule ID 54090 //
     /* 2378512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2378515 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2378518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2378532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378554 */     // GIR_Coverage, 54090,
     /* 2378554 */     GIR_EraseRootFromParent_Done,
     /* 2378555 */   // Label 34037: @2378555
     /* 2378555 */   GIM_Reject,
     /* 2378556 */ // Label 34035: @2378556
     /* 2378556 */ GIM_Reject,
     /* 2378557 */ // Label 33994: @2378557
     /* 2378557 */ GIM_Try, /*On fail goto*//*Label 34038*/ GIMT_Encode4(2378677),
     /* 2378562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2378565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2378568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378576 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378580 */   GIM_Try, /*On fail goto*//*Label 34039*/ GIMT_Encode4(2378628), // Rule ID 53981 //
     /* 2378585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2378588 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2378591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2378605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378627 */     // GIR_Coverage, 53981,
     /* 2378627 */     GIR_EraseRootFromParent_Done,
     /* 2378628 */   // Label 34039: @2378628
     /* 2378628 */   GIM_Try, /*On fail goto*//*Label 34040*/ GIMT_Encode4(2378676), // Rule ID 53982 //
     /* 2378633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2378636 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2378639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2378653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378675 */     // GIR_Coverage, 53982,
     /* 2378675 */     GIR_EraseRootFromParent_Done,
     /* 2378676 */   // Label 34040: @2378676
     /* 2378676 */   GIM_Reject,
     /* 2378677 */ // Label 34038: @2378677
     /* 2378677 */ GIM_Reject,
     /* 2378678 */ // Label 33995: @2378678
     /* 2378678 */ GIM_Try, /*On fail goto*//*Label 34041*/ GIMT_Encode4(2378798),
     /* 2378683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2378686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2378689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378697 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378701 */   GIM_Try, /*On fail goto*//*Label 34042*/ GIMT_Encode4(2378749), // Rule ID 54053 //
     /* 2378706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2378709 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2378712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2378726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378748 */     // GIR_Coverage, 54053,
     /* 2378748 */     GIR_EraseRootFromParent_Done,
     /* 2378749 */   // Label 34042: @2378749
     /* 2378749 */   GIM_Try, /*On fail goto*//*Label 34043*/ GIMT_Encode4(2378797), // Rule ID 54054 //
     /* 2378754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2378757 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2378760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2378774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378796 */     // GIR_Coverage, 54054,
     /* 2378796 */     GIR_EraseRootFromParent_Done,
     /* 2378797 */   // Label 34043: @2378797
     /* 2378797 */   GIM_Reject,
     /* 2378798 */ // Label 34041: @2378798
     /* 2378798 */ GIM_Reject,
     /* 2378799 */ // Label 33996: @2378799
     /* 2378799 */ GIM_Try, /*On fail goto*//*Label 34044*/ GIMT_Encode4(2378919),
     /* 2378804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2378807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2378810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378822 */   GIM_Try, /*On fail goto*//*Label 34045*/ GIMT_Encode4(2378870), // Rule ID 54101 //
     /* 2378827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2378830 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2378833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2378847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378869 */     // GIR_Coverage, 54101,
     /* 2378869 */     GIR_EraseRootFromParent_Done,
     /* 2378870 */   // Label 34045: @2378870
     /* 2378870 */   GIM_Try, /*On fail goto*//*Label 34046*/ GIMT_Encode4(2378918), // Rule ID 54102 //
     /* 2378875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2378878 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2378881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2378895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378917 */     // GIR_Coverage, 54102,
     /* 2378917 */     GIR_EraseRootFromParent_Done,
     /* 2378918 */   // Label 34046: @2378918
     /* 2378918 */   GIM_Reject,
     /* 2378919 */ // Label 34044: @2378919
     /* 2378919 */ GIM_Reject,
     /* 2378920 */ // Label 33997: @2378920
     /* 2378920 */ GIM_Try, /*On fail goto*//*Label 34047*/ GIMT_Encode4(2379040),
     /* 2378925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2378928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2378931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378939 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378943 */   GIM_Try, /*On fail goto*//*Label 34048*/ GIMT_Encode4(2378991), // Rule ID 54017 //
     /* 2378948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2378951 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2378954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2378968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378990 */     // GIR_Coverage, 54017,
     /* 2378990 */     GIR_EraseRootFromParent_Done,
     /* 2378991 */   // Label 34048: @2378991
     /* 2378991 */   GIM_Try, /*On fail goto*//*Label 34049*/ GIMT_Encode4(2379039), // Rule ID 54018 //
     /* 2378996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2378999 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2379002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2379016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379038 */     // GIR_Coverage, 54018,
     /* 2379038 */     GIR_EraseRootFromParent_Done,
     /* 2379039 */   // Label 34049: @2379039
     /* 2379039 */   GIM_Reject,
     /* 2379040 */ // Label 34047: @2379040
     /* 2379040 */ GIM_Reject,
     /* 2379041 */ // Label 33998: @2379041
     /* 2379041 */ GIM_Try, /*On fail goto*//*Label 34050*/ GIMT_Encode4(2379161),
     /* 2379046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2379049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2379052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379064 */   GIM_Try, /*On fail goto*//*Label 34051*/ GIMT_Encode4(2379112), // Rule ID 54065 //
     /* 2379069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2379072 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2379075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2379089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379111 */     // GIR_Coverage, 54065,
     /* 2379111 */     GIR_EraseRootFromParent_Done,
     /* 2379112 */   // Label 34051: @2379112
     /* 2379112 */   GIM_Try, /*On fail goto*//*Label 34052*/ GIMT_Encode4(2379160), // Rule ID 54066 //
     /* 2379117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2379120 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2379123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2379137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379159 */     // GIR_Coverage, 54066,
     /* 2379159 */     GIR_EraseRootFromParent_Done,
     /* 2379160 */   // Label 34052: @2379160
     /* 2379160 */   GIM_Reject,
     /* 2379161 */ // Label 34050: @2379161
     /* 2379161 */ GIM_Reject,
     /* 2379162 */ // Label 33999: @2379162
     /* 2379162 */ GIM_Try, /*On fail goto*//*Label 34053*/ GIMT_Encode4(2379282),
     /* 2379167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2379170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2379173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379177 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379185 */   GIM_Try, /*On fail goto*//*Label 34054*/ GIMT_Encode4(2379233), // Rule ID 54113 //
     /* 2379190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2379193 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2379196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2379210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2379228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379232 */     // GIR_Coverage, 54113,
     /* 2379232 */     GIR_EraseRootFromParent_Done,
     /* 2379233 */   // Label 34054: @2379233
     /* 2379233 */   GIM_Try, /*On fail goto*//*Label 34055*/ GIMT_Encode4(2379281), // Rule ID 54114 //
     /* 2379238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2379241 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2379244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2379258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2379276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379280 */     // GIR_Coverage, 54114,
     /* 2379280 */     GIR_EraseRootFromParent_Done,
     /* 2379281 */   // Label 34055: @2379281
     /* 2379281 */   GIM_Reject,
     /* 2379282 */ // Label 34053: @2379282
     /* 2379282 */ GIM_Reject,
     /* 2379283 */ // Label 34000: @2379283
     /* 2379283 */ GIM_Try, /*On fail goto*//*Label 34056*/ GIMT_Encode4(2379403),
     /* 2379288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2379291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2379294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379306 */   GIM_Try, /*On fail goto*//*Label 34057*/ GIMT_Encode4(2379354), // Rule ID 54029 //
     /* 2379311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2379314 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2379317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2379331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379353 */     // GIR_Coverage, 54029,
     /* 2379353 */     GIR_EraseRootFromParent_Done,
     /* 2379354 */   // Label 34057: @2379354
     /* 2379354 */   GIM_Try, /*On fail goto*//*Label 34058*/ GIMT_Encode4(2379402), // Rule ID 54030 //
     /* 2379359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2379362 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2379365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2379379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379401 */     // GIR_Coverage, 54030,
     /* 2379401 */     GIR_EraseRootFromParent_Done,
     /* 2379402 */   // Label 34058: @2379402
     /* 2379402 */   GIM_Reject,
     /* 2379403 */ // Label 34056: @2379403
     /* 2379403 */ GIM_Reject,
     /* 2379404 */ // Label 34001: @2379404
     /* 2379404 */ GIM_Try, /*On fail goto*//*Label 34059*/ GIMT_Encode4(2379524),
     /* 2379409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2379412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2379415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379427 */   GIM_Try, /*On fail goto*//*Label 34060*/ GIMT_Encode4(2379475), // Rule ID 54077 //
     /* 2379432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2379435 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2379438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2379452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379474 */     // GIR_Coverage, 54077,
     /* 2379474 */     GIR_EraseRootFromParent_Done,
     /* 2379475 */   // Label 34060: @2379475
     /* 2379475 */   GIM_Try, /*On fail goto*//*Label 34061*/ GIMT_Encode4(2379523), // Rule ID 54078 //
     /* 2379480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2379483 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2379486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2379500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379522 */     // GIR_Coverage, 54078,
     /* 2379522 */     GIR_EraseRootFromParent_Done,
     /* 2379523 */   // Label 34061: @2379523
     /* 2379523 */   GIM_Reject,
     /* 2379524 */ // Label 34059: @2379524
     /* 2379524 */ GIM_Reject,
     /* 2379525 */ // Label 34002: @2379525
     /* 2379525 */ GIM_Try, /*On fail goto*//*Label 34062*/ GIMT_Encode4(2379645),
     /* 2379530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2379533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2379536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379548 */   GIM_Try, /*On fail goto*//*Label 34063*/ GIMT_Encode4(2379596), // Rule ID 54041 //
     /* 2379553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2379556 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2379559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2379573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379595 */     // GIR_Coverage, 54041,
     /* 2379595 */     GIR_EraseRootFromParent_Done,
     /* 2379596 */   // Label 34063: @2379596
     /* 2379596 */   GIM_Try, /*On fail goto*//*Label 34064*/ GIMT_Encode4(2379644), // Rule ID 54042 //
     /* 2379601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2379604 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2379607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2379621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379643 */     // GIR_Coverage, 54042,
     /* 2379643 */     GIR_EraseRootFromParent_Done,
     /* 2379644 */   // Label 34064: @2379644
     /* 2379644 */   GIM_Reject,
     /* 2379645 */ // Label 34062: @2379645
     /* 2379645 */ GIM_Reject,
     /* 2379646 */ // Label 34003: @2379646
     /* 2379646 */ GIM_Reject,
     /* 2379647 */ // Label 98: @2379647
     /* 2379647 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34083*/ GIMT_Encode4(2396291),
     /* 2379658 */ /*GILLT_s16*//*Label 34065*/ GIMT_Encode4(2379778),
     /* 2379662 */ /*GILLT_s32*//*Label 34066*/ GIMT_Encode4(2381214),
     /* 2379666 */ /*GILLT_s64*//*Label 34067*/ GIMT_Encode4(2382650), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2379678 */ /*GILLT_nxv1s16*//*Label 34068*/ GIMT_Encode4(2384441),
     /* 2379682 */ /*GILLT_nxv1s32*//*Label 34069*/ GIMT_Encode4(2385231),
     /* 2379686 */ /*GILLT_nxv1s64*//*Label 34070*/ GIMT_Encode4(2386021), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2379698 */ /*GILLT_nxv2s16*//*Label 34071*/ GIMT_Encode4(2386811),
     /* 2379702 */ /*GILLT_nxv2s32*//*Label 34072*/ GIMT_Encode4(2387601),
     /* 2379706 */ /*GILLT_nxv2s64*//*Label 34073*/ GIMT_Encode4(2388391), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2379718 */ /*GILLT_nxv4s16*//*Label 34074*/ GIMT_Encode4(2389181),
     /* 2379722 */ /*GILLT_nxv4s32*//*Label 34075*/ GIMT_Encode4(2389971),
     /* 2379726 */ /*GILLT_nxv4s64*//*Label 34076*/ GIMT_Encode4(2390761), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2379738 */ /*GILLT_nxv8s16*//*Label 34077*/ GIMT_Encode4(2391551),
     /* 2379742 */ /*GILLT_nxv8s32*//*Label 34078*/ GIMT_Encode4(2392341),
     /* 2379746 */ /*GILLT_nxv8s64*//*Label 34079*/ GIMT_Encode4(2393131), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2379758 */ /*GILLT_nxv16s16*//*Label 34080*/ GIMT_Encode4(2393921),
     /* 2379762 */ /*GILLT_nxv16s32*//*Label 34081*/ GIMT_Encode4(2394711), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2379774 */ /*GILLT_nxv32s16*//*Label 34082*/ GIMT_Encode4(2395501),
     /* 2379778 */ // Label 34065: @2379778
     /* 2379778 */ GIM_Try, /*On fail goto*//*Label 34084*/ GIMT_Encode4(2381213),
     /* 2379783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2379786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2379789 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2379792 */   GIM_Try, /*On fail goto*//*Label 34085*/ GIMT_Encode4(2379864), // Rule ID 1872 //
     /* 2379797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2379800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2379808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2379816 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379825 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2379829 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379833 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2379837 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379842 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2379844 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2379844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2379847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2379853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2379859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379863 */     // GIR_Coverage, 1872,
     /* 2379863 */     GIR_EraseRootFromParent_Done,
     /* 2379864 */   // Label 34085: @2379864
     /* 2379864 */   GIM_Try, /*On fail goto*//*Label 34086*/ GIMT_Encode4(2379936), // Rule ID 1873 //
     /* 2379869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2379872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2379880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2379888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2379901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379905 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2379909 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2379914 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2379916 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2379916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2379919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2379925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2379931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379935 */     // GIR_Coverage, 1873,
     /* 2379935 */     GIR_EraseRootFromParent_Done,
     /* 2379936 */   // Label 34086: @2379936
     /* 2379936 */   GIM_Try, /*On fail goto*//*Label 34087*/ GIMT_Encode4(2380008), // Rule ID 1905 //
     /* 2379941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2379944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2379952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2379960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2379973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2379981 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2379986 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2379988 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2379988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2379991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2379997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2380003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380007 */     // GIR_Coverage, 1905,
     /* 2380007 */     GIR_EraseRootFromParent_Done,
     /* 2380008 */   // Label 34087: @2380008
     /* 2380008 */   GIM_Try, /*On fail goto*//*Label 34088*/ GIMT_Encode4(2380080), // Rule ID 1906 //
     /* 2380013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2380016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2380024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2380045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380053 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380058 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2380060 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2380060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2380063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2380075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380079 */     // GIR_Coverage, 1906,
     /* 2380079 */     GIR_EraseRootFromParent_Done,
     /* 2380080 */   // Label 34088: @2380080
     /* 2380080 */   GIM_Try, /*On fail goto*//*Label 34089*/ GIMT_Encode4(2380152), // Rule ID 64301 //
     /* 2380085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2380088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2380100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380104 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2380117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380125 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380130 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2380132 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2380132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2380135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2380143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2380147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380151 */     // GIR_Coverage, 64301,
     /* 2380151 */     GIR_EraseRootFromParent_Done,
     /* 2380152 */   // Label 34089: @2380152
     /* 2380152 */   GIM_Try, /*On fail goto*//*Label 34090*/ GIMT_Encode4(2380224), // Rule ID 64302 //
     /* 2380157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2380160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2380172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2380189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380197 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2380204 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2380204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2380207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2380215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2380219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380223 */     // GIR_Coverage, 64302,
     /* 2380223 */     GIR_EraseRootFromParent_Done,
     /* 2380224 */   // Label 34090: @2380224
     /* 2380224 */   GIM_Try, /*On fail goto*//*Label 34091*/ GIMT_Encode4(2380296), // Rule ID 64309 //
     /* 2380229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2380232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2380244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380248 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2380261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380265 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380269 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380274 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2380276 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2380276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2380279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2380287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2380291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380295 */     // GIR_Coverage, 64309,
     /* 2380295 */     GIR_EraseRootFromParent_Done,
     /* 2380296 */   // Label 34091: @2380296
     /* 2380296 */   GIM_Try, /*On fail goto*//*Label 34092*/ GIMT_Encode4(2380368), // Rule ID 64310 //
     /* 2380301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2380304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2380316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380324 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2380333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380341 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380346 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2380348 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2380348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2380351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2380359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2380363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380367 */     // GIR_Coverage, 64310,
     /* 2380367 */     GIR_EraseRootFromParent_Done,
     /* 2380368 */   // Label 34092: @2380368
     /* 2380368 */   GIM_Try, /*On fail goto*//*Label 34093*/ GIMT_Encode4(2380425), // Rule ID 1868 //
     /* 2380373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2380376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2380384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380392 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380407 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2380407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2380410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2380420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380424 */     // GIR_Coverage, 1868,
     /* 2380424 */     GIR_EraseRootFromParent_Done,
     /* 2380425 */   // Label 34093: @2380425
     /* 2380425 */   GIM_Try, /*On fail goto*//*Label 34094*/ GIMT_Encode4(2380482), // Rule ID 1869 //
     /* 2380430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2380433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2380441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380464 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2380464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2380467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2380477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380481 */     // GIR_Coverage, 1869,
     /* 2380481 */     GIR_EraseRootFromParent_Done,
     /* 2380482 */   // Label 34094: @2380482
     /* 2380482 */   GIM_Try, /*On fail goto*//*Label 34095*/ GIMT_Encode4(2380539), // Rule ID 1901 //
     /* 2380487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2380490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2380498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380506 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380521 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2380521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2380524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2380534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380538 */     // GIR_Coverage, 1901,
     /* 2380538 */     GIR_EraseRootFromParent_Done,
     /* 2380539 */   // Label 34095: @2380539
     /* 2380539 */   GIM_Try, /*On fail goto*//*Label 34096*/ GIMT_Encode4(2380596), // Rule ID 1902 //
     /* 2380544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2380547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2380555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380578 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2380578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2380581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2380591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380595 */     // GIR_Coverage, 1902,
     /* 2380595 */     GIR_EraseRootFromParent_Done,
     /* 2380596 */   // Label 34096: @2380596
     /* 2380596 */   GIM_Try, /*On fail goto*//*Label 34097*/ GIMT_Encode4(2380653), // Rule ID 64297 //
     /* 2380601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2380604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2380616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380624 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380635 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2380635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2380638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2380646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2380648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380652 */     // GIR_Coverage, 64297,
     /* 2380652 */     GIR_EraseRootFromParent_Done,
     /* 2380653 */   // Label 34097: @2380653
     /* 2380653 */   GIM_Try, /*On fail goto*//*Label 34098*/ GIMT_Encode4(2380710), // Rule ID 64298 //
     /* 2380658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2380661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2380673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380692 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2380692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2380695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2380703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2380705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380709 */     // GIR_Coverage, 64298,
     /* 2380709 */     GIR_EraseRootFromParent_Done,
     /* 2380710 */   // Label 34098: @2380710
     /* 2380710 */   GIM_Try, /*On fail goto*//*Label 34099*/ GIMT_Encode4(2380767), // Rule ID 64305 //
     /* 2380715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2380718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2380730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380749 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2380749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2380752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2380760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2380762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380766 */     // GIR_Coverage, 64305,
     /* 2380766 */     GIR_EraseRootFromParent_Done,
     /* 2380767 */   // Label 34099: @2380767
     /* 2380767 */   GIM_Try, /*On fail goto*//*Label 34100*/ GIMT_Encode4(2380824), // Rule ID 64306 //
     /* 2380772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2380775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2380787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380806 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2380806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2380809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2380817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2380819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380823 */     // GIR_Coverage, 64306,
     /* 2380823 */     GIR_EraseRootFromParent_Done,
     /* 2380824 */   // Label 34100: @2380824
     /* 2380824 */   GIM_Try, /*On fail goto*//*Label 34101*/ GIMT_Encode4(2380881), // Rule ID 1864 //
     /* 2380829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2380832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2380848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380863 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2380863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2380866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2380876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380880 */     // GIR_Coverage, 1864,
     /* 2380880 */     GIR_EraseRootFromParent_Done,
     /* 2380881 */   // Label 34101: @2380881
     /* 2380881 */   GIM_Try, /*On fail goto*//*Label 34102*/ GIMT_Encode4(2380938), // Rule ID 1865 //
     /* 2380886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2380889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2380905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2380918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380920 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2380920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2380923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2380933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380937 */     // GIR_Coverage, 1865,
     /* 2380937 */     GIR_EraseRootFromParent_Done,
     /* 2380938 */   // Label 34102: @2380938
     /* 2380938 */   GIM_Try, /*On fail goto*//*Label 34103*/ GIMT_Encode4(2380995), // Rule ID 1897 //
     /* 2380943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2380946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2380962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2380970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2380975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380977 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2380977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2380980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2380990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380994 */     // GIR_Coverage, 1897,
     /* 2380994 */     GIR_EraseRootFromParent_Done,
     /* 2380995 */   // Label 34103: @2380995
     /* 2380995 */   GIM_Try, /*On fail goto*//*Label 34104*/ GIMT_Encode4(2381052), // Rule ID 1898 //
     /* 2381000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2381003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2381019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2381027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2381034 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2381034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2381037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2381047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381051 */     // GIR_Coverage, 1898,
     /* 2381051 */     GIR_EraseRootFromParent_Done,
     /* 2381052 */   // Label 34104: @2381052
     /* 2381052 */   GIM_Try, /*On fail goto*//*Label 34105*/ GIMT_Encode4(2381092), // Rule ID 1860 //
     /* 2381057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2381060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381076 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2381076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2381079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2381087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381091 */     // GIR_Coverage, 1860,
     /* 2381091 */     GIR_EraseRootFromParent_Done,
     /* 2381092 */   // Label 34105: @2381092
     /* 2381092 */   GIM_Try, /*On fail goto*//*Label 34106*/ GIMT_Encode4(2381132), // Rule ID 1861 //
     /* 2381097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2381100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2381116 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2381116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2381119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2381127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381131 */     // GIR_Coverage, 1861,
     /* 2381131 */     GIR_EraseRootFromParent_Done,
     /* 2381132 */   // Label 34106: @2381132
     /* 2381132 */   GIM_Try, /*On fail goto*//*Label 34107*/ GIMT_Encode4(2381172), // Rule ID 1893 //
     /* 2381137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2381140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381156 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2381156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2381159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2381167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381171 */     // GIR_Coverage, 1893,
     /* 2381171 */     GIR_EraseRootFromParent_Done,
     /* 2381172 */   // Label 34107: @2381172
     /* 2381172 */   GIM_Try, /*On fail goto*//*Label 34108*/ GIMT_Encode4(2381212), // Rule ID 1894 //
     /* 2381177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2381180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2381196 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2381196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2381199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2381207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381211 */     // GIR_Coverage, 1894,
     /* 2381211 */     GIR_EraseRootFromParent_Done,
     /* 2381212 */   // Label 34108: @2381212
     /* 2381212 */   GIM_Reject,
     /* 2381213 */ // Label 34084: @2381213
     /* 2381213 */ GIM_Reject,
     /* 2381214 */ // Label 34066: @2381214
     /* 2381214 */ GIM_Try, /*On fail goto*//*Label 34109*/ GIMT_Encode4(2382649),
     /* 2381219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381222 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2381225 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2381228 */   GIM_Try, /*On fail goto*//*Label 34110*/ GIMT_Encode4(2381300), // Rule ID 1171 //
     /* 2381233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2381236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381248 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381269 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381273 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381278 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381280 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2381280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2381283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381299 */     // GIR_Coverage, 1171,
     /* 2381299 */     GIR_EraseRootFromParent_Done,
     /* 2381300 */   // Label 34110: @2381300
     /* 2381300 */   GIM_Try, /*On fail goto*//*Label 34111*/ GIMT_Encode4(2381372), // Rule ID 1172 //
     /* 2381305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2381308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381324 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381350 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381352 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2381352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2381355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381371 */     // GIR_Coverage, 1172,
     /* 2381371 */     GIR_EraseRootFromParent_Done,
     /* 2381372 */   // Label 34111: @2381372
     /* 2381372 */   GIM_Try, /*On fail goto*//*Label 34112*/ GIMT_Encode4(2381444), // Rule ID 1192 //
     /* 2381377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2381380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381396 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381405 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381409 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381413 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381417 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381422 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381424 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2381424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2381427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381443 */     // GIR_Coverage, 1192,
     /* 2381443 */     GIR_EraseRootFromParent_Done,
     /* 2381444 */   // Label 34112: @2381444
     /* 2381444 */   GIM_Try, /*On fail goto*//*Label 34113*/ GIMT_Encode4(2381516), // Rule ID 1193 //
     /* 2381449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2381452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381485 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381494 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381496 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2381496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2381499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381515 */     // GIR_Coverage, 1193,
     /* 2381515 */     GIR_EraseRootFromParent_Done,
     /* 2381516 */   // Label 34113: @2381516
     /* 2381516 */   GIM_Try, /*On fail goto*//*Label 34114*/ GIMT_Encode4(2381588), // Rule ID 64265 //
     /* 2381521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2381524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2381536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381540 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381557 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381561 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381566 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381568 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2381568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2381571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2381579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381587 */     // GIR_Coverage, 64265,
     /* 2381587 */     GIR_EraseRootFromParent_Done,
     /* 2381588 */   // Label 34114: @2381588
     /* 2381588 */   GIM_Try, /*On fail goto*//*Label 34115*/ GIMT_Encode4(2381660), // Rule ID 64266 //
     /* 2381593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2381596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2381608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381633 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381638 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381640 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2381640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2381643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2381651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381659 */     // GIR_Coverage, 64266,
     /* 2381659 */     GIR_EraseRootFromParent_Done,
     /* 2381660 */   // Label 34115: @2381660
     /* 2381660 */   GIM_Try, /*On fail goto*//*Label 34116*/ GIMT_Encode4(2381732), // Rule ID 64273 //
     /* 2381665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2381668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2381680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381701 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381705 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381710 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381712 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2381712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2381715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2381723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381731 */     // GIR_Coverage, 64273,
     /* 2381731 */     GIR_EraseRootFromParent_Done,
     /* 2381732 */   // Label 34116: @2381732
     /* 2381732 */   GIM_Try, /*On fail goto*//*Label 34117*/ GIMT_Encode4(2381804), // Rule ID 64274 //
     /* 2381737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2381740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2381752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381756 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381760 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381765 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381769 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381773 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381777 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381782 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381784 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2381784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2381787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2381795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2381799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381803 */     // GIR_Coverage, 64274,
     /* 2381803 */     GIR_EraseRootFromParent_Done,
     /* 2381804 */   // Label 34117: @2381804
     /* 2381804 */   GIM_Try, /*On fail goto*//*Label 34118*/ GIMT_Encode4(2381861), // Rule ID 1167 //
     /* 2381809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2381812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2381843 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2381843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2381846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2381856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381860 */     // GIR_Coverage, 1167,
     /* 2381860 */     GIR_EraseRootFromParent_Done,
     /* 2381861 */   // Label 34118: @2381861
     /* 2381861 */   GIM_Try, /*On fail goto*//*Label 34119*/ GIMT_Encode4(2381918), // Rule ID 1168 //
     /* 2381866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2381869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2381898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2381900 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2381900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2381903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2381913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381917 */     // GIR_Coverage, 1168,
     /* 2381917 */     GIR_EraseRootFromParent_Done,
     /* 2381918 */   // Label 34119: @2381918
     /* 2381918 */   GIM_Try, /*On fail goto*//*Label 34120*/ GIMT_Encode4(2381975), // Rule ID 1188 //
     /* 2381923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2381926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2381957 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2381957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2381960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2381970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381974 */     // GIR_Coverage, 1188,
     /* 2381974 */     GIR_EraseRootFromParent_Done,
     /* 2381975 */   // Label 34120: @2381975
     /* 2381975 */   GIM_Try, /*On fail goto*//*Label 34121*/ GIMT_Encode4(2382032), // Rule ID 1189 //
     /* 2381980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2381983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2381987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382014 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2382014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2382017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382031 */     // GIR_Coverage, 1189,
     /* 2382031 */     GIR_EraseRootFromParent_Done,
     /* 2382032 */   // Label 34121: @2382032
     /* 2382032 */   GIM_Try, /*On fail goto*//*Label 34122*/ GIMT_Encode4(2382089), // Rule ID 64261 //
     /* 2382037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2382040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382071 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2382071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2382074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382088 */     // GIR_Coverage, 64261,
     /* 2382088 */     GIR_EraseRootFromParent_Done,
     /* 2382089 */   // Label 34122: @2382089
     /* 2382089 */   GIM_Try, /*On fail goto*//*Label 34123*/ GIMT_Encode4(2382146), // Rule ID 64262 //
     /* 2382094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2382097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382128 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2382128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2382131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382145 */     // GIR_Coverage, 64262,
     /* 2382145 */     GIR_EraseRootFromParent_Done,
     /* 2382146 */   // Label 34123: @2382146
     /* 2382146 */   GIM_Try, /*On fail goto*//*Label 34124*/ GIMT_Encode4(2382203), // Rule ID 64269 //
     /* 2382151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2382154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382185 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2382185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2382188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382202 */     // GIR_Coverage, 64269,
     /* 2382202 */     GIR_EraseRootFromParent_Done,
     /* 2382203 */   // Label 34124: @2382203
     /* 2382203 */   GIM_Try, /*On fail goto*//*Label 34125*/ GIMT_Encode4(2382260), // Rule ID 64270 //
     /* 2382208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2382211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382242 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2382242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2382245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2382253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382259 */     // GIR_Coverage, 64270,
     /* 2382259 */     GIR_EraseRootFromParent_Done,
     /* 2382260 */   // Label 34125: @2382260
     /* 2382260 */   GIM_Try, /*On fail goto*//*Label 34126*/ GIMT_Encode4(2382317), // Rule ID 1163 //
     /* 2382265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2382268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382299 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2382299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2382302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2382312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382316 */     // GIR_Coverage, 1163,
     /* 2382316 */     GIR_EraseRootFromParent_Done,
     /* 2382317 */   // Label 34126: @2382317
     /* 2382317 */   GIM_Try, /*On fail goto*//*Label 34127*/ GIMT_Encode4(2382374), // Rule ID 1164 //
     /* 2382322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2382325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382356 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2382356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2382359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2382369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382373 */     // GIR_Coverage, 1164,
     /* 2382373 */     GIR_EraseRootFromParent_Done,
     /* 2382374 */   // Label 34127: @2382374
     /* 2382374 */   GIM_Try, /*On fail goto*//*Label 34128*/ GIMT_Encode4(2382431), // Rule ID 1184 //
     /* 2382379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2382382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382406 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382413 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2382413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2382416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2382426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382430 */     // GIR_Coverage, 1184,
     /* 2382430 */     GIR_EraseRootFromParent_Done,
     /* 2382431 */   // Label 34128: @2382431
     /* 2382431 */   GIM_Try, /*On fail goto*//*Label 34129*/ GIMT_Encode4(2382488), // Rule ID 1185 //
     /* 2382436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2382439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2382463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382470 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2382470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2382473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2382483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382487 */     // GIR_Coverage, 1185,
     /* 2382487 */     GIR_EraseRootFromParent_Done,
     /* 2382488 */   // Label 34129: @2382488
     /* 2382488 */   GIM_Try, /*On fail goto*//*Label 34130*/ GIMT_Encode4(2382528), // Rule ID 1159 //
     /* 2382493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2382496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382512 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2382512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2382515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382527 */     // GIR_Coverage, 1159,
     /* 2382527 */     GIR_EraseRootFromParent_Done,
     /* 2382528 */   // Label 34130: @2382528
     /* 2382528 */   GIM_Try, /*On fail goto*//*Label 34131*/ GIMT_Encode4(2382568), // Rule ID 1160 //
     /* 2382533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2382536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2382552 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2382552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2382555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382567 */     // GIR_Coverage, 1160,
     /* 2382567 */     GIR_EraseRootFromParent_Done,
     /* 2382568 */   // Label 34131: @2382568
     /* 2382568 */   GIM_Try, /*On fail goto*//*Label 34132*/ GIMT_Encode4(2382608), // Rule ID 1180 //
     /* 2382573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2382576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382592 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2382592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2382595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382607 */     // GIR_Coverage, 1180,
     /* 2382607 */     GIR_EraseRootFromParent_Done,
     /* 2382608 */   // Label 34132: @2382608
     /* 2382608 */   GIM_Try, /*On fail goto*//*Label 34133*/ GIMT_Encode4(2382648), // Rule ID 1181 //
     /* 2382613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2382616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2382632 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2382632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2382635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2382643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382647 */     // GIR_Coverage, 1181,
     /* 2382647 */     GIR_EraseRootFromParent_Done,
     /* 2382648 */   // Label 34133: @2382648
     /* 2382648 */   GIM_Reject,
     /* 2382649 */ // Label 34109: @2382649
     /* 2382649 */ GIM_Reject,
     /* 2382650 */ // Label 34067: @2382650
     /* 2382650 */ GIM_Try, /*On fail goto*//*Label 34134*/ GIMT_Encode4(2384440),
     /* 2382655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2382658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2382661 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2382664 */   GIM_Try, /*On fail goto*//*Label 34135*/ GIMT_Encode4(2382736), // Rule ID 1508 //
     /* 2382669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2382672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2382676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2382688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2382693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2382697 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382701 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382705 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2382709 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2382714 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382716 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2382716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2382719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382735 */     // GIR_Coverage, 1508,
     /* 2382735 */     GIR_EraseRootFromParent_Done,
     /* 2382736 */   // Label 34135: @2382736
     /* 2382736 */   GIM_Try, /*On fail goto*//*Label 34136*/ GIMT_Encode4(2382808), // Rule ID 1509 //
     /* 2382741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2382744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2382748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382756 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2382760 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2382765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2382769 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382773 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382777 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2382781 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2382786 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382788 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2382788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2382791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382807 */     // GIR_Coverage, 1509,
     /* 2382807 */     GIR_EraseRootFromParent_Done,
     /* 2382808 */   // Label 34136: @2382808
     /* 2382808 */   GIM_Try, /*On fail goto*//*Label 34137*/ GIMT_Encode4(2382880), // Rule ID 1532 //
     /* 2382813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2382816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2382820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2382832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2382837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2382841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382849 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2382853 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2382858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382860 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2382860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2382863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382879 */     // GIR_Coverage, 1532,
     /* 2382879 */     GIR_EraseRootFromParent_Done,
     /* 2382880 */   // Label 34137: @2382880
     /* 2382880 */   GIM_Try, /*On fail goto*//*Label 34138*/ GIMT_Encode4(2382952), // Rule ID 1563 //
     /* 2382885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2382888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2382892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2382904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2382909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2382913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2382925 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2382930 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382932 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2382932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2382935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2382947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382951 */     // GIR_Coverage, 1563,
     /* 2382951 */     GIR_EraseRootFromParent_Done,
     /* 2382952 */   // Label 34138: @2382952
     /* 2382952 */   GIM_Try, /*On fail goto*//*Label 34139*/ GIMT_Encode4(2383024), // Rule ID 1564 //
     /* 2382957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2382960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2382964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2382976 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2382981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2382985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382993 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2382997 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383002 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383004 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2383004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2383007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383023 */     // GIR_Coverage, 1564,
     /* 2383023 */     GIR_EraseRootFromParent_Done,
     /* 2383024 */   // Label 34139: @2383024
     /* 2383024 */   GIM_Try, /*On fail goto*//*Label 34140*/ GIMT_Encode4(2383096), // Rule ID 64281 //
     /* 2383029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2383032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383065 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383069 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383074 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383076 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2383076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2383079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383095 */     // GIR_Coverage, 64281,
     /* 2383095 */     GIR_EraseRootFromParent_Done,
     /* 2383096 */   // Label 34140: @2383096
     /* 2383096 */   GIM_Try, /*On fail goto*//*Label 34141*/ GIMT_Encode4(2383168), // Rule ID 64282 //
     /* 2383101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2383104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383124 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383129 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383133 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383137 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383141 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383148 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2383148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2383151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383167 */     // GIR_Coverage, 64282,
     /* 2383167 */     GIR_EraseRootFromParent_Done,
     /* 2383168 */   // Label 34141: @2383168
     /* 2383168 */   GIM_Try, /*On fail goto*//*Label 34142*/ GIMT_Encode4(2383240), // Rule ID 64287 //
     /* 2383173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2383176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2383180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2383184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2383201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383213 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2383218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383220 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2383220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2383223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383239 */     // GIR_Coverage, 64287,
     /* 2383239 */     GIR_EraseRootFromParent_Done,
     /* 2383240 */   // Label 34142: @2383240
     /* 2383240 */   GIM_Try, /*On fail goto*//*Label 34143*/ GIMT_Encode4(2383312), // Rule ID 64293 //
     /* 2383245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2383248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383290 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383292 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2383292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2383295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383311 */     // GIR_Coverage, 64293,
     /* 2383311 */     GIR_EraseRootFromParent_Done,
     /* 2383312 */   // Label 34143: @2383312
     /* 2383312 */   GIM_Try, /*On fail goto*//*Label 34144*/ GIMT_Encode4(2383384), // Rule ID 64294 //
     /* 2383317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2383320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383357 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383362 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383364 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2383364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2383367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2383379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383383 */     // GIR_Coverage, 64294,
     /* 2383383 */     GIR_EraseRootFromParent_Done,
     /* 2383384 */   // Label 34144: @2383384
     /* 2383384 */   GIM_Try, /*On fail goto*//*Label 34145*/ GIMT_Encode4(2383441), // Rule ID 1504 //
     /* 2383389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2383392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383423 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2383423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2383426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383440 */     // GIR_Coverage, 1504,
     /* 2383440 */     GIR_EraseRootFromParent_Done,
     /* 2383441 */   // Label 34145: @2383441
     /* 2383441 */   GIM_Try, /*On fail goto*//*Label 34146*/ GIMT_Encode4(2383498), // Rule ID 1505 //
     /* 2383446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2383449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383465 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383480 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2383480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2383483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383497 */     // GIR_Coverage, 1505,
     /* 2383497 */     GIR_EraseRootFromParent_Done,
     /* 2383498 */   // Label 34146: @2383498
     /* 2383498 */   GIM_Try, /*On fail goto*//*Label 34147*/ GIMT_Encode4(2383555), // Rule ID 1530 //
     /* 2383503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2383506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2383510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2383527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2383531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2383535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383537 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2383537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2383540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383554 */     // GIR_Coverage, 1530,
     /* 2383554 */     GIR_EraseRootFromParent_Done,
     /* 2383555 */   // Label 34147: @2383555
     /* 2383555 */   GIM_Try, /*On fail goto*//*Label 34148*/ GIMT_Encode4(2383612), // Rule ID 1559 //
     /* 2383560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2383563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383594 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2383594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2383597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383611 */     // GIR_Coverage, 1559,
     /* 2383611 */     GIR_EraseRootFromParent_Done,
     /* 2383612 */   // Label 34148: @2383612
     /* 2383612 */   GIM_Try, /*On fail goto*//*Label 34149*/ GIMT_Encode4(2383669), // Rule ID 1560 //
     /* 2383617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2383620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383636 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383651 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2383651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2383654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383668 */     // GIR_Coverage, 1560,
     /* 2383668 */     GIR_EraseRootFromParent_Done,
     /* 2383669 */   // Label 34149: @2383669
     /* 2383669 */   GIM_Try, /*On fail goto*//*Label 34150*/ GIMT_Encode4(2383726), // Rule ID 64277 //
     /* 2383674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2383677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383708 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2383708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2383711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383725 */     // GIR_Coverage, 64277,
     /* 2383725 */     GIR_EraseRootFromParent_Done,
     /* 2383726 */   // Label 34150: @2383726
     /* 2383726 */   GIM_Try, /*On fail goto*//*Label 34151*/ GIMT_Encode4(2383783), // Rule ID 64278 //
     /* 2383731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2383734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383765 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2383765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2383768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383782 */     // GIR_Coverage, 64278,
     /* 2383782 */     GIR_EraseRootFromParent_Done,
     /* 2383783 */   // Label 34151: @2383783
     /* 2383783 */   GIM_Try, /*On fail goto*//*Label 34152*/ GIMT_Encode4(2383840), // Rule ID 64285 //
     /* 2383788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2383791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2383795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2383799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2383816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2383820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383822 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2383822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2383825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383839 */     // GIR_Coverage, 64285,
     /* 2383839 */     GIR_EraseRootFromParent_Done,
     /* 2383840 */   // Label 34152: @2383840
     /* 2383840 */   GIM_Try, /*On fail goto*//*Label 34153*/ GIMT_Encode4(2383897), // Rule ID 64289 //
     /* 2383845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2383848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383879 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2383879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2383882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383896 */     // GIR_Coverage, 64289,
     /* 2383896 */     GIR_EraseRootFromParent_Done,
     /* 2383897 */   // Label 34153: @2383897
     /* 2383897 */   GIM_Try, /*On fail goto*//*Label 34154*/ GIMT_Encode4(2383954), // Rule ID 64290 //
     /* 2383902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2383905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2383934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383936 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2383936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2383939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2383947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2383949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383953 */     // GIR_Coverage, 64290,
     /* 2383953 */     GIR_EraseRootFromParent_Done,
     /* 2383954 */   // Label 34154: @2383954
     /* 2383954 */   GIM_Try, /*On fail goto*//*Label 34155*/ GIMT_Encode4(2384011), // Rule ID 1500 //
     /* 2383959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2383962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2383978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2383986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2383991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383993 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2383993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2383996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2384006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384010 */     // GIR_Coverage, 1500,
     /* 2384010 */     GIR_EraseRootFromParent_Done,
     /* 2384011 */   // Label 34155: @2384011
     /* 2384011 */   GIM_Try, /*On fail goto*//*Label 34156*/ GIMT_Encode4(2384068), // Rule ID 1501 //
     /* 2384016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2384019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2384035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384050 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2384050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2384053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2384063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384067 */     // GIR_Coverage, 1501,
     /* 2384067 */     GIR_EraseRootFromParent_Done,
     /* 2384068 */   // Label 34156: @2384068
     /* 2384068 */   GIM_Try, /*On fail goto*//*Label 34157*/ GIMT_Encode4(2384125), // Rule ID 1528 //
     /* 2384073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2384076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2384092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384107 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2384110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2384120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384124 */     // GIR_Coverage, 1528,
     /* 2384124 */     GIR_EraseRootFromParent_Done,
     /* 2384125 */   // Label 34157: @2384125
     /* 2384125 */   GIM_Try, /*On fail goto*//*Label 34158*/ GIMT_Encode4(2384182), // Rule ID 1555 //
     /* 2384130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2384133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2384149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384164 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2384167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2384177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384181 */     // GIR_Coverage, 1555,
     /* 2384181 */     GIR_EraseRootFromParent_Done,
     /* 2384182 */   // Label 34158: @2384182
     /* 2384182 */   GIM_Try, /*On fail goto*//*Label 34159*/ GIMT_Encode4(2384239), // Rule ID 1556 //
     /* 2384187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2384190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2384206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384221 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2384221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2384224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2384234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384238 */     // GIR_Coverage, 1556,
     /* 2384238 */     GIR_EraseRootFromParent_Done,
     /* 2384239 */   // Label 34159: @2384239
     /* 2384239 */   GIM_Try, /*On fail goto*//*Label 34160*/ GIMT_Encode4(2384279), // Rule ID 1496 //
     /* 2384244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2384247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384263 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2384266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384278 */     // GIR_Coverage, 1496,
     /* 2384278 */     GIR_EraseRootFromParent_Done,
     /* 2384279 */   // Label 34160: @2384279
     /* 2384279 */   GIM_Try, /*On fail goto*//*Label 34161*/ GIMT_Encode4(2384319), // Rule ID 1497 //
     /* 2384284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2384287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2384303 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2384303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2384306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384318 */     // GIR_Coverage, 1497,
     /* 2384318 */     GIR_EraseRootFromParent_Done,
     /* 2384319 */   // Label 34161: @2384319
     /* 2384319 */   GIM_Try, /*On fail goto*//*Label 34162*/ GIMT_Encode4(2384359), // Rule ID 1526 //
     /* 2384324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2384327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384343 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2384346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384358 */     // GIR_Coverage, 1526,
     /* 2384358 */     GIR_EraseRootFromParent_Done,
     /* 2384359 */   // Label 34162: @2384359
     /* 2384359 */   GIM_Try, /*On fail goto*//*Label 34163*/ GIMT_Encode4(2384399), // Rule ID 1551 //
     /* 2384364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2384367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384383 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2384383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2384386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384398 */     // GIR_Coverage, 1551,
     /* 2384398 */     GIR_EraseRootFromParent_Done,
     /* 2384399 */   // Label 34163: @2384399
     /* 2384399 */   GIM_Try, /*On fail goto*//*Label 34164*/ GIMT_Encode4(2384439), // Rule ID 1552 //
     /* 2384404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2384407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2384423 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2384423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2384426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2384434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384438 */     // GIR_Coverage, 1552,
     /* 2384438 */     GIR_EraseRootFromParent_Done,
     /* 2384439 */   // Label 34164: @2384439
     /* 2384439 */   GIM_Reject,
     /* 2384440 */ // Label 34134: @2384440
     /* 2384440 */ GIM_Reject,
     /* 2384441 */ // Label 34068: @2384441
     /* 2384441 */ GIM_Try, /*On fail goto*//*Label 34165*/ GIMT_Encode4(2385230),
     /* 2384446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2384449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2384452 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2384455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384459 */   GIM_Try, /*On fail goto*//*Label 34166*/ GIMT_Encode4(2384536), // Rule ID 54379 //
     /* 2384464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2384467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2384479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384488 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384492 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384496 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2384500 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384505 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384507 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2384507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2384510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2384514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2384522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384535 */     // GIR_Coverage, 54379,
     /* 2384535 */     GIR_EraseRootFromParent_Done,
     /* 2384536 */   // Label 34166: @2384536
     /* 2384536 */   GIM_Try, /*On fail goto*//*Label 34167*/ GIMT_Encode4(2384613), // Rule ID 54380 //
     /* 2384541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2384544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2384556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384573 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2384577 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384582 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384584 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2384584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2384587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2384591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2384599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384612 */     // GIR_Coverage, 54380,
     /* 2384612 */     GIR_EraseRootFromParent_Done,
     /* 2384613 */   // Label 34167: @2384613
     /* 2384613 */   GIM_Try, /*On fail goto*//*Label 34168*/ GIMT_Encode4(2384690), // Rule ID 71105 //
     /* 2384618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2384621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2384637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384642 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384646 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384650 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2384654 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384659 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384661 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2384661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2384664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2384668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2384676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384689 */     // GIR_Coverage, 71105,
     /* 2384689 */     GIR_EraseRootFromParent_Done,
     /* 2384690 */   // Label 34168: @2384690
     /* 2384690 */   GIM_Try, /*On fail goto*//*Label 34169*/ GIMT_Encode4(2384767), // Rule ID 71106 //
     /* 2384695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2384698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2384714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384727 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2384731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384738 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2384738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2384741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2384745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2384753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384766 */     // GIR_Coverage, 71106,
     /* 2384766 */     GIR_EraseRootFromParent_Done,
     /* 2384767 */   // Label 34169: @2384767
     /* 2384767 */   GIM_Try, /*On fail goto*//*Label 34170*/ GIMT_Encode4(2384829), // Rule ID 54383 //
     /* 2384772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2384775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2384787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384802 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2384802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2384805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2384809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2384815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384828 */     // GIR_Coverage, 54383,
     /* 2384828 */     GIR_EraseRootFromParent_Done,
     /* 2384829 */   // Label 34170: @2384829
     /* 2384829 */   GIM_Try, /*On fail goto*//*Label 34171*/ GIMT_Encode4(2384891), // Rule ID 54384 //
     /* 2384834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2384837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2384849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384864 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2384864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2384867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2384871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2384877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384890 */     // GIR_Coverage, 54384,
     /* 2384890 */     GIR_EraseRootFromParent_Done,
     /* 2384891 */   // Label 34171: @2384891
     /* 2384891 */   GIM_Try, /*On fail goto*//*Label 34172*/ GIMT_Encode4(2384953), // Rule ID 71109 //
     /* 2384896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2384899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2384915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384926 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2384926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2384929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2384933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2384939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384952 */     // GIR_Coverage, 71109,
     /* 2384952 */     GIR_EraseRootFromParent_Done,
     /* 2384953 */   // Label 34172: @2384953
     /* 2384953 */   GIM_Try, /*On fail goto*//*Label 34173*/ GIMT_Encode4(2385015), // Rule ID 71110 //
     /* 2384958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2384961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2384977 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384988 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2384988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2384991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2384995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2385001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385014 */     // GIR_Coverage, 71110,
     /* 2385014 */     GIR_EraseRootFromParent_Done,
     /* 2385015 */   // Label 34173: @2385015
     /* 2385015 */   GIM_Try, /*On fail goto*//*Label 34174*/ GIMT_Encode4(2385077), // Rule ID 54375 //
     /* 2385020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2385023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2385043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385050 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2385050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2385053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2385063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385076 */     // GIR_Coverage, 54375,
     /* 2385076 */     GIR_EraseRootFromParent_Done,
     /* 2385077 */   // Label 34174: @2385077
     /* 2385077 */   GIM_Try, /*On fail goto*//*Label 34175*/ GIMT_Encode4(2385139), // Rule ID 54376 //
     /* 2385082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2385085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2385105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385112 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2385112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2385115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2385125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385138 */     // GIR_Coverage, 54376,
     /* 2385138 */     GIR_EraseRootFromParent_Done,
     /* 2385139 */   // Label 34175: @2385139
     /* 2385139 */   GIM_Try, /*On fail goto*//*Label 34176*/ GIMT_Encode4(2385184), // Rule ID 54371 //
     /* 2385144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2385147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385159 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2385159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2385162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2385170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385183 */     // GIR_Coverage, 54371,
     /* 2385183 */     GIR_EraseRootFromParent_Done,
     /* 2385184 */   // Label 34176: @2385184
     /* 2385184 */   GIM_Try, /*On fail goto*//*Label 34177*/ GIMT_Encode4(2385229), // Rule ID 54372 //
     /* 2385189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2385192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385204 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2385204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2385207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2385215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385228 */     // GIR_Coverage, 54372,
     /* 2385228 */     GIR_EraseRootFromParent_Done,
     /* 2385229 */   // Label 34177: @2385229
     /* 2385229 */   GIM_Reject,
     /* 2385230 */ // Label 34165: @2385230
     /* 2385230 */ GIM_Reject,
     /* 2385231 */ // Label 34069: @2385231
     /* 2385231 */ GIM_Try, /*On fail goto*//*Label 34178*/ GIMT_Encode4(2386020),
     /* 2385236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2385239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2385242 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2385245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385249 */   GIM_Try, /*On fail goto*//*Label 34179*/ GIMT_Encode4(2385326), // Rule ID 54507 //
     /* 2385254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2385257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2385269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385278 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2385282 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385286 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2385290 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385295 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385297 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2385297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2385300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2385312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385325 */     // GIR_Coverage, 54507,
     /* 2385325 */     GIR_EraseRootFromParent_Done,
     /* 2385326 */   // Label 34179: @2385326
     /* 2385326 */   GIM_Try, /*On fail goto*//*Label 34180*/ GIMT_Encode4(2385403), // Rule ID 54508 //
     /* 2385331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2385334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385342 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2385346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2385359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385363 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2385367 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385372 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385374 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2385374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2385377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2385389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385402 */     // GIR_Coverage, 54508,
     /* 2385402 */     GIR_EraseRootFromParent_Done,
     /* 2385403 */   // Label 34180: @2385403
     /* 2385403 */   GIM_Try, /*On fail goto*//*Label 34181*/ GIMT_Encode4(2385480), // Rule ID 71217 //
     /* 2385408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2385411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2385427 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385432 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2385436 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385440 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2385444 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385449 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385451 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2385451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2385454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2385458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385462 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2385466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385479 */     // GIR_Coverage, 71217,
     /* 2385479 */     GIR_EraseRootFromParent_Done,
     /* 2385480 */   // Label 34181: @2385480
     /* 2385480 */   GIM_Try, /*On fail goto*//*Label 34182*/ GIMT_Encode4(2385557), // Rule ID 71218 //
     /* 2385485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2385488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2385504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2385513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2385521 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385526 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385528 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2385528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2385531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2385535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2385543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385556 */     // GIR_Coverage, 71218,
     /* 2385556 */     GIR_EraseRootFromParent_Done,
     /* 2385557 */   // Label 34182: @2385557
     /* 2385557 */   GIM_Try, /*On fail goto*//*Label 34183*/ GIMT_Encode4(2385619), // Rule ID 54511 //
     /* 2385562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2385565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2385577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385592 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2385592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2385595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2385605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385618 */     // GIR_Coverage, 54511,
     /* 2385618 */     GIR_EraseRootFromParent_Done,
     /* 2385619 */   // Label 34183: @2385619
     /* 2385619 */   GIM_Try, /*On fail goto*//*Label 34184*/ GIMT_Encode4(2385681), // Rule ID 54512 //
     /* 2385624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2385627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2385639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385654 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2385654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2385657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2385667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385680 */     // GIR_Coverage, 54512,
     /* 2385680 */     GIR_EraseRootFromParent_Done,
     /* 2385681 */   // Label 34184: @2385681
     /* 2385681 */   GIM_Try, /*On fail goto*//*Label 34185*/ GIMT_Encode4(2385743), // Rule ID 71221 //
     /* 2385686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2385689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2385705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385716 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2385716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2385719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2385723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2385729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385742 */     // GIR_Coverage, 71221,
     /* 2385742 */     GIR_EraseRootFromParent_Done,
     /* 2385743 */   // Label 34185: @2385743
     /* 2385743 */   GIM_Try, /*On fail goto*//*Label 34186*/ GIMT_Encode4(2385805), // Rule ID 71222 //
     /* 2385748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2385751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2385767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385778 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2385778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2385781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2385785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2385791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385804 */     // GIR_Coverage, 71222,
     /* 2385804 */     GIR_EraseRootFromParent_Done,
     /* 2385805 */   // Label 34186: @2385805
     /* 2385805 */   GIM_Try, /*On fail goto*//*Label 34187*/ GIMT_Encode4(2385867), // Rule ID 54503 //
     /* 2385810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2385813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2385833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385840 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2385840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2385843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2385853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385866 */     // GIR_Coverage, 54503,
     /* 2385866 */     GIR_EraseRootFromParent_Done,
     /* 2385867 */   // Label 34187: @2385867
     /* 2385867 */   GIM_Try, /*On fail goto*//*Label 34188*/ GIMT_Encode4(2385929), // Rule ID 54504 //
     /* 2385872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2385875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2385895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385902 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2385902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2385905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2385915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385928 */     // GIR_Coverage, 54504,
     /* 2385928 */     GIR_EraseRootFromParent_Done,
     /* 2385929 */   // Label 34188: @2385929
     /* 2385929 */   GIM_Try, /*On fail goto*//*Label 34189*/ GIMT_Encode4(2385974), // Rule ID 54499 //
     /* 2385934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2385937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385949 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2385949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2385952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2385960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385973 */     // GIR_Coverage, 54499,
     /* 2385973 */     GIR_EraseRootFromParent_Done,
     /* 2385974 */   // Label 34189: @2385974
     /* 2385974 */   GIM_Try, /*On fail goto*//*Label 34190*/ GIMT_Encode4(2386019), // Rule ID 54500 //
     /* 2385979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2385982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385994 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2385994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2385997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386018 */     // GIR_Coverage, 54500,
     /* 2386018 */     GIR_EraseRootFromParent_Done,
     /* 2386019 */   // Label 34190: @2386019
     /* 2386019 */   GIM_Reject,
     /* 2386020 */ // Label 34178: @2386020
     /* 2386020 */ GIM_Reject,
     /* 2386021 */ // Label 34070: @2386021
     /* 2386021 */ GIM_Try, /*On fail goto*//*Label 34191*/ GIMT_Encode4(2386810),
     /* 2386026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2386029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2386032 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2386035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386039 */   GIM_Try, /*On fail goto*//*Label 34192*/ GIMT_Encode4(2386116), // Rule ID 54699 //
     /* 2386044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2386047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2386059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386068 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386072 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386076 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2386080 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386085 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386087 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2386090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386115 */     // GIR_Coverage, 54699,
     /* 2386115 */     GIR_EraseRootFromParent_Done,
     /* 2386116 */   // Label 34192: @2386116
     /* 2386116 */   GIM_Try, /*On fail goto*//*Label 34193*/ GIMT_Encode4(2386193), // Rule ID 54700 //
     /* 2386121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2386124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2386136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2386157 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386162 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386164 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2386167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386192 */     // GIR_Coverage, 54700,
     /* 2386192 */     GIR_EraseRootFromParent_Done,
     /* 2386193 */   // Label 34193: @2386193
     /* 2386193 */   GIM_Try, /*On fail goto*//*Label 34194*/ GIMT_Encode4(2386270), // Rule ID 71385 //
     /* 2386198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2386201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2386217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386222 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386226 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386230 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2386234 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386239 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386241 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2386244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386269 */     // GIR_Coverage, 71385,
     /* 2386269 */     GIR_EraseRootFromParent_Done,
     /* 2386270 */   // Label 34194: @2386270
     /* 2386270 */   GIM_Try, /*On fail goto*//*Label 34195*/ GIMT_Encode4(2386347), // Rule ID 71386 //
     /* 2386275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2386278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2386294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2386311 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386316 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386318 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2386321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386346 */     // GIR_Coverage, 71386,
     /* 2386346 */     GIR_EraseRootFromParent_Done,
     /* 2386347 */   // Label 34195: @2386347
     /* 2386347 */   GIM_Try, /*On fail goto*//*Label 34196*/ GIMT_Encode4(2386409), // Rule ID 54703 //
     /* 2386352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2386355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2386367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386382 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2386385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386408 */     // GIR_Coverage, 54703,
     /* 2386408 */     GIR_EraseRootFromParent_Done,
     /* 2386409 */   // Label 34196: @2386409
     /* 2386409 */   GIM_Try, /*On fail goto*//*Label 34197*/ GIMT_Encode4(2386471), // Rule ID 54704 //
     /* 2386414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2386417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2386429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386444 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2386447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386470 */     // GIR_Coverage, 54704,
     /* 2386470 */     GIR_EraseRootFromParent_Done,
     /* 2386471 */   // Label 34197: @2386471
     /* 2386471 */   GIM_Try, /*On fail goto*//*Label 34198*/ GIMT_Encode4(2386533), // Rule ID 71389 //
     /* 2386476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2386479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2386495 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386506 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2386509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386532 */     // GIR_Coverage, 71389,
     /* 2386532 */     GIR_EraseRootFromParent_Done,
     /* 2386533 */   // Label 34198: @2386533
     /* 2386533 */   GIM_Try, /*On fail goto*//*Label 34199*/ GIMT_Encode4(2386595), // Rule ID 71390 //
     /* 2386538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2386541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2386557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386568 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2386571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386594 */     // GIR_Coverage, 71390,
     /* 2386594 */     GIR_EraseRootFromParent_Done,
     /* 2386595 */   // Label 34199: @2386595
     /* 2386595 */   GIM_Try, /*On fail goto*//*Label 34200*/ GIMT_Encode4(2386657), // Rule ID 54695 //
     /* 2386600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2386603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2386615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2386623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386630 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2386633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2386643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386656 */     // GIR_Coverage, 54695,
     /* 2386656 */     GIR_EraseRootFromParent_Done,
     /* 2386657 */   // Label 34200: @2386657
     /* 2386657 */   GIM_Try, /*On fail goto*//*Label 34201*/ GIMT_Encode4(2386719), // Rule ID 54696 //
     /* 2386662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2386665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2386677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2386685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386692 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2386695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2386705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386718 */     // GIR_Coverage, 54696,
     /* 2386718 */     GIR_EraseRootFromParent_Done,
     /* 2386719 */   // Label 34201: @2386719
     /* 2386719 */   GIM_Try, /*On fail goto*//*Label 34202*/ GIMT_Encode4(2386764), // Rule ID 54691 //
     /* 2386724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2386727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386739 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2386742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386763 */     // GIR_Coverage, 54691,
     /* 2386763 */     GIR_EraseRootFromParent_Done,
     /* 2386764 */   // Label 34202: @2386764
     /* 2386764 */   GIM_Try, /*On fail goto*//*Label 34203*/ GIMT_Encode4(2386809), // Rule ID 54692 //
     /* 2386769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2386772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386784 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2386787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386808 */     // GIR_Coverage, 54692,
     /* 2386808 */     GIR_EraseRootFromParent_Done,
     /* 2386809 */   // Label 34203: @2386809
     /* 2386809 */   GIM_Reject,
     /* 2386810 */ // Label 34191: @2386810
     /* 2386810 */ GIM_Reject,
     /* 2386811 */ // Label 34071: @2386811
     /* 2386811 */ GIM_Try, /*On fail goto*//*Label 34204*/ GIMT_Encode4(2387600),
     /* 2386816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2386819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2386822 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2386825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386829 */   GIM_Try, /*On fail goto*//*Label 34205*/ GIMT_Encode4(2386906), // Rule ID 54443 //
     /* 2386834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2386849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2386870 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386875 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386877 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2386880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386905 */     // GIR_Coverage, 54443,
     /* 2386905 */     GIR_EraseRootFromParent_Done,
     /* 2386906 */   // Label 34205: @2386906
     /* 2386906 */   GIM_Try, /*On fail goto*//*Label 34206*/ GIMT_Encode4(2386983), // Rule ID 54444 //
     /* 2386911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2386926 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386935 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386939 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386943 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2386947 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386952 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386954 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2386957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386982 */     // GIR_Coverage, 54444,
     /* 2386982 */     GIR_EraseRootFromParent_Done,
     /* 2386983 */   // Label 34206: @2386983
     /* 2386983 */   GIM_Try, /*On fail goto*//*Label 34207*/ GIMT_Encode4(2387060), // Rule ID 71161 //
     /* 2386988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2387007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2387024 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387029 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387031 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2387034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387059 */     // GIR_Coverage, 71161,
     /* 2387059 */     GIR_EraseRootFromParent_Done,
     /* 2387060 */   // Label 34207: @2387060
     /* 2387060 */   GIM_Try, /*On fail goto*//*Label 34208*/ GIMT_Encode4(2387137), // Rule ID 71162 //
     /* 2387065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2387068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2387084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387097 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2387101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387108 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2387111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387136 */     // GIR_Coverage, 71162,
     /* 2387136 */     GIR_EraseRootFromParent_Done,
     /* 2387137 */   // Label 34208: @2387137
     /* 2387137 */   GIM_Try, /*On fail goto*//*Label 34209*/ GIMT_Encode4(2387199), // Rule ID 54447 //
     /* 2387142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2387145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2387157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387172 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2387175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387198 */     // GIR_Coverage, 54447,
     /* 2387198 */     GIR_EraseRootFromParent_Done,
     /* 2387199 */   // Label 34209: @2387199
     /* 2387199 */   GIM_Try, /*On fail goto*//*Label 34210*/ GIMT_Encode4(2387261), // Rule ID 54448 //
     /* 2387204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2387207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2387219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387234 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2387237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387260 */     // GIR_Coverage, 54448,
     /* 2387260 */     GIR_EraseRootFromParent_Done,
     /* 2387261 */   // Label 34210: @2387261
     /* 2387261 */   GIM_Try, /*On fail goto*//*Label 34211*/ GIMT_Encode4(2387323), // Rule ID 71165 //
     /* 2387266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2387269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2387285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387296 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2387299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387322 */     // GIR_Coverage, 71165,
     /* 2387322 */     GIR_EraseRootFromParent_Done,
     /* 2387323 */   // Label 34211: @2387323
     /* 2387323 */   GIM_Try, /*On fail goto*//*Label 34212*/ GIMT_Encode4(2387385), // Rule ID 71166 //
     /* 2387328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2387331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2387347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387358 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2387361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387384 */     // GIR_Coverage, 71166,
     /* 2387384 */     GIR_EraseRootFromParent_Done,
     /* 2387385 */   // Label 34212: @2387385
     /* 2387385 */   GIM_Try, /*On fail goto*//*Label 34213*/ GIMT_Encode4(2387447), // Rule ID 54439 //
     /* 2387390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2387393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2387405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2387413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387420 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2387423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2387433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387446 */     // GIR_Coverage, 54439,
     /* 2387446 */     GIR_EraseRootFromParent_Done,
     /* 2387447 */   // Label 34213: @2387447
     /* 2387447 */   GIM_Try, /*On fail goto*//*Label 34214*/ GIMT_Encode4(2387509), // Rule ID 54440 //
     /* 2387452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2387455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2387467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2387475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387482 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2387485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2387495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387508 */     // GIR_Coverage, 54440,
     /* 2387508 */     GIR_EraseRootFromParent_Done,
     /* 2387509 */   // Label 34214: @2387509
     /* 2387509 */   GIM_Try, /*On fail goto*//*Label 34215*/ GIMT_Encode4(2387554), // Rule ID 54435 //
     /* 2387514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2387517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387529 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2387532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387553 */     // GIR_Coverage, 54435,
     /* 2387553 */     GIR_EraseRootFromParent_Done,
     /* 2387554 */   // Label 34215: @2387554
     /* 2387554 */   GIM_Try, /*On fail goto*//*Label 34216*/ GIMT_Encode4(2387599), // Rule ID 54436 //
     /* 2387559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2387562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387574 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2387577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387598 */     // GIR_Coverage, 54436,
     /* 2387598 */     GIR_EraseRootFromParent_Done,
     /* 2387599 */   // Label 34216: @2387599
     /* 2387599 */   GIM_Reject,
     /* 2387600 */ // Label 34204: @2387600
     /* 2387600 */ GIM_Reject,
     /* 2387601 */ // Label 34072: @2387601
     /* 2387601 */ GIM_Try, /*On fail goto*//*Label 34217*/ GIMT_Encode4(2388390),
     /* 2387606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2387609 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2387612 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2387615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387619 */   GIM_Try, /*On fail goto*//*Label 34218*/ GIMT_Encode4(2387696), // Rule ID 54635 //
     /* 2387624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2387639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2387660 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387665 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387667 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2387670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387695 */     // GIR_Coverage, 54635,
     /* 2387695 */     GIR_EraseRootFromParent_Done,
     /* 2387696 */   // Label 34218: @2387696
     /* 2387696 */   GIM_Try, /*On fail goto*//*Label 34219*/ GIMT_Encode4(2387773), // Rule ID 54636 //
     /* 2387701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2387716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2387737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387744 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2387747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387772 */     // GIR_Coverage, 54636,
     /* 2387772 */     GIR_EraseRootFromParent_Done,
     /* 2387773 */   // Label 34219: @2387773
     /* 2387773 */   GIM_Try, /*On fail goto*//*Label 34220*/ GIMT_Encode4(2387850), // Rule ID 71329 //
     /* 2387778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2387797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387802 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387806 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387810 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2387814 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387819 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387821 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2387824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387849 */     // GIR_Coverage, 71329,
     /* 2387849 */     GIR_EraseRootFromParent_Done,
     /* 2387850 */   // Label 34220: @2387850
     /* 2387850 */   GIM_Try, /*On fail goto*//*Label 34221*/ GIMT_Encode4(2387927), // Rule ID 71330 //
     /* 2387855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2387874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387887 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2387891 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387896 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387898 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2387901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387926 */     // GIR_Coverage, 71330,
     /* 2387926 */     GIR_EraseRootFromParent_Done,
     /* 2387927 */   // Label 34221: @2387927
     /* 2387927 */   GIM_Try, /*On fail goto*//*Label 34222*/ GIMT_Encode4(2387989), // Rule ID 54639 //
     /* 2387932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2387947 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387962 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2387965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387988 */     // GIR_Coverage, 54639,
     /* 2387988 */     GIR_EraseRootFromParent_Done,
     /* 2387989 */   // Label 34222: @2387989
     /* 2387989 */   GIM_Try, /*On fail goto*//*Label 34223*/ GIMT_Encode4(2388051), // Rule ID 54640 //
     /* 2387994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2388009 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388024 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2388027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388050 */     // GIR_Coverage, 54640,
     /* 2388050 */     GIR_EraseRootFromParent_Done,
     /* 2388051 */   // Label 34223: @2388051
     /* 2388051 */   GIM_Try, /*On fail goto*//*Label 34224*/ GIMT_Encode4(2388113), // Rule ID 71333 //
     /* 2388056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2388059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2388075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388086 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2388089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388112 */     // GIR_Coverage, 71333,
     /* 2388112 */     GIR_EraseRootFromParent_Done,
     /* 2388113 */   // Label 34224: @2388113
     /* 2388113 */   GIM_Try, /*On fail goto*//*Label 34225*/ GIMT_Encode4(2388175), // Rule ID 71334 //
     /* 2388118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2388121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2388137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388148 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2388151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388174 */     // GIR_Coverage, 71334,
     /* 2388174 */     GIR_EraseRootFromParent_Done,
     /* 2388175 */   // Label 34225: @2388175
     /* 2388175 */   GIM_Try, /*On fail goto*//*Label 34226*/ GIMT_Encode4(2388237), // Rule ID 54631 //
     /* 2388180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2388183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2388195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2388203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388210 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2388213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2388223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388236 */     // GIR_Coverage, 54631,
     /* 2388236 */     GIR_EraseRootFromParent_Done,
     /* 2388237 */   // Label 34226: @2388237
     /* 2388237 */   GIM_Try, /*On fail goto*//*Label 34227*/ GIMT_Encode4(2388299), // Rule ID 54632 //
     /* 2388242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2388245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2388257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2388265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388272 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2388275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2388285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388298 */     // GIR_Coverage, 54632,
     /* 2388298 */     GIR_EraseRootFromParent_Done,
     /* 2388299 */   // Label 34227: @2388299
     /* 2388299 */   GIM_Try, /*On fail goto*//*Label 34228*/ GIMT_Encode4(2388344), // Rule ID 54627 //
     /* 2388304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2388307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388319 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2388322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388343 */     // GIR_Coverage, 54627,
     /* 2388343 */     GIR_EraseRootFromParent_Done,
     /* 2388344 */   // Label 34228: @2388344
     /* 2388344 */   GIM_Try, /*On fail goto*//*Label 34229*/ GIMT_Encode4(2388389), // Rule ID 54628 //
     /* 2388349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2388352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388364 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2388367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388388 */     // GIR_Coverage, 54628,
     /* 2388388 */     GIR_EraseRootFromParent_Done,
     /* 2388389 */   // Label 34229: @2388389
     /* 2388389 */   GIM_Reject,
     /* 2388390 */ // Label 34217: @2388390
     /* 2388390 */ GIM_Reject,
     /* 2388391 */ // Label 34073: @2388391
     /* 2388391 */ GIM_Try, /*On fail goto*//*Label 34230*/ GIMT_Encode4(2389180),
     /* 2388396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2388399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2388402 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2388405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388409 */   GIM_Try, /*On fail goto*//*Label 34231*/ GIMT_Encode4(2388486), // Rule ID 55147 //
     /* 2388414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2388429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388438 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388442 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388446 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2388450 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388455 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388457 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2388460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388485 */     // GIR_Coverage, 55147,
     /* 2388485 */     GIR_EraseRootFromParent_Done,
     /* 2388486 */   // Label 34231: @2388486
     /* 2388486 */   GIM_Try, /*On fail goto*//*Label 34232*/ GIMT_Encode4(2388563), // Rule ID 55148 //
     /* 2388491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2388506 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388515 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388519 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388523 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2388527 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388532 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388534 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2388537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388562 */     // GIR_Coverage, 55148,
     /* 2388562 */     GIR_EraseRootFromParent_Done,
     /* 2388563 */   // Label 34232: @2388563
     /* 2388563 */   GIM_Try, /*On fail goto*//*Label 34233*/ GIMT_Encode4(2388640), // Rule ID 71777 //
     /* 2388568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2388587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2388604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388611 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2388614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388639 */     // GIR_Coverage, 71777,
     /* 2388639 */     GIR_EraseRootFromParent_Done,
     /* 2388640 */   // Label 34233: @2388640
     /* 2388640 */   GIM_Try, /*On fail goto*//*Label 34234*/ GIMT_Encode4(2388717), // Rule ID 71778 //
     /* 2388645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2388664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2388681 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388688 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2388691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388716 */     // GIR_Coverage, 71778,
     /* 2388716 */     GIR_EraseRootFromParent_Done,
     /* 2388717 */   // Label 34234: @2388717
     /* 2388717 */   GIM_Try, /*On fail goto*//*Label 34235*/ GIMT_Encode4(2388779), // Rule ID 55151 //
     /* 2388722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2388737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388752 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2388755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388778 */     // GIR_Coverage, 55151,
     /* 2388778 */     GIR_EraseRootFromParent_Done,
     /* 2388779 */   // Label 34235: @2388779
     /* 2388779 */   GIM_Try, /*On fail goto*//*Label 34236*/ GIMT_Encode4(2388841), // Rule ID 55152 //
     /* 2388784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2388799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388814 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2388817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388840 */     // GIR_Coverage, 55152,
     /* 2388840 */     GIR_EraseRootFromParent_Done,
     /* 2388841 */   // Label 34236: @2388841
     /* 2388841 */   GIM_Try, /*On fail goto*//*Label 34237*/ GIMT_Encode4(2388903), // Rule ID 71781 //
     /* 2388846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2388865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388876 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2388879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388902 */     // GIR_Coverage, 71781,
     /* 2388902 */     GIR_EraseRootFromParent_Done,
     /* 2388903 */   // Label 34237: @2388903
     /* 2388903 */   GIM_Try, /*On fail goto*//*Label 34238*/ GIMT_Encode4(2388965), // Rule ID 71782 //
     /* 2388908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2388927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388938 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2388941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388964 */     // GIR_Coverage, 71782,
     /* 2388964 */     GIR_EraseRootFromParent_Done,
     /* 2388965 */   // Label 34238: @2388965
     /* 2388965 */   GIM_Try, /*On fail goto*//*Label 34239*/ GIMT_Encode4(2389027), // Rule ID 55143 //
     /* 2388970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2388985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2388993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389000 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2389003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389026 */     // GIR_Coverage, 55143,
     /* 2389026 */     GIR_EraseRootFromParent_Done,
     /* 2389027 */   // Label 34239: @2389027
     /* 2389027 */   GIM_Try, /*On fail goto*//*Label 34240*/ GIMT_Encode4(2389089), // Rule ID 55144 //
     /* 2389032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2389035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2389047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2389055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389062 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2389065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389088 */     // GIR_Coverage, 55144,
     /* 2389088 */     GIR_EraseRootFromParent_Done,
     /* 2389089 */   // Label 34240: @2389089
     /* 2389089 */   GIM_Try, /*On fail goto*//*Label 34241*/ GIMT_Encode4(2389134), // Rule ID 55139 //
     /* 2389094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2389097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389109 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2389112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389133 */     // GIR_Coverage, 55139,
     /* 2389133 */     GIR_EraseRootFromParent_Done,
     /* 2389134 */   // Label 34241: @2389134
     /* 2389134 */   GIM_Try, /*On fail goto*//*Label 34242*/ GIMT_Encode4(2389179), // Rule ID 55140 //
     /* 2389139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2389142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389154 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2389157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389178 */     // GIR_Coverage, 55140,
     /* 2389178 */     GIR_EraseRootFromParent_Done,
     /* 2389179 */   // Label 34242: @2389179
     /* 2389179 */   GIM_Reject,
     /* 2389180 */ // Label 34230: @2389180
     /* 2389180 */ GIM_Reject,
     /* 2389181 */ // Label 34074: @2389181
     /* 2389181 */ GIM_Try, /*On fail goto*//*Label 34243*/ GIMT_Encode4(2389970),
     /* 2389186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2389189 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2389192 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2389195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389199 */   GIM_Try, /*On fail goto*//*Label 34244*/ GIMT_Encode4(2389276), // Rule ID 54571 //
     /* 2389204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2389219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2389240 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389245 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389247 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2389250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389275 */     // GIR_Coverage, 54571,
     /* 2389275 */     GIR_EraseRootFromParent_Done,
     /* 2389276 */   // Label 34244: @2389276
     /* 2389276 */   GIM_Try, /*On fail goto*//*Label 34245*/ GIMT_Encode4(2389353), // Rule ID 54572 //
     /* 2389281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2389296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389305 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389309 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389313 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2389317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389322 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389324 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2389327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389352 */     // GIR_Coverage, 54572,
     /* 2389352 */     GIR_EraseRootFromParent_Done,
     /* 2389353 */   // Label 34245: @2389353
     /* 2389353 */   GIM_Try, /*On fail goto*//*Label 34246*/ GIMT_Encode4(2389430), // Rule ID 71273 //
     /* 2389358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2389377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389382 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389386 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389390 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2389394 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389399 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389401 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2389404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389429 */     // GIR_Coverage, 71273,
     /* 2389429 */     GIR_EraseRootFromParent_Done,
     /* 2389430 */   // Label 34246: @2389430
     /* 2389430 */   GIM_Try, /*On fail goto*//*Label 34247*/ GIMT_Encode4(2389507), // Rule ID 71274 //
     /* 2389435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2389454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2389471 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389476 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389478 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2389481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389506 */     // GIR_Coverage, 71274,
     /* 2389506 */     GIR_EraseRootFromParent_Done,
     /* 2389507 */   // Label 34247: @2389507
     /* 2389507 */   GIM_Try, /*On fail goto*//*Label 34248*/ GIMT_Encode4(2389569), // Rule ID 54575 //
     /* 2389512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2389527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389542 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2389545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389568 */     // GIR_Coverage, 54575,
     /* 2389568 */     GIR_EraseRootFromParent_Done,
     /* 2389569 */   // Label 34248: @2389569
     /* 2389569 */   GIM_Try, /*On fail goto*//*Label 34249*/ GIMT_Encode4(2389631), // Rule ID 54576 //
     /* 2389574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2389589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389604 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2389607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389630 */     // GIR_Coverage, 54576,
     /* 2389630 */     GIR_EraseRootFromParent_Done,
     /* 2389631 */   // Label 34249: @2389631
     /* 2389631 */   GIM_Try, /*On fail goto*//*Label 34250*/ GIMT_Encode4(2389693), // Rule ID 71277 //
     /* 2389636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2389655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389666 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2389669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389692 */     // GIR_Coverage, 71277,
     /* 2389692 */     GIR_EraseRootFromParent_Done,
     /* 2389693 */   // Label 34250: @2389693
     /* 2389693 */   GIM_Try, /*On fail goto*//*Label 34251*/ GIMT_Encode4(2389755), // Rule ID 71278 //
     /* 2389698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2389717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389728 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2389731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389754 */     // GIR_Coverage, 71278,
     /* 2389754 */     GIR_EraseRootFromParent_Done,
     /* 2389755 */   // Label 34251: @2389755
     /* 2389755 */   GIM_Try, /*On fail goto*//*Label 34252*/ GIMT_Encode4(2389817), // Rule ID 54567 //
     /* 2389760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2389775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2389783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389790 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2389793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389816 */     // GIR_Coverage, 54567,
     /* 2389816 */     GIR_EraseRootFromParent_Done,
     /* 2389817 */   // Label 34252: @2389817
     /* 2389817 */   GIM_Try, /*On fail goto*//*Label 34253*/ GIMT_Encode4(2389879), // Rule ID 54568 //
     /* 2389822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2389837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2389845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389852 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2389855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389878 */     // GIR_Coverage, 54568,
     /* 2389878 */     GIR_EraseRootFromParent_Done,
     /* 2389879 */   // Label 34253: @2389879
     /* 2389879 */   GIM_Try, /*On fail goto*//*Label 34254*/ GIMT_Encode4(2389924), // Rule ID 54563 //
     /* 2389884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389899 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2389902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389923 */     // GIR_Coverage, 54563,
     /* 2389923 */     GIR_EraseRootFromParent_Done,
     /* 2389924 */   // Label 34254: @2389924
     /* 2389924 */   GIM_Try, /*On fail goto*//*Label 34255*/ GIMT_Encode4(2389969), // Rule ID 54564 //
     /* 2389929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389944 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2389947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389968 */     // GIR_Coverage, 54564,
     /* 2389968 */     GIR_EraseRootFromParent_Done,
     /* 2389969 */   // Label 34255: @2389969
     /* 2389969 */   GIM_Reject,
     /* 2389970 */ // Label 34243: @2389970
     /* 2389970 */ GIM_Reject,
     /* 2389971 */ // Label 34075: @2389971
     /* 2389971 */ GIM_Try, /*On fail goto*//*Label 34256*/ GIMT_Encode4(2390760),
     /* 2389976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2389979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2389982 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2389985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389989 */   GIM_Try, /*On fail goto*//*Label 34257*/ GIMT_Encode4(2390066), // Rule ID 54955 //
     /* 2389994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2389997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2390009 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390026 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2390030 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390035 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390037 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2390040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390065 */     // GIR_Coverage, 54955,
     /* 2390065 */     GIR_EraseRootFromParent_Done,
     /* 2390066 */   // Label 34257: @2390066
     /* 2390066 */   GIM_Try, /*On fail goto*//*Label 34258*/ GIMT_Encode4(2390143), // Rule ID 54956 //
     /* 2390071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2390086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390095 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390099 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390103 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2390107 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390112 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390114 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2390117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390142 */     // GIR_Coverage, 54956,
     /* 2390142 */     GIR_EraseRootFromParent_Done,
     /* 2390143 */   // Label 34258: @2390143
     /* 2390143 */   GIM_Try, /*On fail goto*//*Label 34259*/ GIMT_Encode4(2390220), // Rule ID 71609 //
     /* 2390148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2390151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2390167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2390184 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390189 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390191 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2390194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390219 */     // GIR_Coverage, 71609,
     /* 2390219 */     GIR_EraseRootFromParent_Done,
     /* 2390220 */   // Label 34259: @2390220
     /* 2390220 */   GIM_Try, /*On fail goto*//*Label 34260*/ GIMT_Encode4(2390297), // Rule ID 71610 //
     /* 2390225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2390244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2390261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390268 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2390271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390296 */     // GIR_Coverage, 71610,
     /* 2390296 */     GIR_EraseRootFromParent_Done,
     /* 2390297 */   // Label 34260: @2390297
     /* 2390297 */   GIM_Try, /*On fail goto*//*Label 34261*/ GIMT_Encode4(2390359), // Rule ID 54959 //
     /* 2390302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2390305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2390317 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390332 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2390335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390358 */     // GIR_Coverage, 54959,
     /* 2390358 */     GIR_EraseRootFromParent_Done,
     /* 2390359 */   // Label 34261: @2390359
     /* 2390359 */   GIM_Try, /*On fail goto*//*Label 34262*/ GIMT_Encode4(2390421), // Rule ID 54960 //
     /* 2390364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2390379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390394 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2390397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390420 */     // GIR_Coverage, 54960,
     /* 2390420 */     GIR_EraseRootFromParent_Done,
     /* 2390421 */   // Label 34262: @2390421
     /* 2390421 */   GIM_Try, /*On fail goto*//*Label 34263*/ GIMT_Encode4(2390483), // Rule ID 71613 //
     /* 2390426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2390429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2390445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390456 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2390459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390482 */     // GIR_Coverage, 71613,
     /* 2390482 */     GIR_EraseRootFromParent_Done,
     /* 2390483 */   // Label 34263: @2390483
     /* 2390483 */   GIM_Try, /*On fail goto*//*Label 34264*/ GIMT_Encode4(2390545), // Rule ID 71614 //
     /* 2390488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2390507 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390518 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2390521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390544 */     // GIR_Coverage, 71614,
     /* 2390544 */     GIR_EraseRootFromParent_Done,
     /* 2390545 */   // Label 34264: @2390545
     /* 2390545 */   GIM_Try, /*On fail goto*//*Label 34265*/ GIMT_Encode4(2390607), // Rule ID 54951 //
     /* 2390550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2390553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2390565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2390573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390580 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2390583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2390593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390606 */     // GIR_Coverage, 54951,
     /* 2390606 */     GIR_EraseRootFromParent_Done,
     /* 2390607 */   // Label 34265: @2390607
     /* 2390607 */   GIM_Try, /*On fail goto*//*Label 34266*/ GIMT_Encode4(2390669), // Rule ID 54952 //
     /* 2390612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2390627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2390635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390642 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2390645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2390655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390668 */     // GIR_Coverage, 54952,
     /* 2390668 */     GIR_EraseRootFromParent_Done,
     /* 2390669 */   // Label 34266: @2390669
     /* 2390669 */   GIM_Try, /*On fail goto*//*Label 34267*/ GIMT_Encode4(2390714), // Rule ID 54947 //
     /* 2390674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2390677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390689 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2390692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390713 */     // GIR_Coverage, 54947,
     /* 2390713 */     GIR_EraseRootFromParent_Done,
     /* 2390714 */   // Label 34267: @2390714
     /* 2390714 */   GIM_Try, /*On fail goto*//*Label 34268*/ GIMT_Encode4(2390759), // Rule ID 54948 //
     /* 2390719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390734 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2390737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390758 */     // GIR_Coverage, 54948,
     /* 2390758 */     GIR_EraseRootFromParent_Done,
     /* 2390759 */   // Label 34268: @2390759
     /* 2390759 */   GIM_Reject,
     /* 2390760 */ // Label 34256: @2390760
     /* 2390760 */ GIM_Reject,
     /* 2390761 */ // Label 34076: @2390761
     /* 2390761 */ GIM_Try, /*On fail goto*//*Label 34269*/ GIMT_Encode4(2391550),
     /* 2390766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2390769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2390772 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2390775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390779 */   GIM_Try, /*On fail goto*//*Label 34270*/ GIMT_Encode4(2390856), // Rule ID 55211 //
     /* 2390784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2390799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2390820 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390827 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2390830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390855 */     // GIR_Coverage, 55211,
     /* 2390855 */     GIR_EraseRootFromParent_Done,
     /* 2390856 */   // Label 34270: @2390856
     /* 2390856 */   GIM_Try, /*On fail goto*//*Label 34271*/ GIMT_Encode4(2390933), // Rule ID 55212 //
     /* 2390861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2390864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2390876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390885 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390889 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390893 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2390897 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390904 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2390907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390932 */     // GIR_Coverage, 55212,
     /* 2390932 */     GIR_EraseRootFromParent_Done,
     /* 2390933 */   // Label 34271: @2390933
     /* 2390933 */   GIM_Try, /*On fail goto*//*Label 34272*/ GIMT_Encode4(2391010), // Rule ID 71833 //
     /* 2390938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2390941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2390957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390970 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2390974 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390979 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390981 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2390984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391009 */     // GIR_Coverage, 71833,
     /* 2391009 */     GIR_EraseRootFromParent_Done,
     /* 2391010 */   // Label 34272: @2391010
     /* 2391010 */   GIM_Try, /*On fail goto*//*Label 34273*/ GIMT_Encode4(2391087), // Rule ID 71834 //
     /* 2391015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2391018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391030 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2391034 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391039 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391043 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391047 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2391051 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391056 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391058 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2391061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391086 */     // GIR_Coverage, 71834,
     /* 2391086 */     GIR_EraseRootFromParent_Done,
     /* 2391087 */   // Label 34273: @2391087
     /* 2391087 */   GIM_Try, /*On fail goto*//*Label 34274*/ GIMT_Encode4(2391149), // Rule ID 55215 //
     /* 2391092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2391095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2391107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391122 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2391125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391148 */     // GIR_Coverage, 55215,
     /* 2391148 */     GIR_EraseRootFromParent_Done,
     /* 2391149 */   // Label 34274: @2391149
     /* 2391149 */   GIM_Try, /*On fail goto*//*Label 34275*/ GIMT_Encode4(2391211), // Rule ID 55216 //
     /* 2391154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2391157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2391169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391184 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2391187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391210 */     // GIR_Coverage, 55216,
     /* 2391210 */     GIR_EraseRootFromParent_Done,
     /* 2391211 */   // Label 34275: @2391211
     /* 2391211 */   GIM_Try, /*On fail goto*//*Label 34276*/ GIMT_Encode4(2391273), // Rule ID 71837 //
     /* 2391216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2391219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2391235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391246 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2391249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391272 */     // GIR_Coverage, 71837,
     /* 2391272 */     GIR_EraseRootFromParent_Done,
     /* 2391273 */   // Label 34276: @2391273
     /* 2391273 */   GIM_Try, /*On fail goto*//*Label 34277*/ GIMT_Encode4(2391335), // Rule ID 71838 //
     /* 2391278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2391281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2391297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391308 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2391311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391334 */     // GIR_Coverage, 71838,
     /* 2391334 */     GIR_EraseRootFromParent_Done,
     /* 2391335 */   // Label 34277: @2391335
     /* 2391335 */   GIM_Try, /*On fail goto*//*Label 34278*/ GIMT_Encode4(2391397), // Rule ID 55207 //
     /* 2391340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2391343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2391355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2391363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391370 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2391373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2391383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391396 */     // GIR_Coverage, 55207,
     /* 2391396 */     GIR_EraseRootFromParent_Done,
     /* 2391397 */   // Label 34278: @2391397
     /* 2391397 */   GIM_Try, /*On fail goto*//*Label 34279*/ GIMT_Encode4(2391459), // Rule ID 55208 //
     /* 2391402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2391405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2391417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391421 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2391425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391432 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2391435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2391445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391458 */     // GIR_Coverage, 55208,
     /* 2391458 */     GIR_EraseRootFromParent_Done,
     /* 2391459 */   // Label 34279: @2391459
     /* 2391459 */   GIM_Try, /*On fail goto*//*Label 34280*/ GIMT_Encode4(2391504), // Rule ID 55203 //
     /* 2391464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2391467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391479 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2391482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391503 */     // GIR_Coverage, 55203,
     /* 2391503 */     GIR_EraseRootFromParent_Done,
     /* 2391504 */   // Label 34280: @2391504
     /* 2391504 */   GIM_Try, /*On fail goto*//*Label 34281*/ GIMT_Encode4(2391549), // Rule ID 55204 //
     /* 2391509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2391512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391524 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2391527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391548 */     // GIR_Coverage, 55204,
     /* 2391548 */     GIR_EraseRootFromParent_Done,
     /* 2391549 */   // Label 34281: @2391549
     /* 2391549 */   GIM_Reject,
     /* 2391550 */ // Label 34269: @2391550
     /* 2391550 */ GIM_Reject,
     /* 2391551 */ // Label 34077: @2391551
     /* 2391551 */ GIM_Try, /*On fail goto*//*Label 34282*/ GIMT_Encode4(2392340),
     /* 2391556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2391559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2391562 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2391565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391569 */   GIM_Try, /*On fail goto*//*Label 34283*/ GIMT_Encode4(2391646), // Rule ID 54763 //
     /* 2391574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2391589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2391610 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391615 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391617 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2391620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391645 */     // GIR_Coverage, 54763,
     /* 2391645 */     GIR_EraseRootFromParent_Done,
     /* 2391646 */   // Label 34283: @2391646
     /* 2391646 */   GIM_Try, /*On fail goto*//*Label 34284*/ GIMT_Encode4(2391723), // Rule ID 54764 //
     /* 2391651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2391666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391675 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391679 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391683 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2391687 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391692 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391694 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2391697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391722 */     // GIR_Coverage, 54764,
     /* 2391722 */     GIR_EraseRootFromParent_Done,
     /* 2391723 */   // Label 34284: @2391723
     /* 2391723 */   GIM_Try, /*On fail goto*//*Label 34285*/ GIMT_Encode4(2391800), // Rule ID 71441 //
     /* 2391728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2391747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2391764 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391771 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2391774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391799 */     // GIR_Coverage, 71441,
     /* 2391799 */     GIR_EraseRootFromParent_Done,
     /* 2391800 */   // Label 34285: @2391800
     /* 2391800 */   GIM_Try, /*On fail goto*//*Label 34286*/ GIMT_Encode4(2391877), // Rule ID 71442 //
     /* 2391805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2391824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2391841 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391846 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391848 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2391851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391876 */     // GIR_Coverage, 71442,
     /* 2391876 */     GIR_EraseRootFromParent_Done,
     /* 2391877 */   // Label 34286: @2391877
     /* 2391877 */   GIM_Try, /*On fail goto*//*Label 34287*/ GIMT_Encode4(2391939), // Rule ID 54767 //
     /* 2391882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2391897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391912 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2391915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391938 */     // GIR_Coverage, 54767,
     /* 2391938 */     GIR_EraseRootFromParent_Done,
     /* 2391939 */   // Label 34287: @2391939
     /* 2391939 */   GIM_Try, /*On fail goto*//*Label 34288*/ GIMT_Encode4(2392001), // Rule ID 54768 //
     /* 2391944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391955 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2391959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391974 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2391977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392000 */     // GIR_Coverage, 54768,
     /* 2392000 */     GIR_EraseRootFromParent_Done,
     /* 2392001 */   // Label 34288: @2392001
     /* 2392001 */   GIM_Try, /*On fail goto*//*Label 34289*/ GIMT_Encode4(2392063), // Rule ID 71445 //
     /* 2392006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2392009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2392025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392036 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2392039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392062 */     // GIR_Coverage, 71445,
     /* 2392062 */     GIR_EraseRootFromParent_Done,
     /* 2392063 */   // Label 34289: @2392063
     /* 2392063 */   GIM_Try, /*On fail goto*//*Label 34290*/ GIMT_Encode4(2392125), // Rule ID 71446 //
     /* 2392068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2392071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2392087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392098 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2392101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392124 */     // GIR_Coverage, 71446,
     /* 2392124 */     GIR_EraseRootFromParent_Done,
     /* 2392125 */   // Label 34290: @2392125
     /* 2392125 */   GIM_Try, /*On fail goto*//*Label 34291*/ GIMT_Encode4(2392187), // Rule ID 54759 //
     /* 2392130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2392133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2392145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2392153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392160 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2392163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2392173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392186 */     // GIR_Coverage, 54759,
     /* 2392186 */     GIR_EraseRootFromParent_Done,
     /* 2392187 */   // Label 34291: @2392187
     /* 2392187 */   GIM_Try, /*On fail goto*//*Label 34292*/ GIMT_Encode4(2392249), // Rule ID 54760 //
     /* 2392192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2392195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2392207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2392215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392222 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2392225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2392235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392248 */     // GIR_Coverage, 54760,
     /* 2392248 */     GIR_EraseRootFromParent_Done,
     /* 2392249 */   // Label 34292: @2392249
     /* 2392249 */   GIM_Try, /*On fail goto*//*Label 34293*/ GIMT_Encode4(2392294), // Rule ID 54755 //
     /* 2392254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2392257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392269 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2392272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392293 */     // GIR_Coverage, 54755,
     /* 2392293 */     GIR_EraseRootFromParent_Done,
     /* 2392294 */   // Label 34293: @2392294
     /* 2392294 */   GIM_Try, /*On fail goto*//*Label 34294*/ GIMT_Encode4(2392339), // Rule ID 54756 //
     /* 2392299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2392302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392314 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2392317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392338 */     // GIR_Coverage, 54756,
     /* 2392338 */     GIR_EraseRootFromParent_Done,
     /* 2392339 */   // Label 34294: @2392339
     /* 2392339 */   GIM_Reject,
     /* 2392340 */ // Label 34282: @2392340
     /* 2392340 */ GIM_Reject,
     /* 2392341 */ // Label 34078: @2392341
     /* 2392341 */ GIM_Try, /*On fail goto*//*Label 34295*/ GIMT_Encode4(2393130),
     /* 2392346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2392349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2392352 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2392355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392359 */   GIM_Try, /*On fail goto*//*Label 34296*/ GIMT_Encode4(2392436), // Rule ID 55019 //
     /* 2392364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2392379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392396 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2392400 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392405 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392407 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2392410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392435 */     // GIR_Coverage, 55019,
     /* 2392435 */     GIR_EraseRootFromParent_Done,
     /* 2392436 */   // Label 34296: @2392436
     /* 2392436 */   GIM_Try, /*On fail goto*//*Label 34297*/ GIMT_Encode4(2392513), // Rule ID 55020 //
     /* 2392441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2392456 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2392477 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392482 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392484 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2392487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392512 */     // GIR_Coverage, 55020,
     /* 2392512 */     GIR_EraseRootFromParent_Done,
     /* 2392513 */   // Label 34297: @2392513
     /* 2392513 */   GIM_Try, /*On fail goto*//*Label 34298*/ GIMT_Encode4(2392590), // Rule ID 71665 //
     /* 2392518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2392537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392542 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392546 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392550 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2392554 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392559 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392561 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2392564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392589 */     // GIR_Coverage, 71665,
     /* 2392589 */     GIR_EraseRootFromParent_Done,
     /* 2392590 */   // Label 34298: @2392590
     /* 2392590 */   GIM_Try, /*On fail goto*//*Label 34299*/ GIMT_Encode4(2392667), // Rule ID 71666 //
     /* 2392595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2392614 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2392623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2392631 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392636 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2392638 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2392641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2392653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392666 */     // GIR_Coverage, 71666,
     /* 2392666 */     GIR_EraseRootFromParent_Done,
     /* 2392667 */   // Label 34299: @2392667
     /* 2392667 */   GIM_Try, /*On fail goto*//*Label 34300*/ GIMT_Encode4(2392729), // Rule ID 55023 //
     /* 2392672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2392687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392702 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2392705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392728 */     // GIR_Coverage, 55023,
     /* 2392728 */     GIR_EraseRootFromParent_Done,
     /* 2392729 */   // Label 34300: @2392729
     /* 2392729 */   GIM_Try, /*On fail goto*//*Label 34301*/ GIMT_Encode4(2392791), // Rule ID 55024 //
     /* 2392734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2392741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2392749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392764 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2392767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392790 */     // GIR_Coverage, 55024,
     /* 2392790 */     GIR_EraseRootFromParent_Done,
     /* 2392791 */   // Label 34301: @2392791
     /* 2392791 */   GIM_Try, /*On fail goto*//*Label 34302*/ GIMT_Encode4(2392853), // Rule ID 71669 //
     /* 2392796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2392815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392826 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2392829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392852 */     // GIR_Coverage, 71669,
     /* 2392852 */     GIR_EraseRootFromParent_Done,
     /* 2392853 */   // Label 34302: @2392853
     /* 2392853 */   GIM_Try, /*On fail goto*//*Label 34303*/ GIMT_Encode4(2392915), // Rule ID 71670 //
     /* 2392858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2392869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2392877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392888 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2392888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2392891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2392895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2392899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2392901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392914 */     // GIR_Coverage, 71670,
     /* 2392914 */     GIR_EraseRootFromParent_Done,
     /* 2392915 */   // Label 34303: @2392915
     /* 2392915 */   GIM_Try, /*On fail goto*//*Label 34304*/ GIMT_Encode4(2392977), // Rule ID 55015 //
     /* 2392920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2392935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2392939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2392943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2392950 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2392950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2392953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2392957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2392963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2392975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392976 */     // GIR_Coverage, 55015,
     /* 2392976 */     GIR_EraseRootFromParent_Done,
     /* 2392977 */   // Label 34304: @2392977
     /* 2392977 */   GIM_Try, /*On fail goto*//*Label 34305*/ GIMT_Encode4(2393039), // Rule ID 55016 //
     /* 2392982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2392997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2393005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393012 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2393015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2393025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393038 */     // GIR_Coverage, 55016,
     /* 2393038 */     GIR_EraseRootFromParent_Done,
     /* 2393039 */   // Label 34305: @2393039
     /* 2393039 */   GIM_Try, /*On fail goto*//*Label 34306*/ GIMT_Encode4(2393084), // Rule ID 55011 //
     /* 2393044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2393047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393059 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2393062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393083 */     // GIR_Coverage, 55011,
     /* 2393083 */     GIR_EraseRootFromParent_Done,
     /* 2393084 */   // Label 34306: @2393084
     /* 2393084 */   GIM_Try, /*On fail goto*//*Label 34307*/ GIMT_Encode4(2393129), // Rule ID 55012 //
     /* 2393089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2393092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393104 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2393107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393128 */     // GIR_Coverage, 55012,
     /* 2393128 */     GIR_EraseRootFromParent_Done,
     /* 2393129 */   // Label 34307: @2393129
     /* 2393129 */   GIM_Reject,
     /* 2393130 */ // Label 34295: @2393130
     /* 2393130 */ GIM_Reject,
     /* 2393131 */ // Label 34079: @2393131
     /* 2393131 */ GIM_Try, /*On fail goto*//*Label 34308*/ GIMT_Encode4(2393920),
     /* 2393136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2393139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2393142 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2393145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393149 */   GIM_Try, /*On fail goto*//*Label 34309*/ GIMT_Encode4(2393226), // Rule ID 55275 //
     /* 2393154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2393169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393186 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2393190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393195 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393197 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2393200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393225 */     // GIR_Coverage, 55275,
     /* 2393225 */     GIR_EraseRootFromParent_Done,
     /* 2393226 */   // Label 34309: @2393226
     /* 2393226 */   GIM_Try, /*On fail goto*//*Label 34310*/ GIMT_Encode4(2393303), // Rule ID 55276 //
     /* 2393231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2393246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393255 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393259 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393263 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2393267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393272 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393274 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2393277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393302 */     // GIR_Coverage, 55276,
     /* 2393302 */     GIR_EraseRootFromParent_Done,
     /* 2393303 */   // Label 34310: @2393303
     /* 2393303 */   GIM_Try, /*On fail goto*//*Label 34311*/ GIMT_Encode4(2393380), // Rule ID 71889 //
     /* 2393308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2393327 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393340 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2393344 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393349 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393351 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2393354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393379 */     // GIR_Coverage, 71889,
     /* 2393379 */     GIR_EraseRootFromParent_Done,
     /* 2393380 */   // Label 34311: @2393380
     /* 2393380 */   GIM_Try, /*On fail goto*//*Label 34312*/ GIMT_Encode4(2393457), // Rule ID 71890 //
     /* 2393385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2393404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393409 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393413 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393417 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2393421 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393426 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393428 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2393431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2393443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393456 */     // GIR_Coverage, 71890,
     /* 2393456 */     GIR_EraseRootFromParent_Done,
     /* 2393457 */   // Label 34312: @2393457
     /* 2393457 */   GIM_Try, /*On fail goto*//*Label 34313*/ GIMT_Encode4(2393519), // Rule ID 55279 //
     /* 2393462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2393477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393492 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2393495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393518 */     // GIR_Coverage, 55279,
     /* 2393518 */     GIR_EraseRootFromParent_Done,
     /* 2393519 */   // Label 34313: @2393519
     /* 2393519 */   GIM_Try, /*On fail goto*//*Label 34314*/ GIMT_Encode4(2393581), // Rule ID 55280 //
     /* 2393524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2393539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393554 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2393557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393580 */     // GIR_Coverage, 55280,
     /* 2393580 */     GIR_EraseRootFromParent_Done,
     /* 2393581 */   // Label 34314: @2393581
     /* 2393581 */   GIM_Try, /*On fail goto*//*Label 34315*/ GIMT_Encode4(2393643), // Rule ID 71893 //
     /* 2393586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2393605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393616 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2393619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393642 */     // GIR_Coverage, 71893,
     /* 2393642 */     GIR_EraseRootFromParent_Done,
     /* 2393643 */   // Label 34315: @2393643
     /* 2393643 */   GIM_Try, /*On fail goto*//*Label 34316*/ GIMT_Encode4(2393705), // Rule ID 71894 //
     /* 2393648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2393659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2393667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393678 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2393681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2393685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393704 */     // GIR_Coverage, 71894,
     /* 2393704 */     GIR_EraseRootFromParent_Done,
     /* 2393705 */   // Label 34316: @2393705
     /* 2393705 */   GIM_Try, /*On fail goto*//*Label 34317*/ GIMT_Encode4(2393767), // Rule ID 55271 //
     /* 2393710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2393725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2393733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393740 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2393743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2393753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393766 */     // GIR_Coverage, 55271,
     /* 2393766 */     GIR_EraseRootFromParent_Done,
     /* 2393767 */   // Label 34317: @2393767
     /* 2393767 */   GIM_Try, /*On fail goto*//*Label 34318*/ GIMT_Encode4(2393829), // Rule ID 55272 //
     /* 2393772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2393787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2393795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2393802 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2393805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2393815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393828 */     // GIR_Coverage, 55272,
     /* 2393828 */     GIR_EraseRootFromParent_Done,
     /* 2393829 */   // Label 34318: @2393829
     /* 2393829 */   GIM_Try, /*On fail goto*//*Label 34319*/ GIMT_Encode4(2393874), // Rule ID 55267 //
     /* 2393834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393849 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2393852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393873 */     // GIR_Coverage, 55267,
     /* 2393873 */     GIR_EraseRootFromParent_Done,
     /* 2393874 */   // Label 34319: @2393874
     /* 2393874 */   GIM_Try, /*On fail goto*//*Label 34320*/ GIMT_Encode4(2393919), // Rule ID 55268 //
     /* 2393879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393894 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2393894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2393897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2393905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2393917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393918 */     // GIR_Coverage, 55268,
     /* 2393918 */     GIR_EraseRootFromParent_Done,
     /* 2393919 */   // Label 34320: @2393919
     /* 2393919 */   GIM_Reject,
     /* 2393920 */ // Label 34308: @2393920
     /* 2393920 */ GIM_Reject,
     /* 2393921 */ // Label 34080: @2393921
     /* 2393921 */ GIM_Try, /*On fail goto*//*Label 34321*/ GIMT_Encode4(2394710),
     /* 2393926 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2393929 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2393932 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2393935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393939 */   GIM_Try, /*On fail goto*//*Label 34322*/ GIMT_Encode4(2394016), // Rule ID 54827 //
     /* 2393944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2393951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393955 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2393959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393968 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2393972 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2393976 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2393980 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393985 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2393987 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2393987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2393990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2393994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2393998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394015 */     // GIR_Coverage, 54827,
     /* 2394015 */     GIR_EraseRootFromParent_Done,
     /* 2394016 */   // Label 34322: @2394016
     /* 2394016 */   GIM_Try, /*On fail goto*//*Label 34323*/ GIMT_Encode4(2394093), // Rule ID 54828 //
     /* 2394021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2394036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394045 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394049 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394053 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2394057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394062 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394064 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2394067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394092 */     // GIR_Coverage, 54828,
     /* 2394092 */     GIR_EraseRootFromParent_Done,
     /* 2394093 */   // Label 34323: @2394093
     /* 2394093 */   GIM_Try, /*On fail goto*//*Label 34324*/ GIMT_Encode4(2394170), // Rule ID 71497 //
     /* 2394098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2394117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394130 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2394134 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394139 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394141 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2394144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394169 */     // GIR_Coverage, 71497,
     /* 2394169 */     GIR_EraseRootFromParent_Done,
     /* 2394170 */   // Label 34324: @2394170
     /* 2394170 */   GIM_Try, /*On fail goto*//*Label 34325*/ GIMT_Encode4(2394247), // Rule ID 71498 //
     /* 2394175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2394194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2394211 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394216 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394218 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2394221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394246 */     // GIR_Coverage, 71498,
     /* 2394246 */     GIR_EraseRootFromParent_Done,
     /* 2394247 */   // Label 34325: @2394247
     /* 2394247 */   GIM_Try, /*On fail goto*//*Label 34326*/ GIMT_Encode4(2394309), // Rule ID 54831 //
     /* 2394252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2394267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394282 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2394285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394308 */     // GIR_Coverage, 54831,
     /* 2394308 */     GIR_EraseRootFromParent_Done,
     /* 2394309 */   // Label 34326: @2394309
     /* 2394309 */   GIM_Try, /*On fail goto*//*Label 34327*/ GIMT_Encode4(2394371), // Rule ID 54832 //
     /* 2394314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2394329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394344 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2394347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394370 */     // GIR_Coverage, 54832,
     /* 2394370 */     GIR_EraseRootFromParent_Done,
     /* 2394371 */   // Label 34327: @2394371
     /* 2394371 */   GIM_Try, /*On fail goto*//*Label 34328*/ GIMT_Encode4(2394433), // Rule ID 71501 //
     /* 2394376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2394395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394406 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2394409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394432 */     // GIR_Coverage, 71501,
     /* 2394432 */     GIR_EraseRootFromParent_Done,
     /* 2394433 */   // Label 34328: @2394433
     /* 2394433 */   GIM_Try, /*On fail goto*//*Label 34329*/ GIMT_Encode4(2394495), // Rule ID 71502 //
     /* 2394438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2394457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394468 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2394471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394494 */     // GIR_Coverage, 71502,
     /* 2394494 */     GIR_EraseRootFromParent_Done,
     /* 2394495 */   // Label 34329: @2394495
     /* 2394495 */   GIM_Try, /*On fail goto*//*Label 34330*/ GIMT_Encode4(2394557), // Rule ID 54823 //
     /* 2394500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2394515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2394523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394530 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2394533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2394543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394556 */     // GIR_Coverage, 54823,
     /* 2394556 */     GIR_EraseRootFromParent_Done,
     /* 2394557 */   // Label 34330: @2394557
     /* 2394557 */   GIM_Try, /*On fail goto*//*Label 34331*/ GIMT_Encode4(2394619), // Rule ID 54824 //
     /* 2394562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2394577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2394585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394592 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2394595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2394605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394618 */     // GIR_Coverage, 54824,
     /* 2394618 */     GIR_EraseRootFromParent_Done,
     /* 2394619 */   // Label 34331: @2394619
     /* 2394619 */   GIM_Try, /*On fail goto*//*Label 34332*/ GIMT_Encode4(2394664), // Rule ID 54819 //
     /* 2394624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394639 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2394642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394663 */     // GIR_Coverage, 54819,
     /* 2394663 */     GIR_EraseRootFromParent_Done,
     /* 2394664 */   // Label 34332: @2394664
     /* 2394664 */   GIM_Try, /*On fail goto*//*Label 34333*/ GIMT_Encode4(2394709), // Rule ID 54820 //
     /* 2394669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394684 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2394687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2394695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394708 */     // GIR_Coverage, 54820,
     /* 2394708 */     GIR_EraseRootFromParent_Done,
     /* 2394709 */   // Label 34333: @2394709
     /* 2394709 */   GIM_Reject,
     /* 2394710 */ // Label 34321: @2394710
     /* 2394710 */ GIM_Reject,
     /* 2394711 */ // Label 34081: @2394711
     /* 2394711 */ GIM_Try, /*On fail goto*//*Label 34334*/ GIMT_Encode4(2395500),
     /* 2394716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2394719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2394722 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2394725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394729 */   GIM_Try, /*On fail goto*//*Label 34335*/ GIMT_Encode4(2394806), // Rule ID 55083 //
     /* 2394734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2394749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2394770 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394777 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2394780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394805 */     // GIR_Coverage, 55083,
     /* 2394805 */     GIR_EraseRootFromParent_Done,
     /* 2394806 */   // Label 34335: @2394806
     /* 2394806 */   GIM_Try, /*On fail goto*//*Label 34336*/ GIMT_Encode4(2394883), // Rule ID 55084 //
     /* 2394811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2394818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2394826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394843 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2394847 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394852 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394854 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2394854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2394857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2394861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394882 */     // GIR_Coverage, 55084,
     /* 2394882 */     GIR_EraseRootFromParent_Done,
     /* 2394883 */   // Label 34336: @2394883
     /* 2394883 */   GIM_Try, /*On fail goto*//*Label 34337*/ GIMT_Encode4(2394960), // Rule ID 71721 //
     /* 2394888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2394907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394912 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394916 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394920 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2394924 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394929 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2394931 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2394931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2394934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2394938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2394942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2394946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2394958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394959 */     // GIR_Coverage, 71721,
     /* 2394959 */     GIR_EraseRootFromParent_Done,
     /* 2394960 */   // Label 34337: @2394960
     /* 2394960 */   GIM_Try, /*On fail goto*//*Label 34338*/ GIMT_Encode4(2395037), // Rule ID 71722 //
     /* 2394965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2394984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2394993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2394997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2395001 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395006 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395008 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2395011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395036 */     // GIR_Coverage, 71722,
     /* 2395036 */     GIR_EraseRootFromParent_Done,
     /* 2395037 */   // Label 34338: @2395037
     /* 2395037 */   GIM_Try, /*On fail goto*//*Label 34339*/ GIMT_Encode4(2395099), // Rule ID 55087 //
     /* 2395042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2395045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2395057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395072 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2395075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395098 */     // GIR_Coverage, 55087,
     /* 2395098 */     GIR_EraseRootFromParent_Done,
     /* 2395099 */   // Label 34339: @2395099
     /* 2395099 */   GIM_Try, /*On fail goto*//*Label 34340*/ GIMT_Encode4(2395161), // Rule ID 55088 //
     /* 2395104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2395107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2395119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395134 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2395137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395160 */     // GIR_Coverage, 55088,
     /* 2395160 */     GIR_EraseRootFromParent_Done,
     /* 2395161 */   // Label 34340: @2395161
     /* 2395161 */   GIM_Try, /*On fail goto*//*Label 34341*/ GIMT_Encode4(2395223), // Rule ID 71725 //
     /* 2395166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2395169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2395185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395196 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2395199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395222 */     // GIR_Coverage, 71725,
     /* 2395222 */     GIR_EraseRootFromParent_Done,
     /* 2395223 */   // Label 34341: @2395223
     /* 2395223 */   GIM_Try, /*On fail goto*//*Label 34342*/ GIMT_Encode4(2395285), // Rule ID 71726 //
     /* 2395228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2395231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2395247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395258 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2395261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395284 */     // GIR_Coverage, 71726,
     /* 2395284 */     GIR_EraseRootFromParent_Done,
     /* 2395285 */   // Label 34342: @2395285
     /* 2395285 */   GIM_Try, /*On fail goto*//*Label 34343*/ GIMT_Encode4(2395347), // Rule ID 55079 //
     /* 2395290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2395293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2395305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2395313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395320 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2395323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2395333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395346 */     // GIR_Coverage, 55079,
     /* 2395346 */     GIR_EraseRootFromParent_Done,
     /* 2395347 */   // Label 34343: @2395347
     /* 2395347 */   GIM_Try, /*On fail goto*//*Label 34344*/ GIMT_Encode4(2395409), // Rule ID 55080 //
     /* 2395352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2395355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2395367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2395375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395382 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2395385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2395395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395408 */     // GIR_Coverage, 55080,
     /* 2395408 */     GIR_EraseRootFromParent_Done,
     /* 2395409 */   // Label 34344: @2395409
     /* 2395409 */   GIM_Try, /*On fail goto*//*Label 34345*/ GIMT_Encode4(2395454), // Rule ID 55075 //
     /* 2395414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2395417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395429 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2395432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395453 */     // GIR_Coverage, 55075,
     /* 2395453 */     GIR_EraseRootFromParent_Done,
     /* 2395454 */   // Label 34345: @2395454
     /* 2395454 */   GIM_Try, /*On fail goto*//*Label 34346*/ GIMT_Encode4(2395499), // Rule ID 55076 //
     /* 2395459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2395462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395474 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2395477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395498 */     // GIR_Coverage, 55076,
     /* 2395498 */     GIR_EraseRootFromParent_Done,
     /* 2395499 */   // Label 34346: @2395499
     /* 2395499 */   GIM_Reject,
     /* 2395500 */ // Label 34334: @2395500
     /* 2395500 */ GIM_Reject,
     /* 2395501 */ // Label 34082: @2395501
     /* 2395501 */ GIM_Try, /*On fail goto*//*Label 34347*/ GIMT_Encode4(2396290),
     /* 2395506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2395509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2395512 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2395515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395519 */   GIM_Try, /*On fail goto*//*Label 34348*/ GIMT_Encode4(2395596), // Rule ID 54891 //
     /* 2395524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2395539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395556 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2395560 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395565 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395567 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2395570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395595 */     // GIR_Coverage, 54891,
     /* 2395595 */     GIR_EraseRootFromParent_Done,
     /* 2395596 */   // Label 34348: @2395596
     /* 2395596 */   GIM_Try, /*On fail goto*//*Label 34349*/ GIMT_Encode4(2395673), // Rule ID 54892 //
     /* 2395601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2395616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395625 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395629 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395633 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2395637 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395642 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395644 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2395647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395672 */     // GIR_Coverage, 54892,
     /* 2395672 */     GIR_EraseRootFromParent_Done,
     /* 2395673 */   // Label 34349: @2395673
     /* 2395673 */   GIM_Try, /*On fail goto*//*Label 34350*/ GIMT_Encode4(2395750), // Rule ID 71553 //
     /* 2395678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2395697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395702 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395706 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395710 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2395714 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395719 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395721 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2395724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395749 */     // GIR_Coverage, 71553,
     /* 2395749 */     GIR_EraseRootFromParent_Done,
     /* 2395750 */   // Label 34350: @2395750
     /* 2395750 */   GIM_Try, /*On fail goto*//*Label 34351*/ GIMT_Encode4(2395827), // Rule ID 71554 //
     /* 2395755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2395774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2395783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2395791 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395796 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2395798 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2395801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2395813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395826 */     // GIR_Coverage, 71554,
     /* 2395826 */     GIR_EraseRootFromParent_Done,
     /* 2395827 */   // Label 34351: @2395827
     /* 2395827 */   GIM_Try, /*On fail goto*//*Label 34352*/ GIMT_Encode4(2395889), // Rule ID 54895 //
     /* 2395832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2395847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395862 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2395865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395888 */     // GIR_Coverage, 54895,
     /* 2395888 */     GIR_EraseRootFromParent_Done,
     /* 2395889 */   // Label 34352: @2395889
     /* 2395889 */   GIM_Try, /*On fail goto*//*Label 34353*/ GIMT_Encode4(2395951), // Rule ID 54896 //
     /* 2395894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2395901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2395909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395924 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2395924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2395927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2395931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2395949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395950 */     // GIR_Coverage, 54896,
     /* 2395950 */     GIR_EraseRootFromParent_Done,
     /* 2395951 */   // Label 34353: @2395951
     /* 2395951 */   GIM_Try, /*On fail goto*//*Label 34354*/ GIMT_Encode4(2396013), // Rule ID 71557 //
     /* 2395956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2395971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2395975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395986 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2395986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2395989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2395993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2395997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2395999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396012 */     // GIR_Coverage, 71557,
     /* 2396012 */     GIR_EraseRootFromParent_Done,
     /* 2396013 */   // Label 34354: @2396013
     /* 2396013 */   GIM_Try, /*On fail goto*//*Label 34355*/ GIMT_Encode4(2396075), // Rule ID 71558 //
     /* 2396018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2396029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2396037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396048 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2396051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2396055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2396059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396074 */     // GIR_Coverage, 71558,
     /* 2396074 */     GIR_EraseRootFromParent_Done,
     /* 2396075 */   // Label 34355: @2396075
     /* 2396075 */   GIM_Try, /*On fail goto*//*Label 34356*/ GIMT_Encode4(2396137), // Rule ID 54887 //
     /* 2396080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2396103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396110 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2396113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2396123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396136 */     // GIR_Coverage, 54887,
     /* 2396136 */     GIR_EraseRootFromParent_Done,
     /* 2396137 */   // Label 34356: @2396137
     /* 2396137 */   GIM_Try, /*On fail goto*//*Label 34357*/ GIMT_Encode4(2396199), // Rule ID 54888 //
     /* 2396142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2396157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2396161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2396165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2396172 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2396175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2396185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396198 */     // GIR_Coverage, 54888,
     /* 2396198 */     GIR_EraseRootFromParent_Done,
     /* 2396199 */   // Label 34357: @2396199
     /* 2396199 */   GIM_Try, /*On fail goto*//*Label 34358*/ GIMT_Encode4(2396244), // Rule ID 54883 //
     /* 2396204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396219 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2396219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2396222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396243 */     // GIR_Coverage, 54883,
     /* 2396243 */     GIR_EraseRootFromParent_Done,
     /* 2396244 */   // Label 34358: @2396244
     /* 2396244 */   GIM_Try, /*On fail goto*//*Label 34359*/ GIMT_Encode4(2396289), // Rule ID 54884 //
     /* 2396249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396264 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2396264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2396267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2396271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2396275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2396287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396288 */     // GIR_Coverage, 54884,
     /* 2396288 */     GIR_EraseRootFromParent_Done,
     /* 2396289 */   // Label 34359: @2396289
     /* 2396289 */   GIM_Reject,
     /* 2396290 */ // Label 34347: @2396290
     /* 2396290 */ GIM_Reject,
     /* 2396291 */ // Label 34083: @2396291
     /* 2396291 */ GIM_Reject,
     /* 2396292 */ // Label 99: @2396292
     /* 2396292 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34378*/ GIMT_Encode4(2398467),
     /* 2396303 */ /*GILLT_s16*//*Label 34360*/ GIMT_Encode4(2396423),
     /* 2396307 */ /*GILLT_s32*//*Label 34361*/ GIMT_Encode4(2396545),
     /* 2396311 */ /*GILLT_s64*//*Label 34362*/ GIMT_Encode4(2396667), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2396323 */ /*GILLT_nxv1s16*//*Label 34363*/ GIMT_Encode4(2396817),
     /* 2396327 */ /*GILLT_nxv1s32*//*Label 34364*/ GIMT_Encode4(2396927),
     /* 2396331 */ /*GILLT_nxv1s64*//*Label 34365*/ GIMT_Encode4(2397037), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2396343 */ /*GILLT_nxv2s16*//*Label 34366*/ GIMT_Encode4(2397147),
     /* 2396347 */ /*GILLT_nxv2s32*//*Label 34367*/ GIMT_Encode4(2397257),
     /* 2396351 */ /*GILLT_nxv2s64*//*Label 34368*/ GIMT_Encode4(2397367), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2396363 */ /*GILLT_nxv4s16*//*Label 34369*/ GIMT_Encode4(2397477),
     /* 2396367 */ /*GILLT_nxv4s32*//*Label 34370*/ GIMT_Encode4(2397587),
     /* 2396371 */ /*GILLT_nxv4s64*//*Label 34371*/ GIMT_Encode4(2397697), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2396383 */ /*GILLT_nxv8s16*//*Label 34372*/ GIMT_Encode4(2397807),
     /* 2396387 */ /*GILLT_nxv8s32*//*Label 34373*/ GIMT_Encode4(2397917),
     /* 2396391 */ /*GILLT_nxv8s64*//*Label 34374*/ GIMT_Encode4(2398027), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2396403 */ /*GILLT_nxv16s16*//*Label 34375*/ GIMT_Encode4(2398137),
     /* 2396407 */ /*GILLT_nxv16s32*//*Label 34376*/ GIMT_Encode4(2398247), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2396419 */ /*GILLT_nxv32s16*//*Label 34377*/ GIMT_Encode4(2398357),
     /* 2396423 */ // Label 34360: @2396423
     /* 2396423 */ GIM_Try, /*On fail goto*//*Label 34379*/ GIMT_Encode4(2396544),
     /* 2396428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2396431 */   GIM_Try, /*On fail goto*//*Label 34380*/ GIMT_Encode4(2396459), // Rule ID 1847 //
     /* 2396436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2396439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396447 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2396447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2396450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396458 */     // GIR_Coverage, 1847,
     /* 2396458 */     GIR_EraseRootFromParent_Done,
     /* 2396459 */   // Label 34380: @2396459
     /* 2396459 */   GIM_Try, /*On fail goto*//*Label 34381*/ GIMT_Encode4(2396487), // Rule ID 1848 //
     /* 2396464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2396467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2396475 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2396475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2396478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396486 */     // GIR_Coverage, 1848,
     /* 2396486 */     GIR_EraseRootFromParent_Done,
     /* 2396487 */   // Label 34381: @2396487
     /* 2396487 */   GIM_Try, /*On fail goto*//*Label 34382*/ GIMT_Encode4(2396515), // Rule ID 1880 //
     /* 2396492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2396495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396503 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2396503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2396506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396514 */     // GIR_Coverage, 1880,
     /* 2396514 */     GIR_EraseRootFromParent_Done,
     /* 2396515 */   // Label 34382: @2396515
     /* 2396515 */   GIM_Try, /*On fail goto*//*Label 34383*/ GIMT_Encode4(2396543), // Rule ID 1881 //
     /* 2396520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2396523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2396531 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2396531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2396534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396542 */     // GIR_Coverage, 1881,
     /* 2396542 */     GIR_EraseRootFromParent_Done,
     /* 2396543 */   // Label 34383: @2396543
     /* 2396543 */   GIM_Reject,
     /* 2396544 */ // Label 34379: @2396544
     /* 2396544 */ GIM_Reject,
     /* 2396545 */ // Label 34361: @2396545
     /* 2396545 */ GIM_Try, /*On fail goto*//*Label 34384*/ GIMT_Encode4(2396666),
     /* 2396550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396553 */   GIM_Try, /*On fail goto*//*Label 34385*/ GIMT_Encode4(2396581), // Rule ID 1138 //
     /* 2396558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2396561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396569 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2396569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2396572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396580 */     // GIR_Coverage, 1138,
     /* 2396580 */     GIR_EraseRootFromParent_Done,
     /* 2396581 */   // Label 34385: @2396581
     /* 2396581 */   GIM_Try, /*On fail goto*//*Label 34386*/ GIMT_Encode4(2396609), // Rule ID 1139 //
     /* 2396586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2396589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2396597 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2396597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2396600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396608 */     // GIR_Coverage, 1139,
     /* 2396608 */     GIR_EraseRootFromParent_Done,
     /* 2396609 */   // Label 34386: @2396609
     /* 2396609 */   GIM_Try, /*On fail goto*//*Label 34387*/ GIMT_Encode4(2396637), // Rule ID 1146 //
     /* 2396614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2396617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396625 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2396625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2396628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396636 */     // GIR_Coverage, 1146,
     /* 2396636 */     GIR_EraseRootFromParent_Done,
     /* 2396637 */   // Label 34387: @2396637
     /* 2396637 */   GIM_Try, /*On fail goto*//*Label 34388*/ GIMT_Encode4(2396665), // Rule ID 1147 //
     /* 2396642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2396645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2396653 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2396653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2396656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396664 */     // GIR_Coverage, 1147,
     /* 2396664 */     GIR_EraseRootFromParent_Done,
     /* 2396665 */   // Label 34388: @2396665
     /* 2396665 */   GIM_Reject,
     /* 2396666 */ // Label 34384: @2396666
     /* 2396666 */ GIM_Reject,
     /* 2396667 */ // Label 34362: @2396667
     /* 2396667 */ GIM_Try, /*On fail goto*//*Label 34389*/ GIMT_Encode4(2396816),
     /* 2396672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2396675 */   GIM_Try, /*On fail goto*//*Label 34390*/ GIMT_Encode4(2396703), // Rule ID 1481 //
     /* 2396680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2396683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2396687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2396691 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2396691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2396694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396702 */     // GIR_Coverage, 1481,
     /* 2396702 */     GIR_EraseRootFromParent_Done,
     /* 2396703 */   // Label 34390: @2396703
     /* 2396703 */   GIM_Try, /*On fail goto*//*Label 34391*/ GIMT_Encode4(2396731), // Rule ID 1482 //
     /* 2396708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2396711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2396715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2396719 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2396719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2396722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396730 */     // GIR_Coverage, 1482,
     /* 2396730 */     GIR_EraseRootFromParent_Done,
     /* 2396731 */   // Label 34391: @2396731
     /* 2396731 */   GIM_Try, /*On fail goto*//*Label 34392*/ GIMT_Encode4(2396759), // Rule ID 1516 //
     /* 2396736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2396739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2396743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2396747 */     // (strict_fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2396747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2396750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396758 */     // GIR_Coverage, 1516,
     /* 2396758 */     GIR_EraseRootFromParent_Done,
     /* 2396759 */   // Label 34392: @2396759
     /* 2396759 */   GIM_Try, /*On fail goto*//*Label 34393*/ GIMT_Encode4(2396787), // Rule ID 1536 //
     /* 2396764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2396767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2396771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2396775 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2396775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2396778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396786 */     // GIR_Coverage, 1536,
     /* 2396786 */     GIR_EraseRootFromParent_Done,
     /* 2396787 */   // Label 34393: @2396787
     /* 2396787 */   GIM_Try, /*On fail goto*//*Label 34394*/ GIMT_Encode4(2396815), // Rule ID 1537 //
     /* 2396792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2396795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2396799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2396803 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2396803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2396806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396814 */     // GIR_Coverage, 1537,
     /* 2396814 */     GIR_EraseRootFromParent_Done,
     /* 2396815 */   // Label 34394: @2396815
     /* 2396815 */   GIM_Reject,
     /* 2396816 */ // Label 34389: @2396816
     /* 2396816 */ GIM_Reject,
     /* 2396817 */ // Label 34363: @2396817
     /* 2396817 */ GIM_Try, /*On fail goto*//*Label 34395*/ GIMT_Encode4(2396926),
     /* 2396822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2396825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396833 */   GIM_Try, /*On fail goto*//*Label 34396*/ GIMT_Encode4(2396879), // Rule ID 55779 //
     /* 2396838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396841 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2396844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2396858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2396865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396878 */     // GIR_Coverage, 55779,
     /* 2396878 */     GIR_EraseRootFromParent_Done,
     /* 2396879 */   // Label 34396: @2396879
     /* 2396879 */   GIM_Try, /*On fail goto*//*Label 34397*/ GIMT_Encode4(2396925), // Rule ID 55780 //
     /* 2396884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396887 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2396890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2396904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2396911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396924 */     // GIR_Coverage, 55780,
     /* 2396924 */     GIR_EraseRootFromParent_Done,
     /* 2396925 */   // Label 34397: @2396925
     /* 2396925 */   GIM_Reject,
     /* 2396926 */ // Label 34395: @2396926
     /* 2396926 */ GIM_Reject,
     /* 2396927 */ // Label 34364: @2396927
     /* 2396927 */ GIM_Try, /*On fail goto*//*Label 34398*/ GIMT_Encode4(2397036),
     /* 2396932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2396935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396939 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396943 */   GIM_Try, /*On fail goto*//*Label 34399*/ GIMT_Encode4(2396989), // Rule ID 55819 //
     /* 2396948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396951 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2396954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2396968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2396975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396988 */     // GIR_Coverage, 55819,
     /* 2396988 */     GIR_EraseRootFromParent_Done,
     /* 2396989 */   // Label 34399: @2396989
     /* 2396989 */   GIM_Try, /*On fail goto*//*Label 34400*/ GIMT_Encode4(2397035), // Rule ID 55820 //
     /* 2396994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396997 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2397000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2397014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397034 */     // GIR_Coverage, 55820,
     /* 2397034 */     GIR_EraseRootFromParent_Done,
     /* 2397035 */   // Label 34400: @2397035
     /* 2397035 */   GIM_Reject,
     /* 2397036 */ // Label 34398: @2397036
     /* 2397036 */ GIM_Reject,
     /* 2397037 */ // Label 34365: @2397037
     /* 2397037 */ GIM_Try, /*On fail goto*//*Label 34401*/ GIMT_Encode4(2397146),
     /* 2397042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2397045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397053 */   GIM_Try, /*On fail goto*//*Label 34402*/ GIMT_Encode4(2397099), // Rule ID 55879 //
     /* 2397058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2397061 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2397064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397073 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2397078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397098 */     // GIR_Coverage, 55879,
     /* 2397098 */     GIR_EraseRootFromParent_Done,
     /* 2397099 */   // Label 34402: @2397099
     /* 2397099 */   GIM_Try, /*On fail goto*//*Label 34403*/ GIMT_Encode4(2397145), // Rule ID 55880 //
     /* 2397104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2397107 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2397110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2397124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397144 */     // GIR_Coverage, 55880,
     /* 2397144 */     GIR_EraseRootFromParent_Done,
     /* 2397145 */   // Label 34403: @2397145
     /* 2397145 */   GIM_Reject,
     /* 2397146 */ // Label 34401: @2397146
     /* 2397146 */ GIM_Reject,
     /* 2397147 */ // Label 34366: @2397147
     /* 2397147 */ GIM_Try, /*On fail goto*//*Label 34404*/ GIMT_Encode4(2397256),
     /* 2397152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2397155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397163 */   GIM_Try, /*On fail goto*//*Label 34405*/ GIMT_Encode4(2397209), // Rule ID 55799 //
     /* 2397168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397171 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2397174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2397188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397208 */     // GIR_Coverage, 55799,
     /* 2397208 */     GIR_EraseRootFromParent_Done,
     /* 2397209 */   // Label 34405: @2397209
     /* 2397209 */   GIM_Try, /*On fail goto*//*Label 34406*/ GIMT_Encode4(2397255), // Rule ID 55800 //
     /* 2397214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397217 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2397220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2397234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397254 */     // GIR_Coverage, 55800,
     /* 2397254 */     GIR_EraseRootFromParent_Done,
     /* 2397255 */   // Label 34406: @2397255
     /* 2397255 */   GIM_Reject,
     /* 2397256 */ // Label 34404: @2397256
     /* 2397256 */ GIM_Reject,
     /* 2397257 */ // Label 34367: @2397257
     /* 2397257 */ GIM_Try, /*On fail goto*//*Label 34407*/ GIMT_Encode4(2397366),
     /* 2397262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2397265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397269 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397273 */   GIM_Try, /*On fail goto*//*Label 34408*/ GIMT_Encode4(2397319), // Rule ID 55859 //
     /* 2397278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2397281 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2397284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2397298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397318 */     // GIR_Coverage, 55859,
     /* 2397318 */     GIR_EraseRootFromParent_Done,
     /* 2397319 */   // Label 34408: @2397319
     /* 2397319 */   GIM_Try, /*On fail goto*//*Label 34409*/ GIMT_Encode4(2397365), // Rule ID 55860 //
     /* 2397324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397327 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2397330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2397344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397364 */     // GIR_Coverage, 55860,
     /* 2397364 */     GIR_EraseRootFromParent_Done,
     /* 2397365 */   // Label 34409: @2397365
     /* 2397365 */   GIM_Reject,
     /* 2397366 */ // Label 34407: @2397366
     /* 2397366 */ GIM_Reject,
     /* 2397367 */ // Label 34368: @2397367
     /* 2397367 */ GIM_Try, /*On fail goto*//*Label 34410*/ GIMT_Encode4(2397476),
     /* 2397372 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2397375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2397379 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2397383 */   GIM_Try, /*On fail goto*//*Label 34411*/ GIMT_Encode4(2397429), // Rule ID 56019 //
     /* 2397388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2397391 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2397394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2397408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397428 */     // GIR_Coverage, 56019,
     /* 2397428 */     GIR_EraseRootFromParent_Done,
     /* 2397429 */   // Label 34411: @2397429
     /* 2397429 */   GIM_Try, /*On fail goto*//*Label 34412*/ GIMT_Encode4(2397475), // Rule ID 56020 //
     /* 2397434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2397437 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2397440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2397454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397474 */     // GIR_Coverage, 56020,
     /* 2397474 */     GIR_EraseRootFromParent_Done,
     /* 2397475 */   // Label 34412: @2397475
     /* 2397475 */   GIM_Reject,
     /* 2397476 */ // Label 34410: @2397476
     /* 2397476 */ GIM_Reject,
     /* 2397477 */ // Label 34369: @2397477
     /* 2397477 */ GIM_Try, /*On fail goto*//*Label 34413*/ GIMT_Encode4(2397586),
     /* 2397482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2397485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397489 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397493 */   GIM_Try, /*On fail goto*//*Label 34414*/ GIMT_Encode4(2397539), // Rule ID 55839 //
     /* 2397498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397501 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2397504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2397518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397538 */     // GIR_Coverage, 55839,
     /* 2397538 */     GIR_EraseRootFromParent_Done,
     /* 2397539 */   // Label 34414: @2397539
     /* 2397539 */   GIM_Try, /*On fail goto*//*Label 34415*/ GIMT_Encode4(2397585), // Rule ID 55840 //
     /* 2397544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397547 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2397550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2397564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397584 */     // GIR_Coverage, 55840,
     /* 2397584 */     GIR_EraseRootFromParent_Done,
     /* 2397585 */   // Label 34415: @2397585
     /* 2397585 */   GIM_Reject,
     /* 2397586 */ // Label 34413: @2397586
     /* 2397586 */ GIM_Reject,
     /* 2397587 */ // Label 34370: @2397587
     /* 2397587 */ GIM_Try, /*On fail goto*//*Label 34416*/ GIMT_Encode4(2397696),
     /* 2397592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2397595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2397599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2397603 */   GIM_Try, /*On fail goto*//*Label 34417*/ GIMT_Encode4(2397649), // Rule ID 55959 //
     /* 2397608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2397611 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2397614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2397628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397648 */     // GIR_Coverage, 55959,
     /* 2397648 */     GIR_EraseRootFromParent_Done,
     /* 2397649 */   // Label 34417: @2397649
     /* 2397649 */   GIM_Try, /*On fail goto*//*Label 34418*/ GIMT_Encode4(2397695), // Rule ID 55960 //
     /* 2397654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397657 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2397660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2397674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397694 */     // GIR_Coverage, 55960,
     /* 2397694 */     GIR_EraseRootFromParent_Done,
     /* 2397695 */   // Label 34418: @2397695
     /* 2397695 */   GIM_Reject,
     /* 2397696 */ // Label 34416: @2397696
     /* 2397696 */ GIM_Reject,
     /* 2397697 */ // Label 34371: @2397697
     /* 2397697 */ GIM_Try, /*On fail goto*//*Label 34419*/ GIMT_Encode4(2397806),
     /* 2397702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2397705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397709 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397713 */   GIM_Try, /*On fail goto*//*Label 34420*/ GIMT_Encode4(2397759), // Rule ID 56039 //
     /* 2397718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2397721 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2397724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2397738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397758 */     // GIR_Coverage, 56039,
     /* 2397758 */     GIR_EraseRootFromParent_Done,
     /* 2397759 */   // Label 34420: @2397759
     /* 2397759 */   GIM_Try, /*On fail goto*//*Label 34421*/ GIMT_Encode4(2397805), // Rule ID 56040 //
     /* 2397764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2397767 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2397770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2397784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397804 */     // GIR_Coverage, 56040,
     /* 2397804 */     GIR_EraseRootFromParent_Done,
     /* 2397805 */   // Label 34421: @2397805
     /* 2397805 */   GIM_Reject,
     /* 2397806 */ // Label 34419: @2397806
     /* 2397806 */ GIM_Reject,
     /* 2397807 */ // Label 34372: @2397807
     /* 2397807 */ GIM_Try, /*On fail goto*//*Label 34422*/ GIMT_Encode4(2397916),
     /* 2397812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2397815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2397819 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2397823 */   GIM_Try, /*On fail goto*//*Label 34423*/ GIMT_Encode4(2397869), // Rule ID 55899 //
     /* 2397828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397831 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2397834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2397848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397868 */     // GIR_Coverage, 55899,
     /* 2397868 */     GIR_EraseRootFromParent_Done,
     /* 2397869 */   // Label 34423: @2397869
     /* 2397869 */   GIM_Try, /*On fail goto*//*Label 34424*/ GIMT_Encode4(2397915), // Rule ID 55900 //
     /* 2397874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397877 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2397880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2397894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397914 */     // GIR_Coverage, 55900,
     /* 2397914 */     GIR_EraseRootFromParent_Done,
     /* 2397915 */   // Label 34424: @2397915
     /* 2397915 */   GIM_Reject,
     /* 2397916 */ // Label 34422: @2397916
     /* 2397916 */ GIM_Reject,
     /* 2397917 */ // Label 34373: @2397917
     /* 2397917 */ GIM_Try, /*On fail goto*//*Label 34425*/ GIMT_Encode4(2398026),
     /* 2397922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2397925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397933 */   GIM_Try, /*On fail goto*//*Label 34426*/ GIMT_Encode4(2397979), // Rule ID 55979 //
     /* 2397938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2397941 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2397944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2397958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2397965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397978 */     // GIR_Coverage, 55979,
     /* 2397978 */     GIR_EraseRootFromParent_Done,
     /* 2397979 */   // Label 34426: @2397979
     /* 2397979 */   GIM_Try, /*On fail goto*//*Label 34427*/ GIMT_Encode4(2398025), // Rule ID 55980 //
     /* 2397984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397987 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2397990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2398004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398024 */     // GIR_Coverage, 55980,
     /* 2398024 */     GIR_EraseRootFromParent_Done,
     /* 2398025 */   // Label 34427: @2398025
     /* 2398025 */   GIM_Reject,
     /* 2398026 */ // Label 34425: @2398026
     /* 2398026 */ GIM_Reject,
     /* 2398027 */ // Label 34374: @2398027
     /* 2398027 */ GIM_Try, /*On fail goto*//*Label 34428*/ GIMT_Encode4(2398136),
     /* 2398032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2398035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398039 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398043 */   GIM_Try, /*On fail goto*//*Label 34429*/ GIMT_Encode4(2398089), // Rule ID 56059 //
     /* 2398048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2398051 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2398054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2398068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398088 */     // GIR_Coverage, 56059,
     /* 2398088 */     GIR_EraseRootFromParent_Done,
     /* 2398089 */   // Label 34429: @2398089
     /* 2398089 */   GIM_Try, /*On fail goto*//*Label 34430*/ GIMT_Encode4(2398135), // Rule ID 56060 //
     /* 2398094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2398097 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2398100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2398114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398134 */     // GIR_Coverage, 56060,
     /* 2398134 */     GIR_EraseRootFromParent_Done,
     /* 2398135 */   // Label 34430: @2398135
     /* 2398135 */   GIM_Reject,
     /* 2398136 */ // Label 34428: @2398136
     /* 2398136 */ GIM_Reject,
     /* 2398137 */ // Label 34375: @2398137
     /* 2398137 */ GIM_Try, /*On fail goto*//*Label 34431*/ GIMT_Encode4(2398246),
     /* 2398142 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2398145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398149 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398153 */   GIM_Try, /*On fail goto*//*Label 34432*/ GIMT_Encode4(2398199), // Rule ID 55919 //
     /* 2398158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2398161 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2398164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2398178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398198 */     // GIR_Coverage, 55919,
     /* 2398198 */     GIR_EraseRootFromParent_Done,
     /* 2398199 */   // Label 34432: @2398199
     /* 2398199 */   GIM_Try, /*On fail goto*//*Label 34433*/ GIMT_Encode4(2398245), // Rule ID 55920 //
     /* 2398204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2398207 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2398210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2398224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398244 */     // GIR_Coverage, 55920,
     /* 2398244 */     GIR_EraseRootFromParent_Done,
     /* 2398245 */   // Label 34433: @2398245
     /* 2398245 */   GIM_Reject,
     /* 2398246 */ // Label 34431: @2398246
     /* 2398246 */ GIM_Reject,
     /* 2398247 */ // Label 34376: @2398247
     /* 2398247 */ GIM_Try, /*On fail goto*//*Label 34434*/ GIMT_Encode4(2398356),
     /* 2398252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2398255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398263 */   GIM_Try, /*On fail goto*//*Label 34435*/ GIMT_Encode4(2398309), // Rule ID 55999 //
     /* 2398268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2398271 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2398274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2398288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398308 */     // GIR_Coverage, 55999,
     /* 2398308 */     GIR_EraseRootFromParent_Done,
     /* 2398309 */   // Label 34435: @2398309
     /* 2398309 */   GIM_Try, /*On fail goto*//*Label 34436*/ GIMT_Encode4(2398355), // Rule ID 56000 //
     /* 2398314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2398317 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2398320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2398334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398354 */     // GIR_Coverage, 56000,
     /* 2398354 */     GIR_EraseRootFromParent_Done,
     /* 2398355 */   // Label 34436: @2398355
     /* 2398355 */   GIM_Reject,
     /* 2398356 */ // Label 34434: @2398356
     /* 2398356 */ GIM_Reject,
     /* 2398357 */ // Label 34377: @2398357
     /* 2398357 */ GIM_Try, /*On fail goto*//*Label 34437*/ GIMT_Encode4(2398466),
     /* 2398362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2398365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2398373 */   GIM_Try, /*On fail goto*//*Label 34438*/ GIMT_Encode4(2398419), // Rule ID 55939 //
     /* 2398378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2398381 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2398384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2398398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398418 */     // GIR_Coverage, 55939,
     /* 2398418 */     GIR_EraseRootFromParent_Done,
     /* 2398419 */   // Label 34438: @2398419
     /* 2398419 */   GIM_Try, /*On fail goto*//*Label 34439*/ GIMT_Encode4(2398465), // Rule ID 55940 //
     /* 2398424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2398427 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2398430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2398444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398464 */     // GIR_Coverage, 55940,
     /* 2398464 */     GIR_EraseRootFromParent_Done,
     /* 2398465 */   // Label 34439: @2398465
     /* 2398465 */   GIM_Reject,
     /* 2398466 */ // Label 34437: @2398466
     /* 2398466 */ GIM_Reject,
     /* 2398467 */ // Label 34378: @2398467
     /* 2398467 */ GIM_Reject,
     /* 2398468 */ // Label 100: @2398468
     /* 2398468 */ GIM_Try, /*On fail goto*//*Label 34440*/ GIMT_Encode4(2398480), // Rule ID 283 //
     /* 2398473 */   // (trap)  =>  (UNIMP)
     /* 2398473 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::UNIMP),
     /* 2398478 */   GIR_RootConstrainSelectedInstOperands,
     /* 2398479 */   // GIR_Coverage, 283,
     /* 2398479 */   GIR_Done,
     /* 2398480 */ // Label 34440: @2398480
     /* 2398480 */ GIM_Reject,
     /* 2398481 */ // Label 101: @2398481
     /* 2398481 */ GIM_Try, /*On fail goto*//*Label 34441*/ GIMT_Encode4(2398493), // Rule ID 284 //
     /* 2398486 */   // (debugtrap)  =>  (EBREAK)
     /* 2398486 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::EBREAK),
     /* 2398491 */   GIR_RootConstrainSelectedInstOperands,
     /* 2398492 */   // GIR_Coverage, 284,
     /* 2398492 */   GIR_Done,
     /* 2398493 */ // Label 34441: @2398493
     /* 2398493 */ GIM_Reject,
     /* 2398494 */ // Label 102: @2398494
     /* 2398494 */ GIM_Try, /*On fail goto*//*Label 34442*/ GIMT_Encode4(2398588),
     /* 2398499 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2398502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398509 */   GIM_Try, /*On fail goto*//*Label 34443*/ GIMT_Encode4(2398528), // Rule ID 2379 //
     /* 2398514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2398517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398521 */     // (riscv_clzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2398521 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZW),
     /* 2398526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398527 */     // GIR_Coverage, 2379,
     /* 2398527 */     GIR_Done,
     /* 2398528 */   // Label 34443: @2398528
     /* 2398528 */   GIM_Try, /*On fail goto*//*Label 34444*/ GIMT_Encode4(2398587), // Rule ID 61973 //
     /* 2398533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2398536 */     // (riscv_clzw:{ *:[i64] } i64:{ *:[i64] }:$rs1)  =>  (TH_FF0:{ *:[i64] } (SLLI:{ *:[i64] } (XORI:{ *:[i64] } i64:{ *:[i64] }:$rs1, -1:{ *:[i64] }), 32:{ *:[i64] }))
     /* 2398536 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 2398539 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2398543 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398548 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /* 2398552 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/uint8_t(-1),
     /* 2398555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2398557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2398560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2398564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398569 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 2398572 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2398575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2398580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398586 */     // GIR_Coverage, 61973,
     /* 2398586 */     GIR_EraseRootFromParent_Done,
     /* 2398587 */   // Label 34444: @2398587
     /* 2398587 */   GIM_Reject,
     /* 2398588 */ // Label 34442: @2398588
     /* 2398588 */ GIM_Reject,
     /* 2398589 */ // Label 103: @2398589
     /* 2398589 */ GIM_Try, /*On fail goto*//*Label 34445*/ GIMT_Encode4(2398618), // Rule ID 2380 //
     /* 2398594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2398597 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2398600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398611 */   // (riscv_ctzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2398611 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZW),
     /* 2398616 */   GIR_RootConstrainSelectedInstOperands,
     /* 2398617 */   // GIR_Coverage, 2380,
     /* 2398617 */   GIR_Done,
     /* 2398618 */ // Label 34445: @2398618
     /* 2398618 */ GIM_Reject,
     /* 2398619 */ // Label 104: @2398619
     /* 2398619 */ GIM_Try, /*On fail goto*//*Label 34446*/ GIMT_Encode4(2398655), // Rule ID 306 //
     /* 2398624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2398627 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2398630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2398636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398648 */   // (riscv_divuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2398648 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVUW),
     /* 2398653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2398654 */   // GIR_Coverage, 306,
     /* 2398654 */   GIR_Done,
     /* 2398655 */ // Label 34446: @2398655
     /* 2398655 */ GIM_Reject,
     /* 2398656 */ // Label 105: @2398656
     /* 2398656 */ GIM_Try, /*On fail goto*//*Label 34447*/ GIMT_Encode4(2398692), // Rule ID 305 //
     /* 2398661 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2398664 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2398667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2398673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398677 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398681 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398685 */   // (riscv_divw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2398685 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVW),
     /* 2398690 */   GIR_RootConstrainSelectedInstOperands,
     /* 2398691 */   // GIR_Coverage, 305,
     /* 2398691 */   GIR_Done,
     /* 2398692 */ // Label 34447: @2398692
     /* 2398692 */ GIM_Reject,
     /* 2398693 */ // Label 106: @2398693
     /* 2398693 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34450*/ GIMT_Encode4(2399052),
     /* 2398704 */ /*GILLT_s32*//*Label 34448*/ GIMT_Encode4(2398712),
     /* 2398708 */ /*GILLT_s64*//*Label 34449*/ GIMT_Encode4(2398869),
     /* 2398712 */ // Label 34448: @2398712
     /* 2398712 */ GIM_Try, /*On fail goto*//*Label 34451*/ GIMT_Encode4(2398738), // Rule ID 1145 //
     /* 2398717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2398720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2398723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398727 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398731 */   // (riscv_fclass:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2398731 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2398736 */   GIR_RootConstrainSelectedInstOperands,
     /* 2398737 */   // GIR_Coverage, 1145,
     /* 2398737 */   GIR_Done,
     /* 2398738 */ // Label 34451: @2398738
     /* 2398738 */ GIM_Try, /*On fail goto*//*Label 34452*/ GIMT_Encode4(2398764), // Rule ID 1153 //
     /* 2398743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2398746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2398749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398757 */   // (riscv_fclass:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2398757 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2398762 */   GIR_RootConstrainSelectedInstOperands,
     /* 2398763 */   // GIR_Coverage, 1153,
     /* 2398763 */   GIR_Done,
     /* 2398764 */ // Label 34452: @2398764
     /* 2398764 */ GIM_Try, /*On fail goto*//*Label 34453*/ GIMT_Encode4(2398790), // Rule ID 1488 //
     /* 2398769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2398772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398783 */   // (riscv_fclass:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2398783 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2398788 */   GIR_RootConstrainSelectedInstOperands,
     /* 2398789 */   // GIR_Coverage, 1488,
     /* 2398789 */   GIR_Done,
     /* 2398790 */ // Label 34453: @2398790
     /* 2398790 */ GIM_Try, /*On fail goto*//*Label 34454*/ GIMT_Encode4(2398816), // Rule ID 1543 //
     /* 2398795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2398798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398809 */   // (riscv_fclass:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2398809 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2398814 */   GIR_RootConstrainSelectedInstOperands,
     /* 2398815 */   // GIR_Coverage, 1543,
     /* 2398815 */   GIR_Done,
     /* 2398816 */ // Label 34454: @2398816
     /* 2398816 */ GIM_Try, /*On fail goto*//*Label 34455*/ GIMT_Encode4(2398842), // Rule ID 1854 //
     /* 2398821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2398824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398835 */   // (riscv_fclass:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2398835 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2398840 */   GIR_RootConstrainSelectedInstOperands,
     /* 2398841 */   // GIR_Coverage, 1854,
     /* 2398841 */   GIR_Done,
     /* 2398842 */ // Label 34455: @2398842
     /* 2398842 */ GIM_Try, /*On fail goto*//*Label 34456*/ GIMT_Encode4(2398868), // Rule ID 1887 //
     /* 2398847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2398850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398861 */   // (riscv_fclass:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2398861 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2398866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2398867 */   // GIR_Coverage, 1887,
     /* 2398867 */   GIR_Done,
     /* 2398868 */ // Label 34456: @2398868
     /* 2398868 */ GIM_Reject,
     /* 2398869 */ // Label 34449: @2398869
     /* 2398869 */ GIM_Try, /*On fail goto*//*Label 34457*/ GIMT_Encode4(2398895), // Rule ID 1144 //
     /* 2398874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2398877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2398880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2398888 */   // (riscv_fclass:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2398888 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2398893 */   GIR_RootConstrainSelectedInstOperands,
     /* 2398894 */   // GIR_Coverage, 1144,
     /* 2398894 */   GIR_Done,
     /* 2398895 */ // Label 34457: @2398895
     /* 2398895 */ GIM_Try, /*On fail goto*//*Label 34458*/ GIMT_Encode4(2398921), // Rule ID 1152 //
     /* 2398900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2398903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2398906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2398914 */   // (riscv_fclass:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2398914 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2398919 */   GIR_RootConstrainSelectedInstOperands,
     /* 2398920 */   // GIR_Coverage, 1152,
     /* 2398920 */   GIR_Done,
     /* 2398921 */ // Label 34458: @2398921
     /* 2398921 */ GIM_Try, /*On fail goto*//*Label 34459*/ GIMT_Encode4(2398947), // Rule ID 1487 //
     /* 2398926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2398929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398936 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2398940 */   // (riscv_fclass:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2398940 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2398945 */   GIR_RootConstrainSelectedInstOperands,
     /* 2398946 */   // GIR_Coverage, 1487,
     /* 2398946 */   GIR_Done,
     /* 2398947 */ // Label 34459: @2398947
     /* 2398947 */ GIM_Try, /*On fail goto*//*Label 34460*/ GIMT_Encode4(2398973), // Rule ID 1520 //
     /* 2398952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2398955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398966 */   // (riscv_fclass:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCLASS_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2398966 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_INX),
     /* 2398971 */   GIR_RootConstrainSelectedInstOperands,
     /* 2398972 */   // GIR_Coverage, 1520,
     /* 2398972 */   GIR_Done,
     /* 2398973 */ // Label 34460: @2398973
     /* 2398973 */ GIM_Try, /*On fail goto*//*Label 34461*/ GIMT_Encode4(2398999), // Rule ID 1542 //
     /* 2398978 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2398981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2398984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2398988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2398992 */   // (riscv_fclass:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2398992 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2398997 */   GIR_RootConstrainSelectedInstOperands,
     /* 2398998 */   // GIR_Coverage, 1542,
     /* 2398998 */   GIR_Done,
     /* 2398999 */ // Label 34461: @2398999
     /* 2398999 */ GIM_Try, /*On fail goto*//*Label 34462*/ GIMT_Encode4(2399025), // Rule ID 1853 //
     /* 2399004 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2399007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2399010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399018 */   // (riscv_fclass:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2399018 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2399023 */   GIR_RootConstrainSelectedInstOperands,
     /* 2399024 */   // GIR_Coverage, 1853,
     /* 2399024 */   GIR_Done,
     /* 2399025 */ // Label 34462: @2399025
     /* 2399025 */ GIM_Try, /*On fail goto*//*Label 34463*/ GIMT_Encode4(2399051), // Rule ID 1886 //
     /* 2399030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2399033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2399036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399044 */   // (riscv_fclass:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2399044 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2399049 */   GIR_RootConstrainSelectedInstOperands,
     /* 2399050 */   // GIR_Coverage, 1886,
     /* 2399050 */   GIR_Done,
     /* 2399051 */ // Label 34463: @2399051
     /* 2399051 */ GIM_Reject,
     /* 2399052 */ // Label 34450: @2399052
     /* 2399052 */ GIM_Reject,
     /* 2399053 */ // Label 107: @2399053
     /* 2399053 */ GIM_Try, /*On fail goto*//*Label 34464*/ GIMT_Encode4(2399250),
     /* 2399058 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2399061 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34468*/ GIMT_Encode4(2399249),
     /* 2399072 */   /*GILLT_s16*//*Label 34465*/ GIMT_Encode4(2399084),
     /* 2399076 */   /*GILLT_s32*//*Label 34466*/ GIMT_Encode4(2399139),
     /* 2399080 */   /*GILLT_s64*//*Label 34467*/ GIMT_Encode4(2399194),
     /* 2399084 */   // Label 34465: @2399084
     /* 2399084 */   GIM_Try, /*On fail goto*//*Label 34469*/ GIMT_Encode4(2399138),
     /* 2399089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399093 */     GIM_Try, /*On fail goto*//*Label 34470*/ GIMT_Encode4(2399115), // Rule ID 2104 //
     /* 2399098 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2399101 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399105 */       // MIs[0] frm
     /* 2399105 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2399108 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2399108 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2399113 */       GIR_RootConstrainSelectedInstOperands,
     /* 2399114 */       // GIR_Coverage, 2104,
     /* 2399114 */       GIR_Done,
     /* 2399115 */     // Label 34470: @2399115
     /* 2399115 */     GIM_Try, /*On fail goto*//*Label 34471*/ GIMT_Encode4(2399137), // Rule ID 2130 //
     /* 2399120 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2399123 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399127 */       // MIs[0] frm
     /* 2399127 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2399130 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2399130 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2399135 */       GIR_RootConstrainSelectedInstOperands,
     /* 2399136 */       // GIR_Coverage, 2130,
     /* 2399136 */       GIR_Done,
     /* 2399137 */     // Label 34471: @2399137
     /* 2399137 */     GIM_Reject,
     /* 2399138 */   // Label 34469: @2399138
     /* 2399138 */   GIM_Reject,
     /* 2399139 */   // Label 34466: @2399139
     /* 2399139 */   GIM_Try, /*On fail goto*//*Label 34472*/ GIMT_Encode4(2399193),
     /* 2399144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399148 */     GIM_Try, /*On fail goto*//*Label 34473*/ GIMT_Encode4(2399170), // Rule ID 1370 //
     /* 2399153 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2399156 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399160 */       // MIs[0] frm
     /* 2399160 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2399163 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2399163 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2399168 */       GIR_RootConstrainSelectedInstOperands,
     /* 2399169 */       // GIR_Coverage, 1370,
     /* 2399169 */       GIR_Done,
     /* 2399170 */     // Label 34473: @2399170
     /* 2399170 */     GIM_Try, /*On fail goto*//*Label 34474*/ GIMT_Encode4(2399192), // Rule ID 1398 //
     /* 2399175 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2399178 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399182 */       // MIs[0] frm
     /* 2399182 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2399185 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2399185 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2399190 */       GIR_RootConstrainSelectedInstOperands,
     /* 2399191 */       // GIR_Coverage, 1398,
     /* 2399191 */       GIR_Done,
     /* 2399192 */     // Label 34474: @2399192
     /* 2399192 */     GIM_Reject,
     /* 2399193 */   // Label 34472: @2399193
     /* 2399193 */   GIM_Reject,
     /* 2399194 */   // Label 34467: @2399194
     /* 2399194 */   GIM_Try, /*On fail goto*//*Label 34475*/ GIMT_Encode4(2399248),
     /* 2399199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399203 */     GIM_Try, /*On fail goto*//*Label 34476*/ GIMT_Encode4(2399225), // Rule ID 1764 //
     /* 2399208 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2399211 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399215 */       // MIs[0] frm
     /* 2399215 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2399218 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2399218 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2399223 */       GIR_RootConstrainSelectedInstOperands,
     /* 2399224 */       // GIR_Coverage, 1764,
     /* 2399224 */       GIR_Done,
     /* 2399225 */     // Label 34476: @2399225
     /* 2399225 */     GIM_Try, /*On fail goto*//*Label 34477*/ GIMT_Encode4(2399247), // Rule ID 1792 //
     /* 2399230 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2399233 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399237 */       // MIs[0] frm
     /* 2399237 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2399240 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2399240 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_INX),
     /* 2399245 */       GIR_RootConstrainSelectedInstOperands,
     /* 2399246 */       // GIR_Coverage, 1792,
     /* 2399246 */       GIR_Done,
     /* 2399247 */     // Label 34477: @2399247
     /* 2399247 */     GIM_Reject,
     /* 2399248 */   // Label 34475: @2399248
     /* 2399248 */   GIM_Reject,
     /* 2399249 */   // Label 34468: @2399249
     /* 2399249 */   GIM_Reject,
     /* 2399250 */ // Label 34464: @2399250
     /* 2399250 */ GIM_Reject,
     /* 2399251 */ // Label 108: @2399251
     /* 2399251 */ GIM_Try, /*On fail goto*//*Label 34478*/ GIMT_Encode4(2399448),
     /* 2399256 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2399259 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34482*/ GIMT_Encode4(2399447),
     /* 2399270 */   /*GILLT_s16*//*Label 34479*/ GIMT_Encode4(2399282),
     /* 2399274 */   /*GILLT_s32*//*Label 34480*/ GIMT_Encode4(2399337),
     /* 2399278 */   /*GILLT_s64*//*Label 34481*/ GIMT_Encode4(2399392),
     /* 2399282 */   // Label 34479: @2399282
     /* 2399282 */   GIM_Try, /*On fail goto*//*Label 34483*/ GIMT_Encode4(2399336),
     /* 2399287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399291 */     GIM_Try, /*On fail goto*//*Label 34484*/ GIMT_Encode4(2399313), // Rule ID 2102 //
     /* 2399296 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2399299 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399303 */       // MIs[0] frm
     /* 2399303 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2399306 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2399306 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2399311 */       GIR_RootConstrainSelectedInstOperands,
     /* 2399312 */       // GIR_Coverage, 2102,
     /* 2399312 */       GIR_Done,
     /* 2399313 */     // Label 34484: @2399313
     /* 2399313 */     GIM_Try, /*On fail goto*//*Label 34485*/ GIMT_Encode4(2399335), // Rule ID 2128 //
     /* 2399318 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2399321 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399325 */       // MIs[0] frm
     /* 2399325 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2399328 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2399328 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2399333 */       GIR_RootConstrainSelectedInstOperands,
     /* 2399334 */       // GIR_Coverage, 2128,
     /* 2399334 */       GIR_Done,
     /* 2399335 */     // Label 34485: @2399335
     /* 2399335 */     GIM_Reject,
     /* 2399336 */   // Label 34483: @2399336
     /* 2399336 */   GIM_Reject,
     /* 2399337 */   // Label 34480: @2399337
     /* 2399337 */   GIM_Try, /*On fail goto*//*Label 34486*/ GIMT_Encode4(2399391),
     /* 2399342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399346 */     GIM_Try, /*On fail goto*//*Label 34487*/ GIMT_Encode4(2399368), // Rule ID 1368 //
     /* 2399351 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2399354 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399358 */       // MIs[0] frm
     /* 2399358 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2399361 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2399361 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2399366 */       GIR_RootConstrainSelectedInstOperands,
     /* 2399367 */       // GIR_Coverage, 1368,
     /* 2399367 */       GIR_Done,
     /* 2399368 */     // Label 34487: @2399368
     /* 2399368 */     GIM_Try, /*On fail goto*//*Label 34488*/ GIMT_Encode4(2399390), // Rule ID 1396 //
     /* 2399373 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2399376 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399380 */       // MIs[0] frm
     /* 2399380 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2399383 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2399383 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2399388 */       GIR_RootConstrainSelectedInstOperands,
     /* 2399389 */       // GIR_Coverage, 1396,
     /* 2399389 */       GIR_Done,
     /* 2399390 */     // Label 34488: @2399390
     /* 2399390 */     GIM_Reject,
     /* 2399391 */   // Label 34486: @2399391
     /* 2399391 */   GIM_Reject,
     /* 2399392 */   // Label 34481: @2399392
     /* 2399392 */   GIM_Try, /*On fail goto*//*Label 34489*/ GIMT_Encode4(2399446),
     /* 2399397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399401 */     GIM_Try, /*On fail goto*//*Label 34490*/ GIMT_Encode4(2399423), // Rule ID 1762 //
     /* 2399406 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2399409 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399413 */       // MIs[0] frm
     /* 2399413 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2399416 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2399416 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2399421 */       GIR_RootConstrainSelectedInstOperands,
     /* 2399422 */       // GIR_Coverage, 1762,
     /* 2399422 */       GIR_Done,
     /* 2399423 */     // Label 34490: @2399423
     /* 2399423 */     GIM_Try, /*On fail goto*//*Label 34491*/ GIMT_Encode4(2399445), // Rule ID 1790 //
     /* 2399428 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2399431 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399435 */       // MIs[0] frm
     /* 2399435 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2399438 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2399438 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_INX),
     /* 2399443 */       GIR_RootConstrainSelectedInstOperands,
     /* 2399444 */       // GIR_Coverage, 1790,
     /* 2399444 */       GIR_Done,
     /* 2399445 */     // Label 34491: @2399445
     /* 2399445 */     GIM_Reject,
     /* 2399446 */   // Label 34489: @2399446
     /* 2399446 */   GIM_Reject,
     /* 2399447 */   // Label 34482: @2399447
     /* 2399447 */   GIM_Reject,
     /* 2399448 */ // Label 34478: @2399448
     /* 2399448 */ GIM_Reject,
     /* 2399449 */ // Label 109: @2399449
     /* 2399449 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34494*/ GIMT_Encode4(2399508),
     /* 2399460 */ /*GILLT_s32*//*Label 34492*/ GIMT_Encode4(2399468),
     /* 2399464 */ /*GILLT_s64*//*Label 34493*/ GIMT_Encode4(2399488),
     /* 2399468 */ // Label 34492: @2399468
     /* 2399468 */ GIM_Try, /*On fail goto*//*Label 34495*/ GIMT_Encode4(2399487), // Rule ID 67 //
     /* 2399473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2399476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399480 */   // (riscv_read_vlenb:{ *:[i32] })  =>  (PseudoReadVLENB:{ *:[i32] })
     /* 2399480 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2399485 */   GIR_RootConstrainSelectedInstOperands,
     /* 2399486 */   // GIR_Coverage, 67,
     /* 2399486 */   GIR_Done,
     /* 2399487 */ // Label 34495: @2399487
     /* 2399487 */ GIM_Reject,
     /* 2399488 */ // Label 34493: @2399488
     /* 2399488 */ GIM_Try, /*On fail goto*//*Label 34496*/ GIMT_Encode4(2399507), // Rule ID 66 //
     /* 2399493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2399496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399500 */   // (riscv_read_vlenb:{ *:[i64] })  =>  (PseudoReadVLENB:{ *:[i64] })
     /* 2399500 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2399505 */   GIR_RootConstrainSelectedInstOperands,
     /* 2399506 */   // GIR_Coverage, 66,
     /* 2399506 */   GIR_Done,
     /* 2399507 */ // Label 34496: @2399507
     /* 2399507 */ GIM_Reject,
     /* 2399508 */ // Label 34494: @2399508
     /* 2399508 */ GIM_Reject,
     /* 2399509 */ // Label 110: @2399509
     /* 2399509 */ GIM_Try, /*On fail goto*//*Label 34497*/ GIMT_Encode4(2399545), // Rule ID 307 //
     /* 2399514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2399517 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2399520 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2399523 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2399526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399534 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399538 */   // (riscv_remuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2399538 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMUW),
     /* 2399543 */   GIR_RootConstrainSelectedInstOperands,
     /* 2399544 */   // GIR_Coverage, 307,
     /* 2399544 */   GIR_Done,
     /* 2399545 */ // Label 34497: @2399545
     /* 2399545 */ GIM_Reject,
     /* 2399546 */ // Label 111: @2399546
     /* 2399546 */ GIM_Try, /*On fail goto*//*Label 34498*/ GIMT_Encode4(2399670),
     /* 2399551 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2399554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2399557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2399560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399568 */   GIM_Try, /*On fail goto*//*Label 34499*/ GIMT_Encode4(2399604), // Rule ID 2328 //
     /* 2399573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2399576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2399580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2399584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2399588 */     // MIs[1] Operand 1
     /* 2399588 */     // No operand predicates
     /* 2399588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399590 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2399590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2399593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399597 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2399602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399603 */     // GIR_Coverage, 2328,
     /* 2399603 */     GIR_EraseRootFromParent_Done,
     /* 2399604 */   // Label 34499: @2399604
     /* 2399604 */   GIM_Try, /*On fail goto*//*Label 34500*/ GIMT_Encode4(2399640), // Rule ID 61970 //
     /* 2399609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2399612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2399616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2399620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2399624 */     // MIs[1] Operand 1
     /* 2399624 */     // No operand predicates
     /* 2399624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399626 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2399626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2399629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399633 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2399638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399639 */     // GIR_Coverage, 61970,
     /* 2399639 */     GIR_EraseRootFromParent_Done,
     /* 2399640 */   // Label 34500: @2399640
     /* 2399640 */   GIM_Try, /*On fail goto*//*Label 34501*/ GIMT_Encode4(2399669), // Rule ID 2325 //
     /* 2399645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2399648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2399655 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2399655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROLW),
     /* 2399658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2399667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399668 */     // GIR_Coverage, 2325,
     /* 2399668 */     GIR_EraseRootFromParent_Done,
     /* 2399669 */   // Label 34501: @2399669
     /* 2399669 */   GIM_Reject,
     /* 2399670 */ // Label 34498: @2399670
     /* 2399670 */ GIM_Reject,
     /* 2399671 */ // Label 112: @2399671
     /* 2399671 */ GIM_Try, /*On fail goto*//*Label 34502*/ GIMT_Encode4(2399791),
     /* 2399676 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2399679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2399682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2399685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399693 */   GIM_Try, /*On fail goto*//*Label 34503*/ GIMT_Encode4(2399727), // Rule ID 2327 //
     /* 2399698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2399701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2399705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2399709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2399713 */     // MIs[1] Operand 1
     /* 2399713 */     // No operand predicates
     /* 2399713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399715 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2399715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2399718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2399725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399726 */     // GIR_Coverage, 2327,
     /* 2399726 */     GIR_EraseRootFromParent_Done,
     /* 2399727 */   // Label 34503: @2399727
     /* 2399727 */   GIM_Try, /*On fail goto*//*Label 34504*/ GIMT_Encode4(2399761), // Rule ID 61969 //
     /* 2399732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2399735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2399739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2399743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2399747 */     // MIs[1] Operand 1
     /* 2399747 */     // No operand predicates
     /* 2399747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399749 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2399749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2399752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2399759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399760 */     // GIR_Coverage, 61969,
     /* 2399760 */     GIR_EraseRootFromParent_Done,
     /* 2399761 */   // Label 34504: @2399761
     /* 2399761 */   GIM_Try, /*On fail goto*//*Label 34505*/ GIMT_Encode4(2399790), // Rule ID 2326 //
     /* 2399766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2399769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2399776 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (RORW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2399776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORW),
     /* 2399779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2399788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399789 */     // GIR_Coverage, 2326,
     /* 2399789 */     GIR_EraseRootFromParent_Done,
     /* 2399790 */   // Label 34505: @2399790
     /* 2399790 */   GIM_Reject,
     /* 2399791 */ // Label 34502: @2399791
     /* 2399791 */ GIM_Reject,
     /* 2399792 */ // Label 113: @2399792
     /* 2399792 */ GIM_Try, /*On fail goto*//*Label 34506*/ GIMT_Encode4(2399838), // Rule ID 261 //
     /* 2399797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2399800 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2399803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2399806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2399809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399817 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2399824 */   // (riscv_sllw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2399824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLW),
     /* 2399827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399829 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399831 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2399836 */   GIR_RootConstrainSelectedInstOperands,
     /* 2399837 */   // GIR_Coverage, 261,
     /* 2399837 */   GIR_EraseRootFromParent_Done,
     /* 2399838 */ // Label 34506: @2399838
     /* 2399838 */ GIM_Reject,
     /* 2399839 */ // Label 114: @2399839
     /* 2399839 */ GIM_Try, /*On fail goto*//*Label 34507*/ GIMT_Encode4(2399885), // Rule ID 263 //
     /* 2399844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2399847 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2399850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2399853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2399856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399864 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2399871 */   // (riscv_sraw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRAW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2399871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAW),
     /* 2399874 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399876 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399878 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2399883 */   GIR_RootConstrainSelectedInstOperands,
     /* 2399884 */   // GIR_Coverage, 263,
     /* 2399884 */   GIR_EraseRootFromParent_Done,
     /* 2399885 */ // Label 34507: @2399885
     /* 2399885 */ GIM_Reject,
     /* 2399886 */ // Label 115: @2399886
     /* 2399886 */ GIM_Try, /*On fail goto*//*Label 34508*/ GIMT_Encode4(2399932), // Rule ID 262 //
     /* 2399891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2399894 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2399897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2399900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2399903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2399911 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2399918 */   // (riscv_srlw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2399918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLW),
     /* 2399921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399923 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399925 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2399930 */   GIR_RootConstrainSelectedInstOperands,
     /* 2399931 */   // GIR_Coverage, 262,
     /* 2399931 */   GIR_EraseRootFromParent_Done,
     /* 2399932 */ // Label 34508: @2399932
     /* 2399932 */ GIM_Reject,
     /* 2399933 */ // Label 116: @2399933
     /* 2399933 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34516*/ GIMT_Encode4(2400581),
     /* 2399944 */ /*GILLT_nxv1s1*//*Label 34509*/ GIMT_Encode4(2400056), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2399964 */ /*GILLT_nxv2s1*//*Label 34510*/ GIMT_Encode4(2400131), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2399984 */ /*GILLT_nxv4s1*//*Label 34511*/ GIMT_Encode4(2400206), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2400004 */ /*GILLT_nxv8s1*//*Label 34512*/ GIMT_Encode4(2400281), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2400024 */ /*GILLT_nxv16s1*//*Label 34513*/ GIMT_Encode4(2400356), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2400040 */ /*GILLT_nxv32s1*//*Label 34514*/ GIMT_Encode4(2400431), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2400052 */ /*GILLT_nxv64s1*//*Label 34515*/ GIMT_Encode4(2400506),
     /* 2400056 */ // Label 34509: @2400056
     /* 2400056 */ GIM_Try, /*On fail goto*//*Label 34517*/ GIMT_Encode4(2400093), // Rule ID 44441 //
     /* 2400061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2400064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400071 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400078 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2400078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2400081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400083 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400092 */   // GIR_Coverage, 44441,
     /* 2400092 */   GIR_EraseRootFromParent_Done,
     /* 2400093 */ // Label 34517: @2400093
     /* 2400093 */ GIM_Try, /*On fail goto*//*Label 34518*/ GIMT_Encode4(2400130), // Rule ID 44442 //
     /* 2400098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2400101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400108 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400115 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2400115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2400118 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400120 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400128 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400129 */   // GIR_Coverage, 44442,
     /* 2400129 */   GIR_EraseRootFromParent_Done,
     /* 2400130 */ // Label 34518: @2400130
     /* 2400130 */ GIM_Reject,
     /* 2400131 */ // Label 34510: @2400131
     /* 2400131 */ GIM_Try, /*On fail goto*//*Label 34519*/ GIMT_Encode4(2400168), // Rule ID 44469 //
     /* 2400136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2400139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400146 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400153 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2400153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2400156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400158 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400167 */   // GIR_Coverage, 44469,
     /* 2400167 */   GIR_EraseRootFromParent_Done,
     /* 2400168 */ // Label 34519: @2400168
     /* 2400168 */ GIM_Try, /*On fail goto*//*Label 34520*/ GIMT_Encode4(2400205), // Rule ID 44470 //
     /* 2400173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2400176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400183 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400190 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2400190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2400193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400195 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400204 */   // GIR_Coverage, 44470,
     /* 2400204 */   GIR_EraseRootFromParent_Done,
     /* 2400205 */ // Label 34520: @2400205
     /* 2400205 */ GIM_Reject,
     /* 2400206 */ // Label 34511: @2400206
     /* 2400206 */ GIM_Try, /*On fail goto*//*Label 34521*/ GIMT_Encode4(2400243), // Rule ID 44497 //
     /* 2400211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2400214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400221 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400228 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2400228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2400231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400233 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400241 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400242 */   // GIR_Coverage, 44497,
     /* 2400242 */   GIR_EraseRootFromParent_Done,
     /* 2400243 */ // Label 34521: @2400243
     /* 2400243 */ GIM_Try, /*On fail goto*//*Label 34522*/ GIMT_Encode4(2400280), // Rule ID 44498 //
     /* 2400248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2400251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400258 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400265 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2400265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2400268 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400270 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400278 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400279 */   // GIR_Coverage, 44498,
     /* 2400279 */   GIR_EraseRootFromParent_Done,
     /* 2400280 */ // Label 34522: @2400280
     /* 2400280 */ GIM_Reject,
     /* 2400281 */ // Label 34512: @2400281
     /* 2400281 */ GIM_Try, /*On fail goto*//*Label 34523*/ GIMT_Encode4(2400318), // Rule ID 44525 //
     /* 2400286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2400289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400296 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400303 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2400303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2400306 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400308 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400316 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400317 */   // GIR_Coverage, 44525,
     /* 2400317 */   GIR_EraseRootFromParent_Done,
     /* 2400318 */ // Label 34523: @2400318
     /* 2400318 */ GIM_Try, /*On fail goto*//*Label 34524*/ GIMT_Encode4(2400355), // Rule ID 44526 //
     /* 2400323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2400326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400333 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400340 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2400340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2400343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400345 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400353 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400354 */   // GIR_Coverage, 44526,
     /* 2400354 */   GIR_EraseRootFromParent_Done,
     /* 2400355 */ // Label 34524: @2400355
     /* 2400355 */ GIM_Reject,
     /* 2400356 */ // Label 34513: @2400356
     /* 2400356 */ GIM_Try, /*On fail goto*//*Label 34525*/ GIMT_Encode4(2400393), // Rule ID 44553 //
     /* 2400361 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2400364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400371 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400378 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2400378 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2400381 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400383 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400392 */   // GIR_Coverage, 44553,
     /* 2400392 */   GIR_EraseRootFromParent_Done,
     /* 2400393 */ // Label 34525: @2400393
     /* 2400393 */ GIM_Try, /*On fail goto*//*Label 34526*/ GIMT_Encode4(2400430), // Rule ID 44554 //
     /* 2400398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2400401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400408 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400415 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2400415 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2400418 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400420 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400428 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400429 */   // GIR_Coverage, 44554,
     /* 2400429 */   GIR_EraseRootFromParent_Done,
     /* 2400430 */ // Label 34526: @2400430
     /* 2400430 */ GIM_Reject,
     /* 2400431 */ // Label 34514: @2400431
     /* 2400431 */ GIM_Try, /*On fail goto*//*Label 34527*/ GIMT_Encode4(2400468), // Rule ID 44581 //
     /* 2400436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2400439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400446 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400453 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2400453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2400456 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400458 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400467 */   // GIR_Coverage, 44581,
     /* 2400467 */   GIR_EraseRootFromParent_Done,
     /* 2400468 */ // Label 34527: @2400468
     /* 2400468 */ GIM_Try, /*On fail goto*//*Label 34528*/ GIMT_Encode4(2400505), // Rule ID 44582 //
     /* 2400473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2400476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400483 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400490 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2400490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2400493 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400495 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400504 */   // GIR_Coverage, 44582,
     /* 2400504 */   GIR_EraseRootFromParent_Done,
     /* 2400505 */ // Label 34528: @2400505
     /* 2400505 */ GIM_Reject,
     /* 2400506 */ // Label 34515: @2400506
     /* 2400506 */ GIM_Try, /*On fail goto*//*Label 34529*/ GIMT_Encode4(2400543), // Rule ID 44609 //
     /* 2400511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2400514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400521 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400528 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2400528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2400531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400533 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400541 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400542 */   // GIR_Coverage, 44609,
     /* 2400542 */   GIR_EraseRootFromParent_Done,
     /* 2400543 */ // Label 34529: @2400543
     /* 2400543 */ GIM_Try, /*On fail goto*//*Label 34530*/ GIMT_Encode4(2400580), // Rule ID 44610 //
     /* 2400548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2400551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400558 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400565 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2400565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2400568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400570 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400578 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400579 */   // GIR_Coverage, 44610,
     /* 2400579 */   GIR_EraseRootFromParent_Done,
     /* 2400580 */ // Label 34530: @2400580
     /* 2400580 */ GIM_Reject,
     /* 2400581 */ // Label 34516: @2400581
     /* 2400581 */ GIM_Reject,
     /* 2400582 */ // Label 117: @2400582
     /* 2400582 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34538*/ GIMT_Encode4(2401230),
     /* 2400593 */ /*GILLT_nxv1s1*//*Label 34531*/ GIMT_Encode4(2400705), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2400613 */ /*GILLT_nxv2s1*//*Label 34532*/ GIMT_Encode4(2400780), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2400633 */ /*GILLT_nxv4s1*//*Label 34533*/ GIMT_Encode4(2400855), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2400653 */ /*GILLT_nxv8s1*//*Label 34534*/ GIMT_Encode4(2400930), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2400673 */ /*GILLT_nxv16s1*//*Label 34535*/ GIMT_Encode4(2401005), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2400689 */ /*GILLT_nxv32s1*//*Label 34536*/ GIMT_Encode4(2401080), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2400701 */ /*GILLT_nxv64s1*//*Label 34537*/ GIMT_Encode4(2401155),
     /* 2400705 */ // Label 34531: @2400705
     /* 2400705 */ GIM_Try, /*On fail goto*//*Label 34539*/ GIMT_Encode4(2400742), // Rule ID 44439 //
     /* 2400710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2400713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400720 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400727 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2400727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2400730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400732 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400740 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400741 */   // GIR_Coverage, 44439,
     /* 2400741 */   GIR_EraseRootFromParent_Done,
     /* 2400742 */ // Label 34539: @2400742
     /* 2400742 */ GIM_Try, /*On fail goto*//*Label 34540*/ GIMT_Encode4(2400779), // Rule ID 44440 //
     /* 2400747 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2400750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400757 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400764 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2400764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2400767 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400769 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400778 */   // GIR_Coverage, 44440,
     /* 2400778 */   GIR_EraseRootFromParent_Done,
     /* 2400779 */ // Label 34540: @2400779
     /* 2400779 */ GIM_Reject,
     /* 2400780 */ // Label 34532: @2400780
     /* 2400780 */ GIM_Try, /*On fail goto*//*Label 34541*/ GIMT_Encode4(2400817), // Rule ID 44467 //
     /* 2400785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2400788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400795 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400802 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2400802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2400805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400807 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400815 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400816 */   // GIR_Coverage, 44467,
     /* 2400816 */   GIR_EraseRootFromParent_Done,
     /* 2400817 */ // Label 34541: @2400817
     /* 2400817 */ GIM_Try, /*On fail goto*//*Label 34542*/ GIMT_Encode4(2400854), // Rule ID 44468 //
     /* 2400822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2400825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400832 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400839 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2400839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2400842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400844 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400852 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400853 */   // GIR_Coverage, 44468,
     /* 2400853 */   GIR_EraseRootFromParent_Done,
     /* 2400854 */ // Label 34542: @2400854
     /* 2400854 */ GIM_Reject,
     /* 2400855 */ // Label 34533: @2400855
     /* 2400855 */ GIM_Try, /*On fail goto*//*Label 34543*/ GIMT_Encode4(2400892), // Rule ID 44495 //
     /* 2400860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2400863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400870 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400877 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2400877 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2400880 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400882 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400890 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400891 */   // GIR_Coverage, 44495,
     /* 2400891 */   GIR_EraseRootFromParent_Done,
     /* 2400892 */ // Label 34543: @2400892
     /* 2400892 */ GIM_Try, /*On fail goto*//*Label 34544*/ GIMT_Encode4(2400929), // Rule ID 44496 //
     /* 2400897 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2400900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400907 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400914 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2400914 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2400917 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400919 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400927 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400928 */   // GIR_Coverage, 44496,
     /* 2400928 */   GIR_EraseRootFromParent_Done,
     /* 2400929 */ // Label 34544: @2400929
     /* 2400929 */ GIM_Reject,
     /* 2400930 */ // Label 34534: @2400930
     /* 2400930 */ GIM_Try, /*On fail goto*//*Label 34545*/ GIMT_Encode4(2400967), // Rule ID 44523 //
     /* 2400935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2400938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400945 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400952 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2400952 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2400955 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400957 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400965 */   GIR_RootConstrainSelectedInstOperands,
     /* 2400966 */   // GIR_Coverage, 44523,
     /* 2400966 */   GIR_EraseRootFromParent_Done,
     /* 2400967 */ // Label 34545: @2400967
     /* 2400967 */ GIM_Try, /*On fail goto*//*Label 34546*/ GIMT_Encode4(2401004), // Rule ID 44524 //
     /* 2400972 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2400975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400982 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400989 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2400989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2400992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400994 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401002 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401003 */   // GIR_Coverage, 44524,
     /* 2401003 */   GIR_EraseRootFromParent_Done,
     /* 2401004 */ // Label 34546: @2401004
     /* 2401004 */ GIM_Reject,
     /* 2401005 */ // Label 34535: @2401005
     /* 2401005 */ GIM_Try, /*On fail goto*//*Label 34547*/ GIMT_Encode4(2401042), // Rule ID 44551 //
     /* 2401010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401020 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401027 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2401027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2401030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401032 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401040 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401041 */   // GIR_Coverage, 44551,
     /* 2401041 */   GIR_EraseRootFromParent_Done,
     /* 2401042 */ // Label 34547: @2401042
     /* 2401042 */ GIM_Try, /*On fail goto*//*Label 34548*/ GIMT_Encode4(2401079), // Rule ID 44552 //
     /* 2401047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2401053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401057 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401064 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2401064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2401067 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401069 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401077 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401078 */   // GIR_Coverage, 44552,
     /* 2401078 */   GIR_EraseRootFromParent_Done,
     /* 2401079 */ // Label 34548: @2401079
     /* 2401079 */ GIM_Reject,
     /* 2401080 */ // Label 34536: @2401080
     /* 2401080 */ GIM_Try, /*On fail goto*//*Label 34549*/ GIMT_Encode4(2401117), // Rule ID 44579 //
     /* 2401085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401095 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401102 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2401102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2401105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401107 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401115 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401116 */   // GIR_Coverage, 44579,
     /* 2401116 */   GIR_EraseRootFromParent_Done,
     /* 2401117 */ // Label 34549: @2401117
     /* 2401117 */ GIM_Try, /*On fail goto*//*Label 34550*/ GIMT_Encode4(2401154), // Rule ID 44580 //
     /* 2401122 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2401128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401132 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401139 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2401139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2401142 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401144 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401152 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401153 */   // GIR_Coverage, 44580,
     /* 2401153 */   GIR_EraseRootFromParent_Done,
     /* 2401154 */ // Label 34550: @2401154
     /* 2401154 */ GIM_Reject,
     /* 2401155 */ // Label 34537: @2401155
     /* 2401155 */ GIM_Try, /*On fail goto*//*Label 34551*/ GIMT_Encode4(2401192), // Rule ID 44607 //
     /* 2401160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401170 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401177 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2401177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2401180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401182 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401190 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401191 */   // GIR_Coverage, 44607,
     /* 2401191 */   GIR_EraseRootFromParent_Done,
     /* 2401192 */ // Label 34551: @2401192
     /* 2401192 */ GIM_Try, /*On fail goto*//*Label 34552*/ GIMT_Encode4(2401229), // Rule ID 44608 //
     /* 2401197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2401203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401207 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401214 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2401214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2401217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401219 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401227 */   GIR_RootConstrainSelectedInstOperands,
     /* 2401228 */   // GIR_Coverage, 44608,
     /* 2401228 */   GIR_EraseRootFromParent_Done,
     /* 2401229 */ // Label 34552: @2401229
     /* 2401229 */ GIM_Reject,
     /* 2401230 */ // Label 34538: @2401230
     /* 2401230 */ GIM_Reject,
     /* 2401231 */ // Label 118: @2401231
     /* 2401231 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34575*/ GIMT_Encode4(2405488),
     /* 2401242 */ /*GILLT_nxv1s8*//*Label 34553*/ GIMT_Encode4(2401354),
     /* 2401246 */ /*GILLT_nxv1s16*//*Label 34554*/ GIMT_Encode4(2401471),
     /* 2401250 */ /*GILLT_nxv1s32*//*Label 34555*/ GIMT_Encode4(2401692),
     /* 2401254 */ /*GILLT_nxv1s64*//*Label 34556*/ GIMT_Encode4(2401913), GIMT_Encode4(0),
     /* 2401262 */ /*GILLT_nxv2s8*//*Label 34557*/ GIMT_Encode4(2402134),
     /* 2401266 */ /*GILLT_nxv2s16*//*Label 34558*/ GIMT_Encode4(2402251),
     /* 2401270 */ /*GILLT_nxv2s32*//*Label 34559*/ GIMT_Encode4(2402472),
     /* 2401274 */ /*GILLT_nxv2s64*//*Label 34560*/ GIMT_Encode4(2402693), GIMT_Encode4(0),
     /* 2401282 */ /*GILLT_nxv4s8*//*Label 34561*/ GIMT_Encode4(2402914),
     /* 2401286 */ /*GILLT_nxv4s16*//*Label 34562*/ GIMT_Encode4(2403031),
     /* 2401290 */ /*GILLT_nxv4s32*//*Label 34563*/ GIMT_Encode4(2403252),
     /* 2401294 */ /*GILLT_nxv4s64*//*Label 34564*/ GIMT_Encode4(2403473), GIMT_Encode4(0),
     /* 2401302 */ /*GILLT_nxv8s8*//*Label 34565*/ GIMT_Encode4(2403694),
     /* 2401306 */ /*GILLT_nxv8s16*//*Label 34566*/ GIMT_Encode4(2403811),
     /* 2401310 */ /*GILLT_nxv8s32*//*Label 34567*/ GIMT_Encode4(2404032),
     /* 2401314 */ /*GILLT_nxv8s64*//*Label 34568*/ GIMT_Encode4(2404253), GIMT_Encode4(0),
     /* 2401322 */ /*GILLT_nxv16s8*//*Label 34569*/ GIMT_Encode4(2404474),
     /* 2401326 */ /*GILLT_nxv16s16*//*Label 34570*/ GIMT_Encode4(2404591),
     /* 2401330 */ /*GILLT_nxv16s32*//*Label 34571*/ GIMT_Encode4(2404812), GIMT_Encode4(0),
     /* 2401338 */ /*GILLT_nxv32s8*//*Label 34572*/ GIMT_Encode4(2405033),
     /* 2401342 */ /*GILLT_nxv32s16*//*Label 34573*/ GIMT_Encode4(2405150), GIMT_Encode4(0),
     /* 2401350 */ /*GILLT_nxv64s8*//*Label 34574*/ GIMT_Encode4(2405371),
     /* 2401354 */ // Label 34553: @2401354
     /* 2401354 */ GIM_Try, /*On fail goto*//*Label 34576*/ GIMT_Encode4(2401470),
     /* 2401359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2401362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2401365 */   GIM_Try, /*On fail goto*//*Label 34577*/ GIMT_Encode4(2401417), // Rule ID 32029 //
     /* 2401370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2401376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401395 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2401395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2401398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401400 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2401402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401416 */     // GIR_Coverage, 32029,
     /* 2401416 */     GIR_EraseRootFromParent_Done,
     /* 2401417 */   // Label 34577: @2401417
     /* 2401417 */   GIM_Try, /*On fail goto*//*Label 34578*/ GIMT_Encode4(2401469), // Rule ID 32030 //
     /* 2401422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2401428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401447 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2401447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2401450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401452 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2401454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401468 */     // GIR_Coverage, 32030,
     /* 2401468 */     GIR_EraseRootFromParent_Done,
     /* 2401469 */   // Label 34578: @2401469
     /* 2401469 */   GIM_Reject,
     /* 2401470 */ // Label 34576: @2401470
     /* 2401470 */ GIM_Reject,
     /* 2401471 */ // Label 34554: @2401471
     /* 2401471 */ GIM_Try, /*On fail goto*//*Label 34579*/ GIMT_Encode4(2401691),
     /* 2401476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2401479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2401482 */   GIM_Try, /*On fail goto*//*Label 34580*/ GIMT_Encode4(2401534), // Rule ID 32299 //
     /* 2401487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2401493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401512 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2401512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2401515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401517 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2401519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401533 */     // GIR_Coverage, 32299,
     /* 2401533 */     GIR_EraseRootFromParent_Done,
     /* 2401534 */   // Label 34580: @2401534
     /* 2401534 */   GIM_Try, /*On fail goto*//*Label 34581*/ GIMT_Encode4(2401586), // Rule ID 32300 //
     /* 2401539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2401545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401564 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2401564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2401567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401569 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2401571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401585 */     // GIR_Coverage, 32300,
     /* 2401585 */     GIR_EraseRootFromParent_Done,
     /* 2401586 */   // Label 34581: @2401586
     /* 2401586 */   GIM_Try, /*On fail goto*//*Label 34582*/ GIMT_Encode4(2401638), // Rule ID 34009 //
     /* 2401591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2401597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401616 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2401616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2401619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401621 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2401623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401637 */     // GIR_Coverage, 34009,
     /* 2401637 */     GIR_EraseRootFromParent_Done,
     /* 2401638 */   // Label 34582: @2401638
     /* 2401638 */   GIM_Try, /*On fail goto*//*Label 34583*/ GIMT_Encode4(2401690), // Rule ID 34010 //
     /* 2401643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2401649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401668 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2401668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2401671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401673 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2401675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401689 */     // GIR_Coverage, 34010,
     /* 2401689 */     GIR_EraseRootFromParent_Done,
     /* 2401690 */   // Label 34583: @2401690
     /* 2401690 */   GIM_Reject,
     /* 2401691 */ // Label 34579: @2401691
     /* 2401691 */ GIM_Reject,
     /* 2401692 */ // Label 34555: @2401692
     /* 2401692 */ GIM_Try, /*On fail goto*//*Label 34584*/ GIMT_Encode4(2401912),
     /* 2401697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2401700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2401703 */   GIM_Try, /*On fail goto*//*Label 34585*/ GIMT_Encode4(2401755), // Rule ID 32479 //
     /* 2401708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2401714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401733 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2401733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2401736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401738 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2401740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401754 */     // GIR_Coverage, 32479,
     /* 2401754 */     GIR_EraseRootFromParent_Done,
     /* 2401755 */   // Label 34585: @2401755
     /* 2401755 */   GIM_Try, /*On fail goto*//*Label 34586*/ GIMT_Encode4(2401807), // Rule ID 32480 //
     /* 2401760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2401766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401785 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2401785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2401788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401790 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2401792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401806 */     // GIR_Coverage, 32480,
     /* 2401806 */     GIR_EraseRootFromParent_Done,
     /* 2401807 */   // Label 34586: @2401807
     /* 2401807 */   GIM_Try, /*On fail goto*//*Label 34587*/ GIMT_Encode4(2401859), // Rule ID 34189 //
     /* 2401812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2401818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401837 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2401837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2401840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401842 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2401844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401858 */     // GIR_Coverage, 34189,
     /* 2401858 */     GIR_EraseRootFromParent_Done,
     /* 2401859 */   // Label 34587: @2401859
     /* 2401859 */   GIM_Try, /*On fail goto*//*Label 34588*/ GIMT_Encode4(2401911), // Rule ID 34190 //
     /* 2401864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2401870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401889 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2401889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2401892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401894 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2401896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401910 */     // GIR_Coverage, 34190,
     /* 2401910 */     GIR_EraseRootFromParent_Done,
     /* 2401911 */   // Label 34588: @2401911
     /* 2401911 */   GIM_Reject,
     /* 2401912 */ // Label 34584: @2401912
     /* 2401912 */ GIM_Reject,
     /* 2401913 */ // Label 34556: @2401913
     /* 2401913 */ GIM_Try, /*On fail goto*//*Label 34589*/ GIMT_Encode4(2402133),
     /* 2401918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2401921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2401924 */   GIM_Try, /*On fail goto*//*Label 34590*/ GIMT_Encode4(2401976), // Rule ID 32839 //
     /* 2401929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2401932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2401935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401954 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2401954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2401957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401959 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2401961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2401974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401975 */     // GIR_Coverage, 32839,
     /* 2401975 */     GIR_EraseRootFromParent_Done,
     /* 2401976 */   // Label 34590: @2401976
     /* 2401976 */   GIM_Try, /*On fail goto*//*Label 34591*/ GIMT_Encode4(2402028), // Rule ID 32840 //
     /* 2401981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2401984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2401987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402006 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2402006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2402009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402011 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2402013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2402023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402027 */     // GIR_Coverage, 32840,
     /* 2402027 */     GIR_EraseRootFromParent_Done,
     /* 2402028 */   // Label 34591: @2402028
     /* 2402028 */   GIM_Try, /*On fail goto*//*Label 34592*/ GIMT_Encode4(2402080), // Rule ID 34459 //
     /* 2402033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2402036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2402039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402058 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2402058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2402061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402063 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2402065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2402075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402079 */     // GIR_Coverage, 34459,
     /* 2402079 */     GIR_EraseRootFromParent_Done,
     /* 2402080 */   // Label 34592: @2402080
     /* 2402080 */   GIM_Try, /*On fail goto*//*Label 34593*/ GIMT_Encode4(2402132), // Rule ID 34460 //
     /* 2402085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2402088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2402091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402110 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2402110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2402113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402115 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2402117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2402127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402131 */     // GIR_Coverage, 34460,
     /* 2402131 */     GIR_EraseRootFromParent_Done,
     /* 2402132 */   // Label 34593: @2402132
     /* 2402132 */   GIM_Reject,
     /* 2402133 */ // Label 34589: @2402133
     /* 2402133 */ GIM_Reject,
     /* 2402134 */ // Label 34557: @2402134
     /* 2402134 */ GIM_Try, /*On fail goto*//*Label 34594*/ GIMT_Encode4(2402250),
     /* 2402139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2402142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2402145 */   GIM_Try, /*On fail goto*//*Label 34595*/ GIMT_Encode4(2402197), // Rule ID 32119 //
     /* 2402150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2402156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402175 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2402175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2402178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402180 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2402182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402196 */     // GIR_Coverage, 32119,
     /* 2402196 */     GIR_EraseRootFromParent_Done,
     /* 2402197 */   // Label 34595: @2402197
     /* 2402197 */   GIM_Try, /*On fail goto*//*Label 34596*/ GIMT_Encode4(2402249), // Rule ID 32120 //
     /* 2402202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2402208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402227 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2402227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2402230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402232 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2402234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402248 */     // GIR_Coverage, 32120,
     /* 2402248 */     GIR_EraseRootFromParent_Done,
     /* 2402249 */   // Label 34596: @2402249
     /* 2402249 */   GIM_Reject,
     /* 2402250 */ // Label 34594: @2402250
     /* 2402250 */ GIM_Reject,
     /* 2402251 */ // Label 34558: @2402251
     /* 2402251 */ GIM_Try, /*On fail goto*//*Label 34597*/ GIMT_Encode4(2402471),
     /* 2402256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2402259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2402262 */   GIM_Try, /*On fail goto*//*Label 34598*/ GIMT_Encode4(2402314), // Rule ID 32389 //
     /* 2402267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2402273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402292 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2402292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2402295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402297 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2402299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402313 */     // GIR_Coverage, 32389,
     /* 2402313 */     GIR_EraseRootFromParent_Done,
     /* 2402314 */   // Label 34598: @2402314
     /* 2402314 */   GIM_Try, /*On fail goto*//*Label 34599*/ GIMT_Encode4(2402366), // Rule ID 32390 //
     /* 2402319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2402325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402344 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2402344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2402347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402349 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2402351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402365 */     // GIR_Coverage, 32390,
     /* 2402365 */     GIR_EraseRootFromParent_Done,
     /* 2402366 */   // Label 34599: @2402366
     /* 2402366 */   GIM_Try, /*On fail goto*//*Label 34600*/ GIMT_Encode4(2402418), // Rule ID 34099 //
     /* 2402371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2402377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402396 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2402396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2402399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402401 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2402403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402417 */     // GIR_Coverage, 34099,
     /* 2402417 */     GIR_EraseRootFromParent_Done,
     /* 2402418 */   // Label 34600: @2402418
     /* 2402418 */   GIM_Try, /*On fail goto*//*Label 34601*/ GIMT_Encode4(2402470), // Rule ID 34100 //
     /* 2402423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2402429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402448 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2402448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2402451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402453 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2402455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402469 */     // GIR_Coverage, 34100,
     /* 2402469 */     GIR_EraseRootFromParent_Done,
     /* 2402470 */   // Label 34601: @2402470
     /* 2402470 */   GIM_Reject,
     /* 2402471 */ // Label 34597: @2402471
     /* 2402471 */ GIM_Reject,
     /* 2402472 */ // Label 34559: @2402472
     /* 2402472 */ GIM_Try, /*On fail goto*//*Label 34602*/ GIMT_Encode4(2402692),
     /* 2402477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2402480 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2402483 */   GIM_Try, /*On fail goto*//*Label 34603*/ GIMT_Encode4(2402535), // Rule ID 32749 //
     /* 2402488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2402494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402513 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2402513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2402516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402518 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2402520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402534 */     // GIR_Coverage, 32749,
     /* 2402534 */     GIR_EraseRootFromParent_Done,
     /* 2402535 */   // Label 34603: @2402535
     /* 2402535 */   GIM_Try, /*On fail goto*//*Label 34604*/ GIMT_Encode4(2402587), // Rule ID 32750 //
     /* 2402540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2402546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402565 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2402565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2402568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402570 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2402572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402586 */     // GIR_Coverage, 32750,
     /* 2402586 */     GIR_EraseRootFromParent_Done,
     /* 2402587 */   // Label 34604: @2402587
     /* 2402587 */   GIM_Try, /*On fail goto*//*Label 34605*/ GIMT_Encode4(2402639), // Rule ID 34369 //
     /* 2402592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2402598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402617 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2402617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2402620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402622 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2402624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402638 */     // GIR_Coverage, 34369,
     /* 2402638 */     GIR_EraseRootFromParent_Done,
     /* 2402639 */   // Label 34605: @2402639
     /* 2402639 */   GIM_Try, /*On fail goto*//*Label 34606*/ GIMT_Encode4(2402691), // Rule ID 34370 //
     /* 2402644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2402650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402669 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2402669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2402672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402674 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2402676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402690 */     // GIR_Coverage, 34370,
     /* 2402690 */     GIR_EraseRootFromParent_Done,
     /* 2402691 */   // Label 34606: @2402691
     /* 2402691 */   GIM_Reject,
     /* 2402692 */ // Label 34602: @2402692
     /* 2402692 */ GIM_Reject,
     /* 2402693 */ // Label 34560: @2402693
     /* 2402693 */ GIM_Try, /*On fail goto*//*Label 34607*/ GIMT_Encode4(2402913),
     /* 2402698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2402701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2402704 */   GIM_Try, /*On fail goto*//*Label 34608*/ GIMT_Encode4(2402756), // Rule ID 33739 //
     /* 2402709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2402712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2402715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402734 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2402734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2402737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402739 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2402741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2402751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402755 */     // GIR_Coverage, 33739,
     /* 2402755 */     GIR_EraseRootFromParent_Done,
     /* 2402756 */   // Label 34608: @2402756
     /* 2402756 */   GIM_Try, /*On fail goto*//*Label 34609*/ GIMT_Encode4(2402808), // Rule ID 33740 //
     /* 2402761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2402764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2402767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402786 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2402786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2402789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402791 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2402793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2402803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402807 */     // GIR_Coverage, 33740,
     /* 2402807 */     GIR_EraseRootFromParent_Done,
     /* 2402808 */   // Label 34609: @2402808
     /* 2402808 */   GIM_Try, /*On fail goto*//*Label 34610*/ GIMT_Encode4(2402860), // Rule ID 35089 //
     /* 2402813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2402816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2402819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402838 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2402838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2402841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402843 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2402845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2402855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402859 */     // GIR_Coverage, 35089,
     /* 2402859 */     GIR_EraseRootFromParent_Done,
     /* 2402860 */   // Label 34610: @2402860
     /* 2402860 */   GIM_Try, /*On fail goto*//*Label 34611*/ GIMT_Encode4(2402912), // Rule ID 35090 //
     /* 2402865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2402868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2402871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2402883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402890 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2402890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2402893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402895 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2402897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2402907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402911 */     // GIR_Coverage, 35090,
     /* 2402911 */     GIR_EraseRootFromParent_Done,
     /* 2402912 */   // Label 34611: @2402912
     /* 2402912 */   GIM_Reject,
     /* 2402913 */ // Label 34607: @2402913
     /* 2402913 */ GIM_Reject,
     /* 2402914 */ // Label 34561: @2402914
     /* 2402914 */ GIM_Try, /*On fail goto*//*Label 34612*/ GIMT_Encode4(2403030),
     /* 2402919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2402922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2402925 */   GIM_Try, /*On fail goto*//*Label 34613*/ GIMT_Encode4(2402977), // Rule ID 32209 //
     /* 2402930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2402936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402955 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2402955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2402958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402960 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2402962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2402975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402976 */     // GIR_Coverage, 32209,
     /* 2402976 */     GIR_EraseRootFromParent_Done,
     /* 2402977 */   // Label 34613: @2402977
     /* 2402977 */   GIM_Try, /*On fail goto*//*Label 34614*/ GIMT_Encode4(2403029), // Rule ID 32210 //
     /* 2402982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2402988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403007 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2403010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403012 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403028 */     // GIR_Coverage, 32210,
     /* 2403028 */     GIR_EraseRootFromParent_Done,
     /* 2403029 */   // Label 34614: @2403029
     /* 2403029 */   GIM_Reject,
     /* 2403030 */ // Label 34612: @2403030
     /* 2403030 */ GIM_Reject,
     /* 2403031 */ // Label 34562: @2403031
     /* 2403031 */ GIM_Try, /*On fail goto*//*Label 34615*/ GIMT_Encode4(2403251),
     /* 2403036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2403039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2403042 */   GIM_Try, /*On fail goto*//*Label 34616*/ GIMT_Encode4(2403094), // Rule ID 32659 //
     /* 2403047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403072 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2403075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403077 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403093 */     // GIR_Coverage, 32659,
     /* 2403093 */     GIR_EraseRootFromParent_Done,
     /* 2403094 */   // Label 34616: @2403094
     /* 2403094 */   GIM_Try, /*On fail goto*//*Label 34617*/ GIMT_Encode4(2403146), // Rule ID 32660 //
     /* 2403099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403124 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2403127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403129 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403145 */     // GIR_Coverage, 32660,
     /* 2403145 */     GIR_EraseRootFromParent_Done,
     /* 2403146 */   // Label 34617: @2403146
     /* 2403146 */   GIM_Try, /*On fail goto*//*Label 34618*/ GIMT_Encode4(2403198), // Rule ID 34279 //
     /* 2403151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403176 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2403179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403181 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403197 */     // GIR_Coverage, 34279,
     /* 2403197 */     GIR_EraseRootFromParent_Done,
     /* 2403198 */   // Label 34618: @2403198
     /* 2403198 */   GIM_Try, /*On fail goto*//*Label 34619*/ GIMT_Encode4(2403250), // Rule ID 34280 //
     /* 2403203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403228 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2403231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403233 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403249 */     // GIR_Coverage, 34280,
     /* 2403249 */     GIR_EraseRootFromParent_Done,
     /* 2403250 */   // Label 34619: @2403250
     /* 2403250 */   GIM_Reject,
     /* 2403251 */ // Label 34615: @2403251
     /* 2403251 */ GIM_Reject,
     /* 2403252 */ // Label 34563: @2403252
     /* 2403252 */ GIM_Try, /*On fail goto*//*Label 34620*/ GIMT_Encode4(2403472),
     /* 2403257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2403260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2403263 */   GIM_Try, /*On fail goto*//*Label 34621*/ GIMT_Encode4(2403315), // Rule ID 33469 //
     /* 2403268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403293 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2403296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403298 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403314 */     // GIR_Coverage, 33469,
     /* 2403314 */     GIR_EraseRootFromParent_Done,
     /* 2403315 */   // Label 34621: @2403315
     /* 2403315 */   GIM_Try, /*On fail goto*//*Label 34622*/ GIMT_Encode4(2403367), // Rule ID 33470 //
     /* 2403320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403345 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2403348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403350 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403366 */     // GIR_Coverage, 33470,
     /* 2403366 */     GIR_EraseRootFromParent_Done,
     /* 2403367 */   // Label 34622: @2403367
     /* 2403367 */   GIM_Try, /*On fail goto*//*Label 34623*/ GIMT_Encode4(2403419), // Rule ID 34819 //
     /* 2403372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403397 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2403400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403402 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403418 */     // GIR_Coverage, 34819,
     /* 2403418 */     GIR_EraseRootFromParent_Done,
     /* 2403419 */   // Label 34623: @2403419
     /* 2403419 */   GIM_Try, /*On fail goto*//*Label 34624*/ GIMT_Encode4(2403471), // Rule ID 34820 //
     /* 2403424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403449 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2403452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403454 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403470 */     // GIR_Coverage, 34820,
     /* 2403470 */     GIR_EraseRootFromParent_Done,
     /* 2403471 */   // Label 34624: @2403471
     /* 2403471 */   GIM_Reject,
     /* 2403472 */ // Label 34620: @2403472
     /* 2403472 */ GIM_Reject,
     /* 2403473 */ // Label 34564: @2403473
     /* 2403473 */ GIM_Try, /*On fail goto*//*Label 34625*/ GIMT_Encode4(2403693),
     /* 2403478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2403481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2403484 */   GIM_Try, /*On fail goto*//*Label 34626*/ GIMT_Encode4(2403536), // Rule ID 33829 //
     /* 2403489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2403492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403514 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2403517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403519 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403535 */     // GIR_Coverage, 33829,
     /* 2403535 */     GIR_EraseRootFromParent_Done,
     /* 2403536 */   // Label 34626: @2403536
     /* 2403536 */   GIM_Try, /*On fail goto*//*Label 34627*/ GIMT_Encode4(2403588), // Rule ID 33830 //
     /* 2403541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2403544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403566 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2403569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403571 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403587 */     // GIR_Coverage, 33830,
     /* 2403587 */     GIR_EraseRootFromParent_Done,
     /* 2403588 */   // Label 34627: @2403588
     /* 2403588 */   GIM_Try, /*On fail goto*//*Label 34628*/ GIMT_Encode4(2403640), // Rule ID 35179 //
     /* 2403593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2403596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403618 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2403621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403623 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403639 */     // GIR_Coverage, 35179,
     /* 2403639 */     GIR_EraseRootFromParent_Done,
     /* 2403640 */   // Label 34628: @2403640
     /* 2403640 */   GIM_Try, /*On fail goto*//*Label 34629*/ GIMT_Encode4(2403692), // Rule ID 35180 //
     /* 2403645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2403648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403670 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2403673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403675 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403691 */     // GIR_Coverage, 35180,
     /* 2403691 */     GIR_EraseRootFromParent_Done,
     /* 2403692 */   // Label 34629: @2403692
     /* 2403692 */   GIM_Reject,
     /* 2403693 */ // Label 34625: @2403693
     /* 2403693 */ GIM_Reject,
     /* 2403694 */ // Label 34565: @2403694
     /* 2403694 */ GIM_Try, /*On fail goto*//*Label 34630*/ GIMT_Encode4(2403810),
     /* 2403699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2403702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2403705 */   GIM_Try, /*On fail goto*//*Label 34631*/ GIMT_Encode4(2403757), // Rule ID 32569 //
     /* 2403710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403735 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2403738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403740 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403756 */     // GIR_Coverage, 32569,
     /* 2403756 */     GIR_EraseRootFromParent_Done,
     /* 2403757 */   // Label 34631: @2403757
     /* 2403757 */   GIM_Try, /*On fail goto*//*Label 34632*/ GIMT_Encode4(2403809), // Rule ID 32570 //
     /* 2403762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403787 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2403790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403792 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403808 */     // GIR_Coverage, 32570,
     /* 2403808 */     GIR_EraseRootFromParent_Done,
     /* 2403809 */   // Label 34632: @2403809
     /* 2403809 */   GIM_Reject,
     /* 2403810 */ // Label 34630: @2403810
     /* 2403810 */ GIM_Reject,
     /* 2403811 */ // Label 34566: @2403811
     /* 2403811 */ GIM_Try, /*On fail goto*//*Label 34633*/ GIMT_Encode4(2404031),
     /* 2403816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2403819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2403822 */   GIM_Try, /*On fail goto*//*Label 34634*/ GIMT_Encode4(2403874), // Rule ID 33199 //
     /* 2403827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403852 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2403855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403857 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403873 */     // GIR_Coverage, 33199,
     /* 2403873 */     GIR_EraseRootFromParent_Done,
     /* 2403874 */   // Label 34634: @2403874
     /* 2403874 */   GIM_Try, /*On fail goto*//*Label 34635*/ GIMT_Encode4(2403926), // Rule ID 33200 //
     /* 2403879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403904 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2403904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2403907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403909 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403925 */     // GIR_Coverage, 33200,
     /* 2403925 */     GIR_EraseRootFromParent_Done,
     /* 2403926 */   // Label 34635: @2403926
     /* 2403926 */   GIM_Try, /*On fail goto*//*Label 34636*/ GIMT_Encode4(2403978), // Rule ID 34549 //
     /* 2403931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403956 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2403956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2403959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403961 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2403963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2403976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403977 */     // GIR_Coverage, 34549,
     /* 2403977 */     GIR_EraseRootFromParent_Done,
     /* 2403978 */   // Label 34636: @2403978
     /* 2403978 */   GIM_Try, /*On fail goto*//*Label 34637*/ GIMT_Encode4(2404030), // Rule ID 34550 //
     /* 2403983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404008 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404013 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404029 */     // GIR_Coverage, 34550,
     /* 2404029 */     GIR_EraseRootFromParent_Done,
     /* 2404030 */   // Label 34637: @2404030
     /* 2404030 */   GIM_Reject,
     /* 2404031 */ // Label 34633: @2404031
     /* 2404031 */ GIM_Reject,
     /* 2404032 */ // Label 34567: @2404032
     /* 2404032 */ GIM_Try, /*On fail goto*//*Label 34638*/ GIMT_Encode4(2404252),
     /* 2404037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2404040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2404043 */   GIM_Try, /*On fail goto*//*Label 34639*/ GIMT_Encode4(2404095), // Rule ID 33559 //
     /* 2404048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404073 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2404076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404078 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404094 */     // GIR_Coverage, 33559,
     /* 2404094 */     GIR_EraseRootFromParent_Done,
     /* 2404095 */   // Label 34639: @2404095
     /* 2404095 */   GIM_Try, /*On fail goto*//*Label 34640*/ GIMT_Encode4(2404147), // Rule ID 33560 //
     /* 2404100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404125 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2404128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404130 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404146 */     // GIR_Coverage, 33560,
     /* 2404146 */     GIR_EraseRootFromParent_Done,
     /* 2404147 */   // Label 34640: @2404147
     /* 2404147 */   GIM_Try, /*On fail goto*//*Label 34641*/ GIMT_Encode4(2404199), // Rule ID 34909 //
     /* 2404152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404177 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2404180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404182 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404198 */     // GIR_Coverage, 34909,
     /* 2404198 */     GIR_EraseRootFromParent_Done,
     /* 2404199 */   // Label 34641: @2404199
     /* 2404199 */   GIM_Try, /*On fail goto*//*Label 34642*/ GIMT_Encode4(2404251), // Rule ID 34910 //
     /* 2404204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404229 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2404232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404234 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404250 */     // GIR_Coverage, 34910,
     /* 2404250 */     GIR_EraseRootFromParent_Done,
     /* 2404251 */   // Label 34642: @2404251
     /* 2404251 */   GIM_Reject,
     /* 2404252 */ // Label 34638: @2404252
     /* 2404252 */ GIM_Reject,
     /* 2404253 */ // Label 34568: @2404253
     /* 2404253 */ GIM_Try, /*On fail goto*//*Label 34643*/ GIMT_Encode4(2404473),
     /* 2404258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2404261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2404264 */   GIM_Try, /*On fail goto*//*Label 34644*/ GIMT_Encode4(2404316), // Rule ID 33919 //
     /* 2404269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2404272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404294 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2404297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404299 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404315 */     // GIR_Coverage, 33919,
     /* 2404315 */     GIR_EraseRootFromParent_Done,
     /* 2404316 */   // Label 34644: @2404316
     /* 2404316 */   GIM_Try, /*On fail goto*//*Label 34645*/ GIMT_Encode4(2404368), // Rule ID 33920 //
     /* 2404321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2404324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404346 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2404349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404351 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404367 */     // GIR_Coverage, 33920,
     /* 2404367 */     GIR_EraseRootFromParent_Done,
     /* 2404368 */   // Label 34645: @2404368
     /* 2404368 */   GIM_Try, /*On fail goto*//*Label 34646*/ GIMT_Encode4(2404420), // Rule ID 35269 //
     /* 2404373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2404376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404398 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2404401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404403 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404419 */     // GIR_Coverage, 35269,
     /* 2404419 */     GIR_EraseRootFromParent_Done,
     /* 2404420 */   // Label 34646: @2404420
     /* 2404420 */   GIM_Try, /*On fail goto*//*Label 34647*/ GIMT_Encode4(2404472), // Rule ID 35270 //
     /* 2404425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2404428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404450 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2404453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404455 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404471 */     // GIR_Coverage, 35270,
     /* 2404471 */     GIR_EraseRootFromParent_Done,
     /* 2404472 */   // Label 34647: @2404472
     /* 2404472 */   GIM_Reject,
     /* 2404473 */ // Label 34643: @2404473
     /* 2404473 */ GIM_Reject,
     /* 2404474 */ // Label 34569: @2404474
     /* 2404474 */ GIM_Try, /*On fail goto*//*Label 34648*/ GIMT_Encode4(2404590),
     /* 2404479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2404482 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2404485 */   GIM_Try, /*On fail goto*//*Label 34649*/ GIMT_Encode4(2404537), // Rule ID 32929 //
     /* 2404490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404515 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404520 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2404532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404536 */     // GIR_Coverage, 32929,
     /* 2404536 */     GIR_EraseRootFromParent_Done,
     /* 2404537 */   // Label 34649: @2404537
     /* 2404537 */   GIM_Try, /*On fail goto*//*Label 34650*/ GIMT_Encode4(2404589), // Rule ID 32930 //
     /* 2404542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404567 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2404570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404572 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2404584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404588 */     // GIR_Coverage, 32930,
     /* 2404588 */     GIR_EraseRootFromParent_Done,
     /* 2404589 */   // Label 34650: @2404589
     /* 2404589 */   GIM_Reject,
     /* 2404590 */ // Label 34648: @2404590
     /* 2404590 */ GIM_Reject,
     /* 2404591 */ // Label 34570: @2404591
     /* 2404591 */ GIM_Try, /*On fail goto*//*Label 34651*/ GIMT_Encode4(2404811),
     /* 2404596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2404599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2404602 */   GIM_Try, /*On fail goto*//*Label 34652*/ GIMT_Encode4(2404654), // Rule ID 33289 //
     /* 2404607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404632 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2404635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404637 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404653 */     // GIR_Coverage, 33289,
     /* 2404653 */     GIR_EraseRootFromParent_Done,
     /* 2404654 */   // Label 34652: @2404654
     /* 2404654 */   GIM_Try, /*On fail goto*//*Label 34653*/ GIMT_Encode4(2404706), // Rule ID 33290 //
     /* 2404659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404684 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2404687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404689 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404705 */     // GIR_Coverage, 33290,
     /* 2404705 */     GIR_EraseRootFromParent_Done,
     /* 2404706 */   // Label 34653: @2404706
     /* 2404706 */   GIM_Try, /*On fail goto*//*Label 34654*/ GIMT_Encode4(2404758), // Rule ID 34639 //
     /* 2404711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404736 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2404739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404741 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404757 */     // GIR_Coverage, 34639,
     /* 2404757 */     GIR_EraseRootFromParent_Done,
     /* 2404758 */   // Label 34654: @2404758
     /* 2404758 */   GIM_Try, /*On fail goto*//*Label 34655*/ GIMT_Encode4(2404810), // Rule ID 34640 //
     /* 2404763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404788 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2404791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404793 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404809 */     // GIR_Coverage, 34640,
     /* 2404809 */     GIR_EraseRootFromParent_Done,
     /* 2404810 */   // Label 34655: @2404810
     /* 2404810 */   GIM_Reject,
     /* 2404811 */ // Label 34651: @2404811
     /* 2404811 */ GIM_Reject,
     /* 2404812 */ // Label 34571: @2404812
     /* 2404812 */ GIM_Try, /*On fail goto*//*Label 34656*/ GIMT_Encode4(2405032),
     /* 2404817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2404820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2404823 */   GIM_Try, /*On fail goto*//*Label 34657*/ GIMT_Encode4(2404875), // Rule ID 33649 //
     /* 2404828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404853 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2404856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404858 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404874 */     // GIR_Coverage, 33649,
     /* 2404874 */     GIR_EraseRootFromParent_Done,
     /* 2404875 */   // Label 34657: @2404875
     /* 2404875 */   GIM_Try, /*On fail goto*//*Label 34658*/ GIMT_Encode4(2404927), // Rule ID 33650 //
     /* 2404880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404905 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2404905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2404908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404910 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404926 */     // GIR_Coverage, 33650,
     /* 2404926 */     GIR_EraseRootFromParent_Done,
     /* 2404927 */   // Label 34658: @2404927
     /* 2404927 */   GIM_Try, /*On fail goto*//*Label 34659*/ GIMT_Encode4(2404979), // Rule ID 34999 //
     /* 2404932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404957 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2404957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2404960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404962 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2404964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2404977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404978 */     // GIR_Coverage, 34999,
     /* 2404978 */     GIR_EraseRootFromParent_Done,
     /* 2404979 */   // Label 34659: @2404979
     /* 2404979 */   GIM_Try, /*On fail goto*//*Label 34660*/ GIMT_Encode4(2405031), // Rule ID 35000 //
     /* 2404984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405009 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2405012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405014 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405030 */     // GIR_Coverage, 35000,
     /* 2405030 */     GIR_EraseRootFromParent_Done,
     /* 2405031 */   // Label 34660: @2405031
     /* 2405031 */   GIM_Reject,
     /* 2405032 */ // Label 34656: @2405032
     /* 2405032 */ GIM_Reject,
     /* 2405033 */ // Label 34572: @2405033
     /* 2405033 */ GIM_Try, /*On fail goto*//*Label 34661*/ GIMT_Encode4(2405149),
     /* 2405038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2405041 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2405044 */   GIM_Try, /*On fail goto*//*Label 34662*/ GIMT_Encode4(2405096), // Rule ID 33019 //
     /* 2405049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405074 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405079 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405095 */     // GIR_Coverage, 33019,
     /* 2405095 */     GIR_EraseRootFromParent_Done,
     /* 2405096 */   // Label 34662: @2405096
     /* 2405096 */   GIM_Try, /*On fail goto*//*Label 34663*/ GIMT_Encode4(2405148), // Rule ID 33020 //
     /* 2405101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2405119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405126 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2405129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405131 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405147 */     // GIR_Coverage, 33020,
     /* 2405147 */     GIR_EraseRootFromParent_Done,
     /* 2405148 */   // Label 34663: @2405148
     /* 2405148 */   GIM_Reject,
     /* 2405149 */ // Label 34661: @2405149
     /* 2405149 */ GIM_Reject,
     /* 2405150 */ // Label 34573: @2405150
     /* 2405150 */ GIM_Try, /*On fail goto*//*Label 34664*/ GIMT_Encode4(2405370),
     /* 2405155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2405158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2405161 */   GIM_Try, /*On fail goto*//*Label 34665*/ GIMT_Encode4(2405213), // Rule ID 33379 //
     /* 2405166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405191 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2405194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405196 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405212 */     // GIR_Coverage, 33379,
     /* 2405212 */     GIR_EraseRootFromParent_Done,
     /* 2405213 */   // Label 34665: @2405213
     /* 2405213 */   GIM_Try, /*On fail goto*//*Label 34666*/ GIMT_Encode4(2405265), // Rule ID 33380 //
     /* 2405218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405243 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2405246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405248 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405264 */     // GIR_Coverage, 33380,
     /* 2405264 */     GIR_EraseRootFromParent_Done,
     /* 2405265 */   // Label 34666: @2405265
     /* 2405265 */   GIM_Try, /*On fail goto*//*Label 34667*/ GIMT_Encode4(2405317), // Rule ID 34729 //
     /* 2405270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405295 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2405298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405300 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405316 */     // GIR_Coverage, 34729,
     /* 2405316 */     GIR_EraseRootFromParent_Done,
     /* 2405317 */   // Label 34667: @2405317
     /* 2405317 */   GIM_Try, /*On fail goto*//*Label 34668*/ GIMT_Encode4(2405369), // Rule ID 34730 //
     /* 2405322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405347 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2405350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405352 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405368 */     // GIR_Coverage, 34730,
     /* 2405368 */     GIR_EraseRootFromParent_Done,
     /* 2405369 */   // Label 34668: @2405369
     /* 2405369 */   GIM_Reject,
     /* 2405370 */ // Label 34664: @2405370
     /* 2405370 */ GIM_Reject,
     /* 2405371 */ // Label 34574: @2405371
     /* 2405371 */ GIM_Try, /*On fail goto*//*Label 34669*/ GIMT_Encode4(2405487),
     /* 2405376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2405379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2405382 */   GIM_Try, /*On fail goto*//*Label 34670*/ GIMT_Encode4(2405434), // Rule ID 33109 //
     /* 2405387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405412 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2405412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2405415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405417 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405433 */     // GIR_Coverage, 33109,
     /* 2405433 */     GIR_EraseRootFromParent_Done,
     /* 2405434 */   // Label 34670: @2405434
     /* 2405434 */   GIM_Try, /*On fail goto*//*Label 34671*/ GIMT_Encode4(2405486), // Rule ID 33110 //
     /* 2405439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2405457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405464 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2405464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2405467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405469 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2405471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2405484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405485 */     // GIR_Coverage, 33110,
     /* 2405485 */     GIR_EraseRootFromParent_Done,
     /* 2405486 */   // Label 34671: @2405486
     /* 2405486 */   GIM_Reject,
     /* 2405487 */ // Label 34669: @2405487
     /* 2405487 */ GIM_Reject,
     /* 2405488 */ // Label 34575: @2405488
     /* 2405488 */ GIM_Reject,
     /* 2405489 */ // Label 119: @2405489
     /* 2405489 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34694*/ GIMT_Encode4(2417368),
     /* 2405500 */ /*GILLT_nxv1s8*//*Label 34672*/ GIMT_Encode4(2405612),
     /* 2405504 */ /*GILLT_nxv1s16*//*Label 34673*/ GIMT_Encode4(2405935),
     /* 2405508 */ /*GILLT_nxv1s32*//*Label 34674*/ GIMT_Encode4(2406568),
     /* 2405512 */ /*GILLT_nxv1s64*//*Label 34675*/ GIMT_Encode4(2407201), GIMT_Encode4(0),
     /* 2405520 */ /*GILLT_nxv2s8*//*Label 34676*/ GIMT_Encode4(2407834),
     /* 2405524 */ /*GILLT_nxv2s16*//*Label 34677*/ GIMT_Encode4(2408157),
     /* 2405528 */ /*GILLT_nxv2s32*//*Label 34678*/ GIMT_Encode4(2408790),
     /* 2405532 */ /*GILLT_nxv2s64*//*Label 34679*/ GIMT_Encode4(2409423), GIMT_Encode4(0),
     /* 2405540 */ /*GILLT_nxv4s8*//*Label 34680*/ GIMT_Encode4(2410056),
     /* 2405544 */ /*GILLT_nxv4s16*//*Label 34681*/ GIMT_Encode4(2410379),
     /* 2405548 */ /*GILLT_nxv4s32*//*Label 34682*/ GIMT_Encode4(2411012),
     /* 2405552 */ /*GILLT_nxv4s64*//*Label 34683*/ GIMT_Encode4(2411645), GIMT_Encode4(0),
     /* 2405560 */ /*GILLT_nxv8s8*//*Label 34684*/ GIMT_Encode4(2412278),
     /* 2405564 */ /*GILLT_nxv8s16*//*Label 34685*/ GIMT_Encode4(2412601),
     /* 2405568 */ /*GILLT_nxv8s32*//*Label 34686*/ GIMT_Encode4(2413234),
     /* 2405572 */ /*GILLT_nxv8s64*//*Label 34687*/ GIMT_Encode4(2413867), GIMT_Encode4(0),
     /* 2405580 */ /*GILLT_nxv16s8*//*Label 34688*/ GIMT_Encode4(2414500),
     /* 2405584 */ /*GILLT_nxv16s16*//*Label 34689*/ GIMT_Encode4(2414823),
     /* 2405588 */ /*GILLT_nxv16s32*//*Label 34690*/ GIMT_Encode4(2415456), GIMT_Encode4(0),
     /* 2405596 */ /*GILLT_nxv32s8*//*Label 34691*/ GIMT_Encode4(2416089),
     /* 2405600 */ /*GILLT_nxv32s16*//*Label 34692*/ GIMT_Encode4(2416412), GIMT_Encode4(0),
     /* 2405608 */ /*GILLT_nxv64s8*//*Label 34693*/ GIMT_Encode4(2417045),
     /* 2405612 */ // Label 34672: @2405612
     /* 2405612 */ GIM_Try, /*On fail goto*//*Label 34695*/ GIMT_Encode4(2405934),
     /* 2405617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2405620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2405623 */   GIM_Try, /*On fail goto*//*Label 34696*/ GIMT_Encode4(2405706), // Rule ID 45173 //
     /* 2405628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2405637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2405640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2405644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2405660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2405664 */     // MIs[1] Operand 1
     /* 2405664 */     // No operand predicates
     /* 2405664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2405668 */     // MIs[0] policy
     /* 2405668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2405671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405680 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2405680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2405683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2405689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2405692 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2405694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2405704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405705 */     // GIR_Coverage, 45173,
     /* 2405705 */     GIR_EraseRootFromParent_Done,
     /* 2405706 */   // Label 34696: @2405706
     /* 2405706 */   GIM_Try, /*On fail goto*//*Label 34697*/ GIMT_Encode4(2405789), // Rule ID 45174 //
     /* 2405711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2405720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2405723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2405727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2405743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2405747 */     // MIs[1] Operand 1
     /* 2405747 */     // No operand predicates
     /* 2405747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2405751 */     // MIs[0] policy
     /* 2405751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2405754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405763 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2405763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2405766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2405772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2405775 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2405777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2405787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405788 */     // GIR_Coverage, 45174,
     /* 2405788 */     GIR_EraseRootFromParent_Done,
     /* 2405789 */   // Label 34697: @2405789
     /* 2405789 */   GIM_Try, /*On fail goto*//*Label 34698*/ GIMT_Encode4(2405861), // Rule ID 45175 //
     /* 2405794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2405803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2405806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2405810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2405822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2405826 */     // MIs[0] policy
     /* 2405826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2405829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405836 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2405836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2405839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2405845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405847 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2405849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2405859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405860 */     // GIR_Coverage, 45175,
     /* 2405860 */     GIR_EraseRootFromParent_Done,
     /* 2405861 */   // Label 34698: @2405861
     /* 2405861 */   GIM_Try, /*On fail goto*//*Label 34699*/ GIMT_Encode4(2405933), // Rule ID 45176 //
     /* 2405866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2405875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2405878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2405882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2405894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2405898 */     // MIs[0] policy
     /* 2405898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2405901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405908 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2405908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2405911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2405917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2405921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2405931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405932 */     // GIR_Coverage, 45176,
     /* 2405932 */     GIR_EraseRootFromParent_Done,
     /* 2405933 */   // Label 34699: @2405933
     /* 2405933 */   GIM_Reject,
     /* 2405934 */ // Label 34695: @2405934
     /* 2405934 */ GIM_Reject,
     /* 2405935 */ // Label 34673: @2405935
     /* 2405935 */ GIM_Try, /*On fail goto*//*Label 34700*/ GIMT_Encode4(2406567),
     /* 2405940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2405943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2405946 */   GIM_Try, /*On fail goto*//*Label 34701*/ GIMT_Encode4(2406029), // Rule ID 45185 //
     /* 2405951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2405960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2405963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2405967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2405983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2405987 */     // MIs[1] Operand 1
     /* 2405987 */     // No operand predicates
     /* 2405987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2405991 */     // MIs[0] policy
     /* 2405991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2405994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406003 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2406003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2406006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2406015 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406028 */     // GIR_Coverage, 45185,
     /* 2406028 */     GIR_EraseRootFromParent_Done,
     /* 2406029 */   // Label 34701: @2406029
     /* 2406029 */   GIM_Try, /*On fail goto*//*Label 34702*/ GIMT_Encode4(2406112), // Rule ID 45186 //
     /* 2406034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2406043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2406046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2406050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2406062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2406066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2406070 */     // MIs[1] Operand 1
     /* 2406070 */     // No operand predicates
     /* 2406070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406074 */     // MIs[0] policy
     /* 2406074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406086 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2406086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2406089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2406098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406111 */     // GIR_Coverage, 45186,
     /* 2406111 */     GIR_EraseRootFromParent_Done,
     /* 2406112 */   // Label 34702: @2406112
     /* 2406112 */   GIM_Try, /*On fail goto*//*Label 34703*/ GIMT_Encode4(2406195), // Rule ID 45261 //
     /* 2406117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2406126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2406129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2406133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2406145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2406149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2406153 */     // MIs[1] Operand 1
     /* 2406153 */     // No operand predicates
     /* 2406153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406157 */     // MIs[0] policy
     /* 2406157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406169 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2406169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2406172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2406181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406194 */     // GIR_Coverage, 45261,
     /* 2406194 */     GIR_EraseRootFromParent_Done,
     /* 2406195 */   // Label 34703: @2406195
     /* 2406195 */   GIM_Try, /*On fail goto*//*Label 34704*/ GIMT_Encode4(2406278), // Rule ID 45262 //
     /* 2406200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2406209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2406212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2406216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2406228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2406232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2406236 */     // MIs[1] Operand 1
     /* 2406236 */     // No operand predicates
     /* 2406236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406240 */     // MIs[0] policy
     /* 2406240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406252 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2406252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2406255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2406264 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406277 */     // GIR_Coverage, 45262,
     /* 2406277 */     GIR_EraseRootFromParent_Done,
     /* 2406278 */   // Label 34704: @2406278
     /* 2406278 */   GIM_Try, /*On fail goto*//*Label 34705*/ GIMT_Encode4(2406350), // Rule ID 45187 //
     /* 2406283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2406292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2406295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2406299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406315 */     // MIs[0] policy
     /* 2406315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406325 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2406325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2406328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406349 */     // GIR_Coverage, 45187,
     /* 2406349 */     GIR_EraseRootFromParent_Done,
     /* 2406350 */   // Label 34705: @2406350
     /* 2406350 */   GIM_Try, /*On fail goto*//*Label 34706*/ GIMT_Encode4(2406422), // Rule ID 45188 //
     /* 2406355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2406364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2406367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2406371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406387 */     // MIs[0] policy
     /* 2406387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406397 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2406397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2406400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406408 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406421 */     // GIR_Coverage, 45188,
     /* 2406421 */     GIR_EraseRootFromParent_Done,
     /* 2406422 */   // Label 34706: @2406422
     /* 2406422 */   GIM_Try, /*On fail goto*//*Label 34707*/ GIMT_Encode4(2406494), // Rule ID 45263 //
     /* 2406427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2406436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2406439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2406443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406459 */     // MIs[0] policy
     /* 2406459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406469 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2406469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2406472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406480 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406493 */     // GIR_Coverage, 45263,
     /* 2406493 */     GIR_EraseRootFromParent_Done,
     /* 2406494 */   // Label 34707: @2406494
     /* 2406494 */   GIM_Try, /*On fail goto*//*Label 34708*/ GIMT_Encode4(2406566), // Rule ID 45264 //
     /* 2406499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2406508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2406511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2406515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406531 */     // MIs[0] policy
     /* 2406531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406541 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2406541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2406544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406552 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406565 */     // GIR_Coverage, 45264,
     /* 2406565 */     GIR_EraseRootFromParent_Done,
     /* 2406566 */   // Label 34708: @2406566
     /* 2406566 */   GIM_Reject,
     /* 2406567 */ // Label 34700: @2406567
     /* 2406567 */ GIM_Reject,
     /* 2406568 */ // Label 34674: @2406568
     /* 2406568 */ GIM_Try, /*On fail goto*//*Label 34709*/ GIMT_Encode4(2407200),
     /* 2406573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2406576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2406579 */   GIM_Try, /*On fail goto*//*Label 34710*/ GIMT_Encode4(2406662), // Rule ID 45193 //
     /* 2406584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2406593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2406596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2406600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2406612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2406616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2406620 */     // MIs[1] Operand 1
     /* 2406620 */     // No operand predicates
     /* 2406620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406624 */     // MIs[0] policy
     /* 2406624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406636 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2406636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2406639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2406648 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406661 */     // GIR_Coverage, 45193,
     /* 2406661 */     GIR_EraseRootFromParent_Done,
     /* 2406662 */   // Label 34710: @2406662
     /* 2406662 */   GIM_Try, /*On fail goto*//*Label 34711*/ GIMT_Encode4(2406745), // Rule ID 45194 //
     /* 2406667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2406676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2406679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2406683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2406695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2406699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2406703 */     // MIs[1] Operand 1
     /* 2406703 */     // No operand predicates
     /* 2406703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406707 */     // MIs[0] policy
     /* 2406707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406719 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2406719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2406722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2406731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406744 */     // GIR_Coverage, 45194,
     /* 2406744 */     GIR_EraseRootFromParent_Done,
     /* 2406745 */   // Label 34711: @2406745
     /* 2406745 */   GIM_Try, /*On fail goto*//*Label 34712*/ GIMT_Encode4(2406828), // Rule ID 45269 //
     /* 2406750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2406759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2406762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2406766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2406778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2406782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2406786 */     // MIs[1] Operand 1
     /* 2406786 */     // No operand predicates
     /* 2406786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406790 */     // MIs[0] policy
     /* 2406790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406802 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2406802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2406805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2406814 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406827 */     // GIR_Coverage, 45269,
     /* 2406827 */     GIR_EraseRootFromParent_Done,
     /* 2406828 */   // Label 34712: @2406828
     /* 2406828 */   GIM_Try, /*On fail goto*//*Label 34713*/ GIMT_Encode4(2406911), // Rule ID 45270 //
     /* 2406833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2406842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2406845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2406849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2406861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2406865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2406869 */     // MIs[1] Operand 1
     /* 2406869 */     // No operand predicates
     /* 2406869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406873 */     // MIs[0] policy
     /* 2406873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406885 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2406885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2406888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2406897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406910 */     // GIR_Coverage, 45270,
     /* 2406910 */     GIR_EraseRootFromParent_Done,
     /* 2406911 */   // Label 34713: @2406911
     /* 2406911 */   GIM_Try, /*On fail goto*//*Label 34714*/ GIMT_Encode4(2406983), // Rule ID 45195 //
     /* 2406916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2406925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2406928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2406932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406948 */     // MIs[0] policy
     /* 2406948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406958 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2406958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2406961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406982 */     // GIR_Coverage, 45195,
     /* 2406982 */     GIR_EraseRootFromParent_Done,
     /* 2406983 */   // Label 34714: @2406983
     /* 2406983 */   GIM_Try, /*On fail goto*//*Label 34715*/ GIMT_Encode4(2407055), // Rule ID 45196 //
     /* 2406988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2406997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407020 */     // MIs[0] policy
     /* 2407020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407030 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2407033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2407051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407054 */     // GIR_Coverage, 45196,
     /* 2407054 */     GIR_EraseRootFromParent_Done,
     /* 2407055 */   // Label 34715: @2407055
     /* 2407055 */   GIM_Try, /*On fail goto*//*Label 34716*/ GIMT_Encode4(2407127), // Rule ID 45271 //
     /* 2407060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407092 */     // MIs[0] policy
     /* 2407092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407102 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2407105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2407123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407126 */     // GIR_Coverage, 45271,
     /* 2407126 */     GIR_EraseRootFromParent_Done,
     /* 2407127 */   // Label 34716: @2407127
     /* 2407127 */   GIM_Try, /*On fail goto*//*Label 34717*/ GIMT_Encode4(2407199), // Rule ID 45272 //
     /* 2407132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407164 */     // MIs[0] policy
     /* 2407164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407174 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2407177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2407195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407198 */     // GIR_Coverage, 45272,
     /* 2407198 */     GIR_EraseRootFromParent_Done,
     /* 2407199 */   // Label 34717: @2407199
     /* 2407199 */   GIM_Reject,
     /* 2407200 */ // Label 34709: @2407200
     /* 2407200 */ GIM_Reject,
     /* 2407201 */ // Label 34675: @2407201
     /* 2407201 */ GIM_Try, /*On fail goto*//*Label 34718*/ GIMT_Encode4(2407833),
     /* 2407206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2407209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2407212 */   GIM_Try, /*On fail goto*//*Label 34719*/ GIMT_Encode4(2407295), // Rule ID 45209 //
     /* 2407217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2407220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407253 */     // MIs[1] Operand 1
     /* 2407253 */     // No operand predicates
     /* 2407253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407257 */     // MIs[0] policy
     /* 2407257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407269 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2407272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407294 */     // GIR_Coverage, 45209,
     /* 2407294 */     GIR_EraseRootFromParent_Done,
     /* 2407295 */   // Label 34719: @2407295
     /* 2407295 */   GIM_Try, /*On fail goto*//*Label 34720*/ GIMT_Encode4(2407378), // Rule ID 45210 //
     /* 2407300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2407303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407336 */     // MIs[1] Operand 1
     /* 2407336 */     // No operand predicates
     /* 2407336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407340 */     // MIs[0] policy
     /* 2407340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407352 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2407355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407377 */     // GIR_Coverage, 45210,
     /* 2407377 */     GIR_EraseRootFromParent_Done,
     /* 2407378 */   // Label 34720: @2407378
     /* 2407378 */   GIM_Try, /*On fail goto*//*Label 34721*/ GIMT_Encode4(2407461), // Rule ID 45281 //
     /* 2407383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2407386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407419 */     // MIs[1] Operand 1
     /* 2407419 */     // No operand predicates
     /* 2407419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407423 */     // MIs[0] policy
     /* 2407423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407435 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2407438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407447 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407460 */     // GIR_Coverage, 45281,
     /* 2407460 */     GIR_EraseRootFromParent_Done,
     /* 2407461 */   // Label 34721: @2407461
     /* 2407461 */   GIM_Try, /*On fail goto*//*Label 34722*/ GIMT_Encode4(2407544), // Rule ID 45282 //
     /* 2407466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2407469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407502 */     // MIs[1] Operand 1
     /* 2407502 */     // No operand predicates
     /* 2407502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407506 */     // MIs[0] policy
     /* 2407506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407518 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2407521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407530 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407543 */     // GIR_Coverage, 45282,
     /* 2407543 */     GIR_EraseRootFromParent_Done,
     /* 2407544 */   // Label 34722: @2407544
     /* 2407544 */   GIM_Try, /*On fail goto*//*Label 34723*/ GIMT_Encode4(2407616), // Rule ID 45211 //
     /* 2407549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2407552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407581 */     // MIs[0] policy
     /* 2407581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407591 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2407594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407602 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407615 */     // GIR_Coverage, 45211,
     /* 2407615 */     GIR_EraseRootFromParent_Done,
     /* 2407616 */   // Label 34723: @2407616
     /* 2407616 */   GIM_Try, /*On fail goto*//*Label 34724*/ GIMT_Encode4(2407688), // Rule ID 45212 //
     /* 2407621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2407624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407653 */     // MIs[0] policy
     /* 2407653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407663 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2407666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407674 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407687 */     // GIR_Coverage, 45212,
     /* 2407687 */     GIR_EraseRootFromParent_Done,
     /* 2407688 */   // Label 34724: @2407688
     /* 2407688 */   GIM_Try, /*On fail goto*//*Label 34725*/ GIMT_Encode4(2407760), // Rule ID 45283 //
     /* 2407693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2407696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407725 */     // MIs[0] policy
     /* 2407725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407735 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2407738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407746 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407759 */     // GIR_Coverage, 45283,
     /* 2407759 */     GIR_EraseRootFromParent_Done,
     /* 2407760 */   // Label 34725: @2407760
     /* 2407760 */   GIM_Try, /*On fail goto*//*Label 34726*/ GIMT_Encode4(2407832), // Rule ID 45284 //
     /* 2407765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2407768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2407774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407797 */     // MIs[0] policy
     /* 2407797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407807 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2407810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407818 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407831 */     // GIR_Coverage, 45284,
     /* 2407831 */     GIR_EraseRootFromParent_Done,
     /* 2407832 */   // Label 34726: @2407832
     /* 2407832 */   GIM_Reject,
     /* 2407833 */ // Label 34718: @2407833
     /* 2407833 */ GIM_Reject,
     /* 2407834 */ // Label 34676: @2407834
     /* 2407834 */ GIM_Try, /*On fail goto*//*Label 34727*/ GIMT_Encode4(2408156),
     /* 2407839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2407842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2407845 */   GIM_Try, /*On fail goto*//*Label 34728*/ GIMT_Encode4(2407928), // Rule ID 45177 //
     /* 2407850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2407859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407886 */     // MIs[1] Operand 1
     /* 2407886 */     // No operand predicates
     /* 2407886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407890 */     // MIs[0] policy
     /* 2407890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407902 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2407905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407927 */     // GIR_Coverage, 45177,
     /* 2407927 */     GIR_EraseRootFromParent_Done,
     /* 2407928 */   // Label 34728: @2407928
     /* 2407928 */   GIM_Try, /*On fail goto*//*Label 34729*/ GIMT_Encode4(2408011), // Rule ID 45178 //
     /* 2407933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2407942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407969 */     // MIs[1] Operand 1
     /* 2407969 */     // No operand predicates
     /* 2407969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407973 */     // MIs[0] policy
     /* 2407973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407985 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2407988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2408007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408010 */     // GIR_Coverage, 45178,
     /* 2408010 */     GIR_EraseRootFromParent_Done,
     /* 2408011 */   // Label 34729: @2408011
     /* 2408011 */   GIM_Try, /*On fail goto*//*Label 34730*/ GIMT_Encode4(2408083), // Rule ID 45179 //
     /* 2408016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2408025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408048 */     // MIs[0] policy
     /* 2408048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408058 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2408061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2408079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408082 */     // GIR_Coverage, 45179,
     /* 2408082 */     GIR_EraseRootFromParent_Done,
     /* 2408083 */   // Label 34730: @2408083
     /* 2408083 */   GIM_Try, /*On fail goto*//*Label 34731*/ GIMT_Encode4(2408155), // Rule ID 45180 //
     /* 2408088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2408097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408120 */     // MIs[0] policy
     /* 2408120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408130 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2408133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2408151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408154 */     // GIR_Coverage, 45180,
     /* 2408154 */     GIR_EraseRootFromParent_Done,
     /* 2408155 */   // Label 34731: @2408155
     /* 2408155 */   GIM_Reject,
     /* 2408156 */ // Label 34727: @2408156
     /* 2408156 */ GIM_Reject,
     /* 2408157 */ // Label 34677: @2408157
     /* 2408157 */ GIM_Try, /*On fail goto*//*Label 34732*/ GIMT_Encode4(2408789),
     /* 2408162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2408165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2408168 */   GIM_Try, /*On fail goto*//*Label 34733*/ GIMT_Encode4(2408251), // Rule ID 45189 //
     /* 2408173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2408182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408209 */     // MIs[1] Operand 1
     /* 2408209 */     // No operand predicates
     /* 2408209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408213 */     // MIs[0] policy
     /* 2408213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408225 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408250 */     // GIR_Coverage, 45189,
     /* 2408250 */     GIR_EraseRootFromParent_Done,
     /* 2408251 */   // Label 34733: @2408251
     /* 2408251 */   GIM_Try, /*On fail goto*//*Label 34734*/ GIMT_Encode4(2408334), // Rule ID 45190 //
     /* 2408256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2408265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408292 */     // MIs[1] Operand 1
     /* 2408292 */     // No operand predicates
     /* 2408292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408296 */     // MIs[0] policy
     /* 2408296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408308 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408320 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408333 */     // GIR_Coverage, 45190,
     /* 2408333 */     GIR_EraseRootFromParent_Done,
     /* 2408334 */   // Label 34734: @2408334
     /* 2408334 */   GIM_Try, /*On fail goto*//*Label 34735*/ GIMT_Encode4(2408417), // Rule ID 45265 //
     /* 2408339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2408348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408375 */     // MIs[1] Operand 1
     /* 2408375 */     // No operand predicates
     /* 2408375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408379 */     // MIs[0] policy
     /* 2408379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408391 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408416 */     // GIR_Coverage, 45265,
     /* 2408416 */     GIR_EraseRootFromParent_Done,
     /* 2408417 */   // Label 34735: @2408417
     /* 2408417 */   GIM_Try, /*On fail goto*//*Label 34736*/ GIMT_Encode4(2408500), // Rule ID 45266 //
     /* 2408422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2408431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408458 */     // MIs[1] Operand 1
     /* 2408458 */     // No operand predicates
     /* 2408458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408462 */     // MIs[0] policy
     /* 2408462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408474 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2408477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408486 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408499 */     // GIR_Coverage, 45266,
     /* 2408499 */     GIR_EraseRootFromParent_Done,
     /* 2408500 */   // Label 34736: @2408500
     /* 2408500 */   GIM_Try, /*On fail goto*//*Label 34737*/ GIMT_Encode4(2408572), // Rule ID 45191 //
     /* 2408505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2408514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408537 */     // MIs[0] policy
     /* 2408537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408547 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2408550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408558 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408571 */     // GIR_Coverage, 45191,
     /* 2408571 */     GIR_EraseRootFromParent_Done,
     /* 2408572 */   // Label 34737: @2408572
     /* 2408572 */   GIM_Try, /*On fail goto*//*Label 34738*/ GIMT_Encode4(2408644), // Rule ID 45192 //
     /* 2408577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2408586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408609 */     // MIs[0] policy
     /* 2408609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408619 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2408622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408643 */     // GIR_Coverage, 45192,
     /* 2408643 */     GIR_EraseRootFromParent_Done,
     /* 2408644 */   // Label 34738: @2408644
     /* 2408644 */   GIM_Try, /*On fail goto*//*Label 34739*/ GIMT_Encode4(2408716), // Rule ID 45267 //
     /* 2408649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2408658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408681 */     // MIs[0] policy
     /* 2408681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408691 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2408694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408715 */     // GIR_Coverage, 45267,
     /* 2408715 */     GIR_EraseRootFromParent_Done,
     /* 2408716 */   // Label 34739: @2408716
     /* 2408716 */   GIM_Try, /*On fail goto*//*Label 34740*/ GIMT_Encode4(2408788), // Rule ID 45268 //
     /* 2408721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2408730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408753 */     // MIs[0] policy
     /* 2408753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408763 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2408766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408787 */     // GIR_Coverage, 45268,
     /* 2408787 */     GIR_EraseRootFromParent_Done,
     /* 2408788 */   // Label 34740: @2408788
     /* 2408788 */   GIM_Reject,
     /* 2408789 */ // Label 34732: @2408789
     /* 2408789 */ GIM_Reject,
     /* 2408790 */ // Label 34678: @2408790
     /* 2408790 */ GIM_Try, /*On fail goto*//*Label 34741*/ GIMT_Encode4(2409422),
     /* 2408795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2408798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2408801 */   GIM_Try, /*On fail goto*//*Label 34742*/ GIMT_Encode4(2408884), // Rule ID 45205 //
     /* 2408806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2408815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408842 */     // MIs[1] Operand 1
     /* 2408842 */     // No operand predicates
     /* 2408842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408846 */     // MIs[0] policy
     /* 2408846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408858 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2408861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408870 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408883 */     // GIR_Coverage, 45205,
     /* 2408883 */     GIR_EraseRootFromParent_Done,
     /* 2408884 */   // Label 34742: @2408884
     /* 2408884 */   GIM_Try, /*On fail goto*//*Label 34743*/ GIMT_Encode4(2408967), // Rule ID 45206 //
     /* 2408889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2408898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408925 */     // MIs[1] Operand 1
     /* 2408925 */     // No operand predicates
     /* 2408925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408929 */     // MIs[0] policy
     /* 2408929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408941 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2408944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408966 */     // GIR_Coverage, 45206,
     /* 2408966 */     GIR_EraseRootFromParent_Done,
     /* 2408967 */   // Label 34743: @2408967
     /* 2408967 */   GIM_Try, /*On fail goto*//*Label 34744*/ GIMT_Encode4(2409050), // Rule ID 45277 //
     /* 2408972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2408981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2408988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409008 */     // MIs[1] Operand 1
     /* 2409008 */     // No operand predicates
     /* 2409008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409012 */     // MIs[0] policy
     /* 2409012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409024 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2409027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409049 */     // GIR_Coverage, 45277,
     /* 2409049 */     GIR_EraseRootFromParent_Done,
     /* 2409050 */   // Label 34744: @2409050
     /* 2409050 */   GIM_Try, /*On fail goto*//*Label 34745*/ GIMT_Encode4(2409133), // Rule ID 45278 //
     /* 2409055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2409058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409091 */     // MIs[1] Operand 1
     /* 2409091 */     // No operand predicates
     /* 2409091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409095 */     // MIs[0] policy
     /* 2409095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409107 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2409110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409119 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409132 */     // GIR_Coverage, 45278,
     /* 2409132 */     GIR_EraseRootFromParent_Done,
     /* 2409133 */   // Label 34745: @2409133
     /* 2409133 */   GIM_Try, /*On fail goto*//*Label 34746*/ GIMT_Encode4(2409205), // Rule ID 45207 //
     /* 2409138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2409141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409170 */     // MIs[0] policy
     /* 2409170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409180 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409191 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409204 */     // GIR_Coverage, 45207,
     /* 2409204 */     GIR_EraseRootFromParent_Done,
     /* 2409205 */   // Label 34746: @2409205
     /* 2409205 */   GIM_Try, /*On fail goto*//*Label 34747*/ GIMT_Encode4(2409277), // Rule ID 45208 //
     /* 2409210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2409213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409242 */     // MIs[0] policy
     /* 2409242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409252 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409263 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409276 */     // GIR_Coverage, 45208,
     /* 2409276 */     GIR_EraseRootFromParent_Done,
     /* 2409277 */   // Label 34747: @2409277
     /* 2409277 */   GIM_Try, /*On fail goto*//*Label 34748*/ GIMT_Encode4(2409349), // Rule ID 45279 //
     /* 2409282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2409285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409314 */     // MIs[0] policy
     /* 2409314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409324 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409335 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409348 */     // GIR_Coverage, 45279,
     /* 2409348 */     GIR_EraseRootFromParent_Done,
     /* 2409349 */   // Label 34748: @2409349
     /* 2409349 */   GIM_Try, /*On fail goto*//*Label 34749*/ GIMT_Encode4(2409421), // Rule ID 45280 //
     /* 2409354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2409357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2409370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409386 */     // MIs[0] policy
     /* 2409386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409396 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2409399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409420 */     // GIR_Coverage, 45280,
     /* 2409420 */     GIR_EraseRootFromParent_Done,
     /* 2409421 */   // Label 34749: @2409421
     /* 2409421 */   GIM_Reject,
     /* 2409422 */ // Label 34741: @2409422
     /* 2409422 */ GIM_Reject,
     /* 2409423 */ // Label 34679: @2409423
     /* 2409423 */ GIM_Try, /*On fail goto*//*Label 34750*/ GIMT_Encode4(2410055),
     /* 2409428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2409431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2409434 */   GIM_Try, /*On fail goto*//*Label 34751*/ GIMT_Encode4(2409517), // Rule ID 45249 //
     /* 2409439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2409455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409475 */     // MIs[1] Operand 1
     /* 2409475 */     // No operand predicates
     /* 2409475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409479 */     // MIs[0] policy
     /* 2409479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409491 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2409494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409503 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409516 */     // GIR_Coverage, 45249,
     /* 2409516 */     GIR_EraseRootFromParent_Done,
     /* 2409517 */   // Label 34751: @2409517
     /* 2409517 */   GIM_Try, /*On fail goto*//*Label 34752*/ GIMT_Encode4(2409600), // Rule ID 45250 //
     /* 2409522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2409538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409558 */     // MIs[1] Operand 1
     /* 2409558 */     // No operand predicates
     /* 2409558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409562 */     // MIs[0] policy
     /* 2409562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409574 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2409577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409586 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409599 */     // GIR_Coverage, 45250,
     /* 2409599 */     GIR_EraseRootFromParent_Done,
     /* 2409600 */   // Label 34752: @2409600
     /* 2409600 */   GIM_Try, /*On fail goto*//*Label 34753*/ GIMT_Encode4(2409683), // Rule ID 45309 //
     /* 2409605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2409621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409641 */     // MIs[1] Operand 1
     /* 2409641 */     // No operand predicates
     /* 2409641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409645 */     // MIs[0] policy
     /* 2409645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409657 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2409660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409682 */     // GIR_Coverage, 45309,
     /* 2409682 */     GIR_EraseRootFromParent_Done,
     /* 2409683 */   // Label 34753: @2409683
     /* 2409683 */   GIM_Try, /*On fail goto*//*Label 34754*/ GIMT_Encode4(2409766), // Rule ID 45310 //
     /* 2409688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2409704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409724 */     // MIs[1] Operand 1
     /* 2409724 */     // No operand predicates
     /* 2409724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409728 */     // MIs[0] policy
     /* 2409728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409740 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2409743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409752 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409765 */     // GIR_Coverage, 45310,
     /* 2409765 */     GIR_EraseRootFromParent_Done,
     /* 2409766 */   // Label 34754: @2409766
     /* 2409766 */   GIM_Try, /*On fail goto*//*Label 34755*/ GIMT_Encode4(2409838), // Rule ID 45251 //
     /* 2409771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2409787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409803 */     // MIs[0] policy
     /* 2409803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409813 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2409816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409824 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409837 */     // GIR_Coverage, 45251,
     /* 2409837 */     GIR_EraseRootFromParent_Done,
     /* 2409838 */   // Label 34755: @2409838
     /* 2409838 */   GIM_Try, /*On fail goto*//*Label 34756*/ GIMT_Encode4(2409910), // Rule ID 45252 //
     /* 2409843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2409859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409875 */     // MIs[0] policy
     /* 2409875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409885 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2409888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409896 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409909 */     // GIR_Coverage, 45252,
     /* 2409909 */     GIR_EraseRootFromParent_Done,
     /* 2409910 */   // Label 34756: @2409910
     /* 2409910 */   GIM_Try, /*On fail goto*//*Label 34757*/ GIMT_Encode4(2409982), // Rule ID 45311 //
     /* 2409915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2409931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409947 */     // MIs[0] policy
     /* 2409947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409957 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2409960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409968 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409981 */     // GIR_Coverage, 45311,
     /* 2409981 */     GIR_EraseRootFromParent_Done,
     /* 2409982 */   // Label 34757: @2409982
     /* 2409982 */   GIM_Try, /*On fail goto*//*Label 34758*/ GIMT_Encode4(2410054), // Rule ID 45312 //
     /* 2409987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2409996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2410003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410019 */     // MIs[0] policy
     /* 2410019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410029 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2410032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410040 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2410050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410053 */     // GIR_Coverage, 45312,
     /* 2410053 */     GIR_EraseRootFromParent_Done,
     /* 2410054 */   // Label 34758: @2410054
     /* 2410054 */   GIM_Reject,
     /* 2410055 */ // Label 34750: @2410055
     /* 2410055 */ GIM_Reject,
     /* 2410056 */ // Label 34680: @2410056
     /* 2410056 */ GIM_Try, /*On fail goto*//*Label 34759*/ GIMT_Encode4(2410378),
     /* 2410061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2410064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2410067 */   GIM_Try, /*On fail goto*//*Label 34760*/ GIMT_Encode4(2410150), // Rule ID 45181 //
     /* 2410072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2410081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410108 */     // MIs[1] Operand 1
     /* 2410108 */     // No operand predicates
     /* 2410108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410112 */     // MIs[0] policy
     /* 2410112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410124 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2410127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410136 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2410146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410149 */     // GIR_Coverage, 45181,
     /* 2410149 */     GIR_EraseRootFromParent_Done,
     /* 2410150 */   // Label 34760: @2410150
     /* 2410150 */   GIM_Try, /*On fail goto*//*Label 34761*/ GIMT_Encode4(2410233), // Rule ID 45182 //
     /* 2410155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2410164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410191 */     // MIs[1] Operand 1
     /* 2410191 */     // No operand predicates
     /* 2410191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410195 */     // MIs[0] policy
     /* 2410195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410207 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2410210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2410229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410232 */     // GIR_Coverage, 45182,
     /* 2410232 */     GIR_EraseRootFromParent_Done,
     /* 2410233 */   // Label 34761: @2410233
     /* 2410233 */   GIM_Try, /*On fail goto*//*Label 34762*/ GIMT_Encode4(2410305), // Rule ID 45183 //
     /* 2410238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2410247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410270 */     // MIs[0] policy
     /* 2410270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410280 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2410283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2410301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410304 */     // GIR_Coverage, 45183,
     /* 2410304 */     GIR_EraseRootFromParent_Done,
     /* 2410305 */   // Label 34762: @2410305
     /* 2410305 */   GIM_Try, /*On fail goto*//*Label 34763*/ GIMT_Encode4(2410377), // Rule ID 45184 //
     /* 2410310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2410319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410342 */     // MIs[0] policy
     /* 2410342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410352 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2410355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2410373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410376 */     // GIR_Coverage, 45184,
     /* 2410376 */     GIR_EraseRootFromParent_Done,
     /* 2410377 */   // Label 34763: @2410377
     /* 2410377 */   GIM_Reject,
     /* 2410378 */ // Label 34759: @2410378
     /* 2410378 */ GIM_Reject,
     /* 2410379 */ // Label 34681: @2410379
     /* 2410379 */ GIM_Try, /*On fail goto*//*Label 34764*/ GIMT_Encode4(2411011),
     /* 2410384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2410387 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2410390 */   GIM_Try, /*On fail goto*//*Label 34765*/ GIMT_Encode4(2410473), // Rule ID 45201 //
     /* 2410395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2410404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410431 */     // MIs[1] Operand 1
     /* 2410431 */     // No operand predicates
     /* 2410431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410435 */     // MIs[0] policy
     /* 2410435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410447 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2410450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410459 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410472 */     // GIR_Coverage, 45201,
     /* 2410472 */     GIR_EraseRootFromParent_Done,
     /* 2410473 */   // Label 34765: @2410473
     /* 2410473 */   GIM_Try, /*On fail goto*//*Label 34766*/ GIMT_Encode4(2410556), // Rule ID 45202 //
     /* 2410478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2410487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410514 */     // MIs[1] Operand 1
     /* 2410514 */     // No operand predicates
     /* 2410514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410518 */     // MIs[0] policy
     /* 2410518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410530 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2410533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410555 */     // GIR_Coverage, 45202,
     /* 2410555 */     GIR_EraseRootFromParent_Done,
     /* 2410556 */   // Label 34766: @2410556
     /* 2410556 */   GIM_Try, /*On fail goto*//*Label 34767*/ GIMT_Encode4(2410639), // Rule ID 45273 //
     /* 2410561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2410570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410597 */     // MIs[1] Operand 1
     /* 2410597 */     // No operand predicates
     /* 2410597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410601 */     // MIs[0] policy
     /* 2410601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410613 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2410616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410638 */     // GIR_Coverage, 45273,
     /* 2410638 */     GIR_EraseRootFromParent_Done,
     /* 2410639 */   // Label 34767: @2410639
     /* 2410639 */   GIM_Try, /*On fail goto*//*Label 34768*/ GIMT_Encode4(2410722), // Rule ID 45274 //
     /* 2410644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2410653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410680 */     // MIs[1] Operand 1
     /* 2410680 */     // No operand predicates
     /* 2410680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410684 */     // MIs[0] policy
     /* 2410684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410696 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2410699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410708 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410721 */     // GIR_Coverage, 45274,
     /* 2410721 */     GIR_EraseRootFromParent_Done,
     /* 2410722 */   // Label 34768: @2410722
     /* 2410722 */   GIM_Try, /*On fail goto*//*Label 34769*/ GIMT_Encode4(2410794), // Rule ID 45203 //
     /* 2410727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2410736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410759 */     // MIs[0] policy
     /* 2410759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410769 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2410772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410780 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410793 */     // GIR_Coverage, 45203,
     /* 2410793 */     GIR_EraseRootFromParent_Done,
     /* 2410794 */   // Label 34769: @2410794
     /* 2410794 */   GIM_Try, /*On fail goto*//*Label 34770*/ GIMT_Encode4(2410866), // Rule ID 45204 //
     /* 2410799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2410808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410831 */     // MIs[0] policy
     /* 2410831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410841 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2410844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410865 */     // GIR_Coverage, 45204,
     /* 2410865 */     GIR_EraseRootFromParent_Done,
     /* 2410866 */   // Label 34770: @2410866
     /* 2410866 */   GIM_Try, /*On fail goto*//*Label 34771*/ GIMT_Encode4(2410938), // Rule ID 45275 //
     /* 2410871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2410880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410903 */     // MIs[0] policy
     /* 2410903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410913 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2410916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410924 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410937 */     // GIR_Coverage, 45275,
     /* 2410937 */     GIR_EraseRootFromParent_Done,
     /* 2410938 */   // Label 34771: @2410938
     /* 2410938 */   GIM_Try, /*On fail goto*//*Label 34772*/ GIMT_Encode4(2411010), // Rule ID 45276 //
     /* 2410943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2410952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2410959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410975 */     // MIs[0] policy
     /* 2410975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410985 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2410988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411009 */     // GIR_Coverage, 45276,
     /* 2411009 */     GIR_EraseRootFromParent_Done,
     /* 2411010 */   // Label 34772: @2411010
     /* 2411010 */   GIM_Reject,
     /* 2411011 */ // Label 34764: @2411011
     /* 2411011 */ GIM_Reject,
     /* 2411012 */ // Label 34682: @2411012
     /* 2411012 */ GIM_Try, /*On fail goto*//*Label 34773*/ GIMT_Encode4(2411644),
     /* 2411017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2411020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2411023 */   GIM_Try, /*On fail goto*//*Label 34774*/ GIMT_Encode4(2411106), // Rule ID 45237 //
     /* 2411028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411064 */     // MIs[1] Operand 1
     /* 2411064 */     // No operand predicates
     /* 2411064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411068 */     // MIs[0] policy
     /* 2411068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411080 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411092 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411105 */     // GIR_Coverage, 45237,
     /* 2411105 */     GIR_EraseRootFromParent_Done,
     /* 2411106 */   // Label 34774: @2411106
     /* 2411106 */   GIM_Try, /*On fail goto*//*Label 34775*/ GIMT_Encode4(2411189), // Rule ID 45238 //
     /* 2411111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411147 */     // MIs[1] Operand 1
     /* 2411147 */     // No operand predicates
     /* 2411147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411151 */     // MIs[0] policy
     /* 2411151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411163 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411175 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411188 */     // GIR_Coverage, 45238,
     /* 2411188 */     GIR_EraseRootFromParent_Done,
     /* 2411189 */   // Label 34775: @2411189
     /* 2411189 */   GIM_Try, /*On fail goto*//*Label 34776*/ GIMT_Encode4(2411272), // Rule ID 45297 //
     /* 2411194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411230 */     // MIs[1] Operand 1
     /* 2411230 */     // No operand predicates
     /* 2411230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411234 */     // MIs[0] policy
     /* 2411234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411246 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411258 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411271 */     // GIR_Coverage, 45297,
     /* 2411271 */     GIR_EraseRootFromParent_Done,
     /* 2411272 */   // Label 34776: @2411272
     /* 2411272 */   GIM_Try, /*On fail goto*//*Label 34777*/ GIMT_Encode4(2411355), // Rule ID 45298 //
     /* 2411277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411313 */     // MIs[1] Operand 1
     /* 2411313 */     // No operand predicates
     /* 2411313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411317 */     // MIs[0] policy
     /* 2411317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411329 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2411332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411354 */     // GIR_Coverage, 45298,
     /* 2411354 */     GIR_EraseRootFromParent_Done,
     /* 2411355 */   // Label 34777: @2411355
     /* 2411355 */   GIM_Try, /*On fail goto*//*Label 34778*/ GIMT_Encode4(2411427), // Rule ID 45239 //
     /* 2411360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411392 */     // MIs[0] policy
     /* 2411392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411402 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2411405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411426 */     // GIR_Coverage, 45239,
     /* 2411426 */     GIR_EraseRootFromParent_Done,
     /* 2411427 */   // Label 34778: @2411427
     /* 2411427 */   GIM_Try, /*On fail goto*//*Label 34779*/ GIMT_Encode4(2411499), // Rule ID 45240 //
     /* 2411432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411464 */     // MIs[0] policy
     /* 2411464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411474 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2411477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411498 */     // GIR_Coverage, 45240,
     /* 2411498 */     GIR_EraseRootFromParent_Done,
     /* 2411499 */   // Label 34779: @2411499
     /* 2411499 */   GIM_Try, /*On fail goto*//*Label 34780*/ GIMT_Encode4(2411571), // Rule ID 45299 //
     /* 2411504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411536 */     // MIs[0] policy
     /* 2411536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411546 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2411549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411570 */     // GIR_Coverage, 45299,
     /* 2411570 */     GIR_EraseRootFromParent_Done,
     /* 2411571 */   // Label 34780: @2411571
     /* 2411571 */   GIM_Try, /*On fail goto*//*Label 34781*/ GIMT_Encode4(2411643), // Rule ID 45300 //
     /* 2411576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2411592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2411600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411608 */     // MIs[0] policy
     /* 2411608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411618 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2411621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411642 */     // GIR_Coverage, 45300,
     /* 2411642 */     GIR_EraseRootFromParent_Done,
     /* 2411643 */   // Label 34781: @2411643
     /* 2411643 */   GIM_Reject,
     /* 2411644 */ // Label 34773: @2411644
     /* 2411644 */ GIM_Reject,
     /* 2411645 */ // Label 34683: @2411645
     /* 2411645 */ GIM_Try, /*On fail goto*//*Label 34782*/ GIMT_Encode4(2412277),
     /* 2411650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2411653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2411656 */   GIM_Try, /*On fail goto*//*Label 34783*/ GIMT_Encode4(2411739), // Rule ID 45253 //
     /* 2411661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2411664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2411677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411697 */     // MIs[1] Operand 1
     /* 2411697 */     // No operand predicates
     /* 2411697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411701 */     // MIs[0] policy
     /* 2411701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411713 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2411716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411738 */     // GIR_Coverage, 45253,
     /* 2411738 */     GIR_EraseRootFromParent_Done,
     /* 2411739 */   // Label 34783: @2411739
     /* 2411739 */   GIM_Try, /*On fail goto*//*Label 34784*/ GIMT_Encode4(2411822), // Rule ID 45254 //
     /* 2411744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2411747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2411760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411780 */     // MIs[1] Operand 1
     /* 2411780 */     // No operand predicates
     /* 2411780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411784 */     // MIs[0] policy
     /* 2411784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411796 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2411799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411808 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411821 */     // GIR_Coverage, 45254,
     /* 2411821 */     GIR_EraseRootFromParent_Done,
     /* 2411822 */   // Label 34784: @2411822
     /* 2411822 */   GIM_Try, /*On fail goto*//*Label 34785*/ GIMT_Encode4(2411905), // Rule ID 45313 //
     /* 2411827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2411830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2411843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411863 */     // MIs[1] Operand 1
     /* 2411863 */     // No operand predicates
     /* 2411863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411867 */     // MIs[0] policy
     /* 2411867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411879 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2411882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411904 */     // GIR_Coverage, 45313,
     /* 2411904 */     GIR_EraseRootFromParent_Done,
     /* 2411905 */   // Label 34785: @2411905
     /* 2411905 */   GIM_Try, /*On fail goto*//*Label 34786*/ GIMT_Encode4(2411988), // Rule ID 45314 //
     /* 2411910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2411913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2411919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2411926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411946 */     // MIs[1] Operand 1
     /* 2411946 */     // No operand predicates
     /* 2411946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411950 */     // MIs[0] policy
     /* 2411950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411962 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2411965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411974 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411987 */     // GIR_Coverage, 45314,
     /* 2411987 */     GIR_EraseRootFromParent_Done,
     /* 2411988 */   // Label 34786: @2411988
     /* 2411988 */   GIM_Try, /*On fail goto*//*Label 34787*/ GIMT_Encode4(2412060), // Rule ID 45255 //
     /* 2411993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2411996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2412009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412025 */     // MIs[0] policy
     /* 2412025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412035 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2412038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412046 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412059 */     // GIR_Coverage, 45255,
     /* 2412059 */     GIR_EraseRootFromParent_Done,
     /* 2412060 */   // Label 34787: @2412060
     /* 2412060 */   GIM_Try, /*On fail goto*//*Label 34788*/ GIMT_Encode4(2412132), // Rule ID 45256 //
     /* 2412065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2412068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2412081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412097 */     // MIs[0] policy
     /* 2412097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412107 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2412110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412118 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412131 */     // GIR_Coverage, 45256,
     /* 2412131 */     GIR_EraseRootFromParent_Done,
     /* 2412132 */   // Label 34788: @2412132
     /* 2412132 */   GIM_Try, /*On fail goto*//*Label 34789*/ GIMT_Encode4(2412204), // Rule ID 45315 //
     /* 2412137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2412140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2412153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412169 */     // MIs[0] policy
     /* 2412169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412179 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2412182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412190 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412203 */     // GIR_Coverage, 45315,
     /* 2412203 */     GIR_EraseRootFromParent_Done,
     /* 2412204 */   // Label 34789: @2412204
     /* 2412204 */   GIM_Try, /*On fail goto*//*Label 34790*/ GIMT_Encode4(2412276), // Rule ID 45316 //
     /* 2412209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2412212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2412218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2412225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412241 */     // MIs[0] policy
     /* 2412241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412251 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2412254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412275 */     // GIR_Coverage, 45316,
     /* 2412275 */     GIR_EraseRootFromParent_Done,
     /* 2412276 */   // Label 34790: @2412276
     /* 2412276 */   GIM_Reject,
     /* 2412277 */ // Label 34782: @2412277
     /* 2412277 */ GIM_Reject,
     /* 2412278 */ // Label 34684: @2412278
     /* 2412278 */ GIM_Try, /*On fail goto*//*Label 34791*/ GIMT_Encode4(2412600),
     /* 2412283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2412286 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2412289 */   GIM_Try, /*On fail goto*//*Label 34792*/ GIMT_Encode4(2412372), // Rule ID 45197 //
     /* 2412294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2412303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412330 */     // MIs[1] Operand 1
     /* 2412330 */     // No operand predicates
     /* 2412330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412334 */     // MIs[0] policy
     /* 2412334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412346 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2412349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412358 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412371 */     // GIR_Coverage, 45197,
     /* 2412371 */     GIR_EraseRootFromParent_Done,
     /* 2412372 */   // Label 34792: @2412372
     /* 2412372 */   GIM_Try, /*On fail goto*//*Label 34793*/ GIMT_Encode4(2412455), // Rule ID 45198 //
     /* 2412377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2412386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412413 */     // MIs[1] Operand 1
     /* 2412413 */     // No operand predicates
     /* 2412413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412417 */     // MIs[0] policy
     /* 2412417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412429 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2412432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412454 */     // GIR_Coverage, 45198,
     /* 2412454 */     GIR_EraseRootFromParent_Done,
     /* 2412455 */   // Label 34793: @2412455
     /* 2412455 */   GIM_Try, /*On fail goto*//*Label 34794*/ GIMT_Encode4(2412527), // Rule ID 45199 //
     /* 2412460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2412469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412492 */     // MIs[0] policy
     /* 2412492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412502 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2412505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412526 */     // GIR_Coverage, 45199,
     /* 2412526 */     GIR_EraseRootFromParent_Done,
     /* 2412527 */   // Label 34794: @2412527
     /* 2412527 */   GIM_Try, /*On fail goto*//*Label 34795*/ GIMT_Encode4(2412599), // Rule ID 45200 //
     /* 2412532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2412541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412564 */     // MIs[0] policy
     /* 2412564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412574 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2412577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412598 */     // GIR_Coverage, 45200,
     /* 2412598 */     GIR_EraseRootFromParent_Done,
     /* 2412599 */   // Label 34795: @2412599
     /* 2412599 */   GIM_Reject,
     /* 2412600 */ // Label 34791: @2412600
     /* 2412600 */ GIM_Reject,
     /* 2412601 */ // Label 34685: @2412601
     /* 2412601 */ GIM_Try, /*On fail goto*//*Label 34796*/ GIMT_Encode4(2413233),
     /* 2412606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2412609 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2412612 */   GIM_Try, /*On fail goto*//*Label 34797*/ GIMT_Encode4(2412695), // Rule ID 45225 //
     /* 2412617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2412626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2412633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412653 */     // MIs[1] Operand 1
     /* 2412653 */     // No operand predicates
     /* 2412653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412657 */     // MIs[0] policy
     /* 2412657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412669 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2412672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412694 */     // GIR_Coverage, 45225,
     /* 2412694 */     GIR_EraseRootFromParent_Done,
     /* 2412695 */   // Label 34797: @2412695
     /* 2412695 */   GIM_Try, /*On fail goto*//*Label 34798*/ GIMT_Encode4(2412778), // Rule ID 45226 //
     /* 2412700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2412709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2412716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412736 */     // MIs[1] Operand 1
     /* 2412736 */     // No operand predicates
     /* 2412736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412740 */     // MIs[0] policy
     /* 2412740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412752 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2412755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412764 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412777 */     // GIR_Coverage, 45226,
     /* 2412777 */     GIR_EraseRootFromParent_Done,
     /* 2412778 */   // Label 34798: @2412778
     /* 2412778 */   GIM_Try, /*On fail goto*//*Label 34799*/ GIMT_Encode4(2412861), // Rule ID 45285 //
     /* 2412783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2412792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2412799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412819 */     // MIs[1] Operand 1
     /* 2412819 */     // No operand predicates
     /* 2412819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412823 */     // MIs[0] policy
     /* 2412823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412835 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2412838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412847 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412860 */     // GIR_Coverage, 45285,
     /* 2412860 */     GIR_EraseRootFromParent_Done,
     /* 2412861 */   // Label 34799: @2412861
     /* 2412861 */   GIM_Try, /*On fail goto*//*Label 34800*/ GIMT_Encode4(2412944), // Rule ID 45286 //
     /* 2412866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2412875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2412882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412902 */     // MIs[1] Operand 1
     /* 2412902 */     // No operand predicates
     /* 2412902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412906 */     // MIs[0] policy
     /* 2412906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412918 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2412921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412930 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412943 */     // GIR_Coverage, 45286,
     /* 2412943 */     GIR_EraseRootFromParent_Done,
     /* 2412944 */   // Label 34800: @2412944
     /* 2412944 */   GIM_Try, /*On fail goto*//*Label 34801*/ GIMT_Encode4(2413016), // Rule ID 45227 //
     /* 2412949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2412958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2412965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2412973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412981 */     // MIs[0] policy
     /* 2412981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412991 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2412994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413015 */     // GIR_Coverage, 45227,
     /* 2413015 */     GIR_EraseRootFromParent_Done,
     /* 2413016 */   // Label 34801: @2413016
     /* 2413016 */   GIM_Try, /*On fail goto*//*Label 34802*/ GIMT_Encode4(2413088), // Rule ID 45228 //
     /* 2413021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2413030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413053 */     // MIs[0] policy
     /* 2413053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413063 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2413066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413074 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413087 */     // GIR_Coverage, 45228,
     /* 2413087 */     GIR_EraseRootFromParent_Done,
     /* 2413088 */   // Label 34802: @2413088
     /* 2413088 */   GIM_Try, /*On fail goto*//*Label 34803*/ GIMT_Encode4(2413160), // Rule ID 45287 //
     /* 2413093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2413102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413125 */     // MIs[0] policy
     /* 2413125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413135 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2413138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413146 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413159 */     // GIR_Coverage, 45287,
     /* 2413159 */     GIR_EraseRootFromParent_Done,
     /* 2413160 */   // Label 34803: @2413160
     /* 2413160 */   GIM_Try, /*On fail goto*//*Label 34804*/ GIMT_Encode4(2413232), // Rule ID 45288 //
     /* 2413165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2413174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2413181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413197 */     // MIs[0] policy
     /* 2413197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413207 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2413210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413231 */     // GIR_Coverage, 45288,
     /* 2413231 */     GIR_EraseRootFromParent_Done,
     /* 2413232 */   // Label 34804: @2413232
     /* 2413232 */   GIM_Reject,
     /* 2413233 */ // Label 34796: @2413233
     /* 2413233 */ GIM_Reject,
     /* 2413234 */ // Label 34686: @2413234
     /* 2413234 */ GIM_Try, /*On fail goto*//*Label 34805*/ GIMT_Encode4(2413866),
     /* 2413239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2413242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2413245 */   GIM_Try, /*On fail goto*//*Label 34806*/ GIMT_Encode4(2413328), // Rule ID 45241 //
     /* 2413250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2413259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413286 */     // MIs[1] Operand 1
     /* 2413286 */     // No operand predicates
     /* 2413286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413290 */     // MIs[0] policy
     /* 2413290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413302 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413327 */     // GIR_Coverage, 45241,
     /* 2413327 */     GIR_EraseRootFromParent_Done,
     /* 2413328 */   // Label 34806: @2413328
     /* 2413328 */   GIM_Try, /*On fail goto*//*Label 34807*/ GIMT_Encode4(2413411), // Rule ID 45242 //
     /* 2413333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2413342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413369 */     // MIs[1] Operand 1
     /* 2413369 */     // No operand predicates
     /* 2413369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413373 */     // MIs[0] policy
     /* 2413373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413385 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413410 */     // GIR_Coverage, 45242,
     /* 2413410 */     GIR_EraseRootFromParent_Done,
     /* 2413411 */   // Label 34807: @2413411
     /* 2413411 */   GIM_Try, /*On fail goto*//*Label 34808*/ GIMT_Encode4(2413494), // Rule ID 45301 //
     /* 2413416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2413425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413452 */     // MIs[1] Operand 1
     /* 2413452 */     // No operand predicates
     /* 2413452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413456 */     // MIs[0] policy
     /* 2413456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413468 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413480 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413493 */     // GIR_Coverage, 45301,
     /* 2413493 */     GIR_EraseRootFromParent_Done,
     /* 2413494 */   // Label 34808: @2413494
     /* 2413494 */   GIM_Try, /*On fail goto*//*Label 34809*/ GIMT_Encode4(2413577), // Rule ID 45302 //
     /* 2413499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2413508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413535 */     // MIs[1] Operand 1
     /* 2413535 */     // No operand predicates
     /* 2413535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413539 */     // MIs[0] policy
     /* 2413539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413551 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2413554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413563 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413576 */     // GIR_Coverage, 45302,
     /* 2413576 */     GIR_EraseRootFromParent_Done,
     /* 2413577 */   // Label 34809: @2413577
     /* 2413577 */   GIM_Try, /*On fail goto*//*Label 34810*/ GIMT_Encode4(2413649), // Rule ID 45243 //
     /* 2413582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2413591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413614 */     // MIs[0] policy
     /* 2413614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413624 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2413627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413635 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413648 */     // GIR_Coverage, 45243,
     /* 2413648 */     GIR_EraseRootFromParent_Done,
     /* 2413649 */   // Label 34810: @2413649
     /* 2413649 */   GIM_Try, /*On fail goto*//*Label 34811*/ GIMT_Encode4(2413721), // Rule ID 45244 //
     /* 2413654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2413663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413686 */     // MIs[0] policy
     /* 2413686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413696 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2413699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413720 */     // GIR_Coverage, 45244,
     /* 2413720 */     GIR_EraseRootFromParent_Done,
     /* 2413721 */   // Label 34811: @2413721
     /* 2413721 */   GIM_Try, /*On fail goto*//*Label 34812*/ GIMT_Encode4(2413793), // Rule ID 45303 //
     /* 2413726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2413735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413758 */     // MIs[0] policy
     /* 2413758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413768 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2413771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413792 */     // GIR_Coverage, 45303,
     /* 2413792 */     GIR_EraseRootFromParent_Done,
     /* 2413793 */   // Label 34812: @2413793
     /* 2413793 */   GIM_Try, /*On fail goto*//*Label 34813*/ GIMT_Encode4(2413865), // Rule ID 45304 //
     /* 2413798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2413807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2413814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2413822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413830 */     // MIs[0] policy
     /* 2413830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413840 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2413843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413864 */     // GIR_Coverage, 45304,
     /* 2413864 */     GIR_EraseRootFromParent_Done,
     /* 2413865 */   // Label 34813: @2413865
     /* 2413865 */   GIM_Reject,
     /* 2413866 */ // Label 34805: @2413866
     /* 2413866 */ GIM_Reject,
     /* 2413867 */ // Label 34687: @2413867
     /* 2413867 */ GIM_Try, /*On fail goto*//*Label 34814*/ GIMT_Encode4(2414499),
     /* 2413872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2413875 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2413878 */   GIM_Try, /*On fail goto*//*Label 34815*/ GIMT_Encode4(2413961), // Rule ID 45257 //
     /* 2413883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2413886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2413892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2413899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413919 */     // MIs[1] Operand 1
     /* 2413919 */     // No operand predicates
     /* 2413919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413923 */     // MIs[0] policy
     /* 2413923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413935 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2413938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413947 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413960 */     // GIR_Coverage, 45257,
     /* 2413960 */     GIR_EraseRootFromParent_Done,
     /* 2413961 */   // Label 34815: @2413961
     /* 2413961 */   GIM_Try, /*On fail goto*//*Label 34816*/ GIMT_Encode4(2414044), // Rule ID 45258 //
     /* 2413966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2413969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2413975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2413982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414002 */     // MIs[1] Operand 1
     /* 2414002 */     // No operand predicates
     /* 2414002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414006 */     // MIs[0] policy
     /* 2414006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414018 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2414021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414030 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414043 */     // GIR_Coverage, 45258,
     /* 2414043 */     GIR_EraseRootFromParent_Done,
     /* 2414044 */   // Label 34816: @2414044
     /* 2414044 */   GIM_Try, /*On fail goto*//*Label 34817*/ GIMT_Encode4(2414127), // Rule ID 45317 //
     /* 2414049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2414052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2414065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414085 */     // MIs[1] Operand 1
     /* 2414085 */     // No operand predicates
     /* 2414085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414089 */     // MIs[0] policy
     /* 2414089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414101 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2414104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414126 */     // GIR_Coverage, 45317,
     /* 2414126 */     GIR_EraseRootFromParent_Done,
     /* 2414127 */   // Label 34817: @2414127
     /* 2414127 */   GIM_Try, /*On fail goto*//*Label 34818*/ GIMT_Encode4(2414210), // Rule ID 45318 //
     /* 2414132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2414135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2414148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414168 */     // MIs[1] Operand 1
     /* 2414168 */     // No operand predicates
     /* 2414168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414172 */     // MIs[0] policy
     /* 2414172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414184 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2414187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414196 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414209 */     // GIR_Coverage, 45318,
     /* 2414209 */     GIR_EraseRootFromParent_Done,
     /* 2414210 */   // Label 34818: @2414210
     /* 2414210 */   GIM_Try, /*On fail goto*//*Label 34819*/ GIMT_Encode4(2414282), // Rule ID 45259 //
     /* 2414215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2414218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2414231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414247 */     // MIs[0] policy
     /* 2414247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414257 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2414260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414268 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414281 */     // GIR_Coverage, 45259,
     /* 2414281 */     GIR_EraseRootFromParent_Done,
     /* 2414282 */   // Label 34819: @2414282
     /* 2414282 */   GIM_Try, /*On fail goto*//*Label 34820*/ GIMT_Encode4(2414354), // Rule ID 45260 //
     /* 2414287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2414290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2414303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414319 */     // MIs[0] policy
     /* 2414319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414329 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2414332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414340 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414353 */     // GIR_Coverage, 45260,
     /* 2414353 */     GIR_EraseRootFromParent_Done,
     /* 2414354 */   // Label 34820: @2414354
     /* 2414354 */   GIM_Try, /*On fail goto*//*Label 34821*/ GIMT_Encode4(2414426), // Rule ID 45319 //
     /* 2414359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2414362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2414375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414391 */     // MIs[0] policy
     /* 2414391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414401 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2414404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414412 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414425 */     // GIR_Coverage, 45319,
     /* 2414425 */     GIR_EraseRootFromParent_Done,
     /* 2414426 */   // Label 34821: @2414426
     /* 2414426 */   GIM_Try, /*On fail goto*//*Label 34822*/ GIMT_Encode4(2414498), // Rule ID 45320 //
     /* 2414431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2414434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2414440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2414447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414463 */     // MIs[0] policy
     /* 2414463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414473 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2414476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414484 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414497 */     // GIR_Coverage, 45320,
     /* 2414497 */     GIR_EraseRootFromParent_Done,
     /* 2414498 */   // Label 34822: @2414498
     /* 2414498 */   GIM_Reject,
     /* 2414499 */ // Label 34814: @2414499
     /* 2414499 */ GIM_Reject,
     /* 2414500 */ // Label 34688: @2414500
     /* 2414500 */ GIM_Try, /*On fail goto*//*Label 34823*/ GIMT_Encode4(2414822),
     /* 2414505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2414508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2414511 */   GIM_Try, /*On fail goto*//*Label 34824*/ GIMT_Encode4(2414594), // Rule ID 45213 //
     /* 2414516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2414525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414552 */     // MIs[1] Operand 1
     /* 2414552 */     // No operand predicates
     /* 2414552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414556 */     // MIs[0] policy
     /* 2414556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414568 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2414571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414580 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414593 */     // GIR_Coverage, 45213,
     /* 2414593 */     GIR_EraseRootFromParent_Done,
     /* 2414594 */   // Label 34824: @2414594
     /* 2414594 */   GIM_Try, /*On fail goto*//*Label 34825*/ GIMT_Encode4(2414677), // Rule ID 45214 //
     /* 2414599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2414608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414635 */     // MIs[1] Operand 1
     /* 2414635 */     // No operand predicates
     /* 2414635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414639 */     // MIs[0] policy
     /* 2414639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414651 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2414654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414663 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414676 */     // GIR_Coverage, 45214,
     /* 2414676 */     GIR_EraseRootFromParent_Done,
     /* 2414677 */   // Label 34825: @2414677
     /* 2414677 */   GIM_Try, /*On fail goto*//*Label 34826*/ GIMT_Encode4(2414749), // Rule ID 45215 //
     /* 2414682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2414691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414714 */     // MIs[0] policy
     /* 2414714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414724 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2414727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414748 */     // GIR_Coverage, 45215,
     /* 2414748 */     GIR_EraseRootFromParent_Done,
     /* 2414749 */   // Label 34826: @2414749
     /* 2414749 */   GIM_Try, /*On fail goto*//*Label 34827*/ GIMT_Encode4(2414821), // Rule ID 45216 //
     /* 2414754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2414763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2414770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414786 */     // MIs[0] policy
     /* 2414786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414796 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2414799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2414817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414820 */     // GIR_Coverage, 45216,
     /* 2414820 */     GIR_EraseRootFromParent_Done,
     /* 2414821 */   // Label 34827: @2414821
     /* 2414821 */   GIM_Reject,
     /* 2414822 */ // Label 34823: @2414822
     /* 2414822 */ GIM_Reject,
     /* 2414823 */ // Label 34689: @2414823
     /* 2414823 */ GIM_Try, /*On fail goto*//*Label 34828*/ GIMT_Encode4(2415455),
     /* 2414828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2414831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2414834 */   GIM_Try, /*On fail goto*//*Label 34829*/ GIMT_Encode4(2414917), // Rule ID 45229 //
     /* 2414839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2414848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2414855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414875 */     // MIs[1] Operand 1
     /* 2414875 */     // No operand predicates
     /* 2414875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414879 */     // MIs[0] policy
     /* 2414879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414891 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2414894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414903 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414916 */     // GIR_Coverage, 45229,
     /* 2414916 */     GIR_EraseRootFromParent_Done,
     /* 2414917 */   // Label 34829: @2414917
     /* 2414917 */   GIM_Try, /*On fail goto*//*Label 34830*/ GIMT_Encode4(2415000), // Rule ID 45230 //
     /* 2414922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2414931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2414938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2414946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414958 */     // MIs[1] Operand 1
     /* 2414958 */     // No operand predicates
     /* 2414958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414962 */     // MIs[0] policy
     /* 2414962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414974 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2414977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414999 */     // GIR_Coverage, 45230,
     /* 2414999 */     GIR_EraseRootFromParent_Done,
     /* 2415000 */   // Label 34830: @2415000
     /* 2415000 */   GIM_Try, /*On fail goto*//*Label 34831*/ GIMT_Encode4(2415083), // Rule ID 45289 //
     /* 2415005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2415014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415041 */     // MIs[1] Operand 1
     /* 2415041 */     // No operand predicates
     /* 2415041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415045 */     // MIs[0] policy
     /* 2415045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415057 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2415060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415082 */     // GIR_Coverage, 45289,
     /* 2415082 */     GIR_EraseRootFromParent_Done,
     /* 2415083 */   // Label 34831: @2415083
     /* 2415083 */   GIM_Try, /*On fail goto*//*Label 34832*/ GIMT_Encode4(2415166), // Rule ID 45290 //
     /* 2415088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2415097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415124 */     // MIs[1] Operand 1
     /* 2415124 */     // No operand predicates
     /* 2415124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415128 */     // MIs[0] policy
     /* 2415128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415140 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2415143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415152 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415165 */     // GIR_Coverage, 45290,
     /* 2415165 */     GIR_EraseRootFromParent_Done,
     /* 2415166 */   // Label 34832: @2415166
     /* 2415166 */   GIM_Try, /*On fail goto*//*Label 34833*/ GIMT_Encode4(2415238), // Rule ID 45231 //
     /* 2415171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2415180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415203 */     // MIs[0] policy
     /* 2415203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415213 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415224 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415237 */     // GIR_Coverage, 45231,
     /* 2415237 */     GIR_EraseRootFromParent_Done,
     /* 2415238 */   // Label 34833: @2415238
     /* 2415238 */   GIM_Try, /*On fail goto*//*Label 34834*/ GIMT_Encode4(2415310), // Rule ID 45232 //
     /* 2415243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2415252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415275 */     // MIs[0] policy
     /* 2415275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415285 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415296 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415309 */     // GIR_Coverage, 45232,
     /* 2415309 */     GIR_EraseRootFromParent_Done,
     /* 2415310 */   // Label 34834: @2415310
     /* 2415310 */   GIM_Try, /*On fail goto*//*Label 34835*/ GIMT_Encode4(2415382), // Rule ID 45291 //
     /* 2415315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2415324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415347 */     // MIs[0] policy
     /* 2415347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415357 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415368 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415381 */     // GIR_Coverage, 45291,
     /* 2415381 */     GIR_EraseRootFromParent_Done,
     /* 2415382 */   // Label 34835: @2415382
     /* 2415382 */   GIM_Try, /*On fail goto*//*Label 34836*/ GIMT_Encode4(2415454), // Rule ID 45292 //
     /* 2415387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2415396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2415403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415419 */     // MIs[0] policy
     /* 2415419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415429 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2415432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415440 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415453 */     // GIR_Coverage, 45292,
     /* 2415453 */     GIR_EraseRootFromParent_Done,
     /* 2415454 */   // Label 34836: @2415454
     /* 2415454 */   GIM_Reject,
     /* 2415455 */ // Label 34828: @2415455
     /* 2415455 */ GIM_Reject,
     /* 2415456 */ // Label 34690: @2415456
     /* 2415456 */ GIM_Try, /*On fail goto*//*Label 34837*/ GIMT_Encode4(2416088),
     /* 2415461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2415464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2415467 */   GIM_Try, /*On fail goto*//*Label 34838*/ GIMT_Encode4(2415550), // Rule ID 45245 //
     /* 2415472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2415481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415508 */     // MIs[1] Operand 1
     /* 2415508 */     // No operand predicates
     /* 2415508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415512 */     // MIs[0] policy
     /* 2415512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415524 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2415527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415536 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415549 */     // GIR_Coverage, 45245,
     /* 2415549 */     GIR_EraseRootFromParent_Done,
     /* 2415550 */   // Label 34838: @2415550
     /* 2415550 */   GIM_Try, /*On fail goto*//*Label 34839*/ GIMT_Encode4(2415633), // Rule ID 45246 //
     /* 2415555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2415564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415591 */     // MIs[1] Operand 1
     /* 2415591 */     // No operand predicates
     /* 2415591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415595 */     // MIs[0] policy
     /* 2415595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415607 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2415610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415632 */     // GIR_Coverage, 45246,
     /* 2415632 */     GIR_EraseRootFromParent_Done,
     /* 2415633 */   // Label 34839: @2415633
     /* 2415633 */   GIM_Try, /*On fail goto*//*Label 34840*/ GIMT_Encode4(2415716), // Rule ID 45305 //
     /* 2415638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2415647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415674 */     // MIs[1] Operand 1
     /* 2415674 */     // No operand predicates
     /* 2415674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415678 */     // MIs[0] policy
     /* 2415678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415690 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2415693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415715 */     // GIR_Coverage, 45305,
     /* 2415715 */     GIR_EraseRootFromParent_Done,
     /* 2415716 */   // Label 34840: @2415716
     /* 2415716 */   GIM_Try, /*On fail goto*//*Label 34841*/ GIMT_Encode4(2415799), // Rule ID 45306 //
     /* 2415721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2415730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415757 */     // MIs[1] Operand 1
     /* 2415757 */     // No operand predicates
     /* 2415757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415761 */     // MIs[0] policy
     /* 2415761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415773 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2415776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415798 */     // GIR_Coverage, 45306,
     /* 2415798 */     GIR_EraseRootFromParent_Done,
     /* 2415799 */   // Label 34841: @2415799
     /* 2415799 */   GIM_Try, /*On fail goto*//*Label 34842*/ GIMT_Encode4(2415871), // Rule ID 45247 //
     /* 2415804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2415813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415836 */     // MIs[0] policy
     /* 2415836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415846 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2415849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415870 */     // GIR_Coverage, 45247,
     /* 2415870 */     GIR_EraseRootFromParent_Done,
     /* 2415871 */   // Label 34842: @2415871
     /* 2415871 */   GIM_Try, /*On fail goto*//*Label 34843*/ GIMT_Encode4(2415943), // Rule ID 45248 //
     /* 2415876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2415885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415908 */     // MIs[0] policy
     /* 2415908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415918 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2415921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415942 */     // GIR_Coverage, 45248,
     /* 2415942 */     GIR_EraseRootFromParent_Done,
     /* 2415943 */   // Label 34843: @2415943
     /* 2415943 */   GIM_Try, /*On fail goto*//*Label 34844*/ GIMT_Encode4(2416015), // Rule ID 45307 //
     /* 2415948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2415957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2415964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2415972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415980 */     // MIs[0] policy
     /* 2415980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415990 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2415993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416014 */     // GIR_Coverage, 45307,
     /* 2416014 */     GIR_EraseRootFromParent_Done,
     /* 2416015 */   // Label 34844: @2416015
     /* 2416015 */   GIM_Try, /*On fail goto*//*Label 34845*/ GIMT_Encode4(2416087), // Rule ID 45308 //
     /* 2416020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2416029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416052 */     // MIs[0] policy
     /* 2416052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416062 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2416065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416086 */     // GIR_Coverage, 45308,
     /* 2416086 */     GIR_EraseRootFromParent_Done,
     /* 2416087 */   // Label 34845: @2416087
     /* 2416087 */   GIM_Reject,
     /* 2416088 */ // Label 34837: @2416088
     /* 2416088 */ GIM_Reject,
     /* 2416089 */ // Label 34691: @2416089
     /* 2416089 */ GIM_Try, /*On fail goto*//*Label 34846*/ GIMT_Encode4(2416411),
     /* 2416094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2416097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2416100 */   GIM_Try, /*On fail goto*//*Label 34847*/ GIMT_Encode4(2416183), // Rule ID 45217 //
     /* 2416105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2416114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416141 */     // MIs[1] Operand 1
     /* 2416141 */     // No operand predicates
     /* 2416141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416145 */     // MIs[0] policy
     /* 2416145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416157 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2416160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416182 */     // GIR_Coverage, 45217,
     /* 2416182 */     GIR_EraseRootFromParent_Done,
     /* 2416183 */   // Label 34847: @2416183
     /* 2416183 */   GIM_Try, /*On fail goto*//*Label 34848*/ GIMT_Encode4(2416266), // Rule ID 45218 //
     /* 2416188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2416197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416224 */     // MIs[1] Operand 1
     /* 2416224 */     // No operand predicates
     /* 2416224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416228 */     // MIs[0] policy
     /* 2416228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416240 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2416243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416252 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416265 */     // GIR_Coverage, 45218,
     /* 2416265 */     GIR_EraseRootFromParent_Done,
     /* 2416266 */   // Label 34848: @2416266
     /* 2416266 */   GIM_Try, /*On fail goto*//*Label 34849*/ GIMT_Encode4(2416338), // Rule ID 45219 //
     /* 2416271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2416280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416303 */     // MIs[0] policy
     /* 2416303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416313 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2416316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416337 */     // GIR_Coverage, 45219,
     /* 2416337 */     GIR_EraseRootFromParent_Done,
     /* 2416338 */   // Label 34849: @2416338
     /* 2416338 */   GIM_Try, /*On fail goto*//*Label 34850*/ GIMT_Encode4(2416410), // Rule ID 45220 //
     /* 2416343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2416352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2416359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416375 */     // MIs[0] policy
     /* 2416375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416385 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2416388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416396 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416409 */     // GIR_Coverage, 45220,
     /* 2416409 */     GIR_EraseRootFromParent_Done,
     /* 2416410 */   // Label 34850: @2416410
     /* 2416410 */   GIM_Reject,
     /* 2416411 */ // Label 34846: @2416411
     /* 2416411 */ GIM_Reject,
     /* 2416412 */ // Label 34692: @2416412
     /* 2416412 */ GIM_Try, /*On fail goto*//*Label 34851*/ GIMT_Encode4(2417044),
     /* 2416417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2416420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2416423 */   GIM_Try, /*On fail goto*//*Label 34852*/ GIMT_Encode4(2416506), // Rule ID 45233 //
     /* 2416428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2416437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416464 */     // MIs[1] Operand 1
     /* 2416464 */     // No operand predicates
     /* 2416464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416468 */     // MIs[0] policy
     /* 2416468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416480 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2416483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416505 */     // GIR_Coverage, 45233,
     /* 2416505 */     GIR_EraseRootFromParent_Done,
     /* 2416506 */   // Label 34852: @2416506
     /* 2416506 */   GIM_Try, /*On fail goto*//*Label 34853*/ GIMT_Encode4(2416589), // Rule ID 45234 //
     /* 2416511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2416520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416547 */     // MIs[1] Operand 1
     /* 2416547 */     // No operand predicates
     /* 2416547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416551 */     // MIs[0] policy
     /* 2416551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416563 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2416566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416588 */     // GIR_Coverage, 45234,
     /* 2416588 */     GIR_EraseRootFromParent_Done,
     /* 2416589 */   // Label 34853: @2416589
     /* 2416589 */   GIM_Try, /*On fail goto*//*Label 34854*/ GIMT_Encode4(2416672), // Rule ID 45293 //
     /* 2416594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2416603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416630 */     // MIs[1] Operand 1
     /* 2416630 */     // No operand predicates
     /* 2416630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416634 */     // MIs[0] policy
     /* 2416634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416646 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2416649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416671 */     // GIR_Coverage, 45293,
     /* 2416671 */     GIR_EraseRootFromParent_Done,
     /* 2416672 */   // Label 34854: @2416672
     /* 2416672 */   GIM_Try, /*On fail goto*//*Label 34855*/ GIMT_Encode4(2416755), // Rule ID 45294 //
     /* 2416677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2416686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416713 */     // MIs[1] Operand 1
     /* 2416713 */     // No operand predicates
     /* 2416713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416717 */     // MIs[0] policy
     /* 2416717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416729 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2416732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416754 */     // GIR_Coverage, 45294,
     /* 2416754 */     GIR_EraseRootFromParent_Done,
     /* 2416755 */   // Label 34855: @2416755
     /* 2416755 */   GIM_Try, /*On fail goto*//*Label 34856*/ GIMT_Encode4(2416827), // Rule ID 45235 //
     /* 2416760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2416769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416792 */     // MIs[0] policy
     /* 2416792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416802 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2416805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416826 */     // GIR_Coverage, 45235,
     /* 2416826 */     GIR_EraseRootFromParent_Done,
     /* 2416827 */   // Label 34856: @2416827
     /* 2416827 */   GIM_Try, /*On fail goto*//*Label 34857*/ GIMT_Encode4(2416899), // Rule ID 45236 //
     /* 2416832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2416841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416864 */     // MIs[0] policy
     /* 2416864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416874 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2416877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416898 */     // GIR_Coverage, 45236,
     /* 2416898 */     GIR_EraseRootFromParent_Done,
     /* 2416899 */   // Label 34857: @2416899
     /* 2416899 */   GIM_Try, /*On fail goto*//*Label 34858*/ GIMT_Encode4(2416971), // Rule ID 45295 //
     /* 2416904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2416913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416936 */     // MIs[0] policy
     /* 2416936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416946 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2416949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416970 */     // GIR_Coverage, 45295,
     /* 2416970 */     GIR_EraseRootFromParent_Done,
     /* 2416971 */   // Label 34858: @2416971
     /* 2416971 */   GIM_Try, /*On fail goto*//*Label 34859*/ GIMT_Encode4(2417043), // Rule ID 45296 //
     /* 2416976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2416985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2416992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417008 */     // MIs[0] policy
     /* 2417008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417018 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2417021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417042 */     // GIR_Coverage, 45296,
     /* 2417042 */     GIR_EraseRootFromParent_Done,
     /* 2417043 */   // Label 34859: @2417043
     /* 2417043 */   GIM_Reject,
     /* 2417044 */ // Label 34851: @2417044
     /* 2417044 */ GIM_Reject,
     /* 2417045 */ // Label 34693: @2417045
     /* 2417045 */ GIM_Try, /*On fail goto*//*Label 34860*/ GIMT_Encode4(2417367),
     /* 2417050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2417053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2417056 */   GIM_Try, /*On fail goto*//*Label 34861*/ GIMT_Encode4(2417139), // Rule ID 45221 //
     /* 2417061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2417070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417097 */     // MIs[1] Operand 1
     /* 2417097 */     // No operand predicates
     /* 2417097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417101 */     // MIs[0] policy
     /* 2417101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417113 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2417116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417138 */     // GIR_Coverage, 45221,
     /* 2417138 */     GIR_EraseRootFromParent_Done,
     /* 2417139 */   // Label 34861: @2417139
     /* 2417139 */   GIM_Try, /*On fail goto*//*Label 34862*/ GIMT_Encode4(2417222), // Rule ID 45222 //
     /* 2417144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2417153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417180 */     // MIs[1] Operand 1
     /* 2417180 */     // No operand predicates
     /* 2417180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417184 */     // MIs[0] policy
     /* 2417184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417196 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2417199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417208 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417221 */     // GIR_Coverage, 45222,
     /* 2417221 */     GIR_EraseRootFromParent_Done,
     /* 2417222 */   // Label 34862: @2417222
     /* 2417222 */   GIM_Try, /*On fail goto*//*Label 34863*/ GIMT_Encode4(2417294), // Rule ID 45223 //
     /* 2417227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2417236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417259 */     // MIs[0] policy
     /* 2417259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417269 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2417272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417280 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417293 */     // GIR_Coverage, 45223,
     /* 2417293 */     GIR_EraseRootFromParent_Done,
     /* 2417294 */   // Label 34863: @2417294
     /* 2417294 */   GIM_Try, /*On fail goto*//*Label 34864*/ GIMT_Encode4(2417366), // Rule ID 45224 //
     /* 2417299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2417308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2417315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417331 */     // MIs[0] policy
     /* 2417331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417341 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2417344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417352 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417365 */     // GIR_Coverage, 45224,
     /* 2417365 */     GIR_EraseRootFromParent_Done,
     /* 2417366 */   // Label 34864: @2417366
     /* 2417366 */   GIM_Reject,
     /* 2417367 */ // Label 34860: @2417367
     /* 2417367 */ GIM_Reject,
     /* 2417368 */ // Label 34694: @2417368
     /* 2417368 */ GIM_Reject,
     /* 2417369 */ // Label 120: @2417369
     /* 2417369 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34887*/ GIMT_Encode4(2429248),
     /* 2417380 */ /*GILLT_nxv1s8*//*Label 34865*/ GIMT_Encode4(2417492),
     /* 2417384 */ /*GILLT_nxv1s16*//*Label 34866*/ GIMT_Encode4(2417815),
     /* 2417388 */ /*GILLT_nxv1s32*//*Label 34867*/ GIMT_Encode4(2418448),
     /* 2417392 */ /*GILLT_nxv1s64*//*Label 34868*/ GIMT_Encode4(2419081), GIMT_Encode4(0),
     /* 2417400 */ /*GILLT_nxv2s8*//*Label 34869*/ GIMT_Encode4(2419714),
     /* 2417404 */ /*GILLT_nxv2s16*//*Label 34870*/ GIMT_Encode4(2420037),
     /* 2417408 */ /*GILLT_nxv2s32*//*Label 34871*/ GIMT_Encode4(2420670),
     /* 2417412 */ /*GILLT_nxv2s64*//*Label 34872*/ GIMT_Encode4(2421303), GIMT_Encode4(0),
     /* 2417420 */ /*GILLT_nxv4s8*//*Label 34873*/ GIMT_Encode4(2421936),
     /* 2417424 */ /*GILLT_nxv4s16*//*Label 34874*/ GIMT_Encode4(2422259),
     /* 2417428 */ /*GILLT_nxv4s32*//*Label 34875*/ GIMT_Encode4(2422892),
     /* 2417432 */ /*GILLT_nxv4s64*//*Label 34876*/ GIMT_Encode4(2423525), GIMT_Encode4(0),
     /* 2417440 */ /*GILLT_nxv8s8*//*Label 34877*/ GIMT_Encode4(2424158),
     /* 2417444 */ /*GILLT_nxv8s16*//*Label 34878*/ GIMT_Encode4(2424481),
     /* 2417448 */ /*GILLT_nxv8s32*//*Label 34879*/ GIMT_Encode4(2425114),
     /* 2417452 */ /*GILLT_nxv8s64*//*Label 34880*/ GIMT_Encode4(2425747), GIMT_Encode4(0),
     /* 2417460 */ /*GILLT_nxv16s8*//*Label 34881*/ GIMT_Encode4(2426380),
     /* 2417464 */ /*GILLT_nxv16s16*//*Label 34882*/ GIMT_Encode4(2426703),
     /* 2417468 */ /*GILLT_nxv16s32*//*Label 34883*/ GIMT_Encode4(2427336), GIMT_Encode4(0),
     /* 2417476 */ /*GILLT_nxv32s8*//*Label 34884*/ GIMT_Encode4(2427969),
     /* 2417480 */ /*GILLT_nxv32s16*//*Label 34885*/ GIMT_Encode4(2428292), GIMT_Encode4(0),
     /* 2417488 */ /*GILLT_nxv64s8*//*Label 34886*/ GIMT_Encode4(2428925),
     /* 2417492 */ // Label 34865: @2417492
     /* 2417492 */ GIM_Try, /*On fail goto*//*Label 34888*/ GIMT_Encode4(2417814),
     /* 2417497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2417500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2417503 */   GIM_Try, /*On fail goto*//*Label 34889*/ GIMT_Encode4(2417586), // Rule ID 25211 //
     /* 2417508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2417517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417544 */     // MIs[1] Operand 1
     /* 2417544 */     // No operand predicates
     /* 2417544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417548 */     // MIs[0] policy
     /* 2417548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417560 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2417563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417572 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417585 */     // GIR_Coverage, 25211,
     /* 2417585 */     GIR_EraseRootFromParent_Done,
     /* 2417586 */   // Label 34889: @2417586
     /* 2417586 */   GIM_Try, /*On fail goto*//*Label 34890*/ GIMT_Encode4(2417669), // Rule ID 25212 //
     /* 2417591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2417600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417627 */     // MIs[1] Operand 1
     /* 2417627 */     // No operand predicates
     /* 2417627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417631 */     // MIs[0] policy
     /* 2417631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417643 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2417646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417655 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417668 */     // GIR_Coverage, 25212,
     /* 2417668 */     GIR_EraseRootFromParent_Done,
     /* 2417669 */   // Label 34890: @2417669
     /* 2417669 */   GIM_Try, /*On fail goto*//*Label 34891*/ GIMT_Encode4(2417741), // Rule ID 25213 //
     /* 2417674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2417683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417706 */     // MIs[0] policy
     /* 2417706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417716 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2417719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417727 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417740 */     // GIR_Coverage, 25213,
     /* 2417740 */     GIR_EraseRootFromParent_Done,
     /* 2417741 */   // Label 34891: @2417741
     /* 2417741 */   GIM_Try, /*On fail goto*//*Label 34892*/ GIMT_Encode4(2417813), // Rule ID 25214 //
     /* 2417746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2417755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417778 */     // MIs[0] policy
     /* 2417778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417788 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2417791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417799 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417812 */     // GIR_Coverage, 25214,
     /* 2417812 */     GIR_EraseRootFromParent_Done,
     /* 2417813 */   // Label 34892: @2417813
     /* 2417813 */   GIM_Reject,
     /* 2417814 */ // Label 34888: @2417814
     /* 2417814 */ GIM_Reject,
     /* 2417815 */ // Label 34866: @2417815
     /* 2417815 */ GIM_Try, /*On fail goto*//*Label 34893*/ GIMT_Encode4(2418447),
     /* 2417820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2417823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2417826 */   GIM_Try, /*On fail goto*//*Label 34894*/ GIMT_Encode4(2417909), // Rule ID 45037 //
     /* 2417831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2417840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417867 */     // MIs[1] Operand 1
     /* 2417867 */     // No operand predicates
     /* 2417867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417871 */     // MIs[0] policy
     /* 2417871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417883 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2417886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417895 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417908 */     // GIR_Coverage, 45037,
     /* 2417908 */     GIR_EraseRootFromParent_Done,
     /* 2417909 */   // Label 34894: @2417909
     /* 2417909 */   GIM_Try, /*On fail goto*//*Label 34895*/ GIMT_Encode4(2417992), // Rule ID 45038 //
     /* 2417914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2417923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417950 */     // MIs[1] Operand 1
     /* 2417950 */     // No operand predicates
     /* 2417950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417954 */     // MIs[0] policy
     /* 2417954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417966 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2417969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417978 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417991 */     // GIR_Coverage, 45038,
     /* 2417991 */     GIR_EraseRootFromParent_Done,
     /* 2417992 */   // Label 34895: @2417992
     /* 2417992 */   GIM_Try, /*On fail goto*//*Label 34896*/ GIMT_Encode4(2418075), // Rule ID 45113 //
     /* 2417997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2418006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418033 */     // MIs[1] Operand 1
     /* 2418033 */     // No operand predicates
     /* 2418033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418037 */     // MIs[0] policy
     /* 2418037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418049 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2418052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418074 */     // GIR_Coverage, 45113,
     /* 2418074 */     GIR_EraseRootFromParent_Done,
     /* 2418075 */   // Label 34896: @2418075
     /* 2418075 */   GIM_Try, /*On fail goto*//*Label 34897*/ GIMT_Encode4(2418158), // Rule ID 45114 //
     /* 2418080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2418089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418116 */     // MIs[1] Operand 1
     /* 2418116 */     // No operand predicates
     /* 2418116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418120 */     // MIs[0] policy
     /* 2418120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418132 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2418135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418144 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418157 */     // GIR_Coverage, 45114,
     /* 2418157 */     GIR_EraseRootFromParent_Done,
     /* 2418158 */   // Label 34897: @2418158
     /* 2418158 */   GIM_Try, /*On fail goto*//*Label 34898*/ GIMT_Encode4(2418230), // Rule ID 45039 //
     /* 2418163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2418172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418195 */     // MIs[0] policy
     /* 2418195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418205 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2418208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418216 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418229 */     // GIR_Coverage, 45039,
     /* 2418229 */     GIR_EraseRootFromParent_Done,
     /* 2418230 */   // Label 34898: @2418230
     /* 2418230 */   GIM_Try, /*On fail goto*//*Label 34899*/ GIMT_Encode4(2418302), // Rule ID 45040 //
     /* 2418235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2418244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418267 */     // MIs[0] policy
     /* 2418267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418277 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2418280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418288 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418301 */     // GIR_Coverage, 45040,
     /* 2418301 */     GIR_EraseRootFromParent_Done,
     /* 2418302 */   // Label 34899: @2418302
     /* 2418302 */   GIM_Try, /*On fail goto*//*Label 34900*/ GIMT_Encode4(2418374), // Rule ID 45115 //
     /* 2418307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2418316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418339 */     // MIs[0] policy
     /* 2418339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418349 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2418352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418360 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418373 */     // GIR_Coverage, 45115,
     /* 2418373 */     GIR_EraseRootFromParent_Done,
     /* 2418374 */   // Label 34900: @2418374
     /* 2418374 */   GIM_Try, /*On fail goto*//*Label 34901*/ GIMT_Encode4(2418446), // Rule ID 45116 //
     /* 2418379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2418388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418411 */     // MIs[0] policy
     /* 2418411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418421 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2418424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418432 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418445 */     // GIR_Coverage, 45116,
     /* 2418445 */     GIR_EraseRootFromParent_Done,
     /* 2418446 */   // Label 34901: @2418446
     /* 2418446 */   GIM_Reject,
     /* 2418447 */ // Label 34893: @2418447
     /* 2418447 */ GIM_Reject,
     /* 2418448 */ // Label 34867: @2418448
     /* 2418448 */ GIM_Try, /*On fail goto*//*Label 34902*/ GIMT_Encode4(2419080),
     /* 2418453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2418456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2418459 */   GIM_Try, /*On fail goto*//*Label 34903*/ GIMT_Encode4(2418542), // Rule ID 45045 //
     /* 2418464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2418473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418500 */     // MIs[1] Operand 1
     /* 2418500 */     // No operand predicates
     /* 2418500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418504 */     // MIs[0] policy
     /* 2418504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418516 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2418519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418541 */     // GIR_Coverage, 45045,
     /* 2418541 */     GIR_EraseRootFromParent_Done,
     /* 2418542 */   // Label 34903: @2418542
     /* 2418542 */   GIM_Try, /*On fail goto*//*Label 34904*/ GIMT_Encode4(2418625), // Rule ID 45046 //
     /* 2418547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2418556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418583 */     // MIs[1] Operand 1
     /* 2418583 */     // No operand predicates
     /* 2418583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418587 */     // MIs[0] policy
     /* 2418587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418599 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2418602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418624 */     // GIR_Coverage, 45046,
     /* 2418624 */     GIR_EraseRootFromParent_Done,
     /* 2418625 */   // Label 34904: @2418625
     /* 2418625 */   GIM_Try, /*On fail goto*//*Label 34905*/ GIMT_Encode4(2418708), // Rule ID 45121 //
     /* 2418630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2418639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418666 */     // MIs[1] Operand 1
     /* 2418666 */     // No operand predicates
     /* 2418666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418670 */     // MIs[0] policy
     /* 2418670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418682 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2418685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418707 */     // GIR_Coverage, 45121,
     /* 2418707 */     GIR_EraseRootFromParent_Done,
     /* 2418708 */   // Label 34905: @2418708
     /* 2418708 */   GIM_Try, /*On fail goto*//*Label 34906*/ GIMT_Encode4(2418791), // Rule ID 45122 //
     /* 2418713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2418722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418749 */     // MIs[1] Operand 1
     /* 2418749 */     // No operand predicates
     /* 2418749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418753 */     // MIs[0] policy
     /* 2418753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418765 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2418768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418790 */     // GIR_Coverage, 45122,
     /* 2418790 */     GIR_EraseRootFromParent_Done,
     /* 2418791 */   // Label 34906: @2418791
     /* 2418791 */   GIM_Try, /*On fail goto*//*Label 34907*/ GIMT_Encode4(2418863), // Rule ID 45047 //
     /* 2418796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2418805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418828 */     // MIs[0] policy
     /* 2418828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418838 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2418841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418862 */     // GIR_Coverage, 45047,
     /* 2418862 */     GIR_EraseRootFromParent_Done,
     /* 2418863 */   // Label 34907: @2418863
     /* 2418863 */   GIM_Try, /*On fail goto*//*Label 34908*/ GIMT_Encode4(2418935), // Rule ID 45048 //
     /* 2418868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2418877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418900 */     // MIs[0] policy
     /* 2418900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418910 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2418913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418934 */     // GIR_Coverage, 45048,
     /* 2418934 */     GIR_EraseRootFromParent_Done,
     /* 2418935 */   // Label 34908: @2418935
     /* 2418935 */   GIM_Try, /*On fail goto*//*Label 34909*/ GIMT_Encode4(2419007), // Rule ID 45123 //
     /* 2418940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2418949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418972 */     // MIs[0] policy
     /* 2418972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418982 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2418985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419006 */     // GIR_Coverage, 45123,
     /* 2419006 */     GIR_EraseRootFromParent_Done,
     /* 2419007 */   // Label 34909: @2419007
     /* 2419007 */   GIM_Try, /*On fail goto*//*Label 34910*/ GIMT_Encode4(2419079), // Rule ID 45124 //
     /* 2419012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419044 */     // MIs[0] policy
     /* 2419044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419054 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2419057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419078 */     // GIR_Coverage, 45124,
     /* 2419078 */     GIR_EraseRootFromParent_Done,
     /* 2419079 */   // Label 34910: @2419079
     /* 2419079 */   GIM_Reject,
     /* 2419080 */ // Label 34902: @2419080
     /* 2419080 */ GIM_Reject,
     /* 2419081 */ // Label 34868: @2419081
     /* 2419081 */ GIM_Try, /*On fail goto*//*Label 34911*/ GIMT_Encode4(2419713),
     /* 2419086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2419089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2419092 */   GIM_Try, /*On fail goto*//*Label 34912*/ GIMT_Encode4(2419175), // Rule ID 45061 //
     /* 2419097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2419100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419133 */     // MIs[1] Operand 1
     /* 2419133 */     // No operand predicates
     /* 2419133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419137 */     // MIs[0] policy
     /* 2419137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419149 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2419152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419174 */     // GIR_Coverage, 45061,
     /* 2419174 */     GIR_EraseRootFromParent_Done,
     /* 2419175 */   // Label 34912: @2419175
     /* 2419175 */   GIM_Try, /*On fail goto*//*Label 34913*/ GIMT_Encode4(2419258), // Rule ID 45062 //
     /* 2419180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2419183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419216 */     // MIs[1] Operand 1
     /* 2419216 */     // No operand predicates
     /* 2419216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419220 */     // MIs[0] policy
     /* 2419220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419232 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2419235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419244 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419257 */     // GIR_Coverage, 45062,
     /* 2419257 */     GIR_EraseRootFromParent_Done,
     /* 2419258 */   // Label 34913: @2419258
     /* 2419258 */   GIM_Try, /*On fail goto*//*Label 34914*/ GIMT_Encode4(2419341), // Rule ID 45133 //
     /* 2419263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2419266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419299 */     // MIs[1] Operand 1
     /* 2419299 */     // No operand predicates
     /* 2419299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419303 */     // MIs[0] policy
     /* 2419303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419315 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2419318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419327 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419340 */     // GIR_Coverage, 45133,
     /* 2419340 */     GIR_EraseRootFromParent_Done,
     /* 2419341 */   // Label 34914: @2419341
     /* 2419341 */   GIM_Try, /*On fail goto*//*Label 34915*/ GIMT_Encode4(2419424), // Rule ID 45134 //
     /* 2419346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2419349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419382 */     // MIs[1] Operand 1
     /* 2419382 */     // No operand predicates
     /* 2419382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419386 */     // MIs[0] policy
     /* 2419386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419398 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2419401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419410 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419423 */     // GIR_Coverage, 45134,
     /* 2419423 */     GIR_EraseRootFromParent_Done,
     /* 2419424 */   // Label 34915: @2419424
     /* 2419424 */   GIM_Try, /*On fail goto*//*Label 34916*/ GIMT_Encode4(2419496), // Rule ID 45063 //
     /* 2419429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2419432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419461 */     // MIs[0] policy
     /* 2419461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419471 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2419474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419482 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419495 */     // GIR_Coverage, 45063,
     /* 2419495 */     GIR_EraseRootFromParent_Done,
     /* 2419496 */   // Label 34916: @2419496
     /* 2419496 */   GIM_Try, /*On fail goto*//*Label 34917*/ GIMT_Encode4(2419568), // Rule ID 45064 //
     /* 2419501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2419504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419533 */     // MIs[0] policy
     /* 2419533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419543 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2419546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419554 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419567 */     // GIR_Coverage, 45064,
     /* 2419567 */     GIR_EraseRootFromParent_Done,
     /* 2419568 */   // Label 34917: @2419568
     /* 2419568 */   GIM_Try, /*On fail goto*//*Label 34918*/ GIMT_Encode4(2419640), // Rule ID 45135 //
     /* 2419573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2419576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419605 */     // MIs[0] policy
     /* 2419605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419615 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2419618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419626 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419639 */     // GIR_Coverage, 45135,
     /* 2419639 */     GIR_EraseRootFromParent_Done,
     /* 2419640 */   // Label 34918: @2419640
     /* 2419640 */   GIM_Try, /*On fail goto*//*Label 34919*/ GIMT_Encode4(2419712), // Rule ID 45136 //
     /* 2419645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2419648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2419654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419677 */     // MIs[0] policy
     /* 2419677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419687 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2419690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419711 */     // GIR_Coverage, 45136,
     /* 2419711 */     GIR_EraseRootFromParent_Done,
     /* 2419712 */   // Label 34919: @2419712
     /* 2419712 */   GIM_Reject,
     /* 2419713 */ // Label 34911: @2419713
     /* 2419713 */ GIM_Reject,
     /* 2419714 */ // Label 34869: @2419714
     /* 2419714 */ GIM_Try, /*On fail goto*//*Label 34920*/ GIMT_Encode4(2420036),
     /* 2419719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2419722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2419725 */   GIM_Try, /*On fail goto*//*Label 34921*/ GIMT_Encode4(2419808), // Rule ID 45029 //
     /* 2419730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2419739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419766 */     // MIs[1] Operand 1
     /* 2419766 */     // No operand predicates
     /* 2419766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419770 */     // MIs[0] policy
     /* 2419770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419782 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2419785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419794 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419807 */     // GIR_Coverage, 45029,
     /* 2419807 */     GIR_EraseRootFromParent_Done,
     /* 2419808 */   // Label 34921: @2419808
     /* 2419808 */   GIM_Try, /*On fail goto*//*Label 34922*/ GIMT_Encode4(2419891), // Rule ID 45030 //
     /* 2419813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2419822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419849 */     // MIs[1] Operand 1
     /* 2419849 */     // No operand predicates
     /* 2419849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419853 */     // MIs[0] policy
     /* 2419853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419865 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2419868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419890 */     // GIR_Coverage, 45030,
     /* 2419890 */     GIR_EraseRootFromParent_Done,
     /* 2419891 */   // Label 34922: @2419891
     /* 2419891 */   GIM_Try, /*On fail goto*//*Label 34923*/ GIMT_Encode4(2419963), // Rule ID 45031 //
     /* 2419896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2419905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419928 */     // MIs[0] policy
     /* 2419928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419938 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2419941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419962 */     // GIR_Coverage, 45031,
     /* 2419962 */     GIR_EraseRootFromParent_Done,
     /* 2419963 */   // Label 34923: @2419963
     /* 2419963 */   GIM_Try, /*On fail goto*//*Label 34924*/ GIMT_Encode4(2420035), // Rule ID 45032 //
     /* 2419968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2419977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420000 */     // MIs[0] policy
     /* 2420000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420010 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2420013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420034 */     // GIR_Coverage, 45032,
     /* 2420034 */     GIR_EraseRootFromParent_Done,
     /* 2420035 */   // Label 34924: @2420035
     /* 2420035 */   GIM_Reject,
     /* 2420036 */ // Label 34920: @2420036
     /* 2420036 */ GIM_Reject,
     /* 2420037 */ // Label 34870: @2420037
     /* 2420037 */ GIM_Try, /*On fail goto*//*Label 34925*/ GIMT_Encode4(2420669),
     /* 2420042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2420045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2420048 */   GIM_Try, /*On fail goto*//*Label 34926*/ GIMT_Encode4(2420131), // Rule ID 45041 //
     /* 2420053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2420062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420089 */     // MIs[1] Operand 1
     /* 2420089 */     // No operand predicates
     /* 2420089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420093 */     // MIs[0] policy
     /* 2420093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420105 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420130 */     // GIR_Coverage, 45041,
     /* 2420130 */     GIR_EraseRootFromParent_Done,
     /* 2420131 */   // Label 34926: @2420131
     /* 2420131 */   GIM_Try, /*On fail goto*//*Label 34927*/ GIMT_Encode4(2420214), // Rule ID 45042 //
     /* 2420136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2420145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420172 */     // MIs[1] Operand 1
     /* 2420172 */     // No operand predicates
     /* 2420172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420176 */     // MIs[0] policy
     /* 2420176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420188 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420200 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420213 */     // GIR_Coverage, 45042,
     /* 2420213 */     GIR_EraseRootFromParent_Done,
     /* 2420214 */   // Label 34927: @2420214
     /* 2420214 */   GIM_Try, /*On fail goto*//*Label 34928*/ GIMT_Encode4(2420297), // Rule ID 45117 //
     /* 2420219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2420228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420255 */     // MIs[1] Operand 1
     /* 2420255 */     // No operand predicates
     /* 2420255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420259 */     // MIs[0] policy
     /* 2420259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420271 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420283 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420296 */     // GIR_Coverage, 45117,
     /* 2420296 */     GIR_EraseRootFromParent_Done,
     /* 2420297 */   // Label 34928: @2420297
     /* 2420297 */   GIM_Try, /*On fail goto*//*Label 34929*/ GIMT_Encode4(2420380), // Rule ID 45118 //
     /* 2420302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2420311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420338 */     // MIs[1] Operand 1
     /* 2420338 */     // No operand predicates
     /* 2420338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420342 */     // MIs[0] policy
     /* 2420342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420354 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2420357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420366 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420379 */     // GIR_Coverage, 45118,
     /* 2420379 */     GIR_EraseRootFromParent_Done,
     /* 2420380 */   // Label 34929: @2420380
     /* 2420380 */   GIM_Try, /*On fail goto*//*Label 34930*/ GIMT_Encode4(2420452), // Rule ID 45043 //
     /* 2420385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2420394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420417 */     // MIs[0] policy
     /* 2420417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420427 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2420430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420438 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420451 */     // GIR_Coverage, 45043,
     /* 2420451 */     GIR_EraseRootFromParent_Done,
     /* 2420452 */   // Label 34930: @2420452
     /* 2420452 */   GIM_Try, /*On fail goto*//*Label 34931*/ GIMT_Encode4(2420524), // Rule ID 45044 //
     /* 2420457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2420466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420489 */     // MIs[0] policy
     /* 2420489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420499 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2420502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420510 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420523 */     // GIR_Coverage, 45044,
     /* 2420523 */     GIR_EraseRootFromParent_Done,
     /* 2420524 */   // Label 34931: @2420524
     /* 2420524 */   GIM_Try, /*On fail goto*//*Label 34932*/ GIMT_Encode4(2420596), // Rule ID 45119 //
     /* 2420529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2420538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420561 */     // MIs[0] policy
     /* 2420561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420571 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2420574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420582 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420595 */     // GIR_Coverage, 45119,
     /* 2420595 */     GIR_EraseRootFromParent_Done,
     /* 2420596 */   // Label 34932: @2420596
     /* 2420596 */   GIM_Try, /*On fail goto*//*Label 34933*/ GIMT_Encode4(2420668), // Rule ID 45120 //
     /* 2420601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2420610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420633 */     // MIs[0] policy
     /* 2420633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420643 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2420646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420654 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420667 */     // GIR_Coverage, 45120,
     /* 2420667 */     GIR_EraseRootFromParent_Done,
     /* 2420668 */   // Label 34933: @2420668
     /* 2420668 */   GIM_Reject,
     /* 2420669 */ // Label 34925: @2420669
     /* 2420669 */ GIM_Reject,
     /* 2420670 */ // Label 34871: @2420670
     /* 2420670 */ GIM_Try, /*On fail goto*//*Label 34934*/ GIMT_Encode4(2421302),
     /* 2420675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2420678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2420681 */   GIM_Try, /*On fail goto*//*Label 34935*/ GIMT_Encode4(2420764), // Rule ID 45057 //
     /* 2420686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2420695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420722 */     // MIs[1] Operand 1
     /* 2420722 */     // No operand predicates
     /* 2420722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420726 */     // MIs[0] policy
     /* 2420726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420738 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2420741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420750 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420763 */     // GIR_Coverage, 45057,
     /* 2420763 */     GIR_EraseRootFromParent_Done,
     /* 2420764 */   // Label 34935: @2420764
     /* 2420764 */   GIM_Try, /*On fail goto*//*Label 34936*/ GIMT_Encode4(2420847), // Rule ID 45058 //
     /* 2420769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2420778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420805 */     // MIs[1] Operand 1
     /* 2420805 */     // No operand predicates
     /* 2420805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420809 */     // MIs[0] policy
     /* 2420809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420821 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2420824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420846 */     // GIR_Coverage, 45058,
     /* 2420846 */     GIR_EraseRootFromParent_Done,
     /* 2420847 */   // Label 34936: @2420847
     /* 2420847 */   GIM_Try, /*On fail goto*//*Label 34937*/ GIMT_Encode4(2420930), // Rule ID 45129 //
     /* 2420852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2420861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420888 */     // MIs[1] Operand 1
     /* 2420888 */     // No operand predicates
     /* 2420888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420892 */     // MIs[0] policy
     /* 2420892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420904 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2420907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420916 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420929 */     // GIR_Coverage, 45129,
     /* 2420929 */     GIR_EraseRootFromParent_Done,
     /* 2420930 */   // Label 34937: @2420930
     /* 2420930 */   GIM_Try, /*On fail goto*//*Label 34938*/ GIMT_Encode4(2421013), // Rule ID 45130 //
     /* 2420935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2420944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2420951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420971 */     // MIs[1] Operand 1
     /* 2420971 */     // No operand predicates
     /* 2420971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420975 */     // MIs[0] policy
     /* 2420975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420987 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2420990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420999 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421012 */     // GIR_Coverage, 45130,
     /* 2421012 */     GIR_EraseRootFromParent_Done,
     /* 2421013 */   // Label 34938: @2421013
     /* 2421013 */   GIM_Try, /*On fail goto*//*Label 34939*/ GIMT_Encode4(2421085), // Rule ID 45059 //
     /* 2421018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421050 */     // MIs[0] policy
     /* 2421050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421060 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421071 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421084 */     // GIR_Coverage, 45059,
     /* 2421084 */     GIR_EraseRootFromParent_Done,
     /* 2421085 */   // Label 34939: @2421085
     /* 2421085 */   GIM_Try, /*On fail goto*//*Label 34940*/ GIMT_Encode4(2421157), // Rule ID 45060 //
     /* 2421090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421122 */     // MIs[0] policy
     /* 2421122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421132 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421143 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421156 */     // GIR_Coverage, 45060,
     /* 2421156 */     GIR_EraseRootFromParent_Done,
     /* 2421157 */   // Label 34940: @2421157
     /* 2421157 */   GIM_Try, /*On fail goto*//*Label 34941*/ GIMT_Encode4(2421229), // Rule ID 45131 //
     /* 2421162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421194 */     // MIs[0] policy
     /* 2421194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421204 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421215 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421228 */     // GIR_Coverage, 45131,
     /* 2421228 */     GIR_EraseRootFromParent_Done,
     /* 2421229 */   // Label 34941: @2421229
     /* 2421229 */   GIM_Try, /*On fail goto*//*Label 34942*/ GIMT_Encode4(2421301), // Rule ID 45132 //
     /* 2421234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421266 */     // MIs[0] policy
     /* 2421266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421276 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2421279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421300 */     // GIR_Coverage, 45132,
     /* 2421300 */     GIR_EraseRootFromParent_Done,
     /* 2421301 */   // Label 34942: @2421301
     /* 2421301 */   GIM_Reject,
     /* 2421302 */ // Label 34934: @2421302
     /* 2421302 */ GIM_Reject,
     /* 2421303 */ // Label 34872: @2421303
     /* 2421303 */ GIM_Try, /*On fail goto*//*Label 34943*/ GIMT_Encode4(2421935),
     /* 2421308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2421311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2421314 */   GIM_Try, /*On fail goto*//*Label 34944*/ GIMT_Encode4(2421397), // Rule ID 45101 //
     /* 2421319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421355 */     // MIs[1] Operand 1
     /* 2421355 */     // No operand predicates
     /* 2421355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421359 */     // MIs[0] policy
     /* 2421359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421371 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2421374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421383 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421396 */     // GIR_Coverage, 45101,
     /* 2421396 */     GIR_EraseRootFromParent_Done,
     /* 2421397 */   // Label 34944: @2421397
     /* 2421397 */   GIM_Try, /*On fail goto*//*Label 34945*/ GIMT_Encode4(2421480), // Rule ID 45102 //
     /* 2421402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421438 */     // MIs[1] Operand 1
     /* 2421438 */     // No operand predicates
     /* 2421438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421442 */     // MIs[0] policy
     /* 2421442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421454 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2421457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421466 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421479 */     // GIR_Coverage, 45102,
     /* 2421479 */     GIR_EraseRootFromParent_Done,
     /* 2421480 */   // Label 34945: @2421480
     /* 2421480 */   GIM_Try, /*On fail goto*//*Label 34946*/ GIMT_Encode4(2421563), // Rule ID 45161 //
     /* 2421485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421521 */     // MIs[1] Operand 1
     /* 2421521 */     // No operand predicates
     /* 2421521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421525 */     // MIs[0] policy
     /* 2421525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421537 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2421540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421562 */     // GIR_Coverage, 45161,
     /* 2421562 */     GIR_EraseRootFromParent_Done,
     /* 2421563 */   // Label 34946: @2421563
     /* 2421563 */   GIM_Try, /*On fail goto*//*Label 34947*/ GIMT_Encode4(2421646), // Rule ID 45162 //
     /* 2421568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421604 */     // MIs[1] Operand 1
     /* 2421604 */     // No operand predicates
     /* 2421604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421608 */     // MIs[0] policy
     /* 2421608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421620 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2421623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421632 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421645 */     // GIR_Coverage, 45162,
     /* 2421645 */     GIR_EraseRootFromParent_Done,
     /* 2421646 */   // Label 34947: @2421646
     /* 2421646 */   GIM_Try, /*On fail goto*//*Label 34948*/ GIMT_Encode4(2421718), // Rule ID 45103 //
     /* 2421651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421683 */     // MIs[0] policy
     /* 2421683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421693 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2421696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421704 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421717 */     // GIR_Coverage, 45103,
     /* 2421717 */     GIR_EraseRootFromParent_Done,
     /* 2421718 */   // Label 34948: @2421718
     /* 2421718 */   GIM_Try, /*On fail goto*//*Label 34949*/ GIMT_Encode4(2421790), // Rule ID 45104 //
     /* 2421723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421755 */     // MIs[0] policy
     /* 2421755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421765 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2421768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421776 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421789 */     // GIR_Coverage, 45104,
     /* 2421789 */     GIR_EraseRootFromParent_Done,
     /* 2421790 */   // Label 34949: @2421790
     /* 2421790 */   GIM_Try, /*On fail goto*//*Label 34950*/ GIMT_Encode4(2421862), // Rule ID 45163 //
     /* 2421795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421827 */     // MIs[0] policy
     /* 2421827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421837 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2421840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421848 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421861 */     // GIR_Coverage, 45163,
     /* 2421861 */     GIR_EraseRootFromParent_Done,
     /* 2421862 */   // Label 34950: @2421862
     /* 2421862 */   GIM_Try, /*On fail goto*//*Label 34951*/ GIMT_Encode4(2421934), // Rule ID 45164 //
     /* 2421867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2421876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421899 */     // MIs[0] policy
     /* 2421899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421909 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2421912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421920 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421933 */     // GIR_Coverage, 45164,
     /* 2421933 */     GIR_EraseRootFromParent_Done,
     /* 2421934 */   // Label 34951: @2421934
     /* 2421934 */   GIM_Reject,
     /* 2421935 */ // Label 34943: @2421935
     /* 2421935 */ GIM_Reject,
     /* 2421936 */ // Label 34873: @2421936
     /* 2421936 */ GIM_Try, /*On fail goto*//*Label 34952*/ GIMT_Encode4(2422258),
     /* 2421941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2421944 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2421947 */   GIM_Try, /*On fail goto*//*Label 34953*/ GIMT_Encode4(2422030), // Rule ID 45033 //
     /* 2421952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2421961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2421968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421988 */     // MIs[1] Operand 1
     /* 2421988 */     // No operand predicates
     /* 2421988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421992 */     // MIs[0] policy
     /* 2421992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422004 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2422007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422016 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422029 */     // GIR_Coverage, 45033,
     /* 2422029 */     GIR_EraseRootFromParent_Done,
     /* 2422030 */   // Label 34953: @2422030
     /* 2422030 */   GIM_Try, /*On fail goto*//*Label 34954*/ GIMT_Encode4(2422113), // Rule ID 45034 //
     /* 2422035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2422044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422071 */     // MIs[1] Operand 1
     /* 2422071 */     // No operand predicates
     /* 2422071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422075 */     // MIs[0] policy
     /* 2422075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422087 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2422090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422099 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422112 */     // GIR_Coverage, 45034,
     /* 2422112 */     GIR_EraseRootFromParent_Done,
     /* 2422113 */   // Label 34954: @2422113
     /* 2422113 */   GIM_Try, /*On fail goto*//*Label 34955*/ GIMT_Encode4(2422185), // Rule ID 45035 //
     /* 2422118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2422127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422150 */     // MIs[0] policy
     /* 2422150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422160 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2422163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422171 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422184 */     // GIR_Coverage, 45035,
     /* 2422184 */     GIR_EraseRootFromParent_Done,
     /* 2422185 */   // Label 34955: @2422185
     /* 2422185 */   GIM_Try, /*On fail goto*//*Label 34956*/ GIMT_Encode4(2422257), // Rule ID 45036 //
     /* 2422190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2422199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422222 */     // MIs[0] policy
     /* 2422222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422232 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2422235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422256 */     // GIR_Coverage, 45036,
     /* 2422256 */     GIR_EraseRootFromParent_Done,
     /* 2422257 */   // Label 34956: @2422257
     /* 2422257 */   GIM_Reject,
     /* 2422258 */ // Label 34952: @2422258
     /* 2422258 */ GIM_Reject,
     /* 2422259 */ // Label 34874: @2422259
     /* 2422259 */ GIM_Try, /*On fail goto*//*Label 34957*/ GIMT_Encode4(2422891),
     /* 2422264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2422267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2422270 */   GIM_Try, /*On fail goto*//*Label 34958*/ GIMT_Encode4(2422353), // Rule ID 45053 //
     /* 2422275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2422284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422311 */     // MIs[1] Operand 1
     /* 2422311 */     // No operand predicates
     /* 2422311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422315 */     // MIs[0] policy
     /* 2422315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422327 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2422330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422352 */     // GIR_Coverage, 45053,
     /* 2422352 */     GIR_EraseRootFromParent_Done,
     /* 2422353 */   // Label 34958: @2422353
     /* 2422353 */   GIM_Try, /*On fail goto*//*Label 34959*/ GIMT_Encode4(2422436), // Rule ID 45054 //
     /* 2422358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2422367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422394 */     // MIs[1] Operand 1
     /* 2422394 */     // No operand predicates
     /* 2422394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422398 */     // MIs[0] policy
     /* 2422398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422410 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2422413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422422 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422435 */     // GIR_Coverage, 45054,
     /* 2422435 */     GIR_EraseRootFromParent_Done,
     /* 2422436 */   // Label 34959: @2422436
     /* 2422436 */   GIM_Try, /*On fail goto*//*Label 34960*/ GIMT_Encode4(2422519), // Rule ID 45125 //
     /* 2422441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2422450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422477 */     // MIs[1] Operand 1
     /* 2422477 */     // No operand predicates
     /* 2422477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422481 */     // MIs[0] policy
     /* 2422481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422493 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2422496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422518 */     // GIR_Coverage, 45125,
     /* 2422518 */     GIR_EraseRootFromParent_Done,
     /* 2422519 */   // Label 34960: @2422519
     /* 2422519 */   GIM_Try, /*On fail goto*//*Label 34961*/ GIMT_Encode4(2422602), // Rule ID 45126 //
     /* 2422524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2422533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422560 */     // MIs[1] Operand 1
     /* 2422560 */     // No operand predicates
     /* 2422560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422564 */     // MIs[0] policy
     /* 2422564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422576 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2422579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422588 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422601 */     // GIR_Coverage, 45126,
     /* 2422601 */     GIR_EraseRootFromParent_Done,
     /* 2422602 */   // Label 34961: @2422602
     /* 2422602 */   GIM_Try, /*On fail goto*//*Label 34962*/ GIMT_Encode4(2422674), // Rule ID 45055 //
     /* 2422607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2422616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422639 */     // MIs[0] policy
     /* 2422639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422649 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2422652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422660 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422673 */     // GIR_Coverage, 45055,
     /* 2422673 */     GIR_EraseRootFromParent_Done,
     /* 2422674 */   // Label 34962: @2422674
     /* 2422674 */   GIM_Try, /*On fail goto*//*Label 34963*/ GIMT_Encode4(2422746), // Rule ID 45056 //
     /* 2422679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2422688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422711 */     // MIs[0] policy
     /* 2422711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422721 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2422724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422732 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422745 */     // GIR_Coverage, 45056,
     /* 2422745 */     GIR_EraseRootFromParent_Done,
     /* 2422746 */   // Label 34963: @2422746
     /* 2422746 */   GIM_Try, /*On fail goto*//*Label 34964*/ GIMT_Encode4(2422818), // Rule ID 45127 //
     /* 2422751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2422760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422783 */     // MIs[0] policy
     /* 2422783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422793 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2422796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422804 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422817 */     // GIR_Coverage, 45127,
     /* 2422817 */     GIR_EraseRootFromParent_Done,
     /* 2422818 */   // Label 34964: @2422818
     /* 2422818 */   GIM_Try, /*On fail goto*//*Label 34965*/ GIMT_Encode4(2422890), // Rule ID 45128 //
     /* 2422823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2422832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2422839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422855 */     // MIs[0] policy
     /* 2422855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422865 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2422868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422889 */     // GIR_Coverage, 45128,
     /* 2422889 */     GIR_EraseRootFromParent_Done,
     /* 2422890 */   // Label 34965: @2422890
     /* 2422890 */   GIM_Reject,
     /* 2422891 */ // Label 34957: @2422891
     /* 2422891 */ GIM_Reject,
     /* 2422892 */ // Label 34875: @2422892
     /* 2422892 */ GIM_Try, /*On fail goto*//*Label 34966*/ GIMT_Encode4(2423524),
     /* 2422897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2422900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2422903 */   GIM_Try, /*On fail goto*//*Label 34967*/ GIMT_Encode4(2422986), // Rule ID 45089 //
     /* 2422908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2422917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2422924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2422928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2422932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422944 */     // MIs[1] Operand 1
     /* 2422944 */     // No operand predicates
     /* 2422944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422948 */     // MIs[0] policy
     /* 2422948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422960 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2422963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422972 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422985 */     // GIR_Coverage, 45089,
     /* 2422985 */     GIR_EraseRootFromParent_Done,
     /* 2422986 */   // Label 34967: @2422986
     /* 2422986 */   GIM_Try, /*On fail goto*//*Label 34968*/ GIMT_Encode4(2423069), // Rule ID 45090 //
     /* 2422991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423027 */     // MIs[1] Operand 1
     /* 2423027 */     // No operand predicates
     /* 2423027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423031 */     // MIs[0] policy
     /* 2423031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423043 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2423046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423055 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423068 */     // GIR_Coverage, 45090,
     /* 2423068 */     GIR_EraseRootFromParent_Done,
     /* 2423069 */   // Label 34968: @2423069
     /* 2423069 */   GIM_Try, /*On fail goto*//*Label 34969*/ GIMT_Encode4(2423152), // Rule ID 45149 //
     /* 2423074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423110 */     // MIs[1] Operand 1
     /* 2423110 */     // No operand predicates
     /* 2423110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423114 */     // MIs[0] policy
     /* 2423114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423126 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2423129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423138 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423151 */     // GIR_Coverage, 45149,
     /* 2423151 */     GIR_EraseRootFromParent_Done,
     /* 2423152 */   // Label 34969: @2423152
     /* 2423152 */   GIM_Try, /*On fail goto*//*Label 34970*/ GIMT_Encode4(2423235), // Rule ID 45150 //
     /* 2423157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423193 */     // MIs[1] Operand 1
     /* 2423193 */     // No operand predicates
     /* 2423193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423197 */     // MIs[0] policy
     /* 2423197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423209 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2423212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423234 */     // GIR_Coverage, 45150,
     /* 2423234 */     GIR_EraseRootFromParent_Done,
     /* 2423235 */   // Label 34970: @2423235
     /* 2423235 */   GIM_Try, /*On fail goto*//*Label 34971*/ GIMT_Encode4(2423307), // Rule ID 45091 //
     /* 2423240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423272 */     // MIs[0] policy
     /* 2423272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423282 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423306 */     // GIR_Coverage, 45091,
     /* 2423306 */     GIR_EraseRootFromParent_Done,
     /* 2423307 */   // Label 34971: @2423307
     /* 2423307 */   GIM_Try, /*On fail goto*//*Label 34972*/ GIMT_Encode4(2423379), // Rule ID 45092 //
     /* 2423312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423344 */     // MIs[0] policy
     /* 2423344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423354 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423378 */     // GIR_Coverage, 45092,
     /* 2423378 */     GIR_EraseRootFromParent_Done,
     /* 2423379 */   // Label 34972: @2423379
     /* 2423379 */   GIM_Try, /*On fail goto*//*Label 34973*/ GIMT_Encode4(2423451), // Rule ID 45151 //
     /* 2423384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423416 */     // MIs[0] policy
     /* 2423416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423426 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423450 */     // GIR_Coverage, 45151,
     /* 2423450 */     GIR_EraseRootFromParent_Done,
     /* 2423451 */   // Label 34973: @2423451
     /* 2423451 */   GIM_Try, /*On fail goto*//*Label 34974*/ GIMT_Encode4(2423523), // Rule ID 45152 //
     /* 2423456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2423472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423488 */     // MIs[0] policy
     /* 2423488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423498 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2423501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423522 */     // GIR_Coverage, 45152,
     /* 2423522 */     GIR_EraseRootFromParent_Done,
     /* 2423523 */   // Label 34974: @2423523
     /* 2423523 */   GIM_Reject,
     /* 2423524 */ // Label 34966: @2423524
     /* 2423524 */ GIM_Reject,
     /* 2423525 */ // Label 34876: @2423525
     /* 2423525 */ GIM_Try, /*On fail goto*//*Label 34975*/ GIMT_Encode4(2424157),
     /* 2423530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2423533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2423536 */   GIM_Try, /*On fail goto*//*Label 34976*/ GIMT_Encode4(2423619), // Rule ID 45105 //
     /* 2423541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2423544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2423557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423577 */     // MIs[1] Operand 1
     /* 2423577 */     // No operand predicates
     /* 2423577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423581 */     // MIs[0] policy
     /* 2423581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423593 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2423596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423618 */     // GIR_Coverage, 45105,
     /* 2423618 */     GIR_EraseRootFromParent_Done,
     /* 2423619 */   // Label 34976: @2423619
     /* 2423619 */   GIM_Try, /*On fail goto*//*Label 34977*/ GIMT_Encode4(2423702), // Rule ID 45106 //
     /* 2423624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2423627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2423640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423660 */     // MIs[1] Operand 1
     /* 2423660 */     // No operand predicates
     /* 2423660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423664 */     // MIs[0] policy
     /* 2423664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423676 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2423679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423688 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423701 */     // GIR_Coverage, 45106,
     /* 2423701 */     GIR_EraseRootFromParent_Done,
     /* 2423702 */   // Label 34977: @2423702
     /* 2423702 */   GIM_Try, /*On fail goto*//*Label 34978*/ GIMT_Encode4(2423785), // Rule ID 45165 //
     /* 2423707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2423710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2423723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423743 */     // MIs[1] Operand 1
     /* 2423743 */     // No operand predicates
     /* 2423743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423747 */     // MIs[0] policy
     /* 2423747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423759 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2423762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423784 */     // GIR_Coverage, 45165,
     /* 2423784 */     GIR_EraseRootFromParent_Done,
     /* 2423785 */   // Label 34978: @2423785
     /* 2423785 */   GIM_Try, /*On fail goto*//*Label 34979*/ GIMT_Encode4(2423868), // Rule ID 45166 //
     /* 2423790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2423793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2423806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423826 */     // MIs[1] Operand 1
     /* 2423826 */     // No operand predicates
     /* 2423826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423830 */     // MIs[0] policy
     /* 2423830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423842 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2423845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423854 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423867 */     // GIR_Coverage, 45166,
     /* 2423867 */     GIR_EraseRootFromParent_Done,
     /* 2423868 */   // Label 34979: @2423868
     /* 2423868 */   GIM_Try, /*On fail goto*//*Label 34980*/ GIMT_Encode4(2423940), // Rule ID 45107 //
     /* 2423873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2423876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2423889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423905 */     // MIs[0] policy
     /* 2423905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423915 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2423918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423926 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423939 */     // GIR_Coverage, 45107,
     /* 2423939 */     GIR_EraseRootFromParent_Done,
     /* 2423940 */   // Label 34980: @2423940
     /* 2423940 */   GIM_Try, /*On fail goto*//*Label 34981*/ GIMT_Encode4(2424012), // Rule ID 45108 //
     /* 2423945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2423948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2423954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2423961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423977 */     // MIs[0] policy
     /* 2423977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423987 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2423990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2424008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424011 */     // GIR_Coverage, 45108,
     /* 2424011 */     GIR_EraseRootFromParent_Done,
     /* 2424012 */   // Label 34981: @2424012
     /* 2424012 */   GIM_Try, /*On fail goto*//*Label 34982*/ GIMT_Encode4(2424084), // Rule ID 45167 //
     /* 2424017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2424020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2424033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424049 */     // MIs[0] policy
     /* 2424049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424059 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2424062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424070 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2424080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424083 */     // GIR_Coverage, 45167,
     /* 2424083 */     GIR_EraseRootFromParent_Done,
     /* 2424084 */   // Label 34982: @2424084
     /* 2424084 */   GIM_Try, /*On fail goto*//*Label 34983*/ GIMT_Encode4(2424156), // Rule ID 45168 //
     /* 2424089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2424092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2424098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2424105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424121 */     // MIs[0] policy
     /* 2424121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424131 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2424134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2424152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424155 */     // GIR_Coverage, 45168,
     /* 2424155 */     GIR_EraseRootFromParent_Done,
     /* 2424156 */   // Label 34983: @2424156
     /* 2424156 */   GIM_Reject,
     /* 2424157 */ // Label 34975: @2424157
     /* 2424157 */ GIM_Reject,
     /* 2424158 */ // Label 34877: @2424158
     /* 2424158 */ GIM_Try, /*On fail goto*//*Label 34984*/ GIMT_Encode4(2424480),
     /* 2424163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2424166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2424169 */   GIM_Try, /*On fail goto*//*Label 34985*/ GIMT_Encode4(2424252), // Rule ID 45049 //
     /* 2424174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424210 */     // MIs[1] Operand 1
     /* 2424210 */     // No operand predicates
     /* 2424210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424214 */     // MIs[0] policy
     /* 2424214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424226 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2424229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424238 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424251 */     // GIR_Coverage, 45049,
     /* 2424251 */     GIR_EraseRootFromParent_Done,
     /* 2424252 */   // Label 34985: @2424252
     /* 2424252 */   GIM_Try, /*On fail goto*//*Label 34986*/ GIMT_Encode4(2424335), // Rule ID 45050 //
     /* 2424257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424293 */     // MIs[1] Operand 1
     /* 2424293 */     // No operand predicates
     /* 2424293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424297 */     // MIs[0] policy
     /* 2424297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424309 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2424312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424334 */     // GIR_Coverage, 45050,
     /* 2424334 */     GIR_EraseRootFromParent_Done,
     /* 2424335 */   // Label 34986: @2424335
     /* 2424335 */   GIM_Try, /*On fail goto*//*Label 34987*/ GIMT_Encode4(2424407), // Rule ID 45051 //
     /* 2424340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424372 */     // MIs[0] policy
     /* 2424372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424382 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2424385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424406 */     // GIR_Coverage, 45051,
     /* 2424406 */     GIR_EraseRootFromParent_Done,
     /* 2424407 */   // Label 34987: @2424407
     /* 2424407 */   GIM_Try, /*On fail goto*//*Label 34988*/ GIMT_Encode4(2424479), // Rule ID 45052 //
     /* 2424412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2424428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424444 */     // MIs[0] policy
     /* 2424444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424454 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2424457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424478 */     // GIR_Coverage, 45052,
     /* 2424478 */     GIR_EraseRootFromParent_Done,
     /* 2424479 */   // Label 34988: @2424479
     /* 2424479 */   GIM_Reject,
     /* 2424480 */ // Label 34984: @2424480
     /* 2424480 */ GIM_Reject,
     /* 2424481 */ // Label 34878: @2424481
     /* 2424481 */ GIM_Try, /*On fail goto*//*Label 34989*/ GIMT_Encode4(2425113),
     /* 2424486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2424489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2424492 */   GIM_Try, /*On fail goto*//*Label 34990*/ GIMT_Encode4(2424575), // Rule ID 45077 //
     /* 2424497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424533 */     // MIs[1] Operand 1
     /* 2424533 */     // No operand predicates
     /* 2424533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424537 */     // MIs[0] policy
     /* 2424537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424549 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2424552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424574 */     // GIR_Coverage, 45077,
     /* 2424574 */     GIR_EraseRootFromParent_Done,
     /* 2424575 */   // Label 34990: @2424575
     /* 2424575 */   GIM_Try, /*On fail goto*//*Label 34991*/ GIMT_Encode4(2424658), // Rule ID 45078 //
     /* 2424580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424616 */     // MIs[1] Operand 1
     /* 2424616 */     // No operand predicates
     /* 2424616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424620 */     // MIs[0] policy
     /* 2424620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424632 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2424635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424644 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424657 */     // GIR_Coverage, 45078,
     /* 2424657 */     GIR_EraseRootFromParent_Done,
     /* 2424658 */   // Label 34991: @2424658
     /* 2424658 */   GIM_Try, /*On fail goto*//*Label 34992*/ GIMT_Encode4(2424741), // Rule ID 45137 //
     /* 2424663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424699 */     // MIs[1] Operand 1
     /* 2424699 */     // No operand predicates
     /* 2424699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424703 */     // MIs[0] policy
     /* 2424703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424715 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2424718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424727 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424740 */     // GIR_Coverage, 45137,
     /* 2424740 */     GIR_EraseRootFromParent_Done,
     /* 2424741 */   // Label 34992: @2424741
     /* 2424741 */   GIM_Try, /*On fail goto*//*Label 34993*/ GIMT_Encode4(2424824), // Rule ID 45138 //
     /* 2424746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424782 */     // MIs[1] Operand 1
     /* 2424782 */     // No operand predicates
     /* 2424782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424786 */     // MIs[0] policy
     /* 2424786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424798 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2424801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424810 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424823 */     // GIR_Coverage, 45138,
     /* 2424823 */     GIR_EraseRootFromParent_Done,
     /* 2424824 */   // Label 34993: @2424824
     /* 2424824 */   GIM_Try, /*On fail goto*//*Label 34994*/ GIMT_Encode4(2424896), // Rule ID 45079 //
     /* 2424829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424861 */     // MIs[0] policy
     /* 2424861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424871 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2424874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424882 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424895 */     // GIR_Coverage, 45079,
     /* 2424895 */     GIR_EraseRootFromParent_Done,
     /* 2424896 */   // Label 34994: @2424896
     /* 2424896 */   GIM_Try, /*On fail goto*//*Label 34995*/ GIMT_Encode4(2424968), // Rule ID 45080 //
     /* 2424901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424933 */     // MIs[0] policy
     /* 2424933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424943 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2424946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424954 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424967 */     // GIR_Coverage, 45080,
     /* 2424967 */     GIR_EraseRootFromParent_Done,
     /* 2424968 */   // Label 34995: @2424968
     /* 2424968 */   GIM_Try, /*On fail goto*//*Label 34996*/ GIMT_Encode4(2425040), // Rule ID 45139 //
     /* 2424973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2424982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2424989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425005 */     // MIs[0] policy
     /* 2425005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425015 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2425018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425026 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425039 */     // GIR_Coverage, 45139,
     /* 2425039 */     GIR_EraseRootFromParent_Done,
     /* 2425040 */   // Label 34996: @2425040
     /* 2425040 */   GIM_Try, /*On fail goto*//*Label 34997*/ GIMT_Encode4(2425112), // Rule ID 45140 //
     /* 2425045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2425054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2425061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425077 */     // MIs[0] policy
     /* 2425077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425087 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2425090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425111 */     // GIR_Coverage, 45140,
     /* 2425111 */     GIR_EraseRootFromParent_Done,
     /* 2425112 */   // Label 34997: @2425112
     /* 2425112 */   GIM_Reject,
     /* 2425113 */ // Label 34989: @2425113
     /* 2425113 */ GIM_Reject,
     /* 2425114 */ // Label 34879: @2425114
     /* 2425114 */ GIM_Try, /*On fail goto*//*Label 34998*/ GIMT_Encode4(2425746),
     /* 2425119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2425122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2425125 */   GIM_Try, /*On fail goto*//*Label 34999*/ GIMT_Encode4(2425208), // Rule ID 45093 //
     /* 2425130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2425139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425166 */     // MIs[1] Operand 1
     /* 2425166 */     // No operand predicates
     /* 2425166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425170 */     // MIs[0] policy
     /* 2425170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425182 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425194 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425207 */     // GIR_Coverage, 45093,
     /* 2425207 */     GIR_EraseRootFromParent_Done,
     /* 2425208 */   // Label 34999: @2425208
     /* 2425208 */   GIM_Try, /*On fail goto*//*Label 35000*/ GIMT_Encode4(2425291), // Rule ID 45094 //
     /* 2425213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2425222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425249 */     // MIs[1] Operand 1
     /* 2425249 */     // No operand predicates
     /* 2425249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425253 */     // MIs[0] policy
     /* 2425253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425265 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425290 */     // GIR_Coverage, 45094,
     /* 2425290 */     GIR_EraseRootFromParent_Done,
     /* 2425291 */   // Label 35000: @2425291
     /* 2425291 */   GIM_Try, /*On fail goto*//*Label 35001*/ GIMT_Encode4(2425374), // Rule ID 45153 //
     /* 2425296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2425305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425332 */     // MIs[1] Operand 1
     /* 2425332 */     // No operand predicates
     /* 2425332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425336 */     // MIs[0] policy
     /* 2425336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425348 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425360 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425373 */     // GIR_Coverage, 45153,
     /* 2425373 */     GIR_EraseRootFromParent_Done,
     /* 2425374 */   // Label 35001: @2425374
     /* 2425374 */   GIM_Try, /*On fail goto*//*Label 35002*/ GIMT_Encode4(2425457), // Rule ID 45154 //
     /* 2425379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2425388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425415 */     // MIs[1] Operand 1
     /* 2425415 */     // No operand predicates
     /* 2425415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425419 */     // MIs[0] policy
     /* 2425419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425431 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2425434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425456 */     // GIR_Coverage, 45154,
     /* 2425456 */     GIR_EraseRootFromParent_Done,
     /* 2425457 */   // Label 35002: @2425457
     /* 2425457 */   GIM_Try, /*On fail goto*//*Label 35003*/ GIMT_Encode4(2425529), // Rule ID 45095 //
     /* 2425462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2425471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425494 */     // MIs[0] policy
     /* 2425494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425504 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2425507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425515 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425528 */     // GIR_Coverage, 45095,
     /* 2425528 */     GIR_EraseRootFromParent_Done,
     /* 2425529 */   // Label 35003: @2425529
     /* 2425529 */   GIM_Try, /*On fail goto*//*Label 35004*/ GIMT_Encode4(2425601), // Rule ID 45096 //
     /* 2425534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2425543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425566 */     // MIs[0] policy
     /* 2425566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425576 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2425579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425587 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425600 */     // GIR_Coverage, 45096,
     /* 2425600 */     GIR_EraseRootFromParent_Done,
     /* 2425601 */   // Label 35004: @2425601
     /* 2425601 */   GIM_Try, /*On fail goto*//*Label 35005*/ GIMT_Encode4(2425673), // Rule ID 45155 //
     /* 2425606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2425615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425638 */     // MIs[0] policy
     /* 2425638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425648 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2425651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425659 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425672 */     // GIR_Coverage, 45155,
     /* 2425672 */     GIR_EraseRootFromParent_Done,
     /* 2425673 */   // Label 35005: @2425673
     /* 2425673 */   GIM_Try, /*On fail goto*//*Label 35006*/ GIMT_Encode4(2425745), // Rule ID 45156 //
     /* 2425678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2425687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2425694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425710 */     // MIs[0] policy
     /* 2425710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425720 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2425723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2425731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425744 */     // GIR_Coverage, 45156,
     /* 2425744 */     GIR_EraseRootFromParent_Done,
     /* 2425745 */   // Label 35006: @2425745
     /* 2425745 */   GIM_Reject,
     /* 2425746 */ // Label 34998: @2425746
     /* 2425746 */ GIM_Reject,
     /* 2425747 */ // Label 34880: @2425747
     /* 2425747 */ GIM_Try, /*On fail goto*//*Label 35007*/ GIMT_Encode4(2426379),
     /* 2425752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2425755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2425758 */   GIM_Try, /*On fail goto*//*Label 35008*/ GIMT_Encode4(2425841), // Rule ID 45109 //
     /* 2425763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2425766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2425772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2425779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425799 */     // MIs[1] Operand 1
     /* 2425799 */     // No operand predicates
     /* 2425799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425803 */     // MIs[0] policy
     /* 2425803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425815 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2425818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425827 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425840 */     // GIR_Coverage, 45109,
     /* 2425840 */     GIR_EraseRootFromParent_Done,
     /* 2425841 */   // Label 35008: @2425841
     /* 2425841 */   GIM_Try, /*On fail goto*//*Label 35009*/ GIMT_Encode4(2425924), // Rule ID 45110 //
     /* 2425846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2425849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2425852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2425855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2425858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2425862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425882 */     // MIs[1] Operand 1
     /* 2425882 */     // No operand predicates
     /* 2425882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425886 */     // MIs[0] policy
     /* 2425886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425898 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2425898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2425901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425910 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2425920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2425922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425923 */     // GIR_Coverage, 45110,
     /* 2425923 */     GIR_EraseRootFromParent_Done,
     /* 2425924 */   // Label 35009: @2425924
     /* 2425924 */   GIM_Try, /*On fail goto*//*Label 35010*/ GIMT_Encode4(2426007), // Rule ID 45169 //
     /* 2425929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2425932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2425935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2425938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2425941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2425945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2425957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2425961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2425965 */     // MIs[1] Operand 1
     /* 2425965 */     // No operand predicates
     /* 2425965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2425969 */     // MIs[0] policy
     /* 2425969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2425972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2425974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425981 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2425981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2425984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2425988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2425990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2425993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2425995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426006 */     // GIR_Coverage, 45169,
     /* 2426006 */     GIR_EraseRootFromParent_Done,
     /* 2426007 */   // Label 35010: @2426007
     /* 2426007 */   GIM_Try, /*On fail goto*//*Label 35011*/ GIMT_Encode4(2426090), // Rule ID 45170 //
     /* 2426012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2426015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2426028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426048 */     // MIs[1] Operand 1
     /* 2426048 */     // No operand predicates
     /* 2426048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426052 */     // MIs[0] policy
     /* 2426052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426064 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2426067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426076 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426086 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426089 */     // GIR_Coverage, 45170,
     /* 2426089 */     GIR_EraseRootFromParent_Done,
     /* 2426090 */   // Label 35011: @2426090
     /* 2426090 */   GIM_Try, /*On fail goto*//*Label 35012*/ GIMT_Encode4(2426162), // Rule ID 45111 //
     /* 2426095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2426098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2426111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426127 */     // MIs[0] policy
     /* 2426127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426137 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2426140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426161 */     // GIR_Coverage, 45111,
     /* 2426161 */     GIR_EraseRootFromParent_Done,
     /* 2426162 */   // Label 35012: @2426162
     /* 2426162 */   GIM_Try, /*On fail goto*//*Label 35013*/ GIMT_Encode4(2426234), // Rule ID 45112 //
     /* 2426167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2426170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2426183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426199 */     // MIs[0] policy
     /* 2426199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426209 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2426212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426233 */     // GIR_Coverage, 45112,
     /* 2426233 */     GIR_EraseRootFromParent_Done,
     /* 2426234 */   // Label 35013: @2426234
     /* 2426234 */   GIM_Try, /*On fail goto*//*Label 35014*/ GIMT_Encode4(2426306), // Rule ID 45171 //
     /* 2426239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2426242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2426255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426271 */     // MIs[0] policy
     /* 2426271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426281 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2426284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426292 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426305 */     // GIR_Coverage, 45171,
     /* 2426305 */     GIR_EraseRootFromParent_Done,
     /* 2426306 */   // Label 35014: @2426306
     /* 2426306 */   GIM_Try, /*On fail goto*//*Label 35015*/ GIMT_Encode4(2426378), // Rule ID 45172 //
     /* 2426311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2426314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2426320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2426327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2426335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426343 */     // MIs[0] policy
     /* 2426343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426353 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2426356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426377 */     // GIR_Coverage, 45172,
     /* 2426377 */     GIR_EraseRootFromParent_Done,
     /* 2426378 */   // Label 35015: @2426378
     /* 2426378 */   GIM_Reject,
     /* 2426379 */ // Label 35007: @2426379
     /* 2426379 */ GIM_Reject,
     /* 2426380 */ // Label 34881: @2426380
     /* 2426380 */ GIM_Try, /*On fail goto*//*Label 35016*/ GIMT_Encode4(2426702),
     /* 2426385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2426388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2426391 */   GIM_Try, /*On fail goto*//*Label 35017*/ GIMT_Encode4(2426474), // Rule ID 45065 //
     /* 2426396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2426405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426432 */     // MIs[1] Operand 1
     /* 2426432 */     // No operand predicates
     /* 2426432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426436 */     // MIs[0] policy
     /* 2426436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426448 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2426451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426460 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426473 */     // GIR_Coverage, 45065,
     /* 2426473 */     GIR_EraseRootFromParent_Done,
     /* 2426474 */   // Label 35017: @2426474
     /* 2426474 */   GIM_Try, /*On fail goto*//*Label 35018*/ GIMT_Encode4(2426557), // Rule ID 45066 //
     /* 2426479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2426488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426515 */     // MIs[1] Operand 1
     /* 2426515 */     // No operand predicates
     /* 2426515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426519 */     // MIs[0] policy
     /* 2426519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426531 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2426534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426543 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426556 */     // GIR_Coverage, 45066,
     /* 2426556 */     GIR_EraseRootFromParent_Done,
     /* 2426557 */   // Label 35018: @2426557
     /* 2426557 */   GIM_Try, /*On fail goto*//*Label 35019*/ GIMT_Encode4(2426629), // Rule ID 45067 //
     /* 2426562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2426571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426594 */     // MIs[0] policy
     /* 2426594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426604 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2426607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426615 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426628 */     // GIR_Coverage, 45067,
     /* 2426628 */     GIR_EraseRootFromParent_Done,
     /* 2426629 */   // Label 35019: @2426629
     /* 2426629 */   GIM_Try, /*On fail goto*//*Label 35020*/ GIMT_Encode4(2426701), // Rule ID 45068 //
     /* 2426634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2426643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2426650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2426658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426666 */     // MIs[0] policy
     /* 2426666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426676 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2426679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2426687 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426700 */     // GIR_Coverage, 45068,
     /* 2426700 */     GIR_EraseRootFromParent_Done,
     /* 2426701 */   // Label 35020: @2426701
     /* 2426701 */   GIM_Reject,
     /* 2426702 */ // Label 35016: @2426702
     /* 2426702 */ GIM_Reject,
     /* 2426703 */ // Label 34882: @2426703
     /* 2426703 */ GIM_Try, /*On fail goto*//*Label 35021*/ GIMT_Encode4(2427335),
     /* 2426708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2426711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2426714 */   GIM_Try, /*On fail goto*//*Label 35022*/ GIMT_Encode4(2426797), // Rule ID 45081 //
     /* 2426719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2426728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426755 */     // MIs[1] Operand 1
     /* 2426755 */     // No operand predicates
     /* 2426755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426759 */     // MIs[0] policy
     /* 2426759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426771 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2426774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426783 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426796 */     // GIR_Coverage, 45081,
     /* 2426796 */     GIR_EraseRootFromParent_Done,
     /* 2426797 */   // Label 35022: @2426797
     /* 2426797 */   GIM_Try, /*On fail goto*//*Label 35023*/ GIMT_Encode4(2426880), // Rule ID 45082 //
     /* 2426802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2426811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426838 */     // MIs[1] Operand 1
     /* 2426838 */     // No operand predicates
     /* 2426838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426842 */     // MIs[0] policy
     /* 2426842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426854 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2426854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2426857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426866 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426879 */     // GIR_Coverage, 45082,
     /* 2426879 */     GIR_EraseRootFromParent_Done,
     /* 2426880 */   // Label 35023: @2426880
     /* 2426880 */   GIM_Try, /*On fail goto*//*Label 35024*/ GIMT_Encode4(2426963), // Rule ID 45141 //
     /* 2426885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2426894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2426897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2426917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2426921 */     // MIs[1] Operand 1
     /* 2426921 */     // No operand predicates
     /* 2426921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2426925 */     // MIs[0] policy
     /* 2426925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2426928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2426930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426937 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2426937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2426940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2426944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2426946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2426949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2426951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2426961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426962 */     // GIR_Coverage, 45141,
     /* 2426962 */     GIR_EraseRootFromParent_Done,
     /* 2426963 */   // Label 35024: @2426963
     /* 2426963 */   GIM_Try, /*On fail goto*//*Label 35025*/ GIMT_Encode4(2427046), // Rule ID 45142 //
     /* 2426968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2426977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2426980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2426984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2426992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2426996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427004 */     // MIs[1] Operand 1
     /* 2427004 */     // No operand predicates
     /* 2427004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427008 */     // MIs[0] policy
     /* 2427008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427020 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2427023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427032 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427045 */     // GIR_Coverage, 45142,
     /* 2427045 */     GIR_EraseRootFromParent_Done,
     /* 2427046 */   // Label 35025: @2427046
     /* 2427046 */   GIM_Try, /*On fail goto*//*Label 35026*/ GIMT_Encode4(2427118), // Rule ID 45083 //
     /* 2427051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2427060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427083 */     // MIs[0] policy
     /* 2427083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427093 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427104 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427117 */     // GIR_Coverage, 45083,
     /* 2427117 */     GIR_EraseRootFromParent_Done,
     /* 2427118 */   // Label 35026: @2427118
     /* 2427118 */   GIM_Try, /*On fail goto*//*Label 35027*/ GIMT_Encode4(2427190), // Rule ID 45084 //
     /* 2427123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2427132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427155 */     // MIs[0] policy
     /* 2427155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427165 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427176 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427189 */     // GIR_Coverage, 45084,
     /* 2427189 */     GIR_EraseRootFromParent_Done,
     /* 2427190 */   // Label 35027: @2427190
     /* 2427190 */   GIM_Try, /*On fail goto*//*Label 35028*/ GIMT_Encode4(2427262), // Rule ID 45143 //
     /* 2427195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2427204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427227 */     // MIs[0] policy
     /* 2427227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427237 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427248 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427261 */     // GIR_Coverage, 45143,
     /* 2427261 */     GIR_EraseRootFromParent_Done,
     /* 2427262 */   // Label 35028: @2427262
     /* 2427262 */   GIM_Try, /*On fail goto*//*Label 35029*/ GIMT_Encode4(2427334), // Rule ID 45144 //
     /* 2427267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2427276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2427283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2427291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427299 */     // MIs[0] policy
     /* 2427299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427309 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2427312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427320 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427333 */     // GIR_Coverage, 45144,
     /* 2427333 */     GIR_EraseRootFromParent_Done,
     /* 2427334 */   // Label 35029: @2427334
     /* 2427334 */   GIM_Reject,
     /* 2427335 */ // Label 35021: @2427335
     /* 2427335 */ GIM_Reject,
     /* 2427336 */ // Label 34883: @2427336
     /* 2427336 */ GIM_Try, /*On fail goto*//*Label 35030*/ GIMT_Encode4(2427968),
     /* 2427341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2427344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2427347 */   GIM_Try, /*On fail goto*//*Label 35031*/ GIMT_Encode4(2427430), // Rule ID 45097 //
     /* 2427352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2427361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427388 */     // MIs[1] Operand 1
     /* 2427388 */     // No operand predicates
     /* 2427388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427392 */     // MIs[0] policy
     /* 2427392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427404 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2427407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427416 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427429 */     // GIR_Coverage, 45097,
     /* 2427429 */     GIR_EraseRootFromParent_Done,
     /* 2427430 */   // Label 35031: @2427430
     /* 2427430 */   GIM_Try, /*On fail goto*//*Label 35032*/ GIMT_Encode4(2427513), // Rule ID 45098 //
     /* 2427435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2427444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427471 */     // MIs[1] Operand 1
     /* 2427471 */     // No operand predicates
     /* 2427471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427475 */     // MIs[0] policy
     /* 2427475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427487 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2427490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427512 */     // GIR_Coverage, 45098,
     /* 2427512 */     GIR_EraseRootFromParent_Done,
     /* 2427513 */   // Label 35032: @2427513
     /* 2427513 */   GIM_Try, /*On fail goto*//*Label 35033*/ GIMT_Encode4(2427596), // Rule ID 45157 //
     /* 2427518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2427527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427554 */     // MIs[1] Operand 1
     /* 2427554 */     // No operand predicates
     /* 2427554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427558 */     // MIs[0] policy
     /* 2427558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427570 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2427573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427582 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427595 */     // GIR_Coverage, 45157,
     /* 2427595 */     GIR_EraseRootFromParent_Done,
     /* 2427596 */   // Label 35033: @2427596
     /* 2427596 */   GIM_Try, /*On fail goto*//*Label 35034*/ GIMT_Encode4(2427679), // Rule ID 45158 //
     /* 2427601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2427610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2427629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2427633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2427637 */     // MIs[1] Operand 1
     /* 2427637 */     // No operand predicates
     /* 2427637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427641 */     // MIs[0] policy
     /* 2427641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2427646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427653 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2427656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2427665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427678 */     // GIR_Coverage, 45158,
     /* 2427678 */     GIR_EraseRootFromParent_Done,
     /* 2427679 */   // Label 35034: @2427679
     /* 2427679 */   GIM_Try, /*On fail goto*//*Label 35035*/ GIMT_Encode4(2427751), // Rule ID 45099 //
     /* 2427684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2427693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427716 */     // MIs[0] policy
     /* 2427716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427726 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2427729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427750 */     // GIR_Coverage, 45099,
     /* 2427750 */     GIR_EraseRootFromParent_Done,
     /* 2427751 */   // Label 35035: @2427751
     /* 2427751 */   GIM_Try, /*On fail goto*//*Label 35036*/ GIMT_Encode4(2427823), // Rule ID 45100 //
     /* 2427756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2427765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427788 */     // MIs[0] policy
     /* 2427788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427798 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2427801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427822 */     // GIR_Coverage, 45100,
     /* 2427822 */     GIR_EraseRootFromParent_Done,
     /* 2427823 */   // Label 35036: @2427823
     /* 2427823 */   GIM_Try, /*On fail goto*//*Label 35037*/ GIMT_Encode4(2427895), // Rule ID 45159 //
     /* 2427828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2427837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427860 */     // MIs[0] policy
     /* 2427860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427870 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2427870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2427873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427894 */     // GIR_Coverage, 45159,
     /* 2427894 */     GIR_EraseRootFromParent_Done,
     /* 2427895 */   // Label 35037: @2427895
     /* 2427895 */   GIM_Try, /*On fail goto*//*Label 35038*/ GIMT_Encode4(2427967), // Rule ID 45160 //
     /* 2427900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2427909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2427912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2427916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2427924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2427928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2427932 */     // MIs[0] policy
     /* 2427932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2427935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427942 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2427942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2427945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2427949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2427951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2427953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2427955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2427965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427966 */     // GIR_Coverage, 45160,
     /* 2427966 */     GIR_EraseRootFromParent_Done,
     /* 2427967 */   // Label 35038: @2427967
     /* 2427967 */   GIM_Reject,
     /* 2427968 */ // Label 35030: @2427968
     /* 2427968 */ GIM_Reject,
     /* 2427969 */ // Label 34884: @2427969
     /* 2427969 */ GIM_Try, /*On fail goto*//*Label 35039*/ GIMT_Encode4(2428291),
     /* 2427974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2427977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2427980 */   GIM_Try, /*On fail goto*//*Label 35040*/ GIMT_Encode4(2428063), // Rule ID 45069 //
     /* 2427985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2427994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2427997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428021 */     // MIs[1] Operand 1
     /* 2428021 */     // No operand predicates
     /* 2428021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428025 */     // MIs[0] policy
     /* 2428025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428037 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2428040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428049 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428062 */     // GIR_Coverage, 45069,
     /* 2428062 */     GIR_EraseRootFromParent_Done,
     /* 2428063 */   // Label 35040: @2428063
     /* 2428063 */   GIM_Try, /*On fail goto*//*Label 35041*/ GIMT_Encode4(2428146), // Rule ID 45070 //
     /* 2428068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2428077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428104 */     // MIs[1] Operand 1
     /* 2428104 */     // No operand predicates
     /* 2428104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428108 */     // MIs[0] policy
     /* 2428108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428120 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2428123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428132 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428145 */     // GIR_Coverage, 45070,
     /* 2428145 */     GIR_EraseRootFromParent_Done,
     /* 2428146 */   // Label 35041: @2428146
     /* 2428146 */   GIM_Try, /*On fail goto*//*Label 35042*/ GIMT_Encode4(2428218), // Rule ID 45071 //
     /* 2428151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2428160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428183 */     // MIs[0] policy
     /* 2428183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428193 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2428196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428204 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428217 */     // GIR_Coverage, 45071,
     /* 2428217 */     GIR_EraseRootFromParent_Done,
     /* 2428218 */   // Label 35042: @2428218
     /* 2428218 */   GIM_Try, /*On fail goto*//*Label 35043*/ GIMT_Encode4(2428290), // Rule ID 45072 //
     /* 2428223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2428232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2428239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428255 */     // MIs[0] policy
     /* 2428255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428265 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2428268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428276 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428289 */     // GIR_Coverage, 45072,
     /* 2428289 */     GIR_EraseRootFromParent_Done,
     /* 2428290 */   // Label 35043: @2428290
     /* 2428290 */   GIM_Reject,
     /* 2428291 */ // Label 35039: @2428291
     /* 2428291 */ GIM_Reject,
     /* 2428292 */ // Label 34885: @2428292
     /* 2428292 */ GIM_Try, /*On fail goto*//*Label 35044*/ GIMT_Encode4(2428924),
     /* 2428297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2428300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2428303 */   GIM_Try, /*On fail goto*//*Label 35045*/ GIMT_Encode4(2428386), // Rule ID 45085 //
     /* 2428308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2428317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428344 */     // MIs[1] Operand 1
     /* 2428344 */     // No operand predicates
     /* 2428344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428348 */     // MIs[0] policy
     /* 2428348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428360 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2428363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428372 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428385 */     // GIR_Coverage, 45085,
     /* 2428385 */     GIR_EraseRootFromParent_Done,
     /* 2428386 */   // Label 35045: @2428386
     /* 2428386 */   GIM_Try, /*On fail goto*//*Label 35046*/ GIMT_Encode4(2428469), // Rule ID 45086 //
     /* 2428391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2428400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428427 */     // MIs[1] Operand 1
     /* 2428427 */     // No operand predicates
     /* 2428427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428431 */     // MIs[0] policy
     /* 2428431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428443 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2428446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428455 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428468 */     // GIR_Coverage, 45086,
     /* 2428468 */     GIR_EraseRootFromParent_Done,
     /* 2428469 */   // Label 35046: @2428469
     /* 2428469 */   GIM_Try, /*On fail goto*//*Label 35047*/ GIMT_Encode4(2428552), // Rule ID 45145 //
     /* 2428474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2428483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428510 */     // MIs[1] Operand 1
     /* 2428510 */     // No operand predicates
     /* 2428510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428514 */     // MIs[0] policy
     /* 2428514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428526 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2428529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428538 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428551 */     // GIR_Coverage, 45145,
     /* 2428551 */     GIR_EraseRootFromParent_Done,
     /* 2428552 */   // Label 35047: @2428552
     /* 2428552 */   GIM_Try, /*On fail goto*//*Label 35048*/ GIMT_Encode4(2428635), // Rule ID 45146 //
     /* 2428557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2428566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428593 */     // MIs[1] Operand 1
     /* 2428593 */     // No operand predicates
     /* 2428593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428597 */     // MIs[0] policy
     /* 2428597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428609 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2428612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2428621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428634 */     // GIR_Coverage, 45146,
     /* 2428634 */     GIR_EraseRootFromParent_Done,
     /* 2428635 */   // Label 35048: @2428635
     /* 2428635 */   GIM_Try, /*On fail goto*//*Label 35049*/ GIMT_Encode4(2428707), // Rule ID 45087 //
     /* 2428640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2428649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428672 */     // MIs[0] policy
     /* 2428672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428682 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2428685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428706 */     // GIR_Coverage, 45087,
     /* 2428706 */     GIR_EraseRootFromParent_Done,
     /* 2428707 */   // Label 35049: @2428707
     /* 2428707 */   GIM_Try, /*On fail goto*//*Label 35050*/ GIMT_Encode4(2428779), // Rule ID 45088 //
     /* 2428712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2428721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428744 */     // MIs[0] policy
     /* 2428744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428754 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2428757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428778 */     // GIR_Coverage, 45088,
     /* 2428778 */     GIR_EraseRootFromParent_Done,
     /* 2428779 */   // Label 35050: @2428779
     /* 2428779 */   GIM_Try, /*On fail goto*//*Label 35051*/ GIMT_Encode4(2428851), // Rule ID 45147 //
     /* 2428784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2428793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428816 */     // MIs[0] policy
     /* 2428816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428826 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2428829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428850 */     // GIR_Coverage, 45147,
     /* 2428850 */     GIR_EraseRootFromParent_Done,
     /* 2428851 */   // Label 35051: @2428851
     /* 2428851 */   GIM_Try, /*On fail goto*//*Label 35052*/ GIMT_Encode4(2428923), // Rule ID 45148 //
     /* 2428856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2428865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2428868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2428884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428888 */     // MIs[0] policy
     /* 2428888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428898 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2428898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2428901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2428905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2428907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2428909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2428911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2428921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428922 */     // GIR_Coverage, 45148,
     /* 2428922 */     GIR_EraseRootFromParent_Done,
     /* 2428923 */   // Label 35052: @2428923
     /* 2428923 */   GIM_Reject,
     /* 2428924 */ // Label 35044: @2428924
     /* 2428924 */ GIM_Reject,
     /* 2428925 */ // Label 34886: @2428925
     /* 2428925 */ GIM_Try, /*On fail goto*//*Label 35053*/ GIMT_Encode4(2429247),
     /* 2428930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2428933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2428936 */   GIM_Try, /*On fail goto*//*Label 35054*/ GIMT_Encode4(2429019), // Rule ID 45073 //
     /* 2428941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2428950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2428953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2428957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2428965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2428969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2428973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2428977 */     // MIs[1] Operand 1
     /* 2428977 */     // No operand predicates
     /* 2428977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2428981 */     // MIs[0] policy
     /* 2428981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2428984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2428986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428993 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2428993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2428996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429018 */     // GIR_Coverage, 45073,
     /* 2429018 */     GIR_EraseRootFromParent_Done,
     /* 2429019 */   // Label 35054: @2429019
     /* 2429019 */   GIM_Try, /*On fail goto*//*Label 35055*/ GIMT_Encode4(2429102), // Rule ID 45074 //
     /* 2429024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2429033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2429052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2429056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2429060 */     // MIs[1] Operand 1
     /* 2429060 */     // No operand predicates
     /* 2429060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429064 */     // MIs[0] policy
     /* 2429064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2429069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429076 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2429079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2429088 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429101 */     // GIR_Coverage, 45074,
     /* 2429101 */     GIR_EraseRootFromParent_Done,
     /* 2429102 */   // Label 35055: @2429102
     /* 2429102 */   GIM_Try, /*On fail goto*//*Label 35056*/ GIMT_Encode4(2429174), // Rule ID 45075 //
     /* 2429107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2429116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2429119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429139 */     // MIs[0] policy
     /* 2429139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429149 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2429149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2429152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429160 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429173 */     // GIR_Coverage, 45075,
     /* 2429173 */     GIR_EraseRootFromParent_Done,
     /* 2429174 */   // Label 35056: @2429174
     /* 2429174 */   GIM_Try, /*On fail goto*//*Label 35057*/ GIMT_Encode4(2429246), // Rule ID 45076 //
     /* 2429179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2429188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2429191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2429195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2429207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2429211 */     // MIs[0] policy
     /* 2429211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2429214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429221 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2429221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2429224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2429228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2429230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2429232 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2429234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2429244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429245 */     // GIR_Coverage, 45076,
     /* 2429245 */     GIR_EraseRootFromParent_Done,
     /* 2429246 */   // Label 35057: @2429246
     /* 2429246 */   GIM_Reject,
     /* 2429247 */ // Label 35053: @2429247
     /* 2429247 */ GIM_Reject,
     /* 2429248 */ // Label 34887: @2429248
     /* 2429248 */ GIM_Reject,
     /* 2429249 */ // Label 121: @2429249
     /* 2429249 */ GIM_Reject,
     /* 2429250 */ }; // Size: 2429250 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
